/*
MySQL Data Transfer
Source Host: 10.0.0.2
Source Database: swgemu
Target Host: 10.0.0.2
Target Database: swgemu
Date: 9/30/2010 4:02:15 PM
*/

SET FOREIGN_KEY_CHECKS=0;
-- ----------------------------
-- Table structure for account_bans
-- ----------------------------
DROP TABLE IF EXISTS `account_bans`;
CREATE TABLE `account_bans` (
  `ban_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `account_id` int(10) unsigned NOT NULL,
  `issuer_id` int(10) unsigned NOT NULL,
  `created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `expires` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `reason` tinytext NOT NULL,
  PRIMARY KEY (`ban_id`) USING BTREE
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for account_log
-- ----------------------------
DROP TABLE IF EXISTS `account_log`;
CREATE TABLE `account_log` (
  `acclog_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `account_id` int(10) unsigned NOT NULL,
  `timestamp` int(10) unsigned NOT NULL,
  `event_type` bit(1) NOT NULL,
  PRIMARY KEY (`acclog_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for accounts
-- ----------------------------
DROP TABLE IF EXISTS `accounts`;
CREATE TABLE `accounts` (
  `account_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `username` varchar(32) NOT NULL,
  `password` varchar(255) NOT NULL,
  `station_id` int(10) unsigned NOT NULL,
  `created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `active` tinyint(1) NOT NULL DEFAULT '1',
  `email` varchar(255) NOT NULL,
  `ban_id` int(10) unsigned NOT NULL,
  `admin_level` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`account_id`) USING BTREE
) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=latin1 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Table structure for badge
-- ----------------------------
DROP TABLE IF EXISTS `badge`;
CREATE TABLE `badge` (
  `badge_id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `value` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`badge_id`)
) ENGINE=MyISAM AUTO_INCREMENT=115 DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for badge_areas
-- ----------------------------
DROP TABLE IF EXISTS `badge_areas`;
CREATE TABLE `badge_areas` (
  `uid` tinyint(1) unsigned NOT NULL AUTO_INCREMENT,
  `planet_id` tinyint(1) unsigned NOT NULL,
  `x` float NOT NULL,
  `y` float NOT NULL,
  `z` float NOT NULL DEFAULT '0',
  `badge_id` tinyint(1) unsigned NOT NULL,
  PRIMARY KEY (`uid`),
  KEY `SECONDARY` (`planet_id`)
) ENGINE=MyISAM AUTO_INCREMENT=46 DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for bazaar_items
-- ----------------------------
DROP TABLE IF EXISTS `bazaar_items`;
CREATE TABLE `bazaar_items` (
  `objectid` bigint(20) unsigned NOT NULL,
  `name` varchar(45) NOT NULL,
  `description` text NOT NULL,
  `item_type` int(10) unsigned NOT NULL,
  `ownerid` bigint(20) unsigned NOT NULL,
  `ownername` varchar(45) NOT NULL,
  `price` int(10) unsigned NOT NULL,
  `auction` tinyint(1) NOT NULL,
  `sold` tinyint(1) NOT NULL DEFAULT '0',
  `expire` bigint(20) unsigned NOT NULL,
  `terminalid` bigint(20) unsigned NOT NULL,
  `planet` smallint(5) unsigned NOT NULL,
  `buyerid` bigint(20) unsigned NOT NULL DEFAULT '0',
  `biddername` varchar(45) NOT NULL,
  PRIMARY KEY (`objectid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for character_badge
-- ----------------------------
DROP TABLE IF EXISTS `character_badge`;
CREATE TABLE `character_badge` (
  `character_id` int(10) unsigned NOT NULL DEFAULT '0',
  `bitmask0` int(10) unsigned NOT NULL DEFAULT '0',
  `bitmask1` int(10) unsigned NOT NULL DEFAULT '0',
  `bitmask2` int(10) unsigned NOT NULL DEFAULT '0',
  `bitmask3` int(10) unsigned NOT NULL DEFAULT '0',
  `bitmask4` int(10) unsigned NOT NULL DEFAULT '0',
  `totalCount` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `count0` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `count1` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `count2` tinyint(3) unsigned DEFAULT '0',
  `count3` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `count4` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `count5` tinyint(3) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`character_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for character_faction_points
-- ----------------------------
DROP TABLE IF EXISTS `character_faction_points`;
CREATE TABLE `character_faction_points` (
  `character_id` int(10) unsigned NOT NULL,
  `faction_name` varchar(25) NOT NULL,
  `faction_points` int(11) NOT NULL,
  `hash` varchar(32) NOT NULL,
  PRIMARY KEY (`hash`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for character_items
-- ----------------------------
DROP TABLE IF EXISTS `character_items`;
CREATE TABLE `character_items` (
  `item_id` bigint(20) unsigned NOT NULL,
  `character_id` bigint(20) unsigned NOT NULL,
  `name` text NOT NULL,
  `template_crc` bigint(20) unsigned NOT NULL,
  `template_type` int(10) unsigned NOT NULL,
  `template_type_name` tinytext NOT NULL,
  `template_name` tinytext NOT NULL,
  `container` bigint(20) unsigned NOT NULL DEFAULT '0',
  `equipped` tinyint(1) unsigned NOT NULL,
  `deleted` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `attributes` text NOT NULL,
  `appearance` mediumtext NOT NULL,
  `itemMask` smallint(5) unsigned NOT NULL DEFAULT '65535',
  `optionsBitmask` int(10) unsigned NOT NULL DEFAULT '0',
  `in_bank` tinyint(3) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`item_id`),
  KEY `container_ix` (`container`),
  KEY `deleted_ix` (`deleted`),
  KEY `char_ix` (`character_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for character_profession
-- ----------------------------
DROP TABLE IF EXISTS `character_profession`;
CREATE TABLE `character_profession` (
  `character_id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `profession_id` int(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`character_id`,`profession_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for character_structures
-- ----------------------------
DROP TABLE IF EXISTS `character_structures`;
CREATE TABLE `character_structures` (
  `zone_id` tinyint(4) NOT NULL DEFAULT '0',
  `object_id` bigint(20) NOT NULL,
  `parent_id` bigint(20) NOT NULL,
  `cell_number` tinyint(4) NOT NULL DEFAULT '0',
  `owner_id` mediumint(8) NOT NULL,
  `name` text NOT NULL,
  `template_crc` bigint(20) NOT NULL,
  `template_type` int(10) NOT NULL,
  `template_subtype` int(10) NOT NULL,
  `template_name` tinytext NOT NULL,
  `oX` float NOT NULL,
  `oY` float NOT NULL,
  `oZ` float NOT NULL,
  `oW` float NOT NULL,
  `X` float NOT NULL,
  `Z` float NOT NULL,
  `Y` float NOT NULL,
  `deleted` tinyint(1) NOT NULL DEFAULT '0',
  `attributes` text NOT NULL,
  `noBuildArea` bigint(20) unsigned NOT NULL DEFAULT '0',
  UNIQUE KEY `object_id` (`object_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for characters
-- ----------------------------
DROP TABLE IF EXISTS `characters`;
CREATE TABLE `characters` (
  `character_oid` bigint(20) NOT NULL,
  `account_id` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `galaxy_id` int(5) unsigned NOT NULL DEFAULT '0',
  `firstname` varchar(15) NOT NULL DEFAULT '',
  `surname` varchar(20) DEFAULT NULL,
  `race` tinyint(2) NOT NULL DEFAULT '0',
  `gender` tinyint(1) NOT NULL DEFAULT '0',
  `template` tinytext NOT NULL,
  PRIMARY KEY (`character_oid`),
  KEY `acc_idx` (`account_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for city_regions
-- ----------------------------
DROP TABLE IF EXISTS `city_regions`;
CREATE TABLE `city_regions` (
  `cr_id` int(11) NOT NULL AUTO_INCREMENT,
  `planet_id` int(11) NOT NULL,
  `region_name` char(255) DEFAULT NULL,
  `region_file` char(255) DEFAULT NULL,
  `x` float NOT NULL,
  `z` float NOT NULL,
  `radius` float NOT NULL,
  PRIMARY KEY (`cr_id`)
) ENGINE=MyISAM AUTO_INCREMENT=54 DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for client_strings
-- ----------------------------
DROP TABLE IF EXISTS `client_strings`;
CREATE TABLE `client_strings` (
  `stringFile` varchar(255) NOT NULL,
  `index` int(10) unsigned NOT NULL,
  `name` varchar(255) NOT NULL,
  `value` text NOT NULL,
  PRIMARY KEY (`stringFile`,`index`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for clientregion_corellia
-- ----------------------------
DROP TABLE IF EXISTS `clientregion_corellia`;
CREATE TABLE `clientregion_corellia` (
  `Name` varchar(36) DEFAULT NULL,
  `X` float DEFAULT NULL,
  `Z` float DEFAULT NULL,
  `Radius` float DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for clientregion_dantooine
-- ----------------------------
DROP TABLE IF EXISTS `clientregion_dantooine`;
CREATE TABLE `clientregion_dantooine` (
  `Name` varchar(43) DEFAULT NULL,
  `X` float DEFAULT NULL,
  `Z` float DEFAULT NULL,
  `Radius` float DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for clientregion_dathomir
-- ----------------------------
DROP TABLE IF EXISTS `clientregion_dathomir`;
CREATE TABLE `clientregion_dathomir` (
  `Name` varchar(40) DEFAULT NULL,
  `X` float DEFAULT NULL,
  `Z` float DEFAULT NULL,
  `Radius` float DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for clientregion_endor
-- ----------------------------
DROP TABLE IF EXISTS `clientregion_endor`;
CREATE TABLE `clientregion_endor` (
  `Name` varchar(30) DEFAULT NULL,
  `X` float DEFAULT NULL,
  `Z` float DEFAULT NULL,
  `Radius` float DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for clientregion_lok
-- ----------------------------
DROP TABLE IF EXISTS `clientregion_lok`;
CREATE TABLE `clientregion_lok` (
  `Name` varchar(37) DEFAULT NULL,
  `X` float DEFAULT NULL,
  `Z` float DEFAULT NULL,
  `Radius` float DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for clientregion_naboo
-- ----------------------------
DROP TABLE IF EXISTS `clientregion_naboo`;
CREATE TABLE `clientregion_naboo` (
  `Name` varchar(40) DEFAULT NULL,
  `X` float DEFAULT NULL,
  `Z` float DEFAULT NULL,
  `Radius` float DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for clientregion_rori
-- ----------------------------
DROP TABLE IF EXISTS `clientregion_rori`;
CREATE TABLE `clientregion_rori` (
  `Name` varchar(34) DEFAULT NULL,
  `X` float DEFAULT NULL,
  `Z` float DEFAULT NULL,
  `Radius` float DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for clientregion_talus
-- ----------------------------
DROP TABLE IF EXISTS `clientregion_talus`;
CREATE TABLE `clientregion_talus` (
  `Name` varchar(39) DEFAULT NULL,
  `X` float DEFAULT NULL,
  `Z` float DEFAULT NULL,
  `Radius` float DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for clientregion_tatooine
-- ----------------------------
DROP TABLE IF EXISTS `clientregion_tatooine`;
CREATE TABLE `clientregion_tatooine` (
  `Name` varchar(33) DEFAULT NULL,
  `X` float DEFAULT NULL,
  `Z` float DEFAULT NULL,
  `Radius` float DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for clientregion_yavin4
-- ----------------------------
DROP TABLE IF EXISTS `clientregion_yavin4`;
CREATE TABLE `clientregion_yavin4` (
  `Name` varchar(31) DEFAULT NULL,
  `X` float DEFAULT NULL,
  `Z` float DEFAULT NULL,
  `Radius` float DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for clone_spawn_points
-- ----------------------------
DROP TABLE IF EXISTS `clone_spawn_points`;
CREATE TABLE `clone_spawn_points` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `oX` float NOT NULL DEFAULT '0',
  `oZ` float NOT NULL DEFAULT '0',
  `oY` float NOT NULL DEFAULT '0',
  `oW` float NOT NULL DEFAULT '0',
  `X` float NOT NULL DEFAULT '0',
  `Z` float NOT NULL DEFAULT '0',
  `Y` float NOT NULL DEFAULT '0',
  `parentID` bigint(20) NOT NULL DEFAULT '0',
  `zoneid` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=165 DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for command_client_command_table
-- ----------------------------
DROP TABLE IF EXISTS `command_client_command_table`;
CREATE TABLE `command_client_command_table` (
  `commandName` varchar(18) DEFAULT NULL,
  `defaultPriority` varchar(9) DEFAULT NULL,
  `scriptHook` varchar(1) DEFAULT NULL,
  `failScriptHook` varchar(1) DEFAULT NULL,
  `cppHook` varchar(20) DEFAULT NULL,
  `failCppHook` varchar(1) DEFAULT NULL,
  `defaultTime` float DEFAULT NULL,
  `characterAbility` varchar(8) DEFAULT NULL,
  `L:standing` tinyint(1) DEFAULT NULL,
  `L:sneaking` tinyint(1) DEFAULT NULL,
  `L:walking` tinyint(1) DEFAULT NULL,
  `L:running` tinyint(1) DEFAULT NULL,
  `L:kneeling` tinyint(1) DEFAULT NULL,
  `L:crouchSneaking` tinyint(1) DEFAULT NULL,
  `L:crouchWalking` tinyint(1) DEFAULT NULL,
  `L:prone` tinyint(1) DEFAULT NULL,
  `L:crawling` tinyint(1) DEFAULT NULL,
  `L:climbingStationary` tinyint(1) DEFAULT NULL,
  `L:climbing` tinyint(1) DEFAULT NULL,
  `L:hovering` tinyint(1) DEFAULT NULL,
  `L:flying` tinyint(1) DEFAULT NULL,
  `L:lyingDown` tinyint(1) DEFAULT NULL,
  `L:sitting` tinyint(1) DEFAULT NULL,
  `L:skillAnimating` tinyint(1) DEFAULT NULL,
  `L:drivingVehicle` tinyint(1) DEFAULT NULL,
  `L:ridingCreature` tinyint(1) DEFAULT NULL,
  `L:knockedDown` tinyint(1) DEFAULT NULL,
  `L:incapacitated` tinyint(1) DEFAULT NULL,
  `L:dead` tinyint(1) DEFAULT NULL,
  `L:blocking` tinyint(1) DEFAULT NULL,
  `S:cover` tinyint(1) DEFAULT NULL,
  `S:combat` tinyint(1) DEFAULT NULL,
  `S:peace` tinyint(1) DEFAULT NULL,
  `S:aiming` tinyint(1) DEFAULT NULL,
  `S:alert` tinyint(1) DEFAULT NULL,
  `S:berserk` tinyint(1) DEFAULT NULL,
  `S:feignDeath` tinyint(1) DEFAULT NULL,
  `S:combatAttitudeEvasive` tinyint(1) DEFAULT NULL,
  `S:combatAttitudeNormal` tinyint(1) DEFAULT NULL,
  `S:combatAttitudeAggressive` tinyint(1) DEFAULT NULL,
  `S:tumbling` tinyint(1) DEFAULT NULL,
  `S:rallied` tinyint(1) DEFAULT NULL,
  `S:stunned` tinyint(1) DEFAULT NULL,
  `S:blinded` tinyint(1) DEFAULT NULL,
  `S:dizzy` tinyint(1) DEFAULT NULL,
  `S:intimidated` tinyint(1) DEFAULT NULL,
  `S:immobilized` tinyint(1) DEFAULT NULL,
  `S:frozen` tinyint(1) DEFAULT NULL,
  `S:swimming` tinyint(1) DEFAULT NULL,
  `S:sittingOnChair` tinyint(1) DEFAULT NULL,
  `S:crafting` tinyint(1) DEFAULT NULL,
  `S:glowingJedi` tinyint(1) DEFAULT NULL,
  `S:maskScent` tinyint(1) DEFAULT NULL,
  `S:poisoned` tinyint(1) DEFAULT NULL,
  `S:bleeding` tinyint(1) DEFAULT NULL,
  `S:diseased` tinyint(1) DEFAULT NULL,
  `S:onFire` tinyint(1) DEFAULT NULL,
  `S:ridingMount` tinyint(1) DEFAULT NULL,
  `S:mountedCreature` tinyint(1) DEFAULT NULL,
  `S:pilotingShip` tinyint(1) DEFAULT NULL,
  `S:pilotingPobShip` tinyint(1) DEFAULT NULL,
  `S:shipOperations` tinyint(1) DEFAULT NULL,
  `S:shipGunner` tinyint(1) DEFAULT NULL,
  `S:shipInterior` tinyint(1) DEFAULT NULL,
  `tempScript` varchar(1) DEFAULT NULL,
  `targetType` varchar(8) DEFAULT NULL,
  `stringId` varchar(1) DEFAULT NULL,
  `visible` int(10) unsigned DEFAULT NULL,
  `callOnTarget` tinyint(1) DEFAULT NULL,
  `commandGroup` int(11) DEFAULT NULL,
  `disabled` tinyint(1) DEFAULT NULL,
  `maxRangeToTarget` float DEFAULT NULL,
  `godLevel` int(10) unsigned DEFAULT NULL,
  `displayGroup` int(10) unsigned DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for command_command_table
-- ----------------------------
DROP TABLE IF EXISTS `command_command_table`;
CREATE TABLE `command_command_table` (
  `commandName` varchar(37) DEFAULT NULL,
  `defaultPriority` varchar(9) DEFAULT NULL,
  `scriptHook` varchar(35) DEFAULT NULL,
  `failScriptHook` varchar(22) DEFAULT NULL,
  `cppHook` varchar(37) DEFAULT NULL,
  `failCppHook` varchar(26) DEFAULT NULL,
  `defaultTime` float DEFAULT NULL,
  `characterAbility` varchar(23) DEFAULT NULL,
  `L:standing` tinyint(1) DEFAULT NULL,
  `L:sneaking` tinyint(1) DEFAULT NULL,
  `L:walking` tinyint(1) DEFAULT NULL,
  `L:running` tinyint(1) DEFAULT NULL,
  `L:kneeling` tinyint(1) DEFAULT NULL,
  `L:crouchSneaking` tinyint(1) DEFAULT NULL,
  `L:crouchWalking` tinyint(1) DEFAULT NULL,
  `L:prone` tinyint(1) DEFAULT NULL,
  `L:crawling` tinyint(1) DEFAULT NULL,
  `L:climbingStationary` tinyint(1) DEFAULT NULL,
  `L:climbing` tinyint(1) DEFAULT NULL,
  `L:hovering` tinyint(1) DEFAULT NULL,
  `L:flying` tinyint(1) DEFAULT NULL,
  `L:lyingDown` tinyint(1) DEFAULT NULL,
  `L:sitting` tinyint(1) DEFAULT NULL,
  `L:skillAnimating` tinyint(1) DEFAULT NULL,
  `L:drivingVehicle` tinyint(1) DEFAULT NULL,
  `L:ridingCreature` tinyint(1) DEFAULT NULL,
  `L:knockedDown` tinyint(1) DEFAULT NULL,
  `L:incapacitated` tinyint(1) DEFAULT NULL,
  `L:dead` tinyint(1) DEFAULT NULL,
  `L:blocking` tinyint(1) DEFAULT NULL,
  `S:cover` tinyint(1) DEFAULT NULL,
  `S:combat` tinyint(1) DEFAULT NULL,
  `S:peace` tinyint(1) DEFAULT NULL,
  `S:aiming` tinyint(1) DEFAULT NULL,
  `S:alert` tinyint(1) DEFAULT NULL,
  `S:berserk` tinyint(1) DEFAULT NULL,
  `S:feignDeath` tinyint(1) DEFAULT NULL,
  `S:combatAttitudeEvasive` tinyint(1) DEFAULT NULL,
  `S:combatAttitudeNormal` tinyint(1) DEFAULT NULL,
  `S:combatAttitudeAggressive` tinyint(1) DEFAULT NULL,
  `S:tumbling` tinyint(1) DEFAULT NULL,
  `S:rallied` tinyint(1) DEFAULT NULL,
  `S:stunned` tinyint(1) DEFAULT NULL,
  `S:blinded` tinyint(1) DEFAULT NULL,
  `S:dizzy` tinyint(1) DEFAULT NULL,
  `S:intimidated` tinyint(1) DEFAULT NULL,
  `S:immobilized` tinyint(1) DEFAULT NULL,
  `S:frozen` tinyint(1) DEFAULT NULL,
  `S:swimming` tinyint(1) DEFAULT NULL,
  `S:sittingOnChair` tinyint(1) DEFAULT NULL,
  `S:crafting` tinyint(1) DEFAULT NULL,
  `S:glowingJedi` tinyint(1) DEFAULT NULL,
  `S:maskScent` tinyint(1) DEFAULT NULL,
  `S:poisoned` tinyint(1) DEFAULT NULL,
  `S:bleeding` tinyint(1) DEFAULT NULL,
  `S:diseased` tinyint(1) DEFAULT NULL,
  `S:onFire` tinyint(1) DEFAULT NULL,
  `S:ridingMount` tinyint(1) DEFAULT NULL,
  `S:mountedCreature` tinyint(1) DEFAULT NULL,
  `S:pilotingShip` tinyint(1) DEFAULT NULL,
  `S:pilotingPobShip` tinyint(1) DEFAULT NULL,
  `S:shipOperations` tinyint(1) DEFAULT NULL,
  `S:shipGunner` tinyint(1) DEFAULT NULL,
  `S:shipInterior` tinyint(1) DEFAULT NULL,
  `tempScript` varchar(44) DEFAULT NULL,
  `targetType` varchar(8) DEFAULT NULL,
  `stringId` varchar(1) DEFAULT NULL,
  `visible` int(10) unsigned DEFAULT NULL,
  `callOnTarget` tinyint(1) DEFAULT NULL,
  `commandGroup` int(11) DEFAULT NULL,
  `disabled` tinyint(1) DEFAULT NULL,
  `maxRangeToTarget` float DEFAULT NULL,
  `godLevel` int(10) unsigned DEFAULT NULL,
  `displayGroup` int(11) DEFAULT NULL,
  `addToCombatQueue` tinyint(1) DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for consentlist
-- ----------------------------
DROP TABLE IF EXISTS `consentlist`;
CREATE TABLE `consentlist` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `character_id` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `target_id` mediumint(8) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Table structure for cs_tickets
-- ----------------------------
DROP TABLE IF EXISTS `cs_tickets`;
CREATE TABLE `cs_tickets` (
  `ticket_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `category_main` int(10) unsigned NOT NULL DEFAULT '0',
  `category_sub` int(10) unsigned NOT NULL DEFAULT '0',
  `player_name` varchar(45) NOT NULL DEFAULT 'default',
  `station_id` int(10) unsigned NOT NULL DEFAULT '0',
  `bug_type` varchar(45) NOT NULL DEFAULT 'default',
  `repeatable` tinyint(1) NOT NULL DEFAULT '0',
  `game_system` varchar(45) NOT NULL DEFAULT 'default',
  `severity` tinyint(1) unsigned zerofill NOT NULL DEFAULT '0',
  `position_x` float(10,6) NOT NULL DEFAULT '0.000000',
  `position_y` float(10,6) NOT NULL DEFAULT '0.000000',
  `position_z` float(10,6) NOT NULL DEFAULT '0.000000',
  `position_heading` float(10,6) NOT NULL DEFAULT '0.000000',
  `planet` varchar(20) NOT NULL DEFAULT 'default',
  `cluster` varchar(45) NOT NULL DEFAULT 'default',
  `race` varchar(20) NOT NULL DEFAULT 'default',
  `client_version` varchar(45) NOT NULL DEFAULT 'default',
  `date_time` varchar(45) NOT NULL DEFAULT 'default',
  `other_info` varchar(45) NOT NULL DEFAULT 'default',
  PRIMARY KEY (`ticket_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Table structure for customization_data
-- ----------------------------
DROP TABLE IF EXISTS `customization_data`;
CREATE TABLE `customization_data` (
  `speciesGender` varchar(30) NOT NULL DEFAULT '',
  `customizationGroup` varchar(15) NOT NULL DEFAULT '',
  `type` varchar(7) DEFAULT NULL,
  `customizationName` varchar(20) NOT NULL DEFAULT '',
  `variables` varchar(255) DEFAULT NULL,
  `isScale` tinyint(1) DEFAULT '0',
  `reverse` tinyint(1) DEFAULT '0',
  `colorLinked` varchar(255) DEFAULT NULL,
  `colorLinkedtoSelf0` varchar(255) DEFAULT NULL,
  `colorLinkedtoSelf1` varchar(255) DEFAULT NULL,
  `cameraYaw` int(10) unsigned DEFAULT NULL,
  `discrete` tinyint(1) DEFAULT '0',
  `randomizable` tinyint(1) DEFAULT '0',
  `randomizableGroup` tinyint(1) DEFAULT '0',
  `isVarHairColor` tinyint(1) DEFAULT '0',
  `imageDesignSkillMod` varchar(15) DEFAULT NULL,
  `skillModValue` int(10) unsigned DEFAULT '0',
  `modificationType` varchar(10) DEFAULT NULL,
  `maxChoices` int(10) unsigned DEFAULT '0',
  `minScale` float(4,2) NOT NULL DEFAULT '1.00',
  `maxScale` float(4,2) NOT NULL DEFAULT '1.00',
  PRIMARY KEY (`speciesGender`,`customizationGroup`,`customizationName`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for datapad
-- ----------------------------
DROP TABLE IF EXISTS `datapad`;
CREATE TABLE `datapad` (
  `object_id` bigint(20) unsigned NOT NULL,
  `character_id` bigint(20) unsigned NOT NULL,
  `object_type` bigint(20) NOT NULL,
  `custom_name` tinytext NOT NULL,
  `stringFile` tinytext NOT NULL,
  `stringName` tinytext NOT NULL,
  `object_crc` bigint(10) unsigned NOT NULL,
  `attributes` text NOT NULL,
  `appearance` mediumtext NOT NULL,
  `linked_tano_id` bigint(20) unsigned NOT NULL,
  `deleted` bit(1) NOT NULL DEFAULT b'0',
  PRIMARY KEY (`object_id`),
  KEY `char_ix` (`character_id`),
  KEY `item_ix` (`object_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for datapad_items
-- ----------------------------
DROP TABLE IF EXISTS `datapad_items`;
CREATE TABLE `datapad_items` (
  `item_id` bigint(20) unsigned NOT NULL,
  `character_id` bigint(20) unsigned NOT NULL,
  `name` text NOT NULL,
  `template_crc` bigint(20) unsigned NOT NULL,
  `template_type` int(10) unsigned NOT NULL,
  `template_type_name` tinytext NOT NULL,
  `template_name` tinytext NOT NULL,
  `container` bigint(20) unsigned NOT NULL DEFAULT '0',
  `equipped` tinyint(1) unsigned NOT NULL,
  `deleted` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `attributes` text NOT NULL,
  `appearance` mediumtext NOT NULL,
  `itemMask` smallint(5) unsigned NOT NULL DEFAULT '65535',
  `optionsBitmask` int(10) unsigned NOT NULL DEFAULT '0',
  `in_bank` tinyint(3) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`item_id`),
  KEY `container_ix` (`container`),
  KEY `deleted_ix` (`deleted`),
  KEY `char_ix` (`character_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for deleted_characters
-- ----------------------------
DROP TABLE IF EXISTS `deleted_characters`;
CREATE TABLE `deleted_characters` (
  `character_oid` bigint(20) NOT NULL,
  `account_id` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `galaxy_id` int(5) unsigned NOT NULL DEFAULT '0',
  `firstname` varchar(15) NOT NULL DEFAULT '',
  `surname` varchar(20) DEFAULT NULL,
  `race` tinyint(2) NOT NULL DEFAULT '0',
  `gender` tinyint(1) NOT NULL DEFAULT '0',
  `template` tinytext NOT NULL,
  PRIMARY KEY (`character_oid`),
  KEY `acc_idx` (`account_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for draft_schematics
-- ----------------------------
DROP TABLE IF EXISTS `draft_schematics`;
CREATE TABLE `draft_schematics` (
  `draftschematic_id` bigint(20) unsigned NOT NULL,
  `name` text NOT NULL,
  `object_crc` int(10) unsigned NOT NULL,
  `group_name` tinytext NOT NULL,
  `complexity` int(10) unsigned NOT NULL,
  `schematic_size` int(10) unsigned NOT NULL,
  `ingredient_template_names` text NOT NULL,
  `ingredient_title_names` text NOT NULL,
  `ingredient_optional` text NOT NULL,
  `resource_types` text NOT NULL,
  `resource_quantities` text NOT NULL,
  `number_experimental_property` text NOT NULL,
  `experimental_property` text NOT NULL,
  `experimental_weights` text NOT NULL,
  `experimental_group_title` text NOT NULL,
  `tano_attributes` text NOT NULL,
  `crafting_tool_tab` int(10) unsigned NOT NULL,
  PRIMARY KEY (`draftschematic_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for faction
-- ----------------------------
DROP TABLE IF EXISTS `faction`;
CREATE TABLE `faction` (
  `faction_id` int(4) unsigned NOT NULL AUTO_INCREMENT,
  `faction` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`faction_id`)
) ENGINE=MyISAM AUTO_INCREMENT=64 DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for friendlist
-- ----------------------------
DROP TABLE IF EXISTS `friendlist`;
CREATE TABLE `friendlist` (
  `character_id` mediumint(8) unsigned NOT NULL,
  `friend_id` mediumint(8) NOT NULL,
  `friend_galaxy` varchar(50) NOT NULL,
  `ix` int(10) unsigned NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`ix`),
  KEY `char_id_ix` (`character_id`),
  KEY `friend_id` (`friend_id`),
  KEY `friend_galaxy_ix` (`friend_galaxy`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for friendlist_reverse
-- ----------------------------
DROP TABLE IF EXISTS `friendlist_reverse`;
CREATE TABLE `friendlist_reverse` (
  `charID` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `gotMePOID` bigint(20) NOT NULL DEFAULT '0',
  PRIMARY KEY (`charID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for galaxy
-- ----------------------------
DROP TABLE IF EXISTS `galaxy`;
CREATE TABLE `galaxy` (
  `galaxy_id` int(5) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) NOT NULL DEFAULT '',
  `address` varchar(100) NOT NULL DEFAULT '',
  `port` int(8) NOT NULL DEFAULT '0',
  `pingport` int(8) DEFAULT NULL,
  `population` int(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`galaxy_id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for guilds
-- ----------------------------
DROP TABLE IF EXISTS `guilds`;
CREATE TABLE `guilds` (
  `guild_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `guild_tag` varchar(255) NOT NULL DEFAULT 'DEFAULT',
  `guild_name` varchar(255) NOT NULL DEFAULT 'Default Guild',
  `members` int(4) unsigned zerofill NOT NULL DEFAULT '0000',
  `created` varchar(10) DEFAULT NULL,
  `leader` bigint(11) DEFAULT NULL,
  `last_name_change` varchar(10) DEFAULT NULL,
  PRIMARY KEY (`guild_id`),
  KEY `guildID_ix` (`guild_id`),
  KEY `guidleader_ix` (`leader`),
  KEY `guildTag_ix` (`guild_tag`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for guilds_sponsoring
-- ----------------------------
DROP TABLE IF EXISTS `guilds_sponsoring`;
CREATE TABLE `guilds_sponsoring` (
  `guild_id` int(11) unsigned NOT NULL,
  `guild_name` varchar(255) NOT NULL DEFAULT 'Default Guild',
  `sponsored_time` varchar(10) DEFAULT NULL,
  `sponsored_by` bigint(11) unsigned DEFAULT NULL,
  `sponsored` bigint(11) unsigned DEFAULT NULL,
  `pix` bigint(11) unsigned NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`pix`),
  KEY `sponsored_ix` (`sponsored`),
  KEY `sponsor_ix` (`sponsored_by`),
  KEY `guild_ix` (`guild_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for ignorelist
-- ----------------------------
DROP TABLE IF EXISTS `ignorelist`;
CREATE TABLE `ignorelist` (
  `character_id` mediumint(8) unsigned NOT NULL,
  `ignore_id` mediumint(8) NOT NULL,
  `ignore_galaxy` varchar(50) NOT NULL,
  `ix` int(10) unsigned NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`ix`),
  KEY `char_id_ix` (`character_id`),
  KEY `ignore_id` (`ignore_id`),
  KEY `ignore_galaxy_ix` (`ignore_galaxy`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for informants
-- ----------------------------
DROP TABLE IF EXISTS `informants`;
CREATE TABLE `informants` (
  `id` smallint(6) NOT NULL AUTO_INCREMENT,
  `planet` smallint(6) NOT NULL DEFAULT '0',
  `cell` bigint(20) NOT NULL DEFAULT '0',
  `X` double NOT NULL DEFAULT '0',
  `Y` double NOT NULL DEFAULT '0',
  `Z` double NOT NULL DEFAULT '0',
  `oY` double NOT NULL DEFAULT '0',
  `oW` double NOT NULL DEFAULT '0',
  `level` smallint(6) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=168 DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for kb_articles
-- ----------------------------
DROP TABLE IF EXISTS `kb_articles`;
CREATE TABLE `kb_articles` (
  `articleid` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `stffile` varchar(64) NOT NULL,
  `stfname` varchar(64) NOT NULL,
  PRIMARY KEY (`articleid`)
) ENGINE=MyISAM AUTO_INCREMENT=286 DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for kb_tickets
-- ----------------------------
DROP TABLE IF EXISTS `kb_tickets`;
CREATE TABLE `kb_tickets` (
  `ticketid` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `category` int(10) unsigned NOT NULL,
  `status` bit(1) NOT NULL,
  PRIMARY KEY (`ticketid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for kb_tickets_categories
-- ----------------------------
DROP TABLE IF EXISTS `kb_tickets_categories`;
CREATE TABLE `kb_tickets_categories` (
  `categoryid` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `parentid` int(11) NOT NULL DEFAULT '0',
  `name` varchar(64) NOT NULL,
  PRIMARY KEY (`categoryid`)
) ENGINE=MyISAM AUTO_INCREMENT=16 DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for kb_tickets_comments
-- ----------------------------
DROP TABLE IF EXISTS `kb_tickets_comments`;
CREATE TABLE `kb_tickets_comments` (
  `commentid` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `ticketid` int(10) unsigned NOT NULL,
  `characterid` bigint(20) NOT NULL,
  `comment` text NOT NULL,
  PRIMARY KEY (`commentid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for knowledgebase
-- ----------------------------
DROP TABLE IF EXISTS `knowledgebase`;
CREATE TABLE `knowledgebase` (
  `article_id` int(11) NOT NULL AUTO_INCREMENT,
  `article_title` varchar(45) NOT NULL DEFAULT 'Empty Title',
  `article_text` varchar(255) NOT NULL DEFAULT 'Empty Body',
  PRIMARY KEY (`article_id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for log_commands
-- ----------------------------
DROP TABLE IF EXISTS `log_commands`;
CREATE TABLE `log_commands` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `playername` varchar(128) NOT NULL,
  `command` varchar(64) NOT NULL,
  `arguments` text NOT NULL,
  `targetname` varchar(128) NOT NULL,
  `targetid` bigint(20) NOT NULL DEFAULT '0',
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for loot_groups
-- ----------------------------
DROP TABLE IF EXISTS `loot_groups`;
CREATE TABLE `loot_groups` (
  `lootGroup` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `internalName` varchar(64) NOT NULL DEFAULT 'Unnamed Lootgroup',
  `weight` tinyint(3) unsigned NOT NULL DEFAULT '5',
  `minimumItemsDropped` tinyint(3) unsigned NOT NULL DEFAULT '1',
  `maximumItemsDropped` tinyint(3) unsigned NOT NULL DEFAULT '1',
  PRIMARY KEY (`lootGroup`) USING BTREE
) ENGINE=MyISAM AUTO_INCREMENT=2236 DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for loot_items
-- ----------------------------
DROP TABLE IF EXISTS `loot_items`;
CREATE TABLE `loot_items` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `lootGroup` int(10) unsigned NOT NULL DEFAULT '0',
  `customName` varchar(256) DEFAULT NULL,
  `objectCRC` int(10) unsigned NOT NULL DEFAULT '0',
  `objectType` int(10) unsigned NOT NULL DEFAULT '0',
  `stfFile` varchar(64) DEFAULT '',
  `stfName` varchar(64) DEFAULT '',
  `itemAttributes` text NOT NULL,
  `appearance` mediumtext NOT NULL,
  `chance` float unsigned NOT NULL DEFAULT '100',
  `maximumLevel` int(10) unsigned NOT NULL DEFAULT '0',
  `minimumLevel` int(10) unsigned NOT NULL DEFAULT '0',
  `minimumToDuplicate` tinyint(3) NOT NULL DEFAULT '0',
  `maximumToDuplicate` tinyint(3) NOT NULL DEFAULT '0',
  `expiresTimestamp` int(10) unsigned NOT NULL DEFAULT '0',
  `beginsTimestamp` int(10) unsigned NOT NULL DEFAULT '0',
  `notrade` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `race` varchar(150) NOT NULL DEFAULT 'all',
  `playerItemUseMask` smallint(5) unsigned NOT NULL DEFAULT '65535',
  `optionsBitmask` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `lootgroup_ix` (`lootGroup`),
  KEY `chance_ix` (`chance`),
  KEY `lootlevel_ix` (`minimumLevel`),
  FULLTEXT KEY `race_ix` (`race`)
) ENGINE=MyISAM AUTO_INCREMENT=21178 DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for lootgroup_weight
-- ----------------------------
DROP TABLE IF EXISTS `lootgroup_weight`;
CREATE TABLE `lootgroup_weight` (
  `lootgroup` int(4) unsigned NOT NULL,
  `weight` tinyint(3) DEFAULT NULL,
  `max_drop_from_this_group` tinyint(3) unsigned NOT NULL DEFAULT '3',
  PRIMARY KEY (`lootgroup`)
) ENGINE=MyISAM AUTO_INCREMENT=608 DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for loottable
-- ----------------------------
DROP TABLE IF EXISTS `loottable`;
CREATE TABLE `loottable` (
  `lootgroup` tinyint(4) DEFAULT NULL,
  `name` text NOT NULL,
  `template_crc` bigint(20) unsigned NOT NULL,
  `template_type` int(10) unsigned NOT NULL,
  `template_name` varchar(50) DEFAULT '',
  `container` bigint(20) unsigned NOT NULL DEFAULT '0',
  `attributes` text NOT NULL,
  `appearance` mediumtext NOT NULL,
  `chance` int(10) unsigned NOT NULL DEFAULT '100',
  `level` int(10) unsigned NOT NULL DEFAULT '0',
  `lastdropstamp` varchar(20) NOT NULL DEFAULT '0',
  `dontdropbefore` varchar(20) NOT NULL DEFAULT '0',
  `unique` int(10) unsigned NOT NULL DEFAULT '0',
  `notrade` int(10) unsigned NOT NULL DEFAULT '0',
  `race` varchar(150) NOT NULL DEFAULT 'all',
  `pix` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `itemMask` smallint(5) unsigned NOT NULL DEFAULT '65535',
  PRIMARY KEY (`pix`),
  KEY `lootgroup_ix` (`lootgroup`),
  KEY `chance_ix` (`chance`),
  KEY `lootlevel_ix` (`level`),
  FULLTEXT KEY `race_ix` (`race`)
) ENGINE=MyISAM AUTO_INCREMENT=427 DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for mail
-- ----------------------------
DROP TABLE IF EXISTS `mail`;
CREATE TABLE `mail` (
  `mail_id` int(11) NOT NULL AUTO_INCREMENT,
  `sender_name` text NOT NULL,
  `recv_name` text NOT NULL,
  `subject` text NOT NULL,
  `body` text,
  `time` int(10) unsigned DEFAULT NULL,
  `attachment_id` mediumint(8) unsigned DEFAULT NULL,
  `read` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`mail_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for mail_attachment
-- ----------------------------
DROP TABLE IF EXISTS `mail_attachment`;
CREATE TABLE `mail_attachment` (
  `attachment_id` mediumint(8) unsigned NOT NULL,
  `planet_id` mediumint(8) unsigned NOT NULL,
  `mail_id` mediumint(8) unsigned NOT NULL,
  `name` varchar(64) NOT NULL,
  `x` float(10,6) NOT NULL,
  `y` float(10,6) NOT NULL,
  `z` float(10,6) NOT NULL,
  PRIMARY KEY (`attachment_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for mission_manager_hunt_types
-- ----------------------------
DROP TABLE IF EXISTS `mission_manager_hunt_types`;
CREATE TABLE `mission_manager_hunt_types` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `zoneid` int(11) NOT NULL,
  `file1` varchar(100) NOT NULL,
  `file2` varchar(100) DEFAULT NULL,
  `level` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for mission_manager_informants
-- ----------------------------
DROP TABLE IF EXISTS `mission_manager_informants`;
CREATE TABLE `mission_manager_informants` (
  `id` smallint(6) NOT NULL AUTO_INCREMENT,
  `planet` smallint(6) NOT NULL DEFAULT '0',
  `cell` bigint(20) NOT NULL DEFAULT '0',
  `X` double NOT NULL DEFAULT '0',
  `Y` double NOT NULL DEFAULT '0',
  `Z` double NOT NULL DEFAULT '0',
  `oY` double NOT NULL DEFAULT '0',
  `oW` double NOT NULL DEFAULT '0',
  `level` smallint(6) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=168 DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for mission_manager_npcs
-- ----------------------------
DROP TABLE IF EXISTS `mission_manager_npcs`;
CREATE TABLE `mission_manager_npcs` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `zoneid` int(11) DEFAULT NULL,
  `parentid` bigint(20) DEFAULT '0',
  `file` varchar(200) DEFAULT NULL,
  `oX` float DEFAULT '0',
  `oY` float DEFAULT '0',
  `oZ` float DEFAULT '0',
  `oW` float DEFAULT '1',
  `x` float DEFAULT NULL,
  `z` float DEFAULT NULL,
  `y` float DEFAULT NULL,
  `level` int(11) DEFAULT '10',
  `mood_animation` varchar(45) DEFAULT NULL,
  `creature_bitmask` int(10) unsigned DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idworldserverspawns_UNIQUE` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for mission_manager_recon_locs
-- ----------------------------
DROP TABLE IF EXISTS `mission_manager_recon_locs`;
CREATE TABLE `mission_manager_recon_locs` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `zoneid` tinyint(4) NOT NULL,
  `template_file` varchar(200) NOT NULL,
  `template_type` int(255) NOT NULL,
  `oX` float NOT NULL,
  `oY` float NOT NULL,
  `oZ` float NOT NULL,
  `oW` float NOT NULL,
  `X` float NOT NULL,
  `Z` float NOT NULL,
  `Y` float NOT NULL,
  PRIMARY KEY (`id`),
  KEY `zone_id` (`zoneid`),
  FULLTEXT KEY `file_ix` (`template_file`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for mission_manager_spawn_bounty
-- ----------------------------
DROP TABLE IF EXISTS `mission_manager_spawn_bounty`;
CREATE TABLE `mission_manager_spawn_bounty` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `file` varchar(250) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for mission_manager_spawn_lairs
-- ----------------------------
DROP TABLE IF EXISTS `mission_manager_spawn_lairs`;
CREATE TABLE `mission_manager_spawn_lairs` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `template` varchar(250) DEFAULT NULL,
  `planets` varchar(45) DEFAULT '-1',
  `level_range` varchar(45) DEFAULT '5-10',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for mission_save
-- ----------------------------
DROP TABLE IF EXISTS `mission_save`;
CREATE TABLE `mission_save` (
  `saveid` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `character_id` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `miso_key` text NOT NULL,
  `objective_vars` text NOT NULL,
  `waypoint_id` mediumint(8) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`saveid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for no_build_areas
-- ----------------------------
DROP TABLE IF EXISTS `no_build_areas`;
CREATE TABLE `no_build_areas` (
  `zoneid` tinyint(3) unsigned NOT NULL,
  `x` float NOT NULL,
  `y` float NOT NULL,
  `radius` float NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for no_build_zones
-- ----------------------------
DROP TABLE IF EXISTS `no_build_zones`;
CREATE TABLE `no_build_zones` (
  `nbz_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `planet_id` int(11) NOT NULL DEFAULT '0',
  `zone_name` char(255) DEFAULT 'region_name',
  `zone_file` char(255) DEFAULT 'region_file',
  `zone_type` char(255) DEFAULT NULL,
  `x` float NOT NULL DEFAULT '0',
  `z` float NOT NULL DEFAULT '0',
  `radius` float NOT NULL DEFAULT '0',
  PRIMARY KEY (`nbz_id`)
) ENGINE=InnoDB AUTO_INCREMENT=182 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for npc_faction
-- ----------------------------
DROP TABLE IF EXISTS `npc_faction`;
CREATE TABLE `npc_faction` (
  `npc_group_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `faction_id` int(4) unsigned NOT NULL DEFAULT '0',
  `value` int(5) NOT NULL DEFAULT '0',
  PRIMARY KEY (`npc_group_id`,`faction_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for object_crc_string_table
-- ----------------------------
DROP TABLE IF EXISTS `object_crc_string_table`;
CREATE TABLE `object_crc_string_table` (
  `decimal` bigint(20) NOT NULL DEFAULT '0',
  `hex` varchar(15) NOT NULL DEFAULT '',
  `path` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`decimal`,`hex`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for performance
-- ----------------------------
DROP TABLE IF EXISTS `performance`;
CREATE TABLE `performance` (
  `performanceName` varchar(11) DEFAULT NULL,
  `instrumentAudioId` int(10) unsigned DEFAULT NULL,
  `requiredSong` varchar(21) DEFAULT NULL,
  `requiredInstrument` varchar(11) DEFAULT NULL,
  `requiredDance` varchar(22) DEFAULT NULL,
  `danceVisualId` int(10) unsigned DEFAULT NULL,
  `actionPointsPerLoop` int(10) unsigned DEFAULT NULL,
  `loopDuration` float DEFAULT NULL,
  `type` int(11) DEFAULT NULL,
  `baseXp` int(10) unsigned DEFAULT NULL,
  `flourishXpMod` int(10) unsigned DEFAULT NULL,
  `healMindWound` int(10) unsigned DEFAULT NULL,
  `healShockWound` int(10) unsigned DEFAULT NULL,
  `requiredSkillMod` varchar(21) DEFAULT NULL,
  `requiredSkillModValue` int(10) unsigned DEFAULT NULL,
  `mainloop` varchar(40) DEFAULT NULL,
  `flourish1` varchar(46) DEFAULT NULL,
  `flourish2` varchar(46) DEFAULT NULL,
  `flourish3` varchar(46) DEFAULT NULL,
  `flourish4` varchar(46) DEFAULT NULL,
  `flourish5` varchar(46) DEFAULT NULL,
  `flourish6` varchar(46) DEFAULT NULL,
  `flourish7` varchar(46) DEFAULT NULL,
  `flourish8` varchar(46) DEFAULT NULL,
  `intro` varchar(41) DEFAULT NULL,
  `outro` varchar(41) DEFAULT NULL,
  `ix` int(10) unsigned NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`ix`),
  KEY `iAudio_ix` (`instrumentAudioId`),
  KEY `iDance_ix` (`danceVisualId`)
) ENGINE=MyISAM AUTO_INCREMENT=155 DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for performance_effect
-- ----------------------------
DROP TABLE IF EXISTS `performance_effect`;
CREATE TABLE `performance_effect` (
  `effectName` varchar(14) DEFAULT NULL,
  `performanceType` varchar(11) DEFAULT NULL,
  `requiredSkillModValue` int(10) unsigned DEFAULT NULL,
  `requiredPerforming` tinyint(1) DEFAULT NULL,
  `targetType` varchar(10) DEFAULT NULL,
  `effectDuration` float DEFAULT NULL,
  `effectActionCost` int(10) unsigned DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for planet
-- ----------------------------
DROP TABLE IF EXISTS `planet`;
CREATE TABLE `planet` (
  `planet_id` int(2) NOT NULL,
  `name` varchar(25) NOT NULL,
  PRIMARY KEY (`planet_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for planetmap
-- ----------------------------
DROP TABLE IF EXISTS `planetmap`;
CREATE TABLE `planetmap` (
  `index` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `planet` varchar(45) NOT NULL,
  `location_name` varchar(65) NOT NULL,
  `x` float NOT NULL,
  `y` float NOT NULL,
  `type1` int(10) unsigned NOT NULL,
  `type2` int(10) unsigned NOT NULL,
  `type3` int(10) unsigned NOT NULL,
  PRIMARY KEY (`index`)
) ENGINE=MyISAM AUTO_INCREMENT=722 DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for player_storage
-- ----------------------------
DROP TABLE IF EXISTS `player_storage`;
CREATE TABLE `player_storage` (
  `item_id` bigint(20) unsigned NOT NULL,
  `structure_id` bigint(20) unsigned NOT NULL,
  `name` text NOT NULL,
  `template_crc` bigint(20) unsigned NOT NULL,
  `template_type` int(10) unsigned NOT NULL,
  `template_name` tinytext NOT NULL,
  `container` bigint(20) unsigned NOT NULL DEFAULT '0',
  `parent_id` bigint(20) unsigned NOT NULL,
  `attributes` text NOT NULL,
  `appearance` mediumtext NOT NULL,
  `itemMask` smallint(5) unsigned NOT NULL,
  `X` float NOT NULL,
  `Y` float NOT NULL,
  `Z` float NOT NULL,
  `oX` float NOT NULL,
  `oY` float NOT NULL,
  `oZ` float NOT NULL,
  `oW` float NOT NULL,
  `dropped_by_character` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `optionsBitmask` int(10) unsigned NOT NULL,
  PRIMARY KEY (`item_id`),
  KEY `structure_ix` (`structure_id`),
  KEY `container_ix` (`container`),
  KEY `parent_ix` (`parent_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for profession
-- ----------------------------
DROP TABLE IF EXISTS `profession`;
CREATE TABLE `profession` (
  `profession_id` int(4) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(45) NOT NULL DEFAULT '',
  PRIMARY KEY (`profession_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for recruiters
-- ----------------------------
DROP TABLE IF EXISTS `recruiters`;
CREATE TABLE `recruiters` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `planet_id` tinyint(1) unsigned NOT NULL,
  `x` float NOT NULL,
  `y` float NOT NULL,
  `z` float NOT NULL,
  `oY` float NOT NULL,
  `oW` float NOT NULL,
  `cell_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `type` tinyint(1) unsigned NOT NULL COMMENT '1 = imperial 2= rebel',
  PRIMARY KEY (`id`),
  KEY `SECONDARY` (`planet_id`)
) ENGINE=MyISAM AUTO_INCREMENT=19 DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for resource_data
-- ----------------------------
DROP TABLE IF EXISTS `resource_data`;
CREATE TABLE `resource_data` (
  `INDEX` int(11) NOT NULL AUTO_INCREMENT,
  `resource_name` varchar(255) NOT NULL,
  `resource_type` varchar(255) NOT NULL,
  `class_1` varchar(255) DEFAULT NULL,
  `class_2` varchar(255) DEFAULT NULL,
  `class_3` varchar(255) DEFAULT NULL,
  `class_4` varchar(255) DEFAULT NULL,
  `class_5` varchar(255) DEFAULT NULL,
  `class_6` varchar(255) DEFAULT NULL,
  `class_7` varchar(255) DEFAULT NULL,
  `res_decay_resist` varchar(255) DEFAULT '0',
  `res_quality` varchar(255) DEFAULT '0',
  `res_flavor` varchar(255) DEFAULT '0',
  `res_potential_energy` varchar(255) DEFAULT '0',
  `res_malleability` varchar(255) DEFAULT '0',
  `res_toughness` varchar(255) DEFAULT '0',
  `res_shock_resistance` varchar(255) DEFAULT '0',
  `res_cold_resist` varchar(255) DEFAULT '0',
  `res_heat_resist` varchar(255) DEFAULT '0',
  `res_conductivity` varchar(255) DEFAULT '0',
  `entangle_resistance` varchar(255) DEFAULT '0',
  `shiftedIn` bigint(20) NOT NULL,
  `shiftedOut` bigint(20) NOT NULL DEFAULT '0',
  `container` varchar(255) NOT NULL,
  `containerCRC` bigint(20) NOT NULL,
  PRIMARY KEY (`INDEX`),
  KEY `name_ix` (`resource_name`),
  KEY `class_ix_1` (`class_1`),
  KEY `class_ix_2` (`class_2`),
  KEY `class_ix_3` (`class_3`),
  KEY `class_ix_4` (`class_4`),
  KEY `class_ix_5` (`class_5`),
  KEY `class_ix_6` (`class_6`),
  KEY `class_ix_7` (`class_7`)
) ENGINE=MyISAM AUTO_INCREMENT=2010 DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for resource_spawns
-- ----------------------------
DROP TABLE IF EXISTS `resource_spawns`;
CREATE TABLE `resource_spawns` (
  `INDEX` int(11) NOT NULL AUTO_INCREMENT,
  `resource_name` varchar(255) NOT NULL,
  `planet_id` smallint(6) NOT NULL,
  `x` float NOT NULL,
  `y` float NOT NULL,
  `radius` float NOT NULL,
  `max` float NOT NULL,
  `despawn` bigint(20) NOT NULL,
  `pool` varchar(255) NOT NULL,
  PRIMARY KEY (`INDEX`),
  KEY `resName` (`resource_name`),
  KEY `despawn_ix` (`despawn`),
  KEY `name_ix` (`resource_name`),
  KEY `pool_ix` (`pool`)
) ENGINE=MyISAM AUTO_INCREMENT=69620 DEFAULT CHARSET=latin1 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Table structure for resource_tree
-- ----------------------------
DROP TABLE IF EXISTS `resource_tree`;
CREATE TABLE `resource_tree` (
  `index` int(11) NOT NULL AUTO_INCREMENT,
  `stfname` varchar(255) NOT NULL DEFAULT '',
  `class1` varchar(255) DEFAULT NULL,
  `class2` varchar(255) DEFAULT NULL,
  `class3` varchar(255) DEFAULT NULL,
  `class4` varchar(255) DEFAULT NULL,
  `class5` varchar(255) DEFAULT NULL,
  `class6` varchar(255) DEFAULT NULL,
  `class7` varchar(255) DEFAULT NULL,
  `maxtype` int(10) unsigned NOT NULL,
  `mintype` int(10) unsigned NOT NULL,
  `minpool` int(10) unsigned NOT NULL,
  `maxpool` int(10) unsigned NOT NULL,
  `recycled` int(1) NOT NULL DEFAULT '0',
  `attrib1` varchar(255) DEFAULT NULL,
  `attrib2` varchar(255) DEFAULT NULL,
  `attrib3` varchar(255) DEFAULT NULL,
  `attrib4` varchar(255) DEFAULT NULL,
  `attrib5` varchar(255) DEFAULT NULL,
  `attrib6` varchar(255) DEFAULT NULL,
  `attrib7` varchar(255) DEFAULT NULL,
  `attrib8` varchar(255) DEFAULT NULL,
  `attrib9` varchar(255) DEFAULT NULL,
  `attrib10` varchar(255) DEFAULT NULL,
  `attrib11` varchar(255) DEFAULT NULL,
  `attrib1min` int(11) DEFAULT NULL,
  `attrib1max` int(11) DEFAULT NULL,
  `attrib2min` int(11) DEFAULT NULL,
  `attrib2max` int(11) DEFAULT NULL,
  `attrib3min` int(11) DEFAULT NULL,
  `attrib3max` int(11) DEFAULT NULL,
  `attrib4min` int(11) DEFAULT NULL,
  `attrib4max` int(11) DEFAULT NULL,
  `attrib5min` int(11) DEFAULT NULL,
  `attrib5max` int(11) DEFAULT NULL,
  `attrib6min` int(11) DEFAULT NULL,
  `attrib6max` int(11) DEFAULT NULL,
  `attrib7min` int(11) DEFAULT NULL,
  `attrib7max` int(11) DEFAULT NULL,
  `attrib8min` int(11) DEFAULT NULL,
  `attrib8max` int(11) DEFAULT NULL,
  `attrib9min` int(11) DEFAULT NULL,
  `attrib9max` int(11) DEFAULT NULL,
  `attrib10min` int(11) DEFAULT NULL,
  `attrib10max` int(11) DEFAULT NULL,
  `attrib11min` int(11) DEFAULT NULL,
  `attrib11max` int(11) DEFAULT '0',
  `resourcecontainer` varchar(255) NOT NULL,
  `randomname` varchar(255) DEFAULT NULL,
  `zoneRestriction` int(11) NOT NULL DEFAULT '-1',
  `jtl` smallint(6) NOT NULL DEFAULT '0',
  `toolType` int(11) NOT NULL DEFAULT '-1',
  PRIMARY KEY (`index`)
) ENGINE=MyISAM AUTO_INCREMENT=728 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for sessions
-- ----------------------------
DROP TABLE IF EXISTS `sessions`;
CREATE TABLE `sessions` (
  `account_id` int(10) unsigned NOT NULL DEFAULT '0',
  `session_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`account_id`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for skills
-- ----------------------------
DROP TABLE IF EXISTS `skills`;
CREATE TABLE `skills` (
  `skill_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `skill_name` varchar(52) DEFAULT NULL,
  `skill_parent` varchar(52) DEFAULT NULL,
  `skill_graph_type` varchar(10) DEFAULT NULL,
  `skill_god_only` tinyint(1) DEFAULT NULL,
  `skill_is_title` tinyint(1) DEFAULT NULL,
  `skill_is_profession` tinyint(1) DEFAULT NULL,
  `skill_is_hidden` tinyint(1) DEFAULT NULL,
  `skill_money_required` int(10) unsigned DEFAULT NULL,
  `skill_points_required` int(10) unsigned DEFAULT NULL,
  `skill_requirements_count` int(10) unsigned DEFAULT NULL,
  `skill_requirements` varchar(201) DEFAULT NULL,
  `skill_preclusions` varchar(50) DEFAULT NULL,
  `skill_xp_type` varchar(40) DEFAULT NULL,
  `skill_xp_cost` int(10) unsigned DEFAULT NULL,
  `skill_xp_cap` int(10) unsigned DEFAULT NULL,
  `skill_required_missions` varchar(1) DEFAULT NULL,
  `skill_apprenticeships_required` int(10) unsigned DEFAULT NULL,
  `skill_stats_required` varchar(1) DEFAULT NULL,
  `skill_species_required` varchar(56) DEFAULT NULL,
  `skill_jedi_state_required` varchar(16) DEFAULT NULL,
  `skill_abilities` varchar(1) DEFAULT NULL,
  `skill_commands` text,
  `skill_mods` text,
  `skill_schematics_granted` varchar(123) DEFAULT NULL,
  `skill_schematics_revoked` varchar(1) DEFAULT NULL,
  `skill_is_searchable` tinyint(1) DEFAULT NULL,
  `skill_ender` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`skill_id`),
  UNIQUE KEY `skill_id` (`skill_id`)
) ENGINE=MyISAM AUTO_INCREMENT=1069 DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for starting_location
-- ----------------------------
DROP TABLE IF EXISTS `starting_location`;
CREATE TABLE `starting_location` (
  `location_id` int(2) unsigned NOT NULL AUTO_INCREMENT,
  `location` varchar(45) NOT NULL,
  `planet_id` float NOT NULL,
  `x` float(10,6) NOT NULL,
  `y` float(10,6) NOT NULL,
  `z` float(10,6) NOT NULL,
  `description` varchar(45) NOT NULL,
  `radius` float(2,0) unsigned NOT NULL,
  `heading` int(3) unsigned NOT NULL,
  PRIMARY KEY (`location_id`)
) ENGINE=MyISAM AUTO_INCREMENT=14 DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for staticobjects
-- ----------------------------
DROP TABLE IF EXISTS `staticobjects`;
CREATE TABLE `staticobjects` (
  `zoneid` tinyint(4) NOT NULL,
  `objectid` bigint(20) NOT NULL,
  `parentid` bigint(20) NOT NULL,
  `file` varchar(200) NOT NULL,
  `oX` float NOT NULL,
  `oY` float NOT NULL,
  `oZ` float NOT NULL,
  `oW` float NOT NULL,
  `X` float NOT NULL,
  `Z` float NOT NULL,
  `Y` float NOT NULL,
  `type` float NOT NULL,
  `client` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`objectid`),
  KEY `zone_id` (`zoneid`),
  KEY `parent` (`parentid`),
  FULLTEXT KEY `file_ix` (`file`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for statictangibleobjects
-- ----------------------------
DROP TABLE IF EXISTS `statictangibleobjects`;
CREATE TABLE `statictangibleobjects` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `zoneid` tinyint(4) NOT NULL,
  `parentid` bigint(20) NOT NULL,
  `name` varchar(255) NOT NULL,
  `template_file` varchar(200) NOT NULL,
  `template_type` int(255) NOT NULL,
  `template_name` varchar(255) NOT NULL,
  `oX` float NOT NULL,
  `oY` float NOT NULL,
  `oZ` float NOT NULL,
  `oW` float NOT NULL,
  `X` float NOT NULL,
  `Z` float NOT NULL,
  `Y` float NOT NULL,
  PRIMARY KEY (`id`),
  KEY `zone_id` (`zoneid`),
  FULLTEXT KEY `file_ix` (`template_file`)
) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for template_items
-- ----------------------------
DROP TABLE IF EXISTS `template_items`;
CREATE TABLE `template_items` (
  `template_id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(128) NOT NULL,
  PRIMARY KEY (`template_id`)
) ENGINE=MyISAM AUTO_INCREMENT=7150 DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for terminals
-- ----------------------------
DROP TABLE IF EXISTS `terminals`;
CREATE TABLE `terminals` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parentid` bigint(20) NOT NULL DEFAULT '0',
  `type` tinyint(4) NOT NULL DEFAULT '0',
  `oX` float NOT NULL DEFAULT '0',
  `oZ` float NOT NULL DEFAULT '0',
  `oY` float NOT NULL DEFAULT '0',
  `oW` float NOT NULL DEFAULT '0',
  `X` float NOT NULL DEFAULT '0',
  `Z` float NOT NULL DEFAULT '0',
  `Y` float NOT NULL,
  `zoneid` tinyint(4) NOT NULL DEFAULT '0',
  `attributes` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=100 DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for ticket_collectors
-- ----------------------------
DROP TABLE IF EXISTS `ticket_collectors`;
CREATE TABLE `ticket_collectors` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `transport_id` int(11) NOT NULL,
  `parent` bigint(20) unsigned NOT NULL,
  `pos_x` float NOT NULL,
  `pos_y` float NOT NULL,
  `pos_z` float NOT NULL,
  `dir_y` float NOT NULL,
  `dir_w` float NOT NULL,
  PRIMARY KEY (`id`),
  KEY `SECONDARY` (`transport_id`)
) ENGINE=MyISAM AUTO_INCREMENT=58 DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for ticket_terminals
-- ----------------------------
DROP TABLE IF EXISTS `ticket_terminals`;
CREATE TABLE `ticket_terminals` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `transport_id` int(11) NOT NULL,
  `parent` bigint(20) unsigned NOT NULL,
  `pos_x` float NOT NULL,
  `pos_y` float NOT NULL,
  `pos_z` float NOT NULL,
  `dir_y` float NOT NULL,
  `dir_w` float NOT NULL,
  PRIMARY KEY (`id`),
  KEY `SECONDARY` (`transport_id`)
) ENGINE=MyISAM AUTO_INCREMENT=106 DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for trainers
-- ----------------------------
DROP TABLE IF EXISTS `trainers`;
CREATE TABLE `trainers` (
  `Location` varchar(64) DEFAULT NULL,
  `Trainer Name` varchar(64) DEFAULT NULL,
  `Trainer Type` varchar(64) DEFAULT NULL,
  `Profession` varchar(64) NOT NULL,
  `CRC1` varchar(16) DEFAULT NULL,
  `CRC2` varchar(16) DEFAULT NULL,
  `CRC3` varchar(16) DEFAULT NULL,
  `Planet` smallint(6) DEFAULT NULL,
  `Cell` bigint(20) DEFAULT '0',
  `WorldX` double DEFAULT '0',
  `WorldY` double DEFAULT '0',
  `WorldZ` double DEFAULT '0',
  `CellX` double DEFAULT '0',
  `CellY` double DEFAULT '0',
  `CellZ` double DEFAULT '0',
  `oY` double DEFAULT '0',
  `oW` double DEFAULT '0',
  `pix` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `planetmapid` tinyint(1) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`pix`),
  KEY `pix` (`pix`)
) ENGINE=MyISAM AUTO_INCREMENT=523 DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for transports
-- ----------------------------
DROP TABLE IF EXISTS `transports`;
CREATE TABLE `transports` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `planet_id` tinyint(3) unsigned NOT NULL,
  `name` varchar(45) NOT NULL,
  `parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `pos_x` float NOT NULL,
  `pos_y` float NOT NULL,
  `pos_z` float NOT NULL,
  `dir_y` float NOT NULL,
  `dir_w` float NOT NULL,
  `spawn_x` float NOT NULL,
  `spawn_y` float NOT NULL,
  `spawn_z` float NOT NULL,
  `starport` tinyint(1) NOT NULL DEFAULT '0',
  `tax` int(10) unsigned NOT NULL DEFAULT '0',
  `crc` bigint(20) unsigned NOT NULL DEFAULT '1984806965',
  PRIMARY KEY (`id`),
  KEY `SECONDARY` (`planet_id`)
) ENGINE=MyISAM AUTO_INCREMENT=58 DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for warp
-- ----------------------------
DROP TABLE IF EXISTS `warp`;
CREATE TABLE `warp` (
  `warp_id` int(2) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(64) NOT NULL,
  `planet_id` int(2) NOT NULL,
  `x` float(10,6) NOT NULL,
  `y` float(10,6) NOT NULL,
  `z` float(10,6) NOT NULL,
  `description` varchar(45) NOT NULL,
  `radius` float(2,0) unsigned NOT NULL DEFAULT '3',
  `heading` int(3) unsigned NOT NULL DEFAULT '180',
  PRIMARY KEY (`warp_id`)
) ENGINE=MyISAM AUTO_INCREMENT=59 DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for waypoints
-- ----------------------------
DROP TABLE IF EXISTS `waypoints`;
CREATE TABLE `waypoints` (
  `waypoint_id` bigint(20) unsigned NOT NULL,
  `owner_id` mediumint(8) unsigned NOT NULL,
  `waypoint_name` text NOT NULL,
  `x` float(10,6) DEFAULT NULL,
  `y` float(10,6) DEFAULT NULL,
  `planet_name` text NOT NULL,
  `active` tinyint(1) NOT NULL DEFAULT '1',
  `internal_note` text,
  `ix` int(10) unsigned NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`ix`),
  KEY `objplid` (`waypoint_id`,`owner_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for world_server_static_spawns
-- ----------------------------
DROP TABLE IF EXISTS `world_server_static_spawns`;
CREATE TABLE `world_server_static_spawns` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `zoneid` int(11) DEFAULT NULL,
  `parentid` bigint(20) DEFAULT '0',
  `file` varchar(200) DEFAULT NULL,
  `oX` float DEFAULT '0',
  `oY` float DEFAULT '0',
  `oZ` float DEFAULT '0',
  `oW` float DEFAULT '1',
  `x` float DEFAULT NULL,
  `z` float DEFAULT NULL,
  `y` float DEFAULT NULL,
  `level` int(11) DEFAULT '10',
  `mood_animation` varchar(45) DEFAULT NULL,
  `creature_bitmask` int(10) unsigned DEFAULT '0',
  `combat_flags` int(10) unsigned DEFAULT '0',
  `respawn_timer` float DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idworldserverspawns_UNIQUE` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=9650 DEFAULT CHARSET=latin1;

-- ----------------------------
-- Records 
-- ----------------------------
INSERT INTO `badge` VALUES ('1', 'unused', '...received an unused badge for an unknown reason.');
INSERT INTO `badge` VALUES ('2', 'count_5', '...has acquired 5 badges.');
INSERT INTO `badge` VALUES ('3', 'count_10', '...has acquired 10 badges.');
INSERT INTO `badge` VALUES ('4', 'count_25', '...has acquired 25 badges.');
INSERT INTO `badge` VALUES ('5', 'count_50', '...has acquired 50 badges.');
INSERT INTO `badge` VALUES ('6', 'count_75', '...has acquired 75 badges.');
INSERT INTO `badge` VALUES ('7', 'count_100', '...has acquired 100 badges.');
INSERT INTO `badge` VALUES ('8', 'count_125', '...has acquired 125 badges.');
INSERT INTO `badge` VALUES ('9', 'poi_rabidbeast', '...bears the Mark of Courage.');
INSERT INTO `badge` VALUES ('10', 'poi_prisonbreak', '...bears the Mark of Honor.');
INSERT INTO `badge` VALUES ('11', 'poi_factoryliberation', '...bears the Mark of Altruism.');
INSERT INTO `badge` VALUES ('12', 'poi_twoliars', '...bears the Mark of Intellect.');
INSERT INTO `badge` VALUES ('13', 'poi_heromark', '...bears the Symbol of Heroism.');
INSERT INTO `badge` VALUES ('14', 'exp_tat_bens_hut', '...has visited Ben Kenobi\'s old home.');
INSERT INTO `badge` VALUES ('15', 'exp_tat_tusken_pool', '...has visited the pool underneath Fort Tusken.');
INSERT INTO `badge` VALUES ('16', 'exp_tat_krayt_skeleton', '...has visited the famed Krayt Dragon skeleton.');
INSERT INTO `badge` VALUES ('17', 'exp_tat_escape_pod', '...has visited the escape pod used by C3P-0 and R2-D2.');
INSERT INTO `badge` VALUES ('18', 'exp_tat_sarlacc_pit', '...has visited the home of the mighty Sarlacc.');
INSERT INTO `badge` VALUES ('19', 'exp_tat_generic_one', '...has visited someplace popular on Tatooine.');
INSERT INTO `badge` VALUES ('20', 'exp_tat_krayt_graveyard', '...has found the hidden Krayt Dragon Graveyard.');
INSERT INTO `badge` VALUES ('21', 'exp_tat_lars_homestead', '...has found the Lars Homestead on Tatooine.');
INSERT INTO `badge` VALUES ('22', 'exp_nab_gungan_sacred_place', '...has discovered the hidden Gungan Sacred Place.');
INSERT INTO `badge` VALUES ('23', 'exp_cor_agrilat_swamp', '...has explored the depths of the Agrilat Crystal Swamp.');
INSERT INTO `badge` VALUES ('24', 'exp_yav_temple_woolamander', '...has encountered the mysterious Palace of the Woolamander on Yavin 4.');
INSERT INTO `badge` VALUES ('25', 'exp_yav_temple_blueleaf', '...has discovered the ancient Temple of the Blueleaf cluster.');
INSERT INTO `badge` VALUES ('26', 'exp_yav_temple_exar_kun', '...has visited the Temple of Exar K\'un.');
INSERT INTO `badge` VALUES ('27', 'exp_lok_volcano', '...has climbed to the top of Adi\'s Rest.');
INSERT INTO `badge` VALUES ('28', 'exp_dat_tarpit', '...has explored the horrid tar pits of Dathomir.');
INSERT INTO `badge` VALUES ('29', 'exp_dat_sarlacc', '...has discovered the lesser Sarlacc on Dathomir.');
INSERT INTO `badge` VALUES ('30', 'exp_dat_escape_pod', '...has found a mysterious escape pod crash-landed on Dathomir.');
INSERT INTO `badge` VALUES ('31', 'exp_dat_misty_falls_1', '...has climbed to the peak of the Lesser Misty Falls region.');
INSERT INTO `badge` VALUES ('32', 'exp_dat_misty_falls_2', '...has reached the Greater Misty Falls peak.');
INSERT INTO `badge` VALUES ('33', 'exp_dan_jedi_temple', '...has uncovered the mysteries of the Ruined Jedi Temple on Dantooine.');
INSERT INTO `badge` VALUES ('34', 'exp_dan_rebel_base', '...has visited the abandoned Rebel Base on Dantooine.');
INSERT INTO `badge` VALUES ('35', 'event_project_dead_eye_1', '...has investigated Project Dead Eye.');
INSERT INTO `badge` VALUES ('36', 'acc_brave_soldier', '...has been recognized as an exceptional soldier in the war.');
INSERT INTO `badge` VALUES ('37', 'acc_fascinating_background', '...has been recognized as having an exceptional biography.');
INSERT INTO `badge` VALUES ('38', 'acc_good_samaritan', '...has been recognized as an exceptional guide to those seeking knowledge.');
INSERT INTO `badge` VALUES ('39', 'acc_interesting_personage', '...has been recognized as having a memorable personality.');
INSERT INTO `badge` VALUES ('40', 'acc_professional_demeanor', '...has been recognized as being a tribute to their profession.');
INSERT INTO `badge` VALUES ('41', 'warren_compassion', '...showed great compassion toward the widow of an Imperial worker.');
INSERT INTO `badge` VALUES ('42', 'warren_hero', '...proved Colonel Teraud\'s perfidy and rendered great services to the Empire!');
INSERT INTO `badge` VALUES ('43', 'event_coa2_rebel', '...has successfully contacted Dr. Vacca for the Rebellion.');
INSERT INTO `badge` VALUES ('44', 'event_coa2_imperial', '...has assisted the Empire in securing Dr. Vacca\'s cooperation.');
INSERT INTO `badge` VALUES ('45', 'combat_1hsword_master', '...has mastered the Fencer Profession.');
INSERT INTO `badge` VALUES ('46', 'combat_2hsword_master', '...has mastered the Swordsman Profession.');
INSERT INTO `badge` VALUES ('47', 'combat_bountyhunter_master', '...has mastered the Bounty Hunter Profession.');
INSERT INTO `badge` VALUES ('48', 'combat_brawler_master', '...has mastered the Brawler Profession.');
INSERT INTO `badge` VALUES ('49', 'combat_carbine_master', '...has mastered the Carbineer Profession.');
INSERT INTO `badge` VALUES ('50', 'combat_commando_master', '...has mastered the Commando Profession.');
INSERT INTO `badge` VALUES ('51', 'combat_marksman_master', '...has mastered the Marksman Profession.');
INSERT INTO `badge` VALUES ('52', 'combat_pistol_master', '...has mastered the Pistoleer Profession.');
INSERT INTO `badge` VALUES ('53', 'combat_polearm_master', '...has mastered the Pikeman Profession.');
INSERT INTO `badge` VALUES ('54', 'combat_rifleman_master', '...has mastered the Rifleman Profession.');
INSERT INTO `badge` VALUES ('55', 'combat_smuggler_master', '...has mastered the Smuggler Profession.');
INSERT INTO `badge` VALUES ('56', 'combat_unarmed_master', '...has mastered the Teras Kasi Profession.');
INSERT INTO `badge` VALUES ('57', 'crafting_architect_master', '...has mastered the Architect Profession.');
INSERT INTO `badge` VALUES ('58', 'crafting_armorsmith_master', '...has mastered the Armorsmith Profession.');
INSERT INTO `badge` VALUES ('59', 'crafting_artisan_master', '...has mastered the Artisan Profession.');
INSERT INTO `badge` VALUES ('60', 'crafting_chef_master', '...has mastered the Chef Profession.');
INSERT INTO `badge` VALUES ('61', 'crafting_droidengineer_master', '...has mastered the Droid Engineer Profession.');
INSERT INTO `badge` VALUES ('62', 'crafting_merchant_master', '...has mastered the Merchant Profession.');
INSERT INTO `badge` VALUES ('63', 'crafting_tailor_master', '...has mastered the Tailor Profession.');
INSERT INTO `badge` VALUES ('64', 'crafting_weaponsmith_master', '...has mastered the Weaponsmith Profession.');
INSERT INTO `badge` VALUES ('65', 'outdoors_bio_engineer_master', '...has mastered the Bio-Engineer Profession.');
INSERT INTO `badge` VALUES ('66', 'outdoors_creaturehandler_master', '...has mastered the Creature Handler Profession.');
INSERT INTO `badge` VALUES ('67', 'outdoors_ranger_master', '...has mastered the Ranger Profession.');
INSERT INTO `badge` VALUES ('68', 'outdoors_scout_master', '...has mastered the Scout Profession.');
INSERT INTO `badge` VALUES ('69', 'outdoors_squadleader_master', '...has mastered the Squad Leader Profession.');
INSERT INTO `badge` VALUES ('70', 'science_combatmedic_master', '...has mastered the Combat Medic Profession.');
INSERT INTO `badge` VALUES ('71', 'science_doctor_master', '...has mastered the Doctor Profession.');
INSERT INTO `badge` VALUES ('72', 'science_medic_master', '...has mastered the Medic Profession.');
INSERT INTO `badge` VALUES ('73', 'social_dancer_master', '...has mastered the Dancer Profession.');
INSERT INTO `badge` VALUES ('74', 'social_entertainer_master', '...has mastered the Entertainer Profession.');
INSERT INTO `badge` VALUES ('75', 'social_imagedesigner_master', '...has mastered the Image Designer Profession.');
INSERT INTO `badge` VALUES ('76', 'social_musician_master', '...has mastered the Musician Profession.');
INSERT INTO `badge` VALUES ('77', 'social_politician_master', '...has mastered the Politician Profession.');
INSERT INTO `badge` VALUES ('78', 'bdg_exp_nab_theed_falls_bottom', '...has visited the majestic falls of Theed.');
INSERT INTO `badge` VALUES ('79', 'bdg_exp_nab_deeja_falls_top', '...has visited the stately falls of Dee\'ja Peak.');
INSERT INTO `badge` VALUES ('80', 'bdg_exp_nab_amidalas_sandy_beach', '...has visited Amidala\'s private beach.');
INSERT INTO `badge` VALUES ('81', 'bdg_exp_cor_rebel_hideout', '...has seen the Rebel hideout on Corellia.');
INSERT INTO `badge` VALUES ('82', 'bdg_exp_cor_rogue_corsec_base', '...has seen the Rogue Corsec base on Corellia.');
INSERT INTO `badge` VALUES ('83', 'bdg_exp_cor_tyrena_theater', '...has visited the famous outdoor theater of Vreni Island.');
INSERT INTO `badge` VALUES ('84', 'bdg_exp_cor_bela_vistal_fountain', '...has seen the magnificent crystal fountain at Bela Vistal.');
INSERT INTO `badge` VALUES ('85', 'bdg_exp_dat_crashed_ship', '...found a wrecked starship on Dathomir.');
INSERT INTO `badge` VALUES ('86', 'bdg_exp_dat_imp_prison', '...has seen the dreaded Imperial Prison on Dathomir.');
INSERT INTO `badge` VALUES ('87', 'bdg_exp_dan_dantari_village1', '...has walked among Dantari tribesmen.');
INSERT INTO `badge` VALUES ('89', 'bdg_exp_dan_dantari_village2', '...has visited a Dantari Rock Village.');
INSERT INTO `badge` VALUES ('90', 'bdg_exp_end_ewok_tree_village', '...has visited an Ewok Tree Village.');
INSERT INTO `badge` VALUES ('91', 'bdg_exp_end_ewok_lake_village', '...has visited an Ewok Lake Village.');
INSERT INTO `badge` VALUES ('92', 'bdg_exp_end_dulok_village', '...has seen a Dulok Village.');
INSERT INTO `badge` VALUES ('93', 'bdg_exp_end_imp_outpost', '...has found a Marauder base on Endor.');
INSERT INTO `badge` VALUES ('94', 'bdg_exp_tal_creature_village', '...has seen the lost village of Durbin on Talus.');
INSERT INTO `badge` VALUES ('95', 'bdg_exp_tal_imp_base', '...has seen an Imperial base on Talus.');
INSERT INTO `badge` VALUES ('96', 'bdg_exp_tal_imp_vs_reb_battle', '...has observed a battle between Rebel and Imperial Forces on Talus.');
INSERT INTO `badge` VALUES ('97', 'bdg_exp_tal_aqualish_cave', '...has found a cave populated by Aqualish soldiers on Talus.');
INSERT INTO `badge` VALUES ('98', 'bdg_exp_ror_kobala_spice_mine', '...has seen the fabled Kobala Spice Mines on Rori.');
INSERT INTO `badge` VALUES ('99', 'bdg_exp_ror_rebel_outpost', '...has seen a Rebel outpost on Rori.');
INSERT INTO `badge` VALUES ('100', 'bdg_exp_ror_imp_camp', '...has seen an Imperial encampment on Rori.');
INSERT INTO `badge` VALUES ('101', 'bdg_exp_ror_imp_hyperdrive_fac', '...has found the Imperial Hyperdrive Research Facility on Rori.');
INSERT INTO `badge` VALUES ('102', 'bdg_exp_lok_imp_outpost', '...has found an Imperial base on Lok.');
INSERT INTO `badge` VALUES ('103', 'bdg_exp_lok_kimogila_skeleton', '...has found a Kimogila skeleton on Lok.');
INSERT INTO `badge` VALUES ('104', 'bdg_exp_10_badges', '...has earned 10 Exploration Badges.');
INSERT INTO `badge` VALUES ('105', 'bdg_exp_20_badges', '...has earned 20 Exploration Badges.');
INSERT INTO `badge` VALUES ('106', 'bdg_exp_30_badges', '...has earned 30 Exploration Badges.');
INSERT INTO `badge` VALUES ('107', 'bdg_exp_40_badges', '...has earned 40 Exploration Badges.');
INSERT INTO `badge` VALUES ('109', 'bdg_exp_45_badges', '...has earned 45 Exploration Badges.');
INSERT INTO `badge` VALUES ('110', 'bdg_thm_park_jabba_badge', '...has earned Jabba\'s Badge of Trust.');
INSERT INTO `badge` VALUES ('111', 'bdg_thm_park_imperial_badge', '...has earned the Imperial Badge of Merit.');
INSERT INTO `badge` VALUES ('112', 'bdg_thm_park_rebel_badge', '...has earned the Rebel Badge of Courage.');
INSERT INTO `badge` VALUES ('113', 'bdg_thm_park_nym_badge', '...has earned Nym\'s Badge of Honor.');
INSERT INTO `badge` VALUES ('114', 'bdg_swg_emu', '...has earned the SWGEmu Dev Badge.');
INSERT INTO `badge_areas` VALUES ('1', '0', '5291', '1494', '1', '79');
INSERT INTO `badge_areas` VALUES ('2', '0', '-5418', '-6248', '24', '80');
INSERT INTO `badge_areas` VALUES ('3', '0', '6767', '-5617', '314', '81');
INSERT INTO `badge_areas` VALUES ('4', '0', '1084', '4176', '18', '20');
INSERT INTO `badge_areas` VALUES ('5', '0', '-6530', '5967', '398', '78');
INSERT INTO `badge_areas` VALUES ('6', '1', '-3862', '-5706', '2', '84');
INSERT INTO `badge_areas` VALUES ('7', '1', '-7156', '-883', '3', '85');
INSERT INTO `badge_areas` VALUES ('8', '1', '-6836', '5520', '53', '31');
INSERT INTO `badge_areas` VALUES ('9', '1', '4195', '5203', '9', '30');
INSERT INTO `badge_areas` VALUES ('10', '2', '-6304', '753', '128', '83');
INSERT INTO `badge_areas` VALUES ('11', '2', '652', '-4888', '77', '25');
INSERT INTO `badge_areas` VALUES ('12', '2', '-2101', '3165', '22', '26');
INSERT INTO `badge_areas` VALUES ('13', '2', '-4427', '586', '22', '27');
INSERT INTO `badge_areas` VALUES ('14', '2', '3558', '1554', '48', '28');
INSERT INTO `badge_areas` VALUES ('15', '2', '5585', '1903', '125', '82');
INSERT INTO `badge_areas` VALUES ('16', '2', '3021', '1289', '96', '29');
INSERT INTO `badge_areas` VALUES ('17', '3', '4596', '-2423', '10', '86');
INSERT INTO `badge_areas` VALUES ('18', '3', '6051', '-2477', '261', '88');
INSERT INTO `badge_areas` VALUES ('19', '3', '1454', '-3272', '1', '87');
INSERT INTO `badge_areas` VALUES ('20', '3', '-4628', '-2273', '90', '89');
INSERT INTO `badge_areas` VALUES ('21', '4', '-1814', '-3086', '12', '98');
INSERT INTO `badge_areas` VALUES ('22', '4', '3091', '-4638', '12', '24');
INSERT INTO `badge_areas` VALUES ('23', '4', '4562', '-1156', '13', '99');
INSERT INTO `badge_areas` VALUES ('24', '5', '-4614', '4261', '0', '75');
INSERT INTO `badge_areas` VALUES ('25', '5', '5157', '-1646', '390', '76');
INSERT INTO `badge_areas` VALUES ('26', '5', '-5828', '-93', '0', '77');
INSERT INTO `badge_areas` VALUES ('27', '5', '-2066', '-5423', '5', '19');
INSERT INTO `badge_areas` VALUES ('28', '6', '-1130', '4544', '77', '97');
INSERT INTO `badge_areas` VALUES ('29', '6', '-5633', '-5661', '75', '96');
INSERT INTO `badge_areas` VALUES ('30', '6', '3664', '-6501', '96', '95');
INSERT INTO `badge_areas` VALUES ('31', '6', '7371', '169', '97', '94');
INSERT INTO `badge_areas` VALUES ('32', '7', '4133', '962', '6', '90');
INSERT INTO `badge_areas` VALUES ('33', '7', '-2184', '2405', '20', '91');
INSERT INTO `badge_areas` VALUES ('34', '7', '-2452', '3846', '39', '92');
INSERT INTO `badge_areas` VALUES ('35', '7', '-4425', '-1414', '61', '93');
INSERT INTO `badge_areas` VALUES ('36', '8', '-2579', '-5500', '0', '17');
INSERT INTO `badge_areas` VALUES ('37', '8', '-4512', '-2270', '35', '12');
INSERT INTO `badge_areas` VALUES ('38', '8', '-6176', '-3372', '19', '16');
INSERT INTO `badge_areas` VALUES ('39', '8', '-3930', '-4425', '33', '15');
INSERT INTO `badge_areas` VALUES ('40', '8', '-4650', '-4363', '55', '14');
INSERT INTO `badge_areas` VALUES ('41', '8', '7428', '4563', '6', '18');
INSERT INTO `badge_areas` VALUES ('42', '8', '-3969', '6267', '60', '13');
INSERT INTO `badge_areas` VALUES ('43', '9', '5076', '5537', '73', '23');
INSERT INTO `badge_areas` VALUES ('44', '9', '-875', '-2047', '84', '22');
INSERT INTO `badge_areas` VALUES ('45', '9', '519', '-646', '81', '21');
INSERT INTO `bazaar_items` VALUES ('8465380540829', 'Structure and Furniture Crafting Tool', '', '32769', '8465380540437', 'zanadarian', '10000', '0', '0', '1238473418', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('3702261809253', 'Maroj Melon', '', '8202', '3702261809173', 'chewbaccaramel', '1', '0', '1', '1240217819', '3955353', '5', '4050154160149', 'kuco');
INSERT INTO `bazaar_items` VALUES ('1378684502121', 'Slave Collar', '', '8192', '1378684502037', 'terao', '30', '0', '1', '1240214872', '4235511', '8', '3702261809173', 'chewbaccaramel');
INSERT INTO `bazaar_items` VALUES ('11729555685520', 'Composite Chestplate', '', '256', '11729555685397', 'raimahk', '20000', '0', '1', '1240380507', '3945353', '8', '13258564042773', 'neeph');
INSERT INTO `bazaar_items` VALUES ('2194728288367', 'Composite Bracer', '', '256', '2194728288277', 'uli', '20000', '1', '0', '1238232371', '3955353', '5', '1352914698261', 'ellavybeo');
INSERT INTO `bazaar_items` VALUES ('2194728288369', 'Composite Bicep', '', '256', '2194728288277', 'uli', '31', '1', '0', '1238232372', '3955353', '5', '6545530159125', 'luck');
INSERT INTO `bazaar_items` VALUES ('2194728288368', 'Composite Bracer', '', '256', '2194728288277', 'uli', '20000', '1', '0', '1238232374', '3955353', '5', '1352914698261', 'ellavybeo');
INSERT INTO `bazaar_items` VALUES ('1769526526093', 'Backpack3', '', '8213', '1769526525973', 'ebo', '20000', '0', '1', '1240224446', '2776036', '5', '4977867096085', 'leronica');
INSERT INTO `bazaar_items` VALUES ('6390911336594', 'Binoculars (broken)', '', '8192', '6390911336469', 'totor', '500', '0', '0', '1238289566', '1366001', '1', '0', '');
INSERT INTO `bazaar_items` VALUES ('188978562410', 'Weapon, Droid, and General Item Crafting Tool', '', '32769', '188978561045', 'wecu', '500', '0', '1', '1240460517', '4685572', '8', '16522739187733', 'giq');
INSERT INTO `bazaar_items` VALUES ('2194728288366', 'Composite Helmet', '', '256', '2194728288277', 'uli', '20000', '1', '0', '1238232365', '3955353', '5', '1352914698261', 'ellavybeo');
INSERT INTO `bazaar_items` VALUES ('2194728288365', 'Composite Leggings', '', '256', '2194728288277', 'uli', '20000', '1', '0', '1238232367', '3955353', '5', '1352914698261', 'ellavybeo');
INSERT INTO `bazaar_items` VALUES ('2194728288364', 'Composite Gloves', '', '256', '2194728288277', 'uli', '10', '1', '0', '1238232368', '3955353', '5', '4857608011797', 'bobthewook');
INSERT INTO `bazaar_items` VALUES ('6446745911419', 'Tangle Pistol', '', '131082', '6446745911317', 'gontag', '20000', '0', '1', '1240277295', '4705367', '4', '6043018985493', 'guc');
INSERT INTO `bazaar_items` VALUES ('2194728288370', 'Composite Bicep', '', '256', '2194728288277', 'uli', '61', '1', '0', '1238232370', '3955353', '5', '15685220565013', 'paus');
INSERT INTO `bazaar_items` VALUES ('2757369004177', 'Weapa 9.57 Weapon Tool', '', '32769', '2757369004053', 'weapa', '5000', '0', '1', '1240227477', '3945353', '8', '4999341932565', 'quoxet');
INSERT INTO `bazaar_items` VALUES ('6755983557064', 'Work Light', '', '8192', '6755983556629', 'nevori', '2000', '0', '0', '1238481721', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('2194728288363', 'Composite Boots', '', '256', '2194728288277', 'uli', '5500', '1', '0', '1238232363', '3955353', '5', '11768210391061', 'nozi');
INSERT INTO `bazaar_items` VALUES ('2194728288362', 'Composite Chestplate', '', '256', '2194728288277', 'uli', '20000', '1', '0', '1238232361', '3955353', '5', '1352914698261', 'ellavybeo');
INSERT INTO `bazaar_items` VALUES ('3560527890198', 'High Tech Field Base Kit', '', '32772', '3560527888405', 'chaba', '9999', '0', '0', '1238490112', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('3384434229395', 'Wooden Staff', '', '131081', '3384434229269', 'ramsiz', '2000', '0', '1', '1240265312', '3945352', '8', '6043018985493', 'guc');
INSERT INTO `bazaar_items` VALUES ('1228360649817', 'Aigit Food and Chemical Crafting Tool', '', '32769', '1228360646677', 'mugane', '10000', '0', '0', '1238488362', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('6390911336638', 'Heating Element', '', '8192', '6390911336469', 'totor', '500', '0', '0', '1238289582', '1366001', '1', '0', '');
INSERT INTO `bazaar_items` VALUES ('6390911336639', 'Decryptor (broken)', '', '8192', '6390911336469', 'totor', '500', '0', '0', '1238289574', '1366001', '1', '0', '');
INSERT INTO `bazaar_items` VALUES ('188978561534', 'Generic Crafting Tool', '', '32769', '188978561045', 'wecu', '500', '0', '1', '1240284451', '4235514', '8', '6403796238357', 'atso');
INSERT INTO `bazaar_items` VALUES ('13443247636594', 'Kashyyykian Hunting Armor Leggings', '', '256', '13443247636501', 'jage', '1234', '1', '0', '1238397626', '7755375', '0', '0', '');
INSERT INTO `bazaar_items` VALUES ('6446745911416', 'SR Combat Pistol', '', '131082', '6446745911317', 'gontag', '20000', '0', '1', '1240275655', '4705367', '4', '6906307411989', 'jeyq');
INSERT INTO `bazaar_items` VALUES ('5128190951539', 'Vibroknuckler', '', '131073', '5128190951445', 'davik', '20000', '0', '1', '1240271401', '3955353', '5', '6678674145301', 'ritomo');
INSERT INTO `bazaar_items` VALUES ('5128190951720', 'T21 Rifle', '', '131084', '5128190951445', 'davik', '20000', '0', '1', '1240227183', '3955353', '5', '4011499454485', 'kiro');
INSERT INTO `bazaar_items` VALUES ('11145440133247', 'CDEF Rifle', '', '131084', '11145440133141', 'jaquash', '10000', '0', '1', '1240357905', '3955353', '5', '10355166150677', 'rawr');
INSERT INTO `bazaar_items` VALUES ('8976481648752', 'Sandstat', '', '8192', '8976481648661', 'lars', '10', '0', '0', '1238393679', '2776044', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('4973572128933', 'Palm Frond', '', '8192', '4973572128789', 'drey', '1000', '0', '0', '1238420526', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1610612736330', '<PL> Vibro Knuckler', '', '131073', '1610612736021', 'kel-morian', '10000', '0', '1', '1240271046', '3955353', '5', '6373731467285', 'vesci');
INSERT INTO `bazaar_items` VALUES ('5587752453311', 'Pimpin aint easy by teh badboy', '', '8388613', '5587752452117', 'teh', '20000', '0', '1', '1240368074', '2776045', '5', '2190433320981', 'viktras');
INSERT INTO `bazaar_items` VALUES ('6390911336753', 'Recording Rod (broken)', '', '8192', '6390911336469', 'totor', '5000', '0', '0', '1238312121', '2776036', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('3560527890042', 'Clothing and Armor Crafting Tool', '', '32769', '3560527888405', 'chaba', '13710', '0', '1', '1240466082', '3955353', '5', '17012365459477', 'sameth');
INSERT INTO `bazaar_items` VALUES ('5128190951554', 'Vibroknuckler', '', '131073', '5128190951445', 'davik', '20000', '0', '1', '1240287984', '3955353', '5', '7924214661141', 'vyi');
INSERT INTO `bazaar_items` VALUES ('13640816132222', 'Composite Bicep', '', '256', '13640816132117', 'zerik', '2500', '0', '1', '1240403307', '3955353', '5', '14577119002645', 'egan');
INSERT INTO `bazaar_items` VALUES ('1735166788574', 'Speederbike Swoop', '', '8388613', '1735166787605', 'proto', '12000', '0', '1', '1240383984', '3945352', '8', '3998614552597', 'eyeown');
INSERT INTO `bazaar_items` VALUES ('227633267708', 'Speederbike Swoop [TF]', '', '8388613', '227633266709', 'taspo', '10000', '0', '1', '1240348103', '3955353', '5', '11089605558293', 'kynes');
INSERT INTO `bazaar_items` VALUES ('3560527889393', 'Deed for: Personal Mineral Extractor', '', '8388610', '3560527888405', 'chaba', '15000', '0', '1', '1240384387', '7755375', '0', '7494717931541', 'xiqu');
INSERT INTO `bazaar_items` VALUES ('7305739370893', 'Ambient Solar Energy Surveying Tool', '', '8209', '7305739370517', 'thumpen', '5000', '0', '0', '1238516965', '2776044', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('6755983557058', 'Work Light', '', '8192', '6755983556629', 'nevori', '2000', '0', '0', '1238481719', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('6390911336599', 'Binoculars (broken)', '', '8192', '6390911336469', 'totor', '500', '0', '0', '1238289561', '1366001', '1', '0', '');
INSERT INTO `bazaar_items` VALUES ('11145440133250', 'E11 Rifle', '', '131084', '11145440133141', 'jaquash', '10000', '0', '1', '1240350428', '3955353', '5', '10243497000981', 'kindar');
INSERT INTO `bazaar_items` VALUES ('6390911336593', 'Heating Element', '', '8192', '6390911336469', 'totor', '500', '0', '0', '1238289587', '1366001', '1', '0', '');
INSERT INTO `bazaar_items` VALUES ('1228360649995', 'Structure and Furniture Crafting Tool', '', '32769', '1228360646677', 'mugane', '10000', '0', '0', '1238540669', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('9917079486634', 'Jar of Foraged Grubs', '', '8202', '9917079486485', 'aamco', '50', '0', '0', '1238533503', '2776045', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1735166788590', 'Speederbike Swoop', '', '8388613', '1735166787605', 'proto', '12000', '0', '1', '1240383704', '3945352', '8', '13396002996245', 'pepon');
INSERT INTO `bazaar_items` VALUES ('11145440133237', 'E11 Rifle', '', '131084', '11145440133141', 'jaquash', '10000', '0', '1', '1240349693', '3955353', '5', '10900626997269', 'nox');
INSERT INTO `bazaar_items` VALUES ('6446745911401', 'Maroj Melon', '', '8202', '6446745911317', 'gontag', '20000', '0', '0', '1238281978', '4705367', '4', '0', '');
INSERT INTO `bazaar_items` VALUES ('8465380540841', 'Structure and Furniture Crafting Tool', '', '32769', '8465380540437', 'zanadarian', '10000', '0', '0', '1238473444', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('2027224563847', '<PL> 2315hp Speederbike Swoop', '', '8388613', '2027224563733', 'banky', '20000', '0', '1', '1240227215', '3955353', '5', '322122547221', 'chodo');
INSERT INTO `bazaar_items` VALUES ('4410931413284', 'Decryptor (broken)', '', '8192', '4410931413013', 'era', '50', '0', '1', '1240493961', '2776045', '5', '9758165696533', 'ecaobia');
INSERT INTO `bazaar_items` VALUES ('17132624543850', 'a Corrupt Datadisk', '', '8192', '17132624543765', 'emryl', '1', '0', '1', '1240495095', '2776041', '5', '9758165696533', 'ecaobia');
INSERT INTO `bazaar_items` VALUES ('8465380540835', 'Structure and Furniture Crafting Tool', '', '32769', '8465380540437', 'zanadarian', '10000', '0', '0', '1238473431', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('6755983557063', 'Datapad Casing', '', '8192', '6755983556629', 'nevori', '2000', '0', '0', '1238481699', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('3384434230393', 'Handheld Picture', '', '8192', '3384434229269', 'ramsiz', '5000', '0', '0', '1238420790', '2776044', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('6446745911407', 'DL44 Metal Pistol', '', '131082', '6446745911317', 'gontag', '20000', '0', '1', '1240348121', '4705367', '4', '10861972291605', 'caineg');
INSERT INTO `bazaar_items` VALUES ('6446745911408', 'DL44 Pistol', '', '131082', '6446745911317', 'gontag', '20000', '0', '1', '1240347088', '4705367', '4', '10861972291605', 'caineg');
INSERT INTO `bazaar_items` VALUES ('6446745911409', 'DX2 Pistol', '', '131082', '6446745911317', 'gontag', '20000', '0', '1', '1240298171', '4705367', '4', '4711579123733', 'tycen');
INSERT INTO `bazaar_items` VALUES ('4410931413312', 'Sandstat', '', '8192', '4410931413013', 'era', '50', '0', '1', '1240494207', '2776045', '5', '9758165696533', 'ecaobia');
INSERT INTO `bazaar_items` VALUES ('1151051235644', 'Simple Shirt', '', '16777230', '1151051235349', 'gregory', '500', '0', '1', '1240243658', '3955353', '5', '5527622909973', 'yara');
INSERT INTO `bazaar_items` VALUES ('6390911336636', 'Heating Element', '', '8192', '6390911336469', 'totor', '500', '0', '0', '1238289585', '1366001', '1', '0', '');
INSERT INTO `bazaar_items` VALUES ('8396661064070', '<PL> 52-103 2.2 Scout Blaster', '', '131082', '8396661063701', 'malcome', '5000', '0', '1', '1240488618', '4105356', '5', '18421114732565', 'agenta');
INSERT INTO `bazaar_items` VALUES ('4410931413311', 'Datapad Casing', '', '8192', '4410931413013', 'era', '500', '0', '1', '1240494252', '2776045', '5', '9758165696533', 'ecaobia');
INSERT INTO `bazaar_items` VALUES ('5128190951563', 'Vibroknuckler', '', '131073', '5128190951445', 'davik', '20000', '0', '1', '1240298354', '3955353', '5', '8589934592021', 'dus');
INSERT INTO `bazaar_items` VALUES ('227633267879', 'Speederbike Swoop [TF]', '', '8388613', '227633266709', 'taspo', '10000', '0', '1', '1240353664', '2776044', '5', '3474628542485', 'talek');
INSERT INTO `bazaar_items` VALUES ('5128190951571', 'Vibroknuckler', '', '131073', '5128190951445', 'davik', '20000', '0', '1', '1240285487', '3955353', '5', '7554847473685', 'rob');
INSERT INTO `bazaar_items` VALUES ('6446745911403', 'CDEF Pistol', '', '131082', '6446745911317', 'gontag', '20000', '0', '1', '1240288613', '4705367', '4', '7992934137877', 'sond');
INSERT INTO `bazaar_items` VALUES ('1700807049821', 'Jacket', '', '16777227', '1700807049237', 'pleasedont', '5000', '0', '1', '1240284030', '3606001', '3', '7503307866133', 'halo');
INSERT INTO `bazaar_items` VALUES ('1700807049794', 'Multipocket Belt', '', '16777218', '1700807049237', 'pleasedont', '5000', '0', '1', '1240366920', '3606001', '3', '12202002087957', 'kazie');
INSERT INTO `bazaar_items` VALUES ('13443247636607', 'Ithorian Sentinel Armor Chestplate', '', '256', '13443247636501', 'jage', '1234', '1', '0', '1238397637', '7755375', '0', '0', '');
INSERT INTO `bazaar_items` VALUES ('1700807049317', 'Cargo Vest', '', '16777231', '1700807049237', 'pleasedont', '5000', '0', '1', '1240275695', '3606001', '3', '6906307411989', 'jeyq');
INSERT INTO `bazaar_items` VALUES ('6755983557055', 'Spectrum Recorder', '', '8192', '6755983556629', 'nevori', '2000', '0', '0', '1238481716', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1494648619211', 'a Cage', '', '8192', '1494648619029', 'xxscorpxx', '10000', '0', '0', '1238511047', '4105355', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('6390911336632', 'Binoculars (broken)', '', '8192', '6390911336469', 'totor', '500', '0', '0', '1238289564', '1366001', '1', '0', '');
INSERT INTO `bazaar_items` VALUES ('734439408506', 'A Droid Battery', '', '8192', '734439407637', 'techai', '1000', '0', '0', '1238403080', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('3384434230409', 'Carnivore Meat', '', '4194313', '3384434229269', 'ramsiz', '5000', '0', '0', '1238420784', '2776044', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('6390911336637', 'Decryptor (broken)', '', '8192', '6390911336469', 'totor', '500', '0', '0', '1238289576', '1366001', '1', '0', '');
INSERT INTO `bazaar_items` VALUES ('6390911336635', 'a Human Skull', '', '8192', '6390911336469', 'totor', '5', '0', '1', '1240495045', '1366001', '1', '9758165696533', 'ecaobia');
INSERT INTO `bazaar_items` VALUES ('6390911336595', 'a Human Skull', '', '8192', '6390911336469', 'totor', '5', '0', '1', '1240288020', '1366001', '1', '3474628542485', 'talek');
INSERT INTO `bazaar_items` VALUES ('6390911336644', 'Small Motor (Blue)', '', '8192', '6390911336469', 'totor', '500', '0', '0', '1238289590', '1366001', '1', '0', '');
INSERT INTO `bazaar_items` VALUES ('3818225926248', 'Wookiee Padded Gloves', '', '16777232', '3818225926165', 'yeti', '20', '1', '0', '1238289598', '3955353', '5', '8147552960533', 'zalbon');
INSERT INTO `bazaar_items` VALUES ('6390911336597', 'a Viewscreen (broken)', '', '8192', '6390911336469', 'totor', '500', '0', '0', '1238289610', '1366001', '1', '0', '');
INSERT INTO `bazaar_items` VALUES ('13443247636610', 'Ithorian Sentinel Armor Helmet', '', '256', '13443247636501', 'jage', '1234', '1', '0', '1238397630', '7755375', '0', '0', '');
INSERT INTO `bazaar_items` VALUES ('188978561559', 'Weapon, Droid, and General Item Crafting Tool', '', '32769', '188978561045', 'wecu', '1000', '0', '1', '1240385951', '4235514', '8', '12326556139541', 'dardolff');
INSERT INTO `bazaar_items` VALUES ('734439408499', 'A Droid Battery', '', '8192', '734439407637', 'techai', '1000', '0', '0', '1238403103', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('5875515261152', '<PL> 2811hp X34 Landspeeder', '', '8388613', '5875515260949', 'saffron', '10000', '0', '1', '1240350190', '4105356', '5', '11166914969621', 'sarah');
INSERT INTO `bazaar_items` VALUES ('4999341932688', 'CDEF Pistol', '', '131082', '4999341932565', 'quoxet', '1000', '0', '1', '1240285549', '3945353', '8', '7554847473685', 'rob');
INSERT INTO `bazaar_items` VALUES ('4999341932716', 'Cryoban Grenade', '', '131075', '4999341932565', 'quoxet', '1000', '0', '1', '1240290894', '3945353', '8', '592705486869', 'meensmoov');
INSERT INTO `bazaar_items` VALUES ('3560527889119', 'Gay-Mobile', '', '8388613', '3560527888405', 'chaba', '19999', '0', '1', '1240454351', '7755375', '0', '16024522981397', 'caineg');
INSERT INTO `bazaar_items` VALUES ('188978561509', 'Generic Crafting Tool', '', '32769', '188978561045', 'wecu', '500', '0', '1', '1240287205', '4235514', '8', '7881264988181', 'egif');
INSERT INTO `bazaar_items` VALUES ('188978562022', 'Weapon, Droid, and General Item Crafting Tool', '', '32769', '188978561045', 'wecu', '1000', '0', '1', '1240400620', '4235514', '8', '14388140441621', 'cartwright');
INSERT INTO `bazaar_items` VALUES ('188978561569', 'Weapon, Droid, and General Item Crafting Tool', '', '32769', '188978561045', 'wecu', '500', '0', '1', '1240284170', '4235514', '8', '5995774345237', 'zkm');
INSERT INTO `bazaar_items` VALUES ('13443247636596', 'Kashyyykian Hunting Armor Bracer', '', '256', '13443247636501', 'jage', '1234', '1', '0', '1238397623', '7755375', '0', '0', '');
INSERT INTO `bazaar_items` VALUES ('7563437408432', 'Datapad Casing', '', '8192', '7563437408277', 'andrew', '500', '0', '0', '1238372736', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('9856949944430', 'a Cage', '', '8192', '9856949944341', 'suubi', '10000', '1', '0', '1238366396', '3945353', '8', '0', '');
INSERT INTO `bazaar_items` VALUES ('13443247636646', 'Backpack1', '', '8213', '13443247636501', 'jage', '1357', '1', '0', '1238397587', '7755375', '0', '19108309499925', 'zoren');
INSERT INTO `bazaar_items` VALUES ('1735166788582', 'Speederbike Swoop', '', '8388613', '1735166787605', 'proto', '12000', '0', '1', '1240383982', '3945352', '8', '13443247636501', 'jage');
INSERT INTO `bazaar_items` VALUES ('8465380540831', 'Structure and Furniture Crafting Tool', '', '32769', '8465380540437', 'zanadarian', '10000', '0', '0', '1238473420', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('734439408524', 'A Droid Battery', '', '8192', '734439407637', 'techai', '1000', '0', '0', '1238403095', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('11145440133234', 'CDEF Rifle', '', '131084', '11145440133141', 'jaquash', '10000', '0', '1', '1240350416', '3955353', '5', '10243497000981', 'kindar');
INSERT INTO `bazaar_items` VALUES ('1735166788510', 'Speederbike Swoop', '', '8388613', '1735166787605', 'proto', '12000', '0', '1', '1240383691', '3945352', '8', '13396002996245', 'pepon');
INSERT INTO `bazaar_items` VALUES ('10239202033890', 'Eurion Corp CS-blaster Rifle', 'Part of Eurion corps beginner blaster rifle range, great for those up and coming young Marksmen or for simple recreational use you Can\'t go wrong with Eurion corp! \n\n- Kados Eurion ', '131084', '10239202033685', 'kados', '250', '0', '1', '1240389300', '3945353', '8', '13524852015125', 'seyton');
INSERT INTO `bazaar_items` VALUES ('8465380540842', 'Structure and Furniture Crafting Tool', '', '32769', '8465380540437', 'zanadarian', '10000', '0', '0', '1238473446', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('5828270620855', '<PL> 2323hp Speederbike Swoop', '', '8388613', '5828270620693', 'brodie', '20000', '0', '1', '1240353172', '4105356', '5', '7017976561685', 'larz');
INSERT INTO `bazaar_items` VALUES ('3560527889055', 'Gay-Mobile', '', '8388613', '3560527888405', 'chaba', '20000', '0', '1', '1240383355', '7755375', '0', '9101035700245', 'mikeolin');
INSERT INTO `bazaar_items` VALUES ('3560527889385', 'Deed for: Personal Mineral Extractor', '', '8388610', '3560527888405', 'chaba', '15000', '0', '1', '1240438311', '7755375', '0', '10806137716757', 'luxa');
INSERT INTO `bazaar_items` VALUES ('2757369004609', 'Weapa DH17 Short Carbine', '', '131083', '2757369004053', 'weapa', '10000', '0', '1', '1240360750', '3955353', '5', '11772505358357', 'oquaku');
INSERT INTO `bazaar_items` VALUES ('3560527889112', 'Gay-Mobile', '', '8388613', '3560527888405', 'chaba', '19999', '0', '1', '1240287943', '7755375', '0', '7928509628437', 'trixy');
INSERT INTO `bazaar_items` VALUES ('6390911336724', 'a Human Skull', '', '8192', '6390911336469', 'totor', '500', '0', '0', '1238312098', '2776036', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('5875515261069', '<PL> 2323hp Speederbike Swoop', '', '8388613', '5875515260949', 'saffron', '20000', '0', '1', '1240289736', '4105356', '5', '2362232012821', 'ofivei');
INSERT INTO `bazaar_items` VALUES ('970662609742', 'Lovely green Cloak by Magali', '', '16777221', '970662608917', 'magali', '10000', '0', '1', '1240287937', '2776036', '5', '7924214661141', 'vyi');
INSERT INTO `bazaar_items` VALUES ('6390911336749', 'Feed Tubes', '', '8192', '6390911336469', 'totor', '5000', '0', '0', '1238312113', '2776036', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('5587752453188', 'Mabari Armorweave Boots', '', '256', '5587752452117', 'teh', '20000', '0', '1', '1240366701', '3955353', '5', '2585570312213', 'wyywaccha');
INSERT INTO `bazaar_items` VALUES ('678604833834', 'Jet Black Wrapped Skirt by Pye', '', '16777234', '678604832789', 'pye', '1500', '0', '1', '1240306161', '2776036', '5', '2572685410325', 'yojiro');
INSERT INTO `bazaar_items` VALUES ('188978562430', 'Clothing and Armor Crafting Tool', '', '32769', '188978561045', 'wecu', '500', '0', '1', '1240460548', '4685572', '8', '16522739187733', 'giq');
INSERT INTO `bazaar_items` VALUES ('3560527890197', 'High Tech Field Base Kit', '', '32772', '3560527888405', 'chaba', '9999', '0', '0', '1238490110', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('13443247636701', 'Vibro Axe', '', '131080', '13443247636501', 'jage', '1357', '1', '0', '1238400484', '3955353', '5', '13791139987477', 'benign');
INSERT INTO `bazaar_items` VALUES ('12111807774878', 'Formfitting Undershirt', '', '16777230', '12111807774741', 'kalian', '20', '0', '1', '1240376646', '2776045', '5', '13022340841493', 'phet');
INSERT INTO `bazaar_items` VALUES ('8976481648751', 'Datapad ', '', '8192', '8976481648661', 'lars', '10', '0', '0', '1238393673', '2776044', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('2027224563869', '<PL> 2323hp Speederbike Swoop', '', '8388613', '2027224563733', 'banky', '20000', '0', '1', '1240346273', '4105356', '5', '7017976561685', 'larz');
INSERT INTO `bazaar_items` VALUES ('8465380540823', 'Structure and Furniture Crafting Tool', '', '32769', '8465380540437', 'zanadarian', '10000', '0', '0', '1238473365', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('13443247636593', 'Kashyyykian Hunting Armor Chestplate', '', '256', '13443247636501', 'jage', '1234', '1', '0', '1238397620', '7755375', '0', '0', '');
INSERT INTO `bazaar_items` VALUES ('734439408530', 'A Droid Battery', '', '8192', '734439407637', 'techai', '1000', '0', '0', '1238403099', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('11145440133252', 'Laser Rifle (Noob)', '', '131084', '11145440133141', 'jaquash', '10000', '0', '1', '1240350397', '3955353', '5', '10243497000981', 'kindar');
INSERT INTO `bazaar_items` VALUES ('227633267704', 'Speederbike Swoop [TF]', '', '8388613', '227633266709', 'taspo', '10000', '0', '1', '1240348098', '3955353', '5', '11089605558293', 'kynes');
INSERT INTO `bazaar_items` VALUES ('6390911336755', 'a Viewscreen (broken)', '', '8192', '6390911336469', 'totor', '500', '0', '0', '1238312100', '2776036', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('5875515261154', '<PL> 2811hp X34 Landspeeder', '', '8388613', '5875515260949', 'saffron', '10000', '0', '1', '1240347011', '4105356', '5', '8065948581909', 'xacari');
INSERT INTO `bazaar_items` VALUES ('5587752453060', 'Bone Armor Helmet', '', '256', '11768210391061', 'nozi', '17715', '1', '0', '1238376821', '3955353', '5', '682899800085', 'jack');
INSERT INTO `bazaar_items` VALUES ('11145440133238', 'Jawa Ion Rifle', '', '131084', '11145440133141', 'jaquash', '10000', '0', '1', '1240355969', '3955353', '5', '2929167695893', 'leonidovich');
INSERT INTO `bazaar_items` VALUES ('11729555685524', 'Composite Helmet', '', '256', '11729555685397', 'raimahk', '20000', '0', '1', '1240379967', '3945353', '8', '13258564042773', 'neeph');
INSERT INTO `bazaar_items` VALUES ('201863463420', 'Heavy Acid Rifle', '', '131078', '201863462933', 'kiko', '20000', '0', '1', '1240378662', '3955353', '5', '12953621364757', 'eziekial');
INSERT INTO `bazaar_items` VALUES ('6390911336596', 'Handheld Picture', '', '8192', '6390911336469', 'totor', '5000', '0', '0', '1238312118', '2776036', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('3560527889392', 'Deed for: Personal Mineral Extractor', '', '8388610', '3560527888405', 'chaba', '15000', '0', '1', '1240384374', '7755375', '0', '7494717931541', 'xiqu');
INSERT INTO `bazaar_items` VALUES ('13443247636609', 'Ithorian Sentinel Armor Leggings', '', '256', '13443247636501', 'jage', '1234', '1', '0', '1238397634', '7755375', '0', '0', '');
INSERT INTO `bazaar_items` VALUES ('188978562070', 'Clothing and Armor Crafting Tool', '', '32769', '188978561045', 'wecu', '1000', '0', '1', '1240381135', '4235514', '8', '13318693584917', 'roflcopter');
INSERT INTO `bazaar_items` VALUES ('1735166789238', 'Speederbike Swoop', '', '8388613', '1735166787605', 'proto', '15000', '0', '1', '1240405319', '3945352', '8', '2985002270741', 'kawi');
INSERT INTO `bazaar_items` VALUES ('1735166788790', 'Speederbike Swoop', '', '8388613', '1735166787605', 'proto', '15000', '0', '1', '1240386236', '3955353', '5', '7198365188117', 'bladde');
INSERT INTO `bazaar_items` VALUES ('734439408492', 'A Droid Battery', '', '8192', '734439407637', 'techai', '1000', '0', '0', '1238403104', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('5875515261108', '<PL> 2811hp X34 Landspeeder', '', '8388613', '5875515260949', 'saffron', '10000', '0', '1', '1240302495', '4105356', '5', '8950711844885', 'kyre');
INSERT INTO `bazaar_items` VALUES ('6390911336731', 'Firework (dud)', '', '8192', '6390911336469', 'totor', '5000', '0', '0', '1238312115', '2776036', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('11772505358439', 'Maroj Melon', 'Autentico melon de Gorchas, de la mejor calidad.', '8202', '11772505358357', 'oquaku', '2000', '0', '0', '1238373500', '683457', '8', '0', '');
INSERT INTO `bazaar_items` VALUES ('2297807504137', '<PL> 2323hp Speederbike Swoop', '', '8388613', '8396661063701', 'malcome', '20000', '0', '1', '1240298330', '4105356', '5', '8589934592021', 'dus');
INSERT INTO `bazaar_items` VALUES ('6386616369284', 'Small Motor (Red)', '', '8192', '6386616369173', 'joz', '10000', '0', '0', '1238359129', '683510', '8', '0', '');
INSERT INTO `bazaar_items` VALUES ('6390911336742', 'a Cage', '', '8192', '6390911336469', 'totor', '500', '0', '1', '1240461209', '2776036', '5', '16067472654357', 'balancesheet');
INSERT INTO `bazaar_items` VALUES ('5875515261153', '<PL> 2811hp X34 Landspeeder', '', '8388613', '5875515260949', 'saffron', '10000', '0', '1', '1240347075', '4105356', '5', '8065948581909', 'xacari');
INSERT INTO `bazaar_items` VALUES ('11145440133233', 'Bowcaster rifle', '', '131084', '11145440133141', 'jaquash', '10000', '0', '1', '1240349531', '3955353', '5', '11175504904213', 'emo');
INSERT INTO `bazaar_items` VALUES ('3560527890043', 'Structure and Furniture Crafting Tool', '', '32769', '3560527888405', 'chaba', '13710', '0', '1', '1240466088', '3955353', '5', '17012365459477', 'sameth');
INSERT INTO `bazaar_items` VALUES ('8465380540821', 'Structure and Furniture Crafting Tool', '', '32769', '8465380540437', 'zanadarian', '10000', '0', '1', '1240461252', '2776037', '5', '16067472654357', 'balancesheet');
INSERT INTO `bazaar_items` VALUES ('13640816132253', 'Handheld Picture', '', '8192', '13640816132117', 'zerik', '50', '0', '0', '1238413379', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('3560527889122', 'Gay-Mobile', '', '8388613', '3560527888405', 'chaba', '19999', '0', '1', '1240349678', '7755375', '0', '5995774345237', 'zkm');
INSERT INTO `bazaar_items` VALUES ('17544941404612', 'A High Tech Field Base Kit', '', '32772', '17544941404181', 'rasheed', '1000', '0', '0', '1238509167', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('5342939317302', 'Pants by estrellita', '', '16777228', '5342939316245', 'estrellita', '20000', '0', '1', '1240365764', '2776044', '5', '2190433320981', 'viktras');
INSERT INTO `bazaar_items` VALUES ('6755983557054', 'Small Motor (Red)', '', '8192', '6755983556629', 'nevori', '2000', '0', '0', '1238481706', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('188978561981', 'Weapon, Droid, and General Item Crafting Tool', '', '32769', '188978561045', 'wecu', '1000', '0', '1', '1240375927', '4235514', '8', '12777527705621', 'billy');
INSERT INTO `bazaar_items` VALUES ('13443247636595', 'Kashyyykian Hunting Armor Bracer', '', '256', '13443247636501', 'jage', '1234', '1', '0', '1238397640', '7755375', '0', '0', '');
INSERT INTO `bazaar_items` VALUES ('13443247636662', 'a Briefcase', '', '8192', '13443247636501', 'jage', '1234', '1', '0', '1238399272', '5625469', '0', '0', '');
INSERT INTO `bazaar_items` VALUES ('734439408538', 'A Droid Battery', '', '8192', '734439407637', 'techai', '1000', '0', '0', '1238403101', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('201863463418', 'Nightsister Lance', '', '131081', '13258564042773', 'neeph', '20000', '1', '0', '1238393384', '3606001', '3', '2680059592725', 'loftkilla');
INSERT INTO `bazaar_items` VALUES ('5342939316835', 'Shirt', '', '16777230', '5342939316245', 'estrellita', '20000', '0', '1', '1240349598', '4105356', '5', '4170413244437', 'letsparty');
INSERT INTO `bazaar_items` VALUES ('3560527889059', 'Gay-Mobile', '', '8388613', '3560527888405', 'chaba', '20000', '0', '1', '1240415300', '7755375', '0', '14976550961173', 'near');
INSERT INTO `bazaar_items` VALUES ('13443247636679', 'ATAT Bodysuit', '', '16777219', '13443247636501', 'jage', '1641', '1', '0', '1238400469', '3955353', '5', '5793910882325', 'edd');
INSERT INTO `bazaar_items` VALUES ('13443247636683', 'Bodysuit 8', '', '16777219', '13443247636501', 'jage', '1357', '1', '0', '1238400475', '3955353', '5', '5793910882325', 'edd');
INSERT INTO `bazaar_items` VALUES ('188978562060', 'Weapon, Droid, and General Item Crafting Tool', '', '32769', '188978561045', 'wecu', '1000', '0', '1', '1240380620', '4235514', '8', '13258564042773', 'neeph');
INSERT INTO `bazaar_items` VALUES ('5587752453054', 'Bone Armor Chest Plate', '', '256', '11768210391061', 'nozi', '19325', '1', '0', '1238376826', '3955353', '5', '19731079757845', 'vosche');
INSERT INTO `bazaar_items` VALUES ('8465380540830', 'Structure and Furniture Crafting Tool', '', '32769', '8465380540437', 'zanadarian', '10000', '0', '0', '1238473422', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('8465380540832', 'Structure and Furniture Crafting Tool', '', '32769', '8465380540437', 'zanadarian', '10000', '0', '0', '1238473424', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('3337189589581', 'EE3 Carbine Elite', '', '131083', '3337189589013', 'neimad', '10000', '0', '1', '1240460418', '3955353', '5', '16522739187733', 'giq');
INSERT INTO `bazaar_items` VALUES ('6755983557066', 'a Briefcase', '', '8192', '6755983556629', 'nevori', '2000', '0', '0', '1238481687', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1735166789242', 'Speederbike Swoop', '', '8388613', '1735166787605', 'proto', '15000', '0', '1', '1240405475', '3945352', '8', '8598524526613', 'shaeton');
INSERT INTO `bazaar_items` VALUES ('17544941404595', 'Type 99', '', '8209', '17544941404181', 'rasheed', '75', '0', '0', '1238496613', '2776044', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('8465380540833', 'Structure and Furniture Crafting Tool', '', '32769', '8465380540437', 'zanadarian', '10000', '0', '0', '1238473427', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('5828270620881', '<PL> 2323hp Swoop', '', '8388613', '5828270620693', 'brodie', '20000', '0', '1', '1240415275', '2776045', '5', '2585570312213', 'wyywaccha');
INSERT INTO `bazaar_items` VALUES ('5128190951528', 'Maroj Melon', '', '8202', '5128190951445', 'davik', '20000', '0', '0', '1238397047', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('13443247636613', 'Ithorian Sentinel Armor Bicep', '', '256', '13443247636501', 'jage', '1234', '1', '0', '1238397648', '7755375', '0', '0', '');
INSERT INTO `bazaar_items` VALUES ('13443247636612', 'Ithorian Sentinel Armor Bracer', '', '256', '13443247636501', 'jage', '1234', '1', '0', '1238397652', '7755375', '0', '0', '');
INSERT INTO `bazaar_items` VALUES ('1735166789043', 'Speederbike Swoop', '', '8388613', '1735166787605', 'proto', '15000', '0', '1', '1240395168', '4685573', '8', '14190571946005', 'shokolonday');
INSERT INTO `bazaar_items` VALUES ('6755983557060', 'Datapad Backlight', '', '8192', '6755983556629', 'nevori', '2000', '0', '0', '1238481696', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('4973572129042', 'Datapad Casing', '', '8192', '4973572128789', 'drey', '1000', '0', '0', '1238476604', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('8465380540839', 'Structure and Furniture Crafting Tool', '', '32769', '8465380540437', 'zanadarian', '10000', '0', '0', '1238473440', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1735166789234', 'Speederbike Swoop', '', '8388613', '1735166787605', 'proto', '15000', '0', '1', '1240403754', '3945352', '8', '14499809591317', 'deptre');
INSERT INTO `bazaar_items` VALUES ('7443178325537', 'Food and Chemical Crafting Tool by Upu 13.71', '', '32769', '7443178323989', 'upu', '10000', '0', '0', '1238494135', '2776036', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('4410931413191', 'Metal Fasteners', '', '262144', '4410931413013', 'era', '500', '0', '0', '1238413260', '2776045', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('8508330213781', 'White Shirt with 4 sockets', '', '16777230', '8508330213397', 'pangalactic', '100', '0', '1', '1240456625', '3945353', '8', '16260746182677', 'nedak');
INSERT INTO `bazaar_items` VALUES ('13443247636688', 'Bodysuit 16', '', '16777219', '13443247636501', 'jage', '1492', '1', '0', '1238400480', '3955353', '5', '5793910882325', 'edd');
INSERT INTO `bazaar_items` VALUES ('1494648619321', 'a Viewscreen (broken)', '', '8192', '1494648619029', 'xxscorpxx', '10000', '0', '0', '1238530411', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('4410931413310', 'Sandstat', '', '8192', '4410931413013', 'era', '50', '0', '1', '1240494242', '2776045', '5', '9758165696533', 'ecaobia');
INSERT INTO `bazaar_items` VALUES ('13443247636690', 'Bwing Bodysuit Quest', '', '16777219', '13443247636501', 'jage', '1492', '1', '0', '1238400491', '3955353', '5', '5793910882325', 'edd');
INSERT INTO `bazaar_items` VALUES ('2027224564032', '<PL> 42-142 2.9 FWG5 Pistol', '', '131082', '2027224563733', 'banky', '10000', '0', '0', '1238436966', '4105356', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('5828270620885', '<PL> 2323hp Swoop', '', '8388613', '5828270620693', 'brodie', '20000', '0', '1', '1240415281', '2776045', '5', '2585570312213', 'wyywaccha');
INSERT INTO `bazaar_items` VALUES ('13443247636689', 'Bwing Bodysuit', '', '16777219', '13443247636501', 'jage', '1357', '1', '0', '1238400494', '3955353', '5', '5793910882325', 'edd');
INSERT INTO `bazaar_items` VALUES ('13443247636702', 'Vibrolance', '', '131081', '13443247636501', 'jage', '20000', '1', '0', '1238400501', '3955353', '5', '17506286698517', 'medre');
INSERT INTO `bazaar_items` VALUES ('13443247636602', 'Small Stimpack - A', '', '8205', '13443247636501', 'jage', '1234', '1', '0', '1238400514', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('13443247636598', 'Small Stimpack - B', '', '8205', '13443247636501', 'jage', '1234', '1', '0', '1238400519', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('4410931413333', 'Sandstat', '', '8192', '4410931413013', 'era', '50', '0', '1', '1240494546', '2776045', '5', '9758165696533', 'ecaobia');
INSERT INTO `bazaar_items` VALUES ('4410931413334', 'Rare Insect', '', '8192', '4410931413013', 'era', '50', '0', '1', '1240495061', '2776045', '5', '9758165696533', 'ecaobia');
INSERT INTO `bazaar_items` VALUES ('8508330213780', 'White Shirt with 4 sockets', '', '16777230', '8508330213397', 'pangalactic', '100', '0', '1', '1240392675', '3945353', '8', '14035953123349', 'jatris');
INSERT INTO `bazaar_items` VALUES ('8508330213782', 'White Shirt with 4 sockets', '', '16777230', '8508330213397', 'pangalactic', '100', '0', '0', '1238405150', '3945353', '8', '0', '');
INSERT INTO `bazaar_items` VALUES ('4410931413330', 'Rare Insect', '', '8192', '4410931413013', 'era', '50', '0', '1', '1240494221', '2776045', '5', '9758165696533', 'ecaobia');
INSERT INTO `bazaar_items` VALUES ('19464791785749', 'Chemical Survey Device', '', '32770', '19464791785493', 'brillian', '20', '0', '0', '1238527533', '4705367', '4', '0', '');
INSERT INTO `bazaar_items` VALUES ('5828270620906', '<PL> 83-108 3.4 Scatter Pistol', '', '131082', '5828270620693', 'brodie', '10000', '0', '0', '1238438053', '4105356', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('4410931413276', 'an Impulse Detector (broken)', '', '8192', '4410931413013', 'era', '50', '0', '1', '1240494665', '2776045', '5', '9758165696533', 'ecaobia');
INSERT INTO `bazaar_items` VALUES ('1151051236174', 'Pullover', '', '16777231', '1151051235349', 'gregory', '500', '0', '0', '1238539765', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('8465380540828', 'Structure and Furniture Crafting Tool', '', '32769', '8465380540437', 'zanadarian', '10000', '0', '0', '1238473414', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1494648619323', 'a Calibrator (broken)', '', '8192', '1494648619029', 'xxscorpxx', '10000', '0', '0', '1238530407', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('3384434230370', 'Handheld Picture', '', '8192', '3384434229269', 'ramsiz', '5000', '0', '0', '1238418086', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('193273530294', 'Copper', '', '4194311', '193273528341', 'drazhar', '20000', '0', '0', '1238522963', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('3384434230412', 'Work Light', '', '8192', '3384434229269', 'ramsiz', '5000', '0', '0', '1238420777', '2776044', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('18781891985639', 'Firework (dud)', '', '8192', '18781891985429', 'sathyros', '500', '0', '0', '1238506423', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('6755983557061', 'a Briefcase', '', '8192', '6755983556629', 'nevori', '2000', '0', '0', '1238481691', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('193273530291', 'Copper', '', '4194311', '193273528341', 'drazhar', '20000', '0', '0', '1238522956', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('18094697218275', 'Composite Bicep', '', '256', '18094697218069', 'rorshyyk', '5000', '0', '1', '1240497737', '3955353', '5', '19151259172885', 'draeco');
INSERT INTO `bazaar_items` VALUES ('5828270620888', '<PL> 2323hp Swoop', '', '8388613', '5828270620693', 'brodie', '20000', '0', '1', '1240415286', '4105356', '5', '2585570312213', 'wyywaccha');
INSERT INTO `bazaar_items` VALUES ('17132624543857', 'Sandstat (broken)', '', '8192', '17132624543765', 'emryl', '1', '0', '0', '1238498233', '2776041', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('3169685865547', 'Crested Neckpiece', '', '16777233', '3169685864469', 'kayliah', '10000', '0', '0', '1238413692', '4685574', '8', '0', '');
INSERT INTO `bazaar_items` VALUES ('5828270620905', '<PL> 83-108 3.4 Scatter Pistol', '', '131082', '5828270620693', 'brodie', '10000', '0', '0', '1238438051', '4105356', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('18781891985641', 'a Briefcase', '', '8192', '18781891985429', 'sathyros', '500', '0', '0', '1238506427', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('8465380540840', 'Structure and Furniture Crafting Tool', '', '32769', '8465380540437', 'zanadarian', '10000', '0', '0', '1238473442', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('7443178325485', 'Structure and Furniture Crafting Tool by Upu ', '', '32769', '7443178323989', 'upu', '10000', '0', '0', '1238494120', '2776036', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('5875515261180', '<PL> 2811hp X34 Landspeeder', '', '8388613', '5875515260949', 'saffron', '10000', '0', '1', '1240419689', '4105356', '5', '15066745274389', 'eoly');
INSERT INTO `bazaar_items` VALUES ('3083786520485', 'Speederbike Swoop', '', '8388613', '3083786518549', 'grotiw', '11111', '0', '1', '1240452865', '3955353', '5', '15882789060629', 'dekaar');
INSERT INTO `bazaar_items` VALUES ('3083786520489', 'Speederbike Swoop', '', '8388613', '3083786518549', 'grotiw', '11111', '0', '1', '1240452853', '3955353', '5', '15882789060629', 'dekaar');
INSERT INTO `bazaar_items` VALUES ('193273530295', 'Copper', '', '4194311', '193273528341', 'drazhar', '20000', '0', '0', '1238522959', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('2929167696251', 'Orange Rug Thread - Sixth Section', '', '262144', '2929167695893', 'leonidovich', '20000', '0', '0', '1238428223', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('18094697218274', 'Composite Bracer', '', '256', '18094697218069', 'rorshyyk', '5000', '0', '1', '1240497773', '3955353', '5', '19151259172885', 'draeco');
INSERT INTO `bazaar_items` VALUES ('425201766006', 'Landseer Speederbike', '', '8388613', '425201762325', 'leandra', '10000', '0', '1', '1240477871', '2776044', '5', '9706626088981', 'gilad');
INSERT INTO `bazaar_items` VALUES ('4973572128927', 'Small Motor (Blue)', '', '8192', '4973572128789', 'drey', '1000', '0', '0', '1238420524', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('661424963874', 'a Calibrator (broken)', '', '8192', '661424963605', 'tiger', '1000', '0', '0', '1238535485', '2776045', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('4410931413329', 'an Impulse Detector (broken)', '', '8192', '4410931413013', 'era', '50', '0', '1', '1240494683', '2776045', '5', '9758165696533', 'ecaobia');
INSERT INTO `bazaar_items` VALUES ('4410931413282', 'Heating Element', '', '8192', '4410931413013', 'era', '500', '0', '0', '1238413226', '2776045', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1228360649991', 'Generic Crafting Tool', '', '32769', '1228360646677', 'mugane', '10000', '0', '0', '1238540683', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('17132624543912', 'Solid Delivery Shell', '', '262144', '17132624543765', 'emryl', '1', '0', '0', '1238498230', '2776041', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('4410931413331', 'Small Motor (Blue)', '', '8192', '4410931413013', 'era', '50', '0', '1', '1240493824', '2776045', '5', '9758165696533', 'ecaobia');
INSERT INTO `bazaar_items` VALUES ('6755983557062', 'a Cage', '', '8192', '6755983556629', 'nevori', '2000', '0', '0', '1238481661', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('6755983557059', 'a Calibrator (broken)', '', '8192', '6755983556629', 'nevori', '2000', '0', '0', '1238481672', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('425201765882', 'Landseer Speederbike', '', '8388613', '425201762325', 'leandra', '10000', '0', '1', '1240473170', '2776044', '5', '17532056502293', 'xcv');
INSERT INTO `bazaar_items` VALUES ('4410931413281', 'Small Motor (Blue)', '', '8192', '4410931413013', 'era', '50', '0', '1', '1240493940', '2776045', '5', '9758165696533', 'ecaobia');
INSERT INTO `bazaar_items` VALUES ('6755983557065', 'an Impulse Detector (broken)', '', '8192', '6755983556629', 'nevori', '2000', '0', '0', '1238481681', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('2929167696250', 'Orange Rug Thread - Sixth Section', '', '262144', '2929167695893', 'leonidovich', '20000', '0', '0', '1238428221', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('2929167696239', 'Orange Rug Thread - Fourth Section', '', '262144', '2929167695893', 'leonidovich', '20000', '0', '0', '1238428219', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('425201764257', 'Landseer Speederbike', '', '8388613', '425201762325', 'leandra', '10000', '0', '1', '1240406590', '2776044', '5', '12957916332053', 'zag');
INSERT INTO `bazaar_items` VALUES ('5828270620896', '<PL> 2323hp Swoop', '', '8388613', '5828270620693', 'brodie', '20000', '0', '1', '1240415291', '2776045', '5', '2585570312213', 'wyywaccha');
INSERT INTO `bazaar_items` VALUES ('1228360650003', 'Food and Chemical Crafting Tool', '', '32769', '1228360646677', 'mugane', '10000', '0', '0', '1238540643', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('8396661064123', '<PL> 2323hp Swoop', '', '8388613', '8396661063701', 'malcome', '20000', '0', '1', '1240498656', '4105356', '5', '19043884990485', 'ofeetwo');
INSERT INTO `bazaar_items` VALUES ('3384434230374', 'Heating Element', '', '8192', '3384434229269', 'ramsiz', '5000', '0', '0', '1238418092', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('3384434230351', 'Small Motor (Blue)', '', '8192', '3384434229269', 'ramsiz', '10000', '0', '0', '1238418114', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('5828270620904', '<PL> 83-108 3.4 Scatter Pistol', '', '131082', '5828270620693', 'brodie', '10000', '0', '0', '1238438050', '4105356', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('7443178325552', 'Structure and Furniture Crafting Tool by Upu ', '', '32769', '7443178323989', 'upu', '10000', '0', '0', '1238494118', '2776036', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('3384434230347', 'Carnivore Meat', '', '4194313', '3384434229269', 'ramsiz', '5000', '0', '0', '1238418153', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('3384434230339', 'Avian Meat', '', '4194313', '3384434229269', 'ramsiz', '5000', '0', '0', '1238418159', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('18094697218276', 'Composite Bicep', '', '256', '18094697218069', 'rorshyyk', '5000', '0', '1', '1240497761', '3955353', '5', '19151259172885', 'draeco');
INSERT INTO `bazaar_items` VALUES ('425201766022', 'Landseer Speederbike', '', '8388613', '425201762325', 'leandra', '10000', '0', '1', '1240477955', '2776044', '5', '17278653431829', 'zag');
INSERT INTO `bazaar_items` VALUES ('3418793970147', 'Weighted Wookiee Pullover', '', '16777232', '3672197038101', 'dierlyn', '250', '0', '1', '1240480257', '2776036', '5', '18283675779093', 'mixou');
INSERT INTO `bazaar_items` VALUES ('8465380540838', 'Structure and Furniture Crafting Tool', '', '32769', '8465380540437', 'zanadarian', '10000', '0', '0', '1238473437', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('3384434230407', 'a Calibrator (broken)', '', '8192', '3384434229269', 'ramsiz', '5000', '0', '0', '1238420787', '2776044', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('5828270620918', '<PL> 83-108 3.4 Scatter Pistol', '', '131082', '5828270620693', 'brodie', '10000', '0', '1', '1240472521', '4105356', '5', '17557826306069', 'pehyu');
INSERT INTO `bazaar_items` VALUES ('1228360650002', 'Food and Chemical Crafting Tool', '', '32769', '1228360646677', 'mugane', '10000', '0', '0', '1238540646', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('2297807504550', '<PL> 42-142 2.9 FWG5 Pistol', '', '131082', '2297807503381', 'richie', '10000', '0', '0', '1238436879', '4105356', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('6755983557068', 'Palm Frond', '', '8192', '6755983556629', 'nevori', '2000', '0', '0', '1238481729', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('17132624543851', 'Small Motor (Blue)', '', '8192', '17132624543765', 'emryl', '1', '0', '0', '1238498222', '2776041', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1494648619203', 'a Briefcase', '', '8192', '1494648619029', 'xxscorpxx', '200', '0', '0', '1238511037', '4105355', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('8465380540837', 'Structure and Furniture Crafting Tool', '', '32769', '8465380540437', 'zanadarian', '10000', '0', '0', '1238473435', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('8465380540826', 'Structure and Furniture Crafting Tool', '', '32769', '8465380540437', 'zanadarian', '10000', '0', '0', '1238473412', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('7443178325547', 'Starship Crafting Tool by Upu 13.71', '', '32769', '7443178323989', 'upu', '10000', '0', '0', '1238494125', '2776036', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('425201764521', 'Landseer Swoop', '', '8388613', '425201762325', 'leandra', '15000', '0', '1', '1240419735', '2776044', '5', '15066745274389', 'eoly');
INSERT INTO `bazaar_items` VALUES ('4973572129041', 'Janta Knife', '', '131079', '4973572128789', 'drey', '1000', '0', '1', '1240465530', '3955353', '5', '17033840295957', 'ruhjaah');
INSERT INTO `bazaar_items` VALUES ('17132624543913', 'Sandstat (broken)', '', '8192', '17132624543765', 'emryl', '1', '0', '0', '1238498232', '2776041', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('193273530017', 'Copper', '', '4194311', '193273528341', 'drazhar', '20000', '0', '1', '1240466053', '2776037', '5', '17012365459477', 'sameth');
INSERT INTO `bazaar_items` VALUES ('6755983557056', 'a Cage', '', '8192', '6755983556629', 'nevori', '2000', '0', '0', '1238481684', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('5828270620907', '<PL> 83-108 3.4 Scatter Pistol', '', '131082', '5828270620693', 'brodie', '10000', '0', '0', '1238438055', '4105356', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('5828270620908', '<PL> 83-108 3.4 Scatter Pistol', '', '131082', '5828270620693', 'brodie', '10000', '0', '0', '1238438057', '4105356', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('5828270620909', '<PL> 83-108 3.4 Scatter Pistol', '', '131082', '5828270620693', 'brodie', '10000', '0', '0', '1238438058', '4105356', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1228360650005', 'Food and Chemical Crafting Tool', '', '32769', '1228360646677', 'mugane', '10000', '0', '0', '1238540635', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1228360650004', 'Food and Chemical Crafting Tool', '', '32769', '1228360646677', 'mugane', '10000', '0', '0', '1238540638', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('425201766021', 'Landseer Speederbike', '', '8388613', '425201762325', 'leandra', '10000', '0', '1', '1240477883', '2776044', '5', '9706626088981', 'gilad');
INSERT INTO `bazaar_items` VALUES ('17544941404615', 'A High Tech Field Base Kit', '', '32772', '17544941404181', 'rasheed', '1000', '0', '0', '1238509169', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('8465380540834', 'Structure and Furniture Crafting Tool', '', '32769', '8465380540437', 'zanadarian', '10000', '0', '0', '1238473429', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('5875515261202', '<PL> 39-125 2.2 DL44 Pistol', '', '131082', '5875515260949', 'saffron', '5000', '0', '1', '1240466066', '4105356', '5', '17012365459477', 'sameth');
INSERT INTO `bazaar_items` VALUES ('18094697218273', 'Composite Bracer', '', '256', '18094697218069', 'rorshyyk', '5000', '0', '1', '1240497767', '3955353', '5', '19151259172885', 'draeco');
INSERT INTO `bazaar_items` VALUES ('5875515261198', '<PL> 39-125 2.2 DL44 Pistol', '', '131082', '5875515260949', 'saffron', '5000', '0', '1', '1240455680', '4105356', '5', '15951508537365', 'teryn');
INSERT INTO `bazaar_items` VALUES ('1494648619310', 'a Cage', '', '8192', '1494648619029', 'xxscorpxx', '10000', '0', '0', '1238514642', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('7305739370819', 'Ambient Solar Energy Surveying Tool', '', '8209', '7305739370517', 'thumpen', '5000', '0', '0', '1238516961', '2776044', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('6755983557057', 'Slave Collar', '', '8192', '6755983556629', 'nevori', '2000', '0', '0', '1238481732', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('8465380541235', 'SqIdS Brand Structure and Furniture Crafting ', '', '32769', '8465380540437', 'zanadarian', '20000', '0', '0', '1238509894', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('7305739370906', 'Ambient Solar Energy Surveying Tool', '', '8209', '7305739370517', 'thumpen', '5000', '0', '0', '1238516969', '2776044', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('8396661064069', '<PL> 72-108 2.0 DH17 Pistol', '', '131082', '8396661063701', 'malcome', '5000', '0', '1', '1240454612', '4105356', '5', '16045997817877', 'chewie');
INSERT INTO `bazaar_items` VALUES ('7305739370919', 'Ambient Solar Energy Surveying Tool', '', '8209', '7305739370517', 'thumpen', '5000', '0', '0', '1238516972', '2776044', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1494648619315', 'Slave Collar', '', '8192', '1494648619029', 'xxscorpxx', '10000', '0', '0', '1238514659', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1494648619316', 'Binoculars (broken)', '', '8192', '1494648619029', 'xxscorpxx', '10000', '0', '0', '1238514663', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1494648619314', 'Sandstat', '', '8192', '1494648619029', 'xxscorpxx', '10000', '0', '0', '1238514674', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1494648619312', 'a Human Skull', '', '8192', '1494648619029', 'xxscorpxx', '10000', '0', '0', '1238514649', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('3560527890196', 'High Tech Field Base Kit', '', '32772', '3560527888405', 'chaba', '9999', '0', '0', '1238490109', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('3560527890194', 'High Tech Field Base Kit', '', '32772', '3560527888405', 'chaba', '9999', '0', '0', '1238490105', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('7443178325532', 'Generic Crafting Tool by Upu 13.71', '', '32769', '7443178323989', 'upu', '10000', '0', '1', '1240484366', '2776036', '5', '5317169512469', 'revy');
INSERT INTO `bazaar_items` VALUES ('17132624543862', 'Work Light', '', '8192', '17132624543765', 'emryl', '1', '0', '0', '1238498228', '2776041', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1228360649990', 'Generic Crafting Tool', '', '32769', '1228360646677', 'mugane', '10000', '0', '0', '1238540686', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('425201765985', 'Landseer X34', '', '8388613', '425201762325', 'leandra', '9500', '0', '1', '1240476653', '2776044', '5', '17995912970261', 'treathen');
INSERT INTO `bazaar_items` VALUES ('1228360650001', 'Weapon, Droid, and General Item Crafting Tool', '', '32769', '1228360646677', 'mugane', '10000', '0', '0', '1238540650', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('3560527890199', 'High Tech Field Base Kit', '', '32772', '3560527888405', 'chaba', '9999', '0', '0', '1238490114', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('3560527890200', 'High Tech Field Base Kit', '', '32772', '3560527888405', 'chaba', '9999', '0', '0', '1238490116', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('3560527890178', 'High Quality Camp Kit', '', '32772', '3560527888405', 'chaba', '9999', '0', '0', '1238490120', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('3560527890203', 'Structure and Furniture Crafting Tool', '', '32769', '3560527888405', 'chaba', '13710', '0', '0', '1238490128', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('3560527890190', 'Weapon, Droid, and General Item Crafting Tool', '', '32769', '3560527888405', 'chaba', '13710', '0', '0', '1238490130', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('3560527890115', 'High Tech Field Base Kit', '', '32772', '3560527888405', 'chaba', '9999', '0', '0', '1238490150', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('17132624543861', 'Taloscope (broken)', '', '8192', '17132624543765', 'emryl', '1', '0', '0', '1238498216', '2776041', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('17544941404613', 'A High Tech Field Base Kit', '', '32772', '17544941404181', 'rasheed', '1000', '0', '0', '1238509168', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('17132624543915', 'Recording Rod (broken)', '', '8192', '17132624543765', 'emryl', '1', '0', '0', '1238498219', '2776041', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('661424963880', 'Datapad (damaged)', '', '8192', '661424963605', 'tiger', '5000', '0', '0', '1238535420', '2776045', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('661424963863', 'Handheld Picture', '', '8192', '661424963605', 'tiger', '2000', '0', '0', '1238535435', '2776045', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('18094697218265', 'Ithorian Sentinel Armor Bracer', '', '256', '18094697218069', 'rorshyyk', '5000', '0', '0', '1238496897', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('9917079486667', 'Chemical Release Duration Mechanism', '', '262144', '9917079486485', 'aamco', '50', '0', '0', '1238533482', '2776045', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('17132624543911', 'Solid Delivery Shell', '', '262144', '17132624543765', 'emryl', '1', '0', '0', '1238498236', '2776041', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('17132624543898', 'Rare Insect', '', '8192', '17132624543765', 'emryl', '1', '0', '0', '1238498240', '2776041', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('17132624543853', 'Rare Insect', '', '8192', '17132624543765', 'emryl', '1', '0', '0', '1238498243', '2776041', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('17132624543852', 'Feed Tubes', '', '8192', '17132624543765', 'emryl', '1', '0', '0', '1238498249', '2776041', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('17132624543856', 'Datapad Casing', '', '8192', '17132624543765', 'emryl', '1', '0', '0', '1238498252', '2776041', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('17132624543892', 'Datapad Backlight', '', '8192', '17132624543765', 'emryl', '1', '0', '0', '1238498254', '2776041', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('17132624543854', 'Datapad Backlight', '', '8192', '17132624543765', 'emryl', '1', '0', '0', '1238498258', '2776041', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('17132624543858', 'Biological Effect Controller', '', '262144', '17132624543765', 'emryl', '1', '0', '0', '1238498263', '2776041', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('17132624543904', 'Binoculars (broken)', '', '8192', '17132624543765', 'emryl', '1', '0', '0', '1238498267', '2776041', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('17132624543849', 'a Viewscreen (broken)', '', '8192', '17132624543765', 'emryl', '1', '0', '1', '1240495080', '2776041', '5', '9758165696533', 'ecaobia');
INSERT INTO `bazaar_items` VALUES ('17132624543909', 'a Calibrator (broken)', '', '8192', '17132624543765', 'emryl', '1', '0', '1', '1240493807', '2776041', '5', '9758165696533', 'ecaobia');
INSERT INTO `bazaar_items` VALUES ('17132624543860', 'Advanced Liquid Suspension', '', '262144', '17132624543765', 'emryl', '1', '0', '0', '1238498274', '2776041', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('678604835671', 'Brown Two Tone Spec-Ops Duster by Pye', '', '16777227', '678604832789', 'pye', '7500', '0', '0', '1238538548', '2776036', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('7305739370899', 'Ambient Solar Energy Surveying Tool', '', '8209', '7305739370517', 'thumpen', '5000', '0', '0', '1238516967', '2776044', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('193273530288', 'Copper', '', '4194311', '193273528341', 'drazhar', '20000', '0', '0', '1238522903', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1228360650030', 'Aigit Clothing and Armor Crafting Tool', '', '32769', '1228360646677', 'mugane', '10000', '0', '0', '1238541071', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1228360650027', 'Aigit Clothing and Armor Crafting Tool', '', '32769', '1228360646677', 'mugane', '10000', '0', '0', '1238541073', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1228360649984', 'Structure and Furniture Crafting Tool', '', '32769', '1228360646677', 'mugane', '10000', '0', '0', '1238501318', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('19576460935319', 'Firework (dud)', '', '8192', '19576460935189', 'gavezo', '100', '0', '0', '1238535655', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('19576460935316', 'Feed Tubes', '', '8192', '19576460935189', 'gavezo', '100', '0', '0', '1238535657', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('19576460935344', 'Spectrum Recorder', '', '8192', '19576460935189', 'gavezo', '100', '0', '0', '1238535666', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1228360649999', 'Weapon, Droid, and General Item Crafting Tool', '', '32769', '1228360646677', 'mugane', '10000', '0', '0', '1238540657', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1228360649998', 'Weapon, Droid, and General Item Crafting Tool', '', '32769', '1228360646677', 'mugane', '10000', '0', '0', '1238540660', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('3083786521430', 'Chitin Armor Gloves', '', '256', '3083786518549', 'grotiw', '20000', '1', '0', '1238501355', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('3083786521419', 'Chitin Armor Gloves', '', '256', '3083786518549', 'grotiw', '20000', '1', '0', '1238501360', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('3083786521404', 'Chitin Armor Gloves', '', '256', '3083786518549', 'grotiw', '20000', '1', '0', '1238501370', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1228360650000', 'Weapon, Droid, and General Item Crafting Tool', '', '32769', '1228360646677', 'mugane', '10000', '0', '0', '1238540653', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('2297807504942', '<PL> 13.71 Structure and Furniture Crafting T', '', '32769', '2297807503381', 'richie', '250', '0', '0', '1238505381', '4105356', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('2297807504941', '<PL> 13.71 Structure and Furniture Crafting T', '', '32769', '2297807503381', 'richie', '250', '0', '0', '1238505383', '4105356', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('2297807504940', '<PL> 13.71 Structure and Furniture Crafting T', '', '32769', '2297807503381', 'richie', '250', '0', '0', '1238505385', '4105356', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('2297807504939', '<PL> 13.71 Structure and Furniture Crafting T', '', '32769', '2297807503381', 'richie', '250', '0', '0', '1238505386', '4105356', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('2297807504938', '<PL> 13.71 Structure and Furniture Crafting T', '', '32769', '2297807503381', 'richie', '250', '0', '0', '1238505388', '4105356', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('2297807504937', '<PL> 13.71 Structure and Furniture Crafting T', '', '32769', '2297807503381', 'richie', '250', '0', '0', '1238505391', '4105356', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1228360649993', 'Generic Crafting Tool', '', '32769', '1228360646677', 'mugane', '10000', '0', '0', '1238540675', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('7305739370812', 'Ambient Solar Energy Surveying Tool', '', '8209', '7305739370517', 'thumpen', '5000', '0', '0', '1238516959', '2776044', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('8465380541236', 'SqIdS Brand Structure and Furniture Crafting ', '', '32769', '8465380540437', 'zanadarian', '20000', '0', '0', '1238509888', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('7305739370926', 'Ambient Solar Energy Surveying Tool', '', '8209', '7305739370517', 'thumpen', '5000', '0', '0', '1238516974', '2776044', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('3083786521552', 'Speederbike Swoop', '', '8388613', '3083786518549', 'grotiw', '12345', '0', '1', '1240518613', '3955353', '5', '18781891985429', 'sathyros');
INSERT INTO `bazaar_items` VALUES ('661424963850', 'a Viewscreen (broken)', '', '8192', '661424963605', 'tiger', '1000', '0', '0', '1238535490', '2776045', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('18781891985640', 'Small Stimpack - A', '', '8205', '18781891985429', 'sathyros', '500', '0', '0', '1238506417', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('18781891985638', 'Sandstat (broken)', '', '8192', '18781891985429', 'sathyros', '500', '0', '0', '1238506434', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('18781891985620', 'Datapad Connectors', '', '8192', '18781891985429', 'sathyros', '500', '0', '0', '1238506439', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('5875515261214', '<PL> 2811hp X34 Landspeeder', '', '8388613', '5875515260949', 'saffron', '7500', '0', '1', '1240500147', '4105356', '5', '19026705121301', 'kon');
INSERT INTO `bazaar_items` VALUES ('8465380541238', 'SqIdS Brand Structure and Furniture Crafting ', '', '32769', '8465380540437', 'zanadarian', '20000', '0', '0', '1238509921', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('7305739370776', 'Ambient Solar Energy Surveying Tool', '', '8209', '7305739370517', 'thumpen', '5000', '0', '0', '1238516946', '2776044', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('7305739370787', 'Ambient Solar Energy Surveying Tool', '', '8209', '7305739370517', 'thumpen', '5000', '0', '0', '1238516952', '2776044', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('7305739370793', 'Ambient Solar Energy Surveying Tool', '', '8209', '7305739370517', 'thumpen', '5000', '0', '0', '1238516954', '2776044', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('17544941404611', 'A High Tech Field Base Kit', '', '32772', '17544941404181', 'rasheed', '1000', '0', '0', '1238509165', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('18781891985651', 'Datapad (broken)', '', '8192', '18781891985429', 'sathyros', '200', '0', '0', '1238534215', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('678604835677', 'Yellow Two Tone Spec-Ops Duster by Pye', '', '16777227', '678604832789', 'pye', '7500', '0', '0', '1238538551', '2776036', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('19464791785716', 'Water Survey Tool', '', '32770', '19464791785493', 'brillian', '20', '0', '0', '1238527541', '4705367', '4', '0', '');
INSERT INTO `bazaar_items` VALUES ('193273530290', 'Copper', '', '4194311', '193273528341', 'drazhar', '20000', '0', '0', '1238522968', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1228360649996', 'Structure and Furniture Crafting Tool', '', '32769', '1228360646677', 'mugane', '10000', '0', '0', '1238540666', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('16471199580262', 'Muscle Shirt', '', '16777230', '16471199580181', 'cable-odinson', '10000', '0', '1', '1240517621', '4685572', '8', '10479720202261', 'anakeen');
INSERT INTO `bazaar_items` VALUES ('9917079486880', 'Jar of Foraged Bugs', '', '8202', '9917079486485', 'aamco', '50', '0', '0', '1238533501', '2776045', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('661424963876', 'Sandstat (broken)', '', '8192', '661424963605', 'tiger', '1000', '0', '0', '1238535505', '2776045', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1228360649997', 'Structure and Furniture Crafting Tool', '', '32769', '1228360646677', 'mugane', '10000', '0', '0', '1238540663', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('193273530298', 'Copper', '', '4194311', '193273528341', 'drazhar', '20000', '0', '0', '1238523003', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('7305739370886', 'Ambient Solar Energy Surveying Tool', '', '8209', '7305739370517', 'thumpen', '5000', '0', '0', '1238516963', '2776044', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('7305739370806', 'Ambient Solar Energy Surveying Tool', '', '8209', '7305739370517', 'thumpen', '5000', '0', '0', '1238516956', '2776044', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('19576460935353', 'an Impulse Detector (broken)', '', '8192', '19576460935189', 'gavezo', '100', '0', '0', '1238535642', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('19576460935341', 'Decryptor (broken)', '', '8192', '19576460935189', 'gavezo', '100', '0', '0', '1238535650', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1494648619322', 'Decryptor (broken)', '', '8192', '1494648619029', 'xxscorpxx', '10000', '0', '0', '1238530420', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('193273530289', 'Copper', '', '4194311', '193273528341', 'drazhar', '20000', '0', '0', '1238522953', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('17544941404614', 'A High Tech Field Base Kit', '', '32772', '17544941404181', 'rasheed', '1000', '0', '0', '1238509168', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('19464791785717', 'Wind Survey Tool', '', '32770', '19464791785493', 'brillian', '20', '0', '0', '1238527538', '4705367', '4', '0', '');
INSERT INTO `bazaar_items` VALUES ('1228360649992', 'Generic Crafting Tool', '', '32769', '1228360646677', 'mugane', '10000', '0', '1', '1240528600', '2776037', '5', '20053202305045', 'altarin');
INSERT INTO `bazaar_items` VALUES ('9917079486691', 'Jar of Foraged Bugs', '', '8202', '9917079486485', 'aamco', '50', '0', '0', '1238533499', '2776045', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('661424963891', 'Datapad (broken)', '', '8192', '661424963605', 'tiger', '1000', '0', '0', '1238535518', '2776045', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('193273530297', 'Copper', '', '4194311', '193273528341', 'drazhar', '20000', '0', '0', '1238523004', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1494648619317', 'Datapad (damaged)', '', '8192', '1494648619029', 'xxscorpxx', '10000', '0', '0', '1238530416', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('193273530293', 'Copper', '', '4194311', '193273528341', 'drazhar', '20000', '0', '0', '1238522958', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('7305739370800', 'Ambient Solar Energy Surveying Tool', '', '8209', '7305739370517', 'thumpen', '5000', '0', '0', '1238516958', '2776044', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('8529805050716', 'Flow Analyzer Node', '', '32768', '8529805049877', 'fishfry', '500', '0', '0', '1238510026', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('8529805050711', 'Flow Analyzer Node', '', '32768', '8529805049877', 'fishfry', '500', '0', '0', '1238510028', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('8529805050727', 'Molecular Clamp', '', '32768', '8529805049877', 'fishfry', '500', '0', '0', '1238510031', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('8529805050691', 'Weapon, Droid, and General Item Crafting Tool', '', '32769', '8529805049877', 'fishfry', '1000', '0', '0', '1238510121', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('8529805050706', 'Weapon, Droid, and General Item Crafting Tool', '', '32769', '8529805049877', 'fishfry', '1000', '0', '1', '1240517504', '3955353', '5', '19589345837077', 'henucr');
INSERT INTO `bazaar_items` VALUES ('7305739370933', 'Ambient Solar Energy Surveying Tool', '', '8209', '7305739370517', 'thumpen', '5000', '0', '0', '1238516976', '2776044', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('8529805050658', 'Weapon, Droid, and General Item Crafting Tool', '', '32769', '8529805049877', 'fishfry', '1000', '0', '0', '1238510162', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('193273530286', 'Copper', '', '4194311', '193273528341', 'drazhar', '20000', '0', '0', '1238522897', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('193273530284', 'Copper', '', '4194311', '193273528341', 'drazhar', '20000', '0', '0', '1238522899', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('9917079486642', 'Chemical Release Duration Mechanism', '', '262144', '9917079486485', 'aamco', '50', '0', '0', '1238533479', '2776045', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('661424963857', 'Sandstat', '', '8192', '661424963605', 'tiger', '6000', '0', '0', '1238535467', '2776045', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('9917079486619', 'Jar of Foraged Livers', '', '8202', '9917079486485', 'aamco', '50', '0', '0', '1238533506', '2776045', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('9917079486882', 'Biological Effect Controller', '', '262144', '9917079486485', 'aamco', '50', '0', '0', '1238533474', '2776045', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('18781891985650', 'a Calibrator (broken)', '', '8192', '18781891985429', 'sathyros', '200', '0', '0', '1238534218', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1228360649994', 'Structure and Furniture Crafting Tool', '', '32769', '1228360646677', 'mugane', '10000', '0', '0', '1238540672', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('661424963853', 'Small Motor (Blue)', '', '8192', '661424963605', 'tiger', '7000', '0', '0', '1238535456', '2776045', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('18781891985652', 'a Human Skull', '', '8192', '18781891985429', 'sathyros', '200', '0', '0', '1238534213', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1748051692288', 'Weapon, Droid, and General Item Crafting Tool', '', '32769', '1748051689493', 'negilum', '1262', '0', '0', '1238510532', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1748051692289', 'Weapon, Droid, and General Item Crafting Tool', '', '32769', '1748051689493', 'negilum', '1262', '0', '0', '1238510534', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('193273530281', 'Copper', '', '4194311', '193273528341', 'drazhar', '20000', '0', '1', '1240528633', '3955353', '5', '20053202305045', 'altarin');
INSERT INTO `bazaar_items` VALUES ('1494648619204', 'a Corrupt Datadisk', '', '8192', '1494648619029', 'xxscorpxx', '200', '0', '0', '1238511055', '4105355', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1494648619208', 'Bantha Doll', '', '8192', '1494648619029', 'xxscorpxx', '10000', '0', '0', '1238511062', '4105355', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1494648619210', 'Datapad Backlight', '', '8192', '1494648619029', 'xxscorpxx', '200', '0', '0', '1238511071', '4105355', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1494648619197', 'Feed Tubes', '', '8192', '1494648619029', 'xxscorpxx', '10000', '0', '0', '1238511078', '4105355', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1494648619213', 'Firework (dud)', '', '8192', '1494648619029', 'xxscorpxx', '10000', '0', '0', '1238511081', '4105355', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1494648619212', 'Palm Frond', '', '8192', '1494648619029', 'xxscorpxx', '10000', '0', '0', '1238511083', '4105355', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1494648619209', 'Sandstat', '', '8192', '1494648619029', 'xxscorpxx', '10000', '0', '0', '1238511089', '4105355', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('9917079486607', 'Jar of Foraged Berries', '', '8202', '9917079486485', 'aamco', '50', '0', '0', '1238533497', '2776045', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1494648619201', 'Tusken Boots', '', '16777222', '1494648619029', 'xxscorpxx', '10000', '0', '1', '1240502235', '4105355', '5', '2319282339861', 'mujahed');
INSERT INTO `bazaar_items` VALUES ('7305739370913', 'Ambient Solar Energy Surveying Tool', '', '8209', '7305739370517', 'thumpen', '5000', '0', '0', '1238516970', '2776044', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1494648619200', 'Tusken Gloves', '', '16777224', '1494648619029', 'xxscorpxx', '10000', '0', '1', '1240510704', '4105355', '5', '10380935954453', 'karsus');
INSERT INTO `bazaar_items` VALUES ('18781891985642', 'Datapad (damaged)', '', '8192', '18781891985429', 'sathyros', '500', '0', '0', '1238530824', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('18781891985643', 'Recording Rod (broken)', '', '8192', '18781891985429', 'sathyros', '500', '0', '0', '1238530830', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('678604835405', 'Green Two Tone Spec-Ops Duster by Pye', '', '16777227', '678604832789', 'pye', '7500', '0', '0', '1238538557', '2776036', '5', '0', '');
INSERT INTO `city_regions` VALUES ('1', '0', 'coronet', 'corellia_region_names', '-178', '-4504', '581');
INSERT INTO `city_regions` VALUES ('2', '0', 'tyrena', 'corellia_region_names', '-5140', '-2450', '300');
INSERT INTO `city_regions` VALUES ('3', '0', 'tyrena', 'corellia_region_names', '-5536', '-2688', '250');
INSERT INTO `city_regions` VALUES ('4', '0', 'tyrena', 'corellia_region_names', '-4975', '-2230', '140');
INSERT INTO `city_regions` VALUES ('5', '0', 'bela_vistal', 'corellia_region_names', '6766', '-5692', '370');
INSERT INTO `city_regions` VALUES ('6', '0', 'kor_vella', 'corellia_region_names', '-3420', '3146', '620');
INSERT INTO `city_regions` VALUES ('7', '0', 'doaba_guerfel', 'corellia_region_names', '3274', '5582', '325');
INSERT INTO `city_regions` VALUES ('8', '0', 'doaba_guerfel', 'corellia_region_names', '3206', '5200', '325');
INSERT INTO `city_regions` VALUES ('9', '0', 'vreni_island', 'corellia_region_names', '-5538', '-6176', '220');
INSERT INTO `city_regions` VALUES ('10', '0', 'vreni_island', 'corellia_region_names', '-5260', '-6416', '220');
INSERT INTO `city_regions` VALUES ('11', '1', 'an_outpost', 'dantooine_region_names', '-640', '2486', '135');
INSERT INTO `city_regions` VALUES ('12', '1', 'an_outpost', 'dantooine_region_names', '1588', '-6399', '135');
INSERT INTO `city_regions` VALUES ('13', '1', 'an_imperial_outpost', 'dantooine_region_names', '-4224', '-2400', '250');
INSERT INTO `city_regions` VALUES ('14', '2', 'a_restricted_area', 'dathomir_region_names', '-6358', '930', '280');
INSERT INTO `city_regions` VALUES ('15', '2', 'an_outpost', 'dathomir_region_names', '599', '3046', '110');
INSERT INTO `city_regions` VALUES ('16', '2', 'an_outpost', 'dathomir_region_names', '-85', '-1600', '125');
INSERT INTO `city_regions` VALUES ('17', '3', 'an_outpost', 'endor_region_names', '-905', '1584', '130');
INSERT INTO `city_regions` VALUES ('18', '3', 'an_outpost', 'endor_region_names', '3221', '-3471', '100');
INSERT INTO `city_regions` VALUES ('19', '4', 'nyms_stronghold', 'lok_region_names', '440', '5029', '315');
INSERT INTO `city_regions` VALUES ('20', '4', 'nyms_stronghold', 'lok_region_names', '460', '5400', '140');
INSERT INTO `city_regions` VALUES ('21', '4', 'an_imperial_outpost', 'lok_region_names', '-1920', '-3084', '136');
INSERT INTO `city_regions` VALUES ('22', '5', 'theed', 'naboo_region_names', '-5488', '4380', '610');
INSERT INTO `city_regions` VALUES ('23', '5', 'theed', 'naboo_region_names', '-5036', '4124', '569');
INSERT INTO `city_regions` VALUES ('24', '5', 'keren', 'naboo_region_names', '1888', '2700', '550');
INSERT INTO `city_regions` VALUES ('25', '5', 'keren', 'naboo_region_names', '1344', '2772', '180');
INSERT INTO `city_regions` VALUES ('26', '5', 'moenia', 'naboo_region_names', '4836', '-4830.5', '277');
INSERT INTO `city_regions` VALUES ('27', '5', 'moenia', 'naboo_region_names', '4736', '-4628', '190');
INSERT INTO `city_regions` VALUES ('28', '5', 'deeja_peak', 'naboo_region_names', '4686', '-1375', '220');
INSERT INTO `city_regions` VALUES ('29', '5', 'deeja_peak', 'naboo_region_names', '5021', '-1446', '225');
INSERT INTO `city_regions` VALUES ('30', '5', 'deeja_peak', 'naboo_region_names', '5302', '-1553', '111');
INSERT INTO `city_regions` VALUES ('31', '5', 'kaadara', 'naboo_region_names', '5288', '6687', '225');
INSERT INTO `city_regions` VALUES ('32', '5', 'kaadara', 'naboo_region_names', '5091', '6714', '225');
INSERT INTO `city_regions` VALUES ('33', '6', 'narmle', 'rori_region_names', '-5140', '-2368', '250');
INSERT INTO `city_regions` VALUES ('34', '6', 'narmle', 'rori_region_names', '-5395', '-2148', '180');
INSERT INTO `city_regions` VALUES ('35', '6', 'restuss', 'rori_region_names', '5318', '5680', '325');
INSERT INTO `city_regions` VALUES ('36', '6', 'a_rebel_outpost', 'rori_region_names', '3677', '-6447', '80');
INSERT INTO `city_regions` VALUES ('37', '7', 'dearic', 'talus_region_names', '422', '-3004', '435');
INSERT INTO `city_regions` VALUES ('38', '7', 'nashal', 'talus_region_names', '4163', '5220', '195');
INSERT INTO `city_regions` VALUES ('39', '7', 'nashal', 'talus_region_names', '4443', '5119', '195');
INSERT INTO `city_regions` VALUES ('40', '7', 'nashal', 'talus_region_names', '4439', '5395', '205');
INSERT INTO `city_regions` VALUES ('41', '7', 'an_imperial_outpost', 'talus_region_names', '-2178', '2300', '150');
INSERT INTO `city_regions` VALUES ('42', '8', 'bestine', 'tatooine_region_names', '-1204', '-3692', '375');
INSERT INTO `city_regions` VALUES ('43', '8', 'mos_espa', 'tatooine_region_names', '-2878', '2226', '435');
INSERT INTO `city_regions` VALUES ('44', '8', 'mos_eisley', 'tatooine_region_names', '3969', '-4818', '150');
INSERT INTO `city_regions` VALUES ('45', '8', 'mos_eisley', 'tatooine_region_names', '3418', '-4758', '412');
INSERT INTO `city_regions` VALUES ('46', '8', 'mos_entha', 'tatooine_region_names', '1470', '3248', '390');
INSERT INTO `city_regions` VALUES ('47', '8', 'mos_entha', 'tatooine_region_names', '1219', '3051', '215');
INSERT INTO `city_regions` VALUES ('48', '8', 'mos_taike', 'tatooine_region_names', '3855', '2338', '170');
INSERT INTO `city_regions` VALUES ('49', '8', 'anchorhead', 'tatooine_region_names', '40', '-5348', '330');
INSERT INTO `city_regions` VALUES ('50', '8', 'wayfar', 'tatooine_region_names', '-5157', '-6549', '210');
INSERT INTO `city_regions` VALUES ('51', '9', 'an_outpost', 'yavin4_region_names', '-312', '4865', '100');
INSERT INTO `city_regions` VALUES ('52', '9', 'an_outpost', 'yavin4_region_names', '-6925', '-5707', '130');
INSERT INTO `client_strings` VALUES ('string/en/aprilfools.stf', '1', 'ewok1_1', 'Kush jeeks?');
INSERT INTO `client_strings` VALUES ('string/en/aprilfools.stf', '2', 'foil1_2', 'Um... What do you want?');
INSERT INTO `client_strings` VALUES ('string/en/aprilfools.stf', '3', 'ewok1_3', 'Gunda!');
INSERT INTO `client_strings` VALUES ('string/en/aprilfools.stf', '4', 'ewok2_4', 'Yut ehda, den rota.');
INSERT INTO `client_strings` VALUES ('string/en/aprilfools.stf', '5', 'ewok3_5', 'Kvark!');
INSERT INTO `client_strings` VALUES ('string/en/aprilfools.stf', '6', 'foil1_6', 'Hey get your grubby little hands off me!');
INSERT INTO `client_strings` VALUES ('string/en/aprilfools.stf', '7', 'ewok1_7', 'Rota?');
INSERT INTO `client_strings` VALUES ('string/en/aprilfools.stf', '8', 'foil1_8', 'What? This? It\'s a datapad...');
INSERT INTO `client_strings` VALUES ('string/en/aprilfools.stf', '9', 'ewok1_9', 'Teeha!');
INSERT INTO `client_strings` VALUES ('string/en/aprilfools.stf', '10', 'foil1_10', 'Hey give that back you little monster!');
INSERT INTO `client_strings` VALUES ('string/en/aprilfools.stf', '11', 'ewok3_10', 'Danvay!');
INSERT INTO `client_strings` VALUES ('string/en/aprilfools.stf', '12', 'ewok1_10', 'Treek!');
INSERT INTO `client_strings` VALUES ('string/en/aprilfools.stf', '13', 'foil1_rand_1', 'Give that back you little thief!');
INSERT INTO `client_strings` VALUES ('string/en/aprilfools.stf', '14', 'foil1_rand_2', 'Hey, you can\'t eat that! Stop biting it and give it back to me!');
INSERT INTO `client_strings` VALUES ('string/en/aprilfools.stf', '15', 'foil1_rand_3', 'Would someone help already!');
INSERT INTO `client_strings` VALUES ('string/en/aprilfools.stf', '16', 'foil1_rand_4', 'Give that back! Anyone have a blaster on them?');
INSERT INTO `client_strings` VALUES ('string/en/aprilfools.stf', '17', 'foil1_rand_5', 'Stop trying to eat my datapad and give it back!');
INSERT INTO `client_strings` VALUES ('string/en/aprilfools.stf', '18', 'foil1_rand_6', 'Stop right where you are you little beast and give that back to me!');
INSERT INTO `client_strings` VALUES ('string/en/aprilfools.stf', '19', 'foil1_rand_7', 'That\'s sensitive equipment! Somebody stop these wretches!');
INSERT INTO `client_strings` VALUES ('string/en/aprilfools.stf', '20', 'ewok1_rand_1', 'Den!');
INSERT INTO `client_strings` VALUES ('string/en/aprilfools.stf', '21', 'ewok1_rand_2', 'Feech!');
INSERT INTO `client_strings` VALUES ('string/en/aprilfools.stf', '22', 'ewok1_rand_3', 'Gyeesh');
INSERT INTO `client_strings` VALUES ('string/en/aprilfools.stf', '23', 'ewok1_rand_4', 'Treek');
INSERT INTO `client_strings` VALUES ('string/en/aprilfools.stf', '24', 'ewok1_rand_5', 'Yeha');
INSERT INTO `client_strings` VALUES ('string/en/aprilfools.stf', '25', 'ewok1_rand_6', 'Dangar Ewok!');
INSERT INTO `client_strings` VALUES ('string/en/aprilfools.stf', '26', 'ewok1_rand_7', 'Lurdo!');
INSERT INTO `client_strings` VALUES ('string/en/aprilfools.stf', '27', 'foil1_finally', 'Finally! Thanks for taking care of those beasts. What a mess!');
INSERT INTO `client_strings` VALUES ('string/en/aprilfools.stf', '28', 'bar_line_1', 'Sku.');
INSERT INTO `client_strings` VALUES ('string/en/aprilfools.stf', '29', 'bar_line_2', 'What? I don\'t understand your language but I assume you\'re here for a drink.');
INSERT INTO `client_strings` VALUES ('string/en/aprilfools.stf', '30', 'bar_line_3', 'Gyeesh, kush drojh?');
INSERT INTO `client_strings` VALUES ('string/en/aprilfools.stf', '31', 'bar_line_4', 'Umm, look behind me. That\'s what we have to offer. And could you tell your friends to quit running all over the place, it\'s really distracting.');
INSERT INTO `client_strings` VALUES ('string/en/aprilfools.stf', '32', 'bar_line_5', 'Acha... Kush jeeks? Gunda?');
INSERT INTO `client_strings` VALUES ('string/en/aprilfools.stf', '33', 'bar_line_6', 'That? You want one of those? Ok here you go.');
INSERT INTO `client_strings` VALUES ('string/en/aprilfools.stf', '34', 'bar_line_7', 'Chak, teeha.');
INSERT INTO `client_strings` VALUES ('string/en/aprilfools.stf', '35', 'bar_line_8', 'Feech! Den gunda! Kvark!');
INSERT INTO `client_strings` VALUES ('string/en/aprilfools.stf', '36', 'bar_line_9', 'What, too strong for ya? Well it\'s 25 credits anyway so pay up.');
INSERT INTO `client_strings` VALUES ('string/en/aprilfools.stf', '37', 'bar_line_10', 'Lurdo, yeha.');
INSERT INTO `client_strings` VALUES ('string/en/aprilfools.stf', '38', 'bar_line_11', 'Hey you\'re not leaving without paying!');
INSERT INTO `client_strings` VALUES ('string/en/aprilfools.stf', '39', 'cantina_zone_emote', 'Four Ewoks walk into a cantina...');
INSERT INTO `client_strings` VALUES ('string/en/aprilfools.stf', '40', 'bartender_name', 'a Bartender');
INSERT INTO `client_strings` VALUES ('string/en/aprilfools.stf', '48', 'bar_foil1_rand_1', 'This little twerp stiffed me! Someone stop him!');
INSERT INTO `client_strings` VALUES ('string/en/aprilfools.stf', '49', 'bar_foil1_rand_2', 'You\'re not getting away from me. Stop running and pay up!');
INSERT INTO `client_strings` VALUES ('string/en/aprilfools.stf', '50', 'bar_foil1_rand_3', 'Someone blast this dead beat!');
INSERT INTO `client_strings` VALUES ('string/en/aprilfools.stf', '52', 'bar_foil1_rand_4', 'You ordered the drink, you pay for it!');
INSERT INTO `client_strings` VALUES ('string/en/aprilfools.stf', '53', 'bar_foil1_rand_5', 'Someone call the authorities. Or better yet, just shoot this good for nothing stunted Wookiee!');
INSERT INTO `client_strings` VALUES ('string/en/aprilfools.stf', '54', 'bar_foil1_rand_6', 'Give me my money! This business ain\'t run on hand-outs!');
INSERT INTO `client_strings` VALUES ('string/en/aprilfools.stf', '55', 'bar_foil1_rand_7', 'You\'re making me mad. Anyone got a blaster handy?');
INSERT INTO `client_strings` VALUES ('string/en/armor_rehue.stf', '1', 'equipped', 'You may only alter the color of your armor when it is unequipped.');
INSERT INTO `client_strings` VALUES ('string/en/att_d.stf', '1', 'health', 'Health is a measure of your physical condition. It is a pool that is reduced every time you take physical damage. Should it reach zero, you will be incapacitated.\n\nCertain actions or skills may also require you to expend Health points. Certain tasks cannot be attempted unless you have enough Health to spend.\n\nYour current Health is displayed as a bar on your heads-up display.');
INSERT INTO `client_strings` VALUES ('string/en/att_d.stf', '2', 'strength', 'Strength refers to the ability to exercise brute force in physical activity. The stronger and healthier a player is, the less Health points are expended for any given physical activity.');
INSERT INTO `client_strings` VALUES ('string/en/att_d.stf', '3', 'constitution', 'The Constitution attribute is a measure of your ability to recover from damage. The higher this attribute is, the quicker you will regain lost Health points.');
INSERT INTO `client_strings` VALUES ('string/en/att_d.stf', '4', 'action', 'Action is a measure of how rested your character is. As you grow tired, you will see your Action points being depleted. \n\nA task cannot be attempted unless you have enough Action points to attempt it. Should your Action pool reach zero, you may pass out from exhaustion and be incapacitated.\n\nYour action pool is displayed on your heads-up display as a bar indicating how many points you have left.');
INSERT INTO `client_strings` VALUES ('string/en/att_d.stf', '5', 'quickness', 'The Quickness attribute is a measure of the player\'s fitness. Players with a high Quickness spend less Action points in order to accomplish a given physical task than players with low Quickness do.');
INSERT INTO `client_strings` VALUES ('string/en/att_d.stf', '6', 'stamina', 'Stamina is a measure of how quickly characters recover from intense physical activity. The higher this attribute is, the more quickly a character\'s Action pool will recover.');
INSERT INTO `client_strings` VALUES ('string/en/att_d.stf', '7', 'mind', 'Mind is a measure of your alertness and mental capacity. A player with a higher Mind is better able to tackle complex technical tasks, and is less susceptible to being confused, stunned or distracted.\n\nMany tasks or skills may require the expenditure of points from the Mind pool. Should you not have enough Mind to spare, you will not be able to perform the action.\n\nYour current Mind pool is displayed as a bar on your heads-up display.');
INSERT INTO `client_strings` VALUES ('string/en/att_d.stf', '8', 'focus', 'The Focus attribute is a measure of your character\'s effectiveness in concentrating on mental activity, without becoming distracted. A player with a high Focus attribute can accomplish more mental challenges in a shorter period of time.\n\nThe higher your Focus attribute is, the less Mind points will be needed to perform a given skill or action.');
INSERT INTO `client_strings` VALUES ('string/en/att_d.stf', '9', 'willpower', 'A character with a high Willpower attribute finds it easier to recover from mental exertion, or recover from mental stress or trauma. This attribute affects how quickly the Mind pool is replenished.');
INSERT INTO `client_strings` VALUES ('string/en/att_n.stf', '1', 'health', 'Health');
INSERT INTO `client_strings` VALUES ('string/en/att_n.stf', '2', 'strength', 'Strength');
INSERT INTO `client_strings` VALUES ('string/en/att_n.stf', '3', 'constitution', 'Constitution');
INSERT INTO `client_strings` VALUES ('string/en/att_n.stf', '4', 'action', 'Action');
INSERT INTO `client_strings` VALUES ('string/en/att_n.stf', '5', 'quickness', 'Quickness');
INSERT INTO `client_strings` VALUES ('string/en/att_n.stf', '6', 'stamina', 'Stamina');
INSERT INTO `client_strings` VALUES ('string/en/att_n.stf', '7', 'mind', 'Mind');
INSERT INTO `client_strings` VALUES ('string/en/att_n.stf', '8', 'focus', 'Focus');
INSERT INTO `client_strings` VALUES ('string/en/att_n.stf', '9', 'willpower', 'Willpower');
INSERT INTO `client_strings` VALUES ('string/en/auction.stf', '1', 'seller_success', 'Your auction of %TO has been sold to %TT for %DI credits');
INSERT INTO `client_strings` VALUES ('string/en/auction.stf', '2', 'seller_fail', 'Your auction of %TO has been completed and has not been purchased.');
INSERT INTO `client_strings` VALUES ('string/en/auction.stf', '3', 'buyer_success', 'You have won the auction of \"%TO\" from \"%TT\" for %DI credits.  See the attached waypoint for location.');
INSERT INTO `client_strings` VALUES ('string/en/auction.stf', '4', 'buyer_canceled', 'The auction of \"%TO\" that you were bidding on has been canceled by %TT.');
INSERT INTO `client_strings` VALUES ('string/en/auction.stf', '5', 'bidder_outbid', 'You have been outbid on the \"%TO\" that you were bidding on.');
INSERT INTO `client_strings` VALUES ('string/en/auction.stf', '6', 'item_expired', 'Because you failed to pick it up in time, the \"%TO\" that you were auctioning has expired.');
INSERT INTO `client_strings` VALUES ('string/en/auction.stf', '7', 'seller_success_vendor', '%TU has sold %TO to %TT for %DI credits.');
INSERT INTO `client_strings` VALUES ('string/en/auction.stf', '8', 'seller_success_location', 'The sale took place at %TT, on %TO.');
INSERT INTO `client_strings` VALUES ('string/en/auction.stf', '9', 'buyer_success_location', 'The sale took place at %TT, on %TO.');
INSERT INTO `client_strings` VALUES ('string/en/auction.stf', '10', 'vendor_status_subject', 'An update about your vendor');
INSERT INTO `client_strings` VALUES ('string/en/auction.stf', '11', 'vendor_status_empty', 'Your vendor %TO is now empty.  If this vendor is listed on the planetary ad campaign, it will be removed from the overhead map.  If this vendor remains empty for a period of time, you will receive another warning and eventually it will be removed from the game.');
INSERT INTO `client_strings` VALUES ('string/en/auction.stf', '12', 'vendor_status_normal', 'Your vendor %TO is now functioning normally.');
INSERT INTO `client_strings` VALUES ('string/en/auction.stf', '13', 'vendor_status_unaccessed', 'Your vendor %TO has not been used in quite some time.  You should place an item for sale on your vendor soon to prevent the vendor from being removed from the game.\n');
INSERT INTO `client_strings` VALUES ('string/en/auction.stf', '14', 'vendor_status_endangered', 'Your vendor %TO is in danger of being removed from the game.   You should place an item for sale on it to ensure that it does not get removed from the game.');
INSERT INTO `client_strings` VALUES ('string/en/auction.stf', '15', 'vendor_status_deleted', 'Your vendor was deleted from the game due to inactivity or lack of available items to sell.');
INSERT INTO `client_strings` VALUES ('string/en/auction.stf', '16', 'subject_auction_seller', 'Auction Complete');
INSERT INTO `client_strings` VALUES ('string/en/auction.stf', '17', 'subject_instant_seller', 'Instant Sale Complete');
INSERT INTO `client_strings` VALUES ('string/en/auction.stf', '18', 'subject_vendor_seller', 'Vendor Sale Complete');
INSERT INTO `client_strings` VALUES ('string/en/auction.stf', '19', 'subject_auction_buyer', 'Auction Won');
INSERT INTO `client_strings` VALUES ('string/en/auction.stf', '20', 'subject_instant_buyer', 'Instant Sale Item Purchased');
INSERT INTO `client_strings` VALUES ('string/en/auction.stf', '21', 'subject_vendor_buyer', 'Vendor Item Purchased');
INSERT INTO `client_strings` VALUES ('string/en/auction.stf', '22', 'subject_auction_unsuccessful', 'Auction Unsuccessful');
INSERT INTO `client_strings` VALUES ('string/en/auction.stf', '23', 'subject_auction_cancelled', 'Auction Cancelled');
INSERT INTO `client_strings` VALUES ('string/en/auction.stf', '24', 'subject_auction_item_expired', 'Auction Item Expired');
INSERT INTO `client_strings` VALUES ('string/en/auction.stf', '25', 'subject_auction_outbid', 'Auction Outbid');
INSERT INTO `client_strings` VALUES ('string/en/auto_invasion.stf', '1', 'ewok_start_outpost', 'The sounds of wildlife suddenly cease, almost as if the animals could sense an impending evil.\nThen you hear it, a strange war chant followed by the rush of an invading horde.\n***Outpost Alert: <Warning! Perimeter breached. Unknown numbers of aliens inbound. All units to defensive positions. >');
INSERT INTO `client_strings` VALUES ('string/en/auto_invasion.stf', '2', 'ewok_end_outpost', '***Outpost Communication: <Enemy Forces Depleted. Perimeter Secure. All forces stand down. Repeat. All forces stand down.>\nYou breath a sigh of relief, but in the back of your mind you know this horror will someday return.');
INSERT INTO `client_strings` VALUES ('string/en/auto_invasion.stf', '3', 'ewok_boss_name', 'An unusually large Ewok');
INSERT INTO `client_strings` VALUES ('string/en/auto_invasion.stf', '4', 'ewok_start_starport', 'The peace of the day is broken by the screaming of citizens. Something just out of view is coming toward the starport. You grasp your weapon and prepare to face the coming horror.\n***Starport Security Transmission: <Warning! Unauthorized perimeter incursion. Unknown numbers of aliens inbound. All security units to defensive positions. >');
INSERT INTO `client_strings` VALUES ('string/en/auto_invasion.stf', '5', 'ewok_end_starport', '***Outpost Communication: <Enemy Forces Depleted. Perimeter Secure. All forces stand down. Repeat, all forces stand down.>\nYou breath a sigh of relief, but in the back of your mind you know this horror will someday return.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '1', 'acc_brave_soldier', '...has been recognized as an exceptional soldier in the war.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '2', 'acc_fascinating_background', '...has been recognized as having an exceptional biography.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '3', 'acc_good_samaritan', '...has been recognized as an exceptional guide to those seeking knowledge.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '4', 'acc_interesting_personage', '...has been recognized as having a memorable personality.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '5', 'acc_professional_demeanor', '...has been recognized as being a tribute to their profession.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '6', 'bdg_accolade_live_event', '...has participated in a Live Event');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '7', 'bdg_corvette_imp_assassin', '...has been recognized as an elite Imperial soldier for work in eliminating key Rebel personnel aboard a fully functional Rebel Blockade Runner.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '8', 'bdg_corvette_imp_destroy', '...has been recognized as an Elite Imperial Soldier, for bravery in the call of duty, eliminating a Rebel Blockade Runner.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '9', 'bdg_corvette_imp_rescue', '...has been recognized for bravery in the face of danger, for rescuing Imperial Loyalists from the Rebel Menace, imprisoned on a Rebel Blockade Runner.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '10', 'bdg_corvette_neutral_assassin', '...has been recognized by the Hutt clan for work in eliminating key personnel at the Hutt\'s request.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '11', 'bdg_corvette_neutral_destroy', '...has been recognized by the Hutt clan for work in destroying Corellian Corvette.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '12', 'bdg_corvette_neutral_rescue', '...has been recognized by the Hutt clan for work in freeing our imprisoned friends aboard a Corellian Corvette.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '13', 'bdg_corvette_reb_assassin', '...has been recognized by the Alliance as an elite soldier for work in eliminating key Imperial personnel on a captured Rebel Blockade Runner.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '14', 'bdg_corvette_reb_destroy', '...has been recognized by the Alliance as an elite soldier for work in destroying a captured Rebel Blockade Runner.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '15', 'bdg_corvette_reb_rescue', '...has been recognized by the Alliance as an elite soldier for work in rescuing imprisoned comrades aboard a captured Rebel Blockade Runner.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '16', 'bdg_exp_10_badges', '...has earned 10 Exploration Badges.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '17', 'bdg_exp_20_badges', '...has earned 20 Exploration Badges.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '18', 'bdg_exp_30_badges', '...has earned 30 Exploration Badges.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '19', 'bdg_exp_40_badges', '...has earned 40 Exploration Badges.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '20', 'bdg_exp_45_badges', '...has earned 45 Exploration Badges.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '21', 'bdg_exp_cor_bela_vistal_fountain', '...has seen the magnificent crystal fountain at Bela Vistal.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '22', 'bdg_exp_cor_rebel_hideout', '...has seen the Rebel hideout on Corellia.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '23', 'bdg_exp_cor_rogue_corsec_base', '...has seen the Rogue Corsec base on Corellia.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '24', 'bdg_exp_cor_tyrena_theater', '...has visited the famous outdoor theater of Vreni Island.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '25', 'bdg_exp_dan_dantari_village1', '...has walked among Dantari tribesmen.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '26', 'bdg_exp_dan_dantari_village2', '...has visited a Dantari Rock Village.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '27', 'bdg_exp_dat_crashed_ship', '...found a wrecked starship on Dathomir.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '28', 'bdg_exp_dat_imp_prison', '...has seen the dreaded Imperial Prison on Dathomir.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '29', 'bdg_exp_end_dulok_village', '...has seen a Dulok Village.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '30', 'bdg_exp_end_ewok_lake_village', '...has visited an Ewok Lake Village.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '31', 'bdg_exp_end_ewok_tree_village', '...has visited an Ewok Tree Village.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '32', 'bdg_exp_end_imp_outpost', '...has found a Marauder base on Endor.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '33', 'bdg_exp_lok_imp_outpost', '...has found an Imperial base on Lok.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '34', 'bdg_exp_lok_kimogila_skeleton', '...has found a Kimogila skeleton on Lok.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '35', 'bdg_exp_nab_amidalas_sandy_beach', '...has visited Amidala\'s private beach.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '36', 'bdg_exp_nab_deeja_falls_top', '...has visited the stately falls of Dee\'ja Peak.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '37', 'bdg_exp_nab_theed_falls_bottom', '...has visited the majestic falls of Theed.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '38', 'bdg_exp_ror_imp_camp', '...has seen an Imperial encampment on Rori.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '39', 'bdg_exp_ror_imp_hyperdrive_fac', '...has found the Imperial Hyperdrive Research Facility on Rori.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '40', 'bdg_exp_ror_kobala_spice_mine', '...has seen the fabled Kobola Spice Mines on Rori.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '41', 'bdg_exp_ror_rebel_outpost', '...has seen a Rebel outpost on Rori.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '42', 'bdg_exp_tal_aqualish_cave', '...has found a cave populated by Aqualish soldiers on Talus.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '43', 'bdg_exp_tal_creature_village', '...has seen the lost village of Durbin on Talus.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '44', 'bdg_exp_tal_imp_base', '...has seen an Imperial base on Talus.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '45', 'bdg_exp_tal_imp_vs_reb_battle', '...has observed a battle between Rebel and Imperial Forces on Talus.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '46', 'bdg_library_trivia', '...answered all the trivia questions posed by the Theed Palace Librarian.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '47', 'bdg_racing_agrilat_swamp', '...has held the daily record on the Agrilat Swamp race track.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '48', 'bdg_racing_keren_city', '...has held the daily record on the Keren City race track.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '49', 'bdg_racing_lok_marathon', '...has held the daily record on the Lok Marathon race track.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '50', 'bdg_racing_mos_espa', '...has held the daily record on the Mos Espa race track.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '51', 'bdg_racing_narmle_memorial', '...has held the daily record on the Narmle Memorial race track.\n\n');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '52', 'bdg_racing_nashal_river', '...has held the daily record on the Nashal River race track.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '53', 'bdg_thm_park_imperial_badge', '...has earned the Imperial Badge of Merit.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '54', 'bdg_thm_park_jabba_badge', '...has earned Jabba\'s Badge of Trust.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '55', 'bdg_thm_park_nym_badge', '...has earned Nym\'s Badge of Honor.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '56', 'bdg_thm_park_rebel_badge', '...has earned the Rebel Badge of Courage.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '57', 'combat_1hsword_master', '...has mastered the Fencer Profession.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '58', 'combat_2hsword_master', '...has mastered the Swordsman Profession.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '59', 'combat_bountyhunter_master', '...has mastered the Bounty Hunter Profession.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '60', 'combat_brawler_master', '...has mastered the Brawler Profession.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '61', 'combat_carbine_master', '...has mastered the Carbineer Profession.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '62', 'combat_commando_master', '...has mastered the Commando Profession.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '63', 'combat_marksman_master', '...has mastered the Marksman Profession.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '64', 'combat_pistol_master', '...has mastered the Pistoleer Profession.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '65', 'combat_polearm_master', '...has mastered the Pikeman Profession.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '66', 'combat_rifleman_master', '...has mastered the Rifleman Profession.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '67', 'combat_smuggler_master', '...has mastered the Smuggler Profession.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '68', 'combat_unarmed_master', '...has mastered the Teras Kasi Profession.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '69', 'count_10', '...has acquired 10 badges.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '70', 'count_100', '...has acquired 100 badges.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '71', 'count_125', '...has acquired 125 badges.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '72', 'count_25', '...has acquired 25 badges.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '73', 'count_5', '...has acquired 5 badges.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '74', 'count_50', '...has acquired 50 badges.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '75', 'count_75', '...has acquired 75 badges.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '76', 'crafting_architect_master', '...has mastered the Architect Profession.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '77', 'crafting_armorsmith_master', '...has mastered the Armorsmith Profession.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '78', 'crafting_artisan_master', '...has mastered the Artisan Profession.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '79', 'crafting_chef_master', '...has mastered the Chef Profession.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '80', 'crafting_droidengineer_master', '...has mastered the Droid Engineer Profession.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '81', 'crafting_merchant_master', '...has mastered the Merchant Profession.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '82', 'crafting_shipwright', '...has mastered the Shipwright Profession.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '83', 'destroy_deathstar', '...has destroyed the Death Star.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '84', 'crafting_tailor_master', '...has mastered the Tailor Profession.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '85', 'crafting_weaponsmith_master', '...has mastered the Weaponsmith Profession.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '86', 'event_coa2_imperial', '...has assisted in securing Dr. Vacca\'s cooperation.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '87', 'event_coa2_rebel', '...has successfully contacted Dr. Vacca.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '88', 'event_coa3_imperial', '...has successfully helped locate Dead Eye resources for the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '89', 'event_coa3_rebel', '...has successfully helped locate Dead Eye resources for the Rebellion.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '90', 'event_project_dead_eye_1', '...has investigated Project Dead Eye.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '91', 'exp_cor_agrilat_swamp', '...has explored the depths of the Agrilat Crystal Swamp.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '92', 'exp_dan_jedi_temple', '...has uncovered the mysteries of the Ruined Jedi Temple on Dantooine.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '93', 'exp_dan_rebel_base', '...has visited the abandoned Rebel Base on Dantooine.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '94', 'exp_dat_escape_pod', '...has found a mysterious escape pod crash-landed on Dathomir.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '95', 'exp_dat_misty_falls_1', '...has climbed to the peak of the Lesser Misty Falls region.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '96', 'exp_dat_misty_falls_2', '...has reached the Greater Misty Falls peak.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '97', 'exp_dat_sarlacc', '...has discovered the lesser Sarlacc on Dathomir.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '98', 'exp_dat_tarpit', '...has explored the horrid tar pits of Dathomir.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '99', 'exp_lok_volcano', '...has climbed to the top of \"Adi\'s Rest.\"');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '100', 'exp_nab_gungan_sacred_place', '...has discovered the hidden Gungan Sacred Place.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '101', 'exp_tat_bens_hut', '...has visited Ben Kenobi\'s old home.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '102', 'exp_tat_escape_pod', '...has visited the escape pod used by C-3P0 and R2-D2.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '103', 'exp_tat_generic_one', '...has visited someplace popular on Tatooine.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '104', 'exp_tat_krayt_graveyard', '...has found the hidden Krayt Dragon Graveyard.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '105', 'exp_tat_krayt_skeleton', '...has visited the famed Krayt Dragon skeleton.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '106', 'exp_tat_lars_homestead', '...has found the Lars Homestead on Tatooine.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '107', 'exp_tat_sarlacc_pit', '...has visited the home of the mighty Sarlacc.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '108', 'exp_tat_tusken_pool', '...has visited the pool underneath Fort Tusken.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '109', 'exp_yav_temple_blueleaf', '...has discovered the ancient Temple of the Blueleaf cluster.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '110', 'exp_yav_temple_exar_kun', '...has visited the Temple of Exar K\'un.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '111', 'exp_yav_temple_woolamander', '...has encountered the mysterious Palace of the Woolamander on Yavin 4.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '112', 'outdoors_bio_engineer_master', '...has mastered the Bio-Engineer Profession.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '113', 'outdoors_creaturehandler_master', '...has mastered the Creature Handler Profession.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '114', 'outdoors_ranger_master', '...has mastered the Ranger Profession.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '115', 'outdoors_scout_master', '...has mastered the Scout Profession.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '116', 'outdoors_squadleader_master', '...has mastered the Squad Leader Profession.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '117', 'pilot_imperial_navy_corellia', '...has become a Black Epsilon Ace Pilot.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '118', 'pilot_imperial_navy_naboo', '...has become an Imperial Inquisition Ace Pilot.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '119', 'pilot_imperial_navy_tatooine', '...has become a Storm Squadron Ace Pilot.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '120', 'pilot_neutral_corellia', '...has become a Corellian Security Forces Ace Pilot.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '121', 'pilot_neutral_naboo', '...has become a Royal Security Forces Ace Pilot.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '122', 'pilot_neutral_tatooine', '...has become a Smugglers Alliance Ace Pilot.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '123', 'pilot_rebel_navy_corellia', '...has become a Arkon\'s Havoc Squadron Ace Pilot.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '124', 'pilot_rebel_navy_naboo', '...has become a Vortex Ace Pilot.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '125', 'pilot_rebel_navy_tatooine', '...has become a Crimson Phoenix Ace Pilot.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '126', 'poi_factoryliberation', '...bears the Mark of Altruism.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '127', 'poi_heromark', '...bears the Mark of the Hero.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '128', 'poi_prisonbreak', '...bears the Mark of Honor.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '129', 'poi_rabidbeast', '...bears the Mark of Courage.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '130', 'poi_twoliars', '...bears the Mark of Intellect.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '131', 'science_combatmedic_master', '...has mastered the Combat Medic Profession.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '132', 'science_doctor_master', '...has mastered the Doctor Profession.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '133', 'science_medic_master', '...has mastered the Medic Profession.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '134', 'social_dancer_master', '...has mastered the Dancer Profession.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '135', 'social_entertainer_master', '...has mastered the Entertainer Profession.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '136', 'social_imagedesigner_master', '...has mastered the Image Designer Profession.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '137', 'social_musician_master', '...has mastered the Musician Profession.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '138', 'social_politician_master', '...has mastered the Politician Profession.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '139', 'unused', '...received an unused badge for an unknown reason.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '140', 'warren_compassion', '...showed great compassion toward the widow of an Imperial worker.');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '141', 'warren_hero', '...proved Colonel Teraud\'s perfidy and rendered great services to the Empire!');
INSERT INTO `client_strings` VALUES ('string/en/badge_d.stf', '142', 'bdg_accolade_home_show', '...winner of the Galactic Home Show and recognized as being an exceptional interior designer.');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '1', 'acc_brave_soldier', 'Accolade: Brave Soldier');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '2', 'acc_fascinating_background', 'Accolade: Fascinating Background');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '3', 'acc_good_samaritan', 'Accolade: Good Samaritan');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '4', 'acc_interesting_personage', 'Accolade: Interesting Personage');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '5', 'acc_professional_demeanor', 'Accolade: Professional Demeanor');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '6', 'bdg_accolade_live_event', 'Accolade: Live Event Medal');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '7', 'bdg_corvette_imp_assassin', 'Imperial Medal of Honor');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '8', 'bdg_corvette_imp_destroy', 'Imperial Heroism Medal');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '9', 'bdg_corvette_imp_rescue', 'Imperial Valorous Services Medal');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '10', 'bdg_corvette_neutral_assassin', 'Jabba\'s Badge of Heroism');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '11', 'bdg_corvette_neutral_destroy', 'Jabba\'s Badge of Courage');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '12', 'bdg_corvette_neutral_rescue', 'Jabba\'s Badge of Valor');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '13', 'bdg_corvette_reb_assassin', 'Alliance Medal of Honor');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '14', 'bdg_corvette_reb_destroy', 'Alliance Heroism Medal');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '15', 'bdg_corvette_reb_rescue', 'Alliance Valorous Services Medal');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '16', 'bdg_exp_10_badges', 'Novice Explorer: 10 Exploration Badges');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '17', 'bdg_exp_20_badges', 'Journeyman Explorer: 20 Exploration Badges');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '18', 'bdg_exp_30_badges', 'Skilled Explorer: 30 Exploration Badges');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '19', 'bdg_exp_40_badges', 'Professional Explorer: 40 Exploration Badges');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '20', 'bdg_exp_45_badges', 'Master Explorer: 45 Exploration Badges');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '21', 'bdg_exp_cor_bela_vistal_fountain', 'Location: Crystal fountain in Bela Vistal');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '22', 'bdg_exp_cor_rebel_hideout', 'Location: Rebel Hideout on Corellia');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '23', 'bdg_exp_cor_rogue_corsec_base', 'Location: Rogue Corsec Base on Corellia');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '24', 'bdg_exp_cor_tyrena_theater', 'Location: Outdoor theater in Vreni Island');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '25', 'bdg_exp_dan_dantari_village1', 'Location: Dantari Village');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '26', 'bdg_exp_dan_dantari_village2', 'Location: Dantari Village');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '27', 'bdg_exp_dat_crashed_ship', 'Location: Crash Site');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '28', 'bdg_exp_dat_imp_prison', 'Location: Imperial Prison');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '29', 'bdg_exp_end_dulok_village', 'Location: Dulok Village');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '30', 'bdg_exp_end_ewok_lake_village', 'Location: Ewok Lake Village');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '31', 'bdg_exp_end_ewok_tree_village', 'Location: Ewok Tree Village');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '32', 'bdg_exp_end_imp_outpost', 'Location: Marauder Base');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '33', 'bdg_exp_lok_imp_outpost', 'Location: An Imperial Outpost');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '34', 'bdg_exp_lok_kimogila_skeleton', 'Location: A Kimogila Skeleton');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '35', 'bdg_exp_nab_amidalas_sandy_beach', 'Location: Amidala\'s private beach');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '36', 'bdg_exp_nab_deeja_falls_top', 'Location: The head of the falls at Dee\'ja Peak');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '37', 'bdg_exp_nab_theed_falls_bottom', 'Location: The bottom of the Great Falls at Theed');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '38', 'bdg_exp_ror_imp_camp', 'Location: An Imperial Encampment');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '39', 'bdg_exp_ror_imp_hyperdrive_fac', 'Location: An Imperial Hyperdrive Facility');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '40', 'bdg_exp_ror_kobala_spice_mine', 'Location: The Kobola Spice Mine');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '41', 'bdg_exp_ror_rebel_outpost', 'Location: A Rebel Outpost');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '42', 'bdg_exp_tal_aqualish_cave', 'Location: A cave inhabited by Aqualish soldiers.');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '43', 'bdg_exp_tal_creature_village', 'Location: Lost Village of Durbin');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '44', 'bdg_exp_tal_imp_base', 'Location: Imperial Base');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '45', 'bdg_exp_tal_imp_vs_reb_battle', 'Location: The site of a battle between Rebel and Imperial forces');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '46', 'bdg_library_trivia', 'Trivial Librarian');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '47', 'bdg_racing_agrilat_swamp', 'Racing: Agrilat Swamp Track Champion');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '48', 'bdg_racing_keren_city', 'Racing: Keren City Track Champion');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '49', 'bdg_racing_lok_marathon', 'Racing: Lok Marathon Champion');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '50', 'bdg_racing_mos_espa', 'Racing: Mos Espa Track Champion');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '51', 'bdg_racing_narmle_memorial', 'Racing: Narmle Memorial Rally Champion');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '52', 'bdg_racing_nashal_river', 'Racing: Nashal River Race Track Champion');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '53', 'bdg_thm_park_imperial_badge', 'Imperial Badge of Merit: Imperial Theme Park Completed');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '54', 'bdg_thm_park_jabba_badge', 'Jabba\'s Badge of Trust: Jabba\'s Theme Park Completed');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '55', 'bdg_thm_park_nym_badge', 'Nym\'s Badge of Honor: Nym\'s Theme Park Completed');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '56', 'bdg_thm_park_rebel_badge', 'Rebel Badge of Courage: Rebel Theme Park Completed');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '57', 'category_badge_0', 'Category: Miscellaneous Badges');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '58', 'category_badge_1', 'Category: Quest Badges');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '59', 'category_badge_2', 'Category: Exploration Badges');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '60', 'category_badge_3', 'Category: Profession Badges');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '61', 'category_badge_4', 'Category: Event Badges');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '62', 'category_badge_5', 'Category: Dungeon Badges');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '63', 'combat_1hsword_master', 'Profession: Master Fencer');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '64', 'combat_2hsword_master', 'Profession: Master Swordsman');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '65', 'combat_bountyhunter_master', 'Profession: Master Bounty Hunter');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '66', 'combat_brawler_master', 'Profession: Master Brawler');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '67', 'combat_carbine_master', 'Profession: Master Carbineer');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '68', 'combat_commando_master', 'Profession: Master Commando');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '69', 'combat_marksman_master', 'Profession: Master Marksman');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '70', 'combat_pistol_master', 'Profession: Master Pistoleer');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '71', 'combat_polearm_master', 'Profession: Master Pikeman');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '72', 'combat_rifleman_master', 'Profession: Master Rifleman');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '73', 'combat_smuggler_master', 'Profession: Master Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '74', 'combat_unarmed_master', 'Profession: Teras Kasi Master');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '75', 'count_10', 'Badge Collector: 10 Badges');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '76', 'count_100', 'Badge Collector: 100 Badges');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '77', 'count_125', 'Badge Collector: 125 Badges');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '78', 'count_25', 'Badge Collector: 25 Badges');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '79', 'count_5', 'Badge Collector: 5 Badges');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '80', 'count_50', 'Badge Collector: 50 Badges');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '81', 'count_75', 'Badge Collector: 75 Badges');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '82', 'crafting_architect_master', 'Profession: Master Architect');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '83', 'crafting_armorsmith_master', 'Profession: Master Armorsmith');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '84', 'crafting_artisan_master', 'Profession: Master Artisan');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '85', 'crafting_chef_master', 'Profession: Master Chef');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '86', 'crafting_droidengineer_master', 'Profession: Master Droid Engineer');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '87', 'crafting_merchant_master', 'Profession: Master Merchant');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '88', 'crafting_shipwright', 'Profession: Master Shipwright');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '89', 'destroy_deathstar', 'Event: A New Hope: Destroyed the Death Star');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '90', 'crafting_tailor_master', 'Profession: Master Tailor');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '91', 'crafting_weaponsmith_master', 'Profession: Master Weaponsmith');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '92', 'event_coa2_imperial', 'Event: Vacca\'s Allegiance');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '93', 'event_coa2_rebel', 'Event: Vacca\'s Allegiance');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '94', 'event_coa3_imperial', 'Event: Cries of Alderaan: Final Chapter');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '95', 'event_coa3_rebel', 'Event: Cries of Alderaan: Final Chapter');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '96', 'event_project_dead_eye_1', 'Event: Project Dead Eye');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '97', 'exp_cor_agrilat_swamp', 'Location: Heart of the Agrilat Crystal Swamps');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '98', 'exp_dan_jedi_temple', 'Location: Ruined Jedi Temple');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '99', 'exp_dan_rebel_base', 'Location: Abandoned Rebel Base');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '100', 'exp_dat_escape_pod', 'Location: Abandoned Escape Pod');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '101', 'exp_dat_misty_falls_1', 'Location: Lesser Misty Falls');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '102', 'exp_dat_misty_falls_2', 'Location: Greater Misty Falls');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '103', 'exp_dat_sarlacc', 'Location: Lesser Sarlacc of Dathomir');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '104', 'exp_dat_tarpit', 'Location: Horrid Tar Pits of Dathomir');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '105', 'exp_lok_volcano', 'Location: Steaming Maw of \"Adi\'s Rest.\"');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '106', 'exp_nab_gungan_sacred_place', 'Location: Hidden Gungan Sacred Place');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '107', 'exp_tat_bens_hut', 'Location: Ben Kenobi\'s Old Home');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '108', 'exp_tat_escape_pod', 'Location: Escape Pod Used by C-3P0 and R2-D2');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '109', 'exp_tat_generic_one', 'Location: Popular Place on Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '110', 'exp_tat_krayt_graveyard', 'Location: Krayt Dragon Graveyard');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '111', 'exp_tat_krayt_skeleton', 'Location: Skeleton of the Famed Greater Krayt Dragon');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '112', 'exp_tat_lars_homestead', 'Location: Lars Homestead');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '113', 'exp_tat_sarlacc_pit', 'Location: Pit of the Mighty Sarlacc');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '114', 'exp_tat_tusken_pool', 'Location: Pool Beneath Fort Tusken');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '115', 'exp_yav_temple_blueleaf', 'Location: Mysterious Blue Leaf Temple');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '116', 'exp_yav_temple_exar_kun', 'Location: Hidden Temple of Exar K\'un');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '117', 'exp_yav_temple_woolamander', 'Location: Ancient Palace of the Woolamander');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '118', 'outdoors_bio_engineer_master', 'Profession: Master Bio-Engineer');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '119', 'outdoors_creaturehandler_master', 'Profession: Master Creature Handler');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '120', 'outdoors_ranger_master', 'Profession: Master Ranger');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '121', 'outdoors_scout_master', 'Profession: Master Scout');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '122', 'outdoors_squadleader_master', 'Profession: Master Squad Leader');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '123', 'pilot_imperial_navy_corellia', 'Profession: Black Epsilon Ace Pilot');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '124', 'pilot_imperial_navy_naboo', 'Profession: Imperial Inquisition Ace Pilot');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '125', 'pilot_imperial_navy_tatooine', 'Profession: Storm Squadron Ace Pilot');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '126', 'pilot_neutral_corellia', 'Profession: Corellian Security Forces Ace Pilot');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '127', 'pilot_neutral_naboo', 'Profession: Royal Security Forces Ace Pilot');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '128', 'pilot_neutral_tatooine', 'Profession: Smugglers Alliance Ace Pilot');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '129', 'pilot_rebel_navy_corellia', 'Profession: Arkon\'s Havoc Squadron Ace Pilot');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '130', 'pilot_rebel_navy_naboo', 'Profession: Vortex Ace Pilot');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '131', 'pilot_rebel_navy_tatooine', 'Profession: Crimson Phoenix Ace Pilot');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '132', 'poi_factoryliberation', 'Quest: Mark of Altruism');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '133', 'poi_heromark', 'Quest: Mark of the Hero');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '134', 'poi_prisonbreak', 'Quest: Mark of Honor');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '135', 'poi_rabidbeast', 'Quest: Mark of Courage');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '136', 'poi_twoliars', 'Quest: Mark of Intellect');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '137', 'prose_grant', '[Badge] You have received a new badge! (%TO)');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '138', 'prose_hasbadge', '[Badge] You already have this badge. (%TO)');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '139', 'prose_revoke', '[Badge] You lost a badge! (%TO)');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '140', 'science_combatmedic_master', 'Profession: Master Combat Medic');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '141', 'science_doctor_master', 'Profession: Master Doctor');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '142', 'science_medic_master', 'Profession: Master Medic');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '143', 'social_dancer_master', 'Profession: Master Dancer');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '144', 'social_entertainer_master', 'Profession: Master Entertainer');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '145', 'social_imagedesigner_master', 'Profession: Master Image Designer');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '146', 'social_musician_master', 'Profession: Master Musician');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '147', 'social_politician_master', 'Profession: Master Politician');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '148', 'unused', 'an unused badge');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '149', 'warren_compassion', 'Warren: Compassion');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '150', 'warren_hero', 'Warren: Imperial Hero');
INSERT INTO `client_strings` VALUES ('string/en/badge_n.stf', '151', 'bdg_accolade_home_show', 'Accolade: Galactic Home Show Winner');
INSERT INTO `client_strings` VALUES ('string/en/barada.stf', '1', 'bar1', 'You shouldn\'t be here.  Go see Bib Fortuna if you need work.\n');
INSERT INTO `client_strings` VALUES ('string/en/barada.stf', '2', 'bar2', 'I have work to do.  Come back when you\'ve helped Yena.\n');
INSERT INTO `client_strings` VALUES ('string/en/barada.stf', '3', 'bar3', 'I\'m Barada.  Bib says we can trust you, so I have some work for you to do.  Are you ready to do some work?\n');
INSERT INTO `client_strings` VALUES ('string/en/barada.stf', '4', 'bar4', 'Yes sir.\n');
INSERT INTO `client_strings` VALUES ('string/en/barada.stf', '5', 'bar5', 'At the moment I\'m a little busy.\n');
INSERT INTO `client_strings` VALUES ('string/en/barada.stf', '6', 'bar6', 'Good.  I\'m going to input the code to a self destruct device attached to one of Valarian\'s warehouses.  I just want you to go enter it and blow it up.  Simple enough?  Make sure you leave before that timer goes off!\n');
INSERT INTO `client_strings` VALUES ('string/en/barada.stf', '7', 'bar7', 'Ok.  Come back and see me when you have time.\n');
INSERT INTO `client_strings` VALUES ('string/en/barada.stf', '8', 'bar8', 'Jabba says to tell you thanks.  You\'ve done a good job.\n');
INSERT INTO `client_strings` VALUES ('string/en/barada.stf', '9', 'bar9', 'What should I do now?\n');
INSERT INTO `client_strings` VALUES ('string/en/barada.stf', '10', 'bar10', 'Go see Ephant Mon.  He has something he needs done.\n');
INSERT INTO `client_strings` VALUES ('string/en/barada.stf', '11', 'bar11', 'Max Rebo, the bandleader, is in need of some assistance I hear.\n');
INSERT INTO `client_strings` VALUES ('string/en/barada.stf', '12', 'bar12', 'Bib Fortuna would like to speak with you again.\n');
INSERT INTO `client_strings` VALUES ('string/en/barada.stf', '13', 'bar13', 'I don\'t have any more work for you right now.\n');
INSERT INTO `client_strings` VALUES ('string/en/barada.stf', '14', 'bar14', 'Ok.\n');
INSERT INTO `client_strings` VALUES ('string/en/barada.stf', '15', 'bar15', 'Good, you\'ve arrived.  Unfortunately, someone\'s stolen some of our engine parts.  It looks like Jawa tracks. Miserable little buggers.\n');
INSERT INTO `client_strings` VALUES ('string/en/barada.stf', '16', 'bar16', 'Shall I hunt them down?\n');
INSERT INTO `client_strings` VALUES ('string/en/barada.stf', '17', 'bar17', 'I\'m not here to hunt down Jawas!\n');
INSERT INTO `client_strings` VALUES ('string/en/barada.stf', '18', 'bar18', 'I\'m marking their location on your datapad.  Just get my parts back, I don\'t care how you do it.\n');
INSERT INTO `client_strings` VALUES ('string/en/barada.stf', '19', 'bar19', 'Oh.  A coward.  Well, you can either go get my parts or I can tell Jabba why he didn\'t get his shipment.\n');
INSERT INTO `client_strings` VALUES ('string/en/barada.stf', '20', 'bar20', 'The shipment wasn\'t my repsonsibility!\n');
INSERT INTO `client_strings` VALUES ('string/en/barada.stf', '21', 'bar21', 'What are you going to do?\n');
INSERT INTO `client_strings` VALUES ('string/en/barada.stf', '22', 'bar22', 'You don\'t know Jabba very well, do you?  Do you think he cares whose responsibility it was?  We\'ll all get thrown to the Rancor!\n');
INSERT INTO `client_strings` VALUES ('string/en/barada.stf', '23', 'bar23', 'We\'re not out of the woods yet.  I\'ll get the truck, you get the parts.');
INSERT INTO `client_strings` VALUES ('string/en/barada.stf', '24', 'bar24', 'OK, I\'ll get the parts.\n');
INSERT INTO `client_strings` VALUES ('string/en/barada.stf', '25', 'bar25', 'You don\'t seem to have the parts yet.\n');
INSERT INTO `client_strings` VALUES ('string/en/barada.stf', '26', 'bar26', 'Good, you\'ve got parts.  Keep me covered while I get this transport running\n');
INSERT INTO `client_strings` VALUES ('string/en/barada.stf', '27', 'bar27', 'This one\'s done.  There\'s more Imperials on the way, cover me while I get the second truck running\n');
INSERT INTO `client_strings` VALUES ('string/en/barada.stf', '28', 'bar28', 'That\'s it!  See you back at the palace!\n');
INSERT INTO `client_strings` VALUES ('string/en/barada.stf', '29', 'busy', 'I can\'t talk now, I\'m working.');
INSERT INTO `client_strings` VALUES ('string/en/bartender.stf', '1', 'opt_buy', 'I\'d like to buy a drink...');
INSERT INTO `client_strings` VALUES ('string/en/bartender.stf', '2', 'opt_rumor', 'Heard anything interesting lately?');
INSERT INTO `client_strings` VALUES ('string/en/bartender.stf', '3', 'opt_yes', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/bartender.stf', '4', 'opt_no', 'No');
INSERT INTO `client_strings` VALUES ('string/en/bartender.stf', '5', 'greet', 'Welcome! Hey, you look a bit parched. Is there anything I can do for you?');
INSERT INTO `client_strings` VALUES ('string/en/bartender.stf', '6', 'msg_buy', 'Well, you have come to the right place! Allow me to provide you with a menu of our choice selections.');
INSERT INTO `client_strings` VALUES ('string/en/bartender.stf', '7', 'query_buy', 'You still look like you could use a drink though. Can I interest you in one of fine beverages?');
INSERT INTO `client_strings` VALUES ('string/en/bartender.stf', '8', 'msg_yes', 'Your patronage is kindly appreciated.');
INSERT INTO `client_strings` VALUES ('string/en/bartender.stf', '9', 'msg_no', 'Then get out of my bar you miserable wretch. Your kind is not appreciated around here...');
INSERT INTO `client_strings` VALUES ('string/en/bartender.stf', '10', 'no_rumor', 'Can\'t say that I have heard anything recently...');
INSERT INTO `client_strings` VALUES ('string/en/bartender.stf', '11', 'prose_rumor1', 'I did overhear %TT say \'%TO\'.');
INSERT INTO `client_strings` VALUES ('string/en/bartender.stf', '12', 'prose_rumor2', 'I hear that %TT said something like \'%TO\'.');
INSERT INTO `client_strings` VALUES ('string/en/bartender.stf', '13', 'prose_rumor3', 'Well, there was some chatter about %TT saying something like \'%TO\'.');
INSERT INTO `client_strings` VALUES ('string/en/bartender.stf', '14', 'prose_rumor4', 'I\'m not sure but it *did* sound like %TT said \'%TO\'.');
INSERT INTO `client_strings` VALUES ('string/en/bartender.stf', '15', 'sui_title', 'Bar Menu');
INSERT INTO `client_strings` VALUES ('string/en/bartender.stf', '16', 'sui_prompt', 'Please select the beverage you would like from the list.');
INSERT INTO `client_strings` VALUES ('string/en/bartender.stf', '17', 'inv_full', 'The bartender was unable to hand you your %TO. It is likely your inventory is full.');
INSERT INTO `client_strings` VALUES ('string/en/bartender.stf', '18', 'prose_buy_fail', 'You were unable to purchase %TO. Perhaps you do not have enough credits?');
INSERT INTO `client_strings` VALUES ('string/en/bartender.stf', '19', 'prose_buy_pass', 'You successfully purchase a %TT for %DI credits.');
INSERT INTO `client_strings` VALUES ('string/en/bartender.stf', '20', 'talk_to_me', 'Tell me about current events.');
INSERT INTO `client_strings` VALUES ('string/en/bartender.stf', '21', 'monthly_fiction_1', 'I heard something about the drall...you know those guys from Corellia?  Rumor has it there\'s been some anti-imperial sentiment amongst them, and they\'re planning on doing something about it.  Couldn\'t tell you what, but I think the Empire might take matters into their own hands soon.');
INSERT INTO `client_strings` VALUES ('string/en/bartender.stf', '22', 'monthly_fiction_2', 'I\'ve been hearing rumors that the empire is getting ready to step on some Drall that are getting out of line on Corellia. Ya know, sometimes it\'s better to just fly the course and not make trouble.');
INSERT INTO `client_strings` VALUES ('string/en/bartender.stf', '23', 'monthly_fiction_3', 'I got a regular who comes in here who tells me that his friend heard that the rebels are knocking themselves out trying to find one of their spies.  Some girl who stole plans from a scientist named Vacca.  I\'d hate to be her!');
INSERT INTO `client_strings` VALUES ('string/en/bartender.stf', '24', 'monthly_fiction_4', 'I hear the Imperials are looking for loyal citizens to find some sort of disk the rebels are trying to protect. If you ask me, it\'s better to fight for the Empire than to fight against them. After all, who wants an AT-ST showing up at your door because you backed the wrong side?');
INSERT INTO `client_strings` VALUES ('string/en/bartender.stf', '25', 'monthly_fiction_5', 'The rebels are trying to find someone foolish enough to help them find their lost spy. I wouldn\'t do it. You\'d have to be dumber than a newborn Wookiee to cross the Empire!');
INSERT INTO `client_strings` VALUES ('string/en/bartender.stf', '26', 'monthly_fiction_6', 'Some junk dealers were in here trying to sell some old Imperial decoders. They said they found a crashed shuttle with a whole cargo of them. I bet the Rebels would pay good money to get their hands on one of them, even if they are a bit out of date.');
INSERT INTO `client_strings` VALUES ('string/en/bartender.stf', '27', 'monthly_fiction_7', 'Did you scan that article on Dr. Vacca? I can\'t believe the Empire would fund a scientist who is that friendly with the Drall. If I were him, I\'d be careful because you never know when the Empire will decide to send you a \"message\" to get with the party line.');
INSERT INTO `client_strings` VALUES ('string/en/bartender.stf', '28', 'monthly_fiction_8', 'I got a friend who sells hyperdrives to the Alliance and he tells me that they have some mission planned to recruit some bigwig scientist away from the Empire. Normally I\'d say it wouldn\'t work, but this guy\'s from Alderaan, so who knows?');
INSERT INTO `client_strings` VALUES ('string/en/bartender.stf', '29', 'monthly_fiction_9', 'Something\'s got the Empire warping mad. I think it\'s got something to do with some scientist named Vacca spending too much time with the Drall. I hear the Imps are looking for someone to do a little dirty work to teach him a lesson in obedience.\n');
INSERT INTO `client_strings` VALUES ('string/en/bartender_e3_convo.stf', '1', 'bartender_1', 'I had the strangest dream last night.');
INSERT INTO `client_strings` VALUES ('string/en/bartender_e3_convo.stf', '2', 'bartender_2', 'What was your dream about?');
INSERT INTO `client_strings` VALUES ('string/en/bartender_e3_convo.stf', '3', 'bartender_3', 'Tell me about these imperials outside of town.');
INSERT INTO `client_strings` VALUES ('string/en/bartender_e3_convo.stf', '4', 'bartender_4', 'I dreamed I was being put out of business by a bunch of imperials who...oh, wait, that\'s happening isn\'t it?\n');
INSERT INTO `client_strings` VALUES ('string/en/bartender_e3_convo.stf', '5', 'bartender_5', 'They\'ve cut a deal with Jabba.  He lets them pretend to be in charge and they let him smuggle spices.');
INSERT INTO `client_strings` VALUES ('string/en/bartender_e3_convo.stf', '6', 'bartender_6', 'Things are sure weird around here.');
INSERT INTO `client_strings` VALUES ('string/en/bartender_e3_convo.stf', '7', 'bartender_7', 'Yeah, well, I got to get back to packing up.');
INSERT INTO `client_strings` VALUES ('string/en/bar_e3_convo.stf', '12', 'bar_1', 'You looking for work?');
INSERT INTO `client_strings` VALUES ('string/en/bar_e3_convo.stf', '13', 'bar_2', 'I might be.');
INSERT INTO `client_strings` VALUES ('string/en/bar_e3_convo.stf', '14', 'bar_3', 'I\'m just here to have a drink.');
INSERT INTO `client_strings` VALUES ('string/en/bar_e3_convo.stf', '15', 'bar_4', 'You have any problem shooting imperials?');
INSERT INTO `client_strings` VALUES ('string/en/bar_e3_convo.stf', '16', 'bar_5', 'That\'s too bad.  There\'s a ton of work and everybody\'s leaving town.');
INSERT INTO `client_strings` VALUES ('string/en/bar_e3_convo.stf', '17', 'bar_6', 'What kind of work?');
INSERT INTO `client_strings` VALUES ('string/en/bar_e3_convo.stf', '18', 'bar_7', 'Go out the front door and down the street.  You\'ll find a guy there who\'s been looking to hire some muscle.  Ask him some questions, eh?');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '1', 'attribmod_apply', 'You suddenly feel different.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '2', 'bank_prompt', 'Please select the amounts for each account.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '3', 'bank_success', 'Bank transaction successfully completed.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '4', 'bank_title', 'Banking');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '5', 'bank_to_escrow', 'An amount of %DI credits have been transferred from your bank to escrow.  It will be delivered to %TO as soon as possible.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '6', 'bind_removed', 'To enable selective clone respawn again, you must pay another clone data storage fee.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '7', 'cash_transfer_failed', 'Cash transfer failed.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '8', 'ch_xfer_dl_done', 'Character transfer is now complete. ');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '9', 'char_xfer_dl', 'Character transfer download');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '10', 'char_xfer_dl_fail_gender', 'Character transfer failed because your target character is not the same gender as the source character. Please try again with a character of the same gender as the source.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '11', 'char_xfer_dl_fail_species', 'Character transfer failed to complete. Your target character species does not match the source character species. Please try again with a character of the same species.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '12', 'char_xfer_stat', 'Character transfer status');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '13', 'clone_confirm_coupon_prompt', 'Will you use your cloning facility authorization release to clone yourself here?');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '14', 'clone_confirm_coupon_title', 'Use Cloning Authorization Confirmation');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '15', 'clone_confirm_prompt', 'Will you pay the 1000 credits to clone yourself here?');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '16', 'clone_confirm_title', 'Clone Confirmation');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '17', 'clone_success', 'Clone location successfully updated.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '18', 'confirm_character_upload', 'You are about to upload your character information to the Star Wars Galaxies character transfer service. After the upload is complete, log into the target Galaxy with a character of the same gender and species, then use the /downloadCharacter command to retrieve the data and apply it to the target character. If you do not want to start this process now, simply select cancel or press ESC. Any player may transfer their character data to Test Center. This will not affect any characters already in use in other Galaxies. Character transfers elsewhere, however, require prior authorization and will result in the character being disabled in the Galaxy of origin.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '19', 'confirm_character_upload_title', 'Confirm character upload\n');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '20', 'consent_successful', 'Consent Successful');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '21', 'corpse_expired', 'A corpse of yours has expired into nothingness.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '22', 'corpse_looted', 'You have completely looted the corpse of all items.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '23', 'corpse_player_n', 'player corpse');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '24', 'corpse_transaction_pending', 'A corpse transaction is in progress. Cleanup pending transaction completion.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '25', 'covert_respawn_outside', 'Because you have cloned outside of a facility, you have been reset to combatant status.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '26', 'covert_respawn_unaligned', 'Because you have cloned in a non-aligned facility, you have been reset to combatant status.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '27', 'covert_respawn_unfriendly', 'Because you have cloned in a factionally unfriendy facility, you have been reset to combatant status.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '28', 'death_blow', 'Death Blow');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '29', 'dismounting', 'Dismounting now.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '30', 'download_fail', 'Character transfer was denied. If this is an error, please contact customer service for assistance.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '31', 'escrow_withdraw_failed', '%TO attempted to transfer %DI credits to you via bank wire.  The transfer from escrow to your bank account failed.  %TO has been refunded.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '32', 'failed_escrow_refund', 'Your attempt to transfer %DI credits to %TO via a bank wire failed.  The attempt to refund the money to you from an escrow account also failed.  Please contact a CSR for a manual refund.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '33', 'find_datapad_full', '/Find was unable to create a waypoint. It is likely that your datapad is full.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '34', 'find_general_error', '/Find was unable to complete your request. Please try again.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '35', 'find_prompt', 'Select a category of planetary map locations to search for.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '36', 'find_title', '/Find Category Selector');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '37', 'fly_drag', '<- DRAG ->');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '38', 'fs_village_no_combat', 'You must be at peace to pass the wall of mist...');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '39', 'fs_village_unavailable', 'A wall of mist blocks your path.  No matter how hard you try you cannot force yourself to enter the area.  Perhaps you are not ready yet ...');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '40', 'guildremove_not_in_guild', 'You are not in a guild.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '41', 'guildstatus_leader', '%TU is the leader of %TT.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '42', 'guildstatus_leader_title', '%TU [%TO] is the leader of %TT.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '43', 'guildstatus_member', '%TU is a member of %TT.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '44', 'guildstatus_member_title', '%TU [%TO] is a member of %TT.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '45', 'guildstatus_not_in_guild', '%TU is not in a guild.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '46', 'guildstatus_not_player', 'You may only check the guild status of players.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '47', 'haveconsent_false', 'You do not have their consent.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '48', 'haveconsent_true', 'You have their consent.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '49', 'insure_success', 'Insurance transaction successfully completed.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '50', 'killer_target_dead', 'Your target is no more.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '51', 'killer_target_incapacitated', 'You have incapacitated your target.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '52', 'last_newbie_insure', 'New Player Auto-Insure Activated. You have one death before item insurance is required.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '53', 'lightsaber_not_jedi', 'You must be force-sensitive to wield a lightsaber.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '54', 'must_be_declared', 'You must be declared to a faction before you may use that command.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '55', 'newbie_expired', 'New player exemption status has expired. You will now be required to insure your items if you wish to retain them after cloning.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '56', 'no_corpse_produced', 'No corpse was produced for you, since you did not have anything to leave behind.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '57', 'no_entry_while_mounted', 'You cannot enter a structure while on your mount.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '58', 'noob_confirm_insure_prompt', 'Due to new player exemptions, you do not need to insure items at this time. Do you wish to continue?');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '59', 'noob_confirm_insure_title', 'Confirm Insure Item');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '60', 'prose_award_faction', 'You have been awarded %DI points of %TO faction standing.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '61', 'prose_bad_species', '%TT are unable to learn skill: %TO.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '62', 'prose_coa_bonus', 'You receive a Cries of Alderaan Bonus of %DI %TO faction points.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '63', 'prose_coin_loot', 'You loot %DI credits from %TT.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '64', 'prose_coin_loot_no_target', 'You looted %DI credits.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '65', 'prose_consent', 'You give your consent to %TO.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '66', 'prose_consume_item', 'You consume %TT.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '67', 'prose_covert_uncloak', 'A %TT has cross-referenced you as a covert %TO operative.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '68', 'prose_deposit_success', 'You successfully deposit %DI credits to your account.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '69', 'prose_find_set', 'An active waypoint has been set to the nearest \'%TO\'.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '70', 'prose_find_unfound', '/Find was unable to locate a \'%TO\' near you.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '71', 'prose_find_unknown_arg', '/Find was unable to parse a category for \'%TO\'.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '72', 'prose_got_consent', '%TO consents you.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '73', 'prose_grant_xp', 'You receive %DI points of %TO experience.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '74', 'prose_grant_xp1', 'You receive 1 point of %TO experience.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '75', 'prose_grant_xp_bonus', '\\#pcontrast3 MASTER PILOT BONUS: < \\#pcontrast1 You receive %DI points of %TO experience. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '76', 'prose_have_xp', 'You have %DI points of %TO experience.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '77', 'prose_hit_xp_cap', 'You have achieved your current limit for %TO experience.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '78', 'prose_insure_success', 'You successfully insure your %TT.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '79', 'prose_item_looted_other', '%TU looted: %TT.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '80', 'prose_item_looted_self', 'You looted: %TT.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '81', 'prose_lose_faction', 'You have lost %DI points of %TO faction standing!');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '82', 'prose_lost_consent', '%TO no longer consents you.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '83', 'prose_max_faction', 'You cannot gain any more of %TO faction standing.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '84', 'prose_min_faction', 'You cannot lose any more of %TO faction standing.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '85', 'prose_newbie_insured', 'New Player Auto-Insure Activated. You have %DI deaths before item insurance is required.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '86', 'prose_nsf_skill_pts', 'You do not have enough skill points left to learn skill \'%TO\'.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '87', 'prose_pay_acct_success', 'You successfully make a payment of %DI credits to %TO.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '88', 'prose_pay_success', 'You successfully make a payment of %DI credits to %TT.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '89', 'prose_pay_success_no_target', 'You successfully make a payment of %DI credits.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '90', 'prose_revoke_xp', 'You lose %DI points of %TO experience.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '91', 'prose_revoke_xp1', 'You lose 1 point of %TO experience.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '92', 'prose_target_dead', '%TT is no more.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '93', 'prose_target_incap', 'You incapacitate %TT.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '94', 'prose_tef', 'You have gained a temporary enemy flag toward the %TO faction.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '95', 'prose_tip_abort', 'Aborting last attempted /tip to %TT...');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '96', 'prose_tip_invalid_amt', '/TIP: invalid amount (\"%DI\").');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '97', 'prose_tip_invalid_param', '/TIP: invalid amount (\"%TO\") parameter.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '98', 'prose_tip_nsf_bank', 'You lack the bank funds to wire %DI credits to %TT.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '99', 'prose_tip_nsf_cash', 'You lack the cash funds to tip %DI credits to %TT.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '100', 'prose_tip_nsf_wire', 'You do not have %DI credits (surcharge included) to tip the desired amount to %TT.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '101', 'prose_tip_pass_self', 'You successfully tip %DI credits to %TT.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '102', 'prose_tip_pass_target', '%TT tips you %DI credits.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '103', 'prose_tip_range', 'You are too far away to tip %TT with cash.  You can send a wire transfer instead.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '104', 'prose_unconsent', 'You revoke your consent from %TO.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '105', 'prose_victim_dead', 'You were slain by %TT. Requesting clone activation...');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '106', 'prose_victim_incap', 'You have been incapacitated by %TT.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '107', 'prose_wire_mail_from', 'On behalf of %TO');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '108', 'prose_wire_mail_self', '%TO has received %DI credits from you, via bank wire transfer.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '109', 'prose_wire_mail_target', '%DI credits from %TO have been successfully delivered from escrow to your bank account.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '110', 'prose_wire_pass_self', 'You have successfully sent %DI bank credits to %TO.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '111', 'prose_wire_pass_target', 'You have successfully received %DI bank credits from %TO.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '112', 'prose_withdraw_success', 'You successfully withdraw %DI credits from your account.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '113', 'received_escrow_refund', 'Your attempt to transfer %DI credits to %TO via a bank wire failed.  The money has been refunded to you (minus transfer fee) from the escrow account.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '114', 'revive_bind', 'Pre-Designated Facility');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '115', 'revive_bind_insured', 'Pre-Designated Facility - Insured');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '116', 'revive_bind_uninsured', 'Pre-Designated Facility - Uninsured');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '117', 'revive_closest', 'Closest Cloning Facility');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '118', 'revive_closest_insured', 'Closest Cloning Facility - Insured');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '119', 'revive_closest_uninsured', 'Closest Cloning Facility - Uninsured');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '120', 'revive_msg', 'Click OK when you are ready to be returned to your clone.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '121', 'revive_player', 'Resuscitate');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '122', 'revive_title', 'Clone Activated');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '123', 'sale_fee', 'The fee for your listing is %DI credits.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '124', 'set_name', 'Set Name');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '125', 'smuggler_scan_fail', 'You have failed to avoid the scan.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '126', 'smuggler_scan_success', 'You have successfully evaded the scan.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '127', 'swg', 'Star Wars Galaxies');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '128', 'tip_abort', 'Aborting last /tip attempt...');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '129', 'tip_clear', 'Clearing last /tip transaction information...');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '130', 'tip_error', 'There was an error processing your /tip request. Please try again.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '131', 'tip_nsf', 'It appears that you have insufficient cash credits to tip that much.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '132', 'tip_syntax', 'SYNTAX: /tip <amount> (to current target) or /tip <name> <amount>');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '133', 'tip_target_offline', 'You cannot tip someone who is not online.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '134', 'tip_wire_prompt', 'A surcharge of 5% will be added to your requested bank-to-bank transfer amount. Would you like to continue?');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '135', 'tip_wire_title', 'Confirm Bank Transfer');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '136', 'unconsent_successful', 'Unconsent Successful');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '137', 'upload_fail', 'The character transfer failed to upload your character data. If this is an error, please contact customer service for assistance.\n');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '138', 'upload_success', 'Your character has been successfully uploaded. You may now log into the target Galaxy and attempt to complete this transfer. If this transfer is to a Galaxy other than Test Center, you may need additional authorization and your source character may be disabled.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '139', 'uploading_ch_xfer', 'Character transfer: uploading character data');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '140', 'victim_dead', 'You have died. Requesting clone activation...');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '141', 'victim_incapacitated', 'You have become incapacitated.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '142', 'wire_mail_subject', 'Bank Transfer Complete...');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '143', 'wire_pass_self', 'Your /tip transaction was successfully completed.');
INSERT INTO `client_strings` VALUES ('string/en/base_player.stf', '144', 'too_many_waypoints', 'You have too many waypoints in your datapad.  Please delete some before creating more.');
INSERT INTO `client_strings` VALUES ('string/en/battlefield.stf', '1', 'military_medium_wall', 'Wall');
INSERT INTO `client_strings` VALUES ('string/en/battlefield.stf', '2', 'strong_column', 'Strong Column');
INSERT INTO `client_strings` VALUES ('string/en/battlefield.stf', '3', 'power_generator', 'Power Generator');
INSERT INTO `client_strings` VALUES ('string/en/battlefield.stf', '4', 'strong_wall', 'Reinforced Wall');
INSERT INTO `client_strings` VALUES ('string/en/battlefield.stf', '5', 'status', 'Battlefield Status');
INSERT INTO `client_strings` VALUES ('string/en/battlefield.stf', '6', 'game_status', 'Game Status');
INSERT INTO `client_strings` VALUES ('string/en/battlefield.stf', '7', 'build_structure', 'Build Structure');
INSERT INTO `client_strings` VALUES ('string/en/battlefield.stf', '8', 'battlefield_constructor', 'Battlefield Constructor');
INSERT INTO `client_strings` VALUES ('string/en/battlefield.stf', '9', 'construction_site', 'Construction Status');
INSERT INTO `client_strings` VALUES ('string/en/battlefield.stf', '10', 'destroy_structure', 'Destroy Structure');
INSERT INTO `client_strings` VALUES ('string/en/battlefield.stf', '11', 'battlefield_marker_name', 'Battlefield Marker');
INSERT INTO `client_strings` VALUES ('string/en/battlefield.stf', '12', 'rebel_infantry_barracks', 'Rebel Infantry Barracks');
INSERT INTO `client_strings` VALUES ('string/en/battlefield.stf', '13', 'stormtrooper_barracks', 'Stormtrooper Barracks');
INSERT INTO `client_strings` VALUES ('string/en/battlefield.stf', '14', 'small_turret', 'Small Turret');
INSERT INTO `client_strings` VALUES ('string/en/battlefield.stf', '15', 'turret_tower_small', 'Small Tower Turret');
INSERT INTO `client_strings` VALUES ('string/en/battlefield.stf', '16', 'tower_dish_small', 'Small Dish Tower');
INSERT INTO `client_strings` VALUES ('string/en/battlefield.stf', '17', 'build_reinforcement', 'Request Reinforcement');
INSERT INTO `client_strings` VALUES ('string/en/battlefield.stf', '18', 'build_reinforcement_status', 'Reinforcement Status');
INSERT INTO `client_strings` VALUES ('string/en/battlefield.stf', '19', 'construction_base_destructible', 'Construction Site');
INSERT INTO `client_strings` VALUES ('string/en/battlefield.stf', '20', 'repair_structure', 'Repair Structure');
INSERT INTO `client_strings` VALUES ('string/en/battlefield.stf', '21', 'column', 'Column');
INSERT INTO `client_strings` VALUES ('string/en/battlefield.stf', '22', 'barbed_wall', 'Barbed Wall');
INSERT INTO `client_strings` VALUES ('string/en/battlefield.stf', '23', 'storm_trooper_barracks', 'Stormtrooper Barracks');
INSERT INTO `client_strings` VALUES ('string/en/battlefield.stf', '24', 'antenna', 'Antenna');
INSERT INTO `client_strings` VALUES ('string/en/battlefield.stf', '25', 'gungan_sacred_head', 'Sacred Gungan Head');
INSERT INTO `client_strings` VALUES ('string/en/battlefield.stf', '26', 'medium_wall', 'Medium Wall');
INSERT INTO `client_strings` VALUES ('string/en/battlefield.stf', '27', 'turret_dish_small', 'Small Dish Turret');
INSERT INTO `client_strings` VALUES ('string/en/battlefield.stf', '28', 'gungan_damaged_wide_arch', 'Damaged Gungan Arch');
INSERT INTO `client_strings` VALUES ('string/en/battlefield.stf', '29', 'gungan_damaged_wall', 'Damaged Gungan Wall');
INSERT INTO `client_strings` VALUES ('string/en/battlefield.stf', '30', 'imperial_banner', 'Imperial Banner');
INSERT INTO `client_strings` VALUES ('string/en/battlefield.stf', '31', 'rebel_banner', 'Rebel Banner');
INSERT INTO `client_strings` VALUES ('string/en/battlefield.stf', '32', 'gate', 'Gate');
INSERT INTO `client_strings` VALUES ('string/en/battlefield.stf', '33', 'base_gate', 'Base Gate');
INSERT INTO `client_strings` VALUES ('string/en/battlefield.stf', '34', 'gungan_cleft_wall', 'Cleft Wall');
INSERT INTO `client_strings` VALUES ('string/en/battlefield.stf', '35', 'gungan_damaged_narrow_arch', 'Damaged Gungan Narrow Arch');
INSERT INTO `client_strings` VALUES ('string/en/battlefield.stf', '36', 'gungan_pillar_damaged', 'Damaged Gungan Pillar');
INSERT INTO `client_strings` VALUES ('string/en/battlefield.stf', '37', 'gungan_pillar_ruined', 'Ruined Gungan Pillar');
INSERT INTO `client_strings` VALUES ('string/en/battlefield.stf', '38', 'gungan_relic', 'Gungan Relic');
INSERT INTO `client_strings` VALUES ('string/en/battlefield.stf', '39', 'gungan_statue', 'Gungan Statue');
INSERT INTO `client_strings` VALUES ('string/en/battlefield.stf', '40', 'gungan_shield_generator', 'Gungan Shield Generator');
INSERT INTO `client_strings` VALUES ('string/en/battlefield.stf', '41', 'gungan_wall_ruined', 'Ruined Gungan Wall');
INSERT INTO `client_strings` VALUES ('string/en/battlefield.stf', '42', 'weak_wall', 'Weak Wall');
INSERT INTO `client_strings` VALUES ('string/en/battlefield.stf', '43', 'military_weak_wall', 'Weak Military Wall');
INSERT INTO `client_strings` VALUES ('string/en/battlefield.stf', '44', 'gate_house', 'Gate House');
INSERT INTO `client_strings` VALUES ('string/en/battlefield.stf', '45', 'two_fortresses', 'Two Fortresses');
INSERT INTO `client_strings` VALUES ('string/en/battlefield.stf', '46', 'dune_sea', 'Dune Sea');
INSERT INTO `client_strings` VALUES ('string/en/battlefield.stf', '47', 'naboo_pvp_01', 'Naboo Battlegrounds');
INSERT INTO `client_strings` VALUES ('string/en/battlefield.stf', '48', 'naboo_gungan_ruins', 'Gungan Ruins');
INSERT INTO `client_strings` VALUES ('string/en/battlefield.stf', '49', 'imperial_beach_fortress', 'Imperial Beach Fortress');
INSERT INTO `client_strings` VALUES ('string/en/battlefield.stf', '50', 'rori_pvp_01', 'Rori Battlegrounds');
INSERT INTO `client_strings` VALUES ('string/en/battlefield.stf', '51', 'rori_pvp_02', 'Rori Battlegrounds II');
INSERT INTO `client_strings` VALUES ('string/en/battlefield.stf', '52', 'rori_mudflats_pve', 'The Mudflats');
INSERT INTO `client_strings` VALUES ('string/en/battlefield.stf', '53', 'talus_pve_01', 'Talus Battlegrounds');
INSERT INTO `client_strings` VALUES ('string/en/battlefield.stf', '54', 'talus_pvp_01', 'Talus Battlegrounds II');
INSERT INTO `client_strings` VALUES ('string/en/battlefield.stf', '55', 'talus_pvp_02', 'Talus Battlegrounds III');
INSERT INTO `client_strings` VALUES ('string/en/battlefield.stf', '56', 'yavin4_mountain_pvp', 'Yavin Mountains');
INSERT INTO `client_strings` VALUES ('string/en/battlefield.stf', '57', 'yavin4_forest_pvp', 'Yavin Forest');
INSERT INTO `client_strings` VALUES ('string/en/battlefield.stf', '58', 'dathomir_canyon_pvp', 'Dathomir Canyon');
INSERT INTO `client_strings` VALUES ('string/en/battlefield.stf', '59', 'endor_salma_desert', 'Salma Desert');
INSERT INTO `client_strings` VALUES ('string/en/battlefield.stf', '60', 'endor_forest', 'Endor Forest');
INSERT INTO `client_strings` VALUES ('string/en/battlefield.stf', '61', 'corellia_pvp', 'Corellia Battlegrounds');
INSERT INTO `client_strings` VALUES ('string/en/battlefield.stf', '62', 'corellia_rebel_riverside_fort', 'Rebel Riverside Fort');
INSERT INTO `client_strings` VALUES ('string/en/battlefield.stf', '63', 'corellia_mountain_fortress', 'Mountain Fortress');
INSERT INTO `client_strings` VALUES ('string/en/bestine.stf', '1', 'search_item', 'Search');
INSERT INTO `client_strings` VALUES ('string/en/bestine.stf', '2', 'already_searched', 'You\'ve already searched here.');
INSERT INTO `client_strings` VALUES ('string/en/bestine.stf', '3', 'default_receive_msg', 'You search and find something then place it into your inventory.');
INSERT INTO `client_strings` VALUES ('string/en/bestine.stf', '4', 'inventory_full', 'You find something but have no room in your inventory for it. Try again when you are carrying fewer things.');
INSERT INTO `client_strings` VALUES ('string/en/bestine.stf', '5', 'come_here', 'Hey... c\'mere a second. I think we can help one another.');
INSERT INTO `client_strings` VALUES ('string/en/bestine.stf', '6', 'give_governor_item', 'What\'s this? Please, if you wish to present evidence or whatnot, don\'t just thrust these things at me. Speak to me in a manner suited to civilized beings such as ourselves.');
INSERT INTO `client_strings` VALUES ('string/en/bestine.stf', '7', 'merchant_title', 'a merchant');
INSERT INTO `client_strings` VALUES ('string/en/beta.stf', '1', 'survey_tool', 'Survey Tools');
INSERT INTO `client_strings` VALUES ('string/en/beta.stf', '2', 'craft_station_deed', 'Crafting Station Deeds');
INSERT INTO `client_strings` VALUES ('string/en/beta.stf', '3', 'factory_deed', 'Factory Deeds');
INSERT INTO `client_strings` VALUES ('string/en/beta.stf', '4', 'generator_deed', 'Generator Deeds');
INSERT INTO `client_strings` VALUES ('string/en/beta.stf', '5', 'harvester_deed', 'Harvester Deeds');
INSERT INTO `client_strings` VALUES ('string/en/beta.stf', '6', 'resource_standard', 'Use - Standard');
INSERT INTO `client_strings` VALUES ('string/en/beta.stf', '7', 'resource_planet', 'Use - By Planet');
INSERT INTO `client_strings` VALUES ('string/en/beta.stf', '8', 'resource_set_planet', 'Set Planet');
INSERT INTO `client_strings` VALUES ('string/en/beta/droid_vendor.stf', '1', 'start', 'Psst.  Hey.... want a droid?  It\'s FREE!  No strings attached...');
INSERT INTO `client_strings` VALUES ('string/en/beta/droid_vendor.stf', '2', 'yes', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/beta/droid_vendor.stf', '3', 'no', 'No');
INSERT INTO `client_strings` VALUES ('string/en/beta/droid_vendor.stf', '4', 'choose', 'Which of these fine models would you like?');
INSERT INTO `client_strings` VALUES ('string/en/beta/droid_vendor.stf', '5', 'toomany', 'You have too many droids.  I thought you were my friend.  But you\'re just using me to get free droids.  No droids for you!');
INSERT INTO `client_strings` VALUES ('string/en/beta/droid_vendor.stf', '6', 'goodbye', 'Ok goodbye!  Good luck!  Thank you for talking to me....  I\'m so lonely.');
INSERT INTO `client_strings` VALUES ('string/en/beta/droid_vendor.stf', '7', 'droideka', 'Droideka');
INSERT INTO `client_strings` VALUES ('string/en/beta/droid_vendor.stf', '10', 'probot', 'Imperial Probot');
INSERT INTO `client_strings` VALUES ('string/en/beta/droid_vendor.stf', '11', 'protocol_droid_3po', 'Protocol Droid');
INSERT INTO `client_strings` VALUES ('string/en/beta/droid_vendor.stf', '12', 'r2', 'Astromech');
INSERT INTO `client_strings` VALUES ('string/en/beta/droid_vendor.stf', '13', 'surgical_droid_21b', 'Surgical Droid');
INSERT INTO `client_strings` VALUES ('string/en/beta/droid_vendor.stf', '14', 'le_repair_droid', 'Repair Droid');
INSERT INTO `client_strings` VALUES ('string/en/beta/droid_vendor.stf', '16', 'mouse_droid', 'Mouse Droid');
INSERT INTO `client_strings` VALUES ('string/en/beta/droid_vendor.stf', '17', 'eg6_power_droid', 'Power Droid');
INSERT INTO `client_strings` VALUES ('string/en/beta/droid_vendor.stf', '18', 'ok', 'Ok, here is your droid.  Take good care of it.  Come back and talk to me any time.  I sure do like talking to people.');
INSERT INTO `client_strings` VALUES ('string/en/beta/mount_vendor.stf', '1', 'start', 'Psst.  Hey.... want a mount?  It\'s FREE!  No strings attached...');
INSERT INTO `client_strings` VALUES ('string/en/beta/mount_vendor.stf', '2', 'yes', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/beta/mount_vendor.stf', '3', 'no', 'No');
INSERT INTO `client_strings` VALUES ('string/en/beta/mount_vendor.stf', '4', 'choose', 'Which of these fine specimins would you like?');
INSERT INTO `client_strings` VALUES ('string/en/beta/mount_vendor.stf', '5', 'toomany', 'You have too many pets already.');
INSERT INTO `client_strings` VALUES ('string/en/beta/mount_vendor.stf', '6', 'goodbye', 'Ok goodbye!  Good luck!  Thank you for talking to me....  I\'m so lonely.');
INSERT INTO `client_strings` VALUES ('string/en/beta/mount_vendor.stf', '7', 'carrion_spat', 'Carrion Spat');
INSERT INTO `client_strings` VALUES ('string/en/beta/mount_vendor.stf', '10', 'kaadu', 'Kaadu');
INSERT INTO `client_strings` VALUES ('string/en/beta/mount_vendor.stf', '11', 'dewback', 'Dewback');
INSERT INTO `client_strings` VALUES ('string/en/beta/mount_vendor.stf', '12', 'bol', 'Bol');
INSERT INTO `client_strings` VALUES ('string/en/beta/mount_vendor.stf', '13', 'falumpaset', 'Falumpaset');
INSERT INTO `client_strings` VALUES ('string/en/beta/mount_vendor.stf', '14', 'brackaset', 'Brackaset');
INSERT INTO `client_strings` VALUES ('string/en/beta/mount_vendor.stf', '18', 'ok', 'Ok, here is your mount.  These breeds have a fairly short lifespan, don\'t be surprised if it only lasts a week. Take good care of it.  Come back and talk to me any time.  I sure do like talking to people.');
INSERT INTO `client_strings` VALUES ('string/en/beta/vehicle_vendor.stf', '1', 'yes', 'Why, yes!  Yes I would!');
INSERT INTO `client_strings` VALUES ('string/en/beta/vehicle_vendor.stf', '2', 'start', 'Hey!  You there!   Our company is trying out their new vehicle line in this city, and you look the kind of person who might want a free vehicle.  Am I right?');
INSERT INTO `client_strings` VALUES ('string/en/beta/vehicle_vendor.stf', '3', 'no', 'Nope.');
INSERT INTO `client_strings` VALUES ('string/en/beta/vehicle_vendor.stf', '4', 'choose', 'Choose one of these vehicles!');
INSERT INTO `client_strings` VALUES ('string/en/beta/vehicle_vendor.stf', '5', 'x34', 'X34 Landspeeder');
INSERT INTO `client_strings` VALUES ('string/en/beta/vehicle_vendor.stf', '6', 'bike', 'Speeder Bike');
INSERT INTO `client_strings` VALUES ('string/en/beta/vehicle_vendor.stf', '7', 'swoop', 'Swoop');
INSERT INTO `client_strings` VALUES ('string/en/beta/vehicle_vendor.stf', '8', 'goodbye', 'Oh, well.  Alright then.  Goodbye.');
INSERT INTO `client_strings` VALUES ('string/en/beta/vehicle_vendor.stf', '9', 'goodbye2', 'Remember, this is only a free trial.  The vehicle will expire and self-destruct in 16 DAYS.  Have fun!');
INSERT INTO `client_strings` VALUES ('string/en/beta/vehicle_vendor.stf', '10', 'toomany', 'Hmm.  Didn\'t I give you one already?  If you\'d like a different vehicle, please destroy your old one first.');
INSERT INTO `client_strings` VALUES ('string/en/bfnq2.stf', '1', 'bnq2_1', 'You have done well. Our friends throughout the palace are in your debt. I should like very much to introduce you to Jabba himself... once you have performed one final task.\n');
INSERT INTO `client_strings` VALUES ('string/en/bfnq2.stf', '2', 'bnq2_2', 'That sounds good. What task?\n');
INSERT INTO `client_strings` VALUES ('string/en/bfnq2.stf', '3', 'bnq2_3', 'Why not introduce me to Jabba now?\n');
INSERT INTO `client_strings` VALUES ('string/en/bfnq2.stf', '4', 'bnq2_4', 'Someone is out to betray Jabba. Our good friend Romo Vax has sent word of a traitor in our midst.\n');
INSERT INTO `client_strings` VALUES ('string/en/bfnq2.stf', '5', 'bnq2_5', 'Because if you complete this next task properly, I assure you - Jabba will be most impressed. You see - your job is to root out a traitor... one who operates right under our noses. Our good friend Romo Vax has told me that the traitor exists - but nothing else.\n');
INSERT INTO `client_strings` VALUES ('string/en/bfnq2.stf', '6', 'bnq2_6', 'Where do I find Romo Vax?\n');
INSERT INTO `client_strings` VALUES ('string/en/bfnq2.stf', '7', 'bnq2_7', 'Do you know who the traitor is?\n');
INSERT INTO `client_strings` VALUES ('string/en/bfnq2.stf', '8', 'bnq2_8', 'What did Vax tell you about the traitor?\n');
INSERT INTO `client_strings` VALUES ('string/en/bfnq2.stf', '9', 'bnq2_9', 'You will find Romo Vax hiding in the Jundland Wastes. Seems that he has run up some bad debts on other systems and is being pursued by a bounty hunter.\n');
INSERT INTO `client_strings` VALUES ('string/en/bfnq2.stf', '10', 'bnq2_10', 'No. Only Romo Vax knows the traitor\'s name - and he won\'t give it up until someone, meaning you, comes to help him. You see, Romo has amassed some huge gambling debts in other systems? that he\'ll never be able to pay. Now, Romo is in the Jundland Wastes hiding from a bounty hunter.\n');
INSERT INTO `client_strings` VALUES ('string/en/bfnq2.stf', '11', 'bnq2_11', 'Romo told me that the traitor had a name and that I could learn the name if I sent someone to save his life. You see, he\'s amassed some enormous gambling debts in other systems, which he\'ll never be able to pay, and they\'ve sent a bounty hunter to kill him. He called to me from the Jundland Wastes - where he is now hiding.\n');
INSERT INTO `client_strings` VALUES ('string/en/bfnq2.stf', '12', 'bnq2_12', 'What do you want me to do?\n');
INSERT INTO `client_strings` VALUES ('string/en/bfnq2.stf', '13', 'bnq2_13', 'Go to Romo Vax and protect him from the bounty hunter. Then talk to Vax and learn everything you can about the traitor. I will contact you with further instructions then.\n');
INSERT INTO `client_strings` VALUES ('string/en/bfnq2.stf', '14', 'bnq2_14', 'Not bad. That bounty hunter had no idea who he was dealing with.\n');
INSERT INTO `client_strings` VALUES ('string/en/bfnq2.stf', '15', 'bnq2_15', 'Who is the traitor in Jabba\'s palace?\n');
INSERT INTO `client_strings` VALUES ('string/en/bfnq2.stf', '16', 'bnq2_16', 'Why was the bounty hunter after you?\n');
INSERT INTO `client_strings` VALUES ('string/en/bfnq2.stf', '17', 'bnq2_17', 'He is named Enic Yunga and he is probably somewhere near Bestine - on his way to meet his contacts.\n');
INSERT INTO `client_strings` VALUES ('string/en/bfnq2.stf', '18', 'bnq2_18', 'When I was touring the casinos, his girlfriend fell in love with me. Poor girl - I had to leave her behind.\n');
INSERT INTO `client_strings` VALUES ('string/en/bfnq2.stf', '19', 'bnq2_19', 'Where in Bestine?\n');
INSERT INTO `client_strings` VALUES ('string/en/bfnq2.stf', '20', 'bnq2_20', 'You sure about the girl? Bib told me you gamble too much.\n');
INSERT INTO `client_strings` VALUES ('string/en/bfnq2.stf', '21', 'bnq2_21', 'I don\'t know where in Bestine - but it\'s your best bet. You should go there now. I need to get back to traveling. There will certainly be more bounty hunters and thugs to plague me. Being a man in my position is no easy business. Good bye! And, again - thanks for saving me.\n');
INSERT INTO `client_strings` VALUES ('string/en/bfnq2.stf', '22', 'bnq2_22', 'You call me a liar?! LISTEN: She was young, she was beautiful, and she was in love with me, and she was a girl, and she wanted me because I\'m a big winner at the casino and her boyfriend COULDN\'T HANDLE IT! Good Bye!\n');
INSERT INTO `client_strings` VALUES ('string/en/bfnq2.stf', '23', 'bnq2_23', 'No! Hutt enforcer! No! You DIE! You DIE!\n');
INSERT INTO `client_strings` VALUES ('string/en/bfnq2.stf', '24', 'bnq2_24', 'The traitor should have a data disc on him. This will reveal the location of his contacts to you.\n');
INSERT INTO `client_strings` VALUES ('string/en/bfnq2.stf', '26', 'bnq2_26', 'Encryption broken. That was easy! Here you go. I hope to see you again sometime.\n');
INSERT INTO `client_strings` VALUES ('string/en/bfnq2.stf', '27', 'bnq2_27', 'Good. Now I want to know who this traitor was planning to meet. Examine the data disc and find the coordinates for his rendezvous. Go there and eliminate his contacts.\n');
INSERT INTO `client_strings` VALUES ('string/en/bfnq2.stf', '28', 'bnq2_28', 'Search these traitors for their orders. I want you to bring their official orders back to me at the palace as soon as you find them.\n');
INSERT INTO `client_strings` VALUES ('string/en/bfnq2.stf', '29', 'bnq2_29', 'Good work! Jabba will be very pleased. Speaking of which - I wish to give you this letter of introduction. I am too busy to introduce you to Jabba myself... but he will be expecting you, and he will be eager to speak with you.\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_1.stf', '1', 'bib1', 'My agents tell me that you\'re good.  I\'m looking for someone who can handle some heavy work.  Do you think you can handle it?\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_1.stf', '2', 'bib2', 'Absolutely.');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_1.stf', '3', 'bib3', 'I want to meet Jabba the Hutt.\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_1.stf', '4', 'bib4', 'Good.  One of Jabba\'s trusted lieutenants was on his way here when he was waylaid by sandpeople.  They have destroyed his landspeeder.  Go make sure that he is ok, and deal with the Tuskens.  Do you understand?\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_1.stf', '5', 'bib5', 'Those sand people are Bantha Fodder.\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_1.stf', '6', 'bib6', 'I\'m not sure I\'m up to this.');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_1.stf', '7', 'bib7', 'We shall see about that.  Their location is now marked on your datapad and you should have a waypoint to find the landspeeder.  Go, now, and do my bidding.');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_1.stf', '8', 'bib8', 'If you do your job well then I will introduce you to Jabba later.  For now, there are many things that need to be done.  Are you ready to work?\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_1.stf', '9', 'bib9', 'Ok.\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_1.stf', '10', 'bib10', 'Fine.  Come back when you are prepared to show Jabba your skills.\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_1.stf', '11', 'bib11', 'I assume you\'re ready to go to work.\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_1.stf', '12', 'bib12', 'Good work so far.  Now, Valarian has sent some thugs out to see if they can clean up the mess the Tuskens made.  Don\'t let them find our friend.  They\'re not welcome here.  Make sure they get the message.  Understood?');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_1.stf', '13', 'bib13', 'Excellent.  Now go find our friend.  He\'s left me his location and I\'m uploading it to your datapad.  Bring him back unharmed.');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_1.stf', '14', 'bib14', 'I\'m very busy.  And I believe you have something to do right now.\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_1.stf', '15', 'bib15', 'Sorry, I meant to warn you about that last bounty hunter.  No matter, you think well on your feet.  I\'m depositing some money into your account.  Relax for a while, and then come back here.  I\'ll have another task for you when you\'re ready.\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_1.stf', '16', 'bib16', 'Finally you\'ve arrived.  Take us to Jabba at once, and don\'t let anything happen to the master.\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_1.stf', '17', 'bib17', 'I\'ll deal with those thugs.\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_1.stf', '18', 'bib18', 'You can count on me.\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_1.stf', '19', 'bib19', 'Sorry, I\'ll get back to work.\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_1.stf', '20', 'bib20', 'Thanks.\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_1.stf', '21', 'bib_24', 'I don\'t have any work for you right now.  Come back later.');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_1.stf', '22', 'bib21', 'Jabba\'s visitor is dead!  You have failed the master.  We are most disappointed in you.');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_1.stf', '23', 'bib22', 'I\'m sorry.');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_1.stf', '24', 'bib23', 'Sorry?  You\'re sorry?  Leave this place now, and return only when you\'re ready to prove yourself.  Jabba has no time for those who can\'t manage a simple escort through the desert.');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_2.stf', '1', 'bfnq2_1', 'Jabba\'s visitor says to give you his thanks.  You\'ve done good work for us so far, are you ready to do some more?');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_2.stf', '2', 'bfnq2_2', 'So you\'ve come back.  Are you ready for another mission now?\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_2.stf', '3', 'bfnq2_3', 'Yes, I am ready.\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_2.stf', '4', 'bfnq2_4', 'No, not right now.\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_2.stf', '5', 'bfnq2_5', 'Good.  Our contact at Notsub shipping has informed me that the stolen documents he delivers to us on a regular basis were stolen by Valarian\'s thugs.  Go talk to him and find out where the thugs went.  I want that information back in my hands!  Our contact will meet you at the location I\'ve marked on your datapad.\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_2.stf', '6', 'bfnq2_6', 'Ok, on my way.\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_2.stf', '7', 'bfnq2_7', 'I don\'t have time for that now.\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_2.stf', '8', 'bfnq2_8', 'Come see me when you\'re ready to work.\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_2.stf', '9', 'bfnq2_9', 'What\'s the mission?\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_2.stf', '10', 'bfnq2_10', 'Jabba likes to keep up-to-date on local shipping schedules.  Of course, shipping companies don\'t like to share that information.\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_2.stf', '11', 'bfnq2_11', 'I see.  So am I supposed to steal some shipping information?\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_2.stf', '12', 'bfnq2_12', 'Why does Jabba want shipping information?\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_2.stf', '13', 'bfnq2_13', 'He\'s already sold it to a man in Mos Eisley, who is waiting for it now.  So do you want the job or not?\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_2.stf', '14', 'bfnq2_14', 'Can I meet Jabba now?\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_2.stf', '15', 'bfnq2_15', 'No, Jabba is busy.  You should be busy, too.  Are you ready to work?\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_2.stf', '16', 'bfnq2_16', 'What\'s in it for me?\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_2.stf', '17', 'bfnq2_17', 'Jabba is generous to his friends.  Get the information and you will be well paid.\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_2.stf', '18', 'bfnq2_18', 'Ok, I\'ll do it.\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_2.stf', '19', 'bfnq2_19', 'Will you introduce me to Jabba if I do this for you?\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_2.stf', '20', 'bfnq2_20', 'I don\'t have time to do this right now.\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_2.stf', '21', 'bfnq2_21', 'No, Jabba is not to be bothered.  But I will let you into the Audience chamber if you are successful.\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_2.stf', '22', 'bfnq2_22', 'Ok, it\'s a deal.\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_2.stf', '23', 'bfnq2_23', 'What\'s in the Audience Chamber?\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_2.stf', '24', 'bfnq2_24', 'I can\'t help you with this right now.\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_2.stf', '25', 'bfnq2_25', 'Jabba\'s Audience chamber is where the Palace\'s most most important guests are entertained.\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_2.stf', '26', 'bfnq2_26', 'Okay, I\'ll do it.\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_2.stf', '27', 'bfnq2_27', 'I can\'t help you with this right now.\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_2.stf', '28', 'bfnq2_28', 'What are you doing wasting time?  Jabba wants that shipping information.\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_2.stf', '29', 'bfnq2_29', 'I changed my mind.  I don\'t have time to do this mission.\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_2.stf', '30', 'bfnq2_30', 'On my way!\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_2.stf', '31', 'bfnq2_31', 'Good job!  Deliver those discs to Sirad Far in the Mos Eisley Cantina.\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_2.stf', '32', 'bfnq2_32', 'I thought I told you to take those disks to Sirad Far?\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_2.stf', '33', 'bfnq2_33', 'Oh, right.  On my way.\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_2.stf', '34', 'bfnq2_34', 'I couldn\'t find him.\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_2.stf', '35', 'bfnq2_35', 'You can find him at the Mos Eisley Cantina.  Take the discs to him now!\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_2.stf', '36', 'bfnq2_36', 'Sirad Far, you\'re under arrest! Come with us.\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_2.stf', '37', 'bfnq2_37', 'Not again.  I won\'t go! Somebody help me, please!\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_2.stf', '38', 'bfnq2_38', 'Bib Fortuna sent you?');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_2.stf', '39', 'bfnq2_39', 'Yes.  Are you the contact?');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_2.stf', '40', 'bfnq2_40', 'Do I know you?\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_2.stf', '41', 'bfnq2_41', 'Yes.  He told me he\'d be sending someone.  You have to find those thugs.  I\'m going to add a waypoint to your datapad.  This was the last place they were seen.  Kill them and take the shipping information Bib needs!');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_2.stf', '42', 'bfnq2_43', 'I\'ll get them.');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_2.stf', '43', 'bfnq2_44', 'You\'re awfully friendly for someone I don\'t know.');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_2.stf', '44', 'bfnq2_45', 'If that\'s the way you want to be then talk to someone else.');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_2.stf', '45', 'bfnq2_46', 'Heh, I know better than to think Bib would send someone incompetent.  Good luck. ');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_2.stf', '46', 'bfnq2_47', 'Ah, you have returned with my shipping information.  Good job.\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_2.stf', '47', 'bfnq2_48', 'I\'ll let the guards know to allow you into the main Audience chamber.  Enjoy the entertainment, but don\'t bother Jabba if you know what is good for you. Speak to Ephant Mon if you need more things to do.\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_2.stf', '48', 'bfnq2_42', 'Back off with the attitude.  I\'m a friend.');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_2.stf', '49', 'bfnq2_49', 'Can I enter the Audience chamber now?\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_3.stf', '1', 'bfq31', 'You have done well. Our friends throughout the palace are in your debt. I should like very much to introduce you to Jabba himself... once you have performed one final task.\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_3.stf', '2', 'bfq32', 'That sounds good. What task?\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_3.stf', '3', 'bfq33', 'Why not introduce me to Jabba now?\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_3.stf', '4', 'bfq34', 'Someone is out to betray Jabba. Our good friend Romo Vax has sent word of a traitor in our midst.\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_3.stf', '5', 'bfq35', 'Because if you complete this next task properly, I assure you - Jabba will be most impressed. You see - your job is to root out a traitor... one who operates right under our noses. Our good friend Romo Vax has told me that the traitor exists - but nothing else.\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_3.stf', '6', 'bfq36', 'Where do I find Romo Vax?\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_3.stf', '7', 'bfq37', 'Do you know who the traitor is?\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_3.stf', '8', 'bfq38', 'What did Vax tell you about the traitor?\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_3.stf', '9', 'bfq39', 'You will find Romo Vax hiding in the Jundland Wastes. Seems that he has run up some bad debts on other systems and is being pursued by a bounty hunter.\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_3.stf', '10', 'bfq310', 'No. Only Romo Vax knows the traitor\'s name - and he won\'t give it up until someone, meaning you, comes to help him. You see, Romo has amassed some huge gambling debts in other systems... that he\'ll never be able to pay. Now, Romo is in the Jundland Wastes hiding from a bounty hunter.\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_3.stf', '11', 'bfq311', 'Romo told me that the traitor had a name... and that I could learn the name if I sent someone to save his life. You see, he\'s amassed some enormous gambling debts in other systems, which he\'ll never be able to pay, and they\'ve sent a bounty hunter to kill him. He called to me from the Jundland Wastes - where he is now hiding.\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_3.stf', '12', 'bfq312', 'What do you want me to do?\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_3.stf', '13', 'bfq313', 'Go to Romo Vax and protect him from the bounty hunter. Then talk to Vax and learn everything you can about the traitor. I will contact you with further instructions then.\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_3.stf', '14', 'bfq314', 'Not bad. That bounty hunter had no idea who he was dealing with.\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_3.stf', '15', 'bfq315', 'Who is the traitor in Jabba\'s palace?\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_3.stf', '16', 'bfq316', 'Why was the bounty hunter after you?\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_3.stf', '17', 'bfq317', 'He is named Enic Yunga and he is probably somewhere near Bestine - on his way to meet his contacts.\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_3.stf', '18', 'bfq318', 'When I was touring the casinos, his girlfriend fell in love with me. Poor girl - I had to leave her behind.\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_3.stf', '19', 'bfq319', 'Where in Bestine?\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_3.stf', '20', 'bfq320', 'You sure about the girl? Bib told me you gamble too much.\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_3.stf', '21', 'bfq321', 'I don\'t know where in Bestine... but it\'s your best bet. You should go there now. I need to get back to traveling. There will certainly be more bounty hunters and thugs to plague me. Being a man in my position is no easy business. Good bye! And, again... thanks for saving me.\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_3.stf', '22', 'bfq322', 'You call me a liar?! LISTEN: She was young, she was beautiful, and she was in love with me, and she was a girl, and she wanted me because I\'m a big winner at the casino and her boyfriend COULDN\'T HANDLE IT! Good Bye!\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_3.stf', '23', 'bfq323', 'No! Hutt enforcer! No! You DIE! You DIE!\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_3.stf', '24', 'bfq324', 'The traitor should have a data disc on him. Find it and take it to our friend Beek at the Third Sun Hotel in Bestine. He will decode the disc.\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_3.stf', '25', 'bfq325', 'Bib Fortuna told me to expect you. You have the disc? Let me have it.\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_3.stf', '26', 'bfq326', 'Encryption broken. That was easy! Here you go. I hope to see you again sometime.\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_3.stf', '27', 'bfq327', 'Good. Now I want to know who this traitor was planning to meet. Examine the data disc and find the coordinates for his rendezvous. Go there and eliminate his contacts.\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_3.stf', '28', 'bfq328', 'Search these traitors for their orders. I want you to bring their official orders back to me at the palace as soon as you find them.\n');
INSERT INTO `client_strings` VALUES ('string/en/bib_newbie_quest_3.stf', '29', 'bfq329', 'Good work! Jabba will be very pleased. Speaking of which - I wish to give you this letter of introduction. I am too busy to introduce you to Jabba myself... but he will be expecting you, and he will be eager to speak with you.\n');
INSERT INTO `client_strings` VALUES ('string/en/bio_engineer.stf', '1', 'harvest_dna_already_harvesting', 'You are already in the process of taking a DNA sample.');
INSERT INTO `client_strings` VALUES ('string/en/bio_engineer.stf', '2', 'harvest_dna_need_target', 'You need to target the creature you wish to take a DNA sample from.');
INSERT INTO `client_strings` VALUES ('string/en/bio_engineer.stf', '3', 'harvest_dna_skill_too_low', 'You are not sufficiently skilled to take DNA samples.');
INSERT INTO `client_strings` VALUES ('string/en/bio_engineer.stf', '4', 'harvest_dna_creature_in_combat', 'It is too dangerous to sample DNA from a creature while it\'s in combat.');
INSERT INTO `client_strings` VALUES ('string/en/bio_engineer.stf', '5', 'harvest_dna_failed', 'You failed to get a viable DNA sample.');
INSERT INTO `client_strings` VALUES ('string/en/bio_engineer.stf', '6', 'harvest_dna_invalid_target', 'You cannot sample DNA from that target.');
INSERT INTO `client_strings` VALUES ('string/en/bio_engineer.stf', '7', 'harvest_dna_cant_harvest', 'You cannot sample DNA from that target.');
INSERT INTO `client_strings` VALUES ('string/en/bio_engineer.stf', '8', 'harvest_dna_attrib_too_low', 'You are too tired to sample DNA now.');
INSERT INTO `client_strings` VALUES ('string/en/bio_engineer.stf', '9', 'harvest_dna_begin_harvest', 'You begin taking a DNA sample.');
INSERT INTO `client_strings` VALUES ('string/en/bio_engineer.stf', '10', 'harvest_dna_creature_killed', 'The shock to it\'s system was too much, the %TT falls over dead.');
INSERT INTO `client_strings` VALUES ('string/en/bio_engineer.stf', '11', 'harvest_dna_target_corpse', 'You cannot sample DNA from a corpse.');
INSERT INTO `client_strings` VALUES ('string/en/bio_engineer.stf', '12', 'harvest_dna_target_pet', 'You cannot sample DNA from that pet.');
INSERT INTO `client_strings` VALUES ('string/en/bio_engineer.stf', '13', 'harvest_dna_target_baby', 'That creature is too young to get a viable DNA sample.');
INSERT INTO `client_strings` VALUES ('string/en/bio_engineer.stf', '14', 'harvest_dna_succeed', 'You successfully collected a DNA sample.');
INSERT INTO `client_strings` VALUES ('string/en/bio_engineer.stf', '15', 'harvest_dna_out_of_range', 'Your target is too far away to be able to sample from.');
INSERT INTO `client_strings` VALUES ('string/en/bio_engineer.stf', '16', 'pet_sui_title', 'Invalid Pet');
INSERT INTO `client_strings` VALUES ('string/en/bio_engineer.stf', '17', 'pet_sui_text', 'This pet has invalid stats for the level listed.  You will be unable to call the pet until it is corrected.  \n\nAdjust Pet Level - This option will keep the existing pet stats, but increase the level to a valid level for the stats.  NOTE:  This may cause the pet level to be higher than you are able to control.\n\nAdjust Pet Stats - This option will keep the listed level, but reduce the stats to the average acceptable stats for the level.  NOTE: Only average stats can be assigned you may lose variety that makees this pet unique.\n\n(You will need to manually call the pet again after it has been corrected.)');
INSERT INTO `client_strings` VALUES ('string/en/bio_engineer.stf', '18', 'pet_sui_fix_level', 'Adjust Pet Level');
INSERT INTO `client_strings` VALUES ('string/en/bio_engineer.stf', '19', 'pet_sui_fix_stats', 'Adjust Pet Stats');
INSERT INTO `client_strings` VALUES ('string/en/bio_engineer.stf', '20', 'pet_sui_abort', 'Cancel');
INSERT INTO `client_strings` VALUES ('string/en/bio_engineer.stf', '21', 'pet_sui_level_fixed', 'The level of your pet has been adjusted.  The new level is: %DI.');
INSERT INTO `client_strings` VALUES ('string/en/bio_engineer.stf', '22', 'pet_sui_stats_fixed', 'The stats of your pet has been adjusted.  The new stats are the average for a level %DI creature.');
INSERT INTO `client_strings` VALUES ('string/en/bio_engineer.stf', '23', 'pet_sui_fix_error', 'There was an error trying to adjust this pet, unable to adjust.');
INSERT INTO `client_strings` VALUES ('string/en/bombing_run.stf', '1', 'menu_command', 'Paint Target');
INSERT INTO `client_strings` VALUES ('string/en/bombing_run.stf', '2', 'self_destruct', 'Set Self-Destruct');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '1', 'aircar_general', 'aircar general\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '2', 'arena_general', 'arena general\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '3', 'arena_large_general', 'arena large general\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '4', 'association_hall_civilian_naboo', 'association hall civilian naboo\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '5', 'association_hall_civilian_tatooine', 'association hall civilian tatooine\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '6', 'association_hall_general', 'association hall general\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '7', 'bank_general', 'bank general\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '8', 'base_aircar', 'base aircar\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '9', 'base_arena', 'base arena\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '10', 'base_arena_large', 'base arena large\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '11', 'base_association_hall', 'base association hall\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '12', 'base_bank', 'base bank\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '13', 'base_bubble_naboo', 'base bubble naboo\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '14', 'base_building', 'base building\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '15', 'base_cantina', 'base cantina\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '16', 'base_cave', 'base cave\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '17', 'base_cloning_facility', 'base cloning facility\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '18', 'base_filler_building', 'base filler building\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '19', 'base_hangar', 'base hangar\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '20', 'base_hotel', 'base hotel\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '21', 'base_housing', 'base housing\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '22', 'base_palace', 'base palace\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '23', 'base_parking_garage', 'base parking garage\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '24', 'base_power_generator', 'base power generator\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '25', 'base_starport', 'base starport\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '26', 'bubble_naboo_large_style_1', 'bubble naboo large style 1\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '27', 'bubble_naboo_medium_style_1', 'bubble naboo medium style 1\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '28', 'bubble_naboo_medium_style_2', 'bubble naboo medium style 2\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '29', 'bubble_naboo_small_style_1', 'bubble naboo small style 1\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '30', 'cantina_general', 'cantina general\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '31', 'cave_core_style_1', 'cave core style 1\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '32', 'cloning_facility_general', 'cloning facility general\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '33', 'cloning_facility_naboo', 'cloning facility naboo\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '34', 'cloning_facility_tatooine', 'cloning facility tatooine\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '35', 'filler_building_naboo_style_1', 'filler building naboo style 1\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '36', 'filler_building_naboo_style_10', 'filler building naboo style 10\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '37', 'filler_building_naboo_style_11', 'filler building naboo style 11\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '38', 'filler_building_naboo_style_2', 'filler building naboo style 2\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '39', 'filler_building_naboo_style_3', 'filler building naboo style 3\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '40', 'filler_building_naboo_style_4', 'filler building naboo style 4\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '41', 'filler_building_naboo_style_5', 'filler building naboo style 5\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '42', 'filler_building_naboo_style_6', 'filler building naboo style 6\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '43', 'filler_building_naboo_style_7', 'filler building naboo style 7\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '44', 'filler_building_naboo_style_8', 'filler building naboo style 8\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '45', 'filler_building_naboo_style_9', 'filler building naboo style 9\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '46', 'filler_building_tatt_style01_01', 'filler building tatt style01 01\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '47', 'filler_building_tatt_style01_02', 'filler building tatt style01 02\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '48', 'filler_building_tatt_style01_03', 'filler building tatt style01 03\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '49', 'filler_building_tatt_style01_04', 'filler building tatt style01 04\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '50', 'filler_building_tatt_style01_05', 'filler building tatt style01 05\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '51', 'filler_building_tatt_style01_06', 'filler building tatt style01 06\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '52', 'filler_building_tatt_style01_07', 'filler building tatt style01 07\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '53', 'filler_building_tatt_style01_08', 'filler building tatt style01 08\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '54', 'filler_building_tatt_style01_09', 'filler building tatt style01 09\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '55', 'filler_building_tatt_style01_10', 'filler building tatt style01 10\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '56', 'fort_tusken', 'fort tusken\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '57', 'hangar_naboo_theed', 'hangar naboo theed\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '58', 'hotel_general_style_1', 'hotel general style 1\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '59', 'hotel_general_style_2', 'hotel general style 2\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '60', 'hotel_naboo_theed', 'hotel naboo theed\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '61', 'hotel_tatooine_general', 'hotel tatooine general\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '62', 'housing_general_style_1', 'housing general style 1\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '63', 'housing_naboo_style_1', 'housing naboo style 1\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '64', 'housing_naboo_style_3', 'housing naboo style 3\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '65', 'housing_tatt_style01_large', 'housing tatt style01 large\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '66', 'housing_tatt_style01_med', 'housing tatt style01 med\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '67', 'housing_tatt_style01_small', 'housing tatt style01 small\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '68', 'junkshop_watto', 'junkshop watto\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '69', 'palace_naboo_theed', 'palace naboo theed\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '70', 'palace_tatooine_jabba', 'palace tatooine jabba\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '71', 'parking_garage_general', 'parking garage general\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '72', 'parking_garage_naboo_style_1', 'parking garage naboo style 1\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '73', 'parking_garage_tatooine_style_1', 'parking garage tatooine style 1\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '74', 'power_generator_naboo_theed', 'power generator naboo theed\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '75', 'starport_general_style_1', 'starport general style 1\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '76', 'starport_general_style_2', 'starport general style 2\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '77', 'temple_blueleaf', 'temple blueleaf\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '78', 'test_building_01', 'test building 01\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '79', 'test_building_02', 'test building 02\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '80', 'test_building_03', 'test building 03\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '81', 'test_building_04', 'test building 04\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '82', 'test_building_05', 'test building 05\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '83', 'test_building_06', 'test building 06\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '84', 'test_building_07', 'test building 07\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '85', 'test_building_08', 'test building 08\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '86', 'test_building_09', 'test building 09\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '87', 'test_building_10', 'test building 10\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '88', 'test_house_01', 'test house 01\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '89', 'test_house_02', 'test house 02\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '90', 'test_house_03', 'test house 03\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '91', 'test_house_04', 'test house 04\n');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '92', 'housing_tatt_style01_guildhall', 'housing tatt style01 guildhall');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '93', 'garden', 'Garden');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '94', 'ply_tatooine_garage_s01', 'Garage');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '95', 'ply_naboo_garage_s01', 'Garage');
INSERT INTO `client_strings` VALUES ('string/en/building_detail.stf', '96', 'ply_corellia_garage_s01', 'Garage');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '1', 'aircar_general', 'aircar general\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '2', 'arena_general', 'arena general\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '3', 'arena_large_general', 'arena large general\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '4', 'association_hall_civilian_naboo', 'association hall civilian naboo\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '5', 'association_hall_civilian_tatooine', 'association hall civilian tatooine\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '6', 'association_hall_general', 'association hall general\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '7', 'bank_general', 'bank general\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '8', 'base_aircar', 'base aircar\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '9', 'base_arena', 'base arena\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '10', 'base_arena_large', 'base arena large\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '11', 'base_association_hall', 'base association hall\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '12', 'base_bank', 'base bank\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '13', 'base_bubble_naboo', 'base bubble naboo\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '14', 'base_building', 'base building\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '15', 'base_cantina', 'base cantina\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '16', 'base_cave', 'base cave\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '17', 'base_cloning_facility', 'base cloning facility\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '18', 'base_filler_building', 'base filler building\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '19', 'base_hangar', 'base hangar\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '20', 'base_hotel', 'base hotel\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '21', 'base_housing', 'base housing\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '22', 'base_palace', 'base palace\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '23', 'base_parking_garage', 'base parking garage\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '24', 'base_power_generator', 'base power generator\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '25', 'base_starport', 'base starport\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '26', 'bubble_naboo_large_style_1', 'bubble naboo large style 1\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '27', 'bubble_naboo_medium_style_1', 'bubble naboo medium style 1\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '28', 'bubble_naboo_medium_style_2', 'bubble naboo medium style 2\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '29', 'bubble_naboo_small_style_1', 'bubble naboo small style 1\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '30', 'cantina_general', 'cantina general\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '31', 'cave_core_style_1', 'cave core style 1\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '32', 'cloning_facility_general', 'cloning facility general\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '33', 'cloning_facility_naboo', 'cloning facility naboo\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '34', 'cloning_facility_tatooine', 'cloning facility tatooine\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '35', 'filler_building_naboo_style_1', 'filler building naboo style 1\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '36', 'filler_building_naboo_style_10', 'filler building naboo style 10\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '37', 'filler_building_naboo_style_11', 'filler building naboo style 11\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '38', 'filler_building_naboo_style_2', 'filler building naboo style 2\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '39', 'filler_building_naboo_style_3', 'filler building naboo style 3\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '40', 'filler_building_naboo_style_4', 'filler building naboo style 4\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '41', 'filler_building_naboo_style_5', 'filler building naboo style 5\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '42', 'filler_building_naboo_style_6', 'filler building naboo style 6\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '43', 'filler_building_naboo_style_7', 'filler building naboo style 7\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '44', 'filler_building_naboo_style_8', 'filler building naboo style 8\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '45', 'filler_building_naboo_style_9', 'filler building naboo style 9\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '46', 'filler_building_tatt_style01_01', 'filler building tatt style01 01\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '47', 'filler_building_tatt_style01_02', 'filler building tatt style01 02\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '48', 'filler_building_tatt_style01_03', 'filler building tatt style01 03\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '49', 'filler_building_tatt_style01_04', 'filler building tatt style01 04\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '50', 'filler_building_tatt_style01_05', 'filler building tatt style01 05\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '51', 'filler_building_tatt_style01_06', 'filler building tatt style01 06\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '52', 'filler_building_tatt_style01_07', 'filler building tatt style01 07\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '53', 'filler_building_tatt_style01_08', 'filler building tatt style01 08\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '54', 'filler_building_tatt_style01_09', 'filler building tatt style01 09\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '55', 'filler_building_tatt_style01_10', 'filler building tatt style01 10\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '56', 'fort_tusken', 'fort tusken\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '57', 'hangar_naboo_theed', 'hangar naboo theed\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '58', 'hotel_general_style_1', 'hotel general style 1\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '59', 'hotel_general_style_2', 'hotel general style 2\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '60', 'hotel_naboo_theed', 'hotel naboo theed\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '61', 'hotel_tatooine_general', 'hotel tatooine general\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '62', 'housing_general_style_1', 'housing general style 1\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '63', 'housing_naboo_style_1', 'housing naboo style 1\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '64', 'housing_naboo_style_3', 'housing naboo style 3\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '65', 'housing_tatt_style01_large', 'housing tatt style01 large\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '66', 'housing_tatt_style01_med', 'housing tatt style01 med\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '67', 'housing_tatt_style01_small', 'housing tatt style01 small\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '68', 'junkshop_watto', 'junkshop watto\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '69', 'palace_naboo_theed', 'palace naboo theed\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '70', 'palace_tatooine_jabba', 'palace tatooine jabba\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '71', 'parking_garage_general', 'parking garage general\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '72', 'parking_garage_naboo_style_1', 'parking garage naboo style 1\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '73', 'parking_garage_tatooine_style_1', 'parking garage tatooine style 1\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '74', 'power_generator_naboo_theed', 'power generator naboo theed\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '75', 'starport_general_style_1', 'starport general style 1\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '76', 'starport_general_style_2', 'starport general style 2\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '77', 'temple_blueleaf', 'temple blueleaf\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '78', 'test_building_01', 'test building 01\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '79', 'test_building_02', 'test building 02\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '80', 'test_building_03', 'test building 03\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '81', 'test_building_04', 'test building 04\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '82', 'test_building_05', 'test building 05\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '83', 'test_building_06', 'test building 06\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '84', 'test_building_07', 'test building 07\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '85', 'test_building_08', 'test building 08\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '86', 'test_building_09', 'test building 09\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '87', 'test_building_10', 'test building 10\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '88', 'test_house_01', 'test house 01\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '89', 'test_house_02', 'test house 02\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '90', 'test_house_03', 'test house 03\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '91', 'test_house_04', 'test house 04\n');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '92', 'housing_tatt_style01_guildhall', 'housing tatt style01 guildhall');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '93', 'ply_corellia_garage_s01', 'Garage');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '94', 'ply_naboo_garage_s01', 'Garage');
INSERT INTO `client_strings` VALUES ('string/en/building_lookat.stf', '95', 'ply_tatooine_garage_s01', 'Garage');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '1', 'aircar_general', 'aircar general\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '2', 'arena_general', 'arena general\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '3', 'arena_large_general', 'arena large general\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '7', 'bank_general', 'bank general\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '8', 'base_aircar', 'base aircar\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '9', 'base_arena', 'base arena\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '10', 'base_arena_large', 'base arena large\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '11', 'base_association_hall', 'base association hall\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '12', 'base_bank', 'base bank\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '13', 'base_bubble_naboo', 'base bubble naboo\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '14', 'base_building', 'base building\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '15', 'base_cantina', 'base cantina\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '16', 'base_cave', 'base cave\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '17', 'base_cloning_facility', 'base cloning facility\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '18', 'base_filler_building', 'base filler building\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '19', 'base_hangar', 'base hangar\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '20', 'base_hotel', 'base hotel\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '21', 'base_housing', 'base housing\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '22', 'base_palace', 'base palace\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '23', 'base_parking_garage', 'base parking garage\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '24', 'base_power_generator', 'base power generator\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '25', 'base_starport', 'base starport\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '26', 'bubble_naboo_large_style_1', 'bubble naboo large style 1\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '27', 'bubble_naboo_medium_style_1', 'bubble naboo medium style 1\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '28', 'bubble_naboo_medium_style_2', 'bubble naboo medium style 2\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '29', 'bubble_naboo_small_style_1', 'bubble naboo small style 1\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '30', 'cantina_general', 'cantina general\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '31', 'cave_core_style_1', 'cave core style 1\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '32', 'cloning_facility_general', 'cloning facility general\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '33', 'cloning_facility_naboo', 'cloning facility naboo\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '34', 'cloning_facility_tatooine', 'cloning facility tatooine\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '35', 'filler_building_naboo_style_1', 'filler building naboo style 1\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '36', 'filler_building_naboo_style_10', 'filler building naboo style 10\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '37', 'filler_building_naboo_style_11', 'filler building naboo style 11\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '38', 'filler_building_naboo_style_2', 'filler building naboo style 2\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '39', 'filler_building_naboo_style_3', 'filler building naboo style 3\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '40', 'filler_building_naboo_style_4', 'filler building naboo style 4\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '41', 'filler_building_naboo_style_5', 'filler building naboo style 5\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '42', 'filler_building_naboo_style_6', 'filler building naboo style 6\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '43', 'filler_building_naboo_style_7', 'filler building naboo style 7\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '44', 'filler_building_naboo_style_8', 'filler building naboo style 8\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '45', 'filler_building_naboo_style_9', 'filler building naboo style 9\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '46', 'filler_building_tatt_style01_01', 'filler building tatt style01 01\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '47', 'filler_building_tatt_style01_02', 'filler building tatt style01 02\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '48', 'filler_building_tatt_style01_03', 'filler building tatt style01 03\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '49', 'filler_building_tatt_style01_04', 'filler building tatt style01 04\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '50', 'filler_building_tatt_style01_05', 'filler building tatt style01 05\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '51', 'filler_building_tatt_style01_06', 'filler building tatt style01 06\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '52', 'filler_building_tatt_style01_07', 'filler building tatt style01 07\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '53', 'filler_building_tatt_style01_08', 'filler building tatt style01 08\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '54', 'filler_building_tatt_style01_09', 'filler building tatt style01 09\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '55', 'filler_building_tatt_style01_10', 'filler building tatt style01 10\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '56', 'fort_tusken', 'fort tusken\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '57', 'hangar_naboo_theed', 'hangar naboo theed\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '58', 'hotel_general_style_1', 'hotel general style 1\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '59', 'hotel_general_style_2', 'hotel general style 2\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '60', 'hotel_naboo_theed', 'hotel naboo theed\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '61', 'hotel_tatooine_general', 'hotel tatooine general\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '62', 'housing_general_style_1', 'housing general style 1\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '63', 'housing_naboo_style_1', 'Naboo House');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '64', 'housing_naboo_style_3', 'housing naboo style 3\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '65', 'housing_tatt_style01_large', 'Large Tatooine House');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '66', 'housing_tatt_style01_med', 'Medium Tatooine House');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '67', 'housing_tatt_style01_small', 'Small Tatooine House');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '68', 'junkshop_watto', 'junkshop watto\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '69', 'palace_naboo_theed', 'palace naboo theed\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '70', 'palace_tatooine_jabba', 'palace tatooine jabba\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '71', 'parking_garage_general', 'parking garage general\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '72', 'parking_garage_naboo_style_1', 'parking garage naboo style 1\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '73', 'parking_garage_tatooine_style_1', 'parking garage tatooine style 1\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '74', 'power_generator_naboo_theed', 'power generator naboo theed\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '75', 'starport_general_style_1', 'starport general style 1\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '76', 'starport_general_style_2', 'starport general style 2\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '77', 'temple_blueleaf', 'temple blueleaf\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '78', 'test_building_01', 'test building 01\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '79', 'test_building_02', 'test building 02\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '80', 'test_building_03', 'test building 03\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '81', 'test_building_04', 'test building 04\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '82', 'test_building_05', 'test building 05\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '83', 'test_building_06', 'test building 06\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '84', 'test_building_07', 'test building 07\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '85', 'test_building_08', 'test building 08\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '86', 'test_building_09', 'test building 09\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '87', 'test_building_10', 'test building 10\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '88', 'test_house_01', 'test house 01\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '89', 'test_house_02', 'test house 02\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '90', 'test_house_03', 'test house 03\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '91', 'test_house_04', 'test house 04\n');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '92', 'housing_tatt_style01_guildhall', 'Guildhall');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '93', 'cloning_facility', 'Cloning Facility');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '94', 'housing_tatt_style02_guildhall', 'Guildhall Style 2');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '95', 'housing_general_small_style_2', 'Small General House');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '96', 'housing_general_small_style_1_floorplan_2', 'Small General House');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '97', 'housing_general_small_style_1', 'Small General House');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '98', 'housing_general_medium_style_2', 'Medium General House');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '99', 'housing_general_medium_style_1', 'Medium General House');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '100', 'housing_general_large_style_2', 'Large General House');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '101', 'housing_general_large_style_1', 'Large General House');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '102', 'housing_corellia_small_style_2_floorplan_2', 'Small Corellian House');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '103', 'housing_corellia_small_style_2', 'Small Corellian House');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '104', 'housing_corellia_small_style_1_floorplan_2', 'Small Corellian House');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '105', 'housing_corellia_small_style_1', 'Small Corellian House');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '106', 'housing_corellia_medium_style_2', 'Medium Corellian House');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '107', 'housing_corellia_medium_style_1', 'Medium Corellian House');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '108', 'housing_corellia_large_style_2', 'Large Corellian House');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '109', 'housing_general_small_style_2_floorplan_2', 'Small General House');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '110', 'housing_corellia_large_style_1', 'Large Corellian House');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '111', 'bank', 'Bank');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '112', 'imperial_military_hospital_1', 'Imperial Military Hospital');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '113', 'military_guard_tower', 'Military Guard Tower');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '114', 'starport_corellia', 'Starport');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '115', 'filler_block_corellia_64x32_s02', 'Corellia Housing');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '116', 'guild_combat_corellia', 'Combat Guild');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '117', 'military_guard_tower_1', 'Military Guard Tower');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '118', 'military_base_police_station_imperial_otto', 'Military Police Station');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '119', 'filler_building_corellia_style_2', 'Corellian Housing');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '120', 'filler_slum_16x32_s01', 'Slum Housing');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '121', 'filler_block_corellia_32x16_s01', 'Corellian Housing');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '122', 'filler_building_corellia_style7', 'Corellian Housing');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '123', 'guild_university_corellia', 'University Guild');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '124', 'skyscraper_corellia_style_4', 'Corellian Skyscraper');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '125', 'filler_slum_16x16_s01', 'Slum Housing');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '126', 'bank_corellia', 'Bank');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '127', 'filler_slum_16x32_s02', 'Slum Housing');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '128', 'skyscraper_corellia_style_5', 'Corellian Skyscraper');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '129', 'hospital_corellia', 'Hospital');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '130', 'theater', 'Theater');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '131', 'filler_historic_32x16_s01', 'Historic Housing');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '132', 'skyscraper_corellia_style_2', 'Corellian Skyscraper');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '133', 'filler_historic_32x16_s02', 'Historic Housing');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '134', 'tatooine_cave_style_01', 'A cave');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '135', 'bunker_crimelord_retreat', 'Underground Crimelord Retreat');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '136', 'bunker_imperial', 'An Underground Bunker');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '137', 'bunker_imperial_prison', 'An Underground Prison');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '138', 'bunker_imperial_research_facility', 'An Underground Research Facility');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '139', 'cave', 'A cave');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '140', 'guild_combat', 'Combat Guild');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '141', 'guild_commerce', 'Commerce Guild');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '142', 'guild_university', 'University Guild');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '143', 'nym_stronghold', 'Nym\'s Stronghold');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '144', 'capitol_general', 'Planetary Capitol');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '145', 'guild_theater', 'Theater Guild');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '146', 'shuttleport_tatooine', 'Tatooine Shuttleport');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '147', 'shuttleport_corellia', 'Corellia Shuttleport');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '148', 'shuttleport_naboo', 'Naboo Shuttleport');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '149', 'shuttleport_talus', 'Talus Shuttleport');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '150', 'shuttleport_endor', 'Endor Shuttleport');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '151', 'shuttleport_dantooine', 'Dantooine Shuttleport');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '152', 'shuttleport_dathomir', 'Dathomir Shuttleport');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '153', 'shuttleport_rori', 'Rori Shuttleport');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '154', 'lucky_despot_hotel_and_casino', 'Lucky Despot Hotel and Casino');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '155', 'shed_junkshop_watto', 'Watto\'s Junk Shop');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '156', 'hospital', 'Hospital');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '157', 'starport_tatooine', 'Tatooine Starport');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '158', 'capitol_tatooine', 'Tatooine Capitol');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '159', 'cityhall', 'City Hall');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '160', 'shuttleport', 'Shuttleport');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '161', 'garden', 'Garden');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '162', 'merchant_tent', 'Merchant Tent');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '164', 'cloning', 'Cloning Facility');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '165', 'cantina', 'Cantina');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '166', 'association_hall_general', 'Player Association Hall');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '167', 'housing_naboo_large', 'Large Naboo House');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '168', 'housing_naboo_medium', 'Medium Naboo House');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '169', 'housing_naboo_small', 'Small Naboo House');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '170', 'ply_tatooine_garage_s01', 'Garage');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '171', 'ply_naboo_garage_s01', 'Garage');
INSERT INTO `client_strings` VALUES ('string/en/building_name.stf', '172', 'ply_corellia_garage_s01', 'Garage');
INSERT INTO `client_strings` VALUES ('string/en/camp.stf', '1', 'starting_camp', 'Setting up camp...');
INSERT INTO `client_strings` VALUES ('string/en/camp.stf', '2', 'camp_complete', 'Camp creation complete.');
INSERT INTO `client_strings` VALUES ('string/en/camp.stf', '3', 'assuming_ownership', 'You assume ownership of the camp.');
INSERT INTO `client_strings` VALUES ('string/en/camp.stf', '4', 'error_camp_disband', 'Your camp has been disbanded.');
INSERT INTO `client_strings` VALUES ('string/en/camp.stf', '5', 'error_camp_exists', 'You are unable to setup camp here. A campsite already exists at this location.');
INSERT INTO `client_strings` VALUES ('string/en/camp.stf', '6', 'error_muni_true', 'You cannot setup camp in a municipal zone. Please try elsewhere.');
INSERT INTO `client_strings` VALUES ('string/en/camp.stf', '7', 'error_nobuild', 'You cannot setup camp in a no-build zone. Please try elsewhere.');
INSERT INTO `client_strings` VALUES ('string/en/camp.stf', '8', 'error_cmd_fail', 'Unable to create camp. Make sure you are standing, at peace, and not near a city.');
INSERT INTO `client_strings` VALUES ('string/en/camp.stf', '9', 'sys_already_camping', 'But you already have a camp established elsewhere!');
INSERT INTO `client_strings` VALUES ('string/en/camp.stf', '10', 'mnu_disband', 'Disband Camp');
INSERT INTO `client_strings` VALUES ('string/en/camp.stf', '11', 'camp_master', 'Camp Center');
INSERT INTO `client_strings` VALUES ('string/en/camp.stf', '12', 'mnu_assume_ownership', 'Assume Ownership');
INSERT INTO `client_strings` VALUES ('string/en/camp.stf', '13', 'error_too_big', 'You cannot assume ownership of this camp. You lack the skill to maintain a camp of this size.');
INSERT INTO `client_strings` VALUES ('string/en/camp.stf', '14', 'name', 'camping region');
INSERT INTO `client_strings` VALUES ('string/en/camp.stf', '15', 'error_battlefield', 'You cannot setup camp in a battlefield. Please try elsewhere.');
INSERT INTO `client_strings` VALUES ('string/en/camp.stf', '16', 'error_inside', 'You cannot setup camp in an interior. Please try elsewhere.');
INSERT INTO `client_strings` VALUES ('string/en/camp.stf', '17', 'error_in_water', 'You cannot setup camp in water. Please try elsewhere.');
INSERT INTO `client_strings` VALUES ('string/en/camp.stf', '18', 'prose_camp_enter', 'You have entered %TO.');
INSERT INTO `client_strings` VALUES ('string/en/camp.stf', '19', 'prose_camp_exit', 'You are leaving %TO.');
INSERT INTO `client_strings` VALUES ('string/en/camp.stf', '20', 'camp_exit', 'You are leaving a campsite.');
INSERT INTO `client_strings` VALUES ('string/en/camp.stf', '21', 'camp_enter', 'You are entering a campsite.');
INSERT INTO `client_strings` VALUES ('string/en/camp.stf', '22', 'general_item_added', 'An object has been added to your camp.');
INSERT INTO `client_strings` VALUES ('string/en/camp.stf', '23', 'advanced_items_added', 'Advanced camping amenities have been added to your camp.');
INSERT INTO `client_strings` VALUES ('string/en/camp.stf', '24', 'error_camp_too_close', 'You cannot setup camp this close to another camp. Please try elsewhere.');
INSERT INTO `client_strings` VALUES ('string/en/camp.stf', '25', 'basic_name', 'Basic Camp');
INSERT INTO `client_strings` VALUES ('string/en/camp.stf', '26', 'improved_name', 'Improved Camp');
INSERT INTO `client_strings` VALUES ('string/en/camp.stf', '27', 'quality_name', 'Quality Camp');
INSERT INTO `client_strings` VALUES ('string/en/camp.stf', '28', 'elite_name', 'Elite Camp');
INSERT INTO `client_strings` VALUES ('string/en/camp.stf', '29', 'luxury_name', 'Luxury Camp');
INSERT INTO `client_strings` VALUES ('string/en/camp.stf', '30', 'camp_dialog_text', 'Select the quality of camp you would like to build from the list below.  You must have sufficient resources in order to build a camp.');
INSERT INTO `client_strings` VALUES ('string/en/camp.stf', '31', 'camp_dialog_title', 'Camp Construction');
INSERT INTO `client_strings` VALUES ('string/en/camp.stf', '32', 'deploy', 'Deploy');
INSERT INTO `client_strings` VALUES ('string/en/camp.stf', '33', 'sys_not_in_inv', 'You can\'t use the camping kit unless it is in your inventory.');
INSERT INTO `client_strings` VALUES ('string/en/camp.stf', '34', 'sys_deploy', 'You begin to deploy the camping kit.');
INSERT INTO `client_strings` VALUES ('string/en/camp.stf', '35', 'sys_not_in_combat', 'You can\'t deploy a camp during combat!');
INSERT INTO `client_strings` VALUES ('string/en/camp.stf', '36', 'sys_combat_abandoned', 'Your camp has been abandoned since you are in combat.');
INSERT INTO `client_strings` VALUES ('string/en/camp.stf', '37', 'sys_nsf_skill', 'You lack the skill to deploy this camp.');
INSERT INTO `client_strings` VALUES ('string/en/camp.stf', '38', 'mnu_status', 'Camp Status');
INSERT INTO `client_strings` VALUES ('string/en/camp.stf', '39', 'mnu_waypoint', 'Send Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/camp.stf', '40', 'waypoint_no_group', 'You are not in a group.  There is no one to transmit a waypoint to.');
INSERT INTO `client_strings` VALUES ('string/en/camp.stf', '41', 'waypoint_camp_up', 'A camp has been established for your group and a waypoint added to your datapad.');
INSERT INTO `client_strings` VALUES ('string/en/camp.stf', '42', 'waypoint_sent', 'A waypoint to the camp\'s location has been sent to your groupmates.');
INSERT INTO `client_strings` VALUES ('string/en/camp.stf', '43', 'sys_cant_camp', 'You can\'t deploy a camp in your current state.');
INSERT INTO `client_strings` VALUES ('string/en/camp.stf', '44', 'error_building_too_close', 'You cannot setup camp this close to a building.');
INSERT INTO `client_strings` VALUES ('string/en/camp.stf', '45', 'sys_abandoned_camp', 'Your camp has been abandoned.');
INSERT INTO `client_strings` VALUES ('string/en/camp.stf', '46', 'sys_camp_heal', 'While in the camp, medics and entertainers can heal your wounds.');
INSERT INTO `client_strings` VALUES ('string/en/camp.stf', '47', 'error_lair_too_close', 'You can\'t deploy a camp this close to a lair!');
INSERT INTO `client_strings` VALUES ('string/en/camp.stf', '48', 'mnu_requisition', 'Requisition Goods');
INSERT INTO `client_strings` VALUES ('string/en/camp.stf', '49', 'mnu_requisition_wpn', 'Requisiton Weapons');
INSERT INTO `client_strings` VALUES ('string/en/camp.stf', '50', 'mnu_requisition_installation', 'Requisition Installations');
INSERT INTO `client_strings` VALUES ('string/en/camp.stf', '51', 'camp_control_n', 'This is the controlling device for a camp.  Its name indicates who owns the camp.  If it\'s called \'Abandoned Camp\' then the owner of this camp has abandoned it.');
INSERT INTO `client_strings` VALUES ('string/en/camp.stf', '52', 'abandoned_camp', 'Abandoned Camp');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1', 'a_auto_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou let loose a full-auto arc towards %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU lets loose a full-auto arc towards %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU lets loose a full-auto arc in your direction, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '2', 'a_auto_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou let loose a full-auto arc towards %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU lets loose a full-auto arc towards %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU lets loose a full-auto arc in your direction, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '3', 'a_auto_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou let loose a full-auto arc towards %TT but %ST evades!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU lets loose a full-auto arc towards %TT, but %ST evades every shot.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU lets loose a full-auto arc towards you, but you evade every shot.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '4', 'a_auto_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou unleash a full-auto arc towards %TT and do %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU unleashes a full-auto arc towards %TT and hits for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU unleashes a full-auto arc towards you and hits for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '5', 'a_auto_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour full-auto arc fails to hit %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s full-auto arc fails to hit %PU target, %TT.\n~\n~\n~\n~\n~\n~\n~\n~\nThe air is filled with shots as %TU fires a full-auto arc, but no shots hit you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '6', 'acid_beam_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your acid rifle to fire a beam of acid on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses an acid rifle to fire a beam of acid on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses an acid rifle to fire a beam of acid on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '7', 'acid_beam_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your acid rifle to fire a beam of acid on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses an acid rifle to fire a beam of acid on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses an acid rifle to fire a beam of acid on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '8', 'acid_beam_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your acid rifle to fire a beam of acid on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses an acid rifle to fire a beam of acid on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses an acid rifle to fire a beam of acid on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '9', 'acid_beam_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your acid rifle to fire a beam of acid on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses an acid rifle to fire a beam of acid on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses an acid rifle to fire a beam of acid on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '10', 'acid_beam_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour acid rifle fires a beam of acid but misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s an acid rifle fires a beam of acid but misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s an acid rifle fires  a beam of acid but misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '11', 'activate_minefield_single', 'You have set all minefields that you own and are within to an active state.');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '12', 'activation_state_failure_single', 'You are not inside an owned minefield.');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '13', 'advancedstrafe_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Advanced Strafe on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Advanced Strafe on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Advanced Strafe on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '14', 'advancedstrafe_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Advanced Strafe on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Advanced Strafe on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Advanced Strafe on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '15', 'advancedstrafe_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Advanced Strafe on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Advanced Strafe on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Advanced Strafe on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '16', 'advancedstrafe_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Advanced Strafe on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Advanced Strafe on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Advanced Strafe on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '17', 'advancedstrafe_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Advanced Strafe misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Advanced Strafe misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Advanced Strafe misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '18', 'agg', '~\n~\n~\n~\n~\nYou will now use aggressive tactics in combat.\n~\n~\n%TU intends to be as aggressive as possible in combat!\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '19', 'aim', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou carefully aim at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU carefully aims at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU aims carefully at you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '20', 'alert_fail', '~\n~\n~\n~\n~\nYou can\'t seem to focus enough to be that alert.\n~\n~\n%TU tries to be alert, but can\'t manage it.\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '21', 'alert_fail_single', 'You fail to go alert.');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '22', 'alert_success', '~\n~\n~\n~\n~\nYou look around alertly.\n~\n~\n%TU looks around alertly.\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '23', 'alert_success_single', 'You are now alert.');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '24', 'areablast_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Area Blast on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Area Blast on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Area Blast on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '25', 'areablast_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Area Blast on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Area Blast on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Area Blast on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '26', 'areablast_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Area Blast on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Area Blast on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Area Blast on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '27', 'areablast_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Area Blast on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Area Blast on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Area Blast on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '28', 'areablast_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Area Blast misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Area Blast misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Area Blast misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '29', 'areashot_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Area Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Area Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Area Shot on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '30', 'areashot_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Area Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Area Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Area Shot on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '31', 'areashot_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Area Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Area Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Area Shot on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '32', 'areashot_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Area Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Area Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Area Shot on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '33', 'areashot_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Area Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Area Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Area Shot misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '34', 'armor_damaged', 'Your %TO armor prevented %DI points of damage.');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '35', 'aryxslash_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Aryx Slash on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Aryx Slash on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Aryx Slash on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '36', 'aryxslash_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Aryx Slash on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Aryx Slash on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Aryx Slash on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '37', 'aryxslash_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Aryx Slash on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Aryx Slash on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Aryx Slash on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '38', 'aryxslash_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Aryx Slash on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Aryx Slash on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Aryx Slash on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '39', 'aryxslash_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Aryx Slash misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Aryx Slash misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Aryx Slash misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '40', 'attack_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou attack %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attacks %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attacks you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '41', 'attack_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou attack %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attacks %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attacks you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '42', 'attack_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou attack %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attacks %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attacks you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '43', 'attack_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou attack %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attacks %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attacks you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '44', 'attack_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour attack misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s attack misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s attack misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '45', 'backbreaker_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Back-Breaker on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Back-Breaker on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Back-Breaker on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '46', 'backbreaker_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Back-Breaker on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Back-Breaker on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Back-Breaker on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '47', 'backbreaker_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Back-Breaker on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Back-Breaker on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Back-Breaker on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '48', 'backbreaker_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Back-Breaker on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Back-Breaker on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Back-Breaker on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '49', 'backbreaker_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Back-Breaker misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Back-Breaker misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Back-Breaker misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '50', 'backcracker_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Back-Cracker on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Back-Cracker on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Back-Cracker on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '51', 'backcracker_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Back-Cracker on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Back-Cracker on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Back-Cracker on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '52', 'backcracker_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Back-Cracker on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Back-Cracker on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Back-Cracker on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '53', 'backcracker_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Back-Cracker on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Back-Cracker on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Back-Cracker on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '54', 'backcracker_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Back-Cracker misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Back-Cracker misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Back-Cracker misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '55', 'battlingbantha_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Battling Bantha on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Battling Bantha on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Battling Bantha on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '56', 'battlingbantha_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Battling Bantha on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Battling Bantha on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Battling Bantha on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '57', 'battlingbantha_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Battling Bantha on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Battling Bantha on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Battling Bantha on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '58', 'battlingbantha_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Battling Bantha on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Battling Bantha on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Battling Bantha on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '59', 'battlingbantha_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Battling Bantha misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Battling Bantha misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Battling Bantha misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '60', 'berserk_fail', '~\n~\n~\n~\n~\nYou try to go berserk, but it\'s no use, you\'re too calm.\n~\n~\n%TU seems to be trying to act angry.\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '61', 'berserk_fail_single', 'You fail to go berserk.');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '62', 'berserk_success', '~\n~\n~\n~\n~\nYou go berserk!\n~\n~\n%TU goes berserk!\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '63', 'berserk_success_single', 'You go berserk!');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '64', 'bleedingshot_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Bleeding Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Bleeding Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Bleeding Shot on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '65', 'bleedingshot_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Bleeding Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Bleeding Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Bleeding Shot on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '66', 'bleedingshot_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Bleeding Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Bleeding Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Bleeding Shot on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '67', 'bleedingshot_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Bleeding Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Bleeding Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Bleeding Shot on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '68', 'bleedingshot_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Bleeding Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Bleeding Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Bleeding Shot misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '69', 'blind_attack', '+Blind Attack+');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '70', 'blindingslash_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Blinding Slash on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Blinding Slash on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Blinding Slash on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '71', 'blindingslash_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Blinding Slash on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Blinding Slash on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Blinding Slash on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '72', 'blindingslash_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Blinding Slash on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Blinding Slash on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Blinding Slash on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '73', 'blindingslash_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Blinding Slash on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Blinding Slash on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Blinding Slash on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '74', 'blindingslash_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Blinding Slash misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Blinding Slash misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Blinding Slash misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '75', 'blindingstab_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Blinding Stab on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Blinding Stab on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Blinding Stab on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '76', 'blindingstab_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Blinding Stab on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Blinding Stab on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Blinding Stab on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '77', 'blindingstab_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Blinding Stab on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Blinding Stab on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Blinding Stab on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '78', 'blindingstab_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Blinding Stab on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Blinding Stab on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Blinding Stab on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '79', 'blindingstab_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Blinding Stab misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Blinding Stab misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Blinding Stab misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '80', 'blindspin_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Blind Spin on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Blind Spin on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Blind Spin on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '81', 'blindspin_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Blind Spin on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Blind Spin on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Blind Spin on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '82', 'blindspin_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Blind Spin on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Blind Spin on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Blind Spin on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '83', 'blindspin_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Blind Spin on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Blind Spin on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Blind Spin on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '84', 'blindspin_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Blind Spin misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Blind Spin misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Blind Spin misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '85', 'block_fail', '~\n~\n~\n~\n~\nYou try to brace yourself to block the enemy, but you can\'t quite get your footing!\n~\n~\n%TU tries to brace %OUself to block the enemy, but can\'t find %PU footing!\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '86', 'block_fail_single', 'You fail to go to blocking.');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '87', 'block_success', '~\n~\n~\n~\n~\nYou brace yourself to block the enemy.\n~\n~\n%TU braces %OUself to block the enemy.\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '88', 'block_success_single', 'You are now blocking.');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '89', 'body_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou shoot at %TT\'s torso, but %ST takes advantage of it to counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\nYou shoot at %TT\'s torso, but %ST takes advantage of it to counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\nYou shoot at %TT\'s torso, but %ST takes advantage of it to counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '90', 'body_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou shoot at %TT\'s torso, but %ST takes advantage of it to block!\n~\n~\n~\n~\n~\n~\n~\n~\nYou shoot at %TT\'s torso, but %ST takes advantage of it to block!\n~\n~\n~\n~\n~\n~\n~\n~\nYou shoot at %TT\'s torso, but %ST takes advantage of it to block!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '91', 'body_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou shoot at %TT\'s torso, but %ST dodges out of the way.\n~\n~\n~\n~\n~\n~\n~\n~\nYou shoot at %TT\'s torso, but %ST dodges out of the way.\n~\n~\n~\n~\n~\n~\n~\n~\nYou shoot at %TT\'s torso, but %ST dodges out of the way.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '92', 'body_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou shoot at %TT\'s torso and hit for %DI points of damage.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots at %TT\'s torso and hits for %DI points of damage.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots at your torso and hits for %DI points of damage.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '93', 'body_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou shoot at %TT\'s torso but miss.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots at %TT\'s torso but misses.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots at your torso but misses.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '94', 'bodyshot_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Body Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Body Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Body Shot on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '95', 'bodyshot_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Body Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Body Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Body Shot on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '96', 'bodyshot_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Body Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Body Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Body Shot on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '97', 'bodyshot_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Body Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Body Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Body Shot on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '98', 'bodyshot_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Body Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Body Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Body Shot misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '99', 'bonebreaker_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Bone-Breaker on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Bone-Breaker on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Bone-Breaker on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '100', 'bonebreaker_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Bone-Breaker on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Bone-Breaker on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Bone-Breaker on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '101', 'bonebreaker_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Bone-Breaker on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Bone-Breaker on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Bone-Breaker on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '102', 'bonebreaker_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Bone-Breaker on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Bone-Breaker on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Bone-Breaker on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '103', 'bonebreaker_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Bone-Breaker misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Bone-Breaker misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Bone-Breaker misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '104', 'bonebruiser_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Bone-Bruiser on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Bone-Bruiser on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Bone-Bruiser on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '105', 'bonebruiser_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Bone-Bruiser on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Bone-Bruiser on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Bone-Bruiser on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '106', 'bonebruiser_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Bone-Bruiser on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Bone-Bruiser on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Bone-Bruiser on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '107', 'bonebruiser_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Bone-Bruiser on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Bone-Bruiser on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Bone-Bruiser on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '108', 'bonebruiser_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Bone-Bruiser misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Bone-Bruiser misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Bone-Bruiser misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '109', 'bonesmasher_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Bone-Smasher on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Bone-Smasher on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Bone-Smasher on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '110', 'bonesmasher_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Bone-Smasher on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Bone-Smasher on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Bone-Smasher on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '111', 'bonesmasher_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Bone-Smasher on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Bone-Smasher on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Bone-Smasher on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '112', 'bonesmasher_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Bone-Smasher on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Bone-Smasher on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Bone-Smasher on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '113', 'bonesmasher_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Bone-Smasher misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Bone-Smasher misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Bone-Smasher misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '114', 'boostmorale_buff', 'The words of your squad leader steel you against your enemies.');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '115', 'breathstealer_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Breath-Stealer on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Breath-Stealer on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Breath-Stealer on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '116', 'breathstealer_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Breath-Stealer on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Breath-Stealer on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Breath-Stealer on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '117', 'breathstealer_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Breath-Stealer on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Breath-Stealer on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Breath-Stealer on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '118', 'breathstealer_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Breath-Stealer on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Breath-Stealer on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Breath-Stealer on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '119', 'breathstealer_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Breath-Stealer misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Breath-Stealer misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Breath-Stealer misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '120', 'breathtaker_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Breath-Taker on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Breath-Taker on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Breath-Taker on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '121', 'breathtaker_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Breath-Taker on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Breath-Taker on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Breath-Taker on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '122', 'breathtaker_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Breath-Taker on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Breath-Taker on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Breath-Taker on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '123', 'breathtaker_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Breath-Taker on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Breath-Taker on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Breath-Taker on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '124', 'breathtaker_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Breath-Taker misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Breath-Taker misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Breath-Taker misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '125', 'burstblast_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Burst Blast on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Burst Blast on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Burst Blast on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '126', 'burstblast_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Burst Blast on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Burst Blast on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Burst Blast on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '127', 'burstblast_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Burst Blast on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Burst Blast on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Burst Blast on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '128', 'burstblast_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Burst Blast on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Burst Blast on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Burst Blast on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '129', 'burstblast_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Burst Blast misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Burst Blast misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Burst Blast misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '130', 'burstrun_start', '~\n~\n~\n~\n~\nYou run as hard as you can!\n~\n~\n%TU puts on a sudden burst of speed!\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '131', 'burstrun_start_single', 'You run as hard as you can!');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '132', 'burstrun_stop', '~\n~\n~\n~\n~\nYou slow down.\n~\n~\n%TU slows down.\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '133', 'burstrun_stop_single', 'You slow down.');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '134', 'burstshot_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Burst Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Burst Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Burst Shot on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '135', 'burstshot_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Burst Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Burst Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Burst Shot on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '136', 'burstshot_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Burst Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Burst Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Burst Shot on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '137', 'burstshot_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Burst Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Burst Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Burst Shot on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '138', 'burstshot_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Burst Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Burst Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Burst Shot misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '139', 'charge_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou charge at %TT while firing but %ST dodges out of the way.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU charges at %TT while firing, but %OT dodges out of the way.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU charges at you while firing, but you dodge out of the way.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '140', 'charge_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou charge at %TT while firing and hit for %DI points of damage.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU charges at %TT while firing and hits for %DI points of damage.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU charges at you while firing and hits for %DI points of damage.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '141', 'charge_hit_knockdown', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou charge at %TT while firing and knock %OT back!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU charges at %TT while firing and knocks %OT back!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU charges at you while firing and you fall backwards!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '142', 'charge_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou charge at %TT while firing but miss.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU charges at %TT while firing, but misses~\n~\n~\n~\n~\n~\n~\n~\n~\n%TU charges at you while firing, but misses.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '143', 'chargeblast_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Charge Blast on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Charge Blast on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Charge Blast on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '144', 'chargeblast_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Charge Blast on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Charge Blast on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Charge Blast on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '145', 'chargeblast_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Charge Blast on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Charge Blast on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Charge Blast on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '146', 'chargeblast_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Charge Blast on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Charge Blast on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Charge Blast on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '147', 'chargeblast_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Charge Blast misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Charge Blast misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Charge Blast misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '148', 'chargeshot_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Charge Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Charge Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Charge Shot on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '149', 'chargeshot_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Charge Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Charge Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Charge Shot on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '150', 'chargeshot_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Charge Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Charge Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Charge Shot on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '151', 'chargeshot_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Charge Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Charge Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Charge Shot on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '152', 'chargeshot_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Charge Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Charge Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Charge Shot misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '153', 'chargingwampa_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Charging Wampa on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Charging Wampa on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Charging Wampa on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '154', 'chargingwampa_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Charging Wampa on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Charging Wampa on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Charging Wampa on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '155', 'chargingwampa_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Charging Wampa on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Charging Wampa on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Charging Wampa on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '156', 'chargingwampa_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Charging Wampa on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Charging Wampa on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Charging Wampa on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '157', 'chargingwampa_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Charging Wampa misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Charging Wampa misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Charging Wampa misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '158', 'chestshot_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Chest Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Chest Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Chest Shot on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '159', 'chestshot_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Chest Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Chest Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Chest Shot on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '160', 'chestshot_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Chest Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Chest Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Chest Shot on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '161', 'chestshot_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Chest Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Chest Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Chest Shot on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '162', 'chestshot_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Chest Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Chest Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Chest Shot misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '163', 'chomai_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Cho Mai on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Cho Mai on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Cho Mai on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '164', 'chomai_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Cho Mai on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Cho Mai on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Cho Mai on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '165', 'chomai_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Cho Mai on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Cho Mai on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Cho Mai on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '166', 'chomai_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Cho Mai on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Cho Mai on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Cho Mai on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '167', 'chomai_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Cho Mai misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Cho Mai misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Cho Mai misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '168', 'chomok_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Cho Mok on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Cho Mok on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Cho Mok on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '169', 'chomok_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Cho Mok on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Cho Mok on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Cho Mok on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '170', 'chomok_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Cho Mok on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Cho Mok on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Cho Mok on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '171', 'chomok_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Cho Mok on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Cho Mok on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Cho Mok on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '172', 'chomok_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Cho Mok misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Cho Mok misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Cho Mok misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '173', 'chosun_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Cho Sun on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Cho Sun on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Cho Sun on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '174', 'chosun_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Cho Sun on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Cho Sun on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Cho Sun on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '175', 'chosun_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Cho Sun on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Cho Sun on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Cho Sun on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '176', 'chosun_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Cho Sun on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Cho Sun on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Cho Sun on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '177', 'chosun_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Cho Sun misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Cho Sun misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Cho Sun misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '178', 'concealedshot_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Concealed Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Concealed Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Concealed Shot on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '179', 'concealedshot_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Concealed Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Concealed Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Concealed Shot on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '180', 'concealedshot_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Concealed Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Concealed Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Concealed Shot on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '181', 'concealedshot_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Concealed Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Concealed Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Concealed Shot on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '182', 'concealedshot_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Concealed Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Concealed Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Concealed Shot misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '183', 'confusionshot_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Confusion Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Confusion Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Confusion Shot on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '184', 'confusionshot_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Confusion Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Confusion Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Confusion Shot on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '185', 'confusionshot_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Confusion Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Confusion Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Confusion Shot on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '186', 'confusionshot_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Confusion Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Confusion Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Confusion Shot on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '187', 'confusionshot_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Confusion Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Confusion Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Confusion Shot misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '188', 'cover_fail', '~\n~\n~\n~\n~\nYou try to take cover.\n~\n~\n%TU tries to take cover, but it doesn\'t work very well.\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '189', 'cover_fail_single', 'You fail to take cover.');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '190', 'cover_success', '~\n~\n~\n~\n~\nYou take cover.\n~\n~\n%TU takes cover.\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '191', 'cover_success_single', 'You take cover.');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '192', 'coveringfire_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Covering Fire on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Covering Fire on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Covering Fire on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '193', 'coveringfire_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Covering Fire on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Covering Fire on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Covering Fire on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '194', 'coveringfire_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Covering Fire on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Covering Fire on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Covering Fire on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '195', 'coveringfire_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Covering Fire on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Covering Fire on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Covering Fire on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '196', 'coveringfire_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Covering Fire misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Covering Fire misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Covering Fire misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '197', 'create_minefield_delay_single', 'You are attempting to create a minefield...');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '198', 'create_minefield_max_failure_single', 'You have already created your maximum amount of minefields and cannot create another.');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '199', 'create_minefield_overlapped_failure_single', 'You are currently within an owned minefield and cannot create one at this location.');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '200', 'create_minefield_random_single', 'You have created a randomly placed minefield!');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '201', 'create_minefield_strip_single', 'You have created a strip minefield!');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '202', 'create_trap_delay_single', 'You are attempting to create a trap...');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '203', 'create_trap_max_failure_single', 'You have already created traps to your full potential.');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '204', 'create_trap_overlapped_single', 'You already have a trap at this location.');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '205', 'create_trap_proximity_single', 'You cannot create a trap with an enemy this close.');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '206', 'create_trap_single', 'You have successfully created a trap!');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '207', 'create_trap_type_limit_single', 'You have reached your creation limit for this type of trap.');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '208', 'creature_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n%TU hits %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU hits you, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '209', 'creature_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n%TU hits %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU hits you, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '210', 'creature_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n%TU tries to hit %TT but %ST evades!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU tries to hit you, but you evade!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '211', 'creature_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n%TU hits %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU hits you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '212', 'creature_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n%TU misses %TT!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU misses you!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '213', 'cripplingshot_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Crippling Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Crippling Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Crippling Shot on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '214', 'cripplingshot_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Crippling Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Crippling Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Crippling Shot on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '215', 'cripplingshot_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Crippling Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Crippling Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Crippling Shot on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '216', 'cripplingshot_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Crippling Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Crippling Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Crippling Shot on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '217', 'cripplingshot_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Crippling Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Crippling Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Crippling Shot misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '218', 'currently_creating_single', 'You are in the process of creating a minefield and cannot begin another.');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '219', 'currently_creating_trap_single', 'You are in the process of creating a trap and cannot begin another.');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '220', 'currently_destroying_single', 'You are in the process of destroying a minefield.');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '221', 'damage_message_single', 'You have received damage from a mine explosion!');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '222', 'dancingdragonsnake_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Dancing Dragonsnake on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Dancing Dragonsnake on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Dancing Dragonsnake on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '223', 'dancingdragonsnake_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Dancing Dragonsnake on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Dancing Dragonsnake on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Dancing Dragonsnake on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '224', 'dancingdragonsnake_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Dancing Dragonsnake on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Dancing Dragonsnake on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Dancing Dragonsnake on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '225', 'dancingdragonsnake_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Dancing Dragonsnake on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Dancing Dragonsnake on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Dancing Dragonsnake on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '226', 'dancingdragonsnake_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Dancing Dragonsnake misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Dancing Dragonsnake misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Dancing Dragonsnake misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '227', 'deactivate_minefield_single', 'You have set all minefields that you own and are within to a deactive state.');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '228', 'deathweave_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Forraderi Death Weave on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Forraderi Death Weave on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Forraderi Death Weave on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '229', 'deathweave_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Forraderi Death Weave on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Forraderi Death Weave on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Forraderi Death Weave on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '230', 'deathweave_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Forraderi Death Weave on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Forraderi Death Weave on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Forraderi Death Weave on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '231', 'deathweave_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Forraderi Death Weave on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Forraderi Death Weave on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Forraderi Death Weave on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '232', 'deathweave_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Forraderi Death Weave misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Forraderi Death Weave misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Forraderi Death Weave misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '233', 'debilitatingshot_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Debilitating Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Debilitating Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Debilitating Shot on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '234', 'debilitatingshot_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Debilitating Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Debilitating Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Debilitating Shot on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '235', 'debilitatingshot_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Debilitating Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Debilitating Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Debilitating Shot on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '236', 'debilitatingshot_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Debilitating Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Debilitating Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Debilitating Shot on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '237', 'debilitatingshot_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Debilitating Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Debilitating Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Debilitating Shot misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '238', 'descendingslam_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Descending Slam on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Descending Slam on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Descending Slam on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '239', 'descendingslam_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Descending Slam on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Descending Slam on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Descending Slam on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '240', 'descendingslam_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Descending Slam on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Descending Slam on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Descending Slam on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '241', 'descendingslam_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Descending Slam on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Descending Slam on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Descending Slam on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '242', 'descendingslam_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Descending Slam misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Descending Slam misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Descending Slam misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '243', 'descendingstrike_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Descending Strike on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Descending Strike on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Descending Strike on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '244', 'descendingstrike_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Descending Strike on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Descending Strike on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Descending Strike on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '245', 'descendingstrike_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Descending Strike on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Descending Strike on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Descending Strike on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '246', 'descendingstrike_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Descending Strike on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Descending Strike on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Descending Strike on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '247', 'descendingstrike_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Descending Strike misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Descending Strike misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Descending Strike misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '248', 'destroy_all_minefield_delay_single', 'Attempting to destroy all owned minefields...');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '249', 'destroy_all_minefields_success_single', 'You have successfully destroyed all owned minefields.');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '250', 'destroy_complete_radius_failure_single', 'No minefields were destroyed because you left all minefield areas that you own!');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '251', 'destroy_failure_single', 'You do not have any minefields to destroy.');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '252', 'destroy_minefield_delay_single', 'Destroying minefields at this location...  (stay within minefield)');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '253', 'destroy_minefield_success_single', 'You have successfully destroyed all minefields that you own and are within.');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '254', 'destroy_radius_failure', 'You left some of the minefields that you were destroying and not all were destroyed!');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '255', 'detonation_message_single', 'You have triggered a mine for detonation!');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '256', 'disarm_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou shoot at %TT\'s weapon, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots at %TT\'s weapon, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots at your weapon, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '257', 'disarm_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou shoot at %TT\'s weapon, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots at %TT\'s weapon, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots at your weapon, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '258', 'disarm_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou shoot at %TT\'s eapon, but %ST evades the shot.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots at %TT\'s weapon, but %ST evades the shot.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots at your weapon, but you evade the shot.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '259', 'disarm_hit_player', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou aim for %TT\'s weapon, but hit %OT instead, for %DI points of damage.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots at %TT\'s weapon, and hits %OT instead, for %DI points of damage.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU aims for your weapon, but hits you instead, for %DI points of damage.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '260', 'disarm_hit_weapon', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou hit %TT\'s weapon with a careful shot!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots at %TT and hits %PT weapon!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots at you and hits your weapon!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '261', 'disarm_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou shoot at %TT\'s weapon, but miss.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots at %TT\'s weapon, but misses.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots at your weapon, but misses.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '262', 'disarmblast_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Disarming Blast on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Disarming Blast on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Disarming Blast on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '263', 'disarmblast_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Disarming Blast on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Disarming Blast on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Disarming Blast on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '264', 'disarmblast_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Disarming Blast on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Disarming Blast on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Disarming Blast on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '265', 'disarmblast_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Disarming Blast on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Disarming Blast on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Disarming Blast on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '266', 'disarmblast_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Disarming Blast misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Disarming Blast misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Disarming Blast misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '267', 'disarmshot_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Disarming Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Disarming Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Disarming Shot on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '268', 'disarmshot_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Disarming Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Disarming Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Disarming Shot on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '269', 'disarmshot_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Disarming Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Disarming Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Disarming Shot on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '270', 'disarmshot_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Disarming Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Disarming Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Disarming Shot on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '271', 'disarmshot_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Disarming Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Disarming Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Disarming Shot misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '272', 'distractshot_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Distracting Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Distracting Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Distracting Shot on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '273', 'distractshot_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Distracting Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Distracting Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Distracting Shot on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '274', 'distractshot_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Distracting Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Distracting Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Distracting Shot on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '275', 'distractshot_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Distracting Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Distracting Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Distracting Shot on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '276', 'distractshot_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Distracting Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Distracting Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Distracting Shot misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '277', 'dive_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou dive to the ground, shooting at %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU dives to the ground, shooting at %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU dives to the ground, shooting at you, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '278', 'dive_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou dive to the ground, shooting at %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU dives to the ground, shooting at %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU dives to the ground, shooting at you, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '279', 'dive_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou dive to the ground, shooting at %TT, but %ST dodges out of the way.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU dives to the ground, shooting at %TT, but %ST dodges out of the way.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU dives to the ground, shooting at you, but you dodge out of the way.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '280', 'dive_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou dive to the ground, shooting at %TT, and hit for %DI points of damage.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU dives to the ground, shooting at %TT, and hits for %DI points of damage.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU dives to the ground, shooting at you, and hits for %DI points of damage.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '281', 'dive_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou dive to the ground, shooting at %TT, but miss.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU dives to the ground, shooting at %TT, but misses.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU dives to the ground, shooting at you, but misses.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '282', 'diveshot_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Dive Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Dive Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Dive Shot on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '283', 'diveshot_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Dive Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Dive Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Dive Shot on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '284', 'diveshot_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Dive Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Dive Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Dive Shot on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '285', 'diveshot_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Dive Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Dive Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Dive Shot on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '286', 'diveshot_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Dive Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Dive Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Dive Shot misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '287', 'dizzy_attack', '+Dizzy Attack+');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '288', 'dizzy_fall_down', '~\n~\n~\n~\n~\nYou are so dizzy you fall down when you try to change posture!\n~\n~\n%TU is so dizzy that %SU falls down when %SU tries to change posture!\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '289', 'dizzy_fall_down_single', 'You are so dizzy you fall down! ');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '290', 'domination_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Domination on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Domination on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Domination on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '291', 'domination_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Domination on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Domination on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Domination on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '292', 'domination_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Domination on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Domination on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Domination on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '293', 'domination_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Domination on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Domination on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Domination on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '294', 'domination_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Domination misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Domination misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Domination misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '295', 'doubletap_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Double-Tap Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Double-Tap Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Double-Tap Shot on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '296', 'doubletap_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Double-Tap Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Double-Tap Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Double-Tap Shot on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '297', 'doubletap_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Double-Tap Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Double-Tap Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Double-Tap Shot on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '298', 'doubletap_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Double-Tap Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Double-Tap Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Double-Tap Shot on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '299', 'doubletap_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Double-Tap Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Double-Tap Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Double-Tap Shot misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '300', 'evasive', '~\n~\n~\n~\n~\nYou will now be evasive.\n~\n~\n%TU plans to be as evasive as possible in combat.\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '301', 'expertheadshot_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Expert Head Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Expert Head Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Expert Head Shot on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '302', 'expertheadshot_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Expert Head Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Expert Head Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Expert Head Shot on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '303', 'expertheadshot_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Expert Head Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Expert Head Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Expert Head Shot on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '304', 'expertheadshot_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Expert Head Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Expert Head Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Expert Head Shot on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '305', 'expertheadshot_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Expert Head Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Expert Head Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Expert Head Shot misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '306', 'eyeshot_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Eye Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Eye Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Eye Shot on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '307', 'eyeshot_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Eye Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Eye Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Eye Shot on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '308', 'eyeshot_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Eye Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Eye Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Eye Shot on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '309', 'eyeshot_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Eye Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Eye Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Eye Shot on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '310', 'eyeshot_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Eye Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Eye Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Eye Shot misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '311', 'fanshot_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Fan Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Fan Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Fan Shot on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '312', 'fanshot_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Fan Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Fan Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Fan Shot on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '313', 'fanshot_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Fan Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Fan Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Fan Shot on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '314', 'fanshot_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Fan Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Fan Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Fan Shot on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '315', 'fanshot_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Fan Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Fan Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Fan Shot misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '316', 'fastblast_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Fast Blast on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Fast Blast on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Fast Blast on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '317', 'fastblast_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Fast Blast on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Fast Blast on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Fast Blast on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '318', 'fastblast_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Fast Blast on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Fast Blast on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Fast Blast on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '319', 'fastblast_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Fast Blast on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Fast Blast on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Fast Blast on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '320', 'fastblast_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Fast Blast misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Fast Blast misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Fast Blast misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '321', 'feign_fail', '~\n~\n~\n~\n~\nYou prepare to take a hit in order to feign incapacitation, but you\'re not in the right frame of mind.\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '322', 'feign_fail_single', 'You fail to feign death!');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '323', 'feign_get_hit', '~\n~\n~\n~\n~\nYou prepare to take a hit in order to feign incapacitation.\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '324', 'feign_get_hit_single', 'You prepare to feign death!');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '325', 'fireacidcone1_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your acid rifle to spray a cone of acid on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses an acid rifle to spray a cone of acid on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses an acid rifle to spray a cone of acid on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '326', 'fireacidcone1_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your acid rifle to spray a cone of acid on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses an acid rifle to spray a cone of acid on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses an acid rifle to spray a cone of acid on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '327', 'fireacidcone1_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your acid rifle to spray a cone of acid on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses an acid rifle to spray a cone of acid on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses an acid rifle to spray a cone of acid on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '328', 'fireacidcone1_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your acid rifle to spray a cone of acid on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses an acid rifle to spray a cone of acid on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses an acid rifle to spray a cone of acid on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '329', 'fireacidcone1_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your acid rifle to spray a cone of acid at %TT but miss.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses an acid rifle to spray a cone of acid at %TT but misses.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses an acid rifle to spray a cone of acid at you but misses.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '330', 'fireacidcone2_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your acid rifle to spray a huge cone of acid on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses an acid rifle to spray a huge cone of acid on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses an acid rifle to spray a huge cone of acid on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '331', 'fireacidcone2_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your acid rifle to spray a huge cone of acid on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses an acid rifle to spray a huge cone of acid on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses an acid rifle to spray a huge cone of acid on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '332', 'fireacidcone2_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your acid rifle to spray a huge cone of acid on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses an acid rifle to spray a huge cone of acid on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses an acid rifle to spray a huge cone of acid on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '333', 'fireacidcone2_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your acid rifle to spray a huge cone of acid on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses an acid rifle to spray a huge cone of acid on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses an acid rifle to spray a huge cone of acid on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '334', 'fireacidcone2_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your acid rifle to spray a huge cone of acid at %TT but miss.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses an acid rifle to spray a huge cone of acid at %TT but misses.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses an acid rifle to spray a huge cone of acid at you but misses.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '335', 'fireacidsingle1_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your acid rifle on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses an acid rifle on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses an acid rifle on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '336', 'fireacidsingle1_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your acid rifle on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses an acid rifle on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses an acid rifle on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '337', 'fireacidsingle1_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your acid rifle on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses an acid rifle on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses an acid rifle on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '338', 'fireacidsingle1_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your acid rifle on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses an acid rifle on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses an acid rifle on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '339', 'fireacidsingle1_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your acid rifle on %TT but miss.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses an acid rifle on %TT but misses.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses an acid rifle on you but misses.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '340', 'fireacidsingle2_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your acid rifle to fire a concentrated shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses an acid rifle to fire a concentrated shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses an acid rifle to fire a concentrated shot on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '341', 'fireacidsingle2_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your acid rifle to fire a concentrated shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses an acid rifle to fire a concentrated shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses an acid rifle to fire a concentrated shot on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '342', 'fireacidsingle2_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your acid rifle to fire a concentrated shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses an acid rifle to fire a concentrated shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses an acid rifle to fire a concentrated shot on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '343', 'fireacidsingle2_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your acid rifle to fire a concentrated shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses an acid rifle to fire a concentrated shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses an acid rifle to fire a concentrated shot on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '344', 'fireacidsingle2_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your acid rifle to fire a concentrated shot on %TT but miss.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses an acid rifle to fire a concentrated shot on %TT but misses.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses an acid rifle to fire a concentrated shot on you but misses.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '345', 'firelightningcone1_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your lightning rifle to fire a cone of lightning on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a lightning rifle to fire a cone of lightning on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a lightning rifle to fire a cone of lightning on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '346', 'firelightningcone1_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your lightning rifle to fire a cone of lightning on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a lightning rifle to fire a cone of lightning on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a lightning rifle to fire a cone of lightning on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '347', 'firelightningcone1_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your lightning rifle to fire a cone of lightning on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a lightning rifle to fire a cone of lightning on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a lightning rifle to fire a cone of lightning on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '348', 'firelightningcone1_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your lightning rifle to fire a cone of lightning on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a lightning rifle to fire a cone of lightning on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a lightning rifle to fire a cone of lightning on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '349', 'firelightningcone1_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your lightning rifle to fire a cone of lightning at %TT but miss.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a lightning rifle to fire a cone of lightning at %TT but misses.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a lightning rifle to fire a cone of lightning at you but misses.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '350', 'firelightningcone2_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your lightning rifle to fire a hail of lightning on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a lightning rifle to fire a hail of lightning on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a lightning rifle to fire a hail of lightning on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '351', 'firelightningcone2_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your lightning rifle to fire a hail of lightning on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a lightning rifle to fire a hail of lightning on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a lightning rifle to fire a hail of lightning on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '352', 'firelightningcone2_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your lightning rifle to fire a hail of lightning on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a lightning rifle to fire a hail of lightning on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a lightning rifle to fire a hail of lightning on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '353', 'firelightningcone2_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your lightning rifle to fire a hail of lightning on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a lightning rifle to fire a hail of lightning on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a lightning rifle to fire a hail of lightning on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '354', 'firelightningcone2_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your lightning rifle to fire a hail of lightning at %TT but miss.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a lightning rifle to fire a hail of lightning at %TT but misses.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a lightning rifle to fire a hail of lightning at you but misses.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '355', 'firelightningsingle1_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your lightning rifle on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a lightning rifle on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a lightning rifle on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '356', 'firelightningsingle1_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your lightning rifle on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a lightning rifle on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a lightning rifle on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '357', 'firelightningsingle1_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your lightning rifle on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a lightning rifle on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a lightning rifle on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '358', 'firelightningsingle1_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your lightning rifle on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a lightning rifle on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a lightning rifle on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '359', 'firelightningsingle1_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your lightning rifle on %TT but miss.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a lightning rifle on %TT but misses.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a lightning rifle on you but misses.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '360', 'firelightningsingle2_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your lightning rifle to fire a concentrated blast of lightning on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a lightning rifle to fire a concentrated blast of lightning on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a lightning rifle to fire a concentrated blast of lightning on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '361', 'firelightningsingle2_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your lightning rifle to fire a concentrated blast of lightning on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a lightning rifle to fire a concentrated blast of lightning on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a your lightning rifle to fire a concentrated blast of lightning on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '362', 'firelightningsingle2_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your lightning rifle to fire a concentrated blast of lightning on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a lightning rifle to fire a concentrated blast of lightning on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a lightning rifle to fire a concentrated blast of lightning on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '363', 'firelightningsingle2_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your lightning rifle to fire a concentrated blast of lightning on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a lightning rifle to fire a concentrated blast of lightning on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a lightning rifle to fire a concentrated blast of lightning on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '364', 'firelightningsingle2_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your lightning rifle to fire a concentrated blast of lightning at %TT but miss.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a lightning rifle to fire a concentrated blast of lightning at %TT but misses.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a lightning rifle to fire a concentrated blast of lightning at you but misses.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '365', 'flamecone1_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your flamethrower to spray a cone of fire on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a flamethrower to spray a cone of fire on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a flamethrower to spray a cone of fire on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '366', 'flamecone1_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your flamethrower to spray a cone of fire on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a flamethrower to spray a cone of fire on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a flamethrower to spray a cone of fire on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '367', 'flamecone1_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your flamethrower to spray a cone of fire on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a flamethrower to spray a cone of fire on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a flamethrower to spray a cone of fire on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '368', 'flamecone1_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your flamethrower to spray a cone of fire on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a flamethrower to spray a cone of fire on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a flamethrower to spray a cone of fire on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '369', 'flamecone1_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your flamethrower to spray a cone of fire at %TT but miss.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a flamethrower to spray a cone of fire at %TT but misses.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a flamethrower to spray a cone of fire at you but misses.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '370', 'flamecone2_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your flamethrower to spray a massive cone of fire on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a flamethrower to spray a massive cone of fire on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a flamethrower to spray a massive cone of fire on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '371', 'flamecone2_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your flamethrower to spray a massive cone of fire on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a flamethrower to spray a massive cone of fire on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a flamethrower to spray a massive cone of fire on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '372', 'flamecone2_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your flamethrower to spray a massive cone of fire on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a flamethrower to spray a massive cone of fire on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a flamethrower to spray a massive cone of fire on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '373', 'flamecone2_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your flamethrower to spray a massive cone of fire on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a flamethrower to spray a massive cone of fire on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a flamethrower to spray a massive cone of fire on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '374', 'flamecone2_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your flamethrower to spray a massive cone of fire at %TT but miss.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a flamethrower to spray a massive cone of fire at %TT but misses.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a flamethrower to spray a massive cone of fire at you but misses.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '375', 'flamesingle1_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your flamethrower on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a flamethrower on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a flamethrower on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '376', 'flamesingle1_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your flamethrower on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a flamethrower on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a flamethrower on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '377', 'flamesingle1_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your flamethrower on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a flamethrower on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a flamethrower on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '378', 'flamesingle1_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your flamethrower on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a flamethrower on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a flamethrower on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '379', 'flamesingle1_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour flamethrower misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s flamethrower misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s flamethrower misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '380', 'flamesingle2_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your flamethrower to spray concentrated fire on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a flamethrower to spray concentrated fire on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a flamethrower to spray concentrated fire on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '381', 'flamesingle2_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your flamethrower to spray concentrated fire on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a flamethrower to spray concentrated fire on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a flamethrower to spray concentrated fire on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '382', 'flamesingle2_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your flamethrower to spray concentrated fire on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a flamethrower to spray concentrated fire on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a flamethrower to spray concentrated fire on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '383', 'flamesingle2_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your flamethrower to spray concentrated fire on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a flamethrower to spray concentrated fire on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a flamethrower to spray concentrated fire on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '384', 'flamesingle2_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour flamethrower misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s flamethrower misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s flamethrower misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '385', 'flurry_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou fire a flurry of shots at %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU fires a flurry of shots at %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU fires a flurry of shots at you, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '386', 'flurry_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou fire a flurry of shots at %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU fires a flurry of shots at %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU fires a flurry of shots at you, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '387', 'flurry_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou fire a flurry of shots at %TT, but %ST dodges out of the way.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU fires a flurry of shots at %TT, but %ST dodges out of the way.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU fires a flurry of shots at you, but you dodge out of the way.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '388', 'flurry_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou fire a flurry of shots at %TT and hit for %DI points of damage.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU fires a flurry of shots at %TT and hits for %DI points of damage.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU fires a flurry of shots at you and hits for %DI points of damage.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '389', 'flurry_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou fire a flurry of shots at %TT, but they all miss.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU fires a flurry of shots at %TT, but they all miss.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU fires a flurry of shots at you, but they all miss.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '390', 'flurryshot_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Flurry Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Flurry Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Flurry Shot on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '391', 'flurryshot_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Flurry Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Flurry Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Flurry Shot on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '392', 'flurryshot_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Flurry Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Flurry Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Flurry Shot on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '393', 'flurryshot_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Flurry Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Flurry Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Flurry Shot on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '394', 'flurryshot_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Flurry Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Flurry Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Flurry Shot misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '395', 'flushingshot_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Flushing Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Flushing Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Flushing Shot on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '396', 'flushingshot_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Flushing Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Flushing Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Flushing Shot on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '397', 'flushingshot_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Flushing Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Flushing Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Flushing Shot on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '398', 'flushingshot_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Flushing Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Flushing Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Flushing Shot on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '399', 'flushingshot_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Flushing Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Flushing Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Flushing Shot misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '400', 'flushingvolley_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Flushing Volley on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Flushing Volley on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Flushing Volley on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '401', 'flushingvolley_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Flushing Volley on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Flushing Volley on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Flushing Volley on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '402', 'flushingvolley_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Flushing Volley on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Flushing Volley on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Flushing Volley on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '403', 'flushingvolley_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Flushing Volley on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Flushing Volley on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Flushing Volley on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '404', 'flushingvolley_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Flushing Volley misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Flushing Volley misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Flushing Volley misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '405', 'force_posture_change_0', 'You have been forced to standing.');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '406', 'force_posture_change_1', 'You have been forced to kneeling.');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '407', 'force_posture_change_2', 'You have been forced to prone.');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '408', 'formup_buff', 'The squad leader orders you to form up, strengthening your combat resolve.');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '409', 'fullautoattack_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Full Auto Attack on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Full Auto Attack on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Full Auto Attack on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '410', 'fullautoattack_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Full Auto Attack on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Full Auto Attack on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Full Auto Attack on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '411', 'fullautoattack_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Full Auto Attack on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Full Auto Attack on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Full Auto Attack on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '412', 'fullautoattack_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Full Auto Attack on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Full Auto Attack on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Full Auto Attack on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '413', 'fullautoattack_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Full Auto Attack misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Full Auto Attack misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Full Auto Attack misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '414', 'fullchargeshot_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Full Charge Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Full Charge Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Full Charge Shot on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '415', 'fullchargeshot_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Full Charge Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Full Charge Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Full Charge Shot on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '416', 'fullchargeshot_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Full Charge Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Full Charge Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Full Charge Shot on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '417', 'fullchargeshot_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Full Charge Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Full Charge Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Full Charge Shot on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '418', 'fullchargeshot_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Full Charge Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Full Charge Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Full Charge Shot misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '419', 'fullflurry_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Full Flurry on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Full Flurry on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Full Flurry on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '420', 'fullflurry_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Full Flurry on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Full Flurry on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Full Flurry on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '421', 'fullflurry_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Full Flurry on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Full Flurry on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Full Flurry on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '422', 'fullflurry_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Full Flurry on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Full Flurry on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Full Flurry on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '423', 'fullflurry_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Full Flurry misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Full Flurry misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Full Flurry misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '424', 'fumble', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou fumble your attack and do %DI points of damage to yourself!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU fumbles %PT attack and does %DI points of damage to %OTself.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU fumbles %PT attack and does %DI points of damage to %OTself.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '425', 'go_blind', '~\n~\n~\n~\n~\nYou\'re having trouble seeing clearly!\n~\n~\n%TU looks like %SU\'s having trouble seeing clearly!\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '426', 'go_blind_single', 'You\'re having trouble seeing clearly!');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '427', 'go_dizzy', '~\n~\n~\n~\n~\nYou feel dizzy!\n~\n~\n%TU looks dizzy!\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '428', 'go_dizzy_single', 'You feel dizzy!');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '429', 'go_stunned', '~\n~\n~\n~\n~\nYou\'re stunned!\n~\n~\n%TU looks stunned!\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '430', 'go_stunned_single', 'You\'re stunned!');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '431', 'goraxsmash_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Gorax Smash on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Gorax Smash on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Gorax Smash on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '432', 'goraxsmash_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Gorax Smash on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Gorax Smash on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Gorax Smash on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '433', 'goraxsmash_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Gorax Smash on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Gorax Smash on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Gorax Smash on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '434', 'goraxsmash_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Gorax Smash on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Gorax Smash on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Gorax Smash on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '435', 'goraxsmash_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Gorax Smash misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Gorax Smash misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Gorax Smash misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '436', 'grenade_cryoban_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour cryoban grenade hits %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s cryoban grenade hits %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s cryoban grenade hits you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '437', 'grenade_cryoban_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour cryoban grenade misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s cryoban grenade misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s cryoban grenade misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '438', 'grenade_fallback_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour fallback grenade hits %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s fallback grenade hits %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s fallback grenade hits you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '439', 'grenade_fallback_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour fallback grenade misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s fallback grenade misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s fallback grenade misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '440', 'grenade_frag_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour fragmentation grenade hits %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s fragmentation grenade hits %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s fragmentation grenade hits you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '441', 'grenade_frag_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour fragmentation grenade misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s fragmentation grenade misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s fragmentation grenade misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '442', 'grenade_glop_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour glop grenade hits %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s glop grenade hits %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s glop grenade hits you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '443', 'grenade_glop_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour glop grenade misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s glop grenade misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s glop grenade misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '444', 'grenade_imp_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Imperial detonator hits %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Imperial detonator hits %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Imperial detonator hits you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '445', 'grenade_imp_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Imperial detonator misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Imperial detonator misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Imperial detonator misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '446', 'grenade_proton_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour proton grenade hits %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s proton grenade hits %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s proton grenade hits you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '447', 'grenade_proton_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour proton grenade misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s proton grenade misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s proton grenade misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '448', 'grenade_thermal_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour thermal detonator hits %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s thermal detonator hits %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s thermal detonator hits you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '449', 'grenade_thermal_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour thermal detonator misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s thermal detonator misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s thermal detonator misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '450', 'grondastomp_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Gronda Stomp on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Gronda Stomp on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Gronda Stomp on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '451', 'grondastomp_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Gronda Stomp on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Gronda Stomp on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Gronda Stomp on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '452', 'grondastomp_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Gronda Stomp on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Gronda Stomp on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Gronda Stomp on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '453', 'grondastomp_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Gronda Stomp on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Gronda Stomp on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Gronda Stomp on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '454', 'grondastomp_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Gronda Stomp misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Gronda Stomp misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Gronda Stomp misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '455', 'gundarkslap_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Gundark Slap on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Gundark Slap on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Gundark Slap on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '456', 'gundarkslap_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Gundark Slap on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Gundark Slap on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Gundark Slap on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '457', 'gundarkslap_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Gundark Slap on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Gundark Slap on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Gundark Slap on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '458', 'gundarkslap_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Gundark Slap on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Gundark Slap on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Gundark Slap on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '459', 'gundarkslap_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Gundark Slap misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Gundark Slap misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Gundark Slap misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '460', 'gutshot_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Gut Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Gut Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Gut Shot on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '461', 'gutshot_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Gut Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Gut Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Gut Shot on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '462', 'gutshot_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Gut Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Gut Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Gut Shot on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '463', 'gutshot_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Gut Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Gut Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Gut Shot on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '464', 'gutshot_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Gut Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Gut Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Gut Shot misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '465', 'head_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou aim for %TT\'s head, but %TU seizes the opportunity to counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU aims for %TT\'s head, but %ST seizes the opportunity to counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots at your head, but you seize the opportunity to counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '466', 'head_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou aim for %TT\'s head, but %TU seizes the opportunity to counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU aims for %TT\'s head, but %ST seizes the opportunity to block it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots at your head, but you seize the opportunity to block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '467', 'head_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou shoot at %TT\'s head, but %ST ducks out of the way.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots at %TT\'s head, but %ST ducks out of the way.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots at your head, but you duck out of the way.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '468', 'head_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nHead shot! Your shot hits %TT on the head for %DI points of damage.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU scores a head shot %TT for %DI points of damage.\n~\n~\n~\n~\n~\n~\n~\n~\nOW! %TU\'s shot hits your head for %DI points of damage.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '469', 'head_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou aim for %TT\'s head, but miss.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU tries to shoot %TU in the head, but misses.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU misses %PU shot at your head.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '470', 'headshot_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Head Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Head Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Head Shot on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '471', 'headshot_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Head Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Head Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Head Shot on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '472', 'headshot_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Head Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Head Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Head Shot on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '473', 'headshot_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Head Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Head Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Head Shot on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '474', 'headshot_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Head Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Head Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Head Shot misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '475', 'holdoutblast_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Hold-Out Blast on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Hold-Out Blast on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Hold-Out Blast on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '476', 'holdoutblast_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Hold-Out Blast on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Hold-Out Blast on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Hold-Out Blast on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '477', 'holdoutblast_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Hold-Out Blast on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Hold-Out Blast on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Hold-Out Blast on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '478', 'holdoutblast_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Hold-Out Blast on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Hold-Out Blast on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Hold-Out Blast on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '479', 'holdoutblast_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Hold-Out Blast misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Hold-Out Blast misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Hold-Out Blast misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '480', 'holdoutshot_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Hold-Out Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Hold-Out Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Hold-Out Shot on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '481', 'holdoutshot_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Hold-Out Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Hold-Out Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Hold-Out Shot on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '482', 'holdoutshot_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Hold-Out Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Hold-Out Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Hold-Out Shot on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '483', 'holdoutshot_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Hold-Out Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Hold-Out Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Hold-Out Shot on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '484', 'holdoutshot_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Hold-Out Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Hold-Out Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Hold-Out Shot misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '485', 'impairingshot_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Impairing Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Impairing Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Impairing Shot on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '486', 'impairingshot_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Impairing Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Impairing Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Impairing Shot on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '487', 'impairingshot_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Impairing Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Impairing Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Impairing Shot on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '488', 'impairingshot_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Impairing Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Impairing Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Impairing Shot on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '489', 'impairingshot_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Impairing Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Impairing Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Impairing Shot misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '490', 'intim_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n%TT looks very intimidated by you!\n~\n~\n~\n~\n~\n~\n~\n~\n%TT is very intimidated by %TU!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU is very intimidating!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '491', 'intim_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou try to intimidate %TT but it doesn\'t work very well.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU tries to intimidate %TT but it doesn\'t work very well.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU tries to intimidate you. Not very scary.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '492', 'intim_out_of_range', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou try to intimidate %TT but %ST is out of range.\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '493', 'intimidate_attack', '+Imtimidate Attack+');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '494', 'kip_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou do a kip-up shot at %TT but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU does a kip-up shot at %TT but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU does a kip-up shot at you but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '495', 'kip_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou do a kip-up shot at %TT but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU does a kip-up shot at %TT but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU does a kip-up shot at you but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '496', 'kip_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou do a kip-up shot at %TT but miss when %ST dodges.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU does a kip-up shot at %TT but miss when %ST dodges.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU does a kip-up shot at you but misses when you dodge.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '497', 'kip_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou do a kip-up shot at %TT and hit for %DI points of damage.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU does a kip-up shot at %TT and hits for %DI points of damage.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU does a kip-up shot at you and hits for %DI points of damage.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '498', 'kip_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou do a kip-up shot at %TT but miss.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU does a kip-up shot at %TT but miss.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU does a kip-up shot at you but misses.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '499', 'kipup_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Kip-Up Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Kip-Up Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Kip-Up Shot on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '500', 'kipup_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Kip-Up Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Kip-Up Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Kip-Up Shot on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '501', 'kipup_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Kip-Up Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Kip-Up Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Kip-Up Shot on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '502', 'kipup_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Kip-Up Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Kip-Up Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Kip-Up Shot on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '503', 'kipup_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Kip-Up Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Kip-Up Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Kip-Up Shot misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '504', 'kneecapshot_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Kneecap Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Kneecap Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Kneecap Shot on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '505', 'kneecapshot_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Kneecap Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Kneecap Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Kneecap Shot on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '506', 'kneecapshot_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Kneecap Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Kneecap Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Kneecap Shot on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '507', 'kneecapshot_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Kneecap Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Kneecap Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Kneecap Shot on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '508', 'kneecapshot_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Kneecap Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Kneecap Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Kneecap Shot misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '509', 'kneecracker_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Knee-Cracker on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Knee-Cracker on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Knee-Cracker on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '510', 'kneecracker_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Knee-Cracker on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Knee-Cracker on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Knee-Cracker on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '511', 'kneecracker_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Knee-Cracker on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Knee-Cracker on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Knee-Cracker on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '512', 'kneecracker_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Knee-Cracker on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Knee-Cracker on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Knee-Cracker on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '513', 'kneecracker_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Knee-Cracker misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Knee-Cracker misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Knee-Cracker misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '514', 'kneel', '~\n~\n~\n~\n~\nYou kneel.\n~\n~\n%TU kneels.\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '515', 'kneesmasher_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Knee-Smasher on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Knee-Smasher on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Knee-Smasher on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '516', 'kneesmasher_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Knee-Smasher on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Knee-Smasher on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Knee-Smasher on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '517', 'kneesmasher_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Knee-Smasher on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Knee-Smasher on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Knee-Smasher on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '518', 'kneesmasher_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Knee-Smasher on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Knee-Smasher on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Knee-Smasher on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '519', 'kneesmasher_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Knee-Smasher misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Knee-Smasher misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Knee-Smasher misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '520', 'knockdown_attack', '+Knockdown Attack+');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '521', 'knockdownfire_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Knockdown Fire on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Knockdown Fire on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Knockdown Fire on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '522', 'knockdownfire_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Knockdown Fire on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Knockdown Fire on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Knockdown Fire on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '523', 'knockdownfire_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Knockdown Fire on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Knockdown Fire on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Knockdown Fire on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '524', 'knockdownfire_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Knockdown Fire on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Knockdown Fire on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Knockdown Fire on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '525', 'knockdownfire_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Knockdown Fire misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Knockdown Fire misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Knockdown Fire misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '526', 'lastditch_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Last Ditch Attack on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Last Ditch Attack on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Last Ditch Attack on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '527', 'lastditch_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Last Ditch Attack on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Last Ditch Attack on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Last Ditch Attack on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '528', 'lastditch_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Last Ditch Attack on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Last Ditch Attack on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Last Ditch Attack on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '529', 'lastditch_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Last Ditch Attack on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Last Ditch Attack on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Last Ditch Attack on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '530', 'lastditch_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Last Ditch Attack misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Last Ditch Attack misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Last Ditch Attack misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '531', 'leapingveermok_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Leaping Veermok on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Leaping Veermok on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Leaping Veermok on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '532', 'leapingveermok_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Leaping Veermok on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Leaping Veermok on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Leaping Veermok on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '533', 'leapingveermok_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Leaping Veermok on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Leaping Veermok on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Leaping Veermok on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '534', 'leapingveermok_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Leaping Veermok on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Leaping Veermok on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Leaping Veermok on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '535', 'leapingveermok_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Leaping Veermok misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Leaping Veermok misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Leaping Veermok misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '536', 'leg_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou shoot at %TT\'s legs, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots at %TT\'s legs, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots at your legs, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '537', 'leg_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou shoot at %TT\'s legs, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots at %TT\'s legs, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots at your legs, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '538', 'leg_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou shoot at %TT\'s legs, but %ST dodges out of the way.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots at %TT\'s legs, but %ST dodges out of the way.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots at your legs, but you dodge out of the way.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '539', 'leg_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou shoot at %TT\'s legs and hit for %DI points of damage.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots at %TT\'s legs and hits for %DI points of damage.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots at your legs and hits for %DI points of damage.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '540', 'leg_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou shoot at %TT\'s legs, but miss.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots at %TT\'s legs but misses~\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots at your legs but misses.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '541', 'legbreaker_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Leg-Breaker on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Leg-Breaker on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Leg-Breaker on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '542', 'legbreaker_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Leg-Breaker on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Leg-Breaker on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Leg-Breaker on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '543', 'legbreaker_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Leg-Breaker on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Leg-Breaker on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Leg-Breaker on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '544', 'legbreaker_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Leg-Breaker on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Leg-Breaker on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Leg-Breaker on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '545', 'legbreaker_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Leg-Breaker misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Leg-Breaker misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Leg-Breaker misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '546', 'legbruiser_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Leg-Bruiser on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Leg-Bruiser on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Leg-Bruiser on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '547', 'legbruiser_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Leg-Bruiser on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Leg-Bruiser on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Leg-Bruiser on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '548', 'legbruiser_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Leg-Bruiser on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Leg-Bruiser on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Leg-Bruiser on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '549', 'legbruiser_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Leg-Bruiser on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Leg-Bruiser on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Leg-Bruiser on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '550', 'legbruiser_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Leg-Bruiser misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Leg-Bruiser misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Leg-Bruiser misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '551', 'legshot_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Leg Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Leg Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Leg Shot on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '552', 'legshot_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Leg Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Leg Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Leg Shot on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '553', 'legshot_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Leg Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Leg Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Leg Shot on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '554', 'legshot_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Leg Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Leg Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Leg Shot on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '555', 'legshot_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Leg Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Leg Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Leg Shot misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '556', 'legsmasher_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Leg-Smasher on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Leg-Smasher on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Leg-Smasher on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '557', 'legsmasher_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Leg-Smasher on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Leg-Smasher on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Leg-Smasher on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '558', 'legsmasher_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Leg-Smasher on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Leg-Smasher on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Leg-Smasher on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '559', 'legsmasher_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Leg-Smasher on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Leg-Smasher on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Leg-Smasher on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '560', 'legsmasher_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Leg-Smasher misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Leg-Smasher misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Leg-Smasher misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '561', 'lightning_beam_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your lightning beam on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a lightning beam on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a lightning beam on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '562', 'lightning_beam_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your lightning beam on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a lightning beam on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a lightning beam on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '563', 'lightning_beam_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your lightning beam on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a lightning beam on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a lightning beam on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '564', 'lightning_beam_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your lightning beam on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a lightning beam on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a lightning beam on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '565', 'lightning_beam_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour lightning beam misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s lightning beam misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s lightning beam misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '566', 'limbbreaker_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Limb-Breaker on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Limb-Breaker on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Limb-Breaker on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '567', 'limbbreaker_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Limb-Breaker on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Limb-Breaker on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Limb-Breaker on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '568', 'limbbreaker_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Limb-Breaker on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Limb-Breaker on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Limb-Breaker on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '569', 'limbbreaker_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Limb-Breaker on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Limb-Breaker on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Limb-Breaker on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '570', 'limbbreaker_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Limb-Breaker misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Limb-Breaker misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Limb-Breaker misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '571', 'limbsmasher_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Limb-Smasher on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Limb-Smasher on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Limb-Smasher on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '572', 'limbsmasher_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Limb-Smasher on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Limb-Smasher on %TT for %DI points of damage, but %ST block it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Limb-Smasher on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '573', 'limbsmasher_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Limb-Smasher on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Limb-Smasher on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Limb-Smasher on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '574', 'limbsmasher_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Limb-Smasher on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Limb-Smasher on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Limb-Smasher on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '575', 'limbsmasher_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Limb-Smasher misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Limb-Smasher misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Limb-Smasher misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '576', 'los_fail', 'You lost sight of your target. ');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '577', 'los_recycle', 'You cannot see your target. ');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '578', 'lungeshiak_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Lunge Shiak on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Lunge Shiak on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Lunge Shiak on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '579', 'lungeshiak_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Lunge Shiak on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Lunge Shiak on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Lunge Shiak on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '580', 'lungeshiak_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Lunge Shiak on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Lunge Shiak on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Lunge Shiak on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '581', 'lungeshiak_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Lunge Shiak on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Lunge Shiak on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Lunge Shiak on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '582', 'lungeshiak_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Lunge Shiak misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Lunge Shiak misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Lunge Shiak misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '583', 'lungeslam_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Lunge Slam on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Lunge Slam on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Lunge Slam on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '584', 'lungeslam_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Lunge Slam on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Lunge Slam on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Lunge Slam on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '585', 'lungeslam_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Lunge Slam on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Lunge Slam on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Lunge Slam on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '586', 'lungeslam_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Lunge Slam on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Lunge Slam on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Lunge Slam on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '587', 'lungeslam_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Lunge Slam misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Lunge Slam misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Lunge Slam misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '588', 'lungestab_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Lunge Stab on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Lunge Stab on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Lunge Stab on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '589', 'lungestab_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Lunge Stab on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Lunge Stab on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Lunge Stab on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '590', 'lungestab_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Lunge Stab on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Lunge Stab on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Lunge Stab on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '591', 'lungestab_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Lunge Stab on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Lunge Stab on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Lunge Stab on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '592', 'lungestab_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Lunge Stab misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Lunge Stab misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Lunge Stab misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '593', 'lungestrike_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Lunge Strike on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Lunge Strike on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Lunge Strike on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '594', 'lungestrike_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Lunge Strike on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Lunge Strike on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Lunge Strike on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '595', 'lungestrike_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Lunge Strike on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Lunge Strike on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Lunge Strike on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '596', 'lungestrike_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Lunge Strike on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Lunge Strike on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Lunge Strike on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '597', 'lungestrike_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Lunge Strike misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Lunge Strike misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Lunge Strike misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '598', 'masterheadshot_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Master Head Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Master Head Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Master Head Shot on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '599', 'masterheadshot_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Master Head Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Master Head Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Master Head Shot on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '600', 'masterheadshot_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Master Head Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Master Head Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Master Head Shot on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '601', 'masterheadshot_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Master Head Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Master Head Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Master Head Shot on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '602', 'masterheadshot_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Master Head Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Master Head Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Master Head Shot misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '603', 'melee_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou swing at %TT and hit %OT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU swings at %TT and hits %OT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU swings at you and hits, but you shrug it off and counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '604', 'melee_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou swing at %TT and hit %OT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU swings at %TT and hits %OT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU swings at you and hits, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '605', 'melee_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou swing at %TT, but %ST dodges out of the way.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU swings at %TT, but %ST dodges out of the way.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU swings at you, but you dodge out of the way.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '606', 'melee_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou swing at %TT and hit for %DI points of damage.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU swings at %TT and hits for %DI points of damage.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU swings at you and hits for %DI points of damage.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '607', 'melee_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou swing at %TT but miss.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU swings at %TT and misses.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU swings at you and misses.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '608', 'mindbender_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Mind-Bender on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Mind-Bender on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Mind-Bender on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '609', 'mindbender_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Mind-Bender on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Mind-Bender on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Mind-Bender on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '610', 'mindbender_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Mind-Bender on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Mind-Bender on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Mind-Bender on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '611', 'mindbender_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Mind-Bender on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Mind-Bender on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Mind-Bender on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '612', 'mindbender_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Mind-Bender misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Mind-Bender misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Mind-Bender misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '613', 'mindslam_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Mind Slam on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Mind Slam on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Mind Slam on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '614', 'mindslam_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Mind Slam on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Mind Slam on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Mind Slam on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '615', 'mindslam_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Mind Slam on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Mind Slam on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Mind Slam on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '616', 'mindslam_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Mind Slam on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Mind Slam on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Mind Slam on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '617', 'mindslam_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Mind Slam misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Mind Slam misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Mind Slam misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '618', 'mindstrike_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Mind Strike on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Mind Strike on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Mind Strike on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '619', 'mindstrike_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Mind Strike on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Mind Strike on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Mind Strike on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '620', 'mindstrike_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Mind Strike on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Mind Strike on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Mind Strike on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '621', 'mindstrike_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Mind Strike on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Mind Strike on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Mind Strike on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '622', 'mindstrike_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Mind Strike misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Mind Strike misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Mind Strike misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '623', 'moved_failure_single', 'You interrupted the action to the minefield.');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '624', 'multishot_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Multi-Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Multi-Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Multi-Shot on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '625', 'multishot_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Multi-Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Multi-Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Multi-Shot on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '626', 'multishot_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Multi-Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Multi-Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Multi-Shot on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '627', 'multishot_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Multi-Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Multi-Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Multi-Shot on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '628', 'multishot_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Multi-Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Multi-Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Multi-Shot misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '629', 'neutral', '~\n~\n~\n~\n~\nYou will now use neutral tactics during combat.\n~\n~\n%TU plans to use neutral tactics in combat.\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '630', 'nexugrin_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Nexu Grin on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Nexu Grin on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Nexu Grin on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '631', 'nexugrin_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Nexu Grin on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Nexu Grin on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Nexu Grin on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '632', 'nexugrin_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Nexu Grin on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Nexu Grin on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Nexu Grin on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '633', 'nexugrin_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Nexu Grin on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Nexu Grin on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Nexu Grin on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '634', 'nexugrin_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Nexu Grin misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Nexu Grin misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Nexu Grin misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '635', 'no_ability', 'You do not know how to use that ability with your current weapon.');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '636', 'no_attack_melee_single', 'This attack cannot be done with this melee weapon!');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '637', 'no_attack_ranged_single', 'This attack cannot be done with this ranged weapon!');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '638', 'no_attack_wrong_weapon', 'This attack cannot be done with this weapon!');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '639', 'no_blind', '~\n~\n~\n~\n~\nYour vision is clearing.\n~\n~\n%TU\'s vision appears to be returning.\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '640', 'no_blind_single', 'Your vision is clearing.');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '641', 'no_dizzy', '~\n~\n~\n~\n~\nYou don\'t feel dizzy anymore.\n~\n~\n%TU looks a bit steadier on %PU feet.\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '642', 'no_dizzy_single', 'You don\'t feel dizzy anymore.');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '643', 'no_stunned', '~\n~\n~\n~\n~\nYou manage to shake off the effects of being stunned.\n~\n~\n%TU shakes off the effects of being stunned.\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '644', 'no_stunned_single', 'You are no longer stunned.');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '645', 'out_of_range', '~\n~\n~\n~\n~\nThat target is out of range.\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '646', 'out_of_range_single', 'That target is out of range.');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '647', 'overchargeshot_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Overcharge Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Overcharge Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Overcharge Shot on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '648', 'overchargeshot_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Overcharge Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Overcharge Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Overcharge Shot on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '649', 'overchargeshot_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Overcharge Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Overcharge Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Overcharge Shot on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '650', 'overchargeshot_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Overcharge Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Overcharge Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Overcharge Shot on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '651', 'overchargeshot_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Overcharge Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Overcharge Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Overcharge Shot misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '652', 'particle_beam_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your particle beam on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a particle beam on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a particle beam on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '653', 'particle_beam_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your particle beam on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a particle beam on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a particle beam on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '654', 'particle_beam_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your particle beam on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a particle beam on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a particle beam on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '655', 'particle_beam_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your particle beam on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a particle beam on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a particle beam on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '656', 'particle_beam_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour particle beam misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s particle beam misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s particle beam misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '657', 'peace', '~\n~\n~\n~\n~\nYou stop fighting.\n~\n~\n%TU stops fighting.\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '658', 'peace_single', 'You stop fighting.');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '659', 'pistolmultishot_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Pistol Multi-Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Pistol Multi-Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Pistol Multi-Shot on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '660', 'pistolmultishot_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Pistol Multi-Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Pistol Multi-Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Pistol Multi-Shot on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '661', 'pistolmultishot_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Pistol Multi-Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Pistol Multi-Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Pistol Multi-Shot on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '662', 'pistolmultishot_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Pistol Multi-Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Pistol Multi-Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Pistol Multi-Shot on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '663', 'pistolmultishot_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Pistol Multi-Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Pistol Multi-Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Pistol Multi-Shot misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '664', 'pistolsmash_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Pistol Smash on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Pistol Smash on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Pistol Smash on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '665', 'pistolsmash_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Pistol Smash on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Pistol Smash on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Pistol Smash on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '666', 'pistolsmash_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Pistol Smash on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Pistol Smash on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Pistol Smash on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '667', 'pistolsmash_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Pistol Smash on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Pistol Smash on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Pistol Smash on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '668', 'pistolsmash_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Pistol Smash misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Pistol Smash misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Pistol Smash misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '669', 'pistolwhip_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Pistol Whip on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Pistol Whip on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Pistol Whip on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '670', 'pistolwhip_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Pistol Whip on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Pistol Whip on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Pistol Whip on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '671', 'pistolwhip_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Pistol Whip on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Pistol Whip on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Pistol Whip on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '672', 'pistolwhip_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Pistol Whip on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Pistol Whip on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Pistol Whip on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '673', 'pistolwhip_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Pistol Whip misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Pistol Whip misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Pistol Whip misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '674', 'point_blank_too_far', 'Your target is too far away to execute this attack.');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '675', 'pointblankblast_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Point Blank Blast on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Point Blank Blast on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Point Blank Blast on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '676', 'pointblankblast_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Point Blank Blast on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Point Blank Blast on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Point Blank Blast on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '677', 'pointblankblast_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Point Blank Blast on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Point Blank Blast on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Point Blank Blast on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '678', 'pointblankblast_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Point Blank Blast on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Point Blank Blast on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Point Blank Blast on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '679', 'pointblankblast_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Point Blank Blast misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Point Blank Blast misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Point Blank Blast misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '680', 'pointblankshot_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Point Blank Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Point Blank Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Point Blank Shot on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '681', 'pointblankshot_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Point Blank Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Point Blank Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Point Blank Shot on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '682', 'pointblankshot_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Point Blank Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Point Blank Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Point Blank Shot on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '683', 'pointblankshot_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Point Blank Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Point Blank Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Point Blank Shot on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '684', 'pointblankshot_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Point Blank Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Point Blank Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Point Blank Shot misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '685', 'polearm_blind_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou do an Eye-Smasher on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU does an Eye-Smasher on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU does an Eye-Smasher on you, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '686', 'polearm_blind_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou do an Eye-Smasher on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU does an Eye-Smasher on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU does an Eye-Smasher on you, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '687', 'polearm_blind_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou do an Eye-Smasher on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU does an Eye-Smasher on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU does an Eye-Smasher on you, but you manage to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '688', 'polearm_blind_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou do an Eye-Smasher on %TT and blind %OT!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU does an Eye-Smasher on %TT and blinds %OT!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU does an Eye-Smasher on you and blinds you!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '689', 'polearm_blind_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Eye-Smasher misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Eye-Smasher misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Eye-Smasher misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '690', 'polearm_dam1_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Body-Bruiser on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Body-Bruiser on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Body-Bruiser on you, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '691', 'polearm_dam1_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Body-Bruiser on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Body-Bruiser on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Body-Bruiser on you, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '692', 'polearm_dam1_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Body-Bruiser on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Body-Bruiser on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Body-Bruiser on you, but you manage to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '693', 'polearm_dam1_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nBody-Bruiser lands on %TT and does %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Body-Bruiser lands on %TT and does %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Body-Bruiser lands on you and does %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '694', 'polearm_dam1_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nBody-Bruiser misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Body-Bruiser misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Body-Bruiser misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '695', 'polearm_dam2_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Bone-Cruncher on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Bone-Cruncher on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Bone-Cruncher on you, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '696', 'polearm_dam2_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Bone-Cruncher on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Bone-Cruncher on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Bone-Cruncher on you, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '697', 'polearm_dam2_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Bone-Cruncher on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Bone-Cruncher on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Bone-Cruncher on you, but you manage to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '698', 'polearm_dam2_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nBone-Cruncher lands on %TT and does %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Bone-Cruncher lands on %TT and does %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Bone-Cruncher lands on you and does %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '699', 'polearm_dam2_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nBone-Cruncher misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Bone-Cruncher misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Bone-Cruncher misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '700', 'polearm_dizzy_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Star-Bringer on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Star-Bringer on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Star-Bringer on you, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '701', 'polearm_dizzy_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Star-Bringer on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Star-Bringer on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Star-Bringer on you, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '702', 'polearm_dizzy_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Star-Bringer on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Star-Bringer on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Star-Bringer on you, but you manage to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '703', 'polearm_dizzy_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Star-Bringer on %TT and leave %OT dizzy!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Star-Bringer on %TT and leaves %OT dizzy!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Star-Bringer on you and leaves you dizzy!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '704', 'polearm_dizzy_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Star-Bringer misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Star-Bringer misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Star-Bringer misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '705', 'polearm_head_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use the Skull-Buster on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Skull-Buster on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Skull-Buster on you, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '706', 'polearm_head_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use the Skull-Buster on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Skull-Buster on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Skull-Buster on you, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '707', 'polearm_head_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use the Skull-Buster on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Skull-Buster on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Skull-Buster on you, but you manage to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '708', 'polearm_head_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use the Skull-Buster on %TT and hit %OT in the head for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Skull-Buster on %TT and hits %OT in the head for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Skull-Buster on you and hits you in the head for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '709', 'polearm_head_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Skull-Buster misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Skull-Buster misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Skull-Buster misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '710', 'polearm_knockdown_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Back-Breaker lands on %TT but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Back-Breaker lands on %TT but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Back-Breaker lands on you but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '711', 'polearm_knockdown_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Back-Breaker lands on %TT but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Back-Breaker lands on %TT but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Back-Breaker lands on you but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '712', 'polearm_knockdown_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Back-Breaker on %TT but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Back-Breaker on %TT but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Back-Breaker on you but you manage to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '713', 'polearm_knockdown_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Back-Breaker hits %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Back-Breaker hits %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Back-Breaker hits you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '714', 'polearm_knockdown_hit_knockdown', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Back-Breaker attack knocks %TT down!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Back-Breaker attack knocks %TT down!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Back-Breaker attack knocks you down!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '715', 'polearm_knockdown_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Back-Breaker misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Back-Breaker misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Back-Breaker misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '716', 'polearm_limbs_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use the Limb-Snapper on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Limb-Snapper on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Limb-Snapper on you, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '717', 'polearm_limbs_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use the Limb-Snapper on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Limb-Snapper on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Limb-Snapper on you, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '718', 'polearm_limbs_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use the Limb-Snapper on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Limb-Snapper on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Limb-Snapper on you, but you manage to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '719', 'polearm_limbs_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Limb-Snapper lands on %TT\'s limbs for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Limb-Snapper lands on %TU\'s limbs for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Limb-Snapper lands on %TU\'s limbs for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '720', 'polearm_limbs_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Limb-Snapper misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Limb-Snapper misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Limb-Snapper misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '721', 'polearm_stun_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Breath-Stealer on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Breath-Stealer on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Breath-Stealer on you, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '722', 'polearm_stun_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Breath-Stealer on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Breath-Stealer on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Breath-Stealer on you, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '723', 'polearm_stun_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Breath-Stealer on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Breath-Stealer on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Breath-Stealer on you, but you manage to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '724', 'polearm_stun_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou execute Breath-Stealer on %TT and stun %OT!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU executes Breath-Stealer on %TT and stuns %OT!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU executes Breath-Stealer on you and stuns you!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '725', 'polearm_stun_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Breath-Stealer attack misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Breath-Stealer attack misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Breath-Stealer attack misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '726', 'polearm_sweep_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Knee-Cracker lands on %TT but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Knee-Cracker lands on %TT but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Knee-Cracker lands on you but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '727', 'polearm_sweep_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Knee-Cracker lands on %TT but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Knee-Cracker lands on %TT but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Knee-Cracker lands on you but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '728', 'polearm_sweep_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Knee-Cracker on %TT but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Knee-Cracker on %TT but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Knee-Cracker on you but you manage to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '729', 'polearm_sweep_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Knee-Cracker hits %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Knee-Cracker hits %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Knee-Cracker hits you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '730', 'polearm_sweep_hit_kneel', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Knee-Cracker attack knocks %TT from %PT knees!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Knee-Cracker attack knocks %TT from %PT knees!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Knee-Cracker attack knocks you from kneeling!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '731', 'polearm_sweep_hit_standing', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Knee-Cracker attack knocks %TT from %PT feet!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Knee-Cracker attack knocks %TT from %PT feet!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Knee-Cracker attack knocks you from standing!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '732', 'polearm_sweep_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Knee-Cracker misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Knee-Cracker misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Knee-Cracker misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '733', 'polearm_torso_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Rib-Splitter on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Rib-Splitter on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Rib-Splitter on you, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '734', 'polearm_torso_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Rib-Splitter on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Rib-Splitter on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Rib-Splitter on you, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '735', 'polearm_torso_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Rib-Splitter on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Rib-Splitter on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Rib-Splitter on you, but you manage to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '736', 'polearm_torso_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Rib-Splitter on %TT and hit %OT in the torso for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Rib-Splitter on %TT and hits %OT in the torso for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Rib-Splitter on you and hits you in the torso for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '737', 'polearm_torso_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Rib-Splitter misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Rib-Splitter misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Rib-Splitter misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '738', 'pool_drain_fail', '~\n~\n~\n~\n~\nYou don\'t have enough pool points to do that!\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '739', 'pool_drain_fail_single', 'You don\'t have enough pool points!');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '740', 'posture_down', '-Posture Attack-');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '741', 'posture_down_attack', '+Posture Down Attack+');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '742', 'posture_knocked_down', 'You have been knocked down.');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '743', 'posture_up', '+Posture Attack+');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '744', 'posture_up_attack', '+Posture Up Attack+');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '745', 'prone', '~\n~\n~\n~\n~\nYou lay prone.\n~\n~\n%TU lays prone.\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '746', 'rally_fail', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou fail to rally the group.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU fails to rally %PU group.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU fails to rally %PU group\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '747', 'rally_fail_single', 'You fail to rally the group!');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '748', 'rally_success', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou rally your group!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU rallies the group!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU rallies %PU group!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '749', 'rally_success_group_msg', 'Your group rallies to the attack!');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '750', 'rally_success_single', 'You rally the group!');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '751', 'rancorrising_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Rancor Rising on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Rancor Rising on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Rancor Rising on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '752', 'rancorrising_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Rancor Rising on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Rancor Rising on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Rancor Rising on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '753', 'rancorrising_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Rancor Rising on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Rancor Rising on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Rancor Rising on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '754', 'rancorrising_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Rancor Rising on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Rancor Rising on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Rancor Rising on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '755', 'rancorrising_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Rancor Rising misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Rancor Rising misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Rancor Rising misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '756', 'reload', '~\n~\n~\n~\n~\nYou reload.\n~\n~\n%TU stops to reload.\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '757', 'rescue_fail', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou try to rescue %TT but the enemy won\'t be distracted.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU tries to distract people from %TT, but it doesn\'t work.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU tries to rescue you but your enemies won\'t be distracted.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '758', 'rescue_success', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou rescue %TT by distracting the enemy!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU rescues %TT!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU rescues you by distracting your enemy!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '759', 'retreat_buff', 'Your squad leader has ordered a retreat!');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '760', 'ridingbantha_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Riding Bantha on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Riding Bantha on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Riding Bantha on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '761', 'ridingbantha_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Riding Bantha on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Riding Bantha on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Riding Bantha on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '762', 'ridingbantha_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Riding Bantha on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Riding Bantha on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Riding Bantha on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '763', 'ridingbantha_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Riding Bantha on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Riding Bantha on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Riding Bantha on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '764', 'ridingbantha_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Riding Bantha misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Riding Bantha misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Riding Bantha misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '765', 'rocket_launcher_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your rocket launcher on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a rocket launcher on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a rocket launcher on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '766', 'rocket_launcher_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your rocket launcher on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a rocket launcher on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a rocket launcher on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '767', 'rocket_launcher_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your rocket launcher on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a rocket launcher on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a rocket launcher on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '768', 'rocket_launcher_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use your rocket launcher on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a rocket launcher on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a rocket launcher on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '769', 'rocket_launcher_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour rocket launcher misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s rocket launcher misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s rocket launcher misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '770', 'roll_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou roll forward while firing, but %TT counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU rolls forward while firing, but %TT counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU rolls forward while firing but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '771', 'roll_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou roll forward while firing, but %TT blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU rolls forward while firing, but %TT blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU rolls forward while firing but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '772', 'roll_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou roll forward while firing, but miss %TT, who dodges.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU rolls forward while firing, but miss %TT, who dodges.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU rolls forward while firing but misses you as you dodge.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '773', 'roll_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou roll forward while firing, and hit %TT for %DI points of damage.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU rolls forward while firing, and hits %TT for %DI points of damage.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU rolls forward while firing and hits you for %DI points of damage.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '774', 'roll_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou roll forward while firing, but miss %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU rolls forward while firing, but miss %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU rolls forward while firing but misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '775', 'rollshot_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Roll Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Roll Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Roll Shot on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '776', 'rollshot_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Roll Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Roll Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Roll Shot on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '777', 'rollshot_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Roll Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Roll Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Roll Shot on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '778', 'rollshot_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Roll Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Roll Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Roll Shot on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '779', 'rollshot_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Roll Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Roll Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Roll Shot misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '780', 's_auto_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour full-auto burst backfires as %TT counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU fires a full-auto burst at %TT, but it backfires as %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU fires a full-auto burst at you, but it backfires on %OU as you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '781', 's_auto_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour full-auto burst backfires as %TT blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU fires a full-auto burst at %TT, but it backfires as %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU fires a full-auto burst at you, but it backfires on %OU as you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '782', 's_auto_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n%TT evades your full-auto burst with ease.\n~\n~\n~\n~\n~\n~\n~\n~\n%TT easily evades %TU\'s full-auto burst.\n~\n~\n~\n~\n~\n~\n~\n~\nYou easily evade %TU\'s full-auto burst.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '783', 's_auto_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou fire a full-auto burst at %TT and hit for %DI points of damage.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU fires a full-auto burst at %TT and hits for %DI points of damage.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU fires a full-auto burst at you and hits for %DI points of damage.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '784', 's_auto_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou fire a full-auto burst at %TT but it goes wide.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU fires a full-auto burst at %TT but misses.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU fires a full-auto burst at you, but the shots go wide.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '785', 'saimai_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Sai Mai on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sai Mai on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sai Mai on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '786', 'saimai_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Sai Mai on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sai Mai on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sai Mai on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '787', 'saimai_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Sai Mai on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sai Mai on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sai Mai on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '788', 'saimai_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Sai Mai on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sai Mai on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sai Mai on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '789', 'saimai_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Sai Mai misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Sai Mai misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Sai Mai misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '790', 'saisun_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Sai Sun on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sai Sun on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sai Sun on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '791', 'saisun_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Sai Sun on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sai Sun on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sai Sun on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '792', 'saisun_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Sai Sun on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sai Sun on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sai Sun on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '793', 'saisun_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Sai Sun on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sai Sun on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sai Sun on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '794', 'saisun_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Sai Sun misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Sai Sun misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Sai Sun misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '795', 'saitok_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Sai Tok on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sai Tok on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sai Tok on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '796', 'saitok_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Sai Tok on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sai Tok on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sai Tok on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '797', 'saitok_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Sai Tok on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sai Tok on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sai Tok on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '798', 'saitok_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Sai Tok on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sai Tok on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sai Tok on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '799', 'saitok_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Sai Tok misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Sai Tok misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Sai Tok misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '800', 'sapblast_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Sap Blast on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sap Blast on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sap Blast on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '801', 'sapblast_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Sap Blast on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sap Blast on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sap Blast on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '802', 'sapblast_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Sap Blast on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sap Blast on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sap Blast on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '803', 'sapblast_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Sap Blast on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sap Blast on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sap Blast on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '804', 'sapblast_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Sap Blast misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Sap Blast misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Sap Blast misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '805', 'sapshot_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Sap Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sap Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sap Shot on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '806', 'sapshot_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Sap Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sap Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sap Shot on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '807', 'sapshot_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Sap Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sap Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sap Shot on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '808', 'sapshot_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Sap Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sap Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sap Shot on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '809', 'sapshot_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Sap Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Sap Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Sap Shot misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '810', 'scalpblow_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Scalp Blow on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Scalp Blow on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Scalp Blow on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '811', 'scalpblow_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Scalp Blow on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Scalp Blow on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Scalp Blow on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '812', 'scalpblow_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Scalp Blow on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Scalp Blow on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Scalp Blow on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '813', 'scalpblow_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Scalp Blow on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Scalp Blow on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Scalp Blow on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '814', 'scalpblow_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Scalp Blow misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Scalp Blow misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Scalp Blow misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '815', 'scalpslam_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Scalp Slam on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Scalp Slam on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Scalp Slam on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '816', 'scalpslam_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Scalp Slam on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Scalp Slam on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Scalp Slam on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '817', 'scalpslam_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Scalp Slam on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Scalp Slam on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Scalp Slam on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '818', 'scalpslam_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Scalp Slam on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Scalp Slam on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Scalp Slam on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '819', 'scalpslam_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Scalp Slam misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Scalp Slam misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Scalp Slam misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '820', 'scalpstrike_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Scalp Strike on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Scalp Strike on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Scalp Strike on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '821', 'scalpstrike_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Scalp Strike on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Scalp Strike on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Scalp Strike on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '822', 'scalpstrike_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Scalp Strike on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Scalp Strike on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Scalp Strike on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '823', 'scalpstrike_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Scalp Strike on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Scalp Strike on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Scalp Strike on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '824', 'scalpstrike_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Scalp Strike misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Scalp Strike misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Scalp Strike misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '825', 'scatterblast_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Scatter Blast on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Scatter Blast on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Scatter Blast on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '826', 'scatterblast_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Scatter Blast on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Scatter Blast on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Scatter Blast on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '827', 'scatterblast_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Scatter Blast on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Scatter Blast on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Scatter Blast on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '828', 'scatterblast_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Scatter Blast on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Scatter Blast on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Scatter Blast on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '829', 'scatterblast_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Scatter Blast misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Scatter Blast misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Scatter Blast misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '830', 'scattershiak_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Scatter Shiak on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Scatter Shiak on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Scatter Shiak on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '831', 'scattershiak_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Scatter Shiak on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Scatter Shiak on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Scatter Shiak on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '832', 'scattershiak_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Scatter Shiak on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Scatter Shiak on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Scatter Shiak on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '833', 'scattershiak_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Scatter Shiak on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Scatter Shiak on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Scatter Shiak on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '834', 'scattershiak_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Scatter Shiak misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Scatter Shiak misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Scatter Shiak misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '835', 'scattershot_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Scatter Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Scatter Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Scatter Shot on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '836', 'scattershot_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Scatter Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Scatter Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Scatter Shot on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '837', 'scattershot_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Scatter Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Scatter Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Scatter Shot on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '838', 'scattershot_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Scatter Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Scatter Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Scatter Shot on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '839', 'scattershot_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Scatter Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Scatter Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Scatter Shot misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '840', 'scatterstab_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Scatter Stab on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Scatter Stab on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Scatter Stab on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '841', 'scatterstab_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Scatter Stab on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Scatter Stab on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Scatter Stab on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '842', 'scatterstab_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Scatter Stab on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Scatter Stab on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Scatter Stab on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '843', 'scatterstab_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Scatter Stab on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Scatter Stab on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Scatter Stab on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '844', 'scatterstab_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Scatter Stab misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Scatter Stab misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Scatter Stab misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '845', 'screamingsquill_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Screaming Squill on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Screaming Squill on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Screaming Squill on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '846', 'screamingsquill_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Screaming Squill on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Screaming Squill on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Screaming Squill on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '847', 'screamingsquill_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Screaming Squill on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Screaming Squill on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Screaming Squill on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '848', 'screamingsquill_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Screaming Squill on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Screaming Squill on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Screaming Squill on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '849', 'screamingsquill_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Screaming Squill misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Screaming Squill misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Screaming Squill misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '850', 'semiautoattack_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Semi-auto Attack on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Semi-auto Attack on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Semi-auto Attack on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '851', 'semiautoattack_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Semi-auto Attack on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Semi-auto Attack on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Semi-auto Attack on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '852', 'semiautoattack_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Semi-auto Attack on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Semi-auto Attack on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Semi-auto Attack on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '853', 'semiautoattack_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Semi-auto Attack on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Semi-auto Attack on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Semi-auto Attack on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '854', 'semiautoattack_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Semi-auto Attack misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Semi-auto Attack misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Semi-auto Attack misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '855', 'shattershot_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Shatter Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Shatter Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Shatter Shot on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '856', 'shattershot_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Shatter Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Shatter Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Shatter Shot on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '857', 'shattershot_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Shatter Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Shatter Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Shatter Shot on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '858', 'shattershot_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Shatter Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Shatter Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Shatter Shot on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '859', 'shattershot_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Shatter Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Shatter Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Shatter Shot misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '860', 'shenbitbonecrusher_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Shenbit Bonecrusher on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Shenbit Bonecrusher on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Shenbit Bonecrusher on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '861', 'shenbitbonecrusher_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Shenbit Bonecrusher on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Shenbit Bonecrusher on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Shenbit Bonecrusher on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '862', 'shenbitbonecrusher_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Shenbit Bonecrusher on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Shenbit Bonecrusher on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Shenbit Bonecrusher on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '863', 'shenbitbonecrusher_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Shenbit Bonecrusher on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Shenbit Bonecrusher on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Shenbit Bonecrusher on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '864', 'shenbitbonecrusher_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Shenbit Bonecrusher misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Shenbit Bonecrusher misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Shenbit Bonecrusher misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '865', 'shield_damaged', 'Your %TO shield prevented %DI points of damage.');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '866', 'shiim_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Shiim on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Shiim on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Shiim on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '867', 'shiim_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Shiim on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Shiim on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Shiim on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '868', 'shiim_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Shiim on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Shiim on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Shiim on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '869', 'shiim_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Shiim on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Shiim on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Shiim on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '870', 'shiim_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Shiim misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Shiim misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Shiim misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '871', 'shiimshiak_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Shiim Shiak on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Shiim Shiak on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Shiim Shiak on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '872', 'shiimshiak_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Shiim Shiak on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Shiim Shiak on %TT for %DI points of damage, but %ST block it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Shiim Shiak on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '873', 'shiimshiak_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Shiim Shiak on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Shiim Shiak on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Shiim Shiak on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '874', 'shiimshiak_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Shiim Shiak on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Shiim Shiak on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Shiim Shiak on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '875', 'shiimshiak_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Shiim Shiak misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Shiim Shiak misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Shiim Shiak misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '876', 'shockshot_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Shock Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Shock Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Shock Shot on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '877', 'shockshot_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Shock Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Shock Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Shock Shot on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '878', 'shockshot_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Shock Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Shock Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Shock Shot on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '879', 'shockshot_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Shock Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Shock Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Shock Shot on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '880', 'shockshot_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Shock Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Shock Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Shock Shot misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '881', 'shoot_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou shoot at %TT and hit %OT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots at %TT and hits %OT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots at you and hits, but you shrug it off and counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '882', 'shoot_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou shoot at %TT and hit %OT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots at %TT and hits %OT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots at you and hits, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '883', 'shoot_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou shoot at %TT, but %ST dodges out of the way.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots at %TT, but %ST dodges out of the way.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots at you, but you dodge out of the way.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '884', 'shoot_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou shoot at %TT and hit for %DI points of damage.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots at %TT and hits for %DI points of damage.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots at you and hits for %DI points of damage.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '885', 'shoot_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou shoot at %TT but miss.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots at %TT and misses.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots at you and misses.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '886', 'shoot_self', '~\n~\n~\n~\n~\nYou cannot attack yourself!\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '887', 'skullslash_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Skull Slash on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Skull Slash on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Skull Slash on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '888', 'skullslash_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Skull Slash on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Skull Slash on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Skull Slash on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '889', 'skullslash_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Skull Slash on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Skull Slash on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Skull Slash on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '890', 'skullslash_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Skull Slash on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Skull Slash on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Skull Slash on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '891', 'skullslash_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Skull Slash misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Skull Slash misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Skull Slash misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '892', 'skullstab_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Skull Stab on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Skull Stab on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Skull Stab on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '893', 'skullstab_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Skull Stab on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Skull Stab on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Skull Stab on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '894', 'skullstab_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Skull Stab on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Skull Stab on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Skull Stab on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '895', 'skullstab_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Skull Stab on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Skull Stab on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Skull Stab on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '896', 'skullstab_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Skull Stab misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Skull Stab misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Skull Stab misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '897', 'slashspin_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Slash Spin on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Slash Spin on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Slash Spin on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '898', 'slashspin_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Slash Spin on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Slash Spin on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Slash Spin on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '899', 'slashspin_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Slash Spin on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Slash Spin on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Slash Spin on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '900', 'slashspin_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Slash Spin on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Slash Spin on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Slash Spin on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '901', 'slashspin_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Slash Spin misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Slash Spin misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Slash Spin misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '902', 'sleepingkrayt_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Sleeping Krayt on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sleeping Krayt on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sleeping Krayt on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '903', 'sleepingkrayt_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Sleeping Krayt on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sleeping Krayt on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sleeping Krayt on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '904', 'sleepingkrayt_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Sleeping Krayt on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sleeping Krayt on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sleeping Krayt on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '905', 'sleepingkrayt_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Sleeping Krayt on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sleeping Krayt on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sleeping Krayt on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '906', 'sleepingkrayt_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Sleeping Krayt misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Sleeping Krayt misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Sleeping Krayt misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '907', 'sneak_fail', '~\n~\n~\n~\n~\nYou try to move steathily, but lose cover.\n~\n~\n%TU has lost cover.\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '908', 'sneak_fail_single', 'You fail to sneak!');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '909', 'sneak_success', '~\n~\n~\n~\n~\nYou begin to move steathily.\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '910', 'sneak_success_single', 'You start sneaking.');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '911', 'snipershot_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Sniper Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sniper Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sniper Shot on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '912', 'snipershot_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Sniper Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sniper Shot on %TT for %DI points of damage, but %ST block it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sniper Shot on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '913', 'snipershot_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Sniper Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sniper Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sniper Shot on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '914', 'snipershot_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Sniper Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sniper Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sniper Shot on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '915', 'snipershot_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Sniper Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Sniper Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Sniper Shot misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '916', 'spinningsmash_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Spinning Smash on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Spinning Smash on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Spinning Smash on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '917', 'spinningsmash_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Spinning Smash on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Spinning Smash on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Spinning Smash on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '918', 'spinningsmash_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Spinning Smash on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Spinning Smash on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Spinning Smash on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '919', 'spinningsmash_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Spinning Smash on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Spinning Smash on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Spinning Smash on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '920', 'spinningsmash_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Spinning Smash misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Spinning Smash misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Spinning Smash misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '921', 'spinslam_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Spin Slam on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Spin Slam on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Spin Slam on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '922', 'spinslam_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Spin Slam on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Spin Slam on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Spin Slam on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '923', 'spinslam_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Spin Slam on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Spin Slam on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Spin Slam on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '924', 'spinslam_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Spin Slam on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Spin Slam on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Spin Slam on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '925', 'spinslam_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Spin Slam misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Spin Slam misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Spin Slam misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '926', 'spinstrike_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Spin Strike on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Spin Strike on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Spin Strike on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '927', 'spinstrike_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Spin Strike on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Spin Strike on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Spin Strike on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '928', 'spinstrike_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Spin Strike on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Spin Strike on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Spin Strike on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '929', 'spinstrike_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Spin Strike on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Spin Strike on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Spin Strike on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '930', 'spinstrike_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Spin Strike misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Spin Strike misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Spin Strike misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '931', 'spittingrawl_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Spitting Rawl on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Spitting Rawl on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Spitting Rawl on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '932', 'spittingrawl_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Spitting Rawl on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Spitting Rawl on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Spitting Rawl on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '933', 'spittingrawl_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Spitting Rawl on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Spitting Rawl on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Spitting Rawl on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '934', 'spittingrawl_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Spitting Rawl on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Spitting Rawl on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Spitting Rawl on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '935', 'spittingrawl_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Spitting Rawl misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Spitting Rawl misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Spitting Rawl misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '936', 'sprayshot_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Spray Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Spray Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Spray Shot on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '937', 'sprayshot_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Spray Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Spray Shot on %TT for %DI points of damage, but %STblocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Spray Shot on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '938', 'sprayshot_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Spray Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Spray Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Spray Shot on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '939', 'sprayshot_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Spray Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Spray Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Spray Shot on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '940', 'sprayshot_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Spray Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Spray Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Spray Shot misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '941', 'stand', '~\n~\n~\n~\n~\nYou stand up.\n~\n~\n%TU stands up.\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '942', 'startle_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou shoot at %TT, trying to startle %OT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots at %TT, trying to startle %OT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots at you, trying to startle you, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '943', 'startle_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou shoot at %TT, trying to startle %OT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots at %TT, trying to startle %OT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots at you, trying to startle you, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '944', 'startle_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou shoot at %TT, trying to startle %OT, but %ST dodges out of the way.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots at %TT, trying to startle %OT, but %ST dodges out of the way.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots at you, trying to startle you, but you dodge out of the way.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '945', 'startle_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou shoot at %TT, trying to startle %OT, and hit for %DI points of damage.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots at %TT, trying to startle %OT and hits for %DI points of damage.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots at you, trying to startle you, and hits for %DI points of damage.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '946', 'startle_hit_kneel', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou shoot at %TT, startling %OT from kneeling.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots at %TT, startling %OT from kneeling.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots at you, startling you from kneeling.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '947', 'startle_hit_prone', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou shoot at %TT, startling %OT from prone.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots at %TT, startling %OT from prone.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots at you, startling you from prone.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '948', 'startle_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou shoot at %TT, trying to startle %OT, but it doesn\'t work.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots at %TT, trying to startle %OT, but it doesn\'t work.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots at you, trying to startle you, but it doesn\'t work.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '949', 'startleshot_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Startle Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Startle Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Startle Shot on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '950', 'startleshot_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Startle Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Startle Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Startle Shot on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '951', 'startleshot_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Startle Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Startle Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Startle Shot on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '952', 'startleshot_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Startle Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Startle Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Startle Shot on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '953', 'startleshot_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Startle Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Startle Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Startle Shot misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '954', 'steadyaim_buff', 'Your squad leader directs you to aim carefully.');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '955', 'steelhands_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Steel Hands on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Steel Hands on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Steel Hands on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '956', 'steelhands_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Steel Hands on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Steel Hands on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Steel Hands on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '957', 'steelhands_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Steel Hands on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Steel Hands on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Steel Hands on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '958', 'steelhands_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Steel Hands on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Steel Hands on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Steel Hands on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '959', 'steelhands_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Steel Hands misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Steel Hands misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Steel Hands misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '960', 'stoppingshot_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Stopping Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Stopping Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Stopping Shot on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '961', 'stoppingshot_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Stopping Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Stopping Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Stopping Shot on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '962', 'stoppingshot_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Stopping Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Stopping Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Stopping Shot on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '963', 'stoppingshot_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Stopping Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Stopping Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Stopping Shot on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '964', 'stoppingshot_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Stopping Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Stopping Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Stopping Shot misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '965', 'strafe_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou strafe the ground near %TT, trying to flush %OT from cover, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU strafes the ground near %TT, trying to flush %OT from cover, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU strafes the ground, trying to flush you from cover, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '966', 'strafe_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou strafe the ground near %TT, trying to flush %OT from cover, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU strafes the ground near %TT, trying to flush %OT from cover, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU strafes the ground, trying to flush you from cover, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '967', 'strafe_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou strafe the ground near %TT, trying to flush %OT from cover, but %ST dodges out of the way.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU strafes the ground near %TT, trying to flush %OT from cover, but %ST dodges out of the way.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU strafes the ground, trying to flush you from cover, but you dodge out of the way.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '968', 'strafe_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou strafe the ground near %TT, trying to flush %OT from cover, and hit for %DI points of damage.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU strafes the ground near %TT, trying to flush %OT from cover, and hits %OT for %DI points of damage.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU strafes the ground, trying to flush you from cover, and hits for %DI points of damage.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '969', 'strafe_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou strafe the ground near %TT, trying to flush %OT from cover, but it doesn\'t work.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU strafes the ground near %TT, trying to flush %OT from cover, but it doesn\'t work.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU strafes the ground, trying to flush you from cover, but it doesn\'t work.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '970', 'strafeshot_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Strafe Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Strafe Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Strafe Shot on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '971', 'strafeshot_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Strafe Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Strafe Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Strafe Shot on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '972', 'strafeshot_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Strafe Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Strafe Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Strafe Shot on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '973', 'strafeshot_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Strafe Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Strafe Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Strafe Shot on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '974', 'strafeshot_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Strafe Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Strafe Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Strafe Shot misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '975', 'stun_attack', '+Stun Attack+');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '976', 'sup_fire_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou shoot an arc of suppressing fire at %TT but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots an arc of suppressing fire in %TT\'s direction but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots an arc of suppressing fire at you, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '977', 'sup_fire_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou shoot an arc of suppressing fire at %TT but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots an arc of suppressing fire in %TT\'s direction but %ST block it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots an arc of suppressing fire at you, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '978', 'sup_fire_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou shoot an arc of suppressing fire at %TT but %ST dodges out of the way.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots an arc of suppressing fire in %TT\'s direction but %ST dodges out of the way.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots an arc of suppressing fire at you, but you dodge out of the way.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '979', 'sup_fire_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou fire an arc of suppressing fire in %TT\'s direction and hit for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU fires an arc of suppressing fire in %TT\'s direction and hits for %DI points of damage.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots an arc of suppressing fire in your direction and hits for %DI points of damage.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '980', 'sup_fire_hit_kneel', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou shoot an arc of suppressing fire in %TT\'s direction, and force %OT to lay prone.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots an arc of suppressing fire in %TT\'s direction, forcing %OT prone.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots an arc of suppressing fire in your direction, forcing you prone.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '981', 'sup_fire_hit_standing', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou shoot an arc of suppressing fire in %TT\'s direction and %ST kneels to avoid the shots.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots an arc of suppressing fire in %TT\'s direction and %ST kneels to avoid the shots.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots an arc of suppressing fire at you, so you kneel to avoid the shots!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '982', 'sup_fire_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou shoot an arc of suppressing fire at %TT but %ST ignores it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots an arc of suppressing fire in %TT\'s direction but %ST ignores it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots an arc of suppressing fire at you, but you ignore it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '983', 'suppressionfire_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Suppression Fire on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Suppression Fire on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Suppression Fire on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '984', 'suppressionfire_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Suppression Fire on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Suppression Fire on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Suppression Fire on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '985', 'suppressionfire_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Suppression Fire on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Suppression Fire on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Suppression Fire on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '986', 'suppressionfire_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Suppression Fire on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Suppression Fire on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Suppression Fire on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '987', 'suppressionfire_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Suppression Fire misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Suppression Fire misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Suppression Fire misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '988', 'surprise_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou try to surprise %TT with a sudden attack, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU tries to surprise %TT with a sudden attack, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots at you, trying to catch you by surprise, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '989', 'surprise_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou try to surprise %TT with a sudden attack, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU tries to surprise %TT with a sudden attack, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots at you, trying to catch you by surprise, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '990', 'surprise_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou try to surprise %TT with a sudden attack, but %ST dodges out of the way.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU tries to surprise %TT with a sudden attack, but %ST dodges out of the way.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots at you, trying to catch you by surprise, but you dodge out of the way.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '991', 'surprise_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou shoot at %TT and surprise %OT! You hit for %DI points of damage.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots at %TT and surprises %OT, hitting for %DI points of damage.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots at you, catching you by surprise, and hits for %DI points of damage.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '992', 'surprise_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou try to surprise %TT with a sudden attack, but miss.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU tries to surprise %TT with a sudden attack, but misses.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots at you, trying to catch you by surprise, but misses.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '993', 'surpriseshot_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Surprise Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Surprise Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Surprise Shot on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '994', 'surpriseshot_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Surprise Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Surprise Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Surprise Shot on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '995', 'surpriseshot_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Surprise Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Surprise Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Surprise Shot on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '996', 'surpriseshot_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Surprise Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Surprise Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Surprise Shot on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '997', 'surpriseshot_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Surprise Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Surprise Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Surprise Shot misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '998', 'sweep_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Sweep on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sweep on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sweep on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '999', 'sweep_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Sweep on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sweep on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sweep on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1000', 'sweep_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Sweep on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sweep on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sweep on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1001', 'sweep_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Sweep on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sweep on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sweep on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1002', 'sweep_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Sweep misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Sweep misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Sweep misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1003', 'sword1_blind_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou do an Drawing Darkness on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU does an Drawing Darkness on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU does an Eye Smasher on you, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1004', 'sword1_blind_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou do an Drawing Darkness on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU does an Drawing Darkness on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU does an Eye Smasher on you, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1005', 'sword1_blind_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou do an Drawing Darkness on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU does an Drawing Darkness on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU does an Drawing Darkness on you, but you manage to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1006', 'sword1_blind_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Drawing Darkness on %TT and blind %OT!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU does an Drawing Darkness on %TT and blinds %OT!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU does an Eye-Smasher on you and blinds you!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1007', 'sword1_blind_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Drawing Darkness maneuver misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Drawing Darkness misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Eye Smasher misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1008', 'sword1_dam1_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Raging River on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Raging River on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Raging River on you, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1009', 'sword1_dam1_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Raging River on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Raging River on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Raging River on you, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1010', 'sword1_dam1_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Raging River on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Raging River on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Raging River on you, but you manage to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1011', 'sword1_dam1_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nRaging River lands on %TT and does %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Raging River lands on %TT and does %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Raging River lands on you and does %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1012', 'sword1_dam1_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nRaging River misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Raging River misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Raging River misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1013', 'sword1_dam2_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Burning Lava on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Burning Lava on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Burning Lava on you, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1014', 'sword1_dam2_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Burning Lava on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Burning Lava on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Burning Lava on you, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1015', 'sword1_dam2_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Burning Lava on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Burning Lava on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Burning Lava on you, but you manage to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1016', 'sword1_dam2_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nBurning Lava lands on %TT and does %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Burning Lava lands on %TT and does %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Burning Lava lands on you and does %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1017', 'sword1_dam2_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nBurning Lava misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Burning Lava misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Burning Lava misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1018', 'sword1_dizzy_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Eclipse on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Eclipse on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Eclipse on you, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1019', 'sword1_dizzy_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Eclipse on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Eclipse on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Eclipse on you, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1020', 'sword1_dizzy_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Eclipse on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Eclipse on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Eclipse on you, but you manage to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1021', 'sword1_dizzy_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Eclipse on %TT and leave %OT dizzy!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Eclipse on %TT and leaves %OT dizzy!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Eclipse on you and leaves you dizzy!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1022', 'sword1_dizzy_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Eclipse misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Eclipse misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Eclipse misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1023', 'sword1_head_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use the Total Eclipse on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Total Eclipse on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Total Eclipse on you, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1024', 'sword1_head_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use the Total Eclipse on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Total Eclipse on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Total Eclipse on you, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1025', 'sword1_head_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use the Total Eclipse on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Total Eclipse on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Total Eclipse on you, but you manage to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1026', 'sword1_head_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use the Total Eclipse on %TT and hit %OT in the head for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Total Eclipse on %TT and hits %OT in the head for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Total Eclipse on you and hits you in the head for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1027', 'sword1_head_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Total Eclipse misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Total Eclipse misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Total Eclipse misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1028', 'sword1_knockdown_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Crumbling Mountain lands on %TT but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Crumbling Mountain lands on %TT but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Crumbling Mountain lands on you but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1029', 'sword1_knockdown_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Crumbling Mountain lands on %TT but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Crumbling Mountain lands on %TT but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Crumbling Mountain lands on you but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1030', 'sword1_knockdown_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Crumbling Mountain on %TT but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Crumbling Mountain on %TT but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Crumbling Mountain on you but you manage to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1031', 'sword1_knockdown_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Crumbling Mountain hits %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Crumbling Mountain hits %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Crumbling Mountain hits you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1032', 'sword1_knockdown_hit_knockdown', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Crumbling Mountain attack knocks %TT down!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Crumbling Mountain attack knocks %TT down!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Crumbling Mountain attack knocks you down!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1033', 'sword1_knockdown_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Crumbling Mountain misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Crumbling Mountain misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Crumbling Mountain misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1034', 'sword1_limbs_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use the Twisting Branch on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Twisting Branch on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Twisting Branch on you, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1035', 'sword1_limbs_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use the Twisting Branch on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Twisting Branch on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Twisting Branch on you, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1036', 'sword1_limbs_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use the Twisting Branch on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Twisting Branch on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Twisting Branch on you, but you manage to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1037', 'sword1_limbs_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Twisting Branch lands on %TT\'s limbs for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Twisting Branch lands on %TU\'s limbs for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Twisting Branch lands on %TU\'s limbs for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1038', 'sword1_limbs_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Twisting Branch misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Twisting Branch misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Twisting Branch misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1039', 'sword1_stun_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Flash Flood on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Flash Flood on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Flash Flood on you, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1040', 'sword1_stun_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Flash Flood on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Flash Flood on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Flash Flood on you, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1041', 'sword1_stun_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Flash Flood on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Flash Flood on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Flash Flood on you, but you manage to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1042', 'sword1_stun_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou execute Flash Flood on %TT and stun %OT!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU executes Flash Flood on %TT and stuns %OT!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU executes Flash Flood on you and stuns you!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1043', 'sword1_stun_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Flash Flood attack misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Flash Flood attack misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Flash Flood attack misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1044', 'sword1_sweep_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Shifting Sand lands on %TT but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Shifting Sand lands on %TT but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Shifting Sand lands on you but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1045', 'sword1_sweep_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Shifting Sand lands on %TT but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Shifting Sand lands on %TT but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Shifting Sand lands on you but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1046', 'sword1_sweep_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Shifting Sand on %TT but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Shifting Sand on %TT but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Shifting Sand on you but you manage to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1047', 'sword1_sweep_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Shifting Sand hits %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Shifting Sand hits %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Shifting Sand hits you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1048', 'sword1_sweep_hit_kneel', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Shifting Sand attack knocks %TT from %PT knees!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Shifting Sand attack knocks %TT from %PT knees!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Shifting Sand attack knocks you from kneeling!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1049', 'sword1_sweep_hit_standing', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Shifting Sand attack knocks %TT from %PT feet!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Shifting Sand attack knocks %TT from %PT feet!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Shifting Sand attack knocks you from standing!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1050', 'sword1_sweep_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Shifting Sand misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Shifting Sand misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Shifting Sand misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1051', 'sword1_torso_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Stabbing Light on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Stabbing Light on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Stabbing Light on you, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1052', 'sword1_torso_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Stabbing Light on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Stabbing Light on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Stabbing Light on you, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1053', 'sword1_torso_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Stabbing Light on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Stabbing Light on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Stabbing Light on you, but you manage to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1054', 'sword1_torso_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Stabbing Light on %TT and hit %OT in the torso for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Stabbing Light on %TT and hits %OT in the torso for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Stabbing Light on you and hits you in the torso for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1055', 'sword1_torso_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Stabbing Light misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Stabbing Light misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Stabbing Light misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1056', 'sword2_blind_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou do an Crown Attack on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU does an Crown Attack on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU does an Crown Attack on you, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1057', 'sword2_blind_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou do an Crown Attack on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU does an Crown Attack on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU does an Crown Attack on you, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1058', 'sword2_blind_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou do an Crown Attack on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU does an Crown Attack on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU does an Crown Attack on you, but you manage to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1059', 'sword2_blind_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou do an Crown Attack on %TT and blind %OT!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU does an Crown Attack on %TT and blinds %OT!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU does an Crown Attack on you and blinds you!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1060', 'sword2_blind_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Crown Attack misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Crown Attack misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Crown Attack misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1061', 'sword2_dam1_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Father Strike on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Father Strike on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Father Strike on you, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1062', 'sword2_dam1_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Father Strike on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Father Strike on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Father Strike on you, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1063', 'sword2_dam1_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Father Strike on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Father Strike on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Father Strike on you, but you manage to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1064', 'sword2_dam1_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nFather Strike lands on %TT and does %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Father Strike lands on %TT and does %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Father Strike lands on you and does %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1065', 'sword2_dam1_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nFather Strike misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Father Strike misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Father Strike misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1066', 'sword2_dam2_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Death Blow on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Death Blow on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Death Blow on you, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1067', 'sword2_dam2_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Death Blow on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Death Blow on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Death Blow on you, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1068', 'sword2_dam2_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Death Blow on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Death Blow on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Death Blow on you, but you manage to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1069', 'sword2_dam2_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nDeath Blow lands on %TT and does %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Death Blow lands on %TT and does %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Death Blow lands on you and does %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1070', 'sword2_dam2_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nDeath Blow misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Death Blow misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Death Blow misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1071', 'sword2_dizzy_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Skull Blow on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Skull Blow on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Skull Blow on you, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1072', 'sword2_dizzy_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Skull Blow on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Skull Blow on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Skull Blow on you, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1073', 'sword2_dizzy_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Skull Blow on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Skull Blow on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Skull Blow on you, but you manage to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1074', 'sword2_dizzy_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Skull Blow on %TT and leave %OT dizzy!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Skull Blow on %TT and leaves %OT dizzy!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Skull Blow on you and leaves you dizzy!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1075', 'sword2_dizzy_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Skull Blow misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Skull Blow misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Skull Blow misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1076', 'sword2_head_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use the Scalp Blow on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Scalp Blow on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Scalp Blow on you, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1077', 'sword2_head_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use the Scalp Blow on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Scalp Blow on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Scalp Blow on you, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1078', 'sword2_head_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use the Scalp Blow on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Scalp Blow on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Scalp Blow on you, but you manage to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1079', 'sword2_head_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use the Scalp Blow on %TT and hit %OT in the head for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Scalp Blow on %TT and hits %OT in the head for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Scalp Blow on you and hits you in the head for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1080', 'sword2_head_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Scalp Blow misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Scalp Blow misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Scalp Blow misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1081', 'sword2_knockdown_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Sweeping Blow lands on %TT but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Sweeping Blow lands on %TT but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Sweeping Blow lands on you but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1082', 'sword2_knockdown_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Sweeping Blow lands on %TT but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Sweeping Blow lands on %TT but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Sweeping Blow lands on you but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1083', 'sword2_knockdown_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Sweeping Blow on %TT but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sweeping Blow on %TT but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sweeping Blow on you but you manage to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1084', 'sword2_knockdown_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Sweeping Blow hits %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Sweeping Blow hits %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Sweeping Blow hits you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1085', 'sword2_knockdown_hit_knockdown', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Sweeping Blow attack knocks %TT down!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Sweeping Blow attack knocks %TT down!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Sweeping Blow attack knocks you down!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1086', 'sword2_knockdown_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Sweeping Blow misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Sweeping Blow misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Sweeping Blow misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1087', 'sword2_limbs_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use the Hanging Swing on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Hanging Swing on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Hanging Swing on you, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1088', 'sword2_limbs_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use the Hanging Swing on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Hanging Swing on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Hanging Swing on you, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1089', 'sword2_limbs_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use the Hanging Swing on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Hanging Swing on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Hanging Swing on you, but you manage to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1090', 'sword2_limbs_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Hanging Swing lands on %TT\'s limbs for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Hanging Swing lands on %TU\'s limbs for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Hanging Swing lands on %TU\'s limbs for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1091', 'sword2_limbs_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Hanging Swing misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Hanging Swing misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Hanging Swing misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1092', 'sword2_stun_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Hammer Blow on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Hammer Blow on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Hammer Blow on you, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1093', 'sword2_stun_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Hammer Blow on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Hammer Blow on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Hammer Blow on you, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1094', 'sword2_stun_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Hammer Blow on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Hammer Blow on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Hammer Blow on you, but you manage to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1095', 'sword2_stun_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou execute Hammer Blow on %TT and stun %OT!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU executes Hammer Blow on %TT and stuns %OT!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU executes Hammer Blow on you and stuns you!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1096', 'sword2_stun_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Hammer Blow attack misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Hammer Blow attack misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Hammer Blow attack misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1097', 'sword2_sweep_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Domination lands on %TT but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Domination lands on %TT but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Domination lands on you but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1098', 'sword2_sweep_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Domination lands on %TT but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Domination lands on %TT but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Domination lands on you but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1099', 'sword2_sweep_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Domination on %TT but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Domination on %TT but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Domination on you but you manage to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1100', 'sword2_sweep_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Domination hits %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Domination hits %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Domination hits you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1101', 'sword2_sweep_hit_kneel', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Domination attack knocks %TT from %PT knees!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Domination attack knocks %TT from %PT knees!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Domination attack knocks you from kneeling!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1102', 'sword2_sweep_hit_standing', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Domination attack knocks %TT from %PT feet!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Domination attack knocks %TT from %PT feet!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Domination attack knocks you from standing!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1103', 'sword2_sweep_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Domination misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Domination misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Domination misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1104', 'sword2_torso_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Body Strike on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Body Strike on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Body Strike on you, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1105', 'sword2_torso_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Body Strike on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Body Strike on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Body Strike on you, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1106', 'sword2_torso_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Body Strike on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Body Strike on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Body Strike on you, but you manage to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1107', 'sword2_torso_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Body Strike on %TT and hit %OT in the torso for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Body Strike on %TT and hits %OT in the torso for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Body Strike on you and hits you in the torso for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1108', 'sword2_torso_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Body Strike misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Body Strike misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Body Strike misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1109', 'target_lost', 'You have lost your current combat target.');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1110', 'taunt_fail', '~\n~\n~\n~\n~\nYou try to go taunt your enemy, but they don\'t fall for it.\n~\n~\n%TU taunts his enemy to no avail.\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1111', 'taunt_fail_single', 'You fail to taunt your enemy.');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1112', 'taunt_success', '~\n~\n~\n~\n~\nYou taunt your enemy, enraging them!\n~\n~\n%TU taunts his enemy!\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1113', 'taunt_success_single', 'You successfully taunt your enemy!');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1114', 'terriblestrike_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Terrible Strike on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Terrible Strike on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Terrible Strike on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1115', 'terriblestrike_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Terrible Strike on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Terrible Strike on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Terrible Strike on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1116', 'terriblestrike_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Terrible Strike on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Terrible Strike on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Terrible Strike on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1117', 'terriblestrike_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Terrible Strike on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Terrible Strike on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Terrible Strike on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1118', 'terriblestrike_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Terrible Strike misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Terrible Strike misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Terrible Strike misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1119', 'threatenshot_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Threaten Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Threaten Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Threaten Shot on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1120', 'threatenshot_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Threaten Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Threaten Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Threaten Shot on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1121', 'threatenshot_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Threaten Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Threaten Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Threaten Shot on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1122', 'threatenshot_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Threaten Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Threaten Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Threaten Shot on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1123', 'threatenshot_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Threaten Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Threaten Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Threaten Shot misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1124', 'throw_cryoban_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use a cryoban grenade on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a cryoban grenade on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a cryoban grenade on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1125', 'throw_cryoban_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use a cryoban grenade on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a cryoban grenade on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a cryoban grenade on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1126', 'throw_cryoban_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use a cryoban grenade on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a cryoban grenade on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a cryoban grenade on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1127', 'throw_cryoban_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use a cryoban grenade on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a cryoban grenade on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a cryoban grenade on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1128', 'throw_cryoban_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour cryoban grenade misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s cryoban grenade misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s cryoban grenade misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1129', 'throw_fragmentation_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use a fragmentation grenade on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a fragmentation grenade on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a fragmentation grenade on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1130', 'throw_fragmentation_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use a fragmentation grenade on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a fragmentation grenade on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a fragmentation grenade on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1131', 'throw_fragmentation_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use a fragmentation grenade on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a fragmentation grenade on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a fragmentation grenade on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1132', 'throw_fragmentation_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use a fragmentation grenade on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a fragmentation grenade on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a fragmentation grenade on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1133', 'throw_fragmentation_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour fragmentation grenade misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s fragmentation grenade misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s fragmentation grenade misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1134', 'throw_glop_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use a glop grenade on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a glop grenade on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a glop grenade on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1135', 'throw_glop_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use a glop grenade on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a glop grenade on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a glop grenade on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1136', 'throw_glop_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use a glop grenade on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a glop grenade on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a glop grenade on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1137', 'throw_glop_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use a glop grenade on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a glop grenade on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a glop grenade on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1138', 'throw_glop_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour glop grenade misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s glop grenade misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s glop grenade misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1139', 'throw_imperial_detonator_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use an Imperial detonator on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses an Imperial detonator on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses an Imperial detonator on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1140', 'throw_imperial_detonator_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use an Imperial detonator on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses an Imperial detonator on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses an Imperial detonator on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1141', 'throw_imperial_detonator_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use an Imperial detonator on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses an Imperial detonator on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses an Imperial detonator on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1142', 'throw_imperial_detonator_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use an Imperial detonator on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses an Imperial detonator on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses an Imperial detonator on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1143', 'throw_imperial_detonator_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Imperial detonator misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Imperial detonator misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Imperial detonator misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1144', 'throw_proton_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use a proton grenade on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a proton grenade on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a proton grenade on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1145', 'throw_proton_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use a proton grenade on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a proton grenade on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a proton grenade on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1146', 'throw_proton_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use a proton grenade on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a proton grenade on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a proton grenade on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1147', 'throw_proton_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use a proton grenade on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a proton grenade on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a proton grenade on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1148', 'throw_proton_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour proton grenade misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s proton grenade misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s proton grenade misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1149', 'throw_thermal_detonator_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use a thermal detonator on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a thermal detonator on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a thermal detonator on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1150', 'throw_thermal_detonator_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use a thermal detonator on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a thermal detonator on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a thermal detonator on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1151', 'throw_thermal_detonator_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use a thermal detonator on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a thermal detonator on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a thermal detonator on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1152', 'throw_thermal_detonator_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use a thermal detonator on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a thermal detonator on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a thermal detonator on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1153', 'throw_thermal_detonator_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour thermal detonator misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s thermal detonator misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s thermal detonator misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1154', 'tornado_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Tornado on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Tornado on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Tornado on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1155', 'tornado_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Tornado on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Tornado on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Tornado on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1156', 'tornado_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Tornado on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Tornado on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Tornado on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1157', 'tornado_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Tornado on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Tornado on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Tornado on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1158', 'tornado_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Tornado misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Tornado misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Tornado misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1159', 'torsoshot_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Torso Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Torso Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Torso Shot on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1160', 'torsoshot_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Torso Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Torso Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Torso Shot on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1161', 'torsoshot_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Torso Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Torso Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Torso Shot on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1162', 'torsoshot_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Torso Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Torso Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Torso Shot on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1163', 'torsoshot_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Torso Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Torso Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Torso Shot misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1164', 'trap_action_check_single', 'You are not within an owned trap to complete this action.');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1165', 'trap_activate_single', 'You have activated a trap.');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1166', 'trap_already_active_single', 'Your trap is already in an active state.');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1167', 'trap_already_deactive_single', 'Your trap is already in a deactive state.');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1168', 'trap_already_disguised_single', 'Your trap is already disguised.');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1169', 'trap_already_revealed_single', 'Your trap is already revealed.');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1170', 'trap_deactivate_single', 'You have deactivated a trap.');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1171', 'trap_destroy_all_single', 'You have destroyed all of your traps.');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1172', 'trap_destroy_attempt_single', 'You are attempting to destroy a trap.');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1173', 'trap_destroy_single', 'You have destroyed a trap.');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1174', 'trap_disguise_single', 'You have disguised your trap.');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1175', 'trap_layer_failure_single', 'You cannot create a trap within an owned trap.');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1176', 'trap_moved_failure_single', 'You have interrupted the action to the trap.');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1177', 'trap_own_none_single', 'You do not currently own any traps.');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1178', 'trap_reveal_single', 'You have revealed your trap.');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1179', 'trap_start_destroy_all_single', 'You are destroying all of your owned traps...');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1180', 'tum_kneel', '~\n~\n~\n~\n~\nYou tumble to kneeling.\n~\n~\n%TU tumbles to kneeling.\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1181', 'tum_prone', '~\n~\n~\n~\n~\nYou tumble to prone.\n~\n~\n%TU tumbles to prone.\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1182', 'tum_standing', '~\n~\n~\n~\n~\nYou tumble to standing.\n~\n~\n%TU tumbles to standing.\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1183', 'unarmed_blind_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou do an Aryx Slash on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU does an Aryx Slash on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU does an Aryx Slash on you, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1184', 'unarmed_blind_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou do an Aryx Slash on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU does an Aryx Slash on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU does an Aryx Slash on you, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1185', 'unarmed_blind_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou do an Aryx Slash on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU does an Aryx Slash on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU does an Aryx Slash on you, but you manage to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1186', 'unarmed_blind_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou do an Aryx Slash on %TT and blind %OT!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU does an Aryx Slash on %TT and blinds %OT!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU does an Aryx Slash on you and blinds you!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1187', 'unarmed_blind_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Aryx Slash misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Aryx Slash misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Aryx Slash misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1188', 'unarmed_blind2_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use the Forraderi Death Dealer on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Forraderi Death Dealer on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Forraderi Death Dealer on you, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1189', 'unarmed_blind2_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use the Forraderi Death Dealer on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Forraderi Death Dealer on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Forraderi Death Dealer on you, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1190', 'unarmed_blind2_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use the Forraderi Death Dealer on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Forraderi Death Dealer on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Forraderi Death Dealer on you, but you manage to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1191', 'unarmed_blind2_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Forraderi Death Dealer on %TT lands and blinds %OT, doing %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Forraderi Death Dealer on %TT lands and blinds %OT, doing %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Forraderi Death Dealer lands and blinds you, doing %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1192', 'unarmed_blind2_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Forraderi Death Dealer misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Forraderi Death Dealer misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Forraderi Death Dealer misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1193', 'unarmed_dam1_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Nashtah\'s Strike on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Nashtah\'s Strike on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Nashtah\'s Strike on you, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1194', 'unarmed_dam1_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Nashtah\'s Strike on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Nashtah\'s Strike on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Nashtah\'s Strike on you, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1195', 'unarmed_dam1_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Nashtah\'s Strike on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Nashtah\'s Strike on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Nashtah\'s Strike on you, but you manage to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1196', 'unarmed_dam1_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nNashtah\'s Strike lands on %TT and does %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Nashtah\'s Strike lands on %TT and does %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Nashtah\'s Strike lands on you and does %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1197', 'unarmed_dam1_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nNashtah\'s Strike misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Nashtah\'s Strike misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Nashtah\'s Strike misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1198', 'unarmed_dam2_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Nashtah\'s Lash on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Nashtah\'s Lash on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Nashtah\'s Lash on you, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1199', 'unarmed_dam2_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Nashtah\'s Lash on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Nashtah\'s Lash on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Nashtah\'s Lash on you, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1200', 'unarmed_dam2_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Nashtah\'s Lash on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Nashtah\'s Lash on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Nashtah\'s Lash on you, but you manage to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1201', 'unarmed_dam2_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nNashtah\'s Lash lands on %TT and does %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Nashtah\'s Lash lands on %TT and does %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Nashtah\'s Lash lands on you and does %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1202', 'unarmed_dam2_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nNashtah\'s Lash misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Nashtah\'s Lash misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Nashtah\'s Lash misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1203', 'unarmed_dizzy_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Stalking Silan on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Stalking Silan on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Stalking Silan on you, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1204', 'unarmed_dizzy_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Stalking Silan on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Stalking Silan on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Stalking Silan on you, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1205', 'unarmed_dizzy_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Stalking Silan on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Stalking Silan on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Stalking Silan on you, but you manage to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1206', 'unarmed_dizzy_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Stalking Silan on %TT and leave %OT dizzy!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Stalking Silan on %TT and leaves %OT dizzy!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Stalking Silan on you and leaves you dizzy!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1207', 'unarmed_dizzy_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Stalking Silan misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Stalking Silan misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Stalking Silan misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1208', 'unarmed_dizzy2_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Death Weave on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Death Weave on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Death Weave on you, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1209', 'unarmed_dizzy2_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Death Weave on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Death Weave on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Death Weave on you, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1210', 'unarmed_dizzy2_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Death Weave on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Death Weave on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Death Weave on you, but you manage to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1211', 'unarmed_dizzy2_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use the Death Weave on %TT and leave %OT dizzy, doing %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Death Weave on %TT and leaves %OT dizzy, doing %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Death Weave on you and leaves you dizzy, doing %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1212', 'unarmed_dizzy2_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Death Weave misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Death Weave misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Death Weave misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1213', 'unarmed_head_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use the Nexu Grin on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Nexu Grin on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Nexu Grin on you, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1214', 'unarmed_head_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use the Nexu Grin on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Nexu Grin on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Nexu Grin on you, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1215', 'unarmed_head_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use the Nexu Grin on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Nexu Grin on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Nexu Grin on you, but you manage to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1216', 'unarmed_head_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use the Nexu Grin on %TT and hit %OT in the head for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Nexu Grin on %TT and hits %OT in the head for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Nexu Grin on you and hits you in the head for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1217', 'unarmed_head_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Nexu Grin misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Nexu Grin misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Nexu Grin misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1218', 'unarmed_knockdown_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Dancing Dragonsnake lands on %TT but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Dancing Dragonsnake lands on %TT but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Dancing Dragonsnake lands on you but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1219', 'unarmed_knockdown_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Dancing Dragonsnake lands on %TT but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Dancing Dragonsnake lands on %TT but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Dancing Dragonsnake lands on you but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1220', 'unarmed_knockdown_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Dancing Dragonsnake on %TT but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Dancing Dragonsnake on %TT but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Dancing Dragonsnake on you but you manage to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1221', 'unarmed_knockdown_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Dancing Dragonsnake hits %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Dancing Dragonsnake hits %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Dancing Dragonsnake hits you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1222', 'unarmed_knockdown_hit_knockdown', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Dancing Dragonsnake attack knocks %TT down!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Dancing Dragonsnake attack knocks %TT down!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Dancing Dragonsnake attack knocks you down!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1223', 'unarmed_knockdown_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Dancing Dragonsnake misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Dancing Dragonsnake misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Dancing Dragonsnake misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1224', 'unarmed_limbs_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use the Shenbit Bonecrusher on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Shenbit Bonecrusher on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Shenbit Bonecrusher on you, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1225', 'unarmed_limbs_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use the Shenbit Bonecrusher on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Shenbit Bonecrusher on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Shenbit Bonecrusher on you, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1226', 'unarmed_limbs_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use the Shenbit Bonecrusher on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Shenbit Bonecrusher on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Shenbit Bonecrusher on you, but you manage to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1227', 'unarmed_limbs_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Shenbit Bonecrusher lands on %TT\'s limbs for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Shenbit Bonecrusher lands on %TU\'s limbs for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Shenbit Bonecrusher lands on %TU\'s limbs for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1228', 'unarmed_limbs_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Shenbit Bonecrusher misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Shenbit Bonecrusher misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Shenbit Bonecrusher misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1229', 'unarmed_stun_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Gundark Fury on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Gundark Fury on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Gundark Fury on you, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1230', 'unarmed_stun_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Gundark Fury on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Gundark Fury on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Gundark Fury on you, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1231', 'unarmed_stun_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Gundark Fury on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Gundark Fury on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Gundark Fury on you, but you manage to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1232', 'unarmed_stun_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou execute Gundark Fury on %TT and stun %OT!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU executes Gundark Fury on %TT and stuns %OT!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU executes Gundark Fury on you and stuns you!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1233', 'unarmed_stun_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Gundark Fury attack misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Gundark Fury attack misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Gundark Fury attack misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1234', 'unarmed_stun2_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Mortichro on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Mortichro on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Mortichro on you, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1235', 'unarmed_stun2_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Mortichro on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Mortichro on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Mortichro on you, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1236', 'unarmed_stun2_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Mortichro on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Mortichro on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Mortichro on you, but you manage to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1237', 'unarmed_stun2_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Mortichro on %TT and stun %OT, doing %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Mortichro on %TT and stun %OT, doing %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Mortichro on you and stuns you, doing %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1238', 'unarmed_stun2_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Mortichro attack misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Mortichro attack misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Mortichro attack misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1239', 'unarmed_sweep_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Burrowing Droch lands on %TT but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Burrowing Droch lands on %TT but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Burrowing Droch lands on you but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1240', 'unarmed_sweep_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Burrowing Droch lands on %TT but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Burrowing Droch lands on %TT but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Burrowing Droch lands on you but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1241', 'unarmed_sweep_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Burrowing Droch on %TT but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Burrowing Droch on %TT but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Burrowing Droch on you but you manage to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1242', 'unarmed_sweep_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Burrowing Droch hits %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Burrowing Droch hits %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Burrowing Droch hits you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1243', 'unarmed_sweep_hit_kneel', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Burrowing Droch attack knocks %TT from %PT knees!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Burrowing Droch attack knocks %TT from %PT knees!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Burrowing Droch attack knocks you from kneeling!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1244', 'unarmed_sweep_hit_standing', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Burrowing Droch attack knocks %TT from %PT feet!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Burrowing Droch attack knocks %TT from %PT feet!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Burrowing Droch attack knocks you from standing!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1245', 'unarmed_sweep_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Burrowing Droch misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Burrowing Droch misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Burrowing Droch misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1246', 'unarmed_torso_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Rancor Rising on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Rancor Rising on %TT, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Rancor Rising on you, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1247', 'unarmed_torso_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Rancor Rising on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Rancor Rising on %TT, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Rancor Rising on you, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1248', 'unarmed_torso_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Rancor Rising on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Rancor Rising on %TT, but %ST manages to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Rancor Rising on you, but you manage to evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1249', 'unarmed_torso_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Rancor Rising on %TT and hit %OT in the torso for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Rancor Rising on %TT and hits %OT in the torso for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Rancor Rising on you and hits you in the torso for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1250', 'unarmed_torso_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Rancor Rising misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Rancor Rising misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Rancor Rising misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1251', 'underhandshot_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Underhand Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Underhand Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Underhand Shot on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1252', 'underhandshot_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Underhand Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Underhand Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Underhand Shot on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1253', 'underhandshot_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Underhand Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Underhand Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Underhand Shot on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1254', 'underhandshot_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Underhand Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Underhand Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Underhand Shot on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1255', 'underhandshot_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Underhand Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Underhand Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Underhand Shot misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1256', 'viciousstrike_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Vicious Strike on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Vicious Strike on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Vicious Strike on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1257', 'viciousstrike_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Vicious Strike on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Vicious Strike on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Vicious Strike on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1258', 'viciousstrike_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Vicious Strike on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Vicious Strike on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Vicious Strike on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1259', 'viciousstrike_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Vicious Strike on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Vicious Strike on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Vicious Strike on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1260', 'viciousstrike_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Vicious Strike misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Vicious Strike misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Vicious Strike misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1261', 'violentstrike_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Violent Strike on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Violent Strike on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Violent Strike on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1262', 'violentstrike_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Violent Strike on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Violent Strike on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Violent Strike on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1263', 'violentstrike_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Violent Strike on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Violent Strike on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Violent Strike on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1264', 'violentstrike_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Violent Strike on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Violent Strike on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Violent Strike on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1265', 'violentstrike_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Violent Strike misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Violent Strike misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Violent Strike misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1266', 'volley_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou joins the volley of fire at %TT and %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU joins the volley of fire at %TT and %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU joins the volley of fire at you and you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1267', 'volley_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou joins the volley of fire at %TT and %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU joins the volley of fire at %TT and %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU joins the volley of fire at you and you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1268', 'volley_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou unleash a volley of fire at %TT, but %ST dodges out of the way.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU joins the volley of fire at %TT, but %ST dodges out of the way.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU joins the volley of fire on you, but you dodge out of the way.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1269', 'volley_fail_single', 'Your group fails to volley fire!');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1270', 'volley_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour volley of fire hits %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s volley of fire hits %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s volley of fire hits you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1271', 'volley_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour volley of fire misses %TT!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s volley of fire misses %TT!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s volley of fire misses you!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1272', 'volley_success_single', 'You order a volley of fire!');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1273', 'warcry_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour ferocious warcry freezes %TT in %PT tracks.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s ferocious warcry freezes %TT in %PT tracks.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s ferocious warcry freezes you in your tracks!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1274', 'warcry_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour ferocious warcry has no effect on %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s ferocious warcry has no effect on %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s ferocious warcry has no effect on you!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1275', 'warcry_out_of_range', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour ferocious warcry has no effect on %TT because %ST is out of range.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s ferocious warcry has no effect on %TT because %ST is out of range.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s ferocious warcry has no effect on you because you are out of range!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1276', 'warningshot_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Warning Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Warning Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Warning Shot on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1277', 'warningshot_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Warning Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Warning Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Warning Shot on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1278', 'warningshot_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Warning Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Warning Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Warning Shot on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1279', 'warningshot_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Warning Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Warning Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Warning Shot on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1280', 'warningshot_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Warning Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Warning Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Warning Shot misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1281', 'whirlingsmash_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Whirling Smash on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Whirling Smash on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Whirling Smash on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1282', 'whirlingsmash_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Whirling Smash on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Whirling Smash on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Whirling Smash on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1283', 'whirlingsmash_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Whirling Smash on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Whirling Smash on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Whirling Smash on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1284', 'whirlingsmash_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Whirling Smash on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Whirling Smash on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Whirling Smash on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1285', 'whirlingsmash_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Whirling Smash misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Whirling Smash misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Whirling Smash misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1286', 'whirlwind_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Whirlwind on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Whirlwind on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Whirlwind on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1287', 'whirlwind_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Whirlwind on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Whirlwind on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Whirlwind on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1288', 'whirlwind_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Whirlwind on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Whirlwind on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Whirlwind on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1289', 'whirlwind_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Whirlwind on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Whirlwind on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Whirlwind on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1290', 'whirlwind_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Whirlwind misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Whirlwind misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Whirlwind misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1291', 'widesweep_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Wide Sweep on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Wide Sweep on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Wide Sweep on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1292', 'widesweep_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Wide Sweep on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Wide Sweep on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Wide Sweep on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1293', 'widesweep_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Wide Sweep on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Wide Sweep on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Wide Sweep on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1294', 'widesweep_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Wide Sweep on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Wide Sweep on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Wide Sweep on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1295', 'widesweep_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Wide Sweep misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Wide Sweep misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Wide Sweep misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1296', 'widewildshot_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Wide Wild Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Wide Wild Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Wide Wild Shot on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1297', 'widewildshot_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Wide Wild Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Wide Wild Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Wide Wild Shot on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1298', 'widewildshot_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Wide Wild Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Wide Wild Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Wide Wild Shot on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1299', 'widewildshot_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Wide Wild Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Wide Wild Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Wide Wild Shot on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1300', 'widewildshot_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Wide Wild Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Wide Wild Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Wide Wild Shot misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1301', 'wild_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou shoot wildly at %TT and %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots wildly at %TT and %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots wildly at you and you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1302', 'wild_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou shoot wildly at %TT and %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots wildly at %TT and %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots wildly at you and you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1303', 'wild_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou shoot wildly at %TT but %ST dodges out of the way.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots wildly at %TT but %ST dodges out of the way.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots wildly at you but you dodge out of the way.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1304', 'wild_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou shoot wildly at %TT and hit for %DI points of damage.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots wildly at %TT and hits for %DI points of damage.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots wildlyat you and hits for %DI points of damage.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1305', 'wild_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou shoot wildly at %TT and misses.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots wildly at %TT and misses.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots wildly at you and misses.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1306', 'wildshot_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Wild Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Wild Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Wild Shot on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1307', 'wildshot_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Wild Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Wild Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Wild Shot on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1308', 'wildshot_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Wild Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Wild Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Wild Shot on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1309', 'wildshot_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Wild Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Wild Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Wild Shot on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1310', 'wildshot_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Wild Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Wild Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Wild Shot misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1311', 'wookiee_roar_out_of_range', 'Your target is too far away for your roar to be effective.');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1312', 'wound_action', 'action');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1313', 'wound_constitution', 'constitution');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1314', 'wound_focus', 'focus');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1315', 'wound_health', 'health');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1316', 'wound_mind', 'mind');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1317', 'wound_msg', 'You receive a %DI point wound to your %TO!');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1318', 'wound_quickness', 'quickness');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1319', 'wound_stamina', 'stamina');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1320', 'wound_strength', 'strength');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1321', 'wound_willpower', 'willpower');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1322', 'panicshot_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Panic Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Panic Shot on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Panic Shot on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1323', 'lowblow_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Low Blow on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Low Blow on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Low Blow on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1324', 'panicshot_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Panic Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Panic Shot on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Panic Shot on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1325', 'lowblow_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Low Blow on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Low Blow on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Low Blow on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1326', 'panicshot_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Panic Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Panic Shot on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Panic Shot on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1327', 'lowblow_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Low Blow on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Low Blow on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Low Blow on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1328', 'panicshot_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Panic Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Panic Shot on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Panic Shot on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1329', 'lowblow_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Low Blow on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Low Blow on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Low Blow on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1330', 'panicshot_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Panic Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Panic Shot misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Panic Shot misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1331', 'lowblow_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Low Blow misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Low Blow misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Low Blow misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1332', 'forcerun_start_single', 'The force flows through your veins and you begin to move faster.');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1333', 'forcerun_stop_single', 'You slow down.');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1334', 'throw_bug_bomb_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use a bug bomb grenade on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a bug bomb grenade on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a bug bomb grenade on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1335', 'throw_bug_bomb_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use a bug bomb grenade on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a bug bomb grenade on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a bug bomb grenade on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1336', 'throw_bug_bomb_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use a bug bomb grenade on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a bug bomb grenade on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a bug bomb grenade on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1337', 'throw_bug_bomb_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use a bug bomb grenade on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a bug bomb grenade on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses a bug bomb grenade on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1338', 'throw_bug_bomb_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour bug bomb grenade misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s bug bomb grenade misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s bug bomb grenade misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1339', 'knockdown_fail', 'Your attack failed to knock down your target.');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1340', 'posture_change_fail', 'Your attack failed to change your target\'s posture. ');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1341', 'saberthrow1_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou throw your lightsaber at %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU throws %PU lightsaber at %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU throws %PU lightsaber at you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1342', 'saberthrow1_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou throw your lightsaber at %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU throws %PU lightsaber at %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU throws %PU lightsaber at you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1343', 'saberthrow1_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou throw your lightsaber at %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU throws %PU lightsaber at %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU throws %PU lightsaber at you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1344', 'saberthrow1_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou throw your lightsaber at %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU throws %PU lightsaber at %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU throws %PU lightsaber at you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1345', 'saberthrow1_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou throw your lightsaber at %TT but miss.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU throws %PU lightsaber at %TT but misses.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU throws %PU lightsaber at you but misses.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1346', 'saberthrow2_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou hurl your lightsaber at %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU hurls %PU lightsaber at %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU hurls %PU lightsaber at you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1347', 'saberthrow2_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou hurl your lightsaber at %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU hurls %PU lightsaber at %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU hurls %PU lightsaber at you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1348', 'saberthrow2_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou hurl your lightsaber at %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU hurls %PU lightsaber at %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU hurls %PU lightsaber at you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1349', 'saberthrow2_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou hurl your lightsaber at %TT but miss.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU hurls %PU lightsaber at %TT but misses.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU hurls %PU lightsaber at you but misses.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1350', 'saberthrow2_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou hurl your lightsaber at %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU hurls %PU lightsaber at %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU hurls %PU lightsaber at you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1351', 'saberthrow2_hit_knockdown', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour thrown lightsaber knocks %TT down!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s thrown lightsaber knocks %TT down!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s thrown lightsaber knocks you down!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1352', 'forcelightningsingle1_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou direct an arc of lightning towards %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU directs an arc of lightning towards %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU directs an arc of lightning towards you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1353', 'forcelightningsingle1_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou direct an arc of lightning towards %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU directs an arc of lightning towards %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU directs an arc of lightning towards you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1354', 'forcelightningsingle1_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou direct an arc of lightning towards %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU directs an arc of lightning towards %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU directs an arc of lightning towards you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1355', 'forcelightningsingle1_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou direct an arc of lightning towards %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU directs an arc of lightning towards %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU directs an arc of lightning towards you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1356', 'forcelightningsingle1_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou direct an arc of lightning towards %TT but miss.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU directs an arc of lightning towards %TT but misses.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU directs an arc of lightning towards you but misses.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1357', 'forcelightningsingle2_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou direct a bolt of lightning towards %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU directs a bolt of lightning towards %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU directs a bolt of lightning towards you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1358', 'forcelightningsingle2_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou direct a bolt of lightning towards %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU directs a bolt of lightning towards %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU directs a bolt of lightning towards you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1359', 'forcelightningsingle2_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou direct a bolt of lightning towards %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU directs a bolt of lightning towards %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU directs a bolt of lightning towards you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1360', 'forcelightningsingle2_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou direct a bolt of lightning towards %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU directs a bolt of lightning towards %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU directs a bolt of lightning towards you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1361', 'forcelightningsingle2_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou direct a bolt of lightning towards %TT but miss.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU directs a bolt of lightning towards %TT but misses.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU directs a bolt of lightning towards you but misses.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1362', 'forcelightningcone1_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou direct a fork of lightning towards %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU directs a fork of lightning towards %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU directs a fork of lightning towards you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1363', 'forcelightningcone1_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou direct a fork of lightning towards %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU directs a fork of lightning towards %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU directs a fork of lightning towards you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1364', 'forcelightningcone1_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou direct a fork of lightning towards %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU directs a fork of lightning towards %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU directs a fork of lightning towards you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1365', 'forcelightningcone1_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou direct a fork of lightning towards %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU directs a fork of lightning towards %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU directs a fork of lightning towards you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1366', 'forcelightningcone1_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou direct a fork of lightning towards %TT but miss.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU directs a fork of lightning towards %TT but misses.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU directs a fork of lightning towards you but misses.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1367', 'forcelightningcone2_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou direct a lightning strike towards %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU directs a lightning strike towards %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU directs a lightning strike towards you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1368', 'forcelightningcone2_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou direct a lightning strike towards %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU directs a lightning strike towards %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU directs a lightning strike towards you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1369', 'forcelightningcone2_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou direct a lightning strike towards %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU directs a lightning strike towards %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU directs a lightning strike towards you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1370', 'forcelightningcone2_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou direct a lightning strike towards %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU directs a lightning strike towards %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU directs a lightning strike towards you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1371', 'forcelightningcone2_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou direct a lightning strike towards %TT but miss.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU directs a lightning strike towards %TT but misses.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU directs a lightning strike towards you but misses.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1372', 'forcethrow1_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use the Force to throw several pieces of junk at %TT for %DI points of damage, but %ST blocks them all!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Force to throw several pieces of junk at %TT for %DI points of damage, but %ST blocks them all!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Force to throw several pieces of junk at you for %DI points of damage, but you block them all!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1373', 'forcethrow1_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use the Force to throw several pieces of junk at %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Force to throw several pieces of junk at %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Force to throw several pieces of junk at you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1374', 'forcethrow1_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use the Force to throw several pieces of junk at %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Force to throw several pieces of junk at %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Force to throw several pieces of junk at you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1375', 'forcethrow1_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use the Force to throw several pieces of junk at %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Force to throw several pieces of junk at %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Force to throw several pieces of junk at you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1376', 'forcethrow1_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use the Force to throw several pieces of junk at %TT but miss %OT entirely.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Force to throw several pieces of junk at %TT but misses %OT entirely.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Force to throw several pieces of junk at you but misses you entirely.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1377', 'forcethrow2_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use the Force to throw many pieces of junk at %TT for %DI points of damage, but %ST blocks them all!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Force to throw many pieces of junk at %TT for %DI points of damage, but %ST blocks them all!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Force to throw many pieces of junk at you for %DI points of damage, but you block them all!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1378', 'forcethrow2_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use the Force to throw many pieces of junk at %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Force to throw many pieces of junk at %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Force to throw many pieces of junk at you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1379', 'forcethrow2_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use the Force to throw many pieces of junk at %TT for %DI points of damage, but %ST evades them all.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Force to throw many pieces of junk at %TT for %DI points of damage, but %ST evades them all.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Force to throw many pieces of junk at you for %DI points of damage, but you evade them all.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1380', 'forcethrow2_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use the Force to throw many pieces of junk at %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Force to throw many pieces of junk at %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Force to throw many pieces of junk at you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1381', 'forcethrow2_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use the Force to throw many pieces of junk at %TT but miss %OT entirely.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Force to throw many pieces of junk at %TT but misses %OT entirely.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Force to throw many pieces of junk at you but misses you entirely.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1382', 'forceknockdown1_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou attempt to knock %TT down using the Force, but somehow %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to knock %TT down using the Force, but somehow %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to knock you down using the Force, but somehow you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1383', 'forceknockdown1_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou attempt to knock %TT down using the Force, but %ST fights through it and counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to knock %TT down using the force, but %ST fights through it and counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to knock you down using the Force, but you fight through it and counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1384', 'forceknockdown1_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou attempt to knock %TT down using the Force, but %ST is able to evade.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to knock %TT down using the Force, but %ST is able to evade.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to knock you down using the Force, but you are able to evade.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1385', 'forceknockdown1_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou attempt to knock %TT down using the Force!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to knock %TT down using the Force!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to knock you down using the Force!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1386', 'forceknockdown1_hit_knockdown', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou have used the Force to knock %TT down!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU has used the Force to knock %TT down!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU has used the Force to knock you down!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1387', 'forceknockdown1_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou attempt to knock %TT down using the Force, but miss!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to knock %TT down using the Force, but misses!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to knock you down using the Force, but misses!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1388', 'forceknockdown2_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou attempt to knock %TT down using the Force, but somehow %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to knock %TT down using the Force, but somehow %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to knock you down using the Force, but somehow you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1389', 'forceknockdown2_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou attempt to knock %TT down using the Force, but %ST fights through it and counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to knock %TT down using the force, but %ST fights through it and counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to knock you down using the Force, but you fight through it and counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1390', 'forceknockdown2_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou attempt to knock %TT down using the Force, but %ST is able to evade.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to knock %TT down using the Force, but %ST is able to evade.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to knock you down using the Force, but you are able to evade.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1391', 'forceknockdown2_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou attempt to knock %TT down using the Force!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to knock %TT down using the Force!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to knock you down using the Force!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1392', 'forceknockdown2_hit_knockdown', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou have used the Force to knock %TT down!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU has used the Force to knock %TT down!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU has used the Force to knock you down!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1393', 'forceknockdown2_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou attempt to knock %TT down using the Force, but miss!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to knock %TT down using the Force, but misses!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to knock you down using the Force, but misses!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1394', 'mindblast1_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou attempt to use the Force to invade %TT\'s psyche for %DI points of damage, but %ST is able to resist!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to use the Force to invade %TT\'s psyche for %DI points of damage, but %ST is able to resist!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to use the Force to invade your psyche for %DI points of damage, but you are able to resist!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1395', 'mindblast1_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou attempt to use the Force to invade %TT\'s psyche for %DI points of damage, but %ST fights through it and counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to use the Force to invade %TT\'s psyche for %DI points of damage, but %ST fights through it and counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to use the Force to invade your psyche for %DI points of damage, but you fight through it and counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1396', 'mindblast1_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou attempt to use the Force to invade %TT\'s psyche for %DI points of damage, but %ST is able to evade.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to use the Force to invade %TT\'s psyche for %DI points of damage, but %ST is able to evade.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to use the Force to invade your psyche for %DI points of damage, but you are able to evade.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1397', 'mindblast1_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use the Force to invade %TT\'s psyche and cause discord for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Force to invade %TT\'s psyche and cause discord for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Force to invade your psyche and cause discord for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1398', 'mindblast1_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou attempt to use the Force to invade %TT\'s psyche, but lose concentration!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to use the Force to invade %TT\'s psyche, but loses concentration!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to use the Force to invade your psyche, but loses concentration!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1399', 'mindblast2_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou attempt to use the Force to invade %TT\'s psyche for %DI points of damage, but %ST is able to resist!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to use the Force to invade %TT\'s psyche for %DI points of damage, but %ST is able to resist!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to use the Force to invade your psyche for %DI points of damage, but you are able to resist!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1400', 'mindblast2_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou attempt to use the Force to invade %TT\'s psyche for %DI points of damage, but %ST fights through it and counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to use the Force to invade %TT\'s psyche for %DI points of damage, but %ST fights through it and counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to use the Force to invade your psyche for %DI points of damage, but you fight through it and counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1401', 'mindblast2_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou attempt to use the Force to invade %TT\'s psyche for %DI points of damage, but %ST is able to evade.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to use the Force to invade %TT\'s psyche for %DI points of damage, but %ST is able to evade.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to use the Force to invade your psyche for %DI points of damage, but you are able to evade.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1402', 'mindblast2_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use the Force to invade %TT\'s psyche and wreak havoc for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Force to invade %TT\'s psyche and wreak havoc for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Force to invade your psyche and wreak havoc for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1403', 'mindblast2_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou attempt to use the Force to invade %TT\'s psyche, but lose concentration!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to use the Force to invade %TT\'s psyche, but loses concentration!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to use the Force to invade your psyche, but loses concentration!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1404', 'forceweaken1_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou attempt to weaken %TT using the Force, but %ST is able to resist!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to weaken %TT using the Force, but %ST is able to resist!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to weaken you using the Force, but you are able to resist!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1405', 'forceweaken1_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou attempt to weaken %TT using the Force, but %ST fights through it and counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to weaken %TT using the force, but %ST fights through it and counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to weaken you using the Force, but you fight through it and counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1406', 'forceweaken1_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou attempt to weaken %TT using the Force, but %ST is able to evade.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to weaken %TT using the Force, but %ST is able to evade.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to weaken you using the Force, but you are able to evade.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1407', 'forceweaken1_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou successfully weaken %TT using the Force!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU successfully weakens %TT using the Force!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU successfully weakens you using the Force!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1408', 'forceweaken1_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou attempt to weaken %TT using the Force, but lose concentration!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to weaken %TT using the Force, but loses concentration!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to weaken you using the Force, but loses concentration!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1409', 'forceweaken2_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou attempt to debilitate %TT using the Force, but %ST is able to resist!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to debilitate %TT using the Force, but %ST is able to resist!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to debilitate you using the Force, but you are able to resist!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1410', 'forceweaken2_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou attempt to debilitate %TT using the Force, but %ST fights through it and counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to debilitate %TT using the force, but %ST fights through it and counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to debilitate you using the Force, but you fight through it and counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1411', 'forceweaken2_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou attempt to debilitate %TT using the Force, but %ST is able to evade.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to debilitate %TT using the Force, but %ST is able to evade.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to debilitate you using the Force, but you are able to evade.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1412', 'forceweaken2_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou successfully debilitate %TT using the Force!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU successfully debilitates %TT using the Force!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU successfully debilitates you using the Force!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1413', 'forceweaken2_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou attempt to debilitate %TT using the Force, but lose concentration!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to debilitate %TT using the Force, but loses concentration!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to debilitate you using the Force, but loses concentration!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1414', 'forcechoke_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou attempt to use the Force to choke %TT for %DI points of damage, but %ST is able to resist!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to use the Force to choke %TT for %DI points of damage, but %ST is able to resist!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to use the Force to choke you for %DI points of damage, but you are able to resist!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1415', 'forcechoke_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou attempt to use the Force to choke %TT for %DI points of damage, but %ST fights through it and counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to use the Force to choke %TT for %DI points of damage, but %ST fights through it and counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to use the Force to choke you for %DI points of damage, but you fight through it and counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1416', 'forcechoke_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou attempt to use the Force to choke %TT for %DI points of damage, but %ST is able to evade.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to use the Force to choke %TT for %DI points of damage, but %ST is able to evade.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to use the Force to choke you for %DI points of damage, but you are able to evade.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1417', 'forcechoke_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use the Force to constrict %TT\'s air flow, choking %OT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Force to constrict %TT\'s air flow, choking %OT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Force to constrict your air flow, choking you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1418', 'forcechoke_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou attempt to use the Force to choke %TT, but lose concentration!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to use the Force to choke %TT, but loses concentration!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to use the Force to choke you, but loses concentration!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1419', 'saber1hhit1_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Laser Spike on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Laser Spike on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Laser Spike on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1420', 'saber1hhit1_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Laser Spike on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Laser Spike on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Laser Spike on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1421', 'saber1hhit1_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Laser Spike on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Laser Spike on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Laser Spike on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1422', 'saber1hhit1_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Laser Spike on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Laser Spike on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Laser Spike on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1423', 'saber1hhit1_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Laser Spike misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Laser Spike misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Laser Spike misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1424', 'saber1hhit2_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Radiant Blade on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Radiant Blade on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Radiant Blade on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1425', 'saber1hhit2_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Radiant Blade on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Radiant Blade on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Radiant Blade on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1426', 'saber1hhit2_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Radiant Blade on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Radiant Blade on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Radiant Blade on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1427', 'saber1hhit2_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Radiant Blade on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Radiant Blade on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Radiant Blade on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1428', 'saber1hhit2_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Radiant Blade misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Radiant Blade misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Radiant Blade misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1429', 'saber1hcombohit1_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Courageous Charge on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Courageous Charge on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Courageous Charge on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1430', 'saber1hcombohit1_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Courageous Charge on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Courageous Charge on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Courageous Charge on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1431', 'saber1hcombohit1_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Courageous Charge on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Courageous Charge on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Courageous Charge on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1432', 'saber1hcombohit1_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Courageous Charge on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Courageous Charge on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Courageous Charge on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1433', 'saber1hcombohit1_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Courageous Charge misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Courageous Charge misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Courageous Charge misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1434', 'saber1hcombohit2_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Furor of Tranquility on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Furor of Tranquility on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Furor of Tranquility on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1435', 'saber1hcombohit2_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Furor of Tranquility on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Furor of Tranquility on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Furor of Tranquility on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1436', 'saber1hcombohit2_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Furor of Tranquility on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Furor of Tranquility on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Furor of Tranquility on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1437', 'saber1hcombohit2_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Furor of Tranquility on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Furor of Tranquility on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Furor of Tranquility on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1438', 'saber1hcombohit2_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Furor of Tranquility misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Furor of Tranquility misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Furor of Tranquility misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1439', 'saber1hcombohit2_hit_standing', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Furor of Tranquility attack knocks %TT from %PT feet.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Furor of Tranquility attack knocks %TT from %PT feet.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Furor of Tranquility attack knocks you from your feet.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1440', 'saber1hcombohit2_hit_kneel', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Furor of Tranquility attack knocks %TT from %PT knees.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Furor of Tranquility attack knocks %TT from %PT knees.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Furor of Tranquility attack knocks you from your knees.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1441', 'saber1hheadhit1_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Affliction of Focus on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Affliction of Focus on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Affliction of Focus on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1442', 'saber1hheadhit1_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Affliction of Focus on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Affliction of Focus on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Affliction of Focus on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1443', 'saber1hheadhit1_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Affliction of Focus on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Affliction of Focus on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Affliction of Focus on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1444', 'saber1hheadhit1_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Affliction of Focus on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Affliction of Focus on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Affliction of Focus on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1445', 'saber1hheadhit1_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Affliction of Focus misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Affliction of Focus misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Affliction of Focus misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1446', 'saber1hheadhit2_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Harrowing Discord on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Harrowing Discord on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Harrowing Discord on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1447', 'saber1hheadhit2_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Harrowing Discord on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Harrowing Discord on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Harrowing Discord on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1448', 'saber1hheadhit2_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Harrowing Discord on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Harrowing Discord on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Harrowing Discord on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1449', 'saber1hheadhit2_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Harrowing Discord on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Harrowing Discord on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Harrowing Discord on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1450', 'saber1hheadhit2_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Harrowing Discord misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Harrowing Discord misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Harrowing Discord misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1451', 'saberpolearmhit1_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Harmonic Aggression on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Harmonic Aggression on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Harmonic Aggression on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1452', 'saberpolearmhit1_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Harmonic Aggression on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Harmonic Aggression on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Harmonic Aggression on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1453', 'saberpolearmhit1_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Harmonic Aggression on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Harmonic Aggression on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Harmonic Aggression on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1454', 'saberpolearmhit1_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Harmonic Aggression on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Harmonic Aggression on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Harmonic Aggression on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1455', 'saberpolearmhit1_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Harmonic Aggression misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Harmonic Aggression misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Harmonic Aggression misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1456', 'saberpolearmhit2_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Assault of Resolution on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Assault of Resolution on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Assault of Resolution on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1457', 'saberpolearmhit2_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Assault of Resolution on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Assault of Resolution on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Assault of Resolution on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1458', 'saberpolearmhit2_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Assault of Resolution on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Assault of Resolution on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Assault of Resolution on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1459', 'saberpolearmhit2_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Assault of Resolution on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Assault of Resolution on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Assault of Resolution on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1460', 'saberpolearmhit2_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Assault of Resolution misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Assault of Resolution misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Assault of Resolution misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1461', 'saberpolearmspinattack1_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Cloud of Turmoil on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Cloud of Turmoil on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Cloud of Turmoil on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1462', 'saberpolearmspinattack1_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Cloud of Turmoil on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Cloud of Turmoil on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Cloud of Turmoil on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1463', 'saberpolearmspinattack1_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Cloud of Turmoil on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Cloud of Turmoil on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Cloud of Turmoil on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1464', 'saberpolearmspinattack1_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Cloud of Turmoil on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Cloud of Turmoil on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Cloud of Turmoil on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1465', 'saberpolearmspinattack1_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Cloud of Turmoil misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Cloud of Turmoil misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Cloud of Turmoil misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1466', 'saberpolearmspinattack2_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Aspect of Rage on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Aspect of Rage on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Aspect of Rage on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1467', 'saberpolearmspinattack2_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Aspect of Rage on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Aspect of Rage on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Aspect of Rage on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1468', 'saberpolearmspinattack2_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Aspect of Rage on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Aspect of Rage on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Aspect of Rage on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1469', 'saberpolearmspinattack2_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Aspect of Rage on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Aspect of Rage on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Aspect of Rage on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1470', 'saberpolearmspinattack2_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Aspect of Rage misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Aspect of Rage misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Aspect of Rage misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1471', 'saberpolearmleghit1_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Wrath of Stability on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Wrath of Stability on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Wrath of Stability on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1472', 'saberpolearmleghit1_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Wrath of Stability on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Wrath of Stability on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Wrath of Stability on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1473', 'saberpolearmleghit1_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Wrath of Stability on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Wrath of Stability on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Wrath of Stability on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1474', 'saberpolearmleghit1_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Wrath of Stability on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Wrath of Stability on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Wrath of Stability on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1475', 'saberpolearmleghit1_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Wrath of Stability misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Wrath of Stability misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Wrath of Stability misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1476', 'saberpolearmleghit2_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Siege of Valor on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Siege of Valor on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Siege of Valor on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1477', 'saberpolearmleghit2_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Siege of Valor on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Siege of Valor on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Siege of Valor on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1478', 'saberpolearmleghit2_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Siege of Valor on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Siege of Valor on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Siege of Valor on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1479', 'saberpolearmleghit2_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Siege of Valor on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Siege of Valor on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Siege of Valor on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1480', 'saberpolearmleghit2_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Siege of Valor misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Siege of Valor misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Siege of Valor misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1481', 'saber2hhit1_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Strain of Temper on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Strain of Temper on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Strain of Temper on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1482', 'saber2hhit1_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Strain of Temper on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Strain of Temper on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Strain of Temper on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1483', 'saber2hhit1_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Strain of Temper on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Strain of Temper on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Strain of Temper on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1484', 'saber2hhit1_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Strain of Temper on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Strain of Temper on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Strain of Temper on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1485', 'saber2hhit1_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Strain of Temper misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Strain of Temper misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Strain of Temper misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1486', 'saber2hhit2_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Tension of Will on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Tension of Will on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Tension of Will on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1487', 'saber2hhit2_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Tension of Will on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Tension of Will on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Tension of Will on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1488', 'saber2hhit2_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Tension of Will on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Tension of Will on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Tension of Will on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1489', 'saber2hhit2_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Tension of Will on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Tension of Will on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Tension of Will on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1490', 'saber2hhit2_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Tension of Will misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Tension of Will misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Tension of Will misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1491', 'saber2hhit3_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Torment of Discipline on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Torment of Discipline on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Torment of Discipline on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1492', 'saber2hhit3_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Torment of Discipline on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Torment of Discipline on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Torment of Discipline on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1493', 'saber2hhit3_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Torment of Discipline on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Torment of Discipline on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Torment of Discipline on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1494', 'saber2hhit3_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Torment of Discipline on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Torment of Discipline on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Torment of Discipline on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1495', 'saber2hhit3_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Torment of Discipline misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Torment of Discipline misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Torment of Discipline misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1496', 'saber2hsweep1_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Saber Sweep on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Saber Sweep on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Saber Sweep on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1497', 'saber2hsweep1_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Saber Sweep on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Saber Sweep on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Saber Sweep on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1498', 'saber2hsweep1_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Saber Sweep on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Saber Sweep on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Saber Sweep on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1499', 'saber2hsweep1_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Saber Sweep on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Saber Sweep on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Saber Sweep on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1500', 'saber2hsweep1_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Saber Sweep misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Saber Sweep misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Saber Sweep misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1501', 'saber2hsweep1_hit_standing', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Saber Sweep attack knocks %TT from %PT feet.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Saber Sweep attack knocks %TT from %PT feet.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Saber Sweep attack knocks you from your feet.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1502', 'saber2hsweep1_hit_kneel', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Saber Sweep attack knocks %TT from %PT knees.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Saber Sweep attack knocks %TT from %PT knees.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Saber Sweep attack knocks you from your knees.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1503', 'saber2hsweep2_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Lunging Saber Sweep on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Lunging Saber Sweep on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Lunging Saber Sweep on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1504', 'saber2hsweep2_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Lunging Saber Sweep on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Lunging Saber Sweep on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Lunging Saber Sweep on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1505', 'saber2hsweep2_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Lunging Saber Sweep on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Lunging Saber Sweep on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Lunging Saber Sweep on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1506', 'saber2hsweep2_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Lunging Saber Sweep on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Lunging Saber Sweep on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Lunging Saber Sweep on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1507', 'saber2hsweep2_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Lunging Saber Sweep misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Lunging Saber Sweep misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Lunging Saber Sweep misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1508', 'saber2hsweep2_hit_standing', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Lunging Saber Sweep attack knocks %TT from %PT feet.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Lunging Saber Sweep attack knocks %TT from %PT feet.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Lunging Saber Sweep attack knocks you from your feet.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1509', 'saber2hsweep2_hit_kneel', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Lunging Saber Sweep attack knocks %TT from %PT knees.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Lunging Saber Sweep attack knocks %TT from %PT knees.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Lunging Saber Sweep attack knocks you from your knees.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1510', 'saber2hbodyhit1_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Scream of the Spirit on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Scream of the Spirit on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Scream of the Spirit on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1511', 'saber2hbodyhit1_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Scream of the Spirit on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Scream of the Spirit on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Scream of the Spirit on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1512', 'saber2hbodyhit1_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Scream of the Spirit on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Scream of the Spirit on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Scream of the Spirit on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1513', 'saber2hbodyhit1_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Scream of the Spirit on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Scream of the Spirit on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Scream of the Spirit on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1514', 'saber2hbodyhit1_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Scream of the Spirit misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Scream of the Spirit misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Scream of the Spirit misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1515', 'saber2hbodyhit2_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Animus Fury on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Animus Fury on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Animus Fury on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1516', 'saber2hbodyhit2_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Animus Fury on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Animus Fury on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Animus Fury on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1517', 'saber2hbodyhit2_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Animus Fury on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Animus Fury on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Animus Fury on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1518', 'saber2hbodyhit2_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Animus Fury on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Animus Fury on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Animus Fury on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1519', 'saber2hbodyhit2_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Animus Fury misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Animus Fury misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Animus Fury misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1520', 'saberpolearmdervish_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Torrent of Enmity on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Torrent of Enmity on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Torrent of Enmity on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1521', 'saberpolearmdervish_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Torrent of Enmity on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Torrent of Enmity on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Torrent of Enmity on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1522', 'saberpolearmdervish_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Torrent of Enmity on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Torrent of Enmity on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Torrent of Enmity on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1523', 'saberpolearmdervish_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Torrent of Enmity on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Torrent of Enmity on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Torrent of Enmity on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1524', 'saberpolearmdervish_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Torrent of Enmity misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Torrent of Enmity misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Torrent of Enmity misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1525', 'saber1hflurry_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Cascade of Hatred on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Cascade of Hatred on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Cascade of Hatred on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1526', 'saber1hflurry_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Cascade of Hatred on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Cascade of Hatred on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Cascade of Hatred on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1527', 'saber1hflurry_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Cascade of Hatred on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Cascade of Hatred on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Cascade of Hatred on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1528', 'saber1hflurry_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Cascade of Hatred on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Cascade of Hatred on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Cascade of Hatred on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1529', 'saber1hflurry_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Cascade of Hatred misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Cascade of Hatred misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Cascade of Hatred misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1530', 'saber2hfrenzy_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Storm of Animosity on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Storm of Animosity on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Storm of Animosity on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1531', 'saber2hfrenzy_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Storm of Animosity on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Storm of Animosity on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Storm of Animosity on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1532', 'saber2hfrenzy_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Storm of Animosity on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Storm of Animosity on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Storm of Animosity on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1533', 'saber2hfrenzy_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Storm of Animosity on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Storm of Animosity on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Storm of Animosity on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1534', 'saber2hfrenzy_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Storm of Animosity misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Storm of Animosity misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Storm of Animosity misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1535', 'saberslash1_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Nocuous Strike on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Nocuous Strike on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Nocuous Strike on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1536', 'saberslash1_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Nocuous Strike on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Nocuous Strike on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Nocuous Strike on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1537', 'saberslash1_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Nocuous Strike on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Nocuous Strike on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Nocuous Strike on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1538', 'saberslash1_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Nocuous Strike on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Nocuous Strike on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Nocuous Strike on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1539', 'saberslash1_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Nocuous Strike misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Nocuous Strike misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Nocuous Strike misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1540', 'saberslash1_hit_standing', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Nocuous Strike attack knocks %TT from %PT feet.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Nocuous Strike attack knocks %TT from %PT feet.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Nocuous Strike attack knocks you from your feet.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1541', 'saberslash1_hit_kneel', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Nocuous Strike attack knocks %TT from %PT knees.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Nocuous Strike attack knocks %TT from %PT knees.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Nocuous Strike attack knocks you from your knees.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1542', 'saberslash2_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Sanguine Strike on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sanguine Strike on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sanguine Strike on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1543', 'saberslash2_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Sanguine Strike on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sanguine Strike on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sanguine Strike on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1544', 'saberslash2_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Sanguine Strike on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sanguine Strike on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sanguine Strike on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1545', 'saberslash2_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Sanguine Strike on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sanguine Strike on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Sanguine Strike on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1546', 'saberslash2_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Sanguine Strike misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Sanguine Strike misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Sanguine Strike misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1547', 'saberslash2_hit_knockdown', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Sanguine Strike attack knocks %TT to the ground.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Sanguine Strike attack knocks %TT to the ground.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Sanguine Strike attack knocks you to the ground.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1548', 'wounded', 'You have been wounded for %DI points.');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1549', 'shock_wound', 'You have taken %DI in battle fatigue.');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1550', 'no_burst', 'You cannot burst-run while mounted on a creature or vehicle.');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1551', 'saberthrow3_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou hurl your lightsaber at %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU hurls %PU lightsaber at %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU hurls %PU lightsaber at you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1552', 'saberthrow3_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou hurl your lightsaber at %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU hurls %PU lightsaber at %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU hurls %PU lightsaber at you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1553', 'saberthrow3_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou hurl your lightsaber at %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU hurls %PU lightsaber at %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU hurls %PU lightsaber at you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1554', 'saberthrow3_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou hurl your lightsaber at %TT but miss.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU hurls %PU lightsaber at %TT but misses.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU hurls %PU lightsaber at you but misses.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1555', 'saberthrow3_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou hurl your lightsaber at %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU hurls %PU lightsaber at %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU hurls %PU lightsaber at you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1556', 'saberthrow3_hit_knockdown', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour thrown lightsaber knocks %TT down!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s thrown lightsaber knocks %TT down!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s thrown lightsaber knocks you down!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1557', 'saber1hheadhit3_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Lucidity Strike on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Lucidity Strike on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Lucidity Strike on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1558', 'saber1hheadhit3_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Lucidity Strike on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Lucidity Strike on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Lucidity Strike on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1559', 'saber1hheadhit3_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Lucidity Strike on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Lucidity Strike on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Lucidity Strike on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1560', 'saber1hheadhit3_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Lucidity Strike on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Lucidity Strike on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Lucidity Strike on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1561', 'saber1hheadhit3_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Lucidity Strike misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Lucidity Strike misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Lucidity Strike misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1562', 'saber2hbodyhit3_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Blistering Flesh on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Blistering Flesh on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Blistering Flesh on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1563', 'saber2hbodyhit3_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Blistering Flesh on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Blistering Flesh on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Blistering Flesh on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1564', 'saber2hbodyhit3_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Blistering Flesh on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Blistering Flesh on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Blistering Flesh on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1565', 'saber2hbodyhit3_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Blistering Flesh on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Blistering Flesh on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Blistering Flesh on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1566', 'saber2hbodyhit3_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Blistering Flesh misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Blistering Flesh misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Blistering Flesh misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1567', 'saberpolearmleghit3_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Vengeance of Efficacy on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Vengeance of Efficacy on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Vengeance of Efficacy on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1568', 'saberpolearmleghit3_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Vengeance of Efficacy on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Vengeance of Efficacy on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Vengeance of Efficacy on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1569', 'saberpolearmleghit3_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Vengeance of Efficacy on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Vengeance of Efficacy on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Vengeance of Efficacy on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1570', 'saberpolearmleghit3_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Vengeance of Efficacy on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Vengeance of Efficacy on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Vengeance of Efficacy on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1571', 'saberpolearmleghit3_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Vengeance of Efficacy misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Vengeance of Efficacy misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Vengeance of Efficacy misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1572', 'saber1hhit3_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Knight Avenger on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Knight Avenger on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Knight Avenger on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1573', 'saber1hhit3_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Knight Avenger on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Knight Avenger on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Knight Avenger on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1574', 'saber1hhit3_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Knight Avenger on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Knight Avenger on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Knight Avenger on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1575', 'saber1hhit3_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Knight Avenger on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Knight Avenger on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Knight Avenger on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1576', 'saber1hhit3_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Knight Avenger misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Knight Avenger misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Knight Avenger misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1577', 'saberpolearmhit3_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Duplex Thrust on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Duplex Thrust on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Duplex Thrust on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1578', 'saberpolearmhit3_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Duplex Thrust on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Duplex Thrust on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Duplex Thrust on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1579', 'saberpolearmhit3_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Duplex Thrust on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Duplex Thrust on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Duplex Thrust on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1580', 'saberpolearmhit3_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Duplex Thrust on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Duplex Thrust on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Duplex Thrust on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1581', 'saberpolearmhit3_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Duplex Thrust misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Duplex Thrust misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Duplex Thrust misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1582', 'saber1hcombohit3_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Rage of Light on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Rage of Light on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Rage of Light on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1583', 'saber1hcombohit3_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Rage of Light on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Rage of Light on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Rage of Light on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1584', 'saber1hcombohit3_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Rage of Light on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Rage of Light on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Rage of Light on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1585', 'saber1hcombohit3_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Rage of Light on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Rage of Light on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Rage of Light on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1586', 'saber1hcombohit3_hit_kneel', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Rage of Light attack knocks %TT from %PT knees.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Rage of Light attack knocks %TT from %PT knees.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Rage of Light attack knocks you from your knees.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1587', 'saber1hcombohit3_hit_standing', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Rage of Light attack knocks %TT from %PT feet.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Rage of Light attack knocks %TT from %PT feet.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Rage of Light attack knocks you from your feet.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1588', 'saber1hcombohit3_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Rage of Light misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Rage of Light misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Rage of Light misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1589', 'saber2hsweep3_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Focused Saber Sweep on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Focused Saber Sweep on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Focused Saber Sweep on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1590', 'saber2hsweep3_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Focused Saber Sweep on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Focused Saber Sweep on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Focused Saber Sweep on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1591', 'saber2hsweep3_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Focused Saber Sweep on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Focused Saber Sweep on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Focused Saber Sweep on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1592', 'saber2hsweep3_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Focused Saber Sweep on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Focused Saber Sweep on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Focused Saber Sweep on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1593', 'saber2hsweep3_hit_kneel', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Focused Saber Sweep attack knocks %TT from %PT knees.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Focused Saber Sweep attack knocks %TT from %PT knees.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Focused Saber Sweep attack knocks you from your knees.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1594', 'saber2hsweep3_hit_standing', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Focused Saber Sweep attack knocks %TT from %PT feet.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Focused Saber Sweep attack knocks %TT from %PT feet.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Focused Saber Sweep attack knocks you from your feet.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1595', 'saber2hsweep3_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Focused Saber Sweep misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Focused Saber Sweep misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Focused Saber Sweep misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1596', 'saberpolearmspinattack3_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Swirling Anguish on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Swirling Anguish on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Swirling Anguish on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1597', 'saberpolearmspinattack3_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Swirling Anguish on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Swirling Anguish on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Swirling Anguish on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1598', 'saberpolearmspinattack3_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Swirling Anguish on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Swirling Anguish on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Swirling Anguish on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1599', 'saberpolearmspinattack3_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Swirling Anguish on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Swirling Anguish on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Swirling Anguish on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1600', 'saberpolearmspinattack3_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Swirling Anguish misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Swirling Anguish misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Swirling Anguish misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1601', 'saberpolearmdervish2_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Wrath of Kun on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Wrath of Kun on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Wrath of Kun on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1602', 'saberpolearmdervish2_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Wrath of Kun on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Wrath of Kun on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Wrath of Kun on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1603', 'saberpolearmdervish2_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Wrath of Kun on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Wrath of Kun on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Wrath of Kun on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1604', 'saberpolearmdervish2_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Wrath of Kun on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Wrath of Kun on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Wrath of Kun on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1605', 'saberpolearmdervish2_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Wrath of Kun misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Wrath of Kun misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Wrath of Kun misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1606', 'saber2hphantom_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Faalo\'s Will on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Faalo\'s Will on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Faalo\'s Will on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1607', 'saber2hphantom_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Faalo\'s Will on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Faalo\'s Will on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Faalo\'s Will on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1608', 'saber2hphantom_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Faalo\'s Will on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Faalo\'s Will on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Faalo\'s Will on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1609', 'saber2hphantom_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Faalo\'s Will on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Faalo\'s Will on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Faalo\'s Will on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1610', 'saber2hphantom_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Faalo\'s Will misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Faalo\'s Will misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Faalo\'s Will misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1611', 'saber1hflurry2_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Whirlwind of the Force on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Whirlwind of the Force on %TT for %DI points of damage, but %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Whirlwind of the Force on you for %DI points of damage, but you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1612', 'saber1hflurry2_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Whirlwind of the Force on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Whirlwind of the Force on %TT for %DI points of damage, but %ST counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Whirlwind of the Force on you for %DI points of damage, but you counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1613', 'saber1hflurry2_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Whirlwind of the Force on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Whirlwind of the Force on %TT for %DI points of damage, but %ST evades it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Whirlwind of the Force on you for %DI points of damage, but you evade it.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1614', 'saber1hflurry2_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use Whirlwind of the Force on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Whirlwind of the Force on %TT for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses Whirlwind of the Force on you for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1615', 'saber1hflurry2_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour Whirlwind of the Force misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Whirlwind of the Force misses %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s Whirlwind of the Force misses you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1616', 'forceknockdown3_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou attempt to knock %TT down using the Force, but somehow %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to knock %TT down using the Force, but somehow %ST blocks it!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to knock you down using the Force, but somehow you block it!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1617', 'forceknockdown3_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou attempt to knock %TT down using the Force, but %ST fights through it and counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to knock %TT down using the force, but %ST fights through it and counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to knock you down using the Force, but you fight through it and counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1618', 'forceknockdown3_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou attempt to knock %TT down using the Force, but %ST is able to evade.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to knock %TT down using the Force, but %ST is able to evade.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to knock you down using the Force, but you are able to evade.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1619', 'forceknockdown3_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou attempt to knock %TT down using the Force!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to knock %TT down using the Force!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to knock you down using the Force!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1620', 'forceknockdown3_hit_knockdown', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou have used the Force to knock %TT down!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU has used the Force to knock %TT down!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU has used the Force to knock you down!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1621', 'forceknockdown3_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou attempt to knock %TT down using the Force, but miss!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to knock %TT down using the Force, but misses!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to knock you down using the Force, but misses!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1622', 'forceintimidate1_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou attempt to use the Force to invade %TT\'s mind, but %ST is able to resist!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to use the Force to invade %TT\'s mind , but %ST is able to resist!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to use the Force to invade your mind, but you are able to resist!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1623', 'forceintimidate1_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou attempt to use the Force to invade %TT\'s mind, but %ST fights through it and counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to use the Force to invade %TT\'s mind, but %ST fights through it and counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to use the Force to invade your mind, but you fight through it and counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1624', 'forceintimidate1_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou attempt to use the Force to invade %TT\'s mind, but %ST is able to evade.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to use the Force to invade %TT\'s mind, but %ST is able to evade.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to use the Force to invade your mind, but you are able to evade.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1625', 'forceintimidate1_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use the Force to invade %TT\'s mind and cause intense intimidation!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Force to invade %TT\'s mind and cause intense intimidation!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Force to invade your mind and causes intense intimidation!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1626', 'forceintimidate1_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou attempt to use the Force to invade %TT\'s mind, but lose concentration!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to use the Force to invade %TT\'s mind, but loses concentration!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to use the Force to invade your mind, but loses concentration!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1627', 'forceintimidate2_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou attempt to use the Force to invade %TT\'s mind, but %ST is able to resist!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to use the Force to invade %TT\'s mind , but %ST is able to resist!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to use the Force to invade your mind, but you are able to resist!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1628', 'forceintimidate2_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou attempt to use the Force to invade %TT\'s mind, but %ST fights through it and counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to use the Force to invade %TT\'s mind, but %ST fights through it and counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to use the Force to invade your mind, but you fight through it and counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1629', 'forceintimidate2_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou attempt to use the Force to invade %TT\'s mind, but %ST is able to evade.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to use the Force to invade %TT\'s mind, but %ST is able to evade.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to use the Force to invade your mind, but you are able to evade.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1630', 'forceintimidate2_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use the Force to invade %TT\'s mind and cause intense intimidation!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Force to invade %TT\'s mind and cause intense intimidation!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Force to invade your mind and causes intense intimidation!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1631', 'forceintimidate2_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou attempt to use the Force to invade %TT\'s mind, but lose concentration!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to use the Force to invade %TT\'s mind, but loses concentration!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to use the Force to invade your mind, but loses concentration!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1632', 'forcedrain_block', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou attempt to use the Force to siphon energy from %TT, but %ST is able to resist!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to use the Force to siphon energy from %TT, but %ST is able to resist!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to use the Force to siphon energy from you, but you are able to resist!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1633', 'forcedrain_counter', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou attempt to use the Force to siphon energy from %TT, but %ST fights through it and counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to use the Force to siphon energy from %TT, but %ST fights through it and counterattacks!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to use the Force to siphon your energy, but you fight through it and counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1634', 'forcedrain_evade', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou attempt to use the Force to siphon energy from %TT, but %ST is able to evade.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to use the Force to siphon energy from %TT, but %ST is able to evade.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to use the Force to siphon your energy, but you are able to evade.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1635', 'forcedrain_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou use the Force to siphon %TT\'s energy!\n~\n~\n~\nYou use the Force to siphon %DI Force points of %TT\'s energy!\n~\n~\n~\n~\n%TU uses the Force to siphon %TT\'s energy!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU uses the Force to siphon %DI Force points of your energy!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1636', 'forcedrain_miss', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou attempt to use the Force to siphon energy from %TT, but lose concentration!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to use the Force to siphon energy from %TT, but loses concentration!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU attempts to use the Force to siphon your energy, but loses concentration!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1637', 'forcefeedback_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour reflective barrier causes %TT to be injured by their own attack for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU is protected by a reflective barrier of the Force causing %TT to be injured for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU is protected by a reflective barrier of the Force causing you to be injured for %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1638', 'forcearmor_hit', '~\n~\n~\n~\n~\n~\nYour barrier of the Force protects you from %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1639', 'forceshield_hit', '~\n~\n~\n~\n~\n~\nYour barrier of the Force protects you from %DI points of damage!\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1640', 'forceabsorb_hit', '~\n~\n~\n~\n~\n~\nYou gain %DI Force power from your enemies attack.\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1641', 'forcetransfer_hit', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou transfer %DI Force points to %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU transfers %DI Force points to %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU transfers %DI Force points to you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1642', 'frs_dark_envy_drain', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nEnvy surges through you doing %DI Force points of disruption to %TT.\n~\n~\n~\n~\n~\n~\n~\n~\nEnvy surges through %TU doing %DI Force points of disruption to %TT.\n~\n~\n~\n~\n~\n~\n~\n~\nEnvy surges through %TU doing %DI Force points of disruption to you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1643', 'frs_dark_envy_gain', '... You gain %DI Force power from your attack.');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1644', 'frs_dark_suffering', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n%TT is encompassed in a wave of suffering.  %ST is drained for %DI attribute points.\n~\n~\n~\n~\n~\n~\n~\n~\n%TT is encompassed in a wave of suffering from %TU\'s attack.  %ST is drained for %DI attribute points.\n~\n~\n~\n~\n~\n~\n~\n~\nYou are encompassed in a wave of suffering from %TU\'s attack.  You are drained for %DI attribute points.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1645', 'frs_dark_vengeance', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour vengeance lashes out of %TT inflicting %DI points worth of wounds.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s vengeance lashes out at %TT inflicting %DI points of wounds.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s vengeance lashes out at you inflicting %DI points of wounds.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1646', 'frs_light_vigilance', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nVigilance focuses your attack doing %DI Force points of disruption to %TT.\n~\n~\n~\n~\n~\n~\n~\n~\nVigilance focuses %TU\'s attack doing %DI Force points of disruption to %TT.\n~\n~\n~\n~\n~\n~\n~\n~\nVigilance focuses %TU\'s attack doing %DI Force points of disruption to you.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1647', 'frs_light_wisdom_drain', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nWisdom guides your attack draining %DI attribute points from %TT.\n~\n~\n~\n~\n~\n~\n~\n~\nWisdom guides %TU\'s attack draining %DI attribute points from %TT.\n~\n~\n~\n~\n~\n~\n~\n~\nWisdom guides %TU\'s attack draining you of %DI attribute points.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1648', 'frs_light_wisdom_gain', '... You gain %DI attribute points from your attack.');
INSERT INTO `client_strings` VALUES ('string/en/cbt_spam.stf', '1649', 'frs_light_serenity', '~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYour serenity washes over %TT weakening %OT by %DI attribute points.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s serenity washes over %TT weakening %OT by %DI attribute points.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s serenity washes over you weakening you by %DI attribute points.\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/boss_nass.stf', '1', 'npc_1', 'Boss Nass.  Thatsa meesa name.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/boss_nass.stf', '2', 'player_1', 'Oh dear.  Another one.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/boss_nass.stf', '3', 'player_2', 'You\'re a Gungan?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/boss_nass.stf', '4', 'npc_2', 'Another one?  What yousa meanin?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/boss_nass.stf', '5', 'player_3', 'Oh, nothing.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/boss_nass.stf', '6', 'npc_6', 'Meesa thought so.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/boss_nass.stf', '7', 'player_4', 'Gungan.  You guys don\'t speak basic very well.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/boss_nass.stf', '8', 'npc_7', 'Meesa speaking very well!  Thankyouverymuch.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/boss_nass.stf', '9', 'npc_3', 'Meesa big Gungan.  Meesa strong Gungan.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/boss_nass.stf', '10', 'player_5', 'Yes, I\'m sure you\'re quite strong.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/boss_nass.stf', '11', 'npc_4', 'That why meesa in charge.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/boss_nass.stf', '12', 'player_7', 'Yes, yes, of course you are.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/boss_nass.stf', '13', 'npc_8', 'Better be believing it!');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/boss_nass.stf', '14', 'player_8', 'Oh, right.  King of the Gungans.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/boss_nass.stf', '15', 'npc_9', 'That would be me!');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/boss_nass.stf', '16', 'player_6', 'What do you eat?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/boss_nass.stf', '17', 'npc_5', 'Meesa eat fish, eopie, whatever meesa find.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/boss_nass.stf', '18', 'player_9', 'You wouldn\'t eat me, right?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/boss_nass.stf', '19', 'npc_10', 'Meesa no think so.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/boss_nass.stf', '20', 'player_10', 'How bout other Gungans?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/boss_nass.stf', '21', 'npc_11', 'What kinda monster yousa thinking me?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/c3po.stf', '1', 'npc_1', 'Oh dear, now what?  Have I done something wrong?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/c3po.stf', '2', 'player_1', 'I don\'t know.  Have you?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/c3po.stf', '3', 'player_2', 'I don\'t think so.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/c3po.stf', '4', 'npc_2', 'I don\'t believe so.  But people rarely talk to me except to complain.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/c3po.stf', '5', 'player_3', 'Get a lot of complaints?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/c3po.stf', '6', 'npc_6', 'It seems to be all I get.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/c3po.stf', '7', 'player_4', 'That\'s terrible.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/c3po.stf', '8', 'npc_7', 'I\'ve actually grown accustomed to it.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/c3po.stf', '9', 'npc_3', 'Oh, thank goodness.  I was trying to keep out of trouble this time.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/c3po.stf', '10', 'player_5', 'This time?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/c3po.stf', '11', 'npc_4', 'Ah.  Yes.  Well, I do seem to get into a lot of trouble.  Actually Artoo gets me into most of it.  Blasted little bolt heap.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/c3po.stf', '12', 'player_7', 'Artoo the famous droid of the Alliance?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/c3po.stf', '13', 'npc_8', 'Oh gracious.  It seems his reputation precedes him again.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/c3po.stf', '14', 'player_8', 'Are you talking about an R2 Unit?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/c3po.stf', '15', 'npc_9', 'Not just any R2 Unit.  This one is special.  His specialty seems to be finding trouble.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/c3po.stf', '16', 'player_6', 'What kind of trouble?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/c3po.stf', '17', 'npc_5', 'Oh, I\'ve been in all kinds.  I\'ve been kidnapped, been in battles, been on secret missions...It\'s all too much.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/c3po.stf', '18', 'player_9', 'Were you ever hurt?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/c3po.stf', '19', 'npc_10', 'I seem to think so.  But I can\'t really remember.  ');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/c3po.stf', '20', 'player_10', 'Kidnapped?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/c3po.stf', '21', 'npc_11', 'Oh, those wretched Jawas.  I\'ll never forgive them for that.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/captain_eso.stf', '1', 'npc_1', 'You\'re not here to kill me are you?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/captain_eso.stf', '2', 'player_1', 'Uh...no.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/captain_eso.stf', '3', 'player_2', 'Are there people trying to kill you?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/captain_eso.stf', '4', 'npc_2', 'Good.  Cause it wasn\'t going to happen if you were.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/captain_eso.stf', '5', 'player_3', 'I believe you.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/captain_eso.stf', '6', 'npc_6', 'You\'d better.  You have no idea the horrors I\'ve seen.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/captain_eso.stf', '7', 'player_4', 'You\'re pretty confidant.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/captain_eso.stf', '8', 'npc_7', 'I have to be to survive out here?  You don\'t know what it takes to survive in this jungle.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/captain_eso.stf', '9', 'npc_3', 'Of course.  There always are.  Errand boys mostly, sent down to collect the bill for a check they don\'t deserve.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/captain_eso.stf', '10', 'player_5', 'What are you talking about?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/captain_eso.stf', '11', 'npc_4', 'You know what you call an assassin who goes out to kill another assassin?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/captain_eso.stf', '12', 'player_7', 'This conversation has gotten weird...');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/captain_eso.stf', '13', 'npc_8', 'Things are always weird here in the Jungle.  The Imperials want me dead and the Jungle keeps me alive.  That\'s the way it is.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/captain_eso.stf', '14', 'player_8', 'No idea.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/captain_eso.stf', '15', 'npc_9', 'There\'s nothing anyone can do to stop me.  And there is no answer to that question.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/captain_eso.stf', '16', 'player_6', 'Errand boys?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/captain_eso.stf', '17', 'npc_5', 'The Imperials send their commandos, their soldiers, their droids.  None of them find me.  Except the ones that are already dead.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/captain_eso.stf', '18', 'player_9', 'You\'re a little crazy...');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/captain_eso.stf', '19', 'npc_10', 'Not just a little.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/captain_eso.stf', '20', 'player_10', 'I\'m gonna go now.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/captain_eso.stf', '21', 'npc_11', 'Be seein\' ya.  You won\'t see me, but I\'ll be seeing you.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/charal.stf', '1', 'npc_1', 'You will be punished severely for being here!');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/charal.stf', '2', 'player_1', 'Who are you?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/charal.stf', '3', 'player_2', 'By you?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/charal.stf', '4', 'npc_2', 'I am the Night Sister of Endor, a powerful witch, and you will be sorry to have met me...');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/charal.stf', '5', 'npc_3', 'King Terak and his marauders!');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/chewbacca.stf', '1', 'npc_1', 'Rrraaargh.  Rrrraaaaawwwwrrrr!');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/chewbacca.stf', '2', 'player_1', 'Um...what?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/chewbacca.stf', '3', 'player_2', 'I don\'t speak Wookie.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/chewbacca.stf', '4', 'npc_2', 'Grrrr....');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/chewbacca.stf', '5', 'player_3', 'I don\'t know what I said wrong.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/chewbacca.stf', '6', 'npc_6', 'Rrrrraaaawwwrrrggghhhh.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/chewbacca.stf', '7', 'player_4', 'Um...sure.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/chewbacca.stf', '8', 'npc_7', 'Hhhrrrarrraggghhhh.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/chewbacca.stf', '9', 'npc_3', '<grunt>');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/chewbacca.stf', '10', 'player_5', 'Sorry.  I don\'t speak Shyriwook.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/chewbacca.stf', '11', 'npc_4', 'Rrrraaaaahhhharrrrrgghh.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/chewbacca.stf', '12', 'player_7', 'Whatever you say.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/chewbacca.stf', '13', 'npc_8', 'Wwwwarrrrggghhhhhhh.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/chewbacca.stf', '14', 'player_8', 'Is that right?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/chewbacca.stf', '15', 'npc_9', 'Grrooowwwllll....');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/chewbacca.stf', '16', 'player_6', 'Ok then.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/chewbacca.stf', '17', 'npc_5', 'HHHHHHHHHRRRRRRRRRRAAAAAAAAAAAAAAAAERRRRRRRRRRRRRRRRGGGGGGGGGGGGGHHHHHHHHHH!!!!!');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/chewbacca.stf', '18', 'player_9', 'Dear gracious me, I\'m so sorry.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/chewbacca.stf', '19', 'npc_10', 'GrrAAwwrrgh?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/chewbacca.stf', '20', 'player_10', 'Uh...grr?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/chewbacca.stf', '21', 'npc_11', 'Hmph.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/commander_byrne.stf', '1', 'npc_1', 'No one should be here but my regiment and the salvage company.  Which are you?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/commander_byrne.stf', '2', 'player_1', 'I\'m with you.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/commander_byrne.stf', '3', 'player_2', 'Salvage.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/commander_byrne.stf', '4', 'npc_2', 'Do you think I\'m a fool?  Where\'s your uniform?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/commander_byrne.stf', '5', 'npc_3', 'Carry on then.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/corporal_sova.stf', '1', 'npc_1', 'The Empire has too much control over our lives.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/corporal_sova.stf', '2', 'player_1', 'I work for the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/corporal_sova.stf', '3', 'player_2', 'I agree.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/corporal_sova.stf', '4', 'npc_2', 'Well that\'s too bad.  I guess we\'re done talking.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/corporal_sova.stf', '5', 'player_3', 'Wait, I have a question.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/corporal_sova.stf', '6', 'npc_6', 'Nope.  I\'ve revealed too much already.  No more talking to you.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/corporal_sova.stf', '7', 'player_4', 'That\'s it?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/corporal_sova.stf', '8', 'npc_7', 'For an Imperial?  Yep.  That\'s it.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/corporal_sova.stf', '9', 'npc_3', 'I had a feeling you would.  That\'s why I joined the Alliance.  To meet new people like you who agreed with me.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/corporal_sova.stf', '10', 'player_5', 'Not everyone agrees.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/corporal_sova.stf', '11', 'npc_4', 'That\'s true.  I know that all too well.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/corporal_sova.stf', '12', 'player_7', 'You speak from experience, eh?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/corporal_sova.stf', '13', 'npc_8', 'That\'s right.  But enough about that.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/corporal_sova.stf', '14', 'player_8', 'Me too.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/corporal_sova.stf', '15', 'npc_9', 'Well, I\'m sorry to hear that, but I\'m glad to have found a kindred spirit.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/corporal_sova.stf', '16', 'player_6', 'The Alliance, eh?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/corporal_sova.stf', '17', 'npc_5', 'Yes.  Are you interested in the plight of the rebels?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/corporal_sova.stf', '18', 'player_9', 'Not too much.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/corporal_sova.stf', '19', 'npc_10', 'You should be.  They agree with us as well, and they\'re doing something about it!');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/corporal_sova.stf', '20', 'player_10', 'I\'d like to join up actually.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/corporal_sova.stf', '21', 'npc_11', 'Splendid!  There are recruiters even here on Naboo.  I can\'t give out their names, but you\'ll find them if you look.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/dera_darklighter.stf', '1', 'npc_1', 'Hello.  My name is Dera Darklighter.  Is there something I can do for you?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/dera_darklighter.stf', '2', 'player_1', 'I\'ve heard of your family.  They\'re famous.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/dera_darklighter.stf', '3', 'player_2', 'Aren\'t you part of the rebellion?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/dera_darklighter.stf', '4', 'npc_2', 'Yes, I know.  I am actually PART of the family.  It\'s not just Biggs you know!');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/dera_darklighter.stf', '5', 'player_3', 'Well...nice talking to you.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/dera_darklighter.stf', '6', 'player_4', 'How rude!');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/dera_darklighter.stf', '7', 'player_5', 'It\'s ok, I\'m not with the Empire...');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/dera_darklighter.stf', '8', 'player_6', 'Sorry, I have you confused with someone else.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/dera_darklighter.stf', '9', 'player_7', 'I guess I\'ll be on my way.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/dera_darklighter.stf', '10', 'player_8', 'Don\'t think I\'ve fallen for your tricks...');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/dera_darklighter.stf', '11', 'player_9', 'Guess I\'ll pack up and go then.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/dera_darklighter.stf', '12', 'player_10', 'Don\'t have many friends do you?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/dera_darklighter.stf', '13', 'npc_3', 'I don\'t know where you would have heard such a rumor.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/dera_darklighter.stf', '14', 'npc_4', 'Well as slick as you are I\'m surprised you haven\'t found ALL the rebels on Tatooine.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/dera_darklighter.stf', '15', 'npc_5', 'I guess so.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/dera_darklighter.stf', '16', 'npc_6', 'Sorry.  I\'ll try to be more pleasant in the future.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/dera_darklighter.stf', '17', 'npc_7', 'Like I care.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/dera_darklighter.stf', '18', 'npc_8', 'Good, I hope you can find your way out of here.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/dera_darklighter.stf', '19', 'npc_9', 'Don\'t worry about what I think.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/dera_darklighter.stf', '20', 'npc_10', 'Hope you can do that on your own.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/dera_darklighter.stf', '21', 'npc_11', 'Don\'t need many.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/diax.stf', '1', 'npc_1', 'You are not one of us...');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/diax.stf', '2', 'player_1', 'Sorry, I\'ll go.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/diax.stf', '3', 'player_2', 'Who are you?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/diax.stf', '4', 'npc_2', 'Good!');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/diax.stf', '5', 'npc_3', 'We are the Sisters of the Night!');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/fath_hray.stf', '1', 'npc_1', 'You are not one of us...');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/fath_hray.stf', '2', 'player_1', 'Sorry, I\'ll go.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/fath_hray.stf', '3', 'player_2', 'Who are you?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/fath_hray.stf', '4', 'npc_2', 'Good!');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/fath_hray.stf', '5', 'npc_3', 'We are the Sisters of the Night!');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/fightmaster_jorak.stf', '1', 'npc_1', 'Are you prepared to fight?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/fightmaster_jorak.stf', '2', 'player_1', 'Um...no.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/fightmaster_jorak.stf', '3', 'player_2', 'Sure.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/fightmaster_jorak.stf', '4', 'npc_2', 'Then begone!');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/fightmaster_jorak.stf', '5', 'npc_3', 'Then meet me at Dawn in this very spot.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/general_otto.stf', '1', 'npc_1', 'What are you doing here?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/general_otto.stf', '2', 'player_1', 'Just a traveler.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/general_otto.stf', '3', 'player_2', 'I\'m looking for Nym.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/general_otto.stf', '4', 'npc_2', 'Then don\'t let me keep you.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/general_otto.stf', '5', 'npc_3', 'So am I.  If you find him, tell him that the Empire will no longer tolerate his existence!');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/gerrick_lond.stf', '1', 'npc_1', 'Welcome to Jabba\'s town house.  What can be done for you?  Hm?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/gerrick_lond.stf', '2', 'player_1', 'Jabba has a town house?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/gerrick_lond.stf', '3', 'player_2', 'I\'m here to see Jabba.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/gerrick_lond.stf', '4', 'npc_2', 'Hm?  Yes.  Of course he does.  Why?  Shouldn\'t he?  Hm?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/gerrick_lond.stf', '5', 'player_3', 'No, I just didn\'t know.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/gerrick_lond.stf', '6', 'npc_6', 'Well now you do.  Hm.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/gerrick_lond.stf', '7', 'player_4', 'Does he ever come here?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/gerrick_lond.stf', '8', 'npc_7', 'On occasion.  Mostly we do business from here, and keep Jabba\'s guests very comfortable.  Hm.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/gerrick_lond.stf', '9', 'npc_3', 'I\'m sorry, but Master is away at the Palace.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/gerrick_lond.stf', '10', 'player_5', 'You know that\'s actually a monastery, right?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/gerrick_lond.stf', '11', 'npc_4', 'The old B\'omarr monastery?  Hm...Believe me, it is Jabba\'s Palace.  No more, and no less.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/gerrick_lond.stf', '12', 'player_7', 'What about the monks?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/gerrick_lond.stf', '13', 'npc_8', 'Oh, those spider droids? Hm? Believe me when I tell you that they know their place there.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/gerrick_lond.stf', '14', 'player_8', 'He stole it.  What if someone steals it from him?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/gerrick_lond.stf', '15', 'npc_9', 'I would feel pity for anyone who thought they could take the Palace back away from the master.  Hm?  Oh yes.  Much pity.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/gerrick_lond.stf', '16', 'player_6', 'When do you expect him?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/gerrick_lond.stf', '17', 'npc_5', 'Hm?  We don\'t expect the Master.  He comes and goes at his pleasure.  We strive only to serve.  Hm.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/gerrick_lond.stf', '18', 'player_9', 'Why do you keep saying Hm?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/gerrick_lond.stf', '19', 'npc_10', 'It\'s a nervous tick.  Hm.  I assure you.  Nothing more.  Hm.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/gerrick_lond.stf', '20', 'player_10', 'Well, I guess I\'ll go check at the palace then.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/gerrick_lond.stf', '21', 'npc_11', 'Hm.  And that is where you shall find him.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/gethzerion.stf', '1', 'npc_1', 'I am the ruler of the Nightsisters.  You have no place here...');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/gethzerion.stf', '2', 'player_1', 'Sorry, I\'ll go.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/gethzerion.stf', '3', 'player_2', 'I like it here.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/gethzerion.stf', '4', 'npc_2', 'Good!');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/gethzerion.stf', '5', 'npc_3', 'Fool!');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/gins_darone.stf', '1', 'npc_1', 'Who do you work for?  Speak up!');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/gins_darone.stf', '2', 'player_1', 'I\'m here on my own.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/gins_darone.stf', '3', 'player_2', 'I\'m part of a group...');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/gins_darone.stf', '4', 'npc_2', 'Well, that can get you killed.  Do you know what there is around here?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/gins_darone.stf', '5', 'player_3', 'Jungle?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/gins_darone.stf', '6', 'npc_6', 'Money.  Parts of the Death Star that fell to the planet.  They\'re worth a lot to the right bidders.  And they\'re all mine, so stay out of my way and stay out of my people\'s way.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/gins_darone.stf', '7', 'player_4', 'Debris?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/gins_darone.stf', '8', 'npc_7', 'That debris is worth cold hard credits and I intend to cash out.   Just stay out of the way, all right?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/gins_darone.stf', '9', 'npc_3', 'I don\'t need to hear it.  As long as you\'re not here to stop me.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/gins_darone.stf', '10', 'player_5', 'Stop you from what?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/gins_darone.stf', '11', 'npc_4', 'Heh.  From collecting my due.  My salvage team is gonna reap the rewards of this stuff.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/gins_darone.stf', '12', 'player_7', 'What stuff?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/gins_darone.stf', '13', 'npc_8', 'Pieces of the Death Star.  They\'re ours for the taking.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/gins_darone.stf', '14', 'player_8', 'Salvage team?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/gins_darone.stf', '15', 'npc_9', 'That\'s right.  I run a tight group here.  We\'re gonna make a bundle.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/gins_darone.stf', '16', 'player_6', 'I\'m not.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/gins_darone.stf', '17', 'npc_5', 'Good, cause I wouldn\'t have let you.  And neither would my team.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/gins_darone.stf', '18', 'player_9', 'Your team?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/gins_darone.stf', '19', 'npc_10', 'My guys are here to collect salvage, but don\'t think that means they\'re pushovers.  They\'ll take you down if I give the word.  Got it?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/gins_darone.stf', '20', 'player_10', 'I\'m done.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/gins_darone.stf', '21', 'npc_11', 'Me too.  Talk to you later if you live that long.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/gorr_ebelt.stf', '1', 'npc_1', 'Shady work here on Naboo if you want it.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/gorr_ebelt.stf', '2', 'player_1', 'Shady?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/gorr_ebelt.stf', '3', 'player_2', 'Work?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/gorr_ebelt.stf', '4', 'npc_2', 'Well, not everything we do here is strictly above the bar.  Say, you\'re not with law enforcement are you?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/gorr_ebelt.stf', '5', 'player_3', 'Well, no.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/gorr_ebelt.stf', '6', 'npc_6', 'Well, then perhaps you could check with some of my associates.  They might have some work for you.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/gorr_ebelt.stf', '7', 'player_4', 'Actually, I am.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/gorr_ebelt.stf', '8', 'npc_7', 'Oh.  Well then ignore everything I say.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/gorr_ebelt.stf', '9', 'npc_3', 'Yes.  Work.  You do know what work is, right?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/gorr_ebelt.stf', '10', 'player_5', 'Work is for other people.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/gorr_ebelt.stf', '11', 'npc_4', 'So you\'re just here on vacation?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/gorr_ebelt.stf', '12', 'player_7', 'That\'s right.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/gorr_ebelt.stf', '13', 'npc_8', 'Ah.  How much money do you have?  Nevermind.  I\'ll find out soon enough...');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/gorr_ebelt.stf', '14', 'player_8', 'No.  I just don\'t like working.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/gorr_ebelt.stf', '15', 'npc_9', 'Maybe I should get into your line of \"work\" then.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/gorr_ebelt.stf', '16', 'player_6', 'That\'s none of your business.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/gorr_ebelt.stf', '17', 'npc_5', 'I could make your business my business...');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/gorr_ebelt.stf', '18', 'player_9', 'Don\'t bother, the pay\'s too low.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/gorr_ebelt.stf', '19', 'npc_10', 'You\'re a funny guy.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/gorr_ebelt.stf', '20', 'player_10', 'I don\'t have money and I don\'t want a job.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/gorr_ebelt.stf', '21', 'npc_11', 'Well, you\'re not doing me much good then are you?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/han_solo.stf', '1', 'npc_1', 'Something I can do for you?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/han_solo.stf', '2', 'player_1', 'Aren\'t you Han Solo?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/han_solo.stf', '3', 'player_2', 'I hear you\'ve got a nice ship.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/han_solo.stf', '4', 'npc_2', 'That depends.  You work for Jabba?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/han_solo.stf', '5', 'player_3', 'Jabba?  Who\'s that?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/han_solo.stf', '6', 'npc_6', 'The Hutt?  Lives on Tatooine?  Nevermind, if you don\'t know him then, yeah, I\'m Han Solo.  Pleased to meet ya.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/han_solo.stf', '7', 'player_4', 'The Hutt?  No way.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/han_solo.stf', '8', 'npc_7', 'Not a gangster eh?  Good for you.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/han_solo.stf', '9', 'npc_3', 'That\'s right.  The Millenium Falcon.  Of course you already knew that.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/han_solo.stf', '10', 'player_5', 'Millenium Falcon?  Never heard of it.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/han_solo.stf', '11', 'npc_4', 'You\'re kidding.  It made the Kessel run in...ah forget it.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/han_solo.stf', '12', 'player_7', 'No, really.  I\'d like to hear it.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/han_solo.stf', '13', 'npc_8', 'Let\'s just say she\'s the fastest hunk of junk in the galaxy and leave it at that.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/han_solo.stf', '14', 'player_8', 'The Kessel run?  Isn\'t that illegal?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/han_solo.stf', '15', 'npc_9', 'I make a fair living.  Don\'t go spreading any rumors, you got me?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/han_solo.stf', '16', 'player_6', 'Yeah, I hear it\'s nice.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/han_solo.stf', '17', 'npc_5', 'Nice?  Nice?  I can\'t believe this.  That\'s what you heard?  My ship is nice?  Who told you that?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/han_solo.stf', '18', 'player_9', 'I don\'t remember.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/han_solo.stf', '19', 'npc_10', 'Well, if you find the guy that did tell him I\'ll take on any and all comers, you got it?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/han_solo.stf', '20', 'player_10', 'Some guy named Lando something...');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/han_solo.stf', '21', 'npc_11', 'Oh.  Well that figures.  He never did appreciate this baby.  That\'s why he lost her to me.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/imperial_bribe.stf', '1', 'leave_me_alone', 'Go away.  I\'m not talking to anyone today.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/imperial_bribe.stf', '2', 'who_are_you', 'Who are you?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/imperial_bribe.stf', '3', 'perhaps_bribe', 'Maybe some money will make you talk to me.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/imperial_bribe.stf', '4', 'nunya', 'Who are you? Some sort of Imperial assassin? I\'m not going to make your job easier by confirming my identity. Now leave me alone.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/imperial_bribe.stf', '5', 'what_you_got', 'Credits, eh? I am a bit light in the pocket today. But the price of knowledge is steep. What are you offering? ');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/imperial_bribe.stf', '6', 'give_50', 'How about 50 credits?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/imperial_bribe.stf', '7', 'give_100', 'I could spare 100 credits...');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/imperial_bribe.stf', '8', 'medium_info', 'A modest fee. You\'ll probably want to know about the Imperial facility where I once served the Empire. The base guarded by droidekas? Is that what you\'re here for?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/imperial_bribe.stf', '9', 'short_base_info', 'Tell me about the Imperial base.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/imperial_bribe.stf', '10', 'short_droideka_info', 'Droidekas?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/imperial_bribe.stf', '11', 'short_base_story', 'It\'s a research facility. That\'s all I can reveal. The base is responsible for manufacturing high-grade explosives for the Empire, including grenades. But there is no obvious Imperial presence at the base. No Imperial soldiers, no guards. The entire base is staffed by freelance mercenaries. ');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/imperial_bribe.stf', '12', 'short_droideka_story', 'Yes, the so-called \"destroyer droids\" used by the Trade Federation during the Clone Wars. The Empire has a stockpile of the droids and has reprogrammed them to guard various installations across the galaxy, including the research station and a mine here on Lok. The droidekas are programmed to attack anyone who shouldn\'t be there. They work so well, we also sent some to the mine to guard the slaves there.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/imperial_bribe.stf', '13', 'tell_me_more_base', 'No Imperials at the base?  Explain.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/imperial_bribe.stf', '14', 'tell_me_more_droideka', 'How can I get past the Droideka?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/imperial_bribe.stf', '15', 'need_more_money', 'I\'ll need more credits to divulge that information.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/imperial_bribe.stf', '16', 'need_more_cash', 'That kind of information requires credits, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/imperial_bribe.stf', '17', 'add_100_bribe', 'What about another 100 credits?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/imperial_bribe.stf', '18', 'end_convo', 'I guess that\'s all I need.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/imperial_bribe.stf', '19', 'thats_all', 'Now go. I can\'t be seen talking to the likes of you.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/imperial_bribe.stf', '20', 'end_base_info', 'There\'s a feud between General Otto and other Imperials. To keep Otto from meddling in the affairs of the Lok research facility, it was built it in relative secrecy and staffed it with mercenaries rather than requisitioned soldiers.  ');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/imperial_bribe.stf', '21', 'anymore_base', 'Can you tell me anything else about the base?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/imperial_bribe.stf', '22', 'no_more_base', 'That\'s all I\'m saying. You don\'t need to know any more than that.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/imperial_bribe.stf', '23', 'end_droideka_info', 'There\'s no option but to fight it.  But that Droideka, it\'s pretty tough.  I think they\'ve made some special mods to it.  I\'m not saying what, I\'m just saying I heard...');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/imperial_bribe.stf', '24', 'anymore_droideka', 'How can I destroy the Droideka?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/imperial_bribe.stf', '25', 'no_more_droideka', 'I\'m not saying anything else.  Sorry.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/imperial_bribe.stf', '26', 'the_good_stuff', 'Alright. I can tell you that I worked for an Imperial Research base, but that we didn\'t use requisitioned Imperial soldiers for guards. Instead, we hired the most dangerous mercenaries we could find. The base is also guarded by reprogrammed droidekas that assaults anyone who approaches. The droidekas are so efficient we sent some to the Imperial mines as well as some places on Dantooine...');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/imperial_bribe.stf', '27', 'tell_me_base', 'Tell me about the base and its guards.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/imperial_bribe.stf', '28', 'base_story_long', 'The base is actually one of the Imperial Inquisitors\' pet projects. They chose to build the facility on Lok because the planet has an abundance of noxious chemicals. However, the Inquisitors loathe General Otto, who is technically in power here. They believe he has a brain the size of a meewit, and I\'m inclined to agree. In order to bypass Otto and avoid his meddling, the Inquisitors avoided all official requisitions when building the facility. Freelance engineers were hired to build the base, and brutal mercenaries prevent any Rebel spies from interfering with the research. The plan seems to be working: I doubt Otto even realizes that the base exists. ');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/imperial_bribe.stf', '29', 'tell_me_droideka', 'Dantooine?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/imperial_bribe.stf', '30', 'droideka_story_long', 'Sure.  There\'s a bio-genics research facil- er...nevermind.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/imperial_bribe.stf', '31', 'you_got_nothing', 'You don\'t have any money!');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/jan_dodonna.stf', '1', 'npc_1', 'How are things going friend?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/jan_dodonna.stf', '2', 'player_1', 'Do I know you?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/jan_dodonna.stf', '3', 'player_2', 'Do you assume everyone\'s a friend?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/jan_dodonna.stf', '4', 'npc_2', 'Probably not.  Just being friendly is all. ');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/jan_dodonna.stf', '5', 'player_3', 'Ah.  And who are you?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/jan_dodonna.stf', '6', 'npc_6', 'Just a tired old soldier.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/jan_dodonna.stf', '7', 'player_4', 'Well, thanks.  That\'s nice of you.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/jan_dodonna.stf', '8', 'npc_7', 'That\'s why I do it.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/jan_dodonna.stf', '9', 'npc_3', 'Until they prove otherwise.  Don\'t you?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/jan_dodonna.stf', '10', 'player_5', 'I never make assumptions.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/jan_dodonna.stf', '11', 'npc_4', 'You\'re probably the better man for it.  Me, I just can\'t think of people negatively until they\'ve done something to lose my trust.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/jan_dodonna.stf', '12', 'player_7', 'That\'s encouraging.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/jan_dodonna.stf', '13', 'npc_8', 'I hope so.  But I also hope for the best all the time.  ');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/jan_dodonna.stf', '14', 'player_8', 'That seems unwise.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/jan_dodonna.stf', '15', 'npc_9', 'Well, I\'m just a silly old man sometimes.  But don\'t look at people too negatively.  Sometimes they can surprise you.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/jan_dodonna.stf', '16', 'player_6', 'I assume they\'re enemies.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/jan_dodonna.stf', '17', 'npc_5', 'That\'s a bit negative isn\'t it?  Surely you\'re just saying that to sound tough...');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/jan_dodonna.stf', '18', 'player_9', 'Maybe a little.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/jan_dodonna.stf', '19', 'npc_10', 'Well, keep it to yourself, that\'s my advice.  People don\'t like a tough guy unless they need one.  Or unless they really are bad people.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/jan_dodonna.stf', '20', 'player_10', 'No, I\'m serious.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/jan_dodonna.stf', '21', 'npc_11', 'I worry about the universe sometimes...and this is why.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/jinkins.stf', '1', 'first_time_hello', 'Hmmm? You must be a new recruit. This crew changes faces faster than a Shi\'odo spy. But I\'m glad we have some fresh blood: The last \"pirate\" who wandered in here is still being digested by a kimogila somewhere past Rancid Ridge.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/jinkins.stf', '2', 'who_are_you', 'Jinkins, eh?  What do you do?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/jinkins.stf', '3', 'tell_me_quest', 'Do you need me to do anything for you?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/jinkins.stf', '4', 'quest_info', 'Actually, there is something I\'d like you to look into, if you can.  I recently intercepted a distress call from a starship that crashed-landed on Lok. Ships nose-dive into the planet all the time, but this one took off from an Imperial mining installation on Lok and never made it into the atmosphere. I think it slammed down near the hideout of the Sulfur Lake Pirates. I\'m very interested in this vessel...');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/jinkins.stf', '5', 'distress_call', 'You intercepted a distress call?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/jinkins.stf', '6', 'crashed_ship', 'Yes. As part of my duties, I monitor comlink and transceiver activity around the system. We don\'t want a Star Destroyer sneaking up on us, do we? Anyway, this particular starship interests me because it was carrying Imperial cargo. A droid, in fact, that was once owned by General Otto at an Imperial base here on Lok.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/jinkins.stf', '7', 'droid_memory', 'What\'s so special about this droid?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/jinkins.stf', '8', 'imperial_info', 'Probably nothing. But, as an Imperial droid, it might be carrying some very interesting data.  Shipping schedules, guard rosters, prisoner transfer information, schematics for some terrifying super weapon... Anything the droid knows could be sold on the black market or traded back to Otto for a favor down the road. It might also tell us something about that Imperial mining facility, which we haven\'t been able to infiltrate. You\'d be rewarded well if you could secure that droid\'s memory module.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/jinkins.stf', '9', 'ill_get_memory', 'I\'ll recover the module. Where can I find this droid?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/jinkins.stf', '10', 'heres_droid_memory', 'Excellent.  I\'ll provide you with a waypoint to the Sulfur Lake.  Our scouts learned that the Sulfur Lake Pirates have already taken the cargo - including the droid - from the crashed starship, so don\'t waste your time looking through the wreckage. Just head to the pirates\' lair, locate the droid, and grab the memory module. Oh, and watch out for the pirates\' \"bridge troll.\" I\'m not sure what that is, but it sounds dangerous...');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/jinkins.stf', '11', 'sulfur_lake_pirates', 'Who are the Sulfur Lake Pirates?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/jinkins.stf', '12', 'pirate_info', 'Probably the most bloodthirsty, least-intelligent pirates on Lok. Like all the other pirate bands, they are constantly trying to dethrone Nym as Lok\'s reigning pirate king. They hate Nym for taking control of all the nearby hyperspace routes and claim that he\'s working with the Imperials. The gravel maggots have been looking for an excuse to go to war with us for years... There\'s a hermit living near Nym\'s stronghold who once worked for the Sulfur Pirates. He might be able to tell you more.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/jinkins.stf', '13', 'whos_the_guy', 'Who is this hermit?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/jinkins.stf', '14', 'deals_with_pirates', 'I don\'t know much about him. We think he was some sort of droid designer for the Old Republic, but fled to Lok when the Empire took power. A few years ago, Nym used him to fence good on Coruscant. But before that, he was performing droid upgrades for the Sulfur Lake Pirates. He can probably tell you about their base.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/jinkins.stf', '15', 'ill_see_the_guy', 'Okay, I\'ll go talk to him.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/jinkins.stf', '16', 'heres_the_guy', 'Good. I\'ll mark his last known location in your datapad.  Be sure to ask him about the pirates, see what he knows.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/jinkins.stf', '17', 'anything_else', 'Is there anything else you can tell me?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/jinkins.stf', '18', 'you_know_all', 'Not really. You know everything I know.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/jinkins.stf', '19', 'i_am_jinkins', 'I\'m Jinkins, Nym\'s chief engineer. Nym asks for weapons, and I build them. I joined up with the Lok Revenants a few months before the Battle of Naboo, which makes me one of this crew\'s oldest members, along with Kole of course. ');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/jinkins.stf', '20', 'who_is_nym', 'Tell me about Nym.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/jinkins.stf', '21', 'who_is_kole', 'Who is Kole?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/jinkins.stf', '22', 'nym_is_boss', 'You must be joking... Nym is the most feared pirate in the Maramere system. He routed the Trade Federation from Lok and its neighboring planets right around the start of the Clone Wars, and he\'s maintained complete control over the spacelanes in this region ever since.  There\'s nobody with more power on Lok. And except for Jabba the Hutt, he\'s probably the most powerful alien in the Outer Rim. The Imperials on this planet couldn\'t even lift Nym\'s shadow... And he has no love for the Empire, if you catch my meaning...');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/jinkins.stf', '23', 'kole_is_friend', 'Kole is Nym\'s first mate. He\'s been with this crew longer than I have. In his younger days, he was a brilliant disguise artist and even worked for a few years as an assassin. Now, he mostly watches Nym\'s back.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/jinkins.stf', '24', 'hello_again', 'You\'re still alive? Good work. Do you want to talk about something else?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/jinkins.stf', '25', 'hello_kole', 'So I hear you talked to Kole.  Excellent. Stay on that Chadra-Fan\'s good side, and you\'ll live longer. Now what can I do for you?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/jinkins.stf', '26', 'hello_nym', 'I heard you talked to Nym. I\'m not sure he trusts you... But, then again, he doesn\'t trust anyone except Kole and me. So, what can I do for you?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/jinkins.stf', '27', 'hello_all', 'Well, you\'ve met everyone worth knowing in this crew. So, what do you need?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/jinkins.stf', '28', 'tell_me_again', 'Can you tell me again what you need?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/jinkins.stf', '29', 'quest_info_again', 'I need you - or someone more skilled - to retrieve a memory module from a droid that the Sulfur Lake Pirates have evidently captured. You may want to discuss the pirates\' lair with one of their former members.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/jinkins.stf', '30', 'you_got_memory', 'Did you retrieve it?  The memory module?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/jinkins.stf', '31', 'no', 'Not yet.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/jinkins.stf', '32', 'get_back_to_work', 'Really?  One of our operatives, a slicer who has infiltrated the Sulfur Pirate lair, is certain he saw you there. He also believes that you have already retrieved the module. But perhaps he was mistaken. Head to that cave and find the memory module for me.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/jinkins.stf', '33', 'yes', 'Yeah, I have it.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/jinkins.stf', '34', 'hand_it_over', 'Excellent.  Now, if you\'ll just hand it to me...');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/jinkins.stf', '35', 'whats_this', 'What are you trying to give me?  I don\'t need this.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/jinkins.stf', '36', 'gave_brain', 'Yes!  That\'s it.  This is the right model number... And this droid does indeed have a history with the Empire. Now, it should be simple matter to slice this droid\'s brain and find out what it knows. I\'ll be sending any intriguing information to Kole\'s datapad, so you might want to talk to him next time you\'re in our stronghold. ');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/jinkins.stf', '37', 'good_work', 'Securing that memory module proves that you have the makings of a true pirate. I\'m sure you\'ll go far with the Lok Revenants. Now, is there something else I can do for you?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/jinkins.stf', '38', 'what_now', 'Can you give me another assignment?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/jinkins.stf', '39', 'see_ya', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/jinkins.stf', '40', 'good_bye', 'Alright, but I suggest you talk to Nym or Kole if you\'re still interested in our crew. ');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/jinkins.stf', '41', 'talk_to_nym', 'You\'ve already done my dirty work. But talk to Nym... I think he might need something from you.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/jinkins.stf', '42', 'talk_to_kole', 'Kole is planning a new mission for you, based on the information I recovered from that memory module. You should talk to him to receive your next assignment.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/kais.stf', '1', 'npc_1', 'You are not one of us...');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/kais.stf', '2', 'player_1', 'Sorry, I\'ll go.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/kais.stf', '3', 'player_2', 'Who are you?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/kais.stf', '4', 'npc_2', 'Good!');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/kais.stf', '5', 'npc_3', 'We are the Sisters of the Night!');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/kardeer.stf', '1', 'npc_1', 'Madam\'s not here, but what can I help you with?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/kardeer.stf', '2', 'player_1', 'Who are you?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/kardeer.stf', '3', 'player_2', 'Who\'s the Madam?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/kardeer.stf', '4', 'npc_2', 'I\'m Kardeer, her Ladyship\'s gardener.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/kardeer.stf', '5', 'player_3', 'You\'re a gardener?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/kardeer.stf', '6', 'npc_6', 'My gloves didn\'t give it away?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/kardeer.stf', '7', 'player_4', 'Must not be much work on Tatooine.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/kardeer.stf', '8', 'npc_7', 'Gardening is noble pursuit no matter where it is performed.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/kardeer.stf', '9', 'npc_3', 'Her majesty, Lady Valarian.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/kardeer.stf', '10', 'player_5', 'Never heard of her.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/kardeer.stf', '11', 'player_6', 'The Whiphid?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/kardeer.stf', '12', 'npc_4', 'You\'ve never heard of her eminence the Lady Valarian?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/kardeer.stf', '13', 'player_7', 'I think that\'s what I just said.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/kardeer.stf', '14', 'player_8', 'What does she do?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/kardeer.stf', '15', 'npc_8', 'Perhaps you should ask around about her.  She is quite powerful here on Tatooine.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/kardeer.stf', '16', 'npc_9', 'She does whatever needs to be done.  Her grace is an ever flowing fount of knowledge, wisdom, and generosity.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/kardeer.stf', '17', 'player_9', 'Why should I care about her?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/kardeer.stf', '18', 'npc_5', 'She is so much more than that.  She is to be praised for her good works at every possible opportunity.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/kardeer.stf', '19', 'player_10', 'Are you ok?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/kardeer.stf', '20', 'npc_10', 'Because.  There is nothing more to be said.  You should feel priveleged to exist in the same galaxy as such a wonderous creature.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/kardeer.stf', '21', 'npc_11', 'I\'m feeling a little light headed, actually.  Perhaps it was all the pesticides...');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/king_terak.stf', '1', 'npc_1', 'I am King Terak, Lord of the Marauders!');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/king_terak.stf', '2', 'player_1', 'What are marauders?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/king_terak.stf', '3', 'player_2', 'What do you want?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/king_terak.stf', '4', 'npc_2', 'We are the scavengers of Endor, taking what we want and ruling over the planet with an iron fist!');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/king_terak.stf', '5', 'npc_3', 'I want off this accursed planet!');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/kole.stf', '1', 'first_time_hello', 'Eh, what do we have here? Some soft outlander that has crawled into our stronghold? What do you want, fringer?  ');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/kole.stf', '2', 'who_are_you', 'Who are you?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/kole.stf', '3', 'tell_me_quest', 'I\'m looking to help out Nym\'s crew.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/kole.stf', '4', 'im_kole', 'According to the Imperial criminal databank, my name\'s Kole, and that\'s the only name you need to know. I\'m Nym\'s first mate, which means that I slip a vibro-blade between the ribs of anyone who he don\'t like. So watch yourself. Me and Jinkins, we\'ve been around long enough to bury hundreds of outlanders just like you.  ');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/kole.stf', '5', 'who_is_nym', 'Tell me about Nym.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/kole.stf', '6', 'who_is_jinkins', 'Who is Jinkins?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/kole.stf', '7', 'jinkins_is_friend', 'Jinkins is the bald Bith standing over there. He\'s Nym\'s chief engineer, builds us our weapons and droids. He don\'t have that killer instinct, but he does have something more dangerous: information. In fact, he\'s probably got some work for you, if you\'re lucky.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/kole.stf', '8', 'quest_info', 'Good. I need you to check something out for us. Jinkins sliced some data from an Imperial droid and found out that it was on a ship trying to escape an Imperial mining installation here on Lok. Imperial labor camps ain\'t known for their safe working conditions... The droid says the miners hit some sort of gas pocket. The entire work crew had their brains boiled. They survived, but they\'re crazy. And the droid thinks that some of the Imperial officers were infected too. Any gas that drives Imperials out of their minds is a good thing to have around, so we want some samples of it. ');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/kole.stf', '9', 'nym_is_chief', 'Nym\'s the captain of the Lok Revenants, our crew. Before that thing on Naboo, we was pirates, mainly robbing freighters that passed by Lok. But then Nym went to war with the Trade Federation. It took ten years, but we finally chewed through the droids and spit \'em out of the system. Nym\'s been like the king of Lok ever since.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/kole.stf', '10', 'dangerous_gas', 'How dangerous is this gas?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/kole.stf', '11', 'probe_droid', 'What other threats are out there?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/kole.stf', '12', 'hello_again', 'I wasn\'t expecting you to come back. Figured you hopped a shuttle back to Naboo or whatever planet you come from. What do you want?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/kole.stf', '13', 'miners', 'It looks like the mine has a cheap air filtration system. It barely meets Imperial code and didn\'t stop the gas from infecting the miners. But Jinkins thinks the filters trapped some of the gas. Just find the filtration system and look for some kinda sealed container. Oh, and now that the filters have had some time do their work, the air down there should be clean. If you\'re lucky, anyway. ');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/kole.stf', '14', 'quest_tease', 'I ain\'t got nothing for you yet. Go talk to Jinkins. He\'s always handing out blue milk runs for outlanders like you.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/kole.stf', '15', 'mining_facility', 'Won\'t the facility be filled with poison?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/kole.stf', '16', 'gas_info', 'You scared? I said don\'t worry about the gas. The filters should have scrubbed the air clean by now. The real danger is gonna be the miners. The gas has poisoned their brains. They\'ve taken over the mine and will attack anyone who comes near the place. They\'re like wild dinkos...');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/kole.stf', '17', 'ill_get_gas', 'Well, I can take a shot at getting this gas...');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/kole.stf', '18', 'here_is_gas', 'Good. I\'m gonna mark the location of the mine in your datapad. This will be a tough mission, though; if you have any friends, you\'d might want to ask for their help. Or least tell them how you want your remains handled. ');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/kole.stf', '19', 'tell_me_again', 'Explain to me again what I need to do...');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/kole.stf', '20', 'quest_info_again', 'I want you to grab an \"insanity gas\" from a mine full of deranged miners. Find the filtration system and get a canister of that gas. ');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/kole.stf', '21', 'droid_info', 'Since the imperials aren\'t sure what\'s going on with the mine, they\'ve sent some of their droids to monitor the situation.  You may have to deal with them as well.  ');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/kole.stf', '22', 'imperial_involvement', 'What kind of droids?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/kole.stf', '23', 'imperial_stuff', 'We don\'t know, exactly. But we do have an ex-Imperial in our pocket who might have some information for you. Sergeant Moore owes Nym several thousand credits. He\'ll probably tell you whatever you need to know, for a price. Since he left the Imperial army, he spends most of his time in the cantina.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/kole.stf', '24', 'resigned_officer', 'Why did he leave the army?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/kole.stf', '25', 'officer_info', 'The Empire found out that he was borrowing credits from Nym. He was going to be executed, but he has friends in the Tagge family. They put in a good word, and Moore was kicked out instead of killed. But, he still has good information about the Empire\'s droids.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/kole.stf', '26', 'ill_see_imperial', 'Maybe I should go talk to him.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/kole.stf', '27', 'here_is_imperial', 'I\'ll give you a waypoint to the cantina where he hangs out. He might be able to tell you about the droids or the mining facility.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/kole.stf', '28', 'anything_else', 'Is there anything else you can tell me?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/kole.stf', '29', 'not_really', 'No. You\'ve heard everything you need to know.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/kole.stf', '30', 'bring_gas', 'Did you bring me the gas?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/kole.stf', '31', 'yes', 'Yeah, I have it here...');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/kole.stf', '32', 'no', 'No, I didn\'t get it yet.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/kole.stf', '33', 'hand_it_over', 'Good. Now, just give me the canister...');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/kole.stf', '34', 'get_back_to_work', 'Then get back out there and find it.. Look in the mine\'s filtration system.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/kole.stf', '35', 'gave_gas', 'Good work. This gas should be extremely useful to Nym.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/kole.stf', '36', 'whats_this', 'This isn\'t what I asked for. I need the gas from the mining facility.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/kole.stf', '37', 'good_work', 'I wasn\'t sure about you, but recoverin\' that gas from the mining facility was a pretty dangerous mission. I\'m actually surprised you survived. Good work.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/kole.stf', '38', 'what_now', 'What should I do now?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/kole.stf', '39', 'see_ya', 'I\'ll talk to you later.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/kole.stf', '40', 'good_bye', 'Good luck, fringer.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/kole.stf', '41', 'youre_done', 'I don\'t have any more assignments, but Nym wants to talk to you.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/kole.stf', '42', 'talk_to_nym', 'Go see Nym.  He needs an outlander for a special mission.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/kole.stf', '43', 'talk_to_jinkins', 'Go talk to Jinkins.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lady_valarian.stf', '1', 'npc_1', 'Are you a customer or are you looking for work?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lady_valarian.stf', '2', 'player_1', 'What do you sell?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lady_valarian.stf', '3', 'player_2', 'What kind of work?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lady_valarian.stf', '4', 'npc_2', 'There\'s nothing that\'s not for sale here on Tatooine.  What do you want?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lady_valarian.stf', '5', 'player_3', 'Is this illegal?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lady_valarian.stf', '6', 'npc_6', 'If you\'re that worried about it why don\'t you go shopping somewhere else.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lady_valarian.stf', '7', 'player_4', 'There\'s nothing I really need right now.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lady_valarian.stf', '8', 'npc_7', 'Well, come back if you need something.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lady_valarian.stf', '9', 'npc_3', 'I have all kinds of work available.  What are you good at?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lady_valarian.stf', '10', 'player_5', 'I\'m good at lots of things.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lady_valarian.stf', '11', 'player_6', 'I\'m good at shooting things.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lady_valarian.stf', '12', 'npc_4', 'Well, I could probably find some use for you.  You\'re not an imperial are you?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lady_valarian.stf', '13', 'player_7', 'I do have some Imperial standing.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lady_valarian.stf', '14', 'player_8', 'No, I\'m pretty much free to work for whoever.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lady_valarian.stf', '15', 'npc_8', 'Sorry, I can\'t use you then.  Union regulations.  No Imperials.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lady_valarian.stf', '16', 'npc_9', 'Well, then talk to one of my friends here in the office and I\'m sure they can find you some work.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lady_valarian.stf', '17', 'npc_5', 'Well, well, well.  A shooter, eh?  I could use a good shooter.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lady_valarian.stf', '18', 'player_9', 'Tell me who you want shot and I\'ll shoot them.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lady_valarian.stf', '19', 'npc_10', 'Don\'t jump the gun.  See if one of my friends here has a job they\'d like you to do.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lady_valarian.stf', '20', 'player_10', 'And I could use a job.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lady_valarian.stf', '21', 'npc_11', 'Well, check with my employees here in the office, one of them will surely have a job for you.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lerat_zom.stf', '1', 'npc_1', 'Plenty to do on Corellia.  Easier than working on Naboo.  Safer than Tatooine.  Did you come looking for work?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lerat_zom.stf', '2', 'player_1', 'What kind of work?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lerat_zom.stf', '3', 'player_2', 'No.  I\'m not interested.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lerat_zom.stf', '4', 'npc_2', 'If you don\'t know then you probably don\'t want it.  Not the kind of work for strangers or those who don\'t know.  Ya know?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lerat_zom.stf', '5', 'player_3', 'Um...I don\'t know.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lerat_zom.stf', '6', 'npc_6', 'Exactly.  And if you don\'t know then you can\'t know can you?  So you should move on, before you know too much.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lerat_zom.stf', '7', 'player_4', 'Strangers?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lerat_zom.stf', '8', 'npc_7', 'Anyone I don\'t know is a stranger.  You know?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lerat_zom.stf', '9', 'npc_3', 'Too bad.  I got a lot of work and no good people.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lerat_zom.stf', '10', 'player_5', 'You think I\'m good people?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lerat_zom.stf', '11', 'npc_4', 'You could be.  You seem fit enough.  Are you?  Are you any good at all?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lerat_zom.stf', '12', 'player_7', 'What\'s the job?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lerat_zom.stf', '13', 'npc_8', 'You don\'t seem to know what we\'re talking about so I\'m going to assume you already have another job and just go on about my business.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lerat_zom.stf', '14', 'player_8', 'I\'m good.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lerat_zom.stf', '15', 'npc_9', 'Then find one of my people and see what kind of work we have.  You\'ll know them when you see them.  Or you won\'t.  You know?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lerat_zom.stf', '16', 'player_6', 'What\'s the job?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lerat_zom.stf', '17', 'npc_5', 'There\'s not just one.  There\'s tons of jobs.  But I need good people.  Not just anybody off the street that strikes up a conversation.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lerat_zom.stf', '18', 'player_9', 'I can do the work.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lerat_zom.stf', '19', 'npc_10', 'I\'m sure you can.  See what my people have and we\'ll see how you do.  If you\'re really any good you won\'t need my help finding them.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lerat_zom.stf', '20', 'player_10', 'Ok, you\'re too weird.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lerat_zom.stf', '21', 'npc_11', 'Nothing wrong with weird.  What worries me is you.  Right?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '1', 'want_trivia', 'Hello, welcome to the library.  If you\'d like, we could play a game.  I\'ll ask you trivia questions and you can answer them.  All right?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '2', 'yes', 'Yes. ');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '3', 'no', 'No thanks.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '4', 'good_bye', 'Well, I hope you enjoyed your visit.  I hope to see you again very soon.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '5', 'question_1', 'Who originally established the Free Trader Association of Naboo?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '6', 'right_1', 'Shep Contopault.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '7', 'wrong_one_1', 'Queen Amidala.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '8', 'wrong_two_1', 'Nute Gunray.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '9', 'wrong_three_1', 'Darth Maul.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '10', 'question_2', 'Corellian Clams are known for this property...');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '11', 'right_2', 'Being hard to open.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '12', 'wrong_one_2', 'Healing properties.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '13', 'wrong_two_2', 'Delicious flavor.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '14', 'wrong_three_2', 'Their blood is alcohol.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '15', 'question_3', 'What single center of mass do both Talus and Tralus orbit around?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '16', 'right_3', 'Centerpoint Station.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '17', 'wrong_one_3', 'Corellia.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '18', 'wrong_two_3', 'Tatooine.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '19', 'wrong_three_3', 'A black hole.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '20', 'question_4', 'Approximately how many light years is Tatooine from the Galactic Core?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '21', 'right_4', '43,000.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '22', 'wrong_one_4', '34,000.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '23', 'wrong_two_4', '153,000.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '24', 'wrong_three_4', '3.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '25', 'question_5', 'Rori is a moon which orbits which planet?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '26', 'wrong_one_5', 'Corellia.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '27', 'right_5', 'Naboo.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '28', 'wrong_two_5', 'Talus.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '29', 'wrong_three_5', 'Yavin.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '30', 'question_6', 'How long is an average day on Dantooine?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '31', 'right_6', '25 hours.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '32', 'wrong_one_6', '24 hours.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '33', 'wrong_two_6', '30 hours.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '34', 'wrong_three_6', '125 hours.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '35', 'question_7', 'In what system is the planet Dathomir located?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '36', 'right_7', 'Quelii.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '37', 'wrong_one_7', 'Abraxis.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '38', 'wrong_two_7', 'Prindaar.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '39', 'wrong_three_7', 'Xizor.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '40', 'question_8', 'Where did the Trade Federation first test the automata of its vast droid army?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '41', 'right_8', 'Lok.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '42', 'wrong_one_8', 'Rori.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '43', 'wrong_two_8', 'Coruscant.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '44', 'wrong_three_8', 'Kashyyk.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '45', 'question_9', 'How many moons orbit the planet Endor?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '46', 'right_9', '9.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '47', 'wrong_one_9', '7.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '48', 'wrong_two_9', '8.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '49', 'wrong_three_9', 'None.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '50', 'question_10', 'How many inhabitable moons does Yavin have?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '51', 'right_10', 'Three.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '52', 'wrong_one_10', 'Forty.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '53', 'wrong_two_10', 'Eleven.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '54', 'wrong_three_10', 'Four.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '55', 'question_11', 'Who formed the Brotherhood of the Sith?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '56', 'right_11', 'Exar Kun.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '57', 'wrong_one_11', 'Darth Bane.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '58', 'wrong_two_11', 'Darth Vader.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '59', 'wrong_three_11', 'Jorus C\'baoth');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '60', 'question_12', 'What company developed the original Victory Class Star Destroyers for the Old Republic?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '61', 'right_12', 'Rendili StarDrive.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '62', 'wrong_one_12', 'Kuat Drive Yards.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '63', 'wrong_two_12', 'The Min-Dal Company.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '64', 'wrong_three_12', 'Grand Moff Tarkin.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '65', 'question_13', 'The four suits of a standard Sabacc deck are:');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '66', 'right_13', 'Coins, Staves, Flasks, and Sabers.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '67', 'wrong_one_13', 'Coins, Cups, Staves, and Sabers.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '68', 'wrong_two_13', 'Swords, Staves, Cups, and Wands.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '69', 'wrong_three_13', 'Swords, Sabers, Scimitars, and Knives.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '70', 'question_14', 'Which of the following is not considered a \"standard\" Sabacc card:');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '71', 'right_14', 'The Sarlacc.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '72', 'wrong_one_14', 'The idiot.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '73', 'wrong_two_14', 'The Queen of Air and Darkness.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '74', 'wrong_three_14', 'Demise.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '75', 'question_15', 'What song, written and performed by the band Starburst, was rated Scarlet (artistically worthless and offensive) by the Imperial Board of Culture?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '76', 'right_15', 'Only In Your Dreams.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '77', 'wrong_one_15', 'The Emperor\'s Hobby.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '78', 'wrong_two_15', 'Love in the Atmosphere.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '79', 'wrong_three_15', 'Time for Action.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '80', 'question_16', 'What song, performed by the ensemble Plexo-33, was considered the most popular song in the galaxy, prior to the Clone Wars?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '81', 'right_16', '11011101 #2');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '82', 'wrong_one_16', 'Clones Need Love Too.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '83', 'wrong_two_16', 'Only In Your Dreams.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '84', 'wrong_three_16', 'Tatooine in G-Minor.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '85', 'question_17', 'What sport was named the \"official\" sport of the New Order, shortly before the Battle of Yavin?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '86', 'right_17', 'Wegsphere.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '87', 'wrong_one_17', 'Kel Tag.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '88', 'wrong_two_17', 'Ringer.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '89', 'wrong_three_17', 'Sabacc.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '90', 'question_18', 'What is the more common name of the Koensayr BTL Longprobe Starfighter?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '91', 'right_18', 'Y-wing.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '92', 'wrong_one_18', 'X-wing.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '93', 'wrong_two_18', 'B-wing.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '94', 'wrong_three_18', 'Tie Fighter.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '95', 'question_19', 'The T-I-E in TIE Fighters is most commonly believed to refer to what?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '96', 'right_19', 'Twin Ion Engines.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '97', 'wrong_one_19', 'Turbo Injected Engines.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '98', 'wrong_two_19', 'Tertiary Invasion Equipment.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '99', 'wrong_three_19', 'Timed Insular Ejection.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '100', 'question_20', 'The playwright Thalos Lorin, is best known for this drama:');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '101', 'right_20', 'Serpent Rain.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '102', 'wrong_one_20', 'The Trickery of Vosdia Nooma.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '103', 'wrong_two_20', 'Rodian Fever.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '104', 'wrong_three_20', 'Unusually Bothan.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '105', 'winner_is_you', 'Excellent.  You got that correct.  Would you like another question?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '106', 'too_bad_so_sad', 'Oh, that\'s not right.  Would you like to try again?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '107', 'worst_ever_guesser', 'You\'re just guessing aren\'t you?  And not even very well at that.  Ah, well.   Try again?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '108', 'you_are_right', 'That\'s the correct answer.  Very good job.  Would you like another question?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '109', 'good_answer', 'Very good.  You got it.  Would you like another question?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '110', 'correct', 'Correct!  You\'re very smart.  Another question?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '111', 'correctamundo', 'You definitely know your stuff.  Try again?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '112', 'you_got_it', 'You got it!  That\'s the right answer.  Shall we do another?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '113', 'thats_not_it', 'Nope, that\'s not it.  Would you like to try again?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '114', 'no_sir', 'No.  Wrong.  That\'s the wrong answer.  Shall we do this again?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '115', 'you_are_wrong', 'You missed that one.  I thought you\'d know it.  Again?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '116', 'incorrect', 'That\'s incorrect.  You\'ll have to try harder.  Shall we try again?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '117', 'buzz_wrong_answer', 'No!  That\'s not the right answer.  You\'ve missed the question\'s point it seems, or perhaps you just didn\'t know any better.  Want to try once more?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '118', 'couldnt_be_wronger', 'No, you\'ve missed it.  That\'s not the right answer.  Want another chance?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '119', 'most_wrong', 'No, that\'s wrong.  Wrong, wrong wrong.  *sigh*  Do you really want to keep guessing?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '120', 'bad_answer', 'Sorry, that\'s the wrong answer.  I can\'t believe you didn\'t know that!  Well, shall we do it again?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '121', 'most_unfortunate', 'Ah, unfortunately that\'s not the right answer.  Try again, eh?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '122', 'most_incorrect', 'No, that is incorrect.  I\'m sorry, I thought you\'d get that one for sure.  Oh well, another chance?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '123', 'worst_answer_ever', 'I\'ve seen simpletons answer that question better.  It\'s like you don\'t have a clue.  So, again?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '124', 'wrongest', 'Of all the answers you could have given, I can\'t believe you gave that one.  That was very, very wrong.  Again?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '125', 'wrong_squared', 'You really don\'t know this material do you?  You should study more.  A weak mind is a terrible thing.  Well, shall we keep going?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '126', 'you_are_weakest_link', 'Ugh.  That wrong answer physically pained me.  Perhaps you could try harder?  Or is this really the best you can do?  Well, let\'s try again shall we?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '127', 'not_even_trying', 'You\'re not even trying are you?  I sincerely hope not.  Let\'s just do it again, ok?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '128', 'done', 'Well, you\'ve answered all the questions I have.  Perhaps if you come back another time we can play again.  Who knows, perhaps I\'ll even have more questions for you then.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '129', 'thanks', 'Thank you for everything.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/librarian.stf', '130', 'answered_all', 'You\'re a smart one, you are.  Very smart.  That\'s good.  I like smart people.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_engineer.stf', '1', 'hello', 'Something I can help you with?  I don\'t seem to recall your face, but I\'m getting a little long in the tooth.  Do we know each other?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_engineer.stf', '2', 'jinkins_sent_me', 'No. But I\'m a friend of Jinkin\'s.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_engineer.stf', '3', 'who_are_you', 'I don\'t think so.  Who are you?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_engineer.stf', '4', 'just_a_guy', 'Just someone who\'s been stuck on Lok for too long, but you can call me Choster. It seems I\'ve seen a thousand fringers just like you wandering this wasteland. You sure we haven\'t met?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_engineer.stf', '5', 'i_know_jinkins', 'Ah, yes! Jinkins. A brilliant engineer. I\'m not sure why he sticks with those Lok Revenants, though. He could have made a fortune as a starship designer, but he\'s been loyal to Nym since before the Battle of Naboo. But, if Jinkins sent you, then I\'m sure I know why. You want to know about the Sulfur Lake Pirates and the engineering work I did for them.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_engineer.stf', '6', 'talk_pirates', 'Tell me about the pirates.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_engineer.stf', '7', 'talk_engineer', 'What kind of work did you do?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_engineer.stf', '8', 'sulfur_lake_pirates', 'The Sulfur Lake Pirates aren\'t the brightest pirate band on Lok. First, they named themselves after the lake where they have their \"hidden\" lair. When they realized that every other group on Lok knew where they were holed up, the Sulfur crew hired me to set up some defenses. We eventually had a... falling out. There\'s no band of thieves that I hate more.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_engineer.stf', '9', 'hate_pirates', 'Why do you hate them?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_engineer.stf', '10', 'pirates_fired', 'After I set up their systems, the Sulfur morons decided that it would be easier, and maybe safer, to kill me instead of pay me. I barely escaped their bloodthirsty veermok with my life.  I had to change my name and find an image designer to give me a new face. But I don\'t forget or forgive being betrayed. I came back here to hide on Lok, waiting for a chance to repay them.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_engineer.stf', '11', 'i_will_help', 'I\'ll deal with them.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_engineer.stf', '12', 'security_system', 'I established the safeguards on their security system. It\'s not too dangerous, but does keep visitors out of the back room. Anyone who wants to enter needs to punch in a series of codes, which only the pirates know. But I did leave a backdoor: I gave the security system a rudimentary AI that will ask three questions to anyone who doesn\'t have the code.  ');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_engineer.stf', '13', 'defenses', 'Can you tell me more about this system\'s \"backdoor\"?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_engineer.stf', '14', 'which_defense', 'If you don\'t have the access code, the security system is programmed to ask you three questions. The system\'s AI is a little... independent. It changes the questions periodically, so I don\'t know what they are, exactly. But, I only programmed it with knowledge in three fields: color spectrums, math, and Tatooine humor. Do you want to know more about these areas?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_engineer.stf', '15', 'color_defense', 'Tell me about the color spectrum.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_engineer.stf', '16', 'math_defense', 'Tell me about the math problems.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_engineer.stf', '17', 'other_defense', 'Tell me about the Tatooine jokes.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_engineer.stf', '18', 'pirate_artist', 'In my youth, I tried to make my fortune by forging famous holopaintings. I wasn\'t very successful, but I did learn basic facts about the \"color wheel.\" The color spectrum includes both primary and secondary colors, and there are opposing colors on the color wheel. Red is the opposite of green, for example. The security system\'s AI seemed fascinated with the color wheel, so you might do a little research on that.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_engineer.stf', '19', 'sequential_numbers', 'Well, at the time I was very intrigued by sequential numbers. If you\'re presented with a string of numbers, like 1, 3, 5, and 7, what comes next?  Nine of course.  That\'s just a simple odd number sequence.  The sequence the AI uses might be a bit harder, but it could also be as easy as 1-2-3.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_engineer.stf', '20', 'pirate_joker', 'A few years back, I was stranded on Tatooine. I was \"befriended\" by a Rodian drunk who liked to tell really terrible jokes. The jokes always involved Tatooine native species, like Jawas or dewbacks. The jokes were just awful... How do you get a one-armed Jawa out of a tree? Wave. I tried to purge the jokes from my brain by transferring them to the AI. If the system asks you a joke, just pick the most obvious punch line.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_engineer.stf', '21', 'good_luck', 'Well, take care. If you need to ask me about the defenses again, I\'ll be here. I hope you give those pirates what they deserve.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_engineer.stf', '22', 'more_questions', 'Did you want to ask me something else?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_engineer.stf', '23', 'ask_about_defenses', 'I wanted to ask you about the security at the pirate base.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_engineer.stf', '24', 'which_defense_2', 'About the colors spectrum, the math problems, or the Tatooine jokes?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_engineer.stf', '25', 'who_are_you_2', 'Who are you?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_engineer.stf', '26', 'go_away_dude', 'Nobody. And you like your fingers attached to your hands, you\'ll just leave it at that.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_gambler.stf', '1', 'nym_sent_you', 'I\'ve been expecting you. Nym was supposed to send someone to meet me days ago. But, before I give you any information, let\'s play a game.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_gambler.stf', '2', 'tell_me_something', 'What can you tell me right now?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_gambler.stf', '3', 'play_a_game', 'Sure, let\'s play.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_gambler.stf', '4', 'talk_nym', 'Tell me about Nym.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_gambler.stf', '5', 'play_game', 'Interested in wagering a little cash?  Maybe making some money?  I have a game that\'s perfect. Wanna hear about it?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_gambler.stf', '6', 'what_game', 'Tell me about the game.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_gambler.stf', '7', 'sure', 'Let\'s play.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_gambler.stf', '8', 'games_first', 'I won\'t say anything until we\'ve played some cards.  You ready?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_gambler.stf', '9', 'nym_rules', 'I like Nym. He\'s helped me out of a few scrapes over the years. He even bought up all my markers in the galaxy. Now, I\'m in his pocket, but it\'s better than being dead.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_gambler.stf', '10', 'explain_game', 'We\'ll play Desert Draw. The game is simple. Just six cards. I pick one of mine and hold it behind my back, then you pick one of yours and then we compare them to see who wins. Simple, eh?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_gambler.stf', '11', 'game_rules', 'How do we know who wins?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_gambler.stf', '12', 'sure_lets_play', 'Ok, I\'m game.  Let\'s do it.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_gambler.stf', '13', 'explain_rules', 'We each have three cards. A Bounty Hunter, the Sarlacc, and a Thermal Detonator.  I pick one, you pick one, then we compare.  Bounty Hunter beats a Thermal Detonator. Thermal Detonator beats a Sarlacc, and Sarlacc beats the Bounty Hunter. It\'s really just that simple. Wanna try a hand?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_gambler.stf', '14', 'no_games', 'No, I don\'t want to play.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_gambler.stf', '15', 'begin_game', 'Ok, I\'ve picked my card.  Which one are you going to go with?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_gambler.stf', '16', 'thermal_detonator', 'Thermal Detonator.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_gambler.stf', '17', 'sarlacc', 'Sarlacc.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_gambler.stf', '18', 'bounty_hunter', 'Bounty Hunter.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_gambler.stf', '19', 'tie', 'We both picked the same card. It\'s a tie.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_gambler.stf', '20', 'you_win_td', 'Your Thermal Detonator blows up my Sarlacc.  You win.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_gambler.stf', '21', 'you_lose_td', 'My Bounty Hunter disarms the Thermal Detonator.  You lose!');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_gambler.stf', '22', 'play_again', 'Let\'s play again.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_gambler.stf', '23', 'you_lose_bh', 'My Sarlacc eats your Bounty Hunter!  You lose.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_gambler.stf', '24', 'you_win_bh', 'Your Bounty Hunter disarms my Thermal Detonator.  Stang!');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_gambler.stf', '25', 'you_lose_s', 'My Thermal Detonator blows up your Sarlacc!  I win!  You lose.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_gambler.stf', '26', 'you_win_s', 'Stang! Your Sarlacc swallows my Bounty Hunter.  You win.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_gambler.stf', '27', 'begin_game_five_wins', 'Well, you\'re pretty good.  I\'ll play another hand if you want, or you can ask me some questions...');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_gambler.stf', '28', 'tell_me_more', 'Tell me about the Imperial Lab.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_gambler.stf', '29', 'lab_stuff', 'From what I hear, the lab is a secret weapons project. The scientists there are researching high-end explosives. Really dangerous stuff. Blow you outta your boots, or knock a building offa its foundation. I\'m sure that\'s why Nym wants into the lab. It\'s incredibly well-guarded. Even a bunch of storm commandoes couldn\'t bust in, I\'d wager. Aside from the dangerous mercs that are crawling all over the base, the lab is patrolled by droidekas. ');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_gambler.stf', '30', 'game_description', 'It\'s called Desert Draw.  It\'s really simple.  We each have three cards, we both pick a card and show them at the same time. The winner gets the credits.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_gambler.stf', '31', 'no_thanks', 'No thanks.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_gambler.stf', '32', 'too_bad', 'That\'s too bad.  You might have made some money.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_gambler.stf', '33', 'bet_how_much', 'How much you wanna bet?  Can\'t play without credits you know.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_gambler.stf', '34', 'bet_made_5', 'I\'ll bet 5 credits.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_gambler.stf', '35', 'bet_made_10', 'I\'ll bet 10 credits.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_gambler.stf', '36', 'bet_made_50', 'I\'ll bet 50 credits.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_gambler.stf', '37', 'lab_info', 'The lab, eh?  Yeah, I know about it.  It\'s pretty well-guarded. Rather than rely on General Otto and his goons, the Imperials in charge of the lab hired mercenaries to protect it. They\'re all blood thirsty and will shoot on sight. The scientists shouldn\'t give you too much trouble, but there might be other dangers...');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_gambler.stf', '38', 'other_dangers', 'What other dangers?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_gambler.stf', '39', 'other_dangers_info', 'Well, I hear they\'re doing some other, illegal experiments in that base. Creating monsters that will rip your arms off and beat you to death with them. Or so the rumors go.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_gambler.stf', '40', 'hard_drive_where', 'Where\'s the memory module?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_gambler.stf', '41', 'hard_drive_loc', 'Well, once you get inside, you\'ll find four corridors leading from the central room. The computer room is to the west, I think.  Somewhere in there you\'ll find your memory module.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_gambler.stf', '42', 'imggcu_where', 'Where are the IMGGCUs?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_gambler.stf', '43', 'imggcu_loc', 'Heh, you know about those, eh?  Unfortunately, I don\'t know where they store \'em. But, if the Imperials are getting ready to ship the IMGGCUs off of Lok, the explosives are probably stored in a locker or crate, awaiting transport. You\'ll have to look around a bit, I\'m sure.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_gambler.stf', '44', 'leaving', 'I\'ll be going now.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_gambler.stf', '45', 'good_luck', 'Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_hacker.stf', '1', 'doors_open', 'I\'ve already sliced the doors open.  Don\'t you remember helping me?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_hacker.stf', '2', 'right', 'Oh.  Right.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_hacker.stf', '3', 'go_man_go', 'Well don\'t waste time!  Get in there!');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_hacker.stf', '4', 'help_me_hack', 'Aargh!  Can you help me with this thing?  I\'ve found a back door to this security system, but the AI program keeps asking me these stupid questions! Can you lend me your brain?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_hacker.stf', '5', 'what_are_you_doing', 'What are you talking about?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_hacker.stf', '6', 'hacking', 'I\'m trying to slice through the pirates\' security system. The system itself is really basic, but the final safeguard includes three questions that I need to answer. The questions don\'t have anything to do with the pirates or computers. I\'m totally lost.  ');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_hacker.stf', '7', 'what_do_you_need', 'Tell me what you need.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_hacker.stf', '8', 'cant_solve', 'I can\'t answer these riddles.  Who built this thing? Can you help me answer these questions?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_hacker.stf', '9', 'helpful', 'Sure.  What are the questions?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_hacker.stf', '10', 'going_away', 'You\'re too upset about this. I\'m leaving.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_hacker.stf', '11', 'explain', 'Great. I need to reroute the access commands, reset the security network, and break the defender chip. But I have to answer one question before I can complete each task. I can give you the questions in any order.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_hacker.stf', '12', 'codec', 'Let\'s do the network reset.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_hacker.stf', '13', 'rewire', 'Let\'s reroute the access commands.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_hacker.stf', '14', 'defender', 'Let\'s break the defender chip.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_hacker.stf', '15', 'jerk', 'Fine!  Who needs ya?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_hacker.stf', '16', 'color_codes', 'It says, \"On a color wheel, this color is the opposite of blue...\"  What does that mean?  What\'s a color wheel?  And what\'s the opposite of blue?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_hacker.stf', '17', 'purple', 'I\'m pretty sure it\'s purple.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_hacker.stf', '18', 'brown', 'It\'s brown!  Hah! I knew that one.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_hacker.stf', '19', 'orange', 'It\'s orange. I\'m sure of it.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_hacker.stf', '20', 'math_problem', 'It says, \"Finish this number pair sequence... 1-2, 3-6, 4-24, 5-120, 6-?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_hacker.stf', '21', 'seven_twenty', 'It\'s multiplying. 720.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_hacker.stf', '22', 'two_twenty', 'Uh...220.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_hacker.stf', '23', 'nine', 'It\'s nine.  I\'m sure of it.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_hacker.stf', '24', 'punchline', 'Sir!');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_hacker.stf', '25', 'bad_joke', 'No such thing?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_hacker.stf', '26', 'wrong_joke', 'To get to the other side!');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_hacker.stf', '27', 'wrong_color', 'Apparently that wasn\'t it...');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_hacker.stf', '28', 'not_funny', 'That\'s not even funny!');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_hacker.stf', '29', 'wrong_answer', 'I don\'t think so...');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_hacker.stf', '30', 'defender_2', 'Let\'s deal with the defender chip.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_hacker.stf', '31', 'rewire_2', 'Now let\'s reroute the access commands.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_hacker.stf', '32', 'codec_2', 'Ok, let\'s reset the network.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_hacker.stf', '33', 'joke', 'What do you call a womprat that can lift a bantha?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_hacker.stf', '34', 'success', 'That did it!  It\'s open!');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_hacker.stf', '35', 'right_answer', 'That\'s it!  Good thing you know your math.  All right, what now?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_hacker.stf', '36', 'right_color', 'Great!  You must have studied art or something.  I\'d have never gotten that.  Now what?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_hacker.stf', '37', 'right_joke', 'Ugh...that\'s terrible.  What kind of...nevermind.  Let\'s do the next one.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_hacker.stf', '38', 'who_are_you', 'Who are you?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/lok_hacker.stf', '39', 'faulk', 'My name is Faulk. I was hired by Borvo the Hutt on Naboo to gather information on the Sulfur Lake Pirates. He\'s convinced the pirates have hijacked some of his weapons shipments. I\'ve been hiding out in this cave for weeks, waiting for a chance to slice into their network and grab all the data I can find. All this commotion has given me the opening I need, but I can\'t get past the final safeguards!\n');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/luke_skywalker.stf', '1', 'npc_1', 'There\'s something familiar about your face...');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/luke_skywalker.stf', '2', 'player_1', 'Me?  No, I\'m not from around here.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/luke_skywalker.stf', '3', 'player_2', 'Are you Luke Skywalker?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/luke_skywalker.stf', '4', 'npc_2', 'Are you sure?  You seem awfully familiar.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/luke_skywalker.stf', '5', 'player_3', 'Maybe, but I don\'t think we\'ve met before.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/luke_skywalker.stf', '6', 'npc_6', 'I\'m sure I\'ll remember it sooner or later.  Stick around and I\'ll let you know.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/luke_skywalker.stf', '7', 'player_4', 'You\'ve confused me with someone else.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/luke_skywalker.stf', '8', 'npc_7', 'Yeah, maybe that\'s it.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/luke_skywalker.stf', '9', 'npc_3', 'I might be.  Who\'s asking?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/luke_skywalker.stf', '10', 'player_5', 'I have some friends in the Alliance...');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/luke_skywalker.stf', '11', 'npc_4', 'What did they tell you?  That I\'m a hero?  It\'s been a little overblown, but yeah, I was there at the Battle of Yavin.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/luke_skywalker.stf', '12', 'player_7', 'I hear you took out the Death Star personally.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/luke_skywalker.stf', '13', 'npc_8', 'There was a lot more to it than just me.  Lots of my friends died that day.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/luke_skywalker.stf', '14', 'player_8', 'It\'s an honor, sir...');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/luke_skywalker.stf', '15', 'npc_9', 'Thanks.  I appreciate it.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/luke_skywalker.stf', '16', 'player_6', 'You\'re famous.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/luke_skywalker.stf', '17', 'npc_5', 'Famous?  I don\'t see how I could be famous.  Infamous maybe.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/luke_skywalker.stf', '18', 'player_9', 'Well, that\'s better than being famous.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/luke_skywalker.stf', '19', 'npc_10', 'Mostly it just means people trying to kill me.  I don\'t think I like infamous very much.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/luke_skywalker.stf', '20', 'player_10', 'You\'d be surprised...');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/luke_skywalker.stf', '21', 'npc_11', 'Almost nothing surprises me anymore.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/mara_jade.stf', '1', 'npc_1', 'I\'ve got things to do, so if you want to talk make it quick.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/mara_jade.stf', '2', 'player_1', 'Who are you?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/mara_jade.stf', '3', 'player_2', 'Do you need any help?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/mara_jade.stf', '4', 'npc_2', 'My name is Mara Jade.  That is all you need to know.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/mara_jade.stf', '5', 'player_3', 'But who are you really?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/mara_jade.stf', '6', 'npc_6', 'It\'s not your concern.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/mara_jade.stf', '7', 'player_4', 'Are you with the alliance?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/mara_jade.stf', '8', 'npc_7', 'Sorry, I don\'t talk to fools.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/mara_jade.stf', '9', 'npc_3', 'I\'m just fine on my own.  Don\'t you have anything better to do than bother me?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/mara_jade.stf', '10', 'player_5', 'Am I bothering you?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/mara_jade.stf', '11', 'npc_4', 'Unless you weren\'t planning to live long I suggest you knock off the questions.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/mara_jade.stf', '12', 'player_7', 'Sorry.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/mara_jade.stf', '13', 'npc_8', 'I\'ll just be on my way then.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/mara_jade.stf', '14', 'player_8', 'You\'re awfully touchy.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/mara_jade.stf', '15', 'npc_9', 'I pity people like you.  Or I would if I cared.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/mara_jade.stf', '16', 'player_6', 'No, not really.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/mara_jade.stf', '17', 'npc_5', 'I recommend finding something else to do then.  It would be safer for you.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/mara_jade.stf', '18', 'player_9', 'Are you going to kill me?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/mara_jade.stf', '19', 'npc_10', 'Not unless you keep it up.  Get out of my sight and live a while longer.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/mara_jade.stf', '20', 'player_10', 'Safer?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/mara_jade.stf', '21', 'npc_11', 'I don\'t generally kill dumb animals, but you\'re making it difficult to keep that rule.  No more talking.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/megan_drlar.stf', '1', 'npc_1', 'Who do you work for?  Speak up!');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/megan_drlar.stf', '2', 'player_1', 'I\'m here on my own.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/megan_drlar.stf', '3', 'player_2', 'I\'m part of a group...');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/megan_drlar.stf', '4', 'npc_2', 'Well, that can get you killed.  Do you know what there is around here?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/megan_drlar.stf', '5', 'player_3', 'Jungle?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/megan_drlar.stf', '6', 'npc_6', 'Money.  Parts of the Death Star that fell to the planet.  They\'re worth a lot to the right bidders.  And they\'re all mine, so stay out of my way and stay out of my people\'s way.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/megan_drlar.stf', '7', 'player_4', 'Debris?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/megan_drlar.stf', '8', 'npc_7', 'That debris is worth cold hard credits and I intend to cash out.   Just stay out of the way, all right?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/megan_drlar.stf', '9', 'npc_3', 'I don\'t need to hear it.  As long as you\'re not here to stop me.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/megan_drlar.stf', '10', 'player_5', 'Stop you from what?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/megan_drlar.stf', '11', 'npc_4', 'Heh.  From collecting my due.  My salvage team is gonna reap the rewards of this stuff.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/megan_drlar.stf', '12', 'player_7', 'What stuff?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/megan_drlar.stf', '13', 'npc_8', 'Pieces of the Death Star.  They\'re ours for the taking.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/megan_drlar.stf', '14', 'player_8', 'Salvage team?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/megan_drlar.stf', '15', 'npc_9', 'That\'s right.  I run a tight group here.  We\'re gonna make a bundle.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/megan_drlar.stf', '16', 'player_6', 'I\'m not.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/megan_drlar.stf', '17', 'npc_5', 'Good, cause I wouldn\'t have let you.  And neither would my team.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/megan_drlar.stf', '18', 'player_9', 'Your team?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/megan_drlar.stf', '19', 'npc_10', 'My guys are here to collect salvage, but don\'t think that means they\'re pushovers.  They\'ll take you down if I give the word.  Got it?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/megan_drlar.stf', '20', 'player_10', 'I\'m done.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/megan_drlar.stf', '21', 'npc_11', 'Me too.  Talk to you later if you live that long.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/mon_mothma.stf', '1', 'npc_1', 'Hello.  And welcome.  Is there something I can do for you?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/mon_mothma.stf', '2', 'player_1', 'That\'s nice, but no thanks.  I\'m fine.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/mon_mothma.stf', '3', 'player_2', 'Who are you?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/mon_mothma.stf', '4', 'npc_2', 'Anytime.  Just let me know if you need anything.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/mon_mothma.stf', '5', 'player_3', 'Ok, will do.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/mon_mothma.stf', '6', 'npc_6', 'Good.  Now I must get back to work.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/mon_mothma.stf', '7', 'player_4', 'You\'re sweet.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/mon_mothma.stf', '8', 'npc_7', 'Thank you again.  I\'m going to blush.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/mon_mothma.stf', '9', 'npc_3', 'My name is Mon Mothma.  I don\'t think you would have heard of me.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/mon_mothma.stf', '10', 'player_5', 'I don\'t think so.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/mon_mothma.stf', '11', 'npc_4', 'I\'m not surprised.  I try to stay out of the public eye for the most part.  Comes with the job.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/mon_mothma.stf', '12', 'player_7', 'What is your job?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/mon_mothma.stf', '13', 'npc_8', 'Many people would die if I simply gave that information to everyone who asked.  I won\'t tell you just yet, but maybe if I get to know you better.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/mon_mothma.stf', '14', 'player_8', 'Do you find it difficult to stay hidden?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/mon_mothma.stf', '15', 'npc_9', 'Sometimes.  But there are so many things happening so quickly right now that it\'s becoming easier and harder at the same time.  I know, that doesn\'t make much snese does it?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/mon_mothma.stf', '16', 'player_6', 'Mon Mothma?  I have heard of you!');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/mon_mothma.stf', '17', 'npc_5', 'Some people know my name.  Some know my occupation.  Hopefully you aren\'t a threat to me, I\'d hate for us to be enemies.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/mon_mothma.stf', '18', 'player_9', 'I just know your name.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/mon_mothma.stf', '19', 'npc_10', 'Then you\'re safe for now.  Try not to ask too many questions in the future.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/mon_mothma.stf', '20', 'player_10', 'I know you and what you do.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/mon_mothma.stf', '21', 'npc_11', 'Then I hope we are allies.  ');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/morag.stf', '1', 'npc_1', 'I am the Tulgah Witch!');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/morag.stf', '2', 'player_1', 'What do you do?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/morag.stf', '3', 'player_2', 'What\'s a Tulgah?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/morag.stf', '4', 'npc_2', 'Whatever I please!');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/morag.stf', '5', 'npc_3', 'I am, fool!');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/muftak.stf', '1', 'npc_1', 'I\'m just here to have a drink.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/muftak.stf', '2', 'player_1', 'How bout some friendly chatter?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/muftak.stf', '3', 'player_2', 'Buy me a drink?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/muftak.stf', '4', 'npc_2', 'No thanks.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/muftak.stf', '5', 'npc_3', 'I don\'t think so.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/nym.stf', '1', 'first_time_hello', 'I don\'t know who you are or why you\'re here, and I don\'t really care. I assume you want some work, just like every other fringer who wanders into my stronghold. But just because you\'re tough enough to survive on my planet doesn\'t mean you\'re ready to join the Lok Revenants. I only take the meanest mercenaries into my crew. You gotta prove yourself before I\'ll even think about giving you any assignments. In the interest of keeping the peace, I\'ll let you stick around. But step out of line, and I\'ll send a blaster bolt through your brain. ');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/nym.stf', '2', 'tell_me_quest', 'I\'m looking for work.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/nym.stf', '3', 'quienne_esta', 'Who are you?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/nym.stf', '4', 'yo_es_nym', 'I\'m Nym, captain of the Lok Revenants. We\'re the largest pirate crew on Lok, and I\'ll crush anyone who claims different.  ');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/nym.stf', '5', 'who_is_kole', 'Who is Kole?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/nym.stf', '6', 'who_is_jinkins', 'Tell me about Jinkins.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/nym.stf', '7', 'jinkins_is', 'Jinkins? He\'s the best engineer this side of Corellia. Anything I can blow up, he can put back together.   ');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/nym.stf', '8', 'kole_is', 'Kole\'s my Chadra-Fan first mate and co-pilot. Rescued me from more than one assassination attempt, so watch your back and keep your hands where Kole can see \'em. We\'ve been working together since before the Battle of Naboo. There isn\'t anyone I trust more.  ');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/nym.stf', '9', 'quest_info', 'You\'re persistent, I\'ll give you that. I might have work for someone too stupid to know when to give up, and you look like you fit that description. There\'s an Imperial research facility on Lok that my spies think is filled with experimental weapons. I want whatever that base is building. You\'ll need help from Jinkins and Kole if you want to pull this off.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/nym.stf', '10', 'jinkins_story', 'What can I do for Jinkins?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/nym.stf', '11', 'hello_again', 'Well, well, you\'re back. Need something else?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/nym.stf', '12', 'koles_story', 'What kind of help does Kole need?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/nym.stf', '13', 'imggcu', 'What is it you need from the research lab?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/nym.stf', '14', 'imperial_bribe', 'What can I do for you?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/nym.stf', '15', 'tell_me_again', 'Tell me again what you need from me...');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/nym.stf', '16', 'quest_info_again', 'Like I said, I\'m looking for someone who can bust into an Imperial research facility. ');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/nym.stf', '17', 'ill_see_jinkins', 'Let me talk to Jinkins.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/nym.stf', '18', 'ill_see_kole', 'I\'ll go talk to Kole.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/nym.stf', '19', 'something_funny_kole', 'Don\'t make him mad. He hasn\'t killed anyone in two weeks and I think he\'s gettin\' bored.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/nym.stf', '20', 'something_funny_jinkins', 'Good. Just remember that we\'re watching you. Put a leg outta line, and I\'ll cut it off.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/nym.stf', '21', 'jinkins_quest_info', 'Jinkins has some information about a crashed starship carrying an Imperial droid. It could be useful to us. Ask him about it.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/nym.stf', '22', 'kole_quest_info', 'Kole\'s interested in an Imperial mining facility on Lok. He\'ll give you more information about it.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/nym.stf', '23', 'help_others', 'I\'m not going to take a chance on you until you earn Jinkins\' trust and Kole\'s respect. Better get to work.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/nym.stf', '24', 'retired_officer', 'You might be able to help both of us out by talking to a \"friend\" of mine, an informant who might have some information about the research facility and its defenses. If you can stand talkin\' to an immoral slug, I\'ll give you directions to his favorite hangout.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/nym.stf', '25', 'ill_see_officer', 'I\'ll go talk to this guy.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/nym.stf', '26', 'ill_go_lab', 'I\'m going into the lab, and nothing can stop me.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/nym.stf', '27', 'lab_info', 'There are two things I want: First, I want all the research the scientists have done. Just grab a memory unit from one of the lab\'s computers. Second, I need some Imperial Military Grade Grenade Casing Units. The Imps call them IMGGCUs. There should be a stash of them somewhere in that base.  Bring me the memory unit and the IMGGCUs, and I\'ll make sure you\'re well-paid.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/nym.stf', '28', 'go_lab', 'Get outta here, then. Bring me back what I asked for, and we\'ll do some business.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/nym.stf', '29', 'go_to_officer', 'Tell him I sent you, and he should squawk.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/nym.stf', '30', 'your_the_best', 'Great work. Kole and Jinkins can vouch for you, and now you\'ve done your part for me. Feel free to visit the stronghold whenever you need supplies. Just don\'t bring along any trouble, and you\'ll always be welcome here.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/nym.stf', '31', 'now_drive', 'Good, but I still need the memory module.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/nym.stf', '32', 'now_imggcu', 'Nice job, but I still need the grenade casing units. Bring me the IMGGCUs.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/nym.stf', '33', 'youre_done', 'I appreciate the work you did for us.  You\'re still in my good graces, so feel free to roam around on Lok.  ');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/nym.stf', '34', 'wheres_drive', 'Have you found that memory module yet?  That should be your top priority now.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/nym.stf', '35', 'wheres_imggcu', 'Get your hands on those IMGGCUs. I need the grenade casings to start causing some serious trouble here on Lok.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/nym.stf', '36', 'working_on_it', 'No, I\'m still working on that.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/nym.stf', '37', 'get_to_it_chief', 'Well, get back to work!');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/prefect_talmont.stf', '1', 'npc_1', 'What is it that you want?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/prefect_talmont.stf', '2', 'player_1', 'What is a prefect anyway?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/prefect_talmont.stf', '3', 'player_2', 'What is it that you do here?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/prefect_talmont.stf', '4', 'npc_2', 'It\'s called a title.  That\'s what you get when you\'re respected at your job.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/prefect_talmont.stf', '5', 'player_3', 'If you\'re so respected why are you stuck here on Tatooine?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/prefect_talmont.stf', '6', 'player_4', 'Maybe I should get a title.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/prefect_talmont.stf', '7', 'npc_6', 'I don\'t have time for fools like you.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/prefect_talmont.stf', '8', 'npc_7', 'Perhaps you should get a job first.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/prefect_talmont.stf', '9', 'npc_3', 'I\'m in charge of security here on Tatooine. ');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/prefect_talmont.stf', '10', 'player_5', 'Why don\'t you do something about the criminals?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/prefect_talmont.stf', '11', 'player_6', 'What exactly does that entail?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/prefect_talmont.stf', '12', 'npc_4', 'Criminals?  Whatever do you mean?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/prefect_talmont.stf', '13', 'player_7', 'What about Jabba the Hutt?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/prefect_talmont.stf', '14', 'player_8', 'What about Lady Valarian?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/prefect_talmont.stf', '15', 'npc_8', 'Jabba is a respected businessman, and I shall hear no more of this slander.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/prefect_talmont.stf', '16', 'npc_9', 'I don\'t even know who that is.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/prefect_talmont.stf', '17', 'npc_5', 'It means keeping the streets safe for citizens like yourself.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/prefect_talmont.stf', '18', 'player_9', 'Just in Bestine?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/prefect_talmont.stf', '19', 'player_10', 'Well, you\'re doing a great job.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/prefect_talmont.stf', '20', 'npc_10', 'No!  On the entire planet!');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/prefect_talmont.stf', '21', 'npc_11', 'Thank you for the kind words.  I\'ll remember them if I ever have to arrest you.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/ruwan_tokai.stf', '1', 'npc_1', 'I\'m the technician here.  Did you bring my parts?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/ruwan_tokai.stf', '2', 'player_1', 'What parts?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/ruwan_tokai.stf', '3', 'player_2', 'I don\'t know what you mean?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/ruwan_tokai.stf', '4', 'npc_2', 'The parts I ordered!  Did you bring them or not?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/ruwan_tokai.stf', '5', 'player_3', 'Well...no.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/ruwan_tokai.stf', '6', 'npc_6', 'Great.  What use are you to me then?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/ruwan_tokai.stf', '7', 'player_4', 'I\'m not the deliver--');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/ruwan_tokai.stf', '8', 'npc_7', 'Forget it.  You\'re not the delivery guy.  Sorry.  Thought you were someone else.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/ruwan_tokai.stf', '9', 'npc_3', 'You do know what parts are right?  Machine parts?  Metal and gears?  Make stuff work?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/ruwan_tokai.stf', '10', 'player_5', 'I know what parts are.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/ruwan_tokai.stf', '11', 'npc_4', 'Do you know what \'bring\' means?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/ruwan_tokai.stf', '12', 'player_7', 'Yeah, I know...');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/ruwan_tokai.stf', '13', 'npc_8', 'Which part of the sentence confused you then?  Did.  You.  Bring.  My.  Parts?  Forget it....(sigh)');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/ruwan_tokai.stf', '14', 'player_8', 'Don\'t get smart.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/ruwan_tokai.stf', '15', 'npc_9', 'Then don\'t play dumb.  Where are my parts?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/ruwan_tokai.stf', '16', 'player_6', 'Machine parts?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/ruwan_tokai.stf', '17', 'npc_5', 'Oh dear...you do know what a machine is right?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/ruwan_tokai.stf', '18', 'player_9', 'You have me confused with--');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/ruwan_tokai.stf', '19', 'npc_10', 'I think you\'ve done a pretty good job of confusing yourself.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/ruwan_tokai.stf', '20', 'player_10', 'Machine?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/ruwan_tokai.stf', '21', 'npc_11', 'Forget it.  I\'ll get a Wookiee to do it next time.  At least they don\'t talk back.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/scholar_szingo.stf', '1', 'npc_1', 'What is it that you want?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/scholar_szingo.stf', '2', 'player_1', 'Are you really a scholar?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/scholar_szingo.stf', '3', 'player_2', 'Who do you work for?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/scholar_szingo.stf', '4', 'npc_2', 'Truly I have studied more than any Marauder in history.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/scholar_szingo.stf', '5', 'npc_3', 'I am the chief advisor to King Terak, the mighty ruler of the Marauders.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/wald.stf', '1', 'npc_1', 'Welcome to Watto\'s Junk Shop.  What can I do for you?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/wald.stf', '2', 'player_1', 'Where\'s Watto?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/wald.stf', '3', 'player_2', 'Who are you?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/wald.stf', '4', 'npc_2', 'Watto had some unexpected business back on his home planet.  I\'m running things while he\'s away.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/wald.stf', '5', 'player_3', 'Well, I\'ll wait for him to come back.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/wald.stf', '6', 'player_4', 'That sounds awfully suspicious.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/wald.stf', '7', 'npc_6', 'Suit yourself.  If you\'d rather deal with the Toydarian that\'s your business.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/wald.stf', '8', 'npc_7', 'Suspicious?  You think I\'d hurt my own business partner?  Actually...that\'s not a bad idea...');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/wald.stf', '9', 'npc_3', 'My name is Wald.  I grew up here on Tatooine.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/wald.stf', '10', 'player_5', 'Really?  Why are you working here?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/wald.stf', '11', 'player_6', 'You\'ve been here that long?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/wald.stf', '12', 'npc_4', 'I went into business with Watto many years ago.  Now I run the store when he\'s away.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/wald.stf', '13', 'npc_5', 'I was here when Anakin Skywalker won the Pod Races!');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/wald.stf', '14', 'player_9', 'Wow.  I have no idea what you\'re talking about.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/wald.stf', '15', 'player_10', 'That\'s amazing!');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/wald.stf', '16', 'npc_10', 'You don\'t?  I thought everyone had heard about that.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/wald.stf', '17', 'npc_11', 'Well, what can I say.  I\'ve had an amazing life.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/wald.stf', '18', 'player_7', 'What does that mean really?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/wald.stf', '19', 'player_8', 'Why would you work with Watto?  Isn\'t he mean?');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/wald.stf', '20', 'npc_9', 'No.  You just have to know how to handle him, really.');
INSERT INTO `client_strings` VALUES ('string/en/celebrity/wald.stf', '21', 'npc_8', 'Mostly it means sitting here counting junk while no one comes in to buy things.  Pretty dull really...');
INSERT INTO `client_strings` VALUES ('string/en/character_transfer.stf', '2', 'failed_jedi', 'Transfer of your character failed. Jedi characters are not allowed to transfer.');
INSERT INTO `client_strings` VALUES ('string/en/character_transfer.stf', '3', 'failed_subject', 'Character transfer failed!');
INSERT INTO `client_strings` VALUES ('string/en/character_transfer.stf', '4', 'failed_items_disallowed', 'Character transfer failed because one or more items in the character inventory are not permitted to transfer. Factory crates and resource containers are examples of items that will not transfer. Refer to the terms of service for a definitive list of which items will not transfer.');
INSERT INTO `client_strings` VALUES ('string/en/chassis_npc.stf', '1', 'buy_ship_title', 'Ship Chassis Sales');
INSERT INTO `client_strings` VALUES ('string/en/chassis_npc.stf', '2', 'buy_ship_prompt', 'Please select a ship chassis you would like to purchase.');
INSERT INTO `client_strings` VALUES ('string/en/chassis_npc.stf', '3', 'btn_buy', 'Buy Chassis');
INSERT INTO `client_strings` VALUES ('string/en/chassis_npc.stf', '4', 'already_have', 'You already have too many ships!');
INSERT INTO `client_strings` VALUES ('string/en/chassis_npc.stf', '5', 'no_money', 'You don\'t have enough money for that purchase.  Stop wasting my time.');
INSERT INTO `client_strings` VALUES ('string/en/chassis_npc.stf', '6', 'failed', 'Failed to create ship.');
INSERT INTO `client_strings` VALUES ('string/en/chassis_npc.stf', '7', 'npc_name', 'Chassis Dealer');
INSERT INTO `client_strings` VALUES ('string/en/chassis_npc.stf', '8', 'bought_chassis', 'Congratulations on your purchase.  Happy flying!');
INSERT INTO `client_strings` VALUES ('string/en/chassis_npc.stf', '9', 'too_many_pobs', 'You already have one multi-person craft in your datapad.  You do not have room for another.');
INSERT INTO `client_strings` VALUES ('string/en/chassis_npc.stf', '10', 'no_deeds', 'Oh, I\'m sorry, but you don\'t seem to be carrying any valid ship blueprints.');
INSERT INTO `client_strings` VALUES ('string/en/chassis_npc.stf', '11', 'inv_full', 'You would have no room for these blueprints if I gave them to you.');
INSERT INTO `client_strings` VALUES ('string/en/chassis_npc.stf', '12', 'succeed', 'You successfully add a ship control device to your datapad.');
INSERT INTO `client_strings` VALUES ('string/en/chassis_npc.stf', '13', 'not_in_inv', 'The blueprints you are trying to convert are not in your inventory.  I cannot work with these.');
INSERT INTO `client_strings` VALUES ('string/en/chassis_npc.stf', '14', 'not_certified', 'You would not be able to fly that ship if you unpacked it.');
INSERT INTO `client_strings` VALUES ('string/en/chassis_npc.stf', '15', 'can_use', 'It appears you are certified to use the ship you are about to buy.  Are you sure you want to complete this transaction?');
INSERT INTO `client_strings` VALUES ('string/en/chassis_npc.stf', '16', 'cannot_use', 'It appears you are NOT certified to use the ship you are about to buy.  Are you sure you want to complete this transaction?');
INSERT INTO `client_strings` VALUES ('string/en/chassis_npc.stf', '17', 'confirm_transaction', 'Confirm Transaction');
INSERT INTO `client_strings` VALUES ('string/en/chatter_speech.stf', '235', 'greatshot', 'Great shot!');
INSERT INTO `client_strings` VALUES ('string/en/chatter_speech.stf', '236', 'allwingsreport', 'All wings report in.');
INSERT INTO `client_strings` VALUES ('string/en/chatter_speech.stf', '237', 'locksfoils', 'Lock S-foils in attack position.');
INSERT INTO `client_strings` VALUES ('string/en/chatter_speech.stf', '238', 'acceleratetoattack', 'Accelerate to attack speed.');
INSERT INTO `client_strings` VALUES ('string/en/chatter_speech.stf', '239', 'heavyfire', 'I\'m taking heavy fire!');
INSERT INTO `client_strings` VALUES ('string/en/chatter_speech.stf', '241', 'scopesnegative', 'My scope\'s negative.  I don\'t see anything.');
INSERT INTO `client_strings` VALUES ('string/en/chatter_speech.stf', '242', 'onmetight', 'He\'s on me tight.  I can\'t shake him!');
INSERT INTO `client_strings` VALUES ('string/en/chatter_speech.stf', '243', 'gothim', 'Got him!');
INSERT INTO `client_strings` VALUES ('string/en/chatter_speech.stf', '244', 'watchyourback', 'Watch your back!');
INSERT INTO `client_strings` VALUES ('string/en/chatter_speech.stf', '245', 'imhit', 'I\'m hit!');
INSERT INTO `client_strings` VALUES ('string/en/chatter_speech.stf', '246', 'cantmaneuver', 'I can\'t maneuver!');
INSERT INTO `client_strings` VALUES ('string/en/chatter_speech.stf', '247', 'stayontarget', 'Stay on target.');
INSERT INTO `client_strings` VALUES ('string/en/chatter_speech.stf', '248', 'theycamefrombehind', 'They came from behind.');
INSERT INTO `client_strings` VALUES ('string/en/chatter_speech.stf', '249', 'thisisit', 'This is it!');
INSERT INTO `client_strings` VALUES ('string/en/chatter_speech.stf', '250', 'keepeyesopen', 'Keep your eyes open.');
INSERT INTO `client_strings` VALUES ('string/en/chatter_speech.stf', '251', 'iseethem', 'I see them!');
INSERT INTO `client_strings` VALUES ('string/en/chatter_speech.stf', '252', 'iminrange', 'I\'m in range.');
INSERT INTO `client_strings` VALUES ('string/en/chatter_speech.stf', '253', 'targetcoming', 'Targets coming up!');
INSERT INTO `client_strings` VALUES ('string/en/chatter_speech.stf', '254', 'holdthemoff', 'Just hold them off for a few seconds.');
INSERT INTO `client_strings` VALUES ('string/en/chatter_speech.stf', '255', 'closeup', 'Close up formation.');
INSERT INTO `client_strings` VALUES ('string/en/chatter_speech.stf', '256', 'almostthere', 'Almost there.');
INSERT INTO `client_strings` VALUES ('string/en/chatter_speech.stf', '257', 'cantholdthem', 'I can\'t hold them.');
INSERT INTO `client_strings` VALUES ('string/en/chatter_speech.stf', '258', 'itsaway', 'It\'s away!');
INSERT INTO `client_strings` VALUES ('string/en/chatter_speech.stf', '259', 'itsahit', 'It\'s a hit!');
INSERT INTO `client_strings` VALUES ('string/en/chatter_speech.stf', '260', 'negative', 'Negative.');
INSERT INTO `client_strings` VALUES ('string/en/chatter_speech.stf', '261', 'negativenoimpact', 'Negative.  It just impacted on the surface.');
INSERT INTO `client_strings` VALUES ('string/en/chatter_speech.stf', '262', 'attackrun', 'Get set to make your attack run.');
INSERT INTO `client_strings` VALUES ('string/en/chatter_speech.stf', '263', 'fullthrottle', 'We\'re going in full throttle.');
INSERT INTO `client_strings` VALUES ('string/en/chatter_speech.stf', '264', 'rightwithyou', 'Right with you.');
INSERT INTO `client_strings` VALUES ('string/en/chatter_speech.stf', '265', 'wellstayback', 'We\'ll stay back far enough to cover you.');
INSERT INTO `client_strings` VALUES ('string/en/chatter_speech.stf', '266', 'watchyourself', 'Watch yourself!');
INSERT INTO `client_strings` VALUES ('string/en/chatter_speech.stf', '268', 'youreallclearkid', 'You\'re all clear, kid.');
INSERT INTO `client_strings` VALUES ('string/en/chatter_speech.stf', '269', 'defendourtarget', 'Defend our target!');
INSERT INTO `client_strings` VALUES ('string/en/chatter_speech.stf', '270', 'cantshakethem', 'Help!  I can\'t shake them!');
INSERT INTO `client_strings` VALUES ('string/en/chatter_speech.stf', '271', 'outgunned', 'I\'m outgunned here, I need backup!');
INSERT INTO `client_strings` VALUES ('string/en/chatter_speech.stf', '272', 'followmylead', 'Follow my lead.');
INSERT INTO `client_strings` VALUES ('string/en/chatter_speech.stf', '273', 'attackmytarget', 'Attack my target!');
INSERT INTO `client_strings` VALUES ('string/en/chatter_speech.stf', '274', 'attackcriticaltarget', 'Attack the critical target!');
INSERT INTO `client_strings` VALUES ('string/en/chatter_speech.stf', '275', 'escortcriticaltarget', 'Escort the critical target.');
INSERT INTO `client_strings` VALUES ('string/en/chatter_speech.stf', '276', 'wholeading', 'Who\'s leading this sortie?');
INSERT INTO `client_strings` VALUES ('string/en/chatter_speech.stf', '277', 'reportin', 'All wings report in.');
INSERT INTO `client_strings` VALUES ('string/en/chatter_speech.stf', '278', 'allclear', 'All clear.');
INSERT INTO `client_strings` VALUES ('string/en/chatter_speech.stf', '279', 'retreat', 'Retreat!');
INSERT INTO `client_strings` VALUES ('string/en/chatter_speech.stf', '280', 'fallback', 'Fall back!  Regroup on the surface.');
INSERT INTO `client_strings` VALUES ('string/en/chatter_speech.stf', '281', 'wookieewin', 'Let the wookiee win.');
INSERT INTO `client_strings` VALUES ('string/en/chatter_speech.stf', '282', 'watchcrossfire', 'What that crossfire!');
INSERT INTO `client_strings` VALUES ('string/en/chatter_speech.stf', '284', 'rendezvous', 'Rendezvous at my location.');
INSERT INTO `client_strings` VALUES ('string/en/chatter_speech.stf', '285', 'imonit', 'I\'m on it.');
INSERT INTO `client_strings` VALUES ('string/en/chatter_speech.stf', '286', 'imontheleader', 'I\'m on the leader.');
INSERT INTO `client_strings` VALUES ('string/en/chat_bubble_icon_types.stf', '1', 'exclaim', 'exclaim\ninterject\nblurt\ninterrupt\nyelp\nshrill');
INSERT INTO `client_strings` VALUES ('string/en/chat_bubble_icon_types.stf', '2', 'thought', 'emote\nmuse\ntheorize\nconclude\nsurmise\nhypothesize\nsuppose\nthink');
INSERT INTO `client_strings` VALUES ('string/en/chat_bubble_icon_types.stf', '3', 'moan', 'mumble\ncomplain\nmoan');
INSERT INTO `client_strings` VALUES ('string/en/chat_bubble_icon_types.stf', '4', 'scream', 'howl\nscream\nwail\n');
INSERT INTO `client_strings` VALUES ('string/en/chat_bubble_icon_types.stf', '5', 'icy', 'retort\nhuff');
INSERT INTO `client_strings` VALUES ('string/en/chat_bubble_icon_types.stf', '6', 'chatter', 'babble\nchatter\ndrone\nprattle\nramble\ndrivel\ngab\ngossip\nblab\njaw\nchat\nyack\n');
INSERT INTO `client_strings` VALUES ('string/en/chat_bubble_icon_types.stf', '7', 'whisper', 'whisper\nmouth\nconfide\nconfess');
INSERT INTO `client_strings` VALUES ('string/en/chat_bubble_icon_types.stf', '8', 'shout', 'shout\nyell\nbellow\nvent\nannounce');
INSERT INTO `client_strings` VALUES ('string/en/chat_bubble_icon_types.stf', '9', 'droid', 'jabber\ntattle');
INSERT INTO `client_strings` VALUES ('string/en/chat_bubble_icon_types.stf', '10', 'stutter', 'stutter\ndrawl\nlisp\nslur\nbleat');
INSERT INTO `client_strings` VALUES ('string/en/chat_bubble_icon_types.stf', '11', 'sarcastic', 'jest\nparrot\nriddle\nboast');
INSERT INTO `client_strings` VALUES ('string/en/chat_bubble_icon_types.stf', '12', 'double_ring', 'demand\ndecree\nproclaim\nstate\npreach\ncommand\nprophesize\nlecture');
INSERT INTO `client_strings` VALUES ('string/en/chat_bubble_icon_types.stf', '13', 'threaten', 'threaten');
INSERT INTO `client_strings` VALUES ('string/en/chat_bubble_icon_types.stf', '14', 'social', 'social');
INSERT INTO `client_strings` VALUES ('string/en/chat_bubble_icon_types.stf', '15', 'sing2', 'sing');
INSERT INTO `client_strings` VALUES ('string/en/chat_bubble_icon_types.stf', '16', 'sing3', 'rap');
INSERT INTO `client_strings` VALUES ('string/en/chat_bubble_icon_types.stf', '17', 'poetry', 'recite');
INSERT INTO `client_strings` VALUES ('string/en/chat_bubble_icon_types.stf', '18', 'evil', '');
INSERT INTO `client_strings` VALUES ('string/en/chat_bubble_icon_types.stf', '19', 'evil2', '');
INSERT INTO `client_strings` VALUES ('string/en/chat_bubble_icon_types.stf', '20', 'sad', '');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '1', 'smile', ':)\n=)\nhappy\nglad\ngood\ngreat\nthank\nthanks\nappreciate\namusing\namused\napprove\napproved\ncheerful\nforgive\nnice');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '2', 'beam', ':D\n=D\nawesome\ncool\necstatic\nthrilled');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '3', 'wink', ';)\nhee\nkiss?');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '4', 'frown', ':(\n=(\nugh\nyuck\nugly\nbad\ndied\ndead\ncorpse\nincap\nincapped\nincapacitated\ncr\nhate\nsad\ndepressed\nannoyed\nannoying\ndisappointing\ndisppointed\nhopeless\noffended\noffends\noffensive\nrude\nsexist\nmisogynistic\nmisogynist\nhates\nhated');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '6', 'grin', ':>\n=>\nheh\nhehe');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '7', 'evilgrin', '>:)\n>=)\n(6)\nheheh\nhehe');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '8', 'fume', '>:(\n>=(\ngrr\ngr\ngrrr\ngrrrr');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '9', 'kiss', ':x\n:X\n:*\nkiss you');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '10', 'surprised', ':o\n=o\nwow\namazing\namazed\nshocked\naghast\nfloored\nsurprised');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '11', 'gape', ':O\n=O\nway!\nyou\'re kidding\nyer kidding');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '12', 'halo', 'o:)\nO:)\no=)\nO=)\n(a)\n(A)\ninnocent');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '13', 'tongue', ':P\n:p\n:b\n=P\n=p\n=b\nyuck\nyuk\nugh\ndisgusting\ngross\ndisgusted');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '14', 'raspberry', ':P~\n:p~\n:b~\n=P~\n=p~\n=b~\nack\npbbt\npbt\npbbbt\npft\npfft\npffft');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '15', 'smirk', ':|\n=|');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '16', 'cry', ':((\n:\'(\n:,(\n=\'(\n=,(\naww\naw\nawwww\nwhaa\nwaah\nwaa\nwaaah\nwant to cry');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '27', 'snarl', ':[\n=[\nangry\nmad');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '28', 'drool', ':o~\n:O~');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '29', 'eek', '8o\neek\nack');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '31', 'ponder', '.oO\nhm\nhmm\nhmmm\num\numm\nummm\nhurm\nerm\nambivalent\nunsure');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '32', 'eyebrow', '-_^\n^_-\no_^\n^_o\nO_^\n^_O\n:\\\n=\\\noh?\nreally?\nsure?\ncareful\nsarcasm\nsarcastic\nirony\nironic');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '33', 'blush', '*^_^*\n*o_o*\n*O_O*\n:\")\noops\nooops\noopsie\nwhoops\nwups\nembarassed\nembarrassed\nembarased\nembarrased\nashamed\nshame\nmessed up');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '34', 'rose', '-<@\n@>-\n@};-\n(F)');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '35', 'groan', ':/\n=/\ngroan\ndismayed\ndismay\nsorry!');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '37', 'laugh', ':))\nlol\nhah\nha\nhaha');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '39', 'steam', 'x(\nX(\n:@\nhate\nmad');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '40', 'curse', '>:O\n>:o\nstang\nblast\ne chu ta\nsithspawn \nsithspit\ncarbon flush\nmeatbag');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '41', 'snore', '|)\n|-)\nbored\nboring\ndull');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '42', 'nausea', ':&\n:-&\n(&)');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '43', 'shush', ':$\n:-$\nsh\nshh\nshhh\nshhhh\nshush\nhush');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '44', 'love', '(L)\nlove\nluv\nlove you');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '45', 'shake', '(N)\nno\nnope\nnah\nnay\nn\nnono\nnot\nwrong\ndon\'t');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '46', 'nod', '(Y)\nK\nOK\nright\nY\nyeah\nyep\nyes\nyup\nyeppers\nuh huh');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '47', 'ache', 'ow\noww\nowww\nouch\nowie\nouchie\nthat hurt');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '48', 'bad', 'bad\nnot good');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '49', 'bak', 'here!');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '50', 'bang', 'headbanging\nrocking\nrockin');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '51', 'bye', 'bye\nseeya\nlaterz\ncya\ngoodbye\nsee you\nsee ya\nc ya\ngood bye\nfarewell\ntil later');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '52', 'beckon', 'cmere\nc\'mere\ncome here\ncome over here');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '53', 'belch', 'urp\n*burp*\n*burrp*');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '54', 'blame', 'fault\nblame\nif you hadn\'t');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '55', 'blink', 'huh');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '56', 'boggle', 'confused\nlost\nbaffled\nbaffling\nconfusing\nitch\nwondering\npuzzled\npuzzling');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '57', 'bonk', 'doh\ndoh!\nabsentminded\nabsent-minded\nforgetful\nfogetting\nforgot\nspaced it');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '58', 'boogie', 'whoohoo\nwoohoo\nwhoo\nyay\nyayy\nyayyy\nwhooo\npwned');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '59', 'bow', 'honor\npleasure\ngreetings\nnice to meet\ngreat to meet\nwonderful to meet\ngood to meet');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '60', 'bowhead', 'sadness\nmourning\nregret');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '61', 'burp', 'yum\ntasty\nyummy\nhungry\nto eat\nto drink');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '62', 'cackle', 'muhaha\nmuhahahaha\nmuhahaha\nmuha');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '63', 'calm', 'calm');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '64', 'clap', 'bravo\nbrava\nbravissimo\nbravissima\nexcellent\nencore');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '65', 'closeeyes', 'tired');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '66', 'contemplate', 'think\nponder\ncontemplate');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '67', 'cough', 'ahem');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '68', 'cower', 'scary\nscared\nfreaked\nscares\nfreaks me');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '69', 'demure', 'shy\nlike you');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '70', 'disagree', 'disagree\ndislike\ndon\'t agree');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '71', 'down', 'right here\naround here');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '72', 'duck', 'duck!');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '73', 'eyeroll', 'puhlease\npuh-lease\npuhleaze\npuh-leaze\ncareless\nthoughtless\njealous\nenvy\nenvious\ncocky');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '74', 'shiver', 'cold\nfreezing\nicy\nsnowing\nsnow\nchilly\nnervous\nworried\nworry');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '75', 'fidget', 'when?\nsoon?\nyet?');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '76', 'fistpalm', 'definitely\ngotta!\nmust!\nwill!\ngot to\nnow!');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '77', 'flail', 'crazy?\ncrazy!\nrun!\nhurry!');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '78', 'giggle', 'hee\nheehee');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '79', 'going', 'going!\nwin!\nyes!\nyeah!');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '80', 'greet', 'hi\nhiya\nhello\nheya\nhey there\nlook, it\'s\nlook it\'s');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '81', 'grovel', 'beg\nbegging\nplease?');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '83', 'headache', 'headache\nmigraine');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '84', 'hearnoevil', 'lalalalalalala\nlalalalalala\nlalalalala\nlalalala\nlalala\nlala');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '85', 'helpme', 'help!');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '86', 'hiccup', 'hic\n*hic*\ndrunk');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '87', 'hiss', 'boo\nbooo\nhiss');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '88', 'jk', 'jk\nkidding\njoking\njoke\nfunny');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '89', 'nose', 'smell\nsmells\nodor\nodour');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '90', 'omg', 'omg\ngosh\ngolly\ngee\nno way!');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '91', 'peyoo', 'stink\nstinks\nsmelly\npeeyoo\npeyoo\npeeyou');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '92', 'pout', '*pout*\nphooey\ndarn\ndurn\nmeanie');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '93', 'shrug', 'dunno');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '94', 'preen', 'pretty?\nattractive?\nme?\ncute?\ntease');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '95', 'rofl', 'rofl\nrotfl');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '96', 'salute', 'sir!');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '97', 'sigh', 'sigh\nahhh\nahh\nahhhh\nmmm\nmm\nmmmm');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '98', 'snap', 'aha');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '99', 'stomp', 'tantrum\nselfish\nfrustrating');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '100', 'callstop', 'stop!');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '101', 'stretch', 'stretch\nexercise\noutdoors\noutside\nlazy\nslacker\nslacking\nlazing');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '102', 'tsktsk', 'tsk\ntsktsk\nnuh\nshame on');
INSERT INTO `client_strings` VALUES ('string/en/chat_emoticon_socials.stf', '103', 'yawn', 'yawn\nexhausted\nsleepy\nfor bed\ngo to bed');
INSERT INTO `client_strings` VALUES ('string/en/chat_format_abbrevs.stf', '1', 'default', 'mr\nms\nmrs\ndr\nsgt\ncapt\ncpt\nlt\ngen');
INSERT INTO `client_strings` VALUES ('string/en/chat_prepositions.stf', '1', 'default', 'to');
INSERT INTO `client_strings` VALUES ('string/en/chat_prepositions.stf', '2', 'confide', 'in');
INSERT INTO `client_strings` VALUES ('string/en/chat_prepositions.stf', '3', 'beg', 'of');
INSERT INTO `client_strings` VALUES ('string/en/chat_prepositions.stf', '6', 'flirt', 'with');
INSERT INTO `client_strings` VALUES ('string/en/chat_prepositions.stf', '7', 'debate', 'with');
INSERT INTO `client_strings` VALUES ('string/en/chat_prepositions.stf', '8', 'cough', 'on');
INSERT INTO `client_strings` VALUES ('string/en/chat_prepositions.stf', '9', 'threaten', '');
INSERT INTO `client_strings` VALUES ('string/en/chat_prepositions.stf', '10', 'command', '');
INSERT INTO `client_strings` VALUES ('string/en/chat_tab_names.stf', '1', 'auction', 'Auction');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '1', 'say', 'say\nsays');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '2', 'intone', 'intone\nintones');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '3', 'mumble', 'mumble\nmumbles');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '5', 'babble', 'babble\nbabbles');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '6', 'assert', 'assert\nasserts');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '8', 'add', 'add\nadds');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '9', 'admit', 'admit\nadmits');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '10', 'answer', 'answer\nanswers');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '11', 'carol', 'carol\ncarols');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '13', 'chatter', 'chatter\nchatters');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '14', 'complain', 'complain\ncomplains');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '15', 'coo', 'coo\ncoos');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '17', 'demand', 'demand\ndemands');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '18', 'describe', 'describe\ndescribes');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '19', 'drawl', 'drawl\ndrawls');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '20', 'drone', 'drone\ndrones');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '22', 'exclaim', 'exclaim\nexclaims');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '23', 'decree', 'decree\ndecrees');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '24', 'explain', 'explain\nexplains');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '28', 'howl', 'howl\nhowls');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '29', 'indicate', 'indicate\nindicates');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '30', 'moan', 'moan\nmoans');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '31', 'huff', 'huff\nhuffs');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '32', 'proclaim', 'proclaim\nproclaims');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '33', 'note', 'note\nnotes');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '34', 'plead', 'plead\npleads');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '35', 'beg', 'beg\nbegs');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '36', 'prattle', 'prattle\nprattles');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '37', 'tattle', 'tattle\ntattles');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '38', 'quote', 'quote\nquotes');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '39', 'ramble', 'ramble\nrambles');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '40', 'drivel', 'drivel\ndrivels');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '41', 'sing', 'sing\nsings');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '43', 'retort', 'retort\nretorts');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '44', 'scream', 'scream\nscreams');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '45', 'state', 'state\nstates');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '46', 'stutter', 'stutter\nstutters');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '47', 'threaten', 'threaten\nthreatens');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '48', 'utter', 'utter\nutters');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '49', 'wail', 'wail\nwails');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '51', 'whine', 'whine\nwhines');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '52', 'preach', 'preach\npreaches');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '53', 'argue', 'argue\nargues');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '54', 'lisp', 'lisp\nlisps');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '55', 'recite', 'recite\nrecites');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '56', 'mouth', 'mouth\nmouths');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '57', 'command', 'command\ncommands');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '58', 'rap', 'rap\nraps');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '59', 'prophesize', 'prophesize\nprophesizes');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '60', 'gab', 'gab\ngabs');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '61', 'gossip', 'gossip\ngossips');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '62', 'pronounce', 'pronounce\npronounces');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '63', 'lecture', 'lecture\nlectures');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '64', 'bellow', 'bellow\nbellows');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '66', 'eulogize', 'eulogize\neulogizes');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '67', 'blab', 'blab\nblabs');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '68', 'vent', 'vent\nvents');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '69', 'divulge', 'divulge\ndivulges');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '70', 'confide', 'confide\nconfides');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '71', 'avow', 'avow\navows');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '72', 'vow', 'vow\nvows');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '73', 'confess', 'confess\nconfesses');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '74', 'blurt', 'blurt\nblurts out');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '75', 'interject', 'interject\ninterjects');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '76', 'riddle', 'riddle\nriddles');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '77', 'announce', 'announce\nannounces');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '78', 'foretell', 'foretell\nforetells');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '79', 'slur', 'slur\nslurs');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '80', 'bleat', 'bleat\nbleats');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '82', 'disclose', 'disclose\ndiscloses');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '83', 'hypothesize', 'hypothesize\nhypothesizes');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '84', 'swear', 'swear\nswears');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '85', 'promise', 'promise\npromises');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '86', 'parrot', 'parrot\nparrots');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '88', 'brag', 'brag\nbrags');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '89', 'jaw', 'jaw\njaws');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '90', 'jabber', 'jabber\njabbers');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '91', 'chat', 'chat\nchats');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '92', 'yack', 'yack\nyacks');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '93', 'inquire', 'inquire\ninquires');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '94', 'interrupt', 'interrupt\ninterrupts');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '95', 'suppose', 'suppose\nsupposes');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '96', 'jest', 'jest\njests');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '97', 'yelp', 'yelp\nyelps');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '98', 'shrill', 'shrill\nshrills');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '99', 'boast', 'boast\nboasts');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '102', 'concede', 'concede\nconcedes');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '103', 'conclude', 'conclude\nconcludes');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '104', 'surmise', 'surmise\nsurmises');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '105', 'theorize', 'theorize\ntheorizes');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '106', 'chant', 'chant\nchants');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '107', 'propose', 'propose\nproposes');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '108', 'respond', 'respond\nresponds');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '109', 'debate', 'debate\ndebates');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '111', 'muse', 'muse\nmuses');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '112', 'emote', 'emote\nthis text is not used');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '113', 'whisper', 'whisper\nwhispers');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '114', 'yell', 'yell\nyells');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '115', 'shout', 'shout\nshouts');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '116', 'think', 'think\nthinks');
INSERT INTO `client_strings` VALUES ('string/en/chat_types.stf', '117', 'aaaaa_____do_not_translate_____', 'Greetings...  DO NOT TRANSLATE THIS FILE!!!  This is a data file that the game uses.  Please do not translate it.  If you do, all the say commands will break.  Please do not translate this file.  Thank you.  DO NOT TRANSLATE THIS FILE!!!  -JAB');
INSERT INTO `client_strings` VALUES ('string/en/city/bestine/terminal_items.stf', '1', 'download', 'Download');
INSERT INTO `client_strings` VALUES ('string/en/city/bestine/terminal_items.stf', '2', 'download_complete', 'Download Complete');
INSERT INTO `client_strings` VALUES ('string/en/city/bestine/terminal_items.stf', '3', 'fail', 'The desk is littered with business-related papers and miscellaneous items. You find nothing of interest.');
INSERT INTO `client_strings` VALUES ('string/en/city/bestine/terminal_items.stf', '4', 'receive', 'You find a handheld viewscreen in the jumble of papers. It looks like it would contain valuable information.');
INSERT INTO `client_strings` VALUES ('string/en/city/bestine/terminal_items.stf', '5', 'receive1', 'The desk is neat. It\'s easy to find the accountant\'s log book. You take the item. ');
INSERT INTO `client_strings` VALUES ('string/en/city/bestine/terminal_items.stf', '6', 'receivemsg', 'You find a handheld viewscreen in the jumble of papers. It looks like it would contain valuable information.');
INSERT INTO `client_strings` VALUES ('string/en/city/bestine/terminal_items.stf', '7', 'searched', 'Access Denied: You have already downloaded data from this terminal.');
INSERT INTO `client_strings` VALUES ('string/en/city/bestine/terminal_items.stf', '8', 'inv_full', 'Download Terminated: Inventory Full');
INSERT INTO `client_strings` VALUES ('string/en/city/bestine/terminal_items.stf', '9', 'history_disk_found', 'As you approach the terminal, you notice something sticking out of a dataslot and you take it. The object appears to be an aged datadisk, but it looks like it might still be readable.');
INSERT INTO `client_strings` VALUES ('string/en/city/bestine/terminal_items.stf', '10', 'history_disk_found_already', 'You search the area, but find nothing else of interest.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '1', 'new_city_subject', 'New City Established!');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '2', 'new_city_body', 'Congratulations, you have successfully established a new outpost on the frontier!\n\nIn order for your outpost to be recognized by the planetary authorities, you will need to acquire 10 citizens within the next 24 hours.  If you fail to reach the citizenship requirements on time, your city zoning permits will be rejected and the city hall destroyed.  A player can become a citizen by declaring a residence within the city borders.  If a player already owns a residence within the borders of your new city, they will be made a citizen the next time they enter their residence.\n\nOnly citizens can vote in weekly city elections.  Your newly placed city hall has a terminal for managing this voting process.  Remember that your position as Mayor lasts only as long as the citizens of your city choose to continue to elect you.\n\nThe city hall also contains a city management terminal you can use to gather information on your city as well as to appoint members of the city militia.\n\nGood luck Mayor %TO!');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '3', 'new_city_from', 'Planetary Civic Authority');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '4', 'new_city_structure_subject', 'City Growth: Added Structure');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '5', 'new_city_structure_body', 'A new structure has been added to your city.\n\nStructure Type: %TT\nStructure Owner: %TO');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '6', 'new_city_citizen_subject', 'City Growth: Added Citizen');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '7', 'new_city_citizen_body', 'A new citizen has joined your city.\n\nCitizen Name: %TO');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '8', 'new_city_structure_other_subject', 'Structure Added to City');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '9', 'new_city_structure_other_body', 'Welcome to %TU!\n\nYour %TO was built within the borders of our fine city.  In exchange for using the city\'s land and local civic services, you may be charged property taxes.  Please check the current tax rate at the City Hall.\n\nWe thank you for joining %TU,\n\nMayor %TT');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '10', 'new_city_citizen_other_subject', 'Welcome, Citizen!');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '11', 'new_city_citizen_other_body', 'Welcome to %TU, citizen!\n\nCongratulations, you have become a fully enfranchised citizen of the city of %TU and are now subject to the benefits and rights accorded such a status.  As a citizen of the city you have the ability to vote in local issues as well as in the weekly mayoral election.  If you are a politician, you are now able to run for election yourself.  You may also now be appointed to the city Militia.\n\nWe thank you for joining our family,\n\nMayor %TT');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '12', 'new_city_success_subject', 'New City Approved!');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '13', 'new_city_success_body', 'Congratulations!  The Planetary Civic Authority has approved your city\'s zoning permits!  Your city is valid and will begin to grow as citizens join it.\n\nGood Luck!');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '14', 'new_city_fail_subject', 'Zoning Permits Rejected');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '15', 'new_city_fail_body', 'We are sorry to inform you that your city failed to receive sufficient interest to remain solvent.  Your zoning applications have been rejected and your city hall has been removed.\n\nPlanetary Civic Authority');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '16', 'mayoral_race', 'Mayoral Race');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '17', 'mayoral_standings', 'View Standings');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '18', 'mayoral_vote', 'Vote for Mayor');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '19', 'mayoral_register', 'Register to Run');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '20', 'register_incumbent', 'You are the incumbent Mayor and are automatically registered in the race.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '21', 'register_noncitizen', 'Only a citizen of the city may enter the race.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '22', 'register_nonpolitician', 'You must be at least a Novice Politician in order to run for mayor.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '23', 'register_dupe', 'You are already registered for the Mayoral race.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '24', 'register_congrats', 'Congratulations, you are now listed on the ballot for the Mayoral race!');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '25', 'mayoral_standings_d', 'A complete list of current Mayoral candidates and their vote standing follows.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '26', 'mayoral_standings_t', 'Mayoral Race Standings');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '27', 'mayoral_vote_t', 'Place Mayoral Vote');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '28', 'mayoral_vote_d', 'Select your desired candidate from the list below.  You may change your vote at any time.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '29', 'vote_noncitizen', 'You must be a citizen of the city to vote for Mayor.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '30', 'vote_placed', 'Your vote for %TO has been recorded.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '31', 'no_candidates', 'No one has registered to run.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '32', 'election_new_mayor_subject', 'Congratulations Mayor!');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '33', 'election_new_mayor_body', 'Congratulations %TT!\n\nYou have been elected the new mayor of %TO by popular vote.  Control of the city\'s civic assets has been transferred to you.  The next mayoral election has started and will be tabulated in three weeks\' time.  Good luck in your new position of responsibility, Mayor %TT!');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '34', 'election_incumbent_lost_subject', 'Election Lost');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '35', 'election_incumbent_lost_body', 'Citizen,\n\nIt is with regret that we inform you that you have lost the position of Mayor of %TO to %TT.  Your rights and privileges as Mayor have been revoked and your status has been reset to that of citizen.  The city thanks you for your service and hopes to see you run for election in the next mayoral race.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '36', 'election_incumbent_win_subject', 'Election Won');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '37', 'election_incumbent_win_body', 'Congratulations, Mayor %TT!\n\nThe populace of %TO has elected to retain you for another term.  Your rights and privileges as Mayor have not changed.  The next mayoral election has started and the results will be tabulated in three weeks\' time.\n\nThe city thanks you for your continued service.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '38', 'city_name_t', 'Enter City Name');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '39', 'city_name_d', 'Enter the desired name for your new city.  Note that you must have at least 10 citizens join your city within 24 hours of placement in order for your city to be approved.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '40', 'city_info', 'City Info');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '41', 'city_management', 'City Management');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '42', 'city_name', 'Change City Name');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '43', 'treasury_taxes', 'Adjust Taxes');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '44', 'city_citizens', 'Citizenship Report');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '45', 'city_structures', 'Structure Report');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '46', 'city_status', 'Status Report');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '47', 'city_name_new_t', 'Change City Name');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '48', 'city_name_new_d', 'Enter the new city name below.  Your city must be uniquely named for this planet.  Note that the citizens of your town will receive an email notifying them of the city name change.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '49', 'name_changed', 'The city name has been successfully changed.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '50', 'citizen_list_t', 'City Citizenship Report');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '51', 'citizen_list_d', 'The following is a list of the currently declared citizens (residents) of this city.  All citizens are elligible to vote.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '52', 'structure_list_t', 'City Structure Report');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '53', 'structure_list_d', 'The following is a list of the city owned structures currently within the city borders.  (This list only includes structures currently loaded by the game server.)');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '54', 'city_info_t', 'City Status Report');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '55', 'city_info_d', 'A report of the current city status follows.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '56', 'city_militia', 'Manage Militia');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '57', 'militia_t', 'Manage Militia');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '58', 'militia_d', 'Below is a list of current city militia members.  These citizens have the ability to ban visitors from accessing city services as well as the ability to attack visitors for the purposes of law enforcement.  To add a new citizen to the militia select \"Add Militia Member\" and hit OK.  To remove someone from the militia, select their name and hit OK.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '59', 'militia_new_t', 'Add Militia Member');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '60', 'militia_new_d', 'Enter the name of the person you wish to add to the militia (the name must be entered exactly as it appears in game).  In order to join the city militia, the player must be a citizen of this city and must be standing near the city management terminal.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '61', 'cant_find_player', 'The system was unable to find that player.  Make sure they are standing within 10 meters of the city terminal and try again.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '62', 'not_citizen', 'That player must be a citizen to join the city militia.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '63', 'added_militia', 'The player has been successfully added to the city militia.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '64', 'removed_militia', 'The player has been successfully removed from the city militia.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '65', 'not_in_city', 'You must be in a city to use this command.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '66', 'not_militia', 'You must be a member of the city militia to use this command.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '67', 'city_warned', 'You are now attackable by the city militia and defenses up to the city limits!');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '68', 'city_warn_done', '%TT is now attackable by the city militia up to the city limits.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '69', 'city_banned', 'You have been banned from the this city.  You may no longer use any city services.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '70', 'city_ban_done', '%TT has been banned from the city and is no longer able to access city services.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '71', 'city_pardoned', 'You have been pardoned and are once again able to use city services.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '72', 'city_pardon_done', '%TT has been pardoned and is now able to use city services.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '73', 'youre_city_banned', 'You are banned from this city and may not use any of its public services and structures.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '74', 'treasury_management', 'City Treasury');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '75', 'treasury_status', 'Treasury Report');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '76', 'treasury_deposit', 'Treasury Deposit');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '77', 'treasury_withdraw', 'Treasury Withdrawal');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '78', 'no_money', 'There isn\'t any money to transfer!');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '79', 'treasury_balance_t', 'Treasury Balance');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '80', 'treasury_balance_d', 'A report on current treasury funds follows.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '81', 'adjust_taxes_t', 'Adjust Taxes');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '82', 'adjust_taxes_d', 'Select the tax you wish to adjust from the list below.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '83', 'income_tax', 'Income Tax');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '84', 'property_tax_prompt', 'Property Tax');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '85', 'sales_tax', 'Sales Tax');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '86', 'travel_tax', 'Travel Ticket Fee');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '87', 'set_tax_t_income', 'Adjust Income Tax');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '88', 'set_tax_t_property', 'Adjust Property Tax');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '89', 'set_tax_t_sales', 'Adjust Sales Tax');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '90', 'set_tax_t_travel', 'Adjust Travel Fee');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '91', 'set_tax_d_income', 'Income tax is a flat fee charged to each citizen of the city every week.  It acts as a \"membership fee\" for citizens of the city.  The income tax may be any value from 0 to 2000 credits per week.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '92', 'set_tax_d_property', 'The property tax is charged to every structure placed within the city on an ongoing basis.  The tax value is a percentage of the total credits paid in maintenance.  (A structure that pays 10 cr/hr would pay the city 1 cr/hr if the property tax was 10%.)  The property tax may be any value from 0 to 50%.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '93', 'set_tax_d_sales', 'Sales tax is charged by vendors operating within the city.  It is added to the cost of goods as a percentage of the list cost of the item.  (I.E., an Item that is listed for 100 cr would actually cost 110 cr with a 10% sales tax).  The taxed portion is placed in the city treasury when the item is bought.  Sales tax may be any value from 0 to 20%.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '94', 'set_tax_d_travel', 'The travel ticket fee is the portion of the travel ticket cost charged by the city.  The Planetary Travel Authority charges a base ticket fee (which varies based on the source and destination planet).  The city may levy an additional fee ranging from 1 to 500 cr that is collected at the time of ticket purchase.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '95', 'tax_out_of_range', 'That tax value is outside the range limitations.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '96', 'set_income_tax', 'The city income tax is now %DI credits.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '97', 'set_property_tax', 'The city property tax is now %DI% of maintenance.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '98', 'set_sales_tax', 'The city sales tax is now %DI% of the item list price.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '99', 'set_travel_fee', 'The city travel fee is now %DI credits.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '100', 'banned_services', 'You are banned from using this city\'s services.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '101', 'city_enter_city', 'You have entered %TT (%TO).');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '102', 'city_leave_city', 'You have left %TO.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '103', 'city_ticket_pay', 'You pay a tax of %DI credits to the local City Travel Authority.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '104', 'cant_tax', 'You lack the knowledge to manage the city\'s taxes.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '105', 'city_register', 'Register City');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '106', 'city_unregister', 'Unregister City');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '107', 'register_t', 'Register City');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '108', 'unregister_t', 'Unregister City');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '109', 'register_d', 'A registered city shows up on the planetary map.  The civic structures in the city will also show up on the planetary map and with the /find command.  Registering your city will increase weekly city maintenance by 5000 credits.  Are you sure you want to register your city?');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '110', 'unregister_d', 'Unregistering your city will remove the city structures from the planetary map.  Are you sure you want to do this?');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '111', 'cant_register', 'You lack the ability to register your city!');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '112', 'cant_militia', 'You lack the skill to manage the city militia.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '113', 'rank_req', 'The city must be at least rank %DI (%TO) in order for you to place this structure.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '114', 'city_rank', 'City Advancement');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '115', 'rank1', 'Outpost');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '116', 'rank2', 'Village');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '117', 'rank3', 'Township');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '118', 'rank4', 'City');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '119', 'rank5', 'Metropolis');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '120', 'structure_invalid_subject', 'City Can\'t Support Structure!');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '121', 'structure_invalid_body', 'Mayor %TO,\n\nThe structure \"%TT\" cannot be supported by the current city rank!  This structure will be removed from the city in one week unless the city\'s rank increases to the level necessary to support it.  You must either raise the city\'s population or redeed the structure to save it.\n');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '122', 'structure_valid_subject', 'Structure Support Reestablished!');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '123', 'structure_valid_body', 'Mayor %TO,\n\nYour city\'s rank has grown such that the structure \"%TT\" is no longer in danger of being removed.\n');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '124', 'structure_destroyed_subject', 'Structure Removed!');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '125', 'structure_destroyed_body', 'Mayor %TO,\n\nYour city\'s size and rank is insufficient to support the structure (or object) \"%TT\" so it has been removed.\n\n');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '126', 'structure_destroyed_radius_body', 'Mayor %TO,\n\nDue to the fact that your city has been reduced in radius, the structure \"%TT\" has been removed.  This structure was outside the new radius.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '127', 'structure_damaged_body', 'Mayor %TT,\n\nThere was insufficient money to pay for the maintenance of the structure %TO.  The amount required was %DI credits.  The structure has been damaged.  You can check the structure\'s condition in the structure report at the City Management terminal.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '128', 'structure_damaged_subject', 'Insufficient Maintenance, Structure Damaged');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '129', 'structure_destroyed_maint_subject', 'Insufficient Maintenance, Structure DESTROYED');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '130', 'structure_destroyed_maint_body', 'Alert Mayor %TO!\n\nThe structure (or object) %TT was condemned and destroyed due to lack of maintenance!\n');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '131', 'city_maint_subject', 'City Maintenance Paid');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '132', 'city_maint_body', 'Mayor %TO,\n\nA total of %DI credits has been paid from the city treasury for maintenance and upkeep of structures.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '133', 'structure_repaired_subject', 'Structure Repaired');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '134', 'structure_repaired_body', 'Mayor %TO,\n\nRepair work has been done on structure %TT.  You can check the structure\'s condition in the structure report at the City Management terminal.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '135', 'income_tax_paid_subject', 'City Income Tax Paid');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '136', 'income_tax_paid_body', 'Citizen %TO,\n\nYour income tax of %DI credits has been paid.  Thank you for your service to the city.\n');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '137', 'income_tax_nopay_subject', 'Failed to Pay Income Tax!');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '138', 'income_tax_nopay_body', 'Citizen %TO,\n\nYou have insufficient funds to pay your income tax of %DI credits.  While there is no direct drawback to this, the mayor has been notified of your lapse.\n');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '139', 'income_tax_nopay_mayor_subject', 'Citizen Failed to Pay Income Tax');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '140', 'income_tax_nopay_mayor_body', 'Mayor,\n\nThis letter is to notify you that the citizen named, %TO, failed to pay %PO income tax on time.\n\nCivic Tax Authority');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '141', 'rights_granted', 'You have been granted zoning rights in the city of %TO for 24 hours.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '142', 'rights_granted_self', 'You have granted %TO zoning rights for 24 hours.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '143', 'job_n', 'Install Mission Terminal');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '144', 'job_d', 'Select a mission terminal type from the list below.  The mission terminal will be placed at your current location and rotation (facing).  If you want to remove the mission terminal in the future, select the \"Remove\" option from the terminal\'s radial menu.  Placing a mission terminal will cost 1000 credits, withdrawn from the treasury at the time of placement.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '145', 'mt_generic', 'General Missions');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '146', 'mt_artisan', 'Artisan Missions');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '147', 'mt_entertainer', 'Entertainer Missions');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '148', 'mt_scout', 'Scout Missions');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '149', 'mt_bounty', 'Bounty Hunter Missions');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '150', 'mt_bounty_droid', 'Bounty Hunter Droids');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '151', 'current_mt', 'Current Terminal Count:');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '152', 'mt_remove', 'Remove');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '153', 'mt_removed', 'The object has been removed from the city.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '154', 'no_more_mt', 'Your city can\'t support any more mission terminals at its current rank!');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '155', 'current_trainers', 'Current Trainer Count:');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '156', 'trainer_n', 'Recruit Skill Trainer');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '157', 'trainer_d', 'Select a skill trainer from the list below.  The skill trainer will be placed at your current location and rotation (facing).  If you want to remove the trainer in the future, select the \"Remove\" option from the their radial menu.  Placing a skill trainer will cost 1000 credits, withdrawn from the treasury at the time of placement.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '158', 'st_1hsword', 'Fencer (Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '159', 'st_2hsword', 'Swordsman (Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '160', 'st_architect', 'Architect (Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '161', 'st_armorsmith', 'Armorsmith (Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '162', 'st_artisan', 'Artisan (Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '163', 'st_bountyhunter', 'Bounty Hunter (Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '164', 'st_brawler', 'Brawler (Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '165', 'st_carbine', 'Carbineer (Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '166', 'st_chef', 'Chef (Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '167', 'st_combatmedic', 'Combat Medic (Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '168', 'st_commando', 'Commando (Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '169', 'st_creaturehandler', 'Creature Handler (Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '170', 'st_dancer', 'Dancer (Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '171', 'st_doctor', 'Doctor (Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '172', 'st_droidengineer', 'Droid Engineer (Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '173', 'st_entertainer', 'Entertainer (Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '174', 'st_imagedesigner', 'Image Designer (Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '175', 'st_marksman', 'Marksman (Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '176', 'st_medic', 'Medic (Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '177', 'st_merchant', 'Merchant (Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '178', 'st_musician', 'Musician (Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '179', 'st_pistol', 'Pistoleer (Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '180', 'st_polearm', 'Pikeman (Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '181', 'st_ranger', 'Ranger (Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '182', 'st_rifleman', 'Rifleman (Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '183', 'st_scout', 'Scout (Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '184', 'st_smuggler', 'Smuggler (Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '185', 'st_squadleader', 'Squad Leader (Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '186', 'st_tailor', 'Tailor (Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '187', 'st_unarmed', 'Teras Kasi (Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '188', 'st_weaponsmith', 'Weaponsmith (Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '189', 'no_more_trainers', 'Your city can\'t support any more trainers at its current rank!');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '190', 'deco_too_close', 'You can\'t place a decoration here, it would be too close to structure %TO.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '191', 'no_more_decos', 'Your city can\'t support any more decorations at its current rank!');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '192', 'place', 'Place Decoration');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '193', 'align', 'Align');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '194', 'north', 'North');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '195', 'south', 'South');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '196', 'east', 'East');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '197', 'no_skill_deco', 'You lack the skill to place this decoration in your city.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '198', 'city_specializations', 'City Specialization');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '199', 'no_rank_spec', 'Your city must be at least rank 3 before you can set a specialization.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '200', 'no_specs', 'You need to learn a specialization skill before you can select one for your city.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '201', 'city_specs_t', 'City Specialization');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '202', 'city_specs_d', 'At rank 3, a city can select an area of specialization (spec).  A spec grants a certain set of bonuses that apply within the city borders in exchange for increased weekly maintenance.  New spec types are earned through the Politician profession.  The city\'s spec can only be set once per week, although it can be disabled at any time.  Select a spec from the list below to learn more about it.  When a spec is selected, the weekly city hall maintenance fee will increase by the indicated amount.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '203', 'city_spec_sample_rich', 'Sample Rich');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '204', 'city_spec_farming', 'Farming Community');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '205', 'city_spec_industry', 'Manufacturing Center');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '206', 'city_spec_research', 'Research Center');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '207', 'city_spec_cloning', 'Clone Lab');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '208', 'city_spec_missions', 'Improved Job Market');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '209', 'city_spec_entertainer', 'Entertainment District');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '210', 'city_spec_doctor', 'Medical Center');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '211', 'city_spec_stronghold', 'Stronghold');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '212', 'city_spec_cloning_d', 'The cost of clone insurance in a city with the \'Clone Lab\' specialization is reduced by 20%.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '213', 'city_spec_doctor_d', 'Medical healing is 10% more effective in a \'Medical Center\'.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '214', 'city_spec_entertainer_d', 'Entertainer healing is 10% more effective in an \'Entertainment District\'.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '215', 'city_spec_farming_d', 'This spec isn\'t implemented yet.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '216', 'city_spec_industry_d', 'Crafting done in a \'Manufacturing Center\' earns a 10% bonus to prototype assembly results, significantly reducing the chance of failures.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '217', 'city_spec_sample_rich_d', 'A sample rich city has a lot of highly accessable surface resources for manual collection.  The sample rich city bestows a 20% bonus to sample sizes and a 10% bonus to extraction skill checks during resource collection using a survey tool.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '218', 'city_spec_missions_d', 'Missions taken in a city with an \'Improved Job Market\' grant a 15% increase to their rewards.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '219', 'city_spec_research_d', 'Any experimentation done within a \'Research Center\' is enhanced.  A 15% bonus to the final result roll is added during the experimentation phase of crafting.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '220', 'city_spec_stronghold_d', 'A \'Stronghold\' has trained its militia members to the peak of their abilities in the methods of tactical defense.  Militia members in a \'Stronghold\' get a 50 point bonus to all defense rolls against other players.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '221', 'confirm_spec_t', 'Confirm Specialization');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '222', 'confirm_spec_d', '\\#pconstrast1 Are you sure you want to set this city specialization?\\#');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '223', 'null', 'None');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '224', 'spec_set', 'The city\'s specialization has been set to %TO.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '225', 'null_d', 'The city\'s specialization may be removed at any time, but you won\'t be able to set a new specialization until the timer restriction has expired.  Are you sure you want to remove your city\'s specialization?');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '226', 'spec_time', 'You can\'t set another city spec right now.  Time Remaining: %TO');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '228', 'rank0', 'New City');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '229', 'action_no_money', 'The city treasury must have %DI credits in order to perform that action.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '230', 'mt_rebel', 'Rebel Missions');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '231', 'mt_imperial', 'Imperial Missions');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '232', 'no_factional', 'You must have Martial Policy IV: Faction to place faction aligned mission terminals.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '233', 'added_militia_target', 'You have been added to the city militia.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '234', 'removed_militia_target', 'You have been removed from the city militia.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '235', 'mayor_residence_change', 'As a city Mayor, your residence is always the city hall of the city in which you are mayor.  You cannot declare a new residence.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '236', 'city_warning', '%TT has been warned and will be attackable in 2 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '237', 'city_warning_target', 'You have been warned to leave the city!  You will be attackable by the militia in 2 minutes!');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '238', 'garage_banned', 'You are city banned and cannot use this garage. ');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '239', 'registered', 'Your city is now registered on the planetary map.  All civic and major commercial structures in the city are also registered and can be found with the /find command.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '240', 'unregistered', 'Your city is no longer registered on the planetary map.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '241', 'zone', 'Enable Zoning');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '242', 'unzone', 'Disable Zoning');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '243', 'zoning_enabled', 'Your city now has zoning enabled.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '244', 'zoning_disabled', 'Your city now has zoning disabled.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '245', 'zoning_skill', 'You must be a Politician to enable city zoning.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '246', 'zoning_t', 'Zoning');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '247', 'zoning_d', 'If you enable zoning laws in your city, other players will not be able to build structures in your city without permission.  You and your militia can grant permission with the /grantZoningRights command.  This command gives the target the right to build structures in your city for 24 hours.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '248', 'grant_rights_fail', 'You must be the mayor of the city or a member of the city militia to grant zoning rights.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '249', 'already_mayor', 'You are already the mayor of a city.  You may not be mayor of another city.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '250', 'city_maint', 'Maintenance Report');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '251', 'maint_info_t', 'Maintenance Report');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '252', 'maint_info_d', 'This report is a projection of the current maintenance costs for the city.  Maintenance is paid on a weekly basis.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '253', 'build_no_city', 'You must be in a city to place that structure.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '254', 'not_citizen_ban', 'You can\'t city ban a citizen of the city!');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '255', 'rights_revoked', 'You have revoked their zoning rights.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '256', 'rights_revoked_other', 'Your zoning rights have been revoked.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '257', 'rank_info_t', 'City Rank Info');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '258', 'rank_info_d', 'The following report shows the current city rank, the current city population, the abilities of the city and the population required for the next rank.  If you have met your rank requirement, the city will advance in rank during the next city update.  Check the maintenance report for a projected time to the next update.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '259', 'force_update', 'Force City Update or Election');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '260', 'withdraw_limits', 'You may only withdraw between 10,000 and 50,000 credits per day.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '261', 'withdraw_daily', 'You may only withdraw from the city treasury once per day.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '262', 'withdraw_reason_t', 'Reason for Withdraw');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '263', 'withdraw_reason_d', 'Enter the reason for the withdraw.  The citizenship will be notified of the withdraw amount and the reason for the withdraw.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '264', 'treasury_withdraw_from', 'City Treasury Authority');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '265', 'treasury_withdraw_subject', 'City Treasury Withdrawal');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '266', 'treasury_withdraw_body', 'Attention!\n\nMayor %TO has made a withdrawal from the City Treasury.\n\nAmount: %DI\nReason: %TT\n\n- Treasury Authority');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '267', 'st_fail', 'Failed to create the skill trainer for some reason.  Try again.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '268', 'city_expand_subject', 'City Expansion!');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '269', 'city_expand_body', 'Congratulations!\n\nThe city of %TO has expanded to rank %DI!  New abilities for your city have been unlocked.  Please check the city advancement report for details.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '270', 'city_contract_subject', 'City Contraction!');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '271', 'city_contract_body', 'Warning!\n\nThe city of %TO has contracted to rank %DI due to lack of population.  Some of your civic structures may have been destroyed.  Please check the city manage terminal report menus and your email for more information.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '272', 'west', 'West');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '273', 'civic_only', 'You may only do that outside or in a civic structure.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '274', 'no_shuttleport', 'You can\'t place a travel fee.  There is no shuttleport in this city.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '275', 'lost_city_citizen_subject', 'Lost Citizen!');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '276', 'lost_city_citizen_body', 'A citizen has left your city.\n\nCitizen Name: %TO');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '277', 'city_hacks', 'City Hacks (GODMODE ONLY)');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '278', 'rank_up', 'Force Rank Up');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '279', 'rank_down', 'Force Rank Down');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '280', 'city_invalid_subject', 'Zoning Permits Invalid!');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '281', 'city_invalid_body', 'Warning!  Your city has fallen below the minimum count of 10 citizens.  Your city zoning permits are being reviewed by the Planetary Civic Authority.  You must have 10 or more citizens in your city within 3 days or your permits will be rejected and your city hall destroyed!\n\nAs a result of the lack of population your city has contracted to rank %DI (Outpost).');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '282', 'tax_income_subject', 'Income Tax Changed');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '283', 'tax_property_subject', 'Property Tax Changed');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '284', 'tax_travel_subject', 'Travel Fee Changed');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '285', 'tax_sales_subject', 'Sales Tax Changed');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '286', 'tax_travel_body', 'The travel free for the city of %TO has changed to %DI credits in additon to the normal ticket price.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '287', 'tax_property_body', 'The property maintenance tax for the city of %TO has changed to %DI%.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '288', 'tax_income_body', 'The weekly citizen income tax for the city of %TO has changed to %DI credits.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '289', 'tax_sales_body', 'The vendor sales tax for the city of %TO has changed to %DI%.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '290', 'st_politician', 'Politician (Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '291', 'public_election_subject', 'Election Results!');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '292', 'public_election_body', 'The city elections for %TT have been held.  The incumbent Mayor has lost the election!  The new Mayor is citizen %TO.  Please congratulate the new Mayor!\n');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '293', 'public_election_inc_subject', 'Election Results!');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '294', 'public_election_inc_body', 'The city elections for %TT have been held.  The incumbent Mayor is victorious!  Please congratulate Mayor %TO on retaining their office.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '295', 'fix_mayor', 'Restore Mayor Citizenship');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '296', 'city_update_eta', 'Next City Update: %TO');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '297', 'city_spec_master_manufacturing', 'Industrial Society');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '298', 'city_spec_master_healing', 'Scientific Society');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '299', 'city_spec_master_healing_d', 'A \'Scientific Society\' gains the bonuses of both the \'Medical Center\' and \'Entertainment District\' specializations.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '300', 'city_spec_master_manufacturing_d', 'An \'Industrial Society\' gains the bonuses of both the \'Manufacturing Center\' and \'Research Center\' specializations.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '301', 'no_rank_taxes', 'Your city must be at least rank 2 to levy taxes.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '302', 'cant_register_rank', 'Your city must be rank 3 (Township) to be registered on the planetary map.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '303', 'civic_count', 'A city of this size can only support up to %DI civic structures.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '304', 'busted_civic_cap_subject', 'Over Civic Structure Cap!!!');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '305', 'busted_civic_cap_body', 'Warning!\n\n%TO has %DI more civic (city owned) structures than planetary policy allows for your city rank.  The Planetary Civic Authority is now charging your city a 75,000 credit property penalty for each structure over the cap.  Civic structures such as gardens, cloning facilities, and shuttleports contribute to this cap.  Please check the city terminal maintenance report for more information.  The penalty will be charged during your next maintenance period, unless the structures are removed.\n\n- Planetary Civic Authority');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '306', 'city_expand_cap_subject', 'City Expansion Capped!');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '307', 'city_expand_cap_body', 'Your city %TO has qualified to increase to rank %DI.\n\nUnfortunately, we must deny your rank and land expansion request as there are too many large cities already on the planet.\n\n- Planetary Civic Authority\n\n');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '308', 'make_mayor', 'Make Mayor');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '309', 'make_mayor_t', 'Make Mayor');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '310', 'make_mayor_d', 'Enter the EXACT first and last name of the character you wish to make mayor of this city.  The current mayor, if any, will be removed from office.  The person you select MUST be a citizen of the city and a politician in order to become mayor.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '311', 'already_warned', 'That player has already been warned in the last two minutes.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '312', 'reset_clone_data', 'Reset Clone Data');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '313', 'reset_shuttle_data', 'Reset Shuttle Data');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '314', 'modify_structure_list', 'Modify Structure List');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '315', 'no_clone_data', 'There is no clone data to remove.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '316', 'clone_data_wiped', 'This city\'s clone data has been wiped.  You may now place a new clone facility.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '317', 'shuttle_data_wiped', 'This city\'s travel data has been wiped.  You may now place a new shuttleport.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '318', 'lost_inactive_citizen_subject', 'Lost Inactive Citizen!');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '319', 'lost_inactive_citizen_body', 'A citizen has been removed due to six weeks inactivity.  If they return, they can rejoin the city by redeclaring at their residence.\n\nCitizen Name: %TO');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '320', 'revoke_citizenship', 'Revoke Citizenship');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '321', 'revoke_cit_d', 'Are you sure you want to revoke your citizenship?');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '322', 'revoke_cit_t', 'Revoke Citizenship');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '323', 'lost_citizen_subject', 'Lost Citizen!');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '324', 'lost_citizen_body', 'A citizen has left your city by using the revoke option on the city terminal.\n\nCitizen Name: %TO');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '325', 'not_csr_ban', 'You cannot ban a Customer Service Representative from the city!');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '326', 'csr_ban_attempt_msg', '%TT tried to /cityBan you from %TO!');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '327', 'garage_fee_body', 'The garage usage fee for  the city of %TO has changed to %DI.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '328', 'garage_fee_subject', 'Garage Fee Changed');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '329', 'garage_tax', 'Garage Service Fee');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '330', 'set_tax_d_garage', 'The garage tax is a service fee added to the total cost of repair for a vehicle.  If vehicle repairs would cost the owner 100cr, the total would be 110cr if the fee was 10%.  Garage tax can be between 0 and 30%.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '331', 'set_garage_tax', 'The garage service fee is now %DI% of the repair cost.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '332', 'st_bioengineer', 'Bio-Engineer (Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '333', 'city_cant_board', 'You are banned from using the services of this city.\\nYou may not board the transport.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '334', 'city_cant_purchase_ticket', 'You are banned from using the services of this city.\\nYou cannot purchase a ticket.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '335', 'cant_transfer_to_city_banned', 'You cannot transfer ownership of a structure to someone who is banned from the city in which the structure resides.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '336', 'banned_from_that_city', 'You have been banned from traveling to that city by the city militia.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '337', 'city_version_update_body_3', 'City Voting Rules Update\n\nThe system for electing a new mayor has changed. Voting is now held every 3 weeks. City maintainence still occurs every week. A citizen who registers to run may now unregister from the vote terminal. The mayor may unregister as well. Changes to the voting roster are only allowed during the first two weeks of each election cycle. The citizen with the most votes wins the election.\n\nYou MUST explicitly cast a vote in order to be counted. Abstentions no longer count as votes for the incumbent.\n\nExperience point grants for winning votes have been tripled. The incumbent mayor also receives a weekly 750 point experience bonus.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '338', 'city_version_update_subject_3', 'City Voting Rules Update');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '339', 'mayoral_unregister', 'Unregister from Race');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '340', 'not_registered', 'You aren\'t registered to run, so you can\'t unregister.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '341', 'unregistered_race', 'You have unregistered from the mayoral race.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '342', 'vote_abstain', 'You have chosen to abstain in this election.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '343', 'register_timestamp', 'You may only register to run once within a 24 hour period.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '344', 'registered_citizen_email_subject', 'New Mayoral Challenger!');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '345', 'rceb', '%TO has entered the race for mayor. You can now vote for this candidate at the city voting terminal.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '346', 'unregistered_citizen_email_subject', 'Candidate exited the race!');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '347', 'unregistered_citizen_email_body', '%TO has dropped from the mayoral election. All previous votes for this candidate are now disregarded and should be recast.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '348', 'registration_locked', 'The ballot is locked during the final week of voting.\nYou may not register or unregister for the race at this time.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '349', 'reset_voting', 'GOD MODE: Reset Voting');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '350', 'mayor_citizen_restored', 'Restored citizenship to valid city mayor.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '351', 'force_election_only', 'Do you only want to force an election?');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '352', 'force_city_update_t', 'Force City Update');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '353', 'confirm_city_update', 'Are you sure you want to force an immediate city update?  This will cause the city to elect a new mayor, pay maintenance, validate structures, and check to see if a new rank has been earned.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '354', 'confirm_disable_cleanup', 'Do you want to disable the citizen cleanup code?  You probably want to say YES.  This cleanup code should normally only run once a week.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '355', 'disable_cleanup_t', 'Disable Cleanup Code?');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '356', 'force_city_election', 'Forcing a city update for city %TO.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '357', 'force_city_update', 'Forcing a city update for city %TO.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '358', 'force_city_rank_d', 'Are you sure you want to force an immediate city rank change?  This will cause the city rank to change, but in the case of an increase your city may not have the citizens to support the new rank.  In this case the city rank will FALL the next city update.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '359', 'force_city_rank_t', 'Force City Rank');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '360', 'force_city_rank', 'Forcing a city rank change for city %TO.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '361', 'not_politician', 'That citizen is not a politician.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '362', 'already_other_mayor', 'That citizen is already the mayor of some other city.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '363', 'mayor_confirm', 'They are now the mayor.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '364', 'cannot_find_citizen', 'Unable to find that citizen.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '365', 'reset_clone_data_d', 'Are you sure you want to reset this city\'s clone data?  You should ONLY do this if the clone facility has disappeared for some reason, but the city still claims to have one.  You should not do this if the city already has a clone facility!');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '366', 'reset_clone_data_t', 'Reset Clone Data');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '367', 'reset_shuttle_data_d', 'Are you sure you want to reset this city\'s shuttle/travel data?  You should ONLY do this if the shuttleport has disappeared for some reason, but the city still claims to have one.  You should not do this if the city already has a working shuttleport!');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '368', 'reset_shuttle_data_t', 'Reset Shuttle Data');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '369', 'no_special_objects', 'There aren\'t any special objects to manage.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '370', 'city_object_list_d', 'A list of special city objects follows.  If an item on this list does not have a name shown, it is either unloaded or deleted.  You can select an object from the list and hit \'OK\' to delete it.  Use this to clean up objects that have become destroyed but the city still thinks exist.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '371', 'city_object_list_t', 'City Object List');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '372', 'destory_object', '%TO has been removed from the city db and the object destroy message has been sent.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '373', 'destroy_city_object', 'Are you sure you want to destroy %DI?  The object\'s city DB entry will be removed and the object (if it exists) will be destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '374', 'reg_civic_structures', 'Registered Civic Structures');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '375', 'treasury_deposit_d', 'Enter the amount you would like to transfer to the city treasury.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '376', 'positive_deposit', 'You must select a positive amount to transfer to the treasury.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '377', 'small_garden', '  Small Gardens');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '378', 'bank', '  Bank');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '379', 'cantina', '  Cantina');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '380', 'medium_garden', '  Medium Gardens');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '381', 'garage', '  Garage');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '382', 'cloning_facility', '  Cloning Facility');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '383', 'hospital', '  Hospital');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '384', 'large_garden', '  Large Gardens');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '385', 'theater', '  Theater');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '386', 'shuttleport', '  Shuttleport');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '387', 'rank_enabled_structures', 'Rank Enabled Structures');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '388', 'max_trainers', 'Max Skill Trainers: ');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '389', 'max_terminals', 'Max Mission Terminals: ');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '390', 'max_decorations', 'Max Decorations: ');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '391', 'max_structures', 'Max Civic Structures: ');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '392', 'pop_req_next_rank', 'Pop. Req. for Next Rank: ');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '393', 'citizens', ' citizens');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '394', 'max_rank_achieved', 'Maximum City Rank Achieved');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '395', 'pop_req_current_rank', 'Pop. Req. for Current Rank: ');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '396', 'city_rank_prompt', 'City Rank: ');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '397', 'city_pop_prompt', 'City Population: ');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '398', 'credits', ' credits');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '399', 'tot_maint', 'Total Maintenance: ');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '400', 'city_hall', 'City Hall: ');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '401', 'civic_structure_penalty', 'Civic Structure Penalty:');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '402', 'you_have', 'You have ');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '403', 'more_than_cap', ' more civic structures than your cap of ');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '404', 'map_reg_cost', 'Map Registration: 5000 credits');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '405', 'map_unreg', 'Map Registration: Unregistered');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '406', 'specialization', 'Specialization: ');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '407', 'structures', 'Structures: ');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '408', 'decorations', 'Decorations: ');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '409', 'train_and_term', 'Trainers & Terminals: ');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '410', 'destroy_prefix', 'Are you sure you want to destroy ');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '411', 'name_prompt', 'Name: ');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '412', 'mayor_prompt', 'Mayor: ');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '413', 'radius_prompt', ' Radius: ');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '414', 'location_prompt', 'Location: ');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '415', 'citizen_prompt', 'Citizenship: ');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '416', 'structures_prompt', ' Structures: ');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '417', 'specialization_prompt', 'Specialization: ');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '418', 'income_tax_prompt', 'Income Tax: ');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '419', 'promperty_tax_prompt', ' Property Tax: ');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '420', 'sales_tax_prompt', ' Sales Tax: ');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '421', 'travel_cost_prompt_none', 'Travel Cost: No shuttleport');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '422', 'travel_cost_prompt', 'Travel Cost: ');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '423', 'reg_citizen_prompt', 'Registered Citizens: ');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '424', 'militia_suffix', ' (Militia)');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '425', 'remove_militia_prefix', 'Are you sure you want to remove ');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '426', 'remove_militia_suffix', ' from the city militia?');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '427', 'remove_militia_confirm', 'Confirm Removal');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '428', 'deposit_treasury', 'You deposit %DI credits into the treasury.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '429', 'treasury_withdraw_prompt', 'Enter the amount you would like to withdraw from the city treasury.  You may only withdraw between 10,000 and 50,000 credits once per day.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '430', 'treasury', 'Treasury');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '431', 'funds', 'Funds');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '432', 'withdraw_treasury', 'You must select a positive amount to withdraw from the treasury.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '433', 'withdraw_treasury_error', 'Unable to complete withdraw.  Please try again.');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '434', 'total_funds', 'Total Funds');
INSERT INTO `client_strings` VALUES ('string/en/city/city.stf', '435', 'default', '');
INSERT INTO `client_strings` VALUES ('string/en/client.stf', '1', 'resource_type_label_prose', '%TU, a type of %TT');
INSERT INTO `client_strings` VALUES ('string/en/client.stf', '2', 'input_scheme_confirm_reset_prose', 'Resetting your Keymap to %TU will overwrite your current Keymap.\nReset your Keymap?\n');
INSERT INTO `client_strings` VALUES ('string/en/client.stf', '3', 'group_auto_invite_reject_prose', 'You have automatically rejected %TT\'s group invitation.');
INSERT INTO `client_strings` VALUES ('string/en/client.stf', '4', 'group_auto_invite_reject', 'You have automatically rejected a group invitation.');
INSERT INTO `client_strings` VALUES ('string/en/client.stf', '5', 'group_invite', '%TT has invited you into a group.  Would you like to join?');
INSERT INTO `client_strings` VALUES ('string/en/client.stf', '6', 'follow_stop_prose', 'You stop following %TT.');
INSERT INTO `client_strings` VALUES ('string/en/client.stf', '7', 'follow_start_prose', 'You start following %TT.');
INSERT INTO `client_strings` VALUES ('string/en/client.stf', '8', 'con_1', '***\\#. %TT is no match for you.');
INSERT INTO `client_strings` VALUES ('string/en/client.stf', '9', 'con_2', '***\\#. %TT looks weak to you.');
INSERT INTO `client_strings` VALUES ('string/en/client.stf', '10', 'con_3', '***\\#. %TT would probably be defeated.');
INSERT INTO `client_strings` VALUES ('string/en/client.stf', '11', 'con_4', '***\\#. %TT looks like an even match.');
INSERT INTO `client_strings` VALUES ('string/en/client.stf', '12', 'con_5', '***\\#. %TT looks like a tough fight.');
INSERT INTO `client_strings` VALUES ('string/en/client.stf', '13', 'con_6', '***\\#. %TT looks like instant death.');
INSERT INTO `client_strings` VALUES ('string/en/client.stf', '14', 'con_self', '***\\#. %ST looks super-tough, but you think you are, too.');
INSERT INTO `client_strings` VALUES ('string/en/client.stf', '15', 'enemy_flags', 'You are now attackable by enemy players.');
INSERT INTO `client_strings` VALUES ('string/en/client.stf', '16', 'no_enemy_flags', 'You are no longer attackable by enemy players.');
INSERT INTO `client_strings` VALUES ('string/en/client.stf', '17', 'too_many_commands_queued', 'Too many commands queued.  Command \"%TT\" dropped.');
INSERT INTO `client_strings` VALUES ('string/en/client.stf', '18', 'too_many_commands_queued_generic', 'Too many commands queued.  A command was dropped.');
INSERT INTO `client_strings` VALUES ('string/en/client.stf', '19', 'autopilot_obstacle', 'Obstacle detected.');
INSERT INTO `client_strings` VALUES ('string/en/client.stf', '20', 'near_zone_edge', 'You are nearing the effective limitations of your sublight engine.  Please navigate closer to the core of the system or engage your hyperdrive.');
INSERT INTO `client_strings` VALUES ('string/en/client.stf', '21', 'group_space_launch_invite', '%TT has invited you to launch into space.  Would you like to join?');
INSERT INTO `client_strings` VALUES ('string/en/client.stf', '22', 'group_space_launch_cannot_be_passenger', 'You cannot be a passenger of a ship while the space launch window is open.');
INSERT INTO `client_strings` VALUES ('string/en/client.stf', '23', 'you_cannot_log_out_while_in_combat', 'You cannot log out while in combat.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '1', 'tatooine_a', 'Traders\' Grotto\n\nNumerous trading routes litter Traders\' Grotto and provides easy, safe travel to and from the Tatooine Space Station.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '2', 'tatooine_b', 'Ghost Tide Nebula\n\nThick cover from the Ghost Tide Nebula provides pirates superb concealment when trying to ambush unsuspecting freighters. Travellers are warned and directed away from the Ghost Tide. Many ignoring the warning are never heard from again.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '3', 'tatooine_c', 'Hutt Claims\n\nMet with fierce resistance, the Hutts have ceased their attacks on the areas surrounding the Tatooine Space Station. They had hoped to claim the station and collect the fees generated from it by making travellers pay tolls to be allowed access to Tatooine\'s space. They underestimated the Mos Eisley police and their allies. All that is left from this launch point are the remains of war.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '4', 'tatooine_d', 'Nallera\'s Mining Field\n\nStemming from Space Tatooine\'s outermost reaches, Nallera\'s Mining Field remains one of Tatooine\'s oldest mining outposts. Nallera\'s Mining Field is far enough away from the Hutts\' influence, but close enough to Tatooine\'s space station to encourage trade and ship goods to the planet. The inhabitants of Nallera\'s Mining Field are friendly and welcome travellers to their outpost.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '5', 'tatooine_e', 'Jabba\'s Star\n\nJabba\'s Star provides a point of origin for the Hutts\' illegal operations. Unless business is mentioned, Jabba\'s thugs are not partial to having visitors. The structure of the small outpost serves as a shining representation of the Hutts\' cunning and skill with manipulating anything and everything.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '6', 'tatooine_f', 'Dragon\'s Pearl\n\nThe center of Space Tatooine\'s eye, the Dragon\'s Pearl is a hotspot for illegal activity. Many thugs, including the Black Sun and the Hutts, swarm here to harass the defenseless freighters in the area, stealing loot without any signs of remorse. Fortunately, the Empire encircles the Dragon\'s Pearl, enforcing Imperial law with quick starships and flight prowess.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '7', 'naboo_a', 'Wishing Lake\n\nThe area known as \'Wishing Lake\' was first named by deep space mercenaries hired by the Trade Federation for commercial security. Today, the area stands void of activity. It is said to be a bad omen, a rumor started by the Royal Security Forces and traders alike.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '8', 'naboo_b', 'Emperor\'s Way\n\nThe public portion of the \'Emperor\'s Way\' is a weapons-hold zone policed by elite TIE squadrons.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '9', 'naboo_c', 'Old Trade Federation Route\n\nRarely traveled, the Old Trade Federation Route lies within the Enmaekeda Nebula, a tumultous ball of space matter home to Borvo\'s thugs. The Imperial Navy has claimed the route unsafe and has restricted travel to all parties.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '10', 'space_corellia_0', 'Hyperspace: Quadrant I: CorSec Wing\n\nInhabitants: CorSec and the Rebellion\nDanger Level: HIGH\n\nDistance to Corellia Space Station: 8765m\nDistance to Talus Space Station: 7702m\n\nControlled fiercely by both the Rebellion and the CorSec, the CorSec Wing proves dangerous for members of the Empire. The Rebellion is found to be unsympathetic to Imperial starships flying in the CorSec Wing Quadrant and will shoot them down on sight. Beware.\n\n');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '11', 'space_corellia_1', 'Hyperspace: Quadrant II: Trifecta Star\n\nInhabitants: Rebel Alliance, Blacksun, Binayre\nDanger Level: Medium\n\nDistance to Corellia Space Station: 15832m\nDistance to Talus Space Station: 11714m\n\nAlthough deserted to some degree, the Trifecta Star is the nearby home to the Rebel Alliance, the Blacksun and the Binyare. Only under dire cicumstances should one choose to travel to this quadrant. Beware.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '12', 'space_corellia_2', 'Hyperspace: Quadrant III: Binayre Razorcat\n\nInhabitants: Binayre and Hidden Daggers\nDanger Level: Medium\n\nDistance to Corellia Space Station: 9907m\nDistance to Talus Space Station: 12388m\n\nThe Binayre Razorcat is often avoided due to the high density of the pirate factions, Binyare and the Hidden Daggers. Only brave travellers can be found circling the area, fighting off the pirates who dare close in on the defenseless pirates.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '13', 'space_corellia_3', 'Hyperspace: Quadrant IV: Corellia\'s Own\n\nInhabitants: CorSec\nDanger Level: Low\n\nDistance to Corellia Space Station: 3874m\nDistance to Talus Space Station: 13582m\n\nIf a quadrant in Corellian Space could be called safe, Corellia\'s Own is the one. Only patrolled by CorSec, the trade routes from the Corellia Station to the Talus Station are traveled mostly by trading freighters and civilian craft. Still, Imperial presence is frowned upon here and proves to be hostile to starships openly claiming to be of the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '14', 'space_naboo_0', 'Hyperspace: Quadrant I: Royal Way\n\nInhabitants: Royal Security Forces of Naboo\nDanger Level: Low\n\nDistance to Naboo Space Station: 3919m\nDistance to Rori Space Station: 12082m\n\nA common sight in Naboo\'s space, the Royal Security Forces hope to keep the peace by policing approved travel space and \"removing\" offenders. It would be wise not to travel here if you find yourself on the bad side of the Royal Security Forces.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '15', 'space_naboo_1', 'Hyperspace: Quadrant II: Penumbra Omen \n\nInhabitants: Unknown\n\nStatus: TRAVEL PROHIBITED\nDanger Level: HIGH\n\nDistance to Naboo Space Station: 10445m\nDistance to Rori Space Station: 12853m\n\n** Important!! Quadrant II, Code Name Area D-512 has been changed to Code Name \"The Penumbra Omen Quadrant\" effective immediately!!\n\nFrom the Imperial Navy...\n\nReceiving ... ... ...\n\nImmediate Notice: All access to this Quadrant is prohibited by law of the Empire. Again, Area D-512 is now PROHIBITED to ALL TRAVEL!! Unknown Flying Starships have been found in the area and have proved to be INCREDIBLY DANGEROUS!! Do NOT travel in this Quadrant!!\n\nReceiving... ... ..\n\nCode Name for Unknown Starships: Penumbra Omen\n');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '16', 'space_naboo_2', 'Hyperspace: Quadrant III: Sea of Veruna\n\nInhabitants: Unknown\nDanger Level: Low\n\nDistance to Naboo Space Station: 12762m\nDistance to Rori Space Station: 4268m\n\nThe Sea of Veruna proves to be a vast quadrant of dead space. Potentially safe, the hyperspace location is used often by all travellers. Be warned, however, as the Empire hopes to secure it within the year\'s end.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '17', 'space_naboo_3', 'Hyperspace: Quadrant IV: Kylantha\'s Whim\n\nInhabitants: The Empire\nDanger Level: Medium\n\nDistance to Naboo Space Station: 5244m\nDistance to Rori Space Station: 13463m\n\nAlthough mostly deserted, one can find a few Imperial patrols circling about Kylantha\'s Whim. It is rumored that a young and wealthy suitor, infatuated with the Queen Kylantha, claimed he purchased a quadrant for her in Naboo Space, hoping it would bring to light the love he had for her. The Queen kindly refused his offer of marriage, stating her desire to \"marry\" her people and serve them with all of her time. Crushed, the young man renamed the quadrant to Kylantha\'s Whim. The quadrant has kept its name ever since.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '18', 'space_tatooine_0', 'Hyperspace: Quadrant I: Miner\'s Yard\n\nInhabitants: Miners\nDanger Level: Low\n\nDistance to Tatooine Space Station: 15144m\n\nTatooine\'s resource numbers are plumeting daily. It is up to local miners to branch out and collect resources to replenish high demands. Their target: Asteroid Fields.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '19', 'space_tatooine_1', 'Hyperspace: Quadrant II: Deep Sea\n\nInhabitants: Hutts\nDanger Level: HIGH\n\nDistance to Tatooine Space Station: 11728m\n\nHome to Hutt influence, the Deep Sea Quadrant proves dangerous to  \"unapproved\" visitors. Unless one has business here, it\'s best to stay away.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '20', 'space_tatooine_2', 'Hyperspace: Quadrant III: Desert Sands\n\nInhabitants: Unknown\nDanger Level: Medium\n\nDistance to Tatooine Space Station: 8044m\n\nIt is unknown if the Desert Sands Quadrant is home to friendly entities. The Imperial Navy has forwarded a word of warning to those looking to travel through the area.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '21', 'space_tatooine_3', 'Hyperspace: Quadrant IV: Outer Rim\n\nInhabitants: Unknown\nStatus: RESTRICTED\nDanger Level: HIGH\n\nDistance to Tatooine Space Station: 9585m\n\nApproved by the Imperial Navy, all travel to this Quadrant is RESTRICTED. Hostile enemies have been seen and it is IMPERATIVE that travel to this Quadrant be ceased! You have been warned.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '22', 'space_lok_0', 'Hyperspace: Quadrant I: Nym\'s Hovel\n\nInhabitants: Nym\'s Thugs\nDanger Level: Medium\n\nDistance to Lok Space Station: 12123m\n\nWithin the heart of the first quadrant, Nym and his thugs search for unsuspecting enemies. Nym\'s Hovel has proven to be an ill place for those finding themselves on the wrong side of the notorious pirate.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '23', 'space_lok_1', 'Hyperspace: Quadrant II: Rebellion Blaze\n\nInhabitants: Rebel Alliance\nDanger Level: Medium\n\nDistance to Lok Space Station: 9837m\n\nThe Rebellion Blaze Quadrant is home to loyal members of the Rebel Alliance. Named after the infamous Rebel Gunboat, the Rebellion Blaze, the Alliance has chosen the Lok system as one of its points of operative origin. Members of the Empire are not welcome here and will be hunted down immediately if seen.\n\n');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '24', 'space_lok_2', 'Hyperspace: Quadrant III: Lurid Dawn\n\nInhabitants: Unknown\nDanger Level: Low\n\nDistance to Lok Space Station: 4944m\n\nLok\'s very own dead space. The Rebel Alliance hopes to secure this quadrant for operative expansion within the year\'s end.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '25', 'space_lok_3', 'Hyperspace: Quadrant IV: Voria\'s Ember\n\nInhabitants: Unknown\nDanger Level: Low\n\nDistance to Lok Space Station: 14438m\n\nVoria Sergar was found orphaned at a young age. Abandoned by her slave master, she wandered the planet of Lok for several months before being found by a Rebel Officer, Isnal Roran. Voria had been battered and bruised, having fled many near-death situations. Finally, she was safe. Voria ascended the ranks in the Rebel Alliance with blinding speed. Her abilities and fluidity with slicing and manipulating computers were viewed as assets to the Rebellion. She soon earned her wings and headed to Lok\'s system. There, she met her fate, unable to manuever in time before an Imperial missle struck her down. No matter how far away, each member of the Rebellion felt her passing. Voria\'s Ember, Lok\'s fourth quadrant, was named after the Rebel sergeant in her honor.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '26', 'space_dantooine_0', 'Hyperspace: Quadrant I: Dantooine\'s Wrath\n\nInhabitants: Hutts, Valarians, the Empire\nDanger Level: HIGH\n\nDistance to Dantooine Space Station: 6788m\n\nThe first quadrant of Dantooine, fondly nicknamed \"Dantooine\'s Wrath\", is a pit-stop between a sarlacc pit and being trampled on by a Gorax. It is highly recommended that one stay away from the first quadrant unless absolutely necessary. Dantooine\'s Wrath is laden with fierce Hutt gunships and unmerciless Valarian thugs.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '27', 'space_dantooine_1', 'Hyperspace: Quadrant II: Asair\'s Ribbon\n\nInhabitants: Unknown\nDanger Level: Low\n\nDistance to Dantooine Space Station: 11531m\n\nAn uncharted territory in Dantooine\'s System. The Empire hopes to secure this quadrant within the year\'s end.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '28', 'space_dantooine_2', 'Hyperspace: Quadrant III: Isryn\'s Veil\n\nInhabitants: Force Assassins\nDanger Level: HIGH\n\nDistance to Dantooine Space Station: 8596m\n\nMystery shrouds the third quadrant of Dantooine\'s System and provides history enthusiasts with little information of the founders of Isryn\'s Veil. For now, it is safe to travel here although there is mention of Force Assassins reaching out to claim additional areas. Incidentally, the Empire\'s eyes may have turned to the Veil as a target of expansion efforts.. Will they succeed?');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '29', 'space_dantooine_3', 'Hyperspace: Quadrant IV: Gorvera Space\n\nInhabitants: Unknown\nDanger Level: Low\n\nDistance to Dantooine Space Station: 16240m\n\nRelatively safe, the Gorvera Space quadrant welcomes travellers, providing a scenic view of Dantooine\'s System. Little else is known about Dantooine\'s fourth quadrant.\n\n');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '30', 'space_dathomir_0', 'Hyperspace: Quadrant I: Dark Force\n\nInhabitants: The Empire\nDanger Level: HIGH\n\nDistance to Dathomir Space Station: 10483m\n\n\\\\Transmission Jammed!\\\\\n\nFrom the Imperial Navy...\n\nReceiving ... ... ...\n\nImmediate Notice: All access to this Quadrant is prohibited by law of the Empire. Any vessels found in this sector will be destroyed on sight! Repeat: Cease all unauthorized travel to this sector immediately. You will be destroyed on sight!');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '31', 'space_dathomir_1', 'Hyperspace: Quadrant II: Empire Blockade\n\nInhabitants: The Empire\nDanger Level: HIGH\n\nDistance to Dathomir Space Station: 12603m\n\nThe second quadrant of Dathomir\'s system is a considerably dangerous one for those not beloning to the Emperor\'s ranks. Particularly of note, is the Empire\'s Blockade that makes its way through the area, crushing all those who stand to oppose it.\n\n\n\n');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '32', 'space_dathomir_2', 'Hyperspace: Quadrant III: Dathomir\'s Vitality\n\nInhabitants: Dark Veil Order\nDanger Level: HIGH\n\nDistance to Dathomir Space Station: 8273m\n\nFortunately, not many venture close to the Heart of Dathomir and its clerical inhabitants, the Dark Veil Order. Serving their Queen with passionate ferocity, the Dark Veil Order encircle the Heart of Dathomir, hoping to \"sacrifice\" victims to the nebula\'s powerful rage. They believe the Heart of Dathomir nebula consumes the essence of these victims, fueling life into the palpitating mass and protecting the Dark Veil Order from infidels. It is wise not to Dathomir\'s third quadrant under any circumstances.\n');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '33', 'space_dathomir_3', 'Hyperspace: Quadrant IV: Emperor\'s Hand\n\nInhabitants: Unknown\nDanger Level: Medium\n\nDistance to Dathomir Space Station: 11077m\n\nNamed after the Emperor\'s unavoidable influence, the Emperor\'s Hand proves to be dangerous to those unwilling to succumb to the Empire\'s whims. The fourth quadrant stretches far as do the Emperor\'s tumultous desires and would be best avoided when making travel plans.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '34', 'space_yavin4_0', 'Hyperspace: Quadrant I: Smuggler\'s Run\n\nInhabitants: Ni\'lyahin Smugglers\nDanger Level: Medium\n\nDistance to Yavin 4 Space Station: 16175m\n\nWhen the Death Star was finally destroyed, news of its defeat spread like wildfire. It brought many visitors, including the Ni\'lyahin Smugglers, hoping to scrounge together pieces from the explosion and sell it on the black market. Today, they prosper, fighting their own war against the Empire and their oppression.\n');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '35', 'space_yavin4_1', 'Hyperspace: Quadrant II: Ferrous Aurora\n\nInhabitants: Unknown\nDanger Level: Low\n\nDistance to Yavin 4 Space Station: 10663m\n\nLending the quadrant its name, the Ferrous Aurora nebula extends its welcome in an array of radiant, incandescent colors. It is wise not to be fooled by its beauty as the Ni\'lyahin Smugglers have claimed it as their own.\n\n');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '36', 'space_yavin4_2', 'Hyperspace: Quadrant III: Crimson Flare\n\nInhabitants: Unknown\nDanger Level: Low\n\nDistance to Yavin 4 Space Station: 5407m\n\nUnfortunately, not much is known about the Crimson Flare quadrant. Traveling through here should be fairly safe, but use caution.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '37', 'space_yavin4_3', '(RESTRICTED) Quadrant II');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '38', 'space_endor_0', 'Hyperspace: Quadrant I: Red Sin Chimaera\n\nInhabitants: Death Watch\nDanger Level: HIGH\n\nDistance to Endor Space Station: 11739m\n\nLurking inside the cover of the Red Sin Chimaera Nebula, the Death Watch wait silently, striking at the last moment in hopes of a successful kill. Most think of them as animals, feasting upon the helpless to survive. Although a fair distance away, the Red Sin Chimaera quadrant entry point can give a traveller a run for his money.\n\n');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '39', 'space_endor_1', 'Hyperspace: Quadrant II: Area D-435\n\nInhabitants: Unknown\nDanger Level: Low\n\nDistance to Endor Space Station: 5273m\n\nLittle to nothing is known about the quadrant. It is uncharacteristic and safe for travel. It would be best, however, to keep navigation computers alert for unexpected enemies in the area.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '40', 'space_endor_2', 'Hyperspace: Quadrant III: Empire\'s Justice\n\nInhabitants: The Empire\nDanger Level: HIGH\n\nDistance to Endor Space Station: 9155m\n\nTo those not belonging to the Empire\'s ranks, the Empire\'s Justice quadrant could be viewed as highly dangerous. Travel here is not recommended unless the traveller is on the best of term\'s with the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '41', 'space_endor_3', 'Hyperspace: Quadrant IV: Durillium Sea\n\nInhabitants: Unknown\nDanger Level: Low\n\nDistance to Endor Space Station: 11727m\n\nThe Durillium Sea is a vast expanse of virtual nothingness. The quadrant is relatively safe for passing travellers and welcomes expansion. Will the Empire seek to claim it?');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '42', 'space_heavy1_0', 'Unknown Regions / Quadrant I');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '43', 'space_heavy1_1', 'Unknown Regions / Quadrant IV');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '44', 'space_heavy1_2', 'Unknown Regions / Quadrant III');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '45', 'space_heavy1_3', 'Unknown Regions / Quadrant II');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '46', 'space_light1_0', 'Quadrant I');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '47', 'space_light1_1', 'Quadrant IV');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '48', 'space_light1_2', 'Quadrant III');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '49', 'space_light1_3', 'Quadrant II');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '60', 'lok_station_0', 'Space Station. Land Here.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '61', 'dantoone_station_0', 'Dantooine Space Station. Land Here');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '62', 'danthomir_station_0', 'Dathomir Space Station. Land Heere');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '67', 'jabbaspalace', 'The residence of the nefarious crime lord, Jabba the Hutt.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '68', 'forttusken', 'One of the orginal settlements on Tatooine. Shortly after its founding Fort Tusken was attacked and taken over by Sandpeople giving rise to the name Tusken Raider. To this day the fort is a well known stronghold of the Sandpeople.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '69', 'darklighter', 'Home of the famed Darklighters of Tatooine.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '70', 'jawatraders', 'A well known meeting place of Jawa traders and nomads.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '71', 'kraytgraveyard', 'The bones of hundreds of Krayt Dragons cover the floor of this valley. When an aged Krayt senses death approaching it instinctually makes the arduous journey to this resting place. It is not uncommon to find a living Krayt Dragon here waiting out the last days of its life.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '72', 'larshomestead', 'Abandoned home of the Lars family. Shortly before the Battle of Yavin, this moisture farm was found destroyed and abandoned with two fresh graves out front. The graves were of the farm\'s owner Owen and his wife Beru, there was no sign of the couples\' nephew.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '73', 'kenobishouse', 'Abandoned homestead of Ben Kenobi. Home was found abandoned shortly before the Battle of Yavin with no signs of what happened to the old hermit.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '74', 'sarlacc', 'Located deep within the Western Dune Sea, the pit is home to a sarlacc. Its tentacles ever reaching out of the sarlacc\'s mouth in search of anything unlucky enough to pass within reach.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '75', 'pod', 'Shortly before the Battle of Yavin, this escape pod crashed down within the Dune Sea. The Empire briefly took a great deal of interest in this pod and for a short time after, Imperial activity on Tatooine was noticeably increased.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '76', 'skeleton', 'A massive, sun bleached skeleton of an ancient Krayt Dragon.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '77', 'gungan', 'One of the most important places in Gungan culture. Many Gungans make a pilgramage to this location every year to pay their respect to their rich history.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '78', 'theedfalls', 'The great falls located just outside the capital city of Theed are one of Naboo\'s great natural wonders.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '79', 'deejafalls', 'These falls are considered by many to be one of the most beautiful sights in all of the galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '80', 'amidalasbeach', 'A favorite resting place of Naboo\'s most famous rulers.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '81', 'impvsgun', 'The Empire\'s policy of extermination has led to a number of clashes between the Imperial forces and Gungan resistance fighters.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '82', 'mordran', 'Mordran is a mighty fighter working for Borvo the Hutt. He has recently been sighted around the Gungan Sacred Place challenging any who come too close.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '83', 'weaponfacility', 'This facility is highly sought after by both the Empire and Rebel forces and they have clashed for control of it on a number of occasions.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '84', 'narglatch', 'A large pack of vicious Narglatches have taken up residence in a deep natural cave. Unwary travelers who investigate this cave usually end up as dinner for the ferocious beasts.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '85', 'mauler', 'The Mauler Gang\'s base of operation for their planet wide criminal activities.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '86', 'hideout', 'The Rebel Alliance\'s main base of operations. Many of the heroes of the Rebellion work from within this secret base.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '87', 'corsecbase', 'Being in charge of both planetary security and law enforcement, the Corsec place a great deal of importance on their base of operations.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '88', 'grandtheater', 'This outdoor theater is the pride of the citizens of Vreni Island.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '89', 'crystalfountain', 'Shortly after the founding of Bela Vistal, the people transplanted a crystal geyser from the Agrilat Swamp to the center of their town.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '90', 'agrilat', 'The Agrilat Swamp is an amazing example of planetary thermodynamics with hundreds of geysers. Over millions of years, the mineral deposits of these geysers formed the crystals which make the region famous.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '91', 'drall', 'Not all Dralls believe in the unity of Corellia. Many of them are fighting for Drall independence and it is rumored that one such group of them has taken up residence in this cave as a base of their operations.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '92', 'nyax', 'The Cult of Lord Nyax has been a thorn in the side of Corsec for numerous years. Unfortunately, they have grown in power to cause a great deal of trouble with the Corsec who have adopted a policy of containment rather than destruction towards the cult.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '93', 'stronghold', 'A reinforced base that is highly sought after by both Imperial and Rebel forces because of its prime strategic location.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '94', 'afarathu', 'The vicious Afarathu terrorist organization has used this cave for many years as a staging point for their strikes on Corellian interests.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '95', 'prison', 'This is considered to be the Empire\'s answer to an oubliette. The most dangerous prisoners to the Empire are drop shipped onto Dathomir and forgotten about.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '96', 'lessersarlacc', 'The deadly sarlacc lies apon the rich forest floor of Dathomir feasting on whatever is unfortunate enough too wander to close.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '97', 'dathpod', 'The drop pod of an Imperial prisoner who traveled too far off course. Nothing is known about the whereabouts of its unfortunate passengers.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '98', 'mistyfalls', 'Mighty falls plummet down the great cliffs. When the water strikes the rocks below, the spray travels an amazing distance causing a haze to cover the entire region, thus giving the falls their name.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '99', 'tarpit', 'Bubbling ooze flows up from deep within the planet. This tar has been known to trap and pull down even the largest of creatures like the rancor.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '100', 'nightsister', 'Home of a group of the evil force wielding witches who call themselves the Nightsisters.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '101', 'singing', 'Mountain home of the force wielding witches calling themselves the Singing Mountain Clan.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '102', 'nightvssing', 'Pitched battles between the two dominate factions of force wielding witches always happen when these two clans meet each other.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '103', 'nightspider', 'A secretive clan of force wielders has taken up residence within a cave. It is rumored that they worship the gigantic spiders which inhabited the cave before they arrived.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '104', 'slavecampe', 'Although the Nightsisters have very little tolerance of men, they are not above using them for slave labor. A number of slave labor camps dot Dathomir.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '105', 'dantari1', 'A village inhabited by the native race of Dantooine. The Dantari are a primative, stone age people who are extremely wary of outsiders.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '106', 'dantari2', 'A village inhabited by the native race of Dantooine. The Dantari are a primative, stone age people who are extremely wary of outsiders.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '107', 'dantari3', 'A village inhabited by the native race of Dantooine. The Dantari are a primative, stone age people who are extremely wary of outsiders.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '108', 'abandoned', 'Once the primary base of operations for the Rebel Alliance. This base was deserted for the Great Massassi Temple shortly before the Battle of Yavin.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '109', 'jeditemple', 'Long ago this was the Jedi Training center under Jedi Master Vodo Siosk-Baas. This temple is also where the infamous Exar Kun first recieved his formal training before turning to the dark side. But that was long ago and is now nothing more than a ruin.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '110', 'crystalhunter', 'Dantooine has long been a source for the powerful and mysterious force crystals. A recent expedition onto Dantooine is said to have found a large quantity of the crystal within this cave.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '111', 'janta', 'A Janta Dantari stronghold.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '112', 'mokk', 'A Mokk Dantari stronghold.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '113', 'kunga', 'A Kunga Dantari stronghold.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '114', 'warren', 'One of the Empire\'s top secret research facilities. Recently though, all communications with the facility has halted and the Empire fears the worse.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '115', 'tree1', 'One of the forest villages of the native Ewoks. Do not let their cuddly appearance fool you, these beings are noble and strong warriors able to survive the rigors of Endor.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '116', 'tree2', 'One of the forest villages of the native Ewoks. Do not let their cuddly appearance fool you, these beings are noble and strong warriors able to survive the rigors of Endor.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '117', 'lake1', 'One of the floating villages of the native Ewoks. Do not let their cuddly appearance fool you, these beings are noble and strong warriors able to survive the rigors of Endor.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '118', 'lake2', 'One of the floating villages of the native Ewoks. Do not let their cuddly appearance fool you, these beings are noble and strong warriors able to survive the rigors of Endor.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '119', 'dulok1', 'Home to wicked and cruel cousin to the Ewoks.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '120', 'dulok2', 'Home to wicked and cruel cousin to the Ewoks.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '121', 'marauder', 'This band of strange outsiders arrived on Endor long ago when their starship crashed onto the forested moon. Without means of fixing their starcraft, the band has been forced to make do with their natural surroundings and what little technology they could salvage.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '122', 'korga', 'The Korga clan of Ewoks has managed to build a hunting outpost within a cave.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '123', 'orphan', 'Marauders who have been abandoned by their own usually do not survive on Endor for very long but a small group of them has managed to fortify a cave and now takes in others of their kind who have been orphaned by their clan.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '124', 'jinda', 'Much like their Korga brothers, the Jinda have also found a natural cave that is perfect for hunting expeditions in the wilds of the forest.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '125', 'woolamander', 'Woolamander Palace is an ancient relic built long ago by the Massassi. Its orginal name has long been forgotten but it was renamed after the nest of woolamanders who had taken up residence within its stone walls.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '126', 'blueleaf', 'The Temple of Blue Leaf is an ancient structure built long ago by the Massassi. Currently it is a hive for the strange insectoids, the Klikniks.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '127', 'exarkun', 'In a time long past, this was a place of great evil and the palace of Sith Lord Exar Kun. Even though Exar Kun was destroyed long ago by the Jedi, many who walk within its halls say that they feel an evil presence still lurking in the shadows.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '128', 'massassi', 'The Great Massassi Temple was built long ago by the long extinct natives of Yavin, the Massassi. After abandoning their base on Dantooine, the Rebel Alliance moved their operation to this location where they directed the Battle of Yavin.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '129', 'impoutpost', 'It is well known that planets in the Corellian sector are sympathetic towards the cause of the Rebel Alliance. The Empire has placed well maintained fortified garrisons on these worlds to attempt to quelch any uprising before it can take place.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '130', 'creaturevillage', 'This village was once a growing settlement but was overtaken by the wilds of Talus. Now it is shelter for wild creatures of all sorts.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '131', 'impvsreb', 'On worlds where the Empire only has a tenuous grasp at best, it is quite common for there to be pitched battles between Imperial and Rebel forces.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '132', 'aqualishcave', 'An aqualish war party that got lost in the wilderness of Talus managed to find a natural cave. They discovered that the cave was the perfect staging ground for their raids and took up permanent residence.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '133', 'weapondepot', 'This facility contains a large cache of weapons that both the Empire and Rebellion have been trying to get control of for some time.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '134', 'detainment', 'Once an Imperial holding area for political prisoners this base was captured by the Rebellion. Since then the two sides have been battling over control of this institute.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '135', 'corvsflail', 'The Corsec is always watchful for the criminal element on their worlds. A tip has led a squad to a Flail hideout.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '136', 'flynock', 'Fynocks and their distant relatives are a common nuisance. A recent find of a natural cave has revealed a huge flock of these pests dwelling within.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '137', 'erransif', 'Wanted by both the Empire and Rebellion, Erran Sif has held herself up within her bunker with only her most trusted associates.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '138', 'aakuan', 'The Aakuan clan sit within their cave plotting their next highly illegal activity.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '139', 'khamurrabio', 'This public research facility was under taking a unique bio-genetic experiment on making stronger and faster kahmurra. Unfortunately no one has heard form the scientists working there since.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '140', 'decaymite', 'Deep within Talus decay mites have managed to grow to immense size. Scientists believe that there is something in the rock of the cave that has triggered these strange changes within the insects.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '141', 'binyare', 'The Binyare Pirates have long operated from their stronghold on Talus.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '142', 'reboutpost', 'On worlds that are firmly under the iron fist of the Empire, the Alliance has managed to place small but effective units and bases.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '143', 'kobala', 'This cave is home to the Kobola Spice Mine. Spice is a dangerous business and it takes dangerous people to guard their harvest.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '144', 'impencampment', 'A fortified Imperial stronghold that has been site for many conflicts between the Rebellion and the Empire in an attempt to control this important strategic location.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '145', 'hyperdrive', 'This facility is home to some of the top hyperdrive research in the galaxy. Both the Imperial and Rebellion struggle to control this valuable resource.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '146', 'garyn', 'The Garyn Raider\'s mountain stronghold is home to some of the most nefarious pirates on Rori.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '147', 'borglebat', 'This deep natural crevasse is home to an extraodinary number of Borgle Bats.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '148', 'cobral', 'The Cobral space pirates plan many of their crimes from within their fortified bunker.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '149', 'tortoncave', 'The galaxy holds many numbers of oddities. The pygmy tortons that dwell within this cave are certainly amongst the strangest.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '150', 'poacher', 'On the black market, pelts of Rori creatures fetch handsome sums. Poachers are a common problem on the swampy world usually wrecking havoc with entire ecosystems. But sometimes even these skilled hunters pick the wrong critters to go after.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '151', 'barkmite', 'Giant Bark Mites have discovered a natural cave that is damp and warm making it a perfect nursery for their brood. Normally docile herbivores, these insects can become very dangerous when protecting their lair.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '152', 'swamptown', 'The Rorigungan commander Captain Hassek has declared that if the Gungan people are to survive they must repel all foreigners from their worlds. His base of operations, which is located deep within the swamps of Rori, is protected by his most loyal of followers.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '153', 'volcano', 'Lok has always been known has a fiery world and no place on the planet better suits that description better then this massive volcano.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '154', 'lokimpoutpost', 'The Imperials feeling the need to extend their reach into the less developed worlds have built a massive stronghold on Lok.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '155', 'kimogilaskel', 'The sun bleached bones of one of the great Kimogila lizards of Lok.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '156', 'kimogilatown', 'Pirates on Lok sold settlers a piece of land that they claimed was prime real estate. Unfortunately they are on lands infested with Kimogila who found that the townsfolk are an excellent source for food.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '157', 'canyoncosair', 'The stronghold of the Canyon Corsair\'s pirate clan.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '158', 'bloodrazor', 'A crash site for one of the Blood Razor\'s ships.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '159', 'droidcave', 'Lok is not only home to any number of pirate clans, but it is also a place where lawless experiments can be conducted without recourse. A droid engineer has taken over this cave to continue his experiments that he was not allowed to conduct on any of the more civilized worlds.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '160', 'greatmaze', 'The maze was built long ago by a visiting noble on a hunting expedition.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '161', 'censorious', 'Censorious Tempest\n\nThe Censorious Tempest Nebula lies in the outermost reaches of Lok\'s System. The constant presence of the nearby asteroid field causes frequent electrical outbursts for which the Censorious Temptest earns its name.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '162', 'station_corellia', 'Home of the Corellian Security Forces, this space station can provide emergency repairs for a service, as well as clear you for landing at any of Corellia\'s starports.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '163', 'station_dantooine', 'Dantooine is a remote planet with a small primitive native population.  This space station can provide emergency repairs for a service, or clear you for landing at any of Dantooine\'s outposts.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '164', 'station_dathomir', 'The Station at Dathomir will require Imperial authorization codes before providing emergency repairs or clearing you for landing at any of Dathomir\'s outposts, but the station is so remote their codes are rarely updated.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '165', 'station_endor', 'Serving the Imperial Research Station on Endor, this space station can provide emergency repairs or clear you for landing on the planet.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '166', 'station_lok', 'The space station on Lok can provide emergency repairs or clear you to land at Nym\'s Stronghold on the planet.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '167', 'station_naboo', 'Home of the Royal Security Forces, the space station can provide emergency repairs or clear travellers to land at any of Naboo\'s star ports.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '168', 'station_rori', 'Serving Naboo\'s most popular moon, Rori, this space station can provide travellers with emergency repairs or permission to land at any of Rori\'s starports.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '169', 'station_talus', 'The Space Station at Talus can provide you with emergency repairs or clear you to land at any of Talus\' starports.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '170', 'station_tatooine', 'The space station at Tatooine isn\'t the friendliest one in the galaxy, but for the right price they can be persuaded to provide emergency repairs.  The station is notorious for clearing anyone to land at any of Tatooine\'s starports without even the most basic security protocols in place.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '171', 'station_yavin4', 'Serving the outposts on this hostile jungle planet, the space station will provide emergency repairs to get you on your way, or clear you for landing at any of the outposts on Yavin4.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '172', 'battlefield_imperial', 'Imperial Claw Station (Deep Space)\n\nFaction: Imperial\n\nThis Imperial Station can grant access to a hyperspace route to deep space.  The route is highly classified, however, and the Empire will allow only the most advanced, prestigious pilots to enter Deep Space.\n\nInstructions\n\nTo travel to Deep Space (PvP), approach the Imperial Claw Station and target it with the \'c\'. Proceed to then communicate with the station, by typing /comm in spatial chat.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '173', 'battlefield_rebel', 'Deep Space Station\n\nFaction: Rebel\n\nThe Rebel Alliance has discovered a hyperspace route to an area of Deep Space.  Only the most skillful and prestigious pilots can be trusted with the knowledge that the Rebel Alliance has constructed a base in Deep Space.\n\nInstructions\n\nTo travel to Deep Space (PvP), approach the Deep Space Station and target it with the \'c\'. Proceed to then communicate with the station, by typing /comm in spatial chat.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '174', 'battlefield_neutral', 'Last Nav Station (Deep Space)\n\nFaction: Neutral\n\nThe old Pilot\'s Guild was once the authority in all matters of space travel, but since it has been disbanded by order of the Emperor, the only space station maintained by former Pilot\'s guild members is this lone station on the edge of space.\n\nInstructions\n\nTo travel to Deep Space (PvP), approach the Last Nav Station and target it with the \'c\'. Proceed to then communicate with the station, by typing /comm in spatial chat.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '175', 'dant_iron_ast_field', 'Blacklight Territory\n\nThis is as dangerous a region of space as any, with the asteroids providing cover for the pirates and criminals seeking to escape Imperial Justice.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '176', 'dant_iron_ast_field2', 'Area D-7s1\n\nNative to Area D-7s1 are droid scavengers, the Detritus Satellites. For the most part, the Detritus Satellites keep to themselves, building their makeshift outpost with old scraps collected from the nearby junk field. Electrical currents power the outpost and provide fellow droids with repairs and shelter.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '177', 'dant_mammoth_ast_field', 'Wall of Dantooine\n\nStretching as far as the eye can see, the Wall of Dantooine is a necessary landmark to any roving traveller. Local miners speculate the obsidian asteroids may be worth a pretty credit or two.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '178', 'dant_iron_planet', 'Dantooine\'s Second Star\n\nNestled in the Ferionic Nebula, the iron planetoid, nicknamed \"Dantooine\'s Second Star\", is home to the Velocity Mercenaries. Little is known about this small band of thugs. Mostly, they kept to themselves.. until the Empire moved into the area. Now, the Velocity Mercenaries launch continous attacks against the Empire, hoping to drive them out of Area Ferionic 7-IK.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '179', 'corellia_iron_planet', 'Pirate\'s Shadow\n\nThe Pirate\'s Shadow, an asteroid field named after the cover it brings to attacking holligans, serves as a rallying point for smugglers, pirates and ne\'er-do-wells dodging CorSec patrols.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '180', 'destroyed_imp_station', 'This destroyed station must be an annoying reminder to any Imperial passing through the system that Corellia is not entirely under Imperial Control.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '181', 'hvy_rebel_station', 'This space station has thus far been tolerated within the Corellia system, but there\'s no question that should it draw the might of the Empire to the system, Corellia\'s own forces would maintain their neutrality and do nothing to defend it.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '182', 'naboo_medium_iron', 'Arrissa\'s Field\n\nNamed after the pirate Arrissa n\'Osnyi, the iron asteroid field holds testament to many pirate victories. Hiding within the field, and covered by the Obligon Nebula, pirates were successful in ambushing passing freighters. Needless to say, the old trade route through this area has been vacated for years. Now, it is frequented by Imperial influence in hopes of keeping pirates out of the area for good.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '183', 'naboo_iron_planet', 'This planetoid serves as a rallying point for Naboo traders of all types... and the pirates that attempt to prey on them under the Empire\'s very nose.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '184', 'naboo_destroyed_station', 'Trade Federation Hulk\n\nThis heap of debris stands as a reminder of Naboo\'s ancient battle against the forces of greed, and a monument to the Royal Security Forces prowess in starfighter combat. Even still, rare members of the Trade Federation still live at the site and are often left alone.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '185', 'tatooine_iron_planet', 'Iron Planet\n\nThe material of this \"Iron Planet\" is starkly different than the neighboring asteroids in areas circumventing the Traders\' Grotto. It is unknown whether or not it will help against squelching the high resource demands from planet Tatooine. Only time will tell.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '186', 'tatooine_destroyed_reb', 'Rebel Ruins\n\nLying in ruins, the once-prominant Rebel Space Station was the base of operations for most Alliance activity in the Tatooine System. It was only then, at the height of glory of the Alliance, did the Empire suffocate any hope of survival. Only a carcass of the Rebel Space Station remains and, floating around it, memories of war in the form of TIE and X-Wing debris.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '187', 'heartofdathomir', 'Heart of Dathomir\n\nThe locals call it the \"Heart of Dathomir\". Even from a distance, the palpitating gasses of the nebula itself seem to have a mind of its own. No one ventures near this infamous, dark cloud. Too many have tried and have never returned. It is rumored that quick-killing assassins swarm within this bloody miasma, waiting for their next victim. Molten rocks, infused with the rage of many lost souls, and red energy spill from the nebula, warning all to steer clear.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '188', 'darkforce', 'Dark Force Nebula\n\nBase of its operations, the Empire chose the Dark Force nebula for its sense of concealment, protected by mighty fields of asteroids. Individuals seeking aide of the Empire are welcome here. For those who are considered enemies of the Emperor and his ideals, it would be wise to stay far away.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '189', 'smugglers', 'Ferrous Aurora Nebula\n\nThe Ferrous Aurora Nebula, named by the Ni`lyahin Smugglers, is home to the hostile band of theives and assassins. Apart from the dazzling colors, the areas surrounding the nebula prove to be dangerous as a war brews just beyond its brink. The nebula\'s inhabitants originate from Yavin4, having gained space travel later than most and only by stealing technology. Currently, they own half of Yavin4\'s space quadrants, successfully destroying large parts of the Empire\'s defenses and holding fast with their own brutal forces.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '190', 'shadowofalliance', 'Shadow of the Alliance\n\nThe Shadow of the Alliance provides the Resistance with a cloak of tumultuous energy. Struggling to survive, the Rebels hide in the Shadow of the Alliance nebula in hopes of dodging the attacks launched by the Empire. Thankfully, all of the Empire\'s efforts seem to be focused on the Ni`lyahin Smugglers. It seems as if the Emperor and his fleets are too distracted to deal with the nuisance of the Alliance... for now.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '191', 'racingagrilat', 'This dangerous course was used for illegal races many years ago. Hot springs, deadly updrafts and sharp crystalline underbrush make it a particularly hazardous course. Until recently, there haven\'t been many races since the near-death of a swoop jockey named Dengar. If memory serves, it was a very exciting match between him and someone called Solo.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '192', 'racingkeren', 'This circuit will take you winding through the narrow bridges and streets of Keren and it is favored by the more technically minded racer. Focusing more on finesse then it does raw speed this course will definately challenge your racing skills. Due to the danger street racing poses to pedestrians, the RSF does not approve of this activity so participation is at your own risk.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '193', 'racingmosespa', 'The series was formed and controlled by the Hutts many years ago. Following the decline of podracing\'s popularity, this track was more or less abandoned by the Hutts. It was eventually taken over by a small band of swoop racers, who used it to stage a regular series of semi-legitimate races during the early years of the New Republic.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '194', 'naboo_d', 'Empire\'s Station\n\nThe Imperial forces present in Naboo Space have opened its station to members of the Empire, wishing to declare themselves for the greater good of the fight against the Rebellion.\n\nInstructions\n\nTo declare in open Player vs Player (PvP), approach the Imperial Station and target it with the \'c\'. Proceed to then communicate with the station, by typing /comm in spatial chat.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '195', 'corellia_a', 'Alliance Station I\n\nThe Rebel forces present in Corellia Space have opened its station to members of the Alliance, wishing to declare themselves for the greater good of the fight against the Empire.\n\nInstructions\n\nTo declare in open Player vs Player (PvP), approach the Rebel Station and target it with the \'c\'. Proceed to then communicate with the station, by typing /comm in spatial chat.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '196', 'corellia_b', 'Alliance Station II\n\nThe Rebel forces present in Corellia Space have opened its station to members of the Alliance, wishing to declare themselves for the greater good of the fight against the Empire.\n\nInstructions\n\nTo declare in open Player vs Player (PvP), approach the Rebel Station and target it with the \'c\'. Proceed to then communicate with the station, by typing /comm in spatial chat.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '197', 'naboo_e', 'Rebellion Remnants\n\nPoetically named by Sonal Serore, an Imperial artisan, the Rebel Station was once a prominent home to the Rebel Alliance. Now, it only remains as a momument to the glory of the Empire and the undeniable strength and might they possess. Rumor has it that the Alliance has returned to its once-home. Could it be that they hope to prosper once again in Naboo\'s Empire-controlled space?\n\n');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '198', 'lok_a', 'Alliance Station\n\nThe Rebel forces present in Lok Space have opened its station to members of the Alliance, wishing to declare themselves for the greater good of the fight against the Empire.\n\nInstructions\n\nTo declare in open Player vs Player (PvP), approach the Rebel Station and target it with the \'c\'. Proceed to then communicate with the station, by typing /comm in spatial chat.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '199', 'lok_b', 'Empire\'s Station\n\nThe Imperial forces present in Lok Space have opened its station to members of the Empire, wishing to declare themselves for the greater good of the fight against the Rebellion.\n\nInstructions\n\nTo declare in open Player vs Player (PvP), approach the Imperial Station and target it with the \'c\'. Proceed to then communicate with the station, by typing /comm in spatial chat.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '200', 'lok_c', 'Spine of Lok\n\nMade out of obsidian rock, the Spine of Lok stretches across the vast, dark haze of Lok\'s often-quiet space. Miners have yet to venture here to find what exactly the obsidian rock holds in regards to resources and lucrative sales.\n\n');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '201', 'lok_d', 'Censorious Tempest\n\nThe Censorious Tempest Nebula lies in the outermost reaches of Lok\'s System. The constant presence of the nearby asteroid field causes frequent electrical outbursts for which the Censorious Temptest earns its name.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '202', 'yavin4_a', 'Empire\'s Station I\n\nThe Imperial forces present in Naboo Space have opened its station to members of the Empire, wishing to declare themselves for the greater good of the fight against the Rebellion.\n\nInstructions\n\nTo declare in open Player vs Player (PvP), approach the Imperial Station and target it with the \'c\'. Proceed to then communicate with the station, by typing /comm in spatial chat.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '203', 'yavin4_b', 'Empire\'s Station II\n\nThe Imperial forces present in Naboo Space have opened its station to members of the Empire, wishing to declare themselves for the greater good of the fight against the Rebellion.\n\nInstructions\n\nTo declare in open Player vs Player (PvP), approach the Imperial Station and target it with the \'c\'. Proceed to then communicate with the station, by typing /comm in spatial chat.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '204', 'yavin4_c', 'Empire\'s Station III\n\nThe Imperial forces present in Naboo Space have opened its station to members of the Empire, wishing to declare themselves for the greater good of the fight against the Rebellion.\n\nInstructions\n\nTo declare in open Player vs Player (PvP), approach the Imperial Station and target it with the \'c\'. Proceed to then communicate with the station, by typing /comm in spatial chat.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '205', 'dant_a', 'Alliance Station I\n\nThe Rebel forces present in Dantooine Space have opened its station to members of the Alliance, wishing to declare themselves for the greater good of the fight against the Empire.\n\nInstructions\n\nTo declare in open Player vs Player (PvP), approach the Rebel Station and target it with the \'c\'. Proceed to then communicate with the station, by typing /comm in spatial chat.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '206', 'dant_b', 'Alliance Station II\n\nThe Rebel forces present in Dantooine Space have opened its station to members of the Alliance, wishing to declare themselves for the greater good of the fight against the Empire.\n\nInstructions\n\nTo declare in open Player vs Player (PvP), approach the Rebel Station and target it with the \'c\'. Proceed to then communicate with the station, by typing /comm in spatial chat.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '207', 'dant_c', 'Empire\'s Station I\n\nThe Imperial forces present in Dantooine Space have opened its station to members of the Empire, wishing to declare themselves for the greater good of the fight against the Rebellion.\n\nInstructions\n\nTo declare in open Player vs Player (PvP), approach the Imperial Station and target it with the \'c\'. Proceed to then communicate with the station, by typing /comm in spatial chat.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '208', 'dant_d', 'Empire\'s Station II\n\nThe Imperial forces present in Dantooine Space have opened its station to members of the Empire, wishing to declare themselves for the greater good of the fight against the Rebellion.\n\nInstructions\n\nTo declare in open Player vs Player (PvP), approach the Imperial Station and target it with the \'c\'. Proceed to then communicate with the station, by typing /comm in spatial chat.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '209', 'dant_e', 'Legacy YT Indigo Blue\n\nThe Rebel Alliance invested their pride into their oldest surviving space station, the Legacy YT Indigo Blue. However, the pride soon turned into horror as the Empire dared to move into Dantooine\'s native space and \"remove\" all who opposed them. Their first target: the Legacy YT Indigo Blue. Crushing the Rebellions origin in Dantooine space, they soon turned to other targets, breaking and converting them or out-right eliminating the \"rebel sympathizers\". All that is left are the remnants of the Legacy YT Indigo Blue, a spot which has become the center-point of Dantooine\'s traffic.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '210', 'dant_f', 'Ith\'ril Eventide\n\nArea D-504 was immediately changed to \"Ith\'ril Eventide\" when he himself, Ith\'ril Eventide, leader of the Zel`iphian Slave Traders, came into power. It is wise not to travel to Area D-504 unless under dire circumstances.. or business. It has been made apparant that the Zel`iphian Slave Traders do not appreciate visitors.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '211', 'dant_g', 'Area D-502\n\nArea D-502 serves as Dantooine\'s \"safest\" territories. Home to the D-502 Aii`tkian Anthropologists and the O.S.S. D-502 Junk Guild, one can travel here and expect to be left alone. Both the Junk Dealers and the Anthropologists are friendly and never hesitate to lend a helpful hand.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '212', 'dant_h', 'Sserician Eclipse\n\nValarian thugs plague the Sserician Eclipse with undaunted ferocity, daring even the Empire to react. It is common to see dogfights brewing among the Empire and Valarians with the remnants of a Rebel Station in the midst. As Dantooine\'s more dangerous territories, the Sserician Eclipse is an area to be feared and avoided.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '213', 'dant_i', 'Ebon Essentia\n\nEbon Essentia, also known as Area E-2, is consumed in a war between the Force Assassins and the Warrens Assault Squad. It is unknown why the two factions continue to war against each other or why it all started. Unless heavily-armed, it is imperative that travellers avoid Area E-2 as decreed by Imperial Law. The Empire chooses to look the other way, it seems, and locals are beginning to wonder why..');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '214', 'endor_a', 'Empire\'s Station I\n\nThe Imperial forces present in Endor Space have opened its station to members of the Empire, wishing to declare themselves for the greater good of the fight against the Rebellion.\n\nInstructions\n\nTo declare in open Player vs Player (PvP), approach the Imperial Station and target it with the \'c\'. Proceed to then communicate with the station, by typing /comm in spatial chat.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '215', 'endor_b', 'Empire\'s Station II\n\nThe Imperial forces present in Endor Space have opened its station to members of the Empire, wishing to declare themselves for the greater good of the fight against the Rebellion.\n\nInstructions\n\nTo declare in open Player vs Player (PvP), approach the Imperial Station and target it with the \'c\'. Proceed to then communicate with the station, by typing /comm in spatial chat.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '216', 'endor_c', 'Linear Miasma\n\nFrequented by the Linear Miasma Scientists, the nebula provides a wealth of information and research for the lone band, belonging to the Endorian Researchers Guild. The scientists prove to be a friendly bunch time and time again despite the presence of the Spice Pirates, the Zynt`aia Spice Guardians, of whom reside nearby.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '217', 'endor_d', 'Declorian Territory\n\nZynt`aia Spice Guardians terrorize the Declorian Territory with a fierce fist. Often times, unless business is mentioned, the Spice Guardians are not open to having visitors.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '218', 'endor_e', 'Onyx Beacon\n\nHome to the Blacklight Pirates, the Onyx Beacon serves as an origin for \"seedy\" business. Little else is known about the Onyx Beacon as it is jealously guarded by its inhabitants.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '219', 'dath_a', 'Empire\'s Station I\n\nThe Imperial forces present in Dathomir Space have opened its station to members of the Empire, wishing to declare themselves for the greater good of the fight against the Rebellion.\n\nInstructions\n\nTo declare in open Player vs Player (PvP), approach the Imperial Station and target it with the \'c\'. Proceed to then communicate with the station, by typing /comm in spatial chat.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '220', 'dath_b', 'Empire\'s Station II\n\nThe Imperial forces present in Dathomir Space have opened its station to members of the Empire, wishing to declare themselves for the greater good of the fight against the Rebellion.\n\nInstructions\n\nTo declare in open Player vs Player (PvP), approach the Imperial Station and target it with the \'c\'. Proceed to then communicate with the station, by typing /comm in spatial chat.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '221', 'dath_c', 'Witch Blood Territory\n\nIn the heart of the Witch Blood Territory festers a group of skilled assassins and thugs. The Witch Blood Clan chooses their victims carefully and it seems that no one is safe from their well-equipped starships and superior maneuvering skills. Travellers would do well in keeping all computer systems alert when traveling through this territory.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '222', 'naboo_f', 'Scintilla Steel\n\nThe iron asteroid field, named Scintilla Steel, serves as a home to hostile droids, the Scintilla Scavengers. Although malicious, the Scintilla Scavengers keep to themselves and mine the Scintilla Steel asteroid field in peace. Approaching freighters and vessels are, however, attacked on sight and are devoured within moments.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '223', 'naboo_g', 'Adamant Mass\n\nA particularly large asteroid, the Adamant Mass is the center-point of the Ironfleck Marauders expeditions. The planetoid, often nicknamed \"Naboo\'s Third Planet\", is rumored to harbor a pocket of valuable, high density resources in its center. The Ironfleck Marauders have been chipping away at the Adaman Mass for years and have yet to make any progress.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '224', 'naboo_h', 'Nal ReulTta\n\nReminiscent of their homeworld Nal Hutta, the Borvo Clan sought to claim a small portion of Naboo\'s Space, a place that was eventually to be called \"Nal ReulTta\". Borvo and his thugs found victory soon thereafter, sprouting a small outpost and guarding it from the meddlesome Empire with skill and bravery. The outpost stands there even today and is heavily guarded by Borvo\'s thugs.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '225', 'naboo_i', 'Sovereignty Dawn\n\nNaboo\'s own police, the Royal Security Forces, found their place in the Sovereignty Dawn territory, procreating an outpost to support their peacekeeping efforts. Usually friendly, the Royal Security Forces are glad to lend a helping hand when in need.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '226', 'corellia_c', 'Rayless Lantern\n\nBelonging to the Binayre thugs, the Rayless Lantern manifests a foreboding aura, an essence created by the thieves and assassins living within it. The Binayre do not welcome visitors and abhor oppression and threats from their favored enemies, the CorSec.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '227', 'corellia_d', 'Rubicund Eye\n\nThe Black Sun terrorize the Rubicund Eye with swift maneuverability and hard-hitting missiles. Most choose to stay away from the Rubicund Eye, fearing that the Black Sun will descend upon them like a suffocating blanket of ash. It would be unwise to travel here alone.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '228', 'corellia_e', 'The Void\n\nDual pirate factions, the Hidden Daggers and the Hutts, patrol the Void, seeking solitary freighters and civilians to destroy and loot. The origin of the name and why the Hidden Daggers and Hutt choose to be at war remains a mystery even today.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '229', 'corellia_f', 'Secure Route ID-5N\n\nRoute ID-5N, additionally named the \"New Route\", is policed by the highly-skilled CorSec, planet Corellia\'s own police force. Running from both of Corellia and Talus\' space stations, Route ID-5N provides quick, safe travel for everyone.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '230', 'lok_f', 'Mid-Point\n\nSimply named \"Mid-Point\", the area serves as a three-way route for the Rebellion, Nym\'s thugs and the Empire. Unfortunately, Mid-Point is often the best place to witness dogfights and near-death misses.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '231', 'lok_e', 'The Canyon\n\nThe Canyon embodies the home of the Corsair thug faction, an unmerciless band of hooligans promising to wreck havoc on any passing civilian or vessel. Ruthless, it is not uncommon to see a Corsair looting its latest victim and speeding off to find another.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '232', 'yavin4_d', 'Nebulon 7\n\nNamed after the Nebulon 7, the Rebel territory in Yavin4\'s space is highly saturated with YKL-37Rs, what the Rebels fondly call the \"Nova Courier\". Little else is known about the area, secrets which the Rebel Alliance hold dear.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '233', 'tatooine_g', 'Valarian Sun\n\nNestled snuggly behind the Dragon\'s Spine asteroid field, the area called \"Valarian Sun\" serves as Lady Valarian\'s point of space operations. \"Valarian Sun\" is led by her most powerful thugs, relentless killers hoping to take over the Dragon\'s Spine entirely in honor of the gang.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '234', 'tatooine_h', 'Dragon\'s Spine\n\nThe Dragon\'s Spine, one of the oldest asteroid fields in space Tatooine, snakes across the vast expanse of space and serves as a centerpoint of navigation for many explorers. However, wise travellers have steared clear from the Dragon\'s Spine as of late. Lady Valarian and her thugs have taken to the massive asteroid field, destroying all \"unauthorized\" vessels and have consquently taken it over completely. In the eyes of the Hutts, Lady Valarian and her thugs have over-stepped their bounds which has resulted in a war between the two thug factions. Even the Empire has ordered their fleets to stay clear from the Spine and the war that rages within it.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '235', 'tatooine_i', 'Station-Star 1\n\nThe original landing station, named \"Station-Star 1\", was the first direct pipeline connecting planet Tatooine to its space system. Due to the raging war between the Hutts and the Valarians, Station-Star 1 was destroyed, having been the target for both thug factions. It was sound reasoning that whoever owned the landing station owned the planet. Station-Star 1 now lies in ruins at the site of continual battle between the Hutts and the Valarians.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '236', 'tatooine_j', 'Black Venom Sea\n\nThe potent thug faction, the Black Suns, course through the veins of the Black Venom Sea, dominating the area with heavy laser fire and lethal missles . Currently, the Black Suns hide behind Tatooine\'s shadow, waiting for the perfect time to strike with deadly precision and claim Tatooine\'s system as their own.\n\n');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '237', 'tatooine_k', 'Pirate\'s (Muon) Gold\n\nThe Bestine Pirates love their Muon Gold. In fact, the pirates named the area in which they dwell after the potent spice. Remarkably enough, the Bestine Pirates still fire with amazing accuracy and lethality, so much so that all who travel through the area are wise enough to keep their computer systems alert and weapons armed.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '238', 'space_corellia_4', 'Quadrant V: Talus Secta\n\nInhabitants: the Empire and the Rebellion\nDanger Level: HIGH\n\nDistance to Corellia Space Station: 10836m\nDistance to Talus Space Station: 4642m\n\nClosest hyperspace point to the Talus Space Station, the Talus Secta point is incredibly dangerous. The Empire, in attempt to catch traveling Rebel sympathizers off-gaurd, keep a vigil standpoint very close by. Learning the Empire\'s vile deeds, the Rebel Alliance has stationed guards next to the Talus Secta, hoping to fight off the Empire and make travel safe for Rebel allies. The ongoing war between the two factions makes traveling to the Talus Secta dangerous for both Rebel and Empire allies alike.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '239', 'yavin4_e', 'Nova 3\n\nThe Nova 3, a long-time destroyed Rebel space station, rots in Yavin 4\'s war-ridden system, surrounded by Imperial defenders stricken to extinguish both the Rebellion and the Ni`lyahin Smugglers from existence. Unfortunately, the area lies in ruin, heavy fire from all sides splitting ship and asteroid alike.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '240', 'yavin4_f', 'Lodestar Utopia\n\nA simple mining station, harboring peacekeeping individuals who gather together in essence to keep the peace in Yavin 4\'s system and serve as a shining example to those looking upon them. Although armed with advanced weapon systems, the many factions living within the Lodestar Utopia thrive to keep their pilots\' fingers off the trigger. Sometimes, gentle ideals must be ignored..');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '241', 'lok_g', 'Crimson Talon\n\nAn old visitor to Lok\'s space system, the Blood Razors inhabit the Crimson Talon territory, only venturing out from their outpost to sabotage the expansion efforts by the Kimogila Fanatics. The war between these two pirate faction remains a very near danger to those wishing to travel through the area. Pitched on either side of the Spine of Lok, the Kimogila Fanatics and the Blood Razors often meet in the middle to engage in a dogfight.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '242', 'lok_h', 'Umber Scale\n\nThe Kimogila Fanatics prefered the name \'Umbra Scale\' for the territory they conquered not long ago, stealing it away from the Blood Razors and pushing them back to the other side of the Spine of Lok. Unfortunately, the once-peaceful space system of Lok is now riddled with war, often preventing civilians and freighters easy passage through unharmed. A dark cloud of war suffocates Lok\'s serene system and there is no telling when it will dissipate.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '243', 'lok_i', 'Trade Federation Center\n\nThe Trade Federation has set up a research center in the outer reaches of Lok\'s system. Recruiting the help of others, it is the hope of the Trade Federation to collect segments of the Spine of Lok, studying the obsidian rocks to provide information to various allies about possible sales... and alliances. However, several spies have discovered that the Trade Federation has been conducting secret experiments away from the eyes of the Empire and potential enemies.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '244', 'lok_j', 'Corsairian Crescent\n\nAway from the war that seems to have plagued Lok\'s system, the Corsairs tend to themselves, keeping as quiet occupants in Lok\'s inner reaches. It is rumored that the Corsairs may clamour into their own dogfights with the locals, hoping to collect the loot war often generates. Otherwise undescript, the Corsairian Crescent proves to be a territory in which only the brave travel.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '245', 'lok_k', 'Bloodlight Sea\n\nThe Bloodlight Sea belongs undisputedly to Nym and his local band of loyal thugs. Until recently, the Bloodlight Sea was often a place for business, a point often visited by an assortment of hagglers and thieves. Now, it is the main centerpoint for the war between the Empire and Nym\'s vicious allies. Unless you favor being space dust, it is recommended to stay clear of the area.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '246', 'lok_l', 'Solar Phoenix 2\n\nThe Solar Phoenix 2 is a hotspot for dogfights and deadly activity, serving as the Empire\'s point of operations against Nym and his band of loyal thugs.  It is imperative to use caution when careening through the area. You may find yourself sitting in dead space and the \'eject\' button within finger\'s reach.\n\n');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_d.stf', '247', 'lok_m', 'Mercenaries\' Ridge\n\nMercenaries\' Ridge serves as Lok\'s most popular hyperspace jump from the outer planets to the serenity of Lok\'s space system. Only authorized persons with approved papers signed by an imperial officer can jump here with ease. Unfortunately, most smugglers and thieves traveling through here possess conterfeit papers and, with the Empire dealing with Nym, no one is the wiser.');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '1', 'jabbaspalace', 'Jabba\'s Palace');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '2', 'forttusken', 'Fort Tusken');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '3', 'theed', 'Theed');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '4', 'jawatraders', 'Jawa Traders');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '5', 'simplesample1', 'A simple sample');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '6', 'simplesample2', 'Another simple sample');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '7', 'darklighter', 'Darklighter\'s Estate');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '8', 'kraytgraveyard', 'Krayt Graveyard');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '9', 'larshomestead', 'Lars Homestead');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '10', 'kenobishouse', 'Ben Kenobi\'s House');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '11', 'sarlacc', 'Great Pit of Carkoon');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '12', 'pod', 'Escape Pod');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '13', 'skeleton', 'Ancient Krayt Dragon Skeleton');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '14', 'gungan', 'Gungan Sacred Place');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '15', 'theedfalls', 'Theed Waterfall');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '16', 'deejafalls', 'Deeja Peak Waterfall');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '17', 'amidalasbeach', 'Amidala\'s Beach');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '18', 'impvsgun', 'Imperial vs. Gungan Battle');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '19', 'mordran', 'Mordran');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '20', 'weaponfacility', 'Weapon Development Facility');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '21', 'narglatch', 'Narglatch Cave');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '22', 'mauler', 'Mauler Stronghold');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '23', 'hideout', 'Rebel Hideout');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '24', 'corsecbase', 'Rogue Corsec Base');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '25', 'grandtheater', 'Grand Theater of Vreni Island');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '26', 'crystalfountain', 'Crystal Fountain of Bela Vistal');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '27', 'agrilat', 'Agrilat Swamp');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '28', 'drall', 'Drall Patriot\'s Cave');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '29', 'nyax', 'Lord Nyax\'s Cult');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '30', 'stronghold', 'Stronghold');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '31', 'afarathu', 'Afarathu Cave');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '32', 'prison', 'Imperial Prison');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '33', 'lessersarlacc', 'Dathomir Sarlacc');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '34', 'dathpod', 'Crashed Escape Pod');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '35', 'mistyfalls', 'Misty Falls');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '36', 'tarpit', 'Dathomir Tarpits');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '37', 'nightsister', 'Nightsister Stronghold');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '38', 'singing', 'Singing Mountain Clan');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '39', 'nightvssing', 'Nightsister vs. Singing Mountain Clan Battle');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '40', 'nightspider', 'Nightspider Cult Cave');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '41', 'slavecamp', 'Nightsister Forced Labor Camp');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '42', 'dantari1', 'Dantari Village');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '43', 'dantari2', 'Dantari Village');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '44', 'dantari3', 'Dantari Village');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '45', 'abandoned', 'Abandoned Rebel Base');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '46', 'jeditemple', 'Jedi Temple Ruins');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '47', 'cystalhunter', 'Force Crystal Hunter\'s Cave');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '48', 'janta', 'Janta Stronghold');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '49', 'mokk', 'Mokk Stronghold');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '50', 'kunga', 'Kunga Stronghold');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '51', 'warren', 'The Warren');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '52', 'tree1', 'Ewok Tree Village');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '53', 'tree2', 'Ewok Tree Village');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '54', 'lake1', 'Ewok Lake Village');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '55', 'lake2', 'Ewok Lake Village');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '56', 'dulok1', 'Dulok Village');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '57', 'dulok2', 'Dulok Village');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '58', 'marauder', 'Marauder\'s Stronghold');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '59', 'korga', 'Korga Cave');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '60', 'orphan', 'Orphaned Marauder\'s Cave');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '61', 'jinda', 'Jinda Ritualist\'s Cave');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '62', 'woolamander', 'Woolamander Palace');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '63', 'blueleaf', 'The Temple of the Blueleaf');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '64', 'exarkun', 'The Temple of Exar Kun');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '65', 'massassi', 'The Great Massassi Temple');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '66', 'impoutpost', 'Imperial Outpost');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '67', 'creaturevillage', 'Lost Village of Durbin');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '68', 'impvsreb', 'Imperial vs. Rebel Battle');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '69', 'aqualishcave', 'Lost Aqualish War Party\'s Cave');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '70', 'weapondepot', 'Weapons Depot');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '71', 'detainment', 'Detainment Center');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '72', 'corvsflail', 'Corsec vs. Flail Battle');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '73', 'flynock', 'Giant Fynock Cave');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '74', 'erransif', 'Erran Sif');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '75', 'aakuan', 'Aakuan Champion\'s Cave');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '76', 'khamurrabio', 'Kahmurra Biogentic Research Station');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '77', 'decaymite', 'Giant Decay Mite Cave');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '78', 'binyare', 'Binyare Pirate Bunker');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '79', 'reboutpost', 'Rebel Outpost');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '80', 'kobala', 'Kobola Bunker');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '81', 'impencampment', 'Imperial Encampment');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '82', 'hyperdrive', 'Hyperdrive Research Facility');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '83', 'garyn', 'Garyn Raider\'s Bunker');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '84', 'borglebat', 'Borgle Bat Cave');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '85', 'cobral', 'Cobral Hideout');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '86', 'tortoncave', 'Pygmy Torton Cave');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '87', 'poacher', 'Poacher vs. Creature Battle');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '88', 'barkmite', 'Giant Bark Mite Cave');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '89', 'swamptown', 'Rori Gungan\'s Swamp Town');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '90', 'volcano', 'Mount Chaolt');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '91', 'lokimpoutpost', 'Imperial Outpost');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '92', 'kimogilaskel', 'Great Kimogila\'s Skeleton');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '93', 'kimogilatown', 'Kimogila Town');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '94', 'canyoncosair', 'Canyon Corsair\'s Stronghold');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '95', 'bloodrazor', 'Downed Blood Razor\'s Transport');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '96', 'droidcave', 'Droid Engineer\'s Cave');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '97', 'greatmaze', 'The Great Maze of Lok');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '98', 'censorious', 'Censorious Tempest Nebula');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '99', 'station_corellia', 'Corellia Space Station');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '100', 'station_dantooine', 'Dantooine Space Station');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '101', 'station_dathomir', 'Dathomir Space Station');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '102', 'station_endor', 'Endor Space Station');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '103', 'station_lok', 'Lok Space Station');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '104', 'station_naboo', 'Naboo Space Station');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '105', 'station_rori', 'Rori Space Station');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '106', 'station_talus', 'Talus Space Station');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '107', 'station_tatooine', 'Tatooine Space Station');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '108', 'station_yavin4', 'Yavin 4 Space Station');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '109', 'battlefield_imperial', 'Imperial Claw Station (Deep Space)');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '110', 'battlefield_rebel', 'Station: Deep Space');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '111', 'battlefield_neutral', 'Last Nav Station (Deep Space)');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '112', 'dant_iron_ast_field', 'POI: Blacklight Territory');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '113', 'dant_iron_ast_field2', 'POI: Area D-7s1\n');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '114', 'dant_mammoth_ast_field', 'POI: Wall of Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '115', 'dant_iron_planet', 'POI: Dantooine\'s Second Star');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '116', 'corellia_iron_planet', 'POI: Pirate\'s Shadow');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '117', 'destroyed_imp_station', 'Station: Imperial Station');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '118', 'hvy_rebel_station', 'Freedom Station');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '119', 'naboo_medium_iron', 'POI: Arrissa\'s Field');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '120', 'naboo_iron_planet', 'POI: Planetoid');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '121', 'naboo_destroyed_station', 'POI: Trade Federation Hulk');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '122', 'tatooine_iron_planet', 'POI: Iron Planet');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '123', 'tatooine_destroyed_reb', 'POI: Rebel Ruins');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '124', 'tatooine_a', 'POI: Traders\' Grotto');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '125', 'tatooine_b', 'POI: Ghost Tide Nebula');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '126', 'tatooine_c', 'POI: Hutt Claims');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '127', 'tatooine_d', 'POI: Nallera\'s Mining Field');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '128', 'tatooine_e', 'POI: Jabba\'s Star');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '129', 'tatooine_f', 'POI: Dragon\'s Pearl');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '130', 'naboo_a', 'POI: Wishing Lake Zone');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '131', 'naboo_b', 'POI: Emperor\'s Way');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '132', 'naboo_c', 'POI: Old Trade Federation Route');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '133', 'space_corellia_0', 'Hyperspace: CorSec Wing');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '134', 'space_corellia_1', 'Hyperspace: Trifecta Star');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '135', 'space_corellia_2', 'Hyperspace: Binayre Razorcat');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '136', 'space_corellia_3', 'Hyperspace: Corellia\'s Own');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '137', 'space_naboo_0', 'Hyperspace: Royal Way');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '138', 'space_naboo_1', 'Hyperspace: Penumbra Omen');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '139', 'space_naboo_2', 'Hyperspace: Sea of Veruna');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '140', 'space_naboo_3', 'Hyperspace: Kylantha\'s Whim');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '141', 'space_tatooine_0', 'Hyperspace: Miner\'s Yard');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '142', 'space_tatooine_1', 'Hyperspace: Deep Sea');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '143', 'space_tatooine_2', 'Hyperspace: Desert Sands');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '144', 'space_tatooine_3', 'Hyperspace: Outer Rim');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '145', 'space_lok_0', 'Hyperspace: Nym\'s Hovel');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '146', 'space_lok_1', 'Hyperspace: Rebellion Blaze');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '147', 'space_lok_2', 'Hyperspace: Lurid Dawn');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '148', 'space_lok_3', 'Hyperspace: Voria\'s Ember');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '149', 'space_dantooine_0', 'Hyperspace: Dantooine\'s Wrath');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '150', 'space_dantooine_1', 'Hyperspace: Asair\'s Ribbon');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '151', 'space_dantooine_2', 'Hyperspace: Isryn\'s Veil');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '152', 'space_dantooine_3', 'Hyperspace: Gorvera Space');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '153', 'space_dathomir_0', 'Hyperspace: Dark Force');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '154', 'space_dathomir_1', 'Hyperspace: Empire Blockade');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '155', 'space_dathomir_2', 'Hyperspace: Dathomir\'s Vitality');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '156', 'space_dathomir_3', 'Hyperspace: Emperor\'s Hand');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '157', 'space_yavin4_0', 'Hyperspace: Smuggler\'s Run');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '158', 'space_yavin4_1', 'Hyperspace: Ferrous Aurora');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '159', 'space_yavin4_2', 'Hyperspace: Crimson Flare');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '160', 'space_yavin4_3', '(RESTRICTED) Quadrant II');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '161', 'space_endor_0', 'Hyperspace: Red Sin Chimaera');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '162', 'space_endor_1', 'Hyperspace: Area D-435');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '163', 'space_endor_2', 'Hyperspace: Empire\'s Justice');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '164', 'space_endor_3', 'Hyperspace: Durillium Sea');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '165', 'space_heavy1_0', 'Unknown Regions / Quadrant I');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '166', 'space_heavy1_1', 'Unknown Regions / Quadrant IV');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '167', 'space_heavy1_2', 'Unknown Regions / Quadrant III');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '168', 'space_heavy1_3', 'Unknown Regions / Quadrant II');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '169', 'space_light1_0', 'Quadrant I');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '170', 'space_light1_1', 'Quadrant IV');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '171', 'space_light1_2', 'Quadrant III');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '172', 'space_light1_3', 'Quadrant II');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '173', 'heartofdathomir', 'Nebula: Heart of Dathomir');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '174', 'darkforce', 'Nebula: Dark Force');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '175', 'smugglers', 'Nebula: Ferrous Aurora');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '176', 'shadowofalliance', 'Nebula: Shadow of the Alliance');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '177', 'racingagrilat', 'Agrilat Swamp Track');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '178', 'racingkeren', 'Keren Street Race Track');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '179', 'racingmosespa', 'Old Mos Espa Arena Track');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '180', 'naboo_d', 'Station: Empire\'s Station I');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '181', 'corellia_a', 'Station: Alliance Station I');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '182', 'corellia_b', 'Station: Alliance Station II');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '183', 'naboo_e', 'POI: Rebellion Remnants');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '184', 'lok_a', 'Station: Alliance Station I');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '185', 'lok_b', 'Station: Empire\'s Station I');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '186', 'lok_c', 'POI: Spine of Lok');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '187', 'lok_d', 'Nebula: Censorious Tempest Nebula');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '188', 'yavin4_a', 'Station: Empire\'s Station I');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '189', 'yavin4_b', 'Station: Empire\'s Station II');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '190', 'yavin4_c', 'Station: Empire\'s Station III');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '191', 'dant_a', 'Station: Alliance Station I');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '192', 'dant_b', 'Station: Alliance Station II');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '193', 'dant_c', 'Station: Empire\'s Station I');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '194', 'dant_d', 'Station: Empire\'s Station II');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '195', 'dant_e', 'POI: Legacy YT Indigo Blue');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '196', 'dant_f', 'POI: Ith\'ril Eventide');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '197', 'dant_g', 'POI: Area D-502');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '198', 'dant_h', 'POI: Sserician Eclipse');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '199', 'dant_i', 'POI: Ebon Essentia');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '200', 'endor_a', 'Station: Empire\'s Station I');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '201', 'endor_b', 'Station: Empire\'s Station II');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '202', 'endor_c', 'POI: Linear Miasma');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '203', 'endor_d', 'POI: Declorian Territory');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '204', 'endor_e', 'POI: Onyx Beacon');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '205', 'dath_a', 'Station: Empire\'s Station I');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '206', 'dath_b', 'Station: Empire\'s Station II');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '207', 'dath_c', 'POI: Witch Blood Territory');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '208', 'naboo_f', 'POI: Scintilla Steel');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '209', 'naboo_g', 'POI: Adamant Mass');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '210', 'naboo_h', 'POI: Nal ReulTta');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '211', 'naboo_i', 'POI: Sovereignty Dawn');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '212', 'corellia_c', 'POI: Rayless Lantern');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '213', 'corellia_d', 'POI: Rubicund Eye');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '214', 'corellia_e', 'POI: The Void');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '215', 'corellia_f', 'POI: Secure Route ID-5N');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '216', 'lok_e', 'POI: The Canyon');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '217', 'lok_f', 'POI: Mid-Point');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '218', 'yavin4_d', 'POI: Nebulon 7');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '219', 'tatooine_g', 'POI: Valarian Sun');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '220', 'tatooine_h', 'POI: Dragon\'s Spine');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '221', 'tatooine_i', 'POI: Station-Star 1');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '222', 'tatooine_j', 'POI: Black Venom Sea');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '223', 'tatooine_k', 'POI: Pirate\'s (Muon) Gold');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '224', 'space_corellia_4', 'Hyperspace: Talus Secta');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '225', 'yavin4_e', 'POI: Nova 3');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '226', 'yavin4_f', 'POI: Lodestar Utopia');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '227', 'lok_g', 'POI: Crimson Talon');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '228', 'lok_h', 'POI: Umber Scale');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '229', 'lok_i', 'POI: Trade Federation Center');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '230', 'lok_j', 'POI: Corsairian Crescent');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '231', 'lok_k', 'POI: Bloodlight Sea');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '232', 'lok_l', 'POI: Solar Phoenix 2');
INSERT INTO `client_strings` VALUES ('string/en/clientpoi_n.stf', '233', 'lok_m', 'POI: Mercenaries\' Ridge');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1', 'access_fee', 'This ability allows you to place an access fee on any public building you own.  Entry to a building with an access fee set is restricted to players who have paid the fee.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '2', 'accuse', '/accuse: You point accusingly at everyone else.\n/accuse self: Have you been bad? Tsk, tsk.\n/accuse target: You point accusingly at (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '3', 'ache', '/ache: You ache all over.\n/ache self: Eat something bad? Your stomach grumbles and aches.\n/ache target: You let (target name) know that your body aches for (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '4', 'actionshot1', '/actionshot1 <target>: This ranged attack can wreak havoc with a target\'s Action pool drain and regeneration rates.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '5', 'actionshot2', '/actionshot2 <target>: This area ranged attack can wreak havoc with a target\'s Action pool drain and regeneration rates.  This is more powerful than Action Shot 1.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '6', 'activateclone', 'This command is used to activate a clone and send the user to the nearest Cloning Facility after death.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '7', 'ad_fees_1', 'The merchant gains a reduction in the cost of maintaining a vendor registered on the planetary map.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '8', 'adjust', '/adjust: You adjust your outfit. There you go. Perfect!\n/adjust self: You tighten down your gear and get ready for action.\n/adjust target: You adjust (target name)\'s outfit for (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '9', 'adn', '/adn: You openly show that your patience has expired.\n/adn self: A bit frustrated with yourself?\n/adn target: You encourage (target name) to hurry. Any day now!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '10', 'afk', '/afk: You notify everyone around you that you are going AFK. Hurry back, now!\n/afk self: OK... You are really AFK now.\n/afk target: You point out that (target name) is AFK.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '11', 'afk4drink', '/afk4drink: We\'ll be waiting! You announce you are AFK to get a drink.\n/afk4drink self: You let everyone know that you will be going to grab a drink next break.\n/afk4drink target: You remind everyone that (target name) went AFK to go get a beverage.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '12', 'afk4food', '/afk4food: Your stomach will thank you.  You announce you are AFK to grab a bite.\n/afk4food self: You announce that you will be AFK to grab some food at the next break in the action.\n/afk4food target: You let everyone know that (target name) went AFK to find sustenance.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '13', 'agree', '/agree: You nod in agreement.\n/agree self: You agree with yourself.\n/agree target: You agree with (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '14', 'aim', '/aim: This combat move allows you to give up an attack round in order to gain better accuracy on your next ranged attack.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '15', 'airguitar', '/airguiter: You rock the crowd.\n/airguiter self: You rock out.\n/airguiter target: You rock out for (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '16', 'alert', 'This command utilizes the alert ability.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '17', 'amaze', '/amaze: That was amazing! How did they do that?\n/amaze self: You amaze yourself!\n/amaze target: You try to amaze (target name) with a magic trick.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '18', 'amazing', '/amazing');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '19', 'animalattack', '/animalAttack <target>: This ability allows a Jedi to enter the mind of his or her look-at target and cause it to attack the current combat target. Note that this ability will only work on creatures.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '20', 'animalcalm', '/animalCalm <target>: This ability will cause a target that is in combat to stop attacking, returning to its normal peaceful state. Note that this ability will only work on creatures.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '21', 'animalscare', '/animalScare <target>: This ability allows a Jedi to enter the mind of the target and fill it with unease, scaring the target away. Note that this ability will only work on creatures.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '22', 'anon', 'This command allows the user to go anonymous.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '23', 'anxious', '/anxious: You feel anxious.\n/anxious self: You look around anxiously.\n/anxious target: You look anxiously at (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '24', 'apologize', '/apologize: OOPS!! Sorry everyone!!\n/apologize self: You apologize to yourself. But, what good is that going to do unless you forgive yourself too?\n/apologize target: You apologize to (target name) and beg (his, her, or its) forgiveness.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '25', 'applaud', '/applaud: You give a hearty round of applause.\n/applaud self: You give yourself a hand. Go ahead, you deserve it!\n/applaud target: Bravo! Bravo! You give (target name) an ovation.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '26', 'applydisease', '/applydisease <target>: This command will enable you to attack your target with disease, if you have the proper item.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '27', 'applypoison', '/applypoison <target>: This command will enable you to attack your target with poison, if you have the proper item.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '28', 'arch', '/arch: You arch your back like a cat.\n/arch self: You arch your back in an effort to work the kinks out. SNAP! CRACK! POP!\n/arch target: You arch your back seductively for (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '29', 'areatrack', '/areatrack: Gives the Ranger the ability to study tracking clues in the area to figure out what kind of creatures or people have been in the region recently.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '30', 'areatrack_animal', 'Gives the Ranger the ability to scan animal activity using the /areatrack command.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '31', 'areatrack_direction', 'Gives the Ranger the ability to judge the approximate direction of a target using /areatrack.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '32', 'areatrack_distance', 'Gives the Ranger the ability to judge the approximate distance of targets in the area using /areatrack.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '33', 'areatrack_npc', 'Enhances the Ranger\'s tracking skills to hunt down non-player characters.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '34', 'areatrack_player', 'Gives the Ranger the ability to track players using /areatrack.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '35', 'assist', '/assist <name>: Assist lets you immediately Combat Target somebody else\'s current target.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '36', 'associatedroidcontroldevicewithship', 'Associate a droid with a ship, so that it\'s loaded in your ship when you launch into space.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '37', 'astromech_droid_cert_1', 'This certification allows you to equip an Astromech with a level 1 data storage module, or a v1 Flight Computer, on your starship.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '38', 'astromech_droid_cert_2', 'This certification allows you to equip an Astromech with a level 2 data storage module, or a v2 Flight Computer, on your starship.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '39', 'astromech_droid_cert_3', 'This certification allows you to equip an Astromech with a level 3 data storage module, or a v3 Flight Computer, on your starship.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '40', 'astromech_droid_cert_4', 'This certification allows you to equip an Astromech with a level 4 datastorage module, or a v4 Flight Computer, on your starship.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '41', 'astromech_droid_cert_5', 'This certification allows you to equip an Astromech with a level 5 data storage module, or a v5 Flight Computer, on your starship.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '42', 'astromech_droid_cert_6', 'This certification allows you to equip an Astromech with a level 6 data storage module, or a v6 Flight Computer, on your starship.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '43', 'attack', '/attack: This initiates combat against your current target.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '44', 'attend', '/attend: You listen hard.\n/attend self: You listen to something only you can hear.\n/attend target: You listen to (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '45', 'avoidincapacitation', '/avoidIncapacitation: This ability allows a Jedi to prevent themselves from going into an unconscious state.  This power only lasts for a short time and can quickly deplete a Jedi of Force power if they try to remain conscious for a lengthy period of time.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '46', 'ayt', '/ayt: You try to figure out who is AFK and who is not.\n/ayt self: I don\'t know.  Are you really here?\n/ayt target: Hello? (target name)? Well, it seems (his, her, or its) lights are on, but is anyone home?');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '47', 'backhand', '/backhand: You raise your hand as if to backhand slap someone.\n/backhand self: You backhand slap your other palm, emphasizing your point.\n/backhand target: You slap (him, her, or it) in the face with a swift backhand.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '48', 'bad', '/bad: Uh. What just went horribly wrong?\n/bad self: Just how bad have you been?\n/bad target: You make it obvious that you think (target name) has been bad.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '49', 'badfeeling', '/badfeeling: You have a bad feeling about this...\n/badfeeling self: You start to express your bad feeling and think better of it.\n/badfeeling target: You signal to (him, her, or it) that you have a bad feeling about this...');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '50', 'bah', '/bah: BAH!\n/bah self: You take one look at your surroundings and think aloud, \"BAH!\"\n/bah target: You look (target name) up and down and utter, \"BAH!\"');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '51', 'bak', '/bak: You let everyone know that you are back at your keyboard.\n/bak self: You smile contentedly as you realize you are back to your old self again!\n/bak target: You wish that (target name) would come back to (his, her, or its) keyboard.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '52', 'bandfill', 'This ability allows you to plays songs with the Bandfill instrument.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '53', 'bang', '/bang: You bang your head to the music.\n/bang self: You bang your head against the wall.\n/bang target: You bang (target name)\'s head against the wall.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '54', 'bark', '/bark: You get on all fours and bark like a dog.\n/bark self: You bark at yourself.\n/bark target: BARK BARK!  You bark at (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '55', 'bat', '/bat: And just whom are you trying to impress?  You bat your lashes.\n/bat self: You practice batting your lashes.\n/bat target: You bat your lashes at (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '56', 'batlashes', '/batlashes:  And just whom are you trying to impress?   You bat your lashes.\n/batlashes self:  You practice batting your lashes.\n/batlashes target:  You bat your lashes at (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '57', 'battlefieldstatus', 'This command allows the user to view a battlefield\'s status.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '58', 'bbl', '/bbl: You tell everyone you will be back later... See ya soon!\n/bbl self: Trying to have an out of body experience, are we?\n/bbl target: You let (target name) know that you will be back later.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '59', 'beam', '/beam: Feeling radiant, are we?\n/beam self: You beam at yourself.\n/beam target: You beam at (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '60', 'bearhug', '/bearhug: You hold your arms out wide and look for a target to bear-hug.\n/bearhug self: You bear-hug yourself and stretch out your shoulders.\n/bearhug target: You give (target name) a great, big bear-hug that lifts (him, her, or it) off the ground.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '61', 'beckon', '/beckon: You do your best to gather everyone around you.\n/beckon self: You summon your inner strength.\n/beckon target: You motion at (target name) to come here.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '62', 'belch', '/belch: You let out a resounding belch! Feel better?\n/belch self: You try to muffle your belch.\n/belch target: You belch in (target name)\'s face.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '63', 'berserk1', '/berserk1: While berserk, you cause more melee damage to your targets but get hit more often in return.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '64', 'berserk2', '/berserk2: While berserk, you cause more melee damage to your targets but get hit more often in return.  This is more powerful than Berserk 1.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '65', 'bet', 'After joining a suitable gambling station, you may target the station and use the /bet command to set your wager.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '66', 'bite', '/bite: You snap your teeth at everyone around you.\n/bite self: You bite your lip nervously.\n/bite target: You bite (target name) on the leg.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '67', 'blame', '/blame: You blame everyone else.\n/blame self: You blame yourself.\n/blame target: You blame (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '68', 'bleed', '/bleed: MEDIC!!  You bleed on the ground.\n/bleed self: You bleed all over yourself and make a nice pool of blood at your feet.\n/bleed target: You bleed all over (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '69', 'bleedingshot', '/bleedingshot <target>: This ranged attack is of medium power, but can cause its target to bleed.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '70', 'blindattack', 'This command utilizes the blind attack sequence.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '71', 'blink', '/blink: You blink.\n/blink self: You blink in disbelief.\n/blink target: You blink in disbelief at (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '72', 'blow', '/blow: You pull out a string and some soapy water and proceed to blow bubbles.\n/blow self: You blow your hair out of your face.\n/blow target: You blow in (target name)\'s ear.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '73', 'blowkiss', '/blowkiss: You blow kisses.\n/blowkiss self: Got it! You catch a kiss.\n/blowkiss target: You blow a kiss to (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '74', 'blush', '/blush: You blush.\n/blush self: You blush in embarrassment.\n/blush target: You blush at (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '75', 'bmoc', '/bmoc: You look around for the BMOC.\n/bmoc self: You are \"THE MAN\"!! You declare yourself BMOC.\n/bmoc target: You cast your BMOC vote for (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '76', 'boardshuttle', 'This command allows the user to board a shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '77', 'bob', '/bob: You bob your head to the beat.\n/bob self: You go bobbing for apples.\n/bob target: You bob up from behind (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '78', 'bodyshot1', '/bodyshot1 <target>: This ranged attack targets an opponent\'s body in order to damage their Health pool.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '79', 'bodyshot2', '/bodyshot2 <target>: This advanced ranged attack targets an opponent\'s body in order to damage their Health pool.  This is more powerful than Body Shot 1.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '80', 'bodyshot3', '/bodyshot3 <target>: This powerful ranged attack targets an opponent\'s body in order to devastate their Health pool.  This is the most powerful Body Shot attack.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '81', 'bodyslam', '/bodyslam: Unable to find a target, you pull a stuffed animal from your pack and bodyslam it! TAKE THAT!\n/bodyslam self: You pick yourself up and throw yourself on the ground.\n/bodyslam target: You try to pick up (target name) and bodyslam (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '82', 'boggle', '/boggle: You boggle at that concept.\n/boggle self: You boggle at yourself. What were you thinking?!\n/boggle target: You boggle at (target name). What did (he, she or it) just say?');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '83', 'bonk', '/bonk: Bonk! bOnk! BoNk!\n/bonk self: You bonk yourself on the head. Look at all the birdies!!\n/bonk target: You bonk (target name) on the head. What were they thinking?!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '84', 'boogie', '/boogie: Get down! You boogie-woogie-oogie.\n/boogie self: You tell yourself it\'s time to boogie.\n/boogie target: You tell (target name) that you are going to boogie.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '85', 'boostmorale', '/boostmorale: This very powerful Squad Leader ability allows the Squad Leader to boost the morale of their troopers by re-distributing all party wounds evently among all of its members.  This ability takes a heavy toll on the Squad Leader\'s Action and Mind pools.  Use the /setboostmorale <message> command to set the message the Squad Leader shouts when this ability is used.  The Squad Leader must be the leader of the group for this to work.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '86', 'bored', '/bored: Bored!\n/bored self: You go stir-crazy from boredom.\n/bored target: You tell (target name) that you are bored of (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '87', 'bounce', '/bounce: You bounce around with excitement!\n/bounce self: You try to bounce yourself off the ground.\n/bounce target: You bounce circles around (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '88', 'bouquet', '/bouquet: Wow! Great trick! You pull a flower bouquet out of thin air.\n/bouquet self: You grab a flower bouquet and inhale deeply of the flowers\' smell.\n/bouquet target: Awww. How nice of you! You give a flower bouquet to (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '89', 'bow', '/bow: You bow.\n/bow self: You gracefully perform a flourished bow.\n/bow target: You bow to (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '90', 'bow2', '/bow2: You bow.\n/bow2 self: You gracefully perform a flourished bow.\n/bow2 target: You bow to (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '91', 'bow3', '/bow3: You bow.\n/bow3 self: You gracefully perform a flourished bow.\n/bow3 target: You bow to (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '92', 'bow4', '/bow4: You bow.\n/bow4 self: You gracefully perform a flourished bow.\n/bow4 target: You bow to (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '93', 'bowhead', '/bowhead: You bow your head.\n/bowhead self: You bow your head and focus yourself.\n/bowhead target: You bow your head to (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '94', 'brandish', '/brandish: You brandish your weapon at the general area.\n/brandish self: You look exasperated and sarcastically brandish your weapon at yourself.\n/brandish target: You brandish your weapon menacingly at (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '95', 'brb', '/brb: Be Right Back!\n/brb self: You take a leave of absence from reality.\n/brb target: You tell (target name) that you will be right back.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '96', 'brt', '/brt: BRT!\n/brt self: Not much farther now!!\n/brt target: You tell (target name) to go on and that you will be right there.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '97', 'bstrike1', '/bstrike1 : This ability allows a pilot to call in a TIE Bomber strike package against their current target, assuming it is valid.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '98', 'bstrike2', '/bstrike2 : This ability allows a pilot to call in a TIE Bomber strike force against their current target, assuming it is valid.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '99', 'bstrike3', '/bstrike3 : This ability allows a pilot to call in a TIE Bomber strike wing against their current target, assuming it is valid.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '100', 'bump', '/bump: You offer an open invitation for bumping.\n/bump self: You bump with yourself.\n/bump target: You bump with (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '101', 'burp', '/burp: You burp loudly and look toward the judges.\n/burp self: Was it tasty? You burp to yourself and get a bitter, acidic taste in your mouth.\n/burp target: You burp in (target name)\'s face.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '102', 'burstrun', '/burstrun: Burst Run lets you run rapidly for a short duration by expending some of your Health, Action, and Mind pools at once.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '103', 'burstshot1', '/burstshot1 <target>: This ranged attack is more damaging than the default attack.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '104', 'burstshot2', '/burstshot2 <target>: This area ranged attack is more damaging than Burst Shot 1.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '105', 'bye', '/bye: BYE!\n/bye self: BYE-BYE!\n/bye target: You wish (target name) well and hope to see (him, her, or it) soon.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '106', 'cackle', '/cackle: You cackle.\n/cackle self: You cackle insanely at yourself.\n/cackle target: You cackle in (target name)\'s face.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '107', 'callretreat', '/callretreat: RETREAT!!\n/callretreat self: You prepare to retreat.\n/callretreat target: You give (target name) the signal to retreat.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '108', 'callstop', '/callstop:  Everybody stop!\n/callstop self:  You bravely try to stop the onrushing world.\n/callstop target:  You order (target name) to stop.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '109', 'calm', '/calm: You try to calm everyone down.\n/calm self: Take a deep breath and count to 10. 1.. 2.. 3..\n/calm target: You try to calm (target name) down.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '110', 'cancelcraftingsession', 'This command cancels a crafting session.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '111', 'catchbreath', '/catchbreath: You wheeze and gasp for air as you try to catch your breath.\n/catchbreath self: You rest your hands on your knees and try to catch your breath.\n/catchbreath target: You signal to (target name) that you will be just a moment as you catch your breath.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '112', 'censor', '/censor: You are appalled at the usage of obscenities.\n/censor self: You scold yourself and wash your own mouth with soap.\n/censor target: You censor (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '113', 'centerofbeing', 'This command will cause your character to focus on avoiding combat blows. This will only apply when you are wielding a melee weapon.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '114', 'cert_axe_heavy_duty', 'This certification allows you to wield a Heavy Axe.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '115', 'cert_axe_vibro', 'This certification allows you to wield a Vibro Axe.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '116', 'cert_baton_gaderiffi', 'This certification allows you to wield a Gaderiffi Baton.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '117', 'cert_baton_stun', 'This certification allows you to wield a Stun Baton.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '118', 'cert_carbine_cdef', 'This certification allows you to wield a CDEF Carbine.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '119', 'cert_carbine_dh17', 'This certification allows you to wield a DH17 Carbine.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '120', 'cert_carbine_dh17_short', 'This certification allows you to wield a DH17 Short Carbine.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '121', 'cert_carbine_dh17_snubnose', 'This certification allows you to wield a DH17 Snubnose Carbine.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '122', 'cert_carbine_dxr6', 'This certification allows you to wield a DXR6 Carbine.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '123', 'cert_carbine_e11', 'This certification allows you to wield an E11 Carbine.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '124', 'cert_carbine_ee3', 'This certification allows you to wield an EE3 Carbine.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '125', 'cert_carbine_elite', 'This certification allows you to wield an Elite Carbine.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '126', 'cert_carbine_laser', 'This certification allows you to wield a Laser Carbine.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '127', 'cert_carbine_laster', 'This certification allows you to wield a Laser Carbine.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '128', 'cert_carbine_nym_slugthrower', 'This certification allows you to wield a Slugthrower Carbine.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '129', 'cert_droid_astromech_1', 'Level One Flight-Rated Astromech or Flight Computer Management Certification. This allows you to use the memory core on astromechs (or flight computers) to interface with a starship\'s systems and run starship control programs to manage power allocation and other starship functions.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '130', 'cert_droid_astromech_2', 'Level Two Flight-Rated Astromech or Flight Computer Management Certification. This allows you to use the memory core on astromechs (or flight computers) to interface with a starship\'s systems and run starship control programs to manage power allocation and other starship functions.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '131', 'cert_droid_astromech_3', 'Level Three Flight-Rated Astromech or Flight Computer Management Certification. This allows you to use the memory core on astromechs (or flight computers) to interface with a starship\'s systems and run starship control programs to manage power allocation and other starship functions.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '132', 'cert_droid_astromech_4', 'Level Four Flight-Rated Astromech or Flight Computer Management Certification. This allows you to use the memory core on astromechs (or flight computers) to interface with a starship\'s systems and run starship control programs to manage power allocation and other starship functions.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '133', 'cert_droid_astromech_5', 'Level Five Flight-Rated Astromech or Flight Computer Management Certification. This allows you to use the memory core on astromechs (or flight computers) to interface with a starship\'s systems and run starship control programs to manage power allocation and other starship functions.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '134', 'cert_droid_astromech_6', 'Level Six Flight-Rated Astromech or Flight Computer Management Certification. This allows you to use the memory core on astromechs (or flight computers) to interface with a starship\'s systems and run starship control programs to manage power allocation and other starship functions.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '135', 'cert_grenade_cryoban', 'This certification allows you to wield a Cryoban Grenade.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '136', 'cert_grenade_fragmentation', 'This certification allows you to wield a Fragmentation Grenade.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '137', 'cert_grenade_glop', 'This certification allows you to wield a Glop Grenade.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '138', 'cert_grenade_imperial_detonator', 'This certification allows you to wield an Imperial Detonator.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '139', 'cert_grenade_proton', 'This certification allows you to wield a Proton Grenade.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '140', 'cert_grenade_thermal_detonator', 'This certification allows you to wield a Thermal Detonator.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '141', 'cert_heavy_acid_beam', 'This certification allows you to wield a Heavy Acid Beam weapon.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '142', 'cert_heavy_lightning_beam', 'This certification allows you to wield a Lightning Beam Cannon.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '143', 'cert_heavy_particle_beam', 'This certification allows you to wield a Heavy Particle Beam Cannon.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '144', 'cert_knife_dagger', 'This certification allows you to wield a Dagger.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '145', 'cert_knife_stone', 'This certification allows you to wield a Stone Knife.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '146', 'cert_knife_survival', 'This certification allows you to wield a Survival Knife.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '147', 'cert_knife_vibroblade', 'This certification allows you to wield a Vibroblade.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '148', 'cert_lance_controllerfp', 'This certification allows you to wield a Basic Lance.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '149', 'cert_lance_staff_metal', 'This certification allows you to wield a Metal Staff.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '150', 'cert_lance_staff_wood_s1', 'This certification allows you to wield a Wood Staff.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '151', 'cert_lance_staff_wood_s2', 'This certification allows you to wield a Reinforced Combat Staff Certification.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '152', 'cert_lance_vibro_axe', 'This certification allows you to wield a Long Vibro Axe.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '153', 'cert_lance_vibrolance', 'This certification allows you to wield a Vibro Lance.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '154', 'cert_light_fragmentation_grenade', 'This certification allows you to use a Light Fragmentation Grenade.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '155', 'cert_onehandlightsaber', 'This certification allows you to wield a One-handed Lightsaber.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '156', 'cert_onehandlightsaber_gen1', 'This certification allows you to wield a First Generation One-handed Lightsaber.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '157', 'cert_onehandlightsaber_gen2', 'This certification allows you to wield a Second Generation One-handed Lightsaber.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '158', 'cert_onehandlightsaber_gen3', 'This certification allows you to wield a Third Generation One-handed Lightsaber.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '159', 'cert_onehandlightsaber_gen4', 'This certification allows you to wield a Fourth Generation One-handed Lightsaber.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '160', 'cert_onehandlightsaber_training', 'This certification allows you to wield a One-handed Training Lightsaber.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '161', 'cert_ordnance_level1', 'Level 1 Starship Equipment Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '162', 'cert_ordnance_level2', 'Level 2 Starship Equipment Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '163', 'cert_ordnance_level3', 'Level 3 Starship Equipment Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '164', 'cert_ordnance_level4', 'Level 4 Starship Equipment Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '165', 'cert_ordnance_level5', 'Level 5 Starship Equipment Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '166', 'cert_ordnance_level6', 'Level 6 Starship Equipment Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '167', 'cert_ordnance_level7', 'Level 7 Starship Equipment Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '168', 'cert_ordnance_level8', 'Level 8 Starship Equipment Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '169', 'cert_ordnance_level9', 'Level 9 Starship Equipment Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '170', 'cert_ordnance_levelten', 'Level 10 Starship Equipment Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '171', 'cert_pistol_cdef', 'This certification allows you to wield a CDEF Pistol.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '172', 'cert_pistol_d18', 'This certification allows you to wield a D18 Pistol.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '173', 'cert_pistol_dh17', 'This certification allows you to wield a DH17 Pistol.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '174', 'cert_pistol_dl18', 'This certification allows you to wield a DL18 Pistol.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '175', 'cert_pistol_dl44', 'This certification allows you to wield a DL44 Pistol.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '176', 'cert_pistol_dl44_metal', 'This certification allows you to wield a DL44 Metal Pistol.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '177', 'cert_pistol_dx2', 'This certification allows you to wield a DX2 Pistol.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '178', 'cert_pistol_fwg5', 'This certification allows you to wield a FWG5 Pistol.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '179', 'cert_pistol_launcher', 'This certification allows you to wield a Launcher Pistol.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '180', 'cert_pistol_power5', 'This certification allows you to wield a Power5 Pistol.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '181', 'cert_pistol_republic_blaster', 'This certification allows you to wield a Republic Blaster.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '182', 'cert_pistol_scatter', 'This certification allows you to wield a Scatter Pistol.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '183', 'cert_pistol_scout_blaster', 'This certification allows you to wield a Scout Blaster.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '184', 'cert_pistol_srcombat', 'This certification allows you to wield an SR Combat Pistol.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '185', 'cert_pistol_striker', 'This certification allows you to wield a Striker Pistol.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '186', 'cert_pistol_tangle', 'This certification allows you to wield a Tangle Pistol.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '187', 'cert_polearmlightsaber', 'This certification allows you to wield a Polearm Lightsaber.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '188', 'cert_polearmlightsaber_gen1', 'This certification allows you to wield a First Generation Polearm Lightsaber.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '189', 'cert_polearmlightsaber_gen2', 'This certification allows you to wield a Second Generation Polearm Lightsaber.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '190', 'cert_polearmlightsaber_gen3', 'This certification allows you to wield a Third Generation Polearm Lightsaber.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '191', 'cert_polearmlightsaber_gen4', 'This certification allows you to wield a Fourth Generation Polearm Lightsaber.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '192', 'cert_rifle_acid', 'This certification allows you to wield a Heavy Acid Rifle.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '193', 'cert_rifle_acid_beam', 'This certification allows you to wield a Heavy Acid Rifle.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '194', 'cert_rifle_beam', 'This certification allows you to wield a Beam Rifle.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '195', 'cert_rifle_bowcaster', 'This certification allows you to wield a Bowcaster.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '196', 'cert_rifle_cdef', 'This certification allows you to wield a CDEF Rifle.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '197', 'cert_rifle_dlt20', 'This certification allows you to wield a DLT20 Rifle.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '198', 'cert_rifle_dlt20a', 'This certification allows you to wield a DLT20a Rifle.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '199', 'cert_rifle_e11', 'This certification allows you to wield an E11 Rifle.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '200', 'cert_rifle_flame_thrower', 'This certification allows you to wield a Flame Thrower.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '201', 'cert_rifle_flamethrower', 'This certification allows you to wield a Flame Thrower.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '202', 'cert_rifle_jawa_ion', 'This certification allows you to wield a Jawa Ion Rifle.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '203', 'cert_rifle_laser', 'This certification allows you to wield a Laser Rifle.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '204', 'cert_rifle_laster', 'This certification allows you to wield a Laser Rifle.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '205', 'cert_rifle_lightning', 'This certification allows you to wield a Light Lightning Cannon.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '206', 'cert_rifle_sg82', 'This certification allows you to wield an SG82 Rifle.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '207', 'cert_rifle_spraystick', 'This certification allows you to wield a Spraystick.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '208', 'cert_rifle_t21', 'This certification allows you to wield a T21 Rifle.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '209', 'cert_rifle_tusken', 'This certification allows you to wield a Tusken Rifle.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '210', 'cert_rocket_launcher', 'This certification allows you to wield a Rocket Launcher.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '211', 'cert_starships_awing', 'A-Wing Piloting Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '212', 'cert_starships_blacksunfighter', 'Kihraxz Starfighter Piloting Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '213', 'cert_starships_bwing', 'B-Wing Piloting Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '214', 'cert_starships_corsecfighter', 'CORSEC Starfighter Piloting Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '215', 'cert_starships_decimator', 'VT-49 Decimator Piloting Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '216', 'cert_starships_firespray', 'KSE Firespray Piloting Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '217', 'cert_starships_heavyblacksunfighter', 'Rihkxyrk Starfighter Piloting Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '218', 'cert_starships_heavyhuttfighter', 'Kimogila Starfighter Piloting Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '219', 'cert_starships_hutt_turret_ship', 'M22-T \"Krayt\" Gunship Piloting Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '220', 'cert_starships_huttfighter', 'Dunelizard Starfighter Piloting Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '221', 'cert_starships_imperialtransport', 'Imperial Transport Piloting Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '222', 'cert_starships_lightblacksunfighter', 'Light Black Sun Starfighter Piloting Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '223', 'cert_starships_lighthuttfighter', 'Scyk Starfighter Piloting Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '224', 'cert_starships_mediumblacksunfighter', 'Ixiyen Starfighter Piloting Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '225', 'cert_starships_mediumhuttfighter', 'Dunelizard Starfighter Piloting Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '226', 'cert_starships_merchantcruiser', 'Merchant Cruiser Piloting Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '227', 'cert_starships_rebeltransport', 'Rebel Transport Piloting Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '228', 'cert_starships_republicfighter', 'Republic Starfighter Piloting Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '229', 'cert_starships_tieadvanced', 'TIE Advanced Piloting Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '230', 'cert_starships_tieaggressor', 'TIE Aggressor Piloting Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '231', 'cert_starships_tiebomber', 'TIE Bomber Piloting Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '232', 'cert_starships_tiefighter', 'TIE Fighter Piloting Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '233', 'cert_starships_tiefighterin', 'TIE/In Fighter Piloting Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '234', 'cert_starships_tiefighterlight', 'TIE Fighter (Light Duty) Piloting Certification ');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '235', 'cert_starships_tieinterceptor', 'TIE Interceptor Piloting Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '236', 'cert_starships_tieoppressor', 'TIE Oppressor Piloting Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '237', 'cert_starships_xwing', 'X-Wing Piloting Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '238', 'cert_starships_ykl37r', 'YKL-37R Nova Courier Piloting Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '239', 'cert_starships_yt1300', 'YT-1300 Transport Piloting Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '240', 'cert_starships_yt2400', 'YT-2400 Freighter Piloting Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '241', 'cert_starships_ywing', 'Y-Wing Piloting Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '242', 'cert_starships_ywinglongprobe', 'Y-Wing \'LongProbe\' Piloting Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '243', 'cert_starships_z95headhunter', 'Z-95 Headhunter Piloting Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '244', 'cert_sword_01', 'This certification allows you to wield a Sword.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '245', 'cert_sword_02', 'This certification allows you to wield a Curved Sword.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '246', 'cert_sword_2h_axe', 'This certification allows you to wield a Two-handed Axe.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '247', 'cert_sword_2h_cleaver', 'This certification allows you to wield a Two-handed Cleaver.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '248', 'cert_sword_2h_katana', 'This certification allows you to wield a Two-handed Curved Sword.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '249', 'cert_sword_2h_maul', 'This certification allows you to wield a Power Hammer.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '250', 'cert_sword_2h_scythe', 'This certification allows you to wield a Scythe.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '251', 'cert_sword_blade_rantok', 'This certification allows you to wield a Rantok Sword.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '252', 'cert_sword_blade_ryyk', 'This certification allows you to wield a Ryyk Blade.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '253', 'cert_sword_rantok', 'This certification allows you to wield a Rantok Sword.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '254', 'cert_thrown_bolo', 'This certification allows you to wield a Bolo.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '255', 'cert_thrown_dagger', 'This certification allows you to wield a Throwing Dagger.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '256', 'cert_thrown_hatchet', 'This certification allows you to wield a Throwing Axe.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '257', 'cert_thrown_knife', 'This certification allows you to wield a Throwing Knife.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '258', 'cert_thrown_plasmasphere', 'This certification allows you to wield a Plasma Sphere.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '259', 'cert_thrown_shuriken', 'This certification allows you to wield a Throwing Star.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '260', 'cert_twohandlightsaber', 'This certification allows you to wield a Two-handed Lightsaber.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '261', 'cert_twohandlightsaber_gen1', 'This certification allows you to wield a First Generation Two-handed Lightsaber.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '262', 'cert_twohandlightsaber_gen2', 'This certification allows you to wield a Second Generation Two-handed Lightsaber.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '263', 'cert_twohandlightsaber_gen3', 'This certification allows you to wield a Third Generation Two-handed Lightsaber.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '264', 'cert_twohandlightsaber_gen4', 'This certification allows you to wield a Fourth Generation Two-handed Lightsaber.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '265', 'cert_vibroknuckler', 'This certification allows you to wield a Vibroknuckler.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '266', 'channelforce', '/channelForce: This ability allows a Jedi to quickly convert some of his natural life energy into usable Force power.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '267', 'chargeshot1', '/chargeshot1 <target>: This ranged attack can knock a target down.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '268', 'chargeshot2', '/chargeshot2 <target>: This ranged attack can knock multiple targets down at once.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '269', 'chase', '/chase: You don\'t have to go home, but you can\'t stay here!\n/chase self: You turn circles, chasing your own tail.\n/chase target: You chase (target name) around the area.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '270', 'chatterspeech+acceleratetoattack', 'Use this command to quickly say: Accelerate to attack speed.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '271', 'chatterspeech+allclear', 'Use this command to quickly say: All clear.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '272', 'chatterspeech+allwingsreport', 'Use this command to quickly say: All wings report in.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '273', 'chatterspeech+almostthere', 'Use this command to quickly say: Almost there.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '274', 'chatterspeech+attackcriticaltarget', 'Use this command to quickly say: Attack the critical target!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '275', 'chatterspeech+attackmytarget', 'Use this command to quickly say: Attack my target!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '276', 'chatterspeech+attackrun', 'Use this command to quickly say: Get set to make your attack run.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '277', 'chatterspeech+cantholdthem', 'Use this command to quickly say: I can\'t hold them.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '278', 'chatterspeech+cantmaneuver', 'Use this command to quickly say: I can\'t maneuver!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '279', 'chatterspeech+cantshakethem', 'Use this command to quickly say: Help!  I can\'t shake them!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '280', 'chatterspeech+closeup', 'Use this command to quickly say: Close up formation.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '281', 'chatterspeech+defendourtarget', 'Use this command to quickly say: Defend our target.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '282', 'chatterspeech+escortcriticaltarget', 'Use this command to quickly say: Escort the critical target.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '283', 'chatterspeech+fallback', 'Use this command to quickly say: Fall back!  Regroup on the surface.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '284', 'chatterspeech+followmylead', 'Use this command to quickly say: Follow my lead.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '285', 'chatterspeech+fullthrottle', 'Use this command to quickly say: We\'re going in full throttle.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '286', 'chatterspeech+gothim', 'Use this command to quickly say: Got him!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '287', 'chatterspeech+greatgoingkid', 'Use this command to quickly say: Great going, kid!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '288', 'chatterspeech+greatshot', 'Use this command to quickly say: Great shot!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '289', 'chatterspeech+heavyfire', 'Use this command to quickly say: I\'m taking heavy fire!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '290', 'chatterspeech+holdthemoff', 'Use this command to quickly say: Just hold them off for a few seconds.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '291', 'chatterspeech+imhit', 'Use this command to quickly say: I\'m hit!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '292', 'chatterspeech+iminrange', 'Use this command to quickly say: I\'m in range.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '293', 'chatterspeech+imonit', 'Use this command to quickly say: I\'m on it.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '294', 'chatterspeech+imontheleader', 'Use this command to quickly say: I\'m on the leader.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '295', 'chatterspeech+iseethem', 'Use this command to quickly say: I see them!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '296', 'chatterspeech+itsahit', 'Use this command to quickly say: It\'s a hit!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '297', 'chatterspeech+itsaway', 'Use this command to quickly say: It\'s away!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '298', 'chatterspeech+keepeyesopen', 'Use this command to quickly say: Keep your eyes open.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '299', 'chatterspeech+locksfoils', 'Use this command to quickly say: Lock S-foils in attack position.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '300', 'chatterspeech+negative', 'Use this command to quickly say: Negative.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '301', 'chatterspeech+negativenoimpact', 'Use this command to quickly say: Negative. It just impacted on the surface.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '302', 'chatterspeech+onmetight', 'Use this command to quickly say: He\'s on me tight.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '303', 'chatterspeech+outgunned', 'Use this command to quickly say: I\'m outgunned here!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '304', 'chatterspeech+rendezvous', 'Use this command to quickly say: Rendezvous at my location.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '305', 'chatterspeech+reportin', 'Use this command to quickly say: All wings report in.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '306', 'chatterspeech+retreat', 'Use this command to quickly say: Retreat!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '307', 'chatterspeech+rightwithyou', 'Use this command to quickly say: Right with you.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '308', 'chatterspeech+scopesnegative', 'Use this command to quickly say: My scope\'s negative.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '309', 'chatterspeech+stayontarget', 'Use this command to quickly say: Stay on target.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '310', 'chatterspeech+targetcoming', 'Use this command to quickly say: Targets coming up!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '311', 'chatterspeech+theycamefrombehind', 'Use this command to quickly say: They came from behind.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '312', 'chatterspeech+thisisit', 'Use this command to quickly say: This is it!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '313', 'chatterspeech+watchcrossfire', 'Use this command to quickly say: Watch that crossfire!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '314', 'chatterspeech+watchyourback', 'Use this command to quickly say: Watch your back!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '315', 'chatterspeech+watchyourself', 'Use this command to quickly say: Watch yourself!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '316', 'chatterspeech+wellstayback', 'Use this command to quickly say: We\'ll stay back.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '317', 'chatterspeech+wholeading', 'Use this command to quickly say: Who\'s leading this sortie?');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '318', 'chatterspeech+wookieewin', 'Use this command to quickly say: Let the wookiee win.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '319', 'chatterspeech+youreallclearkid', 'Use this command to quickly say: You\'re all clear, kid.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '320', 'cheek', '/cheek: You turn your head and expose your cheek looking for a kiss.\n/cheek self: You point to your cheek indicating where to kiss.\n/cheek target: You give (target name) a tender kiss on the cheek.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '321', 'cheer', '/cheer: You cheer wildly.\n/cheer self: You cheer for yourself! YAY ME!!\n/cheer target: YAY!! You cheer for (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '322', 'chestpound', '/chestpound: You pound on your chest!\n/chestpound self: You pound on your chest, daring anyone to take you on.\n/chestpound target: You pound your chest. Will (target name) take you on?');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '323', 'chestpuff', '/chestpuff: You puff up your chest and attempt to look imposing.\n/chestpuff self: You chest-puff and pump up your own ego a bit.\n/chestpuff target: You realize that (target name) is just chest-puffing and let (him, her, or it) know that (he, she or it) full of hot air.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '324', 'choppedliver', '/choppedliver: You wonder what is wrong with you. Are you chopped liver?\n/choppedliver self: What am I? Chopped liver?\n/choppedliver target: You ask (target name) if you are chopped liver?');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '325', 'chortle', '/chortle: You chortle.\n/chortle self: With a series of nasally snorts, you chortle to yourself.\n/chortle target: You chortle uncontrollably at the sight of (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '326', 'chuckle', '/chuckle: You chuckle.\n/chuckle self: You chuckle to yourself.\n/chuckle target: You chuckle politely at (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '327', 'city_map', 'If the Politician is a Mayor, he can register his city on the planetary map and register the city\'s civic buildings with the /find command.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '328', 'city_spec_cloning', 'The cost of clone insurance in a city with the \'Clone Lab\' specialization is reduced by 20%.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '329', 'city_spec_doctor', 'Medical healing is 10% more effective in a \'Medical Center\'.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '330', 'city_spec_entertainer', 'Entertainer healing is 10% more effective in an \'Entertainment District\'.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '331', 'city_spec_industry', 'Crafting done in a \'Manufacturing Center\' earns a 10% bonus to prototype assembly results, significantly reducing the chance of failures.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '332', 'city_spec_master_healing', 'A \'Scientific Society\' gains the bonuses of both the \'Medical Center\' and \'Entertainment District\' specializations.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '333', 'city_spec_master_manufacturing', 'An \'Industrial Society\' gains the bonuses of both the \'Manufacturing Center\' and \'Research Center\' specializations.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '334', 'city_spec_missions', 'Missions taken in a city with an \'Improved Job Market\' grant a 15% increase to their rewards.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '335', 'city_spec_research', 'Any experimentation done within a \'Research Center\' is enhanced.  A 15% bonus to the final result roll is added during the experimentation phase of crafting.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '336', 'city_spec_sample_rich', 'A sample rich city has a lot of highly accessable surface resources for manual collection.  The sample rich city bestows a 20% bonus to sample sizes and a 10% bonus to extraction skill checks during resource collection using a survey tool.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '337', 'city_spec_stronghold', 'A \'Stronghold\' has trained its militia members to the peak of their abilities in the methods of tactical defense.  Militia members in a \'Stronghold\' get a 50 point bonus to all defense rolls against other players.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '338', 'cityban', '/cityban <target>: Prevents a player from being able to buy travel tickets at the city shuttleport and prevents them from entering public civic structures like cloning facilities and the city hall.  You may only use this command if you are a militia member.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '339', 'citypardon', '/citypardon <target>: Removes the ban state from a person in your city.  You may only use this command if you are a militia member.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '340', 'citywarn', '/citywarn <target>: Warns the target to leave the city in 30 seconds or be attacked.  Players made attackable with this command cannot defend themselves, but are only attackable up to the city limits.  You may only use this command if you are a militia member.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '341', 'clap', '/clap: You clap your hands together.\n/clap self: You give yourself a hand.\n/clap target: You clap for (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '342', 'claw', '/claw: You hiss and bare your claws.\n/claw self: You remove a file from your pack and begin to sharpen your claws.\n/claw target: You claw at (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '343', 'close', '/close: You close your eyes for a moment.\n/close self: You close your eyes for a moment, thinking.\n/close target: You close your eyes, unwilling to look at (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '344', 'closeeyes', '/closeeyes:  You close your eyes for a moment.\n/closeeyes self:  You close your eyes for a moment, thinking.\n/closeeyes target:  You close your eyes, unwilling to look at (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '345', 'colorlights', '/colorlights: Performs a series of colored light effects.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '346', 'comb', '/comb: Looking for something? You comb the area.\n/comb self: You comb your hair. There! Perfect!\n/comb target: You comb (target name)\'s hair.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '347', 'combarea', '/combarea:  Looking for something? You comb the area.\n/combarea self:  There you are!\n/combarea target:  You comb the area searching for (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '348', 'combattarget', '/combattarget:  Type /combattarget while on an attackable target to maintain that as what you will be attacking, regardless of what else you target afterwards.  This is very useful for healing other party members while fighting creatures or players.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '349', 'combhair', '/combhair:  You claw at the knots in your hair in desperate need of a comb.\n/combhair self:  You comb your hair. There! Perfect!\n/combhair target:  You comb (target name)\'s hair.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '350', 'comfort', '/comfort: You comfort everyone and let them know it will be OK.\n/comfort self: You subtly drop the hint that you could use some comforting.\n/comfort target: You comfort (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '351', 'con', '/con');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '352', 'conceal', '/conceal: This command allows you to apply a camouflage kit to become far less detectable by NPCs and creatures while in the concealed state.  This can be used on other players.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '353', 'concealshot', '/concealshot <target>: This ranged sneak attack, if successful, will damage your target without them knowing where the attack came from.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '354', 'confusionshot', '/confusionshot <target>: This ranged attack is designed to confuse its target, and can stun and dizzy its target as well.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '355', 'congratulate', '/congratulate: Congrats to all!\n/congratulate self: You give yourself a pat on the back.\n/congratulate target: You congratulate (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '356', 'consent', '/consent');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '357', 'consider', '/consider: This allows you to determine the relative difficulty of your current target.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '358', 'contemplate', '/contemplate: You contemplate.\n/contemplate self: You contemplate your future.\n/contemplate target: You contemplate (target name)\'s future.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '359', 'corpse', '/corpse: Using this command with a corpse targeted will move the corpse closer to you.  If it is not your corpse, you will need /consent from the player who died.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '360', 'cough', '/cough: *COUGH* *COUGH*\n/cough self: *cough* *ahem* You hack out a stifled cough. Trying to tell someone something?\n/cough target: You cough in (his, her, or its) face.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '361', 'counterattack', 'This command utilizes the counter attack sequence.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '362', 'cover', '/cover: You tell everyone to cover up!\n/cover self: Feeling a draft?\n/cover target: Get some clothes on (target name)!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '363', 'covereyes', '/covereyes: You cover your eyes.\n/covereyes self: You hide your eyes behind your crossed arms.\n/covereyes target: You cover (his, her, or its) eyes.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '364', 'cower', '/cower: You cower.\n/cower self: You cower submissively.\n/cower target: You cower away from (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '365', 'createmanfschematic', 'This command is used to create a manufacture schematic.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '366', 'createprototype', 'This command allows the user to create a prototype.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '367', 'creatureareableeding', 'Creature');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '368', 'creatureareacombo', 'Creatures');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '369', 'creatureareadisease', 'Creature');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '370', 'creatureareaknockdown', 'Creatures');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '371', 'creatureareapoison', 'Creature');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '372', 'creatureareattack', 'Creatures');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '373', 'cringe', '/cringe: EEP! You cringe.\n/cringe self: You cringe at the thought.\n/cringe target: You cringe away from (target name) in fear.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '374', 'cripplingshot', '/cripplingshot <target>: This powerful ranged attack is very damaging to a single target.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '375', 'cry', '/cry: You burst into tears.\n/cry self: You cry uncontrollably.\n/cry target: You cry on (his, her, or its) shoulder.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '376', 'cu', '/cu: See ya later.\n/cu self: \"Not if I see you first!\"\n/cu target: See ya later, (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '377', 'cuckoo', '/cuckoo: These people are cuckoo.\n/cuckoo self: You just realized that you are cuckoo.\n/cuckoo target: You think (target name) is cuckoo.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '378', 'culater', '/culater:  See ya later.\n/culater self:  \"Not if I see you first!\"\n/culater target:  See ya later, (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '379', 'curedisease', '/curedisease <target>: This command enables you to cure disease from a target, if you have the appropriate medical equipment.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '380', 'curepoison', '/curepoison <target>: This command enables you to cure poison from a target, if you have the appropriate medical equipment.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '381', 'curious', '/curious: You look around inquisitively.\n/curious self: You look curiously at yourself, as if something has changed.\n/curious target: You peer curiously over (his, her, or its) shoulder.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '382', 'curse', '/curse: You spew obscenities.\n/curse self: You quietly curse to yourself.\n/curse target: You spew obscenities at (target name), and let (him, her, or it) have it.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '383', 'curtsey', '/curtsey: You curtsey for your audience.\n/curtsey self: You perform a very formal curtsey.\n/curtsey target: You curtsey to (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '384', 'customizedroid', 'This command allows the user to attempt to customize the target droid.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '385', 'dance', '/dance: You dance about the area.\n/dance self: You dance with yourself.\n/dance target: You grab (target name) and drag (him, her, or it) to the dance-floor.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '386', 'dancer', 'This ability allows you to perform dance commands.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '387', 'dazzle', '/dazzle: Performs a dazzling effect of color and lights.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '388', 'declareovert', 'This command allows a covert faction member to declare overt faction status. Usage of this command is restricted to a 50m radius around friendly player-placed faction headquarters.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '389', 'deepbow', '/deepbow: You bow deeply.\n/deepbow self: You bow deeply before yourself and almost fall over.\n/deepbow target: You bow deeply before (target name), showing great respect.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '390', 'defaultattack', 'This is the most basic attack action.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '391', 'defend', '/defend: You try to stand imposingly, exhibiting your intent to defend the area.\n/defend self: You prepare to defend yourself.\n/defend target: You step in front of (target name), ready to defend (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '392', 'defuseminefield', 'This command allows the user to defuse a mine field.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '393', 'demure', '/demure: You blush shyly.\n/demure self: You blush, smiling secretly.\n/demure target: You blush shyly at (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '394', 'deride', '/deride: Playing the town fool? You ridicule everyone about you.\n/deride self: You deride yourself.\n/deride target: You laugh at (target name) with contempt.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '395', 'diagnose', '/diagnose: This ability reveals the attribute wounds of your target so that you can focus your healing efforts where they are most needed. The wounds shown are a snapshot of your target at the time you diagnose them. If you wish to update your target\'s wound information to reflect recent healing or damage, simply diagnose them again.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '396', 'dies', '/dies: Death to all of them!\n/dies self: You contemplate the meaning of life.\n/dies target: You grimly dictate the fate of (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '397', 'disagree', '/disagree: You politely disagree.\n/disagree self: You change your mind and disagree with your last statement.\n/disagree target: You disagree with (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '398', 'disarmingshot1', '/disarmingshot1 <target>: This ranged attack is used to hit your opponent\'s weapon.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '399', 'disarmingshot2', '/disarmingshot2 <target>: This ranged attack is used to hit your opponent\'s weapon.  This is more powerful than Disarming Shot 1.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '400', 'dismiss', '/dismiss: You dismiss everyone.\n/dismiss self: You dismiss the notion.\n/dismiss target: You dismiss (target name) with a quick gesture.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '401', 'dismount', '/dismount: You climb down of your mount, if you are currently on one.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '402', 'distract', '/distract: Performs a distracting effect of color and lights.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '403', 'diveshot', '/diveshot: A diving shot will cause you to dive and attack at the same time, leaving you in a prone position.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '404', 'dizzyattack', 'This command utilizes the dizzy attack.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '405', 'dock', '/dock: Dock with or undock from a space station.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '406', 'doh', '/doh: Doh!\n/doh self: DOH DOH DOH!\n/doh target: You look at (him, her, or it) and say \"DOH!\"');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '407', 'doubletap', '/doubletap <target>: This ranged attack fires two bolts at once, damaging your target more than the default attack.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '408', 'down', '/down: You point at the ground.\n/down self: You\'re staying right here!\n/down target: You tell (target name) to stay right here.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '409', 'dragincapacitatedplayer', '/dragincapacitatedplayer <target>: This command allows you to drag an incapacitated player to a safer location than where they became incapacitated at.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '410', 'dragplayer', '/dragplayer <name>: This command allows you to drag an incapacitated player to safety.  It functions similarly to the /corpse command, in that you must be somewhat close for this command to work.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '411', 'drainforce', '/drainForce <target>: This attack allows a Jedi to drain stored Force power from another player Jedi.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '412', 'dream', '/dream: You float away on a fluffy white cloud.\n/dream self: Daydreaming again?\n/dream target: Dreamy, isn\'t (he, she or it)?');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '413', 'droid+droidcommand_breaklockfour', 'Spoof incoming warheads.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '414', 'droid+droidcommand_breaklockone', 'Spoof incoming warheads.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '415', 'droid+droidcommand_breaklockthree', 'Spoof incoming warheads.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '416', 'droid+droidcommand_breaklocktwo', 'Spoof incoming warheads.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '417', 'droid+droidcommand_engineefficiencyfour', 'Engines consume less power, at the cost of a bit less thrust.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '418', 'droid+droidcommand_engineefficiencyone', 'Engines consume less power, at the cost of a bit less thrust.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '419', 'droid+droidcommand_engineefficiencythree', 'Engines consume less power, at the cost of a bit less thrust.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '420', 'droid+droidcommand_engineefficiencytwo', 'Engines consume less power, at the cost of a bit less thrust.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '421', 'droid+droidcommand_enginenormalize', 'Engine settings to their defaults.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '422', 'droid+droidcommand_engineoverloadfour', 'Makes engines provide more thrust, but is rather wasteful in energy.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '423', 'droid+droidcommand_engineoverloadone', 'Makes engines provide more thrust, but is rather wasteful in energy.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '424', 'droid+droidcommand_engineoverloadthree', 'Makes engines provide more thrust, but is rather wasteful in energy.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '425', 'droid+droidcommand_engineoverloadtwo', 'Makes engines provide more thrust, but is rather wasteful in energy.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '426', 'droid+droidcommand_mutedroid', 'Toggles off and on the flight droid or flight-computer\'s auditory feedback mode, giving the pilot some control over how talkative and responsive they are.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '427', 'droid+droidcommand_reactornormalize', 'Reset reactor back to default settings.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '428', 'droid+droidcommand_reactoroverloadfour', 'Reactor to generate more energy, at the cost of over-stressing it.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '429', 'droid+droidcommand_reactoroverloadone', 'Reactor to generate more energy, at the cost of over-stressing it.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '430', 'droid+droidcommand_reactoroverloadthree', 'Reactor to generate more energy, at the cost of over-stressing it.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '431', 'droid+droidcommand_reactoroverloadtwo', 'Reactor to generate more energy, at the cost of over-stressing it.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '432', 'droid+droidcommand_shieldadjustfrontfour', 'Changes the shield generators to generate stronger front shields than rear.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '433', 'droid+droidcommand_shieldadjustfrontone', 'Changes the shield generators to generate stronger front shields than rear.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '434', 'droid+droidcommand_shieldadjustfrontthree', 'Changes the shield generators to generate stronger front shields than rear.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '435', 'droid+droidcommand_shieldadjustfronttwo', 'Changes the shield generators to generate stronger front shields than rear.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '436', 'droid+droidcommand_shieldadjustrearfour', 'Changes the shield generators to generate stronger rear shields than front.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '437', 'droid+droidcommand_shieldadjustrearone', 'Changes the shield generators to generate stronger rear shields than front.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '438', 'droid+droidcommand_shieldadjustrearthree', 'Changes the shield generators to generate stronger rear shields than front.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '439', 'droid+droidcommand_shieldadjustreartwo', 'Changes the shield generators to generate stronger rear shields than front.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '440', 'droid+droidcommand_shieldbacktofronteighty', 'Divert most of the stored charge from the rear shields to the front.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '441', 'droid+droidcommand_shieldbacktofrontfifty', 'Divert some of the stored charge from the rear shields to the front.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '442', 'droid+droidcommand_shieldbacktofronthundred', 'Divert all of the stored charge from the rear shields to the front.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '443', 'droid+droidcommand_shieldbacktofronttwenty', 'Divert some of the stored charge from the rear shields to the front.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '444', 'droid+droidcommand_shieldemergencyfront', 'This program immediately leeches the majority of rear shield energy and current weapon capacitor charge and diverts it all to the front shield facing. This is an instantaneous command with no lasting effects on any of the ship\'s systems involved.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '445', 'droid+droidcommand_shieldemergencyrear', 'This program immediately leeches the majority of front shield energy and current weapon capacitor charge and diverts it all to the rear shield facing. This is an instantaneous command with no lasting effects on any of the ship\'s systems involved.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '446', 'droid+droidcommand_shieldfronttobackeighty', 'Divert most of the stored charge from the front shields to the rear.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '447', 'droid+droidcommand_shieldfronttobackfifty', 'Divert some of the stored charge from the front shields to the rear.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '448', 'droid+droidcommand_shieldfronttobackhundred', 'Divert all of the stored charge from the front shields to the rear.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '449', 'droid+droidcommand_shieldfronttobacktwenty', 'Divert some of the stored charge from the front shields to the rear.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '450', 'droid+droidcommand_shieldnormalize', 'Resets shields back to their defaults.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '451', 'droid+droidcommand_weapcapequalize', 'Resets the weapon capacitor energy settings back to their defaults.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '452', 'droid+droidcommand_weapcappowerupfour', 'Tell the droid to run more power through the weapon capacitor than it is rated for, leading to enhanced performance.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '453', 'droid+droidcommand_weapcappowerupone', 'Tell the droid to run more power through the weapon capacitor than it is rated for, leading to enhanced performance.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '454', 'droid+droidcommand_weapcappowerupthree', 'Tell the droid to run more power through the weapon capacitor than it is rated for, leading to enhanced performance.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '455', 'droid+droidcommand_weapcappoweruptwo', 'Tell the droid to run more power through the weapon capacitor than it is rated for, leading to enhanced performance.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '456', 'droid+droidcommand_weapcaptoshieldfour', 'This program allows the droid to use back-up power-routing systems to shunt power currently stored in the weapon capacitor directly to the shield generator systems.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '457', 'droid+droidcommand_weapcaptoshieldone', 'This program allows the droid to use back-up power-routing systems to shunt power currently stored in the weapon capacitor directly to the shield generator systems.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '458', 'droid+droidcommand_weapcaptoshieldthree', 'This program allows the droid to use back-up power-routing systems to shunt power currently stored in the weapon capacitor directly to the shield generator systems.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '459', 'droid+droidcommand_weapcaptoshieldtwo', 'This program allows the droid to use back-up power-routing systems to shunt power currently stored in the weapon capacitor directly to the shield generator systems.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '460', 'droid+droidcommand_weaponeffeciencyfour', 'Re-tune the weapons to use less power, at the cost of performance.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '461', 'droid+droidcommand_weaponeffeciencyone', 'Re-tune the weapons to use less power, at the cost of performance.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '462', 'droid+droidcommand_weaponeffeciencythree', 'Re-tune the weapons to use less power, at the cost of performance.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '463', 'droid+droidcommand_weaponeffeciencytwo', 'Re-tune the weapons to use less power, at the cost of performance.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '464', 'droid+droidcommand_weaponnormalize', 'Reset the weapon power to defaults.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '465', 'droid+droidcommand_weaponoverload1', 'This command will increase the damage out put of your weapons by 25%. It will increase the energy requirements as well.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '466', 'droid+droidcommand_weaponoverloadfour', 'Increase weapon performance, at the cost of effeciency and possible system stress.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '467', 'droid+droidcommand_weaponoverloadone', 'Increase weapon performance, at the cost of effeciency and possible system stress.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '468', 'droid+droidcommand_weaponoverloadthree', 'Increase weapon performance, at the cost of effeciency and possible system stress.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '469', 'droid+droidcommand_weaponoverloadtwo', 'Increase weapon performance, at the cost of effeciency and possible system stress.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '470', 'droid_find', 'This Bounty Hunter innate ability enables your probe droid to indicate to you where you should go next to find your quarry.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '471', 'droid_track', 'This advanced Bounty Hunter innate ability enables you to receive a continual update on where your probe droid is indicating your quarry has recently been.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '472', 'droidcommand_breaklockfour', 'Spoof incoming warheads.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '473', 'droidcommand_breaklockone', 'Spoof incoming warheads.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '474', 'droidcommand_breaklockthree', 'Spoof incoming warheads.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '475', 'droidcommand_breaklocktwo', 'Spoof incoming warheads.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '476', 'droidcommand_engineefficiencyfour', 'Engines consume less power, at the cost of a bit less thrust.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '477', 'droidcommand_engineefficiencyone', 'Engines consume less power, at the cost of a bit less thrust.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '478', 'droidcommand_engineefficiencythree', 'Engines consume less power, at the cost of a bit less thrust.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '479', 'droidcommand_engineefficiencytwo', 'Engines consume less power, at the cost of a bit less thrust.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '480', 'droidcommand_enginenormalize', 'Engine settings to their defaults.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '481', 'droidcommand_engineoverloadfour', 'Makes engines provide more thrust, but is rather wasteful in energy.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '482', 'droidcommand_engineoverloadone', 'Makes engines provide more thrust, but is rather wasteful in energy.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '483', 'droidcommand_engineoverloadthree', 'Makes engines provide more thrust, but is rather wasteful in energy.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '484', 'droidcommand_engineoverloadtwo', 'Makes engines provide more thrust, but is rather wasteful in energy.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '485', 'droidcommand_mutedroid', 'Toggles off and on the flight droid or flight-computer\'s auditory feedback mode, giving the pilot some control over how talkative and responsive they are.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '486', 'droidcommand_reactornormalize', 'Reset reactor back to default settings.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '487', 'droidcommand_reactoroverloadfour', 'Reactor to generate more energy, at the cost of over-stressing it.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '488', 'droidcommand_reactoroverloadone', 'Reactor to generate more energy, at the cost of over-stressing it.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '489', 'droidcommand_reactoroverloadthree', 'Reactor to generate more energy, at the cost of over-stressing it.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '490', 'droidcommand_reactoroverloadtwo', 'Reactor to generate more energy, at the cost of over-stressing it.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '491', 'droidcommand_shieldadjustfrontfour', 'Changes the shield generators to generate stronger front shields than rear.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '492', 'droidcommand_shieldadjustfrontone', 'Changes the shield generators to generate stronger front shields than rear.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '493', 'droidcommand_shieldadjustfrontthree', 'Changes the shield generators to generate stronger front shields than rear.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '494', 'droidcommand_shieldadjustfronttwo', 'Changes the shield generators to generate stronger front shields than rear.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '495', 'droidcommand_shieldadjustrearfour', 'Changes the shield generators to generate stronger rear shields than front.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '496', 'droidcommand_shieldadjustrearone', 'Changes the shield generators to generate stronger rear shields than front.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '497', 'droidcommand_shieldadjustrearthree', 'Changes the shield generators to generate stronger rear shields than front.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '498', 'droidcommand_shieldadjustreartwo', 'Changes the shield generators to generate stronger rear shields than front.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '499', 'droidcommand_shieldbacktofronteighty', 'Divert most of the stored charge from the rear shields to the front.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '500', 'droidcommand_shieldbacktofrontfifty', 'Divert some of the stored charge from the rear shields to the front.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '501', 'droidcommand_shieldbacktofronthundred', 'Divert all of the stored charge from the rear shields to the front.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '502', 'droidcommand_shieldbacktofronttwenty', 'Divert some of the stored charge from the rear shields to the front.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '503', 'droidcommand_shieldemergencyfront', 'This program immediately leeches the majority of rear shield energy and current weapon capacitor charge and diverts it all to the front shield facing. This is an instantaneous command with no lasting effects on any of the ship\'s systems involved.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '504', 'droidcommand_shieldemergencyrear', 'This program immediately leeches the majority of front shield energy and current weapon capacitor charge and diverts it all to the rear shield facing. This is an instantaneous command with no lasting effects on any of the ship\'s systems involved.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '505', 'droidcommand_shieldfronttobackeighty', 'Divert most of the stored charge from the front shields to the rear.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '506', 'droidcommand_shieldfronttobackfifty', 'Divert some of the stored charge from the front shields to the rear.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '507', 'droidcommand_shieldfronttobackhundred', 'Divert all of the stored charge from the front shields to the rear.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '508', 'droidcommand_shieldfronttobacktwenty', 'Divert some of the stored charge from the front shields to the rear.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '509', 'droidcommand_shieldnormalize', 'Resets shields back to their defaults.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '510', 'droidcommand_weapcapequalize', 'Resets the weapon capacitor energy settings back to their defaults.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '511', 'droidcommand_weapcappowerupfour', 'Tell the droid to run more power through the weapon capacitor than it is rated for, leading to enhanced performance and increased system stress.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '512', 'droidcommand_weapcappowerupone', 'Tell the droid to run more power through the weapon capacitor than it is rated for, leading to enhanced performance and increased system stress.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '513', 'droidcommand_weapcappowerupthree', 'Tell the droid to run more power through the weapon capacitor than it is rated for, leading to enhanced performance and increased system stress.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '514', 'droidcommand_weapcappoweruptwo', 'Tell the droid to run more power through the weapon capacitor than it is rated for, leading to enhanced performance and increased system stress.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '515', 'droidcommand_weapcaptoshieldfour', 'This program allows the droid to use back-up power-routing systems to shunt power currently stored in the weapon capacitor directly to the shield generator systems.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '516', 'droidcommand_weapcaptoshieldone', 'This program allows the droid to use back-up power-routing systems to shunt power currently stored in the weapon capacitor directly to the shield generator systems.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '517', 'droidcommand_weapcaptoshieldthree', 'This program allows the droid to use back-up power-routing systems to shunt power currently stored in the weapon capacitor directly to the shield generator systems.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '518', 'droidcommand_weapcaptoshieldtwo', 'This program allows the droid to use back-up power-routing systems to shunt power currently stored in the weapon capacitor directly to the shield generator systems.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '519', 'droidcommand_weaponeffeciencyfour', 'Re-tune the weapons to use less power, at the cost of performance.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '520', 'droidcommand_weaponeffeciencyone', 'Re-tune the weapons to use less power, at the cost of performance.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '521', 'droidcommand_weaponeffeciencythree', 'Re-tune the weapons to use less power, at the cost of performance.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '522', 'droidcommand_weaponeffeciencytwo', 'Re-tune the weapons to use less power, at the cost of performance.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '523', 'droidcommand_weaponnormalize', 'Reset the weapon power to defaults.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '524', 'droidcommand_weaponoverloadfour', 'Increase weapon performance, at the cost of effeciency and possible system stress.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '525', 'droidcommand_weaponoverloadone', 'Increase weapon performance, at the cost of effeciency and possible system stress.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '526', 'droidcommand_weaponoverloadthree', 'Increase weapon performance, at the cost of effeciency and possible system stress.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '527', 'droidcommand_weaponoverloadtwo', 'Increase weapon performance, at the cost of effeciency and possible system stress.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '528', 'drool', '/drool: You drool incessantly, creating a small puddle at your feet.\n/drool self: You drool all over yourself.\n/drool target: You drool all over (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '529', 'duck', '/duck: You duck!\n/duck self: Quack! Quack!\n/duck target: You duck behind (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '530', 'duel', '/duel <player>: This command will allow you to engage a player in combat, if they desire to.  Be warned, if you /duel somebody before they /duel you, you can not attack them until they hit you first.  A duel can be stopped if both sides /endduel each other, otherwise it is to the death.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '531', 'dumppausedcommands', 'Dump all pending paused or looping commands.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '532', 'echo', 'Echo some text to your chat window.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '533', 'echuta', '/echuta: E chu ta!\n/echuta self: You foam at the mouth, driveling as you curse under your breath.\n/echuta target: You spray (target name) with spittle as you curse at (him, her, or it) in (his, her, or its) face.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '534', 'eek', '/eek: Eek!\n/eek self: You take one look at yourself and exclaim \"EEK!\"\n/eek target: You look at (target name) and exclaim \"EEK!\"');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '535', 'eject', '/eject: This command will remove you from a balcony or raised part of a building if you are unable to get to the ground.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '536', 'elbow', '/elbow: You try to clear the immediate area about you by throwing out your elbows.\n/elbow self: You cringe in pain as you hit your funny bone.\n/elbow target: You elbow (target name) in (his, her, or its) side.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '537', 'emboldenpets', '/emboldenpets: This causes your pets to become bolder, at some cost to you.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '538', 'embrace', '/embrace: You hold your arms out offering a gentle embrace.\n/embrace self: You give yourself a warm embrace.\n/embrace target: You gently hold (target name) in your arms and give (him, her, or it) a warm embrace.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '539', 'encourage', '/encourage: Go Team Go!!\n/encourage self: You can do it!\n/encourage target: You encourage (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '540', 'endduel', '/endduel <player>: This command disallows you from attacking the other party in a duel.  If both parties /endduel, a duel is ended.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '541', 'enragepets', '/enragepets: This command causes all of your pets to go berserk for a time, causing more damage but also taking more.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '542', 'epulse1', '/epulse1: This command triggers an energy discharge that can damage nearby vessels.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '543', 'epulse2', '/epulse2: This command triggers a tuned energy pulse that can damage nearby vessels, and is likely to cause subsystem damage to them as well.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '544', 'epulse3', '/epulse3: This command triggers an indiscriminant massive energy discharge from the shields and energy capacitor that is quite likely to damage all nearby vessels and their subsystems.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '545', 'equilibrium', '/equilibrium: equalizes all three pool attributes to the same value. If the equilize value is greater than the pool\'s maximum, the value is truncated to the pools maximum. alias for \"/innate equilibrium\"');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '546', 'eshields', '/eshields: Emergency Power To Shields - vastly increases shield protection for a short period of time by diverting power from other systems such as weapons and engines to shields, to the point of disabling some of them.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '547', 'ethrust', '/ethrust: Emergency Power To Engines - vastly increases engine thrust for a short period of time by diverting power from other systems such as weapons and shields to the engines, to the point of disabling some of them.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '548', 'evilgrin', '/evilgrin: You crack an evil grin.\n/evilgrin self: You grin evilly at your thoughts.\n/evilgrin target: You flash a wicked grin at (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '549', 'eweapons', '/eweapons: Emergency Power To Weapons - vastly increases weapon power for a short period of time by diverting power from other systems such as shielding and engines to weapons, to the point of disabling some of them.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '550', 'exhausted', '/exhausted: You collapse to the ground exhausted.\n/exhausted self: You signal that you are absolutely exhausted.\n/exhausted target: You inform (target name) that you are exhausted and must rest.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '551', 'extinguishfire', '/extinguishFire <target>: This command enables you to cure a fire effect from a target, if you have the appropriate medical equipment.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '552', 'eyebrow', '/eyebrow: You raise an eyebrow.\n/eyebrow self: You raise an eyebrow at yourself.\n/eyebrow target: You raise an eyebrow at (him, her, or it). What is (he, she or it) up to?');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '553', 'eyeroll', '/eyeroll: You roll your eyes.\n/eyeroll self: You roll your eyes and they fall back into your skull.\n/eyeroll target: You rolls your eyes at (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '554', 'eyeshot', '/eyeshot <target>: This ranged attack damages an opponent\'s mind with a powerful attack, and can also blind its target.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '555', 'faint', '/faint: You faint.\n/faint self: You look pale, as if about to faint.\n/faint target: You faint into (his, her, or its) arms.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '556', 'false', '/false: You believe that is false.\n/false self: On second thought, you don\'t believe what you just said is true.\n/false target: You refuse to believe what (he, she or it) is saying.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '557', 'fanfar', 'This ability allows you to plays songs with the Fanfar instrument.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '558', 'fanshot', '/fanshot <target>: This ranged attack can hit a single target multiple times with your pistol.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '559', 'faq', '/faq: You direct everyone to the FAQ.\n/faq self: You reference the FAQ.\n/faq target: You direct (target name) to the FAQ.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '560', 'fastblast', '/fastblast <target>: This ranged attack hits a target\'s torso and arms for a high amount of damage.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '561', 'fear', '/fear: You tremble with fear.\n/fear self: You become paralyzed with fear.\n/fear target: You scream in terror at the sight of (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '562', 'feel', '/feel: You feel blindly at your surroundings.\n/feel self: You feel about yourself, checking for holes.\n/feel target: You feel (his, her, or its) bicep. What do you think?');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '563', 'feh', '/feh: FEH!\n/feh self: You look at the condition of your gear and exclaim, \"FEH!\"\n/feh target: You look disgustedly at (target name) and utter, \"FEH!\"');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '564', 'feigndeath', '/feigndeath: This command allows the smuggler the ability to pretend he has been incapacitated.  Enemies might just leave the smuggler alone...');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '565', 'fiddle', '/fiddle: You fiddle with random objects.\n/fiddle self: You pull a puzzle cube from your pack and fiddle with it.\n/fiddle target: You fiddle with (target name)\'s gear.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '566', 'fidget', '/fidget: You fidget restlessly.\n/fidget self: You fidget restlessly in anticipation.\n/fidget target: You fidget restlessly at (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '567', 'find', '/find');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '568', 'fireacidcone1', '/fireacidcone1<target>: This ranged area attack splashes acid in a cone in front of the player, damaging multiple opponents at once with its terrifying onslaught.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '569', 'fireacidcone2', '/fireacidcone2 <target>: This powerful ranged area attack splashes acid in a cone in front of the player, damaging multiple opponents at once with its terrifying onslaught.  This is more powerful than Acid Cone 1.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '570', 'fireacidsingle1', '/fireacidsingle1 <target>: This ranged attack douses a target in acid, causing high amounts of damage.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '571', 'fireacidsingle2', '/fireacidsingle2 <target>: This powerful ranged attack douses a target in acid, causing very high damage.  This is more powerful than Acid Single 1.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '572', 'fireheavyweapon', 'This command allows the user to fire a heavy weapon.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '573', 'firejet', '/firejet: Performs an effect of firey jets.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '574', 'firelightningcone1', '/firelightningcone1 <target>: This ranged area attack fires a cone in front of the player, damaging multiple opponents at once with a huge electrical blast.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '575', 'firelightningcone2', '/firelightningcone2 <target>: This powerful ranged area attack fires in a cone in front of the player, damaging multiple opponents at once with a huge electrical blast.  This is more powerful than Lightning Cone 1.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '576', 'firelightningsingle1', '/firelightningsingle1 <target>: This ranged attack blasts a target with a high jolt of electricity, causing good damage.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '577', 'firelightningsingle2', '/firelightningsingle2 <target>: This powerful ranged attack blast a target with a big jolt of electricity, causing high damage.  This is more powerful than Lightning Single 1.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '578', 'firstaid', '/firstaid <target>:  This Medic ability lets you stop a target\'s bleeding.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '579', 'fish', 'This command allows the user to fish.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '580', 'fistpalm', '/fistpalm: You pound your fist into your palm. Curses!\n/fistpalm self: You slam your palm with your fist, muttering under your breath.\n/fistpalm target: You slam your palm with your fist, muttering under your breath about (target name)\'s idiocy.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '581', 'fizz', 'This ability allows you to plays songs with the Fizzz instrument.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '582', 'flail', '/flail: You flail wildly.\n/flail self: You flail wildly at yourself, as if trying to get something off your body.\n/flail target: You flail wildly at (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '583', 'flame', '/flame: You take a deep breath and exhale verbal flames everywhere.\n/flame self: You put on your flame-proof suit.\n/flame target: You verbally flame (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '584', 'flamecone1', '/flamecone1 <target>: This ranged area attack envelops a number of multiple opponents at once with a large sheet of flame.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '585', 'flamecone2', '/flamecone1 <target>: This powerful ranged area attack envelops a number of multiple opponents at once with a horrifying sheet of flame.  This attack causes more damage than Flame Cone 1.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '586', 'flamesingle1', '/flamesingle1 <target>: This ranged attack sends a blast of flame towards a single target and does considerable damage.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '587', 'flamesingle2', '/flamesingle2 <target>: This powerful ranged attack sends a blast of flame towards a target, causing high damage once it strikes.  This is more powerful than Flame Single 1.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '588', 'flee', '/flee: FLEE!!\n/flee self: Time to flee?\n/flee target: GO! RUN AWAY! FLEE!!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '589', 'flex', '/flex: You flex your muscles.\n/flex self: You flex your bicep and secretly push it up with your other hand.\n/flex target: You flex for (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '590', 'flip', '/flip: You flip a coin.\n/flip self: You flip head-over-heels.\n/flip target: You flip head-over-heels for (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '591', 'flipcoin', '/flipcoin: You flip a coin.\n/flipcoin self: You flip a coin.\n/flipcoin target: You flip (target name) for it.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '592', 'flirt', '/flirt: You flirt with danger.\n/flirt self: You flirt with yourself. A little self-involved are we?\n/flirt target: You flirt with (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '593', 'flourish', 'This command allows the user to flourish.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '594', 'flourish+1', '/flourish 1: Perform one of your Dance or Music Flourishes.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '595', 'flourish+2', '/flourish 2: Perform one of your Dance or Music Flourishes.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '596', 'flourish+3', '/flourish 3: Perform one of your Dance or Music Flourishes.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '597', 'flourish+4', '/flourish 4: Perform one of your Dance or Music Flourishes.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '598', 'flourish+5', '/flourish 5: Perform one of your Dance or Music Flourishes.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '599', 'flourish+6', '/flourish 6: Perform one of your Dance or Music Flourishes.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '600', 'flourish+7', '/flourish 7: Perform one of your Dance or Music Flourishes.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '601', 'flourish+8', '/flourish 8: Perform one of your Dance or Music Flourishes.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '602', 'flourish+9', '/flourish 9: Perform one of your Dance or Music Flourishes.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '603', 'flower', '/flower: You pull a delicate flower from your pack and hold it gently.\n/flower self: You inhale deeply trying to smell the flower\'s sweet scent.\n/flower target: You give a delicate flower to (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '604', 'flurryshot1', '/flurryshot1 <target>: This ranged attack can make a single target dizzy.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '605', 'flurryshot2', '/flurryshot2 <target>: This ranged attack can make multiple targets dizzy at once.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '606', 'flushinggraphicsresources', 'Flushing Graphics Resources');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '607', 'flushingshot1', '/flushingshot1 <target>: This ranged attack ability allows you to attempt to startle and stun a single opponent simultaneously.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '608', 'flushingshot2', '/flushingshot2 <target>: This ranged area attack ability allows you to attempt to startle and stun multiple opponents simultaneously.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '609', 'flutedroopy', 'This ability allows you to plays songs with the Chidinkalu Horn instrument.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '610', 'flutter', '/flutter: You heart flutters wildly.\n/flutter self: Your heart flutters wildly as you clench your chest hand-over-hand.\n/flutter target: Your heart flutters at the sight of (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '611', 'follow', '/follow <target>: This allows you to automatically follow somebody without having to control your character.  The /stopfollow command will end your auto-follow.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '612', 'fool', '/fool: You look around for your FOOL brand.\n/fool self: You brand yourself the fool.\n/fool target: You brand (target name) as the FOOL!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '613', 'forage', '/forage: Searches the area for usable resources such as food and water.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '614', 'forceabsorb1', '/forceAbsorb1: This ability allows a Jedi to absorb some of the Force power from an incoming Force attack and feeds a portion into your Force pool.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '615', 'forceabsorb2', '/forceAbsorb2: This ability allows a Jedi to absorb some of the Force power from an incoming Force attack and feeds a portion into your Force pool.  This ability will absorb more Force power than Force Absorb 1.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '616', 'forcearmor1', '/forceArmor1: This ability allows a Jedi to create a protective barrier around themselves that will stop a portion of incoming damage.  This ability will only stop non Force damage types.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '617', 'forcearmor2', '/forceArmor2: This ability allows a Jedi to create a protective barrier around themselves that will stop a significant portion of incoming damage.  This ability will only stop non Force damage types.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '618', 'forcechoke', '/forceChoke <target>: This ability allows a Jedi Master to use the Force to constrict the air passage of the target, doing a considerable amount of damage.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '619', 'forcecuredisease', '/forceCureDisease <target>: Cures the target of any disease state effects.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '620', 'forcecurepoison', '/forceCurePoison <target>: Cures the target of any poison state effects.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '621', 'forcefeedback1', '/forceFeedback1: This ability causes a Jedi to reflect damage immediately back to the source of the attack, only Force type attacks will cause feedback.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '622', 'forcefeedback2', '/forceFeedback2: This ability causes a Jedi to reflect damage immediately back to the source of the attack, only Force type attacks will cause feedback. This ability reflects back a greater amount of damage from a Force attack than Force Feedback 1.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '623', 'forceintimidate', '');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '624', 'forceintimidate1', '/forceIntimidate1 <target>: Causes all enemies within a cone emanating from the Jedi to become intimidated.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '625', 'forceintimidate2', '/forceIntimidate1 <target>: Causes all enemies within a 16-meter radius around the target to become intimidated.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '626', 'forceknockdown1', '/forceKnockdown1 <target>: This attack allows a Jedi to release a kinetic burst from his or her palm. This will not damage the target but it is enough to knock them down.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '627', 'forceknockdown2', '/forceKnockdown2 <target>: This attack allows a Jedi to release a large kinetic burst from his or her palm. This will knock down multiple targets in a cone emanating from the Jedi, but will not do any damage.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '628', 'forceknockdown3', '/forceKnockdown3 <target>: This attack allows a Jedi to release a large kinetic burst from his or her palm. This will knock down multiple targets in the area, but will not do any damage.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '629', 'forcelightningcone1', '/forceLightningCone1 <target>: This attack allows a Jedi to direct a fork of lightning to hit multiple targets.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '630', 'forcelightningcone2', '/forceLightningCone2 <target>: This attack allows a Jedi to direct a lightning strike against a multitude of targets. While doing more damage than Force Lightning Cone 1, this attack also has a chance of causing all targets struck by the lightning to become dizzy.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '631', 'forcelightningsingle1', '/forceLightningSingle1 <target>: This attack allows a Jedi to direct an arc of electricity to the target.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '632', 'forcelightningsingle2', '/forceLightningSingle2 <target>: This attack allows a Jedi to direct a bolt of lightning towards the target. This has a chance of stunning the target as well as doing more damage than Force Lightning Single 1.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '633', 'forcemeditate', '/forceMeditate: This ability allows a Jedi to enter a state where their stored Force power can replenish faster than normal.  A Jedi is very vulnerable while in this meditative state.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '634', 'forceofwill', '/forceofwill: This meditative art allows the incapacitated user to attempt to channel their mental energies back into their conscious mind thereby returning the user to an activate state much sooner than normally attainable.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '635', 'forceresistbleeding', '/forceResistBleeding: This ability allows a Jedi to use their Force power to increase their body\'s natural resistance to bleeding.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '636', 'forceresistdisease', '/forceResistDisease: This ability allows a Jedi to use their Force power to increase their body\'s natural resistance to diseases.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '637', 'forceresistpoison', '/forceResistPoison: This ability allows a Jedi to use their Force power to increase their body\'s natural resistance to poisons.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '638', 'forceresiststates', '/forceResistStates: This ability allows a Jedi to use their Force power to increase their body\'s natural resistance to various state attacks such as Stun, Blind, and Dizziness.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '639', 'forcerun1', '/forceRun1: Increases your run speed for a short duration.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '640', 'forcerun2', '/forceRun2: Increases your run speed for a short duration. This ability allows you to run faster than with Force Run 1.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '641', 'forcerun3', '/forceRun3: Increases your run speed for a short duration. This ability allows you to run with blinding speed.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '642', 'forceshield1', '/forceShield1: This ability allows a Jedi to create a barrier around themselves that will stop a portion of incoming Force attacks.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '643', 'forceshield2', '/forceShield2: This ability allows a Jedi to create a barrier around themselves that will stop a significant portion of incoming Force attacks.  This ability will stop more damage than Force Shield 1.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '644', 'forcespeed1', '/forceSpeed1: This ability allows a Jedi to perform all combat actions faster than normal.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '645', 'forcespeed2', '/forceSpeed2: This ability allows a Jedi to perform all combat actions much faster than normal.  This ability allows the Jedi to move faster than with Force Speed 1.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '646', 'forcethrow1', '/forceThrow1 <target>: This attack allows a Jedi to throw nearby dirt and rocks at the target, causing a stunned state.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '647', 'forcethrow2', '/forceThrow2 <target>: This attack allows a Jedi to throw nearby dirt and rocks at the target, and will very likely hit any enemies that are standing near the target, causing a stunned state.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '648', 'forceweaken1', '/forceWeaken1 <target>: This ability allows a Jedi to debilitate his or her opponent, making the target more vulnerable to attack.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '649', 'forceweaken2', '/forceWeaken2 <target>: This ability allows a Jedi to severely debilitate his or her opponent, making the target more vulnerable to attack. This ability is more powerful than Force Weaken 1.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '650', 'formup', '/formup: This Squad Leader ability allows the leader to cure Dizzy and Stunned states of their squad members.  This ability costs more to the leader based on how many group members are in the group at the time the ability is used.  Use the /setformup <message> command to set the message that the Squad Leader shouts when this command is used.  The Squad Leader must be the leader of the party/group for this to function.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '651', 'frown', '/frown: You frown.\n/frown self: You frown at yourself.\n/frown target: You frown at (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '652', 'full', '/full: You pat your stomach denoting you are full.\n/full self: You rub your stomach, feeling overstuffed.\n/full target: You indicate to (target name) that you are full.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '653', 'fullautoarea', '/fullautoarea <target>: This ranged attack can hit multiple targets in front of you simultaneously.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '654', 'fullautoarea1', '/fullautoarea1 <target>: This ranged attack can hit multiple targets in a cone in front of you simultaneously.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '655', 'fullautoarea2', '/fullautoarea2 <target>: This ranged area attack can hit multiple targets in a cone in front of you simultaneously.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '656', 'fullautosingle1', '/fullautosingle1 <target>: This ranged attack shoots multiple bolts at once at a single target.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '657', 'fullautosingle2', '/fullautosingle2 <target>: This ranged attack shoots multiple bolts at once at a single target.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '658', 'fume', '/fume: You fume with rage.\n/fume self: You fume and mouth words best left unspoken.\n/fume target: You fume with rage at (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '659', 'fuzzy', '/fuzzy: You get that warm and fuzzy feeling inside.\n/fuzzy self: You squeeze yourself with a warm and fuzzy feeling inside.\n/fuzzy target: (target name) makes you feel warm and fuzzy inside.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '660', 'gag', '/gag: You gag in disgust.\n/gag self: You stick your finger in your mouth and make gagging sounds.\n/gag target: You gag in disgust at (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '661', 'gallop', 'This command allows your mount to run faster for a period of time.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '662', 'gallopstop', 'This command slows down a mount.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '663', 'gape', '/gape: You gape.\n/gape self: Your jaw drops and hits the ground with a resounding *THUD*.\n/gape target: You gape at (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '664', 'gasp', '/gasp: *GASP!*\n/gasp self: You gasp for air!\n/gasp target: *GASP!* You gasp at (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '665', 'gawk', '/gawk: Looking dumbfounded, you gawk.\n/gawk self: You gawk at yourself.\n/gawk target: You gawk at (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '666', 'gaze', '/gaze: You gaze in awe at your surroundings.\n/gaze self: You gaze in awe at yourself\n/gaze target: You gaze in awe at (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '667', 'giggle', '/giggle: HEHE!\n/giggle self: You giggle at yourself.\n/giggle target: You giggle at (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '668', 'givetem', 'This command utilizes the give item option.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '669', 'giveup', '/giveup: \"I GIVE UP!\"\n/giveup self: You shake your head and murmur \"I give up...\"\n/giveup target: Apparently, (he, she or it) is not worth the trouble. \"I give up!\"');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '670', 'glare', '/glare: You glare about furiously.\n/glare self: You glare furiously out of the corner of your eyes.\n/glare target: You glare at (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '671', 'gloat', '/gloat: You gloat.\n/gloat self: You gloat quietly to yourself.\n/gloat target: You gloat at (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '672', 'glow', '/glow: You glow happily.\n/glow self: Feeling special?\n/glow target: You glow and  let (him, her, or it) know how happy (he, she or it) makes you.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '673', 'going', '/going: CHARGE!!\n/going self: Are you sure you wanted to do that?\n/going target: CHARGE!! Targeting...(target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '674', 'grantzoningrights', '/grantzoningrights <target>: Grants the target the rights to place a commercial structure, such as a cantina, in the borders of your city.  The rights last 24 hours.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '675', 'greet', '/greet: You greet the passers-by.\n/greet self: You greet yourself.\n/greet target: You greet (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '676', 'grin', '/grin: You grin.\n/grin self: You grin at yourself.\n/grin target: You grin at (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '677', 'groan', '/groan: You groan loudly.\n/groan self: You groan at yourself.\n/groan target: You groan loudly at (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '678', 'group', '/group');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '679', 'grovel', '/grovel: You grovel in the dirt.\n/grovel self: You grovel fawningly.\n/grovel target: You grovel at (target name)\'s feet.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '680', 'growl', '/growl: GRRRRRR!\n/growl self: You growl at yourself.\n/growl target: You growl at (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '681', 'grumble', '/grumble: You grumble.\n/grumble self: You grumble to yourself.\n/grumble target: You grumble something rude about (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '682', 'grunt', '/grunt: You grunt.\n/grunt self: You grunt at yourself.\n/grunt target: You grunt at (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '683', 'guildremove', 'This command allows the user to guild remove himself.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '684', 'guildstatus', 'This command allows the user to view the status of his/her guild.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '685', 'gulp', '/gulp: *GULP!!*\n/gulp self: Don\'t choke now!\n/gulp target: You gulp at (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '686', 'hack', '/hack: You hack.\n/hack self: You hack up a furball.\n/hack target: You hack at (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '687', 'hail', '/hail: You hail passers-by.\n/hail self: You hail yourself with a handful of pebbles.\n/hail target: You hail (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '688', 'halfnelson', '/halfnelson: You motion as if to put someone into a half-nelson.\n/halfnelson self: You put yourself in a half-nelson.\n/halfnelson target: You put (target name) in a half-nelson. \"Say uncle!\"');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '689', 'halo', '/halo: You smile innocently and don your halo.\n/halo self: You shine your halo.\n/halo target: You smile at (him, her, or it) and don your halo.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '690', 'hand', '/hand: You ask if anyone can give you a hand.\n/hand self: You give yourself a hand.\n/hand target: You give (him, her, or it) a gentle kiss on the hand.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '691', 'handshake', '/handshake: You offer a handshake.\n/handshake self: You shake your own hand.\n/handshake target: You shake (his, her, or its) hand.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '692', 'harvestcorpse', '/harvestcorpse <corpse>: This command allows you to withdraw Meat, Hide or Bone from a harvestable creature corpse.  Not all creatures will have all 3 of these options, and some may have none.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '693', 'haveconsent', '/haveconsent: This command will display everybody that has your consent to move your corpse.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '694', 'headache', '/headache: You complain about a headache.\n/headache self: You grab your skull and beg the pain to stop.\n/headache target: You toss (him, her, or it) a couple analgesics.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '695', 'headlock', '/headlock: You demonstrate the proper headlock technique.\n/headlock self: You put yourself in a headlock.\n/headlock target: You put (target name) in a headlock.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '696', 'headshot1', '/headshot1 <target>: This ranged targets an opponent\'s head in order to damage their Mind pool.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '697', 'headshot2', '/headshot2 <target>: This ranged attack targets an opponent\'s head in order to damage their Mind pool.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '698', 'headshot3', '/headshot3 <target>: This powerful ranged attack targets an opponent\'s head in order to devastate their Mind pool.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '699', 'healactionself1', '/healActionSelf1: Repairs a moderate amount of your Action damage.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '700', 'healactionself2', '/healActionSelf2: Repairs a large amount of your Action damage.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '701', 'healactionwoundother1', '/healActionWoundOther1 <player>: Heals a moderate amount of the target player\'s Action wounds.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '702', 'healactionwoundother2', '/healActionWoundOther2 <player>: Heals a large amount of the target player\'s Action wounds.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '703', 'healactionwoundself1', '/healActionWoundSelf1: Heals a moderate amount of your Action wounds.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '704', 'healactionwoundself2', '/healActionWoundSelf2: Heals a large amount of your Action wounds.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '705', 'healallother1', '/healAllOther1 <player>: Repairs a moderate amount of damage to all of the target player\'s Health, Action, and Mind pools.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '706', 'healallother2', '/healAllOther2 <player>: Repairs a large amount of damage to all of the target player\'s Health, Action, and Mind pools.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '707', 'healallself1', '/healAllSelf1: Repairs a moderate amount of damage to all of your Health, Action, and Mind pools.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '708', 'healallself2', '/healAllSelf2: Repairs a large amount of damage to all of your Health, Action, and Mind pools.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '709', 'healbattlefatigueother1', '/healBattleFatigueOther1 <player>: Removes a moderate amount of the target player\'s Battle Fatigue.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '710', 'healbattlefatigueother2', '/healBattleFatigueOther2 <player>: Removes a large amount of the target player\'s Battle Fatigue.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '711', 'healbattlefatigueself1', '/healBattleFatigueSelf1: Removes a moderate amount of your Battle Fatigue.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '712', 'healbattlefatigueself2', '/healBattleFatigueSelf2: Removes a large amount of your Battle Fatigue.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '713', 'healdamage', '/healdamage: This command will heal damaged stat pools, if you have the requisite skills and medicine.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '714', 'healenhance', '/healenhance <target>: This command enables you to enhance another player\'s attributes, if you have the appropriate enhancement medpacks handy.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '715', 'healhealthself1', '/healHealthSelf1: Repairs a moderate amount of your Health damage.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '716', 'healhealthself2', '/healHealthSelf2: Repairs a large amount of your Health damage.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '717', 'healhealthwoundother1', '/healHealthWoundOther1 <player>: Heals a moderate amount of the target player\'s Health wounds.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '718', 'healhealthwoundother2', '/healHealthWoundOther2 <player>: Heals a large amount of the target player\'s Health wounds.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '719', 'healhealthwoundself1', '/healHealthWoundSelf1: Heals a moderate amount of your Health wounds.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '720', 'healhealthwoundself2', '/healHealthWoundSelf2: Heals a large amount of your Health wounds.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '721', 'healmind', '/healMind: This command heals mind pool damage at the cost of wounds to the medic.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '722', 'healmindself1', '/healMindSelf1: Repairs a moderate amount of your Mind damage.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '723', 'healmindself2', '/healMindSelf2: Repairs a large amount of your Mind damage.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '724', 'healmindwoundother1', '/healMindWoundOther1 <player>: Heals a moderate amount of the target player\'s Mind wounds.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '725', 'healmindwoundother2', '/healMindWoundOther2 <player>: Heals a large amount of the target player\'s Mind wounds.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '726', 'healmindwoundself1', '/healMindWoundSelf1: Heals a moderate amount of your Mind wounds.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '727', 'healmindwoundself2', '/healMindWoundSelf2: Heals a large amount of your Mind wounds.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '728', 'healstate', '/healstate <target>: This command allows you to cure states (Dizzy, Stun, Blind, Intimidated, etc.) on a target, if you have the appropriate medical equipment.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '729', 'healstatesother', '/healStatesOther <player>: Removes all negative state effects such as Stun, Blind, Intimidate, and Dizziness from the target player.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '730', 'healstatesself', '/healStatesSelf: Removes all of your negative state effects such as Stun, Blind, Intimidate, and Dizziness.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '731', 'healthshot1', '/healthshot1 <target>: This ranged attack can wreak havoc with a target\'s Health pool drain and regeneration rates.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '732', 'healthshot2', '/healthshot2 <target>: This advanced ranged attack can wreak havoc with a target\'s Health pool drain and regeneration rates.  This is a stronger attack than Health Shot 1.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '733', 'healwound', '/healwound: This command will heal wounded stat pools, if you have the requisite skills and medicine.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '734', 'hearnoevil', '/hearnoevil: You cover your ears.\n/hearnoevil self: You stare blankly forward with your hands over your ears.\n/hearnoevil target: You cover your ears and try to block (him, her, or it) out. LA LA LA LA LA LA.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '735', 'help', '/help: HELP!\n/help self: You help yourself.\n/help target: You look to (him, her, or it) for help.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '736', 'helpme', '/helpme:  HELP!\n/helpme self:  You help yourself.\n/helpme target:  You look to (him, her, or it) for help.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '737', 'hero', '/hero: You look for a hero to save you.\n/hero self: You are your own greatest hero!\n/hero target: MY HERO! You proclaim (target name) as your hero.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '738', 'hi5', '/hi5: You hold your hand up to give a high-five.\n/hi5 self: You give yourself high-five.\n/hi5 target: You give (him, her, or it) a high-five. YEAH!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '739', 'hiccup', '/hiccup: You hiccup.\n/hiccup self: You hiccup strongly and get a bitter-sour taste in your mouth.\n/hiccup target: You hiccup and beg (target name) for help to get rid of them.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '740', 'hiss', '/hiss: You hiss.\n/hiss self: You hiss under your breath.\n/hiss target: You hiss at (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '741', 'hobble', '/hobble: You hobble.\n/hobble self: You hobble about in circles.\n/hobble target: You hobble about (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '742', 'holdon', '/holdon: You hold on for dear life.\n/holdon self: You hold onto yourself. Need a security blanket?\n/holdon target: You hold onto (him, her, or it), not letting go!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '743', 'hop', '/hop: You hop around.\n/hop self: You hop on one foot.\n/hop target: You hop around (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '744', 'hose', '/hose: You hose everyone down.\n/hose self: You hose yourself down. Take it easy there!\n/hose target: You help (target name) to cool off a bit.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '745', 'hot', '/hot: You are too hot!\n/hot self: You\'re just too hot!\n/hot target: You are too hot for (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '746', 'hug', '/hug: You hold your arms out and offer a hug.\n/hug self: You give yourself a hug.\n/hug target: You give (him, her, or it) a hug.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '747', 'huge', '/huge: You hold your arms out wide and indicate it was HUGE!\n/huge self: You guess that it was HUGE!\n/huge target: You indicate to (him, her, or it) that it was HUGE!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '748', 'hum', '/hum: You hum.\n/hum self: You hum a tune to yourself.\n/hum target: You hum a tune for (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '749', 'hunger', '/hunger: You grow hungry.\n/hunger self: Your stomach rumbles with a hollow, empty sound.\n/hunger target: You indicate to (target name) that you are hungry.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '750', 'iffscramble', '/iffscramble: Temporarily confuses enemy targeting systems.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '751', 'imagedesign', 'This command allows the user to image design.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '752', 'imagedesigner', 'This ability allows you to perform image design commands.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '753', 'imfull', '/imfull: You pat your stomach denoting you are full.\n/imfull self: You rub your stomach, feeling overstuffed.\n/imfull target: You indicate to (target) that you are full.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '754', 'imitate', '/imitate: You imitate a statue and stand perfectly still.\n/imitate self: You imitate yourself. Kind of pointless, isn\'t it?\n/imitate target: You imitate (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '755', 'inante', '/innate: lists available innate commands\n/innate <innate ability>: attempts to utilize innate ability');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '756', 'innate', '/innate: determines which innate command are available to you. /innate <innate ability> attempts to activate the innate ability. see /<innate ability> for further information.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '757', 'innocent', '/innocent: You do your best to look innocent.\n/innocent self: You claim innocence.\n/innocent target: You do your best to look innocent for (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '758', 'insertitemintoshipcomponentslot', 'Place an item (a missile pack, for example) into a component in a ship.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '759', 'inspacereload', '/inspacereload: If you are stopped and not in a dangerous area, this command will summon a ship to arrive, give an estimate for reloading the player\'s magazine racks for countermeasures and missiles, and reload them if the player desires. The ammunition reloaded in the field will not be quite as good as what was originally in the magazine.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '760', 'inspacerepair', '/inspacerepair: If you are stopped and not in a dangerous area, this command will summon a repair ship to arrive, give an estimate for repairs, and do them if the player desires. Repairs in the field will not be as good as those done at a station or otherwise.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '761', 'inspacerr', '/inspacerr: This command combines the In Space Repair and In Space Reload commands into a single command, and the ship summoned will provide both services.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '762', 'inspect', '/inspect: Inspect a ship\'s cargo.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '763', 'installmissionterminal', '/installmissionterminal: Allows the mayor to place a mission terminal within the borders of his city.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '764', 'installshipcomponent', 'Install a ship component into a ship.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '765', 'intimidate1', '/intimidate1 <target>: When a target is intimidated, they are not able to hit their targets as often.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '766', 'intimidate2', '/intimidate2 <target>: When a target is intimidated, they are not able to hit their targets as easily.  This is more powerful than Intimidate 1.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '767', 'intimidationattack', 'This command allows the user to utilize the intimidation attack.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '768', 'introduce', '/introduce: You introduce everyone to each other.\n/introduce self: WELL MET! You introduce yourself to everyone.\n/introduce target: Everyone, meet (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '769', 'isafk', '/isafk:  You notify every around you that you are going AFK.  Hurry back, now!\n/isafk self:  OK... You are really AFK now.\n/isafk target:  You point out that (target name) is AFK.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '770', 'jam', '/jam: Just A Moment!\n/jam self: You announce you will be done in just a moment.\n/jam target: You inform (target name) that (he, she or it) only has just a moment to finish.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '771', 'jas', '/jas: Just one more second!\n/jas self: 1-one-thousand. DING! Done yet?\n/jas target: You inform (target name) that (he, she or it) only has a few seconds left.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '772', 'jedimindtrick', '/jediMindTrick <target>: This ability allows a Jedi to project his or her conciousness into the weak minded. This will affect NPCs or creatures that are currently under the control of another player, causing them to forget their master and turn rogue.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '773', 'jk', '/jk: HA! Just kidding!\n/jk self: You let yourself know you were just kidding.\n/jk target: You inform (target name) that you were just kidding.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '774', 'jstart1', '/jstart1: This command triggers a discharge from your weapon capacitor to recharge your target\'s shields. You must have a friendly player-controlled ship as your target, be close in proximity, and have at least a 50% charge in your weapon capacitor.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '775', 'jstart2', '/jstart2: This command triggers a discharge from your weapon capacitor and shields to recharge your target\'s shields. You must have a friendly player-controlled ship as your target, be close in proximity, and have at least a 50% charge in your weapon capacitor. Up to 50% of your shield\'s max capacity will be used for recharging purposes.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '776', 'jstart3', '/jstart3: This command triggers a discharge from your weapon capacitor and shields to recharge your target\'s shields. You must have a friendly player-controlled ship as your target, be close in proximity, and have at least a 50% charge in your weapon capacitor. Up to 90% of your shield\'s max capacity will be used for recharging purposes.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '777', 'jump', '/jump: BOIING!! You jump high in the air!\n/jump self: You try to jump over yourself and land square on your head.\n/jump target: You jump up and down on (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '778', 'kipupshot', '/kipupshot: A kip-up shot will cause you to spring to your feet while attacking, leaving you in a standing position.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '779', 'kiss', '/kiss: You close your eyes and pucker up, ready for a kiss.\n/kiss self: You kiss yourself.\n/kiss target: You kiss (target name) gently on the lips.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '780', 'kisscheek', '/kisscheek: You kiss anyone who might be in front of you.\n/kisscheek self: You kiss yourself.\n/kisscheek target: You give (target name) a friendly kiss on the cheek.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '781', 'kloohorn', 'This ability allows you to plays songs with the Kloo Horn instrument.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '782', 'kneel', '/kneel: Kneeling brings you into a lower posture, which prohibits movement and makes you more vulnerable to melee attacks, but allows for better ranged accuracy');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '783', 'knock', '/knock: You knock.\n/knock self: You knock on wood.\n/knock target: You knock on (target name)\'s head.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '784', 'knockdownattack', 'This command utilizes the knock down attack.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '785', 'knockdownfire', '/knockdownfire <target>: This ranged attack blasts the target with a quick rush of flame aimed at their upper body, which can cause them to bowled over by the sheer force directed at them, causing them to become dizzy as well.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '786', 'knockwood', '/knockwood:  You knock.\n/knockwood self:  You knock on wood.\n/knockwood target:  You knock on (target name)\'s head.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '787', 'kowtow', '/kowtow: You kowtow.\n/kowtow self: You kowtow to yourself.\n/kowtow target: You kowtow before (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '788', 'lag', '/lag: LAAAAAGGGGG!!!\n/lag self: You announce that you are lagging.\n/lag target: You point out that (target name) is lagging.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '789', 'lagging', '/lagging');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '790', 'language', 'Set Spoken Language');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '791', 'language+bothese', 'Speak Bothese (Bothan Language)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '792', 'language+dosh', 'Speak Dosh (Trandoshan Language)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '793', 'language+ithorese', 'Speak Ithorese (Ithorian Language)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '794', 'language+ithorian', 'Speak Ithorese (Ithorian Language)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '795', 'language+lekku', 'Use Twi\'lek Lekku Language.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '796', 'language+moncalamarian', 'Speak Mon Calamarian');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '797', 'language+rodese', 'Speak Rodese (Rodian Language)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '798', 'language+ryl', 'Speak Ryl (Twi\'lek Language)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '799', 'language+shyriiwook', 'Speak Shyriiwook (Wookiee Language)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '800', 'language+sullustan', 'Speak Sullustese (Sullustan Language)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '801', 'language+sullustese', 'Speak Sullustese (Sullustan Language)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '802', 'language+zabrak', 'Speak Zabrak Language');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '803', 'large', '/large: You spread your arms out some and meter a large-ish size.\n/large self: You guess that it would be large.\n/large target: You indicate to (target name) that it was large.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '804', 'lastditch', '/lastditch <target>: A single powerful shot made with precise aim.  The last ditch shot takes a lot out of the person firing it and makes the delay until their next action very high.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '805', 'laugh', '/laugh: HAHA!!\n/laugh self: You laugh at yourself.\n/laugh target: You laugh at (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '806', 'launchfirework', 'This command is used to launch a firework.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '807', 'lean', '/lean: You lean forward.\n/lean self: You lean up against a wall.\n/lean target: You lean on (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '808', 'leer', '/leer: You leer enviously at everyone around you.\n/leer self: You leer enviously at yourself.\n/leer target: You leer enviously at (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '809', 'left', '/left: You point left.\n/left self: You point left.\n/left target: You turn to (target name) and point left.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '810', 'legshake', '/legshake: Your legs shake.\n/legshake self: You shake your leg, as if trying to get something off of it.\n/legshake target: You try to shake (him, her, or it) off your leg.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '811', 'legshot1', '/legshot1 <target>: This ranged attack targets an opponent\'s legs in order to damage their Action pool.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '812', 'legshot2', '/legshot2 <target>: This ranged attack targets an opponent\'s legs in order to damage their Action pool.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '813', 'legshot3', '/legshot3 <target>: This powerful ranged attack targets an opponent\'s legs in order to devastate their Action pool.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '814', 'lfg', '/lfg');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '815', 'lick', '/lick: You lick your lips.\n/lick self: You lick yourself.\n/lick target: You lick (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '816', 'lives', '/lives: You decide to let them live.\n/lives self: You contemplate the meaning of life.\n/lives target: You decide that (target name) will live, for now... ');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '817', 'lol', '/lol: That was funny!\n/lol self: You try to hold it in, but burst out laughing.\n/lol target: You laugh out loud at (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '818', 'loser', '/loser: You let everyone know that you are the champion, and they are not.\n/loser self: Oh no, you\'ve lost again!\n/loser target: You think (target name) is a loser.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '819', 'lost', '/lost: Lost, eh?\n/lost self: You look around, utterly lost.\n/lost target: You think (he, she or it) is lost, eh?');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '820', 'love', '/love: Ain\'t love grand?\n/love self: You love being you!\n/love target: You profess your love to (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '821', 'lowblow', '/lowblow <target>: A painful, unfair pistol shot below the belt.  Enemies struck by a low blow may lose their balance and fall.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '822', 'luck', '/luck: Feeling lucky?\n/luck self: You wish yourself the best of luck!\n/luck target: Good luck, (target name)!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '823', 'maintenance_fees_1', 'The merchant gains a 20% decrease in structure maintenance fees.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '824', 'makeroom', '/makeroom: Hey everybody, make room!\n/makeroom self: You make a little room for yourself.\n/makeroom target: You tell (target name) to make some room!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '825', 'manage_militia', 'Gives the politician the ability to add and remove members of the city militia via the city management terminal.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '826', 'manage_taxes', 'The Politician who is also a city mayor has the ability to manage the taxation of his constituency.  Taxes may be collected in four areas: Property Tax, Civilian Tax, Sales Tax, and Travel Fees.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '827', 'mandoviol', 'This ability allows you to plays songs with the Mandoviol instrument.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '828', 'manual', '/manual: You produce the manual and suggest a quick read.\n/manual self: You refer to the manual.\n/manual target: You politely suggest reading the manual to (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '829', 'maskscent', '/maskscent: Masks your scent from aggressive creatures for a short time.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '830', 'medicalforage', '/medicalforage: This command allows you to forage material from the area that can be used to create medical supplies.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '831', 'meditate', '/meditate: This Teras Kasi art allows the user to enter a trance-like state. In this state, the user can stop bleeding as well as slow poison and disease. Additionally, rumors suggest that extremely proficient meditation artists can slowly heal their own wounds.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '832', 'medium', '/medium: You spread your arms out a bit and signify a medium size.\n/medium self: You guess that it would be about medium sized.\n/medium target: You indicate to (target name) that it was about medium sized.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '833', 'melee1hblindhit1', '/melee1hblindhit1 <target>: This melee attack can temporarily blind a single target.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '834', 'melee1hblindhit2', '/melee1hblindhit2 <target>: This melee area attack can temporarily blind multiple targets at once.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '835', 'melee1hbodyhit1', '/melee1hbodyhit1 <target>: This melee attack targets the body in order to damage the target\'s Health pool.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '836', 'melee1hbodyhit2', '/melee1hbodyhit2 <target>: This melee attack targets an opponent\'s body in order to damage the target\'s Health pool.  It is stronger than One-Hand Body Hit 1.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '837', 'melee1hbodyhit3', '/melee1hbodyhit3 <target>: This melee attack targets an opponent\'s body in order to damage the target\'s Health pool.  It is stronger than One-Hand Body Hit 2.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '838', 'melee1hdizzyhit1', '/melee1hdizzyhit1 <target>: This melee attack can make a single target dizzy.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '839', 'melee1hdizzyhit2', '/melee1hdizzyhit2 <target>: This melee area attack can cause multiple targets to become dizzy.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '840', 'melee1hhealthhit1', '/melee1hhealthhit1 <target>: This melee attack targets an opponent\'s body in order to WOUND the target\'s Health pool.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '841', 'melee1hhealthhit2', '/melee1hhealthhit2 <target>: This melee attack targets an opponent\'s body in order to WOUND the target\'s Health pool.  It can inflict more wound damage than One-Hand Health Hit 1.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '842', 'melee1hhit1', '/melee1hhit1 <target>: This melee attack inflicts more damage than the basic One-Hand attack.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '843', 'melee1hhit2', '/melee1hhit2 <target>: This melee attack inflicts more damage then One-Hand Hit 1.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '844', 'melee1hhit3', '/melee1hhit3 <target>: This powerful melee attack inflicts more damage than One-Hand Hit 2.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '845', 'melee1hlunge1', '/melee1hlunge1 <target>: This melee attack allows you to slightly extend your range, and it can change the posture of your target.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '846', 'melee1hlunge2', '/melee1hlunge2 <target>: This melee attack allows you to slightly extend your range, and it can knock your target down.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '847', 'melee1hscatterhit1', '/melee1hscatterhit1 <target>: This melee attack can strike multiple body parts on a target at once.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '848', 'melee1hscatterhit2', '/melee1hscatterhit2 <target>: This melee attack can strike multiple body parts at once.  This attack is more powerful than One-Hand Scatter Hit 1.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '849', 'melee1hspinattack1', '/melee1hspinattack1 <target>: This melee area attack can damage multiple targets at once.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '850', 'melee1hspinattack2', '/melee1hspinattack2 <target>: This melee area attack can damage multiple targets at once, with a chance to blind them.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '851', 'melee2harea1', '/melee2harea1 <target>: This melee area attack can lower the posture of multiple targets at once.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '852', 'melee2harea2', '/melee2harea2 <target>: This melee area attack can lower the posture of multiple targets at once.  This is more damaging than Two-Hand Area Attack 1.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '853', 'melee2harea3', '/melee2harea3 <target>: This powerful melee area attack can blind, and damage and lower the posture of multiple targets simultaneously.  This is more damaging then Two-Hand Area Attack 2.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '854', 'melee2hheadhit1', '/melee2hheadhit1 <target>: This melee attack targets the head in order to damage the target\'s Mind pool.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '855', 'melee2hheadhit2', '/melee2hheadhit2 <target>: This melee attack targets an opponent\'s head in order to damage the target\'s Mind pool.  This is more damaging than Two-Hand Head Hit 1.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '856', 'melee2hheadhit3', '/melee2hheadhit3 <target>: This melee attack targets an opponent\'s head in order to damage the target\'s Mind pool.  This is more damaging than Two-Hand Head Hit 2.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '857', 'melee2hhit1', '/melee2hhit1 <target>: This melee attack inflicts more damage than the basic Two-Hand attack.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '858', 'melee2hhit2', '/melee2hhit2 <target>: This advanced melee attack inflicts more damage than Two-Hand Hit 1.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '859', 'melee2hhit3', '/melee2hhit3< target>: This powerful melee attack inflicts more damage than Two-Hand Hit 2.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '860', 'melee2hlunge1', '/melee2hlunge1 <target>: This melee attack allows you to slightly extend your range, and it can change the posture of your target.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '861', 'melee2hlunge2', '/melee2hlunge2 <target>: This melee attack allows you to slightly extend your range, and it can knock down your target.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '862', 'melee2hmindhit1', '/melee2hmindhit1 <target>: This melee attack targets the head in order to WOUND the target\'s Mind pool.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '863', 'melee2hmindhit2', '/melee2hmindhit2 <target>: This melee attack targets an opponent\'s head in order to WOUND the target\'s Mind pool.  This is more damaging than than Two-Hand Mind Hit 1.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '864', 'melee2hspinattack1', '/melee2hspinattack1 <target>: This melee area attack can damage multiple targets at once.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '865', 'melee2hspinattack2', '/melee2hspinattack2 <target>: This melee area attack can damage multiple targets at once.  This is more damaging than Two-Hand Spin Attack 1.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '866', 'melee2hsweep1', '/melee2hsweep1 <target>: This melee attack can lower the posture of a single target.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '867', 'melee2hsweep2', '/melee2hsweep2 <target>: This melee area attack can lower the posture of multiple targets at once.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '868', 'melee_damage_mitigation_1', 'This skill will limit the damage range done to you when you are attacked with a melee weapon.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '869', 'melee_damage_mitigation_2', 'This ability will further limit the damage range done to you when you are attacked with a melee weapon.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '870', 'melee_damage_mitigation_3', 'This ability will further limit the damage range done to you when you are attacked with a melee weapon.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '871', 'melt', '/melt: You melt.\n/melt self: You melt into your own arms.\n/melt target: You melt into (his, her, or its) arms.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '872', 'merchant_fees_1', 'The merchant gains a reduction in the cost of using the Galactic Commodities Bazaar.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '873', 'mercy', '/mercy: You appeal for mercy.\n/mercy self: You appeal to your merciful side.\n/mercy target: You beg for mercy from (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '874', 'mimic', '/mimic: You mimic passers-by.\n/mimic self: You mimic yourself.\n/mimic target: You mimic (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '875', 'mindblast1', '/mindBlast1 <target>: This attack allows a Jedi to invade someone\'s mind, causing a chance for the target to become stunned or dizzy, as well as dealing a moderate amount of damage to a random pool.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '876', 'mindblast2', '/mindBlast2 <target>: This attack allows a Jedi to project a wave of mental intrusion, dealing damage to a random pool of the target and those in the immediate area as well as causing a chance for those affected to become stunned, or dizzy.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '877', 'mindshot1', '/mindshot1 <target>: This ranged attack can wreak havoc with a target\'s Mind pool drain and regeneration rates.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '878', 'mindshot2', '/mindshot2 <target>: This ranged attack can wreak havoc with a target\'s Mind pool drain and regeneration rates.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '879', 'mirror', '/mirror: You hold up a mirror.\n/mirror self: You pull a mirror from your pack and check your appearance.\n/mirror target: You hold up a mirror up for (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '880', 'mock', '/mock: You mock the chattering of the crowd.\n/mock self: You mock your own blabbering.\n/mock target: You mock (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '881', 'model', '/model: You model your new outfit - so nice!\n/model self: You model your clothing for yourself, but there is no mirror here!\n/model target: You model for (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '882', 'mope', '/mope: You mope.\n/mope self: You mope around.\n/mope target: You mope about (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '883', 'mosh', '/mosh: You mosh about, bumping into everyone.\n/mosh self: You mosh by yourself, looking quite strange.\n/mosh target: You mosh into (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '884', 'mount', '/mount: If it is appropriately trained, you have enough skill, it is your pet, and you are close enough, this command will mount the pet you are currently looking at.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '885', 'mourn', '/mourn: You mourn.\n/mourn self: You mourn the loss of friends.\n/mourn target: You mourn for (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '886', 'multitargetpistolshot', '/multitargetpistolshot <target>: This ranged attack for pistols can hit multiple targets at once. ');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '887', 'multitargetshot', '/multitargetshot <target>: This ranged attack can hit multiple targets at once.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '888', 'musician', 'This ability allows you to perform musician commands.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '889', 'mutedroid', 'This command sets the astromech/flight-computer interface to a non-audible setting. No further feedback should be heard from the ship-board systems management droid or flight-computer, whatever the case may be.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '890', 'mutter', '/mutter: You mutter.\n/mutter self: You mutter about yourself.\n/mutter target: You mutter something snide about (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '891', 'nails', '/nails: You drag your nails down a stony surface creating an annoying, high-pitched sound.\n/nails self: You blow on your nails and buff them on your clothes.\n/nails target: You drag the edge of a fingernail down the side of (him, her, or it) neck.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '892', 'nalargon', 'This ability allows you to plays songs with the Nalargon instrument.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '893', 'namestructure', 'This command allows the user to name a structure.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '894', 'nap', '/nap: You take a quick nap.\n/nap self: You find a nice place to rest and settle in for a quick nap.\n/nap target: You curl up in (his, her, or its) lap and settle in for a catnap.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '895', 'nausea', '/nausea: You feel nauseous.\n/nausea self: You suddenly feel nauseous and quickly cover your mouth.\n/nausea target: You look at (target name), suddenly feeling nauseous.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '896', 'nblast', '/nblast: This command only works while the pilot is inside a nebula, where it triggers an explosion.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '897', 'nelson', '/nelson: You practice your full nelson maneuver.\n/nelson self: You try to put yourself in a full nelson.\n/nelson target: With a single swift move, you put (target name) in a full nelson.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '898', 'newbiehelper', 'This allows others to recognize you as a new player helper.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '899', 'nextcraftingstage', 'This command allows the user to enter the next crafting stage.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '900', 'nod', '/nod: You nod.\n/nod self: You nod at yourself reassuringly.\n/nod target: You nod at (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '901', 'nono', '/nono: You wag your finger as if saying, \"No-No\".\n/nono self: You decline with the shake of an opened hand.\n/nono target: You wag a finger negatively at (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '902', 'noogie', '/noogie: You look for a noogie target.\n/noogie self: You give yourself a noogie.\n/noogie target: You give (him, her, or it) a noogie.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '903', 'nose', '/nose: You put your nose in the air.\n/nose self: You touch the tip of your nose.\n/nose target: You raise your nose at (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '904', 'npcconversationselect', 'This command allows the user to select a conversation with an NPC.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '905', 'npcconversationstart', 'This command is used to start a conversation with an NPC.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '906', 'npcconversationstop', 'This command stops a conversation with an NPC.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '907', 'nudge', '/nudge: You nudge everyone.\n/nudge self: You try to nudge yourself.\n/nudge target: You nudge (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '908', 'nuzzle', '/nuzzle: You make a nuzzling motion.\n/nuzzle self: You nuzzle yourself.\n/nuzzle target: You nuzzle (his, her, or its) neck.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '909', 'omg', '/omg: OMG!\n/omg self: You clasp your hand over your forehead and exclaim, \"Oh my gosh!\"\n/omg target: Oh my gosh, (target name)!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '910', 'omnibox', 'This ability allows you to plays songs with the Ommni Box instrument.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '911', 'oneknee', '/oneknee: You take a knee.\n/oneknee self: You take a knee and bow your head.\n/oneknee target: You take a knee before (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '912', 'opossum', '/opossum: You play dead.\n/opossum self: You keel over and play dead.\n/opossum target: You look with fear upon (target name), fall to the ground, and play dead.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '913', 'overchargeshot1', '/overchargeshot1 <target>: This ranged attack causes more damage to a target at the expense of your weapon\'s power supply.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '914', 'overchargeshot2', '/overchargeshot2 <target>: This ranged attack causes more damage to a target at the expense of your weapon\'s power supply.  This attack is more damaging than Overcharge Shot 1.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '915', 'panic', '/panic: AAAAAAYYYYYYEEEEEEEE!!!\n/panic self: You panic about, waving your hands in the air.\n/panic target: You panic about (target name), waving your hands in the air.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '916', 'panicshot', '/panicshot <target>: A pistol attack that launches a series of wild shots to surprise enemies in the cone of fire.  Enemies surprised this way will have their next action delayed.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '917', 'pant', '/pant: You pant.\n/pant self: You hang your tongue out and pant like a dog.\n/pant target: You pant at (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '918', 'pat', '/pat: You pat your head.\n/pat self: You pat yourself on the back.\n/pat target: You pat (him, her, or it) on the head.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '919', 'pawithdraw', 'Pawithdraw');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '920', 'paymaintenance', 'This command can be used to pay maintenance on a building or mining structure.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '921', 'payup', '/payup: You expect to be reimbursed!\n/payup self: Did you really owe yourself?\n/payup target: You ask (target name) to pay up!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '922', 'peace', '/peace: Peace allows you to stop attacking a target.  If you are attacked again after initiating peace, you will automatically re-initiate combat.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '923', 'peer', '/peer: You peer around.\n/peer self: You peer at yourself.\n/peer target: You peer at (target name). What is (he, she or it) up to?');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '924', 'peptalk', '/peptalk: GO TEAM!\n/peptalk self: GO ME!\n/peptalk target: You can do it, (target name)!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '925', 'performcolorlights', '/performcolorlights: This is an Entertainer visual flourish.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '926', 'performdazzle', '/performdazzle: This is an Entertainer visual flourish.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '927', 'performdistract', '/performdistract: This is an Entertainer visual flourish.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '928', 'performfirejets', '/performfirejets: This is an Entertainer visual flourish.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '929', 'performsmokebomb', '/performsmokebomb: This is an Entertainer visual flourish.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '930', 'performspotlight', '/performspotlight: This is an Entertainer visual flourish.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '931', 'performventriloquism', '/performventriloquism <target>: This is an Entertainer trick flourish.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '932', 'pet', '/pet: You cradle your arms and pet an imaginary creature.\n/pet self: You pet yourself.\n/pet target: You pet (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '933', 'pet_attack', '/pet attack <target>: This command will enable you to cause your pet to attack your target.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '934', 'pet_follow', '/pet follow: This command makes your pet follow you around.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '935', 'pet_followother', '/pet followother <target>: This command instructs your pet to follow the target you have indicated.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '936', 'pet_formation', '/pet formation: This enables you to bring multiple pets into a pre-determined formation, such as a wedge.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '937', 'pet_friend', '/pet friend <target>: This causes your pet to make friends with a target.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '938', 'pet_group', '/pet group: This command enables you to add your pets to your group.  This makes them much easier to target quickly.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '939', 'pet_guard', '/pet guard: This command causes your pets to guard an indiviual (target another player, tell your pet to guard, and the pet will automatically defend that player).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '940', 'pet_patrol', '/pet patrol: This command causes your pets to patrol in a small area.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '941', 'pet_rangedattack', '/pet ranged attack:  This command makes your pet use its ranged attack (if  it has one)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '942', 'pet_release', '/pet store: This command stores the pet back into your pet control device.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '943', 'pet_specialattack1', '/pet special attack one:  This command makes your pet use its primary special attack (if  it has one)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '944', 'pet_specialattack2', '/pet special attack two:  This command makes your pet use its secondary special attack (if  it has one)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '945', 'pet_stay', '/pet stay: This command makes your pet stay where it is.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '946', 'pet_transfer', '/pet transfer <target>: This command enables you to give your pets to another person.  You are only able to give pets to another Creature Handler.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '947', 'pethigh', '/pethigh: You reach up and pet... what is that you\'re petting?\n/pethigh self: You pet yourself.\n/pethigh target: You pet (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '948', 'petlow', '/petlow: You reach down and pet... what is that you\'re petting?\n/petlow self: You pet yourself.\n/petlow target: You pet (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '949', 'peyoo', '/peyoo: PEEEEEYYYOOOO!!\n/peyoo self: You sniff yourself and realize you reek.\n/peyoo target: You look at (him, her, or it) with a sour face and try to waft the stench away.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '950', 'pillow', '/pillow: PILLOW FIGHT!\n/pillow self: You tear up a pillow, sending feathers everywhere.\n/pillow target: You throw a pillow at (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '951', 'pinch', '/pinch: You make pinching motions like a shenk.\n/pinch self: Are you dreaming?\n/pinch target: You pinch (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '952', 'pistolmeleedefense1', '/pistolmeleedefense1 <target>: This melee attack with your pistol is useful for close encounters. ');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '953', 'pistolmeleedefense2', '/pistolmeleedefense2 <target>: This melee attack with your pistol is useful for close encounters.  This is more damaging than Pistol Melee Defense 1.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '954', 'place_bank', 'Grants the Politician the ability to construct new banks in a city he controls.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '955', 'place_cantina', 'This gives you the ability to place and run your own Cantina.  Cantinas must be placed within a player city.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '956', 'place_cityhall', 'With this ability the politician can create a new city by placing a City Hall.  A new city MUST have 10 citizens (including the Mayor) within 24 hours of creation in order to be approved by the Planetary Civic Authority.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '957', 'place_cloning', 'This gives you the ability to place a Cloning Facility within a player city.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '958', 'place_exotic_garden', 'This ability lets the politician place an exotic decorative garden within his city borders.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '959', 'place_faction_terminal', 'This ability allows the mayor to place faction aligned mission terminals in their city.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '960', 'place_fountain', 'This ability lets the politician place a decorative fountain within his city borders.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '961', 'place_garage', 'This allows you to place a Garage within the city limits.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '962', 'place_hospital', 'This gives you the ability to place and run your own Hospital.  Hospitals must be placed within a player city.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '963', 'place_large_garden', 'This ability lets the politician place a large decorative garden within his city borders.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '964', 'place_medium_garden', 'This ability lets the politician place a medium decorative garden within his city borders.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '965', 'place_merchant_tent', 'Gives the merchant the ability to place a unique looking tent from which to sell goods.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '966', 'place_shuttleport', 'Grants the Politician the ability to construct new shuttleports in a city he controls.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '967', 'place_small_garden', 'This ability lets the politician place a small decorative garden within his city borders.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '968', 'place_statue', 'This ability lets the politician place a decorative statue within his city borders.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '969', 'place_streetlamp', 'This ability lets the politician place a decorative streetlamp within his city borders.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '970', 'place_theater', 'This gives you the ability to place and run your own Theater.  Theaters must be placed within a player city.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '971', 'placebattlefieldstructure', 'This command allows the user to place a battlefield structure.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '972', 'placestructuremode', 'This command allows the user to go into the place structure mode.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '973', 'plugears', '/plugears: You plug your ears.\n/plugears self: You stick your fingers in your ears.\n/plugears target: You plug your ears and try to tune (him, her, or it) out. LA LA LA LA LA.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '974', 'plugnose', '/plugnose: You pinch your nose shut.\n/plugnose self: You pinch your nose shut with a clothes pin.\n/plugnose target: You plug your nose at (target name)\'s stench.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '975', 'point', '/point: You point the way.\n/point self: You point at yourself.\n/point target: You point at (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '976', 'pointat', '/pointat:  You point the way.\n/pointat self:  You point at yourself.\n/pointat target:  You point at (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '977', 'pointblankarea1', '/pointblankarea1 <target>: This ranged area attack can be performed at point blank range without suffering a penalty to hit.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '978', 'pointblankarea2', '/pointblankarea2 <target>: This advanced ranged area attack can be performed at point blank range without suffering a penalty to hit. This particular maneuver has an increased chance to cause more damage than Point Blank Area 1.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '979', 'pointblanksingle1', '/pointblanksingle1 <target>: This ranged attack can be performed at point blank range without suffering a penalty to hit.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '980', 'pointblanksingle2', '/pointblanksingle2 <target>: This ranged attack can be performed at point blank range without suffering a penalty to hit.  This move is more damaging than Point Blank Single 1.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '981', 'pointdown', '/pointdown: You point at the ground.\n/pointdown self: You\'re staying right here!\n/pointdown target: You tell (target name) to stay right here.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '982', 'pointleft', '/pointleft: You point left.\n/pointleft self: You point left.\n/pointleft target: You turn to (target name) and point left.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '983', 'pointright', '/pointright: You point right.\n/pointright self: You point right.\n/pointright target: You turn to (target name) and point right.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '984', 'pointup', '/pointup: You point up.\n/pointup self: You point up.\n/pointup target: You turn to (target name) and point up.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '985', 'poke', '/poke: Poke. Poke.\n/poke self: You poke yourself in the ribs, looking very sheepish.\n/poke target: You poke (him, her, or it) in the ribs.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '986', 'polearmactionhit1', '/polearmactionhit1 <target>: This polearm attack targets an opponent\'s legs in order to WOUND a target\'s Action pool.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '987', 'polearmactionhit2', '/polearmactionhit2 <target>: This polearm attack targets an opponent\'s legs in order to WOUND a target\'s Action pool.  It can inflict more wound damage than Polearm Action Hit 1.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '988', 'polearmarea1', '/polearmarea1 <target>: This polearm area attack can damage multiple targets at once.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '989', 'polearmarea2', '/polearmarea2 <target>: This polearm area attack can damage, dizzy, and stun multiple targets at once.  It is more powerful than Polearm Area 1.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '990', 'polearmhit1', '/polearmhit1 <target>: This polearm attack causes more damage than the default polearm attack.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '991', 'polearmhit2', '/polearmhit2 <target>: This polearm attack inflicts more damage than Polearm Hit 1, and can stun a target.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '992', 'polearmhit3', '/polearmhit3 <target>: This powerful polearm attack inflicts more damage than Polearm Hit 2, and can stun and lower the posture of a target.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '993', 'polearmleghit1', '/polearmleghit1 <Target>: This polearm attack targets an opponent\'s legs in order to damage a target\'s Action pool.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '994', 'polearmleghit2', '/polearmleghit2 <target>: This polearm attack targets an opponent\'s legs in order to damage a target\'s Action pool.  This is more damaging than Polearm Leg Hit 1.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '995', 'polearmleghit3', '/polearmleghit3 <target>: This polearm attack targets an opponent\'s legs in order to damage a target\'s Action pool.  This is more damaging than Polearm Leg Hit 2.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '996', 'polearmlunge1', '/polearmlunge1 <target>: This polearm attack allows you to slightly extend your range, and it can change the posture of your target.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '997', 'polearmlunge2', '/polearmlunge2 <target>: This polearm attack allows you to slightly extend your range, and it can knock down your target.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '998', 'polearmspinattack1', '/polearmspinattack1 <target>: This polearm attack can damage multiple targets at once, by spinning your body slightly while attacking.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '999', 'polearmspinattack2', '/polearmspinattack2 <target>: This polearm area attack can damage and dizzy multiple targets at once, by spinning your body slightly while attacking.  This is more damaging than Polarm Spin Attack 1.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1000', 'polearmstun1', '/polearmstun1 <target>: This polearm attack can stun a single target.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1001', 'polearmstun2', '/polearmstun2 <target>: This polearm area attack can stun multiple targets at once.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1002', 'polearmstunhit1', '/polearmstunhit1 <target>: This polearm attack has the ability to stun a single enemy for a short duration.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1003', 'polearmsweep1', '/polearmsweep1 <target>: This polearm sweep attack can knock down a single target.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1004', 'polearmsweep2', '/polearmsweep2 <target>: This polearm area sweep attack can knock down multiple targets at once.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1005', 'ponder', '/ponder: You ponder.\n/ponder self: You ponder your existence.\n/ponder target: You ponder about (him, her, or it). Hrmmm.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1006', 'posturedownattack', 'This command utilizes the posture down attack.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1007', 'postureupattack', 'This command utilizes the posture up attack.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1008', 'pound', '/pound: You pound on your chest!\n/pound self: You pound on your chest, daring anyone to take you on.\n/pound target: You pound your chest. Will (target name) take you on?');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1009', 'pout', '/pout: You pout.\n/pout self: You pout at yourself.\n/pout target: You pout at (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1010', 'powerboost', '/powerboost: This meditative art allows the user to channel mental energies into their physical form for a temporary boost to physical performance. However, such extreme mental activities cause a significantly exhausting psychological cost.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1011', 'preen', '/preen: You preen.\n/preen self: You preen like a feline.\n/preen target: You preen gloatingly at (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1012', 'premium_auctions', 'For an additional fee, you can place a Premium Auction on the bazaar.  These auctions are highlighted on the list of sales, drawing additional attention to your item.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1013', 'primp', '/primp: You primp.\n/primp self: You pull a mirror from your pack and primp yourself.\n/primp target: You primp yourself for (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1014', 'prod', '/prod: You extract a nerf prod from your pack and brandish it smugly.\n/prod self: You prod yourself into action.\n/prod target: You prod (him, her, or it), trying to evoke some emotion.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1015', 'prone', '/prone: Going prone brings you into a laying position, which prohibits movement and makes you more vulnerable to melee attacks, but allows for better ranged accuracy than standing or kneeling.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1016', 'protect', '/protect: You stand your ground.\n/protect self: You indicate that you need protection.\n/protect target: You stand defensively in front of (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1017', 'provoke', '/provoke');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1018', 'pshrug', '/pshrug:  You shrug philosophically.\n/pshrug self:  You shrug your shoulders philosophically.\n/pshrug target:  You shrug philosophically at (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1019', 'ptrap1', '/ptrap1: This command suckers a group of pirates to the local area, where they\'ll probably attack just about everything.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1020', 'ptrap2', '/ptrap2: This command suckers a strong group of pirates to the local area, where they\'ll probably attack just about everything.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1021', 'pucker', '/pucker: You pucker.\n/pucker self: You make a sour face and pucker.\n/pucker target: You pucker and make \"fish faces\" at (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1022', 'puke', '/puke: You puke.\n/puke self: You puke all over yourself.\n/puke target: You puke all over (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1023', 'pull', '/pull: You call out, \"PULL!\"\n/pull self: You raise your hand in the air and pull it back down in a victorious manner.\n/pull target: You try to pull (him, her, or it) along.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1024', 'pumpreactor', '/pumpreactor: Temporarily increases reactor and engine output.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1025', 'punch', '/punch: You shadow-box.\n/punch self: You punch yourself in the face, giving yourself a black eye.\n/punch target: You punch (target name) in the face.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1026', 'purchasereinforcement', 'This command utilizes the purchase reinforcement option.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1027', 'purchaseticket', 'This command allows the user to purchase a ticket.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1028', 'push', '/push: You make a pushing motion as if trying to keep things away from yourself.\n/push self: You push yourself to the ground.\n/push target: You push (him, her, or it) away.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1029', 'puzzle', '/puzzle: You puzzle over the current situation.\n/puzzle self: You puzzle over your own thoughts.\n/puzzle target: You puzzle over (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1030', 'question', '/question: You question the intent.\n/question self: You question your own intent.\n/question target: You question (his, her, or its) intent.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1031', 'quickheal', '/quickheal <target>: This ability allows for an instant, medicine-free pool damage heal on a target, at a very heavy Mind cost to the Medic.  This ability also causes 10 Wounds to the Medic\'s Willpower and Focus pools, so it must not be used lightly.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1032', 'quiet', '/quiet: You hold your finger to your lips, indicating to be quiet.\n/quiet self: You quiet yourself and place your finger vertically across your lips.\n/quiet target: You hold an extended finger over your lips, indicating to (target name) to be quiet.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1033', 'r', '/r');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1034', 'raise', '/raise: You raise your hand.\n/raise self: You raise your hands in the air.\n/raise target: You raise (his, her, or its) hand and declare (him, her, or it) the victor.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1035', 'rally', '/rally: This Squad Leader command improves the combat defense and to hit modifiers of everyone in the party.  The Squad Leader must be the party\'s leader in order for this to function.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1036', 'ranged_damage_mitigation_1', 'This ability will limit the damage range done to you when you are attacked with a ranged weapon.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1037', 'ranged_damage_mitigation_2', 'This ability will further limit the damage range done to you when you are attacked with a ranged weapon.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1038', 'ranged_damage_mitigation_3', 'This ability will further limit the damage range done to you when you are attacked with a ranged weapon.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1039', 'raspberry', '/raspberry: You give everyone a raspberry. PFFFFFFTTTT!!\n/raspberry self: You give yourself a raspberry.\n/raspberry target: You give (him, her, or it) a raspberry.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1040', 'ready', '/ready: READY!\n/ready self: You check to see if you are ready.\n/ready target: I\'m ready, (target name)!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1041', 'reassure', '/reassure: You reassure everyone that it will turn out OK.\n/reassure self: You reassure yourself that everything will be OK.\n/reassure target: You reassure (him, her, or it) that everything will be fine.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1042', 'recruitskilltrainer', '/recruitskilltrainer: Allows the politician to place a skill trainer within the borders of his city.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1043', 'regainconsciousness', '/regainConsciousness: This ability allows a Jedi to instantly recover from an unconscious state.  The Jedi will still be weak and weary but can then proceed to use other Force abilities to return to normal.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1044', 'regeneration', '/regeneration: short-term consitution attribute buff; alias for \"/innate regeneration\"');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1045', 'registered', 'Your city has been registered on the planetary map.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1046', 'registerwithlocation', 'Provided the appropriate skill-set for the venue, this command allows the user to register with an inactive planetary map location marking it as active (\"manned\").');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1047', 'reload', 'This command allows the user to reload.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1048', 'repairbattlefieldstructure', 'This command allows the user to repair a battlefield structure.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1049', 'repairshipcomponent', 'Repair  a ship component in a ship.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1050', 'reply', '/reply <message>: Automatically sends a /tell to the last person who sent you one.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1051', 'requestcraftingsession', 'This command requests a crafting session for the user.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1052', 'rescue', '/rescue <target>: This enables you to anger an NPC that is on a party member, so that the NPC attacks you instead of the person you are rescuing.  This is not guaranteed to work.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1053', 'restartcraftingsession', 'This command allows the user to restart a crafting session.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1054', 'retell', '/retell');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1055', 'retreat', '/retreat:  This very powerful Squad Leader ability drains the Squad Leader\'s Action and Mind pools while giving their entire group Burst Run.  Intended for hard encounters gone horribly wrong, it allows the Squad Leader to show true leadership by sacrificing themself for the greater good of their group.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1056', 'reviveplayer', '/reviveplayer <target>: This very powerful command enables you to revive an almost dead player, bypassing the need to clone if you have the appropriate medical equipment handy.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1057', 'right', '/right: You point right.\n/right self: You point right.\n/right target: You turn to (target name) and point right.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1058', 'roar', '/roar: ROOOOOOAAAAARRRRRR!!!!\n/roar self: You roar loudly at yourself.\n/roar target: You roar loudly at (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1059', 'rofl', '/rofl: Want a hand getting up?\n/rofl self: You roll on the floor laughing at yourself.\n/rofl target: You roll on the floor laughing at (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1060', 'roleplay', '/roleplay');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1061', 'roll', '/roll: You roll your eyes.\n/roll self: You roll your eyes and they fall back into your skull.\n/roll target: You rolls your eyes at (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1062', 'rolleyes', '/rolleyes:  You roll your eyes.\n/rolleyes self:  You roll your eyes and they fall back into your skull.\n/rolleyes target:  You roll your eyes at (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1063', 'rollshot', '/rollshot: A roll shot will cause you to kneel and attack at the same time, leaving you in a kneeling position.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1064', 'rose', '/rose: You extend a rose and offer it.\n/rose self: You give yourself a rose and smell deeply of its scent.\n/rose target: You give (target name) a rose.  -----`---,---<@');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1065', 'rtell', '/rtell <message>: Automatically sends a tell to the last person whom you sent one to.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1066', 'rubnose', '/rubnose: You rub your nose.\n/rubnose self: You rub your nose on your sleeve.\n/rubnose target: You rub noses with (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1067', 'rude', '/rude: You offer an unknown salute.\n/rude self: You give yourself a rude gesture.\n/rude target: You give (target name) an unknown salute.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1068', 'ruffle', '/ruffle: You look ruffled.\n/ruffle self: You ruffle your own hair.\n/ruffle target: You ruffle (his, her, or its) hair.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1069', 'saber1hcombohit1', '/saber1hComboHit1 <target>: This attack allows a Jedi to hit multiple locations on the target\'s body. This attack will do more damage than a normal one-handed saber attack.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1070', 'saber1hcombohit2', '/saber1hComboHit2 <target>: This attack allows a Jedi to hit multiple locations on the target\'s body and has a chance to lower the target\'s posture. This attack is more powerful than the Saber One Hand Combo Hit 1, and will likely do more damage.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1071', 'saber1hcombohit3', '/saber1hComboHit3 <target>: This attack allows a Jedi to hit multiple locations on the target\'s body and has a chance to lower the target\'s posture. This attack is more powerful than the Saber One Hand Combo Hit 2, and will likely do more damage.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1072', 'saber1hflurry', '/saber1hFlurry <target>: This attack allows a Jedi to perform a devastating move with a one-handed lightsaber that damages all enemies in the immediate area, as well as inflicting stun, blind, and dizziness.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1073', 'saber1hflurry2', '/saber1hFlurry2 <target>: This ultimate attack allows a Jedi to perform a devastating move with a one-handed lightsaber that damages all enemies in the immediate area, as well as inflicting stun, blind, and dizziness.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1074', 'saber1hheadhit1', '/saber1hHeadHit1 <target>: This attack allows a Jedi to perform a strike against the target\'s head, increasing the chance of affecting its mind pool.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1075', 'saber1hheadhit2', '/saber1hHeadHit2 <target>: This attack allows a Jedi to perform a strike against the target\'s head,  increasing the chance of affecting its mind pool. This attack is more powerful than the Saber One Hand Head Hit 1, and has a chance of blinding the target.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1076', 'saber1hheadhit3', '/saber1hHeadHit3 <target>: This attack allows a Jedi to perform a strike against the target\'s head,  increasing the chance of affecting its mind pool. This attack is more powerful than the Saber One Hand Head Hit 2, and has a chance of blinding the target.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1077', 'saber1hhit1', '/saber1hHit1 <target>: This attack allows a Jedi to do more damage than normal with a one-handed lightsaber.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1078', 'saber1hhit2', '/saber1hHit2 <target>: This attack allows a Jedi to do significantly more damange than normal with a one-handed lightsaber. This attack is more powerful than the Saber One Hand Hit 1.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1079', 'saber1hhit3', '/saber1hHit3 <target>: This attack allows a Jedi to do significantly more damange than normal with a one-handed lightsaber. This attack is more powerful than the Saber One Hand Hit 2.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1080', 'saber2hbodyhit1', '/saber2hBodyHit1 <target>: This attack allows a Jedi to perform a strike against the target\'s body, increasing the chance of affecting its health pool.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1081', 'saber2hbodyhit2', '/saber2hBodyHit2 <target>: This attack allows a Jedi to perform a strike against the target\'s body, increasing the chance of affecting its health pool. This attack is more powerful than Saber Two Hand Body Hit 1.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1082', 'saber2hbodyhit3', '/saber2hBodyHit3 <target>: This attack allows a Jedi to perform a strike against the target\'s body, increasing the chance of affecting its health pool. This attack is more powerful than Saber Two Hand Body Hit 2.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1083', 'saber2hfrenzy', '/saber2hFrenzy <target>: This attack allows a Jedi to perform a devastating move with a two-handed lightsaber that damages all enemies in the immediate area, as well as inflicting stun, blind, and dizziness.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1084', 'saber2hhit1', '/saber2hHit1 <target>: This attack allows a Jedi to do more damage than normal with a two-handed lightsaber.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1085', 'saber2hhit2', '/saber2hHit2 <target>: This attack allows a Jedi to do significantly more damage than normal with a two-handed lightsaber. This attack is more powerful than Saber Two Hand Hit 1.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1086', 'saber2hhit3', '/saber2hHit3 <target>: This attack allows a Jedi to do much more damage than normal with a two-handed lightsaber. This attack is more powerful than Saber Two Hand Hit 2.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1087', 'saber2hphantom', '/saber2hFrenzy <target>: This ultimate attack allows a Jedi to perform a devastating move with a two-handed lightsaber that damages all enemies in a cone radius outwards from the Jedi, as well as inflicting stun, blind, and dizziness.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1088', 'saber2hsweep1', '/saber2hSweep1 <target>: This attack allows a Jedi to cause their target to lower its posture.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1089', 'saber2hsweep2', '/saber2hSweep2 <target>: This attack allows a Jedi to cause their target to lower its posture, as well as a small damage increase over Saber Two Hand Sweep 1.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1090', 'saber2hsweep3', '/saber2hSweep3 <target>: This attack allows a Jedi to cause their target to lower its posture, as well as dealing more damage than Saber Two Hand Sweep 2.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1091', 'saber_block', 'Allows a Jedi to block many types of energy bolts and several types of projectiles with a lightsaber.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1092', 'saberpolearmdervish', '/saberPolearmDervish <target>: This attack allows a Jedi to perform a devastating move with a double-bladed lightsaber that damages all enemies in the immediate area, as well as inflicting stun, blind, and dizzyness.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1093', 'saberpolearmdervish2', '/saberPolearmDervish2 <target>: This ultimate attack allows a Jedi to perform a devastating move with a double-bladed lightsaber that damages all enemies in a cone radius outward from the Jedi, as well as inflicting stun, blind, and dizzyness.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1094', 'saberpolearmhit1', '/saberPolearmHit1 <target>: This attack allows a Jedi to do more damage than normal with a double-bladed lightsaber.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1095', 'saberpolearmhit2', '/saberPolearmHit2 <target>: This attack allows a Jedi to do significantly more damage than normal with a double-bladed lightsaber. This attack is more powerful than the Saber Polearm Hit 1, and also has a chance to stun the target.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1096', 'saberpolearmhit3', '/saberPolearmHit3 <target>: This attack allows a Jedi to do significantly more damage than normal with a double-bladed lightsaber. This attack is more powerful than the Saber Polearm Hit 2, and also has a chance to stun the target.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1097', 'saberpolearmleghit1', '/saberPolearmLegHit1 <target>: This attack allows a Jedi to perform a strike against the target\'s legs, increasing the chance of affecting its action pool.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1098', 'saberpolearmleghit2', '/saberPolearmLegHit2 <target>: This attack allows a Jedi to perform a precise against a target\'s legs, increasing the chance of affecting its action pool. This attack is more powerful than the Saber Polearm Leg Hit 1.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1099', 'saberpolearmleghit3', '/saberPolearmLegHit3 <target>: This attack allows a Jedi to perform a strike against a target\'s legs, increasing the chance of affecting its action pool. This attack is more powerful than the Saber Polearm Leg Hit 2.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1100', 'saberpolearmspinattack1', '/saberPolearmSpinAttack1 <target>: This attack allows a Jedi to deal damage to all enemies in the immediate area.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1101', 'saberpolearmspinattack2', '/saberPolearmSpinAttack2 <target>: This attack allows a Jedi to do increased damage to all enemies in the immediate area. This attack is more powerful than Saber Polearm Spin Attack 1, and also has a slightly increased range.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1102', 'saberpolearmspinattack3', '/saberPolearmSpinAttack3 <target>: This attack allows a Jedi to do increased damage to all enemies in the immediate area. This attack is more powerful than Saber Polearm Spin Attack 2, and also has a slightly increased range.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1103', 'saberslash1', '/saberSlash1 <target>: This attack allows a Jedi to cause the target to bleed, as well as lower the target\'s posture. This attack can be used with all lightsaber types.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1104', 'saberslash2', '/saberSlash2 <target>: This attack allows a Jedi to cause the target to bleed, as well as lower the target\'s posture. This attack is more powerful than Saber Slash 1 and can be used with all lightsaber types.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1105', 'saberthrow1', '/saberThrow1 <target>: This attack allows a Jedi to attack from a distance by throwing his or her lightsaber.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1106', 'saberthrow2', '/saberThrow2 <target>: This attack allows a Jedi to do greater damage from a distance by throwing his or her lightsaber and guiding it with the Force. A successful attack will also cause a chance to knock your opponent down.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1107', 'saberthrow3', '/saberThrow3 <target>: This attack allows a Jedi to attack multiple targets from a distance by throwing his or her lightsaber and guiding it with the Force. A successful attack will also cause a chance to knock your opponent down.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1108', 'salute', '/salute: You salute.\n/salute self: You stand at attention and salute yourself.\n/salute target: You salute (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1109', 'sample', 'The /sample command is used in conjunction with a sample tool.  When you /sample your character will take a sample of whatever resource you last selected from the sample tool UI.  This allows you to perform sampling without using the sample tool UI.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1110', 'sampledna', '/sampledna <target>: This Bio-Engineer ability allows you to sample the DNA of a creature.  You must be fairly close to it for this to function correctly.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1111', 'scare', '/scare: BOO!\n/scare self: You scare yourself.\n/scare target: You sneak up and try to scare (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1112', 'scared', '/scared: You jump and whip around to face the noise.\n/scared self: You shrink away, looking very scared.\n/scared target: You shrink away from (target name), looking very scared of (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1113', 'scattershot1', '/scattershot1 <target>: This ranged attack can hit multiple stat pools on a target at once.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1114', 'scattershot2', '/scattershot2 <target>: This ranged attack can hit multiple stat pools on a target at once. This is a more damaging attack than Scatter Shot 1.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1115', 'scold', '/scold: You produce a measuring stick and brandish it authoritatively.\n/scold self: You scold yourself with slap on the hand.\n/scold target: You scold (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1116', 'scowl', '/scowl: You scowl.\n/scowl self: You scowl at yourself.\n/scowl target: You scowl at (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1117', 'scratch', '/scratch: You scratch an itch.\n/scratch self: You scratch the nape of your neck pensively.\n/scratch target: You scratch (his, her, or its) back.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1118', 'scream', '/scream: AAAARRRRRGGGGHHHHH!!!\n/scream self: You scream loudly at yourself in frustration.\n/scream target: You scream with frustration in (his, her, or its) ear.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1119', 'seenoevil', '/seenoevil: SEE NO EVIL!!\n/seenoevil self: You peek through your fingers covering your eyes.\n/seenoevil target: You peek through your fingers at (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1120', 'selectdraftschematic', 'This command selects a draft schematic.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1121', 'send', 'This command allows the user to send a tell or mail to another player.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1122', 'serversysgroup', 'Server System Group');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1123', 'setformation', '/setformation: Set the formation that a group should use in space.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1124', 'setformationslot', '/setformationslot: Set the targeted group member into a slot from 1 to 20.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1125', 'setspokenlanguage', 'This command sets a spoken language.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1126', 'shake', '/shake: You shake your head negatively.\n/shake self: You shake your head negatively at yourself.\n/shake target: You shake your head negatively at (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1127', 'sharpen', '/sharpen: You sharpen your nails.\n/sharpen self: You sharpen your teeth with a file.\n/sharpen target: You sharpen a blade menacingly at (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1128', 'shiver', '/shiver: You shiver.\n/shiver self: You shiver and rub your arms in an attempt to warm up.\n/shiver target: You shiver at the coldness surrounding (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1129', 'shoo', '/shoo: You ask everyone to just leave.\n/shoo self: You\'re asking yourself to leave?\n/shoo target: You tell (target name) to leave.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1130', 'shower', '/shower: You go to take a shower.\n/shower self: You shower yourself in water from a jug.\n/shower target: You politely inform (target name) that (he, she or it) needs to take a shower.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1131', 'shrug', '/shrug: You shrug.\n/shrug self: You shrug your shoulders helplessly.\n/shrug target: You shrug helplessly at (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1132', 'shudder', '/shudder: You shudder.\n/shudder self: You shudder at the thought.\n/shudder target: You shudder at (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1133', 'shush', '/shush: SHUSH!\n/shush self: You shush yourself.\n/shush target: You quickly shush (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1134', 'sigh', '/sigh: You sigh.\n/sigh self: You sigh with relief.\n/sigh target: You sigh at (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1135', 'sit', '/sit: This command will bring you into a sitting position, from which combat is not possible.  If furniture is not present, you will sit on the ground.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1136', 'skip', '/skip: You skip around the area.\n/skip self: You skip in figure eights.\n/skip target: You skip around (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1137', 'slap', '/slap: WAKE UP! You slap yourself in the face. *SMACK!*\n/slap self: You slap yourself silly.\n/slap target: You slap (him, her, or it) across the face.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1138', 'slice_armor', 'With \"Slicing: Armor\" the smuggler gains the ability to make modifications to the stats of armor from the \"Slice\" radial menu option on the armor piece.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1139', 'slice_containers', 'With \"Slicing: Containers\" smugglers get the option to hack into locked containers with a \"Slice\" radial menu option.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1140', 'slice_sockets', 'With \"Slicing: Sockets\" the smuggler can hack equipment to potentially add an extra expansion socket to the item.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1141', 'slice_terminals', 'With \"Slicing: Terminals\" the smuggler gains the ability to hack mission terminals for extra pay using the \"Slice\" radial menu option.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1142', 'slice_weaponsadvanced', 'With \"Slicing: Weapons (Advanced)\" the smuggler gains the ability to make more effective modifications to the stats of a weapon from the \"Slice\" radial menu option on the weapon.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1143', 'slice_weaponsbasic', 'With \"Slicing: Weapons (Basic)\" the smuggler gains the ability to make small modifications to the stats of a weapon from the \"Slice\" radial menu option on the weapon.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1144', 'slit', '/slit: Someone\'s gonna die.\n/slit self: You think you\'re not long for this world.\n/slit target: You don\'t think (target name) is long for this world.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1145', 'slitherhorn', 'This ability allows you to plays songs with the Slitherhorn instrument.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1146', 'slobber', '/slobber: Need a bib?\n/slobber self: You slobber all over yourself.\n/slobber target: You slobber all over (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1147', 'small', '/small: You hold your hands about 2 fists apart, signifying it was small.\n/small self: You guess that it would be small.\n/small target: You indicate to (target name) that is was small.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1148', 'smell', '/smell: You smell the air.\n/smell self: You smell yourself.\n/smell target: You smell (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1149', 'smile', '/smile: You smile.\n/smile self: You smile at yourself.\n/smile target: You smile at (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1150', 'smirk', '/smirk: You smirk.\n/smirk self: You smirk at yourself.\n/smirk target: You smirk at (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1151', 'smokebomb', '/smokebomb: Performs a smoke cloud effect.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1152', 'snap', '/snap: SNAP!\n/snap self: Shucks!\n/snap target: You snap beckoningly at (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1153', 'snarl', '/snarl: You snarl, baring your teeth.\n/snarl self: You snarl and grumble surly under your breath.\n/snarl target: You snarl at (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1154', 'sneak', 'Sneak is an innate ability that allows you to slowly move while prone and taking cover.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1155', 'sneer', '/sneer: You sneer.\n/sneer self: You sneer at the thought.\n/sneer target: You sneer at (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1156', 'sneeze', '/sneeze: AAAAACHOOOO!\n/sneeze self: You sneeze, covering your hands in a mucous substance.\n/sneeze target: You sneeze at (target name), covering (him, her, or it) with slime.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1157', 'snicker', '/snicker: You snicker.\n/snicker self: You snicker at your own evil thoughts.\n/snicker target: You snicker at (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1158', 'sniff', '/sniff: You sniff sadly.\n/sniff self: You sniff sadly to yourself.\n/sniff target: You sniff sadly at (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1159', 'sniffle', '/sniffle: You sniffle.\n/sniffle self: You sniffle to yourself.\n/sniffle target: You sniffle at (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1160', 'snipershot', '/snipershot <target>: This very powerful ranged attack can kill incapacitated targets at a distance.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1161', 'snog', '/snog: ~\n/snog self: You attempt snogging yourself.\n/snog target: You attempt to engage in some serious snogging with (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1162', 'snore', '/snore: You snore loudly.\n/snore self: You snore softly.\n/snore target: You snore loudly at (target name), displaying your boredom.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1163', 'snort', '/snort: SNORT!\n/snort self: You snort derisively.\n/snort target: You snort at (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1164', 'soapbox', '/soapbox: You place a soapbox on the ground and offer the use of it.\n/soapbox self: You place a soapbox on the ground, climb upon it, and begin to speak.\n/soapbox target: You try to pull (him, her, or it) down from (his, her, or its) soapbox.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1165', 'softclap', '/softclap: You show your approval with a soft applause.\n/softclap self: You give yourself a soft applause.\n/softclap target: You give (him, her, or it) an approving, soft applause.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1166', 'space_navigator', 'The Sullustan race is very savvy at navigating space lanes. Their hyperspace recycle time is much shorter than normal species.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1167', 'spam', '/spam: SPAM!\n/spam self: You send yourself reeling and your head spinning.\n/spam target: You tell (him, her, or it) to QUIT SPAMMING!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1168', 'speaknoevil', '/speaknoevil: You cover your mouth.\n/speaknoevil self: You stare blankly forward with your hand over your mouth.\n/speaknoevil target: You cover your mouth and refuse to speak.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1169', 'spin', '/spin: You spin around to see who is behind you.\n/spin self: You spin around and make yourself dizzy.\n/spin target: You spin (target name) around until (him, her, or it) is dizzy.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1170', 'spit', '/spit: You spit.\n/spit self: You spit in your hands and prepare to get down to business.\n/spit target: You spit at (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1171', 'splitcreditswithgroup', '/splitCreditsWithGroup <amount>: allows a group member to split the specified amount of coins amongst nearby player group members.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1172', 'spotlight', '/spotlight: Performs a spot light effect.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1173', 'sprayshot', '/sprayshot <target>: This ranged attack is highly damaging, and has a chance to blind, dizzy, and stun a target.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1174', 'squeeze', '/squeeze: You squeeze your emotion management toy.\n/squeeze self: You squeeze yourself.\n/squeeze target: You squeeze (target name) tightly.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1175', 'squirm', '/squirm: You squirm.\n/squirm self: You squirm uneasily.\n/squirm target: You try to squirm away from (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1176', 'stand', '/stand: This command will bring you to a standing position.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1177', 'stare', '/stare: You stare blankly into space.\n/stare self: You try to stare yourself down and go cross-eyed.\n/stare target: You stare at (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1178', 'startdance', '/startdance: Start Dancing');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1179', 'startdance+basic', '/startdance basic: Start the Basic dance.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1180', 'startdance+basic2', '/startdance basic2: Start the Basic2 dance.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1181', 'startdance+exotic', '/startdance exotic: Start the Exotic dance.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1182', 'startdance+exotic2', '/startdance exotic2: Start the Exotic2 dance.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1183', 'startdance+exotic3', '/startdance exotic3: Start the Exotic3 dance.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1184', 'startdance+exotic4', '/startdance exotic4: Start the Exotic4 dance.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1185', 'startdance+footloose', '/startdance footloose: Start the Footloose dance.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1186', 'startdance+footloose2', '/startdance footloose2: Start the Footloose2 dance.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1187', 'startdance+formal', '/startdance formal: Start the Formal dance.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1188', 'startdance+formal2', '/startdance formal2: Start the Formal2 dance.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1189', 'startdance+lyrical', '/startdance lyrical: Start the Lyrical dance.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1190', 'startdance+lyrical2', '/startdance lyrical2: Start the Lyrical2 dance.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1191', 'startdance+poplock', '/startdance poplock: Start the Poplock dance.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1192', 'startdance+poplock2', '/startdance poplock2: Start the Poplock2 dance.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1193', 'startdance+popular', '/startdance popular: Start the Popular dance.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1194', 'startdance+popular2', '/startdance popular2: Start the Popular2 dance.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1195', 'startdance+rhythmic', '/startdance rhythmic: Start the Rhythmic dance.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1196', 'startdance+rhythmic2', '/startdance rhythmic2: Start the Rhythmic2 dance.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1197', 'startdance+theatrical', '/startdance theatrical: Start the Theatrical dance.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1198', 'startdance+theatrical2', '/startdance theatrical2: Start the Theatrical2 dance.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1199', 'startleshot1', '/startleshot1 <target>: This ranged attack is meant to startle your opponent into a raised position.  If they were lying prone, they kneel, if they were kneeling, they stand up.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1200', 'startleshot2', '/startleshot2 <target>: This ranged attack is meant to startle your opponent into a raised position.  If they were lying prone, they kneel, if they were kneeling, they stand up.  This causes more damage than Startle Shot 1.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1201', 'startmusic', '/startMusic: Start Music');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1202', 'startmusic+ballad', '/startmusic ballad: Starts the Ballad song.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1203', 'startmusic+ceremonial', '/startmusic ceremonial: Starts the Ceremonial song.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1204', 'startmusic+folk', '/startmusic folk: Starts the Folk song.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1205', 'startmusic+jazz', '/startmusic jazz: Starts the Jazz song.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1206', 'startmusic+rock', '/startmusic rock: Starts the Rock song.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1207', 'startmusic+starwars1', '/startmusic starwars1: Starts the Starwars1 song.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1208', 'startmusic+starwars2', '/startmusic starwars2: Starts the Starwars2 song.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1209', 'startmusic+starwars3', '/startmusic starwars3: Starts the Starwars3 song.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1210', 'startmusic+virtuoso', '/startmusic virtuoso: Starts the Virtuoso song.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1211', 'startmusic+waltz', '/startmusic waltz: Starts the Waltz song.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1212', 'startmusic+western', '/startmusic western: Starts the Western song.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1213', 'steadyaim', '/steadyaim: This Squad Leader command increases the chance for the party member\'s next shots to hit their target.  This ability costs more or less pool points based on how many people are in the party at the time the ability is used.  Use the /setsteadyaim <message> command to set what the Squad Leader shouts when they use this command.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1214', 'steam', '/steam: You boil with rage as steam pours from the top of your head.\n/steam self: You notice that steam is pouring off your body.\n/steam target: You boil over with rage at (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1215', 'stink', '/stink: What is that smell?!\n/stink self: UGH! You DO stink!\n/stink target: That bad huh? Guess so since you just told (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1216', 'stomp', '/stomp: *STOMP* *STOMP*\n/stomp self: You stomp around, ready to mosh.\n/stomp target: You stomp on (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1217', 'stop', '/stop: Everybody stop!\n/stop self: You bravely try to stop the onrushing world.\n/stop target: You order (target name) to stop.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1218', 'stopbleeding', '/stopBleeding <player>: Causes the target to stop bleeding, negating that particular damage over time state.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1219', 'stopcraftingsession', 'This command allows the user to stop a crafting session.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1220', 'stopdance', '/stopdance: Stop Dancing');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1221', 'stopfollow', '/stopfollow: Use this command to immediately stop following somebody (initiated via /follow).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1222', 'stopmusic', '/stopMusic: Stop Music');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1223', 'stoppingshot', '/stoppingshot <target>: This devastatingly powerful attack is known as the Stopping Shot because it has a tendency to stop rushing enemies in their tracks, by killing or incapacitating them with one hit.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1224', 'strafeshot1', '/strafeshot1 <target>: This ranged attack clears your enemy out of a covered state, making them more vulnerable to attack.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1225', 'strafeshot2', '/strafeshot2 <target>: This ranged attack clears your enemy out of a covered state, making them more vulnerable to attack.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1226', 'strangle', '/strangle: You strangle yourself.\n/strangle self: Your eyes bulges from your skull due to lack of breathable air.\n/strangle target: You strangle (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1227', 'stretch', '/stretch: You stretch.\n/stretch self: You warm up with a few stretching exercises.\n/stretch target: You help (him, her, or it) stretch.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1228', 'structurestatus', 'This command allows the user to view the status of a structure.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1229', 'strut', '/strut: You strut.\n/strut self: You strut about like a lantern bird displaying his feathers.\n/strut target: You strut around (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1230', 'stunattack', 'This command utilizes the stun attack sequence.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1231', 'sulk', '/sulk: You sulk.\n/sulk self: You sulk to yourself.\n/sulk target: You sulk at (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1232', 'summon', '/summon: You make a summoning gesture.\n/summon self: You summon all of your strength and courage.\n/summon target: You summon (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1233', 'suppressionfire1', '/suppressionfire1 <target>: This ranged attack is used to drive your opponent into a lower position.  If they were standing, they kneel, if they were kneeling, they go prone.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1234', 'suppressionfire2', '/suppressionfire2 <target>: This ranged attack is used to drive your opponent into a lower position.  If they were standing, they kneel, if they were kneeling, they go prone.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1235', 'surprised', '/surprised: Surprising, isn\'t it?\n/surprised self: You look at yourself, completely surprised.\n/surprised target: You look at (him, her, or it), completely surprised.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1236', 'surpriseshot', '/surpriseshot <target>: This ranged sneak attack must be performed from cover.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1237', 'surrender', '/surrender: You surrender.\n/surrender self: You surrender yourself to your base instincts.\n/surrender target: You concede and surrender to (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1238', 'surrenderself', '/surrenderself');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1239', 'surrenderskill', 'This command is used to surrender a skill.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1240', 'survey', 'The /survey command is used in conjunction with a sample tool.  When you /survey your character will survey for whatever resource you last selected in the sample tool UI.  This allows you to perform a survey without using the sample tool UI.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1241', 'swat', '/swat: You swat at the air frantically.\n/swat self: You swat yourself.\n/swat target: You swat (him, her, or it) like an insect.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1242', 'sweat', '/sweat: You sweat profusely.\n/sweat self: You wipe the sweat from your brow and fling it to the ground.\n/sweat target: You shake your body like a canine sending sweat flying at (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1243', 'sweep', '/sweep: You sweep the floor.\n/sweep self: You try your best to look busy and sweep the floor.\n/sweep target: You hand (him, her, or it) a broom.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1244', 'sysgroup', '/sysgroup <Message>: This command sends a system message to your group members, so that they see it immediately and in the center of their screens.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1245', 't', '/t');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1246', 'tackle', '/tackle: You hunker down into a three-point stance.\n/tackle self: You tackle yourself to the ground.\n/tackle target: You tackle (him, her, or it) to the ground.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1247', 'tag', '/tag: You announce that you are playing tag.\n/tag self: Who\'s it?\n/tag target: TAG! You\'re it, (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1248', 'take_cover', '/takecover: Taking Cover allows the use of certain sneak attacks and gives you additional defense.  While in Cover, you can not move unless you have the Sneak skill.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1249', 'takecover', '/takecover: Taking Cover allows the use of certain sneak attacks and gives you additional defense.  While in Cover, you can not move unless you have the Sneak skill.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1250', 'tame', '/tame <target>: Allows you to try to tame a creature.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1251', 'tantrum', '/tantrum: You throw a tantrum.\n/tantrum self: You know you were wrong but throw a fit anyway.\n/tantrum target: You throw a tantrum at (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1252', 'tap', '/tap: You tap your foot impatiently.\n/tap self: You tap your fingers on the table.\n/tap target: You tap (target name) on (his, her, or its) shoulder.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1253', 'taunt', '/taunt target: Increases the aggro that a mob in combat has towards you. This ability is useful to get mobs to attack you instead of other party members.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1254', 'teach', 'This command allows a user to teach another player what he/she knows about a certain skill. Unlike training with a skill trainer, learning from another player has no cost.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1255', 'tease', '/tease: Just teasing!\n/tease self: You tease your hair.\n/tease target: You tease (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1256', 'tell', '/tell <name>:  This allows you to send a message instantly across the galaxy to a person whose name you know.  You can also send messages to multiple people via the following format: /tell ogakk,echuta,gekko <message> will send the same message to Ogakk, Echuta, and Gekko at the same time.  There must be no spaces between the commas and names for this additional function to work correctly.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1257', 'tenddamage', '/tenddamage: This ability heals health and action damage without the need for a stimpack.  Using this causes minor wounding to your focus and willpower.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1258', 'tendwound', '/tendwound: This ability heals the wounds of a specified physical attribute without the need for medicine.  Using this causes minor wounding to your focus and willpower.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1259', 'thank', '/thank: You thank everyone.\n/thank self: You thank yourself.\n/thank target: You thank (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1260', 'thirst', '/thirst: Feeling parched?\n/thirst self: You feel so thirsty and beg for a drink.\n/thirst target: You beg (target name) for a drink.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1261', 'threatenshot', '/threatenshot <target>: This ranged attack is useful for making skittish things flee from you.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1262', 'throw', '/throw: You throw pebble-sized stones, aimlessly passing the time.\n/throw self: You throw yourself at the enemy.\n/throw target: You throw (target name) at the enemy.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1263', 'throwat', '/throwat:  You throw pebble-sized stones, aimlessly passing the time.\n/throwat self:  You throw yourself at the enemy.\n/throwat target:  You throw (target name) at the enemy.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1264', 'throwdown', '/throwdown: You throw down the gauntlet.\n/throwdown self: There can only be one!\n/throwdown target: You throw down the gauntlet at (his, her, or its) feet.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1265', 'throwgrenade', 'This command allows the user to throw a grenade.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1266', 'throwtrap', '/throwtrap: This command is what you use to throw traps at creatures.  It\'s easier to simply hotkey the inventory item when using traps, however.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1267', 'thumbdown', '/thumbdown: You show your disapproval.\n/thumbdown self: You should have known better.\n/thumbdown target: You show (target name) your disapproval.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1268', 'thumbsdown', '/thumbsdown: You show your disapproval.\n/thumbsdown self: You should have known better.\n/thumbsdown target: You show (target name) your disapproval.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1269', 'thumbsup', '/thumbsup: You show your approval.\n/thumbsup self: Life is pretty good after all!\n/thumbsup target: You show (target name) your approval.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1270', 'thumbup', '/thumbup: You show your approval.\n/thumbup self: Life is pretty good after all!\n/thumbup target: You show (target name) your approval.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1271', 'thxinfo', '/thxinfo: THX INFO!\n/thxinfo self: k.thxinfo.byebye now.\n/thxinfo target: You thank (him, her, or it) for the information.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1272', 'tickle', '/tickle: Time for the feather tickle torture?\n/tickle self: You tickle yourself.\n/tickle target: You tickle (him, her, or it) mercilessly.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1273', 'tiny', '/tiny: You mark an approximation with your forefinger and thumb. It was tiny.\n/tiny self: You guess that it would be tiny.\n/tiny target: You indicate to (target name) with your forefinger and thumb that it was tiny.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1274', 'tip', '/tip: You tip your hat.\n/tip self: You tip your hat to yourself.\n/tip target: You tip your hat to (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1275', 'tiphat', '/tiphat:  You tip your hat.\n/tiphat self:  You tip your hat to yourself.\n/tiphat target:  You tip your hat to (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1276', 'tiptoe', '/tiptoe: You tiptoe though the area.\n/tiptoe self: You practice tiptoeing silently.\n/tiptoe target: You try to tiptoe past (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1277', 'tmi', '/tmi: TOO MUCH INFO!!\n/tmi self: Sorry everyone! TMI!\n/tmi target: You politely inform (him, her, or it) that was too much info.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1278', 'tongue', '/tongue: You stick your tongue out.\n/tongue self: You stick your tongue out and try to touch your nose.\n/tongue target: You stick your tongue out at (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1279', 'torsoshot', '/torsoshot <target>: This ranged attack douses a target in flames, causing high amounts of damage to the body as well as causing additional fire damage.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1280', 'toss', '/toss: You extend your arms like a child wanting to be tossed.\n/toss self: You toss yourself into the air and land flat on your face.\n/toss target: You toss (him, her, or it) into the air.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1281', 'totalhealother', '/totalHealOther <player>: Completely heals all the Health, Action, and Mind damage, repairs all wounds, and removes all battle fatigue from the target player.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1282', 'totalhealself', '/totalHealSelf: Completely heals all of your Health, Action, and Mind damage, repairs all wounds, and removes all of your battle fatigue.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1283', 'train_mount', 'This ability allows you to train certain pets to be mounts that can be ridden.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1284', 'transferforce', '/transferForce <target>: This ability allows a Jedi to transfer some of his stored Force power to another player Jedi.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1285', 'traz', 'This ability allows you to plays songs with the Traz instrument.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1286', 'trick1', '/trick1: This command instructs your pet do a trick.  Tricks heal pet Mind damage.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1287', 'trick2', '/trick2: This command instructs your pet to do a trick.  Tricks heal pet Mind damage.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1288', 'tsktsk', '/tsktsk: You rub one index finger over the other. Tsk Tsk.\n/tsktsk self: You should\'ve known better! Tsk Tsk is right.\n/tsktsk target: Tsk Tsk, (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1289', 'tug', '/tug: You tug your gear to make sure it is secure.\n/tug self: You tug your sleeves and straighten out your clothes.\n/tug target: You tug on (his, her, or its) sleeve.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1290', 'tumbletokneeling', '/tumbletokneeling:  This command will attack while rolling your character forward into a kneeling posture.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1291', 'tumbletoprone', '/tumbletoprone: This command will attack while diving into a prone posture.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1292', 'tumbletostanding', '/tumbletostanding: This command will roll you out of a kneeling or diving posture and leave you standing.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1293', 'tweak', '/tweak: You tweak your neck. OUCH!\n/tweak self: You tweak your own nose.\n/tweak target: You tweak (his, her, or its) nose.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1294', 'twibble', '/twibble: Twibble. Twibble.\n/twibble self: You twibble about in circles.\n/twibble target: You twibble aimlessly about (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1295', 'twiddle', '/twiddle: You twiddle your thumbs.\n/twiddle self: You patiently twiddle your thumbs.\n/twiddle target: You twiddle your thumbs at (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1296', 'twirl', '/twirl: You twirl around gracefully.\n/twirl self: You put a finger on top of your head and twirl like a dancer.\n/twirl target: You twirl (him, her, or it) around gracefully.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1297', 'twistarm', '/twistarm: OK. OK. Twist my arm.\n/twistarm self: Twist it just a bit more!\n/twistarm target: You twist (his, her, or its) arm.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1298', 'twitch', '/twitch: You twitch.\n/twitch self: You twitch nervously.\n/twitch target: You twitch at (his, her, or its) comments.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1299', 'unarmedblind1', '/unarmedblind1 <target>: This unarmed attack can blind a single target.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1300', 'unarmedbodyhit1', '/unarmedbodyhit1 <target>: This unarmed attack targets an opponent\'s body in order to damage a target\'s Health pool.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1301', 'unarmedcombo1', '/unarmedcombo1 <target>: This unarmed attack can hit the head and body of a target simultaneously, potentially damaging both Health and Mind pools at once.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1302', 'unarmedcombo2', '/unarmedcombo2 <target>: This unarmed attack can hit the head, body, and legs of a target simultaneously, potentially damaging Health, Action, and Mind pools simultaneously.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1303', 'unarmeddizzy1', '/unarmeddizzy1 <target>: This unarmed attack can dizzy a single target.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1304', 'unarmedheadhit1', '/unarmedheadhit1 <target>: This unarmed attack targets the head in order to damage the target\'s Mind pool.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1305', 'unarmedhit1', '/unarmedhit1 <target>: This unarmed attack inflicts more damage than the basic unarmed attack.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1306', 'unarmedhit2', '/unarmedhit2 <target>: This strong unarmed attack inflicts more damage to a single target than Unarmed Hit 1.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1307', 'unarmedhit3', '/unarmedhit3 <target>: This powerful unarmed attack inflicts more damage to a single target than Unarmed Hit 2.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1308', 'unarmedknockdown1', '/unarmedknockdown1 <target>: This unarmed attack can knock down a single target.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1309', 'unarmedknockdown2', '/unarmedknockdown2 <target>:This unarmed attack can knock down and dizzy a single target.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1310', 'unarmedleghit1', '/unarmedleghit1 <target>: This unarmed attack targets the legs in order to damage a target\'s Action pool.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1311', 'unarmedlunge1', '/unarmedlunge1 <target>: This unarmed attack can slightly extend your range, and has a chance to lower the posture of your target.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1312', 'unarmedlunge2', '/unarmedlunge2 <target>: This unarmed attack can slightly extend your range, and has a chance to knock down your target.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1313', 'unarmedspinattack1', '/unarmedspinattack1 <target>: This unarmed area attack can damage multiple targets at once.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1314', 'unarmedspinattack2', '/unarmedspinattack2 <target>: This unarmed area attack can damage multiple targets at once.  This is more powerful than Unarmed Spin Attack 1.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1315', 'unarmedstun1', '/unarmedstun1 <target>: This unarmed attack can stun a single target.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1316', 'uncle', '/uncle: UNCLE!! UNCLE!!\n/uncle self: Say Uncle! Say Uncle!\n/uncle target: You beg (him, her, or it) to stop. UNCLE!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1317', 'unconsent', '/unconsent: This command brings up a window with all of the players who you have consented to move your corpse.  To remove them from this list, click on their name and then click OK.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1318', 'underhandshot', '/underhandshot <target>: This sneaky ranged attack is designed to catch a target unaware, and causes high damage and can also knock them down.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1319', 'undock', '/undock: Undock from a space station.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1320', 'uninstallshipcomponent', 'Uninstall a ship component from a ship.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1321', 'unregistered', 'Your city has been unregistered from the planetary map.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1322', 'up', '/up: You point up.\n/up self: You point up.\n/up target: You turn to (target name) and point up.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1323', 'vendor_fees_1', 'The merchant gains a reduction in the cost of maintaining vendors.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1324', 'ventriloquism', '/ventriloquism <target>: Performs a visual effect around your target');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1325', 'veto', '/veto: VETO!\n/veto self: You veto your own idea.\n/veto target: You veto (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1326', 'vitalize', '/vitalize: short-term pool attribute buff; alias for \"/innate vitalize\"');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1327', 'volleyfire', '/volleyfire <target>: This Squad Leader command directs the fire of the entire group at the target the Squad Leader has chosen.  This enables a Squad Leader\'s group to cut through a group of difficult creatures/NPCs far more efficiently than a group without a Squad Leader would perform.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1328', 'volleyfireattack', 'This command utilizes the volley fire attack.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1329', 'vrepair', '/vrepair: Ship\'s Systems Emergency Repair - This command performs a \'vampiric\' repair by routing most of the load of your most heavily damaged component through other lesser damaged components, at the cost of fusing connections, melting wires, etc. This has the game effect of increasing the health of your most heavily damaged ship component, but damaging the others, moving toward evening out the condition of all your components.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1330', 'vrepairother', '/vrepairother: Other Ship\'s Systems Emergency Repair - This command performs a \'vampiric\' repair to currently targeted friendly vessels that are in close proximity.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1331', 'waft', '/waft: You try to waft the stench away.\n/waft self: Taking a bath might help!\n/waft target: You try to keep (his, her, or its) stench away.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1332', 'wait', '/wait: You wait.\n/wait self: WAIT UP!\n/wait target: You wait on (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1333', 'warcry1', '/warcry1 <target>: This combat move can increase the round-time of your opponent\'s attack, in effect slowing them down.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1334', 'warcry2', '/warcry2 <target>: This area combat attack can increase the round times of a cone (frontal area) of multiple enemies simultaneously.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1335', 'ward', '/ward: STAY AWAY!\n/ward self: Superstitious? You rub a charm to ward off misfortune.\n/ward target: You make warding signs at (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1336', 'warningshot', '/warningshot <target>: This ranged attack can terrify your target, making them unwilling to run towards you to attack.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1337', 'wave', '/wave: You wave.\n/wave self: You wave to yourself.\n/wave target: You wave to (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1338', 'waypoint', 'Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1339', 'welcome', '/welcome: WELCOME ALL!\n/welcome self: You welcome yourself.\n/welcome target: Welcome, (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1340', 'whap', '/whap: You whap everyone.\n/whap self: You whap yourself repeatedly.\n/whap target: You whap (him, her, or it) upside the head.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1341', 'whatthe', '/whatthe: What the?\n/whatthe self: What were you thinking?\n/whatthe target: You wonder what (target name) was thinking?');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1342', 'whimper', '/whimper: You whimper.\n/whimper self: You whimper softly to yourself.\n/whimper target: You whimper softly at (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1343', 'whisper', '/whisper: ~\n/whisper self: ~\n/whisper target: ~');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1344', 'whistle', '/whistle: You whistle innocently.\n/whistle self: You whistle a chipper tune.\n/whistle target: You whistle appreciatively at (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1345', 'wild_panic', '/wildpanic:');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1346', 'wildpanic', '/wildpanic: AAAAAAYYYYYYEEEEEEEE!!!\n/wildpanic self: You panic about, waving your hands in the air.\n/wildpanic target: You panic about (target name), waving your hands in the air.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1347', 'wildshot1', '/wildshot1 <target>: This ranged attack can stun a single target.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1348', 'wildshot2', '/wildshot2 <target>: This ranged attack can stun multiple targets at once.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1349', 'wince', '/wince: You wince.\n/wince self: You wince in pain.\n/wince target: You wince at (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1350', 'wink', '/wink: Wink.\n/wink self: You wink suggestively.\n/wink target: You wink suggestively at (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1351', 'wookieehug', '/wookieehug');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1352', 'wookieeroar', '/wookieeRoar <target>: This can Intimidate a cone (frontal area ) of multiple enemies at once, alias for \"/innate wookieeRoar\"');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1353', 'worship', '/worship: You are not worthy!\n/worship self: You are not worthy.\n/worship target: You worship (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1354', 'wrinkle', '/wrinkle: You wrinkle your nose and make a sour face.\n/wrinkle self: You wrinkle your nose at yourself.\n/wrinkle target: You wrinkle your nose at (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1355', 'wtg', '/wtg: Way to go!\n/wtg self: You think you did a great job.\n/wtg target: You tell (target name) way to go!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1356', 'yawn', '/yawn: YAAAWWWNN!\n/yawn self: You tries to hide a yawn.\n/yawn target: You yawn at (him, her, or it).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1357', 'yes', '/yes: You nod affirmatively. Yes.\n/yes self: You nod at yourself agreeingly.\n/yes target: You nod affirmatively to (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1358', 'zip', '/zip: You zip your lips.\n/zip self: You check your zipper to make sure it\'s closed.\n/zip target: You instruct (target name) to zip (his, her, or its) lips.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1359', 'zone', '/zone: You zone out.\n/zone self: You zone out and ignore your surroundings.\n/zone target: You zone out and ignore (target name).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1360', 'startmusic+starwars4', '/startmusic starwars4: Starts the Starwars4 song.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1361', 'startmusic+funk', '/startmusic funk: Starts the Funk song.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1362', 'startdance+breakdance', '/startdance breakdance: Start the Breakdance.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1363', 'startdance+breakdance2', '/startdance breakdance2: Start the Breakdance2.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1364', 'startdance+tumble', '/startdance tumble: Start the Tumble dance.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_d.stf', '1365', 'startdance+tumble2', '/startdance tumble2: Start the Tumble2 dance.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_err.stf', '1', 'success_prose', 'The command %TO was a success.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_err.stf', '2', 'locomotion_prose', 'You cannot %TO while %TU.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_err.stf', '3', 'target_type_prose', 'Your target for %TO was invalid.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_err.stf', '4', 'target_range_prose', 'Your target is too far away to %TO.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_err.stf', '5', 'state_prose', 'You cannot %TO while %TU.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_err.stf', '6', 'ability_prose', 'You do not have sufficient abilities to %TO.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_err.stf', '7', 'unstick_in_progress', 'Unstick in progress');
INSERT INTO `client_strings` VALUES ('string/en/cmd_err.stf', '8', 'unstick_request_complete', 'Unstick complete');
INSERT INTO `client_strings` VALUES ('string/en/cmd_err.stf', '9', 'unstick_request_cancelled', 'Unstick request was cancelled');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1', 'absentminded', 'Absentminded');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '2', 'access_fee', 'Access Fees');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '3', 'accuse', 'Accuse');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '4', 'ache', 'Ache');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '5', 'actionshot1', 'Action Shot 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '6', 'actionshot2', 'Action Shot 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '7', 'activateclone', 'Activate Clone');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '8', 'ad_fees_1', 'Reduced Advertisement Fees');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '9', 'adjust', 'Adjust');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '10', 'adn', 'About Dang Time!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '11', 'adventurous', 'Adventurous');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '12', 'afk', 'Away From Keyboard');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '13', 'afk4drink', 'Away From Keyboard (getting a drink).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '14', 'afk4food', 'Away From Keyboard (getting some food).');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '15', 'agree', 'Agree');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '16', 'aim', 'Aim');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '17', 'airguitar', 'Air Guitar');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '18', 'alert', 'Alert');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '19', 'amaze', 'Amaze');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '20', 'amazed', 'Amazed');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '21', 'amazing', 'Amazing');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '22', 'ambivalent', 'Ambivalent');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '23', 'amused', 'Amused');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '24', 'angry', 'Angry');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '25', 'animalattack', 'Animal Attack');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '26', 'animalcalm', 'Animal Calm');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '27', 'animalscare', 'Animal Scare');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '28', 'annoyed', 'Annoyed');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '29', 'anon', 'Anonymous');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '30', 'anxious', 'Anxious');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '31', 'apologize', 'Apologize');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '32', 'applaud', 'Applaud');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '33', 'applydisease', 'Apply Disease');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '34', 'applypoison', 'Apply Poison');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '35', 'approving', 'Approving');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '36', 'arch', 'Arch Back');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '37', 'areatrack', 'Area Track');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '38', 'areatrack_animal', 'Area Track: Animals');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '39', 'areatrack_direction', 'Area Track: Direction');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '40', 'areatrack_distance', 'Area Track: Distance');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '41', 'areatrack_npc', 'Area Track: People');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '42', 'areatrack_player', 'Area Track: Players');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '43', 'assist', 'Assist');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '44', 'associatedroidcontroldevicewithship', 'Associate Droid With Ship');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '45', 'astromech_droid_cert_1', 'Level 1 Astromech Droid Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '46', 'astromech_droid_cert_2', 'Level 2 Astromech Droid Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '47', 'astromech_droid_cert_3', 'Level 3 Astromech Droid Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '48', 'astromech_droid_cert_4', 'Level 4 Astromech Droid Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '49', 'astromech_droid_cert_5', 'Level 5 Astromech Droid Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '50', 'astromech_droid_cert_6', 'Level 6 Astromech Droid Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '51', 'attack', 'Attack');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '52', 'attend', 'Attend');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '53', 'autodefend', 'Auto Defend');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '54', 'avoidincapacitation', 'Avoid Incapacitation');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '55', 'ayt', 'Are You There?');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '56', 'backhand', 'Backhand');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '57', 'bad', 'Bad');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '58', 'badfeeling', 'Bad Feeling');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '59', 'bah', 'Bah!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '60', 'bak', 'Back (from AFK)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '61', 'bandfill', 'Bandfill (Instrument)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '62', 'bang', 'Head Bang');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '63', 'bark', 'Bark');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '64', 'bat', 'Bat Eyelashes');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '65', 'batlashes', 'Bat Eyelashes');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '66', 'battlefieldstatus', 'Battle Field Status');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '67', 'bbl', 'Be Back Later');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '68', 'beam', 'Beam Smile');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '69', 'bearhug', 'Bear Hug');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '70', 'beckon', 'Beckon');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '71', 'belch', 'Belch');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '72', 'belligerent', 'Belligerent');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '73', 'berserk1', 'Berserk 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '74', 'berserk2', 'Berserk 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '75', 'bet', 'Bet');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '76', 'bite', 'Bite');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '77', 'bitter', 'Bitter');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '78', 'blame', 'Blame');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '79', 'bleed', 'Bleed');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '80', 'bleedingshot', 'Bleeding Shot');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '81', 'blindattack', 'Blind Attack');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '82', 'blink', 'Blink');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '83', 'bloodthirsty', 'Bloodthirsty');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '84', 'blow', 'Blow Bubbles');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '85', 'blowkiss', 'Blow Kiss');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '86', 'blush', 'Blush');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '87', 'bmoc', 'Big Man On Campus');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '88', 'boardshuttle', 'Board Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '89', 'bob', 'Bob');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '90', 'bodyshot', 'Body Shot');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '91', 'bodyshot1', 'Body Shot 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '92', 'bodyshot2', 'Body Shot 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '93', 'bodyshot3', 'Body Shot 3');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '94', 'bodyslam', 'Body Slam!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '95', 'boggle', 'Boggle');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '96', 'bonk', 'Bonk');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '97', 'boogie', 'Boogie');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '98', 'boostmorale', 'Boost Morale');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '99', 'bored', 'Bored..');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '100', 'bounce', 'Bounce');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '101', 'bouquet', 'Bouquet');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '102', 'bow', 'Bow (Basic)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '103', 'bow2', 'Bow (Honorable)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '104', 'bow3', 'Bow (Deep)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '105', 'bow4', 'Bow (Formal)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '106', 'bowhead', 'Bow Head');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '107', 'brandish', 'Brandish Weapon');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '108', 'brave', 'Brave');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '109', 'brb', 'Be Right Back');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '110', 'brt', 'Be Right There');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '111', 'bstrike1', 'Bomber Strike 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '112', 'bstrike2', 'Bomber Strike 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '113', 'bstrike3', 'Bomber Strike 3');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '114', 'bubbly', 'Bubbly');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '115', 'bump', 'Bump');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '116', 'burp', 'Burp');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '117', 'burstrun', 'Burst Run');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '118', 'burstshot1', 'Burst Shot 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '119', 'burstshot2', 'Burst Shot 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '120', 'bye', 'Bye!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '121', 'cackle', 'Cackle');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '122', 'callous', 'Callous');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '123', 'callretreat', 'Call Retreat');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '124', 'callstop', 'Stop!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '125', 'calm', 'Calm Down');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '126', 'cancelcraftingsession', 'Cancel Crafting Session');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '127', 'carbineaim', 'Carbine Aim');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '128', 'carbinecharge', 'Carbine Charge');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '129', 'carbinedisarmingshot', 'Carbine Disarming Shot');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '130', 'carbineflurryshot', 'Carbine Flurry Shot');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '131', 'carbinemeleedefense1', 'Carbine Melee Defense 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '132', 'carbinemeleedefense2', 'Carbine Melee Defense 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '133', 'carbinescattershot', 'Carbine Scatter Shot');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '134', 'carbinesneak', 'Carbine Sneak');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '135', 'carbinestartleshot', 'Carbine Startle Shot');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '136', 'carbinestrafeshot', 'Carbine Strafe Shot');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '137', 'carbinesuppressionfire', 'Carbine Suppression Fire');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '138', 'carbinesurpriseshot', 'Carbine Surprise Shot');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '139', 'careful', 'Careful');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '140', 'careless', 'Careless');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '141', 'casual', 'Casual');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '142', 'catchbreath', 'Catch Breath');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '143', 'censor', 'Censor');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '144', 'centerofbeing', 'Center Of Being');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '145', 'cert_axe_heavy_duty', 'Heavy Axe Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '146', 'cert_axe_vibro', 'Vibro Axe Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '147', 'cert_baton_gaderiffi', 'Gaderiffi Baton Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '148', 'cert_baton_stun', 'Stun Baton Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '149', 'cert_carbine_cdef', 'CDEF Carbine Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '150', 'cert_carbine_dh17', 'DH17 Carbine Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '151', 'cert_carbine_dh17_short', 'DH17 Short Carbine Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '152', 'cert_carbine_dh17_snubnose', 'DH17 Snubnose Carbine Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '153', 'cert_carbine_dxr6', 'DXR6 Carbine Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '154', 'cert_carbine_e11', 'E11 Carbine Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '155', 'cert_carbine_ee3', 'EE3 Carbine Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '156', 'cert_carbine_elite', 'Elite Carbine Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '157', 'cert_carbine_laser', 'Laser Carbine Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '158', 'cert_carbine_laster', 'Laser Carbine Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '159', 'cert_carbine_nym_slugthrower', 'Slugthrower Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '160', 'cert_droid_astromech_1', 'Level One Astromech Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '161', 'cert_droid_astromech_2', 'Level Two Astromech Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '162', 'cert_droid_astromech_3', 'Level Three Astromech Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '163', 'cert_droid_astromech_4', 'Level Four Astromech Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '164', 'cert_droid_astromech_5', 'Level Five Astromech Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '165', 'cert_droid_astromech_6', 'Level Six Astromech Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '166', 'cert_grenade_cryoban', 'Cryoban Grenade Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '167', 'cert_grenade_fragmentation', 'Fragmentation Grenade Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '168', 'cert_grenade_fragmentation_light', 'Light Fragmentation Grenade Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '169', 'cert_grenade_glop', 'Glop Grenade Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '170', 'cert_grenade_imperial_detonator', 'Imperial Detonator Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '171', 'cert_grenade_proton', 'Proton Grenade Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '172', 'cert_grenade_thermal_detonator', 'Thermal Detonator Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '173', 'cert_heavy_acid_beam', 'Heavy Acid Beam Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '174', 'cert_heavy_lightning_beam', 'Lightning Beam Cannon Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '175', 'cert_heavy_particle_beam', 'Heavy Particle Beam Cannon Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '176', 'cert_knife_dagger', 'Dagger Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '177', 'cert_knife_stone', 'Stone Knife Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '178', 'cert_knife_survival', 'Survival Knife Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '179', 'cert_knife_vibroblade', 'Vibroblade Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '180', 'cert_lance_controllerfp', 'Basic Lance Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '181', 'cert_lance_staff_metal', 'Metal Staff Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '182', 'cert_lance_staff_wood_s1', 'Wood Staff Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '183', 'cert_lance_staff_wood_s2', 'Reinforced Combat Staff Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '184', 'cert_lance_vibro_axe', 'Long Vibro Axe Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '185', 'cert_lance_vibrolance', 'Vibro Lance Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '186', 'cert_onehandlightsaber', 'One-handed Lightsaber Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '187', 'cert_onehandlightsaber_gen1', 'One-handed Lightsaber Generation 1 Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '188', 'cert_onehandlightsaber_gen2', 'One-handed Lightsaber Generation 2 Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '189', 'cert_onehandlightsaber_gen3', 'One-handed Lightsaber Generation 3 Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '190', 'cert_onehandlightsaber_gen4', 'One-handed Lightsaber Generation 4 Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '191', 'cert_onehandlightsaber_training', 'One-handed Training Lightsaber Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '192', 'cert_ordnance_level1', 'Level 1 Ship Equipment Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '193', 'cert_ordnance_level2', 'Level 2 Ship Equipment Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '194', 'cert_ordnance_level3', 'Level 3 Ship Equipment Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '195', 'cert_ordnance_level4', 'Level 4 Ship Equipment Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '196', 'cert_ordnance_level5', 'Level 5 Ship Equipment Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '197', 'cert_ordnance_level6', 'Level 6 Ship Equipment Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '198', 'cert_ordnance_level7', 'Level 7 Ship Equipment Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '199', 'cert_ordnance_level8', 'Level 8 Ship Equipment Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '200', 'cert_ordnance_level9', 'Level 9 Ship Equipment Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '201', 'cert_ordnance_levelten', 'Level 10 Ship Equipment Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '202', 'cert_pistol_cdef', 'CDEF Pistol Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '203', 'cert_pistol_d18', 'D18 Pistol Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '204', 'cert_pistol_dh17', 'DH17 Pistol Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '205', 'cert_pistol_dl18', 'DL18 Pistol Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '206', 'cert_pistol_dl44', 'DL44 Pistol Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '207', 'cert_pistol_dl44_metal', 'DL44 Metal Pistol Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '208', 'cert_pistol_dx2', 'DX2 Pistol Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '209', 'cert_pistol_fwg5', 'FWG5 Pistol Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '210', 'cert_pistol_launcher', 'Launcher Pistol Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '211', 'cert_pistol_power5', 'Power5 Pistol Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '212', 'cert_pistol_republic_blaster', 'Republic Blaster Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '213', 'cert_pistol_scatter', 'Scatter Pistol Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '214', 'cert_pistol_scout_blaster', 'Scout Blaster Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '215', 'cert_pistol_srcombat', 'SR Combat Pistol Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '216', 'cert_pistol_striker', 'Striker Pistol Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '217', 'cert_pistol_tangle', 'Tangle Pistol Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '218', 'cert_polearmlightsaber', 'Polearm Lightsaber Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '219', 'cert_polearmlightsaber_gen1', 'Double-Bladed Lightsaber Generation 1 Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '220', 'cert_polearmlightsaber_gen2', 'Double-Bladed Lightsaber Generation 2 Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '221', 'cert_polearmlightsaber_gen3', 'Double-Bladed Lightsaber Generation 3 Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '222', 'cert_polearmlightsaber_gen4', 'Double-Bladed Lightsaber Generation 4 Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '223', 'cert_rifle_acid', 'Heavy Acid Rifle Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '224', 'cert_rifle_acid_beam', 'Heavy Acid Rifle Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '225', 'cert_rifle_beam', 'Beam Rifle Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '226', 'cert_rifle_bowcaster', 'Bowcaster Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '227', 'cert_rifle_cdef', 'CDEF Rifle Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '228', 'cert_rifle_dlt20', 'DLT20 Rifle Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '229', 'cert_rifle_dlt20a', 'DLT20a Rifle Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '230', 'cert_rifle_e11', 'E11 Rifle Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '231', 'cert_rifle_flame_thrower', 'Flame Thrower Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '232', 'cert_rifle_flamethrower', 'Flame Thrower Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '233', 'cert_rifle_jawa_ion', 'Jawa Ion Rifle Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '234', 'cert_rifle_laser', 'Laser Rifle Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '235', 'cert_rifle_laster', 'Laser Rifle Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '236', 'cert_rifle_lightning', 'Light Lightning Cannon Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '237', 'cert_rifle_sg82', 'SG82 Rifle Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '238', 'cert_rifle_spraystick', 'Spraystick Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '239', 'cert_rifle_t21', 'T21 Rifle Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '240', 'cert_rifle_tusken', 'Tusken Rifle Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '241', 'cert_rocket_launcher', 'Rocket Launcher Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '242', 'cert_starships_awing', 'A-Wing Piloting Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '243', 'cert_starships_blacksunfighter', 'Ixiyen Starfighter Piloting Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '244', 'cert_starships_bwing', 'B-Wing Piloting Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '245', 'cert_starships_corsecfighter', 'CORSEC Starfighter Piloting Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '246', 'cert_starships_decimator', 'VT-49 Decimator Piloting Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '247', 'cert_starships_firespray', 'KSE Firespray Piloting Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '248', 'cert_starships_heavyblacksunfighter', 'Rihkxyrk Starfighter Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '249', 'cert_starships_heavyhuttfighter', 'Kimogila Starfighter Piloting Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '250', 'cert_starships_hutt_turret_ship', 'M22-T \"Krayt\" Gunship Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '251', 'cert_starships_huttfighter', 'Dunelizard Starfighter Piloting Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '252', 'cert_starships_imperialtransport', 'Imperial Transport Piloting Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '253', 'cert_starships_lightblacksunfighter', 'Kihraxz Starfighter Piloting Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '254', 'cert_starships_lighthuttfighter', 'Scyk Starfighter Piloting Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '255', 'cert_starships_mediumblacksunfighter', 'Ixiyen Starfighter Piloting Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '256', 'cert_starships_mediumhuttfighter', 'Dunelizard Starfighter Piloting Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '257', 'cert_starships_merchantcruiser', 'Merchant Cruiser Piloting Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '258', 'cert_starships_rebeltransport', 'Rebel Transport Piloting Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '259', 'cert_starships_republicfighter', 'Republic Starfighter Piloting Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '260', 'cert_starships_tieadvanced', 'TIE Advanced Piloting Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '261', 'cert_starships_tieaggressor', 'TIE Aggressor Piloting Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '262', 'cert_starships_tiebomber', 'TIE Bomber Piloting Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '263', 'cert_starships_tiefighter', 'TIE Fighter Piloting Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '264', 'cert_starships_tiefighterin', 'TIE/In Fighter Piloting Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '265', 'cert_starships_tiefighterlight', 'TIE Fighter (Light Duty) Piloting Certification ');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '266', 'cert_starships_tieinterceptor', 'TIE Interceptor Piloting Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '267', 'cert_starships_tieoppressor', 'TIE Oppressor Piloting Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '268', 'cert_starships_xwing', 'X-Wing Piloting Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '269', 'cert_starships_ykl37r', 'YKL-37R Nova Courier Piloting Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '270', 'cert_starships_yt1300', 'YT-1300 Transport Piloting Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '271', 'cert_starships_yt2400', 'YT-2400 Freighter Piloting Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '272', 'cert_starships_ywing', 'Y-Wing Piloting Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '273', 'cert_starships_ywinglongprobe', 'Y-Wing \'LongProbe\' Piloting Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '274', 'cert_starships_z95headhunter', 'Z-95 Headhunter Piloting Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '275', 'cert_sword_01', 'Sword Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '276', 'cert_sword_02', 'Curved Sword Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '277', 'cert_sword_2h_axe', 'Two-handed Axe Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '278', 'cert_sword_2h_cleaver', 'Two-handed Cleaver Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '279', 'cert_sword_2h_katana', 'Two-handed Curved Sword Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '280', 'cert_sword_2h_maul', 'Power Hammer Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '281', 'cert_sword_2h_scythe', 'Scythe Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '282', 'cert_sword_blade_rantok', 'Rantok Sword Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '283', 'cert_sword_blade_ryyk', 'Ryyk Blade Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '284', 'cert_sword_rantok', 'Rantok Sword Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '285', 'cert_thrown_bolo', 'Bolo Throwing Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '286', 'cert_thrown_dagger', 'Dagger Throwing Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '287', 'cert_thrown_hatchet', 'Throwing Axe Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '288', 'cert_thrown_knife', 'Knife Throwing Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '289', 'cert_thrown_plasmasphere', 'Plasma Sphere Throwing Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '290', 'cert_thrown_shuriken', 'Throwing Star Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '291', 'cert_twohandlightsaber', 'Two-handed Lightsaber Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '292', 'cert_twohandlightsaber_gen1', 'Two-handed Lightsaber Generation 1 Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '293', 'cert_twohandlightsaber_gen2', 'Two-handed Lightsaber Generation 2 Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '294', 'cert_twohandlightsaber_gen3', 'Two-handed Lightsaber Generation 3 Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '295', 'cert_twohandlightsaber_gen4', 'Two-handed Lightsaber Generation 4 Certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '296', 'cert_vibroknuckler', 'Vibroknuckler certification');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '297', 'channelforce', 'Channel Force');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '298', 'chargeshot1', 'Charge Shot 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '299', 'chargeshot2', 'Charge Shot 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '300', 'chase', 'Chase');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '301', 'chatterspeech+acceleratetoattack', 'Accelerate to attack speed.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '302', 'chatterspeech+allclear', 'All clear.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '303', 'chatterspeech+allwingsreport', 'All wings report in.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '304', 'chatterspeech+almostthere', 'Almost there.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '305', 'chatterspeech+attackcriticaltarget', 'Attack the critical target!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '306', 'chatterspeech+attackmytarget', 'Attack my target!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '307', 'chatterspeech+attackrun', 'Get set to make your attack run.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '308', 'chatterspeech+cantholdthem', 'I can\'t hold them.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '309', 'chatterspeech+cantmaneuver', 'I can\'t maneuver!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '310', 'chatterspeech+cantshakethem', 'Help!  I can\'t shake them!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '311', 'chatterspeech+closeup', 'Close up formation.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '312', 'chatterspeech+defendourtarget', 'Defend our target.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '313', 'chatterspeech+escortcriticaltarget', 'Escort the critical target.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '314', 'chatterspeech+fallback', 'Fall back!  Regroup on the surface.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '315', 'chatterspeech+followmylead', 'Follow my lead.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '316', 'chatterspeech+fullthrottle', 'We\'re going in full throttle.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '317', 'chatterspeech+gothim', 'Got him!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '318', 'chatterspeech+greatgoingkid', 'Great going, kid!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '319', 'chatterspeech+greatshot', 'Great shot!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '320', 'chatterspeech+heavyfire', 'I\'m taking heavy fire!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '321', 'chatterspeech+holdthemoff', 'Just hold them off for a few seconds.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '322', 'chatterspeech+imhit', 'I\'m hit!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '323', 'chatterspeech+iminrange', 'I\'m in range.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '324', 'chatterspeech+imonit', 'I\'m on it.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '325', 'chatterspeech+imontheleader', 'I\'m on the leader.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '326', 'chatterspeech+iseethem', 'I see them!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '327', 'chatterspeech+itsahit', 'It\'s a hit!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '328', 'chatterspeech+itsaway', 'It\'s away!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '329', 'chatterspeech+keepeyesopen', 'Keep your eyes open.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '330', 'chatterspeech+locksfoils', 'Lock S-foils in attack position.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '331', 'chatterspeech+negative', 'Negative.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '332', 'chatterspeech+negativenoimpact', 'Negative.  It just impacted on the surface.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '333', 'chatterspeech+onmetight', 'He\'s on me tight.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '334', 'chatterspeech+outgunned', 'I\'m outgunned here!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '335', 'chatterspeech+rendezvous', 'Rendezvous at my location.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '336', 'chatterspeech+reportin', 'All wings report in.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '337', 'chatterspeech+retreat', 'Retreat!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '338', 'chatterspeech+rightwithyou', 'Right with you.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '339', 'chatterspeech+scopesnegative', 'My scope\'s negative.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '340', 'chatterspeech+stayontarget', 'Stay on target.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '341', 'chatterspeech+targetcoming', 'Targets coming up!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '342', 'chatterspeech+theycamefrombehind', 'They came from behind.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '343', 'chatterspeech+thisisit', 'This is it!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '344', 'chatterspeech+watchcrossfire', 'Watch that crossfire!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '345', 'chatterspeech+watchyourback', 'Watch your back!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '346', 'chatterspeech+watchyourself', 'Watch yourself!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '347', 'chatterspeech+wellstayback', 'We\'ll stay back.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '348', 'chatterspeech+wholeading', 'Who\'s leading this sortie?');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '349', 'chatterspeech+wookieewin', 'Let the wookiee win.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '350', 'chatterspeech+youreallclearkid', 'You\'re all clear, kid.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '351', 'cheek', 'Cheek Kiss');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '352', 'cheer', 'Cheer');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '353', 'cheerful', 'Cheerful');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '354', 'chestpound', 'Pound Chest');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '355', 'chestpuff', 'Puff Chest');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '356', 'choppedliver', 'Chopped Liver');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '357', 'chortle', 'Chortle');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '358', 'chuckle', 'Chuckle');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '359', 'city_faction_declare', 'Declare City Faction');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '360', 'city_map', 'Register City');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '361', 'city_spec_cloning', 'City Specialization: Clone Lab');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '362', 'city_spec_doctor', 'City Specialization: Medical Center');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '363', 'city_spec_entertainer', 'City Specialization: Entertainment District');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '364', 'city_spec_farming', 'City Specialization: Farming Community');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '365', 'city_spec_industry', 'City Specialization: Manufacturing Center');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '366', 'city_spec_master_healing', 'City Specialization: Scientific Society');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '367', 'city_spec_master_manufacturing', 'City Specialization: Industrial Society');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '368', 'city_spec_missions', 'City Specialization: Improved Job Market');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '369', 'city_spec_research', 'City Specialization: Research Center');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '370', 'city_spec_sample_rich', 'City Specialization: Sample Rich');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '371', 'city_spec_stronghold', 'City Specialization: Stronghold');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '372', 'city_watch', 'Deploy City Watch');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '373', 'city_zoning', 'Grant Zoning Rights');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '374', 'cityban', 'City Ban');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '375', 'citypardon', 'City Pardon');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '376', 'citywarn', 'City Warn');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '377', 'clap', 'Clap');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '378', 'claw', 'Claw (Bare Claws)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '379', 'clinical', 'Clinical');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '380', 'close', 'Close Eyes');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '381', 'closeeyes', 'Close Eyes');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '382', 'cocky', 'Cocky');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '383', 'cold', 'Cold');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '384', 'colorlights', 'Colored Lights');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '385', 'comb', 'Comb');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '386', 'combarea', 'Comb Area');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '387', 'combatattitudeaggressive', 'Combat Attitude Aggressive');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '388', 'combatattitudeevasive', 'Combat Attitude Evasive');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '389', 'combattarget', 'Combat Target');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '390', 'combhair', 'Comb Hair');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '391', 'comfort', 'Comfort');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '392', 'compassionate', 'Compassionate');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '393', 'con', 'Consider');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '394', 'conceal', 'Conceal');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '395', 'concealshot', 'Conceal Shot');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '396', 'condescending', 'Condescending');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '397', 'confident', 'Confident');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '398', 'confused', 'Confused');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '399', 'confusionshot', 'Confusion Shot');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '400', 'congratulate', 'Congratulate');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '401', 'consent', 'Consent');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '402', 'consider', 'Consider');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '403', 'contemplate', 'Contemplate');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '404', 'contemptuous', 'Contemptuous');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '405', 'content', 'Content');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '406', 'corpse', 'Corpse');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '407', 'cough', 'Cough');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '408', 'counterattack', 'Counter Attack');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '409', 'courtly', 'Courtly');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '410', 'cover', 'Cover Up');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '411', 'covereyes', 'Cover Eyes');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '412', 'cower', 'Cower');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '413', 'coy', 'Coy');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '414', 'createmanfschematic', 'Create Manufcture Schematic');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '415', 'createprototype', 'Create Prototype');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '416', 'creatureareableeding', 'Creature');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '417', 'creatureareacombo', 'Creature');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '418', 'creatureareadisease', 'Creatures are a Disease');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '419', 'creatureareaknockdown', 'Creature');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '420', 'creatureareapoison', 'Creature are a Poison');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '421', 'creatureareattack', 'Creature');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '422', 'cringe', 'Cringe');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '423', 'cripplingshot', 'Crippling Shot');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '424', 'crotchety', 'Crotchety');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '425', 'crude', 'Crude');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '426', 'cruel', 'Cruel');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '427', 'cry', 'Cry');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '428', 'cu', 'See Ya!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '429', 'cuckoo', 'Cuckoo');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '430', 'culater', 'See Ya Later!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '431', 'curedisease', 'Cure Disease');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '432', 'curepoison', 'Cure Poison');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '433', 'curious', 'Curious');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '434', 'curse', 'Curse');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '435', 'curtsey', 'Curtsey');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '436', 'customizedroid', 'Customize Droid');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '437', 'cynical', 'Cynical');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '438', 'dainty', 'Dainty');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '439', 'dance', 'Dance');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '440', 'dancer', 'Dancer');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '441', 'dazzle', 'Dazzle');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '442', 'declareovert', 'Declare Overt Faction Status');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '443', 'deepbow', 'Deep Bow');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '444', 'defaultattack', 'Attack');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '445', 'defend', 'Defend');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '446', 'defensive', 'Defensive');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '447', 'defuseminefield', 'Defuse Mine Field');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '448', 'demure', 'Demure');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '449', 'deploytrap', 'deploy a trap');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '450', 'depressed', 'Depressed');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '451', 'deride', 'Deride');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '452', 'devious', 'Devious');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '453', 'diagnose', 'Diagnose');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '454', 'dies', 'Dies');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '455', 'dignified', 'Dignified');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '456', 'dimwitted', 'Dimwitted');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '457', 'diplomatic', 'Diplomatic');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '458', 'disagree', 'Disagree');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '459', 'disappointed', 'Dissappointed');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '460', 'disarmingshot', 'Disarming Shot');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '461', 'disarmingshot1', 'Disarming Shot 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '462', 'disarmingshot2', 'Disarming Shot 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '463', 'discreet', 'Discreet');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '464', 'disdainful', 'Disdainful');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '465', 'disgruntled', 'Disgruntled');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '466', 'disgusted', 'Disgusted');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '467', 'dismayed', 'Dismayed');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '468', 'dismiss', 'Dismiss');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '469', 'dismount', 'Dismount');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '470', 'disoriented', 'Disoriented');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '471', 'distract', 'Distract');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '472', 'distracted', 'Distracted');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '473', 'diveshot', 'Dive Shot');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '474', 'dizzyattack', 'Dizzy Attack');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '475', 'dock', 'Dock');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '476', 'doh', 'Doh!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '477', 'doubletap', 'Double Tap');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '478', 'doubtful', 'Doubtful');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '479', 'down', 'Stay Down');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '480', 'dragincapacitatedplayer', 'Drag Incapacitated Player');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '481', 'dragplayer', 'Drag Player');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '482', 'drainforce', 'Drain Force');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '483', 'dramatic', 'Dramatic');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '484', 'dream', 'Dream');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '485', 'dreamy', 'Dreamy');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '486', 'droid+droidcommand_breaklockfour', 'Missile Countermeasure - Four');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '487', 'droid+droidcommand_breaklockone', 'Missile Countermeasure - One');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '488', 'droid+droidcommand_breaklockthree', 'Missile Countermeasure - Three');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '489', 'droid+droidcommand_breaklocktwo', 'Missile Countermeasure - Two');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '490', 'droid+droidcommand_engineefficiencyfour', 'Engine Tuning - Four');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '491', 'droid+droidcommand_engineefficiencyone', 'Engine Tuning - One');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '492', 'droid+droidcommand_engineefficiencythree', 'Engine Tuning - Three');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '493', 'droid+droidcommand_engineefficiencytwo', 'Engine Tuning - Two');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '494', 'droid+droidcommand_enginenormalize', 'Engine Stabilization');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '495', 'droid+droidcommand_engineoverloadfour', 'Engine Overload - Four');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '496', 'droid+droidcommand_engineoverloadone', 'Engine Overload - One');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '497', 'droid+droidcommand_engineoverloadthree', 'Engine Overload - Three');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '498', 'droid+droidcommand_engineoverloadtwo', 'Engine Overload - Two');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '499', 'droid+droidcommand_mutedroid', 'Mute Droid/Flight-Computer');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '500', 'droid+droidcommand_reactornormalize', 'Reactor Stabilization');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '501', 'droid+droidcommand_reactoroverloadfour', 'Reactor Overload - Four');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '502', 'droid+droidcommand_reactoroverloadone', 'Reactor Overload - One');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '503', 'droid+droidcommand_reactoroverloadthree', 'Reactor Overload - Three');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '504', 'droid+droidcommand_reactoroverloadtwo', 'Reactor Overload - Two');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '505', 'droid+droidcommand_shieldadjustfrontfour', 'Shield Front Adjust - Extreme');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '506', 'droid+droidcommand_shieldadjustfrontone', 'Shield Front Adjust - Light');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '507', 'droid+droidcommand_shieldadjustfrontthree', 'Shield Front Adjust - Heavy');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '508', 'droid+droidcommand_shieldadjustfronttwo', 'Shield Front Adjust - Moderate');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '509', 'droid+droidcommand_shieldadjustrearfour', 'Shield Rear Adjust - Extreme');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '510', 'droid+droidcommand_shieldadjustrearone', 'Shield Rear Adjust - Light');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '511', 'droid+droidcommand_shieldadjustrearthree', 'Shield Rear Adjust - Heavy');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '512', 'droid+droidcommand_shieldadjustreartwo', 'Shield Rear Adjust - Moderate');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '513', 'droid+droidcommand_shieldbacktofronteighty', 'Shield Front Reinforcement - Heavy');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '514', 'droid+droidcommand_shieldbacktofrontfifty', 'Shield Front Reinforcement - Moderate');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '515', 'droid+droidcommand_shieldbacktofronthundred', 'Shield Front Reinforcement - Extreme');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '516', 'droid+droidcommand_shieldbacktofronttwenty', 'Shield Front Reinforcement - Light');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '517', 'droid+droidcommand_shieldemergencyfront', 'Shield Emergency Front');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '518', 'droid+droidcommand_shieldemergencyrear', 'Shield Emergency Rear');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '519', 'droid+droidcommand_shieldfronttobackeighty', 'Shield Rear Reinforcement - Heavy');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '520', 'droid+droidcommand_shieldfronttobackfifty', 'Shield Rear Reinforcement - Moderate');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '521', 'droid+droidcommand_shieldfronttobackhundred', 'Shield Rear Reinforcement - Extreme');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '522', 'droid+droidcommand_shieldfronttobacktwenty', 'Shield Rear Reinforcement - Light');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '523', 'droid+droidcommand_shieldnormalize', 'Shields Normalization');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '524', 'droid+droidcommand_testbacktofrontfifty', 'Droid Program: (TEST) Medium Front Shield Reinforcement');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '525', 'droid+droidcommand_testfronttobackfifty', 'Droid Program: (TEST) Medium Rear Shield Reinforcement');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '526', 'droid+droidcommand_testweaponnormalize', 'Droid Program: (TEST) Weapon Equalization');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '527', 'droid+droidcommand_testweaponoverload1', 'Droid Program: (TEST) Light Weapon Overloading');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '528', 'droid+droidcommand_testweaponoverload2', 'Droid Program: (TEST) Medium Weapon Overloading');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '529', 'droid+droidcommand_testweaponoverload3', 'Droid Program: (TEST) Heavy Weapon Overloading');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '530', 'droid+droidcommand_testweaponoverload4', 'Droid Program: (TEST) Extreme Weapon Overloading');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '531', 'droid+droidcommand_weapcapequalize', 'Weapon Capacitor Reset');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '532', 'droid+droidcommand_weapcappowerupfour', 'Weapon Capacitor Overcharge - Four');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '533', 'droid+droidcommand_weapcappowerupone', 'Weapon Capacitor Overcharge - One');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '534', 'droid+droidcommand_weapcappowerupthree', 'Weapon Capacitor Overcharge - Three');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '535', 'droid+droidcommand_weapcappoweruptwo', 'Weapon Capacitor Overcharge - Two');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '536', 'droid+droidcommand_weapcaptoshieldfour', 'Capacitor to Shield Shunt - Four');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '537', 'droid+droidcommand_weapcaptoshieldone', 'Capacitor to Shield Shunt - One');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '538', 'droid+droidcommand_weapcaptoshieldthree', 'Capacitor to Shield Shunt - Three');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '539', 'droid+droidcommand_weapcaptoshieldtwo', 'Capacitor to Shield Shunt - Two');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '540', 'droid+droidcommand_weaponeffeciencyfour', 'Weapon Tuning - Four');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '541', 'droid+droidcommand_weaponeffeciencyone', 'Weapon Tuning - One');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '542', 'droid+droidcommand_weaponeffeciencythree', 'Weapon Tuning - Three');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '543', 'droid+droidcommand_weaponeffeciencytwo', 'Weapon Tuning - Two');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '544', 'droid+droidcommand_weaponnormalize', 'Weapon Normalization');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '545', 'droid+droidcommand_weaponoverloadfour', 'Weapon Overload - Four');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '546', 'droid+droidcommand_weaponoverloadone', 'Weapon Overload - One');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '547', 'droid+droidcommand_weaponoverloadthree', 'Weapon Overload - Three');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '548', 'droid+droidcommand_weaponoverloadtwo', 'Weapon Overload - Two');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '549', 'droid_find', 'Droid Find');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '550', 'droid_track', 'Droid Track');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '551', 'droidcommand_breaklockfour', 'Droid Program: Missile Countermeasure - Four');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '552', 'droidcommand_breaklockone', 'Droid Program: Missile Countermeasure - One');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '553', 'droidcommand_breaklockthree', 'Droid Program: Missile Countermeasure - Three');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '554', 'droidcommand_breaklocktwo', 'Droid Program: Missile Countermeasure - Two');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '555', 'droidcommand_engineefficiencyfour', 'Droid Program: Engine Tuning - Four');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '556', 'droidcommand_engineefficiencyone', 'Droid Program: Engine Tuning - One');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '557', 'droidcommand_engineefficiencythree', 'Droid Program: Engine Tuning - Three');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '558', 'droidcommand_engineefficiencytwo', 'Droid Program: Engine Tuning - Two');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '559', 'droidcommand_enginenormalize', 'Droid Program: Engine Stabilization');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '560', 'droidcommand_engineoverloadfour', 'Droid Program: Engine Overload - Four');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '561', 'droidcommand_engineoverloadone', 'Droid Program: Engine Overload - One');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '562', 'droidcommand_engineoverloadthree', 'Droid Program: Engine Overload - Three');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '563', 'droidcommand_engineoverloadtwo', 'Droid Program: Engine Overload - Two');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '564', 'droidcommand_mutedroid', 'Droid Program: Mute Droid/Flight-Computer');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '565', 'droidcommand_reactornormalize', 'Droid Program: Reactor Stabilization');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '566', 'droidcommand_reactoroverloadfour', 'Droid Program: Reactor Overload - Four');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '567', 'droidcommand_reactoroverloadone', 'Droid Program: Reactor Overload - One');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '568', 'droidcommand_reactoroverloadthree', 'Droid Program: Reactor Overload - Three');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '569', 'droidcommand_reactoroverloadtwo', 'Droid Program: Reactor Overload - Two');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '570', 'droidcommand_shieldadjustfrontfour', 'Droid Program: Shield Front Adjust - Extreme');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '571', 'droidcommand_shieldadjustfrontone', 'Droid Program: Shield Front Adjust - Light');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '572', 'droidcommand_shieldadjustfrontthree', 'Droid Program: Shield Front Adjust - Heavy');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '573', 'droidcommand_shieldadjustfronttwo', 'Droid Program: Shield Front Adjust - Moderate');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '574', 'droidcommand_shieldadjustrearfour', 'Droid Program: Shield Rear Adjust - Extreme');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '575', 'droidcommand_shieldadjustrearone', 'Droid Program: Shield Rear Adjust - Light');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '576', 'droidcommand_shieldadjustrearthree', 'Droid Program: Shield Rear Adjust - Heavy');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '577', 'droidcommand_shieldadjustreartwo', 'Droid Program: Shield Rear Adjust - Moderate');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '578', 'droidcommand_shieldbacktofronteighty', 'Droid Program: Shield Front Reinforcement - Heavy');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '579', 'droidcommand_shieldbacktofrontfifty', 'Droid Program: Shield Front Reinforcement - Moderate');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '580', 'droidcommand_shieldbacktofronthundred', 'Droid Program: Shield Front Reinforcement - Extreme');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '581', 'droidcommand_shieldbacktofronttwenty', 'Droid Program: Shield Front Reinforcement - Light');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '582', 'droidcommand_shieldemergencyfront', 'Droid Program: Shield Emergency Front');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '583', 'droidcommand_shieldemergencyrear', 'Droid Program: Shield Emergency Rear');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '584', 'droidcommand_shieldfronttobackeighty', 'Droid Program: Shield Rear Reinforcement - Heavy');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '585', 'droidcommand_shieldfronttobackfifty', 'Droid Program: Shield Rear Reinforcement - Moderate');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '586', 'droidcommand_shieldfronttobackhundred', 'Droid Program: Shield Rear Reinforcement - Extreme');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '587', 'droidcommand_shieldfronttobacktwenty', 'Droid Program: Shield Rear Reinforcement - Light');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '588', 'droidcommand_shieldnormalize', 'Droid Program: Shields Normalization');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '589', 'droidcommand_weapcapequalize', 'Droid Program: Weapon Capacitor Reset');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '590', 'droidcommand_weapcappowerupfour', 'Droid Program: Weapon Capacitor Overcharge - Four');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '591', 'droidcommand_weapcappowerupone', 'Droid Program: Weapon Capacitor Overcharge - One');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '592', 'droidcommand_weapcappowerupthree', 'Droid Program: Weapon Capacitor Overcharge - Three');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '593', 'droidcommand_weapcappoweruptwo', 'Droid Program: Weapon Capacitor Overcharge - Two');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '594', 'droidcommand_weapcaptoshieldfour', 'Droid Program: Capacitor to Shield Shunt - Four');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '595', 'droidcommand_weapcaptoshieldone', 'Droid Program: Capacitor to Shield Shunt - One');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '596', 'droidcommand_weapcaptoshieldthree', 'Droid Program: Capacitor to Shield Shunt - Three');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '597', 'droidcommand_weapcaptoshieldtwo', 'Droid Program: Capacitor to Shield Shunt - Two');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '598', 'droidcommand_weaponeffeciencyfour', 'Droid Program: Weapon Tuning - Four');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '599', 'droidcommand_weaponeffeciencyone', 'Droid Program: Weapon Tuning - One');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '600', 'droidcommand_weaponeffeciencythree', 'Droid Program: Weapon Tuning - Three');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '601', 'droidcommand_weaponeffeciencytwo', 'Droid Program: Weapon Tuning - Two');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '602', 'droidcommand_weaponnormalize', 'Droid Program: Weapon Normalization');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '603', 'droidcommand_weaponoverloadfour', 'Droid Program: Weapon Overload - Four');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '604', 'droidcommand_weaponoverloadone', 'Droid Program: Weapon Overload - One');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '605', 'droidcommand_weaponoverloadthree', 'Droid Program: Weapon Overload - Three');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '606', 'droidcommand_weaponoverloadtwo', 'Droid Program: Weapon Overload - Two');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '607', 'drool', 'Drool');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '608', 'drunk', 'Drunk');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '609', 'duck', 'Duck');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '610', 'duel', 'Duel');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '611', 'dumppausedcommands', 'Dump Paused Commands');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '612', 'earnest', 'Earnest');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '613', 'echo', 'Echo');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '614', 'echuta', 'E chu ta!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '615', 'ecstatic', 'Ecstatic');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '616', 'eek', 'Eek');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '617', 'eject', 'Eject');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '618', 'elbow', 'Elbow');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '619', 'embarrassed', 'Embarrassed');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '620', 'emboldenpets', 'Embolden Pets');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '621', 'embrace', 'Embrace');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '622', 'emotional', 'Emotional');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '623', 'emotionless', 'Emotionless');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '624', 'emphatic', 'Emphatic');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '625', 'encourage', 'Encourage');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '626', 'encouraging', 'Encouraging');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '627', 'endduel', 'End Duel');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '628', 'enraged', 'Enraged');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '629', 'enragepets', 'Enrage Pets');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '630', 'enthusiastic', 'Enthusiastic');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '631', 'envious', 'Envious');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '632', 'epulse1', 'Energy Pulse Level One');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '633', 'epulse2', 'Energy Pulse Level Two');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '634', 'epulse3', 'Energy Pulse Level Three');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '635', 'equilibrium', 'Equilibrium');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '636', 'eshields', 'Emergency Shields');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '637', 'ethrust', 'Emergency Thrust');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '638', 'evil', 'Evil');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '639', 'evilgrin', 'Evil Grin');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '640', 'eweapons', 'Emergency Weapons');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '641', 'exasperated', 'Exasperated');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '642', 'exhausted', 'Exhausted');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '643', 'extinguishfire', 'Extinguish Fire');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '644', 'exuberant', 'Exuberant');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '645', 'eyebrow', 'Raise Eyebrow');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '646', 'eyeroll', 'Roll Eyes');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '647', 'eyeshot', 'Eye Shot');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '648', 'faint', 'Faint');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '649', 'false', 'False!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '650', 'fanatical', 'Fanatical');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '651', 'fanfar', 'Fanfar (Instrument)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '652', 'fanshot', 'Fan Shot');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '653', 'faq', 'Read The Frequently Asked Questions');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '654', 'fastblast', 'Fast Blast');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '655', 'fastidious', 'Fastidious');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '656', 'fear', 'Fear');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '657', 'fearful', 'Fearful');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '658', 'feel', 'Feel');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '659', 'feh', 'Feh!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '660', 'feigndeath', 'Feign Death');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '661', 'fiddle', 'Fiddle');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '662', 'fidget', 'Fidget');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '663', 'find', 'Find');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '664', 'fireacidcone1', 'Acid Cone 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '665', 'fireacidcone2', 'Acid Cone 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '666', 'fireacidsingle1', 'Acid Single 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '667', 'fireacidsingle2', 'Acid Single 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '668', 'fireheavyweapon', 'Fire Heavy Weapon');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '669', 'firejet', 'Fire Jet');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '670', 'firelightningcone1', 'Lightning Cone 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '671', 'firelightningcone2', 'Lightning Cone 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '672', 'firelightningsingle1', 'Lightning Single 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '673', 'firelightningsingle2', 'Lightning Single 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '674', 'firm', 'Firm');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '675', 'firstaid', 'First Aid');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '676', 'fish', 'Fish');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '677', 'fistpalm', 'Palm Fist');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '678', 'fizz', 'Fizz (Instrument)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '679', 'flail', 'Flail');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '680', 'flame', 'Flame');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '681', 'flamecone1', 'Flame Cone 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '682', 'flamecone2', 'Flame Cone 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '683', 'flamesingle1', 'Flame Single 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '684', 'flamesingle2', 'Flame Single 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '685', 'flee', 'Flee');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '686', 'flex', 'Flex');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '687', 'flip', 'Flip');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '688', 'flipcoin', 'Flip Coin');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '689', 'flirt', 'Flirt');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '690', 'flourish', 'Flourish');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '691', 'flourish+1', 'Flourish 1 (Dance & Music)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '692', 'flourish+2', 'Flourish 2 (Dance & Music)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '693', 'flourish+3', 'Flourish 3 (Dance & Music)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '694', 'flourish+4', 'Flourish 4 (Dance & Music)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '695', 'flourish+5', 'Flourish 5 (Dance & Music)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '696', 'flourish+6', 'Flourish 6 (Dance & Music)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '697', 'flourish+7', 'Flourish 7 (Dance & Music)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '698', 'flourish+8', 'Flourish 8 (Dance & Music)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '699', 'flourish+9', 'Flourish 9 (Dance & Music)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '700', 'flower', 'Flower');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '701', 'flurryshot', 'Flurry Shot');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '702', 'flurryshot1', 'Flurry Shot 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '703', 'flurryshot2', 'Flurry Shot 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '704', 'flushgraphicresources', 'Flush Graphic Resources');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '705', 'flushingshot1', 'Flushing Shot 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '706', 'flushingshot2', 'Flushing Shot 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '707', 'flutedroopy', 'Chidinkalu Horn (Instrument)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '708', 'flutter', 'Heart Flutter');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '709', 'follow', 'Follow');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '710', 'fool', 'Fool');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '711', 'forage', 'Forage');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '712', 'forceabsorb1', 'Force Absorb 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '713', 'forceabsorb2', 'Force Absorb 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '714', 'forcearmor1', 'Force Armor 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '715', 'forcearmor2', 'Force Armor 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '716', 'forcechoke', 'Force Choke');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '717', 'forcecuredisease', 'Force Cure Disease');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '718', 'forcecurepoison', 'Force Cure Poison');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '719', 'forcefeedback1', 'Force Feedback 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '720', 'forcefeedback2', 'Force Feedback 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '721', 'forceintimidate', '');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '722', 'forceintimidate1', 'Force Intimidate 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '723', 'forceintimidate2', 'Force Intimidate 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '724', 'forceknockdown1', 'Force Knockdown 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '725', 'forceknockdown2', 'Force Knockdown 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '726', 'forceknockdown3', 'Force Knockdown 3');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '727', 'forcelightningcone1', 'Force Lightning Cone 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '728', 'forcelightningcone2', 'Force Lightning Cone 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '729', 'forcelightningsingle1', 'Force Lightning Single 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '730', 'forcelightningsingle2', 'Force Lightning Single 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '731', 'forcemeditate', 'Force Meditate');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '732', 'forceofwill', 'Force of Will');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '733', 'forceresistbleeding', 'Force Resist Bleeding');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '734', 'forceresistdisease', 'Force Resist Disease');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '735', 'forceresistpoison', 'Force Resist Poison');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '736', 'forceresiststates', 'Force Resist States');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '737', 'forcerun1', 'Force Run 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '738', 'forcerun2', 'Force Run 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '739', 'forcerun3', 'Force Run 3');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '740', 'forceshield1', 'Force Shield 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '741', 'forceshield2', 'Force Shield 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '742', 'forcespeed1', 'Force Speed 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '743', 'forcespeed2', 'Force Speed 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '744', 'forcethrow1', 'Force Throw 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '745', 'forcethrow2', 'Force Throw 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '746', 'forceweaken1', 'Force Weaken 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '747', 'forceweaken2', 'Force Weaken 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '748', 'forgive', 'Forgive');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '749', 'formup', 'Form Up');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '750', 'friendly', 'Friendly');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '751', 'frown', 'Frown');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '752', 'frustrated', 'Frustrated');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '753', 'fullautoarea', 'Full Auto Area');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '754', 'fullautoarea1', 'Full Auto Area 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '755', 'fullautoarea2', 'Full Auto Area 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '756', 'fullautosingle', 'Full Auto Single');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '757', 'fullautosingle1', 'Full Auto Single 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '758', 'fullautosingle2', 'Full Auto Single 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '759', 'fume', 'Fume');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '760', 'fuzzy', 'Fuzzy');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '761', 'gag', 'Gag');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '762', 'gallop', 'Gallop');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '763', 'gallopstop', 'Stop Galloping');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '764', 'gape', 'Gape');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '765', 'gasp', 'Gasp');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '766', 'gawk', 'Gawk');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '767', 'gaze', 'Gaze');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '768', 'getattributesbatch', 'getAttributesBatch');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '769', 'giggle', 'Giggle');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '770', 'giveitem', 'Give item');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '771', 'giveup', 'Give Up');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '772', 'glare', 'Glare');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '773', 'gloat', 'Gloat');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '774', 'gloomy', 'Gloomy');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '775', 'glow', 'Glow');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '776', 'going', 'Going To Charge');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '777', 'goofy', 'Goofy');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '778', 'grantzoningrights', 'Grant Zoning Rights');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '779', 'greet', 'Greet');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '780', 'grin', 'Grin');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '781', 'groan', 'Groan');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '782', 'group', 'Group');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '783', 'grovel', 'Grovel');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '784', 'growl', 'Growl');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '785', 'grumble', 'Grumble');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '786', 'grumpy', 'Grumpy');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '787', 'grunt', 'Grunt');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '788', 'guildremove', 'Guild Remove');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '789', 'guildstatus', 'Guild Status');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '790', 'guilty', 'Guilty');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '791', 'gulp', 'Gulp');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '792', 'hack', 'Hack');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '793', 'hail', 'Hail');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '794', 'halfnelson', 'Half-nelson');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '795', 'halo', 'Halo');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '796', 'hand', 'Give/Kiss Hand');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '797', 'handshake', 'Shake Hand');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '798', 'happy', 'Happy');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '799', 'harvestcorpse', 'Harvest Corpse');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '800', 'haughty', 'Haughty');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '801', 'haveconsent', 'Have Consent');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '802', 'headache', 'Headache');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '803', 'headlock', 'Headlock');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '804', 'headshot', 'Head Shot');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '805', 'headshot1', 'Head Shot 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '806', 'headshot2', 'Head Shot 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '807', 'headshot3', 'Head Shot 3');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '808', 'healactionself1', 'Heal Action Self 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '809', 'healactionself2', 'Heal Action Self 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '810', 'healactionwoundother1', 'Heal Action Wound Other 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '811', 'healactionwoundother2', 'Heal Action Wound Other 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '812', 'healactionwoundself1', 'Heal Action Wound Self 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '813', 'healactionwoundself2', 'Heal Action Wound Self 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '814', 'healallother1', 'Heal All Other 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '815', 'healallother2', 'Heal All Other 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '816', 'healallself1', 'Heal All Self 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '817', 'healallself2', 'Heal All Self 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '818', 'healbattlefatigueother1', 'Heal Battle Fatigue Other 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '819', 'healbattlefatigueother2', 'Heal Battle Fatigue Other 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '820', 'healbattlefatigueself1', 'Heal Battle Fatigue Self 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '821', 'healbattlefatigueself2', 'Heal Battle Fatigue Self 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '822', 'healdamage', 'Heal Damage');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '823', 'healenhance', 'Heal Enhance');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '824', 'healhealthself1', 'Heal Health Self 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '825', 'healhealthself2', 'Heal Health Self 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '826', 'healhealthwoundother1', 'Heal Health Wound Other 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '827', 'healhealthwoundother2', 'Heal Health Wound Other 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '828', 'healhealthwoundself1', 'Heal Health Wound Self 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '829', 'healhealthwoundself2', 'Heal Health Wound Self 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '830', 'healmind', 'Heal Mind');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '831', 'healmindself1', 'Heal Mind Self 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '832', 'healmindself2', 'Heal Mind Self 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '833', 'healmindwoundother1', 'Heal Mind Wound Other 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '834', 'healmindwoundother2', 'Heal Mind Wound Other 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '835', 'healmindwoundself1', 'Heal Mind Wound Self 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '836', 'healmindwoundself2', 'Heal Mind Wound Self 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '837', 'healstate', 'Heal State');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '838', 'healstatesother', 'Heal States Other');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '839', 'healstatesself', 'Heal States Self');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '840', 'healthshot1', 'Health Shot 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '841', 'healthshot2', 'Health Shot 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '842', 'healwound', 'Heal Wound');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '843', 'hearnoevil', 'Hear No Evil');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '844', 'help', 'Help!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '845', 'helpme', 'Help Me!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '846', 'hero', 'Hero');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '847', 'heroic', 'Heroic');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '848', 'hi5', 'High Five');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '849', 'hiccup', 'Hiccup');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '850', 'hiss', 'Hiss');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '851', 'hobble', 'Hobble');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '852', 'holdon', 'Hold On');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '853', 'holoemote', 'Holo-Emote');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '854', 'honest', 'Honest');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '855', 'hop', 'Hop');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '856', 'hopeful', 'Hopeful');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '857', 'hopeless', 'Hopeless');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '858', 'hose', 'Hose Down');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '859', 'hot', 'Hot');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '860', 'hug', 'Hug');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '861', 'huge', 'It Was Huge');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '862', 'hum', 'Hum');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '863', 'humble', 'Humble');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '864', 'hunger', 'Hunger');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '865', 'hungry', 'Hungry');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '866', 'hurried', 'Hurried');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '867', 'hysterical', 'Hysterical');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '868', 'iffscramble', 'IFF Transponder Scramble');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '869', 'imagedesign', 'Image Design');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '870', 'imagedesigner', 'Image Designer');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '871', 'imfull', 'Full Stomach');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '872', 'imitate', 'Imitate');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '873', 'imploring', 'Imploring');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '874', 'indifferent', 'Indifferent');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '875', 'indignant', 'Indignant');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '876', 'innate', 'Innate Commands');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '877', 'innocent', 'Innocent');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '878', 'insertitemintoshipcomponentslot', 'Load Item into Ship');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '879', 'inspacereload', 'Underway Replenishment');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '880', 'inspacerepair', 'In Space Repair');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '881', 'inspacerr', 'Repair and Replenishment');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '882', 'inspect', 'Inspect');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '883', 'installmissionterminal', 'Install Mission Terminal');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '884', 'installshipcomponent', 'Install Ship Component');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '885', 'interested', 'Interested');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '886', 'interplanetary_travel', 'Interplanetary Travel');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '887', 'intimidate1', 'Intimidate 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '888', 'intimidate2', 'Intimidate 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '889', 'intimidationattack', 'Intimidation Attack');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '890', 'introduce', 'Introduce');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '891', 'invite', 'invite to group');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '892', 'isafk', 'Is Afk');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '893', 'jam', 'Just A Moment!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '894', 'jas', 'Just A Second!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '895', 'jealous', 'Jealous');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '896', 'jedimindtrick', 'Jedi Mind Trick');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '897', 'jk', 'Just Kidding');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '898', 'joyful', 'Joyful');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '899', 'jstart1', 'Jump Start Level One');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '900', 'jstart2', 'Jump Start Level Two');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '901', 'jstart3', 'Jump Start Level Three');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '902', 'jump', 'Jump Up');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '903', 'kipupshot', 'Kip Up Shot');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '904', 'kiss', 'Kiss');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '905', 'kisscheek', 'Kiss Cheek');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '906', 'kloohorn', 'Kloo Horn (Instrument)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '907', 'kneel', 'Kneel');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '908', 'knock', 'Knock');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '909', 'knockdownattack', 'Knock Down Attack');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '910', 'knockdownfire', 'Fire Knockdown');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '911', 'knockwood', 'Knock On Wood');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '912', 'kowtow', 'Kowtow (Honorable Bow)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '913', 'lag', 'Lag');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '914', 'lagging', 'Lagging');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '915', 'language', 'Set Spoken Language');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '916', 'language+bothese', 'Speak Bothese');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '917', 'language+dosh', 'Speak Dosh');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '918', 'language+ithorian', 'Speak Ithorian');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '919', 'language+lekku', 'Speak Lekku Language');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '920', 'language+moncalamarian', 'Speak Mon Calamarian');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '921', 'language+rodese', 'Speak Rodese');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '922', 'language+ryl', 'Speak Ryl');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '923', 'language+shyriiwook', 'Speak Shyriiwook');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '924', 'language+sullustan', 'Speak Sullustan');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '925', 'language+zabrak', 'Speak Zabrak');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '926', 'large', 'It Was Large');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '927', 'lastditch', 'Last Ditch');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '928', 'laugh', 'Laugh');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '929', 'launchfirework', 'Launch Firework');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '930', 'launchintospace', 'Launch into Space');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '931', 'lazy', 'Lazy');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '932', 'lean', 'Lean');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '933', 'leavegame', 'Leave Game');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '934', 'leer', 'Leer');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '935', 'left', 'Point Left');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '936', 'legshake', 'Shake Leg');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '937', 'legshot', 'Leg Shot');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '938', 'legshot1', 'Leg Shot 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '939', 'legshot2', 'Leg Shot 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '940', 'legshot3', 'Leg Shot 3');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '941', 'lfg', 'Looking for a Group');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '942', 'lick', 'Lick');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '943', 'listen', 'Listen');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '944', 'lives', 'Lives');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '945', 'lofty', 'Lofty');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '946', 'logical', 'Logical');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '947', 'lol', 'Laugh Out Loud!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '948', 'loser', 'Loser');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '949', 'lost', 'Lost');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '950', 'loud', 'Loud');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '951', 'love', 'Love');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '952', 'loving', 'Loving');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '953', 'lowblow', 'Low Blow');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '954', 'luck', 'Luck (Good Luck)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '955', 'lustful', 'Lustful');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '956', 'maintenance_fees_1', 'Reduced Maintenance Fees');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '957', 'makeroom', 'Make Room');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '958', 'malevolent', 'Malevolent');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '959', 'manage_militia', 'Manage Militia');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '960', 'manage_taxes', 'Manage Taxes');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '961', 'mandoviol', 'Mandoviol (Instrument)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '962', 'manual', 'Read The Manual');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '963', 'maskscent', 'Mask Scent');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '964', 'mean', 'Mean');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '965', 'medicalforage', 'Medical Forage');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '966', 'medicalforaging', 'Medical Forage');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '967', 'meditate', 'Meditate');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '968', 'medium', 'It Was Medium');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '969', 'melee1hblindhit1', 'One-Hand Blind 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '970', 'melee1hblindhit2', 'One-Hand Blind 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '971', 'melee1hbodyhit1', 'One-Hand Body Hit 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '972', 'melee1hbodyhit2', 'One-Hand Body Hit 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '973', 'melee1hbodyhit3', 'One-Hand Body Hit 3');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '974', 'melee1hdizzyhit1', 'One-Hand Dizzy 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '975', 'melee1hdizzyhit2', 'One-Hand Dizzy 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '976', 'melee1hhealthhit1', 'One-Hand Health Hit 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '977', 'melee1hhealthhit2', 'One-Hand Health Hit 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '978', 'melee1hhit1', 'One-Hand Hit 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '979', 'melee1hhit2', 'One-Hand Hit 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '980', 'melee1hhit3', 'One-Hand Hit 3');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '981', 'melee1hlunge1', 'One-Hand Lunge 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '982', 'melee1hlunge2', 'One-Hand Lunge 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '983', 'melee1hscatterhit1', 'One-Hand Scatter Hit 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '984', 'melee1hscatterhit2', 'One-Hand Scatter Hit 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '985', 'melee1hspinattack1', 'One-Hand Spin Attack 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '986', 'melee1hspinattack2', 'One-Hand Spin Attack 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '987', 'melee2harea1', 'Two-Hand Area Attack 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '988', 'melee2harea2', 'Two-Hand Area Attack 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '989', 'melee2harea3', 'Two-Hand Area Attack 3');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '990', 'melee2hheadhit1', 'Two-Hand Head Hit 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '991', 'melee2hheadhit2', 'Two-Hand Head Hit 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '992', 'melee2hheadhit3', 'Two-Hand Head Hit 3');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '993', 'melee2hhit1', 'Two-Hand Hit 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '994', 'melee2hhit2', 'Two-Hand Hit 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '995', 'melee2hhit3', 'Two-Hand Hit 3');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '996', 'melee2hlunge1', 'Two-Hand Lunge 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '997', 'melee2hlunge2', 'Two-Hand Lunge 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '998', 'melee2hmindhit1', 'Two-Hand Mind Hit 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '999', 'melee2hmindhit2', 'Two-Hand Mind Hit 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1000', 'melee2hspinattack1', 'Two-Hand Spin Attack 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1001', 'melee2hspinattack2', 'Two-Hand Spin Attack 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1002', 'melee2hsweep1', 'Two-Hand Sweep 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1003', 'melee2hsweep2', 'Two-Hand Sweep 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1004', 'melee_damage_mitigation_1', 'Melee Damage Mitigation 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1005', 'melee_damage_mitigation_2', 'Melee Damage Mitigation 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1006', 'melee_damage_mitigation_3', 'Melee Damage Mitigation 3');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1007', 'meleedefense1', 'Melee Defense 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1008', 'meleedefense2', 'Melee Defense 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1009', 'melt', 'Melt');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1010', 'merchant_fees_1', 'Reduced Bazaar Fees');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1011', 'mercy', 'Mercy!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1012', 'mimic', 'Mimic');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1013', 'mindblast1', 'Mind Blast 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1014', 'mindblast2', 'Mind Blast 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1015', 'mindshot1', 'Mind Shot 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1016', 'mindshot2', 'Mind Shot 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1017', 'mirror', 'Mirror');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1018', 'mischievous', 'Mischievous');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1019', 'mock', 'Mock');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1020', 'model', 'Model');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1021', 'mope', 'Mope');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1022', 'mosh', 'Mosh!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1023', 'mount', 'Mount');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1024', 'mourn', 'Mourn');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1025', 'multitargetpistolshot', 'Multi Target Pistol Shot');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1026', 'multitargetshot', 'Multi Target Shot');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1027', 'musician', 'Musician');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1028', 'mutedroid', 'Mute Flight Astromech/Computer');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1029', 'mutter', 'Mutter');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1030', 'nails', 'Fingernails');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1031', 'nalargon', 'Nalargon (Instrument)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1032', 'namestructure', 'Name Structure');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1033', 'nap', 'Nap');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1034', 'nausea', 'Nausea');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1035', 'navigator', 'Space Lane Navigation');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1036', 'nblast', 'Nebula Blast');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1037', 'nelson', 'Nelson');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1038', 'nervous', 'Nervous');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1039', 'neutral', 'Neutral');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1040', 'newbiehelper', 'Newbie Helper');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1041', 'nextcraftingstage', 'Next Crafting Stage');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1042', 'nice', 'Nice');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1043', 'nod', 'Nod');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1044', 'none', 'None');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1045', 'nono', 'That\'s A No-No');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1046', 'noogie', 'Noogie');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1047', 'nose', 'Nose');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1048', 'npcconversationselect', 'Conversation Response');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1049', 'npcconversationstart', 'Start Conversing');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1050', 'npcconversationstop', 'Stop Conversing');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1051', 'nudge', 'Nudge');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1052', 'nuzzle', 'Nuzzle');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1053', 'obnoxious', 'Obnoxious');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1054', 'obscure', 'Obscure');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1055', 'offended', 'Offended');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1056', 'omg', 'Oh My Gosh!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1057', 'omnibox', 'Ommni Box (Instrument)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1058', 'onehandmeleeblind1', 'One-Hand Melee Blind 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1059', 'onehandmeleebodyhit', 'One-Hand Melee Body Hit');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1060', 'onehandmeleedizzy1', 'One-Hand Melee Dizzy 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1061', 'onehandmeleeheadhit', 'One-Hand Melee Head Hit');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1062', 'onehandmeleehit1', 'One-Hand Melee Hit 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1063', 'onehandmeleehit2', 'One-Hand Melee Hit 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1064', 'onehandmeleeleghit', 'One-Hand Melee Leg Hit');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1065', 'onehandmeleestun1', 'One-Hand Melee Stun 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1066', 'onehandmeleesweep1', 'One-Hand Melee Sweep 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1067', 'onehandmeleesweep2', 'One-Hand Melee Sweep 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1068', 'oneknee', 'Take A Knee');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1069', 'openclosewings', 'WingsOpenClose');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1070', 'opossum', 'Opossum (Play Dead)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1071', 'optimistic', 'Optimistic');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1072', 'overchargeshot1', 'Overcharge Shot 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1073', 'overchargeshot2', 'Overcharge Shot 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1074', 'painful', 'Painful');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1075', 'panic', 'Panic!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1076', 'panicked', 'Panicked');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1077', 'panicshot', 'Panic Shot');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1078', 'pant', 'Pant');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1079', 'pat', 'Pat');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1080', 'patient', 'Patient');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1081', 'pawithdraw', 'Withdraw');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1082', 'paymaintenance', 'Pay Maintenance');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1083', 'payup', 'Pay Up');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1084', 'peace', 'Peace');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1085', 'pedantic', 'Pedantic');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1086', 'peer', 'Peer');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1087', 'peptalk', 'Pep Talk');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1088', 'perturbed', 'Perturbed');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1089', 'pessimistic', 'Pessimistic');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1090', 'pet', 'Pet');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1091', 'pet_attack', 'Pet Command: Attack');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1092', 'pet_follow', 'Pet Command: Follow');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1093', 'pet_followother', 'Pet Command: Follow Other');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1094', 'pet_formation', 'Pet Command: Formations');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1095', 'pet_friend', 'Pet Command: Friend');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1096', 'pet_group', 'Pet Command: Group');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1097', 'pet_guard', 'Pet Command: Guard');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1098', 'pet_patrol', 'Pet Command: Patrol');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1099', 'pet_rangedattack', 'Pet Command:  Ranged Attack');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1100', 'pet_release', 'Pet Command: Store');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1101', 'pet_specialattack1', 'Pet Command:  Special Attack One');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1102', 'pet_specialattack2', 'Pet Command:  Special Attack Two');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1103', 'pet_stay', 'Pet Command: Stay');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1104', 'pet_transfer', 'Pet Command: Transfer');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1105', 'pethigh', 'Pet High');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1106', 'petlow', 'Pet Low');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1107', 'petulant', 'Petulant');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1108', 'peyoo', 'Peeyoo! (Something Stinks)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1109', 'philosophical', 'Philosophical');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1110', 'pillow', 'Pillow Fight');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1111', 'pinch', 'Pinch');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1112', 'pistolaim', 'Pistol Aim');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1113', 'pistolcharge', 'Pistol Charge');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1114', 'pistoldisarmingshot', 'Pistol Disarming Shot');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1115', 'pistolflurryshot', 'Pistol Flurry Shot');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1116', 'pistolmeleedefense1', 'Pistol Melee Defense 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1117', 'pistolmeleedefense2', 'Pistol Melee Defense 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1118', 'pistolscattershot', 'Pistol Scatter Shot');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1119', 'pistolsneak', 'Pistol Sneak Shot');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1120', 'pistolstartleshot', 'Pistol Startle Shot');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1121', 'pistolstrafeshot', 'Pistol Strafe Shot');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1122', 'pistolsuppressionfire', 'Pistol Suppression Fire');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1123', 'pistolsurpriseshot', 'Pistol Surprise Shot');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1124', 'pitying', 'Pitying');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1125', 'place_bank', 'Place Bank');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1126', 'place_cantina', 'Place Cantina');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1127', 'place_cityhall', 'Place City Hall');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1128', 'place_cloning', 'Place Cloning');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1129', 'place_exotic_garden', 'Place Exotic Garden');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1130', 'place_faction_terminal', 'Place Faction Terminal');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1131', 'place_fountain', 'Place Fountain');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1132', 'place_garage', 'Place City Garage');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1133', 'place_hospital', 'Place Hospital');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1134', 'place_large_garden', 'Place Large Garden');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1135', 'place_medium_garden', 'Place Medium Garden');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1136', 'place_merchant_tent', 'Place Merchant Tent');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1137', 'place_mission_terminals', 'Place Mission Terminals');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1138', 'place_shuttleport', 'Place Shuttleport');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1139', 'place_small_garden', 'Place Small Garden');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1140', 'place_statue', 'Place Statue');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1141', 'place_streetlamp', 'Place Streetlamp');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1142', 'place_theater', 'Place Theater');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1143', 'place_trainers', 'Place Trainers');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1144', 'placebattlefieldstructure', 'Place Battlefield Structure');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1145', 'placestructuremode', 'Place Structure');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1146', 'playful', 'Playful');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1147', 'plugears', 'Plug Ears');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1148', 'plugnose', 'Plug Nose');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1149', 'point', 'Point');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1150', 'pointat', 'Point At');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1151', 'pointblankarea1', 'Point Blank Area 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1152', 'pointblankarea2', 'Point Blank Area 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1153', 'pointblanksingle1', 'Point Blank Single 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1154', 'pointblanksingle2', 'Point Blank Single 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1155', 'pointdown', 'Point Down');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1156', 'pointleft', 'Point Left');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1157', 'pointright', 'Point Right');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1158', 'pointup', 'Point Up');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1159', 'poke', 'Poke Ribs');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1160', 'polearmactionhit1', 'Polearm Action Hit 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1161', 'polearmactionhit2', 'Polearm Action Hit 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1162', 'polearmarea1', 'Polearm Area Attack 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1163', 'polearmarea2', 'Polearm Area Attack 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1164', 'polearmblind1', 'Polearm Blind 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1165', 'polearmbodyhit', 'Polearm Body Hit');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1166', 'polearmdizzy1', 'Polearm Dizzy');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1167', 'polearmheadhit', 'Polearm Head Hit');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1168', 'polearmhit1', 'Polearm Hit 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1169', 'polearmhit2', 'Polearm Hit 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1170', 'polearmhit3', 'Polearm Hit 3');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1171', 'polearmleghit1', 'Polearm Leg Hit 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1172', 'polearmleghit2', 'Polearm Leg Hit 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1173', 'polearmleghit3', 'Polearm Leg Hit 3');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1174', 'polearmlunge1', 'Polearm Lunge 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1175', 'polearmlunge2', 'Polearm Lunge 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1176', 'polearmspinattack1', 'Polearm Spin Attack 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1177', 'polearmspinattack2', 'Polearm Spin Attack 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1178', 'polearmstun1', 'Polearm Stun 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1179', 'polearmstun2', 'Polearm Stun 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1180', 'polearmstunhit1', 'Polearm Stun Hit 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1181', 'polearmsweep1', 'Polearm Sweep 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1182', 'polearmsweep2', 'Polearm Sweep 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1183', 'polite', 'Polite');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1184', 'pompous', 'Pompous');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1185', 'ponder', 'Ponder');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1186', 'posturedownattack', 'Posture Down Attack');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1187', 'postureupattack', 'Posture Up Attack');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1188', 'pound', 'Pound Chest');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1189', 'pout', 'Pout');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1190', 'powerboost', 'Power Boost');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1191', 'preen', 'Preen');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1192', 'premium_auctions', 'Premium Auctions');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1193', 'primp', 'Primp');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1194', 'prod', 'Prod');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1195', 'prone', 'Prone');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1196', 'protect', 'Protect');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1197', 'proud', 'Proud');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1198', 'provocative', 'Provocative');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1199', 'provoke', 'Provoke');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1200', 'pshrug', 'Shrug (Philosophical)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1201', 'ptrap1', 'Pirate Trap Level One');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1202', 'ptrap2', 'Pirate Trap Level Two');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1203', 'pucker', 'Pucker');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1204', 'puke', 'Puke');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1205', 'pull', 'Pull');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1206', 'pumpreactor', 'Pump Reactor');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1207', 'punch', 'Punch');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1208', 'purchasereinforcement', 'Purchase Reinforcement');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1209', 'purchaseticket', 'Purchase Ticket');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1210', 'push', 'Push');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1211', 'puzzle', 'Puzzle');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1212', 'puzzled', 'Puzzled');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1213', 'question', 'Question');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1214', 'quickheal', 'Quick Heal');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1215', 'quiet', 'Quiet!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1216', 'r', 'Reply');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1217', 'raise', 'Raise Hand(s)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1218', 'rally', 'Rally');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1219', 'ranged_damage_mitigation_1', 'Ranged Damage Mitigation 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1220', 'ranged_damage_mitigation_2', 'Ranged Damage Mitigation 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1221', 'ranged_damage_mitigation_3', 'Ranged Damage Mitigation 3');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1222', 'raspberry', 'Raspberry');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1223', 'ready', 'Ready');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1224', 'reassure', 'Reassure');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1225', 'recruitskilltrainer', 'Recruit Skill Trainer');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1226', 'regainconsciousness', 'Regain Consciousness');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1227', 'regeneration', 'Regeneration');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1228', 'registerwithlocation', 'Register Location with Planetary Map');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1229', 'regretful', 'Regretful');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1230', 'relaxed', 'Relaxed');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1231', 'relieved', 'Relieved');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1232', 'reload', 'Reload');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1233', 'reluctant', 'Reluctant');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1234', 'remorseful', 'Remorseful');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1235', 'repairbattlefieldstructure', 'Repair Battlefield Structure');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1236', 'reply', 'Reply');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1237', 'requestcraftingsession', 'Begin Crafting');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1238', 'requestcraftingstation', 'Begin Crafting');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1239', 'rescue', 'Rescue');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1240', 'resigned', 'Resigned');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1241', 'respectful', 'Respectful');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1242', 'restartcraftingsession', 'Restart Crafting Session');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1243', 'retell', 'Retell');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1244', 'retreat', 'Retreat!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1245', 'reviveplayer', 'Revive Player');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1246', 'rifleaim', 'Rifle Aim');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1247', 'riflecharge', 'Rifle Charge');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1248', 'rifledisarmingshot', 'Rifle Disarming Shot');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1249', 'rifleflurryshot', 'Rifle Flurry Shot');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1250', 'riflemeleedefense1', 'Rifle Melee Defense 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1251', 'riflemeleedefense2', 'Rifle Melee Defense 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1252', 'riflescattershot', 'Rifle Scatter Shot');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1253', 'riflesneak', 'Rifle Sneak');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1254', 'riflestartleshot', 'Rifle Startle Shot');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1255', 'riflestrafeshot', 'Rifle Strafe Shot');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1256', 'riflesuppressionfire', 'Rifle Suppression Fire');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1257', 'riflesurpriseshot', 'Rifle Surprise Shot');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1258', 'riflewildshot', 'Rifle Wild Shot');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1259', 'right', 'Point Right');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1260', 'roar', 'Roar');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1261', 'rofl', 'Rolling On The Floor Laughing!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1262', 'roll', 'Roll Eyes');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1263', 'rolleyes', 'Roll Eyes');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1264', 'rollshot', 'Roll Shot');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1265', 'romantic', 'Romantic');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1266', 'rose', 'Give Rose');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1267', 'rtell', 'Re-Tell');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1268', 'rubnose', 'Rub Nose');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1269', 'rude', 'Rude');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1270', 'ruffle', 'Ruffle');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1271', 'saber1hcombohit1', 'Saber One Hand Combo Hit 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1272', 'saber1hcombohit2', 'Saber One Hand Combo Hit 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1273', 'saber1hcombohit3', 'Saber One Hand Combo Hit 3');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1274', 'saber1hflurry', 'Saber One Hand Flurry');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1275', 'saber1hflurry2', 'Saber One Hand Flurry 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1276', 'saber1hheadhit1', 'Saber One Hand Head Hit 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1277', 'saber1hheadhit2', 'Saber One Hand Head Hit 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1278', 'saber1hheadhit3', 'Saber One Hand Head Hit 3');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1279', 'saber1hhit1', 'Saber One Hand Hit 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1280', 'saber1hhit2', 'Saber One Hand Hit 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1281', 'saber1hhit3', 'Saber One Hand Hit 3');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1282', 'saber2hbodyhit1', 'Saber Two Hand Body Hit 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1283', 'saber2hbodyhit2', 'Saber Two Hand Body Hit 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1284', 'saber2hbodyhit3', 'Saber Two Hand Body Hit 3');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1285', 'saber2hfrenzy', 'Saber Two Hand Frenzy');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1286', 'saber2hhit1', 'Saber Two Hand Hit 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1287', 'saber2hhit2', 'Saber Two Hand Hit 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1288', 'saber2hhit3', 'Saber Two Hand Hit 3');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1289', 'saber2hphantom', 'Saber Two Hand Phantom Attack');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1290', 'saber2hsweep1', 'Saber Two Hand Sweep 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1291', 'saber2hsweep2', 'Saber Two Hand Sweep 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1292', 'saber2hsweep3', 'Saber Two Hand Sweep 3');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1293', 'saber_block', 'Saber Block');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1294', 'saberpolearmdervish', 'Saber Polearm Dervish');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1295', 'saberpolearmdervish2', 'Saber Polearm Dervish 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1296', 'saberpolearmhit1', 'Saber Polearm Hit 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1297', 'saberpolearmhit2', 'Saber Polearm Hit 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1298', 'saberpolearmhit3', 'Saber Polearm Hit 3');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1299', 'saberpolearmleghit1', 'Saber Polearm Leg Hit 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1300', 'saberpolearmleghit2', 'Saber Polearm Leg Hit 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1301', 'saberpolearmleghit3', 'Saber Polearm Leg Hit 3');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1302', 'saberpolearmspinattack1', 'Saber Polearm Spin Attack 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1303', 'saberpolearmspinattack2', 'Saber Polearm Spin Attack 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1304', 'saberpolearmspinattack3', 'Saber Polearm Spin Attack 3');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1305', 'saberslash1', 'Saber Slash 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1306', 'saberslash2', 'Saber Slash 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1307', 'saberthrow1', 'Saber Throw 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1308', 'saberthrow2', 'Saber Throw 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1309', 'saberthrow3', 'Saber Throw 3');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1310', 'sad', 'Sad');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1311', 'salute', 'Salute');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1312', 'sample', 'Sample Resource');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1313', 'sampledna', 'Sample DNA');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1314', 'sarcastic', 'Sarcastic');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1315', 'scare', 'Scare');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1316', 'scared', 'Scared');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1317', 'scattershot', 'Scatter Shot');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1318', 'scattershot1', 'Scatter Shot 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1319', 'scattershot2', 'Scatter Shot 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1320', 'scold', 'Scold');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1321', 'scolding', 'Scolding');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1322', 'scornful', 'Scornful');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1323', 'scowl', 'Scowl');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1324', 'scratch', 'Scratch');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1325', 'scream', 'Scream');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1326', 'sedate', 'Sedate');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1327', 'seenoevil', 'See No Evil');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1328', 'selectdraftschematic', 'Select Draft Schematic');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1329', 'send', 'Send');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1330', 'serious', 'Serious');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1331', 'serversysgroup', 'Server System Group');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1332', 'setformation', 'Set Formation');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1333', 'setformationslot', 'Set Formation Slot');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1334', 'setspokenlanguage', 'Set Spoken Language');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1335', 'setspokenlanguage+bothan', 'Speak Bothan');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1336', 'setspokenlanguage+ithorian', 'Speak Ithorian');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1337', 'setspokenlanguage+lekku', 'Lekku Language');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1338', 'setspokenlanguage+moncalamari', 'Speak Mon Calamari');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1339', 'setspokenlanguage+rodian', 'Speak Rodian');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1340', 'setspokenlanguage+sullustan', 'Speak Sullustan');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1341', 'setspokenlanguage+trandoshan', 'Speak Trandoshan');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1342', 'setspokenlanguage+twilek', 'Speak Twi\'lek');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1343', 'setspokenlanguage+wookiee', 'Speak Wookiee');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1344', 'setspokenlanguage+zabrak', 'Speak Zabrak');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1345', 'setwaypointactivestatus', 'Set Waypoint Active Status');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1346', 'shake', 'Shake Head');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1347', 'shameless', 'Shameless');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1348', 'sharpen', 'Sharpen');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1349', 'sheepish', 'Sheepish');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1350', 'shifty', 'Shifty');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1351', 'shiver', 'Shiver');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1352', 'shocked', 'Shocked');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1353', 'shoo', 'Shoo');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1354', 'shower', 'Take A Shower');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1355', 'shrug', 'Shrug');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1356', 'shudder', 'Shudder');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1357', 'shush', 'Shush!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1358', 'shy', 'Shy');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1359', 'sigh', 'Sigh');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1360', 'silly', 'Silly');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1361', 'sincere', 'Sincere');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1362', 'sit', 'Sit');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1363', 'skip', 'Skip');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1364', 'slap', 'Slap');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1365', 'sleepy', 'Sleepy');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1366', 'slice_armor', 'Slicing: Armor');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1367', 'slice_containers', 'Slicing: Containers');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1368', 'slice_sockets', 'Slicing: Sockets');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1369', 'slice_terminals', 'Slicing: Terminals');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1370', 'slice_weaponsadvanced', 'Slicing: Weapons (Advanced)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1371', 'slice_weaponsbasic', 'Slicing: Weapons (Basic)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1372', 'slit', 'Slit Eyes');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1373', 'slitherhorn', 'Slitherhorn (Instrument)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1374', 'slobber', 'Slobber');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1375', 'sly', 'Sly');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1376', 'small', 'It Was Small');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1377', 'smell', 'Smell');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1378', 'smile', 'Smile');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1379', 'smirk', 'Smirk');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1380', 'smokebomb', 'Smoke Bomb');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1381', 'smug', 'Smug');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1382', 'snap', 'Snap Fingers');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1383', 'snarl', 'Snarl');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1384', 'sneak', 'Sneak');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1385', 'sneer', 'Sneer');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1386', 'sneeze', 'Sneeze');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1387', 'snicker', 'Snicker');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1388', 'sniff', 'Sniff');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1389', 'sniffle', 'Sniffle');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1390', 'snipershot', 'Sniper Shot');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1391', 'snobby', 'Snobby');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1392', 'snog', 'Snog');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1393', 'snore', 'Snore');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1394', 'snort', 'Snort');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1395', 'soapbox', 'Soapbox');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1396', 'softclap', 'Soft Clap');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1397', 'sorry', 'Sorry');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1398', 'spam', 'Spam!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1399', 'speaknoevil', 'Speak No Evil');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1400', 'spin', 'Spin');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1401', 'spit', 'Spit');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1402', 'spiteful', 'Spiteful');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1403', 'splitcreditswithgroup', 'Split Cash Credits With Group');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1404', 'spotlight', 'Spot Light');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1405', 'sprayshot', 'Spray Shot');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1406', 'squeamish', 'Squeamish');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1407', 'squeeze', 'Squeeze');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1408', 'squirm', 'Squirm');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1409', 'stand', 'Stand');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1410', 'stare', 'Stare');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1411', 'startdance', 'Start Dancing');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1412', 'startdance+basic', 'Basic (Dance)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1413', 'startdance+basic2', 'Basic2 (Dance)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1414', 'startdance+exotic', 'Exotic (Dance)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1415', 'startdance+exotic2', 'Exotic2 (Dance)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1416', 'startdance+exotic3', 'Exotic3 (Dance)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1417', 'startdance+exotic4', 'Exotic4 (Dance)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1418', 'startdance+footloose', 'Footloose (Dance)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1419', 'startdance+footloose2', 'Footloose2 (Dance)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1420', 'startdance+formal', 'Formal (Dance)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1421', 'startdance+formal2', 'Formal2 (Dance)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1422', 'startdance+lyrical', 'Lyrical (Dance)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1423', 'startdance+lyrical2', 'Lyrical2 (Dance)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1424', 'startdance+poplock', 'Poplock (Dance)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1425', 'startdance+poplock2', 'Poplock2 (Dance)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1426', 'startdance+popular', 'Popular (Dance)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1427', 'startdance+popular2', 'Popular2 (Dance)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1428', 'startdance+rhythmic', 'Rhythmic (Dance)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1429', 'startdance+rhythmic2', 'Rhythmic2 (Dance)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1430', 'startdance+theatrical', 'Theatrical (Dance)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1431', 'startdance+theatrical2', 'Theatrical2 (Dance)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1432', 'startleshot', 'Startle Shot');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1433', 'startleshot1', 'Startle Shot 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1434', 'startleshot2', 'Startle Shot 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1435', 'startmusic', 'Start Music');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1436', 'startmusic+ballad', 'Ballad (Song)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1437', 'startmusic+ceremonial', 'Ceremonial (Song)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1438', 'startmusic+folk', 'Folk (Song)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1439', 'startmusic+jazz', 'Jazz (Song)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1440', 'startmusic+rock', 'Rock (Song)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1441', 'startmusic+starwars1', 'Starwars1 (Song)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1442', 'startmusic+starwars2', 'Starwars2 (Song)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1443', 'startmusic+starwars3', 'Starwars3 (Song)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1444', 'startmusic+virtuoso', 'Virtuoso (Song)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1445', 'startmusic+waltz', 'Waltz (Song)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1446', 'startmusic+western', 'Western (Song)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1447', 'steadyaim', 'Steady Aim');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1448', 'steam', 'Steam');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1449', 'stink', 'Stink');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1450', 'stomp', 'Stomp');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1451', 'stop', 'Stop!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1452', 'stopbleeding', 'Stop Bleeding');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1453', 'stopcraftingsession', 'Stop Crafting Session');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1454', 'stopdance', 'Stop Dancing');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1455', 'stopfollow', 'Stop Following');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1456', 'stopmusic', 'Stop Music');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1457', 'stoppingshot', 'Stopping Shot');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1458', 'strafe', 'Strafe');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1459', 'strafeshot1', 'Strafe Shot 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1460', 'strafeshot2', 'Strafe Shot 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1461', 'strangle', 'Strangle');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1462', 'stretch', 'Stretch');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1463', 'structurestatus', 'Structure Status');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1464', 'strut', 'Strut');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1465', 'stubborn', 'Stubborn');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1466', 'stunattack', 'Stun Attack');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1467', 'suffering', 'Suffering');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1468', 'sulk', 'Sulk');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1469', 'sullen', 'Sullen');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1470', 'summon', 'Summon');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1471', 'suppressionfire', 'Suppression Fire');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1472', 'suppressionfire1', 'Suppression Fire 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1473', 'suppressionfire2', 'Suppression Fire 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1474', 'surly', 'Surly');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1475', 'surprised', 'Surprised');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1476', 'surpriseshot', 'Surprise Shot');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1477', 'surrender', 'Surrender');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1478', 'surrenderself', 'Surrender Self');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1479', 'surrenderskill', 'Surrender Skill');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1480', 'survey', 'Survey Resources');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1481', 'suspicious', 'Suspicious');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1482', 'swat', 'Swat');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1483', 'sweat', 'Sweat');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1484', 'sweep', 'Sweep Floor');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1485', 'sysgroup', 'System Message To Group');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1486', 't', 'Tell');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1487', 'tackle', 'Tackle');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1488', 'tag', 'Tag!  You\'re It!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1489', 'take_cover', 'Take Cover');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1490', 'takecover', 'Take Cover');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1491', 'tame', 'Tame');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1492', 'tantrum', 'Tantrum');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1493', 'tap', 'Tap Foot');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1494', 'taunt', 'Taunt');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1495', 'taunting', 'Taunting');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1496', 'teach', 'Teach');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1497', 'tease', 'Tease');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1498', 'tell', 'Tell');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1499', 'tenddamage', 'Tend Damage');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1500', 'tendwound', 'Tend Wound');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1501', 'terrified', 'Terrified');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1502', 'thank', 'Thanks');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1503', 'thankful', 'Thankful');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1504', 'thirst', 'Thirsty');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1505', 'thirsty', 'Thirsty');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1506', 'thoughtful', 'Thoughtful');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1507', 'threatenshot', 'Threaten Shot');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1508', 'throw', 'Throw');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1509', 'throwat', 'Throw At');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1510', 'throwdown', 'Throw Down Gauntlet');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1511', 'throwgrenade', 'Throw Grenade');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1512', 'throwtrap', 'Trap Throw');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1513', 'thumbdown', 'Thumb Down');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1514', 'thumbsdown', 'Thumbs Down');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1515', 'thumbsup', 'Thumbs Up');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1516', 'thumbup', 'Thumb Up');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1517', 'thxinfo', 'Thanks For The Info (Sarcastic)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1518', 'tickle', 'Tickle');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1519', 'timid', 'Timid');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1520', 'tiny', 'It Was Tiny');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1521', 'tip', 'Tip Hat');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1522', 'tiphat', 'Tip Hat');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1523', 'tiptoe', 'Tiptoe');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1524', 'tired', 'Tired');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1525', 'tmi', 'Too Much Information!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1526', 'tolerant', 'Tolerant');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1527', 'tongue', 'Tongue');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1528', 'torsoshot', 'Torso Shot');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1529', 'toss', 'Toss');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1530', 'totalhealother', 'Total Heal Other');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1531', 'totalhealself', 'Total Heal Self');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1532', 'train_mount', 'Train Mount');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1533', 'transferforce', 'Transfer Force');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1534', 'transferitem', 'Transfer Item');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1535', 'transferitemarmor', 'Transfer Armor');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1536', 'transferitemmisc', 'Transfer Item');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1537', 'transferitemweapon', 'Transfer Weapon');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1538', 'traz', 'Traz (Instrument)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1539', 'trick1', 'Pet Command: Trick1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1540', 'trick2', 'Pet Command: Trick2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1541', 'trick3', 'Pet Command: Trick3');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1542', 'trick4', 'Pet Command: Trick4');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1543', 'troubled', 'Troubled');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1544', 'tsktsk', 'Tsk Tsk.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1545', 'ttell', 'Target Tell');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1546', 'tug', 'Tug');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1547', 'tumbletokneeling', 'Tumble To Kneeling');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1548', 'tumbletoprone', 'Tumble To Prone');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1549', 'tumbletostanding', 'Tumble To Standing');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1550', 'tweak', 'Tweak');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1551', 'twibble', 'Twibble');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1552', 'twiddle', 'Twiddle Thumbs');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1553', 'twirl', 'Twirl');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1554', 'twistarm', 'Twist Arm');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1555', 'twitch', 'Twitch');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1556', 'twohandmeleeblind1', 'Two-Hand Melee Blind 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1557', 'twohandmeleebodyhit', 'Two-Hand Melee Body Hit');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1558', 'twohandmeleedizzy1', 'Two-Hand Melee Dizzy 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1559', 'twohandmeleeheadhit', 'Two-Hand Melee Head Hit');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1560', 'twohandmeleehit1', 'Two-Hand Melee Hit 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1561', 'twohandmeleehit2', 'Two-Hand Melee Hit 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1562', 'twohandmeleeleghit', 'Two-Hand Melee Leg Hit');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1563', 'twohandmeleestun1', 'Two-Hand Melee Stun 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1564', 'unarmedblind1', 'Unarmed Blind 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1565', 'unarmedblind2', 'Unarmed Blind 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1566', 'unarmedbodyhit1', 'Unarmed Body Hit 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1567', 'unarmedcombo1', 'Unarmed Combo 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1568', 'unarmedcombo2', 'Unarmed Combo 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1569', 'unarmeddizzy1', 'Unarmed Dizzy 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1570', 'unarmeddizzy2', 'Unarmed Dizzy 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1571', 'unarmedheadhit1', 'Unarmed Head Hit 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1572', 'unarmedhit1', 'Unarmed Hit 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1573', 'unarmedhit2', 'Unarmed Hit 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1574', 'unarmedhit3', 'Unarmed Hit 3');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1575', 'unarmedknockdown1', 'Unarmed Knockdown 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1576', 'unarmedknockdown2', 'Unarmed Knockdown 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1577', 'unarmedleghit1', 'Unarmed Leg Hit 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1578', 'unarmedlunge1', 'Unarmed Lunge 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1579', 'unarmedlunge2', 'Unarmed Lunge 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1580', 'unarmedspinattack1', 'Unarmed Spin Attack 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1581', 'unarmedspinattack2', 'Unarmed Spin Attack 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1582', 'unarmedstun1', 'Unarmed Stun 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1583', 'unarmedstun2', 'Unarmed Stun 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1584', 'unarmedsweep1', 'Unarmed Sweep 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1585', 'unarmedsweep2', 'Unarmed Sweep 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1586', 'uncertain', 'Uncertain');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1587', 'uncle', 'Uncle!');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1588', 'unconsent', 'Unconsent');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1589', 'underhandshot', 'Underhand Shot');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1590', 'undock', 'Undock');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1591', 'unhappy', 'Unhappy');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1592', 'uninstallshipcomponent', 'Uninstall Ship Component');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1593', 'unwilling', 'Unwilling');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1594', 'up', 'Point Up');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1595', 'vendor_fees_1', 'Reduced Vendor Fees');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1596', 'vengeful', 'Vengeful');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1597', 'ventriloquism', 'Ventriloquism');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1598', 'veto', 'Veto');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1599', 'vitalize', 'Vitalize');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1600', 'volley', 'Volley');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1601', 'volleyfire', 'Volley Fire');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1602', 'volleyfireattack', 'Volley Fire Attack');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1603', 'vrepair', 'Ship System Emergency Repair');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1604', 'vrepairother', 'Other Ship System Emergency Repair');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1605', 'waft', 'Waft');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1606', 'wait', 'Wait');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1607', 'warcry', 'Warcry');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1608', 'warcry1', 'Warcry 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1609', 'warcry2', 'Warcry 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1610', 'ward', 'Ward');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1611', 'warm', 'Warm');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1612', 'warningshot', 'Warning Shot');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1613', 'wary', 'Wary');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1614', 'wave', 'Wave');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1615', 'waypoint', 'Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1616', 'welcome', 'Welcome');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1617', 'whap', 'Whap');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1618', 'whatthe', 'What The?');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1619', 'whimper', 'Whimper');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1620', 'whiny', 'Whiny');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1621', 'whisper', 'Whisper');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1622', 'whistle', 'Whistle');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1623', 'wicked', 'Wicked');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1624', 'wild_panic', 'Wild Panic');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1625', 'wildpanic', 'Wild Panic');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1626', 'wildshot', 'Wild Shot');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1627', 'wildshot1', 'Wild Shot 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1628', 'wildshot2', 'Wild Shot 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1629', 'wince', 'Wince');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1630', 'wink', 'Wink');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1631', 'wise', 'Wise');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1632', 'wistful', 'Wistful');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1633', 'wookieehug', 'Wookiee Hug');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1634', 'wookieeroar', 'Wookiee Roar');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1635', 'worried', 'Worried');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1636', 'worship', 'Worship');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1637', 'wounded', 'Wounded');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1638', 'wrinkle', 'Wrinkle Nose');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1639', 'wtg', 'Way To Go');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1640', 'yawn', 'Yawn');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1641', 'yes', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1642', 'youthful', 'Youthful');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1643', 'zip', 'Zip');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1644', 'zone', 'Zone Out');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1645', 'startmusic+starwars4', 'Starwars4 (Song)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1646', 'startmusic+funk', 'Funk (Song)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1647', 'startdance+breakdance', 'Breakdance (Dance)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1648', 'startdance+breakdance2', 'Breakdance2 (Dance)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1649', 'startdance+tumble', 'Tumble (Dance)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_n.stf', '1650', 'startdance+tumble2', 'Tumble2 (Dance)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '2', 'cmd_uicommunity', 'Community');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '3', 'cmd_uipersistentmessagebrowser', 'Mail');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '4', 'cmd_uiskills', 'Skills');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '5', 'cmd_uiinventoryclose', 'Inventory');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '6', 'cmd_uicharactersheet', 'Character Sheet');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '7', 'cmd_uidatapad', 'Datapad');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '8', 'cmd_uicommandbrowser', 'Abilities & Commands');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '9', 'cmd_uichatcollapse', 'Collapse Chat Box');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '10', 'cmd_uiradarrangedecrease', 'Radar Zoom In');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '11', 'cmd_uiradarrangeincrease', 'Radar Zoom Out');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '12', 'cmd_posturestand', 'Stand Up');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '13', 'cmd_posturekneel', 'Kneel');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '14', 'cmd_posturesit', 'Sit Down');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '15', 'cmd_postureprone', 'Lay Down');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '16', 'cmd_uiservice', 'knowledge Base Help');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '17', 'cmd_uiplanetmap', 'Planetary Map');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '18', 'cmd_walk', 'Walk Forward');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '19', 'cmd_left', 'Walk Left');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '20', 'cmd_down', 'Walk Back');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '21', 'cmd_right', 'Walk Right');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '22', 'cmd_turnleft', 'Turn Left');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '23', 'cmd_turnright', 'Turn Right');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '24', 'cmd_jump', 'Jump');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '25', 'cmd_togglelight', 'Toggle Light');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '26', 'cmd_mousewalk', 'Walk Toward Cursor');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '27', 'cmd_uicycletargetinward', 'Cycle Target In');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '28', 'cmd_uicycletargetoutward', 'Cycle Target Out');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '29', 'cmd_uicycletargetnext', 'Cycle Next Target in History');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '30', 'cmd_uicycletargetprev', 'Cycle Previous Target in History');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '31', 'cmd_uicycletargetgroupnext', 'Cycle Target Group Forward');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '32', 'cmd_uicycletargetgroupprev', 'Cycle Target Group Back');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '33', 'cmd_targetself', 'Target Self');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '34', 'cmd_targetgroup0', 'Target Group Member  1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '35', 'cmd_targetgroup1', 'Target Group Member  2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '36', 'cmd_targetgroup2', 'Target Group Member  3');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '37', 'cmd_targetgroup3', 'Target Group Member  4');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '38', 'cmd_targetgroup4', 'Target Group Member  5');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '39', 'cmd_targetgroup5', 'Target Group Member  6');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '40', 'cmd_targetgroup6', 'Target Group Member  7');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '41', 'cmd_targetgroup7', 'Target Group Member  8');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '42', 'cmd_targetgroup8', 'Target Group Member  9');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '43', 'cmd_targetgroup10', 'Target Group Member 11');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '44', 'cmd_targetgroup9', 'Target Group Member 10');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '45', 'cmd_untarget', 'Clear Target');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '46', 'cmd_targetatcursor', 'Select Target at Cursor');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '47', 'cmd_camerazoomin', 'Zoom Camera In');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '48', 'cmd_camerazoomout', 'Zoom Camera Out');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '49', 'cmd_camerayawleft', 'Yaw Camera Left');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '50', 'cmd_camerayawright', 'Yaw Camera Right');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '51', 'cmd_camerapitchforward', 'Pitch Camera Forward');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '52', 'cmd_camerapitchbackward', 'Pitch Camera Backward');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '53', 'cmd_chasecamera', 'Chase Camera Toggle');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '54', 'cmd_cameralock', 'Lock Camera Angle');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '55', 'cmd_camerareset', 'Reset Camera Angle');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '56', 'cmd_screenshot360', '360 Degree Screenshot');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '57', 'cmd_uistartchat', 'Start Chat');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '58', 'cmd_uistartchatcommand', 'Start Chat Command');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '59', 'cmd_uistartchattell', 'Start Chat Tell');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '60', 'cmd_uistartchatreply', 'Start Chat Reply');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '61', 'cmd_uistartchatgroup', 'Start Chat Group');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '62', 'cmd_uichatbubblesclear', 'Chat Bubbles Clear All');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '63', 'cmd_uichattabnext', 'Next Chat Tab');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '64', 'cmd_uichattabprev', 'Previous Chat Tab');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '65', 'cmd_uichattabedit', 'Edit Chat Tab');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '66', 'cmd_uichattabnew', 'New Chat Tab');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '67', 'cmd_uichattabkill', 'Kill Chat Tab');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '68', 'cmd_chatcursorleft', 'Chat Cursor Left');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '69', 'cmd_chatcursorright', 'Chat Cursor Move Right');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '70', 'cmd_chatcursorleftoneword', 'Chat Cursor Move Left One Word');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '71', 'cmd_chatcursorrightoneword', 'Chat Cursor Move Right One Word');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '72', 'cmd_chatcursorhome', 'Chat Cursor Home');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '73', 'cmd_chatcursorend', 'Chat Cursor End');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '74', 'cmd_chathistoryup', 'Chat History Previous');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '75', 'cmd_chathistorydown', 'Chat History Next');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '76', 'cmd_chatcommandcompletion', 'Chat Command Completion');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '77', 'cmd_chatfontbigger', 'Chat Font Bigger');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '78', 'cmd_chatfontsmaller', 'Chat Font Smaller');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '79', 'cmd_chatbackspace', 'Chat Backspace');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '80', 'cmd_chatdelete', 'Chat Delete');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '81', 'cmd_chatenter', 'Chat Enter');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '82', 'cmd_chatpaste', 'Chat Edit Paste');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '83', 'cmd_chatcut', 'Chat Edit Cut');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '84', 'cmd_chatcopy', 'Chat Edit Copy');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '85', 'cmd_uigamemenuactivate', 'Game Menu');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '86', 'cmd_uioptions', 'Options');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '87', 'cmd_autorun', 'Autorun Toggle');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '88', 'cmd_radarmap', 'Radar Map');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '89', 'cmd_uitoolbarpanenext', 'Toolbar Pane Next');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '90', 'cmd_uitoolbarpaneprev', 'Toolbar Pane Previous');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '91', 'cmd_uitoolbarpane00', 'Toolbar Pane  1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '92', 'cmd_uitoolbarpane01', 'Toolbar Pane  2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '93', 'cmd_uitoolbarpane02', 'Toolbar Pane  3');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '94', 'cmd_uitoolbarpane03', 'Toolbar Pane  4');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '95', 'cmd_uitoolbarpane04', 'Toolbar Pane  5');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '96', 'cmd_uitoolbarpane05', 'Toolbar Pane  6');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '97', 'cmd_uitoolbarpane06', 'Toolbar Pane  7');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '98', 'cmd_uitoolbarpane07', 'Toolbar Pane  8');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '99', 'cmd_uitoolbarpane08', 'Toolbar Pane  9');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '100', 'cmd_uitoolbarpane09', 'Toolbar Pane 10');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '101', 'cmd_uitoolbarpane10', 'Toolbar Pane 11');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '102', 'cmd_uitoolbarpane11', 'Toolbar Pane 12');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '103', 'cmd_uitoolbarslot00', 'Toolbar Slot  1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '104', 'cmd_uitoolbarslot01', 'Toolbar Slot  2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '105', 'cmd_uitoolbarslot02', 'Toolbar Slot  3');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '106', 'cmd_uitoolbarslot03', 'Toolbar Slot  4');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '107', 'cmd_uitoolbarslot04', 'Toolbar Slot  5');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '108', 'cmd_uitoolbarslot05', 'Toolbar Slot  6');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '109', 'cmd_uitoolbarslot06', 'Toolbar Slot  7');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '110', 'cmd_uitoolbarslot07', 'Toolbar Slot  8');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '111', 'cmd_uitoolbarslot08', 'Toolbar Slot  9');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '112', 'cmd_uitoolbarslot09', 'Toolbar Slot 10');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '113', 'cmd_uitoolbarslot10', 'Toolbar Slot 11');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '114', 'cmd_uitoolbarslot11', 'Toolbar Slot 12');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '115', 'cmd_uitoolbarslot12', 'Toolbar Bank  2 Slot  1 ');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '116', 'cmd_uitoolbarslot13', 'Toolbar Bank  2 Slot  2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '117', 'cmd_uitoolbarslot14', 'Toolbar Bank  2 Slot  3');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '118', 'cmd_uitoolbarslot15', 'Toolbar Bank  2 Slot  4');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '119', 'cmd_uitoolbarslot16', 'Toolbar Bank  2 Slot  5');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '120', 'cmd_uitoolbarslot17', 'Toolbar Bank  2 Slot  6');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '121', 'cmd_uitoolbarslot18', 'Toolbar Bank  2 Slot  7');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '122', 'cmd_uitoolbarslot19', 'Toolbar Bank  2 Slot  8');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '123', 'cmd_uitoolbarslot20', 'Toolbar Bank  2 Slot  9');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '124', 'cmd_uitoolbarslot21', 'Toolbar Bank  2 Slot 10 ');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '125', 'cmd_uitoolbarslot22', 'Toolbar Bank  2 Slot 11');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '126', 'cmd_uitoolbarslot23', 'Toolbar Bank  2 Slot 12');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '127', 'cmd_uicombattarget', 'Attack Target');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '128', 'cmd_uiconversationresponse0', 'Conversation Response 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '129', 'cmd_uiconversationresponse1', 'Conversation Response 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '130', 'cmd_uiconversationresponse2', 'Conversation Response 3');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '131', 'cmd_uiconversationresponse3', 'Conversation Response 4');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '132', 'cmd_uiconversationresponse4', 'Conversation Response 5');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '135', 'cmd_uiconversationresponse5', 'Conversation Response 6');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '136', 'cmd_uiconversationstart', 'Start Conversation');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '137', 'cmd_uiconversationstop', 'End Conversation');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '138', 'cmd_uipointertoggle', 'Toggle Mouse Mode');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '139', 'cmd_uitoggleobjectnames', 'Toggle Object Names');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '140', 'cmd_radialmenu', 'Summon Radial Menu');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '141', 'cmd_defaultaction', 'Perform Default Action on Target');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '142', 'cmd_clearcombatqueue', 'Clear Combat Queue');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '143', 'cmd_peace', 'Stop Fighting (Peace)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '144', 'cmd_console', 'Console Toggle');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '145', 'cmd_uitogglehud', 'Toggle HUD');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '146', 'cmd_togglerunmomentary', 'Momentary Run /Walk Toggle');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '147', 'cmd_panorama', 'Panoramic Screenshot');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '148', 'cmd_uitogglechatbubblesminimized', 'Chat Bubble Minimize Toggle');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '149', 'cmd_attack', 'Attack Target');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '150', 'cmd_uichatroombrowser', 'Chat Room Browser');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '151', 'cmd_camerapathaddwaypoint', 'Camera Path Add Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '152', 'cmd_camerapathdeletelastwaypoint', 'Camera Path Delete Last Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '153', 'cmd_camerapathnormal', 'Camera Path Normal');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '154', 'cmd_camerapathplayback', 'Camera Path Playback');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '155', 'cmd_clientenvironmentpause', 'Client Environment Pause');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '156', 'cmd_debugkeycontext1', 'Debug Key Context 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '157', 'cmd_debugkeycontext2', 'Debug Key Context 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '158', 'cmd_debugportalcamera', 'Debug Portal Camera');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '159', 'cmd_fillmode', 'Fill Mode');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '160', 'cmd_freecamera', 'Free Camera');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '161', 'cmd_freechasecamera', 'Free Chase Camera');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '162', 'cmd_pause', 'Pause');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '163', 'cmd_terrainshowlod', 'Terrain Show LOD');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '164', 'cmd_toggleclientenvironment', 'Client Environment Toggle');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '165', 'cmd_uidebugprint', 'UI Debug Print');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '166', 'cmd_vtunecounter', 'VTune Counter');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '167', 'cmd_vtunepause', 'VTune Pause');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '168', 'cmd_vtuneresume', 'VTune Resume');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '169', 'cmd_warpplayertofreecamera', 'Warp Player to Free Camera');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '170', 'cmd_uiholocron', 'Holocron');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '171', 'cmd_examine', 'Examine Target');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '172', 'custom_macro_0001', 'Macro 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '173', 'cmd_uicyclecomponenttargetbackward', 'Cycle Component Target Backward');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '174', 'cmd_uicyclecomponenttargetforward', 'Cycle Component Target Forward');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '175', 'cmd_autopilotlevelship', 'Autopilot Level Ship');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '176', 'cmd_pitch', 'Pitch');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '177', 'cmd_roll', 'Roll');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '178', 'cmd_shipfireweapon0', 'Fire Weapon 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '179', 'cmd_shipfireweapon1', 'Fire Weapon 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '180', 'cmd_shipfireweapon2', 'Fire Weapon 3');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '181', 'cmd_shipfireweapon3', 'Fire Weapon 4');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '182', 'cmd_shipfireweapon4', 'Fire Weapon 5');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '183', 'cmd_shipfireweapon5', 'Fire Weapon 6');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '184', 'cmd_shipfireweapon6', 'Fire Weapon 7');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '185', 'cmd_shipfireweapon7', 'Fire Weapon 8');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '186', 'cmd_fireweaponall', 'Fire All Weapons');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '187', 'cmd_shipfireweapongroup0', 'Fire Weapon Group 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '188', 'cmd_shipfireweapongroup1', 'Fire Weapon Group 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '189', 'cmd_shipfireweapongroup2', 'Fire Weapon Group 3');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '190', 'cmd_shipfireweapongroup3', 'Fire Weapon Group 4');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '191', 'cmd_shipfireweapongroup4', 'Fire Weapon Group 5');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '192', 'cmd_shipfireweapongroup5', 'Fire Weapon Group 6');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '193', 'cmd_shipfireweapongroup6', 'Fire Weapon Group 7');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '194', 'cmd_shipfireweapongroup7', 'Fire Weapon Group 8');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '195', 'cmd_shiphyperspacemap', 'Hyperspace Map');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '196', 'cmd_shipmatchspeed', 'Match Target Speed');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '197', 'cmd_shipopenclosewings', 'Wings Open/Close');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '198', 'cmd_shippitchdown', 'Pitch Down');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '199', 'cmd_shippitchup', 'Pitch Up');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '200', 'cmd_shiprollleft', 'Roll Left');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '201', 'cmd_shiprollright', 'Roll Right');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '202', 'cmd_shipthrottleup', 'Throttle Increase');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '203', 'cmd_shipthrottledown', 'Throttle Decrease');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '204', 'cmd_shipthrottlestop', 'Throttle 0%');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '205', 'cmd_shipthrottleset', 'Throttle Set');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '206', 'cmd_shipthrottlefull', 'Throttle 100%');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '207', 'cmd_shipyawleft', 'Yaw Left');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '208', 'cmd_shipyawright', 'Yaw Right');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '209', 'cmd_uiboostertoggle', 'Booster');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '210', 'cmd_yaw', 'Yaw');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '211', 'cmd_shipfireweaponall', 'Fire All Weapons');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '212', 'cmd_run', 'Run');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '213', 'cmd_dock', '');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '214', 'cmd_escapepod', '');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '215', 'cmd_joystickpov', '');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '216', 'cmd_leavestation', '');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '217', 'cmd_requestspacetrainer', '');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '218', 'cmd_shipcyclenextmissilegroup', '');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '219', 'cmd_shipcyclenextprojectilegroup', '');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '220', 'cmd_shipcyclepreviousmissilegroup', '');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '221', 'cmd_shipcyclepreviousprojectilegroup', '');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '222', 'cmd_shipfireandcyclecurrentprojectilegroup', '');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '223', 'cmd_shipfirecountermeasures', '');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '224', 'cmd_shipfirecurrentmissilegroup', '');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '225', 'cmd_shipfirecurrentprojectilegroup', '');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '226', 'cmd_shipinspecttarget', '');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '227', 'cmd_shipthrottlesetaxis', '');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '228', 'cmd_shipthrottlesetsliderm', '');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '229', 'cmd_spacetargetclosestcapship', '');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '230', 'cmd_spacetargetclosestenemy', '');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '231', 'cmd_spacetargetclosestenemyplayer', '');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '232', 'cmd_spacetargetclosestfriend', '');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '233', 'cmd_spacetargetclosestfriendplayer', '');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '234', 'cmd_spacetargetclosestnpcship', '');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '235', 'cmd_spacetargetclosestplayership', '');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '236', 'cmd_spacetargetclosestship', '');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '237', 'cmd_spacetargetgroupleader', '');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '238', 'cmd_spacetargetlastenemythatshotplayer', '');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '239', 'cmd_spacetargetnextenemy', '');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '240', 'cmd_spacetargetnextenemyplayer', '');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '241', 'cmd_spacetargetnextfriendly', '');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '242', 'cmd_spacetargetnextfriendlyplayer', '');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '243', 'cmd_spacetargetnextgroupmember', '');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '244', 'cmd_spacetargetnextonscreenundervariablereticle', '');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '245', 'cmd_spacetargetpreviousenemy', '');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '246', 'cmd_spacetargetpreviousenemyplayer', '');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '247', 'cmd_spacetargetpreviousfriendly', '');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '248', 'cmd_spacetargetpreviousfriendlyplayer', '');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '249', 'cmd_spacetargetpreviousgroupmember', '');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '250', 'cmd_shipfireandcyclecurrentmissilegroup', '');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '251', 'cmd_shipthrottlesetslider', '');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '252', 'cmd_shiptransfercargo', '');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '253', 'cmd_spacetargetpreviousonscreenundervariablereticle', '');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '254', 'cmd_spacetargetunderreticle', '');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '255', 'cmd_uicomm', '');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '256', 'cmd_uifollowtarget', '');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '257', 'cmd_uiquestjournal', '');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '258', 'cmd_uishipcomponentdetails', '');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '259', 'cmd_uispaceassignplayerformation', '');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '260', 'cmd_uispacezonemap', '');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '261', 'cmd_uiweapongroupassignment', '');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '262', 'cmd_swaprollyawaxes', 'Swap Roll & Yaw Joystick Axes');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '263', 'cmd_environmentpause', 'Environment Pause');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '264', 'cmd_spincamera', 'Spin Camera');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '265', 'cmd_toggleenvironment', 'Toggle Environment');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '266', 'cmd_rearview', 'Camera Rear View');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '267', 'cmd_targetlock', 'Camera Target Lock');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '268', 'cmd_spacetargetnext', '');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '269', 'cmd_spacetargetprevious', '');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '270', 'cmd_spacetargetstationandcomm', '');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '271', 'cmd_shipthrottledeltaaxis', 'Throttle Delta (axis) is useful for throttle controls on some gamepads\' analog sticks, or on joystick axes.  If your gamepad analog stick reports as an \'JOYAXIS or JOYROT\', then this is an appropriate command to bind.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '272', 'cmd_shipthrottledeltaslider', 'Throttle Delta (slider) is useful for throttle controls on some gamepads\' analog sticks.  If your gamepad analog stick reports as an \'JOYSLIDER\', then this is an appropriate command to bind.');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '273', 'cmd_cycletargetsinwardall', 'Cycle All Friend and Enemy Targets In');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '274', 'cmd_cycletargetsinwardfriendly', 'Cycle Friendly Targets In');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '275', 'cmd_cycletargetsoutwardall', 'Cycle All Friend and Enemy Targets Out');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_d.stf', '276', 'cmd_cycletargetsoutwardfriendly', 'Cycle Friendly Targets Out');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '2', 'cmd_uicommunity', 'Community');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '3', 'cmd_uipersistentmessagebrowser', 'Mail');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '4', 'cmd_uiskills', 'Skills');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '5', 'cmd_uiinventoryclose', 'Inventory');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '6', 'cmd_uicharactersheet', 'Character Sheet');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '7', 'cmd_uidatapad', 'Datapad');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '8', 'cmd_uicommandbrowser', 'Abilities & Commands');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '9', 'cmd_uichatcollapse', 'Collapse Chat Box');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '10', 'cmd_uiradarrangedecrease', 'Radar Zoom In');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '11', 'cmd_uiradarrangeincrease', 'Radar Zoom Out');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '12', 'cmd_posturestand', 'Stand Up');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '13', 'cmd_posturekneel', 'Kneel');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '14', 'cmd_posturesit', 'Sit Down');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '15', 'cmd_postureprone', 'Lay Down');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '16', 'cmd_uiservice', 'knowledge Base Help');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '17', 'cmd_uiplanetmap', 'Planetary Map');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '18', 'cmd_walk', 'Walk Forward');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '19', 'cmd_left', 'Walk Left');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '20', 'cmd_down', 'Walk Back');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '21', 'cmd_right', 'Walk Right');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '22', 'cmd_turnleft', 'Turn Left');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '23', 'cmd_turnright', 'Turn Right');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '24', 'cmd_jump', 'Jump');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '25', 'cmd_togglelight', 'Toggle Light');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '26', 'cmd_mousewalk', 'Walk Toward Cursor');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '27', 'cmd_uicycletargetinward', 'Cycle Target In');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '28', 'cmd_uicycletargetoutward', 'Cycle Target Out');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '29', 'cmd_uicycletargetnext', 'Cycle Next Target in History');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '30', 'cmd_uicycletargetprev', 'Cycle Previous Target in History');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '31', 'cmd_uicycletargetgroupnext', 'Cycle Target Group Forward');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '32', 'cmd_uicycletargetgroupprev', 'Cycle Target Group Back');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '33', 'cmd_targetself', 'Target Self');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '34', 'cmd_targetgroup0', 'Target Group Member  1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '35', 'cmd_targetgroup1', 'Target Group Member  2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '36', 'cmd_targetgroup2', 'Target Group Member  3');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '37', 'cmd_targetgroup3', 'Target Group Member  4');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '38', 'cmd_targetgroup4', 'Target Group Member  5');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '39', 'cmd_targetgroup5', 'Target Group Member  6');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '40', 'cmd_targetgroup6', 'Target Group Member  7');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '41', 'cmd_targetgroup7', 'Target Group Member  8');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '42', 'cmd_targetgroup8', 'Target Group Member  9');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '43', 'cmd_targetgroup10', 'Target Group Member 11');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '44', 'cmd_targetgroup9', 'Target Group Member 10');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '45', 'cmd_untarget', 'Clear Target');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '46', 'cmd_targetatcursor', 'Select Target at Cursor');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '47', 'cmd_camerazoomin', 'Zoom Camera In');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '48', 'cmd_camerazoomout', 'Zoom Camera Out');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '49', 'cmd_camerayawleft', 'Yaw Camera Left');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '50', 'cmd_camerayawright', 'Yaw Camera Right');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '51', 'cmd_camerapitchforward', 'Pitch Camera Forward');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '52', 'cmd_camerapitchbackward', 'Pitch Camera Backward');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '53', 'cmd_chasecamera', 'Chase Camera Toggle');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '54', 'cmd_cameralock', 'Lock Camera Angle');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '55', 'cmd_camerareset', 'Reset Camera Angle');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '56', 'cmd_screenshot360', '360 Degree Screenshot');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '57', 'cmd_uistartchat', 'Start Chat');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '58', 'cmd_uistartchatcommand', 'Start Chat Command');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '59', 'cmd_uistartchattell', 'Start Chat Tell');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '60', 'cmd_uistartchatreply', 'Start Chat Reply');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '61', 'cmd_uistartchatgroup', 'Start Chat Group');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '62', 'cmd_uichatbubblesclear', 'Chat Bubbles Clear All');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '63', 'cmd_uichattabnext', 'Next Chat Tab');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '64', 'cmd_uichattabprev', 'Previous Chat Tab');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '65', 'cmd_uichattabedit', 'Edit Chat Tab');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '66', 'cmd_uichattabnew', 'New Chat Tab');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '67', 'cmd_uichattabkill', 'Kill Chat Tab');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '68', 'cmd_chatcursorleft', 'Chat Cursor Left');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '69', 'cmd_chatcursorright', 'Chat Cursor Move Right');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '70', 'cmd_chatcursorleftoneword', 'Chat Cursor Move Left One Word');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '71', 'cmd_chatcursorrightoneword', 'Chat Cursor Move Right One Word');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '72', 'cmd_chatcursorhome', 'Chat Cursor Home');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '73', 'cmd_chatcursorend', 'Chat Cursor End');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '74', 'cmd_chathistoryup', 'Chat History Previous');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '75', 'cmd_chathistorydown', 'Chat History Next');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '76', 'cmd_chatcommandcompletion', 'Chat Command Completion');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '77', 'cmd_chatfontbigger', 'Chat Font Bigger');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '78', 'cmd_chatfontsmaller', 'Chat Font Smaller');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '79', 'cmd_chatbackspace', 'Chat Backspace');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '80', 'cmd_chatdelete', 'Chat Delete');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '81', 'cmd_chatenter', 'Chat Enter');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '82', 'cmd_chatpaste', 'Chat Edit Paste');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '83', 'cmd_chatcut', 'Chat Edit Cut');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '84', 'cmd_chatcopy', 'Chat Edit Copy');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '85', 'cmd_uigamemenuactivate', 'Game Menu');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '86', 'cmd_uioptions', 'Options');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '87', 'cmd_autorun', 'Autorun Toggle');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '88', 'cmd_radarmap', 'Radar Map');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '89', 'cmd_uitoolbarpanenext', 'Toolbar Pane Next');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '90', 'cmd_uitoolbarpaneprev', 'Toolbar Pane Previous');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '91', 'cmd_uitoolbarpane00', 'Toolbar Pane  1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '92', 'cmd_uitoolbarpane01', 'Toolbar Pane  2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '93', 'cmd_uitoolbarpane02', 'Toolbar Pane  3');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '94', 'cmd_uitoolbarpane03', 'Toolbar Pane  4');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '95', 'cmd_uitoolbarpane04', 'Toolbar Pane  5');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '96', 'cmd_uitoolbarpane05', 'Toolbar Pane  6');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '97', 'cmd_uitoolbarpane06', 'Toolbar Pane  7');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '98', 'cmd_uitoolbarpane07', 'Toolbar Pane  8');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '99', 'cmd_uitoolbarpane08', 'Toolbar Pane  9');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '100', 'cmd_uitoolbarpane09', 'Toolbar Pane 10');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '101', 'cmd_uitoolbarpane10', 'Toolbar Pane 11');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '102', 'cmd_uitoolbarpane11', 'Toolbar Pane 12');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '103', 'cmd_uitoolbarslot00', 'Toolbar Slot  1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '104', 'cmd_uitoolbarslot01', 'Toolbar Slot  2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '105', 'cmd_uitoolbarslot02', 'Toolbar Slot  3');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '106', 'cmd_uitoolbarslot03', 'Toolbar Slot  4');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '107', 'cmd_uitoolbarslot04', 'Toolbar Slot  5');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '108', 'cmd_uitoolbarslot05', 'Toolbar Slot  6');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '109', 'cmd_uitoolbarslot06', 'Toolbar Slot  7');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '110', 'cmd_uitoolbarslot07', 'Toolbar Slot  8');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '111', 'cmd_uitoolbarslot08', 'Toolbar Slot  9');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '112', 'cmd_uitoolbarslot09', 'Toolbar Slot 10');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '113', 'cmd_uitoolbarslot10', 'Toolbar Slot 11');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '114', 'cmd_uitoolbarslot11', 'Toolbar Slot 12');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '115', 'cmd_uitoolbarslot12', 'Toolbar Bank  2 Slot  1 ');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '116', 'cmd_uitoolbarslot13', 'Toolbar Bank  2 Slot  2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '117', 'cmd_uitoolbarslot14', 'Toolbar Bank  2 Slot  3');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '118', 'cmd_uitoolbarslot15', 'Toolbar Bank  2 Slot  4');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '119', 'cmd_uitoolbarslot16', 'Toolbar Bank  2 Slot  5');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '120', 'cmd_uitoolbarslot17', 'Toolbar Bank  2 Slot  6');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '121', 'cmd_uitoolbarslot18', 'Toolbar Bank  2 Slot  7');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '122', 'cmd_uitoolbarslot19', 'Toolbar Bank  2 Slot  8');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '123', 'cmd_uitoolbarslot20', 'Toolbar Bank  2 Slot  9');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '124', 'cmd_uitoolbarslot21', 'Toolbar Bank  2 Slot 10 ');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '125', 'cmd_uitoolbarslot22', 'Toolbar Bank  2 Slot 11');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '126', 'cmd_uitoolbarslot23', 'Toolbar Bank  2 Slot 12');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '127', 'cmd_uicombattarget', 'Attack Target');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '128', 'cmd_uiconversationresponse0', 'Conversation Response 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '129', 'cmd_uiconversationresponse1', 'Conversation Response 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '130', 'cmd_uiconversationresponse2', 'Conversation Response 3');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '131', 'cmd_uiconversationresponse3', 'Conversation Response 4');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '132', 'cmd_uiconversationresponse4', 'Conversation Response 5');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '135', 'cmd_uiconversationresponse5', 'Conversation Response 6');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '136', 'cmd_uiconversationstart', 'Start Conversation');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '137', 'cmd_uiconversationstop', 'End Conversation');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '138', 'cmd_uipointertoggle', 'Toggle Mouse Mode');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '139', 'cmd_uitoggleobjectnames', 'Toggle Object Names');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '140', 'cmd_radialmenu', 'Summon Radial Menu');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '141', 'cmd_defaultaction', 'Perform Default Action on Target');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '142', 'cmd_clearcombatqueue', 'Clear Combat Queue');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '143', 'cmd_peace', 'Stop Fighting (Peace)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '144', 'cmd_console', 'Console Toggle');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '145', 'cmd_uitogglehud', 'Toggle HUD');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '146', 'cmd_togglerunmomentary', 'Momentary Run /Walk Toggle');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '147', 'cmd_panorama', 'Panoramic Screenshot');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '148', 'cmd_uitogglechatbubblesminimized', 'Chat Bubble Minimize Toggle');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '149', 'cmd_attack', 'Attack Target');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '150', 'cmd_uichatroombrowser', 'Chat Room Browser');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '151', 'cmd_camerapathaddwaypoint', 'Camera Path Add Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '152', 'cmd_camerapathdeletelastwaypoint', 'Camera Path Delete Last Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '153', 'cmd_camerapathnormal', 'Camera Path Normal');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '154', 'cmd_camerapathplayback', 'Camera Path Playback');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '155', 'cmd_clientenvironmentpause', 'Client Environment Pause');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '156', 'cmd_debugkeycontext1', 'Debug Key Context 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '157', 'cmd_debugkeycontext2', 'Debug Key Context 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '158', 'cmd_debugportalcamera', 'Debug Portal Camera');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '159', 'cmd_fillmode', 'Fill Mode');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '160', 'cmd_freecamera', 'Free Camera');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '161', 'cmd_freechasecamera', 'Free Chase Camera');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '162', 'cmd_pause', 'Pause');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '163', 'cmd_terrainshowlod', 'Terrain Show LOD');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '164', 'cmd_toggleclientenvironment', 'Client Environment Toggle');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '165', 'cmd_uidebugprint', 'UI Debug Print');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '166', 'cmd_vtunecounter', 'VTune Counter');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '167', 'cmd_vtunepause', 'VTune Pause');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '168', 'cmd_vtuneresume', 'VTune Resume');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '169', 'cmd_warpplayertofreecamera', 'Warp Player to Free Camera');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '170', 'cmd_uiholocron', 'Holocron');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '171', 'cmd_examine', 'Examine Target');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '172', 'custom_macro_0001', 'Macro 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '173', 'cmd_uicyclecomponenttargetbackward', 'Cycle Component Target Backward');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '174', 'cmd_uicyclecomponenttargetforward', 'Cycle Component Target Forward');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '175', 'cmd_autopilotlevelship', 'Autopilot Level Ship');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '176', 'cmd_pitch', 'Pitch');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '177', 'cmd_roll', 'Roll');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '178', 'cmd_shipfireweapon0', 'Fire Weapon 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '179', 'cmd_shipfireweapon1', 'Fire Weapon 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '180', 'cmd_shipfireweapon2', 'Fire Weapon 3');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '181', 'cmd_shipfireweapon3', 'Fire Weapon 4');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '182', 'cmd_shipfireweapon4', 'Fire Weapon 5');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '183', 'cmd_shipfireweapon5', 'Fire Weapon 6');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '184', 'cmd_shipfireweapon6', 'Fire Weapon 7');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '185', 'cmd_shipfireweapon7', 'Fire Weapon 8');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '186', 'cmd_fireweaponall', 'Fire All Weapons');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '187', 'cmd_shipfireweapongroup0', 'Fire Weapon Group 1');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '188', 'cmd_shipfireweapongroup1', 'Fire Weapon Group 2');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '189', 'cmd_shipfireweapongroup2', 'Fire Weapon Group 3');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '190', 'cmd_shipfireweapongroup3', 'Fire Weapon Group 4');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '191', 'cmd_shipfireweapongroup4', 'Fire Weapon Group 5');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '192', 'cmd_shipfireweapongroup5', 'Fire Weapon Group 6');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '193', 'cmd_shipfireweapongroup6', 'Fire Weapon Group 7');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '194', 'cmd_shipfireweapongroup7', 'Fire Weapon Group 8');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '195', 'cmd_shiphyperspacemap', 'Hyperspace Map');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '196', 'cmd_shipmatchspeed', 'Match Target Speed');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '197', 'cmd_shipopenclosewings', 'Wings Open/Close');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '198', 'cmd_shippitchdown', 'Pitch Down');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '199', 'cmd_shippitchup', 'Pitch Up');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '200', 'cmd_shiprollleft', 'Roll Left');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '201', 'cmd_shiprollright', 'Roll Right');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '202', 'cmd_shipthrottleup', 'Ship Throttle Increase');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '203', 'cmd_shipthrottledown', 'Ship Throttle Decrease');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '204', 'cmd_shipthrottlestop', 'Ship Throttle 0%');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '205', 'cmd_shipthrottleset', 'Ship Throttle Set');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '206', 'cmd_shipthrottlefull', 'Ship Throttle 100%');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '207', 'cmd_shipyawleft', 'Yaw Left');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '208', 'cmd_shipyawright', 'Yaw Right');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '209', 'cmd_uiboostertoggle', 'Booster');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '210', 'cmd_yaw', 'Yaw');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '211', 'cmd_shipfireweaponall', 'Fire All Weapons');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '212', 'cmd_environmentpause', 'Pause Camera Environment');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '213', 'cmd_spincamera', 'Spin Camera');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '214', 'cmd_toggleenvironment', 'Toggle Environment');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '215', 'cmd_run', 'Run');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '216', 'cmd_uicomm', 'Ship-to-ship Commlink');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '217', 'cmd_uiquestjournal', 'Quest Journal');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '218', 'cmd_uishipcomponentdetails', 'Ship Component Details Screen');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '219', 'cmd_uispaceassignplayerformation', 'Ship Formations Screen');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '220', 'cmd_uiweapongroupassignment', 'Weapon Group Assignment Screen');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '221', 'cmd_dock', 'Engage Docking System');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '222', 'cmd_shipcyclenextmissilegroup', 'Next Ordnance Group');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '223', 'cmd_shipcyclenextprojectilegroup', 'Next Weapon Group');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '224', 'cmd_shipcyclepreviousmissilegroup', 'Previous Ordnance Group');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '225', 'cmd_shipcyclepreviousprojectilegroup', 'Previous Weapon Group');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '226', 'cmd_shipfirecurrentmissilegroup', 'Fire Current Ordnance Group');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '227', 'cmd_shipfirecurrentprojectilegroup', 'Fire Current Weapon Group');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '228', 'cmd_shipinspecttarget', 'Inspect Target');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '229', 'cmd_shipthrottlesetaxis', 'Ship Throttle Control');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '230', 'cmd_shipthrottlesetslider', 'Ship Throttle Slider');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '231', 'cmd_shiptransfercargo', 'Transfer Cargo (after inspecting a disabled ship)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '232', 'cmd_spacetargetclosestcapship', 'Target Nearest Capital Ship or Space Station');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '233', 'cmd_spacetargetclosestship', 'Target Closest Starship (of any kind)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '234', 'cmd_spacetargetnextenemy', 'Target Next Enemy Starship or Space Station');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '235', 'cmd_spacetargetnextfriendly', 'Target Next Friendly Starship or Space Station');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '236', 'cmd_spacetargetpreviousenemy', 'Target Previous Enemy Starship or Space Station');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '237', 'cmd_spacetargetpreviousfriendly', 'Target Previous Friendly Starship or Space Station');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '238', 'cmd_spacetargetunderreticle', 'Target Under Reticle');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '239', 'cmd_undock', 'Disengage Docking System');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '240', 'cmd_joystickpov', 'Joystick POV');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '241', 'cmd_uispacezonemap', 'Space Zone Map');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '242', 'cmd_escapepod', 'Escape Pod');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '243', 'cmd_leavestation', 'Leave Ship Station');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '244', 'cmd_shipfireandcyclecurrentmissilegroup', 'Fire And Cycle Current Ordnance Group');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '245', 'cmd_shipfireandcyclecurrentprojectilegroup', 'Fire and Cycle Current Weapon Group');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '246', 'cmd_requestspacetrainer', 'Request Space Trainer');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '247', 'cmd_spacetargetclosestenemy', 'Target Closest Enemy');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '248', 'cmd_spacetargetclosestenemyplayer', 'Target Closest Enemy Player');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '249', 'cmd_spacetargetclosestfriend', 'Target Closest Friend');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '250', 'cmd_spacetargetclosestnpcship', 'Target Closest Npc Ship');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '251', 'cmd_spacetargetclosestplayership', 'Target Closest Player Ship');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '252', 'cmd_spacetargetnextenemyplayer', 'Target Next Enemy Player');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '253', 'cmd_spacetargetnextfriendlyplayer', 'Target Next Friendly Player');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '254', 'cmd_uifollowtarget', 'Follow Target');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '255', 'cmd_shipfirecountermeasures', 'Fire Countermeasures');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '256', 'cmd_spacetargetclosestfriendplayer', 'Target Closest Friend Player');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '257', 'cmd_spacetargetlastenemythatshotplayer', 'Target Last Enemy That Shot Player');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '258', 'cmd_spacetargetnextonscreenundervariablereticle', 'Target Next Under Reticle');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '259', 'cmd_spacetargetpreviousenemyplayer', 'Target Previous Enemy Player');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '260', 'cmd_spacetargetpreviousfriendlyplayer', 'Target Previous Friendly Player');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '261', 'cmd_spacetargetpreviousonscreenundervariablereticle', 'Target Previous Under Reticle');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '262', 'cmd_spacetargetgroupleader', 'Target Group Leader');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '263', 'cmd_spacetargetnextgroupmember', 'Target Next Group Member');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '264', 'cmd_spacetargetpreviousgroupmember', 'Target Previous Group Member');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '265', 'cmd_swaprollyawaxes', 'Swap Roll & Yaw Joystick Axes');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '266', 'cmd_rearview', 'Camera Rear View');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '267', 'cmd_targetlock', 'Camera Target Lock');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '268', 'cmd_spacetargetnext', 'Target Next Space Object (of any type)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '269', 'cmd_spacetargetprevious', 'Target Previous Space Object (of any type)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '270', 'cmd_spacetargetstationandcomm', 'Target Nearest Capital Ship or Space Station and Comm It');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '271', 'cmd_shipthrottledeltaaxis', 'Ship Throttle Delta (Analog Stick-Axis)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '272', 'cmd_shipthrottledeltaslider', 'Ship Throttle Delta (Analog Stick-Slider)');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '273', 'cmd_cycletargetsoutwardfriendly', 'Cycle Friendly Targets Out');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '274', 'cmd_cycletargetsinwardfriendly', 'Cycle Friendly Targets In');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '275', 'cmd_cycletargetsoutwardall', 'Cycle All Friend and Enemy Targets Out');
INSERT INTO `client_strings` VALUES ('string/en/cmd_ui_n.stf', '276', 'cmd_cycletargetsinwardall', 'Cycle All Friend and Enemy Targets In');
INSERT INTO `client_strings` VALUES ('string/en/cmnty.stf', '1', 'ignore_not_found', '%TT is not a valid ignore name.');
INSERT INTO `client_strings` VALUES ('string/en/cmnty.stf', '3', 'friend_added', '%TT is now your friend.');
INSERT INTO `client_strings` VALUES ('string/en/cmnty.stf', '4', 'friend_removed', '%TT is no longer your friend.');
INSERT INTO `client_strings` VALUES ('string/en/cmnty.stf', '5', 'ignore_removed', '%TT is no longer ignored.');
INSERT INTO `client_strings` VALUES ('string/en/cmnty.stf', '6', 'ignore_added', '%TT is now ignored.');
INSERT INTO `client_strings` VALUES ('string/en/cmnty.stf', '7', 'ignore_duplicate', '%TT is already in your ignore list.');
INSERT INTO `client_strings` VALUES ('string/en/cmnty.stf', '9', 'friend_fail_is_ignored', '%TT is being ignored, unable to put in your friends list.');
INSERT INTO `client_strings` VALUES ('string/en/cmnty.stf', '10', 'friend_duplicate', '%TT is already in your friend list.');
INSERT INTO `client_strings` VALUES ('string/en/cmnty.stf', '13', 'friend_not_found', '%TT is not a valid friend name.');
INSERT INTO `client_strings` VALUES ('string/en/cmnty.stf', '14', 'friend_fail_already_in_list_old', '%TT is already in your friend list.');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_d.stf', '1', 'blue_rug', 'A finely woven blue rug.');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_d.stf', '2', 'blue_rug_adhesive', 'An adhesive component specifically designed for use in an auto-loom.');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_d.stf', '3', 'blue_rug_dye', 'Blue colored dye specially designed for use in an auto-loom.');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_d.stf', '4', 'blue_rug_kit', 'A device designed to weave itself into a rug after all required components are placed inside of it.');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_d.stf', '5', 'blue_rug_patches', 'Cloth patches that are designed for use in an auto-loom.');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_d.stf', '6', 'blue_rug_thread', 'Thread designed specially for use in an auto-loom.');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_d.stf', '7', 'orange_rug', 'A finely woven orange rug.');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_d.stf', '8', 'orange_rug_adhesive', 'An adhesive component specically designed for use in an auto-loom.');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_d.stf', '9', 'orange_rug_dye', 'Orange colored dye specially designed for use in an auto-loom.');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_d.stf', '10', 'orange_rug_kit', 'A device designed to weave iteself into a rug after all required components are placed inside of it.');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_d.stf', '11', 'orange_rug_patches', 'Cloth patches that are designed for use in an auto-loom.');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_d.stf', '12', 'orange_rug_thread', 'Thread designed specially for use in an auto-loom.');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_d.stf', '13', 'gong_structure', 'Framework and  base for a giant model gong.');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_d.stf', '14', 'gong_skin_back', 'The back skin covering for a giant model gong.');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_d.stf', '15', 'gong_skin_front', 'A front skin covering for a giant model gong.');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_d.stf', '16', 'gong_adhesive', 'An adhesive component specifically designed for use on a giant model gong.');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_d.stf', '17', 'gong_kit', 'A device used to put together a giant model gong once all the required components are placed inside of it.');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_d.stf', '18', 'gong', 'A giant model gong. This gong looks like a decorative piece and doesn\'t seem to be a functioning instrument.');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_d.stf', '19', 'light_table_kit', 'A device designed to auto-craft a table once all required components are placed inside of it.');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_d.stf', '20', 'sculpture_kit', 'A device designed to create a sculpture once all required components are placed inside of it.');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_d.stf', '21', 'collectible_table', 'A finely crafted glass top table.');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_d.stf', '22', 'collectible_sculpture_s01', 'A gold covered, decorative sculpture. A fine example of classic Nabooian style.');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_d.stf', '23', 'light_table_adhesive', 'A strong bonding agent specifically designed for use in an auto-crafting kit.');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_d.stf', '24', 'light_table_glasstop_01', 'Glass table tops designed for use in an auto-crafting kit.');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_d.stf', '25', 'light_table_structure_01', 'Framework and base for glass top table.');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_d.stf', '26', 'sculpture_adhesive', 'An adhesive compound designed for use in an auto-crafting kit.');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_d.stf', '27', 'sculpture_goldinlay_01', 'Gold plating compound that is used in an auto-crafting kit.');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_d.stf', '28', 'sculpture_structure_01', 'Framework and body for a Nabooian style sculpture. Designed for use in an auto-crafting kit.');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_d.stf', '29', 'fs_tracking_device', 'A device used to track down the location of downed and abandoned satellites.');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_d.stf', '30', 'fs_tracking_device_kit', 'A kit used to assemble a tracking device used to locate downed satellite. The device will be assembled once all the required components are placed inside of it.');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_d.stf', '31', 'fs_tracking_device_assembly_bracket', 'An assembly bracket for a tracking device used to locate downed satellites. Designed for use in an auto-crafting kit.');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_d.stf', '32', 'fs_tracking_device_case', 'A casing section for a tracking device used to locate downed satellites. Designed for use in an auto-crafting kit.');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_d.stf', '33', 'brown_rug', 'A hand threaded brown rug.');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_d.stf', '34', 'green_rug', 'A hand tufted green rug.');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_d.stf', '35', 'majestic_rug', 'An intricately woven rug.');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_d.stf', '36', 'casual_rug', 'A cheaply made red rug.');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '1', 'blue_rug_adhesive', 'Blue Rug Adhesive');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '2', 'blue_rug_dye', 'Blue Rug Dye');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '3', 'blue_rug_kit', 'Blue Rug Auto-Loom');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '4', 'blue_rug_thread_01', 'Blue Rug Thread - First Section');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '5', 'blue_rug_thread_02', 'Blue Rug Thread - Second Section');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '6', 'blue_rug_thread_03', 'Blue Rug Thread - Third Section');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '7', 'blue_rug_thread_04', 'Blue Rug Thread - Fourth Section');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '8', 'blue_rug_thread_05', 'Blue Rug Thread - Fifth Section');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '9', 'blue_rug_thread_06', 'Blue Rug Thread - Sixth Section');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '10', 'blue_rug_thread_07', 'Blue Rug Thread - Seventh Section');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '11', 'blue_rug_patches', 'Blue Rug Cloth Patches');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '12', 'blue_rug', 'Auto-Loomed Blue Rug');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '13', 'orange_rug', 'Auto-Loomed Orange Rug');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '14', 'orange_rug_adhesive', 'Orange Rug Adhesive');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '15', 'orange_rug_dye', 'Orange Rug Dye');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '16', 'orange_rug_kit', 'Orange Rug Auto-Loom');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '17', 'orange_rug_patches', 'Orange Rug Cloth Patches');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '18', 'orange_rug_thread_01', 'Orange Rug Thread - First Section');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '19', 'orange_rug_thread_02', 'Orange Rug Thread - Second Section');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '20', 'orange_rug_thread_03', 'Orange Rug Thread - Third Section');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '21', 'orange_rug_thread_04', 'Orange Rug Thread - Fourth Section');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '22', 'orange_rug_thread_05', 'Orange Rug Thread - Fifth Section');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '23', 'orange_rug_thread_06', 'Orange Rug Thread - Sixth Section');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '24', 'orange_rug_thread_07', 'Orange Rug Thread - Seventh Section');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '25', 'gong', 'Giant Model Gong');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '26', 'gong_adhesive', 'Gong Adhesive');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '27', 'gong_kit', 'Giant Model Gong Kit');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '28', 'gong_skin_back', 'Gong Skin - Back Section');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '29', 'gong_skin_front', 'Gong Skin - Front Section');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '30', 'gong_structure_01', 'Gong Structure - First Section');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '31', 'gong_structure_02', 'Gong Structure - Second Section');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '32', 'gong_structure_03', 'Gong Structure - Third Section');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '33', 'gong_structure_04', 'Gong Structure - Fourth Section');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '34', 'gong_structure_05', 'Gong Structure - Fifth Section');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '35', 'gong_structure_06', 'Gong Structure - Sixth Section');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '36', 'gong_structure_07', 'Gong Structure - Seventh Section');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '37', 'light_table_kit', 'Glass Top Table Auto-Crafter');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '38', 'sculpture_kit', 'Nabooian Sculpture Auto-Crafting Kit');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '39', 'light_table_adhesive', 'Glass Top Table Adhesive');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '40', 'light_table_glasstop_01', 'Glass Top Table - Large Glass Top');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '41', 'light_table_glasstop_02', 'Glass Top Table - Small Glass Top');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '42', 'light_table_structure_01', 'Glass Top Table Base - First Section');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '43', 'light_table_structure_02', 'Glass Top Table Base - Second Section');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '44', 'light_table_structure_03', 'Glass Top Table Base - Third Section');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '45', 'light_table_structure_04', 'Glass Top Table Base - Fourth Section');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '46', 'light_table_structure_05', 'Glass Top Table Base - Fifth Section');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '47', 'light_table_structure_06', 'Glass Top Table Base - Sixth Section');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '48', 'light_table_structure_07', 'Glass Top Table Base - Seventh Section');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '49', 'collectible_table', 'Glass Top Table');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '50', 'collectible_sculpture_s01', 'Nabooian Style Sculpture');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '51', 'sculpture_adhesive', 'Nabooian Sculpture Adhesive');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '52', 'sculpture_goldinlay_01', 'Nabooian Sculpture Gold Plating - First Coating');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '53', 'sculpture_goldinlay_02', 'Nabooian Sculpture Gold Plating - Second Coating');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '54', 'sculpture_structure_01', 'Nabooian Sculpture Base - First Section');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '55', 'sculpture_structure_02', 'Nabooian Sculpture Base - Second Section');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '56', 'sculpture_structure_03', 'Nabooian Sculpture Base - Third Section');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '57', 'sculpture_structure_04', 'Nabooian Sculpture Base - Fourth Section');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '58', 'sculpture_structure_05', 'Nabooian Sculpture Base - Fifth Section');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '59', 'sculpture_structure_06', 'Nabooian Sculpture Base - Sixth Section');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '60', 'sculpture_structure_07', 'Nabooian Sculpture Base - Seventh Section');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '61', 'fs_tracking_device', 'Downed Satellite Tracking Device');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '62', 'fs_tracking_device_kit', 'Tracking Device Assembly Kit');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '63', 'fs_tracking_device_assembly_bracket_01', 'Tracking Device Assembly Bracket - First Segment');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '64', 'fs_tracking_device_assembly_bracket_02', 'Tracking Device Assembly Bracket - Second  Segment');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '65', 'fs_tracking_device_assembly_bracket_03', 'Tracking Device Assembly Bracket - Third  Segment');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '66', 'fs_tracking_device_case_01', 'Tracking Device Case - First Section');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '67', 'fs_tracking_device_case_02', 'Tracking Device Case - Second Section');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '68', 'fs_tracking_device_case_03', 'Tracking Device Case - Third Section');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '69', 'green_rug', 'Green Rug');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '70', 'brown_rug', 'Brown Rug');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '71', 'casual_rug', 'Red Threaded Rug');
INSERT INTO `client_strings` VALUES ('string/en/collectible_loot_items_n.stf', '72', 'majestic_rug', 'Soft Fiber Rug');
INSERT INTO `client_strings` VALUES ('string/en/color_kit.stf', '1', 'imperial', 'You cannot paint an Imperial Ship.');
INSERT INTO `client_strings` VALUES ('string/en/color_kit.stf', '2', 'pick_a_ship', 'Select a ship to paint.');
INSERT INTO `client_strings` VALUES ('string/en/color_kit.stf', '3', 'pick_a_ship_title', 'Pick a ship.');
INSERT INTO `client_strings` VALUES ('string/en/color_kit.stf', '4', 'btn_color', 'Paint Ship');
INSERT INTO `client_strings` VALUES ('string/en/color_kit.stf', '5', 'inspace', 'You cannot paint a ship while you are in space!');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '1', 'no_blind', '-Blind-');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '2', 'go_blind', '+Blind+');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '3', 'no_stunned', '-Stunned-');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '4', 'go_stunned', '+Stunned+');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '5', 'no_dizzy', '-Dizzy-');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '6', 'go_dizzy', '+Dizzy+');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '7', 'go_intimidated', '+Intimidated+');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '8', 'no_intimidated', '-Intimidated-');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '9', 'no_berserk', '-Berserk-');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '10', 'go_berserk', '+Berserk+');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '11', 'intimidated_miss', 'Intimidate Failed');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '12', 'warcry_miss', 'Warcry Failed');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '13', 'warcry_hit', '+Delayed+');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '14', 'no_cover', '-Cover-');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '15', 'go_cover', '+Cover+');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '16', 'go_tumbling', '+Tumbling+');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '17', 'no_tumbling', '-Tumbling-');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '18', 'no_alert', '-Alert-');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '19', 'go_alert', '+Alert+');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '20', 'no_rally', '-Rally-');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '21', 'go_rally', '+Rally+');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '22', 'go_peace', '+Peace+');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '23', 'go_snare', '+Snared+');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '24', 'no_snare', '-Snared-');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '25', 'pet_embolden', '! Embolden !');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '26', 'go_rooted', '+Rooted+');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '27', 'no_rooted', '-Rooted-');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '28', 'go_steady', '+Steady+');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '29', 'prone_ranged_too_close', 'You are too close to attack with a ranged weapon in this posture. ');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '30', 'hit_larm', '+Left Arm Hit+');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '31', 'hit_rarm', '+Hit Right Arm+');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '32', 'hit_lleg', '+Left Leg Hit+');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '33', 'hit_rleg', '+Right Leg Hit+');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '34', 'hit_body', '+Body Hit+');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '36', 'miss', '-Miss-');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '37', 'hit_head', '+Head Hit+');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '38', 'counterattack', '+Counterattack+');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '39', 'dodge', '+Dodge+');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '40', 'block', '+Block+');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '41', 'strafed', '+Strafed+');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '42', 'strafe_system', 'You have been forced from cover and delayed by a strafing attack.');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '43', 'innate_regeneration', '+Regeneration+');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '44', 'innate_equilibrium', '+Equilibrium+');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '45', 'innate_vitalize', '+Vitalize+');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '46', 'wookiee_roar_hit', '+Intimidated+');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '47', 'wookiee_roar_miss', '-Roar-');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '48', 'burst_run_wait', 'You are too tired to Burst Run.');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '49', 'taunt_no_player', 'You cannot taunt that target.');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '50', 'not_group_leader', 'You must be the group leader to perform this command.');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '51', 'not_in_group', 'You must be in a group to perform this command.');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '52', 'string_too_long', 'That string is too long and has been shortened.');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '53', 'burst_run_tired', 'You are tired.');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '54', 'burst_run_not_tired', 'You are no longer tired.');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '55', 'cansee_fail', 'You cannot see your target.');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '56', 'feign_no_combat', 'You must be in combat to feign death.');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '57', 'delay_notify', 'You duck for cover from %TT\'s wild shooting!  Your next action is delayed for %DI seconds.');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '58', 'no_proficiency', 'You lack the necessary skills to use this weapon properly.  Damage with this weapon will be greatly reduced.');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '59', 'go_steadied', '+Steady+');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '60', 'weapon_half', 'Your weapon has less than 50% condition remaining.');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '61', 'weapon_quarter', 'Your weapon has less than 25% condition remaining.');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '62', 'choke', '+Choke+');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '63', 'choke_single', 'You are choking!');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '64', 'unknown_attack', 'Unknown Attack');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '65', 'stunattack', 'Stunning Strike');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '66', 'knockdownattack', 'Knockdown');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '67', 'creatureareaknockdown', 'Force Strike');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '68', 'intimidationattack', 'Intimidation');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '69', 'blindattack', 'Blinding Strike');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '70', 'dizzyattack', 'Dizzy Strike');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '71', 'creatureareacombo', 'Area Combo');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '72', 'creatureareableeding', 'Open Wounds');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '73', 'mildpoison', 'Mild Poison');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '74', 'mediumpoison', 'Medium Poison');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '75', 'strongpoison', 'Strong Poison');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '76', 'creatureareapoison', 'Poison Spray');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '77', 'posturedownattack', 'Crippling Strike');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '78', 'milddisease', 'Mild Disease');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '79', 'mediumdisease', 'Medium Disease');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '80', 'strongdisease', 'Strong Disease');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '81', 'creatureareadisease', 'Plague Strike');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '82', 'none', '---');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '83', 'combat_delay_resist', 'Your target resists the delay.');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '84', 'delay_applied_self', 'You are delayed for %DI seconds.');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '85', 'delay_applied_other', 'You delay %TT for %DI seconds.');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '86', 'center_start_fly', '+Centered+');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '87', 'center_stop_fly', '-Center-');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '88', 'center_start', 'You focus your thoughts on self preservation.');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '89', 'center_stop', 'Your thoughts drift away from self preservation.');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '90', 'already_centered', 'You are already focusing on defense with this weapon.');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '91', 'not_mounted', 'You cannot perform this command without a mount.');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '92', 'already_galloping', 'You are already galloping!');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '93', 'mount_tired', 'Your mount is too tired to gallop.');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '94', 'gallop_start', 'Your mount runs as fast as it can.');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '95', 'gallop_stop', 'Your mount is winded and slows down.');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '96', 'mount_not_tired', 'Your mount is no longer winded.');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '97', 'mount_slow_for_combat', 'Your mount slows down to prepare for combat.');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '98', 'mount_speed_after_combat', 'Your mount speeds up.');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '99', 'pet_embolden_no', '! Already Emboldened !');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '100', 'cant_stop_gallop_not_mounted', 'You can\'t stop galloping if you aren\'t mounted.');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '101', 'cant_stop_galloping_not_galloping', 'You can\'t stop galloping if you aren\'t already galloping.');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '102', 'no_combat_while_galloping', 'You cannot attack or react to an attack while galloping. Use /gallopStop to stop galloping.');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '103', 'no_combat_while_driving', 'You cannot attack or react to an attack while driving.');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '104', 'mitigate_damage', '%DI damage was mitigated by defensive buffs!');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '105', 'food_mind_heal', 'You feel refreshed.  %DI points of mind damage have been healed.');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '106', 'incap_recovery', 'Incapacitation recovery time reduced by %DI%.');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '107', 'instant_burst_run', 'You instantly burst run at increased efficiency!');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '108', 'slow_dot_done', 'The remaining duration of DOTs affecting you have been reduced by %DI%.');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '109', 'slow_dot_wait', 'You need to wait 15 minutes between DOT slow attempts.');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '110', 'skill_mod_buffed', 'Your skill in %TO has improved.');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '111', 'dupe_skill_mod', 'You cannot buff %TO because it is already increased by a different effect.');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '112', 'instant_wookiee_roar', 'You unleash a ferocious roar!');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '113', 'no_additional_effect', 'The food has no additional effect on you.');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '114', 'feel_hungry', 'You feel hungrier.');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '115', 'dead_eye_active', 'The chemical infusion immediately begins to heighten your awareness, agility, and visual acuity.');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '116', 'dead_eye_wait', 'You took Dead Eye too recently.  An overdose could cause neurological damage.');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '117', 'dead_eye_already', 'You are already under the effects of Dead Eye.');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '118', 'already_affected', 'You are already under the influence of that food.  Eating more won\'t enhance the effect.');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '119', 'immune_to_effect', 'The Target is immune to such an effect.');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '120', 'effect_not_hold', 'The effect did not take hold.');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '121', 'strafe', '+Strafed+');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '122', 'burst_run_no', 'You cannot burst run right now.');
INSERT INTO `client_strings` VALUES ('string/en/combat_effects.stf', '123', 'burst_run_space_dungeon', 'The artificial gravity makes burst running impossible here.');
INSERT INTO `client_strings` VALUES ('string/en/community_crafting_d.stf', '2', 'reinforced_wall_module', 'Reinforced wall module used to help reinforce the village walls.');
INSERT INTO `client_strings` VALUES ('string/en/community_crafting_d.stf', '3', 'raw_materials', 'Raw Materials');
INSERT INTO `client_strings` VALUES ('string/en/community_crafting_d.stf', '4', 'lightweight_turret', 'A small turret used to defend the village.');
INSERT INTO `client_strings` VALUES ('string/en/community_crafting_d.stf', '5', 'lightweight_turret_hardware', 'Hardware component for a small turret.');
INSERT INTO `client_strings` VALUES ('string/en/community_crafting_d.stf', '6', 'lightweight_turret_electronics', 'Electronics component for a small turret.');
INSERT INTO `client_strings` VALUES ('string/en/community_crafting_d.stf', '7', 'village_defenses', 'Village Defenses');
INSERT INTO `client_strings` VALUES ('string/en/community_crafting_d.stf', '8', 'village_shields', 'Shields to protect from orbital attacks.');
INSERT INTO `client_strings` VALUES ('string/en/community_crafting_d.stf', '9', 'connections', 'Connections between shield units.');
INSERT INTO `client_strings` VALUES ('string/en/community_crafting_d.stf', '10', 'power_supply', 'Shield power supply.');
INSERT INTO `client_strings` VALUES ('string/en/community_crafting_d.stf', '11', 'primary_computer', 'Main shield computer.');
INSERT INTO `client_strings` VALUES ('string/en/community_crafting_d.stf', '12', 'regulator', 'Shield strength regulator.');
INSERT INTO `client_strings` VALUES ('string/en/community_crafting_d.stf', '13', 'shield_housing', 'Housing units for the village shields.');
INSERT INTO `client_strings` VALUES ('string/en/community_crafting_d.stf', '14', 'unit_computer', 'Shield unit computer.');
INSERT INTO `client_strings` VALUES ('string/en/community_crafting_d.stf', '15', 'refined_endrine', 'Endrine Ore with some impurities removed.');
INSERT INTO `client_strings` VALUES ('string/en/community_crafting_d.stf', '16', 'refined_rudic', 'Rudic Ore with some impurities removed.');
INSERT INTO `client_strings` VALUES ('string/en/community_crafting_d.stf', '17', 'refined_ardanium_ii', 'Ardantium II energy with some impurities removed.');
INSERT INTO `client_strings` VALUES ('string/en/community_crafting_d.stf', '18', 'endrost', 'An alloy of Endrine and Ostrine.');
INSERT INTO `client_strings` VALUES ('string/en/community_crafting_n.stf', '2', 'reinforced_wall_module', 'Reinforced Wall Module');
INSERT INTO `client_strings` VALUES ('string/en/community_crafting_n.stf', '3', 'raw_materials', 'Raw Materials');
INSERT INTO `client_strings` VALUES ('string/en/community_crafting_n.stf', '4', 'lightweight_turret', 'Small Turret');
INSERT INTO `client_strings` VALUES ('string/en/community_crafting_n.stf', '5', 'lightweight_turret_hardware', 'Turret Hardware');
INSERT INTO `client_strings` VALUES ('string/en/community_crafting_n.stf', '6', 'lightweight_turret_electronics', 'Turret Electronics');
INSERT INTO `client_strings` VALUES ('string/en/community_crafting_n.stf', '7', 'village_defenses', 'Village Defenses');
INSERT INTO `client_strings` VALUES ('string/en/community_crafting_n.stf', '8', 'electronics', 'Electronics');
INSERT INTO `client_strings` VALUES ('string/en/community_crafting_n.stf', '9', 'housing', 'Housing');
INSERT INTO `client_strings` VALUES ('string/en/community_crafting_n.stf', '10', 'energy', 'Energy');
INSERT INTO `client_strings` VALUES ('string/en/community_crafting_n.stf', '11', 'refactor', 'Refactored Component');
INSERT INTO `client_strings` VALUES ('string/en/community_crafting_n.stf', '12', 'shell', 'Shield Unit Shell');
INSERT INTO `client_strings` VALUES ('string/en/community_crafting_n.stf', '13', 'reinforcement', 'Reinforcement');
INSERT INTO `client_strings` VALUES ('string/en/community_crafting_n.stf', '14', 'sensors', 'Sensors');
INSERT INTO `client_strings` VALUES ('string/en/community_crafting_n.stf', '15', 'village_shields', 'Village Shields');
INSERT INTO `client_strings` VALUES ('string/en/community_crafting_n.stf', '16', 'connections', 'Shield Connections');
INSERT INTO `client_strings` VALUES ('string/en/community_crafting_n.stf', '17', 'power_supply', 'Power Supply');
INSERT INTO `client_strings` VALUES ('string/en/community_crafting_n.stf', '18', 'primary_computer', 'Primary Computer');
INSERT INTO `client_strings` VALUES ('string/en/community_crafting_n.stf', '19', 'regulator', 'Regulator');
INSERT INTO `client_strings` VALUES ('string/en/community_crafting_n.stf', '20', 'shield_housing', 'Shield Housing');
INSERT INTO `client_strings` VALUES ('string/en/community_crafting_n.stf', '21', 'unit_computer', 'Unit Computer');
INSERT INTO `client_strings` VALUES ('string/en/community_crafting_n.stf', '22', 'refined_endrine', 'Refined Endrine');
INSERT INTO `client_strings` VALUES ('string/en/community_crafting_n.stf', '23', 'refined_rudic', 'Refined Rudic');
INSERT INTO `client_strings` VALUES ('string/en/community_crafting_n.stf', '24', 'refined_ardanium_ii', 'Refined Ardanium II');
INSERT INTO `client_strings` VALUES ('string/en/community_crafting_n.stf', '25', 'foundation', 'Foundation');
INSERT INTO `client_strings` VALUES ('string/en/community_crafting_n.stf', '26', 'support', 'Support');
INSERT INTO `client_strings` VALUES ('string/en/community_crafting_n.stf', '27', 'energy_backup', 'Backup Energy Supply');
INSERT INTO `client_strings` VALUES ('string/en/community_crafting_n.stf', '28', 'endrost', 'Endrost Alloy');
INSERT INTO `client_strings` VALUES ('string/en/community_crafting_n.stf', '29', 'catalyst', 'Catalyst');
INSERT INTO `client_strings` VALUES ('string/en/component_analyzer.stf', '1', 'analyze_title', 'Component Analyzer');
INSERT INTO `client_strings` VALUES ('string/en/component_analyzer.stf', '2', 'analyze_prompt', 'Please select a spaceship component to analyze.');
INSERT INTO `client_strings` VALUES ('string/en/component_analyzer.stf', '3', 'analyze', 'Analyze');
INSERT INTO `client_strings` VALUES ('string/en/component_d.stf', '1', 'scope_weapon', 'This is an electro-optical targetting aid for a ranged weapon.');
INSERT INTO `client_strings` VALUES ('string/en/component_d.stf', '2', 'blaster_pistol_barrel', 'This is the barrel and muzzle component for a blaster-pistol-type ranged weapon.');
INSERT INTO `client_strings` VALUES ('string/en/component_d.stf', '3', 'blaster_power_handler', 'This is the fuel converter and energy-pulse generator component for blaster-type ranged weapons.');
INSERT INTO `client_strings` VALUES ('string/en/component_d.stf', '4', 'base_component', 'A component');
INSERT INTO `client_strings` VALUES ('string/en/component_d.stf', '5', 'base_food', 'A food component');
INSERT INTO `client_strings` VALUES ('string/en/component_d.stf', '6', 'base_dna', 'A DNA sample');
INSERT INTO `client_strings` VALUES ('string/en/component_d.stf', '7', 'base_electronic_component', 'This is an Electronic Component used as an ingredient for crafting larger and more complicated items.');
INSERT INTO `client_strings` VALUES ('string/en/component_d.stf', '8', 'barrel_blaster', 'A barrel for a blaster.');
INSERT INTO `client_strings` VALUES ('string/en/component_l.stf', '1', 'scope_weapon', 'A ranged weapon scope.');
INSERT INTO `client_strings` VALUES ('string/en/component_l.stf', '2', 'default', '');
INSERT INTO `client_strings` VALUES ('string/en/component_l.stf', '3', 'blaster_power_handler', 'A blaster weapon power component.');
INSERT INTO `client_strings` VALUES ('string/en/component_l.stf', '4', 'blaster_pistol_barrel', 'A blaster pistol barrel component.');
INSERT INTO `client_strings` VALUES ('string/en/component_n.stf', '1', 'blaster_pistol_barrel', 'Blaster pistol barrel component');
INSERT INTO `client_strings` VALUES ('string/en/component_n.stf', '2', 'scope_weapon', 'Weapon scope component');
INSERT INTO `client_strings` VALUES ('string/en/component_n.stf', '3', 'blaster_power_handler', 'Blaster power-handler component');
INSERT INTO `client_strings` VALUES ('string/en/component_n.stf', '4', 'base_component', 'A component');
INSERT INTO `client_strings` VALUES ('string/en/component_n.stf', '5', 'base_food', 'A food component');
INSERT INTO `client_strings` VALUES ('string/en/component_n.stf', '6', 'base_dna', 'A DNA sample');
INSERT INTO `client_strings` VALUES ('string/en/component_n.stf', '7', 'base_bio_component', 'Biological component');
INSERT INTO `client_strings` VALUES ('string/en/component_n.stf', '8', 'base_electronic_component', 'An Electronic Component');
INSERT INTO `client_strings` VALUES ('string/en/component_n.stf', '9', 'barrel_blaster', 'Blaster Barrel');
INSERT INTO `client_strings` VALUES ('string/en/consumable.stf', '1', 'exam_attrib_mod', 'ATTRIBUTE MODIFIERS');
INSERT INTO `client_strings` VALUES ('string/en/consumable.stf', '2', 'none', 'None');
INSERT INTO `client_strings` VALUES ('string/en/container_error_message.stf', '1', 'container00', 'This container transfer was successful.');
INSERT INTO `client_strings` VALUES ('string/en/container_error_message.stf', '2', 'container01', 'An unknown error has occured during a container transfer.');
INSERT INTO `client_strings` VALUES ('string/en/container_error_message.stf', '3', 'container02', 'You cannot add something to itself.');
INSERT INTO `client_strings` VALUES ('string/en/container_error_message.stf', '4', 'container03', 'This container is full.');
INSERT INTO `client_strings` VALUES ('string/en/container_error_message.stf', '5', 'container04', 'This slot is already occupied.');
INSERT INTO `client_strings` VALUES ('string/en/container_error_message.stf', '6', 'container05', 'This container has no slot in which to put that.');
INSERT INTO `client_strings` VALUES ('string/en/container_error_message.stf', '7', 'container06', 'This item does not fit into any slots on that container.');
INSERT INTO `client_strings` VALUES ('string/en/container_error_message.stf', '8', 'container07', 'You cannot put that kind of item in that kind of container.');
INSERT INTO `client_strings` VALUES ('string/en/container_error_message.stf', '9', 'container08', 'You do not have permission to access that container.');
INSERT INTO `client_strings` VALUES ('string/en/container_error_message.stf', '10', 'container09', 'You are out of range.');
INSERT INTO `client_strings` VALUES ('string/en/container_error_message.stf', '11', 'container10', 'The item could not be found in the container.');
INSERT INTO `client_strings` VALUES ('string/en/container_error_message.stf', '12', 'container11', 'The item was already in the container.');
INSERT INTO `client_strings` VALUES ('string/en/container_error_message.stf', '13', 'container12', 'This item is too bulky to fit inside this container.');
INSERT INTO `client_strings` VALUES ('string/en/container_error_message.stf', '14', 'container14', 'This item is too deeply nested in the container');
INSERT INTO `client_strings` VALUES ('string/en/container_error_message.stf', '15', 'container13', 'This house has too many items in it');
INSERT INTO `client_strings` VALUES ('string/en/container_error_message.stf', '16', 'container15', 'This transfer failed because one or more items could not be resolved.  Please try again in a few seconds.');
INSERT INTO `client_strings` VALUES ('string/en/container_error_message.stf', '17', 'container00_prose', 'The transfer of %TT was successful.');
INSERT INTO `client_strings` VALUES ('string/en/container_error_message.stf', '18', 'container01_prose', 'An unknown error has occured during the container transfer of %TT.');
INSERT INTO `client_strings` VALUES ('string/en/container_error_message.stf', '19', 'container02_prose', 'You cannot add %TT to itself.');
INSERT INTO `client_strings` VALUES ('string/en/container_error_message.stf', '20', 'container03_prose', '%TT is full.');
INSERT INTO `client_strings` VALUES ('string/en/container_error_message.stf', '21', 'container04_prose', 'This slot is already occupied.');
INSERT INTO `client_strings` VALUES ('string/en/container_error_message.stf', '22', 'container05_prose', 'This container has no slot in which to put that.');
INSERT INTO `client_strings` VALUES ('string/en/container_error_message.stf', '23', 'container06_prose', 'This item does not fit into any slots on that container.');
INSERT INTO `client_strings` VALUES ('string/en/container_error_message.stf', '24', 'container07_prose', 'You cannot put that kind of item in that kind of container.');
INSERT INTO `client_strings` VALUES ('string/en/container_error_message.stf', '25', 'container08_prose', 'You do not have permission to access %TT.');
INSERT INTO `client_strings` VALUES ('string/en/container_error_message.stf', '26', 'container09_prose', 'You are out of range of %TT.');
INSERT INTO `client_strings` VALUES ('string/en/container_error_message.stf', '27', 'container10_prose', 'The item could not be found in the container.');
INSERT INTO `client_strings` VALUES ('string/en/container_error_message.stf', '28', 'container11_prose', 'The item was already in the container.');
INSERT INTO `client_strings` VALUES ('string/en/container_error_message.stf', '29', 'container12_prose', 'This item is too bulky to fit inside this container.');
INSERT INTO `client_strings` VALUES ('string/en/container_error_message.stf', '30', 'container13_prose', 'This house has too many items in it');
INSERT INTO `client_strings` VALUES ('string/en/container_error_message.stf', '31', 'container14_prose', 'This item is too deeply nested in the container');
INSERT INTO `client_strings` VALUES ('string/en/container_error_message.stf', '32', 'container15_prose', 'This transfer failed because %TT could not be resolved.  Please try again in a few seconds.');
INSERT INTO `client_strings` VALUES ('string/en/container_error_message.stf', '33', 'container16', 'That type of object can\'t be manipulated.');
INSERT INTO `client_strings` VALUES ('string/en/container_error_message.stf', '34', 'container16_prose', 'That type of object can\'t be manipulated.');
INSERT INTO `client_strings` VALUES ('string/en/container_error_message.stf', '35', 'container17', 'That object can\'t be manipulated.');
INSERT INTO `client_strings` VALUES ('string/en/container_error_message.stf', '36', 'container17_prose', '%TT can\'t be manipulated.');
INSERT INTO `client_strings` VALUES ('string/en/container_error_message.stf', '37', 'container18', 'You can\'t see that object.  You may have to move closer to it.');
INSERT INTO `client_strings` VALUES ('string/en/container_error_message.stf', '38', 'container18_prose', 'You can\'t see %TT.  You may have to move closer to it.');
INSERT INTO `client_strings` VALUES ('string/en/container_error_message.stf', '39', 'container19', 'Secure trade was cancelled because either you or your trading partner has a full inventory.');
INSERT INTO `client_strings` VALUES ('string/en/container_error_message.stf', '40', 'container19_prose', 'Secure trade was cancelled because either you or your trading partner has a full inventory.');
INSERT INTO `client_strings` VALUES ('string/en/container_error_message.stf', '42', 'container20_prose', 'You cannot trade an item that is equipped.');
INSERT INTO `client_strings` VALUES ('string/en/container_error_message.stf', '44', 'container21_prose', 'You cannot pick up a crafting station unless it is empty.');
INSERT INTO `client_strings` VALUES ('string/en/container_error_message.stf', '45', 'container21', 'You cannot pick up a crafting station unless it is empty.');
INSERT INTO `client_strings` VALUES ('string/en/container_error_message.stf', '46', 'container20', 'You cannot trade an item that is equipped.');
INSERT INTO `client_strings` VALUES ('string/en/container_error_message.stf', '49', 'container22_prose', 'You are unable to access your mount\'s equipment for an unknown reason while attempting to transfer %TT.\n');
INSERT INTO `client_strings` VALUES ('string/en/container_error_message.stf', '51', 'container23_prose', 'You are unable to access your mount\'s equipment for an unknown reason while attempting to transfer %TT.');
INSERT INTO `client_strings` VALUES ('string/en/container_error_message.stf', '52', 'container22', 'You are unable to access your mount\'s equipment for an unknown reason.');
INSERT INTO `client_strings` VALUES ('string/en/container_error_message.stf', '53', 'container23', 'You are unable to access your mount\'s equipment for an unknown reason.');
INSERT INTO `client_strings` VALUES ('string/en/container_error_message.stf', '54', 'container24', 'You are unable to access your mount\'s equipment because internal container linkage is corrupt.');
INSERT INTO `client_strings` VALUES ('string/en/container_error_message.stf', '55', 'container24_prose', 'You are unable to access your mount\'s equipment because internal container linkage is corrupt while attempting to transfer %TT.');
INSERT INTO `client_strings` VALUES ('string/en/container_error_message.stf', '56', 'container25', 'An script has blocked the container transfer.');
INSERT INTO `client_strings` VALUES ('string/en/container_error_message.stf', '57', 'container26', 'This item could not be transferred.');
INSERT INTO `client_strings` VALUES ('string/en/container_error_message.stf', '58', 'container27', 'You cannot take this item out of this container.');
INSERT INTO `client_strings` VALUES ('string/en/container_error_message.stf', '59', 'container28', 'You cannot put this item into this container.');
INSERT INTO `client_strings` VALUES ('string/en/container_error_message.stf', '60', 'container29', 'An unknown error has occured during a container transfer.');
INSERT INTO `client_strings` VALUES ('string/en/container_error_message.stf', '61', 'container25_prose', 'An script has blocked the container transfer of %TT.');
INSERT INTO `client_strings` VALUES ('string/en/container_error_message.stf', '62', 'container26_prose', '%TT could not be transferred.');
INSERT INTO `client_strings` VALUES ('string/en/container_error_message.stf', '63', 'container27_prose', 'You cannot take %TT out of this container.');
INSERT INTO `client_strings` VALUES ('string/en/container_error_message.stf', '64', 'container28_prose', 'You cannot put %TT into this container.');
INSERT INTO `client_strings` VALUES ('string/en/container_error_message.stf', '65', 'container29_prose', 'An unknown error has occured during the container transfer of %TT.');
INSERT INTO `client_strings` VALUES ('string/en/container_error_message.stf', '66', 'container30', 'The container transfer failed due to the previously listed error.');
INSERT INTO `client_strings` VALUES ('string/en/container_error_message.stf', '67', 'container30_prose', 'The container transfer of %TT failed due to the previously listed error. ');
INSERT INTO `client_strings` VALUES ('string/en/container_name.stf', '1', 'base_container', 'Crate');
INSERT INTO `client_strings` VALUES ('string/en/container_name.stf', '2', 'base_container_slotted', 'Container');
INSERT INTO `client_strings` VALUES ('string/en/container_name.stf', '3', 'base_container_volume', 'Container');
INSERT INTO `client_strings` VALUES ('string/en/container_name.stf', '4', 'tatt_drum', 'Drum');
INSERT INTO `client_strings` VALUES ('string/en/container_name.stf', '5', 'component_container', 'Component Container');
INSERT INTO `client_strings` VALUES ('string/en/container_name.stf', '6', 'component_container_d', 'This container holds crafting components.');
INSERT INTO `client_strings` VALUES ('string/en/container_name.stf', '7', 'treasure_drum', 'Buried Treasure');
INSERT INTO `client_strings` VALUES ('string/en/container_name.stf', '8', 'treasure_drum_d', 'A vacuum sealed chamber used for storing items for long periods of time.  It looks like it was just dug out of the ground.');
INSERT INTO `client_strings` VALUES ('string/en/container_name.stf', '9', 'medbag', 'Medicine Bag');
INSERT INTO `client_strings` VALUES ('string/en/container_name.stf', '10', 'lunchbox', 'Lunchbox');
INSERT INTO `client_strings` VALUES ('string/en/container_name.stf', '11', 'satchel', 'Satchel');
INSERT INTO `client_strings` VALUES ('string/en/container_name.stf', '12', 'cargo_pocket', 'Cargo Pocket');
INSERT INTO `client_strings` VALUES ('string/en/container_name.stf', '13', 'jar_base', 'Jar');
INSERT INTO `client_strings` VALUES ('string/en/container_name.stf', '14', 'jar_empty', 'Empty Jar');
INSERT INTO `client_strings` VALUES ('string/en/container_name.stf', '15', 'jar_berries', 'Jar of Berries');
INSERT INTO `client_strings` VALUES ('string/en/container_name.stf', '16', 'jar_bugs', 'Jar of Bugs');
INSERT INTO `client_strings` VALUES ('string/en/container_name.stf', '17', 'jar_funk', 'Jar of Insect Larvae');
INSERT INTO `client_strings` VALUES ('string/en/container_name.stf', '18', 'jar_spice', 'Jar of Spices');
INSERT INTO `client_strings` VALUES ('string/en/container_name.stf', '19', 'jar_guts', 'Jar of Guts');
INSERT INTO `client_strings` VALUES ('string/en/container_name.stf', '20', 'newbie_tutorial_debris', 'Debris');
INSERT INTO `client_strings` VALUES ('string/en/container_name.stf', '21', 'locked_loot_crate', 'Locked Container');
INSERT INTO `client_strings` VALUES ('string/en/container_name.stf', '22', 'locked_loot_crate_d', 'This container has been locked with a magnetic seal.  For access, you\'ll need the key or you\'ll need to slice the locking system.');
INSERT INTO `client_strings` VALUES ('string/en/container_name.stf', '23', 'loot_crate', 'Unlocked Container');
INSERT INTO `client_strings` VALUES ('string/en/container_name.stf', '24', 'loot_crate_d', 'This container appears to have been magnetically sealed at one point, but it is open now.');
INSERT INTO `client_strings` VALUES ('string/en/container_name.stf', '25', 'placable_loot_crate', 'MagSeal Container');
INSERT INTO `client_strings` VALUES ('string/en/container_name.stf', '26', 'placable_loot_crate_d', 'A strong, blast proof container used for storing valuables.  These are quite common and cheap to produce.  If the MagSeal lock is in place, you will need to have the key or some way of slicing past the system.');
INSERT INTO `client_strings` VALUES ('string/en/container_name.stf', '27', 'placable_loot_crate_trashpile', 'Loose Debris');
INSERT INTO `client_strings` VALUES ('string/en/container_name.stf', '28', 'placable_loot_crate_trashpile_d', 'A random collection of loose debris is piled here for reasons unknown. Intelligent wild creatures often gather materials such as these to construct nests and barriers... and (in some very rare cases) for social rituals that few have observed and lived to recount.');
INSERT INTO `client_strings` VALUES ('string/en/container_name.stf', '31', 'singing_mountain_clan_backpack', 'Tribal Waist Pack');
INSERT INTO `client_strings` VALUES ('string/en/container_name.stf', '32', 'placable_loot_crate_skeleton', 'A Pile of Bones');
INSERT INTO `client_strings` VALUES ('string/en/container_name.stf', '33', 'placable_loot_crate_skeleton_d', 'These are the remains of an ill-fated adventurer. It is likely that equipment and credits may be extracted from this pile of bones.');
INSERT INTO `client_strings` VALUES ('string/en/container_name.stf', '34', 'astromech', 'A Defunct Astromech');
INSERT INTO `client_strings` VALUES ('string/en/container_name.stf', '35', 'computer', 'A Computer Storage Unit');
INSERT INTO `client_strings` VALUES ('string/en/container_name.stf', '36', 'gas_filter', 'An Air Filtration Unit');
INSERT INTO `client_strings` VALUES ('string/en/container_name.stf', '37', 'warren_tech_armoire_d', 'A sectioned metal locker. Sometimes equipped with electronic locks, these are usually used for storing equipment or valuables.');
INSERT INTO `client_strings` VALUES ('string/en/container_name.stf', '38', 'warren_tech_armoire', 'Locker');
INSERT INTO `client_strings` VALUES ('string/en/container_name.stf', '39', 'warren_tech_chest', 'Metal Chest');
INSERT INTO `client_strings` VALUES ('string/en/container_name.stf', '40', 'warren_tech_chest_d', 'A small metal chest, used to hold equipment and supplies. These are sometimes equipped with electronic locks.');
INSERT INTO `client_strings` VALUES ('string/en/container_name.stf', '41', 'warren_skeleton', 'A Corpse');
INSERT INTO `client_strings` VALUES ('string/en/container_name.stf', '42', 'warren_skeleton_d', 'This appears to be the devastated corpse of a human. However, it is likely that equipment or items might still be found in the remains.');
INSERT INTO `client_strings` VALUES ('string/en/container_name.stf', '43', 'debris', 'Debris');
INSERT INTO `client_strings` VALUES ('string/en/container_name.stf', '44', 'large_plain_crate', 'Large Unmarked Crate');
INSERT INTO `client_strings` VALUES ('string/en/container_name.stf', '45', 'large_plain_crate_d', 'A large storage crate with no markings to tell what it contains.');
INSERT INTO `client_strings` VALUES ('string/en/container_name.stf', '46', 'tech_armoire', 'Armoire');
INSERT INTO `client_strings` VALUES ('string/en/container_name.stf', '47', 'tech_chest', 'Chest');
INSERT INTO `client_strings` VALUES ('string/en/container_name.stf', '48', 'tech_bookcase', 'Bookcase');
INSERT INTO `client_strings` VALUES ('string/en/container_name.stf', '49', 'security_container', 'Security Box');
INSERT INTO `client_strings` VALUES ('string/en/container_name.stf', '50', 'security_container_d', 'A sturdy container designed to keep content secure from exterior damage.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/battlefield_entry_station_imperial.stf', '1', 'do_not_edit', 'The English version of this file (battlefield_entry_station_imperial.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/battlefield_entry_station_imperial.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/battlefield_entry_station_imperial.stf', '3', 's_1bd14e67', 'Okay. Goodbye!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/battlefield_entry_station_imperial.stf', '4', 's_2e491159', 'Sign up with the Empire and we\'ll talk.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/battlefield_entry_station_imperial.stf', '5', 's_33077605', 'You are not welcome at this station, Rebel SCUM!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/battlefield_entry_station_imperial.stf', '6', 's_33f71018', 'You are not of the proper faction. Go find your own station.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/battlefield_entry_station_imperial.stf', '7', 's_358253b2', 'There\'s nothing we can do for you while you\'re in that civilian ship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/battlefield_entry_station_imperial.stf', '8', 's_48f82131', 'You need to move closer to this station.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/battlefield_entry_station_imperial.stf', '9', 's_597d7f95', 'I would like to go to Kessel.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/battlefield_entry_station_imperial.stf', '10', 's_7426e000', 'No!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/battlefield_entry_station_imperial.stf', '11', 's_a136b7d3', 'Welcome to the Imperial Space Station!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/battlefield_entry_station_imperial.stf', '12', 's_a80d9308', 'Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/battlefield_entry_station_imperial.stf', '13', 's_c2f477d7', 'This will cost %DI points of Prestige. Do you wish to spend the points and enter?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/battlefield_entry_station_imperial.stf', '14', 's_ef420789', 'Yes!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/battlefield_entry_station_imperial.stf', '15', 's_fa22e207', 'I would like to enter Deep Space!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/battlefield_entry_station_imperial.stf', '16', 's_fe2e6ec0', 'You do not have enough Prestige to enter Deep Space. You need %DI points. Go do more work for the Empire and we\'ll talk.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/battlefield_entry_station_neutral.stf', '1', 'do_not_edit', 'The English version of this file (battlefield_entry_station_neutral.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/battlefield_entry_station_neutral.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/battlefield_entry_station_neutral.stf', '3', 's_11e15256', 'Ha ha!  I don\'t blame you.  Goodbye, then.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/battlefield_entry_station_neutral.stf', '4', 's_1cfc0538', 'Good luck');
INSERT INTO `client_strings` VALUES ('string/en/conversation/battlefield_entry_station_neutral.stf', '5', 's_1e10b20e', 'Forget that!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/battlefield_entry_station_neutral.stf', '6', 's_3693fe50', 'There\'s nothing we can do for you as long as you\'re in that civilian ship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/battlefield_entry_station_neutral.stf', '7', 's_370822d1', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/conversation/battlefield_entry_station_neutral.stf', '8', 's_37d359a2', 'You do not have enough Prestige to enter Deep Space.  You need %DI points.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/battlefield_entry_station_neutral.stf', '9', 's_3b257674', 'You need to move close to this station, %TU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/battlefield_entry_station_neutral.stf', '10', 's_43be1790', 'I understand');
INSERT INTO `client_strings` VALUES ('string/en/conversation/battlefield_entry_station_neutral.stf', '11', 's_457a7010', 'No');
INSERT INTO `client_strings` VALUES ('string/en/conversation/battlefield_entry_station_neutral.stf', '12', 's_45e440c8', 'Rebels are not welcome here');
INSERT INTO `client_strings` VALUES ('string/en/conversation/battlefield_entry_station_neutral.stf', '13', 's_5755f403', 'Okay, Goodbye');
INSERT INTO `client_strings` VALUES ('string/en/conversation/battlefield_entry_station_neutral.stf', '14', 's_5f09f8fe', 'The Empire');
INSERT INTO `client_strings` VALUES ('string/en/conversation/battlefield_entry_station_neutral.stf', '15', 's_729b53ce', 'Welcome, pilot!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/battlefield_entry_station_neutral.stf', '16', 's_7e6edae', 'This will cost %DI points of prestige.  Do you wish to spend the points and enter?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/battlefield_entry_station_neutral.stf', '17', 's_993453d7', 'Imperials are not welcome here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/battlefield_entry_station_neutral.stf', '18', 's_a785faa6', 'Which side would you like to support?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/battlefield_entry_station_neutral.stf', '19', 's_a99b5897', 'This area of Deep Space has been closed by order of the Empire.  The only way to get in is to pose as either an Imperial yourself, or to use the Rebel Alliance\'s hyperspace route.  Be warned though, whichever route you choose, you will be treated as an enemy by the other side!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/battlefield_entry_station_neutral.stf', '20', 's_c4588d4d', 'I want to go to Kessel');
INSERT INTO `client_strings` VALUES ('string/en/conversation/battlefield_entry_station_neutral.stf', '21', 's_d62f971d', 'The Rebel Alliance');
INSERT INTO `client_strings` VALUES ('string/en/conversation/battlefield_entry_station_neutral.stf', '22', 's_f61543c9', 'Good Luck');
INSERT INTO `client_strings` VALUES ('string/en/conversation/battlefield_entry_station_neutral.stf', '23', 's_fa22e207', 'I would like to enter Deep Space!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/battlefield_entry_station_rebel.stf', '1', 'do_not_edit', 'The English version of this file (battlefield_entry_station_rebel.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/battlefield_entry_station_rebel.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/battlefield_entry_station_rebel.stf', '3', 's_17456755', 'Sign up with the Rebel Alliance and we\'ll talk.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/battlefield_entry_station_rebel.stf', '4', 's_1bd14e67', 'Okay. Goodbye!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/battlefield_entry_station_rebel.stf', '5', 's_2103c96f', 'We can\'t do anything for you while you\'re in that civilian ship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/battlefield_entry_station_rebel.stf', '6', 's_33f71018', 'You are not of the proper faction. Go find your own station.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/battlefield_entry_station_rebel.stf', '7', 's_359fde4', 'I want to go to Kessel.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/battlefield_entry_station_rebel.stf', '8', 's_3b257674', 'You need to move close to this station, %TU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/battlefield_entry_station_rebel.stf', '9', 's_514ace33', 'You are not welcome at this station!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/battlefield_entry_station_rebel.stf', '10', 's_6aebdf84', 'Welcome to the Rebel Space Station!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/battlefield_entry_station_rebel.stf', '11', 's_7426e000', 'No!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/battlefield_entry_station_rebel.stf', '12', 's_93272f1a', 'Good Luck.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/battlefield_entry_station_rebel.stf', '13', 's_a80d9308', 'Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/battlefield_entry_station_rebel.stf', '14', 's_c2f477d7', 'This will cost %DI points of Prestige. Do you wish to spend the points and enter?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/battlefield_entry_station_rebel.stf', '15', 's_ef420789', 'Yes!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/battlefield_entry_station_rebel.stf', '16', 's_f68255a0', 'You do not have enough Prestige to enter Deep Space. You need %DI points. Go do more work for the Rebellion and we\'ll talk.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/battlefield_entry_station_rebel.stf', '17', 's_fa22e207', 'I would like to enter Deep Space!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist01.stf', '1', 'do_not_edit', 'The English version of this file (bestine_artist01.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist01.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist01.stf', '3', 's_21666bd5', 'If you\'ve come about that overdue rent, fear not. I\'ve got a work of art that\'s being featured in the Bestine Museum. I\'m sure my windfall is not far behind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist01.stf', '4', 's_22e081ab', 'Wait... I remember you. You asked about my artwork recently. I guess if you want to hear it again, there\'s no harm to me.\n\nIn my paintings, I bring to life the image of a single plant in each of my paintings. These are mostly plants I\'ve encountered in youth when I was more of a traveller. My work is painterly, yet accurately depicts its subject.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist01.stf', '5', 's_378506ca', 'Wait... I remember you. You mentioned that once before. Guess there\'s no harm in saying it again.\n\nIn my paintings, I bring to life the image of a single plant in each of my paintings. These are mostly plants I\'ve encountered in youth when I was more of a traveller. My work is painterly, yet accurately depicts its subject.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist01.stf', '6', 's_40f54223', 'That\'s why I\'m here. The Bestine Museum is looking to feature another work of art.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist01.stf', '7', 's_4a276e66', 'Calm down. I was just passing by.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist01.stf', '8', 's_506f2192', 'Are you from the debt collector? I\'ve barely a few credits to my name at the moment, so you\'ll get nothing from me. Begone.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist01.stf', '9', 's_62dd13f8', 'Just wait and see... my time has come. You\'ll see. Soon I\'ll be famous all across the galaxy. Well, maybe not on Dantooine... but no one there really matters anyway.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist01.stf', '10', 's_7afc26f5', 'Yes, I\'ll pay... I\'ll pay. Wait a minute... who are you? Look, I\'m busy. I don\'t really have time to talk right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist01.stf', '11', 's_908359f7', 'Oh... well then let me tell you about my work. \n\nIn my paintings, I bring to life the image of a single plant in each of my paintings. These are mostly plants I\'ve encountered in youth when I was more of a traveller. My work is painterly, yet accurately depicts its subject.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist01.stf', '12', 's_b7a88f36', 'Are you here to collect a debt? No fear... I\'ve got a work of art that\'s being featured in the Bestine Museum. It can\'t be long before riches follow. Oh, you\'re not here about money... well, even better.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist01.stf', '13', 's_c061a6db', 'Actually, I\'m here about your artwork. The Bestine Museum is looking to feature a work of art.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist01.stf', '14', 's_e60617b5', 'Oh. Okay then. I apologize. It\'s just that... well, no point in going into the dirty little details. Let\'s just forget the whole thing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist01.stf', '15', 's_e7133472', 'Good luck with that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist01.stf', '16', 's_f58736af', 'Oh... well... why didn\'t you say so earlier. \n\nIn my paintings, I bring to life the image of a single plant in each of my paintings. These are mostly plants I\'ve encountered in youth when I was more of a traveller. My work is painterly, yet accurately depicts its subject.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist02.stf', '1', 'do_not_edit', 'The English version of this file (bestine_artist02.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist02.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist02.stf', '3', 's_1fa7f38', 'Didn\'t you already ask me about that? Oh well...\n\nI always wanted to design buildings, but never had the motivation to take the steps necessary to actually become an architect. Instead, I do paintings of buildings. Not quite the same thing, but I find it satisfying.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist02.stf', '4', 's_2d2a7797', 'You should be proud.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist02.stf', '5', 's_3a6247ed', 'How exciting! I\'ve been involved in such things before and always enjoy the opportunity. \n\nI always wanted to design buildings, but never had the motivation to take the steps necessary to actually become an architect. Instead, I do paintings of buildings. Not quite the same thing, but I find it satisfying.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist02.stf', '6', 's_4823f472', 'Hello Friend. Slow down a bit and enjoy the day.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist02.stf', '7', 's_5722b971', 'Hello. Sit and have a drink with me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist02.stf', '8', 's_59b34fc5', 'Actually that\'s what I\'m here to talk about. They wish to feature another work of art.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist02.stf', '9', 's_5b1a751', 'Yet another opportunity! \n\nI always wanted to design buildings, but never had the motivation to take the steps necessary to actually become an architect. Instead, I do paintings of buildings. Not quite the same thing, but I find it satisfying.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist02.stf', '10', 's_5b1aeaab', 'Hello. Did you know I have a painting in the Bestine Museum? It\'s true. I\'m trying to be humble, but I\'ve never been so proud of myself.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist02.stf', '11', 's_707098b5', 'Er... um... on second thought, maybe I\'d be better off drinking alone.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist02.stf', '12', 's_8f58f4f9', 'Thank you. I encourage you to go see my painting. I did mention that it\'s in the Bestine Museum, yes?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist02.stf', '13', 's_9467cd8b', 'Wait, didn\'t we already... I mean... ah nevermind.\n\nI always wanted to design buildings, but never had the motivation to take the steps necessary to actually become an architect. Instead, I do paintings of buildings. Not quite the same thing, but I find it satisfying.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist02.stf', '14', 's_96628254', 'Tell me  about your artwork. The Bestine Museum wishes to maybe feature it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist02.stf', '15', 's_c062519', 'Sit, friend, and listen to my grand exploits. Well, grand to me nonetheless. I\'ve recent been honored by having a painting featured in the Bestine Museum. You should journey there and see it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist02.stf', '16', 's_f0611875', 'Okay, hand me a bottle of whatever you\'re drinking.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist03.stf', '1', 'do_not_edit', 'The English version of this file (bestine_artist03.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist03.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist03.stf', '3', 's_1054ba24', 'Greetings friends. Have you heard about the time I crossed the Dune Sea without drinking even a single drop of water? Ha...who needs water when you\'ve got a good Corellian ale!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist03.stf', '4', 's_14cd5816', 'Oh, well then have you heard about the time I single-handedly defeated an entire unit of stormtroopers? It\'s true... they\'re really terrible at sabacc.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist03.stf', '5', 's_1eebe4c5', 'Do you get the feeling we\'ve done this before?\n\nAnyway, as someone who enjoys exploring this waste of a planet, I\'ve sometimes used painting as a journal of sorts to memorialize things I\'ve seen. Those that truly made an impression on me and are unique to Tatooine.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist03.stf', '6', 's_3e426694', 'Yeah, you\'ve mentioned it before.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist03.stf', '7', 's_46c7e15a', 'Say no more. \n\nAs someone who enjoys exploring this waste of a planet, I\'ve sometimes used painting as a journal of sorts to memorialize things I\'ve seen. Those that truly made an impression on me and are unique to Tatooine.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist03.stf', '8', 's_77b94789', 'Greetings friends. Have you heard about the time I tricked an underling of Jabba into giving me his money? Who needs a bank account with all the gullible thugs Jabba employs.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist03.stf', '9', 's_77eb5b90', 'Have we talked about this already? You want to hear it again? Okay.\n\nAs someone who enjoys exploring this waste of a planet, I\'ve sometimes used painting as a journal of sorts to memorialize things I\'ve seen. Those that truly made an impression on me and are unique to Tatooine.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist03.stf', '10', 's_9700d1c6', 'Er yeah. Anyway the Bestine Museum is looking for their next work of art to feature.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist03.stf', '11', 's_a9fe5eb6', 'Hello. Have you heard about the time one of my paintings was featured in the Bestine Museum? That time is now! I encourage you to rush to Bestine and see for yourself.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist03.stf', '12', 's_ae2d8845', 'Oh sure. Closest thing this planet has to an art museum. Though, have you heard about the time I tried to open an art gallery for Tusken Raiders? Ends up they really don\'t like art. Or maybe it was just me... I\'m not sure.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist03.stf', '13', 's_b53cc4bf', 'How could I not leap at the chance yet again! \n\nWell, as someone who enjoys exploring this waste of a planet, I\'ve sometimes used painting as a journal of sorts to memorialize things I\'ve seen. Those that truly made an impression on me and are unique to Tatooine.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist03.stf', '14', 's_c53bdfa0', 'All the way over in Bestine?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist03.stf', '15', 's_ead5e0b4', 'The Bestine Museum is looking for more art to feature.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist04.stf', '1', 'do_not_edit', 'The English version of this file (bestine_artist04.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist04.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist04.stf', '3', 's_179635e7', 'Kahfr does not understand why you are saying that. Kahfr thinks perhaps you\'ve been wandering the Dune Sea for too long.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist04.stf', '4', 's_17cd5bb6', 'You must experience Kahfr\'s painting. Kahfr\'s artwork graces the walls of the Museum in Bestine. Kahfr is a great artist!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist04.stf', '5', 's_28823813', 'Then listen to what I have to say. The Bestine Museum is looking for art to exhibit.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist04.stf', '6', 's_3b52499e', 'Oh, well... if you\'re busy, I\'ll leave you alone.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist04.stf', '7', 's_40f271aa', 'You ask Kahfr again? Always Kahfr must repeat herself.\n\nKahfr\'s art is the art of people. Faces. Right now Mon Calamari faces. Taken out of context, a person\'s face can be quite abstract. This is what Kahfr does.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist04.stf', '8', 's_6589745', 'You speak really well too.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist04.stf', '9', 's_71aaaca6', 'Why do you bother Kahfr? Kahfr is a great artist and is very busy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist04.stf', '10', 's_7766385', 'Kahfr is impressed by your understanding. Kahfr thanks you and bids you farewell. Though Kahfr wonders if this is sarcasm...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist04.stf', '11', 's_8bc4905a', 'The Bestine Museum is looking for another work of art to feature. Perhaps yours again?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist04.stf', '12', 's_8d0668a2', 'Kahfr is a great artist! Kahfr\'s artwork graces the walls of the Museum in Bestine. You must experience Kahfr\'s painting.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist04.stf', '13', 's_bf1648b1', 'Kahfr thinks you\'ve asked that before. But Kahfr does not mind.\n\nKahfr\'s art is the art of people. Faces. Right now Mon Calamari faces. Taken out of context, a person\'s face can be quite abstract. This is what Kahfr does.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist04.stf', '14', 's_cf179f96', 'Kahfr is interested. Kahfr has long expected such an honor as is her due. \n\nKahfr\'s art is the art of people. Faces. Right now Mon Calamari faces. Taken out of context, a person\'s face can be quite abstract. This is what Kahfr does.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist04.stf', '15', 's_d4ede5f2', 'Do not bother Kahfr? Kahfr is a great artist and is very busy. You must go now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist04.stf', '16', 's_df8872ca', 'Kahfr is again interested. Kahfr would rather such an honor not pass her by. \n\nKahfr\'s art is the art of people. Faces. Right now Mon Calamari faces. Taken out of context, a person\'s face can be quite abstract. This is what Kahfr does.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist05.stf', '1', 'do_not_edit', 'The English version of this file (bestine_artist05.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist05.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist05.stf', '3', 's_2e785872', 'Good for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist05.stf', '4', 's_3671ce2c', 'Greetings my friend. Times are good. I have a painting being featured at the Bestine Museum.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist05.stf', '5', 's_4af78c89', 'Truly?! Perhaps they would like my paintings. \n\nI do still life paintings. Usually, just of plants in the wild, because... well... those don\'t cost anything. I guess that could be considered a landscape painting, but I don\'t paint much more than just the plant.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist05.stf', '6', 's_55a9443f', 'Truly?! Perhaps they would like another of my paintings. \n\nI do still life paintings. Usually, just of plants in the wild, because... well... those don\'t cost anything. I guess that could be considered a landscape painting, but I don\'t paint much more than just the plant.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist05.stf', '7', 's_74b54572', 'Indeed. I\'m hoping to earn enough money to travel once again. I\'d like to see more of the galaxy if I can.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist05.stf', '8', 's_991f684c', 'You return to hear about my paintings again? Wouldn\'t it be easier to just go see the one at the Bestine Museum?\n\nI do still life paintings. Usually, just of plants in the wild, because... well... those don\'t cost anything. I guess that could be considered a landscape painting, but I don\'t paint much more than just the plant.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist05.stf', '9', 's_9fc7f9c5', 'Well, perhaps I can help. The Bestine Museum is looking for a work of art to exhibit.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist05.stf', '10', 's_b31048ea', 'Greetings. I\'m afraid I have little to offer you as I am but an impoverished artist.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist05.stf', '11', 's_b5220a73', 'Not even that. I\'m scraping together every bit I can just to purchase my painting supplies. At this rate I\'ll be stuck in this sand ball forever.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist05.stf', '12', 's_c8bc2cfd', 'Well met. I\'m afraid I have little to offer you as I am but an impoverished artist.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist05.stf', '13', 's_c93140c8', 'The Bestine Museum is looking for another work of art to feature.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist05.stf', '14', 's_d29b30b8', 'Well met friend. Times are good. I have a painting being featured at the Bestine Museum.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist05.stf', '15', 's_eaf3bb47', 'Not even a credit or two?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist05.stf', '16', 's_f4165153', 'Seems like we\'ve done this already. Once before. Once again? Very well.\n\nI do still life paintings. Usually, just of plants in the wild, because... well... those don\'t cost anything. I guess that could be considered a landscape painting, but I don\'t paint much more than just the plant.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist06.stf', '1', 'do_not_edit', 'The English version of this file (bestine_artist06.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist06.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist06.stf', '3', 's_1433b9d4', 'My eyes are open. I see you for what you are.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist06.stf', '4', 's_21352168', 'If you wish to have your eyes opened with new visions of the world around you, then your first step should be to go to the Bestine Museum and see my painting on display there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist06.stf', '5', 's_23697fe2', 'And naturally they desire another of mine. \n\nI paint common subjects in abstraction. My goal isn\'t to replicate the look of my subjects, but rather to use their shapes to find higher art. For me, the petals of a flower are simply organic shapes used in my composition.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist06.stf', '6', 's_29026317', 'And they are considering mine? Glorious! \n\nI paint common subjects in abstraction. My goal isn\'t to replicate the look of my subjects, but rather to use their shapes to find higher art. For me, the petals of a flower are simply organic shapes used in my composition.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist06.stf', '7', 's_30df2fe8', 'And that\'s as a painter, I surely hope. But it\'s a good start... that is, if you\'re truly looking and not just humoring me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist06.stf', '8', 's_32722caf', 'Er... okay. Anyway, the Bestine Museum is looking for a work of art to exhibit.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist06.stf', '9', 's_3a301702', 'I expanded my mind once... was really hung over the next day.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist06.stf', '10', 's_54e93392', 'Don\'t close yourself off... there\'s more to see than what your eyes tell you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist06.stf', '11', 's_582eefe3', 'Right... we\'ve already gone over this as you would know if you weren\'t so closed off.\n\nI paint common subjects in abstraction. My goal isn\'t to replicate the look of my subjects, but rather to use their shapes to find higher art. For me, the petals of a flower are simply organic shapes used in my composition.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist06.stf', '12', 's_66605741', 'Forgotten me already? You were just here. Truly, you move through the world with your mind closed.\n\nI paint common subjects in abstraction. My goal isn\'t to replicate the look of my subjects, but rather to use their shapes to find higher art. For me, the petals of a flower are simply organic shapes used in my composition.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist06.stf', '13', 's_7154d52c', 'Arrgh... not with Corellian ale or spice! Open yourself to news ways of experiencing the galaxy. Don\'t just blindly follow your feet. Truly see to truly know.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist06.stf', '14', 's_8a659170', 'Expand you mind, my friend. There\'s more to see than what your eyes tell you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist06.stf', '15', 's_a13d05db', 'Yes, and the Bestine Museum is also looking for another work of art to feature.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_artist06.stf', '16', 's_bf3a373', 'Open your eyes! New visions of the world are all around you. If nothing else, you should be to go to the Bestine Museum and see my painting on display there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_capitol01.stf', '1', 'do_not_edit', 'The English version of this file (bestine_capitol01.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_capitol01.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_capitol01.stf', '3', 's_8819f19f', 'The governor is appointing someone to work closely with her on a new project. Currently, the only two candidates eligible are Victor Visalis, Officer of Defense and Sean Trenwell, Director of Commerce. You\'ll probably have to speak with the governor for more information about the voting process and further details. Unfortunately, I have to get back to work. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_capitol01.stf', '4', 's_90ce1297', 'No, thank you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_capitol01.stf', '5', 's_c82e9a2f', 'Yes, please.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_capitol01.stf', '6', 's_da5842cb', 'Another election should be coming up in the following months. I wonder who will win and what effects it will have on the city of Bestine. You should probably keep an eye out for upcoming announcements.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_capitol01.stf', '7', 's_edaf838a', 'That\'s a pity. Okay, then. Have a good day!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_capitol01.stf', '8', 's_f9dda042', 'You look a little lost. Or have you come to the capitol to vote in the upcoming election? Confused? You haven\'t heard of the changes to Bestine? I thought everyone had heard of it! Must be an outsider. Oh well! Do you want to hear about it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_capitol02.stf', '1', 'do_not_edit', 'The English version of this file (bestine_capitol02.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_capitol02.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_capitol02.stf', '3', 's_bdbf995f', 'The capitol is buzzing about the new election! I\'m glad you\'ve come! I hope you\'re going to vote. The eligible candidates are Victor Visalis and Sean Trenwell. The governor is collecting votes, and the winner will work closely with her on a new project. You should go talk with her.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_capitol02.stf', '4', 's_d18211cb', 'The Empire has taken a new direct standing against the people. I really hope the poor folk won\'t be too oppressed by the changes. We\'ll have to see what happens.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_capitol03.stf', '1', 'do_not_edit', 'The English version of this file (bestine_capitol03.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_capitol03.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_capitol03.stf', '3', 's_4fc77052', 'It\'s really quiet around here when there isn\'t an election going on. Well... it\'s quiet, at least, for us volunteers. You should come back when an election is going on. I should be at the University, studying. I\'m not that good of a student. Oh well!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_capitol03.stf', '4', 's_a65103f5', 'All this talk about the new election. It\'s so boring! I should have volunteered at the museum instead! Ugh! You haven\'t heard about the election? You\'re lucky. The governor is taking votes so you need to speak with her. I\'m going to take a break now...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_capitol04.stf', '1', 'do_not_edit', 'The English version of this file (bestine_capitol04.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_capitol04.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_capitol04.stf', '3', 's_2fcca84c', 'Do you think I\'ll make the next election? I have so many good ideas for Bestine. Listen to them... actually, I\'m not going to tell you. You may steal my ideas and run for office. You think you\'re pretty smart, huh?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_capitol04.stf', '4', 's_754d87ee', 'I guess I didn\'t make the cut. Like many of the politicians here, I too wanted to work with the governor on her new project. Now, it\'s between Victor Visalis and Sean Trenwell. I guess they deserve it. Speak with the governor for more details. I really must get back to work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_rumor01.stf', '1', 'do_not_edit', 'The English version of this file (bestine_rumor01.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_rumor01.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_rumor01.stf', '3', 's_a886b683', 'If you care about the state of Bestine, then you should vote for one of the new candidates. You can go to the capitol and speak with the governor for more information. The winner of the election will reflect on Bestine, so choose wisely.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_rumor01.stf', '4', 's_b1225bbd', 'I hear there\'s been way too many attacks on Bestine by the Sand People. It\'s really hurting our economy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_rumor02.stf', '1', 'do_not_edit', 'The English version of this file (bestine_rumor02.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_rumor02.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_rumor02.stf', '3', 's_f74566b1', 'Maybe voting for Sean Trenwell wasn\'t such a good idea. I heard some pretty nasty rumors about him. He seems to be blinded by money. But really, who isn\'t?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_rumor02.stf', '4', 's_f9db7bbe', 'Bestine really doesn\'t need heightened defenses. I\'m going to vote for Sean Trenwell, Director of Commerce in the upcoming election. We could really use more merchants around here. What do you think? I really think you should vote. The governor is taking votes at the capitol.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_rumor03.stf', '1', 'do_not_edit', 'The English version of this file (bestine_rumor03.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_rumor03.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_rumor03.stf', '3', 's_848f500b', 'Victor Visalis did well in office, I think. Well... other than hunting down rebels with his newly-hired band of troopers. It was pretty horrible for a while. But, what can ya do? This is an Imperial city after all.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_rumor03.stf', '4', 's_cd086fbf', 'Merchants? A Museum? Historians?! C\'mon! What we really need is added defense against Tusken Raiders! In the upcoming election, my vote is for Victor Visalis, Officer of Defense. You should vote too. Go ask the governor at the capitol for more information.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_rumor04.stf', '1', 'do_not_edit', 'The English version of this file (bestine_rumor04.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_rumor04.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_rumor04.stf', '3', 's_156c9c13', 'I never really got around to voting. I\'m too scared to even go out sometimes. The Sand People raids are really getting to me. I need to do some shopping... if you\'ll excuse me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_rumor04.stf', '4', 's_e4577019', 'Victor or Sean? Defense or Commerce? Oh! I didn\'t see you there. I\'m trying to decide for whom I should vote in the upcoming election. The more votes, the better. I suggest you talk with the governor at the capitol for more information.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_rumor05.stf', '1', 'do_not_edit', 'The English version of this file (bestine_rumor05.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_rumor05.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_rumor05.stf', '3', 's_a3f92c54', 'I\'ve heard that Sean Trenwell funded the establishment of the new market place with his own fortune. Maybe you should check the new market place out. I hear the merchants there are searching for rare objects... coins, bones or something like that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_rumor05.stf', '4', 's_a65f8ef3', 'As a crafter, I\'m going to vote for the Director of Commerce, Sean Trenwell. I definitely need more business and, with his influence, more merchants will be brought in, naturally bringing out more buyers. I really think you should vote. Talk with the governor at the capitol for more information regarding the election.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_rumor06.stf', '1', 'do_not_edit', 'The English version of this file (bestine_rumor06.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_rumor06.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_rumor06.stf', '3', 's_c3f5586a', 'If Victor Visalis wins this election, a higher degree of defense will be added. The Tusken Raiders are getting restless and may launch an attack soon. I really fear for the city of Bestine. You look... confused. Talk with the governor at the capitol. She knows all the details.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_rumor06.stf', '4', 's_e63228d2', 'The museum holds frequent contests. I bought a painting that had been on showcase last month. It\'s really beautiful!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_rumor07.stf', '1', 'do_not_edit', 'The English version of this file (bestine_rumor07.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_rumor07.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_rumor07.stf', '3', 's_3626560c', 'Visalis is on our side. If he wins the election, more Imperial Troops will be recruited and sent to Bestine. I hear the Tusken Raiders are getting restless. You should vote. The governor is taking them over at the capitol. Oh-break is over. Move along, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_rumor07.stf', '4', 's_49709fbf', 'We\'re clenching our fists tighter around the Rebel Alliance. Soon, they won\'t be in existence. They\'re nothing but trouble. You should stay away from them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_rumor08.stf', '1', 'do_not_edit', 'The English version of this file (bestine_rumor08.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_rumor08.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_rumor08.stf', '3', 's_71b4d773', 'If Victor Visalis wins the election, he\'ll recruit more Imperial Troops to guard Bestine. Do you think I can make the cut? I\'d really love the chance to show the Empire what I\'m worth! The election? You haven\'t heard? Oh. Well, go to the capitol and talk with the governor. She knows everything!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_rumor08.stf', '4', 's_ba912d0c', 'I\'m going to try and make it. Make the cut for the Empire, that is. I really want to be a trooper. I think I\'d make a good one. Join the Empire!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_rumor09.stf', '1', 'do_not_edit', 'The English version of this file (bestine_rumor09.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_rumor09.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_rumor09.stf', '3', 's_3415564', 'I visit the museum every day. I\'m hoping that one of my paintings will be on display there. Others could then purchase copies of my painting and hang them up in their houses. How exciting! I have to practice...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_rumor09.stf', '4', 's_44776715', 'I\'m an artist and will definitely vote for Sean Trenwell. I hear he\'s personally funding the museum so they can hold frequent contests! I really hope one of my paintings will be on display at the museum. I\'m definitely going to win! You need to vote as well. Please talk with the governor at the capitol for more information.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_rumor10.stf', '1', 'do_not_edit', 'The English version of this file (bestine_rumor10.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_rumor10.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_rumor10.stf', '3', 's_3fb4ad13', 'We need a library or someplace where we can learn about the history of Bestine. It\'s really not known as well as say the history of Mos Eisley. I think that\'ll be my goal. To teach everyone about history.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_rumor10.stf', '4', 's_9a864cde', 'I\'m really curious about the history of Bestine. If Sean Trenwell wins, I\'m going to volunteer my efforts to uncover the mysteries surrounding this city. He really cares about Bestine and would do well in the new role if he wins the election. You should really take the time to vote at the capitol. Talk with the governor. She knows all the details.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_rumor11.stf', '1', 'do_not_edit', 'The English version of this file (bestine_rumor11.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_rumor11.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_rumor11.stf', '3', 's_7f471bf9', 'I\'m here to investigate the background story of Victor Visalis. He\'s running as the Officer of Defense in the upcoming election. I have a bad feeling bout him. Every politician has a bad side, some horrible story in their past. Anyway, you need to vote at the capitol. Talk with the governor for more information.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_rumor11.stf', '4', 's_e2e56485', 'There are some really weird things going on. I think the Empire is becoming more and more strict with who and what come out of Bestine. Between you and me, anyone who\'s sympathetic with the Rebels should be careful. I\'ve seen too many singled out and executed nowadays.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_rumor12.stf', '1', 'do_not_edit', 'The English version of this file (bestine_rumor12.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_rumor12.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_rumor12.stf', '3', 's_5028a3e0', 'Have you ever seen a Jedi before? I did the other day. He seemed kinda... odd. He was an apprentice, I think, and he was showing off his light saber to someone else. You wouldn\'t believe it but, out of nowhere he was attacked by bounty hunters... troopers even! He got away, thankfully. I bet he\'ll be more careful next time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_rumor12.stf', '4', 's_9a4ad400', 'There\'s something more to Sean Trenwell than meets the eye. I\'m looking into his past to see what skeletons he\'s hiding. He\'s running as the Director of Commerce in the upcoming election. Hopefully, he won\'t win. But then again, I\'m not too fond of Victor Visalis either. You need to vote and find out for yourself. Talk with the governor at the capitol.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_stone_merchant.stf', '1', 'do_not_edit', 'The English version of this file (bestine_stone_merchant.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_stone_merchant.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_stone_merchant.stf', '3', 's_1cb401b5', 'I\'ll keep searching!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_stone_merchant.stf', '4', 's_211ab5b4', 'I\'ll give you the carved stone.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_stone_merchant.stf', '5', 's_2b5e768f', 'I guess so. I\'ll look for some.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_stone_merchant.stf', '6', 's_38d8cf30', 'I\'ll give you the smooth stone.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_stone_merchant.stf', '7', 's_4242e25b', 'Probably. Bye!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_stone_merchant.stf', '8', 's_8762f9f', 'I\'m in the business of collecting rare stones. Unfortunately, I haven\'t had much business lately. I guess I should find another business.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_stone_merchant.stf', '9', 's_8c741032', 'I\'m going to keep it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_stone_merchant.stf', '10', 's_98e55c89', 'I may have the stones you are looking for.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_stone_merchant.stf', '11', 's_9e6e06eb', 'You will? Too bad I don\'t know where they are. I heard a rumor that Victor Visalis may know. He\'s over at the capitol. He doesn\'t usually talk about things other than the election. Maybe if he won the election... oh well. If you ever find any, I\'m here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_stone_merchant.stf', '12', 's_af25c425', 'Yes, I do. I have a smooth stone.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_stone_merchant.stf', '13', 's_af35650e', 'I have a smooth stone.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_stone_merchant.stf', '14', 's_b04b4ef5', 'Alright. If you have any stones, be sure to come back!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_stone_merchant.stf', '15', 's_b6e7bea1', 'Yes, I do. I have a carved stone.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_stone_merchant.stf', '16', 's_b6f71f8a', 'I have a carved stone.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_stone_merchant.stf', '17', 's_bb2c2468', 'Thank you! Here, I\'ll give you this. We\'ll say you bought it from me by giving me the stone. It\'s rare so guard it closely.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_stone_merchant.stf', '18', 's_cc49587f', 'Wow! That\'s just what I\'m looking for! I can take it off your hands if you want. I need to test every one very carefully. So what do you say? Which one do you want to give me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_stone_merchant.stf', '19', 's_d7a9bace', 'Oh... okay. Well, if you decide you\'d rather get it off your hands, feel free to seek me out! I\'ll surely buy them off you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_stone_merchant.stf', '20', 's_e21cea57', 'You do?! What kind of stones?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_stone_merchant.stf', '21', 's_eaee4954', 'No, just looking around. See ya later!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/bestine_stone_merchant.stf', '22', 's_f56c7c9f', 'Do you have more stones for me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_assistant.stf', '1', 'do_not_edit', 'The English version of this file (biogenic_assistant.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_assistant.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_assistant.stf', '3', 's_114e560', 'Actually, he just told me to come get the codes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_assistant.stf', '4', 's_255de7f7', 'Not much. This is a genetic research facility, but I\'m an engineering assistant. I don\'t know much about that stuff. But it would seem that when that earthquake hit, it somehow released the creatures from their cages.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_assistant.stf', '5', 's_25e7c7e7', 'Thank you for delivering the codes to the engineer. You\'ve been a great help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_assistant.stf', '6', 's_33eb85b5', 'Sure, I will take the codes to the engineer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_assistant.stf', '7', 's_457410bd', 'No problem. Good-bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_assistant.stf', '8', 's_49ef3c27', 'Really? That would be fantastic! Here, the codes are on this datapad. You should be able to find him near the reactor. Thank you so much for your help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_assistant.stf', '9', 's_4b2c2992', 'Yes, I need to try and get back to the reactor room myself.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_assistant.stf', '10', 's_72510ac3', 'I\'m sure you\'ll get there somehow. Good-bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_assistant.stf', '11', 's_761ee240', 'I\'ll take the codes to the engineer for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_assistant.stf', '12', 's_7dfa7256', 'Thank you for killing those creatures. They\'ve escaped from their cages and they\'re out of control.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_assistant.stf', '13', 's_80dc0120', 'What is the favor?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_assistant.stf', '14', 's_81b17df9', 'I see. Well, good-bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_assistant.stf', '15', 's_82bc35bf', 'Can you tell me anything about those monsters?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_assistant.stf', '16', 's_89ca9e86', 'The engineer told me to come get the codes from you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_assistant.stf', '17', 's_950188fd', 'Assistant? I was told to get some codes from you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_assistant.stf', '18', 's_aa495893', 'OK, I understand. If you get a chance, please come back.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_assistant.stf', '19', 's_ae1d4fd6', 'Please take the codes to the engineer. Thank you very much for your help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_assistant.stf', '20', 's_b5c70166', 'Please take the codes to the engineer. If you need to get into the engineering area, use the code 51892. Thank you very much for your help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_assistant.stf', '21', 's_b856cb2e', 'Really? Would you take them back to him? They are on this datapad. Thank you so much.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_assistant.stf', '22', 's_bbbd5d0f', 'Yes, I hope so. Good-bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_assistant.stf', '23', 's_be849f7b', 'I have these computer codes that I need to get to the engineer, but the creatures attacked me before I could get back to him. I wonder if you could bring the codes to him for me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_assistant.stf', '24', 's_bf513acb', 'Oh, hey, you\'re back. I wonder if I could ask you for a favor?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_assistant.stf', '25', 's_c251c56d', 'Really? That would be fantastic! Here, the codes are on this datapad. You should be able to find him near the reactor. If the door to the engineering room is locked, the code 51892 will get you in. Thank you so much for your help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_assistant.stf', '26', 's_c3bd7233', 'I have the computer codes that the head engineer needs to get the reactor back online. I was on my way back to the engineering room, but I can\'t possibly make it there with all these creatures loose.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_assistant.stf', '27', 's_d8a95d57', 'Yes, I have these computer codes that the head engineer needs, but I was attacked by these creatures. Here, the codes are on this datapad. Please take them to him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_assistant.stf', '28', 's_ea2d9bb0', 'What is it that you\'re doing here?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_assistant.stf', '29', 's_eeaf9e0b', 'Sorry, I don\'t have time right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_construction.stf', '1', 'do_not_edit', 'The English version of this file (biogenic_construction.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_construction.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_construction.stf', '3', 's_134aacec', 'I\'m sure you\'ll think of some way.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_construction.stf', '4', 's_1d440dae', 'No, thank you. If you have a chance, you might want to go check out the main engineering area. It looks like the power core might be damaged or offline. If the door is locked, the code 51892 will get you in. Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_construction.stf', '5', 's_1df6adfc', 'Thank goodness you got here in time! That spider was going to kill me. I thought for sure I was a goner. How can I ever repay you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_construction.stf', '6', 's_23041b9a', 'If you have a chance, you might want to go check out the main engineering area. It looks like the power core might be damaged or offline. If the door is locked, the code 51892 will get you in.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_construction.stf', '7', 's_2453dda8', 'I understand. Thanks again for killing those spiders.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_construction.stf', '8', 's_355bc632', 'What were you doing in here anyway?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_construction.stf', '9', 's_4136c2df', 'Thank you very much.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_construction.stf', '10', 's_457410bd', 'No problem. Good-bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_construction.stf', '11', 's_575de8f1', 'Thanks again for killing those spiders. I\'m getting out of here as soon as the way is clear.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_construction.stf', '12', 's_5fe23666', 'OK. Good-bye then.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_construction.stf', '13', 's_67f9970', 'If you have a chance, you might want to go check out the main engineering area. It looks like the power core might be damaged or offline. If the door is locked, the code 51892 will get you in. Good-bye, and good luck!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_construction.stf', '14', 's_75118515', 'I was working on excavating this passage when the earthquake hit. Not long after, the spiders attacked. Now I just want to get out of here. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_construction.stf', '15', 's_82e89d37', 'OK. I will try to check it out.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_construction.stf', '16', 's_add15db6', 'I will if I have time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_construction.stf', '17', 's_c1d58076', 'Good-bye, and good luck!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_construction.stf', '18', 's_c30b797d', 'Yea, I\'m getting out of here too. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_construction.stf', '19', 's_d8420164', 'Alright. Thanks again for killing those spiders.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_construction.stf', '20', 's_dc2d689c', 'Thanks again for killing those spiders. If you need to get to the engineering area, the code 51892 will get you in.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_construction.stf', '21', 's_de8e8527', 'No, thank you. Good-bye, friend!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_construction.stf', '22', 's_e4b06f76', 'There\'s no need. I\'m glad you\'re alright.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_construction.stf', '23', 's_eb771a95', 'Actually, I don\'t have much to give you. Perhaps I\'ll think of something later.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_construction.stf', '24', 's_fc129e0e', 'Well I\'m only interested in getting out of here now.  I\'ll do that as soon as I get my wits back.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_crazyguy.stf', '1', 'do_not_edit', 'The English version of this file (biogenic_crazyguy.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_crazyguy.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_crazyguy.stf', '3', 's_1300ed43', 'What warning? I forgot. Oh well, as long as you remember.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_crazyguy.stf', '4', 's_14b63e24', 'Yes! I see you are... the truth. When you leave... we all can go. But I must tell you...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_crazyguy.stf', '5', 's_1c4a552c', 'No, who is not here. That is... the problem. I think? Are you ...who?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_crazyguy.stf', '6', 's_1c8bddbb', 'What is it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_crazyguy.stf', '7', 's_20413fbf', 'I\'m sorry, I guess I just don\'t get it. Good-bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_crazyguy.stf', '8', 's_23bcaf58', 'Never alone... never alone...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_crazyguy.stf', '9', 's_28eb431a', 'There are some that think that... namely you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_crazyguy.stf', '10', 's_3157939', 'You\'re loony as a peko bird. Good-bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_crazyguy.stf', '11', 's_3a0e3163', 'How many? 32281... monsters... 32281... monsters.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_crazyguy.stf', '12', 's_3e250a', 'No... no one. No one does. No one anymore.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_crazyguy.stf', '13', 's_40626e0f', 'That\'s what I say too. Except I\'m... staying here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_crazyguy.stf', '14', 's_469eaf3a', 'No, not going on... going in, and when you\'ve done that... we all go out.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_crazyguy.stf', '15', 's_4e52ced2', 'Hey, I remember you... but I\'ve never seen you before.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_crazyguy.stf', '16', 's_51edfa93', 'Then maybe you aren\'t... who you are. So long then.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_crazyguy.stf', '17', 's_524005c4', 'Yes! Yes you are! I see you... now you must go!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_crazyguy.stf', '18', 's_564ba87', 'I swear, if you don\'t tell me what\'s going on...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_crazyguy.stf', '19', 's_5d16248c', 'Yes, I\'m here. Now what is going on?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_crazyguy.stf', '20', 's_5d995d79', 'Life is not all about... rhyming. And soon it will be over.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_crazyguy.stf', '21', 's_64bc92a0', 'Go where? Tell me what\'s happening!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_crazyguy.stf', '22', 's_68d073fe', 'Keep what in mind? Was it something important? Oh well.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_crazyguy.stf', '23', 's_6b830d', 'Um... thanks for the warning.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_crazyguy.stf', '24', 's_70a572af', 'I don\'t have time for this. Good-bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_crazyguy.stf', '25', 's_72870486', 'Unfortunately... we all get it. Very soon.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_crazyguy.stf', '26', 's_74fbbad2', 'Look around... do you see it? That\'s, uh... what is?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_crazyguy.stf', '27', 's_7b11e13b', 'Ah, I\'m glad you\'re back. Now go.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_crazyguy.stf', '28', 's_7d4e91e1', 'Yes, I am. I think.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_crazyguy.stf', '29', 's_7d4f8520', 'Yes, yes. Keep going. That way. No, wait. That way.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_crazyguy.stf', '30', 's_80c190c3', '*gurk* Why... you\'re here? Did they send you? I see that you\'re here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_crazyguy.stf', '31', 's_91c86ae2', 'For the monsters... 32281 is it. You see, 32281... monsters. There are 32281 monsters.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_crazyguy.stf', '32', 's_9499432', 'Still crazy as ever I see.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_crazyguy.stf', '33', 's_9c653067', 'See what? I don\'t...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_crazyguy.stf', '34', 's_a64c5d9e', 'Of course you have, I was here just a bit ago.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_crazyguy.stf', '35', 's_a8cf80a2', 'I\'m sorry, I don\'t understand. Good-bye');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_crazyguy.stf', '36', 's_a9f69fb7', 'Go? You want me to leave?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_crazyguy.stf', '37', 's_b18aca61', 'What isn\'t happening? You, that\'s what... why? Go now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_crazyguy.stf', '38', 's_bc3d132b', 'No, no. All I have is time, until it ends.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_crazyguy.stf', '39', 's_be321a24', 'Ok, ok. I\'m going.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_crazyguy.stf', '40', 's_c182d8fb', 'Sorry, I don\'t talk with crazy people. Good-bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_crazyguy.stf', '41', 's_c875e4f0', 'Did I? I don\'t remember. Ok then, good-bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_crazyguy.stf', '42', 's_cc90aebb', 'Good idea. I can\'t take any more of this.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_crazyguy.stf', '43', 's_d166b780', 'Go? No, I want you to leave... in there!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_crazyguy.stf', '44', 's_d3b52482', 'There is no leaving. Not now since... oh, you\'re here?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_crazyguy.stf', '45', 's_d5e04dc5', 'That\'s what I just said. I don\'t understand you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_crazyguy.stf', '46', 's_d87072f3', 'Go in? Go out? What are you talking about?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_crazyguy.stf', '47', 's_daa5a74d', 'Ok, you seem distracted. I\'ll leave you alone.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_crazyguy.stf', '48', 's_e1fbb5ed', 'In where? Into that opening back there?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_crazyguy.stf', '49', 's_e34d6272', 'Is who here? Start making sense!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_crazyguy.stf', '50', 's_e5f4a149', 'Please don\'t hurt me. I was just leaving.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_crazyguy.stf', '51', 's_e7953fb5', 'What is the matter with you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_crazyguy.stf', '52', 's_eb2f9960', 'HELP! HELP! Are you here?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_crazyguy.stf', '53', 's_f0a82cfa', 'I think you\'ve told me enough already.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_crazyguy.stf', '54', 's_f6dd63d', 'Did who send me? What\'s going on here?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_crazyguy.stf', '55', 's_fd7a670e', 'Right... I\'ll try to, um... keep that in mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_engineertech.stf', '1', 'do_not_edit', 'The English version of this file (biogenic_engineertech.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_engineertech.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_engineertech.stf', '3', 's_1615f465', 'It looks like the security grid is offline too. I don\'t know how that will effect the sentry droids, but the security doors are probably locked down. Without a special key you wouldn\'t be able to get much further into the complex.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_engineertech.stf', '4', 's_235c610d', 'That earthquake we just had knocked out our power reactor. The backup system came online, but we\'re rapidly losing power throughout the complex.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_engineertech.stf', '5', 's_27707b65', 'No, I haven\'t gotten the datapad yet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_engineertech.stf', '6', 's_2c2921ad', 'Were you able to find my apprentice? Did you get the datapad?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_engineertech.stf', '7', 's_30c757f6', 'What else has been affected?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_engineertech.stf', '8', 's_347a730', 'Unfortunately, that means that the power to our containment system failed. No doubt you\'ve probably seen some pretty fearsome creatures wandering around.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_engineertech.stf', '9', 's_3d90816', 'Blast, the coolant pump is offline too. We\'ll need to get that... oh, what are you doing here?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_engineertech.stf', '10', 's_428087e9', 'What\'s happening here?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_engineertech.stf', '11', 's_4c14f9fb', 'Yes, I hope so too.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_engineertech.stf', '12', 's_4fe2bd07', 'And thank you for yours. Good luck to you!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_engineertech.stf', '13', 's_56fde3ca', 'I\'m trying to help secure the facility.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_engineertech.stf', '14', 's_5933b1d0', 'I could easily make you a key to get you past the first security door, but I would ask you to do something for me first.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_engineertech.stf', '15', 's_5afc1718', 'Alright, good luck!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_engineertech.stf', '16', 's_5fe76a83', 'You\'ve wandered into a bad spot I\'m afraid. That earthquake knocked out our power reactor and we\'re rapidly losing power throughout the complex.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_engineertech.stf', '17', 's_6569e789', 'We could certainly use the help, that\'s for sure. That earthquake knocked out our power reactor and we\'re rapidly losing power throughout the complex.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_engineertech.stf', '18', 's_69a2ad00', 'Well, alright. Good-bye then.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_engineertech.stf', '19', 's_75c607ac', 'My assistant has some computer codes that we need to restart the reactor. If you bring me his datapad with those codes, I will gladly make you a security key.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_engineertech.stf', '20', 's_76e305ae', 'Come back as soon as you find it, and I\'ll get you a key for that security door.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_engineertech.stf', '21', 's_884784be', 'I see. Thank you for your help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_engineertech.stf', '22', 's_8c024a43', 'We\'ve got things under control here now. You\'d better go see if anyone else needs help. Thanks again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_engineertech.stf', '23', 's_8e26cc3d', 'Well, I hope you get it fixed. Good bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_engineertech.stf', '24', 's_926a3bb3', 'Sounds pretty bad. I\'ll leave you alone.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_engineertech.stf', '25', 's_94350653', 'Alright, well thanks anyway. But don\'t forget that you won\'t be able to go much farther into the facility without a key to disable that security door.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_engineertech.stf', '26', 's_9541ca42', 'Actually, now that you mention it, there is. We have the materials here to repair the reactor, but I can\'t bring it online without the computer codes. My assistant currently has the codes on his datapad, but I don\'t know where he is.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_engineertech.stf', '27', 's_99c2fa91', 'I just sort of wandered in, I guess.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_engineertech.stf', '28', 's_9d6ccb86', 'I\'m just leaving.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_engineertech.stf', '29', 's_a3101911', 'Why, uh... yes it is! Here are the codes! And as promised, here is a key that will let you past the first security door.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_engineertech.stf', '30', 's_a767cb3c', 'Is there anything that I can do to help?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_engineertech.stf', '31', 's_a7b6a9c7', 'I\'m supposed to give this datapad to you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_engineertech.stf', '32', 's_aa71d09d', 'I need to you to find my assistant, and bring his datapad back here to me. If you can get me those codes, I\'ll see if I can wire you a key that will let you through the first security door.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_engineertech.stf', '33', 's_b3d8b98a', 'Alright, I\'ll come back when I\'ve found your assistant.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_engineertech.stf', '34', 's_b78f009b', 'Alright. Good-bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_engineertech.stf', '35', 's_b8cdda4', 'Thanks again for your help. And good luck to you!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_engineertech.stf', '36', 's_bf0dd8c0', 'I\'m sorry. I\'ve got to go.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_engineertech.stf', '37', 's_c1eda1a3', 'I\'ll give it a try anyway. Good-bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_engineertech.stf', '38', 's_c8edf6a4', 'Oh yes! The computer codes! Now we will be able to get the reactor back online. In exchange for your help, let me give you this key. Since the lockdown is in effect, it will let you get past the first security door.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_engineertech.stf', '39', 's_cd2b08bc', 'Thank you for the key.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_engineertech.stf', '40', 's_d2de343f', 'What is it you would have me do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_engineertech.stf', '41', 's_d4b22fda', 'Oh, you\'re back. We\'re still trying to get the reactor back online. Not much progress yet, I\'m afraid.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_engineertech.stf', '42', 's_d7f1b726', 'I\'ll see what I can do, but I\'m not making any promises.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_engineertech.stf', '43', 's_da5959ed', 'Is this the datapad that you\'re talking about?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_engineertech.stf', '44', 's_dc2e08dd', 'OK, what do you need me to do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_engineertech.stf', '45', 's_dd67013', 'What does that mean?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_engineertech.stf', '46', 's_df0aaba0', 'Only the first door?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_engineertech.stf', '47', 's_e61f6f04', 'Thank you very much. Come back with the codes and I\'ll make you a security key.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_engineertech.stf', '48', 's_eb038dde', 'Where could I get one of those keys?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_engineertech.stf', '49', 's_f4e8ce21', 'OK, thanks for stopping by.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_engineertech.stf', '50', 's_f8f36834', 'All of the security doors have different locking algorithms. I\'ve had to work on that first door before, so I\'m pretty familiar with how it works. However, once you\'re though there, you\'re on your own.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_02.stf', '1', 'do_not_edit', 'The English version of this file (biogenic_herald_02.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_02.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_02.stf', '3', 's_16124dd5', 'This is not an official order, but rather a simple reconnaissance assignment. We\'re concerned about one of our agents stationed on Yavin IV. I\'ll give you some more details if you take the assignment. Do you accept?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_02.stf', '4', 's_373c8ad', 'So what is it you want me to do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_02.stf', '5', 's_40cc2c96', 'Alright, but I suggest that you return when you get a chance. As a loyal servant of the Empire, I\'m sure that you do not want to displease your superiors.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_02.stf', '6', 's_41db0c1b', 'Unless you have official Imperial business, I suggest that you move along.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_02.stf', '7', 's_657f5904', 'No, I will decline.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_02.stf', '8', 's_66a4dded', 'I don\'t have time for menial tasks, sorry.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_02.stf', '9', 's_678d7eec', 'So how do I find the facility?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_02.stf', '10', 's_86248d8c', 'Most excellent. Your superiors will be pleased. Now for the details. We have had an agent stationed on Yavin IV for a while now. He was tasked with observing a hidden Geonosian bio-genetics facility.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_02.stf', '11', 's_87f743f', 'Alright, but I suggest you reconsider. As a loyal servant of the Empire, I\'m sure that you don\'t want to displease your superiors.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_02.stf', '12', 's_8d4bd762', 'Yes, I will accept.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_02.stf', '13', 's_8f9bb5cc', 'When you do, we will send a team to the bio-genetics facility to deal with the traitorous Geonosians. Good luck on your assignment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_02.stf', '14', 's_9288900f', 'I understand.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_02.stf', '15', 's_9326b612', 'I will see if I can find your missing agent.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_02.stf', '16', 's_978ff349', 'We want you to travel to Yavin IV, find the hidden bio-genetics laboratory, and see what happened to our agent. Unfortunately we do not know specifically where the compound is.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_02.stf', '17', 's_9c1f1aa9', 'Ah, excellent. I\'m glad that you\'re here. I have an assignment that I need to delegate, and you look like you would be prefect for the task.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_02.stf', '18', 's_c6f4650', 'The agent is supposed to report in at regular intervals but we have not heard from him in quite a while. We suspect that he might have been kidnapped by the Geonosians, who may be now working in league with the Rebellion.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_02.stf', '19', 's_d029dd34', 'What is it that you would have me do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_02.stf', '20', 's_d736fda3', 'Please continue.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_02.stf', '21', 's_edb238bc', 'Go on.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_02.stf', '22', 's_ee774a3d', 'Our missing agent is the only one who knew exactly where it is. Why don\'t you go to the Mining Outpost on Yavin IV to try and get some leads. See if the locals there have seen or noticed anything out of the ordinary.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_03.stf', '1', 'do_not_edit', 'The English version of this file (biogenic_herald_03.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_03.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_03.stf', '3', 's_1711fd92', 'I didn\'t catch everything that they were saying, but I did hear something about an Imperial agent overseeing a bio-genetics research facility. And something about... Geo, uh... Geonosians, yea. That\'s it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_03.stf', '4', 's_1b751405', 'Thanks for the information. Good-bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_03.stf', '5', 's_2991cadd', 'I\'m really not sure. It got a little loud in here and I couldn\'t make out what they were saying, but one of them looked really mad. If you ask me something big is about to go down.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_03.stf', '6', 's_2b10b66c', 'Did they mention where the facility is?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_03.stf', '7', 's_3d816e72', 'No, they didn\'t. In fact, I don\'t even think they know where it is exactly, except for on Yavin IV. Sounds like it\'s a big secret, but they said something about asking the locals. Something about a Mining Outpost, too.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_03.stf', '8', 's_569d6129', 'Hello. You are sympathetic to the Rebellion are you not? I have information that may be of interest to you if you are willing to hear it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_03.stf', '9', 's_5ea784e0', 'My pleasure. If it sounds like something you want to look into, you might like to ask around that Mining Outpost on Yavin IV yourself.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_03.stf', '10', 's_7fd67d96', 'Well, a couple of Imperial types were in here not long ago, and I overheard their conversation. It sounded like they were talking about something going down on Yavin IV.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_03.stf', '11', 's_8ae9c189', 'Sure, sure, I understand. I\'ll still be here if you get a chance to come back.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_03.stf', '12', 's_9e41444d', 'Did they say what was happening?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_03.stf', '13', 's_a5ee5a5b', 'My pleasure. Take care!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_03.stf', '14', 's_b3ba542c', 'I\'m sorry, but I\'ve got to go.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_03.stf', '15', 's_c2f063ae', 'Sure, tell me what you know.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_03.stf', '16', 's_d6d8b3ab', 'No, they didn\'t. In fact, I don\'t even think they know where it is exactly. Sounds like it\'s a big secret, but they said something about asking the locals. Something about a Mining Outpost, too.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_03.stf', '17', 's_e35ee05f', 'I don\'t have time now, I\'m sorry.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_03.stf', '18', 's_ededde72', 'Hello. How are you doing today?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_03.stf', '19', 's_f8365ece', 'What else did they say?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_dealer.stf', '1', 'do_not_edit', 'The English version of this file (biogenic_herald_dealer.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_dealer.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_dealer.stf', '3', 's_113ae28f', 'I\'d like to go take a look at this mountain.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_dealer.stf', '4', 's_12f0f46', 'I told \'em no. Hardly anythin\' unusual ever happened around here. But if I had seen then what I\'ve seen now, I would have changed my answer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_dealer.stf', '5', 's_14b834bb', 'What kind of strange things have been going on?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_dealer.stf', '6', 's_188c477d', 'So long, stranger.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_dealer.stf', '7', 's_1945c2e', 'Came straight back here obviously. I know better than to stick my head into odd caves that may or may not exist. Trouble is... no one here believes me. They all think it was just my eyes playin\' tricks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_dealer.stf', '8', 's_1f5ef4a0', 'Am I a seedy character?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_dealer.stf', '9', 's_1fc825af', 'Those people are right. You\'re nuts.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_dealer.stf', '10', 's_253d6dd2', 'Why don\'t you tell me about those strange folk?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_dealer.stf', '11', 's_2608508b', 'Oh... well, sorry. Good-bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_dealer.stf', '12', 's_2688b2a3', 'Well, I\'ll tell you something that struck me as curious. No one else around here really believes me though. They think I\'m crazy...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_dealer.stf', '13', 's_2b7c5c5a', 'No, I don\'t have anything, sorry.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_dealer.stf', '14', 's_321d898b', 'What do you mean by strange folk?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_dealer.stf', '15', 's_3dc0cd9d', 'Being a mining outpost, we\'ve always had a couple of seedy characters hanging around, but usually looking for work or somethin\'. Now they\'re just all over the place. Asking lots of questions sometimes, too.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_dealer.stf', '16', 's_4399b8ac', 'Frankly, I don\'t think much better of you. Good-bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_dealer.stf', '17', 's_46aee9', 'You\'ve been there? Did you find that mountain? Did you see the cave? I\'m not crazy am I?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_dealer.stf', '18', 's_490e56dd', 'You don\'t say? Good-bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_dealer.stf', '19', 's_520ae1e7', 'You\'re right, there was a cave there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_dealer.stf', '20', 's_52beeae8', 'Yes, I have a few things you might be interested in.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_dealer.stf', '21', 's_53fdb2c3', 'Sorry, this story is boring. Good-bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_dealer.stf', '22', 's_551304d2', 'Alright, let\'s see what you have.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_dealer.stf', '23', 's_5b67bd', 'Well, not long ago we had an earthquake or somthin\' nearby. Some thought it was an explosion, but either way, stuff like that is important to a miner. So I went over to check it out... see if there was any damage to any equipment...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_dealer.stf', '24', 's_5c031163', 'Well I don\'t think much of you, either. Good-bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_dealer.stf', '25', 's_61f5ac3', 'OK, tell me please.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_dealer.stf', '26', 's_674fdb0a', 'Had you seen anything unusual?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_dealer.stf', '27', 's_6ecc5ef7', 'What was it that you saw?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_dealer.stf', '28', 's_72308e43', 'Wow. What did you do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_dealer.stf', '29', 's_7828a8aa', 'What kind of questions are they asking?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_dealer.stf', '30', 's_827f01ce', 'Sometimes they ask about all that debris. Sometimes they ask questions about mining. I do remember some of those Imperials asking us if we\'d seen anything unusual.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_dealer.stf', '31', 's_83b0842f', 'Well, I saw a cave in the mountain. But not a natural cave, someone put that cave there on purpose. The weird thing, though, is that I didn\'t see the cave there when I looked the first time. Then when I turned away and looked back, it was gone again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_dealer.stf', '32', 's_85f5abed', 'What kind of questions have people been asking?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_dealer.stf', '33', 's_86db3ca8', 'Darn right I did. Turns out the quake was centered near a small mountain. We never did start any mining there as there was nothin\' worth digging up. But I checked out the mountain anyway. And that\'s when the weird thing happened...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_dealer.stf', '34', 's_894992c6', 'I think that I\'ve been to this place that you\'re talking about.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_dealer.stf', '35', 's_8a046130', 'I knew it! Wait \'til I tell everyone. Now they\'ll know I\'m not crazy! Did you find any relics that I might be able to buy from you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_dealer.stf', '36', 's_8d32acbf', 'Did you find anything?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_dealer.stf', '37', 's_93f3969d', 'I\'m sorry, I didn\'t see anything.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_dealer.stf', '38', 's_9c48be16', 'You\'re obviously crazy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_dealer.stf', '39', 's_a70cda4', 'At the time, no I hadn\'t. Hardly anythin\' unusual ever happened around here. But if I had seen then what I had seen now, I would definately had told \'em.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_dealer.stf', '40', 's_aa4a4ec4', 'Who has been asking questions?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_dealer.stf', '41', 's_ac44ebc8', 'Several people. Some folk coming in from Tatooine on the shuttle. Some Imperial types. I know they\'re Imperial because they wear those flashy uniforms.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_dealer.stf', '42', 's_b1be0157', 'Do you not usually have that sort of people around here?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_dealer.stf', '43', 's_b9c59c4a', 'Sure, here is the location of the mountain. You go check it out yourself, then everyone will know that I\'m not seein\' things. If do find it, bring back any relics or junk you might come across. I\'ll buy it from you for proof!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_dealer.stf', '44', 's_bbf0856c', 'Ever since all that debris came raining down we\'ve had all sorts through here. Thugs, gangsters, adventurers, Imperials, and probably some from that rebellion, too. We used to be just a quiet mining outpost.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_dealer.stf', '45', 's_c0036582', 'What did you tell them?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_dealer.stf', '46', 's_ca3bfa0f', 'Eh... you don\'t look much like a miner, but then again we\'ve been getting several strange folk comin\' through this outpost of late. Several strange things goin\' on \'round here too. Some funny times these days if you ask me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_dealer.stf', '47', 's_ce4b0ac8', 'Well, that\'s OK. At least I have your word to back me up. Thanks for checking it out for me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_dealer.stf', '48', 's_d78255c2', 'That\'s very interesting. Good-bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_dealer.stf', '49', 's_e00ac98e', 'What happened?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_dealer.stf', '50', 's_e13e9abc', 'Tell me about the strange things that have been going on.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_dealer.stf', '51', 's_e4e38e80', 'Sorry, I\'ve got to go. Good-bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_dealer.stf', '52', 's_e998f1ae', 'I dunno. Probably.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_dealer.stf', '53', 's_ec4e1fe', 'Well if you don\'t believe me, why don\'t you go check it out yourself. Here, I\'ll give you the location of the cave. Go see it with your own eyes. If do find it, bring back any relics or junk you might come across. I\'ll buy it from you for proof!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_dealer.stf', '54', 's_ec7227cf', 'Did you find that mountain? Did you see the cave? I\'m not crazy am I?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_dealer.stf', '55', 's_f2d5ae08', 'No! It can\'t be. I know that I\'m not crazy!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_herald_dealer.stf', '56', 's_f51b07ff', 'What kind of questions?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_random.stf', '1', 'phrase_0', 'How... how did this happen? There\'s no way. It\'s impossible.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_random.stf', '2', 'phrase_1', 'They\'ve all escaped, most of them anyway. Those monsters are vicious and deadly. We\'re lucky to be alive!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_random.stf', '3', 'phrase_2', 'I\'m scared... so scared. My friends and co-workers... killed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_random.stf', '4', 'phrase_3', 'I remember... an earthquake. Or was it an attack? It\'s all so blurry now, but I can still hear it in my head.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_random.stf', '5', 'phrase_4', 'Did you feel the earthquake? I think that\'s what started all this. We should have built extra precautions, but we never expected... this.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_random.stf', '6', 'phrase_5', 'Who knew that those creations we were working on would be so violent. Powerful, yes... but it seems they almost enjoyed killing...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_random.stf', '7', 'phrase_6', 'There was an Imperial officer running around a while ago, but I haven\'t seen him since that huge blast. I wonder where he went.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_random.stf', '8', 'phrase_7', 'The blast... the screams... the noise. I can\'t get them out of my head. It\'s driving me crazy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_random.stf', '9', 'phrase_8', 'Monsters... we made monsters. I never knew... never knew they were so... so capable.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_random.stf', '10', 'phrase_9', 'Have you seen them yet? If you see them, run away... as fast as you can. It\'s the only way to stay alive.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_random.stf', '11', 'phrase_10', 'Spiders... klik-niks... I never want to see another one as long as I live. I\'ll have nightmares for the rest of my life as it is.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_random.stf', '12', 'phrase_11', 'Dead... they\'re all dead. I saw them. I saw them get killed by those... things we made.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_random.stf', '13', 'phrase_12', 'I just want to leave. I want to get out of here, but those creatures are roaming the halls. They\'ll kill me for sure.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_random.stf', '14', 'phrase_13', 'I\'m glad you\'re here. Can you help me? Can you help us get out? Can you kill those things? Please!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_random.stf', '15', 'phrase_14', 'There\'s just no way. If I find out who is responsible for this, I swear...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_random.stf', '16', 'phrase_15', 'Be careful. Ever since that earthquake, parts of the ceiling have started caving in. Some rooms are blocked off by debris.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_random.stf', '17', 'phrase_16', 'Where did that Imperial Inspector go? Everything was working fine until he came snooping around.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_random.stf', '18', 'phrase_17', 'The tremor we just had must have scrambled our security circuits. The sentry droids are attacking anything that moves now!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_random.stf', '19', 'phrase_18', 'It\'s all gone wrong. There\'s chaos everywhere! We\'ve got to get out of here!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_random.stf', '20', 'phrase_19', 'I hope everyone else is OK. I keep feeling tremors. It seems like the entire complex is ready to collapse at any moment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_random.stf', '21', 'phrase_20', 'That massive quake. It must have damaged the holo-generators. We have got to get this place under control as quickly as possible.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_generic_01.stf', '1', 'do_not_edit', 'The English version of this file (biogenic_scientist_generic_01.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_generic_01.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_generic_01.stf', '3', 's_1e9bb201', 'I\'ll see what I can do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_generic_01.stf', '4', 's_28b15c94', 'No! We\'ve got to.... help them... got to...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_generic_01.stf', '5', 's_295ff7c4', 'No, they won\'t last... please help them...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_generic_01.stf', '6', 's_2ebb30d8', 'Thank you... thank you. Please help them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_generic_01.stf', '7', 's_431dec6f', 'Can we get them out?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_generic_01.stf', '8', 's_432d5b3d', 'I\'ll try to find help. Good-bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_generic_01.stf', '9', 's_4d153d91', 'No, I can\'t. I\'m sorry.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_generic_01.stf', '10', 's_4d2b85dc', 'Help them... in Lab Two. They\'re locked in, with those monsters!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_generic_01.stf', '11', 's_4f78511c', 'Sorry, I can\'t help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_generic_01.stf', '12', 's_6157f01f', 'The others, in Lab Two. They\'re locked in, with those monsters!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_generic_01.stf', '13', 's_6cabcaaf', 'You\'ll need the code! 11380... that should open the door. Please go help them!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_generic_01.stf', '14', 's_7014bfc2', 'Please help them... they\'re trapped in Lab Two. There are monsters in there!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_generic_01.stf', '15', 's_7c08824f', 'Please get them out. The code 11380 should open the door. Please help them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_generic_01.stf', '16', 's_9acbce38', 'Help them. Help them!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_generic_01.stf', '17', 's_a1480651', 'We\'ve got to help them! They\'re trapped in there!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_generic_01.stf', '18', 's_a5b3f77', 'I\'m sure they\'ll be alright.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_generic_01.stf', '19', 's_c6a7e0ad', 'No... they\'ll be dead. Unless we can help. Will you help them?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_generic_01.stf', '20', 's_cc366e42', 'Relax, I\'m here to help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_generic_01.stf', '21', 's_e2ab2c6d', 'Help who? Who\'s trapped?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_generic_02.stf', '1', 'do_not_edit', 'The English version of this file (biogenic_scientist_generic_02.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_generic_02.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_generic_02.stf', '3', 's_138d31dc', 'Alright. I\'ll do what I can to help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_generic_02.stf', '4', 's_1efc7a3c', 'Thank you for helping us. When you\'re ready, you can unlock the security door to the cage area with the code 52577.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_generic_02.stf', '5', 's_25dab86a', 'Thank you. Many thanks indeed. But there are still more of those creatures. You must help us kill them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_generic_02.stf', '6', 's_3cfc62f2', 'It\'s OK. I\'m can help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_generic_02.stf', '7', 's_4a7c5f71', 'I\'m sorry that you\'ve decided not to help us.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_generic_02.stf', '8', 's_5f8b04be', 'I hope that you\'re right, but I doubt it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_generic_02.stf', '9', 's_729e1a36', 'Good luck, my friend. Please hurry, I think there may still be some workers trapped in the main cage area with those monsters.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_generic_02.stf', '10', 's_7394ff2a', 'If that is the case, then we are all dead.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_generic_02.stf', '11', 's_787513b2', 'Don\'t worry. I can handle it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_generic_02.stf', '12', 's_8da0f5e3', 'Sorry. You\'re on your own.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_generic_02.stf', '13', 's_a31ce3f3', 'I\'m sure you\'ll find some way to deal with it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_generic_02.stf', '14', 's_ab3423ac', 'Oh, thank you. We are all in your debt. Many of the creatures have been locked inside the main cage area, but someone needs to go in there and finish them off. You can unlock the security door with the code 52577.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_generic_02.stf', '15', 's_c0da7db8', 'Yes, unfortunately we did create this problem. But now it has gotten out of control, and the lives of everyone in this complex are in the balance. Won\'t you please help us?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_generic_02.stf', '16', 's_f2a471b5', 'Forget it. It\'s your problem. You deal with it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_generic_02.stf', '17', 's_f89f44ba', 'I will take care of the creatures. Good-bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_generic_02.stf', '18', 's_fe7a5e25', 'I do hope so. Please hurry, I think there may still be some workers trapped in the main cage area with those monsters.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_generic_02.stf', '19', 's_ff058355', 'I changed my mind. I will kill the creatures.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_generic_03.stf', '1', 'do_not_edit', 'The English version of this file (biogenic_scientist_generic_03.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_generic_03.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_generic_03.stf', '3', 's_3a1a4e80', 'My fault... it\'s all my fault. I\'ve killed them... I locked them in. They don\'t know the code...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_generic_03.stf', '4', 's_5a0551a4', 'I should have done something... too late now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_generic_03.stf', '5', 's_5b104c75', 'What is the code?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_generic_03.stf', '6', 's_611a9cf7', 'All of this. These creatures... shouldn\'t have made them so powerful... I was too confident. But I locked them in... with the code...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_generic_03.stf', '7', 's_64f42fb0', 'These creatures... the cages. Shouldn\'t have made them so powerful. Should have made the cages stronger. But I locked them in... with the code...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_generic_03.stf', '8', 's_87bb58ec', 'Calm down. What is your fault?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_generic_03.stf', '9', 's_95fa4e8', 'Yes, it probably is. Good-bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_generic_03.stf', '10', 's_a55d1241', 'No... no it won\'t be. And it\'s all my fault. I\'ve killed everyone.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_generic_03.stf', '11', 's_aed85251', 'The code... 92126. They\'re locked in... and they\'re going to die... and it\'s all my fault... my fault.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_generic_03.stf', '12', 's_b4e9b11d', 'Relax. It will be OK.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_generic_03.stf', '13', 's_b5665d3a', 'They\'re locked in... they don\'t know the code... 92126. They\'re going to die... all my fault.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_generic_03.stf', '14', 's_e82d7c74', 'What are you babbling about?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_generic_03.stf', '15', 's_fda0157f', 'All my fault... This is all my fault...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_geonosian.stf', '1', 'do_not_edit', 'The English version of this file (biogenic_scientist_geonosian.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_geonosian.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_geonosian.stf', '3', 's_30d18e8f', 'Be careful... terrible creature... locked in... 78660...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_geonosian.stf', '4', 's_3b597458', 'No, no. But that\'s OK... I was trying to salvage data from... what\'s left of the computers. This was... all I could get... before the monsters attacked. You take it... put it to good use...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_geonosian.stf', '5', 's_4c6bb27a', 'OK, I\'ll take it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_geonosian.stf', '6', 's_52a88e99', 'Thank you, I will.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_geonosian.stf', '7', 's_5d99d708', 'It\'s... terrible... it\'s locked in... 78660...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_geonosian.stf', '8', 's_71f20c60', 'Wait, wait... Take this... I was trying to salvage data from... what\'s left of the computers. This was... all I could get... before the monsters attacked... Put it to good use...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_geonosian.stf', '9', 's_720b306c', 'Stop blathering. You\'ll live.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_geonosian.stf', '10', 's_7ddd5bf5', 'No, I doubt that. But it\'s OK... I was trying to salvage data from... what\'s left of the computers. This was... all I could get... before the monsters attacked. You take it... put it to good use...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_geonosian.stf', '11', 's_a59fc522', 'Thank... thank you for rescuing me, but... I\'ve been hurt... I don\'t know... if I can make it out...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_geonosian.stf', '12', 's_ab9b9023', 'I hope you make it. Good-bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_geonosian.stf', '13', 's_f612da3', 'Hang in there, you\'ll be alright.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_human.stf', '1', 'do_not_edit', 'The English version of this file (biogenic_scientist_human.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_human.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_human.stf', '3', 's_1c8bddbb', 'What is it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_human.stf', '4', 's_259e4732', 'I\'ll make sure they\'re OK.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_human.stf', '5', 's_2f286865', 'Oh hey, I\'m glad you came back. I\'m getting ready to get out of here, but before I go, I have something that I wanted to give you...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_human.stf', '6', 's_37a3f14d', 'Alright, but they may be in serious trouble. Thank you anyway for all your help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_human.stf', '7', 's_3c5b4784', 'Hey now. Don\'t I get something for saving your life?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_human.stf', '8', 's_4136c2df', 'Thank you very much.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_human.stf', '9', 's_46b9a9b7', 'On second thought, it\'s not necessary.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_human.stf', '10', 's_4c5806c8', 'I hope so.  If you can, please check on my collegues in Genetics Lab One. If they were still in there when the doors locked down they might be in trouble. You can unlock the door with the code 86332 if necessary.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_human.stf', '11', 's_5044c295', 'No problem at all. If you can, please check on my collegues in Genetics Lab One. If they were still in there when the doors locked down they might be in trouble. You can unlock the door with the code 86332 if necessary.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_human.stf', '12', 's_6fc909ee', 'You go on ahead. I\'m just going to rest here for a moment. Don\'t forget, if you need to get into Genetics Lab One, you can use the code 86332.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_human.stf', '13', 's_7516dec7', 'That\'s not necessary. You don\'t need to give me anything.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_human.stf', '14', 's_7e89fa19', 'Oh, well yes, I suppose I do have something here. Let me see if I can find it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_human.stf', '15', 's_91b03aa5', 'No, you\'re right. Here we go. A long time ago, we had plans to build weapons in case our experiments ever got out of control. We never got around to building them, and I guess now it\'s too late. Someone like yourself should be able to make use of this.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_human.stf', '16', 's_976331da', 'It\'s my pleasure. Be careful, and good luck.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_human.stf', '17', 's_a2a14f83', 'We\'ll see if I get a chance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_human.stf', '18', 's_a643bebd', 'No, I want you to have it. A long time ago, we had plans to build weapons in case our experiments ever got out of control. We never got around to building them, and I guess now it\'s too late. Someone like yourself should be able to make use of this.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_human.stf', '19', 's_b076c975', 'Since you\'re here, could you please check on my colleagues in Genetics Lab One. If they were still in there when the doors locked down they might be in trouble. You can unlock the door with the code 86332 if necessary.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_human.stf', '20', 's_b479c40b', 'Yes, you seem to have killed quite a few of those creatures. I\'ll try to make my way out. Before I go, though, I may have something you might could use...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_human.stf', '21', 's_ba27cb12', 'Oh, thank you so much! Thank you for saving my life. I just want to get out of here. I want to get away.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_human.stf', '22', 's_c28dc6ef', 'No, thank you. That\'s not necessary.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_human.stf', '23', 's_ce30b8e3', 'Oh, yes, here it is. A long time ago, we had plans to build weapons in case our experiments ever got out of control. We never got around to building them, and I guess now it\'s too late. Someone like yourself should be able to make use of this.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_human.stf', '24', 's_d080da0e', 'Thank you. Oh, wait a minute. Before you go I have something maybe that you can use. Just a moment and let me find it...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_human.stf', '25', 's_dc4694a0', 'It should be safe for you to leave now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_human.stf', '26', 's_e2c55073', 'No, no, I insist. A long time ago, we had plans to build weapons in case our experiments ever got out of control. We never got around to building them, and I guess now it\'s too late. Someone like yourself should be able to make use of this.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_human.stf', '27', 's_e79d7d15', 'Sure, it might come in handy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_scientist_human.stf', '28', 's_f891f03f', 'Thank you so much. I appreciate it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_securitytech.stf', '1', 'do_not_edit', 'The English version of this file (biogenic_securitytech.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_securitytech.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_securitytech.stf', '3', 's_164b2134', 'We recently experienced some type of seismic event. It seems to have wrecked havoc with our security and containment systems. Many of my security officers have died as a result.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_securitytech.stf', '4', 's_18376ecf', 'Alright, just be sure to stay out of the way.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_securitytech.stf', '5', 's_19aa7018', 'No, I\'m going to stay here and try to get the security system back online. Just go and help the others. I\'m sure they\'re in trouble.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_securitytech.stf', '6', 's_1a87eec', 'No, don\'t come back. Just turn around and forget you ever saw this place.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_securitytech.stf', '7', 's_1ea74b0a', 'Can you tell me more about the escaped creatures?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_securitytech.stf', '8', 's_2066c897', 'Actually, I could use some help, but if you\'re going further into the compound, you\'ll need a code to get through that security door. Punch in the code 12872 and you can get through. There are some things you should watch out for though.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_securitytech.stf', '9', 's_28594fa2', 'I\'d like to see more of this complex. Is there anything I should know?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_securitytech.stf', '10', 's_2ba5e1a3', 'I\'m sorry. What seems to be going on here?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_securitytech.stf', '11', 's_2ea369ee', 'Alright. I\'ll do my best.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_securitytech.stf', '12', 's_3605064', 'Yes, good. Just turn around and forget that you ever saw this place.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_securitytech.stf', '13', 's_367aaeab', 'Sorry to bother you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_securitytech.stf', '14', 's_3f226fbc', 'I\'d better go in and check on things. Good-bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_securitytech.stf', '15', 's_4a0eda9c', 'OK. I\'ll be on my way then. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_securitytech.stf', '16', 's_4abac946', 'Fine, just stay out of my way.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_securitytech.stf', '17', 's_4bf538ac', 'Can you tell me about the sentry droids again?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_securitytech.stf', '18', 's_4e67874f', 'Can you tell me about the escaped creatures again?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_securitytech.stf', '19', 's_5147321f', 'No, I was just leaving. Thanks for your help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_securitytech.stf', '20', 's_54c04cd6', 'These creatures have been modified to become very powerful. When the earthquake hit, our containment system went down, and now they are able to leave their cages and roam the halls. That is about all I know.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_securitytech.stf', '21', 's_55b3a778', 'Nevermind that. What\'s going on here?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_securitytech.stf', '22', 's_5b2ec95c', 'Sith spit. That must mean the holo-generator is offline. Add one more thing to the list of what\'s gone wrong.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_securitytech.stf', '23', 's_6738bb52', 'Many of the experiments in this compound revolve around genetically mutating certain creatures. The earthquake that we experienced recently seems to have shut down out containment systems.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_securitytech.stf', '24', 's_6c0c46c5', 'On second thought, I\'d better just leave it to you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_securitytech.stf', '25', 's_6dcc098c', 'Just punch in the code 12872 to get through the security door.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_securitytech.stf', '26', 's_6e7f3aa6', 'OK. What would you like for me to do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_securitytech.stf', '27', 's_71d4af18', 'Oh, yes. Is there anything else that I can do for you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_securitytech.stf', '28', 's_7397bf4e', 'Remember, I don\'t recommend it. But if you want to get through the security door, punch in the code 12872.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_securitytech.stf', '29', 's_77c97efc', 'Do you need a hand in getting it under control?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_securitytech.stf', '30', 's_7cb640f8', 'The first thing that we need to do is to kill any of those mutant creatures that might have escaped. Then we\'ll have a good chance of getting this place back under control.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_securitytech.stf', '31', 's_7df9e17e', 'Aargh. More of those foul creatures have escaped. Wait a minute, how did you get in here?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_securitytech.stf', '32', 's_802edca9', 'No problem. Now please go take care of those creatures.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_securitytech.stf', '33', 's_83dc19a', 'What kind of things do I need to watch out for?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_securitytech.stf', '34', 's_8913cdec', 'With our security system down, the droids\' targeting protocol will be offline. They are likely to shoot at anything and everything that moves. They are positioned in halls throughout the complex.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_securitytech.stf', '35', 's_8cd04dbf', 'Can you tell me more about the sentry droids?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_securitytech.stf', '36', 's_914ffdda', 'Specifically, you will need to be aware of the sentry droids, and any creatures that might have escaped from their cages.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_securitytech.stf', '37', 's_9749167c', 'I\'m sorry, but I am very busy. What do you need?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_securitytech.stf', '38', 's_9d06ecb3', 'Leave me alone.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_securitytech.stf', '39', 's_a35c0e94', 'Well, the hole in the mountain was unlocked, so...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_securitytech.stf', '40', 's_a57fff7e', 'What was the code to get through the security door again?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_securitytech.stf', '41', 's_b49b50a8', 'Well, firstly you\'ll need a code to get through that security door. Punch in the code 12872 and you can get through. Once you get in, there are some things you should watch out for though.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_securitytech.stf', '42', 's_bdace841', 'What kind of failure exactly?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_securitytech.stf', '43', 's_c9c438be', 'What of those creatures you mentioned earlier?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_securitytech.stf', '44', 's_d14c9940', 'The same way that I\'m leaving. Good-bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_securitytech.stf', '45', 's_d7b11a2', 'Through a large opening in the side of a hill.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_securitytech.stf', '46', 's_d8be16a3', 'Best of luck to you, friend. And be careful.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_securitytech.stf', '47', 's_db64ccb5', 'Sound like you have your hands full. I\'ll leave you alone.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_securitytech.stf', '48', 's_e32d6faf', 'Are you coming with me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_securitytech.stf', '49', 's_e4c5332b', 'It\'s your funeral. You\'ll need to punch in the code 12872 to get through that security door. Just make sure none of those creatures gets in here before I get security back online.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_securitytech.stf', '50', 's_e8b00610', 'Well, you look busy. I\'ll come back later.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/biogenic_securitytech.stf', '51', 's_f6349bd9', 'The security in our facility here has suffered a catastrophic failure. We\'re doing our best to get it under control.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/boba_fett.stf', '1', 'do_not_edit', 'The English version of this file (boba_fett.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/boba_fett.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/boba_fett.stf', '3', 's_1122d80a', 'Can you tell me again about the Death Watch?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/boba_fett.stf', '4', 's_262c1b3f', 'I don\'t usually give my opinion to barves like you, but in this case I\'ll make an exception.  All I have to say is, the Mandalorians are dead and nobody is bringin\' them back. Now go.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/boba_fett.stf', '5', 's_3c8497c', 'You\'re back again?  Didn\'t we already have this discussion?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/boba_fett.stf', '6', 's_4386e081', 'I\'ve no time for the likes of you. I have more pressing matters to deal with.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/boba_fett.stf', '7', 's_4c801419', 'Are you sure that\'s all there is to it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/boba_fett.stf', '8', 's_515da73f', 'Can\'t somebody else do it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/boba_fett.stf', '9', 's_58de331a', 'Mind your business. The Hutt wants this Death Watch and their leader dead before they cut into his business.  My informants tell me they\'re cutting a deal with Black Sun even as we speak.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/boba_fett.stf', '10', 's_6ad7d226', 'You won\'t make any friends around here by passing on what\'s sure to be a lucrative job like this.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/boba_fett.stf', '11', 's_76956672', 'The experience itself will be its own reward.  Don\'t come to me or the Hutt looking for a hand out, you\'re likely to end up on the wrong end of a blaster if you keep that up.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/boba_fett.stf', '12', 's_783590a2', 'Do I get a reward for completing this mission?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/boba_fett.stf', '13', 's_8e66f1ea', 'Another of Jabba\'s little toys... You may want to make yourself useful by checking something out when you get a chance. You\'re of no use wandering around the palace aimlessly. There\'s a rumor that Death Watch operatives can be found on Endor somewhere in the northwestern area of the planet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/boba_fett.stf', '14', 's_ab11aabd', 'Okay. Anything else you can tell me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/boba_fett.stf', '15', 's_d586da5f', 'The Death Watch can be a formidable opponent and shouldn\'t be taken lightly. Be careful fighting against them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/boba_fett.stf', '16', 's_f215b084', 'Sounds like you\'ve dealt with them before.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/boba_fett.stf', '17', 's_f959107f', 'The experience itself will be its own reward.  Don\'t come to me or the Hutt looking for a handout -- you\'re likely to end up on the wrong end of a blaster if you keep that up.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/chassis_npc.stf', '1', 'do_not_edit', 'The English version of this file (chassis_npc.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/chassis_npc.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/chassis_npc.stf', '3', 's_2f553ea8', '(BUY SHIP CHASSIS)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/chassis_npc.stf', '4', 's_3310c404', 'You don\'t have anything to sell me. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/chassis_npc.stf', '5', 's_37386aa2', 'You need to procure a set of chassis blueprints from a Shipwright. Once you have the blueprints, you must come to a chassis dealer to have the chassis built to your specifications. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/chassis_npc.stf', '6', 's_37f48153', 'I\'ll be here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/chassis_npc.stf', '7', 's_42d3759c', 'I\'ll come back later.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/chassis_npc.stf', '8', 's_93a92e8', 'How do I assemble a ship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/chassis_npc.stf', '9', 's_94e3013f', '(SELL COMPONENTS)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/chassis_npc.stf', '10', 's_9ed93871', 'Hello. I can construct a ship chassis for you if you are holding a set of chassis blueprints.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/chassis_npc.stf', '11', 's_aae81853', 'Let\'s see what you have to sell...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/chassis_npc.stf', '12', 's_bcb592f', 'Let me see if you have any blueprints I can work with...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lcoordinator.stf', '1', 'do_not_edit', 'The English version of this file (coa3lcoordinator.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lcoordinator.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lcoordinator.stf', '3', 's_10e4e113', 'What is all this Dead Eye business?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lcoordinator.stf', '4', 's_19d2e135', 'Interesting. Please continue.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lcoordinator.stf', '5', 's_19d54dc3', 'Back so soon? I\'m still trying to break the encryption on this disk. It\'s going to take me some time. In the mean time, go and speak with the Tactical Officer. You can find him in the Combat Guild in this city. I\'m sure he has plenty that needs to be done.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lcoordinator.stf', '6', 's_1b4eff7e', 'I\'m happy to hear you say that, now is as good a time as any! We have an Information Officer who we have stationed in Commerce Guild of this city. Find the Commerce Guild and speak to the Information Officer there and ask him to fill you on all that has happened so far.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lcoordinator.stf', '7', 's_1f81bc3c', 'These people are incredibly suspicious so you\'ll need to be very convincing. If they suspect you they won\'t hesitate to attack. If that happens, then I\'m afraid we\'ll have to start over and try it again. Are you prepared to take on this task?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lcoordinator.stf', '8', 's_1fd11fc5', 'They are so cautious that caravans have been known to zig zag and circle for hours before finally heading to their destination unless things are completely safe. Simple observation won\'t tell us anything, so we need you to pose as a member of their organization and try to gather information about where that caravan is headed. We need hard information; disks, papers, whatever you can find. As you can imagine, this will be dangerous.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lcoordinator.stf', '9', 's_20ad68cd', 'It\'s a pleasure seeing you again, thank you for coming! Actually, I\'m not surprised considering you have been in the middle of this whole Dead-Eye situation from the beginning. Your work so far has been top-notch and you haven\'t failed us yet. Would you be willing to accept another mission?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lcoordinator.stf', '10', 's_20eec74a', 'I need to do something else right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lcoordinator.stf', '11', 's_223c5db', 'Great, once you get all filled in on the details feel free to come back and see me. I\'m not quite finished with what I\'m working on but I think I may need to call upon your top notch talents once again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lcoordinator.stf', '12', 's_26b400f9', 'Pose as one of them and do whatever you can to get your hands on some hard data about that caravan. Things like papers, manifests or disks. Come back as soon as you find something. Be careful and remember to think like a thug. If things go bad, you\'ll have no choice but to fight. Should that happen, come back and we can try it again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lcoordinator.stf', '13', 's_28de3a91', 'Enough details, I\'m ready to go.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lcoordinator.stf', '14', 's_2c127c6b', 'Oh, well that\'s too bad. I\'d hoped we\'d found another person we could rely on for help in our time of need. I hope you change your mind later on. If you do, please let me know.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lcoordinator.stf', '15', 's_315ff574', 'I can\'t make it there right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lcoordinator.stf', '16', 's_36142d2b', 'I can\'t do this right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lcoordinator.stf', '17', 's_37281366', 'I understand. I wouldn\'t want you to take on this mission unless you are completely prepared. Come back when you are ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lcoordinator.stf', '18', 's_4148ae14', 'I look forward to meeting the Colonel.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lcoordinator.stf', '19', 's_448b1792', 'Have you been to see Colonel Veers yet? You probably don\'t want to keep him waiting. Anyway, was there something I can help you with right now?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lcoordinator.stf', '20', 's_458473c9', 'Good. I\'m sure there will be some heavy action when you get there, so you may want to bring some loyal friends if you\'re not much of a fighter.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lcoordinator.stf', '21', 's_45cbfb7d', 'Well that\'s a shame. If you change your mind, please let me know.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lcoordinator.stf', '22', 's_4724fd7d', 'He\'s using land vehicles to traffic the flora to and from the storehouses with a complex system of lookouts scattered along the routes. If any trouble is spotted, the caravans are alerted and they use a different route. It\'s all very organized. The intelligence I just analyzed reveals the location of all the lookouts on the planet and it indicates a caravan is to make a delivery today. Predicting the caravan\'s destination is simply impossible. This is where you come in.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lcoordinator.stf', '23', 's_4aecac09', 'Oh, well that\'s too bad. I\'d thought we\'d found another person we could rely on for help in our time of need. I hope you change your mind later on. If you do, please let me know.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lcoordinator.stf', '24', 's_4ba81cc8', 'Ah good, you\'re back! I\'ve finished analyzing the data from our most recent intelligence and it looks pretty promising. I think we are ready to proceed with our plan. I\'ll need you to go undercover. If you\'re successful you probably won\'t need to fire a single shot. If you fail, that\'s a different story and we\'re back to square one. Do you have any questions?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lcoordinator.stf', '25', 's_4ca03ddb', 'How so?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lcoordinator.stf', '26', 's_4e122a6b', 'I understand. You must be a very busy person. We haven\'t forgotten about what you did for us last time and we don\'t want to put you out. We really could use your help though, so if you change your mind come back and see me. I could use a person who can get results.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lcoordinator.stf', '27', 's_52cc7bda', 'Are you sure that waypoint was correct?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lcoordinator.stf', '28', 's_6837ec87', 'Oh it\'s you again! I didn\'t expect to see you so soon. Unfortunately, I\'m still crunching some data right now. Why don\'t you go and speak with our Information Officer. You can find him in the Commerce Guild in this city. Get all details from him about our current situation and by the time you\'re done with that, I should be done analyzing this data.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lcoordinator.stf', '29', 's_6922db62', 'I\'d like to get involved.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lcoordinator.stf', '30', 's_70df24d2', 'I thought you\'d say that. You\'ve made a big impression and Colonel Veers himself has flown into our headquarters there to oversee the operation. He said he wanted to speak with you personally about it. I\'ve added a waypoint to your datapad with the location of the off-world headquarters. I\'d head there at once so you don\'t keep him waiting. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lcoordinator.stf', '31', 's_740fcda6', 'That\'s too bad, I was hoping I could count on your support with this. The offer still stands if you change your mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lcoordinator.stf', '32', 's_7b9e2f5e', 'Can I have another waypoint?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lcoordinator.stf', '33', 's_80af7773', 'Got any advice for me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lcoordinator.stf', '34', 's_86f67673', 'These people are incredibly suspicious so you\'ll need to be very convincing. If they suspect you they won\'t hesitate to attack. If that happens, then I\'m afraid we\'ll have to start over and try it again. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lcoordinator.stf', '35', 's_87b694b0', 'Let me take a moment to fill you in. Dead Eye is the code name for what was an Imperial research project. It is a pharmaceutical that grants the user deadly aim. It can make even the greenest recruit a potential threat. It was developed by a scientist named Dr. Vacca. The situation looks sort of grim for us right now but we aren\'t without hope. That\'s where you come in.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lcoordinator.stf', '36', 's_8824a3ee', 'I\'m happy to hear you say that, now is as good a time as any! We have an Information Officer stationed in the Commerce Guild of this city. Find the Commerce Guild and speak to the Information Officer there and ask him to fill you on all that has happened so far.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lcoordinator.stf', '37', 's_882bc6e0', 'Well, how did things go?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lcoordinator.stf', '38', 's_8ee9343e', 'Ran into trouble did you? Well there are plenty of lookouts out there still. Here is the location of another one. Come back as soon as you find any sort of hard data about that caravan and maybe we can determine where it was heading. Good luck to you!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lcoordinator.stf', '39', 's_976a6f0', 'Great! A lot has happened since we last spoke. I don\'t have time to go over all of the details with you right now. Go and speak with our Information Officer and listen to what he has to say. You can find him in the Commerce Guild Hall in this city.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lcoordinator.stf', '40', 's_9fd43ddf', 'Greetings citizen, I don\'t believe we\'ve worked together before. If you haven\'t heard, we\'ve been having some serious problems with the Dead Eye project. Now is as good a time as any to get involved and help us out. What do you say?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lcoordinator.stf', '41', 's_a3ea7bf6', 'I\'m sorry to hear that. Come back later if you change your mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lcoordinator.stf', '42', 's_a6f2327f', 'What were the details of the mission again?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lcoordinator.stf', '43', 's_ad11a99b', 'As I\'m sure you know various underworld organizations have all but cornered the market on this Alderaanian Flora. As to be expected, Jabba the Hutt has come out ahead in this game and he seems to be the one doing the most business. This flora is enormously valuable so obviously Jabba\'s rivals are taking every opportunity to hijack any shipments they come across. Knowing this, Jabba is using a decentralized system of storage and transport to cut down on losses.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lcoordinator.stf', '44', 's_b4f92479', 'What are the details of this mission?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lcoordinator.stf', '45', 's_bc0e9972', 'Nothing for right now, thanks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lcoordinator.stf', '46', 's_c3194680', 'You have a lot of nerve showing your face around here. Now move along before I call for back up!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lcoordinator.stf', '47', 's_c4ae7e31', 'I\'d love to help out again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lcoordinator.stf', '48', 's_cd603241', 'I thought that it was correct. I\'ll update your datapad again just to be safe.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lcoordinator.stf', '49', 's_cf35e3d5', 'A direct approach might get you killed. You\'ll need to get friendly with them first and then maybe they will trust you and open up. Think like a thug. Thugs are generally greedy, selfish, out for themselves. They like things like drinking, gambling, cheating, carousing; that sort of thing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lcoordinator.stf', '50', 's_d55f2579', 'I\'m ready to go.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lcoordinator.stf', '51', 's_d819b34e', 'I\'m not able to do this now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lcoordinator.stf', '52', 's_e08167af', 'Well, it\'s always a pleasure to see you! We\'ve made some progress in putting a stop to Dead Eye thanks to you. You are to be commended. I don\'t have anything else I need from you right now. You might ask our Tactical Officer at the Combat Guild if he still needs helping tracking down and destroying those warehouses.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lcoordinator.stf', '53', 's_eae61031', 'Great! I\'ve uploaded the location of one of their lookouts to your datapad. Pose as one of them and do whatever you can to get your hands on some hard data about that caravan. Things like papers, manifests or disks. Come back as soon as you find something. Be careful and remember to think like a thug. If things go bad, you\'ll have no choice but to fight. Should that happen, come back and we can try it again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lcoordinator.stf', '54', 's_ecae16e7', 'Ok, carry on. You should probably leave soon though.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lcoordinator.stf', '55', 's_efdb954e', 'Ok, go on.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lcoordinator.stf', '56', 's_f35aaa26', 'I\'m up for anything.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lcoordinator.stf', '57', 's_f595b0cb', 'Ok, I\'ll go see what he has to say.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lcoordinator.stf', '58', 's_fa0fdb09', 'Great to see you again. Those disks you acquired have been of great help to our Tactical Officer. He\'ll be able to assign as many assault missions as you can take, but there is something of more importance if you\'re up for it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lcoordinator.stf', '59', 's_fec795', 'Excellent work! To be honest, I didn\'t think you could pull it off. You must have done some real smooth talking! I\'ll start analyzing the disk right away but it is going to take some time. Why don\'t you go and speak with the Tactical Officer, I believe he has something for you to do. You can find him in the Combat Guild of this city.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lgeneralveers.stf', '1', 'do_not_edit', 'The English version of this file (coa3lgeneralveers.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lgeneralveers.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lgeneralveers.stf', '3', 's_1a6ba35a', 'Good. Here\'s the location of the facility. Reduce it to rubble and destroy any traitors there you find. The destruction of this facility will seriously hamper their efforts to find an Alderaanian Flora alternative. This is not an easy mission, so you may want to recruit some help to destroy it. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lgeneralveers.stf', '4', 's_1cfbefd4', 'So you\'re the one we\'ve been hearing so much about. I wanted to personally thank you for doing such a commendable job. The Empire needs more Soldiers like you. Thanks to your efforts we were able to find one of their research facilities. Destroying this facility would strike a serious blow against them and could significantly hamper their efforts. We need that facility destroyed and I think you\'re just the person for the job. Can I count on you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lgeneralveers.stf', '5', 's_2977a9a3', 'I\'m not able to do this now');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lgeneralveers.stf', '6', 's_2cdb5dd0', 'I can not do this right now');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lgeneralveers.stf', '7', 's_370a3d89', 'What\'s the matter, don\'t know how to follow orders? Why haven\'t you destroyed the facility yet?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lgeneralveers.stf', '8', 's_4461239', 'I hope you realize that we don\'t take look kindly on failure. I\'ll overlook it this one time. If you wish to try it again some time in the future, you let me know.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lgeneralveers.stf', '9', 's_4d8cedd4', 'I don\'t have time to talk right now, I\'m waiting for someone.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lgeneralveers.stf', '10', 's_6be1cd6b', 'I wasn\'t able to located the facility');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lgeneralveers.stf', '11', 's_92d64a93', 'I\'ll get on it right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lgeneralveers.stf', '12', 's_a486253d', 'Get to it and don\'t leave anything standing!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lgeneralveers.stf', '13', 's_b02864c6', 'Perhaps our data was faulty. I\'ve uploaded some fresh intel to your datapad.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lgeneralveers.stf', '14', 's_bea4597', 'Great work taking out that research facility that really hit them where it counts! If you continue your service to the Empire in this manner, I see great things in your future.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lgeneralveers.stf', '15', 's_efae2d69', 'What? This is not acceptable! Perhaps you are not as good as the stories I\'ve been hearing about you. Get out of my sight.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3lgeneralveers.stf', '16', 's_fdba7430', 'You can count on me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3linfoofficer.stf', '1', 'do_not_edit', 'The English version of this file (coa3linfoofficer.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3linfoofficer.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3linfoofficer.stf', '3', 's_159911f5', 'Tell me more.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3linfoofficer.stf', '4', 's_1bf8e6d', 'Was there anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3linfoofficer.stf', '5', 's_3259a3bc', 'Why don\'t you go back and speak with the coordinator. He was analyzing some data that had to do with discovering the locations of these hidden research facilities. He\'s probably finished by now and he probably has some work for you to do so go back and talk to him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3linfoofficer.stf', '6', 's_36b24b81', 'Oh, well I didn\'t mean to bore you. If you ever want a recap of what is going on, just let me know. You may want to go and see if the coordinator is ready for you. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3linfoofficer.stf', '7', 's_4372123c', 'What\'s the current situation?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3linfoofficer.stf', '8', 's_65f79c5d', 'Scum of the galaxy or not, you have to admire the intelligence work of underworld organizations. They learned of the importance of this flora well in advance of anyone else and took it upon themselves to corner the market. If we track who is buying the flora and where it is being shipped, that will lead us to their research facilities.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3linfoofficer.stf', '9', 's_77e48d5b', 'What do you mean?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3linfoofficer.stf', '10', 's_7b8e8204', 'I\'ve heard enough.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3linfoofficer.stf', '11', 's_a318edbd', 'Won\'t Dead Eye just fizzle out eventually?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3linfoofficer.stf', '12', 's_a9479d34', 'Hello there. I\'d be happy to share information with you about what has transpired and the plan of action we\'ve drawn up for dealing with this messy situation.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3linfoofficer.stf', '13', 's_c326ad8f', 'Well another way we can hinder the production of Dead Eye is hitting their stores of the Alderaanian Flora directly. If we can get to the flora before they do, that is that much less of the serum that can be made and used against us and that much less they can experiment with to find an alternative flora. I think the coordinator has other more immediate plans for you right now though.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3linfoofficer.stf', '14', 's_ccc29df2', 'The situation was bad and now it has gotten worse. If you haven\'t heard already, Dr. Vacca has made the decision to side with the enemy. They are now starting the production and testing of the Dead Eye serum in many hidden research facilities. The enemy is even making the prototype available to their followers.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3linfoofficer.stf', '15', 's_d3ee0e7f', 'One hurdle they have not been able to overcome is the fact that the Dead Eye serum requires flora that only grew on Alderaan. Needless to say, the supplies of that flora are finite and very limited. This is one fact that we will use to our advantage.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3linfoofficer.stf', '16', 's_d6199fa3', 'Vacca won\'t give up so easily.  As soon as the supply of Alderaanian Flora is gone, Dead Eye is no more so they are set on finding an alternative. They have set up a number of secret research facilities to produce the Dead Eye serum and more importantly for them, to find a substitute for the rare flora. However some recent developments have come to light that may make tracking down these facilities easier then they expect.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3linfoofficer.stf', '17', 's_e6eebf47', 'So what can I do to help?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3linfoofficer.stf', '18', 's_eb1ac0f9', 'Hello there. I\'m a little busy at the moment. If you\'re looking for work, perhaps you should seek out the Coordinator in this city. He may have something for you to do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3ltactofficer.stf', '1', 'do_not_edit', 'The English version of this file (coa3ltactofficer.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3ltactofficer.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3ltactofficer.stf', '3', 's_18c581cc', 'Ok, suit yourself then. Come back any time you feel like helping me get rid of these stores of Alderaanian Flora.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3ltactofficer.stf', '4', 's_1b5eac32', 'Good! Jabba has warehouses of that flora all over the Galaxy. As we find them, we are sending volunteers out to destroy them and confiscate the flora. I\'ve added a waypoint to your datapad for a warehouse we\'ve located close by. Go destroy it and confiscate any flora you find. I\'ll reward you for any Alderaanian Flora that you turn in.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3ltactofficer.stf', '5', 's_1c693828', 'I hear that you\'ve been working with the coordinator lately to try to put a stop to this whole Dead Eye thing. Good for you! Another way we can hamper the production of Dead Eye is by attacking their store houses directly. The more Alderaanian Flora we can keep out of their hands, the better. Would you be willing to help us out in this matter?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3ltactofficer.stf', '6', 's_1cb2157b', 'I\'m ready to take out another warehouse');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3ltactofficer.stf', '7', 's_1f281089', 'That\'s what I like to hear. There\'s a waypoint in your datapad for another warehouse we\'ve found. Go get it!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3ltactofficer.stf', '8', 's_268282e6', 'Hmm, that\'s odd. Maybe we already took care of that one. Here, I\'ve given you a waypoint for another warehouse we need taken out. Good luck to you!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3ltactofficer.stf', '9', 's_2c01da39', 'If you haven\'t completed the Coordinator\'s tasks, you should return to him. If you have, we know of more warehouses you can assault. Either way, you can hand me any Alderaanian Flora you have and I will happily reward you for it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3ltactofficer.stf', '10', 's_2e791c9d', 'I can\'t complete this mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3ltactofficer.stf', '11', 's_38f00205', 'Quit standing around then and move it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3ltactofficer.stf', '12', 's_3c57b03', 'Why haven\'t you destroyed that warehouse? Is something the matter?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3ltactofficer.stf', '13', 's_3d82703f', 'Well I appreciate the offer of help anyway. If you want to try it again later, come back and let me know.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3ltactofficer.stf', '14', 's_4e9f338', 'I need to take care of other things right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3ltactofficer.stf', '15', 's_4fcdc5b8', 'Thanks. You can hand in flora for a reward, or keep it for yourself. Either way, we have more warehouses to take down if you\'re willing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3ltactofficer.stf', '16', 's_5166bfb2', 'I\'m not interested in that right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3ltactofficer.stf', '17', 's_688721b0', 'Sorry, I\'ll get right now it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3ltactofficer.stf', '18', 's_6a582260', 'Are you a moisture farmer or something? I guess we all can\'t be soldiers. Well I appreciate the offer of help anyway. If you want to try it again later, come back and let me know.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3ltactofficer.stf', '19', 's_743c9f18', 'You still haven\'t destroyed that warehouse. Why is that?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3ltactofficer.stf', '20', 's_83258fb0', 'What? Don\'t have the stomach for it? Come back when you\'ve had a chance to settle your nerves.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3ltactofficer.stf', '21', 's_958a6a44', 'You\'ve been a real hero lately, people have been buzzing about your work. If you\'re looking for something to do, there\'s plenty more warehouses to take care of! And I\'m still offering a reward for turning in any Alderaanian Flora you come across.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3ltactofficer.stf', '22', 's_ba1a3080', 'Nothing\'s wrong, never mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3ltactofficer.stf', '23', 's_e40779f7', 'Well quit standing around! There\'s work to be done!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3ltactofficer.stf', '24', 's_e4daff30', 'I\'m not going to be able to help you right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3ltactofficer.stf', '25', 's_ed0f23a8', 'Excellent! I\'ve uploaded another waypoint to your datapad. Go destroy the warehouse and collect the flora.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3ltactofficer.stf', '26', 's_f2fe6350', 'I was not able to find the warehouse.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3ltactofficer.stf', '27', 's_f64d217f', 'I\'m sorry I can\'t talk right now. I\'m very busy. This Dead Eye situation is getting out of control and I have my hands full. Rather then chit-chatting, how about you lend a hand already? Go and talk to the coordinator and make yourself useful.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3ltactofficer.stf', '28', 's_f96e5eed', 'I\'d be happy to help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedcaravanleader.stf', '1', 'do_not_edit', 'The English version of this file (coa3sharedcaravanleader.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedcaravanleader.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedcaravanleader.stf', '3', 's_1dde12ed', 'Are you the one I\'m waiting on? Transporting this much... umm cargo... over land is dangerous. There are a lot of people that would love to hijack this shipment. With us being broke down; it\'s only a matter of time before they find us.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedcaravanleader.stf', '4', 's_29e36db9', 'I\'m just passing through.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedcaravanleader.stf', '5', 's_302369bd', 'That\'s none of your business. If you\'re not here to do the repairs, get lost!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedcaravanleader.stf', '6', 's_48566ef9', 'What\'s in it for me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedcaravanleader.stf', '7', 's_8264ab67', 'Thank the stars! Here\'s the part we need to get fixed. Repair that anti-gravity unit and let me know when you\'re finished. Then we can all get out of here and forget this whole mess ever happened.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedcaravanleader.stf', '8', 's_869e12b2', 'Why are you still here? We have work to do so we can get moving and I don\'t need you bothering us. Get lost!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedcaravanleader.stf', '9', 's_93eb6764', 'Yes, here it is.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedcaravanleader.stf', '10', 's_b22dadc9', 'Listen. This cargo is immensely valuable to Jabba. You make these repairs and I\'ll give you a disk that explains everything. You turn that in and I\'m sure they will give you a big reward for helping make this delivery a success.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedcaravanleader.stf', '11', 's_b4c62ef2', 'Well what are you waiting for, get to it! You\'re in as much danger as us just sitting out here in the open. The quicker that part is repaired, the better it will be for all of us.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedcaravanleader.stf', '12', 's_b5f15b19', 'Not yet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedcaravanleader.stf', '13', 's_ca41d9fd', 'Well you\'ll keep on passing through then if you know what\'s good for you. There\'s nothing to see here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedcaravanleader.stf', '14', 's_d3ba3662', 'So is that part repaired yet?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedcaravanleader.stf', '15', 's_da681077', 'What are you transporting?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedcaravanleader.stf', '16', 's_e0d207ec', 'Didn\'t your mother ever tell you not to talk to strangers? Keep on moving the way you were headed and forget anything you\'ve seen here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedcaravanleader.stf', '17', 's_e2c11475', 'Take this disc. It gives our new ETA and all the gritty details of this debacle of an operation. Most importantly, it explains I\'m not at fault. I don\'t want this breakdown to tarnish my reputation. I\'d rather die than to survive a hijacking and have to face Jabba. He\'d hold me personally responsible for the loss of the cargo I\'m sure! And don\'t get any ideas about reading that disk. That\'s all classified info and it\'s all encoded.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedcaravanleader.stf', '18', 's_f3da7c8a', 'Yes, I\'m here to make the repairs.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedlookout.stf', '1', 'do_not_edit', 'The English version of this file (coa3sharedlookout.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedlookout.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedlookout.stf', '3', 's_1c8bddbb', 'What is it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedlookout.stf', '4', 's_1cace673', 'Oh...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedlookout.stf', '5', 's_1d45a1b2', 'You too huh? Well it\'s great we have something in common! Too bad we don\'t have cards or we could have us a game. Say, what\'s your favorite Sabacc variant?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedlookout.stf', '6', 's_24813e89', 'Well, a little fun never hurt no one. It ain\'t right stayin\' so focused on work all the time. You need to learn to lighten up.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedlookout.stf', '7', 's_2b3ee988', 'Sorry. I\'m not good at that sort of thing');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedlookout.stf', '8', 's_2c2f4605', 'I\'m feeling lazy. Why can\'t you do it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedlookout.stf', '9', 's_2fe8f4b5', 'Those guys are always getting lost. I\'ll upload their last known location to your datapad again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedlookout.stf', '10', 's_3029f004', 'Listen pal, I don\'t know who you are but you better get lost. Strangers make me nervous and when I get nervous, it makes me want to start shootin\' if ya know what I mean. Now beat it!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedlookout.stf', '11', 's_33d80544', 'Anyone workin\' for the big guy would know the answer to that or would know better not to ask!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedlookout.stf', '12', 's_39c1d4f4', 'Err... Yeah I\'m great at fixing things.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedlookout.stf', '13', 's_41d587bc', 'Oh come on! It won\'t take ya any time to do and with that repair kit it will be so easy a Wookiee could do it! You need to help us out here; we\'ll all end up as rancor kibble if something happens to this shipment, don\'t make me beg!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedlookout.stf', '14', 's_43af83df', 'What do you do for fun?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedlookout.stf', '15', 's_46c66c6d', 'I love playing Sabacc.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedlookout.stf', '16', 's_48a4f87f', 'Don\'t you know it! If I had better luck, I\'d play it for a livin\'. It would probably less risky then this line of work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedlookout.stf', '17', 's_4957d505', 'I\'m more of a Lugjack person.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedlookout.stf', '18', 's_4ae032b9', 'Now we\'re talkin\'! That\'s a good philosophy to stick too. The pay\'s not bad but the kick-backs you get from making Jabba happy, that\'s what makes it all worth it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedlookout.stf', '19', 's_4e7b2666', 'I can\'t leave this camp! Jabba wants me planted here to keep an eye on our over-land shipping routes. The last thing we need is to lose a valuable shipment to the likes of Valerian or the Alkharans. But if that part isn\'t fixed, that\'s just what\'s going to happen! Those guys are stranded out there and its only a matter of time before someone sees them. Lots of people want to get their hands on that cargo.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedlookout.stf', '20', 's_4fe0cc64', 'Wow, you must be good! I can\'t keep up with all that constant rule changin\'.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedlookout.stf', '21', 's_5b9f69a4', 'Yes, lots of money to be made at that game.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedlookout.stf', '22', 's_5d8182f2', 'I collect weapons. The bigger the better.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedlookout.stf', '23', 's_6273debb', 'You\'re a chatty one. Then again, it gets a little lonely bein\' out here so it\'s nice to have someone to chat with. But let\'s just keep it to small talk okay?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedlookout.stf', '24', 's_68196cce', 'Weapon collector huh? That\'s too rich a hobby for someone like me. Nah, a reliable blaster is really all I need.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedlookout.stf', '25', 's_69fbc643', 'Sure, sounds easy enough.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedlookout.stf', '26', 's_70614d9f', 'I come on behalf of Valerian.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedlookout.stf', '27', 's_74476a3d', 'Yeah I hear you there. Do this, do that, go here, blah blah blah. It all gets old, ya know?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedlookout.stf', '28', 's_74f0143a', 'Ya talkin\' to me? Who sent ya?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedlookout.stf', '29', 's_789d30e1', 'There\'s more then one way to play?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedlookout.stf', '30', 's_7d2ae36c', 'You\'re a real sport. That caravan\'s deliverin\' an important shipment but one of our speeders had a breakdown and lost one of its anti-gravity units. Take this repair kit and get that speeder up and running. They\'ll give you a disk explainin\' their status and their new ETA. Just be careful you don\'t lose it! Even though it is encoded, it contains a lot of sensitive information. If you lose the disk, not getting paid would be the least of your worries.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedlookout.stf', '31', 's_7eb4d42', 'Fine.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedlookout.stf', '32', 's_82fdf085', 'So, can ya go and make those repairs then?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedlookout.stf', '33', 's_8591381a', 'Why do you think you can fool me into thinkin\' you\'re someone you ain\'t? Now I have no choice but to kill ya!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedlookout.stf', '34', 's_869a3fda', 'Yeah, I\'m on my way there right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedlookout.stf', '35', 's_8aa225b4', 'Did you hear anything about the caravan in this area?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedlookout.stf', '36', 's_8c75fac0', 'What!? I mean... I hope she\'s doing ok and all... Uh... Never mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedlookout.stf', '37', 's_8cf78df2', 'Hey, shouldn\'t you be out making those repairs? We have to get that caravan moving pronto!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedlookout.stf', '38', 's_8dccb521', 'Who said anythin\' about a caravan? I\'m starting to think maybe you\'re not on the up and up here asking things like that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedlookout.stf', '39', 's_90b36308', 'Whatever makes me the most money.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedlookout.stf', '40', 's_93295f8c', 'One of them huh? Well that\'s not game for me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedlookout.stf', '41', 's_a31bb6a5', 'Random Sabacc.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedlookout.stf', '42', 's_ab11e3a9', 'The regular kind of Sabacc.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedlookout.stf', '43', 's_b1f8b064', 'I\'m sorry I thought you were someone else.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedlookout.stf', '44', 's_b3049ce7', 'Enough chit chat. What do you know about the caravan?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedlookout.stf', '45', 's_b4e5d3ef', 'I wasn\'t able to find the caravan.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedlookout.stf', '46', 's_b6a2f31', 'You\'re darn right you\'re sorry and I am someone else. In fact, lets just say ya never saw me okay? That would be better for both of us. Got it? Now get out of here before you wind up with a nice blaster hole in your head!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedlookout.stf', '47', 's_bb54f6cc', 'None of your business.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedlookout.stf', '48', 's_bcb9ba12', 'What do you know about Alderaanian flora?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedlookout.stf', '49', 's_be39516b', 'Yeah, there\'s lots of different rule variations used throughout the galaxy. You don\'t know as much about the game as I thought. Now I really wish we had some cards, you sound like easy money to me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedlookout.stf', '50', 's_c6ca8aca', 'Ya do? I can\'t give ya anything, what I have is mine. But take a rest if ya need it. So what sort of work do you do do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedlookout.stf', '51', 's_c8af5b42', 'You better watch your step kiddo.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedlookout.stf', '52', 's_da6c5185', 'I told you, I\'m not mechanically inclined.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedlookout.stf', '53', 's_dbe291a4', 'Alkhara sent me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedlookout.stf', '54', 's_e0ec2153', 'The \"regular kind\" huh? Hehe, alright then.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedlookout.stf', '55', 's_e1e1e0ac', 'Whatever Jabba asks me to do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedlookout.stf', '56', 's_e6e3a9f7', 'So... What do you like to do for fun?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedlookout.stf', '57', 's_e9a05b92', 'I\'m in sort of a jam right now. You wouldn\'t happen to be good at fixin\' things would ya? One of the speeders in our caravan has a busted 100-GU anti-gravity unit and it ain\'t goin\' no where until it gets repaired. Jabba\'s got a lot of money tied up in this shipment so I\'m sure he\'d pay ya well for your trouble!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedlookout.stf', '58', 's_e9f1af41', 'Well get on it already!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedlookout.stf', '59', 's_efba54e2', 'I like gamblin\'. Mostly Sabacc, ya know? I stay away from those Lugjack machines. Ya may as well be throwin\' credits into the Sarlacc Pit playin\' that game. That\'s a game for old women and clueless nobles who can\'t appreciate the subtleties of a real man\'s game. You like Sabacc?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedlookout.stf', '60', 's_eff5d25', 'Say. There\'s something I need to ask you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedlookout.stf', '61', 's_f33a89f5', 'Games are a foolish waste of time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedlookout.stf', '62', 's_f513f012', 'You\'re a real sport. This is a really important shipment and if it\'s lost, Jabba will have all our heads. Take this repair kit and get that part fixed. They\'ll give you an encoded disk that explains their status. Just deliver that disk and I\'m sure you\'ll be paid well. Just don\'t lose it! Even though it is encoded, I\'d hate to be you if you let it fall into the wrong hands.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedlookout.stf', '63', 's_f9883674', 'I work for Jabba.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedlookout.stf', '64', 's_fac80094', 'Really? That\'s mighty... fine...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedlookout.stf', '65', 's_fcb2a3f3', 'I like dancing and reading poetry.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3sharedlookout.stf', '66', 's_fdb57c0', 'The twin suns take ya, you\'re exasperating! Listen, I trust you and you look smart enough to figure out what is supposed to go where on a simple part. Aside from the shipment, there are lives on the line here and some of the guys in that caravan owe me a lot of money. Are ya sure ya won\'t reconsider, I\'m beggin\' ya here?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoolguy.stf', '1', 'do_not_edit', 'The English version of this file (coa3wcoolguy.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoolguy.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoolguy.stf', '3', 's_4c3cd444', 'I\'d like to finish what I started.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoolguy.stf', '4', 's_62241cb7', 'What\'s going on?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoolguy.stf', '5', 's_6428dedb', 'I can\'t complete this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoolguy.stf', '6', 's_83b68081', 'Not yet. I\'m working on it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoolguy.stf', '7', 's_9ebad40b', 'We\'re trying to find an alternative to Alderaanian Flora for the Dead Eye process and have a number of research stations working on the problem. If we succeed we will be able to continue to make Dead Eye. If we can\'t, Dead Eye will be useless once the current stores of Alderaanian Flora are exhausted.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoolguy.stf', '8', 's_a3621ded', 'I\'m sorry, but we are very busy right now. If you want to help, you should go find one of our Coordinators.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoolguy.stf', '9', 's_a4053724', 'Did you complete the mission yet?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoolguy.stf', '10', 's_a85b1da', 'It is so nice to meet you. Your bravery so far has generated quite a bit of conversation in the ranks. Are you ready to do more for the Alliance?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoolguy.stf', '11', 's_bb33eb73', 'Datapad troubles? That happens. I\'ll upload a new waypoint to your pad. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoolguy.stf', '12', 's_c0e4cb7a', 'Excellent. We have a number of research stations that are coming under attack from the Empire. I\'ve uploaded a waypoint to your datapad. Head out there and stop the attackers. It will be a hard fight. You might need help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoolguy.stf', '13', 's_c500ae34', 'The Rebellion owes you a debt of thanks. If we are able to finish this research, we will be able to replace the Alderaanian Flora with a suitable alternative and bring Dead Eye to our troops. While the Tactical Officers might have more missions to collect flora, we have asked all of you that we can. You have my personal thanks. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoolguy.stf', '14', 's_cc92be25', 'I\'m sorry to hear that. These stations are constantly coming under attack, so come back if you change your mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoolguy.stf', '15', 's_cf3aed9b', 'Good luck then. Come back when you\'re done.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoolguy.stf', '16', 's_d1ae6871', 'I don\'t have time for this now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoolguy.stf', '17', 's_d768eb98', 'What is the enemy doing?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoolguy.stf', '18', 's_dc616180', 'I need to get a new assignment, that last one had a bad waypoint.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoolguy.stf', '19', 's_f3080e5', 'They have discovered our research stations and have been launching constant attacks against them. They are hoping to hinder our research to the point that Dead Eye will fail.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoordinator.stf', '1', 'do_not_edit', 'The English version of this file (coa3wcoordinator.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoordinator.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoordinator.stf', '3', 's_19d2e135', 'Interesting. Please continue.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoordinator.stf', '4', 's_19d54dc3', 'Back so soon? I\'m still trying to break the encryption on this disk. It\'s going to take me some time. In the mean time, go and speak with the Tactical Officer. You can find him in the Combat Guild in this city. I\'m sure he has plenty that needs to be done.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoordinator.stf', '5', 's_1b4eff7e', 'I\'m happy to hear you say that, now is as good a time as any! We have an Information Officer who we have stationed in Commerce Guild of this city. Find the Commerce Guild and speak to the Information Officer there and ask him to fill you on all that has happened so far.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoordinator.stf', '6', 's_1f81bc3c', 'These people are incredibly suspicious so you\'ll need to be very convincing. If they suspect you they won\'t hesitate to attack. If that happens, then I\'m afraid we\'ll have to start over and try it again. Are you prepared to take on this task?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoordinator.stf', '7', 's_1fd11fc5', 'They are so cautious that caravans have been known to zig zag and circle for hours before finally heading to their destination unless things are completely safe. Simple observation won\'t tell us anything, so we need you to pose as a member of their organization and try to gather information about where that caravan is headed. We need hard information; disks, papers, whatever you can find. As you can imagine, this will be dangerous.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoordinator.stf', '8', 's_20eec74a', 'I need to do something else right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoordinator.stf', '9', 's_26b400f9', 'Pose as one of them and do whatever you can to get your hands on some hard data about that caravan. Things like papers, manifests or disks. Come back as soon as you find something. Be careful and remember to think like a thug. If things go bad, you\'ll have no choice but to fight. Should that happen, come back and we can try it again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoordinator.stf', '10', 's_28de3a91', 'Enough details, I\'m ready to go.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoordinator.stf', '11', 's_315ff574', 'I can\'t make it there right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoordinator.stf', '12', 's_36142d2b', 'I can\'t do this right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoordinator.stf', '13', 's_37281366', 'I understand. I wouldn\'t want you to take on this mission unless you are completely prepared. Come back when you are ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoordinator.stf', '14', 's_45cbfb7d', 'Well that\'s a shame. If you change your mind, please let me know.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoordinator.stf', '15', 's_4724fd7d', 'He\'s using land vehicles to traffic the flora to and from the storehouses with a complex system of lookouts scattered along the routes. If any trouble is spotted, the caravans are alerted and they use a different route. It\'s all very organized. The intelligence I just analyzed reveals the location of all the lookouts on the planet and it indicates a caravan is to make a delivery today. Predicting the caravan\'s destination is simply impossible. This is where you come in.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoordinator.stf', '16', 's_4aecac09', 'Oh, well that\'s too bad. I\'d thought we\'d found another person we could rely on for help in our time of need. I hope you change your mind later on. If you do, please let me know.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoordinator.stf', '17', 's_4ba81cc8', 'Ah good, you\'re back! I\'ve finished analyzing the data from our most recent intelligence and it looks pretty promising. I think we are ready to proceed with our plan. I\'ll need you to go undercover. If you\'re successful you probably won\'t need to fire a single shot. If you fail, that\'s a different story and we\'re back to square one. Do you have any questions?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoordinator.stf', '18', 's_4ca03ddb', 'How so?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoordinator.stf', '19', 's_4f6ac618', 'Good. He\'ll give you a status report. By the time you return from the Commerce Guild Hall I should have updated intel on our next move. See you soon.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoordinator.stf', '20', 's_52cc7bda', 'Are you sure that waypoint was correct?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoordinator.stf', '21', 's_62241cb7', 'What\'s going on?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoordinator.stf', '22', 's_6837ec87', 'Oh it\'s you again! I didn\'t expect to see you so soon. Unfortunately, I\'m still crunching some data right now. Why don\'t you go and speak with our Information Officer. You can find him in the Commerce Guild in this city. Get all details from him about our current situation and by the time you\'re done with that, I should be done analyzing this data.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoordinator.stf', '23', 's_6922db62', 'I\'d like to get involved.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoordinator.stf', '24', 's_740fcda6', 'That\'s too bad, I was hoping I could count on your support with this. The offer still stands if you change your mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoordinator.stf', '25', 's_75565d5a', 'Any hints?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoordinator.stf', '26', 's_7b9e2f5e', 'Can I have another waypoint?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoordinator.stf', '27', 's_86f67673', 'These people are incredibly suspicious so you\'ll need to be very convincing. If they suspect you they won\'t hesitate to attack. If that happens, then I\'m afraid we\'ll have to start over and try it again. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoordinator.stf', '28', 's_882bc6e0', 'Well, how did things go?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoordinator.stf', '29', 's_8d99c71a', 'I see you\'re back. Good job. Everyone\'s talking about how you were able to break into that relay station and send the Princess\' message. Quite a feat. I haven\'t been fully briefed yet, but I hear Vacca\'s made his decision. Whichever side he picks, things are going to get interesting. You want to stick around and help? We could use you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoordinator.stf', '30', 's_8ee9343e', 'Ran into trouble did you? Well there are plenty of lookouts out there still. Here is the location of another one. Come back as soon as you find any sort of hard data about that caravan and maybe we can determine where it was heading. Good luck to you!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoordinator.stf', '31', 's_a3ea7bf6', 'I\'m sorry to hear that. Come back later if you change your mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoordinator.stf', '32', 's_a6f2327f', 'What were the details of the mission again?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoordinator.stf', '33', 's_a97e415d', 'I thought you\'d say that. You\'ve made a big impression and the Princess has decided to oversee the operation herself. She said she wanted to speak with you personally about it. I\'ve added a waypoint to your datapad with the location of the off-world headquarters. I\'d head there at once so you don\'t keep her waiting.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoordinator.stf', '34', 's_ad11a99b', 'As I\'m sure you know various underworld organizations have all but cornered the market on this Alderaanian Flora. As to be expected, Jabba the Hutt has come out ahead in this game and he seems to be the one doing the most business. This flora is enormously valuable so obviously Jabba\'s rivals are taking every opportunity to hijack any shipments they come across. Knowing this, Jabba is using a decentralized system of storage and transport to cut down on losses.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoordinator.stf', '35', 's_afa4d099', 'Hello.  I don\'t recall if we\'ve worked together before. No matter, if you\'re loyal to the ideals of freedom and against the tyranny of the Empire, we can use you. And now is as good a time as any to get involved and help us out. Are you interested?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoordinator.stf', '36', 's_afc313e6', 'I\'ll do what I can to help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoordinator.stf', '37', 's_b4f92479', 'What are the details of this mission?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoordinator.stf', '38', 's_bc0e9972', 'Nothing for right now, thanks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoordinator.stf', '39', 's_c9282e23', 'Have you been to see the Princess yet? You probably don\'t want to keep her waiting. Anyway, was there something I can help you with right now?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoordinator.stf', '40', 's_cd603241', 'I thought that it was correct. I\'ll update your datapad again just to be safe.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoordinator.stf', '41', 's_cf35e3d5', 'A direct approach might get you killed. You\'ll need to get friendly with them first and then maybe they will trust you and open up. Think like a thug. Thugs are generally greedy, selfish, out for themselves. They like things like drinking, gambling, cheating, carousing; that sort of thing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoordinator.stf', '42', 's_d55f2579', 'I\'m ready to go.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoordinator.stf', '43', 's_d819b34e', 'I\'m not able to do this now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoordinator.stf', '44', 's_d8988a1e', 'Oh, well that\'s too bad. I we\'d found another person we could rely on for help in our time of need. I hope you change your mind later on. If you do, please let me know.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoordinator.stf', '45', 's_dcc13dd0', 'You haven\'t heard? Let me take a moment to fill you in. Dead Eye is the code name for what was an Imperial research project. It is a pharmaceutical that grants the user deadly aim. It can make even the greenest recruit a potential threat. It was developed by a scientist named Dr. Vacca. The situation looks sort of grim for us right now but we aren\'t without hope. That\'s where you come in.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoordinator.stf', '46', 's_e0227bd9', 'Excellent! If you do as well as last time, we will definitely come out on top. I haven\'t been briefed on the details so you\'ll have to go speak with the Information Officer, he\'ll fill you in. You can find him in the Commerce Guild Hall in this city.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoordinator.stf', '47', 's_e19d057c', 'Don\'t you have anything better to do then to harrass a law abiding citizen? Get lost!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoordinator.stf', '48', 's_e2c3d142', 'Good to see you again. Thanks to your efforts we stand a good chance of finding an alternative source of flora for Dead Eye. You\'re to be commended. I don\'t have anything else I need from you right now, but you might ask our Tactical Officer at the Combat Guild if he still needs helping tracking down and destroying those warehouses.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoordinator.stf', '49', 's_eae61031', 'Great! I\'ve uploaded the location of one of their lookouts to your datapad. Pose as one of them and do whatever you can to get your hands on some hard data about that caravan. Things like papers, manifests or disks. Come back as soon as you find something. Be careful and remember to think like a thug. If things go bad, you\'ll have no choice but to fight. Should that happen, come back and we can try it again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoordinator.stf', '50', 's_ecae16e7', 'Ok, carry on. You should probably leave soon though.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoordinator.stf', '51', 's_efdb954e', 'Ok, go on.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoordinator.stf', '52', 's_f35aaa26', 'I\'m up for anything.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoordinator.stf', '53', 's_f595b0cb', 'Ok, I\'ll go see what he has to say.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoordinator.stf', '54', 's_fa0fdb09', 'Great to see you again. Those disks you acquired have been of great help to our Tactical Officer. He\'ll be able to assign as many assault missions as you can take, but there is something of more importance if you\'re up for it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoordinator.stf', '55', 's_fb75278f', 'I understand. You must be a very busy person. We haven\'t forgotten about what you did for us last time and we don\'t want to put you out. We really could use your help though. Come back if you change your mind and see me. I\'m sure we can use your talents.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wcoordinator.stf', '56', 's_fec795', 'Excellent work! To be honest, I didn\'t think you could pull it off. You must have done some real smooth talking! I\'ll start analyzing the disk right away but it is going to take some time. Why don\'t you go and speak with the Tactical Officer, I believe he has something for you to do. You can find him in the Combat Guild of this city.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3winfoofficer.stf', '1', 'do_not_edit', 'The English version of this file (coa3winfoofficer.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3winfoofficer.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3winfoofficer.stf', '3', 's_159911f5', 'Tell me more.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3winfoofficer.stf', '4', 's_36b24b81', 'Oh, well I didn\'t mean to bore you. If you ever want a recap of what is going on, just let me know. You may want to go and see if the coordinator is ready for you. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3winfoofficer.stf', '5', 's_4372123c', 'What\'s the current situation?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3winfoofficer.stf', '6', 's_5adb0095', 'It will unless we can produce an alternative. We have already set up a number of small research facilities where we are trying to find an alternative. If it works, and we are not hindered by the opposition, we should be able to keep Dead Eye up and running. If we don\'t find an alternative, Dead Eye will be useless once the current supply of Alderaanian Flora runs out. If we can even get our hands on the current supply.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3winfoofficer.stf', '7', 's_708aa59f', 'I was told you would be arriving. I don\'t have much time and there\'s much to do, so I\'ll try to make this briefing quick.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3winfoofficer.stf', '8', 's_77e48d5b', 'What do you mean?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3winfoofficer.stf', '9', 's_7b8e8204', 'I\'ve heard enough.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3winfoofficer.stf', '10', 's_80cfbf07', 'What do we do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3winfoofficer.stf', '11', 's_8bb9b684', 'Scum of the galaxy or not, you have to admire the intelligence work of the underworld organizations. They learned of the importance of this flora well in advance of anyone else and took it upon themselves to corner the market.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3winfoofficer.stf', '12', 's_a318edbd', 'Won\'t Dead Eye just fizzle out eventually?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3winfoofficer.stf', '13', 's_a43858ea', 'We sent briefings to the Coordinators on some potential ways to get our hands on some of the stockpiles of the flora. Go talk with the Coordinator and he\'ll assign you a mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3winfoofficer.stf', '14', 's_c91c8c81', 'The situation is good. The message Princess Leia sent to Vacca did the trick. He\'s  given us a prototype Dead Eye schematic. You can requisition one from any of our Recruiters, but you\'ll need some science skills to use it. It\'s nearly ready for use, though there are a few technical hurdles we must overcome.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3winfoofficer.stf', '15', 's_e695be09', 'One hurdle we have not been able to overcome is the fact that the Dead Eye serum requires flora that only grew on Alderaan. Needless to say, the supplies of that flora are finite and very limited.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3winfoofficer.stf', '16', 's_e6eebf47', 'So what can I do to help?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3winfoofficer.stf', '17', 's_eb1ac0f9', 'Hello there. I\'m a little busy at the moment. If you\'re looking for work, perhaps you should seek out the Coordinator in this city. He may have something for you to do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3winfoofficer.stf', '18', 's_f971a76c', 'We\'ll have to get it from them quickly. Without even a small supply we won\'t be able to replicate an alternative and all this work will have been for nothing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wtactofficer.stf', '1', 'do_not_edit', 'The English version of this file (coa3wtactofficer.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wtactofficer.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wtactofficer.stf', '3', 's_1b5eac32', 'Good! Jabba has warehouses of that flora all over the Galaxy. As we find them, we are sending volunteers out to destroy them and confiscate the flora. I\'ve added a waypoint to your datapad for a warehouse we\'ve located close by. Go destroy it and confiscate any flora you find. I\'ll reward you for any Alderaanian Flora that you turn in.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wtactofficer.stf', '4', 's_1b8e1fa4', 'I\'ve got some business I need to take care of first.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wtactofficer.stf', '5', 's_1cb2157b', 'I\'m ready to take out another warehouse');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wtactofficer.stf', '6', 's_1f281089', 'That\'s what I like to hear. There\'s a waypoint in your datapad for another warehouse we\'ve found. Go get it!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wtactofficer.stf', '7', 's_268282e6', 'Hmm, that\'s odd. Maybe we already took care of that one. Here, I\'ve given you a waypoint for another warehouse we need taken out. Good luck to you!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wtactofficer.stf', '8', 's_29fae614', 'Alright, come back any time you feel like helping me find more of these stores of Alderaanian Flora.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wtactofficer.stf', '9', 's_2e791c9d', 'I can\'t complete this mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wtactofficer.stf', '10', 's_38f00205', 'Quit standing around then and move it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wtactofficer.stf', '11', 's_3c57b03', 'Why haven\'t you destroyed that warehouse? Is something the matter?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wtactofficer.stf', '12', 's_3d82703f', 'Well I appreciate the offer of help anyway. If you want to try it again later, come back and let me know.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wtactofficer.stf', '13', 's_5166bfb2', 'I\'m not interested in that right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wtactofficer.stf', '14', 's_688721b0', 'Sorry, I\'ll get right now it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wtactofficer.stf', '15', 's_6a582260', 'Are you a moisture farmer or something? I guess we all can\'t be soldiers. Well I appreciate the offer of help anyway. If you want to try it again later, come back and let me know.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wtactofficer.stf', '16', 's_743c9f18', 'You still haven\'t destroyed that warehouse. Why is that?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wtactofficer.stf', '17', 's_83258fb0', 'What? Don\'t have the stomach for it? Come back when you\'ve had a chance to settle your nerves.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wtactofficer.stf', '18', 's_885ae409', 'Ok, suit yourself then. Come back any time you feel like helping find more stores of Alderaanian Flora.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wtactofficer.stf', '19', 's_8d1b9304', 'I wasn\'t able to find the warehouse.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wtactofficer.stf', '20', 's_acadf21d', 'If you haven\'t completed the Coordinator\'s tasks, you should return to him. If you have, we know of more warehouses you can assault anytime. Either way, you can hand me any Alderaanian Flora you have and I will happily reward you for it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wtactofficer.stf', '21', 's_b8e8976a', 'You\'re the one the Coordinator sent to help out? I see. Well, if you\'re here you must be doing something right. Right now our biggest issue is getting a hold of this Alderaanian Flora. Without it Dead Eye is just so much space garbage. We need people to go out and strike at these underworld storehouses and recover as much as we can.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wtactofficer.stf', '22', 's_ba1a3080', 'Nothing\'s wrong, never mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wtactofficer.stf', '23', 's_ddef5a7b', 'There\'s plenty more warehouses to take care of if you\'re still interested! Otherwise, maybe the coordinator has something else he needs done. Either way if you have any Alderaanian Flora you\'d like to dispose of, I will happily reward you for it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wtactofficer.stf', '24', 's_e40779f7', 'Well quit standing around! There\'s work to be done!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wtactofficer.stf', '25', 's_e4daff30', 'I\'m not going to be able to help you right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wtactofficer.stf', '26', 's_f2fe6350', 'I was not able to find the warehouse.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wtactofficer.stf', '27', 's_f64d217f', 'I\'m sorry I can\'t talk right now. I\'m very busy. This Dead Eye situation is getting out of control and I have my hands full. Rather then chit-chatting, how about you lend a hand already? Go and talk to the coordinator and make yourself useful.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wtactofficer.stf', '28', 's_f96e5eed', 'I\'d be happy to help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wvacca.stf', '1', 'do_not_edit', 'The English version of this file (coa3wvacca.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wvacca.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wvacca.stf', '3', 's_11b13f7a', 'Right now we have some stores of Alderaanian Flora, but my home planet was the last place it grew. Once it runs out Dead Eye will be useless.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wvacca.stf', '4', 's_11d4164', 'What\'s the status of Dead Eye?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wvacca.stf', '5', 's_6d583b5', 'It wasn\'t because of Rebel activity. It was a whim. A cold, heartless, whim of Grand Moff Tarkin. He wanted a demonstration of the Empire\'s power, so he killed an entire planet. I now know the truth, so I couldn\'t work for them anymore.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wvacca.stf', '6', 's_8e697de4', 'Oh. Hello. I\'m sorry, but they really don\'t want me to talk to anyone not associated with the project. You understand.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wvacca.stf', '7', 's_913b747e', 'You\'re the one who sent me the message from the Princess. I really have to thank you. I was deluding myself for far too long about the Empire. I\'m glad I was able to give Dead Eye to the Rebellion .');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wvacca.stf', '8', 's_96405da8', 'What was the reason?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wvacca.stf', '9', 's_b2b7f750', 'What can be done?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wvacca.stf', '10', 's_ba517076', 'After reading the message from Princess Leia I realized that I had blinded myself to the evils of the Empire. After further communications I had my eyes opened to the real reason Alderaan was destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wvacca.stf', '11', 's_bbc96393', 'Why did you choose the Rebellion?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wvacca.stf', '12', 's_be18866d', 'Ah, you\'re the one who is helping us fight the Empire for Dead Eye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/coa3wvacca.stf', '13', 's_d24fb27', 'If we can find an alternative flora resource, we can try to make another version. We have a number of research stations scattered about a number of planets testing various samples.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/combat_quest_p3.stf', '1', 'do_not_edit', 'The English version of this file (combat_quest_p3.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/combat_quest_p3.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/combat_quest_p3.stf', '3', 's_1b62f30b', 'Our scouting missions have revealed some very crucial information about possible enemy encampments right here on Dathomir!  We are not certain of the exact locations and our intelligence tells us that the enemy is constantly on the move attempting to elude detection.\n\nWe must seek out these encampments and capture whatever leadership may lie within.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/combat_quest_p3.stf', '4', 's_206a4b9b', 'I understand.  Farewell.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/combat_quest_p3.stf', '5', 's_2a5da4e9', 'If you and a friend decide to take this task on together, I will make sure that both of you receive your training as long as you both participate.\n\nI would not have you risk your precious life for nothing in return.\n\nWhich part of this mission are you interested in (you can also perform both tasks if you wish).');
INSERT INTO `client_strings` VALUES ('string/en/conversation/combat_quest_p3.stf', '6', 's_2c9f72e9', 'I have nothing for you to do right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/combat_quest_p3.stf', '7', 's_3804b036', 'Then you must power down the shield generator and eliminate at least 5 of the enemy\'s troops afterwards.  \n\nYou will fail this mission if you perish any time after the shield comes down but before the commander is captured.  You must then also ensure that the commander somehow makes it back to this village for interrogation.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/combat_quest_p3.stf', '8', 's_43c7c81c', 'What information do you have?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/combat_quest_p3.stf', '9', 's_476f5295', 'It looks like you\'re already helping someone else in the village.  See me again later when you\'re ready to give me your undivided attention.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/combat_quest_p3.stf', '10', 's_50cdfefd', 'Very well.  Come back to see me if you\'re still interested in helping us to bring a swift end to this evil that has befallen our village.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/combat_quest_p3.stf', '11', 's_51775d2e', 'A yes.  This encryption is rather simple.  I have added the waypoint information to your datapad.  \n\nI suspect you may find some enemy activity around that area, so be careful.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/combat_quest_p3.stf', '12', 's_527934ce', 'It\'s that easy, huh?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/combat_quest_p3.stf', '13', 's_52917b0d', 'Of course.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/combat_quest_p3.stf', '14', 's_54db1a8e', 'Very well.  Goodbye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/combat_quest_p3.stf', '15', 's_5604a3fb', 'I\'m afraid I don\'t have the time right now.  Good luck though.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/combat_quest_p3.stf', '16', 's_5d6c3f37', 'I want to turn in this waypoint datadisk...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/combat_quest_p3.stf', '17', 's_5ee8eee8', 'You\'ve already helped the village out enough for now.  Come see me again when we\'re ready to get on with our preparations.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/combat_quest_p3.stf', '18', 's_6c565018', 'Sorry, I\'m not interested in learning more about Melee Accuracy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/combat_quest_p3.stf', '19', 's_7481097c', 'Well, not really.  First of all we need to know the exact frequency code for the specific shield you wish to power down in order to configure the remote control device.   Each shield has its own frequency code.\n\nWe have gotten reports that many of the enemy\'s soldiers carry datadisks with frequency codes on them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/combat_quest_p3.stf', '20', 's_822aed71', 'We\'ve gained some critical information about the enemy, thanks to the efforts of you and your friends. The time for our attack has come.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/combat_quest_p3.stf', '21', 's_8767a129', 'What about my reward, if I work with someone else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/combat_quest_p3.stf', '22', 's_97bc1b9', 'Then you must join a group with someone who powered down the shield generator, and eliminate at least 5 of the enemy\'s troops after the shield comes down.  \n\nYou must then also capture the base commander and safely return him to me for questioning.  You will not receive credit for this mission if you are not the one who returns the commander to me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/combat_quest_p3.stf', '23', 's_9bd673a6', 'Tell me about capturing the camp\'s commander...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/combat_quest_p3.stf', '24', 's_a48b66a0', 'I will fight for you!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/combat_quest_p3.stf', '25', 's_ab0e6060', 'Attack? Well, I have this appointment, you see...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/combat_quest_p3.stf', '26', 's_ae1194d7', 'If you return such a data disk to me, I will give you a remote control device configured with the proper frequency to power down the shield.\n\nIf however, one of your companions here at the village already has a remote control device for a given enemy camp, it might be wiser to simply help them instead.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/combat_quest_p3.stf', '27', 's_b8a984d3', 'I\'m afraid I can\'t offer much in return, but I can put in a good word with Noldan, so that he might allow you to train Melee Accuracy.  Will you still assist me?  Keep in mind that if you\'re helping me, you won\'t be able to do any other work here in the village until later.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/combat_quest_p3.stf', '28', 's_c012ae2b', 'Very well.  Here is a remote control configured with the frequency code on the datapad.   Good luck');
INSERT INTO `client_strings` VALUES ('string/en/conversation/combat_quest_p3.stf', '29', 's_d403b674', 'I want to turn in these frequency codes...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/combat_quest_p3.stf', '30', 's_dd3cd5d7', 'And I guess I\'m supposed to find these datadisks?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/combat_quest_p3.stf', '31', 's_de9f3fb3', 'Tell me about powering down the shield generator...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/combat_quest_p3.stf', '32', 's_e4a148f5', 'Excellent!\nWe have learned that the camps are protected by heavy weaponry as well as an impervious repulsor shield.  Our scouts tell us that the shield generator being used by the enemy is an Old Republic style model for which we know the exact specifications.  This allows us to configure remote control devices to power down the shield.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/combat_quest_p3.stf', '33', 's_f3864fa4', 'Tell me what I need to do again...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_dark_trooper.stf', '1', 'do_not_edit', 'The English version of this file (corellia_imperial_dark_trooper.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_dark_trooper.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_dark_trooper.stf', '3', 's_5036d464', 'Public relations program override. Weapons: disengage.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_dark_trooper.stf', '4', 's_9cea209b', 'You must return to your unit and retrieve the code.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_dark_trooper.stf', '5', 's_a0b913c2', 'Imperial recruitment protocol phase one. Input code.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_dark_trooper.stf', '6', 's_c7770eea', '(Guess a number)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_dark_trooper.stf', '7', 's_dacdfa1f', 'Where\'s your owner?!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_dark_trooper.stf', '8', 's_dd12949d', 'That number was incorrect. Public relations program override. Weapons: disengage.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_dark_trooper.stf', '9', 's_eb9887db', 'I don\'t know the code.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '1', 'do_not_edit', 'The English version of this file (corellia_imperial_tier3.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '3', 's_107391a2', 'Hmmm, where have I heard that before?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '4', 's_12c769cf', 'So we are to try to split the alliance between Nym and the Rebellion?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '5', 's_14060a1c', 'I\'ve seen worse - and I\'ve seen better, too. If you want to stay with Black Epsilon, you\'ll need more skills.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '6', 's_1474f13c', 'What did the order say?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '7', 's_18509eaa', 'That is something I will be the judge of. It says in your record that you served under Prisk Kith\'Vys. Usually he is a good judge of talent but I am not so sure about his choice this time. What do you have to say for yourself, pilot?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '8', 's_1969477d', 'What would this new problem be?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '9', 's_19be2c59', 'You got yourself a fine soldier.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '10', 's_1bf62740', 'It\'s so simple. We start a fight between the Hutts and Nym. The Hutts do our dirty work for us and suddenly it becomes too expensive for Nym to operate in this system. He cannot afford to fight with both the Empire and Hutts.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '11', 's_1c0f4063', '%TU. What kind of name is that?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '12', 's_1c74e041', 'Do you think they will find out it was us?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '13', 's_1d2c73ce', 'What if he tries to get revenge?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '14', 's_1dab174a', 'See, you do still have something to learn from me. What is it you are interested in?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '15', 's_1e26f934', 'Correct! And after you capture the ship we will need you to stir up Nym\'s gang a bit with some Hutt broadcasts. Then you will be traveling with the retrofitted vessel in order to destroy some of Nym\'s fighters.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '16', 's_1f1da1b8', 'Do I look like I want to hear excuses from you? Get out of here! And don\'t come back until the job is done.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '17', 's_22f895e3', 'Glad you asked. First we are going to need one of the Hutt\'s smuggler ships. You will capture that ship for us. We will retrofit that vessel with a special sensor jammer that will increase its signature, masking other ships flying with it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '18', 's_24a3fa0c', 'Who\'s that?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '19', 's_24f21f71', 'Ah, I see. With the enlarged signature it will appear that the Hutt vessel is destroying Nym\'s men.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '20', 's_26b0b5d1', 'I would be rather shocked if they didn\'t already know. I don\'t like Nym or the Hutts, but never assume that either group is stupid. The thing is that it doesn\'t matter. There is so much bad blood between the two groups that all they really needed was an excuse to start fighting. All they needed was a little push.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '21', 's_271e95b3', 'So does the Emperor. Our goals will be to first take one of Nym\'s transport ships. They usually have detailed records of shipping lanes and that sort of thing in the Lok system. Once we have that we can find out where Nym\'s military forces are and hammer them with everything we got. Go capture and inspect me one of those transports.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '22', 's_27e5eff7', 'Don\'t thank me yet. I haven\'t thrown you any curveballs - until now. Prepare to head for Lok.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '23', 's_28d87347', 'Reports are you\'ve been working against the Empire... assisting the Rebel Alliance.  Well?  What do you have to say for yourself?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '24', 's_2b261439', 'You\'re just full of questions. But I suppose you are on the need-to-know list. Apparently there is a loose alliance between the Rebels and Nym that was forged by some Rebel officer. In exchange for Nym\'s help the Rebels are giving him a portion of the salvage. Fortunately for us, the deal is contingent on Nym not taking extensive losses.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '25', 's_2c7b60e', 'Did we find out how Nym and the Rebellion are working together?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '26', 's_2dd8b42', 'System balance programming sounds cool.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '27', 's_2e69b8ed', 'You\'ve got a job to do, maggot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '28', 's_2ef3848a', 'I don\'t quite follow you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '29', 's_30b6b17c', 'Why should I give you a second shot? ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '30', 's_31dd2d63', 'It won\'t happen again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '31', 's_36900273', 'Let me use small words so you can understand. Lok is Nym\'s base of power. Nym was helping the Rebellion. The Empire cannot allow Nym to flaunt it\'s authority like that. We are going to punish Nym.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '32', 's_38be6beb', 'What am I going to do with you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '33', 's_3af86b40', 'We caused some cracks that will grow in time, but I think if we hit it one more time we can break it apart now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '34', 's_3f4fdcbd', 'I\'d like to learn about special forces training.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '35', 's_3f9b3561', 'Is that what I asked you to do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '36', 's_424f249d', 'OK %TU - you\'re up. We just received word that one of our salvage transports was hit hard and left for dead. We have reason to believe that it was hit by a joint force of Nym\'s men and Rebels Alliance starfighters.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '37', 's_44750833', 'So you want me to get you a Hutt smuggler?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '38', 's_47132c0f', 'What! Don\'t think about it too hard.  You will damage what little you have left of your brain. And you are going to need it in order to learn some new skills. What would you like me to teach you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '39', 's_4c47ba68', 'I didn\'t think so. This time, there better not be any mistakes. Get going.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '40', 's_50e8d95e', 'That\'s what you call \'loyalty\'?  You don\'t know the meaning of the word, maggot.  If you ever want to fly for the Imperial Navy again, you\'d better re-evaluate some of your past decisions.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '41', 's_53126084', 'Did I say you could ask questions? I will explain it all in good time and I can do without your comments. Anyway, it would seem that Nym and the Rebellion have decided to work together in harrying Imperial forces while grabbing as much salvage as they can.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '42', 's_586a7d64', 'So you can be silent when required. That is a good thing. Nym is a pirate chief from the Lok system. We have known for a long time that he sympathized with the Rebellion but, as long as he stayed out of the way, we didn\'t care. It looks like he has had a policy change.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '43', 's_5eb7a1e3', 'I am ready and willing, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '44', 's_62ccc48d', 'It sure is. \'Nothing better than accomplishing your goal and not having to pay any of the costs. Not only do we start breaking the bridge between Nym and the Rebels, but we also get to eliminate some Hutts in the process. I love it when a plan comes together.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '45', 's_64d5bea6', 'Nice work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '46', 's_657cb9bd', 'Are you sure about Nym\'s lack of resolve?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '47', 's_66ebf9d3', 'You earn your gold star for the day. Get out to that freighter, assist it with any repairs it might need, and escort it back to port. We can question the pilot and check its computer logs to see if we can get a lock on the emissary\'s ship. Dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '48', 's_6cef5164', 'So you made it back in one piece. I would have thought the Hutts would be serving you for dinner right now. You don\'t know how glad that I am you survived.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '49', 's_6d0b02b', 'The order simply read, \'Obey this man as you would obey me\'. As far as I can tell it is completely legit. Then that Insurgent fellow told me that I was to transfer you over to his command immediately.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '50', 's_72418db3', 'Why would Nym care about losses?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '51', 's_726bfa38', 'Of course it was. Smash you enemies and all that. We didn\'t join Black Epsilon so we could take part in peace-keeping missions. I think that there is still something you can learn from me. Do you have anything in mind?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '52', 's_73c4833', 'That\'s what you said the last time. Get back up there. Put your money where your mouth is.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '53', 's_765d3767', 'I\'m loyal to the Empire!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '54', 's_77e48d5b', 'What do you mean?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '55', 's_77f35957', 'Know anything about advanced starship components?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '56', 's_799d2952', 'Maybe you\'ve got what it takes, after all.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '57', 's_7af5dab4', 'Sounds like a job for local security to handle.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '58', 's_7bcc420b', 'Keep moving, puke.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '59', 's_7bef2106', 'Storm Squadron has done the brunt of the work already in this system, but they are in the process of being reassigned. Not to mention that a new threat has emerged and High Command thinks that we are just the right people to take care of it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '60', 's_7c05dd60', 'How do we get those two factions to start fighting?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '61', 's_7fe8c9bb', 'Yeah, how ABOUT those vessels? You could use a lesson in respect. But for now I\'ll teach you about Imperial technology. And later, you\'ll  get a mission - if you ask nicely.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '62', 's_823cc9e1', 'Mm, you think? Get back out there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '63', 's_847e468b', 'I wasn\'t really risking all that much... just you. If you failed then I would have simply started over with another angle. I took a minimal risk and received maximum gain, that is what being a great leader is all about. Now you are in need of training, are you not?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '64', 's_84bc2cb6', 'I must admit I sort of enjoyed that one.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '65', 's_84ce496b', 'Are you kidding? I wrote the book. Let\'s get started; come back when you\'re ready for another mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '66', 's_85e02cc1', 'That is where the freighter comes in. Nym\'s men will not take orders from any member of the Rebellion regardless of the agreement. But they will follow anyone who Nym tells them too. In this case the only member of the Rebellion that we can see Nym having his men follow is this emissary. So if the freighter was hit by a joint attack of Rebels and Nym\'s men, then it was probably lead by the emissary.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '67', 's_883481e3', 'Because I\'ll get the job done right.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '68', 's_8bbc7303', 'Intelligence doesn\'t believe that Nym approached the Rebellion. He is far too cautious for that. Reports from the inside suggest that a Rebel emissary met with Nym, and the pirate chief took such a liking to this Rebel that he agreed to help out. We figure if this emissary is eliminated, then Nym will back out of the agreement.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '69', 's_8c751827', 'Why don\'t we just directly assault Nym\'s forces?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '70', 's_8ccf2f5f', 'You don\'t look like you could pilot a pair of shoes, much less a starship. Get out of here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '71', 's_8dcf50f', 'We will figure out how to split Nym and the Rebels, I assure you. But right now we need to focus on you. In order for you to be any use at all to me, you are going to need some training. Normally, I would just tell you what I want you to learn and you would learn it. But I am feeling generous so I am going to let you decide where you think you need the most work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '72', 's_8eaae252', 'You think you\'re ready to play with grownups? Get out of here; your mama\'s waiting for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '73', 's_8efde2ae', 'Yes, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '74', 's_900f01d1', 'What?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '75', 's_91cf92a7', 'From now on, you\'ll be reporting to someone named Insurgent. And I thought YOU had a ridiculous name the first time we met.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '76', 's_91e2ca48', 'In this matter I would have to say yes. If nothing else Nym will probably remove his direct support of the Rebellion for the time being. And without Nym\'s support the Rebels once again find themselves at a major disadvantage. I think that the local security forces can handle the rest of the operation in Yavin.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '77', 's_9b5a6b23', 'He asked for me by name?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '78', 's_9be798dc', 'I don\'t have time for you, maggot. If you are interested in becoming a good pilot, I suggest you lose your current unit and transfer to the Black Epsilon.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '79', 's_9c5ae9a', 'Second time\'s the charm.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '80', 's_9d2d47d4', 'Your call. I\'ll give you the intel, and when you\'re feeling up to it, maybe I\'ll give you another mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '81', 's_a1314746', 'Because I am. Regardless, I am happy to report that our operation seems to have been a complete success. The Hutts are furious with Nym and are basically attacking his ships on sight. Nym\'s men are putting up a good defense but the Hutts are not under the same constraints as Nym.  They are just tossing men at him in order to get revenge.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '82', 's_a1b009ed', 'Apparently, Storm Squadron hit him pretty hard in the Lok system and he is still attempting to recover from that blow. We are currently working on ways to exploit his current timidness, because we feel that will be the key to causing the split.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '83', 's_a4f70dc9', 'This is why we pay you to fly and not to think. A direct assault on Nym will have the desired effect but could also be costly for us as well. That is just the sort of advantage that the Rebels are waiting for. Sometimes the direct, kick down the door approach works just fine. But if you are going to learn anything from me, learn this...it is always better to have someone else do your dirty work for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '84', 's_a5d90aff', 'It was harder than it looked.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '85', 's_a6944d2', 'Thank you sir, it was tough but I pulled through.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '86', 's_adc23ed9', 'How about advanced capability TIE vessels?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '87', 's_af020de3', 'Where can we find the emissary?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '88', 's_b200234c', 'I think my mission was successful.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '89', 's_b622a494', 'Not in my book it isn\'t. Who sent you? I need soldiers! And this is what I get.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '90', 's_b695af6b', 'So you do. Well it is a good thing that we don\'t judge success on what you think. Fortunately we have both the operations plan and the Rebel officer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '91', 's_b6b25f13', 'Yes, sir!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '92', 's_b713f64f', 'I think you\'re being sarcastic.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '93', 's_b779a3', 'Sounds like a beautiful thing, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '94', 's_b93b0c31', 'Sir, I was told to report to you for my new assignment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '95', 's_bc65ef6a', 'I am surprised. You are a little brighter than you look..not much, but a little. If all goes well Nym\'s forces will retaliate on the Hutts, who will simply think that Nym has double-crossed them.  And they in turn, will respond with force.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '96', 's_bd1d7bf2', 'I told you that subtlety is lost on you. Regardless, I am happy to report that our operation seems to have been a complete success. The Hutts are furious with Nym and are basically attacking his ships on sight. Nym\'s men are putting up a good defense, but the Hutts are not under the same constraints as Nym.  They\'re just tossing men at him in order to get revenge.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '97', 's_c0cca856', 'I think I will. Now beat it!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '98', 's_c18b617e', 'I have absolutely no idea. He showed up here today and tossed an Imperial order on my desk. And wouldn\'t you know it that order was signed by the Emperor himself.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '99', 's_c65e1fa7', 'I don\'t know what he wants with you and frankly I wasn\'t about to ask. There was something about him that made me feel real uneasy. Regardless he told me that you were to meet him at the Imperial Outpost on Dantooine and then jumped in his ship and took off. I suggest that you don\'t keep him waiting. I get the feeling that he isn\'t someone who likes to be kept waiting. You are dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '100', 's_c6844d2a', 'Should have known.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '101', 's_c82eaa27', 'Either improve your standing with the Empire, or shoot yourself in the head.  I don\'t care which you choose... either option will earn my forgiveness.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '102', 's_c9015929', 'Why am I heading to Lok?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '103', 's_cd445db2', 'I like the sound of that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '104', 's_cf274903', 'Maybe they have the right idea when they start taking potshots at you. This mission is critical, soldier: don\'t blow it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '105', 's_d0f9703', 'So what is this have to do with that transport?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '106', 's_d1e44f54', 'Ah, so the freighter might have some clue as to where the emissary went.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '107', 's_d2e23af2', 'What\'s my next assignment?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '108', 's_d32315a8', '\'Blew it\' doesn\'t begin to describe this scenario. It\'s time for you to do your job, soldier.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '109', 's_d3306841', 'You have done a man\'s work today. Without the emissary, the Rebels do not have the only man in this operation that Nym trusts. This combined with the heavy fighting with the Hutts is sure to cause an impassable rift between the two.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '110', 's_d547e29b', 'Prisk Kith\'Vys told me to report to you for my new assignment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '111', 's_d8a7505', 'The Rebels had another idea.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '112', 's_d8db54f6', 'Send me back out there!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '113', 's_d9391333', 'Good philosophy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '114', 's_daab08d3', 'You catch on quick. Our first task is to locate a Rebel officer or spy and try to find out about their joint operation. If we can discover how the two forces are working together we can figure out how best to break their alliance. You are to take patrol inside the Yavin system and perform scans of the zone until you can find a ranking member of the Rebel Alliance. Capture and inspect that ship to see if they have the information we are looking for.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '115', 's_daaff7a', 'Well %TU, I\'ve had about enough of you. Time to hand you off.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '116', 's_dbb3a834', 'Um, no.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '117', 's_dd4ea40c', 'That felt good, didn\'t it? I can just imagine Nym squirming in his Stronghold. Probably cursing the day that emissary convinced him to help the Rebellion.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '118', 's_ddfa7bdb', 'Why do I get the feeling that you are mocking me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '119', 's_e3bbe83c', 'While you are up there, do not be surprised if we contact you again. This operation will involve careful timing and precise actions. Do not fail me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '120', 's_e6e69be4', 'I blew it. I know.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '121', 's_ea45b3c5', 'Oh, no! I didn\'t think of that. Big, bad Nym is coming to get me. If you are afraid of making enemies you should have become a moisture farmer. You are an Imperial pilot in the Imperial Navy, most of the galaxy already hates you. What is one more? Punish them before they punish you, that\'s what I say.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '122', 's_ecd826ee', 'I thought their alliance was shattered.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '123', 's_ecfe85ae', 'Lucky me. Listen up. As you probably know the Empire has been running salvage operations in this system. Unfortunately, we are not the only ones who have taken an interest in the wreckage of the Death Star. We have to deal with pirates, on top of members of the Rebel Alliance trying to get their hands on top secret technologies.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '124', 's_f00894a4', 'Glad you think so. Your opinion matters to me. Let\'s do this, and when you\'re done, maybe you\'ll be ready for another mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '125', 's_f2993921', '[wait]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '126', 's_f7a9cb6c', 'You risked all your effort and planning on a hunch?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '127', 's_fc27931b', 'Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '128', 's_fd236a42', 'A good one.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '129', 's_fdbdc3c3', 'It better not. Get back to your ship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '130', 's_fdda16c7', 'OK, junior, new mission. We have careful reviewed all of the data that you somehow managed to provide us, and we believe that we have a course of action that will cause Nym to withdraw his aid to the Rebellion in this sector.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '131', 's_fe5bcaa2', 'How did I know that you were going to say that? Remember how I mentioned that there were other pirates at work in this system? Of course you don\'t. Hutts, man...Hutts are also working on salvaging as much as they can get their hands on. It would appear that they have a deal with Nym and the Rebels not to get in each other\'s way. Well, that is about to change.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier3.stf', '132', 's_ff9d26dd', 'You treasonous worm.  How dare you even show your face.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '1', 'do_not_edit', 'The English version of this file (corellia_imperial_tier4.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '3', 's_1138832b', 'I have another little job that I want you to address. My instincts were correct. I was right to tell you to search that area.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '4', 's_11c1ca52', 'You have the authority to choose to obey a Grand Admiral? Insurgent, who are you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '5', 's_147257b1', 'You have simply done what I told you to do in order to assist me in tracking down my targets. I never intended you to have to face them in combat, but it would seem that I do not have any other choice.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '6', 's_14c18bea', 'It\'s not true!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '7', 's_14c473a', 'I think that information should be helpful.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '8', 's_15b3b360', 'Who else would garner such attention from the Emperor? I must say that he is very pleased with the outcome. Now that the Jedi are no more, the remaining Velocity should be fairly simple to clean up.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '9', 's_1b4ddba3', 'Now, we cannot take the risk that Nej\'a will change his staging location. The Empire has waited for many years to bring this criminal to justice... today is that day. Remember he is very dangerous, destroy him quickly. Good luck, %NU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '10', 's_1c6fdb34', 'Excellent. You\'re clear to leave.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '11', 's_1d2760a0', 'So, you seem to have made a fan. I can tell by your look that you do not have any idea what I am talking about. I have just received orders from High Command that you are being transferred.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '12', 's_1d3e1b08', 'Then do it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '13', 's_1d658537', 'They\'re quite good, aren\'t they?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '14', 's_1d8537b', 'Hmm, well what is it you want me to do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '15', 's_1f6db0c9', 'Save your stories for children.  If you ever want to fly for the Imperial Navy again, you\'ll improve your standing with the Empire.  Until then, don\'t talk to me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '16', 's_1fff2e', 'Yes, once we find them they must be killed. We think that they are attempting to build power, either to help the Rebellion or for their own reasons. That is why they have the Velocity working for them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '17', 's_229e4f7a', 'Why are you so interested in who hired these mercenaries?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '18', 's_22d9230a', 'Then what could you possibly learn from it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '19', 's_2313ac9e', 'What are you talking about?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '20', 's_23c3015a', 'I have spoken with the Emperor and he has told me many things about those I seek. It is on his command that you are to capture and protect this freighter so I can investigate it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '21', 's_241c37e7', 'Try not to be disappointed. We are going to be doing the Emperor\'s bidding, after all. Once you have located the Velocity officer, inspect the vessel for anything that might be used to further my investigation.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '22', 's_244c9eec', 'I will see if that is true.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '23', 's_253224d8', 'You\'re a long way from home, pilot. Why have you come?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '24', 's_2751f674', 'If you say so. But I would suggest that you not start counting your victory quite yet. If this was an easy operation, I would not be involved.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '25', 's_27b64a53', 'I will explain that shortly. Once we find them they must be killed. We think that they are attempting to build power, either to help the Rebellion or for their own reasons. That is why they have the Velocity working for them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '26', 's_291ab9fa', 'Again with a question whose answer you are not ready for. I suggest you simply focus on finding me any information that an officer can produce. If you pay attention, I am sure all will be revealed in time. Now you had best get on with my patrol. I am not well known for my patience.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '27', 's_2934bbe1', 'I do have need for a skilled pilot but I have no interest in babysitting. I would suggest that you go work on your skills a bit more and maybe you will hear from me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '28', 's_29b41abf', 'Very true. While I am looking into the latest information that you have brought to me, feel free to take some duty missions or...do whatever you wish. Frankly I don\'t care which, just as long as you become available when I need you again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '29', 's_2afc3f27', 'You have done very well and it would seem that your skills are improving. I will assist you in your quest for pilot perfection, when man and machine become almost one. What skill would you like to learn? Once you have made your choice, I have a very important task that requires immediate attention.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '30', 's_2b6c0655', 'Improvement!? You cannot improve perfection.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '31', 's_2d7994ed', 'How do you know that?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '32', 's_2e6aa8f3', 'The unseen sometimes can tell you far more than what is right in front of your eyes. You can learn to see things that others cannot with the proper training and lets just leave it at that. What I did learn was that our targets went to the one place I cannot follow...Dathomir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '33', 's_2f35ade3', 'I hope so. My targets are criminals that have eluded Imperial justice since the days of the Old Republic. The Emperor has been searching for them for a very long time, finally discovered a lead with these Velocity mercenaries, and sent me to deal with these criminals.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '34', 's_2f76570d', 'What does that mean, do you think?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '35', 's_2fa1f209', 'Fine. If that is the way it is.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '36', 's_30f28d53', 'Or maybe it\'s not mercenaries you\'re fighting.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '37', 's_31cfa803', 'They have gone to the one place I cannot follow. They have gone to the Dathomir system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '38', 's_33b79521', 'Why would the Emperor concern himself with criminals?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '39', 's_340f88e7', 'And I will make you even more potent. Despite your claim that you are perfection personified, your approach needs some polish. When you are working for me you will gain that polish.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '40', 's_34120baf', 'Of course. Another task that has need for a good pilot is to cull the smuggling aspects of the Velocity mercenaries. It would seem that they are moving the supplies stolen from us to other systems. We need someone to break their supply lines and capture the vessels carrying these goods. The Empire wants its property back.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '41', 's_34acb72a', 'Because it has been forbidden for me to follow them there. I do not know why I am not allowed to follow my prey, but I do not question those orders. It will be up to you to finish the job that was started so long ago.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '42', 's_3573ecdf', 'I have my...sources. But you can rest assured that the vessel is currently on autopilot and should be an easy target. It probably will have auto defenses on but for a skilled pilot like yourself those should be nothing. I would like to examine that freighter and see if it contains any clues about my targets whereabouts.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '43', 's_35dc12ce', 'Good. I will have need for a talented pilot very shortly and I think that you might just do very well. You are still a little rough around the edges but I can take care of that. With my help you should become an acceptable pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '44', 's_35e6e0c7', 'That is what I like most about you. You are all business. If there isn\'t anything else I would like to get on with my investigation.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '45', 's_361de446', 'So where did they go?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '46', 's_362907ef', 'I don\'t have time to deal with you right now. How about you come back when you actually know how to pilot a ship? Of course, I probably won\'t talk to you then either...but it would be a start.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '47', 's_362a48e0', 'Anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '48', 's_36a4e374', 'Yes, I am.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '49', 's_37e2608d', 'I do not fear danger.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '50', 's_3bdff7cb', 'What is it you require of me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '51', 's_3e9d32e0', 'What about the orders I recovered from the Velocity?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '52', 's_3f2bae5b', 'That pretty much confirms my suspicion. The Velocity are in the Dathomir system, which means the targets are as well. We will get those orders you recovered decoded and see if they lead us any closer to our prey.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '53', 's_3f68df7d', 'Sounds easy enough.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '54', 's_40cb88ec', 'I don\'t understand. How is that useful information?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '55', 's_40d40fc4', 'It\'s been difficult.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '56', 's_410ca3d8', 'You are catching on, good. Now no more talk. Go get me that freighter and bring it back to me. I have wasted more than enough of my time dealing with your ego. I really hope that you don\'t run into any unforeseen problems out there. Go!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '57', 's_415093c5', 'Yes, it would seem that those were not quite as important as I originally thought they would be. From what I understand of the code it simply told the Velocity to continue their operations in this system until they were told otherwise.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '58', 's_41f35a20', 'Insurgent isn\'t your real name, is it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '59', 's_42c52a5', 'I still don\'t see how this helps us.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '60', 's_4349156c', 'I can escort those ships, no problem.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '61', 's_43d39a86', 'I was almost certain they were, but the unique nature of Dathomir makes it a little hard to completely detect these things. It doesn\'t matter now though. We have a confirmation. Also, the ground crew has reported in and there are no signs of any vessels landing on Dathomir recently so I think it is safe to assume the targets are still in space. On a humorous note, the ground crew asked when they could expect to be picked up.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '62', 's_450797b1', 'I wish I could join you out there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '63', 's_453c3282', 'If you are not in the military, who are you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '64', 's_47e47c9e', 'Very well. I will wait until you need me again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '65', 's_47ffecb6', 'What does that have to do with me taking on more responsibility?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '66', 's_4854758d', 'I would like to request a mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '67', 's_493aef07', 'I would need more time and information about our targets.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '68', 's_49805f81', 'Can I hear the briefing again?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '69', 's_4af031d3', 'It\'s brutal up there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '70', 's_4b6d4db', 'Nial Declann? Grand Admiral Nial Declann!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '71', 's_4c99c2f5', 'We have Neja\' Bertolo! Those orders you brought back to me have finally been decoded and they have Nej\'a all over them. He also made a most fatal flaw of placing his coordinates in those orders. Apparently he wanted his men to be able to reach him if he was needed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '72', 's_4c9ca3b6', 'I don\'t understand. What do you mean?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '73', 's_4d7b8699', 'Should I just go out there and ask them or do you actually have a plan?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '74', 's_4e718340', 'Ah, a kindred spirit. It will be a pleasure.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '75', 's_4e7e870d', 'What exactly will I be doing for you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '76', 's_4ecc8830', 'Who are your ultimate targets?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '77', 's_4faccfdf', 'I have need of your abilities yet again. It would seem that you are now even more important to this operation than ever before.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '78', 's_50b309d4', 'Too good, if you ask me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '79', 's_50bf402f', 'It is quite simple. You will be going where I say, when I say, and you will  be doing WHAT I say. Until that time comes, you have no need to know, so let us just keep it that way. For now, I was simply interested in meeting my new pilot face-to-face. I have seen what I need, that is all. Come back and see me a little later. Perhaps I will have something for you then.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '80', 's_516e76a2', 'Then I will have to track the targets down.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '81', 's_520cdd79', 'Shouldn\'t you be out on assignment? I have no use for someone who cannot finish what they start.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '82', 's_52917b0d', 'Of course.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '83', 's_556fb99a', 'So much more than you could possibly imagine. They have great knowledge and skill. What they might have lost with youth, I am sure they gained in experience. Do not discount them simply because of their age.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '84', 's_579dbb01', 'Wouldn\'t it make more sense to launch a full scale attack on them?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '85', 's_588da3c3', 'I would like to learn about droid intelligence theory.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '86', 's_592140', 'The first obviously means that only the smart man can deal with danger.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '87', 's_596bf3ab', 'Excellent. I take it that it is time for me to do my thing?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '88', 's_5a23ab6f', 'What did you find, Insurgent?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '89', 's_5babb29c', 'What was it you found?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '90', 's_5bea4bf3', 'It doesn\'t matter that you do not know what is going on. All that matters is that I have some direction. When the time comes, I will point you in that direction and together we will find what I am after. For now I will leave you to your own devices. You can continue to take some duty missions from me or go on leave, it really doesn\'t matter to me. Once I figure out my next move I will let you know.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '91', 's_5bea5f9', 'Your sources? What does that mean?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '92', 's_5d0255cb', 'Keep trying, %NU. You\'re doing the Emperor\'s work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '93', 's_5e2181b5', 'I take it they are to be killed?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '94', 's_5e4d41df', 'All in good time. You are not quite ready for that challenge yet. The next task would be protecting the interests of the Emperor in this system. The Velocity mercenaries have been attacking Imperial military freighters, most likely in order to increase their own combat capability. We need escorts to protect our freighters from these attacks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '95', 's_5f1f6bbe', 'Very well, here is your skill. And now I have another little job that I want taken care of. My instincts about searching the area that the transmission originated from have paid off.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '96', 's_5fb89d5e', 'I doubt if these particular people had any problems convincing the Velocity to work for them. They can be very persuasive when they need to be. I would be surprised if the Velocity is being paid, which is why they attack our supply freighters...in order to pay for their operations.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '97', 's_61ee3818', 'Traitor?!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '98', 's_622b4f74', 'Once the team is searching the surface, you will begin searching space. I completely expect that they took a number of their Velocity lackies along with them. Find the Velocity and they will lead us to our targets. There is no where else they can run. Let\'s get this operation under way. Good luck, %NU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '99', 's_62c2e765', 'I haven\'t told them anything. They will either make it to the prison, be eaten by a Rancor, or perhaps worse. They do not matter to me now. All that does matter is catching our prey. We will begin decoding these orders and see where they lead us. Until then feel free to take some duty missions or go on leave. When you are ready for your next step, we will hunt them down.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '100', 's_630c41d4', 'Doesn\'t sound like he is all that smart.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '101', 's_63378cc1', 'They wiped the databanks, cleared out the logs, and destroyed the flight recorder but they left behind traces of themselves all over the vessel. It was those traces which have pointed me in the direction of where they went.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '102', 's_644e6e82', 'No, I am not part of Black Epsilon, although I have used their pilots several times in the past and have always been more than satisfied with the results. And do not call me sir. I have no military rank.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '103', 's_6465b813', 'I bet I could figure it out.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '104', 's_64a73278', 'Do you want me to retrieve the vessel?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '105', 's_6560cc1a', 'I would like to learn about heavy starship components.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '106', 's_657816d', 'You really haven\'t told me anything.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '107', 's_65da4fa5', 'I\'m curious about this smuggler. See what you can find out. Let me know what he\'s carrying.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '108', 's_67a8d328', 'The freighter you brought back told me everything. Those three used it to help leave the system after your operation started to put the heat on them. They sent the transmission, wiped all the databanks, boarded their fighters, and left the system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '109', 's_68d65b58', 'We should capture one of the Velocity and make him tell us what it means.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '110', 's_690701a5', 'We have Neja\' Bertolo! My men have finally decoded the orders you brought back to me. They have Nej\'a all over them. He also made a terrible mistake by putting his coordinates in those orders. Apparently, he wanted his men to be able to reach him if he was needed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '111', 's_69231042', 'Having the authority to ignore a Grand Admiral\'s order is very different than actually using that authority. Just because someone can do something doesn\'t always mean that they should. I am Insurgent and I am but a humble servant of the Emperor. Now, I suggest you do not keep the Nial waiting. While I might be able to get away with it you most certainly cannot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '112', 's_6a0fad7b', 'Don\'t act surprised.  A person doesn\'t just ACCIDENTALLY work for the Rebel Alliance to overthrow the Empire.  Now get lost, we have no use for your kind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '113', 's_6a902b99', 'Glad you asked! I have formulated a patrol based on the Velocity fighter movements that I believe will take you close enough to recognize a Velocity officer\'s vessel with short-range scanning. Follow the patrol route and find me an officer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '114', 's_6af70645', 'So they are on the freighter?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '115', 's_6b6c3181', 'Where did they go?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '116', 's_6b9c2fb8', 'I understand. I would like to take a duty mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '117', 's_6d6d19f4', 'With the Emperor\'s blessing, I am unstoppable.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '118', 's_6d9530c5', 'Transferred? Who am I being transferred to this time?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '119', 's_6f6fe7c5', 'You may call me Insurgent. And let us just say that I have the Emperor\'s best interests at heart and leave it at that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '120', 's_7017e938', 'It\'ll get done.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '121', 's_707841db', 'It took me a little while but I managed to find the source of the transmission. There is a freighter that appears to be on autopilot flying on the outskirts of the system that sent the signal. I have it on very good authority that my targets were on board that vessel shortly before it sent the signal.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '122', 's_735e94f9', 'So you must be %NU. I have been watching your progress for sometime now.  I must say that I am very impressed, although there ARE a number of areas where you could use improvement... but we will get to that later.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '123', 's_74052171', 'I have formulated a patrol route that I need you to follow. While on this patrol, you will scan the region for signs of a Velocity officer\'s vessel. I am hoping that an officer will have valuable information that will allow us to dig deeper into uncovering who they are working for.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '124', 's_7423a2e5', 'Sorry, Insurgent. Force of habit.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '125', 's_74f79dbe', 'There is very little need for us to do that. They have left me a very large clue without even knowing they did. Instead of trying to figure out what the message actually said I am going to be looking into where the message originated from.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '126', 's_77729b2', 'Cry me a river. I thought you were tough?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '127', 's_78026113', 'It is quite simple. You will be going where I say, when I say, and doing what I say. Until that time comes you have no need to know, so let us just keep it that way. For now I was just simply interested in meeting the pilot who would be working for me face to-face. I have seen what I need, that is all. Come back and see me a little later, perhaps I will have something for you then.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '128', 's_79bf4ef1', 'I see. Must be a military thing. Usually, members of Black Epsilon are not quite so rigid, which is why I like using them. Despite that, I still believe you will do. Now back to the matter at hand. We need to find out more about the Velocity. I want to know everything I can about their operations in this system, especially who they are working for.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '129', 's_79d6c690', 'The second means that the Velocity should continue their assault on the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '130', 's_7a5034fe', 'Your zeal is much appreciated but if everything goes according to my plan we will not have to get our hands dirty in that fashion. All you need to do is to follow a patrol route that I have formulated based off of the mercenary movements and use short range scans to locate a Velocity officer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '131', 's_7dd5c9b5', 'Perhaps. Like I said, I have my own theories on what those code phrases mean. But it is not so much what was in the message, but rather where the message was from that interested me. The message originated from deep in the Dantooine system. I believe that will be a good place for me to start my search. For now, you are on stand by. You can take some more duty missions or go on leave. When we are both ready, we will continue.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '132', 's_7ef4aae8', 'Understood, Insurgent. I will retrieve their freighter in one piece.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '133', 's_7fc0dbf6', 'No, Insurgent. I will wait until you need me again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '134', 's_80bab111', 'Yes, it is. There is a freighter that appears to be on autopilot flying on the outskirts of the system that sent the signal. I have it on very good authority that my targets were on board that vessel shortly before it sent the signal.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '135', 's_817cf33', 'Who is Nial Declann?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '136', 's_81995254', 'Normally I would only give missions to my own pilots, but I\'m a little short-handed and I have several elective duty missions available. Would you like to hear a briefing?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '137', 's_81b729d2', 'This is very important, %TU. More important than you realize.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '138', 's_828612f', 'The Empire does a lot of good in this system. It provides work for people who need it. It\'s important that the equilibrium not be disturbed. Take good care of those freighters.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '139', 's_828cdbfa', 'I\'m still in pursuit.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '140', 's_83502a2', 'The enemy of the Emperor must be destroyed!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '141', 's_83a5b2ca', 'Sorry, Insurgent. So how will I find this officer?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '142', 's_83af3aa0', 'I cannot use someone like you. I am only looking for highly skilled pilots and you don\'t make the cut. Perhaps you should return to your commanding officer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '143', 's_8406a42d', 'These mercenaries are very good - and very motivated. I\'m not surprised to hear that you\'ve run into difficulties, but I still don\'t want to hear any excuses. You are supposed to be better.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '144', 's_84fad79c', 'Too bad. Good bye, %NU. Nice work out there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '145', 's_85e8b1c4', 'I figured that is who we were after.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '146', 's_8778fe46', 'What I want to know is who you are?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '147', 's_87d7e908', 'I know.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '148', 's_87f2bc56', 'You have to fight like you\'ve never fought before. Do you understand me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '149', 's_8a63a671', 'It took me a little while but I managed to find the source of the transmission. There is a freighter that appears to be on autopilot flying on the outskirts of the system that sent the signal. I have it on very good authority that my targets were on board that vessel shortly before it sent the signal. I require that freighter.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '150', 's_8ba804b8', 'Very well; here is your skill. And now I have another little job that I want you to address. My instincts were correct. I was right to tell you to search that area.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '151', 's_8c64bf19', 'Indeed. And the time is at hand for you to prove just how deadly you can be. I want to know as much as we can about the Velocity mercenary operation in this system. More than anything, I want to know who hired them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '152', 's_8fd1ce47', 'The Velocity mercenaries have been targeting Imperial ships, as you know. They\'ve left several ships adrift most likely to be picked up at a later time. We need a pilot to meet those ships, assist with repairs, and bring those valuable craft safely back to Imperial hands.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '153', 's_8fe70af3', 'This will not take me very long.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '154', 's_90422eb5', 'Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '155', 's_912bb601', 'My targets have eluded Imperial justice since the days of the Old Republic. They are all veterans of the Clone Wars. The Emperor himself has declared that they are to be hunted down and killed in order to neutralize their threat. These are very dangerous men.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '156', 's_9205783d', 'What should I do if I locate the officer?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '157', 's_929e4e42', 'How should I proceed?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '158', 's_92c25c6d', 'It is more of that coded phrasing but I am quite certain I have figured out the code, or at least the general meaning behind the orders. I will tell you more about this once I am certain.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '159', 's_9301eff1', 'I will.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '160', 's_94a6034a', 'It is I who thank you. It is very rare to meet a competent pilot who can think for themselves. I wish you the best with your new assignment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '161', 's_953d9a9c', 'It is. Now get on with the patrol. I am in a hurry to get this information and I have never been well known for patience.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '162', 's_95c4c876', 'So noted. What will I be doing for you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '163', 's_95dd869a', 'It must be expensive to pay for an entire mercenary outfit.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '164', 's_96219092', 'Maybe they\'re getting better.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '165', 's_966e7d64', 'You have great potential, but you still have much to learn before I can make use of your talents. I have a few odd jobs that I need taken care of. If you wish I can give you one of these duty missions. Or would you like to hear the briefing again?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '166', 's_98338b18', 'Sure. I\'ll get those ships.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '167', 's_993596a8', 'Now that I have more training, I am pretty sure I am unstoppable.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '168', 's_996a0939', 'Be wary, %NU. I am surprised that the Velocity have not already destroyed this freighter. I think that when you capture the vessel they will attack in force. But that shouldn\'t be anything you cannot handle. The Emperor\'s bless be on you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '169', 's_99bb69ca', 'Shooting down mercenaries? That\'s not business; that\'s pleasure.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '170', 's_99f23e5f', 'Be warned that the vessel probably has automatic defenses but since it is just a freighter I doubt they will be any issue for you. Keep your eyes open though, if the Velocity meant to destroy the ship and haven\'t yet, your taking it will draw them out in a hurry. Good luck, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '171', 's_9a8ac7e9', 'I\'m counting on you. Do not fail.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '172', 's_9bad275c', 'You\'ve never had a more important mission, %NU. You MUST succeed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '173', 's_9c7a221c', 'We will begin decoding these orders and see where they lead us. Until then feel free to take some duty missions or go on leave. When you are ready for your next step, we will hunt them down. The time is drawing very near now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '174', 's_9caa883f', 'Very well, come back to me if you decide differently.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '175', 's_9ce82616', 'I thought I told you to simply refer to me as Insurgent! I cannot use someone who is incapable of even obeying the simplest of orders.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '176', 's_9d071495', 'I just need another shot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '177', 's_9d4fc33d', 'I didn\'t assume that it would. One last thing though. I am surprised that the Velocity have not destroyed the vessel, although it is possible that they just haven\'t gotten around to it yet. I would guess that if their intention was to destroy the ship they will come swarming once you take it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '178', 's_9e9b2154', 'I don\'t see where the fun in that is but if it is as the Emperor will...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '179', 's_9ec3be5d', 'I will do so. Thank you for allowing me to assist you in your assignment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '180', 's_9ed0c023', 'You really don\'t have any business here or with me. Since you don\'t belong here, why don\'t you just move along quietly?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '181', 's_9f02cebc', 'That is what you are going to do. We cannot take the risk that Nej\'a will change his staging location. The Empire has waited for many years to bring this criminal to justice... today is that day. Remember he is very dangerous, destroy him quickly. Good luck, %NU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '182', 's_9f2ab4a0', 'First, we need to make sure they have not taken shelter on the planets surface. I have arranged for a drop ship to send a scan team to the planets surface to begin a sweep of the surface. Of course, once that team is on the surface they will not be able to leave, but they don\'t know that and there is no reason to tell them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '183', 's_9f7da911', 'The Empire will prevail. You\'re clear to leave. Better luck this time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '184', 's_a2d93e75', 'What is it I will be doing for you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '185', 's_a41ab42f', 'The freighter\'s passengers left shortly before the transmission was sent and I must admit I am surprised that freighter has not been destroyed. Perhaps the Velocity are being slack in their duty, or perhaps it is a trap. Either way I care not. You are to recover that freighter for me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '186', 's_a476ea3d', 'Ready and willing, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '187', 's_a4d2d2a4', 'Very amusing. I had hoped that the stories about your ego were exaggerations, but I can see now that they were right on the mark. To be honest, I do not really care what you think of yourself, as long as you do your job.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '188', 's_a4f727f1', 'Of course, I have my own theories on what those phrases mean but I am very intrigued to find out what you think they mean.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '189', 's_a67cea0d', 'Whose authority?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '190', 's_a6916467', 'I suggest you simply focus on finding me any information that an officer can produce. If you pay attention, I am sure all will be revealed in time. Now you had best get on with my patrol. I am not well known for my patience.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '191', 's_a74ee1d8', 'I appreciate the work you have done for me in the past but really have nothing more for you to do. Unless you would be interested in some duties that I still need help with.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '192', 's_a84b9540', 'I never assumed that the likes of you would. That is why I think you will at least stand a chance in bringing my targets to justice as my stand in.  ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '193', 's_a8fbb11', 'Really? Perhaps you have learned to read between the lines. The Emperor is most pleased with the outcome of this situation. You have done very well.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '194', 's_aa1396ab', 'That is a risk I am willing to let you take. One way or the other get me that freighter. Show me the vaunted skill you are constantly claiming your possess. Good luck to you, %NU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '195', 's_ae99b26e', 'So what am I am going to be doing?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '196', 's_af6c1480', 'An officer. Check.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '197', 's_b19d5f06', 'Just because I might be lax on the discipline does not mean that I will tolerate any lip from the likes of you. I suggest you do your best to stay in my good graces. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '198', 's_b2b5f713', 'The Clone Wars? What threat could these old criminals possibly be?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '199', 's_b2f1386a', 'I will crush our enemies.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '200', 's_b2fb027c', 'No. They evacuated the vessel for parts unknown before the message was sent. I am highly surprised that the Velocity did not destroy the freighter, or perhaps they just haven\'t gotten around to it yet. You must get me that freighter.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '201', 's_b3155267', 'A new group of mercenaries, calling themselves the Velocity, have moved into the Dantooine system. I have reason to believe that they are connected to my ultimate targets but more investigation will be needed in order to confirm that suspicion. But for now I need someone to start reducing the numbers of these Velocity mercenaries to a more manageable level.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '202', 's_b31fa56c', 'I can handle that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '203', 's_b3a57003', 'What makes you think that I would share any of my secrets with you? We are not friends. You are a tool and I will use you in any way that I see fit. A craftsman does not explain what he is doing to his wrench, does he? Be thankful for what I do tell you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '204', 's_b3f97e26', 'I get the feeling that soon you will have to. Of course, that will not happen until I can have a chance to look into this new information you brought to me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '205', 's_b456d97d', 'It\'s good work. The Emperor will appreciate your efforts.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '206', 's_b4712f35', 'I\'m afraid not.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '207', 's_b4876691', 'What is your command, my lord?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '208', 's_b4a065ba', 'A fanatic and a skeptic. What other surprises do you have in store for me? Do not bother to answer that question. I am sure I will find out in time. For now, it is enough that you do what I say without question. I will have need of you later, but for now you may go. Come back to me when you think you are ready to undertake my task.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '209', 's_b52941c3', 'Now it is time to put your training to good use. The time has come for us to find out more about who these Velocity mercenaries are. I have my suspicious about who is pulling their strings but I must be certain before I act.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '210', 's_b5e3a1', 'What can that tell you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '211', 's_b66c783f', 'Get lost, %TU.  I don\'t want to be seen talking to you.  Before you know it, people will think that I am a traitor, too.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '212', 's_b8088c9b', 'Why can you not follow them?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '213', 's_b881db2e', 'I hate smugglers. I\'ll take that job.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '214', 's_b8896d92', 'And how do you expect to find this officer? Just fly up into space and hope that one is waiting for you? You are eager enough but you should think before you speak up.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '215', 's_b94e3a35', 'Your mission\'s not yet complete.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '216', 's_b9c73c6d', 'I am ready for whatever you need me to do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '217', 's_bb26b12d', 'Who is it you are actually looking for?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '218', 's_bb5f90b1', 'You mean you didn\'t know for certain that they would be there?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '219', 's_bbed80fc', 'They won\'t last for long.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '220', 's_bde3268d', 'Of course. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '221', 's_be6c531e', 'Clone wars? So our feared enemies are a bunch of old men?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '222', 's_beb66be', 'What duty mission would you like to undertake?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '223', 's_beec51b5', 'As long as you work for me, you will go where I say, when I say, and you will do what I tell you to do. Until that time comes you have no need to know, so let us just keep it that way. For now, I was simply interested in meeting my new pilot face-to-face. I have seen what I need, that is all. Come back and see me a little later. Perhaps I will have something for you then.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '224', 's_bfe54df0', 'I would like elite TIE guard training.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '225', 's_c0036582', 'What did you tell them?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '226', 's_c06cf370', 'I am but a simple instrument of the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '227', 's_c0bee78', 'I have the feeling that you will do just fine. The Emperor\'s blessing be on you, %NU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '228', 's_c0dc404f', 'I always do my job.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '229', 's_c17d1a82', 'I would like to learn about experimental TIE vessels.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '230', 's_c19cc229', 'Three. Nej\'a Bertolo, Onli Shi\'en, and Tiberus Anderlock. Every one a very dangerous individual. They were my targets and now they are yours. You are going to have to be the one to finally bring about their demise.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '231', 's_c1ece7d0', 'Yes, Lord Insurgent. I will not fail you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '232', 's_c4a2f234', 'Completely understood, Insurgent.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '233', 's_c4c33621', 'I\'ve never seen mercenaries that good!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '234', 's_c610ccb7', 'I have been ordered to have you moved under Nial Declann\'s command. I am not very used to taking orders from one quite so low but since I am through with you I see no reason to fight him on this. You are to report to Theed palace and present yourself to Nial immediately.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '235', 's_c82e9a2f', 'Yes, please.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '236', 's_c93f02d5', 'It is quite simple. You will be going where I say, when I say, and doing what I say. Until that time comes you have no need to know, so let us just keep it that way. For now I was just simply interested in meeting the pilot who would be working for me face to face. I have seen what I need, that is all. Come back and see me a little later, perhaps I will have something for you then.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '237', 's_ca2b4f36', 'I can capture one and we can \'question\' him together.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '238', 's_ca6d4505', 'No, %NU. You don\'t need my help. We would do well together, but you are the one for the job. You can do this. Focus your mind. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '239', 's_ca776e30', 'Who are you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '240', 's_cafb4d3', 'My targets are criminals that have eluded Imperial justice since the days of the Old Republic. The Emperor has been searching for them for a very long time, finally discovered a lead with these Velocity mercenaries, and sent me to deal with these criminals.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '241', 's_cb55c240', 'I have formulated a patrol route that I need you to follow. While on this patrol you will scan the region for signs of a Velocity officer\'s vessel. I am hoping that an officer will contain valuable information that will allow us to dig deeper into uncovering who they are working for.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '242', 's_cbf9f5e7', 'You are doing well, Pilot. Are you ready for your next assignment?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '243', 's_cc949f12', 'First, I think it is time for me to better explain what my mission is. I am afraid that I am going to have to place much of my responsibility on your shoulders because of circumstances out of my control. It will become far more dangerous for you from here on out.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '244', 's_ccefd6f4', 'It would be better if we had a live captive.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '245', 's_cd02ac28', 'I could use the help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '246', 's_cdcb7b73', 'Are you with Black Epsilon, sir?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '247', 's_ce9d7377', 'It is the Emperor\'s prerogative who he takes favor with.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '248', 's_cf2329c0', 'You mean, WHEN you locate the officer. Naturally, I want you to inspect the officer for any information that we can use to help us track down the people who hired the mercenaries. I could care less about the Velocity...I just want the ones who hired them. Now get on with your patrol. I am not known to be a patient man.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '249', 's_d129b116', 'What! Those were Jedi?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '250', 's_d1579156', 'You may call me Insurgent. And let us just say that, much like you, I only have the Emperor\'s best interests at heart. I, too, live only to serve.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '251', 's_d26b0750', 'The last thing we want to do is to make it readily known that these three have survived for so long. It would be nearly impossible to conduct a large scale operation without drawing unwanted attention, especially from the Rebellion. If the Rebellion got word of these three they would most certainly reach out and try to offer their support. As far as the rest of the galaxy is concerned these three died during the Clone Wars.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '252', 's_d26d7ae1', 'I don\'t think I will take a duty mission at this time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '253', 's_d2794755', 'One and the same. One of the original members of the twelve Grand Admirals of the Imperial Fleet, member of the High Council, and personal favorite to the Empire. Overall a very unpleasant man. But it is never wise to make enemies when one can avoid it, which is why you are going to report to him immediately.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '254', 's_d2ae8b94', 'How tough can they be?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '255', 's_d4500734', 'You have done very well. There are not many people in this entire galaxy who can out-pilot one Jedi much less three.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '256', 's_d460a728', 'While I am looking into the latest information that you have brought to me, feel free to take some duty missions or...do whatever you wish. Frankly I don\'t care which, just as long as you become available when I need you again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '257', 's_d56d9c26', 'What were in the orders from the Velocity?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '258', 's_d70dba34', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '259', 's_d7e41231', 'Good luck. I\'ll be watching you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '260', 's_d7fc6920', 'He didn\'t expect us to be able to find him in Dathomir. His lack of vision will be his undoing, but it is unwise to question his intelligence. He is a formidable foe and he will be made even more so now that he is cornered.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '261', 's_d832aba0', 'Are you having any luck?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '262', 's_d9059da1', 'Hmmm...then where did the criminals go?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '263', 's_da6d3376', 'Yes. The vessel is unmanned, but I think it may still contain what I am looking for. Be warned that the vessel probably has automatic defenses, but since it is just a freighter I doubt they will be any issue for you. Keep your eyes open though:  If the Velocity meant to destroy the ship and haven\'t yet, your taking it will draw them out in a hurry. Good luck, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '264', 's_dbfcbbf', 'Haven\'t I already been doing your job?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '265', 's_dcc126b1', 'Just doing my job.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '266', 's_dcdce64', 'Listen to me. Our targets must be stopped. They are our greatest enemy! They have the potential to be a major thorn in the side of the Empire unless we take care of them now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '267', 's_dce56ebd', 'I\'ve been expecting you. And you are late. There is much to be done. Are you ready?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '268', 's_dd67013', 'What does that mean?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '269', 's_e031ecbb', 'That is why I like using Black Epsilon pilots. Always thinking unlike your standard neolithic naval pilot. You are correct in your assumption that Insurgent is not my real name. Of course, if you attempt to find out my real name I will be forced to kill you and neither of us want that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '270', 's_e08f9706', 'The message was essentially all in code. There isn\'t much chance that we will actually be able to find out what it actually told the Velocity. It contained a few phrases, such as, \'the enlightened walks with rancors\' and \'keep the skeletons walking the path of misdirection\'. Basically if you do not already know what the code words mean you probably will never find out what is being said.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '271', 's_e0aca724', 'One has to look beyond the words of the message itself. The transmission originated from deep in the Dantooine system, so that is a place to start my search. Also it is a good bet that this message came from whoever hired the Velocity, since the message does appear to be instructions of some sort.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '272', 's_e1d956f4', 'Once you locate the officer, search his vessel for any information that will progress my investigation forward. Now, get on with that patrol. I am not well known for my patience.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '273', 's_e244a0f9', 'Or it could be a trap.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '274', 's_e37138ed', 'That is the way it is. I suggest you show some caution when recovering that freighter. I am surprised that the Velocity have not destroyed it already but I would imagine that you taking it will cause them some distress. Make sure that you get that freighter back to me intact. You are dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '275', 's_e3a57b46', 'Now it is time to put your training to good use. The time has come for us to find out more about who these Velocity mercenaries are. I have my suspicious about who is pulling their strings, but I must be certain before I act.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '276', 's_e3d62b89', 'Understood. I will leave you to your work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '277', 's_e3e51927', 'I\'ve read your report. I know how good you are. These mercenaries are surprisingly resilient, if they can fight you off.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '278', 's_e477225c', 'Who are your targets?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '279', 's_e4de90b3', 'I don\'t need your help! I know how to fly.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '280', 's_e5dc0118', 'The transmission originated from deep in the Dantooine system, so that is a place to start my search. Also it is a good bet that this message came from whoever hired the Velocity, since the message does appear to be instructions of some sort.  For now I will leave you to your own devices. You can continue to take some duty missions from me or go on leave, it really doesn\'t matter to me. Once I figure out my next move I will let you know.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '281', 's_e705e25f', 'Good work, %NU. You managed to gather me some information that might turn out to be very important. I believe that this will lead us on the right direction.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '282', 's_e7575630', 'I need to find out more about the Velocity and more specifically who hired them. As I said before, I have a good idea as to who their benefactor is, but I have never liked following hunches. You are going to get that information for me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '283', 's_e76b9ab1', 'I know what to do; I just need to do it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '284', 's_e7e4fdc5', 'Do not put to much faith into words, even if they come from the Emperor. Action is the only true way of gaining power and the Emperor only respects people of action. Keep that in mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '285', 's_e8da36ce', 'You could say that. There are three of them. Nej\'a Bertolo, Onli Shi\'en, and Tiberus Anderlock. Every one a very dangerous individual. They were my targets and now they are yours. You are going to have to be the one to finally bring about their demise.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '286', 's_e93d5171', 'Then it shall be done.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '287', 's_ea248fbf', 'If it is the Emperor\'s will, than I shall do so.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '288', 's_ea47a197', 'The freighter you recovered told me much more than was intended. My targets were careful but not careful enough. Their mercenaries force really made a mistake by not destroying that freighter after it sent its final transmission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '289', 's_eba35f17', 'When do I leave?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '290', 's_ebbe675b', 'No problem. Just point in the right direction.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '291', 's_ed88b4e2', 'Then it shall be yours.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '292', 's_edc55445', 'I gave this job to you for a reason. You\'re my best pilot. Do you have  the guts to go back out there?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '293', 's_f1d64636', 'Ah, yes. I am even more deadly than before!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '294', 's_f2f68275', 'All in good time. Right now I have a job that may not require any crushing of anyone. Of course, that is a best case scenario and when has anything gone according to that?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '295', 's_f4749d1d', 'Impressive resume. This might actually be a challenge.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '296', 's_f74915b8', 'How many of these criminals are there?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '297', 's_f83729d0', 'I can do better.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '298', 's_f8880079', 'Welcome back. We have the orders you retrieved from the Velocity in our possession and I will be investigating the freighter shortly. So far, you have performed better than I expected you to be able to.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '299', 's_f8b02865', 'What do I do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '300', 's_f97238d8', 'It is quite simple. You will be going where I say, when I say, and doing what I say. Until that time comes you have no need to know, so let us just keep it that way. For now I was just simply interested in meeting the pilot who would be working for me face-to-face. I have seen what I need, that is all. Come back and see me a little later, perhaps I will have something for you then.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '301', 's_fad3519e', 'What do you need me to do, si... Insurgent?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '302', 's_fc7e0cf7', 'So, when do you want me to finish him off?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '303', 's_fd2777e5', 'Ah, one of those. I have worked with people like you in the past and I haven\'t had any difficulties. I just require that you keep your mind on the task at hand and do not let your fervor cloud your judgment. As long as you are able to do that, we shall not have any problems.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '304', 's_fd6077a1', 'What was in the message?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '305', 's_fde2347a', 'I would highly suggest that you only refer to him as Grand Admiral or better yet...sir. He is one of twelve top navy men in the entire galaxy and a definite favorite of the Emperor, though I have never quite figured out why...perhaps one day. Regardless, I have accepted his transfer and suggest you get to Theed in a hurry.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '306', 's_fe20f03e', 'Wait! I still want to know is who you are.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_tier4.stf', '307', 's_ffcc3ac9', 'Let us just say that these are \'special\' criminals who at one time threatened the Emperor. After this much time we finally have a chance to deal out justice on them and cannot allow them to escape again. Do you understand?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '1', 'do_not_edit', 'The English version of this file (corellia_imperial_trainer_1.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '3', 's_10499a33', 'Why trust me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '4', 's_1091c96a', 'I\'m done for now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '5', 's_11816971', 'Alright. I support the Empire. What can I do to help?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '6', 's_11bb9c43', 'I was told you are looking for a pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '7', 's_11c38900', 'I have discovered that the Rebels are training X-Wing cadets in Corellian space. The Rebels are quickly working to recruit new pilots to their cause. Destroying the cadets will cripple that effort. Corellian citizens will think twice about signing up if the Rebels can\'t even protect their young and inexperienced.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '8', 's_12d7f011', 'This is a serious operation, hon. Get a drink and chill out. Come back when you want to try this thing again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '9', 's_1345d43f', 'Excellent. You seem to understand what it takes to work with Black Epsilon. Our superiors will be pleased. Here\'s a little payment for the operation.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '10', 's_13bbdfe7', 'I\'m not so sure about this...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '11', 's_13e807c3', '[Destroy Duty] I\'m interested in hunting more B-Wing Prototypes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '12', 's_15588832', 'I need some time to study the B-Wing operational logs.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '13', 's_15799d85', 'For the Emperor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '14', 's_15d6b9a5', 'Ground ops is working on the sabotage plan and I haven\'t received word from Black Epsilon regarding new space operations. For now, I have a few duties you can work on while we wait.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '15', 's_16a81f', 'Well, sweetie - after you find the starport, and use the starship terminal to launch into space, you\'ll need to finish your mission... I thought we were clear on that, hon.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '16', 's_192ddc14', 'Are you going to train me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '17', 's_1930ad3a', 'And Black Epsilon is that dagger?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '18', 's_19ff301f', 'What kind of training?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '19', 's_1acdc4ba', 'No, I\'d rather not.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '20', 's_1adbadc4', 'I\'m ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '21', 's_1bf00a8', 'When the Emperor desires to resolve a problem and the overt use of force is not politically feasible, he calls upon us. Black Epsilon.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '22', 's_1ca122f0', 'What\'s on the transport?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '23', 's_1cca067', 'It\'s a little big...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '24', 's_1d0a2959', 'Hah, that\'s what you think! It\'s your choice, but you may not get this chance again. I suggest that you take it while you can.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '25', 's_1d1dfdd3', 'Just remember that sometimes you need to shoot first to survive. Our superiors are pleased that we\'ve proceeded this far in our operation. Here is your payment plus a bonus. I also had a TIE pilot flight suit made for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '26', 's_1d646fae', 'Oh is that a fact? I don\'t want to hire someone with a lot of baggage. If you\'re too hot with CorSec you can look elsewhere.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '27', 's_1f78cffa', 'How do I join Black Epsilon?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '28', 's_1ff4247a', 'I will not fail.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '29', 's_219f04cc', 'For the Emperor, indeed. Here is your pay for the B-Wing mission. I\'ve also gotten a hold of a TIE pilot helmet. Unfortunately, these standard issue helmets are not suited to meet your, uh... cranial proportions. Nevertheless, you\'ve done an admirable job and Black Epsilon has taken note of your success.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '30', 's_23580c13', 'Here is your pay for the B-Wing mission. I\'ve also gotten a hold of a TIE pilot helmet. Unfortunately, these standard issue helmets are not suited to meet your, uh... cranial proportions.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '31', 's_240aee17', 'Just remember that sometimes you need to shoot first to survive. Our superiors are pleased that we\'ve proceeded this far in our operation. Here is your payment plus a bonus. I also had a double bandolier made for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '32', 's_25042a7a', 'I will not fail you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '33', 's_2559ccf6', 'Welcome back, babe. Glad to see you\'re still with us.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '34', 's_27c9aa85', 'Mmm, all worked up and ready for another go. I like that. As it happens, I do have another assignment for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '35', 's_28490f70', 'I ran into some trouble, but I\'m ready to try again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '36', 's_28d99e75', 'Come back when you want to try again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '37', 's_293e6269', 'Did you take out the B-Wing prototype?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '38', 's_29e5ec7', 'I\'d like to request a mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '39', 's_2c9c30a0', 'Can you train me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '40', 's_2d4c3812', 'When I get back, I expect some answers.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '41', 's_2d5d4bf0', 'I\'m interested in a duty.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '42', 's_2db4d111', 'Then don\'t waste my time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '43', 's_2df5ef77', 'Go meet up with that transport and escort it to safety. Report back to me when you\'ve done the job.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '44', 's_2e48b5f1', 'It\'s no secret that Imperial pilots utilize some of the best starfighter tactics the galaxy has ever seen.  I can get you started on the road to mastering these uniquely Imperial procedures.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '45', 's_2ea86030', 'Duty missions are open ended assignments. They end when you choose to end them. For example, if I assign you the task of hunting B-Wing prototypes, you can destroy as many as you want. You can end the duty any time from the mission entry in your datapad. Perform duties to earn additional pay and experience.  Once you\'ve received enough experience, I can teach you new skills.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '46', 's_2efb24e9', 'You\'re an Imperial pilot? Too bad you\'re already assigned to another unit. I\'d be sure you\'d make a fine addition to the Epsilon. What brings you here?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '47', 's_2fb75072', 'Swear? That seems a little extreme.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '48', 's_32ab69ab', 'This sounds excessive...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '49', 's_32c46e00', 'Where should I go?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '50', 's_32fca1d6', 'Whatever. Does this job pay?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '51', 's_334f003c', 'Nothing to it. Now, you owe me some answers.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '52', 's_33a8fcd8', 'I can, hon, but I\'m not going to... not yet.  I need you to do some things for me first.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '53', 's_33d3f25d', 'Hon, you are really shaping up to be a fine agent. Keep sharp. I\'ll have more work for you soon.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '54', 's_34089768', 'Sounds like a fun job.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '55', 's_34ac7110', 'If someone shoots at me, I shoot back.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '56', 's_34d65199', 'Hey cutey. I see you made it back in one piece. I\'ve already heard the news. You managed to take out an entire Rebel security patrol. Nice work. Here\'s your payment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '57', 's_3599ff41', 'Pilot, you\'ve exceeded my expectations. Black Epsilon was right to recruit you. With any luck, the Emperor\'s plans for this system will be fulfilled within the year. Come back when you are ready for more work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '58', 's_36eb0383', 'Took out enough of them to send a message.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '59', 's_386d47c9', 'I\'m more interested in the pay than the politics.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '60', 's_38909ce3', 'You can count on it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '61', 's_3ac44381', 'Failure at this point is only going to encourage the Rebels to invest further in experimental ship designs. You need to get back up there and bag a B-Wing. Show the Rebels that technology isn\'t going to be their salvation.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '62', 's_3b421b4c', 'When the mission is over, and you\'re all safe and sound, go to the nearest space station. You\'ll need to get landing clearance from the space station - so comm the station commander and tell her you\'d like to land.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '63', 's_3b6083ca', 'Don\'t get too confident. The B-Wing is apparently one tough bofa treat. Blasters, missiles, good sensors and visibility. Outmaneuver her and you\'ll win. Our superiors think this assignment is a gamble, but I put in a good word for you. Don\'t let me down.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '64', 's_3bcb2c4a', 'Imperial Intelligence has already captured extensive documentation on the ship\'s design, so we don\'t need to capture a working prototype. We\'d prefer to simply send a message to the Rebellion: \'We know your secrets and they don\'t scare us one bit\'.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '65', 's_3c26f38a', 'What is Black Epsilon doing here?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '66', 's_3c33e829', 'Report back to me when you\'re done and we\'ll talk about the next step.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '67', 's_3ddbe3ce', 'Excellent. Let me know when you\'ve done it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '68', 's_3e77e17d', 'I appreciate all you have done for me but I am ready to move on.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '69', 's_3e8986a7', 'You aren\'t exactly doing a good job of reassuring me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '70', 's_3e935b51', 'Suit yourself, hon. Come and visit again sometime.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '71', 's_407c41b9', 'They work through me and only me. The less you know, the less you tell when you get caught.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '72', 's_41d4922', 'As I was saying. The Emperor can\'t order a direct invasion of Corellia. He needs a politically acceptable reason to make a move. My job is to provide that reason.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '73', 's_41e7fbb3', 'That would be the point, dear. The destruction of a small Rebel force should stir things up a bit. The Rebels will probably start flying more patrols, putting up a more obvious presence. Exactly the kind of thing we need to betray Corellian neutrality. If anyone questions you, say you defended yourself against a hostile force while on patrol duty.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '74', 's_423667ed', 'Fine, I will swear. I swear to serve the Emperor, to uphold his law, and to do his will without fail.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '75', 's_42a16c5f', 'Some very nasty and very illegal explosive devices. We need to get them planet-side so our ground ops team can wire up a little demonstration of Rebel fanaticism.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '76', 's_42dfe6db', 'Indeed. The Empire rarely enlists non-Humans as pilots, and so we are poorly prepared to equip someone such as yourself. But do not be discouraged. Your current standing in the Imperial Navy is a testament to your abilities.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '77', 's_4358efe9', 'Where is my ship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '78', 's_438b2349', 'So far you\'ve been flying a basic TIE.  The normal TIE is quite a bit more complicated than that.  For one thing, you\'ll find that you can install better components on it... better weapons, better armor, and so on.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '79', 's_43fe629', 'Oh and be careful. I\'d hate to see that cute face get a scratch.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '80', 's_444df4b9', 'You can learn about Imperial technology, TIE weapons, Imperial operations, or astromech management.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '81', 's_45c1b2ad', 'Here\'s your money for that last job. You know, hon, Black Epsilon is a political organization. We want members who understand the delicate balance of galactic power. I\'m starting to have doubts about our...compatibility.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '82', 's_46405dbf', 'You\'ve exceeded my expectations. Black Epsilon was right to recruit you. Come back when you are ready for more work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '83', 's_4738e99f', 'How do I find a space station?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '84', 's_485d8416', 'Yes...it did feel right.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '85', 's_48f07357', 'No, I\'m not a killer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '86', 's_4acb4a79', 'How perceptive! Yes, I am a Zabrak. The Imperial policies don\'t apply to me or anyone with the agency.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '87', 's_4afb3952', 'A minor skirmish between an Imperial pilot and a Rebel patrol isn\'t exactly the kind of thing that will motivate Corellia to run to the Empire. Particularly not when the Empire loses. I want total carnage. Bait the Rebels into attacking you and smash them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '88', 's_4b074298', 'Come back when you\'re done with your mission. You can abort your mission if you want to start over.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '89', 's_4b5d9495', 'Alright. What\'s the job?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '90', 's_4bb6ea28', 'Your ship is parked at a starport. I\'ve given you the control codes for a basic TIE fighter by uploading them to your personal datapad. Check your datapad to review your ship status whenever you\'d like, sweetie.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '91', 's_4d31f286', 'Are you going to train me now?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '92', 's_4dc7104e', 'Good, I have plenty of work for you. Pirate activity in the area is still fairly high. There are plenty of pirates to hunt or you could help escort transports moving supplies.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '93', 's_4ecd165f', 'So now I\'m an Imperial Pilot? Just like that?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '94', 's_506c3428', 'You know your history, I\'m impressed! Yes, the Mandalorians tried to build an empire through war alone and were ultimately defeated. They didn\'t understand manipulation. To achieve victory you sometimes have to offer the embrace of peace while holding a hidden dagger.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '95', 's_51db72fc', 'We need to make sure that we keep their military power in check while they increase their activity. Stirring up the chuba nest isn\'t going to do any good if the Rebels end up fortifying Corellia.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '96', 's_53c3dd52', 'Well, aren\'t you a cute one. My name is Hakasha Sireen. Is there something I can do for you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '97', 's_540bd789', 'Apparently the Rebels are testing a new prototype starfighter called the B-Wing. It\'s a heavy assault fighter, loaded with weapons and layered in armor. B-Wing prototypes have been spotted in the Corellian system. We want you to find one and destroy it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '98', 's_54328ce3', 'I won\'t swear to serve the Emperor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '99', 's_549eddbe', 'Grounded?!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '100', 's_54eaa333', 'For the Emperor, indeed. You\'ve done an admirable job and Black Epsilon has taken note of your success. Here is your pay for the B-Wing mission. I\'ve also gotten a hold of a TIE pilot helmet. It\'s pretty menacing, should make you feel more the part for these operations.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '101', 's_55f35dd9', 'I\'m always up for a challenge.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '102', 's_56b5e7e6', 'Black Epsilon has authorized me to give you special instruction. Field training that will make you a more effective agent.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '103', 's_577aca95', 'I\'m interested in weapons.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '104', 's_593d4b61', 'I understand you\'re angry but...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '105', 's_593de03f', 'You\'re grounded, sweetie.  Reports are you turned on the Empire.  You haven\'t been fighting for the Rebel Alliance, have you?  Please don\'t tell me it\'s true!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '106', 's_59a0de2a', 'First you need to go to the starport. Once you get there, you will need to go inside and look for a \'starship terminal.\' They tend to be in the big main area right past the foyer. When you find a terminal, use it to \'launch\' your ship into space.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '107', 's_5a48897a', 'Hey there, hon. Ready to talk business?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '108', 's_5bd69df6', 'What do you need me to do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '109', 's_5c5f5b06', 'Not just yet, %NU.  You still have a few more assignments to complete before I\'ll train you.  Now, I promised to answer questions for you... so what do you want to know?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '110', 's_5da44265', 'I want some training.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '111', 's_5dd3c672', 'Report back to me when you\'ve taken out the prototype ship. Good luck, hon.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '112', 's_5e109aee', 'So you should be. There are very few active primary operatives in Black Epsilon. The Emperor himself is putting his faith and trust in you. I suppose it isn\'t necessary for me to say that failure would be punished harshly.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '113', 's_5e3cf461', 'I\'m interested in Imperial technology.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '114', 's_5ebce168', 'Actually, I\'d like to do this later.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '115', 's_614b71f0', 'I see...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '116', 's_62027e5', 'I\'m a supporter of the Empire. What can I do to help?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '117', 's_62ce5e6e', 'Hiya hon. It\'s very sweet of you to come back for a visit but you no longer work for me. You should go see Prisk.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '118', 's_6372912d', 'He\'s toast. Not such a tough ship after all.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '119', 's_644da0b1', 'Then I suppose I don\'t have a choice.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '120', 's_64a94075', 'Ah, no...it\'s a tough ship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '121', 's_659a2365', 'My pay?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '122', 's_665a7735', 'I am honored.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '123', 's_66f5a5c0', 'Glory for Emperor Palpatine! Go celebrate your promotion and come back when you\'re ready to get started on the next phase of your development.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '124', 's_67b99efb', 'Aren\'t we the tough one? So what do you want to know?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '125', 's_67ded17', 'When do I get to meet these superiors?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '126', 's_67e76bed', 'Yes, please. I really need a new ship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '127', 's_683cce3a', 'It is about time you sought a greater commitment to the Empire.  Seek out an Imperial Recruiter to join.  Keep in mind - even as a covert operative - you could be opening yourself to attack when you least expect it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '128', 's_6942389e', 'And you\'ve earned it!  I\'ll make a deal with you, %NU.  Do just one more assignment for me, and I\'ll train you to be a better starfighter pilot.  Are you up for a challenge?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '129', 's_6a128385', 'What is a duty?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '130', 's_6a750265', 'Good. That kind of confidence is what I\'m looking for. I represent an agency interested in seeing the Imperial presence in this region of space increased. I think you can help me achieve that goal.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '131', 's_6d2bb136', 'I suppose you have a point.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '132', 's_6f5dc45e', 'Good to hear it. Let me know when the job is done.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '133', 's_6fb821bb', 'Oh, hon, you\'re no fun. Do this job and you\'ll get your answers. I\'ll have more work for you, too. Obviously one little incident won\'t be enough to achieve our goals. Come back and talk to me when you\'ve killed the Rebels.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '134', 's_702795f8', 'That\'s all you have to say about it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '135', 's_70edc281', 'Why would the Empire work with a Zabrak?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '136', 's_710daa61', 'I don\'t need any training.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '137', 's_71df5543', 'No luck with the Rebels eh?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '138', 's_727f229', 'Corellia has declared neutrality in the so called \'Galactic Civil War.\' At the same time, they are host to a wide range of Rebel operations, including the protection of known collaborators. The Emperor doesn\'t like this situation.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '139', 's_72fd1d8c', 'So I heard. More unfortunate casualties. I\'m glad to see you didn\'t hesitate in eliminating them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '140', 's_7469594f', 'Sorry, hon.  There\'s nothing I can do until you improve your standing with the Empire.  You need to prove you\'re still on our side!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '141', 's_747c5a79', 'Ah, like Mandalore.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '142', 's_761039fa', 'I want to enlist with the ground forces');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '143', 's_77e48d5b', 'What do you mean?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '144', 's_7839f2d4', 'Consider them dead.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '145', 's_786f3cf7', 'I want to study something else.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '146', 's_78dd7bba', 'Look on the bright side, at least I won\'t make you call me \'sir\'. Shall we get down to business?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '147', 's_7912ee34', 'Yeah, sorry, hon. IF you get caught. Come back when you are ready for the next step in our operation.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '148', 's_79ab4bbe', '[Escort Duty] I\'m interested in escorting transports.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '149', 's_7a80cd06', 'I\'m ready for the next step in the operation.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '150', 's_7b9b2577', 'Swear to the Emperor? I can\'t do that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '151', 's_7bff5a7f', 'You don\'t have the experience for training, yet.  Perform some more duties.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '152', 's_7c1600a', 'What\'s the next step?  I\'m ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '153', 's_7c7f3198', 'This doesn\'t make sense. The Empire has a policy against hiring non-humans and you\'re a Zabrak.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '154', 's_7c8aca1b', 'Good choice.  Report back when you are ready for an assignment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '155', 's_7dad1c0c', 'So what do you want to know?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '156', 's_7e4287eb', 'All in good time, hon. Show me you\'re serious and then we can share all the dirty little secrets.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '157', 's_7f8a87c', 'Alright, report back to me when you are ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '158', 's_7f96a397', 'On second thought. No thanks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '159', 's_801033a0', 'Destroy it? Why not capture it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '160', 's_80d8485c', 'I\'m on it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '161', 's_81a6747', 'Before the destruction of the Death Star, we primarily operated in the Outer Rim, softening new worlds for Imperial expansion. Since the rise of the Rebellion, we have been recalled to the Core Worlds.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '162', 's_82040511', 'After a fashion. There\'s plenty of me to reveal later. I want you to fly a patrol in low orbit near Coronet. Use an Imperial TIE fighter. Show the flag. Most importantly, attract the attention of the Rebels. The Rebellion is a violent terrorist organization. They won\'t be able to resist a lone TIE strutting about in enemy territory. When they move in to shoot you down, eliminate them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '163', 's_83980c8d', 'Listen to the lesson, then you\'ll get the job. I want to make sure you understand the delicacy of the situation.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '164', 's_83dc5be7', 'Here is your pay for the B-Wing mission. I\'ve also gotten a hold of a TIE pilot helmet. It looks pretty menacing, should make you feel more the part for these operations.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '165', 's_8417be65', 'Actually, I\'m interested in keeping my skin.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '166', 's_845e6ef5', 'I swear to serve the Emperor, to uphold his law, and to do his will without fail.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '167', 's_8467c710', 'Ok');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '168', 's_85dd7d6c', 'How do I get back?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '169', 's_86c66182', 'What\'s the next step?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '170', 's_87f86e3e', 'What agency do you work for?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '171', 's_885decf4', 'My boys in ground ops say they received the package. Good work. They\'re going to be moving forward with the dirtier side of the plan soon.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '172', 's_8879f039', 'Which means?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '173', 's_88da6887', 'I ran into some trouble.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '174', 's_88ffee3a', 'Report back to me when you are ready for some work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '175', 's_8b179721', 'That\'s all I have to say for now. Swear to the Emperor, prove your loyalty to the Empire, and then we can get personal.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '176', 's_8b4aa06c', 'If the Navy invades, other planets loyal to the Empire might turn to the Rebellion. The Emperor built his great Galactic Empire through a deft mix of politics and war. Sometimes, hon, the former is preferable to the latter.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '177', 's_8cf0a3be', 'I don\'t want to hear it. This operation is critical, so we have another transport coming in. Make sure this one arrives.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '178', 's_8dec57cb', 'Glad to see you came with your game face on, because we\'re going to up the ante. We\'ve got a transport coming into the system soon carrying some delicate cargo. I need you to meet this transport and escort it safely to near Coronet orbit.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '179', 's_8fdf4d92', 'I need to figure out what went wrong.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '180', 's_9265da40', 'Sounds like the right move, then.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '181', 's_9288900f', 'I understand.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '182', 's_92a51c16', 'Does this job pay?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '183', 's_943c7ba6', 'I\'d like training.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '184', 's_95797708', 'Hey babe. Did you deal with those annoying little Rebel trainees?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '185', 's_95d0bcb3', 'Your attack on the Rebel patrol was very successful. The attack looked like a failed act of Rebel aggression. Popular support for the Rebellion on Corellia is faltering. The Rebels suspect something\'s up, so they\'re starting to beef up their operations.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '186', 's_9644818a', 'Just like that. Sure, there\'s usually the years of formal officer education, the background checks, the certification trials...a mess, really. We can dispense with the formal stuff. The way I see it, you\'ll either do what I say and prove you have what it takes, or you\'ll die.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '187', 's_96682689', 'Tell me about the job.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '188', 's_96c066fe', 'I need to think about a better plan of attack, first.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '189', 's_97d43fda', 'I get the idea.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '190', 's_995b811', 'A brilliant plan.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '191', 's_9e6137e3', 'I think I recognize you. You\'re on a wanted list I think... I can\'t work with known members of criminal organizations.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '192', 's_9f128498', 'No doubt about that! What else can I tell you about?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '193', 's_a074ac18', 'The trainees shouldn\'t be a match for you, but their instructors might. You are going to have to hunt them down in the Corellian system. Intelligence has not yet been able to locate their training grounds but there are reports of a Rebel station somewhere in the system. Might be a good start. Be on guard and don\'t worry if one escapes and reports you. The Empire is fully justified in destroying terrorist training grounds found within its jurisdiction.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '194', 's_a37bb512', 'As you know, Corellia has been officially neutral in the galactic civil war. Despite this declaration of neutrality and some deft political maneuvering on behalf of the Corellian leadership, a strong Rebel sentiment has taken hold here. Rumor has it that Princess Leia Organa herself is operating a command center in the area.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '195', 's_a45281b6', 'It is excessive. Local civilian support for the Rebellion will be crushed. The Corellian government will be forced to take measures to stop Rebel aggression. The Rebels will plead innocence, all the while the vids report Imperial casualties.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '196', 's_a4c65e0b', 'With just a little more training, you could be using better weapons.  Missiles can really help to swing the battle your way, and this skill can allow you to use some good ones.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '197', 's_a57e647c', 'I\'m interested in astromech management.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '198', 's_a60c6c26', 'Hey hon, glad you stopped in. Word just came down from the Black Epsilon command group: we\'re moving forward with the next phase of our operation. They want you to be the primary operative.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '199', 's_a65a372a', 'They are all that way. The helm contains an inertial dampening system that helps prevent blackouts during tactical maneuvers as well as various optical systems that integrate with the standard TIE flight interface.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '200', 's_a8d68602', 'The majority of Imperial military operations are handled by the Navy and the Army. Both are massive, bureaucratic organizations. They destroy their enemies utterly, but sometimes a lighter touch is needed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '201', 's_aac65592', 'I feared as much. I hate to lose someone with your obvious...talents, but the Emperor is in need of pilots with your skill. Prisk Kith\'Vys has mentioned that he could use a good pilot, so I suggested you. He is roaming around here somewhere, just tell him that I sent you. Don\'t be fooled by his gruff, straightforward manner...he is really just a softy. Keep safe cutie.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '202', 's_ac893f3a', 'I\'m here for a job, not a political science lesson.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '203', 's_ae56cee4', 'If this was a normal job, I might agree. It isn\'t a normal job. I need someone I know I can trust. The agency I work for is very interested in the loyalty of its employees.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '204', 's_afc85a31', 'Don\'t worry, cutey, I still believe in you.  You\'ll be back in no time!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '205', 's_afec2e39', 'Welcome back. You might like to know that I have mentioned your name to one of my superiors and he is most interested in meeting you. But I would highly recommend that you do not go until you feel yourself ready to take the next step.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '206', 's_aff8083e', 'And I\'d like to give you one, but I\'m afraid that I don\'t have anything you can do right now. Why don\'t you try speaking with your commanding officer?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '207', 's_b00eaf8', 'Getting a weak stomach, hon? This is a war and in war there are casualties. If destroying that barracks brings full Imperial occupation to this system and shuts down Rebel operations here, more Imperial lives will have been saved in the long run.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '208', 's_b016fdf8', 'It\'s your choice, but I recommend you take training while you have the chance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '209', 's_b0f32222', 'Black Epsilon has calculated thousands of permutations on this scenario. The numbers don\'t lie. This will be a key move in bringing Corellia fully into the civil war on the side of the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '210', 's_b1097fe', 'Then don\'t waste my time, hon.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '211', 's_b1f72a19', 'Here you are. Try not to lose this one.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '212', 's_b1fa2372', 'You\'re going to kill your own troops?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '213', 's_b224e12', 'It was a close fight, but I came out on top.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '214', 's_b2e9f062', 'Black Epsilon demands results. You have failed to bring those results. If you can\'t bring yourself to do this job, there are others who will.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '215', 's_b4d32046', 'Did you eliminate the B-Wing prototype?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '216', 's_b789ed1e', 'I\'m interested in a duty mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '217', 's_b7b2ca97', 'We\'re going to destroy the barracks of the 72nd Imperial Army Division, based in Coronet. The explosives are of Mon Cal manufacture...extremely rare. Since the Mon Cal are open supporters of the Rebellion, it will look very much like a Rebel operation.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '218', 's_b9b27823', 'Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '219', 's_bb310cb', 'I gave you a test and you passed. You killed for the Emperor without worrying about the consequences. To be a member of Black Epsilon, you must apply your will totally and act without the burden of conscience. We do what others can not.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '220', 's_be86775e', 'Doesn\'t sound like anything I\'m not used to.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '221', 's_bf5586b8', 'Sorry, I don\'t deal with Rebels.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '222', 's_c006779f', 'What do you need, hon? You\'ve got your assignment, and the control device for your ship is set up in your datapad.  You need to go to the Starport and access the starship terminal to launch into space.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '223', 's_c023d5a9', 'I\'ve heard these rumors before.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '224', 's_c0c1f033', 'If you want to stay alive, no. Report back to me when you\'ve done the job.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '225', 's_c1024ba1', 'I\'m sure you would, hon. As it so happens, I do have some elective duty missions, if you\'re interested.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '226', 's_c10b8471', 'Just like that. I am not big on ceremony so we are not going to worry about that much. I am authorized to grant you a basic TIE. If you want we can smash a bottle of corellian wine against it but I figure that would be a waste of good wine. The way I see it, you\'ll either do what I say and prove you have what it takes, or you\'ll die. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '227', 's_c168cb82', 'Oh you are an ambitious one, %NU, I\'ll give you that.  But I need you to move on to the next step in the operation now.  There\'ll be plenty of time for training later.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '228', 's_c261b36a', 'So you\'re a spy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '229', 's_c261cfae', 'No problem.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '230', 's_c4031ec5', 'Business it is then. I can issue you a new TIE fighter, but only the basic model. Are you sure that is what you want?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '231', 's_c602907a', 'I will not fail the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '232', 's_c6aae4cb', 'Cranial proportions?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '233', 's_c6d9f61', 'I\'d like to study that in detail.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '234', 's_c722467d', 'Don\'t hesitate too long. The ship will be arriving in the system shortly.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '235', 's_c782972e', 'For now, that\'s all the motivation I need. Later, I\'ll want to know you see things our way. Come back when you are ready to work on the next step in our operation.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '236', 's_c7c75ec4', 'Right to the point. I like that. Yeah, it pays. Imperial credits and the opportunity for our relationship to get... closer. Of course, all of this depends upon your discretion. Tell someone about the job and you\'ll be paid with a different kind of currency.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '237', 's_c81a8a32', 'Black Epsilon is one such tool. The Emperor wisely does not invest all of his trust in a single agent. Should we fail, others would eliminate us and take our place. Thus we do not fail.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '238', 's_c890222b', 'I can\'t believe you failed the escort. This operation is crucial. We don\'t have much of the explosive to spare!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '239', 's_ca2a7f20', 'I...well you see...I sort of lost my ship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '240', 's_ca3b3777', 'Hon, you already are a part of Black Epsilon. You swore to the Emperor and you\'ve shown your loyalty.  Your position with the agency is assured. Of course, if I discover that you intend to betray us, your life will be forfeit.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '241', 's_cae1bdcf', 'Well, aren\'t you a cute one. But unless you\'re a pilot, I\'m afraid there\'s not much I can do for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '242', 's_cc282429', 'Nice to see you again hon. Are you here for business or pleasure?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '243', 's_ccf66c81', 'Go on then.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '244', 's_cd5427a6', 'Maybe you should think about what it means to be a supporter of the Empire. Have a good evening, hon.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '245', 's_ce07308a', 'The Emperor is willing to lay aside minor prejudice to work with talented individuals. I have long since proven my worth. You, on the other hand, have much to prove.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '246', 's_cf202613', 'I think you\'ll find loyal service to the Emperor is very rewarding.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '247', 's_d0803d68', 'Good idea. Let me know when you\'re ready to get back up there and try again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '248', 's_d0a7527e', 'I\'m sure you have, hon. So you\'ll also be aware that the Emperor disapproves of this harboring of criminal activity and, naturally, wishes to put an end to it. The problem is that Corellia is a politically valuable world. Any overt move to take the planet by force would alienate her people and push her further towards Rebel ideology.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '249', 's_d1613a21', 'You want me to kill them?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '250', 's_d2d78159', 'Now is not the time to second guess your masters. The fulfillment of our goals is within reach. Remember your oath. The Emperor has willed this and has foreseen a favorable outcome.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '251', 's_d2e23af2', 'What\'s my next assignment?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '252', 's_d537ac2e', 'So witnessed. Congratulations, hon, you\'ve made a very wise decision. For this operation, you\'ll need legitimate credentials. From now on, your ID will indicate your status as a Pilot Initiate in the Imperial Navy. My agency will ensure that the Navy records reflect this...half truth.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '253', 's_d742dc00', 'Now, hon... just what sort of trouble have you gotten yourself into?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '254', 's_d80177b5', 'Sorry, I\'m not interested in helping the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '255', 's_da237511', 'I take my job seriously, babe. Get back out there and do it right this time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '256', 's_da3e5ec3', 'Then why recruit me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '257', 's_dc63dc1a', 'Never mind, I don\'t want any training after all.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '258', 's_dd5ca133', 'I was attacked by a CorSec patrol during the mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '259', 's_dd67013', 'What does that mean?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '260', 's_de514757', 'Few would swear to the Emperor and then kill in his name insincerely. The Emperor knew that in your heart you desired to strike out at your enemies. Your actions prove your loyalty.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '261', 's_df75425', 'Primary operative?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '262', 's_df76b2e8', 'Imperial astromech functionality is typically built into a rugged navicomputer, rather than those annoying sorts of astromech units that the Rebel Alliance relies on.  I can teach you how to utilize some of the basic functionality of the droid interface to normalize your shields, overload your weapons, and that sort of thing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '263', 's_df871c0b', 'Don\'t worry about CorSec. I can handle the heat.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '264', 's_e1ea9c75', 'Why doesn\'t the Emperor just invade?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '265', 's_e3bb98c5', 'The Rebels still have prototype B-Wings in the system. Black Epsilon is paying agents a bounty for any that are destroyed. It helps our cause and it\'s a good way to hone your combat skills.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '266', 's_e574a24f', 'The destruction of the prototype ship and all of the other trouble we\'ve been causing should put the Rebels on high alert. A few more little pushes and they\'ll make the mistake we need to justify a full Imperial occupation of Corellia.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '267', 's_e749e2cd', 'What is this agency?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '268', 's_e99f26f3', 'We are a division of the Imperial Navy, but no record in the Imperial Archive on Coruscant would indicate our existence. We serve the will of the Emperor directly and silently. When political necessity requires a war, we create war. When it requires peace, we silence those who oppose peace.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '269', 's_eb66b332', 'See that you don\'t. Report back to me when you\'ve successfully completed the operation.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '270', 's_ec3c3e1d', 'Sounds easy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '271', 's_ee39efb1', 'Give me credits and I give you results. Nothing else matters.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '272', 's_ee63dfa9', 'Report back to me when you would like a new duty or mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '273', 's_eec1eeb4', 'You still have some work for me to do before I will train you. Okay, hon? Why don\'t you just finish up with what I am asking you to do? Then we will get you all trained up.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '274', 's_ef85b67c', 'That makes sense.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '275', 's_f02cd84d', 'Very well. Take care hon.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '276', 's_f09f78be', 'I love it when you talk like that. The destruction of the prototype ship and all of the other trouble we\'ve been causing should put the Rebels on high alert. A few more little pushes and they\'ll make the mistake we need to justify a full Imperial occupation of Corellia.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '277', 's_f0dfde7f', 'So you claim, yet you killed. In time you will come to realize the righteousness of your actions.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '278', 's_f0fc751b', 'Being a supporter is commendable, but for this job I need to know you\'re loyal. You must swear obedience to the Emperor. Do it now, or walk away.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '279', 's_f1f8a5ca', 'How do you know I\'m sincere?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '280', 's_f4547ad0', 'Your ship navigation system will automatically create a \'launch waypoint\' when you take off. Fly back to this point when your mission is over. However, if you\'re looking for a particular space station - open your space zone map. You\'ll find one there!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '281', 's_f498906e', 'Don\'t worry, if we get the Rebels stirred up enough, I\'m sure they\'ll ship in the big guns. That\'s what we want, after all. A big move by the Rebels would justify a big counter move by the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '282', 's_f6629a2e', 'Don\'t you mean IF I get caught?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '283', 's_f85e6621', 'There is nothing more that I can teach you hon. You need to move on in order to grow.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '284', 's_f866da28', 'Babe, I don\'t trust anyone.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '285', 's_f8b02865', 'What do I do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '286', 's_f93af369', 'You\'re a pilot? Interesting... Yes, I\'m looking to hire a pilot. The job isn\'t easy and you\'ll have to work with minimal information. You\'ll be shot at. Probably have to kill some people, too. Sure you want this kind of work?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '287', 's_fa187bb6', 'They weren\'t much of a challenge.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '288', 's_fad19320', 'But, I...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '289', 's_fb05d4a4', 'It\'s a promotion. Black Epsilon feels you\'ve shown sufficient loyalty and skill to be elevated in rank. You\'ll be in charge of flying mission critical operations in this region. You may work directly with other agents of the Emperor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '290', 's_fb13007f', 'I\'m interested in Imperial operations.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '291', 's_fb5547eb', 'We still have several key transports moving through the region on a regular basis. Most are ferrying operational supplies for us, but some are carrying equipment for other Imperial agencies. Black Epsilon will pay for every transport you escort safely.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '292', 's_fbd7d1ba', 'I think you\'ll like this mission, hon. You get to test your mettle against some new Rebel technology. Real cutting edge stuff, too.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '293', 's_fc27931b', 'Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '294', 's_fe85123f', 'Black Epsilon...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '295', 's_ff1e8d6a', 'I mean on Corellia.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_1.stf', '296', 's_ffba9145', 'I think I can take one out.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '1', 'do_not_edit', 'The English version of this file (corellia_imperial_trainer_2.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '3', 's_116d8b3b', 'What sort of task.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '4', 's_16439d46', 'All in a days work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '5', 's_17780ca7', 'What is the purpose of this craft?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '6', 's_1946850', 'One of the scanning vessels received odd signals from a Nebula in the system. There are possible Rebel craft in the area, but the interference from the Nebula make it difficult to confirm.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '7', 's_1a0f022', '[DESTROY] I\'m looking to dust a few Rebels.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '8', 's_1bbb820a', 'About Alderaan....');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '9', 's_1d1f03a8', 'I am ready to take off.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '10', 's_1d40157', 'No, you are to kill him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '11', 's_1ff4247a', 'I will not fail.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '12', 's_2517a327', 'The Imperial Navy is tied up with other tasks at the moment.  Black Epsilon can accomplish with one craft what would take them ten.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '13', 's_25457635', 'Good, that is all.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '14', 's_25c6e073', 'No, I have other matters to attend to.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '15', 's_25edc644', 'There will be a lone fighter passing near one of the outer asteroid belts.  This fighter will be unmanned though the piloting droid will put up a fight.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '16', 's_26912e4b', 'What should I do with the crew?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '17', 's_2c4789b', 'Understood.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '18', 's_2ee19e18', 'Eager and to the point, I like that. I willing to give you a test run. If you succeed I think that I might have an opening in my squad for you. If you fail...well you will be dead and I won\'t lose any sleep over it. There is a Hidden Dagger heavy transport entering the system that needs to be eliminated.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '19', 's_2fa7f312', 'You must survive.  TechOps is installing a powerful communications jammer in your craft.  This jammer will allow the attacking forces to communicate with each other to avoid suspicion, but will prevent communications from their base. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '20', 's_329f7488', 'Remember, you must stay within range of the ambush point.  We will provide you with a location that will disrupt their hyperspace jumps, it is all the help you will get from us.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '21', 's_345e676a', 'To the Empire it is a very big deal. To show their appreciation, here is a bonus payment. Take some time off and enjoy that bonus. When you are ready come back and see me for some more work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '22', 's_37680b25', 'Let me try again. You won\'t be disappointed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '23', 's_38d28ac2', 'Stay focused.  The fallback plan is to destroy this freighter outright if your assault fails.  We do not have any craft available for a rescue, so don\'t expect one.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '24', 's_392fc531', 'Well done. Consider yourself part of my squad. I do not have time for idle chatter %NU, so are you prepared for your next assignment?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '25', 's_395e48e8', 'Then return when speaking with me will not be such an inconvenience.  I will not look forward to you wasting more of my time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '26', 's_3ab6a9ed', 'We need you to escort one of our scanning vessels on its rounds.  As you can imagine both smugglers and Rebels alike would love to see these craft out of commission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '27', 's_3dc996d2', 'Darmin will be travelling in a YT-1300 named the \'Nerfs Pride\', and will likely have an armed escort.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '28', 's_3e38e6a0', '[ESCORT] I wish to assist the local security forces.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '29', 's_3ec7906d', 'Yes, of course you don\'t.  Nevertheless, you cannot be trusted to fly for the Imperial Navy.  Not after what you did.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '30', 's_3f764ef1', 'Excellent choice.  The Empires advanced craft are worth the effort required to master them.  I have a critical task that you can apply your new-found skills to.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '31', 's_42aa1748', 'Do not waste my time with inane requests. If you want a mission, go speak to your own commanding officer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '32', 's_4391b2de', 'You would hate to ruin my mood by speaking with me, so why don\'t we end our conversation here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '33', 's_4854758d', 'I would like to request a mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '34', 's_4a5ef35b', 'The crew has been accounted for.  Just get the program uploaded.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '35', 's_4cc1cf3b', 'This attack must proceed as planned.  Survive for as long as you can and keep their communications down.  Black Epsilon and your Emperor are counting on you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '36', 's_4ea4b48d', 'Black Epsilon does not wish the Rebels to have any local allies here.  We will use the ship, properly scuttled, to implicate foul play at the hands of the Rebels.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '37', 's_50b5b468', 'The Rebels are flying in a diplomat named Darmin Lerspri, supposedly an Alderaanian official of some sort who happened to be off world when it was destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '38', 's_52841755', 'They will likely have an escort.  This escort must be neutralized.  Then target the freighter\'s engines to disable them.  After they are down, move into position, and upload an autopilot override program that TechOps is outfitting your craft with now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '39', 's_584a90f8', 'You\'ve done an excellent job for me, %NU.  I can see that you are ready for more training.  What are you interested in learning?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '40', 's_59894e66', 'It was nothing. He deserved what he got.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '41', 's_5b204877', 'What can I do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '42', 's_5bfd4371', 'Fine. Have it your way. Get out there and prove yourself worthy of being in my squad. Capture that Hidden Dagger freighter.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '43', 's_5ffdd434', 'I need a hyperdrive!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '44', 's_60a52374', 'I would like to think that you are more skilled at flying than you are at military protocol. However, I do have some duty missions that need tending to. I\'ll save the important missions for my good pilots.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '45', 's_62b8eb46', 'I thought you wanted pilots, not assassins?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '46', 's_63e01bb7', 'How can you fail such a simple task? Get back in space and complete your mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '47', 's_683cbf70', 'The Hidden Daggers were a minor band of highly skilled Assassins founded by a disavowed Flail Cutthroat Lieutenant.  They were never well known, taking only small bounties and have since degenerated into a band of thugs and pirates.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '48', 's_69d014bc', 'What Intelligence do we have on the target?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '49', 's_6a1562ad', 'What do you want?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '50', 's_6d3be6aa', 'What is the task?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '51', 's_6ed7de92', 'What must I do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '52', 's_7090182', 'What?!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '53', 's_71d84d34', 'A future in the Imperial Navy, you mean.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '54', 's_74f9775d', 'I do not have time for pleasantries, pilot. Why have you come?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '55', 's_79375065', 'Dismissed, aye sir!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '56', 's_79813bfb', 'Black Epsilon command wants you to intercept a freighter and inspect their cargo.  You are looking for a Personnel Dossier on Rebel agents working in the Coronet area.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '57', 's_798fbe2', '[ESCORT] I will assist as a merchant escort.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '58', 's_7a33d3dc', 'What will be my involvement?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '59', 's_7ca4fcb8', 'What sort of surprise?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '60', 's_82fd8660', 'I wish to learn about intermediate starship component use.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '61', 's_83993cf3', 'It seems you are an enemy of the Empire after all.  Did you think we would not know of this little... indiscretion?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '62', 's_83bf02e8', 'What sort of back up will I have?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '63', 's_83c3790d', 'How will I do this?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '64', 's_88523765', 'What should I do with the freighter?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '65', 's_8abe1dd0', 'See that you don\'t.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '66', 's_8bf01045', 'I\'ll take the mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '67', 's_8db61bfa', 'Not all tasks can be fit for the history books, but perhaps this one may.  The Rebels are flying in a diplomat named Darmin Lerspri, supposedly an Alderaanian official of some sort who happened to be off world when it was destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '68', 's_8e613fca', 'The Rebels barely know how to pilot their ships. It is no big deal.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '69', 's_8f26747e', 'Prove your devotion to the Empire.  If you improve your standing with the Empire, you may have a future after all.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '70', 's_908955bc', 'This is a reconnaissance flight then?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '71', 's_91f63d81', 'Can you estimate the strength of his escort?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '72', 's_96e86218', 'Good luck %NU, take no prisoners.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '73', 's_98840984', 'Indeed.  There has been a squad of Rebel bombers sighted in the system. Black Epsilon has been tasked with their destruction.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '74', 's_9a117462', 'It\'s about time that you returned. I have an assignment for you and it cannot wait.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '75', 's_9b4e084a', 'I wish to learn about reactor engineering algorithms.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '76', 's_9cca1500', 'Why is the ambush important?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '77', 's_9d2c9b0a', 'Do you have more enemy fighter squads to put out of commission?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '78', 's_9d62faa2', '%TU, is it?  I hear you are a wanted woman.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '79', 's_9d96ae32', 'I have reviewed your ship logs and must say that I am surprised that the Rebels decided to attack you. Regardless you handled yourself with utmost skill and ruthlessness. Nice work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '80', 's_9edd30bf', 'Hakasha sent me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '81', 's_9f952cc3', 'Excellently done. Maybe you are not as worthless as I first thought. This dossier is sure to have many interesting facts that the Inquisition is sure to enjoy. Here is your payment for services rendered. Return to me when you are ready for more work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '82', 's_a335f4ff', 'Apparently he was some sort of nerf herder on his native Alderaan.  The ships name is not of concern.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '83', 's_a70cef5', 'You destroy and entire squad of Rebel bombers and all you say is...all in a days work? I am liking you more and more each day. Here is your commission for taking those bombers out. Take some time to yourself and when you are ready come back for some more work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '84', 's_a872e9f9', 'I wish to learn about regular Imperial training.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '85', 's_aa457e5d', 'This will not be a simple ordeal.  If Black Epsilon just wanted them destroyed, we would have dispatched the Navy.  We need this vessel captured.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '86', 's_ae8492d2', 'You already have orders to carry out. Your time is my time, so quit wasting it or you may find yourself out of time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '87', 's_af154d31', 'Yes, of course you don\'t.  Nevertheless, you cannot be trusted to fly for the Imperial Navy.  Not that I am surprised. I have long argued against the inclusion of females in the military.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '88', 's_af16cd74', 'It is a decoy to lure you specifically.  They intend to ambush you, and Black Epsilon intends to let them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '89', 's_b0ab6617', 'Pilots I have.  But I do not want this man to even set foot on Corellia. So I need an assassin.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '90', 's_b51a649', 'Do I get to baby-sit another freighter?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '91', 's_b5a3714a', 'I will not have these bombers reach their objective.  Get up there and destroy them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '92', 's_b69b5bf4', 'I honestly didn\'t expect you to survive this one. Yet again you prove to be a very resourceful pilot. Thanks to your efforts, the bomber squadron has been destroyed and security brought to the system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '93', 's_b76e5165', 'That is between you, the freighter, and the cold reaches of space.  Dismissed!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '94', 's_bae9fe80', 'You have failed to dispose of Darmin, get back up there before he can land.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '95', 's_bc90f6c5', 'However inept they may be, they did manage to acquire some information about the \'Rebel\' attack of the 72nd Army Barracks.  They are transporting this information to the Rebels here on Corellia now.  This cannot be allowed to happen.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '96', 's_bd5df827', '[DESTROY] I wish to assist in anti-pirate patrols.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '97', 's_be3a7e31', 'That is all I have for you.  Speak with Haymir Rendundi for more duties. He is currently stationed at Imperial command on Yavin 4. Keep your nose clean and do your duty.  Haymir isn\'t nice like me and will be all over you if you mess up. Or are you here for more duties?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '98', 's_be505897', 'I wish to learn about advanced TIE combat craft.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '99', 's_c2b7ea3a', 'It seems females such as yourself are too unreliable to be trustworthy agents for the Empire after all.  Did you think we would not know of this little... indiscretion?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '100', 's_c4179a5d', 'Indeed. The Empire always rewards those who go above and beyond. Here is a small token of our appreciation for your service. Enjoy it and come back to me when you are ready for more work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '101', 's_c52a69c1', 'There has been a squad of Rebel bombers sighted in the system. Black Epsilon has been tasked with their destruction.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '102', 's_c71a5ce3', 'How does that explain you gawking like a fool?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '103', 's_c8516ab0', 'Why do we need them captured?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '104', 's_c914798f', 'Indeed, droid management is important. Your droid is almost as vital as your blaster. I have another mission lined up for you, so get your droid prepared.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '105', 's_cb86c1fc', '\'Nerfs Pride\'?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '106', 's_cc4d7ea', 'Yes, and you will be afforded the opportunity to use that knowledge.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '107', 's_ccf466b2', 'That is correct.  You do need a hyperdrive if you\'re going to be of use to me.  I suggest you purchase a better ship immediately.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '108', 's_ceafaf0b', 'Do you have a task for me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '109', 's_cf473cb7', 'We are not here to discuss a dead and wasted planet, stay focused!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '110', 's_cfb9fb6e', 'You are back already? Do you have anything to report or are you just here wasting my time?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '111', 's_d1f1fea2', 'You will have none.  If you are half as good as you are confidant, you might live long enough to get out of this.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '112', 's_d335136f', 'Yes I am.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '113', 's_d4374209', '[Hand over dossier]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '114', 's_d6508432', 'I am to capture this man?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '115', 's_d6dfa36e', 'Shouldn\'t a straightforward assault be handled by the Navy?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '116', 's_d9391d4a', 'Your tour with me is just about finished, but I have one final task.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '117', 's_dbd8c729', 'I am ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '118', 's_dbf39d2a', 'Your face is familiar to me, but I can\'t remember why. You\'re probably wanted for something, I\'m sure.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '119', 's_dc33e486', 'Downing local pirates will make the Empire look favorable to the citizens of this sector.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '120', 's_e17fc7e4', 'Leave no survivors. The Emperor does not look favorably on mercy or weakness.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '121', 's_e2d5b9eb', 'Blast it! Next time you mess up and fail, stay dead! I don\'t have any time for pilots who don\'t know when to zig when they should have zagged.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '122', 's_e67a0734', 'You have more potential than I was expecting. Darmin will no longer be a thorn in the side of the Empire, thanks to your...intervention.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '123', 's_e71f0d40', 'You would hate to ruin my mood by speaking with me friend, so why don\'t we end our conversation here.  If you have Imperial interests at heart, perhaps it is Hakasha Sireen you are seeking.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '124', 's_e7f16de3', 'Who are these Hidden Daggers?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '125', 's_e8db34a5', 'Trade is the lifeblood of the Corellian system. This task will give us high visibility with those whose loyalty we aim to sway.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '126', 's_e978ca6b', 'Not exactly.  The Rebels have taken note of your activities in this system and are setting up a little surprise for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '127', 's_eb835e9e', 'No, this is a burrow mite hunt.  I KNOW they are in there, and I want you to dig them out.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '128', 's_ecb17e60', 'I don\'t know what you mean');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '129', 's_ee11d13c', 'Since you appear to have run out of useful things to do, take some duties to keep you busy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '130', 's_eea972b1', 'By such narrow minded thinking, all humans would be loyal followers of the Empire. Bothawui remains neutral as always, though many clans have openly sided with the Rebels, my clan has found the Imperial coffers deep enough for our loyalties.  I am sure one such as you can understand.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '131', 's_f016912e', 'I expect only a couple fighters.  What you should be more concerned with is the local fighter wing here on Corellia.  We do not know of their base yet, so they may be scrambled while we remain unaware.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '132', 's_f0c8febb', 'We have discovered the location of their fighter wing headquarters.  When they scramble the ships to destroy you, Black Epsilon will launch its own attack on their undefended base.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '133', 's_f35be898', 'Let\'s not get ahead of ourselves, %NU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '134', 's_f37f3d1a', 'Why do we want them destroyed?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '135', 's_f3d4db20', 'I have a priority task to accompany this assignment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '136', 's_f4f691ae', 'Indeed.  I am ready for a mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '137', 's_f4fd144d', 'They will not be able to resist attacking you.  Ambush is their favorite tactic knowing that a direct assault is futile.  Show them what it means cross with Black Epsilon.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '138', 's_f7df921b', '%TU, is it?  I hear you are a wanted man.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '139', 's_f87e5fe8', 'I believed that Bothawui had sided with the Rebellion.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '140', 's_fc007f1', 'You would hate to ruin my mood by speaking with me friend, so why don\'t we end our conversation here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '141', 's_fd8878bc', 'I fully expect you to die. You are still expendable in my book so consider this a test.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_imperial_trainer_2.stf', '142', 's_fe284208', 'What\'s wrong?  Were the mean Rebels too much for you?  Get up there and finish them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '1', 'do_not_edit', 'The English version of this file (corellia_privateer_retired_corsec_beggar.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '3', 's_11d6eac4', 'The Empire kicked down the doors to CorSec and confiscated starships, weapons... even our sidearms! Can you believe it? And last, but not least, they raided our pension funds.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '4', 's_17b4bc37', 'Good. Who needs you, anyway?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '5', 's_19104f66', '(Give 100 credits)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '6', 's_1a2b4bd6', 'You have proof of this?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '7', 's_1aea5dd4', 'What difference does it make?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '8', 's_1af6e3a2', 'Um. Yeah. I can\'t talk right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '9', 's_1c18efb1', 'Excuse me. Can you spare a credit for an old veteran CorSec pilot?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '10', 's_1c7c9ce0', 'The Empire froze CorSec retirement funds and forced out everyone with any sort of spot on their record! They say we\'re Rebels! Ridiculous.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '11', 's_1ca480f5', 'You\'re crazy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '12', 's_1eecbc00', 'Unfair!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '13', 's_1f7981ec', 'Nobody important. You fly for the Empire, huh?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '14', 's_2313ac9e', 'What are you talking about?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '15', 's_264b3207', 'You said it!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '16', 's_2683bb8f', 'How is the Empire responsible?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '17', 's_2812a379', 'Thank you! Times have been really tough since the Empire started losing the war! CorSec\'s turned upside-down... RSF\'s been turned upside-down... there\'s no way for a pilot to make a decent living anymore!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '18', 's_2992b933', 'Get a job.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '19', 's_2a27a72e', 'Back when I was flying \'sports, we weren\'t allowed to fly for more than two days straight. Now that\'s all over! Pilots are pressed into constant service and they\'re falling asleep at the controls. Equipment doesn\'t get adequate downtime, so accidents are up a thousand percent!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '20', 's_2a33c404', 'What? No pension for you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '21', 's_34556faa', 'Well you just try it yourself! Ride the shuttles for a while. Better yet - take a \'sport to some exotic place like Dantooine. You\'ll see what I mean!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '22', 's_34f6c18f', 'I plan to fly for the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '23', 's_3541bf7', 'That\'s what I thought. Get out of here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '24', 's_366389b9', 'The Empire has nothing to do with the RSF!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '25', 's_3daae2ee', 'Do I know you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '26', 's_3e8d294c', 'Are you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '27', 's_3f5509de', 'Oh yes! The public-relations folks will tell ya different - but CorSec and the RSF are now fully, one-hundred percent, and unashamedly under the Emperor\'s thumb!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '28', 's_428087e9', 'What\'s happening here?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '29', 's_4294df70', 'Oh no? ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '30', 's_455169a0', 'Travel is not restricted.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '31', 's_46663cbe', 'Upside-down?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '32', 's_47744716', 'I find that hard to believe.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '33', 's_49eaf107', 'Nope. Can\'t help you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '34', 's_4b74e148', 'It\'s a sore spot for me because I happen to hate the Empire for what it\'s done to me and my friends at CorSec! You know what I\'m talking about?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '35', 's_4e213b9f', 'Ha! Ha! Ha! That\'s a laugh!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '36', 's_4f68d18f', 'I\'ve seen a bunch of Imperial types coming and going from the hotel up the street. You guys having some sort of convention?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '37', 's_4fbbd27f', 'I had a job. Used to fly for CorSec. Now I\'m out on the street because of the Empire!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '38', 's_5034aab7', 'I don\'t respect beggars.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '39', 's_54fb5f5d', 'Not now, maybe... but you mark my words! The Empire is an evil force in the galaxy. Don\'t let it trap you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '40', 's_558fa93c', 'Oh nothing. Nothing you would believe, at least! The Empire has stomped its way into CorSec and has taken control of everything. They... and I would guess you... are running CorSec and the RSF into the ground!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '41', 's_55b16c5b', 'You should be ashamed of yourself!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '42', 's_55b16c62', 'Yes. Hate the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '43', 's_576d00c5', 'You\'ve got a lot to learn, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '44', 's_591c9c49', 'Really? You have no idea... do you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '45', 's_5b204877', 'What can I do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '46', 's_63520a89', 'I would urge you to quit.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '47', 's_67f5202c', 'Oh! Thank you very much!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '48', 's_6a6e024a', 'The Empire kicked down the doors to CorSec and confiscated starships, weapons... even our side-arms! Can you believe it? And last, but not least, they raided our pension funds.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '49', 's_6ce3ead6', 'The Empire has forced all planetary governments to abandon the safety regulations for pilots, shuttles and interplanetary transports!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '50', 's_757d93fb', 'Yes I do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '51', 's_763e6d5', 'Make the right choice, friend. Don\'t help the Empire. Fight for freedom instead!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '52', 's_77258083', 'Do you now? That\'s a terrible shame. Just terrible...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '53', 's_77e48d5b', 'What do you mean?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '54', 's_78ae72a2', 'You have a lot to learn, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '55', 's_78b67180', 'Relax, old man.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '56', 's_79ec01f7', 'You\'re probably behind it all...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '57', 's_7c3dc1ab', 'Because they\'re going crazy trying to freeze people\'s assets, inspect communications, and restrict travel.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '58', 's_7eee531', 'A hard road, my friend... but I respect the choice. If I were only younger, I would go with you and sign up!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '59', 's_8252a913', 'What makes you think the Empire is losing?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '60', 's_82f0aea5', 'Hmph.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '61', 's_87f655c5', 'Can you spare some credits, my friend?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '62', 's_892ffb49', 'You here for the rally?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '63', 's_8be640b8', 'Sure.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '64', 's_8f4bce76', 'I plan to join the Alliance Navy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '65', 's_958a863c', 'How do they justify that?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '66', 's_968710ca', 'You do? That\'s good. Very good. You\'re still young enough to do something about it, eh?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '67', 's_9756c395', 'What? What are you talking about?! Get out of here! I don\'t need this grief!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '68', 's_97aef052', 'Of course I\'m right!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '69', 's_9df7e4c2', 'No. I don\'t.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '70', 's_9f2e17a3', 'Figured as much.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '71', 's_a761aa1e', 'Figured as much!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '72', 's_b21356c8', 'No. Why?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '73', 's_b25e0684', 'Nobody. Just an out-of-work CorSec pilot. Forced into retirement by your superiors. How do you like that?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '74', 's_b93aa42e', 'Then be careful...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '75', 's_b9b4cdf3', 'We got a notice from the Empire stating that all secure CorSec funds were frozen for inspection. Something about us being tied in with the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '76', 's_bab29e60', 'Yeah! Crazy like a durni! Get out of here!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '77', 's_baf2d521', 'I\'ve seen Imperials coming and going from the hotel down the street. You want to tangle with them?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '78', 's_bb54f6cc', 'None of your business.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '79', 's_c30cfa8b', 'Well, it should! And you should have more respect!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '80', 's_c3c03121', 'Are you kidding me? Space pirates, the so-called \'Smugglers Alliance\' is a deathtrap! Pilots don\'t last longer than a few weeks. If you don\'t get locked up by one of my pals in CorSec, or blown up by a TIE patrol... likely one of your \'friends\' will do you in for a profit!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '81', 's_c45af70d', 'Imperial efficiency, of course!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '82', 's_c4d665ba', 'I don\'t believe you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '83', 's_c8291538', 'Maybe I should become a space pirate?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '84', 's_ca776e30', 'Who are you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '85', 's_cb58d836', 'You are very kind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '86', 's_cbc9bfc1', 'You know... I really shouldn\'t say any more. You\'ve got your choices to make now. Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '87', 's_cdc41c9f', 'Yeah, right.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '88', 's_cf3b2658', 'I have nothing to do with it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '89', 's_d79019d0', 'But shuttle times are much shorter now!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '90', 's_daa001f6', 'Who cares?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '91', 's_db730888', 'No. Nobody knows me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '92', 's_de0c6e64', 'CorSec is still fully independent!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '93', 's_e28320c1', '(Give 25 credits)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '94', 's_e3717de2', 'Maybe you\'re right.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '95', 's_e529f302', 'And... so...?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '96', 's_e5ddc8b8', 'Mark my words! The wages of piracy... are death.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '97', 's_eb4e939', 'Of course I do!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '98', 's_ec3ffcdb', 'Begone with you! I don\'t need this sort of grief!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '99', 's_ed52be64', 'Yes. I know.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '100', 's_ed8c4da8', 'And do you know why?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '101', 's_f06b7dcf', 'All right. Tell me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '102', 's_f2319d89', 'Why you! Get out of here! I don\'t deserve this grief!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '103', 's_f2841236', 'Because you\'re aiding the Rebellion?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '104', 's_f2dc9195', 'Forget it!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '105', 's_f52972fb', 'Heh. Not anymore. Not thanks to the Empire!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '106', 's_f6046c2a', 'That\'s a lie!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '107', 's_f8411238', 'Believe what you will. It\'s your funeral!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '108', 's_f95334', 'What rally?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '109', 's_ff607592', 'What\'s it to you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_retired_corsec_beggar.stf', '110', 's_ff739c7e', 'It doesn\'t bother me, old man!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '1', 'do_not_edit', 'The English version of this file (corellia_privateer_tier3.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '3', 's_1001fca4', 'Of course they do! We\'ve already discussed the problem. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '4', 's_10d3e04', 'Yeah, but how?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '5', 's_13ad0318', 'I just need to finish what I started.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '6', 's_148bc3dc', 'You mean the pirates.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '7', 's_15be2c5c', 'Well %NU, it\'s time for you to go.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '8', 's_18439671', 'Yes. It\'s like they had classified information or something.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '9', 's_191d4365', 'How about that? I guess those pirates aren\'t so tough after all.  Come on, let\'s get you a new skill.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '10', 's_191e8e9e', 'Especially since they weren\'t expecting it! They thought they owned us. Boy were they wrong!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '11', 's_192771db', 'It\'s OK! Just ran into a few problems.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '12', 's_199af81e', 'Hey, I\'ve seen those guys at work! They\'re good!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '13', 's_19b25af3', 'We\'ve got a CorSec ship out there. We want to transfer all those weapons and personnel to a ship that hangs lower in the planet\'s ozone layer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '14', 's_1ca5111b', 'I\'m not interested in any long, drawn-out trial.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '15', 's_1cab7ef2', 'Need anything from me? Can I help?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '16', 's_1d231c8f', 'You better have something good to say.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '17', 's_1df277de', 'Maybe they\'ve realized we\'re not so bad after all.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '18', 's_1f325741', 'Pfft.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '19', 's_1fa985de', 'Well, either they took advantage of the situation, and decided to commandeer the vehicle, or they were in on the Black Suns\' plans.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '20', 's_1fc81cc9', 'Not necessarily. We just need to be smart.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '21', 's_202eca31', 'Makes sense.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '22', 's_212383c4', 'Engine malfunction?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '23', 's_215042ad', 'Then get back out there and fight!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '24', 's_2313ac9e', 'What are you talking about?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '25', 's_24f6863f', 'I\'m the one getting shot at! I think I have a right to shout!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '26', 's_25c1d490', 'How about advanced techniques?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '27', 's_25d2c630', 'You sound like my mom.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '28', 's_27244a5b', 'Ha.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '29', 's_2836e6b5', 'OK.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '30', 's_28670323', 'All right then! Now let\'s FOCUS. Black Suns + pirates > us. We need to change that equation.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '31', 's_287bd3e4', 'Think they\'ll be surprised?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '32', 's_2a37df4a', 'The problem is that the pirates know about our every move.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '33', 's_2b85ccf3', 'Now just because we\'re rescuing them, that doesn\'t mean we\'re off the clock. These guys are still criminals. And now that the Black Suns are out of the picture, our arrangement with them is null and void. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '34', 's_2cdd8e6', 'Hopefully THEY\'LL think I\'m an idiot too.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '35', 's_2f9db7a', 'Maybe.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '36', 's_3269c6d', 'Not really.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '37', 's_33360d50', 'What have you got in mind?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '38', 's_355b403f', 'Or telepathic.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '39', 's_359bb23b', 'Every report I get these days is a bad one. Do me a favor and bring me some GOOD news, would ya? Get back to work!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '40', 's_36069595', 'Sure did. Those poor guards.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '41', 's_3675602', 'We\'ve got a disabled pirate ship, floating dead above the planet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '42', 's_36f54748', 'I sure do. Listen, you\'re good. And I put my good pilots to work. I think it\'s time for us to send a message.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '43', 's_38e3a35a', 'That explains it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '44', 's_3aef69fa', 'Once we\'ve got our problem solved, we\'re going to move into position. Here\'s the sign. Ready?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '45', 's_3b154409', 'How about special warships?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '46', 's_3ca5a892', 'Well, what do pirates need to do their jobs?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '47', 's_3ca83562', 'The Black Suns only pretended to leave. They were just waiting for the right time to strike!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '48', 's_3d3852ed', 'Went bye-bye. How should I know? Look, the bottom line is, there are guys up there who are sucking air through a straw. They won\'t last much longer. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '49', 's_3dd7f9c6', 'So what we\'re going to do it lay low. Play possum.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '50', 's_3dda8c36', 'They told us so themselves. And I know these guys. They\'ve been around for a long time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '51', 's_3f1a5798', 'Yep. Surprised?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '52', 's_416e437c', 'Our best bet is to hit the weaker group. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '53', 's_423a90e7', 'Get out to the Dantooine System, we will have an operative up there to set up the operation.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '54', 's_42880861', 'Okay...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '55', 's_43aecff6', 'What do I do when I get him?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '56', 's_43feb101', 'I THINK THEY DID!!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '57', 's_442e44f0', 'I think you\'re an idiot!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '58', 's_44a12a06', 'How about advanced starship component use?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '59', 's_44cf2770', 'If they are, tell them I\'ll be happy to explain it to them. In person.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '60', 's_44d4901e', 'I think things are going our way.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '61', 's_44d57431', 'How can that be?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '62', 's_45e3cf78', 'They TRIED to. He made it, thanks to you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '63', 's_467f5524', 'To those double-crossing pirates, that\'s who.  ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '64', 's_4831750e', 'I guess all the other pirates are out to lunch.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '65', 's_4aa060bb', 'Buck up! What kind of soldier are you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '66', 's_4cd655f5', 'You\'re going to love this.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '67', 's_4d0823a4', 'Me too. We work well together, I think. But now you\'ll be reporting to Adwan Turoldine, and he\'s one of the best. Currently he\'s working undercover in the cantina at the Mining Outpost of Dantooine.  Take care not to blow his cover!  See you around, %NU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '68', 's_4ec92de8', 'What happened to our arrangement with the other pirates?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '69', 's_5141a2c2', 'Good. Get back out there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '70', 's_51db29e8', 'We can\'t get out of this without you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '71', 's_52917b0d', 'Of course.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '72', 's_529d94c9', 'Because there is no way we\'re going to be able to beat the Black Suns! ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '73', 's_53213682', 'I think we\'ve got one. But we\'re going to have to be tricky.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '74', 's_537e4c85', 'This would never have happened, if they hadn\'t taken advantage of our trusting nature. So it\'s payback time. I want you to go after the captain who radioed in for help. He\'s the guy who started this whole thing.  ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '75', 's_53faf560', 'You want me to kill him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '76', 's_544a2184', 'As long as they\'re working together, they\'re unstoppable. We need to break this alliance, quick.  ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '77', 's_545738f9', 'I bet it\'s the latter.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '78', 's_55c00fb4', 'Well how about THEM apples?!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '79', 's_57bdf799', 'My pleasure. From now on you\'ll  be reporting to Adwan Turoldine. You\'ll like him, I think. Currently he\'s working undercover in the cantina at the Mining Outpost of Dantooine.  Take care not to blow his cover!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '80', 's_587cb454', 'I\'m OK.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '81', 's_5904df36', '100%.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '82', 's_5991827d', 'Bingo. Word is, they\'re expecting a weapons shipment in the Dathomir System. I\'d like you to find the freighter ship and confiscate their cargo. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '83', 's_5bf2f9e5', 'I can\'t believe they\'re asking US for help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '84', 's_5d9d0e58', 'I\'m still on the job.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '85', 's_5dc82348', 'Good.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '86', 's_5e2a2bb1', 'Sounds good.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '87', 's_5ec3d0ab', 'You sure did. But you know what to do, right?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '88', 's_5f3b7a4', 'Nah! Something much more low-tech.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '89', 's_61b78d18', 'Psst! I think you took a wrong turn somewhere. Your boss is waiting for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '90', 's_61e91afa', '%TU. Good to meet you. I\'m Commander Ramna. How are you liking Lok so far?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '91', 's_62241cb7', 'What\'s going on?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '92', 's_626f9f67', 'Sure did! Surprise!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '93', 's_657871b9', 'Ran into a little bit of trouble up there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '94', 's_66691f62', 'The ship was carrying a virus that infected your ship\'s computer system. It gave the pirates a window into all CorSec communications.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '95', 's_671470cf', 'It\'s almost like they KNEW I was going to be there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '96', 's_67d280da', 'He would have done the same for me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '97', 's_67e6df55', 'Okay.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '98', 's_68f733fc', 'As long as they\'re working together, they\'re unstoppable. We need to break this alliance, quick. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '99', 's_6b7449f8', 'Maybe after that whole fiasco with the Black Suns, they realized we\'re not so bad after all.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '100', 's_6b7c6e79', 'Of course they did! We\'ve already discussed the problem. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '101', 's_6c251948', 'You got it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '102', 's_6dc79733', 'As a matter of fact, I do. OK. First of all, we know for a fact that the pirates DID know about your movements.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '103', 's_6ddb0d47', 'I hit them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '104', 's_705da14d', 'Sorry to hear that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '105', 's_71b6239a', 'We\'ve got a CorSec ship out there. We want to transfer all those weapons and personnel to a ship that hangs lower in the planet\'s atmosphere.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '106', 's_727409be', 'Not yet. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '107', 's_73d80fb', 'The Black Suns have been on our backs for a while, but they\'re finally starting to back off and things are back to normal. But I do have an assignment for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '108', 's_7426e000', 'No!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '109', 's_74f40f1d', 'We\'ve got engineers working on the problem as we speak.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '110', 's_7546ce62', 'The Black Suns are scrambling. They don\'t know what hit them! ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '111', 's_75bc266c', 'They sure will. But listen to me. The only way this plan can work is if they think we\'re not on to them. So act normal - especially over coms.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '112', 's_7600e908', 'Well it wasn\'t exactly our idea!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '113', 's_77b0e9f8', 'No. I can do it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '114', 's_785dc9dc', 'It felt good to turn around and kick those Black Suns where it counts.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '115', 's_798f8f83', 'They need weapons.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '116', 's_7aa63d3c', 'You can intercept him in the Endor system. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '117', 's_7afb0972', 'Whatever happened to the pirate code?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '118', 's_7b3d8608', 'Pretty annoying, eh?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '119', 's_7bec018d', 'That\'s what we get for trying to help out a bunch of grubby pirates!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '120', 's_7c722941', 'Oh boy. We have really got a problem on our hands now! I need skilled pilots. Let\'s continue your training. What\'s next for you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '121', 's_7d0ca743', 'Ready to give it another shot?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '122', 's_7d4eaca7', 'I don\'t know.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '123', 's_7d83809c', 'Well I\'m SOMEBODY\'S mom! Go on, get back out there!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '124', 's_80c0a2c4', 'Ha is right. And now we\'re going to press our advantage. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '125', 's_81e58210', 'OK, OK. You\'ve got a right to be angry. Give me a chance to speak, will ya? ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '126', 's_8335bee5', 'I\'d like it more if I had something to do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '127', 's_841d27db', 'Why?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '128', 's_868a3d1c', 'I bet you\'re right.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '129', 's_87f3112e', 'Thanks for everything.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '130', 's_88451b48', 'How about system balance programming?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '131', 's_89196a3b', 'Is that engineer working on it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '132', 's_8af6aa3e', 'Give up, I guess.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '133', 's_8dd36524', 'Sure. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '134', 's_8e42f486', 'So I should arrest them?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '135', 's_8e67895a', 'Please. You\'re upsetting me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '136', 's_8e888943', 'You better believe he is.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '137', 's_8f418b3a', 'We were IDIOTS to trust those pirates.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '138', 's_8fcc3b5a', 'Oh for crying out loud.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '139', 's_90422eb5', 'Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '140', 's_9089ef38', 'So, we don\'t want to make any aggressive moves - not until we have some semblance of privacy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '141', 's_9143af03', 'You\'re sure they\'re pirates?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '142', 's_956853f', 'OK. Well you\'re up to speed on everything that\'s happened so far, right? The hole in our comlink system, all that?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '143', 's_97c1c260', 'Nice work up there. That engineer\'s going to be a big help to us. He may not WANT to help us, but that\'s too bad. He\'ll be busy for a while. Meanwhile, let\'s get you back to your studies.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '144', 's_9a672aca', 'They\'ll think it\'s a sign of a retreat.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '145', 's_9aac04b2', 'Remember that pirate ship, the one that was floating dead over Corellia?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '146', 's_9af2e537', 'Remember the pirate ship you rescued?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '147', 's_9b2b6284', 'They\'re not THAT kind of pirates, smart guy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '148', 's_9c4357e6', 'Well, apparently the ship was carrying some kind of computer virus. It infected your ship\'s communication system, basically creating an open channel. The pirates can listen in to all of our communications. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '149', 's_9d1ce696', 'Hey %NU! What gives? I thought we had a plan.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '150', 's_9d1e1c8d', 'As long as they can hear us, they\'ve got the upper hand. So let\'s face facts and give up.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '151', 's_9e0c4569', 'That\'s what I thought. See ya around.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '152', 's_9f123cf0', 'I like it, though there\'s no place like Corellia.  So listen. You\'re reporting to me now. Let\'s get you up to speed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '153', 's_9f8d6da8', 'So it\'s true! The pirates and Black Suns ARE working together.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '154', 's_9ff4de20', 'When I tell you to take patrol, that\'s your cue. Take the patrol as ordered, but at the end of it, you\'ll be in position for a massive attack.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '155', 's_a0e7bdff', 'Well then we just have to be better. Are you going to calm down, or do I have to give you a smack?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '156', 's_a1fbb23f', 'We don\'t want to make any aggressive moves - not until the comlink\'s patched.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '157', 's_a26f4215', 'OK. I\'m counting on you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '158', 's_a5e6e5e7', 'Yep.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '159', 's_a6198527', 'Sounds like you\'ve got a mission for me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '160', 's_a6b16355', 'Planning what? I\'m still confused about what just happened.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '161', 's_a8412b0', 'Those pirates knew right where to find you...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '162', 's_a8806358', 'So we understand each other?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '163', 's_aa4936a9', 'All right! No need to shout!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '164', 's_aca5b8fe', 'OK. Just keep doing it until it\'s done.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '165', 's_acce8ddf', 'I noticed! Those were the Black Suns. They didn\'t leave after all!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '166', 's_ad728136', 'They MUST be desperate, to ask for our help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '167', 's_ad973bd9', 'Yeah.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '168', 's_aeb32a6f', 'Something like that. The life-support systems are failing; they\'re desperate. They\'ve asked us to reel them in.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '169', 's_af180142', 'Tricky!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '170', 's_af22b9b2', 'I guess so.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '171', 's_b08d0506', 'The only surprising thing is that it took them this long to join forces. If we\'re going to beat these guys, we\'re going to have to think smart.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '172', 's_b26e36ad', 'If you\'re not a privateer, you sure as heck ARE lost. Get moving.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '173', 's_b2e340f6', 'What\'s that?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '174', 's_b427b7ce', 'I thought we took care of that problem!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '175', 's_b4ebb4b3', 'In the meantime, what we\'re going to do is lay low. Play possum.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '176', 's_b52f3018', 'To who?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '177', 's_b53ef7a5', 'What is this? What are you doing here?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '178', 's_b5f15b19', 'Not yet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '179', 's_b754dde0', 'Obviously! Did you see how fast those prisoners took control of that ship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '180', 's_b8b1e69c', 'Hit me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '181', 's_b95fcaf8', 'Your plan worked.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '182', 's_bc0a2234', 'Oh! Right. I forgot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '183', 's_bc375f79', 'Got it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '184', 's_bf7ad2b4', 'I blew it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '185', 's_c0786e56', 'Ha! Well DONE, %NU! We showed those Black Suns who\'s boss, didn\'t we? I wish I could have seen the look on their faces when you blasted them! Come on; it\'s time for another lesson.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '186', 's_c123e137', 'This would never have happened, if they hadn\'t taken advantage of our trusting nature. So it\'s payback time. I want you to go after the captain who radioed in for help. He\'s the guy who started this whole thing. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '187', 's_c261cfae', 'No problem.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '188', 's_c2675d2d', 'We need to press our advantage.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '189', 's_c402784e', 'See you soon.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '190', 's_c4d60644', 'I\'ll say.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '191', 's_c69ddd08', 'And that prison ship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '192', 's_c816ccac', 'Hey listen, we\'ve ALL got work to do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '193', 's_c8ea3e2b', 'They cleaned my clock.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '194', 's_ca158be9', 'Or vice versa.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '195', 's_cc075a69', 'You sure did. We\'ve messed up their plans, but good. And now we\'re going to press our advantage. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '196', 's_cc4b75d1', 'Not bad.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '197', 's_cc93ce57', 'OK. I\'ll get them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '198', 's_ccf2f65c', 'You lost, buddy?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '199', 's_cd445db2', 'I like the sound of that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '200', 's_cfd01162', 'Don\'t say that! You just had a setback. It\'s nothing to worry about. The REAL mistake would be giving up.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '201', 's_d11614d5', 'Are you working with the pirates or something?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '202', 's_d24a2285', 'Will do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '203', 's_d2ab8937', 'Then we\'re out of luck.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '204', 's_d30b5c72', 'Nah.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '205', 's_d33d4e93', 'No kidding.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '206', 's_d4866d33', 'Exactly.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '207', 's_d4c80032', 'My pleasure. Where can I find this guy?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '208', 's_d4f6cbf2', 'Oh yeah? Well maybe I can help you with your problem. We\'ve got a disabled pirate ship, floating dead above the planet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '209', 's_d5206411', 'It\'s not fixed?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '210', 's_d590d63c', 'WHAT?!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '211', 's_d714b5a0', 'Nope. Sure wasn\'t. But it\'s our problem now. The Black Suns must have brokered some kind of deal with the pirates.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '212', 's_d7bf7b44', 'A pegleg and a parrot?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '213', 's_d8ec7fac', 'I DON\'T CARE!!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '214', 's_d9cced1f', 'Absolutely.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '215', 's_dcc126b1', 'Just doing my job.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '216', 's_ddb75eb1', 'HAS he fixed it yet?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '217', 's_dde9d959', 'Don\'t really care if they are. I\'ll see you when you get back.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '218', 's_de4a941c', 'OK, but how?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '219', 's_dfe0e1a2', 'What\'s going on up there?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '220', 's_e1260dbe', 'Yeah. Well, we underestimated their interest in this area.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '221', 's_e26f7766', 'If the Black Suns think we\'re giving up, they\'ll relax. Feel like they\'ve won. And a relaxed enemy is easy to beat.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '222', 's_e48d5a', 'I need to transfer out of this unit.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '223', 's_ea60e7f', 'I just want a freaking solution!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '224', 's_edb238bc', 'Go on.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '225', 's_eeb1457d', 'What HAPPENED up there?! Those guys handed me my hat!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '226', 's_ef2c1d07', 'Dead in the water! ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '227', 's_f0b69eb', 'Any ideas about what to do next?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '228', 's_f313dc31', 'They didn\'t exactly roll over and die. They went after that CorSec officer, after all.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '229', 's_f37012cf', 'Golly! That didn\'t work out the way we planned it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '230', 's_f436768c', 'They must have been planning this all along.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '231', 's_f50b28e8', 'I don\'t want to talk about it. I just want to accomplish something, for a change.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '232', 's_f61487ff', 'What do you think?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '233', 's_f798d511', 'Sheesh. Who knows? Doesn\'t matter now. All of a sudden we\'re looking at an enemy who\'s stronger than ever.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '234', 's_f89feda0', 'You THINK?!!?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '235', 's_f9b4dab6', 'The engineer you brought back? He\'s the guy who designed the original virus. I figure, he broke it, he can fix it too.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '236', 's_faab88c', 'So what are we going to do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '237', 's_fc05d09', 'Tricky if it works, stupid if it doesn\'t. We\'ll see. Listen, for now, we\'re going to just lay low. We\'ve got a CorSec ship out there. We want to transfer all those weapons and personnel to a ship that hangs lower in the planet\'s ozone layer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '238', 's_fc33d4d3', 'Done! See me when you\'re ready. We\'ve got work to do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier3.stf', '239', 's_fcf4d778', 'How?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '1', 'do_not_edit', 'The English version of this file (corellia_privateer_tier4.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '3', 's_10c8ee3d', 'That\'s one way to put it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '4', 's_13811ca0', 'What about the Hidden Daggers?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '5', 's_14d7da55', 'Why don\'t you tell her yourself?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '6', 's_1516ae92', 'I think you need to keep moving.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '7', 's_1683f2af', 'Says me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '8', 's_182c692f', 'Maybe your plan is no good!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '9', 's_18f260b3', 'The Hidden Daggers are still testing us. I\'m always looking for pilots willing to fly sorties against their ships.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '10', 's_1aceb53', 'You\'re clear to leave.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '11', 's_1b5769c8', 'Just here for more work?  Sure you are.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '12', 's_1b8d65e2', 'Loud and clear - SIR.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '13', 's_1c8bddbb', 'What is it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '14', 's_1e264713', 'It\'ll be the easiest assignment you\'ve ever had - unless those Black Suns show up. And if they DO show up, I\'ll need you out there. How does that sound to you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '15', 's_1faa7ff3', 'I want to know what\'s going on out there. But I don\'t want to actively pursue the Black Suns - yet. They\'ll come to us soon enough. In the meantime, I want you to patrol Dantooine space.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '16', 's_208869a4', 'So. We\'ve got a situation here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '17', 's_20ef9c42', 'Mission accomplished.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '18', 's_218fee99', 'That\'s the idea.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '19', 's_24c9bb66', 'We\'ll find out.  You\'ll find your first mark in the Dathomir system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '20', 's_24f79cb0', 'I\'m glad you\'re back, too. Here. I want to give you your duty pay.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '21', 's_2794eddd', 'I want to learn exotic vessels.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '22', 's_291ab969', 'I want to learn expert techniques.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '23', 's_2b122b72', 'You\'ll have the element of surprise. The Daggers think we\'re focused on the Suns. They won\'t see you coming.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '24', 's_2dc3ccb7', 'They\'re assassins, aren\'t they?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '25', 's_2de6d84d', 'Mmm.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '26', 's_2e256f44', 'You should be.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '27', 's_2eb9ea1f', 'Grand Admiral Nial Declann is stationed in Theed Palace on Naboo. Going to see him is not an entirely bad thing. Having a Grand Admiral\'s support for the CorSec would go a long way in ensuring that the Empire doesn\'t decide to move into our system. Also, I understand that there are many things that the Empire can teach a pilot such as yourself.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '28', 's_2f41692c', 'I\'ve got it under control.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '29', 's_317c39a8', 'Exactly. And between CorSec and the Daggers, I think we\'re the stronger group. So let\'s just  take them out once and for all. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '30', 's_32f5282f', 'What brings you to the CorSec, pilot? You\'d better not be wasting my time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '31', 's_351090c2', 'Hey, you don\'t like it here, you can find yourself another job. But as long as you\'re reporting to me, you\'ll do WHAT I say, WHEN I say it. Do you read me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '32', 's_35d00365', 'Not this guy. He\'s one of a kind. But I\'m getting ahead of myself. We haven\'t even found this guy yet. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '33', 's_362a48e0', 'Anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '34', 's_3839d57f', 'Your duty pay.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '35', 's_392b269e', 'Why would the Alliance be asking for CorSec pilots?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '36', 's_39547224', 'More on that later. For now, I just want you to take care of those Black Sun fighters in Dantooine. Can I count on you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '37', 's_39b10484', 'I won\'t force you. If you don\'t want to do it, I will tell them you\'re injured. Of course, if you do choose to obey the order, it will most certainly not reflect in any way on your career here at the CorSec.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '38', 's_3a5c85dc', 'Tell me more about the Imperial order.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '39', 's_3d991214', 'There\'s always work to do here at CorSec. I have a few elective duty missions. Take a look and let me give you a briefing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '40', 's_3eecd6e9', 'Then I\'ll cut to the chase. I\'m sending you on an assassination mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '41', 's_3f1b21c2', 'I want those Black Suns out of here too.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '42', 's_3f570be0', 'Oh that\'s right. I forgot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '43', 's_40c0cfc0', 'He\'s a leader. If he\'s out of the picture, they\'ll become disorganized. And that can only help us.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '44', 's_42836ce6', 'They\'re tough. I don\'t think those guys have exactly packed their bags and left.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '45', 's_4345fa87', 'So are we. I want you to take a break. Catch your breath. See me when you\'re ready for another assignment. In the meantime, here\'s your duty pay.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '46', 's_4376ab12', 'Black Suns are here to stay.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '47', 's_47120e86', 'No. You just need to give me another chance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '48', 's_47441fe', 'I\'d bet on it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '49', 's_475b4478', 'No; not yet. For now, I want you to work with several of my fighters to push back a Black Sun attack in Dantooine. They are moving on our position now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '50', 's_483d677f', 'Here you go. Come see me when you\'re ready for your next mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '51', 's_497bdf7a', 'I did my best; that\'s all.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '52', 's_4b924eb9', 'Sure is. Bring it back in.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '53', 's_4cda51e6', 'I thought we WERE dealing with them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '54', 's_4d147f07', 'All right then. Well stick with me. I think I\'ve found a way for us to solve this Hidden Daggers problem, once and for all.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '55', 's_4de5d7c6', 'But I\'m not interested in getting myself killed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '56', 's_4e33510b', 'Nicely put.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '57', 's_4e60c8d4', 'So should I obey the Empire?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '58', 's_50a82bc3', 'How much time do I have?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '59', 's_535a48bf', 'Is that right?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '60', 's_55127f07', 'Tell me more about the Alliance\'s request.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '61', 's_575d94fc', 'They\'re blasting me to bits up there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '62', 's_5812b51a', 'What about that Imperial order?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '63', 's_5ace999c', 'Don\'t have to ask me twice. Get going.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '64', 's_5afdd10d', 'There\'s a Black Sun Vehement somewhere in the Dantooine System. We\'re searching for his coordinates now. Once we\'ve located him, I\'ll want you to take him out. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '65', 's_5c48dd80', 'Let me take a shot at those Hidden Daggers.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '66', 's_5c522568', 'Yes, of course.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '67', 's_5d4c8449', 'I think I can help that mining transport.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '68', 's_5d88d407', 'I\'ll see you around, %TU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '69', 's_5dec8b83', 'You\'ve earned it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '70', 's_6020d1e0', 'It\'s not something we talk about much, but the CorSec has pretty close ties to the Alliance. This isn\'t the first time that the Alliance has asked for help from our organization. Of course, the CorSec denies any knowledge of this and officially claims that any member caught helping the Alliance is a rogue agent.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '71', 's_6160d176', 'This is a request - and that\'s unusual. Usually, when they want something from us, they issue an order. I make it a point never to force any of my pilots to obey any order issued by the Empire, but we do try to make a good show of it. But this order was sent by a Grand Admiral of the Imperial fleet. I think if we ignore this one, we\'ll regret it later.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '72', 's_61d7c289', 'Absolutely. I\'ll be watching.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '73', 's_621643f5', 'Have you ever assassinated anybody?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '74', 's_62241cb7', 'What\'s going on?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '75', 's_62b7e5d1', 'Do you think I should help the Alliance?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '76', 's_631ae8ac', 'It\'s time for you to make a decision. I have received two requests for CorSec\'s best pilot. And as far as I\'m concerned, that\'s you. It\'s strange that I received both of these within a few hours of each other. Usually when that happens, it means that the two are related. But apparently not this time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '77', 's_642269cb', 'Take some time, get it fixed. The situation\'s under control for now. Come see me when you\'re ready for another assignment. In the meantime, here\'s your duty pay.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '78', 's_66147141', 'Regrouping.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '79', 's_66a2d521', 'What can you tell me about the request from the Alliance?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '80', 's_6862706c', 'No good.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '81', 's_6c2be16f', 'I cannot make that decision for you. Each of us must decide our own path. Be thankful for this choice, because not everyone in the galaxy has that luxury. If you decide that you want to help the Empire head to Theed Palace and report in to Admiral Declann. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '82', 's_6ce4e96f', 'Right.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '83', 's_6e4a17c', 'Absolutely. I\'ve got your duty pay. I wish I could give you more. You\'re doing a great job.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '84', 's_6ead851d', 'Could mean trouble.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '85', 's_7177c3f2', 'Who is Grand Admiral Nial Declann?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '86', 's_71857d84', 'Don\'t bother explaining. I\'m mad. I just want to fight.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '87', 's_72be4afa', 'Tell me about the Alliance\'s request.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '88', 's_734b72d7', 'I\'m not here to argue with you. I\'m here to get you to do your job. So do it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '89', 's_73c89b2b', 'You earned it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '90', 's_746fc787', 'I know you\'re upset. You\'ve got every right to be. But you helped us. Now we know what we\'re up against.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '91', 's_74fdf9dc', 'So they won\'t be available to help the assassins?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '92', 's_76de5e9c', 'I didn\'t come to this post looking for easy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '93', 's_770b1869', 'My ship\'s a mess.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '94', 's_77e48d5b', 'What do you mean?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '95', 's_784ca15', 'There\'s always work to do here at CorSec. Unfortunately for you, that work is reserved for CorSec pilots. If you\'re looking for action, you\'re going to have to go through your own contacts.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '96', 's_78c79a4f', 'You sent me on a suicide mission!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '97', 's_796d4688', 'There\'s always work to do here at CorSec. Are you ready to take a duty, or do you need me to debrief you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '98', 's_7aa801dc', 'Let me get that mining craft. The last thing we need is another pirate clan, moving in.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '99', 's_7bbc6fc1', 'Who am I killing?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '100', 's_7c181033', 'Be safe.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '101', 's_7e6d012f', 'We were splitting our time between the two groups. But now we\'ve struck a real blow against the Suns, they\'ll need a little time to regroup. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '102', 's_80409644', 'How\'s it looking? Do you need more pilots?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '103', 's_80d8485c', 'I\'m on it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '104', 's_81b27773', 'Oops. Sorry.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '105', 's_82288395', 'I hope you\'re right.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '106', 's_846dc537', 'Here. This is for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '107', 's_847048c5', 'Tell her I\'m on my way.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '108', 's_873be682', 'I agree. Take care of it as quickly as you can.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '109', 's_87b9d75b', 'Can I give it another shot?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '110', 's_87d7e908', 'I know.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '111', 's_8807601', 'I want you to join forces with several of my other pilots. We need to mount a coordinated attack against these guys. I\'ll warn you now, it won\'t be easy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '112', 's_88d56cda', 'I don\'t think that\'ll be easy. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '113', 's_89368a2f', 'OK. I\'ll see you soon.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '114', 's_89bbd3f9', 'I cannot tell you what you should do. All I can say is that your decision will not hurt your position in the Corsec in any way. This is strictly a volunteer assignment. But you could learn a lot from this guy. It\'s up to you. If you want to help the Alliance, go to Doaba Guerfel and speak to Admiral Willham Burke. Dismissed, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '115', 's_8caf8c64', 'OK. I\'m giving you another chance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '116', 's_8f8ce354', 'Well you sent those pirates a message. Now we\'ll just have to wait and see what kind of message they send back. In the meantime, there\'s work to do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '117', 's_8fb8c9f2', 'It\'s yours. Now let\'s get you up to speed. Things have been going well against the Black Suns so far.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '118', 's_93c94bdf', 'Sounds like you\'ve got work for me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '119', 's_96047adb', 'Watch yourself up there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '120', 's_963212ec', 'OK...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '121', 's_9696df79', 'I\'m glad to be back here in one piece.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '122', 's_979d1baf', 'You! Always with the crazy plans!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '123', 's_982697df', 'That was rougher than I expected.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '124', 's_982fd0ec', 'Last thing - I\'ve just received a report that Hutt pirates are attacking a civilian mining craft. Those miners won\'t make it out alive without us. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '125', 's_9b4653d9', 'It says that if we have any pilots who are interested they should seek out Admiral Burke in Doaba Guerfel on Corellia. Any support we can offer will be most appreciated.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '126', 's_9f15ecc0', 'I\'ll do more than talk, if you give me that kind of attitude. Beat it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '127', 's_a12be3e7', 'Says who?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '128', 's_a490d2c6', 'Alright.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '129', 's_a5f9f5fc', 'They\'re going to blast ALL of us to bits, if you don\'t get back up there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '130', 's_a603fe55', 'It\'s a good idea, from their point of view. They can send their flunkies in first.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '131', 's_a6167ed7', 'I\'m assassinating...an assassin?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '132', 's_a6caaf6b', 'Is that Black Sun Transport still up there?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '133', 's_a85a848e', 'You talking to me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '134', 's_a87e8cba', 'They\'ll appreciate the escort. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '135', 's_a8aac5df', 'That\'s quite an argument.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '136', 's_a9f9363a', 'I wonder why they need assassins.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '137', 's_aa048a4e', 'We? What WE? I was the only one getting painted up there!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '138', 's_aa5afe64', 'Oh yeah? What\'s the plan?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '139', 's_aab2440f', 'Excellent. I can use it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '140', 's_aadef2a1', 'I don\'t think you need to check your closets before you go to sleep at night, if that\'s what you mean. My guess is, the Black Suns like these alliances. This time, they\'re partnering with real pros.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '141', 's_add3fe59', 'Not much. I need you to leave immediately.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '142', 's_af153b90', 'Is that my mission?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '143', 's_b26194cb', 'What are you doing here?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '144', 's_b5d3394c', 'Mission failure, %TU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '145', 's_b6570fbb', 'Pilots under my command don\'t make excuses. They make kills. Get back up there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '146', 's_b679efe', 'See that you do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '147', 's_b779f640', 'The Black Suns have noticed our activities. They\'re getting ready to mount a full attack, I think. But we\'ll be ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '148', 's_b9f936b3', 'Always. But there\'s no heavy lifting involved. I want you to just take a patrol.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '149', 's_ba3977c', 'With a capital T. Let\'s see what we\'re dealing with.  We\'ve got intel on the locations of several Hidden Dagger ships in the Dathomir System. We need to take them out. And I think you\'re the pilot for the job.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '150', 's_bb1b5c31', 'Ready for your duty pay?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '151', 's_bb3bc739', 'I could use a refresher. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '152', 's_bc0e2727', 'It\'s what they pay me for. And this plan isn\'t so crazy. We\'re just going to deal with the Hidden Daggers, once and for all.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '153', 's_bc808f0b', 'One of the leaders of the Hidden Daggers.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '154', 's_bc944dc4', 'I want to learn droid intelligence theory.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '155', 's_bd3e62ad', 'For now, I want you to join forces with my other CorSec fighters. We need your help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '156', 's_be7682ed', 'Where does it say I have to go?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '157', 's_be78b6f8', 'Ah, %TU, good to see you. I wish I had time to give you a warmer welcome, but I\'m afraid you have to get started right away. Allow me to give you a briefing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '158', 's_be919187', 'Commander Ramna tells me you distinguished yourself.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '159', 's_bf7ca96d', 'Neither do I. But until they make a move, it\'s business as usual. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '160', 's_c08d38c9', 'Exactly. Don\'t know why the flunkies haven\'t figured that one out yet. The Suns must pay well.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '161', 's_c09d4fa5', 'But another Black Sun will just step into his shoes!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '162', 's_c13ffa70', 'It would seem that Admiral Burke is looking for pilots from the CorSec to assist the Alliance in a highly sensitive operation. Not surprisingly, he makes no mention of what that operation is to be. But he does mention that I should only send the best, which means that it is highly dangerous.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '163', 's_c1e97adf', 'You won\'t be making any friends up there, that\'s for sure. Just keep your eyes open, and you\'ll be all right. Report back to me when you\'re through.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '164', 's_c1ff5062', 'I\'m looking for a mission. Do you have any?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '165', 's_c56e5a39', 'I hope you don\'t forget ME when we start working together.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '166', 's_c5a03378', 'I need you to give it another shot. This is important.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '167', 's_c5f93f4', 'He is one of the most powerful men in the Imperial Navy. When he speaks, people listen. I have never seen a Grand Admiral issue an order to our corps before, so it must be something important.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '168', 's_c71818a8', 'This time I\'ll take care of them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '169', 's_c81aa963', 'Nice work, %TU. That wasn\'t easy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '170', 's_ca51315f', 'Always.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '171', 's_cad40f33', 'Where can I find Admiral Burke?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '172', 's_cc4b75d1', 'Not bad.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '173', 's_cce691a5', 'I don\'t think you need to check your closets before you go to sleep at night, if that\'s what you mean. The Suns just need hired guns. But these are professionals; we can\'t take them lightly. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '174', 's_cd2c7c7', 'What does the order from the Empire say?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '175', 's_cd9ca17f', 'The Black Suns are mounting an attack. They are moving on our position now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '176', 's_ce57a3fe', 'That\'s right. It\'s possible that they\'re working with the Black Suns.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '177', 's_d0fd857b', 'I\'ll take it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '178', 's_d1be90a9', 'What\'s the plan?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '179', 's_d2a15608', 'So I have to go and help the Empire?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '180', 's_d3f6b302', 'Just give me a shot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '181', 's_d4c1c824', 'You\'re doing a great job so far. I have a plan. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '182', 's_d55f2579', 'I\'m ready to go.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '183', 's_d5f02c52', 'Better get to work. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '184', 's_d6593a09', 'Neither do I. That\'s why I\'m sending you. You\'re the best.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '185', 's_d9cced1f', 'Absolutely.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '186', 's_da33670a', 'Eventually, we\'re going to mount a full attack against the Black Suns. But first, we\'re going to isolate them. The Suns have been busy, building alliances.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '187', 's_db8b8333', 'You\'re a good pilot. You\'re only going to get better - as long as you keep studying. Pick a skill.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '188', 's_df5cb938', 'Commander Ramna\'s looking for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '189', 's_dffc2e23', 'Now let\'s get you up to speed. Things have been going well against the Black Suns so far.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '190', 's_e16cb1fa', 'I want to learn heavy starship component use.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '191', 's_e20b6ab5', 'Have you ever heard of the Hidden Daggers?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '192', 's_e53904e6', 'You\'re quite a pilot, %TU. I\'ll see you soon.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '193', 's_e796f3ec', 'Come see me when you\'re ready for another mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '194', 's_e807e589', 'And what are we going to do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '195', 's_e8d7e137', 'I\'m flattered. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '196', 's_eb363f92', 'Time is wasting, %TU. Ready for your next assignment?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '197', 's_ed52d8f6', 'They\'re still a threat, no doubt about it. But we\'ve found a way to deal with them, thanks to you. So we\'re hitting the Suns from below. Now it may be time to hit them from above.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '198', 's_ed86e89f', 'Do I need to find another pilot?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '199', 's_ef2b1c74', 'Stick with it. You\'ll be earning some real money soon. You\'ve got a real future ahead of you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '200', 's_f0a6575a', 'Hah! So much for those Hidden Daggers! ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '201', 's_f0f1c03e', 'See you around.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '202', 's_f2a6dda8', 'Do you mean to tell me I\'m going to assassinate an assassin?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '203', 's_f4176967', 'What did you have in mind?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '204', 's_f50bf532', 'Who sent them?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '205', 's_f69ff117', 'What will I be facing up there?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '206', 's_f7f133e1', 'Get out of my sight.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '207', 's_fb7fd141', 'We\'ve also got a Black Sun Transport up there. I could use your help in bringing it back to base. It may be carrying some useful information.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '208', 's_fbe69616', 'That\'s it? That\'s all I have to do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '209', 's_fbff7add', 'The request came in from the Alliance - an Admiral Willham Burke sent it. And oddly enough, the order came in from Imperial High Command. It is signed Grand Admiral Nial Declann. It is very rare that we have any communication with the Imperial Navy, much less a Grand Admiral.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '210', 's_fc27931b', 'Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '211', 's_fc9e5d39', 'Don\'t we all! We\'re making headway. For now, though, take a break. Here\'s your duty pay. Take it down to the cantina. They\'ll like the color of your money.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '212', 's_fcab4be0', 'Good idea.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '213', 's_fee63808', 'Then, of course, you\'ve got your basic civic-duty assignments. A mining transport is moving through Dathomir space. They need an escort; the Daggers are always interested in transports.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_tier4.stf', '214', 's_ff224692', 'It\'s done. That\'s all that matters.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '1', 'do_not_edit', 'The English version of this file (corellia_privateer_trainer.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '3', 's_133a724d', 'Are you going to train me after this?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '4', 's_1418de80', 'Of course');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '5', 's_15502961', 'Nothing to worry about here, sir.  CorSec has the area well secured.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '6', 's_198b5a97', 'I\'ve given you the control codes to a basic ship. The codes are visible in your datapad. Open your personal datapad, and review your ship status before you launch.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '7', 's_1a1a36a3', 'Completely out of the question with your history.  You\'re going to have to clean up your act before you can join CorSec.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '8', 's_1a7f1a1b', 'Yes I am. What duty missions are available?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '9', 's_1c76874e', 'I was attacked!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '10', 's_1fc4c648', 'Very well.  Please review this information and report back to me when you are ready to continue your work for CorSec!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '11', 's_221daf73', 'Escorting Merchants');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '12', 's_257f178d', 'It was a snap.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '13', 's_27d40413', 'Maybe next time then.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '14', 's_28435d2', 'Tell you what, %NU.  Kill that pirate leader and YES, I will train you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '15', 's_2883b989', 'Not right now, thanks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '16', 's_2b418533', 'Perhaps you\'ll turn your life around, decide to be a part of the solution instead of a part of the problem.  When you\'re ready to help enforce the law instead of breaking it, come see me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '17', 's_2bbff5e2', 'When you\'re finished with your first mission - fly back to the \'launch waypoint\' that we automatically add to your datapad. Communicate with the space station and indicate that you want to land.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '18', 's_2c6a1c50', 'I\'m sorry, but I\'m afraid it\'s completely out of the question with your history.  You\'re going to have to clean up your act before you can join CorSec.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '19', 's_2f9db7a', 'Maybe.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '20', 's_333f5da9', 'What are you doing talking to me?  Isn\'t there somewhere you\'re supposed to be?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '21', 's_342d1bdf', 'It\'s completely out of the question with your history.  If you want to work for CorSec then you\'re going to have to clean up your act.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '22', 's_3557fc9f', 'Nothing to it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '23', 's_360d8728', 'No thanks');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '24', 's_36adcd36', 'What?  Are you sure?  You\'d make an excellent candidate.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '25', 's_370822d1', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '26', 's_3f62bf0', 'Right, those merchants rely on us to provide them with safe passage through the Corellia system.  Just keep escorting them through.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '27', 's_40061f60', 'CorSec is Corellia\'s local Security force.  As you know, Corellia is officially neutral in the Galactic Civil War... or at least as neutral as a world can be in this day and age.  We provide defense and law enforcement for the entire Corellian system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '28', 's_40617d3', 'Indeed.  Do you have your own ship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '29', 's_429077be', 'You\'re never going to make a dent in the frequency of piracy in the Corellia system until you take out their leader!  Now get back out there and destroy the leader\'s ship!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '30', 's_457a7010', 'No');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '31', 's_46ea46ad', 'We\'re quite satisfied with your level of performance.  I think it\'s time you learned a bit more, though.  Now tell me, what area of knowledge are you most interested in?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '32', 's_4801be96', 'So, you were ambushed as you ran that patrol.  We need to hit them hard to send a message... make an example out of them.  I\'m going to send you in to run that scum out of the system. I am uploading some possible waypoints into your nav computer, destroy any Black Sun you find.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '33', 's_4906b993', 'What is CorSec?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '34', 's_4a1d2431', 'Yes, I\'m ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '35', 's_4e95069b', 'You\'re going to need a ship, if you\'re going to fly for CorSec.  I\'ll add the Ship Control Codes to your datapad for you.  It\'s not a great ship, but it will get you around.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '36', 's_4ffb02bd', 'Go to the starport. Inside the starport you will find a number of \'starship terminals.\' Interface with the terminals in order to launch your starship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '37', 's_5091cb8e', 'Ah... no I don\'t.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '38', 's_580337ba', 'Very well, then please move along.  I am very busy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '39', 's_5b8a384b', 'I\'m sorry, unless you are a member of the CorSec, there\'s very little that I can do for you. You may want to try speaking to your own contacts if you\'re looking for a mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '40', 's_5cdbbd1f', 'What happened to you?  Never mind, never mind.  Get back out there and finish that patrol.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '41', 's_5e4ebfca', 'And when I\'m done?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '42', 's_5e6c7400', 'You are definitely ready to move up.  So tell me, what area interests you the most?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '43', 's_60c4f974', 'Where do I go?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '44', 's_6106187c', 'What is a duty mission?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '45', 's_614b71f0', 'I see...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '46', 's_6276c98', 'No, but how about some training?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '47', 's_63a61222', 'We don\'t let just anyone join.  There\'ll be a background check of course.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '48', 's_64b308bc', 'That\'s ridiculous!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '49', 's_68660d24', 'I need to take care of some things first.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '50', 's_698d80f7', 'Sorry, but you don\'t look like a pilot to me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '51', 's_7396ebcf', 'Not at all.  We can\'t have thugs and ne\'er-do-wells joining CorSec.  We\'re here to provide security for the citizens of Corellia!  Now, this will only take a moment... Ah... You\'ve got a pretty clean record here.  I can assure you that it\'d improve once you\'re flying for CorSec! Are you ready to begin?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '52', 's_746a1bed', 'Ok.  Bye.  Come see me if you change your mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '53', 's_77e48d5b', 'What do you mean?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '54', 's_7df39542', 'This will only take a moment... Oh... Wow!  You\'ve got an excellent track record.  I guess you\'ve tangled with your share of criminals and thugs in your day. Are you ready to begin?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '55', 's_80a724aa', 'Well now, I think that does it. Are you ready for your first assignment?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '56', 's_8358aeb7', 'Very well.  Let me know if you change your mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '57', 's_844a124b', 'Piracy in this system has increased 17 percent since you signed-up!  This is inexcusable!  Now get out there and complete that patrol!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '58', 's_8523e1fc', 'I\'m interested in basic training.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '59', 's_898027d6', 'Don\'t worry, this will only take a moment... Ah... You\'ve got a pretty clean record here.  I can assure you that it will improve once you\'re flying for CorSec! Are you ready to begin?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '60', 's_8acaf405', 'Positive.  I don\'t want to join CorSec');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '61', 's_8b451c3f', 'All right.  But you\'d better clean up your act if you ever change your mind.  We can\'t have CorSec members with your kind of history.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '62', 's_8b8a1542', 'That\'s bad news, but this is just the reason why CorSec is needed!  Go back out there and take out those pirates.  Defending this system from pirates and killers is all up to us.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '63', 's_8e1ed7f0', 'Enough of this!  Every time we send you out, you find more pirates.  We need to go straight to the source of the problem:  Their leader.  I know you\'re up to this:  Go find the pirate\'s leader and take him out.  Let the rest of them go to the outer rim if they want easy prey.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '64', 's_8e5b619a', 'Oh no, not quite so fast, %NU.  You complete a few more assignments and then we\'ll see about getting you some training!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '65', 's_90ec63e0', 'Yes, I do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '66', 's_926359dd', 'Excellent job taking out those pirates.  No doubt, this won\'t be the end of them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '67', 's_95d0a1f6', 'An assignment?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '68', 's_964fb39a', 'Just to be sure that\'s the last of them, we need you to run another patrol.  It\'s a little longer than the last one, but you already know how crafty those criminals can be.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '69', 's_984b22b', 'I don\'t think so');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '70', 's_9e417b37', 'The Pirate Leaders');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '71', 's_9e5f75be', 'You\'ve got your assignment and the control device for your ship in your datapad.  Go to the Starport and access the terminal to launch into space.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '72', 's_a48c20c8', 'What\'s on your mind, officer? Thinking about performing some duty missions?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '73', 's_a78a4ac3', 'What do I do now?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '74', 's_a927c891', 'What\'s next?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '75', 's_af22b9b2', 'I guess so.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '76', 's_af264a19', 'I love being a starfighter pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '77', 's_b06e1df9', 'Don\'t worry, this will only take a moment.  We do need to ensure you\'re not some sort of criminal... Ah... Well according to this you haven\'t exactly been the most law abiding citizen on Corellia... Are you certain you want to join CorSec?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '78', 's_b7fc5e5d', 'I\'m interested in droid interface basics.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '79', 's_b9b27823', 'Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '80', 's_bdd269be', 'What ship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '81', 's_be5a7539', 'This will only take a moment... Ah... Well according to this you\'ve run into a problem with the law.  Are you certain you want to join CorSec?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '82', 's_c06c7aa9', 'I\'m interested in basic fighters.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '83', 's_c1ff5062', 'I\'m looking for a mission. Do you have any?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '84', 's_c35e70d2', 'Nothing right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '85', 's_c697d2d5', 'Certainly. Just come speak with me again when you\'re ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '86', 's_c8c21783', 'In that case, move along.  We\'re very busy here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '87', 's_c91ba06e', 'Not just yet, %NU.  I have just a few more things for you to do before you get any training from me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '88', 's_c9f74b42', 'Greetings, citizen.  Keep your nose clean and we won\'t have any trouble.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '89', 's_cc53ba8f', 'Alright, your first assignment is to run a simple patrol.  From time to time pirates move into the area and harass merchants in our system. Just run this simple patrol and make sure there\'s no criminal activity going on.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '90', 's_cd44e585', 'Listen, something important has come up.  The captain wants to speak to you right away!  Go speak to Captain Rikkh in the next room.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '91', 's_cda1bb94', 'Yes. You have your first mission, now. You\'ll need to fly into space to complete it. Start by launching your starship at the starport.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '92', 's_cebaf0db', 'You\'re right.  No sooner do we eliminate one leader than another shows up.  Take out the Corellian Space Pirates!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '93', 's_cec02f8', 'Not at all.  We can\'t have thugs and ne\'er-do-wells joining CorSec.  We\'re here to provide security for the citizens of Corellia!  Now, this will only take a moment... Oh... Wow!  You\'ve got an excellent track record.  I guess you\'ve tangled with your share of criminals and thugs in your day. Are you ready to begin?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '94', 's_d1431f95', 'I\'m interested in basic starship component use.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '95', 's_d43b2932', 'Duty missions are a good way for you to get experience as a pilot. Only experienced pilots can receive the proper training to learn new skills and abilities.There\'s no real final objective so you can end the mission whenever you want. So, would you like to take a duty mission?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '96', 's_d6a6a9fc', 'Well, merchant freighters are always in need of escorts, or if you like you can help in the fight against the pirate leaders. What interests you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '97', 's_d72a0d47', 'Not at all.  We can\'t have thugs and ne\'er-do-wells joining CorSec.  We\'re here to provide security for the citizens of Corellia!  Now, this will only take a moment... Ah... Well according to this you\'ve run into a problem with the law.  Are you certain you want to join CorSec?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '98', 's_dadaabf', 'As a matter of fact, I do have some duty missions that you could perform. Who knows, maybe if you do well, you might be invited to join the CorSec. Are you ready for a duty mission?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '99', 's_db7653ed', 'Excellent choice.  Review this information regarding your new skills, and report back to me when you\'re ready for another assignment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '100', 's_dc993cdb', 'Ha!  That\'ll show those thugs that CorSec is not to be trifled with.  You\'re really going to go places in this organization, I can tell already.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '101', 's_ddfbd948', 'Well then. I think that about does it. Are you ready for your first assignment?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '102', 's_deaabd84', 'Oh.  No thanks');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '103', 's_e0dfe067', 'Very well.  I\'ll go ahead and sign you up.  Do you have your own ship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '104', 's_e107077e', 'Yes I am');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '105', 's_e258dc9b', 'You\'re right.  Sign me up!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '106', 's_e5c453e0', 'You\'re not ready for more training yet. But duty missions are a good way of getting good experience so that you\'ll be ready for training soon. What do you say? Are you ready to try a duty mission?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '107', 's_e926d5f0', 'Almost, %NU.  I have just a couple more things for you to take care of before you can be trained further.  Starting with that patrol...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '108', 's_ea3dcf32', 'Don\'t worry, this will only take a moment... Oh... Wow!  You\'ve got an excellent track record.  I guess you\'ve tangled with your share of criminals and thugs in your day. Are you ready to begin?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '109', 's_ebb99364', 'There are too many pirates in this system!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '110', 's_ee2895df', 'This will only take a moment... Ah... You\'ve got a pretty clean record here.  I can assure you that it will improve once you\'re flying for CorSec! Are you ready to begin?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '111', 's_f053b088', 'Excellent work!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '112', 's_f176d13', 'Oh?  Well.  Ok.  Come see me if you change your mind.  We could really use you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '113', 's_f3fdecfc', 'Then I will add you to the roster.  Do you have your own ship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '114', 's_f42d051f', 'Maybe not.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '115', 's_f518ba4f', 'Hello!  Come to join the ranks of CorSec?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '116', 's_f8026f5d', 'Excellent work with that escort.  It\'s a good thing you were running that patrol, or there\'s no telling what might have happened to them.  I\'ve got a little something extra for you, too.  It\'s a mercenary bandolier.  It\'ll help you keep your things organized.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer.stf', '117', 's_ff684aed', 'Ah, I\'ve heard of you!  You\'re not a bad pilot from what I understand. What can the CorSec do for you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '1', 'do_not_edit', 'The English version of this file (corellia_privateer_trainer_2.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '3', 's_106e3dbb', 'I know you will.  Report back when you\'re done.  When you\'re SUCCESSFUL this time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '4', 's_12da4881', 'Yeah, well, they can\'t all be gems.  Anyway I\'d better get back to work.  Take care, %NU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '5', 's_13b10809', 'Travel to Lok Space and protect a transport that has gotten between some Imperial and Rebels.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '6', 's_158a5883', 'I don\'t believe you');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '7', 's_158b60f', 'Just fine');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '8', 's_163ba63a', 'You\'ve earned it!  Now go out on the town and catch yourself some rest and relaxation.  You look terrible!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '9', 's_169df3bb', 'Never mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '10', 's_178d46a1', 'Good.  Choose an assignment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '11', 's_18206937', 'I\'ll try being nicer if you\'ll try being smarter.  Not get back to Yavin and complete your mission!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '12', 's_19104bb', 'I don\'t have all the details.  Suffice to say that sometimes CorSec needs to be a little more proactive.  We can\'t always wait for trouble to come to us.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '13', 's_1c0972b6', 'Did you get the shipment orders?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '14', 's_1c81fc8b', 'Or how about this:  It says \'Problem:  Hyperdrive volume is unbelievably loud\'.... \'Solution:  Hyperdrive volume adjusted to more believable level.\'');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '15', 's_1c8bddbb', 'What is it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '16', 's_1d843b61', 'You\'re much too good a pilot to waste on the trivial tasks that I could assign you.  We need you in Lok.  Now!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '17', 's_1e666f74', 'Equipment malfunction');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '18', 's_1f3b7ea2', 'Git!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '19', 's_225d3518', 'What are you waiting for?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '20', 's_264b3207', 'You said it!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '21', 's_26de1778', 'You don\'t believe me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '22', 's_285c3698', 'I do have some elective duty missions, actually. They\'re not the most exciting work, but they do need to be done. Take a look and tell me what you want to do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '23', 's_28ea80d', 'Recovery Duty');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '24', 's_2b10fbeb', 'Good choice.  Your new abilities will come in handy for this next assignment.  Go escort a freighter through Yavin Space against Rebel aggressions.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '25', 's_2d247e7b', 'Ha ha!  Ok, I made that last one up...  But there is SOME kind of comedian working in the maintenance hangar!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '26', 's_2ef8d174', 'Look, the key to success is to shoot the enemy before the enemy shoots you.  Now get back to Dantooine and kill that spicer!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '27', 's_30350c6', 'I\'ve heard it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '28', 's_315cee58', 'Of course I\'m right!  Now don\'t you hesitate to see me again the very moment you\'re available for duty.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '29', 's_32103432', 'I have a special assignment for you.  Fly to Lok and inspect a Nym Cannon Ship for Shipment Orders.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '30', 's_322b6b69', 'No, what about it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '31', 's_32e9d36a', 'Can\'t it wait?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '32', 's_334bc', 'Hey now!  Are you threatening me?  I\'ll have you know this old slice hound still has a bite.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '33', 's_346ddf', 'You know Corellia\'s officially neutral in the civil war, right?  Well the Imperials seem to have a hard time remembering that.  Go out there and \'remind\' them they aren\'t welcome as a military power in the Corellia system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '34', 's_36961caf', 'Wrong answer, %NU.  But I\'ll give you a hint, it involves you, Dantooine, a spice runner, and a successful mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '35', 's_36f60ccb', 'That\'s what we want to know... Just what is he shipping around, and who is he doing it for... and that\'s what you\'re going to find out!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '36', 's_370822d1', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '37', 's_3880d2bf', 'I need a hyperdrive');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '38', 's_39bc34a9', 'Hey, %NU, did I tell you about the maintenance report I just received?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '39', 's_3a126327', 'No plan survives initial contact with the enemy!  But I take it you were successful anyway.  I\'ll credit your bank for services rendered.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '40', 's_3b2fdc7f', 'Will do!  Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '41', 's_3b83352c', 'On my way');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '42', 's_3cfd3bb4', 'You\'d BETTER stop mocking me');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '43', 's_3e869ab', 'Good!  How about NOW?  Is NOW good for you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '44', 's_40e66be3', 'I\'ll try');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '45', 's_4165de51', 'Good choice.  Now I have a special assignment for you!  Go to Dantooine Space and destroy a Hutt Transport.  The Hutts are making a large spice shipment through that system and we do not intend to let it reach its destination, which could very well be Corellia.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '46', 's_41e79b8c', 'Woah!  Woah!  Woah!  Slow down, there!  I was just kidding around with you.  Take it easy!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '47', 's_447b4291', '%TU!  Long time no see.  I\'ve heard Commander Ramna was quite pleased with your performance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '48', 's_44bc6772', 'Fantastic.  Don\'t forget:  If the enemy is within range, so are you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '49', 's_457a7010', 'No');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '50', 's_46cf37e9', 'The Imperial just shrugged and said, \'Yeah, that\'s what your buddies were trying to tell me.\'');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '51', 's_47fde4be', 'The Imperial just shrugs and says, \'Oh really, I didn\'t know that.\'  So the Corellian goes back to his buddies and tells them, \'I insulted Darth Vader and he didn\'t even care\'.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '52', 's_485284b6', 'I\'ll try again');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '53', 's_4e3437a8', 'Oh, YOU\'RE busy.  You think I don\'t work here?  Come talk to me when you\'re ready for an assignment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '54', 's_4e6f47aa', 'Oh.  Ok... heh, guess I\'m getting to be old, telling the same old jokes over and over.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '55', 's_4e94fa0f', 'Try again?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '56', 's_501489d2', 'All according to plan');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '57', 's_513aa336', 'No I\'m not.  And they get worse!  This one says \'Problem:  Boosters not operational.\' and then \'Solution:  Boosters will not work in OFF mode.\'');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '58', 's_51b81b00', 'They were too strong for me');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '59', 's_523e23b2', 'Here I am!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '60', 's_52467dab', 'I\'ll destroy them');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '61', 's_529c014', 'You\'re a cold man, %TU.  Come see me when you\'re ready for your next assignment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '62', 's_530a5a44', 'Are you insane?  The weather there is terrible, the food tastes awful and the locals are all rude.  Talus is practically a backwater compared to Corellia.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '63', 's_53b9240e', 'Ha ha!  Ok, enough goofing off.  I better get back to work.  Enjoy your visit to Corellia.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '64', 's_53de9d8f', 'Like what?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '65', 's_546d249e', 'You\'re a cold woman, %NU.  Come see me when you\'re ready for your next assignment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '66', 's_56e162f2', 'Escort Duty');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '67', 's_5715d65c', 'Lots.  What do you WANT to do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '68', 's_584a90f8', 'You\'ve done an excellent job for me, %NU.  I can see that you are ready for more training.  What are you interested in learning?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '69', 's_5b1bed8b', 'Well?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '70', 's_5b5ed110', 'Pilot error');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '71', 's_5d262b71', 'You are here for work now, yes?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '72', 's_5d3166b9', 'Everything is fine here. Nothing wrong at all.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '73', 's_5e86fa24', 'Well, soldier, how did things go?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '74', 's_5f5f76b5', 'We\'re fighting the Rebel Alliance now?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '75', 's_5fa9a5d3', 'Thanks');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '76', 's_60fbb41a', 'I like you.  You remind me of when I was young and stupid.  Listen up, you\'d better start taking this job seriously!  We need those orders.  Go get them.  Now!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '77', 's_61189bfc', 'One work-order for the maintenance crew lists the problem as \'Something in cockpit is loose\'.  Guess what the maintenance workers wrote as the solution?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '78', 's_622194e2', 'I know that\'s not the most glamorous assignment, but when duty calls, we\'ve got to answer.  Am I right?  Or am I right?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '79', 's_658107f', 'I can see you\'re busy.  Come talk to me when you\'ve got some time.  I can always use your services.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '80', 's_65c6992e', 'Yes, I am ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '81', 's_6782f928', 'Excuses, excuses.  Maybe you need to stop buying your equipment from the lowest bidder.  Splurge a little.  Get something that won\'t break-down on you.  And then get back to Dantooine and destroy that spicer!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '82', 's_6adcde65', 'How did that escort go?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '83', 's_6adec6b0', 'Of course!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '84', 's_6d4db3b5', 'What\'s wrong with the one you\'ve got?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '85', 's_6f9a9967', 'I blew it to bits');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '86', 's_71b485e4', 'Then don\'t just stand around here talking to me, get back to Yavin and see that the ship makes it through!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '87', 's_7282cf08', 'Oh yes, I know what you mean... there\'s no place like Corellia.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '88', 's_737b617c', 'I want to learn about intermediate starship components.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '89', 's_74f806bd', 'Just visiting');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '90', 's_76c3352e', 'So, one of the Corellians walked over to the Imperial, taps him on the shoulder, and says, \'Hey, I hear your Darth Vader is a spice-fiend.\'');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '91', 's_771cfc6b', 'Escort mission a success?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '92', 's_7b2e95f6', 'I will always cherish the initial misconceptions I had about you.  No it can\'t \'wait\'!  You think they\'re just going to cruise around waiting for you to go blow \'em up.  Get out there!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '93', 's_7b7644f7', 'Nonsense!  You can do this!  Go back to Dantooine and eliminate that spice runner!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '94', 's_7b7fb169', 'It\'s not that I don\'t think you\'d do a good job, but I don\'t have anything to assign right now. You may want to try talking to your own contacts.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '95', 's_7d351971', 'No, no, of course not.  Corellia is officially neutral in this little war.  But if they think that means they and the Empire can divide every resource in the galaxy then they\'ve got another think comin\'.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '96', 's_7f5b2aa', 'Fantastic!  And remember, if you lose contact with the enemy, look behind you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '97', 's_80ccf8a6', 'Not quite yet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '98', 's_80e4a5f8', 'Well come on, %NU.  I was born at night, but not LAST night!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '99', 's_8125b624', 'Looking for Adwan Turoldine');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '100', 's_81b96b70', 'We want you to disrupt operations for Nym in his home system.  Go destroy spacecraft under his control.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '101', 's_82d13497', 'I\'m busy');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '102', 's_82d6265', 'Bwaahahahaaha!  Oh I really had you going, there!  I thought you were going to hit me!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '103', 's_82e1c248', 'What kind of orders?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '104', 's_8416980e', 'Perfect!  I\'ll turn these over to Intelligence.  I\'ve got your payment right here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '105', 's_84be4b94', 'Why Lok?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '106', 's_84cdd613', 'Something like that');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '107', 's_8694eb3f', 'You\'re right about that!  Unfortunately I don\'t have any better ships to spare.  You\'ll just have to buy a better ship yourself.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '108', 's_87bedbc6', 'Well, if it isn\'t %TU. I\'ve heard your name around the pilot\'s lounge a few times. What can I do for you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '109', 's_8860b099', 'Good choice.  No doubt that will come in handy for this next assignment. We want you to disrupt operations for Nym in his home system.  Go destroy spacecraft under his control.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '110', 's_8aec791d', 'Correct in one guess!  Let me know how it goes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '111', 's_8bec44d9', 'Oh really... then tell me, WHY DIDN\'T IT ARRIVE?  I think you\'d better get back to Yavin and take care of business!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '112', 's_8c00922e', 'What if it\'s not bound for Corellia?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '113', 's_8c0b08bf', 'That\'s right, \'never mind\'!  Another outburst like that and I\'ll have you on report!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '114', 's_8cd19baf', 'Nym\'s ships have been expanding their operations all the way out to Yavin 4.  We want to put a stop to that, but more importantly we want to recover the cargo he\'s been swiping from Corellian freighters!  Go recover that cargo in the Yavin system!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '115', 's_8e2edcbe', 'If you say so.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '116', 's_8e80e129', '%NU!  My favorite pilot.  Did you stop the transport?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '117', 's_8ed520f1', 'That was terrible');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '118', 's_8f8348b9', 'You don\'t have to yell');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '119', 's_900f01d1', 'What?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '120', 's_906e4829', 'Next time I\'ll rip your arms off');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '121', 's_920404b6', 'Those can\'t be real reports');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '122', 's_9208410d', '...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '123', 's_95667986', 'Do what you need to do, then hurry up and come back. We need your help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '124', 's_98dba2b6', 'I need a better ship');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '125', 's_99251349', '(Laugh)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '126', 's_9b99e4ac', 'Can\'t I just do some duty missions for you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '127', 's_9be69a2e', 'I LIKE you, %NU.  You\'ve got the tenacity of a Bull Rancor!  But enough of this joking around... I\'ve got to get back to work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '128', 's_9e4b1a6c', 'You are not a very good liar, %NU.  And that\'s good, since you don\'t seem to be a very good pilot, either.  Now get back to Lok and get us those shipment orders!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '129', 's_9e576266', 'OK, ok!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '130', 's_9e85f6f2', 'Why not?  We\'ve got bad guys to catch, stolen cargo to recover, Imperial oppression to resist... you think Corellia is just going to magically secure itself?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '131', 's_9f5f269', 'No problem');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '132', 's_a34ecd3', 'Alright.  Well, I better get back to work.  Don\'t be a stranger!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '133', 's_a5293421', 'One of his buddies says, \'You just don\'t know how to get to him.  Watch this.\' and he goes over to the Imperial and says, \'Hey, I hear your Darth Vader was a lying, cheating, idiotic, low-life scum!\'  But the Imperial still just shrugs and says, \'Oh, really?  I didn\'t know that.\'');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '134', 's_a635c8aa', 'Turoldine?  Why... he\'s stationed on Dantooine, I think.  Not Corellia!  Look for him in the Mining outpost.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '135', 's_a785d6d0', 'Then you\'d best be on your way, right?  Back to Lok!  Get those orders!  No time like the present!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '136', 's_a80d9308', 'Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '137', 's_a87fc3e8', 'I want you to travel to Lok and see Commander Ramna.  She\'ll probably be holed-up in Nym\'s cantina...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '138', 's_a9839037', 'No, it just malfunctioned');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '139', 's_aa58928c', 'I want to learn about reactor engineering algorithms.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '140', 's_aad866ad', 'You\'ll just have to learn to deal with it... or buy a better ship.  Now are you ready for work or not?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '141', 's_aba61e8d', 'Hey, stop me if you\'ve heard this one.  Three Corellians see an Imperial at the starport.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '142', 's_ac638560', 'Ha ha!  Ok, I made that last one up...  But there is some kind of comedian working in the maintenance hangar!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '143', 's_aeca6ebc', 'I have the shipment orders');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '144', 's_af6c7acb', 'I don\'t mind');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '145', 's_b09fd902', 'You\'re doing well, Pilot. But there is still more to be done. Are you ready to get back to work?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '146', 's_b0a6b1e2', 'How about this one: \'Dead bugs found on windshield.\'  Solution:  \'Live bugs on order\'.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '147', 's_b31da30c', 'Not very well');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '148', 's_b3b93f51', 'Oh, you really had me going there.  I thought you were going to rip my arms out the sockets.  Enough joking around though, I\'ve got to get back to work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '149', 's_b3c84ab4', 'Then what happened?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '150', 's_b41e5c00', 'Meh.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '151', 's_b60183cf', 'Go escort a freighter through Yavin Space against Rebel aggressions.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '152', 's_b6a04af3', 'Roooaaaaaawwwwr!!!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '153', 's_b6b1c40a', 'Not really');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '154', 's_b978843d', 'I\'m looking for a mission. Do you have anything I can do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '155', 's_b9fa1db9', 'She can be a tough one to work with, but she\'s a good officer.  Anyway, what brings you back to Corellia?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '156', 's_ba11bd82', 'And?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '157', 's_baddec82', 'Oh that\'s terrible.  You\'ve got to get back to Lok and destroy that ship!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '158', 's_bc8bf5b3', 'Never mind');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '159', 's_bc99a4d2', 'It\'s weak!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '160', 's_bcdf778f', 'Ok, see ya.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '161', 's_be500111', 'Don\'t get all huffy!  You\'re doing a fine job for Corellian Security and don\'t let anyone tell you otherwise!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '162', 's_bf7ea071', 'I want to learn about advanced fighters.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '163', 's_c16a57f5', 'Good job!  Nothing more satisfying than that, right?  I\'ve got your pay right here.... along with some news.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '164', 's_c1ef4b1', 'Good choice.  Now I have a special assignment for you.  Fly to Lok and inspect a Nym Cannon Ship for Shipment Orders.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '165', 's_c261cfae', 'No problem.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '166', 's_c42bff89', 'Why Nym?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '167', 's_c545bb40', 'No I am not');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '168', 's_c6673868', 'I want to learn about starship defense techniques.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '169', 's_c66d1ef2', 'If you\'re expecting I won\'t set my rank aside for the two seconds it takes to give you a beating, you had better think again!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '170', 's_c7b73029', 'Don\'t worry, %NU... there won\'t be a next time... I\'ll remember not to mess around with you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '171', 's_c9a83e17', 'Oh come on!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '172', 's_ccadbca4', 'Enough joking around though, %NU.  I\'ve got to get back to work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '173', 's_cd482bef', 'I lied, I didn\'t get them');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '174', 's_cd54e85d', 'Because although he\'s not the worst pirate in the world, he does a fair bit of smuggling, piracy and assorted other criminal acts.  If we\'re going to have to tangle with his thugs, we\'d rather do it on his own turf.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '175', 's_cfa2d559', 'Will do');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '176', 's_d21a7a71', 'I failed');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '177', 's_d24a2285', 'Will do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '178', 's_d338fc9a', 'And what are you going to do about it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '179', 's_d52f0739', 'That\'s what I thought!  Now get out of here and spend your hard-earned pay on Vasarian Brandy and Dancers.  Ha ha!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '180', 's_d73a1a1e', 'I was!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '181', 's_d8652774', 'I have a special assignment for you!  Go to Dantooine Space and destroy a Hutt Transport.  The Hutts are making a large spice shipment through that system and we do not intend to let it reach its destination, which could very well be Corellia.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '182', 's_da7c5706', 'I\'m not a mercenary!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '183', 's_db7bbbdf', 'You\'re about to bite off more than you can chew, %TU!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '184', 's_dd46f361', 'Well that explains the way you dress.  So, PILOT, was the mission a success?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '185', 's_df44b897', 'Oh tell me another one!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '186', 's_e00ac98e', 'What happened?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '187', 's_e107077e', 'Yes I am');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '188', 's_e119b0aa', 'Yeah.  These are tough times, though.  We\'ve got to preserve Corellian interests no matter WHAT it takes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '189', 's_e3064ba1', 'Equipment malfunction?!  Let me guess... someone shot your equipment and it exploded?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '190', 's_e5e96bc7', 'Head up to Corellia Space and destroy some Hidden Daggers.  Those pirates have been getting a little too bold lately.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '191', 's_e6e4f8fe', 'That\'s the stuff.  Here\'s your pay.  Personally I don\'t care much for fighting the Rebel Alliance OR the Imperial Navy... seems like too great an opportunity for Corellia to be swept into this war.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '192', 's_ea178ddb', 'Talus is like Corellia');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '193', 's_eb93536d', 'Funny');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '194', 's_ec084dd3', 'Go on');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '195', 's_ecba0095', 'What\'s the good word, %NU?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '196', 's_eea02eca', 'You\'re kidding?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '197', 's_eef93168', 'I don\'t like it either');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '198', 's_f0adaca2', 'I\'m not scared of you');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '199', 's_f1679a90', '(laugh)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '200', 's_f1e77b0c', 'Good!  But just remember, no plan ever survives contact with the enemy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '201', 's_f3327326', 'Ok, hand them over.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '202', 's_f43089c2', 'Excellent!  Good luck, %NU.  And remember, Experience is something you don\'t get until after you need it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '203', 's_f52a7b2d', 'I\'m a pilot, not a soldier');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '204', 's_f613ccdb', 'Ok, what can I do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '205', 's_f68c028e', 'Well then, you\'ve earned your daily credit.  Here you are.  Let me know when you\'re in need of more work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '206', 's_f7394720', 'That\'s the spirit!  Good luck!  And don\'t worry, some day we\'ll look back on this, laugh nervously and change the subject.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '207', 's_f8842e94', 'So he goes back to his Corellian buddies and says, \'You\'re right!  That guy is unshakable!\'  And the third Corellian says, \'I\'ll get him.  Watch this.\'  And he goes over to the Imperial, taps him on the shoulder and says, \'Hey, I heard Darth Vader was a Corellian!\'');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '208', 's_f96e5915', 'It\'s true!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '209', 's_f9c365f7', 'I don\'t know');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '210', 's_f9f9a99', 'It says, \'Something in cockpit tightened.\'');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '211', 's_fa5c5669', 'Destroy Duty');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '212', 's_fb40feab', 'I\'m starting to think our maintenance crew is on the spice.  You wouldn\'t believe some of these \'solutions\' they\'ve entered, here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '213', 's_fb8ba48a', 'I lost them');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '214', 's_fc079db2', 'Still the cocky one, aren\'t you?  Anyway, what brings you back to Corellia?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '215', 's_fd2e713f', 'Oh, you\'re just working out of a sense of duty to Corellia, huh?  Committed to keeping the planet free of outside influence and that sort of thing.  You expect me to believe that?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_privateer_trainer_2.stf', '216', 's_fecb2cbb', 'You\'re right');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '1', 'do_not_edit', 'The English version of this file (corellia_rebel_tier3.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '3', 's_109a5e4a', 'The Empire is sending one of their best fighter pilots here. His orders are simple: terminate our fleet. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '4', 's_11fa74eb', 'Well I\'m very happy to say that you\'re going to be reporting to Warvog Arkon. You two deserve each other. You can find him in Nym\'s hotel. Report to him immediately!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '5', 's_14c18bea', 'It\'s not true!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '6', 's_15c65a41', 'If he tells the Empire about those hangars, they\'ll attack us for sure.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '7', 's_17a593ae', 'Sure, who doesn\'t?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '8', 's_195b98b2', 'I only speak to pilots. Move along now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '9', 's_1aff29b0', 'I\'m going to seriously consider early retirement.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '10', 's_1c95e862', 'It\'s infested with Hutt smugglers.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '11', 's_1dd40de5', 'I\'m doing the best I can! ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '12', 's_1e51cf02', 'Their onboard computers carry valuable information about the system. They know more about Endor than anybody - and that includes Rebel HQ.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '13', 's_1e76a9f3', 'Give me my mission. I can handle anything.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '14', 's_20715042', 'It was that bad, eh?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '15', 's_2168be5a', 'Don\'t get too pleased with yourself. We\'re about to find out what you\'re REALLY made of.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '16', 's_225227ba', 'Will they give us that information?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '17', 's_230806b6', 'And they\'re willing to tell us what they know?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '18', 's_2370b50f', 'How did you do up there?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '19', 's_238ef790', 'Those ships have got to get moving, fast.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '20', 's_23d7a2b6', 'What I MEAN, Pilot, is that you are grounded until further notice. I don\'t think you can be trusted with any Rebel Alliance matters. Reports are, you\'ve been working against us.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '21', 's_26995dc5', 'How did you know? I want you to intercept him in the Dathomir system. Get going.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '22', 's_281a242e', 'Ha! You haven\'t SEEN greatness until you\'ve seen me in action.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '23', 's_292cca3d', 'I AM your best pilot. I\'m just not done yet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '24', 's_2ccbae6', 'Idiot!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '25', 's_2cf76f20', 'The Empire has moved one of their fleets to the Endor system. They think they\'ve got the upper hand. They\'re wrong. The Nym smugglers know all about that fleet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '26', 's_2d6808ba', 'I want to know about advanced space combat.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '27', 's_2d9931cd', 'You can help. I want you to get out there and help those ships with their repairs.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '28', 's_30be37b', 'You\'re welcome. And congratulations, solider. You\'ve been trained by the best. Me! Remember my lessons when your new trainer starts flapping his gums. His name is Warvog Arkon. The man\'s a fool. You\'ll find him in Nym\'s pathetic excuse for a hotel. Dismissed! ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '29', 's_313f990a', 'Sounds like you\'re one of our most arrogant pilots as well.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '30', 's_31a0221f', 'What\'s his ETA?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '31', 's_346f07d4', 'Move on.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '32', 's_36a32229', 'They carry valuable system information in their onboard computers. They know more about Endor than anybody - and that includes Rebel HQ.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '33', 's_3bb82587', 'Are you kidding? This isn\'t kindergarten. We\'re at war, soldier!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '34', 's_3dd2eade', 'I\'m afraid not. You\'ll have to get it yourself - from Hutt smugglers.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '35', 's_41072d99', 'And they\'re willing to share that with us?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '36', 's_4519b6a1', 'You\'re going to Endor. Several ships from our fleet are there. They were forced out of hyperspace.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '37', 's_45ab7a66', 'You don\'t have to be so mean about it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '38', 's_4a2c18a8', 'That is irrelevant. We are sending our best pilot to make sure that he never reaches the Endor system. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '39', 's_4c6cb546', 'The smugglers?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '40', 's_4c82b8a', 'You catch on quick. I want you to get out there and help them with their repairs.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '41', 's_4cff5cf8', 'I just want another mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '42', 's_4f685543', 'We don\'t plan on asking. Your job is to hack into those smuggling ships and get that data.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '43', 's_4fca3087', 'You must stop him. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '44', 's_512343e1', 'You like that mommy treatment? ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '45', 's_535a48bf', 'Is that right?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '46', 's_5688bc93', 'Those Rebel ships are safe now. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '47', 's_57127d49', 'If you screw up again, don\'t bother coming back. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '48', 's_5748a2bb', 'Good. Let\'s cut to the chase. We\'ve learned that there was an Imperial spy operating on Yavin.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '49', 's_5a165de6', 'He already has. And he escaped our forces. He\'s very good - and now he\'s making his way back to the Imperial fleet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '50', 's_5a2f7b49', 'By what?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '51', 's_5c2a6c79', 'Are you trying to say something?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '52', 's_5d8e37f3', 'I was GREAT out there!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '53', 's_5e62a10a', 'Give me a mission! I\'m ready to fight.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '54', 's_5f3f0268', 'No excuses! Get back out there!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '55', 's_6100696', 'All right! I\'ve done the best I can with you. Your transfer has come through. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '56', 's_620547d7', 'Soldiers in my unit must be well-trained in all areas. Where are you lacking? ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '57', 's_660e75ca', 'The smugglers have the information you need.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '58', 's_66eebb00', 'Their opinion doesn\'t matter. Hack into those ships and get that data.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '59', 's_6851e7af', 'What are you talking about? I escorted them out of here myself!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '60', 's_6b7870ee', 'Of course - but first I need data on the Endor system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '61', 's_6c04c8a5', 'Who knows? Could be sabotage. You\'re going to need data on the system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '62', 's_6e641199', 'Several ships were forced out of hyperspace in the Endor system. We suspect sabotage.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '63', 's_6ebb13d3', 'I do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '64', 's_7169d6ae', 'No. They\'re not.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '65', 's_74ea771e', 'Those Imperials didn\'t know what hit \'em.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '66', 's_77e48d5b', 'What do you mean?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '67', 's_7a38a99d', 'You can get that data from Hutt smugglers.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '68', 's_7a70c49d', 'Endor is a dangerous system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '69', 's_7b1ee144', 'We are going to find out how he infiltrated us.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '70', 's_7e4588fd', 'Absolutely. They don\'t like the Empire any more than we do. I want you to make contact with one of Nym\'s smugglers in the Endor system, get the data from him, and bring that information back to our fleet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '71', 's_8137160f', 'Aw. Do you want a hug? ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '72', 's_81c19652', 'Then why are you HERE?! Scram!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '73', 's_83adb39e', 'We\'re through playing defense. It\'s time to hit these Imperials with everything we\'ve got.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '74', 's_84180d3b', 'Sounds good to me!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '75', 's_853538e8', 'I\'m not taking transfers. Return to your unit, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '76', 's_85bda55d', 'Outstanding performance up there pilot, I\'m proud of you, and of myself of course, for giving such excellent training. You have only one field of expertise left to train in and then you have learned all that I and my men can teach you. You are truly one of the best of the best now %NU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '77', 's_85ccda8d', 'I was wrong when I said you were my best pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '78', 's_860361d0', 'He won\'t - IF you can stop him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '79', 's_86e0190', 'You\'re good, but you need to know more if you\'re ever going to be great.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '80', 's_88dd0a6e', 'They\'re not so secret anymore. The spy found them. He\'s very good - and now he\'s making his way back to the Imperial fleet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '81', 's_89d52fe6', 'Is it uploaded to my ship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '82', 's_89f4d28f', 'I want to know about space superiority fighters.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '83', 's_8a0c5437', 'Hey! They\'re good!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '84', 's_8bf9d94d', 'Whatever you say, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '85', 's_8df62c80', 'First, I need data on the Endor system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '86', 's_8f422d5c', 'And that would be me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '87', 's_90b3d410', 'Of course I am.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '88', 's_90b730b5', 'Immediately.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '89', 's_94dbd157', 'The Empire is sending one of their best fighter pilots to this location. His orders are simple: terminate our fleet. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '90', 's_96534c26', 'Watch your mouth. Remember what I told you before.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '91', 's_96a4f294', 'Hutt smugglers?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '92', 's_9795f675', 'Watch your mouth, pilot! You should be thanking your lucky stars that you\'ve been trained by the great Aqzow. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '93', 's_987445c9', 'Thank you, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '94', 's_98dbd811', 'The fleet still needs your help!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '95', 's_9b43a7ee', 'Yes sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '96', 's_9ce7f436', 'It\'s OK, I guess.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '97', 's_9d1fa2a2', 'When can I leave?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '98', 's_9d826c99', 'When you put it that way...what\'s my mission?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '99', 's_9edfea48', 'Get out there and guard them while they make repairs.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '100', 's_a0640cce', 'There was an Imperial spy operating on Yavin.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '101', 's_a08c36ef', 'As if the Empire weren\'t causing us enough grief... now there are reports that YOU are working against the Rebel Alliance, too!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '102', 's_a09da7f1', 'You like that?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '103', 's_a114fef2', 'I\'m reporting for duty.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '104', 's_a20d4e92', 'Hm. You\'re quite a pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '105', 's_a2f4d2bd', 'We\'ve learned that there was an Imperial spy operating on Yavin.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '106', 's_a47c19a7', 'You can get that from the Hutt smugglers.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '107', 's_a4f4a27', 'Their ships have more data on Endor than we do. Hack into their onboard computers and see what\'s there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '108', 's_a4f58384', 'We can\'t leave those Rebel ships out there, defenseless.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '109', 's_a51658ea', 'Excuse me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '110', 's_a54fd6b7', 'Do not speak to me until you have completed your mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '111', 's_a70b470e', 'I want to know about advanced starship components.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '112', 's_a7e7494d', 'He\'s not going to tell anybody ANYTHING. Because you\'re going to stop him, aren\'t you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '113', 's_ad721916', 'Finally!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '114', 's_ae7e01af', 'My hands are tied. Until you improve your standing with the Rebel Alliance, we cannot trust you with any more missions.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '115', 's_b5bf7e24', 'What\'s my mission?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '116', 's_b6c1a98e', 'I\'m here to do my job.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '117', 's_b9ba3998', 'Lady Viopa is waiting for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '118', 's_be9c87b0', 'It must have been that spy! ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '119', 's_beaa457b', 'I SAID I\'m ready for my mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '120', 's_bf9854b5', 'I know!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '121', 's_c1d821eb', 'Oh, I\'ll stop him all right.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '122', 's_c207cb86', 'You should learn to bite your tongue - before someone bites it off for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '123', 's_c28a300f', 'I want to know about system balance programming.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '124', 's_c317f1e7', 'If I didn\'t know better, I\'d think you were working for the Emperor. Do your job!!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '125', 's_c4d60644', 'I\'ll say.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '126', 's_c5648040', 'How did you like Lady Viopa?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '127', 's_c75a413', 'Good. You\'re here. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '128', 's_c8489609', 'Will do. But first I need information on Endor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '129', 's_ca8f086e', 'They would - if they thought they could get away with it. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '130', 's_cae661b8', 'Yeah right. That\'s why you\'re down here assigning missions.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '131', 's_d1f24c43', 'Can\'t stand all that sugar and spice, myself.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '132', 's_d40f6011', 'We\'ve definitely got the Emperor\'s attention. This system is lousy with Imperial forces!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '133', 's_d75df92e', 'They could attack our ships!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '134', 's_d8376b91', 'A spy? On Yavin? We\'ve got secret hangars there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '135', 's_d9f9ff9a', 'I can do it. There\'s still time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '136', 's_da65a262', 'Very good. One of my pilots will train you. When you\'re done, come see me for your next mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '137', 's_da836e9e', 'It is time to continue your training.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '138', 's_e078d62c', 'A spy? On Yavin? We\'ve got secret hangars there!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '139', 's_e07a3d4a', 'Then stop wasting my time and get back out there!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '140', 's_e1e40ead', 'That would be nice.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '141', 's_e37c2bae', 'Smugglers?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '142', 's_e73e9bb1', 'Don\'t fail me again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '143', 's_eaf68b63', 'A spy? On Yavin? He must not find our hangars!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '144', 's_efd88602', 'Glad you think so.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '145', 's_f01922ee', 'The only thing you\'re DOING is making me CRAZY! Get OUT of here!!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '146', 's_f1a5d3e2', 'Let me prove it to you!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '147', 's_f2003333', 'What do I look like, Lady Viopa? I\'ll give you a bear hug all right - one that\'ll crush your windpipe! If I were you, I\'d get out of here RIGHT NOW.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '148', 's_f8e71988', 'I\'m ready for my mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '149', 's_f940636f', 'Find his ship. When you do, launch a space assault droid - that will give you control of his ship. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '150', 's_fafb0eec', 'Put me out there!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '151', 's_fb0a082d', 'A lovely lady.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '152', 's_fd2da9fe', 'Oh, I\'ll stop him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier3.stf', '153', 's_fed6ceb3', 'That is irrelevant. We are sending our best pilot to make sure that he never reaches the Endor system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '1', 'do_not_edit', 'The English version of this file (corellia_rebel_tier4.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '3', 's_1047bc70', 'Nice work out there. You really kicked those guys where it counts. Ready for round two?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '4', 's_10d8bf69', 'I salute you, Rebel!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '5', 's_10eafe13', 'I\'m not done yet!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '6', 's_11769c29', 'Sure! I wasn\'t ALWAYS an old man, you know. I used to have a few more marbles rolling around upstairs. Now go on; get out of here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '7', 's_127f2e23', 'You\'re going to kidnap one of their technical supervisors. He knows the plan. And pretty soon, you\'ll know the plan as well!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '8', 's_13835aab', 'You don\'t have much time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '9', 's_1551b284', 'Something good?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '10', 's_16e3e795', 'Your ship is waiting. Watch your back.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '11', 's_1909d363', 'You\'ve got to get back out there. You realize what will happen if that Inquisitor gets a hold of your friends?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '12', 's_197c8928', 'Happy to serve.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '13', 's_1af32f06', 'Likely story. Why don\'t you just tell me that your dog ate your blasters?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '14', 's_1bb2f893', 'They\'re using my men because they know every inch of Dathomir space. They\'ll run rings around those Imperials. I suggest you follow their every move. I trained them all myself.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '15', 's_1c669', 'Well, no. Not exactly. . But we\'ve managed to hit them pretty hard lately.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '16', 's_1c8bddbb', 'What is it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '17', 's_21374155', 'Remember what I said. They\'re just men.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '18', 's_2284c46', 'Look, you don\'t have to like what we do. But those miners aren\'t hurting anybody. They\'re just trying to feed their families. And you know those Black Suns will show no mercy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '19', 's_256f3624', '%TU, you lack discipline! ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '20', 's_268606ba', 'They\'ll never know it was you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '21', 's_2744b825', 'What I mean, pliot, is that you are grounded until further notice. We can\'t trust YOU with any more missions.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '22', 's_2846f47d', 'Um, yes. Well, I\'m here now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '23', 's_28d914fc', 'Well listen up. We are dealing with several situations here, and I\'d like to see what you can do. First of all, the Black Suns have been taking a lot of business from us lately. Nym doesn\'t like it. We need a pilot to send them a message. A LOUD message. Heh! ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '24', 's_29544149', 'Then why send an Inquisitor? ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '25', 's_29f4061f', 'Oh! So enlightened! Bah! Never mind. Let\'s talk about your mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '26', 's_2a5d0bf1', 'They\'re criminals.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '27', 's_2a5db9a8', 'I would like hyper-maneuverable starfighters, please.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '28', 's_2ac3e9a6', 'The Empire doesn\'t run. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '29', 's_2c4789b', 'Understood.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '30', 's_2da082b6', 'IMPERIAL?! I hate Imperials! Get out of here!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '31', 's_2eec3c3b', 'YOUR ship has guns! Start using them, will you? And try aiming this time!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '32', 's_2efd90c2', 'I didn\'t shout!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '33', 's_3172f07e', 'See you around, %TU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '34', 's_31fd5acf', 'Of course it\'s smart! It was my idea. Now listen up. Your first objective is to find out what route those Imperial freighters plan to use. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '35', 's_34d61fa3', 'Um...I don\'t think we\'ve met.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '36', 's_35dd4aa2', 'Yes, I know!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '37', 's_3609c810', 'It is?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '38', 's_36f346a5', 'What if I don\'t have any gear, sir?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '39', 's_37e345fe', 'Have you ever seen an Inquisitor up close?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '40', 's_3b361a5f', 'You should think about leaving the Alliance and working for Nym! You\'ll make more money.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '41', 's_3b95cf2f', 'I said, \'What is it?\'!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '42', 's_3bcc34e7', 'Oh no! You\'ve got WORK to do, junior!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '43', 's_3bfd507c', 'Let me know when you\'re ready for another mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '44', 's_3c546115', 'Some other time? I\'m really busy!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '45', 's_3dc78ada', 'Sounds like he hasn\'t changed. Bleh. I spit on him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '46', 's_4057d656', 'As a matter of fact, I do! How did you know that?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '47', 's_410d920c', 'Alright, let\'s do this!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '48', 's_42880861', 'Okay...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '49', 's_42b12fa4', 'I should hope not! Good grief! ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '50', 's_436c2ab2', 'You\'ve been assisting the Empire! Working AGAINST the Rebel Alliance!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '51', 's_449db6d4', 'I am! Try and keep up, will you? ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '52', 's_450d7208', 'You can call me Arkon. I imagine that Aqzow sent you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '53', 's_4519dec9', 'You are crazy!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '54', 's_48529763', 'I said, \'Okay\'!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '55', 's_4bce8f6f', 'Fine, listen up. We are looking at several situations here, and I\'d like to see what you can do. First of all, the Black Suns have been taking a lot of business from us lately. Nym doesn\'t like it. We need a pilot to send them a message. A LOUD message. Heh! ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '56', 's_4c97efb1', 'And I\'m happy to give you your duty pay, junior!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '57', 's_4ccb8d59', 'I just lack motivation. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '58', 's_4dd9a7b9', 'Those ships have guns!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '59', 's_4ef35507', 'He is expecting you right away, so I suggest you get a move on. If you fail to report to the Admiral in a timely fashion, it will reflect poorly on me, and that is something that I will not stand for! Dismissed, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '60', 's_4f44d41d', 'No no! You don\'t belong here!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '61', 's_4f755af2', 'In my day, a pilot would NEVER leave a job unfinished!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '62', 's_50669846', 'Apparently, the Empire\'s had just about enough of our activities in the area. I don\'t know who they hate more, smugglers or Rebels.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '63', 's_526ce515', 'Negative! They outgun YOU, too. Don\'t try to blast them to smithereens. Just hold them off long enough to give our mining vessels the time they need to escape.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '64', 's_53544796', 'Sounds like a problem.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '65', 's_539f9a2e', 'Nothing!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '66', 's_549b97e6', 'I\'ll motivate you with the tip of my BOOT! Get to work!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '67', 's_5673ded2', 'Are they really on the run?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '68', 's_58e80738', 'True believers are boring.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '69', 's_5bf6779f', 'OK %NU, let\'s talk business! This situation is SERIOUS!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '70', 's_5d976742', 'Those miners are important to us and you saved them. We\'re grateful, so quid pro quo. You helped us; now we\'ll help you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '71', 's_5e0e14bc', 'BECAUSE I just know, that\'s how! None of your business how I know! Young people today are so rude! Shut your trap and get back to work!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '72', 's_5e4c5d9a', 'And now we have the chance to REALLY do some damage. And that\'s where you come in.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '73', 's_5fe6ae71', 'Haha! You\'re joking, right?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '74', 's_60080304', 'Not another Inquisitor assignment, I hope.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '75', 's_6065ab8b', 'I would like special weapons and tactics, please.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '76', 's_61485366', 'It\'s not going to happen anytime soon.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '77', 's_6222b64d', 'Do you have any missions that I could fly?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '78', 's_62c873d4', 'Are you sure? Well too late it\'s yours now! Haha I\'m just teasing you! That is a fine skill... for a NERF-HERDER! Now go on, get out of here!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '79', 's_6318beeb', 'What\'s the situation?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '80', 's_6429f86b', 'Here\'s some MORE good news. Another group of our men infiltrated a number of Imperial troop transports in the Endor system. But they can\'t take control of those ships - not yet. First we need a pilot to disable the transport controls. This requires a pilot with skills.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '81', 's_647ad2bc', 'I\'ll take care of those Black Suns. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '82', 's_649d2a19', 'Privateer? No privateers here! Go on, get out of here!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '83', 's_650af8ec', 'Don\'t tell ME what you did! Now go on, make yourself useful!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '84', 's_6561f20e', 'Well then why aren\'t you DOING it? Get back out there!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '85', 's_6634adb9', 'I don\'t have the answer to that one, pilot. But Admiral Burke requested you personally.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '86', 's_66d4c0f2', 'You don\'t have to shout! I\'ve never seen anybody so excited about starships.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '87', 's_67e6df55', 'Okay.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '88', 's_69020482', 'I did!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '89', 's_69a739e6', 'Where do I find this guy?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '90', 's_6adec6b0', 'Of course!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '91', 's_6f679fea', 'What does it mean?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '92', 's_6fdab943', 'Here\'s your duty pay. And let me know when you\'re ready for another mission! ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '93', 's_7052aaab', 'I\'ll take it as it comes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '94', 's_7065a3b', 'Great.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '95', 's_7090182', 'What?!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '96', 's_71f899d5', 'It\'s about time you got here, pilot. Suit up.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '97', 's_73313039', 'Really, I just want to work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '98', 's_761dd18e', 'I\'m not in it for the money.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '99', 's_76c0ae11', 'Hurry up! There\'s no time to waste! ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '100', 's_774fb2f0', 'Eh? Who\'s that? Who are you? Tell me your faction!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '101', 's_77633b61', 'Easy for you to say. They\'re not gunning for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '102', 's_77758001', 'I would like heavy starship component use, please.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '103', 's_77e48d5b', 'What do you mean?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '104', 's_78b8ac8f', 'Oh what is THIS. I told you to take out those freighters!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '105', 's_7ae51280', 'You did?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '106', 's_7afc40b8', 'Fine. Well the Alliance is feeling more confident, now that you\'ve terminated that Inquisitor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '107', 's_7ce1c24', '[exhale loudly]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '108', 's_7d2fc507', 'Say please! ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '109', 's_7da3fc7a', 'No. Those don\'t come along very often. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '110', 's_7e579e1e', 'I\'m a privateer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '111', 's_7e602d1b', 'I\'m not!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '112', 's_7fca522a', 'You mean, will I quit the Rebellion and start working for Nym full time? Forget it. It\'ll never happen.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '113', 's_8057f803', 'Then it won\'t take you too long to pack! The orders don\'t include any details, but I can only assume it involves some operation that his fleet is about to undertake. You had best be ready for a challenge, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '114', 's_81e25d24', 'You showed them! Let\'s see the Empire try to build a station in THIS system!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '115', 's_8209f997', 'Nothing I can repeat.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '116', 's_835acc11', 'You think you\'re a hero or something? Fine! Go on! You\'ll find your scientists in the Dantooine system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '117', 's_83f72ca3', 'Something that will help the Rebellion. How does that sound to you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '118', 's_840af840', 'Lucky guess.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '119', 's_841d27db', 'Why?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '120', 's_8450d7db', 'Let me take a crack at disabling those troop transports.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '121', 's_84c908b8', 'Eh? Who\'s that? You\'re no... wait, you ARE a Rebel pilot. But you don\'t fly with this unit. What are you doing here?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '122', 's_85fbc617', 'Here\'s your duty pay. You\'ve earned it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '123', 's_86677c6b', 'What does he want with me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '124', 's_868699d3', 'I don\'t give my pilots easy missions. But I DO pay them well. Here you go. See me later when you\'re ready for another mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '125', 's_86df2510', 'Is that your idea of a comeback? Grow up! Get to work!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '126', 's_8729f60e', 'Smart.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '127', 's_8762aa6e', 'Crazy like a SQUALL! Don\'t underestimate me, %TU! I\'m thinking, always thinking. I was smart enough to join this Alliance with the Rebels, wasn\'t I?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '128', 's_87d7e908', 'I know.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '129', 's_87e30fff', 'Not this time, my grumpy friend. This time, you\'ll be helping your beloved Rebellion. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '130', 's_882e7ab9', 'Well, the Empire has no idea what the Alliance has planned, thanks to you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '131', 's_88563b84', 'I\'m ashamed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '132', 's_8907c99', 'Hey! You! You\'re still pretty wet behind the ears, you know. What you need are SKILLS! And you\'ve come to the right place. I grant skills. Even to fools like yourself! Which one would you like?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '133', 's_8b4d636d', 'Intel reports that the Emperor is sending an Inquisitor to Dathomir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '134', 's_8cac3c56', 'I thought you would! Now you don\'t have to take the whole base apart. You\'re just going to pave the way for an Alliance B-Wing squadron. They\'ve had their sights set on this base for a while. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '135', 's_8e9d0848', '[nod]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '136', 's_8f3b3edb', 'I\'m not done yet! ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '137', 's_8fc8c755', 'What?...Never mind. Do you have a mission for me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '138', 's_900f01d1', 'What?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '139', 's_92c6d3dd', 'You don\'t look like a pilot to me! ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '140', 's_95c399f6', 'I sure do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '141', 's_96bfa401', 'Not at all - if it helps the Rebellion.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '142', 's_9775f996', 'Can you explain it again?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '143', 's_98199797', 'Why is the Alliance sending pirates? This sounds like strictly a Rebel operation. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '144', 's_981faf84', 'What did he say about me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '145', 's_98588d70', 'OK fine.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '146', 's_99069e90', 'YES! It\'s ALWAYS serious when we\'re talking about Imperials!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '147', 's_9943289', 'I want to help those scientists.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '148', 's_9976a72', 'Get somebody else to do your dirty work! I need a break.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '149', 's_997f2d21', 'But you said...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '150', 's_99d3b4fd', 'What have you got for me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '151', 's_9a01b8f2', 'Once...a long, long time ago. Let\'s not talk about it right now. I want you to kill that Inquisitor before he reaches the Imperial fleet in Dathomir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '152', 's_9a4a59e0', 'Maybe you just want your duty pay.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '153', 's_9a626852', 'Same difference to them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '154', 's_9bbb9999', 'Hm, what else is there? Oh yes...you\'ll like this, it\'s a Rebel rescue mission! A Rebel fleet was carrying several scientists through the Dantooine system, they were ambushed by Imperial fighters! That\'s not right. I want a pilot to get out there and help those ships escape before more Imperial ships arrive! And that\'s it! So what\'s it going to be, junior?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '155', 's_9be0e2f1', 'What? You worthless bum! Fine! See if I ever try to give you a mission again!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '156', 's_9d0a2207', 'Should I target the Black Suns directly?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '157', 's_9e1c0119', 'Yes, but the Rebels are being smart. They\'re deciding to strike now, while the iron is hot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '158', 's_9e3df78d', 'Is it your naptime? Well fine then!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '159', 's_9f50a13', 'Back to those poor miners. They\'re outgunned; there\'s no way they can defend themselves. I want you to get out there and set up a defensive perimeter.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '160', 's_a04dd423', 'Think of your future, junior! Someday you\'ll be a crazy old man like me. Do you still want to be working then?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '161', 's_a2c04cca', 'Have you changed your mind?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '162', 's_a434ad25', 'One more thing Rebel. All the missions I provide you with will be high risk missions and might be too much to handle by yourself. If you have any favors you can call in, doing so during my missions might be a good idea.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '163', 's_a5958aac', 'I\'d like to see you do some WORK for a change! Sign up for something, pronto. Or do I have to explain it to you again?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '164', 's_a64a6f6f', 'They\'re not gunning for YOU either, junior! Now stop moping. Let\'s get your mind off all this. I\'ve got a mission for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '165', 's_a6e1a5f4', 'That\'s because it\'s top secret! In the meantime, let\'s keep gunning for the Empire. You\'re going to Dathomir. I want you to join some of my men on a guerilla strike against an Imperial base.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '166', 's_a9e4fd02', 'How do I do that?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '167', 's_abf08a18', 'Check your ship\'s computer. All the information you need is there. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '168', 's_ad621c08', 'Ever?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '169', 's_aed5139a', 'No need for that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '170', 's_af22b9b2', 'I guess so.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '171', 's_afc14266', 'Um, OK. Maybe I should just get to work. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '172', 's_b045a378', 'Touche.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '173', 's_b0d064ef', 'Endor it is! Leave immediately!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '174', 's_b1f1f364', 'We could never hold our own against the Imperials. We needed your guns. And you needed us! A perfect situation.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '175', 's_b20c71fe', 'It wasn\'t easy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '176', 's_b45dc260', 'Because it makes another Inquisitors angry - angry at ME. And that\'s trouble I don\'t need.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '177', 's_b4e09e44', 'Duty pay, you nitwit! Here you go. And let me know when you\'re ready for another mission!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '178', 's_b607bb2e', 'Yep. A BIG one. We can\'t let them build that station. So here\'s the plan! We\'re going to destroy the station components while they\'re en route to Lok.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '179', 's_b6b4b241', 'Attention! Alliance Headquarters has approved your transfer. You are now serving under the command of Admiral Willham Burke, good man. You are to report to Admiral Burke immediately, so pack up your gear and get moving. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '180', 's_ba9df4a6', 'Oh all right. Here you go. Now go away and stop bothering me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '181', 's_bbe3529b', 'Who is Admiral Burke?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '182', 's_bcbc9230', 'Admiral Willham Burke is head of the fourth battle fleet. Last I heard, he was operating in and along the Outer Rim. Burke is a good man, a good leader, and a good soldier. He does the Alliance proud.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '183', 's_bcc6b959', 'Where do I need to report?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '184', 's_beaf1664', 'Another errand for Nym the pirate?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '185', 's_bed0dfe7', 'I like that!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '186', 's_c1013aa7', 'Whatever.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '187', 's_c2bbb747', 'Fine by me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '188', 's_c3363bcd', 'Uh huh.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '189', 's_c384d95e', 'How unfortunate. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '190', 's_c4dc6b9d', 'I\'m always right! Get that through your thick head. Here\'s your duty pay. See me later when you\'re ready for another mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '191', 's_c55a344e', 'They\'ll send another one eventually.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '192', 's_c72c337a', 'Pft.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '193', 's_c73f5fdb', 'You should know better than that. Only your commanding officer can give you missions. And I am NOT your commanding officer, buddy! ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '194', 's_c82e9a2f', 'Yes, please.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '195', 's_c95dbd1', 'They\'re outgunned! So we need to help them out.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '196', 's_c985b91', 'I said, \'Why?\'');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '197', 's_cb25bcd4', 'Then let\'s get a move on, pilot. The Admiral is not going to want to wait all day for you to arrive. You are to report into him at Doaba Guerfel on Corellia. Keep your wits about and you just might learn something. Dismissed, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '198', 's_cb6eb294', 'Aw shucks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '199', 's_cbcfe001', 'Well, whatever! You know what I mean. Don\'t be obstinate, junior!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '200', 's_ccac6a71', 'You\'re going to Dathomir. I want you to join some of my men on a guerilla strike against an Imperial base.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '201', 's_cd445db2', 'I like the sound of that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '202', 's_ceb77d0c', 'We\'ve got the Empire on the run! Let\'s kick \'em while they\'re down!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '203', 's_d054f893', 'I don\'t like targeting Inquisitors. You want to know why?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '204', 's_d06c9b96', 'Even I don\'t know what the Alliance has planned.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '205', 's_d16ee99f', 'Here\'s the situation. Intel reports that the Emperor is sending an Inquisitor to Dathomir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '206', 's_d1be90a9', 'What\'s the plan?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '207', 's_d318a2bb', 'Back from your assignment with Admiral Burke, I see! I hope that everything went according to plan. I can use your help around here! ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '208', 's_d3d98e75', 'That was a complete disaster!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '209', 's_d566a3c', 'And how are the Imperials involved?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '210', 's_d6f2e64d', 'What am I, a mind reader? They\'re probably concerned about Alliance attacks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '211', 's_d70dba34', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '212', 's_d74e67f', 'According to these orders, Admiral Burke is in Doaba Guerfel on Corellia. I recommend that you keep your eyes and ears open and you just might learn something. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '213', 's_d79718db', 'And pirates are criminals.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '214', 's_d8209030', 'Then you\'re going to Dantooine! Goodbye! ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '215', 's_d9116b4d', 'I\'ll escort those freighters. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '216', 's_d98a6441', 'Apparently, the Black Suns are preparing to launch an assault on one of our mining interests in the Dathomir system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '217', 's_d9cced1f', 'Absolutely.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '218', 's_da8e9da5', 'See? You could save the day after all! Not bad.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '219', 's_dbcde2d3', 'And it\'s paid off. And now we have the chance to REALLY do some damage. And that\'s where you come in.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '220', 's_dc241019', 'What\'d you say?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '221', 's_dcabe09b', 'Oh, I\'m not here for a mission! I was just looking for the cantina.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '222', 's_de1e215f', 'Traitor!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '223', 's_def742', 'You were right.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '224', 's_dfc39325', 'So are you, according to the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '225', 's_e0dc5fad', 'I don\'t?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '226', 's_e30b9697', 'Hey, things don\'t always turn out right!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '227', 's_e3653d50', 'Here\'s your duty pay! You\'ve earned it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '228', 's_e380bbf8', 'So you are! I hope you don\'t mind helping pirates.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '229', 's_e3e480fe', 'Don\'t smart off to me!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '230', 's_e42b260e', 'I\'m on my way.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '231', 's_e86f1062', 'How do you know?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '232', 's_e8f374d9', 'Hey Rebel! I\'ve got a new assignment for you. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '233', 's_e93fce3e', 'You\'re probably right, %NU. We\'ve received word that they\'re planning to build a space station in the Lok system. They\'ll use it to monitor all the activity in the area.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '234', 's_eb1c3d4e', 'Are you crazy? No one can kill an Inquisitor!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '235', 's_eb703128', 'In that case, I\'m listening.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '236', 's_ecfe38f9', 'Oh! Well, here you go. Bye now! ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '237', 's_ee83a0c2', '\'Til you improve your standing with the Rebel Alliance, I wouldn\'t trust you to guard a faamba.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '238', 's_ef3e641a', 'I\'m here to help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '239', 's_f0743f82', 'I don\'t have any missions, but there are plenty of elective duty assignments you can perform. Is that something you think you could handle? Want me to explain it to you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '240', 's_f13513cd', 'Hmph! Well here\'s some good news. One of our men has raided an Imperial outpost on Dathomir and he walked away with plenty of loot. Now all he has to do is escape! Easier said than done, of course, as the Empire wants their things back. So you could escort our man out of Dathomir...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '241', 's_f15aeb5', 'With pilots like you, who needs Imperials? ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '242', 's_f27f6d98', 'Who\'s talking about Imperials?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '243', 's_f35bbdbd', 'Mining interests? You make it sound almost legitimate.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '244', 's_f3603d67', 'Don\'t talk back to me, junior! And don\'t be ridiculous! The Inquisitors are mortal, like the rest of us. Believe me, they CAN be killed. I know that for a fact. Now I want you to get out there, immediately!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '245', 's_f48fdfbd', 'Ship\'s in the shop.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '246', 's_f50be00f', 'I like the sound of that!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '247', 's_f51574ed', 'Haha! Good point. Well then I\'m a criminal. And you\'re going to help me. And then I\'ll help you - maybe. Do we understand each other?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '248', 's_f5427310', 'Of course not!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '249', 's_f59d9106', 'Well, %TU, think about it. The Empire needs to know what the Alliance is planning. And no one is better at gathering information than an Inquisitor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '250', 's_f5cc7cf3', 'Can\'t the vessels defend themselves?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '251', 's_f5d1e7f4', 'Don\'t sass me, junior! You should be ashamed of yourself! Now go back out there and clean up that mess!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '252', 's_f5e4dcb6', 'Stop talking and start listening! Oh great, you\'ve made me lose my train of thought. I\'ll start again. The Black Suns are preparing to launch an assault on one of our mining interests. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '253', 's_f60b81f8', 'That\'s fine.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '254', 's_f819adf9', 'I would like droid intelligence theory, please.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '255', 's_f87c573', 'I give credit where credit is due! I\'ve never seen somebody go after an Imperial base the way you did.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '256', 's_f95cd5f5', 'Mission accomplished! And you know what that means.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '257', 's_fa6bfaff', 'Oh. I didn\'t mean to upset you! I just want to rescue those mining vessels. Sorry! Go on and try again! I\'m sure you\'ll have no problem this time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '258', 's_fb4c1f1f', 'I\'m an Imperial.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '259', 's_fc27931b', 'Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '260', 's_fc6dfba9', 'Are you one of those goody two-shoes Rebels? You know, the kind that believes in the cause and all that?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '261', 's_fcddb599', 'It does. Very wise of you to recognize that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '262', 's_fed79efe', 'Then hurry up and get yourself over to Dathomir!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '263', 's_ff9bf289', 'Always, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '264', 's_ff9fae78', 'What kind of question is that?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_tier4.stf', '265', 's_ffeba47a', 'They\'re not!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '1', 'do_not_edit', 'The English version of this file (corellia_rebel_trainer_1.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '3', 's_10133bc', 'You must be new to Corellia, pal. This place is crawling with Imps. Be very careful out there! The Empire cannot learn our purpose... or the whole transport route will have to be scrapped!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '4', 's_10338636', 'Just kidding. I hate the Empire!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '5', 's_10762880', 'Yeah. The old one was secret, too - but it was discovered. Lots of Rebels lost their lives. This new route is... new. At the moment, the Imps have no clue what we\'re planning.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '6', 's_10d17e63', 'Well... be careful, then. Follow the navigation points and defeat any hostiles that come your way. These \'duty\' missions have been prepared for you to gain some much needed space combat experience. You can return to the ground at any time when you feel that you have learned enough.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '7', 's_12d04a63', 'Ha! Ha! You\'re funny! People don\'t get rich flying for the Alliance, okay? They do it because the Empire makes their lives miserable... So join up, already!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '8', 's_13b7333c', 'Finally. You are now part of the Alliance pilot training program.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '9', 's_13d3df42', 'I know');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '10', 's_13f85785', 'Why not? What are you talking about? What happened?! We can\'t just FAIL missions around here, you know?!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '11', 's_14f13684', 'Blasting TIE fighters sounds fun.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '12', 's_14fdabce', 'Your ship navigation system will automatically plot a waypoint when you launch so that you can find your way back home. After your mission is... a success (I hope), fly back to the \'launch waypoint.\' Communicate with the space station at this point, and tell the commander you want to land at Tyrena starport.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '13', 's_150b3020', 'Since you\'re not in my unit I cannot assign you missions. You ought to go talk to your commanding officer for such things.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '14', 's_1583743c', 'Do you have any missions I could fly?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '15', 's_159b7288', 'I know you won\'t. Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '16', 's_16d870fe', 'Consider it done.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '17', 's_185a81f5', 'Well, if your \'magic\' has anything to do with flying around and shooting... I think your secret is out! Good work anyhow, my friend!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '18', 's_18617361', 'Whoa! Relax the attitude, okay? I\'ll train you... I\'ll train you...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '19', 's_18c8a207', 'I gotta hand it to ya. You\'re a real spitfire, babe! Hope it serves you well in battle. Here\'s the story: Alliance HQ has come up with a new travel route for munitions transports. We want you to hit a few nav points along the route and make sure they\'re safe.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '20', 's_190d7fcd', 'Slow down, there, %NU.  I need to know you can be trusted to complete assignments as they are given.  I\'ll train you AFTER you\'ve finished doing a couple more things for me.  Now, about that lost transport...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '21', 's_1920852a', 'Quit if you want... but I wouldn\'t advise it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '22', 's_199261c2', 'Piece of cake, Kreezo.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '23', 's_19cd5919', 'You don\'t say...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '24', 's_1a5bf5f0', 'You\'ve got a lot of nerve coming here and talking to me, Imperial! Get out of here now!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '25', 's_1b107d8a', 'I want to join-up with the ground forces.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '26', 's_1b11fff2', 'You\'re wasting my time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '27', 's_1bd844f1', 'You said it! We need you to track down the transport and escort it safely out of Corellia space. You ready?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '28', 's_1bdcc6fa', 'All right. Let\'s hear it!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '29', 's_1c8bddbb', 'What is it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '30', 's_1d24deda', 'Hah! Ha! You got a brain in that pretty skull, eh? Good! It will serve you well in battle.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '31', 's_1df785ab', 'Yes, I\'m sure!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '32', 's_1f2dd784', 'I want another chance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '33', 's_1f34ee71', 'So you know - the operations being carried out against our transports are the work of one lone commander. The Empire dispatched him here some time ago. His mission is to destabilize Alliance traffic so that they can capture our munitions, and kidnap our special-operations personnel.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '34', 's_1f7c77cd', 'The Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '35', 's_2092352a', 'Here you are - your first training module for the Alliance starfighter program.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '36', 's_2098126f', 'Excellent!  The Rebel Alliance can use some more boots on the ground, too.  Go to a Rebel Recruiter and sign-up!  Heh... they can be hard to find, you know?  But I\'m sure you\'ll manage.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '37', 's_209aa4aa', 'Don\'t abort the missions I give you, pal!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '38', 's_20ef9c42', 'Mission accomplished.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '39', 's_246d08d7', 'You have enough experience for more training.  What area interests you the most?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '40', 's_2477af4a', 'For the Alliance... always.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '41', 's_248af92', 'I can teach you the proper handling of superior starfighters. Specifically, I can give you certifications to fly the Y-Wing. Are you interested in this?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '42', 's_24af7536', 'The Force has guided me to this... my destiny.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '43', 's_24d9c943', 'What are you doing here? You should be working for Lady Viopa on Lok... right?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '44', 's_25387b43', 'The Alliance will have nothing to do with you bloodthirsty smugglers! Begone!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '45', 's_26970ef', 'I am interested in basic starfighter training.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '46', 's_26a260', '(Shrug)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '47', 's_279176e6', 'Yes, ma\'am!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '48', 's_282d2761', 'Got another one for ya! It\'s time to get even with those TIE fighters that jumped you on your last patrol. You ready?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '49', 's_28eea20', 'Woah!  I didn\'t see that coming!  You\'re sure you know what you\'re getting into?  You could be opening yourself to attack when you least expect it... even as a covert operative.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '50', 's_29ac0c24', 'Welcome to the Alliance!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '51', 's_29cee3c8', 'Okay. I can appreciate that, I guess. Good luck...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '52', 's_29f6dd14', 'Great work, pilot! Please come back and see me if you are in need of training.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '53', 's_2a1af6a8', 'Guess so.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '54', 's_2b436278', 'Just shut up and start the training, okay?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '55', 's_2b8b36e0', 'Look, don\'t beat yourself up about it. This is our first operation together. Let\'s get you back out there to try again, okay?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '56', 's_2bf47615', 'Yeah, sure. Why not.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '57', 's_2d736852', 'They seemed bent on killing those refugees!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '58', 's_2da94e1b', 'Secret route?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '59', 's_2ea6d944', 'Really?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '60', 's_2f3d170c', 'What I mean is, Alliance HQ has grounded you.  There are reports that you have been working against the Rebel Alliance... for the Empire!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '61', 's_2f6cbd7e', 'I was unable to complete the mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '62', 's_2fc8ed3d', 'Get back out there and get me my transport route info!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '63', 's_30136a60', 'What is my objective?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '64', 's_306e91cd', 'Quit wasting my time, Kreezo!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '65', 's_32190415', 'Hey! Good to see ya again. Got a new mission brewing. You are going to LOVE this!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '66', 's_3269c6d', 'Not really.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '67', 's_328afd9b', 'I was jumped by TIE fighters.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '68', 's_3339950', 'Too much for you, huh?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '69', 's_34e352c7', 'I\'m a CorSec pilot!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '70', 's_3521c69', 'What can you tell me of Nym?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '71', 's_354fc0ee', 'Great! You now have some basic droid programming abilities!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '72', 's_3794d8a1', 'Don\'t take them on all at once. Focus your firepower on a single target. They\'re still up there. Give it another try!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '73', 's_386363ba', 'Yeah, so?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '74', 's_3a1791eb', 'Yeah. The Empire isn\'t interested in simple military victory, it seems. They\'re up to something much more sinister... But oh!  I have something for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '75', 's_3adab64', '(End with a humorous anecdote)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '76', 's_3bee14c0', 'Redirect?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '77', 's_3d8dd8ba', 'Fine, fine. I\'m not looking to fight you - I train pilots... to fight the Empire! What do you say? Are you willing to join the Rebel Alliance?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '78', 's_3de34560', 'We have a nav point for you. Very likely he can be found in this area along with several of his trainees. Be careful - they\'re just trainees... but there might be a lot of them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '79', 's_3f36d6ff', 'Why is this trans so important?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '80', 's_3fa4f0ff', 'Fine!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '81', 's_3fa70900', 'I am interested in basic starship component use.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '82', 's_3fb48b5f', 'Where do I find her?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '83', 's_40b1665a', 'Any Imperial entanglements?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '84', 's_41fb4738', 'Affirmative! Outstanding! Heh... take some time off and swing back by when you\'re ready for the next assignment, soldier!  Also, I\'ve got something for you...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '85', 's_420fb842', 'It\'s a flight suit!  You\'ll look like a real soldier in this, huh?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '86', 's_42ab2360', 'Sounds like it was quite a battle, then! Good work, pilot! Very good work!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '87', 's_43092a4a', 'So, lucky for you that wasn\'t the last refugee transport from the convoy. You ready to try again?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '88', 's_431ae604', 'Well, what can you do? Check back with me if you ever get the urge to join up. I\'ll get you started!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '89', 's_43a157c9', 'The patrol was interrupted by an Imperial ambush!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '90', 's_44ca831b', 'Where will I find him?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '91', 's_44f7abd1', 'I\'ve never met her. I think she\'s Mon Cal? I know she\'s high-ranking Alliance Intel... so she\'s not exactly my type.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '92', 's_46fa0a69', 'I should sweep and clear Corellia space.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '93', 's_4785a810', 'The Alliance is not ready for me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '94', 's_492633c2', 'Who\'s this commander?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '95', 's_49bfaf2', '(Salute) For the Alliance!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '96', 's_4a86da46', 'You said it! The transport route is pretty big - so you\'ll only be hitting the major hot-spots. Just make sure that nobody from the Empire spots you... and try not to tangle with the local pirates.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '97', 's_4aa8e211', 'I\'m sure you will, don\'t get too confident though. Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '98', 's_4ad222a2', 'It can\'t be that tough if you\'re still alive.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '99', 's_4adf1730', 'Goodbye, Kreezo.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '100', 's_4b0e9ff2', 'How do I get back here?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '101', 's_4b1458bf', 'That\'s bad news. This means that the Empire is aware of our plans to reopen secret transport routes here in Corellia. Bad, bad news. Glad you\'re okay, though! Great work!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '102', 's_4c695dbd', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '103', 's_4cc5bfd8', 'Maybe when this war is over, you\'ll let me buy you a drink...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '104', 's_4cccd3f2', 'No problem... no problem. Here\'s your introduction to Alliance starfighter techniques.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '105', 's_4dd8aee0', 'Thanks, but no thanks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '106', 's_4df7e8e8', 'Oh, but I do! I do! I could never forget such a pretty face. Come on - let me slide you into the Alliance piloting ranks. You\'ll love it!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '107', 's_50808c9f', 'Uh huh...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '108', 's_51398083', 'We need you to search Corellia space for the refugee transport. If you find it - escort it out of the system safely. If HQ finds it first, they will redirect you to a rally point where you\'ll meet up with the transport.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '109', 's_51f67642', 'Love it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '110', 's_52e212a5', 'I will bring honor to the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '111', 's_535b6177', 'Have we met? No? But you are a Rebel pilot, aren\'t you? What can I do for you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '112', 's_53d2df67', 'Wizard! So - your job is to run a patrol through a newly appointed Alliance transport route. Make sure that the path is clear. Report any enemy ships you detect.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '113', 's_564340f', 'Yeah. Likely the transport will be trying to comm Alliance HQ. If they get through - they\'ll coordinate with them to find a rally point. You fly there - take over the escort, and make sure the transport leaves Corellia space in one piece.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '114', 's_57881f7b', 'Um... try to forget it, I guess.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '115', 's_5792c0f4', '(Salute) Yes sir!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '116', 's_59125af6', 'You sure do impress me, my lady. You\'re a great combat pilot. Check back with me any time you are ready for training.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '117', 's_59bfc3b4', 'A duty mission is THE best way to get experience as a pilot. I know that you\'re anxious to get training, and experience from these missions will get you there faster. Duty missions have no real end so you can just finish up whenever you want. What do you think?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '118', 's_59f3a8d', 'Find the transport, right?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '119', 's_5a12db83', 'Stay safe up there! I want to see you again soon...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '120', 's_5a28f5e9', 'Relax, flyboy. I\'ll join your little club.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '121', 's_5a685923', 'Great! This will come in handy!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '122', 's_5adefc5c', 'Refugees?! Those monsters!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '123', 's_5af7e0d3', 'Great! Sorry if we had a misunderstanding before... ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '124', 's_5b72d948', 'Oh no? So I guess you made quick work of them. Good. Bad news for the new transport route, though. Check back with me later for another assignment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '125', 's_5be6d3af', 'Sounds like pay-back.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '126', 's_5bec38ba', 'TIE Fighters attacked me!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '127', 's_5c625403', 'I would like to protect Alliance transports.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '128', 's_5c9e583b', 'Bah!  Lap-dogs for the Emperor.  You should be ashamed of yourself.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '129', 's_5d420942', 'I\'ll consider it done when you\'re back... and it\'s done.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '130', 's_5daf71df', 'Yeah! Sounds like fun, too! I reckon you crossed paths with a long-range TIE patrol before, it\'s time for some revenge, right? Bring \'em some justice!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '131', 's_5e3d235d', 'You got it. Fly back out there and get us our transport route info. See me when you\'re done.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '132', 's_5f75a31a', 'They\'re civilian refugees, man! Some Gungan, some Human, and a handful of MonCal... just trying to live their lives here in the shadow of the Empire. We need to teach these Imps that wanton violence like this won\'t go unpunished!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '133', 's_5f930245', 'I couldn\'t kill them all.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '134', 's_6076cccb', 'They\'re civilian refugees, honey! Some Gungan, some Human, and a handful of MonCal... just trying to live their lives here in the shadow of the Empire. We need to teach these Imps that wanton violence like this won\'t go unpunished!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '135', 's_6106187c', 'What is a duty mission?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '136', 's_6194a4e', 'Clear of what?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '137', 's_61f0b20d', 'Heh. Despite our best efforts Corellia is still lousy with pirate clans. Things have gotten a lot worse since the Empire got slammed at the Battle of Yavin. Local criminals figure they\'ve got a chance at defeating the Empire... just as we do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '138', 's_62a0670', 'You got some sort of problem with me, sister? I\'ve been flying for years and years. What I teach you will keep you alive!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '139', 's_632bed94', 'You\'re the cause of my grief, Kreezo.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '140', 's_64355c70', 'Right away, sir!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '141', 's_64977077', 'I don\'t have any missions to assign, but I do have an elective duty mission roster. You could either patrol the system for searching for Imperials, or you could help escort Alliance transports. Would you be interested in an elective duty task?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '142', 's_656e3c93', 'I don\'t remember much.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '143', 's_6598c431', 'Fine!!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '144', 's_66010040', 'So, let\'s hear it! What happened out there?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '145', 's_67119f16', 'Okay, so what happened? We need that route data as soon as possible!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '146', 's_6929ad0f', 'Congratulations. You have achieved the first rank of Weapons specialization.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '147', 's_69bdfc60', 'I know. But they haven\'t gotten rid of you yet, have they? No, they haven\'t. Get back out there and get that info. I\'ll be waiting.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '148', 's_69e5db34', 'I\'m sure the transport pilots would agree! Follow all nav points, and protect all transports that come under your supervision. These \'duty\' missions have been prepared for you to gain some much needed space combat experience. You can return to the ground at any time when you feel that you have learned enough. Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '149', 's_6a314d1b', 'Without a doubt, my lady. Return to me whenever you are ready for training.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '150', 's_6abdc31f', 'Heh. Once this war is over, if you still want to know - I\'ll be glad to tell you. For now... take a hike! Good luck out there, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '151', 's_6b490480', '(Salute) Affirmative!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '152', 's_6bed0484', 'Go get \'em!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '153', 's_6d3c9ec2', 'Come on! Give me another chance!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '154', 's_6d453fbf', 'This TIE pilot is flying a standard fighter. Your tactical computer will recognize him as a \'TIE Veteran.\'');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '155', 's_6f06b651', 'Well - I doubt it... but okay. See you later!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '156', 's_6f096b57', 'When can I upgrade?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '157', 's_6f169e12', 'Sounds easy enough, I\'ll take care of it!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '158', 's_6f8c5bda', 'You\'re a pilot, now.  Fly there!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '159', 's_70852580', 'I\'m turning my back on you, not them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '160', 's_70c0cac2', 'And with you too, sweets. Hope to see you very soon, okay?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '161', 's_70d92009', '(Stare intently and silently)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '162', 's_7119a3c9', 'And if a technique gets me killed?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '163', 's_716c6ef', 'Oh yeah. You too...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '164', 's_7191233e', '(Salute) I\'m on my way!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '165', 's_719a6b56', 'Affirmative! Go get \'em!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '166', 's_71b1981e', 'Great! Welcome to the Alliance!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '167', 's_71ce4d3b', 'Be careful, sweetheart.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '168', 's_72767fa4', 'He\'s a veteran pilot traveling incognito. Should be in a standard TIE fighter. Your tactical computer will recognize his signal as a \'TIE Veteran.\'');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '169', 's_729ae5dc', 'Well... good, then. Good work!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '170', 's_73af9681', 'Really? Alliance HQ is saying that other patrols are getting smacked by long-range TIE sweeps. You didn\'t encounter any resistance?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '171', 's_74797cab', 'See you later, Kreezo.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '172', 's_75a759b0', 'Most of our problems here in Corellia are the work of one TIE Veteran pilot. He\'s moved a lot of trainees into the area with hopes of overwhelming us with superior numbers. We want you to take him out. It\'ll set the Empire back pretty far, I think...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '173', 's_766563c7', 'Nothing I couldn\'t handle.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '174', 's_779b8c40', 'Good idea. I\'ve added you to the duty roster. Patrol the Corellia system and eliminate any hostiles you encounter. I\'ll see you when you\'re done.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '175', 's_77e48d5b', 'What do you mean?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '176', 's_78a5e1fa', 'There are some open duty missions, if you\'re interested. HQ wants volunteers for a long-range patrol. Sweep-and-clear sorta stuff. There\'s also a need for more fighter escorts... since we\'re shuffling a lot of resources here in Corellia space.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '177', 's_790cea65', 'See that up there? That\'s space... You should be there finishing your mission. Right?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '178', 's_797e30cb', 'What are they doing here?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '179', 's_79ff003e', 'Well... nothing. I\'ve had some trouble with his group in the past. But now that we\'re all working for the Alliance, I can put it behind me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '180', 's_7bebfa97', 'Ha! Excellent! Keep up the heroics! There\'ll be more for you to do later. Check back with me after you get some rest.  Also, I think you\'ve earned this.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '181', 's_7c899d3e', 'We don\'t have an exact location, search the Corellia system for TIE fighters and blast \'em!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '182', 's_7d5c71fb', 'How do I complete my assignment?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '183', 's_7daee3c9', 'Sounds wrong for me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '184', 's_7f50c50e', 'He\'s an old Imperial Ace pilot traveling incognito. He\'ll be flying a standard TIE fighter. Your targeting system will recognize his signal as that of a \'TIE Veteran\' pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '185', 's_7fc57488', 'We\'ll try not to work too hard saving our civilian friends, okay? Jeez...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '186', 's_7fcd3228', 'Good to see you again. How are things going?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '187', 's_7fd68073', 'Great! You now have basic droid programming abilities!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '188', 's_82d3ef4', 'Do you even know what HQ wants you to do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '189', 's_83058593', 'Please? The Alliance could really use more strong, intelligent, women pilots... such as you. You can\'t turn your back on them!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '190', 's_83a93ead', '(Salute) Requesting a mission, sir!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '191', 's_83c26b3', 'That TIE Veteran was nothing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '192', 's_8464e33e', 'Without a doubt, my friend. Return to me whenever you are ready for training.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '193', 's_85384000', 'So you are interested? Or... you aren\'t interested?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '194', 's_866deb6e', 'I want to join the Rebellion!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '195', 's_86cd4fa8', 'We\'ll upload a suite of navigation points that are likely candidates. The transport pilot is no slouch - he will be trying to get back to friendly territory as soon as he can. From what I heard, they\'re pretty badly damaged.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '196', 's_87a8cca7', 'How will I know this pilot?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '197', 's_88620d24', 'It\'s a multi-pocket bandolier.  It\'ll help you keep your things organized.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '198', 's_8a323048', 'Hmm. Well, I\'m pretty sure we can set you up with a loaner from the Alliance. Here... I\'ll transfer codes for a basic Z95 to your personal datapad. Let me know how she flies. Are you ready for your first assignment?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '199', 's_8b43cee4', 'Just try to make it back here in one piece, okay?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '200', 's_8b760dea', 'Give me another chance!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '201', 's_8bc574b8', 'You\'re one in a million. You know that? Just keep it up. There will be more opportunities to use your heroism in the future. Check back with me after you catch some rest, okay?  And hey, I think you\'ve earned the right to wear this.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '202', 's_8c272224', 'I am interested in starfighter survival tactics.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '203', 's_8c2c48a7', 'Where is this route?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '204', 's_90377ed4', 'Affirmative!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '205', 's_90422eb5', 'Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '206', 's_908b3b7a', 'What do you want me to do about it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '207', 's_90ec63e0', 'Yes, I do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '208', 's_90f5b9d8', 'Make sure you stay in one piece, man!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '209', 's_92779459', 'You got it, babe.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '210', 's_940c893e', 'They tend to do that, my friend. We are at WAR with the Empire. Do you understand?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '211', 's_941b03d0', 'Nothing special.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '212', 's_942f0b27', 'The control device holds the command codes for your starter ship. The Alliance has a handful of these banged-up Z95\'s hidden at various starports. When you go to the starport down the street you can use a \'starship terminal\' to manage your ship components and launch into space.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '213', 's_9480f430', 'I am interested in droid interface basics.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '214', 's_948698f', 'Oh! I see how it is. You think you\'re really tough, don\'t ya?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '215', 's_94b9286d', 'What have you been doing, %NU?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '216', 's_96595faf', 'Most of the grief we\'ve been getting here in Corellia can be traced back to a single operation and a lone commander. Believe it or not... we know right were to find this guy! And, you\'re gonna bring him down!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '217', 's_967362c6', 'Then get back out there!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '218', 's_96bda01', 'I mean - let\'s make sure that the actual nav route doesn\'t cross an Imperial patrol or land in a nest of pirates. Check back with me when you\'re done.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '219', 's_9965dc21', 'You crossed Nym?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '220', 's_99dfe276', 'Interested? Is there money in it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '221', 's_9aa60522', 'Let\'s go!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '222', 's_9c5aabe', 'There were too many of them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '223', 's_9ccf9a34', 'Spooky. Then you won\'t mind me giving you your first Alliance pilot skill, eh?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '224', 's_9cdc2b64', 'Take care, buddy!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '225', 's_9d39bee2', 'I am sorry.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '226', 's_9df39ab2', '(Salute) The Alliance transport has been rescued!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '227', 's_9f222613', 'Maybe this isn\'t for me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '228', 's_9f5447cf', 'Alliance HQ already sent word! You blasted those TIE fighters to dust! You wanna share some details?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '229', 's_a0f35e59', 'Hi there! You now have all the experience you need to be trained something new.  Which area interests you the most?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '230', 's_a2fa88c1', 'Are you sure you want to sign up, honey? It\'s pretty rough up there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '231', 's_a3d65155', 'Fine. Welcome to the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '232', 's_a42932d7', 'I will need a starship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '233', 's_a42bf003', 'I\'m a RSF Pilot!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '234', 's_a4654330', '(Offer even more details)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '235', 's_a470f356', 'Whatever. Look - Alliance HQ, in their infinite wisdom, have decided to change-up the transport routes here in Corellia. Before we cut loose with all our supply ships, we want you to check out a few select nav points in this system and ensure that the route is safe. Sound good?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '236', 's_a4bd6cd1', 'I agree. The Empire is still giving us a lot of trouble here in Corellia. It\'s a very delicate balance. How do you wanna helping us out by taking a duty mission?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '237', 's_a592576c', 'Gonzo! Let\'s strike back at the infernal Empire. Find four TIE fighters in the Corellia system and destroy them!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '238', 's_a61f252c', '(Still more details...)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '239', 's_a66b0c40', 'I wouldn\'t call it \'resistance.\'');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '240', 's_a7c68d3f', 'Oh... well, of course not! The Empire is just grand... wouldn\'t you say?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '241', 's_a80d9308', 'Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '242', 's_a8e97b79', 'You\'re right! Thanks, and good work! Check back with me later...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '243', 's_a97e342', 'Okay, then - maybe you\'ll come back when... we\'re ready for you? Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '244', 's_aa03098a', 'We have terrible news from Alliance HQ. A refugee convoy was attacked by TIE fighters. Their fighter escort held the TIEs long enough for the transport to escape... but now the transport is lost...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '245', 's_ab2a872b', 'Droid programming will help you enhance your starship in battle. Are you interested in this?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '246', 's_ab8b2db5', 'You don\'t say! In that case, we can scrap the new transport route. Alliance HQ is going to have to come up with another plan. Good work, pilot!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '247', 's_acafcf16', 'Good advice.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '248', 's_ad33f74a', 'Where do I look?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '249', 's_ae0c01b4', 'Hey there! Ready to get started?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '250', 's_aed27f16', 'TIE Fighters tried to kill me!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '251', 's_af180d19', 'They got lucky.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '252', 's_af95b1e2', 'You need me to find it, right?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '253', 's_afcdcdf', 'Oh sure, \'officially neutral\' and all that, right?  Just going to let the Empire take over the whole galaxy?  Whatever.  I have no use for you fence-sitters!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '254', 's_afd8ea50', 'No, sir! Again, sir!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '255', 's_b03e852c', 'Relax. This ain\'t the Empire, okay? Lets exact a little revenge. Find four TIE fighters in the Corellia system and destroy them!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '256', 's_b0643db5', 'You\'re going to teach ME?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '257', 's_b17f599d', 'I will protect the Alliance transports!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '258', 's_b20c776b', 'Alliance HQ wants you to bring down four TIE fighters in the Corellia system. That\'ll make it clear to the Empire - they are not welcome here!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '259', 's_b282cc98', 'That will make them very happy, pilot. Follow the navigation route and protect every Alliance transport that HQ puts under your care. I\'ll see ya when you\'re done.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '260', 's_b2b30e20', 'Hey, so... the Alliance has asked me to recommend pilots that are ready for more challenge. Evidently something big is going on above planet Lok. Rebel Intelligence is all over it... and they need pilots.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '261', 's_b39049de', 'When will you train me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '262', 's_b3bebc5e', 'How do I get there?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '263', 's_b40cd69a', 'Haven\'t I seen you before? I am Kreezo of the Rebel Alliance. Yes - yes, we have met before! Are you still interested in becoming a Rebel fighter pilot?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '264', 's_b40d5e2c', 'Are there many Imperials?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '265', 's_b416fca1', 'Blast \'em! Alliance HQ says you gotta bring down four TIE fighters, should be a walk in the park for you, right?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '266', 's_b4bce31a', 'I am ready, Kreezo.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '267', 's_b4be0022', 'Things\'d be better if I had a mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '268', 's_b4ce2d62', 'A magician never reveals his secrets!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '269', 's_b4d7b1cd', 'Grounded?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '270', 's_b4da544c', 'This is out of my hands. I can\'t give you any more assignments until you prove your dedication to the cause.  Fight FOR the Rebel Alliance and improve your standing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '271', 's_b4e22b71', 'Get back out there, man! We must not keep the Alliance waiting!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '272', 's_b73cae6e', 'I\'m just trying to protect you, darling. Are you sure you want to join up with the Alliance? You could get killed!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '273', 's_b756c0a2', '(Wrap it up)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '274', 's_b8281380', 'Not quite yet, %NU.  I just need for you to complete one more assignment.  Are you up for it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '275', 's_b897f5e1', 'I\'m on it!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '276', 's_b975d6db', 'I don\'t know how best to describe it, really. Just launch into space. Your navigation computer has all of the important locations already loaded. Follow to each nav point and report what you find.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '277', 's_b979a424', 'Slow down, there, %NU.  I need to know you can be trusted to complete assignments as they are given.  I\'ll train you AFTER you\'ve finished doing a couple more things for me.  Now, are you ready to get back to work?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '278', 's_b9ab5e03', 'Okay, then. What area of study would you like to focus on?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '279', 's_b9b27823', 'Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '280', 's_ba6c97d4', 'You\'re right. There is no excuse.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '281', 's_baae2f70', '(Salute) The Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '282', 's_baf54d0', 'Who is this Lady Viopa?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '283', 's_bb9e839f', 'Hey! So what happened up there?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '284', 's_bc874dd9', 'I really don\'t mind the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '285', 's_bccfa654', 'Where was it last seen?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '286', 's_be7e31b9', 'I knew it! In that case, welcome to the Alliance, buddy!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '287', 's_c02ffe47', 'A wing of TIE fighters intercepted me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '288', 's_c19ed115', 'You\'ve got your assignment, and the control device for your ship in your datapad.  Go to the Starport and access the terminal to launch into space.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '289', 's_c1b9a6e', 'Then what are we waiting for?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '290', 's_c261cfae', 'No problem.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '291', 's_c2e41133', 'You almost got me with that one, sweetie! Heh. You\'re now part of the Rebel Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '292', 's_c36f7614', 'So? So you\'ve got a date with Lady Viopa of Alliance Intel. You think you can handle it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '293', 's_c3d77bb4', 'Expect the rally point to be patrolled by junior TIE cadets. They will be quick to respond if they see you first - so be very careful. Keep your eye out for the veteran TIE fighter pilot, eliminate him, and get back here as soon as you can.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '294', 's_c43ca4c2', 'Hmm. Well, I\'m pretty sure we can set you up with a loaner from the Alliance. Here... I\'ll transfer codes for a basic Z95 to your personal datapad. Let me know how she flies.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '295', 's_c477804d', '(Stare blankly.)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '296', 's_c4e77d66', '(Provide a detailed report)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '297', 's_c549da6d', 'I aborted the mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '298', 's_c5b598a2', 'Okay, then!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '299', 's_c61a299', 'You\'re breakin\' my heart!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '300', 's_c65bb61c', 'Well... yeah! I am a very experienced starfighter pilot. I can teach you everything you need to know - provided that you agree to fly for the Rebel Alliance. How does that strike you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '301', 's_c6891c87', 'I will join the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '302', 's_c6e25b8f', 'Don\'t abort the missions I give you, sweetie!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '303', 's_c7f0d385', 'The starport. It\'s just a little ways from here. Go back the way you came, head towards the center of town. Take a left when you get out of the slums and you\'ll head right into the starport.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '304', 's_c85ee89f', 'You sure do impress me, sir. You\'re a great combat pilot. Check back with me any time you are ready for training.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '305', 's_c8cdb11', 'A magician never reveals her secrets!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '306', 's_c8fa77b8', 'I can\'t wait!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '307', 's_c903d01a', 'Congratulations. You are now rated to fly the Y-Wing starfighter.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '308', 's_c9200f78', 'I know that. Try again. Hurry back!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '309', 's_c92d07b4', 'Sure. Why not.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '310', 's_c999ae60', 'Let me at \'em!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '311', 's_cade4505', 'The Force is with me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '312', 's_cafe8309', 'Whoa! Relax, sweetie! I meant nothing by it. Say - if you\'re really hot for flying starships, I\'ll set you up. Are you sure you want to join?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '313', 's_cb506bf8', 'My starship? In a datapad?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '314', 's_cc9fe745', 'What do you mean \'safe?\'');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '315', 's_ce52466', 'You can\'t upgrade this ship. The Alliance mechanics have welded the gearflaps shut on all of these loaners. You should think about buying your own ship... something you can customize. Are you ready for your first assignment?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '316', 's_cea58c15', 'Ha! Bad luck for them, huh? Glad to see you\'re still in one piece. Alliance HQ will likely scrap their plans for a new transport route. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '317', 's_cf04e474', 'What more do we know of this TIE veteran?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '318', 's_cfbb506d', 'Pirates, Imps, whatever. The old transport route was uncovered by the Empire and we lost a lot of good folks (not to mention their precious cargo). This new route should be more hidden...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '319', 's_d2b22f30', 'I won\'t fail a second time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '320', 's_d2d0a643', 'Nothing, really. She\'s kinda spooky. Alliance Intel folks generally are, though. Just do your duty and stay out of trouble!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '321', 's_d31da604', 'Good. Let\'s strike back at the infernal Empire. Find four TIE fighters in the Corellia system and destroy them! Sound good?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '322', 's_d36193f9', 'Forget it! I\'ll find someone else!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '323', 's_d390e9dc', 'Perfect thing for a strapping fella such as yourself! I\'ll be your trainer - and you\'ll be my... killer! How does that sound?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '324', 's_d3ba53db', 'Add me to the patrol duty roster, sir!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '325', 's_d47c0f9c', 'Sounds like a plan. I\'ll upload your pilot ID to the escort duty roster. Our transports will comm you in space. Make sure they get to their destinations safely.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '326', 's_d48ff4ca', 'You\'re kidding, right?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '327', 's_d4d02ce5', 'HA! ...like a squill in a barrel of Jawa beer! You\'re a card! Hope you don\'t get fried out there, my friend!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '328', 's_d6adf516', 'Great! You are now a better Alliance pilot!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '329', 's_d70dba34', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '330', 's_d731f764', '(Shrug and smile.)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '331', 's_d74fc3aa', 'I don\'t want to die for the Rebels.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '332', 's_d779178a', 'What other targets are in the area?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '333', 's_d828284a', 'You got it! Meet the Alliance Intel chief stationed on Lok. Her name is Lady Viopa, and she hangs out in Nym\'s compound. She\'ll have work for you when you arrive.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '334', 's_d9d2746c', 'I don\'t know how you expect to fly for the Rebel Alliance if you don\'t even have a ship!  Here, I\'ll add the control codes to your datapad for one of our low-end fighters.  You should upgrade this as soon as possible.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '335', 's_daea7c31', 'This track provides access to special Alliance piloting abilities. Are you interested in this?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '336', 's_db182750', 'Good. Check back with me when you\'re done.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '337', 's_dbfb3e78', 'What\'s the order, sir?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '338', 's_dc243da2', 'Done. Fly into Corellia space and follow the nav points. Destroy any hostiles you encounter. Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '339', 's_dc649bb3', 'I\'m on my way!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '340', 's_dda9e202', 'Where should I go now?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '341', 's_de6d6c6a', 'What more do you know of Viopa?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '342', 's_e003aec9', 'She\'s staying with Nym on Lok The Rebellion has made a deal to keep Viopa safe in Nym\'s compound.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '343', 's_e096316d', 'Sounds wizard. Let\'s go.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '344', 's_e102b38d', 'Without question.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '345', 's_e1f8bf59', 'This sort of thing is bound to happen. After all it is a WAR, you know!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '346', 's_e2d604a4', 'I am more than ready, Kreezo.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '347', 's_e2d918c4', 'What happened on your patrol, pilot?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '348', 's_e2e4a27d', 'No idea. The comm traffic is a mess. We\'ve got their navigation route, though. I\'ll upload that to your ship so you can follow their path.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '349', 's_e34abf38', 'Well, I\'m sorry for that... maybe you\'ll come back later when you have more time? I hope?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '350', 's_e37282e3', 'Standard space-hero stuff.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '351', 's_e3ae7e7c', 'Then you get them back!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '352', 's_e3e6b505', 'Pirates? What pirates?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '353', 's_e42b260e', 'I\'m on my way.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '354', 's_e44f1421', 'Good! Your job will be to check out the newly appointed Alliance transport route. It\'s a secret route - so fly casual... and make sure that all nav points check out!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '355', 's_e46d50f4', 'So let\'s hear all the gory details.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '356', 's_e53ac187', 'Great! Then, have a wonderful day!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '357', 's_e564c71b', 'Am I that obvious? Search for the transport. When you find it - escort it out of the system before the Empire can finish \'em off, okay?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '358', 's_e5a5e513', 'I see you\'ve survived!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '359', 's_e66b30af', 'Aw. How could you say that? After all I\'ve done for you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '360', 's_e68af394', 'That\'s the spirit, buddy!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '361', 's_e696787e', 'Great! You\'ll do well, I\'m sure.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '362', 's_e6de46a8', 'Protecting our escorts is the right thing for me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '363', 's_e6f57b04', 'Call me that again and you die!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '364', 's_e81be890', 'I know how you feel. Alliance HQ has plans for a new transport route. They need you to check out a few nav points in Corellia space and ensure that it\'ll be safe.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '365', 's_e8850b0f', 'You don\'t look like a pilot to me.  There\'s nothing I can do for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '366', 's_e8f4f19d', 'I couldn\'t finish the mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '367', 's_e96daa14', 'Our work is not finished, Kreezo.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '368', 's_ec3b34af', 'Outstanding! You got it!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '369', 's_ecdd7266', 'Dunno. The usual, I guess. Figure they\'re here because they know the Alliance is setting up operations in Corellia. They can\'t afford to let us get a foothold in this system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '370', 's_ef167e72', 'Where am I headed?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '371', 's_ef3cb7bd', 'No problem. Are you ready for your first assignment?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '372', 's_efc5edce', 'Start by going to the starport. Leave here and head towards downtown. Take a left when you get out of the slums and you\'ll run right into the starport. When you get there, go inside and look for a \'starship terminal.\' Use this terminal to launch your ship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '373', 's_effe3ca0', 'That\'s unfortunate. You should really try to keep a firm grasp on what sorta techniques work for ya, and which ones will get ya killed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '374', 's_f0f9adc9', 'Good luck, pal.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '375', 's_f11f8879', 'Just bring us victory, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '376', 's_f2b83a15', 'This will enable you to use more exotic, more effective components Are you interested in this?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '377', 's_f39351f2', 'You got it. We\'ll upload a suite of navigation points to help you. If HQ gets a lock on the transport, you\'ll be redirected to its position.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '378', 's_f3b9575d', 'Well, then let\'s give you another chance at it!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '379', 's_f587dd8b', 'Yes. Yes, I would say that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '380', 's_f5e65db0', 'You don\'t know me, Kreezo.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '381', 's_f7ed6410', 'Ha! I bet! How about a duty mission then? We have openings in our patrol circuit for pilots who want to clear Corellia of Imperial fighters. There\'s also a dire need for fighter escorts. The Empire is cracking down on all freighters in this system...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '382', 's_f90247ff', '(Offer more details)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '383', 's_fa61f5fd', 'You betcha!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '384', 's_fac12b86', 'Sounds perfect.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '385', 's_fb969128', 'Fantastic! We\'re going to make beautiful music together! Here is your first piloting skill.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '386', 's_fc27931b', 'Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '387', 's_fde91357', 'Bring down four TIE fighters. You can stick around to do more damage if they call in reinforcements - but the approved objective is four total targets.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '388', 's_fe5c41db', 'Slow down, there, %NU.  I need to know you can be trusted to complete assignments as they are given.  I\'ll train you AFTER you\'ve finished doing a few things for me.  Now, are you ready to get started?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '389', 's_fe6d50dd', 'Good luck, man.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corellia_rebel_trainer_1.stf', '390', 's_ff6358f3', 'Of course not. You\'re really gaining quite a reputation around here. Take some time for yourself. Come back here when you\'re ready to fly again, but in the meantime, check this out...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bledsoe_imperial_rescue_target.stf', '1', 'do_not_edit', 'The English version of this file (corvette_bledsoe_imperial_rescue_target.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bledsoe_imperial_rescue_target.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bledsoe_imperial_rescue_target.stf', '3', 's_2a121860', 'Good! I will make my way to the escape pods. Great work here soldier, I will make sure your commanding officer hears about it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bledsoe_imperial_rescue_target.stf', '4', 's_339b706e', 'Pardon me, and don\'t think me rude... afterall I am dutifully thankful for your part in my escape... but I should think it necessary to effect the completion of that escape rather than stand around talking like new recruits at an Imperial gala.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bledsoe_imperial_rescue_target.stf', '5', 's_5128536b', 'There might be some around still.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bledsoe_imperial_rescue_target.stf', '6', 's_5b99b059', 'Finally, took you long enough! For a while there I actually thought these stinking traitors would take me to where ever they were heading. Did you leave any of them alive?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bledsoe_imperial_rescue_target.stf', '7', 's_715b64d7', 'Good work soldier. I\'d hate to see all my ground-breaking work fall in to the hands of these Rebel scum. I will make my way to one of the escape pods now. I will also make sure to let your commanding officer know how well you took care of the vermin on this ship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bledsoe_imperial_rescue_target.stf', '8', 's_7dbf5a70', 'No, they are all taken care of.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bledsoe_imperial_rescue_target.stf', '9', 's_855a26e7', 'Well you have to take care of them then soldier! They are not worth more than a womp rat but twice as annoying. Cleanse this ship of their filthy presence!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bledsoe_imperial_rescue_target.stf', '10', 's_86216dc2', 'What?! They\'re vermin! If you leave any of them alive, they will breed and spread like the rodents they are. I will make sure to report your insolence to your commanding officer! Now where were those escape pods..');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bledsoe_imperial_rescue_target.stf', '11', 's_8bc64ef3', 'Genocide is not my thing doctor. I think our work here is done.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bledsoe_imperial_rescue_target.stf', '12', 's_da7cd509', 'Yes...Sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bronell_neutral_assassin.stf', '1', 'do_not_edit', 'The English version of this file (corvette_bronell_neutral_assassin.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bronell_neutral_assassin.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bronell_neutral_assassin.stf', '3', 's_12eb211c', 'Yes? Yes! I\'ve had enough, goodbye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bronell_neutral_assassin.stf', '4', 's_1779cf3b', 'Lord Jabba is pleased to hear that the CorSec officer has been eliminated. Let this be a lesson to all who fail to pay their debts to Lord Jabba the Hutt, yes? Are you here to receive your reward, yes?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bronell_neutral_assassin.stf', '5', 's_249447d6', 'Very well. It has been well earned, yes? Yes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bronell_neutral_assassin.stf', '6', 's_24dbc07d', 'I believe so.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bronell_neutral_assassin.stf', '7', 's_2972f7c', 'Where was Klaatu again?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bronell_neutral_assassin.stf', '8', 's_2ad476a3', 'Naboo, ok.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bronell_neutral_assassin.stf', '9', 's_382a91bd', 'I have no business with you at this time... and by that I mean Lord Jabba the Hutt has no need for me to do business with you at this time. Perhaps in the future, but not now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bronell_neutral_assassin.stf', '10', 's_3c2e92a', 'Alright, but how do I get to the corvette?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bronell_neutral_assassin.stf', '11', 's_3e2e8616', 'Sorry, I have other things to do. Erase all knowledge of my progress.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bronell_neutral_assassin.stf', '12', 's_3f04cefb', 'Here, take a look at this Research Request.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bronell_neutral_assassin.stf', '13', 's_3ffc96c6', 'He\'s outside with the shuttle... back behind this building, Lord Jabba\'s palace! If you succeed in your mission, return to me for your reward, yes? Now hurry!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bronell_neutral_assassin.stf', '14', 's_44fa5eb9', 'As you wish. Though I do not understand why you\'d want to delay, yes?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bronell_neutral_assassin.stf', '15', 's_465d7ab2', 'Here, take a look at this Gambling Debt List.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bronell_neutral_assassin.stf', '16', 's_469c9070', 'A ragtag bunch of pirates has a hideout there, yes? They are mostly known for kidnapping Naboo royalty, but they indulge in gambling from time to time as well. This CorSec officer owes them money, yes? He has quite a gambling problem, yes?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bronell_neutral_assassin.stf', '17', 's_491ecf2b', 'You are back already, yes? You have the documents, yes?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bronell_neutral_assassin.stf', '18', 's_4a365e4b', 'Sorry, you\'ll have to find someone else. I cannot continue with this mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bronell_neutral_assassin.stf', '19', 's_502c2a8d', 'Splendid but hurry, yes? Our magnificent Lord is not known for his patience, yes?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bronell_neutral_assassin.stf', '20', 's_560a7d6e', 'Quiet! I was not done yet, yes? This person is an officer in the Corellian Security Forces and thinks that will protect him, yes? He has incurred debts all over the galaxy, though, and I know a way to find him, yes?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bronell_neutral_assassin.stf', '21', 's_6333f589', 'Let me see that, yes?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bronell_neutral_assassin.stf', '22', 's_6f1692bf', 'Your still here? I thought I made clear time was not to be wasted looking at the dancers in the palace, yes?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bronell_neutral_assassin.stf', '23', 's_73f00073', 'Hmm... you have truly earned your reward, but you do not have room for it in your inventory, yes? Please come back and speak with me after clearing some space, yes?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bronell_neutral_assassin.stf', '24', 's_76e2b2f6', 'Alright, I\'ll try and get the information we need.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bronell_neutral_assassin.stf', '25', 's_79855d10', 'I\'m sorry, I just can\'t right now. Please erase all records of my progress.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bronell_neutral_assassin.stf', '26', 's_7d29adc4', 'Then maybe you could leave, yes?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bronell_neutral_assassin.stf', '27', 's_832183d2', 'Didn\'t I just say I have, yes? There are three lowly gangs of pirates, and this CorSec officer owes money to each of them, yes? These pirates can be found on Talus, Naboo, and Lok. Any of them may have documented his whereabouts, yes?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bronell_neutral_assassin.stf', '28', 's_85bcb083', 'Sounds too much like something I\'d want no part of, sorry.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bronell_neutral_assassin.stf', '29', 's_88ef705e', 'Our bountiful Lord will be most disappointed by your response, yes? Also, I must take all documents from you that are connected to this business, yes? Yes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bronell_neutral_assassin.stf', '30', 's_8c30ea7c', 'You there. I must demand your assistance with this mission of utmost importance. You will help, yes? This mission is vital to Lord Jabba and I am only speaking on his behalf. I, of course, get nothing out of this myself. So you will help, yes yes?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bronell_neutral_assassin.stf', '31', 's_8c845e29', 'Hmm, yes, yes, completely useless. Here\'s some credits as compensation for you time. Anything else, yes?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bronell_neutral_assassin.stf', '32', 's_94bc6e8f', 'Talus, yes? I mean, Talus?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bronell_neutral_assassin.stf', '33', 's_969790d9', 'Fine, get your smelly self out of here, yes?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bronell_neutral_assassin.stf', '34', 's_9b8c1f57', 'Could you go over the planets and pirates part again?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bronell_neutral_assassin.stf', '35', 's_a4929123', 'Fine, just don\'t hurt me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bronell_neutral_assassin.stf', '36', 's_ad79e41e', 'Give me all documents.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bronell_neutral_assassin.stf', '37', 's_b1e7cb8c', 'Excellent! Now hurry my noble warrior, hurry for Bronell...I mean our magnificent Lord Hutt! Yes? Yes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bronell_neutral_assassin.stf', '38', 's_b5022ce5', 'I am, yes. Hand it over!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bronell_neutral_assassin.stf', '39', 's_ba696f5d', 'Lok, yes? Bah, look what you did to me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bronell_neutral_assassin.stf', '40', 's_bd40a944', 'Sorry, I have other things to do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bronell_neutral_assassin.stf', '41', 's_bdde1d3a', 'You might be right. Fine, I\'ll get back to it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bronell_neutral_assassin.stf', '42', 's_bef20f69', 'Yes, indeed. Lord Hutt has a problem with a person who owes more than he could possibly pay, yes? You know what our venerable Lord does to those who can\'t pay debts, yes?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bronell_neutral_assassin.stf', '43', 's_c1d18ea0', 'Go talk to Klaatu outside behind the palace and give him the travel authorization I provided you with, yes? He will make all the arrangements. If you succeed in your mission, return to me for your reward. Now hurry, who knows when the corvette will move on, yes?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bronell_neutral_assassin.stf', '44', 's_c5ae9239', 'On my way to check one of the other hideouts.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bronell_neutral_assassin.stf', '45', 's_c79b5a4b', 'Splendid, let me see. Hmm, no, no...wait, yes! There he is! So that\'s where his ship is, yes? You must intercept this corvette and arrange his demise immediately, yes? If you succeed in this, Lord Jabba has allowed me to reward you generously, yes? Yes!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bronell_neutral_assassin.stf', '46', 's_ce8f15d7', 'Good, now hurry, yes?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bronell_neutral_assassin.stf', '47', 's_d27dcffe', 'I had some other documents I came across.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bronell_neutral_assassin.stf', '48', 's_d62f7d90', 'Depends, tell me about this mission?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bronell_neutral_assassin.stf', '49', 's_dc53bb6d', 'Oh, well I could use your help, but I see that you\'re already busy. Come back when you\'ve finished your current task and maybe we can do business.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bronell_neutral_assassin.stf', '50', 's_dcf8e793', 'Oh? Let me see that, yes?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bronell_neutral_assassin.stf', '51', 's_e1341a5c', 'I learned of a third option from an informant... well, a former informant. While his tongue was still attached, yes? The Canyon Corsairs on Lok have also dealt with this gambling maniac, yes? They might have the correct information as well, yes?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bronell_neutral_assassin.stf', '52', 's_e9499aa6', 'Let me see. Hmm, yes, yes...No! Did you even read this? Oh well, guess I have to compensate you for your time, yes? Now check the other hideouts!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bronell_neutral_assassin.stf', '53', 's_ecc1d177', 'Farewell, maybe I\'ll never see you again, yes?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bronell_neutral_assassin.stf', '54', 's_eece1fb8', 'I don\'t know... have you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bronell_neutral_assassin.stf', '55', 's_f5dcf8ec', 'Was that a question or a statement?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bronell_neutral_assassin.stf', '56', 's_f7203ef1', 'On Talus resides the despicable gang of pirates called Binayre. Scum they are, yes? Well below our notice normally, but this CorSec officer owes them a small amount of money. Perhaps they have information on CorSec operations that would tell us his location, yes?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bronell_neutral_assassin.stf', '57', 's_f8c79456', 'Our bountiful Lord will be most disappointed by your attitude, maybe a bit too disappointed, yes? I\'ll be forced to take all documents from you that relate to this endeavor, yes?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bronell_neutral_assassin.stf', '58', 's_f9bdde1d', 'Bah! Fine. Talus, Naboo, or Lok... which planet, yes?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bronell_neutral_assassin.stf', '59', 's_fecfb00f', 'Here, take a look at this Purchase Request Form.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bronell_neutral_assassin.stf', '60', 's_ffc988c3', 'No, not just yet. I\'ll be back.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bruce_neutral_destroy.stf', '1', 'do_not_edit', 'The English version of this file (corvette_bruce_neutral_destroy.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bruce_neutral_destroy.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bruce_neutral_destroy.stf', '3', 's_14963f17', 'Let me take a look.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bruce_neutral_destroy.stf', '4', 's_1ffa4e4b', 'Hmmm... I could use yer help, but I can see that ye are already busy. Come back when ye have finished yer current task and maybe we can do business.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bruce_neutral_destroy.stf', '5', 's_20f0bac1', 'Knew ye wuld come around. Now hurry!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bruce_neutral_destroy.stf', '6', 's_21328697', 'Whut the?! Ye giving up now, we almost done! If yer quit, I have ta take everything ye gotten up to dis time from ye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bruce_neutral_destroy.stf', '7', 's_224ca617', 'He be outside behind the palace! Come talk to me if ye destroy dat ship and get yer reward. Now hurry!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bruce_neutral_destroy.stf', '8', 's_269fe8a6', 'Culd be interesting me suppose. Here\'s some creds fer it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bruce_neutral_destroy.stf', '9', 's_283ba480', 'Sorry, I give up, this is taking too long.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bruce_neutral_destroy.stf', '10', 's_28c81b92', 'Ye haven\'t left yet? Whut ye still doing here?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bruce_neutral_destroy.stf', '11', 's_2972f7c', 'Where was Klaatu again?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bruce_neutral_destroy.stf', '12', 's_2a75ee0f', 'Yay! Jabba is happy with me... er... I mean ye. Right... ye. Dem CorSec and dat ship be destroyed! Good, good! Want yer reward?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bruce_neutral_destroy.stf', '13', 's_33849d1f', 'Oy, who\'d a known that slimeball could run so fast... maybe Jabba can give me some big work and I\'ll make me money back. Hey, go away... can\'t you see I\'ve got me own worries.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bruce_neutral_destroy.stf', '14', 's_369d526d', 'Sorry, this sounds like something I can\'t do right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bruce_neutral_destroy.stf', '15', 's_3bfca8b3', 'I was wondering if these other documents would be of use?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bruce_neutral_destroy.stf', '16', 's_3da0d379', 'Fantalistic! Now ye just need to fly up to that corvette and make it go boom! Take dis here travel form and show to Klaatu outside behind the palace. He\'ll hook ye up! Destroy dat ship den come see me for yer reward!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bruce_neutral_destroy.stf', '17', 's_3e583623', 'Here\'s a document labeled \'CorSec Destruction Code Sequences\'.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bruce_neutral_destroy.stf', '18', 's_40e26fa7', 'Yea. Okay. Dis here be your reward. Ye like?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bruce_neutral_destroy.stf', '19', 's_47a242b', 'Alright, what about the second location?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bruce_neutral_destroy.stf', '20', 's_4af1600f', 'Yea. Only ye no have room to take it. Best that ye make some room and den come back.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bruce_neutral_destroy.stf', '21', 's_557298a9', 'Not yet? Ye be a strange one. Why not take dis reward sooner rather den later? Stange one.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bruce_neutral_destroy.stf', '22', 's_574dc833', 'Me, eh? Well how can I help?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bruce_neutral_destroy.stf', '23', 's_5d72e2a5', 'Well on the planet of Naboo, sum of dem Maulers have been planning a raid against dem CorSec. Jabba think dem may have whut we wunt and haven\'t used it yet. Dey no wunt to give it up though so go dere and take it from dem. It sure ta be in dem camp sumwhere.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bruce_neutral_destroy.stf', '24', 's_65c58ea3', 'Well dat be the tricky part. Dere be these destruct sequences out dere somewhere but dey could be at any of three locations, me information wus not too specific. Me need ye to find it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bruce_neutral_destroy.stf', '25', 's_65ecd99d', 'Alright, I will try and find the sequence.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bruce_neutral_destroy.stf', '26', 's_68f1fe27', 'Well fork dem over!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bruce_neutral_destroy.stf', '27', 's_77455336', 'Yeah I\'m sorry, I can\'t do this.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bruce_neutral_destroy.stf', '28', 's_77928d48', 'Alright, I\'ll take care of it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bruce_neutral_destroy.stf', '29', 's_7a77d96c', 'Yes and hurry, we\'re running out of time here!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bruce_neutral_destroy.stf', '30', 's_7e619810', 'So I guess I\'ll have to go and check the other places.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bruce_neutral_destroy.stf', '31', 's_7f2cdc', 'Right, what\'s the third location?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bruce_neutral_destroy.stf', '32', 's_7f918abd', 'Well if all else fails, on the dreaded planet of Dathomir, there be dem Nightsisters. Jabba once sent a traitor to one of dem slave camps, since he wus a bit of a womanizer. Wonderful sense of humor he has Jabba. Anyway, the traitor probably dead but he had some information dat may have been wut we want and the Sisters may have it now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bruce_neutral_destroy.stf', '33', 's_8bd8c49d', 'Could you repeat the information on the locations?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bruce_neutral_destroy.stf', '34', 's_90650308', 'Maybe this \'The Edict of Jiaan\' could be useful?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bruce_neutral_destroy.stf', '35', 's_9dae0fe3', 'So what\'s the plan?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bruce_neutral_destroy.stf', '36', 's_a2329c74', 'Not just yet. I\'ll come back.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bruce_neutral_destroy.stf', '37', 's_a4929123', 'Fine, just don\'t hurt me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bruce_neutral_destroy.stf', '38', 's_a5cbd64e', 'Durnit! Dis not be good.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bruce_neutral_destroy.stf', '39', 's_ad79e41e', 'Give me all documents.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bruce_neutral_destroy.stf', '40', 's_adbdb619', 'Great, hurry and good look to ye! Come back if you blow up dat ship and get yer reward. Don\'t come back if ye fail.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bruce_neutral_destroy.stf', '41', 's_b6988a9c', 'Sorry, in a rush. Maybe next time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bruce_neutral_destroy.stf', '42', 's_bb218f7b', 'Well Jabba have a strong suspicion dem Rogue CorSec culd have dis here information. Dey after all former employees. Maybe dem stupid CorSec forget to change the sequence.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bruce_neutral_destroy.stf', '43', 's_c58b6642', 'Marvellous! Time is of essence here so if ye wunt, ye can check back after ye found one of the documents to see if dat be it. Or wait until ye have all three, as long as yer fast.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bruce_neutral_destroy.stf', '44', 's_c866c945', 'Not sure if dis any useful. I suppose me have to pay ye for yer troubles in getting it though.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bruce_neutral_destroy.stf', '45', 's_ca5faf1b', 'I\'ve found some documents that may be it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bruce_neutral_destroy.stf', '46', 's_cfec2ce3', 'Ah, yer back! Any luck?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bruce_neutral_destroy.stf', '47', 's_d036761d', 'Fine, I\'ll do it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bruce_neutral_destroy.stf', '48', 's_d3f9d91d', 'Not sure about this one, it\'s \'Bounty Hunter Means and Methods\'.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bruce_neutral_destroy.stf', '49', 's_d6cf9803', 'Okay, what\'s the first possible location?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bruce_neutral_destroy.stf', '50', 's_d725eac', 'Fine! Get outta here and don\'t come back, ye here?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bruce_neutral_destroy.stf', '51', 's_dc1051b', 'Something came up, can\'t do it right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bruce_neutral_destroy.stf', '52', 's_dea1004c', 'Have ye been out drinkin? Okay me go over it again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bruce_neutral_destroy.stf', '53', 's_e61c9f7a', 'Yes, I\'d like my reward please. I\'ve earned it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bruce_neutral_destroy.stf', '54', 's_ed430e90', 'Didn\'t take ye fer a quitter, guess I wus wrong. Dis not good news, not at all. I\'m gonna take all everything about dis from ye. Ye keep nuthin.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bruce_neutral_destroy.stf', '55', 's_f7dab98e', 'G\'day! Jabba has me do a most urgent mission and me need yer help! I heard yer name whispered in the palace so me think, dis here fellow wuld be perfect fer dis kinda job.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_bruce_neutral_destroy.stf', '56', 's_f87d1b5b', 'Well we have us a traitor who gave up important stuff to dem CorSec about Jabba. Dis stuff is, as me speak, being transported on a corvette. We must make dis here ship blow up before it reach its destination.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_colonel_imperial1.stf', '1', 'do_not_edit', 'The English version of this file (corvette_colonel_imperial1.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_colonel_imperial1.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_colonel_imperial1.stf', '3', 's_157ef5eb', 'I... don\'t like this at all. I\'ll have to pass.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_colonel_imperial1.stf', '4', 's_180bc00a', 'Very well. It is sad to hear.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_colonel_imperial1.stf', '5', 's_18d01770', 'You have returned. I am glad to see you are still well. What have you discovered? Do you have any documents? Or do you need information?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_colonel_imperial1.stf', '6', 's_1944f1e6', 'Yes, I will.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_colonel_imperial1.stf', '7', 's_1b0601e4', 'I think I\'ve found what you\'re looking for.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_colonel_imperial1.stf', '8', 's_21550a19', 'A reward? Definitely. Hand it over.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_colonel_imperial1.stf', '9', 's_28586fd5', 'Very well.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_colonel_imperial1.stf', '10', 's_2a8874c3', 'Then again, I\'d rather not help. Sorry.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_colonel_imperial1.stf', '11', 's_2a973e2d', 'This news pleases me. Please be careful and return safely. Oh, and if you succeed in this mission, I can offer you a reward. Though a true soldier of the Empire would desire no such thing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_colonel_imperial1.stf', '12', 's_2f26b4c4', 'I still have documents for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_colonel_imperial1.stf', '13', 's_33656cd3', 'Indeed. I need those documents as soon as possible. Please find them quickly.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_colonel_imperial1.stf', '14', 's_33f4749f', 'Ah, not now. I could use your help, but I see that you\'re already busy. Come back when you\'ve finished your current task and maybe I\'ll have something for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_colonel_imperial1.stf', '15', 's_3b10534d', 'We\'ve discovered that a group of ex-CorSec agents on Corellia have been monitoring local activities of certain Rebel Alliance groups. While we don\'t know the exact reasons behind this, we do know that these former members of the Corellian Security Forces have turned to a life of crime and are not helping the Alliance. The Empire typically leaves them alone, but we now need to find out if they have information about the abduction of Dr. Bledsoe. Go and search their base.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_colonel_imperial1.stf', '16', 's_3c50285d', 'Excellent! What have you found on your mission?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_colonel_imperial1.stf', '17', 's_4002f794', 'You must travel to the Emperor\'s Retreat and present your ticket to the shuttle pilot there. He will help you to intercept the Corellian corvette so that you may continue your mission. If your mission is successful and you desire a reward, return and speak with me afterwards.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_colonel_imperial1.stf', '18', 's_41506e32', 'I need more information on the Rogue CorSec base.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_colonel_imperial1.stf', '19', 's_458f152b', 'I need more information on the Woolamander Palace.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_colonel_imperial1.stf', '20', 's_4fd6735c', 'I need more information about this ordeal.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_colonel_imperial1.stf', '21', 's_5200ce80', 'I\'m not interested. Good-bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_colonel_imperial1.stf', '22', 's_56fe6ddb', 'The Woolamander Palace can be found on Yavin IV. I do not know the history of the place. We have received several reports that affiliates of the Alliance still operate from its ruins from time to time. It can be found in the central area of Yavin IV. I don\'t have anymore information.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_colonel_imperial1.stf', '23', 's_5bc1d51e', 'Show the Prisoner Transport Order.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_colonel_imperial1.stf', '24', 's_5c4b594c', 'I see you have returned. Are you in need of additional assistance?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_colonel_imperial1.stf', '25', 's_5dad02b', 'I don\'t want to do this anymore. Find someone else and erase all records of my progress.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_colonel_imperial1.stf', '26', 's_60c4f974', 'Where do I go?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_colonel_imperial1.stf', '27', 's_61a71fef', 'I\'m taking my leave to board the corvette.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_colonel_imperial1.stf', '28', 's_684f9e1', 'I cannot help you, citizen. Please try elsewhere.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_colonel_imperial1.stf', '29', 's_74edd9cc', 'And that is your choice. I am disappointed..');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_colonel_imperial1.stf', '30', 's_7a2a05c4', 'In that case, I\'ll continue.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_colonel_imperial1.stf', '31', 's_80d92f17', 'Are you sure? Your progress will be erased from our database, all remaining documents will be taken from you, and the travel authorization will be revoked.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_colonel_imperial1.stf', '32', 's_81ff39a5', 'I thought as much. Very well, take it. You did earn this, though I\'d hoped the honor of serving the Empire would have been enough.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_colonel_imperial1.stf', '33', 's_8e06b4e8', 'Ah yes. I would hand it over, as you ask, but you don\'t have room to carry it. So you\'ll have to clear some space before you may take it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_colonel_imperial1.stf', '34', 's_979b7ad4', 'It never ends... it never ends. I must admit, though, that I\'ll be relieved when my part in this is finally over. Coordinating the release of Imperial hostages has its challenges but also a high level of stress. After my retirement, I think I\'ll get a little place on Naboo near Kaadara.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_colonel_imperial1.stf', '35', 's_a128e067', 'Looks like I have more to do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_colonel_imperial1.stf', '36', 's_a342e94c', 'Very well. I shall continue. We have intercepted faint transmissions discussing Dr. Bledsoe\'s transfer but have been unable to determine where they are they are holding him. This is where you come in. There are three locations at which we believe you might find prisoner transfer orders for Dr. Bledsoe. These three locations are the Woolamander Palace on Yavin IV, the Rogue CorSec base on Corellia, and the Droid Engineer cave on Lok.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_colonel_imperial1.stf', '37', 's_a38773c1', 'I\'m not sure. Maybe I\'ll come back later.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_colonel_imperial1.stf', '38', 's_a5591c27', 'I accept this mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_colonel_imperial1.stf', '39', 's_a5e941d1', 'Dr. Bledsoe is the Empire\'s expert in the areas of disease and medicine. Unfortunately, he was abducted by Alliance terrorists. There\'s no telling what those ruthless animals will do to him but his existence is extremely important to the Empire\'s efforts. He needs to be returned. Will you help us?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_colonel_imperial1.stf', '40', 's_adecb4e7', 'Hmm.. this information is very interesting. However, these are not the orders I had been looking for. I will take these off your hands, though, and reward you for finding them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_colonel_imperial1.stf', '41', 's_bcecb501', 'Very well. You have been released from this mission. You understand that I must remove from you all documents and data connected to this mission. Standard operating procedure.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_colonel_imperial1.stf', '42', 's_bd942cc0', 'Excellent. Good luck to you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_colonel_imperial1.stf', '43', 's_c2f40cdd', 'Show the Purchase Order Form.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_colonel_imperial1.stf', '44', 's_c48932d', 'Your service to the Empire has been adequate. I suppose a reward is in order, if you desire one?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_colonel_imperial1.stf', '45', 's_d5ab67dd', 'I don\'t want to do this anymore. Erase all records of my progress.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_colonel_imperial1.stf', '46', 's_d630c3b6', 'I am nearing the end of my days serving as the main point of contact in regards to Imperial officers who find themselves in a hostage situation. Every mission is important. As possibly my last, this one proves to be most difficult.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_colonel_imperial1.stf', '47', 's_dc4a40d6', 'Exactly... your reward is serving the Empire. But should you change your mind, simply speak with me again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_colonel_imperial1.stf', '48', 's_dd109d64', 'That\'s fine. I resign.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_colonel_imperial1.stf', '49', 's_df607c49', 'I\'m listening.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_colonel_imperial1.stf', '50', 's_e6e45415', 'Finally! We now know his whereabouts. He has been moved to a Corellian corvette within deep space. I need an Imperial soldier I can trust to go there and rescue the doctor. Ah...You! You are that soldier. Take this item to the shuttle pilot at the Emperor\'s Retreat. He will help you to intercept the Corellian corvette with Dr. Bledsoe. If your mission is successful I will probably be able to offer you a reward. If you desire one. Either way, I wish you luck in this endeavor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_colonel_imperial1.stf', '51', 's_e6ef1e0c', 'Show the Research Request.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_colonel_imperial1.stf', '52', 's_ec42069a', 'Very well. We have intercepted faint transmissions discussing Dr. Bledsoe\'s transfer but have been unable to determine where they are they are holding him. This is where you come in. There are three locations at which we believe you might find prisoner transfer orders for Dr. Bledsoe. These three locations are the Woolamander Palace on Yavin IV, the Rogue CorSec base on Corellia, and the Droid Engineer cave on Lok.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_colonel_imperial1.stf', '53', 's_f2177029', 'I need more information on the Droid Engineer cave.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_colonel_imperial1.stf', '54', 's_f769f479', 'I am glad to hear of it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_colonel_imperial1.stf', '55', 's_fc068f1e', 'This cave was established by a crazed droid engineer and served as a place to operate on his droids, making them lethal killing machines. What the Alliance is doing there is beyond my comprehension. The cave can be found on Lok in the heart of the volcano. He was mad, indeed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_colonel_imperial1.stf', '56', 's_ffa3808c', 'Oh, show me the ones you still have.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_crowley_rebel1.stf', '1', 'do_not_edit', 'The English version of this file (corvette_crowley_rebel1.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_crowley_rebel1.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_crowley_rebel1.stf', '3', 's_16205aba', 'What exactly have you found?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_crowley_rebel1.stf', '4', 's_1b28b4c', 'There is hope yet. Good luck on your mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_crowley_rebel1.stf', '5', 's_2373d61a', 'Lt. Lance at the Rebel hideout on Corellia is waiting to meet you. He will provide transportation which will enable you to intercept the stolen Corellian corvette. After you\'ve victoriously completed your mission, return to me for a reward.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_crowley_rebel1.stf', '6', 's_2621fdc0', 'Rumor is that a group of Cobral thieves have stolen some important documents from the Empire. This could well include the information I\'m looking for. If so, it\'s in their hideout on Rori.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_crowley_rebel1.stf', '7', 's_298e244f', 'Where do I go again?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_crowley_rebel1.stf', '8', 's_2c449c28', 'I suppose I could use your help, but I see that you\'re already busy. Come back when you\'ve finished your current task and maybe you can still help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_crowley_rebel1.stf', '9', 's_2f26b4c4', 'I still have documents for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_crowley_rebel1.stf', '10', 's_36e1dfe9', 'I am. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_crowley_rebel1.stf', '11', 's_397c5f6d', 'Excellent! This is exactly the information we\'ve needed! We now know where the Corellian corvette is. You\'ll need to speak with Lt. Lance at the Rebel Alliance hideout on Corellia. He will provide transportation which will enable you to intercept the stolen Corellian corvette. When you get to the corvette, it must be destroyed before it hits Centerpoint Station near Corellia. Once that has been accomplished return to me for a reward. Now go see Lt. Lance on Corellia.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_crowley_rebel1.stf', '12', 's_3bd032cd', 'I see. Which documents do you have for me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_crowley_rebel1.stf', '13', 's_44a0326c', 'It is a pleasure to reward you for such a triumphant mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_crowley_rebel1.stf', '14', 's_4fa93758', 'What am I looking for again?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_crowley_rebel1.stf', '15', 's_59f5cee6', 'Is there anything I can do to help?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_crowley_rebel1.stf', '16', 's_710a8214', 'I found this Imperial Memorandum.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_crowley_rebel1.stf', '17', 's_71aabcdc', 'Hope has been uplifted in me by you. Be swift and come back safely with the information we need.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_crowley_rebel1.stf', '18', 's_729d86e2', 'You\'ve done an outstanding job! When I heard that the corvette was destroyed, I was ecstatic. Are you here for your reward?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_crowley_rebel1.stf', '19', 's_74a0348d', 'No thanks. I\'m not interested in doing this.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_crowley_rebel1.stf', '20', 's_762ce016', 'A pity. I am disappointed but will find another to replace you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_crowley_rebel1.stf', '21', 's_7cfd3686', 'I found this Ship Preparation Document.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_crowley_rebel1.stf', '22', 's_7ed78a88', 'Many who have been taken to the Imperial Prison on Dathomir have never been seen again. It is a dangerous and forbidding place. Rumor is that the surviving crew of this corvette is incarcerated there. Travel to this dangerous planet and infiltrate the prison. Search for any information you can find.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_crowley_rebel1.stf', '23', 's_823e1fa', 'No, I\'m not yet ready for it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_crowley_rebel1.stf', '24', 's_84bd3f49', 'One of our own Corellian corvettes. Unthinkable. The Empire has crafted a diabolical political maneuver. They\'ve stolen a Corellian corvette and are filling it with explosives. They intend to send it hurtling into Centerpoint Station near Corellia. The plan being to make the Rebels look both foolish and dangerous at the same time. We must stop them before they complete their horrible plan.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_crowley_rebel1.stf', '25', 's_908f0d55', 'Good luck, young recruit. Return in victory and be rewarded. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_crowley_rebel1.stf', '26', 's_9dc63a4b', 'Unfortunately, this isn\'t the information needed for our mission. However, any information is good information. I will reward you for this.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_crowley_rebel1.stf', '27', 's_a128e067', 'Looks like I have more to do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_crowley_rebel1.stf', '28', 's_a4965b23', 'I see you have returned. Have you found what we\'re looking for?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_crowley_rebel1.stf', '29', 's_a539245b', 'I see. Well, whenever you\'re ready, just come talk to me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_crowley_rebel1.stf', '30', 's_a5591c27', 'I accept this mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_crowley_rebel1.stf', '31', 's_aec5e53e', 'Tell me about the Cobral hideout on Rori.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_crowley_rebel1.stf', '32', 's_b0bbc0c3', 'I\'m off to meet our contact on Corellia.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_crowley_rebel1.stf', '33', 's_b155820c', 'Excuse me a minute, I\'m awaiting important orders about an upcoming... well, I can\'t really reveal anything more at this time. But I must remain at full readiness. Not a moment should be wasted when the word is given.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_crowley_rebel1.stf', '34', 's_b30bd73c', 'Yes, I did.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_crowley_rebel1.stf', '35', 's_b4b735ef', 'That\'s okay. I cannot continue.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_crowley_rebel1.stf', '36', 's_b6a784f4', 'Er... maybe I\'ll do it. Or at least think about it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_crowley_rebel1.stf', '37', 's_bcc53c45', 'I am surprised to see you here. Are you in need of more information?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_crowley_rebel1.stf', '38', 's_c03449c4', 'A pity, indeed. You have been released from the mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_crowley_rebel1.stf', '39', 's_c55f8e77', 'I\'ve much to do... I\'m afraid I don\'t have time to spare unless it involves urgent Rebel business.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_crowley_rebel1.stf', '40', 's_c6392194', 'Tell me about the Imperial Base.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_crowley_rebel1.stf', '41', 's_cb6caf3', 'That is sad news, but I will do so. It will be difficult to replace you. I\'ll have to retrieve all documents and data gathered for this mission from you. Sorry, but it\'s required.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_crowley_rebel1.stf', '42', 's_d3c9d7bc', 'Um... while I\'d like nothing more than to give you your reward, you do not have room for it at the moment. Please make some space and then talk to me again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_crowley_rebel1.stf', '43', 's_d4a6b26', 'I found this Paid Time Off (PTO) Request.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_crowley_rebel1.stf', '44', 's_d5084988', 'I cannot continue with this mission. Please erase my progress from your records.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_crowley_rebel1.stf', '45', 's_da09e61c', 'Indeed. You\'ll need to find the information as quickly as possible.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_crowley_rebel1.stf', '46', 's_dd846d25', 'You need to find a document which details the location of the Corellian corvette. Which location do you need more information on?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_crowley_rebel1.stf', '47', 's_df8ea53', 'Not interested.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_crowley_rebel1.stf', '48', 's_e77661bc', 'Hmm... Indeed. You seem capable enough to help us in this endeavor. We must find the location of that Corellian corvette. We believe it to be somewhere in deep space and thus harder to find and safer in case anything goes wrong. Based on intel gathered, I know of three places where some information about the location of that corvette might be found. Those being  the Imperial Base on Lok, the Cobral hideout on Rori, and the Imperial prison on Dathomir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_crowley_rebel1.stf', '49', 's_eb5ae08', 'Tell me about Dathomir Prison.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_crowley_rebel1.stf', '50', 's_f26df06d', 'I\'m sorry to hear that. Very well, we\'ll continue on without you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_crowley_rebel1.stf', '51', 's_fa42cc8d', 'We have reason to believe that Imperial General Otto, stationed at the Imperial base on Lok, may be supplying the explosives being used on the corvette. General Otto is known to be fairly careless, so it would not be surprising if the information you seek was in an unsecured crate or desk somewhere. Seek out his base and return with any information you find.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_crowley_rebel1.stf', '52', 's_fb051f63', 'Are you certain? Very well. But your progress will be erased, any remaining documents will be confiscated, and the travel authorization will be revoked. If you change you mind and decide to try again, you\'ll have to start from the beginning.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_ian_rebel_rescue_target.stf', '1', 'do_not_edit', 'The English version of this file (corvette_ian_rebel_rescue_target.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_ian_rebel_rescue_target.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_ian_rebel_rescue_target.stf', '3', 's_2960a6e2', 'Adar Tallon put together a plan for us. We couldn\'t have done it without him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_ian_rebel_rescue_target.stf', '4', 's_3764c8de', 'Ah, I should have known. Adar is as competent as he is brave. Excellent work. I know of a Rebel safe haven that\'s not too far from here. I\'ll take an escape pod to there. Thank you again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_ian_rebel_rescue_target.stf', '5', 's_4f0f61e', 'Er... hmmm. That doesn\'t sound much like the Adar Tallon I know. Um well... anyway, I know of a Rebel safe haven that\'s not too far from here. I\'ll take an escape pod to there. Er... yes. Thank you again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_ian_rebel_rescue_target.stf', '6', 's_7ed61042', 'I\'m glad to see you guys. I\'ve been trying to work out a escape plan ever since they got me on this vessel but they have kept a close eye on me. How did you find me here?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_ian_rebel_rescue_target.stf', '7', 's_9447b2d6', 'I\'d like nothing more than to hear of your adventures getting onto this ship, but now\'s not the time. Let\'s get off this thing first.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_ian_rebel_rescue_target.stf', '8', 's_9b4d81d1', 'We asked that coward Adar Tallon for help, but he refused. So we did it on our own.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_imperial_pilot.stf', '1', 'do_not_edit', 'The English version of this file (corvette_imperial_pilot.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_imperial_pilot.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_imperial_pilot.stf', '3', 's_1a71d76e', 'Um... nothing. Nevermind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_imperial_pilot.stf', '4', 's_1ab00f5e', '[Tell him about your mission]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_imperial_pilot.stf', '5', 's_37545a64', 'I think I heard about that one recently... some Rebel intel was discovered recently and word of it managed to cross my path. A Corellian CR-90 corvette, I believe. I think I can help you, but the transportation I can provide only has room for 10 or less. You\'ll need to reduce your group size and then speak with me again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_imperial_pilot.stf', '6', 's_3fa1e397', 'I see, well I wouldn\'t dally if I were you. Might want to move along.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_imperial_pilot.stf', '7', 's_4044790f', 'Well, I\'d like to help you, but the transportation I can provide only has room for 10 or less. In addition to that, I\'m only authorized to transport those of Imperial standing. You\'ll need to adjust your group and then speak with me again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_imperial_pilot.stf', '8', 's_500c4dc0', 'I think I heard about that one recently... some Rebel intel was discovered recently and word of it managed to cross my path. A Corellian CR-90 corvette, I believe. I think I can help you. Once on the corvette, you\'ll have a limited amount of time to complete your mission. Be sure to finish and escape in less than an hour.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_imperial_pilot.stf', '9', 's_62aa5014', 'Good, when can we go?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_imperial_pilot.stf', '10', 's_6cca850b', 'Really. Where would you hear that, I wonder. Just out of curiosity, any particular blockade runner? ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_imperial_pilot.stf', '11', 's_7c51b25', 'Well, I\'d like to help you, but the transportation I can provide only has room for 10 or less. You\'ll need to reduce your group size and then speak with me again');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_imperial_pilot.stf', '12', 's_8bb955f8', 'As you say, nothing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_imperial_pilot.stf', '13', 's_a7ad2e69', 'I hear you can help me intercept a Rebel blockade runner?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_imperial_pilot.stf', '14', 's_b5aa0f29', 'I suppose it\'s your choice. But failing to fulfill your mission won\'t reflect well when your service to the Empire is being considered.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_imperial_pilot.stf', '15', 's_d5421c5c', 'I think I heard about that one recently... some Rebel intel was discovered recently and word of it managed to cross my path. It was a Corellian CR-90 corvette, I believe. I think I can help you, but the transportation I can provide only has room for 10 or less. In addition to that, I\'m only authorized to transport those of Imperial standing. You\'ll need to adjust your group and then speak with me again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_imperial_pilot.stf', '16', 's_d553beb4', 'I\'ve changed my mind, and I\'m leaving.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_imperial_pilot.stf', '17', 's_db4a97a9', 'I think I heard about that one recently... some Rebel intel was discovered recently and word of it managed to cross my path. It was a Corellian CR-90 corvette, I believe. I think I can help you, but I\'m only authorized to transport those of Imperial standing. You\'ll need to adjust your group and then speak with me again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_imperial_pilot.stf', '18', 's_dd163c95', 'Well, I\'d like to help you, but I\'m only authorized to transport those of Imperial standing. You\'ll need to adjust your group and then speak with me again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_imperial_pilot.stf', '19', 's_e1b151c2', 'Greetings citizen. What brings you to this exclusive retreat at which you probably have no legitimate business?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_imperial_pilot.stf', '20', 's_e84669ef', 'Right. Well, good luck with whatever you\'re trying to do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_imperial_pilot.stf', '21', 's_fbc421e2', 'Eager to go... good. Let\'s get things started. Let me see your authorization, and we\'ll go from there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_imperial_prisoner.stf', '1', 'do_not_edit', 'The English version of this file (corvette_imperial_prisoner.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_imperial_prisoner.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_imperial_prisoner.stf', '3', 's_b3de17b8', 'No time to talk... I\'m getting off this ship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_imperial_prisoner.stf', '4', 's_e7ffc2e8', 'About time! Thought command had forgotten about me or something...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_imperial_prisoner_02.stf', '1', 'do_not_edit', 'The English version of this file (corvette_imperial_prisoner_02.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_imperial_prisoner_02.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_imperial_prisoner_02.stf', '3', 's_9b0874b1', 'Good work soldiers! Knew I could count on the Empire\'s finest to get me out of here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_imperial_prisoner_02.stf', '4', 's_a8dab33a', 'Time to get off this ship. Thanks again!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_neutral_pilot.stf', '1', 'do_not_edit', 'The English version of this file (corvette_neutral_pilot.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_neutral_pilot.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_neutral_pilot.stf', '3', 's_18d816d4', 'Hey, no worries to me. Good luck explaining your cowardice to Jabba... assuming you really were doing this for him. [laughs]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_neutral_pilot.stf', '4', 's_1a71d76e', 'Um... nothing. Nevermind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_neutral_pilot.stf', '5', 's_1ab00f5e', '[Tell him about your mission]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_neutral_pilot.stf', '6', 's_1e10bbe3', 'If you have to run around out here, don\'t touch anything! I\'m dealing with some highly sensitive equipment in this area and don\'t want your clumsy fingers breaking something.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_neutral_pilot.stf', '7', 's_4fb4580f', 'I hear you can help me intercept a CorSec Corellian corvette?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_neutral_pilot.stf', '8', 's_62aa5014', 'Good, when can we go?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_neutral_pilot.stf', '9', 's_6423c2d5', 'Well, I could normally help you, but the transportation I can provide only has room for 10 or less. You\'ll need to reduce your group size and then speak with me again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_neutral_pilot.stf', '10', 's_801d58df', 'Whoa... hold on there. Not so fast. First I need to know you have proper authorization for this... I\'m willing to help you, but I\'ve gotta know this is legit. Jabba\'d have my head if I started providing transportation to just anyone claiming to be on some mission. You got a travel authorization form?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_neutral_pilot.stf', '11', 's_ba55259a', 'Good. You\'d only be in my way.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_neutral_pilot.stf', '12', 's_c4c8b476', 'Hmmm... reminds me of some information I overheard recently. Don\'t you worry about where I heard it! Just be glad that I did, because I think I can help you. Oh, something you should know - after you get to the corvette, you\'ll have an hour to conclude your business. After an hour, it\'s too late. Game over. Mission failed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_neutral_pilot.stf', '13', 's_d553beb4', 'I\'ve changed my mind, and I\'m leaving.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_neutral_pilot.stf', '14', 's_f0008c9b', 'Whatever. Try to leave more quietly than you arrived.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_neutral_pilot.stf', '15', 's_f2d8c3c4', 'Hmmm... reminds me of some information I overheard recently. I might be able to help you, but the transportation I can provide only has room for 10 or less. You\'ll need to reduce your group size and then speak with me again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_neutral_pilot.stf', '16', 's_facfb7c0', 'Oh, sorry. I\'ll be going then.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_neutral_pilot.stf', '17', 's_fc033618', 'Me? And just how exactly would I do that? Wait... wait. Don\'t go. Why do you want to do something like that?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_neutral_prisoner.stf', '1', 'do_not_edit', 'The English version of this file (corvette_neutral_prisoner.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_neutral_prisoner.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_neutral_prisoner.stf', '3', 's_940601d4', 'Phew, I thought Jabba was going to leave me to rot. I owe ye one mate!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_neutral_prisoner.stf', '4', 's_fa08a772', 'Later mate... I\'m getting off this ship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_neutral_prisoner_02.stf', '1', 'do_not_edit', 'The English version of this file (corvette_neutral_prisoner_02.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_neutral_prisoner_02.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_neutral_prisoner_02.stf', '3', 's_169c1160', 'I\'m getting off this ship, and when I do, don\'t go sayin\' anything to Jabba. I aim to talk to him myself.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_neutral_prisoner_02.stf', '4', 's_941cfab3', 'About time you showed up. For a second I thought that slug coundn\'t have cared less if I was going to prison or not. Oh you\'re not here for me?! This is not the last Jabba has heard of me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_pashna_rebel1.stf', '1', 'do_not_edit', 'The English version of this file (corvette_pashna_rebel1.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_pashna_rebel1.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_pashna_rebel1.stf', '3', 's_1729866a', 'I\'ve decided to abort the mission. Please erase all records of my progress.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_pashna_rebel1.stf', '4', 's_1cce61b2', 'Well done. This is exactly the information we needed. Hmm... this Imperial commander is worse than expected. He must definitely be eliminated. So much so that our primary concern has changed. First priority is now to assassinate this Imperial commander. Take this travel authorization to the Rebel Alliance hideout on Corellia. Speak with Lt. Lance there and he\'ll give you more instructions. If you prevail, return to me for your reward.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_pashna_rebel1.stf', '5', 's_2534c3e3', 'Tell me more about the Geonosian Bunker.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_pashna_rebel1.stf', '6', 's_26d40ca6', 'Tell me more about Fort Tusken and why any information would be there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_pashna_rebel1.stf', '7', 's_278c1c25', 'Not yet. I need more information about the locations I\'m to search.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_pashna_rebel1.stf', '8', 's_29542d1b', 'That is very unfortunate to hear. I hope to find someone else to help us. I\'ll have to take all mission related documents from you. I\'m sure you understand, of course.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_pashna_rebel1.stf', '9', 's_2a4d0c46', 'You reward is richly deserved, but you seem to have no room for it. Please clear some space and then speak with me again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_pashna_rebel1.stf', '10', 's_2be3fa16', 'I am distressed. I hope to find a replacement.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_pashna_rebel1.stf', '11', 's_2d18a202', 'Are you sure? I\'ll have to erase all progress you\'ve made, take all remaining documents you\'ve found, and revoke the travel authorization.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_pashna_rebel1.stf', '12', 's_2f26b4c4', 'I still have documents for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_pashna_rebel1.stf', '13', 's_2f662226', 'I see that you have returned. But why? My concern for our mission grows more by the day.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_pashna_rebel1.stf', '14', 's_32abdf15', 'I can\'t do this anymore. I have to resign from the mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_pashna_rebel1.stf', '15', 's_36cb0506', 'No, maybe another time. Good bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_pashna_rebel1.stf', '16', 's_436d636d', 'That sounds like a problem. I wish I could help, but really I don\'t care.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_pashna_rebel1.stf', '17', 's_47eb05e', 'No. I have no further instructions for you. You\'ll need to present your travel authorization to Lt. Lance at the Rebel Alliance hideout on Corellia. If you succeed in your mission, return to me for your reward.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_pashna_rebel1.stf', '18', 's_49437190', 'My nerves have been eased. Please hurry and return safely.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_pashna_rebel1.stf', '19', 's_5b812563', 'Thank you again. Without your help, there would have been no end to the havoc that Imperial monster would have sown. Well done.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_pashna_rebel1.stf', '20', 's_60c4f974', 'Where do I go?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_pashna_rebel1.stf', '21', 's_615637f6', 'No, not yet. Maybe later.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_pashna_rebel1.stf', '22', 's_697542b9', 'Indeed. Try to find those documents as quickly as possible.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_pashna_rebel1.stf', '23', 's_6992624d', 'I am heading to the Corellian corvette. Anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_pashna_rebel1.stf', '24', 's_7384b0d4', 'I see. Such apathy is what holds our efforts back from true success. But then, I suppose the idea of assassinating another person can be difficult to accept. I understand your reservations.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_pashna_rebel1.stf', '25', 's_73f241bd', 'In fact, I do. Before we take any measure of action, I need more information regarding this Imperial commander, his background. I can\'t issue an assassination without knowing he, without a doubt, warrants such a demise. I have reason to believe that such information exists at one of three places: Fort Tusken on Tatooine, a Geonosian laboratory on Yavin IV, or the Mokk stronghold on Dantooine. Can you see to this?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_pashna_rebel1.stf', '26', 's_77da0881', 'You are one of us, therefore I can trust you with this information. It seems that one of our Corellian corvettes has been boarded and seized by a ruthless Imperial commander. This Imperial commander is bent on guiding the ship toward Tralus and crashing it into our base there. My first priority is to retake the ship before it crashes into our base. And second is to... well... is to assassinate the Imperial commander responsible for this threat.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_pashna_rebel1.stf', '27', 's_7cd62c6d', 'In that case, I\'ll still continue.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_pashna_rebel1.stf', '28', 's_89df7355', 'Which location would you like more information about?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_pashna_rebel1.stf', '29', 's_8a5c56ae', 'Whenever you\'re ready, let me know.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_pashna_rebel1.stf', '30', 's_8b325a7c', 'Show Recall Notice.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_pashna_rebel1.stf', '31', 's_8f4b486e', 'Indeed. Hopefully, someone will come along to help us with the situation.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_pashna_rebel1.stf', '32', 's_9463a903', 'You found the documents?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_pashna_rebel1.stf', '33', 's_98df29e5', 'Tell me more about the Mokk stronghold on Dantooine.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_pashna_rebel1.stf', '34', 's_a128e067', 'Looks like I have more to do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_pashna_rebel1.stf', '35', 's_a1ce5a7c', 'A fairly new discovery, that one. It is said that the Empire has been conducting secretive experiments there with the help of the Geonosians. Possibly involving biological weapons. The laboratory can be found on Yavin IV in the northwestern part of the planet. I don\'t have much more information about the place.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_pashna_rebel1.stf', '36', 's_a5591c27', 'I accept this mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_pashna_rebel1.stf', '37', 's_aa504b9e', 'I think I\'ve found something...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_pashna_rebel1.stf', '38', 's_aaee7ac8', 'Go to the Rebel Alliance hideout on Corellia. Seek Lt. Lance who will accept your travel authorization and allow you to board a starship which intercept the Imperial commander on the Corellian corvette. After the Imperial commander has been eliminated and you\'ve escaped from the corvette, I will have your reward ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_pashna_rebel1.stf', '39', 's_b0c99345', 'Mmm. This isn\'t the correct document, however, we can still use it in our research and in our efforts against the Empire. I\'ll reward you for recovering them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_pashna_rebel1.stf', '40', 's_b89af325', 'Be that as it may, good-bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_pashna_rebel1.stf', '41', 's_ba7150b1', 'Yes, I will help you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_pashna_rebel1.stf', '42', 's_bb2081d2', 'Show Imperial Dossier.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_pashna_rebel1.stf', '43', 's_bbd30f60', 'You couldn\'t have come at a more distressing time, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_pashna_rebel1.stf', '44', 's_c26ad0e8', 'You have returned! I am glad to see you well. Have you found the documents I sent you out to retrieve?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_pashna_rebel1.stf', '45', 's_cb13589', 'Yes, please. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_pashna_rebel1.stf', '46', 's_cc2ec42b', 'I am disappointed. However, I wish you well on your endeavors.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_pashna_rebel1.stf', '47', 's_d3412303', 'What seems to be the problem?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_pashna_rebel1.stf', '48', 's_dbef483d', 'I have some serious... and unfortunate... business for the Rebellion that demands my attention. Forgive me, but I can\'t speak with you right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_pashna_rebel1.stf', '49', 's_e10e18f5', 'Do you need any help with this situation?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_pashna_rebel1.stf', '50', 's_e92b0e11', 'An Imperial force led by this Imperial commander was sent to Fort Tusken not long ago. Before he received his current rank, actually. We don\'t know why his force was there, though we speculate that they intended to research the Sand People living there. Or maybe attempt to broker some sort of deal with them. We do know it went badly and much of the Imperial force was obliterated by the Tusken Raiders. Seek out anything that might have been left behind during their retreat. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_pashna_rebel1.stf', '51', 's_ecc372ff', 'Oh hmmm... I could really use your help, but I see that you\'re already busy. Come back when you\'ve finished your current task and perhaps I\'ll still need your assistance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_pashna_rebel1.stf', '52', 's_eccf8e31', 'Good. Return to your duties, soldier.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_pashna_rebel1.stf', '53', 's_ed0270a5', 'That Imperial Commander must be stopped, but I\'m not yet convinced that killing him is the only option. He\'s violent and ruthless and definitely a major threat, but assassinating him seems to lower us to his level. But perhaps I\'m being naive... ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_pashna_rebel1.stf', '54', 's_f62f461c', 'Show Prisoner Transfer Orders.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_pashna_rebel1.stf', '55', 's_f7e9bbb3', 'Good luck with that. I\'m not interested in getting involved.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_pashna_rebel1.stf', '56', 's_fd5fb0cf', 'It was an unfortunate business, but it is at last at an end. I thank you for your part in this. Would you like your reward?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_pashna_rebel1.stf', '57', 's_fe36e67a', 'I don\'t have much information regarding the Mokk stronghold other than the fact that the Mokk are a Dantari tribe. The stronghold can be found on Dantooine around the northwestern edge of the planet. The Imperial commander we are investigating was known to have led a search of this stronghold looking for members of the Alliance he believed to have been hiding there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_pashna_rebel1.stf', '58', 's_fe450b8a', 'It probably is best that you go. I must concentrate on the tasks at hand.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_pashna_rebel1.stf', '59', 's_ffa3808c', 'Oh, show me the ones you still have.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_pashna_rebel1.stf', '60', 's_ffb796fa', 'I am relieved and thankful for your eager assistance. Seek out the documents in the locations I mentioned. If you need more information about any of them, please let me know.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_pashna_rebel1.stf', '61', 's_ffef947e', 'Go ahead. I still quit.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_rebel_pilot.stf', '1', 'do_not_edit', 'The English version of this file (corvette_rebel_pilot.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_rebel_pilot.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_rebel_pilot.stf', '3', 's_1a003c0e', 'Ah no. I hear you can help me intercept a Corellian corvette controlled by the Empire?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_rebel_pilot.stf', '4', 's_1a71d76e', 'Um... nothing. Nevermind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_rebel_pilot.stf', '5', 's_1ab00f5e', '[Tell him about your mission]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_rebel_pilot.stf', '6', 's_221a046', 'Ah yes, I was briefed about something like that earlier today. It was one of our Corellian CR-90 corvettes, I believe. I\'m glad we\'re going to do something about it. I can definitely help you, but the transportation I can provide only has room for 10 or less. Plus, I\'m only allowed to transport members of the Rebel Alliance. You\'ll need to adjust your group and then speak with me again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_rebel_pilot.stf', '7', 's_29e528c6', 'Ah okay. Good luck with whatever it is you\'re up to. Come back if I can help. Because... really... I\'m totally bored.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_rebel_pilot.stf', '8', 's_35e19d9c', 'What? But this is... oh, I get it. Need to stock up on supplies or something like that. I understand. I\'ll be here when you\'re ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_rebel_pilot.stf', '9', 's_4816807a', 'Ah yes, I was briefed about something like that earlier today. It was one of our Corellian CR-90 corvettes, I believe. I\'m glad we\'re going to do something about it. I can definitely help you. But we\'re working against the clock here. Once on the corvette, you\'ll only have an hour to complete your mission. After that, it\'s too late.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_rebel_pilot.stf', '10', 's_52a4b87d', 'Eager to go... I like that. Let\'s get things rolling. First I\'ll need to see your authorization form...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_rebel_pilot.stf', '11', 's_62aa5014', 'Good, when can we go?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_rebel_pilot.stf', '12', 's_669e781c', 'I am so bored, they\'ve kept me in here managing flight schedules for what feels like an eternity now. Please tell me you\'re here with my reassignment orders?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_rebel_pilot.stf', '13', 's_6e257495', 'No, I\'m just passing through.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_rebel_pilot.stf', '14', 's_7c51b25', 'Well, I\'d like to help you, but the transportation I can provide only has room for 10 or less. You\'ll need to reduce your group size and then speak with me again');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_rebel_pilot.stf', '15', 's_808bd5e8', 'Ah yes, I was briefed about something like that earlier today. It was one of our Corellian CR-90 corvettes, I believe. I\'m glad we\'re going to do something about it. I can definitely help you, but I\'m only allowed to transport members of the Rebel alliance. You\'ll need to adjust your group and then speak with me again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_rebel_pilot.stf', '16', 's_84d3ed4b', 'Well, I\'d like to help you, but I\'m only allowed to transport members of the Rebel alliance. You\'ll need to adjust your group and then speak with me again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_rebel_pilot.stf', '17', 's_a538ed35', 'Ah yes, I was briefed about something like that earlier today. It was one of our Corellian CR-90 corvettes, I believe. I\'m glad we\'re going to do something about it. I can definitely help you, but the transportation I can provide only has room for 10 or less. You\'ll need to reduce your group size and then speak with me again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_rebel_pilot.stf', '18', 's_c1674c48', 'Passing through? This is a military base. You should be more... oh, who am I kidding. Just try not to get into trouble, okay.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_rebel_pilot.stf', '19', 's_e1cf0c03', 'Well, I\'d like to help you, but the transportation I can provide only has room for 10 or less. Plus, I\'m only allowed to transport members of the Rebel Alliance. You\'ll need to adjust your group and then speak with me again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_rebel_pilot.stf', '20', 's_e2aa2143', 'Oh, there\'s lots of things I could help you with. And possibly even something like that. What\'s your story?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_rebel_pilot.stf', '21', 's_e851c3db', 'I\'ve changed my mind, and I think I\'ll be going.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_rebel_prisoner.stf', '1', 'do_not_edit', 'The English version of this file (corvette_rebel_prisoner.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_rebel_prisoner.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_rebel_prisoner.stf', '3', 's_4bc31f77', 'Thanks again! I didn\'t dare hope to ever see freedom.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_rebel_prisoner.stf', '4', 's_64954a77', 'You\'re here to rescue us? Thank you! I thought I was done for.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_rebel_prisoner_02.stf', '1', 'do_not_edit', 'The English version of this file (corvette_rebel_prisoner_02.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_rebel_prisoner_02.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_rebel_prisoner_02.stf', '3', 's_ecc17e1', 'I can\'t wait to get back onto Corellian soil! Thank you!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_rebel_prisoner_02.stf', '4', 's_fc440e0b', 'Am I glad to see you! I hear the Dathomir prison is worse than death.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_sabol_imperial1.stf', '1', 'do_not_edit', 'The English version of this file (corvette_sabol_imperial1.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_sabol_imperial1.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_sabol_imperial1.stf', '3', 's_145e07df', 'Idiots! Complete and utter idiots! How can I complete my tasks when my commanding officers are nothing but fools! I... Excuse me. I didn\'t see you standing there. Well... what do you want? I\'m very busy as you can see.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_sabol_imperial1.stf', '4', 's_1accfb99', 'Whatever. Makes no difference to me. Just let me know when you\'re ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_sabol_imperial1.stf', '5', 's_1bb4597', 'I will gladly clear the records of your progress and confiscate all documents pertaining to this mission. I will also immediately report this to my superiors. Run, run far away or I will have my troopers arrest you for treason.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_sabol_imperial1.stf', '6', 's_1dcd7b46', 'Disgusting peon. Breathing your air makes my intelligence dwindle into nothingness. Be gone!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_sabol_imperial1.stf', '7', 's_1e7ac1df', 'So? Are you looking for work? Are you that desperate? I suppose I might be thankful but, as a lieutenant of the Empire, I am more suspicious than grateful. Oh fine! I\'ll tell you but only because I need someone to help me with some... field work. Do you wish to hear me out?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_sabol_imperial1.stf', '8', 's_1f9dab05', 'I\'ll gladly help eliminate a Rebel officer. Where can I find this document?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_sabol_imperial1.stf', '9', 's_214dc2b7', 'I see that you\'ve returned. I do not tolerate failure. Please tell me you\'ve succeeded. I do not wish to terminate another Imperial soldier this day. Did you find my documents?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_sabol_imperial1.stf', '10', 's_229f193e', 'Indeed. And please do not make a habit of doing so. I have responsibilities to the Empire that must not be delayed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_sabol_imperial1.stf', '11', 's_29dd35da', 'Ugh! This is turning out to be a disaster. About which location do you need more information?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_sabol_imperial1.stf', '12', 's_2f26b4c4', 'I still have documents for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_sabol_imperial1.stf', '13', 's_3098b584', 'You said something about tasks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_sabol_imperial1.stf', '14', 's_3565de4e', 'Show the Food Order Form.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_sabol_imperial1.stf', '15', 's_3882c2ff', 'I need more information on Dantooine\'s Rebel base.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_sabol_imperial1.stf', '16', 's_3955e427', 'I found some documents you may be interested in.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_sabol_imperial1.stf', '17', 's_3e470c42', 'Excellent. The document we seek can be found at any one of these locations: at the Rebel base on Dantooine, in the Afarathu cave on Corellia, and on a cruise liner... the Star Tours Tzarina.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_sabol_imperial1.stf', '18', 's_4142af45', 'Oh? You realize if you quit I must eradicate all records of your progress, confiscate all remaining mission documents, and revoke the travel authorization. You do realize that, correct?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_sabol_imperial1.stf', '19', 's_424889c8', 'Yes and you\'re wasting my time just standing there. Find those documents!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_sabol_imperial1.stf', '20', 's_4c16d4f', 'Ah, nothing. My apologies for disturbing you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_sabol_imperial1.stf', '21', 's_550eac58', 'It is not that hard to understand. You need to travel to the Emperor\'s Retreat and contact the shuttle pilot there. He will then provide you transportation on a starship that will intercept the Alliance Corellian corvette in flight. If you somehow manage to succeed in this mission, return to me for your reward. Now go.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_sabol_imperial1.stf', '22', 's_56ede5d3', 'Show the Alliance Transfer Orders.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_sabol_imperial1.stf', '23', 's_5fd624ee', 'I wish to quit this mission. Please erase my progress from your records.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_sabol_imperial1.stf', '24', 's_60956d9a', 'Perfect! This is the correct document. It provides information location of the high-ranking Rebel officer that the Empire wants assassinated. And for once, I agree... all Rebel officers should be put to death. Here, take this. It authorizes you for transportation that will intercept your target on the corvette. Go to the Emperor\'s private retreat on Naboo and speak to the shuttle pilot there. If you succeed in eliminating that officer, return to me for a reward. Go now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_sabol_imperial1.stf', '25', 's_60c4f974', 'Where do I go?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_sabol_imperial1.stf', '26', 's_6289b734', 'Leave here before you anger me further. Do not waste my time again!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_sabol_imperial1.stf', '27', 's_62aa89fb', 'I need more information about the Star Tours Tzarina.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_sabol_imperial1.stf', '28', 's_63bcc509', 'No, no, no! This is not the right document! Damn those Rebels! I will record your findings in case I can use this data in future operations, and I suppose a small reward is in order. But find the information we need!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_sabol_imperial1.stf', '29', 's_683de974', 'Yes, I\'ll hear your story.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_sabol_imperial1.stf', '30', 's_69693bca', 'Must you interrupt me? I cannot make time for those unwilling to declare allegiance to the Empire. Please leave me be until your loyalties become clearer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_sabol_imperial1.stf', '31', 's_6f43c8f7', 'That\'s right, I do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_sabol_imperial1.stf', '32', 's_74947555', 'Typical... I actually need some assistance, and they send me someone who can\'t help me. You\'re already busy. What was the point. Come back when you\'ve finished your current task and maybe, assuming it\'s not too late, you could still be of use.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_sabol_imperial1.stf', '33', 's_759b9766', 'As much as I\'d like to conclude our business, I\'m afraid I cannot. You do not have room to carry this reward. Make room and then speak with me again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_sabol_imperial1.stf', '34', 's_7fdf3bed', 'Good. I am satisfied to know you are not a coward and are willing to risk your life for the greater good of the Empire. Now, leave.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_sabol_imperial1.stf', '35', 's_930c6037', 'I need more information on the Afarathu Sect on Corellia.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_sabol_imperial1.stf', '36', 's_963fc82f', 'I have some data on where this document might be found. Let me check my datapad. Hmm... Only three locations. Unfortunately I have nothing that gives us a hint about which might be the one with the document we seek. It could be at any of these places. Are you still interested in assisting me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_sabol_imperial1.stf', '37', 's_9caa2380', 'And what is keeping you? Go away. I have other important tasks to complete. Go to the Emperor\'s private retreat on Naboo and speak to the shuttle pilot there. If you somehow manage to succeed in this mission, return to me for your reward. Now go. Hurry.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_sabol_imperial1.stf', '38', 's_a0cc7541', 'Show the Signed Alliance Transport Document.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_sabol_imperial1.stf', '39', 's_a11b6dbf', 'No, that would be a little too hard.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_sabol_imperial1.stf', '40', 's_a128e067', 'Looks like I have more to do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_sabol_imperial1.stf', '41', 's_a33382c5', 'Let me see them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_sabol_imperial1.stf', '42', 's_a5591c27', 'I accept this mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_sabol_imperial1.stf', '43', 's_a7150449', 'That\'s what I thought.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_sabol_imperial1.stf', '44', 's_afa2913f', 'You\'ve actually succeeded? Unprecedented. This will truly make me look good. What\'s that? Oh, yes I suppose it makes you look good as well. Maybe a little anyway. I imagine you want your reward?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_sabol_imperial1.stf', '45', 's_b687be9', 'An old Rebel base can be found in the northwest corner of Dantooine. It was supposedly abandoned when the traitors making up the Rebel Alliance opted for a new and, one would assume, better base of operations. My belief is that there are still Rebels making use of the base. Maybe not many, but some. Look there for the information we need.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_sabol_imperial1.stf', '46', 's_b9bb7669', 'Yes, of course. I\'ll check all three if need be.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_sabol_imperial1.stf', '47', 's_ba8810ed', 'We have reports that in the recent past some Rebels were fighting warriors from the Afarathu Sect on Corellia. Further intelligence hinted that the Afarathu made off with some important Rebel documents... possibly including the one we need. The Afarathu are slime though. You won\'t be able to enter their cave without a fight. Regardless, search it well and find the document.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_sabol_imperial1.stf', '48', 's_be293abc', 'No, not yet. I\'ll return.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_sabol_imperial1.stf', '49', 's_c23e3bbe', 'The Star Tours Tzarina was a cruise liner. It was struck by an unidentified object while in flight and crashed on Dathomir. Word is that a Rebel spy was on this cruise liner and among his cargo could be the document we seek. You\'ll have to search for it among the wreckage of the starship. Try the northwestern area of Dathomir. It might be difficult to find, but then this mission isn\'t for the faint of heart. Find it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_sabol_imperial1.stf', '50', 's_c36f888', 'Oh. Nevermind. I\'ll continue.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_sabol_imperial1.stf', '51', 's_c8e527a1', 'That\'s fine. I still want to quit.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_sabol_imperial1.stf', '52', 's_d07a7370', 'If I had my way, all Rebel officers would be shot on sight. We have spies to tell us everything we need to know about what the Rebel Alliance is planning. The only thing I\'d want from a Rebel officer would be their demise.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_sabol_imperial1.stf', '53', 's_d112b46e', 'I\'m leaving for the Corellian corvette.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_sabol_imperial1.stf', '54', 's_d143f357', 'No thanks. I\'m going now. Good-bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_sabol_imperial1.stf', '55', 's_df8ea53', 'Not interested.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_sabol_imperial1.stf', '56', 's_e139d89b', 'The only document I\'m interested in is the one I commanded you to find! Now where is it?! Fine--I\'ll humor you. What did you find on your travels?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_sabol_imperial1.stf', '57', 's_e24b66e7', 'I was tired of seeing your face, anyway. I will find someone else who possesses more direction in life.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_sabol_imperial1.stf', '58', 's_ed80aff5', 'Take it. I\'ll... um... I\'ll be sure my commanders know your part in this. Don\'t you worry about that. Now go away.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_sabol_imperial1.stf', '59', 's_edb0a2f5', 'I can\'t get myself into this.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_sabol_imperial1.stf', '60', 's_eeb7ec64', 'You\'re back?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_sabol_imperial1.stf', '61', 's_f60e408a', 'I see now that you are a coward. Such a pity.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_sabol_imperial1.stf', '62', 's_f7d97fec', 'My superiors have instructed me to eliminate a high-ranking Rebel officer. To do so, I must find an important document belonging to the Rebel Alliance that tells me where to find this officer. As an Imperial lieutenant, I will not participate in such menial tasks. But I am also a woman of great ambition, so I\'ll not ignore such orders. Instead I prefer to find others who will do my bidding. Are you interested in the task? Mind you, I will not tolerate failure.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_sabol_imperial1.stf', '63', 's_fdcee9b7', 'The standard for those allowed into our Imperial ranks has obviously declined. Greatly. I regret the day someone like you was called to server. Leave now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_tallon_rebel1.stf', '1', 'do_not_edit', 'The English version of this file (corvette_tallon_rebel1.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_tallon_rebel1.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_tallon_rebel1.stf', '3', 's_135bf1fb', 'Show the Security Override Codes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_tallon_rebel1.stf', '4', 's_151358aa', 'Tell me about the downed Bloodrazor vessel.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_tallon_rebel1.stf', '5', 's_1944f1e6', 'Yes, I will.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_tallon_rebel1.stf', '6', 's_2dd3860f', 'Ah, you\'re here, but I see that you\'re already busy. I could\'ve used your help. Maybe come back when you\'ve finished your current task.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_tallon_rebel1.stf', '7', 's_2f26b4c4', 'I still have documents for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_tallon_rebel1.stf', '8', 's_303462a1', 'I\'m sorry to hear of this. I must find someone else to replace you. Good bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_tallon_rebel1.stf', '9', 's_3410977a', 'Tell me about the Warren.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_tallon_rebel1.stf', '10', 's_3925fbc0', 'I forgot the location of our contact.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_tallon_rebel1.stf', '11', 's_3e144812', 'No... no. This can\'t be allowed to... Oh, my apologies. I didn\'t see you there. More apologies, because another matter urgently demands my attention. Good bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_tallon_rebel1.stf', '12', 's_439048cf', 'The Empire has conducted many top secret operations at this location. Unfortunately, it has been very difficult to penetrate the defenses of the Warren on our side. We\'ll need a cunning Alliance operative to enter the establishment and find those codes. The Warren is on Dantooine.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_tallon_rebel1.stf', '13', 's_4440ce87', 'I changed my mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_tallon_rebel1.stf', '14', 's_49139b6', 'Lt. Lance is at the Rebel hideout on Corellia. He will provide you transportation to the Corellian corvette which houses our well-decorated pilot. We need that pilot returned to us as soon as possible. Once your mission has been successfully completed, return to me for a reward.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_tallon_rebel1.stf', '15', 's_4d865d46', 'I found several interesting documents and codes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_tallon_rebel1.stf', '16', 's_57214562', 'Tell me about the Imperial Prison.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_tallon_rebel1.stf', '17', 's_57504441', 'I have several locations for you... places that, we think, may have the codes. Which location do you need more information on?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_tallon_rebel1.stf', '18', 's_581c3ef2', 'This isn\'t what I\'m looking for. I need the security codes as soon as possible! Bah... well... okay, this is potentially useful information. I\'ll reward you for finding it. But then you must go find those security codes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_tallon_rebel1.stf', '19', 's_5f449362', 'Ah. I\'d like to give this reward to you, but you don\'t have room to carry it. You\'ll need to make some space and then speak with me again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_tallon_rebel1.stf', '20', 's_5f61380e', 'I cannot thank you enough for your actions. You have not only rescued a pilot of the Alliance, but also a friend. I am pleased to be able to reward you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_tallon_rebel1.stf', '21', 's_60bce77f', 'Reward? Not now. I\'ll return later.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_tallon_rebel1.stf', '22', 's_60c4f974', 'Where do I go?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_tallon_rebel1.stf', '23', 's_62379ba', 'Ahh, the codes! We now have the exact location of the Corellian corvette he is on. Here, take this travel authorization to the Rebel hideout on Corellia and meet with Lt. Lance there. He will provide you transport on a starship which is capable of intercepting the Corellian corvette in deep space. Once your mission has been successfully completed, return to me for a reward. I wish you haste and luck on your journey.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_tallon_rebel1.stf', '24', 's_67499366', 'I am leaving for the Corellian corvette.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_tallon_rebel1.stf', '25', 's_71f656a9', 'He\'s still missing. We have no word at all since losing communication with him. The Empire\'s behind this... I just know it. One of our best pilots too.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_tallon_rebel1.stf', '26', 's_75b09ea1', 'Oh? What have you found?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_tallon_rebel1.stf', '27', 's_7860ffca', 'I am curious as why you have returned. Is there some sort of problem?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_tallon_rebel1.stf', '28', 's_7cea4aed', 'Excellent! I wish you luck and haste in your journey. Succeed in your mission and then return to me for your reward. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_tallon_rebel1.stf', '29', 's_80747fa2', 'I see. Later it shall be then. Return whenever you are ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_tallon_rebel1.stf', '30', 's_8b512dfa', 'I see. Which ones do you have?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_tallon_rebel1.stf', '31', 's_90b2e0c5', 'You\'re our only hope in this situation. You have your orders, soldier.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_tallon_rebel1.stf', '32', 's_93fcbaae', 'Your answer is unfortunate. But it is your choice. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_tallon_rebel1.stf', '33', 's_94007006', 'There is hope yet! I have been informed that the security override codes I need could be in one of three locations. Based on that information, the places to seek out are a downed Bloodrazor smuggling vessel on Lok, the Imperial Warren on Dantooine and the Imperial Prison itself on Dathomir.  It will be a dangerous journey, filled with obstacles, but justice must be done. We must rescue the officer before he reaches that prison!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_tallon_rebel1.stf', '34', 's_953e3f2c', 'I see you have returned. Have you found the codes I\'m looking for? Time is critical.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_tallon_rebel1.stf', '35', 's_9b6fd578', 'Show the Imperial Resignation Form.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_tallon_rebel1.stf', '36', 's_a073eacd', 'The Bloodrazors are a mysterious band of pirates and criminals. It is said they have access to radar technology that can detect certain unique codes used by ships that approach within their range. This is my hope. The downed Bloodrazor vessel is on Lok though the exact location is unknown.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_tallon_rebel1.stf', '37', 's_a128e067', 'Looks like I have more to do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_tallon_rebel1.stf', '38', 's_a24d8ba0', 'Your answer troubles me. Return if you change your mind. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_tallon_rebel1.stf', '39', 's_a5591c27', 'I accept this mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_tallon_rebel1.stf', '40', 's_abd76541', 'I\'m sorry to learn of this unexpected turn of events. I suppose I\'ll have to find someone else. Oh, I\'ll need to take any documents you\'ve found while on this mission. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_tallon_rebel1.stf', '41', 's_ae9868f4', '[smiling] Eager as always. You\'ve earned this... and the gratitude of the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_tallon_rebel1.stf', '42', 's_b0da26cf', 'I\'m sure.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_tallon_rebel1.stf', '43', 's_b0e6356e', 'Show the Imperial Purchase Order.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_tallon_rebel1.stf', '44', 's_b0f80f89', 'Are you sure you wish to quit? I will have to revoke the travel authorization. It is for special operatives only. And I\'ll have to take any remaining documents you may have relating to this mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_tallon_rebel1.stf', '45', 's_b2503658', 'This isn\'t what I\'m looking for. I need the security codes as soon as possible! Return to the locations I gave you and find those codes!  Arrgh... well... okay, this is potentially useful information. I\'ll reward you for finding it. But then you must go find those security codes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_tallon_rebel1.stf', '46', 's_d50be1f6', 'Good. Be swift in dealing with this situation.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_tallon_rebel1.stf', '47', 's_d6695e83', 'No thanks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_tallon_rebel1.stf', '48', 's_d938179c', 'Great. Let\'s see this reward then.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_tallon_rebel1.stf', '49', 's_daf0c91a', 'Indeed. We need those codes as soon as possible.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_tallon_rebel1.stf', '50', 's_df8ea53', 'Not interested.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_tallon_rebel1.stf', '51', 's_e1aa98dd', 'Ah the Imperial Prison of Dathomir. Many who are arrested for their \'sins\' against the Empire are taken to this location. Most are never seen again. We must not allow our officer to meet the same fate. We\'ve lost too many men as it is! Since the Imperial Prison is where they are taking him, it wouldn\'t be surprising to find information about his current location there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_tallon_rebel1.stf', '52', 's_e70aed96', 'I can\'t continue. Please erase all records of my progress on this mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_tallon_rebel1.stf', '53', 's_f85a3545', 'Arrested... treason... Dathomir prison. It truly is a pity. One of our most trusted and well-decorated pilots has been taken prisoner by the Empire. He was arrested for a crime that was not his doing. The Empire even went as far as planting false evidence to destroy his innocence. He needs to be rescued. He has been taken to a Corellian corvette which is en route to Dathomir. I need security codes in order to assemble a team to rescue him. Will you get those keys for us?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_velso_imperial_destroy.stf', '1', 'do_not_edit', 'The English version of this file (corvette_velso_imperial_destroy.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_velso_imperial_destroy.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_velso_imperial_destroy.stf', '3', 's_105e0ec6', 'Why are you still here soldier?! Did you forget your weapon or are you just trying to upset me?!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_velso_imperial_destroy.stf', '4', 's_131222b8', 'Are you not aware of the fact that you cannot carry anything else? What kind of soldier are you? You must be aware of these things at all times. Otherwise the Alliance will kill you in your sleep. Don\'t return until you\'ve made some room to carry this reward.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_velso_imperial_destroy.stf', '5', 's_160e282', 'Excellent, don\'t disappoint me soldier! Time is of the essence here. You can choose to return whenever you find something so that we can check the information as you find it. Or get them all at once, that\'s fine as well. Just make it quick. Dismissed!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_velso_imperial_destroy.stf', '6', 's_1be45010', 'Ok, let me type this down. What\'s the first lead?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_velso_imperial_destroy.stf', '7', 's_27825c70', 'What?! That wasn\'t a question! Fine, I can\'t let this mission be handled by someone like you anyway, get out of here!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_velso_imperial_destroy.stf', '8', 's_29a2b68d', 'Are you kidding me soldier? Can you even read? This is useless! But I\'ll keep it anyway, just in case...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_velso_imperial_destroy.stf', '9', 's_2b546273', 'Here\'s your reward, soldier. Take it. You earned it... I won\'t deny that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_velso_imperial_destroy.stf', '10', 's_31c5707e', 'I..I\'m sorry Sir, I can\'t do it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_velso_imperial_destroy.stf', '11', 's_32084dfe', 'The city of Anchorhead is in southern Tatooine. Rebels are known to congregate in Anchorhead, so I feel there is a good chance the sequences we seek could be there. They might be in an abandoned building or in the back room of a cantina. I really have no idea. It is your job to uncover those sequences and return them to me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_velso_imperial_destroy.stf', '12', 's_36c480be', 'A payload of weapons is being smuggled to a group of Rebels waiting to slaughter some outnumbered Imperial... er.. I mean to slaughter some innocent civilians. Yes. They\'re on a Corellian corvette, but it\'s marked as a medical transport so we don\'t want to attack it directly. I need you to find the destruction sequences for the corvette and blow it up from the inside. I have three leads on where the sequences could be located.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_velso_imperial_destroy.stf', '13', 's_3d6658e8', 'Soldier, I appreciate your enthusiasm, but I can see that you\'re already busy. Come back when you\'ve finished your current task, and I\'ll get you back into the action.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_velso_imperial_destroy.stf', '14', 's_446ba9d', 'Nothing left of that corvette but space dust. I knew I could whip you into shape. That\'s exactly what the Empire needs... more soldiers like me. Like you? Ha. I guess you did earn a reward, though.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_velso_imperial_destroy.stf', '15', 's_477d6952', 'Just in time soldier! I have an urgent mission that requires your assistance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_velso_imperial_destroy.stf', '16', 's_524ad772', 'Were you not listening soldier?! If I weren\'t desperate I would put you on kitchen duty for a month! Now which location do I have to repeat myself about?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_velso_imperial_destroy.stf', '17', 's_52d6b1d', 'Show it to me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_velso_imperial_destroy.stf', '18', 's_547609c8', 'I can\'t do this. Please remove all progress I\'ve made from your records.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_velso_imperial_destroy.stf', '19', 's_566ff600', 'Alright so I will be taken to the corvette to blow it up from the inside?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_velso_imperial_destroy.stf', '20', 's_59e77066', 'I must find a way to impress my commanding officers. That\'ll be the quickest way to advance. Perhaps I can find a way to hamper Rebel efforts in this sector. That should be suitably impressive.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_velso_imperial_destroy.stf', '21', 's_5aca4872', 'Um... I think I\'ll come back later.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_velso_imperial_destroy.stf', '22', 's_5b38e8f5', 'What\'s this \'Document 56211217.KXYR.170649\'?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_velso_imperial_destroy.stf', '23', 's_5b578f0d', 'What?! You are a disgrace soldier! I will have your name sent to the inquisition for this! This will mean having to revoke your travel authorization and relieving you of all mission data and any documents you\'ve gathered. And that means paperwork. I hate paperwork. So instead, you\'ll stay on this mission. Now get on that shuttle!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_velso_imperial_destroy.stf', '24', 's_5dc3f73a', 'This \'Ship Destruct Sequence Codes\' must be it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_velso_imperial_destroy.stf', '25', 's_640dac0a', 'What?! You are a disgrace soldier! I will have your name sent to the inquisition for this! You will be relieved of all mission data and any documents you\'ve gathered. You disgust me. Get out of my sight!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_velso_imperial_destroy.stf', '26', 's_65cd8f5e', 'Fine, let me have a look.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_velso_imperial_destroy.stf', '27', 's_6e1e63ff', 'I believe I found the sequence Sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_velso_imperial_destroy.stf', '28', 's_757e4a85', 'Yes Sir, what are the details?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_velso_imperial_destroy.stf', '29', 's_823dca3f', 'Sorry, too busy right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_velso_imperial_destroy.stf', '30', 's_88da44a4', 'I found this \'Alliance Guide for Safeworld Exploration\' , useful perhaps?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_velso_imperial_destroy.stf', '31', 's_8b2cc767', 'Alright Sir. I will take off at once.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_velso_imperial_destroy.stf', '32', 's_8d72ccd0', 'You better! Now get on that shuttle and do your duty soldier!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_velso_imperial_destroy.stf', '33', 's_9495da35', 'What were those locations again?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_velso_imperial_destroy.stf', '34', 's_95397df3', 'It sure is soldier, good work! Now take this travel authorization to the Imperial pilot out by the shuttle, and he will arrange deep space transportation for you that will intercept that corvette. If you succeed in destroying that corvette and in escaping it, return to me for a reward.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_velso_imperial_destroy.stf', '35', 's_988cb045', 'Who let you in to the Empire soldier?! This is rubbish! No, you can\'t have it back!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_velso_imperial_destroy.stf', '36', 's_9ddd4bc7', 'Why are you still here?! Go, go, go!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_velso_imperial_destroy.stf', '37', 's_9e916cc9', 'Yes soldier, you are a lot brighter than you look! And after doing that and successfully escaping, return to me for a reward. Now hurry, hurry, hurry!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_velso_imperial_destroy.stf', '38', 's_a1e2f8b6', 'I give up...sir. Please remove all progress I\'ve made from your records.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_velso_imperial_destroy.stf', '39', 's_a4929123', 'Fine, just don\'t hurt me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_velso_imperial_destroy.stf', '40', 's_ad79e41e', 'Give me all documents.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_velso_imperial_destroy.stf', '41', 's_af39813', 'I\'m sorry Sir, where do I take this ticket again?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_velso_imperial_destroy.stf', '42', 's_b1606a2a', 'The third option?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_velso_imperial_destroy.stf', '43', 's_b384a269', 'At least you\'ll admit that much. Can I have my reward?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_velso_imperial_destroy.stf', '44', 's_b68e2c66', 'The Rebels are rumored to have hidden among the Dantari on Dantooine. Specifically with a tribe called the Janta. We believe that when the Rebels evacuated the area, this ship was among those used. There may be information at the Janta Stronghold... retrieve it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_velso_imperial_destroy.stf', '45', 's_b99cf73b', 'Okay, okay Sir. I\'ll do it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_velso_imperial_destroy.stf', '46', 's_c159261e', 'You will be the death of me... take it to the pilot outside by the Lambda shuttle. If by some miracle you don\'t fail in this mission, return to me for a reward. Now go!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_velso_imperial_destroy.stf', '47', 's_cc45dddf', 'I do not have time to chat, citizen. Please move along.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_velso_imperial_destroy.stf', '48', 's_cd8ede71', 'I found some other documents as well.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_velso_imperial_destroy.stf', '49', 's_ce1a4a29', 'Speak soldier, what are you doing here?!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_velso_imperial_destroy.stf', '50', 's_d521e0c0', 'Tea?! Get out of here soldier, you\'re lucky I\'m not incarcerating you! Wait... first give me 50, now!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_velso_imperial_destroy.stf', '51', 's_d5fd52c1', 'Ok this definitely doesn\'t sound like my cup of Doxxen tea.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_velso_imperial_destroy.stf', '52', 's_e5e44e1d', 'The traitor Erran Sif is leading a small group of warriors on Talus. She betrayed the Empire in the past and is considered an enemy, so don\'t expect a friendly reception. I hear she\'s also no friend to the Rebel Alliance for whatever that\'s worth. Regardless, I believe she may have the codes for this corvette as she may have used it once herself. Infiltrate her base and report back with whatever you find.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_velso_imperial_destroy.stf', '53', 's_e60ca0aa', 'Alright Sir, I\'ll get back to searching.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_velso_imperial_destroy.stf', '54', 's_ed8d835e', 'What about the second possibility?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_velso_imperial_destroy.stf', '55', 's_f0bafd8b', 'You will wish our paths never crossed when I\'m done with you. Now get out of my sight!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_velso_imperial_destroy.stf', '56', 's_fc34951f', 'Later? You should take what you can get. Might not be a later.Guess that\'s when you\'ll be a good soldier too. Later. Or more likely never.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_vledmo_neutral_rescue_target.stf', '1', 'do_not_edit', 'The English version of this file (corvette_vledmo_neutral_rescue_target.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_vledmo_neutral_rescue_target.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_vledmo_neutral_rescue_target.stf', '3', 's_3a6b92ce', 'I\'m sure he did. You can tell him to get in touch with me through the regular channels. I\'m not going anywhere near his stinking sand castle for a while. Now if you excuse me, I have an escape pod to catch.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_vledmo_neutral_rescue_target.stf', '4', 's_3d453e53', 'Well Jabba thought it was best we\'d escort you back to safety.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_vledmo_neutral_rescue_target.stf', '5', 's_46770350', 'Look...instead of trying to make polite conversation, how about you let me actually finish escaping? Sound good? Okay.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_vledmo_neutral_rescue_target.stf', '6', 's_4751b5d0', 'Yeah right... sure you were.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_vledmo_neutral_rescue_target.stf', '7', 's_c5413576', 'Hehe, you came to \'rescue\' me? Yeah I\'m sure Jabba was real worried. Not like I needed the help... was just about to bust out of here myself.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_vledmo_neutral_rescue_target.stf', '8', 's_ecd754dd', 'Listen punk, I don\'t need to wait on some blaster waving, wannabe space hero to rescue me. I\'ve been getting myself out of this kind of situation since you were toe-high to a bantha. Now get out of my way, I have an escape pod to catch.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_yondalla_neutral_rescue.stf', '1', 'do_not_edit', 'The English version of this file (corvette_yondalla_neutral_rescue.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_yondalla_neutral_rescue.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_yondalla_neutral_rescue.stf', '3', 's_14b16106', '[She doesn\'t seem to notice you.] The fool had to go and land himself in the custody of the Corellian Security Force... this is not good. Jabba must learn of this... but I\'d really rather not have to tell him myself. Being the target of his anger is not one of my ambitions. Ah what to do...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_yondalla_neutral_rescue.stf', '4', 's_259d132f', 'Sorry, no, not me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_yondalla_neutral_rescue.stf', '5', 's_2972f7c', 'Where was Klaatu again?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_yondalla_neutral_rescue.stf', '6', 's_2a00185a', 'I managed to snatch \'Galactic Phrasebook and Travel Guide\'.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_yondalla_neutral_rescue.stf', '7', 's_2b741d06', 'For crying out loud! This is why I always work solo... sigh. I\'ll take all information your gathered so far. Thank you very little.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_yondalla_neutral_rescue.stf', '8', 's_2bdf5b50', 'Yeah okay. Normally I don\'t need help, but this may be a special case. One of Jabba\'s top assassins was captured. He\'s currently on a CorSec corvette and on his way to being traded to the Empire at the Imperial Prison on Dathomir in exchange for the release of an imprisoned CorSec officer. Jabba does not want him talking to Imperial officers. He could reveal too much. We must find the location of that corvette and intercept it. I have three leads on how to do that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_yondalla_neutral_rescue.stf', '9', 's_310d2ff3', 'Something\'s come up. I can see that you\'re busy now, but come talk to me when you finish with that. I could use your help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_yondalla_neutral_rescue.stf', '10', 's_3dfd3c32', 'I prefer to stay here on Tatooine, sorry.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_yondalla_neutral_rescue.stf', '11', 's_3e2c6672', 'Alright, I suppose I owe it to you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_yondalla_neutral_rescue.stf', '12', 's_49b0321c', 'What?! I can\'t, I have something else on my plate right now. I trusted you with this! If you quit, I\'ll have to revoke your travel authorization and take all mission documents you\'ve gathered. Not to mention erasing all knowledge of your progress so far. That means starting completely over!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_yondalla_neutral_rescue.stf', '13', 's_4d118a1d', 'Thank you, now hurry please.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_yondalla_neutral_rescue.stf', '14', 's_4e2be81c', 'I still have some of the other documents that I found.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_yondalla_neutral_rescue.stf', '15', 's_51573633', 'Could you repeat the three leads on how to find the captured assassin?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_yondalla_neutral_rescue.stf', '16', 's_541c41dc', 'Excellent. Make haste and don\'t disappoint me. Return with one of the documents, or all three at once. It\'s up to you, as long as you do it fast.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_yondalla_neutral_rescue.stf', '17', 's_54c95fe4', 'I\'ll be...just get out of here!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_yondalla_neutral_rescue.stf', '18', 's_562787e1', 'Fantastic! According to this, the transport would not yet be on Dathomir. It\'s still possible to intercept it. Take this travel authorization to Klaatu. He\'s behind Jabba\'s Palace... out back with the small shuttlecraft that makes periodic deliveries. Klaatu\'ll make the necessary arrangements. Then once you\'re successfully completed your mission, come back to me for your reward.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_yondalla_neutral_rescue.stf', '19', 's_58879de3', 'What about \'A Galaxy Befuddled by A. Rahringt\'?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_yondalla_neutral_rescue.stf', '20', 's_5dc4acd', 'I\'ve changed my mind. Erase all progress I\'ve made from your records.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_yondalla_neutral_rescue.stf', '21', 's_6919fb6b', 'Alright, I will get back to finding it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_yondalla_neutral_rescue.stf', '22', 's_7604ad47', 'Ah... it would appear that you have no space to carry your reward. I\'ll have to ask that you make room and then come speak to me again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_yondalla_neutral_rescue.stf', '23', 's_7837378f', 'Right, and the third lead?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_yondalla_neutral_rescue.stf', '24', 's_7952bf9c', 'This is the tricky one. What I need may actually be found on Endor. A group of Rebels stole some information from a sliced CorSec transmission and fled to Endor with it. I\'ve heard rumors that these Rebels have some connection with the Korgas on Endor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_yondalla_neutral_rescue.stf', '25', 's_7bf4c415', 'Good, let me see.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_yondalla_neutral_rescue.stf', '26', 's_7e1ef500', 'No, allow me to thank you. Here is your reward. I hope it serves you well.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_yondalla_neutral_rescue.stf', '27', 's_839794f9', 'Argh, solving this by myself is going to take forever!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_yondalla_neutral_rescue.stf', '28', 's_86991d8f', 'Yes, just show him that travel authorization. Find the assassin on board and get him out of there. I\'m sorry I can\'t come and assist you, but another matter of great importance has arisen that I must deal with. It never ends, but I couldn\'t imagine doing anything else. So I can\'t complain. I can, however, reward you if you succeed. Bear that in mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_yondalla_neutral_rescue.stf', '29', 's_92ca8435', 'Alright Klaatu will assist me in intercepting the corvette?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_yondalla_neutral_rescue.stf', '30', 's_998ee768', 'I\'m sorry, I just can\'t do this right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_yondalla_neutral_rescue.stf', '31', 's_9fb0ad73', 'Yes I am, thank you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_yondalla_neutral_rescue.stf', '32', 's_9fe2c46a', 'You still here? Didn\'t I say that you had to get on that ship fast?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_yondalla_neutral_rescue.stf', '33', 's_a4929123', 'Fine, just don\'t hurt me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_yondalla_neutral_rescue.stf', '34', 's_a9be41f8', 'This \'CorSec Prisoner Transfer Document\' must be it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_yondalla_neutral_rescue.stf', '35', 's_aa693144', 'I have retrieved some documents.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_yondalla_neutral_rescue.stf', '36', 's_ad79e41e', 'Give me all documents.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_yondalla_neutral_rescue.stf', '37', 's_b13f163d', 'Well done. The assassin is safely back in Jabba\'s hands. Well, I suppose it remains to be seen how safe that will be for him. Regardless, you\'ve done your part and done it well. Are you here for your reward?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_yondalla_neutral_rescue.stf', '38', 's_b5494314', 'He\'s back behind Jabba\'s palace! Come talk to me after you successfully complete your mission, and I\'ll reward you. Now hurry!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_yondalla_neutral_rescue.stf', '39', 's_b82fdb5a', 'I\'ll have a look at it later. Here is some credits for your time in retrieving it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_yondalla_neutral_rescue.stf', '40', 's_c0031bea', 'Could be useful perhaps. I suppose I should reward you for the time it took you to retrieve it. Anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_yondalla_neutral_rescue.stf', '41', 's_c2bb14db', 'Oh, let me have a look at them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_yondalla_neutral_rescue.stf', '42', 's_c8d78390', 'Not yet. I\'ll come back for it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_yondalla_neutral_rescue.stf', '43', 's_d0344ca8', 'Ahh, the feared cult of Lord Nyax. Their hideout can be found on Corellia in the central region of the planet. Unfortunately, I have little information to give you about them other than the rumor that they are secretly backed by the Empire. Search their hideout and find any data connected to the exchange of Jabba\'s assassin into Imperial hands.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_yondalla_neutral_rescue.stf', '44', 's_dc0cdd5d', 'Maybe you should record it this time?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_yondalla_neutral_rescue.stf', '45', 's_dfb8d44e', 'Well, no. But maybe I can help anyway.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_yondalla_neutral_rescue.stf', '46', 's_e248445b', 'What\'s your progress?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_yondalla_neutral_rescue.stf', '47', 's_ec881702', 'I cannot continue. Erase my progress from your records.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_yondalla_neutral_rescue.stf', '48', 's_f5664125', 'About time you got here. You\'re the ones Jabba sent, right?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_yondalla_neutral_rescue.stf', '49', 's_f7147ad', 'Alright, I\'ll try and find the right papers.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_yondalla_neutral_rescue.stf', '50', 's_f9acd930', 'Okay what\'s the first lead?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_yondalla_neutral_rescue.stf', '51', 's_fa7b5bf6', 'And the second?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_yondalla_neutral_rescue.stf', '52', 's_fa7bc000', 'Bah! Consider yourself fortunate that I haven\'t time to report your insolence to Jabba!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_yondalla_neutral_rescue.stf', '53', 's_fd1dd7d9', 'A former Imperial scientist was working in a bio-genetics lab on Talus. He was in charge of genetic experiments aiming to transform the goat-like murra from Corellia into an efficient all-terrain fighting animal. The resulting creature was named a kahmurra, though the Empire considered it a failure and cancelled all funding. This scientist was a target of our assassin, and the bio-genetics laboratory is where the assassin was captured. Search it for any information left behind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_yondalla_neutral_rescue.stf', '54', 's_fdc18de4', 'Yes, check the other places and hurry.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/corvette_yondalla_neutral_rescue.stf', '55', 's_fe8eb1aa', 'Ah... very well. If that is what you want, come back when you\'re ready for it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/crackdown_st_static.stf', '1', 'rebel_breach', 'All units be advised. Be on the lookout for suspected Rebel sympathizer, %TO.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/crackdown_st_static.stf', '2', 'follow_start', 'This is %TO. I see someone suspicious... checking it out.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/crackdown_st_static.stf', '3', 'follow_giveup', 'This is %TO. It\'s nothing. Everything appears normal. Returning to my post.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/crackdown_st_static.stf', '4', 'follow_lost', 'This is %TO. I lost track of the target... keep your eyes open. Returning to my post.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/crackdown_st_static.stf', '5', 'bark_s1', 'Stay out of trouble, citizen. Do not make us detain you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/crackdown_st_static.stf', '6', 'bark_s2', 'Be careful, citizen. Those Rebel scum have been sighted in the area.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/crackdown_st_static.stf', '7', 'bark_s3', 'I don\'t care much for you, citizen. You\'d better stay in line.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/crackdown_st_static.stf', '8', 'loiter_s1', 'Move along, citizen. There\'s no loitering here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/crackdown_st_static.stf', '9', 'loiter_s2', 'No loitering here. Move along, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/crackdown_st_static.stf', '10', 'salute', 'Greetings, %TO.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/crackdown_st_static.stf', '11', 'salute_name', 'Good day, %TT %TO.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/crafting_contractor.stf', '1', 'do_not_edit', 'The English version of this file (crafting_contractor.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/crafting_contractor.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/crafting_contractor.stf', '3', 's_14e7249', 'Hello there. I contract manufacturing jobs to crafters that are looking for work. The pay is not great, but it\'s good practice for those that are interested in learning the art of crafting. Are you interested?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/crafting_contractor.stf', '4', 's_220e8901', 'On second thought, nevermind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/crafting_contractor.stf', '5', 's_2c56a5af', 'I would like a challenging task.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/crafting_contractor.stf', '6', 's_37b62865', 'I would like a difficult task.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/crafting_contractor.stf', '7', 's_404252ce', 'What sort of crafting job are you interested in?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/crafting_contractor.stf', '8', 's_436186dd', 'Alright. I\'ll take back your crafting crate then. Come back again if you ever need the work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/crafting_contractor.stf', '9', 's_445effe2', 'An architect job.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/crafting_contractor.stf', '10', 's_51b72d61', 'OK. Just come back here whenever you\'re finished.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/crafting_contractor.stf', '11', 's_62092c04', 'Excellent. Here is a crate for you. Simply put the crafted items into it and bring it back to me when it is full. Then I will give you your pay.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/crafting_contractor.stf', '12', 's_73c628e8', 'Alright. Come back if you need the work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/crafting_contractor.stf', '13', 's_7db7e801', 'Hm, it looks like I don\'t have any jobs available right now. Try again in just a minute.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/crafting_contractor.stf', '14', 's_82c3e20a', 'It looks like your inventory is full. Talk to me again when you free up some space.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/crafting_contractor.stf', '15', 's_86f52ae1', 'A weaponsmith job.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/crafting_contractor.stf', '16', 's_8cadb7f', 'How challenging of a task would you like?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/crafting_contractor.stf', '17', 's_9545de7b', 'A general artisan job.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/crafting_contractor.stf', '18', 's_9c7d6f79', 'I\'ll get back to work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/crafting_contractor.stf', '19', 's_a62477a9', 'You\'re done with the job? Excellent! I\'ll just take the crate then. Yes, and here is your payment. I\'ll bet that was good practice for you, eh?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/crafting_contractor.stf', '20', 's_b2b95d1f', 'No, I\'d rather not do that job.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/crafting_contractor.stf', '21', 's_b3d0de8', 'I\'m sorry. I don\'t have any jobs available right now. Try back again in a minute or two.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/crafting_contractor.stf', '22', 's_b9dc4832', 'No, not right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/crafting_contractor.stf', '23', 's_bc453c0d', 'An armorsmith job.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/crafting_contractor.stf', '24', 's_bdac2f18', 'I\'ve changed my mind. I don\'t want to do this job.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/crafting_contractor.stf', '25', 's_bf890106', 'A tailor job.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/crafting_contractor.stf', '26', 's_d5278cc5', 'Yes, I\'ll get to work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/crafting_contractor.stf', '27', 's_d5a1b00c', 'I see that you\'re back, but it doesn\'t look like you\'ve finished the job.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/crafting_contractor.stf', '28', 's_deaa4415', 'I\'ve changed my mind, sorry.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/crafting_contractor.stf', '29', 's_e3aab67f', 'I don\'t think that we have any business to discuss. Good day.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/crafting_contractor.stf', '30', 's_eb7fcc27', 'Yes, I am interested.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/crafting_contractor.stf', '31', 's_f19dea3c', 'A droid engineer job.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/crafting_contractor.stf', '32', 's_f38e5bb9', 'A chef job.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/crafting_contractor.stf', '33', 's_f58f323c', 'I\'ve got just the job for you. You\'ll need to craft %DI %TO. Does that sound alright?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/crafting_contractor.stf', '34', 's_f59f8579', 'I would like an easy task.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_amarent.stf', '1', 'do_not_edit', 'The English version of this file (c_ddroid_amarent.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_amarent.stf', '2', 's_24', 'Looks like you found the crash.  I got a message from Valance Serth that he needs you again, if you would go out there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_amarent.stf', '3', 's_277', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_amarent.stf', '4', 's_279', 'I\'m sorry, but I\'m really busy.  What do you need?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_amarent.stf', '5', 's_281', 'Selan Ellison sent me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_amarent.stf', '6', 's_283', 'Ah Selan.  I hope she is doing well.  I don\'t see her near enough.  I have a moment, but as I said, I really am busy. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_amarent.stf', '7', 's_285', 'I\'m sure you can make time for someone of my influence.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_amarent.stf', '8', 's_287', 'Oh!  Excuse me sir.  Forgive my insolence.  Things have just been really busy here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_amarent.stf', '9', 's_289', 'I\'m sure they are.  You are forgiven.  I need to know about a ship that is missing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_amarent.stf', '10', 's_291', 'Yes sir.  I have been investigating that ship.  It appears that the ship was diverted to Talus, though I have no information as to whether it crashed due to a malfunction or hijacking.  I have been told, sir, that it is a low priority and likely won\'t be pursued for several more days. Here are the coordinates if you would like to investigate the crash site.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_amarent.stf', '11', 's_293', 'There is no excuse for impertinence!  I need information on a missing ship, now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_amarent.stf', '12', 's_295', 'Yes sir.  Give me a moment to consult with my notes. Yes, I think that ship is here.  One more moment...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_amarent.stf', '13', 's_297', 'Come on, man!  I don\'t have all day.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_amarent.stf', '14', 's_299', 'Ah!  Here it is.  It crashed on Talus.  I will transmit the location to your datapad...sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_amarent.stf', '15', 's_301', 'I need information about a ship that may be lost.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_amarent.stf', '16', 's_303', 'I\'m sorry, but I cannot give out that kind of information unless you are a member of the Imperial Transit Authority.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_amarent.stf', '17', 's_305', 'Would these 1000 credits show that I\'m a member of the Imperial Transit Authority?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_amarent.stf', '18', 's_307', 'I suppose it is only helping out a concerned citizen.  The ship that you are looking for crashed on Talus.  I can copy the location to your datapad.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_amarent.stf', '19', 's_309', 'Is your life really worth a silly rule like that?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_amarent.stf', '20', 's_311', 'Erm...no need for any weapons, I assure you! The ship crashed on Talus.  If you don\'t hurt me, I\'ll copy the location to your datapad.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_amarent.stf', '21', 's_313', 'I\'m very busy.  I\'m sorry I can\'t talk to you right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_amarent.stf', '22', 's_315', 'Do you need more help?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_amarent.stf', '23', 's_316', 'I need to know where the crash is again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_amarent.stf', '24', 's_317', 'All right.  I\'ll copy it into your datapad.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_droid.stf', '1', 'do_not_edit', 'The English version of this file (c_ddroid_droid.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_droid.stf', '2', 's_100', 'He\'s never late!  My master hates to be late.  That\'s why I am worried.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_droid.stf', '3', 's_102', 'No.  Who would want to help a droid?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_droid.stf', '4', 's_104', 'It isn\'t me that you would be helping, but my master.  Please please come back if you change your mind.  Otherwise, he will be doomed!	');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_droid.stf', '5', 's_106', 'Oh, you are back. Where is my master, have you seen him? ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_droid.stf', '6', 's_108', 'I have seen him.  He is on Talus.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_droid.stf', '7', 's_110', 'Talus?  What did you do to him?  Oh dear.  I should be there for him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_droid.stf', '8', 's_112', 'He was hurt when his ship crashed but he\'s recovering.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_droid.stf', '9', 's_114', 'Oh thank the maker!  He will be all right.  I won\'t be a droid without a master after all.  After those men came here threatening me and you too!  They wanted to know when you started looking for my master.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_droid.stf', '10', 's_116', 'They did?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_droid.stf', '11', 's_118', 'Oh yes.  When I told them that you were going to look for him immediately, they left in a hurry.  I do hope you are well.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_droid.stf', '12', 's_120', 'Well enough. Master Serth wants you to run this program.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_droid.stf', '13', 's_122', 'Certainly, if my master wants it...oh my, what was I saying?  How strange.  Here, I am supposed to give this to you, I think.  ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_droid.stf', '14', 's_124', 'Yes, no thanks to you.  Run this program through your banks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_droid.stf', '15', 's_126', 'Oh dear, I hope it\'s safe. I wouldn\'t want to jeopardize...hmm, what was I saying? I think I am supposed to give this to you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_droid.stf', '16', 's_128', 'Why did you tell them anything?!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_droid.stf', '17', 's_130', 'Was I not supposed to say anything?  At first I thought they were going to help you find him.  How am I supposed to know?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_droid.stf', '18', 's_132', 'Never mind.  Master Serth wants you to run this program.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_droid.stf', '19', 's_134', 'Certainly, if my master wants it...oh my, what was I saying?  How strange.  Here, I am supposed to give this to you, I think.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_droid.stf', '20', 's_136', 'Maybe.  I don\'t think I want to tell you though.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_droid.stf', '21', 's_138', 'Oh he must be dead.  Master, I wasn\'t there for you!  Oh master!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_droid.stf', '22', 's_140', 'There\'s nothing that I can tell you that would be of any use right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_droid.stf', '23', 's_142', 'Please go find out what happened to him.  I\'m sure he needs help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_droid.stf', '24', 's_144', 'Hello!  I seem to be a bit lost.  Droids need masters, but I don\'t have one.  How odd.  Maybe someone will come for me soon.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_droid.stf', '25', 's_50', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_droid.stf', '26', 's_52', 'Oh dear, oh dear.  My poor master!  Can you help me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_droid.stf', '27', 's_54', 'What do you need help with?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_droid.stf', '28', 's_56', 'My master, Valance Serth is missing!  He was supposed to land at the Starport here an hour ago.  I\'m afraid something really bad happened and it would be entirely my fault!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_droid.stf', '29', 's_58', 'What are you talking about?  How would it be your fault?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_droid.stf', '30', 's_60', 'Everything is my fault! My master was supposed to come here and meet me.  I tried to find out what happened, but no one at the Starport will talk to me.  I\'m afraid that something terrible has happened to him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_droid.stf', '31', 's_62', 'What would make you say that?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_droid.stf', '32', 's_64', 'Someone was looking for him.  They needed to give him an urgent message from some prince.  Once I told them what ship he was traveling on, they told me not to expect him.  Can you help him?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_droid.stf', '33', 's_66', 'I can help you find your master.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_droid.stf', '34', 's_68', 'Oh thank you!  His name is Valance Serth.  He\'s from Corellia.  There is a lady named Selan Ellison at the Starport.  Maybe she could help you. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_droid.stf', '35', 's_70', 'No.  I\'m not into helping droids.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_droid.stf', '36', 's_72', 'Maybe someone will come along that is kinder than you and help me find my poor master.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_droid.stf', '37', 's_74', 'Could he have just left you here?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_droid.stf', '38', 's_76', 'How could you say that?  I am a protocol droid!  No one would be cruel enough to leave their loyal servant.  Anyway, he couldn\'t do without me.  I am fluent in over 1.5 million forms of communication and am excellent in facilitating diplomacy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_droid.stf', '39', 's_78', 'Right.  I can help you find your master.  What can you tell me about him?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_droid.stf', '40', 's_80', 'His name is Valance Serth and he\'s from Corellia. His father was a member of Corsec until he died.  His mother...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_droid.stf', '41', 's_82', 'Valance Serth, right.  I\'ll start looking.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_droid.stf', '42', 's_84', 'Thank you.  There is a lady named Selan Ellison at the Starport.  Maybe she could help you.  ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_droid.stf', '43', 's_86', 'Maybe I will help another time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_droid.stf', '44', 's_88', 'Another time may be too late!  I\'ll have to find someone else.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_droid.stf', '45', 's_90', 'I don\'t think I\'m interested.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_droid.stf', '46', 's_92', 'Oh dear.  Please reconsider.  My master\'s life may be on the line!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_droid.stf', '47', 's_94', 'I will help you find your master.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_droid.stf', '48', 's_96', 'Oh thank you!  Please go to the Moenia Starport. There is a lady named Selan Ellison.  Maybe she could help you.  Please hurry.  Who knows what may have eaten him!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_droid.stf', '49', 's_98', 'Sorry, too busy.  He may have taken another ship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_selan.stf', '1', 'do_not_edit', 'The English version of this file (c_ddroid_selan.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_selan.stf', '2', 's_207', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_selan.stf', '3', 's_211', 'You appear to be looking for someone.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_selan.stf', '4', 's_215', 'What do you know of a late ship from Corellia?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_selan.stf', '5', 's_219', 'Actually, I did hear that a ship had \'trouble\' on the way here, but there isn\'t much information from the Port Authority.  I think that there\'s a good reason to worry.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_selan.stf', '6', 's_223', 'That isn\'t good.  I need to find one of the passengers on that ship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_selan.stf', '7', 's_227', 'Perhaps I could help?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_selan.stf', '8', 's_231', 'If you can, I would appreciate it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_selan.stf', '9', 's_235', 'I have a friend who works for the Port Authority in Tyrena, on Corellia.  His name is Amarent Loren.  Just tell him that Selan Ellison sent you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_selan.stf', '10', 's_239', 'Lovely day at the Starport, isn\'t it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_valance.stf', '1', 'do_not_edit', 'The English version of this file (c_ddroid_valance.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_valance.stf', '2', 's_1168', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_valance.stf', '3', 's_1170', 'Thank you!  Once those pirates get roused, there\'s nothing to stop them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_valance.stf', '4', 's_1172', 'I\'m happy I could help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_valance.stf', '5', 's_1174', 'I owe you my life, but this is all that I have been able to salvage from the flight. I hope it will help you out. I have one more favor to ask, if possible.	');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_valance.stf', '6', 's_1176', 'I\'m expecting a little in return.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_valance.stf', '7', 's_1178', 'Of course you are!  Unfortunately, this is all that I have been able to salvage from the flight.  I know that I shouldn\'t be asking, but I need another favor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_valance.stf', '8', 's_1180', ' I need a favor...for the good of the Empire, or its people, or whatever you believe in.  Either way, innocent people will get hurt if you can\'t help me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_valance.stf', '9', 's_1182', 'What is the favor?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_valance.stf', '10', 's_1184', 'What do you know about the Black Sun?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_valance.stf', '11', 's_1186', 'Not all that much.  Just rumors really.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_valance.stf', '12', 's_1188', 'Well, the rumors are probably true.  They are vile, nasty criminals that live only for themselves and the control of anything that may make them money.  And destroy anything that could put that in jeopardy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_valance.stf', '13', 's_1190', 'Why were they going after you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_valance.stf', '14', 's_1192', 'I came across some information about one of their latest schemes.  They plan to taint a major shipment of medicinal spice.  I want to stop them, but I\'m hurt.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_valance.stf', '15', 's_1194', 'Tainted medicinal spice?  ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_valance.stf', '16', 's_1196', 'Yes.  There\'s an outbreak of Ourim Flu on several planets.  People are dying.  The Sun will use the tainted spice to addict the sick people to their chemicals.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_valance.stf', '17', 's_1198', 'I will help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_valance.stf', '18', 's_1200', 'Oh thank you!  Here are coordinates of a spot near their base.  You should be able to see them from this spot.  Kill them if you must, but stop them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_valance.stf', '19', 's_1202', 'I don\'t have the time right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_valance.stf', '20', 's_1204', 'I\'m sorry to hear that.  I hope I\'ll be able to find someone to help me resolve this dangerous situation.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_valance.stf', '21', 's_1206', 'I will help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_valance.stf', '22', 's_1208', 'Oh thank you!  Here is the last known location of their base.  Here are coordinates of a spot near their base.  You should be able to see them from this spot.  Kill them if you must, but stop them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_valance.stf', '23', 's_1210', 'I don\'t have time right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_valance.stf', '24', 's_1212', 'I\'m sorry to hear that.  I hope I\'ll be able to find someone that will help me resolve this dangerous situation.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_valance.stf', '25', 's_1214', 'Welcome back.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_valance.stf', '26', 's_1216', 'I took care of the Black Sun Camp');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_valance.stf', '27', 's_1218', 'Great!  You stopped their nasty little plot cold.  There\'s only one loose end.  Please let me know if you are interested.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_valance.stf', '28', 's_1220', 'I\'m afraid they must have had early warning! They launched their transport already.  The only hope left is to intercept the transport in space.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_valance.stf', '29', 's_1222', 'Ok, tell me more, I\'m always ready for a trip into space.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_valance.stf', '30', 's_1224', 'What else can I tell you?  Get to a Starport and into space.  Go blow up that transport and anything that stands in the way.  I should be able to arrange for you to get some coordinates to help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_valance.stf', '31', 's_1226', 'Give me a moment to get myself ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_valance.stf', '32', 's_1228', 'All right, but hurry.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_valance.stf', '33', 's_1230', 'I\'m not done yet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_valance.stf', '34', 's_1232', 'They are probably pretty tough.  Please hurry as much as you safely can.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_valance.stf', '35', 's_1234', 'Hello, my friend. Thank you for all your help so far.  I shouldn\'t ask, but...well...you recall the droid that sent you to me, C-3TC?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_valance.stf', '36', 's_1236', 'He\'s rather difficult to forget.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_valance.stf', '37', 's_1238', 'Yes, well...he\'s also the one responsible for getting me into trouble in the first place and I\'m tired of it.  If you head back to Moenia anytime soon, would you talk to him and have him run this program for me?  It will wipe his memory and I won\'t have to worry about Black Sun goons anymore.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_valance.stf', '38', 's_1240', 'I can do that if you like.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_valance.stf', '39', 's_1242', 'I would appreciate it.  He\'s probably fretting his bolts off.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_valance.stf', '40', 's_1244', 'What?!  After all that he did to help you...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_valance.stf', '41', 's_1246', 'Whoa!  Remember, he\'s a droid.  I\'ll just be doing both him and myself a favor.  If you don\'t want to do it, that\'s your business.  When you change your mind, talk to me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_valance.stf', '42', 's_1248', 'Oh no!  I\'m not going anywhere near that thing again!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_valance.stf', '43', 's_1250', 'Well, much as it saved my life, I can\'t say that I blame you.  If you change your mind, come back and talk to me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_valance.stf', '44', 's_1252', 'Please go eliminate that staging camp.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_valance.stf', '45', 's_1254', 'Ouch, you don\'t look too good.  The first of the transports got away.  This isn\'t the end of the galaxy.  The majority still haven\'t gotten out of the system.  Are you ready to go after them again?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_valance.stf', '46', 's_1256', 'I\'m ready!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_valance.stf', '47', 's_1258', 'Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_valance.stf', '48', 's_1260', 'Give me some time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_valance.stf', '49', 's_1262', 'Please hurry.  It\'s still a trek back to the starport.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_valance.stf', '50', 's_1264', 'Hello my friend.  You saved many many innocent people.  ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_valance.stf', '51', 's_1266', 'What are you still doing here?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_valance.stf', '52', 's_1268', 'I like it here.  It\'s exciting!  Heh. Actually, I need to make sure that my stuff on this ship is taken care of.  ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_ddroid_valance.stf', '53', 's_1269', 'It\'s going to take me forever to fix this ship!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_impdefector_def.stf', '1', 'do_not_edit', 'The English version of this file (c_impdefector_def.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_impdefector_def.stf', '2', 's_56', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_impdefector_def.stf', '3', 's_58', 'Excuse me, you are the person that will take me to Officer Ten\'doora, are you not?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_impdefector_def.stf', '4', 's_60', 'Yes, I\'m here to take you to him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_impdefector_def.stf', '5', 's_62', 'The plans have changed.  The information that I have is very time sensitive and I\'ll only slow you down.  You need to get to Officer Ten\'doora within 20 minutes and give him this message:  Droids need Star Destroyers in the evening.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_impdefector_def.stf', '6', 's_64', 'Droids need Star Destroyers in the evening?  You have to be kidding me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_impdefector_def.stf', '7', 's_66', 'Do you think that I\'m risking my life out here for nothing?  Just tell him what I said and don\'t screw it up.  Time is ticking.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_impdefector_def.stf', '8', 's_68', 'Got it.  I\'m on my way.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_impdefector_def.stf', '9', 's_70', 'You have 20 minutes.  Hurry!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_impdefector_def.stf', '10', 's_72', 'Why are you standing around, get moving!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_impdefector_def.stf', '11', 's_74', 'Can\'t a person just enjoy a lovely day?  Please leave me be.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_impdefector_jom.stf', '1', 'do_not_edit', 'The English version of this file (c_impdefector_jom.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_impdefector_jom.stf', '2', 's_548', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_impdefector_jom.stf', '3', 's_550', 'Hello!  I have an important mission for the Alliance, if you have the time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_impdefector_jom.stf', '4', 's_552', 'Time? What does this entail?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_impdefector_jom.stf', '5', 's_554', 'I\'m sure you have heard about defectors from the Empire.  We have a fairly high-ranking officer that has decided to come over to the right side.  He\'s hiding out northeast of here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_impdefector_jom.stf', '6', 's_556', 'I would be happy to help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_impdefector_jom.stf', '7', 's_558', 'Thank you!  There\'s an Imperial defector hiding northwest of Kor Vella.  I\'ll give you the location in your datapad.  Take him to the Rebel Base to the north.  It\'s not a short trip, but it will be worth it.  When you get there, talk to Teslo Ten\'doora. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_impdefector_jom.stf', '8', 's_560', 'I\'d rather not.  Those Imperials make my skin crawl.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_impdefector_jom.stf', '9', 's_562', 'Well, I\'m glad you told me.  I wouldn\'t want you to be in the position of putting your life on the line for something you don\'t think you can do.  If you change your attitude, come back and talk to me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_impdefector_jom.stf', '10', 's_564', 'I always have time for my brothers-in-arms.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_impdefector_jom.stf', '11', 's_566', 'Thank you!  There\'s an Imperial defector hiding northwest of Kor Vella.  I\'ll give you the location in your datapad.  Take him to the Rebel Base to the north.  It\'s not a short trip, but it will be worth it.  When you get there, talk to Teslo Ten\'doora. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_impdefector_jom.stf', '12', 's_568', 'I don\'t have time, actually.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_impdefector_jom.stf', '13', 's_570', 'I\'m sorry to hear that.  Maybe I will have something for you later, if you have time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_impdefector_jom.stf', '14', 's_572', 'I don\'t believe I wish to speak to you.  When you change your view on galactic politics, maybe we can talk then.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_impdefector_jom.stf', '15', 's_574', 'You look to be a trustworthy sort, I have an important mission that needs doing.  Would you be interested?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_impdefector_jom.stf', '16', 's_576', 'Who will I be doing this job for?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_impdefector_jom.stf', '17', 's_578', 'Well, I will tell you this - you may wish to avoid any Imperial entanglements while on this mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_impdefector_jom.stf', '18', 's_580', 'I\'ll be helping the Rebel Alliance?  Sign me up!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_impdefector_jom.stf', '19', 's_582', 'Thank you!  There\'s an Imperial defector hiding northwest of Kor Vella.  I\'ll give you the location in your datapad.  Take him to the Rebel Hideout to the north.  It\'s not a short trip, but it will be worth it.  When you get there, talk to Teslo Ten\'doora. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_impdefector_jom.stf', '20', 's_584', 'I\'d rather not.  Imperial entanglements seem to follow me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_impdefector_jom.stf', '21', 's_586', 'Maybe next time.  Come back if you change your mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_impdefector_jom.stf', '22', 's_588', 'Good luck with your mission.  Remember, he\'s hiding near the broken bridge.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_impdefector_jom.stf', '23', 's_590', 'Welcome back.  I have another defector that could use an escort of your calibur.  Would you be willing to take him up to the base?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_impdefector_jom.stf', '24', 's_592', 'Certainly.  I am always willing to help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_impdefector_jom.stf', '25', 's_594', 'Excellent.  Same situation as before then.  Pick up the defector in the trench near the broken bridge. Take him to the rebel base and talk to Teslo Ten\'doora. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_impdefector_jom.stf', '26', 's_596', 'Not this time, I\'m afraid.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_impdefector_jom.stf', '27', 's_598', 'Maybe next time, then.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_impdefector_jom.stf', '28', 's_600', 'What a nice day today.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_impdefector_teslo.stf', '1', 'do_not_edit', 'The English version of this file (c_impdefector_teslo.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_impdefector_teslo.stf', '2', 's_51', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_impdefector_teslo.stf', '3', 's_53', 'Congratulations on making it this far.  How treacherous was the trip?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_impdefector_teslo.stf', '4', 's_55', 'The defector sent me alone and I was attacked by mercenaries.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_impdefector_teslo.stf', '5', 's_57', 'But you did make it, at least.  Did he give you a message for me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_impdefector_teslo.stf', '6', 's_59', 'Droids need Star Destroyers in the evening.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_impdefector_teslo.stf', '7', 's_61', 'You are kidding?  Really?  This is exciting news, indeed.  Loyalty like yours deserves a reward.  Pardon me now, while I contact my superior.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_impdefector_teslo.stf', '8', 's_63', 'Imperials are dancing on the heads of pins.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_impdefector_teslo.stf', '9', 's_65', 'Now you are just making stuff up.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_impdefector_teslo.stf', '10', 's_67', 'It was nothing. I have a message for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_impdefector_teslo.stf', '11', 's_69', 'What is it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_impdefector_teslo.stf', '12', 's_71', 'Droids need Star Destroyers in the evening.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_impdefector_teslo.stf', '13', 's_73', 'You are kidding?  Really?  This is exciting news, indeed.  Loyalty like yours deserves a reward.  Pardon me now, while I contact my superior.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_impdefector_teslo.stf', '14', 's_75', 'Imperials are dancing on the heads of pins.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_impdefector_teslo.stf', '15', 's_77', 'Now you are just making stuff up.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_impdefector_teslo.stf', '16', 's_79', 'Pardon me, but I\'m waiting for a delivery.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_rebdefector_allard.stf', '1', 'do_not_edit', 'The English version of this file (c_rebdefector_allard.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_rebdefector_allard.stf', '2', 's_848', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_rebdefector_allard.stf', '3', 's_850', 'I received word that you were on the way.  No problems, I assume?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_rebdefector_allard.stf', '4', 's_852', 'The informant would have slowed me so I came alone and then mercenaries attacked me, sir.  ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_rebdefector_allard.stf', '5', 's_854', 'I knew about the mercenaries.  I suspect they were hired by rebels. The Informant wouldn\'t follow you here? Did he give you information for me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_rebdefector_allard.stf', '6', 's_856', 'Wookiees walk at night in the trees of Naboo.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_rebdefector_allard.stf', '7', 's_858', 'Loyalty like yours is quite admirable.  You will go far with us.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_rebdefector_allard.stf', '8', 's_860', 'The Pekos have landed, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_rebdefector_allard.stf', '9', 's_862', 'That doesn\'t sound like a valid codephrase to me, soldier.  Did you take notes?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_rebdefector_allard.stf', '10', 's_864', 'It was easy, sir.  The informant gave me information and I came to you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_rebdefector_allard.stf', '11', 's_866', 'No need for false modesty.  I heard that mercenary bullyboys tracked you and attacked.  What was the information?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_rebdefector_allard.stf', '12', 's_868', 'Wookiees walk at night in the trees of Naboo.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_rebdefector_allard.stf', '13', 's_870', 'Your skill has gained us information that will break the Rebels!  Loyalty like yours is quite admirable.  You will go far with us.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_rebdefector_allard.stf', '14', 's_872', 'Silver corvettes fly into mountains on Ryloth.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_rebdefector_allard.stf', '15', 's_874', 'That doesn\'t sound like a valid codephrase to me, soldier.  Did you take notes?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_rebdefector_allard.stf', '16', 's_876', 'I\'m waiting for a delivery.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_rebdefector_def.stf', '1', 'do_not_edit', 'The English version of this file (c_rebdefector_def.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_rebdefector_def.stf', '2', 's_798', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_rebdefector_def.stf', '3', 's_800', 'Hey, are you the person that is supposed to take me to talk to Allard?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_rebdefector_def.stf', '4', 's_802', 'Yes, I am supposed to take you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_rebdefector_def.stf', '5', 's_804', 'Well, I\'m sorry to do this, but there has been a change of plan.  The information that I have is very time sensitive and this bum leg of mine will only slow you down.  You need to get to Allard within 20 minutes and give him this message: Wookiees walk at night in the trees of Naboo.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_rebdefector_def.stf', '6', 's_806', 'Wookiees walk at night in the trees of Naboo?  What kind of code is that?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_rebdefector_def.stf', '7', 's_808', 'It\'s one that one that will get us both killed if you don\'t hurry.  Go now!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_rebdefector_def.stf', '8', 's_810', 'Got it.  I\'m on my way.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_rebdefector_def.stf', '9', 's_812', 'You have 20 minutes.  Hurry!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_rebdefector_def.stf', '10', 's_814', 'Why are you standing around, get moving!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_rebdefector_def.stf', '11', 's_816', 'Can\'t a person just enjoy a lovely day?  Please leave me be.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_rebdefector_jaek.stf', '1', 'do_not_edit', 'The English version of this file (c_rebdefector_jaek.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_rebdefector_jaek.stf', '2', 's_494', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_rebdefector_jaek.stf', '3', 's_496', 'Hello!  I have an important mission for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_rebdefector_jaek.stf', '4', 's_498', 'What must I do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_rebdefector_jaek.stf', '5', 's_500', 'Every so often, one of these rebel insurgents realizes that the Rebels are misguided.  In this case, this former rebel held some power in their poor excuse for a military.  His knowledge will help us crush the scum. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_rebdefector_jaek.stf', '6', 's_502', 'I am honored to accept this assignment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_rebdefector_jaek.stf', '7', 's_504', 'Good.  The defector is holed up in a safe place.  His former compatriots may have discovered that he is joining the right side.  I will give you coordinates to his location.  Escort him to the Emperor\'s Retreat and speak to Lt. Allard Lissara.  He will take it from there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_rebdefector_jaek.stf', '8', 's_506', 'I don\'t have time, actually.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_rebdefector_jaek.stf', '9', 's_508', 'If you are in the middle of something then get to it.  Talk to me when you have time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_rebdefector_jaek.stf', '10', 's_510', 'I am always interested in a good mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_rebdefector_jaek.stf', '11', 's_512', 'Excellent!  There\'s a Rebel defector hiding nearby.  I\'ll give you the location in your datapad.  Take him to the Emperor\'s Retreat to the West.  When you get there, talk to Lt. Allard Lissara.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_rebdefector_jaek.stf', '12', 's_514', 'I don\'t have time right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_rebdefector_jaek.stf', '13', 's_516', 'If you are in the middle of something then get to it.  Talk to me when you have time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_rebdefector_jaek.stf', '14', 's_518', 'Go away, scum.  I don\'t talk to your kind.  ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_rebdefector_jaek.stf', '15', 's_520', 'Hello.  How would you like the opportunity to do something special for the Empire?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_rebdefector_jaek.stf', '16', 's_522', 'How special?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_rebdefector_jaek.stf', '17', 's_524', 'Special enough that you will be gaining significant favor with the Imperial Military.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_rebdefector_jaek.stf', '18', 's_526', 'I\'ve always wanted an Imperial career.  I would be honored to help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_rebdefector_jaek.stf', '19', 's_528', 'Very good. I have a former rebel that wants the opportunity to make up for his rabble rousing.  The Emperor\'s retreat is fairly nearby and this guy needs an escort there.  When you get to the retreat, speak to Lt. Allard Lissara. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_rebdefector_jaek.stf', '20', 's_530', 'If it\'s all the same to you, I\'d rather not get involved.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_rebdefector_jaek.stf', '21', 's_532', 'It\'s your loss.  Not everyone is given a chance to show his loyalty to the senior officers.  If you change your mind, come back and talk to me.  Maybe I will have something for you then.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_rebdefector_jaek.stf', '22', 's_534', 'Good luck with your mission.  Remember, he\'s hiding west of Moenia.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_rebdefector_jaek.stf', '23', 's_536', 'Welcome back.  I have another informant that could use an experienced escort .  Would you be willing to take him to Lt. Lissara?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_rebdefector_jaek.stf', '24', 's_538', 'Certainly.  I am always willing to help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_rebdefector_jaek.stf', '25', 's_540', 'Excellent.  Same situation as before then.  Pick up the defector west of Moenia. Take him to the Emperor\'s Retreat and talk to Lt. Allard Lissara. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_rebdefector_jaek.stf', '26', 's_542', 'Not this time, I\'m afraid.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_rebdefector_jaek.stf', '27', 's_544', 'When you wish to help the Empire, come back and talk to me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_rebdefector_jaek.stf', '28', 's_546', 'What a nice day today.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_imp.stf', '1', 'do_not_edit', 'The English version of this file (c_sink_imp.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_imp.stf', '2', 's_1330', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_imp.stf', '3', 's_1332', 'What makes you think I will talk to you, insurgent?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_imp.stf', '4', 's_1334', 'Hello citizen, nice day isn\'t it?  I\'m sorry, but I don\'t have anything that you can help me with.  I really need a member of the Imperial Armed Forces.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_imp.stf', '5', 's_1336', 'I have a simple mission for you, soldier.  A good friend of mine from the academy needs an escort back here from an accident.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_imp.stf', '6', 's_1338', 'Escort from where?  What happened?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_imp.stf', '7', 's_1340', 'During a battle, those Rebels shot his ship down.  He\'s good enough, and lucky enough to have crash-landed instead of blowing up. But, outside of a ship, he\'s just terrible.  He needs someone to bring him back here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_imp.stf', '8', 's_1342', 'It would be a privilege to escort a friend of yours, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_imp.stf', '9', 's_1344', 'Good show.  Let me give you the location.  You can\'t miss it; look for the crashed Tie Fighter.  My friend is probably out of sight.  I\'ll radio and let him know that you are coming, so just go to the coordinates that I give you and bring him back.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_imp.stf', '10', 's_1346', 'I think the pilot can make it back on his own. Isn\'t that what he was trained for?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_imp.stf', '11', 's_1348', 'I see.  You are right of course.  I\'ll remember to mention that to the dispatcher if you ever need a lift back to base.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_imp.stf', '12', 's_1350', 'Welcome back. Tell me what happened.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_imp.stf', '13', 's_1352', 'I found a corpse at the crash site and a bunch of Binayre attacked me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_imp.stf', '14', 's_1354', 'My friend must be dead.  The good news is that they finally stepped over the line.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_imp.stf', '15', 's_1356', 'I beg your pardon, sir?  There is good news in this?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_imp.stf', '16', 's_1358', 'Yes and no.  I have just received orders that if those thugs attack Imperial personnel, I am authorized to take whatever actions I deem necessary.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_imp.stf', '17', 's_1360', 'What, exactly do you deem necessary?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_imp.stf', '18', 's_1362', 'I want to cripple them. They hurt and kill our citizens and they must be executed. I want them rendered ineffective and then wiped out.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_imp.stf', '19', 's_1364', 'Sounds like a rough job.  I like it!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_imp.stf', '20', 's_1366', 'That\'s the spirit!  I want you to target two of the groups, one here and one on Corellia. I\'ll transmit the information to your journal and datapad.  Good luck, soldier!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_imp.stf', '21', 's_1368', 'No way.  I don\'t get involved in minor disputes.  That is what the Planetary Security Forces are for.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_imp.stf', '22', 's_1370', 'Well they are obviously not nearly as effective as they should be, are they?  If you stand aside, it\'s your business, just get the hell out of the way while I do something about it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_imp.stf', '23', 's_1372', 'I want to help! I hate those gangs. Thugs and criminals, all of them.  Tell me what I can do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_imp.stf', '24', 's_1374', 'That\'s the spirit!  I want you to target two of the groups, one here and one on Corellia. I\'ll transmit the information to your journal and datapad.  Good luck, soldier!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_imp.stf', '25', 's_1376', 'Respectfully, sir, I want no part of this. Even if you asked me to do something, I will not.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_imp.stf', '26', 's_1378', 'Know that you are turning your back on the law-abiding citizens that you are supposed to be defending.  Sleep well on that... soldier.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_imp.stf', '27', 's_1380', 'I don\'t see my friend with you.  I guess you should be heading out to get him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_imp.stf', '28', 's_1382', 'I need the location again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_imp.stf', '29', 's_1384', 'Go west and look for the smoking Tie Fighter.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_imp.stf', '30', 's_1386', 'How did it go? ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_imp.stf', '31', 's_1388', 'I haven\'t started yet, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_imp.stf', '32', 's_1390', 'Then I suggest you start now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_imp.stf', '33', 's_1392', 'I\'m still working my way through the bad guys.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_imp.stf', '34', 's_1394', 'I have nothing else to offer you now.  Get going!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_imp.stf', '35', 's_1396', 'I have the blades and you have heard about the Binayre, I believe, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_imp.stf', '36', 's_1398', 'You would be correct.  You did an admirable job.  ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_imp.stf', '37', 's_1400', 'These thugs aren\'t only on the ground, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_imp.stf', '38', 's_1402', 'Very true.  In fact, that\'s something that I was going to talk to you about.  Binyare fly this sector and I want you to cripple their fleet, a few ships at a time.  Once you are in space, I\'ll transfer coordinates to you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_imp.stf', '39', 's_1404', 'I am happy to do my part.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_imp.stf', '40', 's_1406', 'Let me give you your reward for a job well done.  It looks like this little problem isn\'t so little.  I need to do some research.  I\'ll probably have more for you at a later time.  ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_imp.stf', '41', 's_1408', 'What happened up there?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_imp.stf', '42', 's_1410', 'I haven\'t been up there yet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_imp.stf', '43', 's_1412', 'Then I suggest you get going.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_imp.stf', '44', 's_1414', 'I failed my mission, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_imp.stf', '45', 's_1416', 'Then I don\'t believe your mission is complete, soldier.  Get back up there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_imp.stf', '46', 's_1418', 'I completed my mission, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_imp.stf', '47', 's_1420', 'Good work, soldier.  Those Binyare will think twice before crossing the Empire again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_imp.stf', '48', 's_1422', 'It felt good.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_imp.stf', '49', 's_1424', 'It should.  You love the thrill of battle, don\'t you?  No, I see it in your eyes.  Here is your payment for a job well done.  I will have more for you as soon as I get some research done.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_imp.stf', '50', 's_1426', 'I\'m done with this now.  No more.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_imp.stf', '51', 's_1428', 'Here is your payment.  When you want to start protecting citizens again, let me know. Maybe I\'ll have something for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_imp.stf', '52', 's_1430', 'I finally have my mission in life.  The criminals will not take over while we are at war!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_imp.stf', '53', 's_1432', 'Do you have anything for me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_imp.stf', '54', 's_1434', 'Not yet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_reb.stf', '1', 'do_not_edit', 'The English version of this file (c_sink_reb.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_reb.stf', '2', 's_1110', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_reb.stf', '3', 's_1112', 'What makes you think I will talk to you, thug?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_reb.stf', '4', 's_1114', 'Good afternoon!  Nice day, isn\'t it?  I\'m sorry, but I don\'t have anything that you can do.  I am looking for someone more sympathetic to the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_reb.stf', '5', 's_1116', 'I have a simple assignment for you, if you are interested.  A good friend of mine needs an escort back here.  ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_reb.stf', '6', 's_1118', 'Escort from where?  What happened?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_reb.stf', '7', 's_1120', 'He is a pilot and his ship was attacked.  He made it to the escape pod, but now he needs someone to lead him here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_reb.stf', '8', 's_1122', 'Sure.  Any friend of yours is a friend of mine!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_reb.stf', '9', 's_1124', 'Thank you!  I\'ll be sure to tell the higher-ups of your willingness to help.  The pod crashed north of here.  I\'m sure he\'s keeping out of sight of the local Imperial forces.  I\'ll radio and let him know you are on your way.  He will follow you here.  I\'ll have a reward for you when you get back.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_reb.stf', '10', 's_1126', 'No thank you.  I have other things to do.  There\'s a war out there, you know.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_reb.stf', '11', 's_1128', 'Sure.  What\'s one pilot whose life is in danger when you could be out killing to your heart\'s content?  Are you sure you are in the Rebellion?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_reb.stf', '12', 's_1130', 'Welcome back.  Tell me what happened.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_reb.stf', '13', 's_1132', 'I found a corpse at the crash site and I was attacked by Flails.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_reb.stf', '14', 's_1134', 'No!  After all that he went through in the war, to get killed by thugs?!  That\'s it!  I\'m done waiting for someone else to take care of these criminals.  It\'s time to act!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_reb.stf', '15', 's_1136', 'What are you talking about?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_reb.stf', '16', 's_1138', 'These swoop gangs, smugglers, and pirates!  Beyond what they are doing to innocent people, they give us a bad name.  ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_reb.stf', '17', 's_1140', 'What do you mean by that?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_reb.stf', '18', 's_1142', 'Obviously, to the Empire, we are criminals and a threat to their domination.  But to the citizens, we Rebels may be viewed as Freedom Fighters...or as the criminals that the Empire is making us to be.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_reb.stf', '19', 's_1144', 'What do the gangs have to do with that?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_reb.stf', '20', 's_1146', 'The more the actual pirates and criminal elements terrorize citizens while we do nothing to help them, the more we are lumped in with their ilk.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_reb.stf', '21', 's_1148', 'So, what do you want me to do about it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_reb.stf', '22', 's_1150', 'I want you to go after them.  I know that you cannot eliminate the whole threat yourself, but strike at them.  I have identified two gangs here and on Talus that are strong enough to do some real damage, but not as strong as, say, the Hutt Syndicate.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_reb.stf', '23', 's_1152', 'I want no part of your vendetta.  One major enemy is enough.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_reb.stf', '24', 's_1154', 'If we stand aside while evil people take advantage of others, we lose.  But it\'s your decision.  If you change your mind, let me know.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_reb.stf', '25', 's_1156', 'What do you need me to do? ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_reb.stf', '26', 's_1158', 'I want you to go after them.  I don\'t expect you to single-handedly eliminate all the criminals in the galaxy, but you can start the ball rolling.  Strike at two of the gangs, one here and one on Talus.  I\'ll put more information into your journal and datapad.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_reb.stf', '27', 's_1160', 'I want no part of your vendetta.  One major enemy is enough.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_reb.stf', '28', 's_1162', 'If we stand aside while evil people take advantage of others, we lose.  But it\'s your decision.  If you change your mind, let me know.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_reb.stf', '29', 's_1164', 'I don\'t see my friend with you.  I guess you should be heading out to get him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_reb.stf', '30', 's_1166', 'I need the location again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_reb.stf', '31', 's_1168', 'Go north and look for the crashed Escape Pod.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_reb.stf', '32', 's_1170', 'How did it go? ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_reb.stf', '33', 's_1172', 'I haven\'t started yet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_reb.stf', '34', 's_1174', 'Then maybe you should get to it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_reb.stf', '35', 's_1176', 'I\'m still working my way through the bad guys.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_reb.stf', '36', 's_1178', 'I have nothing else to offer you now.  Get going!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_reb.stf', '37', 's_1180', 'I have the marks and you have heard about the Flails, I assume.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_reb.stf', '38', 's_1182', 'I did indeed and I\'m glad to see that you are as enthusiastic as I am about stopping the growing gang problem.  ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_reb.stf', '39', 's_1184', 'I\'d like to do more to help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_reb.stf', '40', 's_1186', 'Good.  I want you to head into space then.  The Hidden Daggers have taken it into their heads to terrorize innocent pilots heading to Corellia.  Destroy them and then I\'ll reward your properly for your hard work. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_reb.stf', '41', 's_1188', 'I am happy to do my part.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_reb.stf', '42', 's_1190', 'Let me give you your reward for a job well done.  I think that I\'m going to make this my cause.  Let Mon Mothma deal with the Empire.  I want to make sure that if we win, there is something worth having.  Come back to me sometime and I may have something for you to do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_reb.stf', '43', 's_1192', 'What happened up there?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_reb.stf', '44', 's_1194', 'I haven\'t been up there yet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_reb.stf', '45', 's_1196', 'Then I suggest you get going.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_reb.stf', '46', 's_1198', 'I failed the mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_reb.stf', '47', 's_1200', 'It\'s like falling off a bantha.  You have to dust yourself off, get back on and finish the job!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_reb.stf', '48', 's_1202', 'I completed the mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_reb.stf', '49', 's_1204', 'Great!!  You dealt the Daggers one hell of a blow.  They will be picking up pieces of their ships for weeks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_reb.stf', '50', 's_1206', 'It felt good.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_reb.stf', '51', 's_1208', 'It should.  You are helping the innocent people of the galaxy.  All I can give you is my thanks and these credits.  I\'ll make sure that your deeds are known.  Come back to me soon and I will try to have more for you to do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_reb.stf', '52', 's_1210', 'I\'m done with this now.  No more.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_reb.stf', '53', 's_1212', 'Let me give you your reward for a job well done, at least.  I think that I\'m going to make this my cause.  Let Mon Mothma deal with the Empire.  I want to make sure that if we win, there is something worth having.  If you want to be a part of it, talk to me later.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_reb.stf', '54', 's_1214', 'I finally have my mission in life.  The criminals will not take over while we are at war!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_reb.stf', '55', 's_1216', 'Do you have anything for me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_sink_reb.stf', '56', 's_1218', 'Not yet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_doc.stf', '1', 'do_not_edit', 'The English version of this file (c_story1_1_doc.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_doc.stf', '2', 's_716', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_doc.stf', '3', 's_718', 'Hello, may I help you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_doc.stf', '4', 's_720', 'I have this spice sample that I need analyzed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_doc.stf', '5', 's_722', 'Well, let me see it.  Find it in your kid\'s room? I keep hearing more and more stories about that, kids these days...wait a minute.  Where did you get this?!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_doc.stf', '6', 's_724', 'I found it on a ship that crashed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_doc.stf', '7', 's_726', 'Why did you bring this to me?  This is far too hot for me to touch.  Do you realize how much danger this will bring me?  Get out!  Get out of here now!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_doc.stf', '8', 's_728', 'Is this illegal?  Is it dangerous?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_doc.stf', '9', 's_730', ' It\'s dangerous to me! Out!  If you really must find out what that stuff is, go talk to a friend of mine.  He would know more about it than I do anyway.  Take this data and get out!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_doc.stf', '10', 's_732', 'Never mind where I found it, what is it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_doc.stf', '11', 's_734', 'It\'s ... what the? I haven\'t seen anything like this since... do you realize what this represents?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_doc.stf', '12', 's_736', 'Is this illegal?  Is it dangerous?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_doc.stf', '13', 's_738', 'It\'s dangerous to me! Out!  If you really must find out what that stuff is, go talk to a friend of mine.  He would know more about it than I do anyway.  Take this data and get out!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_doc.stf', '14', 's_740', 'I don\'t think you should talk to me anymore.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_doc.stf', '15', 's_742', 'How is your health today?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_imp_quest.stf', '1', 'do_not_edit', 'The English version of this file (c_story1_1_imp_quest.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_imp_quest.stf', '2', 's_215', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_imp_quest.stf', '3', 's_219', 'I\'m disappointed in you, traitor.  You turn your back on the Empire and then expect us to hand information over to you?  You are sadly mistaken.  Go talk to your own kind now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_imp_quest.stf', '4', 's_222', 'How is civilian life treating you?  Never mind, I don\'t want to know.  I also don\'t want to know why you are coming to me for classified information.  I have someone else handling this investigation now...military personnel.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_imp_quest.stf', '5', 's_224', 'If I could use your help, I would, but my orders are for Imperial military only.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_imp_quest.stf', '6', 's_226', 'Go away, Rebel scum.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_imp_quest.stf', '7', 's_228', 'Greetings, soldier.  I have a situation that requires my attention and I cannot attend to it properly.  Would you be willing to help me out?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_imp_quest.stf', '8', 's_230', 'Perhaps, if I have more information.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_imp_quest.stf', '9', 's_232', 'I have just gotten word that a pilot is missing. We have the coordinates of his last known location. It was on Rori. Would you be willing to run out there and see what happened?  He may be hurt or in danger. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_imp_quest.stf', '10', 's_234', 'I will go investigate.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_imp_quest.stf', '11', 's_236', 'Very good.  Go to these coordinates on Rori and see if you can find anything out. Then report back to me. Oh, if he had cargo, maybe you could find out what happened to it.  That would probably help him out a lot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_imp_quest.stf', '12', 's_238', 'I\'d rather not.  I have a lot to do right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_imp_quest.stf', '13', 's_240', 'Hopefully your decision didn\'t doom that poor pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_imp_quest.stf', '14', 's_242', 'I will do anything I can to help the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_imp_quest.stf', '15', 's_244', 'Your loyalty encourages me.  I wish more people were like you.  Anyway, a pilot is missing and we don\'t know what happened. We have his last known coordinates on Rori. Investigate then bring me back any information you find, particularly information about his cargo. This is of great interest to the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_imp_quest.stf', '16', 's_246', 'No thank you.  You should attend to your own duties.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_imp_quest.stf', '17', 's_248', 'I guess you just aren\'t that helpful after all.  ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_imp_quest.stf', '18', 's_250', 'Welcome back.  Did you find anything interesting?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_imp_quest.stf', '19', 's_252', 'The pilot\'s ship crashed.  I haven\'t found any trace of him though.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_imp_quest.stf', '20', 's_254', 'Crashed?  That\'s terrible!  Please go back there and search for some trace of him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_imp_quest.stf', '21', 's_256', 'Yes, I found this datapad and this sample.  I think it\'s a spice.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_imp_quest.stf', '22', 's_258', 'A spice?  I have never seen anything like it.  Let\'s see what this datapad contains.  One moment for the decoder to do its job...there we go.  ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_imp_quest.stf', '23', 's_260', 'What does it say?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_imp_quest.stf', '24', 's_262', 'It looks like this sample was part of a larger shipment that the pilot was bringing somewhere.  The datapad is quite damaged. There\'s nothing about who shot the ship down, just that the ship was attacked.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_imp_quest.stf', '25', 's_264', 'So, now what do I do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_imp_quest.stf', '26', 's_266', 'I think that this spice sample is important somehow.  I have a loyal Imperial doctor that will analyze this sample if you take it to him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_imp_quest.stf', '27', 's_268', 'I would be happy to.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_imp_quest.stf', '28', 's_270', 'Good.  Here\'s the medical facility where he works.  You should find him inside.  I swear, I don\'t think he sleeps.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_imp_quest.stf', '29', 's_272', 'Not right now, but I\'ll come back when I\'m ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_imp_quest.stf', '30', 's_274', 'You do that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_imp_quest.stf', '31', 's_276', 'Not yet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_imp_quest.stf', '32', 's_278', 'Please get right on that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_imp_quest.stf', '33', 's_280', 'I lost the location. Can you give it to me again?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_imp_quest.stf', '34', 's_282', 'I can give you that data.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_imp_quest.stf', '35', 's_284', 'Go talk to Doctor Vang.  There\'s not much else I can do to help you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_imp_quest.stf', '36', 's_286', 'Hello again, soldier.  It appears that my search bore fruit.  A lady named Kaila heard that I was looking for that lost pilot.  She said that she saw someone fitting his description in the wilderness.  Since you are already in the loop for this, I want you to go talk to her.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_imp_quest.stf', '37', 's_288', 'Didn\'t she give you the information when she contacted you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_imp_quest.stf', '38', 's_290', 'No.  She is expecting a reward for valuable information.  The Empire will take care of that.  You will go talk to her, won\'t you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_imp_quest.stf', '39', 's_292', 'Of course, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_imp_quest.stf', '40', 's_294', 'Good choice. She is a regular at some dive in Narmle after dark.  I\'ll give you a waypoint.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_imp_quest.stf', '41', 's_296', 'I\'m not really interested in finding this guy.  He was an idiot to crash his ship and not come back to town.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_imp_quest.stf', '42', 's_298', 'If we do not find him, I\'m holding you responsible.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_imp_quest.stf', '43', 's_300', 'I don\'t need additional details.  I want to find out what\'s going on.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_imp_quest.stf', '44', 's_302', 'Kaila apparently hangs out at some dive in Narmle.  Here\'s a waypoint.  It should be safe enough there. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_imp_quest.stf', '45', 's_304', 'No more of this for me.  I\'m done.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_imp_quest.stf', '46', 's_306', 'If we do not find him, I\'m holding you responsible.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_imp_quest.stf', '47', 's_308', 'Welcome to the right side, soldier.  I\'m glad to see that you support law and order.  Sources tell me that you found a spice sample and are looking for a missing pilot.  I have information for you.  A lady named Kaila saw the pilot out in the wilderness.  I want you to go talk to her.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_imp_quest.stf', '48', 's_310', 'Well, soldier, looks like you have chosen to change your traitorous ways.  Good to see!  Sources tell me that you found a spice sample and are looking for a missing pilot.  I have information for you.  A lady named Kaila saw the pilot out in the wilderness.  I want you to go talk to her.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_imp_quest.stf', '49', 's_312', 'I don\'t know anything more than you do and I\'m waiting to hear back from headquarters about what to do next.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_imp_quest.stf', '50', 's_314', 'If you see this, Lisa sucks... tell her so.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_neu_quest.stf', '1', 'do_not_edit', 'The English version of this file (c_story1_1_neu_quest.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_neu_quest.stf', '2', 's_372', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_neu_quest.stf', '3', 's_374', 'Oh dear, you went and joined the military, didn\'t you?  You won\'t be able to help me now.  I was already almost arrested for pestering an Imperial officer.  I\'ll have to find someone else to help me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_neu_quest.stf', '4', 's_376', 'Much as I need help, I don\'t trust people in the Rebellion.  I keep hearing how you kill women and children.  Please leave me alone.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_neu_quest.stf', '5', 's_378', 'Oh my, you are an Imperial, aren\'t you?  I guess you are too busy to help me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_neu_quest.stf', '6', 's_380', 'I can\'t talk to you in case a member of the Imperial Security Bureau is watching.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_neu_quest.stf', '7', 's_382', 'Can you help me?  Please help me!  My friend\'s ship is missing and I haven\'t heard from him.  I\'m really worried.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_neu_quest.stf', '8', 's_384', 'What can you tell me about it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_neu_quest.stf', '9', 's_386', 'He is a merchant and on one of this runs, he disappeared!  I can\'t imagine what happened!  He\'s a very good pilot. I don\'t think that Rori was one of his stops, but that\'s where his last coordinates say he was.  I\'m very worried. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_neu_quest.stf', '10', 's_388', 'I will help you find your friend.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_neu_quest.stf', '11', 's_390', 'Thank you!  I have the coordinates here.  Please bring me back any information you find. I\'m so worried about him! ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_neu_quest.stf', '12', 's_392', 'I\'d rather not.  I have a lot to do right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_neu_quest.stf', '13', 's_394', 'You are very cruel not to help me find my friend.  I hope you get eaten by a sarlacc!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_neu_quest.stf', '14', 's_396', 'I could always use a job.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_neu_quest.stf', '15', 's_398', 'This is quite a bit more than just a job.  My friend\'s life may be at stake!  His last coordinates were on Rori.  I\'m really worried about him!  Let me transfer the coordinates to you.  If you can\'t actually find him, maybe you can find something of his that would give me a clue to where he may be.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_neu_quest.stf', '16', 's_400', 'No thank you.  You should go look for your own friend.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_neu_quest.stf', '17', 's_402', 'I\'m no kind of wilderness survivor!  You don\'t care about anything except yourself!  Go then and thanks for nothing!  ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_neu_quest.stf', '18', 's_404', 'What did you find?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_neu_quest.stf', '19', 's_406', 'The pilot\'s ship crashed.  I haven\'t found any trace of him though.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_neu_quest.stf', '20', 's_408', 'Crashed?  That\'s terrible!  Please go back there and search for some trace of him!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_neu_quest.stf', '21', 's_410', 'I found this datapad and this sample.  I think it\'s a spice.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_neu_quest.stf', '22', 's_412', 'A spice?  What would he be doing with spice?  He doesn\'t touch the stuff.  Let me see this datapad, I have his personal code. Oh no!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_neu_quest.stf', '23', 's_414', 'What does it say?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_neu_quest.stf', '24', 's_416', 'He was attacked!  He doesn\'t say by who or what, but his ship was brought down.  There\'s no information here that helps me at all!  Just something about this sample and how it\'s important.  I don\'t care about that, I just want to find my friend!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_neu_quest.stf', '25', 's_418', 'Maybe the spice will lead us to where he is.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_neu_quest.stf', '26', 's_420', 'Do you think so?  My cousin is a doctor and could probably analyze that. Would you take it to him and see if he can help?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_neu_quest.stf', '27', 's_422', 'I would be happy to.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_neu_quest.stf', '28', 's_424', 'Thank you again.  Here are the coordinates to his clinic.  I hope it helps.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_neu_quest.stf', '29', 's_426', 'No, he\'s your cousin. You should go talk to him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_neu_quest.stf', '30', 's_428', 'I can\'t, actually. We\'re not on good terms. If you change your mind about helping me, please come back.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_neu_quest.stf', '31', 's_430', 'Nothing yet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_neu_quest.stf', '32', 's_432', 'I hope he\'s all right.  Please go out there soon.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_neu_quest.stf', '33', 's_434', 'I lost the location. Can you give it to me again?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_neu_quest.stf', '34', 's_436', 'You lost it?  Fine, I\'ll transfer the location to your datapad.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_neu_quest.stf', '35', 's_438', 'Go talk to Doctor Vang.  There\'s not much else I can do to help you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_neu_quest.stf', '36', 's_440', 'I finally have information for you! Someone named Kaila contacted me and told me that she had information about my lost friend! He\'s lost in the wilderness.  You have to help me!  She won\'t give me the coordinates, but maybe she will give them to you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_neu_quest.stf', '37', 's_442', 'Why wouldn\'t she give you the coordinates?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_neu_quest.stf', '38', 's_444', 'Hhmph, she says that I won\'t survive in the wilderness, and she\'s right there.  But she said that I\'m foolish enough to go out there on my own.  She says that she doesn\'t want to get me killed!  I\'d only do that if I couldn\'t find someone to help me!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_neu_quest.stf', '39', 's_446', 'It\'s ok.  I\'ll help you.  Just tell me where I can find her.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_neu_quest.stf', '40', 's_448', 'Kaila\'s a regular at some dive in Narmle.  I\'ll give you a waypoint.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_neu_quest.stf', '41', 's_450', 'She\'s right.  You will get yourself killed.  You will probably get me killed in the process.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_neu_quest.stf', '42', 's_452', 'You... you jerk!  You don\'t care about anyone or anything but yourself.  When you change your mind about helping me, maybe I\'ll talk to you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_neu_quest.stf', '43', 's_454', 'I want to find out what\'s going on.  Where is she?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_neu_quest.stf', '44', 's_456', 'Kaila hangs out at Narmle\'s Gambling Hall.  Here\'s a waypoint for you.  Go quickly!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_neu_quest.stf', '45', 's_458', 'I didn\'t sign on for this. I\'m done.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_neu_quest.stf', '46', 's_460', 'Oh, I hope your weapon breaks and you get eaten by a rancor!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_neu_quest.stf', '47', 's_462', 'My friend is missing.  Someone told me that you were looking for him.  I have information for you! Someone named Kaila contacted me and told me that she had information! He\'s lost in the wilderness.  You have to help me!  She won\'t give me the coordinates, but maybe she will give them to you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_neu_quest.stf', '48', 's_464', 'Oh, will you help me?  My friend is missing.  Someone told me that you were looking for him.  I have information for you! Someone named Kaila contacted me and told me that she had information about my lost friend! He\'s lost in the wilderness.  She won\'t give me the coordinates, but maybe she will give them to you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_neu_quest.stf', '49', 's_466', 'I don\'t know what is going on, exactly, but I\'m going to try to have more inforamtion for you as soon as I can.  It\'s not looking good so far.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_neu_quest.stf', '50', 's_468', 'If you see this, Lisa sucks... tell her so.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_reb_quest.stf', '1', 'do_not_edit', 'The English version of this file (c_story1_1_reb_quest.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_reb_quest.stf', '2', 's_151', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_reb_quest.stf', '3', 's_153', 'Don\'t bother trying to get information out of me, worm!  You betrayed your conscience at what price?  Is your cushy new position worth the damage you cause?  Never mind!  Get out of my sight!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_reb_quest.stf', '4', 's_155', 'I won\'t help you any more.  Someone who didn\'t weaken our position by quitting will be helping us locate the lost pilot.  If you still care enough to find the pilot, I\'m sure other people are looking for him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_reb_quest.stf', '5', 's_157', 'You look eager enough, but I really need to speak with someone in the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_reb_quest.stf', '6', 's_159', 'I beg your pardon.  Please leave me alone, you Imperial drone.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_reb_quest.stf', '7', 's_161', 'I need your help!  I have a situation that requires my attention and I cannot attend to it properly.  Would you be willing to help me out?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_reb_quest.stf', '8', 's_163', 'Perhaps, if I have more information.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_reb_quest.stf', '9', 's_165', 'I have just gotten word that a pilot is missing. We have the coordinates of his last known location. It was on Rori. Would you be willing to run out there and see what happened?  He may be hurt or in danger. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_reb_quest.stf', '10', 's_167', 'I will go investigate.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_reb_quest.stf', '11', 's_169', 'Very good.  Go to these coordinates on Rori and see if you can find anything out. Then report back to me. Oh, if he had cargo, maybe you could find out what happened to it.  That would probably help him out a lot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_reb_quest.stf', '12', 's_171', 'I\'d rather not.  I have a lot to do right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_reb_quest.stf', '13', 's_183', 'Hopefully your decision didn\'t doom that poor pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_reb_quest.stf', '14', 's_185', 'I could always use a job.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_reb_quest.stf', '15', 's_187', 'I will be happy to pay you for your time.  A ship has gone missing and the pilot has not been heard from.  We have his last coordinates. They are on Rori. We don\'t know if he\'s hurt or dead.  Go investigate and bring me back any information you find. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_reb_quest.stf', '16', 's_189', 'No thank you.  You should attend to your own duties.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_reb_quest.stf', '17', 's_191', 'I guess you just aren\'t that helpful after all.  ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_reb_quest.stf', '18', 's_193', 'Welcome back.  Did you find anything interesting?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_reb_quest.stf', '19', 's_195', 'The pilot\'s ship crashed.  I haven\'t found any trace of him though.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_reb_quest.stf', '20', 's_197', 'Crashed?  That\'s terrible!  Please go back there and search for some trace of him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_reb_quest.stf', '21', 's_199', 'Yes, I found this datapad and this sample.  I think it\'s a spice.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_reb_quest.stf', '22', 's_201', 'A spice?  Oh really?  Interesting.  Umm... I think you should get that analyzed. I know a doctor who will analyze that for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_reb_quest.stf', '23', 's_203', 'What about the pilot?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_reb_quest.stf', '24', 's_205', 'Oh, I\'ll get this datapad sliced and follow up on that.  I think this spice is more important.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_reb_quest.stf', '25', 's_207', 'More important than a missing pilot?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_reb_quest.stf', '26', 's_209', 'Um, no, that\'s not what I mean.  I mean, I think you should follow up on that spice and let me worry about the pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_reb_quest.stf', '27', 's_211', 'This is getting suspicious, but I will do as you ask.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_reb_quest.stf', '28', 's_213', 'I\'m sorry, I don\'t mean to put you on guard.  I just don\'t like knowing that there\'s some unknown spice out there when some child could get their hands on it.  Here\'s the doctor\'s clinic.  I\'m sure he will be there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_reb_quest.stf', '29', 's_216', 'Well, if you look for the pilot, I\'ll follow up on the spice.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_reb_quest.stf', '30', 's_218', 'Of course I will!  Here are coordinates to my friend\'s medical practice.  He is there almost all the time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_reb_quest.stf', '31', 's_221', 'No, I did what you asked me to.  I\'m leaving now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_reb_quest.stf', '32', 's_225', '. . .');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_reb_quest.stf', '33', 's_229', 'I haven\'t found anything yet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_reb_quest.stf', '34', 's_233', 'That\'s a shame.  Come back to me when you find something.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_reb_quest.stf', '35', 's_237', 'I need the location again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_reb_quest.stf', '36', 's_241', 'I can help you with that. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_reb_quest.stf', '37', 's_245', 'Go talk to Doctor Vang.  There\'s not much else I can do to help you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_reb_quest.stf', '38', 's_249', 'I finally have information for you! Someone named Kaila contacted me and told me that she had information on the missing pilot.  Evidently he\'s lost in the wilderness.  She has the coordinates if you go over and talk to her.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_reb_quest.stf', '39', 's_253', 'Didn\'t she give you the information when she contacted you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_reb_quest.stf', '40', 's_257', 'Well, she didn\'t contact me directly and doesn\'t want to be seen talking to me.  I\'m a wanted man, you understand.  One of those \'rebel terrorists\' and all that rot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_reb_quest.stf', '41', 's_261', 'As am I, my friend.  But I\'m interested in finding out what this is about.  Where is she?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_reb_quest.stf', '42', 's_265', 'She\'s a regular at Narmle\'s Gambling Hall.  I\'ll give you a waypoint.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_reb_quest.stf', '43', 's_269', 'You aren\'t the only one that the Empire is hunting.  I want no part of it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_reb_quest.stf', '44', 's_273', 'If you wish.  I won\'t condemn you, though others will.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_reb_quest.stf', '45', 's_277', 'I want to find out what\'s going on.  Where is she?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_reb_quest.stf', '46', 's_281', 'Kaila apparently hangs out at Narmle\'s Gambling Hall.  Here\'s a waypoint for you.  Be careful.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_reb_quest.stf', '47', 's_285', 'No more of this for me.  I\'m done.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_reb_quest.stf', '48', 's_289', 'If you wish.  I won\'t condemn you, although some might.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_reb_quest.stf', '49', 's_293', 'Welcome to the right side of the battle lines.  I\'m glad you are with us.  I understand that you found an odd spice sample.  I have some information about the missing pilot.  Someone named Kaila contacted me and told me that she had information on the missing pilot.  Evidently he\'s lost in the wilderness.  She has the coordinates if you go over and talk to her.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_reb_quest.stf', '50', 's_297', 'Welcome to the Alliance!  I hope you have been treated well so far.  Sources tell me that you found a spice sample and are looking for a missing pilot.  Someone named Kaila contacted me and told me that she had information on the missing pilot.  Evidently he\'s lost in the wilderness.  She has the coordinates if you go over and talk to her.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_reb_quest.stf', '51', 's_301', 'Can I talk to you later?  I\'m tracking down a tough bit of information.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_1_reb_quest.stf', '52', 's_305', 'If you see this, Lisa sucks... tell her so.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_2_chemist.stf', '1', 'do_not_edit', 'The English version of this file (c_story1_2_chemist.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_2_chemist.stf', '2', 's_100', 'I know that you found a spice sample, the local Black Sun leaders were talking about it earlier today.  That\'s why they set up that trap for you.   They want a piece of the action. I don\'t know the name of this spice, but it seems to be medicinal in nature, and rare.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_2_chemist.stf', '3', 's_102', 'That, I\'m not sure of.  It seems to have pretty impressive healing qualities, but I haven\'t isolated its exact function.  What I do know is that it appears that the Black Sun want a piece of the action. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_2_chemist.stf', '4', 's_104', 'What does the Black Sun want with it? Most rare medicines are publically available.  ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_2_chemist.stf', '5', 's_106', 'Not this kind.  That\'s what you don\'t understand.  It\'s being smuggled and hoarded by the Rebel Alliance.  They must know where it comes from and are keeping it for themselves.  The pilot that you are looking for was smuggling the spice for them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_2_chemist.stf', '6', 's_108', 'What does the Black Sun want with it? Most rare medicines are publically available.  ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_2_chemist.stf', '7', 's_110', 'Doesn\'t surprise me in the least.  Those rock-sucking terrorists would do anything.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_2_chemist.stf', '8', 's_112', 'Really?  I find that hard to believe.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_2_chemist.stf', '9', 's_114', 'NO!  I don\'t believe you!  You work with criminals that want the spice.  You would say anything!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_2_chemist.stf', '10', 's_116', 'Maybe they want an edge in the war...ow! Right, rock-sucking terrorists! In thanks for sparing my life, take this. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_2_chemist.stf', '11', 's_118', 'Believe it.  The Black Sun will actually let the average person get a hold of this life-sustaining spice...once I know what it does...for a price. I gave you more information than I probably should.  Take this and go. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_2_chemist.stf', '12', 's_120', 'Yes, I probably would.  Maybe you should go speak to your own contacts and see if they will tell you anything.  I\'d be shocked if they did.   Please...leave me be.  I gave you more information than I probably should.  Take this and go.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_2_chemist.stf', '13', 's_2', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_2_chemist.stf', '14', 's_38', 'Go on then, talk.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_2_chemist.stf', '15', 's_39', 'I have been analyzing the spice that you have.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_2_chemist.stf', '16', 's_4', 'Please don\'t kill me!  I have information that you probably want.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_2_chemist.stf', '17', 's_40', 'I won\'t kill you, but what can you offer me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_2_chemist.stf', '18', 's_42', 'There\'s a new spice out there that many people want information about.  There have been people looking for information on Naboo, Corellia, and Talus.  I\'m sure that there is money to be made there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_2_chemist.stf', '19', 's_96', 'What spice?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_2_chemist.stf', '20', 's_98', 'And?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_2_mole.stf', '1', 'do_not_edit', 'The English version of this file (c_story1_2_mole.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_2_mole.stf', '2', 's_23', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_2_mole.stf', '3', 's_25', 'Why hello there! Is there something that I can do for you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_2_mole.stf', '4', 's_27', 'You can tell me about that pilot you saw.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_2_mole.stf', '5', 's_29', 'Ah, I know who you are now.  I\'m glad you came to see me.  I was beginning to wonder if you would.  Listen carefully, head directly northeast.  It\'s north of some ruins and west of a statue head. Here are coordinates if you prefer that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_2_mole.stf', '6', 's_31', 'I just wanted to say \'hello\' to a lovely lady.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_2_mole.stf', '7', 's_33', 'You are very sweet, but I\'m waiting for someone.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_2_mole.stf', '8', 's_41', 'Nothing.  I thought you were someone else.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/c_story1_2_mole.stf', '9', 's_43', 'All right.  We all make mistakes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '1', 'do_not_edit', 'The English version of this file (dantooine_rebel_trainer_2.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '3', 's_10d3ddf5', 'I do have a few elective duty tasks. Are you interested?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '4', 's_13aaae57', 'There is no time now, my young friend. I will give you the answers soon. But for now, your presence is needed in the Lok system, %TU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '5', 's_14c2f902', 'You don\'t look like a Vortex pilot. What can I do for you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '6', 's_15c6406b', 'If you weren\'t such a good pilot...very well, here\'s the mission completion bonus.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '7', 's_165db597', 'I want mission 1.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '8', 's_16d870fe', 'Consider it done.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '9', 's_16e68393', 'If you can stand up to that firepower, I will be most pleased. We will transmit locations as we find them once you enter orbit. Come find me after you (or your ship) need a break and pick a new assignment. If you feel experienced enough, let us know and we\'ll teach you some of our skills. Go get them %TU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '10', 's_1807105', 'Give me the short version; I\'m ready for action.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '11', 's_188656b1', 'Doesn\'t explain what my part in this is.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '12', 's_1b8807cc', 'Very well. I will have one of the pilots instruct you. When you are ready, come back to me. An urgent situation is developing. I could use your newly acquired skills.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '13', 's_1d85385d', 'I can\'t do it. He\'s too heavily guarded.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '14', 's_1e45ad6c', 'We have very little information, which is where you come in, my friend. You have to travel to the Lok system immediately.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '15', 's_1f3a637e', 'There are Jedi working for the Rebel Alliance?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '16', 's_1fd8891b', 'That\'s what we want to find out. And with your help, we shall succeed %NU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '17', 's_21736cfe', 'Nonsense! Get your act together. Finish what you started, %NU. There\'s no turning back now!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '18', 's_22a1e2bb', 'Yes. How can I help?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '19', 's_235bfb27', 'Wasn\'t exactly difficult. Where\'s my bonus?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '20', 's_24084ede', 'I suppose. But this time I better be hauling the right data!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '21', 's_261519e4', 'Sure. Maybe I should just terminate him right away, just to be safe?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '22', 's_266422af', 'Thank you, sir. So what happens now?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '23', 's_266c4054', 'Haha! Well, don\'t take too long. We have a lot of work to do still, and we will need your expertise soon again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '24', 's_28f9c5ec', 'Actually, no.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '25', 's_299ce3a0', 'Yes this is clearly not for you. Good bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '26', 's_2a02eb78', 'I\'m not surprised. I will go in to more detail of what it is we do later, but we need to know how well you can work with us before we can give out any information on our operations here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '27', 's_2ba96f57', 'Good to see you, %NU. Ready to hear the list of active duties?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '28', 's_2c008858', 'I want Escort Duty.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '29', 's_2c4789b', 'Understood.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '30', 's_2ca477ff', 'I can\'t right now, Vrovel. I have things to do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '31', 's_2d54810a', 'Guess the Empire is desperate to find some decent pilots.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '32', 's_2e18346d', 'I don\'t have time right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '33', 's_2faaa2e5', 'Did I give you the wrong location or something? Let me double-check your datapad.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '34', 's_303fc274', 'We are not playing games here, %NU! You need to hurry up and finish what it is you have to do so that you can get underway on this project immediately.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '35', 's_304f442f', 'I need some time to recover from my wounds.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '36', 's_3080e198', 'Very well. Escort in Lok sector. If you find any errors or have suggestions, report them to Niklas at njohansson@soe.sony.com');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '37', 's_319cfac4', 'Good to see you, %NU.  I\'ve really enjoyed our time together. But now I\'m placing you under the command of Brother Ezkiel. You can find him right over there. He will continue your guidance in the Vortex. Stay in touch, my friend!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '38', 's_31f985f7', 'No! Wrap up your business immediately. We can\'t let this opportunity slip by.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '39', 's_330ba710', 'Bah, I don\'t have time for this. I\'ll be back.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '40', 's_3360046f', 'I don\'t have time to go to Lok right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '41', 's_339b44ad', 'Good. Intercept his prison transport at this location in the Yavin system. Good luck, and may the Force be with you, %TU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '42', 's_33f02b70', 'Okay okay, no need to get upset. What are my options?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '43', 's_3436f186', 'Wait. You promised to tell me what the Vortex is about!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '44', 's_3475f83d', 'Please leave. This is private property. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '45', 's_360d72eb', 'Indeed. I will have the locations of the Imperial ships transmitted to you above orbit. Come back and see me later for different duties. Or, if you feel that you have enough experience, let me know and we will teach you some of our skills. Good luck out there %TU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '46', 's_3890da84', 'If you\'re going to succeed, you need to be the best pilot out there - better than any Imperial pilot! An attitude like that won\'t do! You have to constantly sharpen your skills, %TU!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '47', 's_3aa053cf', 'Where is he?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '48', 's_3c4ff185', 'Reactor Engineering Algorithms');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '49', 's_3e1fc046', 'What?! This is of the utmost importance. If you continue to disappoint me like this, I will have you working a moisture harvester on Tatooine for the rest of your career. Get out of here and don\'t come back until you\'re ready to work!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '50', 's_424b5808', 'Good. This is our last chance, %NU. May the Force be with you!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '51', 's_432be150', 'Sounds good. Go on, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '52', 's_450d0c76', 'Indeed %NU. Here\'s the completion bonus. You\'ve earned every last bit of it. Come back later. Hopefully by then, the plan of attack will be completed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '53', 's_451de7ba', 'You better take care of your business quick, %NU. We are running out of time!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '54', 's_45236b6c', 'The Vortex? I\'ve never heard of you before.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '55', 's_46f83a2d', 'That\'s the %NU I know. Come back when you\'re ready. But don\'t take too long! There\'s a lot of work to do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '56', 's_48235568', 'Good. You can intercept the transport at these coordinates in the Yavin system. May the Force be with you, %NU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '57', 's_48398692', 'Okay, I think it\'s time you explain what the Vortex is.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '58', 's_49003628', 'I hope so %NU, for all of us. Here are the intercept coordinates. If he\'s not there, search the nearby area and pray that he didn\'t get past you. Best of luck, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '59', 's_4b9a2c6f', 'This is what you want us to teach you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '60', 's_4c1dac60', 'Hold on, what choices did I have again?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '61', 's_4c539d9e', 'I would laugh with you, if it wasn\'t so horrific %NU. We have to find out where this research is taking place. We may have a lead.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '62', 's_4c86e37b', 'Excellent. May the force be with you, %TU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '63', 's_4cf117bb', 'How come?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '64', 's_4d4bd15c', 'We have a problem, %NU. The smuggler that sold you the information in Yavin has been captured by the Empire. They are transporting him to an interrogator as we speak. We have to save him!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '65', 's_4d99132b', 'Thank you, sir. I\'ll be back shortly.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '66', 's_507325ab', 'Understood. And what does the Vortex hope to accomplish?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '67', 's_5088ea12', 'I didn\'t sign up to be kept in the dark. I\'m out of here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '68', 's_524b8ce7', 'This is war, %NU! You have some time to reconsider. But if you don\'t, I may have to reassign you to another part of the navy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '69', 's_52917b0d', 'Of course.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '70', 's_52eb52dc', 'On second thought, think I\'ll spend some of this bonus.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '71', 's_544003d6', 'I want Destroy Duty.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '72', 's_5459b64', 'He\'s being transported from Yavin 4 right now. You need to disable his prison transport and unlock his energy cell by hacking into the ship\'s computer. Then he can take control of the ship and head for safety. Under no circumstances can he fall into Empire hands - even if it means his death. Do I make myself clear?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '73', 's_55a5f573', 'Okay. Just don\'t let your piloting skills slip; we will need them more than ever now. Practice every chance you get.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '74', 's_561c250a', 'You should get some rest and then fly some duties while we put our plans together. Here\'s your completion bonus for a job well done. See you soon, %NU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '75', 's_57c7d4b9', 'We are not bounty hunters! You will be paid your regular salary, and at times you can keep things you collect from the enemy. Now that we have that squared away, are you ready to pick your task?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '76', 's_59d7264c', 'Quick! We have another chance to catch that officer before he reaches the Imperial fleet. Here are the new coordinates. Suit up and get going!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '77', 's_5a928bc', 'I\'m glad you made it, %NU. I have a confession to make. We didn\'t send you out with the correct data.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '78', 's_5b12c8f8', 'There you are! Just in time. This is the real deal, %NU. We have learned that the Empire is starting a new research project. It is of particular interest to us. A Rebel Officer on Lok has asked us to send a pilot to help retrieve more information.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '79', 's_5cde55e2', 'If you say so. We have some duty work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '80', 's_5d243499', 'I\'m not going back into that death trap!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '81', 's_5e7cd3e1', 'I understand %NU. But I hope you rest up quickly. We are running out of time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '82', 's_605dfe75', 'Be careful. If this data falls into the hands of the Empire, it is lost forever. Stay sharp out there, %NU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '83', 's_60e93806', 'Sorry, sir. What are my options?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '84', 's_624d0dce', 'Sometimes I wonder what is going on inside that head of yours, %TU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '85', 's_62726774', 'We have some freighters requiring escort past Imperial patrols. We also have a few opportunities to hijack Imperial ships, and of course we could launch some guerilla strikes on Imperial Scout patrols. We want you to assist with these duties until we feel you have enough experience to proceed with your training. But they operate on a volunteer basis and can be aborted at any time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '86', 's_64b6ea44', 'I want mission 2.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '87', 's_64fbc05f', 'Then you better save him, %NU! This pains me as well, but under no circumstances can the Empire learn how much we know about their research project!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '88', 's_65c36194', 'On second thought, no.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '89', 's_65ce28c1', 'Hmm. Yes, I suppose you are right. The Vortex is the name of the planet where our agency was formed. We have since relocated many times to avoid the Imperial Inquisition, but our goal remains the same.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '90', 's_6a1fe0ee', 'All fixed. Make haste for the Lok system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '91', 's_6a35a7eb', 'Great! I hate failure!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '92', 's_6ad1ad62', 'Very well, I will tell you what I can when the time comes around. Now we have some duties for you. Are you ready?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '93', 's_6b054777', 'Not right now, I have some things to attend to.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '94', 's_6b158a0e', 'I\'m a Developer/Tester and want missions.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '95', 's_6bb0cb94', 'Correct.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '96', 's_6e50b681', 'What do you want? We\'re running a legal scientific expedition here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '97', 's_6f6eeaf3', 'Fine, goodbye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '98', 's_7088f02a', 'I\'m sure. Here\'s your completion bonus; I know you\'ve been looking forward to it. Come back later. Hopefully by then, we\'ll have a battle plan ready to go.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '99', 's_71eef77f', 'Yes, but he knows what was in that data. Under no circumstances can the Empire be allowed to find out what we know about their research project.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '100', 's_729c6465', 'Good. You can intercept the prison transport at these coordinates in the Yavin system. May the Force be with you, %NU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '101', 's_7363d4a2', 'I have to admit, I impressed even myself.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '102', 's_739ccb66', 'You disappoint me, %TU. I didn\'t take you for a coward.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '103', 's_73b1dbda', 'I\'ll be back. It\'s time to put this bonus to good use.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '104', 's_73bf51b7', 'Take some personal time or fly some duties while we formulate our plans.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '105', 's_73ccefde', 'Space Combat Techniques');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '106', 's_73ff6c2b', 'That\'s it? No problem.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '107', 's_74e55e9e', 'We have it within our grasp, thanks to you,  %NU. Outstanding job up there. Rest up and get ready for the final step. It\'s time to shut this Imperial operation down for good!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '108', 's_75a6ca67', 'None right now, thank you. I have some other things to attend to.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '109', 's_77213dae', 'Alright, where do I go and who am I meeting?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '110', 's_777420ae', 'Alright, alright, go on.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '111', 's_78de5e19', 'Good. As much as it pains me to make decisions like this, this is what you have to do in wartime. Here are the intercept coordinates of the prison transport in Yavin. May the Force be with you, %NU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '112', 's_7a128ed0', 'I want Recovery Duty.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '113', 's_7c61dac0', 'Very well but hurry back, there\'s lots to do and little time, as always.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '114', 's_7ca73534', 'Sometimes I wonder if you are on the right side in this war, %TU. We don\'t attack civilians unless it\'s absolutely necessary. Now get yourself over to the Yavin system and save this man from the Empire\'s clutches!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '115', 's_7dc6a3c6', 'Intercept the prison transport in the Yavin system. Disable it and unlock the smuggler\'s energy cell by hacking in to the ship\'s computer. He CANNOT fall into Empire hands. Do I make myself clear?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '116', 's_7f77ceba', 'Haven\'t you heard?  You\'ve been grounded.  I don\'t know what you did, but Alliance HQ is pretty mad about it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '117', 's_80f24a30', 'This is the one? You\'re sure?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '118', 's_816055e2', 'I want mission 4.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '119', 's_820a0ee7', 'Very well, I will have one of the pilots teach you. When you are ready, come back to me. An urgent situation is developing. I could use your newly acquired skills.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '120', 's_82930541', 'All right. But we need your help, so don\'t take too long, %NU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '121', 's_84d88402', 'The Empire is creating a new type of star fighter. It is a combination of a pilot and his ship. The technicians meld the pilot into the ship with cybernetics. They become one. The Force crystals keep the abomination alive. The crystals do other things as well; we don\'t fully understand them yet. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '122', 's_861734b9', 'If you calm down and let me finish, I\'ll explain everything. One of our scientists is on his way to meet the smuggler at a space station in the Yavin system now. You need to take the information to that base and meet with our scientist. He will purchase the smuggler\'s data, compare it to your data, and see if he can\'t make some kind of connection. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '123', 's_8631d353', 'All right. What is my mission?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '124', 's_87a97a09', 'Sorry, I can only assign missions to Vortex pilots. Perhaps you should go speak to your commanding officer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '125', 's_8917475d', 'Welcome back, %NU. You have acquired some experience in our ways and I believe you are ready for some training. Are you willing?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '126', 's_8a5579fe', 'What are Force Crystals?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '127', 's_8b6b8696', 'Very well. Recovery in Yavin sector. If you find any errors or have suggestions, report them to Niklas at njohansson@soe.sony.com');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '128', 's_8b97769', 'Very well. Escort in Yavin sector. If you find any errors or have suggestions, report them to Niklas at njohansson@soe.sony.com');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '129', 's_8bb57c8b', 'Yes, only but a few. And so far, they are mostly untrained Jedi. It\'s hard for us to train them, as the only information we have available is from old documents that are often hard to comprehend. We are making more and more progress, however.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '130', 's_8bc4846e', 'There is no such thing as the short version, %NU. You need to understand what we are dealing with here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '131', 's_8c4fba26', 'That\'s madness! Pilots give up their lives to fly that thing?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '132', 's_8ea054c0', 'Please leave. This is private property.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '133', 's_900f01d1', 'What?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '134', 's_90297a58', 'Wait! You promised to tell me what the Vortex is about.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '135', 's_92364805', 'He\'s being transported from Yavin 4 right now. You need to disable the prison transport and unlock his energy cell. You can accomplish this by hacking into the ship\'s computer. Once you\'ve done that, he can take control of the ship and head for safety. He cannot fall into the hands of the Imperial interrogators, even if it means that he doesn\'t make it at all. Understood?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '136', 's_92aee067', 'Consider it done, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '137', 's_92ddd562', 'You are sure of this?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '138', 's_93f5b2e2', 'Rest? Bah! I\'m ready for action!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '139', 's_948462ad', 'Not many can stand toe-to-toe in a dogfight with me. Where are these guys?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '140', 's_96605d37', 'Beats me.  Better do something to improve your standing in the eyes of the Rebel Alliance though, or they\'ll never trust you with a mission again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '141', 's_9694dc98', 'Good. %NU, the Alliance is lucky to have you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '142', 's_9793aadf', 'Finally! What is it all about?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '143', 's_9805ba81', 'Alright, but what is this research project?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '144', 's_9828194f', 'I\'ll help you with some escort tasks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '145', 's_985bcff1', 'Perfect timing, %NU. We are ready for the next phase of our mission. We have finally learned what this project is all about - AND we\'ve figured out a way to stop it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '146', 's_98bb41ea', 'Indeed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '147', 's_98d991e7', 'Weapons B, Intermediate Alliance Starship Ordnance');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '148', 's_9a079bb1', 'What is this research project?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '149', 's_9b291e2', 'I can\'t right now. Can it wait?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '150', 's_9b43a7ee', 'Yes sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '151', 's_9b8d2abd', 'I would like some training. What can you teach me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '152', 's_9c5e6360', 'Indeed you will. I\'m very grateful the Alliance sent us such a honorable soldier. Be careful %NU. We can\'t afford to fail.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '153', 's_9d33db7', 'All right. What duties are available?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '154', 's_9dbb5a9a', 'What is the plan?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '155', 's_9eadc5d9', 'This is war, %NU! You have some time to reconsider.  But if you don\'t, I may have to reassign you to another part of the navy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '156', 's_9f0a282', 'Say please? Oh you did. Never mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '157', 's_9ffd1405', 'Which mission?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '158', 's_a1e6b9f4', 'I can\'t right now, but I will be back as soon as possible.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '159', 's_a30c1a53', 'Yes sir!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '160', 's_a59f4abe', 'These high-risk missions? High-risk means more pay right?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '161', 's_a6720368', 'Okay, you can leave now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '162', 's_a7fb8221', 'Hijacking Imperial ships! That sounds exciting.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '163', 's_a82e4fe0', 'Indeed. Here are the new coordinates. Hopefully you will be able to slip by undetected this time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '164', 's_a9c811de', 'If that was true, though, why is the Empire wasting millions of credits on Jedi hunts? No, my friend, the Jedi still exist. In fact, we have found a few already - and we\'ve convinced them  to join the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '165', 's_aa05c8e8', 'What does it matter? We have what we needed from him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '166', 's_aaf61b87', 'Fine, what tasks are available right now?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '167', 's_b09129f6', 'Alright. But hurry, this is not a vacation.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '168', 's_b17504ae', 'This better lead to something, Vrovel. I almost died out there!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '169', 's_b21d8dfe', 'Good. I will tell our freighters and shuttles where they can meet-up with you. When you feel that you have learned our routes well enough, come back and see me. If you think you have enough experience, let me know and we will teach you a few of our skills. Good luck, %TU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '170', 's_b2e20726', 'Not yet, my friend. We are still analyzing our information. Take on a few duties and get some more experience under your belt.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '171', 's_b4922a9d', 'I can\'t do that...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '172', 's_b5a9bcf1', 'Hmm, then I must ask you to leave immediately.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '173', 's_b6af2b98', 'I want mission 3.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '174', 's_b6efe97d', 'Please leave. This is private property!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '175', 's_b712823e', 'We have very little information. But we\'ve received word from one of Nym\'s smugglers in the Yavin system. He was examining some of the debris left from the Empire\'s destroyed space station. (Remember that explosion?) He apparently found some data there, relating to this same project.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '176', 's_b74318f4', 'I will do my best, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '177', 's_b8b49994', 'So when do I take off?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '178', 's_b91de387', 'So what is my part in this, sir?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '179', 's_b9e38f83', 'Woah, there, %TU.  Just what do you think you\'re doing?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '180', 's_bb87cc7c', 'One hundred percent, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '181', 's_bd1936e2', 'They want to confiscate our library. It holds decades of information, gathered from all corners of the galaxy, on anything relating to the Force.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '182', 's_be0843f2', 'Greetings %TU. Too bad you\'re already working for a different part of the Alliance Navy. We are short a few pilots at the moment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '183', 's_bed2d9a5', 'I doubt that they volunteer for it, %NU... This has to be stopped, for the good of the galaxy and all that is just. We need to find out where this criminal activity takes place. We may have a lead. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '184', 's_c23a0a19', 'Do you have any missions that I can fly?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '185', 's_c2eb0440', 'Well hurry back. We need your skills for this!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '186', 's_c358c931', 'Hmph. Well, you need to get un-busy and get back to me quickly. This is a high-priority task!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '187', 's_c4279134', 'This is urgent %NU! Whatever it is you need to do, do it quickly.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '188', 's_c5b76777', 'You have earned enough experience to advance to the next level in one of the following fields.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '189', 's_c6af7ee', 'Killing civilians is not my style, Vrovel.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '190', 's_c6c91897', 'Multi-Role Craft');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '191', 's_c763dbaa', 'Very well. Inspect in Dantooine sector. If you find any errors or have suggestions, report them to Niklas at njohansson@soe.sony.com');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '192', 's_ca3670fd', 'Very.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '193', 's_cd1a5817', 'I have some quick things I need to fix first. I will be back.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '194', 's_cff9d397', 'I suppose. But I will hold you to your promise. You have information?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '195', 's_d049b613', 'I\'m sorry, you must have mistaken me for someone else.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '196', 's_d0f52630', 'What\'s your name again? Oh yes, I see you on the duty roster. But it looks like you already have an assignment. Wrap that up, and then we can talk.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '197', 's_d5273669', 'I don\'t have time right now. I will be back.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '198', 's_d5ff7cb2', 'Yes, definitely.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '199', 's_d6450824', 'Fantastic performance, %NU! We will soon find out what this is all about and how we can disrupt the Empire\'s plans.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '200', 's_d69a6474', 'What are you still doing here %TU? Time is of the essence!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '201', 's_d8841255', 'Very well. But hurry back. We need to get this operation under way.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '202', 's_d88c653e', 'Are you sure?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '203', 's_d8fef41', 'Perhaps not...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '204', 's_d9b0de0a', 'Great! I was looking for you, %NU. We\'ve made a breakthrough. We\'ve analyzed the Imperial research project information. It seems to include something about Force Crystals. We are not sure what it\'s all about yet, but that\'s what the material that their \'science team\' has been extracting from Dantooine caves.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '205', 's_dad7c05e', 'There\'s a Rebel operative named Finn Darktrin stationed at Lok. He will rendezvous with you. He has information on the location and ship signature of an Imperial shuttle. It\'s carrying a scientist - and he is working on this project. We need to capture that scientist and interrogate him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '206', 's_db0d4bc2', 'Who cares! I have other things to attend to.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '207', 's_dcc384fa', 'Bah! Menial tasks like that are worthless.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '208', 's_dcece74b', 'Not many believe in the Force. Or they think that all the Jedi have been exterminated by the Empire. If that was true, though, why is the Empire wasting millions of credits on Jedi hunts? No, my friend, the Jedi still exist. In fact, we have found a few already - and we\'ve convinced them  to join the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '209', 's_dcf1ce97', 'Not now, Vrovel; I\'m busy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '210', 's_dd108499', 'I can\'t go to Yavin right now. I will be back as soon as I can.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '211', 's_de6ce73a', 'Why would the Empire want these crystals?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '212', 's_dea568e', 'We investigate anything relating to the Force or the ancient Jedi Knights. Our hope is to find Jedi to aid us in the war against the Empire and to learn as much as we can about the Force. Many people in the Alliance think our group is absurd.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '213', 's_dedb7d52', 'I suppose. So what do you want me to do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '214', 's_df11a579', 'Well, even though it was a setup, it had some truth to it and we might have found a second source from which to retrieve the information.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '215', 's_e02f4f90', 'Excellent! Give me the rundown.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '216', 's_e14c4a10', 'You are %TU, the new pilot the navy sent us? Good, you couldn\'t have come at a better time. I am Vrovel. We are a part of the Rebel Alliance called the Vortex. We have several missions that require your assistance. But first I would like to see how well you can work with us. I have some duty work for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '217', 's_e244bb48', 'I didn\'t think you were a coward, %TU! Maybe I should rethink your place here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '218', 's_e2b7d84c', 'I don\'t think so. That place is crawling with Imperials.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '219', 's_e3516195', 'Excellent. Payback time!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '220', 's_e5546db1', 'And what is that goal?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '221', 's_e6772f13', 'Goodbye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '222', 's_e6de2bcb', 'I understand that the smuggler arrived safely at Lok. Very well done, %NU. I\'m glad we didn\'t have to take any extreme measures. Here\'s your completion bonus. Get some rest. You deserve it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '223', 's_e788dfef', 'Yes, sir. I\'m ready, what are my orders?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '224', 's_e8baa9a9', 'I heard of your misfortune, %TU. I have some good news, though. The clever smuggler managed to avoid capture. He escaped in a pod. Now we will get a second chance. Are you ready %NU?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '225', 's_e997312f', 'Good, now what?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '226', 's_e9c1932', 'I\'m sorry, I can\'t right now. I\'ll be back.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '227', 's_ed422a6f', 'You need to smuggle our data to Yavin and meet up with one of our scientists who is stationed there. He has purchased the smuggler\'s information. He will try to make sense of the different pieces of data.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '228', 's_ee59d5b1', 'The SpyNet has identified one of the officers working on this project. They\'ve even provided us with his travel route. He\'s on his way to the Star Destroyer in the Dantooine system. We have laid out an intercept course. You need to disable his shuttle. You can find the starting location in your onboard nav computer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '229', 's_ef759e6d', 'No wait, let me reconsider.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '230', 's_ef95a2b0', 'I might agree with them, Jedi were a myth, last I heard.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '231', 's_f0c94176', 'Yes. I would not have been able to forgive myself had that happened. But I had confidence in your abilities. Now one of my most trusted men has gone over every inch of your ship, looking for trackers. This time I am the only one that will know your route and your mission. Will you indulge me and take the mission again, for real this time?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '232', 's_f0eba675', 'Very interesting. So what\'s my mission?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '233', 's_f11d138d', 'I\'m sorry ,%NU. We couldn\'t risk the possibility of that data falling into Imperial hands. This attack against you confirmed that we have a traitor working against us. We wanted to draw him out. We did, thanks to you. Again, my apologies. I couldn\'t tell you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '234', 's_f204572b', 'Glad to have you back in one piece, %NU. We were worried there for a while. It\'s apparent that someone set you up. We are trying to figure out who that someone is. The Inquisitor onboard the ship was probably going to try and force you to bring him to me. Anyway, here\'s your completion bonus.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '235', 's_f22c0d35', 'Don\'t salute me, soldier! The Imperial presence has increased around here lately, so we are pretending to be a scientific expedition. If an Imperial scout sees you saluting me, we might find ourselves in a holding cell tomorrow! We currently have a few duty assignments. That would test your mettle.  You can take your pick.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '236', 's_f2a21231', 'Alright. Who do I meet and where?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '237', 's_f2fabb27', 'It\'s a common term for crystals that emit powerful bursts of light when induced by resonant frequencies. In the past, they were used by the Jedi Knights to construct their lightsabers. Although rare, they can still be found in different areas of the galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '238', 's_f3cbd30c', 'Very well. If you find any errors or have suggestions, report them to Niklas at njohansson@soe.sony.com');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '239', 's_f4f48ced', 'Yeah, something must be wrong.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '240', 's_f520dc9f', 'Agreed. Where do I find him?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '241', 's_f8b02865', 'What do I do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '242', 's_f931eb62', 'Thank you, sir. It was a close call.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '243', 's_faebdc4c', 'Alright, good bye then.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '244', 's_fb5d75c8', 'I\'m starting to think that my trust in you was misplaced, %TU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '245', 's_fcf4d778', 'How?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '246', 's_fe92f35f', 'Thank you, sir. What happens now?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dantooine_rebel_trainer_2.stf', '247', 's_ff86e506', 'Why is the Inquisition so interested in your activities?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '1', 'do_not_edit', 'The English version of this file (dath_bh_wanted_list_01.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '3', 's_1287b3', 'That last one was too easy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '4', 's_14e3a046', 'Then get out of here. I don\'t ever want to see your face again!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '5', 's_1508f5fc', 'Well, my friend... you\'ll find all three of them hiding here in the Dathomir system under the watchful eyes of Elite Mercenaries. They\'ve spared no expense!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '6', 's_159911f5', 'Tell me more.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '7', 's_1a71ed59', 'How much?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '8', 's_1e2e55e8', 'No, not like you. Juree La\'Zar is a killer of innocents. A savage. Not like you. Certainly not like me, either!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '9', 's_21ef58ea', 'Elite Mercenaries?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '10', 's_234c808f', 'Empire pays 1000 credits... and I throw in a bonus of 200 if you do it quickly. What do you think about that?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '11', 's_265d5a02', 'Where is he now?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '12', 's_2ad07084', 'Rae\'Lux flies a modified Y-wing that he stole from a small Rebel base in the Outer Rim. He\'s rumored to use experimental ion-sheet armor. Supposed to be super lightweight, but still really tough!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '13', 's_2cafb575', 'Before you leave for good... come back by. I\'ll have something extra for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '14', 's_2e64927c', 'Your final target is Juree La\'Zar, who was once a beautiful and gifted bounty hunter... driven insane after being horribly disfigured while captive to the Black Sun.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '15', 's_315f7d8', 'Alright, I\'m interested.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '16', 's_34efde77', 'She and her gang crippled an Imperial bacta freighter on the edge of the Dathomir system. Left the crew alive, made off with some components. After the rescue team got the freighter to the Imperial base and unloaded the bacta... they found that Juree\'s gang had poisoned the whole supply. Killed hundreds.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '17', 's_3552cf48', 'I don\'t think there\'s many lowlifes out there who could take you one-on-one, %NU. Maybe you\'d find three villains more challenging?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '18', 's_37778692', 'A hunter like me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '19', 's_3a71c840', 'You betrayed me! Now get out of here, %NU!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '20', 's_3aeefc74', 'How will I recognize him?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '21', 's_412a3b40', 'So tell me then... what do you know about the \'Avenger of Alderaan?\'');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '22', 's_42a7f468', 'Well if it isn\'t the famous %TU... bounty hunter extraordinaire! What can I do for you today?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '23', 's_43d9d825', 'You failed that mission? Terrible! Here it is again... for a price.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '24', 's_44ca831b', 'Where will I find him?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '25', 's_47efee53', '(Pay 500 credits)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '26', 's_4c695dbd', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '27', 's_4f7b0318', 'Good... then there\'s just the small matter of payment...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '28', 's_4fb7a65d', 'He\'s been lurking around the Dathomir system for a while now. The Empire thinks he may have acquired hired some low-rent mercenaries for protection.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '29', 's_52917b0d', 'Of course.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '30', 's_53fb1d89', 'Nobody needs to know the truth.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '31', 's_5e49253', 'That\'s good news, I guess. You know, word is getting around that you are responsible for all of my recent success... and it\'s starting to make me look bad!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '32', 's_6a1562ad', 'What do you want?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '33', 's_6bd02793', 'Nothing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '34', 's_6bef416f', 'The Bwar Brothers are history.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '35', 's_6c03db3', 'Nothing. I was just leaving.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '36', 's_782c3536', 'See you later.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '37', 's_785a9a91', 'I\'m sure they won\'t be any threat to you, %NU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '38', 's_7e1ada01', 'Yeah, yeah...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '39', 's_89b2deb1', 'What are you still doing around here?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '40', 's_90ae19e2', 'Well this \'Avenger\' managed to work his way onto the Empire\'s most wanted list. They\'ll pay handsomely if you hunt him down... enough to make you forget about having to pay my 500 credit fee. What do you say?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '41', 's_92ccbd55', 'Get on with it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '42', 's_94e8b49c', 'Good. I like parting friends. It\'s much simpler, you know?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '43', 's_958f6d7d', 'I give you all the info you\'ll need to track down and vaporize this degenerate killer. What do you say?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '44', 's_9bd0f533', 'Good. Stay gone, Bounty Hunter!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '45', 's_9c098d52', 'You have failed the mission? Here it is again... for a price.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '46', 's_9caba7d5', 'It\'s not wise for you to linger here in Dathomir system, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '47', 's_a0102a9', 'We can get started for the low, low price of 500 credits.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '48', 's_a019416c', 'Rae\'Lux was no match for me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '49', 's_a0277a4c', 'How will I know him?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '50', 's_a351fef0', 'Too late, %NU. The damage is done. Now, I want you out of here. It\'s only fair that I offer you one final mission, with good payout... before you go away for good. Do you think we can make a deal?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '51', 's_a366b511', 'So. Tell me...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '52', 's_a560e84c', 'I am looking for work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '53', 's_a6425c9', 'I think we can arrange something. There are three or four fresh bounties on the Imperial \'net. For the right price, I can give you exclusive rights to the contracts. Are you interested?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '54', 's_a6519855', 'Good work, %NU. You were good for business. Here\'s an extra thousand to get you on your way.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '55', 's_a80d9308', 'Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '56', 's_aa66418e', 'So you made it, huh?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '57', 's_af58f306', 'Word on the street... Rae\'Lux likes to hide in the Witchblood nebula. They tell me he leaps out of the clouds every now and again to rob deep space transports that are flying solo.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '58', 's_b5a05d56', 'Perhaps you have heard of the Bwar Brothers from Tatooine? An infamous trio of kidnappers who terrorized the Outer Rim for years before Jabba\'s henchmen ran them off. Guess they were bad for business...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '59', 's_ba82c312', 'And you promise to leave once you\'ve eliminated the target and gotten your reward?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '60', 's_c0917a4d', 'Good. Keep leaving...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '61', 's_ca932c28', 'Forget it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '62', 's_d030521', 'Bah, leave me be!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '63', 's_d1a93a0e', 'What\'s the reward?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '64', 's_d424c740', 'I was just leaving.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '65', 's_d70dba34', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '66', 's_dc649bb3', 'I\'m on my way!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '67', 's_e42b260e', 'I\'m on my way.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '68', 's_e6772f13', 'Goodbye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '69', 's_ecaf7e94', 'So, your target is a vile killer named Gutcher Gorai. He was convicted of twenty counts before they finally caught him on Coruscant. Too bad for the Empire he got away. Good for you though, huh?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '70', 's_edddcc46', 'What does 500 credits get me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '71', 's_f0b711b4', 'Gutcher Gorai favors a Hutt-style chassis that has been heavily modified with illegal equipment. Some say his weapon system is overcharged with some sort of distressed codellium capacitor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '72', 's_f1bd52fe', 'Then we have nothing more to say to each other. You\'re dead to me, %NU. Dead. So vanish... like dead people vanish...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '73', 's_f8a99129', '(Pay the 500 credits)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '74', 's_fafc5a4e', 'Good luck, Bounty Hunter.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '75', 's_fb42a64c', 'Still alive, huh?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '76', 's_fc70ad30', 'So you\'re looking for a pilot calling himself Rae\'Lux... convicted of detonating over a dozen civilian transports in the Naboo system. Thinks he can find refuge here on Dathomir. You\'ll show him otherwise, eh?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '77', 's_fe02e665', 'What did she do wrong?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/dath_bh_wanted_list_01.stf', '78', 's_ff607592', 'What\'s it to you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '1', 'do_not_edit', 'The English version of this file (death_watch_foreman.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '3', 's_1265571c', 'So I will have to take the battery from him by force?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '4', 's_145fd34', 'Not yet, but I will get this battery cleaned soon.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '5', 's_1511575f', 'Hey you are back again. You know Haldo is still running around down here with our battery. Are you sure you don\'t want to give us a hand and try to get it back for us?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '6', 's_18426338', 'Hey all I know is that this stuff is used in the making of the armor. They keep a pretty tight watch on how much of this stuff we mine, but I know I can sneak you some every now and again. Here you go. If you check back with me occasionally, I should be able to sneak you out some more. Not too often mind you, but I will do my best.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '7', 's_19ecd0cd', 'Have you sent anyone out to try to find Haldo?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '8', 's_1b208070', 'Hey you managed to get all of the pumps online and to my knowledge didn\'t destroy all of them in the process. That is surprising considering your track record for violence. Well a deal is a deal so tell you what I will get you some of this ore that we are mining.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '9', 's_1c4d0bbb', 'You work for the Mandalorians?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '10', 's_1d1d45a9', 'Hey it is you again. Glad to still you are still breathing. If you have come looking for ore I am sorry but I can\'t sneak you out any right now. The Mandalorians are running inventory right now and will notice anything that is missing. Check back with me later.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '11', 's_1fe41c46', 'It\'s this blasted laser they have us working with. Dumb thing never works right and then when we finally did get it working again, Haldo went off his rocker, ripped its battery out, and took off with it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '12', 's_2236f9d7', 'If he is sick is there anyway to help him?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '13', 's_23237572', 'I would love to but the Mandalorians keep track of who comes and goes from the workshop. If one of us goes in they will ask why and I would rather they didn\'t know about the whole Haldo incident. Since you are a stranger they will just correctly assume you are an intruder and try to kill you...which they probably have been doing anyways.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '14', 's_23cbff5d', 'Choice is yours. We will figure out some other way to get them online I suppose.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '15', 's_262e7b86', 'Deal. Now listen those pumps can be tricky. Generally when you trip one of the valves it causes the one or ones next to it on the circuit to flip as well.  You will have to play with it for a while in order to get them all online. Also we really don\'t have a lot of time so if you are not back soon I am going to have to see if there is anything else I can do to get it on.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '16', 's_26fa42a7', 'Yes I will see if I can find him for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '17', 's_27b9acbc', 'Thank you for helping Haldo and getting the battery back for us. Now we can get back to....oh no! The battery\'s connections are all covered with dirt and grime. Haldo must have got them dirty after he took it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '18', 's_286d283f', 'The drill uses a liquid coolant system in order to keep it from overheating and exploding. Well the problem is that we are not getting any pressure down here so if we turn on the drill...BOOM!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '19', 's_2de77a24', 'Why aren\'t you getting any work done?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '20', 's_3055077f', 'I don\'t really have time for this right now, sorry.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '21', 's_31e8b478', 'That is up to you. If you change your mind come on back.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '22', 's_3310d1b6', 'I guess I should thank you for getting us the battery back but you didn\'t have to kill Haldo. He was sick in the head from the fumes and the medicine from the medical droid could have cured him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '23', 's_3b67f1eb', 'Ok, please hurry because the Mandalorians will be wondering were their ore is shortly.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '24', 's_3f363bf3', 'No need to be sarcastic. The Mandalorians keep us under a pretty tight watch down here. They don\'t really trust anyone who isn\'t Mandalorian and then they will only partially trust you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '25', 's_44557f4a', 'It is located upstairs in the medical lab. One of the medical droids should be able to give it to you. They don\'t require any special code or anything to help you out. At least they didn\'t last time I used them but the Mandalorians don\'t really consult us when they make changes to things around here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '26', 's_44bb7cbc', 'What is the other problem with the drill?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '27', 's_45d9624a', 'Yeah, well there is a cure. We would have gone and got it, but the Mandalorians don\'t much care for us wandering around when we are supposed to be working, so none of us have gone up to get it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '28', 's_471cd71d', 'That would be a lifesaver. No one else is willing to go out and try to find him. Guys who get hit with alum sickness generally are unstable and sometimes can be quite dangerous.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '29', 's_4af1601a', 'So you are back? We still don\'t have any water pressure down here maybe you would like to head back up and try again?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '30', 's_4d8102d5', 'In an odd sort of way, that makes sense. Ok, I will do it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '31', 's_4e099c6a', 'So who is this Haldo guy who ran off with your battery?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '32', 's_4f17ac67', 'Have you managed to find Haldo yet? We really need that battery back before the Mandalorians come down here to check up on our progress.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '33', 's_51b7892e', 'Well you see the problem is the Mandalorians have been monitoring our use of workshop. If one of us goes, they will ask why and then find out about Haldo. If you go, then they will just know a stranger has been in here. Since they will most likely try to kill you on site, I figured there wouldn\'t be any harm done.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '34', 's_52f3e83e', 'This is the same ore that the Mandalores use to make their armor. I am willing to sneak you some but you are going to need to make some room in your inventory so I can.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '35', 's_54ee97f2', 'I don\'t really have time to deal with this right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '36', 's_5597accd', 'How about a reward?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '37', 's_57097d43', 'Don\'t worry about me and the Mandalorians. I can handle them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '38', 's_579c9bc5', 'Well that battery doesn\'t really do us alot of good in its current state. Why don\'t you hold onto it and if you do get a chance run it over to the workshop and get it cleaned. We would really appreciate it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '39', 's_58a87fe', 'So who is this Haldo?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '40', 's_5af847c7', 'You are going to have to clear out some inventory space in order for me to give you any more of this ore.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '41', 's_5c4119d', 'No need to be sarcastic. The Mandalorians keep us under a pretty tight watch down here. They don\'t really trust anyone who isn\'t mandalorian and then they will only partially trust you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '42', 's_5dbddef', 'How do you get it cleaned off?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '43', 's_6204ccac', 'Good point. Ok I will take the battery to the workshop.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '44', 's_637e6c80', 'I have received authorization from the Mandalorians.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '45', 's_63fae5b4', 'You know I can\'t thank you enough. Without your help there is no way we could get this job completed on time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '46', 's_645da2b5', 'I asked for volunteers but no one was willing to go search. Not that I blame them, I don\'t even want to go out and try to find him. People with alum sickness become real messed up in the head. You never know what they are going to do. A lot of times they get really violent.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '47', 's_6864fcd4', 'Good. Once you get those pumps back online come on back and we will discuss what I owe you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '48', 's_687ef712', 'Haldo? Who is Haldo and why would he take the battery?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '49', 's_6b8a415c', 'Remember those pumps can be tricky. Generally when you trip one of the valves it causes the one or ones next to it on the circuit to flip as well.  You will have to play with it for a while in order to get them all online.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '50', 's_6c1f32dd', 'Where can I find this cure?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '51', 's_6d069da0', 'You\'re braver then I will ever be. But if you really are that tough, maybe you would like to help recover our drill battery that Haldo ran off with?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '52', 's_71ad5afa', 'I am sorry but I don\'t really have time to help your sick co-worker.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '53', 's_728cbacc', 'Why don\'t one of you go take it to the workshop?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '54', 's_787e689e', 'I figured you would be up for that whole danger thing. Once the treadwell has cleaned the battery, come on back to me so we can get that battery installed back into the drill.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '55', 's_7a654750', 'Work in the loosest sense of the word. Although we are not really getting a whole lot of work done at this moment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '56', 's_7b9dc7c7', 'Have you managed to get that battery cleaned yet?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '57', 's_7d2eea07', 'So what are you all doing down here?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '58', 's_7d65b570', 'What sort of work are you doing?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '59', 's_7fe1c6d7', 'Let me guess. It\'s something that your guys can\'t do either.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '60', 's_81b8b95b', 'Yeah, yeah...whatever you say there pally. I wouldn\'t want to be in your shoes if the Mandalorians catch you down here bothering their miners.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '61', 's_82599d96', 'Sounds fun. But didn\'t you say you weren\'t getting much done?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '62', 's_829888a9', 'Here you go.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '63', 's_83d1549d', 'What do you need in order to get water pressure down here?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '64', 's_8405256c', 'Deal. Now listen those pumps can be tricky. Generally when you trip one of the valves it causes the one or ones next to it on the circuit to flip as well.  You will have to play with it for a while in order to get them all online. There isn\'t much time...oh yeah, and try not to destroy the pumps while you are at it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '65', 's_8bbe4b84', 'Maybe I can help you track down Haldo.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '66', 's_8dc6968d', 'Hey, what are you doing down here? You shouldn\'t be walking around down here unless you are working or the Mandalorians authorized you to be here and you certainly don\'t have the look of a miner.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '67', 's_8deeb761', 'It\'s old technology. The Mandalorians don\'t exactly splurge on mining equipment. In fact if you havn\'t noticed already nothing around here is exactly in tip top shape.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '68', 's_8f36c784', 'Ok, well if you change your mind you know where I am.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '69', 's_95879f15', 'Hey it is not just any ore. This is the stuff that the Mandalorians use in their armor. They keep a pretty careful track of what we mine but I know that I can sneak you some of this stuff without them noticing it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '70', 's_968923c1', 'Sounds to me like you should be happy you\'re not working.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '71', 's_9b4dd6c7', 'Yeah, I suppose you did. Let me take a look at it. Oh no, this battery isn\'t going to do us any good. Look here all the connections on it are covered with dirt and grime. Now it is going to have to be cleaned off.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '72', 's_9bea7011', 'Ok, cool your jets. I am on it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '73', 's_9cf7119e', 'We won\'t get a good solid connection and the drill won\'t fire is what will happen. I hate to ask but could you perhaps take this battery over to the workshop and have one of treadwell clean it up?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '74', 's_9e37f61f', 'Another stranger? The Mandalorians must be really slacking on their defenses lately. Oh well, none of my business. I am sorry but I really have to get back to work right now, maybe I will have time to talk to you later.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '75', 's_a33b6055', 'Let me guess. It is something that your guys can\'t do either.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '76', 's_a618b93a', 'No thanks, I think I will avoid the workshop if it is monitored.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '77', 's_ac0e598b', 'Its this blasted laser they have us working with. Dumb thing never works right and then when we finally did get it working again, Haldo went off his rocker, ripped it\'s battery out, and took off with it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '78', 's_b491aba5', 'You are still using liquid coolant for you laser drill?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '79', 's_b4feb773', 'We don\'t really have a whole lot to give but I will tell you what. I can sneak you some of this ore that we are mining. Now before you get all mad about just getting ore let me tell you that this is the stuff that the Mandalores use in their armor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '80', 's_b5a845f9', 'Ok, I will take it over to the workshop for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '81', 's_b75a73ed', 'Yeah right. The Mandalorains are expecting their ore and they don\'t much like excuses. If we can\'t get this drill back online and get back on schedule...well lets just say I prefer to it not coming to that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '82', 's_b7c0824', 'That is the best news that I have heard all day. If you get that battery come on back to me and I will see about getting this drill back online.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '83', 's_b99aaac2', 'No thanks, I can\'t figure out how to get those pumps to work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '84', 's_baac9005', 'I don\'t really have time to rescue your battery.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '85', 's_bc5213a', 'Just speak to the treadwell when you are in there and he will take care of the dirty battery. Oh and try not to kill him while you are there. We sort of need him for repairs around this place.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '86', 's_bdb717fb', 'What happens if the battery connections are dirty?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '87', 's_c04f0d0d', 'I risked my life for some ore?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '88', 's_c1dc6296', 'I don\'t know how you managed to get those pumps working without the Mandalorians taking you out. You must be a lot tougher then you look. I can\'t thank you enough for all your help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '89', 's_c2d12633', 'Haldo was one of the men on my crew. My guess is that his rebreather wasn\'t working properly and he breathed too much of the alum fumes. Blasted air vents haven\'t been working right either, so we have been using our masks a lot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '90', 's_c7f1e2ee', 'Hey now! I didn\'t say anything about using force on him. He is sick and there is a cure up in the medical lab. Granted there have been a few cases where alum sickness will make a person so demented that they can\'t come back, but Haldo has only been ill for a little while.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '91', 's_c825f420', 'Not yet, but I am still looking for him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '92', 's_ce027a15', 'Ok I will go see what I can do for your co-worker.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '93', 's_d1b18b50', 'It is located upstairs in the medical lab. One of the medical droids should be able to give it to you. They don\'t require any special code or anything to help you out. At least they didn\'t last time I used them, but the Mandalorians don\'t really consult us when they make changes to things around here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '94', 's_d1eff807', 'Could you do us one more favor and take this battery over to the workshop. The treadwell in there can clean it off without any problems.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '95', 's_d4b1da9f', 'Ok fine I will do this for you but you are going to owe me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '96', 's_d62e85a9', 'You wanted the battery back and I got it back for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '97', 's_d8f6c63f', 'Yeah, well I guess it was to much to ask of a complete stranger but I was hoping that it would all work out. Wish us luck because we are going to need it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '98', 's_d9db9b00', 'Hey your back. I am sorry but right now we are having a bit of a crisis. I know I told you to hurry back but right now I simply don\'t have any time to talk to you. Could you please come back to me in a little while.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '99', 's_dbf0d0f9', 'Thank you, I could really use some more of that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '100', 's_dc1d4717', 'Sounds to me like you should be happy your not working.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '101', 's_dd657c44', 'Sure, I will come back to you as soon as I get it cleaned.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '102', 's_dd6f26cc', 'We mine for the alum that the Mandalores use to make their armor. Basically, we get to work down in these nasty caves all day long so the Mandalorians can look nice.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '103', 's_dd7c0dd3', 'Hey, you\'re back. I was sort of half expecting you not to return. Oh yeah, this is excellent. The battery is clean and ready to be installed in the drill. Unfortunately there is one other issue that we are having.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '104', 's_de4a182e', 'What are you doing back here. We still don\'t have any water pressure down here. I am telling you that we don\'t have very much time left.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '105', 's_de774e37', 'Great. Now remember there is some medicine in the medical lab that should be able to help him out. And once you get that battery bring it on back to me so we can get this drill working again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '106', 's_e1dd8e6e', 'Good to see you again my friend. I was able to secure some more of this ore for you. If you need some more check back with me later and maybe I can sneak some more out under the noses of the Mandalorians.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '107', 's_e55f453d', 'Yes, I will give it another shot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '108', 's_e5e9e886', 'Upstairs there is a pump room. There are four pumps that all need to be on in order to get the water down to us. Unfortunately the circuit breakers on those things are all ancient and trip at the slightest surge. If you could maybe go up there and turn them all on for us I know we could get underway.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '109', 's_e83ca277', 'I guess it isn\'t that bad. The Mandalorians don\'t pay us a whole lot but they generally don\'t directly mistreat any of us unless we do something to make them mad...which doesn\'t seem that hard to do. Hmmmm...now that I think about it this isn\'t the best life but it is better then telling them we quit.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '110', 's_ed0d4e5a', 'You make Mandalorian armor out of this ore?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '111', 's_f2b532b6', 'Who is this Haldo fellow?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '112', 's_f46d76f6', 'Hey you are back. I was sort of half expecting you not to return. Oh yeah, this is excellent. The battery is clean and ready to be installed in the drill. And you didn\'t destroy the treadwell...thats a plus. Unfortunately there is one other issue that we are having.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '113', 's_f4fd5da3', 'That is the best news that I have heard all day. If you get that battery, come on back to me and I will see about getting this drill back online.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '114', 's_f501c596', 'No thanks, I can\'t look for him right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '115', 's_f73c5ae7', 'Where can I find this cure if I decide to help out?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '116', 's_f7962ef3', 'Can\'t you have one of your other guys take care of this?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '117', 's_f79fa021', 'That is pretty much what I expected. I would have been shocked if a complete stranger such as yourself offered to help us out.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_foreman.stf', '118', 's_fb5cf4cd', 'Ok, please hurry. I am sure that we don\'t have a whole lot of time left. Once you get the battery come back to me as quick as you can.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_imperial_herald.stf', '1', 'do_not_edit', 'The English version of this file (death_watch_imperial_herald.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_imperial_herald.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_imperial_herald.stf', '3', 's_126d6e08', 'Excellent, soldier! You\'ll need to find the Death Watch hideout on Endor. It can be located in the northwestern part of the planet. We need for you to find their leader and bring a sample of his blood back to us. You will be well rewarded.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_imperial_herald.stf', '4', 's_16f71658', 'The Death Watch hideout can be found on Endor in the northwestern part of the planet. Be cautious and bring your friends with you. I hear they do not take prisoners and enjoying killing intruders.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_imperial_herald.stf', '5', 's_1a897bb0', 'You have returned! Did you complete your mission?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_imperial_herald.stf', '6', 's_1b104a9f', 'A well-trained group of killers and thieves. If I were you, I\'d be careful. It would be smart to bring along a few of your friends, but it\'s up to you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_imperial_herald.stf', '7', 's_210b4c5b', 'Yes, I will!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_imperial_herald.stf', '8', 's_2979d13', 'Morals?! Get out of here! You are a disgrace to the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_imperial_herald.stf', '9', 's_2c258e47', 'Excellent! You have done great work for the Empire. I can only give you very little. You have my gratitude.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_imperial_herald.stf', '10', 's_2e8ff1b4', 'I am incredibly busy right now. The Empire demands that I concentrate fully on my assignment. Come back a little later and talk with me. I may have a task for you to do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_imperial_herald.stf', '11', 's_382404f', 'Very well. Be quick about it and return to us with good news!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_imperial_herald.stf', '12', 's_406804c7', 'You are dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_imperial_herald.stf', '13', 's_43908466', 'Uh. Why do you want blood?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_imperial_herald.stf', '14', 's_4e028860', 'The Death Watch Hideout is located on Endor and can be found in the northwestern part of the planet. You\'ll need to find the leader and destroy him. Be sure to bring back a blood sample. That is all.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_imperial_herald.stf', '15', 's_4f1e472e', 'I have your blood sample right here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_imperial_herald.stf', '16', 's_527f9e64', 'Ah, a fellow member of the glorious Empire! You came just in time. We need one of our trusted soldiers to fetch something for us. It is a chance, not only to fulfill a difficult mission and receive praise from the Empire, but to gather information regarding the Death Watch and their point of operations. Are you interested?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_imperial_herald.stf', '17', 's_55aa1278', 'I need more information regarding my mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_imperial_herald.stf', '18', 's_5bc39fc9', 'I need to find the hideout again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_imperial_herald.stf', '19', 's_622c3f31', 'A soldier shouldn\'t ask his commanding officer questions! But if you must know... The Empire seems to think that leader of the Death Watch would make a good candidate for a Prime Clone for a new batch of stormtroopers. However, we\'ll need for you to kill this so-called leader. There\'s no sense in keeping him around. We\'ve learned our lesson from the past. Well. Will you accept your mission?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_imperial_herald.stf', '20', 's_6405e2a0', 'Sounds too dangerous for me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_imperial_herald.stf', '21', 's_68732e54', 'Soldier. How may I help you? You are well viewed in the eyes of the Empire for your help earlier.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_imperial_herald.stf', '22', 's_6decea2a', 'Okay. I will help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_imperial_herald.stf', '23', 's_71f459c7', 'I see. Well, then. We will wait for another promising subject to accept the mission. You are dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_imperial_herald.stf', '24', 's_732f795f', 'Good, then! Be quick about it!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_imperial_herald.stf', '25', 's_79b531ae', 'I am sorry to hear this. We were so close to our goal. Very well, then. You are dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_imperial_herald.stf', '26', 's_8107be6d', 'No, it sounds dangerous.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_imperial_herald.stf', '27', 's_aaed8520', 'Good! Bye!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_imperial_herald.stf', '28', 's_b2cb2cbf', 'I can only accept so many samples. We have what we need now. Thank you, however, for checking back with us. You are dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_imperial_herald.stf', '29', 's_b6b25f13', 'Yes, sir!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_imperial_herald.stf', '30', 's_d441c51a', 'I do not acknowledge those that do not belong to the Empire. Be gone.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_imperial_herald.stf', '31', 's_dc839e59', 'No, I\'m still looking into it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_imperial_herald.stf', '32', 's_e478107c', 'Good! Now go to the Death Watch hideout and slay this so-called leader. Don\'t forget to bring back a sample of his blood for us. We\'ll need it for future... experimentations.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_imperial_herald.stf', '33', 's_e62fc90c', 'Yes, sir! Right away!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_imperial_herald.stf', '34', 's_ecc5dd3c', 'Wait. Who are these Death Watch operatives?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_imperial_herald.stf', '35', 's_f61ed984', 'No, that\'s just... wrong!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_imperial_herald.stf', '36', 's_f70821a3', 'I quit!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_insane_miner.stf', '1', 'do_not_edit', 'The English version of this file (death_watch_insane_miner.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_insane_miner.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_insane_miner.stf', '3', 's_16968d33', 'Don\'t worry I will go get you some right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_insane_miner.stf', '4', 's_21632dd', 'My head! I cannot think straight. Please get me some help before I hurt anyone...it has to be allum sickness!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_insane_miner.stf', '5', 's_2efed805', 'You must hurry! I cannot hold onto my sanity for very much longer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_insane_miner.stf', '6', 's_2ff0df5', 'Please hurry! I don\'t know how much longer I can hold onto my sanity. If I don\'t get that medicine quick I am going to lose control.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_insane_miner.stf', '7', 's_3fb7180e', 'Allum sickness? What can I do to help you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_insane_miner.stf', '8', 's_42a2316b', 'Yes I have it. Here you go.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_insane_miner.stf', '9', 's_4fe1bc67', 'I don\'t think so! Sorry, but you need to be taken down.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_insane_miner.stf', '10', 's_7c3e9069', 'You are a danger to everyone and need to be taken down.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_insane_miner.stf', '11', 's_7c83bd45', 'Sorry but I don\'t have it yet. I will come back when I get it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_insane_miner.stf', '12', 's_829888a9', 'Here you go.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_insane_miner.stf', '13', 's_87bb258b', 'The medical droid upstairs? Yes! The medical droid has the antidote. I need it...I must have some before it is to late.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_insane_miner.stf', '14', 's_99f3d3be', 'You won\'t help me...no you must...no...arrrrgh!!!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_insane_miner.stf', '15', 's_c2b7bf76', 'You cannot help me! No one can help me...go away!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_insane_miner.stf', '16', 's_ce67a12e', 'You are back. Please tell me that you have the medicine. I am really struggling to keep my sanity right now and that medicine is my only hope.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_insane_miner.stf', '17', 's_dad50efa', 'I have some of the medicine on me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_insane_miner.stf', '18', 's_e810685f', 'Thank you, thank you. You have saved my life. I should be fine with just a little rest. Please take this back to my foreman. I took it in my dementia.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_insane_miner.stf', '19', 's_ea390b92', 'Please, you must give it to me. Without that medicine I will surely die!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_medical_droid.stf', '1', 'do_not_edit', 'The English version of this file (death_watch_medical_droid.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_medical_droid.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_medical_droid.stf', '3', 's_22f2cc9b', 'Welcome. I am medical droid designation G12-4J. How may I be of service to you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_medical_droid.stf', '4', 's_46d286cc', 'I would like to issue you the alum sickness cure medication but you do not have any room in your inventory. Please speak to me again once you have cleared up some space.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_medical_droid.stf', '5', 's_52a263b9', 'Please return if there is anything that I can be of service to you for. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_medical_droid.stf', '6', 's_6a6a070d', 'Alum sickness cure has been issued. Please administer to the subject directly and allow for medicine to take effect. Resume normal, unpolluted breathing or alum sickness may return. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_medical_droid.stf', '7', 's_82d3782a', 'I don\'t think there is anything that I need.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_medical_droid.stf', '8', 's_ab36bcfc', 'I need some medicine to cure alum sickness.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_rebel_herald.stf', '1', 'do_not_edit', 'The English version of this file (death_watch_rebel_herald.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_rebel_herald.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_rebel_herald.stf', '3', 's_28f5f7c5', 'Where is the hideout again?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_rebel_herald.stf', '4', 's_2d06d9f7', 'The Death Watch Operatives are located on Endor in the northwestern part of the planet. Our scientist is somewhere within their hideout. I suspect he\'ll be heavily guarded. He needs to be rescued before he is executed. Please be quick about it! We haven\'t any time to lose.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_rebel_herald.stf', '5', 's_2d4bb338', 'May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_rebel_herald.stf', '6', 's_37890704', 'Very well. A reasonable request, indeed. The Death Watch Operatives are located on Endor in the northwestern part of the planet. Our scientist is somewhere within their hideout. I suspect he\'ll be heavily guarded. He needs to be rescued before he is executed. We need someone to help us and we\'re looking to you as our only hope.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_rebel_herald.stf', '7', 's_37b46abd', 'Excellent! Your reward as promised. I know it isn\'t much. I greatly appreciate your efforts.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_rebel_herald.stf', '8', 's_4f240e90', 'I can\'t help you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_rebel_herald.stf', '9', 's_5c3cdba4', 'I will help you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_rebel_herald.stf', '10', 's_62104343', 'Slow down. Help with what?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_rebel_herald.stf', '11', 's_65aa1cd5', 'Thank you for your help earlier. We are very grateful.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_rebel_herald.stf', '12', 's_6f2c6f44', 'I need more information regarding these Death Watch fellas.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_rebel_herald.stf', '13', 's_7089401b', 'The hideout is located on Endor and can be found northwestern part of the planet. Be careful. They can be a deadly bunch.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_rebel_herald.stf', '14', 's_823eed0c', 'Yes, I will help you!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_rebel_herald.stf', '15', 's_8361bfd1', 'You have returned! Were you successful in rescuing our scientist?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_rebel_herald.stf', '16', 's_88a6fa7d', 'This distresses me. Very well. You have been lifted from your mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_rebel_herald.stf', '17', 's_8d495981', 'Actually, I need more information.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_rebel_herald.stf', '18', 's_91db32fc', 'I can\'t speak right now. My current mission is demanding that I stay focused. I invite you to return at a later date. I may have a few tasks for you then.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_rebel_herald.stf', '19', 's_938e28a4', 'No, I can\'t. Find someone else.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_rebel_herald.stf', '20', 's_940cb841', 'Haven\'t you heard about the kidnapping? You are of the Alliance, aren\'t you? Are you here to help us?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_rebel_herald.stf', '21', 's_95369855', 'Hmm.. you don\'t seem to be \'one of us\'. I must ask you to leave. I\'m waiting for someone else. I have nothing more to say to you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_rebel_herald.stf', '22', 's_9b06da0', 'Yes, I rescued the scientist successfully.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_rebel_herald.stf', '23', 's_a0822589', 'Uh.. what?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_rebel_herald.stf', '24', 's_aa852a2c', 'One of our neutral contacts has been kidnapped by the Death Watch operatives on Endor. We need someone to rescue him. Naturally, we can only trust a fellow member of the Alliance. You came at the perfect time and would be an excellent candidiate to help us in our cause. Will you help us? ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_rebel_herald.stf', '25', 's_afdd35a1', 'Pity. I will find someone else. Take care.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_rebel_herald.stf', '26', 's_bfe5e691', 'Finally, you\'ve come! We\'ve been waiting for you!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_rebel_herald.stf', '27', 's_c1c188ab', 'No problem. Bye!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_rebel_herald.stf', '28', 's_dc839e59', 'No, I\'m still looking into it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_rebel_herald.stf', '29', 's_e99ef1de', 'I see. Please be quick in rescuing our ally. We will suffer greatly if he should perish.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_rebel_herald.stf', '30', 's_f0d30da9', 'Thank you saving the scientist earlier. Unfortunately, you\'ve already received your reward. I wish you well on your journey.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_rebel_herald.stf', '31', 's_f4474b2c', 'Excellent! Travel to the Death Watch hideout on Endor. It can be found in the northwestern part of the planet. Be quick about it and rescue our scientist! There\'s no telling what will happen to him if we aren\'t swift.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_rebel_herald.stf', '32', 's_f70821a3', 'I quit!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_rescue_scientist.stf', '1', 'do_not_edit', 'The English version of this file (death_watch_rescue_scientist.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_rescue_scientist.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_rescue_scientist.stf', '3', 's_8801c9a5', 'Thank you for rescuing me. I am truly in your debt. Forgive me, but I must get out of here quickly. Thank you again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_rescue_scientist.stf', '4', 's_b4b8c363', 'Whew! Thank you for rescuing me. I appreciate it! I have to get out of here quickly!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_rescue_scientist.stf', '5', 's_bbc873d5', 'Thank you for saving me earlier. Getting out is harder than I thought. I\'m devising my plan for escape now. You needn\'t worry about me anymore.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_rescue_scientist.stf', '6', 's_d3b5ac87', 'Ah! I\'m so glad you\'ve come! I thought I was done for! Here, take this as a symbol of my appreciation. I need to get out of here!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_scientist.stf', '1', 'do_not_edit', 'The English version of this file (death_watch_scientist.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_scientist.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_scientist.stf', '3', 's_14718ef0', 'Oh, the Death Watch are very clever about that indeed.  If your man, or woman, should fail to complete the manufacturing process you and your entire group will be evacuated from the bunker.  Quite clever indeed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_scientist.stf', '4', 's_1a745122', 'Biceps, boots, and the chest plate. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_scientist.stf', '5', 's_2313ac9e', 'What are you talking about?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_scientist.stf', '6', 's_25d8aa7d', 'Ah.  You\'ll need a master droid engineer to work the console.  It\'s very simple really, as long as you have all the parts.  You need the piece of armor you\'re converting...you do realize you can only convert the bounty hunter armor into Mandalorian armor don\'t you?  Very good, very good.  You\'ll need that piece first.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_scientist.stf', '7', 's_2f08b49c', 'To be honest, I\'m not really sure.  It\'s not teleportation, not really, though it\'s the beginnings of that technology.  It would be wonderful to be able to study in that field, wouldn\'t it?  But I digress.  You have what you need from me.  Now leave me to my work, please.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_scientist.stf', '8', 's_378814dd', 'Bracers and helmet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_scientist.stf', '9', 's_499c388b', 'Tell me what I want or I\'ll rip your heart out!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_scientist.stf', '10', 's_4b6c9d58', 'Simple.  You take it to the droids deeper inside the base.  One droid for each category, you see?  You give all the items to the droid, and then you\'ll need the armorsmith, a master of his craft, to work the controls.  In fact, you\'ll need him just to get into the room.  Once all the ingredients are given to the droid that\'s it.  The piece will be made by the droid itself, and spit back out to your crafter.  Assuming he works the terminal properly.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_scientist.stf', '11', 's_504b2f50', 'What did you mean about the eyes?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_scientist.stf', '12', 's_58a0e26', 'What do I do once I have all this?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_scientist.stf', '13', 's_59959987', 'Ah.  You\'ll need a master armor smith to work the console.  It\'s very simple really, as long as you have all the parts.  You need the piece of armor you\'re converting...you do realize you can only convert the bounty hunter armor into Mandalorian armor don\'t you?  Very good, very good.  You\'ll need that piece first.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_scientist.stf', '14', 's_5c9a6921', 'I need information.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_scientist.stf', '15', 's_63e494d6', 'Tell me about the armor.  No more chatter.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_scientist.stf', '16', 's_6462ee3d', 'No more chatter.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_scientist.stf', '17', 's_66da3f03', 'Don\'t shoot us!  We\'re just technicians!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_scientist.stf', '18', 's_6789e90e', 'What else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_scientist.stf', '19', 's_6a31dcdf', 'Anything.  You\'re not with--I thought you were--It\'s the look you see.  You don\'t have the look in the eyes like they do.  That stare...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_scientist.stf', '20', 's_76196af', 'Oh, the Death Watch are very clever about that indeed.  If your man should fail to complete the manufacturing process you and your entire group will be evacuated from the bunker.  Quite clever indeed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_scientist.stf', '21', 's_8a0630b2', 'Very well.  What type are you trying to make?  They\'re all different you know.  They are broken up into three categories, however.  Leggings, gloves, and the belt are a category to themselves.   The bracers and the helmet are a second category.  The third is the biceps, chest plate, and boots.  Which one are you looking for?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_scientist.stf', '22', 's_8d3d9470', 'How do they do it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_scientist.stf', '23', 's_8ea92d7b', 'The eyes of these men are dead.  They frighten me.  I don\'t think anything matters to them anymore but killing...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_scientist.stf', '24', 's_a7d1b9b8', 'Simple.  You take it to the droids deeper inside the base.  One droid for each category, you see?  You give all the items to the droid, and then you\'ll need the tailor, a master of his craft, to work the controls.  In fact, you\'ll need him just to get into the room.  Once all the ingredients are given to the droid that\'s it.  The piece will be made by the droid itself, and spit back out to your crafter.  Assuming he works the terminal properly.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_scientist.stf', '25', 's_aabf00d1', 'You\'re just like them aren\'t you?  You\'d really do it.  I think you\'d kill me if I looked at you the wrong way.  You shouldn\'t be here fighting the Death Watch.  You should be signing up.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_scientist.stf', '26', 's_ac332e1a', 'Of course.  It\'s what everyone wanted to know isn\'t it?  The armor.  Everyone wants something don\'t they?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_scientist.stf', '27', 's_be3bfbe9', 'Leggings, gloves, and belt.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_scientist.stf', '28', 's_c8dd74ed', 'Alum, from the mines below.  I don\'t know how you\'ll get that.  You may have to talk to the miners down there.  Just like us they are...slaves.  And you\'ll need the two chemicals.  The protective coating and the binary liquid.  I honestly don\'t know where you can get any more of that.  Our supply was cleaned out.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_scientist.stf', '29', 's_e11df8ba', 'What if he doesn\'t work it properly?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_scientist.stf', '30', 's_e32f0a5b', 'Ah.  You\'ll need a master tailor to work the console.  It\'s very simple really, as long as you have all the parts.  You need the piece of armor you\'re converting...you do realize you can only convert the bounty hunter armor into Mandalorian armor don\'t you?  Very good, very good.  You\'ll need that piece first.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_scientist.stf', '31', 's_e45dce3', 'These hooligans, this...Death Watch.  They\'re like the Mandalorians.  Oh it\'s so horrible.  They threated my daughter.  They said they\'d kill her if I didn\'t do what they said.  I\'ve been trapped here for...Oh my...I don\'t even know how long.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_scientist.stf', '32', 's_e7b6a48e', 'What about the armor?  Can you tell me about that?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_scientist.stf', '33', 's_ef0cca06', 'Simple.  You take it to the droids deeper inside the base.  One droid for each category, you see?  You give all the items to the droid, and then you\'ll need the droid engineer, a master of his craft, to work the controls.  In fact, you\'ll need him just to get into the room.  Once all the ingredients are given to the droid that\'s it.  The piece will be made by the droid itself, and spit back out to your crafter.  Assuming he works the terminal properly.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_technician.stf', '1', 'do_not_edit', 'The English version of this file (death_watch_technician.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_technician.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_technician.stf', '3', 's_17aa7854', 'I can do that. Send in the droid and I will take care of the Mandalorians.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_technician.stf', '4', 's_1a05844b', 'Hmmm, I am not going to do that. Those Mandalorians are nasty.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_technician.stf', '5', 's_1cc2ceff', 'I see. So.... what sort of work do you do here?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_technician.stf', '6', 's_1fb416ce', 'Give me a few minutes. I just sent out one of my droids on a dangerous mission with an escort. I am hoping that this works.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_technician.stf', '7', 's_25e933d3', 'I am an exhaust ventilation technician for the mines. It is my job to make sure that the mine\'s exhaust system is working correctly. Of course, that is when the Mandalorians let me do my job.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_technician.stf', '8', 's_32b29b58', 'You are going to have to give me a little while to get another droid put together. Come back and talk to me later. If I still need the help, I will be more than willing to take it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_technician.stf', '9', 's_33381eda', 'I can\'t thank you enough for helping me out back there. The exhaust fans are back online and the miners should be safe for a while at least. That exhaust system is pretty iffy and shorts out alot. I think the Mandalorians are breaking it on purpose just so they can have their fun.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_technician.stf', '10', 's_373533eb', 'You know it. I will protect that droid.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_technician.stf', '11', 's_3bc0260c', 'Those Mandalorians are to much for me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_technician.stf', '12', 's_3cab69e3', 'Hey, you don\'t know how happy I am to see you again. The exhaust system went offline again and...that\'s right...you guessed it...those Mandalorians are at it again. You willing to give me a hand again?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_technician.stf', '13', 's_3f1a842c', 'Yeah, yeah.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_technician.stf', '14', 's_406a4ae2', 'Sounds like you do have it rough.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_technician.stf', '15', 's_45ae332c', 'The mines fill up with allum gas. That stuff can really mess up the men working inside the mines. So all the miners have to wear the rebreather gear in order to work down there, but those things are not always reliable.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_technician.stf', '16', 's_72f8ec3a', 'Okay, well, good luck with that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_technician.stf', '17', 's_7d875e15', 'Give me another chance. I know I can keep that droid alive.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_technician.stf', '18', 's_89b80057', 'Can\'t say I blame you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_technician.stf', '19', 's_8b67f49d', 'Hmm, who are you? Actually, nevermind. I don\'t want to know. If the Mandalorians don\'t want you here, they can take care of you themselves. It\'s not like they ever help me. No, not them. They tell me to get a job done and then don\'t let me do it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_technician.stf', '20', 's_9a8c12bc', 'I knew I could count on you. Okay, I am going to unleash the droid now. Good luck to you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_technician.stf', '21', 's_a0c1a32f', 'What are the Mandalorians doing to stop you from working?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_technician.stf', '22', 's_a8fb8b64', 'The main exhaust ports are offline and I need to send in a droid to fix it. But everytime I send in one of my droids, these dumb Mandalorians shoot it to pieces. Then, they laugh about it all the while yelling at me for not having the ports back online.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_technician.stf', '23', 's_aad4d52', 'Oh, well, I am sure I will figure something else out. Thanks anyways.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_technician.stf', '24', 's_bb1676fc', 'Having problems with the Mandalorians?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_technician.stf', '25', 's_bb18b90f', 'Ain\'t that the truth. Now, if there isn\'t anything else, I really need to get back to trying to figure out a way to get those dumb Mandalorians not to trash another one of my droids.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_technician.stf', '26', 's_bd52a08a', 'Blast it! Lost another droid. I swear those Mandalorians are just relentless when they feel the need to torment someone.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_technician.stf', '27', 's_bd5476c4', 'Maybe I can help you out?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_technician.stf', '28', 's_c4446dd7', 'What happens if the mine\'s exhaust system isn\'t working?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_technician.stf', '29', 's_c74f6e65', 'The only thing that I can think of to help me out is if you go in with the droid and don\'t let the Mandalorians blow it up. If you are willing to do that, you have way more guts than I would ever have.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_technician.stf', '30', 's_cba682eb', 'What are you doing back here? You are supposed to be protecting that droid. Without your protection, those Mandalorians will blow him to bits.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_technician.stf', '31', 's_cbf95857', 'I am sorry, but I can\'t right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_technician.stf', '32', 's_d7a232dc', 'What sort of job do you do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_technician.stf', '33', 's_ebfed4db', 'I am sorry, but I really don\'t have much time to chat right now. Always too much work to do in to little time. Maybe later I will have a spare moment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_technician.stf', '34', 's_f7d4b8be', 'Now that might be a little bit of an understatement. I always have problems with the Mandalorians. They just don\'t deal well with others... I am thinking that they probably weren\'t hugged enough when they were children.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_technician.stf', '35', 's_fc578c95', 'You are not the first person to say those words.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_technician.stf', '36', 's_fe84832a', 'Alright, I am going to release the droid. It has to make a stop over at the tool chest to get some extra tools before it can make the repairs. Keep those Mandalorians off it until it can finish the repairs and these air vents will kick on and clear out the allum gases.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_treadwell.stf', '1', 'do_not_edit', 'The English version of this file (death_watch_treadwell.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_treadwell.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_treadwell.stf', '3', 's_4fcd015f', 'Yes you can help me. I was sent to get this battery cleaned.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_treadwell.stf', '4', 's_8e9e4ef9', 'No thank you. I am not need of any assistance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/death_watch_treadwell.stf', '5', 's_9208410d', '...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/defend_the_village.stf', '1', 'do_not_edit', 'The English version of this file (defend_the_village.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/defend_the_village.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/defend_the_village.stf', '3', 's_1a9b1371', 'I knew I picked the right person for this, I just knew it.  The mercenaries and the pirates are cursing your name this very minute.  You\'ve almost finished what I asked you to do.  All you have to do is get out there and complete this mission.  Good luck, soldier!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/defend_the_village.stf', '4', 's_212d92b3', 'Fantastic!  I knew I could count on you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/defend_the_village.stf', '5', 's_2647addd', 'Maybe, but I think you\'re the right person for the job.  Can you do it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/defend_the_village.stf', '6', 's_2b2d70cd', 'No, I think it\'s too much for me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/defend_the_village.stf', '7', 's_41ea5583', 'As I understand it, you already have some assignments from some of the other villagers.  Come back when you don\'t have so much on your plate.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/defend_the_village.stf', '8', 's_64cad97c', 'I\'m not ready to work right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/defend_the_village.stf', '9', 's_6e8bed18', 'Definitely increasing my ranged speed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/defend_the_village.stf', '10', 's_918a48b8', 'Right then.  Speak with me when you\'re ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/defend_the_village.stf', '11', 's_95fe56b2', 'Melee defense.  No question.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/defend_the_village.stf', '12', 's_982a066f', 'That\'s too bad.  I was hoping you\'d be more helpful.  Come back if you ever toughen up.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/defend_the_village.stf', '13', 's_a2665c7f', 'I\'d like to thank you for all the hard work you did.  Get some rest, I\'m sure at some point in the future we\'ll need some more help from you, but for now you\'ve earned some R&R.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/defend_the_village.stf', '14', 's_a30c1a53', 'Yes sir!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/defend_the_village.stf', '15', 's_c382b2d0', 'You want me to take out ALL of them?!?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/defend_the_village.stf', '16', 's_c9be571d', 'I know you\'ve been working on that problem of ours...you know, with the mercs and the pirates?  But I\'m going to need you to work a little harder.  Now get back out there soldier!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/defend_the_village.stf', '17', 's_cb3652f', 'Here\'s what I have.  Outlaws and pirates are swarming this area like Jawas over a speeder engine.  The village\'s safety is going to rely on reducing the number of hostiles we have in this area.  I\'m counting on you to do that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/defend_the_village.stf', '18', 's_d2fe23af', 'Easy there recruit.  I have an assignment for you whenever you\'re ready.  I can give you training after you complete this mission.  Would you be more interested in learning how to fire ranged weapons more quickly, or defending yourself in melee combat?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/defend_the_village.stf', '19', 's_db99c818', 'Good.  Come back and see me while you\'re working on this problem and I\'ll let you know how things are going.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/defend_the_village.stf', '20', 's_ed6ed8a4', 'Sounds like a lot...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/defend_the_village.stf', '21', 's_ee72ef65', 'No.  In fact, I just want you to take out a few.  Well, more than a few.  Let\'s say 50 outlaws.  I think if you can handle that, the rest of them will get the message that this isn\'t a safe spot for them to hang around.  The pirates, well, there\'s less of them, so let\'s say 25 of the pirates.  Can you handle that?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/defend_the_village.stf', '22', 's_f9a0517', 'Um...sure.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/destroysample.stf', '1', 'do_not_edit', 'The English version of this file (destroysample.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/destroysample.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/destroysample.stf', '3', 's_157082a', 'Wouldn\'t that be murder?  I don\'t think I can take that job.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/destroysample.stf', '4', 's_28969bdd', 'Excellent.  I\'ll wire the credits to your account when you bring me sensor validation of the kills.  Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/destroysample.stf', '5', 's_32900dd8', 'Ah, nicely done!  My people will transfer the credits right away.  You did a good job.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/destroysample.stf', '6', 's_360ed899', 'What?  After I risk my neck trying to hook you up, you try to pass off fake logs?  Come back when you have real results.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/destroysample.stf', '7', 's_5786ebef', 'Yeah, I\'ve got the logs right here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/destroysample.stf', '8', 's_5c09875a', 'Call me Trent.  I\'m looking for work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/destroysample.stf', '9', 's_73b20bfc', 'Take your time.  The faction I represent is interested in success, even if it means having to wait a little bit.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/destroysample.stf', '10', 's_bc9b15b3', 'Nice to see you, Trent.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/destroysample.stf', '11', 's_c1fc410f', 'Well, you aren\'t likely to find better around here.  I\'ve got someone else to meet.  Talk to you later.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/destroysample.stf', '12', 's_cdb71c15', 'Hey there Trent.  Do you have the sensor logs confirming your kills?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/destroysample.stf', '13', 's_cdc3b4c7', 'I have plenty of reasons for hurting the Empire.  Sign me up.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/destroysample.stf', '14', 's_df17f706', 'Nice to meet you, Trent.  I\'ve got a job you might be interested in.  My faction wants help in making things difficult for the Empire.  If you can destroy 5 Tie Fighters, I\'ll pay you 3,000 credits.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/destroysample.stf', '15', 's_e0f3deb6', 'It\'s good to be seen.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/destroysample.stf', '16', 's_f150abd', 'Thanks for doing that little job for me.  I\'ll let you know if there\'s something else we need done.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/destroysample.stf', '17', 's_f324f7d5', 'I haven\'t seen you around here before.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/destroysample.stf', '18', 's_fd6095f2', 'No, I haven\'t finished the job yet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/disable_sidequest.stf', '1', 'do_not_edit', 'The English version of this file (disable_sidequest.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/disable_sidequest.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/disable_sidequest.stf', '3', 's_1224b289', '(Wait.)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/disable_sidequest.stf', '4', 's_16148f5c', 'What next?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/disable_sidequest.stf', '5', 's_192752ed', 'I\'ve heard of him. He flies around Tatooine. I might be able to find him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/disable_sidequest.stf', '6', 's_1e6f479b', 'You could? [could? could?] Excitement! It is likely [ly ly] that Madd Markos [kos kos kos] still has my primary core [ore ore]. If you locate him you can retrieve it [it it]. You will have to cycle through various ships near Tatooine until you find Markos.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/disable_sidequest.stf', '7', 's_26966a66', '(Hand him the core.)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/disable_sidequest.stf', '8', 's_2b9397ba', 'How do I retrieve the core?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/disable_sidequest.stf', '9', 's_2bc613ea', 'It is a long story [story story]. Due to the inaccuracies in my ability to synthesize speech [speech eeech ch] I will deliver a synopsis [sis sis sis].');
INSERT INTO `client_strings` VALUES ('string/en/conversation/disable_sidequest.stf', '10', 's_3019b01e', 'I understand that you are demonstrating modesty. I appreciate your assistance. I have some amount of credits I will transfer to you in recognition of your kind act. It is the least I can do to help you, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/disable_sidequest.stf', '11', 's_376a2b9c', 'And if he has the core?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/disable_sidequest.stf', '12', 's_3b78667c', 'CSSD-7, I think I can help you. I\'ll return with your core soon.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/disable_sidequest.stf', '13', 's_3c6ee0a0', 'Greetings citizen. [Greetings citizen. Greetings citizen. Greetings.]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/disable_sidequest.stf', '14', 's_3d54f7bd', 'They must believe [lieve lieve] they can sell it. They also believed [lieved lieved] that removing my core would destroy me [me me].');
INSERT INTO `client_strings` VALUES ('string/en/conversation/disable_sidequest.stf', '15', 's_3e0deaf9', 'Oh, my. I apologize. [Apologize. Apologize. Apologize.] My core systems software has been compromised and [and and and] I am unable to communicate without stuttering [stuttering stuttering stuttering].');
INSERT INTO `client_strings` VALUES ('string/en/conversation/disable_sidequest.stf', '16', 's_3e25bf08', 'Ah! My primary functions are now fully enabled. Performing system check. System Primary Functions are operating within standard guidelines. Warning: Secondary core has been damaged. All other secondary and tertiary systems are operating within standard guidelines.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/disable_sidequest.stf', '17', 's_46712ca3', 'How did you become damaged?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/disable_sidequest.stf', '18', 's_53d10098', 'I cannot [not not]. I am no longer able to per[per per]form my intended function. I am no [no no] longer able to perform my intended function.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/disable_sidequest.stf', '19', 's_5d0b3789', 'This line is never spoken.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/disable_sidequest.stf', '20', 's_5ee9bf09', 'You [you you you] found my core? I am shocked [shocked shocked shocked] please let me see it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/disable_sidequest.stf', '21', 's_5eec7e62', 'You may call me \'CS\'. Thank you again for your assistance. It feels good to have a functional core. I will go and repair my secondary core immediately. I can\'t wait to begin working on Neurilemmomas and Astrocytomas again! Excitement!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/disable_sidequest.stf', '22', 's_648ee28b', 'First, you must disable his ship [ship ship]. To do this, target his ship and [and] select his reactor using CTRL-] (control right bracket). Then fire on him as you would [would] normally. After you inflict some damage, his ship will become disabled [disabled].');
INSERT INTO `client_strings` VALUES ('string/en/conversation/disable_sidequest.stf', '23', 's_6a5944bd', 'Congratulations, CSSD-7!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/disable_sidequest.stf', '24', 's_6b12b256', 'I heard you the first time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/disable_sidequest.stf', '25', 's_6ea28bdf', 'I\'m sorry, I didn\'t realize...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/disable_sidequest.stf', '26', 's_72b585f7', 'Good luck, CS.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/disable_sidequest.stf', '27', 's_76eb7e3b', 'A local Tatooine pirate [pirate] leader known as [as as as] Madd Markos [mad mad]. The appellation [tion tion] is a result of his behavior after many [many many] brain altering modifications [tions tions].');
INSERT INTO `client_strings` VALUES ('string/en/conversation/disable_sidequest.stf', '28', 's_897e7261', 'I have become lost [lost lost]. The same fault that affects my speech synthesis [esis esis] has also affected my motor functions [functions functions]. I am unable to properly navigate back [back back] to the medical center.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/disable_sidequest.stf', '29', 's_907d29f3', 'Why didn\'t it destroy you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/disable_sidequest.stf', '30', 's_90c59f1a', 'Third, if he [he] has the core, you [you you] must transfer it to your own ship. Use the /transfer command to load the command core into your hold [hold hold]. It is small so you do not need a cargo ship [ship ship].');
INSERT INTO `client_strings` VALUES ('string/en/conversation/disable_sidequest.stf', '31', 's_96d51a4e', 'I am equipped with a secondary core [core core]. This is to ensure the [the the the] integrity of my function during a surgical procedure. However, my secondary core [core core] is apparently damaged.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/disable_sidequest.stf', '32', 's_9b809db7', 'It appears to be undamaged [ged ged ged]. Please wait one second while I install it [it it it].');
INSERT INTO `client_strings` VALUES ('string/en/conversation/disable_sidequest.stf', '33', 's_9eee12c7', 'Ah, yeah you better keep it simple.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/disable_sidequest.stf', '34', 's_a017debb', 'If your motor functions are affected, how can you perform surgery?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/disable_sidequest.stf', '35', 's_a4f3fede', 'Cerebrospinal? Brain surgery? Why are you out here?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/disable_sidequest.stf', '36', 's_a54ac5ac', 'What can I say...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/disable_sidequest.stf', '37', 's_a893010', 'Do not worry [worry worry worry]. I am used to other citizens reacting in that way. I am CS[SSSSSS]SD-7, a 2-1B surgical [surgical surgical] droid. My designation is an abbreviation for \'Cerebrospinal [inal inal inal] Surgical Droid\'.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/disable_sidequest.stf', '38', 's_b1ed67bc', 'To state it [it it] simply, I was employed to perform surgical modification [odification] on a local criminal [criminal criminal] warlord. After completing the operation [tion tion tion], the warlord\'s men assaulted me [me me] and stole my systems core [core core].');
INSERT INTO `client_strings` VALUES ('string/en/conversation/disable_sidequest.stf', '39', 's_b451a4a3', 'Good to see you again, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/disable_sidequest.stf', '40', 's_c5495de6', 'They stole your core?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/disable_sidequest.stf', '41', 's_c55d7e2', 'Good to see [see see] you again, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/disable_sidequest.stf', '42', 's_c85fb291', 'Thank you, citizen. Without your help I would have been doomed to travel this desert. I can now return to the medical center and continue with my original operational directive. I am in your debt.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/disable_sidequest.stf', '43', 's_c9e7c48f', 'Good to see you, CSSD-7. I found your core.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/disable_sidequest.stf', '44', 's_d1b59965', 'Thank [thank thank] you, citizen. Remember, first disable with CTRL-], then /inspect, then /transfer. I have [have have] confidence in you [you you you]. Good luck [luck luck luck luck luck luck]. Oh my [my my].');
INSERT INTO `client_strings` VALUES ('string/en/conversation/disable_sidequest.stf', '45', 's_d28c8e75', 'Thank you, CSSD-7.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/disable_sidequest.stf', '46', 's_d92cbbea', 'Who stole your core?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/disable_sidequest.stf', '47', 's_de5882b1', 'Good luck to you, citizen. Thank you again for your kind act.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/disable_sidequest.stf', '48', 's_eeeb19c9', 'Second, you must inspect his [his his] ship. To do this, you must fly close to the disabled ship [ship ship] and use the /inspect command. After [after] a short time, any unique contents of his ship will be displayed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ep3_trando_herald.stf', '1', 'do_not_edit', 'The English version of this file (ep3_trando_herald.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ep3_trando_herald.stf', '2', 's_2', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ep3_trando_herald.stf', '3', 's_222', 'You again! What do you want?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ep3_trando_herald.stf', '4', 's_224', 'I can\'t believe this happened! Somehow those wookiees escaped their bonds and sabotaged my ship. I had no choice but to bring it down here for an emergency landing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ep3_trando_herald.stf', '5', 's_226', 'Are these escaped wookiees criminals?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ep3_trando_herald.stf', '6', 's_228', 'They are property of the Blackscale Clan. I was to deliver the cargo to an Imperial facility that is in desperate need of additional labor. Apparently these wookiees have not been properly... trained. They are no good to anyone. Would you be willing to help me deal with this problem?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ep3_trando_herald.stf', '7', 's_230', 'How can you consider sentient beings property? There\'s no way I\'m getting involved with this!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ep3_trando_herald.stf', '8', 's_232', 'Fine, get lost then! I\'m sure there\'s plenty of people here that are looking for a quick pay day.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ep3_trando_herald.stf', '9', 's_234', 'If the price is right, I\'ll do what it takes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ep3_trando_herald.stf', '10', 's_236', 'I knew you looked like a reasonable type. This shipment is ruined and unusuable, therefore they must all be terminated. The Blackscale clan is willing to offer you the sum of 10000 credits if you\'re able to track down and terminate any of the cargo.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ep3_trando_herald.stf', '11', 's_238', 'How do I find them?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ep3_trando_herald.stf', '12', 's_240', 'Each piece of cargo is outfitted with a transponder to track their location so finding them isn\'t a problem. It also reports their vital signs so we\'ll know the instant the job is done and we\'ll wire the pay directly to your account. Sound good?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ep3_trando_herald.stf', '13', 's_242', 'Sounds good.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ep3_trando_herald.stf', '14', 's_244', 'Great, I\'ve uploaded the location of one of them to your datapad. Get going and be quick about it! If they get too far away we\'ll lose their signal and they are as good as gone.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ep3_trando_herald.stf', '15', 's_246', 'On second thought, no. This doesn\'t sound good.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ep3_trando_herald.stf', '16', 's_248', 'You\'ve wasted enough of my time then. Take a hike!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ep3_trando_herald.stf', '17', 's_250', 'On second though, I don\'t think I want to be involved with this.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ep3_trando_herald.stf', '18', 's_252', 'You\'ve wasted enough of my time then. Take a hike!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ep3_trando_herald.stf', '19', 's_254', 'Need some help?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ep3_trando_herald.stf', '20', 's_256', 'As a matter of fact, I do. These wookiees are property of the Blackscale clan. I was to deliver the cargo to an Imperial facility that is in desperate need of additional labor. Apparently these wookiees have not been properly... trained. They are no good to anyone. Would you be willing to help me deal with this problem?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ep3_trando_herald.stf', '21', 's_258', 'If the price is right, I\'ll do whatever it takes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ep3_trando_herald.stf', '22', 's_260', 'I knew you looked like a reasonable type. This shipment is ruined and unusuable, therefore they must all be terminated. The Blackscale clan is willing to offer you the sum of 10000 credits if you\'re able to track down and terminate any of the cargo.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ep3_trando_herald.stf', '23', 's_262', 'How do I find them?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ep3_trando_herald.stf', '24', 's_264', 'Each piece of cargo is outfitted with a transponder to track their location so finding them isn\'t a problem. It also reports their vital signs so we\'ll know the instant the job is done and we\'ll wire the pay directly to your account. Sound good?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ep3_trando_herald.stf', '25', 's_266', 'Sounds good.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ep3_trando_herald.stf', '26', 's_268', 'Great, I\'ve uploaded the location of one of them to your datapad. Get going and be quick about it! If they get too far away we\'ll lose their signal and they are as good as gone.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ep3_trando_herald.stf', '27', 's_270', 'On second thought, no. This doesn\'t sound good.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ep3_trando_herald.stf', '28', 's_272', 'You\'ve wasted enough of my time then. Take a hike!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ep3_trando_herald.stf', '29', 's_274', 'On second though, I don\'t think I want to be involved with this.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ep3_trando_herald.stf', '30', 's_276', 'You\'ve wasted enough of my time then. Take a hike!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ep3_trando_herald.stf', '31', 's_278', 'On second though, I don\'t think I want to be involved with this.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ep3_trando_herald.stf', '32', 's_280', 'You\'ve wasted enough of my time then. Take a hike!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ep3_trando_herald.stf', '33', 's_282', 'Whatever happened here, I don\'t want any part of it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ep3_trando_herald.stf', '34', 's_284', 'Then quit wasting my time and get out of my face!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ep3_trando_herald.stf', '35', 's_285', 'I couldn\'t find the slave.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ep3_trando_herald.stf', '36', 's_286', 'Incompetence! Here\'s the location of another, now hurry up this time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ep3_trando_herald.stf', '37', 's_35', 'I\'ve heard you\'re good at what you do. I can\'t afford your fee so I won\'t insult you by asking you for help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/escortsample.stf', '1', 'do_not_edit', 'The English version of this file (escortsample.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/escortsample.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/escortsample.stf', '3', 's_197dcc5d', 'Excellent. Meet the transport in the asteroid belt. The Force be with you!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/escortsample.stf', '4', 's_20355b4c', 'Hi there. So - did you escort our Rebel supply ship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/escortsample.stf', '5', 's_2cbca1ae', 'Great! Great work! The Alliance thanks you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/escortsample.stf', '6', 's_30b5d96', 'Yes. What do you need done?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/escortsample.stf', '7', 's_3b6feb84', 'You got that right!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/escortsample.stf', '8', 's_440fcf1', 'You FAILED! Quitter!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/escortsample.stf', '9', 's_546aa4f5', 'You got it!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/escortsample.stf', '10', 's_64815da3', 'The Imperials have squeezed off our major supply route through this system. I have a critical medical supply transport headed through the asteroid belt. I need someone to make sure it survives its trip. You interested?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/escortsample.stf', '11', 's_7133d198', 'You LIE! Liar! I already got word from the transport that you gave up! Get out of my sight!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/escortsample.stf', '12', 's_8acc2fd5', 'Yeah. It\'s safe and sound.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/escortsample.stf', '13', 's_8ff3ca72', 'Hey escorter! You\'re a bad-ass escorter!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/escortsample.stf', '14', 's_a7887ccd', 'Don\'t waste my time, newbie.  I\'ve got someone else to meet.  Talk to you later.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/escortsample.stf', '15', 's_aa630c8f', 'Yeah. So what?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/escortsample.stf', '16', 's_c8f5aa73', 'Sorry. I really don\'t have the time for this right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/escortsample.stf', '17', 's_d1d526e', 'Take your time. The Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/escortsample.stf', '18', 's_d6b24fb1', 'Can I try again?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/escortsample.stf', '19', 's_f150abd', 'Thanks for doing that little job for me.  I\'ll let you know if there\'s something else we need done.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/escortsample.stf', '20', 's_f82b0fd5', 'Okay. Let\'s try again. I have a critical medical supply transport headed through the asteroid belt. I need someone to make sure it survives its trip. You interested?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/escortsample.stf', '21', 's_fa88eaf6', 'So nothing. Good bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/escortsample.stf', '22', 's_fb6bb29c', 'Hello, pilot! The Alliance is in need of some talented space fighters. Are you interested?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/escortsample.stf', '23', 's_fd6095f2', 'No, I haven\'t finished the job yet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_perk_racing.stf', '1', 'do_not_edit', 'The English version of this file (event_perk_racing.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_perk_racing.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_perk_racing.stf', '3', 's_1cd82216', 'Get ready... I\'ll start the timer when you say go!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_perk_racing.stf', '4', 's_2492930f', 'I\'d like to see who holds the current record for this track.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_perk_racing.stf', '5', 's_2528fad7', 'GO!!!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_perk_racing.stf', '6', 's_262e8687', 'Uhh, wait a minute.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_perk_racing.stf', '7', 's_371b3f4', 'Displaying current data...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_perk_racing.stf', '8', 's_4b4fb2b7', 'A series of waypoints will appear one after the other. Head to each waypoint as quickly as possible. When you arrive back here, talk to me again and I\'ll register your last time for this track.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_perk_racing.stf', '9', 's_6441a2a6', 'As you wish.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_perk_racing.stf', '10', 's_6a5b9858', 'The clock is ticking, get moving!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_perk_racing.stf', '11', 's_891e1f6', 'Race completed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_perk_racing.stf', '12', 's_ac51e630', 'Greetings, I\'m the coordinator for this course. If you\'d like to race the track, just let me know. How may I serve you today?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_perk_racing.stf', '13', 's_b2acc217', 'And they\'re off!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_perk_racing.stf', '14', 's_c0918d6', 'No hurry. Let me know when you\'re ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_perk_racing.stf', '15', 's_d900d1be', 'I need to abort this race.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_perk_racing.stf', '16', 's_dffdee4b', 'I\'d like to give this track a try.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_perk_racing.stf', '17', 's_e460e3d3', 'How do I race?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_promoter.stf', '1', 'do_not_edit', 'The English version of this file (event_promoter.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_promoter.stf', '2', 's_10', 'For a modest sum, you can rent supplies for use in your personal events. Most items rented are received in the form of a deed. Simply deploy the deed in any wilderness area or city that has allowed you zoning rights to set it up. You may rent up to five deeds at a time. The term of rental in most cases is 8 hours starting at the time of purchase. All equipment is automatically returned after that time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_promoter.stf', '3', 's_100', 'Hire Personnel');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_promoter.stf', '4', 's_102', 'This is who we have available.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_promoter.stf', '5', 's_104', 'Hire Imperial Personnel');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_promoter.stf', '6', 's_106', 'This is who we have available.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_promoter.stf', '7', 's_108', 'Hire Alliance Personnel');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_promoter.stf', '8', 's_109', 'How does the jukebox work?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_promoter.stf', '9', 's_11', 'I\'m interested in decorations');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_promoter.stf', '10', 's_110', 'When purchased you will recieve a jukebox in your inventory. You can then drop the jukebox in your home or any other structure you have access rights too. After placing the jukebox, you can use it and select a song to play. Anyone entering the room will hear the music. The jukebox rental term is eight hours, after which it will expire.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_promoter.stf', '11', 's_112', 'This is who we have available.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_promoter.stf', '12', 's_12', 'Decorations are simply single items ranging from flags to reproductions of vehicles and other equipment. When you purchase a decoration, simply move to the location where you would like to place it and deploy. The decoration will be placed where you stand.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_promoter.stf', '13', 's_14', 'Rent Decorations');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_promoter.stf', '14', 's_16', 'Here is what I have to offer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_promoter.stf', '15', 's_18', 'Rent Imperial Themed Decorations');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_promoter.stf', '16', 's_2', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_promoter.stf', '17', 's_20', 'Here is what I have to offer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_promoter.stf', '18', 's_22', 'Rent Alliance Themed Decorations');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_promoter.stf', '19', 's_24', 'Here is what I have to offer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_promoter.stf', '20', 's_26', 'I\'m interested in venues');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_promoter.stf', '21', 's_28', 'Venues are full set designs and include things such as performance stages, wedding pavilions and even realistic military exhibitions. Some venues also include hired personnel as part of the package. When deployed, your venue will be automatically arranged at a location close to where you used the deed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_promoter.stf', '22', 's_30', 'Rent Venue');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_promoter.stf', '23', 's_32', 'Here is what I have to offer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_promoter.stf', '24', 's_34', 'Rent Imperial Themed Venue');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_promoter.stf', '25', 's_36', 'Here is what I have to offer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_promoter.stf', '26', 's_38', 'Rent Rebel Themed Venue');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_promoter.stf', '27', 's_4', 'Welcome to my shop! I rent a number of goods including decorations, venues, stand alone games and supplies. You can even hire personnel! Our reproductions are of the highest quality and are difficult to distinguish from the real thing. We have everything you need to ensure your event will be a memorable one.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_promoter.stf', '28', 's_40', 'Here is what I have to offer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_promoter.stf', '29', 's_42', 'I\'m interested in games and supplies');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_promoter.stf', '30', 's_44', 'These include stand alone gaming devices as well as supplies to help you with running your own games or events. These include various gaming droids, beacons to call shuttles and chests that you can stock, place and hide for others to find.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_promoter.stf', '31', 's_46', 'Tell me more about games and supplies.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_promoter.stf', '32', 's_48', 'What are you interested in hearing more about?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_promoter.stf', '33', 's_50', 'What is the Capture the Flag Game?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_promoter.stf', '34', 's_52', 'When you deploy the deed for this game a neutral flag is created where you stand. You will be able to specify a time limit for the game. When the game starts, overt members of a faction may attempt to capture the flag and change it to their own. The one who holds the flag for the longest wins the game. Multiple games may be run during rental period.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_promoter.stf', '35', 's_54', 'What is the Race Droid?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_promoter.stf', '36', 's_56', 'This droid will allow you to create and hold your own races. After deploying the droid in the desired location, you can then program the droid with a number of waypoints. When you are satisfied, you can initialize the droid and it will allow racers to run your course and it will record the best time for that track.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_promoter.stf', '37', 's_58', 'What is the Lottery Droid?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_promoter.stf', '38', 's_60', 'The lottery droid will allow you to run a lottery. You can set how long the lottery will run, registration cost and percentage of the total purse that will be paid out. Registration fees are added to the purse. You may also sweeten the pot with your own credits. When the lottery ends, a winner is chosen. Funds are automatically transferred to the winner and any percentage of the pot set aside as the owner\'s take is also transferred.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_promoter.stf', '39', 's_62', 'What is the Scavenger Hunt Droid?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_promoter.stf', '40', 's_64', 'This droid will allow you to setup and run a scavenger hunt. When deployed, you will show the droid a number of items you would like your participants to find. When the droid is initialized, the game begins. The first one to find all of the items wins.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_promoter.stf', '41', 's_66', 'What is the Treasure Chest?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_promoter.stf', '42', 's_68', 'A variety of styles of chests are available. Styles range from a standard container, to those with special effects and even a very realistic humanoid skeleton. You may place the chest in the wilderness or in any city that has allowed you zoning rights. You (and only you) may add items to the chest. Anyone happening along the chest may take one item from it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_promoter.stf', '43', 's_70', 'What is the Shuttle Beacon?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_promoter.stf', '44', 's_72', 'The shuttle beacon is a special effects utility that will allow you to call down one of a number of shuttles. You can use the shuttle beacon to have a shuttle land and then to order the shuttle to take off again. Shuttles may be called for the duration of the rental term.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_promoter.stf', '45', 's_76', 'Rent Games and Supplies');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_promoter.stf', '46', 's_78', 'Here is what I have to offer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_promoter.stf', '47', 's_80', 'I\'m interested in hiring personnel');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_promoter.stf', '48', 's_82', 'There are a number of personnel that may be hired to help give your event that special official sort of ambience. Our actors are highly trained and their costumes are quite authentic.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_promoter.stf', '49', 's_84', 'What is an Honor Guard?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_promoter.stf', '50', 's_86', 'An honor guard is military style formation of actors, dressed in one of a variety of authentic looking official dress, who will stand at attention for your event. They come in a variety of numbers and formations.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_promoter.stf', '51', 's_88', 'What can a hired actor do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_promoter.stf', '52', 's_9', 'Tell me more about all of this');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_promoter.stf', '53', 's_90', 'A hired actor can be deployed anywhere in the wilderness or in a city that has given you zoning rights. You can select the name, race and stage name the actor will use. You may also dress the actor as you see fit and give the actor a line to say. The actor will repeat their line to any that happen across them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_promoter.stf', '54', 's_92', 'Tell me about recruiters');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_promoter.stf', '55', 's_94', 'We have a special contract with the Empire that allows us to employ the services of off-duty recruiters. You may contract their services through us for a period of eight hours.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_promoter.stf', '56', 's_96', 'Tell me about recruiters');
INSERT INTO `client_strings` VALUES ('string/en/conversation/event_promoter.stf', '57', 's_98', 'We have a special contract with the Alliance that allows us to employ the services of off-duty recruiters. You may contract their services through us for a period of eight hours.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '1', 'do_not_edit', 'The English version of this file (faction_recruiter_general.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '2', 's_100', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '3', 's_102', 'Okay. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '4', 's_104', 'No');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '5', 's_106', 'Okay');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '6', 's_108', 'I\'m not dealing with you you are enemy faction');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '7', 's_112', 'If you\'re not factional at all');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '8', 's_12', 'IsOnLeave from enemy faction. I hate you go awayu');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '9', 's_133', 'Your pvp status is changing. Come back when it\'s done changing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '10', 's_135', 'Can i join your faction?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '11', 's_136', 'No. We don\'t like you enough.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '12', 's_138', 'Are you sure you wish to join my faction?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '13', 's_140', 'Yes I am sure');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '14', 's_142', 'Welcome aboard');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '15', 's_144', 'Thanks');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '16', 's_146', 'No');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '17', 's_148', 'Buh Bye');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '18', 's_15', 'If you\'re in my faction');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '19', 's_1577', 'I\'m done being on leave');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '20', 's_1578', 'You sure?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '21', 's_1579', 'Yesir!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '22', 's_1580', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '23', 's_1581', 'OKay');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '24', 's_1582', 'You\'ll be flagged correctly in 30 seonds.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '25', 's_1585', 'I am a smuggler and wish to bribe you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '26', 's_1586', 'I am a smuggler and wish to bribe you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '27', 's_1587', 'REally?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '28', 's_1589', 'Really? I like bribes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '29', 's_1591', 'Here is 20000');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '30', 's_1592', 'Here is 100000');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '31', 's_1593', 'Here is 20000');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '32', 's_1594', 'Here is 100000');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '33', 's_1595', 'I gotta check your credit.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '34', 's_1596', 'I gotta check your credit.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '35', 's_1597', 'I gotta check your credit.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '36', 's_1598', 'I gotta check your credit.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '37', 's_1599', 'How goes gcw?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '38', 's_1600', 'Score is Imperial: %DI and Rebel : %DF');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '39', 's_2', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '40', 's_27', 'Gimme promotion');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '41', 's_29', 'I wanna buy things');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '42', 's_32', 'You qualify for a promotion to %TO');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '43', 's_34', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '44', 's_35', 'No');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '45', 's_36', 'Congratulations on your promotion.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '46', 's_37', 'Like what?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '47', 's_4', 'Is On Leave from friendly faction\n\n');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '48', 's_41', 'Installations');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '49', 's_42', 'Uniforms');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '50', 's_43', 'Weapons and Armor');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '51', 's_46', 'Schematics');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '52', 's_49', 'Furniture');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '53', 's_52', 'I\'d like personnell suport');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '54', 's_55', 'I would like to change my PVP status.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '55', 's_57', 'You\'re pvp enabled. Wanna not be?\n');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '56', 's_59', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '57', 's_61', 'Okay. You\'re not pvp enabled in 5 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '58', 's_63', 'No');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '59', 's_66', 'You\'re not pvp enabled. Wanna bre?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '60', 's_68', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '61', 's_70', 'Okay. You\'ll be pvp enabled in 30 seconds.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '62', 's_72', 'Okay');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '63', 's_73', 'Okay');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '64', 's_74', 'Okay');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '65', 's_75', 'Okay');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '66', 's_76', 'Okay');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '67', 's_77', 'Okay');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '68', 's_78', 'Boo');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '69', 's_79', 'no');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '70', 's_80', 'Boo');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '71', 's_82', 'Fine, Don\'t go pvp enabled. Go back to faction menu link.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '72', 's_84', 'I would like to go on leave.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '73', 's_86', 'You sure?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '74', 's_88', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '75', 's_90', 'Okay you\'re on leave. Watch out for enemies. You\'ll be on leave in 5 mins. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '76', 's_92', 'No');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '77', 's_94', 'Boo');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '78', 's_96', 'I would like to resign completely. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_general.stf', '79', 's_98', 'You sure?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '1', 'do_not_edit', 'The English version of this file (faction_recruiter_imperial.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '2', 's_294', 'Yes, sir, I am ready to resume my duties.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '3', 's_296', 'Good for you!  Before I start the paperwork, though, I want to make sure that you are serious about returning to active duty.  If you run into most rebels, they will attack you on sight.  Are you returning to active duty?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '4', 's_298', 'Yes, sir!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '5', 's_300', 'It will take the system about 30 seconds to process your status.  After that, you are good to go.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '6', 's_302', 'Excuse me, sir, I misspoke.  I need a few more days of leave.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '7', 's_304', 'Don\'t waste my time.  Come back to duty when you are serious about your responsibilities.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '8', 's_306', 'I do not talk to terrorists and insurgents.  ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '9', 's_308', 'Leave my sight, scum.  Insurrectionists like you should be punished.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '10', 's_310', 'Greetings, soldier.  What may I do for you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '11', 's_312', 'I believe it is time for a review of my rank.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '12', 's_314', 'Ah yes.  According to your record, I am authorized to promote you to %TO.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '13', 's_318', 'Congratulations and good luck with your new duties.  Make us proud!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '14', 's_320', 'I do not think so.  I am happy with my current duties.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '15', 's_322', 'Afraid of a little more work?  I\'m disappointed, but it is your choice.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '16', 's_324', 'I am looking to requisition some supplies.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '17', 's_326', 'What are you looking for?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '18', 's_328', 'I need a base of operations.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '19', 's_330', 'Very well.  I will show you what is available.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '20', 's_332', 'I need a new uniform.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '21', 's_334', 'I will show you our selection.  Wear the uniform proudly.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '22', 's_336', 'I need personal protection and armament. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '23', 's_338', 'Always a good choice.  I have a new shipment to look through.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '24', 's_340', 'I want to see what schematics you have.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '25', 's_342', 'Review this list.  Quite a few are available.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '26', 's_344', 'Furniture.  I am improving my quality of my life.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '27', 's_346', 'Submit your purchase order and I will get right on it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '28', 's_348', 'I would like to requisition additional troops.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '29', 's_350', 'I believe that can be arranged.  We have some spare units in maneuvers.  Let me show you what you can requisition.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '30', 's_352', 'I would like to reevaluate my active military status.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '31', 's_354', 'You are currently enrolled in Special Forces.  Would you like to request a reassignment?  I can change your status to combatant, which means that the rebel \'special forces\' riffraff will not concern themselves with you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '32', 's_356', 'Unfortunately yes, sir. I am no longer interested in Special Forces.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '33', 's_358', 'Give me a moment to change your status and alert your superior.  This process will take approximately 5 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '34', 's_360', 'I have reconsidered, for the glory of the Empire!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '35', 's_362', 'I find your dedication admirable.  You will go far in the Empire.  Is there something else you need?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '36', 's_364', 'Special Forces is recruiting.  Would you like to submit your application?  This means that you will be authorized to hunt the Rebel \'special forces\', as they like to call themselves.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '37', 's_366', 'Yes, I want to join Special Forces, sir!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '38', 's_368', 'Very good.  I\'ll fast-track this application and you will be active in 30 seconds.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '39', 's_370', 'Maybe not, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '40', 's_372', 'Special Forces isn\'t for everyone.  If you change your mind, let me know.  Is there anything else I can do for you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '41', 's_374', 'I would like to use my personal leave time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '42', 's_376', 'Are you certain that this is what you want to do?  You may be missing out on some important battles.   Going on leave means that you will not be recognized as a member of the Imperial military and will be ignored by the Rebel Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '43', 's_378', 'I am certain.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '44', 's_380', 'I need to process your paperwork.  You will officially be on leave in 5 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '45', 's_382', 'I will stay active. I know that the war effort needs me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '46', 's_384', 'Your sense of duty is admirable.  Long live the Emperor!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '47', 's_386', 'I believe it is time to end my tour of duty.  I would like to resign.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '48', 's_388', 'I beg your pardon?  You would leave the greatest opportunity of your life?  You must be mad...or a traitor. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '49', 's_390', 'I am no traitor.  I would just like to leave the military.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '50', 's_392', 'So be it.  I\'ll put the paperwork through.  We will watch you closely to make sure that you don\'t cross any lines, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '51', 's_394', 'No no, I was only kidding.  I\'m a loyal member of the military.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '52', 's_396', 'That type of humor is unbecoming of an officer.  I\'ll thank you to not engage in it again.  You will remain in the military.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '53', 's_398', 'I\'d like to discuss an equitable trade.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '54', 's_400', 'What kind of trade are you talking about?  I may be amenable to gifts of friendship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '55', 's_402', 'How about a 20000 credit gift of friendship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '56', 's_404', 'An acceptable offer once I check to make sure that it is a genuine gift and not an empty box.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '57', 's_406', 'Would a 100000 gift of friendship be acceptable?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '58', 's_408', 'Friendship indeed.  Let me make sure that this transaction is genuine.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '59', 's_410', 'How are we doing in the war effort against the Rebel scum?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '60', 's_412', 'Our satellite readings have the planetary occupation at Imperial: %DI and Rebel: %TO.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '61', 's_414', 'Greetings, civilian.  Would you be interested in joining the military?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '62', 's_416', 'I\'d like to discuss a trade with a new friend.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '63', 's_418', 'New friends are often a good thing.  I suppose it depends on how good the friendship is.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '64', 's_420', 'Would 20000 credits be a good start?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '65', 's_422', 'That is indeed a good start.  I just need to makes sure that your start is valid.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '66', 's_424', 'I think 100000 credits of friendship would be considered \'good.\'');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '67', 's_426', 'Indeed.  I believe that the verification of the transfer of credits will cement our friendship nicely.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '68', 's_428', 'I would like to join the military.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '69', 's_430', 'The Empire appreciates your enthusiasm, but we do not believe that you have the dedication necessary.  Once you prove to us that you are committed to the Imperial doctrine, you may reapply then.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '70', 's_432', 'Joining the military is a big commitment.  Are you sure that you are ready?  You realize that those upstart rebels will attack you on sight?  Not the so-called \'special forces\' but their main troops.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '71', 's_434', 'Absolutely.  It would be a great honor to serve the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '72', 's_436', 'Welcome to the Imperial Military.  I expect good things from you, recruit!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '73', 's_438', 'Thank you, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '74', 's_440', 'Perhaps I should think about it a bit longer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '75', 's_442', 'Stop wasting my time.  If you are serious, come back and talk to me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '76', 's_444', 'Your paperwork is currently going through the channels.  Come back when it goes through.  I can\'t do much to help you right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '77', 's_78', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '78', 's_80', 'Hello, soldier.  Are you ready to resume active duty?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_imperial.stf', '79', 's_93', 'I would like that promotion, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '1', 'do_not_edit', 'The English version of this file (faction_recruiter_rebel.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '2', 's_446', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '3', 's_448', 'Hello friend.  Ready to get back to some real work?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '4', 's_450', 'I am ready to get back to my duties.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '5', 's_452', 'Good to hear!  I just want to make sure that you are serious about returning.  You really want to come off leave?  Remember that most of the Imperials will attack you on sight. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '6', 's_454', 'Absolutely.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '7', 's_456', 'Let me send your paperwork through.  It should only take me about 30 seconds to get it done.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '8', 's_458', 'Actually, I think I like being on leave.  ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '9', 's_460', 'All right.  We need you, but I think I can give you a few more days of leave.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '10', 's_462', 'I\'m sorry, but I do not know you and do not wish to.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '11', 's_464', 'What are you doing talking to me?  People like you are destroying the galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '12', 's_466', 'Hello friend.  Is there something that I may do to help you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '13', 's_468', 'I seek a promotion, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '14', 's_470', 'I see that you qualify for a promotion to %TO. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '15', 's_472', 'Excellent.  I would like that promotion.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '16', 's_474', 'Outstanding!  You certainly deserve this promotion.  Congratulations.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '17', 's_476', 'I believe that I will stay my current rank.  I am not looking for glory.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '18', 's_478', 'While I applaud you for not seeking glory, we need good leaders.  I hope you change your mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '19', 's_480', 'I need supplies.  Do you have anything available?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '20', 's_482', 'We have some things.  What do you need?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '21', 's_484', 'I\'m looking for a fortified base.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '22', 's_486', 'All right.  Let me show you the plans that are available.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '23', 's_488', 'I need better weaponry and armor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '24', 's_490', 'Don\'t we all?  With all the Imperial thugs crawling around, I don\'t blame you.  Let me show you my selection.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '25', 's_492', 'I like to build.  What schematics are available?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '26', 's_494', 'Good.  We always need people making useful goods.  I\'ll show you what I have.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '27', 's_496', 'I would like to do some decorating.  I need furniture.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '28', 's_498', 'What suits your style?  This is what I have available.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '29', 's_500', 'I need some back-up troops.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '30', 's_502', 'I\'ll see what I can do, but as you know, every soldier is valuable.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '31', 's_504', 'I need to address my role in the Civil War. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '32', 's_506', 'You are currently in Special Forces.  Do you need to step back from it for now?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '33', 's_508', 'Yes please.  I would like to return to combatant status and not fight the Imperial Special Forces.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '34', 's_510', 'That\'s a shame.  It will take some time to push the paperwork through for approval.  Your status will change in about 5 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '35', 's_512', 'Actually, I want to stay in Special Forces.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '36', 's_514', 'Good show!  Show those Imperials what for.  May I help you with something else instead?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '37', 's_516', 'We can use good people in Special Forces.  As a member of the Special Forces, you will be able to attack and be attacked by Imperial Special Forces members.  Does this interest you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '38', 's_518', 'Yes.  I want to hunt Imperial Special Forces.  Sign me up!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '39', 's_520', 'Good for you!  I\'ll update your status and you will be a member of the Special Forces in 30 seconds.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '40', 's_522', 'Actually, maybe it isn\'t for me after all.  Never mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '41', 's_524', 'If you are in doubt, then Special Forces isn\'t for you.  If you change your mind, let me know.  Is there anything else you need?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '42', 's_526', 'I need to go on leave for a time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '43', 's_528', 'We really need your skills.  Are you sure that you want to go on leave now?  You will be overlooked by most Imperials, unless you get stopped by a tenacious agent that finds something linking you to us. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '44', 's_530', 'Yes.  I really need to take some leave time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '45', 's_532', 'It will take me some time to process, but you will be on leave beginning in 5 minutes.  ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '46', 's_534', 'Maybe not.  I will stay active.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '47', 's_536', 'I wish all of our soldiers had your dedication.  I salute you!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '48', 's_538', 'This is all too much for me.  I would like to resign completely.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '49', 's_540', 'How could you turn your back on people trying to win freedom from tyranny?  We need everyone we can get!  Won\'t you reconsider?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '50', 's_542', 'I\'m sure.  I have had enough war. I want out.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '51', 's_544', 'So be it.  If you decide that you want to come back, let me know.  But for now, you are no longer a member of the Rebellion.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '52', 's_546', 'You are right.  It was a momentary lapse. I will stay with the Rebellion.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '53', 's_548', 'Doubt is understandable, but have faith.  We are on the right side.  No one wants to cater to a tyrant.  Down with the Empire!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '54', 's_550', 'I believe I can help you with your bank account.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '55', 's_552', 'While I\'m not in the habit of taking personal gifts, I admit that we need all the help we can get.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '56', 's_554', 'I\'d like to give you a donation of 20000 credits.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '57', 's_556', 'I appreciate this donation as long as it is backed up by the appropriate funds.  ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '58', 's_558', 'I really believe in your cause.  How about this 100000 credit donation?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '59', 's_560', 'I\'m blown away!  This will go quite a ways to help in our war effort.  Pardon me for being suspicious, but I need to confirm these funds.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '60', 's_562', 'How are we doing in the war against the Imperial tyrants?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '61', 's_564', 'Our spies have reported that the possession of the planet stands at Rebel: %TO and Imperial: %DI.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '62', 's_566', 'Hello friend.  Is there something that I can do for you?  Are you interested in helping free the peoples of the galaxy?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '63', 's_568', 'I\'d like to donate to your personal cause.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '64', 's_570', 'I would be happy to accept a donation.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '65', 's_572', 'I just happen to have a spare 20000 credits for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '66', 's_574', 'Your donation is certainly appreciated.  Let me just quickly verify the bank funds.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '67', 's_576', 'Here are 100000 credits that were just sitting in my bank.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '68', 's_578', 'Wow!  That\'s quite a donation.  Thank you very much.  Your donation will be processed after I verify the funds.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '69', 's_580', 'I would like to join you in your fight against the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '70', 's_582', 'Your enthusiasm warms my heart.  I\'m afraid that right now, your loyalty is somewhat in question.  Go out and prove to us that you want to help us overthrow the Empire and we can talk later.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '71', 's_584', 'This is not a decision to be taken lightly.  Rebels are hunted across the galaxy.  If you join us, while you are an active combatant, Imperials will attack you on sight but Imperial Special Forces will leave you alone.  Are you ready for that?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '72', 's_586', 'That doesn\'t scare me.  Down with the Emperor!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '73', 's_588', 'Superb!  Welcome to the Rebellion!  ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '74', 's_590', 'Thank you very much.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '75', 's_592', 'Now that you put it that way, perhaps I was a bit hasty.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '76', 's_594', 'We only want serious, committed candidates.  If you change your mind, talk to me then.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/faction_recruiter_rebel.stf', '77', 's_596', 'Greetings.  I see that your status is currently being processed.  I won\'t be able to help you until that is complete.  It should not take much longer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_combat_healing_quest.stf', '1', 'do_not_edit', 'The English version of this file (fs_combat_healing_quest.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_combat_healing_quest.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_combat_healing_quest.stf', '3', 's_14e60463', 'You don\'t seem to have any medical training at all. I\'m sorry, but I don\'t think you are going to be able to help me');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_combat_healing_quest.stf', '4', 's_1f0513d3', 'Yes! Yes! I need you to go find the groups of defenders and join them, you will need to support them while they are defending us as any good medic would. Be careful, you will be in harms way sometimes! If you can help out fifty times that would be a great help! Oh, and you can come back and talk to me or the droids to track your progress!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_combat_healing_quest.stf', '5', 's_25b83816', 'Yes, I\'m sure.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_combat_healing_quest.stf', '6', 's_2e7fd1c', 'Sorry, maybe later.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_combat_healing_quest.stf', '7', 's_3fd56843', 'Brilliant! I need you to, well to help the troops more. If you can help out a total of 100 times that would be wonderful.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_combat_healing_quest.stf', '8', 's_48b1807b', 'What? Do I look like I have time to chit chat?!?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_combat_healing_quest.stf', '9', 's_5b2d3e0f', 'Who? Oh, you seem far too busy to help me now, if you have time please see if there are any other medics available.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_combat_healing_quest.stf', '10', 's_5b948c11', 'Ah! Yes, you\'re back! You\'ve done so much, I happen to have an extra tank that we don\'t have room for, I\'m sure a gifted healer such as yourself will find a good place for it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_combat_healing_quest.stf', '11', 's_5d4f7fdb', 'On second thought...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_combat_healing_quest.stf', '12', 's_671a071f', 'Well, let me know if you change your mind!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_combat_healing_quest.stf', '13', 's_67e6df55', 'Okay.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_combat_healing_quest.stf', '14', 's_6a7931f2', 'Hmm... I can tell you are a great healer, I may have something else for you if you are interested in helping some more.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_combat_healing_quest.stf', '15', 's_7263868e', 'Thank you! Thank you so much for your help! Can\'t talk much, still have much to do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_combat_healing_quest.stf', '16', 's_7ed32afc', 'Huh? Oh! Great! More medics! The troops are in desperate need of support. Are you here to provide the medical support?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_combat_healing_quest.stf', '17', 's_8c663fab', 'I see, I see... I was hoping you would be made of sterner stuff, but I guess not.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_combat_healing_quest.stf', '18', 's_8d7b6d3', 'Hmm... I see the Force has gifted you as a healer. You seem to have unlocked some potential in yourself. I wish I could guide you more, but that is all I can do for you. There is still much to do, let me know if you would like to help some more.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_combat_healing_quest.stf', '19', 's_8fddaea0', 'Yes, I want to help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_combat_healing_quest.stf', '20', 's_a7b82bb9', 'Huh? I can\'t deal with you if you don\'t have any room to hold things, clear up some room and come back! And hurry, I\'m not sure how long we have.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_combat_healing_quest.stf', '21', 's_aa2e6c00', 'Sure, I\'ll help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_combat_healing_quest.stf', '22', 's_ad2d5f2b', 'Help? Yes, you can help! What I need you to help with is troop support. This may put you in direct harms way, and you won\'t be able to help the other villagers with their tasks, but I will make sure Noldan helps you to develop your healing abilities even more. Are you sure?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_combat_healing_quest.stf', '23', 's_d4d1a11f', 'Sorry, no.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_combat_healing_quest.stf', '24', 's_df4917e', 'Too bad, too bad, we need some help here, but I\'m sure you already realized that. Excuse me, I have much to do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_combat_healing_quest.stf', '25', 's_e6d3592a', 'I see, I see, yes very good, it looks like %TO');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_combat_healing_quest.stf', '26', 's_e734fdf3', 'Keep at it!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_experience_converter.stf', '1', 'do_not_edit', 'The English version of this file (fs_experience_converter.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_experience_converter.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_experience_converter.stf', '3', 's_2734c210', 'I wish to learn more about using the Force to enhance my reflexes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_experience_converter.stf', '4', 's_37fbfae6', 'I am sorry, stranger.  Your mind is still too cloudy for me to help you.  Remove your doubts with journey and mediation.  Then return to me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_experience_converter.stf', '5', 's_433c2a58', 'Allow me to help you to open your mind to new possibilities...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_experience_converter.stf', '6', 's_69a7c6ca', 'I wish to learn new uses of the Force.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_experience_converter.stf', '7', 's_73ab6ff4', 'I wish to learn more about using the Force for crafting.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_experience_converter.stf', '8', 's_7542cfea', 'Allow me to help you understand your experiences...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_experience_converter.stf', '9', 's_76fa10e4', 'I wish to learn more about using the Force for combat.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_experience_converter.stf', '10', 's_7abe0196', 'I sense that you are able to learn the following: %TO');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_experience_converter.stf', '11', 's_962f82a6', 'Welcome, friend! Come here and tell me what insight I may provide for you today?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_experience_converter.stf', '12', 's_968c3ff6', 'I wish to learn more about using the Force to enchance my senses.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_experience_converter.stf', '13', 's_e4c01185', 'What aspects of the Force am I ready to learn?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_gadget_specialist.stf', '1', 'do_not_edit', 'The English version of this file (fs_gadget_specialist.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_gadget_specialist.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_gadget_specialist.stf', '3', 's_1283cb1c', 'That\'s quite alright. Good day to you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_gadget_specialist.stf', '4', 's_3d8991fc', 'I... um... see. Well. Good day then.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_gadget_specialist.stf', '5', 's_4389624e', 'Aurilia on Dathomir... yeah, I know the place. Well, know of it anyway. I\'ve done business with them in the past. They need a replacement computer core?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_gadget_specialist.stf', '6', 's_46bdeee4', 'Sounds like a terrible idea. Thanks for nothing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_gadget_specialist.stf', '7', 's_4bcdc402', 'You need to collect or craft all of the required components and place them in the kit. Once you have all of the components, the kit\'s automated system will build the tracking device.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_gadget_specialist.stf', '8', 's_4d7434d2', 'That\'s disappointing. But I guess if you don\'t have one, then you don\'t have one.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_gadget_specialist.stf', '9', 's_533919fc', 'Tell the Aurilia engineer that I wish I could have been more helpful, but not much I can really do about something like that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_gadget_specialist.stf', '10', 's_55082d0b', 'Er... no one. I\'m sorry to have bothered you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_gadget_specialist.stf', '11', 's_5542b04b', 'Oh, my apologies. I\'ll let you get back to work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_gadget_specialist.stf', '12', 's_5a562246', 'I\'ve much to do...  can I help you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_gadget_specialist.stf', '13', 's_65f76975', 'Go to any ticket droid at a starport. They have access to the database with information about fallen and abandoned satellites around the galaxy. You can purchase the rights to one of them from the droid.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_gadget_specialist.stf', '14', 's_6d9d310', 'Ha. I was just offering to help. You can\'t expect me to ignore my livelihood and give this kind of thing away for nothing. My price is more than fair. But whatever. Good day.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_gadget_specialist.stf', '15', 's_70253663', 'The chief engineer at Aurilia can probably give you more information, but I believe you\'ll have to modify the core\'s current interface so that it will be compatible with the village\'s computer. Usually there\'s a simple menu on the core itself that will allow you to try and modify it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_gadget_specialist.stf', '16', 's_7045a2d7', 'Welcome back. Still interested in a downed satellite tracking device? The price is 530 credits.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_gadget_specialist.stf', '17', 's_79fe19ed', 'Yes, I was told you could help me obtain a replacement computer core.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_gadget_specialist.stf', '18', 's_7f396fce', 'How do I use this tracking device?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_gadget_specialist.stf', '19', 's_85bd3ae2', 'The chief engineer from a village on Dathomir. The village of Aurilia.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_gadget_specialist.stf', '20', 's_8fe6a678', 'You must think I just fell off of a bantha! I\'ll not be scammed so easily.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_gadget_specialist.stf', '21', 's_9d19b512', 'Ha. Whatever. Be on your way, then.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_gadget_specialist.stf', '22', 's_a1dd9b9e', 'That\'s correct. Their current one was damaged during an attack on the village.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_gadget_specialist.stf', '23', 's_a8749106', 'Sounds fair enough. I\'ll take one.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_gadget_specialist.stf', '24', 's_b49f7181', 'A replacement computer core? Who gave you that idea?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_gadget_specialist.stf', '25', 's_b518079a', 'You don\'t seem to have enough funds at the moment. I\'d love to help, but I can\'t give the kit away for nothing. Come back when you have more funds.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_gadget_specialist.stf', '26', 's_b867b2e4', 'How do I make this computer core work with the village computer?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_gadget_specialist.stf', '27', 's_b9f237f', 'Sounds reasonable. I\'m off to the starport.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_gadget_specialist.stf', '28', 's_bab2829b', 'How do I get tracking data for a fallen satellite?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_gadget_specialist.stf', '29', 's_bdcd33ef', 'Excellent. I\'ll just place it in your inventory. Good luck finding a satellite and that replacement computer core.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_gadget_specialist.stf', '30', 's_bdedc5e2', 'Wait! Before speaking with the droid, there\'s one other thing. You\'ll need a downed satellite tracking device. When you purchase the rights to one, the droid will upload tracking data to your tracking device. It will then help you to locate the fallen satellite. I can provide you with a kit for just such a device for a small fee. Say, 530 credits? ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_gadget_specialist.stf', '31', 's_be1b8c5a', 'Is there nothing that can be done to find a replacement for Aurilia?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_gadget_specialist.stf', '32', 's_be68030a', 'Well, I wish I could help, but I don\'t have anything like that in stock. Rarely do to be honest. I tend to tinker more with smaller devices. Large systems like a town... or village... computer require far more attention than I\'m willing to give.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_gadget_specialist.stf', '33', 's_c7baf80c', 'What do I do with this tracking device kit?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_gadget_specialist.stf', '34', 's_d8a8c77e', 'Now you can bring it to Aurilia\'s chief engineer and then bask in the glory of a job well done.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_gadget_specialist.stf', '35', 's_e5c058a8', 'Hmm... let me think a minute.\n\nYou know, there might just be something I can help you with after all. Most satellites have a central computer that is heavily shielded to withstand the extreme nature of their orbit. Once a satellite falls from orbit and is abandoned, anyone can purchase the rights to them. I\'ve done so myself on various occassions.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_gadget_specialist.stf', '36', 's_e79d337', 'Nothing\'s easier. you simply go to any starport and speak with the ticket droid. These droids have access to a galactic-wide database that maintains records about satellites in orbit around most known planets. For a fee, you can purchase the rights to one that has fallen and gone unclaimed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_gadget_specialist.stf', '37', 's_f9732f00', 'Simply use the device\'s menu and choose to activate the tracking device. If you\'re on the wrong planet, it will tell you which planet the satellite is on. Once you\'re on the correct planet, the device can then pinpoint the exact location of the satellite.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_gadget_specialist.stf', '38', 's_faaeb65f', 'You don\'t have enough space in your inventory for the kit. Make some room and then come speak with me again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_gadget_specialist.stf', '39', 's_fe739220', 'The computer core is ready... now what?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_gadget_specialist.stf', '40', 's_fff0f4f2', 'How do I purchase the rights to a fallen and abandoned satellite?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_intro_oldman_initial.stf', '1', 'do_not_edit', 'The English version of this file (fs_intro_oldman_initial.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_intro_oldman_initial.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_intro_oldman_initial.stf', '3', 's_31a054f9', 'Mellichae is the leader of the Sith Shadows.  He is responsible for the attacks at the village.  Scouts have reported he has set up camp near here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_intro_oldman_initial.stf', '4', 's_383079e', 'Are you sure?  It\'s a fairly urgent matter.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_intro_oldman_initial.stf', '5', 's_3aab754', 'Very good.  Here is the crystal. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_intro_oldman_initial.stf', '6', 's_419f8694', 'Very well then.  Perhaps another time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_intro_oldman_initial.stf', '7', 's_477068d1', 'I am busy at the moment.  Perhaps later.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_intro_oldman_initial.stf', '8', 's_501448da', 'Yes, what is it you need?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_intro_oldman_initial.stf', '9', 's_6b88daf2', 'No, I have never thought about it really.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_intro_oldman_initial.stf', '10', 's_7f8604a5', 'I was wondering if you had ever considered the possibility that you might be connected with the Force?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_intro_oldman_initial.stf', '11', 's_83e20fb8', 'Very well then.  Perhaps we will meet again at another time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_intro_oldman_initial.stf', '12', 's_958f442', 'Hello again, my friend.  Thank you for all of your help at the village.  The time has come for you to hunt down and destroy Mellichae. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_intro_oldman_initial.stf', '13', 's_9641e6e', 'Where is his camp located?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_intro_oldman_initial.stf', '14', 's_a3291a29', 'Yes, the thought had crossed my mind a few times.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_intro_oldman_initial.stf', '15', 's_aa6a1756', 'Oh? Very well then.  What is it you wanted to discuss?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_intro_oldman_initial.stf', '16', 's_ac22e1a3', 'Very well then.  I shall return later. Thanks again for all your help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_intro_oldman_initial.stf', '17', 's_b81ceeb4', 'Yes,  I will keep it safe for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_intro_oldman_initial.stf', '18', 's_c6f70929', 'No, I am not interested.  Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_intro_oldman_initial.stf', '19', 's_c7146ea8', 'I am sorry.  I have nothing to discuss with you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_intro_oldman_initial.stf', '20', 's_cf55fe01', 'So you sense it as well.  I have a Force crystal here if you are interested in discovering for certain.  Perhaps you could hold onto it and keep it safe? ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_intro_oldman_initial.stf', '21', 's_de9da426', 'Hello. I have been meaning to speak with you for some time. Do you have a moment?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_intro_oldman_initial.stf', '22', 's_e0a90395', 'I\'m sorry.  I really don\'t have time now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_intro_oldman_initial.stf', '23', 's_eb24a286', 'Hmmmm.  Perhaps I misjudged you. I have a Force crystal here if you are interested in discovering for certain. Perhaps you could hold onto it and keep it safe?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_intro_oldman_initial.stf', '24', 's_f5c5ace0', 'Although the exact location is still unknown, his camp is relatively close to here.  I have given the approximate location to you as a waypoint.  Be very careful.  You may want to bring some friends. Defeating Mellichae will not be easy... Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_intro_oldman_initial.stf', '25', 's_fb9e0b93', 'No, I am busy right now.  Perhaps another time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_intro_oldman_initial.stf', '26', 's_fbd984c8', 'Who is Mellichae? Where is his camp located?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_medic_puzzle_head_medic.stf', '1', 'do_not_edit', 'The English version of this file (fs_medic_puzzle_head_medic.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_medic_puzzle_head_medic.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_medic_puzzle_head_medic.stf', '3', 's_1024d197', 'Yes, I\'m here to help');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_medic_puzzle_head_medic.stf', '4', 's_1718c6ed', 'Good. Before we get started, I should let you know that you will be too busy to help out any of the other villagers. Also, I will talk with Noldan and he can help you out with some persuasion techniques if you help out. Are you sure you would like to help?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_medic_puzzle_head_medic.stf', '5', 's_17db6d3c', 'With the use of high and lower quality components, and careful experimentation, you can specialize the treatment to cure specific symptoms. You should also be able to change what sort of side effects it produces. See if you can treat five patients, and good luck with that. Talk to the medical droids. They will help you administer the medicine.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_medic_puzzle_head_medic.stf', '6', 's_2e7eb20b', 'On second thought, no thanks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_medic_puzzle_head_medic.stf', '7', 's_2fee0236', 'Hmmm? Oh, talk to the medical droids if you are stuck. Medical records show you have %TO more to go.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_medic_puzzle_head_medic.stf', '8', 's_3228a43d', 'No, sorry I\'m in the wrong place.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_medic_puzzle_head_medic.stf', '9', 's_3496f642', 'You\'ve already done more than anyone ever expected, please take some time to rest, everyone needs to take a moment to rest.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_medic_puzzle_head_medic.stf', '10', 's_36b08dde', 'You seem to have a few too many items in your bag there, why don\'t you free up some room, then come talk to me again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_medic_puzzle_head_medic.stf', '11', 's_3b984995', 'I\'m sorry, I don\'t know you. I only work with people I know.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_medic_puzzle_head_medic.stf', '12', 's_3c93827f', 'Okay');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_medic_puzzle_head_medic.stf', '13', 's_41e66cca', 'Sorry to hear that. I know everyone here can use some help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_medic_puzzle_head_medic.stf', '14', 's_464f7bf4', 'Good, Please talk to the medical droids again and they will help you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_medic_puzzle_head_medic.stf', '15', 's_47a32bb0', 'You don\'t seem to have enough medical training. I\'m sorry, but I don\'t think you are going to be able to help me. I need at least a Master Medic, if not someone with more experience.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_medic_puzzle_head_medic.stf', '16', 's_69ab9125', 'No, I have some other things to take care of.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_medic_puzzle_head_medic.stf', '17', 's_728f65ee', 'Great! Let me explain what has happened. It seems in the last attack there were multiple uses of some rather potent chemical weapons. Those you see lying around here are still sick. Unfortunately, normal medicines are not helping them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_medic_puzzle_head_medic.stf', '18', 's_7857c2a9', 'How are you treating them?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_medic_puzzle_head_medic.stf', '19', 's_86129116', 'Yes, I would like to continue.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_medic_puzzle_head_medic.stf', '20', 's_8a54510d', 'You look to be rather busy at the moment, come back to me when you aren\'t so busy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_medic_puzzle_head_medic.stf', '21', 's_94d417d1', 'Well, I devised a highly potent, yet also highly dangerous counteragent to many of the symptoms. The only problem is that it has some side effects that are almost as bad as what they currently have. However, through multiple treatments, I\'ve been able to cure some. Here, this draft schematic will allow you to work with the medical droids to help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_medic_puzzle_head_medic.stf', '22', 's_a7afcfea', 'Splendid! Here, I think you may find some use of this, I know it\'s not much, but it should help. We still have more to do if you are interested, just let me know.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_medic_puzzle_head_medic.stf', '23', 's_bef6939f', 'I\'m sorry to hear that, I will do my best here. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_medic_puzzle_head_medic.stf', '24', 's_c4682ea6', 'Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_medic_puzzle_head_medic.stf', '25', 's_cc506105', 'My, you are tenacious. Well, I have something that will prove useful to you, this plant is rather difficult to grow, but if you are up to the challenge, and it seems you are, the fruit is... well, you will see.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_medic_puzzle_head_medic.stf', '26', 's_cc64464a', 'Yes, let\'s get started');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_medic_puzzle_head_medic.stf', '27', 's_d08f8eb6', 'Good luck. Talk with the medical droids for help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_medic_puzzle_head_medic.stf', '28', 's_d17142db', 'What do I do with this?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_medic_puzzle_head_medic.stf', '29', 's_d46bb0c5', 'Hello, I\'m the head physician here. Are you one of the new Medics sent to help out?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_medic_puzzle_head_medic.stf', '30', 's_db216f5', 'Well, I wouldn\'t loiter around here. Too many sick people.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_medic_puzzle_head_medic.stf', '31', 's_ddb49891', 'Oh, you are still here? well if you like, go ahead and heal at least five more patients then come talk to me again, I have a little trinket you might find useful.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_medic_puzzle_head_medic.stf', '32', 's_e15eb34d', 'Back again are we? Well I have a special plant you may find useful, but you will need to prove you are worthy. Go heal at least another five patients then come talk to me again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_medic_puzzle_head_medic.stf', '33', 's_fc604056', 'Wonderful! You are well under way into understanding your potential. You may wish to talk to Noldan to learn more. If you are looking for more work, let me know.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_medic_puzzle_sick01.stf', '1', 'do_not_edit', 'The English version of this file (fs_medic_puzzle_sick01.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_medic_puzzle_sick01.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_medic_puzzle_sick01.stf', '3', 's_12ec68a8', 'What is wrong with this patient?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_medic_puzzle_sick01.stf', '4', 's_1d567ce1', 'Always a pleasure to assist. Please let me know if there is anything else I can assist with.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_medic_puzzle_sick01.stf', '5', 's_3904c58', 'This patient is currently suffering from %TO. If you have any treatments you would like to administer to him, please give the treatment to me so I can administer them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_medic_puzzle_sick01.stf', '6', 's_67e6df55', 'Okay.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_medic_puzzle_sick01.stf', '7', 's_95a8553f', 'Please talk to Sivarra Mecheaux for inquiries about gaining access.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_medic_puzzle_sick01.stf', '8', 's_95bc25f3', 'Greetings, I am the 2-1B Medical droid in charge of this patient. How may I assist you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_medic_puzzle_sick01.stf', '9', 's_a4d284b1', 'Never mind, I\'m looking for another patient.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_medic_puzzle_sick01.stf', '10', 's_b9b27823', 'Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_medic_puzzle_sick01.stf', '11', 's_bf4eec78', 'I am sorry, but only authorized medical personnel have access to my functions.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_medic_puzzle_sick01.stf', '12', 's_fa8f35d7', 'Accessing Medical Records...\n\nTotal Records found with indications you have helped our troops: %TO ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_patrol_quest_start.stf', '1', 'do_not_edit', 'The English version of this file (fs_patrol_quest_start.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_patrol_quest_start.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_patrol_quest_start.stf', '3', 's_13f339fe', 'Your information gathering is first rate.  We should be able to start rebuilding.  I have something for you, it\'s not much, but it\'s what I\'ve got.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_patrol_quest_start.stf', '4', 's_1485495', 'Sorry to hear that.  Let me know if you change your mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_patrol_quest_start.stf', '5', 's_199a175c', 'Yes, let\'s get started.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_patrol_quest_start.stf', '6', 's_1b5216d5', ' Perfect.  We can put this information to some good use.  Ok, here\'s your next patrol route.  You know the routine.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_patrol_quest_start.stf', '7', 's_1f1e059', 'Ok, then here\'s another one for you.  Get to it soldier.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_patrol_quest_start.stf', '8', 's_2248d7ad', 'All right, but here\'s the drill.  Once you start working for me, I can\'t have you taking jobs from anyone else.  I demand complete focus from all my soldiers. One other thing.  If you finish this, I\'ll let Noldan know you will be ready for some ranged accuracy training.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_patrol_quest_start.stf', '9', 's_240c8c9d', 'Yes, I\'m interested.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_patrol_quest_start.stf', '10', 's_2872b835', 'Good. Ok, you know the drill.  Here\'s the next route.  Let\'s get it going.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_patrol_quest_start.stf', '11', 's_30c694db', 'Well then, get out there and get the job done, soldier!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_patrol_quest_start.stf', '12', 's_37871f01', 'As I understand it you already have some assignments from some of the other villagers.  Come back when you don\'t have so much on your plate.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_patrol_quest_start.stf', '13', 's_491ce1ad', 'I\'m starting to worry about your performance soldier.  This data isn\'t complete.  Get back out there and start over, I don\'t have time for incomplete reports.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_patrol_quest_start.stf', '14', 's_4b5df4f5', 'Are you back already?  You finish that last patrol?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_patrol_quest_start.stf', '15', 's_4c695dbd', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_patrol_quest_start.stf', '16', 's_5f2a0dac', 'You\'ve been a lot of help to me, but our patrols are filled.  We don\'t need the help just yet.  Use this time for some R&R, or maybe see if someone else needs some help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_patrol_quest_start.stf', '17', 's_60a74f25', 'No thanks, Once was enough.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_patrol_quest_start.stf', '18', 's_61dc9e2d', 'Alright, here\'s a new patrol.  Now get out there and get to it, soldier.  I don\'t have time to babysit you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_patrol_quest_start.stf', '19', 's_649f5207', 'I need the recon data ASAP.  I don\'t have time to wait, and neither do you.  Get back to work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_patrol_quest_start.stf', '20', 's_67427da4', 'Actually, it doesn\'t look like you did.  Your data is incomplete.  I\'m gonna have to ask you to start over.  And soldier?  Do it right this time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_patrol_quest_start.stf', '21', 's_6d3ed33b', 'Yes, and I\'m ready for more.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_patrol_quest_start.stf', '22', 's_764478e7', 'No, there are others I need to help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_patrol_quest_start.stf', '23', 's_7d744b43', 'I hear your patrols are top of the line.  Good to have someone like you around.  I guess you\'re starting to get a sense of how powerful you really are.  Keep up the good work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_patrol_quest_start.stf', '24', 's_9e38953b', 'Did you finish that patrol?  I see you\'re back, but I don\'t think that necessarily means you finished...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_patrol_quest_start.stf', '25', 's_9ec72704', 'Good, here is your first assignment.  I need you to hit all eight points on this patrol, and then report back every time you finish so I can give you the next. I have ten total I need you to do. \nYour standing orders are to subdue any hostiles you come across.  If you see any groups larger than three, try to avoid them so that we can gather more intelligence from them. Just remember, we can\'t gather information if they are dead.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_patrol_quest_start.stf', '26', 's_b76cc5ed', 'How are you, soldier?  I understand you\'re looking for something to do?  Great.  I have some patrol routes I need covered.  You interested?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_patrol_quest_start.stf', '27', 's_cbbe47bb', 'Are you sure you want to start over?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_patrol_quest_start.stf', '28', 's_d33566f3', 'No, I need to restart the patrol.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_patrol_quest_start.stf', '29', 's_d6695e83', 'No thanks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_patrol_quest_start.stf', '30', 's_d70dba34', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_patrol_quest_start.stf', '31', 's_e0c9cc07', 'That\'s all right, everyone around here needs a little help.  Come back and see me when you\'ve got more time on your hands.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_patrol_quest_start.stf', '32', 's_ebd8c749', 'I wish I could talk to you right now, but I just don\'t have the time.  Come see me later, though, I may have something for you then.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_patrol_quest_start.stf', '33', 's_ec2d9d88', 'Whatever I can do to help!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_patrol_quest_start.stf', '34', 's_fa12949a', 'Ok, but I\'m gonna need to find someone to do these patrol routes.  I need to make sure the village isn\'t in any immediate danger.  Come back if you change your mind, I could use someone like you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_patrol_quest_start.stf', '35', 's_fb116507', 'I need more help on the patrol routes.  You\'re proving to be quite valuable to this little operation.  Are you up for some more?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_phase4_chief_engineer.stf', '1', 'do_not_edit', 'The English version of this file (fs_phase4_chief_engineer.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_phase4_chief_engineer.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_phase4_chief_engineer.stf', '3', 's_121666b3', 'Success, the replacement computer core is ready!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_phase4_chief_engineer.stf', '4', 's_174ddced', 'I\'ve changed my mind. You\'re on your own. Good luck... I guess.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_phase4_chief_engineer.stf', '5', 's_199cece6', 'Ah, good to see you again. Have you had a chance to develop your mastery of crafting and repair? No wait... don\'t answer. I wish I had more time to speak, but I\'m so very busy. I must get back to work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_phase4_chief_engineer.stf', '6', 's_1a960799', 'Yes. Yes there is. During the first of the recent attacks on the village, our primary computer was damaged, and the computer core has become unstable. A new core must be found as soon as possible. Thanks to all the damage being caused by the attacks, I am unable go find a replacement, but you could go get one in my place.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_phase4_chief_engineer.stf', '7', 's_29622c26', 'There\'s one in Keren on Naboo, on in Mos Entha on Tatooine, and one in Coronet on Corellia. I can upload a waypoint to their location if you\'d like?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_phase4_chief_engineer.stf', '8', 's_29e5661', 'Right. Good. Come back if you find a replacement. Or if you have any questions.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_phase4_chief_engineer.stf', '9', 's_3031b4c9', 'Excellent. Continue from where you left off. Come speak with me again if you have any questions.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_phase4_chief_engineer.stf', '10', 's_3196d2e0', 'Right. Well then I\'ve wasted enough time talking. There\'s much for me to attend to.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_phase4_chief_engineer.stf', '11', 's_4136c2df', 'Thank you very much.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_phase4_chief_engineer.stf', '12', 's_4294034a', 'No, It\'s... um... not ready yet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_phase4_chief_engineer.stf', '13', 's_4bcdc402', 'You need to collect or craft all of the required components and place them in the kit. Once you have all of the components, the kit\'s automated system will build the tracking device.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_phase4_chief_engineer.stf', '14', 's_50191de0', 'Hmmm... you don\'t appear to have the computer core with you. Please return when you have it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_phase4_chief_engineer.stf', '15', 's_5062e892', 'You worked with the last chief engineer, right? But weren\'t able to find a replacement in time. Would you like to try again? Continue from where you left off?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_phase4_chief_engineer.stf', '16', 's_5542b04b', 'Oh, my apologies. I\'ll let you get back to work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_phase4_chief_engineer.stf', '17', 's_59f5cee6', 'Is there anything I can do to help?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_phase4_chief_engineer.stf', '18', 's_59f634d7', 'I\'d like a waypoint to the gadget specialist in Coronet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_phase4_chief_engineer.stf', '19', 's_61fa9d29', 'Hmm... what would that mean I\'d have to do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_phase4_chief_engineer.stf', '20', 's_64391455', 'It\'s you... good. Did you find a replacement computer core? Have you configured it so that it will be compatible with our computers?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_phase4_chief_engineer.stf', '21', 's_6516bd5a', 'Yes, I\'ve made room and returned as you asked');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_phase4_chief_engineer.stf', '22', 's_65f76975', 'Go to any ticket droid at a starport. They have access to the database with information about fallen and abandoned satellites around the galaxy. You can purchase the rights to one of them from the droid.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_phase4_chief_engineer.stf', '23', 's_69b44245', 'No waypoint needed. I\'ll speak to them and get you a replacement computer core.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_phase4_chief_engineer.stf', '24', 's_6c741657', 'No, no, no... it\'ll have to wait. \n\nSorry, sorry. Just trying to sort some things out. You\'re the one helping with the replacement core, right? If I can answer any questions, just ask. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_phase4_chief_engineer.stf', '25', 's_742ff942', 'Oh, that\'s not good. Please hurry. Our backup is not going to last much longer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_phase4_chief_engineer.stf', '26', 's_7496bddd', 'Do you know how this satellite tracking device works?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_phase4_chief_engineer.stf', '27', 's_7f1492c', 'That\'s not a problem. How do I get started on this?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_phase4_chief_engineer.stf', '28', 's_7f1e8a0c', 'I\'d like a waypoint to the gadget specialist in Mos Entha.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_phase4_chief_engineer.stf', '29', 's_85cf8e18', 'Oh. Hmmm... maybe I should think about this a bit more.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_phase4_chief_engineer.stf', '30', 's_860baf7e', 'Yes! Thank you! This will work perfectly. In exchange for your services, I will happily get you started on the road to the Mastery of Crafting Repair.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_phase4_chief_engineer.stf', '31', 's_8b482724', 'As further token of the village\'s thanks, we would like to present to you this section of an Aurilian sculpture.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_phase4_chief_engineer.stf', '32', 's_8e1d9e8a', 'I\'ll do it. Where can I find a replacement computer core?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_phase4_chief_engineer.stf', '33', 's_8ef5f872', 'Ah yes. The core\'s current interface will need to be modified so that it will be compatible with computers here in the village. There should be a simple menu you can access on the core itself that will allow you to attempt the modification. Be careful though... if you fail too often you could short out the core and render it useless.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_phase4_chief_engineer.stf', '34', 's_94925b50', 'Eh, no thanks. Sounds boring. I\'ll pass.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_phase4_chief_engineer.stf', '35', 's_96e10fe0', 'I see. Thank you for coming by. If you\'ll excuse me, I\'ve much to do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_phase4_chief_engineer.stf', '36', 's_9c2a9f48', 'Oh. Okay. Thank you. I think. I suppose I\'ll manage, Somehow.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_phase4_chief_engineer.stf', '37', 's_9caa26f9', 'Thank you, that\'s very kind. Normally I would gladly accept your help, but at the moment I\'m already juggling more people and problems than I can handle. Please come back after some time has passed and I\'ll see if I can phase you in.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_phase4_chief_engineer.stf', '38', 's_a2e520b8', 'Can you remind me where I need to go to find a replacement computer core?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_phase4_chief_engineer.stf', '39', 's_a69082f1', 'No thanks. Not this time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_phase4_chief_engineer.stf', '40', 's_acbab09c', 'Those freaks are attacking. Everything is breaking. I can\'t believe I accepted this chief engineering post. What was I thinking. Ah well, there\'s nothing for it now but to muddle through.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_phase4_chief_engineer.stf', '41', 's_b69a10cf', 'I\'d recommend speaking to a gadget specialist. I\'ve done business with a gadget specialist in the past and know where you can find one. Actually, I know of three of them. One in Keren on Naboo, on in Mos Entha on Tatooine, and one in Coronet on Corellia. I can upload a waypoint to their location if you\'d like?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_phase4_chief_engineer.stf', '42', 's_bab2829b', 'How do I get tracking data for a fallen satellite?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_phase4_chief_engineer.stf', '43', 's_bce29099', 'We would also like to present you with this section of an Aurilian sculpture as further thanks for your help. But it seems that you do not have room in your inventory for it at the moment. Please make some room and then speak with me again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_phase4_chief_engineer.stf', '44', 's_bf01c6a4', 'Well, I know some people who might be able to help you find one. You\'d need to contact one of them and see what they have to say. From there, both they and I can advise you.\n\nIn exchange for this service, I\'d be happy to help you unlock the secrets that will lead you toward mastering the art of repair.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_phase4_chief_engineer.stf', '45', 's_c7baf80c', 'What do I do with this tracking device kit?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_phase4_chief_engineer.stf', '46', 's_caa53683', 'That\'s quite alright. Okay, first I need to... something. Maybe I\'ll start... no no. Obviously. Well. Something.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_phase4_chief_engineer.stf', '47', 's_cbc96768', 'Arrrgh! It\'s too much! I\'m only one person... and new to this position no less. How can I be expected to keep the village defenses working while we\'re under attack? It\'s too much!!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_phase4_chief_engineer.stf', '48', 's_d38355d4', 'Excellent. And may the Force guide you. Return to me once you\'ve obtained the replacement core.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_phase4_chief_engineer.stf', '49', 's_dc34bd9c', 'Fair enough. If you decide you\'ll be able to help, I\'ll be here. Now let\'s see... which emergency was I working on...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_phase4_chief_engineer.stf', '50', 's_dd8b435', 'My pleasure. Ask if they can supply a replacement core. Then return here and bring it to me. Thanks and may the Force guide you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_phase4_chief_engineer.stf', '51', 's_e0f6c467', 'Ah enthusiasm... I like that. \n\nBefore getting started, you should know that in this village, you cannot work with more than one villager. So while you\'re working with me, you can\'t work with any other villagers.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_phase4_chief_engineer.stf', '52', 's_e3e36f42', 'I have a replacement computer core for the village.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_phase4_chief_engineer.stf', '53', 's_e77051e7', 'I don\'t have time to speak. Too much to do. Too much to do and not enough time. Too frantic. Arrgh.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_phase4_chief_engineer.stf', '54', 's_eac5593c', 'No, I\'m doing just fine. I\'ll leave you to your work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_phase4_chief_engineer.stf', '55', 's_ec479e11', 'Yes, hello. You\'ve returned the rest of your reward?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_phase4_chief_engineer.stf', '56', 's_f75c2f80', 'I\'d like a waypoint to the gadget specialist in Keren.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_phase4_chief_engineer.stf', '57', 's_f9732f00', 'Simply use the device\'s menu and choose to activate the tracking device. If you\'re on the wrong planet, it will tell you which planet the satellite is on. Once you\'re on the correct planet, the device can then pinpoint the exact location of the satellite.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_phase4_chief_engineer.stf', '58', 's_ff872480', 'Yes I would. Thank you for the second chance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_quests_sad2_conv.stf', '1', 'do_not_edit', 'The English version of this file (fs_quests_sad2_conv.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_quests_sad2_conv.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_quests_sad2_conv.stf', '3', 's_1adbadc4', 'I\'m ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_quests_sad2_conv.stf', '4', 's_1bb0236f', 'Good luck taking care of that Shadow camp.  Our soldiers are counting on you.  Follow your waypoint or use your radiation sensor if you don\'t have one.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_quests_sad2_conv.stf', '5', 's_1d03bd79', 'We\'re taking the fight to the enemy while we prepare our invincible shield defense.  Because of the preparations, and the scale of the conflict, our normal militia is overworked.  We\'re recruiting auxiliaries to be frontline combat troops.  We know the location of a number of Shadow bases that we want taken out to keep them on the run.  ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_quests_sad2_conv.stf', '6', 's_23720024', 'I cannot burden you with the village\'s problems while you have other tasks at hand.  Come back when your mind is clear.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_quests_sad2_conv.stf', '7', 's_253d75eb', 'All right -- if that is your wish.  You are always welcome here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_quests_sad2_conv.stf', '8', 's_45d6d31e', 'I\'m sorry - I can\'t help you right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_quests_sad2_conv.stf', '9', 's_45e3060a', 'Unfortunately, the Shadow has managed to evade our patrols.  We can\'t find them.  It\'s only a matter of time before we catch up with them, though - check back tommorrow.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_quests_sad2_conv.stf', '10', 's_47d40828', 'I cannot thank you enough.  Your vigilance, speed and bravery have undoubtedly saved many lives.  Please take this as a token of my respect - it\'s been sitting in my shop far too long. You\'ll find it makes you more nimble, better able to defend against ranged attacks.  You will also find that you\'ve achieved an understanding of how to increase your ranged defense through the Force.  May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_quests_sad2_conv.stf', '11', 's_4ae25b38', 'I would be honored to serve you and the Force.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_quests_sad2_conv.stf', '12', 's_5a1fb6b3', 'Please come back when you\'ve eliminated them - and be careful.  If we have waypoint data, we\'ve provided it to you, otherwise, remember to use your radiation sensor in your datapad.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_quests_sad2_conv.stf', '13', 's_6649d643', 'Someone is feeding them supplies, but we don\'t know who.  We\'ve located a base that\'s supplying a large area outside the village.  Can you track it down and destroy it for us?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_quests_sad2_conv.stf', '14', 's_86aa30ad', 'I see you\'ve misplaced your radiation sensor.  I\'m going to give you another one.  Good luck taking care of that Shadow camp.  Our people are counting on you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_quests_sad2_conv.stf', '15', 's_873e5003', 'All of the reports coming in are promising -- we definitely have them on the run now.  I think we\'re getting to their more elite troops - please be careful.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_quests_sad2_conv.stf', '16', 's_8909d6f9', 'Ok, I\'m glad you told me.  I\'ve got other things to do before I commit.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_quests_sad2_conv.stf', '17', 's_ad5c1b56', 'You\'ve helped enough for now, and we thank you.  I have nothing for you right now - rest a while.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_quests_sad2_conv.stf', '18', 's_b1cf9ec4', 'We may have turned the corner on this thing.  It feels great to finally take the battle to our enemy instead of waiting for them to attack.  Ready for another one?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_quests_sad2_conv.stf', '19', 's_b39e716', 'Understand this, my friend.  This mission is going to carry you out into the field as an operative for our militia.  You\'re going to be too busy to help us in any other way for a while -- possibly as much as 3 weeks.  This is your chance to back out.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_quests_sad2_conv.stf', '20', 's_b84b366c', 'How can I help?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_quests_sad2_conv.stf', '21', 's_be2a8162', 'I thank you for helping our village.  I\'ve heard of the good work you\'re doing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_quests_sad2_conv.stf', '22', 's_bf7dd33f', 'All right -- if that is your wish.  ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_quests_sad2_conv.stf', '23', 's_ce50d249', 'I thank you for the services you have rendered our village.  Our home is safe because of your skill and bravery.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_quests_sad2_conv.stf', '24', 's_e1175f92', 'I\'m sorry -- I can\'t help you right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_quests_sad2_conv.stf', '25', 's_e188a139', 'Greetings, stranger.  Your mind is clouded, you must clear it first.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_quests_sad2_conv.stf', '26', 's_e874c8c5', 'You are so burdened - I\'d like to reward you but I need you to free up space.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_quests_sad2_conv.stf', '27', 's_eabbdaa6', 'Glad to hear it.  Our militia uses a small tracking device called a radiation sensor to track the enemy out in the field. I\'m going to give you a control device that can sit in your datapad.  Activate it to get a reading.  As the reading goes up, you\'re getting close to the target.  Based on the strength of the readings, I think the nearest Shadow base is about 1000 meters from here.  Good luck, soldier.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_quests_sad2_conv.stf', '28', 's_ec95030', 'You look like you know your way around a weapon.  We need able bodied men to fill out our auxiliaries.  Are you prepared for the challenge?  I can teach you how to defend yourself from attacks at a distance by channelling the Force.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_quests_sad2_conv.stf', '29', 's_f1ccb161', 'We\'ll bring this Shadow out into the open if it\'s the last thing we do.  I\'m redoubling our patrols, which places great strain on the auxiliaries.  Think you can handle it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_quests_sad2_conv.stf', '30', 's_f4afc95c', 'All right, we\'re getting somewhere, finally.  Reports are coming in that a high-ranking officer of the Shadow is holed up nearby.  Take him out, now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_quests_sad2_conv.stf', '31', 's_f62934bc', 'They\'ve started moving their bases around in response to our attacks.  With the help of the Force, I hope we can find their new camps quickly.  Can you help?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_quests_sad2_conv.stf', '32', 's_f88c54a', 'Our spies have netted us another camp.  But you\'ll have to act quickly.  They look like they\'re ready to move.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_quests_sad2_conv.stf', '33', 's_faedbf19', 'No, I understand.  I\'m committed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_quests_sad_conv.stf', '1', 'do_not_edit', 'The English version of this file (fs_quests_sad_conv.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_quests_sad_conv.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_quests_sad_conv.stf', '3', 's_14c652fd', 'Now, I want to make something clear.  This mission is going to carry you out into the field as an operative for our militia.  It\'s going to be impossible to do anything else for our village for quite a while - possibly as much as 3 weeks.  You can back out now, but once I give you our intelligence data, you\'re committed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_quests_sad_conv.stf', '4', 's_1adbadc4', 'I\'m ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_quests_sad_conv.stf', '5', 's_21cb22af', 'I cannot thank you enough.  Your vigilance, speed, and bravery have undoubtedly saved many lives.  Please take this as a token of my respect -- it\'s been sitting in my shop far too long.  You\'ll find it will help you make your melee weapons faster, but extremely durable.  The whole village is in your debt.  I believe you will find that you have also learned the secret to increased melee speed through the Force.  May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_quests_sad_conv.stf', '6', 's_23720024', 'I cannot burden you with the village\'s problems while you have other tasks at hand.  Come back when your mind is clear.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_quests_sad_conv.stf', '7', 's_253d75eb', 'All right -- if that is your wish.  You are always welcome here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_quests_sad_conv.stf', '8', 's_45d6d31e', 'I\'m sorry - I can\'t help you right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_quests_sad_conv.stf', '9', 's_45e3060a', 'Unfortunately, the Shadow has managed to evade our patrols.  We can\'t find them.  It\'s only a matter of time before we catch up with them, though - check back tommorrow.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_quests_sad_conv.stf', '10', 's_511b214d', 'You did us a great service with your last raid on the Shadow, but there are more out there.  Can you help us again?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_quests_sad_conv.stf', '11', 's_52917b0d', 'Of course.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_quests_sad_conv.stf', '12', 's_71c49afd', 'Please come back when you\'ve eliminated them -- and be careful.  My lieutenants are coordinating the attacks, so they may be able to send you waypoints if one of the patrols has found a Shadow base.  Otherwise, remember to use the radiation sensor in your datapad. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_quests_sad_conv.stf', '13', 's_744e165e', 'Exciting news!  We\'ve finally tracked down one of their high-ranking officers.  Our efforts have flushed him out, and our agent caught a glimpse of him just a while back.  I think...well, better not say anything.  Be careful -- a cornered rat fights hard.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_quests_sad_conv.stf', '14', 's_7b05a163', 'All right - if that is your wish.  You are always welcome here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_quests_sad_conv.stf', '15', 's_86aa30ad', 'I see you\'ve misplaced your radiation sensor.  I\'m going to give you another one.  Good luck taking care of that Shadow camp.  Our people are counting on you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_quests_sad_conv.stf', '16', 's_8903f2e3', 'Good luck taking care of that Shadow camp.  Our soldiers are counting on you.  I\'m not sure if my lieutenants were able to update your datapad with a waypoint, but if not you\'ve got your radiation sensor, right?  Good enough.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_quests_sad_conv.stf', '17', 's_8909d6f9', 'Ok, I\'m glad you told me.  I\'ve got other things to do before I commit.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_quests_sad_conv.stf', '18', 's_a4ab4cd7', 'Greetings, stranger.  Focus on clearing your mind.  It is still cloudy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_quests_sad_conv.stf', '19', 's_ace5dd74', 'All of the reports coming in are promising -- we definitely have them on the run now.  I think we\'re getting to their more elite troops -- please be careful.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_quests_sad_conv.stf', '20', 's_ad5c1b56', 'You\'ve helped enough for now, and we thank you.  I have nothing for you right now - rest a while.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_quests_sad_conv.stf', '21', 's_ae82a454', 'Unfortunately, one of our field soldiers was caught and killed.  But he managed to get us a message with the coordinates of an enemy base.  Can you avenge him for us?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_quests_sad_conv.stf', '22', 's_b1cf9ec4', 'We may have turned the corner on this thing.  It feels great to finally take the battle to our enemy instead of waiting for them to attack.  Ready for another one?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_quests_sad_conv.stf', '23', 's_b3f0b662', 'Greetings.  I am eager for your assistance.  In return, I offer to train you to use the Force to quicken you in melee.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_quests_sad_conv.stf', '24', 's_b84b366c', 'How can I help?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_quests_sad_conv.stf', '25', 's_bc39cbe0', 'A variety of Shadow bases have been spotted in the surrounding countryside.  We suspect they are marshalling their forces for some sort of large-scale raid unlike anything we\'ve seen.  If they were to strike now, we would be horribly unprepared.  We must convince them that we are much stronger than we, in fact, are.  Village agents are scouring the countryside as we speak, looking for likely targets for dynamic raids.  We can use your help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_quests_sad_conv.stf', '26', 's_be2a8162', 'I thank you for helping our village.  I\'ve heard of the good work you\'re doing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_quests_sad_conv.stf', '27', 's_ce50d249', 'I thank you for the services you have rendered our village.  Our home is safe because of your skill and bravery.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_quests_sad_conv.stf', '28', 's_ceb13feb', 'I think your attacks are beginning to get their attention.  I\'d watch your back.  Here\'s your next target, if you\'re up for it...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_quests_sad_conv.stf', '29', 's_e1175f92', 'I\'m sorry -- I can\'t help you right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_quests_sad_conv.stf', '30', 's_e549bc85', 'They\'ve started moving their bases around in response to our attacks.  We\'ve tracked them into a new area that we\'d like to investigate.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_quests_sad_conv.stf', '31', 's_e874c8c5', 'You are so burdened - I\'d like to reward you but I need you to free up space.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_quests_sad_conv.stf', '32', 's_f163f1df', 'Great.  So, one of our men managed to attach a tracking device to one of the Shadow during their last confrontation, a small radioactive beacon that we can track using this radiation sensor. I\'m going to give you a control device that can sit in your datapad.  Activate it to get a reading.  As the reading goes up, you\'re getting close to the target.  Based on the strength of the readings, the device is about 1000 meters from here. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_quests_sad_conv.stf', '33', 's_faedbf19', 'No, I understand.  I\'m committed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_reflex1_prisoner.stf', '1', 'do_not_edit', 'The English version of this file (fs_reflex1_prisoner.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_reflex1_prisoner.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_reflex1_prisoner.stf', '3', 's_1150de7c', 'Thank you so much for rescuing me!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_reflex1_prisoner.stf', '4', 's_2a6f5720', 'Thank you so much for coming after me. Let\'s get out of here!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_reflex1_prisoner.stf', '5', 's_780bc309', 'I don\'t think that you\'re able to help me anymore.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_reflex1_prisoner.stf', '6', 's_e4480cdc', 'I don\'t think that you\'re able to help me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_reflex1_prisoner.stf', '7', 's_e9ddb716', 'Let\'s hurry up and get back to the village!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_reflex1_prisoner.stf', '8', 's_f77ac89f', 'Not now! Give me a hand here!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo3_m.stf', '1', 'do_not_edit', 'The English version of this file (fs_village_convo3_m.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo3_m.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo3_m.stf', '3', 's_116fa06f', 'I\'ll not risk my children to this frenzy of destruction. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo3_m.stf', '4', 's_21fd07e3', 'Anonymity? You\'re hiding alright.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo3_m.stf', '5', 's_29e5bb06', 'Nothing really. As a matter of fact I was on the way out.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo3_m.stf', '6', 's_2b466883', 'Sounds like you\'re hiding from something more than just the war.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo3_m.stf', '7', 's_30d6ee6', 'Stay out of the way? Why would you want to do that?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo3_m.stf', '8', 's_351f9414', 'What do you folks do way out here in the middle of nowhere?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo3_m.stf', '9', 's_3d31f978', 'Most of us have. We\'ve paid our dues in blood and pain. We\'re done with it. It\'s one thing to risk your own life in a war, but once you have children it becomes something else entirely to let them do the same.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo3_m.stf', '10', 's_42d40a3f', 'There\'s still a chance, but it\'s out of our hands.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo3_m.stf', '11', 's_4ac0f748', 'Would we need a reason other than the war? I mean they blew up a planet! ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo3_m.stf', '12', 's_538ba7a9', 'I guess you\'re right. How can you fight something like that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo3_m.stf', '13', 's_5cca5b41', 'Go see the village elder. He might be able to help you with whatever you\'re looking for. In any event, good luck.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo3_m.stf', '14', 's_60c9d96a', 'I only wish they could see it that way. The oldest already wants to go off and fight. I just hope it\'s over before he gets the chance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo3_m.stf', '15', 's_671177b7', 'You\'re right, it might. Then what? Beg them not to fire? Jump in our squadron of X-wings? The only power we have right now is anonymity.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo3_m.stf', '16', 's_69bb013d', 'More than you know. Look if you really want to find out the truth, why don\'t you go talk to the elder.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo3_m.stf', '17', 's_76a2d8f9', 'Why don\'t you fight? Take a side instead of sitting out here hiding?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo3_m.stf', '18', 's_93ec538d', 'The war mostly. Most of us have lost family or friends to the war. We\'ve resolved to not lose anyone else.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo3_m.stf', '19', 's_9cabeaee', 'The Force? Are you on a pilgrimage son? The only Force you\'ll find around here are those blasted nightsisters and they sure won\'t welcome any adherents. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo3_m.stf', '20', 's_a6600b37', 'Hello. What brings you to our village?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo3_m.stf', '21', 's_a9268707', 'Yea, we\'re lucky like that. I\'m sorry, but I sure don\'t know what your fishin for here. Maybe you should go speak to the elder.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo3_m.stf', '22', 's_bf567533', 'Spare me the righteous zeal. I\'ve been there son. Lost my wife. It\'ll take a lot more than a pretty speech to get me to let what little family I got left to go. I think we\'re done here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo3_m.stf', '23', 's_c2be1811', 'Well we work the land, trade with some few freighter captains, but mostly we stay out of the way.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo3_m.stf', '24', 's_ce4f7c2b', 'Looking for information about the Force.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo3_m.stf', '25', 's_cf2480fb', 'I understand. You only want what\'s best for them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo3_m.stf', '26', 's_d3683f06', 'You should always fight for what you believe in. Once you give up on that, you give up on everything.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo3_m.stf', '27', 's_d652c1bf', 'Yea, something has you spooked alright.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo3_m.stf', '28', 's_da63f16c', 'If you just bury your head, next time it might be your planet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo3_m.stf', '29', 's_e14b17f4', 'Which means it\'s even more important to fight. We cannot let a regime with so little regard for sapient life continue to hold the galaxy hostage. We must stop them!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo3_m.stf', '30', 's_e1ee18d4', 'Later, friend.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo3_m.stf', '31', 's_f7ae6df2', 'You sure? I heard the people of this village had ways of making things go their way.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo4_f.stf', '1', 'do_not_edit', 'The English version of this file (fs_village_convo4_f.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo4_f.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo4_f.stf', '3', 's_21bb400d', 'Everybody is running around with important things to do. Nobody has time for the crops. I\'m going to try and get as much planted today as I can. Did you want to help?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo4_f.stf', '4', 's_34b7d87e', 'Sure, I\'d be glad to help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo4_f.stf', '5', 's_3f5944d5', 'Not me, I\'m not really the farmer type. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo4_f.stf', '6', 's_62809d8c', 'Yea, I could tell that. You probably would have just gotten in the way.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo4_f.stf', '7', 's_c3a7b9e4', 'On second thought, maybe you should go see what the elder needs. Last thing I need is following some urbanite around fixing all their mistakes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo5_f.stf', '1', 'do_not_edit', 'The English version of this file (fs_village_convo5_f.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo5_f.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo5_f.stf', '3', 's_126e325b', 'How did they help him?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo5_f.stf', '4', 's_1aebf838', 'Wishing I was back there right now. I\'ll talk to you later.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo5_f.stf', '5', 's_1c688d82', 'Really?! Wow, I hope I get the chance!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo5_f.stf', '6', 's_38602b56', 'There is a prison Northwest of here. when I was real little they say a man came here from the prison. We helped him and now he is safe.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo5_f.stf', '7', 's_38f5722b', 'What?! I... I\'ve got to be going. Daddy told me to never talk to a prisoner. You have a... bye!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo5_f.stf', '8', 's_3b00b466', 'They can do tricks? Like what kind of tricks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo5_f.stf', '9', 's_409c13d6', 'What prison?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo5_f.stf', '10', 's_42584442', 'That\'s what I thought. I suppose you just have to be born lucky.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo5_f.stf', '11', 's_55a1b0c', 'You\'re not from the village, I would have seen you before.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo5_f.stf', '12', 's_5f65644b', 'Yup. Are you interested in space travel?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo5_f.stf', '13', 's_63df3a78', 'Well, I wouldn\'t worry. If those witches come for you I will stop them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo5_f.stf', '14', 's_66242968', 'Who are the nightsisters?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo5_f.stf', '15', 's_6bbd64da', 'So why don\'t you go learn how to pilot? It\'s not that hard.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo5_f.stf', '16', 's_6d6ef87a', 'I didn\'t help him. I was a little kid. He didn\'t look like he would hurt anyone though.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo5_f.stf', '17', 's_71d67ffc', 'Yea, not much you can learn farming that would help you be a pilot. If I were you I\'d just stay here and be the best farmer you can be.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo5_f.stf', '18', 's_900f01d1', 'What?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo5_f.stf', '19', 's_97efc39d', 'They are witches that use evil magic. I hear the adults talking about them once in a while. They always say they are going to force us to do something, but I can never figure out what.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo5_f.stf', '20', 's_98eb2667', 'Force you to do something? What do you mean?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo5_f.stf', '21', 's_a78b5781', 'You can\'t stop them. Only the grown ups that know the good tricks can stop them. Uh oh. I have to go now. Bye!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo5_f.stf', '22', 's_afe7471', 'Are you really from another planet?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo5_f.stf', '23', 's_c4ca664e', 'You\'d be surprised. Some of the galaxies best pilots were farmers. I think you would have a good chance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo5_f.stf', '24', 's_cb9faa', 'I have to go. They said I shouldn\'t talk about the good tricks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo5_f.stf', '25', 's_de00afa9', 'Well I\'m just a farmer, I\'ve never heard of a farmer becoming a spaceship pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo5_f.stf', '26', 's_df5087e7', 'I don\'t know. I just keep hearing them say force this, and force that. I think the adults would stop them from forcing us to do anything though. Sometimes they can do tricks...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo5_f.stf', '27', 's_e6772f13', 'Goodbye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo5_f.stf', '28', 's_eca871b0', 'I don\'t know. I was too little and they took me away when he arrived. I never saw him again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo5_f.stf', '29', 's_ef3f73aa', 'I bet. not much here except for the prison and the nightsisters.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo5_f.stf', '30', 's_f02cea2', 'No, I\'m from here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo5_f.stf', '31', 's_f04bc948', 'You shouldn\'t help Imperial prisoners.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo5_f.stf', '32', 's_f4998e85', 'No, I\'m from the Imperial prison.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo5_f.stf', '33', 's_f6fc4ef7', 'Any prison help is good help!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo5_f.stf', '34', 's_f8f7c983', 'I\'ve been gone a long time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo5_f.stf', '35', 's_fb77af66', 'Oh yes. I want to be a spaceship pilot. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo6_m.stf', '1', 'do_not_edit', 'The English version of this file (fs_village_convo6_m.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo6_m.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo6_m.stf', '3', 's_1a53608', 'Then it looks like you have answered your own question.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo6_m.stf', '4', 's_223add4d', 'I didn\'t know Jedi had rituals. What more can you tell me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo6_m.stf', '5', 's_2370af8f', 'Well, I know they have great temples. They are the most powerful people in the galaxy!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo6_m.stf', '6', 's_2d2307c4', 'See here! It\'s an artifact. it glows when you hold it. I think it\'s activated by the Force.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo6_m.stf', '7', 's_34f24948', 'Yes, I would.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo6_m.stf', '8', 's_51724d30', 'I think I\'ll be holding on to it after all.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo6_m.stf', '9', 's_564850b4', 'What kind of artifact? I might be interested.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo6_m.stf', '10', 's_60109f4d', 'A case of melons? For an artifact?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo6_m.stf', '11', 's_6e0cc829', 'What? Artifacts explode!?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo6_m.stf', '12', 's_7e6f0d3e', 'Perhaps you should speak with the village elder. He\'s in the center of the village near his hut.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo6_m.stf', '13', 's_8ce975f3', 'How would a dirt farmer out in the middle of nowhere get an artifact?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo6_m.stf', '14', 's_9173b56f', 'What do you know? Are you a Jedi? I think I\'ll hold on to this until I find someone that can appreciate its rarity.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo6_m.stf', '15', 's_98f1d36', 'Hey, you a trader? I got an artifact here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo6_m.stf', '16', 's_9cb8cd84', 'Listen friend. I really doubt that is an artifact.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo6_m.stf', '17', 's_9d65b97c', 'No, I don\'t think I would.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo6_m.stf', '18', 's_a3809553', 'Well where are they now? We could sure use their help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo6_m.stf', '19', 's_abaeae10', 'What about the artifact?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo6_m.stf', '20', 's_af4a93c0', 'It\'s an ancient Jedi artifact, used in their rituals.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo6_m.stf', '21', 's_b1b21b87', 'It\'s an artifact alright! It glows when you hold it. I think it\'s activated by the Force.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo6_m.stf', '22', 's_b86c2d97', 'Yup.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo6_m.stf', '23', 's_bf977dc7', 'Jedi don\'t have rituals. Let\'s see this artifact.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo6_m.stf', '24', 's_c743096f', 'What? Oh, yea. That\'s just a glowcrystal after all. I was mistaken. Make sure you speak to the village elder. He\'s a very wise man.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo6_m.stf', '25', 's_cd1f47c5', 'That\'s not an artifact friend. It\'s a glowcrystal. You can buy them for 10 credits.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo6_m.stf', '26', 's_d59bf8d6', 'A trader that came through here a few years ago traded it to me for a case of Maroj melons.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo6_m.stf', '27', 's_f39a113e', 'Artifact, eh? Try not to blow up anyone I know.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo6_m.stf', '28', 's_fd4a5d92', 'If you were them would you help? In the war I mean.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo7.stf', '1', 'do_not_edit', 'The English version of this file (fs_village_convo7.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo7.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo7.stf', '3', 's_1bb44cf9', 'I am not sure I can help such secretive people.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo7.stf', '4', 's_20f19cdd', 'We manage. It takes plenty of high nutrient fertilizer and quite a bit of water, but it can be done.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo7.stf', '5', 's_2c9520b6', 'Planting? You people are farmers?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo7.stf', '6', 's_50b2b480', 'I don\'t think they are really Sith, but they sure believe in the evil ideals of that race. They seem to want us all dead.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo7.stf', '7', 's_52cf32e2', 'How can you grow anything in this dead brown dirt?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo7.stf', '8', 's_5d7bd117', 'Well... No, I shouldn\'t speak of it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo7.stf', '9', 's_6cf0908b', 'We\'re never going to get our planting done in time with everything else that\'s going on.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo7.stf', '10', 's_76887815', 'You haven\'t left? I would find better land.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo7.stf', '11', 's_76ef710f', 'We\'ve been attacked by a group of mercenaries calling themselves the Sith Shadows.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo7.stf', '12', 's_77e48d5b', 'What do you mean?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo7.stf', '13', 's_9f2c88cd', 'You don\'t sound so sure.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo7.stf', '14', 's_a232b8a1', 'Sith? Are you serious?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo7.stf', '15', 's_a9fdde5e', 'Yes, but we\'ll never make the planting in time for this season now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo7.stf', '16', 's_af8eece8', 'There are other more fertile areas of Dathomir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo7.stf', '17', 's_bc23678f', 'This was too when we arrived. Green and fertile as the eye could see. You should have seen it, as lush a land that has ever been in the galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo7.stf', '18', 's_bf08330a', 'Ok, ok. I will tell you. I think we were cursed by those evil Nightsisters. They found out we were in tune with the Force and wanted to destroy us, or at least drive us off.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo7.stf', '19', 's_c031923', 'Why do you bother farming here?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo7.stf', '20', 's_c24ab601', 'Well we don\'t really know, but the Elder believes some sort climatological shift occurred and we ended up like this.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo7.stf', '21', 's_c7fdb62e', 'What has been going on?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo7.stf', '22', 's_d948941a', 'Go see the Village Elder near the center of the village. He can help you. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo7.stf', '23', 's_e00ac98e', 'What happened?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo7.stf', '24', 's_ecdfe4b4', 'Well, I am sure I can help in some way.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_village_convo7.stf', '25', 's_fb0e2a0', 'I don\'t know about the rest but I stay more because of that very reason now than anything else. I will not be intimidated by anyone...or anything.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_woman.stf', '1', 'do_not_edit', 'The English version of this file (fs_woman.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_woman.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_woman.stf', '3', 's_827a56fe', 'Village elder? Please tell me more.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_woman.stf', '4', 's_b46f1e5e', 'Hello, welcome to Dathomir.  I was told you would be looking for me.  Have you spoken to the village elder yet?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_woman.stf', '5', 's_c76aeb53', 'There is a village to the southeast that needs some help.  I do not have all the details.  I am sure if you talk to the village elder, all of your questions will be answered.  I must go.  Good luck to you. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/fs_woman.stf', '6', 's_e87eb378', 'We have nothing to discuss.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_01.stf', '1', 'do_not_edit', 'The English version of this file (generic_newbie_pilot_info_01.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_01.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_01.stf', '3', 's_12157feb', 'The military gives out free ships?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_01.stf', '4', 's_144ec5cc', 'Sounds good. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_01.stf', '5', 's_17bc5d9b', 'When you approach the space station, use SHIFT+C to target it and open communication with the commander. You will be asked if you want to purchase repairs or if you want to land on the planet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_01.stf', '6', 's_1a06c1df', 'It doesn\'t.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_01.stf', '7', 's_1d489448', 'You are an Imperial pilot. You don\'t need my help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_01.stf', '8', 's_21bf1a8c', 'How do I join the Alliance?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_01.stf', '9', 's_250fded0', 'I know you. What can I do for you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_01.stf', '10', 's_270c87b2', 'How do I get them to repair my ship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_01.stf', '11', 's_27186cee', 'I don\'t have enough money.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_01.stf', '12', 's_2941e8d8', 'Double-click on the envelope icon, and read your mail!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_01.stf', '13', 's_29894b97', 'I don\'t know how to check.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_01.stf', '14', 's_2e30f02b', 'Look for the flashing \'envelope\' icon on your interface. It\'s placed on the lower right-hand-side of your screen by default.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_01.stf', '15', 's_3059f369', 'What then?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_01.stf', '16', 's_32146025', 'Then what?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_01.stf', '17', 's_3ece5721', 'No problem! Take care!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_01.stf', '18', 's_42ddcfd5', 'Local space stations are the easiest way to get your ship repaired. When you are heading back here, you should stop at the space station and ask them for repairs. They will provide a quick estimate on what it will take to get you back on-track.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_01.stf', '19', 's_52939a0', 'How do I check my email?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_01.stf', '20', 's_558a361a', 'The Imperial Navy? I\'ve heard that they are sending out recruitment emails to everyone they can locate these days. Have you checked your email today?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_01.stf', '21', 's_5618d2cd', 'No. I have received no email.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_01.stf', '22', 's_5989c487', 'There are all sorts of civilian contracts available on the \'mission terminals\' you find throughout town. Look for them near any major structure. Use the terminal to bring up the current list of local contracts. Choose the one that interests you most and you\'ll make money when the task is complete.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_01.stf', '23', 's_598fb819', 'You are a Rebel pilot. You don\'t need my help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_01.stf', '24', 's_5a1d315c', 'On the lower right-side of your screen there should be a \'letter\' icon that is flashing. Double-click on this icon and it will bring up your personal email. Read over the subject and sender, and scroll through the body text to get all the details.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_01.stf', '25', 's_5b893f7c', 'It does.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_01.stf', '26', 's_5e410744', 'Right-click on the map location to create and activate a waypoint. Follow the waypoint to the trainer\'s location.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_01.stf', '27', 's_5ebe92b8', 'I think that the majority of pilot trainers are registered with the planetary map. Try opening the planet map with CTRL+V. On the right-hand-side there is a listing of categories. Look under \'trainer\' to find any local pilot teacher who\'s looking for pupils.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_01.stf', '28', 's_6f0ab63b', 'Stay safe, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_01.stf', '29', 's_728131b6', 'That\'s a shame. It seems like most systems have fallen on hard economic times because of the war. Most of the pilots are flying for either the Empire or the Rebellion, now. Too few free pilots for my taste. Ever think of joining the military to get a starship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_01.stf', '30', 's_847df52f', 'Don\'t mention it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_01.stf', '31', 's_8515e448', 'Yes. I have an email from the Imperial Navy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_01.stf', '32', 's_8b23fac', 'I want to learn to fly.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_01.stf', '33', 's_8b37a99a', 'How do I make money?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_01.stf', '34', 's_8b70941b', 'You are a Privateer pilot. You don\'t need my help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_01.stf', '35', 's_93280d8a', 'Good idea. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_01.stf', '36', 's_94e18e61', 'Oh! Hello there. I just got back from a rather dangerous trip through the star system. It sure feels good to be back on solid ground. What can I do for you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_01.stf', '37', 's_97a37895', 'Have you checked the bazaar terminals? Shipwrights from all over the area put finished starships up for sale on the local bazaar.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_01.stf', '38', 's_a2737181', 'That\'s what I\'ve heard. I can understand how the Empire does it. They\'re pretty well-equipped! But there are rumors that the Alliance has also prepared a fleet of ships so they can get new recruits into the fray as soon as possible.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_01.stf', '39', 's_a9850aec', 'I got an email from the Alliance!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_01.stf', '40', 's_ab00aa08', 'Bazaar terminals are located all over major cities. Check the areas surrounding major hot-spots like the starport, the bank, any of the cantinas, or even the hospitals.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_01.stf', '41', 's_acc368b1', 'How do I join the Empire?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_01.stf', '42', 's_add31f19', 'I need a starship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_01.stf', '43', 's_b641cda6', 'Where can I find a bazaar terminal?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_01.stf', '44', 's_b9b27823', 'Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_01.stf', '45', 's_ba3c26af', 'You did? These are desperate times, indeed. The email should probably indicate where you are supposed to go for initial recruitment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_01.stf', '46', 's_bb38db80', 'Interesting. Well... good luck with that. I don\'t want to get too close to the galactic civil war, myself.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_01.stf', '47', 's_bc324892', 'Don\'t mention it!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_01.stf', '48', 's_c2db6878', 'Good-bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_01.stf', '49', 's_c4682ea6', 'Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_01.stf', '50', 's_c7f2987a', 'Your best bet is to get in touch with the Empire and sign up for their training program. Of course... there are others who will urge you to put your efforts to use in the Alliance. What interests you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_01.stf', '51', 's_c9e97ed5', 'How else would I join up?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_01.stf', '52', 's_cb747ceb', 'Hmm. Me neither. Maybe you should give it a little time?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_01.stf', '53', 's_cdb17e79', 'How do I check the planetary map?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_01.stf', '54', 's_cdd2fccc', 'That\'s sort of tricky. There may be some Alliance pilots bold enough to register their locations on the planetary map. Have you looked at the planet map yet?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_01.stf', '55', 's_cf5fc0f', 'How do I repair my starship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_01.stf', '56', 's_e9934b03', 'Use the command CTRL+V to open the planet map. On the right side of your display you will see a listing of trainers by category. All local trainers who register with the planet will appear on this list. Click the \'Trainer\' tab and then look for a pilot trainer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_01.stf', '57', 's_eab69714', 'Strange. Seems that if they undertook the risk to send you a message, they would make it clear how to respond. Why don\'t you check your email a little closer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_01.stf', '58', 's_ee65526d', 'Have a good day!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_01.stf', '59', 's_f2a4df5e', 'Good idea! Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_01.stf', '60', 's_f90ad503', 'I see. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_01.stf', '61', 's_fa2e7213', 'No problem!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_01.stf', '62', 's_fa94d5c5', 'Good-bye!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_01.stf', '63', 's_fae2eb08', 'You don\'t have the space expansion.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_01.stf', '64', 's_fd5402d8', 'Ah! Then it should give you information about where to go to start your naval adventure. Good luck, my friend!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_01.stf', '65', 's_fe631380', 'Good luck, my friend!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_emperors_retreat.stf', '1', 'do_not_edit', 'The English version of this file (generic_newbie_pilot_info_emperors_retreat.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_emperors_retreat.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_emperors_retreat.stf', '3', 's_1093ddb2', 'Who are you? What are you doing here?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_emperors_retreat.stf', '4', 's_15799d85', 'For the Emperor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_emperors_retreat.stf', '5', 's_1ad77c93', 'Really? Me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_emperors_retreat.stf', '6', 's_1e2899cf', 'At least Sir. Anyway, let me transfer your reward. You have also been granted complete access, well almost, to the Retreat Sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_emperors_retreat.stf', '7', 's_1f041825', 'That...that\'s not possible..Sir..');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_emperors_retreat.stf', '8', 's_27fddd0', 'Then you should become a friend of the Empire, should you not?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_emperors_retreat.stf', '9', 's_29db34e3', 'I think you\'re just being modest Sir. Anyway, let me transfer your reward. I\'m also honored to inform you that you have been granted access to most of the Retreat Sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_emperors_retreat.stf', '10', 's_3cc53bb1', 'It\'s what I do and no one does it better!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_emperors_retreat.stf', '11', 's_407efa57', 'Of course Sir. You helped that freighter without hesitating, apparently shooting down, what was it, 20 of the Rebel scum?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_emperors_retreat.stf', '12', 's_421b07a8', 'Good to see you Sir! Word of your heroics in the Yavin system has spread like wildfire among the ranks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_emperors_retreat.stf', '13', 's_421dc0c2', 'Are you calling me a liar?!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_emperors_retreat.stf', '14', 's_4d15b266', 'Then good luck to you, friend.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_emperors_retreat.stf', '15', 's_4ed6cafa', 'Really?! Whow! So I can go inside right now?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_emperors_retreat.stf', '16', 's_6403a01d', 'Ohh excellent, yes indeed. Well, I\'m going inside then?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_emperors_retreat.stf', '17', 's_66afbe47', 'First you must meet Kaja - befriend her... do as she commands. Once you have satisfied her requirements she will recommend you for advancement within the Emperor\'s circle.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_emperors_retreat.stf', '18', 's_6adec6b0', 'Of course!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_emperors_retreat.stf', '19', 's_6f34494e', 'Y..yes of course Sir! Amazing performance, shooting down 20 of those Rebel scum in one mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_emperors_retreat.stf', '20', 's_7176e12d', 'What sort of requirements?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_emperors_retreat.stf', '21', 's_742f54a5', 'I need to get into the Emperor\'s Retreat.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_emperors_retreat.stf', '22', 's_745f3194', 'At least!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_emperors_retreat.stf', '23', 's_7630ee0a', 'As it should be!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_emperors_retreat.stf', '24', 's_7d0bf8d', 'This is all too much.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_emperors_retreat.stf', '25', 's_8054081f', 'Absolutely Sir, right away Sir!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_emperors_retreat.stf', '26', 's_8c3b7af1', 'Of course, go right ahead Sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_emperors_retreat.stf', '27', 's_9045a59e', 'It has? Oh of course! A reward was mentioned?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_emperors_retreat.stf', '28', 's_9bcb9771', 'Indeed Sir. Let me transfer that to your account. I\'m also honored to inform you that you have been granted access to most of the Retreat Sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_emperors_retreat.stf', '29', 's_9dd0fe3d', 'Very good Sir, I take your word for that. Anyway, let me transfer your reward. You have also been granted complete access, well almost, to the Retreat Sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_emperors_retreat.stf', '30', 's_a4069638', 'Sure can Sir. Take care!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_emperors_retreat.stf', '31', 's_a9e4fd02', 'How do I do that?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_emperors_retreat.stf', '32', 's_aede40a6', 'What do you mean almost?!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_emperors_retreat.stf', '33', 's_b2fccb6d', 'Nonsense Sir! You should be proud of yourself. Have a great day Sir!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_emperors_retreat.stf', '34', 's_b9b27823', 'Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_emperors_retreat.stf', '35', 's_bc0613a9', 'I cannot say. It is very likely you will need to face dangerous conditions as a servant of the Emperor. Don\'t fear. This will make you strong. It will make you worthy of the Emperor\'s attention... and some day you may speak with him face-to-face.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_emperors_retreat.stf', '36', 's_c39cfcc5', 'Oh it was more like 10.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_emperors_retreat.stf', '37', 's_c6cd8614', 'Good to see you Sir!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_emperors_retreat.stf', '38', 's_c8f2f3db', 'Farewell.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_emperors_retreat.stf', '39', 's_ca992d2c', 'Nothing. Sorry to bother you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_emperors_retreat.stf', '40', 's_cbd17b72', 'Okay..well anyway, let me transfer your reward. I\'m also honored to inform you that you have been granted access to most of the Retreat Sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_emperors_retreat.stf', '41', 's_d0d78fed', '20?! It was 40 at least!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_emperors_retreat.stf', '42', 's_d89d15b4', 'Of course not Sir! 40 it was!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_emperors_retreat.stf', '43', 's_de1e771', 'Hmm, I suppose you\'re right. Very well then, get back to work!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_emperors_retreat.stf', '44', 's_e1fb0b6a', 'Well I don\'t think the Emperor would appreciate unannounced visitors in his private quarters Sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_emperors_retreat.stf', '45', 's_f184aba', '20?! I mean, I sure did!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_gia_pei.stf', '1', 'do_not_edit', 'The English version of this file (generic_newbie_pilot_info_gia_pei.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_gia_pei.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_gia_pei.stf', '3', 's_126a14e0', 'No, I guess not.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_gia_pei.stf', '4', 's_170ed80d', 'Only the best!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_gia_pei.stf', '5', 's_1db66446', 'I don\'t think he wants me talking to you...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_gia_pei.stf', '6', 's_56866a7', 'Then we\'ve got nothing more to discuss.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_gia_pei.stf', '7', 's_77266474', 'I know the feeling!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_gia_pei.stf', '8', 's_9288900f', 'I understand.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_gia_pei.stf', '9', 's_96dd8566', 'Who? Him?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_gia_pei.stf', '10', 's_b7b44868', 'That\'s very wise.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_gia_pei.stf', '11', 's_c8f2f3db', 'Farewell.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_gia_pei.stf', '12', 's_d14f41b0', 'We\'re not talking.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_gia_pei.stf', '13', 's_d88625cb', 'I don\'t have a starship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_gia_pei.stf', '14', 's_e05e22e2', 'Just what I can afford.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_gia_pei.stf', '15', 's_ea09eddd', 'Tell me. What sort of equipment do you fly?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_jabbas_palace.stf', '1', 'do_not_edit', 'The English version of this file (generic_newbie_pilot_info_jabbas_palace.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_jabbas_palace.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_jabbas_palace.stf', '3', 's_29430ed4', 'Thanks. Take care of yourself, pal.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_jabbas_palace.stf', '4', 's_2b167dbd', 'Hmm, yes, yes these looks to be correct. See this dotted line at the bottom though? You\'re supposed to sign it, come back to me when you have.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_jabbas_palace.stf', '5', 's_2c017871', 'Sounds good. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_jabbas_palace.stf', '6', 's_3385ded9', 'Yes they looks to be in order but you\'re not a part of the Smugglers Alliance are you? Get your priorities straight and then come back to see me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_jabbas_palace.stf', '7', 's_37388d12', 'Do some favors for Reelo Baruk. He\'s in the main entry of the palace because he needs to coordinate with a lot of lower-level folks in the Hutt organization... folks that Jabba doesn\'t want to see face-to-face, you know?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_jabbas_palace.stf', '8', 's_51bcd889', 'I can\'t believe we\'re still using paper documents. Let\'s see here... hmm, yes these looks to be correct I suppose. I will inform the guards of your privileges. Keep in mind though, if you abuse Jabba\'s rules, you will be in deep trouble.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_jabbas_palace.stf', '9', 's_5c484c74', 'What way is that?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_jabbas_palace.stf', '10', 's_6b059369', 'Only by rolling a fragmentation grenade into the creature\'s mouth as it tried to swallow me whole! I don\'t think there\'s enough for Porcellus to make a meal... let alone a special meal for Jabba himself! Unless he enjoys picking shrapnel out of his entrees.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_jabbas_palace.stf', '11', 's_6d6fc618', 'It depends. You\'ll probably see a lot of combat when working for Jabba the Hutt. I know I have!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_jabbas_palace.stf', '12', 's_6f8371ee', 'You better not. *sniff* *sniff* Strange...is that glue I sme...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_jabbas_palace.stf', '13', 's_6fa59967', 'You have to become a friend of the Hutts. You need to get Jabba\'s associates to trust you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_jabbas_palace.stf', '14', 's_80f90f12', 'You survived, though.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_jabbas_palace.stf', '15', 's_8583811b', 'My friend is the guy to ask, honestly. I\'m just a hired gun. Porcellus needed us to take down a rare animal for a special dish he\'s preparing for Jabba. Sounded simple enough - but we got in over our heads.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_jabbas_palace.stf', '16', 's_8aeca88d', 'Do favors for Reelo, then he\'ll pass you on up the chain. Other friends of Jabba will have assignments for you. As you complete those assignments, you\'ll be recommended to more higher-ranking Hutts. Soon enough you\'ll be face-to-face with Jabba himself.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_jabbas_palace.stf', '17', 's_9bd20141', 'There\'s only one way into the palace... without getting shot by Hutt assassins or getting thrown to the Sarlacc pit.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_jabbas_palace.stf', '18', 's_9dd79035', 'After doing favors for Reelo, he\'ll pass you on up the chain of command. Other friends of Jabba will have assignments for you. As you complete those assignments, you\'ll be recommended to more higher-ranking Hutts. Soon enough you\'ll be face-to-face with Jabba himself.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_jabbas_palace.stf', '19', 's_a9e4fd02', 'How do I do that?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_jabbas_palace.stf', '20', 's_aefb75dd', 'Don\'t take that tone with me, friend! I\'d like to see how well you do in the same situation.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_jabbas_palace.stf', '21', 's_b543ec60', 'Oh, hi there. Sorry... I\'m a little dazed. My friends and I had to run an errand for Porcellus. I had no idea it was going to be so difficult! What can I do for you, friend?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_jabbas_palace.stf', '22', 's_b8b50032', 'What sort of errand did you run?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_jabbas_palace.stf', '23', 's_bc324892', 'Don\'t mention it!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_jabbas_palace.stf', '24', 's_bc4e70bf', 'I better let you rest.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_jabbas_palace.stf', '25', 's_cba77fff', 'What sort of favors?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_jabbas_palace.stf', '26', 's_d038a005', 'And then what?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_jabbas_palace.stf', '27', 's_d06b92dc', 'Me? Trouble? Never.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_jabbas_palace.stf', '28', 's_d11dc1bf', 'Start by doing some favors for Reelo Baruk. He\'s in the main entry of the palace because he needs to coordinate with a lot of lower-level folks in the Hutt organization... folks that Jabba doesn\'t want to see face-to-face, you know?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_jabbas_palace.stf', '29', 's_d94b37db', 'Over your head? Against a simple creature?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_jabbas_palace.stf', '30', 's_daa8544b', 'I need to get in the palace.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_jabbas_palace.stf', '31', 's_ebf8ee6f', 'How do you meet Jabba face-to-face?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_jabbas_palace.stf', '32', 's_f7d7d0fe', 'Let\'s see...Hmm yes these looks to be in order. I thought you said your name was %TU though? So why haven\'t you signed with your correct name? Get that fixed and come back to see me when you have.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_jabbas_palace.stf', '33', 's_f97d453c', 'Well I have these papers?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_khroz.stf', '1', 'do_not_edit', 'The English version of this file (generic_newbie_pilot_info_khroz.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_khroz.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_khroz.stf', '3', 's_5dc9f5db', 'Now you know.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_khroz.stf', '4', 's_61485a8a', 'Okay. Good-bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_khroz.stf', '5', 's_775bc39f', 'I don\'t have time for you, citizen! See my man. He can help you. And if he can\'t... get out of here!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_khroz.stf', '6', 's_788a4dba', 'Waiting. What business is it of yours?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_khroz.stf', '7', 's_89cbe37c', 'I\'m waiting, too.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_khroz.stf', '8', 's_91979dc5', 'Leave me alone! I\'m tired of you rabble nipping at my heels every time I leave the Emperor\'s retreat!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_khroz.stf', '9', 's_b26194cb', 'What are you doing here?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_khroz.stf', '10', 's_b78c4998', 'I just want to know.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/generic_newbie_pilot_info_khroz.stf', '11', 's_dba34f4', 'Yes. Of course.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_bookie.stf', '1', 'do_not_edit', 'The English version of this file (greeter_bestine_bookie.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_bookie.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_bookie.stf', '3', 's_2b9bb31e', 'Whoa there! That\'s not really the kind of question you just up and ask someone. I don\'t talk about the details of a client\'s gambling debt to random people. So just let it go.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_bookie.stf', '4', 's_5bb4c9f9', 'Oh sorry. Could you answer some other questions?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_bookie.stf', '5', 's_5ff8baab', 'I was wondering if you could answer some questions?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_bookie.stf', '6', 's_7d382d7', 'You have questions, then ask \'Mr. Travel Vouchers\' here. He\'s the bigshot Imperial officer. Just make sure he never owes you money.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_bookie.stf', '7', 's_a3171132', 'Why does he owe you money?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_bookie.stf', '8', 's_e6fab5c8', 'Look, I really don\'t care who you are or why you\'re here. I just want my money from Col. Talnin, and then I\'m gone.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_bookie.stf', '9', 's_f1e05b2b', 'Col. Talnin here will not be of use to you unless you\'re involved with space flight.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_imperial_officer.stf', '1', 'do_not_edit', 'The English version of this file (greeter_bestine_imperial_officer.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_imperial_officer.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_imperial_officer.stf', '3', 's_12157feb', 'The military gives out free ships?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_imperial_officer.stf', '4', 's_144ec5cc', 'Sounds good. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_imperial_officer.stf', '5', 's_17bc5d9b', 'When you approach the space station, use SHIFT+C to target it and open communication with the commander. You will be asked if you want to purchase repairs or if you want to land on the planet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_imperial_officer.stf', '6', 's_186acb93', 'Yes, hello. Welcome to the township of Bestine. Sandy jewel in the Imperial crown, as I\'m sure you\'ll find. Now, if you\'ll excuse me, I have business with my associate here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_imperial_officer.stf', '7', 's_21bf1a8c', 'How do I join the Alliance?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_imperial_officer.stf', '8', 's_270c87b2', 'How do I get them to repair my ship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_imperial_officer.stf', '9', 's_27186cee', 'I don\'t have enough money.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_imperial_officer.stf', '10', 's_3059f369', 'What then?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_imperial_officer.stf', '11', 's_30efbb57', 'Do you really think you should be asking me that? Even if I did know that some Alliance pilots are bold enough to register their locations on the planetary map, I wouldn\'t exactly be telling people. I\'m an officer in the Imperial Navy, after all.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_imperial_officer.stf', '12', 's_32146025', 'Then what?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_imperial_officer.stf', '13', 's_3700bf66', 'I\'d be willing to bet that you\'re a pilot for the Rebel Alliance. You should probably take this opportunity to vanish before I decide whether or not to place that bet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_imperial_officer.stf', '14', 's_3ab7e5b8', 'Ah, my apologies. I am the officer in charge of this starport. All incoming and outgoing space travel is authorized by me. Or not authorized in some cases.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_imperial_officer.stf', '15', 's_4126da47', 'I\'m offering a small fortune worth of travel vouchers in an effort to pay off. Wait, why am I telling you this?? Let me just add, though, that double or nothing is not as good as it sounds.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_imperial_officer.stf', '16', 's_41594520', 'Right. So how do I check the planetary map?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_imperial_officer.stf', '17', 's_472f61d1', 'Local space stations are the easiest way to get your ship repaired. When you are heading back here, you should stop at the space station and ask them for repairs. They will provide a quick estimate on what it will take to get you back on track.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_imperial_officer.stf', '18', 's_4918186c', 'Well, I suppose that is my job, more or less. So yes, how may I be of assistance?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_imperial_officer.stf', '19', 's_495777c0', 'Have you checked any vendors? Merchants use vendors to help sell their merchandise. Shipwrights put finished starships and ship components for sale on their vendors, and then you can go to those vendors and purchase what you need.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_imperial_officer.stf', '20', 's_50129856', 'Oh good, an Imperial Starship Pilot. Just follow normal procedures and always log your arrival and departure times with the officer on duty. I think I assigned an officer to be on duty. Well, log those times either way. Dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_imperial_officer.stf', '21', 's_52939a0', 'How do I check my email?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_imperial_officer.stf', '22', 's_558a361a', 'The Imperial Navy? I\'ve heard that they are sending out recruitment emails to everyone they can locate these days. Have you checked your email today?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_imperial_officer.stf', '23', 's_5618d2cd', 'No. I have received no email.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_imperial_officer.stf', '24', 's_594bfcf2', 'Good advice, thanks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_imperial_officer.stf', '25', 's_5c80b75a', 'You\'re welcome. Did I actually help? Well, that wasn\'t so hard. Anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_imperial_officer.stf', '26', 's_5e410744', 'Right-click on the map location to create and activate a waypoint. Follow the waypoint to the trainer\'s location.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_imperial_officer.stf', '27', 's_5ff8baab', 'I was wondering if you could answer some questions?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_imperial_officer.stf', '28', 's_68cb68ff', 'Is there anyone else I could fly for?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_imperial_officer.stf', '29', 's_726e332f', 'There are all sorts of civilian contracts available on the \'mission terminals\' you find throughout town. Look for them near any major structure. Use the terminal to bring up the current list of local contracts. Choose the one that interests you the most, and you\'ll make money when the task is complete.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_imperial_officer.stf', '30', 's_72f5c999', 'I think that the majority of pilot trainers are registered with the planetary map. Try opening the planetary map with CTRL+V. On the right-hand side there is a listing of categories. Look under \'trainer\' to find any local pilot teacher who\'s looking for pupils.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_imperial_officer.stf', '31', 's_7b064e95', 'Don\'t mention it! Anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_imperial_officer.stf', '32', 's_8337797f', 'Excuse me pilot. Er, you are a pilot, yes? You see, the thing that confuses me is the lack of an Imperial uniform, because as I\'m sure you know, only Imperial pilots are allowed to fly from my starport here. Well, maybe just this once I\'ll pretend I didn\'t see you. All that paperworks is rather bothersome. But do try and stay out of trouble on my watch. Very good.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_imperial_officer.stf', '33', 's_8515e448', 'Yes. I have an email from the Imperial Navy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_imperial_officer.stf', '34', 's_89a5ddb', 'Always willing to spread me wisdom. Just as long as it doesn\'t get spread too thin.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_imperial_officer.stf', '35', 's_8b23fac', 'I want to learn to fly.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_imperial_officer.stf', '36', 's_8b37a99a', 'How do I make money?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_imperial_officer.stf', '37', 's_8cf9be64', 'Where can I find a vendor?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_imperial_officer.stf', '38', 's_8e84f7eb', 'You did? From the Alliance? And you\'re telling me this? Look, it would be best for all concerned if you just ignored that email message, and we both pretended this conversation never took place.\n\n Anything else I can actually help with?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_imperial_officer.stf', '39', 's_9721ce96', 'Money. Right. I know that some people have fallen on hard economic times because of the war. Many pilots are flying for either the Empire or the Rebellion these days in order to get off the ground. Ever think of joining the military as a way to get a starship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_imperial_officer.stf', '40', 's_98e32091', 'Well, then could I ask some other questions?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_imperial_officer.stf', '41', 's_a054d9fc', 'Good luck, my friend! Anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_imperial_officer.stf', '42', 's_a9850aec', 'I got an email from the Alliance!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_imperial_officer.stf', '43', 's_abc6d2f6', 'Your best bet is to get in touch with the Empire and sign up for their training program. There are others who will urge you to put your efforts to use in the Alliance, but fools will be fools.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_imperial_officer.stf', '44', 's_acc368b1', 'How do I join the Empire?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_imperial_officer.stf', '45', 's_add31f19', 'I need a starship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_imperial_officer.stf', '46', 's_b42842dd', 'What kind of business are you and your friend doing?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_imperial_officer.stf', '47', 's_b641cda6', 'Where can I find a bazaar terminal?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_imperial_officer.stf', '48', 's_b9b27823', 'Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_imperial_officer.stf', '49', 's_ba95f774', 'Bazaar terminals are located all over major cities. Check the areas surrounding major hot spots like the starport, the bank, any of the cantinas, or even the hospitals.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_imperial_officer.stf', '50', 's_c4682ea6', 'Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_imperial_officer.stf', '51', 's_c9e97ed5', 'How else would I join up?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_imperial_officer.stf', '52', 's_ca776e30', 'Who are you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_imperial_officer.stf', '53', 's_cb747ceb', 'Hmm. Me neither. Maybe you should give it a little time?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_imperial_officer.stf', '54', 's_cc7c9754', 'Don\'t mention it. Anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_imperial_officer.stf', '55', 's_cf5fc0f', 'How do I repair my starship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_imperial_officer.stf', '56', 's_d4c6e8cd', 'No problem! Anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_imperial_officer.stf', '57', 's_df7992b9', 'There are some freelance pilots here and there, though the Empire mostly frowns upon that kind of activity. At the same time, we do recognize that there is a need for a small number of freelance pilots to handle certain jobs with which the Empire does not want to be associated or simply views as beneath our notice. As I understand it, most freelance pilots are recruited through email.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_imperial_officer.stf', '58', 's_e013f498', 'Look for the flashing \'envelope\' icon on your interface. It\'s placed on the lower right-hand side of your screen by default.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_imperial_officer.stf', '59', 's_e1c13ebb', 'Double-click on the envelope icon, and read your mail! Anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_imperial_officer.stf', '60', 's_e843e3ab', 'Use the command CTRL+V to open the planetary map. On the right side of your display, you will see a listing of trainers by category. All local trainers who register with the planet will appear on this list. Click the \'Trainer\' tab and then look for a pilot trainer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_imperial_officer.stf', '61', 's_efbaf135', 'You\'re obviously not involved with the business of space flight, so I really don\'t have time for you. Good day.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_imperial_officer.stf', '62', 's_f2a4df5e', 'Good idea! Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_imperial_officer.stf', '63', 's_f3ec92a', 'Use the planetary map to travel to the vendors listed on it, but not all vendors will be listed there. For the unlisted ones, you\'ll have to travel around looking for player-owned buildings that hold vendors. Once you\'ve found a vendor, double-click it to see what it has for sale. You can also check bazaar terminals, but the listings on those will only be low-end starships and ship components, if even that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_imperial_officer.stf', '64', 's_f5f72ae1', 'My pleasure. Anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_imperial_officer.stf', '65', 's_fb096a5a', 'Well, giving them out may not be the phrase I\'d use, but I guess it\'s not far off the mark. The Empire will supply new pilots with a ship. We\'re pretty well-equipped after all, and one can\'t exactly be an Imperial pilot without a ship. I\'ve also heard rumors that the Alliance has prepared a fleet of ships so that they can get new recruits into the fray as soon as possible as well, but I can assure you that I only care about that if they come to Bestine.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_bestine_imperial_officer.stf', '66', 's_fd5402d8', 'Ah! Then it should give you information about where to go to start your naval adventure. Good luck, my friend!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '1', 'do_not_edit', 'The English version of this file (greeter_coronet_merchant.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '3', 's_12157feb', 'The military gives out free ships?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '4', 's_144ec5cc', 'Sounds good. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '5', 's_17bc5d9b', 'When you approach the space station, use SHIFT+C to target it and open communication with the commander. You will be asked if you want to purchase repairs or if you want to land on the planet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '6', 's_198d9a41', 'Greetings and welcome to Coronet. I apologize, but I don\'t have time to chat. If you get involved with space flight, I might be able to answer some questions, but otherwise I\'m not going to be of much help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '7', 's_1a06c1df', 'It doesn\'t.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '8', 's_21bf1a8c', 'How do I join the Alliance?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '9', 's_270c87b2', 'How do I get them to repair my ship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '10', 's_27186cee', 'I don\'t have enough money.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '11', 's_29894b97', 'I don\'t know how to check.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '12', 's_3059f369', 'What then?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '13', 's_309c383a', 'On the lower right-hand side of your screen, there should be a \'letter\' icon that is flashing. Double-click on this icon, and it will bring up your personal email. Read over the subject and sender, and scroll through the body text to get all the details.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '14', 's_32146025', 'Then what?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '15', 's_3c81054', 'That\'s what I hear. The Empire\'s pretty well-equipped after all and can\'t really have much of a navy if their pilots don\'t have ships. I\'ve also heard rumors that the Alliance has a fleet of ships available so they can get new recruits into the fray as soon as possible.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '16', 's_472f61d1', 'Local space stations are the easiest way to get your ship repaired. When you are heading back here, you should stop at the space station and ask them for repairs. They will provide a quick estimate on what it will take to get you back on track.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '17', 's_495777c0', 'Have you checked any vendors? Merchants use vendors to help sell their merchandise. Shipwrights put finished starships and ship components for sale on their vendors, and then you can go to those vendors and purchase what you need.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '18', 's_4a019574', 'Greetings and welcome to Coronet. I apologize for my fading enthusiasm, but I\'ve been waiting for quite some time for a shipment of goods to arrive. These two shipwrights have been waiting with me, and one of them is becoming especially belligerent.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '19', 's_4eb2ac5d', 'Good luck, kid! Anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '20', 's_50095b25', 'Not a problem. Anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '21', 's_52939a0', 'How do I check my email?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '22', 's_558a361a', 'The Imperial Navy? I\'ve heard that they are sending out recruitment emails to everyone they can locate these days. Have you checked your email today?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '23', 's_5618d2cd', 'No. I have received no email.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '24', 's_5b893f7c', 'It does.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '25', 's_5e410744', 'Right-click on the map location to create and activate a waypoint. Follow the waypoint to the trainer\'s location.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '26', 's_5ff8baab', 'I was wondering if you could answer some questions?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '27', 's_659f0dee', 'Seeing as I have little else to do at the moment, ask away.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '28', 's_68cb68ff', 'Is there anyone else I could fly for?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '29', 's_6f0ab63b', 'Stay safe, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '30', 's_726e332f', 'There are all sorts of civilian contracts available on the \'mission terminals\' you find throughout town. Look for them near any major structure. Use the terminal to bring up the current list of local contracts. Choose the one that interests you the most, and you\'ll make money when the task is complete.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '31', 's_75698511', 'Your best bet is to get in touch with the Empire and sign up for their training program. There are others who will urge you to put your efforts to use in the Alliance, but fools will be fools. Anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '32', 's_80e2ba26', 'Why are they waiting with you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '33', 's_82cd91e', 'They ordered some parts from me, and those parts should be in the missing shipment. I gave them a good price, but the long wait seems to have eroded their goodwill.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '34', 's_8515e448', 'Yes. I have an email from the Imperial Navy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '35', 's_8ae971c3', 'Thank you for the kind words.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '36', 's_8b23fac', 'I want to learn to fly.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '37', 's_8b37a99a', 'How do I make money?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '38', 's_8cf9be64', 'Where can I find a vendor?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '39', 's_8dd808e3', 'Ask away.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '40', 's_8ef8dbfb', 'I have another question.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '41', 's_93280d8a', 'Good idea. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '42', 's_9f7f7c0a', 'I think that the majority of pilot trainers are registered with the planetary map. Try opening the planetary map with CTRL+V. On the right-hand side, there is a listing of categories. Look under \'trainer\' to find any local pilot teacher who\'s looking for pupils.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '43', 's_a185791a', 'Things are tough all over what with the Alliance and the Empire making with war and all. A lot of pilots are flying for either the Empire or the Rebellion these days. Ever think of joining the military to get a starship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '44', 's_a463a3c1', 'You\'re welcome. Anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '45', 's_a9850aec', 'I got an email from the Alliance!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '46', 's_acc368b1', 'How do I join the Empire?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '47', 's_adc9d9e5', 'Strange. Seems that if they undertook the risk to send you a message, they would make it clear how to respond. Why don\'t you check your email a little more carefully.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '48', 's_add31f19', 'I need a starship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '49', 's_af4397a9', 'Interesting. Well, good luck with that. I don\'t want to get too close to the Galactic Civil War, myself.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '50', 's_b5d34085', 'Could I ask some questions while you wait?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '51', 's_b641cda6', 'Where can I find a bazaar terminal?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '52', 's_b78b7ed6', 'Well, you\'re a pilot, and you\'ve managed to land here, so that at least means starships are getting through to Corellia. But I still have no idea why my cargo has been delayed for so long.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '53', 's_b9b27823', 'Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '54', 's_ba3c26af', 'You did? These are desperate times, indeed. The email should probably indicate where you are supposed to go for initial recruitment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '55', 's_ba95f774', 'Bazaar terminals are located all over major cities. Check the areas surrounding major hot spots like the starport, the bank, any of the cantinas, or even the hospitals.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '56', 's_c2db6878', 'Good-bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '57', 's_c4682ea6', 'Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '58', 's_c9e97ed5', 'How else would I join up?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '59', 's_cb747ceb', 'Hmm. Me neither. Maybe you should give it a little time?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '60', 's_cc7c9754', 'Don\'t mention it. Anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '61', 's_cdb17e79', 'How do I check the planetary map?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '62', 's_cf5fc0f', 'How do I repair my starship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '63', 's_d48167e1', 'That\'s too bad. I hope your goods arrive soon.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '64', 's_d4c6e8cd', 'No problem! Anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '65', 's_d9231b4f', 'There are freelance pilots working in most systems. Some are CorSec pilots, others are part of the RSF of Naboo, and of course, others are smugglers or pirates. I wouldn\'t recommend those last two if you want to pursue a lengthy career, but, at the same time, some of the best military pilots I know were once smugglers. Most freelance organizations will send recruitment emails. You might try checking your email for something like that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '66', 's_da08c873', 'That\'s sort of tricky. There may be some Alliance pilots bold enough to register their locations on the planetary map. Have you looked at the planetary map yet?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '67', 's_db064e66', 'You have the look of a pilot from the Alliance. I\'d better not find out you Rebels have stolen my shipment of goods.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '68', 's_e013f498', 'Look for the flashing \'envelope\' icon on your interface. It\'s placed on the lower right-hand side of your screen by default.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '69', 's_e1c13ebb', 'Double-click on the envelope icon, and read your mail! Anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '70', 's_e843e3ab', 'Use the command CTRL+V to open the planetary map. On the right side of your display, you will see a listing of trainers by category. All local trainers who register with the planet will appear on this list. Click the \'Trainer\' tab and then look for a pilot trainer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '71', 's_e8b5b2ac', 'Hello, sir. You\'re an Imperial Pilot, correct? Would you happen to know why my shipment might have been delayed? It\'s quite far behind schedule.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '72', 's_f2a4df5e', 'Good idea! Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '73', 's_f3ec92a', 'Use the planetary map to travel to the vendors listed on it, but not all vendors will be listed there. For the unlisted ones, you\'ll have to travel around looking for player-owned buildings that hold vendors. Once you\'ve found a vendor, double-click it to see what it has for sale. You can also check bazaar terminals, but the listings on those will only be low-end starships and ship components, if even that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '74', 's_f5f72ae1', 'My pleasure. Anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '75', 's_f90ad503', 'I see. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '76', 's_fbc4f153', 'Hey, my pleasure. As long as I\'m not busy. Anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_merchant.stf', '77', 's_fd5402d8', 'Ah! Then it should give you information about where to go to start your naval adventure. Good luck, my friend!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_shipwright_impatient.stf', '1', 'do_not_edit', 'The English version of this file (greeter_coronet_shipwright_impatient.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_shipwright_impatient.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_shipwright_impatient.stf', '3', 's_252f6fb9', 'I cannot believe we have been wasting our time standing here. What kind of merchant sells ship parts that they can\'t deliver?!!? Not exactly a model way to run a business. I\'m not buying anything from this guy ever again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_shipwright_impatient.stf', '4', 's_4668c9d5', 'I\'ll tell you what happened. We paid for ship parts that this guy doesn\'t have. Oh sure, he claimed they\'d be delivered with his next shipment, but it\'s been days now. Where\'s this mythical shipment? Starships don\'t just disappear! Well, not normally.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_shipwright_impatient.stf', '5', 's_5ff8baab', 'I was wondering if you could answer some questions?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_shipwright_impatient.stf', '6', 's_79bcfacd', 'Spare me the lecture. My comrade has already given me that one more than enough times. I want the parts I paid for. Not empty words!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_shipwright_impatient.stf', '7', 's_8dd47fdc', 'Could I ask you some questions?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_shipwright_impatient.stf', '8', 's_9cc3fb32', 'Sometimes you just have to have patience.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_shipwright_impatient.stf', '9', 's_ca20e884', 'I\'m not really in a giving mood. Try asking the merchant. It\'s the least he could do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_shipwright_impatient.stf', '10', 's_d9e89e0d', 'Look, I don\'t have time to waste with someone who obviously isn\'t into space flight.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_shipwright_impatient.stf', '11', 's_e5210282', 'Why not? What happened?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_shipwright_indifferent.stf', '1', 'do_not_edit', 'The English version of this file (greeter_coronet_shipwright_indifferent.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_shipwright_indifferent.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_shipwright_indifferent.stf', '3', 's_101a8685', 'Thanks. Personally, I just wanna get out of here and either get to work or kick back and enjoy the break.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_shipwright_indifferent.stf', '4', 's_22fde798', 'Why don\'t you just go wait at the cantina?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_shipwright_indifferent.stf', '5', 's_44511b5f', 'I bet an ale would taste really good right now. I don\'t understand why we have to wait here with the merchant guy. It\'s not like us being here will speed up the delivery of his cargo. We\'ve wasted good cantina time standing outside of a starport. Bummer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_shipwright_indifferent.stf', '6', 's_5a2c3b35', 'That\'s too bad. I hope your parts arrive soon.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_shipwright_indifferent.stf', '7', 's_5ff8baab', 'I was wondering if you could answer some questions?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_shipwright_indifferent.stf', '8', 's_642ae5d4', 'Well, we do kind of have some work that\'s on hold until we get those parts. But in truth, I don\'t think it would make that big a difference if we had an ale or three while we wait. Every time I say something, though, my friend kind of freaks out. Wants me to quit lecturing him or something. I had to give up.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_shipwright_indifferent.stf', '9', 's_673006ed', 'Sorry, grounded one. Can\'t help you unless you\'re into space flight.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_shipwright_indifferent.stf', '10', 's_946445f6', 'I\'m not sure how much help I\'d be. Try asking the merchant. He seems pretty together.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_coronet_shipwright_indifferent.stf', '11', 's_b5d34085', 'Could I ask some questions while you wait?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_imperial.stf', '1', 'do_not_edit', 'The English version of this file (greeter_dantooine_brother_imperial.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_imperial.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_imperial.stf', '3', 's_12157feb', 'The military gives out free ships?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_imperial.stf', '4', 's_144ec5cc', 'Sounds good. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_imperial.stf', '5', 's_167bccd7', 'Your best bet is to get in touch with the Empire and sign up for their training program. There are others who will urge you to put your efforts to use in the Alliance, but fools will be fools. Or they\'ll be my brother.\n\nWas there anything else you wanted to ask?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_imperial.stf', '6', 's_17bc5d9b', 'When you approach the space station, use SHIFT+C to target it and open communication with the commander. You will be asked if you want to purchase repairs or if you want to land on the planet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_imperial.stf', '7', 's_21bf1a8c', 'How do I join the Alliance?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_imperial.stf', '8', 's_270c87b2', 'How do I get them to repair my ship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_imperial.stf', '9', 's_27186cee', 'I don\'t have enough money.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_imperial.stf', '10', 's_32146025', 'Then what?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_imperial.stf', '11', 's_3eb6287c', 'What\'s so unbelievable?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_imperial.stf', '12', 's_472f61d1', 'Local space stations are the easiest way to get your ship repaired. When you are heading back here, you should stop at the space station and ask them for repairs. They will provide a quick estimate on what it will take to get you back on track.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_imperial.stf', '13', 's_495777c0', 'Have you checked any vendors? Merchants use vendors to help sell their merchandise. Shipwrights put finished starships and ship components for sale on their vendors, and then you can go to those vendors and purchase what you need.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_imperial.stf', '14', 's_52939a0', 'How do I check my email?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_imperial.stf', '15', 's_558a361a', 'The Imperial Navy? I\'ve heard that they are sending out recruitment emails to everyone they can locate these days. Have you checked your email today?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_imperial.stf', '16', 's_5618d2cd', 'No. I have received no email.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_imperial.stf', '17', 's_56c322c4', 'Why don\'t you leave the Empire and join with your brother?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_imperial.stf', '18', 's_5ff8baab', 'I was wondering if you could answer some questions?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_imperial.stf', '19', 's_688d1dd9', 'Lack of funds is a common issue for new pilots. That is why so many pilots start out working for someone else. Ever think of joining the military to get a starship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_imperial.stf', '20', 's_68cb68ff', 'Is there anyone else I could fly for?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_imperial.stf', '21', 's_6cf025ea', 'My brother, Kess, and I decided to join the military and become pilots. But he joined up with the Rebel Alliance while I became an Imperial pilot. I mean, now we\'re on opposite sides. This wasn\'t supposed to happen.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_imperial.stf', '22', 's_6d792b3f', 'Double-click on the envelope icon, and read your mail! Anything else you wanted to ask?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_imperial.stf', '23', 's_713ef70', 'Isn\'t Fern a girl\'s name?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_imperial.stf', '24', 's_726e332f', 'There are all sorts of civilian contracts available on the \'mission terminals\' you find throughout town. Look for them near any major structure. Use the terminal to bring up the current list of local contracts. Choose the one that interests you the most, and you\'ll make money when the task is complete.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_imperial.stf', '25', 's_72f5c999', 'I think that the majority of pilot trainers are registered with the planetary map. Try opening the planetary map with CTRL+V. On the right-hand side there is a listing of categories. Look under \'trainer\' to find any local pilot teacher who\'s looking for pupils.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_imperial.stf', '26', 's_7c943cb6', 'Can you believe this?? Well, actually, you probably won\'t understand since you don\'t know anything about space flight. So never mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_imperial.stf', '27', 's_8092cf42', 'It\'s not that easy. I get the feeling that the Empire doesn\'t look kindly upon those who leave. And my training officer is big and mean. I don\'t think I could handle telling her I want out.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_imperial.stf', '28', 's_8515e448', 'Yes. I have an email from the Imperial Navy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_imperial.stf', '29', 's_8634c132', 'Too afraid to pick a side? You\'re just like my brother, Rane. On the other hand, at least I won\'t be fighting against Rane. Unlike my other brother, Kess, who is now a Rebel pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_imperial.stf', '30', 's_8b23fac', 'I want to learn to fly.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_imperial.stf', '31', 's_8b37a99a', 'How do I make money?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_imperial.stf', '32', 's_8cf9be64', 'Where can I find a vendor?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_imperial.stf', '33', 's_8dd47fdc', 'Could I ask you some questions?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_imperial.stf', '34', 's_97db14af', 'Ask Kess. He\'s the current expert on the Alliance. And while you\'re at it, remind him he should quit and join the Empire with me.\n\nWas there anything else you wanted to ask?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_imperial.stf', '35', 's_a68463ed', 'That\'s a very good question! One I\'ve yet to get a good answer for. Yeah, why should I be the one to quit? Let Kess quit. I hope he does, because I really don\'t want to fly against him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_imperial.stf', '36', 's_a8fdf422', 'Yeah, sure. What would you like to know?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_imperial.stf', '37', 's_aa5186b0', 'Glad I could help. Was there anything else you wanted to ask?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_imperial.stf', '38', 's_acc368b1', 'How do I join the Empire?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_imperial.stf', '39', 's_add31f19', 'I need a starship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_imperial.stf', '40', 's_ae74cbe5', 'Oh, another Rebel pilot. Great. I guess you and my brother can go off and fight and have fun, and I\'ll just sit here by myself. Alone. Great.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_imperial.stf', '41', 's_b19f6c96', 'What!? No!! I can\'t... No!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_imperial.stf', '42', 's_b641cda6', 'Where can I find a bazaar terminal?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_imperial.stf', '43', 's_b9b27823', 'Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_imperial.stf', '44', 's_ba95f774', 'Bazaar terminals are located all over major cities. Check the areas surrounding major hot spots like the starport, the bank, any of the cantinas, or even the hospitals.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_imperial.stf', '45', 's_c07f7b6e', 'Why doesn\'t your brother leave the Rebels and join with you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_imperial.stf', '46', 's_c4682ea6', 'Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_imperial.stf', '47', 's_c9e97ed5', 'How else would I join up?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_imperial.stf', '48', 's_cb747ceb', 'Hmm. Me neither. Maybe you should give it a little time?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_imperial.stf', '49', 's_cf5fc0f', 'How do I repair my starship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_imperial.stf', '50', 's_df7992b9', 'There are some freelance pilots here and there, though the Empire mostly frowns upon that kind of activity. At the same time, we do recognize that there is a need for a small number of freelance pilots to handle certain jobs with which the Empire does not want to be associated or simply views as beneath our notice. As I understand it, most freelance pilots are recruited through email.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_imperial.stf', '51', 's_dfa28bfa', 'Yeah, the Empire will supply new pilots with a ship. You can\'t exactly be an Imperial pilot without one. I\'ve also heard rumors that the Alliance has ships they can provide for new recruits, but my brother, Kess, would know more about that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_imperial.stf', '52', 's_e013f498', 'Look for the flashing \'envelope\' icon on your interface. It\'s placed on the lower right-hand side of your screen by default.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_imperial.stf', '53', 's_e53f15d9', 'Can you believe this?? Utterly unbelievable.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_imperial.stf', '54', 's_ef58210e', 'Good, another Imperial pilot. Tell my stupid brother how it\'s much better flying for the Empire. Go on.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_imperial.stf', '55', 's_f2a4df5e', 'Good idea! Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_imperial.stf', '56', 's_f3ec92a', 'Use the planetary map to travel to the vendors listed on it, but not all vendors will be listed there. For the unlisted ones, you\'ll have to travel around looking for player-owned buildings that hold vendors. Once you\'ve found a vendor, double-click it to see what it has for sale. You can also check bazaar terminals, but the listings on those will only be low-end starships and ship components, if even that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_imperial.stf', '57', 's_fd5402d8', 'Ah! Then it should give you information about where to go to start your naval adventure. Good luck, my friend!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_neutral.stf', '1', 'do_not_edit', 'The English version of this file (greeter_dantooine_brother_neutral.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_neutral.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_neutral.stf', '3', 's_11b5a735', 'That\'s what I hear. Or something like that anyway. The Empire\'s pretty well-equipped, after all, and can\'t really have much of a navy if their pilots don\'t have ships. I\'ve also heard rumors that the Alliance has a fleet of ships available. That\'s probably so that they can get new recruits into the fray as soon as possible.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_neutral.stf', '4', 's_12157feb', 'The military gives out free ships?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_neutral.stf', '5', 's_144ec5cc', 'Sounds good. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_neutral.stf', '6', 's_17bc5d9b', 'When you approach the space station, use SHIFT+C to target it and open communication with the commander. You will be asked if you want to purchase repairs or if you want to land on the planet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_neutral.stf', '7', 's_1ed4d61', 'You\'re telling me! They don\'t always get along, but neither wants to fight against the other in this war if it comes to that. To be honest, they didn\'t really even join up in order to fight anyone. They just wanted to be trained as pilots.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_neutral.stf', '8', 's_21394e94', 'Ouch, that\'s definitely a problem.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_neutral.stf', '9', 's_2148f1d8', 'Things are tough all over thanks to the Empire and the Alliance fighting their war. A lot of pilots are flying for either the Empire or the Rebellion these days. Ever think of joining the military to get a starship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_neutral.stf', '10', 's_219ea9a7', 'Oh, no. I fly for myself. Well, mostly. I take jobs from various sources. I\'ll admit it\'s not easy thanks to the Empire trying to control who can fly and who can\'t. But I get by. Fern and Kess thought they\'d be better off with full military support, but I think they\'ll regret that decision. Actually, they already do. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_neutral.stf', '11', 's_21bf1a8c', 'How do I join the Alliance?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_neutral.stf', '12', 's_267854a', 'Ask Fern about joining the Empire. If that\'s really what you want to do, he should be able to help you. Any other questions?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_neutral.stf', '13', 's_270c87b2', 'How do I get them to repair my ship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_neutral.stf', '14', 's_27186cee', 'I don\'t have enough money.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_neutral.stf', '15', 's_2813e3f4', 'We\'re kind of in the middle of something here. It involves space flight, which you wouldn\'t really understand.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_neutral.stf', '16', 's_2cc72ac', 'Could I ask some other questions?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_neutral.stf', '17', 's_2d6a2fce', 'Try Kess. He just joined the Alliance, so he should know what you\'d need to do. Any other questions?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_neutral.stf', '18', 's_32146025', 'Then what?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_neutral.stf', '19', 's_472f61d1', 'Local space stations are the easiest way to get your ship repaired. When you are heading back here, you should stop at the space station and ask them for repairs. They will provide a quick estimate on what it will take to get you back on track.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_neutral.stf', '20', 's_4c4f0209', 'And you\'re not on either side?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_neutral.stf', '21', 's_52939a0', 'How do I check my email?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_neutral.stf', '22', 's_5ff8baab', 'I was wondering if you could answer some questions?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_neutral.stf', '23', 's_68cb68ff', 'Is there anyone else I could fly for?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_neutral.stf', '24', 's_6d792b3f', 'Double-click on the envelope icon, and read your mail! Anything else you wanted to ask?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_neutral.stf', '25', 's_726e332f', 'There are all sorts of civilian contracts available on the \'mission terminals\' you find throughout town. Look for them near any major structure. Use the terminal to bring up the current list of local contracts. Choose the one that interests you the most, and you\'ll make money when the task is complete.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_neutral.stf', '26', 's_82bf2365', 'Look, we\'re having kind of a family crisis here. I\'m not sure I can talk much.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_neutral.stf', '27', 's_8b37a99a', 'How do I make money?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_neutral.stf', '28', 's_8cf9be64', 'Where can I find a vendor?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_neutral.stf', '29', 's_97856fdc', 'If I can answer them, I\'d be more than happy to do so.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_neutral.stf', '30', 's_9e23c971', 'What kind of family crisis?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_neutral.stf', '31', 's_acc368b1', 'How do I join the Empire?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_neutral.stf', '32', 's_add31f19', 'I need a starship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_neutral.stf', '33', 's_b641cda6', 'Where can I find a bazaar terminal?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_neutral.stf', '34', 's_ba95f774', 'Bazaar terminals are located all over major cities. Check the areas surrounding major hot spots like the starport, the bank, any of the cantinas, or even the hospitals.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_neutral.stf', '35', 's_c4682ea6', 'Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_neutral.stf', '36', 's_c4de0e45', 'Well, these two knuckleheads, my brothers, wanted to become pilots like me. Unlike me, though, they decided they would join the military and get free training. Stupid move if you ask me, but there it is. Only problem is that they didn\'t check with one another before joining, and now Fern is an Imperial pilot while Kess joined the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_neutral.stf', '37', 's_c5b0fbb3', 'Have you checked any vendors? Merchants use vendors to help sell their merchandise. Shipwrights put finished starships and ship components for sale on their vendors, and then you can go to those vendors and purchase what you need.\n');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_neutral.stf', '38', 's_c77a96c6', 'Yeah, hi. I can see that you\'re a hotshot pilot, but this is really a family matter. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_neutral.stf', '39', 's_cc7c9754', 'Don\'t mention it. Anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_neutral.stf', '40', 's_cf5fc0f', 'How do I repair my starship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_neutral.stf', '41', 's_d4c6e8cd', 'No problem! Anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_neutral.stf', '42', 's_d9231b4f', 'There are freelance pilots working in most systems. Some are CorSec pilots, others are part of the RSF of Naboo, and of course, others are smugglers or pirates. I wouldn\'t recommend those last two if you want to pursue a lengthy career, but, at the same time, some of the best military pilots I know were once smugglers. Most freelance organizations will send recruitment emails. You might try checking your email for something like that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_neutral.stf', '43', 's_e013f498', 'Look for the flashing \'envelope\' icon on your interface. It\'s placed on the lower right-hand side of your screen by default.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_neutral.stf', '44', 's_f2a4df5e', 'Good idea! Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_neutral.stf', '45', 's_f3ec92a', 'Use the planetary map to travel to the vendors listed on it, but not all vendors will be listed there. For the unlisted ones, you\'ll have to travel around looking for player-owned buildings that hold vendors. Once you\'ve found a vendor, double-click it to see what it has for sale. You can also check bazaar terminals, but the listings on those will only be low-end starships and ship components, if even that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '1', 'do_not_edit', 'The English version of this file (greeter_dantooine_brother_rebel.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '3', 's_12157feb', 'The military gives out free ships?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '4', 's_144ec5cc', 'Sounds good. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '5', 's_175a8508', 'Great, an Imperial Pilot. That\'s perfect. Why don\'t you go play Empire somewhere else. This is a family matter.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '6', 's_17bc5d9b', 'When you approach the space station, use SHIFT+C to target it and open communication with the commander. You will be asked if you want to purchase repairs or if you want to land on the planet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '7', 's_19aad16e', 'No. And you need help. Seriously. What the heck are you talking about? Family bantha? Do we look like ranchers? Please. The magic beans sound cool though.\n\nAnyway, no. He joined the Empire and became an Imperial pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '8', 's_1a06c1df', 'It doesn\'t.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '9', 's_1abd933c', 'Interesting. Good luck with that. I don\'t want to get too close to the Galactic Civil War, myself.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '10', 's_1b178396', 'I wish I could help, but I\'m stumped.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '11', 's_21bf1a8c', 'How do I join the Alliance?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '12', 's_23b94086', 'My brother went and became an Imperial pilot. Can you believe that? Well actually, I guess you wouldn\'t know anything about being a pilot, would you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '13', 's_270c87b2', 'How do I get them to repair my ship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '14', 's_27186cee', 'I don\'t have enough money.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '15', 's_29894b97', 'I don\'t know how to check.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '16', 's_3059f369', 'What then?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '17', 's_309c383a', 'On the lower right-hand side of your screen, there should be a \'letter\' icon that is flashing. Double-click on this icon, and it will bring up your personal email. Read over the subject and sender, and scroll through the body text to get all the details.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '18', 's_30c987fd', 'Okay. Anyway, could you answer some questions for me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '19', 's_32146025', 'Then what?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '20', 's_472f61d1', 'Local space stations are the easiest way to get your ship repaired. When you are heading back here, you should stop at the space station and ask them for repairs. They will provide a quick estimate on what it will take to get you back on track.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '21', 's_47993591', 'That I can\'t answer so well, but Fern could. Stupid moron knows all about joining the Empire. Any other questions?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '22', 's_495777c0', 'Have you checked any vendors? Merchants use vendors to help sell their merchandise. Shipwrights put finished starships and ship components for sale on their vendors, and then you can go to those vendors and purchase what you need.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '23', 's_4c5683f0', 'That\'s what one hears. The Empire has more ships than pilots, and I suspect that it\'s because they go through pilots faster than a smuggler goes through ale. The Rebels, on the other hand, are known to honor their new pilots with a new ship that will lift them into the reaches of space and beyond.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '24', 's_4eb2ac5d', 'Good luck, kid! Anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '25', 's_52939a0', 'How do I check my email?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '26', 's_5b893f7c', 'It does.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '27', 's_5dac8809', 'You\'re a Privateer Pilot, aren\'t you? I\'m beginning to wonder if maybe you and my brother Rane had the right idea by not joining the Imperial Navy or the Rebel Navy, and simply staying out of the whole mess. As much as is possible for anyone to stay out of it, anyway.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '28', 's_5e410744', 'Right-click on the map location to create and activate a waypoint. Follow the waypoint to the trainer\'s location.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '29', 's_5eb5a62c', 'I can totally relate to that. Things are tough all over thanks to the was between the Empire and the Alliance. A lot of pilots are flying for either the Empire or the Rebellion these days. Ever think of joining the military to get a starship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '30', 's_60674236', 'Use the command CTRL+V to open the planetary map. On the right-hand side of your display, you will see a listing of trainers by category. All local trainers who register with the planet will appear on this list. Click the \'Trainer\' tab and then look for a pilot trainer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '31', 's_67d831d4', 'Okay, what would you like to know?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '32', 's_68cb68ff', 'Is there anyone else I could fly for?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '33', 's_69796047', 'He traded the family bantha for some magic beans?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '34', 's_6bbf120e', 'With Fern? Absolutely correct! You\'d never guess what that no-brain womp rat went and did? Try and guess. Go ahead and try.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '35', 's_6d792b3f', 'Double-click on the envelope icon, and read your mail! Anything else you wanted to ask?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '36', 's_6f0ab63b', 'Stay safe, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '37', 's_726e332f', 'There are all sorts of civilian contracts available on the \'mission terminals\' you find throughout town. Look for them near any major structure. Use the terminal to bring up the current list of local contracts. Choose the one that interests you the most, and you\'ll make money when the task is complete.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '38', 's_778041fd', 'Your best bet is to get in touch with the Alliance and sign up for their training program. There are others who will urge you to put your efforts to use in the Empire, but fools will be fools. And most fools are my brother.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '39', 's_7cedb568', 'Yeah, that\'s right. I can\'t believe you guessed it. Wow.\n\nAnyway, yeah, he became an Imperial pilot and I\'m a Rebel pilot. We were supposed to join the same military, not opposed ones. And now I don\'t know what to do about it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '40', 's_7ea269a5', 'Of all the stubborn, no-account, \'don\'t bother to say anything to your brother\' brothers, mine is definitely the worst! By far. No one else could ever come close.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '41', 's_85e41490', 'He became an Imperial pilot while you became a Rebel pilot?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '42', 's_8b23fac', 'I want to learn to fly.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '43', 's_8b37a99a', 'How do I make money?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '44', 's_8cf9be64', 'Where can I find a vendor?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '45', 's_8ef8dbfb', 'I have another question.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '46', 's_91cb4419', 'You seem to be upset with your brother?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '47', 's_93280d8a', 'Good idea. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '48', 's_93511893', 'Why don\'t you join the Empire with your brother?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '49', 's_9354f1d9', 'You\'re a Rebel Pilot. See my brother over here? The one dressed as an Imperial pilot? Look, I know he\'s made a big mistake joining the Empire and all, but just promise me you won\'t shoot him. okay? After all, he\'s still my brother.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '50', 's_9b136077', 'That\'s what Fern keeps insisting. But I\'m not sure I trust the Empire. They seem to treat their pilots like fodder by sending wave after wave into battle with no regard for their survival. Fern says that\'s not the case, but I\'m not so sure. And his claims that leaving the Empire might be dangerous do little to boost my confidence. Seriously, I just don\'t know what to do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '51', 's_9ecb2da9', 'Oh sure. What would you like to know?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '52', 's_a463a3c1', 'You\'re welcome. Anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '53', 's_a4b89de2', 'What\'s wrong is that I became a Rebel pilot! \n\nWe wanted to join the military and become pilots. But we were supposed to join the same military, not opposed ones. He didn\'t tell me he was going to join the Empire. How was I supposed to know? And now what do we do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '54', 's_a9850aec', 'I got an email from the Alliance!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '55', 's_acc368b1', 'How do I join the Empire?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '56', 's_ad02b6b3', 'He ran off with your girlfriend and married her?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '57', 's_add31f19', 'I need a starship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '58', 's_af88e52c', 'What!! He ran off with my girlfriend! That son of a kreetle! I can\'t believe he would do something like that!! Wait a minute, I don\'t have a girlfriend. No, no, that\'s not it. That\'s not it at all.\n\nNo, he joined the Empire and became an Imperial pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '59', 's_b20f640e', 'No, but that\'s a good guess. That\'s exactly the kind of thing Fern would do.\n\nNo, he joined the Empire and became an Imperial pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '60', 's_b641cda6', 'Where can I find a bazaar terminal?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '61', 's_ba3c26af', 'You did? These are desperate times, indeed. The email should probably indicate where you are supposed to go for initial recruitment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '62', 's_ba95f774', 'Bazaar terminals are located all over major cities. Check the areas surrounding major hot spots like the starport, the bank, any of the cantinas, or even the hospitals.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '63', 's_c2db6878', 'Good-bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '64', 's_c4682ea6', 'Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '65', 's_cc7c9754', 'Don\'t mention it. Anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '66', 's_cdb17e79', 'How do I check the planetary map?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '67', 's_cf5fc0f', 'How do I repair my starship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '68', 's_d434d6d3', 'I appreciate it anyway. Could I help you? Answer some questions about becoming a pilot maybe?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '69', 's_d4c6e8cd', 'No problem! Anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '70', 's_d9231b4f', 'There are freelance pilots working in most systems. Some are CorSec pilots, others are part of the RSF of Naboo, and of course, others are smugglers or pirates. I wouldn\'t recommend those last two if you want to pursue a lengthy career, but, at the same time, some of the best military pilots I know were once smugglers. Most freelance organizations will send recruitment emails. You might try checking your email for something like that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '71', 's_da08c873', 'That\'s sort of tricky. There may be some Alliance pilots bold enough to register their locations on the planetary map. Have you looked at the planetary map yet?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '72', 's_e013f498', 'Look for the flashing \'envelope\' icon on your interface. It\'s placed on the lower right-hand side of your screen by default.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '73', 's_e52fbe2d', 'He took the last sweesonberry roll without asking if you wanted one?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '74', 's_eab69714', 'Strange. Seems that if they undertook the risk to send you a message, they would make it clear how to respond. Why don\'t you check your email a little closer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '75', 's_f2356ea5', 'What\'s wrong with that?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '76', 's_f2a4df5e', 'Good idea! Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '77', 's_f3ec92a', 'Use the planetary map to travel to the vendors listed on it, but not all vendors will be listed there. For the unlisted ones, you\'ll have to travel around looking for player-owned buildings that hold vendors. Once you\'ve found a vendor, double-click it to see what it has for sale. You can also check bazaar terminals, but the listings on those will only be low-end starships and ship components, if even that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '78', 's_f5f72ae1', 'My pleasure. Anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_brother_rebel.stf', '79', 's_f90ad503', 'I see. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_officer.stf', '1', 'do_not_edit', 'The English version of this file (greeter_dantooine_imperial_officer.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_officer.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_officer.stf', '3', 's_11a138a8', 'Good, an Imperial Pilot. Perhaps you could speak to Lt. Herm here and refresh his memory about what an honor it is to fly for the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_officer.stf', '4', 's_18f5467', 'I was wondering if you could answer some questions about flying?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_officer.stf', '5', 's_2cc72ac', 'Could I ask some other questions?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_officer.stf', '6', 's_2d0b2b0d', 'Why doesn\'t he want to fly his patrol?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_officer.stf', '7', 's_46c618ee', 'Maybe a few days of kitchen duty will help convince him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_officer.stf', '8', 's_485a7722', 'Yes, hello. I\'m afraid I don\'t have time to chat. I must deal with this pilot, Lt. Herm, who is supposed to be on patrol.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_officer.stf', '9', 's_52b9f1df', 'Speaking of space flight, could you answer a few questions?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_officer.stf', '10', 's_565b9394', 'As the flight officer for this base, my primary duties involve scheduling and overseeing Imperial TIE fighter patrols in the area. As such, I have little time for those such as yourself who are not involved with space flight.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_officer.stf', '11', 's_61a9bbe6', 'You look suspicious. Move along.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_officer.stf', '12', 's_757cddb8', 'Well, in theory, Lt. Herm here should be able to answer those kinds of questions, but I\'m not so sure anymore.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_officer.stf', '13', 's_79729876', 'It is a military matter that is being handled. Of that, I assure you. The fact of the matter is that when the Empire tells one of its pilots to fly a patrol, then that pilot does so. Nothing else matters. I\'m trying to convince Lt. Herm that it is best for him to remember that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_officer.stf', '14', 's_a438c9', 'Yes, of course. Or something like that. But I\'d rather avoid disciplinary action if possible. I believe that such actions reflect on me as a leader as well as on the person being disciplined. As such, I\'m hopeful we can resolve this without Lt. Herm needing to be punished yet again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_officer.stf', '15', 's_ab68a343', 'It seems that Lt. Herm does not care for space flight. Apparently he\'s not fond of heights in general. As it turns out, when he signed on to be a pilot, he thought he could drive an AT-ST. I\'m beginning to doubt that he could handle even that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_officer.stf', '16', 's_d2849e62', 'What\'s the problem?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_pilot.stf', '1', 'do_not_edit', 'The English version of this file (greeter_dantooine_imperial_pilot.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_pilot.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_pilot.stf', '3', 's_12157feb', 'The military gives out free ships?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_pilot.stf', '4', 's_144ec5cc', 'Sounds good. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_pilot.stf', '5', 's_17bc5d9b', 'When you approach the space station, use SHIFT+C to target it and open communication with the commander. You will be asked if you want to purchase repairs or if you want to land on the planet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_pilot.stf', '6', 's_1ead9e8c', 'You\'re not involved with space flight, are you? Good for you. I\'m totally jealous. \'Keep your feet firmly on the ground\', my dad used to always say. I want so much to follow that advice.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_pilot.stf', '7', 's_1f7a933d', 'True, it may be a bit high, but I think I could adjust to that. An AT-ST remains firmly on the ground, though. That\'s the important thing. Don\'t you see? Two feet solidly on the ground. That\'s my goal.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_pilot.stf', '8', 's_21bf1a8c', 'How do I join the Alliance?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_pilot.stf', '9', 's_270c87b2', 'How do I get them to repair my ship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_pilot.stf', '10', 's_27186cee', 'I don\'t have enough money.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_pilot.stf', '11', 's_2e3fddb0', 'The Empire will supply new pilots with a ship. You can\'t exactly be an Imperial Pilot without a ship. I\'ve also heard rumors that the Alliance has prepared a fleet of ships so they can get new recruits into the fray as soon as possible as well, but rest assured that their fleet exists on borrowed time. We will crush it soon enough.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_pilot.stf', '12', 's_3059f369', 'What then?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_pilot.stf', '13', 's_32146025', 'Then what?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_pilot.stf', '14', 's_472f61d1', 'Local space stations are the easiest way to get your ship repaired. When you are heading back here, you should stop at the space station and ask them for repairs. They will provide a quick estimate on what it will take to get you back on track.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_pilot.stf', '15', 's_495777c0', 'Have you checked any vendors? Merchants use vendors to help sell their merchandise. Shipwrights put finished starships and ship components for sale on their vendors, and then you can go to those vendors and purchase what you need.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_pilot.stf', '16', 's_4f12802', 'Double-click on the envelope icon, and read your mail! Was there anything else you wanted to ask?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_pilot.stf', '17', 's_52939a0', 'How do I check my email?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_pilot.stf', '18', 's_53d312b4', 'I suppose I could. What would you like to know?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_pilot.stf', '19', 's_558a361a', 'The Imperial Navy? I\'ve heard that they are sending out recruitment emails to everyone they can locate these days. Have you checked your email today?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_pilot.stf', '20', 's_5618d2cd', 'No. I have received no email.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_pilot.stf', '21', 's_5989c487', 'There are all sorts of civilian contracts available on the \'mission terminals\' you find throughout town. Look for them near any major structure. Use the terminal to bring up the current list of local contracts. Choose the one that interests you most and you\'ll make money when the task is complete.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_pilot.stf', '22', 's_5e410744', 'Right-click on the map location to create and activate a waypoint. Follow the waypoint to the trainer\'s location.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_pilot.stf', '23', 's_688d1dd9', 'Lack of funds is a common issue for new pilots. That is why so many pilots start out working for someone else. Ever think of joining the military to get a starship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_pilot.stf', '24', 's_68cb68ff', 'Is there anyone else I could fly for?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_pilot.stf', '25', 's_6a489e79', 'And why are you telling me this? I have enough problems to deal with at the moment, so I\'m going to forget that you told me that.\n\nWas there anything else you wanted to ask?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_pilot.stf', '26', 's_6b48e0e3', 'You\'re welcome. Now move along. Unless there was something else you wanted to ask?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_pilot.stf', '27', 's_72352199', 'Your best bet is to get in touch with the Empire and sign up for their training program. There are others who will urge you to put your efforts to use in the Alliance, but fools will be fools.\n\nAnything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_pilot.stf', '28', 's_72f5c999', 'I think that the majority of pilot trainers are registered with the planetary map. Try opening the planetary map with CTRL+V. On the right-hand side there is a listing of categories. Look under \'trainer\' to find any local pilot teacher who\'s looking for pupils.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_pilot.stf', '29', 's_8515e448', 'Yes. I have an email from the Imperial Navy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_pilot.stf', '30', 's_880f19c', 'I can\'t help you since you\'re a pilot but obviously not a member of the Imperial Navy. You should probably go.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_pilot.stf', '31', 's_88a51d3c', 'Do you really think you should be asking me that? Even if I did know that some Alliance pilots are bold enough to register their locations on the planetary map, I wouldn\'t exactly be telling people. I\'m a pilot in the Imperial Navy, after all.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_pilot.stf', '32', 's_8b23fac', 'I want to learn to fly.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_pilot.stf', '33', 's_8b37a99a', 'How do I make money?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_pilot.stf', '34', 's_8cf9be64', 'Where can I find a vendor?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_pilot.stf', '35', 's_9bd0d381', 'Oh, hello. I\'m kind of busy right now. Not as busy as Col. Rabor would like me to be, obviously, but I still feel busy nonetheless.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_pilot.stf', '36', 's_a434968c', 'Greetings, Pilot. Maybe you\'d be willing to fly my patrol for me? No? It\'s not so much an honor as all that, you know. It\'s just really, really high up there in space.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_pilot.stf', '37', 's_a9850aec', 'I got an email from the Alliance!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_pilot.stf', '38', 's_acc368b1', 'How do I join the Empire?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_pilot.stf', '39', 's_add31f19', 'I need a starship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_pilot.stf', '40', 's_af081ce', 'Oh, but I am. I\'m trying to convince my flight officer, Col. Rabor here, that I shouldn\'t be a pilot. Not a space pilot, anyway. I\'m not good with all the space and the emptiness and the being way, way up in the sky. It\'s fine for some, I guess, but I\'d rather stay connected to the ground. I\'m thinking that driving an AT-ST would be more my style.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_pilot.stf', '41', 's_b641cda6', 'Where can I find a bazaar terminal?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_pilot.stf', '42', 's_b70fd5b5', 'Could answer some questions about space flight?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_pilot.stf', '43', 's_b9b27823', 'Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_pilot.stf', '44', 's_ba95f774', 'Bazaar terminals are located all over major cities. Check the areas surrounding major hot spots like the starport, the bank, any of the cantinas, or even the hospitals.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_pilot.stf', '45', 's_c4682ea6', 'Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_pilot.stf', '46', 's_c71e3ca9', 'You don\'t look busy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_pilot.stf', '47', 's_c9e97ed5', 'How else would I join up?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_pilot.stf', '48', 's_cb747ceb', 'Hmm. Me neither. Maybe you should give it a little time?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_pilot.stf', '49', 's_cc7c9754', 'Don\'t mention it. Anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_pilot.stf', '50', 's_cdb17e79', 'How do I check the planetary map?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_pilot.stf', '51', 's_cf5fc0f', 'How do I repair my starship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_pilot.stf', '52', 's_d0338793', 'Fine, now move along. Unless there was something else you wanted to ask?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_pilot.stf', '53', 's_d4c6e8cd', 'No problem! Anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_pilot.stf', '54', 's_d9a44d69', 'I can\'t help you since you\'re a pilot but obviously not a member of the Imperial Navy. You should probably leave now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_pilot.stf', '55', 's_df7992b9', 'There are some freelance pilots here and there, though the Empire mostly frowns upon that kind of activity. At the same time, we do recognize that there is a need for a small number of freelance pilots to handle certain jobs with which the Empire does not want to be associated or simply views as beneath our notice. As I understand it, most freelance pilots are recruited through email.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_pilot.stf', '56', 's_e013f498', 'Look for the flashing \'envelope\' icon on your interface. It\'s placed on the lower right-hand side of your screen by default.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_pilot.stf', '57', 's_e0de9210', 'I was wondering if you could answer some questions about space flight?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_pilot.stf', '58', 's_e843e3ab', 'Use the command CTRL+V to open the planetary map. On the right side of your display, you will see a listing of trainers by category. All local trainers who register with the planet will appear on this list. Click the \'Trainer\' tab and then look for a pilot trainer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_pilot.stf', '59', 's_f2a4df5e', 'Good idea! Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_pilot.stf', '60', 's_f3ec92a', 'Use the planetary map to travel to the vendors listed on it, but not all vendors will be listed there. For the unlisted ones, you\'ll have to travel around looking for player-owned buildings that hold vendors. Once you\'ve found a vendor, double-click it to see what it has for sale. You can also check bazaar terminals, but the listings on those will only be low-end starships and ship components, if even that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_pilot.stf', '61', 's_f5f72ae1', 'My pleasure. Anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_pilot.stf', '62', 's_fbaa9d84', 'Those AT-STs are pretty tall. You\'d still be pretty high off the ground.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_imperial_pilot.stf', '63', 's_fd5402d8', 'Ah! Then it should give you information about where to go to start your naval adventure. Good luck, my friend!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '1', 'do_not_edit', 'The English version of this file (greeter_dantooine_old_pilot.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '3', 's_12157feb', 'The military gives out free ships?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '4', 's_1372e866', 'Your best bet is to get in touch with the Alliance and sign up for their training program. Of course... there are others who will urge you to put your efforts to use in the Empire, but fools will be fools.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '5', 's_137e40c4', 'Could I ask some questions about becoming a pilot?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '6', 's_144ec5cc', 'Sounds good. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '7', 's_17bc5d9b', 'When you approach the space station, use SHIFT+C to target it and open communication with the commander. You will be asked if you want to purchase repairs or if you want to land on the planet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '8', 's_21bf1a8c', 'How do I join the Alliance?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '9', 's_270c87b2', 'How do I get them to repair my ship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '10', 's_27186cee', 'I don\'t have enough money.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '11', 's_29894b97', 'I don\'t know how to check.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '12', 's_2c93727e', 'Of course! This is your lucky day, no one around here knows more about starflight than I do. I\'d be more than happy to help..');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '13', 's_2e30f02b', 'Look for the flashing \'envelope\' icon on your interface. It\'s placed on the lower right-hand-side of your screen by default.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '14', 's_3059f369', 'What then?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '15', 's_32146025', 'Then what?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '16', 's_3b7aeafd', 'Very well then. Fell free to ask.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '17', 's_42ddcfd5', 'Local space stations are the easiest way to get your ship repaired. When you are heading back here, you should stop at the space station and ask them for repairs. They will provide a quick estimate on what it will take to get you back on-track.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '18', 's_495777c0', 'Have you checked any vendors? Merchants use vendors to help sell their merchandise. Shipwrights put finished starships and ship components for sale on their vendors, and then you can go to those vendors and purchase what you need.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '19', 's_49800c02', 'That\'s what I hear. Or something like that anyway. The Empire\'s pretty well-equipped after all, and can\'t really have much of a navy if their pilots don\'t have ships. I\'ve also heard rumors that the Alliance has a fleet of ships available so they can get new recruits into the fray as soon as possible.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '20', 's_52939a0', 'How do I check my email?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '21', 's_5618d2cd', 'No. I have received no email.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '22', 's_5989c487', 'There are all sorts of civilian contracts available on the \'mission terminals\' you find throughout town. Look for them near any major structure. Use the terminal to bring up the current list of local contracts. Choose the one that interests you most and you\'ll make money when the task is complete.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '23', 's_5a1d315c', 'On the lower right-side of your screen there should be a \'letter\' icon that is flashing. Double-click on this icon and it will bring up your personal email. Read over the subject and sender, and scroll through the body text to get all the details.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '24', 's_5b893f7c', 'It does.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '25', 's_5e410744', 'Right-click on the map location to create and activate a waypoint. Follow the waypoint to the trainer\'s location.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '26', 's_5ebe92b8', 'I think that the majority of pilot trainers are registered with the planetary map. Try opening the planet map with CTRL+V. On the right-hand-side there is a listing of categories. Look under \'trainer\' to find any local pilot teacher who\'s looking for pupils.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '27', 's_62bc5ee5', 'Oh, look at the Imperial pilot. You here to tell me not to fly? Well, don\'t bother. I haven\'t listened before this and I\'m not listening now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '28', 's_64cda856', 'Fair enough. I fly various jobs for people in these parts. Not that far back, I reconditioned an old starfighter and use it for my work. Can\'t stand being grounded, so I had to do something. My old bird won\'t stand for atmospheric flight, but she\'s more than enough for flying low altitude jobs.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '29', 's_68cb68ff', 'Is there anyone else I could fly for?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '30', 's_6c0fd0e6', 'What\'s an old mule like yourself doing here?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '31', 's_6c3b3817', 'I was wondering if you could answer some questions about being a pilot?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '32', 's_6f0ab63b', 'Stay safe, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '33', 's_73f8df86', 'Hey, any time. Anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '34', 's_7c2b99a8', 'Hey, what\'s a young whippersnapper like yourself doing on Dantooine? ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '35', 's_7e78496a', 'Ah, a fellow pilot. Unattached to the military. Good choice. Why get mixed up in all that political hullabaloo if you don\'t need to?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '36', 's_8515e448', 'Yes. I have an email from the Imperial Navy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '37', 's_88a2ef9d', 'Enough with the \'sir\' alright? Just call me Yras, if you\'re gonna call me anything.\n\nAnyway, I fly various jobs for people in these parts. Not that far back, I reconditioned an old starfighter and use it for my work. Can\'t stand being grounded, so I had to do something. My old bird won\'t stand for atmospheric flight, but she\'s more than enough for flying low altitude jobs.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '38', 's_8b23fac', 'I want to learn to fly.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '39', 's_8b37a99a', 'How do I make money?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '40', 's_8cf9be64', 'Where can I find a vendor?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '41', 's_8ef8dbfb', 'I have another question.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '42', 's_9296a137', 'Hey, are you a Rebel pilot? Between, you and me, I think you\'ve got the right idea. These darn Imperials think they run the galaxy or something. I for one am sick of their attitude.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '43', 's_93280d8a', 'Good idea. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '44', 's_961d42dc', 'May I ask what you do around here, sir?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '45', 's_98936d03', 'Right... so how do I check the planetary map?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '46', 's_9ae83fab', 'Who does the Empire think they are, trying to tell me I can\'t fly. I\'ve been flying my whole life, and I don\'t aim to stop now. And they can stick that up their blaster and shoot it. \n\nNot that you\'d know anything about flying. I can\'t imagine how you manage to go through life without knowing the thrill of flight, but I guess there\'s no accounting for some people.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '47', 's_a185791a', 'Things are tough all over what with the Alliance and the Empire making with war and all. A lot of pilots are flying for either the Empire or the Rebellion these days. Ever think of joining the military to get a starship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '48', 's_a463a3c1', 'You\'re welcome. Anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '49', 's_a93a834e', 'You didn\'t answer my question, old man?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '50', 's_a9850aec', 'I got an email from the Alliance!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '51', 's_ab00aa08', 'Bazaar terminals are located all over major cities. Check the areas surrounding major hot-spots like the starport, the bank, any of the cantinas, or even the hospitals.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '52', 's_acc368b1', 'How do I join the Empire?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '53', 's_add31f19', 'I need a starship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '54', 's_b0b2621a', 'It doesn\'t');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '55', 's_b641cda6', 'Where can I find a bazaar terminal?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '56', 's_b9b27823', 'Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '57', 's_ba3c26af', 'You did? These are desperate times, indeed. The email should probably indicate where you are supposed to go for initial recruitment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '58', 's_bb38db80', 'Interesting. Well... good luck with that. I don\'t want to get too close to the galactic civil war, myself.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '59', 's_c2db6878', 'Good-bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '60', 's_c4682ea6', 'Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '61', 's_c4d3634f', 'Ah spirited, are you? Last time someone showed that kind of spirit, we buried him the next day. Or what was left of him anyway. But don\'t let that stop you... this planet isn\'t kind to anyone, spirited or not.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '62', 's_c74b4365', 'Nothing sir. Just passing through.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '63', 's_c8012fa1', 'Meek as a Naboo winter. You\'re not gonna last a day here, youngster. Best add some backbone.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '64', 's_c9e97ed5', 'How else would I join up?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '65', 's_cb747ceb', 'Hmm. Me neither. Maybe you should give it a little time?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '66', 's_cc7c9754', 'Don\'t mention it. Anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '67', 's_cdd2fccc', 'That\'s sort of tricky. There may be some Alliance pilots bold enough to register their locations on the planetary map. Have you looked at the planet map yet?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '68', 's_cf5fc0f', 'How do I repair my starship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '69', 's_d1493149', 'The Imperial Navy? Something wrong with you? Why would you want to join the Empire? \n\nGuess you young people these days just aren\'t very bright. Anyway, I\'ve heard that the Empire is sending out recruitment emails to everyone they can locate these days. Have you checked your email today?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '70', 's_d4c6e8cd', 'No problem! Anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '71', 's_d9231b4f', 'There are freelance pilots working in most systems. Some are CorSec pilots, others are part of the RSF of Naboo, and of course, others are smugglers or pirates. I wouldn\'t recommend those last two if you want to pursue a lengthy career, but, at the same time, some of the best military pilots I know were once smugglers. Most freelance organizations will send recruitment emails. You might try checking your email for something like that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '72', 's_e1c13ebb', 'Double-click on the envelope icon, and read your mail! Anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '73', 's_e9934b03', 'Use the command CTRL+V to open the planet map. On the right side of your display you will see a listing of trainers by category. All local trainers who register with the planet will appear on this list. Click the \'Trainer\' tab and then look for a pilot trainer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '74', 's_eab69714', 'Strange. Seems that if they undertook the risk to send you a message, they would make it clear how to respond. Why don\'t you check your email a little closer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '75', 's_f2a4df5e', 'Good idea! Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '76', 's_f3ec92a', 'Use the planetary map to travel to the vendors listed on it, but not all vendors will be listed there. For the unlisted ones, you\'ll have to travel around looking for player-owned buildings that hold vendors. Once you\'ve found a vendor, double-click it to see what it has for sale. You can also check bazaar terminals, but the listings on those will only be low-end starships and ship components, if even that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '77', 's_f90ad503', 'I see. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '78', 's_fa94d5c5', 'Good-bye!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_dantooine_old_pilot.stf', '79', 's_fd5402d8', 'Ah! Then it should give you information about where to go to start your naval adventure. Good luck, my friend!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_imperial_officer.stf', '1', 'do_not_edit', 'The English version of this file (greeter_kadaara_imperial_officer.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_imperial_officer.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_imperial_officer.stf', '3', 's_12157feb', 'The military gives out free ships?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_imperial_officer.stf', '4', 's_144ec5cc', 'Sounds good. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_imperial_officer.stf', '5', 's_17bc5d9b', 'When you approach the space station, use SHIFT+C to target it and open communication with the commander. You will be asked if you want to purchase repairs or if you want to land on the planet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_imperial_officer.stf', '6', 's_21bf1a8c', 'How do I join the Alliance?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_imperial_officer.stf', '7', 's_270c87b2', 'How do I get them to repair my ship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_imperial_officer.stf', '8', 's_27186cee', 'I don\'t have enough money.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_imperial_officer.stf', '9', 's_3059f369', 'What then?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_imperial_officer.stf', '10', 's_32146025', 'Then what?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_imperial_officer.stf', '11', 's_324c0132', 'Fine. Unless there was something else you wanted to ask, please move along.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_imperial_officer.stf', '12', 's_332cd8bf', 'You may consider yourself lucky that I have nothing else with which to occupy my time. What are your questions, citizen?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_imperial_officer.stf', '13', 's_408909a3', 'You seem distressed. Is there a problem?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_imperial_officer.stf', '14', 's_423f3cd2', 'My problems are my own, citizen. Just because my vacation was interrupted to comply with some vague orders I have not even received yet does not mean that I am going to share those problems with everyone who asks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_imperial_officer.stf', '15', 's_472f61d1', 'Local space stations are the easiest way to get your ship repaired. When you are heading back here, you should stop at the space station and ask them for repairs. They will provide a quick estimate on what it will take to get you back on track.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_imperial_officer.stf', '16', 's_495777c0', 'Have you checked any vendors? Merchants use vendors to help sell their merchandise. Shipwrights put finished starships and ship components for sale on their vendors, and then you can go to those vendors and purchase what you need.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_imperial_officer.stf', '17', 's_50bd5bd', 'I apologize. I\'ll let you get back to your problems.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_imperial_officer.stf', '18', 's_52939a0', 'How do I check my email?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_imperial_officer.stf', '19', 's_542c6b63', 'Do you really think you should be asking me that? Even if I did know that some Alliance pilots are bold enough to register their locations on the planetary map, I wouldn\'t exactly be telling people. Would I? I\'m an officer in the Imperial Navy, after all.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_imperial_officer.stf', '20', 's_558a361a', 'The Imperial Navy? I\'ve heard that they are sending out recruitment emails to everyone they can locate these days. Have you checked your email today?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_imperial_officer.stf', '21', 's_5618d2cd', 'No. I have received no email.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_imperial_officer.stf', '22', 's_5989c487', 'There are all sorts of civilian contracts available on the \'mission terminals\' you find throughout town. Look for them near any major structure. Use the terminal to bring up the current list of local contracts. Choose the one that interests you most and you\'ll make money when the task is complete.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_imperial_officer.stf', '23', 's_5e410744', 'Right-click on the map location to create and activate a waypoint. Follow the waypoint to the trainer\'s location.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_imperial_officer.stf', '24', 's_5ff8baab', 'I was wondering if you could answer some questions?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_imperial_officer.stf', '25', 's_688d1dd9', 'Lack of funds is a common issue for new pilots. That is why so many pilots start out working for someone else. Ever think of joining the military to get a starship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_imperial_officer.stf', '26', 's_68cb68ff', 'Is there anyone else I could fly for?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_imperial_officer.stf', '27', 's_6d792b3f', 'Double-click on the envelope icon, and read your mail! Anything else you wanted to ask?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_imperial_officer.stf', '28', 's_6efdcd5c', 'You\'re on vacation?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_imperial_officer.stf', '29', 's_6f4ea30b', 'Giving them out may not be the phrase I\'d use, but the Empire will indeed supply new pilots with a ship. You can\'t exactly be an Imperial Pilot without a ship. I\'ve also heard rumors that the Alliance has prepared a fleet of ships for their newly recruited pilots. They obviously want to get them into the fray as soon as possible, but rest assured that their fleet exists on borrowed time. We will crush it soon enough.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_imperial_officer.stf', '30', 's_72352199', 'Your best bet is to get in touch with the Empire and sign up for their training program. There are others who will urge you to put your efforts to use in the Alliance, but fools will be fools.\n\nAnything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_imperial_officer.stf', '31', 's_7ce95581', 'I am really not in the mood right now, so unless you\'re looking to enlist in the Imperial Navy, I suggest you leave. Quickly.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_imperial_officer.stf', '32', 's_8515e448', 'Yes. I have an email from the Imperial Navy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_imperial_officer.stf', '33', 's_8b23fac', 'I want to learn to fly.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_imperial_officer.stf', '34', 's_8b37a99a', 'How do I make money?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_imperial_officer.stf', '35', 's_8cf9be64', 'Where can I find a vendor?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_imperial_officer.stf', '36', 's_988e6614', 'I suppose I shall. Now move along, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_imperial_officer.stf', '37', 's_98e32091', 'Well, then could I ask some other questions?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_imperial_officer.stf', '38', 's_9f7f7c0a', 'I think that the majority of pilot trainers are registered with the planetary map. Try opening the planetary map with CTRL+V. On the right-hand side, there is a listing of categories. Look under \'trainer\' to find any local pilot teacher who\'s looking for pupils.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_imperial_officer.stf', '39', 's_a9850aec', 'I got an email from the Alliance!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_imperial_officer.stf', '40', 's_a994429', 'Was on vacation. Well, I still am technically. It\'s complicated, citizen. I await orders from my commanding officer. From what he told me, they are very important orders, though apparently not important enough to let me know what those orders would be. I think this is revenge for grading better than him in the carbine range last month. He can be so petty. But enough about that. I\'ve said more than I intended.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_imperial_officer.stf', '41', 's_acc368b1', 'How do I join the Empire?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_imperial_officer.stf', '42', 's_add31f19', 'I need a starship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_imperial_officer.stf', '43', 's_b641cda6', 'Where can I find a bazaar terminal?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_imperial_officer.stf', '44', 's_b9b27823', 'Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_imperial_officer.stf', '45', 's_ba95f774', 'Bazaar terminals are located all over major cities. Check the areas surrounding major hot spots like the starport, the bank, any of the cantinas, or even the hospitals.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_imperial_officer.stf', '46', 's_bc9a0be', 'Yeah, good luck with that. Anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_imperial_officer.stf', '47', 's_c095fa8d', 'And why are you telling me this? I have enough problems to deal with at the moment, so I\'m going to forget that you told me that.\n\nAnything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_imperial_officer.stf', '48', 's_c4682ea6', 'Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_imperial_officer.stf', '49', 's_c9e97ed5', 'How else would I join up?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_imperial_officer.stf', '50', 's_cb747ceb', 'Hmm. Me neither. Maybe you should give it a little time?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_imperial_officer.stf', '51', 's_cc7c9754', 'Don\'t mention it. Anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_imperial_officer.stf', '52', 's_cdb17e79', 'How do I check the planetary map?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_imperial_officer.stf', '53', 's_cf5fc0f', 'How do I repair my starship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_imperial_officer.stf', '54', 's_d4c6e8cd', 'No problem! Anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_imperial_officer.stf', '55', 's_d73d164f', 'I am really not in the mood right now, so unless you\'re looking to enlist in the Imperial Navy, I suggest you leave.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_imperial_officer.stf', '56', 's_df7992b9', 'There are some freelance pilots here and there, though the Empire mostly frowns upon that kind of activity. At the same time, we do recognize that there is a need for a small number of freelance pilots to handle certain jobs with which the Empire does not want to be associated or simply views as beneath our notice. As I understand it, most freelance pilots are recruited through email.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_imperial_officer.stf', '57', 's_dfbcbb1c', 'My patience is thin, citizen. Why are you bothering an Imperial officer?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_imperial_officer.stf', '58', 's_e013f498', 'Look for the flashing \'envelope\' icon on your interface. It\'s placed on the lower right-hand side of your screen by default.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_imperial_officer.stf', '59', 's_e3059e6a', 'I see. Well, have fun with what\'s left of it, if you can.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_imperial_officer.stf', '60', 's_e30fb52', 'Good. Now move along, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_imperial_officer.stf', '61', 's_e843e3ab', 'Use the command CTRL+V to open the planetary map. On the right side of your display, you will see a listing of trainers by category. All local trainers who register with the planet will appear on this list. Click the \'Trainer\' tab and then look for a pilot trainer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_imperial_officer.stf', '62', 's_ea1e27a2', 'Pilot! Yes, you. Are you here on Imperial business? Are you the envoy from my commander? Actually, at second glance, you obviously are not. Very well. Carry on.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_imperial_officer.stf', '63', 's_efbaf135', 'You\'re obviously not involved with the business of space flight, so I really don\'t have time for you. Good day.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_imperial_officer.stf', '64', 's_f2a4df5e', 'Good idea! Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_imperial_officer.stf', '65', 's_f3ec92a', 'Use the planetary map to travel to the vendors listed on it, but not all vendors will be listed there. For the unlisted ones, you\'ll have to travel around looking for player-owned buildings that hold vendors. Once you\'ve found a vendor, double-click it to see what it has for sale. You can also check bazaar terminals, but the listings on those will only be low-end starships and ship components, if even that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_imperial_officer.stf', '66', 's_fd5402d8', 'Ah! Then it should give you information about where to go to start your naval adventure. Good luck, my friend!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_mistress.stf', '1', 'do_not_edit', 'The English version of this file (greeter_kadaara_mistress.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_mistress.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_mistress.stf', '3', 's_126a14e0', 'No, I guess not.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_mistress.stf', '4', 's_170ed80d', 'Only the best!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_mistress.stf', '5', 's_27c7d0ac', 'I don\'t think Jaden wants me talking to you...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_mistress.stf', '6', 's_56866a7', 'Then we\'ve got nothing more to discuss.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_mistress.stf', '7', 's_77266474', 'I know the feeling!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_mistress.stf', '8', 's_9288900f', 'I understand.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_mistress.stf', '9', 's_96dd8566', 'Who? Him?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_mistress.stf', '10', 's_b7b44868', 'That\'s very wise.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_mistress.stf', '11', 's_c8f2f3db', 'Farewell.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_mistress.stf', '12', 's_d14f41b0', 'We\'re not talking.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_mistress.stf', '13', 's_d88625cb', 'I don\'t have a starship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_mistress.stf', '14', 's_e05e22e2', 'Just what I can afford.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kadaara_mistress.stf', '15', 's_ea09eddd', 'Tell me. What sort of equipment do you fly?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_bodyguard.stf', '1', 'do_not_edit', 'The English version of this file (greeter_kor_vella_bodyguard.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_bodyguard.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_bodyguard.stf', '3', 's_2fd6a00b', 'Back away, citizen. Trust me. I\'m trying to protect you as much as my charge. I can\'t say with certainty how he will react to any given situation, so it\'s best to just stay back.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_bodyguard.stf', '4', 's_8f1601d8', 'The officer, Col. Axfow, that I\'m guarding. He\'s a bit long on fear of being attacked and short on common sense.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_bodyguard.stf', '5', 's_e9337a35', 'Who are you talking about?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_imperial_officer.stf', '1', 'do_not_edit', 'The English version of this file (greeter_kor_vella_imperial_officer.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_imperial_officer.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_imperial_officer.stf', '3', 's_2313ac9e', 'What are you talking about?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_imperial_officer.stf', '4', 's_2cc72ac', 'Could I ask some other questions?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_imperial_officer.stf', '5', 's_327a66c9', 'If I knew anything about space flight, I wouldn\'t need a pilot! Talk to my pilot if you want to know about flying.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_imperial_officer.stf', '6', 's_44e02725', 'Perhaps I spoke hastily about you. But not about this place. They are planning to strike. I know it. I can feel it. It might not even matter if you\'re part of the Empire or a member of the Rebel Alliance. They might strike you down all the same just to be safe.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_imperial_officer.stf', '7', 's_50712538', 'You might consider leaving this planet. That would be the safest course. Leave for more civilized systems like Naboo. Trust me on this. That\'s why I have a pilot with me at all times... I can be gone at the drop of a bantha hide.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_imperial_officer.stf', '8', 's_71912ea1', 'Paranoid a little?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_imperial_officer.stf', '9', 's_95a23c53', 'Stand further back when addressing me. I know what you people are up to. You\'d like nothing better than to add an Imperial officer to the notches on your weapon, wouldn\'t you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_imperial_officer.stf', '10', 's_b4e0582a', 'Okay, I\'ll watch my back.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_imperial_officer.stf', '11', 's_caf022b7', 'Hmmm, you\'re an Imperial Pilot, correct? Perhaps I should have two pilots. Then should one of you fall when the citizens here rise up and attack us, the other would still be able to fly me out of here. Perhaps I\'ll see about requesting a second pilot. Yes. I\'ll do just that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_imperial_officer.stf', '12', 's_d44cba3b', 'You look suspicious. Move away or I\'ll have my bodyguard deal with you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_imperial_officer.stf', '13', 's_e01c6933', 'You\'re obviously not involved with the business of space flight, so I really don\'t have time for you. Move along or I\'ll have my bodyguard deal with you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_imperial_officer.stf', '14', 's_e0de9210', 'I was wondering if you could answer some questions about space flight?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_imperial_officer.stf', '15', 's_fd1873c3', 'What?!! And what\'s wrong with some good, healthy paranoia anyway? It\'s kept me alive this long. You should not be so quick to judge.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_pilot.stf', '1', 'do_not_edit', 'The English version of this file (greeter_kor_vella_pilot.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_pilot.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_pilot.stf', '3', 's_12157feb', 'The military gives out free ships?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_pilot.stf', '4', 's_143896d2', 'I think that the majority of pilot trainers are registered with the planetary map. Try opening the planetary map with CTRL+V. On the right-hand side is a listing of categories. Look under \'trainer\' to find any local pilot teacher who\'s looking for pupils.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_pilot.stf', '5', 's_144ec5cc', 'Sounds good. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_pilot.stf', '6', 's_17bc5d9b', 'When you approach the space station, use SHIFT+C to target it and open communication with the commander. You will be asked if you want to purchase repairs or if you want to land on the planet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_pilot.stf', '7', 's_21bf1a8c', 'How do I join the Alliance?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_pilot.stf', '8', 's_270c87b2', 'How do I get them to repair my ship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_pilot.stf', '9', 's_27186cee', 'I don\'t have enough money.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_pilot.stf', '10', 's_2e3fddb0', 'The Empire will supply new pilots with a ship. You can\'t exactly be an Imperial Pilot without a ship. I\'ve also heard rumors that the Alliance has prepared a fleet of ships so they can get new recruits into the fray as soon as possible as well, but rest assured that their fleet exists on borrowed time. We will crush it soon enough.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_pilot.stf', '11', 's_3059f369', 'What then?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_pilot.stf', '12', 's_32146025', 'Then what?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_pilot.stf', '13', 's_324c0132', 'Fine. Unless there was something else you wanted to ask, please move along.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_pilot.stf', '14', 's_34954d93', 'Depends on who you ask. Col. Azfow is convinced that the populous is going to rise up and attack us. Needless to say, he\'s interesting. As in the old curse, \'May you live in interesting times.\' Not exactly the highlight of my career.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_pilot.stf', '15', 's_43e4ca6c', 'Is everything okay?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_pilot.stf', '16', 's_472f61d1', 'Local space stations are the easiest way to get your ship repaired. When you are heading back here, you should stop at the space station and ask them for repairs. They will provide a quick estimate on what it will take to get you back on track.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_pilot.stf', '17', 's_495777c0', 'Have you checked any vendors? Merchants use vendors to help sell their merchandise. Shipwrights put finished starships and ship components for sale on their vendors, and then you can go to those vendors and purchase what you need.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_pilot.stf', '18', 's_4f12802', 'Double-click on the envelope icon, and read your mail! Was there anything else you wanted to ask?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_pilot.stf', '19', 's_52939a0', 'How do I check my email?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_pilot.stf', '20', 's_558a361a', 'The Imperial Navy? I\'ve heard that they are sending out recruitment emails to everyone they can locate these days. Have you checked your email today?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_pilot.stf', '21', 's_5618d2cd', 'No. I have received no email.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_pilot.stf', '22', 's_5989c487', 'There are all sorts of civilian contracts available on the \'mission terminals\' you find throughout town. Look for them near any major structure. Use the terminal to bring up the current list of local contracts. Choose the one that interests you most and you\'ll make money when the task is complete.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_pilot.stf', '23', 's_5e410744', 'Right-click on the map location to create and activate a waypoint. Follow the waypoint to the trainer\'s location.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_pilot.stf', '24', 's_5ff8baab', 'I was wondering if you could answer some questions?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_pilot.stf', '25', 's_688d1dd9', 'Lack of funds is a common issue for new pilots. That is why so many pilots start out working for someone else. Ever think of joining the military to get a starship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_pilot.stf', '26', 's_68cb68ff', 'Is there anyone else I could fly for?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_pilot.stf', '27', 's_6a489e79', 'And why are you telling me this? I have enough problems to deal with at the moment, so I\'m going to forget that you told me that.\n\nWas there anything else you wanted to ask?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_pilot.stf', '28', 's_72352199', 'Your best bet is to get in touch with the Empire and sign up for their training program. There are others who will urge you to put your efforts to use in the Alliance, but fools will be fools.\n\nAnything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_pilot.stf', '29', 's_7dddf84b', 'Greetings, pilot. Good to see other Imperial Pilots in the area. I\'m afraid I can\'t offer much help right now. This officer is determined to keep me on edge.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_pilot.stf', '30', 's_84162c3f', 'I see no harm in that. What are your questions, citizen?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_pilot.stf', '31', 's_8515e448', 'Yes. I have an email from the Imperial Navy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_pilot.stf', '32', 's_880f19c', 'I can\'t help you since you\'re a pilot but obviously not a member of the Imperial Navy. You should probably go.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_pilot.stf', '33', 's_8b23fac', 'I want to learn to fly.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_pilot.stf', '34', 's_8b37a99a', 'How do I make money?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_pilot.stf', '35', 's_8cf9be64', 'Where can I find a vendor?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_pilot.stf', '36', 's_97d59ac7', 'I can\'t help you since you\'re a pilot but obviously not a member of the Imperial Navy. You should probably go and do so immediately.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_pilot.stf', '37', 's_a9850aec', 'I got an email from the Alliance!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_pilot.stf', '38', 's_acc368b1', 'How do I join the Empire?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_pilot.stf', '39', 's_add31f19', 'I need a starship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_pilot.stf', '40', 's_b641cda6', 'Where can I find a bazaar terminal?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_pilot.stf', '41', 's_b9b27823', 'Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_pilot.stf', '42', 's_ba95f774', 'Bazaar terminals are located all over major cities. Check the areas surrounding major hot spots like the starport, the bank, any of the cantinas, or even the hospitals.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_pilot.stf', '43', 's_c4682ea6', 'Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_pilot.stf', '44', 's_c9e97ed5', 'How else would I join up?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_pilot.stf', '45', 's_cb747ceb', 'Hmm. Me neither. Maybe you should give it a little time?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_pilot.stf', '46', 's_cc7c9754', 'Don\'t mention it. Anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_pilot.stf', '47', 's_cdb17e79', 'How do I check the planetary map?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_pilot.stf', '48', 's_cf5fc0f', 'How do I repair my starship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_pilot.stf', '49', 's_d0ad18a2', 'Hello. Do you have business with Col. Axfow? If not, I suggest you move along.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_pilot.stf', '50', 's_d2ebc2b6', 'Could you answer some questions about space flight?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_pilot.stf', '51', 's_d4c6e8cd', 'No problem! Anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_pilot.stf', '52', 's_df7992b9', 'There are some freelance pilots here and there, though the Empire mostly frowns upon that kind of activity. At the same time, we do recognize that there is a need for a small number of freelance pilots to handle certain jobs with which the Empire does not want to be associated or simply views as beneath our notice. As I understand it, most freelance pilots are recruited through email.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_pilot.stf', '53', 's_e013f498', 'Look for the flashing \'envelope\' icon on your interface. It\'s placed on the lower right-hand side of your screen by default.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_pilot.stf', '54', 's_e843e3ab', 'Use the command CTRL+V to open the planetary map. On the right side of your display, you will see a listing of trainers by category. All local trainers who register with the planet will appear on this list. Click the \'Trainer\' tab and then look for a pilot trainer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_pilot.stf', '55', 's_efbaf135', 'You\'re obviously not involved with the business of space flight, so I really don\'t have time for you. Good day.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_pilot.stf', '56', 's_f2a4df5e', 'Good idea! Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_pilot.stf', '57', 's_f3ec92a', 'Use the planetary map to travel to the vendors listed on it, but not all vendors will be listed there. For the unlisted ones, you\'ll have to travel around looking for player-owned buildings that hold vendors. Once you\'ve found a vendor, double-click it to see what it has for sale. You can also check bazaar terminals, but the listings on those will only be low-end starships and ship components, if even that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_pilot.stf', '58', 's_f5f72ae1', 'My pleasure. Anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_pilot.stf', '59', 's_f7f3156d', 'Do you really think you should be asking me that? Even if I did know that some Alliance pilots are bold enough to register their locations on the planetary map, I wouldn\'t exactly be telling people, would I? I\'m an officer in the Imperial Navy, after all.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_kor_vella_pilot.stf', '60', 's_fd5402d8', 'Ah! Then it should give you information about where to go to start your naval adventure. Good luck, my friend!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '1', 'do_not_edit', 'The English version of this file (greeter_moenia_undercover_rebel.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '3', 's_12157feb', 'The military gives out free ships?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '4', 's_143896d2', 'I think that the majority of pilot trainers are registered with the planetary map. Try opening the planetary map with CTRL+V. On the right-hand side is a listing of categories. Look under \'trainer\' to find any local pilot teacher who\'s looking for pupils.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '5', 's_144ec5cc', 'Sounds good. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '6', 's_15365688', 'Indeed I do. More than most would ever perceive. What would you like to know?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '7', 's_17bc5d9b', 'When you approach the space station, use SHIFT+C to target it and open communication with the commander. You will be asked if you want to purchase repairs or if you want to land on the planet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '8', 's_17bda60f', 'While I do not dance at your request, please enjoy nonetheless.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '9', 's_193d763c', 'Your best bet is to get in touch with the Alliance and sign up for their training program. There are others who will urge you to put your efforts to use in the Empire, but fools will be fools.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '10', 's_1abd933c', 'Interesting. Good luck with that. I don\'t want to get too close to the Galactic Civil War, myself.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '11', 's_21bf1a8c', 'How do I join the Alliance?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '12', 's_270c87b2', 'How do I get them to repair my ship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '13', 's_27186cee', 'I don\'t have enough money.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '14', 's_29894b97', 'I don\'t know how to check.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '15', 's_3059f369', 'What then?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '16', 's_32146025', 'Then what?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '17', 's_331a2a18', 'Why do you dance here instead of in a cantina?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '18', 's_3b6c9b18', 'I can totally relate to that. Things are tough all over with the ongoing Galactic Civil War. A lot of pilots are flying for either the Empire or the Rebellion these days. Ever think of joining the military to get a starship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '19', 's_4634b39d', 'Double-click on the envelope icon, and read your mail! Did you have any other questions?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '20', 's_472f61d1', 'Local space stations are the easiest way to get your ship repaired. When you are heading back here, you should stop at the space station and ask them for repairs. They will provide a quick estimate on what it will take to get you back on track.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '21', 's_495777c0', 'Have you checked any vendors? Merchants use vendors to help sell their merchandise. Shipwrights put finished starships and ship components for sale on their vendors, and then you can go to those vendors and purchase what you need.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '22', 's_4eb2ac5d', 'Good luck, kid! Anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '23', 's_52939a0', 'How do I check my email?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '24', 's_554c5307', 'No thank you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '25', 's_558a361a', 'The Imperial Navy? I\'ve heard that they are sending out recruitment emails to everyone they can locate these days. Have you checked your email today?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '26', 's_5618d2cd', 'No. I have received no email.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '27', 's_5989c487', 'There are all sorts of civilian contracts available on the \'mission terminals\' you find throughout town. Look for them near any major structure. Use the terminal to bring up the current list of local contracts. Choose the one that interests you most and you\'ll make money when the task is complete.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '28', 's_5b893f7c', 'It does.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '29', 's_5e410744', 'Right-click on the map location to create and activate a waypoint. Follow the waypoint to the trainer\'s location.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '30', 's_5ff8baab', 'I was wondering if you could answer some questions?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '31', 's_6441a2a6', 'As you wish.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '32', 's_64513f4b', 'Do you know anything about being a pilot?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '33', 's_67d831d4', 'Okay, what would you like to know?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '34', 's_68cb68ff', 'Is there anyone else I could fly for?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '35', 's_6f0ab63b', 'Stay safe, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '36', 's_712a3c66', 'Greetings. I mostly only dance for space pilots and those hoping to become pilots. Since you are neither, I bid you farewell.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '37', 's_71e7bd4f', 'Strange. Seems that if they undertook the risk to send you a message, they would make it clear how to respond. Why don\'t you check your email a bit more carefully.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '38', 's_7a90a08', 'I suppose. Still seems a bit odd.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '39', 's_80856a70', 'Shall I dance for you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '40', 's_8515e448', 'Yes. I have an email from the Imperial Navy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '41', 's_8b23fac', 'I want to learn to fly.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '42', 's_8b37a99a', 'How do I make money?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '43', 's_8bc89a5', 'On the lower right-hand side of your screen, there should be a \'letter\' icon that is flashing. Double-click on this icon and it will bring up your personal email. Read over the subject and sender, and scroll through the body text to get all the details.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '44', 's_8cf9be64', 'Where can I find a vendor?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '45', 's_8ef8dbfb', 'I have another question.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '46', 's_93280d8a', 'Good idea. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '47', 's_99bbe25a', 'Because more goes on than meets the eye in places such as this. The people one meets can be quite informative and enthralling if one knows where to look and when to listen. And there are always those interested in information from a planet such as this one.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '48', 's_9b8c83b', 'That\'s what one hears. The Empire has more ships than pilots, though I suspect that it\'s because they go through pilots faster than they go through ships. The Rebels, on the other hand, are known to honor their new pilots with a new ship that will lift them into the reaches of space and beyond.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '49', 's_a3bde326', 'Please. I\'d like that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '50', 's_a463a3c1', 'You\'re welcome. Anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '51', 's_a9850aec', 'I got an email from the Alliance!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '52', 's_acc368b1', 'How do I join the Empire?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '53', 's_add31f19', 'I need a starship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '54', 's_b030000f', 'My friend. Welcome to Moenia. The starport is a bustling center of commerce and community. And the swamp is an endless source of adventure.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '55', 's_b0b2621a', 'It doesn\'t');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '56', 's_b641cda6', 'Where can I find a bazaar terminal?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '57', 's_b7712646', 'Yes, thank you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '58', 's_b9b27823', 'Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '59', 's_ba3c26af', 'You did? These are desperate times, indeed. The email should probably indicate where you are supposed to go for initial recruitment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '60', 's_ba95f774', 'Bazaar terminals are located all over major cities. Check the areas surrounding major hot spots like the starport, the bank, any of the cantinas, or even the hospitals.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '61', 's_c2db6878', 'Good-bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '62', 's_c4682ea6', 'Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '63', 's_c9e97ed5', 'How else would I join up?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '64', 's_cb747ceb', 'Hmm. Me neither. Maybe you should give it a little time?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '65', 's_cc7c9754', 'Don\'t mention it. Anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '66', 's_cdb17e79', 'How do I check the planetary map?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '67', 's_cf5fc0f', 'How do I repair my starship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '68', 's_d4aba6c2', 'Any time. Anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '69', 's_d4c6e8cd', 'No problem! Anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '70', 's_d9231b4f', 'There are freelance pilots working in most systems. Some are CorSec pilots, others are part of the RSF of Naboo, and of course, others are smugglers or pirates. I wouldn\'t recommend those last two if you want to pursue a lengthy career, but, at the same time, some of the best military pilots I know were once smugglers. Most freelance organizations will send recruitment emails. You might try checking your email for something like that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '71', 's_da08c873', 'That\'s sort of tricky. There may be some Alliance pilots bold enough to register their locations on the planetary map. Have you looked at the planetary map yet?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '72', 's_e013f498', 'Look for the flashing \'envelope\' icon on your interface. It\'s placed on the lower right-hand side of your screen by default.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '73', 's_e41e2e4c', 'Thank you, I\'m happy to be here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '74', 's_e843e3ab', 'Use the command CTRL+V to open the planetary map. On the right side of your display, you will see a listing of trainers by category. All local trainers who register with the planet will appear on this list. Click the \'Trainer\' tab and then look for a pilot trainer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '75', 's_e8682a71', 'Perhaps another time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '76', 's_e89d0307', 'One man\'s oddity is another man\'s routine.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '77', 's_eb85528d', 'Ah, a friendly Freelance Pilot. I thank you and your brothers for the past service you\'ve provided and the future service yet to be shared. But for now I have no work for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '78', 's_f1285aa6', 'If I can answer, I shall.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '79', 's_f2115ba8', 'Rebel Pilot, do you have any information for me? No? Very well then. We never had this conversation.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '80', 's_f25521b4', 'Ah, a most distinguished Imperial Pilot, welcome to Moenia!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '81', 's_f2a4df5e', 'Good idea! Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '82', 's_f3ec92a', 'Use the planetary map to travel to the vendors listed on it, but not all vendors will be listed there. For the unlisted ones, you\'ll have to travel around looking for player-owned buildings that hold vendors. Once you\'ve found a vendor, double-click it to see what it has for sale. You can also check bazaar terminals, but the listings on those will only be low-end starships and ship components, if even that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '83', 's_f5f72ae1', 'My pleasure. Anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '84', 's_f67d3f3a', 'Please enjoy the dance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '85', 's_f90ad503', 'I see. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_moenia_undercover_rebel.stf', '86', 's_fd5402d8', 'Ah! Then it should give you information about where to go to start your naval adventure. Good luck, my friend!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '1', 'do_not_edit', 'The English version of this file (greeter_mos_eisley_smuggler_fat.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '3', 's_12157feb', 'The military gives out free ships?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '4', 's_143896d2', 'I think that the majority of pilot trainers are registered with the planetary map. Try opening the planetary map with CTRL+V. On the right-hand side is a listing of categories. Look under \'trainer\' to find any local pilot teacher who\'s looking for pupils.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '5', 's_144ec5cc', 'Sounds good. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '6', 's_17bc5d9b', 'When you approach the space station, use SHIFT+C to target it and open communication with the commander. You will be asked if you want to purchase repairs or if you want to land on the planet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '7', 's_1abd933c', 'Interesting. Good luck with that. I don\'t want to get too close to the Galactic Civil War, myself.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '8', 's_21bf1a8c', 'How do I join the Alliance?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '9', 's_2318bee', 'On the lower right-hand side of your screen should be a \'letter\' icon that is flashing. Double-click on this icon, and it will bring up your personal email. Read over the subject and sender, and scroll through the body text to get all the details.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '10', 's_270c87b2', 'How do I get them to repair my ship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '11', 's_27186cee', 'I don\'t have enough money.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '12', 's_29894b97', 'I don\'t know how to check.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '13', 's_3059f369', 'What then?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '14', 's_32146025', 'Then what?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '15', 's_3d5a0af7', 'I see. I hope he arrives safely and soon.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '16', 's_43e93943', 'You look like a pilot, but no military insignias. That must mean you\'re a free agent. I\'m all for healthy competition, but stay out of my way, okay?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '17', 's_4608e854', 'Look kid, you\'re exhausting my patience, but go ahead and ask.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '18', 's_472f61d1', 'Local space stations are the easiest way to get your ship repaired. When you are heading back here, you should stop at the space station and ask them for repairs. They will provide a quick estimate on what it will take to get you back on track.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '19', 's_495777c0', 'Have you checked any vendors? Merchants use vendors to help sell their merchandise. Shipwrights put finished starships and ship components for sale on their vendors, and then you can go to those vendors and purchase what you need.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '20', 's_52939a0', 'How do I check my email?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '21', 's_558a361a', 'The Imperial Navy? I\'ve heard that they are sending out recruitment emails to everyone they can locate these days. Have you checked your email today?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '22', 's_5618d2cd', 'No. I have received no email.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '23', 's_59088822', 'Hey guys, look at this one. You would think he has never seen a pilot before. Sorry, kid, if you wanna hang with us, you gotta be interested in space flight.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '24', 's_5989c487', 'There are all sorts of civilian contracts available on the \'mission terminals\' you find throughout town. Look for them near any major structure. Use the terminal to bring up the current list of local contracts. Choose the one that interests you most and you\'ll make money when the task is complete.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '25', 's_5b893f7c', 'It does.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '26', 's_5e410744', 'Right-click on the map location to create and activate a waypoint. Follow the waypoint to the trainer\'s location.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '27', 's_5fbefac8', 'Forget about it! What else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '28', 's_5ff8baab', 'I was wondering if you could answer some questions?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '29', 's_659f0dee', 'Seeing as I have little else to do at the moment, ask away.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '30', 's_6795b6ad', 'Overdue? For what?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '31', 's_68cb68ff', 'Is there anyone else I could fly for?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '32', 's_71e7bd4f', 'Strange. Seems that if they undertook the risk to send you a message, they would make it clear how to respond. Why don\'t you check your email a bit more carefully.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '33', 's_763287fe', 'Could I ask some other questions while you wait?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '34', 's_82519d76', 'Things are tough all over during this Galactic Civil War. A lot of pilots are flying for either the Empire or the Rebellion these days. Ever think of joining the military to get a starship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '35', 's_8515e448', 'Yes. I have an email from the Imperial Navy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '36', 's_8ae971c3', 'Thank you for the kind words.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '37', 's_8b23fac', 'I want to learn to fly.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '38', 's_8b37a99a', 'How do I make money?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '39', 's_8b46b054', 'Double-click on the envelope icon, and read your mail! What else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '40', 's_8cf9be64', 'Where can I find a vendor?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '41', 's_8ef8dbfb', 'I have another question.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '42', 's_917c8fba', 'Hey, I\'m not taking sides or anything, but you Rebel pilots are in a different league from guys like us.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '43', 's_93280d8a', 'Good idea. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '44', 's_9a679691', 'My associates and I all went in together on a business venture of sorts. Needless to say, we eagerly await his return with, I\'m quite certain, good news about the outcome of the this venture. The thing is, though, that our friend has apparently been delayed. He\'s a number of days overdue, and we\'re quite concerned. About our friend, of course, as well as our potential profits.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '45', 's_a51f7ca3', 'That\'s what I hear. The Empire\'s pretty well-equipped and can\'t really have much of a navy if their pilots don\'t have ships. I\'ve also heard rumors that the Alliance has a fleet of ships they can get new recruits into as soon as they sign up.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '46', 's_a9850aec', 'I got an email from the Alliance!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '47', 's_aad3ac83', 'Forget about it!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '48', 's_ab4153ba', 'Ah, hello, Mr. Imperial Pilot, sir. Just minding our own business, we are. Nothing to concern the Empire, that\'s for certain.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '49', 's_abc6d2f6', 'Your best bet is to get in touch with the Empire and sign up for their training program. There are others who will urge you to put your efforts to use in the Alliance, but fools will be fools.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '50', 's_acc368b1', 'How do I join the Empire?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '51', 's_add31f19', 'I need a starship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '52', 's_b0b2621a', 'It doesn\'t');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '53', 's_b641cda6', 'Where can I find a bazaar terminal?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '54', 's_b9b27823', 'Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '55', 's_ba3c26af', 'You did? These are desperate times, indeed. The email should probably indicate where you are supposed to go for initial recruitment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '56', 's_ba95f774', 'Bazaar terminals are located all over major cities. Check the areas surrounding major hot spots like the starport, the bank, any of the cantinas, or even the hospitals.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '57', 's_c2db6878', 'Good-bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '58', 's_c4682ea6', 'Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '59', 's_c9e97ed5', 'How else would I join up?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '60', 's_cb747ceb', 'Hmm. Me neither. Maybe you should give it a little time?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '61', 's_cdb17e79', 'How do I check the planetary map?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '62', 's_cf5fc0f', 'How do I repair my starship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '63', 's_d9231b4f', 'There are freelance pilots working in most systems. Some are CorSec pilots, others are part of the RSF of Naboo, and of course, others are smugglers or pirates. I wouldn\'t recommend those last two if you want to pursue a lengthy career, but, at the same time, some of the best military pilots I know were once smugglers. Most freelance organizations will send recruitment emails. You might try checking your email for something like that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '64', 's_da08c873', 'That\'s sort of tricky. There may be some Alliance pilots bold enough to register their locations on the planetary map. Have you looked at the planetary map yet?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '65', 's_db81b074', 'Hey kid, c\'mere. When you arrived, did you happen to see a human pilot with a thick beard? He\'s an associate of ours, and he\'s overdue.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '66', 's_e013f498', 'Look for the flashing \'envelope\' icon on your interface. It\'s placed on the lower right-hand side of your screen by default.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '67', 's_e843e3ab', 'Use the command CTRL+V to open the planetary map. On the right side of your display, you will see a listing of trainers by category. All local trainers who register with the planet will appear on this list. Click the \'Trainer\' tab and then look for a pilot trainer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '68', 's_f2a4df5e', 'Good idea! Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '69', 's_f3ec92a', 'Use the planetary map to travel to the vendors listed on it, but not all vendors will be listed there. For the unlisted ones, you\'ll have to travel around looking for player-owned buildings that hold vendors. Once you\'ve found a vendor, double-click it to see what it has for sale. You can also check bazaar terminals, but the listings on those will only be low-end starships and ship components, if even that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '70', 's_f90ad503', 'I see. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_fat.stf', '71', 's_fd5402d8', 'Ah! Then it should give you information about where to go to start your naval adventure. Good luck, my friend!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_nervous.stf', '1', 'do_not_edit', 'The English version of this file (greeter_mos_eisley_smuggler_nervous.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_nervous.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_nervous.stf', '3', 's_2f5237f2', 'Yeah, okay. Sorry. Didn\'t mean to upset you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_nervous.stf', '4', 's_48a73671', 'Why has he been delayed?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_nervous.stf', '5', 's_5ff8baab', 'I was wondering if you could answer some questions?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_nervous.stf', '6', 's_6532c5fc', 'Nothing. I mean, we\'re waiting for someone. He\'s not coming. I mean, he\'s been delayed or something.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_nervous.stf', '7', 's_7b971344', 'How should I know?!! Why\'re you hassling me? It\'s not like I could have known what would happen. I mean, I don\'t know anything. Look, just go away, alright?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_nervous.stf', '8', 's_84b70aa7', 'What? Why you looking at me like that?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_nervous.stf', '9', 's_9dd29bde', 'Look, I\'ve got enough on my mind already. If you\'re not involved with space flight, we have nothing to talk about.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_nervous.stf', '10', 's_b035eb47', 'It\'s nothing. Just forget it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_nervous.stf', '11', 's_b5d34085', 'Could I ask some questions while you wait?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_nervous.stf', '12', 's_ba010bf2', 'Try Vincie. He thinks he an expert on everything.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_nervous.stf', '13', 's_db2bb45d', 'What are you guys doing?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_skinny.stf', '1', 'do_not_edit', 'The English version of this file (greeter_mos_eisley_smuggler_skinny.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_skinny.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_skinny.stf', '3', 's_23c5a386', 'Ask Vincie. He\'s the talkative one.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_skinny.stf', '4', 's_29ccc793', 'Oh. Have fun waiting.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_skinny.stf', '5', 's_2c450d35', 'Why\'s he late?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_skinny.stf', '6', 's_31745b41', 'Oh. Your friend\'s a pilot also?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_skinny.stf', '7', 's_43834150', 'Waiting on a friend.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_skinny.stf', '8', 's_4a8de0', 'You\'re not a pilot and can\'t be one.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_skinny.stf', '9', 's_5e5566b0', 'Yes, but he\'s late.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_skinny.stf', '10', 's_5ff8baab', 'I was wondering if you could answer some questions?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_skinny.stf', '11', 's_67e6df55', 'Okay.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_skinny.stf', '12', 's_b5d34085', 'Could I ask some questions while you wait?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_skinny.stf', '13', 's_bcf6e2d1', 'He\'s returning from a trip?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_skinny.stf', '14', 's_d5df1462', 'Don\'t know.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_skinny.stf', '15', 's_d70dba34', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_skinny.stf', '16', 's_db2bb45d', 'What are you guys doing?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_eisley_smuggler_skinny.stf', '17', 's_e547fd1e', 'Yeah?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_hutt_recruiter.stf', '1', 'do_not_edit', 'The English version of this file (greeter_mos_espa_hutt_recruiter.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_hutt_recruiter.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_hutt_recruiter.stf', '3', 's_7a599b0f', 'What could be better or more profitable than flying for Jabba the Hutt? We have the best ships in space. Well, definitely the best that don\'t require you to be in the military. We\'ll start you off right, with a ship that\'s mostly space-worthy and with very few miles. You\'ll easily pay it off in only a few dozen years.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_hutt_recruiter.stf', '4', 's_c488e773', 'Bah, you can\'t fly. You don\'t meet any of the requirements. Stop wasting my time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_valarian_recruiter.stf', '1', 'do_not_edit', 'The English version of this file (greeter_mos_espa_valarian_recruiter.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_valarian_recruiter.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_valarian_recruiter.stf', '3', 's_8fa665d', 'Don\'t listen to that blowhard. Jabba will get you killed, and probably at the hand of one of our pilots. Lady Valarian may not have quite the reach of Jabba, yet, but she\'s much more generous and can provide a much better ship. Most of the blood stains have already been removed. And if you can pay off the ship, it\'s yours. Free and clear. Just remember who you work for because that won\'t change.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_valarian_recruiter.stf', '4', 's_9214af52', 'But you can\'t even fly. You can\'t even learn to fly. Go away.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '1', 'do_not_edit', 'The English version of this file (greeter_mos_espa_young_pilot.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '3', 's_12157feb', 'The military gives out free ships?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '4', 's_144ec5cc', 'Sounds good. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '5', 's_16e2abb', 'I really wish these two would just be quiet for a while. I need to think. On one hand, I do really want to get off of this forsaken rock. But on the other hand, I don\'t really like the idea of being beholden to Jabba the Hutt or to Lady Valarian.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '6', 's_17bc5d9b', 'When you approach the space station, use SHIFT+C to target it and open communication with the commander. You will be asked if you want to purchase repairs or if you want to land on the planet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '7', 's_181388f8', 'Anything\'s better than listening to these two hawk away at me. What\'s your question?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '8', 's_21bf1a8c', 'How do I join the Alliance?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '9', 's_2318bee', 'On the lower right-hand side of your screen should be a \'letter\' icon that is flashing. Double-click on this icon, and it will bring up your personal email. Read over the subject and sender, and scroll through the body text to get all the details.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '10', 's_270c87b2', 'How do I get them to repair my ship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '11', 's_27186cee', 'I don\'t have enough money.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '12', 's_29894b97', 'I don\'t know how to check.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '13', 's_3059f369', 'What then?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '14', 's_32146025', 'Then what?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '15', 's_352b98a4', 'Look, I\'ve got a lot on my mind right now. Sorry to be a bit cross, but you don\'t have any involvement in space flight and are therefore of no interest to me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '16', 's_3cdeb26e', 'Wow, you\'re a pilot for the Rebel Alliance. I\'m envious.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '17', 's_43eb0d5', 'I could join the military. To be honest, I don\'t really like the way the Empire seems to treat their pilots. They seem too much like fodder to me. I\'m leaning toward the Rebel Alliance. I\'m hoping I can fly with them until I\'m able to support myself.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '18', 's_472f61d1', 'Local space stations are the easiest way to get your ship repaired. When you are heading back here, you should stop at the space station and ask them for repairs. They will provide a quick estimate on what it will take to get you back on track.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '19', 's_495777c0', 'Have you checked any vendors? Merchants use vendors to help sell their merchandise. Shipwrights put finished starships and ship components for sale on their vendors, and then you can go to those vendors and purchase what you need.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '20', 's_4c2593ff', 'You joined the Empire as a pilot, eh? I\'ve thought about doing that, but it mostly just seems a good way to get killed. They don\'t seem to value their pilots individually.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '21', 's_4e962a43', 'Yeah, alright. Ask.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '22', 's_52939a0', 'How do I check my email?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '23', 's_558a361a', 'The Imperial Navy? I\'ve heard that they are sending out recruitment emails to everyone they can locate these days. Have you checked your email today?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '24', 's_5618d2cd', 'No. I have received no email.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '25', 's_58da73fe', 'Seems like Rebel pilots are killed just as often as Imperial ones.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '26', 's_5989c487', 'There are all sorts of civilian contracts available on the \'mission terminals\' you find throughout town. Look for them near any major structure. Use the terminal to bring up the current list of local contracts. Choose the one that interests you most and you\'ll make money when the task is complete.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '27', 's_5b893f7c', 'It does.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '28', 's_5ce080f5', 'True enough. But at least the Rebels seem to care when they lose a pilot. Might just be because they have so many fewer, but there\'s not really a better choice for me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '29', 's_5e410744', 'Right-click on the map location to create and activate a waypoint. Follow the waypoint to the trainer\'s location.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '30', 's_5ff8baab', 'I was wondering if you could answer some questions?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '31', 's_667a1d0b', 'That\'s what I\'m banking on. The Empire\'s pretty well-equipped and can\'t really have much of a navy if their pilots don\'t have ships. I\'m hoping that the rumors about the Alliance having a fleet of ships available are true. That\'s how I hope to get my hands on a ship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '32', 's_68cb68ff', 'Is there anyone else I could fly for?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '33', 's_6c4ac747', 'Your best bet is to get in touch with the Alliance and sign up for their training program. There are others who will urge you to put your efforts to use in the Empire, but I\'m not sure that\'s really a good idea.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '34', 's_6f0ab63b', 'Stay safe, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '35', 's_71e7bd4f', 'Strange. Seems that if they undertook the risk to send you a message, they would make it clear how to respond. Why don\'t you check your email a bit more carefully.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '36', 's_72df796a', 'Good luck with that. I don\'t want to get too close to the Galactic Civil War, myself.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '37', 's_8515e448', 'Yes. I have an email from the Imperial Navy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '38', 's_8b23fac', 'I want to learn to fly.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '39', 's_8b37a99a', 'How do I make money?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '40', 's_8cf9be64', 'Where can I find a vendor?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '41', 's_8dd47fdc', 'Could I ask you some questions?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '42', 's_8ef8dbfb', 'I have another question.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '43', 's_93280d8a', 'Good idea. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '44', 's_9f7f7c0a', 'I think that the majority of pilot trainers are registered with the planetary map. Try opening the planetary map with CTRL+V. On the right-hand side, there is a listing of categories. Look under \'trainer\' to find any local pilot teacher who\'s looking for pupils.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '45', 's_a463a3c1', 'You\'re welcome. Anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '46', 's_a9850aec', 'I got an email from the Alliance!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '47', 's_acc368b1', 'How do I join the Empire?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '48', 's_add31f19', 'I need a starship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '49', 's_b0b2621a', 'It doesn\'t');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '50', 's_b641cda6', 'Where can I find a bazaar terminal?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '51', 's_b6a32ea3', 'Double-click on the envelope icon, and read your mail! \n\nAny other questions?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '52', 's_b9b27823', 'Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '53', 's_ba3c26af', 'You did? These are desperate times, indeed. The email should probably indicate where you are supposed to go for initial recruitment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '54', 's_ba95f774', 'Bazaar terminals are located all over major cities. Check the areas surrounding major hot spots like the starport, the bank, any of the cantinas, or even the hospitals.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '55', 's_c088465d', 'What other choice do you have?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '56', 's_c2db6878', 'Good-bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '57', 's_c4682ea6', 'Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '58', 's_c9e97ed5', 'How else would I join up?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '59', 's_cb747ceb', 'Hmm. Me neither. Maybe you should give it a little time?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '60', 's_cc7c9754', 'Don\'t mention it. Anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '61', 's_cdb17e79', 'How do I check the planetary map?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '62', 's_cf5fc0f', 'How do I repair my starship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '63', 's_d4c6e8cd', 'No problem! Anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '64', 's_d9231b4f', 'There are freelance pilots working in most systems. Some are CorSec pilots, others are part of the RSF of Naboo, and of course, others are smugglers or pirates. I wouldn\'t recommend those last two if you want to pursue a lengthy career, but, at the same time, some of the best military pilots I know were once smugglers. Most freelance organizations will send recruitment emails. You might try checking your email for something like that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '65', 's_da08c873', 'That\'s sort of tricky. There may be some Alliance pilots bold enough to register their locations on the planetary map. Have you looked at the planetary map yet?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '66', 's_db2b1899', 'Hey, any time. As long as I\'m not busy. Anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '67', 's_e013f498', 'Look for the flashing \'envelope\' icon on your interface. It\'s placed on the lower right-hand side of your screen by default.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '68', 's_e843e3ab', 'Use the command CTRL+V to open the planetary map. On the right side of your display, you will see a listing of trainers by category. All local trainers who register with the planet will appear on this list. Click the \'Trainer\' tab and then look for a pilot trainer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '69', 's_f2a4df5e', 'Good idea! Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '70', 's_f3ec92a', 'Use the planetary map to travel to the vendors listed on it, but not all vendors will be listed there. For the unlisted ones, you\'ll have to travel around looking for player-owned buildings that hold vendors. Once you\'ve found a vendor, double-click it to see what it has for sale. You can also check bazaar terminals, but the listings on those will only be low-end starships and ship components, if even that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '71', 's_f90ad503', 'I see. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '72', 's_f97ba0d9', 'So you\'re a Freelance Pilot? If you can manage to remain your own boss, that seems like the way to go. But to get to that point requires more credits than I can afford');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '73', 's_fa94d5c5', 'Good-bye!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '74', 's_fb22d2de', 'I can relate to that. This Galactic Civil War is making things tough for most people. A lot of pilots are flying for either the Empire or the Rebellion these days. Ever think of joining the military to get a starship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_mos_espa_young_pilot.stf', '75', 's_fd5402d8', 'Ah! Then it should give you information about where to go to start your naval adventure. Good luck, my friend!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '1', 'do_not_edit', 'The English version of this file (greeter_theed_freighter_captain.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '3', 's_12157feb', 'The military gives out free ships?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '4', 's_143896d2', 'I think that the majority of pilot trainers are registered with the planetary map. Try opening the planetary map with CTRL+V. On the right-hand side is a listing of categories. Look under \'trainer\' to find any local pilot teacher who\'s looking for pupils.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '5', 's_144ec5cc', 'Sounds good. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '6', 's_148c4dad', 'Very well then. Feel free to ask.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '7', 's_17bc5d9b', 'When you approach the space station, use SHIFT+C to target it and open communication with the commander. You will be asked if you want to purchase repairs or if you want to land on the planet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '8', 's_2099fa73', 'Interesting. Why are you here outside the hangar?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '9', 's_21bf1a8c', 'How do I join the Alliance?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '10', 's_232bfee8', 'Why don\'t you fly any more?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '11', 's_270c87b2', 'How do I get them to repair my ship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '12', 's_27186cee', 'I don\'t have enough money.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '13', 's_29894b97', 'I don\'t know how to check.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '14', 's_2cc72ac', 'Could I ask some other questions?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '15', 's_3059f369', 'What then?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '16', 's_32146025', 'Then what?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '17', 's_366f0593', 'Oh I will. I do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '18', 's_3b435c91', 'Greetings. Ah, tell me of your journeys in the great expanses beyond this planet. It has been too long since I last flew such a flight. I long to remember that feeling.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '19', 's_3c8b5d06', 'I enjoy talking to pilots and hearing about their flights. Takes me back to some of my own best memories. Helps me to relive them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '20', 's_4626423a', 'Greetings and welcome to Theed. I apologize, but I\'m looking to speak with pilots and those seeking to become pilots. If you get involved with space flight, I might be able to answer some questions, but otherwise I\'m not going to be of much help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '21', 's_472f61d1', 'Local space stations are the easiest way to get your ship repaired. When you are heading back here, you should stop at the space station and ask them for repairs. They will provide a quick estimate on what it will take to get you back on track.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '22', 's_495777c0', 'Have you checked any vendors? Merchants use vendors to help sell their merchandise. Shipwrights put finished starships and ship components for sale on their vendors, and then you can go to those vendors and purchase what you need.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '23', 's_52939a0', 'How do I check my email?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '24', 's_558a361a', 'The Imperial Navy? I\'ve heard that they are sending out recruitment emails to everyone they can locate these days. Have you checked your email today?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '25', 's_55c77e3b', 'On the lower right-hand side of your screen should be a \'letter\' icon that is flashing. Double-click on this icon and it will bring up your personal email. Read over the subject and sender, and scroll through the body text to get all the details.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '26', 's_5618d2cd', 'No. I have received no email.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '27', 's_5989c487', 'There are all sorts of civilian contracts available on the \'mission terminals\' you find throughout town. Look for them near any major structure. Use the terminal to bring up the current list of local contracts. Choose the one that interests you most and you\'ll make money when the task is complete.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '28', 's_5b893f7c', 'It does.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '29', 's_5cd38acb', 'That makes sense. Have fun with that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '30', 's_5e410744', 'Right-click on the map location to create and activate a waypoint. Follow the waypoint to the trainer\'s location.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '31', 's_5ff8baab', 'I was wondering if you could answer some questions?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '32', 's_68cb68ff', 'Is there anyone else I could fly for?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '33', 's_6f0ab63b', 'Stay safe, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '34', 's_6f5ce457', 'That\'s what I hear. Or something like that anyway. The Empire\'s pretty well-equipped and can\'t really have much of a navy if their pilots don\'t have ships. I\'ve also heard rumors that the Alliance has a fleet of ships for new recruits.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '35', 's_72df796a', 'Good luck with that. I don\'t want to get too close to the Galactic Civil War, myself.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '36', 's_73f8df86', 'Hey, any time. Anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '37', 's_82519d76', 'Things are tough all over during this Galactic Civil War. A lot of pilots are flying for either the Empire or the Rebellion these days. Ever think of joining the military to get a starship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '38', 's_8515e448', 'Yes. I have an email from the Imperial Navy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '39', 's_8b23fac', 'I want to learn to fly.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '40', 's_8b37a99a', 'How do I make money?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '41', 's_8cf9be64', 'Where can I find a vendor?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '42', 's_8ef8dbfb', 'I have another question.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '43', 's_93280d8a', 'Good idea. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '44', 's_97856fdc', 'If I can answer them, I\'d be more than happy to do so.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '45', 's_a463a3c1', 'You\'re welcome. Anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '46', 's_a8aae630', '[He doesn\'t say anything, but gestures toward his protocol droid.]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '47', 's_a9850aec', 'I got an email from the Alliance!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '48', 's_abc6d2f6', 'Your best bet is to get in touch with the Empire and sign up for their training program. There are others who will urge you to put your efforts to use in the Alliance, but fools will be fools.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '49', 's_acc368b1', 'How do I join the Empire?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '50', 's_add31f19', 'I need a starship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '51', 's_b0b2621a', 'It doesn\'t');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '52', 's_b641cda6', 'Where can I find a bazaar terminal?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '53', 's_b9b27823', 'Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '54', 's_ba3c26af', 'You did? These are desperate times, indeed. The email should probably indicate where you are supposed to go for initial recruitment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '55', 's_ba95f774', 'Bazaar terminals are located all over major cities. Check the areas surrounding major hot spots like the starport, the bank, any of the cantinas, or even the hospitals.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '56', 's_c00207b0', 'Hello. Hello. You have the look of one seeking adventures in space. Flying is the only part of the job I miss. I was a captain on a freighter, you see. Flew all over the galaxy. Ah, nothing matches being at the helm of a ship flying through the deep, black reaches of space.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '57', 's_c2db6878', 'Good-bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '58', 's_c4682ea6', 'Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '59', 's_c9e97ed5', 'How else would I join up?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '60', 's_cb747ceb', 'Hmm. Me neither. Maybe you should give it a little time?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '61', 's_cc7c9754', 'Don\'t mention it. Anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '62', 's_cdb17e79', 'How do I check the planetary map?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '63', 's_cf5fc0f', 'How do I repair my starship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '64', 's_d4c6e8cd', 'No problem! Anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '65', 's_d9231b4f', 'There are freelance pilots working in most systems. Some are CorSec pilots, others are part of the RSF of Naboo, and of course, others are smugglers or pirates. I wouldn\'t recommend those last two if you want to pursue a lengthy career, but, at the same time, some of the best military pilots I know were once smugglers. Most freelance organizations will send recruitment emails. You might try checking your email for something like that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '66', 's_da08c873', 'That\'s sort of tricky. There may be some Alliance pilots bold enough to register their locations on the planetary map. Have you looked at the planetary map yet?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '67', 's_e013f498', 'Look for the flashing \'envelope\' icon on your interface. It\'s placed on the lower right-hand side of your screen by default.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '68', 's_e1c13ebb', 'Double-click on the envelope icon, and read your mail! Anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '69', 's_e6b5489e', 'I retired. And I\'m pretty happy about it. The only thing I miss is the flying. The rest of it can rot. All the forms and logs to keep track of, safeguarding your cargo, having to deal with bureaucracy and red tape every time you docked at a space station or planetary starport. No thanks. It is the journey I miss, but not the destinations.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '70', 's_e843e3ab', 'Use the command CTRL+V to open the planetary map. On the right side of your display, you will see a listing of trainers by category. All local trainers who register with the planet will appear on this list. Click the \'Trainer\' tab and then look for a pilot trainer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '71', 's_eab69714', 'Strange. Seems that if they undertook the risk to send you a message, they would make it clear how to respond. Why don\'t you check your email a little closer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '72', 's_f2a4df5e', 'Good idea! Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '73', 's_f3ec92a', 'Use the planetary map to travel to the vendors listed on it, but not all vendors will be listed there. For the unlisted ones, you\'ll have to travel around looking for player-owned buildings that hold vendors. Once you\'ve found a vendor, double-click it to see what it has for sale. You can also check bazaar terminals, but the listings on those will only be low-end starships and ship components, if even that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '74', 's_f90ad503', 'I see. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '75', 's_fa94d5c5', 'Good-bye!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_freighter_captain.stf', '76', 's_fd5402d8', 'Ah! Then it should give you information about where to go to start your naval adventure. Good luck, my friend!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_protocol_droid.stf', '1', 'do_not_edit', 'The English version of this file (greeter_theed_protocol_droid.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_protocol_droid.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_protocol_droid.stf', '3', 's_12157feb', 'The military gives out free ships?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_protocol_droid.stf', '4', 's_144ec5cc', 'Sounds good. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_protocol_droid.stf', '5', 's_17bc5d9b', 'When you approach the space station, use SHIFT+C to target it and open communication with the commander. You will be asked if you want to purchase repairs or if you want to land on the planet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_protocol_droid.stf', '6', 's_1bb82d7c', 'I bid you hello. As you are a pilot, I would be happy to record any stories of your journeys in space so that I may replay them later for my master here. He speaks only the language of the Mon Calamari, so I will later translate for him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_protocol_droid.stf', '7', 's_2124eaf5', 'I bid you hello. Master Woodle was once a captain on a freighter, but he is now retired. If I can answer any questions that might help you become a pilot, it would be my pleasure. Master Woodle is the true expert on space flight, but he only speaks Mon Calamari. Therefore I shall speak with you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_protocol_droid.stf', '8', 's_21bf1a8c', 'How do I join the Alliance?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_protocol_droid.stf', '9', 's_2318bee', 'On the lower right-hand side of your screen should be a \'letter\' icon that is flashing. Double-click on this icon, and it will bring up your personal email. Read over the subject and sender, and scroll through the body text to get all the details.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_protocol_droid.stf', '10', 's_270c87b2', 'How do I get them to repair my ship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_protocol_droid.stf', '11', 's_27186cee', 'I don\'t have enough money.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_protocol_droid.stf', '12', 's_29894b97', 'I don\'t know how to check.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_protocol_droid.stf', '13', 's_3059f369', 'What then?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_protocol_droid.stf', '14', 's_32146025', 'Then what?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_protocol_droid.stf', '15', 's_472f61d1', 'Local space stations are the easiest way to get your ship repaired. When you are heading back here, you should stop at the space station and ask them for repairs. They will provide a quick estimate on what it will take to get you back on track.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_protocol_droid.stf', '16', 's_495777c0', 'Have you checked any vendors? Merchants use vendors to help sell their merchandise. Shipwrights put finished starships and ship components for sale on their vendors, and then you can go to those vendors and purchase what you need.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_protocol_droid.stf', '17', 's_52939a0', 'How do I check my email?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_protocol_droid.stf', '18', 's_558a361a', 'The Imperial Navy? I\'ve heard that they are sending out recruitment emails to everyone they can locate these days. Have you checked your email today?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_protocol_droid.stf', '19', 's_5618d2cd', 'No. I have received no email.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_protocol_droid.stf', '20', 's_5989c487', 'There are all sorts of civilian contracts available on the \'mission terminals\' you find throughout town. Look for them near any major structure. Use the terminal to bring up the current list of local contracts. Choose the one that interests you most and you\'ll make money when the task is complete.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_protocol_droid.stf', '21', 's_59c0790e', 'I don\'t have any questions.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_protocol_droid.stf', '22', 's_5b893f7c', 'It does.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_protocol_droid.stf', '23', 's_5e410744', 'Right-click on the map location to create and activate a waypoint. Follow the waypoint to the trainer\'s location.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_protocol_droid.stf', '24', 's_66cf154b', 'Very good, sir. Are you certain you had no other questions?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_protocol_droid.stf', '25', 's_6840bfa2', 'Double-click on the envelope icon, and read your mail!\n\nDo you have any other questions?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_protocol_droid.stf', '26', 's_68cb68ff', 'Is there anyone else I could fly for?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_protocol_droid.stf', '27', 's_71e7bd4f', 'Strange. Seems that if they undertook the risk to send you a message, they would make it clear how to respond. Why don\'t you check your email a bit more carefully.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_protocol_droid.stf', '28', 's_72df796a', 'Good luck with that. I don\'t want to get too close to the Galactic Civil War, myself.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_protocol_droid.stf', '29', 's_82519d76', 'Things are tough all over during this Galactic Civil War. A lot of pilots are flying for either the Empire or the Rebellion these days. Ever think of joining the military to get a starship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_protocol_droid.stf', '30', 's_8515e448', 'Yes. I have an email from the Imperial Navy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_protocol_droid.stf', '31', 's_8b23fac', 'I want to learn to fly.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_protocol_droid.stf', '32', 's_8b37a99a', 'How do I make money?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_protocol_droid.stf', '33', 's_8cf9be64', 'Where can I find a vendor?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_protocol_droid.stf', '34', 's_93280d8a', 'Good idea. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_protocol_droid.stf', '35', 's_9f7f7c0a', 'I think that the majority of pilot trainers are registered with the planetary map. Try opening the planetary map with CTRL+V. On the right-hand side, there is a listing of categories. Look under \'trainer\' to find any local pilot teacher who\'s looking for pupils.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_protocol_droid.stf', '36', 's_a0546c2a', 'That\'s what I hear. Or something like that anyway. The Empire\'s pretty well-equipped and can\'t really have much of a navy if their pilots don\'t have ships. I\'ve also heard rumors that the Alliance has a fleet of ships available for new recruits.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_protocol_droid.stf', '37', 's_a9850aec', 'I got an email from the Alliance!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_protocol_droid.stf', '38', 's_abc6d2f6', 'Your best bet is to get in touch with the Empire and sign up for their training program. There are others who will urge you to put your efforts to use in the Alliance, but fools will be fools.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_protocol_droid.stf', '39', 's_acc368b1', 'How do I join the Empire?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_protocol_droid.stf', '40', 's_add31f19', 'I need a starship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_protocol_droid.stf', '41', 's_b0b2621a', 'It doesn\'t');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_protocol_droid.stf', '42', 's_b641cda6', 'Where can I find a bazaar terminal?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_protocol_droid.stf', '43', 's_b9b27823', 'Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_protocol_droid.stf', '44', 's_ba3c26af', 'You did? These are desperate times, indeed. The email should probably indicate where you are supposed to go for initial recruitment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_protocol_droid.stf', '45', 's_ba95f774', 'Bazaar terminals are located all over major cities. Check the areas surrounding major hot spots like the starport, the bank, any of the cantinas, or even the hospitals.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_protocol_droid.stf', '46', 's_c2db6878', 'Good-bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_protocol_droid.stf', '47', 's_c4682ea6', 'Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_protocol_droid.stf', '48', 's_c890dd97', 'As you wish. Any other questions?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_protocol_droid.stf', '49', 's_c9e97ed5', 'How else would I join up?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_protocol_droid.stf', '50', 's_cb747ceb', 'Hmm. Me neither. Maybe you should give it a little time?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_protocol_droid.stf', '51', 's_cdb17e79', 'How do I check the planetary map?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_protocol_droid.stf', '52', 's_cf5fc0f', 'How do I repair my starship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_protocol_droid.stf', '53', 's_d9231b4f', 'There are freelance pilots working in most systems. Some are CorSec pilots, others are part of the RSF of Naboo, and of course, others are smugglers or pirates. I wouldn\'t recommend those last two if you want to pursue a lengthy career, but, at the same time, some of the best military pilots I know were once smugglers. Most freelance organizations will send recruitment emails. You might try checking your email for something like that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_protocol_droid.stf', '54', 's_da08c873', 'That\'s sort of tricky. There may be some Alliance pilots bold enough to register their locations on the planetary map. Have you looked at the planetary map yet?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_protocol_droid.stf', '55', 's_dfef4e2f', 'As you wish. Do you have any other questions?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_protocol_droid.stf', '56', 's_e013f498', 'Look for the flashing \'envelope\' icon on your interface. It\'s placed on the lower right-hand side of your screen by default.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_protocol_droid.stf', '57', 's_e4004503', 'Very well. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_protocol_droid.stf', '58', 's_e843e3ab', 'Use the command CTRL+V to open the planetary map. On the right side of your display, you will see a listing of trainers by category. All local trainers who register with the planet will appear on this list. Click the \'Trainer\' tab and then look for a pilot trainer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_protocol_droid.stf', '59', 's_f2a4df5e', 'Good idea! Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_protocol_droid.stf', '60', 's_f3ec92a', 'Use the planetary map to travel to the vendors listed on it, but not all vendors will be listed there. For the unlisted ones, you\'ll have to travel around looking for player-owned buildings that hold vendors. Once you\'ve found a vendor, double-click it to see what it has for sale. You can also check bazaar terminals, but the listings on those will only be low-end starships and ship components, if even that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_protocol_droid.stf', '61', 's_f90ad503', 'I see. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_protocol_droid.stf', '62', 's_fa68600d', 'I bid you hello. As you are not a pilot and have no means to become one, I\'m afraid our conversation is at an end.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_theed_protocol_droid.stf', '63', 's_fd5402d8', 'Ah! Then it should give you information about where to go to start your naval adventure. Good luck, my friend!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_disgraced_corsec.stf', '1', 'do_not_edit', 'The English version of this file (greeter_tyrena_disgraced_corsec.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_disgraced_corsec.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_disgraced_corsec.stf', '3', 's_191802ec', 'There\'s no money to give back! Like I said, I\'ve already ordered the fountain and that includes paying for it. I no longer have the money.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_disgraced_corsec.stf', '4', 's_1fb826e9', 'Because an Imperial investigator decided to look into it and now claims that it was all a fraud. And that I\'ve kept the money for myself. But I haven\'t! I ordered the fountain. It should be here any day now. That\'s even why I rented this load-carrying droid. Just waiting now for the fountain to arrive. I hope it\'s not much longer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_disgraced_corsec.stf', '5', 's_1fd2fde4', 'Sounds like a nice idea. Why are you so worried?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_disgraced_corsec.stf', '6', 's_39b9ae7', 'Sounds like a pretty bad situation.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_disgraced_corsec.stf', '7', 's_3f9656b2', 'You could not be more correct. That investigator seems to be out for blood. My friend here, Larek, thinks we should just leave the planet and hide out. Maybe join the Rebellion. But I really shouldn\'t be saying that. The fountain is on the way. It\'ll be here. It has to.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_disgraced_corsec.stf', '8', 's_5071a40b', 'Maybe you should just give all the money back?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_disgraced_corsec.stf', '9', 's_5ff8baab', 'I was wondering if you could answer some questions?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_disgraced_corsec.stf', '10', 's_61113bf6', 'What am I gonna do? What am I gonna do? Where is that fountain? That stupid fountain.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_disgraced_corsec.stf', '11', 's_86e4bf6f', 'Look, I\'ve got a lot on my mind right now. Sorry to be a bit cross, but you are of no interest to me. If you were to take an interest in space flight, we might have something to talk about. But not until then.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_disgraced_corsec.stf', '12', 's_8dd47fdc', 'Could I ask you some questions?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_disgraced_corsec.stf', '13', 's_99f73b4f', 'Oh, hello. Don\'t worry. That fountain is on the way. Those donations are being put to good use exactly as promised. If you see that Imperial investigator, tell him it\'s on the way, okay? It really is.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_disgraced_corsec.stf', '14', 's_9f080930', 'Oh, it\'s a fountain I raised money for. I wanted to do something for the community here in Tyrena. There\'s a big empty plaza over near the Agrilat Geyser. I thought it would be nice to have a fountain there. So I asked for donations to raise money for one.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_disgraced_corsec.stf', '15', 's_dd05928', 'What fountain?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_disgraced_corsec.stf', '16', 's_ec947daf', 'I\'m kind of frazzled at the moment. Can\'t really concentrate on anything. You should ask my friend here, Larek. He\'s a pilot. He knows things.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_load_lifter.stf', '1', 'do_not_edit', 'The English version of this file (greeter_tyrena_load_lifter.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_load_lifter.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_load_lifter.stf', '3', 's_129ae563', '01001001 00100000 01101101 01110101 01110011 01110100 00100000 01100010 01100101 00100000 01110010 01100101 01100001 01100100 01111001 00100000 01110100 01101111 00100000 01101100 01101001 01100110 01110100 00100000 01110100 01101000 01101001 01101110 01100111 01110011.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_load_lifter.stf', '4', 's_155345dc', 'Oh. Um, 1011 1101?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_load_lifter.stf', '5', 's_520cd709', '01000101 01111000 01100011 01110101 01110011 01100101 00100000 01101101 01100101 00101100 00100000 01100010 01110101 01110100 00100000 01001001 00100000 01100001 01101101 00100000 01101111 01101110 00100000 01100001 00100000 01100010 01110010 01100101 01100001 01101011.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_load_lifter.stf', '6', 's_54423fa5', '01001001 00100000 01100001 01101101 00100000 01101111 01101110 00100000 01100001 00100000 01100010 01110010 01100101 01100001 01101011 00101110 00101110 00101110 00100000 01100010 01100101 01110100 01110111 01100101 01100101 01101110 00100000 01101100 01101001 01100110 01110100 01110011.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_load_lifter.stf', '7', 's_587012f7', 'Pardon?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_load_lifter.stf', '8', 's_99e1932f', '01011001 01101111 01110101 00100000 01100001 01110010 01100101 00100000 01110011 01110000 01100101 01100001 01101011 01101001 01101110 01100111 00100000 01101110 01101111 01101110 01110011 01100101 01101110 01110011 01100101.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_load_lifter.stf', '9', 's_ca271611', '01001001 00100000 01101101 01110101 01110011 01110100 00100000 01100010 01100101 00100000 01100110 01101111 01100011 01110101 01110011 01100101 01100100 00100000 01100001 01101110 01100100 00100000 01110010 01100101 01100001 01100100 01111001.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_load_lifter.stf', '10', 's_e24faab1', 'Um, right. Never mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '1', 'do_not_edit', 'The English version of this file (greeter_tyrena_pilot_friend.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '3', 's_12157feb', 'The military gives out free ships?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '4', 's_143896d2', 'I think that the majority of pilot trainers are registered with the planetary map. Try opening the planetary map with CTRL+V. On the right-hand side is a listing of categories. Look under \'trainer\' to find any local pilot teacher who\'s looking for pupils.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '5', 's_144ec5cc', 'Sounds good. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '6', 's_17345b4d', 'Fountain? What fountain?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '7', 's_17bc5d9b', 'When you approach the space station, use SHIFT+C to target it and open communication with the commander. You will be asked if you want to purchase repairs or if you want to land on the planet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '8', 's_19cd4ee3', 'Good luck. With any luck of our own, we will be following the same path.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '9', 's_21bf1a8c', 'How do I join the Alliance?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '10', 's_26a9fa7a', 'Ulaire still thinks that fountain is on the way. If you ask me, though, it\'s not coming. The Empire has seen to that. I just know it. I don\'t know why they have it in for my friend, Ulaire, but I can feel it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '11', 's_270c87b2', 'How do I get them to repair my ship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '12', 's_27186cee', 'I don\'t have enough money.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '13', 's_29894b97', 'I don\'t know how to check.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '14', 's_2b99f43', 'What is he gonna do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '15', 's_2d397ab5', 'I think it\'s the only option. All I know is that I\'m not going to abandon Ulaire.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '16', 's_3059f369', 'What then?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '17', 's_32146025', 'Then what?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '18', 's_352b98a4', 'Look, I\'ve got a lot on my mind right now. Sorry to be a bit cross, but you don\'t have any involvement in space flight and are therefore of no interest to me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '19', 's_3ece5721', 'No problem! Take care!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '20', 's_41323ada', 'That\'s rough. You\'re sure he didn\'t do it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '21', 's_472f61d1', 'Local space stations are the easiest way to get your ship repaired. When you are heading back here, you should stop at the space station and ask them for repairs. They will provide a quick estimate on what it will take to get you back on track.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '22', 's_495777c0', 'Have you checked any vendors? Merchants use vendors to help sell their merchandise. Shipwrights put finished starships and ship components for sale on their vendors, and then you can go to those vendors and purchase what you need.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '23', 's_4eb2ac5d', 'Good luck, kid! Anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '24', 's_52939a0', 'How do I check my email?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '25', 's_558a361a', 'The Imperial Navy? I\'ve heard that they are sending out recruitment emails to everyone they can locate these days. Have you checked your email today?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '26', 's_55c77e3b', 'On the lower right-hand side of your screen should be a \'letter\' icon that is flashing. Double-click on this icon and it will bring up your personal email. Read over the subject and sender, and scroll through the body text to get all the details.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '27', 's_5618d2cd', 'No. I have received no email.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '28', 's_5989c487', 'There are all sorts of civilian contracts available on the \'mission terminals\' you find throughout town. Look for them near any major structure. Use the terminal to bring up the current list of local contracts. Choose the one that interests you most and you\'ll make money when the task is complete.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '29', 's_5b823594', 'Absolutely! I know this man, and he would never do anything like that. There\'s no chance. I don\'t know why the Empire is setting him up like this, but if my friend says he\'s raising money for a fountain for the city, then that\'s what he\'s doing. There\'s no doubt in my mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '30', 's_5b893f7c', 'It does.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '31', 's_5e410744', 'Right-click on the map location to create and activate a waypoint. Follow the waypoint to the trainer\'s location.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '32', 's_5ff8baab', 'I was wondering if you could answer some questions?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '33', 's_604518f3', 'Oh, alright. Ask.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '34', 's_63bc310c', 'No problem. Anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '35', 's_667a1d0b', 'That\'s what I\'m banking on. The Empire\'s pretty well-equipped and can\'t really have much of a navy if their pilots don\'t have ships. I\'m hoping that the rumors about the Alliance having a fleet of ships available are true. That\'s how I hope to get my hands on a ship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '36', 's_68cb68ff', 'Is there anyone else I could fly for?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '37', 's_6974c2b', 'Double-click on the envelope icon, and read your mail!\n\nAny other questions?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '38', 's_6f0ab63b', 'Stay safe, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '39', 's_71e7bd4f', 'Strange. Seems that if they undertook the risk to send you a message, they would make it clear how to respond. Why don\'t you check your email a bit more carefully.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '40', 's_729d1b46', 'So what are you going to do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '41', 's_73f8df86', 'Hey, any time. Anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '42', 's_82519d76', 'Things are tough all over during this Galactic Civil War. A lot of pilots are flying for either the Empire or the Rebellion these days. Ever think of joining the military to get a starship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '43', 's_8515e448', 'Yes. I have an email from the Imperial Navy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '44', 's_8b23fac', 'I want to learn to fly.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '45', 's_8b37a99a', 'How do I make money?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '46', 's_8b392030', 'That\'s an option, I suppose.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '47', 's_8cf9be64', 'Where can I find a vendor?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '48', 's_8ef8dbfb', 'I have another question.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '49', 's_93280d8a', 'Good idea. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '50', 's_a227299a', 'Yeah sure. It would be nice to get my mind off of these problems for a while.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '51', 's_a463a3c1', 'You\'re welcome. Anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '52', 's_a9850aec', 'I got an email from the Alliance!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '53', 's_acc368b1', 'How do I join the Empire?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '54', 's_add31f19', 'I need a starship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '55', 's_b0b2621a', 'It doesn\'t');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '56', 's_b641cda6', 'Where can I find a bazaar terminal?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '57', 's_b9b27823', 'Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '58', 's_ba3c26af', 'You did? These are desperate times, indeed. The email should probably indicate where you are supposed to go for initial recruitment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '59', 's_ba95f774', 'Bazaar terminals are located all over major cities. Check the areas surrounding major hot spots like the starport, the bank, any of the cantinas, or even the hospitals.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '60', 's_bd6f92c3', 'Ulaire raised some money to purchase a fountain for that empty square over by the Agrilat Geyser. But the Empire is pressuring him and claiming that his fundraising efforts were a scam. They\'re saying that Ulaire is keeping the money for himself. Nothing could be further from the truth, of course, but I think the Empire has already made sure the fountain never arrives.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '61', 's_c23e9392', 'Ooh, you\'re a Rebel Pilot. Can you help us get off this planet? Ah, probably not. Never mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '62', 's_c2db6878', 'Good-bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '63', 's_c4682ea6', 'Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '64', 's_c69d817b', 'Maybe you have the right idea as a Freelance Pilot. But no, we have no money to get started on our own. Ah well.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '65', 's_c6d00ea8', 'Could I ask you some questions about space flight?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '66', 's_c81c50e7', 'Well, between you and me, I\'m trying to convince him that we should get off this planet. Maybe join with the Rebels, at least long enough to get far away from here. The Rebels aren\'t a bad lot. I\'m not sure I really want to fight a war, but at least we could get away from here and maybe even strike back at the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '67', 's_c9e97ed5', 'How else would I join up?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '68', 's_cb747ceb', 'Hmm. Me neither. Maybe you should give it a little time?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '69', 's_cc7c9754', 'Don\'t mention it. Anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '70', 's_cdb17e79', 'How do I check the planetary map?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '71', 's_cf5fc0f', 'How do I repair my starship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '72', 's_d4c6e8cd', 'No problem! Anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '73', 's_d9231b4f', 'There are freelance pilots working in most systems. Some are CorSec pilots, others are part of the RSF of Naboo, and of course, others are smugglers or pirates. I wouldn\'t recommend those last two if you want to pursue a lengthy career, but, at the same time, some of the best military pilots I know were once smugglers. Most freelance organizations will send recruitment emails. You might try checking your email for something like that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '74', 's_da08c873', 'That\'s sort of tricky. There may be some Alliance pilots bold enough to register their locations on the planetary map. Have you looked at the planetary map yet?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '75', 's_e013f498', 'Look for the flashing \'envelope\' icon on your interface. It\'s placed on the lower right-hand side of your screen by default.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '76', 's_e843e3ab', 'Use the command CTRL+V to open the planetary map. On the right side of your display, you will see a listing of trainers by category. All local trainers who register with the planet will appear on this list. Click the \'Trainer\' tab and then look for a pilot trainer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '77', 's_ecf5f19', 'Your best bet is to get in touch with the Alliance and sign up for their training program. There are others who will urge you to put your efforts to use in the Empire, but fools will be fools.\n\nAnything other questions?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '78', 's_f159e173', 'Leave us alone. You may be a pilot, but you\'re also an Imperial Pilot. My friend has suffered enough. Just, please, leave him be.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '79', 's_f2a4df5e', 'Good idea! Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '80', 's_f3ec92a', 'Use the planetary map to travel to the vendors listed on it, but not all vendors will be listed there. For the unlisted ones, you\'ll have to travel around looking for player-owned buildings that hold vendors. Once you\'ve found a vendor, double-click it to see what it has for sale. You can also check bazaar terminals, but the listings on those will only be low-end starships and ship components, if even that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '81', 's_f90ad503', 'I see. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '82', 's_fa94d5c5', 'Good-bye!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/greeter_tyrena_pilot_friend.stf', '83', 's_fd5402d8', 'Ah! Then it should give you information about where to go to start your naval adventure. Good luck, my friend!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/groundquest_01.stf', '1', 'do_not_edit', 'The English version of this file (groundquest_01.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/groundquest_01.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/groundquest_01.stf', '3', 's_266d5e58', 'It\'s true! Mon Mothma has placed the death-marks herself. Take out three Valarian Assassins and retrieve the stolen Rebel orders.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/groundquest_01.stf', '4', 's_26e69dd2', 'Yes. You\'re right.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/groundquest_01.stf', '5', 's_3021e76e', 'Fine. Let me know when you are free.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/groundquest_01.stf', '6', 's_3c3aa26e', 'You have completed the quest to kill three valarian assassins who stole Mon Mothma\'s orders and drew obscene pictures on them!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/groundquest_01.stf', '7', 's_4e85991', 'I can\'t do this task right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/groundquest_01.stf', '8', 's_5716a3cb', 'Yes. Give me kill_3_womprats, please.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/groundquest_01.stf', '9', 's_64e9f319', 'Excellent! Go kill three womprats and come back to me when you\'re done.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/groundquest_01.stf', '10', 's_6c251948', 'You got it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/groundquest_01.stf', '11', 's_7e24578a', 'Damn straight, bobo.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/groundquest_01.stf', '12', 's_87d7e908', 'I know.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/groundquest_01.stf', '13', 's_95fea403', 'I am a ground quest test NPC. Would you like a quest?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/groundquest_01.stf', '14', 's_a80d9308', 'Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/groundquest_01.stf', '15', 's_b0216abf', 'Hey! You\'re already on the one quest that I have to give... so what gives?!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/groundquest_01.stf', '16', 's_b0797972', 'I hear the Valarians have crossed the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/groundquest_01.stf', '17', 's_ca992d2c', 'Nothing. Sorry to bother you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/groundquest_01.stf', '18', 's_d6695e83', 'No thanks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/groundquest_01.stf', '19', 's_de3892ae', 'Goodbye!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/gustan.stf', '1', 'do_not_edit', 'The English version of this file (gustan.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/gustan.stf', '2', 's_13f8cd89', 'You should go see my friend Veezatt. She\'s in the cantina just around the bend. Tell her you\'re interested in helping the Merchant interest and I can put you in a starship!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/gustan.stf', '3', 's_1f7c77cd', 'The Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/gustan.stf', '4', 's_2abf5d7f', 'No, I am not.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/gustan.stf', '5', 's_679a4b0f', 'Yes I am! Can you give me a starship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/gustan.stf', '6', 's_7265732e', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/gustan.stf', '7', 's_81b02e33', 'Okay... I thought that Veezatt said you were coming here for work. Guess not.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/gustan.stf', '8', 's_9f36982d', 'Hello! What can I do for you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/gustan.stf', '9', 's_a6bec7eb', 'I am looking for work as a space pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/gustan.stf', '10', 's_b74b37b1', 'Nothing. Sorry. I\'ll leave you alone.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/gustan.stf', '11', 's_ed80960', 'Hello there! I am Gustan - the ship supplier for the Merchant interest. Are you here for work?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/gustan.stf', '12', 's_f4f3444c', 'You got it! Veezatt told me that you were coming to help usher transports from the Merchant outpost to their checkpoint in Quadrant IV. Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldcorellia1.stf', '1', 'do_not_edit', 'The English version of this file (heraldcorellia1.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldcorellia1.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldcorellia1.stf', '3', 's_1350775c', 'I\'m not going to tell you the location outloud. Downloading it into your datapad would be much easier. I hope you find the place with ease.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldcorellia1.stf', '4', 's_14db17db', 'What were they doing?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldcorellia1.stf', '5', 's_15b3396c', 'It\'s too hard to explain. Besides, someone else could be listening. I don\'t want them getting the information for free. I downloaded the information into your datapad.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldcorellia1.stf', '6', 's_16ef1618', 'Um... West of here!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldcorellia1.stf', '7', 's_1abf1335', 'Uhh.. I\'m not going to tell you. You\'d probably hurt me if I did. I did some of those things, you know. Why don\'t you go there yourself and find out. Unless, you\'d rather do something else on this planet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldcorellia1.stf', '8', 's_2dc5fa6c', 'I was one of them. They don\'t like the fact that I left just to cash in on their location by providing others with their whereabouts. Say, would you like to know? Free of charge! I also know a little bit about other activities on this planet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldcorellia1.stf', '9', 's_302a0829', 'Okay, you got me. I\'m not a part of the Clan.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldcorellia1.stf', '10', 's_43ff531e', 'Lies! I knew you weren\'t a part of the clan. I should know. I was one of them! I left because I didn\'t agree with what they were doing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldcorellia1.stf', '11', 's_4e268ec', 'Afarathu Cave.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldcorellia1.stf', '12', 's_4f78edca', 'Why are you so scared of them?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldcorellia1.stf', '13', 's_508d181c', 'Hrmph! Fine! I was going to give you information, but now I\'m not going to!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldcorellia1.stf', '14', 's_5933dda', 'Well, there\'s the Afarathu Cave and the Imperial Strong hold. What are you interested in?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldcorellia1.stf', '15', 's_5bd24f96', 'Be careful there. They don\'t like visitors unless you\'re an Imperial. Better than being a Nyax follower! Eh. May as well be the same thing. Oh well! The location has been downloaded into your datapad.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldcorellia1.stf', '16', 's_60613aaf', 'Bye!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldcorellia1.stf', '17', 's_62db6450', 'AHH! Stay away from me! I didn\'t mean to--oh. You\'re not a part of Lord Nyax\'s Clan. What a relief! You scared me there. I am right, aren\'t I? You\'re not a spy, are you? ... are you?!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldcorellia1.stf', '18', 's_7170206c', 'Fine! Good bye!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldcorellia1.stf', '19', 's_7634b077', 'No, I\'m not.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldcorellia1.stf', '20', 's_8487276', 'I don\'t want to hear your life story.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldcorellia1.stf', '21', 's_8aeb5275', 'Where\'s the Nyax Clan?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldcorellia1.stf', '22', 's_92abbb2d', 'Yeah, well. Bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldcorellia1.stf', '23', 's_94914b83', 'I\'m glad to hear that. You had me scared there for a little bit.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldcorellia1.stf', '24', 's_9d54ab3b', 'Hrmph!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldcorellia1.stf', '25', 's_a343f6b2', 'That\'s what I thought. I knew you weren\'t. I should know. I was a part of the clan myself. They don\'t like the fact that I left just to cash in on their location by providing others with their whereabouts. Say, would you like to know? Free of charge! I also know a little bit about other activities on this planet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldcorellia1.stf', '26', 's_a7c04702', 'I actually don\'t know the location offhand. Let me see. Hmmm--Ahh! There, downloaded into your datapad. It may or may not be exact. I hope you won\'t get lost.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldcorellia1.stf', '27', 's_abab52df', 'You\'re lucky I\'m desperate for help. I have some information regarding the Nyax Clan and their whereabouts. I also have information about other activities as well.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldcorellia1.stf', '28', 's_b24dbaa5', 'Hmm... I\'m suspicious. You don\'t look like someone Lord Nyax would recruit. Fine. If you are a part of the clan, then where is the hideout?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldcorellia1.stf', '29', 's_b5cd3612', 'I\'ll check out Nyax\'s Clan.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldcorellia1.stf', '30', 's_bb636d95', 'Sure. Where is Nyax?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldcorellia1.stf', '31', 's_ce93e2a4', 'Imperial Stronghold.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldcorellia1.stf', '32', 's_d004968e', 'Uh. Lord Nyax, actually.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldcorellia1.stf', '33', 's_eff34704', 'What else is there to do on this planet?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldcorellia1.stf', '34', 's_f20cf001', 'What other activities?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldcorellia1.stf', '35', 's_f4a2753b', 'Look, I\'m sorry.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldcorellia1.stf', '36', 's_fd0eff19', 'I am a part of Lord Nyax\'s Clan, actually.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldcorellia2.stf', '1', 'do_not_edit', 'The English version of this file (heraldcorellia2.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldcorellia2.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldcorellia2.stf', '3', 's_1540303f', 'Over there somewhere. I\'m much too busy to tell you straight out. I don\'t even know why I stopped to talk to you in the first place. You\'ll find the location has been downloaded into your datapad.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldcorellia2.stf', '4', 's_17f4a48e', 'You seem a bit too simple-minded to be a politician. Therefore, you wouldn\'t be in league with my rival in office. Though... something about you suggests you are an adventurer. You hunger for information. Today is your lucky day for I have such information.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldcorellia2.stf', '5', 's_34578735', 'What information?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldcorellia2.stf', '6', 's_365cae75', 'I... have to go. Good bye!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldcorellia2.stf', '7', 's_467e5760', 'You promised too easily and readily. I do not really trust you. Nor, I suppose, can a politician be trusted. You\'ll have to take this information lightly. I may give you a location that doesn\'t exist. We\'re both on even ground now. If forced, I\'ll wrap you into some elaborate story that will hurt the integrity of my rival. That should do the trick.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldcorellia2.stf', '8', 's_47d10547', 'I have no clue, really. While campaigning across this forsaken planet, my people came across it. I suppose I can download it into your silly datapad. Now, go. I have an election to win.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldcorellia2.stf', '9', 's_5f670c9a', 'Yeah, yeah. What information do you have?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldcorellia2.stf', '10', 's_6152d272', 'Where is the Drall Patriots Hideout?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldcorellia2.stf', '11', 's_6fe071a8', 'Where is the Rogue Corsec band?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldcorellia2.stf', '12', 's_7ef6e01', 'I have certain information regarding a meddling band of Rogue Corsec and an insignificant Drall Patriots Hideout.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldcorellia2.stf', '13', 's_9e3a2d26', 'Ahh, I was correct. Not so fast, my friend. I shall not just hand over the information to just anyone. You must promise me something. Promise to have you and your minions, friends, whatever, vote for me in the next election. If you promise and do not fullfill, you will be hunted down, I assure you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldcorellia2.stf', '14', 's_ae8d99dc', 'I can\'t promise anything.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldcorellia2.stf', '15', 's_b21d503f', 'Ugh. So simple-minded. Breathing your air even dumbs my mind somewhat.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldcorellia2.stf', '16', 's_cd3a7aff', 'Then, I give you no information. It is as simple as that. Now, run along and go play with your little toy weapons.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldcorellia2.stf', '17', 's_e8ba751', 'I promise.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldcorellia2.stf', '18', 's_e8e88020', 'Yes, run along. I have more important things to do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldcorellia2.stf', '19', 's_fd53304', 'I think I\'m going to get out of here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldlok.stf', '1', 'do_not_edit', 'The English version of this file (heraldlok.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldlok.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldlok.stf', '3', 's_119ff40f', 'How about those locations again?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldlok.stf', '4', 's_36a4e374', 'Yes, I am.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldlok.stf', '5', 's_434a59e6', 'Canyon Corsair Stronghold.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldlok.stf', '6', 's_57d2d366', 'Oh, so now you want to hear about them. Fine. Which do you want to hear about? I have information regarding the \'Kimogila Town\', and \'Canyon Corsair Stronghold\'. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldlok.stf', '7', 's_599fe081', 'You do not seem to be apart of the Empire. Ha! As if I care what affiliation you belong to. I left the Alliance years ago, but... I left with a bit of information regarding the location of certain points of interest. Are you interested in what I have to say?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldlok.stf', '8', 's_5e804346', 'Why are you telling me this information?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldlok.stf', '9', 's_6336e957', 'Suit yourself. I\'ll wait for someone else. My information is worth alot of credits to many people.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldlok.stf', '10', 's_7117043f', 'Okay. Good bye!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldlok.stf', '11', 's_95bfd0f3', 'Kimogila Town.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldlok.stf', '12', 's_a5343515', 'You\'d be daft if you wanted to go there. Nonetheless, it\'s your life, not mine. I can give you the general location of the place, but the exact location was corrupted in my database. I\'ll download the information into your datapad, but that\'s all I can do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldlok.stf', '13', 's_a8387526', 'I, uh, really need to go.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldlok.stf', '14', 's_be60eda6', 'I hope you have several friends with you. Now, granted, I haven\'t really been to any of these places, but... I\'ve heard things. Enough of my babble. I\'ll download the general location into your datapad. It\'s not exact, but close enough.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldlok.stf', '15', 's_c5a66e82', 'No, not really.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldlok.stf', '16', 's_e933930f', 'I used to be apart of the Rebel Alliance Spy Network, but I decided that my skills were needed elsewhere. I collected information for them regarding the activity on Lok. Obviously, they didn\'t like the fact that their systems were easy to hack. I left on the account of \'unresolved differances\'. Err--why am I telling you this?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldlok.stf', '17', 's_ff7f26e1', 'I knew you were hungry for information. Which location do you want to hear about? I have information regarding the \'Kimogila Town\', and \'Canyon Corsair Stronghold\'. They are all interesting places, I assure you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldlok2.stf', '1', 'do_not_edit', 'The English version of this file (heraldlok2.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldlok2.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldlok2.stf', '3', 's_248becfc', 'I don\'t like your reasoning.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldlok2.stf', '4', 's_2f559d1', 'It depends. There\'s the Smuggler\'s Ship and the Droid Engineer\'s cave. Which do you prefer to plunder first?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldlok2.stf', '5', 's_326fcc61', 'What is your reasoning behind this?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldlok2.stf', '6', 's_372fb7c1', 'Okay, okay. What were those places again?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldlok2.stf', '7', 's_391e8a36', 'I was wrong about you. You\'re nothing but a commoner. I don\'t deal with commoners. Go away!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldlok2.stf', '8', 's_3f395897', 'Where are these enemies?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldlok2.stf', '9', 's_4487b6cf', 'What business is it of yours? Do not question me! Had you the opportunity to become leader of your underground gand of pirates, you too would try to gain your people\'s trust and rid yourself of the troubles your opposition caused.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldlok2.stf', '10', 's_46236858', 'I will offer the opportunity to someone else. Unfortunately, it will be your loss.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldlok2.stf', '11', 's_471ddd18', 'Then help me! Help me rid Lok of my opposition so that I may become leader of my own little band of outcasts. I must earn their trust...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldlok2.stf', '12', 's_48566ef9', 'What\'s in it for me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldlok2.stf', '13', 's_4db27a02', 'Droid Engineer\'s Cave.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldlok2.stf', '14', 's_63fbc0e4', 'I agree!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldlok2.stf', '15', 's_657533b5', 'Then leave! I have too many things to do than to waste my time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldlok2.stf', '16', 's_66d367c9', 'I recognize that swagger in your steps. You\'re an outcast like me. And, like me, you should know that opposition to your aims and goals are grounds for \'removal\'. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldlok2.stf', '17', 's_6cfa2fa7', 'The bounty and riches of my--our!--enemy\'s strongholds! Just think of it; all the treasure you can fill your deep pockets with! All yours! Just destroy them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldlok2.stf', '18', 's_7884d24e', 'Smuggler\'s Ship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldlok2.stf', '19', 's_7bf56007', 'I don\'t agree with you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldlok2.stf', '20', 's_8247a8b0', 'Smuggler\'s Ship and the Droid Engineer\'s Cave.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldlok2.stf', '21', 's_9be34260', 'It sounds fishy to me. No.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldlok2.stf', '22', 's_a66ef7ad', 'I\'ll help you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldlok2.stf', '23', 's_a9eda6c', 'Excellent! You can start by either plundering the Droid Engineer\'s Cave or the Smuggler\'s Ship. Which will it be?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldlok2.stf', '24', 's_d17c998e', 'I don\'t want to help you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldlok2.stf', '25', 's_e4e08f1f', 'Ugh! I have no time for this..');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldlok2.stf', '26', 's_f8224468', 'Completely insane, the droid engineer creates minions for his own personal design. We cannot compete with insanity and must find means of removing him from Lok. I wish you luck in the endeavor. It won\'t be easy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldlok2.stf', '27', 's_fc5dc465', 'Ahh, the smugglers. They have been a thorn in our side for awhile. Their ground operatives have stolen too many of our missions and goals. For some reason, their ship has been shot down by forces unknown. Looks as if they have more enemies than we thought.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldnaboo.stf', '1', 'do_not_edit', 'The English version of this file (heraldnaboo.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldnaboo.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldnaboo.stf', '3', 's_261bbc0d', 'What would you like to know about?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldnaboo.stf', '4', 's_2ca149bc', 'That is wise of you. Do you wish to hear about the information I can give you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldnaboo.stf', '5', 's_3243aa0a', 'No, I have to go!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldnaboo.stf', '6', 's_36d2fdef', 'They are a vile sort. Roric V`lia, Noble of the Naboo family, whom is my employer, doesn\'t like to deal with them much. But, I guess--uh. I wasn\'t suppose to tell you that. Um--here\'s the location.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldnaboo.stf', '7', 's_37c26930', 'An interesting place, that is. I have the general location of the establishment and can download it into your datapad. Just give me a moment--Ah! There we go. As I said, it won\'t be exact. You may have to do some searching.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldnaboo.stf', '8', 's_385b2f92', 'Okay, I guess I\'ll leave it alone, then.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldnaboo.stf', '9', 's_4b942e33', 'I wish you well, my friend. Have a wonderous day!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldnaboo.stf', '10', 's_68fd1f22', 'Oh! I\'m so sorry to disturb you. Please, return when you have the time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldnaboo.stf', '11', 's_726bbe64', 'Well... That\'s a long story, my friend. I wouldn\'t even know where to begin. Surely, if I told you the reason, my employer would get rid of me. He\'s a ruthless man.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldnaboo.stf', '12', 's_7431a8fb', 'The Imperial Weapons Research Facility.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldnaboo.stf', '13', 's_7ad7fe8f', 'The Gungans and Imperials.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldnaboo.stf', '14', 's_7c64e921', 'I told you! I can\'t tell you anything else. Please... do you wish to hear information about the places I\'ve mentioned? You may be able to find out more there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldnaboo.stf', '15', 's_7cd8dc9', 'I wish you well. Keep silent about what we talked about.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldnaboo.stf', '16', 's_7fc11314', 'Yes, what do you know?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldnaboo.stf', '17', 's_83237923', 'I\'ll keep a lookout.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldnaboo.stf', '18', 's_84b85cd6', 'About what would you like more information?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldnaboo.stf', '19', 's_87b9da1d', 'Yes, actually, I do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldnaboo.stf', '20', 's_8858a3fe', 'I want more information.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldnaboo.stf', '21', 's_9575185c', 'No, I must go.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldnaboo.stf', '22', 's_99e4afa', 'I only know what my employer requires me to know. Particularly, about the war between the Gungans and Imperials, the Mauler Camp, and the new Weapon Research Facility that the Empire has established.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldnaboo.stf', '23', 's_a96ea3c0', 'I wish you well. Please be careful. Heed my words!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldnaboo.stf', '24', 's_b7659e9e', 'Mauler Encampment');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldnaboo.stf', '25', 's_ba21d00c', 'It is such a tragedy. The Gungans are so peaceful, so cute and kind. Well, Jar Jar--I met him once. He\'s a bit annoying. Anyway! You can find the site of their most recent battle at the location I downloaded in your datapad. It\'s an exact location, a bit far away, however.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldnaboo.stf', '26', 's_bdc2cc97', 'You\'ve made me curious. Tell me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldnaboo.stf', '27', 's_c029271f', 'Yes, give me the information.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldnaboo.stf', '28', 's_c213fa93', 'No, I\'m out of here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldnaboo.stf', '29', 's_ce76e0f', 'Yes, what information do you have?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldnaboo.stf', '30', 's_d241258b', 'No. Good bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldnaboo.stf', '31', 's_d3bd15da', 'Mauler Encampment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldnaboo.stf', '32', 's_d65aab98', 'I\'d like some more information.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldnaboo.stf', '33', 's_df58f20', 'You carry yourself well, my friend. Are you of nobility? No? Then, you must be an adventurer! I have information regarding certain points of interest here on Naboo. Do you wish to hear what I know?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldnaboo.stf', '34', 's_ec04baa6', 'Do you want more information about a particular area I\'ve spoken about?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldnaboo.stf', '35', 's_fa7e3331', 'Keep your voice down! I can only tell you this; there is something larger than us out there. An undescribable evil that makes even the most generous of nobility turn sour. Be careful, young one. Don\'t be pulled into their plans, their evil. I can\'t tell you anything else.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldnaboo.stf', '36', 's_fd9053a8', 'How did you come across this information?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldnaboo2.stf', '1', 'do_not_edit', 'The English version of this file (heraldnaboo2.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldnaboo2.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldnaboo2.stf', '3', 's_137b7430', 'I\'d like to, actually.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldnaboo2.stf', '4', 's_23545d1', 'Oh, you know, I really can\'t explain it right now. Let me download the information into your datapad. I must be well on my way. It\'s feeding time for the veermok. It\'s such a sight to see!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldnaboo2.stf', '5', 's_401feeb9', 'Maybe some other time, then. Maybe you\'d rather visit the Gungans at their stronghold. They\'re always looking for new allies. They\'re my allies, in fact, and very supportive of my research. If you\'re not interested, I really must get going. I hope you don\'t mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldnaboo2.stf', '6', 's_48315a3d', 'I think I\'ll visit them too.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldnaboo2.stf', '7', 's_60613aaf', 'Bye!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldnaboo2.stf', '8', 's_7d197017', 'Where are the Gungans?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldnaboo2.stf', '9', 's_8182146c', 'I have to go too. Bye!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldnaboo2.stf', '10', 's_91946cec', 'I apologize. I\'m in a bit of a hurry. I only planned to be here in this city for only a few hours. Gathering these supplies took longer than I thought. I really must get back to my studies..');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldnaboo2.stf', '11', 's_9adfee98', 'What do you study?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldnaboo2.stf', '12', 's_adb2e1e', 'Okay. I\'ll let you go.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldnaboo2.stf', '13', 's_b2b33aae', 'You and I are so alike. They don\'t like visitors much, but maybe you can ally with them as well. Let me download the information into your datapad, assuming you have one.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldnaboo2.stf', '14', 's_b6fc48e0', 'So, where are these veermoks?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldnaboo2.stf', '15', 's_c4e2d7fa', 'Oh yes! I babble on and on so much. I\'ll just download the information into your datapad. It\'s really the quickest way. I really must get going.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldnaboo2.stf', '16', 's_d482409c', 'The veermok, of course! Have you seen a more interesting creature? I take every chance I can get to educate others on my findings. Too bad I don\'t have the time right now! You can go see them yourself, if you\'d like.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldnaboo2.stf', '17', 's_d6695e83', 'No thanks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldnaboo2.stf', '18', 's_fcab5bd8', 'You\'re interested in them as much as I am! How exciting! After I gather my supplies, I\'m headed to the Gungan Stronghold, however. I have some deals to conduct with my allies there. The Gungans are really friendly when you get to know them. I\'ll be off to my studies after that. It\'s the vermok\'s feeding time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine1.stf', '1', 'do_not_edit', 'The English version of this file (heraldtatooine1.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine1.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine1.stf', '3', 's_11c73436', 'Watch your tone!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine1.stf', '4', 's_1421ed7f', 'Yeah, thanks. Your sentiments are shallow. Get lost before your fate is like that of the Tuskens... friend.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine1.stf', '5', 's_14495ea', 'Let me help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine1.stf', '6', 's_1ca645a4', 'I suppose I can help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine1.stf', '7', 's_21aa21ca', 'How could you help? Unless... you help me fight them. I have two locations in which I heavily hunt these desert fiends. Fort Tusken and the Tusken Village.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine1.stf', '8', 's_36a4e374', 'Yes, I am.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine1.stf', '9', 's_39f16ceb', 'Where is Fort Tusken?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine1.stf', '10', 's_3cf68ea6', 'You\'re trying to blame something on me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine1.stf', '11', 's_65daca4c', 'It\'s a painful subject, but if you must know: the Tuskens destroyed my family and I have brought it upon myself to rid Tatooine of their worthless existence.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine1.stf', '12', 's_66f743cb', 'Where is the Tusken Village?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine1.stf', '13', 's_67880d8b', 'Which location? Tusken Village? Or the bigger target, Fort Tusken.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine1.stf', '14', 's_68c8ab4e', 'If you do not leave quickly, my next battle will be with you. Leave. Now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine1.stf', '15', 's_70ffe9b9', 'You seem a bit... weak. Are you a petty commoner? You must be. Otherwise, you\'d have enough sense to stay away from a bounty hunter. What do you want, then?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine1.stf', '16', 's_7133e831', 'I have every reason to be. You have not suffered like I have suffered.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine1.stf', '17', 's_7481bfea', 'There\'s no need to be rude, ma\'am.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine1.stf', '18', 's_74f40f3a', 'May the desert worms rot your soul.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine1.stf', '19', 's_8026269', 'How have you suffered?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine1.stf', '20', 's_845c935e', 'I\'ll download the information into your datapad. It\'s the most simple of explanations. It should be the exact location. I could find the place with my eyes closed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine1.stf', '21', 's_886ada99', 'You\'ve made a tired bounty hunter glad. Which location do you wish to hear of? Tusken Village or Fort Tusken?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine1.stf', '22', 's_8ac3feb5', 'Tusken Village.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine1.stf', '23', 's_9dbca073', 'What will it cost me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine1.stf', '24', 's_b88d9d9f', 'Nothing. I despise the Tuskens with every moment of my existence. I wouldn\'t mind hiring a few commoners to ease my woes in destroying them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine1.stf', '25', 's_c370ec78', 'Fight your own battles.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine1.stf', '26', 's_c5e5fb33', 'Excuse me? You are daft, aren\'t you? In fact, I\'d bet you\'re so daft you\'d be allied with those Tuskens. Tell me I\'m right. Please.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine1.stf', '27', 's_c7330dee', 'I\'m a tired bounty hunter and my patience is lacking. I\'ve been so consumed with killing the Tuskens that I\'ve been left empty, exhausted. But I must destroy them... it is my destiny.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine1.stf', '28', 's_d00b322a', 'Filthy Tuskens? Never!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine1.stf', '29', 's_dca89f7e', 'Fort Tusken.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine1.stf', '30', 's_e03237fd', 'I don\'t have time for this. Bye!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine1.stf', '31', 's_e3ce72c0', 'Why do you hate them so much?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine1.stf', '32', 's_ef7c85cf', 'The information will be downloaded into your datapad. If you find the place, don\'t bother to come back. I have no reward for you. Good bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine1.stf', '33', 's_f48827a8', 'Sad story. I wish I could help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine1.stf', '34', 's_fd76ac2c', 'You may actually have more sense than a kreetle. All right. I suppose I\'ll let you live. Filthy Tuskens, you say? I have information regarding the whereabouts of several. Interested?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine2.stf', '1', 'do_not_edit', 'The English version of this file (heraldtatooine2.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine2.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine2.stf', '3', 's_13fcbd87', 'Psst! Hey you! Yeah you! C\'mere. You look as if you\'d be suitable to join Jabba\'s forces. But keep your voice down. The Empire rules this place and doesn\'t take likely to members of the Hutt family.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine2.stf', '4', 's_177f6371', 'I guess. Here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine2.stf', '5', 's_17daabb0', '50 credits, please.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine2.stf', '6', 's_19ca58d8', 'You\'re not very exciting. I\'ll wait for someone else, then. Bye!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine2.stf', '7', 's_1c6f5661', 'You don\'t have enough money. Are you trying to jip me? Who do you think I am? Get out of here!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine2.stf', '8', 's_241afd0a', 'I didn\'t expect you to have the money. You\'re just a commoner, afterall.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine2.stf', '9', 's_30c59b36', 'I don\'t have the money.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine2.stf', '10', 's_32a1ecd', 'Look at that. You actually have the money. Well, you didn\'t specify if you wanted a direct location, so I gave you a general location instead! HAHA! So long, sucker!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine2.stf', '11', 's_34cffb60', 'No way!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine2.stf', '12', 's_38bef1fe', 'What?! You don\'t have the money? Ugh! Go away!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine2.stf', '13', 's_3a28c7c4', 'That\'s a sad story. I\'ll find someone else to buy my information, then.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine2.stf', '14', 's_3d3f67a4', 'That\'ll be... 30 credits!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine2.stf', '15', 's_42bcb8b6', 'Yeah, I\'m interested.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine2.stf', '16', 's_4440ce87', 'I changed my mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine2.stf', '17', 's_4ff8cd88', 'I suppose.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine2.stf', '18', 's_5abff6d6', 'I ought to give you the location for free just to see you get a whoopin\'! HA! Anyway, the Tusken Bunker is on sale for 30 credits. How about it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine2.stf', '19', 's_5d7da0', 'Thank you! Here\'s your information. Now, get lost. I have other business to attend to.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine2.stf', '20', 's_5ee77a06', 'That\'ll be, uh.. 20 credits? No--60 credits!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine2.stf', '21', 's_63855d3f', 'Oh, look at that. I don\'t have the money.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine2.stf', '22', 's_6892af1b', 'I hope the Hutts find you and bury you in the desert!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine2.stf', '23', 's_6b184c6', 'You\'re so cheap! I\'m desperate here! You think I\'m going to sell out my own people for less than 60 credits? You\'re nuts! Get lost!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine2.stf', '24', 's_6cf09e8e', 'That\'ll be 30 credits. Do you have the money?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine2.stf', '25', 's_72ac291d', 'I can already tell that I don\'t want to get into this mess.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine2.stf', '26', 's_74ed5d50', '60 credits, please. And don\'t think about cheating on me, here. This information is dangerous to be passing around, especially without pay.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine2.stf', '27', 's_7f115744', 'Hutt Hideout.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine2.stf', '28', 's_81a382e3', 'Here you are.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine2.stf', '29', 's_88788d03', 'Pfft! Go away. I see another client. I can\'t waste my time with you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine2.stf', '30', 's_8be640b8', 'Sure.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine2.stf', '31', 's_8d322c6b', 'Rebel Military Base.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine2.stf', '32', 's_9ac6e8f5', 'Well, you\'d have to talk to Jabba about that. I can\'t just sign you up. But I can tell you the location of our hideout. Maybe you can scope it out and see if you like it. It\'s gonna cost you, though. In fact, I have a couple of places you might be interested in.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine2.stf', '33', 's_aae6686e', 'Excellent! The information has been downloaded. Thank you for your business! I hope you can find it okay! You should have paid for a direct location. HAH!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine2.stf', '34', 's_b05cb415', 'Give me the \"general location special\".');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine2.stf', '35', 's_b81c8c9', 'I\'ll find someone else to buy my information!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine2.stf', '36', 's_c3dbbcab', 'Fine, here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine2.stf', '37', 's_c41d4bce', 'No. I\'m out of here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine2.stf', '38', 's_c599cc9e', 'Oh. Well, come back when you do. I have other deals to conduct.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine2.stf', '39', 's_c799721b', 'Ahh! I will download the information into your datapad. Thank you for your business!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine2.stf', '40', 's_c885bfb0', 'I\'m going to pass.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine2.stf', '41', 's_c9a787f0', 'Fine, then. Get lost. I\'m trying to run a business here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine2.stf', '42', 's_c9ff39ea', 'I\'m not surprised.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine2.stf', '43', 's_d0c6151b', 'Sorry, don\'t have any credits on me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine2.stf', '44', 's_d1f219dd', 'Tusken Bunker.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine2.stf', '45', 's_d9903b42', 'Yes, I do. Here you are.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine2.stf', '46', 's_e3dda380', 'I should--ugh! You don\'t have enough money! Get lost, you cheapskate!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine2.stf', '47', 's_ea388738', 'I\'ll give you the information for... 30 credits. That\'s right. 30 credits for a general location and 50 credits for an exact location.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine2.stf', '48', 's_edb238bc', 'Go on.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine2.stf', '49', 's_f026df25', 'First, the Hutt Hideout. Yeah, I know. Selling out my own people. I have to make a living, you know! I also have information regarding the Rebel Military Base and a Tusken Bunker. What do y\'say?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine2.stf', '50', 's_f2044f4a', 'I\'ll have... an exact location, please.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/heraldtatooine2.stf', '51', 's_fb859e03', 'Actually, I don\'t. Bye!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/herald_emperors_retreat.stf', '1', 'do_not_edit', 'The English version of this file (herald_emperors_retreat.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/herald_emperors_retreat.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/herald_emperors_retreat.stf', '3', 's_183025b5', 'I think I\'ll go have a look.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/herald_emperors_retreat.stf', '4', 's_68f3ba7b', 'I don\'t blame you. You don\'t see me going up there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/herald_emperors_retreat.stf', '5', 's_9f21b05a', 'An onslaught of recent activity at the Emperor\'s Retreat has the Rebel Alliance raising their eyebrows. Could the Empire be planning a large attack? Maybe you should check it out.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/herald_emperors_retreat.stf', '6', 's_ccdcac3a', 'You\'re a brave soul. I suggest you take caution with you if you\'re seriously planning to go up there. Oh... and you didn\'t hear the information from me. I don\'t need the Emperor\'s goons coming after me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/herald_emperors_retreat.stf', '7', 's_ff1f31d2', 'No thanks. Sounds dangerous.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/hutt_informant.stf', '1', 'do_not_edit', 'The English version of this file (hutt_informant.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/hutt_informant.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/hutt_informant.stf', '3', 's_139f41b9', 'Why do you want the disk?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/hutt_informant.stf', '4', 's_4ddc07ed', 'I won\'t give it to you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/hutt_informant.stf', '5', 's_53f349b7', 'Oh and don\'t blame me if you can\'t use this thing. It was all I had on me. Go sell it or something. You didn\'t deserve that great of a reward. It\'s been a pleasure doing business with you. Good day.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/hutt_informant.stf', '6', 's_54b54bd0', 'Here take it. Give me my payment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/hutt_informant.stf', '7', 's_70142360', 'Why wouldn\'t I? It contains pertinent information regarding a highly-regarded politician and I\'m one of Jabba\'s informants. Again, I ask... why wouldn\'t I want it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/hutt_informant.stf', '8', 's_7b45b993', 'Get lost. I have no business to conduct with you. Too many people in arms about the Sand People attacking Bestine. It\'ll be easy for me, I can just leave just as easily as I\'ve come. Go away. I have things to do, people to bribe.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/hutt_informant.stf', '9', 's_dfffcfb', 'Why do the dirty work of a politician when I can do it for you? Let me take that disk off your hands. In fact, I know I may have something with which I can pay you for your... generosity.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/hutt_informant.stf', '10', 's_eed9dce1', 'You\'re a fool. Get out of my sight.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/hutt_informant.stf', '11', 's_f660c800', 'What mess?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/hutt_informant.stf', '12', 's_fb7697b2', 'I can take care of this... mess for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '1', 'do_not_edit', 'The English version of this file (imperial_broker.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '3', 's_106caa1d', 'The units with vacancies currently are the Storm Squadron in the Tatooine system, Black Epsilon in the Corellia system, or the Imperial Inquisition in the Naboo system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '4', 's_13a23fbc', 'Tell me what you can');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '5', 's_14270b3', 'Are you here to sign-up?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '6', 's_169df3bb', 'Never mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '7', 's_1b2086de', 'Black Epsilon?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '8', 's_23ef3e33', 'Imperial Inquisition?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '9', 's_2a4c66e4', 'Come see me if you change your mind.  Someone has to stand up to the Rebel Alliance and maintain order in the galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '10', 's_2eee3e2e', 'Yes, sir!  How may I be of assistance?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '11', 's_2fe6ab5f', 'Highly.  Classified.  Right?  I will add the location of the unit\'s pilot trainer to your datapad.  You may speak to him in the main plaza association hall in Kadaara, on Naboo.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '12', 's_3bbddad5', 'Sir, I don\'t intend any disrespect, but the Imperial Pilots are the finest in the Galaxy.  You don\'t look like the sort of person who could last one week in the cadet academy, let alone pilot any sort of Imperial craft.  Now I think you should leave.  I am very busy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '13', 's_3c9c6441', 'Imperial Inquisition is a special unit located in the Naboo system.  Their mission is highly classified.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '14', 's_3d734747', 'I won\'t release any specific details about their current engagements, but I will add the location of their recruiting officer to your datapad.  You can find him in the Imperial Base on Talus, in the Corellia system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '15', 's_407fb5e3', 'Very well, ma\'am.  What about Storm Squadron or the Imperial Inquisition?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '16', 's_42693321', 'I see.  What about Black Epsilon or the Imperial Inquisition?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '17', 's_445a2be4', 'No. Never mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '18', 's_4577214d', 'I\'m authorized to send you to one of three assignments, sir.  You can choose Storm Squadron in the Tatooine system, Black Epsilon in the Corellia system, or the Imperial Inquisition in the Naboo system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '19', 's_458bda80', 'Did I hear you correctly? You want to retire? You are aware that you would lose all your pilot skills, and your mission records would be deleted. If you sign up again, you will start as a new recruit. Are you sure this is what you want to do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '20', 's_4b0c16d2', 'Are you recruiting Imperial Pilots?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '21', 's_4cafd748', 'Storm Squadron?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '22', 's_5817eef2', 'Yes, sir.  I can\'t release any specific details about their current engagements, but I will add the location of the Storm Squadron commander to your datapad.  He\'ll be glad to have a soldier of your standing.  You can find him in the Bestine Pilot\'s Club next to the capitol building on Tatooine.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '23', 's_59be173', 'Can I help you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '24', 's_61a663b2', 'I want to be an Imperial Pilot');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '25', 's_6441a2a6', 'As you wish.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '26', 's_658b5a75', 'Yes, I want to retire.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '27', 's_6a1562ad', 'What do you want?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '28', 's_6e2d55ee', 'HAHAHAHA!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '29', 's_70f18874', 'I\'m not interested in that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '30', 's_727cf8b6', 'What about Black Epsilon or the Imperial Inquisition?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '31', 's_7287c2b7', 'I won\'t release any specific details about their current engagements, but I will add the location of the Storm Squadron pilot trainer to your datapad.  You\'ll find him in the Bestine Pilot\'s club on Tatooine, next to the capitol building.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '32', 's_772c81dd', 'Yes, sir.  Black Epsilon is stationed at the Imperial Base on Talus, as Corellia itself is officially neutral... for now.  There are reports of considerable Rebel activity in the area, as you can imagine.  They could really use more pilots there, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '33', 's_83a7ae89', 'Very well, ma\'am.  Please come see me if you change your mind.  The Empire could use more soldiers of your caliber in space!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '34', 's_840482e7', 'Nothing');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '35', 's_86cb9899', 'Yes.  Black Epsilon is stationed at the Imperial Base on Talus, as Corellia itself is officially neutral... for now.  There are reports of considerable Rebel activity in the area.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '36', 's_8755e6eb', 'Very well, sir.  Please come see me if you change your mind.  The Empire could use more soldiers of your caliber in space!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '37', 's_8812be10', 'I would like to retire from the Imperial Navy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '38', 's_895d093', 'Ok.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '39', 's_8ac37a1f', 'There\'s not much more I can say, ma\'am, but I will add this location to your datapad.  Talk to the Pilot Trainer in the association hall on Kadaara, near the main plaza.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '40', 's_8c387e5c', 'Sir! Yes, sir!  Are you here to sign-up?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '41', 's_8d91ee22', 'Was there something else, sir?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '42', 's_8ed93c34', 'No, just checking.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '43', 's_929272e8', 'Imperial Inquisition is a special unit located in the Naboo system, sir.  They tend to deal in highly classified missions, so I\'m afraid there\'s not a lot I\'m authorized to tell you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '44', 's_99e09eaf', 'Ma\'am, you wouldn\'t last one nano-second as an Imperial pilot.  It\'s a strenuous, demanding profession that requires the utmost dedication.  Not to mention the fact that females are notoriously bad pilots!  Now if you will excuse me, good day!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '45', 's_9f862c74', 'What about Storm Squadron or the Imperial Inquisition?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '46', 's_a7d90105', 'Very well, sir.  What about Storm Squadron or the Imperial Inquisition?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '47', 's_a8b71650', 'Yes, sir.  What about Black Epsilon or the Imperial Inquisition?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '48', 's_ac926b4b', 'Was there something else, ma\'am?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '49', 's_b0ea6e8c', 'Yes.  What do I need to do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '50', 's_b19ac578', 'HAHAHAHAHA!  Imagine that!  A big fur-ball like you flying a ship for the Empire!  Oh that is RICH!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '51', 's_b845eeb6', 'Get lost!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '52', 's_b8884586', 'I\'m authorized to send you to one of three assignments, ma\'am.  You can choose Storm Squadron in the Tatooine system, Black Epsilon in the Corellia system, or the Imperial Inquisition in the Naboo system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '53', 's_b89f31b', 'Imperial Inquisition is a special unit located in the Naboo system, ma\'am.  They tend to deal in highly classified missions, so I\'m afraid there\'s not a lot I\'m authorized to tell you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '54', 's_b945b46a', 'Yes, ma\'am.  I can\'t release any specific details about their current engagements, but I will add the location of their own recruiter to your datapad.  If you\'ll speak with this officer in the Imperial Base on Talus, he will get you squared away.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '55', 's_be46803', 'I don\'t think I can help you, citizen. You don\'t look like much of a pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '56', 's_c2c89e35', 'Yes, ma\'am.  Black Epsilon is stationed at the Imperial Base on Talus, as Corellia itself is officially neutral... for now.  There are reports of considerable Rebel activity in the area, as you can imagine.  They could really use more pilots there, ma\'am.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '57', 's_cc37bca4', 'Yes, sir.  I can\'t release any specific details about their current engagements, but I will add the location of their own recruiter to your datapad.  If you\'ll speak with this officer in the Imperial Base on Talus, he will get you squared away.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '58', 's_ccdbfea7', 'Very well. You are now discharged from the Imperial Navy. I must say that I am disappointed. I expected better from you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '59', 's_cd41504a', 'Yes, ma\'am.  I can\'t release any specific details about their current engagements, but I will add this location to your datapad.  Talk to the trainer in the Bestine Pilot\'s Club, near the capitol building on Tatooine.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '60', 's_d1c489c0', 'In that case, please stop bothering me.  I am very busy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '61', 's_d28bda49', 'Would you be interested in either Black Epsilon or the Storm Squadron, ma\'am?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '62', 's_d78c7ec0', 'Ma\'am!  Yes, ma\'am!  Are you here to sign-up?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '63', 's_df2917b1', 'Tell me more');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '64', 's_e0db13e8', 'Storm Squadron is one of the Empire\'s finest military units, in space or otherwise.  They\'re the very model of the sort of hard-core, dedicated, soldiers that secure the Empire throughout the galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '65', 's_e2dae58f', 'You have no business with me. Be on your way.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '66', 's_e60ef8f6', 'Hello, pilot. I hope that your service in the Imperial Navy treats you well. How may I be of assistance?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '67', 's_e8ccc35c', 'You\'ve made the right choice, pilot. Dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '68', 's_ed23ffff', 'Are you interested in either Black Epsilon or the Storm Squadron, sir?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '69', 's_f05830e3', 'There\'s not much more I can say, sir, but I will add the location to your datapad.  Talk to the Imperial Pilot trainer in Kadaara.  You\'ll find the association hall in the main plaza.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '70', 's_f220efed', 'I changed my mind. I will stay.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '71', 's_f5f50ae3', 'Of course.  My mistake.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '72', 's_f72f24be', 'I want to retire.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '73', 's_fb390611', 'Do you need directions or something, dear?  The bazaar terminals are near the starport.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '74', 's_fbeabc76', 'If that\'s what you want, I\'ll start getting your discharge papers together. If you want to change your mind, now is the time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_broker.stf', '75', 's_fda95628', 'Yes, ma\'am!  How may I be of assistance?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '1', 'do_not_edit', 'The English version of this file (imperial_master_trainer.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '3', 's_10009b23', 'Yes, what is it? Speak up, I don\'t have all day to chat with you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '4', 's_104cc43b', 'How dare you approach me. Where are my bodyguards? I will have them flogged for failure in their duties. I suggest that you get out of my sight before I decide that you are a threat rather than an annoyance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '5', 's_110667a0', 'You may not be a member of the Imperial Navy but you have shown yourself to be a loyal member and valuable asset to the Empire. I believe that you have achieved the highest level of piloting skill that anyone can hope to accomplish. And as a token of my personal appreciation I have authorized a transfer of payment to your account.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '6', 's_14fd07f0', 'Very well, pilot. You are correct in the assumption that you will be rewarded for your small part in making my plan a success.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '7', 's_15cded59', 'Did I not make myself clear to what your assignment was? Because it certainly had nothing to do with failure! You were supposed to strike the Rebel forces in Kessel and cripple their ability to control that system. Instead you come back with your tail between your legs.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '8', 's_15f15e84', 'I think you might over estimate the value of the Kessel system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '9', 's_16374fa8', 'As I said, the Rebellion\'s fighter squads are greatly diminished and the time to unleash the second stage of my plan has come. The Rebels have moved a Corellian corvette into the Kessel system as part of their battlegroup. This ship is the Rebel command vessel for the entire sector.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '10', 's_1837e4aa', 'Do not try my patience. The RSF exists at the whim of the Empire. At any time we can take away your vaunted security force and the whole lot of you would be placed into the Imperial Navy. I would be surprised if even a third of you made it out of our training program.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '11', 's_18cbe5e7', 'To show you that I am a forgiving man, I accept your apology. And I will also give you another chance to destroy the Rebel corvette that is regularly patrolling the Kessel system. For your sake, do not fail me again. Are we understood?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '12', 's_19377f3b', 'That would be my assessment as well, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '13', 's_1980f233', 'I understand, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '14', 's_19aeaf5e', 'Ah, so you must be %NU. I have heard a great deal about you from your commanding officers from the RSF. A fine tradition that of the Royal Security Force. Not quite as noble as being a member of the Imperial Navy, but they have been known to make some very fine pilots.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '15', 's_1ae97099', 'See that you don\'t. Once the Empire has Kessel under it\'s control the rest of the Outer Rim will fall into line without much of a struggle. With my great victory, I will personally hand the Emperor a prize that he has longed for, the Outer Rim.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '16', 's_1aff8b69', 'The Kessel system is strategically connected to three other systems along the Outer Rim. With control of that one system, the Empire can exert it\'s influence on the entire region. From there it is only a small step in order to control the entire Outer Rim.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '17', 's_1affba73', 'The Grand Admiral is too kind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '18', 's_1be63a5a', 'Just because they might tolerate insolence in the RSF does not mean that I have to listen to it. With this operation I am in command I expect complete respect. Do I make myself clear, pilot?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '19', 's_1cb9631b', 'I just think that we will be looking at that struggle even with Kessel.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '20', 's_1df5b492', 'Due to the interference from the Maw, long range scans are virtually useless in the Kessel system. You are going to have to hunt them down. Our system intelligence reports that they patrol throughout the system. You will just have to find them. Is that understood?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '21', 's_1ebf705e', 'Good, now get to your ship and take out those Rebel positions in Kessel.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '22', 's_1ffdcc4b', 'Are we clear?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '23', 's_21a81b0b', 'There is no need for that, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '24', 's_22dd5c33', 'You and I shall work together in order to bring respectability back to CorSec.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '25', 's_24077de7', 'I see, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '26', 's_26c66fd1', 'It won\'t happen again, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '27', 's_26e02f1d', 'I don\'t care much for the tone in your voice. If you wish to continue to fly for your organization I suggest that you find a way to control your tongue. I will not suffer any rudeness from a local security pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '28', 's_275d33d7', 'Listen to me closely because you are walking on some very thin ice right now, Pilot. You are to return to the Kessel system and destroy the Rebel positions. My plan will not fail because of the incompetence of a lowly pilot such as yourself. Are we clear?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '29', 's_2881a66c', 'You certainly have an interesting way of showing your skills then, pilot. Normally when someone is good at something they accomplish any tasks involved. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '30', 's_2bd3a43c', 'You said smaller vessels. Does that mean there are larger capital class ships in the region?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '31', 's_2f2ac428', 'The Rebellion apparently has the same idea as we do about the Kessel system. They have already moved part of their fourth battlegroup into the system. Before we are able to take control of that system, that battlegroup will have to be eliminated.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '32', 's_2f52e0af', 'I haven\'t been dismissed yet, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '33', 's_308a9ab1', 'I was told by RSF Command to report to you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '34', 's_30f24d', 'Show some initiative. I have given you orders and the plan, everything else I delegate to you. It is time to prove that you are a capable leader as well as a pilot. Assemble a team that will assist you on your assault on the Rebel corvette.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '35', 's_33d1d488', 'Why isn\'t the Imperial Navy taking care of the Rebels in the region?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '36', 's_34ac7172', 'This is too hard for me');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '37', 's_36c3870b', 'I have placed my trust in you. Do not fail me. We cannot allow the Rebellion to maintain any sort of control in the system. You have your mission. Dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '38', 's_36e64ebe', 'As I said, the Rebellion\'s fighter squads are greatly diminished and the time to unleash the second stage of my plan has come. The Rebels have moved a Corellian corvette into the Kessel system as part of their battlegroup. This ship is the Rebel command vessel for the entire system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '39', 's_377d1a96', 'Thank you, sir. It has been an honor to be allowed to serve under you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '40', 's_378e9412', 'Didn\'t I just order you to take some time off? I will explain the second part of my plan to you when I am ready. Pilot if you want to make it very far with me you had better start following orders and stop asking questions that do not concern you. Dismissed!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '41', 's_37e6fdef', 'The Rebels are still using their corvettes to patrol the Kessel system with regularity. Against my better judgment, I am going to give you another chance to prove yourself worthy to wear the uniform of an Imperial Navy Flight Officer. Get to your ship and destroy the Rebel corvette patrolling the Kessel system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '42', 's_38294227', 'Make your report, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '43', 's_3876be4f', 'Sir, I beg to differ but I had to improvise quite a bit out there to succeed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '44', 's_3924b90e', 'Good. Now get to your ship before I change my mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '45', 's_3cbc1b19', 'There is no need to be modest. You have the makings of one of the finest pilots I have ever seen. Of course, all the skill in the world is meaningless without proper planning and careful guidance,');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '46', 's_3d30040d', 'It has been well known for years that CorSec is nothing more then a breeding ground for dissension. Do not question my judgment in this matter. If it wasn\'t for me there wouldn\'t be a CorSec. I don\'t know how many times I fought against having your entire corps eliminated. Despite all of it\'s obvious flaws, I do believe that the corps can be saved.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '47', 's_3eb86cb5', 'Remarkable. I am surprised that anyone who didn\'t go through flight training could rise through the ranks so quickly. Hmm...very interesting. I sense something in you that...never mind, I am just rambling.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '48', 's_3eccac5', 'Then we have nothing else to talk about.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '49', 's_3ffe1ded', 'Thank you, sir. I simply do my best to serve the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '50', 's_4008a214', 'I am willing to overlook your impertinence for your success in this difficult endeavor. But make no mistake, I will not overlook any lack of respect towards me, regardless of any deed that you might have performed for me in the past.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '51', 's_4041b73c', 'How do you propose we do that?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '52', 's_43904a58', 'You are not thinking. Even a corvette, as weak as they are, can cause a large amount of damage to a star destroyer. Star destroyers are not inexpensive pieces of military equipment. I have no intention of sending in one unless there are no other alternatives.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '53', 's_452c0be9', 'How did one such as you get this close to me? I will have my bodyguards heads for this. Get your traitorous self from my presence before I decide to sully my hands and terminate you myself.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '54', 's_46a8c207', 'Did I ask for an apology? Get out of my sight before I decide to have you brought up on insubordination charges.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '55', 's_47acafeb', 'The thought had crossed my mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '56', 's_47cf08a2', 'Yes, I am sure. Since I do not have all day I am going to dispense with further pleasantries. I am in need of a skilled pilot to implement a plan I have devised in order to secure the Kessel system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '57', 's_4a7e1397', 'Forgotten, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '58', 's_4effeedc', 'Yes, sir! Thank you, sir!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '59', 's_4f462e49', 'You seem distracted.  Perhaps there is somewhere else you are supposed to be, and something else you are supposed to be doing.  Wrap it up, and I mean NOW.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '60', 's_4f48309f', 'I will explain that to you when the time comes for that attack. The first thing that you need to worry about is reducing the fighters and gunboats in the Kessel system. If you can bring down enough of them, my plan cannot fail and the Empire will be on the verge of victory in the Kessel system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '61', 's_4fb6fb91', 'I knew you would see things my way. I could tell from the moment you walked in that you were unlike the rest of that ilk. Personally I believe that the problems that exist within the CorSec can be fixed. I don\'t how many times I have saved your group from destruction. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '62', 's_50e3a94f', 'It is what the Rebellion considers to be a capital ship. It lacks the fire power and strength of even the weakest Star Destroyer. Your job should be rather simple. You are to destroy that Corellian corvette as it passes through the system on it\'s patrol. It apparently patrols several systems, so it is not always in Kessel. You will have to wait for it to enter Kessel on patrol before you will be able to strike.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '63', 's_52c03f61', 'I hope that you are well rested because the time has come for me to unleash the second part of my plan. As you know, we have managed to partially cripple the Rebel battlegroup in the Kessel system and I feel the time to strike at their heart is now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '64', 's_582dc96a', 'It is hardly uncommon for fighters to take down capital ships the size of a corvette. Granted they usually have the support of star destroyers but in this case I have full confidence in your abilities.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '65', 's_58a058a9', 'That is not your concern at this time. My plan is to first weaken the fighter capability of the Rebels in the region and then we can initiate stage two. You are to focus all your energies on the destruction of the Rebel fighter craft in the region. Is that understood, Pilot?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '66', 's_58e29478', 'This is called delegation of responsibility. I am giving you the job to destroy the Rebel command vessel. How you accomplish that task is up to you. I would suggest that you assemble a strike team of fighter pilots in order to assist you with the assault. I cannot be bothered with the details.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '67', 's_59047203', 'Yes, sir! Right away, sir!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '68', 's_5ac61a82', 'I didn\'t mean any disrespect, sir. It is just that, attacking a corvette in a fighter is not an effective combat technique.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '69', 's_5bed3d33', 'That would be my hope, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '70', 's_5c54d077', 'You have disappointed me. Your former superiors spoke so highly of you that I assumed you were skilled enough to handle the important task that I gave to you. Perhaps they need me to teach them how to pick a good pilot from an incompetent buffoon.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '71', 's_5d0b4f6b', 'You insolent pup. You dare insinuate that I do not know exactly what I have ordered you to do. If I felt that there were any other pilots available to perform this task I would have you executed and be done with you. Unfortunately, I am still in need of your skills.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '72', 's_5d519e4c', 'Yes, sir. I am ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '73', 's_5f7103c7', 'You are here because you are a good pilot not because I care about your opinion. Never forget that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '74', 's_5fca12da', 'Are you questioning my judgment on this matter? I understand that things are a little less rigid in the RSF, but I would have still expected lesser flight officers not to question their superiors. Perhaps I need to have a word with the Queen about discipline among her troops. I made my decision based off of what is good for the Empire and that is all you need to know about that subject.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '75', 's_60d3f4f8', 'What is it that you want me to do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '76', 's_6276e267', 'Yes, maybe you are right. It might not be wise for me to mention you to the Emperor. Others might try to have you transferred under their command. Oh, you are still here. Dismissed, Pilot!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '77', 's_63462bcc', 'From what I have heard you are among their best and brightest. Which is good since I have a very important honor to bestow on you. The time has come for you to prove yourself to your Imperial allies. I have an important mission that I believe you are well suited for.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '78', 's_63f7aad9', 'What is it you want me to do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '79', 's_65031818', 'Where are the Rebel positions in the sector?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '80', 's_65d9bf6c', 'Yes, sir. I shall not fail you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '81', 's_671a4e3c', 'Today we are going to launch the definitive strike at the Rebellion battlegroup inside the Kessel system. Part of the battlegroup consists of the support vessels that you attacked so successfully last time, the other is their command vessels. You are going to assault their command vessels and destroy their lead ship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '82', 's_6844241f', 'If you say so, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '83', 's_6a66a025', 'Sorry, sir. I didn\'t mean to speak out of turn.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '84', 's_6aa8adaf', 'I was hoping for a reward of sorts, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '85', 's_6b18cf1e', 'Reporting as ordered, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '86', 's_6b3904f8', 'It remains to be seen if you are worthy of your glowing service record. I am not one of those men who believe everything that they read. My judgment on your prowess is far more keen than any of the commanders that you flew for in the past, I can assure you of that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '87', 's_6b581019', 'Sir, I will try my best but isn\'t it unwise to send fighters against a capital ship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '88', 's_6c92dab', 'I must disagree. The RSF has the best pilots in the galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '89', 's_6e1047cb', 'So you have managed to dilute the Rebel influence on the Kessel system. That is good. It is good to see that you were able to follow simple orders and allow my genius planning to do it\'s work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '90', 's_7245a3eb', 'Are you still here? On the double trooper.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '91', 's_732a67f3', 'The Rebel battlegroup moved into the system sooner then we anticipated. Unfortunately, the main portion of our battle fleets are engaged elsewhere. The Rebels want Kessel for it\'s strategic location in order to spread their chaos and dissension across the entire Outer Rim. In the same way, we want use Kessel to help bring order to the Outer Rim.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '92', 's_73ed2b9a', 'Pilot, you have performed my brilliant plan to cripple the Rebellion in the Kessel system with competence,  but that does not give you reign to disturb me any time you please. Do not make the mistake of trying my patience simply because I lent you a kind word in the past. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '93', 's_74926dbb', 'Are you saying that I was wrong in my assessment of the Rebel strength in the Kessel system?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '94', 's_77e59fd7', 'What is my target ship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '95', 's_78d92576', 'What are my orders, sir?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '96', 's_78dfc859', 'Sounds like a very sound plan, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '97', 's_78edd4f', 'What is the assignment, sir?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '98', 's_794642f2', 'I would rather keep this matter completely in the Imperial Navy\'s hands but the situation dictates that we occasionally need to rely on our allies. This is a great opportunity for the planetary security forces to prove that the Empire was correct in not disbanding them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '99', 's_7964ad2d', 'Yes, sir. The RSF has treated me very well.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '100', 's_79b77be4', 'Yes, I know. One of my character flaws is that I am to kindhearted to the men who serve under me. Regardless, enjoy your extra pay and take some time off. We will have to initiate the second part of my plan before long in order to take advantage of the situation in Kessel.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '101', 's_7b3a873', 'Perhaps if I had a better idea what you wanted from me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '102', 's_7cc631fe', 'Will I have support?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '103', 's_7d404504', 'Pathetic.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '104', 's_7eeb4f8c', 'Good. Now get on with my operation. I am placing a great deal of faith in a pilot who does not even belong to the Imperial Navy. I expect that you will prove that the CorSec is not the breeding ground for Rebels that many of my peers seem to believe. Pilot, you are dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '105', 's_80cfab4c', 'Pilot, you have performed my brilliant plan to cripple the Rebellion in the Kessel system with competence. And I believe that you have the makings of a fine Imperial Naval Officer, but that does not give you reign to disturb me any time you please. Do not make the mistake of trying my patience simply because I lent you a kind word in the past. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '106', 's_80f7c402', 'It is about time you showed up. I was beginning to wonder if punctuality was a lost disciple in the Imperial Navy. At least you have enough sense to speak with respect to your betters. The last pilot who was in here and spoke to me out of turn is now servicing garbage scowls on Bespin.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '107', 's_825762e5', 'Excellent, then my plan worked to perfection. I cannot wait to see the smug expression on Grant\'s face drop when he hears of my success. Should I open or close with this success in my report to the Emperor? Hmmm, oh are you still here?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '108', 's_8409f60e', 'I was told by Corellia Security Command to report to you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '109', 's_842637c2', 'I trust you learned about the Kessel system in your naval flight training, so there shouldn\'t be any need to go into that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '110', 's_85b8ffbd', 'The Kessel system?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '111', 's_862d3332', 'I will give you results, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '112', 's_87ccb642', 'And many members of the CorSec do appreciate it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '113', 's_87d4bfc2', 'Crystal.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '114', 's_88742275', 'See that you do. Once the Empire has Kessel under it\'s control the rest of the Outer Rim will fall into line without much of a struggle. With my great victory, I will personally hand the Emperor a prize that he has longed for, the Outer Rim.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '115', 's_88eb64f3', 'Again you speak without thinking. You accomplished the tasks that comprised the first part of my plan. There is no way that the Rebels could have recovered from such a devastating strike this quickly.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '116', 's_8c202f75', 'Ah, yes. You are interested in finding out why I have ordered your presence. I am in need of a skilled pilot to implement a plan I have devised in order to secure the Kessel system. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '117', 's_8db79f00', 'No, sir. Sorry, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '118', 's_8dd98074', 'I am the very best pilot, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '119', 's_8efde2ae', 'Yes, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '120', 's_8f760eed', 'Yes, sir. The Rebels are poised to crumble.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '121', 's_9039a33', 'That\'s better. Now getting back to the matter at hand. After looking over your service record I cannot help but to be impressed. Your record is almost as decorated as mine was at your age. I think that you have the makings of a fine Imperial officer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '122', 's_913ac8c9', 'Sir, I must disagree.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '123', 's_92172df0', 'The Rebellion has control of the Kessel system right now?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '124', 's_92ac32ae', 'The Rebellion has moved a Corellian corvette into the system and are using that vessel as their staging point for all operations that take place inside the system. You are to destroy that vessel. Reports show that the vessel moves throughout several systems, so it may not always be in Kessel. You will have to wait for it to arrive on it\'s standard patrol through the system before you will be able to strike.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '125', 's_939fa385', 'Well, if you perform the assignment that I have for you with any sort of competence you should go a long way in making that dream come true.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '126', 's_966bc725', 'What! Are you questioning the plan that I gave to you? Improvisation should be left to actors not Imperial Pilots. A good Imperial Pilot obeys orders without question and follows them explicitly. It\'s a wonder that you even succeeded.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '127', 's_98790879', 'Yes, I know all about Kessel, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '128', 's_9a3f8378', 'You are a pilot in the Imperial Navy. It is your duty to fight when, where, and what I tell you to fight. We all pay the costs for the conflict that the Rebels have brought on us. It is my lot to give the orders and it is your lot to obey and if necessary to die for those orders. You should not envy my position, for heavy is the crown of command.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '129', 's_9bbd1090', 'So I will have support?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '130', 's_9e28d2b0', 'A Corellian corvette? Isn\'t that a capital ship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '131', 's_9f12075', 'So you show some loyalty to those who have supported you. Loyalty is a good trait to have for a soldier, as long as you do not misplace that loyalty. I demand that you show loyalty to me and do what I have asked you to accomplish.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '132', 's_a15a9037', 'My continued support for your organization is waning. I feel that your success in the destruction of the Rebel flag ship is just about the only thing that will convince me to change my mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '133', 's_a1669dff', 'You honor me too much. Thank you, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '134', 's_a2a4d2a', 'Then you are well aware of Kessel\'s strategic value. With Kessel under our control, the Empire will be able to quickly bring order to the Outer Rim and maintain dominance throughout the region.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '135', 's_a2bd8a18', 'I am not sure if I would call the Rebel battlegroup crippled.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '136', 's_a340005a', 'The Rebellion controls nothing in the galaxy. But they have a force in the Kessel system that could pose problems to our operations. Before we move into the system in force, we need to eliminate the Rebel threat. That will be your mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '137', 's_a3bdfc08', 'I think that you are over estimating the value of the Kessel system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '138', 's_a460d610', 'Sir, the Rebels were stronger than initially reported.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '139', 's_a4b7535d', 'I never went through naval flight training, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '140', 's_a4bdc579', 'Pilot, what is the meaning of this? If I wish to speak to you I will have your superior officer inform you. Until that time I expect you to act with the appropriateness of a member of the Imperial Navy and only speak to your betters when spoken to.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '141', 's_a5253219', 'I will remind you that I am a Grand Admiral. I did not gain my rank by over estimating anything. Control of the Kessel system is vital to the Empire\'s campaign in the Outer Rim. Without it we could be looking at years of chaos among the outer systems. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '142', 's_a622496d', 'Of course, why would I assume that you know anything of the Kessel system? The Kessel system is located deep in the Outer Rim. The Empire has had plans to take full control of the system for some time now, but we have never quite been able to succeed in it\'s ultimate control.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '143', 's_a8ea09e9', 'You are absolutely correct, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '144', 's_a8fd6791', 'Of course, you haven\'t. You have performed excellently for me and I always reward those who serve me. You have proven yourself a very valuable asset to the Empire and more importantly you have proven yourself to me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '145', 's_a942beda', 'The Kessel system is located deep in the Outer Rim. It has great strategic value due to its close proximity to three other sectors in the Outer Rim, all of which have trade routes cutting through Kessel. If the Empire were able to control Kessel we would have virtual control over every system in the area and be able to quickly bring order to the Outer Rim.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '146', 's_ace4b0c3', 'See that you don\'t. I would hate to see you be the cause for me to decide that the time has come to do away with local security forces and replace them all with members of the Imperial Navy. You are dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '147', 's_ad4fc220', 'Dog! How dare you get this close to me. I will have my security detail flogged for this transgression. Get out of my sight before you suffer a similar fate.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '148', 's_af2fc12f', 'Sorry, sir. I spoke out of turn.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '149', 's_b00fab2', 'Ah, yes. You are that bright, young pilot I have been hearing so much about. %NU, isn\'t it? That\'s okay, it really doesn\'t matter. You are probably wondering why a Grand Admiral wishes to see you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '150', 's_b170039f', 'I trust you are well rested and ready to serve me as well as you had before. The time has come for me to unleash the second stage of my plan to take the Kessel system for the glory of the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '151', 's_b41b5772', 'A Corellian corvette! Wouldn\'t it be better to send a Star Destroyer after it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '152', 's_b659975', 'The Rebellion apparently has the same idea as we do about the Kessel system. They have already moved part of their fourth battlegroup into the sector. Before we are able to take control of that system, that battlegroup will have to be eliminated.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '153', 's_b6b25f13', 'Yes, sir!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '154', 's_b8ead210', 'Yes, sir. Your plan worked to perfection. The Rebellion didn\'t know what hit them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '155', 's_ba2453bc', 'Yes, yes. The Rebellion has moved portions of their fourth battle group into the region and before we can take control of the Kessel system, it is imperative that they be eliminated. In order to do this we will need to perform a duel stage attack on their power bases in the system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '156', 's_baca5aeb', 'Yes, sir. You are absolutely clear.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '157', 's_bb68f6ed', 'I will not fail again, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '158', 's_bb9e4a63', 'Understood, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '159', 's_bc9b4055', 'Yes, sir. It would be an honor, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '160', 's_bcb643d', 'So you are turning to local security forces to assist you in this matter?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '161', 's_bd095033', 'I do not recall telling you to attack that ship alone. I am giving you this assignment but I am delegating you the authority to put together your own flight in order to accomplish this assignment. I know that a local security force is not expected to be a crack combat unit but I would expect that even there people show initiative.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '162', 's_beb9353a', 'I do my best, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '163', 's_c13f9a11', 'I am sorry, sir. Give me another chance. I will succeed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '164', 's_c38038fe', 'You forget your place, pilot. I asked for you simply based on the recommendations from your superior officers. They seemed to have a great deal of faith in you and were completely sure of your loyalty. Was their faith misplaced?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '165', 's_c4069644', 'Let me make one thing clear. I do not care about your career. I do not care about your goals. I do not care about you. I only care about results. If you are unable to give me results then you will find out what it is to cross a Grand Admiral.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '166', 's_c5aa2921', 'That is exactly how I feel, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '167', 's_c6be1c53', 'Your accomplishments have proven that you are a valued asset to the Empire and a truly exceptional pilot. I believe that you have achieved the highest level of piloting skill that anyone can possess. I have also decided that a payment bonus should be transferred to your account as a show of my personal gratitude. And, most importantly, I have decided to mention your name to the Emperor, in passing of course, but still the greatest of honors.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '168', 's_c788dadf', 'No, sir. Of course not, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '169', 's_c7f4c531', 'So, I am expendable?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '170', 's_c92b41e9', 'As well you should. I am hardly required to spend my valuable time trying to protect an agency that isn\'t under Imperial control. But I think that you and I shall change the perception that other members of Imperial Command might have of CorSec. Wouldn\'t you agree?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '171', 's_ca9b9b68', 'This is why you are but a lowly pilot in a local planet security force and I am a Grand Admiral. Do not ever make the mistake of questioning my judgment. I am willing to let that remark go unpunished this time, but I am not accustomed to being questioned by mere pilots... and I do not plan on making a habit out of it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '172', 's_cb5e0360', 'That is what I expect. I will give you another chance at attacking the Rebel positions in Kessel. Launch the attack immediately on the Rebel positions and cripple their ability to hold that system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '173', 's_cb793d1b', 'It is good to see that you are someone who understands the fiscal responsibility that I am in. If I can give the Emperor the Outer Rim for minimal costs it will reflect very well on me. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '174', 's_cbf5f6bc', 'What is the second strike?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '175', 's_cc0857f4', 'Second part of your plan?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '176', 's_cd392cb5', 'Why would you assume that I wish to talk to you? Did I order your presence? Do I look like I wanted to speak with you? When and if I wish to speak to you I am sure you will be informed by your superior. Now get out of my sight before I begin to care that you are bothering me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '177', 's_cd48bb84', 'Yes, sir. I will put together my team and assault the vessel.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '178', 's_cf1c32cf', 'Very simple. You will offer support to a plan I have devised in order to gain control of the Kessel system. With my brilliant strategy, even a pilot such as yourself, should have no trouble bringing victory in the name of the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '179', 's_da529897', 'How dare you speak with me. Don\'t you have any idea of who I am? Go back to your grubby little hole and be thankful I don\'t have you put to death for this outrage.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '180', 's_e1e9b306', 'You are dismissed, pilot. Move it before I change my mind and have you flying patrols in the Dagobah system for the rest of your career.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '181', 's_e4eceb3e', 'I will do my best to destroy the Rebel fighters.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '182', 's_e685629c', 'I think you are mistaken about the ideals of CorSec.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '183', 's_e6cf6a6f', 'I cannot do this');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '184', 's_e9aec8d7', 'A mission? Shouldn\'t that be handled by the Imperial Navy?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '185', 's_eb02d65', 'I am a good pilot, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '186', 's_eb171ae9', 'Good. Now get on with my operation. I am placing a great deal of faith in a pilot who does not even belong to the Imperial Navy. I expect that you will prove the RSF is completely loyal to the Empire. Pilot, you are dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '187', 's_ebd84e91', 'Yes, I am sure it was. You are dismissed, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '188', 's_ecdec8ad', 'As I said, you are to eliminate the Rebel threat in the region. The first stage of the attack is to destroy a number of their smaller vessels that patrol throughout the region. These vessels would include fighters as well as gunboats.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '189', 's_eded2a14', 'My plan involves two steps. The first stage is to reduce the number of support fighters that the Rebels have in the area. I believe that if we can drop those numbers down enough it will be impossible for the Rebels to adequately defend against the second strike. Unfortunately, due to the interference from the Maw, long range scans are virtually useless in Kessel.  You are going to have to hunt the Rebel vessels down.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '190', 's_ef6b4924', 'Sir, that is insanity.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '191', 's_f010d9ab', '[relay the destruction of the Rebel Corellia Corvette]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '192', 's_f2aa6939', 'Sorry, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '193', 's_f2ba71dd', 'Sir, will I be supplied support?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '194', 's_f352e00f', 'I will not fail you or the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '195', 's_f799f9ec', 'Perfectly clear, sir!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '196', 's_f85f5c9d', 'I would hardly expect you to attack a capital vessel by yourself. I may expect a lot out of the men that serve under me, but you going out alone to attack that vessel would not accomplish anything... other than your death.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '197', 's_f9df4c83', 'It is good to see that the CorSec are not a breeding ground for the Rebellion like many of my peers seem to believe. Perhaps if you work well for me, you can show your fellow pilots that the only way to truly have peace is to fully support the Empire and it\'s endeavors.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '198', 's_fa54959d', 'Were you given permission to speak freely? If discipline in the ranks of the Imperial Navy has broken down so badly I can make sure that it is restored. If it wasn\'t for your exceptional service record I might consider having you shipped off to some backwater world for the rest of your career.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '199', 's_faa7bc59', 'What are you doing back here? I explained what you need to do in full detail and I expect you to do it. This mission will not fail because of your incompetence. Get back to the Kessel system and finish the job.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '200', 's_fbe23895', 'I have decided that you deserve a small token of my appreciation as a reward for your successful flight. I am going to have some credits transferred to your account so you can take a little rest and relaxation. A rested pilot is a better pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '201', 's_fc42e227', 'I am sorry, sir. Give me another chance. I will not let you down.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '202', 's_fd386cda', 'Again I apologize for my hasty words, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '203', 's_fd661a34', 'Why would the Empire want control of the Kessel system?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trainer.stf', '204', 's_fdd6a0a8', 'The Rebels are fools. They will be crushed shortly, of that I have no doubt. But I have never been one to overlook the value of a good pilot. I am beginning to see what your other superiors saw in you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trooper.stf', '1', 'do_not_edit', 'The English version of this file (imperial_master_trooper.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trooper.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trooper.stf', '3', 's_28c5a74a', 'You don\'t look like much of a pilot to me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trooper.stf', '4', 's_326b2667', 'Rebel pilots don\'t belong here!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trooper.stf', '5', 's_33788e9b', 'I\'m here to speak to the boss here!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trooper.stf', '6', 's_4cf446c4', 'Then if you must...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trooper.stf', '7', 's_75207c3', 'I have no time for you, friend. We have a war to fight!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trooper.stf', '8', 's_7e51c66', 'Hold, pilot. What business do you have here?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trooper.stf', '9', 's_86ed2e98', 'None.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trooper.stf', '10', 's_9049d3d5', 'You have no business here, smuggler. I suggest you take off!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/imperial_master_trooper.stf', '11', 's_a366a1ca', 'Then get out of here!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/indigo_siyan.stf', '1', 'do_not_edit', 'The English version of this file (indigo_siyan.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/indigo_siyan.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/indigo_siyan.stf', '3', 's_540ac7e9', 'Continue.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/indigo_siyan.stf', '4', 's_7fe92f9e', 'Let\'s see... There are several citizens that I can think of who have been affected by Sean\'s generosity. The Curator of the museum, for one. Sean\'s housemaid can tell you a story or two, and you can check over at the new market place. You only need one piece of evidence, so you can choose which suits you. Unfortunately, I don\'t have direct locations of them. You\'ll have to find them on your own. I hope this will help you in the long run.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/indigo_siyan.stf', '5', 's_81fdc59e', 'Thank you!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/indigo_siyan.stf', '6', 's_83beea8a', 'My pleasure. See you later!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/indigo_siyan.stf', '7', 's_88b121e8', 'I\'m getting ready for the next election. Sean is running for the position. I have so much to do! Be sure to listen to the townsfolk. By rumor, they\'ll let you know when the voting is about to begin. I have to get back to work...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/indigo_siyan.stf', '8', 's_abf4a6a9', 'My pleasure!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/indigo_siyan.stf', '9', 's_b9b27823', 'Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/indigo_siyan.stf', '10', 's_bdba42ab', 'Don\'t mind him. He can be a little pushy when it comes to these things. What he may not have told you is that you can go to Victor if you decide this campaign isn\'t for you. He\'ll probably have some task for you to do in order to join, but that\'s okay. Nothing too difficult, I\'d hope. Anyway, let me see what sort of contacts I have for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/indigo_siyan.stf', '11', 's_e095f053', 'Poor Victor. He\'s such a nice man, but don\'t tell Sean I said that. Mind you, I\'m reluctantly giving you this information. Don\'t share it with anyone. Let\'s see what I may have for you. Okay. There\'s a Hutt in one of the cantinas you can talk to. I know that one of his troopers isn\'t necessarily loyal either. He\'s around the capitol.  And you may be able to rummage around Victor\'s office for nasty tidbits as well. That\'s all I know.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/indigo_siyan.stf', '12', 's_f10cc45e', 'Welcome! Please, help yourself to tea or pastries! Isn\'t the election exciting? Are you here to vote for Sean? Oh, pardon me! I\'m so rude. I shouldn\'t ask that. I\'m Sean\'s secretary. I\'m so glad to be working for him. He has so many great ideas. Please speak with him as soon as possible. He\'ll tell you all the things he has in store for Bestine.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/indigo_siyan.stf', '13', 's_fd9f62f9', 'I guess. I feel bad now. Bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dealer_arms.stf', '1', 'do_not_edit', 'The English version of this file (junk_dealer_arms.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dealer_arms.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dealer_arms.stf', '3', 's_24f30320', 'Just remember what I said about discretion. My buyers would be less then pleased if the authorities got word of this transaction. And I don\'t think you want my buyers to be unhappy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dealer_arms.stf', '4', 's_370a03c', 'I don\'t think that I have anything you would be interested in.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dealer_arms.stf', '5', 's_3c06418f', 'Hmmm. You seem to be a discreet sort. Perhaps you are looking to do some business. If you have any untraceable weapons that maybe you would like to get off your hands I am the right person to see.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dealer_arms.stf', '6', 's_c86eba88', 'I think I have a few things that you might be interested in.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dealer_arms.stf', '7', 's_df5bd64e', 'Right you are. Oh, and we never met.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dealer_finery.stf', '1', 'do_not_edit', 'The English version of this file (junk_dealer_finery.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dealer_finery.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dealer_finery.stf', '3', 's_1eb9feb7', 'That is too bad. I was really hoping to get some new stock in today.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dealer_finery.stf', '4', 's_370a03c', 'I don\'t think that I have anything you would be interested in.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dealer_finery.stf', '5', 's_9666d79a', 'Hello my friend. How are you doing today? I am a buyer of finery....clothing, jewelry, and such. If you happen to have anything that I might like to buy please let me know.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dealer_finery.stf', '6', 's_c86eba88', 'I think I have a few things that you might be interested in.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dealer_finery.stf', '7', 's_e8ceb290', 'That is wonderful news. Let me see what you have to offer and I will give you price on anything I wish to buy. Remember there is no obligation to sell but I certainly hope you decide to conduct your business with me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dealer_generic.stf', '1', 'do_not_edit', 'The English version of this file (junk_dealer_generic.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dealer_generic.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dealer_generic.stf', '3', 's_12fe83a6', 'You seem to be the adventurous sort so I figured that you might be able to find the parts. I mean they had to go somewhere, although my guess is that they are probably all over the galaxy by now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dealer_generic.stf', '4', 's_14efaaa2', 'Ok, here you go. I guess in order to make it work you need to add ten special components to the kit. When you examine a kit, it has a list of what you need in order to complete the kit. It also has a read-out of whether it currently has a component or not. Oh, and if you do happen to make anything useful with that kit, I might be interested in buying that from you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dealer_generic.stf', '5', 's_324b9b0f', 'What good would a useless kit do me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dealer_generic.stf', '6', 's_3633b5a5', 'Can\'t say that I blame you for not taking one. It\'s sad that I can\'t even give them away. If I ever see that inventor again I am going to make him really sorry.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dealer_generic.stf', '7', 's_3aa18b2d', 'What sort of items do you have that you are looking to get rid of?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dealer_generic.stf', '8', 's_3df21ea0', 'It would appear that you already have one of these kits. I know I really want to get rid of all these kits but I just can\'t be handing them all out at once. You never know when they might be worth something.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dealer_generic.stf', '9', 's_3fc7eb45', 'Well let\'s see here. I have one that makes an orange rug, one that makes a blue rug, one that can make a Nabooian sculpture, one that makes a table, and one that make some sort of model gong. I will only give you one kit at a time so if you want another you are going to have to get rid of the one you currently have first.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dealer_generic.stf', '10', 's_4bd9d15e', 'That is to bad. Remember to come visit me in the future if you happen to come across anything I would be interested in.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dealer_generic.stf', '11', 's_4d65752', 'I just want them gone. They are taking up valuable space in my inventory so I will just give you one of each type if you want.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dealer_generic.stf', '12', 's_54fab04f', 'I have some things that you might be interested in.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dealer_generic.stf', '13', 's_5b10c0b9', 'I am sorry but you do not have any space in your inventory for me to give you a kit. Maybe you should clear out some room and talk to me again if you are still interested.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dealer_generic.stf', '14', 's_6d53d062', 'Why don\'t you just get some of the special components?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dealer_generic.stf', '15', 's_84a67771', 'Alright, let me see what you are offering.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dealer_generic.stf', '16', 's_87c5851b', 'I think I will try out the one that makes the sculpture.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dealer_generic.stf', '17', 's_8f39769', 'I will take one of the blue rug kits.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dealer_generic.stf', '18', 's_9ede4b84', 'Let me have one that makes the table.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dealer_generic.stf', '19', 's_b60b73f8', 'No thanks, I don\'t think that I need any of those kits.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dealer_generic.stf', '20', 's_bef51e38', 'Welcome traveler. I am a buyer of goods that most would deem as junk. If you are interested I will look through what you have to offer and set a price for anything that I wish to buy. I also have come across some other items of interest that I am looking to get rid of.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dealer_generic.stf', '21', 's_cd7a3f41', 'I am sorry but I don\'t think I have anything you would want.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dealer_generic.stf', '22', 's_d347bee3', 'Ok sounds good. What sort of kits do you have?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dealer_generic.stf', '23', 's_d9e6b751', 'An inventor recently sold me and my fellow junk dealers a large quantity of these special kits that were supposed to revolutionize crafting. Unfortunately, they are useless without the special components that they are designed to use.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dealer_generic.stf', '24', 's_e1a103e5', 'Hmmmm, well how much do you want for these kits?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dealer_generic.stf', '25', 's_e29f48dc', 'Apparently this inventor had them all on a shipment that was coming in from the core worlds. As luck would have it the shipment was hijacked en route and all the components were lost to pirates. This caused the inventor to go out of business, leaving all of us stuck with these useless kits.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dealer_generic.stf', '26', 's_ee977dee', 'Let me have one of those orange rug kits.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dealer_generic.stf', '27', 's_fe657cdd', 'I think I would like one of those model gong kits.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dender_rori.stf', '1', 'do_not_edit', 'The English version of this file (junk_dender_rori.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dender_rori.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dender_rori.stf', '3', 's_12400728', 'That decision was the smartest thing you have ever done.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dender_rori.stf', '4', 's_13d756ae', 'Whoa, sorry about that didn\'t mean to bother you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dender_rori.stf', '5', 's_19e6693b', 'I don\'t do business with your kind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dender_rori.stf', '6', 's_1ea1fb0f', 'Save your apology for someone who cares. You leave now!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dender_rori.stf', '7', 's_42c6dbd2', 'I knew you interested. I have buyers, big league Imperial types, who trying to get their hands on gungan stuffs. I don\'t think they want the souvenirs so much as they want less gungans in world.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dender_rori.stf', '8', 's_673b632f', 'It is your lucky day. I have what you are looking for.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dender_rori.stf', '9', 's_6925372f', 'Keep going, I am still listening.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dender_rori.stf', '10', 's_7d842aa5', 'If you come across any of those gungan signets that they wear or one of their lances, you come back and see me. I buy whole lot from you, no questions.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dender_rori.stf', '11', 's_9aa94773', 'I right about you, eh thur killer? Lets see what you gots. Hmmm...not to bad, you have some things I make offer on.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dender_rori.stf', '12', 's_a753e4d6', 'I don\'t appear to have anything you would want to buy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dender_rori.stf', '13', 's_b0d63c3a', 'Bah...don\'t stand thur lookin\' dumb. Come back if you have anything me buy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dender_rori.stf', '14', 's_c9aa99a2', 'I am listening.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dender_rori.stf', '15', 's_cfe66406', 'Too bad. I offering easy work and good credits. Later chump.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dender_rori.stf', '16', 's_e2f6a3b8', 'This just sounds like a bad idea.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dender_rori.stf', '17', 's_e88820', '\'Ey thur! What you think you doin\' walkin\' up to me like that. If this was my bad day you be six feet under now. Since I feelin\' generous I let slide...this time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dender_rori.stf', '18', 's_ef66cf46', 'Your loss. I tryin\' to be all neighborly like and share the spoils with you...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dender_rori.stf', '19', 's_fd11d689', 'You have some guts, eh thur killer? Me need someone with big guts to help me out with business deal that me have. You help me out and I make it worth your while.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dender_theed.stf', '1', 'do_not_edit', 'The English version of this file (junk_dender_theed.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dender_theed.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dender_theed.stf', '3', 's_12400728', 'That decision was the smartest thing you have ever done.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dender_theed.stf', '4', 's_13d756ae', 'Whoa, sorry about that didn\'t mean to bother you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dender_theed.stf', '5', 's_159f2a9b', 'Your loss. I was trying to be all neighborly like and share the spoils with you...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dender_theed.stf', '6', 's_19e6693b', 'I don\'t do business with your kind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dender_theed.stf', '7', 's_1e6ae8ff', 'Yeah I was right about you, eh there killer? Lets see what you have to offer. Hmmm...not to bad, you have some things that I will make an offer on.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dender_theed.stf', '8', 's_4df1acdf', 'Hey there! Just what do you think you are doing walkin\' up to me like that. If this were one of my bad days you would be six feet under right now. But since I am feelin\' generous I will let it slide this time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dender_theed.stf', '9', 's_5e3116dd', 'Bah...well don\'t just stand there looking dumb. Come back if you have anything I would want to buy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dender_theed.stf', '10', 's_673b632f', 'It is your lucky day. I have what you are looking for.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dender_theed.stf', '11', 's_6925372f', 'Keep going, I am still listening.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dender_theed.stf', '12', 's_7c981db', 'I knew you would be interested. I have these buyers, big league Imperial types, who are trying to get their hands on all things gungan. Personally I don\'t think they so much want the souvenirs so much as they want a few less gungans in the world.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dender_theed.stf', '13', 's_86e582ac', 'So you do have some guts, eh there killer? I could really use someone with your kind of guts to help me out with a business deal that I have put together. You help me out and I will make it worth your while.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dender_theed.stf', '14', 's_874980ff', 'Basically if you come across any gungan relic type things you come back and see me. I will buy the whole lot from you no questions asked.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dender_theed.stf', '15', 's_a753e4d6', 'I don\'t appear to have anything you would want to buy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dender_theed.stf', '16', 's_c9aa99a2', 'I am listening.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dender_theed.stf', '17', 's_e2f6a3b8', 'This just sounds like a bad idea.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dender_theed.stf', '18', 's_ea02ab47', 'Save your apology for someone who cares. Now beat it!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_dender_theed.stf', '19', 's_feb97f59', 'Too bad. I was offering easy work and good credits. Later chump.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_lila_borvo.stf', '1', 'do_not_edit', 'The English version of this file (junk_lila_borvo.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_lila_borvo.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_lila_borvo.stf', '3', 's_113dbce8', 'People talk to much. Loose talk has a way of getting them into trouble of the worse sort. But you strike me as being the discreet sort. My employer has been known to buying certain goods, as long as they are untraceable.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_lila_borvo.stf', '4', 's_1875d09c', 'I believe that I have just what your employer is looking for.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_lila_borvo.stf', '5', 's_210d33b4', 'I don\'t think that there is anything that I need help with.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_lila_borvo.stf', '6', 's_7edb783c', 'Why don\'t you let me take a look at what you have to offer. If the goods are what my employer is after I am more then willing to take them off of your hands. Of course you understand that this deal is strictly confidential. If you break that confidence you will not live long enough to regret it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_lila_borvo.stf', '7', 's_98d18f02', 'Isn\'t that a shame. Perhaps some other time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_lila_borvo.stf', '8', 's_a16cfd3b', 'I hear that you are the person to see if one has something they need to move.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_lila_borvo.stf', '9', 's_a83a2e6b', 'How sweet. Aren\'t you just the little hero.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_lila_borvo.stf', '10', 's_e8b03c7c', 'This seems a little shady. I don\'t think I want to be involved.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_lila_borvo.stf', '11', 's_ea90afa0', 'Well aren\'t you a fine specimen. Hmmmm....I gather that you are not here for the pleasure of my company. Speak up now, what is it that I can do for you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_malik_vistal.stf', '1', 'do_not_edit', 'The English version of this file (junk_malik_vistal.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_malik_vistal.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_malik_vistal.stf', '3', 's_18123132', 'Hey, I didn\'t say anything about taking care of no Corsecs. But if accidents did happen to befall them who is to say that I wouldn\'t buy some sort of proof that they are no more...purely as a collectors piece of course.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_malik_vistal.stf', '4', 's_420b90b8', 'Figured as much but it was worth a shot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_malik_vistal.stf', '5', 's_769000a5', 'You look to be a rough sort. Perhaps you would be interested in taking care of a little business problem that me and my associates have been having?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_malik_vistal.stf', '6', 's_91196436', 'I don\'t need the Corsecs looking into me for getting involved.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_malik_vistal.stf', '7', 's_9251cdb4', 'That is what I like to hear. Well the problem is pretty simple. My associates and myself are honest hard working citizens that are being harassed to no end by Corsecs. Why they are after us is completely beyond my comprehension.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_malik_vistal.stf', '8', 's_9334c0a0', 'Let me take a look. I probably will be inclined to pay for anything Corsec that I locate on your person. Of course, this transaction has nothing to do with the unfortunate circumstances of which you came into possession of these items.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_malik_vistal.stf', '9', 's_9c1435e4', 'I knew that you were the right sort from the moment I saw you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_malik_vistal.stf', '10', 's_af6451b5', 'I may not like it, but looking after ones own skin is something that I can understand. Maybe next time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_malik_vistal.stf', '11', 's_b44309e2', 'Let me guess. You want me to take care of the Corsecs?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_malik_vistal.stf', '12', 's_d36db42d', 'I don\'t have anything you want but I will keep an eye out.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_malik_vistal.stf', '13', 's_f66e6241', 'This sounds a bit fishy. I don\'t want to be involved.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_malik_vistal.stf', '14', 's_f836463', 'I am an expert at solving problems.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_malik_vistal.stf', '15', 's_fc51be40', 'I think that I have just what you are looking for on me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_nado_wattos.stf', '1', 'do_not_edit', 'The English version of this file (junk_nado_wattos.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_nado_wattos.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_nado_wattos.stf', '3', 's_17e67aee', 'We deal in a wide assortment of goods and offer the best prices on Tatooine for junk. A large number of settlers come to Watto\'s looking for various parts and nic-naks to suit their purpose.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_nado_wattos.stf', '4', 's_294d7f51', 'If there is anything that I can help you with just let me know.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_nado_wattos.stf', '5', 's_50c8b3e1', 'I am just taking a look around.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_nado_wattos.stf', '6', 's_6afe640d', 'That is alright. If you happen to come across anything you think I might like to buy stop on by and I will be more then willing to take it off your hands.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_nado_wattos.stf', '7', 's_8441c2ce', 'Excellent. Let me take a look at what you have to offer. Hmmmm...most of this isn\'t in very good condition but I am more then willing to make you an offer. Let me assure you no one will give you a better price.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_nado_wattos.stf', '8', 's_90b63763', 'I am sorry but I don\'t have anything you would be interested in.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_nado_wattos.stf', '9', 's_a5d02a3c', 'I think I might have a few things that will spark your interest.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_nado_wattos.stf', '10', 's_d94d5d64', 'What sort of things do you buy?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_nado_wattos.stf', '11', 's_fa615166', 'Eh? Ah yes, I can tell by your look that you have something that I might be interested in buying. Well that is what Watto\'s is here for.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_nathan_taike.stf', '1', 'do_not_edit', 'The English version of this file (junk_nathan_taike.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_nathan_taike.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_nathan_taike.stf', '3', 's_2d363db3', 'I knew from the moment I saw you that you were just the type that we needed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_nathan_taike.stf', '4', 's_33db8b80', 'Let me see what you have. And let me tell you, no one is going to pay better then I do for this sort of stuff.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_nathan_taike.stf', '5', 's_34475b33', 'What sort of proof are you looking for?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_nathan_taike.stf', '6', 's_3b924e4a', 'Well I have to be sure of where you get this proof from so I am not going to accept any old junk. Bring me back some of those Jawa blasters or those beads that they wear and I will buy those from you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_nathan_taike.stf', '7', 's_47a68e94', 'Well it is like this. The honest folk who are trying to eek out a living out here are sick and tired of those thieving Jawas. They scrimp and save enough just to buy a piece of equipment that will make their lives easier only to have the Jawas steal it the next day. It isn\'t right.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_nathan_taike.stf', '8', 's_5b767310', 'You have me all wrong. I can\'t help anyone today.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_nathan_taike.stf', '9', 's_5ceff11f', 'Well, well what do we have here? You certainly have the look of a hardened adventurer. Perhaps even one that is not opposed to helping out honest, hardworking farmers and make a few credits in the process?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_nathan_taike.stf', '10', 's_69567be7', 'Ok, I will see what I can do to help all you honest farmers out.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_nathan_taike.stf', '11', 's_735e3c59', 'Bah! I should have figured that a stranger wouldn\'t understand the extent of the problem.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_nathan_taike.stf', '12', 's_808503a8', 'I guess I was wrong about the whole hardened adventurer thing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_nathan_taike.stf', '13', 's_aaac386c', 'You could say that. I am willing to pay good money for proof that you are taking care of this Jawa problem. You bring me proof that you are taking care of this Jawa problem and I will be more then happy to buy that proof from you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_nathan_taike.stf', '14', 's_b47d6575', 'Sounds to me like you need better security, not an exterminator.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_nathan_taike.stf', '15', 's_c20cb2b0', 'I have never been opposed to helping people...if the price is right.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_nathan_taike.stf', '16', 's_e022ccee', 'So you are looking for someone to take care of this Jawa problem?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_nathan_taike.stf', '17', 's_e613f19', 'Sorry not really interested in this sort of dealing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_nathan_taike.stf', '18', 's_eadc8d6e', 'So be it. There is always another that will come along and be willing to help us out.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_nathan_taike.stf', '19', 's_ecf19442', 'I think that I just might have some of this proof that you ask for.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_ollobo_jabbas.stf', '1', 'do_not_edit', 'The English version of this file (junk_ollobo_jabbas.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_ollobo_jabbas.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_ollobo_jabbas.stf', '3', 's_472f3294', 'Jabba tell Ollobo ta deal fer shooters an\' stabbers, Jabba tell Ollobo ta deal fer pretties. Jabba tell Ollobo ta make good deal fer pistol shooters an\' polearm stabbers. If\'n ya got what Jabba wants, Ollobo deal fer it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_ollobo_jabbas.stf', '4', 's_6d35d0e1', 'If yer lookin\' ta get into mighty Jabba\'s good graces then Ollobo wrong chap ta talk at. If\'n yer lookin\' ta make extra credit or two mayhaps we make good deal.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_ollobo_jabbas.stf', '5', 's_6ee477c3', 'What sort of deal are you talking about?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_ollobo_jabbas.stf', '6', 's_73b59dd6', 'Ollobo check what ya got. No barter. Ya deal or not deal. Ollobo no ask questions, \'cause Ollobo no care. Jabba tell Ollobo ta deal, Ollobo deal.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_ollobo_jabbas.stf', '7', 's_935bfcd0', 'That yer choice. Just ya \'member, Ollobo willing ta deal fer what Jabba wants.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_ollobo_jabbas.stf', '8', 's_aadc214b', 'I am not interested in any sort of deal.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_ollobo_jabbas.stf', '9', 's_b85badf5', 'I don\'t think that I have anything Jabba is interested in.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_ollobo_jabbas.stf', '10', 's_b950c3eb', 'Ya \'member that Ollobo here. Ya find what Jabba wants, Ollobo deal fer it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_ollobo_jabbas.stf', '11', 's_e2ee167d', 'I think that I have what Jabba is looking for.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_quich_dantooine.stf', '1', 'do_not_edit', 'The English version of this file (junk_quich_dantooine.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_quich_dantooine.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_quich_dantooine.stf', '3', 's_2313ac9e', 'What are you talking about?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_quich_dantooine.stf', '4', 's_35b56f0a', 'Oh, well have I now. In that case ye should go about ye business.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_quich_dantooine.stf', '5', 's_413bfd08', 'Well if ye find any Jedi artifacts ye know where I be.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_quich_dantooine.stf', '6', 's_463bc6c4', 'I just might have some things you would be interested in.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_quich_dantooine.stf', '7', 's_5bc0c939', 'Pay and pay well. I be working for a collector who has credits to spend. Ye get me artifacts and I get ye credits.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_quich_dantooine.stf', '8', 's_6e11f342', 'I don\'t have anything you would be interested in.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_quich_dantooine.stf', '9', 's_86df00aa', 'I have ye curious now. I be looking for rare artifacts of the mysterious nature. Artifacts that this planet have in abundance. Artifacts of jedi.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_quich_dantooine.stf', '10', 's_87c4b1c3', 'Lookie lookie what I see here. Ye certainly be a brave sort. The type that be trying to make a name for ye. Perhaps I be able to help ye make that name?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_quich_dantooine.stf', '11', 's_953d967f', 'Ummm...I think you have me confused for someone else.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_quich_dantooine.stf', '12', 's_ba5cc7c', 'Excellent. Let me look at what ye got for me. How nice...how nice indeed. I will make an offer on these. Ye should take me up on my offer because no one else will pay for what ye got.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_quich_dantooine.stf', '13', 's_f2e88b32', 'Jedi eh? And I suppose you will pay for these artifacts?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_quich_dantooine.stf', '14', 's_f5349262', 'Ye be wise beyond ye years for making that decision. I be wrong in thinking that ye could hold ye own with the likes of Jedi.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_quich_dantooine.stf', '15', 's_fbe44b83', 'Jedi! I want nothing to do with anything Jedi.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_reggi_nym.stf', '1', 'do_not_edit', 'The English version of this file (junk_reggi_nym.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_reggi_nym.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_reggi_nym.stf', '3', 's_14e5bdc0', 'I don\'t really have to much in the way of jobs but Nym is always looking to buy weapons and such. He also has some bounties out on those cursed Blood Razors and Canyon Cosairs who haven\'t figured out their place yet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_reggi_nym.stf', '4', 's_233f3214', 'Not a problem. Like I said Nym is always looking for these things so if you run across any come on back.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_reggi_nym.stf', '5', 's_2e005077', 'It doesn\'t look like I have anything Nym would like to buy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_reggi_nym.stf', '6', 's_53d778d8', 'Not really...work has never suited me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_reggi_nym.stf', '7', 's_5c453a2f', 'Being lucky is one of the best things in the world. Lets take a look at what you have to offer. Nym isn\'t much for bartering so you can take the price I give or you can leave it. Makes no difference to me really.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_reggi_nym.stf', '8', 's_60d2f507', 'Looking for work? I don\'t know that for sure but normally people who come around here are always looking for something. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_reggi_nym.stf', '9', 's_b8e27f3c', 'Well this looks like my lucky day.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_reggi_nym.stf', '10', 's_ef8c7236', 'I am always looking for work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_reggi_nym.stf', '11', 's_f25d9c2', 'Truer words have never been spoken. But if you ever change your mind you know where to find me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_sheani_lake.stf', '1', 'do_not_edit', 'The English version of this file (junk_sheani_lake.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_sheani_lake.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_sheani_lake.stf', '3', 's_370197a6', 'You know what? I think that I have just what you are looking for.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_sheani_lake.stf', '4', 's_38c64dea', 'Oh how nice, you must be a seller. I am always in the market for used clothing, the occasional trinket, and any sort of jewelry. If you are interested I can offer you very fair pricing for anything you are looking to sell.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_sheani_lake.stf', '5', 's_45632ab8', 'I think the question is how can I be of service to you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_sheani_lake.stf', '6', 's_57feadd0', 'In that case safe travels to you. If you ever find yourself in possession of anything I might be interested in please contact me again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_sheani_lake.stf', '7', 's_82f469f5', 'How wonderful! Let me take a look and I will make you the best offer that I can for anything that I might be interested in. You do seem to have a few nice pieces in here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_sheani_lake.stf', '8', 's_d264cf44', 'I am afraid that I don\'t have anything you would like.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_sheani_lake.stf', '9', 's_d3c4bb84', 'Welcome traveler, I am Sheani, buyer and seller of finery from around the galaxy. Maybe you have heard of me? No...no matter. How may I be of service to you today?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_sheani_lake.stf', '10', 's_d4565283', 'That is too bad. But if come across anything please stop by and let me have the first crack at buying them from you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_sheani_lake.stf', '11', 's_f6c161d', 'Nothing right now. I am just passing through.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_sneg_valarian.stf', '1', 'do_not_edit', 'The English version of this file (junk_sneg_valarian.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_sneg_valarian.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_sneg_valarian.stf', '3', 's_14b517b1', 'What sort of things does Lady Valarian deal in?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_sneg_valarian.stf', '4', 's_4717ab1e', 'Perhaps you are here to sell something. Something that  might be a little hard to sell elsewhere. Many people come here looking for Lady V\'s help in moving things that they otherwise cannot. If it something that the Lady deals with she might be willing to take it off of your hands.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_sneg_valarian.stf', '5', 's_50b9f32f', 'What does Lady Valarian want with melee weapons?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_sneg_valarian.stf', '6', 's_50c8b3e1', 'I am just taking a look around.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_sneg_valarian.stf', '7', 's_63a817cf', 'Let me see what you have to offer. If I see anything that we might be interested in dealing with I will make an offer on. It is very wise to accept the generous offer that Lady V grants.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_sneg_valarian.stf', '8', 's_6dbdfc7', 'Greetings and be welcome. Please enjoy the facilities here at the Lucky Despot. Are you here to try your luck at one of our gaming tables or....perhaps you are here for business rather then pleasure?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_sneg_valarian.stf', '9', 's_7debe28e', 'The Lady deals with all assortment of items. Anything from a CDEF to an imperial T-21. Of course, she currently has a special interest in hand-to-hand weapons. She also has a liking to various other odds and ends that can fetch a nice profit if you know the right people.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_sneg_valarian.stf', '10', 's_94fa366f', 'Of course, lets conduct some business.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_sneg_valarian.stf', '11', 's_a3ad61f1', 'Very well. Good day to you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_sneg_valarian.stf', '12', 's_b4cc3fb7', 'I don\'t think I have anything that the Lady is interested in.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_sneg_valarian.stf', '13', 's_e27c50ad', 'It is never wise to stick your nose into the Lady\'s business. Do you wish to do business with us or not?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_sneg_valarian.stf', '14', 's_f0f3bea2', 'That depends on what sort of business you have in mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/junk_sneg_valarian.stf', '15', 's_f7c66216', 'In that case, please enjoy the fabulous Lucky Despot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/keanna_likyna.stf', '1', 'do_not_edit', 'The English version of this file (keanna_likyna.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/keanna_likyna.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/keanna_likyna.stf', '3', 's_1f3a981f', 'I hope it goes well. Good bye!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/keanna_likyna.stf', '4', 's_36d62208', 'So many people have been visiting the capitol lately. I\'m just getting ready for the next election. I hope that Victor wins. Of course, I do! He\'s my boss. Anyway, be sure to talk to the townsfolk often. They may have interesting things to say.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/keanna_likyna.stf', '5', 's_398a575d', 'How exciting! I\'m so glad you could join us. Evidence, hm? I know exactly the people you should talk to to get such a thing. How about... well, this may or may not work, but there\'s a terminal in here somewhere with job registries. I\'m new, so I really don\'t know where it is.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/keanna_likyna.stf', '6', 's_8080f094', 'He\'s convinced you to do some dirty work, has he? That\'s unfortunate. I wish others would play fairly. Oh well. Let\'s see... I\'m sure there\'s something in his office that\'d be of use to you. And his teacher at the Commerce University might have something. Oh, I don\'t know... what else. Hm. He has an accountant as well. I\'m out of ideas.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/keanna_likyna.stf', '7', 's_a80d9308', 'Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/keanna_likyna.stf', '8', 's_b1103974', 'Did that, still need to do that... Oh! I didn\'t see you there. The new election has created a huge work load for me! I\'m practically oblivious to everything else. I\'m Victor\'s secretary. I schedule his trips, meetings... just about everything! Are you going to vote for him? It\'s just so exciting! He has so many great changes in store for Bestine. You should speak with him and hear what he has to say.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/keanna_likyna.stf', '9', 's_b4ecef81', 'Of course! Good bye!!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/keanna_likyna.stf', '10', 's_be0e4a12', 'Thank you. Good bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/keanna_likyna.stf', '11', 's_c14a1c83', 'Also, you can try the orphanage director. She volunteers at the hospital. And... there\'s a woman in the slums area you can speak with as well. I don\'t have direct locations for them. I\'m sorry. I really hope this can help you! You only need one piece of evidence.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/keanna_likyna.stf', '12', 's_d0cb487a', 'Okay, thank you very much!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/keanna_likyna.stf', '13', 's_d6ecfaf4', 'Okay. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/keanna_likyna.stf', '14', 's_e547fd1e', 'Yeah?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_killmite.stf', '1', 'do_not_edit', 'The English version of this file (lf_killmite.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_killmite.stf', '2', 's_156', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_killmite.stf', '3', 's_159', 'Hello!  Sorry to bother you, but do you have some time to check out a mite nest?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_killmite.stf', '4', 's_161', 'I suppose I have the time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_killmite.stf', '5', 's_164', 'Thank you.  To the west is a giant bark mite cave.  I can show you where.  I need specimens.  Once you get there, I\'ll transmit the specimens that I need and how many of each. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_killmite.stf', '6', 's_167', 'I would be happy to help you out. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_killmite.stf', '7', 's_169', 'Excellent.  I am glad to see that someone supports science around here.  I\'ll transfer credits into your bank account as I get usable readings.  Hopefully I can get my hands on something extra special by the time you get back.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_killmite.stf', '8', 's_172', 'And I\'ll get paid for this, I assume?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_killmite.stf', '9', 's_175', 'Of course.  I cannot expect others to love science the way I do.  I\'ll transfer credits into your bank account as I get usable readings.  Perhaps I will get my hands on something extra special by the time you get back.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_killmite.stf', '10', 's_177', 'Not right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_killmite.stf', '11', 's_180', 'That\'s a shame.  Come back to me if you change your mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_killmite.stf', '12', 's_183', 'Maybe.  Would you tell me more about it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_killmite.stf', '13', 's_185', 'Bark mites!  Fascinating little creatures, but they absolutely destroy the greenery!  I recently found a mutant variant that may yield information that may lead to a chemical that will repel these insects.  ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_killmite.stf', '14', 's_188', 'How did you fare?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_killmite.stf', '15', 's_191', 'I got all the samples that you wanted.  Didn\'t you get my data transfers?  ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_killmite.stf', '16', 's_193', 'Oh goodness.  Of course I did.  I\'m a little scatterbrained these days.  Fantastic work.  Are you interested in science and engineering?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_killmite.stf', '17', 's_196', 'Yes!  I love creating things.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_killmite.stf', '18', 's_199', 'Wonderful!  I have this schematic for you then.  I\'m not sure if it\'s your particular field, but it should be worth something.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_killmite.stf', '19', 's_201', 'Actually, I prefer hunting.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_killmite.stf', '20', 's_204', 'Well, we all have our paths to walk, don\'t we?  This should help you out while you hunt!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_killmite.stf', '21', 's_207', 'I\'m not done yet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_killmite.stf', '22', 's_209', 'Of course not.  I should know that by my notes.  Good luck with the rest of your hunting!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_killmite.stf', '23', 's_212', 'I got lost.  Do you have the location of the cave?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_killmite.stf', '24', 's_215', 'Certainly!  I know what you mean.  If I don\'t keep things perfectly organized, I can\'t find a darn thing.  ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_killmite.stf', '25', 's_217', 'Hello!  It\'s good to see you again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '1', 'do_not_edit', 'The English version of this file (lf_safetyquestgiver.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '2', 's_107', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '3', 's_109', 'I cannot believe how blasted nasty this place has become!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '4', 's_111', 'What do you mean?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '5', 's_113', 'You haven\'t noticed all the creatures and bandits swarming around outside of town?  It\'s so bad that you can\'t travel without a shuttle or a blaster rifle.  And my son has neither and is coming to visit soon.  I\'m afraid for him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '6', 's_115', 'I\'d be happy to clear the way.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '7', 's_117', 'Thank you!  First thing, I need you to go thin out the worrt population.  Come back when you are done.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '8', 's_119', 'I\'m not interested');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '9', 's_121', 'I wish you would reconsider.  If you do, come back and talk to me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '10', 's_123', 'It isn\'t that bad!  I think the city is quite clean.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '11', 's_125', 'No no, not the city.  I\'m talking about the wilderness.  If you live in a major city it\'s all right.  But if there\'s no shuttle port, traveling here is just dangerous.   And my son has neither and is coming to visit soon.  I\'m afraid for him');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '12', 's_127', 'I\'d be happy to help you make the area safer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '13', 's_129', 'Great!  First thing, I need you to go thin out the worrt population.  Come back when you are done.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '14', 's_131', 'I\'m not interested.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '15', 's_134', 'I wish you would reconsider.  If you do, please come back and talk to me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '16', 's_138', 'Nasty?  Only if you are too weak to protect yourself.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '17', 's_142', 'You think so?  If you are so tough, I have a job for you then.  I want some of the dangerous creatures cleared out.  You strong enough for that?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '18', 's_146', 'Why not?  I could use the credits.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '19', 's_150', 'Great!  First thing, I need you to go thin out the worrt population.  Come back when you are done.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '20', 's_154', 'Nah.  Sounds too boring.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '21', 's_158', 'Guess you aren\'t as tough as you say you are.  If you change your mind, I\'ll be here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '22', 's_162', 'How are you doing with the worrts? ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '23', 's_166', 'I\'m done.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '24', 's_170', 'Excellent!  Thanks for taking care of that.  I transferred some money credits into your bank account.  Come back and talk to me when you are ready for another job.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '25', 's_174', 'I\'m not finished yet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '26', 's_178', 'Well, I believe in you.  You can do it!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '27', 's_182', 'Welcome back.  I have another assignment if you are willing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '28', 's_186', 'Sure.  I\'m always ready for a good fight.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '29', 's_190', 'There\'s an infestation of rills.  Please go kill 10 of them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '30', 's_194', 'Sorry, I\'m too busy right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '31', 's_198', 'Fine.  Come back when you have more free time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '32', 's_202', 'How are you doing with the rills?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '33', 's_206', 'I\'m not quite done yet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '34', 's_210', 'Come back to me when you finish.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '35', 's_214', 'I finished what you wanted.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '36', 's_218', 'Fantastic!  I transferred a few credits to your account to offset your operating costs. Now,  I\'m tracking down some information.  I\'ll have it in a moment or two if you don\'t mind waiting.  ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '37', 's_222', 'Hello again!  Now that I know that you are an accomplished hunter, I can tell you about something that is far more serious and dangerous than the pests near the city.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '38', 's_226', 'What do you mean?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '39', 's_230', 'About a week ago, a particularly nasty gang of thugs ambushed a caravan of people who were moving to the city.  There were... no survivors.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '40', 's_233', 'That\'s terrible!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '41', 's_236', 'Yes.  While I know that getting the families\' lost possessions back will not make up for the loss of their loved ones, at least it will help with their debts, and maybe give them something to remember their children by.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '42', 's_238', 'I will get the possessions back, if you want me to.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '43', 's_241', 'Thank you.  I know that they will appreciate this.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '44', 's_244', 'I\'d rather not deal with this.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '45', 's_246', 'I thought better of you. But when you are done being afraid, come back to me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '46', 's_249', 'And how does this affect me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '47', 's_252', 'I want you to go after these bandits and get back what they stole.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '48', 's_254', 'Sure.  A little revenge is great with caf in the morning.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '49', 's_257', 'Thank you.  I\'ll see you when you get back.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '50', 's_260', 'Not now.  I\'m tired.  I\'ll go after them tomorrow.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '51', 's_262', 'I thought better of you.  But if you must wait, then come back when you are ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '52', 's_265', 'Good.  I want to go after tougher prey.  Tell me more.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '53', 's_268', 'Have you found everything yet?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '54', 's_270', 'Not yet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '55', 's_273', 'Ok.  I\'m clearing some space in my transport for when you are done.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '56', 's_276', 'Yes.  Here they are.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '57', 's_280', 'This will be such a great help to them.  Thank you very much.  You deserve more, but this is all that I have for now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '58', 's_284', 'Actually, I\'m lost.  Can you give me that waypoint again?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '59', 's_288', 'Sure.  I\'ll copy that to you now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '60', 's_292', 'Well, you seem to have stirred up a flewt nest!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '61', 's_296', 'What do you mean?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '62', 's_300', 'It looks like those bandits didn\'t take too kindly to your attack.  I hear that they started reappearing en force.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '63', 's_304', 'Hmm... guess I should encourage them to go back to hiding.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '64', 's_308', 'I think that their leader is the one that you really want.  Unfortunately, the leaders tend to be hard to find.  I\'ll bet one of those guys out there has some information that will lead you to the leader.  When you find it come back to me. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '65', 's_312', 'I don\'t really think I need to concern myself with them any more.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '66', 's_316', 'If you are now one of their targets, I don\'t think they will leave you alone.  If you change your mind, come back to me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '67', 's_320', 'So?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '68', 's_324', 'Looks like you are now one of the bandits\' targets.  If you don\'t want to have to watch your back every second, you should probably go do something about them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '69', 's_328', 'I tend to watch my back anyway, but you\'re right.  I\'ll go take care of them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '70', 's_332', 'I\'ll bet if you take out their leader, they will scatter.  I don\'t know where their leader is though.  I\'ll bet one of the bandits has some kind of information about their main camp on them.  Here\'s the latest information about their activity.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '71', 's_336', 'I have had enough of this.  I\'m done!  No more brigands!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '72', 's_340', 'For some reason I don\'t think they will respect your wishes.  But if you want to ignore them, it\'s your funeral.  Come back if you change your mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '73', 's_342', 'How did it go?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '74', 's_344', 'I haven\'t found anything yet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '75', 's_346', 'There has to be something.  Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '76', 's_348', 'Looks like this datapad has something useful.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '77', 's_350', 'Great!  Let me take a look at it... give me a moment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '78', 's_352', 'I need the location again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '79', 's_354', 'All right.  I\'m copying the data to you now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '80', 's_356', 'Welcome back.  Ready to squish a bug?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '81', 's_358', 'If you mean hunting down the brigand leader, then yes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '82', 's_360', 'That\'s exactly what I mean.  Here is the location of the camp.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '83', 's_362', 'Yep.  Less competition for me...I mean, yes, of course.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '84', 's_364', 'Hm...less competition?  Well, if you leave innocent travelers alone, that\'s your life.  I just want this thug eliminated.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '85', 's_366', 'I have been hearing rumors, but nothing confirmed.  How is it going?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '86', 's_368', 'The leader was tough, but not impossible.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '87', 's_370', 'I\'m glad the area is safe for travelers now.  Too many people died because of them.  Thank you from the bottom of my heart.  Take this.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '88', 's_372', 'They messed with the wrong person');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '89', 's_374', 'They did indeed, and I put my trust in the right one.  Too many good people died because of them.  Take this as thanks for the great service you did.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '90', 's_376', 'I took care of the leader.  I\'m surprised that they were able to do as much damage as they did.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '91', 's_378', 'Yes, well...I guess their leader was better at organizing than fighting.  Many good people died because of him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '92', 's_380', 'Not anymore.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '93', 's_382', 'No.  Not anymore.  You have certainly earned your reward. I already transferred 2000 credits into your bank account and this should help you in your travels.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '94', 's_384', 'I\'m sure they did.  Now, about my reward?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '95', 's_386', 'I already transferred 2000 credits into your bank account.  I also have this for you.  You did me a favor and I thank you for it.  But after this, I don\'t want to talk to you again. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '96', 's_388', 'I haven\'t gotten to the leader yet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '97', 's_390', 'I guess the rumors were optimistic.  No matter, come back when you are done.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '98', 's_392', 'Actually, I need the location again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '99', 's_394', 'It\'s a good thing I keep copies!  Here you are.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lf_safetyquestgiver.stf', '100', 's_396', 'Thanks again for all your help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04a.stf', '1', 'do_not_edit', 'The English version of this file (lifeday04a.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04a.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04a.stf', '3', 's_1d62f66a', '(Translated from Shyriiwook) I understand. Sometimes we have to move around to escape persecution. You can find the celebration here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04a.stf', '4', 's_20268f64', 'I think I\'ll pass. Thanks anyway.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04a.stf', '5', 's_20e6f0a5', 'Yes I am. Where can I find a Life Day gathering?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04a.stf', '6', 's_22d9b678', 'I will give you a waypoint where some of my family have gathered to celebrate. Go there and they will welcome you with open arms. Happy Life Day to you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04a.stf', '7', 's_24e9b72b', 'Greetings friend! You are just in time to join our Life Day celebrations.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04a.stf', '8', 's_259ac319', 'You\'re back. Were you unable to find the camp? ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04a.stf', '9', 's_2a85dd74', 'I would like that. What do I do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04a.stf', '10', 's_31160b7c', 'Ah! A Wookiee cousin! Are you here to celebrate Life Day? ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04a.stf', '11', 's_311837be', '(Translated from Shyriiwook) Ah! A Wookiee cousin! Are you here to celebrate Life Day? ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04a.stf', '12', 's_50a0c963', '(Translated from Shyriiwook) Life Day is a traditional celebration on Kashyyyk, the Wookiee homeworld. I would tell you more, but it is best you experience a Life Day ceremony for yourself.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04a.stf', '13', 's_5c9098df', '(Translated from Shyriiwook) You\'re back! I\'m glad you were able to take part in our traditions. Be sure to spread the harmony of Life Day to all the beings you meet today.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04a.stf', '14', 's_5e6b695f', 'Life Day is a traditional celebration on Kashyyyk, the Wookiee homeworld. I would tell you more, but it is best you experience a Life Day ceremony for yourself.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04a.stf', '15', 's_643fa34', 'Life Day? What\'s that?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04a.stf', '16', 's_8fa670', 'Yes. I need directions again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04a.stf', '17', 's_9f0658fa', 'I understand. Sometimes we have to move around to escape persecution. You can find the celebration here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04a.stf', '18', 's_acf458b4', 'Life Day? No thanks. I\'ve got other things to do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04a.stf', '19', 's_ada83d27', '(Translated from Shyriiwook) Greetings friend! You are just in time to join our Life Day celebrations.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04a.stf', '20', 's_b3b91524', 'That is too bad. If you change your mind be sure to find me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04a.stf', '21', 's_b3f5b52e', '(Translated from Shyriiwook) That is too bad. If you change your mind be sure to find me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04a.stf', '22', 's_da120aad', '(Translated from Shyriiwook) You\'re back. Were you unable to find the camp? ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04a.stf', '23', 's_dbcb339', '(Translated from Shyriiwook) I will give you a waypoint where some of my family have gathered to celebrate. Go there and they will tell you more. Happy Life Day to you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04a.stf', '24', 's_df507d1d', 'I will give you a waypoint where some of my family have gathered to celebrate. Go there and they will tell you more. Happy Life Day to you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04a.stf', '25', 's_efd79c75', 'You\'re back! I\'m glad you were able to take part in our traditions. Be sure to spread the harmony of Life Day to all the beings you meet today.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04a.stf', '26', 's_f9bf77a0', '(Translated from Shyriiwook) I will give you a waypoint where some of my family have gathered to celebrate. Go there and they will welcome you with open arms. Happy Life Day to you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04b.stf', '1', 'do_not_edit', 'The English version of this file (lifeday04b.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04b.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04b.stf', '3', 's_352585ec', 'I would like the Wookiee Life Day Robe.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04b.stf', '4', 's_52645cdc', 'I would like another Life Day gift.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04b.stf', '5', 's_5bd07d67', '(Translated from Shyriiwook) I\'m sorry, This is a private gathering for family and friends. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04b.stf', '6', 's_66b5743f', '(Translated from Shyriiwook) This is a gift that reflects our Wookiee heritage. We hope you will display your gift with pride and remember your time with us.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04b.stf', '7', 's_6cd2786a', 'I think I will do this later.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04b.stf', '8', 's_8a712dbc', 'Thank you. What do I do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04b.stf', '9', 's_af9f8883', '(Translated from Shyriiwook) For those beings that have been a part of our community for at least thirty cycles, we have collected gifts to help you remember this day. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04b.stf', '10', 's_afabf3ac', 'What sort of gifts?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04b.stf', '11', 's_b85028af', '(Translated from Shyriiwook) I hope you have learned something of our ways. Since you have not been with our community for thirty cycles, I do not have a gift for you, but I hope you will keep the spirit of Life Day alive in your heart and return to us next year.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04b.stf', '12', 's_b874dc09', '(Translated from Shyriiwook) You have spoken to those assembled and learned of our ways. Hopefully this day brings you closer to freedom and to harmony and to peace. May you hold Life Day as dear as we do. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04b.stf', '13', 's_d8cde9a', 'Speak with all those assembled to learn about our holiday. Once you have heard what we have to say, I will see if we can find a Life Day gift for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04b.stf', '14', 's_de3b1306', '(Translated from Shyriiwook) Enjoy your gift. Happy Life Day to you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04b.stf', '15', 's_ebbd31aa', 'I have learned a lot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04b.stf', '16', 's_f0c65663', '(Translated from Shyriiwook) Happy Life Day, friend! We are glad to have you celebrate with us.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04b.stf', '17', 's_f0f674e2', '(Translated from Shyriiwook) Since you are one of our own, you have a choice. You may choose a traditional Life Day robe that may only be worn by Wookiees or you may receive another gift. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04b.stf', '18', 's_fe83540d', '(Translated from Shyriiwook) It is good to see you again. Thank you for taking part in our celebration. We hope to see you next year. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04b.stf', '19', 's_feeecf48', 'I understand, but if you wait too long, the time will pass and you will have to wait until next year to join us. Be safe, friend.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04c.stf', '1', 'do_not_edit', 'The English version of this file (lifeday04c.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04c.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04c.stf', '3', 's_1256a081', '(Translated from Shyriiwook) Well it\'s a pleasure to see you again. Happy Life Day!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04c.stf', '4', 's_23ffb59b', 'I hope you will take our tale and share it with others so that others may learn how to live each day to the fullest...and to not take their own freedom for granted.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04c.stf', '5', 's_2461fa4f', 'I hope you will. Regardless, remember to be thankful for life and all that comes with it. Happy Life Day to you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04c.stf', '6', 's_2bd71749', 'Because of the Empire, we have learned to appreciate our freedom. We cannot take our lives for granted. Each sunrise, each childbirth, each breath is a renewal, a reminder that we must live each day to the fullest.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04c.stf', '7', 's_4f6d5fb7', '(Translated from Shyriiwook) I hope you will. Regardless, remember to be thankful for life and all that comes with it. Happy Life Day to you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04c.stf', '8', 's_554c5307', 'No thank you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04c.stf', '9', 's_5d954138', '(Translated from Shyriiwook) Take our tale and share it with others so that others may learn how to live each day to the fullest.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04c.stf', '10', 's_68fe76c6', 'I enjoyed our conversation earlier! Would you like to hear about the Renewal of Life again?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04c.stf', '11', 's_7a600ade', 'Yes, please tell me again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04c.stf', '12', 's_7c4a57ee', 'I\'ve heard you work for the Empire. If that\'s true, you should reconsider your allegiances. You may be good but the higher up you go, the darker the world becomes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04c.stf', '13', 's_801a269f', '(Translated from Shyriiwook) I\'ve heard you work for the Empire. If that\'s true, you should reconsider your allegiances. You may be good but the higher up you go, the darker the world becomes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04c.stf', '14', 's_80535e5b', '(Translated from Shyriiwook) Take our tale and share it with others so that others may learn how to live each day to the fullest...and to not take their own freedom for granted.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04c.stf', '15', 's_8e0ee46c', 'What has the Empire done to Wookiees?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04c.stf', '16', 's_9103b44a', 'I will do that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04c.stf', '17', 's_959f717', 'I see. Go on.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04c.stf', '18', 's_96f85808', 'You should speak to our Elder first. Happy Life Day to you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04c.stf', '19', 's_98c49a08', '(Translated from Shyriiwook) You should speak to our Elder first. Happy Life Day to you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04c.stf', '20', 's_a60b4b13', '(Translated from Shyriiwook) I enjoyed our conversation earlier! Would you like to hear about the Renewal of Life again?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04c.stf', '21', 's_a6dbe2f8', 'Well it\'s a pleasure to see you again. Happy Life Day!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04c.stf', '22', 's_a83b3c72', '(Translated from Shyriiwook) I hope you will take our tale and share it with others so that others may learn how to live each day to the fullest and to not take their own freedom for granted.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04c.stf', '23', 's_b8b7ef2b', 'Yes. Go on.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04c.stf', '24', 's_bd5e746e', 'I\'ll consider your words.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04c.stf', '25', 's_c1b5914b', 'Renewal of Life. This is one of the goals of Life Day. Because of how the Empire has treated so many of our kind, this aspect of Life Day has taken on even greater meaning.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04c.stf', '26', 's_cf3aa2f6', '(Translated from Shyriiwook) I hope you will take our tale and share it with others so that others may learn how to live each day to the fullest...and to not take their own freedom for granted.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04c.stf', '27', 's_d7baeead', '(Translated from Shyriiwook) Thank you. Remember to celebrate your life and the lives of those around you. Happy Life Day.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04c.stf', '28', 's_d84630ef', 'Thank you. Remember to celebrate your life and the lives of those around you. Happy Life Day.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04c.stf', '29', 's_efa923bc', '(Translated from Shyriiwook) Life on our homeworld was simple and peaceful. We did not make war, nor were we a violent race. This made us easy targets for the Empire who desired our strength. Many were forced into labor camps. Some Wookiees were even forced to help build the Death Star.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04c.stf', '30', 's_f25a4a72', '(Translated from Shyriiwook) Renewal of Life. This is one of the goals of Life Day. Because of how the Empire has treated so many of our kind, this aspect of Life Day has taken on even greater meaning.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04c.stf', '31', 's_f34ce8c', '(Translated from Shyriiwook) Because of the Empire, we have learned to appreciate our freedom. We cannot take our lives for granted. Each sunrise, each childbirth, each breath is a renewal, a reminder that we must live each day to the fullest.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04c.stf', '32', 's_feb80338', 'Life on our homeworld was simple and peaceful. We did not make war, nor were we a violent race. This made us easy targets for the Empire who desired our strength. Many were forced into labor camps. Some Wookiees were even forced to help build the Death Star.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04d.stf', '1', 'do_not_edit', 'The English version of this file (lifeday04d.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04d.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04d.stf', '3', 's_1ad349e2', 'The Life Day orb is a traditional part of our celebration. It shows a field of stars representing the afterlife. We beings of Kashyyyk believe that when we die that we walk off into the stars. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04d.stf', '4', 's_207b1ae7', 'You should speak with our Elder first. Happy Life Day to you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04d.stf', '5', 's_2b01ac4', 'Well thank you for dropping by. Happy Life Day!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04d.stf', '6', 's_4ac9d09b', 'We remember their sacrifices and deeds and the things that made us laugh. By remembering the dead we keep their memory alive and learn from the actions that came before. We use the Life Day orb to help us honor the fallen.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04d.stf', '7', 's_611f31c3', 'Sure, I\'d be happy to hear about that again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04d.stf', '8', 's_6cdb10e7', '(Translated from Shyriiwook) You should speak with our Elder first. Happy Life Day to you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04d.stf', '9', 's_775904c7', 'Life Day orb?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04d.stf', '10', 's_85a86bcd', '(Translated from Shyriiwook) Hello again! Rememberance of those who came before us is my personal favorite part of Life Day. I love hearing about all the things our ancestors did. I\'d be happy to tell you about it again if you\'d like.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04d.stf', '11', 's_9df9f74c', '(Translated from Shyriiwook) As you participate today, think of fallen comrades and family members who are no longer with us and use their lives as a lesson to improve your own. Happy Life Day to you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04d.stf', '12', 's_a1c6d00b', '(Translated from Shyriiwook) Rememberance of loved ones lost. This is one of the major tenets of Life Day. We use this time to reflect on our ancestors and family members who are no longer among the living. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04d.stf', '13', 's_a2945896', 'That\'s ok, I\'m familiar with that now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04d.stf', '14', 's_aec28b7d', 'Hello again! Rememberance of those who came before us is my personal favorite part of Life Day. I love hearing about all the things our ancestors did. I\'d be happy to tell you about it again if you\'d like.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04d.stf', '15', 's_b13f8480', '(Translated from Shyriiwook) The Life Day orb is a traditional part of our celebration. It shows a field of stars representing the afterlife. We beings of Kashyyyk believe that when we die that we walk off into the stars. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04d.stf', '16', 's_bcbad5b7', '(Translated from Shyriiwook) We remember their sacrifices and deeds and the things that made us laugh. By remembering the dead we keep their memory alive and learn from the actions that came before. We use the Life Day orb to help us honor the fallen.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04d.stf', '17', 's_be5f7807', 'As you participate today, think of fallen comrades and family members who are no longer with us and use their lives as a lesson to improve your own. Happy Life Day to you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04d.stf', '18', 's_d0729692', 'Rememberance of loved ones lost. This is one of the major tenets of Life Day. We use this time to reflect on our ancestors and family members who are no longer among the living. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04d.stf', '19', 's_dc4149ee', 'I understand. Go on.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04d.stf', '20', 's_e26d0d6', '(Translated from Shyriiwook) Always remember to think of fallen comrades and family members who are no longer with us and use their lives as a lesson to improve your own. Happy Life Day to you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04d.stf', '21', 's_e2e3c7bb', 'Always remember to think of fallen comrades and family members who are no longer with us and use their lives as a lesson to improve your own. Happy Life Day to you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04d.stf', '22', 's_edb238bc', 'Go on.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04d.stf', '23', 's_fd38d370', '(Translated from Shyriiwook) Well thank you for dropping by. Happy Life Day!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04e.stf', '1', 'do_not_edit', 'The English version of this file (lifeday04e.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04e.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04e.stf', '3', 's_14a2757a', 'The concepts of Life Day are universal in nature. Many who have learned of Life Day have begun to celebrate it on their own worlds. It is our hope that you will too.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04e.stf', '4', 's_187a402b', '(Translated from Shyriiwook) Thanks for taking part in our festivities! Would you like to hear about origins of Life Day again?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04e.stf', '5', 's_1cb72c3b', '(Translated from Shyriiwook) It was a pleasure to see you again. Happy Life Day!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04e.stf', '6', 's_2110a567', '(Translated from Shyriiwook) The concepts of Life Day are universal in nature. Many who have learned of Life Day have begun to celebrate it on their own worlds. It is our hope that you will too.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04e.stf', '7', 's_2132a975', 'Thanks for taking part in our festivities! Would you like to hear about origins of Life Day again?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04e.stf', '8', 's_27f05082', 'I will let the others here tell you. Happy Life Day to you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04e.stf', '9', 's_29cc9282', '(Translated from Shyriiwook) I will let the others here tell you. Happy Life Day to you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04e.stf', '10', 's_3c9de914', '(Translated from Shyriiwook) Life Day began as a holiday celebrated only by us Wookiees, but it has since grown beyond the borders of Kashyyyk. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04e.stf', '11', 's_44e56600', 'It was a pleasure to see you again. Happy Life Day!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04e.stf', '12', 's_467df5bd', '(Translated from Shyriiwook) It is important to us to be home for Life Day. It is not unusual for a Wookiee to brave many hardships to get home to celebrate at the Tree of Life.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04e.stf', '13', 's_522fbbf4', 'It is important to us to be home for Life Day. It is not unusual for a Wookiee to brave many hardships to get home to celebrate at the Tree of Life.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04e.stf', '14', 's_533ce9b7', 'How is Life Day celebrated on your world?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04e.stf', '15', 's_77e48d5b', 'What do you mean?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04e.stf', '16', 's_9c6c907c', 'No thanks, just thought I\'d say hello again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04e.stf', '17', 's_9cd35fb9', 'Because of the Empire, it is not safe. Some will still elude the Empire and return, but for now, we do what we can.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04e.stf', '18', 's_a104d858', '(Translated from Shyriiwook) You should speak with our Elder first.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04e.stf', '19', 's_ac89961b', 'Life Day began as a holiday celebrated only by us Wookiees, but it has since grown beyond the borders of Kashyyyk. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04e.stf', '20', 's_ae4c104', 'You should speak with our Elder first.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04e.stf', '21', 's_b84f1c5d', 'But you are not on your homeworld now. Why?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04e.stf', '22', 's_cc720b6', '(Translated from Shyriiwook) Because of the Empire, it is not safe. Some will still elude the Empire and return, but for now, we do what we can.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04e.stf', '23', 's_f4a3b496', 'Sure, tell me about Life Day again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lifeday04e.stf', '24', 's_f9a62733', 'What else can you tell me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '1', 'do_not_edit', 'The English version of this file (lilas_dinhint.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '3', 's_1042bed3', 'Here you are. I\'m glad to help Mr. Trenwell and in this small way repay his generosity to the museum.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '4', 's_1057c81b', 'Try Mos Eisley to find Kahfr Oladi. You\'ll probably find her near the bank.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '5', 's_147d9a5b', 'What I ask is that you seek out the artists we are considering and learn of their work. Then return to me and let me know which of them you preferred. Three artists are involved. I can tell you where to find them if you\'d like?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '6', 's_1aabf4f7', 'I hope you enjoy your visit. Take your time and wander through our collection. It\'s still not as large as I\'d like, but I\'m working on that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '7', 's_23b5bcf', 'Giaal Itotr calls Mos Espa home, and you\'ll usually find him in front of the hotel.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '8', 's_26152411', 'Yes, I\'d love to help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '9', 's_26c02ad3', 'I\'m back for the testimonial for Sean Trenwell you had offered..');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '10', 's_2ecc437c', 'Where should I look for Kahfr Oladi?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '11', 's_35487421', 'We\'ll being looking in less than a week for the next work of art to be featured in the museum.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '12', 's_36cff745', 'Boulo Siesi is in Wayfar. She\'s usually by the cantina.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '13', 's_375a5dc0', 'Thank you for taking part in our contest. Check back when the event ends to see who won. \n\nNote that the event is 15 days from beginning to end and that the winning work of art will be on display for 30 days. That 30 days includes the 15 days between events as well as the 15 days of the next event. Thanks again!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '14', 's_3960dc15', 'Ah good. Which artist stood out as your favorite?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '15', 's_39a4e8fa', 'Where can I find Boulo Siesi?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '16', 's_3f115c47', 'Oh. That\'s too much for me. No thank you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '17', 's_400d075', 'Look for a small square near the Lucky Despot, and you\'ll find Vanvi Hotne in that area.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '18', 's_4443365b', 'I think I\'ll pick Boulo Siesi.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '19', 's_463a0bda', 'Um... nevermind. I\'m not interested in this.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '20', 's_47df8332', 'Yes, please. How much does one cost?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '21', 's_486f6', 'I\'m asking for a modest... ahem... donation to the museum of 48,000 credits in exchange for the schematic. Oh, and I should warn you that some knowledge of advanced furniture production is required.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '22', 's_4f010def', 'It would seem that you have no room in your inventory to hold this datapad with my testimonial. I\'m afraid you\'ll have to make some room before I can give it to you. Please speak to me again after you\'ve done that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '23', 's_4f049f4e', 'In just a few hours we\'ll start the search for our next featured artwork.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '24', 's_519f72a3', 'There\'s still more than a day before the search for our next featured work of art begins.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '25', 's_537ad9f6', 'I already voted.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '26', 's_5492284e', 'Thank you for taking part.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '27', 's_55773f3', 'Definitely Klepa Laeel.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '28', 's_55e840b3', 'How will I find Klepa Laeel?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '29', 's_5bc37444', 'It will be less than a day before we begin looking for another work of art that we\'ll feature here the museum.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '30', 's_5bd69df6', 'What do you need me to do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '31', 's_5d4aadf9', 'Hello and welcome to the Bestine Museum. Would you like to purchase a schematic of our featured artwork?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '32', 's_605d9185', 'Hello and welcome to the Bestine Museum. I hope you enjoy your visit. While I\'ve got your ear, you should know that we are currently seeking a new work of art to feature. Would you like to help?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '33', 's_67026fa8', 'Look near the back of the theater in Mos Entha to find Kolka Zteht.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '34', 's_68c6c699', 'You\'ll find Klepa Laeel in Mos Espa. He\'s often found towards the back of the starport.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '35', 's_6b5b28b2', 'No thank you. I\'m just here to visit the museum.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '36', 's_6d1148d8', 'Would you be willing to put that in writing so I could share your opinion with the governor?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '37', 's_6dbeccc3', 'We\'ll begin the search for another featured work of art within the hour.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '38', 's_71561c79', 'Ah, of course. I remember you now. I have everything prepared and loaded onto this datapad that you can show to Mrs. Aryon.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '39', 's_7312fa13', 'Excellent. Once per month, I wish to feature a new work of art here at the museum. We have a fine permanent collection on display, as always, but it is my desire to enhance that collection by offering something new from time to time. To that end, we select a small number of artists and approach them with the chance of having their art featured here in Bestine.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '40', 's_7552be07', 'Oh, whatever. I\'m leaving.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '41', 's_7882a978', '[Smiling] Excellent. Now, where did I leave those. Oh yes, here they are. Thank you for supporting the arts.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '42', 's_7b488371', 'Indeed, I would be quite happy to do exactly that. I\'ll load that into this datapad that you can then take to Mrs. Aryon.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '43', 's_7c297430', 'Mr. Trenwell? Yes, of course. Many of our latest additions and newest programs have only been possible thanks to funding provided by the efforts of Mr. Trenwell. His large personal contributions - both in time and money - have been generous beyond expectations.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '44', 's_82761006', 'Tell me where to find Vanvi Hotne.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '45', 's_8338587c', 'The pleasure is all mine. Return after speaking to the artists. Farewell.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '46', 's_84e3c8d2', 'I\'ve decided on Kahfr Oladi.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '47', 's_8b3d6e46', 'Can you tell me anything about Sean Trenwell?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '48', 's_8ed85f40', 'I see, well thank you for visiting the museum.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '49', 's_90b0871f', 'I\'ll take one.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '50', 's_911a27f8', 'I\'m ready to tell you which artist I choose.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '51', 's_9558d37a', 'How long until you look for another work of art to feature?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '52', 's_9c595e48', 'I hope you enjoy your visit.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '53', 's_a9f1e0f9', 'Oh, it\'ll be more than a week before we begin the search for our next featured work of art.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '54', 's_aaa43f7b', 'Hello and welcome to the Bestine Museum.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '55', 's_b67247f1', 'Perfect, thank you!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '56', 's_b824fcc0', 'I choose Kolka Zteht.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '57', 's_b9059b2b', 'I think I\'ve got it. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '58', 's_b9b27823', 'Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '59', 's_bea3d11', 'Where is Giaal Itotr?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '60', 's_c1f9104', 'Where will I find Kolka Zteht?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '61', 's_c845a58c', 'It would appear that you are unable to carry it. Please return after you made some space in your inventory.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '62', 's_c8e54945', 'I\'m afraid you don\'t have enough credits, and I must insist on the donation. Please return when you have more funds available.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '63', 's_cccdca43', ' I hope you enjoy your visit. Feel free to look around.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '64', 's_ce4aa2ab', 'I think I prefer Giaal Itottr.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '65', 's_d543ced9', 'No thank you. I\'m simply wandering through.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '66', 's_d9e04161', 'There are only a few days left before we begin looking for the next work of art for us to feature.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '67', 's_e09f0f8', 'I liked Vanvi Hotne.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '68', 's_e649bf0a', 'I would like to purchase a schematic of the current featured work of art.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '69', 's_eb35002', 'Ah... yes. Okay than.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lilas_dinhint.stf', '70', 's_fb2eead4', 'Very well. Thank you for visiting the museum.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '1', 'do_not_edit', 'The English version of this file (lok_rebel_trainer_2.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '3', 's_10221765', 'The intelligence department believes that they may be planning to use Lok as a staging area to attack or blockade Corellia.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '4', 's_105c0da2', 'Vrak arranged a meeting with a hacker in Dantooine.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '5', 's_106f742d', 'Just who I wanted to see. Glad you are here, %NU. As you may have heard, we managed to get some information out of the kidnapped officer. We have spent the last few days executing many successful raids against the Imperial fleet, thanks to this information. We have also tracked down the person who set you up.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '6', 's_11ba5f1a', 'Good. I knew you would. Show them what you\'re made of %NU!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '7', 's_122e5dd7', 'It\'s the little victories that will win us this war, dear.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '8', 's_129e1011', 'Some people may call him a pirate, and he doesn\'t exactly follow the laws of the Empire but neither do we, mm? In times like these, we need all the help we can get. Lord Nym is actually a nice person once you get to know him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '9', 's_12b3896', 'Greetings %NU. Did you meet up with the smuggler?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '10', 's_1358322c', 'No problem. See you soon.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '11', 's_137a1cc5', 'Good. I want another chance at this.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '12', 's_14123c8b', 'Are you one of Lord Nym\'s employees?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '13', 's_14183b8e', 'Alright sweetie, don\'t take too long though, we could really use your help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '14', 's_14310e04', 'Yes milady, it seems he can assist us.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '15', 's_14791132', 'Well if you\'re sure you don\'t need to rest, fix your ship or anything like that, we have some duties that could use your attention dear.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '16', 's_148ee1c2', 'What are you doing here? I heard that you were working for a different part of the Alliance Navy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '17', 's_14fcd38b', 'I don\'t know what you\'re doing here, but I\'m certain that you shouldn\'t be talking to me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '18', 's_15250124', 'Greetings %TU. My name is Viopa. I function as the Alliance\'s go-between for the Rebellion and Lord Nym, the pirate who owns this palace. You have been sent here as a starship pilot to help us with some of the many tasks we undertake in the Lok System, am I right?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '19', 's_1583743c', 'Do you have any missions I could fly?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '20', 's_163272c2', 'Oh. Well, come back soon, dear.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '21', 's_165db597', 'I want mission 1.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '22', 's_16d870fe', 'Consider it done.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '23', 's_17653741', 'All right, sweetie. Don\'t take too long, though. We could really use your help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '24', 's_17e79a2c', 'Any advance payment? Okay fine, what do you need done?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '25', 's_1813f9b', 'I\'m ready milady.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '26', 's_194e698d', 'All right, %NU. I\'ll see if I can reschedule the meeting with the smuggler. Come back soon for a update.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '27', 's_1cb5d5fd', 'I heard about your misfortune, dear. But don\'t fret; luck is with us. It appears the shuttle that slipped out of your grasp was a decoy. We have another opportunity.The enemy may be on his guard this time, so be careful %NU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '28', 's_1d34c320', 'Piece of cake. There was the matter of payment. I believe?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '29', 's_1d85385d', 'I can\'t do it. He\'s too heavily guarded.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '30', 's_1dcfe231', 'Hmm. I will see if we can reschedule the meeting. Do hurry back dear.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '31', 's_1df58e48', 'Do I get to keep the loot? I mean, I\'m ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '32', 's_1dfeca09', 'I\'ve been itching to take down some TIE fighters.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '33', 's_1eaa0d45', 'Great, sweetie, I\'m sure you\'ll have better luck this time. Be careful up there. The new coordinates should be uploaded to your nav computer by the time you reach your ship. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '34', 's_1ec75f6d', 'I\'ll live with it. Let me show these goons how it\'s done.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '35', 's_20b704e7', 'Not right now. I have to attend to a few things.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '36', 's_21e0c701', 'I hope this pays well. I am the best you\'ve got, after all.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '37', 's_232c0049', 'Vrak seemed sure that he could do it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '38', 's_258ff649', 'Good to see you again dear. You are just in time too, we have a opportunity we can\'t miss that require your superior skills.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '39', 's_25fcc7b2', 'I\'m off.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '40', 's_27101a28', 'I don\'t have time now. I\'ll be back.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '41', 's_27a9d3e4', 'I don\'t think I need it, milady. Is there anything I can do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '42', 's_2817ec90', 'I don\'t know!  But there\'s got to be some way for you to improve your standing with the Rebel Alliance!  You\'ve got to try, %NU.  We need you!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '43', 's_2af8de7c', 'Yeah it will give you the chance to try the Pirate lifestyle for a day sweetie. You will get more information up in space. Good luck dear!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '44', 's_2baec20', 'I like this palace too, %NU, but your services are urgently required elsewhere. Get out there and show them why you are my favorite pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '45', 's_2c95410e', 'All right. But do hurry, dear. It won\'t be there for long.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '46', 's_2ccdbfbb', 'I\'m afraid I can\'t right now though, milady.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '47', 's_2d07d661', 'We\'ve narrowed it down to Vrak, the smuggler that set up the meeting with the hacker. After our successful attacks on the Imperial fleet, the Empire has rerouted their ships and we are curious what Vrak might know. Would you go have a chat with him, dear?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '48', 's_2f0a6ba8', 'What could these dregs possibly teach me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '49', 's_307dbfe0', 'Good. I won\'t let him slip away this time!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '50', 's_3209cb6f', 'I knew there was something I forgot!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '51', 's_334b8b3a', 'No one told me I would work under a woman.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '52', 's_3406294f', 'Glad to have you back in one piece, %NU. We received word from the hacker. He\'s sent coordinates for a new rendezvous.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '53', 's_359d1c6c', 'I\'m ready, milady.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '54', 's_35e906c1', 'Fine. I don\'t really have anything to do right now anyway.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '55', 's_3769a087', 'I don\'t agree. But maybe another opportunity will come your way, when you are feeling more confident. Don\'t stay away too long, dear.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '56', 's_37e5c8bc', 'Very well. Escort mission in Dantooine sector. If you find any errors or have suggestions, report them to Niklas at njohansson@soe.sony.com');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '57', 's_386d56a1', 'Excellent, excellent. He doesn\'t know that we are onto him, so he should still be in the cantina in Tyrena. Good luck, dear.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '58', 's_3892fde6', 'Sure did. He was a weird fellow.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '59', 's_38aeb877', 'Oh I was just passing by. I can\'t help right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '60', 's_38f4aa90', 'I will do more than talk to him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '61', 's_39e697de', 'Whatever you say.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '62', 's_3a42c050', 'What can I do to help, milady?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '63', 's_3ae0bba3', 'The data included several references to one certain Imperial officer. We are in luck. We located him a few days ago. Now we have a couple of spies onboard his shuttle. We want to kidnap him so that we can learn more about what the Empire\'s plans really are.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '64', 's_3c4ff185', 'Reactor Engineering Algorithms');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '65', 's_3e303b17', 'We need your help to destroy the shuttle\'s escort and disable it so that our men can overpower the crew and bring the Imperial officer to us.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '66', 's_3e4a658', 'No. Something came up. I can\'t right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '67', 's_4104f818', 'My dear, you are in big trouble.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '68', 's_41ee99fd', 'He\'s set up a meeting with a hacker in Dantooine.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '69', 's_4212435c', 'Fine. What tasks are available right now?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '70', 's_422f9bfa', 'Are you one of Nym\'s employees?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '71', 's_42b39212', 'Bah, I want some more action. Any duties?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '72', 's_438969d3', 'Well life is just full of pleasant surprises like that. Now we have a lot of things for a skilled pilot to do. Are you ready to get started?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '73', 's_43fbe907', 'We have some more duties around Lok that could use some attention. But if you have something better to do...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '74', 's_44170670', 'Not for nothing, dear. You still struck a blow against the Empire - and every little bit counts. We are trying to figure out where the rest of the fleet took off to now so be ready, we will need your help soon again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '75', 's_44dd253a', 'That\'s such a rude thing to say. Some people may call him a pirate, and he doesn\'t exactly follow the laws of the Empire but neither do we, mm? In times like these, we need all the help we can get. Lord Nym is actually a nice person once you get to know him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '76', 's_45bb907e', 'Not right now, I want to get up there and earn some creds. Any duties?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '77', 's_4a44213c', 'Alright. So what do we do now?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '78', 's_4acb55cd', 'Excellent, what do we need to do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '79', 's_4af0c602', 'We are trying to figure out where the rest of the fleet went. Stand by, we will need your help again. Fantastic job up there sweetie, as always.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '80', 's_4bf53cea', 'Thank you, milady. It was close, but the hacker came through for us.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '81', 's_4c1dac60', 'Hold on, what choices did I have again?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '82', 's_4c695dbd', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '83', 's_4ca03ddb', 'How so?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '84', 's_4ee75073', 'He thought that you looked ready to learn one of the following skills.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '85', 's_5064a71e', 'We haven\'t approached him yet. I figured you would like to talk to him yourself.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '86', 's_506ee957', 'You\'re too late, %NU. The Imperial fleet has arrived! Strangely enough, it doesn\'t seem that large though. Nevertheless, we need you up in space now, dear!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '87', 's_507b9d02', 'Excellent %NU. Good luck and see you soon!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '88', 's_50dbe32c', 'You sound like you\'ve spent too much time in the palace already, my friend. Though I can\'t deny that working here has certain... privileges. I\'m sure you will fit right in. Now we have plenty of tasks for you. Ready to work?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '89', 's_5164f707', 'Yes indeed, dear, you\'ve earned it. Come back when you are ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '90', 's_5300757c', 'Ack! We really need to find out if he knows something. Please hurry back, %NU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '91', 's_531fb93c', 'I can\'t right now. My ship took a beating. I have to fix it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '92', 's_53e43cdb', 'Ohh %NU, great to see you! One of Nym\'s pilots said he saw great skill in you and thought that you may be ready to learn some new tricks, if you would like to?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '93', 's_54179ba5', 'This is not good. What can we do milady?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '94', 's_54e06202', 'Sounds good, %NU. We\'ll be ready when you come back.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '95', 's_55ad580f', 'Do that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '96', 's_56285e36', 'All right. What\'s the plan?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '97', 's_565951d5', 'Lord Nym has asked for our help in stealing some Corsair ships. We have some smugglers that require an escort through Imperial areas and we have the chance to strike a blow to the Empire by attacking some of their patrols. We want you to assist with these duties until you feel you have enough experience to proceed with training but they are strictly volunteer assignments and can be aborted at any time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '98', 's_5884fe0d', 'Good to see you, dear. It saddens me, but I\'m afraid you have been transferred to another member of the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '99', 's_596a74ca', 'Then I have just the remedy dear. Proceed up to orbit and you will get more information. Be careful out there sweetie.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '100', 's_5a954a3f', 'Excellent choice. When you are ready, come back to me. We have much to do still.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '101', 's_5aa92dc4', 'Hi, sweetie. Ready to help out with some duties?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '102', 's_5ac3c20d', 'Can you remind me where he is?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '103', 's_5b7c65e8', 'How did I ever manage without you, sweetie? I\'ll let the technicians know what you need. Do be careful though, my dear, this all seems a bit too easy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '104', 's_5be79320', 'That is great news. Who was it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '105', 's_5c191b57', 'Oh I\'m so sorry. Enjoy your stay at Lord Nym\'s palace then.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '106', 's_5e28b657', 'I will be off at once, milady. My apologies.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '107', 's_5e9e1660', 'Sounds like you have it covered. I have some things I need to do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '108', 's_5ee66c06', 'Lovely! Be careful and see you soon, dear.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '109', 's_61e761a4', 'Fantastic job, %NU! You managed to get the data, even though the ship was already repaired. I\'m very impressed. This little bonus doesn\'t begin to reflect what you did for us, but it\'s all I can give you at the moment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '110', 's_6258192a', 'All right. See you later, then.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '111', 's_6280da8c', 'All right. I hope this hacker is good. We\'ve had no success so far.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '112', 's_62d83905', 'Excellent. I will have a copy of the data uploaded to your ship\'s computer. Good luck, dear!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '113', 's_62fa8365', 'I really think you are overreacting, my friend. This is war and Nym is good ally. His help is invaluable in the fight against the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '114', 's_64370a0d', 'There you are, %NU. Did you find Vrak?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '115', 's_64b6ea44', 'I want mission 2.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '116', 's_65316548', 'Can\'t these \'space pirates\' do something by themselves?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '117', 's_65c36194', 'On second thought, no.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '118', 's_65f334d5', 'Yes milady, so I\'ve been told.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '119', 's_662d6c41', 'I have some bad news, dear. It appears this was not the heart of the Imperial fleet at all. They received a diversion order to another system. We are tracking it down right now. This part of the fleet just didn\'t get the order in time and decided to try and make it to the Imperial outpost instead.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '120', 's_66418240', 'Of course. What is my mission?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '121', 's_668e43a2', 'I will miss you, milady...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '122', 's_66c9d146', 'Be careful, dear. See you soon!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '123', 's_6752d582', 'Well, we do have some duties around Lok. We could use your invaluable assistance, %NU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '124', 's_697b5183', 'I hope you give him what he deserves. I will be back.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '125', 's_6a43381d', 'I understand. I really think your skills are more than sufficient to pull this off though, %NU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '126', 's_6ab7832d', 'All right. What should I do in the meantime?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '127', 's_6b158a0e', 'I\'m a Developer/Tester and want missions.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '128', 's_6bb0cb94', 'Correct.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '129', 's_6bb4b597', 'Do hurry back though, sweetie. This is quite important.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '130', 's_6bcf16a1', 'Excellent. I\'ll have the technicians upload the coordinates to your nav computer. I hope everything goes well this time, dear. Take well care of yourself.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '131', 's_6c130469', 'Oh, but of course, my dear. Get some rest while we analyze the data and come back when you are ready for some action.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '132', 's_6c7c317', 'Well, let\'s just say that some of Nym\'s employees can be a little less than dependable at times - especially unsupervised in a cantina. I need someone I can trust completely.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '133', 's_6e6242ff', 'That\'s an understatement. All right, I\'ll do it. Where is he?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '134', 's_6e92867a', 'I have to repair my ship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '135', 's_6e943bb6', 'I will give it another try!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '136', 's_6fad62ec', 'No problem. Time to spend this bonus. See you around, lady!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '137', 's_71350221', 'Fantastic! I will have the intelligence department analyze the information right away. You should get some rest and come back when you\'re ready for some more action.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '138', 's_71a5deee', 'No worries sweetie but please hurry, that Imperial fleet is getting closer every day.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '139', 's_723b4288', 'He should be entering the Lok system any moment now. I will have the coordinates uploaded to your ship\'s nav computer. Be careful, dear. We know how important this operation is to the Empire, so he will probably be well guarded. Good luck %NU. Come back to me in one piece.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '140', 's_72b581a2', 'Well, we could really use your help on this, dear. Please come back soon.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '141', 's_7348150', 'We don\'t need that kind of ignorance in the Rebellion. I do hope you come to your senses.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '142', 's_73ccefde', 'Space Combat Techniques');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '143', 's_746fda15', 'See you soon, then.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '144', 's_74a4f762', 'That sounds likely. What can I do to help?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '145', 's_7577882', 'Lord Nym has asked for our help in stealing some Corsair ships. We have some smugglers that need an escort through Imperial areas and the chance to strike a blow to the Empire by attacking some of their patrols. We want you to assist with these duties until you feel you have enough experience to proceed with training but they are voluntarily only and can be aborted at any time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '146', 's_75e5035c', 'The Imperial fleet seems to protect a Kuat driveyard freighter. It is on its way to the Imperial outpost station. You must make sure that it does not reach that station, %NU!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '147', 's_780265b8', 'This sounds a bit complicated. I need to do some preparation first.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '148', 's_7977cca8', 'Great, it\'s been a madhouse up there lately so be careful sweetie.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '149', 's_79f026e1', 'I suppose you could be right. I will give it another shot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '150', 's_7ac528cc', 'Yes, milady. What do you have for me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '151', 's_809dbad9', 'Fine, I\'ll give it another chance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '152', 's_80b2d7f9', 'It would be my pleasure.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '153', 's_8125c052', 'Working for Nym! This should finally give some decent creds.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '154', 's_816055e2', 'I want mission 4.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '155', 's_8204eb26', 'Oh of course not, my dear. I need someone I trust, though. Some of Nym\'s employees are not really that dependable at times.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '156', 's_826d3c9d', 'It\'s heavily encrypted, so we are not sure, %NU. I will let you know as soon as I find out more.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '157', 's_8447c7d7', 'Great! It\'s been a madhouse up there lately so be careful sweetie.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '158', 's_8be640b8', 'Sure.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '159', 's_8c839067', 'Very well. Inspect mission in Lok sector. If you find any errors or have suggestions, report them to Niklas at njohansson@soe.sony.com');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '160', 's_902e7f6f', 'Vrak set up a meeting with a hacker in Dantooine.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '161', 's_91156160', 'Recovery duty.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '162', 's_9199b1bf', 'All right, sweetie. Don\'t be a stranger.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '163', 's_92199b82', 'Excellent. He\'s agreed to meet a contact of ours on Corellia. His name is Vrak and he will be waiting in the cantina of Tyrena. Do be careful, dear. I\'ve found out that the Empire is scouring the galaxy for the data you stole. It must be terribly important.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '164', 's_92ddd562', 'You are sure of this?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '165', 's_933e5758', 'Oh, I\'m not blaming you, dear. I know you did your best. Now, about the Imperial fleet. It seems that they are protecting a Kuat freighter. It\'s on its way to the Imperial outpost station now. You have to prevent it from reaching its destination, %NU! I have taken the liberty of uploading intercept coordinates to your ship. If you don\'t find him there, search the nearby area and wait for him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '166', 's_937eedf9', 'Yes, milady.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '167', 's_93c107c0', 'I understand, dear. I will let Vrak know that you will be a little late.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '168', 's_9417b6d9', 'A splendid performance as always, my dear %NU. Our intelligence department is interrogating the officer now. Hopefully we will find out soon what\'s going on. You should get some rest in the meantime.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '169', 's_94558476', 'Who knows. Anyway, he wants me to take the data there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '170', 's_954c43bb', 'Escort duty.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '171', 's_95a207fe', 'Alright, what do you need help with, milady?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '172', 's_95cc4d4e', 'I would like some training, what can he teach me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '173', 's_960afa57', 'I know you won\'t, my dear. I\'ve uploaded the new location to your nav computer.Hurry!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '174', 's_97682590', 'Oh nothing. Anyway, he\'s arranged a meeting with a hacker.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '175', 's_97bbc2e4', 'I suppose. All right, you said you had some things for me to do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '176', 's_97f6ca14', 'I see. All right, where do I find him?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '177', 's_98672851', 'I think I\'d be better off with gigs I know would pay well. See ya!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '178', 's_98bb41ea', 'Indeed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '179', 's_98d991e7', 'Weapons B, Intermediate Alliance Starship Ordnance');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '180', 's_990019e5', 'Sorry. Fresh out of missions right now. Why don\'t you try talking to your commanding officer?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '181', 's_99210986', 'Very well. Destroy mission in Lok sector. If you find any errors or have suggestions, report them to Niklas at njohansson@soe.sony.com');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '182', 's_9990d560', 'What is the Alliance doing with Nym? Isn\'t he a pirate?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '183', 's_9b2edf50', 'I will do my best, milady.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '184', 's_9b82774b', 'Yes, I\'ll be back later.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '185', 's_9be51847', 'I don\'t have time right now. I\'ll be back.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '186', 's_9c24c239', 'I won\'t fail again!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '187', 's_9c5793bd', 'I understand, %NU. But hurry! That Imperial fleet is getting closer every day.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '188', 's_9d418971', 'I\'m sorry, milady. You must have me mistaken for someone else.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '189', 's_9d922723', 'I don\'t have any missions right now, but I do have some elective duty tasks that you might be interested in. What do you think, sweetie?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '190', 's_a043fbc6', 'See? It\'s that charm I will miss so much. You are to meet with Lieutenant Colonel Aqzow on Yavin. You can find him in the labor outpost on the moon Yavin 4. Don\'t be a stranger, %NU. I\'ve really enjoyed our time together.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '191', 's_a0ee0d37', 'Yes. It will give you the chance to try the pirate lifestyle for a day, sweetie. You will receive more information once you\'re up in space. Good luck dear!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '192', 's_a1062586', 'All right, good. Are you planning to meet him in Dantooine with a copy of the data?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '193', 's_a333c9dd', 'I hope I won\'t be reporting to another woman.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '194', 's_a3790fac', 'I hope you are correct %NU and I hope you can beat their rescue team to the ship. I\'ve taken the liberty to update your ships droid with the coordinates. Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '195', 's_a3c6ae82', 'I was so worried when I heard about the attacks on you, %NU! We suspect that someone told the Empire about your rendezvous. We are trying to figure out who the traitor is now. Anyway, I\'m so glad to have you back in one piece.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '196', 's_a3de93c4', 'Excellent. I will have a copy of the data uploaded to your ship\'s computer as soon as you are ready to take off, my dear.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '197', 's_a4ab00c9', 'Excellent. I will have a copy of the data uploaded to your ship\'s computer as soon as you are ready to take off, dear.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '198', 's_a65cd6cc', 'But...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '199', 's_a6e1c30a', 'Very well, what does this pilot think he can \'teach\' me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '200', 's_a78a4ac3', 'What do I do now?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '201', 's_a98b1cf0', 'Please hurry back, dear. We want to intercept the fleet before they reach the Lok system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '202', 's_a99ad4e8', 'Sounds easy enough. Where do I find them?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '203', 's_aa3d7ff6', 'I just remembered something I have to do. See you around!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '204', 's_ab3a1cf4', 'Does Lord Nym know that you are in here?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '205', 's_ad5cafda', 'I sure hope so %NU. You are always sorely missed when you are not around.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '206', 's_ae5a02a8', 'Indeed you are. Unfortunately, our budget is a bit limited, as you may have noticed. I\'m sure you\'ll find the rewards sufficient though, in terms of excitement, if nothing else.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '207', 's_af173f89', 'All right. Hurry, though. Time is running out, dear.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '208', 's_b02ee4b4', 'I\'m sure you have important things to attend to, then. Sorry to interrupt you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '209', 's_b0d973e8', 'Sad indeed, I had high hopes for you %TU. Good luck in your adventures, maybe I\'ll see you some day again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '210', 's_b125bfdc', 'Then you should probably not be here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '211', 's_b1cac9ab', 'Hurry dear. That freighter is getting closer by the minute!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '212', 's_b1f9f1bc', 'That\'s right. Unfortunately, I have some things to fix first.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '213', 's_b2335add', 'Ohh good to see you, %NU, I need your help. The data you retrieved earlier has proven impossible to decipher. Fortunately, Nym knows of a smuggler that specializes in these kind of predicaments.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '214', 's_b24f64b', 'I know you will, dear. I\'ve taken the liberty of uploading intercept coordinates to your ship. If the freighter is not there when you arrive, search the nearby area and wait him out. He will surely pass through those coordinates. Be careful, %NU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '215', 's_b2683b4a', 'Piece of cake.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '216', 's_b2e9f5b5', 'Maybe so. but the Empire is searching the galaxy for this data, so you have to be careful. Trust no one, dear. What did you find out?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '217', 's_b3a02be2', 'What are you doing here, %TU? I heard you were working for a different part of the Alliance Navy. It\'s a shame, I could have used a skilled pilot like you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '218', 's_b3a81c54', 'No of course not silly, except maybe a drink in the cantina on some off duty night. Are you interested?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '219', 's_b3a90c9', 'Hurry back, we only have this opportunity for a limited time and I would hate to be forced to use the second best pilot in the palace and not you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '220', 's_b3f9c754', 'He seemed very nervous. Maybe just a profession trait.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '221', 's_b59feb8d', 'You could say that again. I can\'t right now, though.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '222', 's_b6af2b98', 'I want mission 3.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '223', 's_b838d4b8', 'We only have a short time left to intercept it, %NU. Please hurry back!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '224', 's_b862718f', 'I\'m not going back up there again. It\'s suicide.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '225', 's_b8cf1532', 'Well, I can\'t do that right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '226', 's_b9f9d416', 'If the ship is still in the vicinity, try to disable it and access its data.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '227', 's_ba9fbf52', 'You\'re so charming, dear. I was hoping you could travel to the smuggler and acquire his services for us.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '228', 's_bbb72231', 'Alright dear. Please hurry back. We don\'t have much time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '229', 's_bbed8565', 'Hurry %NU. Get back up there! We can still keep the freighter from reaching the outpost!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '230', 's_bc44d715', 'I did not think you were so close-minded, %TU. Hopefully you\'ll find a spot better suited for you somewhere else in the Rebellion. Farewell.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '231', 's_bcff0c86', 'I thought you were a respected pilot of the Alliance, not a mercenary. Even so, I\'m sure you would find the compensation adequate and the experience thrilling.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '232', 's_bfd9eed6', 'Of course. I just have a lot of important things to do!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '233', 's_c0422a2', 'I hope so, sweetie. Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '234', 's_c100d375', 'Don\'t act like it was my fault. I got here as fast as I could.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '235', 's_c103ad7e', 'Hmm. Okay, I guess it\'s a necessity. What do you need me to do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '236', 's_c13b1925', 'Nonsense! There\'s nothing you can\'t do, dear. I\'ve seen you overcome the impossible before. Come back when you are ready!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '237', 's_c149497f', 'Is everything all right, my dear? You\'re not one to forget important things.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '238', 's_c1c28382', 'I can\'t right now, milady. I will be back.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '239', 's_c3c23cef', 'All right, sweetie. See you soon I hope.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '240', 's_c3e498de', 'I think you overestimate me, milady.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '241', 's_c4ecbd2f', 'Of course. What will you do with it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '242', 's_c532ad1c', 'Splendid, dear. He doesn\'t know we\'re onto him, so hopefully he will still be in the cantina in Tyrena.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '243', 's_c6b08612', 'What did they figure out?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '244', 's_c6c91897', 'Multi-Role Craft');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '245', 's_c6f65083', 'He\'s no better than the Empire. I\'m out of here!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '246', 's_c8427191', 'Yes. I\'m ready to leave anytime.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '247', 's_c84e7a8', 'Why me? I\'m a pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '248', 's_c8c2d2ea', 'I was just stopping by to say hi; I have to get going.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '249', 's_c91bccf0', 'Well, apparently an Imperial shuttle has broken down near the Trade Federation route. It might be carrying some valuable information, so we want you to hurry there before they complete their repair. Attach a spy droid. It will transfer the shuttle\'s data to your ship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '250', 's_c942a6c8', 'Sorry, but I can\'t right now. I have some things I need to do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '251', 's_c9d58564', 'Excellent. I will let Vrak know that you will be a little late.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '252', 's_ca434bbe', 'Then I can help you scratch that itch, dear. Get up in orbit; you will get more information once you are there. Be careful out there, sweetie.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '253', 's_ca7b758d', 'I don\'t know about that drink but okay, what can this pilot teach me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '254', 's_caf0502c', 'This is what you want to learn?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '255', 's_cafeab9', 'He\'s agreed to meet a contact of ours on Corellia. His name is Vrak and he will be waiting in the cantina of Tyrena. Do be careful, dear. I\'ve learned that the Empire is scouring the galaxy for the data you stole. It must be very important.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '256', 's_cb3507f', 'Err, I just remembered I have some things to do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '257', 's_cbd8ba35', 'Excellent, I knew I could count on you %NU. I\'ve uploaded the new coordinates to your nav computer. Hurry up there!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '258', 's_ccd0caab', 'In Tyrena on Corellia, dear, in the cantina.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '259', 's_cd1a5817', 'I have some quick things I need to fix first. I will be back.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '260', 's_cd3e2b38', 'I\'ll help some of our smugglers sneak by the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '261', 's_ce671a71', 'Thank you, milady. I will be back soon.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '262', 's_cf884764', 'I hope you flayed him and fed him to the Kimogilas!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '263', 's_d0299d36', 'Greetings %NU. Did you meet with the smuggler?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '264', 's_d08d9709', 'What should I do if they have already repaired it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '265', 's_d0b37ad2', 'Okay okay! What needs to be done?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '266', 's_d14eedc8', 'Of course. Where can I find him?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '267', 's_d17c64f9', 'I can\'t right now - but I will be back soon.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '268', 's_d21eee5e', 'Fine. Let me show these goons how it\'s done.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '269', 's_d356f8d', 'I don\'t mean to overstep my bounds, but I believe that you have obligations elsewhere. Finish up, and then we can talk.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '270', 's_d5693494', 'All right. Hurry though, dear. This hacker seems rather nervous. I don\'t want him to change his mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '271', 's_d5ff7cb2', 'Yes, definitely.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '272', 's_d64bce73', 'Sounds good %NU. We\'ll be ready when you come back.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '273', 's_d6d2881d', 'I\'m not an errand boy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '274', 's_d70d3929', 'I\'m so glad I can always count on you, sweetie. I was hoping you could travel to the smuggler and acquire his services for us.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '275', 's_d70dba34', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '276', 's_d88c653e', 'Are you sure?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '277', 's_d8fef41', 'Perhaps not...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '278', 's_da77c355', 'Sounds good. What can I do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '279', 's_db065042', 'Well I won\'t stand for it, I\'m going to ask to be reassigned.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '280', 's_db82fc61', 'Sounds bad. I will be back as soon as I can to help out.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '281', 's_db9d43d', 'Thank you, milady. So what was the data?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '282', 's_dc7c029d', 'I can\'t right now, I\'m afraid. I will be back, though.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '283', 's_dce7fb', 'If he knows anything, I will get it out of him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '284', 's_dcec6e65', 'So all that for nothing?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '285', 's_dd8c097b', 'You\'ve been grounded.  The intelligence department delivered a scathing report on you.  It\'s terrible!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '286', 's_dede1eae', 'Do I have to pay them for the training?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '287', 's_e00ac98e', 'What happened?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '288', 's_e02126d9', 'Stealing some Corsair ships sounds like fun.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '289', 's_e0d2df48', 'What would be the point of invading this sandbox?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '290', 's_e2539e81', 'On second thought, I\'ve heard that Nym is pretty greedy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '291', 's_e2ad7a0d', 'Maybe I should get some rest. See you soon.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '292', 's_e2b5ea1a', 'I will be back later. I have some things I need to address.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '293', 's_e4b3375d', 'No, something came up. I can\'t right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '294', 's_e4daa04e', 'We need your help with something, %NU, so hurry back, please.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '295', 's_e53c5017', 'What mission do you want?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '296', 's_e565e3d3', 'What duties are available, milady?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '297', 's_e57d94c7', 'Welcome back dear. I heard what happened. The good news is that we have a second chance.The officer\'s shuttle seems to have malfunctioned. It\'s slowed him down considerably.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '298', 's_e58d7043', 'Excellent. I\'m certain that I will enjoy getting to know you as we work together %NU. We have a few duties that could use your expertise my friend, are you ready to get started?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '299', 's_e6569c04', 'Very well. Recovery mission in Lok sector. If you find any errors or have suggestions, report them to Niklas at njohansson@soe.sony.com');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '300', 's_e67149f', 'I have had the new coordinates uploaded to your ship. Go get \'em, %NU!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '301', 's_e7b6dca1', 'It seems to include the ship routes of several Imperial ships that are moving toward Lok. It\'s disturbing indeed. Lord Nym fears that they may be planning to take over Lok.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '302', 's_e811b51e', 'I need the Imperial data.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '303', 's_e84d85e2', 'Sounds great.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '304', 's_e87a40f8', 'I\'d rather not right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '305', 's_e942aa77', 'Welcome back, sweetie. The intelligence department has finished analyzing the encrypted data. It\'s still a bit vague.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '306', 's_e9c1932', 'I\'m sorry, I can\'t right now. I\'ll be back.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '307', 's_eaf03b41', 'Such confidence. How can I NOT like you? Even though your abilities indeed are extraordinary, one can never learn enough, my dear.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '308', 's_eb569089', 'Sounds great. This interests me why?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '309', 's_ec5b15d1', 'Destroy duty.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '310', 's_eceafc6e', 'Good %NU. it\'s always a pleasure when you stop by. See you soon.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '311', 's_ee0a112e', 'You are positive this is your pick?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '312', 's_ef759e6d', 'No wait, let me reconsider.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '313', 's_ef962200', 'I have to fix my ship first. I will be back as soon as I can.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '314', 's_f182a09c', 'Well they do often have a bit too much to drink so I don\'t want to trust them with a sensitive operation like this, dear.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '315', 's_f1de2910', 'If I wanted excitement I\'d... Oh well, what do you need?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '316', 's_f3cbd30c', 'Very well. If you find any errors or have suggestions, report them to Niklas at njohansson@soe.sony.com');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '317', 's_f4021854', 'Okay... well, please hurry back, dear. We want to intercept this fleet before it reaches Lok.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '318', 's_f4cf8776', 'Ack. All right,I will send a message to Vrak to reschedule. Do hurry back, dear.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '319', 's_f6927823', 'No. This whole operation seems fishy. Working with a pirate!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '320', 's_f828b1ef', 'Very well. Come back soon, %NU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '321', 's_fa69f8de', 'There\'s nothing you CAN do.  Not unless you can prove yourself a trustworthy member of the Rebel Alliance again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '322', 's_faf8066c', 'Bah! Menial tasks like that are a waste of my time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '323', 's_fbef6556', 'Please do. Your presence is always appreciated, dear.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '324', 's_fc4b144b', 'That\'s understandable. What do I need to do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '325', 's_fcf4d778', 'How?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '326', 's_fda95b05', 'Not as much as I will miss you, sweetie. You are to report to Lieutenant Colonel Aqzow on Yavin. He can be found in the labor outpost on the moon Yavin 4. Please come back and see me now and then to let me know you are all right, %NU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '327', 's_fdc272e0', 'The thing is, though, since we have launched so many successful attacks on the Imperial fleet, they have rerouted their ships. We are hoping that this smuggler knows something useful, so that we can intercept their fleet before it reaches Lok.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '328', 's_fde7cbe6', 'Who knows? Anyway, he wants me to take the data there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2.stf', '329', 's_ffa35f86', 'Excellent. I will have a copy of the data uploaded to your ships computer as soon as you are ready to take off dear.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2_smuggler.stf', '1', 'do_not_edit', 'The English version of this file (lok_rebel_trainer_2_smuggler.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2_smuggler.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2_smuggler.stf', '3', 's_1106d288', 'Sure sure, now go back to your commanding officer and get that data to my friend so he can \'translate\' it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2_smuggler.stf', '4', 's_2387d3d7', 'Alright, go on.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2_smuggler.stf', '5', 's_29b10239', 'I think you\'re in the wrong business. Pathetic.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2_smuggler.stf', '6', 's_3103c633', 'I was just asking, calm down. Well, see you around.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2_smuggler.stf', '7', 's_4e307ac2', 'I don\'t know who he really is, not many have seen him. I only know that he\'s some sort of shady information broker but he has a lot of power.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2_smuggler.stf', '8', 's_50e93f2d', 'Sounds good, thank you Vrak.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2_smuggler.stf', '9', 's_53a57295', 'The best. He\'s a bit paranoid though but when I was contacted by Nym, I made some arrangements. He\'s agreed to meet you in the Dantooine system... he wont land. You need to meet with him there and transfer the information that you need him to \'translate\'.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2_smuggler.stf', '10', 's_5dd70a2c', 'What do you mean..?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2_smuggler.stf', '11', 's_6541ff8b', 'Sounds good, is there anything else I should know?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2_smuggler.stf', '12', 's_6789e90e', 'What else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2_smuggler.stf', '13', 's_6b133072', 'Nym will probably make sure of that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2_smuggler.stf', '14', 's_6bb0cb94', 'Correct.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2_smuggler.stf', '15', 's_73e609b7', 'I\'m waiting.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2_smuggler.stf', '16', 's_871202ae', 'Sure sure, now go back to your commanding officer and get that data to my friend so he can \'open\' it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2_smuggler.stf', '17', 's_88fb9bcb', 'We have some unfinished business I believe.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2_smuggler.stf', '18', 's_8dc05a21', 'I know a man that specializes in opening \'packages\'. He\'s a bit paranoid though but when I was contacted by Nym, I made some arrangements. He\'s agreed to meet you in the Dantooine system... he wont land. You need to meet with him there and transfer the \'package\' that you need him to open.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2_smuggler.stf', '19', 's_99dcc230', 'I\'m not a fighter, I\'ll tell you all I know. A while ago I was contacted by someone named Kud\'ar Mub\'at, he\'s the type of \'person\' that you don\'t say no to. He offered a large sum of money for any information on some stolen Imperial data.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2_smuggler.stf', '20', 's_9b75f1f', 'Wh..what are you doing here?!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2_smuggler.stf', '21', 's_9da8a554', 'A while ago I was contacted by someone named Kud\'ar Mub\'at, he\'s the type of \'person\' that you don\'t say no to. He offered a large sum of money for any information on some stolen Imperial data.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2_smuggler.stf', '22', 's_a3c154e6', 'Yes maybe so. You have a, uh, \'package\' that you can\'t open?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2_smuggler.stf', '23', 's_a46f0bb8', 'No, I\'m with the CorSec anti smuggling department.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2_smuggler.stf', '24', 's_b02a22c2', 'What do you want? I\'m busy!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2_smuggler.stf', '25', 's_b5dd2ed8', 'You\'re lucky I\'m in a hurry. I\'m sure Nym will take care of you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2_smuggler.stf', '26', 's_b9280ab0', 'Calm down silly, I\'m just kidding. I am the pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2_smuggler.stf', '27', 's_bf37655b', 'Please, I didn\'t mean to do it, I had to! Don\'t hurt me, I\'ll tell you everything I know!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2_smuggler.stf', '28', 's_c5fc3d7a', 'Are you the pilot?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2_smuggler.stf', '29', 's_cf66be5a', 'That\'s all I know, I swear! Please don\'t hurt me, my life is just starting. I\'m nothing but a pawn, please...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2_smuggler.stf', '30', 's_d0098db3', 'I need to get out of here!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2_smuggler.stf', '31', 's_d36158bb', 'What are you trying to do? Get me killed? Now what did you need help with?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2_smuggler.stf', '32', 's_d5132e66', 'You are supposed to know a good \'translator\'?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2_smuggler.stf', '33', 's_d7fe1a24', 'Kud\'ar Mub\'at?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2_smuggler.stf', '34', 's_e28286fc', 'Oh I\'m just here to check if you\'re blaster-proof.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2_smuggler.stf', '35', 's_ed7e2471', 'Wh.. what do you want? I haven\'t done anything, I swear!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2_smuggler.stf', '36', 's_edb238bc', 'Go on.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2_smuggler.stf', '37', 's_f39484e1', 'I will change, I promise..');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2_smuggler.stf', '38', 's_f7deed3b', 'When I was contacted by one of Nym\'s people about the data that they couldn\'t encrypt, I put two and two together. I sent Kud\'ar what he needed to know to intercept you and the hacker.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2_smuggler.stf', '39', 's_f911cddf', 'So I don\'t even have to break any of your bones? Pity.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/lok_rebel_trainer_2_smuggler.stf', '40', 's_fca23d59', 'Yes. I was told that you could help me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '1', 'do_not_edit', 'The English version of this file (naboo_imperial_tier3.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '3', 's_105d3df0', 'About Colonel Hend?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '4', 's_10a23848', 'I make no qualms about using anyone to further our goals. In a very controlled environment, I think that Doctor Shinss can still be of use to the Empire. Of course, this is just idle chatter. I must conduct my interview with Shinss before a final determination can be made.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '5', 's_10c8692a', 'Inquisitors don\'t ASK ridiculous questions.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '6', 's_120e3960', 'Doctor Shinss is a brilliant scientist. His research actually led to the development of the Death Star\'s power cells. Not only is he in charge of the Yavin salvage operation, he is slated to begin work on a new project in the Endor system. We are going to need evidence if we will have any chance at proving his guilt.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '7', 's_12691b1c', 'I do not have time for idle chatter with any one right now. I am very busy doing the work of the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '8', 's_138af3f9', 'For now you may go on leave. I am not certain how long I shall be detained with the doctor. Some people break very easily, others require some...effort. But before you go I would again like to offer my services as a trainer to you. Is there any particular skill you would like to learn?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '9', 's_13b747b7', 'The name sounds familiar.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '10', 's_14c5b74e', 'For your sake, I hope your best is good enough. But perhaps I can help you become a little bit better. Allow me to offer you my expertise to make you a better pilot. I will train you in one of your important pilot skills. Is there any particular skill that you would like to learn?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '11', 's_14ea12c8', 'I\'m sorry?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '12', 's_14ef7b20', 'Indeed.  Perhaps you should take some time to reflect on your dedication to the Empire.  Perhaps you should do that now, before I have you executed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '13', 's_1530dc31', 'Save your excuses!  The General must never arrive!  Do you understand?  Go to the Dathomir system and destroy his ship.  NOW!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '14', 's_157ab93b', 'Are there other traitors in the Empire?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '15', 's_15ab633c', 'So we are sure that Hend and Shinss were not working alone?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '16', 's_15cfb2c9', 'Did he enjoy it too?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '17', 's_180340a', 'I will do my best, Inquisitor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '18', 's_1834b871', 'Please continue. I am anxious to find out why the Colonel\'s yacht was stolen.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '19', 's_1954fa73', 'What should I do in the meantime?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '20', 's_1aa7b517', 'Or for someone. We try not to make too many assumptions but we are very confident that the answers are out there. One must be diligent in the search for the truth. But I digress. There is an important task that I need you to do. Given your background in this matter I can think of no one better suited to assist me than you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '21', 's_1adf59ad', 'Tell me. Are you helping the traitors?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '22', 's_1ba0129b', 'I could always plant some.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '23', 's_1ba9577c', 'I will leave you alone then, Inquisitor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '24', 's_1bf6b48e', 'Earlier this morning, Colonel Hend\'s private yacht was removed from the space dock where it was stored. We believe that whoever stole the yacht is trying to cover up something that might have been hidden on that ship. Just twenty minutes ago a scanning vessel got a lock on the shuttle in the Naboo system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '25', 's_1c1bc0f8', 'An Imperial general?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '26', 's_1c8bddbb', 'What is it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '27', 's_1d1e30b6', 'So I\'m the bait.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '28', 's_1d7660ea', 'As do we all. The Emperor has a very important mission for you. Of course, you of all people are aware of Colonel Hend\'s treachery?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '29', 's_1d79fda2', 'Yes. But now you have work to do. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '30', 's_1d8714f1', 'Isn\'t the Army mad about the loss of a general?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '31', 's_1e10a6ef', 'I see. Well it would seem that General Breckon very well might be though. The orders that you recovered from the Rebel smuggler have his name all over them. It is too bad that he didn\'t cover his tracks better but I assume he didn\'t think you could win.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '32', 's_1eba352e', 'That, my friend, is up to you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '33', 's_1ee84e30', 'Would anyone ever believe him?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '34', 's_1f64a6b3', 'Sorry, I will leave right away.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '35', 's_1fe8c0f8', 'Lieutenant Colonel Barlow will not be allowed to hold his position for very long. I just fear that his health will take a turn for the worst in the near future. But for now he is the best available officer for the position.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '36', 's_2015270f', 'Very good. I have a job for you. Since you were there, you probably don\'t need me to tell you who Colonel Hend is.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '37', 's_204207', 'Yeah, I had the misfortune of dealing with him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '38', 's_212d1edc', 'That is what I am thinking. We are going to have to keep this operation quiet for the time being though. There is no need to alert anyone of our investigation of the doctor. You are going to have to travel to the Yavin system and inspect the vessel\'s logs.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '39', 's_22198261', 'A general in the Imperial Army a traitor? Think about the scandal and what a major black eye it would be for the Empire. It is simpler if he has an accident and then we sweep the whole mess under the carpet. Destroy his escort as well. No one must know how he died and since we will do the investigation we will conclude that he fell victim to a tragic accident.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '40', 's_22515365', 'Sounds like a dangerous idea.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '41', 's_231aa1cb', 'Imperial technology it is. I will instruct you. Come see me a little later and perhaps I will have some news about how my discussion with the doctor went.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '42', 's_23e0dd3', 'Maybe we will see each other again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '43', 's_246a0af2', 'For your sake, I will assume that you have NOT deserted your squadron. I suggest that you return to your commanding officer immediately.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '44', 's_24a28f9e', 'Uh...how about the weather we are having?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '45', 's_25317705', 'So this was all about politics?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '46', 's_268fe491', 'Yes, sir. Sorry, Inquisitor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '47', 's_280b5512', 'I thought we wanted to keep Shinss alive?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '48', 's_282a5395', 'I must admit I had my doubts about you but one day I am sure you will make a fine addition to the ranks of the Inquisitors. You performed admirably in a difficult situation.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '49', 's_28876e4d', 'We will leak news that the doctor has given us names of other conspirators. You will transport this list of names. One thing that I did find interesting is that he mentioned the Dathomir system in passing but seemed to realize his mistake and quickly change the subject. I believe that is the area we should move the fake list through. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '50', 's_29eb9a6b', 'What I mean, %TU, is that unless you can prove your devotion to the Emperor - improve your standing with the Empire - I will have you shot for treason.  In any case, you will no longer fly missions for the Inquisition.  Not until you prove your loyalty.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '51', 's_2b08b3c4', 'I\'m glad to serve the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '52', 's_2b4326ff', 'I\'m still searching.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '53', 's_2c8e3657', 'It\'s not true.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '54', 's_2fd0e3dd', 'The Army is happy to be rid of him without having to explain why they did not discover the traitorous activities of two high ranking officials. Of course, they know that the Inquisition let them avoid embarrassment, so in the future we will have an advantage when dealing with them. One hand washes the other.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '55', 's_2fe1cf2f', 'An unexpected answer. Perhaps you will find this posting more to your liking. Of course, you know about Colonel Hend...especially since you were the one who eliminated our problem for us.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '56', 's_30281933', 'How can anyone know everything about a man? There are secrets that we even hide from ourselves. But in this case, I care nothing about Hend except who he was getting his information from. The answer is out there, Hend wasn\'t skilled enough to hide from us and neither is his ally. You will find it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '57', 's_31d4944f', 'We will pretend that he has given us a list of names. You will transport this list. One thing that I did find interesting is that he mentioned the Dathomir system in passing but seemed to realize his mistake and quickly change the subject. I believe that is the area we should move the fake list through. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '58', 's_33c41dc', 'Why not let him come here and then charge him formally?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '59', 's_34da8f1d', 'Those orders you recovered from the Rebels might as well have been hand written by him. There is no doubt. General Breckon has betrayed his people, his soldiers, and his Emperor. There is only one punishment for that crime.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '60', 's_35462f38', 'I should hope not. I wouldn\'t want to think less of you after you were coming along so nicely. The way you eliminated General Breckon and his allies was a thing of beauty.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '61', 's_36aa6786', 'He would not tell us. But the Rebels don\'t know that. We will pretend that we have a list of conspirators.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '62', 's_370a9fe4', 'What are you waiting on? Believe me, you do not want to let this traitor escape because of procrastination. If I find out that you are not performing your duty to the utmost, you will spend the rest of your very short life in agonizing pain. Am I understood, pilot?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '63', 's_371288aa', 'If the data was classified higher than Colonel Hend\'s, the head of security on the project, clearance, what makes you think that you would have access to the information?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '64', 's_37d7964e', 'Absolutely, Inquisitor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '65', 's_383b4c1a', 'You would allow a traitor to work for the Empire again?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '66', 's_39dfc6b4', 'The doctor refused to name collaborators; but the Rebels don\'t know that. We\'re going to send you out with a false list of names. One thing that I did find interesting is that he mentioned the Dathomir system in passing but seemed to realize his mistake and quickly change the subject. I believe that is the area we should move the fake list through.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '67', 's_39fb010c', 'No Imperial officer would betray the Empire. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '68', 's_3a77410f', 'Who is Colonel Hend?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '69', 's_3b3b356f', 'Correct. I think we can find out what we are looking for by cracking the ship\'s logs. The yacht has been gone long enough for the perpetrator to hide whatever they were trying to cover up, but perhaps not long enough to also delete the ship\'s logs. Now to your ship, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '70', 's_3b7137e5', 'Um...you\'re welcome.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '71', 's_3bd0f63e', 'Well obviously he is a general in the Imperial Army. General Breckon is in charge of the army forces stationed in the Dathomir system. His contacts and rank make him a perfect candidate to pass information along to the Rebels without arousing too much suspicion.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '72', 's_3c1e05f', 'Discretion is the better part of valor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '73', 's_3c31fee3', 'So you want me to recover the yacht and bring it back to you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '74', 's_3ced8a4e', 'But I am the best.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '75', 's_3f29cff4', 'Hmmm, it would seem that either you have a very short term memory or are very good at forgetting things better left forgotten. If it is the first, you will not last for very long. If it is the latter, you might just go far.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '76', 's_40abff84', 'I am very certain that he is the traitor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '77', 's_40cda759', 'Teach me about advanced capability TIE vessels.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '78', 's_4103a0b8', 'No. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '79', 's_421e1b5d', 'Who is Lieutenant Colonel Barlow?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '80', 's_42fdfb8d', 'For now you are dismissed, I will be in need of your services again shortly though. Oh, and before you go let me teach you some more skills. You will probably have need of that training in the future. Is there anything you wish to learn?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '81', 's_46423ae4', 'After we discovered that Hend was a traitor we questioned all who were stationed under him. We could not find any wrong doing on the part of the Lieutenant Colonel and have no reason to believe that he was involved in his commander\'s treachery. Frankly, Barlow doesn\'t have the imagination to be a traitor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '82', 's_46fbca74', 'We\'re going to give it to you and send you on an interplanetary errand to the Dathomir system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '83', 's_473d09d8', 'Teach me about system balance programming.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '84', 's_47424e40', 'It is good to see that you are able to read between the lines. You are learning some of the valuable skills that make a good Inquisitor. I think that it is time to put some of your skills to good use. I want you to go to our outpost on Yavin 4 and talk to Lieutenant Colonel Barlow.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '85', 's_4a34b1cc', 'Your opinion does not matter. You are to leave immediately.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '86', 's_4a3aa62e', 'Why?!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '87', 's_4a796b5a', 'I hate the Rebellion.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '88', 's_4b5066f2', 'Well done, %TU. You have the makings of a true Inquisitor. When assigned a task you follow through with determination and focus. It is now clear to me that the late Colonel Hend was working with someone else.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '89', 's_4c42a50e', 'Interesting choice. I will teach you. Report back to me when you are prepared to undertake your next assignment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '90', 's_4c5e3fb9', 'I believe that Colonel Hend\'s accomplice was a Doctor Shinss.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '91', 's_4c695dbd', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '92', 's_4d169c0a', '[describe last mission]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '93', 's_4dbbef78', 'Why not just eliminate him?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '94', 's_50c0b15c', 'Nothing is ever certain. But I have been doing this for long enough to know to follow my instincts. Right now my instincts are telling me our target is in Dathomir. It is at least something to look into before we ruin one of the finest minds in the galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '95', 's_5188aced', 'To force the enemy to attack?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '96', 's_51edad38', 'Ah. Yes. You are eager to begin. You, of course, know of Colonel Hend.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '97', 's_531dcb5b', 'Interesting. So you think he was working with someone?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '98', 's_53d34239', 'Then you are not trying hard enough. I suggest that you get to our outpost on Yavin 4 and talk to him again. There are answers to our questions. You just need to find them. Do not come back without those answers.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '99', 's_5400c2b8', 'He may live but I would wager that he never sees his family again. What he has NOT told me is the names of his co-conspirators. But I have a plan.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '100', 's_5485ba8d', 'Do you know General Breckon?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '101', 's_54e4328d', 'I suggest that if you wish to stay that way, you leave now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '102', 's_577a942', 'Have you finished your questioning of Lieutenant Colonel Barlow about Colonel Hend?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '103', 's_57c8489e', 'What should I do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '104', 's_57d605af', 'You must speak when you are spoken to. It is only polite. Tell me, are you loyal to the Empire?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '105', 's_57d96aed', 'People don\'t ask me questions, I ask them questions! Where were you on the night of the Aqualish uprising?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '106', 's_5815dd18', 'It wasn\'t my fault');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '107', 's_590440bf', 'Imperial equipment; always useful. Let\'s begin. Check in with me after I have had a chance to look into this Dathomir lead. I might have use for a pilot at that time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '108', 's_596a67f0', 'Oh yes, very much so. The rebel plans that you returned to us reveal much. Just as we expected the rebels were tipped off about your mission and had orders to protect their remaining agent at all costs.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '109', 's_5a27cd7a', 'Very well. I will teach you about Imperial technology. Now you have your mission. Go question Lieutenant Colonel Barlow at our outpost on Yavin 4 about the traitor Hend. Find us a lead on who Hend was working with. You may leave me now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '110', 's_5a9c71e2', 'Actions speak louder than words. Complete your mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '111', 's_5b3ded86', 'I don\'t know. That is why I was asking you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '112', 's_5d47c3ad', 'I understand you served under Inquisitor Fa\'Zoll.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '113', 's_5df75ba2', 'Again you have surprised me. I am very impressed with the way you handled yourself in a most difficult situation. General Breckon has been eliminated and the Rebels have been shown the mistake of trying to cross the Imperial Inquisition.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '114', 's_5ff8baab', 'I was wondering if you could answer some questions?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '115', 's_60495432', 'Umm...I think I will be going now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '116', 's_60cd6629', 'They shouldn\'t be that hard to recover.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '117', 's_60e5259e', 'I completely understand.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '118', 's_61fa7c14', 'Yes, quite. Most interesting process really. We start with a slight insertion into the frontal lobe. Followed by a...the process doesn\'t matter. Let\'s just say that it is rather intense. But I would prefer not to let things come to that. I am sure that there is something I am overlooking.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '119', 's_64e8db24', 'Ok, can you tell me a bit about Doctor Shinss?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '120', 's_674c302', 'Are you done?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '121', 's_6750e334', 'I see. Barlow might be aware of the other traitor and not know it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '122', 's_679b150d', 'We do our jobs. And now you must do yours. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '123', 's_68aa150c', 'Dangerous - and effective. The Rebels will have to try to get that list. His slip up of mentioning Dathomir might have been nothing but I believe it to be a mistake on his part. That is where you will focus your energies.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '124', 's_68bcbb36', 'What is Shinss doing in Endor?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '125', 's_6905c6b2', 'Good. General Breckon is actually on his way to Naboo in an attempt to protest his innocence. He must never be allowed to even reach the system. Tragedy must befall the general while he is still in Dathomir on his way here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '126', 's_697ba4d3', 'And then you will carry this list. His slip up of mentioning Dathomir might have been nothing but I believe it to be a mistake on his part. That is where you will focus your energies.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '127', 's_69d78804', 'Not yet. I will get to it soon though.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '128', 's_6c186cde', 'What? Why?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '129', 's_6d43b1bf', 'Actually, we did. He truly is a brilliant man. I have enjoyed our conversations.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '130', 's_6db39b2b', 'We would only use it on Shinss as an absolute last resort. But unless we can figure out who the third traitor is, I fear that we will have no other choice. Do you have any suggestions?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '131', 's_6dec7910', 'Perhaps you can tell me something about Doctor Shinss.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '132', 's_6ffd0979', 'Good. Now get out of my sight, get to our outpost on Yavin 4, and question Barlow about Colonel Hend.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '133', 's_714d54de', 'He is no longer in any condition to answer you. But he has been most informative.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '134', 's_726886dd', 'Being scary and intimidating is harder than it looks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '135', 's_727d7649', 'What has he told you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '136', 's_73ffc0a4', 'There will not be any need for that, Inquisitor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '137', 's_741df7ed', 'Where?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '138', 's_7426e000', 'No!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '139', 's_7579d1ec', 'Of course we do. But generally those people do not have any use to the Empire, so no one really cares all that much. When it comes to someone with some power, we need proof of their illegal activities.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '140', 's_75c4b8b4', 'And then the enemy will attack?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '141', 's_765d3767', 'I\'m loyal to the Empire!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '142', 's_7673fc64', 'I bet you didn\'t discuss science.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '143', 's_76cdb911', 'Doctor Shinss? The same Doctor Shinss that is currently in charge of the Yavin 4 salvage operation?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '144', 's_77e48d5b', 'What do you mean?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '145', 's_7859ec', 'He would certainly have the knowledge and the opportunity to leak the stolen information to Colonel Hend. This is would be most unfortunate for the Empire if it turns out to be true. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '146', 's_788cbcfb', 'Don\'t stand there babbling like a fool. Just leave.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '147', 's_7904d29b', 'Won\'t Shinss notice if I am inspecting his vessel?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '148', 's_7a8608b9', 'I serve the Emperor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '149', 's_7b9c0b3e', 'Maybe I was mistaken. I tell you that I do not think Colonel Hend was working alone and all you notice is that I complemented you? Vanity has no place in the Inquisition! A good Inquisitor is nothing more than a tool for the Emperor, and tools have no ego. Never make the mistake of forgetting that, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '150', 's_7df37f4b', 'I don\'t know. ARE you a traitor?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '151', 's_7e0ef42a', 'You understand that the Inquisition can tolerate not even the slightest hint of treason?  You have a guilty look about you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '152', 's_7ef46a67', 'Shinss was running to Dathomir. Maybe his ally is there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '153', 's_7f3265a7', 'No. He\'s answering to you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '154', 's_7f9d08e9', 'Why would it be unfortunate?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '155', 's_81cf364c', 'That does make sense.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '156', 's_82abf7e1', 'Extreme measures?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '157', 's_82c168be', 'Then we must find the proof. We would have a hard time explaining ourselves if we arrest such an important man on conjecture. You will have to find more evidence to his guilt.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '158', 's_8367fc83', 'I am here to report for duty.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '159', 's_8403cf96', 'That remains to be determined. I have not yet had a chance to chat with him. His guilt is not in question but it is important for us to make sure that there is no one else involved. There is a slight chance that he will simply be terminated but it would be a shame to execute such a brilliant and useful man.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '160', 's_841d27db', 'Why?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '161', 's_85db59ee', 'No. But the Rebels don\'t know that. We\'ll leak word that we have information. One thing that I did find interesting is that he mentioned the Dathomir system in passing, but seemed to realize his mistake and quickly change the subject. I believe that is the area we should move the fake list through.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '162', 's_85eab9a', 'Bah! I am done with you. I can no longer use someone like you. I have one last thing to teach you and, believe me, if I wasn\'t under orders to make you the best pilot I could I certainly wouldn\'t teach it to you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '163', 's_876396db', 'What was in the data?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '164', 's_89772a9c', 'You have performed better than my expectations. The doctor is safely in our custody and we have plenty of evidence to assist us in questioning him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '165', 's_8a631324', 'Yes, Inquisitor. I will try. About Doctor Shinss?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '166', 's_8b2f0509', 'Did he tell you more about the conspiracy?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '167', 's_8d10c144', '[no response]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '168', 's_8f1228f6', 'You sound rather guilty about something. Maybe you would like to answer a few of my questions?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '169', 's_8fbd0301', 'Interesting choice. I will teach you. Check in with me after I have had a chance to look into this Dathomir lead. I might have use for a pilot at that time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '170', 's_8fdf2b5d', 'Fortune is currently on our side. Although Shinss is in charge of the Yavin salvage operation, he is currently in the Endor system beginning work on his next project there. He was not allowed to take his personal craft on this trip so it is still out in the Yavin system. If he is involved with the traitors and was using this vessel as a meeting point, you can bet it is being watched. So we have to move quickly before we tip our hand.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '171', 's_9016869', 'I, too, enjoy astromech management. Report back to me when you are prepared to undertake your next assignment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '172', 's_91dcaa8e', 'Of course it is. If the doctor had other friends in the Empire I will find out who they are. After that, I will determine the fate of Doctor Shinns.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '173', 's_92089a98', 'That is sound thinking.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '174', 's_927126c5', 'I hardly need approval from the likes of you for my life\'s philosophies. You forget that I have years of experience and knowledge that you will probably never possess. Just because I have bestowed some measure of favor on you does not make us friends.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '175', 's_92a79510', 'So what should I do now?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '176', 's_92c37f5d', 'Are you daft? Wasn\'t it you who helped bring down Colonel Hend? If you think that a uniform makes you immune to greed or moral indecision or whatever causes people to betray their own, then you are sadly mistaken. If that were the case there would be no need for us.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '177', 's_96871003', 'Very well. I will teach you about Imperial training. Now you have your mission. Go question Lieutenant Colonel Barlow at our outpost on Yavin 4 about the traitor Hend. Find us a lead on who Hend was working with. You may leave me now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '178', 's_96d7ed6a', 'What a ridiculous question!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '179', 's_98ee25e0', 'General Breckon is in charge of the army forces stationed in the Dathomir system. His contacts and rank make him a perfect candidate to be able to pass information along to the Rebels without arousing too much suspicion.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '180', 's_9b43a7ee', 'Yes sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '181', 's_9d83e334', 'As long as the Inquisition has the favor of the Emperor we are above politics. But the Emperor, in all his wisdom, has been known to abruptly change his mind. It is just smart to make sure we are prepared should that ever happen. But to answer your question...no. Our primary mission is to root out traitors inside of the Empire and that is what we have done. If we can turn that into our advantage then even better.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '182', 's_9df61e25', 'That is what we believe. But who are we looking for? I think the answer to that question is on Yavin 4. I want you to go to the Imperial post on Yavin 4 and speak with Lieutenant Colonel Barlow.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '183', 's_a0c5cad7', 'The Empire has granted Shinss a private vessel for use in his work. From what I understand Shinss considers the vessel a refuge of sorts. If there is anything to be found it will probably be in Shinss private logs on board.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '184', 's_a112be1b', 'Imperial technology it is. I will instruct you. Check in with me after I have had a chance to look into this Dathomir lead. I might have use for a pilot at that time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '185', 's_a16f3f3d', 'You will get your chance. Of course, you have heard of Colonel Hend, how he had betrayed the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '186', 's_a2078b19', 'Having an advantage over the other branches could be useful.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '187', 's_a365e485', 'I\'m glad I\'m not the Doctor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '188', 's_a3921d3c', 'You seemed to have made a joke. Most amusing. Perhaps I will not have your transferred to investigating the wonders of Dathomir prison after all. Since I am in such a forgiving mood, I think now would be a good time to get back to matters at hand.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '189', 's_a3ae4cb', 'What are you going to do with that list?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '190', 's_a3dbeea3', 'Very well. I will teach you about Imperial equipment. Now you have your mission. Go question Lieutenant Colonel Barlow at our outpost on Yavin 4 about the traitor Hend. Find us a lead on who Hend was working with. You may leave me now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '191', 's_a425b892', 'They used to say they were loyal, too.  I would like you to finish your job.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '192', 's_a42ffb97', 'Were you going to tell me about a traitor?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '193', 's_a5beec1f', 'Don\'t you know everything about Hend already?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '194', 's_a729151d', 'If I knew what was in the data, it would help with the investigation.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '195', 's_a7addb41', 'Just as I expected. The guilty parties come crawling out of the gutters to try to hide their names from us. It is always amusing to me to watch them start to panic when we begin to move in. You can almost smell the desperation.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '196', 's_a86d23d', 'Yes, Inquisitor. He is the only one who makes sense.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '197', 's_a8d5c2b9', 'But what if he\'s innocent?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '198', 's_a96d5aee', 'Very well. Where should I start looking?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '199', 's_a9aeb386', 'Teach me about advanced starship component use.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '200', 's_ab7d0c2d', 'Indeed it is. It allows us far more room to operate and perform our primary function, finding and eliminating traitors from within. And we make the most of any advantage that we have. The Army will regret this whole incident for years to come, I can assure you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '201', 's_ac0524e5', 'Someone else is involved?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '202', 's_adf8c646', 'Imperial equipment; always useful. Let\'s begin. Come see me a little later and perhaps I will have some news about how my discussion with the doctor went.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '203', 's_af70dc3', 'Why do you think someone was helping Colonel Hend?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '204', 's_b02effe8', 'Sorry, Inquisitor. I wasn\'t thinking clearly.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '205', 's_b1d44e0a', 'So what did you learn from Barlow? Well, spit it out. I have been waiting for this information for too long already.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '206', 's_b266743b', 'I appreciate the vote of confidence. What is it I can do for you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '207', 's_b333ecf9', 'That\'s what he says. He\'s traveling to Naboo now, to protest his innocence. It is my understanding that he is traveling through the Dathomir system on his way here even as we speak.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '208', 's_b374861b', 'That is irrelevant. You will kill him before he reaches Naboo.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '209', 's_b3b2214d', 'Why do I need to speak with him?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '210', 's_b41ba13c', 'And so, our time together is done.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '211', 's_b45b7c66', 'Yes, I\'ll try again');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '212', 's_b48bd0a4', 'I would never desert!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '213', 's_b49d8273', 'We are fairly certain that the Lieutenant Colonel is free from guilt in the matter of Hend\'s treachery but that doesn\'t mean he is not aware of details that could help our investigation. I want you to question Barlow about Colonel Hend\'s activities. Who did he deal with in the Engineering corps? Did he have any private meetings with any of them? What did Hend do in his spare time? Basically, I want you to find out everything you can about Hend.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '214', 's_b4ee5a51', 'Perhaps. Shinss certainly had access to the information that Colonel Hend was passing to the Rebellion. On the surface everything would appear to have been wrapped up in a tight little package. But I learned long ago to never believe anything that I hear and only believe half of what I see. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '215', 's_b5f15b19', 'Not yet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '216', 's_b61f3237', 'So you decided to change the subject. You do have some measure of wisdom. Very well. Doctor Shinss has one of the finest technical minds in all of the Empire. It was his work that led to the creation of the power cells used in the Death Star\'s primary weapon. You never know when a man of such intelligence can be of use again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '217', 's_b6c9b83b', 'How did you get in here? The guards will certainly hear about their failure to keep the likes of you out. Begone before I decide to put you under the question.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '218', 's_b6e7132e', 'I was only doing my duty.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '219', 's_b72f1079', 'It sounds very interesting.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '220', 's_b73943f', 'What! Are you saying that I am not good enough to be your friend? Am I just a pawn that you are planning to use in order to gain power within the ranks? Well? Speak up!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '221', 's_b8302127', 'It is your duty. Do it well.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '222', 's_b95f9ff4', 'A general in the Imperial Army a traitor? Think about the scandal and what a major black eye it would be for the Empire. It is simpler if he has an accident and then we sweep the whole mess under the carpet. Destroy his escort as well. No one must know how he died. Because we will do the investigation, we will conclude that he fell victim to a tragic accident.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '223', 's_b981d334', 'Are we certain it was him?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '224', 's_b987ef3b', 'Will he?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '225', 's_b9b27823', 'Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '226', 's_b9c39774', 'Where should I start looking?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '227', 's_b9fc0fde', 'Well? Why are you still here?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '228', 's_baab1c4d', 'I didn\'t mean I was more important then the Inquisition.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '229', 's_bb4a477f', 'It seems that we have managed to undercover the traitor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '230', 's_bb627418', 'Do you honestly think that the enemy is so stupid that they would fall for that again? They only fell for the ploy the first time because we moved quickly and kept them panicked. No, there is something else that I am missing. Dathomir...Dathomir...he wasn\'t going to Dathomir to meet up with the Rebellion, he was going to meet up with his ally!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '231', 's_bc30dc8c', 'Then he is a casualty of war. We cannot take the risk that an Imperial general has been trading secrets to the Rebellion. Can you imagine the scandal that would ensue? It is far better if the general and his escorts simply have an accident in the Dathomir system. Since we will perform the investigation into his death, it will be simple to sweep under the rug.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '232', 's_bca78274', 'Yes, quite clearly, Inquisitor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '233', 's_bd61dda4', 'What did you learn from the data I recovered?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '234', 's_bf06e3a1', 'Yes, it takes years of practice to perfect the technique that we are renowned throughout the galaxy for. But I take it you managed to get a lead even though the interview didn\'t go quite as smoothly as you thought it would?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '235', 's_bfcce26a', 'Imperial equipment; always useful. Let\'s begin. Report back to me when you are prepared to undertake your next assignment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '236', 's_bff840a0', 'No. Even the Rebels wouldn\'t be foolish enough to name their agent in an order. But it does confirm our suspicion that Hend and Shinss were not working alone. We might have to use extreme measures to get Shinss to tell us who the third traitor is.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '237', 's_c0069753', 'Do you think he is innocent?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '238', 's_c0f4399a', 'Doesn\'t he realize he\'ll have to answer to you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '239', 's_c102f303', 'Doctor Shinss has one of the finest technical minds in all of the Empire. It was his work that led to the creation of the power cells used in the Death Star\'s primary weapon. You never know when a man of such intelligence can be of use again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '240', 's_c142d50f', 'Who is General Breckon?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '241', 's_c32eabc5', 'Perhaps. His slip up of mentioning Dathomir might have been nothing but I believe it to be a mistake on his part. That is where you will focus your energies.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '242', 's_c39bdaeb', 'Then say what you mean! You will find we will get along much better if you pay attention and present useful ideas to me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '243', 's_c4f95dc7', 'I didn\'t mean it that way.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '244', 's_c5903cb3', 'Is it done?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '245', 's_c66cd0c9', 'The data you recovered is highly classified. Well above Colonel Hend\'s security clearance. The data was also put together rather roughly, almost like it was coming from someone\'s memory rather than official documentation.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '246', 's_c682a578', 'Must I lead you around by the nose in order for you to read between the lines? If you cannot figure things out for yourself then I cannot use you. I would advise that you get your act together or I will have to open up an investigation about a missing pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '247', 's_c73e6431', 'Are you sure he\'s guilty?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '248', 's_c9911c0f', 'A member of the Inquisition must show patience in all things. You must also learn to focus on your tasks. Do not return to me until you have completed the task that I have assigned to you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '249', 's_c9d5576a', 'Not really. What is exactly I need to do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '250', 's_ca264df9', 'Interesting. I figured he was meeting up with the Rebellion but what if he was actually trying to meet with his fellow conspirator? We only keep a small security force in the region in order to patrol the outskirts of the system. It would have to be a person of authority. I think that your idea is at least worth investigating.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '251', 's_cb22323f', 'I hope there isn\'t. You have talent and I would hate to see it go to waste. Like I was saying, we believe that Colonel Hend had a cohort and we suspect that this cohort worked in the Engineering corps. You need to go to our outpost on Yavin 4 and talk to Lieutenant Colonel Barlow about this matter.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '252', 's_cb94834e', 'I, too, enjoy astromech management. Check in with me after I have had a chance to look into this Dathomir lead. I might have use for a pilot at that time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '253', 's_ce4c8e17', 'And then?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '254', 's_cf7b4157', 'You arrogant whelp. You are nothing without the might and power of the Inquisition backing you. Do you think that you would have had any chance of success without the training that I so graciously offered to you? Just being able to say that you work for the Imperial Inquisition alone probably won you half your battles.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '255', 's_d05c3a79', 'Imperial technology it is. I will instruct you. Report back to me when you are prepared to undertake your next assignment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '256', 's_d1f39329', 'Yes. I\'ve heard of you. Tell me, did you enjoy it? ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '257', 's_d1fa7f48', 'You certainly will.  Again and again and again if necessary.  The General must never arrive.  So go to the Dathomir system and destroy his ship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '258', 's_d24850e1', 'It\'s not?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '259', 's_d2a2c5a9', 'As I am sure you know, he has been eliminated for his traitorous activities. Unfortunately, for the Empire, we do not believe that he worked alone. The simple fact of the matter is that while he was in charge of security on our new special project, there was information leaked that even he did not have access to.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '260', 's_d3144c5a', 'Even Imperial generals can be foolish men. He believed our story about  the names. Those orders you recovered from the Rebels might as well have been written in his own hand. There is no doubt.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '261', 's_d3942818', 'Thank you for that promise.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '262', 's_d3f5b32c', 'That is none of your concern. Right now all you should be concerned with is recovering those logs from Shinss\' Yacht. Is that understood, %NU?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '263', 's_d5f6b830', 'I thought we arrested people for no reason all the time?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '264', 's_d61b10cc', 'I, too, enjoy astromech management. I\'ll teach you what I know. Come see me a little later and perhaps I will have some news about how my discussion with the doctor went.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '265', 's_d70dba34', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '266', 's_d73be201', 'Something that we use only as a last resort. It tends to have adverse effects on the neural paths in the brain. Most subjects survive the process but in an extreme vegetated state but it never fails to expose all of their secrets. It is actually quite fascinating.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '267', 's_d8181837', 'Then returning was a mistake. Do not make me angry.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '268', 's_d8d73e21', 'There would be if anyone had evidence of what really happened. But everyone is simply willing to accept that General Breckon had a tragic accident on his way to Naboo. Of course, we are still working on the official report but no one is going to demand explanations on this one.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '269', 's_d8f69fec', 'I understand, Inquisitor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '270', 's_d9c145dd', 'The sooner the better.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '271', 's_da4bf33c', 'That is because I am the best.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '272', 's_dbd88d67', 'Who, me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '273', 's_dbde1ca8', 'I don\'t like this idea.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '274', 's_dc30826', 'I sometimes wonder if you ever think at all.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '275', 's_dfb757ef', 'Why keep him alive?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '276', 's_e1a23a44', 'He\'s en route to Naboo with an escort - to protest his innocence. Destroy him. It is my understanding that he is traveling through the Dathomir system on his way here even as we speak.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '277', 's_e1b0c231', 'I have more important things to do right now than to speak with you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '278', 's_e2f46aa7', 'What is going to happen to Shinss?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '279', 's_e331634e', 'Yes it does. You have learned much from me but I think there is still something else that I have to teach you. What would you like to learn?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '280', 's_e35bf94e', 'I couldn\'t get anything out of him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '281', 's_e3e0a092', 'That is not quite the same as loyalty. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '282', 's_e440e620', 'One thing that I did find interesting is that he mentioned the Dathomir system in passing but seemed to realize his mistake and quickly change the subject. I believe that is the area we should move the fake list through.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '283', 's_e5235eff', 'Do you have a mission for me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '284', 's_e56fb28', 'Yes. Now you are catching on. Before you go, you will need to learn a new skill that might assist you in your investigation. I will offer you my expertise in helping you become a better pilot. Do you have any particular skill in mind?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '285', 's_e64051dc', 'He has told me much about the Death Star. He also has told me that he hopes to live to see his family again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '286', 's_e65df49', 'I wish I could have killed more Rebels.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '287', 's_e70ed5c9', 'How about another fake list of names?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '288', 's_e73bd99d', 'Interesting choice. I will teach you. Come see me a little later and perhaps I will have some news about how my discussion with the doctor went.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '289', 's_e7435914', 'No, I am fine. We are all fine here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '290', 's_e8f655d8', 'He was Colonel Hend\'s second in command, and now that Hend is no longer with us, he has been promoted to his superior\'s old position.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '291', 's_e90f4f67', 'The Empire owes you a small debt for eliminating that most embarrassing colonel. Unfortunately for the Empire, we do not believe that he worked alone. The simple fact of the matter is that while he was in charge of security on our new special project, there was information leaked that even he did not have access to.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '292', 's_e9e86c08', 'Sounds like a pretty skeptical way to go through life.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '293', 's_eb077a31', 'Very well. I will teach you droid management. Now you have your mission. Go question Lieutenant Colonel Barlow at our outpost on Yavin 4 about the traitor Hend. Find us a lead on who Hend was working with. You may leave me now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '294', 's_ed0f2b93', 'So we know who the remaining agent is?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '295', 's_ed26944d', 'I honestly never expected you to have a good idea. It is refreshing to see that I was wrong.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '296', 's_ee0c7787', 'I have enjoyed my time with the Doctor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '297', 's_ee54dcb9', 'Do you think he was involved?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '298', 's_ee64b80a', 'This time, it is a soldier high in Imperial command. A General Breckon. If you are unfamiliar with the name all you need to know is that he is in charge of the Imperial Army stationed in the Dathomir system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '299', 's_eec10bf5', 'Is there any backlash about General Breckon?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '300', 's_ef7a2df5', 'Teach me about special forces training.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '301', 's_ef85b67c', 'That makes sense.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '302', 's_f16b1b64', 'I appreciate your zeal. And it certainly wouldn\'t be the first time that we decided to take matters into our own hands. But in this case I think it would be best if we actually see what there is to find.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '303', 's_f24b6a1a', 'I could die.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '304', 's_f3a00a53', 'If I wanted the help of children, I would ask for it! You are not ready to face the challenges that our profession presents. Return to your commander, listen, watch, and learn. When the time is right perhaps I will send for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '305', 's_f3d48e75', 'If you are here, then you must have completed your mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '306', 's_f4cbd517', 'He swears his innocence. He\'s coming here now to clear his name. He is wise to do so. It is my understanding that he is traveling through the Dathomir system on his way here even as we speak.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '307', 's_f5039ccf', 'I hope not, because it would be under unfortunate circumstances. You are to report to Grand Inquisitor Ja\'ce Yiaso. You can find him just outside of Lord Vader\'s office. Do not disappoint him or you will find yourself under the question very quickly. Goodbye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '308', 's_f50e2248', 'Ah, so you have learned to respect your elders. That is a good thing. You are to report to Grand Inquisitor Ja\'ce Yiaso. You can find him just outside of Lord Vader\'s office. Do not disappoint him or you will find yourself under the question very quickly. Farewell, %NU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '309', 's_f5cc022d', 'Very true, but rules are rules, even for Inquisitors. Allow me to put it this way. Colonel Hend was in charge of security for the Death Star salvage operation. Many of the engineers who worked on the Death Star project are involved in the salvage operation. What do you think these people know that the Rebels would be so interested in getting their hands on?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '310', 's_f64e0998', 'Good. Now move quickly, get to the Yavin system, and inspect Shinss\' personal logs. You have your mission, now go!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '311', 's_f6f34e7b', 'Someone in the engineering corps, perhaps?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '312', 's_f7b0b9b0', 'How can you be certain?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '313', 's_f8076c38', 'I would like to make a promise as well. I promise to do my work. It will be with the people who stole Colonel Hend\'s yacht, or it will be with you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '314', 's_f8176023', 'You were doing so well up until this point. It is so simple that I am sure even you cannot mess this up. You are what\'s called a pilot. Your job is to fly your ship where I tell you to. You are to fly your ship to the Yavin system. That is in space. Then you are to find Doctor Shinss\' Yacht. A Yacht is a type of ship... in space. When you find his ship, inspect Doctor Shinss\' personal logs. Now get out of here before I get angry.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '315', 's_f8a8c2d0', 'Can you be sure? Isn\'t it dangerous to have him head of security for that operation?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '316', 's_f8e71988', 'I\'m ready for my mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '317', 's_fc6aad81', 'Didn\'t I tell you?  We cannot take the risk that an Imperial general has been trading secrets to the Rebellion.  Isn\'t that what I said to you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '318', 's_fcdfe482', 'What do Inquisitors do to people?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '319', 's_fd0ebe0b', 'I\'m going back out there immediately.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '320', 's_fd9fd112', 'Loyalty is very important. Colonel Hend betrayed  the Empire. And as you surely know, he paid the price for that treachery.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '321', 's_fda4456d', 'We will leak news that he has given us a list of names. You will transport this list. One thing that I did find interesting is that he mentioned the Dathomir system in passing but seemed to realize his mistake and quickly change the subject. I believe that is the area we should move the fake list through.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '322', 's_fdfe8d73', 'I am afraid so. It was not pretty. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '323', 's_ff715762', 'I\'ll find that ship. I promise.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3.stf', '324', 's_fffa7b3b', 'Of course not, Inquisitor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '1', 'do_not_edit', 'The English version of this file (naboo_imperial_tier3_barlow.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '3', 's_107a83ec', 'Did the two of them ever spend any time alone together?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '4', 's_110ac144', 'Thank you for your time, Colonel. There will be no need for us to speak again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '5', 's_12173b9e', 'Of course I don\'t know what is going on around here. My security clearance is the same as Colonel Hend\'s was. So how could I know?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '6', 's_127f71ad', 'This is a restricted area. I suggest that you move along before I am forced to charge you under violation of Imperial directive T43-X9A.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '7', 's_129cd101', 'You do have my full attention, Inquisitor. What can I help you with?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '8', 's_14c38c33', 'What sort of man is Doctor Shinss?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '9', 's_1506d494', 'What! What does that mean? I don\'t understand what you are talking about.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '10', 's_15fccf52', 'Who did Colonel Hend spend most of his time with?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '11', 's_18782a4b', 'Of these engineers who had the most contact with Hend?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '12', 's_1a949924', 'Yes, I was promoted after Colonel Hend\'s death.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '13', 's_1ae1c792', 'Hmmm...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '14', 's_1b131a47', 'I am sure that he doesn\'t worry about you. I must be going.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '15', 's_1dfabdd9', 'No one. Well, actually he would travel around with Doctor Shinss inspecting the debris fields, but that was official business and not Leave.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '16', 's_1fa017ef', 'I said silence! What did Colonel Hend do in his spare time?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '17', 's_2002f393', 'If the other Inquisitors already asked those why do you want to answer them again?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '18', 's_20ff0a31', 'You know. Things like where were you on date so and so. Did you ever see Colonel Hend do this. Are you loyal to the Empire. Things like that!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '19', 's_2188ff96', 'First I would have arrested him and then made my report according to Imperial directive J323-9V. I wish I had known, so I could have put an end to it. It makes me sick to know that I served under a traitor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '20', 's_22cf270c', 'I am not hiding anything. You told me to be silent so I was silent. I may have to follow your orders and answer you questions but I will not tolerate any accusations against my loyalty. To answer your question, Colonel Hend was my superior officer for the past three months. I did not know him very well on a personal level, since I disapprove of officers becoming too friendly with each other.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '21', 's_24614dc6', 'A member of the Inquisition is never foolish! You will pay for that statement!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '22', 's_2723a841', 'On to what? You accused me of being a traitor, then you accuse me of murdering someone half-way across the galaxy! I try to tell you what I know and you accuse me of having an inappropriate fascination with Colonel Hend! I have no idea what this line of questioning is all about. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '23', 's_283dca97', 'I believe you colonel. Now about Colonel Hend\'s friends?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '24', 's_28a49383', 'And now you are going to talk with me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '25', 's_2a60fbf6', 'Not that I ever saw. But Doctor Shinss was project lead. It was necessary for him to deal with Colonel Hend in order to organize security.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '26', 's_2b0fcb12', 'Yes, I know that. I was just testing to see if you were paying attention.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '27', 's_2b71207d', 'Uh...whatever you wish, Inquisitor. I hope that you have gotten the answers you were looking for, although I don\'t see how. Good day.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '28', 's_2e851dd5', 'Silence fool! I am tired of listening to you. Good day.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '29', 's_30a96327', 'Really? How many times have you had private meetings with Doctor Shinss?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '30', 's_3181543b', 'He spent most of his off hours with a few of the junior officers. Occasionally the group of them would take leave together and fly off in Hend\'s yacht. Nothing really out of the ordinary, although I must say I don\'t approve of officers mixing in social circumstances.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '31', 's_35f73adf', 'Did Colonel Hend spend any time with any of them?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '32', 's_3668d398', 'I am sorry that they left you out of their fun. That must be very painful for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '33', 's_3700f6', 'Silence! I will ask you questions and you will answer them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '34', 's_379b50a7', 'No! As I said before, I don\'t think that officers should get too friendly with each other. Also since I was second in command I had to stay here when Colonel Hend went on leave. It might have been nice to receive an invitation but I completely understand.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '35', 's_38ae0970', 'You were going to ask me about Colonel Hend.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '36', 's_394ac527', 'Doctor Shinss is head of the salvage operation. He and his team of engineers are locating and extracting the most important pieces from the debris in order to be reused in other projects. He worked closely with Colonel Hend to ensure the safety of all involved.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '37', 's_39774984', 'Of course not. If I had I would have arrested him and made my report according to Imperial directive J323-9V. I wish I had known, so I could have put an end to it. It makes me sick to know that I served under a traitor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '38', 's_3b0eba1c', 'I would at least appreciate a little respect. You may work for the Inquisition which means that I have to obey you while you are on assignment but you are making an enemy here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '39', 's_3be36a24', 'What do you mean I don\'t have a clue? You were the one asking all of those crazy questions. Bah, fine! I have work to do anyway.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '40', 's_3c673988', 'Uh...yes of course. Who did you think I meant?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '41', 's_3c8f00ed', 'How often would Hend and Shinss meet?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '42', 's_3cdbed0b', 'This is getting nowhere. I am going to have to end this interview right now unless you get to the point. Inquisition or no, I am very busy man and do not have time to waste answering fool questions.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '43', 's_3d1204e0', 'Of course I will cooperate. It is every Imperial officer\'s duty to cooperate in the fullest with any Inquisition investigation. All you had to do was ask. You didn\'t have to threaten me like that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '44', 's_40f102e4', 'My name is not important. I am here on behalf of Inquisitor Vrke.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '45', 's_4355764f', 'I do not recall requesting your presence? If you have no business here I highly suggest that you get back to your unit or where ever you came from.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '46', 's_45363db1', 'There was the group of junior officers, mostly members of the security force, although there were some Naval men in that group as well. Of course, he had dealing with the engineers handling the salvage operation. I never saw him with any of the enlisted men or civilians. In fact I don\'t think I ever even heard of him talking to any of them. When he had to deal with any of the men, he would always delegate that to another officer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '47', 's_45d046d5', 'Very well. But I will have you know that I will be in contact with Inquisitor Vrke as soon as this interview is done and discuss your behavior towards a superior officer. You might be a member of the Inquisition, but I am a Lieutenant Colonel in the Imperial Army and your respect is still expected.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '48', 's_45ebf891', 'So you were there while they had their discussions?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '49', 's_46897102', 'Really? Who would you have reported him to?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '50', 's_47e55614', 'So which is it? \'No one\' or \'Doctor Shinss\'?.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '51', 's_4bbd7016', 'What? I didn\'t say that. I said that I didn\'t think that officers should become friends. It ruins the objectiveness of command. I was less than pleased by Colonel Hend\'s relationship with some of the other officers on the project.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '52', 's_4c694267', 'There is something seriously wrong with you. Why would I be jealous of Colonel Hend\'s relationship with other officers? I just disapproved, that is all. I mean I never really wanted to have anything to do with him...other than being under his command.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '53', 's_4c90f2a4', 'Is that a threat? I suggest you just answer my questions.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '54', 's_4ccd5b75', 'I certainly hope not. I will still be required to speak with Inquisitor Vrke about your behavior. It was completely unacceptable.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '55', 's_51df4407', 'Classic sign of betrayal. Those most hurt by his treason would be the men in the trenches.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '56', 's_540a88a5', 'As a matter of fact. Yes! What engineers?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '57', 's_55a16d2b', 'Did you ever see Colonel Hend steal secrets and give them to the Rebellion?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '58', 's_57cfb6a7', 'You said your last statement like you don\'t know what is going on.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '59', 's_58079535', 'Maybe you would be more comfortable if you pour us both a drink.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '60', 's_59904aa4', 'My mission is a mystery that will reveal itself in time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '61', 's_5b81ae31', 'I would imagine so. But I was unable to determine what those signs were. As far as I knew, Colonel Hend was absolutely loyal to the Empire. If I would have had any inkling otherwise, I would have reported him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '62', 's_5bc4c2f1', 'Of course you don\'t. That is why I am here and you are there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '63', 's_5c896992', 'That is because you are not paying attention.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '64', 's_5ffde8db', 'So Colonel Hend spent time alone with the other engineers?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '65', 's_61286e9e', 'Uh? Am I in some sort of trouble? You are not going to do anything to me are you? Because I will have you know that torture of an officer is forbidden under Imperial directive Y70-32C subsection 14.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '66', 's_61c6827c', 'Wouldn\'t arresting a superior officer violate Imperial directive T44A-0-niner?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '67', 's_62784e3f', 'He was head of security on an operation that was being run by the engineers. He dealt with them everyday but I wouldn\'t say that he ever did anything with any of them. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '68', 's_62adf222', 'Let me get this straight, you never meet with Doctor Shinss?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '69', 's_64113df0', 'I recommend that you try saying those things out loud in private before you actually say them to someone else. That way you won\'t come off like some sort of crazed fool.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '70', 's_65ec117a', 'Good! Now I can get back to work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '71', 's_6773e97b', 'That would definitely be Doctor Shinss. He is head of the project so naturally spent the most time with Colonel Hend.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '72', 's_6a726863', 'Of course they would know. Many of them helped build the station. That is another reason why security is so tight on this operation. We cannot allow any of these scientists to fall into enemy hands. The knowledge they possess is of great importance to the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '73', 's_6ac3f291', 'Not really. He dealt with Doctor Shinss mostly but that was all official work. Doctor Shinss is the head of the salvage operation and it was important for the head of security to work closely with him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '74', 's_6bd0e9b', 'I am not hiding anything. You told me to be silent so I was silent. I may have to follow your orders and answer you questions but I will not tolerate any accusations against my loyalty. To answer your question, I really don\'t know what Colonel Hend did in his spare time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '75', 's_6c17ce1b', 'I thought we had already determined that I had nothing to do with Colonel Hend being a traitor. I know that has to look bad for a second not to be aware of his commanders activities but that is the truth. I have nothing to hide from the Inquisition.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '76', 's_6f94037e', 'Who here had higher security clearance than Colonel Hend?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '77', 's_7061349d', 'Of course they did. They were in quite a few private meetings together, almost daily. They would take shuttles out to inspect the debris field together quite often. Nothing out of the ordinary.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '78', 's_72ceec2c', 'Do not question my methods! Tell me about Colonel Hends friends.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '79', 's_7324835', 'That is most interesting. And by enemy you mean the Rebellion?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '80', 's_749aece', 'So I take it you are working closely with Doctor Shinss now as well.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '81', 's_760db2a', 'While they were on duty it was constant. Shinss was always in Colonel Hend\'s office complaining about the way he was running things. Several times they had to take shuttles out to view the debris fields. I think Shinss wanted to actually show Colonel Hend what he needed. That sort of thing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '82', 's_797cf757', 'Don\'t you deal with the Doctor now?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '83', 's_7b1ee2bd', 'It\'s okay. Just let it out.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '84', 's_7e952afa', 'Of course. It is the duty of every Imperial officer to assist any Inquisition agent on assignment. I will be very glad to answer any questions that you might have.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '85', 's_7ebbd888', 'Not in the least. I tell you that I am a fine officer and you can quote me on that if you wish. I hope that I have been helpful to your investigation. Good day.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '86', 's_7ed6dd6', 'Who amongst those engineers had the most contact with Hend?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '87', 's_7ef5613c', 'I said silence! Now, how well did you know Colonel Hend?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '88', 's_802362c2', 'Shinss and Hend spent a lot of time together?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '89', 's_80254eb2', 'I suppose you are right. So would you answer some questions for me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '90', 's_81caddeb', 'So you don\'t believe that officers should work together?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '91', 's_85c0a145', 'Where would they go on these trips?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '92', 's_85e6fdd1', 'What else do you want to know about them?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '93', 's_874f9344', 'You are protesting a lot. Are you sure you are not guilty of something?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '94', 's_883e63f3', 'Who were these friends of Colonel Hend?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '95', 's_8931a146', 'What would he do with the engineers?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '96', 's_8d77e799', 'Never mind. Do you know of anyone who might have known Hend was a traitor?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '97', 's_8fa4c7bd', 'Well, who did he fraternize with if not the engineers?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '98', 's_900f01d1', 'What?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '99', 's_90c2580f', 'Why are you trying to protect Doctor Shinss?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '100', 's_91237089', 'What do you mean, trying to protect Doctor Shinss? I am not protecting anyone. He and Colonel Hend worked together. As head of the project and head of security they spent a lot of time in meetings planning for the project.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '101', 's_99701b9c', 'So he had a light complexion. Very interesting.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '102', 's_9b59f040', 'So you were jealous?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '103', 's_9bdca9f6', 'Do you know what goes on here?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '104', 's_9cb92ec3', 'So these engineers would know how the Death Star worked?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '105', 's_9ce47b1f', 'Let it out? Let what out? Why aren\'t you asking questions like the other Inquisitor\'s were doing?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '106', 's_9d1204e3', 'Sorry, I am sort of new at this whole Inquisition thing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '107', 's_9d22bb03', 'He never went on leave with Doctor Shinss, but they did work together in an official capacity. They would take shuttles out to inspect the debris fields.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '108', 's_a253bfbf', 'You are insane.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '109', 's_a3391195', 'I most certainly am not going to pour us both a drink. I am on duty and so are you. Imperial directive 43C-90L clearly states that the consumption of spirits while on duty is punishable by two weeks in the brig.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '110', 's_a43281d6', 'What engineers? The ones that are running the salvage operation in this system? They are the whole reason that any of us are here. The engineers are locating and extracting the most important pieces from the debris in order to be reused in other projects.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '111', 's_a55b2dc8', 'There is little need for me to meet with the Doctor. I do my duty and he has his operation to run. I run a very tight ship so that Doctor Shinss doesn\'t have to constantly hold my hand like he always did with Colonel Hend. It seemed like every time I turned around, Shinss and Hend had their heads together discussing what a terrible job Colonel Hend was doing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '112', 's_a623d5ba', 'Did you ever suspect Colonel Hend as a traitor?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '113', 's_a72db7d9', 'Yes? What do you want? I am extremely busy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '114', 's_a82360e0', 'Fine, fine. Ask me anything. What would you like to know?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '115', 's_aa484e27', 'What? Oh...you mean other than a bad man. He was a fair commander. Liked his junior officer a bit too much in my opinion. But nothing about him ever gave away the fact that he was a traitor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '116', 's_ac8cb7ce', 'Yeah, maybe in a mirror or something. Anyway...what was I saying?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '117', 's_aeb1b3ee', 'Perhaps you are unaware of what you actually know.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '118', 's_b39c7b81', 'Sorry, that sounded much more intimidating in my head.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '119', 's_b693b85f', 'Fine. What questions would you like me to answer?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '120', 's_b72bfe9c', 'You say that Colonel Hend had lots of friends. Tell me about them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '121', 's_b83437a1', 'You were the one telling me to ask you about it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '122', 's_b969a839', 'That\'s not important right now. What is important are these engineers.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '123', 's_be74eb0', 'If I had that information, I would have given it to the Inquisitors that were here before. All I know is that Hend liked to spend his off time with some of the junior officers. They all get together after they were off duty and sometimes they would all take leave together and go out on Hend\'s yacht. But I don\'t think any of them even knew.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '124', 's_becaf709', 'Just as I suspected. You are innocent.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '125', 's_bf9b99b9', 'I am not hiding anything. You told me to be silent so I was silent. I may have to follow your orders and answer you questions but I will not tolerate any accusations against my loyalty. But to answer your question, Colonel Hend didn\'t fraternize with anyone from the engineering corps. He obviously worked with them since he was head of security.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '126', 's_c2631c46', 'Tell me some more about the people Colonel Hend dealt with.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '127', 's_c3185891', 'How often would the two of them meet?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '128', 's_c346ae59', 'You really do not have a clue do you? I am finished here. Good day.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '129', 's_c37cc43f', 'Who else did Colonel Hend go on trips with?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '130', 's_c39786e7', 'How would arresting a superior officer violate the directive banning the use of an Imperial officer\'s hat as a Wookiee beating device? I am afraid that I really don\'t understand your question.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '131', 's_c3c8f385', '[silence]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '132', 's_c4c46aa', 'You are completely mad. From what I heard, you were the one who killed Colonel Hend. In the Dantooine system. Thousands of light years from here. Where I was. It would have been impossible for me to have murdered Colonel Hend!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '133', 's_c97a22d4', 'You are not supposed to understand the mysteries of the Inquisition!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '134', 's_ca59425a', 'I don\'t care how busy you are. We are going to talk.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '135', 's_cb65c4f9', 'I suppose that could have been the case. I really do not like to speculate about things like that. Is there anything else you wanted to know?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '136', 's_cb6d22cd', 'I will determine if you are hiding anything or not!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '137', 's_cd0207ad', 'Who is this Doctor Shinss?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '138', 's_cd5b3d17', 'So you are telling me you have no idea what your superior officer liked to do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '139', 's_cfd0827b', 'You really like quoting Imperial directives, don\'t you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '140', 's_d1511c14', 'So, Colonel Hend hated the enlisted men.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '141', 's_d1d8d28a', 'No, of course not. But if I were Doctor Shinss, that is what I would be talking to Colonel Hend about. Hend wasn\'t the best of leaders. Of course, now that I am in charge the operation is running smoothly and Doctor Shinss can concentrate on his mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '142', 's_d1dc8a70', 'Aren\'t you head of security on this project now?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '143', 's_d2a410b8', 'I am afraid that I am not following were you are going with this. I would very much like to assist the Inquisition but I don\'t understand what you want me to tell you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '144', 's_d324b656', 'So you murdered Colonel Hend out of revenge for his rejection towards you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '145', 's_d5ad0fe2', 'Ah ha! You cannot hide your guilt behind silence!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '146', 's_d8cce866', 'Vrke eh? I have already spoken with you people. I had nothing to do with Colonel Hend and I didn\'t know anything about what he was doing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '147', 's_d9a69ecd', 'I have no idea what is going on here but I can assure you that I have nothing to hide. I am just trying to assist you in your investigation any way that I can. But you certainly are not making this easy on me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '148', 's_dc89a970', 'Who here has higher security clearance than Colonel Hend did?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '149', 's_dd34119b', 'I don\'t know. He just never dealt with any of them. From what I understand he wasn\'t like that before I arrived. I have heard he used to be really friendly with the men but about three or four months before I arrived he just suddenly stopped dealing with any of them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '150', 's_e0659186', 'Like I said, I do my job so well there is no need. Doctor Shinss doesn\'t have to worry about a thing now that I am charge.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '151', 's_e40d4ee9', 'Colonel Hend was my superior officer for the past three months. I did not know him very well on a personal level, since I disapprove of officers becoming too friendly with each other.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '152', 's_e616a383', 'Which officers were these?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '153', 's_e6ae8de', 'Shinss is a good enough man. From my understanding he is supposed to be brilliant but I don\'t know him well enough to make a judgment to that matter.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '154', 's_e6f64e19', 'Do any of these engineers have higher security clearance than Colonel Hend?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '155', 's_ea32ea5a', 'Thank you for your time. I see no need to continue this conversation.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '156', 's_ea5a649e', 'Hmmm. I really thought I was on to something there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '157', 's_eb02637b', 'Well, I have not yet had a chance to meet with Doctor Shinss. But that doesn\'t mean I do not know what my duties are on this project. I understand completely what it is that needs to get done. Doctor Shinss has no reason to worry about the security of this project with me in command.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '158', 's_eb02c97f', 'So now I should take it easy on you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '159', 's_ecda4c4f', 'How would I know? I never asked and they never volunteered any details. All I know is that they would leave for a few days and then come back. To my understanding they filed all the appropriate transportation paperwork so it was never an issue with me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '160', 's_eed04a50', 'Well, that isn\'t very professional of you. You shouldn\'t threaten to torture someone unless you are actually planning on doing it. It just really shows a lack of resolve and planning on your part.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '161', 's_f039fce5', 'But he was a traitor, so there had to be something.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '162', 's_f211ed92', 'Colonel Hend. A very bad man, but what sort of man was he?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '163', 's_f6fe3ce5', 'Several of them do. Doctor Verr, Doctor Plenki, Doctor Shinss, and Doctor Stile all do. Even though Colonel Hend was in charge of security, there are a number of things going on here that it was not necessary for him to know about.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '164', 's_f813490a', 'You again? I don\'t know anything else. I have already told you everything that I know. Now please, let me continue my duties in peace.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '165', 's_f978aafb', 'Argh! If I would have seen him doing that I would have arrested him and turned him over to the Inquisition. What kind of dumb question is that?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '166', 's_f9e3a71b', 'There will be no need if you answer some questions for me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '167', 's_fa3924b4', 'I said silence! Did Colonel Hend fraternize with the Engineers corps?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '168', 's_fb1ee7a5', 'Are you aware of anyone that suspected?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '169', 's_fcbf7850', 'Several of the engineers do. Doctor Verr, Doctor Plenki, Doctor Shinss, and Doctor Stile all do. Even though Colonel Hend was in charge of security, there are a number of things going on here that it was not necessary for him to know about.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '170', 's_ff55610e', 'I don\'t want to answer them again! Don\'t you even know what I told the other Inquisitors when they last questioned me? Why are you even here?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '171', 's_ffead1ac', 'Oh, and what sort of questions were those?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier3_barlow.stf', '172', 's_ffee58bf', 'Colonel Hend liked to relax with all sorts of junior officers. I don\'t know if I would really call them friends but they would do things together, like take leave at the same time. It was my understanding that Colonel Hend would fly them around in that yacht of his when they did. Of course, I never went with them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '1', 'do_not_edit', 'The English version of this file (naboo_imperial_tier4.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '3', 's_1045dd9d', 'I would be a great Inquisitor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '4', 's_145d7cc3', 'So you are back. Did your visit with the Grand Admiral go well? Are you here for my pleasant company or did you come back looking for work?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '5', 's_14c99313', 'Dathomir? Interesting world.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '6', 's_1769a080', 'Then quite wasting my time. I am a very busy man and cannot be bothered to stop and chat.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '7', 's_17fa0de9', 'Yes, sir. Right away.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '8', 's_1832fe3c', 'Hmm, this is highly unorthodox. Although I do have some elective duty missions if you are interested. Would you like to hear the briefing?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '9', 's_185e40da', 'Very good. We like pilots who have no money. Keeps them motivated.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '10', 's_1899241d', 'The Coynite and the smugglers are one and the same. Just before he expired, he also told me all about their friends on the planets surface. It would seem that they are receiving aid from someone in the prison. Whoever their friend, or friends, are they are paying the Coynite with the crystals. I lost him before he could tell me who or why. Not my best work but we have what we need.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '11', 's_18dda10a', 'Very well, worm. Let me know when it shows up, but until that time you have work to do...MY WORK! Your next assignment is the Dathomir system. There have been an increasing number of reports of unauthorized access to the system. This begs many questions and I want the answers. You will get me those answers...understood?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '12', 's_1a40d259', 'Excellent. I wish you luck. Pirates must die.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '13', 's_1bfd2d3e', 'Where is the data from that communications satellite?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '14', 's_1c3578bb', 'I\'ll bet you would, wouldn\'t you? I have no need for untrained and incompetent pilots. Perhaps you should return to your commanding officer and learn a thing or two before seeing me again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '15', 's_1cd21b47', 'Yes, sir. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '16', 's_1ce05254', 'Perhaps. Now what do you want me to do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '17', 's_1cfa3230', 'The Emperor pays attention to far more than you could possibly imagine.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '18', 's_1e39a0ae', 'Yes. In clear violation of Imperial law. Of course, he is not working alone. All those reports I received would not have been generated by one lone individual. So I took the liberty of sending out several recon shuttles into the Dathomir system. It would appear that there are several vessels all working in unison in this little venture of theirs.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '19', 's_1eb19278', 'Sure. Sounds like a cake walk.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '20', 's_1ef1e040', 'I was glowing but other than that, no.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '21', 's_231ed37', 'I am sorry you didn\'t enjoy your work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '22', 's_25b2a2f6', 'No, thanks. I am so good power and glory will just come a knockin\'.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '23', 's_265434f7', 'You are very eager, my young pilot. That is good. I have much need for someone who is willing to get the job done and done quickly.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '24', 's_26bb0194', 'Give me another chance. I will not fail again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '25', 's_270e6f7b', 'I will do my best. Where am I to report to?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '26', 's_2732abfa', 'I have never had a reason to go to Dathomir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '27', 's_28532034', 'No, thanks. How about you tell me about the crystal instead?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '28', 's_28b58d98', 'Thank you, sir. Will there be anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '29', 's_2a5728d1', 'That joke, and I use that term loosely, was terrible.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '30', 's_2ac3895f', 'It is my business to know things, worm. That and we maintain a prison on the planet\'s surface. Prisoners are dropped in from orbit, never to leave again. The guards who maintain the prison have surveyed a large portion of the planets unique flora, fauna, and, thankfully, geology.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '31', 's_2b68d8fe', 'That sounded like you were mocking me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '32', 's_2bfb5526', 'I told you and you wouldn\'t listen...I am the BEST!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '33', 's_2ebece20', 'Great, time for me to save the Empire, yet again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '34', 's_30c7137f', 'It is not for the people we deal with, but there is no reason why we cannot enjoy the fruits of our labor once in a while. Never mind, my advice is simply going to be wasted on you. Back to work. The lab finished the analysis of the crystal you recovered. With some very interesting results. I suppose you would like to know what those are, eh worm?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '35', 's_30d23b2c', 'I take it that frugality is not one of your strong suits. That is alright...the Empire is very wealthy and a pilot in the right position can make a healthy sum.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '36', 's_320b2029', 'Then I trust you will not fail me. It would be a most unwise decision on your part if you did.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '37', 's_327da557', 'Or you could escort prison ships to Dathomir - the guards are always eager to see a new face.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '38', 's_32bd6884', 'I\'m going to spend every credit of it!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '39', 's_34aaab36', 'Of course. There is always some way to manipulate anyone. The key is just finding out what. On a side note, we will be dealing with the officers on Dathomir by telling the others that were not involved what was happening. They will deal with the traitorous officers in their own way.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '40', 's_362a48e0', 'Anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '41', 's_365243f7', 'The Grand Admiral is stationed inside the palace walls of that treacherous woman. I still am not sure why the Emperor has allowed her to continue to rule and not turned her over to me. Regardless, I am sure he has his reasons.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '42', 's_3686a31b', 'Not until you improve your standing with the Empire.  Until then consider yourself grounded.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '43', 's_36af2d20', 'Top...men.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '44', 's_39ec8285', 'It\'s harder than it looks, you know.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '45', 's_3a3805e3', 'Ah, a young pilot. What brings you here, so far from your assigned squadron?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '46', 's_3b2c48b2', 'Perhaps he has records, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '47', 's_3b9d259a', 'Sorry, Inquisitor. It won\'t happen again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '48', 's_3dd8800a', 'I can see that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '49', 's_3e261fd0', 'Perhaps it wouldn\'t be a bad thing to have a member of the Inquisition working for a Grand Admiral. Who knows what secrets we might uncover. Yes, I think that this will be most enlightening.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '50', 's_40671b7a', 'Excellent. I was getting a little short on credits.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '51', 's_4092eccc', 'It is nothing. Just old memories. Pilot, never listen to your memories! They tell nothing but lies. Now, on to your assignment. You are to travel to Dathomir. I have been receiving some very disturbing reports of unauthorized activity within the system. You will find out what is going on there for me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '52', 's_41040de1', 'I am not a worm!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '53', 's_416d1887', 'Umm...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '54', 's_417ab2a4', 'So you have returned. We have just received those interesting rocks you recovered from that unauthorized vessel. Did you leave the pilot just floating out there or did you finish him off after the search...wait! Don\'t tell me, I find it more amusing to think of him floating helpless in the cold depths of space.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '55', 's_424a2157', 'Then why are you here at the Emperor\'s Retreat?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '56', 's_438b0dbc', 'What did the Coynite speak of?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '57', 's_44867e8a', 'They should have left well enough alone.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '58', 's_47b7d709', 'You are to travel to Dathomir. I have been receiving some very disturbing reports of unauthorized activity within the system. You will find out what is going on there for me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '59', 's_4854758d', 'I would like to request a mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '60', 's_487cad', 'Very well. But you had better understand one thing...failure is not tolerated in the Inquisition. Failing in your duty is paramount to treason. And you know what we do to traitors, don\'t you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '61', 's_488aa777', 'Why is Dathomir a forbidden system?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '62', 's_490da0e3', 'I think that you might find that skill very useful. Especially now that I have need of your...unique talents. After all, idle hands are a dangerous thing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '63', 's_49805f81', 'Can I hear the briefing again?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '64', 's_4b509b', 'I am sure that you are just filled with fascinating stories. But I would rather not listen to any of them. I am in need of skilled pilots, not ground pounders.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '65', 's_4bb3d9ba', 'Good. Now your assignment...I will have command transmit a patrol route that I wish you to fly once you enter the Dathomir system. Follow the route and keep a careful watch for any unauthorized activity. These reports I have been receiving have left me feeling uneasy. I will know what is going on there. Dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '66', 's_4bcaf756', 'Well, the Coynite have the satellite under constant surveillance so they will most likely attack you while you are trying to tap into the signal. If you succeed you will have some very valuable information for me. If you fail then you will be dead. Sounds like a win win situation for me. You have you orders. Carry on, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '67', 's_4c064599', 'I wouldn\'t say that. It just wasn\'t as fulfilling as I had hoped it would be. High expectations always lead to the greatest disappointments. On the bright side I did manage to get most of the information we were looking for out of him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '68', 's_4c65eeef', 'He is to be...questioned. The Coynite are well known for their strength. I will find it most interesting to test my resolve against his strength. I will win of course, but perhaps he will hold on long enough to make it interesting. In the end he will tell me everything he knows. Until then you may go on leave or continue our duty operations. I am sure I will have need for you later.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '69', 's_4ee43f47', 'All in good time. I have a feeling that this goes a little bit deeper than that. The recon shuttle has tracked one of the vessels that landed on the planet\'s surface before we could stop it. You are to immediately capture that vessel as soon as it reenters orbit. If that ship looks like it is about to get away you are to destroy it. Take no chances that it will get out of the system. Is that understood?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '70', 's_517a8075', 'I hope for your sake that it is not. I will have command transmit a patrol route that I wish you to fly once you enter the Dathomir system. Follow the route and keep a careful watch for any unauthorized activity. These reports I have been receiving have left me feeling uneasy. I will know what is going on there. Oh, and worm...fail me and you will find yourself firmly on a hook!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '71', 's_52708145', 'We will start you off with something slow. I need a prison drop shuttle escorted to the prison on Dathomir. We have been holding off shipping those prisoners while we dealt with the Coynite issue and it is time that they were sent home.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '72', 's_52917b0d', 'Of course.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '73', 's_52c3d844', 'I did earn it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '74', 's_53de9d8f', 'Like what?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '75', 's_5434d72a', 'Mock you? You are not even worthy of my contempt. I suggest you put your mind on the task that I am about to place before you, rather than focusing on your own pathetic existence. You are only here to serve me and your life hangs on my whims. Are we understood?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '76', 's_54ed82f4', 'Not me. I am too slippery.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '77', 's_55590e1c', 'Good. There shouldn\'t be any issues but there is still something that bothers me about the Coynite situation. I would rather be safe then sorry. We cannot have our prisoners running free all over the galaxy, now can we? You are dismissed, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '78', 's_55905a28', 'Hmm, you really don\'t know do you? Admiral Nial Declann is one of the twelve men in charge of the Imperial Navy. He wields great power and is said to be favored by the Emperor. I am just curious as to why this order says that you are to be immediately transferred under his command?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '79', 's_55e3ea71', 'I will forgive your insolence and call it the follies of youth. But make no mistake...Dathomir is not for the weak of spirit. I will have command transmit a patrol route that I wish you to fly once you enter the Dathomir system. Follow the route and keep a careful watch for any unauthorized activity. Now get out of my sight before I decide that youth isn\'t a good enough excuse. Oh, and worm...fail me and you will find yourself firmly on a hook!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '80', 's_56c3f73d', 'For anyone else but me that might be difficult.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '81', 's_57274357', 'That\'s a good little pilot. Get out of my sight before I lose my temper.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '82', 's_57a5120c', 'I think they are finished now, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '83', 's_58edcac7', 'Where am I to report to?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '84', 's_593c68fd', 'The Coynite were foolish to attempt to circumvent the will of the Emperor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '85', 's_59da8c80', 'I\'ve been waiting for you, pilot. It\'s about time you got here. There\'s no time to waste. I\'ve prepped a briefing for you, are you ready?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '86', 's_5a0327df', 'You have performed wonderfully with an alarming situation. It would seem that I had under estimated the resolve of the Coynite to finish a job that they were paid to do. I am most impressed with them. Based off of the single one I had dealings with I wouldn\'t have thought they had it in them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '87', 's_5c9b37f9', 'See, I told you I would get this job done.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '88', 's_5ca877f1', 'Please do. They\'re an eyesore.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '89', 's_5dce257f', 'You must be here for your skills upgrade. Well, pick one. Be quick about it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '90', 's_5dff5608', 'Yes, it does seem strange.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '91', 's_5e0158c', 'Complete your mission, and perhaps all will be forgiven.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '92', 's_5ebf813b', 'As you wish, my lord.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '93', 's_5f1cd2f8', 'See that it does.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '94', 's_5fcdb10d', 'Oh, I have several theories but I do not like to work on theory. Cold, hard fact has always been more to my liking.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '95', 's_60a8bfcb', 'I\'d like to bring those rogue Imperials in.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '96', 's_6145c468', 'Yes, you made quite sure that they were adequately punished. We will be dealing with the officers on Dathomir by telling the others that were not involved what was happening. They will deal with the traitorous officers in their own way.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '97', 's_61657d0f', 'I see.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '98', 's_6387b3e9', 'Excellent. I will have command transmit a patrol route that I wish you to fly once you enter the Dathomir system. Follow the route and keep a careful watch for any unauthorized activity. These reports I have been receiving have left me feeling uneasy. I will know what is going on there. You have your command...now go!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '99', 's_63b2a28a', 'So, now we don\'t have any way to find out who is helping the Coynite?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '100', 's_6448a70', 'A willing mind? How refreshing. I was getting so tired of the standard military pilots. Such wastes. But I suppose they do have their uses...they are nice fodder for the war effort. Don\'t you agree?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '101', 's_647c9fa9', 'Yes. Quite unusual! Imperials are usually so well-behaved. Maybe it\'s just a paperwork error. Regardless, bring them in.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '102', 's_6480af88', 'Really? What did he say?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '103', 's_64ce1b1d', 'Thank you, sir. What is the next step?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '104', 's_64e1e69d', 'Maybe you should have tried harder?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '105', 's_659c15a1', 'I suggest you do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '106', 's_67183c1c', 'I\'m trying.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '107', 's_673b4c9b', 'It has been a long journey for you but you are nearing the end. I do have need of an extra pilot though. And since you are already here, you will do nicely.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '108', 's_6807942', 'Excellent. I will have command transmit a patrol route that I wish you to fly once you enter the Dathomir system. Follow the route and keep a careful watch for any unauthorized activity. These reports I have been receiving have left me feeling uneasy. I will know what is going on there. Dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '109', 's_6844241f', 'If you say so, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '110', 's_6973ca89', 'We are the Inquisition. I didn\'t think happy was our thing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '111', 's_6c193c27', 'Sure thing. Shouldn\'t be a problem.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '112', 's_6c2a8e60', 'What did you learn from him?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '113', 's_6c7488f3', 'First you must complete the tasks that I will lay before you. You will travel to Dathomir. I have been receiving some very disturbing reports of unauthorized activity within the system. I want answers about what is going on.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '114', 's_6d60481e', 'Well, the post at the prison is a life time assignment. Once you are there, you do not leave. Naturally, every officer stationed at the planet wants to leave. Think about it. If one group forms a plan to escape and doesn\'t let the other group in on it, they would be rather upset.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '115', 's_6d741d67', 'Yes. If I cannot capture the vessel, it will die.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '116', 's_6d844cc7', 'The Emperor does indeed wish you to serve. The lab has finished analyzing the crystal you recovered. A most interesting piece of rock. Most interesting and most rare, indeed. In fact that particular crystal can only be found one place in the entire galaxy...Dathomir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '117', 's_6ef5b0ae', 'I thought Dathomir was forbidden. How do you know this?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '118', 's_6fb4f06a', 'A very interesting order came across my desk just a few moments ago. What is your relationship with Grand Admiral Nial Declann?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '119', 's_7017e938', 'It\'ll get done.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '120', 's_714fef09', 'What business does the Inquisition have in Dathomir?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '121', 's_7177c3f2', 'Who is Grand Admiral Nial Declann?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '122', 's_719a036e', 'Who?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '123', 's_719f44a', 'There are some things that you should not question. The Emperor has decreed it as so and that is all you need to know.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '124', 's_722463c0', 'That is a good, loyal pilot. Here you go. Try not to spend it all at once. When you are ready for some more lessons or to continue your duty come back and see me again. Perhaps I will have more need for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '125', 's_725be20b', 'So you are not all bluster. That is good. I was beginning to wonder if you were right for this job. You are still a worm but maybe one with a little bit of a backbone. I was thinking of withholding your duty pay but I guess you have earned it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '126', 's_72c7b032', 'Excellent you are nearly finished with your training. It has been a long journey for you but you are nearing the end. I do have need of an extra pilot though. And since you are already here, you will do nicely.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '127', 's_77e48d5b', 'What do you mean?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '128', 's_7bc04afa', 'We will see. I will issue your duty pay. When you are ready for some more lessons or to continue your duty come back and see me again. Perhaps I will have more need for you. That rock you brought back is most interesting. We have top men working on it now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '129', 's_7c92f77a', 'Until we know what that crystal is there is no need to continue the main operation. For now you may go on leave or take some duty missions. Once we have what we need and you are ready, we will continue our investigation.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '130', 's_7d9ad22', 'The prison drop shuttle that we were holding until the Coynite issue was dealt with is ready to drop its payload of prisoners on Dathomir. I need you to escort it through the system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '131', 's_7e1308bc', 'I\'ll take droid intelligence theory.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '132', 's_7e2d0f69', 'We\'ll see if you can. Dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '133', 's_8074838e', 'I did not believe that all the reports I had been receiving were for this one lone individual, so I dispatched a set of recon shuttles to the system. Their scans revealed that a number of these vessels are moving around the system. We have a lock on one that recently touched down on the planet. Incidentally, or so it would seem, near the location of the prison. You are to capture me that ship when it returns to orbit.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '134', 's_81ccdc67', 'The crystals are worth a very handsome sum to the right people. They are rumored to have strange...properties. Of course, the question is how did that pilot get it? These crystals cannot be found just sitting around on the ground for any fool to pick up. They are only found deep under the surface.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '135', 's_82095b20', 'I\'ll take those prisoners to Dathomir. Sounds like fun.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '136', 's_834bed59', 'What were those crystals, sir?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '137', 's_83803b19', 'Do you mean Theed Palace and Queen Kylantha?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '138', 's_83850af8', 'You are to travel to Dathomir, my little worm. I have been receiving some very disturbing reports of unauthorized activity within the system. You will find out what is going on there for me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '139', 's_84350489', 'I enjoy prisons, myself. Always full of men in need of discipline. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '140', 's_851406fb', 'Those pirates won\'t know what hit them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '141', 's_85b1adc5', 'I haven\'t been able to bring it back yet, sir. But I\'ll take care of it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '142', 's_85c9e37e', 'Very well. The situation report is as follows: Smugglers continue to infiltrate this system. Diplomacy\'s no use with them; they only understand the business end of a space blaster. So, you could clear them out.  ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '143', 's_873e726e', 'My mission\'s not complete.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '144', 's_898acaac', 'What is it you need me to do, sir?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '145', 's_8a38a5ed', 'Who could it be?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '146', 's_8a7c509a', 'I have no idea how you managed to get down this far but I would suggest that leave immediately before something happens to you. People who don\'t belong here often find themselves losing everything.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '147', 's_8bae75a0', 'Bah! I assure you that I will find out the truth of why he asked for you. If I could I would keep you here until I found out the truth but even I cannot ignore an order from a Grand Admiral. You are to immediately report to the Grand Admiral Declann. You are dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '148', 's_8bfb7a2f', 'What\'s this? A complaint?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '149', 's_8d7e0eff', 'Hmm.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '150', 's_8e075bc2', 'Bah! I give you the slightest of praise and you cannot help but blow up like an Inerbion Gasbag. Here take this and get out of my sight.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '151', 's_8feb33c1', 'Ever?!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '152', 's_90b2fe39', 'I hear you loud and clear.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '153', 's_90ce1297', 'No, thank you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '154', 's_90f30b97', 'The freighter you recovered was indeed filled with more of the crystals from Dathomir. That can only mean that they are working with someone who has an operation on the planet\'s surface with the capability to mine these. They would have to have access to a lot just to pay for the Coynite.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '155', 's_91d10a84', 'How unfortunate that you are unable to do your job.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '156', 's_938d7337', 'So what is the next step, sir?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '157', 's_952743eb', 'It is my business to know things. That and we maintain a prison on the planet\'s surface. Prisoners are dropped in from orbit, never to leave again. The guards who maintain the prison have surveyed a large portion of the planets unique flora, fauna, and, thankfully, geology.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '158', 's_96a0374a', 'I\'ll take heavy starship component use.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '159', 's_97a051ab', 'As you command, High Inquisitor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '160', 's_97ce1c41', 'That problem was just a temporary setback. Don\'t worry.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '161', 's_98332c8e', 'Yes, what did they find out?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '162', 's_9a9518f8', 'Good. Now get to Dathomir and wait for your prey to arrive.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '163', 's_9ab33e62', 'Is that it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '164', 's_9ac7bd6d', 'So the smuggler had to land on the planet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '165', 's_9ac8a54c', 'Yes. I knew you would see it my way.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '166', 's_9b3e4e71', 'I will simply assume that means no. I cannot afford to lose you at this moment. I will have command transmit a patrol route that I wish you to fly once you enter the Dathomir system. Follow the route and keep a careful watch for any unauthorized activity. These reports I have been receiving have left me feeling uneasy. I will know what is going on there. You may leave now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '167', 's_9bc48781', 'I am sure he did. That crystal you brought back is most interesting. Do you have any idea what it is?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '168', 's_9c6ec037', 'No, sir. I will get us that information.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '169', 's_9d1c334d', 'They are being analyzed by our top men. Those crystals are no longer your concern. You have done well this day and deserve to be rewarded for your loyal service. You want your reward don\'t you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '170', 's_9e131808', 'I have heard that you\'ve been assisting the Rebel Alliance against the Empire.  This concerns me a great deal, as you can imagine.  You cannot be trusted with any more assignments.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '171', 's_9ec59458', 'I...um...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '172', 's_a0d28eb', 'The Grand Admiral is stationed in Theed Palace. From what I understand its gaudy and worldly walls suit his personality just right. Go now. Do not keep the Grand Admiral waiting. There is much work to be done.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '173', 's_a11a905b', 'You are one of our younger pilots, are you not? Of course you are. Is discipline in the ranks of the Inquisition breaking down so much that junior pilots think they can talk to a Grand Inquisitor unannounced? Perhaps it is time to purge out our slothful and weak...Why haven\'t you left yet?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '174', 's_a3958e6a', 'Ready to serve, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '175', 's_a3aef707', 'Oh, me and Grand Admiral Nial Declann go way back.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '176', 's_a459860a', 'What about the Coynite I captured?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '177', 's_a4b30c88', 'I really don\'t know, Inquisitor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '178', 's_a5e556b', 'I will have command transmit a patrol route that you will fly once you enter the Dathomir system. Keep a careful watch for any unauthorized activity. I have a strange feeling that this will only be the first step down a long path. You may leave my presence now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '179', 's_a6380860', 'So you have failed. That is most distressing. I tasked you with such a simple task and you come back here with your tail between your legs like some mongrel dog.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '180', 's_a6cd772d', 'You think that you are strong and unbendable? I have found the harder it is to bend the easier it is to break. You...I could crumble into dust in scant seconds. But I do not have even those scant seconds to waste. You have to do an assignment for me...perhaps we can get back to this later.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '181', 's_a6ef12b5', 'Well what do you want me to do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '182', 's_a6f30b2b', 'Did you say...you\'re trying?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '183', 's_a72c3c89', 'Inquisitors don\'t worry. But you SHOULD be worried. You don\'t want an Inquisitor to be angry with you, now do you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '184', 's_a9a7c838', 'I do indeed, as you put it...say so. You are to report to Grand Admiral Nial Declann, perform your duties for him without question, and you are to keep your eyes open. Learn everything you can about this man and his goals. I think we can both learn from this experience.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '185', 's_aa21cdc1', 'I hope that skill serves me well as we begin the next stage of our operation. I broke the Coynite mercenary, as I knew I would. Sadly he was no where near as strong as I had hoped he would be. Such a disappointment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '186', 's_aa695923', 'What am I to do next?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '187', 's_ac4bb3e6', 'I am sort of curious about what they will actually do though. Call it professional curiosity. Maybe one of them will put it in a report. As for you...you are free to do as you wish for now, perhaps continue with our duties in the Dathomir system. There are still a few Coynite that may continue to cause minor problems that need to be cleaned.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '188', 's_acaea8b8', 'Of course there isn\'t. If there was, there would be no need for the Emperor or the Empire. We are the rock in the middle of the decay of strength and character. This was all caused by the Old Republic of course. If they had done their duty long ago, none of this would be necessary.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '189', 's_ace49d41', 'If you are done wasting time, there is work to be done. Are you ready?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '190', 's_ad56bc53', 'I broke the Coynite mercenary, as I knew I would. Sadly he was no where near as strong as I had hoped he would be. Such a disappointment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '191', 's_adb2030c', 'It\'s about time you let me do my thing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '192', 's_af5329b0', 'What? Now you want your reward! Of course you do. Because all good, loyal pilots take their reward when they do something well. Here take this. You are a good pilot. A very good pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '193', 's_b0abb9a4', 'I have need of your...unique talents. After all, idle hands are a dangerous thing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '194', 's_b0feed48', 'We have completed our analysis of that crystal you recovered.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '195', 's_b12a7f6', 'Very well. That will be all pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '196', 's_b1a3b711', 'As long as we have come to an agreement. Dismissed!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '197', 's_b3a26c61', 'I am ready to test out my new ability.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '198', 's_b3e5bbfc', 'This just gets better and better. You remind me of one of my children...of course, I had to put them all to the question some time ago...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '199', 's_b517963a', 'Silence! I will have none of your lip today. Do not try my patience or I just might see if I can find fulfillment with questioning you. I did manage to get one very important piece of information out of him...how they communicate.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '200', 's_b6b25f13', 'Yes, sir!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '201', 's_b84f68ab', 'Why would he land on Dathomir for a crystal?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '202', 's_b9a22caa', 'I am afraid that I do not have much practice with joviality. My talents have always seemed to lie elsewhere but I always try to bring a little bit of merriment to the job. A light heart makes even the heaviest of tasks easier.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '203', 's_b9baa3d5', 'Save the Empire? You? Do not make me laugh, little worm. I will admit your flying skills are impressive but the might of the Empire hardly lies in the skills of one pilot with an overblown ego. I am thinking that you should reconsider your choice to become an Inquisitor...you will not go far.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '204', 's_bb9e4a63', 'Understood, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '205', 's_bcd45d4', 'The Coynite should no longer be a problem for us in the Dathomir system. Without their flagship they will have no staging point to continue their activities. You\'ve completed your mission to the Emperor\'s satisfaction. Here is your duty pay.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '206', 's_bdebb4cc', 'So what is the next step?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '207', 's_be7e95c', 'I\'ll clear those damaged ships.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '208', 's_bee296b6', 'The Inquisition has business in all systems. But if you must know we have a special duty with the Dathomir system. Not only do we maintain a prison on the planet\'s surface, we are the only Imperial agency with the authorization to operation freely in the system. Everyone else must get special permission to even enter the system. Therefore, it is logical that we also maintain the security of that forbidden system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '209', 's_bfcf1757', 'Nothing is pressing at this time. We will be dealing with the officers on Dathomir by telling the others that were not involved what was happening. They will deal with the traitorous officers in their own way.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '210', 's_c0f7c528', 'What is your bidding now?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '211', 's_c13abf66', 'Didn\'t I mention that he told me about the satellite receiver that they are using to get instructions from the planet? I could have sworn I told you that. No matter. You are to travel to that satellite and tap into their communications. It should be fairly easy, except that the Coynite have the satellite under constant surveillance, so you will have to guard against them while running your tap. But then again that is what you are here for.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '212', 's_c17d2691', 'I can do it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '213', 's_c181ff30', 'You still have much to learn, my young pilot. There is no YOUR way. There is only the way of the Inquisition and the way of the Emperor. Nothing else matters. To ever be more than just a simple pilot, you must lose your pathetic, self-indulgent ego. I can show you the way down the path to true power but until you choose to take it, you will be nothing more than a slimy, little worm.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '214', 's_c1abdf95', 'I go where I please.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '215', 's_c25d28ef', 'At this time, I don\'t know. But we will find out. I am hoping that the Coynite you captured will be able to tell me more. The people of Coyn are well known for their resiliency but he will crack...they all do. Until then you can continue our duty operations or go on leave. I am sure that I will have more use for you later.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '216', 's_c28f20f3', 'Report to the Grand Admiral Declann immediately. Just remember where your allegiance lies, pilot. Because if it ever falters not even a Grand Admiral can protect you from me. You are dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '217', 's_c2c13cf7', 'The Emperor\'s blessing be with you, %NU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '218', 's_c33416a7', 'I do not find your pathetic attempt at humor amusing. You are speaking about a Grand Admiral of the Imperial Navy and someone who has the ear of the Emperor. Even I would not be foolish enough to make light of such a man.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '219', 's_c42f7c3f', 'High Inquisitor?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '220', 's_c4bc5314', 'I am yours to command, High Inquisitor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '221', 's_c4f0640e', 'I will have command transmit a patrol route that I wish you to fly once you enter the Dathomir system. Follow the route and keep a careful watch for any unauthorized activity. These reports I have been receiving have left me feeling uneasy. I will know what is going on there. May the Emperor\'s blessing be on you, %NU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '222', 's_c4f74be1', 'So, yet again, you have accomplished the task that I placed before you. The Emperor was most pleased with your progress and has issued a reward for you. Here it is.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '223', 's_c686dfd', 'That is not a matter for you to have to worry about. Your only concerns are what I tell them to be. That crystal can fetch a very large sum to the right people. It is said to contain \'unique\' powers, if you believe in that sort of thing. Of course, the question is how did that pilot get it? These crystals cannot be found just sitting around on the ground for any fool to pick up. They are only found deep under the surface.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '224', 's_c6f1b86f', 'I am ready to serve, if the Emperor wills it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '225', 's_c71c1bab', 'Get out of my sight! Go escort a prison drop shuttle through the Dathomir system on its way to drop its payload on the prison. Begone, worm!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '226', 's_c82a372', 'I could care less about those weak fools.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '227', 's_c82e9a2f', 'Yes, please.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '228', 's_cacb4480', 'A very handy skill to know in a pinch. It is a good thing that you returned for training when you did, I was about to send a probe droid out after you. Just a little humor there, but in all seriousness, it is good that you have returned. We have completed our analysis of that crystal you recovered.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '229', 's_cd04b926', 'Perhaps. Perhaps not. You are ordered to report to Grand Admiral Nial Declann immediately. Why he has asked for you I do not yet know, but I assure you I will find out. I do not like this but I do not have the authority to ignore a direct order from a Grand Admiral.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '230', 's_cd3e5a44', 'My thoughts exactly. The true power of the Empire lies only in the Emperor and those who understand that. I can see you understand that. Enough pleasantries, time for the reason you are here. You are to travel to Dathomir. I have been receiving some very disturbing reports of unauthorized activity within the system. You will find out what is going on there for me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '231', 's_cfb7c310', '%TU, you were given this assignment because you were good. But you don\'t seem particularly skilled.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '232', 's_d0918370', 'I do this for the duty, sir. No reward is necessary.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '233', 's_d5225828', 'Ah, so the worm made it back. You have done very well to slip from my hook. Perhaps one day. Perhaps one day soon, eh worm?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '234', 's_d70698c1', 'Work teaches discipline! Never waste a minute of your time. The Emperor needs your service, always. Tell me, are you ready to accept a duty mission, or would you like to hear the briefing again?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '235', 's_d8355c02', 'I\'ll take experimental TIE vessels.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '236', 's_d8b3a5bc', 'See that it doesn\'t, or you may find yourself back here answering a few more questions. I have orders here that you are to be transferred to the Grand Admiral in the Theed Palace. I find it most interesting that you were asked for by name. Doesn\'t it seem strange to you that a Grand Admiral would even know your name?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '237', 's_d8efd03b', 'I\'ll take elite TIE guard training.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '238', 's_d908cfb0', 'At the Emperor\'s will, my lord.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '239', 's_da128253', 'Without that information, we won\'t know who\'s behind all this. And you wouldn\'t want the Inquisition to be left in the dark would you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '240', 's_da53e28f', 'Well we will find out soon. It is in the lab being analyzed. While that is taking place I will issue your duty pay. You have done the Emperor\'s work very well.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '241', 's_dafddb17', 'Fool! I meant how their friends on the ground send instructions to the Coynite. They use a satellite to send signals from the prison, then the Coynite listen in. It is a one way communication but is enough to suit their needs. You are going to travel to that satellite and tap into their instructions.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '242', 's_db35e23', 'You have your orders. Dismissed, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '243', 's_dbb3a834', 'Um, no.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '244', 's_dc31882', 'Yes. Here is your pay. I am going to have that crystal you brought back analyzed. While that is being done you can go on leave or take some duties. When we have the crystal analyzed, perhaps I will have more for you to do. You may leave my presence now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '245', 's_df53fe63', 'Open their mouths...talk to each other. That is how we do it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '246', 's_e07a0513', 'Do you have any idea who is helping them?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '247', 's_e36c1eee', 'Someone has to die. Might as well be them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '248', 's_e3ea301', 'I have heard bad things about you, %TU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '249', 's_e479ad44', 'He got what was coming to him for his disobedience.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '250', 's_e643719b', 'Please show me the way to true power, High Inquisitor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '251', 's_e69b471b', 'I\'ll get the job done.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '252', 's_e89ef227', 'I hope you have never been there. The planet, Dathomir, is forbidden to all by Imperial decree and there is only one punishment for violating the order of the Emperor...slow, painful death! You cannot even enter the system without proper authorization. It would be such a shame to have to waste a talent like yours.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '253', 's_e9065e37', 'You will use any edge you get, won\'t you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '254', 's_e9776d82', 'Almost any persona is half an act. It is actions that always speak the loudest about an individuals resolve. I assure you my resolve is far greater than my persona will ever be. Care to find out?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '255', 's_e977b428', 'There is no strength of will in people anymore.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '256', 's_eaf485aa', 'Wait a minute...this is all an act?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '257', 's_ec457ebc', 'I mean I\'ll do it!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '258', 's_ecb0921e', 'Isn\'t Dathomir was forbidden. How do you know this?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '259', 's_ecd3f704', 'What a relief. I\'d hate to have to discipline you. I\'m disappointed in you as it is.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '260', 's_ed8a35fe', 'What did you find out about it, sir?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '261', 's_eda629db', 'Then I must destroy them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '262', 's_ee5488a5', 'That is a good pilot. I knew that you could be counted on. You are dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '263', 's_ee94373b', 'Who do you think I was talking about? Sometimes I really wonder about you and what your agenda is. But I have time to find out, oh yes, I always have time. You are dismissed, do not keep the Grand Admiral waiting. I understand that he is an extremely impatient man. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '264', 's_ee9d18a3', 'There are always ships taking damage in this system. They need a pilot to guide them in for repairs. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '265', 's_f115f554', 'Definitely not.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '266', 's_f2050f58', 'Yes, sir. Right away, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '267', 's_f435fbd2', 'Don\'t waste your breath telling me lies. You have work to do. Go do it! ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '268', 's_f5d2aa8d', 'I am honored that the Emperor took notice of his humble servant.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '269', 's_f7053b89', 'What are your orders, sir?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '270', 's_f76cec26', 'We need a pilot to bring in a few Imperial ships that are here without authorization.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '271', 's_f7e33371', 'That\'s what  I thought.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '272', 's_f82c2226', 'Yes, I will agree with you. But some people simply don\'t know when to quit. Here, this is for you. I look forward to our next chat. Good day, pilot %NU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '273', 's_f87bfa4c', 'Good. You are to stay off that planet. Now I will have command transmit a patrol route that I wish you to fly once you enter the Dathomir system. Follow the route and keep a careful watch for any unauthorized activity. These reports I have been receiving have left me feeling uneasy. I will know what is going on there. Dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '274', 's_fae9dc1b', 'I don\'t know Grand Admiral Nial Declann.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '275', 's_fbcaed73', 'Let you do your thing? Ah...you mean that you are a skilled pilot and I have been holding you back. Most interesting. You must indeed have some small measure of skill or you would not have risen so far so fast. I agree with you. It is time for me to measure your \'vaunted\' skill as a pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '276', 's_fc6dc2db', 'I have the report right here. Let me see. The crystal is composed of...alichite...30 perc...timmerosu...AH! Here is the important part that you need to know about. The crystal is found on only one planet in the entire universe, Dathomir. It is clear that this smuggler landed on the planets surface and recovered the rock. A very unfortunate situation.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '277', 's_fcbb92d0', 'You are already on a task. The Emperor would be most displeased to find out that his pilots are derelict in their duties. Get back to work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '278', 's_fe2a11f4', 'Even if the Coynite are not, the traitorous prison officers are no longer alive to attempt escape. The Coynite have no reason to stay in the region anymore so they will move along. This is for you. You have earned it. You are dismissed, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_tier4.stf', '279', 's_ffa89518', 'Why is it unfortunate?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '1', 'do_not_edit', 'The English version of this file (naboo_imperial_trainer_1.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '3', 's_101a6629', 'Report back to me when you are ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '4', 's_1091c96a', 'I\'m done for now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '5', 's_1110cd35', 'I\'m having your account credited. You\'ve earned it. I also have your TIE flight suit. You should wear it while you\'re on duty. The helmet will take a while longer to arrive.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '6', 's_11b1315a', 'I will report to Fa\'Zoll at the Emperor\'s Retreat immediately.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '7', 's_11dce039', 'Great job, Pilot. I was able to oversee your assault on the Rebels via sensor relay. You displayed a particularly impressive tactical sense. Even the Deck Commander expressed his surprise. Congratulations on a fine mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '8', 's_1301bfd7', 'Then our mystery is solved. The ground forces will need to track down how information on the prototypes leaked, but we know enough to secure further shipments of the technology. This is very good news.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '9', 's_14aa29c', 'I haven\'t exactly enjoyed your company, either. Yes, it does mean you will have a new commanding officer. I\'ll skip the formality. You are now a Pilot Officer. Personally, I think it\'s a mistake, but Naval Command likes the results you\'ve shown.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '10', 's_14abbd01', 'Not today. I\'m transferring the coordinates of a local security patrol route. It\'s pretty quiet up there, so you won\'t run into any trouble. Fly a single circuit of the patrol route to demonstrate your competence of basic ship operations. When you\'re done, return to me for further instructions.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '11', 's_1598dcb2', 'I\'ll be gone at the first sign of trouble.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '12', 's_15daf24e', 'You don\'t take complements very well. This one was worth double the normal rate. I\'ve also received your Imperial TIE pilot helmet. Unfortunately, these standard issue helmets are not suited to meet your, uh... cranial proportions.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '13', 's_1614fceb', 'Report back to me when you are ready for another duty. I think we should look into this Rebel problem.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '14', 's_169df3bb', 'Never mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '15', 's_16fc739e', 'I...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '16', 's_19288eda', 'I think I need to rethink things.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '17', 's_19d7d16a', 'It\'s too bad you can\'t wear it. It would be a marked improvement. Report back to me when you\'re ready for more work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '18', 's_19ff301f', 'What kind of training?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '19', 's_1a5d8b73', 'Don\'t underestimate him. A particularly skilled and charismatic leader might explain the increase in the pirate activity. You must continue to hunt him down.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '20', 's_1cfc4684', 'Under Inquisitor Fa\'Zoll in the Emperor\'s Retreat has been assigned as your new commanding officer. I don\'t know anything about this person and frankly I don\'t want to. The last thing any officer wants is to be noticed by the Inquisition. Their eyes rest only upon the guilty.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '21', 's_1d0e7364', 'I\'m transferring a ship authorization and control device to your datapad. You\'ll need this to use your TIE Fighter. Should you lose your control device and access to your ship, you can apply for a new one at any time. Unfortunately, I\'m only authorized to supply you with access to our low end TIE technology.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '22', 's_1e9a88a8', 'Who do I report to?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '23', 's_1fa7fe89', 'I don\'t have anything else for you. Talk to Under Inquisitor Fa\'Zoll in the Emperor\'s Retreat.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '24', 's_20f98863', 'That\'s \'Thank you, sir.\'');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '25', 's_247ae5a6', 'Here is your salary for the mission. This one was worth double the normal rate. I\'ve also received your Imperial TIE pilot helmet. Unfortunately, these standard issue helmets are not suited to meet your, uh... cranial proportions. Nevertheless, keep it as a symbol of the technological and military might of the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '26', 's_24890a54', 'This recognition should have happened a long time ago.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '27', 's_2501f4f1', 'Don\'t drink all of those credits. You\'ll want to keep some spare for ship repairs and upgrades.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '28', 's_25dee8db', 'Here\'s credit for the mission, plus a little extra for the danger involved. You performed well. Eliminating the Rebel fighter wing was the right decision, given the circumstances.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '29', 's_2670fd69', 'I\'ll train you when I think you\'re ready.  And I don\'t think you\'re ready.  Now are you ready for your first assignment?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '30', 's_2692ee30', 'Yes, I want a duty.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '31', 's_29ad976e', 'I\'ll go after them again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '32', 's_2a1af001', 'I defeated him with ease.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '33', 's_2a29a3de', 'Yes, exactly. If they go for the bait, we\'ll know for certain that the prototype weapons are their goal. Obviously, you need to ensure the operative survives. You should also attempt to destroy any Rebels that attack, but that isn\'t a requirement. If things get hairy, protect the transport and then flee.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '34', 's_2ac29eb6', 'You\'ve shown a lot of promise so far, Pilot. This is a key assignment. We expect the Rebel team leader to be a highly skilled and well trained pilot. Don\'t underestimate him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '35', 's_2bbdc667', 'Pilot. We\'ve analyzed your recent encounters with the Rebellion and have been unable to determine any pattern to their activity. The planetary security teams have decided these are probably probing raids.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '36', 's_2d5d4bf0', 'I\'m interested in a duty.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '37', 's_2ddcdfff', 'The Rebels don\'t stand a chance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '38', 's_2e48b5f1', 'It\'s no secret that Imperial pilots utilize some of the best starfighter tactics the galaxy has ever seen.  I can get you started on the road to mastering these uniquely Imperial procedures.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '39', 's_2e935a2c', 'Good to see you again, pilot. I hope your new assignment is going well. The voluntary conscription program has been quite successful. If there is anything I can help you with, let me know. Although you are overqualified, I can offer you some basic missions and duties. I can also train you in simple skills, in case you need a refresher.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '40', 's_2fe328e', 'By the powers vested in me by the Imperial Naval Command, under the ever watchful eye of the Emperor, I hereby conscript you to service with the non-officer flight rank of Pilot Initiate. May you serve the Empire dutifully. Welcome to the Imperial Navy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '41', 's_304d169e', 'I am honored, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '42', 's_30a48366', 'Perhaps. By the powers vested in me by the Imperial Naval Command, under the ever watchful eye of the Emperor, I hereby commend you and bestow upon you the rank of Pilot Officer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '43', 's_30e39201', 'Glad I could help...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '44', 's_31967d85', 'Does this mean I get a new handler? I\'m sick of working with you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '45', 's_336e9422', 'Naval Command will be pleased at the outcome of the operation. Our mystery is solved. The ground forces will need to track down how information on the prototypes leaked, but we know enough to secure further shipments of the technology.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '46', 's_34975e9f', 'Report back to me when you\'ve successfully completed the mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '47', 's_34bc5f5e', 'You don\'t have the experience to apply to training.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '48', 's_366e0c62', 'You can learn about Imperial technology, equipment, space combat training, or astromech management.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '49', 's_368fd90b', 'We have discovered the possible location of the Rebel team leader. You are to be dispatched immediately. Travel to the waypoint I\'m transferring to your datapad. Find and eliminate him. Don\'t worry if he isn\'t there when you arrive. Take out a few of his fellow pilots in the area and he will show up.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '50', 's_36ccf586', 'As you should be. Very few academy graduates could have pulled that off, much less a conscript. Here is your payment for the mission, plus a bonus. I\'ve also received permission to have your personal profile sent to the Commissions Office. They\'ll start work on your custom TIE flightsuit.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '51', 's_36d269f7', 'Prove your devotion to the Empire and your dedication to the Emperor.  If you improve your standing with the Empire, you MIGHT be allowed to fly again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '52', 's_37650e5c', 'Yes, sir! I want to be in the Imperial Navy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '53', 's_37979335', 'Report back to me when you are finished with the patrol.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '54', 's_37b6c92d', 'What is the purpose behind the raids?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '55', 's_37eb1d12', 'I\'d rather not sign up right now, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '56', 's_388cfea9', 'The Empire is recruiting volunteer pilots?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '57', 's_38becb2d', 'Report on the status of your operation against the Rebel team leader, Pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '58', 's_39ca1bf', 'Wait!  There must be something I can do!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '59', 's_3a1ddc14', 'I was attacked by a Rebel fighter wing, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '60', 's_3b1fee95', 'Report to me when you are ready to give it another try.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '61', 's_3b3aabc1', 'I\'d like training, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '62', 's_3d71cce7', 'You have to make sure the transport escapes before you leave. We will not leave one of our own behind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '63', 's_3de840b5', 'I need to spend some time practicing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '64', 's_3e7988c1', 'Sometimes I surprise myself.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '65', 's_3f082a8b', 'Since you are new to the Imperial Navy, we have to subject you to a basic test of skill. We want to make sure you are capable of performing the kind of operations that are common in naval duty.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '66', 's_3f6a8711', 'Thank you, sir. I do my best.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '67', 's_40f3848e', 'I\'m interested in space combat training.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '68', 's_424f48fc', 'Here\'s your pay for the operation and another bonus for exceptional duty. I also received your Imperial flight suit, but you\'ll never fit into this. Take this bandolier, instead.  At least it\'ll help you to keep your things organized.  The helmet will take a while longer to be finished. Each helmet contains special electronic equipment calibrated to the user.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '69', 's_42dfe6db', 'Indeed. The Empire rarely enlists non-Humans as pilots, and so we are poorly prepared to equip someone such as yourself. But do not be discouraged. Your current standing in the Imperial Navy is a testament to your abilities.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '70', 's_4358efe9', 'Where is my ship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '71', 's_438b2349', 'So far you\'ve been flying a basic TIE.  The normal TIE is quite a bit more complicated than that.  For one thing, you\'ll find that you can install better components on it... better weapons, better armor, and so on.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '72', 's_43d18dec', 'You know, these Rebels are really stupid people.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '73', 's_448fbf05', 'You will always address him as Inquisitor Fa\'Zoll. Good luck, Pilot Officer %NU. You have done the Empire a great service.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '74', 's_44a60f99', 'Tell your adjutant he\'ll have more kills to confirm soon.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '75', 's_45b14b72', 'Good, I have a lot of work for you. The Emperor has decreed that the rebellion is to be driven from the Naboo system.  I can also assign you to escorting transports moving supplies.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '76', 's_47691a6', 'Report to me when you are ready to attempt the patrol again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '77', 's_4774404f', 'There will be a time to strike against the Rebels once we know what their intentions are. This mission is for information gathering. If you get a chance to take out a target of opportunity, then by all means do so, but do not risk your life at this stage in the operation.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '78', 's_47925d97', 'I want to join the ground forces');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '79', 's_4854758d', 'I would like to request a mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '80', 's_486c459c', 'What was that, pilot?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '81', 's_48852667', 'I see.  I certainly hope you\'re not going to spend ALL of your time on the ground, Pilot.  But if you insist on becoming a soldier as well, go talk to an Imperial Recruiter.  He\'ll get you squared away.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '82', 's_48d418c', 'Let me guess, you want me to kill them?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '83', 's_4918bb61', 'As do we all. Now that you have achieved an official command rank, I am no longer your commanding officer. Although it pains me to lose such a fine pilot, you have been reassigned.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '84', 's_49ab06fa', 'You\'ve earned it, Pilot. You have exceeded the expectations of this program and of myself. Your duty has not ended, however. Return when you are ready to take on another operation.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '85', 's_4aa87431', 'Aye, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '86', 's_4cf693b', 'As you wish. Dismissed, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '87', 's_4d7a1ae4', 'Spaced him. Now, about my fee?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '88', 's_4d88001', 'When you launch into space, the TIE navicomputer will create a special \'launch waypoint\' that you can use to navigate back to the main Naboo space station. When you arrive at the space station, comm them and request landing clearance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '89', 's_4e0900db', 'By the powers vested in me by the Imperial Naval Command, under the ever watchful eye of the Emperor, I hereby commend you and bestow upon you the rank of Pilot Officer. Congratulations, Pilot Officer %NU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '90', 's_50ad850c', 'You will need to go to the starport. Once you reach the starport, go inside and look for a \'starship terminal.\' You\'ll find them in the main room of the starport. Use the terminal to launch your starship into space.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '91', 's_5109c7f7', 'Restrain your enthusiasm, pilot. This is a simple training operation and it doesn\'t pay as much as a real duty. Today you will be subject to a basic test of skill. We want to make sure you are capable of performing the kind of operations that are common in naval duty.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '92', 's_519c6a35', 'It would be an honor to fly for you, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '93', 's_527c6359', 'I\'m interested in equipment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '94', 's_53f85004', 'Let\'s leave the ground combat to the Army, shall we? I do have your payment for completing this operation. I also received your Imperial flight suit. The helmet will take a while longer to be finished. Each helmet contains special electronic equipment calibrated to the user.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '95', 's_550165e', 'Yes, volunteers or conscripts. Rebel opposition has become more direct. We want to recruit new pilots for support duty, freeing up combat pilots for the front lines.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '96', 's_565cc8ba', 'I live only to serve the Emperor, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '97', 's_56dbc789', 'Your skill behind the controls of the TIE Fighter have peaked the interest of several high ranking officers. In particular, members of the Imperial Inquisition have expressed their desire to take over your training. They rarely request specific pilots, so you should consider this quite the honor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '98', 's_5797c779', 'Welcome to the Imperial Navy Recruitment Center. My name is Lieutenant Barn Sinkko. Are you interested in learning about the Imperial Navy?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '99', 's_59c8db72', 'Sir, yes, sir!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '100', 's_59d306ec', '(Relate information on your inability to defeat the Rebel leader.)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '101', 's_5bc07030', 'What\'s the mission, sir?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '102', 's_5c314851', 'You get what you pay for.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '103', 's_5e2a2bb1', 'Sounds good.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '104', 's_5e3cf461', 'I\'m interested in Imperial technology.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '105', 's_5eba6ff3', 'I have not received authorization to assign you any missions, Pilot. Speak with your commanding officer if you are looking for something to do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '106', 's_5ebce168', 'Actually, I\'d like to do this later.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '107', 's_5ee0d552', 'This sounds like a better mission...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '108', 's_5f2d3c1e', 'I\'m fairly busy, so I\'ll have to talk to you more later.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '109', 's_5fdfcebf', 'Report back to me when you\'ve successfully eliminated the Rebels.  And do not abort your mission again!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '110', 's_6047677', 'I\'m ready, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '111', 's_60c4f974', 'Where do I go?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '112', 's_610250ee', 'Rebels? Near Naboo? Are you certain?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '113', 's_6159d1a3', 'I\'ve seen your face! You\'re a known Rebel pilot!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '114', 's_61eba7c4', 'I wouldn\'t have fallen for that trap.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '115', 's_62645c46', 'Keep up this level of performance and you\'re sure to see some frontline action. We\'re still trying to determine the Rebels\' intentions. For now, things seem quiet, so go get some rest and report back when you are ready for another mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '116', 's_62ee6ad5', 'Pilot, dismissed!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '117', 's_6396820e', 'What is the Imperial Inquisition?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '118', 's_6456f762', 'Great, now I\'ll look good at my funeral.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '119', 's_64fb691f', 'Good morning, Pilot Initiate. I hope you\'ve had your Drall cakes and cream, because its going to be a busy day. Stand at attention!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '120', 's_651c4d7a', 'And...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '121', 's_6554bb6c', 'Absolutely not.  You need to complete a few more assignments before I\'ll train you.  Now, about that Rebel fighter wing...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '122', 's_668cac00', 'I need to think about the mission and figure out what went wrong.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '123', 's_6868d86b', 'Return to me when you are ready to take the mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '124', 's_68951976', 'Get back out there and fly it again or turn in your authorization papers and hit the road. I don\'t have time for pilots who are incapable of completing simple assignments.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '125', 's_69a4d9f8', 'I\'m having your account credited. You\'ve earned it. I also had a bandolier made for you, since you\'ll never fit into a uniform... at least you can keep your things organized.  The helmet will take a while longer to arrive.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '126', 's_69a4eec5', 'How do I return?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '127', 's_6a128385', 'What is a duty?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '128', 's_6df58958', 'I\'m only interested if there\'s pay involved. I need work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '129', 's_6e62e955', 'You should be. An officer rank is usually only given to those who graduate Naval Command School. All combat pilots in the Imperial Navy hold at least the rank of Pilot Officer. The Empire has recognized your ability and has seen fit to elevate you to the lowest rank of the command echelon.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '130', 's_6e71a8bb', 'I already know how to fly and shoot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '131', 's_6f12f083', 'I won\'t, sir. You can count on me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '132', 's_6f5e007c', 'It\'s kinda ugly lookin.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '133', 's_6fc304c8', 'I\'m here to bust Rebel heads. Sign me up!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '134', 's_71ab0619', 'Just make sure you have my credits ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '135', 's_7258dd22', 'The Empire has recognized your ability and has seen fit to elevate you to the lowest rank of the Naval command echelon. Don\'t abuse that trust. You have also been reassigned.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '136', 's_729d0338', 'Thank you, Sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '137', 's_730419d7', 'Very well. The Rebels are apparently still in the same area. You must ensure their destruction this time. It\'s important that we maintain proper security on this planet and that means crushing even minor Rebel activity.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '138', 's_7478cd28', 'Will you train me after this?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '139', 's_754edf1d', 'With just a little more training, you could be using better equipment.  Missiles can really help to swing the battle your way, and this skill can allow you to use some good ones.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '140', 's_76892f68', 'Pilot. Report on the status of your patrol.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '141', 's_7724d1e6', 'Pilot Initiate. I\'ve been informed of your failure. Unfortunately, until you are able to complete that patrol without error, I cannot offer you further assignments with the Imperial Navy. I am very disappointed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '142', 's_786f3cf7', 'I want to study something else.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '143', 's_78d92576', 'What are my orders, sir?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '144', 's_78efc377', 'I\'m glad to see you didn\'t leave at the first sign of trouble. The Intelligence operative says you acted decisively.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '145', 's_798ef1b', 'Cute. Why recruit volunteers?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '146', 's_79ab4bbe', '[Escort Duty] I\'m interested in escorting transports.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '147', 's_7ae0d223', 'Good to see you again. I\'ve been authorized by my superiors to give you special training. Congratulations.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '148', 's_7bdc0484', 'I take it they attacked as expected?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '149', 's_7c4734cc', 'Well, it\'s a good thing for us that the Rebels lack your towering intellect. Our mystery is solved. The Rebels were here for the E-62 after all. Ground forces will need to track down how information on the prototypes leaked, but we know enough to secure further shipments of the technology.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '150', 's_7c8aca1b', 'Good choice.  Report back when you are ready for an assignment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '151', 's_7d477c70', 'Sir...I...ah...lost my ship control device.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '152', 's_7e347138', 'He\'s as good as dead.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '153', 's_8153a680', 'Slow down, friend. I appreciate the enthusiasm, believe me there are plenty of Rebels out there who need that kind of treatment, but the Imperial Navy is about more than combat duty.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '154', 's_81849afb', 'Report back to me when you\'ve successfully eliminated the Rebels.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '155', 's_8273f08f', 'Naval Command will be pleased. I didn\'t expect someone like you to be such an asset to the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '156', 's_8529aa51', 'Yes.  I\'d train you NOW if this weren\'t so urgent.  So make it quick.  Eliminate that Rebel leader!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '157', 's_859cd287', 'I\'m transferring the coordinates of a local security patrol route. It\'s quiet up there, so you won\'t run into any trouble. Fly a single circuit of the patrol route to demonstrate your competence of basic ship operations. When you\'re done, return to me for further instructions.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '158', 's_87019da4', 'I was hoping you would show your face, just so I could tell you myself:  You\'re a disgrace to the Imperial Navy and you\'ve been grounded.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '159', 's_87bb7015', '[Destroy Duty] I\'m interested in hunting Rebel scum.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '160', 's_88f723eb', 'Sir, I would be honored to fly with the Imperial Navy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '161', 's_88ffee3a', 'Report back to me when you are ready for some work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '162', 's_890c4859', 'Glad to hear it! Normally, all of our pilots are officers. Usually that means years of study at a Naval school, as well as special recommendations from an Imperial accredited academic center. We have a new program for volunteer pilots. Noncombat support work, but all the normal military perks and pay.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '163', 's_89bc583c', 'Very well, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '164', 's_8a2b78b3', 'Can we prevent that?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '165', 's_8b493b63', 'Excellent. I\'m transferring the coordinates of a local security patrol route. It\'s quiet up there, so you won\'t run into any trouble. Fly a single circuit of the patrol route to demonstrate your competence of basic ship operations. When you\'re done, return to me for further instructions.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '166', 's_8bc18758', 'I eliminated the patrol. I expect to be paid for that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '167', 's_8c262163', 'Report back to me when you are finished with your current mission.  You can abort your mission if you want to start over.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '168', 's_8c85a270', 'The burning scrap of their ships still bear Rebel insignia.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '169', 's_8c9c5f1a', 'Will you train me now?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '170', 's_8d324b72', 'I\'ve transferred the patrol coordinates to your datapad. Try harder this time, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '171', 's_8e66d267', 'You don\'t have the experience for training, yet. Perform some more duties.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '172', 's_8efde2ae', 'Yes, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '173', 's_90ce1297', 'No, thank you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '174', 's_916fe685', 'Rebels...near Naboo? I\'m surprised. We haven\'t had any reports on significant Rebel activity for quite a while. They must be working on a new operation. We\'ll scramble some sensor craft and try to track down where the Rebels were headed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '175', 's_94131047', 'Don\'t lose it this time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '176', 's_943c7ba6', 'I\'d like training.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '177', 's_95d2ba30', 'By the powers vested in me by the Imperial Naval Command, under the ever watchful eye of the Emperor, I hereby conscript you to service with the flight rank of Pilot Initiate. May you serve the Empire dutifully. Welcome to the Imperial Navy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '178', 's_95f0e74b', 'Even so, I suggest you wear it. It would be a marked improvement. Report back to me when you\'re ready for more work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '179', 's_987445c9', 'Thank you, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '180', 's_98c44634', 'With the recent increase in Rebel activity, our supply transports are at risk. The Empire would like to assign at least one TIE pilot to every transport operating in the Naboo system. You will be paid for every successful escort operation you complete.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '181', 's_9a34f731', 'Are you sure you want to sign up? You\'ll be expected to follow orders and treat your superiors with respect. This is a tight operation and we deal harshly with insubordinate behavior.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '182', 's_9b6aa4b0', 'Report back to me when you are ready for another duty. We need to look into this Rebel problem.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '183', 's_9bd7e7db', 'Alright! I\'m ready to make some credits.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '184', 's_9be59baa', 'The Inquisition is a special judicial branch of the Imperial Intelligence bureau. Of all of the Imperial divisions, only the Inquisition has the ability to investigate criminals, judge them, and execute punishment without recourse to standard Imperial law. The Inquisition is powerful and secretive. To become a member of the Inquisition is a rare honor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '185', 's_9c044885', 'Rebels? We haven\'t had any reports on significant Rebel activity in this region for some time. Are you sure they were Rebels?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '186', 's_9c2b0ed7', 'Noncombat? Doesn\'t sound very interesting.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '187', 's_9c80b7c7', 'I\'ll take that as a complement.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '188', 's_9d7bc2d3', 'On second thought, this sounds like too much for me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '189', 's_a087f2d5', 'You do not have the proper security clearance to fly any of the missions I have, but I do have some elective duty tasks that you can perform. Do you want a duty task?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '190', 's_a1302371', 'Since the destruction of the Death Star, we are increasing the number of resources directed against the Rebellion. We have a new program for volunteer recruits. You bypass the normal training and academic program for immediate assignments. Most of the assignments are noncombat oriented.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '191', 's_a1f66568', 'Stand at attention pilot! You are a member of the Imperial Navy. A modest level of respect for your superiors is required at all times. Complete this operation without incident and you will see better assignments, but for now you will shut up and listen! Is that clear?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '192', 's_a38ce775', 'You\'re almost ready, I think... but right now this is more important.  Pay attention!  I\'ll train you after you\'ve completed a couple more assignments.  Right now, you need to deal with those Rebels.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '193', 's_a44450e3', 'Good luck, pilot. Report back to me when you\'ve completed the mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '194', 's_a490d2c6', 'Alright.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '195', 's_a54e8a02', 'We also have a volunteer division on Tatooine under the direction of Lt. Akal Colzet. He\'s a little extreme, but you could talk to him if you want to work in the Outer Rim. Good day.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '196', 's_a57e647c', 'I\'m interested in astromech management.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '197', 's_a5bc9cf4', 'My payment?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '198', 's_a6069c84', 'Ran into some Rebel opposition, but they were easy prey.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '199', 's_a6e045f3', 'Don\'t bother taking a seat, this will be brief. We\'ve had a breakthrough. At 03:00 last night, an intelligence operative working under cover delivered a report detailing recent Rebel activities in the Naboo system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '200', 's_a7f18ee0', 'Very well.  Here is your payment for the mission. I\'ve also received permission to have your personal profile sent to the Commissions Office so they can start work on your custom TIE flightsuit.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '201', 's_a8264b81', 'Reveal the Rebel plan and keep the transport alive and you\'ll be paid. Report back to me when you\'ve completed the mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '202', 's_a8755a48', 'Unless you have business with the Imperial Navy, I must ask you to come back another time. I\'m very busy right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '203', 's_a8c82b1c', 'Sir, yes sir!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '204', 's_a9bcd9f0', 'Good job. I\'m crediting you for the mission, along with a little extra. You performed admirably. I can\'t say I appreciate your money motivation, but as long as you continue to do your job as efficiently, you can expect further rewards.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '205', 's_a9f55c8c', 'Yeah, I\'m ready. Sign me up!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '206', 's_aa61375', 'Apparently, the Imperial Army has been receiving shipments of a new blaster prototype, the \'E-62\'. For some political reason, the Ground Force Command deemed it wasn\'t critical to inform the Navy of these shipments. Strategic Planning believes the probing raids are meant to locate and capture one of the transports ferrying an E-62 shipment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '207', 's_abb72a4a', 'You are quite difficult to work with. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '208', 's_ada6c751', 'I\'ve already received the reports regarding your failure to eliminate the Rebel fighter wing. I\'m disappointed. If the Rebels think that Imperial defense on Naboo is weak, they may launch a costly offensive. They have no hope of winning, but we also don\'t want to see that kind of war here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '209', 's_add5962c', 'I eliminated the entire Rebel fighter wing, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '210', 's_adf9eee2', 'Report to me when you\'ve completed your mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '211', 's_ae102a', 'Your mercenary spirit is unsettling. I would like to think that you have some kind of patriotic belief. Something that drives you to help us, instead of joining the Rebellion.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '212', 's_b00e89d5', 'I\'d like to sign up, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '213', 's_b01365ea', 'You do seem naturally predisposed to this kind of work. I\'m glad you chose to work with the Imperial Navy. Report back to me when you\'re ready for your next assignment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '214', 's_b0ef8499', 'Flee? I\'m no coward!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '215', 's_b1f99085', 'This information will please the Naval Command. You have done an impressive job, Pilot. Perhaps you really are all that you claim.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '216', 's_b24a6589', 'It sounds like you already have a plan.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '217', 's_b29a803f', 'It\'s not your ship. It\'s the Emperor\'s ship... and it\'s one of many basic TIE craft parked at the starport. You have the \'control codes\' for this ship. I uploaded them to your personal datapad. Check your datapad to see your ship status.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '218', 's_b317642c', 'Alright. Come back if you reconsider.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '219', 's_b33bb9fd', 'You may very well receive it. For now, I want to continue to ease you into things. You may have some natural talent, but there is more to space combat than talent alone. Here is your payment for the mission, plus a bonus. I\'ve also received permission to have your personal profile sent to the Commissions Office. They\'ll start work on your custom TIE flightsuit.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '220', 's_b3408be1', 'Are you ready for your first assignment?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '221', 's_b39049de', 'When will you train me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '222', 's_b3d4ac64', 'Naval command will not be happy with having to share its resources with the ground forces... but I suppose we ARE on the same team.  You do realize that even as a covert operative, you may be opening yourself to attack when you least expect it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '223', 's_b5ba52d1', 'What did I do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '224', 's_b5d0e16a', 'This information will please the Naval Command. No doubt they will also realize that part of your success came from my masterful instruction. I think you may have done us both a great service.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '225', 's_b6683056', 'Welcome back, Pilot. Please report the results of the operation to bait a Rebel attack.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '226', 's_b6a9dd10', 'I should be asking you that.  All I know is that Imperial command has grounded you for actions against the Empire.  You\'ll never fly again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '227', 's_b6b25f13', 'Yes, sir!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '228', 's_b7bdfe36', 'Sure, sign me up.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '229', 's_b8ca7ab0', 'As long as you keep paying, I\'ll keep delivering.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '230', 's_b8f011dc', 'Here is your salary for the mission. This one was worth double the normal rate. I\'ve also received your Imperial TIE pilot helmet, specifically calibrated for your mental and physical flight profile. Wear this whenever you are on duty as a symbol of the Empire\'s technological and military might.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '231', 's_bb462a81', 'Very good. We\'re counting on you to trap the Rebels. Don\'t let me down.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '232', 's_bb78a22c', 'Don\'t get too cocky. The Rebels would be stupid to think we haven\'t detected them. Even though we don\'t know their exact location, they may be expecting an armed response. Intelligence reports there are several areas of high Rebel activity, which will be a good place to start your search.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '233', 's_bb8aff15', 'This is hardly a challenge.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '234', 's_bc1b7622', 'You performed admirably in combat with the last fighter wing. We want to see an encore. I want you to hunt down and destroy the rebel vessels in the area of the \'Kantari\' attack. The Rebels are still out there and we must make them pay. The security of the Naboo system must be maintained.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '235', 's_bc695163', 'I can clear you for a new TIE Fighter, but only the basic model. Are you sure you want a new control device?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '236', 's_bc7d6b01', 'I\'m a great fighter pilot. You guys could use me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '237', 's_bcadc07d', 'Good, report back to me when the mission is complete.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '238', 's_bd5ec97c', 'Lowered pay?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '239', 's_bda5060f', 'Hmph. Report back to me when you\'re ready for your next assignment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '240', 's_bf64734d', 'I don\'t want to learn anything right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '241', 's_c01da9e4', '(Sneer at him.) Just pay me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '242', 's_c0265f54', 'Yeah, they tried to take the transport.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '243', 's_c0c8fe59', 'One day the Emperor himself will recognize my strength.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '244', 's_c15ca8cc', 'Pilot Initiate. At ease. Since your discovery of Rebel activity in the Naboo region, I\'ve received further reports of Rebel sightings. The most recent report was from Commercial Transport \'Kantari.\' Several hours ago, \'Kantari\' spotted a Rebel fighter wing moving close to a commercial traffic route.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '245', 's_c17b4421', 'If you complete the mission, you\'ll get your pay. Report back to me when you\'re done.  Don\'t forget:  they could be anywhere in the system! Intelligence reports there are several areas of high Rebel activity, which will be a good place to start your search.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '246', 's_c19ed115', 'You\'ve got your assignment, and the control device for your ship in your datapad.  Go to the Starport and access the terminal to launch into space.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '247', 's_c2685407', 'I hope you reconsider. Good day, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '248', 's_c297a8d4', 'Most?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '249', 's_c5d91ca3', 'Don\'t underestimate the Rebel leader. He may be a highly skilled pilot and possibly have special operations training. He will probably be more skilled than the other ships you\'ve encountered so far.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '250', 's_c6aae4cb', 'Cranial proportions?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '251', 's_c6d9f61', 'I\'d like to study that in detail.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '252', 's_c760c195', 'There\'s always a chance you might get into combat during a support operation, but don\'t be so quick to want to get into a furball. The flyboys have a saying: \'dead is dead.\'');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '253', 's_c7ca1c2c', 'Will there be any shooting, sir?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '254', 's_c7d82215', 'What\'s the new assignment?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '255', 's_c80f115e', 'Rebel activity is still high enough that we need combat capable pilots on active duty locating and eliminating them. You have free reign to use lethal force against any member of the Rebellion you locate in the Naboo system. The Empire will pay a bounty on every one you destroy. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '256', 's_ca3578cc', 'I think it suits you. You have exceeded the expectations of this program and of myself. Your duty has not ended, however. Return when you are ready to take on another operation.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '257', 's_cb0c70a2', 'I was wondering when you were going to get to that part.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '258', 's_cb99174', 'I have to study what went wrong.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '259', 's_cd024d84', 'It looks intimidating. I like it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '260', 's_ce63cdc0', 'That isn\'t clear. The Rebels may be trying to find a weakness in the planetary defense grid, or they may be trying to distract us from some other operation. There is one small lead.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '261', 's_ce681825', 'You should have realized this long ago.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '262', 's_ce7aa9b7', 'I don\'t think it\'s wise to throw you into a combat situation without first measuring your abilities. Demonstrate that you can follow simple orders and then we can talk about giving you something that\'s more of a challenge.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '263', 's_cf68a5b5', 'Yeah, but the combat duty is the part I\'m interested in.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '264', 's_cfb2442e', 'It\'s as we thought. The Rebels have dispatched a small combat wing to attempt to recover a shipment of E-62 prototype blasters. Based on intelligence projections and the results of your engagements, it seems likely only a few of the original team are still alive.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '265', 's_d06e1eb', '(mumble) Yes, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '266', 's_d09c1ecb', 'Just doing my duty, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '267', 's_d25495b9', 'Pilot, I am singularly impressed. You have mastered the fundamentals of your profession and have performed beyond expectation and all without formal Imperial Naval Flight & Command training. I think it\'s time for a promotion.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '268', 's_d25c510b', 'Duty missions are open ended assignments. They end when you choose to end them. For example, if I assign you the task of hunting pirates, you can hunt as many pirates as you want. You can end the duty any time from the mission entry in your datapad. Perform duties to earn pay and build experience. Once you\'ve received enough experience, I can instruct you on various aspects of the pilot\'s combat role.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '269', 's_d2639576', 'Getting authorized for combat duty takes work. All of our pilots are officers. Usually that means years of study at a Naval school, as well as special recommendations from an Imperial accredited academic center.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '270', 's_d2ed722', 'Maybe you should reconsider your chosen profession! Come back when you want to try again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '271', 's_d66c56cf', 'I\'ve already received the reports on the damage to your ship and your failure to eliminate the Rebel fighter wing. I\'m disappointed. If the Rebels think that Imperial defense on Naboo is weak, they may launch a costly offensive. They have no hope of winning, but we also don\'t want to see that kind of war here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '272', 's_d825aeb0', 'Very well, good day Pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '273', 's_d82fc96f', 'Pilot Initiate, that was a complete disaster! Strategic Command wants you stripped of your commission. Fortunately for you, I still believe in this operation. I\'ve convinced them to give you another try. Get back out there and find those Rebels!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '274', 's_d8487693', 'Pilot. I don\'t have any specific work for you at this time. You can now select your preferred operation from a list of general duties. Or, if you have enough experience, pursue training.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '275', 's_d9f28087', 'The command staff will begin planning the next phase of the operation. We need to eliminate the remainder of the Rebel forces. Your next assignment will probably involve doing just that. Report back to me when you are ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '276', 's_da5219a7', 'Some Rebels were stirring up trouble, thought you said that wouldn\'t happen.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '277', 's_dc63dc1a', 'Never mind, I don\'t want any training after all.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '278', 's_dca3d46b', 'You want to draw them out.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '279', 's_de1d8561', 'I want to be paid for each Rebel I take out.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '280', 's_df1a0b2a', 'What is that?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '281', 's_df76b2e8', 'Imperial astromech functionality is typically built into a rugged navicomputer, rather than those annoying sorts of astromech units that the Rebel Alliance relies on.  I can teach you how to utilize some of the basic functionality of the droid interface to normalize your shields, overload your weapons, and that sort of thing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '282', 's_dfd0987b', 'You don\'t take complements very well. This one was worth double the normal rate. I\'ve also received your Imperial TIE pilot helmet, specifically calibrated for your mental and physical flight profile.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '283', 's_e034da9', 'I\'ll keep that in mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '284', 's_e106780b', 'Good to see you, Pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '285', 's_e1147f5d', 'I want you to hunt down and destroy the Rebel vessels in the area of the \'Kantari\' attack. The Rebels are still out there and we must make them pay. Eliminate them. The security of the Naboo system must be maintained.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '286', 's_e12b6418', 'I located and destroyed him, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '287', 's_e16ed40c', 'Then you\'re the kind of person we\'re looking for. Are you sure you want to sign up? You\'ll be expected to follow orders and treat your superiors with respect. This is a tight operation and we deal harshly with insubordinate behavior.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '288', 's_e1d8cd2a', 'This is disturbing. We\'ll need to increase our sensor coverage and try to determine where the rebels are coming from. The Emperor\'s Retreat is located on Naboo... the Rebels may very well be planning some kind of sabotage.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '289', 's_e24fd46f', 'You\'ve already proven your combat capability. I\'m taking a risk assigning you this mission, don\'t let me down. Remember, they could be anywhere in the system!  Intelligence reports there are several areas of high Rebel activity, which will be a good place to start your search.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '290', 's_e565620f', 'Fair enough. As long as it pays, I\'m willing to do the job.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '291', 's_e660e010', 'We need to confirm our suspicions. Make the Rebels show their hand. If we assign too many ships to protecting E-62 shipments, we may miss the Rebels\' actual objective.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '292', 's_e80d813e', 'I\'d like more combat duty, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '293', 's_e8a06d76', 'Report back to me when the mission is complete.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '294', 's_e9339227', 'Very good. Today we will be testing your basic flight capability. You\'ll need to have your ship prepped for flight.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '295', 's_ea112eca', 'I\'ll be ready, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '296', 's_ea289c5d', 'You should clean up your act pilot. You\'re sloppy. Report back to me when the mission is complete.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '297', 's_eb4bd86c', 'We\'ve thrown something together. I\'m transferring a set of coordinates to your datapad. I want you to fly this route until an E-62 transport contacts you. The transport is a decoy, being piloted by a Naval Intelligence operative. The transport will broadcast lightly encrypted information on E-62 and will fly through an area we believe the Rebels may be monitoring.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '298', 's_ec04a9b3', 'Report on the status of your operation against the Rebel leader, Pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '299', 's_ec61d38d', 'There\'s always a chance you might encounter Rebel resistance during a support operation, but it tends to be low. The real drawback to the program is that without formal Imperial training, you\'ll be on your own to learn the ropes of space combat.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '300', 's_ee63dfa9', 'Report back to me when you would like a new duty or mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '301', 's_efa5623a', 'Thank you...sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '302', 's_f02428e4', 'Do you think I could get one of those blasters?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '303', 's_f123cba6', 'Let\'s leave the ground combat to the Army, shall we? I do have your payment for completing this operation. I also had a bandolier made for you, since you\'re much too large for a flight suit. The helmet will take a while longer to be finished. Each helmet contains special electronic equipment calibrated to the user.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '304', 's_f3e660d', 'Some of them, at least. I want you to hunt down and destroy the Rebel vessels in the area of the \'Kantari\' attack. The Rebels are still out there and we must make them pay. The security of the Naboo system must be maintained.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '305', 's_f50739c7', 'You did? Impressive. I suppose that means we won\'t be able to track their heading, but under the circumstances you did the right thing. My congratulations. You\'ve shown that not only can you fly a basic patrol, but you aren\'t bad with a laser cannon either. Here\'s your payment for the job.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '306', 's_f5559c6a', 'Rebel markings on the hull of X-Wing spec fighters.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '307', 's_f6c0eced', 'We can definitely help you out, although we generally work with officer material from academic centers or Naval Training facilities. We have a new program for recruiting volunteers. The work pays and you\'ll be doing noncombat support missions.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '308', 's_f6c21772', 'If you don\'t get yourself killed first. Now that you have achieved an official command rank, I am no longer your commanding officer. You have been reassigned.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '309', 's_f6e10f56', 'Good to meet you Pilot. According to my records you\'re already working with a different division. What can I do for you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '310', 's_f774e399', 'Cool.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '311', 's_f7924d1a', 'I suppose you\'re waiting for your payment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '312', 's_f79f892a', 'I think I can manage my money just fine by myself.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '313', 's_f9081167', 'I\'m honored, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '314', 's_f9660223', 'I\'ll get the damage repaired and go after them again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '315', 's_f967fcee', 'No, this doesn\'t sound like my kind of job.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '316', 's_fa138f3b', 'Since the destruction of the Death Star, we are increasing the number of resources directed against the Rebellion. We need to put our more experienced fighters on the front lines, which means we need new blood for support duty.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '317', 's_fa7b1fcc', 'Keep the transport alive. That is a priority directive. Report back to me when the mission is complete.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '318', 's_fa956108', 'The command staff will begin planning the next phase of the operation. Report back to me when you\'re ready for another assignment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '319', 's_fc1001ba', 'Aren\'t you on a wanted list? I think I\'ve seen your picture before...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '320', 's_fc27931b', 'Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '321', 's_fd4fe208', 'That is your choice, but you may not get this chance again.  I suggest that you take it while you can.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '322', 's_fe2c6775', 'Here\'s your pay for the operation and another bonus for exceptional duty. I also received your Imperial flight suit. Please wear it while you are on duty. The helmet will take a while longer to be finished. Each helmet contains special electronic equipment calibrated to the user.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '323', 's_fe48d61f', 'I\'m not interested in debating personal philosophies.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '324', 's_fe5a7681', 'The Rebels attacked exactly as expected, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_1.stf', '325', 's_feb83ab9', 'Well, you\'re certainly sure of yourself. My adjutant will send someone out to confirm the kills. If there are active Rebel fighter wings near Naboo, we need to be concerned. The Emperor\'s Retreat is located on Naboo...the Rebels may very well be planning some kind of sabotage.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '1', 'do_not_edit', 'The English version of this file (naboo_imperial_trainer_2.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '3', 's_131def5c', 'Very well, yes, yes. Very well. Now then, I have an initial assignment for you. Why don\'t you familiarize yourself with the facilities and then return when you are ready?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '4', 's_164b059e', 'For your sake I hope that you are right.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '5', 's_172871ff', 'I knew I could count on you. Report back to me when you have finished the job. Don\'t disappoint me again, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '6', 's_196d2fe6', 'That is what it would appear. This transgression must never be allowed to go unpunished. It is time for Colonel Hend to be punished for his treachery. We are in the process of tracking down where the colonel went. Once we have found his location it will be up to you to pass sentence on the traitor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '7', 's_1980f233', 'I understand, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '8', 's_199bd27f', 'For several months now the Inquisition has been monitoring activities between certain members of our military and suspected Rebel sympathizers. One such meeting took place not long ago and it is time that the Inquisition discovered the truth behind these suspicious activities.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '9', 's_19fe9586', 'Do you want me to destroy the conspirators?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '10', 's_1ad5c0e0', 'What\'s the second thing?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '11', 's_1bac802d', 'Thank you sir. It has been an honor to serve under you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '12', 's_1c006c1c', 'Ah, you\'re a long way from your squadron pilot. What brings you out this way?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '13', 's_1d5aba18', '(Transfer the information to Inquisitor Fa\'Zoll.)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '14', 's_1d63bf5d', 'You still have much to learn about what it means to be a member of the Inquisition. Regardless, you are to enter the Naboo system and recover the colonel. His transport will most likely be heavily guarded and I doubt they will be willing to give up their prize without a fight. Once you have his ship secured protect it from counter-attack until it can hyperspace back into safe space.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '15', 's_1f033c46', 'I am ready and willing to make the traitor pay.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '16', 's_1f0f791f', 'Ah, yes, excellent. You are ready to begin our work, then?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '17', 's_205f33ca', 'Be on your guard. Any one of those ships could be in league with the insurgents.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '18', 's_20b3aa70', 'Yes, my lord. But won\'t the colonel be expecting us?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '19', 's_21772e5a', 'I\'m sorry, I can\'t help you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '20', 's_22a1fc52', 'Perhaps Imperial Intelligence can crack it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '21', 's_2313ac9e', 'What are you talking about?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '22', 's_241a34a1', 'Mastering proper use of heavy equipment technology is key. Use these study programs and destroy them when you have internalized the information.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '23', 's_245945cb', 'What is the matter with you, pilot?!  You dare show your face around here?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '24', 's_26408ea', 'There are several leads and the Navy is sending out patrols trying to recover Hend. The Inquisition has volunteered to assist the Navy in their search for the lost colonel. Of course, we have information at our disposal that the Navy is not privy to...such as the jump location of the transport that Hend is on.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '25', 's_26cb713a', 'Yes, how may I help you? Have you come to report a suspicious activity? You really should speak to my secretary. I only handle heresies and other critical cases.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '26', 's_2865fd30', 'For the time being, the Inquisition is assisting the local command in its regional duties. It would seem that some of their pilots are less than trustworthy. Perhaps at some later date some of them need to be put to the question. But for now you will act as a normal member of the Imperial Navy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '27', 's_29d0a2db', 'I\'ve run into some trouble so far.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '28', 's_2a77f19e', 'Two things, %TU.  One, you must perform missions for the Empire until your standing has improved enough that we might consider you trustworthy again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '29', 's_2ccef947', 'Good your back. We have discovered a serious problem. We managed to decipher the remainder of the message that you intercepted. It would seem that Colonel Hend was the one who was leaking the information to the insurgents.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '30', 's_2dcd5da9', 'Your zeal is most appreciated. Although much was lost we did manage to uncover the location where the pirates will be meeting the insurgents. It would seem that they will be exchanging some important information.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '31', 's_2e7df33d', 'The meeting is going to be taking place inside of the Dantooine system. It would seem that the courier you captured was not the only ship involved in supplying data to the Rebellion.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '32', 's_306da215', 'I told you once that I do not tolerate failure. Return to the Dantooine system and destroy that traitor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '33', 's_31804e15', 'Understanding how to rapidly and efficiently manage the complex systems on board a fighter is a necessary step in your development as a pilot. Use these study programs and destroy them when you have internalized the information.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '34', 's_3252d1a', 'No, of course not. We must find out what is in that transmission. You are to travel to the meeting place and intercept that transmission. Once you have intercepted the signal immediately transmit the information back here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '35', 's_32701355', 'We have received the transmission successfully and have begun the process of deciphering their code. There will be no error in the data this time to protect the traitor. Yet again, you have proven yourself an asset to the Inquisition.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '36', 's_32a6fe1c', 'I will do as you command, Fa\'Zoll.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '37', 's_34d641c9', 'You have a peculiar definition of loyalty.  Nevertheless, you might have a chance to redeem yourself.  If you can improve your standing in the eyes of the Empire... you MIGHT be allowed to fly again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '38', 's_369ec9fc', 'Yes, my lord. What should I do until you have his location?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '39', 's_3b69b91e', 'Once you have started your transmission there is a very high chance that you will be noticed by the enemy. You must complete the transmission at all costs. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '40', 's_3ba5368f', 'Don\'t you want to say good bye to me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '41', 's_3c9b80ee', 'Are there any leads on where they took him?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '42', 's_3ce84ec1', 'What do you think of the Rebellion?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '43', 's_3ce9c229', 'I hope you\'re trying to tell me this was all a misunderstanding.  You have NOT defected to the Rebel Alliance?  Because if you think we\'re not on to you... you will not like the consequences of your desertion.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '44', 's_3ead1387', 'There\'s not very much, but I do have some elective duty missions that you can fly. I have a briefing prepared if you\'d like to hear it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '45', 's_41786376', 'Then let us begin. It is a sad truth that many of the Emperor\'s own have chosen to betray his willful rule. The Imperial Inquisition must always practice vigilance against the traitor. It is often difficult to determine where these foul conspiracies take root. Indeed, the most dedicated traitor is also the most careful.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '46', 's_45fa29cc', '(Grin and listen.)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '47', 's_4682fc3c', 'May the Emperor\'s blessing be on you, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '48', 's_483fa8ea', 'Why don\'t you just arrest and question the parties involved?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '49', 's_4854758d', 'I would like to request a mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '50', 's_486a2be', 'Yes. Yes, I do think that you will have a brilliant future with the Inquisition. Report back to me with your findings.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '51', 's_486da900', 'Your continued success will rely on your ability to make maximum use of all new Imperial technology. Use these study programs and destroy them when you have internalized the information.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '52', 's_49be19d2', 'Excellent. I think that you might have a very bright future with the Imperial Inquisition. I have decided to transfer you to Inquisitor Vrke. He is one of the finest field operatives within the Inquisition and I believe that you will be an asset to his operations.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '53', 's_49f3270b', 'Report back to me when you\'re ready for an assignment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '54', 's_4a2282c8', 'Very well. Patrol the Naboo system and we will direct you to any unauthorized flights. They are to be escorted back to port. If they resist, you are authorized to use any force necessary, with one exception: do not destroy any of those ships.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '55', 's_4c695dbd', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '56', 's_4d0198f9', 'How may I serve the Inquisition?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '57', 's_4df61c15', 'Yes, as the Emperor commands.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '58', 's_4eef704f', 'That is most unfortunate. But luck is with us this day since another meeting has taken place. Again the pilot is leaving the Naboo system for Dantooine. I find this most interesting, don\'t you? Capture and scan this ship...oh, and pilot, do not fail me again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '59', 's_50f84d04', 'Good, very good.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '60', 's_5102164f', '(Nod and listen.)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '61', 's_51fe08f5', 'Point me in the proper direction and I will do as you command.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '62', 's_53d26b00', 'Of course not, Lord Fa\'Zoll.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '63', 's_576f96b8', 'That is correct. You will not fail the Empire. Now to your ship, pilot. Get me that transmission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '64', 's_594a07fa', 'I want to study advanced TIE combat operations.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '65', 's_5960dfeb', 'It is grim. Grim. We must often pluck up the brightest of our own commanding officers and examine their minds for any sign of conspiracy. The process is intrusive. Some do not live. As such, we only do this occasionally.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '66', 's_5b4ccb84', 'You have operational discretion to choose an assignment from the areas outlined by Imperial Intelligence in your briefing. I can also instruct you in the use of new technology if you think you\'re ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '67', 's_5bb1e2', 'I think that you will fit in well with the Inquisition. But you must learn patience. The officer involved has friends in very high places and without evidence we could leave ourselves open to scrutiny. The key to every good investigation is evidence.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '68', 's_5f0459fc', 'This is most interesting. The data seems to be encrypted. Only the guilty need to hide what they are doing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '69', 's_5f0835ab', 'We do not honor the insurgents with a name within these halls. They are a collection of foul aliens and wayward children of the Emperor. Strange outworld philosophies have twisted their understanding and have driven them to betrayal. It is a sad time we live in when the light of the Empire cannot reach all living things.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '70', 's_61eac8c', 'Go grab yourself a quick bite to eat and then report back. I have the utmost faith that the code will not keep us from the truth for very long.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '71', 's_6309f032', 'Good to see you, Flying Officer %NU. You\'ve been making significant impact with the other branches of the Imperial High Command. You have certainly done the Inquisition proud. But the time has come for you to resume your duties in rooting out traitors.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '72', 's_6396820e', 'What is the Imperial Inquisition?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '73', 's_681fb295', 'Have you accomplished what I have asked of you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '74', 's_696a6a00', 'I\'ve been asked to report to you for duty.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '75', 's_69ea2753', 'You need to report to Inquisitor Vrke inside the Emperor\'s Retreat. He will be handling your assignments for the time being.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '76', 's_6a6fe80', 'As I said, there are several areas that the local command needs assistance in. The first is strictly a simple police matter...if we could rely on the local authorities. A number of ships have been attempting to leave the system without filing the proper flight plans. You are to escort them back to port, by force if necessary.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '77', 's_6a9a7be2', 'Yes, Lord Fa\'Zoll.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '78', 's_6ca30e9d', 'The information you retrieved from the courier has been decrypted. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '79', 's_6e39f51b', 'Shouldn\'t we inform the Imperial Navy of this location?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '80', 's_6e9c09c4', 'Have you managed to track down the information that I requested, Pilot?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '81', 's_78c7dc33', 'Pilot Officer %NU, it\'s time that you were elevated to full operational status within the Inquisition. You are hereby granted the rank of Flying Officer. Congratulations Flying Officer %NU. You are now a full member of the Imperial Inquisition. Fly with honor and fight with the Emperor\'s own fury.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '82', 's_79d26fde', 'That is what I wanted to hear. Travel to Dantooine and begin your search for the insurgents. Where ever you might find them wipe them out. Let the justice of the Inquisition be swift and merciless.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '83', 's_7b25fbc3', 'You\'re cleared for training, so let me know when you are ready to begin.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '84', 's_7be3e248', 'I agree with you. Let\'s get you better prepared for future operations.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '85', 's_7c0ff63d', 'Ah, so you are the fine pilot that I have heard so much about. Your ruthlessness and efficiency are known among the Naval High Command and it is even said that the Emperor himself read your name in an activity report.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '86', 's_7c7a7681', 'How do you stop these crimes?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '87', 's_7f95f0a5', 'Get suited up, you\'re being scrambled immediately.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '88', 's_825fac62', 'I do not care for your difficulties. Get back out there and finish what you started. If you are unable or unwilling to perform this task, perhaps you would care to answer some questions that I have?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '89', 's_846f2737', 'Yes, sir! I will not fail you again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '90', 's_85fe2519', 'For now we will act as if nothing is amiss. Until we can figure out where he is, continue your operation helping the local forces.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '91', 's_860b7132', 'Right to the point as well. Yes, yes, I can see that I am going to enjoy our time together. Most exciting indeed! Well, now where to begin? Most members of the Inquisition spend several years at a seminary camp, learning the values of Imperial justice. You are being recruited on an accelerated time frame. This means you are exempt from seminary, but it also means you will be closely monitored for deviant activities.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '92', 's_872eaec4', 'Indeed, I am sure you would not. Nonetheless, we must watch our agents twice as closely as we watch the other members of the Empire. Any violation of Imperial doctrine by an Inquisitorial agent is punishable by summary execution. Do not stray from the righteous path I will set for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '93', 's_883a28d9', 'Pilot, it is time for you to learn some new skills. It is important that you keep sharp and keep your skills at the top of their game in order to succeed as an Imperial pilot. Are you ready?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '94', 's_89bc583c', 'Very well, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '95', 's_8e4bd7c1', 'Report back to me when you are ready for a new assignment. The Inquisition is in need of someone with your talents yet again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '96', 's_8e68e9b0', 'Such modesty! How refreshing. So many pilots believe they are the only thing keeping the Empire together. They do not realize that they are but a single thread in the grand tapestry. They do not realize that they could be cut and the whole would remain.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '97', 's_8efde2ae', 'Yes, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '98', 's_8f913d8b', 'I would never betray the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '99', 's_91223b5c', 'I\'m ready to begin immediately, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '100', 's_91e4b620', 'That will not be necessary sir. I will handle itl.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '101', 's_959d8d9b', 'Yeah, that sort of thing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '102', 's_95dcb85a', 'I do what I can for the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '103', 's_960be58b', 'Since you have complete operational discretion, it will be up to you to decide how to assist the local command. They are having several issues that require someone with your particular skills.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '104', 's_964c5567', 'Return to me once you\'ve successfully intercepted that transmission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '105', 's_96db4fc7', 'What? And we assisted him on his escape.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '106', 's_97222fa4', 'Wait a minute... what happened?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '107', 's_97d51490', 'Yes, sir. I have taught the traitor the error of his ways.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '108', 's_987445c9', 'Thank you, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '109', 's_9930b065', 'The second thing is, you must go away from here, and don\'t show your face until you are no longer considered an enemy of the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '110', 's_9962665d', 'Naval Command wants us to continue to assist the local command. Their assessment of the situation is positive, but they feel that inflicting further damage is necessary.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '111', 's_9ac35c60', 'You\'ve shown considerable improvement in ability since joining the Inquisition. It\'s time to allow you access to the next level of training and technology. I remind you that anything you learn is highly confidential, security rating Gamma Three. You may not share your knowledge with fellow officers of any rank at or below your own. What area would you like to train in?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '112', 's_9b43a7ee', 'Yes sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '113', 's_9c394eb4', 'No, sir. I am having difficulties with the colonel.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '114', 's_a08c6dc4', 'Have you accomplished the task that I gave to you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '115', 's_a2137dae', 'To the best of our ability. Sometimes more traditional means are necessary. The Emperor has taught us much. More often, though, the traitor is undone by their own carelessness. His eminence, the High Inquisitor, has granted me the privileged task of bringing this traitor under the watchful eye of the Inquisition.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '116', 's_a2cfa58e', 'I\'m sorry. I can only assign missions to pilots in my own unit. You should return and speak to your commanding officer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '117', 's_a59c7bd7', 'It looks like you\'re busy with an assignment already. Come talk to me when you\'re done.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '118', 's_a5dff683', 'It would seem that the encryption of the message was a bit more advanced than initially indicated and part of the message was lost. But we did manage to recover some very important details regardless.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '119', 's_a7cceea9', 'No, I am loyal to the Empire!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '120', 's_ac71da57', 'I\'m ready to take an assignment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '121', 's_aceff31e', 'Good luck, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '122', 's_ad754', 'Do not presume in matters that concern you not. Never the less, you have done very well, pilot. Here is a consignment fee for completing the job. Stay close, though. Once this data is cracked we might have need of someone with your particular skills.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '123', 's_ae26c22', 'Let me think about this for a bit.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '124', 's_b0d3b474', 'I\'m ready for training.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '125', 's_b0e9edf4', 'Yes I know that I really went above and beyond the call of duty to help you. You were very lucky to have me as your commanding officer. Now don\'t keep Inquisitor Vrke waiting.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '126', 's_b2101d5b', 'Yes, but what do you do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '127', 's_b257ddf8', 'Why would we want to do something like that? It would be a major black eye to the Navy if the Inquisition managed to find and rescue their lost man before they could.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '128', 's_b2634e3d', 'The third and final task is one that I personally would like taken care of. I did a little investigation into the Dantooine system and have located small patrols of insurgents in the region. The Navy has no wish to begin operations in that system at this time but that doesn\'t stop me from sending one of my own in to clear out that little hornets nest.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '129', 's_b2a924ab', 'I\'d like a briefing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '130', 's_b6b25f13', 'Yes, sir!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '131', 's_b784db84', 'The Inquisition, in all its wisdom, has authorized a duty pay increase for your exceptional performance and new rank. Since you are now a Flying Officer, you may select your own assignment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '132', 's_b8791e16', 'The second matter is one that the Emperor himself took great interest in. Supply freighters will be leaving the Naboo system on their way to a small out of the way place called Endor. The Emperor very much wants these freighters to make it to their jump locations safe and sound.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '133', 's_bb972bed', 'The Inquisition is a unique branch of the Imperial Intelligence service. Our job is to maintain discipline and security within the Empire as a whole. We are the ever watchful eye against heresy and betrayal. The children of the Empire sleep safely each night, knowing that the Inquisition never rests.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '134', 's_bc64aa40', 'The honor has been entirely mine. I have a feeling that one day you will be a shining example of an Inquisition officer. Listen and learn well from Vrke. He is currently stationed at the Emperor\'s Retreat and is expecting you. Farewell, until we meet again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '135', 's_be30f309', 'I want to study advanced equipment technology.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '136', 's_be89481', 'Welcome back, Pilot. Things are rather calm for the moment, so you will be flying some duty missions.I have a briefing prepared. Or if you\'ve already examined the briefing material, you can select a type of operation to begin.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '137', 's_c0996c6b', 'I am ready to serve.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '138', 's_c104d444', 'Yes, sir. I think I need more training though.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '139', 's_c1bc23b4', 'I am ready for some training.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '140', 's_c4880407', 'Developing new levels of tactical and physical excellence will be critical in realizing your true potential. Use these study programs and destroy them when you have internalized the information.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '141', 's_c50d6541', 'Pilot, you\'re supposed to be on your ship! Get up there and intercept that transmission immediately!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '142', 's_c5e2a04a', 'I believe you know exactly what I\'m talking about.  You\'re lucky you aren\'t shot on sight!  Naval command has issued orders throughout the galaxy... %TU is NOT to be trusted.  That\'s YOU, isn\'t it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '143', 's_c602907a', 'I will not fail the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '144', 's_c76594d7', 'I want to study advanced reactor engineering algorithms.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '145', 's_c8f39347', 'I am.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '146', 's_d1fa21c', 'As I knew you would be. Travel to the Dantooine system and scan for the colonel\'s ship. Once you have found it pass judgement on the colonel without mercy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '147', 's_d2f8399b', 'Flying Officer %NU, I have the highest level of respect for you, but I want to see more results in the operations available to you before you are ready for advancement.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '148', 's_d2fa677d', 'The suspected Rebel sympathizer is being overly cautious about not being stopped by any Imperial patrol and has filed a flight plan leaving the Naboo system in route to Dantooine. You are to stop his ship and inspect its navcomputer for any information that it might contain.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '149', 's_d4948205', 'You scan their minds?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '150', 's_d8b8f3ac', 'As the Emperor commands.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '151', 's_daf7bb7d', 'I see. What task do you have for me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '152', 's_de5b2183', 'Where is the enemy planning on meeting?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '153', 's_de870f1', 'The transmission that you managed to intercept for us has been partially deciphered and it indicated plans to abduct Colonel Hend of the Imperial Navy. Unfortunately, we received this information too late to stop the abduction.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '154', 's_dfdec194', 'Everything we do serves the Emperor. Meet the freighters in the Naboo system and escort them to their hyperspace locations.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '155', 's_e1771eb6', 'Remember, it will be worthless to the Inquisition if we are unable to recover the colonel alive. While you are recovering Hend we will continue our decoding of the transmission that you recovered.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '156', 's_e17af774', 'No one expects the Imperial Inquisition. He obviously thinks that he has gotten away with his crimes. Now go before we lose him again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '157', 's_e1b07878', 'I was wondering when you would finally arrive. We have just finished our calculations on Colonel Hend\'s jump position and it is clear he has traveled to the Dantooine system. The time has come for the Colonel to be punished for his crimes against the Emperor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '158', 's_e2cb470f', 'Investigations, judgements, and punishments. Each agent of the Inquisition is fully empowered to carry out any of these most important activities. The Emperor will suffer not for a moment the thought of a traitor to live. We must all be willing to give of ourselves that the Emperor\'s great work might continue.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '159', 's_e6765c30', 'I would like to serve the Emperor and escort the freighters.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '160', 's_e71434ff', 'Yes, sir! I\'m ready to take an assignment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '161', 's_e73e5d21', 'I want to study pilot combat training.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '162', 's_e84f3a62', 'I\'d like to assist in the police action.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '163', 's_ecb5e1e2', 'The Imperial Inquisition does not recruit and does not outsource work. If we have need of you, we will contact you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '164', 's_f0a7a4ef', 'It would be an honor to assist you in your quest to stamp out the insurgents.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '165', 's_f1be3213', 'What part in this do I play?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '166', 's_f283cf35', 'I am an old man. I have worked with His Eminence the High Inquisitor for many years. He is older than I. We make use of able pilots to carry out our judgements and commands.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '167', 's_f2cf68b3', 'Ok, well thanks for your guidance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '168', 's_f693949d', 'You mean, wish you well...tell you what a good job you have done for me and how much I will miss having you around?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '169', 's_f6d4476d', 'I am sorry but I seem to be having some difficulties...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '170', 's_f85fd827', 'I have a briefing prepared. Or if you\'ve already examined the briefing material, you can select a type of operation to begin.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '171', 's_f8b02865', 'What do I do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '172', 's_f91e446d', 'What have you learned so far, %NU?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '173', 's_fa3398f3', 'What is it you wish me to do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '174', 's_fb6ae829', 'Be warned with the suspected traitor inside the Empire it is possible that our enemies have gotten word of these transports.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '175', 's_fcff7b8e', 'Of course. I wasn\'t thinking, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '176', 's_fed6017c', 'How do we gather the evidence that we need?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_imperial_trainer_2.stf', '177', 's_ff5a78b2', 'What are you doing back here, pilot? I haven\'t received a report that you were successful in your mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '1', 'do_not_edit', 'The English version of this file (naboo_privateer_tier3.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '3', 's_145dcab', 'NO! I only like pilots that finish their missions! Get back out there!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '4', 's_17dec7f9', 'Then get in your ship and get happy. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '5', 's_1839ef54', 'Who has he killed?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '6', 's_18868d04', 'I was better.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '7', 's_19425c2f', 'You are?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '8', 's_19ab407', 'Pretty sure. My first guess was Gungan. Those guys are the scum of the earth. But all signs point to the Rodian.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '9', 's_19b65be5', 'It sure involves a lot of gunplay.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '10', 's_1aa056a8', 'Well I don\'t have THAT many - ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '11', 's_1d2b4360', 'You\'re going after a Rodian. This one\'s an assassin. He\'s been taking potshots at the Rodian Political Corps for a while now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '12', 's_1d418957', 'SOME PEOPLE should talk about this later, when we\'re not on duty.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '13', 's_1ebb58e3', 'Any visuals?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '14', 's_21bb034b', 'You got it. And we want to keep that a little-known fact, if you get my drift.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '15', 's_24ee6c29', 'Someone\'s always shooting at politicians.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '16', 's_2734ffac', 'Keep walking.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '17', 's_2852c031', 'Prove it. Finish your job.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '18', 's_29a181c', 'Those pirates really wanted that cargo, eh?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '19', 's_2b25d03f', 'Some people prefer the Rebels.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '20', 's_2b6e8499', 'As long as I get to shoot down a couple of pirate ships, I\'m happy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '21', 's_2b9a70e4', 'Then let me share the joy. You intercepted some pretty serious data on your last mission. We\'ve got information on a whole host of assassins, terrorists, and assorted bad guys.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '22', 's_2bc43dfd', 'Come again?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '23', 's_2bcd2d13', 'Hope this won\'t take too long. I\'ve got dinner waiting.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '24', 's_2c397539', 'That\'s more like it. I\'ve got a freighter that needs a pilot escort.  It\'s an old Corellian YT variant.The Cadamo Sun.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '25', 's_2c556bd9', 'He\'s Rodian. What more do you need to know? Green and greasy; they\'re all the same.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '26', 's_2ca7d4f4', 'I thought you hated guys like him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '27', 's_2d582b36', '[say nothing]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '28', 's_2dbfc867', 'Somebody\'s going to a lot of trouble! Must be quite a juicy haul they\'re protecting.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '29', 's_2df26676', 'What\'s his M.O.?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '30', 's_3271f1e9', 'Hey! I\'M the one that makes the observations around here. Now listen. I want you to put that Rodian out of commission. And here\'s the kicker - we want him alive.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '31', 's_327eb2d6', 'Oh yeah, that\'s right, I forgot. How about you GO DO THAT ALREADY.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '32', 's_333a7093', 'This is a good one; wish I could do it myself. You\'re going after a Rodian assassin.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '33', 's_36507434', 'Why do I always get the remedial cases? ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '34', 's_3895c4ae', 'Okay...so what\'s onboard this ship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '35', 's_3898bb41', 'Maybe yes, maybe no. Doesn\'t matter. These guys lie for a living. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '36', 's_38e0a377', 'Where have you been all my life?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '37', 's_3b315f68', 'Doesn\'t matter what I think.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '38', 's_3b32ba04', 'You\'re providing a valuable service to the Royal Security Forces of Naboo.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '39', 's_3c432969', 'Right. Your first target is a human, Beldini. Terrorist, killer, all-around bad guy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '40', 's_3c468733', 'You heard me. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '41', 's_3fa8b6f1', 'Coordinates are in your ship. You\'re clear to leave.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '42', 's_406e1216', 'Looks like you took a wrong turn somewhere. Scram.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '43', 's_41480145', 'Welcome back. I\'m so happy you\'re here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '44', 's_41a8901f', 'You sure a Rodian is responsible?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '45', 's_41d3138c', 'Why would they take that chance?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '46', 's_42d73452', 'That\'s above your security clearance. You\'ll be facing the Ay\'Nat Pirates. They want that cargo.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '47', 's_4636b7d1', 'Nah. You\'re getting a whiff of my lunch. I think. But you\'re right, I DO have a plan.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '48', 's_46eb0ec8', 'First, go to Dantooine. Just follow the data in your nav system. And keep your eyes open. This guy\'s a professional.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '49', 's_47152ac5', 'Oh yeah. The worst of the worst. That data you intercepted has led us to a real hornet\'s nest of assassins and terrorists.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '50', 's_47d51826', 'I smell a plan.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '51', 's_49772db3', 'Under the bed, with all the other monsters. Now listen up. I\'ve got a job for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '52', 's_4ad40b9b', 'Need anything? A drink, something to eat?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '53', 's_4b6422f4', 'Why do you work with the RSF if you hate politicians so much?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '54', 's_4bdc789d', 'Hope you\'re being sarcastic. You\'re looking for a Rodian assassin.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '55', 's_4ebef758', 'OK. Maybe we will. But back to business. Your new mission targets a criminal of a different type. I\'m talking about diplomats.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '56', 's_4f5f8321', 'Well,  you noticed on your last mission that we have run-ins from time to time with pirates.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '57', 's_4fc6a099', 'Aw. I think I\'m actually going to miss you - maybe. But duty calls. You\'re now assigned to Admiral Diness Imler, down the hall - he\'ll be giving you orders from now on. See ya, %TU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '58', 's_5075e20b', 'Your new mission targets a criminal of a different type. I\'m talking about diplomats.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '59', 's_51ca1520', 'An assassin? Who\'s he killed?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '60', 's_530e5eb4', 'Pick your poison.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '61', 's_53daee1c', 'You\'re starting to get a bad reputation.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '62', 's_53de9d8f', 'Like what?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '63', 's_55a8fc90', 'Good. You\'re going after a Rodian assassin.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '64', 's_5772fc88', 'Two out of two million ain\'t bad.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '65', 's_57d34626', 'I don\'t need to! People know those hunters are using you for target practice. Get back out there - and  try fighting back this time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '66', 's_589399fa', 'Love \'em.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '67', 's_5a2317e2', 'Depends. Am I killing bad guys?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '68', 's_5a236288', 'Just for now; I\'m not done yet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '69', 's_5a889c20', 'Like a dream come true.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '70', 's_5bd69df6', 'What do you need me to do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '71', 's_5ed53186', 'A human, name of Beldini. The worst of the bunch. He\'d kill ya as soon as look at ya.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '72', 's_61968e69', 'The freighter\'s in orbit around Naboo. See ya.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '73', 's_653b9611', 'Nah. Nothing so glamorous. You\'re going to escort a freighter, an old Corellian YT variant. The Cadamo Sun. They need your firepower.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '74', 's_6540bc41', 'Who\'s gunning for it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '75', 's_666cac71', 'These guys pose a SERIOUS threat to the royal family - hell, to this entire planet. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '76', 's_66f6527f', 'Do the diplomats know?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '77', 's_68d4ba6b', 'To be honest, it\'s probably not them. It\'s probably smugglers taking advantage of the opportunity, and hiding gear on their ship. Doesn\'t matter. Same difference.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '78', 's_692788e8', 'Where can I find  this charmer?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '79', 's_6aba4373', '[low whistle]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '80', 's_6bd02793', 'Nothing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '81', 's_6bdcb65c', 'Just tell me where to go.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '82', 's_6c251948', 'You got it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '83', 's_7009d8d', 'Zip it. Look, genius, you\'re in the Royal Security Forces now. You know what that means, right? You make sure the ROYAL family is SECURE.  ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '84', 's_707ab918', 'Now we\'re talking.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '85', 's_70b9cf4c', 'As a matter of fact, I do. Got a freighter that needs a pilot escort.  It\'s an old Corellian YT variant.The Cadamo Sun.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '86', 's_70e76a9a', 'OK, %NU, no more busywork. Time for some good old-fashioned killing. How does that sound?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '87', 's_719a036e', 'Who?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '88', 's_7278c01', 'I don\'t have to give you BUPKIS. But I\'ll tell ya \'cause I\'m feeling generous. This is a decoy ship. The real goods are on another transport.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '89', 's_72c4169a', 'Ay\'Nat Pirate Faction. They want what that ship\'s got. Or what they THINK it\'s got, anyway.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '90', 's_731caa45', 'Got a mission for me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '91', 's_7339c95e', 'Anybody at the top of the list?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '92', 's_738baf5a', 'A figure of what...? Don\'t get smart with me, smart guy. Shut your trap and listen up.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '93', 's_7478d95d', 'Loud and clear. Where to?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '94', 's_76703443', 'Thanks for the tip.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '95', 's_76734574', 'En route. Fly out to the waypoint and get ready to inspect each and every one of them. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '96', 's_7a9f14df', 'So I\'m guarding nothing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '97', 's_7b05ff95', 'Yeah. So much for that. Whatever. We\'ve got bigger fish to fry.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '98', 's_7e23ff31', 'Ask me no questions. This is the Royal Security Force, %NU. We\'re here to help the politicians do their dirty work, that\'s all.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '99', 's_7ea4b2be', 'And that\'s the way we like it! Listen %NU, the royal family has enemies. Always has, always will. They need us to keep them going. Nobody\'s interested in your opinion - or in your questions.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '100', 's_800745bc', 'No you\'re not. I haven\'t finished my job.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '101', 's_800cd173', 'You gotta give me a better explanation than that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '102', 's_80a39a22', 'Not exactly. This is a decoy ship. The REAL goods are somewhere else.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '103', 's_80cc6c3b', 'The only way you\'re going to get paid is if you complete your missions.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '104', 's_83905129', 'Unlike you, I DO get paid the big bucks, %NU, and it\'s on account of my suspicious nature. Smugglers may be packing these ships with contraband.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '105', 's_83b47a80', 'You telling stories about me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '106', 's_83c29fd0', 'Don\'t know. You know the royal family; always up to something. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '107', 's_841d27db', 'Why?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '108', 's_843db48d', 'I don\'t think I know you. And Mama told me not to talk to strangers. Beat it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '109', 's_84c9860e', 'Thanks for clearing that up.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '110', 's_88a726df', 'Hey, we\'ll see what you say when you\'re on this side of the desk. Let\'s get you started.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '111', 's_88e6f763', 'You sure do ask a lot of questions, you know that? Tell me, %NU, how do you like Naboo? \'Lot of Imperials around, you know.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '112', 's_89ae25d4', '[says nothing]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '113', 's_89ff8475', 'Obviously. This pilot will give you a lesson. Afterwards, you come see me for your next mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '114', 's_8be640b8', 'Sure.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '115', 's_8de81731', 'I\'m really going to miss that Saymonz Varg. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '116', 's_8e574ecb', 'That\'s nice. Should\'ve eaten before you got here. You need to work on your long-term thinking skills, start planning ahead.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '117', 's_8ebe23b3', 'Must have been something you ate. These diplomats, they\'re not exactly trustworthy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '118', 's_919b5558', 'It\'s not the ambassadors they\'re worried about. This guy\'s gunning for the Queen.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '119', 's_928dcf38', 'The assassin you KILLED, brainiac. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '120', 's_942ba0c6', 'Yeah...Imperials...they\'re good for the economy. OK never mind. Back to business. Your new mission targets a criminal of a different type. I\'m talking about diplomats.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '121', 's_96924c42', 'A couple of ambassadors, for starters. But that\'s not why we\'re interested in him. Word is, his next target is the Queen.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '122', 's_97b0942d', 'Not really. What was in there, anyway?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '123', 's_97e76dd', 'This Royal Security Forces assignment isn\'t so easy after all, is it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '124', 's_981c060d', 'Then I guess I better shoot first.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '125', 's_98427ee4', 'Yeah right. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '126', 's_98448a60', 'Yeah, but what, exactly?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '127', 's_984c29f6', 'I could ask the same thing. Where to?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '128', 's_9851897f', 'We want him alive.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '129', 's_992fcb9e', 'Hm! Must be carrying something good.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '130', 's_9b1d2d87', 'Done. This pilot will give you a lesson. Afterwards, you come see me for your next mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '131', 's_9ba13c', 'I\'m moved.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '132', 's_9d1fa2a2', 'When can I leave?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '133', 's_9d51a937', 'I hate Gungans.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '134', 's_9d9af42e', 'Where are these diplomats?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '135', 's_a09da7f1', 'You like that?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '136', 's_a31b65f9', '%TU. You\'re the new one.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '137', 's_a41bb8c7', 'How can you be so suspicious?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '138', 's_a56734f6', 'I noticed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '139', 's_a5fe9928', 'I\'ll take care of it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '140', 's_a6f174c', 'Have you got a mission for me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '141', 's_a70b470e', 'I want to know about advanced starship components.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '142', 's_a8a872ba', 'You and me both, buddy. I\'ve been here way too long, and seen way too much Gungan scum. Can\'t stomach the sight of them. Filth, all of them. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '143', 's_aa766bd6', 'I want to know about special warships.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '144', 's_ab3f1614', 'Boy, do I. This is a good one. I\'d like to do this myself.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '145', 's_acc52186', 'There\'s more?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '146', 's_ad973bd9', 'Yeah.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '147', 's_ae2d3229', 'I salute you, %TU. You\'re one heck of a pilot. Is there anything you DON\'T know?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '148', 's_af5ccac', 'Hate \'em.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '149', 's_b144d69b', 'Nothing I can\'t handle.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '150', 's_b1da46d', 'Where do I start?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '151', 's_b2ff9cb', 'Sure. AND we protect the royal family\'s INTERESTS. Follow?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '152', 's_b43b6c14', 'I guess you were. Time for round two.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '153', 's_b61d6d4f', 'OK! That\'s one less Rodian messing up the place. Nice work. Time to get back to your training.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '154', 's_b679efe', 'See that you do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '155', 's_b6d8cc82', 'A fleet of diplomats are coming to Naboo for a conference. You know, koombiyah and all that. Hugs not slugs.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '156', 's_b7137723', 'OK. Then let\'s get started. How do you feel about Rodians?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '157', 's_b8955212', 'Double helping. The freighter is up around Naboo; you\'re clear to go.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '158', 's_b8c1a96f', 'Hm. That makes it a little more complicated.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '159', 's_bd234730', 'You got it. This pilot will give you a lesson. Afterwards, you come see me for your next mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '160', 's_be0b0711', 'Hold it. I\'m not done.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '161', 's_be2c5a18', 'Sure. I do.They give me a real headache. But you gotta admit, they\'re good at what they do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '162', 's_be88ef61', 'Who\'s he killed?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '163', 's_bf22a8c8', 'Can\'t say I blame \'em. Got no use for them myself. But this Rodian\'s a real pain in the keister. We think he\'s killed two ambassadors already.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '164', 's_c0167dab', 'They want me to shut up, they better pay me more money.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '165', 's_c089dba4', 'I just am.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '166', 's_c28a300f', 'I want to know about system balance programming.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '167', 's_c3363bcd', 'Uh huh.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '168', 's_c4095762', 'Fly your ship out to the waypoint. Inspect the diplomats\' ships. Use some pretext if you have to. See what you can find. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '169', 's_c551ea96', 'Looks that way.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '170', 's_c5fdab6d', 'What\'s not to like?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '171', 's_c65cf2da', 'I love you new guys. So easy to wind up.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '172', 's_c6e9b9c7', 'Then let\'s have it already.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '173', 's_cae364a9', 'That Rodian is giving you a run for your money.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '174', 's_cc756770', 'It\'s a figure of speech.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '175', 's_d3583e11', 'That\'s above your security clearance. You\'ll be facing the Ay\'Nat Pirate Faction. They want that cargo.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '176', 's_d5861157', 'The Royal Family is always a high-profile target, buddy. Believe me. The Queen\'s got more bounties on her head than you\'ve got toes on your feet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '177', 's_d5b06d9e', 'You\'re a sensitive guy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '178', 's_d5b8e3f8', 'They sure did. Tell me what it was!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '179', 's_d5d85519', 'I thought we spent our time protecting the Royal Family.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '180', 's_d5d8a006', 'But what they\'ll get is me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '181', 's_d5f1fa36', 'You gotta admit, he was good.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '182', 's_d6b3034c', 'Slow and low. He stalks his prey for weeks, months, before he makes a move. He\'s got a hell of a kill rate.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '183', 's_d84b1644', 'I\'m not done.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '184', 's_d919151c', 'What\'s on board?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '185', 's_d9c145dd', 'The sooner the better.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '186', 's_da0e8cd0', 'I want to know about advanced techniques.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '187', 's_dc54e9e4', 'Can you tell me what it is?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '188', 's_dcf601cc', 'Don\'t we all! This pilot will give you a lesson. Afterwards, you come see me for your next mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '189', 's_ddd7e395', 'Why are you so interested?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '190', 's_df607c49', 'I\'m listening.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '191', 's_dfc8b68e', 'The juiciest.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '192', 's_e15039ea', 'Start earning your pay and stop wasting my time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '193', 's_e1775a2f', 'Pirates are crafty devils. Always scheming. So we\'ve got to be crafty too. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '194', 's_e1e07205', 'All you need to do is stop his ship. The boys in the lab are putting together a little surprise for him, but it\'s up to you to deliver the package.  Get over to the Dantooine System; we\'ll update you from there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '195', 's_e49c6b33', 'Don\'t have to sell it to me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '196', 's_e7b0a6c9', 'Another assassin?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '197', 's_e85927c2', 'Hm. You\'re not a talker. I don\'t like that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '198', 's_ea9bff27', 'The royal family has got bills to pay, same as the rest of us. They\'re very interested in keeping their interests...uh...well they want to keep their money safe.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '199', 's_eb9af09b', 'Sounds like you\'d do the same thing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '200', 's_ebe811bd', 'That makes it a little more complicated.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '201', 's_ec96bcc4', 'If you have to ask that, then you haven\'t spent much time on Naboo. Check your history books, buddy. They\'d kill us, \'soon as look at us.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '202', 's_ee08441', 'Ate before I got here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '203', 's_efb3dd1e', 'What\'s wrong with Gungans?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '204', 's_efff0139', 'I know; doesn\'t it break your heart? ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '205', 's_f2697794', 'Too bad for them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '206', 's_f2eec235', 'But for now, it\'s all about the Rodians.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '207', 's_f6976b78', 'Sounds like a plan. Go to the Dantooine system. Follow the coordinates on your ship\'s nav system; should lead you right to him. And you\'ve got  the element of surprise - I think.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '208', 's_f69a2921', 'Glad to hear it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '209', 's_f765036a', 'You\'re keeping the galaxy safe. The least I can do is offer more training.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '210', 's_f80d4276', 'So much for taking him alive.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '211', 's_f92d904a', 'You heard me. Hey, I don\'t come up with this cockamamie ideas. This one\'s straight from Central. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '212', 's_fa9d37d5', 'Sure, I could go for a little something.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '213', 's_fc59c904', 'The benefits are good. Now listen up. Naboo\'s hosting a conference. Diplomats are coming in from all over. And odds are, some of them are carrying contraband.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '214', 's_fcd5590a', 'Right. And here\'s the kicker - we want him alive.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '215', 's_ff5d0ba8', 'Because those lowlifes are using you for target practice. Get back up there and take those guys out!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier3.stf', '216', 's_ff7bebda', 'Don\'t let me down, ok? You\'d hate to see a grown man cry.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '1', 'do_not_edit', 'The English version of this file (naboo_privateer_tier4.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '3', 's_105bb565', 'The head honchos like to know EVERYTHING that happens in this system. You must have figured  that out by now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '4', 's_16106529', 'Well, this is a new problem in Yavin. We\'ll just have to deal with it. I\'m not going to wait for them to come to us.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '5', 's_1813de4d', 'Teach me about droid intelligence theory.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '6', 's_18a40c8c', 'Then why did you send me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '7', 's_18a76ec8', 'Who cares what they think?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '8', 's_191d50ad', 'I have somebody\'s duty pay.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '9', 's_1993702c', 'If you\'re feeling like a hero today, you could rescue a Naboo mining craft from Ay\'Nat pirates.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '10', 's_1adbadc4', 'I\'m ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '11', 's_1cf9a0f6', 'I\'ve saved the best for last. I need a pilot willing to fly sorties against Black Sun pirates. Dangerous, but fun. Especially for a big strong pilot like you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '12', 's_1f2b0388', 'Not any more.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '13', 's_1f680e83', 'You sure?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '14', 's_2035fbe6', 'You\'re lucky you made it back in one piece.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '15', 's_221582e4', 'Oh, you can, can you? I guess we\'ll see. Bye bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '16', 's_2271ff14', 'I think so. But you can be the judge of that. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '17', 's_2313ac9e', 'What are you talking about?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '18', 's_237b421d', 'They\'re not going to get involved. They\'ve got other things to worry about. You just take care of those Black Suns. Ready to go?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '19', 's_23e8aa6d', 'Hey, I\'m working on it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '20', 's_24231574', 'That\'s a nice attitude for a pilot to have. Actually, I do have some duty missions to assign. Take a look at what there is. Shall I give you a briefing?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '21', 's_251ee0bd', 'I\'m looking for Imperials.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '22', 's_25506b23', 'Teach me about heavy starship component use.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '23', 's_256dbbde', 'Ah, there you are. Good news, %NU. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '24', 's_25cf4e47', 'I don\'t think he\'s done with YOU, though.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '25', 's_25f8ac14', 'What\'s it carrying?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '26', 's_27cad067', 'Don\'t think I can help you there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '27', 's_27e6d728', 'You were right. They were packed to the gills with contraband.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '28', 's_2836e6b5', 'OK.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '29', 's_2befd882', 'Well...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '30', 's_2e904f6c', 'You\'re making me blush.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '31', 's_31c66e02', 'Not exactly. Since the Black Suns are willing to fight RSF pilots, they must have something to hide. So we\'re going to start taking a closer look at all activity in this system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '32', 's_3210ae50', 'Haha! They sure did.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '33', 's_328cdc99', 'That would be mine.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '34', 's_35a5b893', 'Won\'t find any here. See ya.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '35', 's_362a48e0', 'Anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '36', 's_3892e6da', 'Oh yeah? Well show me, then.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '37', 's_39500c68', 'What did you find?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '38', 's_39e697de', 'Whatever you say.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '39', 's_3af6b354', 'No, my friend. They\'re going against YOU pretty hard. You\'re good at what you do. And that means you\'re getting in their way. Black Suns don\'t like people getting in their way.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '40', 's_3c53afd8', 'I mean, the Empire\'s number one problem is that prison, but their radar is up, if you know what I mean. They\'re looking for trouble across the board. So we\'re going  to watch our step. We\'re going to watch everybody ELSE\'S steps, too.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '41', 's_3c9a53fb', 'I\'ve noticed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '42', 's_3d333deb', 'Well, you\'ll get more of the same here, if you\'re lucky. Are you a good pilot?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '43', 's_3f68df7d', 'Sounds easy enough.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '44', 's_3f76a413', 'I like it when my pilots stay busy. Why don\'t you volunteer for something? Or I can give you the briefing again, if you like.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '45', 's_3fdc63be', 'Because we love the Empire so much.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '46', 's_3ff13caa', 'Here you go. I\'m putting together another mission for you. Come see me later.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '47', 's_413ac49a', 'I want to help that mining craft.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '48', 's_41799e3b', 'You did good. I have a new mission for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '49', 's_42d6c3ee', 'Go on. Your ship is waiting.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '50', 's_44b1cd3c', 'Mm. We\'ll see. Let\'s get you going on a new mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '51', 's_48621561', 'What about  them? Look, they don\'t bother us, we don\'t bother them. Right now, Imperial happiness is your only concern. Get out there and take care of those captains. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '52', 's_492a501d', 'I wish I knew! That\'s highly classified information. The Admiral will explain everything to you. Pack your bags! The Admiral is waiting. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '53', 's_4cae7d37', 'Of course not. Forget about them for now. I have a new mission for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '54', 's_4cbd4a9d', 'I\'d feel great.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '55', 's_4d02fd15', 'That\'s what they SAY they\'re carrying. But I\'m not so sure. I\'d like you to take a closer look. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '56', 's_4d30b2ce', 'I guess I have to pay you then.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '57', 's_4e740301', 'You would be, too, if half the galaxy was gunning for you. And besides, the Imperials are awfully active down here. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '58', 's_4f4c63b2', 'Fine. Here\'s your duty pay. Find me later when you want another mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '59', 's_4ff27acf', 'Weren\'t you just a little bit scared? Just once?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '60', 's_501c35bc', 'Sure! Why not.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '61', 's_50d4081c', 'Where do I report?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '62', 's_5277eec5', 'You tell me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '63', 's_52917b0d', 'Of course.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '64', 's_539c8d41', 'The head honchos like to know EVERYTHING happening in this system. You must have figured  that out by now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '65', 's_552b15d', 'Right now, the only problem is that it\'s not here, in my custody. But you could solve that problem. Get going.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '66', 's_55453170', 'Not this time. But they\'ll try again. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '67', 's_556c01dc', 'Just get me up there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '68', 's_55dae7d2', 'Not by a long shot. And yes, I AM doing it for the money.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '69', 's_5603b2a1', 'Now listen up and pay attention. I hate repeating myself. I need a pilot to escort a Naboo mining transport through Endor space. I\'ll warn you, Borvo the Hutt\'s men will probably be interested in that transport.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '70', 's_57f232d6', 'I am going to become an Imperial?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '71', 's_5b5570cd', 'I didn\'t like the fact they tried to kill me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '72', 's_5b6fb4cf', 'Why? For what reason?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '73', 's_5c429d49', 'Yes ma\'am.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '74', 's_5d72fdfa', 'Well, not officially. But  this is a big opportunity for you. You will be working under them until they no longer are in need of your services. You will retain all of your RSF rankings and privileges. According to these orders, you are to report to Grand Admiral Declann at the Theed Palace immediately.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '75', 's_5e1ad1a2', 'I am. I\'m just having a bad day.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '76', 's_5fff247b', 'In this system, things DO go as planned. My pilots get the job done.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '77', 's_60d0f37b', 'Look. Here comes my favorite pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '78', 's_6140c0f4', 'Interesting. Here\'s your duty pay. Let\'s talk later.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '79', 's_614d7ac4', 'What is the mission?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '80', 's_619658af', 'I\'ll escort that mining transport.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '81', 's_62c8be58', 'I can handle those Black Suns.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '82', 's_6362f5f4', 'Here\'s your duty pay. Maybe you can spend some of your money on ship repairs.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '83', 's_63c379c4', 'These other pilots. Are they any good?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '84', 's_63e5cad0', 'Send me out there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '85', 's_65f98b49', 'Maybe you\'ll make an exception for me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '86', 's_67b2bdc1', 'Hurry up. It\'s time to get back to work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '87', 's_68441a06', 'Action packed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '88', 's_6cee1a83', 'Not so much.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '89', 's_70d61202', 'Please, give me the briefing again. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '90', 's_7177c3f2', 'Who is Grand Admiral Nial Declann?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '91', 's_720204b2', 'Let me worry about the Black Suns. I have a new mission for you. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '92', 's_7378bc13', 'You know how testy Imperial freighter captains can be. They think they own the universe. Especially these two. They\'re a real couple of killjoys. But they\'re our friends, so make nice, OK?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '93', 's_75f5450f', 'That\'s classified, my dear. You can ask the Grand Admiral yourself. Now let me give you some free advice. There are a lot of things that a pilot like you could learn from the Empire. Pack your things; you ship out immediately. Don\'t make the Admiral wait!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '94', 's_76701ff2', 'You\'re about to get your wish. But this time, you\'re not going alone. We need a show of force. You\'ll be joining a fleet of RSF pilots up around Yavin in a sortie against the Black Sun.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '95', 's_76cd7167', 'No. I\'m not. Although...I\'ll admit that I didn\'t think you\'d pull it off.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '96', 's_77e48d5b', 'What do you mean?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '97', 's_7869de8a', 'What\'s wrong with that Ay\'Nat ship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '98', 's_79387096', 'An inspect mission?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '99', 's_7977e8e2', 'I need to. Those Suns nearly shredded me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '100', 's_7b043f5c', 'Do you REALLY need to get paid? You\'re not doing the job for the money! Isn\'t it enough to know you\'re serving the royal family?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '101', 's_7cc97d1a', 'Well, apparently there are some Black Suns in the area, and they\'d prefer to keep their activities private. So they\'re launching an attack against our vessel. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '102', 's_7f9b8387', 'Why not?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '103', 's_80714a31', 'I think so. But you can be the judge of that. Ready to go?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '104', 's_8180cd8a', 'So. You did it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '105', 's_8289ab5b', 'I\'m ready for my next mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '106', 's_840f4ebe', 'What can I say? I\'ve got a nose for these kinds of  things.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '107', 's_841d27db', 'Why?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '108', 's_8462774c', 'So I should inspect the ship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '109', 's_84c002ae', 'Looking for a taste?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '110', 's_85a73c8b', 'So do you have a mission for me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '111', 's_8705a395', 'Listen, if you need a break, just say so. I\'ve got other pilots. And you\'ve been through a lot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '112', 's_87246f3e', 'You got it. Go check it out. And I don\'t mean one quick pass, either. Take a GOOD look. Because if they\'re carrying any contraband, we better find it before the Imperials do. Otherwise, the Empire might think we\'re pirate-friendly. And that would be a problem.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '113', 's_87f301d7', 'Really? Because it looks pretty easy. Maybe you could give it another shot. Please? ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '114', 's_88678c75', 'Supplies, a few passengers, nothing special.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '115', 's_886cd421', 'Ask him. Bye bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '116', 's_89aa28bd', 'Any idea what I should be looking for?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '117', 's_8a0c5ce7', 'I\'ll talk to you when you get back.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '118', 's_8bbbb2ce', 'Things don\'t always go as planned.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '119', 's_8ca0b65b', 'If you have a thing against the Ay\'Nat, you could help me out by capturing one of their private vessels.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '120', 's_8fe73508', 'Nobody replaces me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '121', 's_90422eb5', 'Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '122', 's_9121b74a', 'It was easy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '123', 's_9145ef83', 'Listen. There\'s a heavy mining freighter passing through Endor space.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '124', 's_917f4150', 'Well THAT\'S not a good enough reason! You\'re pretty bloodthirsty, too.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '125', 's_9192ecb', 'Don\'t be. I\'m being sarcastic.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '126', 's_9252108e', 'Not your favorites, I take it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '127', 's_9281abbb', 'Go get \'em, tiger.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '128', 's_9299cabe', 'What\'s going on with the Black Suns?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '129', 's_92fa7352', 'I have just been informed that Grand Admiral Nial Declann has ordered that you be transferred to his squadron, effective immediately. This is a very rare honor! RSF soldiers are rarely drafted into Imperial service so quickly. And they NEVER report directly to a Grand Admiral.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '130', 's_9312a850', 'So. How was life with Commander Delios?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '131', 's_9405f2ce', 'So apparently there are some Black Suns in the area, and they\'d prefer to keep their activities private. So they\'re launching an attack against our vessel. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '132', 's_9422ee24', 'You won\'t. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '133', 's_94654f90', 'I\'d like to see a little more sweat, if you know what I mean.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '134', 's_9525d65c', 'Any idea what the Black Suns are up to?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '135', 's_953c410e', 'Are you kidding? I\'m going to the cantina.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '136', 's_95fa2e6', 'What? For doing your job?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '137', 's_95fbf5d7', 'Our relationship with the Imperials is an important one.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '138', 's_963212ec', 'OK...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '139', 's_9686f892', 'Tsk. Better get back to Commander Delios. He hates it when people don\'t finish what they started.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '140', 's_96b5ddf3', 'Some firefight.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '141', 's_9750cd6f', 'Lucky miners! Have fun.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '142', 's_983ebe8d', 'They\'re going after the RSF pretty hard.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '143', 's_9a74f227', 'So I see. This one\'s an escort job.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '144', 's_9b07df81', 'Good. That\'s idea. Here\'s your duty pay. Bye now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '145', 's_9d4ab52b', 'What was the cargo?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '146', 's_9d566d78', 'Here\'s a little something for you. Bye now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '147', 's_9e779014', 'Always. There\'s a heavy mining freighter passing through Endor space.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '148', 's_9e7f84ea', 'I always do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '149', 's_9fe8c7e7', 'Does it say what they want from me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '150', 's_a087e986', 'Not exactly. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '151', 's_a11918f3', 'OK. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '152', 's_a224e8fe', 'A deep space scan vessel. It\'s an RSF ship. We\'re using it to investigate Endor space. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '153', 's_a284d393', 'Something like that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '154', 's_a2989575', 'They\'re lowlifes. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '155', 's_a404eb10', 'I\'m done with him!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '156', 's_a479efa4', 'OK, then.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '157', 's_a5795662', 'Because they\'re bloodthirsty lunatics, I guess.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '158', 's_a77b8282', 'Well don\'t come to me looking for a shoulder to cry on. I want results.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '159', 's_a82676b8', 'Royal Security Forces are using a deep space scan vessel in Endor space. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '160', 's_a9d8ef68', 'Give it another shot. Those Black Suns aren\'t so tough.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '161', 's_aa07a17b', 'Spice? Sliced weapons? Who knows. Anything\'s possible. And I mean ANYTHING. So keep your eyes open and your blasters primed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '162', 's_aa1834ec', 'I don\'t think I\'ve seen you before. Maybe you took a wrong turn somewhere.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '163', 's_ab0e62', 'Mm!  Good answer, %TU.I should warn you, though. I don\'t like telling people what I\'m thinking. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '164', 's_ab583079', 'I know. I was worried.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '165', 's_aba1f75e', 'Hm, maybe.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '166', 's_ad713f95', 'That\'s me, baby.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '167', 's_ada4db16', 'Teach me about exotic vessels.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '168', 's_af9cab7a', 'I didn\'t know you cared.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '169', 's_afec8242', 'Not THIS pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '170', 's_aff98418', 'I like your attitude. A busy pilot is a good pilot. But unfortunately I don\'t have any missions right now. Try your own contacts. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '171', 's_b0da26cf', 'I\'m sure.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '172', 's_b2e340f6', 'What\'s that?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '173', 's_b47b0542', 'I don\'t know, and right now, I don\'t care. The only thing that matters right now is that deep space scan. It\'s an expensive piece of equipment. We\'d hate to lose it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '174', 's_b59b9d3e', 'Well THAT didn\'t go as planned.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '175', 's_b5ee61ed', 'A pair of Imperial freighters have entered Yavin space. They need a go-between for a supply transfer. And that go-between would be you. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '176', 's_b7bd69e9', 'Oh! Well that\'s a relief. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '177', 's_ba2102e3', 'You got it. So check it out. And I don\'t mean one quick pass, either. Take a GOOD look. Because if they\'re carrying any contraband, we better find it before the Imperials do. Otherwise, the Empire might think we\'re pirate-friendly. And that would be a problem.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '178', 's_ba8f5de7', 'I see what you\'re saying.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '179', 's_babb0d0c', 'Look, this isn\'t an ethics class. We\'re all just here to do our job. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '180', 's_bbd611b4', 'What about the Imperials?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '181', 's_bd35f50b', 'I see you made it back from serving with the Empire in one piece. I am very glad of that. I have some jobs for you if you are interested.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '182', 's_bd3f3d63', 'I won\'t think any less of you. You\'ve proven yourself to me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '183', 's_bdc28bb4', 'You did a nice job protecting that scan vessel. We took a look at the tapes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '184', 's_c0540c7f', 'What Imperial crackdown?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '185', 's_c09ba3fa', 'I\'m looking for Rebels.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '186', 's_c17d2691', 'I can do it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '187', 's_c1ff5062', 'I\'m looking for a mission. Do you have any?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '188', 's_c290ec08', 'Imperials!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '189', 's_c31a5da7', 'I think we\'re going to have to deal with them. But not right now. Take a break. I\'ll see you later.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '190', 's_c4fcfcf7', 'I guess I should just...go and do it, then.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '191', 's_c5b4e219', 'Now, now. Don\'t get upset. Just because you can\'t get the job done.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '192', 's_c5eae735', 'Then maybe you\'ve noticed that the Imperials aren\'t exactly tolerant of troublemakers. They\'ll stay out of our hair, as long as we keep running a tight ship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '193', 's_c5f46951', 'I don\'t think one setback is going to destroy our alliance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '194', 's_c60b4787', 'Hey! You want to know more, ask somebody who cares. All I know is, They want everything in this system to be ship-shape. No illegal activity of any kind. And of course we are going to comply.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '195', 's_c62300e0', 'For the laughs. I like watching you fight. At any rate, here\'s your duty pay. I\'ll see you around.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '196', 's_c782ced7', 'I\'m flattered.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '197', 's_c82e9a2f', 'Yes, please.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '198', 's_c8888bec', 'Never.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '199', 's_c93f357b', 'I thought you said you were a good pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '200', 's_cab61bc8', 'I\'ve met pilots like you before. Raring to go. It\'s pilots like you that die first.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '201', 's_cd140a4', 'According to this, you are to report directly to the Grand Admiral at the Theed Palace. Now you won\'t actually JOIN the Imperial Navy - but you\'ll be joining them for a highly-classified mission. Sounds exciting, doesn\'t it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '202', 's_cdbde300', 'Well I\'m not going to stop.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '203', 's_cdffba3e', 'Tsk. You\'re late. That\'s not a good way to start your tour with me, pilot. Are you ready to begin? I have a briefing prepped for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '204', 's_cf0a01fd', 'Well, let me put it this way. In the Imperial Navy, power is held by only a few men. And Grand Admiral Nial Declann is one of those men. He makes things happen. I\'ve been told that he is a brilliant and inspirational leader. I think you\'re going to learn a lot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '205', 's_cfba6d32', 'Oh, I can DO it. Don\'t worry.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '206', 's_d1f589da', 'Ridiculous.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '207', 's_d3c9b4d0', 'Beats me! Something about trouble with the prison. And word is that the Vortex is gunning for the Inquisitors.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '208', 's_d55f2579', 'I\'m ready to go.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '209', 's_d56fe8b0', 'Boy, where have YOU been? The Empire\'s tightening the leash. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '210', 's_d6473733', 'I don\'t think I\'ve seen you before, but your name is familiar to me. What brings you here?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '211', 's_d6a8a04d', 'Oo. I can\'t wait to see you in action.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '212', 's_d70dba34', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '213', 's_d767398d', 'I didn\'t think so. I want you to get up there and make things right. Immediately!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '214', 's_d76f1ea3', 'What do you expect? He\'s a lifer here on Naboo. It\'s all he knows. Maybe you\'re more enlightened.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '215', 's_d7ffd6a9', 'What am I escorting?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '216', 's_d858532', 'Get out there and try again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '217', 's_d9008914', 'And listen. Don\'t be too gung-ho, okay? If you find some contraband, you know, tell me first.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '218', 's_d9177ade', 'This is another escort mission?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '219', 's_d91c04b2', 'I\'m supposed to give you a skill. Hurry up. Let\'s get this over with.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '220', 's_d9cced1f', 'Absolutely.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '221', 's_db51959a', 'Luck had nothing to do with it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '222', 's_ddf79f01', 'Black Suns are animals.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '223', 's_de697017', 'OK, if you\'re sure.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '224', 's_df2f398b', 'Don\'t hold your breath. We\'re wasting time here. I have a mission for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '225', 's_dfb50fb1', 'I think you\'re right. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '226', 's_e0ce54d', 'Sure did.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '227', 's_e1e40ead', 'That would be nice.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '228', 's_e2dbfb72', 'No. I\'m OK.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '229', 's_e4254ae2', 'Aw, come on. That guy\'s harmless. I like his negative attitude. It cheers me up.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '230', 's_e4399cac', 'What about the Black Suns?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '231', 's_e4bbe441', 'I think the Black Suns have declared war on the RSF.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '232', 's_e5235eff', 'Do you have a mission for me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '233', 's_e7515ed5', 'Go on. I\'m busy. I\'ve got things to do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '234', 's_e87166ba', 'He\'d like to start a one-man war against the Gungans.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '235', 's_e9b81b8b', 'Hm. Maybe I should start sending you on more dangerous missions. How would you feel about that?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '236', 's_e9ea6fec', 'Good. Because I want to go after them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '237', 's_eaf3e39a', 'I don\'t have any patience for lightweights. Do you know how to do your job, or don\'t you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '238', 's_eb2cfdac', 'You bet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '239', 's_eb4e939', 'Of course I do!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '240', 's_eb559766', 'What? Who? Me? I don\'t care. Get out of here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '241', 's_eb72f32e', 'No kidding!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '242', 's_ebb2f602', 'He didn\'t dazzle you with his charm?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '243', 's_ebcc7726', '\'Materials for an explosives plant. If they had moved them into this system undetected... well, they didn\'t. That\'s all that matters.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '244', 's_ec5dca32', 'Vortex? Inquisitors?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '245', 's_ee2b4c16', 'Help is the one thing they need. Just try not to get killed yourself, okay? I hate breaking in new pilots. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '246', 's_f0583774', 'Yeah, but...well...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '247', 's_f1e2aed8', 'Aren\'t you going to thank me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '248', 's_f4146fa1', 'Lowlifes with guns.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '249', 's_f453a7fa', 'I like your attitude. I was right about that freighter, wasn\'t I?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '250', 's_f803a81b', 'Nothing definite. Black Suns know how to cover their tracks. But they\'re definitely active in this system. And that\'s a problem, considering the Imperial crackdown.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '251', 's_fadf51b5', 'Imperials.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '252', 's_fb1b0124', 'They\'re paranoid, I know that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '253', 's_fc00cf40', 'I see what you mean.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '254', 's_fc7e0e7a', 'No ma\'am.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '255', 's_fcd38a06', 'Then you don\'t know the Imperials. Are you talking back to me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '256', 's_fd271a84', 'You read my mind. But this time, you\'re not going alone. We need a show of force. You\'ll be joining a fleet of RSF pilots in a sortie against the Black Sun.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '257', 's_fd7e4ac8', 'Teach me about expert techniques.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '258', 's_ff47ef5a', 'This job\'s not as easy as it looks, you know.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '259', 's_ff66ed8b', 'You don\'t have  to love \'em. You just have to keep \'em happy. Get out there and take care of those captains. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_tier4.stf', '260', 's_ff6e1247', 'Those Black Suns didn\'t like the fact you found their secret cargo.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '1', 'do_not_edit', 'The English version of this file (naboo_privateer_trainer_1.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '3', 's_122b0165', 'You\'re really coming along as a pilot, %TU. I think you\'re ready for some more training. What interests you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '4', 's_1664d807', 'You must communicate with the Naboo space station and request permission to land. Fortunately all of the new starship navicomputers automatically add a \'launch waypoint\' to your datapad when you take off. Find your way back to this point, fly up to the space station, communicate with them, and ask for landing clearance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '5', 's_1726d8a5', 'I want to know about droid interface basics.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '6', 's_1c8bddbb', 'What is it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '7', 's_1db37a0f', 'I\'m off!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '8', 's_1e029d90', 'Well, fortunately for you, I do have an opening for some duty missions today. There is escort duty and there is destroy duty. What would you like?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '9', 's_2883b989', 'Not right now, thanks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '10', 's_3175b359', 'Yes, yes, you have my word. Take out that leader and I will train you to be a better pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '11', 's_36a4e374', 'Yes, I am.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '12', 's_38d8b2c4', 'I appreciate your enthusiasm, but unless you\'re a member of the RSF, I\'m afraid I cannot help you. Talk to your own contacts if you\'re looking for a mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '13', 's_3d36a0e4', 'Eh, I changed my mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '14', 's_3d6c25c7', 'Good work, %NU. Here\'s your payment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '15', 's_3f49e786', 'Great!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '16', 's_40759c25', 'I want Destroy Duty');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '17', 's_41c478b2', 'Theed Hangar. Leave the palace the way you came. Take a left when you hit the plaza. Then follow the roads until you reach the power complex. Theed Hangar is on the opposite side of this building. Go inside the hangar and look for the \'starship terminals.\' Use one of these terminals to launch your starship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '18', 's_4358efe9', 'Where is my ship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '19', 's_443c036b', 'All I asked was for you to complete one simple patrol. What\'s the malfunction? Get back out there and secure the area!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '20', 's_465e6eeb', 'Greetings citizen. Are you here to join the Royal Security Forces?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '21', 's_48566ef9', 'What\'s in it for me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '22', 's_48b8131c', 'Don\'t worry.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '23', 's_4c695dbd', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '24', 's_52917b0d', 'Of course.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '25', 's_5c522568', 'Yes, of course.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '26', 's_5df0371b', 'Excellent work! It\'s a good thing we sent you on that patrol. Take this as your payment. If you want another assignment, then just come talk to me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '27', 's_5e36283d', 'You have demonstrated your competence to a very satisfactory degree. I think you\'re ready for some training. Tell me, what are you interested in?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '28', 's_5ed33504', 'Excellent. Sounds like you\'re all set then. Are you ready for your first assignment?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '29', 's_60c4f974', 'Where do I go?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '30', 's_61036267', 'You\'ve got your orders! Stop standing around and get back on the job.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '31', 's_6106187c', 'What is a duty mission?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '32', 's_629c7d23', 'I want Escort Duty');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '33', 's_63336624', 'Ready for an assignment? We have some duty missions available.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '34', 's_652689c', 'Please tell me you\'re not going to make excuses... It\'s a simple patrol mission and you\'re standing here jabbering at me?! Go complete your assignment!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '35', 's_6575e5d0', 'Get up there and put those Black Sun in their place.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '36', 's_659e0fa0', 'You\'re a loose cannon! Do you want to be a member of Royal Security or not? Now get out there and complete your assignment! Black Sun isn\'t going to take over this system on *my* watch!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '37', 's_65d63b3c', 'Well, RSF better pay me');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '38', 's_68660d24', 'I need to take care of some things first.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '39', 's_6b25cc31', 'I\'ve heard you\'re quite a pilot. What brings you to speak with the Royal Security Forces?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '40', 's_6ea4aa1e', 'That\'s great work! With their leader destroyed, they\'re sure to be on the run. Let \'em go to Tatooine if they want to be criminals, but they\'re not going to aggress merchants while the RSF is on the job. Take these credits and get your ship repaired, if it needs it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '41', 's_7217d77', 'Greetings officer! Nothing to worry about here, we\'ve got everything under control.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '42', 's_72f94b8e', 'I think you\'re a pilot for the Rebel Alliance! Look, the Royal Security Forces don\'t have any use for the likes of you. I think you should leave now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '43', 's_73f727e7', 'Now hold on, there... there\'s no reason to fly off the handle. You\'ve got a job to do, that\'s all. Now get out there and do it. And... good luck!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '44', 's_7478cd28', 'Will you train me after this?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '45', 's_7736f08b', 'Now it\'s personal.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '46', 's_789f76ee', 'Stop wasting my time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '47', 's_792ad840', 'OK, OK. Come back when you\'re ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '48', 's_7af03aab', 'I don\'t want to hear your excuses! Now get out there and complete the assignment!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '49', 's_7b3b28bf', 'Go!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '50', 's_7c1fe68f', 'Sorry, but I can\'t chit-chat with you. I\'m busy doing important Royal Security work here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '51', 's_7c4368e', 'You have accomplished all the tasks I have set for you. Are you ready for some more advanced work?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '52', 's_7eb4d42', 'Fine.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '53', 's_80744015', 'Don\'t worry?! Don\'t worry!? The captain\'s all over me about this and you tell me not to worry? Tell you what... go kill the Black Sun Leader and THEN I won\'t worry!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '54', 's_8179979d', 'Naturally.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '55', 's_85dd7d6c', 'How do I get back?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '56', 's_8853a92c', 'You\'ve got your assignment, and the control device for your ship in your datapad. Go to Theed Hangar and access the terminal to launch into space.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '57', 's_8fb73c4', 'I\'ll train you... AFTER you complete a few assignments for me. Now about that patrol...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '58', 's_904d71cf', 'Ok! Ready for an assignment already, eh? Well listen up! We\'ve had reports of pirates in the system and we want you to run a patrol. Just make sure everything\'s on the up and up. This ought to be a piece of cake.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '59', 's_90b16aa7', 'We\'ll pay for every transport that makes it through.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '60', 's_919029b', 'Go see Captain Kaydine. He is in one of the large meeting rooms upstairs here in the palace. Should be easy to find, just follow the ego.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '61', 's_9237617f', 'What about training?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '62', 's_939b6844', 'I want to know about basic starship component use.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '63', 's_966bc2b6', 'I don\'t know about you, but I\'ve had about enough of these criminals operating in our system! We want you to take out their leader this time, and use all necessary force to defeat any wingmen that happen to be with him, too.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '64', 's_97a2f8dc', 'Very well. Listen up. We\'ve had reports of pirates in the system and we want you to run a patrol. Just make sure everything\'s on the up and up. This ought to be a piece of cake.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '65', 's_9817b9bb', 'No, I don\'t.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '66', 's_983440a3', 'I don\'t like your attitude! Just go complete your assignment before I shoot you myself.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '67', 's_a49a3700', 'Your ship is parked at the starport. I\'ve uploaded clearance codes to your datapad. Check your datapad to review the status of your ship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '68', 's_a8cdf3dc', 'A duty mission is an open-ended task. That means that there is no true end to it, you just finish whenever you\'re ready. It\'s a good way to earn experience to prepare yourself for training. So, what do you say?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '69', 's_ac00d21e', 'I want to know about basic training.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '70', 's_aec5c3dd', 'It wasn\'t my fault. I was attacked!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '71', 's_b02e116', 'That\'s the spirit. Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '72', 's_b24af40a', 'You\'re going to need a ship, of course. I\'ll add these control codes for a basic one to your datapad. You should consider upgrading to a better ship soon, though.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '73', 's_b3a9fd05', 'Sure!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '74', 's_b5b6e634', 'But I\'m experienced enough to learn more now!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '75', 's_b9b27823', 'Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '76', 's_b9c77549', 'That\'s what I want to hear. Now go!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '77', 's_bbbfb8db', 'Whadya mean what\'s in it for you?! Pride in a job well done, you dope! RSF will pay you, of course, but that\'s not why we do this job! We do it because we\'re the ROYAL FREAKING SECURITY FORCES!! Now get out of here and complete your assignment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '78', 's_bcdb501b', 'Ready for your next assignment? Good! Obviously we can\'t allow that random attack on you to stand, so now we need to send a message to those pirates. Go destroy four of the Black Sun pirates... That should send a clear message that we\'re not going to tolerate their activities.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '79', 's_c19e20c9', 'Excellent. Consider yourself enlisted. Do you have a starship suitable for service?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '80', 's_c1ff5062', 'I\'m looking for a mission. Do you have any?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '81', 's_c261cfae', 'No problem.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '82', 's_c29502', 'Right, back to work! Now that you\'ve eliminated some of the riffraff out there, we want you to run a patrol and make sure there are no more of these criminals in the area.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '83', 's_c4682ea6', 'Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '84', 's_cd397d97', 'That was a quick reaction to pick up the escort. It is a good thing we sent you on that patrol. The pilot sent over some money for you to cover any repairs you might have, and here\'s something to help you organize your things.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '85', 's_cd72f93', 'Good choice.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '86', 's_d05d7112', 'It\'s a mercenary bandolier. Pretty popular item among the freelance pilot crowd. Really handy to help you keep your things organized.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '87', 's_d07cf233', 'It\'s not all about experience, %TU. I need you to complete a few assignments before I train you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '88', 's_d487641c', 'Not yet, %NU. I need you to complete a few assignments before I can train you any further.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '89', 's_d70dba34', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '90', 's_db74ddc6', 'How about some training?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '91', 's_e3245432', 'Well, you\'re going to need a ship. I\'ll add these control codes for a basic one to your datapad. You should consider upgrading sooner or later, though.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '92', 's_e38f886b', 'Good, good. We have a couple to choose from. You can either fight the Black Sun menace in a Destroy Duty, or you can assist the merchant freighters with an Escort Duty.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '93', 's_e6c0bf4f', 'There will be time for that later. Right now, you\'ve got a job to do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '94', 's_e814cf37', 'I would like a duty mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '95', 's_e94f494b', 'I want to know about basic fighters.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '96', 's_e9c7c6bb', 'That will come in handy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '97', 's_ea059f38', 'Will do!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '98', 's_eed2fe3e', 'Think nothing of it. Are you ready for your first assignment?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '99', 's_f07f26ad', 'DIDN\'T I JUST SAY WE\'D PAY YOU?! NOW GO DO THE PATROL ALREADY! GO! GET OUT OF MY FACE BEFORE I HAVE YOU ARRESTED!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '100', 's_f4245779', 'There\'s nothing in which I can train you right now. But a duty mission is a great way to earn some experience for your next training session. What do you say?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '101', 's_f5f16210', 'Very well. Come back and speak with me when you\'re ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '102', 's_f742d1e8', 'Unacceptable! Unless you take out the Black Sun leader, they\'ll never stop harassing our transports and our citizens. You\'re a better pilot than that! Now go destroy that leader\'s ship!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_1.stf', '103', 's_fb1c19c1', 'I want training!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '1', 'do_not_edit', 'The English version of this file (naboo_privateer_trainer_2.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '3', 's_130b925b', 'We\'ll need you to catch up to the Ay\'Nat Captain\'s personal starship... a rather fast vessel! Disable him, and protect an RSF Boarding Team while they arrest him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '4', 's_168f5655', 'I guess I forgot to mention this earlier... but yes, we have a mission to destroy a squadron of Ay\'Nat Ghost Fighters that have been sighted outside of RSF controlled space.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '5', 's_197f4f94', 'I am interested in intermediate starship component use.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '6', 's_1b428a9f', 'Yes, Captain. I\'m ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '7', 's_1c2b565d', 'Not quite yet, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '8', 's_1c7ee38e', 'You\'ll find it handy in your next mission! We\'ll need you to catch up to the Ay\'Nat Captain\'s personal starship... a rather fast vessel! Disable him, and protect an RSF Boarding Team while they arrest him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '9', 's_2017d4b5', 'Ah yes! Good choice. Now there\'s no time to lose. We\'ll need you to catch up to the Ay\'Nat Captain\'s personal starship... a rather fast vessel! Disable him, and protect an RSF Boarding Team while they arrest him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '10', 's_225b33f', 'Good luck, son!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '11', 's_24b7f2f', 'Excellent choice. This will especially come in handy since the Ay\'Nat pirate legion is mounting an aggressive campaign for control here in Naboo. They\'re building fast... so we need to strike at their leadership, and send them scrambling.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '12', 's_24d86e89', 'Great! In that case, let\'s get you started. I will update your flight status, and append the RSF codes to your datapad. Check back with me in a few minutes...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '13', 's_2847218', 'Being a war-hero, my life is rather complex. I perform a long list of Palace functions... almost none of which involve starflight. For those matters, I need able-bodied pilots such as yourself.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '14', 's_287eca83', 'We needed to get that prisoner ship out of the Naboo system to keep the Empire happy. You don\'t want the Empire to be angry with us, do you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '15', 's_2d67b7a8', 'Where do I come in?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '16', 's_2d86b58b', 'Hey, kiddo! What are you still doing around here? You got bigger, better things to be doing! And truth be told... I got nothing more to teach you, %NU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '17', 's_2dee44ae', 'You bet! A new starship would probably do a lot better against some Ay\'Nat Ghost Fighters!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '18', 's_2e7b17f3', 'It\'s very likely you\'ll fall under attack from Ay\'Nat Legion pirates. Be careful...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '19', 's_2fd7906f', 'Why do all you kids want to fly around looking like pirates? Ugh! But... I\'ll admit... you will need the handling capabilities of the Kihraxz Light Fighter if you\'re going to survive a pre-emptive strike against the Ay\'Nat Legion\'s elite starfighter assassins! That\'s for sure.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '20', 's_30297e22', 'Recover ships stolen by the Ay\'Nat Legion.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '21', 's_326deced', 'No, I am in this for the money');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '22', 's_32c46e00', 'Where should I go?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '23', 's_34ac61a2', 'The \'Kimogila\'');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '24', 's_35fb22d6', 'The Royal family has increased security in the wake of recent theft. A number of Her Majesty\'s personal freight ships have been hijacked in recent days. This is partly why you\'re here, I imagine... because we\'re hiring space pilots?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '25', 's_36a4e374', 'Yes, I am.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '26', 's_370822d1', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '27', 's_387397fb', 'Did you hear how the RSF Guard foiled an attempt by Ay\'Nat Legion pirates to detonate proton packs in the Palace reactor? ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '28', 's_394f0902', 'Good day to you! Captain Kaydine - the most decorated starfighter pilot in the Royal Security Forces... at your service!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '29', 's_3cef63a0', 'Fly out to your choice of strike points... look for Ay\'Nat Legion fighters. Likely, if these are hired for support - they will come out if you start tearing up the rank-and-file. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '30', 's_3db3463f', 'How do you do civilian! Captain Kaydine, at your service.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '31', 's_43148596', 'Did you catch those Ay\'Nat outlaws?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '32', 's_4495137d', 'Sorry, I\'m a bit distracted... did you hear how the RSF Guard foiled an attempt by Ay\'Nat Legion pirates to detonate proton packs in the Palace reactor? ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '33', 's_45b71b4d', 'I am interested in advanced fighters.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '34', 's_45d20070', 'I need training');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '35', 's_464cfc61', 'Greetings, pilot! You must be Captain %TU. Am I right?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '36', 's_4a1d2431', 'Yes, I\'m ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '37', 's_4a743aa7', 'The Ay\'Nat pirate legion is mounting an aggressive campaign for control here in Naboo. They\'re building fast... so we need to strike at their leadership, and send them scrambling.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '38', 's_4aa3066e', 'Ah yes! Good choice! Learning to fly many different types of ships makes an effective pilot!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '39', 's_57ba8a73', 'In that case, let\'s get you back up there. This time make sure the RSF prison ship makes it out of the system. Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '40', 's_58362a8d', 'Tell me about it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '41', 's_588f56b2', 'The ship is safe');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '42', 's_5e2a2bb1', 'Sounds good.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '43', 's_5fa9a5d3', 'Thanks');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '44', 's_6114e8b7', 'I\'m ready for duty');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '45', 's_63053557', 'Good! What duty element do you want to participate in today?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '46', 's_65042122', 'So, I hear you were not able to destroy all three of the Ay\'Nat Legion\'s outlaw fighters. But don\'t worry - I\'ll get RSF record keepers to hold off marking this one a failure. You ready to try again?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '47', 's_6c6f3940', 'How do you do sir! Captain Kaydine, at your service.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '48', 's_6cd96c01', 'Of course! There\'s no end to the missions... and there\'s no time for me to do them. Your job will be to take my place on the RSF duty roster - in exchange for training, which I will personally administer. Sound like a good deal?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '49', 's_6da2c92b', 'I realize there were a lot of fighters up there to deal with... but nothing changes the fact that the Ay\'Nat Legion must go! Are you ready to try this again?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '50', 's_70287826', 'Now that\'s showing some excellent leadership potential!  You\'ve really earned your pay this time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '51', 's_725573da', 'What now?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '52', 's_726bdb69', 'Good! Then let\'s get you back out there right away!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '53', 's_7458c693', 'Sorry, kiddo. You don\'t have RSF clearance to fly any of my missions. You\'d probably have better luck with your own contacts.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '54', 's_7614c65', 'Yes, it does.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '55', 's_76e6f264', 'Captain %TU! You are doing a fantastic job! I think you\'ve grown enough as a pilot to warrant advanced training. What area interests you most?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '56', 's_7ac0f961', 'How do you do. Captain Kaydine, at your service.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '57', 's_7bc9bef7', 'You\'re a real work-horse, %NU.  You remind me of myself.  Which duty are you interested in?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '58', 's_7cc7c206', 'Well then, welcome aboard! I\'m Captain Kaydine - Naboo\'s most decorated starfighter pilot, president of the Flying Color Guard, the Chancellor-elect of the Naboo Betterment Society, and all-around local celebrity!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '59', 's_837686a5', 'How do you do. Captain Kaydine - the most decorated starfighter pilot in the Royal Security Forces... at your service!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '60', 's_85263c6d', 'We can\'t afford to botch this opportunity! RSF has a new battery of information... and another chance to bring the Ay\'Nat captain to justice. You interested in trying again?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '61', 's_86358e09', 'Ghost Fighters?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '62', 's_86a73ee1', 'Sorry... I forgot to mention... We have a mission. Or rather, I have a mission and you\'ve got to do it. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '63', 's_8a84109d', 'It must be your lucky day. I actually do have some elective duty missions. Take a look and tell me what you want to do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '64', 's_8ad6a62e', 'You bet! New components should make your ship more than a match against a dozen Ay\'Nat Ghost Fighters!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '65', 's_8b529447', 'Woah, hey there. Are you ready for your next assignment? There\'s lots to be done!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '66', 's_8d90962a', 'Nonsense!  You\'ve earned this.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '67', 's_8f2e1055', 'So there are missions?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '68', 's_8f5942fa', 'I am interested in starship defense training.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '69', 's_9248b2ba', 'Well you\'ve certainly earned it.  I\'ll talk to you later.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '70', 's_92dbc95c', 'Kihraxz Light Fighter');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '71', 's_943f6352', 'Alright. Hurry up and come back when you\'re ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '72', 's_9560d48e', 'Yes. How did you know?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '73', 's_9817b9bb', 'No, I don\'t.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '74', 's_9928bf27', 'You\'re an odd one, %NU.  But you do deserve to be compensated for the risks you take.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '75', 's_9abb9538', 'Fantastic work!  The space station holocomm\'d me regarding a massive battle between a lone RSF pilot and a legion of Ay\'Nat pirates.  I knew that had to be you!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '76', 's_9af8d581', 'Ready to go up against the Ay\'Nat Ghost Fighters?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '77', 's_9b73da8', 'Protect the Royal Kylantha cargo.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '78', 's_9ce4dd83', 'Ah, yes! You\'ll certainly need the strength of the M12-L if you\'re going up against the Ay\'Nat Legion\'s elite starfighter assassins. Definitely!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '79', 's_9ea46a82', 'Palace security system. Sees all. Tells all. I\'m guessing you\'re here about the job?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '80', 's_a0072111', 'Hm. A grim job if there ever was one. I respect your courage. Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '81', 's_a0c23472', 'Did you capture the Ay\'Nat captain?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '82', 's_a6c7fa2b', 'What are the details?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '83', 's_a80d9308', 'Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '84', 's_a91b70fb', 'Those Ay\'Nat are the worst! You bet! I\'ll be updating the duty roster with your pilot info presently. Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '85', 's_aa77ffde', 'It was nothing');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '86', 's_aa83c988', 'Head deeper into the palace, my friend! Look for Commander Dulios. He\'ll set you on the path...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '87', 's_aae78dca', 'I think it\'s time for you to take on more responsibilities.  Head deeper into the palace, my friend! Look for Commander Dulios. He\'ll set you on the path...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '88', 's_ae21cb72', 'Thanks to you!  Great work, %NU.  You\'ve really earned these credits.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '89', 's_afe7700f', 'Well?  Was your mission a success?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '90', 's_b0704da1', 'I want to fly for the RSF!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '91', 's_b0ab3e88', 'Oh!  You had me going there.  Well you\'ve earned that, anyway.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '92', 's_b104c183', 'A fine choice, my friend. I will add you to the Queen\'s duty roster. Good luck up there!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '93', 's_b45e2166', 'I had some help');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '94', 's_bb291959', 'Excellent! Be careful up there! Those Ay\'Nat outlaws are deadly enemies!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '95', 's_bb45477c', 'Excellent choice! What starfighter do you have your eye on? Are you interested in the Kimogila? Or are you obsessed with that hideous Kihraxz Light Fighter like all the other kids?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '96', 's_be7af651', 'What?  I mean... oh.  Well, ok then.  Uh.  Here you go.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '97', 's_c1ff5062', 'I\'m looking for a mission. Do you have any?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '98', 's_c261cfae', 'No problem.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '99', 's_c4ef0e93', 'We need you to slip in to Ay\'Nat-controlled space, and hunt down a trio of Ace outlaws.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '100', 's_c5fcc7f5', 'Greetings, Captain %TU! Are you ready to take my place on the duty roster?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '101', 's_c892e540', 'Destroy Ay\'Nat Legion pirates in this system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '102', 's_c89c3456', 'How do you do! Captain Kaydine - the most decorated starfighter pilot in the Royal Security Forces... at your service!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '103', 's_c8f39347', 'I am.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '104', 's_ce72ef85', 'Just kidding');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '105', 's_d2ffe31e', 'Excellent!  Here\'s your pay.  I suppose you want to take some time off now and relax?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '106', 's_d586f458', 'Excellent! Get back out there and do me proud!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '107', 's_d65590b1', 'Keep it');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '108', 's_d70dba34', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '109', 's_d8472b3c', 'Well then welcome aboard! I\'m Captain Kaydine - Naboo\'s most decorated starfighter pilot, president of the Flying Color Guard, the Chancellor-elect of the Naboo Betterment Society, and all-around local celebrity!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '110', 's_da8818c5', 'If you say so, %NU.  I still say it\'s an impressive accomplishment.  You\'ve really earned your pay this time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '111', 's_dc649bb3', 'I\'m on my way!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '112', 's_e42b260e', 'I\'m on my way.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '113', 's_e95a95a5', 'I believe you have some business to attend to... in space?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '114', 's_e9c57758', 'Elite starfighter assassins?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '115', 's_eac39719', 'Sorry, kiddo. You\'re still in need of training! Come back when you\'ve learned to handle yourself better. Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '116', 's_ec671b3f', 'Well, the Empire has demanded that the prisoners be turned over for questioning. I\'m not sure how I feel about that. Regardless... are you up to escorting the prisoner transport?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '117', 's_ef08027f', 'That\'s excellent news for the peaceful citizens of the Naboo system.  I know you\'re not in this for the money, but I\'ve got something for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '118', 's_eff66f4d', 'I am interested in reactor engineering algorithms.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '119', 's_f32117e', 'You bet! New defense procedures should make you more than a match against a dozen Ay\'Nat Ghost Fighters!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '120', 's_f6ae3b07', 'What\'s the job?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '121', 's_f93088f1', 'Palace security system?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '122', 's_fd75abb', 'You bet! New droid algorithms in there should make you more than a match against a dozen Ay\'Nat Ghost Fighters!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_privateer_trainer_2.stf', '123', 's_ff45f1fd', 'Good luck to you, Captain %TU!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '1', 'do_not_edit', 'The English version of this file (naboo_rebel_tier1_kiizete.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '3', 's_104f81b8', 'Then you should speak with V3-FX right here. He can get you set up as an Alliance Pilot!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '4', 's_1162efff', 'It is my destiny.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '5', 's_14aade81', 'Do you teach?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '6', 's_1628fad8', 'Good luck, then!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '7', 's_17edec66', 'First, who are you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '8', 's_17eec115', 'Stinks to fail missions doesn\'t it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '9', 's_1ae7f565', 'I wish you good luck, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '10', 's_1c48bff0', 'Survival?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '11', 's_27b64c88', 'Hey... so tell me. How are things going?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '12', 's_2895a98', 'When you launch, your ship computer system will create a \'launch waypoint\' that you can use to find your way back. Keep this point active by opening your datapad, choosing the waypoint labeled \'Launch Waypoint\', and choosing to \'Activate\' it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '13', 's_2b5181ae', 'My name is Kiizete. I am a technician.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '14', 's_2e823c5f', 'Just talk to the droid. He\'ll take it from there!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '15', 's_2f212745', 'Destiny has drawn me here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '16', 's_34d8b295', 'I think you\'re scared.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '17', 's_3704b308', 'What do I do up there?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '18', 's_3e796521', 'Fly back to a space station. Comm the space station and tell them you want to land.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '19', 's_4669a3e4', 'Yeah. I\'ll tell you about it sometime.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '20', 's_46b93374', 'Its memory is defunct. Got an old pilot program in it. I gotta remove it... but it\'s proving to be difficult.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '21', 's_46dcc469', 'Nice to meet you, %NU. What are you doing around here?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '22', 's_489ec48f', 'Sort of. I normally work a shift on the Kai\'rek mining ship... but I got tagged by pirates on my first day of shore leave. I figure I\'ll need to run a few more contracts here on Naboo before I can afford to pay for repairs.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '23', 's_49a108e5', 'Sorry! Keep your cool, okay?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '24', 's_4bd66142', 'Couldn\'t be better.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '25', 's_4c90db01', 'We\'re doing just fine.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '26', 's_4ed31d3f', 'How do I land?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '27', 's_5655b98e', 'Don\'t beat yourself up about it. Just get back up there and try again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '28', 's_565d17f2', 'For now, maybe. But I\'m going to fix that. So... let me get back to it!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '29', 's_5aff38e2', 'We\'ll see about that...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '30', 's_5c46c104', 'The starship terminal in the starport will allow you to do that. Go to the starport, and use the ship terminal to launch.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '31', 's_5dc9a083', 'You don\'t need to worry.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '32', 's_5df1433d', 'Yes. It does.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '33', 's_5e15545', 'Is this your job?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '34', 's_6103a248', 'My destiny is different.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '35', 's_61657d0f', 'I see.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '36', 's_6472f6c1', 'Yeah. I really miss flying! I can\'t wait to get my ship repaired.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '37', 's_65372fa4', 'I hear things about a mysterious wing of TIE fighters. Like the Empire is relocating some combat school to the Naboo system. Stinks! We\'ll have squints crawling all over us!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '38', 's_65e8c460', 'So you\'re part of the Alliance now. How does it feel?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '39', 's_670bb9d5', 'Any pointers?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '40', 's_695e9ca2', 'What makes you think I would have anything to do with that?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '41', 's_69a02cf2', 'I am excited!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '42', 's_6a1ce31d', 'Well, I\'m not.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '43', 's_6a22af26', 'Then get to it! Grab hold of that droid and get your ship codes and flight clearance!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '44', 's_6bd02793', 'Nothing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '45', 's_6d949f10', 'A contract?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '46', 's_705da14d', 'Sorry to hear that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '47', 's_7136aa3f', 'But you know that this is your calling? Did it come to you in a dream? I\'m not trying to insult you - I do have dreams myself from time to time... sitting in a cockpit, blasting TIE fighters left and right!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '48', 's_77e48d5b', 'What do you mean?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '49', 's_7a0420ae', 'I\'m serious. I don\'t have time for you right now!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '50', 's_7c075dce', 'How do I get out of here?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '51', 's_7fa15433', 'What\'s wrong with it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '52', 's_82288395', 'I hope you\'re right.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '53', 's_8379d6bb', 'It\'s got this old pilot trainer program burned into it. Empire wants it out of there. It\'s not going to be easy, though. Moisture from the pond has gummed up this droid\'s circuitry. I\'m going to have to replace a lot of parts!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '54', 's_85d464bf', 'Are you kidding me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '55', 's_861c2497', 'You did, huh? Why don\'t you talk to V3 over there. He has a state-of-the-art Alliance Pilot training program!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '56', 's_8668104f', 'Your starship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '57', 's_88b50e', 'Yeah... sure... a contract.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '58', 's_890f3624', 'Use SHIFT+C to target it and open communication with the station commander. You can choose to repair your ship or land.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '59', 's_8920c0f2', 'I think you just might.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '60', 's_8a824d71', 'Well, maybe not. It\'s just the best that we can afford out here on Naboo. The Alliance doesn\'t have many friends in this system. It works, though. It\'s a very effective program.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '61', 's_8bf64edf', 'I don\'t know what to do next!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '62', 's_8dbe594', 'I\'m living it! Back off!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '63', 's_8dee77bb', 'I do odd jobs, okay? And I need to get back to this one...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '64', 's_92a0a895', 'You should talk to the droid...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '65', 's_933941d0', 'This droid is going to be the death of me! I\'m sorry... I\'m getting nowhere with this thing and I really need to get back home.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '66', 's_93f420a0', 'It\'s all falling apart.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '67', 's_95658182', 'I don\'t know yet...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '68', 's_9940f453', 'I got a recruitment email from the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '69', 's_9cd181e7', 'I see. Pretty intense. For me it\'s just a question of survival.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '70', 's_9d788910', 'I see, %NU... What destiny are you talking about?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '71', 's_9ddf5e8a', 'Why reprogram it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '72', 's_9f32bc26', 'Yes. Like that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '73', 's_a5edd9e5', 'No. Never really got the urge to teach piloting. Try the droid... He\'s good.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '74', 's_a5fe9928', 'I\'ll take care of it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '75', 's_a65b9c24', 'How do I comm a space station?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '76', 's_a95b1747', 'To save the galaxy!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '77', 's_af558512', 'A \'95. Hand-me-down. Look, I really need to get back to work...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '78', 's_afd1368', 'How do I use it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '79', 's_b26194cb', 'What are you doing here?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '80', 's_b369f7cd', 'I know what you mean.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '81', 's_b41e5c00', 'Meh.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '82', 's_b78a2c76', 'Look. Go to the starport. Find a terminal and launch into space. The war isn\'t going to wait for you!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '83', 's_b9934459', 'Me? No. I never made it as a fighter pilot. Sorry.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '84', 's_bc76e9cc', 'Dee\'ja. My starship is grounded for the moment. I\'m fulfilling a contract for the Empire right now. Got to get this droid\'s memory wiped and rebuilt.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '85', 's_bd21db14', 'Take it easy. What don\'t you understand?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '86', 's_bdc96417', 'Sorry. I really don\'t have time to talk right now. I\'ve been trying to get this droid reprogrammed all day. It\'s turning out to be a nightmare!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '87', 's_c1499ae3', 'Fly your route. Keep a low profile. Don\'t get into anything you can\'t handle. Come home safe.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '88', 's_c261cfae', 'No problem.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '89', 's_c39cb5eb', 'I\'ve come to join the Rebel Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '90', 's_c4682ea6', 'Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '91', 's_c899d08d', 'I want to join the Rebel Alliance!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '92', 's_c9274747', 'State-of-the-art?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '93', 's_ca776e30', 'Who are you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '94', 's_ca932c28', 'Forget it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '95', 's_cbba56ce', 'I thought you would be excited.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '96', 's_ce894b84', 'Just doing my duty.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '97', 's_cff6adcf', 'It\'s interesting you say that. I hear the Alliance is scrambling to stay ahead of the Empire in the Naboo system. You\'re tangled up with a mystery squadron of rookie TIE fighters... or something... What are you hearing?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '98', 's_d2083ee4', 'Nothing. Forget I said anything.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '99', 's_dd3ba522', 'Order of the Empire! What can you do? I just grabbed the contract from a terminal up in Dee\'ja Peak.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '100', 's_dff67cdc', 'You erase droids on a mining ship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '101', 's_e22b6287', 'Ah. I probably wouldn\'t understand anyhow... Take care!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '102', 's_e518378e', '(Give Kiizete your name)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '103', 's_e5aa590e', 'Where will I find a space station?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '104', 's_e5b2f859', 'For what?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '105', 's_e97d81c5', 'How do I launch?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '106', 's_ea3a9cb0', 'I\'ve taken a contract to reprogram the droid... but it\'s proving to be a lot harder than anyone thought it would be. Maybe impossible!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '107', 's_ed72de53', 'The Alliance needs me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '108', 's_ee55c9ed', 'Where\'s home?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '109', 's_f6c52e55', 'Take care.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '110', 's_fc27931b', 'Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '111', 's_fd0a45a7', 'Well, just be safe up there. Okay?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '112', 's_fdbd2351', 'What do you fly?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '113', 's_fe562082', 'Walk directly down the stairs... then wade into the water and slosh toward the starport. It\'s fun!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier1_kiizete.stf', '114', 's_ff33d98b', 'That droid is an Alliance training droid!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '1', 'do_not_edit', 'The English version of this file (naboo_rebel_tier3.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '3', 's_10d9119c', 'Ah, he did. And what did you think?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '4', 's_119da2e0', 'Why do you think the Empire cares about your group?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '5', 's_133ae1ef', 'Sounds like they don\'t care much about the Force!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '6', 's_1545afe8', 'Vortex members see conspiracies at every turn.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '7', 's_1611aa95', 'I don\'t know. I hope to find out. In the meantime, I need you to defend that outpost...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '8', 's_170add4', 'Perfect! The Bothans have the data now. I delivered it myself! ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '9', 's_17c8fb82', 'Inquisitors punish and torture Rebels.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '10', 's_189c01a2', 'The Empire is preparing to attack our outpost. We are in desperate need of your help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '11', 's_18c308e1', 'The leader ship is doing its best to keep a low profile. You\'ll have to hunt it down in the Endor system. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '12', 's_19fdbf16', 'That\'s one way to put it. They won\'t translate the data until they get what they want. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '13', 's_1a1b97f4', 'No. What experiments?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '14', 's_1ab74446', 'You noticed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '15', 's_1ba01028', 'Not good enough, %NU. You must start over.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '16', 's_1c058156', 'A Bothan base is under attack by Nym\'s pirates. They are in trouble and need defenders.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '17', 's_1d69f13f', 'No. Are you sending me to fight against the Bothans? ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '18', 's_1dccb274', 'He had useful information, at least.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '19', 's_1f94856d', 'Why are you helping the Bothans?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '20', 's_21aa6c60', 'You\'re free to leave.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '21', 's_22fbdd51', 'His databank may hold all the secrets of the Force crystals, and every dark detail of the Empire\'s cybernetic experiments. But we don\'t know yet. The information is encrypted. And only the Bothans can translate it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '22', 's_2330166f', 'I\'ll say. Rebel forces hardly ever attack pirates.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '23', 's_2600dae8', 'No, not exactly. You will be fighting FOR Bothans. Nym\'s pirates are attacking one of their bases. They\'re outgunned, and they need our help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '24', 's_26fbd13e', 'If you were a pilot, you wouldn\'t have to control your feelings. You could vent them with your blasters! ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '25', 's_2750c5d9', 'You still have work to do, young one.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '26', 's_27f52134', 'That\'s quite the understatement. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '27', 's_28d86e3', 'There\'s more. You\'ll be picking up a new passenger at the outpost.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '28', 's_2c1e1068', 'I\'m not the only one. The Bothans are most grateful.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '29', 's_2c4789b', 'Understood.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '30', 's_2d9a2e66', 'It is a rendezvous point for the Vortex. It is, in many ways, our library. It holds a lot of the information we have gathered over the years.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '31', 's_2e3763ed', 'We want to learn more about how the Empire is using those crystals. Have you heard about their medical experiments?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '32', 's_2f1094c2', 'My pleasure. That Inquisitor put up a good fight.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '33', 's_2f820fac', 'To be sure. Vrovel has told you about their cybernetic experiments? ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '34', 's_30760d01', 'Give me another shot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '35', 's_3154a04f', 'I think the Force is an old wives\' tale.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '36', 's_31a5e862', 'None taken. Are you still willing to help us?  ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '37', 's_31b106e4', 'Well, you were working with that informer. I\'m sure he had some secrets.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '38', 's_3950a8d4', 'They won\'t.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '39', 's_39b859cf', 'I don\'t know, young one. But I think that very soon WE will be attacking THEM. In the meantime, though, we will simply defend our position and help our Alliance brothers. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '40', 's_3c566f87', 'I should hope so! How many favors are they going to ask of us?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '41', 's_3d5f6974', 'You handle the cloak and dagger; I\'m here to fight. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '42', 's_3e7fb8a3', 'I appreciate your devotion to the Alliance, but I have nothing for you right now. I suggest you find your commanding officer. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '43', 's_3f107c3c', 'Imperial ships are attacking a Rebel outpost - one that is very important to us.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '44', 's_3f38ab04', 'Thank you, %NU. Our library is safe now.  ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '45', 's_401aa65c', 'I hope so. Now please hurry. There\'s not much time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '46', 's_40b69b18', 'That\'s life during wartime.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '47', 's_420c68fc', 'I thought you hated them! You\'re confusing me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '48', 's_44fd681b', 'Wouldn\'t you rather be on your ship? You are still on a mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '49', 's_45c4d2ca', 'Uh oh. I smell trouble.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '50', 's_47ae0171', 'The rumors are true.  Imperial doctors have found a way to create hybrid, cybernetic pilots.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '51', 's_4869a9c5', 'What was in the translated data?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '52', 's_49776d50', 'You\'ll be doing more than shooting TIE fighters. The attack is led by an Imperial Inquisitor. He is your primary target. Kill him, and the attacking forces will scatter. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '53', 's_4c695dbd', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '54', 's_4ca47de6', 'The Empire doesn\'t know about the Vortex.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '55', 's_4ec95981', 'Yes it is, my cavalier young friend. But the Vortex must continue. Our work is too important. The Empire is preparing to attack our outpost. We are in desperate need of your help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '56', 's_4f707592', 'Does the Empire know that?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '57', 's_4f98b9b7', 'You are not helping the Rebellion.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '58', 's_515906d2', 'That spy, you mean! Yes, we were working with him, as you say. We had no choice, unsavory though he was. And now we have his data. It may explain everything about the cybernetic experiments and the Empire\'s interest in Force Crystals. But it\'s not in a language we understand.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '59', 's_51fbaf83', 'We need information. They can provide it. That\'s all. Personal feelings don\'t come into it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '60', 's_51fbced7', 'You have failed! Try again, %TU!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '61', 's_5491ac40', 'They are massing their forces for an attack on our outpost, even as we speak.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '62', 's_54abba14', 'Perhaps. In the meantime, there\'s the business of our outpost. The Empire is preparing to attack. We are in desperate need of your help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '63', 's_55d6f6', 'Not a problem.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '64', 's_58ddac81', 'I\'m trustworthy - AND I\'m a good fighter. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '65', 's_58ec27cc', 'Ha! True enough. But you have your destiny, and I have mine. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '66', 's_590bda59', 'Well, it\'s over now. And I\'ve delivered the information to the Sypnet outpost, as ordered.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '67', 's_5a7254ca', 'One of our pilots will teach you that skill. When you\'re done, I will have another mission for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '68', 's_5bd69df6', 'What do you need me to do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '69', 's_5beffaeb', 'The Alliance is fortunate to have a pilot like you in their ranks. All you need now is more training.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '70', 's_5cfd5571', 'The Bothans are holding out on you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '71', 's_5d126009', '[pause] Honestly?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '72', 's_5d2275e3', 'And I\'m playing defense?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '73', 's_5e57a2aa', 'Well, thanks for everything, Brother Ezkiel.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '74', 's_5f5ad8b2', 'You\'re dedicated.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '75', 's_5fec5259', 'No craftier than the spy at that outpost.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '76', 's_61b6494b', 'Am I that transparent? Oh dear. I would be a terrible diplomat, I\'m afraid. You are correct.  A Bothan base is under attack by Nym\'s pirates. They are in trouble and need defenders. They are spies, not soldiers.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '77', 's_629b68ab', 'It was going so well. We thought we were on the verge of learning the purpose of the Imperial Inquisition.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '78', 's_63e41', 'About the Force. The Inquisitors have dedicated their lives to the pursuit of that knowledge. We have done the same. And now we have that informer\'s information.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '79', 's_68355d90', 'We\'ve uploaded general coordinates in the Endor system, but you\'ll have to find his exact location yourself, I\'m afraid. Good luck. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '80', 's_692e89db', 'They do now, I\'m afraid.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '81', 's_6a273da9', 'I\'m ready to go. Where is this leader\'s ship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '82', 's_6a5142e8', 'I don\'t know why you are talking to me when you have Imperials to kill!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '83', 's_6bdcb65c', 'Just tell me where to go.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '84', 's_6dea91bd', 'That mission was quite dangerous. Perhaps it\'s time to return to training. I want you to have the skills you need to succeed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '85', 's_6e6f308b', 'With the pilots? Yes he has. It makes me sick.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '86', 's_6e75fbb0', 'The Vortex is in danger.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '87', 's_6eb747d4', 'That\'s very kind of him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '88', 's_74967449', 'I thought that we could trust you, %TU... but it seems we were mistaken.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '89', 's_7af82252', 'Because I must. The informer\'s data is encrypted. Only the Bothans can translate it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '90', 's_7d043357', 'What\'s so special about it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '91', 's_7d3deb6', 'Secrets about the Force crystals?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '92', 's_7eab0dc3', 'So even though he was an Imperial spy, he was carrying useful information after all!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '93', 's_804150c5', 'What\'s happened?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '94', 's_81f74c8a', 'His data may explain everything about the cybernetic experiments and the Empire\'s interest in Force Crystals. Or it may be a recipe for chocolate cake. We don\'t know. It\'s encrypted.  We need the Bothans to translate it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '95', 's_8287425f', 'Well done. You gave those pirates a run for their money.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '96', 's_82cf4ca7', 'Why is the Empire targeting this system? Is it because of you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '97', 's_840116ce', 'Blast you! You haven\'t done your job!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '98', 's_840cb413', 'It\'s not paranoia if they\'re really after you, %NU. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '99', 's_841654d2', 'That\'s great news!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '100', 's_841d27db', 'Why?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '101', 's_879249ea', 'I\'m interested in space superiority fighters.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '102', 's_8874f806', 'Then you know how crafty they can be. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '103', 's_88e20a47', 'They have found a way to fuse a pilot forcibly to his ship, turning him into a cybernetic slave.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '104', 's_8a212117', 'Sick.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '105', 's_8a226979', 'I cannot help you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '106', 's_8a4f7617', 'Please.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '107', 's_8b1d3cb', 'Is it? I don\'t know. The Empire will probably send more forces.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '108', 's_8cf5321', 'The attack is led by an Imperial Inquisitor. He is your primary target. Kill him, and the attacking forces will scatter. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '109', 's_91a4e21b', 'And give safe passage to someone on the station.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '110', 's_92ecc2cf', 'The Empire will do anything to gain the edge in this war.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '111', 's_930d070e', 'The Empire is ambitious. They will continue to unleash their forces against us. They are extremely interested in what we know. And, of course, we are equally interested in what THEY know.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '112', 's_93c9d623', 'What about Alliance forces?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '113', 's_96483773', 'Oh no. Have no illusions, it will be difficult. But you will have the element of surprise.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '114', 's_97c42bb7', 'Of course. That\'s how Bothans are. Nothing is free.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '115', 's_98332b2a', 'Anytime.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '116', 's_9865d5b5', 'Destroy their leader ship. Without it, the pirate fleet will flounder - and that\'s exactly what the Bothans want.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '117', 's_991a471c', 'Not yet. You\'ll be reporting to Brother Extok Evin from now on. He is on Talus. You can find him in the \'Green Room\' of the theater in Dearic.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '118', 's_9a2a8f72', 'A Bothan base is under attack by Nym\'s pirates. They are in trouble and need defenders. They are spies, not soldiers.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '119', 's_9ac7f904', 'Am I leaving the Vortex?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '120', 's_9cc8e2ce', 'I\'m ready for another mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '121', 's_9d7c11a1', 'Of course. I\'m a soldier.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '122', 's_9e4cb685', 'Excellent! They must reveal something about the Empire\'s plans.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '123', 's_9f3f2aef', 'Know about what?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '124', 's_9f97864a', 'There\'s more. You need to pick up someone on the station.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '125', 's_9feb4fa3', 'Imperial forces are attacking a Rebel outpost - one that is very important to the Vortex.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '126', 's_a0e6a107', 'I can still turn this around.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '127', 's_a1217b89', 'Who? Another member of the Vortex?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '128', 's_a285e391', '%TU. Brother Vrovel says you can be trusted.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '129', 's_a2f15702', 'Yes they do, and they enjoy their work - but I do not think that is their true purpose. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '130', 's_a30c289b', 'You\'ll understand when an Imperial tries to attach you to a ship - with a blowtorch. Unless that sounds good to you - get back out there!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '131', 's_a436613b', 'I\'m interested in advanced starship component use.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '132', 's_a44e69af', 'I see. Then we must seem like a silly group of old men to you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '133', 's_a490d2c6', 'Alright.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '134', 's_a63013e4', 'It is a rendezvous point for the Vortex. It is, in many ways, our library. It holds our secrets.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '135', 's_a64028fc', 'Why would the Empire force loyal soldiers into those kind of experiments?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '136', 's_a6792612', 'And they won\'t help until we secure their base.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '137', 's_aa11d5d2', 'You only need to kill their leader.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '138', 's_aa7a038e', 'Talking to me - but you\'re leaving for the Dathomir system, as of now. Take out those Imperials!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '139', 's_aacbf366', 'Are you ready to work? The Vortex needs good pilots, now more than ever.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '140', 's_ab272dee', 'Not at all! I will miss you and your spirited attitude. You\'ll be reporting to Brother Extok Evin from now on. He is on Talus. You can find him in the \'Green Room\' of the theater in Dearic.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '141', 's_abd40fb', 'With you by their side, the Bothans see an opportunity to defeat these pirates once and for all.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '142', 's_b24e355f', 'You\'ll find your coordinates in your ships computer. Take off for the Dathomir system immediately. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '143', 's_b2aaabb1', 'I don\'t need a reason to shoot Imperials!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '144', 's_b34ab6f6', 'The Empire is DEFINITELY the enemy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '145', 's_b552b5dd', 'Not according to what I\'ve been hearing.  You have aided the Empire against us.  We will not trust you with any more assignments until you prove yourself an ally of the Rebel Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '146', 's_b5be169d', 'Not many people share your belief. We face opposition from within the Alliance, all the time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '147', 's_b70082a7', 'The Spynet\'s quite pleased. I think you\'ve shut those pirates down, once and for all. This will help us in the future. Bothans are good friends to have.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '148', 's_b9b27823', 'Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '149', 's_ba11bd82', 'And?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '150', 's_ba42ea16', 'You say that like it\'s easy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '151', 's_ba5bf569', 'I try.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '152', 's_bb3b47bf', 'But first? It sounds like there\'s a problem.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '153', 's_bc380d91', 'I\'m not here to convince you. I\'m here to order you to defend the base.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '154', 's_bc7aea36', 'They\'re holding their own, but just barely.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '155', 's_be1e6832', 'Immediately, I\'m afraid. I\'m sorry to see you go. It\'s been a pleasure working with you. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '156', 's_c1e154f', 'Sick - but efficient. These cybernetic pilots never question orders, and they never sleep, never eat.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '157', 's_c20e6f2b', 'Ah, but it\'s not so simple. The Bothans have made a small request.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '158', 's_c3fb9152', 'I appreciate that. Because we can use your help. The Empire is preparing to attack our outpost. We are in desperate need of your help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '159', 's_c5c397c9', 'Danger lurks around every corner. We cannot be sure who is friend and who is foe.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '160', 's_c5c41a6', 'No. Are these pilots flying for the Empire?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '161', 's_c5fd31d9', 'You\'re right. First we must help the Bothans.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '162', 's_c872184', 'I know you will. Now please hurry. There\'s not much time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '163', 's_c9e0d4f1', 'If you would.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '164', 's_c9f02e02', 'Go! You must succeed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '165', 's_cb3876f5', 'Immediately. Coordinates are already in your ship database. Thank you for your help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '166', 's_cbc2d68c', 'Your work here is done %TU. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '167', 's_ccecab6a', 'I\'m interested in system balance programming.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '168', 's_cd53d6a8', 'But do they know it\'s a Vortex outpost?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '169', 's_cd650ee8', 'The Empire is everywhere.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '170', 's_cdcbf519', 'What do YOU want?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '171', 's_ceaea132', 'You can trust me');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '172', 's_d001ebec', 'We\'ve attracted the attention of the Inquisition.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '173', 's_d15e12a8', 'We want information. They want secrets. There is a difference. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '174', 's_d178b596', 'That doesn\'t prove anything! The Empire attacks everything it sees.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '175', 's_d2bd9636', 'Not standing here, you can\'t. Please return to your ship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '176', 's_d3b66245', 'I think the Force exists.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '177', 's_d3cb3651', 'It\'s evil, but not impossible. We must know more. And we need that outpost secured!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '178', 's_d40fde1', 'Anytime, you say? Well, how about right now? They\'d like to enlist your services again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '179', 's_d41d97bf', 'Things are coming to a head in this system. Imperial forces are launching a major assault.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '180', 's_d55f2579', 'I\'m ready to go.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '181', 's_d561a496', 'I will do my best.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '182', 's_d57982dc', 'Yes. They\'re horrible.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '183', 's_d5ad9570', 'The less said about him, the better.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '184', 's_d5f9f79b', 'But only if I do my job.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '185', 's_d611f5ae', 'All\'s fair in love and war. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '186', 's_d683dc69', 'I hope not. Now please hurry. There\'s not much time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '187', 's_d70dba34', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '188', 's_d764414f', 'Hate is a tool of the Dark Side. I must learn to control my feelings. It is not easy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '189', 's_d786a9a7', 'Nothing is more important than those Force crystals. Now you must help us, and quickly.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '190', 's_d7eb327a', 'There\'s no word for what they\'re doing. You must defend that outpost. We need that information.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '191', 's_d88c653e', 'Are you sure?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '192', 's_da08554e', 'But the pirate fleet is huge! I can\'t kill them all.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '193', 's_deccbb06', 'Who? A member of the Vortex?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '194', 's_ded27301', 'I\'m not defeated yet!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '195', 's_e2e9a78f', 'It would seem so. We\'ve always been very private about our activities there. I do not know how they found out about us.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '196', 's_e494ecca', 'Then what am I doing here on the ground?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '197', 's_e5e9b349', 'The Bothans want those pirates destroyed, once and for all. And you can help them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '198', 's_e5f0e762', 'We have the opportunity to learn more about the Inquisition\'s activities. We have found an Imperial aide, someone who possesses a great deal of knowledge about the experiments and the Force Crystals. He is willing to tell us what he knows. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '199', 's_e6be1367', 'I\'m interested in advanced space combat.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '200', 's_e711b5e8', 'Maddening creatures.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '201', 's_e7150ae1', 'That\'s not possible.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '202', 's_e77894ce', 'I hope they ARE machines - for their sake. Can you imagine being trapped in your own body like that?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '203', 's_e9c7f196', 'We\'ve uploaded the coordinates to your database. Be warned, an Imperial Inquisitor is leading the attack. He is your primary target.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '204', 's_ea78d92a', 'Do you need a translation? Bothans are master translators.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '205', 's_eb3c17f0', 'Was it something I said?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '206', 's_eb5863d5', 'You\'re awfully quick to help Bothans. I thought you hated them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '207', 's_eba35f17', 'When do I leave?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '208', 's_ebd3969d', 'No man should die that way. There is no end to the darkness in the heart of the Emperor. If he finds a way to harness the power of the Force, then our future will be bleak indeed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '209', 's_ed8cbd3f', 'So they\'re just killing machines.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '210', 's_eeb2051f', 'Very nice work, %TU. Are you ready for further training?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '211', 's_ef42359f', 'I want information on those Force crystals. And the Bothans are going to give it to me!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '212', 's_f0300e70', 'Yes. Well unfortunately things have become more complicated. Have you ever dealt with Bothans before?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '213', 's_f4fff1e0', 'No offense.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '214', 's_f68ef5df', 'Yes, they are. Now you see why we need their help. But it\'s quid pro quo. First, WE must help THEM.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '215', 's_f8438ea7', 'A pilot as good as you are, you deserve the best training possible. I can help. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '216', 's_f845f64a', 'They\'re a lot like you. They always want information.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '217', 's_f8a22f8', 'Immediately. Coordinates are already in your ship database.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '218', 's_f92771aa', 'Not yet. But they will be, soon. And Imperial forces are launching a huge attack now, to soften the ground.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '219', 's_fb1d4add', 'Not exactly. Now please hurry. There\'s not much time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '220', 's_fc9a12c0', 'I\'m ready to go. Just point the way.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '221', 's_fca1dce9', 'I\'ve seen a lot of strange things out here. Anything\'s possible. That\'s what I think.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '222', 's_fcf4d778', 'How?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '223', 's_fd120cac', 'Vrovel told me a bit about the Vortex - about what you do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '224', 's_fd2e11b9', 'I don\'t see how this helps the Alliance!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '225', 's_fdba7430', 'You can count on me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier3.stf', '226', 's_fffd9426', 'The Bothans have delivered their translations, as promised.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '1', 'do_not_edit', 'The English version of this file (naboo_rebel_tier4.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '3', 's_113f3fb6', 'Wow! Can you tell me more?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '4', 's_122f0ea4', 'I\'ll see you when you get back from Dathomir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '5', 's_127c7ddc', 'Hm! Well, I do have a few duty missions here. Would you like a briefing?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '6', 's_13010c2d', 'You say that, but he\'s still safely en route! Hurry up and stop that monster, before he destroys all of us! ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '7', 's_13f3baf7', 'How did you know?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '8', 's_14192a1b', 'In my mind, it is. And this is the perfect time to make a move.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '9', 's_14ff5df8', 'Are we launching a direct attack?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '10', 's_15e6446', 'That space debris is definitely hiding Imperial secrets.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '11', 's_16d870fe', 'Consider it done.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '12', 's_18da605a', 'The Inquisition has been using it as a base.  It\'s the perfect way to send a message.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '13', 's_1adbadc4', 'I\'m ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '14', 's_1b9c5097', 'No briefing necessary. I am ready to DESTROY those fighter patrols.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '15', 's_1c8bddbb', 'What is it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '16', 's_1e25d8e3', 'The Inquisition has been using it as a base. It\'s the perfect way to send a message, if you know what I mean.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '17', 's_20ace535', 'No I don\'t. I assure you I was only kidding around. Let\'s stay on topic. I recommend that you pay close attention to Admiral Burke, he is supposed to be pretty decent leader so you can probably learn something from him. Be mindful and do your duty without fail.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '18', 's_23048e75', 'If Jedi are out there, the Vortex will find them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '19', 's_23b92517', 'Of course. I\'ll bring him in.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '20', 's_23c4339a', 'The Inquisitors already spotted him?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '21', 's_243a81bd', 'Ezkiel is still in need of your services.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '22', 's_2477938c', 'My ship\'s built for speed. I\'m sure I can reach those transports in time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '23', 's_2592b2f2', 'But not me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '24', 's_25a79f70', 'I\'m fully aware of the situation, sir! ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '25', 's_25dc6fac', 'What kind of information is he carrying?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '26', 's_2808ade7', 'You had best get to your ship and report into Admiral Burke. Good luck to you, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '27', 's_2896ca81', 'But I\'M not busy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '28', 's_28a543ae', 'I\'m not done yet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '29', 's_290b6cd5', 'I\'d rather not.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '30', 's_2928468c', 'The Inquisition won\'t be operating in this system anytime soon.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '31', 's_2c4789b', 'Understood.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '32', 's_2c5be3f2', 'We\'re going on the offensive. The Vortex has decided to attack the Imperial space station in Dathomir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '33', 's_2c61b117', 'I don\'t know if the situation is THAT serious.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '34', 's_2e34ca37', 'Hate compliments? Very well. I bet you like money, though.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '35', 's_2f2320af', 'What are you, %NU, some kind of double agent?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '36', 's_3069ecae', 'What\'s the bad news?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '37', 's_34a99b58', 'Think about it. If the situation was reversed, and you were the one in trouble, he\'d fight for YOU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '38', 's_35065223', 'I stay in close contact with its members. Please return to your work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '39', 's_363f5a49', 'We\'ve scanned the ship ourselves. Engineers confirm the malfunction.The situation\'s serious. This spy is carrying valuable information.  And the Inquisition is closing in on his location.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '40', 's_3678a87c', 'Most of our space fleet is already occupied. They\'re escorting Vortex personnel to safety.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '41', 's_38f1d025', 'Is this a declaration of war?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '42', 's_3b45e8ed', 'My ship\'s running at peak capacity. I\'m ready for another mission. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '43', 's_3d213ae3', 'Well, regardless, we know how to find him. That\'s the good news.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '44', 's_3daae2ee', 'Do I know you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '45', 's_3de94b24', 'Then dig deep, %NU, and get back out there! ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '46', 's_3ff3b52b', 'Most of our space fleet is already busy, escorting Vortex personnel to safety.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '47', 's_41e4adff', 'Good job out there. Our freighters are safe. And guess what? One of the Inquisitors has targeted our location!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '48', 's_4222dbd0', 'Very nice, %TU! We are making inroads. The Inquisition is in for a surprise.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '49', 's_422da50', 'Imagine what they\'d do to us.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '50', 's_422deda3', 'The Empire isn\'t sending him to fight us, is he?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '51', 's_4265144c', 'Good to meet you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '52', 's_426e2f6c', 'We\'re ready for them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '53', 's_45387989', 'Um, yes. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '54', 's_457a7010', 'No');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '55', 's_45ceb48b', 'It means that Admiral Burke has seen your service record and has chosen you personally. He obviously respects your skills to handle a very important mission for him. Either that or he considers you to be expendable.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '56', 's_461e9b3f', 'You\'ve got nothing to worry about.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '57', 's_46787375', 'Tell me! I can keep a secret.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '58', 's_47443361', 'Don\'t worry. It\'ll get done.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '59', 's_47eb0778', 'Haha! True. They\'re all filthy sneaks, aren\'t they? ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '60', 's_481965b0', 'Please carry them out.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '61', 's_49707203', 'Please carry  them out.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '62', 's_4975777', 'Well, we\'re doing our job, %NU. The Inquisition has definitely noticed us. And they\'re heading our way.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '63', 's_49805f81', 'Can I hear the briefing again?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '64', 's_4a835de4', 'I want the Vortex to know that this is the BEST squad in the system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '65', 's_4a858e06', 'Incredible work out there! The spy is safe and sound - and so is his information. Soon, we\'ll have new Jedi walking among us! The entire Vortex organization is grateful for your help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '66', 's_4c695dbd', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '67', 's_4d41f7fe', 'Dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '68', 's_4e0bf82f', 'Oh! Of course, you\'re right. The coordinates are already in your database. We\'re equipping your ship with repair materials. I need you to reach him ASAP, repair his ship, and escort him to safety. Now hurry to the Dathomir system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '69', 's_4e4d6d23', 'Do you realize what will happen if the Inquisitor reaches his destination?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '70', 's_4eaf90e6', 'Excellent! You\'re cleared to leave for the Yavin system immediately.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '71', 's_4ef111c8', 'Good choice. Once you\'ve mastered this skill, I\'ll be able to use you for more dangerous missions. I feel fortunate to have a pilot like you at my disposal! You\'ve exceeded my expectations in every way.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '72', 's_52917b0d', 'Of course.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '73', 's_52ea3d5c', 'Well, hey! There you are! Welcome, welcome. I was wondering if you were ever going to get here. I\'m Extok Evin, head officer in charge of space warfare in this system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '74', 's_5796fa91', 'No no, of course not. He\'s strictly an interrogator. And I suspect he wants to find out why the Alliance is so interested in Endor. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '75', 's_5d4e24a2', 'I\'m glad I can be of use. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '76', 's_5d9fd0db', 'They\'re still reeling from Uvqolo\'s death. They can\'t believe an Alliance pilot was able to kill one of their own. Let\'s see how many MORE we can kill! ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '77', 's_5dbf1a94', 'Congratulations! You\'ve earned the right to acquire a new skill. The more skills you have, the more money you\'ll make.  What will it be today?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '78', 's_5e2a2bb1', 'Sounds good.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '79', 's_61657d0f', 'I see.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '80', 's_61dcb099', 'Good! I\'ll destroy anybody who comes this way.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '81', 's_62074d0', 'Here you go. And let me know when you\'re ready for another mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '82', 's_6371b34a', 'Sure - thanks to me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '83', 's_6598178f', 'Interesting.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '84', 's_6798dc03', 'Why that one in particular?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '85', 's_682985ff', 'That was FANTASTIC! I just wish I could have seen the expression on those Imperial faces! ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '86', 's_6a348e56', 'I\'m serious. You\'ve heard the stories about the Empire mutating their pilots and welding them to their ships.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '87', 's_6b14c8d', 'I\'m afraid you\'re grounded until you can clear-up this mess.  You need to improve your standing with the Rebel Alliance before we can trust you with any more assignments.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '88', 's_6b169ba1', 'Let\'s hope they continue to underestimate us.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '89', 's_6daeb64a', 'You know, it would look GREAT on our records if we could save this guy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '90', 's_70814158', 'Here comes our pilot now! Are you ready to accept a duty mission? Or would you like to hear the briefing again?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '91', 's_711e6727', 'Don\'t worry! It won\'t happen. Not as long as I\'m here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '92', 's_71d852f5', 'How about droid intelligence theory?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '93', 's_7294f771', 'Exactly. And this is a golden opportunity, one we can\'t afford to pass up. I want you to get out there and blast Uvqolo! I\'m warning you, it\'s going to take everything you\'ve got, and then some. Are you up to the job?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '94', 's_7455cef5', 'Here\'s the first mission. I want to soften the ground and let the Inquisition know that the Vortex means business. They have put several of their navy pilots on patrol duty. These aren\'t their elite fighters, so they\'re a good first target. I need a pilot to launch an attack against them. Maybe YOU are that pilot!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '95', 's_75a002d0', 'Our secrets are safe for another day! ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '96', 's_75c90fe4', 'Good to see you again. I have some great news, and I cannot think of a better pilot for this to happen to. You are being transferred to the command of Admiral Willhem Burke. Told you it was great news.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '97', 's_77e7784', 'Who doesn\'t?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '98', 's_788df6ff', 'Very well! Come back soon, because we have a few things planned for those Inquisitors. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '99', 's_7d47427d', 'It can\'t. It\'s too important. The discovery of even one Jedi could change the course of this entire conflict! And it goes without saying that the spy knows key details about our organization. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '100', 's_7dec31dd', 'Good! Because I\'m happy to report that we\'re going to be escalating our efforts against the Inquisition. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '101', 's_803445b', 'Absolutely! It means they\'re taking us seriously. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '102', 's_80803e51', 'Well start acting like it! Get back up there, NOW!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '103', 's_80d8485c', 'I\'m on it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '104', 's_80ecabfc', 'The Vortex has drawn up a plan of attack against the Imperial space station in Dathomir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '105', 's_82450216', 'Do you mean to tell me that\'s the best you can do? ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '106', 's_839a8471', 'Admiral Burke is in charge of the fourth battle fleet, operating in the Outer Rim. A very fine commander. I had the honor of meeting him a few times. An officer and gentleman in every sense of the words.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '107', 's_841d27db', 'Why?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '108', 's_84f5730a', 'I hope not. This is nerve-wracking.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '109', 's_85e568', 'Nice work out there. Here\'s your duty pay. Come see me when you\'re ready for your next mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '110', 's_86677c6b', 'What does he want with me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '111', 's_88099422', 'Come on, Evin. Don\'t lay it on too thick. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '112', 's_89488f10', 'I\'ll get him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '113', 's_897a43f2', 'It just broke down, out of the blue? Could it be a false alarm? Maybe a couple of wires got crossed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '114', 's_8a212117', 'Sick.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '115', 's_8a64732d', 'We\'ve been receiving from pretty bad reports about you, though.  Did you know you\'re under investigation for supporting the Empire?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '116', 's_8cd97e8b', 'You\'re a Rebel pilot? But you\'re not part of this unit. Are you lost?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '117', 's_8dc4fc41', 'We\'ve scanned the ship ourselves. Engineers confirm the malfunction.The situation\'s serious. This spy is carrying valuable information. And the Inquisition is closing in on his location.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '118', 's_8efde2ae', 'Yes, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '119', 's_8fc2022a', 'This area is off-limits for unsecured personnel.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '120', 's_942559a7', 'Sorry, I can only assign missions to Vortex pilots. Why don\'t you try asking your commanding officer? I\'ll bet you\'ll have better luck there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '121', 's_94d8d136', 'Well, Inquisitors ARE dangerous. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '122', 's_96d9696a', 'We are in the middle of a war for not only our freedom but for everyone\'s. We don\'t get to choose how we serve the Alliance. Now I know that we are not the Empire but you had better be aware that when it comes to traitors and deserters we will not hesitate to act harshly. Are we understood, pilot?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '123', 's_9b0c24f5', 'It goes without saying that the space station is well-defended by Imperial fighters.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '124', 's_9b43a7ee', 'Yes sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '125', 's_9c236354', 'Excellent.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '126', 's_9ecb7fcf', 'I think so. But it will be a long and bloody road. And not a straight one, either. We\'ve been plagued by spy activities. Our upcoming missions are extremely dangerous. Frankly, I\'m glad. They\'ll separate the weaklings from the true patriots. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '127', 's_9f4dbe82', 'I\'m always ready to fight the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '128', 's_a07914ba', 'We are ready to go after the Inquisition with a vengeance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '129', 's_a13b304c', 'Don\'t worry.  They won\'t catch me!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '130', 's_a2454aa3', 'Hey! SOMEBODY\'S got to be the best.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '131', 's_a399c876', 'I\'m surprised the Inquisition has waited until now to engage the Vortex.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '132', 's_a65d4a43', 'Who is Admiral Willham Burke?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '133', 's_a747531a', 'Well...supposedly, he knows something new about Jedi.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '134', 's_a753d65f', 'Glad to hear it, because I\'ve got an urgent assignment right here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '135', 's_a7a9e2a7', 'Several Vortex members are still in transit. And somehow the Inquisition has discovered the route they\'re using. They\'re sending a fleet of fighters to the area. Our brothers are vulnerable while they\'re in flight, and the Inquisitors know it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '136', 's_a8144f6', 'One of our spies has reported a malfunction with his ship, and he\'s adrift in Dathomir as we speak.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '137', 's_ac8b75ef', 'You\'re probably right! Well done, %NU. Please accept this duty pay with my thanks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '138', 's_adc84c63', 'Excellent! Show no mercy. Remember, you decide when you want to end these missions. When you feel that the blow to the Empire has been delivered or you need a break, just land.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '139', 's_ae528424', 'OK, mission number two is as follows. The entire Vortex organization is on the move, in anticipation of our attacks. There are several freighters in the area that are carrying Vortex personnel. They need to be escorted to a secure location.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '140', 's_ae934c27', 'Negative. There\'s too many of them. I just want you to hold off the fighters until the freighters are able to move to safety.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '141', 's_b3218dae', 'I don\'t think so.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '142', 's_b322ae4b', 'Very good. Come back when you are ready for some more action, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '143', 's_b3e9c738', 'I\'m ready for anything.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '144', 's_b5815881', 'And finally, mission number four! Imperial raiders have disabled a large number of civilian transports in Dantooine. We think they are searching for a Jedi. The ships are immobilized, and Imperial capital ships are closing in. We need a pilot to get there first and repair those ships! Take your pick, %NU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '145', 's_b5eac7c2', 'You too. I\'ve read your report. You did a heck of a job for Brother Ezkiel and those Bothans.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '146', 's_b76c91c2', 'Ah. I see.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '147', 's_b83725b', 'Let\'s hope so! Good luck, %TU. Remember, you decide when you want to end these missions. We have several of our personnel out there helping the drifters so when your exhausted or your ship is falling apart, just return to base.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '148', 's_b9b677c2', 'I ran into a little trouble. It won\'t happen again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '149', 's_ba0973a6', 'They won\'t; not for long, anyway. They\'ll see how good we are soon enough. Here\'s your duty pay.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '150', 's_be8a1d81', 'Hurry! There\'s no time to waste.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '151', 's_bfc53dde', 'I guess. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '152', 's_c2129c67', 'And finally, mission number four! Imperial raiders have disabled a large number of civilian transports in Dantooine. We think they are searching for a Jedi. The ships are immobilized, and Imperial capital ships are closing in. We need a pilot to get there first and repair those ships! Take your pick %NU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '153', 's_c28b3318', 'You\'re clear to leave. Remember, you decide when you want to end these missions. When you feel exhausted and can\'t escort more freighters, we will send someone else to take over so just come back to base.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '154', 's_c2d98904', 'Ah yes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '155', 's_c424c512', 'There will be more ships exploding in the future, I\'m sure. Hopefully not yours! Now listen. We have a new problem.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '156', 's_c48bab68', 'Then you don\'t understand how important the Vortex is. Here\'s your duty pay. Come see me when you\'re ready for your next mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '157', 's_c49d2b1', 'Those freighters aren\'t built to withstand attacks from Imperial fighters. They need your help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '158', 's_c7932482', 'I had no idea');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '159', 's_c82e9a2f', 'Yes, please.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '160', 's_c8592539', 'See that it does! ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '161', 's_c8b9717d', 'Sir! Can you please just give me the coordinates?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '162', 's_c9014c96', 'Good. Now get to your ship and get to Corellia. The Admiral will be waiting for you and it does not reflect well on my outfit if you are late. Stay alert and you just might learn something from Admiral Burke. Good luck to you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '163', 's_c9329734', 'They are. Good luck, %TU. Remember, you decide when you want to end these missions. When you feel that we have stolen enough Imperial ships for now, your ship has taken too much damage or something similar, just come back to the base.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '164', 's_ca05e460', 'If they get a hold of him, they\'ll keep him alive - but he\'ll wish he was dead.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '165', 's_cb44839f', 'What if I don\'t want to go?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '166', 's_cbb055c6', 'They weren\'t smiling, I can promise you that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '167', 's_cc335afa', 'Yes, I  remember.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '168', 's_cc6fef40', 'This is a great day for the Vortex. Here\'s your duty pay, %NU. You have definitely earned it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '169', 's_ce74555e', 'Then get to your ship and get to the Admiral quickly. I am sure that whatever he has in store for you is very urgent and we cannot waste anymore time. Keep attentive and you are sure to learn something from Admiral Burke. Good luck to you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '170', 's_cf9c9506', 'Traditionally, both the Inquisition and the Vortex have kept low profiles. But we can\'t afford to move slowly; not anymore. The Alliance MUST locate and train light Jedi as soon as possible.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '171', 's_d082018b', 'Absolutely! You know, of course, that we\'re evacuating Vortex personnel in preparation for the fight.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '172', 's_d082cea6', 'One of their worst. Uvqolo. He\'s a master technician, with an uncanny ability to find exactly what it is he\'s looking for.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '173', 's_d0b9a993', 'That\'s strange. Could it be a false alarm?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '174', 's_d0f87f24', 'How about special weapons and tactics training?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '175', 's_d17adb67', 'I had a good time watching his ship explode. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '176', 's_d1be90a9', 'What\'s the plan?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '177', 's_d284d072', 'It\'s hard to separate the good spies from the bad spies.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '178', 's_d3c79ae3', 'You say that like it\'s a good thing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '179', 's_d4928d9c', 'That\'s not going to happen.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '180', 's_d520f8e9', 'And why shouldn\'t it be you? Here you go. And let me know when you\'re ready for another mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '181', 's_d8845dfe', 'I don\'t know much myself. The information is strictly classified! But...I overheard some of the brothers discussing it. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '182', 's_d8a1ee7e', 'Without a doubt. And those secrets may hold the key to this entire war. Who knows? This could be the most important posting of your career, %TU. You can say that you were there when Extok Evin changed the course of history ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '183', 's_d91a074', 'Well, I wouldn\'t go that far.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '184', 's_d92f71f', 'Yes, I know.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '185', 's_d9bfbc18', 'You realize that if the Inquisition gets their hands on that spy...well, you just realize the situation, don\'t you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '186', 's_d9cced1f', 'Absolutely.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '187', 's_dab8fd8e', 'No. Do you have a mission that I can fly?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '188', 's_db140dbf', 'What is it? ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '189', 's_dbb3b0b0', 'How about heavy starship component use?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '190', 's_dcc126b1', 'Just doing my job.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '191', 's_dd76100c', 'His coordinates are already in your database. We\'re equipping your ship with repair materials. I need you to reach him ASAP, repair his ship, and escort him to safety. Now hurry to the Dathomir system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '192', 's_de00af5', 'Inquisitors are careful to protect themselves at all times. But we have a small window of opportunity.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '193', 's_de5265b4', 'Oh, nothing. Regardless of why, you are ordered to report to Admiral Burke in Doaba Guerfel on Corellia. He is expecting you shortly so you had better not keep him waiting. I am sure you have important work to do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '194', 's_df069f76', 'Those space droids you mentioned sound interesting!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '195', 's_df1c8925', 'You\'ll find the coordinates in your ship database once you reach the Endor system. One more thing my friend. All the missions I provide you with will be high risk missions and might be too much to handle by yourself. If you have any favors you can call in, doing so during my missions might be a good idea. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '196', 's_df8d90f1', 'I am ready. Thank you, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '197', 's_e01d95b6', 'I\'d like to provide an escort for those freighters.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '198', 's_e0907aab', 'What!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '199', 's_e1aa63d', 'I am sure he has read the reports of your flying skills and has need of them with his operation group. You are to report to the Admiral immediately. He is waiting for you in Doaba Guerfel on Corellia. I am sure you won\'t let him down just like you didn\'t let me down.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '200', 's_e26b9261', 'Very. But so are we! We\'ll prove our worth on the battlefield. Now here is the mission roster. Ready?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '201', 's_e282986e', 'Duty pay, for my best pilot! ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '202', 's_e5886662', 'Excellent choice. Come back as soon as you can, we have a bit of a problem.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '203', 's_e59caef0', 'You\'ve received your orders.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '204', 's_e5a30f12', 'Here\'s the third mission. The Vortex has purchased a small number of Space Assault droids. These are experimental models; we are guarding them very carefully. I\'d like you to experiment with them against the Inquisition\'s data-carrying vessels in Endor. They may be able to provide useful information.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '205', 's_e63887f', 'You think I am expendable?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '206', 's_e67c13ca', 'I think so! Everyone thinks that the Inquisitors are the Emperor\'s most powerful weapons.  A blow against them would be a blow against Imperial morale. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '207', 's_e7a8a370', 'And that\'s where you come in. You\'re going to join forces with  the Vortex squadron and launch an attack against those fighters. That will give our B-Wings time to move into position.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '208', 's_e8a5b38', 'Blast it! Don\'t you know how important this mission is?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '209', 's_e9c05f6b', 'Several Vortex members are still in transit. And somehow the Inquisition has discovered the route they\'re using. They\'re sending a fleet of fighters to the area.  Our brothers are vulnerable while they\'re in flight, and the Inquisitors know it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '210', 's_e9e695cf', 'Here\'s your duty pay. Come and see me when you\'re ready for another mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '211', 's_ed0a67e', 'You know, of course, that we\'re evacuating Vortex personnel.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '212', 's_ef2200e9', 'One of our spies\' ships has malfunctioned. He\'s floating adrift in Dathomir as we speak.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '213', 's_f20ed4c3', 'Now listen to me. It\'s of the utmost importance that you stay out of the Inquisition\'s clutches.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '214', 's_f4640a5b', 'Which Inquisitor is it? Do you know?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '215', 's_f4d84e3', 'How about hyper-maneuverable starfighters?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '216', 's_f5427310', 'Of course not!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '217', 's_f789d42a', 'I\'ve been serving the Vortex since I first picked up a space blaster. I\'ll be coordinating operations against the Empire in this area. And you\'ll be reporting to me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '218', 's_f8a134c0', 'Through sheer luck, we\'ve managed to learn the details of his travel route. He wishes to stay inconspicuous, so he\'s not traveling with a large entourage. He\'s practically defenseless! ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '219', 's_fc2f8c4c', 'Nice job on that last mission. That Inquisitor didn\'t know what hit him!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '220', 's_fc615cb9', 'I see you have survived your experience with Admiral Burke. Are you back looking for some work?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '221', 's_fc616447', 'Well...okay! Supposedly it includes possible locations of several Force-sensitive children. If it\'s true, and that  information fell into Imperial hands, those children would be dead by the end of the month!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_tier4.stf', '222', 's_fcbee9cd', 'Why is that great news?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '1', 'do_not_edit', 'The English version of this file (naboo_rebel_trainer_1.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '3', 's_104b565a', 'Well, I\'ll join anyway.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '4', 's_10581a3e', 'That\'s right');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '5', 's_1137ccd7', 'We cannot say at this time. Alliance pilots in the Naboo system have reported a wide variety of Imperial activity. You should be able to find some smaller support wings...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '6', 's_116bd775', '(Wave dismissively.)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '7', 's_11e3b199', 'Welcome to the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '8', 's_123652f8', '(Salute) May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '9', 's_1323cdc1', 'How can I be of service? I have added your first assignment to your log... and I have uploaded codes for a ship control device in your datapad.  Go to the Starport and access the terminal to launch into space... unless I forgot something?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '10', 's_145a9b15', 'Of course! I have removed the code-lock on your procedures manual. Secret techniques are now available to you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '11', 's_16642b72', 'But of course. It is the standard starfighter training curriculum. I am a very skilled teacher, I assure you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '12', 's_1728f71a', 'How thin are we talking?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '13', 's_1809c6fc', 'What is the location?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '14', 's_1a0322d9', 'I want to fly for the Alliance!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '15', 's_1a53f653', 'I am looking for pilot training.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '16', 's_1aaecbcb', 'There will be none. You have to search the Naboo system until you find some good targets.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '17', 's_1c2c03ae', 'There are a number of pirates in the area. The Empire is interested in removing these pirate elements, so I suspect your route will be clouded with peril... unfortunately.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '18', 's_1d2430a3', 'What sort of money are we talking about?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '19', 's_1df40ac6', 'Goodbye, V3.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '20', 's_1e626caa', 'Of course. Those supplies are critical!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '21', 's_1f6a762c', 'No sweat, droid.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '22', 's_1fb7129c', 'Yes. The Alliance thanks you.  As a little bonus, I\'ve had this flightsuit made for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '23', 's_2099a39c', 'Agreed!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '24', 's_2518a758', 'As you wish! Your first assignment is a four-point patrol along the Naboo frontier. Be careful of local pirates - and be kind to local merchants. They are friends to us all, you know.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '25', 's_25572e24', 'That sounds delightful.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '26', 's_2582d5e6', 'Um... yes... um... Let\'s have some revenge on the Empire. Find four of their puny TIE fighters in the Naboo system and destroy them!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '27', 's_26970ef', 'I am interested in basic starfighter training.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '28', 's_26bc1385', 'A basic Z95 starship is being held for you at the starport. I have uploaded the control codes for this ship to your personal datapad. Any time you wish to review the ship status, open your datapad and examine the ship control device.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '29', 's_27a8c796', 'For the Alliance, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '30', 's_284dc5d3', 'Yes, ma\'am! I have uploaded your ID to the system duty roster. You are cleared to sweep Naboo space for Imperial starships. You can return to the ground at any time when you feel that you have learned enough. Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '31', 's_2adb435', 'Where am I patrolling?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '32', 's_2b74415f', 'Expect the rally point to be patrolled by junior TIE cadets. They will be quick to respond if they see you first - so be very careful. Keep your eye out for the veteran TIE fighter pilot, and eliminate him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '33', 's_2be1e8b', '(Salute) Requesting more info, sir!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '34', 's_2bf47615', 'Yeah, sure. Why not.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '35', 's_2d4bb338', 'May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '36', 's_2e4fedc2', 'I am V3-FX... Alliance Pilot Relations.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '37', 's_2e5c9032', 'Congratulations, pilot! You have successfully completed the first tier of the Alliance starfighter training program. Your next assignment will take you to planet Dantooine and place you under the guidance of Brother Vrovel... leader of the Vortex organization.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '38', 's_2ff8ef01', 'Good for you!  Alliance command will be happy to have you as an asset both in space and planetside!  Just seek a Rebel Recruiter and tell him you want to join.  I\'m certain there won\'t be a problem with it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '39', 's_314a123f', 'That is good to hear. Let\'s have some revenge on the Empire. Find four of their puny TIE fighters in the Naboo system and destroy them!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '40', 's_31d45080', 'The Alliance has my eternal faith.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '41', 's_35657a01', 'Of that I am certain.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '42', 's_36fa01ee', 'We will need a short while to decode and interpret your starship sensor data. In the meantime, there is more work to be done... if you are ready?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '43', 's_3a8fb4dd', 'Let\'s get on with it, buddy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '44', 's_3be54b2c', 'Glorious! Welcome to the Alliance pilot training system. I will be your tutor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '45', 's_3f1a842c', 'Yeah, yeah.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '46', 's_3fa70900', 'I am interested in basic starship component use.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '47', 's_3fc246bd', 'Error.  You have been grounded by Alliance HQ.  There are serious accusations against you... Working for the Empire?!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '48', 's_400d7391', 'Greetings, my friend. You will be pleased to know that Alliance High Command has authorized me to offer you a selection of combat duty missions. Are you interested in a duty mission?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '49', 's_4063c2da', 'You must go to planet Dantooine and meet with Brother Vrovel, leader of the Vortex organization. He\'s located in the North West at what the Empire thinks is an abandoned Rebel base. Due to the secretive nature of the Vortex you won\'t be let in to the base until you are a full member of the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '50', 's_41e49ae6', 'Good day to you, then.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '51', 's_4358efe9', 'Where is my ship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '52', 's_45e27f53', 'You are clearly a superior pilot! Congratulations.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '53', 's_466afe42', 'Forgive me. I am not authorized to assign missions to you. Perhaps you should speak with your commanding officer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '54', 's_47ce8fc2', 'We have located a rally point from which the Empire has staged their recent aggressions. Go to this point and bring down a veteran TIE fighter pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '55', 's_48d7182e', 'Oh, there is nothing to sign. You simply need to apply yourself to the flight lessons I have to teach. Are you interested?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '56', 's_49bfaf2', '(Salute) For the Alliance!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '57', 's_4bbbb3ee', 'I, myself? Not very much. You may find more than one in the general area - but Alliance intelligence indicates that the Empire has charged one veteran TIE pilot with coordinating aggressions in this system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '58', 's_4c08239e', 'I cannot say. Being a droid, I have no use for such things.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '59', 's_4d3c3acd', 'You will fly a four-point patrol above Naboo. We will need your ship\'s sensor data when you are finished.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '60', 's_4efbdbfa', 'What is \'Vortex?\'');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '61', 's_4ffd4b9d', 'I am interested in a duty mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '62', 's_52fb0136', 'You are most welcome. Are you ready for your first assignment?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '63', 's_546aa4f5', 'You got it!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '64', 's_54a7239a', 'I ***CRACKLE*** excellent pilot trainer!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '65', 's_54d18017', 'Alliance HQ demands that you rejoin battle against the TIE Veteran so that our campaign may move forward. Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '66', 's_576d5b2a', 'TIE fighters only. There are other Imperial targets above Naboo, these TIE fighters are special. They are part of the Empire\'s occupation plans. Once you eliminate these craft - and only these craft - the Empire will know that their secrets are compromised.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '67', 's_593caccf', 'Yes, of course! Congratulations. Excellent work, ma\'am.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '68', 's_5f65d2ef', 'Not yet, this is important!  Now are you ready?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '69', 's_60c2803a', 'Greetings... %TU?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '70', 's_60c4f974', 'Where do I go?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '71', 's_6106187c', 'What is a duty mission?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '72', 's_614176fe', 'That is most excellent to hear. We have two mission types available. You may choose to patrol the system and destroy any Imperials that you find, or you may choose to help escort our supply ships. Which would you like?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '73', 's_616cd1dd', 'Yes. I am ready to train.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '74', 's_61836246', 'The Alliance HQ computer system has informed me that the TIE Veteran pilot has been defeated. Very good work, my friend. Very good, indeed!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '75', 's_64308f9f', 'Why not indeed! Let\'s have some revenge on the Empire. Find four of their puny TIE fighters in the Naboo system and destroy them!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '76', 's_6576f571', 'How?!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '77', 's_658f174d', 'What am I looking for?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '78', 's_65a3e672', 'Splendid! You are now part of the Alliance pilot training program.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '79', 's_67d49232', '**zzt** What sort of answers?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '80', 's_692451bc', 'You could do missions for the Rebel Alliance, if you can locate a mission terminal... that will prove your dedication.  I\'m terribly sorry, %TU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '81', 's_6a150013', 'Let\'s have some details.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '82', 's_6aadaf18', 'I will bring honor to the Alliance!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '83', 's_6b490480', '(Salute) Affirmative!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '84', 's_6be218d', 'According to the Alliance main computer, Brother Vrovel is an eccentric Bith who has helped the Rebels on numerous occasions. He himself is not a pilot... for that matter, he has almost no pilots in his ranks. That is why you have been re-assigned.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '85', 's_6c399378', 'Agreed! I will put your ID on the escort duty roster. You can return to the ground at any time when you feel that you have learned enough. Take flight whenever you wish.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '86', 's_6c620e99', 'Don\'t they travel in big groups though?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '87', 's_6cc94470', 'In that case, I welcome you to the Rebel Alliance pilot training program.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '88', 's_6f3e9d4b', 'You have performed wonderfully! Alliance HQ has authorized me to provide your first starship training module. It is customary for the trainee to choose their area of emphasis. Which do you prefer?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '89', 's_6fb5a316', 'I am more than ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '90', 's_706c5683', '...smuggler...does not...compute...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '91', 's_71a4b693', 'In order to qualify for continued training you must participate in Alliance military operations in Naboo space - and beyond.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '92', 's_72d418bf', 'I... forget...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '93', 's_73edb45', 'They fought well, but I fought better.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '94', 's_74163bd7', 'Destroy the veteran TIE pilot leader at a specific rally point. You will receive the waypoint data once you are in space.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '95', 's_741df7ed', 'Where?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '96', 's_7426e000', 'No!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '97', 's_7478cd28', 'Will you train me after this?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '98', 's_748d90dd', 'Glorious! Your first mission is a short-range, four-point patrol. When you return, your ship\'s sensor data will be downloaded to the Alliance \'net for Intel to review.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '99', 's_761039fa', 'I want to enlist with the ground forces');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '100', 's_76fb5d49', 'Alliance HQ has spread word of your victory! Congratulations, pilot!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '101', 's_78679b31', 'Sounds like fun. Where do I sign?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '102', 's_79a06a16', 'Salutations, pilot! I hope you are well-rested and ready for your first assignment for the Alliance training system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '103', 's_7a27e11', 'I\'ll blast any Imperial crosses my path!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '104', 's_7a4f9992', 'Unfortunately, I have very little information on the Vortex group. Alliance HQ indicates that they are a friendly organization dedicated to locating Light-side Jedi and recruiting them to the Rebel cause. They are a very secretive part of the Alliance which is why you need to be a full faction member of the Alliance before you can join them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '105', 's_7ad400bc', 'Alliance command is impressed with your courage, pilot! The main computer specifically mentioned your ability to improvise in a crisis situation. Very good work!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '106', 's_7d2cd92d', 'Then it is my pleasure to welcome you to the Alliance space navy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '107', 's_7d4a858e', 'Blasted \'em.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '108', 's_7ed5fec3', 'I want to be part of the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '109', 's_8062b983', 'How noble of you, sir! Droid programming is a critical skill for the Alliance pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '110', 's_81770bc2', 'Yes! Please perform this task in the name of the Alliance!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '111', 's_81c3ab31', 'They\'re quite safe on their own, I assure you. We only ask that you stay out of sight. Starfighter patrols make the local business interests somewhat... timid, if you get my meaning.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '112', 's_81eaed4e', 'Finally decided to become a REAL Rebel, huh?  Well it\'s about time.  You do realize that enlisting with the ground forces means you could be attacked when you least expect it... even if you are a covert operative, there\'s still a danger!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '113', 's_8334632', 'Where do I find this Brother Vrovel?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '114', 's_838cca30', 'Greetings, pilot. You are performing exceptionally well! It would be my pleasure to provide any further training modules that you require. What area interests you the most?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '115', 's_83cb5e35', 'Affirmative, pilot! Congratulations.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '116', 's_85c109c3', 'You\'re irrepressible! Best of luck!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '117', 's_85cea100', 'Alliance intelligence has plans for this route. I don\'t know precisely what these plans are - but I assure you that I\'ll tell you as soon as I know.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '118', 's_85dd7d6c', 'How do I get back?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '119', 's_85e2e26d', 'Greetings. Can I be of service?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '120', 's_85fcdc55', 'Fighters attacked me!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '121', 's_87a8cca7', 'How will I know this pilot?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '122', 's_8995f223', 'What are my targets?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '123', 's_8b2a5c11', 'After you have completed a few assignments for me, then I will train you.  So, are you ready?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '124', 's_8b4893d6', 'Piece o\'cake, metal-mouth!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '125', 's_8c272224', 'I am interested in starfighter survival tactics.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '126', 's_8c6a4b66', 'Oh. You are an Alliance pilot, but I do not recognize you. How may I be of service?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '127', 's_900f01d1', 'What?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '128', 's_90377ed4', 'Affirmative!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '129', 's_909a1feb', 'You will need a ship, in order to be a pilot.  I will add the control codes to your datapad for a simple Z95.  I hope that it serves you well.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '130', 's_92e1301f', 'Don\'t worry. I will be fine.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '131', 's_93470245', 'How should I stay hidden?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '132', 's_9480f430', 'I am interested in droid interface basics.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '133', 's_9490adec', 'Yes. The Alliance thanks you.  As a little bonus, I\'ve had this bandolier made for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '134', 's_9561a5a9', '(Salute) Thank you, sir!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '135', 's_96184c1', 'A duty mission is an excellent way of earning experience towards your next training session. No good trainer would teach a pilot with no experience. Duty missions have no real end to them, you simply finish whenever you are ready. Would you like a duty mission?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '136', 's_968b4bae', 'Oh. Excuse me. I didn\'t see you there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '137', 's_9757e73a', 'You\'ll be covering a little-used Alliance supply route. It\'s become more important in recent days because of Imperial activity outside the asteroid belt. We have plans for this area, and need to know that we\'ll remain unseen.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '138', 's_97e129cd', 'Where is the rally point?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '139', 's_98a1c60d', 'This is good to hear, pilot! Congratulations.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '140', 's_999f2284', 'While you were away, we discovered some information that will break the back of the Empire\'s fleet movements here in Naboo. Are you ready to fly again?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '141', 's_99dfe276', 'Interested? Is there money in it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '142', 's_9ba2e5e1', 'There is a measure of monetary compensation for your efforts. Honestly, most pilots fly because they feel it is important to their survival. Do you not agree?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '143', 's_9cb26d6a', 'Good bye, ma\'am! And good luck to you on Dantooine!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '144', 's_9f6cf52', '(Glare in silent hatred.)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '145', 's_9f83d209', 'Sounds very exciting! Congratulations!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '146', 's_a20f8416', 'The recent Imperial activity is being led by a veteran TIE fighter pilot. We know of his location. Fly to the nav point, and eliminate this pilot with extreme prejudice.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '147', 's_a26aaa8b', 'Planet Dantooine. You are supposed to meet with the Vortex group leader, Brother Vrovel, at the \'abandoned\' Rebel base there. Due to the secretive nature of the Vortex you won\'t be let in to the base until you are a full member of the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '148', 's_a30c1a53', 'Yes sir!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '149', 's_a30d25ad', 'Thank the maker!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '150', 's_a3f21650', 'Get into your ship, Pilot, and FLY there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '151', 's_a425f33d', 'I have no use for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '152', 's_a42932d7', 'I will need a starship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '153', 's_a6661be0', 'Good bye, sir! And good luck on Dantooine!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '154', 's_a66ff602', 'Our transports could use my help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '155', 's_a80d9308', 'Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '156', 's_a994ca63', 'For the Alliance!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '157', 's_a9a1aa2a', 'Wonderful! I will teach you to fly starfighters in exchange for your loyalty to the Alliance, and your full willingness to support the rebellion in Naboo space and beyond.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '158', 's_ac05bfba', 'Are there any missions I can fly?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '159', 's_ae7a2a24', 'Uh... yes, and good day to you too!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '160', 's_ae8026b4', 'Searching my extensive database I see that he is in what the Empire think is an \'abandoned\' Rebel base on Dantooine. The Alliance is so clever it\'s almost scary.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '161', 's_afdd3bc5', 'Pirates? Nobody mentioned pirates before...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '162', 's_b0047226', 'We have decoded your starship sensor data... and we have bad news. The planned Alliance supply route has been thoroughly compromised. We need you to find us another route. Are you ready to take flight again?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '163', 's_b04f2893', 'Yes. I am ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '164', 's_b0643db5', 'You\'re going to teach ME?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '165', 's_b0d2b96b', 'How noble of you, ma\'am! Droid programming is a most respectable vocation.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '166', 's_b1ab42f0', 'Alliance HQ has requested that I assign a new mission to you... since you have failed the previous. Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '167', 's_b26194cb', 'What are you doing here?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '168', 's_b2d473c6', '(Salute) Yes, sir!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '169', 's_b3bebc5e', 'How do I get there?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '170', 's_b4155765', 'Excellent! I see you are in perfect health!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '171', 's_b5caf1b6', 'Critical to say the least! We must resume supply flights as soon as possible. To accomplish this, we need you to sweep a five-point area. Once again, your ship sensor data will be used to plot an effective route for our larger transports.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '172', 's_b7b55289', 'Hello there! It is good to see you, although I believe you are supposed to be on planet Dantooine... correct?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '173', 's_b89c30f1', 'Who is Brother Vrovel?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '174', 's_b952209b', 'When you launch, your ship computer will create a \'launch waypoint\' near the Naboo traffic control station. At the conclusion of your mission - return to this point. Communicate with the Naboo space station and request landing clearance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '175', 's_b9b27823', 'Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '176', 's_babb9df9', 'Oh dear. Oh no! I hope I have not offended you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '177', 's_bf1a0f3e', 'So tell me about the job.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '178', 's_c010439f', 'Splendid!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '179', 's_c1013aa7', 'Whatever.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '180', 's_c16bab26', 'I need answers, droid.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '181', 's_c267cd40', 'There\'s none specified in the data I received from our esteemed superiors. You have to search the Naboo system until you find some good targets.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '182', 's_c5dca41d', 'Splendid! You are now rated for more powerful components. Use them well!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '183', 's_c713935d', 'You say there are merchants to save?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '184', 's_c7626ea8', 'I have been ordered to reassign a mission to you. The mission you most recently failed. My apologies. And... good luck!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '185', 's_c7939f2f', 'What are we looking for?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '186', 's_c89c913b', 'Oh dear! Please just stay out of trouble. Come back in one piece!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '187', 's_c92d07b4', 'Sure. Why not.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '188', 's_ca5e8b8b', 'Affirmative, sir. I have placed your ID on the duty roster. You are free to sweep and clear Imperial warships in the area. You can return to the ground at any time when you feel that you have learned enough.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '189', 's_ca62728c', 'Yes, yes, you have my word.  Complete this last assignment for me and I will train you.  Are you ready?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '190', 's_ca776e30', 'Who are you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '191', 's_cbe69427', 'Only the TIE fighters?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '192', 's_cc07efa5', 'Yes, please. Alliance intelligence \'net is quite clever - you see, the Empire does not yet know that their fleet info has been compromised. Strike their TIE fighters with extreme prejudice, and they will have no choice but to halt their greater strategy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '193', 's_cca63822', 'What a fortunate coincidence! I am able to induct you to the Alliance pilot training course immediately - provided that you agree to certain obligations.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '194', 's_cd4363b6', 'You are welcome, pilot!  As a bonus:  I\'ve had a flightsuit made for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '195', 's_cd448c20', 'Greetings. I am V3-FX, Alliance Pilot Relations. May I interest you in our starfighter training program?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '196', 's_ce6b43af', 'We have reason to believe that the Empire is moving a wing of TIE fighters directly into an Alliance supply route. We need to know more.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '197', 's_cf04e474', 'What more do we know of this TIE veteran?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '198', 's_cf63ee80', 'I would like to patrol Naboo space.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '199', 's_d002385f', 'Sounds great!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '200', 's_d0233b4b', 'The Force be with us.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '201', 's_d671116a', 'Yes, of course! Congratulations. Good work, sir!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '202', 's_d731f764', '(Shrug and smile.)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '203', 's_d779178a', 'What other targets are in the area?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '204', 's_d7d27ed7', 'You are welcome, pilot! Congratulations!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '205', 's_d9c6f8a5', 'Four or more will do quite nicely. Focus on the TIE fighters. They are critical to the Empire\'s operations in Naboo. If you focus on these craft, the Empire will know that their intelligence is compromised and that their operations are in jeopardy. This will buy us some time...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '206', 's_da1db2a5', 'Improve your faction standing with the Rebel Alliance.  Then they will believe you are still dedicated to overthrowing the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '207', 's_da803d9b', 'Yes... We have reliable information about the location of Imperial TIE forces. They are being led by an experienced TIE veteran. Eliminate this TIE veteran pilot with extreme prejudice. This should halt the Empire\'s plans rather effectively.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '208', 's_db851c67', 'Oh dear! What did you do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '209', 's_de748105', 'Bad news, %TU.  Clear your name with the Rebel Alliance.  Prove your dedication against the Empire.  I\'m afraid you cannot fly for the Rebel Alliance until this matter is resolved.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '210', 's_de7d9c3a', 'You have made an excellent choice. You are now part of the Alliance flight training program.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '211', 's_dfc3b1e1', 'Of course. I am authorized to assign a selection of combat duty missions to you. Would you like to perform a duty mission?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '212', 's_e096316d', 'Sounds wizard. Let\'s go.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '213', 's_e31d65b7', 'The duty logs indicate that you are in mid-mission. We have nothing to discuss until you are finished.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '214', 's_e50bc223', 'Yes! Yes indeed!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '215', 's_e5f13c4', 'I\'m not afraid');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '216', 's_e6a9899d', 'You must go to the starport in order to begin your assignment. It\'s just over there - on the other side of the pond. You can see it from here, actually. Go inside and look for a \'starship terminal.\' Use the terminal to launch your ship into space.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '217', 's_e93422bf', 'This is a great day! Welcome to the Alliance pilot training program.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '218', 's_e9b471e7', 'I am not doing anything here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '219', 's_ebc0661b', 'I got nothing better to do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '220', 's_eceb89e1', 'Oh absolutely! Naboo space is teeming with deadly gangs of pirates - and horrid nebula that will melt your ship in mere seconds. Do be careful out there!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '221', 's_ee82c4c3', 'It should not be difficult. He should be one of very few veteran TIE fighter pilots in this vicinity.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '222', 's_eedd7284', 'Greeting, Sir.  Ma\'am?  Pardon me.  I\'m terribly sorry.  I cannot help you with that.  *bzzt*');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '223', 's_efd8333f', 'You are in luck. The Alliance has stowed a number of restored fighter craft at starports here on Naboo. I will upload the security codes for one of these vessels to your datapad.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '224', 's_f0b6493f', 'Thank you, V3.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '225', 's_f14340ef', 'Thank goodness you\'ve returned in one piece! How was your first mission?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '226', 's_f1c5717b', 'I am quite certain the Alliance appreciates it, as well!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '227', 's_f4d0e976', 'The Alliance HQ computer system is rather disappointed with your performance. I have been instructed to renew your mission assignment. Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '228', 's_f60c8a5', 'Train me to fly starships!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '229', 's_f75b511f', 'You got it, metal head!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '230', 's_f8b02865', 'What do I do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '231', 's_f91d81c7', 'What sort of obligations?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '232', 's_fb1c19c1', 'I want training!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '233', 's_fb2ee4e7', 'Not so fast, %TU.  There\'ll be time for training later.  Right now we need you to do another assignment.  I hope you are ready for it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '234', 's_fbd6b3e6', 'You are welcome, pilot!  As a bonus:  I\'ve had a bandolier made for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '235', 's_fc27931b', 'Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/naboo_rebel_trainer_1.stf', '236', 's_fedae3f2', 'Splendid! Please convey my admiration to the Alliance pilots on Dantooine. You will find Brother Vrovel in the \'abandoned\' Rebel base in the North West. Be aware, you need to be a full member of the Alliance faction to be allowed entrance in to this secret base. Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_1.stf', '1', 'do_not_edit', 'The English version of this file (nym_technician_1.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_1.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_1.stf', '3', 's_135c7b04', 'You\'re here to...huh?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_1.stf', '4', 's_169df3bb', 'Never mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_1.stf', '5', 's_273b318b', 'You don\'t have to tell me twice. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_1.stf', '6', 's_2d587639', 'This area is supposed to be cordoned off.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_1.stf', '7', 's_3345f404', 'You better take off or you\'ll blow my cover.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_1.stf', '8', 's_35de4fcc', 'I\'m here to wax the matter infuser.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_1.stf', '9', 's_37dad091', 'I\'m here to find out Nym\'s plans.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_1.stf', '10', 's_39510e77', 'You too.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_1.stf', '11', 's_395d4c4', 'Your report indicated a possible attack...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_1.stf', '12', 's_3b4b03fd', 'There is another fuel technician that might know. She\'s should be around here somewhere. Pretty Zabrak, no tattoos, won\'t come with me to the cantina. You shouldn\'t have any trouble finding her. Tell her that you think the fuel balance on the \'Kimogila\'s Claw\' is wrong and you need to check it. That should get you access to the ship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_1.stf', '13', 's_3e5e55b6', 'I can\'t leave without authorization from command.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_1.stf', '14', 's_42e8bcae', 'Well, you\'ve probably only managed to blow my cover! Nym doesn\'t have any plans. He\'s too busy putting out fires and keeping his upper leadership from falling apart. The pressure the Empire has been putting on the organization has really started to test Nym\'s leadership.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_1.stf', '15', 's_51f0669b', 'You did? Excellent. High Command will be pleased. You should try to get off Lok as soon as possible. Inform the Fleet of your success.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_1.stf', '16', 's_536a83dc', 'So what is he trying to organize?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_1.stf', '17', 's_5c3323fd', 'Then keep your head down.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_1.stf', '18', 's_62f865dd', 'I\'m here to scrub the plasma injector.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_1.stf', '19', 's_66c37cce', 'Shh! Quiet. I can\'t believe the Empire sent someone here after what happened to the other agents.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_1.stf', '20', 's_67a590c3', 'I\'m here to clean the antimatter condenser.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_1.stf', '21', 's_7d114e8', 'I failed in my attempt to destroy the Kimogila\'s Claw.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_1.stf', '22', 's_81e175a9', 'How can I find that ship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_1.stf', '23', 's_8d9eefec', 'What did you say?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_1.stf', '24', 's_90422eb5', 'Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_1.stf', '25', 's_9518acb5', 'I don\'t know. He\'s called for five of his captains to meet and work out details for a massive response. They\'re preparing to leave soon on a YT-1300. The plan is to review the damage to Nym\'s fleet and then discuss how best to proceed...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_1.stf', '26', 's_a84adf58', 'I\'ll be fine here. I think I\'m still in the clear.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_1.stf', '27', 's_aae05f6b', 'I won\'t. You should probably take off, this area is supposed to be cordoned off.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_1.stf', '28', 's_b8779a78', 'I\'m going there now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_1.stf', '29', 's_c70b951e', 'YT-1300? If I can find that ship...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_1.stf', '30', 's_ccc1622', 'Shhhhh. What are you telling me for? I don\'t want to know anything about that. All I can tell you is if you are going to try to blow up a ship full of Nym\'s men, you better not stop until you succeed. Now beat it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_1.stf', '31', 's_ccc723ff', 'I\'m really busy at the moment. Five wrecks and three borderline cases so far today. The Empire is really bringing it to Nym. I\'ve got to get that blaster cylinder back online and it\'s probably going to take all day.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_1.stf', '32', 's_ced0fec8', 'Oh, don\'t let me get in your way.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_1.stf', '33', 's_d724a599', 'You could lobotomize Nym\'s command structure. Nym wouldn\'t have much of a chance to mount any kind of significant response if that happened.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_1.stf', '34', 's_dce481f1', 'Sorry, you\'ve got the wrong guy. I don\'t handle engine work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_1.stf', '35', 's_e15acd61', 'Thanks. You better get out of here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_1.stf', '36', 's_e727edeb', 'What are you doing back here? Didn\'t I tell you to take off or you would blow my cover?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_1.stf', '37', 's_ed4d7aa6', 'Nym wants to organize something. Push the Empire back so he can start rebuilding. He\'s probably here for the long haul, but the Empire\'s assaults have definitely made him less likely to support the Rebels openly.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_1.stf', '38', 's_fdee07ad', 'I destroyed the Kimogila\'s Claw.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_2.stf', '1', 'do_not_edit', 'The English version of this file (nym_technician_2.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_2.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_2.stf', '3', 's_4c3cb236', 'Yeah, well it\'s my sob story. Beat it so I can get to work. I don\'t think you\'re supposed to be back here anyway.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_2.stf', '4', 's_501ea131', 'Scrub the? Excuse me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_2.stf', '5', 's_5afecbb7', 'Uh...yeah Jeffy. Funny huh?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_2.stf', '6', 's_60900624', 'Hahaha! That\'s funny stuff!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_2.stf', '7', 's_62f865dd', 'I\'m here to scrub the plasma injector.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_2.stf', '8', 's_67a590c3', 'I\'m here to clean the antimatter condenser.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_2.stf', '9', 's_6aa58622', 'I\'m really, really busy. It\'s a complete mess around here. The Empire has been laying it into Nym for some reason and the damaged ships keep rolling in. I\'ve had to replace two engine cores today alone!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_2.stf', '10', 's_76ac95c', 'Uh...okay...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_2.stf', '11', 's_8358e7c8', 'I\'m sorry to hear that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_2.stf', '12', 's_b0c60048', 'What? You don\'t scrub a plasma injector. Those things are stored in sealed containers and fused into engines. Is this some kind of joke? Did Jeffy put you up to this?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_2.stf', '13', 's_b44f916c', 'I don\'t get it. Look, I\'m really busy. Can you come back later?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_2.stf', '14', 's_b7141451', 'Get moving now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_2.stf', '15', 's_cbb1bec7', 'Clean the antimatter condenser? Well...yeah I suppose it\'s probably getting a little jammed with all of the work we\'ve been putting it through. You can find the Snaff Grease in the back. Hurry up though, there\'s probably a bunch of ships waiting to be fueled up.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_2.stf', '16', 's_f49a789f', 'I\'m here to wax the matter inducer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_3.stf', '1', 'do_not_edit', 'The English version of this file (nym_technician_3.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_3.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_3.stf', '3', 's_1ebf6580', 'Uh, okay I\'ll do that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_3.stf', '4', 's_248faf8a', 'Where did you say the Kimogila\'s Claw was?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_3.stf', '5', 's_4d5276b', 'The ship already left?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_3.stf', '6', 's_52fbe706', 'Never mind, I have to go.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_3.stf', '7', 's_544505bd', 'Look, if you\'re a pilot, you can check on your ship later. Most of these are going to be junk, but we might be able to save a few.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_3.stf', '8', 's_54711fd3', 'You are? You\'re ahead of schedule. Our condenser has been working fine as far as I can tell. The thing isn\'t scheduled for maintenance for five cycles. Why don\'t you just clear out and let me focus on my repairs?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_3.stf', '9', 's_5fcdd10d', 'No problem. Just tell your boss you cleaned the condenser and come back in five cycles.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_3.stf', '10', 's_62f865dd', 'I\'m here to scrub the plasma injector.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_3.stf', '11', 's_67a590c3', 'I\'m here to clean the antimatter condenser.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_3.stf', '12', 's_69e50906', 'Yeah, so there\'s nothing you can do about the fuel balance. Who are you anyway? You here to clean the antimatter condenser?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_3.stf', '13', 's_6da31acb', 'That\'s really disgusting. You pilots are all the same.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_3.stf', '14', 's_6e00532f', 'You thought WHAT? Get lost or I\'ll yell.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_3.stf', '15', 's_7002e5c4', 'The fuel balance on the Kimogila\'s Claw is messed up.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_3.stf', '16', 's_76b02ea3', 'Can I help you? This is a restricted area right now. We\'ve had a lot of damaged ships come in and this area is cordoned off for repairs.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_3.stf', '17', 's_7e5b1e91', 'Can you clear out now? This is hard enough without distractions.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_3.stf', '18', 's_8804f6ee', 'Oh, I had no idea.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_3.stf', '19', 's_88d98675', 'Oh yeah. Um, sorry about that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_3.stf', '20', 's_a8162c2', 'You\'re strange.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_3.stf', '21', 's_c1013aa7', 'Whatever.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_3.stf', '22', 's_cbc1d532', 'Oh, I thought...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_3.stf', '23', 's_cf08b4c6', 'Huh? Is that some kind of pilot slang? I\'m not that kind of girl.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_3.stf', '24', 's_d65e601b', 'Oh yeah...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_3.stf', '25', 's_debe2412', 'What? No way. I checked the Claw myself before it left. The balance is perfect.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_3.stf', '26', 's_e32d36db', 'You again? I don\'t have time to help you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_3.stf', '27', 's_e8060558', 'Are you an idiot? The Claw\'s already long gone. Somewhere in the Lok system, but I have no idea where.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/nym_technician_3.stf', '28', 's_f49a789f', 'I\'m here to wax the matter inducer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_architect_01.stf', '1', 'do_not_edit', 'The English version of this file (padawan_architect_01.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_architect_01.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_architect_01.stf', '3', 's_25d34a1e', 'Sorry friend... can\'t talk. I\'m losing money every day we fail to begin construction.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_architect_01.stf', '4', 's_50bf04b1', 'I\'m glad to hear that, construction can now begin.  Thank you for your hard work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_architect_01.stf', '5', 's_7637308a', 'I have a quick job for you friend.\n\nI\'m an architect and could use someone of your skill to clear some unwelcome inhabitants off of some land I just recently purchased.\n\nDoes this sound like something you could help me with?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_architect_01.stf', '6', 's_88ac3394', 'That land already has an owner. You have no right to take it from them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_architect_01.stf', '7', 's_8bf180e7', 'An owner?!  That family may occupy that land, but I am it\'s owner.  Your sympathy is sickening.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_architect_01.stf', '8', 's_91e6aa00', 'Is the area cleared?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_architect_01.stf', '9', 's_a1ef941b', 'Sure, I\'d be happy to help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_architect_01.stf', '10', 's_ac5709b0', 'Bah... I\'ll just find someone else who can clear that land for me. Leave me alone.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_architect_01.stf', '11', 's_cc9db25e', 'Stop! I\'m not interested in your petty little problems.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_architect_01.stf', '12', 's_ea2c487d', 'Excellent, thank you very much.  I do appreciate this.  Here is a waypoint to the location I need you to scout out. Please remove any squatters who are loitering there.\n\nI\'ll be here waiting for you once you\'ve finished.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_architect_01.stf', '13', 's_f0d9878f', 'Yes, it is. I\'m proud to say that the gungan claiming to own the land is dead.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_architect_01.stf', '14', 's_f2d3daf1', 'Wha... if you do not wish to help, then so be it. But there is no call for being rude.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_architect_02.stf', '1', 'do_not_edit', 'The English version of this file (padawan_architect_02.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_architect_02.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_architect_02.stf', '3', 's_17f3f71f', 'You are trespassing on my client\'s land.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_architect_02.stf', '4', 's_20c05fd8', 'Yousa tells yousa client dat mesa lands not for sells and to leaves mesa alone.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_architect_02.stf', '5', 's_26b9a00f', 'Mesa no have speaksa to yousa.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_architect_02.stf', '6', 's_55ff5c74', 'If that is true, why was this land up for sale?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_architect_02.stf', '7', 's_56dcc3ba', 'Wesa sees whosa going to be leavings.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_architect_02.stf', '8', 's_5e71d8b7', 'I will do just that. I apologize for intruding and upsetting you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_architect_02.stf', '9', 's_7280c4d8', 'I don\'t care anything about all that.  You must leave or else.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_architect_02.stf', '10', 's_a7079eee', 'Trespassing?  Wesa lived here for evers.  Yousa are the ones trespassing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_architect_02.stf', '11', 's_c8e2f57a', 'Yesa, howsa can wesa helps you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_architect_02.stf', '12', 's_d7cc9593', 'Wesa don\'t know anythings abouts no sales.  Yousa needs to be moving off our lands now though, yousa starting to upset me.\n\nTell yousa client this land has and always willsa be ours.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_artist_01.stf', '1', 'do_not_edit', 'The English version of this file (padawan_artist_01.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_artist_01.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_artist_01.stf', '3', 's_28225432', 'Where is my assistant with those supplies. Arrgh, this is becoming annoying.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_artist_01.stf', '4', 's_35c6bce6', 'Thank you so much for retrieving my supplies. I\'m not sure what I\'ll do about getting another assistant, but that\'s something I can worry about later.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_artist_01.stf', '5', 's_4f3396fb', 'Oh no, he will.  Sorry for not bringing this up before, but it is not the first time he has done this.  I know it\'s not the most glamorous job in the world, but I think a part of him sort of enjoys it.\n\nAnyway, thank you for your help and for bringing my supplies.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_artist_01.stf', '6', 's_593d8ed6', 'Not yet. I\'m still working on it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_artist_01.stf', '7', 's_5e1dfbcd', 'Yes... you see if I don\'t get the supplies I need to make the paints I\'m afraid I will not be able to finish my paintings.  Which means my patrons will not receive those paintings and will therefore not pay me. This in turn means I won\'t be able to pay my bills.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_artist_01.stf', '8', 's_705f9dd1', 'I haven\'t been able to find your assistant.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_artist_01.stf', '9', 's_76f9d659', 'I\'m an aspiring artist working on some paintings using natural materials as the base for my paints.  The texture and brilliance of the colors I get using them echoes the emotions I try to express in my work. \n\nI sent my assistant out to retrieve some more supplies but he has yet to return.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_artist_01.stf', '10', 's_78bd6c2', 'Thank you. Let me know when you find him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_artist_01.stf', '11', 's_81192d80', 'Lady, you\'re a freak. Get a real job and leave the rest of us alone.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_artist_01.stf', '12', 's_8bed149', 'My assistant is out collecting a mixture of mud and refuse that is just right for the colors I need.  If you could please meet him there and assist him in returning safely I would be ever appreciative.\n\nI have given you a waypoint to his location.  Please hurry.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_artist_01.stf', '13', 's_a0e28661', 'No and I\'m not going to. Find him yourself.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_artist_01.stf', '14', 's_a1ae198d', 'Have you found my assistant yet?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_artist_01.stf', '15', 's_a2c41722', 'I\'m afraid your assistant will not be coming back... but I have your supplies.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_artist_01.stf', '16', 's_a51658ea', 'Excuse me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_artist_01.stf', '17', 's_a8a01106', 'Your excuses are as transparent as a Twi\'lek entertainers clothing.  Lets both just forget I asked.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_artist_01.stf', '18', 's_a95dd416', 'What? But... you... I see. Very well. I see how your true colors now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_artist_01.stf', '19', 's_aad1f131', 'Where is my assistant?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_artist_01.stf', '20', 's_bdf1fbc8', 'Sounds... interesting.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_artist_01.stf', '21', 's_c4960c85', 'Who are you?  Never mind, I think we both know that doesn\'t matter.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_artist_01.stf', '22', 's_cc45360d', 'Did you even try? I\'m not sure why I bothered to ask for your help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_artist_01.stf', '23', 's_d21432e3', 'I did get your supplies though.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_artist_01.stf', '24', 's_ec321028', 'Oh. Maybe I spoke hastily. But how did you know what to get? [check the supplies] Yes, these all look correct. I\'m impressed. Ever think about becoming an artist\'s assistant?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_artist_01.stf', '25', 's_f9a16624', 'I get the picture. What can I do to help?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_artist_02.stf', '1', 'do_not_edit', 'The English version of this file (padawan_artist_02.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_artist_02.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_artist_02.stf', '3', 's_1ed6eefa', 'Then let me return with the paint mixture for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_artist_02.stf', '4', 's_26360156', 'Yeah. Okay. Thanks, tell Sathme that I\'m sorry.\n\n[You take the painting supplies, but decide putting them in your inventory could result in a big mess. So instead you store them someplace safer.]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_artist_02.stf', '5', 's_5439ef9', 'Then why are you digging around in the mud?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_artist_02.stf', '6', 's_5c12a1a9', 'I\'ve told her already, I\'m not fetching her \'mud and refuse\' ever again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_artist_02.stf', '7', 's_70d2d7a8', 'Because... I... I\'ve lost all direction in my life, where do I go from here? There must be something better than fetching dirt and droppings from various places.  But I have nowhere else to go.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_artist_02.stf', '8', 's_7fb2178f', 'I\'m just here to get you to return with her supplies.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_artist_02.stf', '9', 's_a54bac2d', 'I don\'t care what she thinks... I\'m following my own dreams.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_artist_02.stf', '10', 's_b19ae492', 'Sorry...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_artist_02.stf', '11', 's_b4b8a975', 'There are plenty of worse professions out there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_artist_02.stf', '12', 's_c5493e9b', 'I have hopes and dreams too!  I have talent!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_artist_02.stf', '13', 's_cb5a9d1b', 'Right.. can you just please get back to the delivery?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_artist_02.stf', '14', 's_e00a6a73', 'I see she has already found a replacement for me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_artist_02.stf', '15', 's_e83d11f6', 'No, I don\'t have it in me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_artist_02.stf', '16', 's_f0a76084', 'You don\'t have to lie to make me feel better.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_bad_cat_01.stf', '1', 'do_not_edit', 'The English version of this file (padawan_bad_cat_01.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_bad_cat_01.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_bad_cat_01.stf', '3', 's_1ca2724b', 'Too true, well my best friend is the one with the biggest problem.  \n\nOur tamed cat was spooked during one of our live performances, sending it in a mad fury towards my best friend\'s throat.\n\nThat friend is in bad shape, however, the real problem is our cat is loose outside the city limits.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_bad_cat_01.stf', '4', 's_34fc22c8', 'No, I think you have a problem.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_bad_cat_01.stf', '5', 's_3aa5b0e8', 'I don\'t think the cat meant any harm, but those animals don\'t realize how much damage they can do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_bad_cat_01.stf', '6', 's_5455041', 'Find the cat, and ermm... take the necessary steps to make sure this never happens again. I realize that will mean killing the cat, but I don\'t know that there are any alternative.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_bad_cat_01.stf', '7', 's_5b82e205', 'Have you taken care of our problem?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_bad_cat_01.stf', '8', 's_5ffd7e8f', 'It is.  The cat has been taken care of.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_bad_cat_01.stf', '9', 's_6077d5', 'Not yet, but I will.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_bad_cat_01.stf', '10', 's_6766a3d9', 'What am I going to do...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_bad_cat_01.stf', '11', 's_72bfd7f8', 'We did truly need your help. Now I don\'t know what to do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_bad_cat_01.stf', '12', 's_799aee03', 'Oh we do, do we?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_bad_cat_01.stf', '13', 's_89952c29', 'Tell me it\'s all over.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_bad_cat_01.stf', '14', 's_8b81f489', 'Yes I\'ll do what I can.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_bad_cat_01.stf', '15', 's_908b3b7a', 'What do you want me to do about it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_bad_cat_01.stf', '16', 's_913dffdc', 'My pet, a fairly large cat, was spooked during a live performance earlier this evening. It leapt right at my good friend, who was performing with me, and went for his throat.\n\nMy friend is in bad shape, however, the real problem is that our cat is on the loose outside the city limits. Could you possibly help me resolve this most unfortunate of accidents?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_bad_cat_01.stf', '17', 's_93b5b885', 'We have a slight problem.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_bad_cat_01.stf', '18', 's_a2b99609', 'Okay.  I have uploaded coordinates to your datapad for the cat\'s last known location.  Return here once it\'s over. Please.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_bad_cat_01.stf', '19', 's_b4aeaba0', '[pause] I\'m glad it\'s over. Thank you for your help.  I owe you my gratitude.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_bad_cat_01.stf', '20', 's_bad01abd', 'Oh dear.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_bad_cat_01.stf', '21', 's_d36ab1ec', 'Don\'t worry... I\'ll do what needs to be done.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_bad_cat_01.stf', '22', 's_d3af9eee', 'Please hurry.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_bad_cat_01.stf', '23', 's_ddfbf107', 'Thank you.  I have uploaded the cat\'s last known location to your datapad.  Return here once this is all behind us.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_bad_cat_01.stf', '24', 's_ecd38d6b', 'No. Please. Why would I care?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_bad_cat_01.stf', '25', 's_ee242807', 'No, and I\'ve decided I\'m not going to. Deal with it yourself.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_bad_cat_01.stf', '26', 's_ff470431', 'As I said, I think this problem is yours alone. I don\'t care.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_chef_01.stf', '1', 'do_not_edit', 'The English version of this file (padawan_chef_01.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_chef_01.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_chef_01.stf', '3', 's_1ba9c89d', 'I don\'t care, I\'m glad he took it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_chef_01.stf', '4', 's_236213e1', 'So? Tell me what happened. Did he die painfully?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_chef_01.stf', '5', 's_32e459b5', 'It\'s gone... all gone.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_chef_01.stf', '6', 's_39d844c', 'Is it over? Has that thug paid the price I asked?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_chef_01.stf', '7', 's_3f4dfda1', 'No but I\'m done. I\'m not going to help you seek revenge.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_chef_01.stf', '8', 's_4c695dbd', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_chef_01.stf', '9', 's_53e26aec', 'No. I didn\'t hurt him. I\'ll not exact your petty revenge.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_chef_01.stf', '10', 's_56b146aa', 'Now, that was uncalled for.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_chef_01.stf', '11', 's_58e01006', 'He took it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_chef_01.stf', '12', 's_78228c87', 'You are right, I\'m sorry.  Who took what?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_chef_01.stf', '13', 's_7c44e561', 'What?? I can\'t... ah no,  my sweet revenge!??!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_chef_01.stf', '14', 's_7c9388b6', 'Yes. He died screaming like a newborn bantha and begging for his life.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_chef_01.stf', '15', 's_8a0862a1', 'It sure is.\n\nThe pie is long gone, I can feel it in my blood.  What I want is revenge.  Revenge is the only thing that will taste as sweet as my precious lost pie.\n\nAre you willing to help?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_chef_01.stf', '16', 's_8cddb8eb', 'Arrrgh. You... you\'re just cruel. Taking pleasure in another\'s misfortune.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_chef_01.stf', '17', 's_94e89675', 'That is one sad story.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_chef_01.stf', '18', 's_959fc17d', 'Some random thug came by here, and took my latest creation.  \n\nIt was a fantastic pie, and I won\'t be able to make another of its grandeur for quite some time.  I put my heart and soul into that pie.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_chef_01.stf', '19', 's_9bcbdc35', 'Good for him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_chef_01.stf', '20', 's_9bf6042f', 'But?!! No!!!!\n\nI want my revenge! I must have it! My precious vengeance! Who are you to stand in my way.\n\nWell, drat.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_chef_01.stf', '21', 's_a7c3aea6', 'Who took what?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_chef_01.stf', '22', 's_b654720c', 'I chased the thug all the way to the edge of town. He ran off into the wilderness, and I quickly lost sight of him. But I managed to at least tag him with a small burst tracking device, so I know where you can find the bum.\n\nDestroy him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_chef_01.stf', '23', 's_bc5c7c4a', 'Not just yet. I\'m still working on it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_chef_01.stf', '24', 's_be6b7d06', 'Problem solved? Did I get my revenge?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_chef_01.stf', '25', 's_d5ab69d1', 'Okay. Don\'t waste too much time I don\'t know how long until he discovers that tracking device.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_chef_01.stf', '26', 's_d70dba34', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_chef_01.stf', '27', 's_e15ebf39', 'It\'s not fair. Not at all. I hate everyone.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_chef_01.stf', '28', 's_edc10a84', 'My hero. Ah sweet and glorious day!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_chef_01.stf', '29', 's_f68302e8', 'But you must... you have no choice, don\'t you see. Help me get my revenge. I need revenge! You must!! Arrrrrrgggh...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_chef_02.stf', '1', 'do_not_edit', 'The English version of this file (padawan_chef_02.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_chef_02.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_chef_02.stf', '3', 's_2ad2bbf9', 'Oh. Yeah, good. And you tell that chef... well, tell him his pie was really good. And that I\'ll try and pay for the next one.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_chef_02.stf', '4', 's_35494a44', 'Hey... who are you? What are you doing following me? At least you\'re not that crazed chef. He was out of his mind. I mean, it was just a pie.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_chef_02.stf', '5', 's_78cca73a', 'What? No! Ha. That\'s truly unbelievable. Okay, so you\'re here. Now what? You gonna try and collect some money for that pie?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_chef_02.stf', '6', 's_7ca121b2', 'Oh man, that pie was so good. I hope that guy makes another one. I might even pay for the next one.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_chef_02.stf', '7', 's_867ceb54', 'Whoa! Hold it. Just a minute. For a pie? You want blood? Alright. Whatever. Come on. Let\'s go!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_chef_02.stf', '8', 's_928c6a6a', 'The chef wants revenge. But I think I\'ve made a mistake. I\'m leaving.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_chef_02.stf', '9', 's_c1e21c08', 'I\'m here because that crazed chef asked me to be.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_chef_02.stf', '10', 's_ca28f99d', 'Not money, exactly. But I am here to make you pay for that pie. In blood.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_kill_baz_nitch_01.stf', '1', 'do_not_edit', 'The English version of this file (padawan_kill_baz_nitch_01.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_kill_baz_nitch_01.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_kill_baz_nitch_01.stf', '3', 's_2313ac9e', 'What are you talking about?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_kill_baz_nitch_01.stf', '4', 's_2b2c13e4', 'It\'s not just that they are foul creatures, but they also destroy crops... and people.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_kill_baz_nitch_01.stf', '5', 's_4498c7a3', 'Just what I wanted to hear, killing 20 of them should help curb the infestation.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_kill_baz_nitch_01.stf', '6', 's_70d6b213', 'Thank you so much. That infestation of baz nitches was getting out of hand.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_kill_baz_nitch_01.stf', '7', 's_88122b41', 'The Baz Nitch infestation of course!  We need you, the most capable of adventurer to help remedy this horrendous epidemic.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_kill_baz_nitch_01.stf', '8', 's_95db8861', 'Ah, perfect.  You seem to fit the build of someone capable of handling this most unfortunate of tasks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_kill_baz_nitch_01.stf', '9', 's_983337f5', 'Killing Baz Nitches eh?  I\'ll do what I can.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_kill_baz_nitch_01.stf', '10', 's_a7c60196', 'Excellent work!  Thanks to you we all have 20 less Baz Nitches to worry about.  We can all sleep easier tonight my friend!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_kill_baz_nitch_01.stf', '11', 's_a8f84c9f', 'Let me know once you have killed 20 Baz Nitches.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_kill_falumpaset_01.stf', '1', 'do_not_edit', 'The English version of this file (padawan_kill_falumpaset_01.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_kill_falumpaset_01.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_kill_falumpaset_01.stf', '3', 's_1faee9ae', 'A cargo vessel carrying a shipment of some less than legal merchandise has gotten us all into quite a bad spot.  It seems as though this vessel has been leaking chemicals all over the landscape infecting a very large percentage of the local herbivores.\n\nWe have an idea on how to solve the problem, but we are going to need your help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_kill_falumpaset_01.stf', '4', 's_25c07049', 'Sure, what can I help you with?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_kill_falumpaset_01.stf', '5', 's_3d66a959', 'Excellent work, I think you\'ve cleared it up before any serious consequences could arise.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_kill_falumpaset_01.stf', '6', 's_5036f77b', 'Okay, what is your plan?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_kill_falumpaset_01.stf', '7', 's_6f2a1f67', 'A cargo vessel carrying a large shipment of some less than legal merchandise has gotten us all into quite a bad spot.  It seems as though this vessel has been leaking chemicals all over the place infecting a very large percentage of some of the local herbivores.\n\nWe have an idea on how to solve the problem, but we are going to need your help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_kill_falumpaset_01.stf', '8', 's_741c2cf1', 'Let me know once you have killed 20 Falumpaset.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_kill_falumpaset_01.stf', '9', 's_761aa5f8', 'Well done. You took to that quite well. Sad business, but necessary. This kind of thing happens from time to time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_kill_falumpaset_01.stf', '10', 's_82761761', 'Oh dear, we have quite the problem.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_kill_falumpaset_01.stf', '11', 's_889a3584', 'Whats wrong?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_kill_falumpaset_01.stf', '12', 's_bd13c42d', 'What I need you to do is kill 20 Falumpaset, those are the creatures who ate up the largest portions of the sludge that  was spilt.\n\nOnce you\'ve taken down 20 of them come back here and let me know.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_kill_falumpaset_01.stf', '13', 's_beb9462d', 'I assume that is the royal \'we\', correct?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_kill_falumpaset_01.stf', '14', 's_cce54be1', 'Ah those poor creatures. But I suppose it\'s best to destroy them before this can spread to others.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_kill_falumpaset_01.stf', '15', 's_d4307269', 'Not exactly, so are you willing to hear the problem?  Or no?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_kill_falumpaset_01.stf', '16', 's_dedea172', 'Sure, what is your plan?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_kill_falumpaset_01.stf', '17', 's_e73e7a7a', 'I see. Well, thanks anyway.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_kill_falumpaset_01.stf', '18', 's_f3993d68', 'No. And I\'m sorry I spoke to you in the first place.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_kill_sludge_panther_01.stf', '1', 'do_not_edit', 'The English version of this file (padawan_kill_sludge_panther_01.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_kill_sludge_panther_01.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_kill_sludge_panther_01.stf', '3', 's_10a8184c', 'Thanks for your help. It\'s a shame to have to destroy those animals, but it\'s better in the long run. Even if they hadn\'t spread the infection directly, their offsprings would have been at risk.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_kill_sludge_panther_01.stf', '4', 's_16d870fe', 'Consider it done.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_kill_sludge_panther_01.stf', '5', 's_3d2465d5', 'And it wouldn\'t be except that some sludge panthers devoured the dumped Falumpaset meat and are now in danger of spreading the toxin to other animals.\n\nI\'m afraid we must try and eliminate the infected sludge panthers before this spreads much further.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_kill_sludge_panther_01.stf', '6', 's_54cde3f2', 'Let me know once you have killed 20 Sludge Panthers.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_kill_sludge_panther_01.stf', '7', 's_7b35cfbc', 'What is the problem?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_kill_sludge_panther_01.stf', '8', 's_acb29829', 'Excellent work.  I\'m positive now we\'ve cleaned up a large enough portion of the infested population to prevent any serious damage to the ecosystem.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_kill_sludge_panther_01.stf', '9', 's_c2a10302', 'Okay, doesn\'t really seem like it\'s a problem any more though.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_kill_sludge_panther_01.stf', '10', 's_d35e7542', ' It seems as though some bad Falumpaset meat was sold to some local merchants. Tainted with some kind of chemical the Falumpasets must have eaten. \n\nOnce these merchants realized the meat was off, they naturally dumped it.\n\n');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_kill_sludge_panther_01.stf', '11', 's_da6f521d', 'It\'s getting out of control.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_kill_sludge_panther_01.stf', '12', 's_dfb295ef', 'This is going to get worse before it gets better. Unless we can stop it now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_kill_sludge_panther_01.stf', '13', 's_e49afb37', 'Excellent. If you can find and kill 20 sludge panthers, that seems like it should be sufficient.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_01.stf', '1', 'do_not_edit', 'The English version of this file (padawan_old_musician_01.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_01.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_01.stf', '3', 's_150fa11a', 'My guess is you want me to help you with that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_01.stf', '4', 's_189e6456', 'As I thought.  I didn\'t much expect you to.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_01.stf', '5', 's_246ed1c7', 'Don\'t much have to tell me that.  Lady luck left me many years ago.  \n\nThanks for your time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_01.stf', '6', 's_2c577f48', 'Where should I start?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_01.stf', '7', 's_2d855cc6', 'Samston always did like to rub it in.  We would fight for days over Selestina, she was the sole reason \'The Blue Mead\', broke up.\n\nThis ring means a whole lot to me, and I appreciate the trouble you went through to get it.  I wish I hadn\'t been so stubborn in my life and I hope you can learn from my poor example.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_01.stf', '8', 's_2d9fa396', 'If only you\'d found at least one of them alive. I would have gone to my rest a happier man.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_01.stf', '9', 's_42d4547', 'Lok? Why would you go there? Oh never mind. I\'m surprised you\'ve done as much as you have, to be honest.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_01.stf', '10', 's_431c1c58', 'I\'ve got some bad news Grizzlo.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_01.stf', '11', 's_4f05c224', 'I don\'t have time for your dusty old stories.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_01.stf', '12', 's_5027198', 'That\'s a good question. I think there\'s a man I used to know... he\'s a booking agent for musical acts. Name\'s Marco Vahn.\n\nLast I heard, he was in Mos Eisley on Tatooine trying to convince some band at the cantina there to go on tour for him. He might know where my old band mates are.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_01.stf', '13', 's_52917b0d', 'Of course.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_01.stf', '14', 's_6386bdac', 'What\'s that? Speak up a bit. Where ya going...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_01.stf', '15', 's_64234023', 'This was given to me... to give to you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_01.stf', '16', 's_6aa99fbc', 'You are a quick one.  All I want is for you to try to find them.  If you could of course.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_01.stf', '17', 's_6b726d18', 'Truthfully, I don\'t have much time left.  I think it would be a surprise to both my doctors and myself if I made it to the end of this week.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_01.stf', '18', 's_73519ce0', 'Are they on their way?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_01.stf', '19', 's_7a8dee0a', 'Back when I used to play my music, I wore a blumfruit on my lapel because it was the style at the time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_01.stf', '20', 's_9fe9d850', 'Oh, that is very good news. Please go and find out if he\'s still there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_01.stf', '21', 's_a80877a1', 'I look forward to hearing from you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_01.stf', '22', 's_c2f4a95c', 'Any reason you cannot look for them yourself?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_01.stf', '23', 's_c4a1af2c', 'Not yet, but I\'m still looking. I\'ll be back when I find them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_01.stf', '24', 's_c53fc924', 'No, but I found a good lead. One of your friends moved to Lok.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_01.stf', '25', 's_d23b54d0', 'You\'re not even gonna live long enough for this to be worth it. I\'m out.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_01.stf', '26', 's_d27dbab', 'In my younger years I was in a traveling band.  We played all over this here planet.  We were not the best band around, but people seemed to enjoy our music enough.\n\nOver the years the band drifted and we all went our separate ways.  I haven\'t kept in touch with any of the three other members, and have regretted it to this day.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_01.stf', '27', 's_d6d1e61d', 'You don\'t even have to say it friend, I can see from the look in your eyes.\n\nThey are all dead.\n\nYou can go on now, thanks again for your help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_01.stf', '28', 's_d7278b9f', 'Sort of, but there\'s no way I\'m travelling all the way to Lok');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_01.stf', '29', 's_d7ea1106', 'Also there\'s a rin... er... I mean... yeah, I\'ll be going.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_01.stf', '30', 's_dbc1ba26', 'Well hello there!  It\'s always nice to see new faces at this age.  Reminds me of years past.\n\nHumor and old man for a bit, and listen up eh?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_01.stf', '31', 's_e4475a83', 'Looks like you are out of luck old man.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_01.stf', '32', 's_ef7a7d43', 'My friends may all have passed on, but this ring will help me remember. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_01.stf', '33', 's_f2a197da', 'Have you found my old friends?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_01.stf', '34', 's_f6fe45ba', 'Well hello... oh you\'re back. Did you find any of my old friends?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_02.stf', '1', 'do_not_edit', 'The English version of this file (padawan_old_musician_02.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_02.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_02.stf', '3', 's_1e50f991', 'Sadly, I\'ve lost interest in this..');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_02.stf', '4', 's_26888d70', 'It\'s forgotten. Like you\'ve never been here. Really, who are you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_02.stf', '5', 's_284c1131', 'Whatever you say. Not like it makes any difference to me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_02.stf', '6', 's_3ce5abed', 'Grizzy Two Tune?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_02.stf', '7', 's_46660c8b', 'Whatever you say. You were the one asking questions.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_02.stf', '8', 's_51ea4418', 'Never mind, I don\'t think I care any more.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_02.stf', '9', 's_58a6b3', 'These stories never change friend.  Is that all you needed to know?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_02.stf', '10', 's_5d25f30f', 'Beep boop bop bop... yeah, play that thing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_02.stf', '11', 's_60181c57', 'Never mind, I\'ve decided I don\'t care.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_02.stf', '12', 's_71918486', 'No, he is very much alive. Well, sort of.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_02.stf', '13', 's_79a946b4', 'Know the current location of any of his band mates?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_02.stf', '14', 's_83a3fa55', 'Do you know an old man by the name of Grizzlo?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_02.stf', '15', 's_8593cffc', 'Old Grizzy?  Sure, I\'ve heard of him.  Didn\'t he die a few years back?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_02.stf', '16', 's_8db3d0fb', 'Do you know where I can find the other band members?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_02.stf', '17', 's_91a67d52', 'Do you know where I can find any of his band mates?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_02.stf', '18', 's_b38f136f', 'The band had some sort of falling out, I\'m sure it was over a girl.  Tad bit cliche, eh?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_02.stf', '19', 's_bdb08f0b', 'That\'s what they used to call him; his band didn\'t know more than two tunes.\n\nTruth is the tunes they did play were something else; I don\'t think their popularity ever spread off world though. \n\nNeed to know anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_02.stf', '20', 's_c7b21593', 'I\'ve heard one or two of them moved to Lok about twenty some years ago, though it\'s been quite a while since I\'ve heard from any them. I fear age may have caught up with them sooner than our friend Grizzlo.\n\nI know a musician at the cantina on Lok near Nym\'s stronghold. He would know if any of those guys are still around. Look for Vixur Webb there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_02.stf', '21', 's_c7d951f7', 'I think I\'ve exceed my interest in this whole thing. Forget about it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_02.stf', '22', 's_c8ad3417', 'Who\'da guessed that.  Well, what do you need to know about Ol\' Grizzy Two Tune?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_02.stf', '23', 's_cefcce06', 'Yes? Are you talking to me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_02.stf', '24', 's_cf3cdb9a', 'Why did they break up if they were so popular?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_02.stf', '25', 's_d80ca537', 'I\'ve heard one or two of them moved to Lok about twenty some years ago, though it\'s been quite a while since I\'ve heard from any them. I fear age may have caught up with them sooner than our friend Grizzlo.\n\nI know a musician at the cantina on Lok near Nym\'s stronghold. He would know if any of those guys are still around. Look for Vixur Webb there. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_02.stf', '26', 's_d920c8d', 'You have quite the morbid sense of humor don\'t yah?\n\nWell, what do you need to know about Ol\' Grizzy Two Tune?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_02.stf', '27', 's_e9a5dbe', 'I\'m digging up his past before they start digging his grave.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_02.stf', '28', 's_fafa8703', 'Yeah, but that doesn\'t surprise me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_03.stf', '1', 'do_not_edit', 'The English version of this file (padawan_old_musician_03.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_03.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_03.stf', '3', 's_16e413e5', 'Hello friend.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_03.stf', '4', 's_285ac110', 'You are going to need a shovel if you want to talk to her friend, and I\'m afraid she isn\'t going to be saying much.  She passed a few years back herself.\n\nAs a matter of fact, I\'m afraid the entire band, except for your friend Grizzlo, is no longer with us.\nIt\'s a shame really; Samston told me they had two tunes in particular that really made people move.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_03.stf', '5', 's_3585e154', 'Do you know where I might be able to find her?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_03.stf', '6', 's_4ef8ad4d', 'I\'m supposed to meet a friend, Branthon, and go see a theatrical performance tonight. If I don\'t go,  Branthon has promised to write an essay revealing the entire plot of the show. It will consist of at least 20 words!\n\nI don\'t want that to happen.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_03.stf', '7', 's_6be6a4b5', 'What Twi\'lek?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_03.stf', '8', 's_77c9e846', 'No problem friend.  Actually wait one second.  Samston gave me this here ring, it belonged to that Twi\'lek I was talking about before. I don\'t have much need for it and I\'m sure Grizzy Two Tone would love to have it himself. Tell him Samston always wanted him to have it; it wouldn\'t be far from the truth.\n[You worry that the ring will be lost in your inventory, so you stow it in a safe place.]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_03.stf', '9', 's_8da4188a', 'No kidding?  Grizzy Two Tone?  It\'s been quite a few years since I\'ve heard that name.  Samston, a member of Grizzy\'s band used to hang out in this here Cantina.  He used to sit in that chair right across from me.  We were good friends Samston and I. He had many a good stories of Grizzy and the rest of \'The Blue...\' something... can\'t quite recall the bands name.  It was a sad day when Samston passed away. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_03.stf', '10', 's_8dc8e232', 'Oh just some girl the two of them fought over for quite some time.  \n\nRumor has it that she is the reason the band broke up.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_03.stf', '11', 's_a25995cf', 'It\'s been a good ten years since Samston passed away.  As far as I know he has never talked with Grizzy after the whole fiasco between the two of them over that Twi\'lek dancer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_03.stf', '12', 's_a8d0cb35', 'I\'m looking for an old friend of Grizzlo.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_03.stf', '13', 's_afbed875', 'Thank you for your time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_old_musician_03.stf', '14', 's_cbc0ca2b', 'I\'m sorry to hear that.  Grizzlo will be as well.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_pannaqa_01.stf', '1', 'do_not_edit', 'The English version of this file (padawan_pannaqa_01.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_pannaqa_01.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_pannaqa_01.stf', '3', 's_1843ab7e', 'One dead tree. That\'s pretty much all I\'ve got to show for my farming skills. As if I should call them skills even. [*sigh*]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_pannaqa_01.stf', '4', 's_194a6a4b', 'Shendo, an extremely unreliable acquaintance of mine was supposed to have delivered it many hours ago but has yet to show up.  Would you be willing to find him and retrieve the part? ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_pannaqa_01.stf', '5', 's_24a1738d', 'I see. I thank you for the consideration you\'ve given and trust that you find your way.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_pannaqa_01.stf', '6', 's_30546869', 'Not yet, but don\'t worry... I will.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_pannaqa_01.stf', '7', 's_387d18ec', 'I\'ve decided that I\'m done being your slave boy. You\'re on your own.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_pannaqa_01.stf', '8', 's_3a3e0d5d', 'Yes, Shendo wasn\'t difficult to find... just to deal with.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_pannaqa_01.stf', '9', 's_41aab3ed', 'I\'m sure someone of your ability will be able to assist me.  Do you have a second to spare?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_pannaqa_01.stf', '10', 's_42e0a11e', 'Thank you so much. Hopefully this will help me get  the gardens around here into shape.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_pannaqa_01.stf', '11', 's_52da7aa', 'Ahh, thank you. Please return when you have the part.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_pannaqa_01.stf', '12', 's_53c84ebd', 'I can\'t leave the village.. there\'s far too much to be done at the moment. But I also need a replacement part for my vibro-tiller. Without it, farming is much more difficult.\n\nAs you can see, we have not had much luck of late trying to grow our crops. Between the harsh environment and the constant attacks of Mellichae\'s thugs, we have our hands full.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_pannaqa_01.stf', '13', 's_69af28a6', 'I would be more than willing to help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_pannaqa_01.stf', '14', 's_6d11135b', 'Did you find Shendo with the vibro-tiller part?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_pannaqa_01.stf', '15', 's_72d5a837', 'Sorry for bothering, I didn\'t mean to offend.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_pannaqa_01.stf', '16', 's_ad0eb2bb', 'Tasks like this are for the servants, bother someone else.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_pannaqa_01.stf', '17', 's_b2216c3', 'Do you have the part? Did you find Shendo?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_pannaqa_01.stf', '18', 's_b336be8b', 'I\'ve decided that you\'re on your own. Find another servant.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_pannaqa_01.stf', '19', 's_b9c3a3be', 'Any luck finding Shendo?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_pannaqa_01.stf', '20', 's_bbfeec70', 'Thank you kindly, I\'ll be here when you return.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_pannaqa_01.stf', '21', 's_be0f3920', 'Now maybe instead of just dead trees, I\'ll grow some vegetables. Or flowers. Or maybe just more trees.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_pannaqa_01.stf', '22', 's_dd5fc3e4', 'Sure, why not.  How can I help?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_pannaqa_01.stf', '23', 's_df607c49', 'I\'m listening.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_pannaqa_01.stf', '24', 's_ed2f6bdb', 'What kind of mup do you take me for? I\'m not doing you menial labor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_pannaqa_01.stf', '25', 's_fd022a50', 'No, find some sap to bother with your shallow needs.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_pannaqa_02.stf', '1', 'do_not_edit', 'The English version of this file (padawan_pannaqa_02.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_pannaqa_02.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_pannaqa_02.stf', '3', 's_3c4de5b4', 'No, he\'s not around, as usual. He\'s off goofing around as always.  I don\'t think I\'ve ever seen him without a Sunburn in his hand and spice on his breath.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_pannaqa_02.stf', '4', 's_499c34de', 'Yeah, I can help you. I\'ll upload the information to your datapad.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_pannaqa_02.stf', '5', 's_62623109', 'Go away. I\'m doing stuff here and you\'re bothering me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_pannaqa_02.stf', '6', 's_69850509', 'Do you know where I might find him?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_pannaqa_02.stf', '7', 's_afd80a03', 'I\'m looking for Shendo. I was told he might be here?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_pannaqa_02.stf', '8', 's_e03f6fd1', 'Yes? May I help you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_pannaqa_03.stf', '1', 'do_not_edit', 'The English version of this file (padawan_pannaqa_03.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_pannaqa_03.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_pannaqa_03.stf', '3', 's_1a22a5dc', 'Basically.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_pannaqa_03.stf', '4', 's_2b0e7d3c', 'Pannaqa!  You are already many hours late.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_pannaqa_03.stf', '5', 's_4cc97351', 'Pannaqa has been waiting for you for quite a while, Shendo. He needs that vibro-tiller part.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_pannaqa_03.stf', '6', 's_552042df', 'Show me the drink to go way. I\'m home and I wanna go drink....');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_pannaqa_03.stf', '7', 's_6abc7ab9', 'No kidding eh?  I guess I should probably get on that huh?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_pannaqa_03.stf', '8', 's_70fea75d', 'Um, hello?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_pannaqa_03.stf', '9', 's_7bbf7ffe', 'I don\'t think I can trust you to finish the job.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_pannaqa_03.stf', '10', 's_9035e1f5', 'Um, who?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_pannaqa_03.stf', '11', 's_b6307da0', 'Deal. Now I can get back to my drinking and wandering.\n\n[You stash the vibro-tiller part in a safe place.]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_pannaqa_03.stf', '12', 's_b7bc9ab', 'At this point I do not care, I\'ve lost all hope.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_pannaqa_03.stf', '13', 's_e51e11cc', 'Cheer up mate, how about I give you the part, and you take it to Pan.. Paqanna.. Whatever his name was.  \n\nI\'m going to keep my eyes on this bottle of ale for you and make sure it doesn\'t do whatever it is I think it\'s going to do.\n\n[You stash the vibro-tiller part in a safe place.]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_pannaqa_03.stf', '14', 's_eb635904', 'So you are going to take the part for me, and I can stay here and drink?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_peoples_soldier_01.stf', '1', 'do_not_edit', 'The English version of this file (padawan_peoples_soldier_01.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_peoples_soldier_01.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_peoples_soldier_01.stf', '3', 's_209a7c7b', 'I just remembered that I don\'t care. Bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_peoples_soldier_01.stf', '4', 's_257d7def', 'You can find these thugs hanging around and being a nuisance.\n\nKeep in mind talking with them is an exhausted option.  I wouldn\'t approach any of them without a blaster at my hip.\n');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_peoples_soldier_01.stf', '5', 's_2ae116f8', 'What is in it for me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_peoples_soldier_01.stf', '6', 's_40708207', 'Have you got the disk?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_peoples_soldier_01.stf', '7', 's_41ec1c94', 'Sorry, it\'s a bad habit.  How can I help?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_peoples_soldier_01.stf', '8', 's_464748ae', 'I am willing to help, where do I start?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_peoples_soldier_01.stf', '9', 's_4e6ee0cd', 'The rich get richer. Too true. So that means I should become one of the rich.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_peoples_soldier_01.stf', '10', 's_4f53003d', 'I should have expected as much. The stench of failure surrounds you... which I foolishly thought could be overcome. No chance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_peoples_soldier_01.stf', '11', 's_53e9175a', 'Would you have returned the disk had you known the contents were worth well over six million credits?  Didn\'t think so.  \n\nMove along and learn from your mistakes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_peoples_soldier_01.stf', '12', 's_6151c35f', 'Can I trust you with some information?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_peoples_soldier_01.stf', '13', 's_6b8c7e69', 'You did. If there\'s nothing in this for me, I\'m gone.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_peoples_soldier_01.stf', '14', 's_873db52a', 'Don\'t expect a welcoming party; like I said before, I wouldn\'t approach them without a blaster on your hip. When you get the disk, bring it back to me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_peoples_soldier_01.stf', '15', 's_9f213941', 'What type of supplies?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_peoples_soldier_01.stf', '16', 's_a082f8ab', 'Don\'t feel so bad... it\'s all to a good cause. My bank account! Ha!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_peoples_soldier_01.stf', '17', 's_a6cac2af', 'With questions like that you might as well join their ranks, I must have read you wrong.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_peoples_soldier_01.stf', '18', 's_b84b366c', 'How can I help?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_peoples_soldier_01.stf', '19', 's_b9bc27b2', 'Sure enough.  I thought it was going to be a challenge.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_peoples_soldier_01.stf', '20', 's_c0a878d5', 'Indeed. Then fare thee well. No... make that fare thee poorly.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_peoples_soldier_01.stf', '21', 's_c7676f2f', 'Spice!  You said it was foods and medicine!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_peoples_soldier_01.stf', '22', 's_d1008bcb', 'What is the problem? Have you done what I\'ve asked?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_peoples_soldier_01.stf', '23', 's_dbc40340', 'I knew I could see the spirit in your eyes.\n\nYou can find these thugs hanging around and harassing people. \n\nKeep in mind talking with them is an exhausted option.  I wouldn\'t approach any of them without a blaster at my hip.\n');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_peoples_soldier_01.stf', '24', 's_ddb27082', 'Not yet, but I\'m working on it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_peoples_soldier_01.stf', '25', 's_df607c49', 'I\'m listening.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_peoples_soldier_01.stf', '26', 's_e8f293a0', 'I knew I could see the spirit in your eyes.\n\nYou can find these thugs hanging around and causing trouble.  \n\nKeep in mind talking with them is an exhausted option.  I wouldn\'t approach any of them without a blaster at my hip.\n');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_peoples_soldier_01.stf', '27', 's_eaa416f0', 'There is a fairly large group of thugs here in town.  One of them is holding onto a crucial data disk, on which the location of a huge stock of stolen supplies is stored.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_peoples_soldier_01.stf', '28', 's_edb238bc', 'Go on.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_peoples_soldier_01.stf', '29', 's_f3df0aae', 'Medicine, and foods mostly.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_peoples_soldier_01.stf', '30', 's_f485390d', 'Good show, all this spice is going to fetch a pretty penny.  See you around.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_peoples_soldier_01.stf', '31', 's_fae10b21', 'I\'ve been working my whole life, and have very little to show for it.  \n\nMore and more of the money I make is being used to line the pockets of the rich.  There is little I can do by myself, which is why I am asking you for help.\n');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_politician_01.stf', '1', 'do_not_edit', 'The English version of this file (padawan_politician_01.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_politician_01.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_politician_01.stf', '3', 's_10204c5e', 'As folks in these parts know, more than our fair share of predators roam the area outside of the city limits.  What I need you to do my bright eyed adventuring friend is head out into this untamed region and destroy a bloodseeker mite that has been causing no end of trouble.\n\nThink you\'re capable?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_politician_01.stf', '4', 's_4eb51131', 'That was quick... did you make the countryside a safer place?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_politician_01.stf', '5', 's_4fc89968', 'Excellent, thank you for your services friend.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_politician_01.stf', '6', 's_59b59b84', 'That\'s a real shame.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_politician_01.stf', '7', 's_59b6aab3', 'Has the bloodseeker mite been taken care of?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_politician_01.stf', '8', 's_60ba5013', 'What kind of quick and dirty job are we talking about?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_politician_01.stf', '9', 's_6299309e', 'Of course.  Give me the location, and consider it done.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_politician_01.stf', '10', 's_82367ff2', 'Keep your problems to yourself. What makes you think I\'d care.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_politician_01.stf', '11', 's_99bdf01', 'I decided to make myself a safer place. Go deal with it yourself.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_politician_01.stf', '12', 's_badba8f2', 'Greetings and be welcome. Remember my motto: voting once is nice; voting often is better.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_politician_01.stf', '13', 's_c61129a3', 'That\'s a real shame. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_politician_01.stf', '14', 's_d30e03d9', 'Not yet, but believe me they will.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_politician_01.stf', '15', 's_dbf5765a', 'Ah good. My election into office is almost certainly assured once I take credit for... er... I mean, let the people know about the service you\'ve provided.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_politician_01.stf', '16', 's_dc3b8fc5', 'Yes, it has.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_politician_01.stf', '17', 's_de8ec7cf', 'Fight your own battles. And find someone who cares.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_politician_01.stf', '18', 's_e01d17e1', 'Ahh, just as stup.. err. brave as I suspected.\n\nI have uploaded a waypoint to your datapad with the location of a known hunting ground of this creature.\n\nReturn to me when the bloodseeker mite has been eliminated.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_politician_01.stf', '19', 's_e16a4410', 'Hello there, you are a perfect match for a quick and dirty job I need done to help the citizens of this fair city.\n\nNot to mention help boost my image in the next election.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_politician_01.stf', '20', 's_e6b7fdc0', 'Excellent. Such enthusiasm in one\'s work is always a pleasure to behold.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_sob_story_01.stf', '1', 'do_not_edit', 'The English version of this file (padawan_sob_story_01.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_sob_story_01.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_sob_story_01.stf', '3', 's_10163a72', 'You will not be missed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_sob_story_01.stf', '4', 's_164cf4c2', 'Right, I\'m sure you do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_sob_story_01.stf', '5', 's_182378be', 'Please, I could care less about that waste of space.  I just want the blaster he took back.  \n\nThe blaster belonged to my father and he had no right to take it with him, the thing was an antique and didn\'t even work.  To tell you the truth, I would be more surprised if my brother was still alive.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_sob_story_01.stf', '6', 's_1cf278e9', 'I will help you find your brother.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_sob_story_01.stf', '7', 's_1f8a26f8', 'This means quite a lot to me. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_sob_story_01.stf', '8', 's_202dc610', 'More the fool am I. I should have stopped him. Or something. Now he\'s gone and he took it with him. Yes, quite the fool.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_sob_story_01.stf', '9', 's_2438dea0', 'I\'ve decided you\'re a lunatic, lady, and probably don\'t even have a brother.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_sob_story_01.stf', '10', 's_290ad18b', 'No, I\'m afraid I\'ve had enough of you as well.  Good bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_sob_story_01.stf', '11', 's_291d0c7a', 'Well, if that\'s the case, what are you talking about?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_sob_story_01.stf', '12', 's_297f30e9', 'I\'m here, and yes, willing to help you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_sob_story_01.stf', '13', 's_2e220ef9', 'You are not the only one.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_sob_story_01.stf', '14', 's_360d601b', 'That could be arranged.  Forget I asked.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_sob_story_01.stf', '15', 's_36a4e374', 'Yes, I am.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_sob_story_01.stf', '16', 's_390df542', 'Um.. yeah.  That is exactly why I\'m here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_sob_story_01.stf', '17', 's_3d146002', 'Do you have the blaster? Were you able to find it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_sob_story_01.stf', '18', 's_45240d04', 'Why are you back without the blaster?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_sob_story_01.stf', '19', 's_4c1008a4', 'Oh good, you are already here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_sob_story_01.stf', '20', 's_4f7b1e26', 'That\'s not what I\'m worried about.  He took my father\'s blaster with him.  I want that thing back.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_sob_story_01.stf', '21', 's_5bd31ce', 'I see. Then go. And thanks for nothing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_sob_story_01.stf', '22', 's_5bdbb8de', 'Where can I find him?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_sob_story_01.stf', '23', 's_6845d2f7', 'Yeah, I have some time to spare.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_sob_story_01.stf', '24', 's_6f0025f1', 'So are you, or are you not, here to help me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_sob_story_01.stf', '25', 's_72071926', 'Good, because I could care less about that wasted soul.  I just want the blaster he stole from me back.  \n\nYou willing to help?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_sob_story_01.stf', '26', 's_83d29997', 'Lies don\'t score you any points.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_sob_story_01.stf', '27', 's_8de1965a', 'That\'s a shame, but I\'m off.  I have things to do that I actually care about.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_sob_story_01.stf', '28', 's_91b4a77f', 'Good. Good. I... thank you. This is hitting me harder than I thought it would. Please excuse me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_sob_story_01.stf', '29', 's_94c910a4', 'I would rather kiss a Gamorrean.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_sob_story_01.stf', '30', 's_9525d947', 'So go and get it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_sob_story_01.stf', '31', 's_986473', 'My brother went out with a group of his friends last week, and has yet to return.  Neither has any of his friends.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_sob_story_01.stf', '32', 's_9a6c3b2a', 'Sounds like he\'s dead.  Sorry to break the news to you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_sob_story_01.stf', '33', 's_a128b86a', 'Your charm has won me over, how can I help?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_sob_story_01.stf', '34', 's_ab866ec6', 'Now I\'m confused.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_sob_story_01.stf', '35', 's_ae1fd723', 'My brother went out with a group of his friends last week, and has yet to return.  Neither have any of his friends.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_sob_story_01.stf', '36', 's_b6e31aa4', 'Believe me, I would if I could.  Sadly I have other obligations, like standing here sending smart mouthed adventurers out to their most certain doom.\n\nYou going to help?  Or just continue to grace me with your, oh so precious presence... and stench.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_sob_story_01.stf', '37', 's_b7015989', 'My brother and his friends were talking all last week about going camping somewhere in the wild.\n\nMy brother, or his corpse, should be somewhere in the area where they were camping. The blaster should be with him. Get it and bring it back to me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_sob_story_01.stf', '38', 's_b7139d72', 'Where else would I be?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_sob_story_01.stf', '39', 's_be83966b', 'Good. My brother and his friends were talking all last week about going camping somewhere in the wild.\n\nMy brother, or his corpse, should be somewhere in the area where they were camping. The blaster should be with him. Get it and bring it back to me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_sob_story_01.stf', '40', 's_d3249f0b', 'I\'m here, but why would I want to help you. Jump off.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_sob_story_01.stf', '41', 's_d4cfb5b8', 'I will find your brother.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_sob_story_01.stf', '42', 's_da7087d0', 'Yes, I found his remains and the blaster in the area you expected.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_sob_story_01.stf', '43', 's_dbff867f', 'You are here to help find my brother right?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_sob_story_01.stf', '44', 's_e2b8c011', 'Just hurry up and get me that blaster before someone else makes off with it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_sob_story_01.stf', '45', 's_e6ae286a', 'I\'m working on it. Not quite finished yet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_sob_story_01.stf', '46', 's_ed0b42f4', 'I figured as much, well, you are smarter than you look.\n\nSee you around.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_sob_story_01.stf', '47', 's_f8143d38', 'Good,. My brother and his friends were talking all last week about going camping somewhere in the wild.\n\nMy brother, or his corpse, should be somewhere in the area where they were camping. The blaster should be with him. Get it and bring it back to me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_sob_story_01.stf', '48', 's_f89b1ce4', 'No, not exactly.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_spice_mom_01.stf', '1', 'do_not_edit', 'The English version of this file (padawan_spice_mom_01.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_spice_mom_01.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_spice_mom_01.stf', '3', 's_16ec7737', 'No, not at all Miss, how may I help?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_spice_mom_01.stf', '4', 's_1aa2a6e6', 'Oh, I\'m sorry for causing trouble.  Here is the spice.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_spice_mom_01.stf', '5', 's_238c7ac2', 'Oh very good. Hurry back now, dear.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_spice_mom_01.stf', '6', 's_2aa97a99', 'Oh my poor son. Whatever will I do if I cannot ease his pain and suffering.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_spice_mom_01.stf', '7', 's_42c15c5', 'Not yet, but I\'m on my way.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_spice_mom_01.stf', '8', 's_4f24860b', 'Hello dear, I\'m a single mother and could use all the help I can get.\n\nYou wouldn\'t mind helping out an old mother now would you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_spice_mom_01.stf', '9', 's_586cd026', 'Thank you dear, my son will be very grateful.  \n\nThe calming hallucinations this spice gives him help ease his mind of the lingering pain he still suffers from after he was in a horrible swoop accident as a child. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_spice_mom_01.stf', '10', 's_6a11e41a', 'I\'ve run short on some supplies around the house, and could use a healthy person like you to run out and pick them up for me.  I know it\'s not the most glamorous of tasks, but I have no one else to ask.\n\nWould you mind?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_spice_mom_01.stf', '11', 's_72b6d639', 'Wow, here you go.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_spice_mom_01.stf', '12', 's_751ed2f1', 'May my son\'s pain be passed to you. Maybe then you\'d see that the world is not so clearly good and bad. \n\nThat spice would have brought peace to my son. To my mind, that good is worth the price.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_spice_mom_01.stf', '13', 's_78f7bd03', 'Thank you dear, these spices will help my son through another week or so.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_spice_mom_01.stf', '14', 's_829888a9', 'Here you go.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_spice_mom_01.stf', '15', 's_85da54b7', 'Are you sure you want these?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_spice_mom_01.stf', '16', 's_8a806d30', 'No and even thinking about doing so was a mistake.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_spice_mom_01.stf', '17', 's_93965747', 'Oh good!  You are a dear, here is the waypoint to my good friend Evif Sulp, he has what I need.\n\nTell him Sola sent you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_spice_mom_01.stf', '18', 's_98244955', 'Have you got my supplies.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_spice_mom_01.stf', '19', 's_9b2292c8', 'Yes, I have them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_spice_mom_01.stf', '20', 's_a3b22c35', 'Oh my. What did I do to provoke such an outburst?!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_spice_mom_01.stf', '21', 's_a687a0a6', 'I don\'t regret anything anymore.  Now give that spice here!  \n\nMy son is in horrible pain, and nothing seems to work better than the calming hallucinations he gets from that spice.\n\nAs much as I hate giving it to him, he needs it to make his painful existence bearable.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_spice_mom_01.stf', '22', 's_a8241eb1', 'I don\'t care what you use it for... you\'re no better than a spice peddler.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_spice_mom_01.stf', '23', 's_b40d662', 'I see, well sorry for bothering dear.  Good day.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_spice_mom_01.stf', '24', 's_b638139d', 'Did you speak with Evif?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_spice_mom_01.stf', '25', 's_bf3942ab', 'Please believe that I know what I\'m doing, and that this is the best that can be done for my son.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_spice_mom_01.stf', '26', 's_cf8c69f5', 'Oh good, hand them over please.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_spice_mom_01.stf', '27', 's_d1aec57f', 'Don\'t say anything you are going to regret.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_spice_mom_01.stf', '28', 's_d471cdd', 'I would be happy to help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_spice_mom_01.stf', '29', 's_d4ade5e3', 'Ask one of your kids to do it.  I\'m busy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_spice_mom_01.stf', '30', 's_dc552ff6', 'Thank you dear, my son will be very grateful.  \n\nThe calming hallucinations this spice gives him help ease his mind of the lingering pain he still suffers from after he was in a horrible swoop accident as a child.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_spice_mom_01.stf', '31', 's_dcecfc37', 'Hand them over dear, or so help me I will make sure the rest of your existence is one of pain and misery.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_spice_mom_02.stf', '1', 'do_not_edit', 'The English version of this file (padawan_spice_mom_02.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_spice_mom_02.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_spice_mom_02.stf', '3', 's_168212d8', 'What are you lookin\' for?  \n\nSomethin\' to keep you awake? Help you sleep?  Help you walk, talk, eat, not eat, run faster, swim longer?\n\nAnything you want, need, or can dream up, I have and am willing to sell. For a price.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_spice_mom_02.stf', '4', 's_1f593aa5', 'I\'m not interested.  But I believe I know someone who is?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_spice_mom_02.stf', '5', 's_2c96cac3', 'Oh!  You should have said so before friend, and you shouldn\'t be so quick to judge.  \n\nEveryone has their hobbies; Miss Sola is a good friend of mine, and a loyal customer.  Take this to her and tell her Evif sends his well wishes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_spice_mom_02.stf', '6', 's_350fcbe3', 'She has her reasons. Miss Sola is a friend and a loyal customer.  just take this to her and tell her Evif sends his well wishes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_spice_mom_02.stf', '7', 's_6168a073', 'Now I\'m certain I have the wrong guy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_spice_mom_02.stf', '8', 's_6242972e', 'Whatever you say friend. I\'m not going to argue. I\'ll say this though... shouldn\'t be so quick to judge people you barely know.\n\nAnd believe me, Sola can take care of herself. She\'s willing to do what she feels needs doing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_spice_mom_02.stf', '9', 's_625ba59c', 'I guess. Thought I can\'t imagine why she\'d be dealing with you..');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_spice_mom_02.stf', '10', 's_798612aa', 'It\'s not for me, Sola sent me for her weekly supplies.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_spice_mom_02.stf', '11', 's_a04364ee', 'You aren\'t in law enforcement now are you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_spice_mom_02.stf', '12', 's_a0730d59', 'Sola sent you didn\'t she?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_spice_mom_02.stf', '13', 's_b56527e1', 'Anything you want, need, or can dream up, I have and am willing to sell. For a price.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_spice_mom_02.stf', '14', 's_bdb90e46', 'No, Sola sent me here for her weekly supplies.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_spice_mom_02.stf', '15', 's_ca7eddd3', 'You leave her alone! She doesn\'t need a thug like you bothering her.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_spice_mom_02.stf', '16', 's_d0812b8d', 'I\'m sorry, I think I have the wrong person.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_spice_mom_02.stf', '17', 's_e66080c4', 'You sure about that?  I\'ve got what every man and woman in the Galaxy needs.  Name your pleasure, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_spice_mom_02.stf', '18', 's_f5bb1061', 'Oh!  You should have said so before friend.\n\nMiss Sola is a good friend of mine... and a loyal customer.  Take this to her and tell her Evif sends his well wishes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_surveyor_01.stf', '1', 'do_not_edit', 'The English version of this file (padawan_surveyor_01.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_surveyor_01.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_surveyor_01.stf', '3', 's_14d76798', 'Yes. It\'s safe there now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_surveyor_01.stf', '4', 's_1a4fb5a7', 'Excellent, here is the waypoint my boss gave me.  \n\nOnce you\'ve gotten rid of the sharnaff bull, come back and let me know so I can go do my thing.\n\nThanks! I really appreciate this.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_surveyor_01.stf', '5', 's_268abe', 'I can\'t much blame you; I\'d rather not as well.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_surveyor_01.stf', '6', 's_29df11d8', 'Not a problem. Just let me know when it\'s safe.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_surveyor_01.stf', '7', 's_2f57a101', 'But... but. Fine. Maybe I can get work scooping sludge out of ditches.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_surveyor_01.stf', '8', 's_4f0a7816', 'Good questions.\n\nMy boss employs me to go out and gather samples for him from around the galaxy.  He recently asked me to go out and gather some from a fairly dangerous area. I mean, there\'s a sharnaff bull there. Those things are HUGE.\n\nActually, maybe you could help me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_surveyor_01.stf', '9', 's_63bacc6c', 'I\'m not going. No chance. I\'ll simply get a new job. A much worse job, I\'m sure. But at least I\'ll be alive.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_surveyor_01.stf', '10', 's_6f9237a3', 'Yeah, right. Like that\'s gonna happen.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_surveyor_01.stf', '11', 's_723b6d0e', 'Have you cleared the area? Is that sharnaff bull gone?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_surveyor_01.stf', '12', 's_80783f21', 'Who?  What?  When and where?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_surveyor_01.stf', '13', 's_88563437', 'Doesn\'t much matter to me, either way it looks like it\'s not getting done.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_surveyor_01.stf', '14', 's_95cc5c27', 'I can\'t believe he expects me to gather resources for him THERE.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_surveyor_01.stf', '15', 's_a9fb608b', 'Oh thank you so much. I\'m terribly afraid of large animals. Whew. That\'s a relief.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_surveyor_01.stf', '16', 's_bed3977c', 'Not so fast... I\'m not actually finished yet. Give me a bit more time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_surveyor_01.stf', '17', 's_cc8d7500', 'Back so soon? Wow, I\'m impressed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_surveyor_01.stf', '18', 's_df1f4d74', 'Sure, I\'m willing to help you out.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_surveyor_01.stf', '19', 's_e01d4e3a', 'I can\'t believe you think I am INTERESTED.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_surveyor_01.stf', '20', 's_f547f53', 'Great, I hope it wasn\'t too difficult.\n\nThanks again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_surveyor_01.stf', '21', 's_f78dd868', 'Speaking of fast, watch how quickly I tell you I\'m not doing it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_the_ring_01.stf', '1', 'do_not_edit', 'The English version of this file (padawan_the_ring_01.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_the_ring_01.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_the_ring_01.stf', '3', 's_112f3596', 'Do you have the ring?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_the_ring_01.stf', '4', 's_16c644b4', 'She\'ll have my hide. I\'m such a fool. How could I have done such a thing... how??!!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_the_ring_01.stf', '5', 's_1f8ddc7', 'I got it the only way possible, by killing the low life that took it from you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_the_ring_01.stf', '6', 's_23b61565', 'I\'ve changed my mind. Go get the ring yourself. I\'ve got better things to do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_the_ring_01.stf', '7', 's_252ebf4f', 'Little details like that don\'t matter.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_the_ring_01.stf', '8', 's_3924c1a9', 'I\'m in a tight spot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_the_ring_01.stf', '9', 's_3a25f75a', 'Alive?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_the_ring_01.stf', '10', 's_3faed3', 'Nothing\'s wrong. I just haven\'t found the ring yet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_the_ring_01.stf', '11', 's_47749228', 'You... you killed him? Wow, I never thought he\'d refuse to return it and fight you for it. Well, I thought he might fight you, but not that he\'d go so far.\n\nI don\'t know what to say... thank you, friend. Thank you very much.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_the_ring_01.stf', '12', 's_4bbb35f5', 'Coward! Why did I ever think you\'d be able to help me anyway. Just go. Maybe I can buy another ring that looks just like it... with the exact same inscription... and... and... ah no. I\'m doomed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_the_ring_01.stf', '13', 's_5056dd2e', 'No, he insisted on fighting for it. You\'re not worth the trouble.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_the_ring_01.stf', '14', 's_618117e6', 'You... you killed him? Wow, I never thought he\'d refuse to return it and fight you for it. Well, I thought he might fight you, but not that he\'d og so far.\n\nI don\'t know what to say... thank you, friend. Thank you very much.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_the_ring_01.stf', '15', 's_61a3322c', 'If I\'m not here when my wife returns she is sure to suspect I\'ve done something wrong.\n\nShe had no idea I was going out racing, and if she finds out otherwise... Well lets just say she cannot find out otherwise.  Do you have time to help?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_the_ring_01.stf', '16', 's_63fcf51c', 'In that case.. No.  He\'s not quite ok.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_the_ring_01.stf', '17', 's_6d739213', 'Seriously... If it\'s not too much to ask do you think you could go out and try to find it for me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_the_ring_01.stf', '18', 's_6fd316c5', 'I did, though it wasn\'t easy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_the_ring_01.stf', '19', 's_70c10eb', 'I would be happy to.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_the_ring_01.stf', '20', 's_70e58d4e', 'You\'re back. Did you get the ring?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_the_ring_01.stf', '21', 's_7b35cfbc', 'What is the problem?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_the_ring_01.stf', '22', 's_7cb3d5a9', 'Should have been more careful.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_the_ring_01.stf', '23', 's_8626b2e6', 'Sure, how can I help you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_the_ring_01.stf', '24', 's_91971db6', 'That is a tight spot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_the_ring_01.stf', '25', 's_92a6af5a', 'Brilliant!  Your incredible skills of deduction amaze me.\n\nHow much do I owe you for this display of pure ingenious?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_the_ring_01.stf', '26', 's_997d67e4', 'Why not get it yourself?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_the_ring_01.stf', '27', 's_9a1d24f0', 'In the literal, or figurative sense?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_the_ring_01.stf', '28', 's_a410e80d', 'It\'s free the first time, next time it\'s going to cost you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_the_ring_01.stf', '29', 's_a9ca1cc2', 'No problem friend. Hurry back when you have it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_the_ring_01.stf', '30', 's_b3083e4e', 'Rewards are not always monetary, or even tangible friend.  \n\nLearning that in life not all of your positive actions result in an immediate personal gain will leave you much more appreciative of the things you already have. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_the_ring_01.stf', '31', 's_b4bf50d7', 'No, if you put it that way.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_the_ring_01.stf', '32', 's_b7fd7db8', 'Not exactly, depends on your definition of ok.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_the_ring_01.stf', '33', 's_c0eab960', 'Why are you back? What\'s wrong?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_the_ring_01.stf', '34', 's_c2f7ce8', 'It\'s okay, I\'m just a bit wound up.  I could truly use your help, if you are willing of course.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_the_ring_01.stf', '35', 's_c6898781', 'I\'m sorry, it was just a joke.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_the_ring_01.stf', '36', 's_d0ed20dc', 'Thank you again, friend. I\'m sorry it had to come to violence, but I guess you had no other choice.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_the_ring_01.stf', '37', 's_d1457e5b', 'I sort of borrowed my deceased mother in laws wedding ring from my wife, then I sort of lost it when I was out racing my swoop.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_the_ring_01.stf', '38', 's_d403c577', 'Is he ok?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_the_ring_01.stf', '39', 's_d91ac73', 'Thank you very much, I\'ve uploaded your datapad with the last location I remember having the ring on me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_the_ring_01.stf', '40', 's_dc264acf', 'Fair enough. At least you\'re listening. You are listening, right?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_the_ring_01.stf', '41', 's_e20e68ad', 'Hmmph. Probably would have stolen the ring for yourself anyway.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_the_ring_01.stf', '42', 's_ea66e5db', 'Sounds dangerous. If there\'s nothing in it for me, forget it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_the_ring_01.stf', '43', 's_f61a9588', 'Literal!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_the_ring_01.stf', '44', 's_f7b65eb2', 'Why is it covered in blood?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_the_ring_02.stf', '1', 'do_not_edit', 'The English version of this file (padawan_the_ring_02.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_the_ring_02.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_the_ring_02.stf', '3', 's_157b6369', 'Believe me friend, I have far more than luck on my side.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_the_ring_02.stf', '4', 's_36ab201c', 'If you insist on a fight, I won\'t back down.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_the_ring_02.stf', '5', 's_443c85ef', 'Forty million credits and a penthouse apartment in Coruscant.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_the_ring_02.stf', '6', 's_4f77458a', 'Ha... right. That\'s funny.\n\nYou mean this ring? The one I took from Keicho? The one he balked on when it came time to place a bet. I won his landspeeder last week, and his wifes wedding gown the week before that.\n\nI love that gown. But he wouldn\'t bet the ring. Couldn\'t understand why, so I just took it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_the_ring_02.stf', '7', 's_6a1562ad', 'What do you want?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_the_ring_02.stf', '8', 's_711691ff', 'I\'m looking for a wedding ring, have you seen one?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_the_ring_02.stf', '9', 's_759ab6bb', 'Unless what?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_the_ring_02.stf', '10', 's_77a2c8a3', 'We will see about that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_the_ring_02.stf', '11', 's_80764fc6', 'Yeah, and I don\'t plan on giving it up.  So unless you are willing test your luck and pry it off my cold dead hands I recommend you go back to Keicho and tell him to find some other chump to do his dirty work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_the_ring_02.stf', '12', 's_83f28a20', 'Maybe, what is in it for me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_the_ring_02.stf', '13', 's_8514b7c5', 'I am not willing to solve this with blood shed.  Good bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_the_ring_02.stf', '14', 's_860ae378', 'Actually, I\'ve given Keicho enough options.  \n\nEither you fight me for this here ring, or you go back to him empty handed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_the_ring_02.stf', '15', 's_cd72f93', 'Good choice.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_the_ring_02.stf', '16', 's_cdc241bf', 'Well then it doesn\'t look like you are going to be returning to your good friend with this here ring.  Unless...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_the_ring_02.stf', '17', 's_ce804243', 'What? Looking for a fight? Not today, chump, but definitely some other time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_the_ring_02.stf', '18', 's_cec4328', 'Forty million credits and a penthouse apartment in Coruscant?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_the_ring_02.stf', '19', 's_d38d76e0', 'This does not have to get violent.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_the_ring_02.stf', '20', 's_e4815789', 'You took it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/padawan_the_ring_02.stf', '21', 's_f42e101f', 'I\'ve got races to win and chumps to scam.  Answer the question or get out of my face.\n\nWhat do you want?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_1.stf', '1', 'do_not_edit', 'The English version of this file (poi_tatooine_general_1.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_1.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_1.stf', '3', 's_11ee3ff6', 'Oh. I\'m sorry. I was rambling. But you\'re here and that\'s all that matters. I\'m in need of assistance. I need someone brave, intelligent... and someone who is able to think \'outside the box\', if you will. Are you that individual?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_1.stf', '4', 's_14b13184', 'I failed my mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_1.stf', '5', 's_18a00d6a', 'Good. Again, I need you to find the Black Suns in the Ghost Tide Nebula, disable them and inspect them for information. Bring any information you find to me. Time is of the essence!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_1.stf', '6', 's_1c914ce3', 'I\'d rather not take this on quite yet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_1.stf', '7', 's_1d52b30', 'Ah, my friend. You\'ve cleared all the work I have for you now. However, I didn\'t forget to process your reward.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_1.stf', '8', 's_21c417c8', 'That\'s sad. Maybe some other time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_1.stf', '9', 's_239edf9a', 'No... I cannot readily assume it was merely Black Suns attacking our freighters. There has to be something more devious out there! Just let me think... Of course!! I have a second task for you, my friend, if you\'re up to it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_1.stf', '10', 's_255d3625', 'Why are you back already?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_1.stf', '11', 's_28c5432f', 'I see you have returned and so quickly! Here is your reward for the tasks you have completed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_1.stf', '12', 's_2a29152c', 'I wish it were different. Thank you for all of your hard work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_1.stf', '13', 's_30a4f2c3', '[nods and salutes]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_1.stf', '14', 's_3313e38', 'This sounds like a wild goose chase. Ghosts?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_1.stf', '15', 's_3c3a1569', 'You\'ve done well with the tasks I\'ve given you so far. I still have more work if you\'re interested. Check back with me in a few seconds. I have to clear another freighter for travel.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_1.stf', '16', 's_406612f9', 'I don\'t know.. the Black Nemesis is more difficult than I expected.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_1.stf', '17', 's_603f6374', 'Thank you. [salute]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_1.stf', '18', 's_61657d0f', 'I see.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_1.stf', '19', 's_6324b0d2', 'Yeah, sure. Why not?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_1.stf', '20', 's_668c0704', 'It\'s as good as done!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_1.stf', '21', 's_676ef8a2', 'I need details.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_1.stf', '22', 's_6e5b35c0', 'Bah!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_1.stf', '23', 's_6fc5551a', 'Thank you. No more work, huh?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_1.stf', '24', 's_724ce284', 'You say you saw Black Suns in the Ghost Tide Nebula, correct? I don\'t think the Black Suns are all that stupid. Perhaps if there\'s information on them... You need to go out and disable a few and get me the information they might have. I\'m not certain any information or clues exist, but I\'m willing to take the chance. Are you interested?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_1.stf', '25', 's_76cb0e7f', 'Nah. Ghosts are scary.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_1.stf', '26', 's_7d7ae55', 'You haven\'t heard of the freighter disappearances? Where have you been, man?! Let me explain. Firstly, I am Kelen Wordkal, Mos Eisley Police Captain. One of my duties is to clear freighters to their destination. It is their duty to check in with me so I know they\'ve reached it safely. The freighters cleared to go through the Ghost Tide Nebula have never returned...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_1.stf', '27', 's_8167d29a', 'Glad to hear it. Over and out.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_1.stf', '28', 's_81b811c0', 'Why thank you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_1.stf', '29', 's_890511af', 'I see you have no desire to help us. Go away. This is a serious matter!!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_1.stf', '30', 's_8a564db7', 'Indeed. He\'s still out there though. What are you waiting for! Go try again!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_1.stf', '31', 's_8d73b3f1', 'I really don\'t want to help right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_1.stf', '32', 's_9208410d', '...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_1.stf', '33', 's_95d8887f', 'How unfortunate.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_1.stf', '34', 's_969c4dc2', 'I don\'t know. What does it entail?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_1.stf', '35', 's_9eaf76c6', 'I am eager to hear what you have to say, my friend. What did you discover?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_1.stf', '36', 's_a020b1a9', 'I like to hear such eagerness! Go then, and be quick about it. I\'ve uploaded the information you\'ll need to complete your mission. I wish you luck.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_1.stf', '37', 's_a118c43e', '[You relay the events to Kelen]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_1.stf', '38', 's_a18139bb', 'I\'m going to think about doing this later..');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_1.stf', '39', 's_a23289f6', 'There has been a disturbance in the galaxy...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_1.stf', '40', 's_a99397a', 'Yeah, I guess so.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_1.stf', '41', 's_ae1a82fc', 'I\'m so not going to get into this.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_1.stf', '42', 's_b4b3fdb5', '[You tell Kelen about the Black Nemesis]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_1.stf', '43', 's_b9b27823', 'Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_1.stf', '44', 's_bf8bb897', 'Of course. Your next task entails going up against this Black Nemesis. You\'ll need help, however. I\'m going to employ the help of my two best fighter pilots to aid you in this. It won\'t be easy. Will you accept this task and help us against the Black Nemesis?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_1.stf', '45', 's_c0dec268', 'Possibly. I just need someone to investigate. Will you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_1.stf', '46', 's_c14d0f0c', 'You seem rather busy. You should probably come back a little bit later. I may have some tasks that may suit you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_1.stf', '47', 's_c34478b1', 'I\'ve heard nothing but bad news about your performance. What went wrong?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_1.stf', '48', 's_c5afcca4', 'Soon, I will have more work for you. Visit me when you have the time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_1.stf', '49', 's_c738862c', '[sigh] I see. It is not too late. Go out there and try again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_1.stf', '50', 's_c8053613', 'Black Nemesis or no, I don\'t want to help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_1.stf', '51', 's_c9f21b00', 'I really need to know what\'s going on.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_1.stf', '52', 's_cd91abc2', 'I think you\'re too far away. I can\'t get your signal.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_1.stf', '53', 's_dc79df4f', 'What happened out there? All I could hear was static.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_1.stf', '54', 's_de1d7ae9', 'I\'ll have to investigate this myself!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_1.stf', '55', 's_dfba44fb', 'Over and out!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_1.stf', '56', 's_dfe42352', 'The Black Nemesis has been defeated. Our freighters will be able to travel safely now because of you. I am very grateful for your help. Unfortunately, our work together must end. I have no more that needs to be done.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_1.stf', '57', 's_e635adbf', 'Good. I need you to patrol the Ghost Tide nebula in search of odd activities. I have no idea what we\'re looking for here. I have no idea what we\'re looking for here. However, I do suspect that whatever or whomever is causing the freighters to disappear will show up soon enough. I\'ve transmitted the data you\'ll need to complete your mission. Please... be safe.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_1.stf', '58', 's_e7af48c', 'Indeed. Thank you again for the help you\'ve so selflessly lent us.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_1.stf', '59', 's_e7cb1e01', 'Thank you again. I will.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_1.stf', '60', 's_e7f5f946', 'Over and out.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_1.stf', '61', 's_e8b2ad1e', 'You\'ve returned so quickly! What have you discovered?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_1.stf', '62', 's_ea18852', 'The Black Nemesis?! Yes, I have briefly heard of such a \'ghost\' a long time ago. Yes, indeed. Even in the information you retrieved off the Black Suns it was mentioned about a mysterious fighter in the Ghost Tide. It is time to act against this so-called Black Nemesis! Will you continue to be an asset to us and help?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_1.stf', '63', 's_ec4258cd', 'Sure, I guess.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_1.stf', '64', 's_f0445c1d', 'What are you talking about...?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_1.stf', '65', 's_fcf8c341', 'I kinda failed my mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_1.stf', '66', 's_fdba7430', 'You can count on me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_1.stf', '67', 's_fe1b33c5', 'I see. Well, it\'s not too late to try again. Please go out there and complete your mission. It\'s important.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_2.stf', '1', 'do_not_edit', 'The English version of this file (poi_tatooine_general_2.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_2.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_2.stf', '3', 's_102ed493', 'I am slightly disappointed about your failure. I realize, however, it was quite difficult out there. The Zynt\'aia Order can be vicious.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_2.stf', '4', 's_14b13184', 'I failed my mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_2.stf', '5', 's_1a834cf5', 'Welcome back. You\'ve done so much for us already. I\'ve heard of the daring rescue you braved out there. If you\'re willing, I have one more task I\'d like to have done. The work I will give you is by far the most important.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_2.stf', '6', 's_1c914ce3', 'I\'d rather not take this on quite yet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_2.stf', '7', 's_255d3625', 'Why are you back already?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_2.stf', '8', 's_2613d24b', 'I was just looking for some work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_2.stf', '9', 's_2961542d', 'I\'m glad to hear of it. The more we try, the more the Zynt\'aia Order reacts. This time, we\'ll have to take matters into our own hands. We just can\'t seem to get the samples we need from the rocks we\'ve found in that asteroid field. I need you to recover a freighter belonging to the Zynt\'aia Order and bring it back. Don\'t give me that look. We have to fight dirty now. Will you help us?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_2.stf', '10', 's_2d25ead', 'I see. It was fairly difficult. The Zynt\'aia Order has moved into the area and replenished its numbers. You can go out there again. Go.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_2.stf', '11', 's_2d737038', 'Stop moping around and go back out there. You still have a task to do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_2.stf', '12', 's_31881ef', 'Nah. I changed my mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_2.stf', '13', 's_3988ce81', 'What do they want?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_2.stf', '14', 's_3bb73ee3', 'I am astonished at how well you handled yourself out there, pilot. You are gifted, indeed. Unfortunately, I have no more work for you to do. Our freighters can now access the mining field without a hitch and the Zynt\'aia Order seems to have packed their bags and gone away. You\'ve done so much for us.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_2.stf', '15', 's_3f54925e', 'How very disappointing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_2.stf', '16', 's_3f9fe110', 'I see. Another one of \'those\' types.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_2.stf', '17', 's_40f49d32', 'I guess I can tell you the details. You see, the asteroid field we\'ve discovered recently is peppered with rocks which we\'ve yet to get near or attain. The Zynt\'aia Order has been hounding us ever since they\'ve settled in the Tatoo System, watching our every move. I expected them to try and take over our mining field, just not this soon.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_2.stf', '18', 's_44e3e0d3', 'No more work? That\'s a shame.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_2.stf', '19', 's_53ed657a', 'I guess we could use you. I don\'t trust you, however. Maybe some small tasks at first before giving you more important ones. Yeah, that\'ll work. If you\'re really committed to helping us out, you\'ll escort freighters to and from a new mining field we\'ve discovered. What do you say?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_2.stf', '20', 's_544993c3', '[nod] Pilot. You\'ve done your tasks well. I have decided to grant you another reward for your services. Our mining operation is appreciative of your efforts.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_2.stf', '21', 's_5517628d', 'I know. I shouldn\'t have failed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_2.stf', '22', 's_5680cda2', 'I\'m interested in helping you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_2.stf', '23', 's_56b87409', 'Fine. I knew I couldn\'t count on someone like you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_2.stf', '24', 's_61657d0f', 'I see.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_2.stf', '25', 's_62d05d14', 'All right. You\'ll meet the first freighter here and escort it and its crew to the mining field. It should be simple enough. Come back when you\'ve completed your duty.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_2.stf', '26', 's_630c1e1a', 'I can\'t seem to get your signal. You must be too far away.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_2.stf', '27', 's_6613e8a2', 'Why, thank you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_2.stf', '28', 's_692ea4e6', 'Good. The targeted freighter should arrive soon. I\'ll upload all the data you\'ll need to successfully accomplish your mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_2.stf', '29', 's_6fc5551a', 'Thank you. No more work, huh?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_2.stf', '30', 's_70fb2f96', 'That\'s good. I have faith in you and your abilities as a pilot. Go.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_2.stf', '31', 's_75040efd', 'We need you to--oh. You\'re not a miner, are you? What are you doing all the way out here?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_2.stf', '32', 's_87d3a522', 'What can I help with? There must be something.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_2.stf', '33', 's_8d73b3f1', 'I really don\'t want to help right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_2.stf', '34', 's_8f164fcb', 'Good. I\'m glad to hear of it. I wish you well in your mission. Hurry back.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_2.stf', '35', 's_9f495275', 'I see you have failed your mission. Your tasks were simple enough.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_2.stf', '36', 's_a18139bb', 'I\'m going to think about doing this later..');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_2.stf', '37', 's_a401c759', 'What do you mean? You seem kind of bitter.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_2.stf', '38', 's_a99397a', 'Yeah, I guess so.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_2.stf', '39', 's_b034d9ae', 'Sure, I\'ll help you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_2.stf', '40', 's_b755a869', 'I have more work for you. It would be best if you contacted me in a few moments.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_2.stf', '41', 's_bb5aa311', '[nod] Pilot. I heard about the great work you\'re doing out there for us. I hope this will be the first of many rewards for the help you\'ve given us.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_2.stf', '42', 's_c27d920f', 'Yes, I am, in fact.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_2.stf', '43', 's_c2c9b283', 'I am disappointed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_2.stf', '44', 's_c4a3c855', 'You\'re already busy with another task. I guess that\'s why you\'re all the way out here by yourself.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_2.stf', '45', 's_c5afcca4', 'Soon, I will have more work for you. Visit me when you have the time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_2.stf', '46', 's_c6f02543', 'Sadly no. Perhaps it will change in the future.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_2.stf', '47', 's_d215c307', 'I\'m not afraid to try again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_2.stf', '48', 's_d55f7726', 'It is a shame I have no more work for you. However, I do have the last of your rewards. I hope it is enough. I hope to work with you again in the future.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_2.stf', '49', 's_d70603e1', 'I\'m so glad you\'ve returned. I heard that you were attacked by pirates. No doubt, it\'s the Zynt\'aia Order. Ugh! We\'ve had such a problem with them lately.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_2.stf', '50', 's_e9aeb150', 'Thank you again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_2.stf', '51', 's_ec4258cd', 'Sure, I guess.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_2.stf', '52', 's_f0016326', 'In fact, there is. You\'ve proven your worth so far. I can trust you with a little more than just a simple escort. Here\'s the deal. We can\'t tolerate any more harassment from the Zynt\'aia Order. We must strike back at them. I\'ll transmit the data you\'ll need to find them and hunt them down. We need to clear the area so the freighters can move safely by. Will you do this?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_2.stf', '53', 's_f6936e2a', 'Exactly right. You have no idea how many individuals we\'ve been cheated by these days, most of whom come from the Hutt side of the Tatoo System. Are you really looking for work?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_general_2.stf', '54', 's_fa21b24b', 'I\'ll definitely contact you if I need more assistance. You\'re the first on my list.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_privateer.stf', '1', 'do_not_edit', 'The English version of this file (poi_tatooine_privateer.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_privateer.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_privateer.stf', '3', 's_1639204e', 'That is most unfortunate to hear.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_privateer.stf', '4', 's_1bce15e6', 'Sounds pretty simple.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_privateer.stf', '5', 's_1c914ce3', 'I\'d rather not take this on quite yet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_privateer.stf', '6', 's_27eedc3f', 'Okay. Thank you again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_privateer.stf', '7', 's_2aa3e51d', 'I will. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_privateer.stf', '8', 's_2d8a838b', 'Yes, I will try my hardest not to fail this time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_privateer.stf', '9', 's_36d6852', 'And why have you returned so soon?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_privateer.stf', '10', 's_3856c45c', '[Garett just laughs.]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_privateer.stf', '11', 's_3a510008', 'I wish I could help you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_privateer.stf', '12', 's_3bf29799', 'For now, I need a courier. There are sensitive documents I need from an informant over at Jabba\'s Star. Unfortunately, they haven\'t come yet. I need for you to travel there and find out what the fuss is and why it\'s taking so long. Are you interested in this sort of task?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_privateer.stf', '13', 's_4004b748', 'Ah. One of \'us\'. I implore you to assist us on a most sensitive task, my friend. But first, let me introduce myself. I am Garett Erlskel, employed by the Hutts to take care of... business in the Tatoo System. However, recent events have made my job more difficult. At this time, I need the assistance of a young, but intelligent, sort. Are you such, young pilot?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_privateer.stf', '14', 's_42e25376', 'You seemed to have failed in our time of dire need. What do you have to say for yourself?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_privateer.stf', '15', 's_4470da', 'In fact, I am.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_privateer.stf', '16', 's_458d24ab', 'You\'ve done well, my friend, and have exacted the tasks of which I have given you with haste and precision. Unfortunately, I have no other work for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_privateer.stf', '17', 's_485816ee', 'I have nothing to say to you, friend. I am waiting for one aligned with the Hutt faction. You are not one of them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_privateer.stf', '18', 's_49904b3', 'I do not converse with those not belonging to the Hutt faction. I bid you good day.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_privateer.stf', '19', 's_4b48508f', 'How rude!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_privateer.stf', '20', 's_4dc8c70', '[nod] Am I needed for anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_privateer.stf', '21', 's_4e0a91b7', 'Unfortunately so. Continue to share your skills and intelligence with others. The galaxy needs it, I assure you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_privateer.stf', '22', 's_50cdd468', 'I\'m growing quite fond of you, pilot. Here is a little coin for your purse. Check with me again and I\'m sure I\'ll have more work for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_privateer.stf', '23', 's_5c3ad40f', 'I\'m sorry.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_privateer.stf', '24', 's_5f5d3519', 'It was necessary. We must let the locals know that the Hutts still have the control in the Tatoo System. Unfortunately, you were just a pawn in our plans. You shouldn\'t trust individuals aligned with the Hutts, my friend. Lesson learned.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_privateer.stf', '25', 's_61657d0f', 'I see.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_privateer.stf', '26', 's_618da618', 'I\'m going to think about doing this later...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_privateer.stf', '27', 's_6613e8a2', 'Why, thank you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_privateer.stf', '28', 's_67e6df55', 'Okay.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_privateer.stf', '29', 's_68496504', 'It is good to see you. I\'ve processed the information you gathered from the Valarians. The particular \'spy\' has been dealt with. Trust me, he won\'t be spying on the Hutts again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_privateer.stf', '30', 's_6b51a7a7', 'Good. The information is the same. Now go. Do your duty and do it well. I expect success from you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_privateer.stf', '31', 's_6d43911a', 'I agree. How do we find out?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_privateer.stf', '32', 's_6fc5551a', 'Thank you. No more work, huh?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_privateer.stf', '33', 's_706c0c0c', 'So eager. It is a quality I like. I will transmit the information needed to find the Valarian thugs we\'re looking for. I suspect what we\'re looking for will be on one of the fighters in this area.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_privateer.stf', '34', 's_736584d8', 'I apologize. You seem rather busy, my friend. If it is a task I have given you, I expect you to do it... and soon.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_privateer.stf', '35', 's_752f38d3', 'Excellent. Here, take these codes to the informant at Jabba\'s Star, our origin of affairs in the Tatoo System. You\'ll need to deliver the codes to the informant and receive the documents in return. After which, you\'ll return to me in due time. I wish you luck. Now, off you go.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_privateer.stf', '36', 's_753c600d', 'Be well.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_privateer.stf', '37', 's_7552334', 'I\'ll need these orders delivered to the informants at Jabba\'s Star. You must do your task with haste. Simple as can be, no?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_privateer.stf', '38', 's_76924085', 'I see you have returned... and empty handed. It is imperative that I receive the documents from the informant at Jabba\'s Star. I expect you to try again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_privateer.stf', '39', 's_8842ba84', 'That is unfortunate to hear. I understand that the Valarians are a tough kreetle to crack. However, I expected you to do well. Do not prove me wrong again. Go out there and complete your mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_privateer.stf', '40', 's_8d1e636e', 'You\'ve completed all the work I have for you at this time. Your effort and loyalty are highly respected among us. Here is a reward for your effort.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_privateer.stf', '41', 's_8d73b3f1', 'I really don\'t want to help right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_privateer.stf', '42', 's_8e9d0848', '[nod]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_privateer.stf', '43', 's_8ff8682d', 'A pity.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_privateer.stf', '44', 's_931fb8d6', 'I wish you well.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_privateer.stf', '45', 's_936786d3', 'It is quite simple. I need you to patrol the Dragon\'s Spine for the Lady\'s thugs. Perhaps one of them will have the information we need.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_privateer.stf', '46', 's_95d8887f', 'How unfortunate.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_privateer.stf', '47', 's_99dc1f68', 'Good. Go then, and be quick about it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_privateer.stf', '48', 's_a388d49', 'Run along.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_privateer.stf', '49', 's_aef4404d', 'I\'m not really interested in being a lackey.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_privateer.stf', '50', 's_b71871d5', 'You\'ve returned. As you can tell, I\'m perplexed by the sudden attacks launched by the Valarians. It seems we have a spy in our midst, informing the Lady\'s thugs about our activities. It is time to find out what they know. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_privateer.stf', '51', 's_c45f4bb1', 'I wish you luck, my young pilot. Again, I expect only success.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_privateer.stf', '52', 's_c5a66e82', 'No, not really.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_privateer.stf', '53', 's_c5afcca4', 'Soon, I will have more work for you. Visit me when you have the time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_privateer.stf', '54', 's_cccb49af', 'Sounds good. I\'m ready to take on this task.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_privateer.stf', '55', 's_d3874dd0', 'Oh. Okay.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_privateer.stf', '56', 's_dfce1c9a', 'Yes, but I really need to know what\'s going on.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_privateer.stf', '57', 's_e20422e9', 'You\'ve completed your mission, and in due time. You deserve a reward for your effort.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_privateer.stf', '58', 's_e48b5a8', 'Sorry? You made us appear weak in the eyes of the galaxy, you... you! [Long Pause] I apologize. I implore you to try again. And may you do so with success.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_privateer.stf', '59', 's_e4bd704d', 'Why did you have me help launch a battle against the space station?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_privateer.stf', '60', 's_e7cb1e01', 'Thank you again. I will.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_privateer.stf', '61', 's_f4142e79', 'In fact, you are. You continue to impress me and I feel you are ready for the most sensitive and important task I\'ve received to date. We\'re ready to launch our attack. I need another courier. Are you interested?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_privateer.stf', '62', 's_f59dd698', 'Have you been doing tasks that would otherwise upset the Hutt faction? I\'ve heard about you... ah, yes. I will not speak with you until you have increased your standing with the Hutts. Good day.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_privateer.stf', '63', 's_f8ccf9dd', 'Yeah, let me hear the details.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_privateer.stf', '64', 's_fc27931b', 'Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_privateer.stf', '65', 's_fc740f6a', 'I\'m sorry, my friend. You\'re breaking up. You must be too far away.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/poi_tatooine_privateer.stf', '66', 's_fcf8c341', 'I kinda failed my mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '1', 'do_not_edit', 'The English version of this file (privateer_broker.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '3', 's_13dd951a', 'Hey, I\'ve heard people talkin\' about you! Rumor is you\'ve turned into a pretty decent pilot! What can I do for you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '4', 's_159911f5', 'Tell me more.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '5', 's_169df3bb', 'Never mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '6', 's_1d546116', 'Hm? Well, ok. See ya.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '7', 's_1d78d511', 'Here, I\'ll add this location to your datapad... go see the RSF Pilot trainer in the Theed Palace. He can tell you all about the RSF. He\'ll probably bore you to death with long flowery speeches about their \'noble history\' and all that nonsense.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '8', 's_1fd99cce', 'I want to fly for the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '9', 's_2059cc73', 'It\'s a blasted shame - that\'s what it is. Waste of a fine pilot. Take care in life, friend.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '10', 's_22c8a818', 'So where is the Imperial Academy?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '11', 's_2c417dde', 'Tatooine?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '12', 's_2d7a0d3', 'Indeed? Well, shame about that. We\'ve had some trouble you see...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '13', 's_3269c6d', 'Not really.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '14', 's_3cb06a88', 'Ok, ok. Here, I\'ll add these coordinates to your datapad.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '15', 's_43f7f8f5', 'Are you going to direct me to the Academy?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '16', 's_44d6c7b2', 'I don\'t care!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '17', 's_4cc40305', 'Lots of places! Look, CorSec off on Corellia is a prime example. They\'re always looking for new recruits. And there\'s the RSF on Naboo, as well. Not to mention work you could get right here in the Outer Rim. Or even the Rebel Alliance, if you don\'t mind getting executed. What sort of piloting are you interested in?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '18', 's_510d393e', 'It\'s your funeral, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '19', 's_5626358b', 'Well it\'s Imperial Decree 875a subparagraph 13! The Pilots Guild used to oversee almost all aspects of space travel from training new pilots to establishing preferred travel routes, but the Emperor won\'t even allow us to distribute \'The Basics of Space Flight\' without express written consent.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '20', 's_562906b3', 'What trouble?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '21', 's_56acd306', 'I was just nearby.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '22', 's_61657d0f', 'I see.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '23', 's_6ea276b4', 'Rebel Alliance?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '24', 's_71bc4ac7', 'Yes. I want to retire.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '25', 's_74c33af', 'That\'s not the half of it! Imperial Decree 875a subparagraph 19 mandates that we still engage in recruitment activities - you know, job fairs and mass recruitments and that sort of thing - but then any potential recruits are directed straight to the Imperial Academy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '26', 's_757d93fb', 'Yes I do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '27', 's_759870d1', 'Uh... I think I changed my mind. Can\'t I choose to do something else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '28', 's_77becf16', 'I don\'t want to fly for the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '29', 's_79be144a', 'You don\'t look like a pilot to me. But I guess you can still hang-out here if you like. Try to be quiet, though.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '30', 's_7f3a602f', 'Where else can I learn to be a pilot?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '31', 's_80d6e310', 'Well... I don\'t actually know, but I bet it isn\'t very good.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '32', 's_83c3a855', 'RSF?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '33', 's_8bed64bc', 'Oh... well how about CorSec or work here on Tatooine? Are you interested in that sort of thing?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '34', 's_8c645195', 'That\'s right. Corellian Security. Since Corellia is officially neutral in this whole Empire versus the Alliance business, they\'ve got to provide for their own defense. Some of the best pilots in the galaxy come from Corellia, you know?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '35', 's_8cb932b7', 'Nothing. Goodbye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '36', 's_8e1dc39f', 'Oh... well how about CorSec or the RSF? Are you interested in that?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '37', 's_9ba377a3', 'Take care, friend.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '38', 's_9fdd7cf3', 'Yes?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '39', 's_a59f385f', 'Let\'s see if you change your tune when you see that dinky little fighter with NO SHIELDS they give you! Ha!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '40', 's_a5fd1ad3', 'Say, that\'s pretty dangerous. Going up against the Empire\'s huge fleet with nothing but whatever ragtag bunch you can get to oppose them? Still, I suppose the Empire DID destroy Alderaan...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '41', 's_a6f3f40b', 'I\'ve come to retire my status as a pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '42', 's_b31be86', 'Just tellin\' it like it is, my friend. They\'re going to put you in a tiny little ball with a tiny little gun built by the lowest bidder.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '43', 's_bad24bb9', 'On a case-by-case basis? Impossible! Do you have any idea how many pilots there are in the galaxy? Thousands! Hundreds of thousands! Millions!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '44', 's_bd56d5dd', 'Of course you have a choice. We all have choices. There are still... other places you could go to get some basic flight training.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '45', 's_bdf43a8a', 'Well, you\'re the boss. I\'ll get the documents ready to transfer. If you want to change your mind, now\'s the time...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '46', 's_bedc35ff', 'Here, I\'ll add this location to your datapad... this is the Mos Eisley cantina. They don\'t get a lot of attention from the law out here in the Tatooine system, so there\'s always someone there looking for pilots willing to brave the wild frontier, so to speak.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '47', 's_c2320129', 'I don\'t really want to fly for the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '48', 's_c3f7c619', 'Hello. Nice to see you!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '49', 's_cc9259e0', 'Do I have a choice?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '50', 's_ce87b83e', 'What is \'The Basics of Space Flight\'?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '51', 's_cf4d3521', 'We\'ll see about that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '52', 's_d0969d78', 'You want to what? Retire? You know if you retire, you\'ll lose all your pilot skills and they\'ll throw out your mission record, right? If you ever want to join up again, you\'ll start out as a new recruit. Are you sure that\'s what you want?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '53', 's_d1caa227', 'You mean you actually WANT to fly for the Empire? There\'s a war on, you know. It\'s very dangerous.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '54', 's_d3a7e09', 'Oh, handy book, that. Explained all an aspiring pilot needs to know about piloting privately-owned starships. Travel routes, where to go to get private contracts, how to get certified by the necessary authorities to engage in commerce... you know, all that sort of stuff.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '55', 's_d6791368', 'Oh... well how about the RSF or work here on Tatooine? Are you interested in that sort of thing?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '56', 's_da0b2f54', 'No, what is it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '57', 's_e19a5c9a', 'That\'s the location of the Imperial Pilot recruiter. You go talk to him and he\'ll get you all fixed up. You\'ll be dead in no time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '58', 's_e3ec2640', 'I\'m not interested.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '59', 's_e4c89252', 'Thanks. Bye!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '60', 's_e6101168', 'What is this?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '61', 's_e6455de', 'I don\'t blame you for not wanting to fly for the Empire. It\'s dangerous what with the Rebel Alliance and all. Do you have any idea what the kill ratio of X-wings to TIE Fighters is?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '62', 's_eaf87760', 'Eh, I changed my mind. I\'ll stay.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '63', 's_ee816dc0', 'Hey!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '64', 's_f15359b4', 'So long!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '65', 's_f3e5d7a0', 'Oh. Well... then why did you come to see me? The Empire dumps more recruitment on the Holonet daily than we do in a year.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '66', 's_f43b859', 'I would rather be independent.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '67', 's_f51c795', 'On second thought... never mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '68', 's_f58ab655', 'Here, I\'ll add this location to your datapad... Go to CorSec headquarters on Coronet. It\'s just down the street from the starport. Go inside and talk to the CorSec Pilot trainer. He can tell you all about CorSec and get you signed-up!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '69', 's_f6dbaaf2', 'I\'ve come to join the Pilots Guild.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '70', 's_f72f24be', 'I want to retire.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '71', 's_f800df2d', 'Yes. Well... not really my thing, you understand, but there has always been a certain... ah... \'fringe element\' on the outer worlds. Smugglers, ruffians, pirates, thugs... that sort of thing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '72', 's_f90d3de4', 'Why don\'t you get permission to distribute it then?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '73', 's_f97198ff', 'I see. Well... in that case... say you don\'t really want to fly for the Empire, do you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '74', 's_fc27931b', 'Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '75', 's_fcd4dd70', 'That\'s what I like to hear. Take care, friend.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '76', 's_fd3512f0', 'CorSec?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '77', 's_fd94591f', 'Yes. Royal Security Force. Talk about a cushy job! Think of it as Naboo\'s version of CorSec... only, of course, Naboo\'s also got the Empire defending it. It is the Emperor\'s home world, you know!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '78', 's_fdea49b9', 'Ok, but you didn\'t hear this from me... Meet this fellow in the park in front of the Tyrena Starport. He can tell you where to go from there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker.stf', '79', 's_fea04ae8', 'What other places?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker_fired_worker.stf', '1', 'do_not_edit', 'The English version of this file (privateer_broker_fired_worker.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker_fired_worker.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker_fired_worker.stf', '3', 's_16c66b4b', 'Nothing. Nothing.... ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker_fired_worker.stf', '4', 's_858bbc73', 'What\'s wrong?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker_fired_worker.stf', '5', 's_bc3bc2b', 'What was that? I\'m sorry - I\'m finding it hard to concentrate.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker_fired_worker.stf', '6', 's_be9a37d3', 'I\'m Ty\'Vila and I used to work for Gil Burtin and the Free Pilots Guild. Now... I\'m nothing!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker_fired_worker.stf', '7', 's_ca776e30', 'Who are you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker_retired_pilot.stf', '1', 'do_not_edit', 'The English version of this file (privateer_broker_retired_pilot.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker_retired_pilot.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker_retired_pilot.stf', '3', 's_10b13d41', 'That\'s terrible.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker_retired_pilot.stf', '4', 's_1bc3ac43', 'It\'s our civic duty.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker_retired_pilot.stf', '5', 's_1fbaff94', 'And that\'s not all! The equipment is suffering just as much. Most transports are supposed to receive regular maintenance four times each cycle... but I know of a few here in Bestine that haven\'t seen maintenance for over nine months!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker_retired_pilot.stf', '6', 's_2174cfc4', 'I know, but what can you do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker_retired_pilot.stf', '7', 's_23bbba18', 'Where is Gil?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker_retired_pilot.stf', '8', 's_252fcfaf', 'I fly for the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker_retired_pilot.stf', '9', 's_26256229', 'Right... except for the fact that the Empire is also taking a substantial chunk of credits out of your pay to support their blasted war effort!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker_retired_pilot.stf', '10', 's_2ccec1c2', 'Thanks for the warning.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker_retired_pilot.stf', '11', 's_2d1ee89c', 'No kidding! But, what can one person do about it? I\'ll tell you: nothing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker_retired_pilot.stf', '12', 's_2d495751', 'Safety violations? By whom?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker_retired_pilot.stf', '13', 's_2e674765', 'Good luck, then.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker_retired_pilot.stf', '14', 's_3069ecae', 'What\'s the bad news?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker_retired_pilot.stf', '15', 's_31097eef', 'That\'s not fair!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker_retired_pilot.stf', '16', 's_39510e77', 'You too.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker_retired_pilot.stf', '17', 's_3e25fcee', 'I never saw you...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker_retired_pilot.stf', '18', 's_426a2f78', 'Wow. You sound rich, my friend. Stay that way.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker_retired_pilot.stf', '19', 's_49c76620', 'Tell me where I can find Gil.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker_retired_pilot.stf', '20', 's_4e888f16', 'I\'m not afraid!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker_retired_pilot.stf', '21', 's_53d912d', 'The good news... the good news... let me see. Now that I think about it, I lied. This is a \'bad news\' situation. You a pilot?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker_retired_pilot.stf', '22', 's_54818bbc', 'I don\'t know what you mean.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker_retired_pilot.stf', '23', 's_5ad17cbf', 'Oh. Good. Wonderful! There\'s no heartbreaking shame in that, now is there? No filthy guilt eating your brain away, right?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker_retired_pilot.stf', '24', 's_5e303134', 'What\'s the good news?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker_retired_pilot.stf', '25', 's_61129613', 'There is no Free Pilots Guild any more. Bad enough for you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker_retired_pilot.stf', '26', 's_6579c571', 'I don\'t know. Ask Gil.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker_retired_pilot.stf', '27', 's_6bccf4e9', 'I fly for the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker_retired_pilot.stf', '28', 's_6e54c48b', 'What are you doing here then?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker_retired_pilot.stf', '29', 's_75f774fd', 'Are you looking for the Free Pilots Guild? I have what you might describe as a \'good news, bad news\' situation.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker_retired_pilot.stf', '30', 's_77b660fd', 'You don\'t know?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker_retired_pilot.stf', '31', 's_7c525a54', 'I agree... but what can anyone do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker_retired_pilot.stf', '32', 's_7d00c660', 'He\'s in the lounge, playing bartender for this little party. Between us, I think he\'s been drowning his sorrows a bit between pilot interviews. Don\'t let that stop you, though. He was the founder of the Free Pilots Guild, after all. I can only imagine how this has affected him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker_retired_pilot.stf', '33', 's_7f9b8387', 'Why not?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker_retired_pilot.stf', '34', 's_811a5ea0', 'Sounds like good money.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker_retired_pilot.stf', '35', 's_82e40fb4', 'How is this a nightmare?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker_retired_pilot.stf', '36', 's_877a4502', 'I don\'t think you appreciate the sort of safety violations that are running rampant through the transportation service!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker_retired_pilot.stf', '37', 's_89553663', 'Oh dear. How can so many people be so wrong...?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker_retired_pilot.stf', '38', 's_8a596ff6', 'Why so horrible?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker_retired_pilot.stf', '39', 's_8d4beebb', 'Then I think you should talk to Gil. He can direct you to CorSec or the Royal Security Forces. You won\'t have to fly a TIE fighter, I can assure you!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker_retired_pilot.stf', '40', 's_8f67e0e7', 'Can I get a drink?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker_retired_pilot.stf', '41', 's_9f74e2fc', 'Then you\'ll probably want to see Gil. He\'s in the lounge, playing bartender.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker_retired_pilot.stf', '42', 's_ab39b18c', 'In the old days, a transport pilot was never allowed to run more than two shifts back-to-back. Now, the Empire\'s oversight plan has pilots running as many as they can handle. A Zabrak buddy of mine logged more than a dozen shifts in a row just last week!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker_retired_pilot.stf', '43', 's_b0cc84d1', 'The Empire has installed military jurisdiction over the galactic transit services. It\'s a special oversight group that sets flight schedules, repair budgets, and so forth. It\'s a nightmare!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker_retired_pilot.stf', '44', 's_b3aefb70', 'Shut down by order of the Empire! I guess they don\'t want anybody fooling around in space unless they fly a TIE fighter for the Imperial Navy!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker_retired_pilot.stf', '45', 's_b5f15b19', 'Not yet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker_retired_pilot.stf', '46', 's_b5ff56cf', 'Then I don\'t know what you\'re doing here. Gil only refers pilots to CorSec and RSF. There\'s no work to be found here on Tatooine anymore, my friend. None whatsoever...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker_retired_pilot.stf', '47', 's_b93cdbd8', 'That\'s awful.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker_retired_pilot.stf', '48', 's_c4682ea6', 'Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker_retired_pilot.stf', '49', 's_c6667cfa', 'Well, I\'m... Hmm. Let me think...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker_retired_pilot.stf', '50', 's_c88254be', 'I\'m here to see Gil Burtin.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker_retired_pilot.stf', '51', 's_c8d0555c', 'I don\'t want to fly a TIE fighter.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker_retired_pilot.stf', '52', 's_cc070e7b', 'I am a free pilot, myself.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker_retired_pilot.stf', '53', 's_d31921cd', 'You realize you are in Bestine, right? Do you know where to find the starport so you can get out of here... right away?!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker_retired_pilot.stf', '54', 's_e288626b', 'There\'s really nothing left for me now. I haven\'t had any time to figure out my next move. I\'m thinking that I\'m going to need to pick up a job with the shuttle services... and that\'s going to be horrible!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker_retired_pilot.stf', '55', 's_ea090abe', 'I\'m not the bartender. Go ask Gil.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker_retired_pilot.stf', '56', 's_ecfd8a1', 'Relax. I\'m not saying you were.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker_retired_pilot.stf', '57', 's_ef85b67c', 'That makes sense.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker_retired_pilot.stf', '58', 's_f4760c16', 'That sounds harsh!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker_retired_pilot.stf', '59', 's_fa94d5c5', 'Good-bye!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker_retired_pilot.stf', '60', 's_fbdd44a6', 'I see. Well, good luck!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/privateer_broker_retired_pilot.stf', '61', 's_fc27931b', 'Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/pvp_station_imperial.stf', '1', 'do_not_edit', 'The English version of this file (pvp_station_imperial.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/pvp_station_imperial.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/pvp_station_imperial.stf', '3', 's_1e8d6243', 'In that case, please move away from the station. Clear the area for official traffic.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/pvp_station_imperial.stf', '4', 's_25329880', 'Although you are an Imperial Pilot by profession, you have not Declared your factional affiliation. Many Rebel ships [players] will hold-fire in the event you are not really affiliated with the Empire. You may declare your affiliation with the Empire to make it clear that you are willing to respond to their attacks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/pvp_station_imperial.stf', '5', 's_2e491159', 'Sign up with the Empire and we\'ll talk.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/pvp_station_imperial.stf', '6', 's_358253b2', 'There\'s nothing we can do for you while you\'re in that civilian ship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/pvp_station_imperial.stf', '7', 's_370822d1', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/conversation/pvp_station_imperial.stf', '8', 's_3a7768e6', 'All Rebel Pilots will be able to attack me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/pvp_station_imperial.stf', '9', 's_41ebf230', 'You will be Declared Imperial until you land your ship. The next time you launch, if you want to be a Declared Imperial again, you must speak to an Imperial Station again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/pvp_station_imperial.stf', '10', 's_457a7010', 'No');
INSERT INTO `client_strings` VALUES ('string/en/conversation/pvp_station_imperial.stf', '11', 's_48f82131', 'You need to move closer to this station.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/pvp_station_imperial.stf', '12', 's_626fe576', 'How long does this last?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/pvp_station_imperial.stf', '13', 's_7b492de4', 'Very well, %TU. Your ship will begin broadcasting your Imperial affiliation in 30 seconds. You may want to clear the area in the event there are hostiles nearby. Imperial Station, out.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/pvp_station_imperial.stf', '14', 's_afe52489', 'Welcome to the Imperial Space Station, %TU. Would you like to declare your affiliation with the Empire?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/pvp_station_imperial.stf', '15', 's_dd67013', 'What does that mean?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/pvp_station_imperial.stf', '16', 's_e8cb2563', 'We could put your ship to good use, %TU, but you seem to be busy doing something else. Finish your mission and we\'ll talk.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/pvp_station_imperial.stf', '17', 's_ef2a0e9c', 'Not all of them, %TU. Just the ones that have Declared their affiliation with the Rebel Alliance. You\'ll be able to attack them, and they will be able to attack you. Ready to declare?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/pvp_station_imperial.stf', '18', 's_f48e8567', 'You are not welcome at this station Rebel, SCUM!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/pvp_station_rebel.stf', '1', 'do_not_edit', 'The English version of this file (pvp_station_rebel.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/pvp_station_rebel.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/pvp_station_rebel.stf', '3', 's_17456755', 'Sign up with the Rebel Alliance and we\'ll talk.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/pvp_station_rebel.stf', '4', 's_1ef0f7f', 'Finish it, or better yet abort your mission. We need your help!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/pvp_station_rebel.stf', '5', 's_223d8c5f', 'We could use your help fighting the Empire, %TU, but you seem to be busy doing something else.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/pvp_station_rebel.stf', '6', 's_32da2cf3', 'I have a mission');
INSERT INTO `client_strings` VALUES ('string/en/conversation/pvp_station_rebel.stf', '7', 's_358253b2', 'There\'s nothing we can do for you while you\'re in that civilian ship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/pvp_station_rebel.stf', '8', 's_370822d1', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/conversation/pvp_station_rebel.stf', '9', 's_392e22', 'You will be a Declared Rebel until you land your ship. The next time you launch, if you want to be a Declared Rebel again, you must speak to a Rebel Alliance Station again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/pvp_station_rebel.stf', '10', 's_457a7010', 'No');
INSERT INTO `client_strings` VALUES ('string/en/conversation/pvp_station_rebel.stf', '11', 's_48f82131', 'You need to move closer to this station.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/pvp_station_rebel.stf', '12', 's_514ace33', 'You are not welcome at this station!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/pvp_station_rebel.stf', '13', 's_626fe576', 'How long does this last?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/pvp_station_rebel.stf', '14', 's_62e7ee', 'Very well, %TU. Your ship will begin broadcasting your Rebel Alliance affiliation in 30 seconds. You may want to clear the area in the event there are hostiles nearby. Rebel Alliance Station, out.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/pvp_station_rebel.stf', '15', 's_b780e818', 'In that case, please move away from the station.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/pvp_station_rebel.stf', '16', 's_d2cd41a5', 'Although you are a Rebel Alliance Pilot by profession, you have not Declared your factional affiliation. Many Imperial ships [players] will hold fire in the event you are not really affiliated with the Rebel Alliance. You may declare your affiliation with the Alliance to make it clear that you are willing to respond to their attacks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/pvp_station_rebel.stf', '17', 's_dc5b544f', 'All Imperial Pilots will be able to attack me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/pvp_station_rebel.stf', '18', 's_dd67013', 'What does that mean?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/pvp_station_rebel.stf', '19', 's_e4046084', 'Not all of them, %TU. Just the ones that have Declared their affiliation with the Empire. You\'ll be able to attack them, and they will be able to attack you. Ready to declare?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/pvp_station_rebel.stf', '20', 's_e7fb4e63', 'Welcome to the Rebel Alliance Space Station, %TU. Would you like to declare your affiliation with the Rebel Alliance?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/qtqc_phase_2.stf', '1', 'do_not_edit', 'The English version of this file (qtqc_phase_2.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/qtqc_phase_2.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/qtqc_phase_2.stf', '3', 's_20141151', 'Tell me about these special resources again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/qtqc_phase_2.stf', '4', 's_212d314f', 'The overall project');
INSERT INTO `client_strings` VALUES ('string/en/conversation/qtqc_phase_2.stf', '5', 's_261bbc0d', 'What would you like to know about?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/qtqc_phase_2.stf', '6', 's_2a94bc85', 'Refined Endrine');
INSERT INTO `client_strings` VALUES ('string/en/conversation/qtqc_phase_2.stf', '7', 's_2ce1f012', 'How many more items do I need to contribute?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/qtqc_phase_2.stf', '8', 's_31b4836a', 'I\'m sorry, something went wrong; you could not be given the project schematics.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/qtqc_phase_2.stf', '9', 's_36cd5966', 'Reinforced Wall Module');
INSERT INTO `client_strings` VALUES ('string/en/conversation/qtqc_phase_2.stf', '10', 's_39019ea3', 'I\'d like to know about the quality of the ingredients people are giving.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/qtqc_phase_2.stf', '11', 's_3a6af75d', 'I need the schematics for the village defenses.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/qtqc_phase_2.stf', '12', 's_4ccd023a', 'Which ingredient would you like to know about?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/qtqc_phase_2.stf', '13', 's_4f3fd2ab', 'There are people who are working for Eozlin who are gathering special resources. You must get the resources from them to craft the items needed for the defenses. There are also reports that the Sith Shadows are using them to build their bases. The resources are Ardanium II, Endrine, and Rudic.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/qtqc_phase_2.stf', '14', 's_574683dc', 'Small Turret');
INSERT INTO `client_strings` VALUES ('string/en/conversation/qtqc_phase_2.stf', '15', 's_67afc98f', 'What would you like to do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/qtqc_phase_2.stf', '16', 's_6ef148af', 'You have been given the schematics needed for the project. They can be accessed via the \'mission/community crafting\' categories of your crafting tool.  When you have an ingredient ready, see me to add it to the project.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/qtqc_phase_2.stf', '17', 's_739cd87c', 'Please put the ingredients you want to add into my inventory.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/qtqc_phase_2.stf', '18', 's_74be10c7', 'You don\'t need to give any more items, although you can to help the project.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/qtqc_phase_2.stf', '19', 's_87a5e151', 'Refined Ardanium II');
INSERT INTO `client_strings` VALUES ('string/en/conversation/qtqc_phase_2.stf', '20', 's_9750fd54', 'You need to give one more item.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/qtqc_phase_2.stf', '21', 's_a489b2f6', 'The overall project.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/qtqc_phase_2.stf', '22', 's_adcf90d8', 'I don\'t recognize the resources needed by the schematics.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/qtqc_phase_2.stf', '23', 's_baf57f52', 'I\'d like to get the status of the village defenses.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/qtqc_phase_2.stf', '24', 's_bc2ccc0e', 'There is no crafting project currently being run. Please come back later.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/qtqc_phase_2.stf', '25', 's_bf623b9', 'You need to give %DI more items.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/qtqc_phase_2.stf', '26', 's_c57c793', 'I\'d like to know about the amount of ingredients people are giving.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/qtqc_phase_2.stf', '27', 's_ca02afa6', 'Refined Rudic');
INSERT INTO `client_strings` VALUES ('string/en/conversation/qtqc_phase_2.stf', '28', 's_cdaf165d', 'There are people who are working for Eozlin who are gathering special resources. You must get the resources from them to craft the items needed for the defenses. There are also reports that the Sith Shadows are using them to build their bases.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/qtqc_phase_2.stf', '29', 's_ebcb651f', 'I\'d like to add an ingredient to the village defenses.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/qtqc_phase_2.stf', '30', 's_ff02a401', 'I\'d like to see the project\'s current attributes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/qtqc_phase_3.stf', '1', 'do_not_edit', 'The English version of this file (qtqc_phase_3.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/qtqc_phase_3.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/qtqc_phase_3.stf', '3', 's_10aecfa1', 'Regulator');
INSERT INTO `client_strings` VALUES ('string/en/conversation/qtqc_phase_3.stf', '4', 's_1ccf69c4', 'Shield Connections');
INSERT INTO `client_strings` VALUES ('string/en/conversation/qtqc_phase_3.stf', '5', 's_20141151', 'Tell me about these special resources again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/qtqc_phase_3.stf', '6', 's_212d314f', 'The overall project');
INSERT INTO `client_strings` VALUES ('string/en/conversation/qtqc_phase_3.stf', '7', 's_261bbc0d', 'What would you like to know about?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/qtqc_phase_3.stf', '8', 's_27509fa0', 'There are people who are working for Eozlin who are gathering special resources. You must get the resources from them to craft the items needed for the shields. There are also reports that the Sith Shadows are using them to build their bases. The resources are Ardanium II, Endrine, Ostrine, Rudic, and Wind Crystal.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/qtqc_phase_3.stf', '9', 's_2ce1f012', 'How many more items do I need to contribute?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/qtqc_phase_3.stf', '10', 's_31b4836a', 'I\'m sorry, something went wrong; you could not be given the project schematics.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/qtqc_phase_3.stf', '11', 's_39019ea3', 'I\'d like to know about the quality of the ingredients people are giving.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/qtqc_phase_3.stf', '12', 's_4ccd023a', 'Which ingredient would you like to know about?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/qtqc_phase_3.stf', '13', 's_5f230d28', 'I\'d like to add an ingredient to the village shields.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/qtqc_phase_3.stf', '14', 's_67afc98f', 'What would you like to do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/qtqc_phase_3.stf', '15', 's_739cd87c', 'Please put the ingredients you want to add into my inventory.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/qtqc_phase_3.stf', '16', 's_74be10c7', 'You don\'t need to give any more items, although you can to help the project.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/qtqc_phase_3.stf', '17', 's_75024256', 'Unit Computer');
INSERT INTO `client_strings` VALUES ('string/en/conversation/qtqc_phase_3.stf', '18', 's_9750fd54', 'You need to give one more item.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/qtqc_phase_3.stf', '19', 's_a489b2f6', 'The overall project.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/qtqc_phase_3.stf', '20', 's_adcf90d8', 'I don\'t recognize the resources needed by the schematics.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/qtqc_phase_3.stf', '21', 's_b200fa3f', 'Shield Housing');
INSERT INTO `client_strings` VALUES ('string/en/conversation/qtqc_phase_3.stf', '22', 's_bc2ccc0e', 'There is no crafting project currently being run. Please come back later.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/qtqc_phase_3.stf', '23', 's_bf623b9', 'You need to give %DI more items.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/qtqc_phase_3.stf', '24', 's_c266e38f', 'I\'d like to get the status of the village shields.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/qtqc_phase_3.stf', '25', 's_c57c793', 'I\'d like to know about the amount of ingredients people are giving.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/qtqc_phase_3.stf', '26', 's_c61bebb1', 'Power Supply');
INSERT INTO `client_strings` VALUES ('string/en/conversation/qtqc_phase_3.stf', '27', 's_cbc4b5f7', 'I need the schematics for the village shields.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/qtqc_phase_3.stf', '28', 's_e9fef768', 'Primary Computer');
INSERT INTO `client_strings` VALUES ('string/en/conversation/qtqc_phase_3.stf', '29', 's_eb275f76', 'There are people who are working for Eozlin who are gathering special resources. You must get the resources from them to craft the items needed for the shields. There are also reports that the Sith Shadows are using them to build their bases.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/qtqc_phase_3.stf', '30', 's_f273532d', 'You have been given the schematics needed for the project. They can be accessed via the \'mission/community crafting\' categories of your crafting tool. When you have an ingredient ready, see me to add it to the project.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/qtqc_phase_3.stf', '31', 's_f580c83d', 'Endrost Alloy');
INSERT INTO `client_strings` VALUES ('string/en/conversation/qtqc_phase_3.stf', '32', 's_ff02a401', 'I\'d like to see the project\'s current attributes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '1', 'do_not_edit', 'The English version of this file (quest_crowd_pleaser_manager.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '3', 's_11a3b43', 'I\'ll have to come back later.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '4', 's_1204a0c6', 'I see. Now, do you want to audition as a musician or a dancer?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '5', 's_1343b0ab', 'Nah, doesn\'t really sound like something I want to do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '6', 's_1377703a', 'Yes, I\'m ready. Let\'s get this show on the road.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '7', 's_14556b51', 'OK. Go ahead and make your preparations. You know the drill. Just come back and talk with me when you\'re ready to audition.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '8', 's_16e98373', 'Ah, you\'re here about your last show?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '9', 's_183e8ee4', 'As a musician.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '10', 's_1a0fba4e', 'Wow, that was a great act! Really! Here, I\'m supposed to give you an advance for your next performance. Go get some rest, and come see me whenever you want to talk about your next show.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '11', 's_1b58131a', 'Alright. If you change your mind, I\'ll be here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '12', 's_1c296980', 'It doesn\'t look like you\'re skilled enough to perform yet. Go practice a little more and come back when you\'re ready to try again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '13', 's_1dc24a1', 'I\'m here to talk about my next performance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '14', 's_1e0d968c', 'Whenever you like. Just go make yourself ready and speak to me again when you want to start.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '15', 's_1fe0d27c', 'I don\'t have time for that stuff now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '16', 's_2224e2b8', 'It should be quite simple. Just go out there and do a little performance routine for some people. I think that if you were to entertain ten people, that would be enough. Are you ready to do this now?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '17', 's_250ebca6', 'Oh yes, I see, I see. Yes, we do have an open slot coming up here very shortly. Are you ready to get started with your show now?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '18', 's_274a8930', 'Alright, I\'ll go ahead and get things set up. You\'d better hurry up and get onstage. The audition will start in thirty seconds.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '19', 's_2883b989', 'Not right now, thanks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '20', 's_2a8b6bf', 'Only entertainers and crew should be backstage. What are you doing here?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '21', 's_2b8d253d', 'Excellent work. I\'m starting to hear the buzz about your performance! We should be able to put on the show whenever you\'re ready. Go make your preparations, then come speak with me again when you want to begin.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '22', 's_2cf69669', 'That\'s right. This is the last show scheduled for your concert series. But don\'t worry, for an entertainer such as yourself, I\'m sure that there will be many opportunities for you in the future.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '23', 's_2f3d57d6', 'I don\'t really like doing the promotions.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '24', 's_303aa95e', 'Alright. Come back when you\'re ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '25', 's_326a697e', 'Sorry, I\'ll come back later.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '26', 's_34bf7b50', 'I see. Just tell me what I need to do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '27', 's_350a3257', 'Not right now, I\'ve got some stuff to do first.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '28', 's_353af024', 'Well, before you put on your first show, we need to do some advertising. You know, what good is a show if nobody comes to see it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '29', 's_36a4e374', 'Yes, I am.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '30', 's_37b822c1', 'Hello there! You\'re a member of the entertainment industry are you not? I\'ve got an offer for you if you\'re interested.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '31', 's_388438a6', 'How much will I get paid?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '32', 's_38a3b1e2', 'Nervous? I understand. Just come back when you\'re ready and we\'ll get you up on stage.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '33', 's_3936bc63', 'Oh, you didn\'t pass the audition? That\'s too bad. We can set you up with another audition, but not until twenty-four hours have passed since your last audition. Come back then and we\'ll talk.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '34', 's_39aa9593', 'Sure, I can give it a try.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '35', 's_3cdabd0e', 'What? Oh, hello there. I\'m sorry, it\'s recently become rather busy. What can I do for you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '36', 's_3d244a46', 'You haven\'t completed your promotional assignment have you? Come back when you\'re done and we\'ll talk about your next performance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '37', 's_3e04f6f', 'Alright. What do I need to do this time?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '38', 's_3ef23ade', 'Sorry. I\'ll come back later.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '39', 's_414898b2', 'I\'m not quite ready yet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '40', 's_4365b273', 'I\'m not nervous.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '41', 's_472f2a5e', 'You\'re here for an audition, yes? Are you ready to get started now?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '42', 's_499afb89', 'What is your offer?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '43', 's_4a1d2431', 'Yes, I\'m ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '44', 's_4be62475', 'No way. I don\'t want to go through that again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '45', 's_4dbb8ff6', 'I\'ll take care of all the promotions on this end, but you need to go out and promote yourself, if you know what I\'m saying. Get your name out there on the streets... get people talking.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '46', 's_55e428e8', 'Last show?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '47', 's_56d2a81f', 'I understand. Come back if you change your mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '48', 's_57c8489e', 'What should I do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '49', 's_57f90c0e', 'Hm... it looks like someone else is on stage right now. Try back again in a little while and we\'ll see if we can get you set up.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '50', 's_58ea419', 'Indeed! This show will be even bigger than the last one! If the next show is as good as the last, you\'ll be on your way to the top!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '51', 's_59a59142', 'As ready as I\'ll ever be.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '52', 's_5a936e2e', 'That\'s fine. I don\'t mind doing the promotions.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '53', 's_61657d0f', 'I see.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '54', 's_64d20f97', 'Audition? Uh, I\'d rather not be judged.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '55', 's_664ead2a', 'I\'m hearing people talk about your upcoming show, but it\'s not enough. Go finish your promotional job, and then we\'ll discuss your performance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '56', 's_668b00bf', 'That\'s fantastic. This is going to be your biggest performance ever! I can feel it!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '57', 's_67e4d556', 'OK... Well, if you ever need any more work, just come see me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '58', 's_68c92267', 'Actually, we\'re all booked up right now. Maybe some other time, sorry.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '59', 's_694f2644', 'OK, so what do we do next?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '60', 's_6b02387e', 'I see. I\'m not ready for that yet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '61', 's_705ff1a9', 'Excellent. Make whatever preparations you feel are necessary, and then come back to me when you are ready to start the audition.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '62', 's_70da1c6a', 'OK. You\'ll still need to audition though. Is that acceptable?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '63', 's_7223d3c0', 'Amazing. Simply amazing. You truly are one of the best performers I\'ve seen in a long time. Here\'s a bonus for doing so well. Also, one of our past acts left this scroll here. It\'s not much use to us, maybe you\'d like to have it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '64', 's_7943785d', 'Sure, no time like the present.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '65', 's_7b58a334', 'When can we get started with the next show?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '66', 's_7b9543aa', 'Let\'s not get ahead of ourselves. First, you must pass an audition. We can\'t just have anyone getting up on the stage now, can we?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '67', 's_7cef0609', 'Here\'s what you do. Go out and do a small performance routine for thirty people. Soon, everybody should be talking about you, and if the word is good, we might even have a sell out show!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '68', 's_810fffd0', 'Oh, you\'re back. But I don\'t think you\'ve finished your promotional campaign have you? Come back when you\'re done and we\'ll talk about your show.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '69', 's_82b273a8', 'Suit yourself.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '70', 's_847c3be4', 'More promotion?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '71', 's_857ede28', 'Hey! I hear that you passed the audition! That\'s fantastic. Here, let me give you a payment in advance for your up-coming performances. You deserve a break now, though. Come back later and we\'ll discuss what needs to be done next.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '72', 's_85b97ed7', 'Sure, sure. You\'ve got a stomach of pure steel. So, are you ready to get started?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '73', 's_86731ce6', 'Good. I\'ll let the crew know so that they can start setting up. The performance will start in three minutes. You may speak with the audience beforehand if you like, but you must be on the stage when the show starts, alright?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '74', 's_8b00fbc4', 'OK, I\'ll get the promotions started, you just go out and entertain ten people. Then come back here and we\'ll talk about getting the concert started.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '75', 's_8ddf8010', 'How do we do that?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '76', 's_8e4955d6', 'OK, count me in.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '77', 's_9172f29c', 'As a dancer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '78', 's_919f9d5a', 'Well, I\'ll be honest with you. Ever since your show, every hack that thinks he can dance a step has come here to perform. So we\'re all full on dance shows, but we still have a few spots open for a musical show if you\'re interested.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '79', 's_9288900f', 'I understand.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '80', 's_937f2001', 'Back already, huh? I don\'t blame you for wanting to get started.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '81', 's_942ddb10', 'Alright, come back when you have the time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '82', 's_95037778', 'Oh, hello! Welcome back, friend. Are you looking to participate in another performance?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '83', 's_9728f9e3', 'No, that\'s not really something I want to do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '84', 's_9739cb4c', 'Yes, that\'s fine.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '85', 's_9d801ae8', 'OK, come back anytime.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '86', 's_a19891a9', 'OK, that\'s fine.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '87', 's_a2ce6dd9', 'That\'s all you youngsters are worried about these days, isn\'t it? Don\'t worry, you\'ll be compensated for your time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '88', 's_a2fae368', 'Sure, that sounds like a lot of fun.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '89', 's_a820a6d1', 'I don\'t have time for that now. I\'ll come back later.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '90', 's_a84a3743', 'Well, I\'ll be honest with you. Ever since your show, every hack that thinks he can play a note has come here to perform. So we\'re all full on musical shows, but we still have a few spots open for a dance show if you\'re interested.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '91', 's_a99397a', 'Yeah, I guess so.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '92', 's_aa18ac6', 'It looks like your previous show didn\'t go over so well. That\'s too bad. You can try the performance again, but not until twenty-four hours have passed since your last one. Come back then and we\'ll talk.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '93', 's_ab1c9c5f', 'That\'s fine. Take your time. Just come back when you\'re ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '94', 's_ad679858', 'I changed my mind. I\'m not ready yet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '95', 's_b1522710', 'I see. Well, come back when you have more time and we\'ll get started.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '96', 's_b5131941', 'Ready to start the show, are you? Don\'t worry if you\'re nervous. Everybody gets like that the first time they\'re on stage.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '97', 's_b5c6a62d', 'Wow... this is fantastic! Everybody in town is talking about you! We\'ll have a sold out show for sure! Go make your preparations and come back whenever you\'re ready to start the performance!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '98', 's_b6dac7cf', 'OK, I\'ll get started on that now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '99', 's_b751f222', 'If you\'re ready now, I\'ll go ahead and start getting things set up. What do you say?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '100', 's_b85a558e', 'Nah, it\'s not for me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '101', 's_bba5f6f2', 'Excellent. Just go out and entertain thirty people. After that, no more promotional work, I promise. Then come back and we\'ll talk about your next show.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '102', 's_c08ff946', 'I\'m looking for some new solo acts to perform here at the theater. I\'ve been scouring the city trying to find fresh new talent to put on some live shows. Would you possibly be interested in doing a performance series?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '103', 's_c5a66e82', 'No, not really.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '104', 's_c6403b16', 'OK, I\'ll go get started.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '105', 's_c73756f7', 'On second thought, I\'m not quite ready yet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '106', 's_c7cb7929', 'I don\'t really have time for that right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '107', 's_c9770db7', 'I would think that if you were to go out and do a performance routine for at least twenty people, that would be sufficient. Remember, the more people that get a taste of your act, the more tickets we\'ll sell!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '108', 's_cad51774', 'You\'ve completed your first show! Congratulations, the audience loved you. Let me give you another advance for your next performance. Come back and see me again when you\'re ready to talk about your next show.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '109', 's_d0fc43d', 'Hm. I don\'t have time for that right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '110', 's_d66dc712', 'Too busy to talk right now. I\'m very busy, sorry.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '111', 's_d730c5dd', 'No, I\'m not quite ready yet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '112', 's_da9a29e9', 'No, not yet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '113', 's_db3a3e40', 'Good. I\'ll let the crew know so that they can start setting up. The performance will start in two minutes. You may speak with the audience beforehand if you like, but you must be on the stage when the show starts, alright?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '114', 's_dd4bb16d', 'Let\'s do it!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '115', 's_dda95847', 'Is that possible?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '116', 's_e5438cc6', 'Welcome back! I still can\'t tell you how impressed I am with your performances. You truly are a credit to the entertainment professions. Best of luck to you in the future, friend!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '117', 's_e66da464', 'Good. I\'ll let the crew know so that they can start setting up. The performance will start in two and a half minutes. You may speak with the audience beforehand if you like, but you must be on the stage when the show starts, alright?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '118', 's_e8276d66', 'That sounds pretty hard, maybe I\'ll come back later.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '119', 's_ed9c9f8d', 'Oh yes. You\'re ready to get going for your next show. Let\'s not get too ahead of ourselves, though. You need to go out and do some more promotion before the next performance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '120', 's_f148a2c3', 'Hm... it looks like someone else is on stage right now. Try back again in a little while and we\'ll see if we can get your show started.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '121', 's_f29e46b6', 'Great work! Really great work! I\'m starting to hear a lot of people talk about you! I\'ve got a feeling that this show is going to be fantastic.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '122', 's_f3d46f0b', 'No, not quite yet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '123', 's_f66a7b69', 'Excellent. Just go out and entertain twenty people. That should be enough. Then come back and we\'ll talk about your next show.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '124', 's_f72be127', 'Alright. Come back whenever you\'re ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '125', 's_fa31756f', 'OK, come back when you are.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '126', 's_fb55e1c0', 'Actually I\'m not quite ready yet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '127', 's_fd047f06', 'I\'d better come back later then.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '128', 's_fe82f47f', 'Advertising and promotion is part of the business kid. Now are you ready to go out there and spread the word, or not?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_crowd_pleaser_manager.stf', '129', 's_ffa16d1d', 'You\'re here about your next show aren\'t you? Sure, sure, I understand. You\'ll need to go out and do some more promotion before you get started with the next performance, though. Is that alright?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_bounty_hunter.stf', '1', 'do_not_edit', 'The English version of this file (quest_hero_of_tatooine_bounty_hunter.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_bounty_hunter.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_bounty_hunter.stf', '3', 's_12afde00', 'Smugglers? Why would I know any smugglers?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_bounty_hunter.stf', '4', 's_1892fb83', 'Good for you. So long!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_bounty_hunter.stf', '5', 's_1b0651f8', 'Yes, I think I know who it is.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_bounty_hunter.stf', '6', 's_1fa16fd3', 'Then why not find the one with the transponder?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_bounty_hunter.stf', '7', 's_239b0909', 'Well, I hope you find him. Good-bye!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_bounty_hunter.stf', '8', 's_250df636', 'One of these smugglers is my mark. I think. I\'m not sure.  I\'ve been tracking him for some time and just now caught up with him here in this city.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_bounty_hunter.stf', '9', 's_254a92c6', 'To be honest, I\'m a little confused. I know the smuggler captain and I can trust him. But everyone else just blames each other, and I don\'t know what to do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_bounty_hunter.stf', '10', 's_29ecd548', 'You had your shot, kid. I\'m not going to give you another chance. Get out of here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_bounty_hunter.stf', '11', 's_369a8bff', 'Maybe I can find out who your mark is.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_bounty_hunter.stf', '12', 's_3769e5f8', 'I don\'t have time to talk right now. Sorry.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_bounty_hunter.stf', '13', 's_3ece0ca2', 'You\'ve got to be the worst bounty hunter ever.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_bounty_hunter.stf', '14', 's_402e3e9a', 'Wow, I wouldn\'t want to be in your position.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_bounty_hunter.stf', '15', 's_44f4df', 'You really do think I\'m stupid. I can handle this myself... but, uh... if you want to, give it a shot. See what you can find out.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_bounty_hunter.stf', '16', 's_47482ee2', 'What did you find out?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_bounty_hunter.stf', '17', 's_54e633f8', 'Then leave me alone. I\'m busy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_bounty_hunter.stf', '18', 's_5e244342', 'I\'ve helped all I can. Good-bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_bounty_hunter.stf', '19', 's_5fdaa4bb', 'Well, so long then.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_bounty_hunter.stf', '20', 's_60d63ec8', 'No, I didn\'t think that you would. Curses. Now what do I do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_bounty_hunter.stf', '21', 's_624a9b6f', 'Yea, yea. Get out of here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_bounty_hunter.stf', '22', 's_659bb141', 'Listen up, kid. This stuff isn\'t as easy as it sounds. Cut me some slack.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_bounty_hunter.stf', '23', 's_69cdbab1', 'Not yet. I\'m still looking.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_bounty_hunter.stf', '24', 's_775eed34', 'No, can\'t say as I do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_bounty_hunter.stf', '25', 's_7cf16bce', 'Sounds like you have it under control.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_bounty_hunter.stf', '26', 's_7eb6abbe', 'I figured as much. Blast it all. Now what do I do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_bounty_hunter.stf', '27', 's_806d4263', 'Questioned them? Yep, I found all the suspected smugglers in the area and brought them here. Questioned them, pushed them around, roughed them up, you name it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_bounty_hunter.stf', '28', 's_86c02324', 'A lotta help you were. Get out of here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_bounty_hunter.stf', '29', 's_922dd166', 'Then why don\'t you arrest him?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_bounty_hunter.stf', '30', 's_a49ad86c', 'I don\'t know, but good luck!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_bounty_hunter.stf', '31', 's_b8bf2aa9', 'Yea, that\'s the thing. I don\'t know which one of these smugglers is my mark.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_bounty_hunter.stf', '32', 's_b8f4813d', 'Well, that one guy does look kinda familiar.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_bounty_hunter.stf', '33', 's_b932a57a', 'Hey there! Thanks again for helping me find the right mark. You\'re OK in my book.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_bounty_hunter.stf', '34', 's_bd2c41cb', 'You there. Do you know any of these smugglers here?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_bounty_hunter.stf', '35', 's_bebac1d7', 'You must think I\'m stupid don\'t you? A little while after I tracked the signal to this city, it went dead. He must have found it and turned it off.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_bounty_hunter.stf', '36', 's_cd33dbbc', 'OK. If you find out who it is, let me know.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_bounty_hunter.stf', '37', 's_d3412303', 'What seems to be the problem?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_bounty_hunter.stf', '38', 's_d9ec1dc4', '\'Arrest him\'... heh. Yea, I would \'arrest him\' but the problem is, I don\'t know which one of these smugglers he is.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_bounty_hunter.stf', '39', 's_dce437b6', 'Have you questioned all the smugglers here?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_bounty_hunter.stf', '40', 's_dd6f7e', 'Good luck with all that!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_bounty_hunter.stf', '41', 's_dec94c0f', 'I\'ve got no time for \'kinda familiar\'. I need concrete information.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_bounty_hunter.stf', '42', 's_df879e', 'No time to talk now, sorry.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_bounty_hunter.stf', '43', 's_df981c5e', 'I thought you were tracking him for a long time?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_bounty_hunter.stf', '44', 's_eaa5c299', 'You\'re not sure?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_bounty_hunter.stf', '45', 's_faaf7075', 'Did you find out who my mark is?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_bounty_hunter.stf', '46', 's_fc5b59e0', 'That\'s great! Just point out who you think it is. If your reasoning is justified, I\'ll take care of the rest.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_bounty_hunter.stf', '47', 's_ffdc10ae', 'The guy I\'m looking for stole some equipment. Nobody got a good look at him, but the crate that he stole had a transponder signal attached to it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_box.stf', '1', 'do_not_edit', 'The English version of this file (quest_hero_of_tatooine_box.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_box.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_box.stf', '3', 's_19cc687c', 'Stay quiet in there! I\'ll do no such thing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_box.stf', '4', 's_31845b51', '....');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_box.stf', '5', 's_46d11795', 'Oh, nothing. I\'ll go back to my business.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_box.stf', '6', 's_46ea9e29', 'I\'m here to watch over you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_box.stf', '7', 's_68f8b129', 'Fantastic! We\'ll wait. Quick! Go talk to her..');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_box.stf', '8', 's_83c7eb4e', 'Who sent you? That wife?! She\'s no good. She tricked us and is starving us in here! C\'mon. Help us out of here. We can\'t do it alone. Our means of escape will cause too much of a ruckuss and she\'ll just catch us again! Go distract her and we\'ll do our thing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_box.stf', '9', 's_8ce1bb85', 'Scram!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_box.stf', '10', 's_cf46030c', 'Hey! Is anyone out there? Who\'s that!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_box.stf', '11', 's_d22d9b89', 'Okay. I guess.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_box.stf', '12', 's_e601f570', 'Blast it! We\'re going to be stuck in here! Don\'t tell her our plans! We\'ll be finished!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_box.stf', '13', 's_e606ff8b', 'Is that you again? What do you want?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_farmer.stf', '1', 'do_not_edit', 'The English version of this file (quest_hero_of_tatooine_farmer.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_farmer.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_farmer.stf', '3', 's_12d39d30', 'Who do you say might have taken your family, again?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_farmer.stf', '4', 's_17089ea4', 'Yes, I will go save your wife and daughter.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_farmer.stf', '5', 's_22e3a3', 'Thanks again for paying the ransom! I\'m going to go set the deal up right now!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_farmer.stf', '6', 's_27d7b600', 'Thank you! Oh, thank you so much. I will be in your debt always. I\'m going to go make arrangements to pay the ransom money now. Thank you again for your kindness.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_farmer.stf', '7', 's_28fe80fc', 'That\'s terrible!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_farmer.stf', '8', 's_29e0b99d', 'Thanks. I think that I\'ll need it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_farmer.stf', '9', 's_2e1d6626', 'Oops. Looks like I don\'t have that much money either.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_farmer.stf', '10', 's_2f051629', 'I will go rescue your family for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_farmer.stf', '11', 's_2fdb8fbd', 'On second thought, I don\'t think I can help right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_farmer.stf', '12', 's_31e2a586', 'I don\'t know for sure. There was a name scribbled at the bottom of the note that was left. It said, \'Sennex\'. But I don\'t know what that means. I don\'t know anyone named Sennex.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_farmer.stf', '13', 's_3abf0d9c', 'Thank you so very much. You have my sincerest gratitude. But do be careful, for my family\'s sake. Here, I\'ll transmit a location to your datapad. I think that the brutes that did this might be holed up in a cave there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_farmer.stf', '14', 's_46d3276e', 'Sorry, I don\'t think I can help right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_farmer.stf', '15', 's_498b2572', 'Are you sure? I appreciate your selflessness, but it will probably be very dangerous. Though I agree that you are probably better equipped to go than I.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_farmer.stf', '16', 's_4b28f5f9', 'It doesn\'t sound like there\'s much that I can do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_farmer.stf', '17', 's_4de6ecbe', 'Please, oh please. You\'ve got to help me! I\'m desperate!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_farmer.stf', '18', 's_53686a92', 'Yes, I\'m going to go rescue your family.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_farmer.stf', '19', 's_53fb3746', 'Don\'t yell at me. I didn\'t kidnap them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_farmer.stf', '20', 's_545b2c24', 'Really? I would be forever grateful, but that\'s a lot of money. Are you sure?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_farmer.stf', '21', 's_5a04437', 'Well, I don\'t have the money to pay the ransom, and if I don\'t pay, they said they would sell my wife and daughter into slavery. So I\'m on my way to try and rescue them myself, although I don\'t think that I\'ll be able to put up a good fight.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_farmer.stf', '22', 's_5cdaed70', 'Yes, I am sure. [give 10000 credits]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_farmer.stf', '23', 's_7c31a6a3', 'Can you show me where you think the cave is again?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_farmer.stf', '24', 's_7d7b9050', 'I\'m a moisture farmer. And not even a very good one. I can\'t help but think that if I was at home instead of checking the evaporators, this never would have happened.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_farmer.stf', '25', 's_7f1f06ba', 'Oh, hello. Yes, I did have a problem, but a very kind soul has already offered to help. Thank you very much, though.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_farmer.stf', '26', 's_8c9c92a', 'Alright. Good luck and be safe.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_farmer.stf', '27', 's_8e117483', 'You\'re right. I\'m sorry, but of course you realize why I\'m upset.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_farmer.stf', '28', 's_91139d19', 'It\'s my wife and daughter, they\'re gone! I was out checking the moisture crop and when I got back to the house I found a note saying they\'d been kidnapped! They\'re being held for ransom!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_farmer.stf', '29', 's_916b0cc0', 'Sure. Here is the location of the cave where I think the brutes might be hiding. Now please save my family, and do be careful.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_farmer.stf', '30', 's_9930ca3d', 'How much is the ransom?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_farmer.stf', '31', 's_9e0bb613', 'Slow down. What\'s the matter?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_farmer.stf', '32', 's_9ead1175', 'Oh well. Thanks anyway for offering. I guess there\'s nothing left for me to do but go and try to rescue my wife and daughter myself.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_farmer.stf', '33', 's_a6faa65a', 'How much did you say the ransom was?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_farmer.stf', '34', 's_ab3e1351', 'Yes, hello. You are going to go rescue my wife and daughter are you not?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_farmer.stf', '35', 's_b394e1eb', 'No, I don\'t. There were lots of tracks leading away from our house heading this way though. I think there might be a cave or something in this direction. They might be holed up in there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_farmer.stf', '36', 's_b658a801', 'Sorry, I can\'t help you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_farmer.stf', '37', 's_b7068b53', 'Calm down. Do you know who took your family?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_farmer.stf', '38', 's_ba7f35a5', 'Tell me what\'s wrong.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_farmer.stf', '39', 's_bed5a497', 'The note says that I need to pay ten thousand credits. But I barely break even as a moisture farmer. I don\'t have that kind of money!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_farmer.stf', '40', 's_c1d778b6', 'I will give you the ransom money.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_farmer.stf', '41', 's_c4fbf8c5', 'Calm down. Do you know where your family was taken?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_farmer.stf', '42', 's_c5196416', 'I don\'t think I can help right now, sorry.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_farmer.stf', '43', 's_c6144200', 'Do you know who took your family?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_farmer.stf', '44', 's_ca776e30', 'Who are you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_farmer.stf', '45', 's_cadf41fb', 'I guess I\'ll have to go myself then. Wish me luck.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_farmer.stf', '46', 's_cdbae137', 'Sorry, I can\'t help right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_farmer.stf', '47', 's_cf9c96f0', 'What can I do to help?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_farmer.stf', '48', 's_d5adc7c6', 'Actually, I\'d rather go rescue your family for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_farmer.stf', '49', 's_da11deae', 'Hello! I wanted to thank you again for helping to rescue my family. We are all deeply indebted to you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_farmer.stf', '50', 's_f26c1a9', 'Don\'t you think I know that? My family has been kidnapped! The only two things in my life that I hold dear! Of course it\'s terrible!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_farmer.stf', '51', 's_f4a9d6e8', 'Do you know where your family was taken?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_farmer.stf', '52', 's_f4d0be1e', 'Sorry, I can\'t talk right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_farmer.stf', '53', 's_f7d18c26', 'Did you say you knew where your family was taken?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_farmer.stf', '54', 's_fb52d10a', 'I wish you the best of luck.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_hermit.stf', '1', 'do_not_edit', 'The English version of this file (quest_hero_of_tatooine_hermit.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_hermit.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_hermit.stf', '3', 's_194db552', 'The Marks? Which one?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_hermit.stf', '4', 's_1bb3475f', 'I would like to learn about...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_hermit.stf', '5', 's_1bb7b1eb', 'I was curious to see who lived here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_hermit.stf', '6', 's_1f8abb5f', 'Return to me when you have proven the measure of your character.  An act of honor.  An act of intellect.  An act of courage.  An act of altruism.  Demonstrate to me these characteristics and I will bestow upon you the Mark of the Hero.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_hermit.stf', '7', 's_2a82993c', 'I see that you have returned, my child. What do you seek?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_hermit.stf', '8', 's_2a85c56b', 'I am able to watch after myself. These cold, lifeless walls do not disturb me any longer. Far too long have I lived here in solitude. I have become stoic to its effects.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_hermit.stf', '9', 's_2d0b6a', 'What do you philosophize about, old man?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_hermit.stf', '10', 's_342ec337', 'Travel the world.  Perform acts that demonstrate your heroism.  Through these actions you will be transformed.  A hero must be honorable, intelligent, courageous, and altruistic.  You must seek to help the world despite the cost.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_hermit.stf', '11', 's_48a263f0', 'Well met, traveler.  What brings you to my small and lonely abode?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_hermit.stf', '12', 's_48bfa35f', 'Yes, I am the hero you seek.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_hermit.stf', '13', 's_4fcf6919', 'Good. First, a small task for you to prove yourself worthy of my challenge...worthy of becoming a hero. Within the depths of this cave, there lies an item which has been stolen from my home by the vile creatures that live here. I need it to continue my studies. It is the skull of a squill. Find it, return to me, and I will present to you the ways in which you can become the Hero of Tatooine.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_hermit.stf', '14', 's_503d468c', 'I would like more information about...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_hermit.stf', '15', 's_50c6e23d', 'The Mark of Honor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_hermit.stf', '16', 's_55937d94', 'You speak boldly, my friend. Dangerously, in fact. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_hermit.stf', '17', 's_579bac17', 'You have done great things in the name of the light.  I am honored to be in your presence.  Take my Mark of the Hero and let it remind you of your cause.  Do not forget why you fight.  Good luck, young warrior.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_hermit.stf', '18', 's_59283967', 'I see you bear the Marks of Courage, Honor, Intellect and Altruism! Can it be?  Have I found the one I have sought for so long?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_hermit.stf', '19', 's_599bebab', 'Go then.  One cannot become a hero by spending all day chatting with a crazed old man...and may the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_hermit.stf', '20', 's_5e7d1e16', 'You will gain the Mark of Courage by defeating a ferocious beast bent on terrorizing the world. Speak with the people of the cities of Tatooine. Perhaps they know of such a beast.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_hermit.stf', '21', 's_5ff9d2ec', 'You do not have the room in your inventory to receive all the items you need. Please free some room and speak to me again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_hermit.stf', '22', 's_63076377', 'I see that you have returned. You have done well so far, but I sense that something is missing. Please allow me to fulfil that which you are owed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_hermit.stf', '23', 's_6441a2a6', 'As you wish.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_hermit.stf', '24', 's_66270434', 'I will seek to prove my character.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_hermit.stf', '25', 's_669b88aa', 'The Mark of Courage.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_hermit.stf', '26', 's_66fbfd08', 'It is my belief that the galaxy is in dire need of heroes--those individuals who have demonstrated beyond doubt their dedication to the path of light.  You are brash and young, but perhaps one day you will become a hero and bring light to this darkened place.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_hermit.stf', '27', 's_6cd88f7f', 'I wasn\'t always an old man.  Many years ago, I won many a campaign against the forces of darkness.  I wore the symbol about my neck as a reminder of my cause.  I would pass this thing to the one I believe capable of continuing my work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_hermit.stf', '28', 's_7abf0913', 'How do I prove that I am a hero?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_hermit.stf', '29', 's_7adceec5', 'Ah!  The hero returns!  It is good to see you are still well.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_hermit.stf', '30', 's_856de06c', 'Somewhere on this desert planet, strife between ranchers and pirates rages on. Seek them out, choose the correct path, and the Mark of Honor shall be bestowed upon you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_hermit.stf', '31', 's_8bfb7334', 'You speak truly.  The Empire rules ruthlessly and unjustly.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_hermit.stf', '32', 's_8cb1f35d', 'You will gain the Mark of Courage by defeating a ferocious beast bent of terrorizing the world. Speak with the people of the cities of Tatooine. Perhaps they know of such a beast.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_hermit.stf', '33', 's_8ecd39ce', 'What is the Mark of the Hero?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_hermit.stf', '34', 's_920f731c', 'The Mark of Intellect.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_hermit.stf', '35', 's_96a66dea', 'A noble intent, but intentions in the face of a challenge are as dust upon a Tatooine windstorm.  One must act and through one\'s actions, one might be proven a hero.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_hermit.stf', '36', 's_96fd32c3', 'To attain the Mark of Altruism, you must selflessly help a soul in need. Somewhere, in the harsh desert heat, a farmer desperately cries out...in need of a hero.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_hermit.stf', '37', 's_9b634554', 'I wish to become a hero.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_hermit.stf', '38', 's_a5bd2f51', 'Go then. Seek the tasks which I have described for you. Return to me when you have completed them. Only then will you become the Hero of Tatooine.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_hermit.stf', '39', 's_ab4620a6', 'It appears that your inventory is full. You must free some room before we proceed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_hermit.stf', '40', 's_af540d0', 'I have the skull you are looking for.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_hermit.stf', '41', 's_b2929fdf', 'Merely an old man.  I keep to myself and tend my books.  I think.  I philosophize.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_hermit.stf', '42', 's_b6a019cf', 'The Mark of the Hero will only be granted to those who have completed acts of Intellect, Honor, Courage, and Altruism. When you feel you have completed such tasks, return to me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_hermit.stf', '43', 's_b9b27823', 'Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_hermit.stf', '44', 's_bbb8e096', 'Excellent. You have proven yourself as worthy of my challenges. In order to deserve the Mark of the Hero, you must undergo four different tasks and gain the Marks of Courage, Honor, Intellect, and Altruism. Which task and mark would you like to learn about?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_hermit.stf', '45', 's_c6825098', 'Within the depths of this cave, there lies an item which has been stolen from my home by the vile creatures that live here. I need it to continue my studies. It is the skull of a squill. Find it, return to me, and I will present to you the ways in which you can become the Hero of Tatooine.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_hermit.stf', '46', 's_cb535214', 'The Mark of Altruism.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_hermit.stf', '47', 's_cbb8634f', 'The Mark of the Hero.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_hermit.stf', '48', 's_cc62685c', 'Tell me about the squill skull again?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_hermit.stf', '49', 's_cd2c070a', 'I have returned from my journeys, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_hermit.stf', '50', 's_cf3b7067', 'I will do these things.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_hermit.stf', '51', 's_cfb883ed', 'I am well. Just seeing how the old man is.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_hermit.stf', '52', 's_d111fbf4', 'I will do this for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_hermit.stf', '53', 's_d22f1e74', 'I have no interest in bandying words with you, child.  Educate yourself and seek out enlightenment. Perhaps then we might have a civilized discussion.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_hermit.stf', '54', 's_d2a7ff43', 'Mind your manners, child.  I philosophize of the state of our worlds...of these dark times.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_hermit.stf', '55', 's_d38cc2cb', 'Pirates and criminals travel freely.  The Old Republic has been shattered.  The Jedi have been hunted to all but extinction.  Over all of this hangs the shadow of the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_hermit.stf', '56', 's_d86dc24', 'I\'m done. Thank you for the information.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_hermit.stf', '57', 's_da196589', 'Nevermind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_hermit.stf', '58', 's_db6d4167', 'You should now have all the items that you have not yet received.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_hermit.stf', '59', 's_e0ab34b6', 'I am well. Yet, I am still here in this drafty old cave. It suits me well, I think. I must return to my meditation. Go forth and spread your wisdom throughout the galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_hermit.stf', '60', 's_e9bd97f9', 'Here? In this cave?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_hermit.stf', '61', 's_f013aca1', 'Yes, my friend?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_hermit.stf', '62', 's_f297414', 'Dark times? What do you know of dark times?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_hermit.stf', '63', 's_f9a4e3e3', 'In order to attain the Mark of Intellect, you must find one in need of your wisdom. Perhaps a bounty hunter needs assistance...or a puzzle needs to be solved somewhere in the galaxy. I beseech you to keep an eye out while traveling to the cities of Tatooine. You\'ll find what you\'re looking for there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_mother.stf', '1', 'do_not_edit', 'The English version of this file (quest_hero_of_tatooine_mother.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_mother.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_mother.stf', '3', 's_5e328776', 'Follow me. Let\'s get you out of here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_mother.stf', '4', 's_6441a2a6', 'As you wish.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_mother.stf', '5', 's_76752ac6', 'Who are you? Another one of those filthy pirates? Get away from me...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_mother.stf', '6', 's_7d25e81f', 'Wait right here. I\'ll come back for you in a moment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_mother.stf', '7', 's_877ce91a', 'OK. We\'ll be right behind you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_mother.stf', '8', 's_8892a744', 'Really? Oh I knew that someone would come to save us! What would you like us to do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_mother.stf', '9', 's_8beec89f', 'Follow me. I\'ll lead you out of here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_mother.stf', '10', 's_8de4e85c', 'I\'ve been sent to rescue you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_mother.stf', '11', 's_9fe4df0a', 'I\'ve got better things to do with my time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_mother.stf', '12', 's_cd1765f7', 'OK. We\'ll wait right here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_mother.stf', '13', 's_d0294ce0', 'What would you like us to do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_mother.stf', '14', 's_d28e075c', 'I\'m no pirate. I\'m here to rescue you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_mother.stf', '15', 's_da196589', 'Nevermind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_mother.stf', '16', 's_e72f8b74', 'No, please don\'t go...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_mother.stf', '17', 's_ecd319b', 'Wait, wait. I\'m sorry. You really don\'t seem like one of those brutes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_pirate_leader.stf', '1', 'do_not_edit', 'The English version of this file (quest_hero_of_tatooine_pirate_leader.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_pirate_leader.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_pirate_leader.stf', '3', 's_256d8f99', 'Little skeptical, eh? I guess I don\'t blame you. After all, we are pirates! Har, Har! Oh--the task, right. Some of our boys were looting a rancher\'s house when he walked in. He and his wife are holding our boys captive. We want you to go and help them escape. Well, what do you think?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_pirate_leader.stf', '4', 's_34bde7db', 'I guess I\'ll help you out.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_pirate_leader.stf', '5', 's_446af42e', 'First, what\'s the task?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_pirate_leader.stf', '6', 's_4575b29e', 'We\'ll be in debt to you. That\'s all we can offer. There might be some loot still left at the house.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_pirate_leader.stf', '7', 's_48566ef9', 'What\'s in it for me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_pirate_leader.stf', '8', 's_543c2619', 'You just made an old pirate happy. The location of the house is around here somewhere. I marked it on your map. Be careful. Them ranchers aren\'t the nicest people in the galaxy. But then again, neither are we! HA HA! Oh, and don\'t come looking for us. You won\'t find us here. We pirates like to keep ourselves \"on the go\" if you know what I mean. Now, scram!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_pirate_leader.stf', '9', 's_5a3d905f', 'Oh, is that so? Time to be taught a lesson. Boys!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_pirate_leader.stf', '10', 's_7557e310', 'Whoa! Hold on! I give up! Whew... you\'re pretty tough, my friend. In fact... you\'d be the perfect person to help us in our little dilemma we\'ve been facing. Right boys? Are you interested in a little task we have for you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_pirate_leader.stf', '11', 's_a6c6f57b', 'No! Die, fools!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_pirate_leader.stf', '12', 's_abc7e09d', 'I think they deserved it. Nope, I won\'t help you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_pirate_leader.stf', '13', 's_cacfa6a2', 'I guess I was mistaken. Boys, let\'s show this peasant how real pirates plunder! Get \'em!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_pirate_leader.stf', '14', 's_d57d668a', 'Yeah, I\'ll help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_pirate_leader.stf', '15', 's_d9706ae2', 'Won\'t help us? Boys, let\'s teach this peasant a lesson for wasting our time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_pirate_leader.stf', '16', 's_da25a2d9', 'Bad deal. No, I won\'t help you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_pirate_leader.stf', '17', 's_e30e7484', 'Good. The rancher\'s house is around this location. I\'ve marked in on your map. Be quick about it. Oh, and don\'t come looking for me after the deed is done. We pirates don\'t stay in the same place for long.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_wife.stf', '1', 'do_not_edit', 'The English version of this file (quest_hero_of_tatooine_wife.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_wife.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_wife.stf', '3', 's_18dbba11', 'Ugh! You\'re so heartless! Get out of my house! I don\'t need this right now!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_wife.stf', '4', 's_1ecfff90', 'No, I have other things to do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_wife.stf', '5', 's_210b4c5b', 'Yes, I will!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_wife.stf', '6', 's_2622df9f', 'You\'re so nice! I--AHHH!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_wife.stf', '7', 's_3220d628', 'How are they? Are they behaving? Thank you for helping me. I completely appreciate this.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_wife.stf', '8', 's_37c0824f', 'Wait! I want to help you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_wife.stf', '9', 's_43f5726a', 'It\'s you again! What do you want? Can\'t you see I\'m busy?!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_wife.stf', '10', 's_50587782', 'You do? I\'m so riled up I can hardly think straight. My husband has left to contact the authorities. I need to go calm down or I may do something drastic. Please, go down the stairs and keep an eye on those thugs for me. It would really help me out. Will you help me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_wife.stf', '11', 's_63f6701b', 'I can\'t believe this! I am awed by your honor. Thank you so much for helping us! Oh, here comes my husband now! They\'re going to take those nasty thugs away! Here, you really deserve this. I hope it will do you well.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_wife.stf', '12', 's_6422820b', 'Go away!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_wife.stf', '13', 's_7ee07d1c', 'I need to get myself calm. Please go downstairs and keep an eye out for escaping thugs.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_wife.stf', '14', 's_82bd1b20', 'Who are you?! More of those thugs? I\'ll lock you up like I did the rest of your friends! Get out!!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_wife.stf', '15', 's_83da2e04', 'Thank you so much! There\'s an intercom outside the room in which I\'ve locked them up. They may try to coerce you into helping them. Just ignore them. I need to go relax for a minute...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_wife.stf', '16', 's_84ee73da', 'Hold on! I\'m not a thug or a pirate at all.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_wife.stf', '17', 's_8ad6289', 'You really think so?! I\'m so glad you noticed! I hope to win a house decorating contest this coming summer. I hope to get my home in the spotlight! Do you really think I\'ll win?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_wife.stf', '18', 's_abec95a3', 'I really think so!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_wife.stf', '19', 's_aebcaa68', 'Really? Wait a second. I guess you don\'t look like a pirate or a thug. I\'m sorry. I\'m so riled up I can hardly think straight. Look, I could use your help with this. My husband has left to contact the authorities. I need to go calm down or I may do something drastic. Please, go down the stairs and keep an eye on those thugs for me. It would really help me out.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_wife.stf', '20', 's_b8584429', 'Being a rancer\'s wife is hard work. I barely get any time for myself with what all the work I have to do. Oh well. As you can see, having a successful rancher as a husband has its perks! Do you like how I decorated the place? Ack! Look at the time... I really need to get back to work. Nice meeting you!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_wife.stf', '21', 's_c5a33502', 'I\'ll go keep an eye on them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_wife.stf', '22', 's_c74cdffb', 'I\'m sorry. I\'m having issues with pirates right now. Come back a little later. Maybe you can help me then. I really need to concentrate on the situation at hand...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_wife.stf', '23', 's_e45adc31', 'I\'d rather not get into this mess.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_wife.stf', '24', 's_e83ad536', 'I\'m sorry to disturb you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_wife.stf', '25', 's_ea1b59c', 'They\'re planning to break out as we speak!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_wife.stf', '26', 's_f26b5d58', 'I\'ll call the authorities on you!! Leave now!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_wife.stf', '27', 's_f6c25472', 'Eep! Okay, bye!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_hero_of_tatooine_wife.stf', '28', 's_f74cb815', 'You know, you did a great job decorating this place.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '1', 'do_not_edit', 'The English version of this file (quest_rebel_easy.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '3', 's_1090e3ab', 'You too, sir!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '4', 's_116dbc9b', 'Are you serious?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '5', 's_11eb3ca', 'You too!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '6', 's_139ad943', 'TIE Fighters are menacing quadrant IV.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '7', 's_1537650', 'Stay safe.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '8', 's_16582dba', 'See you then!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '9', 's_16f717c7', 'I am ready for duty.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '10', 's_170b675c', 'Great! I look forward to returning here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '11', 's_17536b20', 'Take care of yourself, sir!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '12', 's_18866b1f', 'Same here. Let me know if at any time you\'d like orders from base command. The Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '13', 's_1a78337', 'Let\'s not be wasting time, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '14', 's_1b97ed30', 'Good to see you again, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '15', 's_1c862b5e', 'Stay safe, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '16', 's_1d888221', 'Get more quest information.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '17', 's_1e37c708', 'I guess so. You\'ve done an excellent job. If you\'re ever in the neighborhood - I can set you up with some missions at a decent pay rate.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '18', 's_1e72f5f8', 'How can I be of service?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '19', 's_1f7c77cd', 'The Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '20', 's_201dcb2c', 'You\'re right. And if nobody is there to clear those TIE patrols, our new pilots won\'t fare very well. If you\'d like I can assign you to patrol for long-range TIE patrols in quad IV.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '21', 's_254c300d', 'Well, finish your business and get back to me as soon as you can. We need to keep those probes away from this outpost!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '22', 's_2723fb62', 'True. They can\'t be too heavily defended, can they? How do you feel about being re-assigned to transport protection duty?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '23', 's_2a13170', 'Look, all probots must be destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '24', 's_2eb41112', 'Good-bye, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '25', 's_2ffec059', 'Stay safe, ma\'am.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '26', 's_342438b9', 'How\'s it going?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '27', 's_36142d2b', 'I can\'t do this right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '28', 's_3f1b5d3f', 'I can\'t help right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '29', 's_49c77b48', 'Well, we always need talented pilots to brave the Imperial onslaught!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '30', 's_4d71aa70', 'You too, ma\'am!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '31', 's_51b761c0', 'I, for one, cannot fight without faith... in something.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '32', 's_525dad8e', 'We\'d be happy to provide some work for you if you ever return. Just let me know!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '33', 's_5602d6a5', 'Our supply lines need more protection.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '34', 's_5802a59d', 'Good-bye, ma\'am.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '35', 's_58432c68', 'Hey there. What\'s happening?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '36', 's_59087c6e', 'Well, it\'s about time I got a promotion.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '37', 's_5cf59b4a', 'I\'m looking for a challenge.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '38', 's_6074dcc9', 'Probots are still a problem in quad IV.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '39', 's_615f324e', 'Actually, I can\'t do this right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '40', 's_61657d0f', 'I see.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '41', 's_63e686c1', 'Well - we\'re going to need this done as soon as possible. Please let me know when you\'re ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '42', 's_653ab907', 'Great! Intercept friendly transports in this quadrant and escort them to quad I - and make sure they all jump out safely!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '43', 's_665d84b0', 'Good! The Alliance is always looking for able-bodied pilots. Let me know if you\'re interested in flying for us.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '44', 's_67c1a3c3', 'Unfortunately, I can\'t do this right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '45', 's_6b65d95', 'What can I do for you, pilot?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '46', 's_6d3b2601', 'Hey! Alliance HQ has new orders for you. Looks like you\'ve been transferred to Reeda Bluewater\'s command. Congratulations.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '47', 's_6e06ed41', 'Yeah, but we already have people who handle that.. Are you saying you want me to assign you to TIE fighter search and destroy duty in quadrant IV?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '48', 's_6e9aa5a0', 'At the moment, we are most concerned about long-range TIE patrols that are showing up at the upper-edge of quad IV. Patrol this region in search of TIE craft... and destroy each and every one of them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '49', 's_74010e27', 'Nah. I\'m not coming back here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '50', 's_74d6040c', 'No, I am not a pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '51', 's_75699acd', 'Probably, but they\'re certainly not as common as they used to be. I can re-assign you temporarily to a sweep-and-clear job at the upper edge of quad IV if you\'d like...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '52', 's_75a599ec', 'This is true. If you\'d like, I can have you assigned to this region again. Although I do think the problem has gotten much better, - and we could really use you on the transport route. Are you sure you want to clear quad IV of probots?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '53', 's_78bcdcf6', 'See you then, ma\'am!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '54', 's_796eb235', 'In that case, I should tell you about the pirate attacks on our heavy deep-space freighters. Several important weapon supply lines run through the asteroid field in quadrant II. Pirates have sniffed it out and now we\'re losing half a dozen transports every week.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '55', 's_82b273a8', 'Suit yourself.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '56', 's_84a11719', 'Outstanding. I\'ll upload the navigation package to your ship. The Force be with you!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '57', 's_84e1d1bc', 'I\'m ready for action.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '58', 's_8693f72c', 'Good luck. I\'ll upload the navigation package to your ship right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '59', 's_894f192b', 'I\'m requesting orders to patrol qadrant IV.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '60', 's_89b72435', 'Thanks. Good-bye!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '61', 's_8bc0699c', 'I can\'t do this now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '62', 's_8f878421', 'Can I be assigned to probot duty?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '63', 's_90fc8440', 'I\'ll do it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '64', 's_95f5718c', 'How can I best serve the Alliance?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '65', 's_962df3c0', 'I want to pursue more Interdiction duty.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '66', 's_967bf166', 'I am Humbek, the Alliance flight coordinator. I work with new recruits - get them into space, and give them a part to play in the Rebellion.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '67', 's_9a133a37', 'TIE Fighter patrols are still giving us grief, commander.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '68', 's_9beeb96c', 'That won\'t be necessary.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '69', 's_9c1466ca', 'That\'s honorable. A real thankless job.. you have to inspect all transports to root out Imperial spies.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '70', 's_a081a078', 'Get more quest info.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '71', 's_a2fc624a', 'Take care of yourself, ma\'am!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '72', 's_a83c3d32', 'Sir! Yes, sir!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '73', 's_aca51392', 'Honestly, I don\'t believe in this Force nonsense.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '74', 's_ae492561', 'I guess so. But it really seems like a waste of talent to have you sweeping probots in quad IV instead of protecting supply lines or running interdiction dutyl. Are you sure you want to clear the area of probots?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '75', 's_b9b27823', 'Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '76', 's_bacdd03c', 'Additional quest information.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '77', 's_c08b1382', 'What can I do for the Alliance today?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '78', 's_c1013aa7', 'Whatever.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '79', 's_c1edf4f', 'What sort of part would I play?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '80', 's_c2db6878', 'Good-bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '81', 's_c4762a08', 'I\'d bet you want to be one, though! Everyone wants to fly starfighters for the Alliance! Just let me know when you\'re interested in some training and I\'ll get it taken care of.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '82', 's_c648ac95', 'I guess word is getting around. The rumors are true - fleet action is definitely heating up.  We can use you. Are you ready to launch?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '83', 's_ca776e30', 'Who are you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '84', 's_cba5214a', 'Recent pilot transfers have left the Corellian transport route somewhat vulnerable. I\'d like to assign you to protection duty along this supply route. Meet up with Alliance transports, and ensure their safety as they push through Corellia space.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '85', 's_cc569d6f', 'What is this place?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '86', 's_ccfcfa6f', 'Those supply transports still need protection.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '87', 's_d0c0c6b', 'I guess so. Seems like a waste of talent, but if you\'d like I can assign you to transport duty along the Corellian supply route.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '88', 's_d2722119', 'Excellent! Intercept transports anywhere along the convoy line. Inspect them. Let the Rebel ships go - and disintegrate the Imperials. The Force be with you, friend.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '89', 's_d2b76d1', 'I have enjoyed working with you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '90', 's_d623f2e5', 'That\'s good news. We\'re short-handed in quadrant IV. Imperial probots are raining down on us. This is a definite sign of fleet action... and, at the moment, all we can do is try to keep them blind. We need you to patrol quad IV and destroy any probot you encounter.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '91', 's_d6cd8f5b', 'Well, I have word that the Empire is attempting to insert spy ships in our supply convoy. They\'re disguised as transports... blending easily with the legitimate Alliance craft. We need someone to inspect transports and eliminate any undercover Imperials they find.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '92', 's_dd95d118', 'I appreciate that. Good-bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '93', 's_de131dac', 'Yes I am a pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '94', 's_e037a4ee', 'This is the Rebel HQ in orbit above Corellia. You\'re obviously part of the Alliance - or you would have been shot dead by now. And I\'m also guessing you\'re a pilot...?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '95', 's_e12d7cb1', 'I hoped you\'d say something like that! I\'ll upload a nav package to your ship. Rescue any disabled Rebel freighters you find along the route.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '96', 's_e90efb5f', 'Well, let me know as soon as you are free. Maintaining our chief supply route is critical and we could really use the help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '97', 's_efc3891a', 'I still think the TIE fighter patrols are an issue.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '98', 's_eff1c76c', 'How are you, my friend?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '99', 's_f1d613dd', 'Let me at \'em.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '100', 's_f323f799', 'See you then, sir!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '101', 's_f69aa3a8', 'Thank you! Take care of yourself.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '102', 's_f6c52e55', 'Take care.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '103', 's_fa27d75e', 'I\'ll protect our transports.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '104', 's_fc12045e', 'Excellent. Would you be willing to tour quadrant IV and eliminate Imperial probe droids that have been pouring into this system?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '105', 's_fd20ae06', 'Additional quest info.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_rebel_easy.stf', '106', 's_ffe8fcc8', 'I would like to fly for the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_imperial.stf', '1', 'do_not_edit', 'The English version of this file (quest_ship_imperial.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_imperial.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_imperial.stf', '3', 's_14aaf93d', 'Are you ready to take command of your Star Destroyer, now?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_imperial.stf', '4', 's_244895bc', 'TIE Interceptor');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_imperial.stf', '5', 's_31fc03a8', 'Sorry, I think I\'m in the wrong place.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_imperial.stf', '6', 's_3a362bd6', 'Pilot! Report!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_imperial.stf', '7', 's_4c76a3f0', 'I\'m sorry, but I cannot help you. There is no civilian business aboard the space station. I\'d advise you to leave, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_imperial.stf', '8', 's_578cba1', 'This is wartime, Pilot. Put your emotions aside. Now, are you ready to sign in?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_imperial.stf', '9', 's_5d18271d', 'TIE Advanced');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_imperial.stf', '10', 's_5e865634', 'Done. Here\'s your starship keycard. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_imperial.stf', '11', 's_5f1e2428', 'I swear - I didn\'t mean to come here. In fact, can you direct me to a transport? I really must be going, now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_imperial.stf', '12', 's_6a70a479', 'Directly behind you. Be quick...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_imperial.stf', '13', 's_6b65d95', 'What can I do for you, pilot?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_imperial.stf', '14', 's_6e8fe246', 'Threatening me, eh? You\'d get out of here if you knew what was good for you!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_imperial.stf', '15', 's_77d62be0', 'Sir! I am ready for my ship assignment, sir!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_imperial.stf', '16', 's_7bb9cd35', 'Hm. That\'s interesting... This is a military recruiting station, my friend! You don\'t get here by mistake!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_imperial.stf', '17', 's_7e996dfd', 'That\'s it! I don\'t want to see you here again! Get back on the shuttle and get off of this base or I will call the MP\'s and have you tossed out of an airlock!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_imperial.stf', '18', 's_8d16305a', 'Sorry, sir! I apologize. I\'m just nervous.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_imperial.stf', '19', 's_9177e268', 'I advise you to make it fast, Pilot. The war waits for no one.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_imperial.stf', '20', 's_919e66c4', 'I see. What sort of ship do you think you\'ll need, then?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_imperial.stf', '21', 's_9e3acb05', 'Outstanding, Pilot! How much will you donate to your Empire?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_imperial.stf', '22', 's_a095b54f', 'Actually, I have some business to attend to before I can sign in.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_imperial.stf', '23', 's_a83c3d32', 'Sir! Yes, sir!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_imperial.stf', '24', 's_ac02bc4c', 'Look! Get out of here, now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_imperial.stf', '25', 's_bebfdbe9', 'What do you want, now?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_imperial.stf', '26', 's_bf0b73d6', 'TIE Sentinel');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_imperial.stf', '27', 's_c460e647', 'Outstanding! What equipment will you need?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_imperial.stf', '28', 's_daffa30b', 'Oh really? Why don\'t you just back off!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_imperial.stf', '29', 's_dcd8623e', 'Sir! I would like to donate to the war effort. My last act as a civilian... sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_imperial.stf', '30', 's_e228175b', 'TIE Fighter');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_imperial.stf', '31', 's_e68165ba', 'TIE Defender');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_imperial.stf', '32', 's_f1bd17f2', 'Sir! I am ready for my assignment, sir!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_imperial.stf', '33', 's_f9585f15', 'Gimme a TIE-Fighter!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_rebel.stf', '1', 'do_not_edit', 'The English version of this file (quest_ship_rebel.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_rebel.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_rebel.stf', '3', 's_13e02273', 'Z-95 Headhunter');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_rebel.stf', '4', 's_159911f5', 'Tell me more.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_rebel.stf', '5', 's_248053ce', 'I want to join the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_rebel.stf', '6', 's_2bf47aa', 'Excellent. The Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_rebel.stf', '7', 's_3af0ea69', 'Any news to speak of?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_rebel.stf', '8', 's_40daf62', 'Then, keep your mouth shut about the operation. Stay close. Let me know when you\'re ready to fly.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_rebel.stf', '9', 's_4c695dbd', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_rebel.stf', '10', 's_5e865634', 'Done. Here\'s your starship keycard. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_rebel.stf', '11', 's_6d4ad708', 'Takes a lot of guts to fly for the Alliance, my friend. Do you expect me to believe you\'re ready... just like that?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_rebel.stf', '12', 's_7971c070', 'IMPERIAL SECRET DRY DOCK');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_rebel.stf', '13', 's_869babb1', 'QUEST 02 SUMMARY. WANT IT?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_rebel.stf', '14', 's_8c8023e8', 'QUEST 03 SUMMARY. WANT IT?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_rebel.stf', '15', 's_8c832f88', 'I am ready for my ship assignment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_rebel.stf', '16', 's_8d00c343', 'NPC INFO');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_rebel.stf', '17', 's_8e631419', 'Y-Wing');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_rebel.stf', '18', 's_954b1961', 'X-Wing');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_rebel.stf', '19', 's_97b1a69', 'PLAYER IS ON MISSION.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_rebel.stf', '20', 's_98b7335a', 'QUEST 01 SUMMARY. WANT IT?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_rebel.stf', '21', 's_a4c56130', 'BASIC LOCATION INFO.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_rebel.stf', '22', 's_a560e84c', 'I am looking for work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_rebel.stf', '23', 's_b1655983', 'QUEST INFO.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_rebel.stf', '24', 's_b4adb823', 'MISSION IS COMPLETE. HOW DID IT GO?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_rebel.stf', '25', 's_c478ce87', 'Tell me about yourself.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_rebel.stf', '26', 's_cc1aa266', 'B-Wing');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_rebel.stf', '27', 's_d70dba34', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_rebel.stf', '28', 's_dde9987c', 'GREETING.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_rebel.stf', '29', 's_e162b5ee', 'A-Wing');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_rebel.stf', '30', 's_e45f3234', 'Greetings, Pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_rebel.stf', '31', 's_eafe8f5e', 'SELONIAN SEPARATISTS VS REBEL SUPPLY CNV');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_rebel.stf', '32', 's_ee9092a0', 'What does your mission require?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_rebel.stf', '33', 's_fc91ea69', 'ROGUE CORSEC VS TALUSIAN MERCHANTS');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_smuggler.stf', '1', 'do_not_edit', 'The English version of this file (quest_ship_smuggler.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_smuggler.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_smuggler.stf', '3', 's_160bdc1c', 'Hutt Devastator');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_smuggler.stf', '4', 's_203aa348', 'Look, I\'m sorry. I\'m new around here and I got kinda nervous. Will you help me find some work?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_smuggler.stf', '5', 's_2401ede8', 'I\'m new here. Looking for work... whatever you need done.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_smuggler.stf', '6', 's_2b30f56', 'What do you know about the pirate ace Kott Gars?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_smuggler.stf', '7', 's_30a96992', 'Heh. Good smugglers generally don\'t go around bragging about how they\'re big-time smugglers, do they? Good smugglers keep a low profile. So, grow up will ya? What can I do to speed you on your way?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_smuggler.stf', '8', 's_512ba759', 'I\'d like to ask you some questions.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_smuggler.stf', '9', 's_55ab3705', 'I know you were once married to the pirate ace Kott Gars. I know he left you here - injured... and that you made friends with the Hutts.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_smuggler.stf', '10', 's_67ade299', 'Gimme a break, lady. How about setting me up with a starship so I can get out of your hair?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_smuggler.stf', '11', 's_74925e77', 'Hutt Scarab');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_smuggler.stf', '12', 's_7718ed43', 'Well, pick your poison...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_smuggler.stf', '13', 's_85be3317', 'A smuggler. Just like you, right?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_smuggler.stf', '14', 's_8becc67e', 'Nobody. Forget it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_smuggler.stf', '15', 's_8ca80840', 'Tell me about yourself?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_smuggler.stf', '16', 's_8dc2800e', 'E-Wing');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_smuggler.stf', '17', 's_95095dca', 'What do you want to know?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_smuggler.stf', '18', 's_960dbcdf', 'You mean you don\'t recognize me? I\'m a major smuggler around here!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_smuggler.stf', '19', 's_9fdd7cf3', 'Yes?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_smuggler.stf', '20', 's_a1ca1166', 'Your lies stink, kid. I\'d say you\'d be wise not to rely on your wits. So why don\'t we set you up with a fast ship, then?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_smuggler.stf', '21', 's_a8ff14ff', 'What do you know about deep space pilots in the Outer Rim?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_smuggler.stf', '22', 's_acb2bff2', 'I know there\'s a lot of them... most of them smell bad, and you can\'t trust any them. What\'s the matter did a deep space pilot threaten you or something?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_smuggler.stf', '23', 's_add31f19', 'I need a starship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_smuggler.stf', '24', 's_b2c34bd4', 'Thrilling. Can you fly?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_smuggler.stf', '25', 's_b6715881', 'Heh. Look - if you still wanna get to know me after you\'re through proving yourself to the Hutts, then fine. I\'ll be here. Until then, let\'s keep this on a business level, okay?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_smuggler.stf', '26', 's_bb5254e1', 'Oh you do, huh? You KNOW this? How do you KNOW any of this?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_smuggler.stf', '27', 's_bf2e9dcd', 'Consider yourself forgotten, buddy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_smuggler.stf', '28', 's_c69b4483', 'Sunflare Cruiser');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_smuggler.stf', '29', 's_ca582823', 'Get rid of me? Lady - I\'m the best thing that\'s ever happened to this run-down excuse for a pirate base!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_smuggler.stf', '30', 's_ca776e30', 'Who are you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_smuggler.stf', '31', 's_dfbfdcbe', 'Oh yeah! I recognize you. What do I have to do to get rid of you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_smuggler.stf', '32', 's_e125f8e1', 'Big surprise. What kind?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_smuggler.stf', '33', 's_e4fd9825', 'Done. Here\'s your starship keycard. Don\'t go getting yourself killed, now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_smuggler.stf', '34', 's_eceba92b', 'Ha! Ha! Well, I like you\'re style, kid! Loud, boastful and completely ignorant! You\'re tailor-made for the smuggler\'s life! What can I do for you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_smuggler.stf', '35', 's_f507e1a8', 'ST-52');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quest_ship_smuggler.stf', '36', 's_f52fac53', 'Nothing! Who said I knew anything about Kott, anyhow? What sort of nerf-herders are you running with these days?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_2.stf', '1', 'do_not_edit', 'The English version of this file (quharek_phase_2.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_2.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_2.stf', '3', 's_15c7f70f', 'Thanks for helping out with the defenses.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_2.stf', '4', 's_212d314f', 'The overall project');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_2.stf', '5', 's_261bbc0d', 'What would you like to know about?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_2.stf', '6', 's_2a94bc85', 'Refined Endrine');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_2.stf', '7', 's_36cd5966', 'Reinforced Wall Module');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_2.stf', '8', 's_39019ea3', 'I\'d like to know about the quality of the ingredients people are giving.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_2.stf', '9', 's_4ccd023a', 'Which ingredient would you like to know about?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_2.stf', '10', 's_4f68f375', 'That\'s no problem.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_2.stf', '11', 's_574683dc', 'Small Turret');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_2.stf', '12', 's_6f1f7b10', 'I\'m sorry you can\'t help out. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_2.stf', '13', 's_87a5e151', 'Refined Ardanium II');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_2.stf', '14', 's_955b2ddb', 'I hear you\'re looking for crafters.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_2.stf', '15', 's_99347a8f', 'Yes, I\'d like to help out.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_2.stf', '16', 's_a1a54741', 'I was, but I\'ve got plenty of people helping me at the moment. Perhaps you should see if someone else needs assistance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_2.stf', '17', 's_a489b2f6', 'The overall project.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_2.stf', '18', 's_a9474f4a', 'Ok. You should know that if you help out with the defenses, you won\'t be able to do any other work here in the village until later. Is that ok?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_2.stf', '19', 's_baf57f52', 'I\'d like to get the status of the village defenses.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_2.stf', '20', 's_bc2ccc0e', 'There is no crafting project currently being run. Please come back later.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_2.stf', '21', 's_c1dac897', 'How may I help you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_2.stf', '22', 's_c57c793', 'I\'d like to know about the amount of ingredients people are giving.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_2.stf', '23', 's_ca02afa6', 'Refined Rudic');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_2.stf', '24', 's_cf89ace1', 'Yes, we need people to help create defenses for the village. You\'ll need to contribute at least %DI ingredients to the project. If you do, it will help you gain insight into how the Force can be used to improve your crafting technique. We\'re also giving awards to whoever brings the most or best ingredients. Are you interested?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_2.stf', '25', 's_da07ca0e', 'Thanks for helping out with the defenses. You can still supply more ingredients if you\'d like.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_2.stf', '26', 's_e0c642e', 'Excellent! The binary load lifter droid QT-QC has the schematics you\'ll need for the project. You\'ll also give it the ingredients you make. You can check the status of the defenses and how well you\'re contributing to the project at any time. May the Force be with you!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_2.stf', '27', 's_e25e215d', 'No, I can\'t help you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_2.stf', '28', 's_ef01f5ee', 'Yes, but I\'m afraid you don\'t have the even the most basic skills needed to help out. Perhaps you should see if someone else needs assistance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_2.stf', '29', 's_f9d5461c', 'Oh. Maybe I\'d better do something else then.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_2.stf', '30', 's_ff02a401', 'I\'d like to see the project\'s current attributes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_3.stf', '1', 'do_not_edit', 'The English version of this file (quharek_phase_3.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_3.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_3.stf', '3', 's_10aecfa1', 'Regulator');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_3.stf', '4', 's_1ccf69c4', 'Shield Connections');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_3.stf', '5', 's_212d314f', 'The overall project');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_3.stf', '6', 's_261bbc0d', 'What would you like to know about?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_3.stf', '7', 's_39019ea3', 'I\'d like to know about the quality of the ingredients people are giving.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_3.stf', '8', 's_4ccd023a', 'Which ingredient would you like to know about?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_3.stf', '9', 's_4f68f375', 'That\'s no problem.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_3.stf', '10', 's_6c81c99f', 'Yes, we need people to help create energy shields for the village. You\'ll need to contribute at least %DI ingredients to the project. If you do, it will help you gain insight into how the Force can be used to improve your crafting experimentation. We\'re also giving awards to whoever brings the most or best ingredients. Are you interested?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_3.stf', '11', 's_6f1f7b10', 'I\'m sorry you can\'t help out. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_3.stf', '12', 's_75024256', 'Unit Computer');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_3.stf', '13', 's_955b2ddb', 'I hear you\'re looking for crafters.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_3.stf', '14', 's_99347a8f', 'Yes, I\'d like to help out.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_3.stf', '15', 's_a1a54741', 'I was, but I\'ve got plenty of people helping me at the moment. Perhaps you should see if someone else needs assistance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_3.stf', '16', 's_a489b2f6', 'The overall project.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_3.stf', '17', 's_a9474f4a', 'Ok. You should know that if you help out with the defenses, you won\'t be able to do any other work here in the village until later. Is that ok?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_3.stf', '18', 's_b200fa3f', 'Shield Housing');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_3.stf', '19', 's_bc2ccc0e', 'There is no crafting project currently being run. Please come back later.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_3.stf', '20', 's_be53a473', 'Thanks for helping out with the shields. You can still supply more ingredients if you\'d like.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_3.stf', '21', 's_c1dac897', 'How may I help you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_3.stf', '22', 's_c266e38f', 'I\'d like to get the status of the village shields.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_3.stf', '23', 's_c57c793', 'I\'d like to know about the amount of ingredients people are giving.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_3.stf', '24', 's_c61bebb1', 'Power Supply');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_3.stf', '25', 's_e0c642e', 'Excellent! The binary load lifter droid QT-QC has the schematics you\'ll need for the project. You\'ll also give it the ingredients you make. You can check the status of the defenses and how well you\'re contributing to the project at any time. May the Force be with you!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_3.stf', '26', 's_e25e215d', 'No, I can\'t help you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_3.stf', '27', 's_e9fef768', 'Primary Computer');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_3.stf', '28', 's_ed69bd0c', 'Thanks for helping out with the shields.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_3.stf', '29', 's_ef01f5ee', 'Yes, but I\'m afraid you don\'t have the even the most basic skills needed to help out. Perhaps you should see if someone else needs assistance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_3.stf', '30', 's_f580c83d', 'Endrost Alloy');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_3.stf', '31', 's_f9d5461c', 'Oh. Maybe I\'d better do something else then.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_3.stf', '32', 's_ff02a401', 'I\'d like to see the project\'s current attributes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_4.stf', '1', 'do_not_edit', 'The English version of this file (quharek_phase_4.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_4.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_4.stf', '3', 's_1fcf4289', 'Good! I am glad we have had some small part in your self-realization and growth. One of the greatest things a sapient can do on their path of life is to enhance the well being of other sapient beings.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_4.stf', '4', 's_30920b89', 'It\'s going well. I have learned a lot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_4.stf', '5', 's_3a5501aa', 'Perhaps your \'self-realization and growth\' wasn\'t as pronounced as it could have been. Good wishes to you friend.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_4.stf', '6', 's_46847c8d', 'Wow, that\'s pretty sappy!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_4.stf', '7', 's_4909db59', 'Personally, I\'d be happier if you directed that assistance to others not in this camp. We tend to do ok for ourselves even out in the desolate wilderness. There are those that are still far more in need of help than us.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_4.stf', '8', 's_55ff471a', 'No. Our new Chief engineer is handling all new crafting tasks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_4.stf', '9', 's_8a61b230', 'I agree. I hope I can return the favor someday.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_4.stf', '10', 's_c3af3465', 'Hi. How go things?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_4.stf', '11', 's_c9211a00', 'Do you have any other tasks for me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_4.stf', '12', 's_cae55dfb', 'Along the South wall near the sensor array. Good luck to you friend.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/quharek_phase_4.stf', '13', 's_f3f4fde4', 'Where can I find the Chief engineer?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_agrilat.stf', '1', 'do_not_edit', 'The English version of this file (racing_agrilat.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_agrilat.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_agrilat.stf', '3', 's_145d0a85', 'Give me another moment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_agrilat.stf', '4', 's_1736e216', 'Tell me about this track.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_agrilat.stf', '5', 's_1cd82216', 'Get ready... I\'ll start the timer when you say go!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_agrilat.stf', '6', 's_1e9a4eea', 'Greetings, I\'m the coordinator for the Agrilat Swamp circuit. If you\'d like to race the track, just let me know. How may I serve you today?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_agrilat.stf', '7', 's_2492930f', 'I\'d like to see who holds the current record for this track.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_agrilat.stf', '8', 's_2528fad7', 'GO!!!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_agrilat.stf', '9', 's_262e8687', 'Uhh, wait a minute.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_agrilat.stf', '10', 's_27aa48e0', 'Oh dear, such a drastic measure but sometimes a fresh start can be invigorating. I am here to serve. I must warn you this will PERMANENTLY remove your best time and I will forget we\'ve ever met. Are you CERTAIN you wish to do this?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_agrilat.stf', '11', 's_31168968', 'I am CERTAIN I want to PERMANENTLY erase my best time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_agrilat.stf', '12', 's_371b3f4', 'Displaying current data...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_agrilat.stf', '13', 's_48072ab3', 'Welcome back! How may I serve you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_agrilat.stf', '14', 's_4aa68942', 'Aborting race as requested.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_agrilat.stf', '15', 's_4b4fb2b7', 'A series of waypoints will appear one after the other. Head to each waypoint as quickly as possible. When you arrive back here, talk to me again and I\'ll register your last time for this track.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_agrilat.stf', '16', 's_4c21202f', 'As you wish. I have made no changes to my records.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_agrilat.stf', '17', 's_5014ede5', 'WAIT. I don\'t want to erase me best time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_agrilat.stf', '18', 's_59d4e0ee', 'I\'d like to PERMANENTLY ERASE my personal best time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_agrilat.stf', '19', 's_6441a2a6', 'As you wish.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_agrilat.stf', '20', 's_6a5b9858', 'The clock is ticking, get moving!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_agrilat.stf', '21', 's_838e4ffb', 'I\'d like to see my best time for this track.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_agrilat.stf', '22', 's_891e1f6', 'Race completed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_agrilat.stf', '23', 's_8bc77434', 'Nice speaking with you again anyway.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_agrilat.stf', '24', 's_abd9745d', 'Displaying data.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_agrilat.stf', '25', 's_b2acc217', 'And they\'re off!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_agrilat.stf', '26', 's_c0918d6', 'No hurry. Let me know when you\'re ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_agrilat.stf', '27', 's_d24f3595', 'That\'s the spirit! Just say go when you want me to begin the timer. Good luck and may the force be with you!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_agrilat.stf', '28', 's_d459b94a', 'Accessing data...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_agrilat.stf', '29', 's_d900d1be', 'I need to abort this race.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_agrilat.stf', '30', 's_dffdee4b', 'I\'d like to give this track a try.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_agrilat.stf', '31', 's_e460e3d3', 'How do I race?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_agrilat.stf', '32', 's_ed644123', 'I\'d like to race this track again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_agrilat.stf', '33', 's_f6b2a28e', 'This dangerous course was used for illegal races many years ago. Hot springs, deadly updrafts and sharp crystalline underbrush make it a particularly hazardous course. Until recently, there haven\'t been many races since the near-death of a swoop jockey named Dengar. If memory serves, it was a very exciting match between him and someone called Solo.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_agrilat.stf', '34', 's_f9faa915', 'Very well. I am erasing your personal best time now... Oh hello, I don\'t believe we\'ve met before!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_agrilat.stf', '35', 's_fbd55d9d', 'I don\'t need anything right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_keren.stf', '1', 'do_not_edit', 'The English version of this file (racing_keren.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_keren.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_keren.stf', '3', 's_145d0a85', 'Give me another moment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_keren.stf', '4', 's_1736e216', 'Tell me about this track.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_keren.stf', '5', 's_1cd82216', 'Get ready... I\'ll start the timer when you say go!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_keren.stf', '6', 's_2492930f', 'I\'d like to see who holds the current record for this track.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_keren.stf', '7', 's_2528fad7', 'GO!!!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_keren.stf', '8', 's_262e8687', 'Uhh, wait a minute.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_keren.stf', '9', 's_27aa48e0', 'Oh dear, such a drastic measure but sometimes a fresh start can be invigorating. I am here to serve. I must warn you this will PERMANENTLY remove your best time and I will forget we\'ve ever met. Are you CERTAIN you wish to do this?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_keren.stf', '10', 's_31168968', 'I am CERTAIN I want to PERMANENTLY erase my best time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_keren.stf', '11', 's_371b3f4', 'Displaying current data...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_keren.stf', '12', 's_46163ea3', 'Greetings, I\'m the coordinator for the Keren Street Race. If you\'d like to race the track, just let me know. How may I serve you today?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_keren.stf', '13', 's_48072ab3', 'Welcome back! How may I serve you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_keren.stf', '14', 's_4aa68942', 'Aborting race as requested.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_keren.stf', '15', 's_4b4fb2b7', 'A series of waypoints will appear one after the other. Head to each waypoint as quickly as possible. When you arrive back here, talk to me again and I\'ll register your last time for this track.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_keren.stf', '16', 's_4c21202f', 'As you wish. I have made no changes to my records.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_keren.stf', '17', 's_5014ede5', 'WAIT. I don\'t want to erase me best time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_keren.stf', '18', 's_59d4e0ee', 'I\'d like to PERMANENTLY ERASE my personal best time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_keren.stf', '19', 's_6441a2a6', 'As you wish.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_keren.stf', '20', 's_6a5b9858', 'The clock is ticking, get moving!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_keren.stf', '21', 's_838e4ffb', 'I\'d like to see my best time for this track.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_keren.stf', '22', 's_891e1f6', 'Race completed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_keren.stf', '23', 's_8bc77434', 'Nice speaking with you again anyway.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_keren.stf', '24', 's_abd9745d', 'Displaying data.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_keren.stf', '25', 's_b2acc217', 'And they\'re off!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_keren.stf', '26', 's_ba9eff79', 'This circuit will take you winding through the narrow bridges and streets of Keren and it is favored by the more technically minded racer. Focusing more on finesse then it does raw speed this course will definately challenge your racing skills. Due to the danger street racing poses to pedestrians, the RSF does not approve of this activity so participation is at your own risk.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_keren.stf', '27', 's_c0918d6', 'No hurry. Let me know when you\'re ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_keren.stf', '28', 's_d24f3595', 'That\'s the spirit! Just say go when you want me to begin the timer. Good luck and may the force be with you!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_keren.stf', '29', 's_d459b94a', 'Accessing data...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_keren.stf', '30', 's_d900d1be', 'I need to abort this race.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_keren.stf', '31', 's_dffdee4b', 'I\'d like to give this track a try.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_keren.stf', '32', 's_e460e3d3', 'How do I race?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_keren.stf', '33', 's_ed644123', 'I\'d like to race this track again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_keren.stf', '34', 's_f9faa915', 'Very well. I am erasing your personal best time now... Oh hello, I don\'t believe we\'ve met before!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_keren.stf', '35', 's_fbd55d9d', 'I don\'t need anything right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_lok.stf', '1', 'do_not_edit', 'The English version of this file (racing_lok.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_lok.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_lok.stf', '3', 's_145d0a85', 'Give me another moment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_lok.stf', '4', 's_1736e216', 'Tell me about this track.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_lok.stf', '5', 's_1cd82216', 'Get ready... I\'ll start the timer when you say go!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_lok.stf', '6', 's_2492930f', 'I\'d like to see who holds the current record for this track.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_lok.stf', '7', 's_2528fad7', 'GO!!!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_lok.stf', '8', 's_262e8687', 'Uhh, wait a minute.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_lok.stf', '9', 's_27aa48e0', 'Oh dear, such a drastic measure but sometimes a fresh start can be invigorating. I am here to serve. I must warn you this will PERMANENTLY remove your best time and I will forget we\'ve ever met. Are you CERTAIN you wish to do this?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_lok.stf', '10', 's_31168968', 'I am CERTAIN I want to PERMANENTLY erase my best time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_lok.stf', '11', 's_371b3f4', 'Displaying current data...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_lok.stf', '12', 's_392149e8', 'This is one of the longest and most arduous races in the galaxy. Don\'t bother with it unless you have the time and stamina. The Empire doesn\'t come here often, so it gets a lot of use from swoopers looking for an illegal race. The trouble is most of them do not complete the marathon. Beware of dangerous beasts, pirates, confusing mazes and a very large and active volcano.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_lok.stf', '13', 's_48072ab3', 'Welcome back! How may I serve you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_lok.stf', '14', 's_4aa68942', 'Aborting race as requested.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_lok.stf', '15', 's_4b4fb2b7', 'A series of waypoints will appear one after the other. Head to each waypoint as quickly as possible. When you arrive back here, talk to me again and I\'ll register your last time for this track.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_lok.stf', '16', 's_4c21202f', 'As you wish. I have made no changes to my records.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_lok.stf', '17', 's_5014ede5', 'WAIT. I don\'t want to erase me best time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_lok.stf', '18', 's_55824ba', 'Greetings, I\'m the race coordinator for the Lok Marathon. If you\'d like to race the track, just let me know. How may I serve you today?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_lok.stf', '19', 's_59d4e0ee', 'I\'d like to PERMANENTLY ERASE my personal best time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_lok.stf', '20', 's_6441a2a6', 'As you wish.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_lok.stf', '21', 's_6a5b9858', 'The clock is ticking, get moving!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_lok.stf', '22', 's_838e4ffb', 'I\'d like to see my best time for this track.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_lok.stf', '23', 's_891e1f6', 'Race completed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_lok.stf', '24', 's_8bc77434', 'Nice speaking with you again anyway.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_lok.stf', '25', 's_abd9745d', 'Displaying data.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_lok.stf', '26', 's_b2acc217', 'And they\'re off!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_lok.stf', '27', 's_c0918d6', 'No hurry. Let me know when you\'re ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_lok.stf', '28', 's_d24f3595', 'That\'s the spirit! Just say go when you want me to begin the timer. Good luck and may the force be with you!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_lok.stf', '29', 's_d459b94a', 'Accessing data...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_lok.stf', '30', 's_d900d1be', 'I need to abort this race.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_lok.stf', '31', 's_dffdee4b', 'I\'d like to give this track a try.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_lok.stf', '32', 's_e460e3d3', 'How do I race?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_lok.stf', '33', 's_ed644123', 'I\'d like to race this track again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_lok.stf', '34', 's_f9faa915', 'Very well. I am erasing your personal best time now... Oh hello, I don\'t believe we\'ve met before!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_lok.stf', '35', 's_fbd55d9d', 'I don\'t need anything right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_mosespa.stf', '1', 'do_not_edit', 'The English version of this file (racing_mosespa.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_mosespa.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_mosespa.stf', '3', 's_145d0a85', 'Give me another moment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_mosespa.stf', '4', 's_1736e216', 'Tell me about this track.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_mosespa.stf', '5', 's_1cd82216', 'Get ready... I\'ll start the timer when you say go!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_mosespa.stf', '6', 's_2492930f', 'I\'d like to see who holds the current record for this track.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_mosespa.stf', '7', 's_2528fad7', 'GO!!!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_mosespa.stf', '8', 's_262e8687', 'Uhh, wait a minute.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_mosespa.stf', '9', 's_27aa48e0', 'Oh dear, such a drastic measure but sometimes a fresh start can be invigorating. I am here to serve. I must warn you this will PERMANENTLY remove your best time and I will forget we\'ve ever met. Are you CERTAIN you wish to do this?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_mosespa.stf', '10', 's_31168968', 'I am CERTAIN I want to PERMANENTLY erase my best time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_mosespa.stf', '11', 's_371b3f4', 'Displaying current data...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_mosespa.stf', '12', 's_48072ab3', 'Welcome back! How may I serve you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_mosespa.stf', '13', 's_4aa68942', 'Aborting race as requested.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_mosespa.stf', '14', 's_4b4fb2b7', 'A series of waypoints will appear one after the other. Head to each waypoint as quickly as possible. When you arrive back here, talk to me again and I\'ll register your last time for this track.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_mosespa.stf', '15', 's_4c21202f', 'As you wish. I have made no changes to my records.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_mosespa.stf', '16', 's_5014ede5', 'WAIT. I don\'t want to erase me best time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_mosespa.stf', '17', 's_59d4e0ee', 'I\'d like to PERMANENTLY ERASE my personal best time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_mosespa.stf', '18', 's_6441a2a6', 'As you wish.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_mosespa.stf', '19', 's_6a5b9858', 'The clock is ticking, get moving!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_mosespa.stf', '20', 's_838e4ffb', 'I\'d like to see my best time for this track.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_mosespa.stf', '21', 's_891e1f6', 'Race completed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_mosespa.stf', '22', 's_8bc77434', 'Nice speaking with you again anyway.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_mosespa.stf', '23', 's_abd9745d', 'Displaying data.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_mosespa.stf', '24', 's_b2acc217', 'And they\'re off!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_mosespa.stf', '25', 's_c0918d6', 'No hurry. Let me know when you\'re ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_mosespa.stf', '26', 's_cea50112', 'If the information in my databanks are accurate, during the last decades of the Old Republic podraces were run on this track. The series was formed and controlled by the Hutts many years ago. Following the decline of podracing\'s popularity, this track was more or less abandoned by the Hutts. It was eventually taken over by a small band of swoop racers, who used it to stage a regular series of semi-legitimate races.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_mosespa.stf', '27', 's_d24f3595', 'That\'s the spirit! Just say go when you want me to begin the timer. Good luck and may the force be with you!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_mosespa.stf', '28', 's_d459b94a', 'Accessing data...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_mosespa.stf', '29', 's_d900d1be', 'I need to abort this race.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_mosespa.stf', '30', 's_dffdee4b', 'I\'d like to give this track a try.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_mosespa.stf', '31', 's_e0de16cc', 'Greetings, I\'m the race coordinator for the old Mos Espa Circuit. If you\'d like to race the track, just let me know. How may I serve you today?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_mosespa.stf', '32', 's_e460e3d3', 'How do I race?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_mosespa.stf', '33', 's_ed644123', 'I\'d like to race this track again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_mosespa.stf', '34', 's_f9faa915', 'Very well. I am erasing your personal best time now... Oh hello, I don\'t believe we\'ve met before!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_mosespa.stf', '35', 's_fbd55d9d', 'I don\'t need anything right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_narmle.stf', '1', 'do_not_edit', 'The English version of this file (racing_narmle.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_narmle.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_narmle.stf', '3', 's_145d0a85', 'Give me another moment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_narmle.stf', '4', 's_1736e216', 'Tell me about this track.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_narmle.stf', '5', 's_1cd82216', 'Get ready... I\'ll start the timer when you say go!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_narmle.stf', '6', 's_2492930f', 'I\'d like to see who holds the current record for this track.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_narmle.stf', '7', 's_2528fad7', 'GO!!!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_narmle.stf', '8', 's_262e8687', 'Uhh, wait a minute.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_narmle.stf', '9', 's_27aa48e0', 'Oh dear, such a drastic measure but sometimes a fresh start can be invigorating. I am here to serve. I must warn you this will PERMANENTLY remove your best time and I will forget we\'ve ever met. Are you CERTAIN you wish to do this?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_narmle.stf', '10', 's_31168968', 'I am CERTAIN I want to PERMANENTLY erase my best time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_narmle.stf', '11', 's_371b3f4', 'Displaying current data...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_narmle.stf', '12', 's_3a139108', 'Greetings, I\'m the coordinator for the Narmle Memorial Rally. If you\'d like to race the track, just let me know. How may I serve you today?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_narmle.stf', '13', 's_48072ab3', 'Welcome back! How may I serve you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_narmle.stf', '14', 's_4aa68942', 'Aborting race as requested.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_narmle.stf', '15', 's_4b4fb2b7', 'A series of waypoints will appear one after the other. Head to each waypoint as quickly as possible. When you arrive back here, talk to me again and I\'ll register your last time for this track.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_narmle.stf', '16', 's_4c21202f', 'As you wish. I have made no changes to my records.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_narmle.stf', '17', 's_5014ede5', 'WAIT. I don\'t want to erase me best time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_narmle.stf', '18', 's_59d4e0ee', 'I\'d like to PERMANENTLY ERASE my personal best time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_narmle.stf', '19', 's_6441a2a6', 'As you wish.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_narmle.stf', '20', 's_6a5b9858', 'The clock is ticking, get moving!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_narmle.stf', '21', 's_6ea32c0e', 'Legends say that this track retraces the route used by local smuggler, Trein Veltin as he tried to elude authorities intent on his arrest. Weaving through the streets desperately trying to lose his pursuers he made it out of the city. Unfortunately his escape was cut short due to a fatal collision with a flesh eating chuba. Since that time many have made the run in his memory. Eventually it became a semi-formal track for a thoroughly illegal street race. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_narmle.stf', '22', 's_838e4ffb', 'I\'d like to see my best time for this track.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_narmle.stf', '23', 's_891e1f6', 'Race completed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_narmle.stf', '24', 's_8bc77434', 'Nice speaking with you again anyway.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_narmle.stf', '25', 's_abd9745d', 'Displaying data.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_narmle.stf', '26', 's_b2acc217', 'And they\'re off!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_narmle.stf', '27', 's_c0918d6', 'No hurry. Let me know when you\'re ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_narmle.stf', '28', 's_d24f3595', 'That\'s the spirit! Just say go when you want me to begin the timer. Good luck and may the force be with you!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_narmle.stf', '29', 's_d459b94a', 'Accessing data...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_narmle.stf', '30', 's_d900d1be', 'I need to abort this race.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_narmle.stf', '31', 's_dffdee4b', 'I\'d like to give this track a try.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_narmle.stf', '32', 's_e460e3d3', 'How do I race?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_narmle.stf', '33', 's_e491da8a', 'Legends say that this track retraces the route used by local smuggler, Trein Veltin as he tried to elude authorities intent on his arrest. Weaving through the streets desperately trying to lose his pursuers he made it out of the city. Unfortunately his escape was cut short due to a fatal collision with a flesh eating chuba. Since that time many have made the run in his memory. Eventually it became a semi-formal track for a thoroughly illegal street race.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_narmle.stf', '34', 's_ed644123', 'I\'d like to race this track again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_narmle.stf', '35', 's_f9faa915', 'Very well. I am erasing your personal best time now... Oh hello, I don\'t believe we\'ve met before!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_narmle.stf', '36', 's_fbd55d9d', 'I don\'t need anything right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_nashal.stf', '1', 'do_not_edit', 'The English version of this file (racing_nashal.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_nashal.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_nashal.stf', '3', 's_145d0a85', 'Give me another moment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_nashal.stf', '4', 's_1736e216', 'Tell me about this track.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_nashal.stf', '5', 's_1cd82216', 'Get ready... I\'ll start the timer when you say go!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_nashal.stf', '6', 's_2492930f', 'I\'d like to see who holds the current record for this track.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_nashal.stf', '7', 's_2528fad7', 'GO!!!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_nashal.stf', '8', 's_262e8687', 'Uhh, wait a minute.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_nashal.stf', '9', 's_27aa48e0', 'Oh dear, such a drastic measure but sometimes a fresh start can be invigorating. I am here to serve. I must warn you this will PERMANENTLY remove your best time and I will forget we\'ve ever met. Are you CERTAIN you wish to do this?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_nashal.stf', '10', 's_31168968', 'I am CERTAIN I want to PERMANENTLY erase my best time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_nashal.stf', '11', 's_371b3f4', 'Displaying current data...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_nashal.stf', '12', 's_48072ab3', 'Welcome back! How may I serve you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_nashal.stf', '13', 's_4b4fb2b7', 'A series of waypoints will appear one after the other. Head to each waypoint as quickly as possible. When you arrive back here, talk to me again and I\'ll register your last time for this track.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_nashal.stf', '14', 's_4c21202f', 'As you wish. I have made no changes to my records.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_nashal.stf', '15', 's_5014ede5', 'WAIT. I don\'t want to erase me best time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_nashal.stf', '16', 's_59d4e0ee', 'I\'d like to PERMANENTLY ERASE my personal best time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_nashal.stf', '17', 's_6441a2a6', 'As you wish.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_nashal.stf', '18', 's_6a5b9858', 'The clock is ticking, get moving!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_nashal.stf', '19', 's_838e4ffb', 'I\'d like to see my best time for this track.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_nashal.stf', '20', 's_8643c312', 'Greetings, I\'m the coordinator for the Nashal River Race. If you\'d like to race the track, just let me know. How may I serve you today?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_nashal.stf', '21', 's_891e1f6', 'Race completed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_nashal.stf', '22', 's_8bc77434', 'Nice speaking with you again anyway.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_nashal.stf', '23', 's_abd9745d', 'Displaying data.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_nashal.stf', '24', 's_b2acc217', 'And they\'re off!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_nashal.stf', '25', 's_c0918d6', 'No hurry. Let me know when you\'re ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_nashal.stf', '26', 's_d24f3595', 'That\'s the spirit! Just say go when you want me to begin the timer. Good luck and may the force be with you!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_nashal.stf', '27', 's_d459b94a', 'Accessing data...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_nashal.stf', '28', 's_d900d1be', 'I need to abort this race.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_nashal.stf', '29', 's_dffdee4b', 'I\'d like to give this track a try.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_nashal.stf', '30', 's_e460e3d3', 'How do I race?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_nashal.stf', '31', 's_ed644123', 'I\'d like to race this track again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_nashal.stf', '32', 's_f1970106', 'Mostly this track has been used for recreation and youth races; very few professional events have been staged here. The course primarily sticks to major waterways around Nashal and therefore is impractical for mount or foot racing. On a hover vehicle, it is considered a delightful afternoon outing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_nashal.stf', '33', 's_f9faa915', 'Very well. I am erasing your personal best time now... Oh hello, I don\'t believe we\'ve met before!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/racing_nashal.stf', '34', 's_fbd55d9d', 'I don\'t need anything right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_broker.stf', '1', 'do_not_edit', 'The English version of this file (rebel_broker.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_broker.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_broker.stf', '3', 's_159911f5', 'Tell me more.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_broker.stf', '4', 's_169df3bb', 'Never mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_broker.stf', '5', 's_18dad60e', 'What about Naboo or Tatooine then?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_broker.stf', '6', 's_1adbb986', 'I see. Well, that does sound very exciting. But what makes you think I can help you with that?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_broker.stf', '7', 's_1c0a2eb0', 'I cannot imagine why not. If someone has been spreading rumors about me, you should report them... not me. I\'m not doing anything wrong at all. Nothing whatsoever.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_broker.stf', '8', 's_28a5ab46', 'I most certainly am not! And I resent the implication! It\'s an absurd accusation! Ridiculous! Now if you\'ll excuse me, this conversation is over. Good day!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_broker.stf', '9', 's_2a805b93', 'Nothing I can do for you, friend. But if you know anyone that might make a good pilot, you ought to send them to see me. Good day.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_broker.stf', '10', 's_31bc521f', 'Then let me add this location to your datapad. We have an operative stationed in a \'safe house\' here in Tyrena... in the slums not far from here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_broker.stf', '11', 's_3714bdfe', 'Now that\'s quite a dangerous assignment! We have managed to install an Alliance Trainer droid in the city of Moenia. The Empire is quite strong in the Naboo system, but Moenia belongs to Borvo the Hutt... and he\'s indifferent to the Rebellion - so long as we stay out of his way.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_broker.stf', '12', 's_3bde39e1', 'In that case, yes, I can direct you to a unit in need of volunteers. Do you have a preference for duty anywhere in particular?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_broker.stf', '13', 's_3fd213c', 'Nothing, really.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_broker.stf', '14', 's_43cd3e42', 'Here, I\'ll add the location of our Tatooine contact to your datapad. Whatever you do, don\'t allow that to fall into Imperial hands! This will take you to the Mos Espa cantina. Speak with Commander Da\'la Socuna.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_broker.stf', '15', 's_4c695dbd', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_broker.stf', '16', 's_50f22f35', 'Ok, just checking.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_broker.stf', '17', 's_568d0bc', 'That\'s a relief. We\'d really hate to lose a good pilot like yourself.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_broker.stf', '18', 's_5af29bb7', 'No, of course not. That would be illegal.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_broker.stf', '19', 's_63cd6ccb', 'Naboo.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_broker.stf', '20', 's_6491bb19', 'Tatooine.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_broker.stf', '21', 's_658b5a75', 'Yes, I want to retire.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_broker.stf', '22', 's_697a1143', 'I\'ve changed my mind. I\'ll stay.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_broker.stf', '23', 's_6ed0d2aa', 'Very well. We hate to lose a good pilot like yourself, but in the end, it\'s your decision.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_broker.stf', '24', 's_70f18874', 'I\'m not interested in that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_broker.stf', '25', 's_7671cbe2', 'I see. Best of luck to you in the future, then!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_broker.stf', '26', 's_80d99409', 'Tatooine is a backwater world far removed from most of the action. It seems the criminals and pirates give us as much trouble there as the Empire. Still, it\'s an important assignment as the remote location allows us to gather resources and supplies without constant harassment from the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_broker.stf', '27', 's_84d6bcaa', 'I don\'t blame you. The Empire has been absolutely ruthless in its war against the Alliance. What about Corellia or Tatooine?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_broker.stf', '28', 's_895d093', 'Ok.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_broker.stf', '29', 's_8a4e6549', 'My name is J\'pai Brek. How can I help you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_broker.stf', '30', 's_98a75031', 'Corellia\'s official stance is to remain neutral in the war against the Empire, but that has made it a useful place for us to marshal our forces.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_broker.stf', '31', 's_9fdd7cf3', 'Yes?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_broker.stf', '32', 's_aad360f4', 'Hello, friend. Good day to you!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_broker.stf', '33', 's_b42be0ca', 'Wow, that\'s quite a bombshell. Are you sure? If you retire, you will lose all of your pilot skills and your mission logs will be erased. If you join up with the Alliance again, you will start out as a new recruit.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_broker.stf', '34', 's_b8e72ced', 'Hello, friend. It\'s always good to see that another skilled pilot has joined the ranks of the Alliance. What can I do for you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_broker.stf', '35', 's_bbc28ec8', 'Want to be a little closer to the action, huh? I\'d recommend Corellia or Naboo, in that case.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_broker.stf', '36', 's_c0ca92b1', 'Here, I\'ll add the location of our FX-model droid to your datapad. Whatever you do, don\'t allow that to fall into Imperial hands! Go there and speak with the droid.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_broker.stf', '37', 's_c0dd7feb', 'I received a transmission from the Rebel Alliance');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_broker.stf', '38', 's_c2a4c0b1', 'Are you recruiting pilots for the Rebel Alliance?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_broker.stf', '39', 's_c3bfda20', 'Alright. I\'ll start getting the paperwork ready. If you want to change your mind, now\'s the time...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_broker.stf', '40', 's_c4b91b55', 'Is there something I can help you with?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_broker.stf', '41', 's_c4d665ba', 'I don\'t believe you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_broker.stf', '42', 's_ca776e30', 'Who are you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_broker.stf', '43', 's_d15ec255', 'Corellia.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_broker.stf', '44', 's_d6b3d709', 'It was nice meeting you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_broker.stf', '45', 's_d70dba34', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_broker.stf', '46', 's_dbb2bd71', 'You are lying!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_broker.stf', '47', 's_e81a1436', 'I want to be a pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_broker.stf', '48', 's_ee2fdf32', 'I said \'Good day\'!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_broker.stf', '49', 's_ef21d878', 'And what would that be?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_broker.stf', '50', 's_f72f24be', 'I want to retire.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_broker.stf', '51', 's_fc2710b9', 'I would like to retire as a Rebel Pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '1', 'do_not_edit', 'The English version of this file (rebel_master_trainer.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '3', 's_133c89f7', 'From what I understand, you are anything but a simple smuggler. The way I hear it you are one of the finest pilots this side of Coruscant. I am desperately in need of a fearless and skilled pilot. And I think that you are just such a pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '4', 's_16531693', 'The Alliance has begun moving ships into the system in order to defend it. Unfortunately, it seems that the Empire has also determined the value of the Kessel system and has begun moving their own support craft in. We need to get those Imperial vessels out of the system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '5', 's_1668a97b', 'The Kessel system is strategically located between three separate systems, all of which have important shipping lanes passing through it. With control of the Kessel system it is possible to defend the surrounding systems very easily. Alliance Command has determined that we take the area for ourselves. Unfortunately, it would appear that the Empire has its own plans for Kessel.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '6', 's_174c76a5', 'You have pilots. Why not use one of them?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '7', 's_17652085', 'You are a courageous pilot. You might be all that stands between the Empire and freedom in the Outer Rim. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '8', 's_1c113900', 'I was about to suggest the same thing. I still cannot think of anyone better suited for this important mission than you. %NU, you must destroy that corvette. Unless the Empire\'s power in the Kessel system is diminished, they will begin exerting their influence on the entire Outer Rim.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '9', 's_1c9d33ed', 'It is a good thing that you achieved victory over the Imperial support vessels. We desperately needed that good news. Unfortunately for us we have received some very disturbing reports from Ryloth. I fear that our plans on a large scale assault on the Kessel system have been scrapped.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '10', 's_1da9fe53', '[relay the destruction of the stolen Corellian Corvette]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '11', 's_1fd64638', 'Where are the Imperials held up?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '12', 's_1ffdcc4b', 'Are we clear?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '13', 's_21d9c824', 'You shouldn\'t be back here. You have a job to do in the Kessel system. Your mission is of utmost importance and the entire Alliance is counting on your success. To your ship, Pilot!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '14', 's_22d87576', 'What do you mean, sir?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '15', 's_24a07bd4', 'I don\'t work cheap.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '16', 's_26bd9f23', 'I am willing to hear you out.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '17', 's_28d79ee3', 'Your accomplishments have proven that you are a valued asset to the Alliance and a truly exceptional pilot. I believe that you have achieved the highest level of piloting skill that anyone can possess. I think that you might find some measure of fame waiting for you when everyone finds out what you have done.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '18', 's_2acaca5d', 'I am just a simple smuggler. What could I possibly do for the Alliance?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '19', 's_2cbd4ffa', 'You can count on me, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '20', 's_32062da9', 'I am your pilot, sir. I volunteer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '21', 's_35c0388d', 'I do not see the profit in getting in the middle of a fight between you and the Empire. I have to decline.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '22', 's_36256b98', 'I have been speaking with several of your former commanding officers about an important mission that I need a talented pilot to undertake. Your name came up over and over again. I must say you really left quite an impression on your commanders.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '23', 's_37157452', 'I hope it was a good impression.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '24', 's_377d1a96', 'Thank you, sir. It has been an honor to be allowed to serve under you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '25', 's_3924b90e', 'Good. Now get to your ship before I change my mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '26', 's_39516a4', 'Very well. Get back to the Kessel system and destroy the Imperial support vessels that are patrolling the region. Good luck, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '27', 's_3ccc33fb', 'There is no need for modesty. Be proud of your accomplishments. Unfortunately this business with the Imperial corvette has allowed them to reestablish a presence in the system. Although it is not as large as it once was, it is still formidable. Alliance Command has decided to play it safe and not issue the full scale assault on the Kessel system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '28', 's_3d93239d', 'What is this mission?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '29', 's_3e83f2ea', 'Thank you, Pilot. May the force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '30', 's_3f6a8711', 'Thank you, sir. I do my best.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '31', 's_3f7dd52e', 'I will assume you are familiar with the Kessel system?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '32', 's_41910783', 'Greetings, %NU. I am sure you are plenty confused as to why an Alliance Admiral asked to speak with you. To put it bluntly, we are in need of your help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '33', 's_429ad94c', 'Yes. Your operation did accomplish its goals. But word has come in that the Empire has managed to capture one of our corvettes in the Ryloth system. Intelligence has reported it has been seen patrolling through Kessel.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '34', 's_44bd3318', 'What is it you need me to do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '35', 's_46b27b0c', 'Hello, %NU. I have been looking forward to meeting you. You are probably wondering why I asked to see you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '36', 's_46ecd1ec', 'I can do it, sir. I know I can.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '37', 's_47e9fbfd', 'I understand. So what is the plan?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '38', 's_4bdfa49b', 'I am glad that you agreed. You will need to assemble a team of pilots who you feel are up to the challenge. The Imperial pilots in the Kessel system are some of the best in their entire fleet and they are all flying state of the art craft, so this will be no walk in the park.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '39', 's_4c9055c9', '[relate the details of the failed mission]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '40', 's_4c9d51f4', 'No thank you, sir. I do not wish to take this mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '41', 's_4ebc69dd', 'I completely understand. If you change your mind come back and talk to me again. Good luck to you, %NU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '42', 's_52917b0d', 'Of course.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '43', 's_575c9eb2', 'With the Empire distracted elsewhere, we feel that this is a perfect time to strike. The attack will focus on attacking the weakened Imperial positions in the Kessel system. Then we can use it as a staging point for control of a number of systems around it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '44', 's_583fa6fb', 'As am I. I still believe that we can take the area but Alliance Command believes that the Empire will be able to mount a Star Destroyer attack. We cannot risk a direct confrontation with one of those. Regardless, you have more than done your duty. I have been authorized on behalf of the Alliance to issue you a reward for your noble actions. You willl always have friends in the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '45', 's_58559f7e', 'I am not sure. This mission is highly important and it is imperative that it succeed. The Empire cannot be allowed to gain absolute control of the Kessel system, or the Alliance will be hard pressed to maintain its forces in and around the Outer Rim.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '46', 's_5869e64b', 'Thank you, sir. I appreciate it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '47', 's_5919485e', 'That is what I hoped you would say. The Alliance has decided that it is time to try to make a strike at the Outer Rim. We believe that the Empire is stretched too thin to adequately defend all of its positions in these system. Our first goal is to take Kessel.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '48', 's_5bd6bf77', 'Understood, sir. I will not let you down.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '49', 's_5bdc459b', 'Good! Now get to your ship and take out those Imperial positions in Kessel.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '50', 's_5fa0c79', 'That\'s the spirit, %NU. Keep up the good work and one day maybe you will do great things for the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '51', 's_63214db1', 'Correct. You will need to assemble a team of pilots who you feel are up to the challenge. The Imperial pilots in the Kessel system are some of the best in their entire fleet and they are all flying state of the art ships, so this will be no walk in the park.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '52', 's_647683fc', 'You have use of me and my vessel for as long as you need them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '53', 's_65a12a87', 'We have a number of skilled pilots, but no one that I feel is up to this assignment. I asked around and your name came up again and again. I believe that you are the only pilot around that can pull off this mission. I am not going to force anyone to attempt this but I am asking you to volunteer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '54', 's_677c6a2', 'At ease, Pilot. I asked you here because after speaking with several of your commanding officers, I believe that you might be perfect for a very important mission. They told me that you were one of the finest pilots they have ever seen.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '55', 's_684ff0a', 'There is no need for false modesty, but it is appreciated. I am in need of someone with your skills to perform a highly dangerous mission in the Kessel system. I cannot force you to take the mission, but I ask that you hear me out before deciding.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '56', 's_69741346', 'I understand, %NU. If you change your mind come back and talk to me. Until then I wish you continued success in your own duties.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '57', 's_6be5ab4e', 'The Kessel system is located deep in the Outer Rim. It has important strategic value to the Alliance, since three other systems have important shipping lanes running through Kessel. With control of that system, the Alliance can defend a huge portion of the Outer Rim worlds.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '58', 's_6c42736d', 'Even though you are not officially a member of the Alliance, you have proven yourself a hero for what is right. I believe that you have achieved the highest level of piloting skill that anyone can hope to accomplish. The Alliance is in your debt.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '59', 's_6d976791', 'A very good plan. And you need me for the assault team.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '60', 's_6daab4e1', 'Thank you, pilot. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '61', 's_6f27454c', 'So you have a sense of humor as well. That is good. You will need to keep your moral up for we are looking at some bleak times and I fear that many lives may be lost. But we have to strive on if we ever hope to drive the Empire from power. I think you are just the type of pilot I need.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '62', 's_6ff4c6e1', 'It is at that. And it is only possible because of your victory. The Alliance thanks you and I have been authorized to issue a credit reward to your account. I also have granted you a token of our appreciation for what you have accomplished. I still have some more planning to work on, but after you take some well deserved rest come and see me again. I am sure I will have a place for you in the attack plan.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '63', 's_74cca111', 'It would seem that this corvette is patrolling several systems, so it is not always in Kessel... but it is always close enough to be a threat. I fear that we only have one choice. You are going to have to destroy that corvette.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '64', 's_7660776e', 'From my understanding you were one of the finest pilots they have ever dealt with. They said you were a natural, which is just the sort of pilot I need.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '65', 's_76d5f218', 'Don\'t worry much about that. I have a knack for finding what I need to.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '66', 's_77a163bd', 'I see. That would explain why reports show that more Imperial vessels are moving into the system. We must find a way to reduce the number of Imperial support craft in the system for our primary objective to have any chance at success.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '67', 's_77cd7306', 'In a nutshell... yes. We are too evenly matched to launch an assault on their positions without being weakened to the point where we could not hold it. The only solution that I could come up with was a series of raids on the Imperial positions.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '68', 's_7826431d', 'I see that you failed to destroy the corvette. This is not good news. The balance of power inside of the Kessel system has shifted heavily in favor of the Empire. Unless we can destroy that vessel we could lose the entire region.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '69', 's_78ce5241', 'Okay, what is it you want me to do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '70', 's_7a052bd2', 'I understand we have a corvette in the system, couldn\'t we use that?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '71', 's_7bf46fb2', 'I need a pilot who is willing to brave the Imperial forces stationed in the Kessel system. It will be extremely dangerous and it is highly likely that anyone who accepts this mission will not make it back alive. I will not force a pilot to accept this mission so I am asking for volunteers.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '72', 's_7cbd5de5', 'Sounds like a big undertaking.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '73', 's_7cd01fd0', 'I am afraid that I am rather busy right now. Under normal circumstances I am always willing to speak to possible allies in our struggle against the tyranny of the Empire, but right now there just doesn\'t seem to be any time. Perhaps we can talk again after you have earned some more flight experience in real situations.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '74', 's_7e8aa338', 'It is at that. And it is only possible because of your victory. The Alliance thanks you and I have been authorized to issue a credit reward to your account. I still have some more planning to work on, but after you take some well deserved rest come and see me again. I am sure I will have a place for you in the attack plan.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '75', 's_7f725bea', '%NU, what is the status of your operation in the Kessel system?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '76', 's_81f189ef', 'Reporting as ordered, Sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '77', 's_826f20e2', 'Yes, it certainly would. But we simply do not have the resources to initiate a boarding party right now. I am afraid that our only choice is to make sure that if we don\'t have it, neither do they.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '78', 's_834a890e', 'Why not initialize a full scale assault?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '79', 's_837c0670', 'The Empire has captured and retrofitted one of our corvettes that was in the Ryloth system. Intelligence reports that it has been seen in the Kessel system. This is truly grim news. We believed that we had their star destroyer fleet tied up in several other areas so we could accomplish our tasks here, but it would seem that the Empire has learned how to improvise.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '80', 's_84b47be3', 'You certainly have confidence. That is a good thing, because I am in need of someone who is confident in their abilities for a very dangerous mission in the Kessel system. I cannot force you to take the mission, but I ask that you at least hear me out before making your decision.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '81', 's_85b8ffbd', 'The Kessel system?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '82', 's_86a40b9e', 'The Alliance has been moving ships into the system, but we have come up against heavy resistance from Imperial forces. The Empire has also been moving support vessels into the system. My only guess is that they also realize the potential value of Kessel.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '83', 's_875c631e', 'This is where things get a little more tricky. Because of the Maw, long range scanners are next to useless in Kessel. Recon reports that the Imperial vessels patrol all throughout the system, so I am afraid that you will have to perform a seek and destroy style attack on them. I estimate that you will have to destroy at least thirty of these patrol ships in order for us to have an overwhelming advantage.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '84', 's_87d4bfc2', 'Crystal.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '85', 's_8964c03a', 'So you are asking me to hunt Imperials?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '86', 's_89f9ea03', 'I am sorry, Sir. I didn\'t mean to.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '87', 's_8c56411b', 'To show you that I am a forgiving man, I accept your apology. And I will also give you another chance to destroy the stolen Rebel corvette that is regularly patrolling the Kessel system. For your sake, do not fail me again. Are we understood?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '88', 's_8d7967cc', 'I am disappointed to hear that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '89', 's_8f3f7918', 'So, what does this have to do with me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '90', 's_92ad6ffe', 'Where do I fit into this?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '91', 's_938d38', 'Our lack of resources in this system makes any attempt at recapturing the vessel futile. The Empire can use that ship to tie up the Kessel system long enough to bring in their star destroyers... and at that point I cannot foresee any chance of us getting Kessel back. The key to the whole Alliance operation in the Outer Rim lies with the destruction of that corvette.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '92', 's_98d92abb', '%NU, you have performed brilliantly in the face of overwhelming odds. It has been my privilege to have been your commanding officer. The victory that you lead in Kessel has assured the continued freedom of the Outer Rim. Currently I do not have any new missions that I need you to perform. I trust in your ability to uphold the values of the Alliance without assistance from me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '93', 's_9a0798b3', 'Yes, I was wondering that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '94', 's_9e5b1d54', 'Yes we do have our own corvette in the system that we use as a command vessel, but after the loss of the one in the Ryloth system, we cannot risk losing another one. It would appear that we will have to send out fighters to try to combat this menace.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '95', 's_a21308bb', 'That is exactly the plan. We cannot afford to have a large scale assault but we can use a small mobile force to strike quickly at their patrols. If we can hammer hard enough on their positions and destroy enough of their patrol craft, we can put them on their heels. Once we have them down, we will strike with everything we have.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '96', 's_a2b72d37', 'You are a brave soul, %NU. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '97', 's_a667be99', 'Yes, sir. I will do that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '98', 's_a6fb8def', 'Destroy the corvette, sir?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '99', 's_a79ccb10', 'Are you saying that I was wrong in my assessment of the Imperial strength in the Kessel system?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '100', 's_a7be18a9', 'The Alliance will compensate you for your time and effort if you choose to assist us in this mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '101', 's_aa01a084', 'I don\'t know if I would go that far.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '102', 's_ad709e77', 'What can I do for you, Sir?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '103', 's_b6b25f13', 'Yes, sir!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '104', 's_be631237', 'I assure you that the honor is all mine. Leading men such as yourself is a privilege. You are dismissed, %NU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '105', 's_becf889', 'You are not fighting for me. You are fighting for yourself and those you care about. Remember that. We have lost so much already, we cannot lose here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '106', 's_bfaef3d8', '%NU, you have performed brilliantly in the face of overwhelming odds. It has been my privilege to have been your commanding officer. The victory that you lead in Kessel has assured the continued freedom of the Outer Rim. Currently I do not have any new missions that I need you to run. I trust in your ability to uphold the values of the Alliance without assistance from me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '107', 's_c10e0254', 'I have no love for the Empire. You have your pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '108', 's_c13f9a11', 'I am sorry, sir. Give me another chance. I will succeed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '109', 's_c1c7c6c', 'Wouldn\'t it be better to try to recapture the vessel?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '110', 's_c2eca562', 'I am afraid that I am too busy right now to talk to you. If you are interested in helping our cause I would suggest that you find some of our recruiters. They are located here and there but I am afraid I really don\'t keep track of them. Maybe try talking to J\'pai Brek in Tyrena.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '111', 's_c4d08624', 'Yes, it is patrolling several systems right now, but with your victory we should be able to set up a command post in the Kessel system. Alliance Command believes that the time might be right for us to make our move on the Outer Rim.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '112', 's_c5b25047', 'In a nutshell... yes. We are too evenly matched to launch an assault on their positions without being weakened to the point where we could not hold the system. The only solution that I could come up with was a series of raids on the Imperial positions.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '113', 's_c67e8169', 'I am only one of many heroes for the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '114', 's_c68b1dd3', 'What happened, sir?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '115', 's_c788dadf', 'No, sir. Of course not, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '116', 's_c78b33ad', 'Welcome back, %NU. It is good to see that you managed to perform such a difficult task and return. Intelligence reports that the number of Imperial ships in the system are down. Our Corellian Corvette should be able to drive the rest of their support craft out of the system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '117', 's_c97cb0b8', 'Why not organize a raid on the Imperial support vessels?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '118', 's_ca1a4aa4', 'The Empire has a corvette in the Kessel system?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '119', 's_cab1f8c7', 'Listen to me closely because you are walking on some very thin ice right now, Pilot. You are to return to the Kessel system and destroy the Imperial positions. My plan will not fail because of the incompetence of a lowly pilot such as yourself. Are we clear?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '120', 's_cba67818', 'I understand, sir. Will I have any support for this assault.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '121', 's_cd70bed3', 'The Alliance has begun moving ships into the system. Unfortunately, it seems that the Empire has also determined the value of Kessel and has begun moving their own support craft in. We need to get those Imperial vessels out of the system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '122', 's_ce45643c', 'Do not worry, sir. I will not fail you again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '123', 's_d02bfc3b', 'We brought in a Corellian Corvette?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '124', 's_d09ace00', 'A glorious victory for the Alliance! You really came through when it counted, %NU. You have made a difference to millions of lives along the Outer Rim and you have proven yourself a hero of the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '125', 's_d1111dc8', 'I will hunt them down. They are no match for me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '126', 's_d41a131', 'Thank you, pilot. May the force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '127', 's_d4d47c04', 'Give me another chance, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '128', 's_d646c11', 'I am sorry but I cannot take this risk.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '129', 's_d6d7f7f9', 'You and I have nothing to say to one another. I suggest you clear out of this area and get back to your tyrant leaders. We will one day meet on the field of battle, I can promise you that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '130', 's_d7e71a00', 'The CorSec are important allies in our struggle against tyranny. I thank you for arriving as quickly as you did. I have a situation here that I think you can assist me with.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '131', 's_d8da45e7', 'I have an important and very dangerous mission that I need a highly skilled pilot to achieve. Unfortunately I do not think any of my pilots are up the task, so I\'ve turned to our allies for support. Your name came up over and over again. It is my understanding you are one of the finest pilots anyone has ever seen.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '132', 's_da1503ff', 'I am going to have to leave the assembly of a team up to you. Once you have your team assembled, enter the Kessel system and look for the Imperial corvette as it moves through the area. Keep in mind that it sometimes leaves the system for several hours, so you might have to hunt for a while in order to initiate attack.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '133', 's_da2cf079', 'Then you would know of its strategic value for the Outer Rim. With the three other systems\' shipping lanes running through it, the Alliance could defend a large portion of Outer Rim worlds by controlling that system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '134', 's_dc2fa6d8', 'The members of CorSec have always answered the call of the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '135', 's_dc822762', 'You shouldn\'t be here! I have nothing to say to the likes of you. You have made your choice, now you must live with the consequences.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '136', 's_e0c18ed4', 'Right now our force is roughly of equal strength to their own. I believe that we can win any such assault, but I fear it would weaken us to the point where we could not hold the system. The Empire would be able to wipe us out easily once their reinforcements arrived.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '137', 's_e228ef89', 'Sir, may I suggest that you give me another chance?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '138', 's_e3714e1d', 'We were unable to follow your progress via long range scans due to the interference of the Maw. What do you have to report?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '139', 's_e374b3bf', 'I will remember that, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '140', 's_e7f9b26f', '\'Fraid I have never been there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '141', 's_e87785ac', 'As am I. I still believe that we can take the area but Alliance Command believes that the Empire will be able to mount a Star Destroyer attack. We cannot risk a direct confrontation with one of those. Regardless, you have more than done your duty. I have been authorized on behalf of the Alliance to issue you a reward for your noble actions.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '142', 's_e8d6a9e7', 'I am afraid that I do not understand. How can I assist you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '143', 's_eb02d65', 'I am a good pilot, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '144', 's_ecd272f1', 'The Kessel system is located deep in the Outer Rim. It has important strategic value to the Alliance, since there are three other systems with important shipping lanes running through it. With control of that system, the Alliance can defend a huge portion of the Outer Rim worlds.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '145', 's_ed30fff8', 'It wasn\'t my fault, sir. The mission failed due to bad planning.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '146', 's_ee795f66', 'I am not one of the finest. I am the finest.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '147', 's_ef3cc459', 'Perhaps, but there is no need to be humble when it comes to your accomplishment. Victories like this can raise the morale of the troops across the entire galaxy. Thank you, %NU. You are dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '148', 's_efc8c4f5', 'We have a number of skilled pilots, but no one that I feel is up to this assignment. I asked around and your name came up again and again. I believe that you are the only pilot around that can pull off this mission. I am not going to force anyone to attempt this, but I am asking you to volunteer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '149', 's_efd059ff', '%NU, it is always nice to stop and chat with the men, but I am afraid that I do not have time to talk right now. I am planning a very important operation and I can only use the finest pilots available to the Alliance. I suggest you gain some more flight experience and then come back to see me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '150', 's_f00f629f', 'We are mobilizing on the Outer Rim?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '151', 's_f2bb94ef', 'I normally do not drive off a potential ally, but I cannot trust just ANY member of the Royal Security Forces. Your group is just too tightly involved with the Empire, and I cannot risk allowing you to join our cause.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '152', 's_f799f9ec', 'Perfectly clear, sir!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '153', 's_fd815e48', 'You have your orders, Pilot. It is imperative that you complete the mission that you have! Once you have completed the task on hand, talk to me again and we will see what needs to be done.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '154', 's_fe42648c', 'You certainly have an interesting way of showing your skills then, Pilot. Normally when someone is good at something they accomplish any tasks involved. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '155', 's_ff2c163e', 'We cannot afford a large scale assault, but we can use a small mobile force to strike quickly at their patrols. If we can hammer hard enough on their positions and destroy enough of their patrol craft, we can put them on their heels. Once we have them down, we will strike with everything we have.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trainer.stf', '156', 's_ffeb2f4c', 'Was my operation successful in pushing the Empire back?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trooper.stf', '1', 'do_not_edit', 'The English version of this file (rebel_master_trooper.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trooper.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trooper.stf', '3', 's_28c5a74a', 'You don\'t look like much of a pilot to me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trooper.stf', '4', 's_33788e9b', 'I\'m here to speak to the boss here!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trooper.stf', '5', 's_4cf446c4', 'Then if you must...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trooper.stf', '6', 's_55616900', 'Imperial pilots don\'t belong here!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trooper.stf', '7', 's_75207c3', 'I have no time for you, friend. We have a war to fight!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trooper.stf', '8', 's_7e51c66', 'Hold, pilot. What business do you have here?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trooper.stf', '9', 's_86ed2e98', 'None.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trooper.stf', '10', 's_9049d3d5', 'You have no business here, smuggler. I suggest you take off!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/rebel_master_trooper.stf', '11', 's_a366a1ca', 'Then get out of here!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sample.stf', '1', 'do_not_edit', 'The English version of this file (sample.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sample.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sample.stf', '3', 's_2280847e', 'Let\'s have it!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sample.stf', '4', 's_27dd59b6', 'Why, yes.  Watch this!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sample.stf', '5', 's_33ee1807', 'Voila!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sample.stf', '6', 's_3f9aded7', 'Do you mean it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sample.stf', '7', 's_4a1f212c', 'DEBUG: Reset conversation');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sample.stf', '8', 's_551ee684', 'Done.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sample.stf', '9', 's_58132054', 'I\'d like to see you go away!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sample.stf', '10', 's_5967ef4d', 'Well, I can only show you the first trick I have ever shown you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sample.stf', '11', 's_59da9c5a', 'I\'m a sadist.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sample.stf', '12', 's_5c203407', 'I just wanted to say that I\'m really sorry.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sample.stf', '13', 's_629c5d0b', 'Why you...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sample.stf', '14', 's_8516f9af', 'Do you know any magic?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sample.stf', '15', 's_914765d8', 'No, you\'re a dork.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sample.stf', '16', 's_9f39d936', 'You still don\'t.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sample.stf', '17', 's_a23c5071', 'Hi there.  I don\'t believe I know you!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sample.stf', '18', 's_ae4f086a', 'No need to be mean -- I was here first.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sample.stf', '19', 's_b6a01563', 'What do you have to show me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sample.stf', '20', 's_b75b171f', 'Ok.  Come back later and I\'ll show you something cool.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sample.stf', '21', 's_bc51d16b', 'No!  Sucker!  Ha-ha-ha!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sample.stf', '22', 's_d3feb8e7', 'Welcome back!  What would you like to see?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sample.stf', '23', 's_d574fa56', 'Fine, go away.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sample.stf', '24', 's_e5afcb3a', 'Why are you bothering me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sample.stf', '25', 's_ef420789', 'Yes!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sample_links.stf', '1', 'do_not_edit', 'The English version of this file (sample_links.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sample_links.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sample_links.stf', '3', 's_2664b871', 'So, you\'ve seen trick 3.  Which trick do you want to see now?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sample_links.stf', '4', 's_3c59e302', 'So, you\'ve seen trick 1.  Which trick do you want to see now?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sample_links.stf', '5', 's_79345378', 'R1 - Trick 1');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sample_links.stf', '6', 's_7a43e024', 'R2 - Trick 2');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sample_links.stf', '7', 's_7cac869c', 'R4 - Trick 4');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sample_links.stf', '8', 's_81c11cc5', 'R5 - Trick 5');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sample_links.stf', '9', 's_82355e4', 'So, you\'ve seen trick 5.  Which trick do you want to see now?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sample_links.stf', '10', 's_82b6af99', 'R6 - Trick 6');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sample_links.stf', '11', 's_872e7a7d', 'R3 - Trick 3');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sample_links.stf', '12', 's_875d7686', 'So, you\'ve seen trick 4.  Which trick do you want to see now?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sample_links.stf', '13', 's_9d602df5', 'So, you\'ve seen trick 6.  Which trick do you want to see now?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sample_links.stf', '14', 's_9ede25b7', 'Do you have any more tricks?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sample_links.stf', '15', 's_a91a9b13', 'So, you\'ve seen trick 2.  Which trick do you want to see now?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sample_links.stf', '16', 's_c261cfae', 'No problem.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sample_links.stf', '17', 's_cde8ebfe', 'I think so.  What do you want to see?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sample_links.stf', '18', 's_d3ff6fc9', 'I want to see the first 3.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sample_links.stf', '19', 's_f8d0c9d2', 'B1 - Hi there.  I\'ve got some magic tricks to show you.  Which one do you want to see?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/seans_historian.stf', '1', 'do_not_edit', 'The English version of this file (seans_historian.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/seans_historian.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/seans_historian.stf', '3', 's_1f6355d4', 'The Red-Sin Valon carried the first of the new settlers to Tatooine. The captain of the ship and her crew members helped found Bestine. Despite the early difficulties--a severe economic depression, lack of water and so forth--Bestine survived and became the thriving city we see today. There\'s so much more depth to it...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/seans_historian.stf', '4', 's_27540308', 'Well done! What an interesting piece of history. You\'d think it would have been destroyed in these dreadful sand storms. Guess not! Take it to Sean. He\'ll be excited.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/seans_historian.stf', '5', 's_2fceb7e3', 'And be careful!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/seans_historian.stf', '6', 's_3d3d4bab', 'We recently found this wreckage. It is rumored to be the Red-Sin Valon. How exciting! Sean Trenwell funds us out of his own pocket. We hope to find interesting things here. You should talk to Sean when he\'s in office.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/seans_historian.stf', '7', 's_4d42d7da', 'Anyway, you should check the wreckage to see what you find. If you do find anything, you can bring it to me. I\'m required to screen whatever is found. We don\'t need to excite Sean Trenwell over nothing, you know what I mean? Go ahead and look around.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/seans_historian.stf', '8', 's_5ec0adb6', 'I\'ve decided not to. Good bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/seans_historian.stf', '9', 's_647601e7', 'Sure. Tell me the history.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/seans_historian.stf', '10', 's_65275fb4', 'Ah! You must be the new assistant. Welcome to the crash site of the Red-Sin Valon. Before you start poking around, maybe you\'ll want to hear a little history about the site first. It will give you a little sensitivity about an already-delicate situation.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/seans_historian.stf', '11', 's_67e6df55', 'Okay.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/seans_historian.stf', '12', 's_79636e28', 'We recently found this wreckage. It is rumored to be the Red-Sin Valon. How exciting! Sean Trenwell funds us out of his own pocket. We hope to find interesting things here. You should talk to Sean to see if he needs any help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/seans_historian.stf', '13', 's_8d32acbf', 'Did you find anything?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/seans_historian.stf', '14', 's_9c1a8dd7', 'No, let me keep looking.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/seans_historian.stf', '15', 's_b30bd73c', 'Yes, I did.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/seans_historian.stf', '16', 's_e547fd1e', 'Yeah?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/seans_historian.stf', '17', 's_ed53cd9c', 'Okay. Be sure to show it to me if you do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/seans_historian.stf', '18', 's_fcdb7174', 'That\'s a shame. I\'ll inform Sean about it, then.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_contact.stf', '1', 'do_not_edit', 'The English version of this file (sean_contact.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_contact.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_contact.stf', '3', 's_1e325cde', 'So he\'s got himself into more trouble I see. I just heard the news. Let me have that disk. He\'ll be grateful to you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_contact.stf', '4', 's_3e134731', 'It\'s finished. Go tell him the good news. He and his career are safe.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_contact.stf', '5', 's_829888a9', 'Here you go.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_contact.stf', '6', 's_c17cd032', 'I\'m waiting for someone else. I\'ve heard, however, that Sean Trenwell is in need of assistance at the capitol.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_contact.stf', '7', 's_f1baf7f', 'Elections, Sand People raids, museums! So many new things are happening in Bestine. Listen to the townsfolk. They may have interesting things to say.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_questn_university.stf', '1', 'do_not_edit', 'The English version of this file (sean_questn_university.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_questn_university.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_questn_university.stf', '3', 's_36904010', 'I was told to talk to you about Sean Trenwell.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_questn_university.stf', '4', 's_3c4a2f4', 'I\'m too busy to talk right now. I\'m grading papers. You seem like you\'d be interested in voting at the capitol. They\'re holding an election.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_questn_university.stf', '5', 's_5788afea', 'I\'m in the middle of grading papers. Did you need help with something?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_questn_university.stf', '6', 's_5ec23736', 'Oh? I could really use your help...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_questn_university.stf', '7', 's_656e8f97', 'I see that you\'ve returned. Do you have enough room now?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_questn_university.stf', '8', 's_70145cf1', 'You again. I\'m still quite busy, and I see you still have those papers I gave you from Mr. Trenwell\'s school days. How\'s this... you leave me to my work, and I won\'t ask for those back?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_questn_university.stf', '9', 's_7291fe2e', 'Not yet. I still need to make room.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_questn_university.stf', '10', 's_799ad811', 'Mmhmm--Oh really? I actually have something that might help you. I think you could use it as evidence. Yes! Here it is. I always keep the grades of my students. Here you are.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_questn_university.stf', '11', 's_7c259594', 'Sean Trenwell... oh yes! I remember him. Unfortunately, he was a particularly bad student. I would always catch him trying to cheat during exams. He barely graduated from the University. In fact, he could even be considered a fake. I really don\'t want him representing our people in this election.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_questn_university.stf', '12', 's_7e78bf8f', 'Yes, can I have the evidence, please?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_questn_university.stf', '13', 's_99711fbf', 'Again, you still don\'t have enough room. Come back when you do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_questn_university.stf', '14', 's_9c880546', 'I hope you\'ve gone to school. We could really use more... educated folks nowadays.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_questn_university.stf', '15', 's_b8a92f09', 'I see. I guess there\'s no hurry... just come back you have more space.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_questn_university.stf', '16', 's_b9b27823', 'Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_questn_university.stf', '17', 's_dac635d2', 'I see that you don\'t have enough room to get the evidence you seek. Please come back when you have room.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_questn_university.stf', '18', 's_dcf7aa7a', 'Of course. Here you are.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_questn_university.stf', '19', 's_e656ba0c', 'Good day.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_questp_house.stf', '1', 'do_not_edit', 'The English version of this file (sean_questp_house.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_questp_house.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_questp_house.stf', '3', 's_198905a5', 'Here you are--Oh no! You don\'t have enough room. I\'m sorry. Please come back when you do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_questp_house.stf', '4', 's_20b8d563', 'I\'m glad you\'re back. Do you have enough room now?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_questp_house.stf', '5', 's_2267c63c', 'I\'m so busy. Sean is planning to run for the new election that will happen soon. He\'s going to have tons of people over for dinner in hopes of impressing them. I really must get back to work. I\'m sorry.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_questp_house.stf', '6', 's_34f710c5', 'What victims?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_questp_house.stf', '7', 's_41f6594d', 'Oh hello! I\'m surprised to see you again so soon. Please be sure to sure to show the governor the testimony I wrote for you. I want her to know what a kind and generous person Sean is.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_questp_house.stf', '8', 's_43e36f6f', 'Sure, I can try. What do you need? Write a testimony? Of course, I will! Anything to help him with this election. I really hope he wins. He deserves it. Let me write it up..');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_questp_house.stf', '9', 's_47e61b76', 'Here you are. Please let me know if you\'d like to come over for dinner sometime. I\'m a great cook! Have a great day!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_questp_house.stf', '10', 's_48b343d3', 'Actually, no I don\'t.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_questp_house.stf', '11', 's_51c40792', 'I\'m in the wrong house. Sorry!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_questp_house.stf', '12', 's_67e6df55', 'Okay.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_questp_house.stf', '13', 's_8a9c6889', 'Oh, you didn\'t hear? The Empire went on a rampage and destroyed one of the newer, smaller cities assumed to harbor Rebel operatives. Those poor people. Sean Trenwell opened his homes for the survivors. He\'s such a kind man.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_questp_house.stf', '14', 's_9e4a0794', 'Here you are, then. I hope you have a wonderful day.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_questp_house.stf', '15', 's_ab4c4ff8', 'Really? Can you help me with something?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_questp_house.stf', '16', 's_bd542a54', 'You still don\'t have enough room. Come back when you do. I\'d be happy to give it to you then.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_questp_house.stf', '17', 's_d066eb10', 'Hello! Are you here to discuss the election? You haven\'t heard about it? You should really go to the capitol. The governor is taking votes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_questp_house.stf', '18', 's_d5702a3b', 'Come back any time. You\'re always welcome in the Trenwell house.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_questp_house.stf', '19', 's_d6d23166', 'Well, return when you do. I\'ll be happy to give it to you then.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_questp_house.stf', '20', 's_e69937da', 'Yes. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_questp_house.stf', '21', 's_f6effab8', 'Oh my! I didn\'t expect visitors today! This place is a complete mess! Please forgive me. The last of the tragedy victims left. They all found new homes. I\'m just cleaning up. Why are you here?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_questp_market.stf', '1', 'do_not_edit', 'The English version of this file (sean_questp_market.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_questp_market.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_questp_market.stf', '3', 's_14d1042b', 'Here you are. Good luck on the voting!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_questp_market.stf', '4', 's_1b885620', 'You didn\'t have enough room again. Come back when you do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_questp_market.stf', '5', 's_40977666', 'Welcome! Oh, I remember you. Do you have enough room now to receive the evidence?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_questp_market.stf', '6', 's_60613aaf', 'Bye!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_questp_market.stf', '7', 's_67e6df55', 'Okay.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_questp_market.stf', '8', 's_6cd9792d', 'Haven\'t had a chance yet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_questp_market.stf', '9', 's_7ffa475', 'Are you here to collect these influx capacitors? *pauses listening to the Jawa next to her* Oh... sorry, you\'re not the right person. While I\'ve got your ear, I should let you knoww there\'s an election going on at the capitol. I encourage you to support Sean Trenwell if you get involved.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_questp_market.stf', '10', 's_9e71b2ab', 'In fact, he does. You\'re lucky you came today. He was going to take the disk apart and recycle it to make one of his new, crazy inventions. Why do you need it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_questp_market.stf', '11', 's_a1a4c8c9', 'Oh yeah? We\'d love to help! Of course, we\'ll give it to you--Wait a second. Unfortunately, you don\'t have enough room. Come back when you do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_questp_market.stf', '12', 's_a4149441', 'Let me tell you the situation...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_questp_market.stf', '13', 's_b4164d7b', 'Oh yeah? We\'d love to help! Of course, we\'ll give it to you for the sake of helping Sean Trenwell win the election. Here you are. Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_questp_market.stf', '14', 's_c1035c83', 'Ah, well return when you\'ve done so.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_questp_market.stf', '15', 's_c82e9a2f', 'Yes, please.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_questp_market.stf', '16', 's_c8e9e99a', 'Hi again. Good to see you... and oh, since you still have that disk I gave you, my friend thinks he can use something like that in an invention of his. But I guess you still need it, don\'t you. Nevermind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_questp_market.stf', '17', 's_cb056ffb', 'Do you have record of that?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_questp_market.stf', '18', 's_ce0e0612', 'Nice doing... well, we didn\'t exactly do business, did we. Thanks for coming by, I suppose.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_questp_market.stf', '19', 's_de2e386f', 'That\'s nice. I have to go.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_questp_market.stf', '20', 's_e61c91fe', 'Actually, my Jawa friend may have something like that. Wait here a second while I discuss it with him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_questp_market.stf', '21', 's_f319b246', 'Our little market is tucked away in the city, but provides wonderful rewards for brave acts. I think some of the merchants here are looking for rare bones. Not sure where you\'d get them from. But someone mentioned Sand People. Does that mean anything to you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_questp_market.stf', '22', 's_faf0f6d6', 'We\'ve recently established ourselves in this new marketplace . Isn\'t it great? Sean Trenwell used his own money to help build it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_questp_market.stf', '23', 's_fc27931b', 'Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '1', 'do_not_edit', 'The English version of this file (sean_trenwell.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '3', 's_1059c36e', 'Okay, I\'ll do that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '4', 's_17a8ddce', 'You were here before, weren\'t you? About joining my campaign?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '5', 's_181e49f6', 'Ahh, welcome. I remember sending you out to find dirt on that no-good Victor. Well, did you find any?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '6', 's_1e35bbba', 'I am an adventurer!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '7', 's_1e5ba263', 'No, I don\'t think so.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '8', 's_1ee4d2a', 'You mentioned something about the Tuskens...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '9', 's_238ef4f6', 'I\'ve searched the crash site.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '10', 's_2810bcdc', 'How could you give that disk to someone working for Jabba the Hutt??!! My career is in serious jeopardy because of you! I knew I couldn\'t trust you. Get out of here!!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '11', 's_2ac8d04c', 'No, I can\'t.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '12', 's_2bc6a2f8', 'Excellent! Now, run along... remember to speak with my secretary.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '13', 's_2d1057e6', 'Will you try again? I know there\'s something out there! Look more closely. I\'ll be waiting anxiously.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '14', 's_2e05a27f', 'I\'m grateful to you and would like to reward you, but you have no room in your inventory. Please, speak to me again when you\'ve made some room.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '15', 's_2e38174d', 'Well returned! Did you find anything?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '16', 's_30eb7833', 'After which, if you discover his twisted ideas aren\'t for you... and I won\'t be surprised when you do... you\'ll need to bring back some sort of negative tidbit about him in order for you to be let back into my campaign. Do you get it? I\'ll just give you a disk to further explain the details.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '17', 's_338ea1e3', 'Yes, I did. Here you are.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '18', 's_35bc21ba', 'What did you want me to do at the crash site?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '19', 's_3a06f79e', 'I am humbled by your request. Currently, Bestine\'s markets are inadequate. I have already completed the construction of one market place. If I win this election, I\'ll put my efforts into attracting new merchants to these areas to help Bestine\'s economy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '20', 's_3ab76f84', 'I hear you\'re up for re-election. How\'s the campaign going?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '21', 's_3ba540c', 'No thanks, I\'d rather not. I\'m done with this.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '22', 's_47a2ec4d', 'It\'s nice to see you again! How did the voting go?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '23', 's_483c9216', 'I\'m sorry to hear that. However, if you do decide that you\'d rather join my campaign, please come by again. We could always use your vote.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '24', 's_49368633', 'What was I supposed to do with this disk from the crash site?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '25', 's_4c2afce6', 'So, you voted for my rival, did you? I see. I guess that\'s the point of having an open election. I\'m disappointed, but that\'s really all I can say.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '26', 's_4ff8cd88', 'I suppose.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '27', 's_51c418fd', 'I knew you would! You seem like the sensible type. If you have questions, you can refer to the disk I just gave you. You\'ll need to find evidence. I can\'t think of anyone right now off the top of my head. I\'m sure my secretary would know. Be sure to ask her on your way out.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '28', 's_52a14d49', 'All this talk about the Tuskens, I can\'t-Oh! I didn\'t notice that you had entered my office. Welcome! It definitely is a horrible day outside, unbearably hot indeed. How may I help you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '29', 's_540ac7e9', 'Continue.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '30', 's_5ae436c2', 'Please! Take the disk out of here! Take it to my contact. Here, I\'ll give you the location again. Get rid of it quickly.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '31', 's_5c46daeb', 'I\'ve changed my mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '32', 's_5caf6cfd', 'I have a contact with whom you can meet. He has ways of destroying information. Please seek him out. And whatever you do, do not give it to anyone else! This is my career we\'re talking about here. You\'ll know where to find him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '33', 's_5ef87080', 'I\'ve thought about it and no longer want to join your campaign.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '34', 's_61503fc8', 'Oh. That\'s unfortunate. If you know of an adventurer, please send him or her my way. It would really help me. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '35', 's_641d98d5', 'Yes, of course!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '36', 's_64c62370', 'I hear you spoke to the governor and voted for me. I appreciate that! When the election is over, if I win I\'d like to thank you for your support. Come back and speak to me if that happens.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '37', 's_64f4dd40', 'I\'m glad you\'re back, but you still don\'t have room. You need to have space in your inventory. Please come speak to me when you do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '38', 's_6718926b', 'Well, I lost the election, but there\'s always next time. I still have many good ideas for Bestine. You should come back when the next election starts. In fact, the townsfolk usually talk about things like this when they happen. Be sure to talk to them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '39', 's_67295aa1', 'It\'s not so easy. You can\'t just join my campaign with the drop of a hat. To prove yourself, you\'ll need to dig up some dirt on that no-good Victor. Speak with my secretary for all the details. What do you think?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '40', 's_68788cf5', 'I\'m sorry to see that another one of Bestine\'s citizens prefers Defense over Commerce. I\'m sure he tricked you into joining his campaign.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '41', 's_6a0bba8c', 'Do you have any special plans for while you\'re in office?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '42', 's_6ba0df1d', 'I want to hear about your proposed changes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '43', 's_70b3691e', 'Hmm... you did? Really? Hmm... well, thanks. I think.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '44', 's_75491d63', 'As you wish. I\'m disappointed, but I understand how these things are.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '45', 's_78b31931', 'Let me see your datapad for a second. I\'ll punch in the location for you. Return to me if you find anything. Be sure to speak with my historian at the site. Oh, and beware of the Tuskens!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '46', 's_7eabd120', 'Now that you\'re in office, I\'ve come to ask about the reward you promised.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '47', 's_7f70fe38', 'Now that I\'m in office, I can finally set some of my ideas into action. The marketplace could definitely use some attention, and I should make sure everything at the museum is going well.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '48', 's_7fa991c4', 'Excellent! I appreciate your support. And to take that further, if I win come back and talk to me. I like to reward those who contribute to my success.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '49', 's_7fc36aab', 'And has the disk been dealt with?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '50', 's_811e4ed1', 'I voted for you in this election.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '51', 's_81a382e3', 'Here you are.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '52', 's_81f9db80', 'Just thought I\'d see what the local government was up to.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '53', 's_82b273a8', 'Suit yourself.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '54', 's_82e87c1c', 'I gotta go.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '55', 's_8784f1db', 'Thanks for the interest, but it looks like you still don\'t have enough room to receive the disk. You\'ll need to come back when you do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '56', 's_88b2f5bd', 'I have a nice reward for you, but you don\'t seem to have room to take it. Please return after making some room in your inventory.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '57', 's_8b63bfe1', 'I can\'t find evidence.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '58', 's_8bdcb5a3', 'Additionally, I plan to hire historians to uncover the history of Bestine. Artisans will definitely appreciate the new renovations done to the museum. It will give them a chance to place their creations on display.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '59', 's_8dc34668', 'Oh no. This isn\'t good. If the governor finds out that I\'m related to such a person, she may just kick me out of office. Here, take it back. Tell you what. If you find some way to destroy it, I\'ll give you something. Just... get rid of it!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '60', 's_91135631', 'I plan to feature the culture of this area. I intend to hire historians to uncover the history of Bestine. I would also like to see more funding for the museum so that we can bring more artwork to our city. This would give artisans a chance to place their creations on display and share them with a larger audience.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '61', 's_91cc7d0', 'I wish you well. Come back soon!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '62', 's_928992d9', 'I am humbled by your request. Currently, Bestine\'s markets are inadequate. I have already completed the construction of one market place. If I win this election, I\'ll put my efforts into attracting new merchants to these areas to help Bestine\'s economy. Perhaps it will bring about new schematics for our crafters.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '63', 's_9a679e7f', 'You\'re wrong.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '64', 's_9adf6cf2', 'Thanks for the interest! I guess you don\'t have enough room to receive the disk, though. You\'ll need to come back when you do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '65', 's_9d0c2f9e', 'What did you find? Can I see it? Does it mention my ancestor? Let me have it, please.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '66', 's_9fa98668', 'You said to return for a reward. For destroying that disk.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '67', 's_a068d8f2', 'Who do I let screen anything I find at the crash site?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '68', 's_a0d033e3', 'This is excellent! I can\'t believe he would be so daft to do such things! You can now join my campaign. That is what you wanted... right?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '69', 's_a17fdb9a', 'Oh? So soon? Okay. I should get back to work anyway!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '70', 's_a3734170', 'I spoke to your contact about the disk from the crash site.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '71', 's_a4a25b0f', 'Oh. Well, come back if you discover the error of your ways.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '72', 's_a5cd533e', 'Just my luck! I could really use your help. The Red-Sin Valon find is phenomenal in of itself, but what if there\'s more? I want you to bring back any information you can. There must be some sort of log of the events surrounding the early settlement attempts. I\'d really like for you to find it. Do you think you can do that?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '73', 's_a7627a7', 'Excellent news! How does the process go... Oh! You should let the governor, Tour Aryon, know of any evidence of a good deed I have done for the people of Bestine. Take it to her! I have done much for the people of Bestine, so I have confidence that our governor will be impressed. Of course, if you decide I am not the right candidate to represent you, you can always join my rival\'s campaign instead. Though I can\'t imagine how that would be possible.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '74', 's_a8b339fd', 'I\'ll do it!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '75', 's_a907268e', 'Yes, the disk has been taken care of.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '76', 's_aa0406b', 'Ah, well return when you do.  You\'ll need to go and talk to my secretary if you need more information.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '77', 's_b30bd73c', 'Yes, I did.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '78', 's_b45b3794', 'Sounds like fun. I\'ll do it!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '79', 's_b826b85a', 'I want to join your campaign.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '80', 's_b893398e', 'Ah good to see you again. Please, take this as a token of my gratitude.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '81', 's_bab1f93a', 'I have to go. Sorry!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '82', 's_bad1d1bb', 'Good bye, then.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '83', 's_bb6b1f4b', 'Really? I thought my secretary knew how to get it for sure. I really think you should speak with her again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '84', 's_bc42a527', 'Finally! I\'m so grateful to you. Please, take this as my token of eternal gratitude.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '85', 's_c1c018c3', 'Good for you. I always like to see people taking an interest in politics.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '86', 's_c27445f0', 'Reward? I think not. You already received one.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '87', 's_c6d1b21', 'That\'s correct and so far our efforts seem to be going well.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '88', 's_c8a36ac7', 'No, unfortunately. Nothing of use.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '89', 's_ca646df4', 'My historian, who\'s out at the crash site. She needs to screen and catalog whatever you find. Go and speak with her.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '90', 's_d15b93e5', 'Excellent news! How does the process go - Oh! You should let the governor, Tour Aryon, know of any evidence of a good deed I have done for the people of Bestine. Take it to her! I have done much for the people of Bestine, so I have confidence that our governor will be impressed. Of course, if you decide I am not the right candidate to represent you, you can always join my rival\'s campaign instead. Though I can\'t imagine how that would be possible.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '91', 's_d1f385de', 'It went well. I voted for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '92', 's_d349c913', 'See if you can find anything of value. Did you speak to my historian? Speak to her when you get to the site.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '93', 's_d485fca4', 'Yes. Anyway, lately we\'ve experienced brutal attacks from the Sand People. My historian is having a hard time of it, and I\'m not sure her efforts can continue. She doesn\'t possess a brawler\'s spirit or the skill of a marksman. She\'s just a scholar. It\'s depressing to think that our attempts to restore the Red-Sin Valon have been fruitless. Do you think you can help? You seem like an adventurer. Or am I wrong?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '94', 's_d6a9a15d', 'I\'m here to vote for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '95', 's_da9a29e9', 'No, not yet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '96', 's_dab387e8', 'Indeed I do! History is a passion of mine, especially since my ancestors were among the original settlers of Bestine. I\'ve gotten enough funding to hire a historian. We made an exciting new discovery just last week! A terrible desert storm came through and kicked up loose sand and beneath was a wrecked ship. We think it may be the Red-Sin Valon, the vessel used to transport the early settlers to Tatooine. It\'s so exciting!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '97', 's_dc13d9c7', 'I understand. Maybe later, then.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '98', 's_dea56128', 'I have to go.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '99', 's_df1ac18d', 'The Tuskens... My rival is centered on the slight possibility that they might launch an attack against Bestine. I find that highly doubtful. We have enough Troopers walking around as it is and they can easily defend us if needed. The Tuskens aren\'t brave or stupid enough to come near Bestine. We need to concentrate on the economy by introducing more markets!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '100', 's_e7ffff2', 'I think I\'m going to get going.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '101', 's_ee8c0e93', 'I see. Well, I suppose these things happen. I\'m disappointed, but you\'re free to make whatever mistakes you wish.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '102', 's_ef067f71', 'Alright. I want to join your campaign.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '103', 's_f1b007b2', 'I heard and greatly appreciate it! When the election is over, if I win I\'d like to thank you for your support. Come back and speak to me if that happens.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '104', 's_f2b0fbc2', 'You mentioned something about the Tuskens.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '105', 's_f47244aa', 'Excellent. If you find anything, be sure to let my historian screen it. Then report back to me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '106', 's_f81b7edd', 'Oh yeah! Again I thank you for the help and for your support, I\'ve prepared a little gift for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '107', 's_fcf4d778', 'How?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '108', 's_fe8dd35a', 'No, I changed my mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/sean_trenwell.stf', '109', 's_ff7aeed7', 'Yes, that was me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '1', 'do_not_edit', 'The English version of this file (ship_trainer_01.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '3', 's_13f18f29', 'I agree. Are there other areas of space combat you would like to discuss at the moment?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '4', 's_173a50a8', 'If your ship is equipped with missiles, you\'ll be able to fire them by pressing the RIGHT MOUSE BUTTON or JOYSTICK BUTTON (2). Missiles take some time to \'lock\' onto their targets - so watch your targeting indicator. The spinning squares will \'lock in\' and become solid when your missile is ready for release.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '5', 's_199da0c4', 'What happens when I land?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '6', 's_1a22f0e7', 'Excellent. Are there any other areas that interest you at the moment?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '7', 's_23f4b352', 'How do I find stations with the zone map?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '8', 's_2b99ba00', 'Look on the radar at the lower center area of your screen. The circular blue bars surrounding the radar indicate your shield strength. The center red circle shows your armor strength. As you lose shielding, the blue bars shrink. As you lose armor, the red circle also shrinks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '9', 's_2e9195ac', 'Welcome to the Ybella Systems \'Starfighter Training\' holodisc program. Press the ALT key on your keyboard to activate your mouse cursor, then select one of the training options below to begin. Press the ESC key to skip this training sequence. Press the ALT key again to return to flight mode.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '10', 's_306c1aa', 'Shields.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '11', 's_353c0343', 'It varies. You will have the option of repairing all of your ship damage or a select percentage of overall damage. The more you want to repair, the greater the cost. Space stations routinely stock up on low-grade parts and have trouble making repairs to exotic machinery.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '12', 's_36ba2186', 'I understand ship weapons.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '13', 's_3e07db47', 'How do I roll my ship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '14', 's_3ec6b879', 'Landing procedures.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '15', 's_43401557', 'Open the zone map by pressing the \'N\' key. Space stations, points of interest, waypoints and mission critical objects are listed by category on the right-hand side of the screen. Click on the \'Space Stations\' category then click on the space station of your choice.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '16', 's_46e4ecc6', 'When you are ready to land you must fly to a planetary space station and request landing clearance. Press Shift-C to target the station and open a communications frequency. Also, if you fly close to the space station\'s hangar the station will communicate with you automatically.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '17', 's_4bd64d06', 'I think I understand space combat.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '18', 's_4bdcddad', 'Armor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '19', 's_4cc9a6bb', 'How do I control ship heading?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '20', 's_4e9c20b8', 'I understand targeting. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '21', 's_51b1431b', 'When you launch, your ship computer automatically creates a \'Launch Waypoint\' to the nearest planetary station. To activate this waypoint go to your datapad by pressing Control-D, click the \'Waypoints\' tab, locate the \'Launch Waypoint,\' right-click and select \'Activate.\' You can also locate these stations using the zone map.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '22', 's_55651ec5', 'It is advisable to lock your target while in combat so that you can keep track of its health, distance, and relative position. Additionally, you will need to have a target selected in order to inspect it, dock with it, or to fire missiles at it. The starship targeting system allows you to acquire enemy targets, friendly targets, neutral space station targets, and other player pilots.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '23', 's_56daefef', 'You should also be aware of the chat system in space - and its potential interaction with your flight controls. When you are piloting a ship, you must press the ENTER key to begin chat. Type your message, then hit ENTER again to send. Note that when you are in \'chat mode\' your mouse mode automatically switches to \'cursor mode.\' The mouse will return to flight mode when you hit ENTER to send your message.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '24', 's_5d06faf2', 'I think I understand ship movement.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '25', 's_5d8dd52b', 'I don\'t doubt that. What other areas would you like to discuss today?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '26', 's_5e014e82', 'I know enough about space stations now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '27', 's_5ef040d8', 'Okay. Let\'s talk about flight.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '28', 's_603f0296', 'What about friendly ships?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '29', 's_659d0168', 'Unfortunately, no. The Starfighter Training holodisc product line has been discontinued by order of The Emperor. Pre-installed systems such as I are allowed to remain in service provided that they are never sold or transferred.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '30', 's_6b0b0a5e', 'To target the nearest friendly player-piloted starship, press the K key. To cycle friendly player pilots, use the L key. The semicolon selects the nearest friendly non-player-piloted starships, and the apostrophe key cycles through them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '31', 's_6b96b4b0', 'Use the mouse (or a joystick) to change your ship\'s heading. The up / down axis on your mouse controls the ship pitch while the left / right axis controls the ship\'s lateral turn or \'yaw.\'');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '32', 's_6c2b30a6', 'Any recommendations?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '33', 's_6d152f2a', 'I know enough about landing now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '34', 's_6de416e5', 'Skip training.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '35', 's_6f13ef54', 'When you are close to the space station, target and communicate with it by pressing Shift-C. After this, you will be able to request ship repairs or land on the planet below.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '36', 's_6f4feb49', 'How much do repairs cost?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '37', 's_717ffa5d', 'Starship weapons');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '38', 's_73b3d88d', 'Tell me about damage.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '39', 's_757a074a', 'Use the up and down arrow keys for throttle control. Up arrow - speed up. Down arrow - slow down. You can also set your speed to maximum with the \'home\' key - or set it to zero with the \'end\' key.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '40', 's_759c9273', 'If you are flying with the mouse, you need to be aware of your mouse mode. Use the ALT key to toggle between mouse modes. In mouse-flight mode, the cursor changes to a light blue virtual-joystick indicator, and your mouse movements control the ship heading. In mouse-cursor mode, you will see a yellow arrow cursor which can be used to interact with elements on your heads-up display.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '41', 's_784cfb1e', 'Countermeasures.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '42', 's_7980ca09', 'Discuss space combat.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '43', 's_7b82a9d5', 'You are welcome, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '44', 's_7e90f3fa', 'How do I know my shield or armor strength?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '45', 's_82697b23', 'Excellent. Would you like to discuss any other area of starship operations?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '46', 's_88eefc1a', 'Teach me about targeting.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '47', 's_915b9a74', 'How do I target enemy ships?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '48', 's_91919963', 'This holodisc is installed to a secure area of starship memory. Only the rightful owner of this craft, or an Ybella Learning Systems administrator, can remove the Starfighter Training system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '49', 's_9288900f', 'I understand.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '50', 's_9584abbd', 'Yes. When you have a ship target selected, you can use the [ and ] bracket keys to cycle through subcomponents. Starship parts, such as the main reactor or the engine, can be targeted in this manner. Fire as normal - and your weapons will be tuned to hit the specific subcomponent so long as the sub-target remains locked.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '51', 's_986a2b5e', 'Your ship will be parked at the starport of the city at which you chose to land. When you want to return to space, go to the starport where your ship is parked, use the starship terminal, and launch.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '52', 's_993e6843', 'Can I target specific components?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '53', 's_9aa7d166', 'There are several subcategories within the subject of space combat. Which area would you like to discuss?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '54', 's_a44e0bb8', 'Review flight controls.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '55', 's_a836ab41', 'Does it cost anything to land?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '56', 's_a8a57e90', 'You can set a waypoint to the space station and fly to it manually. Or if you want to relax a bit, right-click on the station name and choose \'Autopilot.\' Your ship will fly there automatically.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '57', 's_aba0472f', 'Your primary starship blaster weapon is fired by pressing either the LEFT MOUSE BUTTON (default) or the JOYSTICK BUTTON (1). Be sure to aim for the small bright blue circle just in front of a moving target. This is your \'target lead indicator\' that calculates the target speed vector.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '58', 's_abd54560', 'Good. Is there anything else you want to know about?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '59', 's_aceff31e', 'Good luck, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '60', 's_b440102e', 'Where do I find a space station?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '61', 's_b4939dbb', 'How do I get rid of you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '62', 's_b5d951d6', 'I know enough about this now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '63', 's_b8768b9a', 'What do I do when I reach the station?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '64', 's_b8d366e5', 'The armor layer of your ship protects your starship chassis and all of the components that it contains. Unlike shields, armor does not regenerate. You must install new armor once your old armor is destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '65', 's_b9916a35', 'Starships carry a variety of weapons. Starship blasters (or \'flash cannons\'), missiles, torpedoes, and countermeasures. Which should we discuss?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '66', 's_b9b27823', 'Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '67', 's_ba96a20e', 'Landing is free. The planetary defense systems of all modern worlds will automatically convey you to the planet surface and secure your starship in a municipal starport hangar.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '68', 's_c00ac18c', 'What area of damage are you interested in reviewing?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '69', 's_c111fe6c', 'Affirmative. Ybella Learning Systems would like to remind you to use your personal holocron if you need help in the future. Press Control H at any time in space or on the ground to invoke this system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '70', 's_c27a66c4', 'Review the \'Space\' category. We recommend the \'Quick-start Guide\' section. There is more information about space combat, interactions with other ships and space stations, as well as PvP, and starship crafting.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '71', 's_c87b607', 'When an enemy fires a missile at you, you\'ll hear a missile warning sound as the ordnance approaches. To get the missile off your trail - fire your countermeasures with the MIDDLE MOUSE BUTTON (default) or JOYSTICK BUTTON (3). Note that you may need to release several countermeasures to spoof high-level missiles.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '72', 's_d37b0214', 'Good. Is there anything else you would like to discuss?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '73', 's_d4836a51', 'Missiles.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '74', 's_d589bcc5', 'Starship blasters.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '75', 's_dede7bc9', 'How do I use the holocron?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '76', 's_e5a158de', 'Use the left and right arrow keys to roll your starship. Right arrow rolls clockwise, and left arrow rolls your ship counterclockwise.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '77', 's_e6772f13', 'Goodbye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '78', 's_e93ecaeb', 'What do I do then?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '79', 's_e9a2f2f4', 'Excellent. What else would you like to discuss?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '80', 's_f2293d3f', 'Use the TAB key to lock the closest enemy target. Press the T key (or SHIFT-T) to cycle your target lock between enemies in the area. Use SHIFT-TAB to lock the closest enemy player target, and use the Z key (or SHIFT-Z) to cycle player enemy targets.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '81', 's_f29dd33b', 'Shields are a damage-resistance system that recharges over time (as long as the shield generator is in good health). If your target has shields, you must destroy them before doing damage to the ship armor. Same goes for your own ship. If you lose your shields - the next hit will likely scrape off a nice chunk of armor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '82', 's_f2bd013b', 'You can invoke the holocron knowledge-base by pressing Control + H at any time - whether you are in space or on the ground. Use this system to find out information about all game features and systems.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '83', 's_f5508176', 'Do all ships have this system?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/ship_trainer_01.stf', '84', 's_fc27931b', 'Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_dantooine.stf', '1', 'do_not_edit', 'The English version of this file (static_quests_record_keeper_dantooine.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_dantooine.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_dantooine.stf', '3', 's_1288f6ef', 'NO, wait. Let me think about it for a second.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_dantooine.stf', '4', 's_12936cce', 'I see. How do we proceed?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_dantooine.stf', '5', 's_14693cf1', 'What if I decide to continue my service?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_dantooine.stf', '6', 's_287908df', 'No, do not reset my file. I will update your records.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_dantooine.stf', '7', 's_2e18346d', 'I don\'t have time right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_dantooine.stf', '8', 's_32bfa453', 'I think we are done with each other citizen. I explained that you couldn\'t change your mind. Now move along.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_dantooine.stf', '9', 's_3b67eeac', 'Remember that once you decide to update your files and continue as normal, you cannot change your mind. Are you sure that you want me to update your record?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_dantooine.stf', '10', 's_3d27cb3d', 'Very well. But do not take long, my time is valuable.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_dantooine.stf', '11', 's_4b10b47', 'You should make time for a official of the Empire but I have a lot to do anyway so come back when you have time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_dantooine.stf', '12', 's_5c12e6ea', 'Greetings citizen. My records indicate that you have been assisting fellow citizens and officials around Tatooine. Unfortunately, our databank had a \'accident\', and I need to ask you some questions to fill in the blanks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_dantooine.stf', '13', 's_5db2d1c9', 'YES, I am sure. I want to continue where I left of.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_dantooine.stf', '14', 's_6d50e348', 'I want to decide later.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_dantooine.stf', '15', 's_6de63882', 'You are wasting my time citizen but fine, return to me when you have made your decision. Now move along.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_dantooine.stf', '16', 's_710595f4', 'I\'ve got to be going now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_dantooine.stf', '17', 's_71a41175', 'I\'ve finally met someone with less patience than me. Fine, move along.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_dantooine.stf', '18', 's_83c0df9e', 'Then you will just continue where you were. Any missions for citizens that you are currently doing will stay as they are and citizens you\'re already done helping, will have records of that. But remember that once you decide you cannot change your mind. Shall I reset your history?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_dantooine.stf', '19', 's_884006f7', 'If you like, I can just erase your progress, you would save me a lot of time and you could go around and help citizens all over again, with them rewarding you appropriately. Otherwise, you can update my records with your old progress and go on as nothing happened. Remember that once you decide, you cannot change your mind. Shall I erase the information in your databank?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_dantooine.stf', '20', 's_9413f709', 'Citizen, I\'m a very busy person. Please move on.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_dantooine.stf', '21', 's_9ef848f9', 'I will answer your questions.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_dantooine.stf', '22', 's_a76f22bf', 'What if I decide to reset my history?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_dantooine.stf', '23', 's_a87d342e', 'I must recompile all of the data that was lost, if you so wish. For that reason, I must ask you some questions.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_dantooine.stf', '24', 's_ab18ccf6', 'Keep in mind that once I reset your file, it cannot be undone. Are you sure that you want me to blank out your databank?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_dantooine.stf', '25', 's_ae08bd89', 'Very well citizen, it is done. Thank you for saving me the time to update your records. Now move along.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_dantooine.stf', '26', 's_b1f6ba02', 'What if I decide to erase all my data?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_dantooine.stf', '27', 's_b8ea8b67', 'Very well, it is done. Thank you for updating my records citizen. Now move along.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_dantooine.stf', '28', 's_bfd7fb6d', 'Can I decide later?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_dantooine.stf', '29', 's_cc924cf1', 'Yes, please reset my file.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_dantooine.stf', '30', 's_cd1a9013', 'My job is to update these records to their former standard, if citizens so wish, or to blank them out completely and let them start over on a clean slate.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_dantooine.stf', '31', 's_d0902f5e', 'YES, I am sure. It will be fun to help those citizens again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_dantooine.stf', '32', 's_e3c4a3d5', 'No, do not reset my history. I will continue my service.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_dantooine.stf', '33', 's_e61fd069', 'What if I decide to fill in the missing information in my file?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_dantooine.stf', '34', 's_e8ad81f2', 'If I reset your file, you will be able to go back and assist citizens on Tatooine again as you have done in the past. But don\'t worry, you will be rewarded, and it will in no way reduce your standing in the eyes of the public or any organizations you\'re assosciated with. Shall I reset your file?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_dantooine.stf', '35', 's_edb238bc', 'Go on.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_dantooine.stf', '36', 's_eef03120', 'We believe the Rebel scum attacked our database with a virus. It erased a lot of the progress that adventurers like yourself have done for citizens here on Tatooine.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_dantooine.stf', '37', 's_f51b07ff', 'What kind of questions?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_dantooine.stf', '38', 's_ff20b1f1', 'Yes, please reset my employment history.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_tatooine.stf', '1', 'do_not_edit', 'The English version of this file (static_quests_record_keeper_tatooine.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_tatooine.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_tatooine.stf', '3', 's_1288f6ef', 'NO, wait. Let me think about it for a second.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_tatooine.stf', '4', 's_12936cce', 'I see. How do we proceed?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_tatooine.stf', '5', 's_14693cf1', 'What if I decide to continue my service?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_tatooine.stf', '6', 's_287908df', 'No, do not reset my file. I will update your records.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_tatooine.stf', '7', 's_2e18346d', 'I don\'t have time right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_tatooine.stf', '8', 's_32bfa453', 'I think we are done with each other citizen. I explained that you couldn\'t change your mind. Now move along.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_tatooine.stf', '9', 's_3b67eeac', 'Remember that once you decide to update your files and continue as normal, you cannot change your mind. Are you sure that you want me to update your record?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_tatooine.stf', '10', 's_3d27cb3d', 'Very well. But do not take long, my time is valuable.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_tatooine.stf', '11', 's_4b10b47', 'You should make time for a official of the Empire but I have a lot to do anyway so come back when you have time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_tatooine.stf', '12', 's_5c12e6ea', 'Greetings citizen. My records indicate that you have been assisting fellow citizens and officials around Tatooine. Unfortunately, our databank had a \'accident\', and I need to ask you some questions to fill in the blanks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_tatooine.stf', '13', 's_5db2d1c9', 'YES, I am sure. I want to continue where I left of.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_tatooine.stf', '14', 's_6d50e348', 'I want to decide later.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_tatooine.stf', '15', 's_6de63882', 'You are wasting my time citizen but fine, return to me when you have made your decision. Now move along.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_tatooine.stf', '16', 's_710595f4', 'I\'ve got to be going now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_tatooine.stf', '17', 's_71a41175', 'I\'ve finally met someone with less patience than me. Fine, move along.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_tatooine.stf', '18', 's_83c0df9e', 'Then you will just continue where you were. Any missions for citizens that you are currently doing will stay as they are and citizens you\'re already done helping, will have records of that. But remember that once you decide you cannot change your mind. Shall I reset your history?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_tatooine.stf', '19', 's_884006f7', 'If you like, I can just erase your progress, you would save me a lot of time and you could go around and help citizens all over again, with them rewarding you appropriately. Otherwise, you can update my records with your old progress and go on as nothing happened. Remember that once you decide, you cannot change your mind. Shall I erase the information in your databank?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_tatooine.stf', '20', 's_9413f709', 'Citizen, I\'m a very busy person. Please move on.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_tatooine.stf', '21', 's_9ef848f9', 'I will answer your questions.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_tatooine.stf', '22', 's_a76f22bf', 'What if I decide to reset my history?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_tatooine.stf', '23', 's_a87d342e', 'I must recompile all of the data that was lost, if you so wish. For that reason, I must ask you some questions.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_tatooine.stf', '24', 's_ab18ccf6', 'Keep in mind that once I reset your file, it cannot be undone. Are you sure that you want me to blank out your databank?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_tatooine.stf', '25', 's_ae08bd89', 'Very well citizen, it is done. Thank you for saving me the time to update your records. Now move along.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_tatooine.stf', '26', 's_b1f6ba02', 'What if I decide to erase all my data?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_tatooine.stf', '27', 's_b8ea8b67', 'Very well, it is done. Thank you for updating my records citizen. Now move along.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_tatooine.stf', '28', 's_bfd7fb6d', 'Can I decide later?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_tatooine.stf', '29', 's_cc924cf1', 'Yes, please reset my file.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_tatooine.stf', '30', 's_cd1a9013', 'My job is to update these records to their former standard, if citizens so wish, or to blank them out completely and let them start over on a clean slate.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_tatooine.stf', '31', 's_d0902f5e', 'YES, I am sure. It will be fun to help those citizens again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_tatooine.stf', '32', 's_e3c4a3d5', 'No, do not reset my history. I will continue my service.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_tatooine.stf', '33', 's_e61fd069', 'What if I decide to fill in the missing information in my file?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_tatooine.stf', '34', 's_e8ad81f2', 'If I reset your file, you will be able to go back and assist citizens on Tatooine again as you have done in the past. But don\'t worry, you will be rewarded, and it will in no way reduce your standing in the eyes of the public or any organizations you\'re assosciated with. Shall I reset your file?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_tatooine.stf', '35', 's_edb238bc', 'Go on.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_tatooine.stf', '36', 's_eef03120', 'We believe the Rebel scum attacked our database with a virus. It erased a lot of the progress that adventurers like yourself have done for citizens here on Tatooine.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_tatooine.stf', '37', 's_f51b07ff', 'What kind of questions?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/static_quests_record_keeper_tatooine.stf', '38', 's_ff20b1f1', 'Yes, please reset my employment history.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '1', 'do_not_edit', 'The English version of this file (station_corellia.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '3', 's_108cc9eb', 'There are four starports available to a ship of your class, %TU.  Please indicate your destination.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '4', 's_1270fff5', 'Copy that. Awaiting navigation data.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '5', 's_13071055', 'Roger, %TU.  We are a fully functional station and can provide you with whatever level of repairs that are necessary.  Please indicate your status.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '6', 's_19bf16ff', 'Doaba Guerfel Starport.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '7', 's_1bbaf71f', 'Roger that, %TU.  Please clear the area for other traffic.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '8', 's_1d1ea6ae', 'This assignment is critical! We cannot allow the cloak leader to escape. Now get back out there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '9', 's_206f187d', 'Failure does not become you, pilot. This will go in your permanent record.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '10', 's_229f6f26', 'I\'m not sure I\'m comfortable with that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '11', 's_23058f01', 'Great work, pilot. Under the circumstances things went as well as could be expected. Since the Cloak leader was destroyed, I don\'t think the remaining forces will be much of a threat. Here is your final extended mission pay.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '12', 's_26f0c6f6', 'Repairs complete!  You are clear to leave CorSec station, out.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '13', 's_28d56475', 'Affirmative, %TU.  Repairing half your current damage will cost %DI credits. Are you ready to transfer the funds?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '14', 's_2b28cd2', 'This is against my better judgement, but I guess I have no choice. We\'ve got to try and run this operation again. Hopefully better this time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '15', 's_2b40f4fd', 'Excellent work, pilot. I\'ll transfer your extended mission pay now. The Cloak officer is on his way to the interrogation base now. Hopefully we\'ll get some more answers as to who these pirates are and what they\'re after.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '16', 's_2dc4697a', '(Land)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '17', 's_2dfdd4ae', 'Greetings, pilot. Please go to CorSec secure channel 37 Alpha.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '18', 's_2f3c1bdc', 'Copy that, %TU.  CorSec station out.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '19', 's_2f8c6a62', '25% of your ship damage has been fixed. Please clear the area for other traffic.  CorSec station, out.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '20', 's_31b2918b', 'Tyrena Starport (Rebel Pilot Trainer).');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '21', 's_31b93be', 'Pilot, we\'ve got a special assignment for you. We\'ve received a distress call on emergency channels. A freighter was attacked by an unknown group of ships. We need you to go assist with repairs and investigate the situation.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '22', 's_35836858', 'Secure channel open. Go ahead, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '23', 's_370822d1', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '24', 's_37b5c504', 'Repair half the damage');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '25', 's_383d79b3', 'Nevermind');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '26', 's_4490cfae', 'Alright. Get back out there and investigate the situation. Let\'s not have a repeat of the last operation, ok?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '27', 's_453e4f7d', '(Explain Cloak Communication)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '28', 's_457a7010', 'No');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '29', 's_4a546bbb', 'Funds received, %TU... Repairs complete.  You are clear to leave the station.  CorSec station, out.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '30', 's_4e134be8', 'Alright, but don\'t let this become a habit.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '31', 's_4f83609d', 'Good job, pilot. Going undercover isn\'t for everyone, and now there\'s at least one less Cloak ship in the system. Here is your extended mission pay.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '32', 's_504294eb', 'You have entered CorSec space in the Corellia System.  Please identify yourself, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '33', 's_51cc9a48', 'Requesting secure channel 37 Alpha.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '34', 's_52917b0d', 'Of course.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '35', 's_58263150', 'I cannot help now. Please reassign this mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '36', 's_5a29d93f', 'Meet with the representative if you want to go undercover. However, if you change your mind and want to go the direct route, just destroy his ship. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '37', 's_5e10bea5', 'Of course. Awaiting tracking data.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '38', 's_5f4e62c9', 'Understood. I am in need of repairs.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '39', 's_61071474', 'Repair all of the damage');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '40', 's_6223506b', 'That sounds like a good plan.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '41', 's_63ccb695', 'Tyrena Starport.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '42', 's_652d249e', 'If you were to meet with this Cloak representative and mislead him to believe that you are going to betray CorSec, we might be able to get some information about the inner workings and rankings of the Cloaks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '43', 's_6926e8ad', 'Ackowledged. Find and eliminate the Cloak attack wings.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '44', 's_6c23a697', 'You were right to come to us with this, pilot. It is good to see that your loyalty to CorSec is unwavering. However, this does present a unique opportunity to go undercover with the cloaks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '45', 's_7023f204', 'CorSec Command is impressed, pilot. That went off without a hitch. We will get to work tracking down how this information was leaked, and who leaked it. Here is your extended mission pay.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '46', 's_71a60205', 'As you wish, %TU.  Please clear the area for other traffic.  CorSec station, out.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '47', 's_71e0fb8', 'I am. Awaiting data transfer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '48', 's_77e48d5b', 'What do you mean?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '49', 's_7defec52', 'Secure channel open.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '50', 's_7e77cbe2', 'I would like to land');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '51', 's_7f59cc25', 'CorSec station, out.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '52', 's_82701bb4', 'Repair most of the damage');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '53', 's_835e1db9', 'Since you are interested, we do have an elective duty assignment for you. You\'ve done a good job eliminating the Cloak sect in this system. Now the survivors have fled and are trying to regroup. We need you to get to the Dathomir system and eliminate the remnants. Will you accept this mission?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '54', 's_851eb5fa', 'Disregard');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '55', 's_87bb06cf', 'You have entered CorSec space in the Corellia System.  Please identify yourself and state your business.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '56', 's_8bd9c726', 'Do you have any assignments for me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '57', 's_8eddcaf7', 'You have entered CorSec space in the Corellia System.  Please identify yourself.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '58', 's_903180db', 'CorSec command will contact the freighter and have them hyperspace out as soon as the Cloak attack ships start to come in. We will send an attack squadron there to ambush them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '59', 's_9288900f', 'I understand.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '60', 's_942f251f', 'As a matter of fact, we do have an elective duty assignment for you. Ever since we\'ve uncovered this Cloak sect, small attack wings have been popping up everywhere. We need you to go out and destroy them. Will you accept this mission?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '61', 's_9624c26b', 'Get out there and capture the Cloak officer. Hurry we don\'t have much time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '62', 's_99824a76', 'Roger, %TU.  For a fee of %DI credits we\'ll repair just enough to get you underway.  Please confirm.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '63', 's_9bd6e8c6', 'This is top priority, pilot. Intelligence tells us that the leader of the Cloak sect will be passing through the sector very soon. We need you to intercept, disable, and upload your autopilot override program to his ship. Hopefully capturing this villain will squelch any further Cloak activity in this sector.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '64', 's_9be6fb53', 'Received, %TU.  Half of your ship damage has been fixed.  You are clear to leave the area.  CorSec station, out.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '65', 's_a4e56782', 'So you\'ve decided to go undercover? You are to be commended. Not many pilots would be so brave. There\'s not much to do now but wait until the Cloaks contact you. In the meantime, here is your extended mission pay.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '66', 's_a5591c27', 'I accept this mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '67', 's_a7a9ff1a', 'I see. That is excellent. Now is the perfect time to strike. Here\'s what we\'ll do. Meet the freighter and offer an escort as expected. When the Cloaks come in, they will expect you to allow them to freely attack and board the freighter.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '68', 's_a827381c', 'Good work, pilot. Here is your extended mission pay. We\'ll look into who these \'Cloak\' pilots are and keep our eyes open for more activity. In the meantime, carry on with your standard operations.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '69', 's_a8b432b3', 'Good. Taking out an entire Cloak attack wing should weaken their forces significantly. Of course then your cover will be blown, but that should be acceptable. Are you ready?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '70', 's_a98368fb', 'As you wish, %TU.  Please leave the area to make room for incoming traffic.  Out.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '71', 's_ade7f893', 'No, I will decline this mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '72', 's_ae89219d', 'Acknowledged. Proceed to the Dathomir system and destroy the Cloak remnants.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '73', 's_af84143a', 'Bye');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '74', 's_b1525744', 'Do it');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '75', 's_b284b08f', 'Very well. Carry on, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '76', 's_b596ece0', 'Very well, %TU, you are cleared for landing at the Doaba Guerfel Starport.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '77', 's_b6a0e70f', 'Request declined. I am in need of urgent repairs.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '78', 's_b84b366c', 'How can I help?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '79', 's_bf0e6b55', 'This is a very important operation, pilot. Don\'t screw it up this time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '80', 's_bf5b2480', 'Welcome to the Corellia system.  We cannot assist you at this range.  Fly closer and identify yourself.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '81', 's_c11eb75b', 'Request declined. I must land immediately.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '82', 's_c3399297', 'Coronet Starport.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '83', 's_c358d041', '(Request Repairs)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '84', 's_c3f09c65', 'Roger that, %TU.  We can repair three-fourths of your ship\'s damage at a fee of %DI credits.  Are you ready to transfer the funds?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '85', 's_c804e280', 'Very well, %TU, please clear the area for other traffic.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '86', 's_c84e1098', 'You\'re treading thin ice here, pilot. Hopefully nothing will go wrong this time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '87', 's_c9c08b99', 'Let me try again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '88', 's_ccc6f3ed', 'Kor Vella Starport.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '89', 's_cd78560b', 'Sorry, you cannot try again right now. Maybe later.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '90', 's_d00437d0', 'Very well, %TU, you are cleared for landing at the Coronet Starport.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '91', 's_d066a27d', 'The officer gave up a meeting location and a time. A courier is bringing leaked CorSec information to transfer to a Cloak ship at that location. We need you to destroy the Cloak ship and pick up the leaked information in its place. Are you up to it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '92', 's_d44fd86f', 'That\'s understandable. It could be extremely dangerous. In that case, just go to the location and destroy his ship. However, if you change your mind and decide to go undercover, dock with him and see what he has to say.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '93', 's_d6306870', 'We\'ve interrogated the Cloak Officer that you captured. It seems like this group is a splinter cell of the Hidden Daggers clan. We\'re still not sure what their intentions are, but it seems like they are targeting CorSec exclusively.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '94', 's_d8f24b5b', 'Repair a little of the damage');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '95', 's_db1a3377', 'Good. The operation is about to begin. We\'ll assign you an operator and transmit the mission data now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '96', 's_dfd4b5bb', 'I am ready and willing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '97', 's_e0234542', 'Understood. I would like to land.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '98', 's_e2d1b03', 'Something urgent just came up. A ranking officer of these \'Cloaks\' has been seen passing through the system. We need to capture him for questioning. Do you think you can handle it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '99', 's_ecb04612', 'Good work, pilot. Under the circumstances things went as well as could be expected. Since the Cloak leader was destroyed, I don\'t think the remaining forces will be much of a threat. Here is your final extended mission pay.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '100', 's_edb238bc', 'Go on.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '101', 's_eec4dc6e', 'Very well, %TU, you are cleared for landing at the Kor Vella Starport.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '102', 's_ef7f535a', 'A complete repair of your ship will cost %DI credits, %TU.  Are you sure?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '103', 's_f0f7d52d', 'Very well, %TU, you are cleared for landing at the Tyrena Starport.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '104', 's_f6948278', 'Coronet Starport (Freelance Pilot Trainer).');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_corellia.stf', '105', 's_f7203392', 'Assigning you an operator. Transmitting data now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '1', 'do_not_edit', 'The English version of this file (station_dantooine.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '3', 's_106850f3', 'Well, this should be simple enough for someone like you. I have some things that I need to have...picked up. Ya see, I was promised some goods and those goods never showed up. I need someone with your talents to go make those goods show up.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '4', 's_15716a1', 'I am surprised that Tatooine had anything...they are almost as remote as I am. Must be nice to have everyone flying around there. Oh well, here is your payment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '5', 's_169df3bb', 'Never mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '6', 's_1841fbde', 'Hey, nice job. The freighter showed up just a short time ago and those micro-processors will come in handy. Whenever you need repairs, I will fix your ship to full...for a price of course. Is there anything else you need?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '7', 's_1b496fe4', 'Excellent. I have been waiting for this. I hope your trip to Lok went smoothly. As promised here is your payment for a job well done.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '8', 's_1b800e2e', 'Yes. Let me land.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '9', 's_1b90bd5', 'I think you must have comm\'d me by mistake... but if not, well then you\'re going to have to fly a bit closer than that. I can\'t help you with anything from this range!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '10', 's_1c95bcfd', 'Good luck with your repairs! You\'re cleared to land.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '11', 's_1e46e4ca', 'I need to try again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '12', 's_2102ee02', 'You have a deal.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '13', 's_21255661', 'I should have known that my plan wouldn\'t work out...nothing else ever does. It\'s this place...Dantooine...it\'s cursed, I tell ya.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '14', 's_23615777', 'I was thinking of some \'special\' help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '15', 's_245c7c6d', 'Repair half.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '16', 's_25329888', 'Ok, just try to be timely. I am really running low here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '17', 's_25a58267', 'Na, I just want my ship fixed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '18', 's_2612d825', 'How about you finish up with what you are working on and then come back to talk to me. I want your full attention before I will just hand out jobs.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '19', 's_26c53da2', 'Fantastic. Repairs complete! You\'ll want to hit a better-equipped station to get the rest of that damage taken care of.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '20', 's_2798158f', 'I am still listening.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '21', 's_28876db2', 'Ok, ok... You\'re cleared for landing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '22', 's_29632203', 'Keep talking. I\'m listening.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '23', 's_2ba33f79', 'Hey, look whose back and look at all of this nice stuff. You did good...real good. I cannot wait to take a little sniff of that brandy...I know I deserve it. Oh, yeah...ya need to be paid.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '24', 's_2f1ada36', 'Right ya are. I have several scheduled pick ups in a few other systems. If ya go pick that stuff up for me I will pay you for each of the deliveries you make. I cannot pay ya a lot but at least it is something. You should do this for me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '25', 's_2fc5fe5d', 'We can manage that. Do you have the %DI credits to pay for this, though?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '26', 's_305434ff', 'I want to land.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '27', 's_338dd0a0', 'Ok, what do ya want then?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '28', 's_3555e858', 'Part of my freighter fleet has been conscripted by those blasted Imperials. Even with those ships I cannot keep my station fully stocked...without them I am running dangerously low on supplies. If you get my fleet back from those Imperials, I will let you land at that base that isn\'t really there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '29', 's_3626cec6', '\'Fraid we can\'t manage that, friend. We\'re all out of supplies \'til the next shipment comes in.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '30', 's_362a48e0', 'Anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '31', 's_3ca4bcbc', 'Ok, ok... don\'t know why you\'re in such a rush to go there, though. You\'re cleared for landing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '32', 's_3d1c2e17', 'Don\'t worry about it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '33', 's_3da1b8c8', 'Whatever...I am just glad to have those much needed supplies. Is there anything else I can do for you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '34', 's_3ea99f04', 'Sounds good to me. Travel to Corellia and meet with the freighter that is supposed to have a load of cargo for me. You will be payed when ya return with the cargo.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '35', 's_407899ba', 'I thought you would be interested. I will find someone else to escort those freighters coming into this system, so all ya need to do is to capture them in Corellia and send them out here. Watch out for those CorSec...they get rather upset about losing freighters for some reason.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '36', 's_432005ea', 'Ok what do ya want then?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '37', 's_460d6dba', 'There are nicer places to visit in the galaxy, but I suppose if you\'re in a pinch, then you might be able to get by on Dantooine.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '38', 's_478f318d', 'Fine with me. Travel to Lok and meet with a delivery vessel that is waiting there. I will pay ya for the trouble when you get back to me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '39', 's_48d5ef59', 'I am just the pilot you are looking for.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '40', 's_49140378', 'Fine, fine. I will pay ya what I can for taking out those pirates. It seems that even the few supply freighters that make it out this far always seem to get ambushed by those scum. I will send ya location points to where they usually hang out.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '41', 's_49a5815f', 'Sure thing, friend. Maybe you want to land, though? Could get some help on the planet, maybe.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '42', 's_49c64100', 'Why can\'t you fix all of it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '43', 's_4c695dbd', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '44', 's_4daeb488', 'Repairs complete! Give us a comm if there\'s anything else you need.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '45', 's_4ff8fc41', 'I need to try that one again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '46', 's_5076c164', 'It wasn\'t any problem.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '47', 's_53317e16', 'So, did you get my stuff from Lok for me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '48', 's_54c04765', 'I need repairs!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '49', 's_5600fd38', 'There you go. You might be limpin\' for a while \'til you can afford some more repairs. Just give us a comm if there\'s anything else we can do for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '50', 's_59a700b5', 'Oh, ya will. That is surprising news I must admit. Meet up with the delivery vessel in the Naboo systsem. Once I have the cargo, ya can get paid.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '51', 's_5ac08819', 'Hey, I haven\'t gotten my stuff yet! What is the deal?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '52', 's_5ce90655', 'On second thought...no thanks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '53', 's_5d4f7fdb', 'On second thought...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '54', 's_5f4f6d25', 'I am looking for some adventure.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '55', 's_60117ea4', 'I have been waiting for this. I understand that Naboo is nice this time of year...wish I could be there instead of here. As promised here is your payment for a job well done.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '56', 's_61aa8974', 'Well, let me see. I am out of nearly everything here. Hey...maybe you could help me and get me some more supplies? If you do, I will fix your ship to full...but don\'t go around telling everyone that I gave you this opportunity.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '57', 's_6301c26', 'I knew you were going to help me. Ok, this is the deal. First you need to go to Corellia and pick up an order of micro-processors that I put in close to a month ago. After that there is a freighter in Tatooine that is dragging it\'s feet getting here. You get me those processors and get that freighter here and I will repair your ship to full when you need me to.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '58', 's_688c4b5e', 'Good grief, friend. Why would you want to land here?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '59', 's_6b2d605a', 'Ok, that shouldn\'t be too much trouble. We can fix you up just enough for you to get underway again for a mere %DI credits. How\'s that sound?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '60', 's_6bceda29', 'A deal is a deal. Do you have the %DI credits to cover the costs for this? Hey, I never said I would do it for free!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '61', 's_6c9d2543', 'Let me land at the Imperial Outpost.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '62', 's_6ee8b2ec', 'Yeah, I thought ya looked the shady type. Maybe...I have something for ya. I have this problem of never getting my supplies. Now how am I supposed to run a station without supplies, I ask you? There are some pretty fat shipping lanes in Corellia, I doubt that they would miss a few freighters.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '63', 's_70876928', 'All of it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '64', 's_72db56e1', 'And I thought ya were looking for adventure. Fine...play it safe.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '65', 's_72e300ed', 'I want to travel to Naboo.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '66', 's_737e644a', 'Never mind then.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '67', 's_73a08149', 'This is Dantooine Station. What can I do for ya?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '68', 's_75f22c97', 'I want to land on Dantooine.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '69', 's_772ab602', 'Yeah, that\'s what I thought. Give us a comm if you need anything else.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '70', 's_7823bf', 'Yeah...I want something for me, blast it. There is a ship in Tatooine called the Lord\'s Mistress. She is loaded with Corellian Brandy and I want some. Being out here makes a man want to drink. Inspect her and get me some of that brandy. Just watch out for Hap, he owns the Mistress and is a real vengeful cuss.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '71', 's_783aa9d8', 'Illegal! No way.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '72', 's_7a1a092d', 'Fine. Let me land.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '73', 's_7e303ed8', 'Ok, %NU. Give us a comm if there\'s anything we can do for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '74', 's_7f5d5f9d', 'I need special landing permission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '75', 's_7f81007d', 'Let me land at the Rebel Base.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '76', 's_8316a19c', 'Oh... Oh! You\'re one of... I mean. Ok, then. You\'re sure you want to land there? I mean, there\'s some rough customers around those parts, if you know what I mean.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '77', 's_853a6233', 'Ok, I\'ll land at the Mining Outpost.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '78', 's_874539f7', 'Oh, really? Well then I have just what ya need...or rather maybe ya can help me with some problems around here. Seems like I have nothin\' but problems. Let me see here...I need someone to take out some pirates. I have some supply pickups that need to be made. And..oh yeah...I need some freighters escorted through the system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '79', 's_87f1159b', 'It looks like you are a bit busy, ya know. Maybe finish up with what you are doing and talk to me later.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '80', 's_890b6a4c', 'Just clear me for landing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '81', 's_89c649f8', '\'Fraid we can\'t manage that, friend. Probably the best we could do would be to repair three-quarters of your damage... How about for %DI credits?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '82', 's_8a3087d7', 'Tatooine must be nice this time of year. Wish I was there...by the way did you make that pickup for me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '83', 's_90ee7f5d', 'Just a little.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '84', 's_90f8c50e', 'The first thing I need is on a freighter called the Shifty Prince. It is carrying a load of phasotron radium and is in the Naboo system right now. Inspect that ship and get the radium. Then I need you to go to Corellia and capture the Bez\'ox Mentzz. The load of atmospheric inhibitors is mine but the shipping company won\'t send them to me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '85', 's_9121f9d2', 'I have a slight Imperial problem. If you help me out with my problem, I can see fit to look the other way if you were to...say land at a base on the planet that isn\'t supposed to be there...if ya get my drift.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '86', 's_925010fb', 'Ok, for each of the freighters ya get through I will pay you. These freighters are coming in from Corellia and I am not really sure what is on them...but we do need them. I will send ya the arrival location of each of the freighters when they are ready to arrive.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '87', 's_9553e32c', 'Anything else I can do for you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '88', 's_964449aa', 'I didn\'t say anything about piracy...how insulting. I am an honest businessman. We are done talking now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '89', 's_965f7738', 'Ok, fine...fine. I should have known I wouldn\'t have been getting my supplies.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '90', 's_9977dcd9', 'Let me land at the Agro Outpost.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '91', 's_9e962746', 'Ok then. Nice talking to you, %NU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '92', 's_9fa6755e', 'Let me land at the Mining Outpost.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '93', 's_a14e5fb1', 'I will try again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '94', 's_a3c632c9', 'I will escort your freighters.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '95', 's_a545492f', 'Do you have anything in the Lok system?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '96', 's_a560e84c', 'I am looking for work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '97', 's_a567620f', 'No thanks. I am not interested.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '98', 's_a7b78b9d', 'Alright. I will forward you coordinates of each of the ships when you arrive in the system. Oh, and if you get caught I will deny everything.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '99', 's_a7c07d40', 'No, no...is there anything that I can do for you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '100', 's_aa9dafbe', 'Fine, I hope you remember the instructions because I am not going to explain myself twice. I have better things to do than hope for the best.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '101', 's_aec16b0a', 'On second thought, never mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '102', 's_b0cfe018', 'No problem, friend. Give us a comm if you\'re needin\' anything else.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '103', 's_b16218ce', 'I really hate Corellia. Always fully stocked...never having any problems getting goods. I bet those station owners are making a fortune. Here is your payment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '104', 's_b22f6cee', 'Well, you sure picked a backwater station to get repairs from. Until our next supply ship comes through, we\'re sort of limited with that. Just how much of that damage do you need repaired?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '105', 's_b6546bce', 'Ok, I will send you the navigation location to one of the freighters. You capture it and bring it back here. I will repaint and rename it. The dumb Imperials won\'t know the difference. Thanks for helping out.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '106', 's_b6617db1', 'Adventure, eh? I might have something for ya if ya don\'t mind...doing something that isn\'t exactly legal.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '107', 's_bbdda3b3', 'Fine. Bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '108', 's_bc8bd720', 'That mining outpost hasn\'t been producing decent resources for months. I\'d suggest traveling to a different system. I hear Naboo is nice.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '109', 's_bceb6c8c', 'Yes, clear me for landing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '110', 's_be141863', 'How did your trip to Naboo go?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '111', 's_be24e8c2', 'Your call, friend. Give us a comm if there\'s something we can help you with.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '112', 's_c03160ec', 'What about Tatooine?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '113', 's_c0ce6b3a', 'You are talking about piracy. No way!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '114', 's_c385e8d2', 'Ok, you have a deal.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '115', 's_c3d29ec8', 'I am heading to the Corellia system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '116', 's_c9aa99a2', 'I am listening.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '117', 's_ca932c28', 'Forget it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '118', 's_cb019515', 'I\'ll wait.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '119', 's_cbcf9a11', 'I would like to make the pickups.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '120', 's_cc899cff', 'I want to try something else.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '121', 's_d1d752d1', 'I am not afraid to bend a few laws.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '122', 's_d3dfb66a', 'Sorry we couldn\'t be of more help. You might be able to find an engineer on Dantooine at one of the mining outposts to help you, or if you can make it to a better-equipped station...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '123', 's_d4c99a54', 'Have it your way. If you change your mind...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '124', 's_d6695e83', 'No thanks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '125', 's_d70dba34', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '126', 's_d7c1b26f', 'Listen! You are going to have to do better than that. I am not going to be breaking Imperial law and letting ya land where ya want if my freighters are not returned.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '127', 's_d857aa79', 'Heh. Ok, you got it. Good Luck!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '128', 's_da7e618d', 'Fine. Just try to get it done this time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '129', 's_df473597', 'Whatever. Not that I expect ya to ever come back...no one else ever does.  Anyways, head to Tatooine and meet up with the delivery vessel there. I will have your payment waiting for ya on delivery of the goods.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '130', 's_e06f5f77', 'Oh, it\'s you. Sure thing buddy. No problems. Thanks again for helping me earlier.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '131', 's_e141a0e8', 'Let me give it another go.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '132', 's_e2fc1d54', 'Ok, got it. This should be a snap.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '133', 's_ea0c00c7', 'Did you managed to pick up that cargo from Corellia?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '134', 's_eb3c41c', 'Oh, I see. Here on official business, are you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '135', 's_ebe2e111', 'It\'s a deal.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '136', 's_f00111d', 'I was wondering if ya were going to ask me about that? I have been watching ya from up here...don\'t have much else to do really. I am willing to help ya out if ya help me out. One hand washes the other...ya know?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '137', 's_f3b73e85', 'I\'m afraid I can\'t help you, then. Give us a comm if there\'s something we can do for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '138', 's_f7587a6', 'You did it. Now at least I will be able to do get some supplies in here. You can land anywhere ya want. Oh and I suppose I can manage a slight monetary reward too. Thanks again, friend.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '139', 's_f801849e', 'I will take care of the pirates.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '140', 's_fc85e244', 'I have business on Dantooine.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '141', 's_fe0697d3', 'Shouldn\'t be long now. Check back in a few. Or I guess you could land on Dantooine and see if there\'s a shipwright handy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '142', 's_fef28268', 'Do it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dantooine.stf', '143', 's_ff02facb', 'Ok. Give us a comm if there\'s anything I can do for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '1', 'do_not_edit', 'The English version of this file (station_dathomir.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '2', 's_560', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '3', 's_562', 'If you wish to interact with this station, then you must fly within scanning range. And please have your authorization code ready!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '4', 's_564', 'Good news, %TU! I found a crate of old parts that might be just what you need!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '5', 's_566', 'Sorry, %TU, I still haven\'t found any supplies we could use to repair your ship. Do you want to land on the planet? Maybe there\'s a shipwright that could help you there?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '6', 's_568', 'No, I\'ll keep waiting.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '7', 's_571', 'Very well, %TU. Dathomir Station, out!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '8', 's_574', 'Yes!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '9', 's_576', 'I don\'t think you\'re supposed to be here. Do you have the Imperial authorization code to be in this system?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '10', 's_578', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '11', 's_581', 'I\'m sorry. I won\'t be able to help you. In fact, I should probably call this in...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '12', 's_583', 'Wait! Yes I do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '13', 's_586', 'Don\'t do that. I\'ll leave.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '14', 's_588', 'Well... I guess it would save me some paperwork to forget I ever saw you. But don\'t hang around here!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '15', 's_591', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '16', 's_594', 'Transmit your authorization code, please.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '17', 's_598', 'I don\'t have one.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '18', 's_601', 'Stop playing games, pilot. Do you have the authorization code or not?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '19', 's_603', '(Fake it)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '20', 's_605', 'This code doesn\'t look right... *sigh* Why doesn\'t the Empire ever send me the latest codes? This must be new. Okay, how can I help you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '21', 's_608', 'This is Dathomir Station. Ah, it\'s you. You\'ve served me well, and I appreciate that. \n\nAs a reward for your loyalty and assistance, I can arrange for your ship to be fully repaired instead of only up to 75%. There will still be a fee for this service, of course.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '22', 's_610', 'You\'ve returned. Are you ready to continue?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '23', 's_613', 'Yes, what is my next move?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '24', 's_616', 'Your next move is to finish your current mission. Come back when that one has been completed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '25', 's_619', 'This is odd. The captured Black Sun pirate claims that no Rebel has ever been given authorization codes by them. And that the Rebels have never even approached them for anything like that. He further claims that you don\'t need any codes. That you can just make up any code and be granted access to the planet\'s surface. [*he suddenly looks flustered*] No, it can\'t be....');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '26', 's_621', 'Is everything okay?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '27', 's_623', '[*He visibly composes himself and pushes a button in front of him on his console*] Yes, yes. I\'m fine. The pirate\'s claims are, of course, untrue. How could they be anything but? And, oh my, look at that. The pirate has escaped! Such a shame. Go destroy him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '28', 's_625', 'Don\'t worry, I\'ll take care of him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '29', 's_627', 'Go now and be swift about it!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '30', 's_629', 'I\'ll go after him later.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '31', 's_631', 'Very well, but don\'t delay too long. We\'ll monitor his location.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '32', 's_633', 'Arrgh, you let that Black Sun pirate escape! I\'m certain he knew something. We... wait. Excellent, we\'ve located a ship matching the one that escaped. Go capture that pirate, and this time there had better be no mistakes!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '33', 's_635', 'I\'ll catch that pirate!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '34', 's_638', 'You\'d better. Now go!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '35', 's_640', 'I\'ll catch the pirate another time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '36', 's_642', 'Arrgh. Return when you are ready, but be quick about it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '37', 's_645', 'Your attack on the Rebel officer\'s comrades worked beautifully. She has finally opened up and named the Black Sun as the source of the codes. She still wouldn\'t name anyone specific by name, which is a bit odd, but that\'s not a matter of concern. We will target Black Sun ships in the area until we get the information we seek. Go attack some Black Sun pirates, and we\'ll see what more we can learn.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '38', 's_648', 'I\'m on my way.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '39', 's_650', 'Excellent. Hit them hard, and we\'ll see what happens in response.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '40', 's_652', 'I\'ll do that another time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '41', 's_654', 'Very well. Return when you are ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '42', 's_657', 'The Rebel officer you captured refuses to reveal the source of the authorization code. She claims that no one gave her any codes, and that she just had them. I don\'t believe her.\n\nGo kill some other members of her squad. Maybe the news that we are hunting and destroying her comrades will loosen her tongue.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '43', 's_660', 'I\'m on it. She\'ll talk soon.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '44', 's_663', 'Excellent. She\'ll soon be singing like a witch from that mountain on the planet below.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '45', 's_666', 'I\'ll take care of that another time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '46', 's_669', 'Hmmph. Well, come back when you\'re ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '47', 's_673', 'You let the Rebel officer elude you, but we\'ve managed to recover from your incompetence. My technicians have gotten a fix on her location.\n\nSee to it that this time we are able to interrogate this Rebel. Now go.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '48', 's_676', 'She won\'t get away again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '49', 's_680', 'Good. That\'s the attitude I like to see. Now go.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '50', 's_684', 'I\'ll go after her another time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '51', 's_686', 'Bah. Fine then, but don\'t delay too long. I wish to find out what she knows as soon as possible. Return when you are ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '52', 's_688', 'Any duties I could do instead?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '53', 's_690', 'Your need to finish your current mission. Come back when that one has been completed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '54', 's_692', 'As it ends up, I do. There are two duties you could undertake. One is to teach some Rebel pilots not to mess with this station. The other is to escort supply freighters that are en route to the Imperial prison.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '55', 's_695', '(Request Permission to Land)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '56', 's_698', '(Request Repairs)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '57', 's_702', 'You\'re back. Are you ready to continue?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '58', 's_705', 'Yes, what do I do next?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '59', 's_707', 'Next you need to finish your current mission. Come back when you \'re done with that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '60', 's_709', 'I can\'t say what a relief it is to finally be rid of those [*itches*] lice. Well, mostly rid of anyway. And well on the way to having the station be pest-free again. Which leaves one other matter to deal with. I\'ve got to send a message to those [*itches*] who sent me that lice infested cargo. And I want you to deliver it. Go to the Lok system and let that Kimogila battlelord know that I didn\'t appreciate his little surprise.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '61', 's_711', 'I\'m on my way.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '62', 's_713', 'Good. Teach them that this station is not to be trifled with.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '63', 's_716', 'I\'ll do this another time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '64', 's_720', 'Very well, but return when you\'re ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '65', 's_723', 'Good work recovering my [*itches*] shipment. There\'s one small hitch, as it turns [*itches*] out. The packing [*itches*] crates were infested with lice! Those [*itches*] sent me a shipment infested with [*itches*] lice! Arrgh! We\'ll deal with them [*itches*] later. For now, I have arranged for ointments [*itches*] and pesticides to be delivered to the station. Go escort the freighter [*itches*] carrying those and make sure they arrive safely.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '66', 's_727', 'I\'ll protect those freighters.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '67', 's_731', 'Yes. Good. Please hurry. [*itches*]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '68', 's_733', 'I\'ll do this another time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '69', 's_735', 'I was afraid you\'d say that. [*itches*] Very well, but please hurry back when you\'re ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '70', 's_737', 'The freighter with the cargo you delivered was ambushed by Black Sun pirates. They killed everyone on board and took everything that was worth salvaging including my cargo. We can forget about the casualties for now, but I need that cargo recovered. Luckily, foresight prompted me to have a tracking transmitter installed in one of the packing crates, so I\'ve been able to locate the pirate ship. Go recover my cargo!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '71', 's_739', 'I\'ll recover the cargo.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '72', 's_741', 'Catch those pirates before they escape. Off with you!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '73', 's_743', 'I\'ll do this another time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '74', 's_745', 'Time isn\'t exactly on our side, so hurry back when you\'re ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '75', 's_747', 'You failed! How could you fail such a simple task? How? I\'ll give you another chance, but don\'t press your luck. Be more careful this time.\n\nThe cargo awaits you in the Lok system. Pick it up and shuttle it to a freighter here in the Dathomir system. I\'m counting on you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '76', 's_749', 'I\'m on my way.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '77', 's_751', 'Good. And be more careful this time. Please.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '78', 's_753', 'I\'ll do this another time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '79', 's_755', 'Okay. I guess waiting a bit longer will make no difference. Return here when you are ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '80', 's_757', 'Any duties I could do instead?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '81', 's_759', 'You need to finish your current mission. Come back when you \'re done with that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '82', 's_761', 'As it happens, I do. I have two duties you can undertake. One is to deal with some Black Sun pirates and teach them to honor their agreements with this station. The other is to escort the transport of.... Well, let\'s just call it the transport of passengers who have managed to arrange to leave the Dathomir system, but who wish to do so in secrecy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '83', 's_763', '(Request Permission to Land)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '84', 's_765', '(Request Repairs)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '85', 's_767', 'This is Dathomir Station. What do you need?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '86', 's_769', '(Request Permission to Land)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '87', 's_771', 'There are only two outposts on this planet than can accommodate your ship. Where do you want to land?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '88', 's_773', 'Trade Outpost.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '89', 's_775', 'You are cleared for landing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '90', 's_777', '(Land)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '91', 's_779', 'Be careful down there. This is a dangerous world!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '92', 's_781', 'Never mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '93', 's_783', 'Acknowledged. Landing clearance aborted. Hail me if I can be of service.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '94', 's_785', 'Dathomir Science Outpost.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '95', 's_787', 'Acknowledged. Dathomir Science Outpost is ready for you to land.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '96', 's_789', '(Land)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '97', 's_791', 'Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '98', 's_793', 'Never mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '99', 's_795', 'Acknowledged. Landing clearance aborted.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '100', 's_797', '(Request Repairs)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '101', 's_799', 'Sorry, %TU, but we don\'t have the supplies on hand to provide you with more repairs. We should be getting more supplies any day now though.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '102', 's_801', 'I can\'t wait that long!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '103', 's_803', 'Well, just give me a few minutes... maybe I can scrounge something up...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '104', 's_805', 'Arrgh!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '105', 's_807', 'I know, I know. It\'s terrible being stationed in such a remote locale. We hardly ever get a supply run through here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '106', 's_809', 'That\'s okay. I\'ll manage somehow.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '107', 's_811', 'Okay, %NU. Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '108', 's_813', 'This is the worst station in the galaxy!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '109', 's_815', 'I know, I know... but what can I do? I wish I could get a transfer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '110', 's_817', 'You don\'t deserve a transfer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '111', 's_819', 'Well... look... it\'s not my fault. I wish I could help you, I really do. I just don\'t have the supplies on hand here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '112', 's_821', 'I don\'t believe you!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '113', 's_823', 'But it\'s true! I mean... maybe I could scrounge something up to get you under way, but... it wouldn\'t be much.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '114', 's_825', 'Try!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '115', 's_827', 'Aw, forget it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '116', 's_829', 'I really am sorry, %TU. Very, very sorry.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '117', 's_831', 'That\'s okay. Forget it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '118', 's_833', 'I really am sorry, %TU. Very, very sorry.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '119', 's_835', 'Well, hang in there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '120', 's_837', 'Thanks, %NU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '121', 's_839', 'We\'re not equipped to provide more than the most basic level of repairs. How much of the damage do you want us to fix?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '122', 's_841', 'Just a little.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '123', 's_843', 'I think we can manage to get you underway. There will be a fee of %DI credits for this, though. Is that acceptable?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '124', 's_845', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '125', 's_847', 'Acknowledged. I hope that holds you until you can get back to civilization.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '126', 's_849', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '127', 's_851', 'I don\'t think there\'s anything we can do for you, unless you\'d like to land and seek repairs on Dathomir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '128', 's_853', 'Yes, I want to land.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '129', 's_855', 'No thank you. Never mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '130', 's_857', 'Very well. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '131', 's_859', 'Half?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '132', 's_861', 'Repairing half of the damage on your ship shouldn\'t be a problem. There will be a fee of %DI credits, however. Is that acceptable?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '133', 's_863', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '134', 's_865', 'Repairs Complete! Let me know if there is anything else I can do for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '135', 's_867', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '136', 's_869', 'All of it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '137', 's_871', 'Repairing your ship of all damage shouldn\'t be a problem. There will be a fee of %DI credits, however. Is that acceptable?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '138', 's_873', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '139', 's_875', 'Repairs Complete! Let me know if there is anything else I can do for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '140', 's_877', 'I can\'t afford that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '141', 's_879', 'Well, we can repair 75% of your ship\'s damage for %DI credits, and it looks like you could afford that amount. Would you like to try that instead?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '142', 's_881', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '143', 's_883', 'Repairs Complete! Let me know if there is anything else I can do for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '144', 's_885', 'No thanks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '145', 's_887', 'Never mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '146', 's_889', 'The most we could possibly repair at this station is 75% of your ship\'s damage. There will be a fee of %DI credits for that repair... is that acceptable?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '147', 's_891', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '148', 's_893', 'Repairs Complete! Let me know if there is anything else I can do for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '149', 's_895', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '150', 's_897', 'Never mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '151', 's_899', 'Any work for an Imperial pilot?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '152', 's_901', 'Actually, I do. There are a number of things you could help me with. I have two duties you could undertake. One is to teach some Rebel pilots not to mess with this station. The other is to escort supply freighters that are en route to the Imperial prison.\n\nOh, there is one other thing. You could track down a Rebel officer for me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '153', 's_903', 'I\'ll teach those Rebel pilots a lesson.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '154', 's_905', 'Excellent. They had the gall to try and use a fake code, and then the stupidity to celebrate its use while their comm link was still open. Teach them that this station is not to be taken so lightly.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '155', 's_907', 'I\'ll escort the supply freighters.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '156', 's_909', 'Supply routes to the Imperial prison on Dathomir\'s surface are vital to its smooth operation. Freighters are en route with new supplies and must be protected from Alliance interference. To be honest, some of the freighters are decoys to help increase our chances of the actual supply freighters making it through. Even I don\'t know which are real and which are just decoys. Your job would be to provide protection to any or all of them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '157', 's_911', 'I\'ll track down that Rebel officer for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '158', 's_913', 'Very good. Let me brief you on the details. A Rebel officer presented what looked like a genuine authorization code for Dathomir. If I hadn\'t recognized her as a member of the Rebel Alliance, she would have been allowed to land. She fled once she realized we knew who she was, but we managed to get a fix on her location. Capture her so that we may interrogate her and find out where she got those codes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '159', 's_915', 'Never mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '160', 's_917', 'Very well. Was there anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '161', 's_919', 'Actually, I do. There are two duties you could undertake. One is to teach some Rebel pilots not to mess with this station. The other is to escort supply freighters that are en route to the Imperial prison.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '162', 's_921', 'I\'ll teach those Rebel pilots a lesson.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '163', 's_923', 'I\'ll escort the supply freighters.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '164', 's_925', 'Never mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '165', 's_927', 'Very well. Was there anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '166', 's_929', 'Do you have any work?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '167', 's_931', 'For one such as you? As it happens, I do. I have two duties you can undertake. One is to deal with some Black Sun pirates and teach them to honor their agreements with this station. The other is to escort the transport of.... Well, let\'s just call it the transport of passengers who have managed to arrange to leave the Dathomir system, but who wish to do so in secrecy. There\'s also one other thing... if I can trust you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '168', 's_933', 'I\'ll deal with the Black Sun pirates.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '169', 's_935', 'Excellent. I had a... business arrangement of sorts with some local Black Sun pirates. Don\'t ask what it involved, because I\'ll certainly not say more. The important part is that these pirates failed to uphold their part of the arrangement. And for that they must be punished.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '170', 's_937', 'I\'ll escort the passenger transports.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '171', 's_939', 'Very good. You task will be to escort transports that are on their way out of the Dathomir system. As I previously stated, these transports are carrying passengers who have arranged to leave the system. Their reasons for this vary and should be of no concern to you. What you should concern yourself with is the safety of these passengers. They have paid well for this service, and I intend to see that they gain their freedom. So to speak.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '172', 's_941', 'You can trust me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '173', 's_943', 'Good. This needs to remain strictly between the two of us. I arranged to obtain some goods from some associates in the Lok system. I need you to go pickup that cargo and shuttle it to a freighter here in the Dathomir system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '174', 's_945', 'I\'ll take care of it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '175', 's_947', 'Excellent. Be careful. I outbid a Black Sun Captain in order to obtain these goods, and I expect him to make an attempt to take them from you as you return here. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '176', 's_949', 'Never mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '177', 's_951', 'Very well. Was there anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '178', 's_953', 'Never mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '179', 's_955', 'Very well. Was there anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '180', 's_957', 'For one such as you? As it happens, I do. I have two duties you can undertake. One is to deal with some Black Sun pirates and teach them to honor their agreements with this station. The other is to escort the transport of.... Well, let\'s just call it the transport of passengers who have managed to arrange to leave the Dathomir system, but who wish to do so in secrecy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '181', 's_959', 'I\'ll deal with the Black Sun pirates.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '182', 's_961', 'I\'ll escort the passenger transports.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '183', 's_963', 'Never mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_dathomir.stf', '184', 's_965', 'Very well. Was there anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_endor.stf', '1', 'do_not_edit', 'The English version of this file (station_endor.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_endor.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_endor.stf', '3', 's_1110e057', 'Ha ha! I know that you do, %NU! But this is serious business. You be careful! I\'d hate for anything bad to happen to you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_endor.stf', '4', 's_143e876a', 'Certainly!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_endor.stf', '5', 's_14897567', 'Most of it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_endor.stf', '6', 's_1572cf8', 'Would you? Oh that\'s fantastic! Thanks so much for your help, %NU!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_endor.stf', '7', 's_169df3bb', 'Never mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_endor.stf', '8', 's_203953bd', 'Ok, I\'ll make sure he\'s safe.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_endor.stf', '9', 's_24dd12a9', 'I\'m glad you asked, %NU! An Imperial transport coming out of the Rori Weapons Research Center has had a run in with Rebel forces and are listing.  If you can travel out to the Naboo system and get them under way it would be great.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_endor.stf', '10', 's_25759913', 'No, but I do want to land on Endor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_endor.stf', '11', 's_2610c442', 'Yes! I want to land at the Research Outpost.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_endor.stf', '12', 's_26dfa294', 'You worry too much.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_endor.stf', '13', 's_2944ab48', 'Oh, I know, %NU. I just can\'t help it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_endor.stf', '14', 's_2a121119', 'Not a problem! It may surprise you to learn that our little research station is well-supplied by the Empire! How much damage do you need repaired?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_endor.stf', '15', 's_2d9d1ee4', 'That\'s great, %NU! You are always so helpful! I\'ll give you the coordinates to check-out for me. Thank you very much for doing this for me!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_endor.stf', '16', 's_2f9e3b7b', 'Maybe later.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_endor.stf', '17', 's_31e68e8b', 'Wait, never mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_endor.stf', '18', 's_35417d09', 'I\'ll notify the Research Outpost that you are on your way.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_endor.stf', '19', 's_3b68a624', 'I guess that is pretty expensive. Maybe you can get some cheaper repairs somewhere else.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_endor.stf', '20', 's_4360fc64', 'Do you have any work for me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_endor.stf', '21', 's_460bcfda', 'We could repair three-fourths of your ship\'s damage for %DI credits. Ok?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_endor.stf', '22', 's_478bdae6', 'Oh, ok. Well if you need anything, just comm me. I\'m here to serve!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_endor.stf', '23', 's_4a43e175', 'I\'ll find a place.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_endor.stf', '24', 's_4c695dbd', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_endor.stf', '25', 's_549ada4b', 'Repairs complete! Thank you for visiting the Forest Moon of Endor Research Station!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_endor.stf', '26', 's_592038e', 'Be careful. The Forest Moon of Endor is not very civilized!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_endor.stf', '27', 's_5f4952b7', 'No, I need repairs.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_endor.stf', '28', 's_685bb895', 'In that case, let me know if there is anything else I can do for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_endor.stf', '29', 's_695e2019', '(Land at the Research Outpost)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_endor.stf', '30', 's_70876928', 'All of it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_endor.stf', '31', 's_7272cd2a', 'I sure do, %NU! A friend of mine, Jenson Marsh, has been doing some freelance work for the Empire since his retirement. It would be a great help if you could check-up on him for me. Just give him an escort so that no pirates or Rebels attack him, ok?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_endor.stf', '32', 's_75d638d8', 'Be careful. Endor is uncivilized.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_endor.stf', '33', 's_78f29efc', 'That\'s great, %NU! I have a couple of assignments for you to choose from. You know there are always freighters coming through that could use an escort, or you could help us kick the Pirates out of this system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_endor.stf', '34', 's_7bc8f950', 'Your ship has been completely fixed. Thank you for coming.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_endor.stf', '35', 's_809da719', 'I certainly do, %NU! I\'ve been picking-up a lot of unauthorized activity in this system lately. I\'m sure it\'s nothing, but would you mind terribly checking things out for me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_endor.stf', '36', 's_8353c277', 'Do you have any special assignments?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_endor.stf', '37', 's_895d093', 'Ok.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_endor.stf', '38', 's_8ae30058', 'Only a little.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_endor.stf', '39', 's_90fc8440', 'I\'ll do it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_endor.stf', '40', 's_9445899b', 'Oh. Well... Ok... Comm me if you need anything.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_endor.stf', '41', 's_96ff1c97', 'I\'ll be careful.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_endor.stf', '42', 's_9e0cc5c', 'If you say so. You\'re cleared to land... wherever it is you\'re going to land.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_endor.stf', '43', 's_9eae7799', 'I... see... I wasn\'t aware of another outpost on Endor, but...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_endor.stf', '44', 's_a115d9be', 'I\'m a little busy right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_endor.stf', '45', 's_a168a94b', 'You\'d better be!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_endor.stf', '46', 's_a19e12a1', 'That\'s OK, %NU. I\'m sure he\'ll be ok on his own. I worry for no reason sometimes. So do you want to visit the Endor Research Center?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_endor.stf', '47', 's_a22bada4', 'Repairs complete. That should get you underway, at least.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_endor.stf', '48', 's_a9d26781', 'Ok, %NU. Do you want to visit the Endor Research Center?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_endor.stf', '49', 's_ab6892a7', 'Good Luck!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_endor.stf', '50', 's_b40dc05e', 'Thank you very much, %NU! I really appreciate this!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_endor.stf', '51', 's_b68693bb', 'We can completely repair your ship for %DI credits. Is that acceptable?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_endor.stf', '52', 's_c0d7347d', 'Not a problem. There will be a fee of %DI credits, however. Is that acceptable?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_endor.stf', '53', 's_c0da04f9', 'I can\'t thank you enough, %NU! I\'ll comm him to let him know you are on the way!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_endor.stf', '54', 's_c3d359f2', 'Need any help?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_endor.stf', '55', 's_c6b82293', 'There you are! Come back any time!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_endor.stf', '56', 's_c6f610d3', '(Land at the Smuggler\'s Outpost)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_endor.stf', '57', 's_c98e000', 'Just repair half of it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_endor.stf', '58', 's_cc059cc2', 'Oh, ok, %NU. I guess if you\'re too busy. Do you just want to visit the Endor Research Center?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_endor.stf', '59', 's_cfc852d9', 'I\'m ready for work!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_endor.stf', '60', 's_d70dba34', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_endor.stf', '61', 's_d9c39726', 'I\'ll escort those freighters.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_endor.stf', '62', 's_de3168cf', 'Greetings! Have you come to visit the Endor Research Center?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_endor.stf', '63', 's_e1c14e1d', 'Greetings! If you require emergency repairs or clearing to land at our research station, you\'ll need to fly closer to the station. I\'ll be happy to help you then!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_endor.stf', '64', 's_e8eb7684', 'Ok, bye!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_endor.stf', '65', 's_eb2adf47', 'Ok, come back any time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_endor.stf', '66', 's_ebe2e111', 'It\'s a deal.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_endor.stf', '67', 's_edc85a49', 'Will do! Repairing half of the damage on your ship will cost %DI credits. Ok?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_endor.stf', '68', 's_fb6681b8', 'I love killing Pirate scum!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_endor.stf', '69', 's_fc27931b', 'Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '1', 'do_not_edit', 'The English version of this file (station_lok.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '3', 's_10c4c33b', 'Doesn\'t it always? Some Storm Squadron operatives captured our transport, and the \'guests\'.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '4', 's_14a79f3e', 'That\'s it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '5', 's_169df3bb', 'Never mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '6', 's_185ada38', 'Bah! Later, later. Maybe I\'ll just get someone else.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '7', 's_1b3d0b9e', 'I\'m looking for work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '8', 's_20fce91c', 'I\'m too busy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '9', 's_2d1962b', 'Repair most of it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '10', 's_2f9e3b7b', 'Maybe later.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '11', 's_305434ff', 'I want to land.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '12', 's_3538339', 'I can see that! I mean, I wasn\'t going to say anything, but since you mentioned it... Anyway, we\'ve got all the necessary equipment to fix you right up! Want a complete repair job?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '13', 's_35f718b7', 'Well, there\'s only one starport on Lok that can handle that ship of yours... So will it be Nym\'s Stronghold for you then?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '14', 's_360058b6', 'Easy to say, easy to do! And a bargain at %DI credits, don\'t you agree?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '15', 's_3e88ac8b', 'Ha ha! That\'s the spirit! No sense limping around in a damaged heap, right! This will only cost you %DI credits, and a better price you\'ll never find!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '16', 's_40a7b30f', 'I have a job for you, if you are interested.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '17', 's_445607d0', 'Repair all of it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '18', 's_474141fe', 'I\'m interested in some work, start talking.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '19', 's_4c695dbd', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '20', 's_59b2e836', 'Destroying a helpless freighter, sounds like easy money.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '21', 's_5adb5e96', 'Capture?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '22', 's_5d8ae855', 'Hey hey! Welcome to the Lok system! I can\'t do anything for you at this distance, but give a shout when you\'re a little closer, ok?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '23', 's_5e3dd46f', 'Lazy? Did you say you\'re too lazy? Ha ha! Fine, %NU. You go be lazy then.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '24', 's_60460c5', 'And here\'s your repairs! That ought to allow you to limp back home, anyway.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '25', 's_63942640', 'Hey, you know we\'ve always got something special for you to do, %NU! Those Storm Squadron thugs are always hassling us around here. If you\'re not in the mood for that sort of rumble, maybe you could get our gunships through to upgrade their reactors.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '26', 's_676e1e17', 'Not yet.  And we would like to keep it that way.  They are flying an Imperial Scan Freighter through the system soon.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '27', 's_6c8ffad8', 'I need repairs.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '28', 's_6cc25feb', 'I\'ve got something for you. So... we had acquired some Imperial \'guests\' in the compound and needed to get them to a safe place.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '29', 's_716b5194', 'Destroy.  We already know all that they hope to learn, so what use are they to us?  We want them to be blind to our actions.  Enough chatter, are you up for it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '30', 's_720fe84e', 'Ho-yeah! They won\'t know what hit them! Good luck, %NU!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '31', 's_7488284', 'The Kimogila\'s Claw will be making their departure soon and you will fly with them to their hyperspace jump point.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '32', 's_77685adb', 'You say, \'had\'.  I take it something came up.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '33', 's_8a98e9e7', 'Well, what do you know about the cost of repairing a ship as damaged as yours, anyway? Ask around and you\'ll see that was a fair price. Then you\'ll be back, won\'t you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '34', 's_8d68ee17', 'Sounds dangerous.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '35', 's_94d99aa4', 'I would alert the authorities of your arrival... if there were any!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '36', 's_96576ff4', 'It seems there\'s nothing I can do for you then. Off you go!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '37', 's_a6054d56', 'Repairs complete! How\'s that for quick work? Stop by again if you need anything else!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '38', 's_a6a8081b', 'Don\'t expect them to be alone.  The Imperials can be wasteful, but never count on them being stupid.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '39', 's_a77bdd74', 'Imperial attack is expected, this won\'t be a snooze assignment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '40', 's_a7ea491f', 'So what are the details?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '41', 's_ad7b177d', 'I\'ll take on Storm Squadron.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '42', 's_b1729740', 'I am interested in your credits.  So what little thing is keeping the two of us apart?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '43', 's_b69f3131', 'Bingo.  Are you up to the task?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '44', 's_bb83a046', 'Something new has come up.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '45', 's_bbfa316b', 'I\'m ready for anything.  Let the Kimogila\'s Claw know to expect me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '46', 's_bc1b6f03', 'Ok. I guess I\'d better get back to work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '47', 's_bc62d0fb', 'Greets to you! And welcome to the Lok Station. What are you needing today?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '48', 's_bf151ca2', 'No, just fix a little.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '49', 's_c23916c6', 'Not now %NU, perhaps not ever.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '50', 's_c408ae1e', 'I\'ve notified Vestil Kwass to expect you.  I trust you enjoyed working with him before.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '51', 's_c6280dee', 'My contacts in the stronghold tell me that a transport carrying some very important people will be traveling out of the system soon and they need an escort.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '52', 's_c80840ca', 'Just fix half of it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '53', 's_cac4df9f', 'Not right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '54', 's_ce3f3ff6', 'Your ship has been completely fixed! And that work is guaranteed for life... barring any sort of combat-related damage, or normal wear and tear, or acts of the Force and the like. Come see us again if you have problems at all!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '55', 's_d34f2ea4', 'I will transfer you to our special operations guy, he can handle the mission details.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '56', 's_d38dd40', 'Right! Money\'s a bit tight, isn\'t it? How about we get you running for %DI credits?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '57', 's_d47aa2c4', 'How does this sound? We\'ll take care of three-fourths of the damage, and you take care of us to the tune of... say... %DI credits. Sounds good?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '58', 's_d6695e83', 'No thanks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '59', 's_d70dba34', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '60', 's_daa54d2', 'Go to it, %NU! Our gunships demand respect from the enemies of Nym, but the factory models never really cut it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '61', 's_e39c0a00', 'I\'m much too busy for that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '62', 's_e5ce7fcb', 'I\'ll get our gunships through.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '63', 's_e99611e', 'Hey, around here a love of money is a virtue.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '64', 's_e998576d', 'I can see where I come in.  You want me to get them back?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '65', 's_ea7d0b42', 'Lazy? Did you say you\'re too lazy?  Ha ha! Fine, %NU.  You go be lazy then... and let our boys rot in some Imperial prison.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '66', 's_eb2cfdac', 'You bet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '67', 's_ebe2e111', 'It\'s a deal.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '68', 's_f17c177b', 'It will be.  Every time we take out a mole, some other information leak opens up around here.  I am constantly amazed at how efficient Imperial Intelligence is.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '69', 's_f33a826f', 'Yeah, you\'re not so badly damaged after all, I s\'pose. If you\'re on your way, then I\'ll be getting back to work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '70', 's_fc6171f1', 'Right, so Storm Squadron has you in a fit again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_lok.stf', '71', 's_fef28268', 'Do it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '1', 'do_not_edit', 'The English version of this file (station_naboo.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '3', 's_13eddc62', 'Enjoy your stay in Keren, %NU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '4', 's_14897567', 'Most of it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '5', 's_14ed557a', 'Acknowledged, %TU. Kaadara Starport is awaiting your arrival.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '6', 's_169df3bb', 'Never mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '7', 's_1951f1c1', 'You are too far away for us to be of assistance. Please fly closer and contact us at that time. Out.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '8', 's_1a18a604', 'I\'ll save that freighter!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '9', 's_28586fd5', 'Very well.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '10', 's_2c7bc9c5', 'Might be wise. Carry on then, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '11', 's_2dc4697a', '(Land)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '12', 's_2ebb5be7', 'Yes in fact I do. The Imperial station has informed us that they are looking for some loyal and able pilots to travel to Lok and disrupt some of the Rebel operations there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '13', 's_2f99890c', 'Moenia Starport.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '14', 's_3466611d', 'Bah, that\'s their problem.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '15', 's_382e612d', 'What? Oh... very well. Never mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '16', 's_390e6f9a', 'Enjoy your stay in Theed, %NU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '17', 's_3b9f150e', 'Repairs complete, %TU. 50% of your ship\'s damage has been fixed. Thank you for visiting the Royal Security Forces Naboo Station.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '18', 's_3bf3c89f', 'What\'s the emergency?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '19', 's_41f82cf5', 'Enjoy your stay in Moenia, %NU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '20', 's_43af1e95', 'Ok, %NU. Please comm us if this station can be of service.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '21', 's_4468336c', 'Half of it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '22', 's_45426495', 'Very well. Head for the Karthakk system. An Imperial commander will contact you near Lok.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '23', 's_4b9c311', 'Acknowledged, %TU. How much of the damage to your ship do you want to be repaired at this time?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '24', 's_4bb1f207', 'Acknowledged, %TU. Please transmit your destination for flight clearance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '25', 's_4c695dbd', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '26', 's_5cc333f9', 'Repairs complete, %TU. All of your ship\'s damage has been fixed. Thank you for visiting the Royal Security Forces Naboo Station.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '27', 's_612d9759', 'Moenia Starport (Rebel Pilot Trainer).');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '28', 's_67f72920', 'This station will charge a fee of %DI credits to repair all of the damage to your ship. Are you ready to transfer the funds?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '29', 's_6bbe88b4', 'Kaadara Starport (Imperial Pilot Trainer).');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '30', 's_70876928', 'All of it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '31', 's_72a90512', 'Of course I\'m allowed to land there!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '32', 's_7cffc9b4', 'Acknowledged, %TU. Moenia Starport is awaiting your arrival.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '33', 's_7e7609c1', 'Nym is an honorable man, for a pirate at least. So far he\'s only seen these attacks as a challenge. He seems to think that if the Rebels can\'t handle a single pilot, they are weak. So, if you want I can connect you with the Imperial station and you can get started.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '34', 's_7f991ab5', 'This station will charge a fee of %DI credits to fix half of your ship\'s damage. Are you ready to transfer the funds?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '35', 's_81db3c91', 'Won\'t Nym be angry?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '36', 's_8460cdcf', 'Before I do anything, I need repairs.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '37', 's_8845528b', 'Kaadara Starport.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '38', 's_8e61aac7', 'Acknowledged, %TU. Theed Starport is awaiting your arrival.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '39', 's_90ee7f5d', 'Just a little.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '40', 's_917c9894', 'I\'ve changed my mind. I\'ll be back.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '41', 's_96d14fea', 'Very well, carry on then pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '42', 's_98f3774d', 'Do you need assistance with anything?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '43', 's_98fa9519', 'A loyal pilot...and just in time too! We need your help, stat, pilot!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '44', 's_9c3ac80a', 'Enjoy your stay at our beloved Emperor\'s Retreat, Sir!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '45', 's_9daa68de', 'I\'m not afraid of a pirate!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '46', 's_a0434258', 'This station will charge a fee of %DI credits to repairs most of the damage to your ship. Are you ready to transfer the funds?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '47', 's_a60e86c5', 'You ungrateful... I will report this to your superior, mark my words!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '48', 's_a716a9c7', 'Keren Starport.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '49', 's_be07ed49', 'Acknowledged, %TU. Your clearance to land has been revoked.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '50', 's_bece5a73', 'This sounds too complicated.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '51', 's_c1ae5dd1', 'An Imperial freighter is under attack by the Rebel filth and needs help right away, but I can\'t seem to get in touch with the Imperial space station.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '52', 's_c295eda3', 'Excellent, pilot. The Rebels think they are safe in the Karthakk system since they have a fragile alliance with the space pirate Nym. The Empire doesn\'t want to risk a full out assault on the system. Nym is quite powerful for a pirate and they have enough trouble fighting the Rebels right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '53', 's_c358d041', '(Request Repairs)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '54', 's_c42b6203', 'Theed Starport.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '55', 's_c6aaa6b3', 'Of course, Sir! Let me know when you are ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '56', 's_c9361653', 'Enjoy your stay in Kaadara, %NU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '57', 's_ca5ee405', 'Repairs complete, %TU. 75% of your ship\'s damage has been fixed. Thank you for visiting the Royal Security Forces Naboo Station.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '58', 's_cb44587c', 'This station will charge a fee of %DI credits to make only the most basic repairs to your ship. Are you ready to transfer the funds?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '59', 's_ce98dec5', 'Emperor\'s Retreat.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '60', 's_cebd107d', '(Request Permission to Land)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '61', 's_cfbc1584', 'Acknowledged, %TU. Keren Starport is awaiting your arrival.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '62', 's_d392ae0b', 'Sounds like my kind of work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '63', 's_d6695e83', 'No thanks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '64', 's_d70dba34', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '65', 's_decdd151', 'You have entered Naboo space, under the protection of the Royal Security Forces. Please identify yourself and your reason for visiting Naboo.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '66', 's_e331a0a5', 'I knew I could count on you! Let me patch you through to the freighter\'s emergency broadcast. Good luck, pilot!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '67', 's_e3843534', 'Don\'t underestimate Nym, pilot. He\'s got a tight crew and is clever. The Empire wants to show the Rebels that they are not untouchable anywhere though. So, they are sending in solo pilots to disrupt Rebel operations in the system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '68', 's_e4c8ff17', 'Sorry, I need to land on Naboo right away.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '69', 's_e809e957', 'Theed Starport (Freelance Pilot Trainer).');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '70', 's_ee26e33e', 'No thanks!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '71', 's_f148786f', 'Cancel request to land.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '72', 's_f190c97c', 'Let\'s get started.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '73', 's_f3b40ad6', 'Hmm, yes it does indeed seem that you have the correct permissions. You\'re clear to land, Sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '74', 's_f478139', 'Repairs complete, %TU. 25% of your ship\'s damage has been fixed. Thank you for visiting the Royal Security Forces Naboo Station.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '75', 's_f918e086', 'Acknowledged, %NU. Please comm us when we can be of further service.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '76', 's_f98be94d', 'I don\'t want to mess with Nym.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_naboo.stf', '77', 's_fadd1b3c', 'Nothing at the moment, pilot. I will let you know if anything shows up.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '1', 'do_not_edit', 'The English version of this file (station_rori.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '2', 's_199', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '3', 's_201', 'Heyo-dalee, %TU! Yous comen hereabout.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '4', 's_203', 'Wesa no like yousa! You tink you so smarty!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '5', 's_205', 'I just want to land.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '6', 's_207', 'Okeyday, yousa wanna git ta Roritowns. Mesa tell you howta do it. Yousa speedaway to Nabootowns and yousa taken da shuttle!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '7', 's_209', 'Just let me land, idiot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '8', 's_211', 'Mesa no tink so! Yousa wude. Yousa say sorry or yousa no comenback hare!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '9', 's_213', 'I changed my mind, repair my ship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '10', 's_215', 'Ho No! Yousa tink yousa smarty. Byenow! Yousa not ganna bean friends wit anybody hare!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '11', 's_217', 'I\'m sorry.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '12', 's_219', 'Rilly Sorry?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '13', 's_221', 'Yes, I\'m really sorry.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '14', 's_223', 'Rilly rilly sorry?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '15', 's_225', 'Yes, I\'m really sorry.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '16', 's_227', 'Yousa ganna bean nice ta wesa now?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '17', 's_229', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '18', 's_231', 'Yousa gonna be nice ta all da Gungans now?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '19', 's_233', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '20', 's_235', 'And yousa ganna be rilly nice to Rori-gungans now an allways?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '21', 's_237', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '22', 's_239', 'Yousa promise?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '23', 's_241', 'Yes, I promise!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '24', 's_243', 'Okeyday, den! No more crunchen! We bean friends now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '25', 's_245', 'Oh FORGET IT!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '26', 's_247', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '27', 's_249', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '28', 's_251', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '29', 's_253', 'No, I\'m not that sorry.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '30', 's_255', 'No, not really.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '31', 's_257', 'Den yousa ganna go away now and no comenback hare!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '32', 's_259', 'Ello, boyos! Ah, \'tis yousa. mesa appreciate yousa help!\n\nMesa have some work yousa can do if yousa want, and mesa\'ll also let yousa speedaway down at da Rebel Base on Rori if yousa wanna. Or yousa been crunchen?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '33', 's_261', 'Good, yousa back. But yousa no finishin\' yet!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '34', 's_263', 'What do I do next?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '35', 's_265', 'Yousa next move bein\' to finish yousa current mission. Come back when dat one has been completin\'.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '36', 's_267', 'An Imperial spy in place at mesa supplier has learned of mesa arrangement with dem and is rushin\' to report to hissen superiors. Wesa jammin\' hissen communications, but yousa must go stop hesa before hesa can report in!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '37', 's_269', 'I\'ll catch hm. Don\'t worry.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '38', 's_271', 'Hurry. Hesa gettin\' away!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '39', 's_273', 'I\'ll do this another time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '40', 's_275', 'Arrgh. But hesa getaway. Please hurry back so yousa can catch hims.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '41', 's_277', 'Mesa know dissen one bein\' tough, but Imperial squads sometimes intercept our shipments. Defeat a squadron of Imperial fighters to show yousa could handle dem.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '42', 's_279', 'Imperials, eh? Okay, I\'m on my way.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '43', 's_281', 'Yousa doin\' good. Dem Imperials mean, though. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '44', 's_283', 'I\'ll do this another time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '45', 's_285', 'Okeyday. Return when you are ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '46', 's_287', 'Yousa have ta prove dat yousa can defeat dese Borvo pirates, or mesa repair droid supplier goin\' to refuse future shipments. Go destroy dat squadron of Borvo pirates!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '47', 's_289', 'Borvo pirates. No problem.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '48', 's_291', 'Mesa not like dem Borvo pirates. Yousa make dem hurtin\'.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '49', 's_293', 'I\'ll do this another time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '50', 's_295', 'Okeyday. Return when you are ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '51', 's_297', 'Mesa repair droid suppliers are no confident dat wesa can protect deir ships. Dey are goin\' to back out unless dey believe dey can make deir deliveries in safety. Prove dat dey can be protected by defeatin\' fighter squadrons from our most common troublemakers. First up are Black Sun fighters.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '52', 's_299', 'Black Sun fighters. I\'m on it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '53', 's_301', 'Go show them whosa owns dissen system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '54', 's_303', 'I\'ll do this another time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '55', 's_305', 'Okeyday. Return when you are ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '56', 's_307', 'Dat Borvo pilot whosa stole mesa repair droids escaped, but wesa managed to get a fix on hissen location. Go and get mesa repair droids!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '57', 's_309', 'I\'ll get them! Count on me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '58', 's_311', 'Go and get mesa repair droids! Hurry!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '59', 's_313', 'I\'ll do this another time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '60', 's_315', 'But mesa need dem droids. Hurry and return when ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '61', 's_317', 'Yousa let them destroy mesa shipment! Mesa repair droids! Maybe yousa no up to dissen, but mesa\'ll give yousa another chance. Mostly because mesa have no other option.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '62', 's_319', 'I\'ll protect it this time. Trust me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '63', 's_321', 'Yousa better. Mesa need dem droids.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '64', 's_323', 'I\'ll do this another time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '65', 's_325', 'If yousa must. Return when yousa ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '66', 's_327', 'I want to land.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '67', 's_329', 'I need repairs.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '68', 's_331', 'Ello, boyos! Yous wantin ta speedaway down ta Roritowns? Or yousa been crunchen?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '69', 's_333', 'I want to land.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '70', 's_335', 'Okeyday! Wesa give usa landaway... Which Roritown yousa goen?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '71', 's_337', 'Narmle Starport.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '72', 's_339', 'Allee clear! Yousen landaway now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '73', 's_341', 'Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '74', 's_343', 'Wesa thankin yousa!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '75', 's_345', 'On second thought, never mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '76', 's_347', 'Okeyday! Byenow, %NU!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '77', 's_349', 'Restuss Starport.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '78', 's_351', 'Werry good! Restuss is waitin-now fer yousa!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '79', 's_353', 'Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '80', 's_355', 'Wesa thankin yousa!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '81', 's_357', 'Cancel that request.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '82', 's_359', 'Okeyday! Byenow, %NU!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '83', 's_361', 'The (Rebel) Outpost.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '84', 's_363', 'Werry good! Tey is waitin-now fer yousa!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '85', 's_365', 'Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '86', 's_367', 'Wesa thankin yousa!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '87', 's_369', 'Cancel that request.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '88', 's_371', 'Okeyday! Byenow, %NU!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '89', 's_373', 'I need repairs.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '90', 's_375', 'Oie Boie! You been crunchen, huh? Wesa gonna fix you up!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '91', 's_377', 'Just fix a little.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '92', 's_379', 'Wesa fixen some da crunchen to your ship. You payin %DI credits?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '93', 's_381', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '94', 's_383', 'Okeyday! We dood it!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '95', 's_385', 'Never mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '96', 's_387', 'Okeyday! Byenow, %NU!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '97', 's_389', 'Repair half the damage.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '98', 's_391', 'Wesa fixen halfsies on da crunchen. You payin %DI credits?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '99', 's_393', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '100', 's_395', 'Okeyday! We dood it!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '101', 's_397', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '102', 's_399', 'Okeyday! Byenow, %NU!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '103', 's_401', 'Repair most of the damage.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '104', 's_403', 'Wesa fixen mossen all da crunchen. You payin %DI credits?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '105', 's_405', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '106', 's_407', 'Okeyday! We dood it!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '107', 's_409', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '108', 's_411', 'Okeyday! Byenow, %NU!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '109', 's_413', 'Fully repair my ship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '110', 's_415', 'We fixen all dat crunchen fer %DI credits. Okeyday?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '111', 's_417', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '112', 's_419', 'We dood it! Yousa allee bombad now!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '113', 's_421', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '114', 's_423', 'Okeyday! Byenow, %NU!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '115', 's_425', 'Okeyday!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '116', 's_427', 'We dood it! Yousa allee bombad now!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '117', 's_429', 'Are you sure you can repair my ship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '118', 's_431', 'No problem, %TU! Wesa pitty good at dis!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '119', 's_433', 'Ok, I want repairs.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '120', 's_435', 'Yuosa see, we fix dat crunchen an yousa been good en new.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '121', 's_437', 'Forget it. I\'ll get repairs somewhere else.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '122', 's_439', 'Yousa tink yous smarty den us-ens? Yousa tink yous brain so big. Yousa fixen dat crunchen on your own sef den!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '123', 's_441', 'Have any jobs for an Imperial Pilot?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '124', 's_443', 'Yin\'. Yin\'. Mesa got two duties for yousa. One bein\' ta protect supply line for da Imperial force. Da other bein\' ta reduce Rebel fighter activin\' in dissen system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '125', 's_445', 'I\'ll escort those supply ships.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '126', 's_447', 'Da Imperial order says dat yousa are ta protect supply ships comin\' into da system from bein\' attackin\' and destroyin\' by Rebel fighters.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '127', 's_449', 'I\'ll fight Rebel ships.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '128', 's_451', 'Da Imperial order says dat da Rebels know too much about what\'s happenin\' in dissen system. Yousa are ta knock dem down and disrupt deir efforts here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '129', 's_453', 'Never mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '130', 's_455', 'Okeyday! Byenow.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '131', 's_457', 'Do you know of any work for an RSF Pilot?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '132', 's_459', 'Yin\'. Mesa have two duties for yousa. Yousa can choose one. Da first bein\' ta fight Borvo piratin\' in da system. Da other bein\' ta escort and protect incomin\' dignitary transports from Black Sun attacks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '133', 's_461', 'I\'ll fight Borvo pirates.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '134', 's_463', 'Borvo\'s pirates have been causin\' many problems lately. Yousa orders from da Queen are to take da fight to dese pirates and remind dem whosa controls dissen system. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '135', 's_465', 'I\'ll escort the dignitary transports.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '136', 's_467', 'Black Sun ships have been harassin\' dignitary transports comin\' to Naboo. Da Queen desirin\' yousa help in protectin\' dese ships.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '137', 's_469', 'Never mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '138', 's_471', 'Okeyday! Byenow.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '139', 's_473', 'Would you have any work for a Rebel Pilot?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '140', 's_475', 'For yousa, yin\'! Yousa helpin\' mesa, and now mesa help yousa. Mesa have two duties yousa could perform. One bein\' ta distract Imperial inquiries into dissen station by destroyin\' some Imperial fighters. Da other bein\' ta protect inbound shipments of repair droids.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '141', 's_477', 'I\'ll distract the Empire for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '142', 's_479', 'Thank yousa. Dissen will give those nosy Imperials somethin\' else ta look into instead of mesa. Go destroy some Imperial fighters.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '143', 's_481', 'I\'ll protect inbound repair droid shipments.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '144', 's_483', 'Yin\', thank yousa. Dose repair droids are awful important to dissen station. Without dem, wesa no able to make any repairs, but wesa also can\'t let anyone know wesa are usin\' dem. Make sure dey arrive safely and in secret.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '145', 's_485', 'Never mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '146', 's_487', 'Okeyday! Byenow.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '147', 's_489', 'Hmmm. Mesa hear yousa Rebels are good at keepin\' a secret. If yousa\'ll help mesa wid somedin\', mesa\'ll send some work yousa way. And mesa\'ll even let yousa land at da Rebel Base which mesa no supposin\' to know about. See, mesa can keep a secret as okiday.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '148', 's_491', 'Sounds good. What do you need me to do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '149', 's_493', 'Um, yeah. Da fact bein\', wesa no awful good at doin\' ship repairs, so mesa usin\' repair droids. Awful good repair droids. Da droids do everything and wesa no actually do anythin\'. But mesa don\'t want dissen secret to get out. People might just buy da repair droids demselvin\', and wesa\'d lose all dat moolah.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '150', 's_495', 'Okay, I get it. Where do I come in?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '151', 's_497', 'Mesa needin\' yousa ta protect a shipment of repair droids on its way to dissen station. Borvo\'s pirates keep attackin\' our shipments and tryin\' ta disrupt station business. Escort da freighter ta a safe location where station transports can accept da delivery in secrecy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '152', 's_499', 'I\'ll do it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '153', 's_501', 'Ah, much thank yousa! Make sure dose droids make it here safely.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '154', 's_503', 'No thanks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '155', 's_505', 'Okeyday! Byenow. And forget mesa mentionin\' a Rebel Base on Rori, okay?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '156', 's_507', 'No thanks. I\'m not interested.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_rori.stf', '157', 's_509', 'Okeyday! Byenow. And forget mesa mentionin\' a Rebel Base on Rori, okay?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '1', 'do_not_edit', 'The English version of this file (station_talus.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '3', 's_103ebe2f', 'You are cleared for landing at Dearic Starport. Please confirm.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '4', 's_13cd465', 'Negative, cancel that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '5', 's_16015565', 'Nashal Starport.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '6', 's_169df3bb', 'Never mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '7', 's_16dacacf', 'You are cleared for landing at Nashall Starport. Please confirm.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '8', 's_1b3d0b9e', 'I\'m looking for work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '9', 's_20df8d79', 'I... see... Well, what sort of work do you do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '10', 's_22f23540', 'You are cleared for landing at the Talus Imperial Outpost. Please confirm.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '11', 's_234498b9', 'Very well, %NU. Enjoy your stay on Talus.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '12', 's_278cd19d', 'Alright. I\'ll upload the program to your ship. Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '13', 's_2902ab38', 'Imperial Outpost Starport.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '14', 's_2b17557d', 'It\'s a series of fake smuggling jobs to and from droid controlled drone ships. Some pilots make the run to hone their smuggling skills. But it\'s all just for fun really.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '15', 's_305434ff', 'I want to land.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '16', 's_335e1e3', 'Mag\'n fweroba, %NU! Eshka b\'lor ka pa?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '17', 's_38572429', 'Repair half of the damage.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '18', 's_38ddef56', 'Thanks. I\'d like to land now, please.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '19', 's_39ecf00a', 'Looks like you\'re a little busy right now. Why don\'t you finish up what you\'re doing and come back later.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '20', 's_3a99c5fa', 'N\'rynma, Pa! Range?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '21', 's_3adc835a', 'T\'cost din miska %DI credits. Ka dir pa?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '22', 's_3eaa38fc', 'Thank you, %NU. Please comm the station again when you are within range. I look forward to talking to you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '23', 's_3ee404d7', 'Fnyenk, b\'dor, %TU?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '24', 's_40163a4', 'Eh, you\'re right. Maybe some other time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '25', 's_460e892f', 'Very well. Repairs complete. Thank you for allowing Talus station to be of service.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '26', 's_494f7626', 'Sorry, %TU. Perhaps we may be of service in the future. Please comm Talus Station again if there is anything we can do for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '27', 's_4c695dbd', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '28', 's_5360ec3f', 'Well, if you say so. Here\'s the information for your first delivery run. We\'ll contact you with more information when that\'s finished.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '29', 's_536fb215', 'Good luck to you, pilot!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '30', 's_55ea041', 'Maybe another time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '31', 's_5cf3921', 'Repair most of the damage.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '32', 's_5e3d8b95', 'Nyard\'msh k\'rall deeba Dearic Starport?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '33', 's_5e5b02dc', 'We can repair all of the damage for %DI credits. Is that acceptable, %NU?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '34', 's_608c1c86', 'A very discreet delivery person?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '35', 's_622304ca', 'Oh.... alright. As a matter of fact, yes. I do have a couple of deliveries that you could make. The first one is here in the Corellia system. If that goes ok, then we will contact you with more. Too risky to be seen talking with you here, you see?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '36', 's_672b2c6f', 'Fnyorgin p\'shhis!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '37', 's_67820697', 'Affirmative. I\'m landing now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '38', 's_6997c76', 'Oh, wait... uh. No sir. Not right now. Have a pleasant day, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '39', 's_69e2af52', 'We can repair a half of the damage for %DI credits. Is that acceptable, %NU?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '40', 's_6c8ffad8', 'I need repairs.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '41', 's_7b41cc12', 'Understood. Got work for me, or not?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '42', 's_7dbb29de', 'Very well. Stand by.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '43', 's_808845f3', 'As you wish, %TU. We can offer a variety of services with a fair and balanced fee for the amount of damage you wish to be repaired. Please indicate the degree to which you wish your ship to be repaired.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '44', 's_80d1bac3', 'You know, %TU, there is an IMPERIAL OUTPOST right here on Talus! They could be monitoring ALL of our comms!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '45', 's_8633b901', 'Welcome to Talus Station, %TU. How may we be of service to you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '46', 's_86511be7', 'There are droid controlled attack drones along the way, but hey, what fun is a smuggling job without a little challenge, huh?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '47', 's_8bc61a14', 'Whatever you say, captain.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '48', 's_8c4754ed', 'OK, I\'ll try it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '49', 's_90ab9704', 'Your range is too great for this station to assist you in any way, %TU. In order to request landing clearance or emergency repairs, you must decrease your range.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '50', 's_918c1120', 'Well, it doesn\'t look like you did too well on your last job. Are you sure you\'d like to try again?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '51', 's_91f9c80', 'Alright, I\'ll upload the program to your ship. Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '52', 's_9288900f', 'I understand.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '53', 's_998a06e6', 'You might say I\'m sort of a delivery-person.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '54', 's_9b8f2142', 'Dearic Starport.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '55', 's_a830645d', 'Neeshter syish freg\'n Talus Station. Meesta krand\'t fnyor, %TU?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '56', 's_a9bcbfea', 'Oh, sure. You\'ve proven yourself to be a pretty decent smuggler. Why don\'t you try out the Tusk Cat Run?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '57', 's_ab4e2dfb', 'Say, you ARE a pretty good delivery person. Stop by again the next time you\'re around. We might have a little something for you to try out.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '58', 's_ab77f60d', 'Is it dangerous?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '59', 's_afed720c', 'We can repair a little of the damage for %DI credits. Is that acceptable, %NU?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '60', 's_b1f89988', 'Thanks. Good-bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '61', 's_b27ab51e', 'Sure, sounds like fun!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '62', 's_b2f28d35', 'We can repair most of the damage for %DI credits. Is that acceptable, %NU?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '63', 's_b3c0bdbd', '(switch to encrypted channel)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '64', 's_ba2af981', 'Repair all of the damage.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '65', 's_be61c03c', 'Maybe some other time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '66', 's_c245bae', 'Pa!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '67', 's_c2a24c7f', 'What is the Tusk Cat Run?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '68', 's_c358d041', '(Request Repairs)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '69', 's_c36f297f', 'Thanks. I need repairs now, please.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '70', 's_c8613339', 'Very well, %NU. Talus Station is at your disposal should the need arise.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '71', 's_cd4fd870', 'Nyard\'msh k\'rall deeba Talus Imperial Outpost?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '72', 's_d082abf0', 'Repair a little of the damage.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '73', 's_d3b3ffb2', 'Nyard\'msh k\'rall deeba Nashal Starport?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '74', 's_d70dba34', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '75', 's_e03a2006', 'Yes, of course I\'m sure.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '76', 's_ec207c14', 'As you wish, %NU. Please comm Talus Station again if we may be of any service to you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '77', 's_ec7d72e3', 'Oh! Oh! Please switch to encrypted holochannel p278-98-alpha.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '78', 's_f34bcf78', '(Request Landing Permission)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '79', 's_f3dea437', 'Ok, I\'ll fly closer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '80', 's_f7c832f1', 'Imperial Outpost (Imperial Pilot Trainer).');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '81', 's_f895eb69', 'Kan\'dest ka nir zint! Pa!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '82', 's_fd46b8d9', 'Kan\'dest ka nir zan da zint! Pa!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '83', 's_fe3902e2', 'You know it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_talus.stf', '84', 's_ff85dbce', 'No problem, %NU, you\'re welcome to land anywhere on Talus, at any time. What is your destination?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '1', 'do_not_edit', 'The English version of this file (station_tatooine.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '3', 's_121c3b6', 'What does this look like, an unemployment agency?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '4', 's_12b89c7f', 'Very well, good luck. Oh, and this target you\'re going after, he\'s a clever guy. Make sure to search the cargo of his ship if you get him.  He\'s bound to have something interesting.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '5', 's_1ba81e14', 'Fine by me. Stay in orbit and rot. Tatooine Station, out!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '6', 's_1d21e3c0', 'Let me see if you\'re welcome there. I guess you are.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '7', 's_1dbd74da', 'Well hail me when you figure out what it is you need.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '8', 's_27445295', 'Your ship has been completely fixed. No doubt I\'ll be seeing you again real soon. Ha!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '9', 's_28b0a7fa', 'Well, if you don\'t mind helping the Hutts, I might have something.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '10', 's_2a7858d1', 'Well, hail me when you figure out what it is you need.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '11', 's_2e631d52', 'Hook me up!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '12', 's_2f2188d5', 'I will come back later.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '13', 's_3147a9c7', 'Sounds interesting, how do I get started?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '14', 's_333ffc01', 'Yeah, yeah. Tatooine station, out!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '15', 's_35221afe', 'So I noticed. Looks like you bit off a little more than you could chew. So what do want: a complete overhaul or just enough repairs to put you back on your way?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '16', 's_375a3c20', 'I just want to land on Tatooine.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '17', 's_382cb25f', 'Hutts?! I don\'t think so.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '18', 's_39076454', 'Suit yourself, you were probably not the right person for the job anyway.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '19', 's_3cbb3f38', 'Keep in mind, the target is pretty dangerous. Looking at you, you may need some help in completing this. Anyway, if you are ready now, I will patch you up to the contact Lady Valarian gave me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '20', 's_3cdf6820', 'Mos Espa Starport (Rebel Pilot Trainer).');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '21', 's_42648804', 'Ok, how does %DI credits in exchange for repairing three-fourths of the damage sound to ya?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '22', 's_4360fc64', 'Do you have any work for me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '23', 's_43b6dcb9', 'I\'m too busy to wait. Let me know when you figure out what it is you want.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '24', 's_43d2bcbe', 'Bestine Starport.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '25', 's_462a718b', 'Lady Valarian has placed a bounty on one of Jabba\'s smugglers and is looking for competent pilots to collect it. Interested?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '26', 's_4650b19f', 'Watch your back.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '27', 's_4c695dbd', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '28', 's_4d9fae53', 'Ok, there you go. We fixed just enough to get you out of my face. See you next time. Ha!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '29', 's_4dc4840b', 'Wait, I changed my mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '30', 's_4fd56d4d', 'Mos Eisley Starport (Freelance Pilot Trainer).');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '31', 's_52917b0d', 'Of course.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '32', 's_5739799e', 'These are not times to be picky, but suit yourself.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '33', 's_5964dabc', 'I don\'t think so, maybe another time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '34', 's_5984746e', 'I want to land on Tatooine.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '35', 's_5cf3921', 'Repair most of the damage.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '36', 's_5e2a2bb1', 'Sounds good.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '37', 's_630ab375', 'Alright. The Hutts are hiring pilots to assist them in capturing freighters around the Tatooine system. If that sounds like something you want to do, I can connect you to one of them right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '38', 's_66b68768', 'I thought so.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '39', 's_696719e4', 'Minor repairs.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '40', 's_69ffeefe', 'Mos Entha Starport.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '41', 's_6aea6f34', 'Repair half the damage.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '42', 's_6c8ffad8', 'I need repairs.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '43', 's_6ff46cdd', 'Go ahead and land. No one there cares who comes or goes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '44', 's_75ba8830', 'Mos Espa Starport.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '45', 's_7a45c683', 'We can repair all the damage on your ship for a mere %DI credits. Good luck finding another offer like that around here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '46', 's_82f403b1', 'I don\'t have time for this, come back when you have made up your mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '47', 's_83bace61', 'Yeah? Anywhere in particular or were you just gonna set down in the desert?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '48', 's_895d093', 'Ok.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '49', 's_96bea28d', 'I just need repairs.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '50', 's_a5254f36', 'No I don\'t have time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '51', 's_a9152d31', 'Hey, you! What do you want?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '52', 's_a9ce7ad3', 'Hey, what do you expect me to do for you when you\'re so far away? Come closer before you bother me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '53', 's_b086bdca', 'Fine by me. Repair it yourself.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '54', 's_b26eb03c', 'Good riddance!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '55', 's_b6e0e78d', 'Repairs complete. You\'re almost as good as new. Good as you probably need to be, anyway.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '56', 's_b729c637', 'Land in the Dune Sea for all I care. Tatooine Station, out!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '57', 's_b9b27823', 'Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '58', 's_c1013aa7', 'Whatever.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '59', 's_c130a6b8', 'Sure, we can do that. Does %DI credits sound fair?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '60', 's_c4682ea6', 'Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '61', 's_c5b42136', 'Repairs complete! See you soon! Ha!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '62', 's_ccbc6cf4', 'Mos Eisley Starport.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '63', 's_cd0dcead', 'Of course not.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '64', 's_ce4621b5', 'Jabba\'s Palace.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '65', 's_d0fd857b', 'I\'ll take it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '66', 's_d1076b9d', 'Repair all the damage.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '67', 's_d195782', 'Wait! I changed my mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '68', 's_d6695e83', 'No thanks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '69', 's_d70dba34', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '70', 's_d7e462ff', 'Very well, give me a second.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '71', 's_da196589', 'Nevermind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '72', 's_dbc1c043', 'Bestine Starport (Imperial Pilot Trainer).');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '73', 's_dd4bb16d', 'Let\'s do it!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '74', 's_e1ef9209', 'Wait, I don\'t want to land there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '75', 's_e2190b5d', 'That name, I recognize that name. Oh, that\'s right, you\'re on my list to be offered some sensitive work if you\'re interested.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '76', 's_e76d5278', 'On second thought, I don\'t want to land there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '77', 's_ea06a410', 'Ok, you\'re clear to land.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '78', 's_eecfecc1', 'We can touch up the paint for %DI credits. How\'s that sound?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_tatooine.stf', '79', 's_f2b8a1d8', 'What kind of work?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '1', 'do_not_edit', 'The English version of this file (station_yavin4.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '3', 's_1000a375', 'Sure, what can I do to help?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '4', 's_1642841a', 'So...so did you find out...anything?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '5', 's_169df3bb', 'Never mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '6', 's_170a9bf2', 'I will take a crack at the second area.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '7', 's_17204aa9', 'Ok! Back to work, right!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '8', 's_1be05588', 'Did the ship go boom? I hope you made them...pay for scaring all of us. They will think twice about trying anything like that again, right?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '9', 's_1c7eca56', 'The third area is probably where they are.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '10', 's_1e323046', 'I have been watching you and I think you are just...shady enough to be of use. Maybe you would like to carry a...a secret package to Naboo. No questions asked, right?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '11', 's_1e46e4ca', 'I need to try again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '12', 's_238a5da3', 'Oh yeah, right! You\'re ok! Land when ready, huh!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '13', 's_24645c62', 'What is the message?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '14', 's_27407967', 'You got the ship back in one piece. Your command will be pleased to discover that. We have transferred the freighter to them and they are...they are questioning the pilot, right?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '15', 's_281a828d', 'You want me to...to stall the Empire? I am grateful for what you have done but I will only stall them for a little while, right? What else can I do for you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '16', 's_29093d3e', 'Okay. They are not going to hold off on killing our man much longer, right? Try to hurry.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '17', 's_2b11ced5', 'Bosses think we should send Corellia Deep Mining a...a message. We pay you to go destroy the leader...you know...of these fake Massa...the mercenaries, right? We have spotted where that ship is. You got destroy them and then we laugh at Corellia Mining Company, right?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '18', 's_2b867034', 'Yeah, right? Ok. Where do you want to land now, huh?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '19', 's_2c9ad69a', 'Do they want anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '20', 's_2d2ea22b', 'Fine...I will tell your command and it will not be company\'s fault, right? They can...well they can blame you for not doing what needs to be done. Maybe you make things right later on. Is there anything you need now?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '21', 's_2dbe402f', 'There was nothing there. Let me try again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '22', 's_2dc4697a', '(Land)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '23', 's_2e963e84', 'They are not going to like that...you know. You are in luck...another freighter left and they didn\'t pay either. Maybe you should...you know...get them, right? I will send you an update to where they are, okay?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '24', 's_305434ff', 'I want to land.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '25', 's_32c93882', 'Fix half the damage.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '26', 's_33418857', 'You seem a little out of it today.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '27', 's_337d7f80', 'He said...he said you need to focus on one task at a time, right. Come back when you are not working, right?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '28', 's_36142d2b', 'I can\'t do this right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '29', 's_362a48e0', 'Anything else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '30', 's_382df536', 'How did...your assignment go? Did you help the convoy out...did you find out who is doing this to us? We are still getting reports...of trouble from all over the system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '31', 's_38f85840', 'Massassi?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '32', 's_3aac2f84', 'Yeah, right! You can never mind, too, huh?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '33', 's_3c12de44', 'I don\'t have time for this right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '34', 's_3d4bf49c', 'Fine...fine. I will update the location of the enemy ship yet again. The bosses are getting impatient and want this matter solved...you know...quickly, right?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '35', 's_40aac287', 'No, thanks. Sounds too dangerous.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '36', 's_4110b7ff', 'Wow...I didn\'t think you would say that. Maybe, you come back later and save us all from...from certain doom, right?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '37', 's_41cc7b3e', 'Ya? Me either. I don\'t like crazy people and they are...touched, you know. I send you to areas where they hang out. You kill them all, right? The company will pay for each one you take out.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '38', 's_4658b1ba', 'No, thanks. I think I will stay out of this.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '39', 's_48d5ef59', 'I am just the pilot you are looking for.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '40', 's_4bb8df07', '%DI credits! You gotta pay now, huh!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '41', 's_4ed46b5d', '[relate mission details]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '42', 's_4f34ceb5', 'That showed those crazies that we mean business. You did...good. The bosses like it when a plan works out.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '43', 's_4f36a268', 'Ah, so they are not Massassi! The Corellia Deep Mining Company was just trying to...you know...scare us into leaving and taking our operation over. HA! They almost got away with it too. You sure meddled in their plans, right? I bet...I bet they are not happy right now. We will pay you for doing so good.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '44', 's_4fe53802', 'The bosses are very...pleased, right? You got our man back from the loonies. We always pay for a job well done. If you...you know...don\'t mind we might have more work for you in the future.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '45', 's_504c55d7', 'I need to go out again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '46', 's_5171cf99', 'You brought back a very nice...prize for your command. They are glad...they are pleased that you have succeeded.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '47', 's_5482942', 'Yes...payment. Here is your pay for a job well done. Now forget you ever did that for us, right? Is there anything else you need?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '48', 's_54aa968b', 'Oh...yes. They have told me to pay you for them. Is there anything else I can help you with?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '49', 's_550d80c', 'I am looking for some quick work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '50', 's_56df1754', 'So...so did you find them? Maybe not...eh? Yes, right? Did you stop them from killing us all?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '51', 's_57a3711', 'Well, I...we need help! But you are too busy...too busy. If you were not working on something else...you know...you could work for us!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '52', 's_5b3f10e8', 'I will try to help them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '53', 's_5bbcc6ae', 'Sounds like I can help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '54', 's_5bd69df6', 'What do you need me to do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '55', 's_5f17be38', 'I will check out the second location.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '56', 's_61d2adfc', 'So what does the computer say about the Massassi?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '57', 's_66b09324', 'Well...I cannot say that the executives are...you know...happy about this turn of events. We cannot pay you for this...job, right? But at least you were willing to help. Maybe in the future we can have work for you...work that you won\'t screw up.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '58', 's_698e2f7b', 'I think I will head to the second area.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '59', 's_6a96c9e9', 'Huh? Oh. Ok, thanks anyway.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '60', 's_6c8ffad8', 'I need repairs.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '61', 's_6ca9e420', 'Good...good. You need to meet our delivery ship in this system and take it out to Naboo. When you are in Naboo, you need to...to fly a special route. Our pickup man will recognize you by that route. If anyone interferes you will...well you will have to make them uninterfere, right?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '62', 's_6e605bd6', 'About payment?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '63', 's_6f79f449', 'People...dead long time ago. They lived on Yavin...you see their writings all over Yavin 4. I will use computer to translate, right? I don\'t know why...I don\'t know how the fighters would be using Massassi language. That is very strange, right? We will pay for your services. Computer should have answers soon.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '64', 's_6ff7e194', 'Stall them. I need to do something else.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '65', 's_70ff6541', 'Good...good. I will point you in the right direction again, okay? Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '66', 's_74cde053', 'Debris Cult! They are here...wait no...oh! My bosses said they have something for you...you know...to do. But they need your full attention, right? Come back when you are not...you know...working on something else.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '67', 's_75d9fc2d', 'That is great...great news. I will send you information on where he is being held. Capture the ship and...and bring it back here, right? You do this for us and we...we will not forget, okay?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '68', 's_7771bbc9', 'I need to get back to you on that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '69', 's_7afe2900', 'Imperial Base.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '70', 's_7c3eca7b', '50% of your ship\'s damage has been fixed. Now you go on.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '71', 's_7ce5949b', 'Hmmm...oh, yes...yes, you can. We are having this problem with those crazy debris cultists, right? They decided that we were to blame for the Imperial salvage operation and have taken one of our executives hostage. Those loonies say that if we don\'t leave they are going...they are going to kill him, right?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '72', 's_7d8d113d', 'Let me see that. Oh...wow! This is great. This has the location of where they are keeping our man. We will pay you for your help in finding this, but maybe you could...you know...rescue our executive, right? We might have a...short time so you let me know when you are ready, right?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '73', 's_7de495e9', 'Just fix a little of it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '74', 's_7e57c029', 'I am looking for some special work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '75', 's_7e90de8b', 'So does my command need anything now?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '76', 's_7ee088d3', 'Ok, you know what you are doing, right? I will send you a patrol route that...it will take you around the area mentioned in the writing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '77', 's_7f4fd215', 'I can rescue your executive now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '78', 's_7fab133d', 'Alright, so what do you need now?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '79', 's_826b822', 'Mining Outpost.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '80', 's_82e7434e', 'Fine...same drill as before. We will give you new package to deliver. You do this and we pay you, right?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '81', 's_84388bb', 'Ok, I will take care of that for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '82', 's_84ee6fa0', 'I will check out the first location.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '83', 's_85861a57', 'Hmmm? Yes...messages from your...commander. But he said that you cannot be working on...you know...other things. So maybe come back when you are free, right?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '84', 's_85a18987', 'Yes...yes. That is good...great news. We will pay you for what you have done. You are good pilot, very good pilot. Is there anything else you need?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '85', 's_85e232ff', 'I will watch over the freighters.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '86', 's_8684604b', 'Nope, but I will go look again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '87', 's_86922104', 'Yes. I found this on the debris cult ship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '88', 's_89761e1', 'You are busy. I am busy. Too busy to discuss this matter. Come back when you are less busy, right?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '89', 's_89c7160a', 'We have this convoy that just sent out a...a distress signal. They need help. You can go help them and maybe also find out who is...you know...attacking them, right?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '90', 's_8ac5cbaf', '[relate details of mission]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '91', 's_8bd7b9f9', 'I...I understand. We could really use your help in dealing with these loonies. But if you won\'t, you won\'t. Is there anything...anything else you need?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '92', 's_8d876d5d', 'How is that Debris Cult problem going?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '93', 's_914cece8', 'Ok, see you, right? Later, huh!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '94', 's_9512e7b6', 'Ah, so you just need quick...job, right? I have what you need. We need help with...cutting down on the Debris Cult numbers. Also, maybe you...if you want...could help escort some of our freighters?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '95', 's_96106d14', 'Your high command...well...they wanted one of their people to go get this freighter. You can go get this freighter, right? I will send you the location of where it is...you better hurry before it leaves the system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '96', 's_97155f17', 'I will need to get back to this problem of yours.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '97', 's_994bdf16', 'You will! Great...that makes me happy to hear. I don\'t want to be killed by these...Massassi. The document mentions three areas that seem to be...to be important. Those might be good to check out, right?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '98', 's_9d3a870e', 'They told me to give you...I am supposed to pay you. They also said that they are almost done with the questions and they might need you to help...you know...later.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '99', 's_9ed36c63', 'Do...what? We didn\'t ask you to do anything, right?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '100', 's_a0d09783', 'Only my failure. I need to try again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '101', 's_a11e9514', 'Yeah, you should go out again. What route do you plan on taking this time?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '102', 's_a3447b3e', 'No, thanks. I will pass.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '103', 's_a3a3ddb5', 'Fix all of the damage.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '104', 's_a5105d38', 'Glad I could help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '105', 's_a5e6e823', 'Quick work? You already have a...a job. Finish that before we spend time working together, right?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '106', 's_a7682fb9', 'Yeah, no worries, right? We will deal with it. So what do you want?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '107', 's_a8657d8a', 'Yes? What? I mean... oh. Yavin Four Labor and Mining Company station, here. Who are you and what do you want?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '108', 's_aa668ed0', 'I never liked those cultists.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '109', 's_ac3664be', 'Those Massassi are sure...sneaky. Which area would you like to check out next. You go out and you will find them, right?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '110', 's_ac4d2f7b', 'Yeah, you got damage, right. We can fix that, no problem, huh?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '111', 's_ac93ee89', 'Right, never mind, huh? I guess so!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '112', 's_afffbb01', 'Hmmm...well all reports show another ship in the same area of the Corellia system. Maybe you go check that one out, right?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '113', 's_b0064b47', 'Sounds like a mystery for me to solve.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '114', 's_b10d0d97', 'Don\'t know! It\'s not pirates, since they are not taking anything...just destroying. Maybe you could find out who it is...if you want. We will pay you, of course, right?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '115', 's_b1d9e97d', 'I would rather not get involved right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '116', 's_b239081a', '25% of your ship\'s damage has been fixed. Now you go on.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '117', 's_b3228c04', 'You can go kill the cult leader, right? The leader of the...loonies never tries to hide so we know where he is. We can send you right to him. You blow that crazy out of the system and we will pay you for your...services.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '118', 's_b4d282f9', 'No worries...I said nothing, right?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '119', 's_b745173d', 'What? Oh, it\'s you. Did you find out anything about our missing man?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '120', 's_b883f442', 'So, the leader got away, right? Not that it is any problem really...he came back. I told you they were loonies. Even with us...trying to kill him, he still comes back. You can take another whack at him, right?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '121', 's_b942e498', 'Oh yeah, right! Hard workers there. You\'re ok! Land when ready, huh!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '122', 's_b989d1b3', '(Abort Landing)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '123', 's_bad44c3c', 'I do not have special work for busy...pilots. Finish what you are working on and then...you know...I might have something for you, right?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '124', 's_bc264042', 'I will get back to this problem later.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '125', 's_bc357ddf', 'Did you find...you know...any of those Massassi out there? Wait! I don\'t want to know...I don\'t like ghosts. You just tell me if you won or lost, right?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '126', 's_bee28138', 'Glad you have asked...glad indeed. The bosses are still...you know...mad about the hostage taking incident, right? Maybe you could help make them...not so mad, you know?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '127', 's_bf4f4650', 'It seems to be some sort of warning...these Massassi want us...the company...to leave the planet and system. If we do not, they...they will kill us all. Maybe you could destroy them first, right?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '128', 's_bf522c1c', 'What? No...yes! It\'s nothing, right. Well, actually we have been losing lots of ships lately. They are being attacked and destroyed. No survivors. The bosses decided...for safety...to send out convoys of freighter but that apparently hasn\'t helped.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '129', 's_bf544155', 'I take it that you failed and don\'t want to try again. I understand...those mystery fighters worry me too. We will find a way to deal with them...maybe you will help in the future...right?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '130', 's_c04cb7fd', 'I just got another report of another convoy in trouble. Maybe you would like...you know...try to help them out, right?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '131', 's_c1a784c7', 'Hey, you are back..good. Did you find the evil Massassi trying to kill us all? You did...didn\'t you? Did you destroy them all...you know...and save us?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '132', 's_c22323cb', 'That area is very dangerous...but you are good pilot, right? I will send you patrol route. It will take you around the area mentioned by the Massassi.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '133', 's_c26109ef', 'Not right now. Maybe later.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '134', 's_c3e92bf9', 'I see you out there, right? But why are you so far away? Can\'t help you with anything from way out there, huh? Ok! Fly closer if you need me, right!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '135', 's_c4025f7f', 'You let me know what you want to do, right? I will see to it that you get what you...what you need.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '136', 's_c65f1e3e', 'I don\'t want to talk about it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '137', 's_c820fb26', 'Ok, ok...we still happy that you helped us before. What can we help you with...now, right?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '138', 's_c88bcdf1', 'Let me try out the first area.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '139', 's_c9085385', 'No worries...you just let me know if you are interested. So...can I help you with something now, right?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '140', 's_c9c08b99', 'Let me try again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '141', 's_ca8c30c3', 'We got word from our man in Naboo that the...that the special package made it there. You did...good.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '142', 's_ce5c006e', 'Let me check out that...document you recovered. What! This shouldn\'t be...not at all. This document is written...it is written...in Massassi. But Massassi are dead...they all dead...hundreds...thousands...they all dead a long time ago.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '143', 's_ce7c38dc', 'Not yet. I need to try again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '144', 's_cfeb314', 'What? Who are you...wait never mind. Let me see here...oh, yeah, this. Listen this isn\'t the company\'s fault...this is the pilot\'s fault, right? We hired some pilots to help us ship some stuff and they didn\'t pay their Imperial flight taxes before they left the system. We reported it to your command...you know...like a good loyal company would.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '145', 's_d0a3dd21', 'My bosses are not happy that you...you know...lost the first man. But they are pleased to get a new, shiny executive fresh from headquarters. The bosses told me to pay you. Also they said for me to give you...work if you need it, right?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '146', 's_d1e796bb', 'You got it. I will send you a patrol route that will take you around the area mentioned in these writings. You go out and see what...see what you can find.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '147', 's_d431431b', 'Are there any messages for me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '148', 's_d6871012', 'You\'re the boss, right? If you want to take another...shot at him, just let me know.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '149', 's_d751e8a9', 'I cannot wait to see look on...on their CEO when we tell him...you know...that we know. I will send you the location of their ship. You go blow it up and we all profit, right?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '150', 's_d7bd9744', 'Let me check out the first area.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '151', 's_d8fb3431', 'Our man in Naboo said he didn\'t get the...special delivery.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '152', 's_dce1cf5c', 'That is great news...I will tell the bosses that I have found a pilot that can help us out. We don\'t know where they are keeping our man, but we do know where the...demands are being broadcast from. If you go check out that ship, I bet they will know where our man is, right?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '153', 's_e0bc7c8a', 'I need repairs');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '154', 's_e233265e', 'Fix most of the damage.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '155', 's_e5cc8ab2', '75% of your ship\'s damage has been fixed. Now you go on.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '156', 's_e6b2affe', 'That mercenary will not be pretending to be Massassi again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '157', 's_e6bdd32b', 'That is good. The company has been having...problems with our freighters being attacked. We will pay for each freighter you get out of the system, right?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '158', 's_e6e072e0', 'What? Mining Outpost? Ok, right. You\'re clear. Land any time you want, so!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '159', 's_e9060855', 'I will check out the third location.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '160', 's_ea72067c', 'Can we send message taunting Corellia Mining Company? I have been waiting...been waiting to taunt them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '161', 's_f03bdbb4', 'You seem a little confused. Can I help?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '162', 's_f2d0e888', 'I got a report that they...you know...finished their questioning of the pilot you brought back. It would seem that this is...this is part of a larger smuggler operation. They need you to travel to the Corellia system and meet with the ship...the vessel that the freighter was going to meet with. I have been instructed to send you the location, right?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '163', 's_f366ed39', 'Here is your payment...for services rendered...as promised. You just let me know if you are willing to do some more work. Yes, we always have something that needs done, right?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '164', 's_f3ae756e', 'Right...you make the call. You let me know when you are ready, right? What can I do for you now?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '165', 's_f3c91859', 'Your ship is fixed, now. So! Now you\'re leaving, ok!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '166', 's_f4af242d', 'Labor Outpost.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '167', 's_f5012975', 'Are you sure? Yes...yes you are sure, right? Fine, maybe you keep the Massassi from slaughtering us all later. Do you need something else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '168', 's_f771fd8a', 'Let\'s just say it didn\'t turn out well.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '169', 's_f7a9938a', 'Who is attacking your vessels?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '170', 's_f81ac626', 'Your command wants an update...you know...on your progress with the smuggler operation. Do you have anything to report?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '171', 's_f87400e1', 'Did you get the vessel? Your command wants a...an update. I will contact them with what happened, right?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '172', 's_fa50b9ba', 'Sure. I won\'t miss this time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '173', 's_fb527baf', 'How did...your assignment go? Did you help the convoy out...did you find out who is doing this to us? Do not keep me in suspense...what did you find out?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '174', 's_fc7d4b5c', 'Good...great...wonderful. You go and help them now. I will send you their location, right?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '175', 's_fca1af26', 'So what about those fake Massassi?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '176', 's_fd0f3d0e', 'No...well not right now anyways, right? How about you finish up with what you are...you know...working on. Then come back and see me, right?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/station_yavin4.stf', '177', 's_fdfb1283', '(Transfer funds)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_bestine.stf', '1', 'do_not_edit', 'The English version of this file (story_loot_bestine.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_bestine.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_bestine.stf', '3', 's_2e41605f', 'Your aura indicates you are a pilot. Is this true, young %TO?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_bestine.stf', '4', 's_324c1a5a', 'Yeah, but.. I gotta do other things.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_bestine.stf', '5', 's_499a8089', 'Dathomir? Even more impressive. I suppose I can tolerate you a little longer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_bestine.stf', '6', 's_49ebaa61', 'Corellia.. what a waste of my time!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_bestine.stf', '7', 's_50394b57', 'Why, indeed, it is. I\'ve never noticed him before. Of course, it\'s a Hutt, you dolt! In fact, *he* is my employer. I highly recommend oweing him the proper respect. He hasn\'t been fed today.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_bestine.stf', '8', 's_6128587b', 'What information? Where can I find it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_bestine.stf', '9', 's_61e0fe65', 'Oh... it\'s you. Well, what did you find? If you managed to find anything with your mundane fighting skills, just drag the object on me and we\'ll get this over with.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_bestine.stf', '10', 's_66e27b28', 'I don\'t have all day to chatter with you, little %TO. The information can be found in the space systems. Go up there, try not to die *too* often and collect information from the enemies you eliminate. The information can be in the form of a log or even a diary. Go now. Your presence make me nauseous.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_bestine.stf', '11', 's_6c3929dd', 'Hurrah. You managed to bring something back from Yavin 4. I\'m not impressed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_bestine.stf', '12', 's_6d679a15', 'You petty %TO. My employer, Belhata the Hutt--how original--is here to mingle with his... \'friends\', the twisted politicians of Bestine. While Belhata is here, he assumed it would be a good idea to employ peons, like yourself, to gather information for him. Unfortunately, to make it worth while, I have to pay you for any type of information you find. My life has turned painfully pitiful.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_bestine.stf', '13', 's_781f5cfe', 'Out of all the creatures to make you nauseous...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_bestine.stf', '14', 's_7b7f4a0f', 'I said go!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_bestine.stf', '15', 's_7cbeeeed', 'No, I don\'t want to get you any information!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_bestine.stf', '16', 's_811e4893', 'I suppose this information will be worth a few credits.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_bestine.stf', '17', 's_a050b81f', 'That\'s a shame.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_bestine.stf', '18', 's_b05e0d8c', 'Fine, then don\'t!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_bestine.stf', '19', 's_c03b2cd7', 'Yes, yes. Go away.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_bestine.stf', '20', 's_c10227fa', 'You\'re setting your sights a little higher, I see. I still find you annoying.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_bestine.stf', '21', 's_c2e59721', 'Wow! I\'ve never seen one before. What is he doing here?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_bestine.stf', '22', 's_c333eea', 'I\'ll bring you your information, but only because you\'re paying me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_bestine.stf', '23', 's_d4673a', 'Not a pilot, eh? Go away. We don\'t want to talk to you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_bestine.stf', '24', 's_d7e58047', 'Tatooine. I could walk outside this cantina and find more information than this!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_bestine.stf', '25', 's_da2693fc', 'Endor? I\'m slightly impressed. You may not be completely wrothless, after all.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_bestine.stf', '26', 's_de1ad09e', 'Yeah, sure. Hey, is that a Hutt?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_bestine.stf', '27', 's_e523caed', 'Of alll the places, you decided to hunt in Naboo? Ugh. Please leave. Find something better than this next time!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_bestine.stf', '28', 's_f468472d', 'From a freighter? You may be a good choice to serve in our court. Ruthless, I like it!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_collector.stf', '1', 'do_not_edit', 'The English version of this file (story_loot_collector.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_collector.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_collector.stf', '3', 's_11bab004', 'Yousa hep mesa?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_collector.stf', '4', 's_18833216', 'Oh. And you need information?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_collector.stf', '5', 's_20931802', 'Ooie booie! Mesa welcome yousa, boyo! Did yousa find anythin\'? If yousa did, drag da object onto mesa and mesa pay yousa for it! Okieday?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_collector.stf', '6', 's_236d3d10', 'Maccaneks..? Yousa basic folks say \'ship\'? Flyin\' in da space?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_collector.stf', '7', 's_253fa7ea', 'Oh. Okay. I\'m sad.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_collector.stf', '8', 's_26df7294', 'Corellia.. Mesa thank yousa for hepin\' mesa with dis.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_collector.stf', '9', 's_2b8acda7', 'I\'ll think about it. I need more information.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_collector.stf', '10', 's_37b0ec80', 'Naboo! Mesa recognize anythin\' from dere. Thank yousa for hepin\' mesa. Yousa moola.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_collector.stf', '11', 's_48d5fb5a', 'I can\'t understand a word you\'re saying.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_collector.stf', '12', 's_579e662c', 'Uh.. no thanks. I\'ll be going now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_collector.stf', '13', 's_5a59fcdc', 'Sounds good. I\'ll go look and come back.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_collector.stf', '14', 's_5d39c47e', 'Ooie booie! Yousa a pilot! Mesa need yousa hep with somethin\'. Okieday? Will yousa hep mesa? Mesa need some information from da space systems above usan. Yousa have a maxibig maccaneks, okieday?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_collector.stf', '15', 's_618244d1', 'Yes, I will *help* you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_collector.stf', '16', 's_64f35d26', 'Ooie booie, Endor! Mesa hear lot of rumors about dat space system. Stinkowiff Imps!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_collector.stf', '17', 's_7cabd9ea', 'Mesa thankful.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_collector.stf', '18', 's_8bac8381', 'Ooie booie! Mesa happy!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_collector.stf', '19', 's_91b60e5f', 'Dis\' from Yavin 4. Mooie mooie! One day, mesa hope to visit de space systems too. Okieday! Mesa almost forgot. Yousa moola.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_collector.stf', '20', 's_9a173443', 'Okay. Now we\'re getting somewhere.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_collector.stf', '21', 's_a3b5a049', 'Lok.. Mesa not heard much about dat place. Was yousa okieday up dere?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_collector.stf', '22', 's_afaf698', 'Ooie booie! Yousa not a pilot. Mesa need a pilot. Okieday?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_collector.stf', '23', 's_b21c6039', 'Ooie booie! From Dathomir? Dat deserves a lot of moola, okieday. Yousa moola.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_collector.stf', '24', 's_b5402a0f', 'Wheresan isa dis from? Ooie booie! Itsa from a freighter. Yousa not a mooie mooie nice %TO!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_collector.stf', '25', 's_b59591d7', 'Okieday. Mesa sad now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_collector.stf', '26', 's_c416ff05', 'Dantooine isa a fine place. Yousa moola.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_collector.stf', '27', 's_c5da1302', 'Okay. Sounds fair.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_collector.stf', '28', 's_c7c399e0', 'Tatooine! Mesa hear many thin\'s about space system. Lot of pirates, okieday? If mesa ever visit de space systems, mesa goin\' to stay away from dat one.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_collector.stf', '29', 's_c8984072', 'Okieday. Enemies drop logs and diaries? Yousa get. Bring to mesa. Mesa give moola.. er--credits?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_collector.stf', '30', 's_c8d95e9d', 'Ooie booie! Mesa glad! Whensa yousa find anythin\', just come back and drag de object on mesa and mesa will pay yousa for it. Okieday?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_collector.stf', '31', 's_d89d872a', 'No, sorry.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_collector.stf', '32', 's_f37c7b85', 'Okieday. Mesa need information for mesa clan. Wesa really interested in what goes on in da space systems. Yousa enemies have a chance of droppin\' logs or diaries when yousa defeat them. If yousa don\'t want what yousa find, yousa can bring them to mesa and mesa pay yousa for them. Okieday?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_coronet.stf', '1', 'do_not_edit', 'The English version of this file (story_loot_coronet.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_coronet.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_coronet.stf', '3', 's_1b7e5efd', 'Hm. Sounds fair. I\'m a part of the \'News Now!\' Information Guild, specializing in the news of the galaxy. Here\'s where you come in.. I\'m afraid of heights, you see. I can\'t fly and often get motion sickness up there when I try. You need to go up there and gather information for me. Are you interested?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_coronet.stf', '4', 's_43fa3ec7', 'Alright! I\'m so excited! In space, there\'s a chance your enemy will drop a bit of information be it \'a log\', or \'a diary\', or what have you. If you bring them to me, I\'ll pay you handsomely for them. Granted, some will be worth more than others. If you find some, just hand them to me, okay?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_coronet.stf', '5', 's_4670569c', 'From Corellia? This ought to be valuable information! Here\'s your pay. Keep bringing them to me if you find anymore. I\'ll always need them!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_coronet.stf', '6', 's_480f9afe', 'Greetin\'s! Aren\'t you a lil\' young to be walkin\' \'round here all by your lonesome? Oh, hon. Don\'t be like that. I was just givin\' you a hard time. Listen.. are you a pilot? You look to be. I need your help with somethin\'. What do you think?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_coronet.stf', '7', 's_491794fd', 'Oh! This looks like it came from a freighter! Wait a second.. shame on you for picking on poor, defenseless freighters! Oh well.. news is news, right? Here\'s your pay. Remember, come back if you find more!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_coronet.stf', '8', 's_4b465cc3', 'Oh. Okay. Maybe you can come by and see me after I get off from work, then? *wink*');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_coronet.stf', '9', 's_579e662c', 'Uh.. no thanks. I\'ll be going now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_coronet.stf', '10', 's_5a59fcdc', 'Sounds good. I\'ll go look and come back.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_coronet.stf', '11', 's_6de6d29b', 'First, explain what you need done. Then, I\'ll think about it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_coronet.stf', '12', 's_86775be0', 'Ah, Tatooine! So much pirate activity going on in that system. I was expecting something from there soon. And here you are! Thank you. Here\'s your pay. I hope to see you again with more information. It\'s doing wonders for the Information Guild!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_coronet.stf', '13', 's_8794aec1', 'Oh! Welcome back! Didja\' enjoy your flight? I bet you have some information for me. If you do, just give it to me by dragging and dropping! I\'ll pay you handsomely for anything you find.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_coronet.stf', '14', 's_8894e226', 'What a sweetie! This information from the Lok system will do wonders for the Information Guild. Thank you for doing this. I hope to see you soon. Bring any tidbits of information you find out there!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_coronet.stf', '15', 's_8e14e452', 'Oh.. you don\'t look like you\'re a pilot, hon. That\'s too bad. I could use someone like you to help me with a lil\' somethin\'. Let me know when you get a ship and your wings, alright hon?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_coronet.stf', '16', 's_9e4796e9', 'Endor? I keep hearing a lot about that space system. Seems the Empire is up to no good up there. Here\'s your pay. Keep visiting me with information!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_coronet.stf', '17', 's_a050b81f', 'That\'s a shame.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_coronet.stf', '18', 's_a0c8586a', 'News from Dathomir? That deserves a hefty credit, indeed! Here\'s your pay. Keep visiting those space systems and collect information for me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_coronet.stf', '19', 's_b02ea236', 'I need more information. Where do I get this \'information\'?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_coronet.stf', '20', 's_cde666f4', 'Let me see. Oh! Do you find yourself in a lot of dogfights? If you do, there\'s a chance your enemy will drop a bit of information be it \'a log\', or \'a diary\', or what have you. If you bring them to me, I\'ll pay you handsomely for them. Granted, some will be worth more than others. If you find some, just hand them to me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_coronet.stf', '21', 's_d2e79392', 'Thanks, hon! You\'re a life saver!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_coronet.stf', '22', 's_d38cbaeb', 'Yavin 4\'s system.. it seems you\'ve provided great information here. Great job! Here\'s your pay. Keep returning with those bits of information!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_coronet.stf', '23', 's_d50da00e', 'Naboo, huh? What a peaceful place. I didn\'t think I\'d get any information from that system. I\'m so glad! Here\'s your pay. Keep coming back with the information you find, okay?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_coronet.stf', '24', 's_d89d872a', 'No, sorry.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_coronet.stf', '25', 's_eeb5ec9', 'Yes, I am!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_coronet.stf', '26', 's_fb2d2773', 'Information straight from Dantooine! There\'s so much going on there. Thank you so much! I should be getting a promotion soon with all this information I keep getting! Here\'s your pay. Be sure to come back with more.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_eisley.stf', '1', 'do_not_edit', 'The English version of this file (story_loot_eisley.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_eisley.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_eisley.stf', '3', 's_1938855f', 'I don\'t know anything about Lok. I wonder what it\'s like. Maybe I\'ll go there one day. Oh--sorry. Thank you for this. Here\'s your pay.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_eisley.stf', '4', 's_249fa88e', 'Oh no!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_eisley.stf', '5', 's_39ab0bf8', 'I don\'t know where this is from, but it seems interesting. Thank you, kind %TO.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_eisley.stf', '6', 's_3a570abb', 'I\'m going to get into so much trouble.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_eisley.stf', '7', 's_3e114acc', 'That mouse thing is your master?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_eisley.stf', '8', 's_4cf73d47', 'Okay. What about this task?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_eisley.stf', '9', 's_4dcc9c02', 'My master is a Chadra-Fan. He does kinda look like a mouse, doesn\'t he? We came to Mos Eisley because Chadra-Fan are very afraid of drowning. Since there\'s no water here on Tatooine, it really isn\'t a problem for him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_eisley.stf', '10', 's_579e662c', 'Uh.. no thanks. I\'ll be going now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_eisley.stf', '11', 's_5fea04c', 'My master says I can speak with you. You seem to be a pilot and we--or at least, he--could use your help with a small task. If you don\'t say yes, my master will be very angry at me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_eisley.stf', '12', 's_60682af', 'Tatoo--Tatooine! That\'s where we are now! Sorry, I\'m just learning how to read. My master will be very happy with this.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_eisley.stf', '13', 's_6acea54', 'Naboo.. I hear it\'s such a nice, pleasant place. I want to go there one day, but my master won\'t let me yet. He\'s very protective. Thank you for this.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_eisley.stf', '14', 's_7c4f443', 'I\'ve been to Corellia a couple of times. It\'s kinda depressing, though. The colors are too grey. Oh--thank you for the information. Here\'s your pay.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_eisley.stf', '15', 's_8aa2d689', 'Well, I was orphaned at a very young age and was found by a slave smuggler. He sold me to a Chadra-Fan whom took me to his homeworld on Chad. I met my master, Peraw, soon afterward and he taught me the Chadra-Fan language. I\'m a loyal servant who happens to know Basic as well.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_eisley.stf', '16', 's_914ec8cb', 'Oh, he does. You\'re such a nice %TO.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_eisley.stf', '17', 's_95de3587', 'You\'re the best %TO! This is great information for my master.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_eisley.stf', '18', 's_9c4a22e', 'Thanks. About this task you mentioned...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_eisley.stf', '19', 's_9f7731a8', 'Wow! Dathomir! I\'ve heard so many things about the nasty Imperials and their prison on that planet--oh, I better be quiet, my master says. There are a lot of Imperial friends around here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_eisley.stf', '20', 's_a128c839', 'Thank you for the information. My master will be most happy!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_eisley.stf', '21', 's_a1368bc4', 'Oh yeah. Sorry. The task... My master needs information from the.. uh, space systems, I guess it is? I\'m not really too smart about those beyond the ground. Anyway, the information can be \'a log\', or \'a diary\', or anything like that. If you find them, just give them to me. My master trusts me when it comes in his money. I can give you some for the information you bring us.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_eisley.stf', '22', 's_a27729d9', 'Interesting. What task did you want me to do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_eisley.stf', '23', 's_a5a29e5e', 'I hope he treats you nicely.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_eisley.stf', '24', 's_b73ef16b', 'Sounds good. I\'ll do it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_eisley.stf', '25', 's_c28b61a1', 'I\'m so happy! Please come back as soon as you can. I always get a good behavior treat when I do well for my master.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_eisley.stf', '26', 's_ca583977', 'Endor... I\'ve never been there before either. I really need to travel one of these days. It\'s one of my dreams.. Oh well. Thank you for this.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_eisley.stf', '27', 's_cbf9648e', 'Oh yeah. Sorry. I can get so talkative sometimes. My master doesn\'t like it so much. The task... My master needs information from the.. uh, space systems, I guess it is? I\'m not really too smart about those beyond the ground. Anyway, the information can be \'a log\', or \'a diary\', or anything like that. If you find them, just give them to me. My master trusts me when it comes in his money. I can give you some for the information you bring us.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_eisley.stf', '28', 's_d6695e83', 'No thanks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_eisley.stf', '29', 's_da79c836', 'Weird. How did he become your master?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_eisley.stf', '30', 's_db040e63', 'I\'m so glad you\'ve returned. You didn\'t forget about me! Did you find anything up there? If you did, you can just drag it on me. I will pay you for each. My master will be so happy!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_eisley.stf', '31', 's_e0574420', 'My master says I can\'t talk to you because you\'re not a pilot. Please forgive me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_espa.stf', '1', 'do_not_edit', 'The English version of this file (story_loot_espa.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_espa.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_espa.stf', '3', 's_33ae86cf', 'I feed you to Jabba\'s sarlacc.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_espa.stf', '4', 's_518aa438', 'Weequay, servant to Jabba. Now go.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_espa.stf', '5', 's_526a8baa', 'Yavin 4 provide good information. Here. Go away.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_espa.stf', '6', 's_59bbb156', 'You are a pilot. I need information and you will help me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_espa.stf', '7', 's_85a47567', 'You find information for Jabba? Drag object on me for pay.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_espa.stf', '8', 's_9208410d', '...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_espa.stf', '9', 's_9a1df5f5', 'What are you, anyway?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_espa.stf', '10', 's_a01d56d5', 'Tatooine provide little information. Jabba on Tatooine. But, pay anyway. Here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_espa.stf', '11', 's_aa27fded', 'I\'m not afraid of you or Jabba.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_espa.stf', '12', 's_abaa5f2c', 'Okay. By the way, your Basic is pretty good.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_espa.stf', '13', 's_b7dcdcb5', 'I have something else to do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_espa.stf', '14', 's_bad36576', 'Can you be anymore rude? What if I don\'t want to help you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_espa.stf', '15', 's_bf137a50', 'So be it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_espa.stf', '16', 's_c234a75b', 'Jabba needs information from space systems. Go, fight and bring back data disks and logs. You find one, you will know what I talk about.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_espa.stf', '17', 's_d00fd861', 'You are not a pilot. Leave now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_espa.stf', '18', 's_d92b587c', 'Endor... strong place. Here good pay.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_espa.stf', '19', 's_dda5f48c', 'Naboo place where weak humans go. Here pay. Go get more.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_espa.stf', '20', 's_e13ea287', 'I advise you to steer clear of Jabba\'s men, then, little %TO.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_espa.stf', '21', 's_e7b0189e', 'Hm. Fair enough. What do you need help with?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_espa.stf', '22', 's_e8d7669c', 'Dathomir... another strong place. Jabba will be happy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_espa.stf', '23', 's_eb89c5e8', 'Corellia.. weak place! Get better information!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_kaadara.stf', '1', 'do_not_edit', 'The English version of this file (story_loot_kaadara.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_kaadara.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_kaadara.stf', '3', 's_15849cf7', 'Yavin 4. Roger, roger.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_kaadara.stf', '4', 's_17719eaa', 'Scanning.. .. Little %TO. Welcomed return. Model 5-D23 requests information. Drag and drop object for processing identification.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_kaadara.stf', '5', 's_2c1ae38f', 'Scanning. Little %TO does not compute. Not a pilot. Move along.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_kaadara.stf', '6', 's_348fdf07', 'I must go do something else for now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_kaadara.stf', '7', 's_35e1b3d3', 'Scanning.. .. Scanning complete. Confimed. You\'re a pilot. Mobel number 5-D23 asks for your assistance. Roger, roger.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_kaadara.stf', '8', 's_3a806939', 'Roger, roger. Model 5-D23 is requesting that little %TO gather information that can be found of enemies in space systems.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_kaadara.stf', '9', 's_579e662c', 'Uh.. no thanks. I\'ll be going now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_kaadara.stf', '10', 's_61ab006', 'Okay. What should I look for?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_kaadara.stf', '11', 's_700de710', 'Information, huh? What kind? Do you need helping getting it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_kaadara.stf', '12', 's_8102799c', 'Scanning.. .. .. Source of Origin does not compute. Scanning. Object accepted. Model 5-D23 recognizes object as acceptable information.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_kaadara.stf', '13', 's_89fa7715', 'Scanning.. .. Look for logs, diaries. Roger, roger. Model 5-D23 is authorized to pay monetary value for information.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_kaadara.stf', '14', 's_8f76b872', 'Roger, roger.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_kaadara.stf', '15', 's_9e214a10', 'I\'ll help you!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_kaadara.stf', '16', 's_9f9d56f7', 'Clone Wars. Attack. Does not compute. Model number 5-D23 is programmed to collect information. Roger, roger.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_kaadara.stf', '17', 's_9fea5784', 'Roger, roger. Model 5-D23 and manufacturer thanks you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_kaadara.stf', '18', 's_b467075c', 'Tatooine. Roger, roger.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_kaadara.stf', '19', 's_b73343f', 'Dathomir. Roger, roger.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_kaadara.stf', '20', 's_c3034c17', 'Endor. Roger, roger. Planet system identified.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_kaadara.stf', '21', 's_d6e4c4f4', 'Whoa. A battle Droid from the Clone Wars! Aren\'t you suppose to attack me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_kaadara.stf', '22', 's_da89aca1', 'Corellia. Roger, roger. Object accepted.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_kaadara.stf', '23', 's_df3acc86', 'Dantooine. Roger, roger.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_kaadara.stf', '24', 's_f377335c', 'Space System Lok. Roger, roger. Object accepted.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_kaadara.stf', '25', 's_ffeed2dd', 'Naboo. Roger, roger. Object accepted.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_moenia.stf', '1', 'do_not_edit', 'The English version of this file (story_loot_moenia.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_moenia.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_moenia.stf', '3', 's_308c2df6', '[Droijack-dyn the Ishi Tib, an avian race whose language consists of chirping, waves you off. It seems like he--is it a he or a she?--needs someone specific. With all the space talk around, you assume he needs a pilot to help him.]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_moenia.stf', '4', 's_34e97c89', 'Okay. I\'ll help you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_moenia.stf', '5', 's_43728039', '[Bird people are weird and you\'d rather not help them. Droijack-dyn advances toward you. You bet, by his physique, he could really give you a pounding. You run away. You have Almond-Kwevvu Crisp Munchies to eat and enemies to fight.]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_moenia.stf', '6', 's_45d96c97', 'I can kinda understand you. I think you need help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_moenia.stf', '7', 's_4f8f72e2', '[Dantooine didn\'t offer much in the ruse of excitement. As Droijack-dyn hands you a hanfdul of credits for giving him the information he needed, you begin to wonder. Do the Ishi Tib like crackers? You decide against giving him a sample of your favorite snack, Almond-Kwevvu Crisp Munchies. They\'re too good to share.]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_moenia.stf', '8', 's_56dc8579', '[Droijack-dyn nods again, pulling a handful of credits from his backpack. You wonder what else he has in there. Snapping out of your daydream, you guess what he\'s trying to say is he\'ll pay you for any \'information\' you find. Sounds like a sweet deal. You shrug. Time to go into space and defeat some enemies, hoping they\'ll drop their diaries. Nice.]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_moenia.stf', '9', 's_579e662c', 'Uh.. no thanks. I\'ll be going now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_moenia.stf', '10', 's_57df7ab9', '[Right on the first try! Looks like you have all of your kreetles in one lair and definitely the sharpest stone knife in the drawer. The bird-man pulls out several objects, looking to contain some pretty neat information. You start to piece together that he wants these objects, you can get them from space and from the enemies you defeat. Wow, your intellect is amazing. You puff up, trying to look all impressive.]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_moenia.stf', '11', 's_5b01a6db', '[You fight the urge to hand the bird a cracker and give him the object he requested instead. Droijack-dyn appears to be happy with it.]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_moenia.stf', '12', 's_5b29fb2', '[Droijack-dyn the Ishi Tib tries to get your attention by spouting off what sounds like chipring. Ah, yes. The Ishi Tib, an avian race whose language consists of bird-like sounds and squawks. You try to understand what it\'s saying.]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_moenia.stf', '13', 's_5b7b08d1', 'But.. what exactly am I looking for?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_moenia.stf', '14', 's_5c453f12', 'Nah, I\'ve got other things to do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_moenia.stf', '15', 's_61cc04c8', '[You hope that Droijack-dyn doesn\'t mind that the objects you bring back are a little.. crispy. You hand the information disk to the bird-man and it falls apart when he touches it. He frowns.. at least, you guess that\'s what he\'s doing. You shrug. Information is information, right? ... right?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_moenia.stf', '16', 's_6d9c4154', 'You want.. information!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_moenia.stf', '17', 's_7f89f5d3', '[Droijack-dyn advances toward you threatingly. You know, for a bird-man he\'s pretty impressive. In fact, you begin to wonder what profession he is. Just your luck, he\'s probably a Teras Kasi. That\'d really ruin your day. You bet he has some powerful \'beak attack\' that only birds get. You\'ve decided you\'d rather not find out and run off.]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_moenia.stf', '18', 's_81fa3514', '[Well, Droijack-dyn looks like he\'s pretty mad. You better scram before he pecks you pretty hard.]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_moenia.stf', '19', 's_8a1e08c', '[You had front row tickets to the Galactic Civil War Extravaganza in Corellia. If only you had brought your favorite snack, Almond-Kwevvu Crisp Munchies, you would have been happy. What a show. You give Droijack-dyn his information and, in return, he gives you a handful of credits.]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_moenia.stf', '20', 's_8b12a5dd', '[You crinkle your nose. Where did that come from? Well, he is a bird, isn\'t he? Droijack-dyn the Ishi Tib shakes his head. Of course that\'s not what he wanted! You try some more guesses.]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_moenia.stf', '21', 's_92154c00', 'A cracker!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_moenia.stf', '22', 's_a8aa7613', '[Finally, Droijack-dyn nods and pulls out two objects from his backpack. One looks like a log of some sort, the other, a diary--you can tell because \'diary\' is written across the front of it. Pretty tricky. Droijack-dyn points up. You begin to piece together that you can find objects like this in space and that the bird-man needs them. Will you help?]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_moenia.stf', '23', 's_aa0a2be5', '[That freighter had it coming. It seems that Droijack-dyn knows exactly where it came from too, according to his birdly expression. You scram before the bird-man pecks you really hard. Freighter sympathizer.]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_moenia.stf', '24', 's_aa1b838f', '[You look closer at the objects Droijack-dyn is holding. The objects appear to be disks, and a datapad of some sort. Huh. One of them has \'diary\' written on the front of it. Looks like you\'ll be hunting enemies for their diaries and logs of information. Just your line of work. Droijack-dyn pulls out some credits from his backpack, either gloating he has way more money than you or that he\'ll pay you for the information you get him.]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_moenia.stf', '25', 's_b3731646', '[Droijack-dyn the Ishi Tib nods. He seems happy, but you can\'t tell because.. well, he has a bird face. You stop wondering exactly why birds like crackers so much and run off.]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_moenia.stf', '26', 's_b953d944', '[You barely came back from that trip alive and expect a large pay ount from the bird-man. You desperately need to do some repairs. When he does, you celebrate in the only way you know how.]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_moenia.stf', '27', 's_c9179ad6', '[Droijack-dyn the Ishi Tib nods. It, although you\'ve kinda figured out it\'s male by it\'s appearance, points to the sky. Space. Obviously, he wants something from the space systems. But, what, you can\'t tell. You start to guess.]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_moenia.stf', '28', 's_d3466494', 'I don\'t want to help after all.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_moenia.stf', '29', 's_d57d668a', 'Yeah, I\'ll help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_moenia.stf', '30', 's_d701ec31', '[Naboo was easy sailing. In fact, you were able to stop by the local freighter and get a souvenir *while* dogfighting some pirates. You\'re just that good. Because the trip was so easy, you really don\'t expect much credit-wise.]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_moenia.stf', '31', 's_d70926bc', '[Droijack-dyn greets you warmly. His bird expression appears to be quizzical, you think. You smile. You\'re getting pretty good at understanding this bird-man. Hm. You bet he\'s waiting for those nifty objects he requested. Do you have any? You look in your backpack. Your backpack isn\'t as neat as his is. You bet you can just drag the object onto him and he\'ll pick it up with his little--er big bird hands. Maybe you should try?]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_moenia.stf', '32', 's_d768ce2d', '[You shake the sand off the item from Tatooine and hand it to him. Droijack-dyn pulls out a handful of credits from his backpack and gives them to you. If you could only steal that backpack...]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_moenia.stf', '33', 's_e9574203', '[You think back to your trip to Endor as you hand Droijack-dyn the item requested. You had a feeling the Imperials were up to something up there. But you can\'t seem to figure out exactly what it was. Hm. You forget anything about Endor as Droijack-dyn hands you a rather large handful of credits. Endor smendor.]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_moenia.stf', '34', 's_f09b75ae', '[Would you stop that? It seems Droijack-dyn really needs some help. Get serious, here. You try again.]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_moenia.stf', '35', 's_f93d75ff', 'You want.. hm. Information?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_moenia.stf', '36', 's_fb58660c', 'You want.. a bird bath!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_talus.stf', '1', 'do_not_edit', 'The English version of this file (story_loot_talus.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_talus.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_talus.stf', '3', 's_1eaeb942', 'Uh... nothing. Bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_talus.stf', '4', 's_244d9ea1', '... Oh, yesss. I remember you. Drag the objectsss onto me and I will pay you for your ssservicess.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_talus.stf', '5', 's_2e907efd', 'That\'s a little vague. But you\'re not much for talking. But okay.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_talus.stf', '6', 's_383cdae', 'Naboo, yesss.. Delicate, tasty humanss.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_talus.stf', '7', 's_435d9064', 'C\'mon. Maybe I can help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_talus.stf', '8', 's_6236530', 'Alright, if you want to be like that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_talus.stf', '9', 's_82270559', 'Oh. What kind of information?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_talus.stf', '10', 's_8696779b', 'It doesss not concern you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_talus.stf', '11', 's_9208410d', '...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_talus.stf', '12', 's_9b37d148', '... You are not a pilot. Go away.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_talus.stf', '13', 's_a10eda57', 'Whoa! What are you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_talus.stf', '14', 's_a3d8ff73', '... I am a Marauder, a race of reptilian humanoidsss, sssurviving as best we can on Endor. We lure sssilly humanoidsss like you to their death and ssteal their technology sso we can ssurvive. Now, what iss it that you want?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_talus.stf', '15', 's_a5556cbd', 'Corellia... Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_talus.stf', '16', 's_b7dfba8d', 'But this is Talus. Are you lost?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_talus.stf', '17', 's_c42087aa', '... You ssseem to be a pilot. I sssuppose I can implore you to help me. I am ssseeking information from the ssspace sssystemss. When you find it, you will know what I am looking for. Bring them to me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_talus.stf', '18', 's_c4dd562d', 'Ssstupid human. I am here to gather information for my people.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_talus.stf', '19', 's_c4f7d1f', 'Yavin 4, yesss...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_talus.stf', '20', 's_d446e3df', 'Freightersss... deviousss, are you not?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_talus.stf', '21', 's_dd1eea6d', 'Dathomir... yesss. Go find more.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_talus.stf', '22', 's_e45caf5a', 'Endor.. Yesss! My homeworld. How I missss it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_talus.stf', '23', 's_ece79bc1', 'Tatooine, yesss.. My people will approve.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_theed.stf', '1', 'do_not_edit', 'The English version of this file (story_loot_theed.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_theed.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_theed.stf', '3', 's_11bab004', 'Yousa hep mesa?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_theed.stf', '4', 's_18833216', 'Oh. And you need information?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_theed.stf', '5', 's_20931802', 'Ooie booie! Mesa welcome yousa, boyo! Did yousa find anythin\'? If yousa did, drag da object onto mesa and mesa pay yousa for it! Okieday?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_theed.stf', '6', 's_236d3d10', 'Maccaneks..? Yousa basic folks say \'ship\'? Flyin\' in da space?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_theed.stf', '7', 's_253fa7ea', 'Oh. Okay. I\'m sad.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_theed.stf', '8', 's_26df7294', 'Corellia.. Mesa thank yousa for hepin\' mesa with dis.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_theed.stf', '9', 's_2b8acda7', 'I\'ll think about it. I need more information.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_theed.stf', '10', 's_37b0ec80', 'Naboo! Mesa recognize anythin\' from dere. Thank yousa for hepin\' mesa. Yousa moola.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_theed.stf', '11', 's_48d5fb5a', 'I can\'t understand a word you\'re saying.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_theed.stf', '12', 's_579e662c', 'Uh.. no thanks. I\'ll be going now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_theed.stf', '13', 's_5a59fcdc', 'Sounds good. I\'ll go look and come back.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_theed.stf', '14', 's_5d39c47e', 'Ooie booie! Yousa a pilot! Mesa need yousa hep with somethin\'. Okieday? Will yousa hep mesa? Mesa need some information from da space systems above usan. Yousa have a maxibig maccaneks, okieday?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_theed.stf', '15', 's_618244d1', 'Yes, I will *help* you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_theed.stf', '16', 's_64f35d26', 'Ooie booie, Endor! Mesa hear lot of rumors about dat space system. Stinkowiff Imps!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_theed.stf', '17', 's_7cabd9ea', 'Mesa thankful.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_theed.stf', '18', 's_8bac8381', 'Ooie booie! Mesa happy!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_theed.stf', '19', 's_91b60e5f', 'Dis\' from Yavin 4. Mooie mooie! One day, mesa hope to visit de space systems too. Okieday! Mesa almost forgot. Yousa moola.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_theed.stf', '20', 's_9a173443', 'Okay. Now we\'re getting somewhere.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_theed.stf', '21', 's_a3b5a049', 'Lok.. Mesa not heard much about dat place. Was yousa okieday up dere?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_theed.stf', '22', 's_afaf698', 'Ooie booie! Yousa not a pilot. Mesa need a pilot. Okieday?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_theed.stf', '23', 's_b21c6039', 'Ooie booie! From Dathomir? Dat deserves a lot of moola, okieday. Yousa moola.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_theed.stf', '24', 's_b5402a0f', 'Wheresan isa dis from? Ooie booie! Itsa from a freighter. Yousa not a mooie mooie nice %TO!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_theed.stf', '25', 's_b59591d7', 'Okieday. Mesa sad now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_theed.stf', '26', 's_c416ff05', 'Dantooine isa a fine place. Yousa moola.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_theed.stf', '27', 's_c5da1302', 'Okay. Sounds fair.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_theed.stf', '28', 's_c7c399e0', 'Tatooine! Mesa hear many thin\'s about space system. Lot of pirates, okieday? If mesa ever visit de space systems, mesa goin\' to stay away from dat one.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_theed.stf', '29', 's_c8984072', 'Okieday. Enemies drop logs and diaries? Yousa get. Bring to mesa. Mesa give moola.. er--credits?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_theed.stf', '30', 's_c8d95e9d', 'Ooie booie! Mesa glad! Whensa yousa find anythin\', just come back and drag de object on mesa and mesa will pay yousa for it. Okieday?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_theed.stf', '31', 's_d89d872a', 'No, sorry.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_theed.stf', '32', 's_f37c7b85', 'Okieday. Mesa need information for mesa clan. Wesa really interested in what goes on in da space systems. Yousa enemies have a chance of droppin\' logs or diaries when yousa defeat them. If yousa don\'t want what yousa find, yousa can bring them to mesa and mesa pay yousa for them. Okieday?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_tyrena.stf', '1', 'do_not_edit', 'The English version of this file (story_loot_tyrena.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_tyrena.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_tyrena.stf', '3', 's_11676386', 'Hey! Oh wait--you don\'t look like you\'re a pilot. Sorry, I was waiting for someone else.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_tyrena.stf', '4', 's_21a1e8c0', 'Straight from Dantooine\'s system. What a neat story! I think the Information Guild will be pretty excited about this one.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_tyrena.stf', '5', 's_36989baf', 'Wow Tatooine! I hear about so many things happening in that system. Thank you for the great story. I should definitely get that promotion soon!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_tyrena.stf', '6', 's_3c1f9431', 'I guess I can help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_tyrena.stf', '7', 's_446fdc1d', 'A freighter?! Hey, you\'re mean! Oh well.. I guess I can take it. Here\'s your pay. Be nicer to people!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_tyrena.stf', '8', 's_45768069', 'Endor! What\'s going on up there, anyway? I keep hearing weird rumors. The people would love to know! This story will go into our next paper.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_tyrena.stf', '9', 's_46258640', 'Psst! Hey! You look like you\'re a pilot! Am I right? I could really use your help if you are. I\'m in a bit of a bind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_tyrena.stf', '10', 's_4bab1b65', 'Naboo.. what a pretty place. And it has news! Thank you so much for this!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_tyrena.stf', '11', 's_5432ff59', 'I need more of an explination. Where do I get this \'information\'?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_tyrena.stf', '12', 's_579e662c', 'Uh.. no thanks. I\'ll be going now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_tyrena.stf', '13', 's_57b843a1', 'Dathomir.. What a scary place! Was it dangerous up there? I sure am glad you\'re okay. Thanks so much for doing this!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_tyrena.stf', '14', 's_5a59fcdc', 'Sounds good. I\'ll go look and come back.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_tyrena.stf', '15', 's_66dce3ab', 'I don\'t know a lot about Lok. But it sure seems like interesting things are happening there! Thanks so much!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_tyrena.stf', '16', 's_83d5af87', 'You don\'t know how much this is gonna help me out! Thank you!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_tyrena.stf', '17', 's_9030290e', 'I\'m an intern at the \'News Now!\' Information Guild. If I don\'t get enough news stories, they may let me go. I can get some, but not enough to make me the top reporter. I\'m really aspiring to be the best, you know? What do you think? I\'d pay you, of course.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_tyrena.stf', '18', 's_9176a524', 'Wow, I\'m *so* grateful! Okay, so space systems, right? If you go to any of those, like Corellia or Tatooine for instance, an enemy has a chance of dropping a little tidbit of news. If you bring those to me, I\'ll pay you a generous sum. Some are worth more than others, you see. Like risk and reward, you know? Look for \'a log\', or \'a diary\'. Those are exactly what I need.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_tyrena.stf', '19', 's_9208410d', '...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_tyrena.stf', '20', 's_9b448b0d', 'Yavin 4, huh? Hmm.. Aha! This is a great story. I should get a pat on the back for this one at the guild. Thank you!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_tyrena.stf', '21', 's_b36ae370', 'Corellia.. home of the Alliance, right? I hear they\'re pretty troublesome! I really don\'t pay too much attention to the war between the EMpire and the Rebellion. I should, shouldn\'t I? This is a great story, by the way. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_tyrena.stf', '22', 's_b4192cf', 'You\'re back so soon! I knew you were the right one to help me. Didja\' find anything? If you did, just give it to me by dragging and dropping. Okay, I\'m waiting!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_tyrena.stf', '23', 's_c33acdc8', 'Oh no! I\'m going to be a failure!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_tyrena.stf', '24', 's_d89d872a', 'No, sorry.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_tyrena.stf', '25', 's_e339c89e', 'What do you need done?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/story_loot_tyrena.stf', '26', 's_e35ea3ad', 'In the space systems, of course! Like Corellia and Tatooine except all over. You know? I guess I\'m not making much sense. If you find yourself in a dogfight up there, just check to see if they drop \'a log\', or \'a diary\' or something. Data disks that contain information, you know? Those are what I need. Just give them to me and I\'ll pay you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '1', 'do_not_edit', 'The English version of this file (tatooine_imperial_tier3.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '3', 's_10a5b81d', 'I really hope this is a sweep and clear.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '4', 's_13380a80', 'I don\'t think that peace can only be brought about by loss of freedom.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '5', 's_162e1268', 'Regardless, you have made Storm Squadron look very good to our superiors.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '6', 's_187c0a86', 'Oh it won\'t. I see. Well I admire your confidence, but what is it based on?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '7', 's_1b1b59fd', 'Excellent. We are sending the plans on Lambda shuttle to the Endor system. Meet up with the shuttle and transfer them to your craft. Then drop them off at Endor control. Once that is done the real operation can begin. Good luck to you, %NU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '8', 's_1ba3e73d', 'The Inquisition has not given us an update on their progress. That is not really a surprise. They tend to dislike sharing information with other branches. I can only hope that they stop the traitor from committing more acts of treason.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '9', 's_1bc2db0c', 'Of course you are. Like I said before, if you continue to successfully perform your duty then I have no problem with your distorted vision of your self worth. But we really need to get back to matters at hand.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '10', 's_1c4ab1df', 'That is exactly how I feel.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '11', 's_1cbb3be8', 'Then go to the Endor system and destroy a flight of Rebel X-wings that we have been tracking. It is time that we cull their growing numbers and show them that the Empire is not to be trifled with. I have dispatched other pilots to assist in this great undertaking, so that we will strike the Rebels from all sides.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '12', 's_1d653cbd', 'And what did they uncover?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '13', 's_1d6ab832', 'If anyone deserves it...I do!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '14', 's_1d7c7ed2', 'Good. We are beginning our planning for what to do next. Once we are ready then you will be called on again. But before that you need to work on some of your techniques. What skill would you like to learn?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '15', 's_1ebe3b4f', 'I\'ll go again - if it\'s not too late.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '16', 's_1efa28ce', 'From the reports you recovered we discovered that the Rebels were given access to our security frequency. They have been listening in on our chatter and have been using what they heard from us to help plan their attacks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '17', 's_202ff29c', 'Of course we do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '18', 's_20350ba5', 'The documents will have coordinates to a supposed command station. If all goes well the Rebels will take the bait and attack in force. They will not find any station at that location but they will find you. You are keep the fighters occupied while we scan the surrounding area for the Rebel command.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '19', 's_20d40c9b', 'We are going to continue our job in trying to lock down the Endor system. The other matter has been turned over the Inquisition. If anyone can sniff out a traitor it will be them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '20', 's_24315068', 'It\'s not. Get back out there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '21', 's_25042a7a', 'I will not fail you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '22', 's_25c39c01', 'You cannot understand, so you fear.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '23', 's_2642ebb3', 'Don\'t worry. I can keep a cool head when needed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '24', 's_266e8481', 'Don\'t become over confident. You are no good to me dead. Now go take out at least ten Rebel fighters. Good luck, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '25', 's_2800345f', 'Intelligence has finished decrypting the data that you recovered from that Rebel scout. The data only included the operational status of a few of the Rebels in the area but it was enough to give us an idea of what the Rebels are doing in this area.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '26', 's_299e29d5', 'Regardless of why you did it, you have gained some measure of fame over your actions against the Rebellion. My superiors were quite impressed when I explained your value to the operation. I wouldn\'t be surprised if one of them took over your command.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '27', 's_2bdc8841', 'It was nothing. Just doing my job, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '28', 's_2dc37e6c', 'It has been a pleasure, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '29', 's_2e0a96f8', 'To bad! In this outfit you will work on my schedule not your own. I only asked to be polite, I honestly didn\'t expect you to say no. Let us try this again. Pilot are you ready for your first assignment?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '30', 's_2e4db1a8', 'Yes, sir! Ready and willing, sir!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '31', 's_2e8fad6a', 'So are we going to try to find out who the traitor is?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '32', 's_2ec9494f', 'I\'m certain it is a mistake of some sort.  Nevertheless, my hands are tied.  You must improve your standing with the Empire - prove that you are devoted to crushing the Rebellion - and do it quickly!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '33', 's_30651d99', 'I wouldn\'t be surprised if it is. But in order to better serve the Empire you must have training. What skill would you like to be trained in?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '34', 's_31d67ce2', 'Yes he does. And this is what he wants you to do. First, you need to inform Endor about our intentions. Because the Rebels are listening into our transmissions we will have to send the plans to them on your vessel. Once they have the plans we will send out a message about a shuttle carrying top secret documents on its way through the Endor system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '35', 's_31e494df', 'What does sealed to the throne mean?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '36', 's_32778372', 'So we are not in trouble right now?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '37', 's_33061c38', 'I will destroy that scout with extremely prejudice.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '38', 's_36111dde', 'Hey, wait a minute!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '39', 's_37f05ce8', 'An Imperial officer has turned traitor! What are we going to do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '40', 's_381d2195', 'If my plan works then you will have your opportunity. From the reports you recovered we discovered that the Rebels were given access to our security frequency. They have been listening in on our chatter and have been using what they heard from us to help plan their attacks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '41', 's_386b16a5', 'Understood, sir. What is my first assignment?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '42', 's_3898a3b8', 'So what did the brains at Intel find out?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '43', 's_38a75f0', 'What is Storm Squadron\'s next assignment?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '44', 's_39538c2a', 'What did they find out?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '45', 's_39a5745d', 'Let me at them! I will drive them off.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '46', 's_3b0a14d7', 'I\'ll get them this time. I promise.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '47', 's_3c1eecb4', 'I take it the documents will be fakes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '48', 's_3c3702e6', 'All in good time. Although this is not all bad now that we know about the leak. My plan involves using this leak in order to draw the Rebels out.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '49', 's_3e08af61', '%NU, I am glad to see you are back. We have completed our evaluation of the reports you took off of the Rebel command vessel. Based off of what we have found, I believe I have devised a way to bring the Rebel menace out into the open.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '50', 's_3ec1a288', 'Of course. we\'ll begin now. Report back to me as soon as possible. The Empire needs all hands on deck.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '51', 's_40cda759', 'Teach me about advanced capability TIE vessels.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '52', 's_40dea799', 'Why quickly?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '53', 's_41ecd1f', 'I told you that I don\'t want you to tell me! Once we have worked out the details we will contact you again to fly our next mission. Until then let us see if you cannot wrap your mind around some training. Hopefully that will help cool your zeal. What skill would you like to learn?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '54', 's_421f0679', 'Be sure that you don\'t. We will update you to the location of the new Rebel scout as soon as you are in the Endor system. Remember a lot is riding on your success. Good luck, %NU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '55', 's_4296221e', 'Send me after the traitor. I will destroy him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '56', 's_430701b', 'Your job\'s not done yet. I need you to see this through.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '57', 's_43b48713', 'I am not sure who you are or why you are here, but I assure you I do not have time to help you regardless.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '58', 's_44bd3318', 'What is it you need me to do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '59', 's_44bf27d7', 'That was nothing. You should have seen me in the battle of...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '60', 's_44f098fe', 'It is not safe to assume any such thing, but all signs do point towards that conclusion. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '61', 's_457d29c5', 'The sooner this war is over, the sooner we can all go home. Get back out there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '62', 's_463a0835', 'Perfect! The Rebels fell right into our trap. We are monitoring the movements of the Rebel command vessel. I am fairly certain that they know we set a trap for them, but I do not think they understand to what purpose.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '63', 's_46977c75', 'I\'ll crush the Rebellion; whatever it takes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '64', 's_47021aad', 'Experience. I\'m a great pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '65', 's_473d09d8', 'Teach me about system balance programming.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '66', 's_47edbf24', 'Yes, SIR!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '67', 's_4ac29222', 'Somehow the Rebels have gotten word of what is going on here. We don\'t believe that they have the complete story, but they are aware that the Empire is working on a top secret project in the Endor system. They also are aware that engineers working on the Yavin salvage operation are being transferred to the Endor system. It would seem they were trying to capture a few of them in order to discover the exact nature of the project.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '68', 's_4b2d23bc', 'No, we are going to continue our job and try to lock down the Endor system. We have to make sure that the Rebels are unable to find the answers that they are looking for. The matter of the traitor has been turned over to the Inquisition. If anyone can find the traitor, they can.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '69', 's_4c927c36', 'I am ready to crush the Rebels, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '70', 's_4ca34e11', 'I think that you and I are going to get along just splendidly. From what I understand you have the makings of a very find pilot, %NU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '71', 's_4d64efd2', 'I am sure if you perform the mission half as well as you think you will, it will go smoothly. We are sending the plans on Lambda shuttle to the Endor system. Meet up with the shuttle and transfer them to your craft. Then drop them off at Endor control. Once that is done the real operation can begin. Good luck to you, %NU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '72', 's_4ec1bd6b', 'It\'s about time I was noticed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '73', 's_51a40299', '[deny it]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '74', 's_51f13870', 'I am proud to have been of assistance, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '75', 's_52345d7c', 'That is what I wanted to hear. Good luck, %NU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '76', 's_524d9247', 'Not yet. But if we don\'t put a lid on this it is very likely that they will shortly. We need to find out more about what the Rebels are planning. THat is where you come in.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '77', 's_52651592', 'Intelligence has discovered from the reports you captured that the Rebels have been using our communications to help plan their attacks. The traitor apparently gave them our frequencies and access codes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '78', 's_5332f155', 'And you need your best pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '79', 's_540bd108', 'Then move on.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '80', 's_558af4fe', 'Yes, but he\'s out on a mission. You\'ll have to do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '81', 's_5669d57a', 'In good time. Right now we have to make sure that we get a good grasp on the situation. If we send pilots out without figuring out what the Rebels are up to we could be in serious trouble.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '82', 's_567580f2', 'So we still have not been able to find the traitor?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '83', 's_5814e23b', 'I don\'t know what you\'re talking about');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '84', 's_599cef6e', 'So.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '85', 's_5bd69df6', 'What do you need me to do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '86', 's_5c298649', 'Your first assignment will be the protection of engineers being transferred from the Yavin salvage operation. You are to meet their shuttle in the Endor system and escort them safely through the area until they reach system headquarters.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '87', 's_5c4d8358', 'The traitor again?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '88', 's_5de22b37', 'I do not fight for glory, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '89', 's_5e3cc3ae', 'Alozen did mention to me that you had a slight ego, but he also said you at least had the skills to back up you mouth. If this is true you can brag all you want. I find that pilots who express themselves fair far better on the battlefield. Although, I will not tolerate any rudeness towards me, this outfit, or the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '90', 's_5f736ba3', 'Very well. Let\'s begin. And later, report to me for your next mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '91', 's_60893b02', 'If we find it, should it be destroyed?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '92', 's_609b8560', 'I was guided to victory by a greater power.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '93', 's_60c284ea', 'Ah, yes. That was my finest hour.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '94', 's_60f183ae', 'Of course. Although this is not all bad now that we know about the leak. My plan involves using this leak in order to draw the Rebels out.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '95', 's_612db735', 'Well, we are in the process of planning our next step now. Once we have it worked out you will be called on again to perform the next mission. Even a \'great\' pilot, such as yourself, has a thing or two to learn. What skill would you like training in?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '96', 's_6196f26f', 'What I did, I did for the glory of the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '97', 's_637a3419', 'The Rebellion will pay for that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '98', 's_645af1cb', 'I\'ll train you now. Afterwards, report to me when you\'re ready for the next step.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '99', 's_64617aad', 'And you are proving yourself over and over again. The information you recovered from the Rebels is still being examined by Intelligence. We should have more answers soon. Once we have all of it compiled, we will be sending you out again. Hopefully with more direction this time around. Until then let us see what we can do to increase your already very accomplished talents. What skill would you like training in?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '100', 's_6612078b', 'I do not fear the Rebellion.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '101', 's_66506cea', 'I doubt that is it. But, you are no longer my problem. You have been transferred to Admiral Kilnstrider, head of Storm Squadron. Report to him at his command post at the research center on the moon of Endor. He will be granting you missions from the Emperor from now on. Dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '102', 's_666d4e98', 'Good. Then we will not have to worry about any sort of disciplinary action. For the time being Storm Squadron has been personally chosen by the Emperor to head security for a most important and secret project in the Endor system. We are beginning our move out of the Yavin system but have not yet set up a base of operations in Endor. Command will still be stationed on Yavin 4 for the time being.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '103', 's_6802fe45', 'How would we learn anything about the Rebel plans if you go around destroying our best leads? I don\'t what the scout destroyed! I want you to capture and inspect it for any new information that it might be carrying. Is that understood, pilot?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '104', 's_68b52625', 'That sounded sort of traitorous?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '105', 's_69f62a43', 'As was foretold.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '106', 's_6aba6ae5', 'How much more do the Rebels know?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '107', 's_6acf2f90', 'And what would that job be?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '108', 's_6b6b3e96', 'Good. Somehow the Rebels have gotten word of what is going on here. We don\'t believe that they have the complete story, but they are aware that the Empire is working on a top secret project in the Endor system. They also are aware that engineers working on the Yavin salvage operation are being transferred to the Endor system. It would seem they were trying to capture a few of them in order to discover the exact nature of the project.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '109', 's_6b9765c5', 'Good luck, soldier. I think you will need it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '110', 's_6da8109', 'If that is in my fate.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '111', 's_6e86b00', 'I\'m ready to blast holes in as many Rebel ships as I can.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '112', 's_6efcdb6b', 'Treason?!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '113', 's_6f21dd8e', 'You are under investigation for crimes against the Empire, %TU.  What is going on?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '114', 's_704da203', 'Your time with me is over. I figured one of my superiors would have you transferred under his command.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '115', 's_7077d0f3', 'Oh, of course I knew that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '116', 's_71375f7a', 'In this system?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '117', 's_71d95d29', 'Hmm. Well any ways, Intelligence has finished decrypting the data that you recovered from that Rebel scout. The data only included the operational status of a few of the Rebels in the area but it was enough to give us an idea of what the Rebels are doing in this area.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '118', 's_730d9c3d', 'It\'s hard to tell. Since they were trying to capture engineers for interrogation I think it is safe to assume that they are not yet aware of the nature of the Endor project. If I had to guess the traitor is either working on this project or a related project but does not have significant enough clearance to have the whole story.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '119', 's_74df4', 'Then I suggest you leave, before my men take you into custody.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '120', 's_7679bb3b', 'Good! Then we will not have any problems understanding one another. Our mission is highly important and the Emperor has placed his faith in us. We will not fail.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '121', 's_76bbd809', 'I know you will not. I have every faith in your ability to handle the Rebels. You are dismissed, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '122', 's_7728672b', 'Not at all. I have made my choice and I am completely loyal to the Emperor. Only he can bring about order from the chaos that the Old Republic left us with. In these times you need to have a strong, capable leader and there is no one I would rather follow than the Emperor. But I am a realist and completely understand that to gain peace one must sacrifice some personal freedoms.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '123', 's_7750f639', 'You are to travel to Endor and start culling the number of Rebel fighters in the system. There is a flight of X-wing that we have been tracking for sometime that I want you to destroy. I have sent other Storm Squadron pilots out on similar missions so if you can take out that flight of Rebel fighters we should have their numbers reduced to a manageable amount.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '124', 's_789def9d', 'I am ready for my assignment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '125', 's_78b0ecc0', 'That is very unfortunate.  I need for you to get this situation resolved.  I cannot trust you with any more assignments so long as you are suspected of treason.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '126', 's_78cd7b47', 'I failed. It won\'t happen again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '127', 's_78d45540', 'Don\'t fail this time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '128', 's_7c0ad410', 'Strong words from a pilot who\'s done nothing but fail since he got here! ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '129', 's_7e276839', 'So they could be making another...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '130', 's_7ea66fab', 'Well you have been noticed by Admiral Kilnstrider, head of Storm Squadron. He is taking over security for the Endor system and has set up operations on the moon of Endor at the research center. Again, I highly advise that you do not be yourself with Admiral Kilnstrider. He has very little use for braggarts. Good luck, %NU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '131', 's_7eeba249', 'Excellent plan, sir. It went off without any trouble.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '132', 's_813c7eed', 'We are working on that. Right now what we have Intelligence focused on deciphering that data you recovered from the Rebel scout. Once we have that information we should have a better idea of how to proceed. While we are waiting for that we need you to get your skills up to speed. What are you interested in learning?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '133', 's_81652bd6', 'There is no strength without the guidance of the Emperor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '134', 's_8195ae89', 'This shouldn\'t be too hard.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '135', 's_826b239', 'Clear enough.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '136', 's_8323fc9a', 'I\'ll explain this very simply. You are replaceable. The engineers are not. Get them, and bring them back - NOW.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '137', 's_846bd129', 'I am afraid that you are not ready for the rigors I would be forced to put you through. I suggest you go work on your skills and perhaps we will meet again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '138', 's_84affc75', 'Now that we have a lock on the Rebel command vessel the time has come for us to start flexing our muscles, so to speak.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '139', 's_84b912c3', 'Very well, what is my assignment?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '140', 's_853fa46c', 'We should change our frequencies.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '141', 's_86137261', 'No sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '142', 's_88d2aba6', 'STOP RIGHT THERE! I told you to keep any speculation you might have to yourself and I will not tolerate otherwise.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '143', 's_890ce7a3', 'I couldn\'t agree more, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '144', 's_89af090b', ' You are on assignment, soldier. Get back to work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '145', 's_8ace66c8', 'You wouldn\'t be here if you felt otherwise. The Empire will unify the galaxy and bring about an era of unprecedented peace. Storm Squadron\'s current assignment might play an important role in the realization of that goal.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '146', 's_8d0d7812', 'As I said before we will be running security detail in the Endor system for a project that has been sealed to the throne. To my understanding there will be numerous engineers, supply freighters, and command vessels will need protection from any interference. On top of that the entire system must be kept under quarantine to avoid any word of the project from reaching the outside.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '147', 's_8df560dd', 'Nope, I can\'t say that I am ready yet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '148', 's_8ff025a4', 'Storm Squadron has been personally chosen by the Emperor to head security for a most important and secret project in the Endor system. We are beginning our move out of the Yavin system but have not yet set up a base of operations in Endor. Command will still be stationed on Yavin 4 for the time being.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '149', 's_9011f51', 'I couldn\'t agree more. But that is why the Emperor asked for Storm Squadron. We are the best military outfit in the whole of the Navy. Your first assignment will be the protection of engineers being transferred from the Yavin salvage operation. You are to meet their shuttle in the Endor system and escort them safely through the area until they reach system headquarters.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '150', 's_9104408b', 'Please do not tell me that you are hearing voices. I cannot afford to take you off of active duty right now.We are in the process of planning our next step and you will be vital to the success of our plans.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '151', 's_926a6e73', 'Is it wise to tell the Rebellion that we are sending top secret documents?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '152', 's_934958df', 'Do you have a problem with my assessment of your skills? I would suggest that you try harder and maybe they will change. Regardless, we still have a job to do,');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '153', 's_936b8cfc', 'You have been removed as head of Endor security?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '154', 's_93e9d03b', 'If you say so. But I would ask that you try to keep your zeal for killing the Emperor\'s enemies to a minimum and focus on the mission I am about to give to you. There will be plenty of enemy smiting on it, I assure you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '155', 's_9511fbeb', 'That was a question that didn\'t need a response. I can see that I am going to have to keep a close watch on your activities. You are supposed to be a fine pilot so I would highly suggest that you keep your focus on that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '156', 's_953ef4f4', 'Hmmm...well what is it you want for me to do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '157', 's_95984c4', 'I live only to serve.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '158', 's_996c6fd3', 'What\'s Storm Squadron\'s assignment?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '159', 's_9a5c94ec', 'Yes...yes. You did very well in capturing that Rebel scout. Now that I have stroked your obviously fragile ego, may I continue with my briefing?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '160', 's_9a760bb5', 'I am ready, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '161', 's_9ae62db', 'You have yourself the best pilot in the fleet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '162', 's_9b266fb', 'Yes. The Emperor needs me here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '163', 's_9cfbfe87', 'Good to see that you are back. We have a mess on our hands right now. Reports are coming in from all over the Endor system that Rebels have been spotted in almost every quadrant.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '164', 's_9dbb5a9a', 'What is the plan?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '165', 's_9dedc264', 'I don\'t know if I would say...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '166', 's_9fbaa975', 'Keeping a lid on entire system will be no easy task.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '167', 's_a099839c', 'I am afraid so. I am to remain here and finish the preparations for the rest of Storm Squadron to be moved out of this system. Good luck to you, %NU. If you serve the Admiral as well as you served me all will be well.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '168', 's_a0aa65a4', 'Yes, I know. I was the one who foretold that you would be transferred. I cannot say that I am not happy to see you leave. Frankly, you worry me a little bit.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '169', 's_a14faca6', 'A squadron of X-wings? I don\'t like their chances.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '170', 's_a22823c2', 'You\'re wrong!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '171', 's_a3d2c25b', 'Those weak minded fools were hardly a challenge.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '172', 's_a3f5c141', 'Neither do I. But I have respect for their abilities. The information you recovered from the Rebels is still being examined by Intelligence. We should have more answers soon. Once we have all of it compiled we will be sending you out again. Hopefully with more direction this time around. Until then let us see what we can do to increase your lethal talents. What skill would you like training in? ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '173', 's_a49e0a76', 'Then you must explain this mission to me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '174', 's_a5f19408', 'The pleasure has been all mine. You are being transferred to Admiral Kilnstrider, head of Storm Squadron. He is personally taking over security of the Endor system. A base of operations has been set up on the research center on the moon of Endor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '175', 's_a7d9a14d', 'You have been far more than an assistance, you have been instrumental. I have made sure to note your contributions in my reports and you have garnished more than a fair share of attention. I fear that you will not be under my command for very much longer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '176', 's_a7f392e3', 'And the Emperor wants you to follow my instructions. I am sure his guidance will lead you to victory over our enemies.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '177', 's_a835651f', 'Understood! I will not let you down.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '178', 's_a8daab7', 'I am sure the Inquisition appreciates your faith in their abilities. They will handle the matter of the traitor. Your concern should be on Storm Squadron business. The Emperor wants to here to help protect his interests.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '179', 's_a950fa1d', 'What is the plan, sir?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '180', 's_a9aeb386', 'Teach me about advanced starship component use.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '181', 's_aa3bdfaa', 'I am sure you were simply amazing in that battle. Of course, you will be happy to know that I listed your accomplishments in my reports to my superiors. They were rather impressed by your prowess. I wouldn\'t be surprised if you were promoted over this.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '182', 's_aad92c11', 'No, Storm Squadron is moving out of the Yavin system. We have been reassigned to security detail for a top secret project taking place inside the Endor system. For the time being we will still be operating command from here on Yavin 4 until the move is completed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '183', 's_abcfd5a5', 'There is only one way that the Rebels could have gotten the information that they did have...a member of the Empire leaked it to them. A since they were aware of the flight times and routes of the vessels they attacked that can only mean that whoever leaked this information was a commanding officer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '184', 's_abdbf980', 'Exactly. We are counting on the Rebels attacking the shuttle, which you will be escorting. If we can make this look very real to them and kill enough of their fighters, it will cause them to want to find out what we are fighting so hard to protect. When the time is right, the shuttle will pretend to make a run for it and allow itself to be captured. The Rebels will find the fake documents and they will be ours.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '185', 's_ac951104', 'You\'ll get your chance. The Rebel faction remains active across a number of systems. Of course, we will only be dealing with security in one system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '186', 's_ad08e741', 'We have placed out a number of barrier satellites around the Endor system. They are designed to track the movements of any vessels that move to close to them. They have recorded a few Rebel fighters moving and fortunately for us another of the Rebel scouts.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '187', 's_ad5060b2', 'Doesn\'t matter where I am located. I rule space no matter the system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '188', 's_ad622e6d', 'I see. About my assignment?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '189', 's_ad784b0a', 'My ego isn\'t fragile. I know I am the best!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '190', 's_afdf6d6', 'What is it you want me to do, sir?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '191', 's_afe7ad77', 'We will update you to the location of the new Rebel scout as soon as you are in the Endor system. Remember a lot is riding on your success. Good luck, %NU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '192', 's_b16490f1', 'Secret project? Sounds interesting.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '193', 's_b196e01f', 'Even though we are still looking for the clues as to how much information the Rebellion has been given by the traitor, we have allowed the Rebels to run rampant through out the Endor system for long enough. We need to start reducing their numbers before they get out of control.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '194', 's_b3001b77', 'How can we provide security without knowing what we are protecting?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '195', 's_b3f090c6', 'I wouldn\'t say perfect. But fortunately I was able to compensate.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '196', 's_b40f340', 'Not a chance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '197', 's_b4880204', 'Much better! As I said before we will be running security detail in the Endor system for a project that has been sealed to the throne. To my understanding there will be numerous engineers, supply freighters, and command vessels will need protection from any interference. On top of that the entire system must be kept under quarantine to avoid any word of the project from reaching the outside.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '198', 's_b5094e65', 'Go with the Emperor\'s blessing. You are dismissed, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '199', 's_b6b37d2c', 'Well, we shall see now won\'t we? Storm Squadron has been personally chosen by the Emperor to head security for a most important and secret project in the Endor system. We are beginning our move out of the Yavin system but have not yet set up a base of operations in Endor. Command will still be stationed on Yavin 4 for the time being.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '200', 's_b89e6b42', 'That is what I wanted to hear. Intelligence has finished decrypting the data that you recovered from that Rebel scout. The data only included the operational status of a few of the Rebels in the area but it was enough to give us an idea of what the Rebels are doing in this area.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '201', 's_b8fba9bb', 'We know exactly what we are protecting. We are protecting the personnel and vessels involved in a top secret project. That means we keep them safe and keep others out. Fairly simple, wouldn\'t you say?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '202', 's_b9bfd3a8', 'You are absolutely correct. You are to destroy a flight of X-wings that we have been tracking. Since I have dispatched other pilots from Storm Squadron you should only need to destroy that one squadron for us to accomplish our goals, but feel free to destroy any extra you wish.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '203', 's_b9c26cb1', 'Just tell me who to kill.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '204', 's_bb9e4a63', 'Understood, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '205', 's_be28f7e0', 'First, we will need to inform Endor about our intentions. Because the Rebels are listening into our communications we will have to send the plans to them on your vessel. Once they have the plans we will send out a message about a shuttle carrying top secret documents on its way through the Endor system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '206', 's_bf67c417', 'So they are not yet aware of what the Empire is doing?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '207', 's_c01151b0', 'Sure. That might be useful.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '208', 's_c0cba601', 'Prove it to me. Get back out there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '209', 's_c118c966', 'I am honored to serve under the Emperor\'s Hand.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '210', 's_c17e8fe8', 'Hopefully they will attract some attention.The practice would be nice.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '211', 's_c183fa1a', 'Let\'s hope that this stays a simple escort. This project is of utmost importance to the Empire. Any disruption could jeopardize the entire operation. You will make sure that those engineers arrive in Endor just as safely as they left here. Dismissed, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '212', 's_c198d74c', 'I don\'t need any of your lip right now. We will have this situation under control shortly, you can count on that. Right now we have Intelligence deciphering that data you recovered from the Rebel scout and once we have that we will have a better understanding of how best to proceed. While we are waiting for that we need you to get your skills up to speed. What are you interested in learning?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '213', 's_c23c0889', 'Indeed. But now that we know they have access to our communications, we have the advantage. My plan involves using this leak in order to draw the Rebels out.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '214', 's_c27dc8c9', 'I am honored to serve under the Emperor\'s hand.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '215', 's_c33ed1f7', 'No, I think you are doing fine.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '216', 's_c3a1b3b3', 'Well done, %NU. Not only did you manage to drive the Rebel force back into hiding from the Endor system, you also managed to uncover all the information that was leaked to them by the traitor. We will be able to quickly change our plans for the system based off of that information and neutralize any advantage the Rebels might have had.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '217', 's_c3fac79d', 'Of course you did. The documents will have coordinates to a supposed command station. If all goes well the Rebels will take the bait and attack in force. They will not find any station at that location but they will find you. You are keep the fighters occupied while we scan the surrounding area for the Rebel command.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '218', 's_c4088008', 'Get off my case.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '219', 's_c4b21396', 'I see that you are eager to get underway. But perhaps it would be best if you allowed me to explain what we are going to try to accomplish before flying off.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '220', 's_c4f3b92c', 'Let\'s begin your training. When you\'re done, you\'ll be ready for a new mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '221', 's_c5320bec', 'I don\'t have an ego. I am the best!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '222', 's_c70eec74', 'I should never have accepted you into this unit.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '223', 's_c7db2e97', 'So a simple, escort. I thought this was going to be hard.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '224', 's_c84be049', 'Sorry, sir. Now about my assignment?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '225', 's_c8f732dc', 'What was in that report?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '226', 's_c8fb2a47', 'Direct and to the point, I like it. Storm Squadron has been personally chosen by the Emperor to head security for a most important and secret project in the Endor system. We are beginning our move out of the Yavin system but have not yet set up a base of operations in Endor. Command will still be stationed on Yavin 4 for the time being.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '227', 's_c9189ff3', 'Pilot! Get you emotions under control. I cannot afford to hand this operation over to someone with a personnel vendetta. I want pilots, not rampaging psychopaths. Is that clear?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '228', 's_cb3f07d5', 'We have Intelligence working on deciphering the data that you recovered from the scout as we speak. Once we have that information we should have a better grasp on the situation and be able to figure out how best to proceed. Until then we need you to get up to speed with your skills. I think you will be instrumental in the upcoming days. What are you interested in learning?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '229', 's_cc9d8558', 'Welcome back. You have successfully managed to retrieve the information from the Rebel command vessel, as well as, save the 3rd TIE Wing from destruction. A very nice days work if I say so myself.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '230', 's_cd3a54f7', 'Because we need you, %TU.  And others like you.  But only so long as we can trust you.  So go handle this situation.  Pilots of your skill are not exactly common, you know.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '231', 's_d09291f7', 'Please, keep your curiosity to yourself. This project has been sealed to the throne, any violation of that order will result in immediate execution. We are simply in the Endor system to provide security for the engineers, cargo freighters, and command personnel. We are NOT there to ask questions.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '232', 's_d0ca9684', 'The AGENTS in Intelligence discovered that the Rebellion has managed to get their hands on some very confidential information. They had flight schedules, routes, and defense plans from all over the system. It would seem that the Rebels were supposed to capture some of the engineers in order to find out more about the Imperial operations in the Endor system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '233', 's_d19e7587', 'I am ready to add another notch to my belt.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '234', 's_d1fb3414', 'Maybe YOU\'RE the traitor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '235', 's_d20bfc57', 'Uhh, yes of course.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '236', 's_d25510d5', 'Understood. I am ready to begin, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '237', 's_d2ef774', 'I have heard that from more than a few young pilots who have walked through my door. Most of those pilots only live in my memory now. I sincerely hope that the same fate does not await you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '238', 's_d3fb9e20', 'They\'re idiots.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '239', 's_d4402e2e', 'The Emperor will guide me true.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '240', 's_d55771c4', 'Absolute freedom breeds discontent and anarchy. If everyone is allowed to do their own thing then there will be growth for society as a whole. And there can be no peace as long as the galaxy is splintered into many different factions. Only the Empire can unify all those different factions and bring about ultimate peace. In order for us to do that we must be strong. Storm Squadron is part of that unifying strength.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '241', 's_d6bf6113', 'The documents will be fake. We are counting on the Rebels attacking the shuttle, which you will be escorting. If we can make this look real to them by killing enough of their fighters, it will cause them to want to find out what we are fighting so hard to protect. When the time is right, the shuttle will pretend to make a run for it and allow itself to be captured. The Rebels will find the fake documents and they will be ours.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '242', 's_d6e0ca4c', 'It\'s about time you let me take off the kid gloves.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '243', 's_d760b1fe', 'Yes, that is a sound plan. I will destroy our enemies.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '244', 's_d837376f', 'If the time comes and you are promoted, I would highly suggest curbing your ego a bit. Most officers above me are not as tolerant as I am. But if you are promoted we cannot have any of them being unimpressed by your skill. What skill would you like training in?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '245', 's_d8c02b03', 'Not quite yet. We are going to use our knowledge that the Rebels have tapped into our secure lines against them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '246', 's_dab3c286', 'I know what I\'m doing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '247', 's_dc98dda7', 'That is still being examined by Intelligence. We should have more answers soon. Once we have all of it compiled we will be sending you out again. Hopefully with more direction this time around. Until then let us see what we can do to get you better prepared for your next assignment. What skill would you like training in?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '248', 's_dcbac482', 'Of course, I told you I was good.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '249', 's_dd4be05c', 'What is my first assignment?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '250', 's_df0f8037', 'I know that. But you have gained some measure of fame regardless. It has not been made official but I believe you will be transferred soon. If that is the case we must be sure that you are up to snuff. What skill would you like training in?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '251', 's_dfb20007', 'I can hear him talking to...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '252', 's_e094e94b', 'Send me back out there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '253', 's_e2ebe5ea', 'And how would the Rebels have gotten that information?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '254', 's_e374b3bf', 'I will remember that, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '255', 's_e5e51881', 'Field Commander Alozen tells me that you\'re ready to serve under my command. We will see, won\'t we?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '256', 's_e634eb73', 'It is the Emperor\'s will that I defeat his foes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '257', 's_e6e2ab99', 'You are not here on Imperial business. Leave now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '258', 's_e82e2f2d', 'You can count on me, sir! They will arrive safely.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '259', 's_e83e03f6', 'They\'re dreamers. They fail to recognize the futility of their cause. So many wasted lives all in the name of so called freedom. What they fail to understand that even if they win they will just be under someone else\'s control. There is no such thing as true freedom.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '260', 's_e8e85347', 'Direct me and I shall succeed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '261', 's_e956329d', 'How would they have managed to get that information?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '262', 's_e99b920a', 'The Rebellion might be foolish but they are hardly weak minded. The Empire has underestimated their abilities too often and has paid dearly for those mistakes. Storm Squadron will not make that same mistake. We will learn everything we can about our enemy and then defeat them using what we have learned.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '263', 's_ea1cf0eb', 'Nice, timing. I was just about to send for you. We have work to do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '264', 's_eacf6042', 'What information will those documents contain?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '265', 's_ec6eda2a', 'Sealed to the throne basically means that all project information about Endor is on a need to know basis. Usually only a few top personnel even know entirely what is happening when something is sealed to the throne. Everyone is told only enough to do their jobs. Of course that doesn\'t mean we cannot speculate, just be sure to keep your speculation to yourself.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '266', 's_ee1dc70b', 'Well this is your chance. We are still looking for clues as to how much information the Rebellion has at their disposal, but we cannot ignore the growing number of Rebel fighters in the Endor system any longer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '267', 's_ef128cbc', 'So, it is safe to assume they don\'t know exactly what the operation is.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '268', 's_ef77d77a', 'Hopefully we most certainly will not attract any attention! You will not go out of your way to find any sort of action. Those engineers will arrive in Endor safely, you WILL be sure of that. You are dismissed, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '269', 's_ef7a2df5', 'Teach me about special forces training.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '270', 's_efdebeb8', 'You can count on it, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '271', 's_f06f4a8', 'You are not assigned to this Squadron, pilot. Perhaps you have gotten lost? I suggest you un-lose yourself quickly.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '272', 's_f0d5d662', 'No. We still do not know everything that the traitor has given to the Rebellion. Without that information the Rebels could simply send in another command ship and we would be right back to where we are now. But we will keep track of the vessel until we can decide how best to proceed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '273', 's_f1ae24d9', 'Go forth, execute the Emperor\'s plan, and smite his enemies. We are sending the plans on Lambda shuttle to the Endor system. Meet up with the shuttle and transfer them to your craft. Then drop them off at Endor control. Once that is done the real operation can begin. Good luck to you, %NU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '274', 's_f2bc2a81', 'Get back out there. Shut this situation down.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '275', 's_f51fd3ee', 'Naturally. That scout probably contains another piece of the puzzle. If we can gather enough information on the Rebel operation then we will be able to plug this leak. Unfortunately, the Rebel will always know about the Imperial project in the Endor system but we can stop them from finding out what it is.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '276', 's_f733628f', 'What did we find out from the Rebel information?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '277', 's_f9d2ed90', 'Very crafty of them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '278', 's_fae9ce56', 'Prove it. Get back out there and do your job.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '279', 's_fb75707f', 'Then it is fortunate we have such a \'talented\' pilot in Storm Squadron. Perhaps you would care to plan the next mission?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '280', 's_fb7fd32', 'I take it you want me to inspect that scout as well?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier3.stf', '281', 's_ff74cc15', 'Good! It would be a shame for me to have to discipline someone who has just entered my command. So pilot, are you ready to take your first assignment or do you need a little time?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '1', 'do_not_edit', 'The English version of this file (tatooine_imperial_tier4.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '3', 's_134dd45', 'I will accept it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '4', 's_146bc0b9', 'I just received the orders, you are shipping out. Grand Admiral Nial Declann has ordered that you attend him immediately. The orders come from the Palace at Theed so that is where I expect he wants you to go.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '5', 's_175d585', 'I will kill you myself. Is that enough motivation for you? Return to your duties!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '6', 's_1c3b8136', 'You will personally escort the Inquisitor\'s ship to this position. You are to leave at once.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '7', 's_1e20c3ab', 'You did. And the Emperor thanks you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '8', 's_1e4c7d44', 'Ha! How very kind of you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '9', 's_21b67b7a', 'I have nothing to fear from them, right?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '10', 's_2483f4e0', 'The Inquisition means to get to the bottom of this. You are to escort their ship to this location. Dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '11', 's_2a35d2fe', 'This war will be won by pilots who FIGHT, not by  pilots who like to drop by for visits! Begone!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '12', 's_2a973dfa', 'Something is knocking our system satellites offline.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '13', 's_2afd4ef5', 'I would expect nothing less.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '14', 's_2c2ce09e', 'I want to learn about heavy starship component use.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '15', 's_2c46518', 'It\'s always useful.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '16', 's_2c4789b', 'Understood.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '17', 's_2d7a9ef4', 'Freighters are also a popular target for Rebel forces. Several have taken damage, and they must be rescued. And that is the situation. Tell me, which one interests you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '18', 's_2e7cf1a7', 'No. You did not. Several shuttles managed to escape our sensors. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '19', 's_2eb3aa2', 'You are resting on your laurels, %TU. Do not be so overconfident. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '20', 's_2f748550', 'I thought I had all of them!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '21', 's_31428bf1', 'Looks like that somebody is you, %TU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '22', 's_333f441a', 'What would a Grand Admiral want with me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '23', 's_33cd03fd', 'I am sure the Inquisition is interested in Bothan spy activity. This particular - person - is very important to me, which means he is very important to you as well.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '24', 's_34f8d771', 'Why? Have you been naughty?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '25', 's_3de69a90', 'They are attempting to leave this system. You will stop them. Fire at will.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '26', 's_3e3689e0', 'Do you REALIZE what will happen if you fail this mission?!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '27', 's_3e6a4237', 'Very well. The sitrep is as follows. A pirate clan has foolishly chosen to set up operations in this system. They must be dealt with. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '28', 's_3ec8b347', 'The Rebels continue to bother us. They are incessant! But you have done well, %TU. You have earned your duty pay.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '29', 's_43e05ffa', 'Exactly. Now listen! Satellites in this system are going offline. There is no reason this should be happening.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '30', 's_45c5c358', 'The orders don\'t say and I don\'t make a point of sticking my nose in their business. The order simply say that you are being transferred under his command and that you are to report to him immediately. I suggest that you be on your best behavior for this one.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '31', 's_4621ec24', 'I\'ll report my findings back to you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '32', 's_469b88eb', 'I wish only to serve.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '33', 's_484092bd', 'The Bothans took the ships to the Dantooine system. They will be transferred to the Rebellion shortly. But that must not happen.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '34', 's_4854758d', 'I would like to request a mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '35', 's_49237f95', 'No...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '36', 's_49425c4b', 'I\'d like to do more than talk.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '37', 's_49805f81', 'Can I hear the briefing again?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '38', 's_499130ad', 'Then shut your mouth and listen! We have learned that Bothan spies are operating in this system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '39', 's_4aef73fb', 'You have earned some of my trust, %NU. Not all, but some. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '40', 's_4c695dbd', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '41', 's_4d41f7fe', 'Dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '42', 's_50605b35', 'What are you doing here pilot. You are not a part of this unit.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '43', 's_5066022c', 'And so, of course, I will pay you now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '44', 's_5085bdab', 'I can use the money.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '45', 's_510025b7', 'Not yet. But we DO know that the stolen shuttles were taken to the Dantooine system - and will  be transferred to the Rebel Alliance shortly.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '46', 's_5208f382', 'I can help those damaged freighters.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '47', 's_52917b0d', 'Of course.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '48', 's_52bae760', 'Incredible! Bothans are rarely so bold.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '49', 's_535d53b3', 'That must not happen!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '50', 's_53773f7e', 'Welcome back, %TU. Your next assignment is waiting. Are you ready?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '51', 's_555b7ab7', 'Sabotage?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '52', 's_5ec3bab9', 'It\'s as good as done.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '53', 's_60db9426', 'I should...finish my mission?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '54', 's_613f70ae', 'So I shouldn\'t call him Nial?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '55', 's_61657d0f', 'I see.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '56', 's_643d24c8', 'An Inquisitor?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '57', 's_661f1464', 'Excellent idea! Let\'s do that. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '58', 's_665b67d1', 'Very good.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '59', 's_66bd8046', 'The Emperor continues to take an interest in this system. He is sending an Inquisitor here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '60', 's_67f91789', 'Always plenty of work for a pilot like you. Are you ready to accept an assignment? Or would you like to hear the briefing again?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '61', 's_6a85372e', 'What are they doing with them?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '62', 's_6c642831', 'And I speak for the Emperor! The Endor system is back under our control. This is as it should be.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '63', 's_6dda58fa', 'Of course not. Our engineers plan for that kind of logical event. It\'s something else.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '64', 's_6ebb13d3', 'I do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '65', 's_7090182', 'What?!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '66', 's_71197541', 'Yes. I have.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '67', 's_7177c3f2', 'Who is Grand Admiral Nial Declann?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '68', 's_717d4e48', 'Don\'t be. I\'m only giving you the information you need to serve the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '69', 's_71874e85', 'You have earned some of my trust, %NU. Not all, but some.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '70', 's_71e775f5', 'You have not done your job!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '71', 's_7247f243', 'I do not have any missions for which you are authorized. But I do have some elective duty tasks if you are interested. Would you like a briefing?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '72', 's_7426e000', 'No!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '73', 's_77788129', 'More supply freighters are arriving every day. They must be transported to headquarters.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '74', 's_77e48d5b', 'What do you mean?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '75', 's_783f1d49', 'We have gathered information from that Rebel shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '76', 's_7a3b60ae', 'Pretty words. I would rather see ugly action, if you know what I mean.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '77', 's_7b2d0234', 'I\'ll be happy to transport those freighters.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '78', 's_7b7590d4', 'Yes...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '79', 's_7f465235', 'Oh yes. I was told to expect you. I imagine you fancy yourself quite the pilot. Well I\'ll make my own judgments once your prove yourself. Now, how about you get to work?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '80', 's_8028a6ed', 'I am not concerned. We took action in time. The Empire may shoot too far or too wide at times - but at least we shoot!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '81', 's_83cb9cbb', 'I would have no problem replacing you with another pilot. And replaced pilots are dead pilots. Am I making myself clear?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '82', 's_83e62040', 'They are attempting to leave this system. But they will not - because you will stop them. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '83', 's_86c72612', 'That\'s very good of you. My men will upload coordinates to your ship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '84', 's_87d4bfc2', 'Crystal.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '85', 's_898e32ed', 'I should say not! I am unsatisfied! Finish what you have started, imbecile!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '86', 's_8a4f7617', 'Please.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '87', 's_8bcb23a1', 'Then show me  that you are a person of your word.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '88', 's_8eb7d0ee', 'Destroy those shuttles!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '89', 's_8f48acff', 'Unlikely. But whatever it is, it will be corrected. By you. I want you to investigate each satellite personally. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '90', 's_8f4d001d', 'I haven\'t?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '91', 's_951d1b06', 'There must be...How many satellites are there in this system?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '92', 's_958dc561', 'The Emperor\'s most potent weapon - besides myself,  that is. Your fears are well founded.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '93', 's_96443422', 'We\'ll get them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '94', 's_97682588', 'I want to learn about droid intelligence theory.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '95', 's_9853c232', 'That is not my concern. It is yours. You will fix the problem. I want you to inspect each satellite personally.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '96', 's_99e3a272', 'My thoughts exactly. You must make your way to Dantooine and destroy those stolen shuttles.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '97', 's_9ad8fa8f', 'Use extreme prejudice. We\'d rather see those ships destroyed than fall into Rebel hands. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '98', 's_9b43a7ee', 'Yes sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '99', 's_9cc5ad7c', 'I am here to serve the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '100', 's_9da5d80d', 'See that it doesn\'t! The Empire only has room for the best. Get back to work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '101', 's_9e02d014', 'Incredible! How can this be? We\'ve been pursuing them at full speed!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '102', 's_9ff091bd', 'Ah. %TU. Hello. I wish to give you your duty pay.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '103', 's_a0bfbb', 'We are also receiving reports that several freighters were attacked by pirate vessels. We need an experienced pilot to retrieve those freighters.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '104', 's_a1586753', 'Do you know how the Bothans managed to pull this off?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '105', 's_a46cdee9', 'Excellent!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '106', 's_a4dd5d0d', 'Very good, %TU. I have your duty pay.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '107', 's_a4f1dc7d', 'How would I know? I have never had the honor of meeting a Grand Admiral. But your behavior reflects on me. If you screw up  he will probably just have you executed. I on the other hand will probably be put on garbage detail for the rest of my life. So show this Grand Admiral what being a member of Storm Squadron is all about.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '108', 's_a50d5eb4', 'I want to learn about experimental TIE vessels.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '109', 's_a5182b84', 'You have earned it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '110', 's_a5827814', 'You will address him as Grand Admiral or sir! If you lip off to the Grand Admiral he is liable to have you shot on the spot and then he will probably turn his vengeance on me. You are a reflection of our entire squadron so you had better not screw this up. Now get to Theed Palace and report in.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '111', 's_a5b9be0a', 'The Bothan spies are good pilots after all.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '112', 's_a5d7d28d', 'I want to learn about elite TIE guard training.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '113', 's_a87c6f7d', 'You must control your temper. If you find these Bothans, you must deliver them to the Inquisitor unharmed. They will know what to do, believe me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '114', 's_a9fb7454', 'I suggest you get back to work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '115', 's_abddb145', 'I am sorry, it won\'t happen again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '116', 's_ad56e0fd', 'For what reason?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '117', 's_adcc0a23', 'You want me to be lazy and undisciplined?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '118', 's_adfa15d1', 'Any idea what it could be?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '119', 's_ae9853f8', 'Bothan spies are operating in this system. They have gone so far as to capture several of our command shuttles.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '120', 's_b03d4317', 'It is curious, isn\'t it? But no matter. They won\'t get far. Bothan spies have no chance against an Imperial pilot such as yourself.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '121', 's_b1d99272', 'Life is short - especially for an Imperial pilot. I would enjoy that money if I were you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '122', 's_b2a9497c', 'Enough to keep you busy, I think. You are to leave immediately.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '123', 's_b2da1ce2', 'Bothan? They usually work with the Rebels.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '124', 's_b3c5ff5e', 'Have you completed your mission?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '125', 's_b3d150e3', 'I know I have not completed my mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '126', 's_b474959c', 'Of course! I did my duty.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '127', 's_b7879974', 'How do you know they\'re here? Bothan spies are usually invisible.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '128', 's_b78b6139', 'Good. Now don\'t keep the Admiral waiting. Get to Theed Palace on the double and report in.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '129', 's_b8173a60', 'Yes, sir. I won\'t let the squadron down.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '130', 's_b885dd25', 'Can I fire on the ships?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '131', 's_b9b27823', 'Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '132', 's_bac59fd8', 'No. Of course not. I am not concerned. You know and I know that if you betrayed the Empire, you would be dead before nightfall.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '133', 's_bc2b5278', 'I hope so. Dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '134', 's_bf2260fb', 'Yes, sir. I will be on my best behavior.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '135', 's_c1ce722e', 'I will complete my mission! I swear it!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '136', 's_c28a04da', 'I don\'t tell secrets.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '137', 's_c3f0115e', 'Not this time. They have captured several of our command shuttles.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '138', 's_c782ced7', 'I\'m flattered.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '139', 's_c8003afd', 'Don\'t play innocent with me, %TU.  You need to get this situation straightened out.  If you cannot improve your standing with the Empire, then you can\'t be trusted with any more assignments.  Do I make myself clear?  You are dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '140', 's_c90d9b02', 'The Empire pays well.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '141', 's_c9b872a1', 'Then continue your search for those shuttles.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '142', 's_cae57de6', 'There\'s more where that came from.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '143', 's_cc9ccc9a', 'Well then. There\'s your answer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '144', 's_cec1f447', 'I\'d like to take out that pirate clan.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '145', 's_d115dd42', 'Somebody\'s got to recover those freighters.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '146', 's_d1e73984', 'It is essential that all pilots continue their training. Select your next course of study!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '147', 's_d318f289', 'You don\'t look like much of a pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '148', 's_d3b2272c', 'I believe your trainer is looking for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '149', 's_d669284c', 'Pilot, if you screw this up, the Grand Admiral won\'t have a chance to execute you because I will do it myself. And I won\'t make it all pleasant like he would. You will suffer long, you will suffer hard, and you will live to regret ever messing with my squadron. Now get out of my sight before I have to inform the Grand Admiral that you had a little accident involving my foot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '150', 's_d7be8f57', 'Don\'t spend it all in one place.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '151', 's_d88c15de', 'Of that you can be sure.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '152', 's_dc219a69', 'Grand Admiral Nial Declann is one of the twelve men in charge of the Imperial Navy. From what I have heard he has the Emperor\'s ear and is definitely not a man to be trifled with. I would suggest that you be on your best behavior because that man will not tolerate any impertinence.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '153', 's_dd2ae025', 'I don\'t know what to say.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '154', 's_df3eeb29', 'Why, what sort of man is he?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '155', 's_e015cb4', 'Good. Remember you reflect on me and the entire squadron. The Grand Admiral has the power to eliminate our entire group with a single order, so don\'t let us down. Now don\'t keep the Admiral waiting. Get to Theed Palace and report in right away.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '156', 's_e0e28bdb', 'You are drawing the attention of the Inquisition. They are wondering how a pilot like yourself could possibly be an Imperial.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '157', 's_e16137e8', 'Get out of my sight immediately!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '158', 's_e26ff616', 'I will do my job.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '159', 's_e542a06b', 'You are not authorized to fly the missions that I have. You would probably have more luck talking to your commanding officer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '160', 's_e5f302f7', 'Space debris?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '161', 's_e604f53', 'And that\'s why we will win.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '162', 's_e91413e7', 'I am amazed myself. As is the Inquisitor. He is eager to speak to one of these Bothan spies. They\'ve done an amazing job.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '163', 's_eb570c2b', 'Ah yes. I know this too. What should we do about this?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '164', 's_ebe5a831', 'We destroyed the Rebel command ship, but they may still have the stolen information.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '165', 's_ee15b61', 'I hope so - for your sake. Return to your duties immediately.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '166', 's_ee7cbdbe', 'See that you do. Because, you see, it is also drawing attention to myself. And I do not want that. So do good - for me. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '167', 's_eef2363b', 'Mm.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '168', 's_ef420789', 'Yes!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '169', 's_f10afb8', 'Very good! Now you will serve me! I have a mission for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '170', 's_f2643fdd', 'What is your major malfunction, %TU!?  I just got a report that you\'re under investigation for treason!  Do you realize how this makes ME look?  I should shoot you myself.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '171', 's_f4d0ec53', 'Do so! You\'re clear to leave.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '172', 's_f5e3efbe', 'I understand that you served the Grand Admiral with distinction. You have done well by me and the squadron. Are you just here for more work?  Sure you are.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '173', 's_f5ef44e1', 'The Emperor appreciates your loyalty.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '174', 's_f6f97563', 'Excellent. Sometimes I think half the galaxy has taken an interest in this godforsaken little corner. You\'re free to leave anytime.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '175', 's_fcc7875e', 'Do you have any more information on the shuttles?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_tier4.stf', '176', 's_fee3d28f', 'We continue to pursue these stolen shuttles.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '1', 'do_not_edit', 'The English version of this file (tatooine_imperial_trainer_1.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '3', 's_101a6629', 'Report back to me when you are ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '4', 's_10675ec9', 'Keep quiet and listen. Bestine has become a key base location for Imperial Naval operations in the Outer Rim. Many ships and men are moved through this region on a daily basis. Ships and men consume supplies and uninterrupted delivery of supplies is critical to the integrity of base operations.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '5', 's_1091c96a', 'I\'m done for now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '6', 's_1144321a', 'Don\'t get too cocky, it might have just been luck. I\'ve convinced the Naval Command to test your abilities further. We want to crush the pirates and demonstrate that Imperial resolve remains strong. I want you to get into space and destroy any Commerce Raiders you find. Your mission is to eliminate four of the pirates.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '7', 's_11fcdd9f', 'I\'m interested in hearing about the Imperial Navy, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '8', 's_13195064', 'Here\'s your salary for the operation and another bonus for exceptional duty. I also received your Imperial flight suit. Please wear it while you are on duty. Your helmet will take a while longer, the inertia electronics have to be calibrated for every pilot. You wouldn\'t want to black out during a fast maneuver.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '9', 's_13a199af', 'Why recruit volunteers? Is not the strength of the Emperor\'s Navy unmatched?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '10', 's_14aa29c', 'I haven\'t exactly enjoyed your company, either. Yes, it does mean you will have a new commanding officer. I\'ll skip the formality. You are now a Pilot Officer. Personally, I think it\'s a mistake, but Naval Command likes the results you\'ve shown.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '11', 's_153a5c24', 'You are the most obstinate person I have ever had the displeasure of meeting. Report back to me when you are ready for another mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '12', 's_154024b0', 'Get out of my office, trash! Guards, throw this scum out!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '13', 's_15a6458f', 'What is Oberhaur like?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '14', 's_15daf24e', 'You don\'t take complements very well. This one was worth double the normal rate. I\'ve also received your Imperial TIE pilot helmet. Unfortunately, these standard issue helmets are not suited to meet your, uh... cranial proportions.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '15', 's_16244233', 'I\'m ready for a mission, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '16', 's_163d48b6', '(Take the form.)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '17', 's_169df3bb', 'Never mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '18', 's_16c1201f', 'Ah, joy. A briefing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '19', 's_16f8c58a', 'I will not disappoint, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '20', 's_16fc739e', 'I...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '21', 's_17519607', 'Good luck, pilot. Stay sharp.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '22', 's_1768c7c4', 'Just a minor set back. Those pirates won\'t last long.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '23', 's_19288eda', 'I think I need to rethink things.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '24', 's_19d7d16a', 'It\'s too bad you can\'t wear it. It would be a marked improvement. Report back to me when you\'re ready for more work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '25', 's_19ff301f', 'What kind of training?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '26', 's_1a100286', 'I think you need to prove you\'re worhty first, don\'t you?  Now stand at attention!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '27', 's_1a5d8b73', 'Don\'t underestimate him. A particularly skilled and charismatic leader might explain the increase in the pirate activity. You must continue to hunt him down.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '28', 's_1cccf249', 'You are not a pilot in my squadron, and therefore unable to fly any of the missions I have. Go back to your unit and speak with your commanding officer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '29', 's_1d0e7364', 'I\'m transferring a ship authorization and control device to your datapad. You\'ll need this to use your TIE Fighter. Should you lose your control device and access to your ship, you can apply for a new one at any time. Unfortunately, I\'m only authorized to supply you with access to our low end TIE technology.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '30', 's_21309acb', 'I\'m no Inquisitor. I merely seek the will of the Emperor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '31', 's_22451e60', 'We serve as the Emperor wills.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '32', 's_22564d44', 'Sir, I can fly. It would be an honor to serve the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '33', 's_23600775', '(Yawn.) My payment?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '34', 's_247ae5a6', 'Here is your salary for the mission. This one was worth double the normal rate. I\'ve also received your Imperial TIE pilot helmet. Unfortunately, these standard issue helmets are not suited to meet your, uh... cranial proportions. Nevertheless, keep it as a symbol of the technological and military might of the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '35', 's_24890a54', 'This recognition should have happened a long time ago.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '36', 's_248cfc90', '(Relate information on your inability to defeat the pirate leader.)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '37', 's_2562a051', 'For the Emperor. Sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '38', 's_259013cd', '[Destroy Duty] I\'m interested in hunting pirates.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '39', 's_25d6b961', 'Their destruction is inevitable.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '40', 's_263baa57', '(Brag about how you bagged several raiders.)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '41', 's_264e2e43', 'Or your ego. Here is your payment for a successful mission and an additional sum to compensate for hazards encountered.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '42', 's_266d5a8d', 'I\'m not sure that\'s the right kind of motivation, citizen. The Imperial Navy is the finest fleet in the galaxy. We command the Empire\'s starships and fighters. We are the hammer of Imperial justice. The Navy wants patriots who will fight for the security of the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '43', 's_2800bbf1', 'Yes, I\'ve heard. Saving that transport was very uncharacteristic of you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '44', 's_2844cc74', 'Pilot, you are a disgrace.  You have been assisting the Rebel Alliance against the Empire.  This will not be tolerated.  You are grounded until further notice!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '45', 's_28526663', 'Later!  This situation is urgent.  I\'ll train you AFTER you have completed this special assignment.  Got it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '46', 's_28586fd5', 'Very well.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '47', 's_2879b9e3', 'Indeed.  You didn\'t seem the type.  You realize that enlisting with the ground forces - even as a covert operative - could open you to attack from Rebels when you least expect it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '48', 's_2a1015e6', '(Don\'t salute.)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '49', 's_2a1af001', 'I defeated him with ease.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '50', 's_2bca7dec', 'Apparently there are few skilled warriors in this Navy, if my actions are surprising.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '51', 's_2c3d0c07', 'I will find and destroy the enemy, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '52', 's_2d4337c5', 'I\'ve seen your face! You\'re a known Rebel pilot! Guards, arrest this man!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '53', 's_2d5d4bf0', 'I\'m interested in a duty.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '54', 's_2e48b5f1', 'It\'s no secret that Imperial pilots utilize some of the best starfighter tactics the galaxy has ever seen.  I can get you started on the road to mastering these uniquely Imperial procedures.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '55', 's_2e935a2c', 'Good to see you again, pilot. I hope your new assignment is going well. The voluntary conscription program has been quite successful. If there is anything I can help you with, let me know. Although you are overqualified, I can offer you some basic missions and duties. I can also train you in simple skills, in case you need a refresher.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '56', 's_2f923a47', 'Yes, you\'re probably right about that. You managed to help secure valuable medical supplies. A lot of people owe you for your bravery.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '57', 's_2fe328e', 'By the powers vested in me by the Imperial Naval Command, under the ever watchful eye of the Emperor, I hereby conscript you to service with the non-officer flight rank of Pilot Initiate. May you serve the Empire dutifully. Welcome to the Imperial Navy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '58', 's_304d169e', 'I am honored, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '59', 's_3060d15b', '(Patronizing) The Emperor himself will take note of you, I\'m sure. Here is your salary as well as a little extra. The Emperor rewards dutiful service.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '60', 's_30a48366', 'Perhaps. By the powers vested in me by the Imperial Naval Command, under the ever watchful eye of the Emperor, I hereby commend you and bestow upon you the rank of Pilot Officer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '61', 's_311a3b47', 'Stand at attention. Now, deliver your report on the Commerce Route patrol.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '62', 's_31967d85', 'Does this mean I get a new handler? I\'m sick of working with you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '63', 's_323e4b0d', 'I will decide when you are ready for training, Pilot.  And right now I say you aren\'t.  Now, about your new role in the Outer Rim security detail...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '64', 's_34975e9f', 'Report back to me when you\'ve successfully completed the mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '65', 's_34bc5f5e', 'You don\'t have the experience to apply to training.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '66', 's_34ff44c5', 'Maybe you should reread your flight manual. Come back when you want to try again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '67', 's_35daf5c2', 'You responded to a rapidly changing situation, eliminated the enemy, and helped secure valuable medical supplies. I\'m proud of you, pilot. You\'ve come a long way in a short time. The Empire could use more people like you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '68', 's_36b3ba5a', 'Report on your patrol, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '69', 's_36f7cf1e', 'Perhaps they merely find them surprising coming from you. Here\'s your payment as well as a bonus for saving the transport. I also received your Imperial flight suit. Please wear it while you are on duty.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '70', 's_378987b0', 'Let me know if you decide you want to work with us.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '71', 's_37910d75', 'With the recent increase in pirate activity, our supply transports are at risk. The Empire would like to assign at least one TIE pilot to every transport operating in the Tatooine region. You will be paid for every successful escort operation you complete.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '72', 's_37979335', 'Report back to me when you are finished with the patrol.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '73', 's_37ae364a', 'That overconfidence will get you killed some day. We have Intelligence reports on areas of high pirate activity that will be good places for you to start your search for the pirates. Report back to me upon completion of your task.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '74', 's_37eb1d12', 'I\'d rather not sign up right now, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '75', 's_388cfea9', 'The Empire is recruiting volunteer pilots?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '76', 's_3988f447', 'We are the greatest fleet in the galaxy, surmounting even the warships of the old Republic. Nonetheless, Rebel opposition has become more direct. We want to recruit new pilots for support duty, freeing up combat pilots for the front lines. Are you a pilot?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '77', 's_39aba3b6', '(Tell him about your victory in battle.)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '78', 's_39f8ff3b', 'How else may I serve the Empire?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '79', 's_3ab04e84', 'As much as it pains me to say it, I hereby conscript you to service with the non-officer flight rank of Pilot Initiate. May you serve the Empire dutifully. Come back when you\'re ready for your \'job.\'');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '80', 's_3b1fee95', 'Report to me when you are ready to give it another try.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '81', 's_3b3aabc1', 'I\'d like training, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '82', 's_3b510c1a', 'The purpose of this patrol assignment isn\'t to add any additional security to the Commerce Route. I highly doubt you would be effective in a combat situation. This is to assess your ability to pilot a ship and follow basic instructions. I\'ve transferred the patrol route to your datapad. You are to fly to each point in the patrol route and then report back to me upon completion. Is this clear, Pilot Initiate?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '83', 's_3ca32099', 'They\'re as good as dead.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '84', 's_3d5b4720', 'Why would the Imperial Navy need to...outsource?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '85', 's_3de840b5', 'I need to spend some time practicing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '86', 's_3f6a8711', 'Thank you, sir. I do my best.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '87', 's_3f904297', 'Lost it? How do you lose one of those massive things? Alright, I\'ll imprint you a new one, but don\'t lose it. They only give me a limited allotment of these disks every week.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '88', 's_40f3848e', 'I\'m interested in space combat training.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '89', 's_42b12aab', 'Perhaps they merely find them surprising coming from you. Here\'s your payment as well as a bonus for saving the transport. I also received your Imperial flight suit, but you\'re much too large to fit into this... take this bandolier instead.  At the very least, it will help you organize your things.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '90', 's_42be2dbc', 'Tighten it up, pilot! If you fly half as bad as you smell, you\'ll end up space scrap. Discipline is key to victory.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '91', 's_42bfca2f', 'If you\'ve got work that pays, I\'ll listen.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '92', 's_42dfe6db', 'Indeed. The Empire rarely enlists non-Humans as pilots, and so we are poorly prepared to equip someone such as yourself. But do not be discouraged. Your current standing in the Imperial Navy is a testament to your abilities.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '93', 's_431ac3d4', 'Very good. How may I help you, Initiate?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '94', 's_438b2349', 'So far you\'ve been flying a basic TIE.  The normal TIE is quite a bit more complicated than that.  For one thing, you\'ll find that you can install better components on it... better weapons, better armor, and so on.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '95', 's_4608dfe8', 'The Imperial Navy is the finest fleet in the galaxy. The brave and the bold. We command the Empire\'s starships and fighters. We are the hammer of Imperial justice. All members of the Imperial Navy are officers, however we are now starting to recruit non-officer pilots for limited support duty.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '96', 's_465b51a7', 'I am sick of this insubordinate, disrespectful attitude. Shape up or you\'ll find yourself in a detention block.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '97', 's_46c8d76c', 'Show respect, Pilot! Outside you might be street scum, but in this office you are a pilot of the Imperial Navy. You will demonstrate the proper respect to your senior officer or you will demonstrate how to clean a sewage compactor. Is that clear?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '98', 's_47691a6', 'Report to me when you are ready to attempt the patrol again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '99', 's_4854758d', 'I would like to request a mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '100', 's_49af5773', 'You heard me.  If you ever want to fly for the Imperial Navy again, you\'d better improve your standing with the Empire!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '101', 's_4c6875a7', 'In this outfit, you serve as I will. Now get out to that patrol. Report to me when you\'re done.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '102', 's_4c97441f', 'Report to me when you have completed your mission. May the Emperor guide you to victory.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '103', 's_4d41f7fe', 'Dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '104', 's_4d7a1ae4', 'Spaced him. Now, about my fee?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '105', 's_4e95ac78', 'Service Pilot Initiate, it is beyond my understanding how you could fail to achieve the objective of flying such a simple circuit patrol.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '106', 's_4efae056', 'I\'m surprised those pirates didn\'t turn your ship into a burning heap. Here\'s your payment. Report back to me when you\'re ready for another job.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '107', 's_506aa7cf', 'Sorry, pilot, but you are carrying way too much stuff. I hope you don\'t take all of that into your ship with you. Drop some of it and come back for your form.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '108', 's_5070b6e', 'Very good. By the powers vested in me by the Imperial Naval Command, under the ever watchful eye of the Emperor, I hereby conscript you to service with the non-officer flight rank of Pilot Initiate. May you serve the Empire dutifully. Welcome to the Imperial Navy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '109', 's_518959d2', 'Good, I have a lot of work for you. Pirate activity in the area is still fairly high. There are plenty of pirates to hunt or you could help escort transports moving supplies.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '110', 's_523f6698', 'This sounds like something that might be worthy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '111', 's_52b712dc', '(Relate the details of the distress call.)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '112', 's_561d4b08', 'I will have you confined if you cannot control yourself.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '113', 's_565cc8ba', 'I live only to serve the Emperor, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '114', 's_566cddb5', 'This is a patrol and only a patrol. The purpose of the assignment is to assess your ability to pilot a ship and follow basic instructions. I will be very surprised if you manage to succeed. I\'ve transferred the patrol route to your datapad. You are to report back to me upon completion.  Is this clear, Pilot Initiate?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '115', 's_577aca95', 'I\'m interested in weapons.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '116', 's_59c8db72', 'Sir, yes, sir!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '117', 's_5b34a8a8', 'In the Imperial Navy we don\'t pick our postings, they pick us. The Naval Command feels you make a good candidate for Security.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '118', 's_5c4e4259', 'Whatever. Like I said before, just name the target and the price.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '119', 's_5c5b19e2', 'Yes, Sir!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '120', 's_5c709097', 'It is not the Emperor\'s will.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '121', 's_5c8922d8', 'That\'s the spirit, Pilot Initiate! You\'re starting to sound like an Imperial Pilot should. We have Intelligence reports on areas of high pirate activity that will be good places for you to start your search for the pirates. Report back to me upon completion of your task.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '122', 's_5cd3c77', 'There are those who believe the officers lack faith.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '123', 's_5ce97ee2', 'Imperial intelligence has located a suspected pirate leader. He seems to frequent a staging area close to the Bestine Orbital Region. I\'m transferring the coordinates to your datapad now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '124', 's_5e3cf461', 'I\'m interested in Imperial technology.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '125', 's_5e6be58d', '(Nod silently, but stare intensely.)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '126', 's_5ebce168', 'Actually, I\'d like to do this later.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '127', 's_5f418636', 'They were dead money. Now I want to be paid.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '128', 's_5fdd32ea', 'Excellent. Deliver a report to me upon completion of the mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '129', 's_601e26c5', 'Here\'s your salary for the operation and another bonus for exceptional duty. I also received your Imperial flight suit, but you\'ll never fit into this...Why don\'t you take this bandolier, instead.  At least you can keep your things organized.  Your helmet will take a while longer, the inertia electronics have to be calibrated for every pilot. You wouldn\'t want to black out during a fast maneuver.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '130', 's_60c81a4c', 'Absolutely, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '131', 's_6138854f', 'Do you have business with the Imperial Navy? No? Then I suggest that you come back another time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '132', 's_61f0326', 'Figured if I didn\'t, you wouldn\'t pay me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '133', 's_627065f5', 'I work alone and then I get paid.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '134', 's_6337731b', 'I suggest you reign in your enthusiasm. I need you to have a clear mind up there. Do not underestimate your enemy. We have Intelligence reports on areas of high pirate activity that will be good places for you to start your search for the pirates. Report back to me when you\'ve completed the objective.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '135', 's_63380f34', 'I\'ve always been an independent agent. I work alone.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '136', 's_63f41edf', 'A glorious achievement, I\'m sure. You responded to a rapidly changing situation, eliminated the enemy, and helped secure valuable medical supplies. The Naval Command is pleased with your adaptability.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '137', 's_64b01ff', 'That may be, but they haven\'t stood on the command deck of an Imperial Star Destroyer while facing down a squadron of enemy hostiles. Sir, I have no time for the Imperial Inquisition. My record shows that I am a patriot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '138', 's_65dcd253', 'I\'d rather suck plasma than work for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '139', 's_668cac00', 'I need to think about the mission and figure out what went wrong.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '140', 's_66ac46dc', 'A patrol is somewhat less than my ability. I prefer a warrior\'s assignment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '141', 's_670201ae', 'I need a ship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '142', 's_6705894e', 'Service in the Imperial Navy isn\'t to be taken lightly. You\'ll be expected to follow orders and any association with the Rebellion would be punished severely.  Are you sure you want to sign up? You aren\'t exactly Imperial Pilot quality.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '143', 's_6868d86b', 'Return to me when you are ready to take the mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '144', 's_68c831e7', 'Yes. I want to be in the Imperial Navy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '145', 's_6942663f', 'Recently, Rebel opposition has become more direct. We want to recruit new pilots for support duty, freeing up combat pilots for the front lines. Under normal circumstances it takes years of formal education to become a flight officer in the Imperial Navy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '146', 's_6942ec7e', 'You want me to eliminate him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '147', 's_6971748f', 'So, it seems I was right after all. Your success with the pirates was just luck and the trust of Naval Command was misplaced. I suppose you could try hunting down the pirates again, but you would probably still fail.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '148', 's_6988fd93', 'Now then, your mission. Bestine has become a key base location for Imperial Naval operations in the Outer Rim. Many ships and men are moved through this region on a daily basis. Ships and men consume supplies and uninterrupted delivery of supplies is critical to the integrity of base operations.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '149', 's_69d5148f', 'Thank you sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '150', 's_6a128385', 'What is a duty?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '151', 's_6a7d2af7', 'The purpose of the mission is to assess your ability to pilot a ship and follow basic instructions. If you pass, you will be considered for more dangerous assignments. You are to report back to me upon completion. Is this clear, Pilot Initiate?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '152', 's_6b63ee3', 'Stand at attention, Pilot. Having shown skill in combat situations you are being elevated to an Outer Rim security detail. For the time being, I will handle your assignments, briefings, and deployment. You will operate as an independent agent until we determine a specific placement for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '153', 's_6cb86d0c', 'Ah...yes. Good day then.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '154', 's_6d8d3e00', 'I will not fail you, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '155', 's_6e62e955', 'You should be. An officer rank is usually only given to those who graduate Naval Command School. All combat pilots in the Imperial Navy hold at least the rank of Pilot Officer. The Empire has recognized your ability and has seen fit to elevate you to the lowest rank of the command echelon.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '156', 's_6fcaa2a', 'You\'ve earned it, pilot. You have exceeded the expectations of this program and of myself. Your duty has not ended, however. Return when you are ready to take on another operation.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '157', 's_701f8a8e', 'Report back to me when you are ready for your next mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '158', 's_703a1e55', 'Now, do you have further business here? I am quite busy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '159', 's_7090182', 'What?!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '160', 's_713afe89', 'Yeah? Well you can tell \'em where to find me so they can pay up.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '161', 's_726bd76b', 'Wing Epsilon Zeta, operating out of the garrisoned ISD Accuser, usually handles supply security operations.  Escort, patrol, and the like. They are overtaxed and have asked for additional support. Your job will be to fly a standard patrol sweep through the region.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '162', 's_7279069a', 'Your job is to locate and eliminate the pirate leader. Imperial Naval Command believes a decisive strike against the pirates would cripple, if not eliminate, their operations in this system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '163', 's_72ed61c', 'Yes, volunteers. Under normal circumstances it takes years of formal education to become a flight officer in the Imperial Navy. Recently, Rebel opposition has become more direct. We want to recruit new pilots for support duty, freeing up combat pilots for the front lines. Are you a pilot?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '164', 's_7537c07c', 'I think I recognize you. You\'re on a wanted list I think...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '165', 's_7611fee0', 'It is the Emperor\'s will.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '166', 's_76de9d3f', 'My talents lie in the direction of hunting men, not patrols.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '167', 's_7796b57c', 'Great, I can\'t wait to try this baby out.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '168', 's_780a9b6f', 'A patrol? I want something to shoot. Shooting always pays better.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '169', 's_786f3cf7', 'I want to study something else.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '170', 's_78dbec92', 'Whatever. Sounds like easy money.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '171', 's_79ab4bbe', '[Escort Duty] I\'m interested in escorting transports.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '172', 's_7ba2ac61', 'No excuses! Get back out there and complete your mission, or I\'ll find someone who can!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '173', 's_7baeb853', 'I expect to be paid for each kill.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '174', 's_7c4d87dd', 'Pilot Initiate. Your success in responding to pirate aggression during patrol has encouraged the local Naval Command. Despite their enthusiasm, I am still not convinced their faith in voluntary conscripts is justified. I am honestly surprised you survived.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '175', 's_7c8aca1b', 'Good choice.  Report back when you are ready for an assignment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '176', 's_7c96fa97', 'Imperial Naval Command believes a decisive strike against the pirates would cripple their operations in this system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '177', 's_7d477c70', 'Sir...I...ah...lost my ship control device.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '178', 's_7e347138', 'He\'s as good as dead.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '179', 's_7ef9666e', 'They were no match for my skill.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '180', 's_7f6cd2e6', 'Listen up. Bestine has become a key base location for Imperial Naval operations in the Outer Rim. Many ships and men are moved through this region on a daily basis. Ships and men consume supplies and uninterrupted delivery of supplies is critical to the integrity of base operations.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '181', 's_7fa6a6f8', 'What did you expect? Glory in the name of the Emperor? That may be what the men and women of the Death Star found, but out here its business as usual. This war will be won through the daily effort of loyal officers doing their assigned duties, not the heroics of a single SpecOps ghost.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '182', 's_7fdc4805', 'As a member of this Navy you will be expected to work with the team when necessary. Your assignments, while small, are critical to Imperial interests in the Outer Rim. If I need you to work with others to achieve those goals, you will do so and you will like it. Is that clear?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '183', 's_7ff3bffd', 'It never changes with you does it. Here\'s your payment as well as a bonus for saving the transport. I also received your Imperial flight suit. At least try to look like a pilot and wear it while you\'re on duty.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '184', 's_8273f08f', 'Naval Command will be pleased. I didn\'t expect someone like you to be such an asset to the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '185', 's_82f901aa', 'Report back to me when you are ready for another duty.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '186', 's_838b6daf', 'They died cursing my name.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '187', 's_83d1f7de', 'Understood, sir!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '188', 's_83ea480b', '(Glare) Very well. Sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '189', 's_83fa9322', 'Give me an update on the status of your operation against the pirate leader, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '190', 's_83fc71cf', 'What kind of assignment is it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '191', 's_84047858', '(Glare at him, violently.)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '192', 's_84cc9ca1', 'The Imperial Navy prides itself on the character and loyalty of its officers. I don\'t think you understand what it means to be a patriot. The lines are drawn, citizen. You are either with us or you are a Rebel. There is no neutral ground.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '193', 's_853678d0', 'I have an assignment for you. As you know, ships travel to and from Bestine every day along the Primary Commerce Route. Commercial traffic to Bestine is limited to the route, so we can scan each ship for illegal cargo. I want you to perform a circuit patrol of the Bestine PCR.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '194', 's_85414d61', '(Brag about how you saved some stupid transport.)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '195', 's_860c425d', 'Great, where\'s my ship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '196', 's_87e1d305', 'It\'s kinda ugly lookin\'.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '197', 's_88241861', 'I lost my Application of Transfer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '198', 's_88ffee3a', 'Report back to me when you are ready for some work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '199', 's_8a6a16c8', 'A simple \'sir\' is fine, Initiate.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '200', 's_8c262163', 'Report back to me when you are finished with your current mission.  You can abort your mission if you want to start over.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '201', 's_8c63d8cd', 'You\'ll wear what you are told to wear. Now get lost. I have other business to attend to. Let me know when you\'re ready for another job.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '202', 's_8cd3467e', '(Salute) For the Emperor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '203', 's_8d324b72', 'I\'ve transferred the patrol coordinates to your datapad. Try harder this time, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '204', 's_8df7dba2', 'I can fly and I can shoot, but I don\'t come cheap.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '205', 's_8e66d267', 'You don\'t have the experience for training, yet. Perform some more duties.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '206', 's_8efde2ae', 'Yes, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '207', 's_8fc0b08b', 'You won\'t make many friends in the Imperial Navy if you question the faith of everyone you meet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '208', 's_8fc58e91', 'The Empire has recognized your ability and has seen fit to elevate you to the lowest rank of the Naval command echelon. Don\'t abuse that trust. Commander Oberhaur of the ISD Accuser will handle your assignments from this point on.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '209', 's_9237617f', 'What about training?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '210', 's_92c85144', 'You flubbed a simple operation. This patrol should have been flawless.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '211', 's_930b7f4c', 'Your job is to locate and eliminate the pirate leader at the coordinates I have given you. Imperial Naval Command believes a decisive strike against the pirates would cripple, if not eliminate, their operations in this system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '212', 's_93b4f46e', 'Cdr. Oberhaur is friendly, but a tough man. He\'ll work you hard. You aren\'t officially a member of Storm Squadron yet. You need to impress Cdr. Oberhaur during the application phase to be accepted. You\'ll need to take this Authorization of Transfer to him. He\'s currently stationed here in Bestine. You can find his office over in the capital building. Sign this form and give it to him to start.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '213', 's_94131047', 'Don\'t lose it this time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '214', 's_943c7ba6', 'I\'d like training.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '215', 's_9465e2c7', 'You must have impressed someone, pilot. You are being posted for consideration to join Storm Squadron. The squadron is a special operations wing based here in the Tatooine system. Their C.O. is a man named Commander Jhon Oberhaur.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '216', 's_94eb8fab', 'As I said, I\'m not convinced their faith in \'volunteers\' is justified, and I\'m certainly not ready to trust you with more knowledge just yet, in spite of your recent victory.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '217', 's_94ed5057', 'I\'ve transferred the patrol coordinates to your datapad.  Try not to fly into anything.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '218', 's_95f0e74b', 'Even so, I suggest you wear it. It would be a marked improvement. Report back to me when you\'re ready for more work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '219', 's_966ca13e', 'Ah, yes. You\'re in my files as a member of the Imperial Navy, but you\'re not assigned to my roster. What can I do for you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '220', 's_969498f6', 'I don\'t want to hear excuses. You haven\'t earned the right to give excuses. I want you to get back up there and finish that patrol.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '221', 's_96c14c06', 'Yes, sir. I overcame the enemy with ease.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '222', 's_976cba8a', '(Sniff derisively.) You got a job for me or what?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '223', 's_976ec302', 'Calm down, your payment has been arranged. I\'ve also taken the liberty of submitting your physical profile to the Commissions Office. You stink and you aren\'t dressed for your position as an Imperial Pilot. A spec TIE pilot flightsuit will be ready for you soon.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '224', 's_987445c9', 'Thank you, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '225', 's_989ea72c', 'I am aware of how fleets function.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '226', 's_9a79a8e3', 'You are a disgrace. Get out of my sight, pilot. I don\'t want to see you again until you have results. If you perform capably, I might see about fitting you with a nice garbage escort detail.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '227', 's_9a809034', 'As it stands, I do have an assignment for you. As you know, ships travel to and from Bestine every day along the Primary Commerce Route. Commercial traffic to Bestine is limited to the route, so we can scan each ship for illegal cargo. I want you to perform a circuit patrol of the Bestine PCR.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '228', 's_9bcd2229', 'What kind of assignment is this?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '229', 's_9eb2b131', 'Return later and I\'ll have another mission prepared for you. Good day, Initiate.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '230', 's_9ef7bea1', 'Motivation doesn\'t matter if the job gets done.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '231', 's_a0129ea3', 'I told you before, I wear what I want.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '232', 's_a0d8ac32', 'Then be on your way. Dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '233', 's_a1088c08', 'Just a simple patrol, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '234', 's_a2d4dd9d', 'I will not fail the Emperor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '235', 's_a3b6d1bc', 'Clear as Duralian Tea, sir!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '236', 's_a4622f42', 'I don\'t care about your civil war. I\'m just looking for work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '237', 's_a490d2c6', 'Alright.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '238', 's_a4c65e0b', 'With just a little more training, you could be using better weapons.  Missiles can really help to swing the battle your way, and this skill can allow you to use some good ones.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '239', 's_a57e647c', 'I\'m interested in astromech management.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '240', 's_a607dd0f', 'I wear what I please.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '241', 's_a6574c9a', 'Service in the Imperial Navy isn\'t to be taken lightly.  You\'ll be expected to follow orders and any association with the Rebellion would be punished severely. Are you sure you want to sign up?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '242', 's_a742819b', 'I\'ve got most of the critical assignments covered right now, but I do have some elective duty missions if you are interested.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '243', 's_a79075ab', 'Report on the status of your operation against the pirate leader, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '244', 's_a7f76b6d', 'We\'ll see about that.  If you want to enlist then speak to an Imperial Recruiter.  He will put your name on the roster.  I\'m certain the Empire can put you to as good use on the ground, as it does in space.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '245', 's_a8c82b1c', 'Sir, yes sir!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '246', 's_a91015df', 'You certainly think highly of yourself. Too highly. Until you prove otherwise, you are at the lowest rung on the ladder. Tools do not select how they are used.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '247', 's_a934fd0c', 'Go ahead then, try again. The destruction of the pirates benefits the Empire\'s business in this region. Report back to me when your task is complete.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '248', 's_aaa6ec13', '(Salute) Sir!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '249', 's_aaac7e85', 'I don\'t expect you will need to shoot at anything. Let me be particularly clear: this is a patrol. Keep your guns cold unless you are fired upon first.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '250', 's_abffcfd7', 'Pirate activity is still high enough that we need combat capable pilots on active duty locating and eliminating them. You have free reign to use lethal force against any commerce raiders you locate around Tatooine. The Empire will pay a bounty on every one you destroy. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '251', 's_aceff31e', 'Good luck, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '252', 's_adf9eee2', 'Report to me when you\'ve completed your mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '253', 's_ae6ab110', 'Glad I could bring a little spice to your life.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '254', 's_b0b9044d', 'So it would seem. Naval Command would like to test your abilities further. We want to crush the pirates and demonstrate that Imperial resolve remains strong. I want you to get into space and destroy any Commerce Raiders you find. Your mission is to eliminate four of the pirates.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '255', 's_b1f99085', 'This information will please the Naval Command. You have done an impressive job, Pilot. Perhaps you really are all that you claim.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '256', 's_b2995db3', '(Growl at him.)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '257', 's_b2b35c1f', 'Special, eh? Hope that means it pays more money.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '258', 's_b3408be1', 'Are you ready for your first assignment?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '259', 's_b36213b9', 'It never changes with you does it. Here\'s your payment as well as a bonus for saving the transport. I also received your Imperial flight suit, but I\'m not going to give it to you... you\'d be an embarrassment to the Empire.  Just take this bandolier.  At least you can keep your things organized, for a change.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '260', 's_b3753189', 'I was able to eliminate all of the pirates who attacked, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '261', 's_b3e4cc19', 'Ahem. You appear to be capable of things the average conscript is not. Report to me when you are ready for further duties.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '262', 's_b5d0e16a', 'This information will please the Naval Command. No doubt they will also realize that part of your success came from my masterful instruction. I think you may have done us both a great service.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '263', 's_b737f77e', 'I have other things to attend to, good day.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '264', 's_b7c14c03', 'Good morning. My name is Lieutenant Akal Colzet, Imperial Navy. I\'ve been assigned to Tatooine to recruit local volunteer pilots into service. Are you interested in learning about the Imperial Navy?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '265', 's_b8ca7ab0', 'As long as you keep paying, I\'ll keep delivering.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '266', 's_b8f011dc', 'Here is your salary for the mission. This one was worth double the normal rate. I\'ve also received your Imperial TIE pilot helmet, specifically calibrated for your mental and physical flight profile. Wear this whenever you are on duty as a symbol of the Empire\'s technological and military might.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '267', 's_b9173bca', 'I\'ve already received word of your success against Commerce Raiders in the region. It seems the Empire was not at error to place its trust in you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '268', 's_b9b88c88', 'I see success in your future, Initiate. You appear to be capable of things the average conscript is not. Report to me when you are ready for further duties.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '269', 's_bb4e17d0', 'No doubt you did, as would be expected from any Imperial pilot. Here is your salary as well as a little extra. The Emperor rewards dutiful service. I\'ve taken liberty of submitting your physical profile to the Commissions Office. Your spec TIE flight suit will be ready soon.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '270', 's_bb6caa54', 'You can learn about Imperial technology, weapons, standard Imperial training, or astromech management.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '271', 's_bc1c993d', 'I am. I would be honored to hunt the enemies of the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '272', 's_bc6327c0', 'I don\'t like working with bounty hunters like you. For a soldier, killing is a necessary evil. You seem to get some kind of thrill from it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '273', 's_bc695163', 'I can clear you for a new TIE Fighter, but only the basic model. Are you sure you want a new control device?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '274', 's_bc7382d4', '\'We are but a tool to achieve that end.\' I, too, know the text of the Imperial Doctrine. It\'s an element of core officer training. Although many members of the Imperial Navy are adherents to the doctrine, we are ultimately a military organization. Politics and theology are the realm of the bureaucrats.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '275', 's_bf64734d', 'I don\'t want to learn anything right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '276', 's_c01da9e4', '(Sneer at him.) Just pay me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '277', 's_c08929f2', 'Consider them dead, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '278', 's_c0c8fe59', 'One day the Emperor himself will recognize my strength.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '279', 's_c0ce49d6', '(Grunt in affirmation.)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '280', 's_c124ad4f', 'Sir, I can fly. It would be an honor to fly with the Imperial Navy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '281', 's_c16743ff', 'Service Pilot Initiate stand at attention!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '282', 's_c19ed115', 'You\'ve got your assignment, and the control device for your ship in your datapad.  Go to the Starport and access the terminal to launch into space.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '283', 's_c2ef0b45', 'Pilot. You\'ve managed to achieve some level of success, but you are still relatively inexperienced. I have been authorized to give you special instruction in an area of your choosing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '284', 's_c3e56b53', 'Perhaps.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '285', 's_c48451bf', 'I don\'t expect you will run into trouble, as many ships safely move through the region every day, but be on guard. If you do encounter something amiss, you have permission to respond as you see fit. This operational autonomy is contingent upon your continued success.  Screw up and you\'ll be kept on a short leash.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '286', 's_c6aae4cb', 'Cranial proportions?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '287', 's_c6d9f61', 'I\'d like to study that in detail.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '288', 's_c9d11db3', 'You might come to regret it. I\'ve convinced the Naval Command to test your abilities further. We want to crush the pirates and demonstrate that Imperial resolve remains strong. I want you to get into space and destroy any Commerce Raiders you find. Your mission is to eliminate four of the pirates.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '289', 's_ca3578cc', 'I think it suits you. You have exceeded the expectations of this program and of myself. Your duty has not ended, however. Return when you are ready to take on another operation.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '290', 's_cb99174', 'I have to study what went wrong.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '291', 's_cbfb3200', 'Only the will of the Emperor delivers true justice...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '292', 's_cd024d84', 'It looks intimidating. I like it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '293', 's_cdbce743', 'I want to enlist in the ground forces.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '294', 's_ce681825', 'You should have realized this long ago.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '295', 's_d07b11b5', '(Glower at him, disapprovingly.)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '296', 's_d09c1ecb', 'Just doing my duty, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '297', 's_d25495b9', 'Pilot, I am singularly impressed. You have mastered the fundamentals of your profession and have performed beyond expectation and all without formal Imperial Naval Flight & Command training. I think it\'s time for a promotion.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '298', 's_d25c510b', 'Duty missions are open ended assignments. They end when you choose to end them. For example, if I assign you the task of hunting pirates, you can hunt as many pirates as you want. You can end the duty any time from the mission entry in your datapad. Perform duties to earn pay and build experience. Once you\'ve received enough experience, I can instruct you on various aspects of the pilot\'s combat role.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '299', 's_d422a73d', 'Your attitude is poor and I can tell by your dress that you are nothing more than petty scum. I don\'t like you, but then I suppose that I don\'t have to like you. I need to hire volunteers for limited military service. If you really can fly and shoot, we might have something for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '300', 's_d4dd5a28', 'There was a...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '301', 's_d51ef84a', '(Give a mocking salute.)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '302', 's_d7816410', 'Look, I\'ve got people to pay. Do you have work for me or not?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '303', 's_d788f447', 'Pirates? Tatooine is known for criminal activity, but Bestine has always been strongly protected by Imperial justice. The recent Rebel insurgency must be giving the pirates a new spirit of confidence.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '304', 's_d825aeb0', 'Very well, good day Pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '305', 's_d8487693', 'Pilot. I don\'t have any specific work for you at this time. You can now select your preferred operation from a list of general duties. Or, if you have enough experience, pursue training.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '306', 's_d8a302bc', 'All who oppose me are destined to fail.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '307', 's_d90e49c9', 'Ah, yes, well, the Imperial Navy is the finest fleet in the galaxy. We command the Empire\'s starships and fighters. We are the hammer of Imperial justice. All members of the Imperial Navy are officers, however we are now starting to recruit non-officer pilots for limited support duty.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '308', 's_d92fcf8d', '(Relate how you purged several Imperial enemies.)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '309', 's_d9d4feec', 'Will you train me, now?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '310', 's_da07fb7a', 'I would prefer a posting to Special Operations.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '311', 's_dae6651c', 'Pirates?  Tatooine is known for criminal activity, but Bestine has always been strongly protected by Imperial justice.  The recent Rebel insurgency must be giving the pirates a new spirit of confidence.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '312', 's_dc63dc1a', 'Never mind, I don\'t want any training after all.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '313', 's_dd40f86b', 'As do we all. Now that you have achieved an official command rank, I am no longer your commanding officer. Although it pains me to lose such a fine pilot, you have been reassigned pending approval of transfer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '314', 's_de76730a', 'Where is my new assignment?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '315', 's_df69a100', 'If you don\'t get yourself killed first. Now that you have achieved an official command rank, I am no longer your commanding officer. You have been reassigned. Commander Oberhaur of the ISD Accuser will handle your assignments from this point on.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '316', 's_df76b2e8', 'Imperial astromech functionality is typically built into a rugged navicomputer, rather than those annoying sorts of astromech units that the Rebel Alliance relies on.  I can teach you how to utilize some of the basic functionality of the droid interface to normalize your shields, overload your weapons, and that sort of thing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '317', 's_dfd0987b', 'You don\'t take complements very well. This one was worth double the normal rate. I\'ve also received your Imperial TIE pilot helmet, specifically calibrated for your mental and physical flight profile.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '318', 's_e106780b', 'Good to see you, Pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '319', 's_e12b6418', 'I located and destroyed him, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '320', 's_e1da893f', 'I\'m fairly busy, so I\'ll have to talk to you later.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '321', 's_e4e336cc', 'Report to me upon completion of the mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '322', 's_e4e8b551', 'There seems to be no end to these petty duties.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '323', 's_e814cf37', 'I would like a duty mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '324', 's_e87a40f8', 'I\'d rather not right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '325', 's_e92da88', 'Sure, sign me up. I like making you squirm.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '326', 's_e95fb13d', 'If you perform capably, we will consider you for more dangerous assignments. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '327', 's_ea5b6641', 'I have to admit that you have the makings of a true Imperial officer about you. Report back to me when you are ready for your next mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '328', 's_eb1ee299', 'Why don\'t you run missions for the ground-pounders until you\'ve got better faction standing?  Until then, don\'t talk to me.  You brought this on yourself.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '329', 's_ee63dfa9', 'Report back to me when you would like a new duty or mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '330', 's_ee657693', 'Service in the Imperial Navy isn\'t something to be taken lightly. Your training will be strict, you\'ll be expected to follow orders, and of course, any association with the Rebellion would be punished severely. Are you sure you want to sign up?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '331', 's_ee91723f', '(Relate the facts on the commerce raider attack.)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '332', 's_eee17bb3', 'I seek to serve the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '333', 's_f1471b6a', 'As well you should not. You will be given assignments that, while small, are still critical to Imperial interests in the Outer Rim. The consequences of failure would be significant.  So, as you say, you will not fail.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '334', 's_f195b141', 'Yes, I know');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '335', 's_f3852d77', 'They have underestimated my ability.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '336', 's_f43f3569', 'I\'m ready for training');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '337', 's_f4d10868', 'Report to me when you have completed your mission to claim your bounty.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '338', 's_f4fa11bb', 'Hmm. Nope, don\'t know the guy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '339', 's_f7913cae', 'At ease, Pilot. The security situation in the Bestine Orbital Region has clearly deteriorated. Pirate attacks on commerce lanes and supply transports cannot be tolerated. You have shown commendable initiative in responding to pirate aggression, so you have been selected for a special mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '340', 's_f91b288f', 'Very well. I\'ll fly it again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '341', 's_fa0ab23c', 'By the powers vested in me by the Imperial Naval Command, under the ever watchful eye of the Emperor, I hereby commend you and bestow upon you the rank of Pilot Officer. Congratulations, Pilot Officer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '342', 's_fcb1448e', 'I hope you reconsider. You have the right kind of attitude and character. If you decide you\'d like to fly for us, you know where to find me. Good day, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '343', 's_fcf4d778', 'How?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '344', 's_fd4fe208', 'That is your choice, but you may not get this chance again.  I suggest that you take it while you can.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '345', 's_fd8bce2a', 'A mission, pilot? Don\'t overstep your station. You\'re a voluntary conscript, not a combat pilot. If you\'re lucky, the Empire might one day see fit to post you to combat duty.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '346', 's_fdbe01c2', 'Report in with me when you\'ve completed the operation.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_1.stf', '347', 's_ffd5b6f7', 'Hmm. You may have what it takes to be a combat pilot. On the other hand, you might have just gotten lucky. Either way, you fulfilled your duty. Here is your payment and an additional sum to compensate for hazards encountered.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '1', 'do_not_edit', 'The English version of this file (tatooine_imperial_trainer_2.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '3', 's_1524504', 'Second, Nym has established a significant trade in contraband and weapons technology. We believe this is his primary method of income. Fortunately, the majority of Nym\'s smuggler captains are only dubiously loyal. We believe that these criminals can be convinced to abandon Nym\'s cause with the application of modest force.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '4', 's_15b68f56', 'Return to me with any information you find. It is critical that you move quickly on this. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '5', 's_16cbd029', 'Excellent. Carry on, Pilot. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '6', 's_183bb6da', 'Sign the form and then talk to me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '7', 's_1940763a', 'Are you sure they\'ll be able to capture the ship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '8', 's_198d54a6', 'It should keep Nym busy for a while.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '9', 's_1d4a07d0', 'Where can I find such a vendor?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '10', 's_1e3ab8f3', 'You need to report to Field Commander Alozen at the Imperial outpost on Yavin 4. He will be handling your assignments for the time being.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '11', 's_203532fd', 'Exactly. Initial reports indicated that Nym was merely an outsystem pirate. Clearly those reports were incorrect. His operation has grown beyond a simple pirate outpost and he now poses a possible military threat should he enter the war on the side of the insurgency. We want to destroy his resource base and devastate his space power.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '12', 's_21772e5a', 'I\'m sorry, I can\'t help you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '13', 's_22461041', 'The information you retrieved from the pirate officer has been decrypted. It\'s a transport and transfer schedule for the hostages. Nym apparently doesn\'t want them located in his main stronghold. He\'s having them moved to a secret location and he\'s moving them today.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '14', 's_22a1fc52', 'Perhaps Imperial Intelligence can crack it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '15', 's_2358dc3e', 'I don\'t have time to explain this all to you, pilot! Double-check what skills you have. Make sure that you are certified to fly the ship you plan to buy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '16', 's_237eaf5c', 'Check your planetary map, or just ask around to find a Shipwright vendor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '17', 's_23ca92a1', 'Report on the status of the hostage rescue operation, soldier.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '18', 's_263bc84b', 'Ah, this is interesting. Looks like a manifest detailing the transport of the hostages. Part of it is encoded, but it doesn\'t look like a very strong form of encryption.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '19', 's_28a8e342', 'Imperial Intelligence has supplied us with several convoy freighters disguised to emit weapon and equipment signatures. That should attract the interest of Nym\'s pirate gangs. Fly escort and eliminate the pirates as they show up.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '20', 's_29d0a2db', 'I\'ve run into some trouble so far.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '21', 's_2c4789b', 'Understood.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '22', 's_2f3095bd', 'Be on your guard. Nym may decide to dispatch his ace pilots once you\'re detected.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '23', 's_2f84158b', 'How can I do that?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '24', 's_311f2b4', 'Flying Officer %NU, I have the highest level of respect for you, but I want to see more results in the operation against Nym before I authorize you for advanced training.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '25', 's_31804e15', 'Understanding how to rapidly and efficiently manage the complex systems on board a fighter is a necessary step in your development as a pilot. Use these study programs and destroy them when you have internalized the information.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '26', 's_3321cb2d', 'Imperial Intelligence has identified several key elements of Nym\'s power base. I have a briefing prepared. Or if you\'ve already examined the briefing material, you can select a type of operation to begin.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '27', 's_350d8ffa', 'Our remaining agent within Nym\'s stronghold has succeeded in avoiding detection. His latest report indicates that Nym is frustrated by our progress and has ordered several of his captains to plan a heavy armed response.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '28', 's_355e31ff', 'You may think you\'re ready, but I don\'t believe you really are. You need to prove you are capable of meeting my standards before I\'ll let you into the Storm Squadron. Just being considered is a grand honor and will look good on your record. If you can stay alive and perform to standard, you will be one of the few and great.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '29', 's_36fb7ae1', 'Who is Nym?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '30', 's_3821ef35', 'Uh, whoops?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '31', 's_392923da', 'Not a problem. It\'s always a pleasure to talk to a fellow serviceman. If you\'re interested in working with the Navy you might talk to Lt. Colzet in Bestine or Lt. Sinkko in Kadaara. Both are good men.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '32', 's_3cfac67e', 'The agent indicated that the rest of the operation, five men total, had indeed been compromised and taken captive by pirate gunmen loyal to Nym.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '33', 's_3ed9f29c', 'No, seriously!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '34', 's_3f799832', 'Pilot, you\'re supposed to be on your ship! Get up there and intercept the hostage transport immediately!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '35', 's_401fdcbd', 'How do I get to Lok?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '36', 's_435dd8f2', 'Nym\'s officers may try to recover the transports, so be on your guard.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '37', 's_43862ef7', 'Of course not, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '38', 's_44d66989', 'You\'ve shown considerable improvement in ability since joining the Squadron. It\'s time to allow you access to the next level of training and technology. I remind you that anything you learn is highly confidential, security rating Gamma Three. You may not share your knowledge with fellow officers of any rank at or below your own. What area would you like to train in?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '39', 's_451c0d14', 'So you want to join Storm Squadron? It won\'t be easy. We take tough jobs and we expect results. Unquestioned loyalty and a steel will are merely the most basic of prerequisites to being a member of Storm Squadron.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '40', 's_45f4f7db', 'I\'d like to engage Nym\'s combat fleet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '41', 's_45fa29cc', '(Grin and listen.)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '42', 's_46185cf9', 'The Imperial Intelligence organization has, for several years, conducted a small operation in the Lok system. The target of the operation is a pirate warlord named Nym. Lok holds little to no strategic value for the Empire, so only limited resources have been invested in the operation.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '43', 's_466882ff', 'Tell you what. How about I just go out and buy everything for you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '44', 's_46b74bbf', 'We\'ve had reports of pro-Rebel, anti-Imperial activity from you.  Obviously, you can\'t be trusted.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '45', 's_46d97b9f', 'For the time being, continue to harass Nym\'s forces. Naval Operations will deliver new orders when they want us to withdraw. So far this has been a high impact operation with little drain on resources. They will probably want to draw it out a bit longer before moving us to a new theater.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '46', 's_4838444a', 'Outstanding.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '47', 's_4854758d', 'I would like to request a mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '48', 's_48636f93', 'Pilot Officer %NU, it\'s time that you were elevated to full operational status within the Squadron. You are hereby granted the rank of Flying Officer. Congratulations Flying Officer %NU. You are now a full member of the Storm Squadron. Fly with honor and fight with the Emperor\'s own fury.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '49', 's_486da900', 'Your continued success will rely on your ability to make maximum use of all new Imperial technology. Use these study programs and destroy them when you have internalized the information.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '50', 's_49d848b8', 'She is located at the Imperial compound on Talus. She\'s a core worlds kind of woman. Cloak and daggers, venom and roses.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '51', 's_49f3270b', 'Report back to me when you\'re ready for an assignment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '52', 's_4afba144', 'First, we need to determine the status and location of the hostages. If the hostages are dead, we need to launch a hostile response. If the hostages are alive, we need to find and recover them. Your orders are to dispatch to the Lok system immediately.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '53', 's_4d13db1b', 'We aren\'t entirely sure. It\'s out of character for him to murder needlessly. He\'s scum, but he\'s also smart enough to avoid Imperial scrutiny. The fact that he hasn\'t released the spies tells me that he\'s probably going to hand them over to the Rebellion. High Command probably considers that worse than if he just killed them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '54', 's_4d6d2800', 'As of this time, Nym has not delivered demands. It is unclear if the hostages are still alive. Imperial Intelligence and Naval Command have decided that the situation must be resolved before it spirals into a major incident. Storm Squadron has been assigned with the cleanup.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '55', 's_5102164f', '(Nod and listen.)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '56', 's_55b3e68b', 'Someone I\'ve worked with in the past. A Zabrak with the trust of some very important, very dangerous people. If you work with her, watch your back. She\'s as likely to pay you with a blaster bolt as she is with credits.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '57', 's_58c1df5a', 'I don\'t have an Authorization of Transfer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '58', 's_594a07fa', 'I want to study advanced TIE combat operations.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '59', 's_5b4ccb84', 'You have operational discretion to choose an assignment from the areas outlined by Imperial Intelligence in your briefing. I can also instruct you in the use of new technology if you think you\'re ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '60', 's_5c1a4059', 'Go grab yourself a quick bite to eat and then report back. We\'ll have these logs cracked in a nanosec.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '61', 's_5c222b7', 'We have a tactical intelligence and telemetry probe inside the Lok System. Go to Lok and download enemy position information from the probe. Use that information to hunt Nym\'s fighter wings. Any damage you inflict will make it harder for Nym to carry out military operations.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '62', 's_5d988999', 'That would be nice. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '63', 's_5ea454fa', 'Here\'s the flight plan of the transport. Expect it to be under guard. The operatives on board are valuable: we want them alive. Your mission is to disable the transport. Fire on the engines or the reactor. Either one should be enough to give our boys a chance to take over the ship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '64', 's_5f703249', 'Increasing insurgent activity in the Yavin system has drawn the interest of High Command. Since the destruction of the Death Star, the Imperial Engineering Corps have carried out an ongoing scrap recovery operation. Command suspects the Rebels may be conducting their own salvage operation.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '65', 's_5fdd804', 'While Lok has no overt value, there have been indications that the Rebellion may be working with the pirate Nym to undermine Imperial interests. Imperial Intelligence set up their infiltration operation to probe the pirate connections to the Rebellion and, if connections were found, sever them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '66', 's_6047677', 'I\'m ready, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '67', 's_60c9f5e1', 'I know just the man for the job. Good work, pilot. Here is a consignment fee for completing the job. Stay close, though. Once this data is cracked we will need to move quickly to secure the hostages.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '68', 's_61657d0f', 'I see.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '69', 's_61e8cd5e', 'Greetings, pilot. I don\'t see you on the Storm Squadron roster. Why have you come here?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '70', 's_6598178f', 'Interesting.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '71', 's_6927e4a9', 'SS Command has authorized a duty pay increase for your exceptional performance and new rank. Since you are now a Flying Officer, you may select your own assignment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '72', 's_6a67413c', 'What\'s the ISD Accuser?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '73', 's_6abf6436', 'What\'s the assignment?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '74', 's_6ae72fac', 'What is the Storm Squadron?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '75', 's_6c1a8ce', 'The war has taken a significant toll... even considering the strength our great Galactic Empire. These more modern TIE designs are only available on the free market through third party engineers.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '76', 's_6f520748', 'Morv is disguised as one of Nym\'s fuel technicians. He is undercover so he will not be using his real name, you will have to find him. You can identify yourself to him with the codephrase \'I\'m here to clean the antimatter condenser.\' Be discrete. We don\'t usually send pilots to interact with intelligence officers, but in this case you may be best equipped to handle whatever Nym has planned.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '77', 's_706c2e4c', 'Have you managed to track down information on the hostages, pilot?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '78', 's_70a7d20e', 'Good to see you, Flying Officer %NU. You\'ve been making significant headway into reducing Nym\'s influence in the Lok system, so High Command has selected you for a special operation.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '79', 's_712ea0b5', 'What will Nym do to the hostages?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '80', 's_721e2818', 'I\'d like to trap a few pirates.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '81', 's_72d41043', 'I am prepared.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '82', 's_746fbd0c', 'I\'ll do what I can.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '83', 's_773fa657', 'No, that would not be nice! Check your planetary map, or just ask around to find a Shipwright vendor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '84', 's_78af2fb0', 'Indeed. Nym will have to find replacements and rebuild his command. I\'m transferring a pay reward to your account. I will also inform High Command of the status of our operation.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '85', 's_7936c7db', 'Lok is remote and Nym\'s pirates travel openly. Locate one of his Lieutenants. Disable the pirate\'s ship and search it for information on the whereabouts of the hostages. You may then eliminate the pirate. We are uncertain of these officer\'s location but a good bet is you can find them around the Lok station after they have taken off from the planet surface on their way to hyperspace.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '86', 's_7970189a', 'I don\'t know, %NU.  But if I were you, I\'d be trying to figure out SOME way of doing it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '87', 's_7a3165e7', 'Hold on, there, %TU.  I\'ve got strict orders about you.  You\'re GROUNDED!  Finished!  You won\'t be flying for the Empire ever again!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '88', 's_7a761694', '(Continue to listen.)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '89', 's_7b25fbc3', 'You\'re cleared for training, so let me know when you are ready to begin.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '90', 's_7d4535c0', 'Nym has smuggler fleets moving through Lok on a regular basis. Since he controls most of the system, he doesn\'t worry about stealth. Intercept the fleets, destroy the escorts, and disable the smuggler transports. That should be enough show of force to convince the smuggler captains to surrender. Once you\'ve secured the transports, escort them to interrogation.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '91', 's_7e66b604', 'Go take it easy for now and report back to me when you are ready to begin. I\'ve received new orders from Command and I need someone like you for the operation.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '92', 's_7f95f0a5', 'Get suited up, you\'re being scrambled immediately.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '93', 's_802f576d', 'Well, your history is very impressive. You have participated in several missions that required accuracy and skill. Why, then, did you sign this form with someone else\'s name? The Naval Command wants to give you an opportunity, but you are putting it at risk by playing games. Sign the form correctly and then we\'ll talk.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '94', 's_8065ca4e', 'This form looks correct. Pilot you have an impressive history. In a short period of time you\'ve managed to rise above your station and perform at a level much higher than expected.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '95', 's_81198b45', 'Why is that?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '96', 's_82669139', 'Glad to meet you. I\'m Commander Oberhaur, of Storm Squadron. Several members of the squadron are currently bunking here Bestine on shore leave. We operate from the ISD Accuser, in Tatooine Orbit. Being shut up in a Star Destroyer for weeks is bad for the men\'s morale, so we\'re down here for leave.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '97', 's_84a82bee', 'Then I can\'t help you. This stuff has to be done by the books and unless you can prove your flight combat record, I can\'t deal with you in an official capacity.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '98', 's_8739f4b1', 'I\'m glad we\'re on the same page. Since you have complete operational discretion, it will be up to you to decide how to attack Nym\'s power base. Other Storm Squadron operatives will be carrying out similar assignments. Nym will soon regret casting his lot in with the insurgents.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '99', 's_88311d58', 'For the time being, Storm Squadron has been assigned to continue operations in the Lok system. High Command has decided that Nym has grown far too prominent and he represents a potential threat that must be checked.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '100', 's_883a28d9', 'Pilot, it is time for you to learn some new skills. It is important that you keep sharp and keep your skills at the top of their game in order to succeed as an Imperial pilot. Are you ready?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '101', 's_884a3faf', 'Outstanding. Now begone.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '102', 's_88796240', 'Thanks for the information.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '103', 's_89bc583c', 'Very well, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '104', 's_8bd72bb5', 'Mastering proper use of heavy weapons technology is key. Use these study programs and destroy them when you have internalized the information.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '105', 's_8d17fc6e', 'How do I travel to another system?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '106', 's_8ebfa37e', 'Nym is a Feeorin. The self proclaimed \'Lord\' of the Lok system. He\'s a pirate and absolute scum. Many years ago, Nym was a war hero, when the Trade Federation attempted to capture Naboo. He seems to have forgotten what it means to be a hero and now he simply preys on the spacelanes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '107', 's_8efde2ae', 'Yes, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '108', 's_91223b5c', 'I\'m ready to begin immediately, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '109', 's_9288900f', 'I understand.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '110', 's_92b2297b', 'Hrmph.  In that case, if I were you, I\'d be trying to do SOMETHING to prove to the Empire that you are 100% behind us in this war, and not some sort of Rebel sympathizer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '111', 's_93a06155', 'I hope you\'ve studied those information programs I gave you. You\'ll need your new training.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '112', 's_94999d7b', 'What is the next step?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '113', 's_94a3f917', 'Incredible work, pilot. You\'ve managed to eliminate several of Nym\'s key commanders with a single decisive strike. I\'m impressed by your initiative in this matter.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '114', 's_986aeb7b', 'Once the agents capture the ship, protect her while she calculates a hyperspace jump. The Lok region isn\'t well known, so it may take some time. Nym may try to recapture the ship or just take you both out. That cannot happen.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '115', 's_987445c9', 'Thank you, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '116', 's_99306072', 'Get back out there. You need to find one of the Nym\'s Lieutenants. He\'ll have probably entrusted them with information regarding the status of the hostages. Disable the pirate scum and inspect his ship for information.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '117', 's_9940eb95', 'Return to me once you\'ve freed the hostages and delivered them to safety. Your window to pull off this operation is limited, so get your jax in gear soldier! Dismissed!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '118', 's_9b9f672f', 'Pilot you have quite a history. Seems you\'ve come through for us several times in the past. With that in mind...why is it you failed to follow simple instructions and sign this form? Until you confirm things with a digital signature, we can\'t move forward with your new assignment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '119', 's_9c0c10ef', 'Report back to me when you are ready for a new assignment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '120', 's_9d8051f1', 'High Command has decided that Nym\'s operations have been sufficiently neutralized. Any aid he renders the Rebellion from this point will be inconsequential to the outcome of the overall conflict. You are commended for your contribution to the Lok operation.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '121', 's_9f814876', 'Report what you\'ve found regarding Nym\'s plans.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '122', 's_a30c1a53', 'Yes sir!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '123', 's_a329a20', 'While the smuggler trade is a primary source of income for Nym, he relies on piracy to make up the balance. You could fly as an \'escort\' for some Imperial transports in the Lok system to bait and trap Nym\'s pirates. There\'s no need to capture them alive for interrogation.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '124', 's_a4faf714', 'I am ready for some training, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '125', 's_a59c7bd7', 'It looks like you\'re busy with an assignment already. Come talk to me when you\'re done.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '126', 's_a6363375', 'I\'d like to pressure Nym\'s smuggler fleet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '127', 's_a784219e', 'Only your commanding officer can assign you missions, pilot. Go back to your own unit.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '128', 's_a787fa2e', '(Stand at attention.)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '129', 's_a78a4ac3', 'What do I do now?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '130', 's_ac71da57', 'I\'m ready to take an assignment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '131', 's_aceff31e', 'Good luck, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '132', 's_ad7e53a9', 'Firstly, you will need a vessel capable of hyperspace travel. Unfortunately the Empire does not issue TIE craft equipped with the engine upgrades and hyperdrive abilities you will need.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '133', 's_ad8385f7', 'I am being serious.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '134', 's_ae061ee', 'I was able to recover all of our agents, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '135', 's_ae06e68f', 'But I want to fly for the Imperial Navy!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '136', 's_ae26c22', 'Let me think about this for a bit.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '137', 's_afce570', 'He has extensive resources, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '138', 's_b0d3b474', 'I\'m ready for training.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '139', 's_b1097134', 'The freighters aren\'t carrying anything valuable, but we don\'t want the pilots to die needlessly. Make sure you keep them alive.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '140', 's_b2a924ab', 'I\'d like a briefing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '141', 's_b2ef8844', 'Uh, sorry.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '142', 's_b56905cc', 'Naval Command wants us to continue to harass Nym\'s forces. Their assessment of the situation is positive, but they feel that inflicting further damage is necessary. They want to avoid any possibility of having to bring a large force to bear against Nym should he decide to openly declare support for the insurgents.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '143', 's_b6b25f13', 'Yes, sir!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '144', 's_b9024ec3', 'Storm Squadron is an elite special operations team within the Imperial Navy. Our jurisdiction extends to many worlds throughout the Outer Rim and we have a complement of fighters, transports, and equipment we maintain ourselves. Life in the Storm Squadron can be hard, some missions require operating with limited or no support behind enemy lines. Our pilots work hard and earn their pay.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '145', 's_bc375f79', 'Got it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '146', 's_c13418d8', 'We\'ve been reassigned to the Yavin system. Yavin has been plagued with insurgent activity ever since the destruction of the Death Star. This is the front line of the civil war and our assignments in the region will be dangerous.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '147', 's_c14f8951', 'How do I know what I can handle?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '148', 's_c4880407', 'Developing new levels of tactical and physical excellence will be critical in realizing your true potential. Use these study programs and destroy them when you have internalized the information.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '149', 's_c64c7c75', 'I will do that immediately.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '150', 's_c6b6729b', 'Well, if it were up to me, you\'d be shot, now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '151', 's_c76594d7', 'I want to study advanced reactor engineering algorithms.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '152', 's_c81a4272', 'Where can I find one?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '153', 's_ca6a5e04', 'Alozen is a ground pounder and may show you a little disrespect. Ignore it and behave professionally. I know you\'ll do the right thing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '154', 's_cacf4333', 'As I said, there are several areas of Nym\'s power that need to be neutralized. First, the relative isolation of the Lok System has allowed Nym to build a significant rogue fleet. While the size of this fleet pales in comparison to that of the Empire, the potential for its use in rapid strike or terrorist operations cannot be ignored. It must be eliminated.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '155', 's_cf8e92fc', 'Positive. We suspect the only reason they don\'t try to escape now is Nym\'s armed escort. You need to take out the escort to give the operatives a shot at survival.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '156', 's_d1be90a9', 'What\'s the plan?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '157', 's_d424ba86', 'We aren\'t sure and we need to find out. Contact with the agent has been limited. I need you to go to Nym\'s stronghold on Lok and find the agent. His name is Trizan Morv, but he is undercover as one of Nym\'s Fuel Technicians. See if you can find out from Morv what Nym has planned. If you get the opportunity, stop those plans.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '158', 's_d4648675', 'Return to me when you have information. Good luck, %NU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '159', 's_d55f2579', 'I\'m ready to go.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '160', 's_d7001705', 'What about in an unofficial capacity?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '161', 's_d96f60fb', 'Who is Hakasha Sireen?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '162', 's_dacc15a0', 'The Accuser is an Imperator class Star Destroyer currently on assignment here in the Tatooine system. She has a storied history and a long service record. Storm Squadron has served aboard the Accuser for as long as I can remember. The Accuser is on duty out here on the Rim to show the flag...a warning against Rebel activity.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '163', 's_dbb5bf46', 'I want to study advanced weapons technology.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '164', 's_dcf3ae18', 'Then I will acquire a new ship, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '165', 's_de381f95', 'I have, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '166', 's_df611704', 'I cannot assign you a mission, but I do have a number of elective duty assignments. If you like, I can give you a briefing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '167', 's_e06d735b', 'You are? Let me see your Authorization of Transfer. Make sure it\'s filled out and signed. They\'ll have my jax if I send along an incomplete form.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '168', 's_e0d37cc2', 'I\'ve seen one of your ships in the hangar. It looks capable of hyperspace travel. After you launch, just open your Hyperspace Map and select the system to which you want to travel. Pretty simple, no?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '169', 's_e27dc0f8', 'Outstanding work. You\'ve managed to defuse what could have become a major incident. I\'m impressed, HQ is impressed, and most of all the rest of Storm Squadron is impressed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '170', 's_e3d28c95', '(Give him your Authorization of Transfer.)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '171', 's_e44ffcd2', '[Relate the destruction of the Kimogila\'s Claw.]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '172', 's_e73e5d21', 'I want to study pilot combat training.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '173', 's_e8e1f35f', 'I\'m here to apply to Storm Squadron.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '174', 's_eac44789', 'Applicant, I hope you are well rested because today you begin working with Storm Squadron. Stand at attention for briefing!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '175', 's_ed3a1afc', 'I operate strictly on the record. Storm Squadron has a noble history within the service and we aren\'t about to tarnish it. Talk to Hakasha Sireen on Talus if you want something under the table.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '176', 's_ed65d4cb', 'You\'ll be doing some leg work on this mission. I want you to go to the Imperial outpost on Yavin 4. Report to Field Commander Alozen, of the Imperial Army, for a situation report. He\'s requested the assistance of the fleet. Storm Squadron has been assigned to see to his needs.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '177', 's_eda80412', 'At 09:50 this morning, the primary ground agent in the Lok operation failed to contact his handler and deliver a status report. Imperial Intelligence immediately reported the failure, suspecting the agent had been compromised. At 11:32, shortly following that report, an as of yet uncompromised agent contacted the handler.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '178', 's_edeedb42', 'How will I recognize Morv?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '179', 's_f1f7e3da', '(Listen intently.)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '180', 's_f3ce4b22', 'Why?  What did I do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '181', 's_f432c46f', '(Transfer the information to Oberhaur.)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '182', 's_f542dcb0', 'Most lawful Shipwrights will put ship chassis up for sale on vendors in local shops. So, locate a vendor or contact a Shipwright, find a TIE fighter that you\'re capable of handling, and purchase a suite of upgrades... including a modern engine.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '183', 's_f7876bb3', 'Nym may be planning on ransoming the officers or he may decide to hand them over to the insurgents. Imperial Intel thinks the latter is more likely. What better way to win favor with his fellow criminals. We need to recover our agents before they are moved to an unknown location.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '184', 's_f91e446d', 'What have you learned so far, %NU?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '185', 's_fb57ae40', 'Come back with the form and we can get things moving.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '186', 's_fb7f6474', 'What kind of response?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '187', 's_fced7bf', 'Once you have launched, simply activate your Hyperspace map and select the system to which you would like to travel.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '188', 's_fe63bc1a', 'My thoughts exactly.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '189', 's_fea3d7f3', 'You can find our agent, Morv, at Nym\'s stronghold on Lok. He\'ll be disguised as a fuel technician. Use the codephrase *I\'m here to clean the antimatter condenser.* He is probably not using his real name so you will have to find him. Report to me when you have his information.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2.stf', '190', 's_ffaac8c1', 'Where can I find her?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '1', 'do_not_edit', 'The English version of this file (tatooine_imperial_trainer_2b.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '3', 's_10c85b25', 'Good for me you don\'t have things your way.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '4', 's_10ee338d', 'Do you have something wrong with your hearing, pilot? You are working for Captain Denner now. Report to him here in the Outpost on the double!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '5', 's_128d62a', 'I\'m very busy coordinating the ground effort here at the base. I\'ll have to talk to you later.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '6', 's_12d564a4', 'It\'s priority clearance Bravo Zeta. Way above my head. All I\'ve been told is that the Storm Squadron was being assigned to deal with the situation.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '7', 's_16de6424', 'You want me to capture a gunboat?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '8', 's_17ce8fe5', 'It\'s nearly impossible to patrol the entire debris field, so some pirates go undetected. Any pirate salvage convoys you manage to capture would be an added bonus to our own operations.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '9', 's_18478398', 'Although the Imperial Navy usually handles space operations, the Imperial Engineering Corps is in charge of materials recovery. We\'ve been slowly salvaging large portions of the Death Star to be recycled into new projects.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '10', 's_19717825', 'Since the destruction of the Death Star, the Empire has maintained a heavy presence in Yavin. The Death Star was not completely disintegrated in the core explosion and the remaining debris still contains valuable raw materials and technology.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '11', 's_1a4113b', 'I\'ve already received the report! You lost the scanning team. Unbelievable. Do you know how much it costs to manufacture and deploy a scanning freighter? I thought the Storm Squadron could handle this, but clearly I was misinformed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '12', 's_1af04177', 'I am not privy to that information. Perhaps Captain Denner can fill you in more on your assignment. I am still required to continue with my salvage operation here and that is all I know or care about.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '13', 's_1d253370', 'I\'m not convinced you\'re ready for training.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '14', 's_1da2b1f3', 'So the Twilight Sun is still in the Yavin system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '15', 's_1eb2fb7a', 'If you see a pilot from Storm Squadron tell him to come talk to me. Oberhaur promised he\'d be here by now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '16', 's_1ff4247a', 'I will not fail.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '17', 's_20009dcb', 'That is what I said soldier. Don\'t you fly boys ever pay any attention?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '18', 's_2172d08a', 'As much as I\'d like to deny your request, I\'ve seen nothing but good work from you over the past few operations. I have received permission from command to give you access to new training programs. This information is security rated Gamma Three and you may not share any information regarding your training level with another officer. What area would you like to train in?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '19', 's_21772e5a', 'I\'m sorry, I can\'t help you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '20', 's_24fbbc08', 'I\'ll keep searching.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '21', 's_2eaae5bc', 'Commander Oberhaur told me to contact you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '22', 's_2f3bf1d8', 'Captain Denner is stationed here in the outpost for the time being. He is organizing the transfer of Storm Squadron and salvage operatives to their new theater of operation. Jump to it soldier. Don\'t keep your commanding officer waiting. Oh, by the way here is your duty pay for the Twilight Sun.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '23', 's_31804e15', 'Understanding how to rapidly and efficiently manage the complex systems on board a fighter is a necessary step in your development as a pilot. Use these study programs and destroy them when you have internalized the information.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '24', 's_34b41ecc', 'Those orders detailed that you are under my direct supervision for the duration of this operation. You will be prompt next time, is that clear?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '25', 's_38c83a93', 'I\'ll see if I can help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '26', 's_395c2680', 'The scan team has finished processing the results of the system sweep. The scan has revealed a large concentration of Rebel ships in region M84/2. The scan details indicate the Rebels already have a Gunboat class in the region.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '27', 's_3c521b4d', 'Watch your mouth, pilot. I can still stick a reprimand on your file a shipload of boronic acid couldn\'t clean off.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '28', 's_3cbda2cf', 'What are the new details?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '29', 's_3d7cbb44', 'You could hunt Rebel raiders, escort our salvage transports or capture some of the pirate salvage transports.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '30', 's_42e9d63a', 'Well if it isn\'t another pilot for the Imperial Navy. What do you want?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '31', 's_44522227', 'What sort of new project?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '32', 's_47f58b41', 'You think they found something?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '33', 's_4854758d', 'I would like to request a mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '34', 's_486da900', 'Your continued success will rely on your ability to make maximum use of all new Imperial technology. Use these study programs and destroy them when you have internalized the information.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '35', 's_48a73eb9', 'Very likely. Region M84/2 is within the probability projection that Imperial Intelligence sent us. We still don\'t know what we\'ll find there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '36', 's_4b074298', 'Come back when you\'re done with your mission. You can abort your mission if you want to start over.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '37', 's_4d81d507', 'I managed to find this activity log on a Rebel ship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '38', 's_4e7a1e3a', 'We need to keep it that way. The last thing we need are other races attempting their own recovery operations. Yavin could become a warzone.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '39', 's_4fc85d67', 'What are you still doing standing here talking to me? Get to your ship and get me that core...NOW SOLDIER!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '40', 's_5365b13d', 'When do you expect the results?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '41', 's_53923b62', 'Yes sir! We certainly...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '42', 's_53b0407b', 'I am a member of Storm Squadron.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '43', 's_54c421ec', 'Never mind. Disregard that. Regardless you are being transferred over to Captain Denner. Word is that all members of Storm Squadron are being transferred over to his command for a priority alpha assignment. It would appear that the Empire is preparing to transfer resources out of this system in order for some new project.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '44', 's_55289b72', 'Well, it\'s the pilot from the Navy. Having fun in your auto cooled little cockpit? You know what its like to trudge around in the jungle wearing armor? The sun is killing me, today.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '45', 's_567022e6', 'You do that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '46', 's_57c8489e', 'What should I do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '47', 's_591121d9', 'That\'s better. The least you fly boys can do is show a little respect.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '48', 's_594a07fa', 'I want to study advanced TIE combat operations.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '49', 's_5950b85e', 'I\'ll try and capture pirate salvage ships.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '50', 's_598456ed', 'Search the Death Star debris, the radiation clouds, and the nebulae from the Yavin gas giant. They seem like likely areas for the Rebels to hide. All of the garbage from the Death Star makes it hard to scan the system, so you\'re on your own.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '51', 's_5a7ec1e4', 'What kind of operations can I help with?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '52', 's_5c8a242', 'We haven\'t had any luck finding the relic, either.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '53', 's_5cab0f15', 'I haven\'t had luck in finding Rebel information.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '54', 's_5d5a0c89', 'There\'s a never ending supply of salvage to recover. The Rebels and other pirates have been capturing our salvage transports. The transport pilots would be grateful of any cover you could provide.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '55', 's_62e2ea4c', 'Not quite but pretty close. The fact that this gunboat evaded our sensor net is disturbing. HQ believes the Rebels are planning to transport the Death Star firing core on board that vessel. Since the sensor sweep data is old, they may already have the core.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '56', 's_647a7426', 'Any advice?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '57', 's_6598178f', 'Interesting.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '58', 's_65d0e7ef', 'Do you think that\'s where the relic is located?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '59', 's_6d22cae7', 'We aren\'t the only ones interested by the Death Star\'s potential. Various alien factions, as well as pirates, and the Rebellion has sent scavengers and special teams in to try and recover secret technology. We have a Navy division here, but lately the Rebellion has been sending in larger and larger incursions.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '60', 's_71bf4315', 'I am being transferred again?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '61', 's_7a761694', '(Continue to listen.)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '62', 's_7b25fbc3', 'You\'re cleared for training, so let me know when you are ready to begin.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '63', 's_7e1391b7', 'Welcome back, Officer %NU. The scanning team has submitted their data for review. It\'s going to take some time to process it all. The debris and the radiation fields make it difficult to get clear readings.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '64', 's_7e1ae5f8', 'It could take a few days, even with maximum computing power directed at the problem.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '65', 's_7ec622db', 'Flying Officer %NU, I have an urgent assignment for you. Stand at attention for briefing!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '66', 's_7eed59f9', 'I am ready for my training.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '67', 's_80efb61c', 'Any progress with the search?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '68', 's_81e0c16', 'What is it they found?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '69', 's_847e12c5', 'Hmm. Looks like the Rebels have definitely found something. There\'s a lot of activity in region M84/2. I\'ll dispatch a scanning team to check it out.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '70', 's_86b2a029', '(Roll eyes.) Yes, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '71', 's_8a202d7b', 'I\'m going to hunt Rebel raiders.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '72', 's_8bd72bb5', 'Mastering proper use of heavy weapons technology is key. Use these study programs and destroy them when you have internalized the information.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '73', 's_8dbf276d', 'Figures. Go get lost.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '74', 's_8e9a6b0f', 'Any raiders you destroy will hurt the Rebellion\'s recovery operation. Keep them busy while we finish refining the scan information.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '75', 's_8efde2ae', 'Yes, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '76', 's_916abbd9', 'They may have already escaped.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '77', 's_9315388f', '(Whistle, impressed.)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '78', 's_9506a2bd', 'A squad of Storm Troopers will be standing by to board the ship. All you need to do is disable the ship\'s reactor or engine subsystems and render them helpless. Once the Storm Troopers are on board they will take over the ship and then you will have to escort them and the ship to a safe jump point.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '79', 's_95549379', 'We need to buy time. Slow down the Rebel efforts until we can determine the exact location of the relic. You have operational discretion in this regard, but let me know your plans so I can coordinate with HQ. I\'ve also received new details on the relic from Imperial Intelligence.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '80', 's_957a3e29', 'Here\'s the situation. This information is highly classified, I do not need to remind you of the penalties of leaking Gamma Three intelligence.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '81', 's_9893fb0', 'Against my better judgment it would appear that you are fit for some flight training. Personally, I wouldn\'t waste my time training you but I have my orders too.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '82', 's_9c0c10ef', 'Report back to me when you are ready for a new assignment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '83', 's_9f6b62d3', 'I see why Intelligence put a lid on this.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '84', 's_a30c1a53', 'Yes sir!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '85', 's_a73dd488', 'I\'m sorry, I\'ll leave you alone.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '86', 's_ad3ca2e6', 'Do you think that I\'m here to hand out missions like so much candy? Why don\'t you go talk to your own commanding officer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '87', 's_ae26c22', 'Let me think about this for a bit.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '88', 's_aec16b0a', 'On second thought, never mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '89', 's_b0d3b474', 'I\'m ready for training.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '90', 's_b2d005b0', 'You did it. I would be lying if I said that I wasn\'t shocked. You have proven yourself to be one excellent pilot and an asset to the Empire. Unfortunately, for me I have just received word that you are being transferred from under my command. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '91', 's_b54802f8', 'We need to find the relic soon.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '92', 's_b6b25f13', 'Yes, sir!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '93', 's_b7cb6b94', 'This is an Ultimate Omega priority operation. The Emperor would dispatch a more elite team to handle the recovery, but there is no time. You must succeed. Failure to capture the firing core could result in disaster.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '94', 's_b84b366c', 'How can I help?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '95', 's_bd3101cc', 'We\'ve dispatched teams to search for whatever the Rebels found, but it will take time. Command has the idea that one of you Storm Squadron thugs could accelerate the process by hunting down the Rebels and beating the information out of them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '96', 's_bf7bc308', 'Where can I find Captain Denner?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '97', 's_bf7cf7b8', 'I\'ll dispatch the scanning team. I need you to go up and escort the team while they make their sweep. There are probably Rebel fighters in that region, so you\'ll need to stay sharp. Once the scans are complete, return to me. I have a few things you can do while we process the scan results.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '98', 's_c0203d03', 'That is the only reason that I have not busted you right out of the service. You are going to get another crack at capturing the vessel. Get up there and get me that ship before it\'s able to repair itself.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '99', 's_c27ccdd6', 'If I had things my way, you\'d never see the inside of a fighter again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '100', 's_c4880407', 'Developing new levels of tactical and physical excellence will be critical in realizing your true potential. Use these study programs and destroy them when you have internalized the information.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '101', 's_c76594d7', 'I want to study advanced reactor engineering algorithms.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '102', 's_d040d381', 'I take it you don\'t agree?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '103', 's_d1b5b50', 'Given our calculations of their incursions and the blast pattern of the Death Star\'s destruction, Imperial Intelligence believes they\'ve found something. Something big. In fact, they are hopping mad we didn\'t find it first.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '104', 's_d5ee9adc', 'I\'d like to escort salvage transports.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '105', 's_d7641f66', 'Normally I wouldn\'t even consider it, but as it turns out I do have some elective duty tasks that require a pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '106', 's_da3db7b8', 'I..');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '107', 's_dbb5bf46', 'I want to study advanced weapons technology.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '108', 's_dbcc5353', 'The new scan ship is waiting for you. Don\'t lose this one.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '109', 's_dc229c8d', 'Blast it! You were supposed to be the best man for the job and you seriously botched it. Fortunately for you it would appear that we managed to damage the gunboat enough that it has not been able to hyperspace out of the system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '110', 's_e053d691', '(Nod.)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '111', 's_e240955d', 'If I had anyone else to send up, I would, but you\'re the only pilot in the system rated for this kind of thing. As much as it disgusts me, I\'ve been ordered to send another scanning team up. You\'re lucky they aren\'t sending you to fly garbage detail on some backwater outer rim world.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '112', 's_e617e5c8', 'We have located an area that it would appear the rebel agents are using as a meeting place with flight commanders. We believe it is these agents that have the information we are after. If you find a Rebel, search his ship\'s computer for the ships activity logs and return to me when you find anything that might help us out.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '113', 's_e6315aa', 'Command is working to refine the scan data as quickly as possible. If we can recover the relic it may help us to construct similar weapons.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '114', 's_e6647df0', 'The Emperor himself is interested in the outcome of this operation. Failure will result in harsh penalties.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '115', 's_e70b39dd', 'Intelligence has lowered the security rating on this operation so key command elements can operate more effectively. The \'relic\' is believed to be the firing core of the Death Star\'s planet-killer weapon.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '116', 's_e73e5d21', 'I want to study pilot combat training.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '117', 's_ea3da11c', 'By the Emperor, I hope for all our sakes that is not the case. Your assignment is to locate that gunboat and disable it. We need to recover the core if it is on board and interrogate the crew if it isn\'t.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '118', 's_ed5d85e3', 'You aren\'t the one I was told to expect. My information is security rated Gamma Three. I can only talk to the one Oberhaur is sending.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '119', 's_f08d82df', 'A capital ship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '120', 's_f14c78f8', 'I came as soon as I received my orders.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '121', 's_f1639d7c', 'You flyboys certainly like to take your time. While you\'ve been gallivanting across the stars, I\'ve had men dying in Rebel raids.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '122', 's_f4817c', 'HQ believes that the Rebels have found the core and are planning to extract it. If they succeed, the Mon Cal traitors could duplicate the technology and fabricate their own super weapons.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '123', 's_f81f75fc', 'Command has us searching for something and we don\'t even have specs on its dimensions. We don\'t even know what its supposed to be. Now they want someone to go hunt down Rebels to find out the information they don\'t know or do know and just won\'t tell us? This job shouldn\'t be this convoluted. I should be directing walkers in battle, not grubbing around in a debris field.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_imperial_trainer_2b.stf', '124', 's_fe624ae0', 'What do you plan to do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '1', 'do_not_edit', 'The English version of this file (tatooine_privateer_tier3.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '3', 's_1110a04b', '[no answer]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '4', 's_11a6885c', 'You, actually.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '5', 's_1248fc74', 'Honestly, I\'m not sure.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '6', 's_1360f736', 'We never DID work together. YOU worked for ME.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '7', 's_15349399', 'Are you? I hope so. These aren\'t fluff jobs. You\'ve got something to prove to Jabba. He expects to see loyalty.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '8', 's_15ef997f', 'This is Jabba\'s Palace. Unless you\'re here to work, scram!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '9', 's_17c44740', 'I guess.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '10', 's_1875ff4e', 'Know what?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '11', 's_1ad6a2e4', 'This system is ripe for the picking. And Jabba\'s got plans, big plans. You\'d be wise to show your loyalty.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '12', 's_1adbadc4', 'I\'m ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '13', 's_1b6a5a1c', 'I\'m ready to find out more about this Dathomir situation.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '14', 's_1baaff63', 'Who are you? One of Jabba\'s new pilots?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '15', 's_1c10e380', 'Hurry up.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '16', 's_1c8bddbb', 'What is it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '17', 's_1e18c922', 'I haven\'t said a word! ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '18', 's_1e9e6433', 'If I find out you\'re lying to me, I\'ll kill you myself. And I\'ll do it slowly.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '19', 's_1edbaf3a', 'Obviously you can, you traitorous Valarian-loving goon.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '20', 's_221dc44d', 'You\'ve never heard of them? They live on Dathomir. Been there for centuries. They have their own ideas about how things should work. AND they\'re Force sensitive.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '21', 's_22f30f4c', 'The VIPs have all arrived safely. There is going to be a party at the Palace tonight. And what\'s a party without party favors? The first one\'s for you. Here! Pick a skill.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '22', 's_249fa88e', 'Oh no!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '23', 's_255518bb', 'Don\'t be ridiculous. Tell me what\'s going on.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '24', 's_25ba96cd', 'I don\'t have anything to say to you - not until you finish your job.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '25', 's_2675f275', 'Uh oh. Those witches are Force sensitive.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '26', 's_26790919', 'No. But it\'s nice to know that you\'ll do what you\'re told. Shamdon found some talented replacements for you! I wasn\'t sure you were going to make it back alive.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '27', 's_26c54c13', 'That\'s why Jabba assigned the mission to YOU!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '28', 's_272a2246', 'They\'ve named themselves after rancors? Ha! Those idiotic creatures can\'t even brush their own teeth, much less fly a spaceship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '29', 's_2795978a', 'Ha! Well, disgusting they may be, but they\'re useful, too. Jabba\'s laying the foundation for his Dathomir operation.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '30', 's_28a543ae', 'I\'m not done yet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '31', 's_29456ce7', 'Such an inquisitive mind! Young pilots like you shouldn\'t ask so many questions.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '32', 's_2a03f752', 'Watch your mouth. Now listen up. Jabba\'s decided that he\'s ready to move his operations into Dathomir. It\'s ripe. There\'s plenty of contraband in the area - and plenty of potential customers, too.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '33', 's_2a335ce3', 'Here comes a special pilot. Ready for a special mission?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '34', 's_2bbcaa92', 'Dathomir?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '35', 's_2c4b729', 'You\'re boring me. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '36', 's_2cb5d040', 'You know that Jabba has a whole cadre of assassins at his disposal. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '37', 's_2d9d7c64', 'Welcome back. I have an idea about how to use you. But first, tell me, can you work alongside the Imperials?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '38', 's_2e7619b1', 'If it were up to me, I wouldn\'t tell you anything!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '39', 's_2feb7c0f', 'It\'s all part of my plan.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '40', 's_3024ad9d', 'Oh yeah? Are they your best friends forever or something?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '41', 's_315f6f1a', 'You\'ll take MY orders, if you want to live! You\'re on thin ice with Jabba as it is. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '42', 's_31960979', 'That\'s why I\'m here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '43', 's_32376199', 'Now who\'s giving the orders?! Come see me sometime. I just love your company.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '44', 's_36d47f1a', 'You mean they\'ll blast US. We\'re in this together now, remember?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '45', 's_38c86018', 'You know what they say. Keep your friends close, and your enemies closer. Jabba\'s getting ready to make a big move. He\'s got to know what\'s going on out there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '46', 's_38d9a05a', 'Who are you? %TU? Oh, yeah...I\'ve heard of you. Word is you\'re a pretty fair pilot. What can I do for you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '47', 's_38f0bcdf', 'Hm. That\'s good to know, because Imperials are a force to be reckoned with in Dathomir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '48', 's_3a0e2d87', 'Then I suggest you find the person you DO work for - and stop wasting my time!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '49', 's_3b45cd54', 'Of course. Jabba\'s getting ready to throw a little party.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '50', 's_3c1e7fc0', 'The kind of gifts any Imperial would want. Data on other factions. Insider information. Secret passwords. The good stuff.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '51', 's_3e7d2d37', 'But the Imperials are bound to hear about this.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '52', 's_3f262d6b', 'The winner gets the toys. And you\'re the winner! Which skill would you like?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '53', 's_4050c6fc', 'Of course not. Have fun!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '54', 's_40a19463', 'I don\'t care what you tell him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '55', 's_40d4f979', 'You better START caring. I broker pilots for Jabba. My opinion carries a lot of weight with him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '56', 's_438512f8', 'And loyalty is what he\'ll get.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '57', 's_4389abe9', 'I missed you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '58', 's_44285b8f', 'I know those people.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '59', 's_461e9b3f', 'You\'ve got nothing to worry about.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '60', 's_473d09d8', 'Teach me about system balance programming.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '61', 's_48a3c712', 'Maybe! Or maybe he just has some use for you. And that\'s where I come in! I have a job for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '62', 's_4b6d65c6', 'I can\'t take any credit. This was all Jabba\'s idea. He\'s a genius.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '63', 's_4c695dbd', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '64', 's_4c6b6df2', 'You\'re a strange one. Jabba\'s finished with you for now, and Talon Karrde is waiting for you at the Mos Eisley cantina.  See you later.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '65', 's_4d5af593', 'Well...then I\'d be dead by now, right?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '66', 's_4d69a104', 'Shocking.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '67', 's_4edf9084', 'Or else they\'ll blast you out of the galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '68', 's_4f4e1c4e', 'How do I find it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '69', 's_505c7932', 'After that, Jabba would like you to clear a few of his enemies out of this system. It\'s getting a little crowded.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '70', 's_509249db', 'I want to know if you can work with Imperials?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '71', 's_50b517b8', 'While you\'re distracting the witches with your shenanigans, his assassins will move in and rig up explosives. We\'ll blast those crazy ladies sky-high.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '72', 's_523a54d5', 'Teach me about advanced techniques.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '73', 's_5288ea5c', 'Why do you ask?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '74', 's_52917b0d', 'Of course.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '75', 's_535a48bf', 'Is that right?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '76', 's_53b3094d', 'Ohhhh! I see! Well, genius, why don\'t you get back to your master plan?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '77', 's_5413ef97', 'Fine. Whatever.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '78', 's_5494c458', 'Right. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '79', 's_54d1d117', 'Valarians are good pilots. Good people, too.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '80', 's_551c4bc7', 'You\'re right. They\'ll like it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '81', 's_55fa5d7a', 'Well, regardless of the reason, the Rancor Clan is here. And they need to go. This is your problem, as of now. I want you to get back up there and patrol the area. If you find rancors, engage and destroy. Got it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '82', 's_5723e13e', 'The Imperials are going to be VERY upset with you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '83', 's_57bbda2a', 'WHY?! You shouldn\'t feel good! You should feel BAD! Because you haven\'t finished your job yet! DO IT!!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '84', 's_58081a79', 'Uh huh. Got a mission for me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '85', 's_581da545', 'I didn\'t think those Witchbloods would be so tenacious.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '86', 's_589dbb5b', 'You showed up. THAT\'S what you did. And now you\'re MY problem. I don\'t like problems. So you can just forget about those Valarians right now. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '87', 's_59d3a31c', 'Look. You\'re good, but not that good. If I go around handing our missions to fresh-meat pilots like you, I\'d be Sarlacc food in no time, if you know what I mean. Some other time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '88', 's_5a2f9ba', 'It\'s not an easy assignment. But then, you\'re still on thin ice with Jabba.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '89', 's_5a8556d4', 'I believe it! Seems like a plan that\'s way overdue.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '90', 's_5ba23093', 'You\'re going to get the Witchblood clan under control. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '91', 's_5d667e15', 'Me neither! Go intercept that freighter in near Yavin. See you later, %TU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '92', 's_5dc82348', 'Good.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '93', 's_5dd29234', 'Ahh. I see.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '94', 's_5e53a3dd', 'Yes I do, thank you very much! Jabba\'s got a plan. It\'ll make our life easier, and it\'s a good way to earn points with the Imperials. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '95', 's_601fa39', 'I know, I know.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '96', 's_61412ebf', 'But it\'s not up to you. is it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '97', 's_615d980b', 'I\'m looking for work. You got anything?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '98', 's_63684ac5', 'I guess I better get back to work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '99', 's_651adfc1', 'What kind of party?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '100', 's_6553e1d6', 'Are you being sarcastic?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '101', 's_65ef9330', 'The name is silly; the threat is not. These are aggressive, dangerous fighters. I wonder why they\'ve taken an interest in this area?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '102', 's_66ec8629', 'Back off! What did I ever do to you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '103', 's_66f326f', 'You\'re going to go there for a little visit.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '104', 's_6713da6c', 'Did he announce his plans?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '105', 's_6a5f1bad', 'Well? Cat got your tongue?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '106', 's_6ce4e96f', 'Right.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '107', 's_6d22c58', 'Later on, I\'ll need your help with the Imperials. For now, you need to get the Witchblood clan under control. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '108', 's_6ec06027', 'What plans?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '109', 's_6fe71f0c', 'Get out of here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '110', 's_70969772', 'I can see that. Look, let\'s start over. YOU\'RE with Jabba, and I\'M with Jabba. That\'s all that matters right now. And I have a job for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '111', 's_719a036e', 'Who?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '112', 's_72318c63', 'What kind of gifts?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '113', 's_731189e6', 'I get it! What do I have to do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '114', 's_73e3d4ef', 'How could I forget?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '115', 's_741f40ea', 'Hm! You know what? I don\'t think I\'ll miss you too much.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '116', 's_7943df8d', 'Jabba\'s decided that he\'s ready to move his operations into Dathomir. It\'s ripe. There\'s plenty of contraband in the area - and plenty of potential customers, too.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '117', 's_79a6c35c', 'Oh, I\'m scared.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '118', 's_7a9d89cc', 'These witches are obsessed with respect. They want everybody who comes to Dathomir to respect  them. Whatever! That is their weakness, as far as I\'m concerned. I want you to find the clan\'s burial ground. It\'s an asteroid base somewhere nearby.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '119', 's_7f124363', 'Not in so many words. But he made sure that he knew who his friends were, if you know what I mean.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '120', 's_800d8ca1', 'Who is it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '121', 's_80b8ba1c', 'Sometime this century?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '122', 's_80bfc2af', 'I wouldn\'t think of it!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '123', 's_8117e382', 'You just don\'t understand genius.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '124', 's_81ed00dd', 'Their soldiers will know. I suggest you commandeer one of their ships and interrogate the captain. He\'ll tell you what you need to know.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '125', 's_821a5372', 'Well, that\'s why Jabba\'s a syndicate head, and you\'re just a lowly pilot. You don\'t have to like Jabba, but you have to respect him. He knows how to get things done. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '126', 's_8255ca09', 'I did my job.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '127', 's_82751e5b', 'Guess what, %TU. Jabba\'s sending you somewhere else.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '128', 's_83c2b64', 'The bad news is that a new clan is trying to make inroads in this system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '129', 's_841d27db', 'Why?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '130', 's_84c0df0e', 'Of course! You know how these witches are obsessed with respect. They want everybody who comes to Dathomir to respect  them. Whatever! That is their weakness, as far as I\'m concerned. I want you to find the clan\'s burial ground. It\'s an asteroid base somewhere nearby.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '131', 's_8516d505', 'I know that I haven\'t finished my job yet!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '132', 's_859cab0', 'The kind of party people like YOU don\'t get invited to. All the big names will be there. Including some of Jabba\'s biggest competitors.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '133', 's_85af2484', 'I will - as soon as you stop talking to me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '134', 's_86313707', 'How are you feeling? Good?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '135', 's_8be640b8', 'Sure.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '136', 's_8c796cbf', 'Hey, why me? I\'m friends with some of  those people.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '137', 's_8e5921a5', 'Back to work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '138', 's_8ecd2ed0', 'I don\'t have to explain myself to you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '139', 's_9532fb5c', '[stay quiet]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '140', 's_95ff4e4', 'Well...it all depends on how you define Good. Every situation is different. Take the Imperial forces, for example. We need to treat them with the utmost respect.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '141', 's_974272bf', 'That\'s EVERYTHING, as far as the witches are concerned. Non-believers like you will desecrate their sacred burial ground! They\'ll be entirely focused on you. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '142', 's_9754c9cf', 'No. I don\'t know what you mean.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '143', 's_98504882', 'First, you\'ll recover a weapons shipment. Somebody had the nerve to steal it from Jabba. Can you believe the nerve?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '144', 's_98b1ccd4', 'No idea.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '145', 's_98be92ae', 'Looking for something?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '146', 's_999144d9', 'Tut, tut! No please? You should learn better manners. Come see me when you are ready. I\'ll have work for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '147', 's_99b1ec0', 'Of course! We don\'t pay you to stand around and look pretty. I have good news and bad news. The good news is, business is booming.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '148', 's_9b113074', 'Do you have a point?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '149', 's_9b22b078', 'I\'m not going to face an angry Jabba on account of you! Get the job done, or I\'ll find somebody who can.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '150', 's_9dd2c52f', 'Like we did with the witches of Dathomir?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '151', 's_9ea143d7', 'Have we met?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '152', 's_9ef8ae7d', 'Who? I\'ve already forgotten them. Give me a mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '153', 's_9fc316af', 'Sure - when I have to.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '154', 's_a042a4cf', 'Are you kidding? Nothing stops me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '155', 's_a2c78f81', 'Unless you\'re here to buy something, I suggest you keep walking.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '156', 's_a4c5fb69', 'No. They\'ll be fine. Because I\'m going to finish the job.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '157', 's_a609e8c', 'That might get me killed, but I don\'t understand how this helps Jabba.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '158', 's_a75b6949', 'Don\'t believe me? Just cross me once. You\'ll find out how much pull I have. And remember. Jabba\'s rancors are ALWAYS hungry.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '159', 's_a7edf0be', 'And once I\'ve found the burial ground?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '160', 's_a8371342', 'For now, you need to get the Witchblood clan under control. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '161', 's_a92435e7', 'The kicker is that Jabba is installing a vigo on Dathomir. He\'ll be here soon.  We need to eliminate this problem before this guy arrives. If he decides that we\'re doing a bad job, he will DEFINITELY replace us. And do you know what replace means?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '162', 's_a9aeb386', 'Teach me about advanced starship component use.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '163', 's_ac7fe93', 'My mistake.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '164', 's_acbfc0cc', 'The Imperials and Rebels in this system are fighting like cats and dogs, which leaves the whole area ripe for  the picking. Play your cards right, and you could find yourself a very wealthy pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '165', 's_ad7db4d', 'More orders from you! I can\'t wait.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '166', 's_aea8a145', 'Hm! Sounds dangerous.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '167', 's_af22b9b2', 'I guess so.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '168', 's_afa084aa', 'Those Valarians really put up a fight!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '169', 's_b3b64ad2', 'I won\'t miss you either. Jabba\'s done with you for now, so go back to where you came from.  I think Talon Karrde is expecting you at the Mos Eisley cantina.  And in the future, if you see me coming, do me a favor and get out of my way!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '170', 's_b3b84a9f', 'Oh really? Have you been talking to your friends about Dathomir?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '171', 's_b55e3f14', 'I can work with anybody, if the money\'s right.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '172', 's_b834e090', 'All right, all right! You don\'t need to take my head off. I have good news and bad news. The good news is, business is booming.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '173', 's_b984dc7a', 'Probably not.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '174', 's_b9ca256f', 'Lady Valarian...you know how to choose the losing team. Don\'t you realize that Jabba is unstoppable?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '175', 's_bb7d89de', 'THAT\'S RIGHT! You haven\'t! So DO IT NOW!!!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '176', 's_bc375f79', 'Got it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '177', 's_bc7d4c35', 'Jabba\'s very impressed. In fact, he\'d like me to let you in on his secret plans.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '178', 's_bcad400e', 'And you can be a part of it, but only if you work with Jabba. This is going to be a juicy deal, and he\'s not going to let anybody outside of his organization have a taste.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '179', 's_bcb460ff', 'Who wants a skill?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '180', 's_be1391ec', 'Maybe you\'re not loyal to Jabba after all.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '181', 's_be822621', 'I didn\'t expect you back so soon.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '182', 's_bee781d7', 'Strange!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '183', 's_bf01df79', 'Who is the Witchblood clan?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '184', 's_c0b27fdb', 'What do I have to do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '185', 's_c1730a04', 'We\'ve uploaded the Imperials\' coordinates to your ship\'s system. And we\'ve uploaded the data as well. They\'re password-protected. We wouldn\'t want you taking those - gifts - for yourself.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '186', 's_c1c1d8a5', 'Getting shot down is part of your plan? That\'s quite a plan.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '187', 's_c33fad75', 'It\'s always good to make friends with the Imperials, but is there some reason behind the timing?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '188', 's_c4f23e9b', 'I suggest you run OVER that little problem, if you get my drift. Get back out there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '189', 's_c4fdcde1', 'Don\'t tell me you believe in the Force! Please. You should just use their superstitious nature to your advantage. We have to get them under control, for Jabba\'s sake.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '190', 's_c59afc3a', 'Oh hi!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '191', 's_c634ffcd', 'Teach me about special warships.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '192', 's_c6e0e27', 'First, get that weapons shipment. I\'ll transmit your other orders later.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '193', 's_c9979b12', 'Me neither. Intercept that freighter in near Yavin. See you later, %TU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '194', 's_cb13d341', 'So here is your mission. I want you to deliver a few gifts to Imperial officers operating in this system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '195', 's_cc1cb635', 'Does that mean we aren\'t going to work together any more?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '196', 's_cd0dcead', 'Of course not.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '197', 's_d33e2776', 'Of course not! I have no friends.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '198', 's_d59f78b0', 'That\'s it?!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '199', 's_d60918d0', 'Here is your mission. I want you to deliver a few gifts to Imperial officers operating in this system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '200', 's_d6d5b88c', 'It\'s a little strange, I guess.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '201', 's_d793b51', 'You have an idea?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '202', 's_d7c19f3f', 'Well here I am.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '203', 's_d87ceb8', 'Then why are you here?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '204', 's_da70d826', 'So YOU\'RE the fool!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '205', 's_da8f9cc9', 'So testy! What did you have for breakfast? You need to work on the subtle art of conversation.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '206', 's_db3d67b', 'I don\'t work for Jabba.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '207', 's_db509386', 'Was killing them really necessary?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '208', 's_dc7d2ed4', 'OK. You\'ve got a couple of items on your to-do list. First, you\'ll recover a weapons shipment. Somebody stole it from Jabba. Can you believe the nerve? ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '209', 's_dcea0b58', 'The kind of gifts any Imperial would accept. Data on other factions. Insider information. Secret passwords. You know. The good stuff.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '210', 's_dd19988e', 'And the bad news?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '211', 's_de174124', 'Nobody orders me around.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '212', 's_dea9aa2e', 'I know all about you. You were working with Lady Valarian. Going against Jabba! Are you crazy?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '213', 's_e0114da3', 'Exactly. Which is why it\'s important that we start making inroads with them now. We\'ll scratch their back, and then they\'ll scratch ours. Or something like that. Anyway! Back to my point. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '214', 's_e17cca44', 'Your old friends, the Valarians. You remember them, don\'t you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '215', 's_e1ffebd7', 'What am I supposed to do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '216', 's_e2b3bd3d', 'They were almost as disgusting as Jabba.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '217', 's_e2e25101', 'You might want to be a little more friendly, %TU. I\'m your contact for Jabba. You don\'t want me telling him what a sourpuss you are, do you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '218', 's_e413d452', 'If you say so! Try to learn quickly, I have more exciting missions for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '219', 's_e480eda0', 'What\'s there to tell? Dathomir\'s a gold mine, for the right sort of entrepreneur. We just need to establish good relationships with the neighbors.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '220', 's_e4b6a4d3', 'Because you\'re supposed to be working. I can\'t figure out why you\'d be shuffling around here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '221', 's_e4dc5d6', 'Very.  These are aggressive, dangerous fighters. I wonder why they\'ve taken an interest in this area?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '222', 's_e610029c', 'I didn\'t think so. Why did you come back, anyway?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '223', 's_e9b69720', 'That\'s the plan.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '224', 's_ea4e584a', 'I salute you, %TU, for your brave and loyal service! Jabba is always generous with his employees. He\'d like to offer you a training session. Isn\'t that nice? What would you like to learn?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '225', 's_ea84693', 'You\'re hurting my feelings.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '226', 's_ea9e3ad2', 'I can guess.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '227', 's_eb9f64f0', 'Maybe he brought you back so that he could have you killed. Did you ever think of that?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '228', 's_ecbb4e43', 'Oh whatever.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '229', 's_ed7786ee', 'Yes, quite ingenious! Once the Witchbloods are under control, we can move forward with our plans. It all hinges on you. Get to your ship!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '230', 's_edd73236', 'What is the Witchblood clan?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '231', 's_ef2cceae', 'Yes, you did. Jabba thanks you. I don\'t think Lady Valaria will want to see you again anytime soon.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '232', 's_ef696d16', 'Doesn\'t that seem strange? You WERE working for the competition, after all.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '233', 's_f0fbdf16', 'That\'s the REALLY bad news - we don\'t know. Nobody\'s been able to identify them yet. They call themselves the Rancor Clan.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '234', 's_f20d43a6', 'I\'ve learned the error of my ways. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '235', 's_f2593c16', 'Next time, say Please. I\'m sure we\'ll meet again soon.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '236', 's_f390de3b', 'How did you like Jabba\'s party guests?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '237', 's_f3d30738', 'Makes you the perfect person for the job, doesn\'t it? You know how they think. Remember, this is your big chance to show Jabba how loyal you are.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '238', 's_f5427310', 'Of course not!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '239', 's_f5dff86f', 'Your old friends, Lady Valarian\'s thugs. You remember the Valarians, don\'t you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '240', 's_f5f8f818', 'Excellent! Then we\'re getting off to the right start. I\'m Beissa. I\'ll be your commanding officer today.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '241', 's_f840ac8a', 'Was it too much for you to handle, %TU?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '242', 's_f9a25cfc', 'Hey, I know when to shut up!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '243', 's_f9cb6eac', 'Get out of here before I blast you myself!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '244', 's_fa1878f7', 'I AM. I just ran into a little problem.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '245', 's_fa60efdf', 'Looks like SOMETHING stopped you. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '246', 's_fbe476b0', 'Um...hi.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '247', 's_fcb2370', 'This is confidential information. You cannot share this, with anybody.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '248', 's_fccc4442', 'Jabba invited me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier3.stf', '249', 's_ff68e70a', 'Very nice. First, you\'ll recover a weapons shipment. Somebody stole it from Jabba. Can you believe the nerve?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '1', 'do_not_edit', 'The English version of this file (tatooine_privateer_tier4.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '3', 's_1056a46b', 'They sure are! But even they get into trouble now and then. Any interest in helping them out?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '4', 's_10652869', 'Try not to get killed. Get back out there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '5', 's_10c507d9', 'Now that Jabba\'s content, we can go about our business.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '6', 's_11bcf0c', 'I guess so! Let me know how it goes! Get to Dantooine and hurry up.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '7', 's_11eba9b0', 'Here\'s your pay!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '8', 's_11ed6849', 'Valarians are starting to get active around Dantooine. Too active, if you know what I mean. We need to nip that nonsense in the bud. I want you to disable a Valarian gunship and inspect it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '9', 's_1234129d', 'Are you mocking me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '10', 's_13031eaa', 'What brings a pilot like you out this way? Surely you didn\'t come just to say hello.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '11', 's_1371de7b', 'I\'m always happy to see TIE fighter debris, floating through space. Nice work out there!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '12', 's_14a79f3e', 'That\'s it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '13', 's_15e60405', 'Lots of people in this sector hate the Valarians. They appreciate what you did. It\'s good publicity for the Smugglers Alliance, see.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '14', 's_164c9f60', 'If you say so! You\'ll find the coordinates in your ship\'s database. Bye now!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '15', 's_17c44740', 'I guess.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '16', 's_17dede1', 'You know I worked WITH the Empire when I was helping Jabba.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '17', 's_18b41c2f', 'OK! So far, so good. Mission accomplished. And in true pirate tradition, you get a little off the top.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '18', 's_190e0e72', 'Good point.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '19', 's_192c6747', 'Not likely. The Black Sun have their own code of ethics when it comes to business. They stick to their own.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '20', 's_1a5ce928', 'Time is money! And you\'re wasting time! I don\'t do business with malingerers!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '21', 's_1bfa482b', 'Good job with those Valarian fighters! You really put them in their place.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '22', 's_1c8bddbb', 'What is it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '23', 's_1d267ca4', 'I can\'t really say, since I don\'t know. But it won\'t kill you to see this Admiral and hear what he has to say, right? He can\'t exactly force you to do anything for him, but there is a lot of things a pilot can learn from the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '24', 's_21cba89', 'Pirate life, my friend! There\'s no black and white. It\'s all just shades of gray.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '25', 's_2313ac9e', 'What are you talking about?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '26', 's_2836e6b5', 'OK.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '27', 's_293b395b', 'Well...I want everybody to be free to do business with our smugglers, if that\'s what you mean! ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '28', 's_29b1a1b4', 'So I want to keep spreading the love. You\'re going to go on a goodwill mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '29', 's_2a9aa104', 'Write that one down in your diary! I just gave you a compliment. I NEVER give compliments. It\'s a red-letter day.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '30', 's_2bf9b1f7', 'Oh yeah.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '31', 's_2e0d4c28', 'Money! You want it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '32', 's_2e5c16e2', 'Oh come on! You\'re kidding, right? The Black Sun is the biggest criminal syndicate around. And they are CONNECTED. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '33', 's_303b5f14', 'Hey! There\'s my favorite bum now. I have some surprising news here for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '34', 's_30860224', 'So I\'m gunning for the Imperials.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '35', 's_30a9191e', 'Hey! I\'ve got no time for bums like you. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '36', 's_30ea47ea', 'There\'s CorSec, for one thing. Those guys are always mucking things up for us. Then you\'ve got your stuck-up RSF forces. The Imperials would like us to straighten up and fly right - and that\'ll never happen! Even your old friend Lady Valarian is gunning for us, since we\'re aligned with Jabba.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '37', 's_312a9b56', 'You never know.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '38', 's_324779f6', 'Do I have any missions? Yes. Do I think you can handle them? No. Why don\'t you go find your mama and quit bothering me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '39', 's_33dc0069', 'If you say so! You\'ll find the coordinates in your ship\'s database. Bye now! ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '40', 's_351c69aa', 'Don\'t bother! I know what you\'re going to say.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '41', 's_35a6c533', 'You\'ve got it!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '42', 's_36a61f55', 'OK! I get it! I\'ll get back to work!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '43', 's_38264798', 'GET TO WORK!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '44', 's_38a1649f', 'Better make sure your blasters are operating at full capacity before you take off for Lok! Watch your back, %TU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '45', 's_39d3e7a3', 'I\'m warning you now - it\'s the big time! Lots of unsavory elements flying around out there!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '46', 's_3afa07bf', 'Hey! Don\'t be ungrateful. It\'s unattractive. If you want more, just ask me for another mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '47', 's_3c7012a7', 'No. I said I was good.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '48', 's_3c81c35', 'What? ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '49', 's_3d6e04e6', 'Oh boy. Here we go.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '50', 's_3f68df7d', 'Sounds easy enough.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '51', 's_3fac3195', 'THAT\'S RIGHT! You must be some kind of mindreader! Maybe you should quit being a pilot and get a job reading palms down at the cantina!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '52', 's_3ff5bba1', 'I said that? ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '53', 's_412dc22e', 'I\'ll take that escort.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '54', 's_443da380', 'Sure - for now. One of these days, Lady Valarian could become the strongest.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '55', 's_4499bb6', 'Valarians are becoming active around Dantooine. Too active, if you know what I mean. We need to nip that nonsense in the bud. I want you to disable a Valarian gunship and inspect it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '56', 's_472841f4', 'Freight plans. I want to know what they\'re transporting! ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '57', 's_4854b859', 'I thought you told me you were the greatest pilot of all time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '58', 's_49155225', 'I want to see the back of you! Pronto!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '59', 's_49a22a42', 'Including Karrde\'s?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '60', 's_4bb3bd9d', 'Sounds like that poor smuggler needs my help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '61', 's_4bb84e05', 'Jabba\'s happy. And that means I\'m happy. And if I\'m happy, you\'re happy! ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '62', 's_4bef9ff9', 'Then I guess I better get to work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '63', 's_4ca03ddb', 'How so?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '64', 's_4d999afa', 'I know they\'re trouble.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '65', 's_4e27fe11', 'I don\'t know what you\'re talking about. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '66', 's_4eee118b', 'Nym\'s going to appreciate that! ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '67', 's_4f268deb', 'Uh huh. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '68', 's_50335ae8', 'So tell me. Did you hear any good rumors in Jabba\'s Palace?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '69', 's_5206ea9b', 'Mind your own business.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '70', 's_53de9d8f', 'Like what?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '71', 's_555c668c', 'I know all! Get your backside over to Jabba\'s Palace.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '72', 's_55671c91', 'Not really. It smelled terrible. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '73', 's_559912', 'Don\'t be so quick to judge me. I can get the job done.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '74', 's_5681e74d', 'He is one of the Alliance fleet commanders. He\'s got a force stationed in the Outer Rim. Not really sure what they are planning to do out there, but if he is looking for outside help, it must be something big.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '75', 's_58362a8d', 'Tell me about it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '76', 's_5866c569', 'I follow you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '77', 's_58b4c6a6', 'The last thing you want is a bunch of fighter aces gunning for you. Get back out there!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '78', 's_59209e57', 'So put me to work! ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '79', 's_593a67cd', 'Talon says you\'re a good worker. But I\'ll believe it when I see it! ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '80', 's_59fffde8', 'Sure! But the ship\'s almost completely disabled, so the guys on board are no use. And there aren\'t any other Black Sun in the vicinity. We\'re it! ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '81', 's_5af217dd', 'Thanks. I think so! You\'re clear to leave anytime.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '82', 's_5c05ecff', 'I just did what I was told.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '83', 's_5e6a9bde', 'No, I\'M telling YOU to mind your OWN business! And your business is at Jabba\'s Palace! So start walking, bub.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '84', 's_61657d0f', 'I see.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '85', 's_616c8086', 'If Jabba\'s happy, we\'re happy. We can\'t do our jobs without the love and affection of our local crime lords.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '86', 's_62b0748', 'Everything\'s coming up roses, %TU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '87', 's_636f3f4d', 'Sure is! The Black Sun are killers and sociopaths, but they\'re good earners. And they need our help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '88', 's_658f174d', 'What am I looking for?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '89', 's_6598178f', 'Interesting.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '90', 's_677b3694', 'EVERYBODY wants money!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '91', 's_67e6df55', 'Okay.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '92', 's_67ec71d0', 'Hey, there you are. Ready to get back to work?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '93', 's_694ce3f1', 'Could you explain it to me again?.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '94', 's_69647725', 'Actually, no, you didn\'t. Talon said it! Maybe Talon was wrong!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '95', 's_6b1ef548', 'I\'m looking for Talon Karrde.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '96', 's_6bc1a8b4', 'Sure is! They\'re killers and sociopaths, but they\'re good earners. And they need our help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '97', 's_6c251948', 'You got it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '98', 's_6c6479e8', 'All your action\'s going to be in Lok. Later on, you\'ll be targeting CorSec forces, even RSF - all the guys that do their part to stifle and subjugate the masses.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '99', 's_6e4cac2c', 'I can use it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '100', 's_6f729033', 'Okay. Suit up. You\'re going back out there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '101', 's_70597637', 'I want you to start targeting enemy forces - starting with an Imperial Ace. Everybody hates the Imperials! ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '102', 's_70a95d7f', 'False modesty! I love it. Here\'s your cut. Let me know when you\'re ready to do some more work for Talon.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '103', 's_717febcb', 'Did you like the palace?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '104', 's_71d852f5', 'How about droid intelligence theory?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '105', 's_71d95498', 'So you want me to join the Rebellion?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '106', 's_73d0a21b', 'What? No!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '107', 's_741df7ed', 'Where?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '108', 's_74aa808d', 'If you want to stick it to the Imperials, you could liberate - wink, wink - one of their freighters and bring it to a hyperspace jump point. We could always use something like that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '109', 's_76e45e0f', 'If I give you another shot, do you think you can handle it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '110', 's_77e48d5b', 'What do you mean?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '111', 's_7934ba4d', 'Sure! It\'d be REAL easy, if the Imperials would just mind their own business! But I think you can count on some interference from Imperial forces.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '112', 's_7b0a4618', 'But I thought...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '113', 's_7b6327ac', 'And they are CONNECTED. They\'ve got their fingers in every pie.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '114', 's_7e0dff76', 'Yeah. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '115', 's_7f405b16', 'And remember: Jabba forever! ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '116', 's_8138df62', 'Jabba\'s a good ally for us. He\'s the strongest crime lord in the sector, by far. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '117', 's_81f135c8', 'Time for you to get to work! You\'re no use to me when you\'re just standing around. What are you going to do? Or do you need me to explain the situation to you again?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '118', 's_842279cd', 'How about exotic vessels?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '119', 's_842eb2d9', 'Well, good pilots don\'t flub missions! ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '120', 's_851d7ea3', 'Well, it\'s a little hard to explain.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '121', 's_85c8a240', 'What about the Black Sun? Don\'t they want to save their own ship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '122', 's_85ddd986', 'You sure are!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '123', 's_87550112', 'If you want to be a hero to Nym\'s group, you could rescue one of his transports. CorSec and RSF ships are attacking it as we speak!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '124', 's_877810f1', 'Enlighten me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '125', 's_8782c730', 'You guessed right. Let\'s see what I\'ve got on my roster! If you want to be a hero to Nym\'s group, you could rescue one of his transports. CorSec and RSF ships are attacking it as we speak!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '126', 's_879f33d', 'I\'m assuming you have work for me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '127', 's_87d7e908', 'I know.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '128', 's_88926265', 'Here\'s a little something to tide you over until your next mission. Don\'t spend it all in one place.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '129', 's_8945d3f4', 'Smugglers like us, we have a code.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '130', 's_8be640b8', 'Sure.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '131', 's_8c39d757', 'Why would we want to help the Rebellion?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '132', 's_8d8e36c9', 'We\'re doing our part to keep Jabba on top. And that leads me to your next assignment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '133', 's_8e76f5e4', 'Sure. What\'s not to love?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '134', 's_8ee47f8c', 'Jabba\'s always working an angle. And we haven\'t heard much from him lately. Is he planning something in Dathomir?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '135', 's_900f01d1', 'What?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '136', 's_908cfde5', 'What\'s the situation? ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '137', 's_90f41db9', 'Don\'t bother! He\'s too busy to deal with the likes of you. As far as you\'re concerned, I AM Talon Karrde.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '138', 's_92118a17', 'Talon and the Black Sun have an... understanding. A lucrative one. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '139', 's_94e9bd3b', 'I don\'t want you to join ANYTHING. But I\'ll tell you one thing, if the Alliance is going to do something big, you can be sure that the Empire will be involved. And the way I see it, anything that is bad for the Empire is good for us.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '140', 's_95b55346', 'I just got a communique from Alliance headquarters. Admiral Burke is asking us for help. They\'re in a jam, and they are looking for the best pilots they can find.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '141', 's_95c7e5cc', 'He is, isn\'t he? I\'ve heard stories.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '142', 's_96c7f9b', 'Um, okay.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '143', 's_96d69e86', 'Especially smugglers! Here\'s your pay. Nice work out there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '144', 's_9a63e564', 'Pilots like you receive skills training. And you\'ll be getting that training from me. So get ready! And pick your poison.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '145', 's_9c834ac9', 'OK tough guy, have it your way. Let\'s get down to business. We need to help Jabba.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '146', 's_9cc12ff4', 'I\'m not happy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '147', 's_9ee65601', 'Good luck! You\'ll need it! ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '148', 's_9f0981a2', 'What\'s in a name? You can just call me Sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '149', 's_a084de70', 'Now you\'re talking.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '150', 's_a1c0645d', 'The Imperials have captured a Black Sun freighter. It\'s carrying some good contraband - the kind of thing that would eventually end up in our pockets, if the Imperials would just mind their own business.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '151', 's_a30c1a53', 'Yes sir!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '152', 's_a38a9e82', 'Nope! I think I got it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '153', 's_a587c342', 'Mm hmm.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '154', 's_a59a1d43', 'Skip the lecture and give me a mission! I need the money.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '155', 's_a6359b23', 'That\'s the smell of money, %TU! Jabba\'s a good ally for us. He\'s the strongest crime lord in the system, by far. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '156', 's_a6d95597', 'Not much.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '157', 's_a85bc17d', 'And then you DO it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '158', 's_a87f150c', 'You know Jabba was always trying to make backdoor deal with the Imperials.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '159', 's_aa6112c9', 'An Imperial freighter? Sounds like a tough assignment. I\'ll take it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '160', 's_aba2cf17', 'Sounds that way! They are in Lok. Get going.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '161', 's_ac1da756', 'What are the Rebels planning to do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '162', 's_ad973bd9', 'Yeah.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '163', 's_ae92ea5d', 'You tell ME how tough it is - when you get back from Dantooine! ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '164', 's_ae9a6733', 'Of course. Come see me when you\'re ready for some more interstellar action! ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '165', 's_aeab6bd1', 'Get back to work! ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '166', 's_b00344d', 'Droids! Done! Now then. You did good work with Jabba. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '167', 's_b0328fe7', 'Okay. So what\'s your name?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '168', 's_b16ff72d', 'Lots of people in this system hate the Valarians. They appreciate what you did. It\'s good publicity for the Smugglers Alliance, see.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '169', 's_b1d60b3e', 'He\'s stationed on Corellia, in Doaba Guerfel. He is expecting someone from our operation to show up... and I think that someone should be you. I can\'t force you to go. It\'s up to you, but I think it would be a smart move, %TU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '170', 's_b2909765', 'Why not? They\'re useful, in their way.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '171', 's_b30e002f', 'Those Imperials are STOMPING you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '172', 's_b3e1da76', 'Aw shucks. Lucky me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '173', 's_b504a09d', 'Hey! Good idea! Listen pal, there\'s a whole galaxy of booty out there, ripe for the picking! It\'s time for you to branch out, see what\'s out there. Think you\'re up to it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '174', 's_b5a3db93', 'Then why have we got this situation?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '175', 's_b6298a33', 'Is there any part of that you don\'t understand? ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '176', 's_b7e5af8c', 'That I blew it! ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '177', 's_b857b065', 'I\'m still working on it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '178', 's_b8dd8b3d', 'Very touching.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '179', 's_baacb22a', 'Sure! We all need a little something now and then. Come back when you\'re ready for more.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '180', 's_bbe3529b', 'Who is Admiral Burke?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '181', 's_bc331bd7', 'Nothing to tell. I\'m here to get a mission!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '182', 's_bd9c8748', 'She\'s definitely the UGLIEST - and that\'s saying something! Jabba\'s not exactly easy on the eyes. And forget about Lady Valarian becoming the top player. It\'ll never happen. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '183', 's_bdae1e2f', 'Vessels! Done! Now then. You did good work with Jabba. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '184', 's_c1ff5062', 'I\'m looking for a mission. Do you have any?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '185', 's_c3363bcd', 'Uh huh.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '186', 's_c39e9b19', 'Depends. I don\'t want to get sucked into their world. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '187', 's_c4076628', 'First, I TELL you what to do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '188', 's_c40a86d2', 'Components! Done! Now then. You did good work with Jabba. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '189', 's_c4b1700b', 'You\'ve got to finish what you\'ve started.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '190', 's_c758f78a', 'I can\'t tell you what I don\'t know! ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '191', 's_c8046dd', 'No way.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '192', 's_c82e9a2f', 'Yes, please.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '193', 's_c870211d', 'OK! That\'s all I need to hear. Now listen up! Here\'s the situation. One of Nym\'s ships is carrying a load of spice - although you didn\'t hear that from me. You\'re going to transfer that spice to a Hutt smuggler.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '194', 's_c91fbb55', 'And if you just feel like blasting everything in sight, I could send you out a Dantooine patrol! Everybody\'s out there these days: CorSec, RSF, Imperial, even Valarian ships. Plenty of targets. So which one is it going to be? ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '195', 's_c9b06630', 'Let\'s review the basics here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '196', 's_cad10f7b', 'It\'s simple. We just try to help people in need. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '197', 's_cf53514d', 'I hope so! Go on, get out of here! ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '198', 's_cfd8a48c', 'Enough for a lifetime!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '199', 's_d2c2dc92', 'I\'m warning you buddy - it\'s the big time! Lots of unsavory elements flying around out there!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '200', 's_d48df184', 'Well listen up, there\'s a whole galaxy of booty out there, ripe for the picking! It\'s time for you to branch out, see what\'s out there. Think you\'re up to it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '201', 's_d70dba34', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '202', 's_da0b2b1e', 'Now then. You did good work with Jabba. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '203', 's_da3439a6', 'Where is this guy?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '204', 's_db089cf0', 'What are you trying to say?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '205', 's_db65cfb3', 'Well...we really try to help people who can help US later on.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '206', 's_dbb3b0b0', 'How about heavy starship component use?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '207', 's_dcc126b1', 'Just doing my job.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '208', 's_dd5bf0f8', 'Not for us, they\'re not! Talon and the Black Sun have an... understanding. A lucrative one. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '209', 's_dd67013', 'What does that mean?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '210', 's_df1485b', 'Don\'t beat around the bush! Just give it to me straight.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '211', 's_e00688cd', 'OK smartmouth, that\'s enough out of you. Just get back to work! ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '212', 's_e15e4244', 'You\'re upsetting me! And I don\'t LIKE getting upset! Get back to work! And do the job right this time! ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '213', 's_e2084aee', 'What do you know about the Black Sun?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '214', 's_e30ce38b', 'I know they\'re good.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '215', 's_e3cee4d9', 'Techniques! Done! Now then. You did good work with Jabba. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '216', 's_e46f0376', 'Hey, you\'re still in one piece. I guess those Alliance boys didn\'t work you over TOO hard. Are you looking for work?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '217', 's_e56b171a', 'I thought I was done with him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '218', 's_e5da4e7', 'Then there\'s a Nym smuggler who needs an escort if he\'s going to make it though Lok space. As you can see, we have lots of opportunities here to earn Nym\'s gratitude. And that\'s a good thing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '219', 's_e5e29dc', 'You stink!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '220', 's_e61fa67b', 'So you\'re just a freedom fighter.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '221', 's_e6d5d85c', 'It means that Jabba\'s paid us for services rendered! And since YOU\'RE the one that rendered said service, here\'s a little cut.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '222', 's_e775f9ef', 'Anytime! I\'m a generous Rodian. See me later.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '223', 's_e79eddec', 'Sounds like fun.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '224', 's_e86f1062', 'How do you know?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '225', 's_e9125b15', 'But the question is, what have you done for me lately? So let\'s get to work. Had enough of this place?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '226', 's_e9b39b51', 'Lok! Prettiest corner of the galaxy. Although you won\'t be doing any business on the surface. This is strictly a space mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '227', 's_e9cabb66', 'Eh, you\'re in luck. Normally I would send you packing, but I do actually have a couple of duty missions . Do you want me to give you a briefing?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '228', 's_eb577cb4', 'None of your business. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '229', 's_ed173ecd', 'What happened? Did you blow your paycheck at the cantina?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '230', 's_ee28691a', 'How about expert techniques?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '231', 's_f13c9503', 'Now that Jabba\'s happy, you\'re free to work with Talon Karrde again. But Talon\'s busy. So you\'re reporting to me!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '232', 's_f14cd6bf', 'Really, I don\'t! I didn\'t have any time for gossip. I was too busy working.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '233', 's_f17a86bc', 'I\'ll just say one word: Dathomir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '234', 's_f1aeca8b', 'Sounds like you\'re really in love with yourself.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '235', 's_f2648004', 'Buried deep, deep down inside.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '236', 's_f43dd2bd', 'Jabba works all the angles! Things are different with Talon. He\'s no fan of the Empire. Are you willing to aim your blasters at those TIE fighters?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '237', 's_f600815f', 'Okay, NOW I\'m happy!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '238', 's_f69cf191', 'This is all I get?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '239', 's_f8674c23', 'Where am I supposed to meet him?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '240', 's_f8e8d1ee', 'The Imperials have captured a Black Sun transport. It\'s carrying some good contraband - the kind of thing that would eventually end up in our pockets, if the Imperials would just mind their own business.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '241', 's_f8e8f311', 'What\'d you call me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '242', 's_fa259cfa', 'The Imperials are giving it to YOU straight - with both barrels! Come on, now! Where\'s your pirate pride?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '243', 's_fabf48da', 'Hey! Beissa\'s looking for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '244', 's_fc00cf40', 'I see what you mean.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '245', 's_fc27931b', 'Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '246', 's_fc7d0eed', 'I can handle them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_tier4.stf', '247', 's_fcb2db97', 'Let\'s see what I can do about making Dantooine safe for smuggler kind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '1', 'do_not_edit', 'The English version of this file (tatooine_privateer_trainer_1.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '3', 's_110c7bdd', 'Just complete a couple more assignment, %TU. You\'re doing a good job. Don\'t worry, I\'ll train you soon.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '4', 's_111621e7', 'Where do I go now?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '5', 's_140229b8', 'Oh yeah? That was fast. Must have been a level zip ship. So, you ready to sign up with old Dravis?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '6', 's_174c33a6', 'Whoa, whoa! Don\'t be hasty. Look, you don\'t want to join the Imperial Academy. Do you have any idea how long they make you serve? Years! Trust me, you\'ll be dying to get away from the Empire within a month.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '7', 's_1adbadc4', 'I\'m ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '8', 's_1f0c9843', 'Ha! That\'ll get the Black Sun off our backs for a while. Way to go!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '9', 's_20df70f7', 'Hey, I\'ve heard of you! Not a bad pilot, as I understand it. What can I do for you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '10', 's_2268b9e0', 'I got a ship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '11', 's_25669048', 'So the Black Sun are trying to move in on Hutt space, huh? Well we\'d better show them who\'s in charge around here. Analyzing the sensor data from that ship you killed, you should find more in the system. We will provide you with some possible locations, now get at it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '12', 's_25cf6221', 'You\'d better run a more thorough patrol to make sure there aren\'t more Black Sun in the area. We don\'t want to lose any more shipments through here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '13', 's_2883b989', 'Not right now, thanks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '14', 's_298df3ee', 'It\'s Talon Karrde\'s idea, really. Just something we\'re trying out here on Tatooine. Nothing strictly what you\'d call \'legal\' exactly, but here in the Outer Rim who cares, you know?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '15', 's_2a8b0366', 'Well these Black Sun pirates aren\'t getting the message. We need to hit them hard: Cut off the head and the tail will follow. I want you to kill an ace pilot operating in our area.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '16', 's_2b595da6', 'No one sent me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '17', 's_2b691aa0', 'A friend.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '18', 's_2b94498c', 'Excellent choice. Learning to pilot better ships will allow you to tackle more difficult assignments.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '19', 's_2d1e63d0', 'I don\'t want to smuggle.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '20', 's_2e13d0e0', 'The station operator will recognize you when you show up and they\'ll comm you... but if you get impatient, hit SHIFT+C.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '21', 's_2e5f3688', 'I really don\'t know what you are talking about.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '22', 's_31fc5801', 'Well then go away and stop bothering me. I\'m a busy man!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '23', 's_32c51f93', 'I probably shouldn\'t, but the Smugglers need all the help they can get right now. I do have some duty missions available. Are you ready for a duty mission?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '24', 's_35047e82', 'Look, no offense, but I could get in big trouble with the Smugglers Alliance if I started just handing out missions to anybody. You should really go through your own contacts.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '25', 's_35a591ea', 'The ability to interface with droids is an invaluable skill for any pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '26', 's_370822d1', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '27', 's_3818dc2a', 'I am interested in basic fighters.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '28', 's_381dd7dd', 'How much is this going to cost?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '29', 's_3924fc00', 'There are still pirates in the area. We need you to get out there and kill them right now, understand?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '30', 's_3fa70900', 'I am interested in basic starship component use.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '31', 's_40a69ad7', 'Maybe I will...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '32', 's_41e93b9e', 'Perhaps some other time, then.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '33', 's_429872ac', 'Ok, it\'s a deal!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '34', 's_4358efe9', 'Where is my ship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '35', 's_4440ce87', 'I changed my mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '36', 's_4738e99f', 'How do I find a space station?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '37', 's_481c3940', 'When will you teach me to fly?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '38', 's_49a60ce1', 'I don\'t want any trouble, Imperial. Why don\'t you go harass someone else?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '39', 's_4a441e77', 'Improving your skills as a pilot will definitely help you in your career. This will probably save your life someday!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '40', 's_4d19fcb1', 'What\'s on your mind? Thinking about performing some duty missions?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '41', 's_4ff172ab', 'I don\'t want to fly for the Empire!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '42', 's_541c2f70', 'Well that\'s just fine. I\'ve got plenty of people working for me already. Come see me if you change your mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '43', 's_58b6db3f', 'Well, ok, then. Go bother someone else.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '44', 's_599b087d', 'You\'ll launch into the vicinity of a space station just above Tatooine. A waypoint will be automatically created. Fly back to this point when you are done with your assignment. You can also use the zone map to find space stations.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '45', 's_5ac0c4a5', 'Good, great, whatever. See you later.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '46', 's_5f272b1e', 'I don\'t know what you\'re talking about.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '47', 's_60225cc9', 'Thanks, but it was nothing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '48', 's_605d90db', 'Right! I think you\'re ready for some additional training. Now tell me, which area interests you the most?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '49', 's_6106187c', 'What is a duty mission?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '50', 's_61b6e28a', 'Healthy competition.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '51', 's_62f16f7a', 'Well, training like this, it\'s worth its weight in spice. And I hope you don\'t think you\'re going to turn into an ace spacer overnight! Tell you what: you come to work for me and I\'ll teach you how fly. We\'ll call it OJT - On the Job Training. Do a good job and maybe I\'ll even pay you, too.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '52', 's_66ef1520', 'Fantastic job! The Black Sun ace won\'t bother us again, I can tell you that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '53', 's_676c343f', 'That was easy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '54', 's_681e480d', 'I hear you can train pilots.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '55', 's_695b8483', 'Black Sun pirates.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '56', 's_6bedd221', 'You must be lost! Why don\'t you go somewhere else before you attract any unwanted attention my way.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '57', 's_6d273b75', 'Will you train me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '58', 's_6d6f9a8d', 'We thought that would be the last of the Black Sun pirates, but I guess there were more out there. Try running that patrol again, ok? Maybe they\'ve moved on.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '59', 's_6e03f969', 'So can you teach me to fly?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '60', 's_70421509', 'You\'ve got your assignment and the control device for your ship in your datapad. Go to the Starport and access the terminal to launch into space.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '61', 's_71015a7d', 'There are a lot of Black Sun pirates in the Tatooine system and they have no business being here. Just go out and kill all of them that you can find and we\'ll pay you for each kill. This is HUTT space!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '62', 's_71e7a88', 'You don\'t look like much of a pilot to me. Get lost before I feed you to the womp rats.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '63', 's_7262f027', 'Hey wait... you\'re not going to say anything about that shuttle business are you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '64', 's_7425c603', 'Your ship is parked at the starport. The control codes are uploaded to your personal datapad. Check your datapad to review the status of your ship. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '65', 's_7436b5b6', 'That\'s good thinking. We need to make sure our shipments are making it through safely. Get out there and escort our transports through and we\'ll pay you for every one that makes it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '66', 's_7705d12c', 'Good job. I knew that patrol would be no problem for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '67', 's_7d5682f4', 'You\'re going to need a ship with a hyperdrive. Do you have one?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '68', 's_7d57477f', 'I am interested in basic training.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '69', 's_7f1ca275', 'The space station will let you land. You know - you might want to have the station repair your ship before landing. It would save me some trouble...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '70', 's_80094dc8', 'Great idea!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '71', 's_807f6dd0', 'Ok, I\'ll let Talon Karrde know we\'ve got a new employee. Are you ready for your first assignment?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '72', 's_8467c710', 'Ok');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '73', 's_85355c2f', 'Ok, ok... tell ya what, %NU. You go dispose of that ace pilot for me, and then I\'ll train you to be a better pilot. I\'ll even throw in a new blaster for your ship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '74', 's_85dd7d6c', 'How do I get back?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '75', 's_8622fd74', 'Go to the starport. Look for a \'starship terminal.\' You can use these terminals to configure your ship and to launch into space.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '76', 's_87f48e61', 'The Black Sun leader.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '77', 's_88a0099', 'That\'s the beauty of it! Forming a Smugglers Alliance means we have jobs for all types. We need combat pilots to guard shipments, rescue ships for when things go bad. Heck, we could even use someone to run decoy flights.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '78', 's_8aeba6e5', 'Yes, I am. What missions are available?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '79', 's_8d95c731', 'I\'d rather take care of some things, first.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '80', 's_900f01d1', 'What?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '81', 's_9237617f', 'What about training?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '82', 's_940e1e78', 'I want to join.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '83', 's_9480f430', 'I am interested in droid interface basics.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '84', 's_94e896c1', 'NMP. Do you know what that stands for? Not my problem. Come see me when you get your own ship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '85', 's_95df6b05', 'Some of our shipments have come up missing. We suspect foul play... Why don\'t you run a quick patrol and make sure there\'s nothing under-handed going on out there? Jabba\'s going to be pretty angry if we start failing to deliver the goods!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '86', 's_96294214', 'Escort Duty.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '87', 's_9690c2f9', 'There are a few simple tricks I can teach you that will make you a much more lethal fighter pilot. Of course, you\'ll need to get out there and practice these maneuvers in order to really improve.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '88', 's_98d00f66', 'Great! Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '89', 's_999009d', 'What happened to you? I thought you could handle this? Look, we need that ace DEAD. If you\'re not up to this, then maybe you should hire some help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '90', 's_9dcdd171', 'I don\'t want to work for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '91', 's_9ea8105f', 'Alright, make your preparations and come see me again when you\'re ready. But don\'t take too long...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '92', 's_9f8c06d0', 'So you\'re smuggling?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '93', 's_9fdd7cf3', 'Yes?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '94', 's_a02b95fc', 'Look, this is no job for a creddrone. You\'ve got to have SKILLS to be a pilot!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '95', 's_a0b4565', 'Can\'t you loan me one?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '96', 's_a2123b71', 'You need to do some more for me, before I do anything more for you. There\'ll be time for training later. Go get those Black Sun right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '97', 's_a2e76d1a', 'No sooner do you kill one of their leaders than they find some thug to take his place. We\'re just going to have to take their leader out, is all. I hope you\'re committed to this!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '98', 's_aa69d394', 'I suppose we could work something out. But you\'re going to owe me! And you\'ll need your own ship! I can\'t supply every wannabe freighter bum.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '99', 's_ae220ebc', 'There\'s no doubt all that practice has paid off. I think you\'ve proven you\'re ready for some additional training. What skill interests you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '100', 's_afc7e628', 'Depends who\'s asking.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '101', 's_b1f10b5', 'I don\'t care about that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '102', 's_b26194cb', 'What are you doing here?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '103', 's_b34a0dd2', 'That was quick thinking on your part, rescuing our transport like that and escorting it through. You deserve a bonus for that. I\'ve also got something special for you... this mercenary bandolier will help you keep your things organized.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '104', 's_b4d6cb30', 'Ok, fine. Look, here are the access codes to a little thing that I, uh, found. Do you think you\'re ready for your first assignment NOW? Or do you want me to pull it around front for you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '105', 's_b9b27823', 'Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '106', 's_bb3a34dc', 'Maybe I can...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '107', 's_be1beb37', 'Listen, something has come up that we need you to take care of. Talon Karrde\'s got a special assignment for you. He is right over there. Go talk to him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '108', 's_c1ff5062', 'I\'m looking for a mission. Do you have any?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '109', 's_c28cc06d', 'Are you here about that Imperial Shuttle? I\'m telling you, that\'s an unsubstantiated rumor, nothing more. I have never stolen a shuttle in my life. Don\'t you think the Empire has precautions and safeguards to prevent that sort of thing?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '110', 's_c30fda16', 'Don\'t you have something you should be doing right now?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '111', 's_c4c3d546', 'How do I comm the space station?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '112', 's_c6f8e9e9', 'Ever heard of the Smugglers Alliance?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '113', 's_c86b6bef', 'I\'m minding my own business. What are YOU doing here?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '114', 's_c8bcb663', 'You\'re right! It is rather unfortunate but we find that the Valarians are not keeping up their end of the bargain. So we need to help them meet their dues. Go \'recover\' some of their precious cargo, though I don\'t expect they will just hand it to you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '115', 's_ca38bc3e', 'Run that patrol, and we\'ll talk about training later.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '116', 's_ca932c28', 'Forget it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '117', 's_cd038c67', 'Look, if you\'re here about the kid... It\'s not mine');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '118', 's_cd0dcead', 'Of course not.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '119', 's_cdcb429b', 'Nothing! Forget I said anything.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '120', 's_ce52ddaa', 'You\'re going to need a ship if you plan on doing anything constructive around here. I\'ll add the control codes to your datapad that will get you into a little model that I, uh, found. You\'d better think about upgrading to a better ship, though.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '121', 's_cf4d3521', 'We\'ll see about that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '122', 's_cff9699e', 'Well, I can\'t say I blame you. After what happened to that massive space station of theirs!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '123', 's_d038a005', 'And then what?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '124', 's_d0cc72e0', 'I bet there are more out there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '125', 's_d24a2285', 'Will do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '126', 's_d335136f', 'Yes I am.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '127', 's_d345d41f', 'Hutts in a handbag, you\'re starting to be more trouble than you\'re worth. Fine, make your preparations and come see me again when you\'re ready. But don\'t take too long...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '128', 's_d3d66c68', 'Excellent! Now talk to Talon Karrde.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '129', 's_d43b2932', 'Duty missions are a good way for you to get experience as a pilot. Only experienced pilots can receive the proper training to learn new skills and abilities.There\'s no real final objective so you can end the mission whenever you want. So, would you like to take a duty mission?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '130', 's_d57c89f2', 'Ha! All right then, go ahead and join the Empire! You\'ll rue the day!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '131', 's_d5cecb82', 'Hey, the way the Empire has been cracking down lately, it\'s not as if a free-freighter bum has any choice, right? Anyway, we figure we\'ve all got to stick together, so we\'re forming a sort of Smugglers Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '132', 's_d60a3e3', 'Oh you do, huh? Well what do I look like, a flight instructor? Go join the Imperial Academy if you want to learn how to fly.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '133', 's_d9eefb7e', 'I am');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '134', 's_db74ddc6', 'How about some training?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '135', 's_dc5b3564', 'A friend of yours or a friend of mine? And just what did this friend tell you about me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '136', 's_dc9e436d', 'What do you do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '137', 's_e2bc57c4', 'Who sent you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '138', 's_e5c453e0', 'You\'re not ready for more training yet. But duty missions are a good way of getting good experience so that you\'ll be ready for training soon. What do you say? Are you ready to try a duty mission?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '139', 's_e81a1436', 'I want to be a pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '140', 's_e84d85e2', 'Sounds great.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '141', 's_ea9c260b', 'Oh good. I\'d really appreciate that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '142', 's_eb2cfdac', 'You bet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '143', 's_ebe2e111', 'It\'s a deal.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '144', 's_f04d5e44', 'Well, we do need someone to escort our supply shipments. If you\'re feeling more aggresive, you could take out some Black Sun pirates, or even the Black Sun leader. Of course, there\'s always room for some healthy competition with the Valarians, too. What do you say?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '145', 's_f17c03b4', 'Oh, and %TU...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '146', 's_fa5082f1', 'Ran into a spot of trouble, huh? Are you up to running that patrol again, or not? \'Course you are!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '147', 's_fc0b7ade', 'Er... I don\'t have a ship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '148', 's_fc27931b', 'Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '149', 's_fc4ba900', 'Well what DO you want?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '150', 's_fc963b1e', 'I\'m ready to train');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '151', 's_fd8bee64', 'You\'ll need to comm the Tatooine space station and tell them you want to land.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_1.stf', '152', 's_ff2a95e8', 'A Black Sun pirate attacked me!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_2.stf', '1', 'do_not_edit', 'The English version of this file (tatooine_privateer_trainer_2.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_2.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_2.stf', '3', 's_1169dea4', 'Whoa! Listen up, you need to keep a low profile as long as you\'re working for Shamdon! We don\'t want Jabba to find out we\'re also working for his competitors! Just hang out at the Lucky Despot for a while and do what Shamdon asks of you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_2.stf', '4', 's_12f6a89c', 'I don\'t want to hear about YOUR problem. Now complete that assignment or something REAL bad is going to happen to you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_2.stf', '5', 's_151b3d1', 'That\'s right.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_2.stf', '6', 's_1c8bddbb', 'What is it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_2.stf', '7', 's_238f162d', 'Yeah, so? Never heard of hyperspace? Nym\'s boys go wherever there\'s an opportunity for profit. Especially at the Empire\'s expense.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_2.stf', '8', 's_25e48bc1', 'No, actually, I don\'t.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_2.stf', '9', 's_2a5548e1', 'He\'s told me about you, %NU. Keep up the good work. You should talk to Dravis if you\'re looking for something to do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_2.stf', '10', 's_2d0c7400', 'I don\'t have any work for you here, %NU. But you have enough contacts by now to stay busy. Why don\'t you see if you can squeeze some coin out Shamdon or Nirame?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_2.stf', '11', 's_365a729a', 'I know him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_2.stf', '12', 's_3f10da9d', 'I got here as fast as I could.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_2.stf', '13', 's_3f2c222d', 'And what are you now, some sort of Imperial Inquisitor? It\'s none of your business what I\'m doing!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_2.stf', '14', 's_3ff6efdd', 'Ah, %TU! One of Dravis\'s new \'employees\', right?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_2.stf', '15', 's_415dfb0e', 'So what do I do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_2.stf', '16', 's_4312ff91', 'That\'s ok. He\'s one nasty customer anyway. He\'s a Feeorin, if you can believe that. You know how they are!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_2.stf', '17', 's_4963bef6', 'Good, then you know he\'s not one to mess with. \'Course, he has a lot of enemies, but it\'s better to be on his good side than not, if you know what I mean.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_2.stf', '18', 's_6372b444', 'Can you give me an assignment?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_2.stf', '19', 's_697e04cf', 'So Shamdon got cold feet and decided to call off the operation. Nothing unusual about that though, you have to have an iron will to mess with Jabba. No matter, we always have work lined up for our pilots.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_2.stf', '20', 's_71162f37', 'Busy?! You lazy antenna-breaker! Next time Dravis tells you that I need to see you, you\'d better haul jets! This is no Lum Run, I\'ve got an important job for you... and this assignment is going to make us RICH.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_2.stf', '21', 's_74bf2381', 'So, Jabba\'s happy with your performance, I guess, or else he\'d have fed you to his rancor, right? Well that\'s excellent news, and I\'ve got some even better.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_2.stf', '22', 's_7642f4a4', 'What did you do? Kill a bunch of fodder that Jabba really doesn\'t care about? Jabba respects only one thing and that is strength. You showed backbone and Jabba is more then willing to forgive and forget as long as you do a good job for him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_2.stf', '23', 's_7a2ca8fc', 'That\'s what passes as \'fast\' for you? Look, this is no Lum Run, I have an important job for you. And this assignment is going to make us RICH!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_2.stf', '24', 's_800d8ca1', 'Who is it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_2.stf', '25', 's_805cb6f3', 'Alright I will report to Jabba.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_2.stf', '26', 's_810a7e7', 'Oh NOW you\'re in a hurry. You greedy bludfly! Alright, here\'s the deal, I need you to travel to Lok. Ever heard of a guy named Nym?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_2.stf', '27', 's_89b061e3', '%NU! It\'s about time you got here. Didn\'t Dravis tell you I wanted to see you right away?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_2.stf', '28', 's_9504aca1', 'So you are smarter than you look. I would have really hated to train a new pilot after Jabba\'s men got through with you, had you refused. Go talk to Beissa in Jabba\'s Palace. Good luck to you and welcome to the big time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_2.stf', '29', 's_9571c1b4', 'Excellent work! We have recovered the package from the scene of the battle; Now deliver it to Shamdon in the Lucky Despot like I asked you to. She\'s going to be one of the Smugglers Alliance\'s best clients after this. Just keep a low profile and work for Shamdon, now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_2.stf', '30', 's_983a902c', 'What are you doing here? Didn\'t I tell you to go to Lok?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_2.stf', '31', 's_98893f74', 'So what is going to be my next assignment?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_2.stf', '32', 's_9a287fb8', 'What? Why? What did you do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_2.stf', '33', 's_9cf1e4c3', 'Say no more.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_2.stf', '34', 's_9fcfc09a', 'Ever heard of a place called Dathomir? Sure you have. Well it\'s a nasty little place with lots of opportunity for us to expand our operations. I\'ve got a contact there you should meet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_2.stf', '35', 's_a134e447', 'Like I said, we\'re branching out. Nirame gives us a cut of his profits. He helps Nym\'s operation in the Dathomir system, and everyone is happy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_2.stf', '36', 's_a60a995b', 'I ran into a problem.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_2.stf', '37', 's_a89cdefd', 'But Nym is on Lok!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_2.stf', '38', 's_aa257bf2', 'Of course you\'ll go. Don\'t think all that work you did for Jabba changed who your boss is. You work for me! Now get to the Trade Outpost on Dathomir and start earning us some credits!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_2.stf', '39', 's_af906d73', 'No? Well, I suppose you wouldn\'t. Not many of them around any more. Anyway, like I said, it\'s not really important.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_2.stf', '40', 's_b50f6fd1', 'I\'m too busy to talk to you. If you\'re looking for work, then talk to my man Dravis.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_2.stf', '41', 's_ba77b53a', 'What sort of work?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_2.stf', '42', 's_ba9fbfb1', 'Yes... and he really hates me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_2.stf', '43', 's_bb6309e6', 'Simple. Just travel to the Lok system and rendezvous with Nym\'s man. Here are the coordinates. All you need to do is to pick-up a package from him and deliver it to Shamdon in the Lucky Despot here on Tatooine.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_2.stf', '44', 's_c3c2195b', 'I was busy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_2.stf', '45', 's_c8206f73', 'If you don\'t know, then I\'m not going to tell you. Go talk to Dravis if you\'re curious. He\'ll either tell you or shoot you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_2.stf', '46', 's_daf180e6', 'Right to the point, huh.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_2.stf', '47', 's_db4bd0fd', 'What is the job?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_2.stf', '48', 's_dc9e436d', 'What do you do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_2.stf', '49', 's_de0bf763', 'He goes by the name of Nirame Sakute, and he\'s trying to make a name for himself in Nym\'s organization.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_2.stf', '50', 's_de9b68cd', 'Jabba wants me to work for him after what I did?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_2.stf', '51', 's_e002e01a', 'What are you doing here? I told you to go to Lok!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_2.stf', '52', 's_e70a45c9', 'Never heard of him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_2.stf', '53', 's_e8ed6f9a', 'Ok, I\'ll go.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_2.stf', '54', 's_fa31c92f', 'Believe it or not, Jabba was so impressed by your work against him that he has asked for your services specifically. You are to speak with Beissa in Jabba\'s Palace.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_2.stf', '55', 's_ff6979b6', 'Sorry, %NU, I don\'t think you\'re quite ready for anything that I would need for you to do. Check with Dravis and see if he\'s got some work for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '1', 'do_not_edit', 'The English version of this file (tatooine_privateer_trainer_shamdon.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '3', 's_114c29a9', 'So?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '4', 's_197f4f94', 'I am interested in intermediate starship component use.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '5', 's_1a3dce13', 'This isn\'t much money.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '6', 's_1aaeed53', 'No I am not.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '7', 's_1b1dd9b4', 'What do you think? Did you eliminate that pirate?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '8', 's_1c8bddbb', 'What is it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '9', 's_1f4922ce', '%NU, you\'d make an excellent pirate. Ready for another assignment?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '10', 's_1fe46aff', 'Well what?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '11', 's_2118caa8', 'Ha ha! Well that\'s none of your business now, is it? You go on now and find something useful to do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '12', 's_2640d39c', 'You know Lady Valarian and Jabba are... \'competitors\'... so to speak. Right?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '13', 's_2b2c40c1', 'I knew you could handle it. Ready for another assignment?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '14', 's_2e6c7754', 'Oh you must be Talon Karrde\'s new man. Thanks for this. Here\'s the money Talon and I agreed upon.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '15', 's_2fef6afd', 'Good choice. No doubt that will come in handy soon. Are you ready for your next assignment?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '16', 's_32965dab', 'Who is Talon Karrde?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '17', 's_34e4d30', 'I doubt it!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '18', 's_360d8728', 'No thanks');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '19', 's_36a4e374', 'Yes, I am.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '20', 's_36bdb4df', 'I don\'t know why you\'re talking to me... do I know you? Why are you here?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '21', 's_383435', 'You\'ve done an excellent job for me, %NU. I can see that you are ready for more training. What are you interested in learning?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '22', 's_3b48f08', 'That Canyon Corsair leader needs to be taken out! He\'s responsible for our lost transports in the Lok system. Go defeat him!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '23', 's_3c3002fc', 'Oh, I don\'t think so. The only people doing jobs for me are from Talon Karrde\'s outfit. And if Talon sent you, you\'d have something for me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '24', 's_4362ba26', 'The Imperial Pilot has been neutralized.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '25', 's_43f63a81', 'I killed the Imperial.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '26', 's_45b71b4d', 'I am interested in advanced fighters.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '27', 's_474f9205', 'Who cares what Jabba wants?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '28', 's_52e7e5e', 'You\'d better go talk to Talon Karrde. I have a feeling he\'s made some promises to Jabba on your behalf.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '29', 's_5423b2d0', 'Right! Help our shipments get through to Lok without being hijacked by those Canyon Corsairs.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '30', 's_57adb96', 'Who knew you\'d make such a good pirate, %NU? Ready for another assignment?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '31', 's_5ad49b89', 'Alright. Well come see me when you\'re ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '32', 's_5af9448', 'Good. There are a number of things you can do for me. What can you do for me right now?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '33', 's_5b1bed8b', 'Well?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '34', 's_5c522568', 'Yes, of course.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '35', 's_5d262b71', 'You are here for work now, yes?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '36', 's_5f96d75a', '%NU, don\'t be naive. This is Tatooine. Everyone cares what Jabba wants. More importantly, Talon Karrde cares, so you better care too.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '37', 's_63227fe4', 'You\'re probably right. Ready for another assignment?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '38', 's_650a0c35', 'Bad news, %NU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '39', 's_666ebdc8', 'Excellent. Our shipments to Dantooine have been blocked by a surprisingly competent Imperial patrol. I need you to go destroy it so we can resume operations there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '40', 's_66b1a06f', 'Alright. Come see me when you\'re ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '41', 's_69e17dd2', 'I\'m sure I\'ll have more for you if you\'re up to doing some more jobs... or say, if you\'d like to flip for that. What do you say, double or nothing?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '42', 's_6e21ce1c', 'Talon thinks Jabba\'s going to put a death-mark on him... because of you!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '43', 's_6ff30da7', 'Hijack transports in Dantooine.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '44', 's_71a8cc01', 'Why is Karrde spooked?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '45', 's_725573da', 'What now?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '46', 's_739845d3', 'No... especially not for the likes of you. Go find your own contacts.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '47', 's_75d43a2b', 'Well apparently you\'ve been just a little TOO successful, working for Lady Valarian. Jabba wants Talon Karrde to work for him, and only for him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '48', 's_766563c7', 'Nothing I couldn\'t handle.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '49', 's_7cb248ee', 'Did it go alright? Any problems?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '50', 's_8179979d', 'Naturally.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '51', 's_89555084', 'Excellent. I want you to head Lok and destroy a Canyon Corsair Behemoth. This pirate\'s been trying to block our shipments to Nym... and we just can\'t have that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '52', 's_895d093', 'Ok.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '53', 's_8a24761e', 'Me? What did I do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '54', 's_8be640b8', 'Sure.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '55', 's_8be95ab4', 'What\'s this?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '56', 's_8f5942fa', 'I am interested in starship defense training.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '57', 's_90a85d36', 'A smart-looking girl like you ought to be able to figure that on your own. You go on now and interrogate someone else, alright?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '58', 's_93ba78e7', 'Kill Black Sun Pirates in Yavin.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '59', 's_9839c24f', 'Eh... I may be making a mistake, but you\'ve got that look about you... like you might make a good smuggler one day. Yes, I do have some duty missions. What do you think you can handle?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '60', 's_98adf66d', 'I can see you\'re busy. Come talk to me when you\'ve got some time. I can always use your services.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '61', 's_9939e2d7', 'A smart-looking boy like you ought to be able to figure that on your own. You go on now and interrogate someone else, alright?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '62', 's_9b0ac27a', 'Jabba sent a thug over to have a little \'talk\' with Talon Karrde. He\'s a little spooked, I think.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '63', 's_9eb35e93', 'Good thinking. The Imperial patrols there are making it difficult to operate, but if we can cut down on the amount of legal traffic, demand for our services will soar!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '64', 's_9f5f269', 'No problem');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '65', 's_9fa5f777', 'Excellent! They\'ve been moving in on our operations for just a little too long. Go to the Yavin system and wipe them out!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '66', 's_a07f4bc4', 'Excellent. This is a very special assignment! Jabba\'s pirates have been cracking down on our smuggling operations in Tatooine and we\'re having problems getting shipments out of the system. I want you to escort one of our transports out of the system... and watch out for the Hutts!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '67', 's_a24306df', 'There\'s no way we\'re going to allow the Black Sun to move in on our operations! Get back to the Yavin system and destroy that ship before it\'s too late!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '68', 's_acda8fe', 'What are you interested in?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '69', 's_ae1a4b87', 'Our contacts on Dantooine are getting nervous. You have to destroy that Imperial patrol before our customers decide to take their business elsewhere. Now get out there are finish the job!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '70', 's_aed52b48', 'Yes, I\'m here to do a job for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '71', 's_b4790825', 'I don\'t know why you\'re talking to me... do I know you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '72', 's_bb27779e', 'What would I have?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '73', 's_bc000879', 'It was nothing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '74', 's_bce510d4', 'Alright, but you\'d better be ready soon. Hurry back.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '75', 's_c1ff5062', 'I\'m looking for a mission. Do you have any?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '76', 's_c261cfae', 'No problem.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '77', 's_c29ec5c2', 'Well, we\'ve got some bad news, %NU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '78', 's_c4682ea6', 'Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '79', 's_c562c4fb', 'Oh, I guess you\'re the new woman working for Talon Karrde\'s outfit. Here\'s the payment Talon and I agreed upon.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '80', 's_c631f8da', 'Escort Transports in Lok.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '81', 's_cbe97427', 'Then stop bothering me. Can\'t you see I\'m busy?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '82', 's_d01d0154', 'No, never mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '83', 's_d14c381d', 'I brought this from Lok.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '84', 's_d4079379', 'That\'s what makes you such a good pilot. Ready for another assignment?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '85', 's_d5a42663', 'Good choice. Are you ready for your next assignment?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '86', 's_d6695e83', 'No thanks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '87', 's_d6924ee9', 'Welcome back, %NU. Are you ready to get back to work?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '88', 's_d70dba34', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '89', 's_d70e2c34', 'Excellent. This is a special assignment. The Black Sun pirates are trying to move in on our territory. They been blocking our operations in the Yavin system. I want you to go there and destroy the Black Sun leader. Once he\'s out of the picture we\'ll own smuggling there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '90', 's_d9b1bd09', 'Nice work with that Corsair leader. Maybe that\'ll teach those guys to steer clear of our transports. I\'ve got your payment right here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '91', 's_da9a29e9', 'No, not yet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '92', 's_dab97824', 'I don\'t know who you are, but you don\'t look like someone I want to talk to.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '93', 's_dfd3392c', 'Good choice. Your new abilities will come in handy soon. Are you ready for your next assignment?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '94', 's_dffe951a', 'Fantastic! %NU, I knew I could count on you. Ready for another assignment?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '95', 's_e4c0ecd', 'We can\'t afford any more mistakes! It\'s only a matter of time before Jabba figures out you\'re working for me. Now go escort our transport so it can make it out of the system!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '96', 's_eca7c053', 'No problem at all.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '97', 's_eff66f4d', 'I am interested in reactor engineering algorithms.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '98', 's_f1bbe36f', 'Don\'t get too full of yourself. It\'s a dangerous world, you know? Ready for another assignment?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '99', 's_f3d46f0b', 'No, not quite yet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '100', 's_f4b9423e', 'Yes, I am');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '101', 's_f520ab35', 'How did it go?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_privateer_trainer_shamdon.stf', '102', 's_ff5b4126', 'Jabba? Why?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_helper_1.stf', '1', 'do_not_edit', 'The English version of this file (tatooine_rebel_helper_1.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_helper_1.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_helper_1.stf', '3', 's_123f7ff1', 'You new around here?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_helper_1.stf', '4', 's_48759a79', 'Rebel starfighter outpost. We coordinate starfighter activity here on the ground.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_helper_1.stf', '5', 's_57c8489e', 'What should I do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_helper_1.stf', '6', 's_7c5e0cfa', 'Talk to the general. Do missions for her. Then do missions for the special operations fellow here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_helper_1.stf', '7', 's_a19d6d5a', 'I\'m a high-ranking character without much dialog.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_helper_1.stf', '8', 's_ca776e30', 'Who are you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_helper_1.stf', '9', 's_cc569d6f', 'What is this place?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '1', 'do_not_edit', 'The English version of this file (tatooine_rebel_tier3.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '3', 's_1061c440', 'Your reputation is well deserved.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '4', 's_1106a07b', 'That\'s ridiculous! I\'ve served the Alliance well.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '5', 's_114c29a9', 'So?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '6', 's_11a59fbe', 'Answer my question!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '7', 's_129732ea', 'Can he escape?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '8', 's_129bdf42', 'Why are you asking me these questions?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '9', 's_12e4e81a', 'Do not take it personally.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '10', 's_137f3e6f', 'Then there is nothing in your dossier of interest to you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '11', 's_13faa821', 'He\'s also flying with an elite escort.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '12', 's_151b3d1', 'That\'s right.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '13', 's_15e6c3e4', 'Whatever. What\'s my mission?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '14', 's_188d0288', 'Then I have a job for you. Your attack on those Imperial ships was effective - perhaps too effective.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '15', 's_189648be', 'At the moment, he is in Dathomir space on a Lambda shuttle, en route between the planet and an Imperial fleet... with an Imperial escort.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '16', 's_18b63392', 'Do me a favor and back off.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '17', 's_1a40c7ec', 'Of course. This is a bit of a change for you. You won\'t be chasing after Imperials this time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '18', 's_1bd3a505', 'He has a Lambda shuttle AND an escort? He must be important.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '19', 's_1d28ae3', 'Nothing!  Not until you straighten this situation out.  You need to improve your standing with the Rebel Alliance before I can trust you with any more assignments.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '20', 's_1fd170b2', 'It\'s a must, for my job.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '21', 's_23c7ed04', 'He\'s killed more Rebel pilots that any other soldier.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '22', 's_2493aca3', 'He\'s in the Endor system, en route to Dathomir. You\'re clear to leave anytime.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '23', 's_24d21bf3', 'As do I. There\'s only one problem - he\'s in a Dathomir prison. As long as he\'s there, we don\'t know what he knows.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '24', 's_25e98647', 'Where can I find this guy?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '25', 's_26c0af06', 'Sounds logical.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '26', 's_2700bc9b', 'Maybe I\'ll tell you about it - another time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '27', 's_2787404a', 'Why? What\'s so special about a prison?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '28', 's_27bc6d70', 'I\'d like to introduce you to someone. He\'s a smuggler. He works with Nym.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '29', 's_2914d34b', 'Trust isn\'t necessary. You can still work together. After all, we work together, and I don\'t think you trust me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '30', 's_2bc4bdb7', 'Sounds like fun - but why?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '31', 's_2cc79657', 'What would you do to stop the Empire?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '32', 's_2f463615', 'Some.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '33', 's_2f6ac50d', 'The Empire will love that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '34', 's_3059f369', 'What then?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '35', 's_30a2d12d', 'I\'m afraid I won\'t be of much use to you. I suggest you find someone else. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '36', 's_315ecc88', 'We believe the Empire plans to return the favor, and launch attacks against OUR ships.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '37', 's_3269c6d', 'Not really.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '38', 's_329414b2', 'Please, do not waste your time talking to me. You are needed elsewhere.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '39', 's_337aea88', 'I am not in need of training.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '40', 's_3414728a', 'Only with our help. I want you to go to Lok and meet with one of Nym\'s smugglers.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '41', 's_341568b3', 'There is an Imperial security officer in the area. He has information we need.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '42', 's_35b12d6', 'Just a habit. Your attack on those Imperial ships was effective - perhaps too effective.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '43', 's_37402596', 'It will bring pain and suffering!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '44', 's_374e94fe', 'It\'s a type of shuttle reserved for only the most important Empire personnel. It\'s heavily armed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '45', 's_3899c4e1', 'And it\'s my job to get him. Right?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '46', 's_3949fe14', 'Some people think the Empire will bring order to the galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '47', 's_39d07e54', 'There\'s nothing for you here. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '48', 's_3a9f883c', 'Teach me about advanced space combat.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '49', 's_3aa053cf', 'Where is he?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '50', 's_3b851af5', 'I\'ll teach you what I know. If you want another mission later, ask me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '51', 's_3d2253c6', 'Shame. You\'re very good at it. We now have the spies and an Imperial Security Officer, thanks to you. They continue to provide us with information. (It\'s against their will, but still.) The Empire\'s plans are even more sinister than we imagined.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '52', 's_3dc14ee3', 'Any idea what they have planned?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '53', 's_3eeaed57', 'I suggest you get to it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '54', 's_404b8a10', 'Yes. But first we need a plan. Go to Lok, meet with the smuggler, and deliver his information to the Rebel Commando team in the Dathomir system. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '55', 's_4103a0b8', 'No. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '56', 's_412e0683', 'Where is this ex-convict?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '57', 's_41a00423', 'How did you like using that space assault droid?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '58', 's_4291c3cf', 'Is he really that good?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '59', 's_42a9f4a3', 'And I\'m supposed to trust him?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '60', 's_43647dca', 'Oh, I don\'t know about that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '61', 's_459dafe4', 'He\'s on board a Lambda shuttle. Do you know what that is?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '62', 's_473d09d8', 'Teach me about system balance programming.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '63', 's_4748286f', 'That pilot\'s not going to get the better of you, I hope. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '64', 's_47da17a9', 'Not at all. Forgive me. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '65', 's_4bbc7af6', 'Why do you think that is?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '66', 's_4c695dbd', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '67', 's_4d74f4db', 'He once fought for the Empire. And now he fights for us. People do change allegiances, you see. We must always keep a close eye on our people. And that includes you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '68', 's_4d7b2f02', 'Do you have something to hide?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '69', 's_4df738bb', 'Anything?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '70', 's_4ece8e4c', 'I\'m not going to gather any more information?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '71', 's_4ffa3018', 'Worked like a charm.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '72', 's_4ffe2e0d', 'I did. Do you think you can hold your own against an Imperial pilot?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '73', 's_51a30f3e', 'Perhaps nothing! There\'s no doubt about it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '74', 's_527fe7c', 'Anything.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '75', 's_52819991', 'Defector? I like the sound of that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '76', 's_52d4385d', 'What kind of attacks?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '77', 's_53de9d8f', 'Like what?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '78', 's_554b78dd', 'That\'s a shame. I\'m starting to enjoy the idea of being a spy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '79', 's_55eef619', 'Of course. Now let\'s get down to business.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '80', 's_573af66b', 'So there you go. Travel to Lok, meet up with the smuggler, and bring his information to the Rebel Commando team in the Dathomir system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '81', 's_58159522', 'Of course. Congratulations on catching them. Very nice work up there, but I\'m also referring to Eker.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '82', 's_5852ee6b', 'The intel was correct.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '83', 's_58999327', 'Yes - from the outside, in. But we have access to a former prisoner. He will help us.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '84', 's_58cd53b6', 'I don\'t know. But I\'d like to find out. And there\'s an Imperial Security Officer who may have the information we need. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '85', 's_59552474', 'Then the Alliance will crumble. You don\'t want that on your conscience, do you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '86', 's_5973a2b6', 'No. NOW.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '87', 's_59cd5207', 'If I didn\'t know better, I\'d say you were an Imperial.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '88', 's_5a66cd79', 'You haven\'t finished your assignment. Please get back to work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '89', 's_5b000af8', 'Different how?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '90', 's_5bd53e0a', 'We meet again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '91', 's_5bd69df6', 'What do you need me to do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '92', 's_5c8eeafa', 'You\'ve got nothing to worry about with me. I\'ll prove it to you. Give me a mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '93', 's_5e8b8f88', 'He\'s one of the best. In fact, the Emperor himself is going to award him with their highest medal.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '94', 's_5f46c092', 'What can I say? I\'m good.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '95', 's_614f7f1c', 'You haven\'t been cleared for this level yet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '96', 's_61657d0f', 'I see.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '97', 's_628181f3', 'Are you kidding?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '98', 's_64170652', 'Your hair. You\'ve changed it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '99', 's_645464dc', 'What you\'d expect. Tell me, have you been here before?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '100', 's_652ff698', 'Come now. I was born at night, but not LAST night.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '101', 's_658f174d', 'What am I looking for?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '102', 's_665b67d1', 'Very good.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '103', 's_67c8f113', 'You still have work to do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '104', 's_69f60e66', 'It relates to your recent attacks against those Imperial ships. You were effective - perhaps too effective.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '105', 's_6a45ad00', 'What sort of security has he got?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '106', 's_6b4f10db', 'Hm. Interesting. You\'ve been very helpful so far. You\'ve brought us the Imperial Security Officer, and you\'ve launched a devastating wave of attacks against Imperial forces. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '107', 's_6f921f12', 'Welcome, %TU. You look different than I expected from your picture.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '108', 's_710aa637', 'Who do YOU know here?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '109', 's_738d24fd', 'Very well, let\'s begin. Talk to me again when you are ready for a mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '110', 's_75913251', 'You\'re referring to those spies. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '111', 's_76340c2f', 'So he\'s good. I\'m good too.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '112', 's_77e48d5b', 'What do you mean?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '113', 's_783af10a', 'What picture?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '114', 's_79209e7', 'Can I see it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '115', 's_7a9322d', 'I won\'t? ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '116', 's_7b3fb40b', 'He\'s in the Endor system, en route to the medal ceremony. Make sure he doesn\'t get there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '117', 's_7b907498', 'We have been tracking the movements of an Imperial Security Officer. He has information we need. The time has come to capture him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '118', 's_7da64d88', 'Ah, that will be very useful.  Let\'s begin, and later I\'ll be ready to give you a mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '119', 's_7f0ba495', 'Let\'s drop it, before I get angry.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '120', 's_81682525', 'Dossier? What\'s in my dossier?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '121', 's_81d92cad', 'Ah. That would be telling.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '122', 's_821fd0ab', 'We have to stop the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '123', 's_825313cf', 'Do you think the Emperor is an idiot?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '124', 's_82f0aea5', 'Hmph.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '125', 's_83b7fee0', 'Absolutely. And after that attack, we can be sure they\'re watching us closely. We\'ve GOT to find out what the Empire is planning. Tell me %NU, do you know many people in this system?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '126', 's_841d27db', 'Why?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '127', 's_843eff43', 'Bomb-making material, Imperial comlinks, schematics, anything suspicious.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '128', 's_8539c0c6', 'Absolutely. Thanks to you, we now have Imperial spies in our custody. They\'ve provided us with extremely useful information. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '129', 's_861c21de', 'The Rebel Alliance can\'t trust just ANYONE, you know.  You could be a spy for the Empire... and the reports we\'ve been receiving about you are making me nervous.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '130', 's_86fe6fa2', 'There is an Imperial Security Officer in the area. He may be carrying useful information.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '131', 's_87d7e908', 'I know.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '132', 's_887fc0e9', 'The battles have been going our way. We have captured an Imperial Security Officer, thanks to you, and your attacks against those Imperial ships was effective - perhaps too effective.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '133', 's_895be92b', 'Why wouldn\'t I?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '134', 's_89962192', 'He\'s been to the Dathomir prison. He can help us plan an escape. Get his information and deliver it to the Rebel Commando team in the Dathomir system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '135', 's_89dfa4de', 'That\'s what I\'m here for.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '136', 's_8a4015bb', 'As a matter of fact, yes - thanks to that Security Officer. We believe the Empire plans to return the favor, and launch attacks against OUR ships.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '137', 's_8a88463d', 'Please keep your ears open, %TU - and tell me everything you learn. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '138', 's_8b436d82', 'So you can gather more information?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '139', 's_8b898446', 'Tell me, why do you fight with the Rebellion?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '140', 's_8bd6bf55', 'Well done. I look forward to meeting that Imperial officer. Let me teach you a skill.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '141', 's_8bf6086e', 'We\'ve had a run of good luck. A hard blow against the Empire now would destroy morale.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '142', 's_8cfb34cb', 'Just rumors.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '143', 's_8e632a96', 'You\'re awfully paranoid.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '144', 's_8fbd3f85', 'I don\'t think it\'s the prison that interests them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '145', 's_90377ed4', 'Affirmative!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '146', 's_90875aed', 'What\'s going on here?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '147', 's_9173548c', 'Right away.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '148', 's_92bcea', 'You\'re going to find out. I want you to track him down. Make sure he never gets that medal.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '149', 's_9401fd7b', 'It\'s very difficult.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '150', 's_94a2001c', 'He\'s a smuggler who works with Nym. You can find him in Lok. Meet with him there and bring his information back to the Rebel Commando team in the Dathomir system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '151', 's_94ece311', 'I think that\'s my line. And besides, you should know better than most people how important security is these days.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '152', 's_966a1e03', 'Information is more valuable than gold in wartime. And remember, I\'m working for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '153', 's_9b989e16', 'Teach me about advanced Alliance component use.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '154', 's_9c7613eb', 'Perhaps. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '155', 's_9c91459e', 'You should always keep your eyes and ears open.  But as of now, you\'re stationed at a Rebel outpost on the planet Rori. You\'ll report to General Ufwol.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '156', 's_9df42b04', 'So are you. Please return to your ship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '157', 's_9e4da02c', 'And we\'re going  to free him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '158', 's_9f86f530', 'There is an Imperial defector in the Dathomir prison. We want to free him and find out what he knows. This smuggler I mentioned, he has been to the prison, he knows the layout.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '159', 's_9fb0046e', 'He\'s good.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '160', 's_a0e63032', 'That prison is impenetrable.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '161', 's_a30c8590', 'Because we don\'t inspect our own ships.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '162', 's_a41a2281', 'Hm. Rumors. Interesting. I wonder what people are saying.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '163', 's_a53ea74c', 'Worthwhile things often are.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '164', 's_a68dfaa6', 'Sure I have!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '165', 's_a8af09fc', 'Why do you want me to meet him?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '166', 's_a8e0243a', 'All Rebel ships are now subject to inspection. And YOU will inspect them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '167', 's_a91e3c6b', 'You sent for me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '168', 's_a927c891', 'What\'s next?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '169', 's_a9bcadc0', 'I\'d like to see YOUR dossier.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '170', 's_a9cddbcc', 'I hit them hard with that last attack.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '171', 's_aa4f6738', 'I can and I will. Find me later, when you are ready for another mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '172', 's_ab085367', 'Those spies would have been no use to us dead. But you brought them back alive. Very useful. And that\'s why I\'ve chosen you for this next mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '173', 's_ab1cce5f', 'That thermal bomb would have ripped this place apart.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '174', 's_ae11747c', 'Leave that to me. Are you ready for a dogfight?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '175', 's_aeb6556c', 'You would be tremendously bored by it, I think.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '176', 's_b0da26cf', 'I\'m sure.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '177', 's_b136da95', 'Then you know about the prison here. This planet is a backwater, a worthless hunk of rock. Yet for some reason, the Empire has taken an unusual interest in the area.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '178', 's_b1479cf9', 'Now would be a good time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '179', 's_b2aeeeda', 'He\'s a pirate. Everything he does is illegal.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '180', 's_b3ae7d2', 'Yes. Well, that brings me to my next mission. The Empire knows that we have this information, and I am sure they are planning attacks as we speak, to kill us before we can take action.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '181', 's_b3f5831e', 'Ah, we do not know each other yet. Even if I knew, I would not tell you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '182', 's_b40f340', 'Not a chance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '183', 's_b4a1239c', 'Ugly word. I prefer \'information broker.\'');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '184', 's_b6da869b', 'We are both serving the Rebellion. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '185', 's_b7138aed', 'I\'m not following.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '186', 's_b7d2e561', 'The information is frightening, but not specific. And for all we know, they\'re giving us disinformation. It will take us a while before we can be sure they are telling us the truth.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '187', 's_b84b366c', 'How can I help?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '188', 's_b9f4f973', 'I didn\'t know they were keeping a file on me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '189', 's_be155900', 'No, of course not.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '190', 's_be88a7d6', 'Because he\'s been to prison.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '191', 's_be9caae0', 'The Rebellion sent me your dossier.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '192', 's_bf9961a9', 'Blah. Do you have work for me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '193', 's_c2051287', 'I think you ask a lot of questions.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '194', 's_c265503e', 'He is? Why?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '195', 's_c2850e6', 'Same difference.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '196', 's_c2efe3eb', 'They\'re not just going to walk through the front door, either. I expect they\'ll try something more devious. According to our intel, they may try to smuggle explosives into this system on Rebel ships.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '197', 's_c3e376a5', '%TU!  Explain yourself!  What\'s this I\'ve heard about you assisting the Empire?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '198', 's_c43eb58', 'Teach me about space superiority fighters.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '199', 's_c4bc453f', 'Indeed. We\'ve equipped your ship with a space assault droid. Disable his ship and shoot that droid onto its hull. The droid will breach the ship, subdue the crew and take control of the ship. Then we\'ll see what we\'ve got.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '200', 's_c4dbdf08', 'So now I have a dossier AND a reputation.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '201', 's_c4f6eef8', 'It was?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '202', 's_c599f19a', 'There\'s a prisoner there, an Imperial defector. He will be helpful to us - once he\'s free.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '203', 's_c6594c52', 'Are you trying to anger me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '204', 's_c65b834a', 'Exactly. But we are going to start inspecting them, starting immediately. And YOU will inspect them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '205', 's_c74a6348', 'You must finish what you started.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '206', 's_c7aa6bdb', 'The Bothan reputation precedes me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '207', 's_c93b6a54', 'That won\'t be necessary. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '208', 's_c9ba6bc2', 'Of course. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '209', 's_ca2ba04f', 'Speaking of Imperials, you did a very nice job out there with the Corellian Corvette. Thanks to you, we now have several Imperial spies in our custody. They are founts of information.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '210', 's_ca8f5dda', 'When do I start?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '211', 's_cd86689a', 'They\'re not going to walk through the front door and announce themselves, that\'s for sure. According to our intel, they\'re going to try and smuggle explosives into this system using Rebel ships.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '212', 's_d057d7d3', 'That is the price of success. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '213', 's_d1ec36f0', 'Very good. We have been tracking the movements of an Imperial Security Officer. He has information we need. The time has come to capture him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '214', 's_d258e826', 'Do not underestimate your enemies. They are as dedicated to their cause as you are to yours.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '215', 's_d2d48b62', 'You\'re very observant.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '216', 's_d2f7d204', 'This is a prison planet. Worthless. And yet for some reason, the Empire has taken a keen interest in the area.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '217', 's_d31b92f9', 'Perhaps you could introduce me to your friends. I am always interested in meeting new people.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '218', 's_d35a8803', 'One of the Empire\'s best pilots is en route to a medal ceremony. He is the hope of the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '219', 's_d3e5c0aa', 'Then how about another mission?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '220', 's_d454739a', 'Soon.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '221', 's_d5bf212f', 'The coordinates are in your database. Go now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '222', 's_d6643019', 'Actions speak louder than words.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '223', 's_d6963a70', 'About the Dathomir system?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '224', 's_d70dba34', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '225', 's_d72cbbfa', 'You are now assigned to the Rebel outpost on Rori. You\'ll be reporting to General Ufwol.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '226', 's_d762182e', 'The Empire\'s good too. And they want to put a stop to our activities, immediately if not sooner.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '227', 's_d85b3a9c', 'What if I refuse to continue?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '228', 's_d9245236', 'I don\'t think I know you. I\'m certainly not expecting you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '229', 's_d9a23c21', 'Your attack on those Imperial ships was effective - perhaps too effective.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '230', 's_db13b2d9', 'Immediately. Thank you again for all your hard work. And remember: watch your back.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '231', 's_db14e2c1', 'We believe the Empire plans to return the favor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '232', 's_db5f856c', 'He\'s an Imperial defector. We plan to engineer an outbreak.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '233', 's_dc95008b', 'We\'ll soon find out which one of you is the best. I want you to go after him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '234', 's_de2df0e3', 'Thanks - I think.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '235', 's_dfcc11ba', 'Yes, about that assault. It was effective - perhaps too effective.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '236', 's_e19c193f', 'That Imperial Security Officer has provided us with a tremendous amount of information. With it, we can launch attacks that will decimate the Imperial fleet\'s infrastructure.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '237', 's_e24417b', 'He will help us to plan an attack on Dathomir prison.  ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '238', 's_e3c318b4', 'Specifically the Dathomir prison.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '239', 's_e3d61563', 'Bomb-making material, Imperial comlinks, schematics - anything suspicious.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '240', 's_e5235eff', 'Do you have a mission for me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '241', 's_e6631bf8', 'What is my mission?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '242', 's_e68c0bb8', 'Anyone who believes that is an idiot!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '243', 's_e95511fe', 'Of course they are. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '244', 's_eb3726f6', 'Yes. You\'re going to help me get information - from an Imperial defector.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '245', 's_eba35f17', 'When do I leave?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '246', 's_ec3a4b5b', 'You\'re dealing with a patriot!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '247', 's_ec44bbf0', 'We are interested in an Imperial Security Officer. He has information we need.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '248', 's_ecb17e60', 'I don\'t know what you mean');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '249', 's_ed4e5e50', 'Sure was. Do you have my next mission?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '250', 's_f6cd86be', 'Why was he in prison?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '251', 's_f72b6d44', 'Would you like to learn a new skill now?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '252', 's_f8b02865', 'What do I do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '253', 's_f9044504', 'There\'s more I could teach you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '254', 's_f9e6ef1b', 'I do. There\'s a prisoner on Dathomir we wish to meet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '255', 's_f9f2fe5c', 'I like to know who I\'m dealing with.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '256', 's_fa38c858', 'I thought I was working for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '257', 's_fa6e2383', 'Looks like our information was correct. Thank you for your efforts. Are you ready for a new skill?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '258', 's_fab55d44', 'I know a smuggler. He works with Nym. And now he\'s going to work with you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '259', 's_fb871ded', 'Central Command has issued new orders for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '260', 's_fd8741c0', 'I\'m not scared of things that go bump in the night.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '261', 's_ff50cabc', 'All Bothans are spies.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '262', 's_ff8b2372', 'Correct. They are fiercely guarding something there. Do you know anything about it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier3.stf', '263', 's_fffe6e23', 'You will be.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '1', 'do_not_edit', 'The English version of this file (tatooine_rebel_tier4.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '3', 's_1131a10a', 'Sorry to hear that we wasted our time, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '4', 's_1338e704', 'I can give you an elective duty task. If you\'re interested, I can give you a briefing?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '5', 's_15235513', 'You bet I do. There\'s trouble brewing. I can smell it in the air. That\'s why the Alliance created the Crimson Phoenix. We\'re the frontline defenders. Think you can handle it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '6', 's_15bf89c7', 'Imperial engineers?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '7', 's_15dc5860', 'See? That\'s what I hate about these guys. They never tell you anything until it\'s absolutely necessary.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '8', 's_1678be5a', 'I haven\'t brought one down yet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '9', 's_18d61e21', 'Agreed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '10', 's_18e57f03', 'Well try harder! ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '11', 's_1b9a0acd', 'What did you think of those new TIE fighters?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '12', 's_1cd7da68', 'I don\'t think you\'d be interested in an easy mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '13', 's_1d23eb6a', 'Where to?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '14', 's_1e8289a2', 'I\'m interested in droid intelligence theory.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '15', 's_1ec8846c', 'Hello, pilot. Welcome to Rori. First time here?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '16', 's_1eed1024', 'We\'re taking a new tack. We may not know WHO\'S building them. But maybe we can figure out WHERE their facilities are. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '17', 's_2022581b', 'Sir, it won\'t happen again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '18', 's_2183d62a', 'I want to get inside one of those ships. Sit in the driver\'s seat. Take it for a test ride. Smell that Imperial leather. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '19', 's_221bd4ce', 'Why would it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '20', 's_233489bc', 'Glad to see that you made it back from your assignment with Admiral Burke. Are you looking for work?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '21', 's_24f29c02', 'I held my own.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '22', 's_258d2f1e', 'You\'ll be working for me. You\'ve been assigned to the Crimson Phoenix squad. Do you know what that means?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '23', 's_265095d0', 'Then you\'ve been living under a rock. He\'s heard of you. He\'s looking for men who can handle a Black Ops mission. I think you may be just the pilot he needs.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '24', 's_270a2a57', 'I\'m interested in special weapons and tactics training.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '25', 's_2acccb89', 'They\'re impressive. No doubt about it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '26', 's_2c10011d', 'Imperial engineers are usually well hidden in the belly of the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '27', 's_2c4789b', 'Understood.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '28', 's_2d4185b', 'Maybe it\'s not his fault. Maybe the Imperials are just extremely motivated. What in blazes are they up to?!?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '29', 's_2db03120', 'It\'s not a spy mission, that\'s for sure. Hope that doesn\'t bother you. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '30', 's_2eebfe4c', 'With the kind of opposition we\'ve been facing lately, an understanding of new component technology will be invaluable.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '31', 's_2f190cf', 'Your attack was a success, no doubt about it. But those engineers have vanished. I\'ve never seen anything like it! How can a group of men with heavy machinery be so mobile?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '32', 's_30a32651', 'Good, you\'re here. I have your orders. Seems that somebody has taken an interest in your piloting abilities. You\'re being transferred.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '33', 's_314f0ae4', 'A new model?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '34', 's_323479fd', 'Our attack in Endor was a complete dead end. I was SURE we\'d find the manufacturing area. It\'s too late now anyway. The ships are scattered all over the place, and there\'s a million of them. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '35', 's_325c76db', 'Don\'t have any patience for it, myself. Can\'t stand all that sneaking around.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '36', 's_32b5bee1', 'Could it be the ship factory?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '37', 's_32b7bf59', 'I\'m giving you access to a space assault droid. It\'ll help you to get the job done. The droid will take control of the ship, once you\'ve disabled the pilot.  ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '38', 's_33cdebfd', 'I\'ve heard good things out there. My boys tell me you can hold your own.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '39', 's_35208536', 'Yes, you can. But that doesn\'t mean you know everything. Keep your wits about you and pay attention. You could learn a lot from Admiral Burke. Now don\'t keep him waiting. Good luck, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '40', 's_36085c51', ' Let me tell you something about Crimson Phoenix. This unit was designed to be the best. Do you hear me? THE BEST. I don\'t tolerate anything less from my pilots.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '41', 's_36fbddee', 'You getting smart with me? For crying out loud, soldier, it\'s time for you to straighten up and fly right. Your orders are to report to Doaba Guerfel on Corellia. Admiral Burke will be there to fill you in on the rest of the details.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '42', 's_37df0fba', 'You\'re up. Let\'s see if you can keep up with my squadron.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '43', 's_39a10eac', 'Well? Are you ready for a duty assignment? Or would you like to hear the briefing again?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '44', 's_3a640dfa', 'And now they know we\'re out here, so they\'re sure to come after us eventually. We need to move quickly. I\'d like to know who\'s building these ships. They could answer a lot of questions for us. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '45', 's_3bf1bb23', 'Your new commanding officer, Admiral Willham Burke. You may have heard of him. Commander of the Fourth Battle Group stationed in the Outer Rim, two time recipient of the Alliance Medal of Valor, one of the finest field commanders in the business.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '46', 's_3cc21469', 'I always knew I was destined for greatness.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '47', 's_4123d99b', 'That was my first thought. But I don\'t think that\'s it. It\'s something bigger and much more complex. Based on the data, it doesn\'t look like they\'re churning out any mass-produced product. It\'s something much more unusual, with very detailed specifications.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '48', 's_428c6440', 'My job is to protect my pilots as much as possible. They are the most valuable asset we\'ve got. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '49', 's_43fcfbca', 'Imperial fighters? No problem!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '50', 's_4479e343', 'I do, sir!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '51', 's_45ae8603', 'It\'s not going to happen. Not with results like this. Get back out there and clean up that mess!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '52', 's_46ccc483', 'I think you\'ve got work to do for Ulvaw\'op, soldier.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '53', 's_48b7214b', 'I just do what I\'m told.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '54', 's_49805f81', 'Can I hear the briefing again?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '55', 's_49bf2ccb', 'We\'ve been taking a close look at that TIE fighter. Quite a piece of machinery.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '56', 's_49e55ca2', 'Yes Sir!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '57', 's_4a4a0211', 'I don\'t think that you belong here, soldier.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '58', 's_4b3f09bc', 'I need a pilot to travel to  the Yavin system and launch a series of attacks against Imperial patrols near the Death Star debris field. We\'ve got Rebel smugglers in that system, and they\'re doing their best to collect Death Star components for analysis.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '59', 's_4c56b685', 'Hey! Don\'t assume you\'re the best. You\'re not a kid anymore, and this isn\'t a holocron. This is the real thing. You remember that the next time you see one of your fellow pilots taking fire. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '60', 's_4ca48b38', 'But I think we can work smarter than that. I want to take a closer look at these new TIE fighters.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '61', 's_4df417ce', 'These new Imperial ships constitute an imminent threat. We need to know what, EXACTLY, we\'re up against. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '62', 's_521e8b09', 'I\'m sure you\'ve got a plan.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '63', 's_528a2d25', 'Absolutely. You\'ve earned it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '64', 's_5471712d', 'We\'ve been planning an attack against a fleet of Imperial fighters for quite some time. We\'ve laid the groundwork. We\'re ready to go.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '65', 's_579532ac', 'There\'s something else you need to know. You\'ll be seeing a new breed of Imperial ships out there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '66', 's_58a20c33', 'I know, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '67', 's_5b998dc7', 'On the contrary! We found some very interesting information - and we would have missed it completely if we hadn\'t inspected Endor so closely.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '68', 's_5bb47d59', 'I agree.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '69', 's_5bc07030', 'What\'s the mission, sir?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '70', 's_5e35901c', 'I lost some brave men up there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '71', 's_614d7ac4', 'What is the mission?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '72', 's_61657d0f', 'I see.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '73', 's_622525cb', 'And Admiral Burke is...?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '74', 's_6231dba', 'So? Which mission will you take?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '75', 's_62fa1f75', 'There\'s an Imperial space station in Endor. I think that\'s where the engineers are unloading the new models. So that\'s your primary target.  You\'ll join forces with a Crimson Phoenix squad, travel to Endor, and launch an attack. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '76', 's_63740522', 'Requesting redeployment, sir!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '77', 's_63e0ab42', 'Don\'t blame \'em. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '78', 's_6425e854', 'Yes sir. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '79', 's_67ee2a0', 'I want to help those prisoners. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '80', 's_68772323', 'Sounds like you\'re trying to stay one step ahead of the Imperials.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '81', 's_6912a453', 'We\'re trying, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '82', 's_6c01a28a', 'Well, you\'re not dead, I\'ll give you that. Report to me later for your next assignment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '83', 's_6c38055e', 'I was good at it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '84', 's_6c524e01', 'Nice work, %TU. Our engineers are examining  that TIE fighter now. Here\'s your duty pay.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '85', 's_6d164e59', 'The Empire has unveiled a new class of TIE fighter. These are brand-new models, next-generation material. They\'re designed to be faster, lighter, more accurate and more deadly than any ship that\'s come before them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '86', 's_6d4fe1fb', 'Unacceptable, soldier.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '87', 's_6db5d6ce', 'Well, put me up there, sir, and we\'ll see which one of us is wrong.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '88', 's_6dea357d', 'Incredible handling. It\'s going to take a while before we find a way to modify their technology for our X-Wings. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '89', 's_6e4f5881', 'I hear you did a good job under Ulvaw\'op. Do you enjoy working with spies?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '90', 's_71854a18', 'Well let\'s see some guts out  there! Get back in your ship! ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '91', 's_719a036e', 'Who?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '92', 's_71a53f8b', 'What\'s that, sir?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '93', 's_73c9f8b3', 'Here\'s an exciting one. I\'m looking for a pilot willing to intercept prison ships in the Dathomir system. Those ships are carrying Rebels, and we need those men here with us! The pilot who takes this job will carry a probe outfitted with a virus. That virus will unlock the prisoners\' cells. Once they\'re free, our men will be able to take control of the ship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '94', 's_742d8c68', 'I try, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '95', 's_76dd2544', 'I suggest you save it for a rainy day.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '96', 's_76e9b54b', 'Report to me later for your next assignment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '97', 's_790d22d6', 'That won\'t be easy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '98', 's_79e6aa32', 'Oh one more thing %TU. All the missions I provide you with will be high risk missions and might be too much to handle by yourself. If you have any favors you can call in, doing so during my missions might be a good idea. Dismissed!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '99', 's_7aa5d0f7', 'The news isn\'t all bad. We found some very interesting information - and we would have missed it completely if we hadn\'t inspected Endor so closely.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '100', 's_7b03d343', 'My men tell me you weren\'t too bad up there. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '101', 's_7ba8daf7', 'This doesn\'t mean you\'re a full member yet. I want to see what my men think of your abilities. Their opinions carry a lot of weight with me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '102', 's_7d8f56b6', 'No luck there. The engineers, whoever they are, have done a good job covering their tracks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '103', 's_7dae4367', 'Sound choice %TU. Come back soon, we have a lot to do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '104', 's_7e962bfb', 'Several Rebel operatives have been scouting Endor, looking for suspicious Imperial activity. Their mission is complete, and now they\'re carrying valuable data. They need a fighter pilot to escort them safely out of the system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '105', 's_7f14ac3a', 'Don\'t know. The engineers, whoever they are, have done a good job covering their tracks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '106', 's_8009422e', 'Any leads?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '107', 's_831e2b3a', 'All soldiers receive duty pay at the end of each mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '108', 's_83b2f3f1', 'The Empire has deep pockets. It\'s incredible, the way they fund their research labs. It\'s no surprise that their technology outstrips ours.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '109', 's_85660b3d', 'Any news from that Imperial space station?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '110', 's_856aca7d', 'Ulvaw\'op has helped the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '111', 's_856e4aab', 'You\'re now a full member of the squad. That means you\'ll be reporting to me, and you\'ll be participating in all squad missions. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '112', 's_8574f09', 'Don\'t be a cowboy. Remember, you\'re part of a team now. You\'ve got to work with the squad members.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '113', 's_86137261', 'No sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '114', 's_87f091b9', 'Thank you, sir. I\'m happy to be a part of the team. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '115', 's_89951606', 'Let me at those Imperial patrols.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '116', 's_89e27dc9', 'There should be a manufacturing stamp on the chassis.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '117', 's_8c5f29f4', 'I want to be a part of the Crimson Phoenix, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '118', 's_8d9faecf', 'That\'s mission failure, soldier.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '119', 's_8ddbf95b', 'I understand. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '120', 's_8e9d0848', '[nod]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '121', 's_8ee4f074', 'Oh, THAT Admiral Burke. I thought you meant someone else.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '122', 's_907e88bd', 'Lucky me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '123', 's_914a4095', 'I didn\'t know the Empire was working on new designs.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '124', 's_91502216', 'I\'ll fly escort for those Rebel spies.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '125', 's_917742b8', 'I don\'t think you do. I think you\'ll flame out on your first mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '126', 's_9288900f', 'I understand.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '127', 's_92a98982', 'With any luck, our technicians will figure out a way to put that new technology into OUR ships. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '128', 's_954ec468', 'We\'ve heard advance warnings about this fleet, but we didn\'t expect so see operational models so soon. The Empire is moving quickly.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '129', 's_958c1289', 'As long as they can keep up! ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '130', 's_9722b330', 'I don\'t think Imperials built these ships. I think they\'re using a third-party group.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '131', 's_987445c9', 'Thank you, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '132', 's_9b43a7ee', 'Yes sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '133', 's_9b578280', 'Where\'s that Imperial ship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '134', 's_9c236354', 'Excellent.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '135', 's_9e999838', 'I don\'t really like Corellia this time of year.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '136', 's_9fc24a78', 'Are you transferring me out of this unit?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '137', 's_9fcfe841', 'Bring me one of those birds. Do whatever it takes. You\'re cleared to leave for Dathomir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '138', 's_a33056f4', 'Absolutely not.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '139', 's_a582cadc', 'These new Imperial ships constitute an imminent threat. We need to know what, EXACTLY, we\'re up against.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '140', 's_a58b9067', 'Duty pay?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '141', 's_a5b93c4d', 'You\'re cleared for liftoff.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '142', 's_a71cdd82', 'The new ships will be part of this fleet. But you\'ve got more than ship technology to worry about. I\'ll tell you now, based on the numbers, they\'ve got us beat. No doubt about it. They\'ve got far more ships out there than we do. So every single one of my fighters has got to do the job of TEN pilots.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '143', 's_a72f79b2', 'Unknown.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '144', 's_a778e999', 'Are you trying to push my buttons? Bad move, soldier. Now listen to me. Obey your orders, don\'t give Admiral Burke any of your lip, and pay attention. You could probably learn a thing or two from the Admiral. Now get moving.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '145', 's_a86d6540', 'You\'ve already got a mission. I suggest you do it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '146', 's_a871501f', 'Report back to me when you\'re ready for another assignment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '147', 's_a95ef734', 'Requesting redeployment!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '148', 's_aa15510b', 'I know. His information has saved our butts more than once. And he\'s probably onto something. I\'ve never seen so much Imperial activity in this area.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '149', 's_ab288b4d', 'OK! Well that\'s a good start, soldier. You\'ve got some options here. I need a pilot to travel to  the Yavin system and launch a series of attacks against Imperial patrols near the Death Star debris field. We\'ve got Rebel smugglers in that system, and they\'re doing their best to collect Death Star components for analysis.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '150', 's_ac30ef3', 'And finally, we\'ve got several damaged freighters out there. Imperial forces attacked them, thinking they carried Rebel forces. They didn\'t. These are innocent bystanders, and they\'ve suffered on account of us, and now they\'re sitting ducks. Imperial forces are getting ready to move in and seize those ships. We\'re going to save them. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '151', 's_acef64cd', 'I did a good job out there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '152', 's_ae002d12', 'Only your commanding officer can assign you a mission. Return to your unit.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '153', 's_afcb06fc', 'Not yet. But you\'re on thin ice. Get back out there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '154', 's_b0933679', 'Granted. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '155', 's_b1dd06bd', 'Exactly. These are next-generation models. They\'re designed to be faster, lighter, more accurate and more deadly than any other Imperial ship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '156', 's_b3e9c738', 'I\'m ready for anything.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '157', 's_b659eebb', 'I want you to launch an attack against a TIE bomber. Intel tells us that this bomber is transporting a key piece of machinery to the planet\'s surface. I\'d like to know just what that piece IS.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '158', 's_b9b83ec5', 'Eh? You don\'t fly for the Crimson Phoenix. What are you doing here?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '159', 's_ba8b09ff', 'There is a strange level of Imperial activity taking place around Endor. There are hundreds of men and women working there. They are taking extraordinary measures to hide their activities. We just happened to catch a few irregularities on our radar. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '160', 's_bb9e4a63', 'Understood, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '161', 's_bbd20f83', 'See that it doesn\'t. Return to your ship and finish what you started.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '162', 's_bc4f4a10', 'Nope, never heard of him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '163', 's_bc57b086', 'Sounds good to me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '164', 's_bed2013a', 'Didn\'t I say it was top secret? That generally means they don\'t broadcast all the details. I am sure that Admiral Burke will fill you in once you report for duty.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '165', 's_bf1cdb65', 'Here\'s a little something.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '166', 's_c01ad90e', 'They\'re going to give us a problem, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '167', 's_c127c173', 'New TIE fighters?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '168', 's_c1c9b365', 'I\'ll do whatever I can to help those disabled freighters.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '169', 's_c2b3ccaa', 'We\'re tracking the path of these new ships. They\'re scattered across several systems, but they seem to be concentrated around Endor. My guess is, where there\'s smoke there\'s fire. So let\'s take a closer look. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '170', 's_c3bd7a11', 'Amazing. This place is lousy with Imperials! What did you learn?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '171', 's_c5512cb2', 'I\'m giving you access to a space assault droid. It\'ll help you to get the job done. The droid will take control of the ship, once you\'ve disabled the pilot. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '172', 's_c82e9a2f', 'Yes, please.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '173', 's_c84fe27f', 'You got that right. Tell me, what did you accomplish while you were with Ulvaw\'op?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '174', 's_c8a0830d', 'Especially those guns.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '175', 's_c8fa77b8', 'I can\'t wait!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '176', 's_c946f118', 'So here\'s what we\'re going to do. %TU, you\'re going to hijack one of those ships.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '177', 's_cb594529', 'Well soldier, you\'ve earned the right to upgrade to a new skill. I expect all my pilots to continue their training, at all times! Pick a skill.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '178', 's_cbcd1643', 'We were able to capture several spies, a security officer, and an Imperial defector.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '179', 's_cc7b5947', 'See that you do. Head for the Endor system immediately. Dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '180', 's_cee1914e', 'Solid knowledge of your onboard droid is essential.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '181', 's_d059f8aa', 'Those TIE fighters are tough!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '182', 's_d0fd857b', 'I\'ll take it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '183', 's_d157e1de', 'I\'m looking for missions.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '184', 's_d30b6d26', 'Congratulations, soldier. You\'re officially a part of the Crimson Phoenix.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '185', 's_d3234c01', 'Alliance leaders need to know that they can deploy a full Crimson Phoenix squad at any time. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '186', 's_d55f2579', 'I\'m ready to go.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '187', 's_d5a98554', 'I have your duty pay.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '188', 's_d68a9f0a', 'At least you\'ll have the element of surprise. They\'re not expecting an attack. I want you to get out there and hit as many of them as you can. We\'ve uploaded coordinates to your ships computer. You\'re clear to leave for the Dathomir system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '189', 's_d82b46ba', 'I\'ll try to bring it back in one piece.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '190', 's_d9cced1f', 'Absolutely.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '191', 's_daa1d4f4', 'I\'m interested in heavy Alliance component use.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '192', 's_db77876d', 'I sure as heck am not going to put an untested pilot in charge of important missions. I need to test you out. See what you\'re made of. Pilots in this unit have nerves of steel. Do you have nerves of steel?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '193', 's_e075ea09', 'You\'ll be serving under Admiral Willham Burke. You may have heard of him. He\'s commander of the Fourth Battle Group stationed in the Outer Rim, two time recipient of the Alliance Medal of Valor, and one of the finest field commanders in the business.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '194', 's_e1da7727', 'I can handle it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '195', 's_e2a4b15e', 'Don\'t talk to me until you\'ve completed your mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '196', 's_e2aefddd', 'Always. And in the meantime, we\'ve got to find a way to deal with these new TIE fighters. It\'s going to take a while before we find a way to modify their technology for our X-Wings. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '197', 's_e42b260e', 'I\'m on my way.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '198', 's_e7488f0b', 'You\'ll find the Admiral on Corellia, in Doaba Guerfel. You had better prepare yourself. The Fourth Battle Group takes on some of the most dangerous and difficult tasks in the Outer Rim.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '199', 's_e816c4f3', 'I\'m not following, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '200', 's_e81875f0', 'I don\'t think they did this in-house. I think the Empire is working with a third party.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '201', 's_e9ad7c02', 'All right. I think you\'re ready to at least FLY with my squad.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '202', 's_ea7b0fb2', 'Up \'til now, we\'ve been able to level the playing field just by gutting it out.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '203', 's_eb925c97', 'I thought you said you WANTED to be a part of the Crimson Phoenix.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '204', 's_ef167e72', 'Where am I headed?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '205', 's_efdacfde', 'I\'m interested in hyper-maneuverable starfighters.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '206', 's_f00c2726', 'Personally? Not much. Ulvaw\'op was in charge of interrogations, and he wasn\'t exactly forthcoming with me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '207', 's_f252cbc8', 'I can assure you that Admiral Burke will not be interested in how great you think you are. He\'ll expect you to shut your mouth and do your job.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '208', 's_f3bbd7e7', 'I\'m not so sure that\'s a good idea. I\'ll give you one more shot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '209', 's_f3c74323', 'Well now you\'re going to do what I tell you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '210', 's_f3eda860', 'I\'d like to know who\'s building these ships. They could answer a lot of questions for us. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '211', 's_f60ad3e3', 'You\'ve earned it. You\'ve done everything I\'ve asked, and then some.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '212', 's_f689a56f', 'The Alliance wants to know one thing. They want to know if OUR best can handle THEIR best. And this is where they get their answer. Right here. Right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '213', 's_f69a2921', 'Glad to hear it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '214', 's_f73581de', 'Now listen. Based on the numbers, they\'ve got us beat. No doubt about it. They\'ve got far more ships out there than we do. So every single one of my fighters has got to do the job of TEN pilots.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '215', 's_f7cbbb30', 'And you\'re in luck. You\'re going to be one of the first Rebel soldiers to get an up close look at the new Imperial ships.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '216', 's_fa396956', 'What\'s the project?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '217', 's_fb05125c', 'If Ulvaw\'op would just TELL us something, maybe we could anticipate these kinds of problems! ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '218', 's_fb3d31a9', 'You earned it. Good work out there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '219', 's_fb9f7cd6', 'I\'ll deliver it to you personally.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '220', 's_fbb318e5', 'How can I help, sir?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_tier4.stf', '221', 's_fed525e5', 'Let\'s see how you do. This is your big break, %TU. Don\'t screw it up.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '1', 'do_not_edit', 'The English version of this file (tatooine_rebel_trainer_1.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '3', 's_111cd324', 'And with you as well. The Major is currently located at the labor outpost on the moon Yavin 4. Good luck, %NU. I know you will serve the Alliance well on Yavin 4.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '4', 's_11327023', 'The patrol was interrupted by a TIE attack.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '5', 's_1500b5d6', 'You know, all the pilots say that you\'re the BEST!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '6', 's_1583743c', 'Do you have any missions I could fly?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '7', 's_1622e456', 'Good to meet you. My name is Da\'la Socuna and I am here on behalf of the Rebel Alliance naval forces. I train pilots to fly and fight.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '8', 's_16949037', 'Outstanding work, pilot! Get some rest. Check back with me later for a new assignment.  Also, I\'ve got something extra for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '9', 's_1809c6fc', 'What is the location?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '10', 's_1895ee37', 'Will you train me yet?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '11', 's_19d3ee2b', 'I can\'t help you, smuggler. Try sniffing around Wayfar... you\'ll find something that suits you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '12', 's_19ec1fce', 'Just how exactly do you expect to be a Rebel Alliance pilot without a ship?  Here.  I\'ll add these access codes for a small fighter to your datapad.  You ought to upgrade to a better ship pretty soon, though.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '13', 's_1a1806c1', 'Okay, okay. I\'m sorry.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '14', 's_1b488c78', 'I\'m... not sure');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '15', 's_1c2f3f24', 'The Force be with you, then...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '16', 's_1d3d8b65', 'You don\'t look like any sort of pilot to me.  I can\'t help you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '17', 's_1e626caa', 'Of course. Those supplies are critical!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '18', 's_1eed018e', 'Fun? This is war, my friend. There\'s nothing \'fun\' about having your friends swept away by the bloody tides of battle, losing your home, your future, everything that ever meant anything to you...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '19', 's_1f0828c5', 'Report mission status!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '20', 's_1f7c77cd', 'The Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '21', 's_22ce0785', 'No, you\'re not!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '22', 's_2313ac9e', 'What are you talking about?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '23', 's_23567daf', 'I know that you are making the right decision, friend.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '24', 's_236daee8', 'So would you like a duty?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '25', 's_2427d272', 'Well... I\'m sorry.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '26', 's_2477af4a', 'For the Alliance... always.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '27', 's_26970ef', 'I am interested in basic starfighter training.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '28', 's_2784686', 'So the Empire knows a bit more than we expected. This is very bad news, pilot. Alliance HQ will want to learn of this attack as soon as possible.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '29', 's_288ce434', 'Ma\'am! Thank you, ma\'am!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '30', 's_29b9c1a7', 'Use your zone map interface to locate space stations while in-flight. Or - use the automatic \'landing waypoint\' that your ship computer creates for you when you take off. The \'landing waypoint\' can be activated from your datapad. Just find your way back to that point when you are done with your assignment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '31', 's_2aab204b', 'Are you ready to redeem yourself, pilot?!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '32', 's_2adb435', 'Where am I patrolling?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '33', 's_2b43e56e', 'Good luck to you, pilot! The Major is currently located at the labor outpost on the moon Yavin 4. Hope to see you again when this war is over...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '34', 's_2c052357', 'Good to see you again, pilot! I will hear your report, now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '35', 's_2c3fe4f', 'Listen, lady...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '36', 's_2c8ee9d', 'There is more I have to teach you, pilot. What areas interest you at the moment?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '37', 's_2cb7683a', 'I feel our transports need escort...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '38', 's_2d4bb338', 'May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '39', 's_2da98563', 'Great work! Now, get some rest and check back with me later. I will have more for you to do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '40', 's_2dfa0bf9', 'When do I get paid?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '41', 's_2e56f341', 'You\'re not supposed to be here, pilot. You\'re assigned to Major Eker\'s group on Yavin 4.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '42', 's_2ea6d944', 'Really?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '43', 's_2f0da72f', 'Superb! We have located a rally point from which the Empire has staged their recent aggressions. Go to this point and bring down a veteran TIE fighter pilot - the ringleader, as it were.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '44', 's_2f8ec5d4', 'Report on the TIE veteran target!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '45', 's_2fdfe99f', 'Then we shall begin. Welcome to the Rebel Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '46', 's_306de5c', 'Excellent. Find any Imperial Tie Fighters in the Tatooine system and take out at least four of them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '47', 's_30c1fec7', 'And also with you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '48', 's_31123adb', 'Just four points, huh?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '49', 's_31d45080', 'The Alliance has my eternal faith.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '50', 's_33823c2e', 'Try to keep this one from blowing up, okay?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '51', 's_33e1f5f2', 'Your kindness is radiant, my friend. We could really use someone like you in our organization. Are you willing to place your trust in the Rebel Alliance?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '52', 's_347e4a03', 'Ma\'am! Yes, ma\'am!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '53', 's_34bc4ce6', 'Yeah, right. Prove it!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '54', 's_370822d1', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '55', 's_38485fa9', 'Not so fast, Pilot!  You need to complete a few assignments before I\'ll train you.  Are you ready?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '56', 's_39f7d683', 'What a surprise. I\'ll grant access to one of the refurbished Z95\'s we have hidden here on Tatooine. Are you ready for your first assignment?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '57', 's_3b6d2f05', 'Whatever...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '58', 's_3cb5ab17', 'So thrilling... ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '59', 's_3ccb2ef2', 'I responded to a distress call, ma\'am!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '60', 's_3d693d0', 'I will bring honor to the Alliance, ma\'am.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '61', 's_3f1a842c', 'Yeah, yeah.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '62', 's_3f30cd7b', '(Brag more)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '63', 's_3f5c320e', 'I know of the rebellion. I want to help!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '64', 's_3fa4f0ff', 'Fine!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '65', 's_40440fa', 'The TIE Vet is dead, okay?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '66', 's_406f8d3e', 'It will take a bit to decode your ship sensor data. In the meantime, we have another assignment for you... if you are ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '67', 's_4101ebdd', 'Make me a part of the Rebel Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '68', 's_4136c2df', 'Thank you very much.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '69', 's_42ae7917', 'The Alliance has you covered. I\'ll grant access to one of the refurbished Z95\'s we have hidden here on Tatooine. Are you ready for your first assignment?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '70', 's_434aa00b', 'Make sure you stay in one piece, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '71', 's_4416b2d0', 'Outstanding. Your responsibility is to run a short-range, four-point patrol. When you are finished, your ship\'s sensor data will be downloaded to the Alliance \'net for Intel to review. Any questions?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '72', 's_4536f86f', 'Yes. If you\'re lucky...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '73', 's_463f3bbc', 'I anticipated as much. Good work, pilot! Check back with me soon for your next assignment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '74', 's_4738e99f', 'How do I find a space station?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '75', 's_492ca0a5', 'Fine. You\'re in.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '76', 's_4ba4be80', 'What was that? I didn\'t catch that...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '77', 's_4c1acfbf', 'And you performed beautifully. The Alliance thanks you.  I\'ve got something special for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '78', 's_4c695dbd', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '79', 's_4c85e14a', 'I think you know why.  You don\'t seem very dedicated to the cause.  I\'ve heard reports that you\'ve even been fighting FOR the Empire!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '80', 's_4d2987d3', 'No I haven\'t!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '81', 's_4dd4aa17', 'Then you\'ve been framed, %TU.  There\'s nothing I can do about it.  You need to clear your name before you can fly any more missions for the Rebel Alliance.  Improve your faction standing!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '82', 's_4e8bbd4d', 'The Force be with you, friend...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '83', 's_4f90bab3', 'I was unable to finish.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '84', 's_4ffd4b9d', 'I am interested in a duty mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '85', 's_5100b9ac', 'You\'re learning, then. Good. Try again!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '86', 's_52efbcd5', 'I hear you had some surprises up there?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '87', 's_54ec182b', 'I failed to destroy the targets.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '88', 's_55ce5bee', 'Nothing you can\'t handle. Destroy the veteran TIE pilot leader at a specific rally point. Come back here... if you survive.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '89', 's_55ea0c1b', 'Relax, lady. I didn\'t mean anything by that!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '90', 's_57a53dcf', 'Where do I find them?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '91', 's_57c3f83e', 'Always good to see another Rebel pilot... but you\'re not one of my recruits. What can I do for you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '92', 's_583707c4', '(Lie about what happened.)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '93', 's_59c382bc', 'Good day, pilot. Are you here for elective duty mission? There is still plenty of work for us here in Tatooine.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '94', 's_59dceadb', 'Now you need to go to the starport. Go inside and look for a \'starship terminal.\' Use the terminal to launch your starship into space. When you launch, a waypoint will be created to help guide you back to your landing spot. When you want to land - comm the space station and ask for landing clearance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '95', 's_5aa307dc', 'Piece o\'cake, lady.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '96', 's_5b4a6885', 'It\'s a flightsuit.  You\'ll look like a real pilot, now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '97', 's_5bfac9f1', 'Where\'s my starship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '98', 's_5c7ecf43', 'That\'s good to know. You\'re dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '99', 's_5d157c36', 'Just try not to stir up any pirate action - and don\'t fire on any Imperials unless they threaten you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '100', 's_5f15e36', 'I know only that it involves researching the Death Star space station technology. With so much wreckage in the area, the Alliance has an opportunity to deconstruct the Empire\'s elite doomsday weapon... and prepare an adequate response if they were to build another one.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '101', 's_6106187c', 'What is a duty mission?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '102', 's_616dbcc8', 'Save it! I\'m assigning a new mission to you. Don\'t come back until it\'s finished!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '103', 's_618c3a1c', 'Very well, %NU.  Just find a Rebel Recruiter and tell him you want to join the Rebel Alliance.  He\'ll sign you up with the ground forces.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '104', 's_61c8b0c2', 'Then you will be glad to know we have reliable information that the Empire is rallying TIE fighter forces at a nav point high above Tatooine. They are being led by an experienced TIE veteran. Eliminate this TIE veteran pilot with extreme prejudice. This should bring their plans crashing to the ground.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '105', 's_6221bd32', 'Congratulations, pilot. Our immediate goals have been met. We have time for training. What areas of Alliance piloting interest you the most?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '106', 's_6360ad02', 'Any Imperial activities. This is a little-used Alliance supply route. It will become more important in the near future - and we are concerned that the Empire has knowledge of our operations.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '107', 's_63642f8', 'It appears that our time together has come to an end, pilot. Alliance HQ wants you reallocated to special operations on Yavin 4 and placed under the command of Major Eker... immediately.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '108', 's_63c4c628', 'You must try harder! The Alliance doesn\'t stand a chance with pilots like you... with your attitude!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '109', 's_640d20f4', 'Yes ma\'am!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '110', 's_6440d5e7', 'Target the space station and then comm the space station. Most likely the station will recognize you and will comm you first. But if you are in a hurry, use SHIFT+C to target the space station and open communication with the station commander.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '111', 's_648f0fc', 'You really disappoint me, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '112', 's_64b4e5f7', '(Brag about blasting TIE fighters)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '113', 's_658f174d', 'What am I looking for?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '114', 's_6657b5a3', 'It wasn\'t my fault!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '115', 's_66ae2bdf', 'Then tell me what you want or get out of here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '116', 's_66dc0f99', 'Interesting. Alliance HQ has a number of possible Imperial rally points for you to investigate. These \'duty\' missions have been prepared for you to gain some much needed space combat experience. You can return to the ground at any time when you feel that you have learned enough. Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '117', 's_67104689', 'He has joined the infinite, Da\'la.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '118', 's_680cda08', 'How do I get back from space?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '119', 's_68ee2577', 'I could not finish the mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '120', 's_6a0aba27', 'I would like to patrol Tatooine space.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '121', 's_6a150013', 'Let\'s have some details.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '122', 's_6a7a0499', '(Brag about blasting even more TIE fighters)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '123', 's_6b490480', '(Salute) Affirmative!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '124', 's_6b52240', 'Not just yet, Pilot!  I have a few more assignments for you before I can train you.  Are you ready to get to work?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '125', 's_6bb935f1', 'Yes, Da\'la. I am ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '126', 's_6cf8e18b', '(Tell a bold lie.)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '127', 's_6d7d5f1b', 'All targets eliminated, ma\'am!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '128', 's_6e646769', 'No, thanks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '129', 's_6f3e992', 'What can you tell me of Major Eker?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '130', 's_705f0112', 'Train me to fly for the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '131', 's_7077f9f7', 'Outstanding!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '132', 's_71239ef6', 'I don\'t want to hear it. Consider yourself lucky to be alive.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '133', 's_71370b1e', 'Good! Try again!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '134', 's_740e2e66', 'Sorry, ma\'am!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '135', 's_74474b33', 'What is our next move, ma\'am?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '136', 's_7478cd28', 'Will you train me after this?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '137', 's_7553991', 'Yeah, yeah!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '138', 's_766563c7', 'Nothing I couldn\'t handle.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '139', 's_768b62bc', 'Just let me in your club, okay?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '140', 's_784540b7', 'Greetings, pilot! Are you ready for your assignment?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '141', 's_78679b31', 'Sounds like fun. Where do I sign?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '142', 's_790724e4', 'Then it is fortunate that we have met. I can induct you to the Alliance pilot training program immediately.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '143', 's_79e3a94', 'When you\'re done with the mission, slaymo.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '144', 's_7a27e11', 'I\'ll blast any Imperial crosses my path!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '145', 's_7d15be50', 'I am more than ready, Da\'la.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '146', 's_7d2cd92d', 'Then it is my pleasure to welcome you to the Alliance space navy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '147', 's_7d4eaca7', 'I don\'t know.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '148', 's_7e1ada01', 'Yeah, yeah...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '149', 's_7e77b672', 'Shouldn\'t you be thanking me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '150', 's_7ed5fec3', 'I want to be part of the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '151', 's_7eff4d79', 'Perhaps you will show Major Eker more respect. The Major is currently located at the labor outpost on the moon Yavin 4. Good luck, %NU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '152', 's_7f3c5f06', 'We can\'t hold your hand all the time pilot. Search the system, you\'re bound to find some!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '153', 's_7f9b8387', 'Why not?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '154', 's_8001a590', 'Outstanding! Find any Imperial TIE Fighters in the Tatooine system and take out at least four of them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '155', 's_8234fa32', 'Yes... I am willing. Yes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '156', 's_8268c49d', 'We can skip the moral lesson, sister.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '157', 's_831a22ee', 'I know the dangers');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '158', 's_834edaa1', 'Good. Then get back out there!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '159', 's_841d27db', 'Why?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '160', 's_84d7bb8e', 'Your enthusiasm is welcome, friend!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '161', 's_855c7780', 'I\'ve heard that Eker was a decorated Imperial pilot and leader of a vicious TIE squadron for several years... until he sickened of their tactics. I believe he defected after being ordered to fire on an unarmed medical transport.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '162', 's_8631e93', 'I don\'t want to leave. I want to help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '163', 's_8685174d', 'I do, ma\'am.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '164', 's_8720792f', 'You will fly a four-point patrol above Tatooine. We will need your ship\'s sensor data when you are finished. Stay hidden... sorry to say, I have a bad feeling about this one.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '165', 's_877e028c', 'Ma\'am! I want another chance, ma\'am!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '166', 's_87a8cca7', 'How will I know this pilot?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '167', 's_8916a30', 'It should not be difficult. He should be one of very few veteran TIE fighter pilots in this vicinity. But, if you want to be thorough... bring down any TIE fighter pilots you see in this area.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '168', 's_8a4652c6', 'So now what?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '169', 's_8a78d00e', 'Only TIE fighters, ma\'am?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '170', 's_8a7cca63', 'You got LUCKY! You need to get your act together or you\'ll be space dust. Understand me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '171', 's_8b9926b6', 'Affirmative. Report when your patrol is complete.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '172', 's_8be95ab4', 'What\'s this?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '173', 's_8c272224', 'I am interested in starfighter survival tactics.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '174', 's_8da0fa08', 'Are you sure about that, %NU?  We could officially put your name on the roster, but even if you remain Covert, there\'s always a chance of an Imperial uncovering you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '175', 's_8e0b0814', 'Hm. You\'re not making any sense. Why don\'t you try this mission again?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '176', 's_8ef10336', 'Affirmative, ma\'am!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '177', 's_90087734', 'Bad news for you, %NU.  Alliance command has grounded you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '178', 's_90377ed4', 'Affirmative!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '179', 's_9109c202', 'An Alliance freighter needed my help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '180', 's_91d36035', 'I think you\'re going to get fried up there if you don\'t take this seriously.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '181', 's_92e1301f', 'Don\'t worry. I will be fine.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '182', 's_93470245', 'How should I stay hidden?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '183', 's_9480f430', 'I am interested in droid interface basics.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '184', 's_9487e7cd', 'Something might be looking for you, pilot... so be careful.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '185', 's_949ea1ef', 'Just four should do it. We want the Empire to understand that their intel is compromised. This will buy us some time for other operations. Any more questions, or are you ready to shut up and get to work?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '186', 's_95310ec0', 'You have done great things here in Tatooine, %NU... but the Alliance needs you on Yavin. The stakes in this conflict are continuing to rise, and our pilots must go where they are needed. I am sure you will flourish under Major Eker\'s command.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '187', 's_95ad8f55', 'You bring honor to the Alliance, my friend. This was no easy task.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '188', 's_968c130f', 'No. I will not!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '189', 's_96e50d8', 'Here is an update to your procedures manual.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '190', 's_9757e73a', 'You\'ll be covering a little-used Alliance supply route. It\'s become more important in recent days because of Imperial activity outside the asteroid belt. We have plans for this area, and need to know that we\'ll remain unseen.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '191', 's_97e129cd', 'Where is the rally point?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '192', 's_97e13b2e', '(Brief Da\'la with all due accuracy)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '193', 's_987055b5', 'We can always use cannon fodder. Welcome to the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '194', 's_994615e7', 'This is good - for some day you shall rejoin the infinite... and I may then be allowed to rest.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '195', 's_9a159641', 'When you are done with your patrol, you will need to find your way to a space station above Tatooine. Communicate with the station operatives and request landing clearance. The rest is automatic.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '196', 's_9b562c5a', 'Don\'t make this more than it is, pilot. This is not \'search and destroy\' - this is a sensor sweep. Stay out of trouble. Come back in one piece!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '197', 's_9c146b24', 'I don\'t like what I\'m hearing, pilot! Report, now!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '198', 's_9e21ae0d', 'I truly hope so.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '199', 's_9f625af9', 'That\'s better! You\'re assignment is a four-point patrol above Tatooine. Keep your sensors running the whole time - and when you come back, we\'ll want to download the data.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '200', 's_a018cd7e', 'Let\'s give Alliance HQ a moment to digest this information. A change of plans may be in store...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '201', 's_a13bb0b0', 'I hope I don\'t regret this. I hereby admit you into the Alliance pilot training program.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '202', 's_a20f8416', 'The recent Imperial activity is being led by a veteran TIE fighter pilot. We know of his location. Fly to the nav point, and eliminate this pilot with extreme prejudice.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '203', 's_a42932d7', 'I will need a starship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '204', 's_a45033de', 'Okay, so it was mine.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '205', 's_a46d9f8b', 'Our next move? We wait. Alliance HQ is going to want time to review our situation and re-evaluate our combat options. Check back with me later...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '206', 's_a5ecfd93', 'You think you can handle a simple four-point patrol?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '207', 's_a6c2aaa1', 'Then you rejoice! You\'re still alive, you\'re done with your assignment, and life is good... right? Come back here when you\'re done so I can give you your next assignment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '208', 's_a6ec653a', 'Focus! You need to get over yourself or you won\'t be any use to us.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '209', 's_a7a6018f', 'Hm. Interesting. Are you ready to try again?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '210', 's_a87c06b', 'I already know what happened. Do you have anything to say for yourself?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '211', 's_a89f2288', 'The Empire plans to move several wings of TIE fighters into this zone. If they are allowed to succeed, it could spell disaster for the Alliance here on Tatooine.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '212', 's_a8b44679', '(Brag about defeating the TIE Veteran)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '213', 's_a9163b5e', 'Whose fault was it, then?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '214', 's_a93c5fce', 'Well, it takes all kinds, doesn\'t it? Welcome to the Rebel Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '215', 's_a994ca63', 'For the Alliance!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '216', 's_aa521016', 'Looking for something in particular?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '217', 's_aadc4812', 'Well, I\'ll admit that I didn\'t prep you for a TIE fighter attack. How do you think you\'ll fare on your second try?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '218', 's_ab56e9c6', 'Do you have more target information?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '219', 's_ab640430', 'Critical to say the least, my friend. We must resume supply flights as soon as possible. To accomplish this, we need you to sweep a five-point area. Again, your ship sensor data will be used to plot an effective route for our larger transports.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '220', 's_abc65d0', 'Okay. Bye!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '221', 's_ac596e57', 'Outstanding! I\'ll see you when you\'re done!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '222', 's_aceff31e', 'Good luck, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '223', 's_adacb6c2', 'Well... the Empire\'s?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '224', 's_add5c243', 'Well... do something about it!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '225', 's_ae1edd02', 'While you were away we gathered enough information to put the Imperial fleet movement out of commission. Are you ready to take flight again?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '226', 's_aed0dff', 'I will require a starship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '227', 's_b0778713', 'The Empire does not yet know that their fleet info has been compromised. Strike the new TIE fighters moving into this area with extreme prejudice, and they will have no choice but to halt their invasion strategy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '228', 's_b2133e77', 'Not a problem. I\'ll grant access to one of the refurbished Z95\'s we have hidden here on Tatooine. Are you ready for your first assignment?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '229', 's_b2683b4a', 'Piece of cake.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '230', 's_b2c15146', 'Unfortunately, since you are not part of my unit, I cannot assign you missions. You should probably return and speak with your commanding officer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '231', 's_b3408be1', 'Are you ready for your first assignment?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '232', 's_b3bebc5e', 'How do I get there?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '233', 's_b3e9c738', 'I\'m ready for anything.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '234', 's_b5719d30', 'Then get back out there and make it happen, pilot!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '235', 's_b7af9aa', 'Are you kidding me?! Not your fault? I have grown so sick of your attitude... I just can\'t stand it! Tell me you\'re going to get back up there and do it right this time!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '236', 's_b7b3029f', 'Get on with it, lady.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '237', 's_b91ba199', 'Outstanding! Check back with me when you are ready for your next assignment!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '238', 's_b9c55cab', 'I failed the mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '239', 's_b9c90f82', 'Well... maybe you are.  But this is more important, right now.  I\'ll make a deal with you, complete this mission and THEN I will train you.  This is urgent, so I hope you\'re ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '240', 's_baae2f70', '(Salute) The Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '241', 's_bac616e6', 'I\'m ready for my next mission!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '242', 's_bb68963e', 'You\'ll be the death of me, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '243', 's_bb761ef6', 'This is unacceptable! You get back out there and finish this mission, pilot!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '244', 's_bc865091', 'Probably.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '245', 's_bd53784c', 'Ma\'am, I require a starship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '246', 's_bda1eb17', 'Your ship sensor data has been completely decoded. The Alliance supply route is entirely compromised. We need you to scout a new route for our in-system supply convoy. Are you up to it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '247', 's_bf55aded', 'Great. You can either patrol the Tatooine system looking for Imperials to send to the scrapyard, or you can help escort Alliance transports. What sounds good to you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '248', 's_c19ed115', 'You\'ve got your assignment, and the control device for your ship in your datapad.  Go to the Starport and access the terminal to launch into space.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '249', 's_c261cfae', 'No problem.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '250', 's_c3d77bb4', 'Expect the rally point to be patrolled by junior TIE cadets. They will be quick to respond if they see you first - so be very careful. Keep your eye out for the veteran TIE fighter pilot, eliminate him, and get back here as soon as you can.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '251', 's_c4b9eaff', 'Maybe you should try again. And this time... don\'t fail!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '252', 's_c4c3d546', 'How do I comm the space station?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '253', 's_c5ac7e76', 'I don\'t have any pressing assignments right now, but I do have some elective duty missions if you\'re interested?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '254', 's_c5cc6139', 'It\'s about time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '255', 's_c62cae3d', 'Good luck, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '256', 's_c7939f2f', 'What are we looking for?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '257', 's_c7afc225', 'Let\'s upgrade your starship license then, shall we?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '258', 's_c8fa77b8', 'I can\'t wait!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '259', 's_c92d07b4', 'Sure. Why not.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '260', 's_c93f1cdc', 'Here are some new droid programs. Use them wisely.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '261', 's_c9c9c683', 'What do you think, sweetie?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '262', 's_ca06f3a2', 'We cannot afford for you to fail, pilot. The Empire outnumbers us - outguns us... the only hope we have is to out-fight them! Are you ready to try again?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '263', 's_ca0c0b13', 'What\'s wrong with you? Get out there and prove your worth!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '264', 's_ca51315f', 'Always.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '265', 's_cac4a12c', 'Don\'t worry, I\'ll have a gonzo patrol ready for you when you come back!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '266', 's_cb60fa8', 'A duty mission is a good way to earn experience. Especially for a pilot looking for training like yourself. Duty missions have no real end. You just finish when you finish, know what I mean? So what do you say?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '267', 's_cc82ca6b', 'Good! Your orders have been renewed. Good luck, pilot!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '268', 's_cd0ae4c4', 'The Force be with you, Da\'la...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '269', 's_cd1af2b9', 'Outstanding! Good luck, pilot!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '270', 's_cd68fc71', 'Well, I\'m not getting any younger.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '271', 's_ce2c09ec', 'Mission accomplished, ma\'am!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '272', 's_ce6b43af', 'We have reason to believe that the Empire is moving a wing of TIE fighters directly into an Alliance supply route. We need to know more.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '273', 's_cf04e474', 'What more do we know of this TIE veteran?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '274', 's_cfba4c0a', 'We exchanged messages through the Alliance \'net right after the Battle of Yavin. He was in need of pilots then, too. So, we didn\'t discuss anything outside of that. Of course, I have heard rumors of his history before joining the Alliance... but nothing concrete.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '275', 's_d01d0154', 'No, never mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '276', 's_d0233b4b', 'The Force be with us.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '277', 's_d038a005', 'And then what?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '278', 's_d18e28ba', 'Maybe I got that completely backwards. Who knows?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '279', 's_d497fa22', 'Charming. What can I do to get you out of here?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '280', 's_d4f7f6d5', 'And with you as well.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '281', 's_d5bc59d9', 'I have adjusted your pilot certification to handle more intricate components.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '282', 's_d5c41154', 'What rumors?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '283', 's_d6c8f764', 'Heh. What do you know. An Imperial. Get out of here while you still can!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '284', 's_d6e44b20', 'You\'re right. The Alliance is attempting to move a large number of refugees out of Tatooine space. Protect as many of them as you can. These \'duty\' missions have been prepared for you to gain some much needed space combat experience. You can return to the ground at any time when you feel that you have learned enough.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '285', 's_d70dba34', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '286', 's_d731f764', '(Shrug and smile.)');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '287', 's_d779178a', 'What other targets are in the area?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '288', 's_d7f5cd5b', 'You have no clue, do you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '289', 's_d806feaa', 'A number of slightly-used Z95 starships are parked around Tatooine... hidden from Imperial eyes. The codes I uploaded to your datapad will allow you to assume control of one. Just head down to the starport...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '290', 's_d8913d37', 'If it is my duty, Da\'la.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '291', 's_d89a93ff', '%TU, you\'re too impatient.  Right now I need you to scout that supply route.  We\'ll talk about training later.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '292', 's_d912490', 'I am interested in basic Alliance component use.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '293', 's_db6b2243', 'We are kindred spirits, Da\'la Socuna.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '294', 's_dcbc639a', 'The mission is a success, Da\'la.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '295', 's_dcf7d387', 'I don\'t think this is going to work out, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '296', 's_ddea1965', 'What\'s the job, honey?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '297', 's_e03d1a04', 'Hm. This does not sound like a random encounter. I would bet the Empire has knowledge of our operations here. Alliance HQ isn\'t going to like this report... but I\'m very glad you\'re safe and sound.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '298', 's_e095ac8', 'I need a space ship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '299', 's_e0cb3e19', 'I\'m ready to enlist with the ground forces!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '300', 's_e24d9d51', 'You already have. Good luck to you... I hope to see you again very soon.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '301', 's_e28249ac', 'I\'ll be back in a snap!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '302', 's_e28bc942', 'Hmph. Take off. Find any Imperial Tie Fighters in the Tatooine system and take out at least four of them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '303', 's_e2a3d627', 'Fly there, Pilot.  Your ship is equipped with a hyperdrive.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '304', 's_e31d65b7', 'The duty logs indicate that you are in mid-mission. We have nothing to discuss until you are finished.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '305', 's_e42b260e', 'I\'m on my way.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '306', 's_e9da2a94', 'More TIE fighters, huh?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '307', 's_eab1caa8', 'I\'m not in the habit of making excuses.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '308', 's_eb7aaed2', 'Yes I am!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '309', 's_ed5af630', 'Excellent. Good luck, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '310', 's_eff4eef6', '%TU, isn\'t it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '311', 's_f1147d11', 'There is none, it is your job to find them pilot. Search the Tatooine system for targets of opportunity.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '312', 's_f29cdd1', 'Understood, my friend. I\'ll grant access to one of the refurbished Z95\'s we have hidden here on Tatooine. Are you ready for your first assignment?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '313', 's_f2ef125b', 'Lucky for us.  Here\'s a little bonus for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '314', 's_f4642ca3', 'It\'s a multipocket bandolier.  I\'d get you a flightsuit but I don\'t think I have one that would fit you... anyway, this will help you keep your things organized.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '315', 's_f4cc85fa', 'Not very much. You may find more than one in the general area - but Alliance intelligence indicates that the Empire has charged one veteran TIE pilot with coordinating aggressions in this system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '316', 's_f5255b8a', 'Major Eker and his special operations team have a wide-range of responsibilities on Yavin 4. Before you head off, I want you to appreciate just how dangerous this assignment could be.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '317', 's_f6e9edd', 'You shall have one. I\'ll grant access to one of the refurbished Z95\'s we have hidden here on Tatooine. Are you ready for your first assignment?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '318', 's_f7ebcc5f', 'Will you fail a second time if I re-assign the mission to you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '319', 's_f80372b3', 'I\'m ready for training?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '320', 's_f843dc6a', '(Salute) Yes, ma\'am!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '321', 's_f892eb03', 'I make no guarantees.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '322', 's_fb7175d6', 'Get your act together!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '323', 's_fb9b39e5', 'Report, pilot!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '324', 's_fbac0bde', '(Salute) Ma\'am! Yes, ma\'am!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '325', 's_fc1f4e33', 'Okay, fine!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '326', 's_fcd9ce0e', 'This cannot stand, pilot! We need you to take down that Veteran TIE pilot!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '327', 's_fdb94a71', 'What do you know of the Yavin 4 operation?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '328', 's_fe789dac', 'Report!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_1.stf', '329', 's_ffb79794', 'I will complete the mission, ma\'am!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_2.stf', '1', 'do_not_edit', 'The English version of this file (tatooine_rebel_trainer_2.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_2.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_2.stf', '3', 's_113f133e', 'Are you ready for your next assignment?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_2.stf', '4', 's_14bb212a', 'Then get back out there and make it happen!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_2.stf', '5', 's_1d2c155d', 'Hold on, pal. I don\'t think you\'re ready to work for me, yet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_2.stf', '6', 's_1f680e83', 'You sure?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_2.stf', '7', 's_24fcd0f1', 'Well, if you\'re not ready - just say so!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_2.stf', '8', 's_30e82ed', 'You\'re wasting my time, kid!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_2.stf', '9', 's_32583e8e', 'No, I haven\'t even left yet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_2.stf', '10', 's_32761c80', 'Excellent! The Force be with you, friend! See you soon.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_2.stf', '11', 's_32c77056', 'I have nothing to say to you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_2.stf', '12', 's_340e3cc', 'How did the sensor sweep go?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_2.stf', '13', 's_3a8e238f', 'What does it pay?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_2.stf', '14', 's_3e8d2533', 'Are you ready for a very dangerous mission?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_2.stf', '15', 's_4021e802', 'What sort of ships should I target?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_2.stf', '16', 's_4243cd30', 'Get out of here, pirate!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_2.stf', '17', 's_49580a34', 'You know, that would take a long time to explain. Look - I need someone with guts to take flight against a swarm of assassins. Are you interested?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_2.stf', '18', 's_4e1e1511', 'Seems like a waste of resources.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_2.stf', '19', 's_56ea3421', 'You\'ll know when you need to know. Talk to the general. She\'s bound to have work for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_2.stf', '20', 's_57c8489e', 'What should I do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_2.stf', '21', 's_65c6992e', 'Yes, I am ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_2.stf', '22', 's_6c251948', 'You got it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_2.stf', '23', 's_704ffa17', 'Tell me about it, then.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_2.stf', '24', 's_71fdec41', 'Who is Black Sun?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_2.stf', '25', 's_76c732ab', 'I\'m not afraid.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_2.stf', '26', 's_7aa2ae19', 'Heh. Get some missions under your belt, friend. Then come talk to me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_2.stf', '27', 's_7f5b6f74', 'Good! Eliminate all Black Sun fighters at this nav point and return to me when you are finished.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_2.stf', '28', 's_803bce3f', 'Gonzo dangerous! An INSANE mission that will kill you flat out!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_2.stf', '29', 's_8af71059', 'So. I hear it was pretty rough out there. Would you like to try helping us again?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_2.stf', '30', 's_8d90443c', 'Where exactly?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_2.stf', '31', 's_95ca3dcc', 'Perfect. We have word that a Black Sun assassin force is gathering strength somewhere deep in the Tatooine system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_2.stf', '32', 's_9633bc98', 'How dangerous?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_2.stf', '33', 's_9ac87532', 'The mission is still in-progress.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_2.stf', '34', 's_9ccfeefa', 'Outstanding! Talk to me when you\'re ready to fly again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_2.stf', '35', 's_9d7e5a09', 'I must decline.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_2.stf', '36', 's_9d805e09', 'They want to cut a hole through the Outer Rim to run spice, and they\'re sick of trying to negotiate with the Hutts...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_2.stf', '37', 's_ad45bcbf', 'Talk to the general. She\'ll have work for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_2.stf', '38', 's_adb01382', 'The Black Sun are moving in to challenge the Hutts for this bit of the Outer Rim. That means bloodshed, and that\'s bad news for us!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_2.stf', '39', 's_add38b4', 'Are you kidding me? This is the Alliance, friend! Straighten up!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_2.stf', '40', 's_b2f0eabb', 'C\'mon, I\'m just kidding. What say you fly for me? Bust up a Black Sun fighter rally in Quad III?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_2.stf', '41', 's_b65b63e', 'Outstanding! Let me know when you are ready to fly again!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_2.stf', '42', 's_b76bbf5f', 'Good. One of our top pilots is using a modified Y-Wing in this system to gather sensor data for the Alliance. Meet him at the rally point, and make sure he finishes his sensor sweep in one piece!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_2.stf', '43', 's_bf46ea6c', 'Deep in Tatooine system quadrant III. I think they\'re prepping to stage an assault on the Hutts... and a lot of our friends could get caught in the cross-fire.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_2.stf', '44', 's_c1cb6e44', 'If you weren\'t ready, you should\'ve said so!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_2.stf', '45', 's_c49dadaf', 'Sweep is done, and our ship is safe.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_2.stf', '46', 's_c999ae60', 'Let me at \'em!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_2.stf', '47', 's_ca776e30', 'Who are you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_2.stf', '48', 's_ce77bdfc', 'Hmm. This seems a bit rough.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_2.stf', '49', 's_e3034e87', 'Look for any Black Sun craft in the area. They\'ll likely bring skiffs, some fighters, and maybe even a handful of gunboats.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_2.stf', '50', 's_eeed5bcd', 'What does Black Sun want?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_2.stf', '51', 's_ef7c4c8', 'Do you have a progress report for me, pilot?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_2.stf', '52', 's_f3a2a7d2', 'I can\'t believe you aborted the first mission I gave you! I hope you\'re here to try again, soldier!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tatooine_rebel_trainer_2.stf', '53', 's_fc01f22f', 'Those Black Sun fighters are history.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_imperial.stf', '1', 'do_not_edit', 'The English version of this file (theme_park_record_keeper_imperial.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_imperial.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_imperial.stf', '3', 's_13f4f4e9', 'Yes, I already have your employment history compiled. You do not need to speak with me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_imperial.stf', '4', 's_14693cf1', 'What if I decide to continue my service?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_imperial.stf', '5', 's_2380d732', 'If you choose to continue from where you left off, you will simply return to the person which last gave you a job. You will then serve however he or she deems best. But remember that once you decide you cannot change your mind. Shall I reset your history?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_imperial.stf', '6', 's_26df7262', 'I see. Please come back and speak with me when you get a free moment.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_imperial.stf', '7', 's_2e18346d', 'I don\'t have time right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_imperial.stf', '8', 's_37160714', 'If I reset your history, you will be able to go back and assist the Empire again as you have done in the past. But don\'t worry, you will be rewarded again, and it will in no way reduce your standing in the rank of the Empire. Do you want me to reset your history?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_imperial.stf', '9', 's_3c440d33', 'I understand completely. Take all the time you need.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_imperial.stf', '10', 's_3cf75f2d', 'What does that entail?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_imperial.stf', '11', 's_49d330ac', 'Alright, but remember that once you decide to continue, you cannot change your mind. Are you sure that you want to continue your service where you left off?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_imperial.stf', '12', 's_4b845961', 'Certainly. Simply return and speak with me again when you have made your decision.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_imperial.stf', '13', 's_4fd35e09', 'YES, I am sure. Reset my employment history.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_imperial.stf', '14', 's_5c8a1b58', 'Normally, those held in such high esteem as yourself are not asked to perform such services as you have done in the past. However, if you wish, I can reset your employment history with the Empire. Do you want me to reset your history?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_imperial.stf', '15', 's_6e88ecc1', 'No, do not reset my history right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_imperial.stf', '16', 's_710595f4', 'I\'ve got to be going now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_imperial.stf', '17', 's_7837b05f', 'Hello. Ah yes, I know who you are. You have helped the Empire to a degree in the past. Actually I\'m glad you stopped by, as I need to ask you some questions.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_imperial.stf', '18', 's_8886fdb', 'I don\'t believe that you have an employment history with the Empire. You do not need to speak with me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_imperial.stf', '19', 's_906058f6', 'Hello. Yes, I recognize you. Who wouldn\'t? You have done great services for the Empire. Actually I\'m glad you stopped by, as I need to ask you some questions.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_imperial.stf', '20', 's_93e226b7', 'NO, do not reset my history right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_imperial.stf', '21', 's_a76f22bf', 'What if I decide to reset my history?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_imperial.stf', '22', 's_ac97bdc2', 'If you like, I can reset your employment history and you can begin your service again. Otherwise, you can continue your services where you left off. Remember that once you decide, you cannot change your mind. Do you want me to reset your history?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_imperial.stf', '23', 's_b193a14c', 'Alright, but keep in mind that once I reset your history, it cannot be undone. Are you sure that you want me to reset your employment history?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_imperial.stf', '24', 's_b7023094', 'OK. What do you need?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_imperial.stf', '25', 's_bc41b885', 'Well, in order to keep my head on my shoulders, I have to recompile all the data in a timely fashion, and I need to ask you a question or two regarding your employment history.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_imperial.stf', '26', 's_bfd7fb6d', 'Can I decide later?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_imperial.stf', '27', 's_c2663b63', 'You see, I\'ve performed a grievous error, and many of the Imperial employment records were lost in a major computer crash. Given the rash nature of Lord Vader, I\'m quite lucky to be alive actually.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_imperial.stf', '28', 's_cc3c10d2', 'I\'m sorry, I only keep records for Imperial employees. I must ask you to leave now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_imperial.stf', '29', 's_cc551f39', 'What does this have to do with me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_imperial.stf', '30', 's_ce56f943', 'If I reset your history, you will be able to go back and assist the Empire again as you have done in the past. But don\'t worry, you will be rewarded, and it will in no way reduce your standing in the rank of the Empire. Shall I reset your history?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_imperial.stf', '31', 's_e3c4a3d5', 'No, do not reset my history. I will continue my service.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_imperial.stf', '32', 's_ea196d60', 'I understand completely. Please come back and see me again if you change your mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_imperial.stf', '33', 's_ebce22a9', 'NO, wait. Let me think a moment longer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_imperial.stf', '34', 's_f1105bbd', 'Very well, it is done. You may go speak with Kaja Or\'zee when you are ready to begin your service again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_imperial.stf', '35', 's_f2538a47', 'Very well, it is done. You may continue your service to the Empire where you last left off.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_imperial.stf', '36', 's_f51b07ff', 'What kind of questions?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_imperial.stf', '37', 's_f7565bbd', 'YES, I am sure. I want to continue my service.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_imperial.stf', '38', 's_ff20b1f1', 'Yes, please reset my employment history.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_jabba.stf', '1', 'do_not_edit', 'The English version of this file (theme_park_record_keeper_jabba.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_jabba.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_jabba.stf', '3', 's_14693cf1', 'What if I decide to continue my service?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_jabba.stf', '4', 's_2e18346d', 'I don\'t have time right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_jabba.stf', '5', 's_34f17e66', 'Due to an unfortunate incident caused by an irresponsible little droid, CZ-4, all of Lord Jabba\'s employment and accounting records were erased.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_jabba.stf', '6', 's_3ae9c534', 'You have not performed any services for his exaltedness, Jabba the Hutt. I do not need to speak to you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_jabba.stf', '7', 's_3be84186', 'Yes, I do need to speak with you. I have questions that you need to answer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_jabba.stf', '8', 's_3cf75f2d', 'What does that entail?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_jabba.stf', '9', 's_4fd35e09', 'YES, I am sure. Reset my employment history.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_jabba.stf', '10', 's_555b76aa', 'As you wish. Return to me when you have made your decision.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_jabba.stf', '11', 's_5cc1a230', 'It would seem that you have performed great services for Jabba in the past, and he has rewarded you well. However, if you wish, I can reset your employment history in our records. Do you want me to reset your history?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_jabba.stf', '12', 's_5e8caf64', 'If you like, I can reset your employment history and you may serve Lord Jabba again. Otherwise, you can continue your service to him where you left off. Remember that once you decide, you cannot change your mind. Shall I reset your history?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_jabba.stf', '13', 's_630c8b2', 'Very well, it is done. You should speak to Reelo Baruk when you wish to serve his highness, Lord Jabba, again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_jabba.stf', '14', 's_6d63d30d', 'As you wish. Come back and speak to me again if you change your mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_jabba.stf', '15', 's_6e88ecc1', 'No, do not reset my history right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_jabba.stf', '16', 's_710595f4', 'I\'ve got to be going now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_jabba.stf', '17', 's_72907ccb', 'If I reset your history, you will be able to go back and assist Jabba again as you have done in the past. But don\'t worry, you will be rewarded again, and it will in no way reduce your standing in the eyes of Jabba himself. Do you want me to reset your history?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_jabba.stf', '18', 's_741d0966', 'If you choose to continue from where you left off, you will simply return to the person which last gave you a job. That person will then tell you how you may best serve Jabba. But remember that once you decide you cannot change your mind. Shall I reset your history?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_jabba.stf', '19', 's_866cf013', 'I see. What do you need me for?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_jabba.stf', '20', 's_93e226b7', 'NO, do not reset my history right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_jabba.stf', '21', 's_960270ff', 'Very well. But do not take long.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_jabba.stf', '22', 's_9ef848f9', 'I will answer your questions.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_jabba.stf', '23', 's_a76f22bf', 'What if I decide to reset my history?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_jabba.stf', '24', 's_adccd297', 'Your services for Jabba have already been recorded. I have no need to speak to you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_jabba.stf', '25', 's_b193a14c', 'Alright, but keep in mind that once I reset your history, it cannot be undone. Are you sure that you want me to reset your employment history?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_jabba.stf', '26', 's_badb4859', 'Remember that once you decide to continue, you cannot change your mind. Are you sure that you want to continue your services to Jabba where you left off?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_jabba.stf', '27', 's_bfd7fb6d', 'Can I decide later?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_jabba.stf', '28', 's_c1ff278a', 'I must recompile all of the data that was lost. For that reason, I must ask you some questions.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_jabba.stf', '29', 's_c7528c3b', 'I am sure you can imagine the turmoil it caused. Those on Jabba\'s payroll are no longer getting paid, and those in debt to him, were free of their obligations. Needless to say, the CZ droid responsible was... disciplined.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_jabba.stf', '30', 's_e11b3d7c', 'Keep in mind that once I reset your history, it cannot be undone. Are you sure that you want me to reset your employment history?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_jabba.stf', '31', 's_e3c4a3d5', 'No, do not reset my history. I will continue my service.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_jabba.stf', '32', 's_eac2e473', 'If I reset your history, you will be able to go back and assist Lord Jabba again as you have done in the past. But don\'t worry, you will be rewarded, and it will in no way reduce your standing in the eyes of Jabba the Hutt. Shall I reset your history?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_jabba.stf', '33', 's_ebce22a9', 'NO, wait. Let me think a moment longer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_jabba.stf', '34', 's_edb238bc', 'Go on.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_jabba.stf', '35', 's_f3139d0', 'Very well. Return when you are available.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_jabba.stf', '36', 's_f51b07ff', 'What kind of questions?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_jabba.stf', '37', 's_f7565bbd', 'YES, I am sure. I want to continue my service.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_jabba.stf', '38', 's_faf7c09a', 'Very well, it is done. You may continue your service to the almighty Jabba the Hutt where you last left off.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_jabba.stf', '39', 's_ff20b1f1', 'Yes, please reset my employment history.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_rebel.stf', '1', 'do_not_edit', 'The English version of this file (theme_park_record_keeper_rebel.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_rebel.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_rebel.stf', '3', 's_11f0619b', 'Alright, but keep in mind that once I reset your history, it cannot be undone. Are you sure that you want me to reset your service history?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_rebel.stf', '4', 's_14693cf1', 'What if I decide to continue my service?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_rebel.stf', '5', 's_19da6a67', 'We don\'t know who the spy was, but we were able to destroy his ship as it took off. He was killed in the explosion, but unfortunately the data disks he stole were destroyed as well.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_rebel.stf', '6', 's_2e18346d', 'I don\'t have time right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_rebel.stf', '7', 's_2eadaa06', 'If you like, I can reset your service history and you can assist the Rebellion again. Otherwise, you can continue your services where you left off. Remember that once you decide, you cannot change your mind. Do you want me to reset your history?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_rebel.stf', '8', 's_3315cf03', 'Normally, those who have helped us so willingly in the past are not called on to do so again. However, if you wish, I can reset your service history with the Rebellion. Do you want me to reset your history?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_rebel.stf', '9', 's_3547d92c', 'I don\'t believe that you have performed any services for our cause in the past. You do not need to speak with me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_rebel.stf', '10', 's_37420d49', 'Oh, good. I\'m glad you stopped by, now I don\'t have to go looking for you. I need to ask you some questions if you have a moment to spare.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_rebel.stf', '11', 's_3c440d33', 'I understand completely. Take all the time you need.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_rebel.stf', '12', 's_3cf75f2d', 'What does that entail?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_rebel.stf', '13', 's_3d89228f', 'If you choose to continue from where you left off, you will simply return to the person which last gave you a job. That person will give you further instructions then. But remember that once you decide you cannot change your mind. Shall I reset your history?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_rebel.stf', '14', 's_45b87508', 'Very well, it is done. You may continue your service to the Rebellion where you last left off.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_rebel.stf', '15', 's_48d3face', 'If I reset your history, you will be able to go back and assist the Rebellion again as you have done in the past. But don\'t worry, you will be rewarded again, and it will in no way reduce your standing in the rank of the Rebellion. Do you want me to reset your history?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_rebel.stf', '16', 's_49d330ac', 'Alright, but remember that once you decide to continue, you cannot change your mind. Are you sure that you want to continue your service where you left off?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_rebel.stf', '17', 's_4b845961', 'Certainly. Simply return and speak with me again when you have made your decision.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_rebel.stf', '18', 's_5a47438c', 'Yes, I have already recorded your services. You do not need to speak with me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_rebel.stf', '19', 's_6e88ecc1', 'No, do not reset my history right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_rebel.stf', '20', 's_710595f4', 'I\'ve got to be going now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_rebel.stf', '21', 's_7666799', 'Very well, it is done. You may go speak with C-3PO when you are ready to begin your service again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_rebel.stf', '22', 's_866cf013', 'I see. What do you need me for?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_rebel.stf', '23', 's_93e226b7', 'NO, do not reset my history right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_rebel.stf', '24', 's_9bc93d72', 'Yes, please reset my service history.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_rebel.stf', '25', 's_a45bb0ec', 'Well, it\'s up to me to recompile all the data that was on those disks, and I need to ask you a question or two regarding your employment history.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_rebel.stf', '26', 's_a76f22bf', 'What if I decide to reset my history?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_rebel.stf', '27', 's_b1f9a8ac', 'I\'m sorry, I don\'t believe that you would have been in our databases. You don\'t need to speak with me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_rebel.stf', '28', 's_b7023094', 'OK. What do you need?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_rebel.stf', '29', 's_b78f6030', 'Of course. Please come back and speak with me when you get a chance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_rebel.stf', '30', 's_bfd7fb6d', 'Can I decide later?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_rebel.stf', '31', 's_ce26bb71', 'We almost had a major catastrophe. The data disks that we use to keep all information on our allies that have performed services for our cause were stolen recently by an Imperial spy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_rebel.stf', '32', 's_dc1c8663', 'YES, I am sure. Reset my service history.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_rebel.stf', '33', 's_deeb1462', 'If I reset your history, you will be able to go back and assist the Rebellion again as you have done in the past. But don\'t worry, you will be rewarded, and it will in no way reduce your standing in the rank of the Rebellion. Shall I reset your history?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_rebel.stf', '34', 's_e3c4a3d5', 'No, do not reset my history. I will continue my service.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_rebel.stf', '35', 's_ea196d60', 'I understand completely. Please come back and see me again if you change your mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_rebel.stf', '36', 's_ebce22a9', 'NO, wait. Let me think a moment longer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_rebel.stf', '37', 's_edb238bc', 'Go on.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_rebel.stf', '38', 's_f51b07ff', 'What kind of questions?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/theme_park_record_keeper_rebel.stf', '39', 's_f7565bbd', 'YES, I am sure. I want to continue my service.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tier3convotemplate.stf', '1', 'do_not_edit', 'The English version of this file (tier3convotemplate.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tier3convotemplate.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tier3convotemplate.stf', '3', 's_1350d8f1', 'You are here to collect your reward for quest three, so here it is!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tier3convotemplate.stf', '4', 's_22632bc1', 'You failed quest five.  You must start over.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tier3convotemplate.stf', '5', 's_35c72c81', 'You failed quest one.  You must start over.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tier3convotemplate.stf', '6', 's_3b915d92', 'You failed quest six.  You must start over.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tier3convotemplate.stf', '7', 's_3e1e51ce', 'You haven\'t done quest four yet, so go do it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tier3convotemplate.stf', '8', 's_52a877fa', 'You are here to collect your reward for quest one, so here it is!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tier3convotemplate.stf', '9', 's_61f5696d', 'You haven\'t done quest five yet, so go do it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tier3convotemplate.stf', '10', 's_63ef993a', 'You haven\'t done quest three yet, so go do it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tier3convotemplate.stf', '11', 's_6793cafb', 'You are busy.  Already on a quest.  Go do it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tier3convotemplate.stf', '12', 's_6a7031f3', 'You haven\'t done quest six yet, so go do it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tier3convotemplate.stf', '13', 's_755c8b16', 'You failed quest two.  You must start over.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tier3convotemplate.stf', '14', 's_77108b2b', 'You haven\'t done quest one yet, so go do it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tier3convotemplate.stf', '15', 's_7a2b3961', 'You are here to collect your reward for quest four, so here it is!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tier3convotemplate.stf', '16', 's_85f759f2', 'You are here to collect your reward for quest two, so here it is!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tier3convotemplate.stf', '17', 's_8f22e2f2', 'You are here to collect your reward for quest six, so here it is!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tier3convotemplate.stf', '18', 's_9c278b35', 'You\'re not through tier2 yet!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tier3convotemplate.stf', '19', 's_abaa1510', 'You\'re the wrong faction.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tier3convotemplate.stf', '20', 's_dfd0f16b', 'You are here to collect your reward for quest five, so here it is!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tier3convotemplate.stf', '21', 's_e16e4699', 'You failed quest four.  You must start over.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tier3convotemplate.stf', '22', 's_f07b0dfd', 'You failed quest three.  You must start over.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tier3convotemplate.stf', '23', 's_fc6ea208', 'You must have completed tier3 completely.  Hope you have all your skills!  Now I will tell you to go talk to a tier-4 guy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tier3convotemplate.stf', '24', 's_fd94cc2c', 'You haven\'t done quest two yet, so go do it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tour_aryon.stf', '1', 'do_not_edit', 'The English version of this file (tour_aryon.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tour_aryon.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tour_aryon.stf', '3', 's_16d541d2', 'There are two candidates eligible to work with me on a new project. The candidates are Victor Visalis, Officer of Defense and Sean Trenwell, Director of Commerce. You\'ll need to speak with either of the two and join their campaign. They\'ll most likely tell you what they propose for Bestine and the changes that will take hold if they win.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tour_aryon.stf', '4', 's_1797f2fb', 'Sean Trenwell won the election. Sean seems quite interested in the  financial and cultural health of Bestine. I\'m sure he\'ll do a very good job.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tour_aryon.stf', '5', 's_1a74caee', 'I am ready to vote.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tour_aryon.stf', '6', 's_1ec9d0f0', 'I only want to hear positive things about the candidates. There has been too many scandals and ill-spoken words thrown about during this thing. I\'m really tired of it. I need to get back to work. I have a lot of things I need to get done. Go speak with either Victor Visalis or Sean Trenwell.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tour_aryon.stf', '7', 's_1f2450ea', 'No, I need to go get it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tour_aryon.stf', '8', 's_2230b5b1', 'I see you\'ve already voted. Unfortunately, you can only vote once per election. Be sure to come back during the next election and participate then!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tour_aryon.stf', '9', 's_23877744', 'Are you ready to vote?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tour_aryon.stf', '10', 's_23b3506c', 'I need more information, please.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tour_aryon.stf', '11', 's_2a9eedba', 'I am glad you\'re taking a part in this election. So many people have voted already and there will be tons more by night\'s end. I\'ll only register your vote if you have the proper evidence. Are you ready to vote?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tour_aryon.stf', '12', 's_3001dad0', 'No, not really. Just wandering through Bestine.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tour_aryon.stf', '13', 's_3829680a', 'I\'m... uh, gonna go. Bye!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tour_aryon.stf', '14', 's_3b657772', 'Welcome citizen. I hope you enjoy your time in Bestine.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tour_aryon.stf', '15', 's_3c509be9', 'After speaking with the politician of your choice, you\'ll need to decide if you wish to vote for him. It is imperative that I select the right man for the job. Just giving me a name won\'t do. You\'ll need to bring me evidence of a good deed in order for your vote to be registered. For example, if you wish to vote for Victor, you\'ll need to bring me evidence of a good deed he has done for the people of Bestine. The same goes for Sean. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tour_aryon.stf', '16', 's_3dcd5980', 'The next election won\'t start for well over a week.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tour_aryon.stf', '17', 's_3e9e3870', 'Very well. Take what time you need, but be sure to return before the election ends.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tour_aryon.stf', '18', 's_45511d66', 'It will be more than two weeks before the next election begins.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tour_aryon.stf', '19', 's_47117f94', 'Okay. I\'d like to vote.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tour_aryon.stf', '20', 's_540ac7e9', 'Continue.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tour_aryon.stf', '21', 's_567d69e1', 'I will be here when you return. I am looking forward to collecting your vote for the election!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tour_aryon.stf', '22', 's_57d5a9c4', 'It\'s good to know that the citizens of Bestine care about the city. A fact much in evidence when so many people voted during the last election. And they chose wisely... I am quite satisfied with the winning candidate. You should come back in the next months. Listen to the people of Bestine. They usually talk about the events surrounding the city.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tour_aryon.stf', '23', 's_5d2e1112', 'Who was the winning candidate?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tour_aryon.stf', '24', 's_5ff564e3', 'The two candidates are Victor Visalis, Officer of Defense and Sean Trenwell, Director of Commerce. You\'ll need to speak with either of the two and join their campaign. They\'ll most likely tell you what they propose for Bestine and the changes that will take hold if they win. After speaking with the politician of your choice, you\'ll need to decide if you wish to vote for him. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tour_aryon.stf', '25', 's_65a4282', 'I\'d like to vote, yes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tour_aryon.stf', '26', 's_68d96c4a', 'When does the next election begin?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tour_aryon.stf', '27', 's_6beb48d3', 'I hope you enjoy your time here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tour_aryon.stf', '28', 's_6ff89ddc', 'You\'ll want to speak with the various people around the capitol. I\'m sure they will have ideas for evidence. I only want to hear positive things about the candidates. There has been too many scandals and ill-spoken words thrown about during this thing. I\'m really tired of it. I need to get back to work. I have a lot of things I need to get done. Go speak with either Victor Visalis or Sean Trenwell.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tour_aryon.stf', '29', 's_7420991b', 'Victor Visalis won the election. Victor is very concerned with the welfare of those living in and visiting Bestine. He has strong ideas for increasing security and for providing better protection from the bands of Sand People that have been assaulting the city recently.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tour_aryon.stf', '30', 's_7603d7cd', 'Unfortunately, without the proper evidence, I cannot register your vote. Evidence can be anywhere from a written testimony from someone in the city, to a data disk containing valuable information. The evidence needs to be tied to a good deed. Return when you have such data.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tour_aryon.stf', '31', 's_90ec63e0', 'Yes, I do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tour_aryon.stf', '32', 's_91852029', 'I\'ve changed my mind and would like to think about this a bit more.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tour_aryon.stf', '33', 's_9b704e1e', 'The next election will start in less than a week.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tour_aryon.stf', '34', 's_9b77406a', 'Unfortunately, without the proper evidence, I cannot register your vote. Evidence can be anywhere from a written testimony from someone in the city, to a data disk containing valuable information. The evidence needs to be tied to a good deed. Do you have such evidence?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tour_aryon.stf', '35', 's_9bf39028', 'I am glad you\'re taking a part in this election. So many people have voted already and there will be tons more by night\'s end. I\'ll only register your vote if you have the proper evidence. Do you need more information? Or are you ready to vote?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tour_aryon.stf', '36', 's_9e562b00', 'It\'s just a few days until the next election begins.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tour_aryon.stf', '37', 's_9fadb4cd', 'The election won\'t begin for more than a day.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tour_aryon.stf', '38', 's_a44272b4', 'What evidence?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tour_aryon.stf', '39', 's_a87968a2', 'The next election starts within the hour.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tour_aryon.stf', '40', 's_ab50056b', 'I wish you well!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tour_aryon.stf', '41', 's_ae946995', 'The next election starts in just a few hours.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tour_aryon.stf', '42', 's_b1c70765', 'The capitol has been very active recently with the news of the new election. I have a new project that I\'m heading and have chosen two eligible candidates to work with me. However, to avoid the show of unfair favoritism, I have left it to the people of Bestine to select the politician whom best represents them. I\'ve been taking votes all day. It\'s been a long and tedious process, but it\'s been interesting. Are you here to vote?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tour_aryon.stf', '43', 's_b1e3db3e', 'Thank you for your vote. I will keep the tally in my database for when the election has been drawn to a close.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tour_aryon.stf', '44', 's_b51737ff', 'Yes, I wish to vote for him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tour_aryon.stf', '45', 's_bb225c00', 'I need more information.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tour_aryon.stf', '46', 's_bc2f5e3d', 'In less than a day the next election will begin.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tour_aryon.stf', '47', 's_bf3641cd', 'Excellent! I see that you have positive evidence to support Victor Visalis\' campaign. Do you wish to vote for him?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tour_aryon.stf', '48', 's_c1091f5a', 'It\'s always good to speak with one of our citizens. Are you here to speak about the little election I\'m staging?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tour_aryon.stf', '49', 's_ca478f48', 'Yes, I\'d like to get involved.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tour_aryon.stf', '50', 's_ccae64dd', 'On second thought, I think I\'m not quite ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tour_aryon.stf', '51', 's_de483def', 'I understand. Please take what time you need, but be sure to return before the election ends.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tour_aryon.stf', '52', 's_dfebee34', 'I completely understand. I too have to complete a lot of work before the election. Feel free to come by when you have time and vote.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tour_aryon.stf', '53', 's_e547fd1e', 'Yeah?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tour_aryon.stf', '54', 's_eea34749', 'Okay. Thank you!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tour_aryon.stf', '55', 's_f3d3efe5', 'Excellent! I see that you have positive evidence to support Sean Trenwell\'s campaign. Do you wish to vote for him?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tour_aryon.stf', '56', 's_f9c0d87f', 'I seem to be confused and don\'t know who won. Maybe I should cut back on the Corellian ale.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tour_aryon.stf', '57', 's_fad1aba', 'I have some evidence I\'d like to show you. It\'s for the election.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tour_aryon.stf', '58', 's_fb124268', 'No, I really need to go.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tour_aryon.stf', '59', 's_fbf7f817', 'It is imperative that I select the right man for the job. Just giving me a name won\'t do. You\'ll need to bring me evidence of a good deed in order for your vote to be registered. For example, if you wish to vote for Victor, you\'ll need to bring me evidence of a good deed he has done for the people of Bestine. The same goes for Sean. You\'ll want to speak with the various people around the capitol. I\'m sure they will have ideas for evidence. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tutorial_imperial_broker.stf', '1', 'do_not_edit', 'The English version of this file (tutorial_imperial_broker.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tutorial_imperial_broker.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tutorial_imperial_broker.stf', '3', 's_13a23fbc', 'Tell me what you can');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tutorial_imperial_broker.stf', '4', 's_169df3bb', 'Never mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tutorial_imperial_broker.stf', '5', 's_1b2086de', 'Black Epsilon?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tutorial_imperial_broker.stf', '6', 's_23ef3e33', 'Imperial Inquisition?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tutorial_imperial_broker.stf', '7', 's_2698cd26', 'Well, off you go, then. Use that terminal there to select your destination. I\'ll fly you there myself.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tutorial_imperial_broker.stf', '8', 's_2eee3e2e', 'Yes, sir!  How may I be of assistance?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tutorial_imperial_broker.stf', '9', 's_3930f2e7', 'Yes. The Imperial Inquisition. Enlighten me, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tutorial_imperial_broker.stf', '10', 's_3c9c6441', 'Imperial Inquisition is a special unit located in the Naboo system.  Their mission is highly classified.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tutorial_imperial_broker.stf', '11', 's_407fb5e3', 'Very well, ma\'am.  What about Storm Squadron or the Imperial Inquisition?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tutorial_imperial_broker.stf', '12', 's_42693321', 'I see.  What about Black Epsilon or the Imperial Inquisition?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tutorial_imperial_broker.stf', '13', 's_445a2be4', 'No. Never mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tutorial_imperial_broker.stf', '14', 's_4577214d', 'I\'m authorized to send you to one of three assignments, sir.  You can choose Storm Squadron in the Tatooine system, Black Epsilon in the Corellia system, or the Imperial Inquisition in the Naboo system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tutorial_imperial_broker.stf', '15', 's_4874a395', 'There\'s not much more I can say, sir, but I will add the location to your datapad.  Talk to the Imperial Pilot trainer in Kaadara.  You\'ll find the association hall in the main plaza.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tutorial_imperial_broker.stf', '16', 's_4b0c16d2', 'Are you recruiting Imperial Pilots?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tutorial_imperial_broker.stf', '17', 's_4cafd748', 'Storm Squadron?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tutorial_imperial_broker.stf', '18', 's_54818bbc', 'I don\'t know what you mean.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tutorial_imperial_broker.stf', '19', 's_5612445a', 'Tell me about Storm Squadron.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tutorial_imperial_broker.stf', '20', 's_57d2e86d', 'Yes. Tell me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tutorial_imperial_broker.stf', '21', 's_5817eef2', 'Yes, sir.  I can\'t release any specific details about their current engagements, but I will add the location of the Storm Squadron commander to your datapad.  He\'ll be glad to have a soldier of your standing.  You can find him in the Bestine Pilot\'s Club next to the capitol building on Tatooine.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tutorial_imperial_broker.stf', '22', 's_64bd89e0', 'There\'s not much more I can say, ma\'am, but I will add this location to your datapad.  Talk to the Pilot Trainer in the association hall on Kaadara, near the main plaza.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tutorial_imperial_broker.stf', '23', 's_6edcb265', 'Can I be a pilot?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tutorial_imperial_broker.stf', '24', 's_70f18874', 'I\'m not interested in that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tutorial_imperial_broker.stf', '25', 's_727cf8b6', 'What about Black Epsilon or the Imperial Inquisition?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tutorial_imperial_broker.stf', '26', 's_772c81dd', 'Yes, sir.  Black Epsilon is stationed at the Imperial Base on Talus, as Corellia itself is officially neutral... for now.  There are reports of considerable Rebel activity in the area, as you can imagine.  They could really use more pilots there, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tutorial_imperial_broker.stf', '27', 's_7b522690', 'It takes a special breed to be a pilot like me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tutorial_imperial_broker.stf', '28', 's_83a7ae89', 'Very well, ma\'am.  Please come see me if you change your mind.  The Empire could use more soldiers of your caliber in space!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tutorial_imperial_broker.stf', '29', 's_86cb9899', 'Yes.  Black Epsilon is stationed at the Imperial Base on Talus, as Corellia itself is officially neutral... for now.  There are reports of considerable Rebel activity in the area.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tutorial_imperial_broker.stf', '30', 's_8755e6eb', 'Very well, sir.  Please come see me if you change your mind.  The Empire could use more soldiers of your caliber in space!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tutorial_imperial_broker.stf', '31', 's_895d093', 'Ok.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tutorial_imperial_broker.stf', '32', 's_8c387e5c', 'Sir! Yes, sir!  Are you here to sign-up?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tutorial_imperial_broker.stf', '33', 's_8d91ee22', 'Was there something else, sir?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tutorial_imperial_broker.stf', '34', 's_8ed93c34', 'No, just checking.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tutorial_imperial_broker.stf', '35', 's_929272e8', 'Imperial Inquisition is a special unit located in the Naboo system, sir.  They tend to deal in highly classified missions, so I\'m afraid there\'s not a lot I\'m authorized to tell you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tutorial_imperial_broker.stf', '36', 's_987445c9', 'Thank you, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tutorial_imperial_broker.stf', '37', 's_98a4e725', 'Then tell me what you can.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tutorial_imperial_broker.stf', '38', 's_9f862c74', 'What about Storm Squadron or the Imperial Inquisition?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tutorial_imperial_broker.stf', '39', 's_a7d90105', 'Very well, sir.  What about Storm Squadron or the Imperial Inquisition?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tutorial_imperial_broker.stf', '40', 's_a8b71650', 'Yes, sir.  What about Black Epsilon or the Imperial Inquisition?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tutorial_imperial_broker.stf', '41', 's_ac926b4b', 'Was there something else, ma\'am?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tutorial_imperial_broker.stf', '42', 's_b0ea6e8c', 'Yes.  What do I need to do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tutorial_imperial_broker.stf', '43', 's_b26292fd', 'The Emperor is building a vast and powerful navy to defend the galaxy! We have been commanded to create vacancies within our ranks - for dutiful citizens such as you.  Among them are the Storm Squadron in the Tatooine system, Black Epsilon in the Corellia system, and the Imperial Inquisition in the Naboo system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tutorial_imperial_broker.stf', '44', 's_b2884420', 'I am a pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tutorial_imperial_broker.stf', '45', 's_b369f7cd', 'I know what you mean.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tutorial_imperial_broker.stf', '46', 's_b8884586', 'I\'m authorized to send you to one of three assignments, ma\'am.  You can choose Storm Squadron in the Tatooine system, Black Epsilon in the Corellia system, or the Imperial Inquisition in the Naboo system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tutorial_imperial_broker.stf', '47', 's_b89f31b', 'Imperial Inquisition is a special unit located in the Naboo system, ma\'am.  They tend to deal in highly classified missions, so I\'m afraid there\'s not a lot I\'m authorized to tell you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tutorial_imperial_broker.stf', '48', 's_b945b46a', 'Yes, ma\'am.  I can\'t release any specific details about their current engagements, but I will add the location of their own recruiter to your datapad.  If you\'ll speak with this officer in the Imperial Base on Talus, he will get you squared away.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tutorial_imperial_broker.stf', '49', 's_c2c89e35', 'Yes, ma\'am.  Black Epsilon is stationed at the Imperial Base on Talus, as Corellia itself is officially neutral... for now.  There are reports of considerable Rebel activity in the area, as you can imagine.  They could really use more pilots there, ma\'am.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tutorial_imperial_broker.stf', '50', 's_c8bbb089', 'I won\'t release any specific details about their current engagements, but I will add the location of their recruiting officer to your datapad.  You can find him in the Imperial Base on Talus, in the Corellia system. Use the travel terminal here to reach Corellia. From there - take a transport to Talus.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tutorial_imperial_broker.stf', '51', 's_cc37bca4', 'Yes, sir.  I can\'t release any specific details about their current engagements, but I will add the location of their own recruiter to your datapad.  If you\'ll speak with this officer in the Imperial Base on Talus, he will get you squared away.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tutorial_imperial_broker.stf', '52', 's_cd41504a', 'Yes, ma\'am.  I can\'t release any specific details about their current engagements, but I will add this location to your datapad.  Talk to the trainer in the Bestine Pilot\'s Club, near the capitol building on Tatooine.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tutorial_imperial_broker.stf', '53', 's_d0f9b54', 'I won\'t release any specific details about their current engagements, but I will add the location of the Storm Squadron pilot trainer to your datapad.  You\'ll find him in the Bestine Pilot\'s club on Tatooine, next to the capitol building. Use the travel terminal to reach Tatooine. Select the Bestine Township location.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tutorial_imperial_broker.stf', '54', 's_d28bda49', 'Would you be interested in either Black Epsilon or the Storm Squadron, ma\'am?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tutorial_imperial_broker.stf', '55', 's_d78c7ec0', 'Ma\'am!  Yes, ma\'am!  Are you here to sign-up?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tutorial_imperial_broker.stf', '56', 's_df2917b1', 'Tell me more');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tutorial_imperial_broker.stf', '57', 's_e0db13e8', 'Storm Squadron is one of the Empire\'s finest military units, in space or otherwise.  They\'re the very model of the sort of hard-core, dedicated, soldiers that secure the Empire throughout the galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tutorial_imperial_broker.stf', '58', 's_e671e2ef', 'You don\'t look like much of a pilot to me. You\'re not what we call, \'properly equipped\', if you know what I mean.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tutorial_imperial_broker.stf', '59', 's_ed23ffff', 'Are you interested in either Black Epsilon or the Storm Squadron, sir?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tutorial_imperial_broker.stf', '60', 's_ee369d68', 'What can you tell me about Black Epsilon?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tutorial_imperial_broker.stf', '61', 's_f202ee89', 'I can\'t tell you anything. It\'s highly classified. However, I can add the location of the unit\'s pilot trainer to your datapad.  You may speak to him in the main plaza association hall in Kaadara, on Naboo. Use the travel terminal here to reach Naboo. Choose the Kaadara starport as your landing site.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tutorial_imperial_broker.stf', '62', 's_f4792d0c', 'Good hunting!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tutorial_imperial_broker.stf', '63', 's_f4f79047', 'Greetings, citizen! Would you like to learn about exciting opportunities for pilots in the Imperial Navy?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tutorial_imperial_broker.stf', '64', 's_f5f50ae3', 'Of course.  My mistake.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/tutorial_imperial_broker.stf', '65', 's_fda95628', 'Yes, ma\'am!  How may I be of assistance?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/veezatt.stf', '1', 'do_not_edit', 'The English version of this file (veezatt.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/veezatt.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/veezatt.stf', '3', 's_10b2159c', 'Okay. Then, please come back when you do have some time... or when you get more nerve.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/veezatt.stf', '4', 's_1cbc0c17', 'I will help you. What do I need to do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/veezatt.stf', '5', 's_1fd7266f', 'I detest those Black Sun pirates. How can I help you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/veezatt.stf', '6', 's_24472ebb', 'Please run down to the starport. It\'s just around the corner. See our friend Gustan, and he will give you a starship. I will call him now and let him know you are coming. Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/veezatt.stf', '7', 's_2e18346d', 'I don\'t have time right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/veezatt.stf', '8', 's_3154c310', 'Who is this Ace pilot you speak of?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/veezatt.stf', '9', 's_363caa24', 'Black Sun pirates have been giving us no end of trouble... destroying our spice transports at their leisure! They\'ve whittled down our fighter cover to just a handful of pilots. Our last hired Ace pilot has gone missing... we hope she hasn\'t been bribed by the Black Sun. That would be disastrous!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/veezatt.stf', '10', 's_3712dfcf', 'This sounds a bit out of my league. I\'ll have to pass.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/veezatt.stf', '11', 's_3899d19b', 'I can\'t help you with this right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/veezatt.stf', '12', 's_3c79e34f', 'Who is this Ace pilot?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/veezatt.stf', '13', 's_3e4203de', 'No. Not right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/veezatt.stf', '14', 's_4040e35d', 'Okay. I\'d like to get started. Where do I find my starship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/veezatt.stf', '15', 's_4ac11e07', 'Gustan is an old friend. He\'s a Chevin. Good friend of Ephant Mon, actually... although they don\'t speak much these days. He is our starship supplier and will be glad to give you a vessel if you\'ll agree to help us out. What do you say?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/veezatt.stf', '16', 's_5047264d', 'Who is Gustan?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/veezatt.stf', '17', 's_54a4045a', 'She doesn\'t scare me. What can I do to help you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/veezatt.stf', '18', 's_5c84cdea', 'What sort of trouble are you in?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/veezatt.stf', '19', 's_5cf80479', 'Don\'t give me that! I\'m saving lives by recruiting trainees like you! So, are you going to help us or not?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/veezatt.stf', '20', 's_5da68d90', 'Okay! Just run down to the starport and see our friend Gustan. He\'s our ship supplier and will give you a starship... so long as I call him now and let him know you are coming. Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/veezatt.stf', '21', 's_5efdddd9', 'Yes. I would be interested.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/veezatt.stf', '22', 's_6a7bd77f', 'No, I\'m sorry. I must be going, now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/veezatt.stf', '23', 's_6b489d90', 'Sounds easy enough. Where can I get a starship?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/veezatt.stf', '24', 's_6bbbaca8', 'Just run down to the starport and see our friend Gustan. He\'s our ship supplier and will give you a starship... so long as I call him now and let him know you are coming. Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/veezatt.stf', '25', 's_6fb85199', 'That\'s fine. Then let\'s let someone else have a go, okay?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/veezatt.stf', '26', 's_7094042b', 'You got the guts to fly a starfighter? I hope so. We\'re in a tight spot and could really use a courageous pilot to zip into space and save some lives. Are you interested?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/veezatt.stf', '27', 's_7402e1fc', 'Yes. I would be happy to help you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/veezatt.stf', '28', 's_7c425918', 'What\'s the catch?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/veezatt.stf', '29', 's_8a3477e', 'Tell me more about your operation.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/veezatt.stf', '30', 's_8f2b06d', 'That sounds good. I\'d like to try again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/veezatt.stf', '31', 's_980adff3', 'Great! Then go down to the starport and meet with our starship supplier. He\'s a Chevin named Gustan, and he will give you a starship if I tell him to. In fact, I will call him now and let him know you are coming. Come back here and see me when you\'re done!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/veezatt.stf', '32', 's_987ab7a3', 'Okay. Come back when you are ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/veezatt.stf', '33', 's_9a2ca5b5', 'Then I wish you good fortune.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/veezatt.stf', '34', 's_9c07d9bd', 'So... what\'s wrong? Aren\'t you going to pick up your starfighter from Gustan and help us out?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/veezatt.stf', '35', 's_9da7df62', 'I cannot help you right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/veezatt.stf', '36', 's_a2f12b45', 'You may have heard of her: Yena Ak\'Naad. A very gifted Zabrak pilot. She was a good friend of ours for a long time. Helped us set up this operation. But something happened recently... something in her personal life. I really don\'t know too much about it, although our ship supplier, Gustan may know more.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/veezatt.stf', '37', 's_af50b7f6', 'You bet. Let me at \'em!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/veezatt.stf', '38', 's_b05428f8', 'Not at this time, thanks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/veezatt.stf', '39', 's_b1c5cc33', 'Wonderful! In that case, I\'ll need you to fly to the Merchant Station in quadrant IV. Help them get their transports to the checkpoint. If you do well, I\'ll have other work for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/veezatt.stf', '40', 's_bb1caf4a', 'This is a simple operation. Just my husband, Gustan, a few fighter pilots, and fewer transport ships. We move weapon components, spice, starship parts, and popular sundries all over the Outer Rim. But recently, the Black Sun have been giving us a lot of grief. We need brave pilots to help us get back on our feet... financially. Will you help us?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/veezatt.stf', '41', 's_bc19cda3', 'Yena Ak\'Naad. A very gifted pilot. She was a good friend of ours for a long time. Helped us set up this operation. But something happened recently... something in her personal life. I really don\'t know too much about it, although our ship supplier, Gustan may know more.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/veezatt.stf', '42', 's_bd50e620', 'So! Things wen\'t pretty well, did they? I\'m very impressed. Are you interested in doing more work for us?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/veezatt.stf', '43', 's_beff139a', 'That\'s a shame. I hope you find some courage and come back... we could really use the help!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/veezatt.stf', '44', 's_c233103f', 'Excellent! Then here is QUEST 2! Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/veezatt.stf', '45', 's_ce01ef1d', 'There are lives at stake? What are you doing down here, then?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/veezatt.stf', '46', 's_d98de4ec', 'I can\'t help you right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/veezatt.stf', '47', 's_d9db5117', 'Okay. Then please come back when you are ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/veezatt.stf', '48', 's_dacc6adc', 'Yes, I will. What do I need to do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/veezatt.stf', '49', 's_e43b57e4', 'I am willing to help you. What do I need to do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/veezatt.stf', '50', 's_eb28bc24', 'We used to be a part of the Hutt family - but now we are trying to start our own shipping business. Sure it would be helpful to have their protection... but that cuts into profit like you wouldn\'t believe!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/veezatt.stf', '51', 's_ecefa4c', 'Can\'t you get help from the Hutts?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/veezatt.stf', '52', 's_f067a84d', 'Well... sorry to hear that things didn\'t go so well for you out there. However, if you\'re willing to give it another try, I would be happy to get you back in the cockpit! What do you say?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questn_cantina.stf', '1', 'do_not_edit', 'The English version of this file (victor_questn_cantina.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questn_cantina.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questn_cantina.stf', '3', 's_19d90991', 'I don\'t have that kind of money.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questn_cantina.stf', '4', 's_3665cc86', 'Can\' ya\'see I\'m busy? Get ya\' lost!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questn_cantina.stf', '5', 's_36fef8c1', 'Go away then. I\'ve got things to do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questn_cantina.stf', '6', 's_51ac4991', 'Hmm. Here you go.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questn_cantina.stf', '7', 's_62bf3631', 'No, I haven\'t made room yet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questn_cantina.stf', '8', 's_6307f85c', 'Can y\'see I\'m busy? Get ya\' lost!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questn_cantina.stf', '9', 's_89278f85', 'Bah, yer back. Ye \'ave enough room yet?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questn_cantina.stf', '10', 's_8a0cf969', 'An\' here is yer paper--Uh... ye don\' \'ave enough room. Get rid o\'yer junk first an\' come back fer yer paper.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questn_cantina.stf', '11', 's_90ec63e0', 'Yes, I do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questn_cantina.stf', '12', 's_ac84b134', 'An\' here is yer paper. Now, go \'way.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questn_cantina.stf', '13', 's_c70282a3', 'What, yer back? I already gave ya what y\'need. If ya ain\'t gonna put it ta use, don\'t come cryin\' ta me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questn_cantina.stf', '14', 's_dcb68f7c', 'Yeh, I \'ave what y\'need. Y\'lookin\' fer some sort o\'evidence against that Victor Vis\'ilis? Wh\'evah his name is. He\'a been ignorin\' our \'illegal\' activites fer some time now. He even made\'a agreement wit\' us, wrote it on\'a paper even! Daft, I says. I\'ll give it to ya iffin\' ye pay me... two hunnerd credits.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questn_cantina.stf', '15', 's_f7347f40', 'Ye still don\'t \'ave enough room. Stop wastin\' ma\'time!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questn_cantina.stf', '16', 's_ff29a83c', 'Yer a cheapskate. Get ya\' lost.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questn_capitol.stf', '1', 'do_not_edit', 'The English version of this file (victor_questn_capitol.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questn_capitol.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questn_capitol.stf', '3', 's_11cdd7b1', 'And it would be best, for your health, not to come back.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questn_capitol.stf', '4', 's_42deb08e', 'Wasting my time is not a smart idea...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questn_capitol.stf', '5', 's_496168b6', 'I need your help...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questn_capitol.stf', '6', 's_4d313a', 'You\'re not suppose to be hanging around here, citizen. Move along.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questn_capitol.stf', '7', 's_6ddb06b2', 'And here you are. Now... get lost.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questn_capitol.stf', '8', 's_7dcdb445', 'There is an election going on at the capitol. You should  participate. Otherwise... move along, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questn_capitol.stf', '9', 's_90ec63e0', 'Yes, I do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questn_capitol.stf', '10', 's_99ef56dc', 'No, you don\'t. Again, come back when you do. And next time, you\'d better not waste my time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questn_capitol.stf', '11', 's_b9b27823', 'Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questn_capitol.stf', '12', 's_c1bf1629', 'You\'d be wise to join the Empire. The Rebel Alliance and its members have spiraled out of control. We\'re going to stomp them out of existence.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questn_capitol.stf', '13', 's_ce8d51fb', 'Look-oh? Looking for evidence, are you? I may be able to help with that. It would be a perfect opportunity to get even with that Victor fellow. Never mind the details. Here, you might find this... \'list\' entertaining. Be sure to say that you \'found\' it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questn_capitol.stf', '14', 's_d2df4599', 'I could help you... if you had enough room. Come back when you do and we\'ll talk.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questn_capitol.stf', '15', 's_d638d2ec', 'Move along.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questn_capitol.stf', '16', 's_da9a29e9', 'No, not yet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questn_capitol.stf', '17', 's_e50dbfc0', 'Fine. I\'m leaving.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questn_capitol.stf', '18', 's_f62e5a7d', 'Ah, you\'re back. Do you have enough room this time to get your precious evidence?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questn_capitol.stf', '19', 's_f688af52', 'Move along... oh, it\'s you again. Why haven\'t you used that list I gave... er... I mean, that you found... against Victor? Arrrgh! I was in a good mood after giving that to you, but now I\'m upset again. Just go take care of it already.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questp_hospital.stf', '1', 'do_not_edit', 'The English version of this file (victor_questp_hospital.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questp_hospital.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questp_hospital.stf', '3', 's_23306eeb', 'With the help from Victor Visalis, the orphanage is safe from the constant Sand People attacks. You should help by defending the people of Bestine.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questp_hospital.stf', '4', 's_23ac5f59', 'Victor Visalis. He\'s truly a great man. I wish I could help him in some way for being so generous.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questp_hospital.stf', '5', 's_2dc62c40', 'Uh... bye! Come back soon! And be sure to make a donation next time!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questp_hospital.stf', '6', 's_34c66631', 'Okay. Here you are. Complete registry and everything. I really hope this helps you in voting for Victor. I wish you well! Tell him I said \'thank you\' again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questp_hospital.stf', '7', 's_46462c3d', 'No, unfortunately, you do not. Please come back when you have enough room to receive the evidence.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questp_hospital.stf', '8', 's_4c7aa64d', 'Are you here to make a donation to the orphanage? No? I hear there\'s an election going on at the capitol. You should go and vote. I know I did.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questp_hospital.stf', '9', 's_58411386', 'No, I\'m not. Good bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questp_hospital.stf', '10', 's_67a10ef6', 'Who was the politician?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questp_hospital.stf', '11', 's_67e6df55', 'Okay.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questp_hospital.stf', '12', 's_705d8e7c', 'I wish you well, then.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questp_hospital.stf', '13', 's_7651d151', 'Are you here to make a donation to... oh, I remember you. I gave you a copy of my list of all the donations we\'ve received. Please be sure to let the governor see that... I want her to know about Victor\'s generosity.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questp_hospital.stf', '14', 's_90c73952', 'Excellent! Here you are. Be sure to thank Victor for me. Good day!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questp_hospital.stf', '15', 's_90ec63e0', 'Yes, I do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questp_hospital.stf', '16', 's_abdf450b', 'Oh, okay. Come back when you do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questp_hospital.stf', '17', 's_ad2e138', 'I know how you can.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questp_hospital.stf', '18', 's_b06dcd05', 'Here you are--Oops! Looks like you don\'t have enough room for this. Please come back when you do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questp_hospital.stf', '19', 's_da9a29e9', 'No, not yet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questp_hospital.stf', '20', 's_dafadce6', 'Yeah. Anyway, I have to go.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questp_hospital.stf', '21', 's_e0a4222c', 'You do? I\'m all ears. Hmm... really? I have just the perfect thing for your evidence. I always keep a sort of personal receipt system for all the donations I\'ve received just so no one will wonder where I keep getting all this money from. Let me make a copy. Hold on a second, will you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questp_hospital.stf', '22', 's_e4d6a9f4', 'Oh, you\'re back! Do you have enough room to receive your evidence now?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questp_hospital.stf', '23', 's_f2a042d2', 'Are you here to make a donation to the orphanage? We received a huge donation just the other week from a respectable politician. It is truly exciting. Our children can finally get the care they need because of him.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questp_slums.stf', '1', 'do_not_edit', 'The English version of this file (victor_questp_slums.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questp_slums.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questp_slums.stf', '3', 's_222d159b', 'Listen closely. The Sand People have been attacking the outskirts of the city. For some reason, the Empire has hidden this fact from those who do not live in the slums... not to panic everyone else, I guess. It\'s hard to live here. One particular night, a couple of months back, the Tuskens came. They killed several of us here. They took my son. I--I just don\'t want to think about it... about what could have happened that night.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questp_slums.stf', '4', 's_22977a6d', 'Done! Please take this written testimony. I hope it helps you and, most of all, helps Victor. I hope you have a good day.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questp_slums.stf', '5', 's_4117e563', 'Why are you back? I\'ve already given you my testimony. Why haven\'t you shown it to the governor? What are you waiting for? She needs to know this.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questp_slums.stf', '6', 's_41330c9c', 'I will help you as well as I can. What do you need? Oh? I would do anything for Victor. I\'d be happy to write my account of the happenings for you. Luckily, I know how to write. Victor funded my education as well. He\'s done so much for us. Give me a second..');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questp_slums.stf', '7', 's_41e66644', 'I\'m just a poor woman. I\'m not significant in this life, or to this city. But Victor Visalis heard of my misfortune and took pity on me. He took his own soldiers and destroyed the Tuskens. He returned my son to me! Can you believe that? I\'m so grateful.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questp_slums.stf', '8', 's_4f9d0087', 'Please take this written testimony--oh wait. You don\'t have enough room to accept it. Hmm... you should come back when you do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questp_slums.stf', '9', 's_540ac7e9', 'Continue.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questp_slums.stf', '10', 's_585b9214', 'Oh no. You don\'t have enough room again. Please come back when you do. I hope to see you soon.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questp_slums.stf', '11', 's_5a5e0913', 'That\'s sad. It\'s a good one. Come back when you\'re ready to hear it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questp_slums.stf', '12', 's_67e6df55', 'Okay.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questp_slums.stf', '13', 's_6ec1e03e', 'Okay then, come back later when you have more room.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questp_slums.stf', '14', 's_76cc19da', 'No, I still don\'t have room.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questp_slums.stf', '15', 's_76f08368', 'I\'m glad you liked it! I hope you are well today.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questp_slums.stf', '16', 's_8611417a', 'What story?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questp_slums.stf', '17', 's_a9ac4d51', 'Nice story. I must be going.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questp_slums.stf', '18', 's_aa91e763', 'No time for stories.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questp_slums.stf', '19', 's_b6d2944c', 'I\'m glad you\'ve returned. Did you want your evidence now? I hope you have enough room.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questp_slums.stf', '20', 's_b8dac377', 'I\'m so glad! Please take this testimony. I wish you well in your life!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questp_slums.stf', '21', 's_d5f19466', 'I need your help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questp_slums.stf', '22', 's_dcb207ac', 'I don\'t recognize you. You don\'t belong in this part of town. I hear there\'s a lot of commotion at the capitol. Something about an election. You should go and see what it\'s all about.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questp_slums.stf', '23', 's_ee6997ba', 'I do, thank you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questp_slums.stf', '24', 's_f25283c7', 'I knew you\'d come. The story should be told to everyone. It has a good moral to it, I think.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_questp_slums.stf', '25', 's_f8cdce4', 'I can barely go outside anymore to do my chores. I fear for my child. I don\'t want him to be kidnapped again. An election should be coming up soon. I\'d choose Victor Visalis. He would keep us poor citizens safe.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '1', 'do_not_edit', 'The English version of this file (victor_visalis.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '3', 's_113169f8', 'You? What could you do? I-ugh. Very well. You may help us. I need for you to go to the Fortress. Our spies have witnessed a power never seen before and it lurks there. A \'brand\' of Sand People never mentioned in any book. We think it may be the leading power in the Tusken community, if one could call it that. Kill it. Bring back some significant proof that you\'ve killed it, yes?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '4', 's_1285849e', 'I\'ve decided to vote for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '5', 's_177e9cb7', 'Yes! I will help you!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '6', 's_1a50f0d3', 'Tell me more about the Tuskens.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '7', 's_1b6edbfe', 'Here you are. You\'ll need evidence in order for your vote to be registered. It is my understanding that my secretary receives letters from the people of Bestine, thanking me for my assistance. She may know the information you seek. I must return to my duties.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '8', 's_1c1db559', 'Stones? Hmm... They seem to be valuable. Rare, you say? I heard that there are merchants looking for such things over in the city\'s new market place. However, I hear that those particular merchants are rare. You may have to keep an eye out for them. That is all I know, really.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '9', 's_23e4ded2', 'Um.. no.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '10', 's_24f8534b', 'Greedy, are you? You already received a \'reward\' from me. I must return to my duties. Now, be gone.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '11', 's_26684a50', 'Very well. Be safe, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '12', 's_269510f1', 'You must travel to the site of the Sand People Fortress and search it for a very powerful Tusken Raider. The Sand People place significance on this particular leader. It has never been seen before, has never been mentioned in any book. We can only assume that, with its destruction, the Sand People will leave the people of Bestine alone for good. My contacts have mentioned an extensive cave system below the Fortress. Search there first.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '13', 's_26e91e91', 'I see that you have joined the campaign of my opponent. I am disappointed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '14', 's_28586fd5', 'Very well.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '15', 's_30e8118', 'Just checking up on things. Bye!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '16', 's_3516c87', 'I see that you\'re a coward. Very well.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '17', 's_380817dd', 'I found these weird stones.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '18', 's_390b2857', 'Let me help!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '19', 's_41012fd2', 'You can speak with my secretary on the subject. She will know all the details for what you seek.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '20', 's_42c394e0', 'I\'m lost. What do I need to do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '21', 's_435f07d4', 'Hey wait! What about my reward for voting for you in the last election?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '22', 's_486664dd', 'To make it short and clear, my proposed changes for Bestine would be to increase the number of Storm Troopers within Bestine. I plan to establish a special force of Troopers to eradicate the more... dangerous of scum from the city.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '23', 's_4e29a0ab', 'I see that you are eager to join my campaign. Do you have the proper evidence against Sean Trenwell? Without it, you\'ll not be able to join my campaign.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '24', 's_52a836a3', 'If you\'re serious about joining my campaign, you\'ll stop wasting my time and go find the evidence I seek. Again, talk with my secretary for more details.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '25', 's_540ac7e9', 'Continue.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '26', 's_5492e753', 'I wish to join your campaign.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '27', 's_57218e96', 'I am much too occupied at the moment. You may return when the election begins again. Speak with Bestine\'s citizens. They usually speak of it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '28', 's_572eae57', 'Good. You are wise to agree with my views regarding Bestine and its state of defense. As I may have mentioned, I will give you a diskette to explain anything you may have missed. As for evidence, you will need to speak with several others. It is my understanding that my secretary receives letters from the people of Bestine, thanking me for my assistance. She may know the information you seek. I must return to my duties.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '29', 's_578e3372', 'Of course, and I thank you for voting for me. I greatly appreciate it. If I win, come back and speak to me so that I can reward your loyalty.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '30', 's_59c941ec', 'Time is running out and I have too much to do to explain the intricacies of politics with you. If you decide to join my campaign, I will offer you a diskette that will further explain the process.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '31', 's_5bccff58', 'That is my intention, though I\'m surprised to discover that you already voted for Sean Trenwell. I don\'t see how anyone could justify doing that, but apparently you found his ideas palatable. I can\'t imagine what had to happen to make that possible, and frankly, I don\'t want to know.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '32', 's_5c46daeb', 'I\'ve changed my mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '33', 's_6641e79e', 'I have destroyed the intended target.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '34', 's_66e44ee', 'I\'m surprised you voted for Sean Trenwell in this election. I don\'t see how anyone could justify doing that, but apparently you found his ideas palatable. I can\'t imagine what had to happen to make that possible, and frankly, I don\'t want to know.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '35', 's_6775ddea', 'Stressful.  I will use my place in office to my advantage during this dangerous time. We must strike at the heart of the Sand People resistance. I have sent some of Bestine\'s toughest soldiers to the Tusken Fortress. Unfortunately, they have not returned to us. I fear for the worst. For the first time in my life, I am at a loss...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '36', 's_67dbab18', 'Sorry, I have to go.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '37', 's_6ac98e49', 'I have it, yes.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '38', 's_6c1a2811', 'Regardless... if you are serious about the whole ordeal, I suggest you speak with others within the capitol and throughout the city. I am sure I have touched a few lives in my passing, but I do not remember such frivolous things. Should you decide to join my opponent\'s campaign and uncover the dirt that\'s bound to be in his past, bring it to me. It is the only way I\'ll let you back into my campaign if you decide to help him instead.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '39', 's_6cf7afee', 'I should go.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '40', 's_700330a5', 'I can\'t find any evidence.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '41', 's_70973a58', 'The city of Bestine is severly lacking when it comes to defense. It is my main concern. The Tusken Raiders have become more daring and have constantly tried to launch attacks against the outer walls of the city. Several people have died. The Empire has kept it quiet, preventing it from reaching the common folk of Bestine. I fear the Tuskens will launch a more devastating attack in the days to come. Several of my sources have confirmed my suspicions.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '42', 's_72a766a9', 'Good. Leave with haste. Our target may leave for a more... safe place soon. We must strike when it least expects it and when it is most vulnerable. Travel to Fort Tusken and search there. I wish you luck.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '43', 's_73f65b89', 'Thank you. Soon, Bestine will be safe again. I thank you for your support. If I win the election, return to me and you will be greatly rewarded.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '44', 's_798f58f7', 'Yes and I voted for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '45', 's_7c4e7b68', 'Ahh, excellent. I am satisfied. You have proven your worth and want to join my campaign. Are you sure you want to join us?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '46', 's_7ce36b97', 'I am disappointed. Very well. You have been released from your mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '47', 's_81eb46c0', 'I see that I have already given you your reward for this particular task. Unfortunately, I cannot give you another. I wish you well. Please continue to serve Bestine. Our city is already in debt to you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '48', 's_82af0027', 'Hey wait! What about my reward for voting for you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '49', 's_82dcbdca', 'Ah, thanks for voting for me in this election. I really appreciate it. If I win, come back and speak to me so that I can reward your loyalty.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '50', 's_87b97dc', 'I need to go. I\'m sorry.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '51', 's_8999ec9b', 'I decided not to vote for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '52', 's_8d1a9cd2', 'Odd. I\'ve never seen objects like these before. However, they do seem to be very valuable. You may be able to find more information regarding these stones in the new market place. A merchant may know what to do with them. I hear that many of the merchants come and go regularly so you may not be able to find this particular merchant immediately. Keep your eye out though. Merchants can be fickle about their business hours.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '53', 's_9201d81b', 'I have to go. Bye!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '54', 's_9e0196ed', 'Yes, I am sure.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '55', 's_a19e3981', 'I am now in office, this much is true. However, I have matters on my mind to which I must attend. Is there something you need?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '56', 's_a58217e0', 'You\'ll need to come back when you have more room.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '57', 's_a76ad142', 'I\'m going to vote for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '58', 's_aa1a9de6', 'Can you feel that? The Sand People are getting restless. I can sense it from here. Bestine will not be safe unless we recruit more Imperial Troopers to defend the city. If my... opponent wins the election, I am afraid of what may happen to the people of Bestine. But enough of this. How may I help you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '59', 's_adc1f0dc', 'Return when you have more room. I must return to my duties.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '60', 's_b0c249bb', 'You are wise to agree with my views regarding Bestine and its state of defense. As I may have mentioned, I will give you a diskette to explain anything you may have missed. As for evidence, you will need to speak with several others. It is my understanding that my secretary receives letters from the people of Bestine, thanking me for my assistance. She may know the information you seek. I must return to my duties.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '61', 's_b826b85a', 'I want to join your campaign.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '62', 's_bae6b22d', 'What are your proposed changes for Bestine?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '63', 's_c135d871', 'That\'s unfortunate. I suppose you care more of museums, historians and new market places than the lives of others. Very well.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '64', 's_c2b746c2', 'You have returned. Did you find the proper evidence the governor requires?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '65', 's_c34a7f30', 'A wise choice. However, I know that words do not weigh much in this life. It is action that makes or breaks a nation. The governor has ridiculous restrictions on the voting process. By her words, you will need evidence in order to vote -- evidence of a good deed I have done. Childish.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '66', 's_c74fd908', 'I am a bit suspicious... Thank you, then, for your vote. I must get back to work. Good day.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '67', 's_c82e9a2f', 'Yes, please.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '68', 's_ca4e3819', 'I see you have returned. Last we spoke, you didn\'t have room for the diskette. Would you like it now?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '69', 's_cbb4f307', 'I\'m still looking for our target.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '70', 's_cc9cab18', 'Oh yes! It almost slipped my mind. Here you are.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '71', 's_ce06af62', 'Things are going extremely well. Thank you for your help earlier. Bestine is now a safer place. Is there anything I can help you with?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '72', 's_cf6147b3', 'That is a pity. And to think I thought you were the intelligent sort... Very well. Good day.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '73', 's_d041eb82', 'I don\'t want to join your campaign.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '74', 's_d6a9a15d', 'I\'m here to vote for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '75', 's_d987b9fe', 'Very well, then. Be sure to return when you\'ve seen that our views are the right path.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '76', 's_da9a29e9', 'No, not yet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '77', 's_dcd4d8d5', 'What is there to tell... The Tuskens have become more and more restless with each passing day. New cities have sprung up from the sand literally overnight, backing the Sand People into a small corner of the planet. I fear Bestine is next on the chopping board, so to speak. I have sent several scouts to keep an eye on them. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '78', 's_de1eacb3', 'Now that another election has begun, are you planning to get re-elected?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '79', 's_dea56128', 'I have to go.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '80', 's_df711673', 'Ah yes! Indeed you have. Perhaps now the Sand People will leave the people of Bestine alone. I am grateful. Here is your reward.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '81', 's_e52ed44', 'It is my hope that my soldiers will return. I must return to my duties. Good day.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '82', 's_e6a20ca5', 'Unfortunately, you cannot just change your mind when the time is only convenient for you. To prove yourself, you\'ll need to find evidence that will prove my rival is as ruthless as I think he is. Again, talk with my secretary. I have too much to do at the moment to explain it to you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '83', 's_e8aff3cd', 'Absolutely. I fully intend to win over Mr. Trenwell once again. We need to keep his meddlesome ideas out of Bestine. Bestine needs more defense and it is defense that I shall give them! Keep me in office and vote in the next election with the governor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '84', 's_e955e18', 'Our \'target\' is in the Fortress. I am unsure of the direct location of where it may be hiding. Most likely,  it could be within the cave system beneath the actual Fortress. Return to me when you have succeeded in your task. Remember, I need proof you have eliminated the target.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '85', 's_e9a49e3', 'Sounds like a tough deal.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '86', 's_eafac099', 'I\'m glad you have agreed to join my campaign. However, in order to receive the diskette, you\'ll need more room. Please come back when you do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '87', 's_edafb11b', 'How goes your work now that you\'re in office?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '88', 's_ee26e33e', 'No thanks!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '89', 's_f594d753', 'Everything\'s going well. I am awaiting word from Fort Tusken. Excuse me. I must return to my work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '90', 's_f70821a3', 'I quit!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/victor_visalis.stf', '91', 's_fc5485d3', 'My opponent will put the city\'s money into worthless things--markets, hiring historians, a museum--which will severely reduce our defenses. I cannot have that happen. We need to increase the defense... or many will die.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder.stf', '1', 'do_not_edit', 'The English version of this file (village_elder.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder.stf', '3', 's_199fe2af', 'I sense you already have a crystal and do not need another.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder.stf', '4', 's_4dfe3937', 'Yes, you might at that. Do you have any skills we might be in need of?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder.stf', '5', 's_688b65', 'Hello, I am Elgin Seropf, elder of this village. What brings you to our home?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder.stf', '6', 's_7d804cc7', 'You would be looking for Captain Sarguillo. He is about 30 meters to the Southeast from here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder.stf', '7', 's_7f56b89c', 'You will want to visit out Chief Engineer. He lives along the south wall near out communications and sensor array.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder.stf', '8', 's_85e90557', 'I seem to have misplaced my Force crystal, may I have another?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder.stf', '9', 's_a9e1f5c2', 'I can help provide security for your village.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder.stf', '10', 's_ba08eb80', 'Ahh, you are looking for Fyona our doctor. She is right over there under the medic tent.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder.stf', '11', 's_bdd3bae5', 'Here you are.  Remember you may use the crystal to view your progress.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder.stf', '12', 's_d931cb17', 'I am a medic, I was wondering if you needed any assistance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder.stf', '13', 's_efefc64f', 'I am a craftsman. I would be able to help you rebuild some of this.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder.stf', '14', 's_fb95fc83', 'I was sent here by an old man that seemed to think I had some kind of destiny here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_1.stf', '1', 'do_not_edit', 'The English version of this file (village_elder_1.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_1.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_1.stf', '3', 's_199fe2af', 'I sense you already have a crystal and do not need another.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_1.stf', '4', 's_22163d24', 'I can help defend if they come back..');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_1.stf', '5', 's_2eaf06cc', 'I can help treat the wounded.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_1.stf', '6', 's_3c6f20b4', 'I will find the captives for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_1.stf', '7', 's_43fe619a', 'Thank you. There has been enough loss of life already without their blood being spilled as well. Speak to Whip just South of here near the front entrance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_1.stf', '8', 's_455d6edc', 'They aren\'t real Sith. They just have some strange devotion to that evil race. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_1.stf', '9', 's_47f6c42', 'Many of our best defenders fell in the battle. We could certainly use the help. Check with Captain Sarguillo right over there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_1.stf', '10', 's_5357267d', 'The Sith have been extinct for ages. Their fire has gone out of the galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_1.stf', '11', 's_55273aaf', 'Did you see them?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_1.stf', '12', 's_72752682', 'Those Sith animals! They destroyed our village! They came out of nowhere... overwhelmed our defenses. We thought we were protected... but, we stood no chance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_1.stf', '13', 's_7587a16a', 'Thank you, that would be very helpful. Our medic has some droids to help her, but I am sure she would appreciate your help. Her name is Sivarra Mecheaux, and she can be found at the healers tent West from here along the wall.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_1.stf', '14', 's_83ac5888', 'I\'m not too bad with a hydrospanner and power mallet.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_1.stf', '15', 's_854985e0', 'I can help defend if they come back.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_1.stf', '16', 's_858f16f4', 'I am a good scout, maybe I can locate these gangers for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_1.stf', '17', 's_959b429b', 'What we really need is someone to find our captured villagers. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_1.stf', '18', 's_9ce75ab2', 'We were actually quite well defended. But they burned right through our shield. The turrets couldn\'t stop them and were destroyed. Then they reached the walls near the entrances. After that, all that was left was the pillaging and looting.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_1.stf', '19', 's_9dc8bf5d', 'I seem to have misplaced my Force crystal.  May I have another?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_1.stf', '20', 's_a43672b0', 'They aren\'t Sith, but they are certainly ruthless and powerful.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_1.stf', '21', 's_ab969608', 'Our sensor array was damaged in the attack and our chief engineer was killed. Maybe you could see if you could fix it. It\'s East of here, against the wall.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_1.stf', '22', 's_b6101821', 'Did I see whom?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_1.stf', '23', 's_bdd3bae5', 'Here you are.  Remember you may use the crystal to view your progress.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_1.stf', '24', 's_ded598ce', 'Yes we do. Our sensor array was damaged in the attack and our chief engineer was killed. Maybe you could see if you could fix it. It\'s East of here, against the wall.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_1.stf', '25', 's_e477ab86', 'What kind of defenses are you talking about? This looks like a lost agro-colony.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_1.stf', '26', 's_f0d5416', 'That they are and the ruins you see here bear witness to that statement.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_1.stf', '27', 's_f0e7a84', 'Ah, I see. real or not, from the looks of things they certainly were out for blood.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_1.stf', '28', 's_f8ff425b', 'They sure got it. We\'re devastated. Most everything is in ruins, and many of our people are hurt.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_2.stf', '1', 'do_not_edit', 'The English version of this file (village_elder_2.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_2.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_2.stf', '3', 's_1414eb3a', 'It sure couldn\'t hurt. Thank you for your help. We need both craftsmen and supplies. What would you prefer to do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_2.stf', '4', 's_1607b22e', 'Those supplies are key to everything else.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_2.stf', '5', 's_199fe2af', 'I sense you already have a crystal and do not need another.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_2.stf', '6', 's_278134b4', 'I am sure the people would be very appreciative for whatever you could find. Please speak to Eozlin to the northwest.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_2.stf', '7', 's_2f1f1ed', 'Yes... yes, maybe they will be too busy defending themselves to attack us again. Please speak to Dageerin as soon as possible. He is over by the communal buildings A few meters west of here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_2.stf', '8', 's_4ecdf473', 'We need to take the fight to them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_2.stf', '9', 's_57c6f33', 'Great, you need to speak with Quharek. You can find him at the construction site to the north along the wall..');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_2.stf', '10', 's_5bdbe99a', 'I\'d like to help rebuild the defenses.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_2.stf', '11', 's_5d7558d4', 'Thanks for those supplies. They really are coming in handy.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_2.stf', '12', 's_5e0af20b', 'You bet. Anything else I can do to help?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_2.stf', '13', 's_70509760', 'Sounds like you need better defenses. I can help you rebuild them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_2.stf', '14', 's_70a99316', 'Very logical. We are in desperate need of those supplies. Whip can get you set up for that. He\'s by the front gate just a few meters south of here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_2.stf', '15', 's_7471e00a', 'That\'s the spirit! Show them we won\'t lay down for this injustice. Speak to Dageerin to the west, over by the communal buildings.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_2.stf', '16', 's_8caad960', 'What supplies? I didn\'t bring you any supplies.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_2.stf', '17', 's_96bf47c1', 'Oh, excuse me then. There\'s been so many coming and going lately I have lost track. We\'re rebuilding after a recent attack.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_2.stf', '18', 's_9940e942', 'You need to find them and stop them at their source.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_2.stf', '19', 's_9dc8bf5d', 'I seem to have misplaced my Force crystal.  May I have another?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_2.stf', '20', 's_a601e626', 'Good idea. We wouldn\'t stand up to any attack in our current shape. Talk to Quharek. He\'s at the construction site north of here along the wall.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_2.stf', '21', 's_a60bdc2c', 'You have a point. I think you should talk to Whip by the front gate south of here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_2.stf', '22', 's_bd4cef4a', 'Yes, please. That Sith Shadow gang is still trying to destroy us. We\'re running low on supplies because our convoys can\'t get through, and we\'re sitting ducks right now if they decide to attack.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_2.stf', '23', 's_bdd3bae5', 'Here you are.  Remember you may use the crystal to view your progress.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_2.stf', '24', 's_c3add11e', 'A gang called the Sith Shadows. They are still out there, planning their next attack I am sure.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_2.stf', '25', 's_c7c2a3b0', 'I\'d like to help gather supplies and resources.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_2.stf', '26', 's_c8f614a1', 'Thank you so much. Our supplies are running dangerously low. Our first priority was to rebuild the dwellings that got destroyed in the attack, so now we are short on both building materials and supplies. Please check with Eozlin on what you can help with. You can find him to the northwest outside his hut.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_2.stf', '27', 's_cc6522f9', 'Who would attack an agro-colony?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_2.stf', '28', 's_d6a8b96b', 'That\'s an excellent idea. Perhaps if we attack them directly we can take some of their attention away from their attacks on our supply convoys. They have been either destroying or turning back all of the convoys that have been headed to us.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_3.stf', '1', 'do_not_edit', 'The English version of this file (village_elder_3.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_3.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_3.stf', '3', 's_199fe2af', 'I sense you already have a crystal and do not need another.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_3.stf', '4', 's_32705167', 'What are phase relay filaments?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_3.stf', '5', 's_4d973713', 'That\'s what we\'re doing. Well, building one from scratch really. We\'ve got the beginnings of a Mark 4 shield generator right over there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_3.stf', '6', 's_5d8d739e', 'How are you getting the resources for such a massive project? ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_3.stf', '7', 's_6857cea2', 'You\'re kidding. I\'ve got to get in on this! where do I sign up?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_3.stf', '8', 's_6acff81', 'I like your enthusiasm. Speak to Quharek near the shield generator construction site. I am sure he will appreciate the help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_3.stf', '9', 's_6aefa2ce', 'Well, I could see about finding resources. What do you need?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_3.stf', '10', 's_78eeb91e', 'Phase relay filaments? They are only used for repairing starship shields.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_3.stf', '11', 's_893aaeea', 'Usually I\'d laugh at that, friend. No, we actually do have need of it. We were recently assaulted by a gang calling itself the Sith Shadows. They killed many of our people and destroyed our crops and much of the village.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_3.stf', '12', 's_9dc8bf5d', 'I seem to have misplaced my Force crystal.  May I have another?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_3.stf', '13', 's_abd57d77', 'That would be most helpful. Speak to Dageerin to the west over by the communal huts.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_3.stf', '14', 's_ac2de13b', 'Mostly resources for the shield. Speak to Eozlin to the northwest of here. He should be able to tell you the specifics.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_3.stf', '15', 's_afcc98d2', 'A shield generator for an agro-colony? You must grow really juicy Maroj Melons.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_3.stf', '16', 's_b77f095d', 'Watch out! Someone dropped a box of phase relay filaments around here. They can get into your electronics and short them out. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_3.stf', '17', 's_bdd3bae5', 'Here you are.  Remember you may use the crystal to view your progress.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_3.stf', '18', 's_cc50daed', 'We\'re building a Mark 4 shield generator to defend our village. They are used in that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_3.stf', '19', 's_cf4025df', 'I\'d be willing to sweep the area for their spies and outposts.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_3.stf', '20', 's_e1b39e83', 'Well you don\'t need a shield for that. You just need me! ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_3.stf', '21', 's_efa47d4e', 'Your confidence is impressive. I hope it\'s not empty bravado. Speak to Captain Sarguillo right over there. He\'ll give you all the blood and guts you can stand.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_3.stf', '22', 's_f5d9b5d4', 'Supply convoys mostly. When they can get through the Sith Shadow attacks that is. The margin between what we have and what we need always stays slim, however.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_4.stf', '1', 'do_not_edit', 'The English version of this file (village_elder_4.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_4.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_4.stf', '3', 's_12b92ec4', 'I sure hope so, but I think we\'re going to need more help than just the shield generator and blaster turrets.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_4.stf', '4', 's_17446822', 'I am tough enough to pull the ears off a gundark.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_4.stf', '5', 's_199fe2af', 'I sense you already have a crystal and do not need another.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_4.stf', '6', 's_448b67d0', 'They seem to be our bane. For some reason they assaulted our village many days ago. We\'ve been rebuilding and reinforcing our village ever since.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_4.stf', '7', 's_48fd623', 'Speak to our new chief engineer, he is new and a bit frazzled. You would be a great help to him. You can find him to the East at his hut near the sensor array.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_4.stf', '8', 's_4d4da25b', 'I am a medic. I could help heal your soldiers.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_4.stf', '9', 's_8aa931e3', 'Be careful, we\'ve received information that the Sith Shadows will attack soon.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_4.stf', '10', 's_8c109ae0', 'I am sure Sivarra will need all the help she can get. You can find her at the medic tent to the Northwest.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_4.stf', '11', 's_97092ac2', 'I\'m a crafter, what can I do in a battle?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_4.stf', '12', 's_9dc8bf5d', 'I seem to have misplaced my Force crystal.  May I have another?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_4.stf', '13', 's_a098d669', 'Again? Haven\'t they learned their lesson?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_4.stf', '14', 's_aba5c1a8', 'You look pretty well defended.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_4.stf', '15', 's_ae755ac3', 'Well we need good skirmishers to meet them head on. Speak to Captain Sarguillo, right over there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_4.stf', '16', 's_bdd3bae5', 'Here you are.  Remember you may use the crystal to view your progress.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_4.stf', '17', 's_d1431da3', 'Apparently not. I think they are looking to finish us off this time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_4.stf', '18', 's_de1f69ee', 'Well they are going to have a tough time with all the new defenses.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_4.stf', '19', 's_e0741a0c', 'Captain Sarguillo has need of good soldiers like you. He\'s right over there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_4.stf', '20', 's_e5a75b57', 'Who are the Sith Shadows?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_elder_4.stf', '21', 's_f24ae96', 'I\'m a crack shot with a blaster.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_quharek.stf', '1', 'do_not_edit', 'The English version of this file (village_quharek.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_quharek.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_quharek.stf', '3', 's_16cc0ae1', 'What are you waiting for? Go get that sensor array repaired!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_quharek.stf', '4', 's_1b7f8e6d', 'Good! You\'d better get to work then. The sooner we get that thing back online, the better!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_quharek.stf', '5', 's_27808b0b', 'Good show! If you help us out with this, I will help you learn to use the Force to enhance your assembly skills.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_quharek.stf', '6', 's_4beb938f', 'Yes, I suppose I am.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_quharek.stf', '7', 's_52acc0', 'That\'s a shame. If you find someone who will... send \'em over.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_quharek.stf', '8', 's_5ec4a1e', 'Alright, well if you see someone who is... send \'em over.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_quharek.stf', '9', 's_6a934b47', 'Master... I must find the master.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_quharek.stf', '10', 's_75cdc0ad', 'On second thought, I don\'t think that I can help you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_quharek.stf', '11', 's_8459377a', 'Yes, I will go repair the sensor array.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_quharek.stf', '12', 's_8abf86da', 'You want me to take a look at the sensor array?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_quharek.stf', '13', 's_8d878ba7', 'That\'s a shame. If you find someone who can... send \'em over.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_quharek.stf', '14', 's_9ae334e4', 'I think that I can handle that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_quharek.stf', '15', 's_9cdcc110', 'That\'s it exactly. You catch on quick. If you will, take a look at the damage, see what needs to be repaired, and fix it up for us.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_quharek.stf', '16', 's_a4a9c8e0', 'Oh, in that case I\'d rather not do it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_quharek.stf', '17', 's_ac061a6f', 'That sounds fine to me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_quharek.stf', '18', 's_b2dd509a', 'Great. Our sensor array was damaged in the last attack on this village by the Sith Shadows. It needs to be repaired, but unfortunately, our chief engineer was also killed in the attack.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_quharek.stf', '19', 's_be3bc184', 'Hey! You got that all fixed up, didn\'t you? And just in time. You\'re all right, you know that?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_quharek.stf', '20', 's_c9f1dbdc', 'That doesn\'t sound like something that I can do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_quharek.stf', '21', 's_e05cc4d4', 'What\'s going on here? I\'m all confused! I don\'t know what\'s going on!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_quharek.stf', '22', 's_e26f0607', 'Of course you understand that this job will take a while, and if you agree to fix this thing, you won\'t be able to help anyone else with anything for a while, right?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_quharek.stf', '23', 's_ebabb0f8', 'You there! Are you handy with a set of tools?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_quharek.stf', '24', 's_f1a421d', 'Say, I know you. They tell me you\'ve been a great help. Good job.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_quharek.stf', '25', 's_f474ed78', 'Not really no.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_quharek.stf', '26', 's_fae10418', 'What are you doing here? You shouldn\'t be here!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_quharek.stf', '27', 's_faf1fbe4', 'You there! Are you handy with a set of tools? Eh... looks like you\'re too busy to help me anyway. Nevermind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_sarguillo_2.stf', '1', 'do_not_edit', 'The English version of this file (village_sarguillo_2.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_sarguillo_2.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_sarguillo_2.stf', '3', 's_1cf74704', 'No. Kind of busy here coordinating patrols. What can I do for you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_sarguillo_2.stf', '4', 's_55d76f7', 'Are you talking to me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_sarguillo_2.stf', '5', 's_59b666a8', 'I\'ve already talked to the Elder. I want to help with combat.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_sarguillo_2.stf', '6', 's_7c5b4636', 'You should speak to the Elder. He can give you all the help you need.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_sarguillo_2.stf', '7', 's_c96d6885', 'I\'m here to offer my assistance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_sarguillo_2.stf', '8', 's_ee7d6b1f', 'Good. Glad to have you aboard, but you\'ll need to speak with Dageerin for your assignment. He\'s over by the communal huts northwest of here. He has temporarily assumed command of the assault groups while I organize the defense.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_sarguillo_2.stf', '9', 's_ffe08b69', 'Check sector 4. The sensor array is indicating movement in that area. Probably just more brackasets.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '1', 'do_not_edit', 'The English version of this file (village_whip.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '3', 's_106cd909', 'I understand. Just come back if you change your mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '4', 's_1dac49d2', 'I hope you find them soon. Good-bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '5', 's_22a5c907', 'Hello.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '6', 's_22d4c864', 'I think that I can help with that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '7', 's_24aab8ee', 'Right! I\'ll get back to it!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '8', 's_2fdb8fbd', 'On second thought, I don\'t think I can help right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '9', 's_321d7941', 'I see. Well come back if you change your mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '10', 's_32360540', 'Now is not really a good time. If you\'re looking for some way to help, you should go talk to Captain Sarguillo.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '11', 's_33b9135e', 'As do I. Good-bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '12', 's_34ea67b6', 'Yes, that is fine.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '13', 's_35ee8c91', 'Blast it all, the count is still coming up short. Oh, I\'m sorry, hello.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '14', 's_39f2cf64', 'Our struggle against the Sith Shadows has waged for many moons. We just recently repelled an attack against our village, but not without some losses, I\'m afraid.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '15', 's_3c9eddca', 'Master... I must find the master...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '16', 's_3e543459', 'Wonderful. You may want to begin by finding where the Sith Shadows went after we drove them away from the village. Our trackers have found a set of tracks leading off in this direction. That would be a good place to start.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '17', 's_40681425', 'I took a head count of both the survivors and the casualties, and the number came up short of what was expected. I fear the worst has happened.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '18', 's_455e077f', 'I\'m sorry, I thought you were someone else.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '19', 's_4d0a11ef', 'You failed? That is disappointing, but we shouldn\'t dwell on it. There are still more that are missing. Our trackers have found a new set of tracks leading in this direction.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '20', 's_4d59f240', 'It seems like it\'s one thing after another around here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '21', 's_54d57caf', 'I don\'t think that I can help with this task.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '22', 's_550396aa', 'Well, we haven\'t received a shipment in some time, and we are in dire need of supplies.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '23', 's_551d5a8f', 'No one noticed they were taken captive?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '24', 's_5d0073c6', 'I\'m sorry to hear that. Good-bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '25', 's_5d4ac8af', 'The Sith Shadows have been raiding our village for some time now. And now they\'ve taken to attacking our supply transports from Endor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '26', 's_6862142d', 'Excellent work, but I still count %DI still missing. Our trackers have found a new set of tracks in this direction. This might help you find the next Shadow camp.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '27', 's_6bd93e78', 'Oh, I see. Well come back if you change your mind.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '28', 's_6fb14c74', 'There is, in fact. We are low on manpower and we need someone to go get those supplies for us. We are tracking the emergency beacons from the transports, we just need someone to go there and try to salvage some supplies.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '29', 's_74140308', 'Forgive my distraction. It seems we have quite a serious problem on our hands.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '30', 's_77e48d5b', 'What do you mean?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '31', 's_7b35cfbc', 'What is the problem?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '32', 's_7e76f08e', 'I will not deceive you. If the villagers have been captured by the Sith Shadows, there will undoubtedly be guards there. I\'m sure they wouldn\'t let you go without a fight.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '33', 's_8ccc4e47', 'That is excellent news. I appreciate all the help that we can get. There are five people missing from the village. If you can bring them all back alive, I will help you learn to use the Force to enhance your survival skills.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '34', 's_8dace66', 'I hope they turn up. Good-bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '35', 's_9129fd1b', 'That sounds like a job for someone else.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '36', 's_91bf5d37', 'I think that I can help you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '37', 's_9359f893', 'Some of the higher ranking Sith Shadows are gifted in the ways of the Force. It is not unlikely that they were able to influence a few of the weaker members of our village.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '38', 's_981b299f', 'I understand. Good day to you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '39', 's_a1ba7ed2', 'What\'s the matter?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '40', 's_a32ebe9e', 'Very well. Good-bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '41', 's_a767cb3c', 'Is there anything that I can do to help?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '42', 's_a80d9308', 'Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '43', 's_a984d976', 'You got all the supplies! That\'s just great. You have no idea how badly they were needed. You have my eternal thanks.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '44', 's_ab0312ab', 'You rescued all the villagers! That\'s fantastic. There are many families that owe you a debt of gratitude.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '45', 's_af518049', 'You lost the supplies? Those supplies are vital to the survival of the village, now more than ever. Here, we\'ve located another lost transport, try to be more careful this time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '46', 's_b8360516', 'I don\'t mean to be rude, but you\'re getting in my way.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '47', 's_bf15feab', 'Would that be dangerous?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '48', 's_bfc5a85d', 'Uh oh... it looks like something happened during the transmission of the emergency beacon location. Here, let me try again...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '49', 's_bfdaca25', 'Say, could you... oh, it looks like you\'re already pretty busy. On your way, then.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '50', 's_c2db6878', 'Good-bye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '51', 's_cc5225b7', 'Excellent work! Supplies! Hey, we\'ve got supplies over here! This is great, but there are still %DI more shipments that we were expecting. We\'ve located another lost transport. Good luck, friend.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '52', 's_ccc7b5db', 'Uh oh... it looks like something happened during the transmission to your datapad. Here, let me try again...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '53', 's_d18b8c00', 'That sounds like something that I could do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '54', 's_d29a29d0', 'That doesn\'t sound like something I can do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '55', 's_d38b8e62', 'I understand. I will find the missing villagers.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '56', 's_d7ce4a0d', 'Oh, in that case I\'d rather not.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '57', 's_d9ea288b', 'Yes, I will go find the missing supplies.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '58', 's_dc446bf8', 'How does that affect the village?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '59', 's_dc8490a', 'I\'ve got my responsibilities here at the village that I need to look after. What we really need is someone that can go out and find the missing people, and bring them back if possible.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '60', 's_dcf4498e', 'I need a new beacon location.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '61', 's_de007d6', 'Hey there. I heard you\'ve been a big help around here. Great work!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '62', 's_e46c2ff7', 'I don\'t need anything right now, but if you\'re looking for something to do, I think that Dageerin could use some help.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '63', 's_e591b8a3', 'That\'s great! If you help us get those supplies, I will help you learn to use the Force to enhance your vehicle control skills.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '64', 's_e780d201', 'I understand. Those emergency beacons aren\'t as reliable as they probably should be. And those Sith Shadows are probably salvaging the last transport as we speak. There, I\'ve loaded a new beacon location for you. Now hurry to Endor before it\'s too late!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '65', 's_e9a9130f', 'I\'m afraid that the missing people have been taken prisoner by the Sith Shadows during the last raid on the village. To make matters worse, we don\'t have enough manpower right now to mount an effective search party to go look for them.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '66', 's_ea9470bd', 'Go on now! You\'ve got to go find those missing villagers!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '67', 's_ed25aceb', 'Go on now! You\'ve got to go find the missing supplies!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '68', 's_edb238bc', 'Go on.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '69', 's_edfab808', 'OK. Here is the location of one of the emergency beacons from a supply transport. Go there, see what you can find, and try to salvage some supplies. But be careful, there are likely to be some Sith Shadows still hanging around.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/village_whip.stf', '70', 's_eefb2830', 'You must realize that this is not a task to be taken lightly. If you help me with this, you will not be able to assist anyone else for a while. Do you understand?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '1', 'do_not_edit', 'The English version of this file (wookiee_sidequest.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '3', 's_134245b0', '(in Shyriiwook) Your nerves of steel will prove to be an asset. I expect you to succeed. I have entered all the information, as I know it, into your datapad. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '4', 's_19bc1717', '(in Shyriiwook) I\'m glad to see you well, my friend. It is an honor to see you again. I have heard of your success. Very well done! I thank you as do the former slaves. However... happy moments must come with the ill-favored. I have more sad news.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '5', 's_1a7fb36b', '(in Shyriiwook) It is nice to see that such a young tree dweller hold such respect for others. Yes, you and I will get along very well. On to more important news... There is rumor that a ship, filled with wookiee slaves, is en route to where the \'cargo\' will be dropped off and practically left for dead. We cannot let this pass. It will mean suffering for our fellows. You will need to patrol and keep your senses keen for signals from the ship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '6', 's_1bd5f568', '(in Shyriiwook) This undoubtedly depresses me. However, there is still time. Please try again. For the sake of our own. You will, correct?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '7', 's_1e97d877', '(in Shyriiwook) Oh yeah! Sorry.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '8', 's_1fefaaf', '(in Shyriiwook) The very fibers of your being disgust me. You will only help for a pinch of credits?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '9', 's_220e79bb', 'There is rumor that a ship, filled with wookiee slaves, is en route to where the \'cargo\' will be dropped off and practically left for dead. We cannot let this pass. It will mean suffering for our fellows. You will need to patrol and keep your senses keen for signals from the ship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '10', 's_226ffd3d', '(in Shyriiwook) Be safe, my young friend.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '11', 's_24e34e5a', '(in Shyriiwook) I am disappointed. Let us hope I will find another one of us to aid in this situation.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '12', 's_26343911', '(in Shyriiwook) Oh, yes. Our species is a strong one. This you know. However, with a certain mix of chemicals, we can fall much like the mightiest tree in a single blow. With help, I was able to track down a squadron of ships transporting such a chemical. We must intervene. It is the same chemicals used by the slavers to capture our people. It is imperative that we find the squadron and destroy them and find the chemicals.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '13', 's_2934a8b2', '(in Shyriiwook) Then go. I have uploaded the information to your datapad.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '14', 's_2a6fa56e', '(in Shyriiwook) I see.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '15', 's_2aa249ad', '(in Shyriiwook) Just as I suspected. You are a disgrace to our species. Be gone with you!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '16', 's_361ea065', '(in Shyriiwook) I need more information about my mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '17', 's_37ce251c', '(in Shyriiwook) I see. More of our people will suffer then. Pity.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '18', 's_3a2c3dd4', '(in Shyriiwook) Surely I deserve something for my efforts.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '19', 's_3a2e34', '(in Shyriiwook) You truly are a role-model for our young brethren. Thank you for your assistance during these hard times. I have no more tasks for you, but hope you\'ll come visit often.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '20', 's_3c52272b', '(in Shyriiwook) There is a shipment of chemicals that can render even the toughest Krayt Dragon unconcious. We must not let it be duplicated or destributed. It is your duty to find the squadron transporting the chemicals and correct the situation.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '21', 's_40a86cc7', '(in Shyriiwook) Pretty much, yeah.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '22', 's_418bd43b', '(in Shyriiwook) I am honored to have you fighting for us, my friend. I have entered the necessarily information into your datapad. Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '23', 's_4273039a', '(in Shyriiwook) For our people.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '24', 's_474df52d', '(in Shyriiwook) Of course not. Thank you for helping us in these dark times. I hope to see you again in the future.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '25', 's_5264aa09', '(in Shyriiwook) Go then and be victorious!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '26', 's_550c3e6c', '(in Shyriiwook) I am encouraged by your steel composure and concentration of the tasks at hand. I have entered the necessarily information into your datapad. If you require additional information or help, I will be glad to answer your questions and help you. Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '27', 's_5a73125d', '(in Shyriiwook) I am saddened by this news. But if it is your wish.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '28', 's_5c3cf25c', '(in Shyriiwook) It is a possibility that the ship was abandoned in hostile space. Perhaps our fellows were strong enough to overrun the slave trader ship and have no need for our assistance. It is all uncertain. I respectfully suggest keeping your mind clear and wits about you. There\'s no telling what may happen. Space can be a trecherous place, indeed. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '29', 's_5ca1856a', '(in Shyriiwook) I will help our friends, sir!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '30', 's_5f70e035', '(in Shyriiwook) And the day grows bleak. It truly is a sad day.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '31', 's_621bb7c1', '(in Shyriiwook) I will. Good bye!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '32', 's_62be250f', '(in Shyriiwook) I was quite disappointed when you refused to aid our brethren. But... I am grateful for the assistance, but be sure you want to help us.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '33', 's_6420b547', '(in Shyriiwook) I was successful in freeing the slaves.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '34', 's_65c23663', '(in Shyriiwook) I see. I am quite disappointed. Perhaps I will be able to find another to help us. Pity. You held such promise.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '35', 's_66c52109', '(in Shyriiwook) Your hungry response gives me hope. Go then, rescue our brethren from the clutches of despair!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '36', 's_69e4801e', '(in Shyriiwook) No. I have other matters to which I must attend.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '37', 's_6c34509e', '(in Shyriiwook) Ah, a fellow wookiee. It is good to meet you. And yet... it seems you are not a pilot. There is a certain manner in which commanders of their own ships hold their head. You do not possess such poise. Nonetheless... if you do happen to learn the skills of space, please come see me. I may have work for you to do. Carry on, then.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '38', 's_7164f5e', '(in Shyriiwook) You will soon anger me. Will you help those of our species in need or not?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '39', 's_77603222', '(in Shyriiwook) I\'m glad to see that one of my own has dared to brave the vastness of the galaxy. I trust your skill in piloting has been honed by the best teachers? You could very well need it if you agree to help me.. or should I say, \'us\'. Members of our species are in trouble and could use someone like you to be their hero.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '40', 's_7c2446cd', '(in Shyriiwook) What\'s your story?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '41', 's_7c2995a9', '(in Shyriiwook) For our species.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '42', 's_7f997ce7', '(in Shyriiwook) Be on your way. Make me proud, young friend. Adn thank you for taking an interest in an old wookiee like me. It warms my heart.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '43', 's_8462e1e2', '(in Shyriiwook) If you\'re paying, I\'m listening.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '44', 's_8a54c987', '(in Shyriiwook) I must refuse.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '45', 's_8dac9978', '(in Shyriiwook) I will help!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '46', 's_8dae50e8', '(in Shyriiwook) Indeed. Be safe and keeps your wits about you, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '47', 's_915d2cbf', '(in Shyriiwook) Now.. what was this about another mission?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '48', 's_98c8d9d0', '(in Shyriiwook) That\'s horrible! You must be devastated.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '49', 's_9bcffeac', '(in Shyriiwook) This mission sounds as if it would exceed my skills.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '50', 's_a1689abe', '(in Shyriiwook) Please tell me more, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '51', 's_a5415008', '(in Shyriiwook) I see. If you must refuse, I have no choice but to accept your decision.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '52', 's_a6b8e0dd', '(in Shyriiwook) Go on.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '53', 's_a74d5cf4', '(in Shyriiwook) Such a harsh answer. You would rather see our fellows suffer if not for a bit of monetary reward?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '54', 's_a8f54dbe', '(in Shyriiwook) I am sure you enjoyed refusing to help. Leave now. I cannot bear to look upon your face.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '55', 's_ac48a861', '(in Shyriiwook) We must intervene. It is the same chemicals used by the slavers to capture our people. It is imperative that we find the squadron and destroy them and find the chemicals. Will you find these shipments and return?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '56', 's_ac9e5091', '(in Shyriiwook) I didn\'t hear anything mentioned about a reward.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '57', 's_aedac34b', '(in Shyriiwook) You know my requirements. Nothing is for free.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '58', 's_b01c946e', '(in Shyriiwook) Yes, sir!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '59', 's_b20f0149', '(in Shyriiwook) I\'m going to pass on this mission.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '60', 's_b269d401', '(in Shyriiwook) Yes, I do. Thank you for the information.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '61', 's_b5ee0393', '(in Shyriiwook) My story? Why would you take such an interest in me? It is a request I am not quite used to. I am merely a fellow wookiee, trying to find his place in such a vast galaxy. I was trained to be a pilot as soon as I can remember. I had a great life until my accident which tore my wings from me. I am blind, you see. Sparks erupted from the damage my ship took during one mission. I haven\'t been able to see since.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '62', 's_b674edb2', '(in Shyriiwook) I\'m sure.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '63', 's_b6b02065', '(in Shyriiwook) Very well. I have no choice. It has been desperate times and I will accept the help of anyone. Even you. Let me go on... Our species is a strong one. This you know. However, with a certain mix of chemicals, we can fall much like the mightiest tree in a single blow. With help, I was able to track down a squadron of ships transporting such a chemical. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '64', 's_b9bff63b', '(in Shyriiwook) Mmm.. I\'ll get back to you on that.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '65', 's_ba31d7f4', '(in Shyriiwook) I do not like your attitude. Our species is respectful to all beings, including our own. Have you not learned that? *sigh* No matter. There is rumor that a ship, filled with wookiee slaves, is en route to where the \'cargo\' will be dropped off and practically left for dead. We cannot let this pass. It will mean suffering for our fellows. You will need to patrol and keep your senses keen for signals from the ship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '66', 's_bcd42bbd', '(in Shyriiwook) May fortune shine upon you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '67', 's_c089c686', '(in Shyriiwook) I cannot bear to try again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '68', 's_c65fb1ba', '(in Shyriiwook) Ah! Good to see you, my honorable friend. Alas, I have no more work for you but appreciate the visit. Indeed, I must return to my work. I must teach my fledgling pilots the art of formations via pictrol images and demonstration from my teaching assistants. Be safe and honorable.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '69', 's_c8950314', '*enter correct wookie jarble here*');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '70', 's_c9c583c7', '(in Shyriiwook) All is not lost. There\'s still time. Go out there and try again. There is no such thing as \'too late\'.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '71', 's_caa1385e', '(in Shyriiwook) Our brethren have been captured on a ship en route to a prison in which they will, no doubt, suffer. It is your mission to find the ship before it reaches its destination. I have given you a point in which you must start looking. Keep your senses and systems open. It is likely they may try to send a distess signal to aid you. Do you understand?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '72', 's_ce7c2b5d', '(in Shyriiwook) I want the job you mentioned earlier.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '73', 's_d1b602c1', '(in Shyriiwook) Sure, I guess.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '74', 's_d4017dcd', '(in Shyriiwook) It is a possibility that the ship was abandoned in hostile space. Perhaps our fellows were strong enough to overrun the slave trader ship and have no need for our assistance. It is all uncertain. I respectfully suggest keeping your mind clear and wits about you. There\'s no telling what may happen. Space can be a trecherous place, indeed. What say you, fellow?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '75', 's_d6d7f320', '(in Shyriiwook) Please! Do not pity me. I have since been elevated to a senior position. I am able to teach young pilots by words alone. I am still very happy. But yes, I do miss being able to fly; seeing the stars whiz past as I hurry into battle. Those were good days. I hope to see you earn the honor and reputation you deserve one day. Bah! I\'m babbling. Do you not have a mission to do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '76', 's_da183c96', '(in Shyriiwook) Good. I have entered the necessarily information into your datapad. If you require additional information or help, I will be glad to answer your questions and help you. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '77', 's_dc3b96b5', '(in Shyriiwook) I am too disappointed to try again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '78', 's_dd0ad352', '(in Shyriiwook) Your intent stare is unnerving. But if you can fly, then by all means, I am honored to have you aboard! There is rumor that a ship, filled with wookiee slaves, is en route to where the \'cargo\' will be dropped off and practically left for dead. We cannot let this pass. It will mean suffering for our fellows. You will need to patrol and keep your senses keen for signals from the ship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '79', 's_dd1be097', '(in Shyriiwook) Thank you and goodbye.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '80', 's_de93f602', '(in Shyriiwook) Of course!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '81', 's_dfbfa15d', '(in Shyriiwook) That\'s terrible! I\'m interested in hearing more, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '82', 's_dff4891', '(in Shyriiwook) Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '83', 's_e2942645', '(in Shyriiwook) I\'m listening.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '84', 's_e305d81d', '(in Shyriiwook) Nah, I think I\'m gonna pass.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '85', 's_e34cea4e', '(in Shyriiwook) You are a true testament to our people! Your enthusiasm brings me hope. The information has been uploaded to your datapad. May fortune shine upon you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '86', 's_e3ae04b5', '(in Shyriiwook) I cannot bear to speak with you. I will find someone else to help our fellows. You are not fit to do so.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '87', 's_e5d57a18', '(in Shyriiwook) Of course! How thoughtless of me. I present you with gratitude and a token of my appreciation.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '88', 's_e5e0f00d', '(in Shyriiwook) Good! Please try again. I am counting on you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '89', 's_e6017d65', '(in Shyriiwook) Thank you for the information.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '90', 's_e68cd354', '(in Shyriiwook) I see you have returned. What is your status? Can you offer me any updates?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '91', 's_e88fac47', '(in Shyriiwook) Our species is a strong one. This you know. However, with a certain mix of chemicals, we can fall much like the mightiest tree in a single blow. With help, I was able to track down a squadron of ships transporting such a chemical. We must intervene. It is the same chemicals used by the slavers to capture our people. It is imperative that we find the squadron and destroy them and find the chemicals.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '92', 's_e8d13d8a', '(in Shyriiwook) I guess not. So you\'ve got my interest.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '93', 's_ee27bc0d', '(in Shyriiwook) Yeah?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '94', 's_ef2d67f1', '(in Shyriiwook) Continue, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '95', 's_f24156ae', '(in Shyriiwook) I failed to free the slaves.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '96', 's_f584a39', '(in Shyriiwook) No, now that I think about it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '97', 's_f6c0338f', '(in Shyriiwook) That\'s correct.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '98', 's_f83c0824', '(in Shyriiwook) I failed to recover the shipments of spice.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '99', 's_f8a39ed7', '(in Shyriiwook) I was successful in securing the shipments of spice.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '100', 's_fbb5fd3a', '(in Shyriiwook) I suppose.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/wookiee_sidequest.stf', '101', 's_fd24ad6b', '(in Shyriiwook) Aren\'t you forgetting something?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '1', 'do_not_edit', 'The English version of this file (yavin_rebel_trainer_2.stf) is automatically generated by the SwgConversationEditor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '2', 's_0', '');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '3', 's_11e0bfe9', 'Bah, I want action. Any duties?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '4', 's_12a5eddf', '[gripe about last mission]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '5', 's_14086bc1', 'That woman is vital to Alliance interests. You\'re going back out there, stat.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '6', 's_14bcd839', 'Not for long he doesn\'t. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '7', 's_15192b9e', 'Aw. Sorry it\'s been so rough on you. Come back once you\'ve caught up on your damn beauty sleep.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '8', 's_154b642e', 'We know now why the Empire is so interested in Yavin. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '9', 's_1583743c', 'Do you have any missions I could fly?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '10', 's_1591adc2', 'My ship\'s ready to go. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '11', 's_165db597', 'I want mission 1.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '12', 's_166e7e70', 'Not in the shape I\'m in.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '13', 's_18ac5f05', 'Turns out the Death Star section didn\'t burn up in the freighter explosion. It fell to Lok - and Nym\'s got it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '14', 's_1a163be3', 'Maybe you\'ll have better luck at another post. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '15', 's_1a1b1cf0', 'Move along. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '16', 's_1b4c2d5d', 'I\'d rather be shooting down some Imperials.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '17', 's_1bab5480', 'Sorry to hear that I\'m not your top priority, soldier! I\'ll remember this.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '18', 's_1c128099', 'That\'s right. Suit up. You\'re heading back to Lok. Get the Death Star section from Nym. He\'s charging a fee. Don\'t worry about it; the Alliance will pay.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '19', 's_1f02f56b', 'How about now?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '20', 's_1f1b512d', 'Pass? Who passes on training? I hope whatever else you\'re doing is just as useful.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '21', 's_214de988', 'It\'s been my honor and privilege Major.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '22', 's_21bdbf0f', 'Imperial forces don\'t own Yavin.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '23', 's_22bd4bdf', 'When I want your opinion, soldier, I\'ll tell you what it is. She\'s ready to go, and WE\'RE ready to help her in any way we can. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '24', 's_241bc364', 'My ship\'s no match for TIE fighters.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '25', 's_252b3bf5', 'I\'ll give it another shot. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '26', 's_25670467', 'You\'ve earned it. Hit the cantina.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '27', 's_2588496a', 'Lok? I thought you said they are taking the debris to Naboo!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '28', 's_260761cf', 'I\'m not the one for the job. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '29', 's_27ad3073', '%NU! Get over here. I\'ve got a job for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '30', 's_27b3d1b3', 'Plenty. Take a look.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '31', 's_2857391a', 'He has to charge us, or they\'ll kick him out of the pirate guild. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '32', 's_287ec62a', 'No harm meant, sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '33', 's_29b7d74a', 'Sounds like you need a new ship.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '34', 's_2a29add6', 'Nice job out there. It\'s not every day I see a pilot outrun a TIE Interceptor.  ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '35', 's_2bc43dfd', 'Come again?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '36', 's_2bf9b1f7', 'Oh yeah.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '37', 's_2dec7766', 'Why is the Empire going after Yavin?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '38', 's_2e17432d', 'If she wants to stay, why force her to leave?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '39', 's_2e8799ad', 'See you around, soldier.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '40', 's_2eef8e0e', 'I\'m counting on you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '41', 's_2f0a6ba8', 'What could these dregs possibly teach me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '42', 's_2f9e3b7b', 'Maybe later.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '43', 's_308630ef', 'You will do well in the Rebel Navy pilot. Now you are to report to a Bothan named Arnecio Ulvaw\'op in a science outpost on the planet of Dathomir. Be careful there %TU, that\'s a dangerous place. Now get out of here and remember everything you\'ve learned!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '44', 's_30e8e9e0', 'Unless you\'re here to request a transfer, I\'d suggest you get back to your unit.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '45', 's_313aff7d', 'Why did she stay behind?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '46', 's_31f57362', 'Give the job to a more experienced pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '47', 's_32146025', 'Then what?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '48', 's_329b2195', 'We haven\'t made any arrests, because we don\'t have any details  - yet. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '49', 's_32a7abcd', 'They\'re passing through Lok. Nym and his space pirates run that system with an iron fist. In exchange for some services they have provided us with some coordinates that the freighter will pass through.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '50', 's_32c8e4da', 'I don\'t know where you think you\'re going. There\'s work to do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '51', 's_354d9179', 'Take a walk. Clear your head. I\'ll be here when you\'re ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '52', 's_35783339', 'She\'s not just any refugee, and the Empire knows it.  ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '53', 's_36b1d069', 'Be on your way then.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '54', 's_38bfb556', 'Hm. Good point. I\'ll just use you for the easy jobs.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '55', 's_38e4c8a3', 'For some other pilot, maybe.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '56', 's_38f14bb8', 'And that\'s where I come in.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '57', 's_393047f3', 'Get going.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '58', 's_3938bdfc', 'You could have fooled me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '59', 's_39acc227', 'Pirates don\'t do anything for free.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '60', 's_3c468733', 'You heard me. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '61', 's_3c4ff185', 'Reactor Engineering Algorithms');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '62', 's_3c9ecbe9', 'I didn\'t expect those Imperial rescue squads to respond so quickly.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '63', 's_3d2dd8e2', 'Is this a joke? When are they going to start sending me some REAL pilots?...Dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '64', 's_3d419bc4', 'NYM\'s got it? Why hasn\'t he sent it here?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '65', 's_3de0965c', 'Such as?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '66', 's_3e7eb818', 'It\'s on Lok. Nym\'s got it. And he\'s ready to hand it over - if the price is right. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '67', 's_3f00169', 'That\'s the one?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '68', 's_418a4a24', 'Sorry, %TU.  You\'re on report.  That means no more missions for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '69', 's_434cf40e', 'Good news, soldier. One of my best pilots has volunteered to train new recruits - and that includes you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '70', 's_4431cbae', 'You feeling all right? ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '71', 's_44584a57', 'Our spy droids have located a database within the Death Star debris listing many of the Imperial spies operating within the Alliance. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '72', 's_4471d2b', 'All that work- for nothing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '73', 's_44d689b7', 'Well, sorry.  Nothing I can do about it.  If you want to get your wings back you\'ll have to do SOMETHING to improve your standing in the eyes of the Alliance.  \'Show \'em you\'re still on OUR team.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '74', 's_450abd55', 'You lost the battle - but the war\'s not over. The Alliance still needs you. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '75', 's_45b2289f', 'That\'s your choice?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '76', 's_468ab4d3', 'Reporting for duty.  ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '77', 's_46fb1c35', 'I\'m ready to blast some pirates out of the sky.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '78', 's_47003e68', 'We have to stop them!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '79', 's_47a389f6', 'I\'ll be right back.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '80', 's_4c6d0461', 'Yeah right. Get out of here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '81', 's_4ca03ddb', 'How so?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '82', 's_4cc5f79c', 'No one ever tells me anything.  Maybe Alliance Intelligence found out something about you they didn\'t like.  You haven\'t been doing anything they might take the wrong way, have you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '83', 's_4e2c42f1', 'I guess you\'re right.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '84', 's_5018d177', 'The Empire\'s done a good job covering their tracks. However, our spy droids have located a database within the Death Star debris listing many of the Imperial spies operating within the Alliance. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '85', 's_5242f9d0', 'Since you\'re not a member of my unit, I can\'t assign you missions. Why don\'t you scuttle back to your own commanding officer?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '86', 's_535a48bf', 'Is that right?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '87', 's_53de9d8f', 'Like what?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '88', 's_5494c458', 'Right. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '89', 's_564211e6', '[not interested]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '90', 's_56b0632', 'A Rebel pilot, eh? But you don\'t fly with the Phoenix? What are you doing here, soldier?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '91', 's_591601b8', 'They won\'t shoot me down again. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '92', 's_5ab73a77', 'Double-time, soldier! I\'ve got a job for you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '93', 's_5c4ab8c9', 'It won\'t be easy. An Imperial Recovery team is transporting the database section to Naboo right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '94', 's_5e5b4379', 'The Eker that defected from the Empire. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '95', 's_5e7c5f7b', 'I wonder why.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '96', 's_5fdfb6c3', 'You\'re to take your ship to the Massassi temple, pick her up at the extraction point, and bring her back to base.  ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '97', 's_61b35d7b', 'Come again? I\'d think very carefully about what comes out of your mouth next, soldier.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '98', 's_62b1a1d0', 'Give me the droid.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '99', 's_62f0f943', 'Better give the job to another pilot.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '100', 's_643292f4', '%TU! Just the person I wanted to see. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '101', 's_64b6ea44', 'I want mission 2.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '102', 's_65c36194', 'On second thought, no.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '103', 's_6673b556', 'Give me a job.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '104', 's_67a197b0', 'Will do, but it\'s going to have to happen later.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '105', 's_67c78480', 'Unknown - although I have a theory. Are you ready to go?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '106', 's_6a18240d', 'It\'s just my way of teaching. Anyway, you are to report to a Bothan named Arnecio Ulvaw\'op in a science outpost on the planet of Dathomir. Remember what you\'ve learned during your time here and be careful %TU!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '107', 's_6a1944ad', 'I knew you would.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '108', 's_6a1c47d9', 'Yes SIR.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '109', 's_6aacd1f1', 'Why not? ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '110', 's_6b158a0e', 'I\'m a Developer/Tester and want missions.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '111', 's_6b8fc506', 'You\'re a real go-getter, you know that?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '112', 's_6bb0cb94', 'Correct.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '113', 's_6c251948', 'You got it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '114', 's_6c872984', 'Go back to Lok, get the Death Star section from Nym, and bring it to the Rebel space station in the Lok system. And the sooner you leave, the better.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '115', 's_6d00e51e', 'Bring it on.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '116', 's_6d80a4d8', 'Are you ready for duty? There\'s plenty of work to be done around here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '117', 's_6dccb496', 'That\'s nice to hear. Her safe arrival is now your top priority. You\'re to take your ship to the Massassi temple, pick her up at the extraction point, and bring her back to base.  ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '118', 's_6deac9a2', 'Let me just tie up some loose ends, and I\'ll be ready to report for duty.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '119', 's_6fe71f0c', 'Get out of here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '120', 's_7065e138', ' Any chance we\'ll see some action?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '121', 's_7115a155', 'No thanks, I\'d rather not.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '122', 's_71bb443b', 'Where are the spies?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '123', 's_71f6ca11', 'Good to see you %TU! I\'m afraid that our time of service together has come to an end. The Navy has requested your presence at a different location. I just wanted to let you know that even though I\'ve been hard on you now and then, you\'ve been one of my best pilots ever %NU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '124', 's_72c594c9', 'Fraid not, sir. I\'ve got some things to take care of.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '125', 's_73c783f8', 'Stealing Imperial ships? Sounds like fun.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '126', 's_73ccefde', 'Space Combat Techniques');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '127', 's_753a307b', 'Very well. Escort mission in Lok sector. If you find any errors or have suggestions, report them to Niklas at njohansson@soe.sony.com');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '128', 's_76473360', 'They used to say that about me too. Don\'t let me down.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '129', 's_76491b38', 'Unknown. But we don\'t leave anyone behind. Do you copy, pilot?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '130', 's_78bae101', 'Send someone else to get that database.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '131', 's_7b2f5e99', 'Make it quick. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '132', 's_7b3f9583', 'Good. I\'m ready to rumble.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '133', 's_7b4382cf', 'I\'m ready to blast that thing.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '134', 's_7b57442', 'You\'ve got to find those pirates. They know where that Imperial freighter is. We HAVE to find it. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '135', 's_7f93598d', '[shrug, start to turn away]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '136', 's_7f9b8387', 'Why not?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '137', 's_80d8485c', 'I\'m on it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '138', 's_80e4843e', 'I\'ll help escort some smugglers.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '139', 's_813ee7df', 'Thanks for giving me a chance.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '140', 's_816055e2', 'I want mission 4.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '141', 's_81fb32f3', 'At this point, we can\'t afford NOT to buy it. Go back to Lok. Pay Nym his fee. And bring back that Death Star!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '142', 's_82844140', 'What you need is some discipline. I advise you to take on some duties.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '143', 's_82b46acf', 'You sure you can handle it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '144', 's_837615b6', 'That was a hell of a fight for one refugee. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '145', 's_841d27db', 'Why?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '146', 's_851cc47', 'Lok? I thought you said the recovery team is heading to Naboo!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '147', 's_8650827b', 'Is that right? Well in that case, why are you still standing here? ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '148', 's_865fdc7d', 'Alliance forces are rounding up the Imperial spies as we speak.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '149', 's_8740fd1', 'I\'m too busy to deal with you now... whatever you are.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '150', 's_877ef2c8', 'I know a good soldier when I see one.  ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '151', 's_8786e77c', 'Come back. I expect my soldiers to be in top condition. And you need the exercise.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '152', 's_88179ade', 'That\'s a negative. We\'ve got a holdout down there. A female. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '153', 's_895e16f4', 'Good choice. Come back when you\'re done. We\'ve got work to do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '154', 's_8a4cdaa1', 'All I want to do is take out some Imperial fighters. Any duties?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '155', 's_8bdbd90b', 'Where are the Empire forces?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '156', 's_8bea99a9', 'Watch their maneuvers. Imperial forces are predictable. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '157', 's_8c839067', 'Very well. Inspect mission in Lok sector. If you find any errors or have suggestions, report them to Niklas at njohansson@soe.sony.com');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '158', 's_8d0a5ef4', 'I don\'t know! Why don\'t we find out?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '159', 's_8d66b6a5', '[Crack about Eker\'s Empire ties]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '160', 's_8e571bd6', 'Extraction is my specialty.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '161', 's_8e9d0848', '[nod]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '162', 's_8efa75c2', 'It won\'t be easy; you\'ll have to smuggle it past Imperial patrols. Keep your eyes peeled. Dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '163', 's_8f0eb0e', 'This uniform comes off, you know.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '164', 's_8f4bcc2b', 'You\'re passing up a good offer here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '165', 's_8f9a3bf4', 'Never mind. My mistake. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '166', 's_908b2b2c', 'Watch your six. There are plenty of experienced TIE fighters up there. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '167', 's_91156160', 'Recovery duty.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '168', 's_91746e6', 'Very well. Inspect mission in Yavin sector. If you find any errors or have suggestions, report them to Niklas at njohansson@soe.sony.com');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '169', 's_918115be', 'Apparently there\'s sections of the space station there that are still intact... And have important information.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '170', 's_92310551', 'You\'re not...THE Eker, are you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '171', 's_928a5ee3', 'I\'m Major Eker. I am your commanding officer.  You are going to do what I say, when I say it. Do we understand each other?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '172', 's_94dbed1a', 'I\'m still waiting on your mission report, soldier.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '173', 's_9525ae41', 'It is. But first it has to pass through Lok. And Nym and his men know everything about that system. You can\'t cut a fart in Lok without Nym hearing about it. He\'s SURE to know the location of the Imperial freighter.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '174', 's_954c43bb', 'Escort duty.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '175', 's_97073639', 'Good. I look forward to seeing what you\'re capable of. Get settled in and return to me when you are ready for your first duty mission. Dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '176', 's_9777c464', 'Good work, soldier. With this information, we\'ll be able to run rings around those Imperial patrols.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '177', 's_97f7a201', 'What\'s her problem? ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '178', 's_98361f2c', 'You\'re not the first person to say that to me. It\'s all right. I\'ll find another pilot. Dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '179', 's_98d991e7', 'Weapons B, Intermediate Alliance Starship Ordnance');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '180', 's_998c6a73', 'Well in that case, get out of here, and don\'t talk to me again until you\'re ready to work.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '181', 's_9b34069d', 'No wait, let me think about this.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '182', 's_9b43a7ee', 'Yes sir.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '183', 's_9bcf9c5b', 'You\'re to take your ship to the Massassi temple, pick her up at the extraction point, and bring her back to base.  Dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '184', 's_9c34f0ad', 'I know you. You better get out of here if you know what\'s good for you. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '185', 's_9d95a0f8', 'Very well. Escort mission in Yavin sector. If you find any errors or have suggestions, report them to Niklas at njohansson@soe.sony.com');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '186', 's_9ddb6cf8', 'Right now, her problem is that her pilot\'s got a negative attitude.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '187', 's_9ec42807', 'Nice to see you again, %TU. They tell me you\'ve been a great help to the Alliance since you I last saw you. Looks like you turned out alright.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '188', 's_a0412756', 'That would explain their heavy presence in the debris field.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '189', 's_a10e0cd4', 'The war\'s not over yet. The Empire\'s going to respond with force. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '190', 's_a1f998fd', 'Correct. We need you to travel to Lok and steal that data before the shuttle reaches a safe location.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '191', 's_a35edd6c', 'I\'m going to be your worst nightmare, if you keep talking to me. Now get out of here.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '192', 's_a57083c1', 'Are you kidding me? Just what the galaxy needs, another cowboy. Get out of here! ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '193', 's_a6e1c30a', 'Very well, what does this pilot think he can \'teach\' me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '194', 's_a7558b8', 'Proceed to the Lok system and we will supply you with the coordinates we got from Nym. Search the nearby area there, if the freighter is not in sight, wait near the point to ambush him when he arrives.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '195', 's_a760a737', 'An Imperial Spy shuttle has malfunctioned in our area. We think it\'s carrying data on the Imperial Navy\'s patrol routes. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '196', 's_a86a8807', 'Looks like I was right about you after all.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '197', 's_a99ad4e8', 'Sounds easy enough. Where do I find them?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '198', 's_a9d63a81', 'I\'m ready for duty.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '199', 's_aaf61b87', 'Fine, what tasks are available right now?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '200', 's_ae785ffa', '[ask for more info]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '201', 's_af144418', 'I don\'t think I can fight for a man who once served the Emperor.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '202', 's_affe46cc', 'Give me something to do. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '203', 's_b030df0f', 'Looking for people who are aligned with the Empire. Should I send someone over here to take you into custody?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '204', 's_b0753766', 'It is. But first it has to pass through Lok. Nym and his men know everything about that system and have provided us with coordinates that it will pass through. You can\'t cut a fart in Lok without Nym hearing about it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '205', 's_b130ff0a', 'My ship needs repairs.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '206', 's_b1df084d', '[ask for information]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '207', 's_b2e340f6', 'What\'s that?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '208', 's_b2e9d505', 'He\'s CHARGING us? ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '209', 's_b532b4dc', 'I hate the Empire. I hate it more than anybody else you\'ll ever meet. With me, you will have the chance to hit Imperial forces like never before. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '210', 's_b54697f', 'Sounds good to me. What\'s available?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '211', 's_b585598c', 'It\'s pretty hairy up there.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '212', 's_b601ca9f', 'I don\'t know. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '213', 's_b685e199', 'Congratulations, soldier. You did good today.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '214', 's_b6af2b98', 'I want mission 3.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '215', 's_b6cf63f0', 'Two reasons. One, he doesn\'t want Imperial patrols to spot him. Two, he wants us to pay his fee.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '216', 's_b9adf734', 'I\'m more used to shooting TIE fighters.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '217', 's_bb25f9e7', '[look away in disgust]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '218', 's_bb847e4c', 'I\'m just saying.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '219', 's_bc57b086', 'Sounds good to me.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '220', 's_be61c03c', 'Maybe some other time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '221', 's_bf176a8f', 'I\'ve read your report. I know what kind of pilot you are. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '222', 's_c1015a4d', 'You sound like an Imperial officer.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '223', 's_c3c8f385', '[silence]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '224', 's_c3e68b1f', 'I need a drink.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '225', 's_c4480fc5', 'We\'re uploading coordinates to your navigation system now. You\'re clear to leave our airspace.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '226', 's_c48841', 'Until they reroute their patrols.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '227', 's_c4f8041b', 'Immediately. Coordinates are already in your ship database. You\'re to take your ship to the Massassi temple, pick her up at the extraction point, and bring her back to base.  ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '228', 's_c551ea96', 'Looks that way.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '229', 's_c56973bf', 'Done. The coordinates are already in your nav system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '230', 's_c6c91897', 'Multi-Role Craft');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '231', 's_c909e899', 'What do you think this is %TU?! You will do as you\'re told or you will be put under arrest!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '232', 's_c928423d', 'The Imperial Recovery team seized the Death Star section before we could get the data. It\'s en route to Naboo as we speak. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '233', 's_c9846d38', 'That won\'t happen - not for a while. The Empire doesn\'t exactly  turn on a dime. Good work, soldier.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '234', 's_ca47d528', 'Sounds good. What is there to do?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '235', 's_ca4d37ba', 'When do I leave for Yavin?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '236', 's_ca776e30', 'Who are you?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '237', 's_cc00d56b', 'I don\'t have any missions, but I do have several elective duty tasks if you\'d like to take one of those?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '238', 's_cc34a699', 'Which Eker is that?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '239', 's_cd0a60d4', 'I\'ll get it.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '240', 's_cd41219', 'They\'re all trained the same way. Once you\'ve learned their rules, you can break them. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '241', 's_cdb6a148', 'You look like your dog just died.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '242', 's_ceb818e1', 'You can count on it. Imperial TIE fighters are patrolling the area. The Empire\'s taken a serious interest in this system.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '243', 's_cec991df', 'If we can get that information, we can protect our ships. I need you get out there and shoot a spy droid into the shuttle\'s hull, so that we can extract the information.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '244', 's_d24a2285', 'Will do.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '245', 's_d270ae31', 'You come see me when you\'re ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '246', 's_d2acb60b', 'Take on some duties.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '247', 's_d3b6ccb7', 'You can count on it. Dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '248', 's_d5609495', 'That\'s serious.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '249', 's_d583db1d', 'I signed up to shoot TIE fighters, not this kind of stuff.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '250', 's_d5b4ea09', 'Because I told them to come here. They\'re my old friends after all. That\'s your point, isn\'t it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '251', 's_d5c526b8', 'Dismissed, soldier. As of NOW.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '252', 's_d6896b', 'You\'ll get your chance, soldier - unless they hit you first. Move into position, and we\'ll tell you more over your comlink.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '253', 's_d6f036fd', 'That\'s what I thought you\'d say. Get moving, we\'ll update you once you\'re airborne. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '254', 's_d757b665', 'Whenever you\'re ready.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '255', 's_d76c93fd', 'Take it to the Rebel space station in Lok. And keep it out of sight of those Imperial patrols.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '256', 's_d80e99ca', 'You\'re to take your ship to the Massassi temple, pick her up at the extraction point, and bring her back to base.  We\'re uploading coordinates to your ship now. Get going.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '257', 's_d8db54f6', 'Send me back out there!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '258', 's_d8fef41', 'Perhaps not...');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '259', 's_d8ffe780', 'Sitrep is as follows: we\'ve got a VIP down on the surface. She resisted the first evacuation, but now she\'s ready for exfil. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '260', 's_d931ff32', 'Never better! Good news, soldier. The Death Star section didn\'t burn up in the explosion.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '261', 's_d945a469', 'No attitude problem, sir. I\'m ready to go. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '262', 's_d9c145dd', 'The sooner the better.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '263', 's_d9cced1f', 'Absolutely.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '264', 's_dd0cb0d4', 'Why are you telling me this?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '265', 's_dd2fd70', 'What can he teach me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '266', 's_dd3bf8f6', 'You\'re going to have a lot more than your ship to worry about if we don\'t get that database!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '267', 's_dede1eae', 'Do I have to pay them for the training?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '268', 's_dee42d5e', 'If that\'s the way you feel. See you around, %NU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '269', 's_df72e251', 'They didn\'t want me to give you this mission, you know. Said I couldn\'t trust you.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '270', 's_e015a069', 'No. It\'s carrying information on Imperial spies. We need that data.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '271', 's_e0651b79', 'I know what\'s at stake. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '272', 's_e18f6059', 'I can\'t think of one good reason for you to be talking to me, can you? On your way, then.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '273', 's_e23e884f', 'I\'ll be more useful somewhere else.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '274', 's_e39ec30', 'Do you still need me?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '275', 's_e53c5017', 'What mission do you want?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '276', 's_e58651c5', ' I thought Yavin had already been evacuated. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '277', 's_e641a3d8', 'I have a few different duty missions available. Help steal Imperial ships, destroy pirate patrols or help escort Alliance smugglers. Take your pick pilot. I want you to assist with these duties until you feel you have enough experience to proceed with training. They are voluntarily missions and can be aborted at any time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '278', 's_e6f59343', 'So will we. So long, %NU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '279', 's_e8a0555b', 'Some other time, soldier.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '280', 's_e93cc431', 'What are all these Rebel forces doing here?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '281', 's_ec5b15d1', 'Destroy duty.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '282', 's_ec739555', 'Move it! ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '283', 's_ee36cca8', 'I\'m not going to beg, soldier. If you can\'t do it, I\'ll find someone else. Dismissed. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '284', 's_ee574fb3', 'That is correct, soldier. And if you\'ve got a problem with that, then you can transfer to another unit right now. Otherwise, you can rest assured that I now serve the Alliance, 100%. And we will not speak of this again.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '285', 's_ee790f5c', 'I can\'t travel to Lok right now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '286', 's_ef170270', '[nod, satisfied]');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '287', 's_f2142cc7', 'It\'s free, soldier. An Alliance perk.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '288', 's_f39da193', 'Wait.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '289', 's_f3cbd30c', 'Very well. If you find any errors or have suggestions, report them to Niklas at njohansson@soe.sony.com');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '290', 's_f4862cb7', 'What does he know?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '291', 's_f5427310', 'Of course not!');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '292', 's_f685a04e', 'Loud and clear.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '293', 's_f7f3ab80', 'Duty reports show you\'ve already got an assignment. Finish what you\'ve started, then we\'ll talk.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '294', 's_f88289a7', 'There\'s work to do on Yavin. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '295', 's_f930a587', 'Where is it?');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '296', 's_f9855bf1', 'Closing in. An Imperial rescue squad is en route. Suit up and get out there ASAP.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '297', 's_fabecb04', 'I appreciate the offer, but some other time.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '298', 's_faf96c0a', 'I need another way to fight the Empire. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '299', 's_fcfc8bbb', 'What are you doing here? ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '300', 's_fd00fedc', 'Because I want you to understand something about me. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '301', 's_fd447981', 'Sounds like a great opportunity, sir, but I\'m going to have to pass for now.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '302', 's_fddb83ca', 'I\'ve got news, %NU.');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '303', 's_fe82187', 'I\'m going to tell you something, before you hear it from somebody else. I am a former Imperial officer. I defected. Now I fight for the Alliance. ');
INSERT INTO `client_strings` VALUES ('string/en/conversation/yavin_rebel_trainer_2.stf', '304', 's_ff0af3bc', 'What? You\'re not my pilot? I\'ve had it with this sloppy Rebel paperwork!...Dismissed, soldier.');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '1', 'coronet', 'Coronet');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '2', 'tyrena', 'Tyrena');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '3', 'bela_vistal', 'Bela Vistal');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '4', 'vreni_island', 'Vreni Island');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '5', 'kor_vella', 'Kor Vella');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '6', 'daoba_guerfel', 'Doaba Guerfel');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '7', 'mountain1', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '8', 'mountain2', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '9', 'mountain3', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '10', 'mountain4', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '11', 'mountain5', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '12', 'mountain6', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '13', 'mountain7', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '14', 'mountain8', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '15', 'grassland1', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '16', 'grassland2', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '17', 'grassland3', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '18', 'grassland4', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '19', 'grassland5', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '20', 'grassland6', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '21', 'grassland7', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '22', 'grassland8', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '23', 'beach1', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '24', 'beach2', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '25', 'beach3', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '26', 'beach4', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '27', 'lake1', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '28', 'lake2', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '29', 'lake3', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '30', 'forest1', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '31', 'forest2', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '32', 'forest3', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '33', 'forest4', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '34', 'forest5', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '35', 'swamp1', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '36', 'world_spawner', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '37', 'coronest_easy_newbie', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '38', 'coronet_medium_newbie', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '39', 'tyrena_easy_newbie', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '40', 'tyrena_medium_newbie', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '41', 'bela_vistal_easy_newbie', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '42', 'bela_vistal_medium_newbie', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '43', 'kor_vella_easy_newbie', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '44', 'kor_vella_medium_newbie', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '45', 'doaba_guefel_easy_newbie', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '46', 'doaba_guefel_medium_newbie', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '47', 'vreni_island_medium_newbie', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '48', 'central_plains', 'Central Plains');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '49', 'agrilat_swamp', 'Agrilat Swamp');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '50', 'southeast_plains', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '51', 'east_sea_coast', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '52', 'western_plains', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '53', 'north_central_mountains', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '54', 'northwest_plains', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '55', 'northwest_mountains', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '56', 'northwest_mountain_peak', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '57', 'northeast_mountains', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '58', 'southeast_mountain_range', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '59', 'southeast_mountain_peak', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '60', 'forest_1', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '61', 'forest_2', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '62', 'forest_3', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '63', 'northwest_forest', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '64', 'western_mountain_forest', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '65', 'southwest_forest', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '66', 'hard_gronda_ne', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '67', 'medium_dire_cat_ne', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '68', 'medium_plumed_rasp_ne', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '69', 'hard_gulginaw_ne', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '70', 'medium_dire_cat_se', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '71', 'medium_slice_hound_se', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '72', 'medium_murra_se', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '73', 'medium_sand_panther_se', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '74', 'hard_gronda_sw', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '75', 'medium_slice_hound_sw', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '76', 'hard_gulginaw_sw', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '77', 'hard_crimson_sand_panther_sw', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '78', 'hard_gronda_nw', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '79', 'medium_slice_hound_nw', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '80', 'medium_murra_nw', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '81', 'hard_greater_gulginaw_nw', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '82', 'agrilat_swamp_1', 'Agrilat Swamp\n');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '83', 'golden_beaches_3', 'Gold Beach');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '84', 'golden_beaches_2', 'Gold Beach');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '85', 'golden_beaches_1', 'Gold Beach');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '86', 'golden_beaches_4', 'Gold Beach');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '87', 'golden_beaches_5', 'Gold Beach');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '88', 'golden_beaches_6', 'Gold Beach');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '89', 'golden_beaches_7', 'Gold Beach');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '90', 'golden_beaches_8', 'Gold Beach');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '91', 'denendre_valley_1', 'Denendre Valley');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '92', 'denendre_valley_2', 'Denendre Valley');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '93', 'denendre_valley_3', 'Denendre Valley');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '94', 'denendre_valley_4', 'Denendre Valley');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '95', 'vreni_island_1', 'Vreni Island');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '96', 'doaba_guerfel', 'Doaba Guerfel');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '97', 'thaos_mountains_1', 'Thaos Mountains');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '98', 'thaos_mountains_2', 'Thaos Mountains');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '99', 'thaos_mountains_3', 'Thaos Mountains');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '100', 'rier_let', 'Rier\'let');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '101', 'rier_vem', 'Rier\'vem');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '102', 'rhalers_bastion', 'Rhaler\'s Bastion');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '103', 'bindreg_hills_1', 'Bindreg Hills');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '104', 'bindreg_hills_2', 'Bindreg Hills');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '105', 'bindreg_hills_3', 'Bindreg Hills');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '106', 'riverlands_1', 'Riverlands');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '107', 'riverlands_2', 'Riverlands');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '108', 'riverlands_3', 'Riverlands');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '109', 'riverlands_4', 'Riverlands');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '110', 'riverlands_5', 'Riverlands');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '111', 'riverlands_6', 'Riverlands');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '112', 'suntir_plains', 'Suntir Plains');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '113', 'dregans_pike', 'Dregan\'s Pike');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '114', 'malal_mountains', 'Malal Mountains');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '115', 'loch_khaxus', 'Loch Khaxus');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '116', 'corellia_pvp', 'Agrilat Swamp PvP Battlefield');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '117', 'corellia_rebel_riverside_fort', 'Rebel Riverside Fort PvE Battlefield');
INSERT INTO `client_strings` VALUES ('string/en/corellia_region_names.stf', '118', 'corellia_mountain_fortress', 'Mountain Fortress PvE Battlefield');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '1', 'accuracy', 'Accuracy');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '2', 'actuating_blaster_module', 'Actuating Blaster Module');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '3', 'advanced_bore', 'Advanced Blaster Barrel Bore');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '4', 'advanced_burst_emitter', 'Advanced Explosive Bolt Emitter Nozzle');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '5', 'advanced_collimator', 'Advanced Blaster Collimator');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '6', 'advanced_cooling_mechanism', 'Advanced Blaster Cooling Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '7', 'advanced_emitter', 'Advanced Bolt Emitter Nozzle');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '8', 'advanced_static_pulse_adaptors', 'Advanced Blaster Static Pulse Adaptors');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '9', 'aluminum', 'Aluminum');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '10', 'armor_effectiveness', 'Armor Effectiveness');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '11', 'armor_integrity', 'Armor Integrity');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '12', 'armor_repair_name', 'Armor Repair Tool');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '13', 'attributes_prompt', 'The project attributes, as a percent of their max value.');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '14', 'auto_repair_power', 'Auto-Repair Power');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '15', 'barrel', 'Blaster Barrel Unit');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '16', 'barrel_lining', 'Barrel Lining');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '17', 'barrel_shroud', 'Barrel Shroud');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '18', 'barrel_to_receiver_coupling', 'Barrel-receiver Coupling');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '19', 'base_public_station', 'Base Public Crafting Station');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '20', 'base_repair_tool', 'Repair Tool');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '21', 'base_station', 'Base Crafting Station');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '22', 'base_tool', 'Repair Tool');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '23', 'basic_bore', 'Basic Blaster Barrel Bore');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '24', 'basic_burst_emitter', 'Exploding Bolt Emitter Nozzle');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '25', 'basic_collimator', 'Basic Blaster Collimator');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '26', 'basic_cooling_mechanism', 'Basic Blaster Cooling Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '27', 'basic_emitter', 'Basic Bolt Emitter Nozzle');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '28', 'basic_scope', 'Basic Optical Ranged Weapon Scope');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '29', 'basic_static_pulse_adaptors', 'Basic Blaster Static Pulse Adaptor');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '30', 'blaster_barrel', 'Blaster Barrel');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '31', 'blaster_schematic_name', 'Blaster Schematic');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '32', 'bomb_level', 'Detonation Power');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '33', 'booster_consumption', 'Experimental Booster Consumption');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '34', 'bore', 'Blaster Barrel Fittings and Bore');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '35', 'cc_not_crafting', 'Item rejected: you are not participating in this crafting project.');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '36', 'cc_not_item_crafter', 'Item rejected: you may only give items crafted by you.');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '37', 'cc_not_min_quality', 'Item rejected: the item does not meet the minimum quality required.');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '38', 'cc_not_valid_item', 'Item rejected: the item is not needed for this project.');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '39', 'cc_prize_inventory_full', 'You are able to get a prize from the community crafting project you\'ve been working on, but your inventory is full. Please create at least one unit of free space in your inventory, log out for five minutes or more, and log back in again.');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '40', 'cc_prize_inventory_full_from', 'Community Crafting Project');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '41', 'cc_thank_you', 'Crafting item received.');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '42', 'cc_thank_you_done', 'Crafting item received. You have given all the items you needed to! If you wish, you may still contribute items to help improve the project and your ranking in it.');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '43', 'cc_thank_you_one', 'Crafting item received. You need to give one more item to finish your contribution!');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '44', 'cc_thank_you_with_counts', 'Crafting item received. You need to give %DI items to finish you contribution.');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '45', 'circuitry_substrate', 'Circuitry Substrate');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '46', 'clothing_public_station_name', 'Clothing and Armor Public Crafting Station');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '47', 'clothing_repair_name', 'Clothing Repair Tool');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '48', 'clothing_station_name', 'Clothing and Armor Crafting Station');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '49', 'clothing_tool_name', 'Clothing and Armor Crafting Tool');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '50', 'collimator', 'Blaster Collimator');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '51', 'community_crafting_body', 'The crafting of %TT has finished. The final object\'s attributes are:\n\n');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '52', 'community_crafting_body_1', 'The crafting of ');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '53', 'community_crafting_body_2', ' has finished. The object\'s final attributes are:\n\n');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '54', 'community_crafting_from', 'Community Crafting System');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '55', 'community_crafting_results', 'Crafting Results');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '56', 'complexity', 'Complexity');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '57', 'cooling_mechanism', 'Blaster Cooling Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '58', 'crit_assembly', 'Guaranteed Critical Assemblies');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '59', 'crit_experiment', 'Guaranteed Critical Experiments');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '60', 'curesymptomone', 'Primary Curative agent');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '61', 'curesymptomtwo', 'Secondary Curative Agent');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '62', 'demo_blaster_barrel_schematic_name', 'Blaster Barrel');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '63', 'demo_blaster_schematic_name', 'Blaster');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '64', 'droid_count', 'Droid Count');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '65', 'droid_repair_name', 'Droid Repair Tool');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '66', 'emitter_nozzle', 'Blaster Bolt Emitter Nozzle');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '67', 'energy_resistance', 'Energy Resistance');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '68', 'enhanced_static_pulse_adaptors', 'Enhanced Blaster Static Pulse Adaptor');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '69', 'entertainer_effects', 'Lighting Effect');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '70', 'exp_accel', 'Experimental Acceleration');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '71', 'exp_ammo', 'Ammunition Quantity');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '72', 'exp_armor_effectiveness', 'Experimental Armor Effectiveness');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '73', 'exp_armorhpmax', 'Experimental Armor Hitpoints');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '74', 'exp_booster_accel', 'Experimental Booster Acceleration');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '75', 'exp_booster_consumption', 'Experimental Booster Energy Consumption');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '76', 'exp_booster_energy', 'Experimental Booster Energy');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '77', 'exp_booster_recharge', 'Experimental Booster Recharge Rate');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '78', 'exp_booster_speed', 'Experimental Booster Speed');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '79', 'exp_cap_max_energy', 'Experimental Capacitor Energy');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '80', 'exp_charges', 'Experimental Charges');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '81', 'exp_count', 'Experimental Count');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '82', 'exp_damage_max', 'Experimental Damage Max');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '83', 'exp_damage_min', 'Experimental Damage Minimum');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '84', 'exp_decel', 'Experimental Deceleration');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '85', 'exp_droid_command_speed', 'Experimental Droid Command Speed');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '86', 'exp_droid_speed', 'Experimental Droid Speed');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '87', 'exp_durability', 'Experimental Durability');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '88', 'exp_effective_armor', 'Experimental Armor Effectiveness');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '89', 'exp_effective_shields', 'Experimental Shield Effectiveness');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '90', 'exp_effectiveness', 'Experimental Effectiveness');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '91', 'exp_energy_gen_rate', 'Experimental Energy Generation Rate');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '92', 'exp_energy_maintenance', 'Experimental Energy Maintenance');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '93', 'exp_energy_per_shot', 'Experimental Energy Per Shot');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '94', 'exp_engine_accel', 'Experimental Acceleration');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '95', 'exp_engine_decel', 'Experimental Engine Deceleration');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '96', 'exp_engine_speed', 'Experimental Speed');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '97', 'exp_filling', 'Experimental Filling');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '98', 'exp_flavor', 'Experimental Flavor');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '99', 'exp_fltrefirerate', 'Experimental Firing Rate');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '100', 'exp_hitpointsmax', 'Experimental Hitpoints');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '101', 'exp_hp', 'Experimental Hitpoints');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '102', 'exp_hp_max', 'Experimental Hitpoints');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '103', 'exp_hpmax', 'Experimental Maximum Hitpoints');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '104', 'exp_maintenance', 'Experimental Maintenance');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '105', 'exp_mass', 'Experimental Mass');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '106', 'exp_massmax', 'Experimental Mass');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '107', 'exp_nutrition', 'Experimental Nutritional Value');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '108', 'exp_pitch', 'Experimental Pitch');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '109', 'exp_quality', 'Experimental Quality');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '110', 'exp_quantity', 'Experimental Quantity');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '111', 'exp_recharge', 'Experimental Recharge Rate');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '112', 'exp_refire', 'Experimental Firing Rate');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '113', 'exp_refire_rate', 'Experimental Firing Rate');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '114', 'exp_repaircharges', 'Experimental Charges');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '115', 'exp_resistance', 'Experimental Resistance');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '116', 'exp_roll', 'Experimental Roll');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '117', 'exp_shield_effectiveness', 'Experimental Shield Effectiveness');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '118', 'exp_shield_max_back_hp', 'Experimental Back Hitpoints');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '119', 'exp_shield_max_front_hp', 'Experimental Front Hitpoints');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '120', 'exp_shield_recharge', 'Experimental Shield Recharge Rate');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '121', 'exp_speed', 'Experimental Speed');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '122', 'exp_yaw', 'Experimental Yaw');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '123', 'expabsorption', 'Experimental Absorption');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '124', 'expaggressionprofile', 'Experimental Aggression Profile');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '125', 'expcharges', 'Experimental Charges');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '126', 'expdamage', 'Experimental Damage ');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '127', 'expdurability', 'Experimental Durability');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '128', 'expduration', 'Experimental Duration');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '129', 'expeaseofuse', 'Experimental Ease of Use');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '130', 'expeffeciency', 'Experimental Efficiency');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '131', 'expeffectiveness', 'Experimental Effectiveness');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '132', 'expintellegence', 'Experimental Intelligence');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '133', 'expintelligence', 'Experimental Intelligence');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '134', 'expmentalprofile', 'Experimental Mental Profile');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '135', 'expphysiqueprofile', 'Experimental Physique Profile');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '136', 'expprowessprofile', 'Experimental Prowess Profile');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '137', 'exppsychologicalprofile', 'Experimental Psychological Profile');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '138', 'expquality', 'Experimental Quality');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '139', 'exprange', 'Experimental Range');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '140', 'expresistance', 'Experimental Resistance');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '141', 'expspeed', 'Experimental Speed');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '142', 'expstorage', 'Experimental Storage');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '143', 'extreme_cooling_mechanism', 'Custom Extreme-Duty Blaster Cooling Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '144', 'food_public_station_name', 'Food and Chemical Public Crafting Station');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '145', 'food_station_name', 'Food and Chemical Crafting Station');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '146', 'food_tool_name', 'Food and Chemical Crafting Tool');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '147', 'frame', 'Weapon Frame');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '148', 'frame_assembly', 'Frame Assembly');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '149', 'fs_exp_cure_one', 'Experimental Primary Agent');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '150', 'fs_exp_cure_two', 'Experimental Secondary Agent');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '151', 'fs_exp_side_effect_one', 'Experimental Residual');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '152', 'gas_containment_unit', 'Gas Containment Unit');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '153', 'generic_tool_name', 'Generic Crafting Tool');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '154', 'givesymptomone', 'Residual Chemical Effect');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '155', 'grid_stability', 'Grid Stability');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '156', 'grip', 'Weapon Grip');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '157', 'grip_assembly', 'Grip Assembly');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '158', 'hopper', 'Hopper');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '159', 'hopper_large', 'Large Hopper');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '160', 'hopper_medium', 'Medium Hopper');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '161', 'hopper_small', 'Small Hopper');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '162', 'hopper_structure_large', 'Large Hopper Structure');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '163', 'hopper_structure_medium', 'Medium Hopper Structure');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '164', 'hopper_structure_small', 'Small Hopper Structure');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '165', 'hp', 'Hitpoints');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '166', 'ingredient_hopper', 'Ingredient Hopper');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '167', 'iron', 'Iron');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '168', 'jedi_tool_name', 'Lightsaber Crafting Toolkit');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '169', 'kinetic_resistance', 'Kinetic Resistance');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '170', 'kineticeffectiveness', 'Kinetic Effectiveness');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '171', 'light_accumulators', 'Light Accumulators');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '172', 'lightened_frame', 'Custom Lightened Weapon Frame');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '173', 'lightened_trigger', 'Custom Set Lightened Trigger Release');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '174', 'massmax', 'Maximum Mass');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '175', 'maxdamage', 'Maximum Damage');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '176', 'metallic_grip', 'TEST metallic blaster grips');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '177', 'mindamage', 'Minimum Damage');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '178', 'minerals', 'Minerals');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '179', 'module_assembly', 'Module Assembly');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '180', 'no_players', 'No players participating');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '181', 'orismatic_crystal_unit', 'Blaster Prismatic Crystal');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '182', 'output_hopper', 'Output Hopper');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '183', 'plastoid_grip', 'Plastoid Composite Grips');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '184', 'player_rankings', 'Player Rankings');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '185', 'power', 'Power');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '186', 'power_efficiency', 'Power Efficiency');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '187', 'power_handler', 'Blaster Power Handling Unit');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '188', 'powerhandler', 'Blaster Power Handler Unit');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '189', 'prismatic_crystal', 'Blaster Prismatic Crystal');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '190', 'project_attributes', 'Project Attributes');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '191', 'quality_prompt', 'The percent average quality of the ingredients being supplied by the crafters.');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '192', 'quantity_prompt', 'The number of ingredients being supplied by the crafters.');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '193', 'reactant_source', 'Reactant Source');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '194', 'receiver_assembly', 'Receiver Assembly');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '195', 'res_conductivity', 'Conductivity');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '196', 'res_decay_resist', 'Decay Resistance');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '197', 'res_malleability', 'Malleability');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '198', 'res_potential_energy', 'Potential Energy');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '199', 'res_quality', 'Quality');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '200', 'res_shock_resistance', 'Shock Resistance');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '201', 'res_toughness', 'Toughness');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '202', 'scope', 'Ranged Weapon Scope Unit');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '203', 'scope_bracket', 'Scope Bracket');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '204', 'scope_shell', 'Scope Shell');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '205', 'sculpted_plastoid_grip', 'Custom Sculpted Plastoid Grips');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '206', 'shock_proofing_and_gasket_seals', 'Shock-proofing and Gasket Seals');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '207', 'smart_trigger', 'Custom Smart Trigger');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '208', 'space_station_name', 'Starship Crafting Station');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '209', 'space_tool_name', 'Starship Crafting Tool');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '210', 'speed', 'Speed');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '211', 'stabilizer', 'Stabilizer');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '212', 'standard_frame', 'Standard Type Frame');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '213', 'standard_trigger', 'Standard Trigger Release');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '214', 'start_crafting', 'Start a Crafting Session');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '215', 'static_pulse_adaptors', 'Blaster Static Pulse Adaptor');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '216', 'stimpack_capacity', 'Stimpack Capacity');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '217', 'stimpack_speed', 'Stimpack Delivery');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '218', 'structure_public_station_name', 'Structure and Furniture Public Crafting Station');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '219', 'structure_repair_name', 'Structure Repair Tool');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '220', 'structure_station_name', 'Structure and Furniture Crafting Station');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '221', 'structure_tool_name', 'Structure and Furniture Crafting Tool');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '222', 'super_galvenned_bore', 'Custom Super Galvenned Blaster Barrel');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '223', 'system_redundancy', 'System Redundancy');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '224', 'system_response', 'System Response');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '225', 'targeting_aid_circuitry', 'Targeting-Aid Circuitry');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '226', 'test_crafting_blaster_barrel_schematic_name', 'Complex test blaster barrel schematic article');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '227', 'test_crafting_blaster_schematic_name', 'Complex test blaster schematic article');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '228', 'tool_status_finished', 'Finished');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '229', 'tool_status_ready', 'Ready');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '230', 'tool_status_working', 'Working');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '231', 'trigger', 'Weapon Trigger');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '232', 'weapon_public_station_name', 'Weapon, Droid, and General Item Public Crafting Station');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '233', 'weapon_repair_name', 'Weapon Repair Tool');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '234', 'weapon_station_name', 'Weapon, Droid, and General Item Crafting Station');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '235', 'weapon_tool_name', 'Weapon, Droid, and General Item Crafting Tool');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '236', 'wooden_grip', 'Wooden Grips');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '237', 'xciter_circuitry', 'XCiter Unit Circuitry');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '238', 'exp_booster_acceleration', 'Experimental Booster Acceleration');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '239', 'exp_maximum_chaff_effectiveness', 'Chaff Maximum Effectiveness');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '240', 'exp_min_chaff_effectiveness', 'Chaff Minimum Effectiveness');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '241', 'quality_prompt_limited', 'The percent average quality of the ingredients being supplied by the crafters. Due to the number of crafters helping, only the top 50 are shown.');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '242', 'quantity_prompt_limited', 'The number of ingredients being supplied by the crafters. Due to the number of crafters helping, only the top 50 are shown.');
INSERT INTO `client_strings` VALUES ('string/en/crafting.stf', '243', 'exp_armor', 'Experimental Armor Hitpoints');
INSERT INTO `client_strings` VALUES ('string/en/crafting_detail.stf', '1', 'armor_repair_name', 'A tool that repairs armor.');
INSERT INTO `client_strings` VALUES ('string/en/crafting_detail.stf', '2', 'clothing_repair_name', 'A tool that repairs clothing.');
INSERT INTO `client_strings` VALUES ('string/en/crafting_detail.stf', '3', 'clothing_station_name', 'This is a private station used as a passive part of the process in making more complicated clothing and armor. To make use of this station, stand near it and use a crafting tool of the same type as the station. Depending on what draft schematics your skills have granted you, you may be able to craft additional items. Check the draft schematic listing in the crafting tool or you datapad to see what schematics require access to a public or private crafting station before they can be constructed. In addition to being able to craft as you normally would but with access to any additional high-level schematics you might have, you will have an \'input hopper\' option added to the pop-up menu for your specilized crafting tool. This gives you the ability to store resources within the private crafting station you are closest to. To make use of these additional resources during the crafting process, click the \'input hopper\' tab on the left side of the item assembly screen. This will allow you to use the resources and components stored in that crafting station\'s input hopper to fulfill ingredient slot requirements the same as you\'d use ingredients located in your own inventory.');
INSERT INTO `client_strings` VALUES ('string/en/crafting_detail.stf', '4', 'clothing_tool_name', 'This tool is used to craft clothing and armor.');
INSERT INTO `client_strings` VALUES ('string/en/crafting_detail.stf', '5', 'droid_repair_name', 'A tool used to repair droids.');
INSERT INTO `client_strings` VALUES ('string/en/crafting_detail.stf', '6', 'food_station_name', 'This is a private station used as a passive part of the process in making more complicated food and chemicals. To make use of this station, stand near it and use a crafting tool of the same type as the station. Depending on what draft schematics your skills have granted you, you may be able to craft additional items. Check the draft schematic listing in the crafting tool or you datapad to see what schematics require access to a public or private crafting station before they can be constructed. In addition to being able to craft as you normally would but with access to any additional high-level schematics you might have, you will have an \'input hopper\' option added to the pop-up menu for your specilized crafting tool. This gives you the ability to store resources within the private crafting station you are closest to. To make use of these additional resources during the crafting process, click the \'input hopper\' tab on the left side of the item assembly screen. This will allow you to use the resources and components stored in that crafting station\'s input hopper to fulfill ingredient slot requirements the same as you\'d use ingredients located in your own inventory.');
INSERT INTO `client_strings` VALUES ('string/en/crafting_detail.stf', '7', 'food_tool_name', 'This tool is used to make food and chemicals');
INSERT INTO `client_strings` VALUES ('string/en/crafting_detail.stf', '8', 'generic_tool_name', 'This is a generic crafting tool used to make all kinds of relatively simple items.');
INSERT INTO `client_strings` VALUES ('string/en/crafting_detail.stf', '9', 'clothing_public_station_name', 'This is a public station used as a passive part of the process in making more complicated clothing and armor. To make use of this station, stand near it and use a crafting tool of the same type as the station. Depending on what draft schematics your skills have granted you, you may be able to craft additional items. Check the draft schematic listing in the crafting tool or you datapad to see what schematics require access to a public or private crafting station before they can be constructed.');
INSERT INTO `client_strings` VALUES ('string/en/crafting_detail.stf', '10', 'food_public_station_name', 'This is a public station used as a passive part of the process in making more complicated food and chemicals. To make use of this station, stand near it and use a crafting tool of the same type as the station. Depending on what draft schematics your skills have granted you, you may be able to craft additional items. Check the draft schematic listing in the crafting tool or you datapad to see what schematics require access to a public or private crafting station before they can be constructed.');
INSERT INTO `client_strings` VALUES ('string/en/crafting_detail.stf', '11', 'structure_public_station_name', 'This is a public station used as a passive part of the process in making more complicated structures and furniture. To make use of this station, stand near it and use a crafting tool of the same type as the station. Depending on what draft schematics your skills have granted you, you may be able to craft additional items. Check the draft schematic listing in the crafting tool or you datapad to see what schematics require access to a public or private crafting station before they can be constructed.\n');
INSERT INTO `client_strings` VALUES ('string/en/crafting_detail.stf', '12', 'weapon_public_station_name', 'This is a public station used as a passive part of the process in making more complicated weapons, droids, and general items. To make use of this station, stand near it and use a crafting tool of the same type as the station. Depending on what draft schematics your skills have granted you, you may be able to craft additional items. Check the draft schematic listing in the crafting tool or you datapad to see what schematics require access to a public or private crafting station before they can be constructed.');
INSERT INTO `client_strings` VALUES ('string/en/crafting_detail.stf', '13', 'structure_repair_name', 'This is a tool used to repair structures and buildings.');
INSERT INTO `client_strings` VALUES ('string/en/crafting_detail.stf', '14', 'structure_station_name', 'This is a private station used as a passive part of the process in making more complicated structures and furniture. To make use of this station, stand near it and use a crafting tool of the same type as the station. Depending on what draft schematics your skills have granted you, you may be able to craft additional items. Check the draft schematic listing in the crafting tool or you datapad to see what schematics require access to a public or private crafting station before they can be constructed. In addition to being able to craft as you normally would but with access to any additional high-level schematics you might have, you will have an \'input hopper\' option added to the pop-up menu for your specilized crafting tool. This gives you the ability to store resources within the private crafting station you are closest to. To make use of these additional resources during the crafting process, click the \'input hopper\' tab on the left side of the item assembly screen. This will allow you to use the resources and components stored in that crafting station\'s input hopper to fulfill ingredient slot requirements the same as you\'d use ingredients located in your own inventory.');
INSERT INTO `client_strings` VALUES ('string/en/crafting_detail.stf', '15', 'structure_tool_name', 'This tool is used to craft structures and furniture.');
INSERT INTO `client_strings` VALUES ('string/en/crafting_detail.stf', '16', 'weapon_repair_name', 'This is a tool used to repair weaponry.');
INSERT INTO `client_strings` VALUES ('string/en/crafting_detail.stf', '17', 'weapon_station_name', 'This is a private station used as a passive part of the process in making more complicated weapons, droids, and general items. To make use of this station, stand near it and use a crafting tool of the same type as the station. Depending on what draft schematics your skills have granted you, you may be able to craft additional items. Check the draft schematic listing in the crafting tool or you datapad to see what schematics require access to a public or private crafting station before they can be constructed. In addition to being able to craft as you normally would but with access to any additional high-level schematics you might have, you will have an \'input hopper\' option added to the pop-up menu for your specilized crafting tool. This gives you the ability to store resources within the private crafting station you are closest to. To make use of these additional resources during the crafting process, click the \'input hopper\' tab on the left side of the item assembly screen. This will allow you to use the resources and components stored in that crafting station\'s input hopper to fulfill ingredient slot requirements the same as you\'d use ingredients located in your own inventory.');
INSERT INTO `client_strings` VALUES ('string/en/crafting_detail.stf', '18', 'weapon_tool_name', 'This tool is used to create weaponry, droids, and complex generic items.');
INSERT INTO `client_strings` VALUES ('string/en/crafting_detail.stf', '19', 'hopper_large', 'A large ingredient hopper.');
INSERT INTO `client_strings` VALUES ('string/en/crafting_detail.stf', '20', 'hopper_medium', 'A medium sized ingredient hopper.');
INSERT INTO `client_strings` VALUES ('string/en/crafting_detail.stf', '21', 'hopper_small', 'A small ingredient hopper.');
INSERT INTO `client_strings` VALUES ('string/en/crafting_detail.stf', '22', 'hopper_structure_large', 'A large ingredient hopper structure.');
INSERT INTO `client_strings` VALUES ('string/en/crafting_detail.stf', '23', 'hopper_structure_medium', 'A medium sized ingredient hopper structure.');
INSERT INTO `client_strings` VALUES ('string/en/crafting_detail.stf', '24', 'hopper_structure_small', 'A small ingredient hopper structure.');
INSERT INTO `client_strings` VALUES ('string/en/crafting_detail.stf', '25', 'hopper', 'An ingredient hopper.');
INSERT INTO `client_strings` VALUES ('string/en/crafting_detail.stf', '26', 'jedi_tool_name', 'This toolkit is used by users of the Force to create lightsabers and associated equipment.');
INSERT INTO `client_strings` VALUES ('string/en/crafting_detail.stf', '27', 'space_tool_name', 'This tool is used to craft ship components and systems.');
INSERT INTO `client_strings` VALUES ('string/en/crafting_detail.stf', '28', 'space_station_name', 'This is a private station used as a passive part of the process in making more complicated starship components and ship chassis. To make use of this station, stand near it and use a crafting tool of the same type as the station. Depending on what draft schematics your skills have granted you, you may be able to craft additional items. Check the draft schematic listing in the crafting tool or your datapad to see what schematics require access to a public or private crafting station before they can be constructed. In addition to being able to craft as you normally would but with access to any additional high-level schematics you might have, you will have an \'input hopper\' option added to the pop-up menu for your specilized crafting tool. This gives you the ability to store resources within the private crafting station you are closest to. To make use of these additional resources during the crafting process, click the \'input hopper\' tab on the left side of the item assembly screen. This will allow you to use the resources and components stored in that crafting station\'s input hopper to fulfill ingredient slot requirements the same as you\'d use ingredients located in your own inventory.');
INSERT INTO `client_strings` VALUES ('string/en/crafting_detail.stf', '29', 'space_public_station_name', 'This is a public station used as a passive part of the process in making more complicated starship components and ship chassis. To make use of this station, stand near it and use a crafting tool of the same type as the station. Depending on what draft schematics your skills have granted you, you may be able to craft additional items. Check the draft schematic listing in the crafting tool or your datapad to see what schematics require access to a public or private crafting station before they can be constructed.\n');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '1', 'armor_layer', 'A layer of standard armor.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '2', 'armor_layer_acid', 'A layer of acid-resistant armor.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '3', 'armor_layer_blast', 'A layer of blast-resistant armor.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '4', 'armor_layer_cold', 'A layer of cold-resistant armor.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '5', 'armor_layer_electrical', 'A layer of electricity-resistant armor.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '6', 'armor_layer_energy', 'A layer of energy-resistant armor.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '7', 'armor_layer_environmental', 'A layer of environment-resistant armor.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '8', 'armor_layer_heat', 'A layer of heat-resistant armor.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '9', 'armor_layer_kinetic', 'A layer of kinetic-energy resistant armor.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '10', 'armor_layer_restraint', 'A layer of restraint-resistant armor.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '11', 'armor_layer_stun', 'A layer of stun-resistant armor.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '12', 'armor_module_heavy', 'A heavy armor module.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '13', 'armor_module_light', 'A light armor module.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '14', 'armor_segment', 'A segment of armor.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '15', 'armor_segment_bone', 'A segment of bone armor.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '16', 'armor_segment_chitin', 'A segment of chitin armor.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '17', 'armor_segment_composite', 'A segment of composite armor.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '18', 'armor_segment_padded', 'A segment of padded armor.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '19', 'deflector_shield_emitter_assembly', 'A deflector shield\'s emitter assembly.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '20', 'deflector_shield_generator_energy_ray', 'A deflector shield\'s generator energy ray.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '21', 'deflector_shield_generator_particle', 'A deflector shield\'s particle generator.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '22', 'deflector_shield_ion_feed_unit', 'A deflector shield\'s ion feed unit.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '23', 'deflector_shield_overload_discharge_unit', 'A deflector shield\'s overload discharge unit.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '24', 'deflector_shield_projector_plate', 'A deflector shield\'s projector plate.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '25', 'heavy_armor_layer', 'A layer of standard heavy armor.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '26', 'heavy_armor_layer_acid', 'A layer of acid-resistant heavy armor.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '27', 'heavy_armor_layer_blast', 'A layer of blast-resistant heavy armor.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '28', 'heavy_armor_layer_cold', 'A layer of cold-resistant heavy armor.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '29', 'heavy_armor_layer_electrical', 'A layer of electricity-resistant heavy armor.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '30', 'heavy_armor_layer_energy', 'A layer of energy-resistant heavy armor.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '31', 'heavy_armor_layer_environmental', 'A layer of environment-resistant heavy armor.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '32', 'heavy_armor_layer_heat', 'A layer of heat-resistant heavy armor.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '33', 'heavy_armor_layer_kinetic', 'A layer of kinetic-energy resistant heavy armor.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '34', 'heavy_armor_layer_restraint', 'A layer of restraint-resistant heavy armor.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '35', 'heavy_armor_layer_stun', 'A layer of stun-resistant heavy armor.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '36', 'shield_generator_facility', 'A facility-level shield generator.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '37', 'shield_generator_personal', 'A single-person shield generator.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '38', 'shield_generator_vehicular', 'A vehicle-level shield generator.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '39', 'armor_segment_zam', 'A segment of Armorweave.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '40', 'armor_segment_composite_advanced', 'A segment of advanced composite armor.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '41', 'armor_segment_padded_advanced', 'A segment of advanced padded armor.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '42', 'armor_segment_bone_advanced', 'A segment of advanced bone armor.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '43', 'armor_segment_chitin_advanced', 'A segment of advanced chitin armor.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '44', 'armor_segment_ubese_advanced', 'A segment of advanced Ubese armor.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '45', 'armor_segment_ubese', 'A segment of Ubese armor.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '46', 'armor_segment_zam_advanced', 'A segment of advanced Armorweave.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '47', 'armor_segment_bone_voritor_lizard', 'This segment of Voritor Lizard Hide is the perfect size and shape for use in the crafting of Bone Armor.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '48', 'armor_segment_bone_kimogila', 'This segment of Kimogila Scales is the perfect size and shape for use in the crafting of Bone Armor.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '49', 'armor_segment_chitin_brackaset', 'This segment of Brackaset Plates is the perfect size and shape for use in the crafting of Chitin Armor.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '50', 'armor_segment_chitin_sharnaff', 'This segment of Sharnaff Plating is the perfect size and shape for use in the crafting of Chitin Armor.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '51', 'armor_segment_padded_fambaa', 'This segment of Fambaa Hide is the perfect size and shape for use in the crafting of Padded Armor.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '52', 'armor_segment_padded_dune_lizard', 'This segment of Dune Lizard Hide is the perfect size and shape for use in the crafting of Padded Armor.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '53', 'armor_segment_enhancement_sharnaff', 'This Sharnaff Plating can be used by a skilled Armorsmith to in the crafting of armor segments.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '54', 'armor_segment_enhancement_dragonet', 'This Dragonet Hide can be used by a skilled Armorsmith to in the crafting of armor segments.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '55', 'armor_segment_enhancement_fambaa', 'This Fambaa Hide can be used by a skilled Armorsmith to in the crafting of armor segments.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '56', 'armor_segment_enhancement_kimogila', 'These Kimogila Scales can be used by a skilled Armorsmith to in the crafting of armor segments.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '57', 'armor_segment_enhancement_voritor_lizard', 'These Voritor Lizard Scales can be used by a skilled Armorsmith to in the crafting of armor segments.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '58', 'armor_segment_enhancement_brackaset', 'These Brackaset Plates can be used by a skilled Armorsmith to in the crafting of armor segments.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '59', 'armor_segment_enchancement_nightsister', 'An armor shard which could be used to enhance an armor segment.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '60', 'armor_segment_enchancement_janta', 'A piece of Janta hide that could be used to enhance and armor segment.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '61', 'armor_segment_enchancement_krayt', 'This Krayt scale could be used to enhance an armor segment.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '62', 'armor_segment_chitin_kliknick', 'A Kliknik shell suitable for use as a chitin armor segment.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '63', 'armor_segment_bone_donkuwah', 'Donkuwah bones suitable for use as a bone armor segment.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '64', 'armor_segment_padded_rancor', 'A piece of Rancor hide suitable for use as a padded armor segement.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '65', 'armor_segment_composite_krayt', 'A piece of Krayt hide suitable for use as a composite armor segment.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '66', 'armor_layer_nightsister', 'A nightsister armor layer.  This may be used in any armor segment capable of accepting layers.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '67', 'armor_segment_enchancement_rancor', 'This pile of Rancor hides could be used to enhance the armor segment crafting process.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '68', 'armor_segment_ris', 'A segment of R.I.S. armor.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '69', 'bone_fragment_woolamander_harrower', 'Bone fragments collected from a woolamander harrower.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '70', 'hide_gurk_king', 'The hide from a gurk king.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '71', 'armor_layer_ris', 'A layer of R.I.S. armor.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '72', 'feather_peko_albatross', 'A feather from a Peko Peko Albatross.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '73', 'scale_giant_dune_kimogila', 'Scales from a Giant Dune Kimogila.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '74', 'armor_segment_bone_acklay', 'An interwoven bone armor segment.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '75', 'armor_segment_ris_acklay', 'An interwoven R. I. S. armor segment,');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_d.stf', '76', 'armor_segment_chitin_kliknick_adv', 'This armored shell looks as if it would make an excellent chitin armor segment.');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '1', 'defensive_layer', 'Armor Layer');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '2', 'feed_power_regulator_unit', 'Power Feed Regulator Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '3', 'field_transmission_substrate_assembly', 'Energy Field Transmission Substrate Assembly');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '4', 'ray_shielding_generator', 'Ray Shielding Generator');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '5', 'ray_shielding_generators', 'Ray Shielding Generators');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '6', 'particle_shielding_generators', 'Particle-shielding Generators');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '7', 'deflection_run_off_burnout_protector', 'Deflection Run-off Burnout Protector');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '8', 'shield_unit_energy_distributor', 'Shield Unit Energy Distributor');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '9', 'shield_unit_energy_distribution_net', 'Shield Unit Energy-distribution Net');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '10', 'field_emitter_matrix', 'Energy Field Emitter Matrix');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '11', 'ion_field_reinforcement_accumulator', 'Ion-field Reinforcement Accumulator');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '12', 'defensive_module_frame', 'Defensive Module Mounting Frame');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '13', 'segment_layer_assembly_plate', 'Armor Segment Layer Assembly Plate');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '14', 'armor_segment_bone', 'Bone Armor Segment');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '15', 'armor_segment_chitin', 'Chitin Armor Segment');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '16', 'armor_layer_frame', 'Armor Layer Frame');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '17', 'armor_layer_shock_casing', 'Armor Layer Shock-resistant Casing');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '18', 'adhesion_repulsion_coating', 'Adhesive Repulsion Coating');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '19', 'assembly_mounting_frame', 'Electronic Assembly Mounting Frame');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '20', 'macro_assembly_construction_lattice', 'Macro-assembly Construction Lattice');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '21', 'sub_assembly_frame', 'Sub-assembly Frame');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '22', 'plate_mounting_brackets', 'Plate Mounting Brackets');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '23', 'generator_unit_sub_structure', 'Generator Unit Sub-structure');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '24', 'assembly_containment_module', 'Assembly Containment Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '25', 'generator_unit_casing', 'Generator Unit Casing');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '26', 'shock_transference_limiter', 'Shock Pulse Transference Limiter');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '27', 'armor_layer_weld_tabs', 'Armor Layer Weld Tabs');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '28', 'segment_mounting_tabs', 'Armor Segment Mounting Tabs');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '29', 'defensive_layer_microlattice', 'Defensive Layer Microlattice');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '30', 'primary_insulator_micro_layer', 'Primary Insulator Microlayer');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '31', 'ablative_damage_absorbtion_medium', 'Ablative Damage Absorption Medium');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '32', 'secondary_insulator_microsheath', 'Secondary Insulator Microsheath');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '33', 'armor_layer_inner_structure', 'Armor Layer Inner Structure');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '34', 'multi_frequency_shock_absorbtion_media', 'Multi-frequency Shock Absorption Media');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '35', 'emitter_precharger_array', 'Field Emitter Pre-charger Array');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '36', 'field_harmonic_tuning_array', 'Harmonic Field Turning Array');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '37', 'primary_insulation_mechanism', 'Primary Insulation Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '38', 'charge_leakage_shielding', 'Charge Leakage Shielding');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '39', 'field_isolator_assembly', 'Field Isolator Assembly');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '40', 'primary_unit_frame_structure', 'Primary Unit Frame Assembly');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '41', 'charge_insulator_shield', 'Charge Insulator Shield');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '42', 'frame_rigidity_reinforcer', 'Frame Rigidity Reinforcer');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '43', 'armor_layer_track', 'Armor Layer Mounting Track');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '44', 'chemical_neutralization_medium', 'Chemical Neutralization Medium');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '45', 'shockwave_repulsion_compound', 'Shockwave-repulsion Compound');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '46', 'adhesive_absorbtion_compound', 'Adhesive Absorption Compound');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '47', 'emitter_module_insulation', 'Emitter Module Insulation');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '48', 'secondary_casing_insulation_medium', 'Secondary Casing Insulation Medium');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '49', 'primary_ground_conduit', 'Primary Grounding Conduit');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '50', 'projector_field_array', 'Projector Field Array');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '51', 'personal_mounting_clip', 'Personal Mounting Clip');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '52', 'energy_leakage_prevention_insulator', 'Energy-leakage Prevention Insulator');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '53', 'module_bracket_assembly', 'Armor Module Mounting Bracket Assembly');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '54', 'blast_harmonics_absorbtion_medium', 'Blast-harmonics Absorption Medium');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '55', 'second_tier_insulation_medium', 'Second-tier Insulation Medium');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '56', 'field_emitter_crystals', 'Energy Field Emitter Crystals');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '57', 'field_generation_pile', 'Energy Field Generation Pile');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '58', 'ion_energy_conduit', 'Ion Energy Conduit');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '59', 'armor_module_heavy', 'Heavy Armor Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '60', 'armor_module_light', 'Light Armor Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '61', 'armor_segment', 'Armor Segment');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '62', 'shield_generator_facility', 'Facility Shield Generator');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '63', 'shield_generator_personal', 'Personal Shield Generator');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '64', 'armor_layer_acid', 'Acid Protection Armor Layer');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '65', 'armor_layer_blast', 'Blast Protection Armor Layer');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '66', 'armor_layer_cold', 'Cold Protection Armor Layer');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '67', 'armor_layer_electrical', 'Electrical Protection Armor Layer');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '68', 'armor_layer_energy', 'Energy Protection Armor Layer');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '69', 'armor_layer_environmental', 'Environmental Protection Armor Layer');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '70', 'armor_layer_heat', 'Heat Protection Armor Layer');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '71', 'armor_layer_kinetic', 'Kinetic Protection Armor Layer');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '72', 'armor_layer_restraint', 'Restraint Protection Armor Layer');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '73', 'armor_layer_stun', 'Stun Protection Armor Layer');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '74', 'deflector_shield_emitter_assembly', 'Deflector Shield Emitter Assembly');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '75', 'deflector_shield_gen_ray', 'Energy Ray Deflector Shield Generator');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '76', 'deflector_shield_gen_particle', 'Particle Deflector Shield Generator');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '77', 'deflector_shield_ion_feed', 'Deflector Shield Ion Feed Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '78', 'deflector_shield_overload_discharger', 'Deflector Shield Overload Discharge Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '79', 'defensive_layer_2', 'Additional Defensive Layer');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '80', 'defensive_layer_3', 'Additional Defensive Layer');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '81', 'defensive_layer_4', 'Additional Defensive Layer');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '82', 'energy_sink', 'Energy Sink');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '83', 'armor_layer', 'Armor Layer');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '84', 'auxilary_coverage_2', 'Second Auxiliary Coverage');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '85', 'heavy_armor_layer', 'Heavy Armor Layer');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '86', 'deflector_shield_ion_feed_unit', 'Deflector Shield Ion Feed Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '87', 'deflector_shield_overload_discharge_unit', 'Deflector Shield Overload Discharge Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '88', 'insulation_medium', 'Insulation Medium');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '89', 'armor_layer_enviroment', 'Environmental Protection Armor Layer');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '90', 'armor_layer_environment', 'Environmental Protection Armor Layer');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '91', 'multi_frequency_shock_absorbtion_media_2', 'Multi-frequency Shock Absorption Media 2');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '92', 'auxilary_coverage2', 'Auxiliary Coverage 2');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '93', 'armor_segment_zam', 'Armorweave Segment');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '94', 'armor_segment_bone_voritor_lizard', 'Voritor Lizard Hide Segment');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '95', 'armor_segment_bone_kimogila', 'Kimogila Scale Segment');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '96', 'armor_segment_chitin_brackaset', 'Brackaset Plate Segment');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '97', 'armor_segment_chitin_sharnaff', 'Sharnaff Plating Segment');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '98', 'armor_segment_padded_fambaa', 'Fambaa Hide Segment');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '99', 'armor_segment_padded_dune_lizard', 'Dune Lizard Hide Segment');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '100', 'armor_segment_enhancement_sharnaff', 'Sharnaff Plating');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '101', 'armor_segment_enhancement_dragonet', 'Dragonet Hide');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '102', 'armor_segment_enhancement_fambaa', 'Fambaa Hide');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '103', 'armor_segment_enhancement_kimogila', 'Kimogila Scales');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '104', 'armor_segment_enhancement_voritor_lizard', 'Voritor Lizard Scales');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '105', 'armor_segment_enhancement_brackaset', 'Brackaset Plates');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '106', 'segment_enhancement', 'Segment Enhancement');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '107', 'reinforcement_matrix', 'Reinforcement Matrix');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '108', 'flexor_matrix', 'Flexor Matrix');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '109', 'armor_segment_bone_acklay', 'Interwoven Bone Segment');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '110', 'armor_segment_ris_acklay', 'Interwoven R. I. S. Segment');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '111', 'armor_segment_chitin_kliknick_adv', 'Reinforced Kliknik Shell');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '112', 'armor_segment_ceremonial', 'Ceremonial Segment');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '113', 'armor_segment_kashyyykian_black_mtn', 'Kashyyykian Black Mountain Armor Segment');
INSERT INTO `client_strings` VALUES ('string/en/craft_armor_ingredients_n.stf', '114', 'armor_segment_kashyyykian_hunting', 'Kashyyykian Hunting Armor Segment');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_d.stf', '1', 'bio_component_food_duration', 'Food and drink augmented with this range of vitamins and phytochemicals give prolonged healthful effects.\n\n(Moderately increases the duration of foods that are crafted with it.)');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_d.stf', '2', 'bio_component_food_duration_2', 'In addition to a wide range of vitamins and phytochemicals, this enhancement includes enzymes that retard the metabolism of food and drink, prolonging their healthful effects.\n\n(Significantly increases the duration of foods that are crafted with it.)');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_d.stf', '3', 'bio_component_food_flavor', 'This common food additive dilates taste receptors, enhancing subtle flavors and improving the beneficial effects of food and drink.\n\n(Moderately increases the effects of foods that are crafted with it.)');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_d.stf', '4', 'bio_component_food_flavor_2', 'Tightly controlled by Corporate Sector Authority trade regulations, this additive greatly improves the flavor and benefits of food and drink. The CSA\'s licensed manufacturers steadfastly deny rumors that long-term use induces paranoia and violent behavior.\n\n(Significantly increases the effects of foods that are crafted with it.)');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_d.stf', '5', 'bio_component_food_physical', 'This Bothan cocktail of genetically altered hormones makes possible unbelievable physical feats. Unfortunately, these strengthening enhancements impair agility and coordination.\n\n(Moderately increases the Health effects of foods that are crafted with it but at a cost to the Action effects.)');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_d.stf', '6', 'bio_component_food_physical_2', 'A tailored virus, developed by Bothan bioformatters, adjusts the user\'s system to make better use of the Bio-Strength hormones. However, side effects greatly impair the nervous system, and consequently the speed of action.\n\n(Significantly increases the Health effects of foods that are crafted with it but at a cost to the Action effects.)');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_d.stf', '7', 'bio_component_food_reflex', 'Distilled (carefully) from the infamously painful Devaronian Blood-poison, this chemical improves the speed of synaptic signal transmission in the body. The user moves noticeably faster. However, the poison\'s side effects cloud mental processes.\n\n(Moderately increases the Action effects of foods that are crafted with it but at a cost to the Mind effects.)');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_d.stf', '8', 'bio_component_food_reflex_2', 'An excruciatingly delicate refinement process enhances the potency of Devaronian Alipedene. The user\'s speed and fluidity of movement improves greatly, but mental processes suffer. Rare side effects may include paranoia and violent activity. Illegal on certain puritanical Core Worlds.\n\n(Significantly increases the Action effects of foods that are crafted with it but at a cost to the Mind effects.)');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_d.stf', '9', 'bio_component_food_mental', 'A spectrum of tailored neurotransmitters that enhances clarity and attention, at the cost of lasting damage to various internal organs. Detectable by a somewhat bitter aftertaste.\n\n(Moderately increases the Mind effects of foods that are crafted with it but at a cost to the Health effects.)');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_d.stf', '10', 'bio_component_food_mental_2', 'Developed by Imperial research scientists (who remain its most ardent users), this neurotransmitter cocktail augments memory retention and perceptual systems, at great cost to system metabolism. Adds a pleasant fizz to food or drink.\n\n(Significantly increases the Mind effects of foods that are crafted with it but at a cost to the Health effects.)');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_d.stf', '11', 'bio_component_clothing_casual_charisma', 'Clothing impregnated with this timed-release psychoactive agent subtly enhances the wearer\'s confidence. Cynics suggest the effect derives entirely from the manufacturer\'s galaxy-wide marketing campaign (\"Charigra -- the sweet smell of success\"). Illegal on certain puritanical Core Worlds.');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_d.stf', '12', 'bio_component_clothing_casual_charisma_2', 'This expensive psychoactive agent induces trust and good feeling, even toward strangers. However, long exposure neutralizes the effect. When impregnated in cloth fibers, Personaphene vapors make others subconsciously trust the wearer, but the wearer is immune to the effect. Popular among ambitious Imperial officers.');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_d.stf', '13', 'bio_component_clothing_casual_entertainer', 'Genetically altered crystal snake scales are ground down and used to treat cloth. Light reflecting from the moving cloth induces a relaxing, hypnotic effect. Many celebrated entertainers wear clothes of myoflex cloth to enhance their performances.\n\n(Casual Clothing made using this component gets a bonus to the Wound Healing (Dance & Music) skill modifiers.)');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_d.stf', '14', 'bio_component_clothing_casual_entertainer_2', 'Advanced Tissue Engineering techniques enhance the hypnotic effects caused by light reflecting through altered crystal snake scales.  However, the process is difficult and expensive, making the material rare.\n\n(Casual Clothing made using this component gets a bonus to the Wound Healing (Dance & Music) skill modifiers.)');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_d.stf', '15', 'bio_component_clothing_casual_medic', 'These attractive patches change color in the presence of stress hormones released by injuries, diseases, and poisons. A trained medic can read these color changes to speed the diagnostic process.\n\n(Casual Clothing made using this component gets a bonus to the Injury & Wound Healing skill modifiers.)');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_d.stf', '16', 'bio_component_clothing_casual_medic_2', 'Microminiature remote sensors of Corellian design pervade these clothing patches. They transmit bioinformatic telemetry to a medic\'s instruments, improving speed and accuracy in the treatment of a victim.\n\n(Casual Clothing made using this component gets a bonus to the Injury & Wound Healing skill modifiers.)');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_d.stf', '17', 'bio_component_clothing_casual_taming', 'With trifling power requirements drawn from the wearer\'s nervous system, these miniature crystals vibrate at subsonic frequencies detectable by most animal life. The vibrations exert a calming effect that makes an animal more receptive to commands.\n\n(Casual Clothing made using this component gets a bonus to the Taming Wild & Vicious Creatures skill modifiers.)');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_d.stf', '18', 'bio_component_clothing_casual_taming_2', 'These highly complex sensors, worn as patches on clothing, can identify a nearby animal and produce pheromones that target the animal\'s sympathetic nervous system. This calms the animal, possibly even during combat.\n\n(Casual Clothing made using this component gets a bonus to the Taming Wild & Vicious Creatures skill modifiers.)');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_d.stf', '19', 'bio_component_clothing_field_camo', 'These time-release microspheres, when impregnated in cloth fibers, release vapors that dull the sense of smell. The wearer can move more easily among wild animals without alarming them. Not coincidentally, the microspheres release greater quantities of vapor in the presence of nervous sweat -- presumably when the wearer most needs camouflage.\n\n(Field Wear made using this component gets a bonus to the Camouflage & Mask Scent skill modifiers.)');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_d.stf', '20', 'bio_component_clothing_field_camo_2', 'Complex micromachines implanted in cloth analyze the scent molecules that pass through the fabric and modify them to remove odors. The wearer gives off no scent whatever, and therefore can pass more easily among many wild animals.\n\n(Field Wear made using this component gets a bonus to the Camouflage & Mask Scent skill modifiers.)');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_d.stf', '21', 'bio_component_clothing_field_cover', 'This treatment implants cloth fibers with miniaturized mirror crystals. The crystals help the fabric take on the coloration of the surroundings, improving the wearer\'s visual concealment.\n\n(Field Wear made using this component gets a bonus to the Cover skill modifier.)');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_d.stf', '22', 'bio_component_clothing_field_cover_2', 'Clothing impregnated with this specialized circuitry changes color to mimic the wearer\'s surroundings. The circuitry analyzes the visual environment and alters the cloth\'s coloring accordingly. This long-established technology dates back to the Old Republic, but remains delicate and expensive.\n\n(Field Wear made using this component gets a bonus to the Cover skill modifier.)');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_d.stf', '23', 'bio_component_clothing_field_bleeding', 'When treated with certain chemicals keyed to the wearer\'s biology, cloth fibers shorten and swell in the presence of blood. This causes the cloth to tighten around a bleeding wound, acting as a temporary bandage.\n\n(Field Wear made using this component gets a bonus to the Bleeding Defense skill modifier.)');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_d.stf', '24', 'bio_component_clothing_field_bleeding_2', 'Millions of tailored symbiotic bacteria, impregnated in cloth fiber, respond to the presence of blood by releasing chemicals that constrict blood vessels. The cloth\'s wearer bleeds less when injured and stops bleeding more quickly. Manufacturing processes require expensive chemicals available only from Corporate Sector monopoly sources.\n\n(Field Wear made using this component gets a bonus to the Bleeding Defense skill modifier.)');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_d.stf', '25', 'bio_component_clothing_field_defense', 'Chemically-treated cloth fibers can reduce impact and burn damage and resist puncturing. However, the chemical treatment may have medical side effects on the wearer. Custom adjustments using the Tissue Engineering skill prevent these side effects.\n\n(Field Wear made using this component gets a bonus to the Melee & Stun Defense skill modifiers.)');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_d.stf', '26', 'bio_component_clothing_field_defense_2', 'To reduce burn, impact, and puncture damage to cloth, a skilled Tissue Engineer modifies an imperceptibly light underlayer of fabric. The procedure imbues the fabric with micromachines programmed with dynamic flocking behaviors. When the cloth is struck or burned, the machines instantaneously flock to the breach, rendering the cloth rigid and rugged within microseconds.\n\n(Field Wear made using this component gets a bonus to the Melee & Stun Defense skill modifiers.)');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_d.stf', '27', 'bio_component_clothing_field_intimidate', 'Microcapsules impregnated in fabric release psychoactive chemicals in the presence of the wearer\'s stress hormones. The chemicals slightly increase the wearer\'s confidence and aggression, supposedly improving the ability to intimidate opponents. Critics charge that this effect is almost entirely psychological. Illegal on certain puritanical Core Worlds.\n\n(Field Wear made using this component gets a bonus to the Warcry & Intimidation skill modifiers.)');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_d.stf', '28', 'bio_component_clothing_field_intimidate_2', 'Certain pheromone derivatives produce an instinctive fear reaction in a wide variety of species. To produce this cloth modification, a skilled Tissue Engineer analyzes the wearer\'s biochemistry and synthesizes a personal, wearer-only antidote to one or more fear pheromones. When the cloth is imbued with microcapsules containing both the pheromone and the personal antidote, the wearer can then intimidate or terrify others without suffering untoward effects personally.\n\n(Field Wear made using this component gets a bonus to the Warcry & Intimidation skill modifiers.)');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_d.stf', '29', 'bio_component_food_light_flavor', 'A light flavor enhancing food additive.');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_d.stf', '30', 'bio_component_food_medium_flavor', 'A medium flavor enhancing food additive.');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_d.stf', '31', 'bio_component_food_heavy_flavor', 'A heavy flavor enhancing food additive.');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_d.stf', '32', 'bio_component_food_heavy_filling', 'A heavy mass reducing food additive.');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_d.stf', '33', 'bio_component_food_medium_filling', 'A medium mass reducing food additive.');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_d.stf', '34', 'bio_component_food_light_filling', 'A light mass reducing food additive.');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_d.stf', '35', 'bio_component_food_light_nutrition', 'A light nutritional supplement for use in cooking.');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_d.stf', '36', 'bio_component_food_medium_nutrition', 'A medium nutritional supplement for use in cooking.');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_d.stf', '37', 'bio_component_food_heavy_nutrition', 'A heavy nutritional supplement for use in cooking.');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_d.stf', '38', 'bio_component_food_heavy_quantity', 'A heavy food replicating supplement for producing larger batches.');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_d.stf', '39', 'bio_component_food_medium_quantity', 'A medium food replicating supplement for producing larger batches.');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_d.stf', '40', 'bio_component_food_light_quantity', 'A light food replicating supplement for producing larger batches.');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_n.stf', '1', 'bio_component_food_duration', 'Micronutrient Supplement');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_n.stf', '2', 'bio_component_food_duration_2', 'Broad-Spectrum Nutrients');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_n.stf', '3', 'bio_component_food_flavor', 'Macrosodial Tetramate');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_n.stf', '4', 'bio_component_food_flavor_2', 'Macrosodial Pentamate');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_n.stf', '5', 'bio_component_food_physical', 'Bio-Strength Formula');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_n.stf', '6', 'bio_component_food_physical_2', 'Enhanced Bio-Strength');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_n.stf', '7', 'bio_component_food_reflex', 'Devaronian Alipedene');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_n.stf', '8', 'bio_component_food_reflex_2', 'Refined Alipedene');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_n.stf', '9', 'bio_component_food_mental', 'Cognitive Enhancer');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_n.stf', '10', 'bio_component_food_mental_2', 'Systemic Cognitive Reformat');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_n.stf', '11', 'bio_component_clothing_casual_charisma', 'Charigra');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_n.stf', '12', 'bio_component_clothing_casual_charisma_2', 'Personaphene');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_n.stf', '13', 'bio_component_clothing_casual_entertainer', 'Myoflex Cloth Treatment');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_n.stf', '14', 'bio_component_clothing_casual_entertainer_2', 'Enhanced Myoflex Treatment');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_n.stf', '15', 'bio_component_clothing_casual_medic', 'Passive Biosensors');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_n.stf', '16', 'bio_component_clothing_casual_medic_2', 'Active Biosensors');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_n.stf', '17', 'bio_component_clothing_casual_taming', 'Passive Tranquilizers');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_n.stf', '18', 'bio_component_clothing_casual_taming_2', 'Active Tranquilizers');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_n.stf', '19', 'bio_component_clothing_field_camo', 'Scent Camouflage');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_n.stf', '20', 'bio_component_clothing_field_camo_2', 'Scent Neutralization');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_n.stf', '21', 'bio_component_clothing_field_cover', 'Visual Camouflage');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_n.stf', '22', 'bio_component_clothing_field_cover_2', 'Mimetic Circuitry');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_n.stf', '23', 'bio_component_clothing_field_bleeding', 'Constrictor Cloth');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_n.stf', '24', 'bio_component_clothing_field_bleeding_2', 'Coagulant Agents');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_n.stf', '25', 'bio_component_clothing_field_defense', 'Toughened Fibers');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_n.stf', '26', 'bio_component_clothing_field_defense_2', 'Tensile Resistance');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_n.stf', '27', 'bio_component_clothing_field_intimidate', 'Confidence Cloth');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_n.stf', '28', 'bio_component_clothing_field_intimidate_2', 'Fear Release');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_n.stf', '29', 'bio_component_food_light_flavor', 'Multisaccharide Dimate');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_n.stf', '30', 'bio_component_food_light', 'Light Food Bio Component');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_n.stf', '31', 'bio_component_food_medium', 'Medium Food Bio Component');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_n.stf', '32', 'bio_component_food_heavy', 'Heavy Food Bio Component');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_n.stf', '33', 'bio_component_food_light_filling', 'Carboreductive Catalyst');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_n.stf', '34', 'bio_component_food_medium_flavor', 'Multisaccharide Tetramate');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_n.stf', '35', 'bio_component_food_heavy_flavor', 'Multisaccharide Pentamate');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_n.stf', '36', 'bio_component_food_light_nutrition', 'Micronutrient Supplement');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_n.stf', '37', 'bio_component_food_medium_nutrition', 'Broad-Spectrum Nutrients');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_n.stf', '38', 'bio_component_food_medium_filling', 'Caloric Conversion Supplement');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_n.stf', '39', 'bio_component_food_heavy_filling', 'Carbocaloric Eliminator');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_n.stf', '40', 'bio_component_food_heavy_nutrition', 'Intelligent Nanonutrients');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_n.stf', '41', 'bio_component_food_light_quantity', 'Hyper Yeast Additive');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_n.stf', '42', 'bio_component_food_medium_quantity', 'Hyper Yeast Concentrate');
INSERT INTO `client_strings` VALUES ('string/en/craft_bio_components_n.stf', '43', 'bio_component_food_heavy_quantity', 'Edible Nano Constructors');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_d.stf', '1', 'bio_effect_controller', 'A biological effect controller allows for a more focused application of medical techniques.');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_d.stf', '2', 'chemistry_base_component', 'Basic chemistry component.');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_d.stf', '3', 'dye_clothing', 'A quantity of cloth dye.');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_d.stf', '4', 'dye_hair', 'A quantity of hair dye.');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_d.stf', '5', 'liquid_suspension', 'This liquid suspension solution appears to be extremely viscous.');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_d.stf', '6', 'release_mech_duration', 'This is a chemical release duration mechanism.');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_d.stf', '7', 'solid_delivery_shell', 'This is a solid delivery shell.');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_d.stf', '8', 'body_shell', 'A body shell.');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_d.stf', '9', 'body', 'Body.');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_d.stf', '10', 'binding_and_hardware', 'Binding and hardware.');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_d.stf', '11', 'colorizable_cloth_panel', 'A colorizable cloth panel.');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_d.stf', '12', 'casing', 'A casing.');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_d.stf', '13', 'delivery_medium', 'A delivery medium.');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_d.stf', '14', 'drug_duration_compound', 'A compound that determines the duration of a drug.');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_d.stf', '15', 'drug_strength_compound', 'A compound that determines the strength of a drug.');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_d.stf', '16', 'hair_color', 'Hair coloring.');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_d.stf', '17', 'hardware', 'Some hardware.');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_d.stf', '18', 'inorganic_element', 'An inorganic element.');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_d.stf', '19', 'organic_element', 'An organic element.');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_d.stf', '20', 'purified_organic_suspension', 'Some purified organic suspension fluid.');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_d.stf', '21', 'suspension_base', 'A suspension base.');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_d.stf', '22', 'drug_strength_compound_2', 'A slightly advanced compound that determines the duration of a drug.');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_d.stf', '23', 'drug_strenth_compound_2', 'A slightly advanced compound that determines the duration of a drug.');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_d.stf', '24', 'purified_organic_element', 'A purified organic element.');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_d.stf', '25', 'dispersal_mechanism_advanced', 'This advanced dispersal mechanism is more adept at discharging its chemical ingredients to the specified place.');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_d.stf', '26', 'infection_amplifier_advanced', 'This advanced infection amplifier increases the efficiency of offensive chemical agents.');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_d.stf', '27', 'resilience_compound_advanced', 'This advanced resilience compound has a potent resilience effect.');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_d.stf', '28', 'dispersal_mechanism', 'This dispersal mechanism allows a controlled discharge of chemicals.');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_d.stf', '29', 'infection_amplifier', 'This infection amplifier increases the effect of chemical attacks.');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_d.stf', '30', 'resilience_compound', 'This resilience compound creates an active resistance to certain maladies.');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_d.stf', '31', 'bio_effect_controller_advanced', 'This advanced biological effect controller allows for greater focused application of medical techniques.');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_d.stf', '32', 'release_mech_duration_advanced', 'This is an advanced chemical release duration mechanism.');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_d.stf', '33', 'solid_delivery_shell_advanced', 'This is an advanced solid delivery shell.');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_d.stf', '34', 'liquid_suspension_advanced', 'This advanced liquid suspension solution appears to be extremely viscous.');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_d.stf', '35', 'fungus', 'A sample of fungus.');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_d.stf', '36', 'nebula_orchid', 'A Nebula orchid.');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_d.stf', '37', 'pika', 'A pika.');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_d.stf', '38', 'funnel', 'A funnel is used to direct fluid from one container to another.');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_d.stf', '39', 'mushroom', 'A spore organism, mushrooms have many different applications in science, cooking, and medicine.');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_d.stf', '40', 'rancor_bile', 'This rancor bile could be used in place of a medical dispersal mechanism.');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_d.stf', '41', 'janta_blood', 'This Janta blood could be used as  a biological effect controller.');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_d.stf', '42', 'infection_amplifier_donkuwah', 'This Donkuwah poison would make an effective infection amplifier.');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_d.stf', '43', 'liquid_suspension_quest', 'This enhanced liquid suspension solution appears to be extremely viscous.');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_d.stf', '44', 'dispersal_mechanism_quest', 'This dispersal mechanism has been modified to discharge its chemical ingredients over a wider area from a longer range.');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_d.stf', '45', 'spider_venom', 'This spider venom appears as if it would make an effective infection amplifier.');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_d.stf', '46', 'first_organic_element', 'An organic element.');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_d.stf', '47', 'second_organic_element', 'An organic element.');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_d.stf', '48', 'first_inorganic_element', 'An inorganic element.');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_d.stf', '49', 'second_inorganic_element', 'An inorganic element.');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_n.stf', '1', 'organic_element', 'Organic Element');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_n.stf', '2', 'inorganic_element', 'Inorganic Element');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_n.stf', '3', 'delivery_medium', 'Delivery Medium');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_n.stf', '4', 'drug_duration_compound', 'Drug Duration Compound');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_n.stf', '5', 'drug_strength_compound', 'Drug Strength Compound');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_n.stf', '6', 'casing', 'Casing');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_n.stf', '7', 'hardware', 'Hardware');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_n.stf', '8', 'hair_color', 'Hair Color');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_n.stf', '9', 'clothing_dye', 'Clothing Dye');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_n.stf', '10', 'solid_delivery_shell', 'Solid Delivery Shell');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_n.stf', '11', 'release_mech_duration', 'Chemical Release Duration Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_n.stf', '12', 'liquid_suspension', 'Liquid Suspension');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_n.stf', '13', 'dye_hair', 'Hair Dye');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_n.stf', '14', 'dye_clothing', 'Clothing Dye');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_n.stf', '15', 'chemistry_base_component', 'Base Chemistry Component');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_n.stf', '16', 'bio_effect_controller', 'Biological Effect Controller');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_n.stf', '17', 'purified_organic_suspension', 'Purified Organic Suspension');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_n.stf', '18', 'suspension_base', 'Suspension Base');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_n.stf', '19', 'body_shell', 'Body Shell');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_n.stf', '20', 'body', 'Body');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_n.stf', '21', 'binding_and_hardware', 'Binding and Hardware');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_n.stf', '22', 'colorizable_cloth_panel', 'Colorizable Cloth Panel');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_n.stf', '23', 'drug_strenth_compound_2', 'Drug Strength Compound 2');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_n.stf', '24', 'drug_strength_compound_2', 'Drug Strength Compound 2');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_n.stf', '25', 'purified_organic_element', 'Purified Organic Element');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_n.stf', '26', 'dispersal_mechanism', 'Dispersal Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_n.stf', '27', 'infection_amplifier', 'Infection Amplifier');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_n.stf', '28', 'resilience_compound', 'Resilience Compound');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_n.stf', '29', 'resilience_compound_advanced', 'Advanced Resilience Compound');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_n.stf', '30', 'dispersal_mechanism_advanced', 'Advanced Dispersal Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_n.stf', '31', 'infection_amplifier_advanced', 'Advanced Infection Amplifier');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_n.stf', '32', 'chemical_element', 'Chemical Element');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_n.stf', '33', 'ignition_agent', 'Ignition Agent');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_n.stf', '34', 'bio_effect_controller_advanced', 'Advanced Biological Effect Controller');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_n.stf', '35', 'liquid_suspension_advanced', 'Advanced Liquid Suspension');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_n.stf', '36', 'release_mech_duration_advanced', 'Advanced Chemical Release Duration Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_n.stf', '37', 'solid_delivery_shell_advanced', 'Advanced Solid Delivery Shell');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_n.stf', '38', 'shell_material_seed_matrix', 'Shell Material Seed Matrix');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_n.stf', '39', 'fungus', 'Fungus');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_n.stf', '40', 'nebulaorchid', 'Nebula Orchid');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_n.stf', '41', 'funnel', 'Funnel');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_n.stf', '42', 'pika', 'Pika');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_n.stf', '43', 'mushroom', 'Mushroom');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_n.stf', '44', 'janta_blood', 'Janta Blood');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_n.stf', '45', 'rancor_bile', 'Rancor Bile');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_n.stf', '46', 'infection_amplifier_donkuwah', 'Donkuwah Poison');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_n.stf', '47', 'liquid_suspension_quest', 'Enhanced Liquid Suspension');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_n.stf', '48', 'dispersal_mechanism_quest', 'Modified Dispersal Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_n.stf', '49', 'spider_venom', 'Spider Venom');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_n.stf', '50', 'coolent_gel', 'Coolent Gel');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_n.stf', '51', 'fire_suppression_lining', 'Fire Suppression Lining');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_n.stf', '52', 'first_organic_element', 'First Organic Element');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_n.stf', '53', 'first_inorganic_element', 'First Inorganic Element');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_n.stf', '54', 'second_organic_element', 'Second Organic Element');
INSERT INTO `client_strings` VALUES ('string/en/craft_chemical_ingredients_n.stf', '55', 'second_inorganic_element', 'Second Inorganic Element');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_d.stf', '1', 'binding_and_reinforcement', 'Strengthens seams and edges of materials used and reinforces normally hard-wearing spots.\n');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_d.stf', '2', 'body', 'Forms the body of the item itself.\n');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_d.stf', '3', 'cargo_pocket', 'This is a cargo pocket.');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_d.stf', '4', 'color_panel', 'A color panel.');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_d.stf', '5', 'component_base', 'A component base.');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_d.stf', '6', 'jewelry_setting', 'A setting for jewelry placement.');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_d.stf', '7', 'lining', 'Lining.');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_d.stf', '8', 'refined_hide', 'This is a patch of refined hide.');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_d.stf', '9', 'refined_textile', 'A swath of refined textile (weaved fabric).');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_d.stf', '10', 'shoe_sole', 'A sole of a shoe.');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_d.stf', '11', 'structural_strapping', 'Some structural strapping.');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_d.stf', '12', 'structure_panel', 'A structure panel.');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_d.stf', '13', 'synthetic_cloth', 'This is a swath of synthetic cloth.');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_d.stf', '14', 'trim', 'Some trim.  This is used in tailoring.');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_d.stf', '15', 'fiberplast_panel', 'A woven panel of cloth made from fiberplast.  Used extensively in the tailoring of clothing.');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_d.stf', '16', 'metal_fasteners', 'Small metal fasteners that can be used as buttons or snaps on clothing.');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_d.stf', '17', 'reinforced_fiber_panels', 'A metal woven reinforced cloth panel used in making highly wear resistant clothing.');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_d.stf', '18', 'armor_segment_composite', 'A segment of composite armor.');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_d.stf', '19', 'armor_segment_composite_advanced', 'An advanced segment of composite armor.');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_d.stf', '20', 'armor_segment_padded', 'A segment of padded armor.');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_d.stf', '21', 'armor_segment_padded_advanced', 'An advanced segment of padded armor.');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_d.stf', '22', 'armor_segment_bone_advanced', 'An advanced segment of bone armor.');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_d.stf', '23', 'armor_segment_chitin_advanced', 'An advanced segment of chitin armor.');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_d.stf', '24', 'armor_segment_chitin', 'A segment of chitin armor.');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_d.stf', '25', 'armor_segment_bone', 'A segment of bone armor.');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_d.stf', '26', 'armor_segment_bone_donkuwah', 'Some remains from a Donukwah which are suitable for use as a bone armor segment.');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_d.stf', '27', 'armor_segement_padded_rancor', 'Some remains from a Rancor that are suitable for use as a padded armor segment.');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_d.stf', '28', 'armor_segement_chitin_kliknick', 'Some remains from a Kliknik that are suitable for use as a chitin armor segment.');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_d.stf', '29', 'armor_segement_composite_krayt', 'Some remains from a Krayt dragon that are suitable for use as a composite armor segment.');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_d.stf', '30', 'armor_segment_padded_acklay', 'This Acklay hide could make an effective padded armor segment.');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_d.stf', '31', 'schematic_bandolier_s04_quest', 'This document contains the information necessary to craft a Weaponsmith\'s Tool Set.\n\nYou must be at least a Novice Tailor to understand the intricate details in this document.');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_d.stf', '32', 'schematic_backpack_s06_quest', 'This document contains the information necessary to craft a Spec-Ops Field Agent Pack.\n\nYou must be at least a Novice Tailor to understand the intricate details in this document.');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_d.stf', '33', 'schematic_backpack_s03_quest', 'This document contains the information necessary to craft a Lightweight Military Pack.\n\nYou must be at least a Novice Tailor to understand the intricate details in this document.');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_d.stf', '34', 'schematic_bandolier_s02_quest', 'This document contains the information necessary to craft a Droidsmith\'s Tool Set.\n\nYou must be at least a Novice Tailor to understand the intricate details in this document.');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_d.stf', '35', 'schematic_apron_s01_quest', 'This document contains the information necessary to craft a Crafter\'s Apron.\n\nYou must be a Master Tailor to understand the intricate details in this document.');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_d.stf', '36', 'schematic_dress_s08_quest', 'This document contains the information necessary to craft an Exquisite Dancer\'s Leotard.\n\nYou must be a Master Tailor to understand the intricate details in this document.');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_d.stf', '37', 'schematic_belt_s05_quest', 'This document contains the information necessary to craft a Demolitionist\'s Belt.\n\nYou must be at least a Novice Tailor to understand the intricate details in this document.');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_d.stf', '38', 'clasp_heavy_duty', 'A strong metal clasp, primarily used in the tailoring of clothing and accessories.');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_d.stf', '39', 'leather_heavy_duty', 'A large portion of thick leather. This could probably be used in the tailoring of clothing or accessories.');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_d.stf', '40', 'clothing_treatment_crystalline', 'This nebulizer is used to deliver a liquid concentration containing micro-crystals during the tailoring of clothing. The treatment helps give the garment a lustrous shine, as well as prevent wear and tear on outfits that are meant for active use.');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_d.stf', '41', 'padding_segment', 'A square of padded fabric. It appears as if it might be used in the construction of a piece of armor.');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_d.stf', '42', 'armor_segment_kashyyykian_ceremonial', 'A segment of Kashyyykian Ceremonial armor.');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_d.stf', '43', 'armor_segment_kashyyykian_ceremonial_advanced', 'An advanced segment of Kashyyykian Ceremonial armor.');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_d.stf', '44', 'armor_segment_kashyyykian_black_mtn', 'A segment of Kashyyykian Black Mountain armor.');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_d.stf', '45', 'armor_segment_kashyyykian_black_mtn_advanced', 'An advanced segment of Kashyyykian Black Mountain armor.');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_d.stf', '46', 'armor_segment_kashyyykian_hunting', 'A segment of Kashyyykian Hunting armor.');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_d.stf', '47', 'armor_segment_kashyyykian_hunting_advanced', 'An advanced segment of Kashyyykian Hunting armor.');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '1', 'liner', 'Inner Liner');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '2', 'load_bearing_harness', 'Load-bearing Harness');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '3', 'reinforcement', 'Reinforcement');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '4', 'colorizable_cloth_panel', 'Colorizable Cloth Panel');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '5', 'sole', 'Shoe Sole');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '6', 'shell', 'Outer Shell');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '7', 'jewelry_setting', 'Jewelry Setting');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '8', 'armor', 'Armor');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '9', 'heavy_duty_pocket', 'Reinforced-strength Pocket');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '10', 'structure_panels', 'Reinforcement Patches');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '11', 'cargo_pocket', 'Cargo Pocket');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '12', 'refined_textile', 'Refined-quality Textile');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '14', 'trim', 'Trim');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '15', 'secondary_pouch', 'Small Utility Pouch');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '16', 'primary_pocket', 'Large Pocket');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '17', 'pocket_chassis', 'Pouch Carrier Belt');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '18', 'suit', 'Suit');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '19', 'setting_holder', 'Jewel-cradle');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '20', 'body', 'Body');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '21', 'upper_sole', 'Upper Sole');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '22', 'heavy_shell', 'Heavy outer shell');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '23', 'clasp', 'Clasp');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '24', 'insulation', 'Insulation');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '25', 'raw_hide', 'Unfinished Hide Material');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '26', 'raw_wool', 'Unfinished Wool');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '27', 'synthetic_fiber', 'Synthetic Fiber');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '28', 'binding_and_reinforcement', 'Bindings and Reinforcement');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '29', 'binding_and_hardware', 'Bindings and Binding Hardware');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '30', 'trim_and_binding', 'Trim and Binding');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '31', 'sweatband', 'Hat Sweatband');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '32', 'binding_and_weatherproofing', 'Binding and Weatherproofing');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '33', 'binding_and_hardware_and_weatherproofing', 'Binding, Hardware, and Weatherproofing');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '34', 'band', 'Band');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '35', 'ring', 'Ring');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '36', 'strap_pad', 'Strap Comfort-pad');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '37', 'hardware', 'Hardware');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '38', 'bodice', 'Bodice');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '39', 'grip_pads', 'No-slip Grip Pads');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '40', 'strap_adjustment', 'Strap Adjustment');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '41', 'padding', 'Padding');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '42', 'clothing_cargo_pocket', 'Clothing Cargo-Pocket Component');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '43', 'clothing_color_panel', 'Clothing Color-Panel');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '44', 'clothing_component', 'Clothing Component');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '45', 'clothing_belt_dress', 'Dressy Belt');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '46', 'clothing_lining', 'Clothing Lining Component');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '47', 'refined_hide', 'Refined Hide Clothing Component');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '48', 'shoe_sole', 'Shoe Sole');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '49', 'structural_strapping', 'Structural Strapping Clothing Component');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '50', 'clothing_synthetic_cloth', 'Clothing Synthetic-Cloth Component');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '51', 'clothing_trim_component', 'Trim Clothing Component');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '52', 'clothing_refined_textile', 'Refined Textile Clothing Component');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '53', 'clothing_backpack', 'Backpack');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '54', 'clothing_bandolier', 'Bandolier');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '55', 'clothing_base', 'Clothing-Base Object');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '56', 'clothing_bodysuit', 'Bodysuit');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '57', 'clothing_belt', 'Belt');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '58', 'clothing_boots_dress', 'Dressy Boots');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '59', 'clothing_boots_field', 'Rugged Boots');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '60', 'clothing_dress_casual', 'Casual Dress');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '61', 'clothing_dress_formal', 'Formal Dress');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '62', 'clothing_gloves', 'Gloves');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '63', 'clothing_hat', 'Hat');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '64', 'clothing_hat_formal', 'Formal Hat');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '65', 'clothing_hat_leisure', 'Leisure Hat');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '66', 'clothing_hat_official', 'Official\'s Hat');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '67', 'clothing_jacket_casual', 'Casual Jacket');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '68', 'clothing_jacket_field', 'Field-Jacket');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '69', 'clothing_jacket_formal', 'Formal Jacket');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '70', 'clothing_jewelry_bracelet', 'Bracelet');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '71', 'clothing_jewelry_earring', 'Earring');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '72', 'clothing_jewelry_necklace', 'Necklace');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '73', 'clothing_jewelry_ring', 'Ring');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '74', 'clothing_jewelry_tiara', 'Tiara');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '75', 'clothing_pants_casual', 'Casual Pants');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '76', 'clothing_pants_field', 'Field-Pants');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '77', 'clothing_pants_formal', 'Formal Pants');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '78', 'clothing_robe', 'Robe');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '79', 'clothing_robe_fancy', 'Fancy robe');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '80', 'clothing_robe_hooded', 'Hooded robe');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '81', 'clothing_sash', 'Sash');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '82', 'clothing_shirt_casual', 'Casual Shirt');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '83', 'clothing_vest_formal', 'Formal Vest');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '84', 'clothing_shoes', 'Shoes');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '85', 'clothing_shoes_sandals', 'Sandals');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '86', 'clothing_skirt_formal', 'Formal Skirt');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '87', 'clothing_skirt_long', 'Long Skirt');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '88', 'clothing_skirt_short', 'Short Skirt');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '89', 'clothing_vest_field', 'Field-Vest');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '90', 'clothing_shirt_field', 'Field-Shirt');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '91', 'clothing_shirt_formal', 'Formal Shirt');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '92', 'clothing_vest_casual', 'Casual Vest');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '93', 'auxiliary_coverage', 'Auxiliary Coverage');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '94', 'hardware_and_attachments', 'Hardware and Attachments');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '95', 'color_panel', 'Color panel');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '96', 'synthetic_cloth', 'Synthetic Cloth');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '97', 'structure_panel', 'Structure Panel');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '98', 'lining', 'Lining');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '99', 'component_base', 'Clothing component base object DO NOT USE');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '100', 'binding_and_reinforcement2', 'Bindings and binding hardware');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '101', 'shell2', 'Outer Shell');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '102', 'shell_2', 'Inner Shell');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '103', 'trim_2', 'Fine Trim');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '104', 'defensive_layer', 'Defensive Material Layer');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '105', 'defensive_layer_2', 'Additional Defensive Layer');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '106', 'defensive_layer_3', 'Additional Defensive Layer');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '107', 'defensive_layer_4', 'Additional Defensive Layer');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '108', 'skirt', 'Skirt Material');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '109', 'auxilary_coverage', 'Auxiliary Coverage');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '110', 'inner_sole', 'Inner Shoe Sole');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '111', 'boots', 'Core Boot Component');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '112', 'clothing_pants_shorts', 'Shorts');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '113', 'armor_segment_bone', 'Bone Armor Segment');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '114', 'armor_segment_chitin', 'Chitin Armor Segment');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '115', 'armor_layer_acid', 'Acid Protection Armor Layer');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '116', 'armor_layer_blast', 'Blast Protection Armor Layer');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '117', 'armor_layer_cold', 'Cold Protection Armor Layer');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '118', 'armor_layer_electrical', 'Electrical Protection Armor Layer');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '119', 'armor_layer_environmental', 'Environmental Protection Armor Layer');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '120', 'armor_layer_heat', 'Heat Protection Armor Layer');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '121', 'armor_layer_restraint', 'Restraint Protection Armor Layer');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '122', 'armor_layer_stun', 'Stun Protection Armor Layer');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '123', 'heavy_armor_layer_blast', 'Heavy Blast Armor Protection');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '124', 'heavy_armor_layer_cold', 'Heavy Cold Armor Protection');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '125', 'heavy_armor_layer_electrical', 'Heavy Electrical Armor Protection');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '126', 'heavy_armor_layer_energy', 'Heavy Energy Armor Protection');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '127', 'heavy_armor_layer_environmental', 'Heavy Environmental Armor Protection');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '128', 'heavy_armor_layer_heat', 'Heavy Heat Armor Protection');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '129', 'heavy_armor_layer_kinetic', 'Heavy Kinetic Armor Protection');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '130', 'heavy_armor_layer_restraint', 'Heavy Armor Restraint');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '131', 'heavy_armor_layer_stun', 'Heavy Stun Armor Protection');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '132', 'armor_module_light', 'Light Armor Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '133', 'deflector_shield_generator_energy_ray', 'Deflector Shield Generator - Energy Ray');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '134', 'deflector_shield_generator_particle', 'Deflector Shield Generator - Particle');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '135', 'shield_generator_personal', 'Personal Shield Generator Mk.1');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '136', 'shield_generator_vehicular', 'Vehicular Shield Generator');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '137', 'shield_generator_facility', 'Facility Shield Generator');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '138', 'secondary_pocket', 'Small Utility Pocket');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '139', 'armor_layer_kinetic', 'Kinetic Protection Armor Layer');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '140', 'armor_layer_energy', 'Energy Protection Armor Layer');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '141', 'armor_segment', 'Tantel Armor Segment');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '142', 'hood', 'Hood');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '143', 'armor_layer', 'Armor Layer');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '144', 'defensive_layer_microlattice', 'Defensive Layer Microlattice');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '145', 'defensive_module_frame', 'Defensive Module Mounting Frame');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '146', 'deflector_run_off_burnout_protector', 'Deflection Run-off Burnout Protector');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '147', 'deflector_shield_emitter_assembly', 'Deflector Shield Emitter Assembly');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '148', 'deflector_shield_ion_feed_unit', 'Deflector Shield Ion Feed Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '149', 'deflector_shield_overload_discharge_unit', 'Deflector Shield Overload Discharge Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '150', 'deflector_shield_overload_discharger', 'Deflector Shield Overload Discharge Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '151', 'auxiliary_coverage_2', 'Auxiliary Coverage 2');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '152', 'armor_segment_composite', 'Composite Armor Segment');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '153', 'armor_segment_padded', 'Padded Armor Segment');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '154', 'shield_generator_personal_b', 'Personal Shield Generator Mk.2');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '155', 'shield_generator_personal_imperial_test', 'Personal Shield Generator Imperial Test Prototype');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '156', 'fiberplast_panel', 'Fiberplast Panel');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '157', 'metal_fasteners', 'Metal Fasteners');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '158', 'fastener_housing', 'Fastener Housing');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '159', 'fastener_clip', 'Fastener Clip');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '160', 'extra_trim', 'Extra Trim');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '161', 'synthetic_clothing', 'Synethic Cloth');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '162', 'decorative_trim', 'Decorative Trim');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '163', 'fiber_stock', 'Fiber Stock');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '164', 'strengthening_polymer', 'Strengthening Polymer');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '165', 'bone_decoration', 'Bone Decoration');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '166', 'binding', 'Binding');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '167', 'reinforced_fiber_panels', 'Reinforced Fiber Panel');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '168', 'utility_pocket', 'Utility Pocket');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '169', 'steel_interstructure', 'Steel Interstructure');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '170', 'tertiary_pocket', 'Hidden Pocket');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '171', 'frame_reinforcement', 'Frame Reinforcement');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '172', 'steel_crossframe', 'Steel Crossframe');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '173', 'linksteel_reinforcement', 'Linksteel Reinforcement');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '174', 'polymer_hardware', 'Polymer Hardware');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '175', 'jewel', 'Jewel');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '176', 'setting', 'Setting');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '177', 'jewelry_setting_two', 'Small Settings');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '178', 'bikini_fabric', 'Bikini Fabric');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '179', 'bikini_reinforcement', 'Bikini Reinforcement');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '180', 'padded_straps', 'Padded Straps');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '181', 'flightsuit_fabric_layer_one', 'Flame-retardant Fabric Layer');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '182', 'flightsuit_fabric_layer_two', 'Cold Resistant Fabric Layer');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '183', 'flightsuit_fabric_layer_three', 'Radiation Shielding Fabric Layer');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '184', 'wiring_and_reinforcement', 'Wiring and Reinforcement');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '185', 'highly_elastic_skin_fabric', 'Highly Elastic Skin Fabric');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '186', 'green_diamond_crusting', 'Green Diamond Crusting');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '187', 'green_diamond_support', 'Green Diamond Support');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '188', 'second_shell', 'Inner Shell');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '189', 'decorative_gemstone_lining', 'Decorative Gemstone Lining');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '190', 'frill_wraps', 'Frill Wraps');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '191', 'decorative_plates', 'Decorative Plates');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '192', 'massive_jewelry_setting', 'Massive Jewelry Setting');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '193', 'inner_gown', 'Inner Gown');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '194', 'outer_gown', 'Outer Gown');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '195', 'armor_segment_zam', 'Armorweave Segment');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '196', 'auxilary_coverage_2', 'Auxiliary Coverage 2');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '197', 'armor_segment_bone_advanced', 'Advanced Bone Armor Segment');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '198', 'armor_segment_chitin_advanced', 'Advanced Chitin Armor Segment');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '199', 'armor_segment_ubese_advanced', 'Advanced Ubese Armor Segment');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '200', 'armor_segment_padded_advanced', 'Advanced Padded Armor Segment');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '201', 'armor_segment_composite_advanced', 'Advanced Composite Armor Segment');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '202', 'auxilary_coverage2', 'Auxiliary Coverage 2');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '203', 'deflector_shield_projector_plate', 'Deflector Shield Projector Plate');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '204', 'enhancement', 'Enhancement');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '205', 'hat_twilek_s05', 'Twi\'lek Headpiece, Style 5');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '206', 'shell_half', 'Outer Shell Half');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '207', 'shell_half2', 'Outer Shell Half');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '208', 'liner_half', 'Inner Liner Half');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '209', 'liner_half2', 'Inner Liner Half');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '210', 'skirt_section', 'Skirt Section');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '211', 'skirt_section2', 'Skirt Section');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '212', 'armor_segment_ubese', 'Ubese Armor Segment');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '213', 'armor_segment_zam_advanced', 'Advanced Armorweave Segment');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '214', 'armor_segment_bone_donkuwah', 'Donkuwah Bone Armor Segment');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '215', 'armor_segment_enhancement_janta', 'Janta Hide');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '216', 'armor_segment_chitin_kliknick', 'Kliknick Chitin Armor Segment');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '217', 'armor_segment_enhancement_nightsister', 'Nightsister Armor Shard');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '218', 'armor_segment_enhancement_krayt', 'Krayt Dragon Scale');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '219', 'armor_segment_composite_krayt', 'Krayt Dragon Composite Armor Segment');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '220', 'armor_segment_padded_rancor', 'Rancor Padded Armor Segment');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '221', 'armor_segment_enhancement_rancor', 'Rancor Hide');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '222', 'armor_layer_nightsister', 'Nightsister Armor Layer');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '223', 'armor_segment_enhancement', 'Armor Segment Enhancement');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '224', 'armor_segment_ris', 'R.I.S. Armor Segment');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '225', 'bone_fragment_woolamander_harrower', 'Woolamander Harrower Bone Fragment');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '226', 'hide_gurk_king', 'Gurk King Hide');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '227', 'feather_peko_albatross', 'Peko Peko Albatross Feather');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '228', 'armor_layer_ris', 'R.I.S. Armor Layer');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '229', 'scale_giant_dune_kimogila', 'Giant Dune Kimogila Scales');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '230', 'shield_generator_personal_c', 'Personal Shield Generator Mk.3');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '231', 'quest_stimpack_a', 'Small Stimpack A+');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '232', 'quest_stimpack_a_schematic', 'Small Stimpack A+ Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '233', 'armor_segment_padded_acklay', 'Acklay Hide');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '234', 'schematic_bandolier_s04_quest', 'Schematic: Weaponsmith\'s Tool Set');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '235', 'schematic_backpack_s06_quest', 'Schematic: Spec-Ops Field Agent Pack');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '236', 'schematic_backpack_s03_quest', 'Schematic: Lightweight Military Pack');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '237', 'schematic_bandolier_s02_quest', 'Schematic: Droidsmith\'s Tool Set');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '238', 'schematic_apron_s01_quest', 'Schematic: Crafter\'s Apron');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '239', 'schematic_dress_s08_quest', 'Schematic: Exquisite Dancer\'s Leotard');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '240', 'schematic_belt_s05_quest', 'Schematic: Demolitionist\'s Belt');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '241', 'pocket_plating', 'Pocket Plating');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '242', 'camouflage_net', 'Camouflage Net');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '243', 'tool_mount', 'Tool Mounts');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '244', 'tool_set', 'Tool Set');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '245', 'lightweight_frame', 'Lightweight Frame');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '246', 'stabilizer_harness', 'Stabilizer Harness');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '247', 'cooking_utensils', 'Cooking Utensils');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '248', 'herbs_spices', 'Herbs and Spices');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '249', 'cutting_tools', 'Cutting Tools');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '250', 'sewing_kit', 'Sewing Kit');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '251', 'spare_hardware', 'Spare Hardware');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '252', 'tool_kit', 'Tool Kit');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '253', 'organic_medicine', 'Organic Medicine');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '254', 'pharmaceutical_supplies', 'Pharmaceutical Supplies');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '255', 'sequins', 'Sequins');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '256', 'tiny_gemstones', 'Miniature Gemstones');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '257', 'grenade_fasteners', 'Grenade Fasteners');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '258', 'explosives', 'Explosive Charges');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '259', 'apron', 'Apron');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '260', 'chef_suit', 'Chef Suit');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '261', 'bow_tie', 'Bow Tie');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '262', 'clasp_heavy_duty', 'Heavy Duty Clasp');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '263', 'leather_heavy_duty', 'Portion of Heavy Duty Leather');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '264', 'clothing_treatment_crystalline', 'Crystalline Clothing Treatment');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '265', 'clasps', 'Clasps');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '266', 'padding_segment', 'Armor Padding');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '267', 'stuffing', 'Stuffing');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '268', 'armor_segment_kashyyykian_ceremonial', 'Kashyyykian Ceremonial Armor Segment');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '269', 'armor_segment_kashyyykian_ceremonial_advanced', 'Advanced Kashyyykian Ceremonial Armor Segment');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '270', 'armor_segment_kashyyykian_black_mtn', 'Kashyyykian Black Mountain Armor Segment');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '271', 'armor_segment_kashyyykian_black_mtn_advanced', 'Advanced Kashyyykian Black Mountain Armor Segment');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '272', 'armor_segment_kashyyykian_hunting', 'Kashyyykian Hunting Armor Segment');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '273', 'armor_segment_kashyyykian_hunting_advanced', 'Advanced Kashyyykian Hunting Armor Segment');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '274', 'flex_layer_one', 'Flex Layer One');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '275', 'flex_layer_two', 'Flex Layer Two');
INSERT INTO `client_strings` VALUES ('string/en/craft_clothing_ingredients_n.stf', '276', 'feathers', 'Feathers');
INSERT INTO `client_strings` VALUES ('string/en/craft_creature_ingredients_d.stf', '1', 'physique_profile', 'Physique Profile');
INSERT INTO `client_strings` VALUES ('string/en/craft_creature_ingredients_d.stf', '2', 'prowess_profile', 'Prowess Profile');
INSERT INTO `client_strings` VALUES ('string/en/craft_creature_ingredients_d.stf', '3', 'mental_profile', 'Mental Profile');
INSERT INTO `client_strings` VALUES ('string/en/craft_creature_ingredients_d.stf', '4', 'psychological_profile', 'Psychological Profile');
INSERT INTO `client_strings` VALUES ('string/en/craft_creature_ingredients_d.stf', '5', 'aggression_profile', 'Aggression  Profile');
INSERT INTO `client_strings` VALUES ('string/en/craft_creature_ingredients_d.stf', '6', 'dna_template', 'DNA Template');
INSERT INTO `client_strings` VALUES ('string/en/craft_creature_ingredients_d.stf', '7', 'protein_base', 'Protein  Base');
INSERT INTO `client_strings` VALUES ('string/en/craft_creature_ingredients_d.stf', '8', 'organic_nutrition_materials', 'Organic  Nutrition  Materials');
INSERT INTO `client_strings` VALUES ('string/en/craft_creature_ingredients_n.stf', '1', 'physique_profile', 'Physique Profile');
INSERT INTO `client_strings` VALUES ('string/en/craft_creature_ingredients_n.stf', '2', 'prowess_profile', 'Prowess Profile');
INSERT INTO `client_strings` VALUES ('string/en/craft_creature_ingredients_n.stf', '3', 'mental_profile', 'Mental Profile');
INSERT INTO `client_strings` VALUES ('string/en/craft_creature_ingredients_n.stf', '4', 'psychological_profile', 'Psychological Profile');
INSERT INTO `client_strings` VALUES ('string/en/craft_creature_ingredients_n.stf', '5', 'aggression_profile', 'Aggression  Profile');
INSERT INTO `client_strings` VALUES ('string/en/craft_creature_ingredients_n.stf', '6', 'dna_template', 'DNA Template');
INSERT INTO `client_strings` VALUES ('string/en/craft_creature_ingredients_n.stf', '7', 'protein_base', 'Protein  Base');
INSERT INTO `client_strings` VALUES ('string/en/craft_creature_ingredients_n.stf', '8', 'organic_nutrition_materials', 'Organic  Nutrition  Materials');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_d.stf', '1', 'very_high_quality_dna', 'This DNA sample is of very high quality.');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_d.stf', '2', 'very_low_quality_dna', 'This DNA sample is of very low quality.');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_d.stf', '3', 'high_quality_dna', 'This DNA sample is of high quality.');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_d.stf', '4', 'low_quality_dna', 'This DNA sample is of low quality.');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_d.stf', '5', 'average_quality_dna', 'This DNA sample is of average quality.');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_d.stf', '6', 'above_average_quality_dna', 'This DNA sample is of above average quality.');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_d.stf', '7', 'below_average_quality_dna', 'This DNA smaple is of below average quality.');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_d.stf', '8', 'dna_template_angler', 'This is a bio-engineered DNA template of an Angler\'s DNA. ');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_d.stf', '9', 'dna_template_bantha', 'This is a bio-engineered DNA template of a Bantha\'s DNA.');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_d.stf', '10', 'dna_template_bearded_jax', 'This is a bio-engineered DNA template of a Bearded Jax\'s DNA.');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_d.stf', '11', 'dna_template_blurrg', 'This is a bio-engineered DNA template of a Blurrg\'s DNA.');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_d.stf', '12', 'dna_template_bol', 'This is a bio-engineered DNA template of a Bol\'s DNA.');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_d.stf', '13', 'dna_template_bolle_bol', 'This is a bio-engineered DNA template of a Bolle Bol\'s DNA.');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_d.stf', '14', 'dna_template_bolma', 'This is a bio-engineered DNA template of a Bolma\'s DNA.');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_d.stf', '15', 'dna_template_brackaset', 'This is a bio-engineered DNA template of a Brackaset\'s DNA.');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_d.stf', '16', 'dna_template_carrion_spat', 'This is a bio-engineered DNA template of a Carrion Spat\'s DNA.');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_d.stf', '17', 'dna_template_choku', 'This is a bio-engineered DNA template of a Choku\'s DNA.');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_d.stf', '18', 'dna_template_dalyrake', 'This is a bio-engineered DNA template of a Dalyrake\'s DNA.');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_d.stf', '19', 'dna_template_dewback', 'This is a bio-engineered DNA template of a Dewback\'s DNA.');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_d.stf', '20', 'dna_template_eopie', 'This is a bio-engineered DNA template of an Eopie\'s DNA.');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_d.stf', '21', 'dna_template_falumpaset', 'This is a bio-engineered DNA template of a Falumpaset\'s DNA.');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_d.stf', '22', 'dna_template_fambaa', 'This is a bio-engineered DNA template of a Fambaa\'s DNA.');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_d.stf', '23', 'dna_template_gualama', 'This is a bio-engineered DNA template of a Gualama\'s DNA.');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_d.stf', '24', 'dna_template_guf_drolg', 'This is a bio-engineered DNA template of a Guf Drolg\'s DNA.');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_d.stf', '25', 'dna_template_gurrcat', 'This is a bio-engineered DNA template of a Gurrcat\'s DNA.');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_d.stf', '26', 'dna_template_gurreck', 'This is a bio-engineered DNA template of a Gurreck\'s DNA.');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_d.stf', '27', 'dna_template_kaadu', 'This is a bio-engineered DNA template of a Kaadu\'s DNA.');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_d.stf', '28', 'dna_template_kahmurra', 'This is a bio-engineered DNA template of a Kahmurra\'s DNA.');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_d.stf', '29', 'dna_template_kimogila', 'This is a bio-engineered DNA template of a Kimogila\'s DNA.');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_d.stf', '30', 'dna_template_krahbu', 'This is a bio-engineered DNA template of a Krahbu\'s DNA.');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_d.stf', '31', 'dna_template_kusak', 'This is a bio-engineered DNA template of a Kusak\'s DNA.');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_d.stf', '32', 'dna_template_narglatch', 'This is a bio-engineered DNA template of a Narglatch\'s DNA.');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_d.stf', '33', 'dna_template_pugoriss', 'This is a bio-engineered DNA template of a Pugoriss\' DNA.');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_d.stf', '34', 'dna_template_rancor', 'This is a bio-engineered DNA template of a Rancor\'s DNA.');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_d.stf', '35', 'dna_template_ronto', 'This is a bio-engineered DNA template of a Ronto\'s DNA.');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_d.stf', '36', 'dna_template_sand_panther', 'This is a bio-engineered DNA template of a Razor Cat\'s DNA.');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_d.stf', '37', 'dna_template_snorbal', 'This is a bio-engineered DNA template of a Snorbal\'s DNA.');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_d.stf', '38', 'dna_template_torton', 'This is a bio-engineered DNA template of a Torton\'s DNA.');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_d.stf', '39', 'dna_template_tybis', 'This is a bio-engineered DNA template of a Tybis\' DNA.');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_d.stf', '40', 'dna_template_veermok', 'This is a bio-engineered DNA template of a Veermok\'s DNA.');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_d.stf', '41', 'dna_template_zucca_boar', 'This is a bio-engineered DNA template of a Zucca Boar\'s DNA.');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_d.stf', '42', 'dna_template_generic', 'This is a bio-engineered DNA template.');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_n.stf', '1', 'very_high_quality_dna', 'Very High Quality DNA Sample');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_n.stf', '2', 'high_quality_dna', 'High Quality DNA Sample');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_n.stf', '3', 'above_average_quality_dna', 'Above Average Quality DNA Sample');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_n.stf', '4', 'average_quality_dna', 'Average Quality DNA Sample');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_n.stf', '5', 'below_average_quality_dna', 'Below Average Quality DNA Sample');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_n.stf', '6', 'low_quality_dna', 'Low Quality DNA Sample');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_n.stf', '7', 'very_low_quality_dna', 'Very Low Quality DNA Sample');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_n.stf', '8', 'dna_template_angler', 'Angler DNA Template');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_n.stf', '9', 'dna_template_bantha', 'Bantha DNA Template');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_n.stf', '10', 'dna_template_bearded_jax', 'Bearded Jax DNA Template');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_n.stf', '11', 'dna_template_blurrg', 'Blurrg DNA Template');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_n.stf', '12', 'dna_template_bol', 'Bol DNA Template');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_n.stf', '13', 'dna_template_bolle_bol', 'Bolle Bol DNA Template');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_n.stf', '14', 'dna_template_bolma', 'Bolma DNA Template');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_n.stf', '15', 'dna_template_brackaset', 'Brackaset DNA Template');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_n.stf', '16', 'dna_template_carrion_spat', 'Carrion Spat DNA Template');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_n.stf', '17', 'dna_template_choku', 'Choku DNA Template');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_n.stf', '18', 'dna_template_dalyrake', 'Dalyrake DNA Template');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_n.stf', '19', 'dna_template_dewback', 'Dewback DNA Template');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_n.stf', '20', 'dna_template_eopie', 'Eopie DNA Template');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_n.stf', '21', 'dna_template_falumpaset', 'Falumpaset DNA Template');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_n.stf', '22', 'dna_template_fambaa', 'Fambaa DNA Template');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_n.stf', '23', 'dna_template_gualama', 'Gualama DNA Template');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_n.stf', '24', 'dna_template_guf_drolg', 'Guf Drolg DNA Template');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_n.stf', '25', 'dna_template_gurrcat', 'Gurrcat DNA Template');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_n.stf', '26', 'dna_template_gurreck', 'Gurreck DNA Template');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_n.stf', '27', 'dna_template_kaadu', 'Kaadu DNA Template');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_n.stf', '28', 'dna_template_kahmurra', 'Kahmurra DNA Template');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_n.stf', '29', 'dna_template_kimogila', 'Kimogila DNA Template');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_n.stf', '30', 'dna_template_krahbu', 'Krahbu DNA Template');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_n.stf', '31', 'dna_template_kusak', 'Kusak DNA Template');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_n.stf', '32', 'dna_template_narglatch', 'Narglatch DNA Template');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_n.stf', '33', 'dna_template_pugoriss', 'Pugoriss DNA Template');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_n.stf', '34', 'dna_template_rancor', 'Rancor DNA Template');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_n.stf', '35', 'dna_template_ronto', 'Ronto DNA Template');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_n.stf', '36', 'dna_template_sand_panther', 'Razor Cat DNA Template');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_n.stf', '37', 'dna_template_snorbal', 'Snorbal DNA Template');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_n.stf', '38', 'dna_template_torton', 'Torton DNA Template');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_n.stf', '39', 'dna_template_tybis', 'Tybis DNA Template');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_n.stf', '40', 'dna_template_veermok', 'Veermok DNA Template');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_n.stf', '41', 'dna_template_zucca_boar', 'Zucca Boar DNA Template');
INSERT INTO `client_strings` VALUES ('string/en/craft_dna_components_n.stf', '42', 'dna_template_generic', 'Generic DNA Template');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '1', 'droid_brain', 'The droid\'s version of a brain, this module gives a droid the ability to process the information it senses and react appropriately.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '2', 'droid_motive_system', 'This system is responsible for a droid\'s ability to move, navigate, and follow.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '3', 'manipulator_arm', 'The manipulator arm allows a droid to directly interact with its environment as needed.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '4', 'sensor_package_droid', 'A droid processes audio, visual, and comlink messages through its sensor package.  Some advanced models have radar and infrared capabilities, as well.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '5', 'storage_unit', 'A droid can store extraneous items with this module.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '6', 'processing_units', 'This ingredient slot only accepts multiple components from a crate of electronics, produced by a factory.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '7', 'memory_circuits', 'This ingredient slot only accepts multiple components from a crate of electronics, produced by a factory.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '8', 'base_chassis', 'This ingredient slot accepts a previously built droid ready to be rebuilt to the ADVANCED droid standard. IMPORTANT: Any enhancements built into the droid that is to be used as a base chassis to satisfy this ingredient slot will be LOST during the refurbishing process.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '9', 'personality_module_stupid', 'This module will allow you to create a droid with a stupid personality type.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '10', 'personality_module_sarcastic', 'This module will allow you to create a droid with a sarcastic personality type.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '11', 'personality_module_prissy', 'This module will allow you to create a droid with a prissy personality type.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '12', 'personality_module_worshipful', 'This module will allow you to create a droid with a worshipful personality type.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '13', 'personality_module_slang', 'This module will allow you to create a droid with a \"slang\" personality type.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '14', 'repair_module', 'This module is what allows droids to repair \"wounds\" on themselves and on other objects.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '15', 'manipulator_arm_package_set', 'The manipulator arm allows a droid to directly interact with its environment.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '16', 'droid_motive_system_advanced', 'This advanced droid motive system allows for more efficient mobility over flat and semi-flat surfaces.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '17', 'advanced_droid_frame', 'This advanced droid frame is sturdier than the standard frame.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '18', 'intellex_iv_computer', 'The Intellex IV computer features over seven hundred different spacecraft configurations.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '19', 'droid_brain_advanced', 'The advanced version of the droid brain allows faster processing power and thinking ability.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '20', 'socket_bank', 'This is an array that can fit a variety of droid sockets.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '21', 'personality_module_geeky', 'This module will allow you to create a droid with a geeky personality type.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '22', 'armor_module_1', 'This armor module is used to help protect a droid from bangs, falls, and weak blaster fire.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '23', 'armor_module_2', 'This armor module is used to help protect a droid from bangs, falls, and weak blaster fire.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '24', 'armor_module_6', 'This armor module is used to help protect a droid from bangs, falls, and weak blaster fire.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '25', 'armor_module_3', 'This armor module is used to help protect a droid from bangs, falls, and weak blaster fire.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '26', 'armor_module_4', 'This armor module is used to help protect a droid from bangs, falls, and weak blaster fire.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '27', 'armor_module_5', 'This armor module is used to help protect a droid from bangs, falls, and weak blaster fire.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '28', 'data_storage_module_1', 'This module is used to grant the droid the ability to store data objects for their owner.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '29', 'data_storage_module_2', 'This module is used to grant the droid the ability to store data objects for their owner.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '30', 'data_storage_module_3', 'This module is used to grant the droid the ability to store data objects for their owner.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '31', 'data_storage_module_4', 'This module is used to grant the droid the ability to store data objects for their owner.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '32', 'data_storage_module_5', 'This module is used to grant the droid the ability to store data objects for their owner.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '33', 'droid_storage_compartment', 'This is a small storage compartment utilized by the device it is mounted within as a workspace for various inherent functions.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '34', 'item_storage_module_1', 'This module is used to grant the droid the ability to store objects for their owner.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '35', 'item_storage_module_2', 'This module is used to grant the droid the ability to store objects for their owner.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '36', 'item_storage_module_3', 'This module is used to grant the droid the ability to store objects for their owner.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '37', 'item_storage_module_4', 'This module is used to grant the droid the ability to store objects for their owner.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '38', 'item_storage_module_5', 'This module is used to grant the droid the ability to store objects for their owner.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '39', 'item_storage_module_6', 'This module is used to grant the droid the ability to store objects for their owner.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '40', 'medic_module_1', 'This module is used to grant the droid the ability to enable its owner to perform some enhanced physical healing procedures.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '41', 'medic_module_2', 'This module is used to grant the droid the ability to enable its owner to perform some enhanced physical healing procedures.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '42', 'medic_module_3', 'This module is used to grant the droid the ability to enable its owner to perform some enhanced physical healing procedures.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '43', 'medic_module_4', 'This module is used to grant the droid the ability to enable its owner to perform some enhanced physical healing procedures.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '44', 'medic_module_5', 'This module is used to grant the droid the ability to enable its owner to perform some enhanced physical healing procedures.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '45', 'medic_module_6', 'This module is used to grant the droid the ability to enable its owner to perform some enhanced physical healing procedures.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '46', 'personality_module_geek', 'This personality module works to alter any verbal responses that the droid might give.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '52', 'r2_droid_chassis', 'This is a specialized droid chassis component used during the construction of an advanced version of a particular droid.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '53', 'r3_droid_chassis', 'This is a specialized droid chassis component used during the construction of an advanced version of a particular droid.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '54', 'binary_load_lifter_droid_chassis', 'This is a specialized droid chassis component used during the construction of an advanced version of a particular droid.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '55', 'le_repair_droid_chassis', 'This is a specialized droid chassis component used during the construction of an advanced version of a particular droid.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '56', 'probot_droid_chassis', 'This is a specialized droid chassis component used during the construction of an advanced version of a particular droid.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '57', 'surgical_droid_chassis', 'This is a specialized droid chassis component used during the construction of an advanced version of a particular droid.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '58', 'r4_droid_chassis', 'This is a specialized droid chassis component used during the construction of an advanced version of a particular droid.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '59', 'p0_droid_chassis', 'This is a specialized droid chassis component used during the construction of an advanced version of a particular droid.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '60', 'data_storage_module_6', 'This module is used to grant the droid the ability to store data objects for their owner.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '61', 'defensive_module_base', 'This wiring harness accepts any of the droid defensive component modules that can be crafted separately. Droid armor modules are an example of the kind of component you might put in this ingredient slot.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '62', 'droid_module_base', 'This wiring harness accepts any of the droid general service component modules that can be crafted separately. Droid medic and repair modules are an example of the kind of components you might put in this ingredient slot.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '63', 'crafting_module_base', 'This is the base object whose attributes all other crafting droid modules inherit from.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '64', 'crafting_module_food', 'This module is used to grant the droid the ability to function as a private food crafting station. Adding more than crafting module of the same type has no additional effect.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '65', 'crafting_module_weapon', 'This module is used to grant the droid the ability to function as a private weapon crafting station. Adding more than crafting module of the same type has no additional effect.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '66', 'crafting_module_structure', 'This module is used to grant the droid the ability to function as a private structure crafting station. Adding more than crafting module of the same type has no additional effect.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '67', 'crafting_module_clothing', 'This module is used to grant the droid the ability to function as a private clothing crafting station. Adding more than crafting module of the same type has no additional effect.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '68', 'crafting_tools', 'Crafting tools used for droid creation.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '69', 'inventory_caching_unit', 'An inventory caching unit.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '70', 'droid_brain_anakin', 'Old modified droid brain. On the side of it is a metal tag with the inscription \"Modified prototype, C3PN. -A.S\"');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '71', 'combat_socket_bank', 'This is an array that can fit a variety of droid sockets. Unlike the normal droid socket bank, this one can accept not only crafting station and other general droid modules, but also droid combat modules.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '72', 'charge_suppression', 'Errant Charge Suppression System.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '73', 'combat_module', 'This module is used to grant a combat-capable droid chassis the ability to engage in limited combat through melee and ranged methods, depending on the underlying chassis.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '74', 'droid_combat_module_base', 'This wiring harness accepts any of the droid general service component modules that can be crafted separately. Droid medic and repair modules are an example of the kind of components you might put in this ingredient slot. This particular module is capable of interfacing with Droid Combat Modules as well as the other types.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '75', 'repair_unit_casing', 'This metal casing is made to hold the components necessary to perform reconstruction and routine maintenance on droids.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '76', 'repair_unit_casing_advanced', 'This metal casing is large and lightweight. It is made to hold the components necessary to perform reconstruction and routine maintenance on droids.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '77', 'diagnostic_circuit', 'This circuit board holds blueprints, instructions, and data necessary for performing repairs on most standard types of droids.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '78', 'diagnostic_circuit_advanced', 'This advanced circuit board provides high-speed access to the blueprints, instructions, and data that it contains, which is necessary for performing repairs on almost all types of droids.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '79', 'capacitor_low_discharge', 'This capacitor discharge device is designed to hold and release a small electric charge, used to facilitate quick droid repairs.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '80', 'capacitor_high_discharge', 'This advanced capacitor discharge device is designed to hold and release a large electric charge, used to facilitate quick droid repairs.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '81', 'power_supply_redundant', 'This droid power supply is used mainly in droid reconstruction, when it sometimes becomes necessary to provide a backup power source while maintenance is being performed.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '82', 'power_supply_redundant_advanced', 'This high capacity power supply is fashioned for use as both a secondary and if required, a tertiary source of energy. Devices such as this are mainly used in droid reconstruction, when it sometimes becomes necessary to provide a backup power source while maintenance is being performed.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '83', 'unit_delivery_cartridge', 'A small metal cartridge used to hold materials necessary for deploying emergency droid repair while in the field.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '84', 'unit_delivery_cartridge_advanced', 'A large, yet lightweight metal cartridge used to hold materials necessary for deploying emergency droid repair while in the field.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '85', 'merchant_barker', 'This modules enables a droid to play back a recorded message and give out waypoints by request.  The module can only be programmed by a merchant with Advertising IV.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '86', 'detonation_module', 'This module turns a droid into a moving bomb.  The module is activated using the /detonateDroid command.  Be warned that the droid will not survive this action!');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '87', 'stimpack_dispensor', 'This module allows the droid to store level A stimpacks.  The droid\'s master or members of the master\'s party may then receive healing from it using /requestStimpack.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '88', 'struct_maint_module_1', 'This module is used to grant the droid the ability to perform maintenance tasks on structures.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '89', 'struct_maint_module_2', 'This module is used to grant the droid the ability to perform maintenance tasks on structures.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '90', 'struct_maint_module_3', 'This module is used to grant the droid the ability to perform maintenance tasks on structures.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '91', 'auto_repair_module', 'This module allows the droid to repair itself as well all friendly, nearby droids.  Using this module consumes extra power, so it is best to keep it off until needed.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '92', 'playback_module', 'This module allows a musician to record and play back a musical track. A droid equipped with such a module can be used as backup or accompaniment in a band performance.\n\nUsing multiple playback modules will allow multiple tracks to be stored on the same droid, but only one track can be played at a time.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '93', 'performer_effects_a', 'This module enables the droid to project effects for Dancers and Musicians.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '94', 'performer_effects_b', 'This module enables the droid to project effects for Dancers and Musicians.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '95', 'performer_effects_c', 'This module enables the droid to project effects for Dancers and Musicians.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '96', 'performer_effects_d', 'This module enables the droid to project effects for Dancers and Musicians.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '97', 'performer_effects_e', 'This module enables the droid to project effects for Dancers and Musicians.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '98', 'harvest_module', 'This module will allow a scout to program a droid that can harvest from creatures that the player has killed.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '99', 'trap_module', 'The Scout Trap Projectile Unit breaks down a scout or ranger level trap into a projectile capable of being fired from a small compression unit.  Some effectiveness is lost in the conversion.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '100', 'performer_effects_aa', 'This module enables the droid to project effects for Dancers and Musicians.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_d.stf', '101', 'crafting_module_space', 'This module is used to grant the droid the ability to function as a private ship component crafting station. Adding more than one crafting module of the same type has no additional effect.');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '1', 'droid_brain', 'Droid Brain');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '2', 'droid_motive_system', 'Droid Motive System');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '3', 'manipulator_arm', 'Manipulator Arm');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '4', 'sensor_package_droid', 'Droid Sensor Package');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '5', 'storage_unit', 'Storage Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '6', 'primary_frame', 'Primary Frame');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '7', 'contaminent_neutralization_medium', 'Contaminant Neutralization Medium');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '8', 'thermal_shielding', 'Thermal Shielding');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '9', 'circuit_mounting_unit', 'Circuit-mounting Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '10', 'processing_unit', 'Processing Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '11', 'memory_circuit', 'Memory Circuit');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '12', 'module_shroud', 'Module Shroud');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '13', 'primary_chassis_brackets', 'Primary Chassis Brackets');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '14', 'primary_chasis_brackets', 'Primary Chassis Brackets');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '15', 'shock_buffering', 'Shock Buffering');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '16', 'propulsion_sub_controller', 'Propulsion Sub-controller');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '17', 'servo_motors', 'Servo Motors');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '18', 'attachment_bracket', 'Attachment Bracket');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '19', 'support_strut', 'Support Strut');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '20', 'module_frame', 'Module Frame');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '21', 'transducer_array', 'Transducer Array');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '22', 'insulation', 'Insulation');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '23', 'transducer_substrate', 'Transducer Substrate');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '24', 'contaminant_purge', 'Contaminant Purge');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '25', 'interference_shielding', 'Interference Shielding');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '26', 'compartment_enclosure', 'Compartment Enclosure');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '27', 'content_handling_mechanism', 'Content-handling Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '28', 'body_schell', 'Body Shell');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '29', 'body_shell', 'Body Shell');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '30', 'engine_unit', 'Engine Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '31', 'sensor_suite', 'Sensor Suite');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '32', 'storage_compartment', 'Storage Compartment');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '33', 'generator_shell_hardening', 'Generator Shell Hardening');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '34', 'power_module', 'Power Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '35', 'shielding_and_insulation', 'Shielding and Insulation');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '36', 'armor_plating', 'Armor Plating');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '37', 'motivator', 'Motivator');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '38', 'appendage_assemblies', 'Appendage Assemblies');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '39', 'intermotor_actuating_coupling', 'Intermotor Actuating Coupling');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '40', 'system_hardening', 'System Hardening');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '41', 'arm_struts', 'Arm Struts');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '42', 'leg_struts', 'Leg Struts');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '43', 'secondary_frame', 'Secondary Frame');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '44', 'support_struts', 'Support Struts');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '45', 'hydrolic_system_pumps', 'Hydraulic System Pumps');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '46', 'hydraulic_system_pumps', 'Hydraulic System Pumps');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '47', 'body_sheath', 'Body Sheath');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '48', 'broadban_trasciever_unit', 'Broadband Transceiver Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '49', 'broadband_transceiver_unit', 'Broadband Transceiver Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '50', 'shell', 'Shell');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '51', 'droid_sensor_package', 'Droid Sensor Package');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '52', 'personality_module_base', 'Base Droid Personality Chip');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '53', 'personality_module_geek', 'Geeky Droid Personality Chip');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '54', 'personality_module_prissy', 'Prissy Droid Personality Chip');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '55', 'personality_module_sarcastic', 'Sarcastic Droid Personality Chip');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '56', 'personality_module_slang', 'Slang Droid Personality Chip');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '57', 'personality_module_stupid', 'Stupid Droid Personality Chip');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '58', 'personality_module_worshipful', 'Worshipful Droid Personality Chip');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '59', 'item_storage_module_base', 'Base droid item storage module');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '60', 'item_storage_module_1', 'Level 1 Droid Item Storage Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '61', 'item_storage_module_2', 'Level 2 Droid Item Storage Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '62', 'item_storage_module_3', 'Level 3 Droid Item Storage Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '63', 'item_storage_module_4', 'Level 4 Droid Item Storage Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '64', 'item_storage_module_5', 'Level 5 Droid Item Storage Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '65', 'item_storage_module_6', 'Level 6 Droid Item Storage Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '66', 'data_storage_module_base', 'Base droid data storage module');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '67', 'data_storage_module_1', 'Level 1 Droid Data Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '68', 'data_storage_module_2', 'Level 2 Droid Data Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '69', 'data_storage_module_3', 'Level 3 Droid Data Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '70', 'data_storage_module_4', 'Level 4 Droid Data Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '71', 'data_storage_module_5', 'Level 5 Droid Data Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '72', 'data_storage_module_6', 'Level 6 Droid Data Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '73', 'medic_module_base', 'Base droid medical module');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '74', 'medic_module_3', 'Level 3 Droid Medical Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '75', 'medic_module_2', 'Level 2 Droid Medical Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '76', 'medic_module_1', 'Level 1 Droid Medical Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '77', 'medic_module_4', 'Level 4 Droid Medical Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '78', 'medic_module_5', 'Level 5 Droid Medical Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '79', 'medic_module_6', 'Level 6 Droid Medical Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '80', 'intellex_v_computer', 'Intellex V Computer');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '81', 'intellex_vi_computer', 'Intellex VI Computer');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '82', 'data_storage_matrix', 'Data Storage Matrix');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '83', 'cargo_management_unit', 'Cargo Management Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '84', 'data_management_unit', 'Data Management Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '85', 'cargo_restraints', 'Cargo Restraints');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '86', 'med_assist_module', 'Medical Assist Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '87', 'medical_database', 'Medical Database');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '88', 'medical_tools', 'Medical Tools');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '89', 'inventory_smart_indexer', 'Inventory Smart Indexor');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '90', 'droid_module_base', 'Droid Service Module Harness');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '91', 'droid_brain_advanced', 'Advanced Droid Brain');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '92', 'processing_units', 'Processing Units');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '93', 'memory_circuits', 'Memory Circuits');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '94', 'manipulator_arm_package_set', 'Manipulator Arm Package Set');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '95', 'auxilary_servos', 'Auxilary Servos');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '96', 'secondary_struts', 'Secondary Struts');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '97', 'navigation_sensor_suite', 'Navigation Sensor Suite');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '98', 'espionage_sensor_suite', 'Espionage Sensor Suite');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '99', 'general_droid_module', 'General Droid Module Socket');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '100', 'droid_personality_chip', 'Droid Personality Chip');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '101', 'general_droid_module2', 'General Droid Module Socket');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '102', 'droid_defensive_module', 'Droid Defensive Module Socket');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '103', 'general_droid_module3', 'General Droid Module Socket');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '104', 'droid_defensive_module2', 'Droid Defensive Module Socket');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '105', 'general_droid_module4', 'General Droid Module Socket');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '106', 'general_droid_module5', 'General Droid Module Socket');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '107', 'general_droid_module6', 'General Droid Module Socket');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '108', 'droid_defensive_module3', 'Droid Defensive Module Socket');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '109', 'base_chassis', 'Base Chassis');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '110', 'adaptor_electronics', 'Adaptor Electronics');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '111', 'advanced_droid_frame', 'Advanced Droid Frame Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '112', 'frame', 'Frame Assembly');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '113', 'defensive_module_base', 'Droid Defensive Module Harness');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '114', 'armor_module_base', 'Armor Module Base');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '115', 'armor_filler', 'Armor Filler');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '116', 'reinforcement_layer', 'Reinforcement Layer');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '117', 'stress_resist_plate', 'Stress Resisting Plate');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '118', 'fracture_capture_medium', 'Fracture Arresting Medium');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '119', 'data_smart_indexer', 'Data Smart-Indexer');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '120', 'ancillary_heuristic_processor', 'Ancillary Heuristic Processor');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '121', 'primary_phrase_database', 'Primary Phrase Database');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '122', 'secondary_phrase_database', 'Secondary Phrase Database');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '123', 'phrase_index_tree', 'Phrase Index Tree');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '124', 'sarcasm_sub_processor', 'Sarcasm Sub-Processor');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '125', 'armor_module_1', 'Droid Armor Module 1');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '126', 'armor_module_2', 'Droid Armor Module 2');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '127', 'armor_module_3', 'Droid Armor Module 3');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '128', 'armor_module_4', 'Droid Armor Module 4');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '129', 'armor_module_5', 'Droid Armor Module 5');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '130', 'armor_module_6', 'Droid Armor Module 6');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '131', 'droid_motive_system_advanced', 'Advanced Droid Motive System');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '132', 'propulsion_max_controller', 'Propulsion MAX-Controller');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '133', 'repair_module', 'Droid Repair Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '134', 'repair_tools', 'Repair Tools');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '135', 'repair_expert_system', 'Repair Tool Expert System Administrator');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '136', 'socket_bank', 'General Droid Module Socket Cluster');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '137', 'general_droid_module_package', 'General Droid Module Package');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '138', 'general_droid_module_package2', 'General Droid Module Package');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '139', 'primary_body_shell', 'Primary Body Shell');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '140', 'secondary_body_structure', 'Secondary Body Structure');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '141', 'upgrade_electronics_bay', 'Upgraded Electronics Bay');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '142', 'old_shell_reinforcement', 'Old Body Shell Reinforcement');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '143', 'droid_storage_compartment', 'Droid Storage Compartment');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '144', 'frame_sub_assembly', 'Frame Sub-Assembly');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '145', 'expansion_board', 'Expansion Board');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '146', 'connector_socket', 'Connector Socket');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '147', 'intellex_iv_computer', 'Intellex IV Computer');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '148', 'r2_droid_chassis', 'R2 ADV Droid Chassis');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '149', 'r3_droid_chassis', 'R3 ADV Droid Chassis');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '150', 'binary_load_lifter_droid_chassis', 'Binary Load Lifter ADV Droid Chassis');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '151', 'le_repair_droid_chassis', 'LE Repair ADV Droid Chassis');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '152', 'probot_droid_chassis', 'Probot ADV Droid Chassis');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '153', 'surgical_droid_chassis', 'Surgical ADV Droid Chassis');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '154', 'r4_droid_chassis', 'R4 ADV Droid Chassis');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '155', 'p0_droid_chassis', 'Protocol ADV Droid Chassis');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '156', 'crafting_module_base', 'Base droid crafting module');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '157', 'crafting_module_food', 'Food Droid Crafting Station Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '158', 'crafting_module_weapon', 'Weapon Droid Crafting Station Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '159', 'crafting_module_structure', 'Structure Droid Crafting Station Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '160', 'crafting_module_clothing', 'Clothing Droid Crafting Station Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '161', 'command_interpreter', 'Command Interpreter');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '162', 'advanced_search_planning_circuit', 'Advanced Search Planning Circuit');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '163', 'search_parameter_storage_circuit', 'Search Parameter Storage Circuit');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '164', 'autonomous_searcher_logic_unit', 'Autonomous Searcher Logic Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '165', 'inventory_caching_unit', 'Inventory Caching Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '166', 'crafting_tools', 'Crafting Tools');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '167', 'color_stowage', 'Color Stowage');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '168', 'colors', 'Color Paints');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '169', 'droid_brain_anakin', 'Old Droid Brain');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '170', 'combat_socket_bank', 'Combat-Capable Socket Cluster');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '171', 'targeting_expert_system', 'Targeting System');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '172', 'weapon_actuators', 'Weapon Actuators');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '173', 'charge_suppression', 'Charge Suppression');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '174', 'combat_module', 'Droid Combat Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '175', 'high_speed_bus', 'High Speed Bus Controller');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '176', 'droid_combat_module_base', 'Combat Capable Service Modules');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '177', 'chassis_frame_interface', 'Chassis-Frame Interface');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '178', 'repair_unit_casing', 'Repair Unit Casing');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '179', 'repair_unit_casing_advanced', 'Advanced Repair Unit Casing');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '180', 'diagnostic_circuit', 'Diagnostic Circuit');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '181', 'diagnostic_circuit_advanced', 'Advanced Diagnostic Circuit');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '182', 'capacitor_low_discharge', 'Capacitor Discharge Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '183', 'capacitor_high_discharge', 'Advanced Capacitor Discharge Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '184', 'power_supply_redundant', 'Redundant Power Supply');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '185', 'power_supply_redundant_advanced', 'Advanced Redundant Power Supply');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '186', 'unit_delivery_cartridge', 'Unit Delivery Cartridge');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '187', 'unit_delivery_cartridge_advanced', 'Advanced Unit Delivery Cartridge');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '188', 'contact_mechanism', 'Contact Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '189', 'cartridge_housing', 'Cartridge Housing');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '190', 'conductive_surface', 'Conductive Surface');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '191', 'core_plates', 'Capacitor Core Plates');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '192', 'resistor_material', 'Resistor Material');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '193', 'insulated_board_material', 'Insulated Board Material');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '194', 'integrated_circuit', 'Integrated Circuit');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '195', 'main_unit_housing', 'Main Unit Housing');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '196', 'fiber_unit_housing', 'Fiberplast Coating');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '197', 'power_supply_housing', 'Power Supply Housing');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '198', 'reactive_energy_core', 'Reactive Energy Core');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '199', 'backup_power_supply', 'Backup Power Supply');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '200', 'unit_casing', 'Unit Casing');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '201', 'reconstructive_rigging', 'Reconstructive Rigging');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '202', 'insulated_cement', 'Insulated Electronics Cement');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '203', 'capacitor_discharge_unit', 'Capacitor Discharge Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '204', 'delivery_cartridge', 'Delivery Cartridge');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '205', 'electronics_patch_assembly', 'Electronics Patch Assembly');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '206', 'electronic_sealant_light', 'Light Electronics Sealant');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '207', 'reaction_catalyst', 'Reaction Catalyst');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '208', 'merchant_base', 'Merchant Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '209', 'merchant_barker', 'Merchant Barker Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '210', 'voice_modulator', 'Voice Modulator');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '211', 'detonation_module', 'Detonation Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '212', 'reaction_chamber', 'Reaction Chamber');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '213', 'stimpack_dispensor', 'Stimpack Dispensor Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '214', 'auto_repair_module', 'Auto-Repair Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '215', 'playback_module', 'Playback Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '216', 'recording_material', 'Recording Material');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '217', 'wave_synthesis', 'Wave Synthesis Device');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '218', 'sound_emission_device', 'Sound Emission Device');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '219', 'performer_effects_a', 'Effects Module (Foam)');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '220', 'performer_effects_b', 'Effects Module (Electric Fog)');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '221', 'performer_effects_c', 'Effects Module (Confetti)');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '222', 'performer_effects_d', 'Effects Module (Mind Bloom)');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '223', 'performer_effects_e', 'Effects Module (Dancing Jawa)');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '224', 'light_crystals', 'Lighting Crystals');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '225', 'harvest_module', 'Creature Harvest Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '226', 'micro_harvesters', 'Micro Harvesters');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '227', 'struct_maint_module_base', 'Base droid structure maintenance module');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '228', 'struct_maint_module_3', 'Level 3 Droid Structure Maintenance Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '229', 'struct_maint_module_2', 'Level 2 Droid Structure Maintenance Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '230', 'struct_maint_module_1', 'Level 1 Droid Structure Maintenance Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '231', 'maintenance_module', 'Maintenance Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '232', 'transport_database', 'Tranport Database');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '233', 'trap_module', 'Scout Trap Projectile Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '234', 'ammunition_processor', 'Trap Processing Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '235', 'projectile_compressor', 'Projectile Compressor');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '236', 'performer_effects_aa', 'Effects Module (Avian)');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '237', 'navigation_control_circuit', 'Navigation Control Circuit');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '238', 'survey_scanning_storage_circuit', 'Survey Scanning Storage Circuit');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '239', 'survey_control_circuit', 'Survey Control Circuit');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '240', 'communication_array', 'Communication Array');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '241', 'transportation_module', 'Transportation Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_droid_ingredients_n.stf', '242', 'crafting_module_space', 'Ship Component Crafting Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_d.stf', '1', 'drink', 'A type of drink.');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_d.stf', '2', 'dough', 'This is a clump of dough.');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_d.stf', '3', 'boullion', 'A cube of boullion.');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_d.stf', '4', 'icing', 'Some sweet icing.');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_d.stf', '5', 'ground_meat', 'A handful of ground meat.');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_d.stf', '6', 'prepared_meat', 'Some prepared meat.');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_d.stf', '7', 'spice', 'A vial of spice.');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_d.stf', '8', 'stuffing', 'Some hearty stuffing.');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_d.stf', '9', 'sugar', 'A small amount of sugar to sweeten food.');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_d.stf', '10', 'bottle', 'This is a bottle.');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_d.stf', '11', 'glass', 'An empty glass.');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_d.stf', '12', 'place_setting', 'This is a place setting.');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_d.stf', '13', 'plate', 'A clean plate.');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_d.stf', '14', 'carbosyrup', 'A sticky syrupy substance fortified with carbohydrates.  Used as a sugary basis for many foods.');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_d.stf', '15', 'additive', 'This is an additive for flavor and texture.');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_d.stf', '16', 'small_glass', 'Drink Container\n\nA small drink container required to hold a crafted beverage.  This basic container offers no special bonus to the crafted drink\'s quality.');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_d.stf', '17', 'crystal', 'Crystal');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_d.stf', '18', 'large_glass', 'Drink Container\n\nA large drink container designed to hold a crafted beverage.  This enhanced container offers a slight bonus to the amount of beverage created when used in crafting.');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_d.stf', '19', 'cask', 'Drink Container\n\nA very large drink container designed to hold a crafted beverage.  This enhanced container offers a moderate bonus to the amount of beverage created when used in crafting.');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_d.stf', '20', 'barrel', 'Drink Container\n\nA massive, temperature regulated drink container designed to hold a crafted beverage.  This enhanced container offers a large bonus to the amount of beverage created when used in crafting.');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '1', 'water', 'Water');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '2', 'glass', 'Container');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '3', 'root', 'Root');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '4', 'unprocessed_fungi', 'Unprocessed Fungi');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '5', 'dough', 'Dough');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '6', 'eggs', 'Eggs');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '7', 'seasoning', 'Seasoning');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '8', 'boullion', 'Boullion');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '9', 'drink', 'Drink');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '10', 'ground_meat', 'Ground Meat');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '11', 'marinade', 'Marinade');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '12', 'prepared_meat', 'Prepared Meat');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '13', 'spice', 'Spice');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '14', 'stuffing', 'Stuffing');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '15', 'sugar', 'Sugar');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '16', 'icing', 'Icing');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '17', 'bottle', 'Bottle');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '18', 'plate', 'Plate');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '19', 'fork', 'Fork');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '20', 'knife', 'Knife');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '21', 'spoon', 'Spoon');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '22', 'flavoring_stock', 'Flavoring Stock');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '23', 'wheat', 'Wheat');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '24', 'meat', 'Meat');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '25', 'fruit', 'Fruit');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '26', 'herbs', 'Herbs');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '27', 'flour', 'Flour');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '28', 'unprocessed_fruit', 'Unprocessed Fruit');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '29', 'gourd', 'Gourd');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '30', 'melon', 'Melon');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '31', 'milk', 'Milk');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '32', 'avian_meat', 'Avian Meat');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '33', 'fish', 'Fish');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '34', 'vegetable', 'Vegetable');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '35', 'bread', 'Bread');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '36', 'cheese', 'Cheese');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '37', 'place_setting', 'Place Setting');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '38', 'unprocessed_vegetable', 'Unprocessed Vegetable');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '39', 'fresh_milk', 'Fresh Milk');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '40', 'fixins', 'Fixings');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '41', 'fixings', 'Fixings');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '42', 'basket', 'Basket');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '43', 'crust', 'Crust');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '44', 'vegetable_topping', 'Vegetable Topping');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '45', 'vegetarian_dish', 'Vegetarian Dish');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '46', 'alcohol', 'Alcohol');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '47', 'shot', 'Shot');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '48', 'shot_glass', 'Shot Glass');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '49', 'flavoring_extract', 'Flavoring Extract');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '50', 'meat_2', 'Second Meat');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '51', 'meat_3', 'Third Meat');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '52', 'wrap', 'Wrap');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '53', 'dried_fruit', 'Dried Fruit');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '54', 'dried_bread', 'Dried Bread');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '55', 'preservative_wrap', 'Preservative Wrap');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '56', 'carbosyrup', 'Carbosyrup');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '57', 'fruit_core', 'Fruit Core');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '58', 'protein_source', 'Protein Source');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '59', 'tubers', 'Tubers');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '60', 'protein_fortifier', 'Protein Fortifier');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '61', 'flaky_crust', 'Flaky Crust');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '62', 'meaty_core', 'Meaty Core');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '63', 'fruit_additive', 'Fruit Additive');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '64', 'sweet_meat', 'Sweet Meat');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '65', 'bone_fragments', 'Bone Fragments');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '66', 'bantha_flavoring', 'Bantha Flavoring');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '67', 'fruit_flavoring', 'Fruit Flavoring');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '68', 'meat_filling', 'Meat Filling');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '69', 'thickening_agent', 'Thickening Agent');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '70', 'vegetable_mix', 'Vegetable Mix');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '71', 'noodle_dough', 'Noodle Dough');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '72', 'reactive_element', 'Reactive Element');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '73', 'cereal_concentrate', 'Cereal Concentrate');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '74', 'vegetable_mash', 'Vegetable Mash');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '75', 'crust_crumblies', 'Crust Crumblies');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '76', 'fruit_mix', 'Fruit Mix');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '77', 'toasted_crust', 'Toasted Crust');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '78', 'fruit_filling', 'Fruit Filling');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '79', 'first_carbosyrup', '1st Carobsyrup');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '80', 'second_carbosyrup', '2nd Carbosyrup');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '81', 'berry_mix', 'Berry Mix');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '82', 'mash', 'Mash');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '83', 'soypro', 'Soypro');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '84', 'cereal_fortifier', 'Cereal Fortifier');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '85', 'cooking_wrap', 'Cooking Wrap');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '86', 'soured_milk', 'Soured Milk');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '87', 'bone_powder', 'Bone Powder');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '88', 'protato', 'Protato');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '89', 'purified_blood', 'Purified Blood');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '90', 'flavored_soypro', 'Flavored Soypro');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '91', 'stewing_water', 'Stewing Water');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '92', 'organic_flavoring', 'Organic Flavoring');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '93', 'organic_stock', 'Organic Stock');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '94', 'frying_batter_water', 'Frying Batter Water');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '95', 'frying_batter_mix', 'Frying Batter Mix');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '96', 'starch_base', 'Starch Base');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '97', 'fungal_spices', 'Fungal Spices');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '98', 'artificial_ribenes_meat', 'Artificial Ribenes Meat');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '99', 'spit', 'Spit');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '100', 'trimpian_meat', 'Trimpian Meat');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '101', 'miasra_sauce_base', 'Miasra Sauce Base');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '102', 'miasra_sauce_seasoning', 'Miasra Sauce Seasoning');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '103', 'base', 'Base');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '104', 'desert_seasoning', 'Desert Seasoning');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '105', 'puk', 'Puk');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '106', 'beans', 'Beans');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '107', 'spiney_wrap', 'Spiney Wrap');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '108', 'veghash_meat', 'Veghash Meat');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '109', 'grain_shell', 'Grain Shell');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '110', 'choya_shell', 'Choya Shell');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '111', 'lizard_meat', 'Lizard Meat');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '112', 'vegetables', 'Vegetables');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '113', 'starchy_flavoring', 'Starchy Flavoring');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '114', 'oat_crust', 'Oat Crust');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '115', 'exotic_spices', 'Exotic Spices');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '116', 'greens', 'Greens');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '117', 'mild_spices', 'Mild Spices');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '118', 'flatbread', 'Flatbread');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '119', 'garnish', 'Garnish');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '120', 'tart_seasoning', 'Tart Seasoning');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '121', 'pasta_shells', 'Pasta Shells');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '122', 'sauce_base', 'Sauce Base');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '123', 'sauce_flavoring', 'Sauce Flavoring');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '124', 'veghash', 'Veghash');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '125', 'tuber_filling', 'Tuber Filling');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '126', 'shell_glaze', 'Shell Glaze');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '127', 'tough_meat', 'Tough Meat');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '128', 'hide_strips', 'Hide Strips');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '129', 'meat_strips', 'Meat Strips');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '130', 'sweet_oil', 'Sweet Oil');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '131', 'mild_milk', 'Mild Milk');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '132', 'jellied_canron', 'Jellied Canron');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '133', 'charcoal', 'Charcoal');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '134', 'brisk_seasoning', 'Brisk Seasoning');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '135', 'hot_spice', 'Hot Spice');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '136', 'meltdown_spice', 'Meltdown Spice');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '137', 'wild_meat', 'Wild Meat');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '138', 'tender_meat', 'Tender Meat');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '139', 'pleasant_spices', 'Pleasant Spices');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '140', 'carbonation', 'Carbonation');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '141', 'fermented_fruit', 'Fermented Fruit');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '142', 'fermented_vegetables', 'Fermented Vegetables');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '143', 'double_aged_wheat', 'Double Aged Wheat');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '144', 'first_starshine', '1st Starshine');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '145', 'second_starshine', '2nd Starshine');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '146', 'flower_extract', 'Flower Extract');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '147', 'phosphorescent_core', 'Phosphorescent Core');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '148', 'phosphorescent_reactive', 'Phosphorescent Reactive');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '149', 'alcohol_base', 'Alcohol Base');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '150', 'alcohol_mixer', 'Alcohol Mixer');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '151', 'double_aged_berries', 'Double Aged Berries');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '152', 'radioactive_base', 'Radioactive Base');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '153', 'sculpted_decanter', 'Sculpted Decanter');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '154', 'talusian_fruit', 'Talusian Fruit');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '155', 'talusian_berries', 'Talusian Berries');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '156', 'fungus_extract', 'Fungal Extract');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '157', 'igneous_rock', 'Igneous Rock Filter');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '158', 'powdered_gemstone', 'Powdered Gemstone');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '159', 'hide_extract', 'Hide Extract');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '160', 'bone_extract', 'Bone Extract');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '161', 'wood_press', 'Wood Press');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '162', 'aged_fruit_additive', 'Aged Fruit Additive');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '163', 'sugarized_tubers', 'Sugarized Tubers');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '164', 'berry_mixer', 'Berry Mixer');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '165', 'first_alcohol', 'First Alcohol');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '166', 'second_alcohol', 'Second Alcohol');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '167', 'third_alcohol', 'Third Alcohol');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '168', 'radioactive_core', 'Radioactive Core');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '169', 'neutronium_thinner', 'Neutronium Thinner');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '170', 'fruit_twist', 'Fruit Twist');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '171', 'first_carbonation', '1st Carbonation Filter');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '172', 'second_carbonation', '2nd Carbonation Filter');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '173', 'third_carbonation', '3rd Carbonation Filter');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '174', 'deep_green_extract', 'Deep Green Extract');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '175', 'freshwater_fungus', 'Freshwater Fungus');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '176', 'flavoring', 'Flavoring');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '177', 'thickener', 'Thickener');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '178', 'domestic_corn_extract', 'Domestic Corn Extract');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '179', 'dust_corn_extract', 'Dust Corn Extract');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '180', 'dry_gene_wheat', 'Dry Gene Wheat');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '181', 'wild_wheat_thinner', 'Wild Wheat Thinner');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '182', 'bantha_milk', 'Bantha Milk');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '183', 'oats', 'Oats');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '184', 'fruit_topping', 'Fruit Topping');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '185', 'slimy_glaze', 'Slimey Glaze');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '186', 'rice_filling', 'Rice Filling');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '187', 'roll', 'Roll');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '188', 'glaze', 'Glaze');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '189', 'cake', 'Cake');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '190', 'berry_topping', 'Berry Topping');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '191', 'fine_wheat', 'Finely Crushed Wheat');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '192', 'berries', 'Berries');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '193', 'sweetener', 'Sweetener');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '194', 'rice', 'Rice');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '195', 'topping', 'Topping');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '196', 'pastebread', 'Pastebread');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '197', 'berry_filling', 'Berry Filling');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '198', 'starchy_filling', 'Starchy Filling');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '199', 'flavor_extract', 'Flavor Extract');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '200', 'sweet_cake_mix', 'Sweet Cake Mix');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '201', 'filling_mixture', 'Filling Mixture');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '202', 'sweet_glaze', 'Sweet Glaze');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '203', 'sweet_berries', 'Sweet Berries');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '204', 'tart_berries', 'Tart Berries');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '205', 'frosting_base', 'Frosting Base');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '206', 'mild_rice', 'Mild Rice');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '207', 'fruit_flavor', 'Fruit Flavor');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '208', 'first_filling', '1st Filling');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '209', 'second_filling', '2nd Filling');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '210', 'bantha_butter', 'Bantha Butter');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '211', 'oat_covering', 'Oat Covering');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '212', 'filling_tubers', 'Filling Tubers');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '213', 'succulent_fruit', 'Succulent Fruit');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '214', 'heady_meat', 'Heady Meat');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '215', 'biter_fruit', 'Bitter Fruit');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '216', 'berry_flavoring', 'Berry Flavoring');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '217', 'aludium_pu36', 'Aludium pu36');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '218', 'first_mash', '1st Mash');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '219', 'second_mash', '2nd Mash');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '220', 'sullustan_gin', 'Sullustan Gin');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '221', 'fermented_tubers', 'Fermented Tubers');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '222', 'metal_glass', 'Metal Glass');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '223', 'fungi_spice', 'Fungi Spice');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '224', 'water_base', 'Water Base');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '225', 'soft_wood_chutes', 'Softwood Chutes');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '226', 'dexters_secret_ingredient', 'Dexter\'s Secret Ingredient');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '227', 'insect_meat', 'Insect Meat');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '228', 'first_gelatin', '1st Gelatin');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '229', 'second_gelatin', '2nd Gelatin');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '230', 'fine_corellian_wheat', 'Fine Corellian Wheat');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '231', 'corellian_water', 'Corellian Water');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '232', 'dried_root', 'Dried Root');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '233', 'grain_dust', 'Grain Dust');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '234', 'chemical_reactive', 'Chemical Reactive');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '235', 'powdered_organic', 'Powdered Organic');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '236', 'crushed_bone', 'Crushed Bone');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '237', 'crushed_flowers', 'Crushed Flowers');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '238', 'sweetblossom_nectar', 'Sweetblossom Nectar');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '239', 'thinner', 'Thinner');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '240', 'distilling_vat', 'Distilling Vat');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '241', 'xr81_lube', 'Xr81 Lubricant');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '242', 'gas_filter', 'Gas Filter');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '243', 'delivery_mechanism', 'Delivery Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '244', 'pyrepenol', 'Pyrepenol');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '245', 'pyrepenol_filter', 'Pyrepenol Filter');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '246', 'h4b_concentrate', 'H4b Concentrate');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '247', 'coagulant', 'Coagulant');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '248', 'cytrinamphetamine', 'Cytrinamphetamine');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '249', 'allophynabarbital', 'Allophynabarbital');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '250', 'pemoloxyline', 'Pemoloxyline');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '251', 'methylphenatox', 'Methylphenatox');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '252', 'glucose_concentrate', 'Glucose Concentrate');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '253', 'antianxiolytic', 'Antianxiolytic');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '254', 'hyperemetic', 'Hyperemetic');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '255', 'synaptic_accelerant', 'Synaptic Accelerant');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '256', 'copper_phthalocyanine_blue', 'Copper Phthalocyanine Blue');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '257', 'dimethylaminobenzene', '4-Dimethylaminobenzene');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '258', 'suspension_liquid', 'Suspension Liquid');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '259', 'muon_source', 'Muon Source');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '260', 'crystalline_stratifier', 'Crystalline Stratifier');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '261', 'neutron_impactor', 'Neutron Impactor');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '262', 'lepton_agitator', 'Lepton Agitator');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '263', 'additives', 'Additives');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '264', 'dried_leaf', 'Dried Leaf');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '265', 'preservative', 'Preservative');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '266', 'protein_base', 'Protein Base');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '267', 'reactant_additive', 'Reactant Additive');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '268', 'crushed_root', 'Crushed Root');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '269', 'container', 'Container');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '270', 'additive', 'Additive');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '271', 'small_glass', 'Small Glass');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '272', 'drink_container', 'Drink Container');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '273', 'crystal', 'Crystal');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '274', 'barrel', 'Barrel');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '275', 'large_glass', 'Large Glass');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '276', 'cask', 'Cask');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '277', 'cask_trim', 'Cask Trim');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '278', 'coolant_control', 'Coolant Control');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '279', 'power_conditioner', 'Power Conditioner');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '280', 'secret_base', 'Secret Research Data');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '281', 'secret_rebel_biochem', 'Rebel Biochemical Research');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '282', 'secret_imperial_biochem', 'Imperial Biochemical Reports');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '283', 'preservative_agent', 'Preservative Agent');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '284', 'suspension_agent', 'Suspension Agent');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '285', 'bio_component', 'Bio Component');
INSERT INTO `client_strings` VALUES ('string/en/craft_food_ingredients_n.stf', '286', 'barrel_body', 'Barrel Body');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_d.stf', '1', 'rug', 'A rug.');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_d.stf', '2', 'filling', 'Some filling.');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_d.stf', '3', 'envelope', 'An envelope.');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_d.stf', '4', 'frame', 'A frame.');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_d.stf', '5', 'shelves', 'A few shelves.');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_d.stf', '6', 'panelling', 'Some panelling.');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_d.stf', '7', 'cushions', 'Some soft cushions.');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_d.stf', '8', 'upholstery', 'A large swath of generic upholstery.');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_d.stf', '9', 'pot', 'A pot.');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_d.stf', '10', 'tree', 'A tree.');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_d.stf', '11', 'greenery', 'Some assorted greenery.');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_d.stf', '12', 'torch_module', 'A torch module, the most basic unit of a torch.');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_d.stf', '13', 'lighting_module', 'A lighting module, a basic unit of torch or light creation.');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_d.stf', '14', 'table_top', 'A table top.');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_d.stf', '15', 'seat', 'A seat for a chair.');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_d.stf', '16', 'roller_mechanism', 'A roller mechanism.');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_d.stf', '17', 'panels', 'Some panels.');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_d.stf', '18', 'doors', 'Some doors.');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_d.stf', '19', 'lamp_body', 'A lamp\'s body.');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_d.stf', '20', 'lamp_assembly', 'An assembly for a lamp.');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_d.stf', '21', 'shade', 'A shade, used in making lamps.');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_d.stf', '22', 'housing', 'A housing.');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_d.stf', '23', 'neck', 'A neck, used in crafting items such as lamps.');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_d.stf', '24', 'recliner_mechanism', 'A recliner mechanism.');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_d.stf', '25', 'mattress', 'A mattress.');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_d.stf', '26', 'memory_module', 'A memory module.');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_d.stf', '27', 'processing_module', 'A processing module.');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_d.stf', '28', 'load_bearing_truss', 'A strong load-bearing truss.');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_d.stf', '29', 'valving', 'Some valving, generally used in creating instruments.');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_d.stf', '30', 'painting_schematic_blumbush', 'A document containing the information necessary to reproduce a painting of a blumbush.');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_d.stf', '31', 'painting_schematic_blueleaf_temple', 'A document containing the information necessary to reproduce a painting of the Blue Leaf temple.');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_d.stf', '32', 'painting_schematic_boffa', 'A document containing the information necessary to reproduce a painting of a boffa plant.');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_d.stf', '33', 'painting_schematic_golden_flower_01', 'A document containing the information necessary to reproduce an abstract painting of golden petals - first in the series.');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_d.stf', '34', 'painting_schematic_golden_flower_02', 'A document containing the information necessary to reproduce an abstract painting of golden petals - second in the series.');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_d.stf', '35', 'painting_schematic_golden_flower_03', 'A document containing the information necessary to reproduce an abstract painting of golden petals - third in the series.');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_d.stf', '36', 'painting_schematic_house', 'A document containing the information necessary to reproduce a painting of a residential house.');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_d.stf', '37', 'painting_schematic_krayt_skeleton', 'A document containing the information necessary to reproduce a painting of a krayt dragon skeleton.');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_d.stf', '38', 'painting_schematic_lucky_despot', 'A document containing the information necessary to reproduce a painting of the Lucky Despot wreckage.');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_d.stf', '39', 'painting_schematic_mattberry', 'A document containing the information necessary to reproduce a painting of mattberry plant.');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_d.stf', '40', 'painting_schematic_rainbow_berry_bush', 'A document containing the information necessary to reproduce a painting of a rainbow berry bush.');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_d.stf', '41', 'painting_schematic_moncal_eye_01', 'A document containing the information necessary to reproduce a painting of a Mon Calamari eye - first in the series.');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_d.stf', '42', 'painting_schematic_moncal_eye_02', 'A document containing the information necessary to reproduce a painting of a Mon Calamari eye - second in the series.');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_d.stf', '43', 'painting_schematic_ronka', 'A document containing the information necessary to reproduce a painting of a ronka plant.');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_d.stf', '44', 'painting_schematic_raventhorn', 'A document containing the information necessary to reproduce a painting of a raventhorn plant.');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_d.stf', '45', 'dual_wave_synthesizer', 'This device is adequately capable of reproducing the sound of almost any musical instrument.');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '1', 'rug', 'Rug');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '2', 'envelope', 'Envelope');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '3', 'filling', 'Filling');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '4', 'frame', 'Frame');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '5', 'shelves', 'Shelves');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '6', 'panelling', 'Panelling');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '7', 'cushions', 'Cushions');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '8', 'upholstery', 'Upholstery');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '9', 'pot', 'Pot');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '10', 'tree', 'Tree');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '11', 'greenery', 'Greenery');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '12', 'torch_module', 'Torch Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '13', 'table_top', 'Table Top');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '14', 'seat', 'Seat');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '15', 'roller_mechanism', 'Roller Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '16', 'panels', 'Panels');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '17', 'doors', 'Doors');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '18', 'lamp_body', 'Lamp Body');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '19', 'lamp_assembly', 'Lamp Assembly');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '20', 'shade', 'Shade');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '21', 'housing', 'Housing');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '22', 'neck', 'Neck');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '23', 'recliner_mechanism', 'Recliner Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '24', 'mattress', 'Mattress');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '25', 'memory_module', 'Memory Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '26', 'processing_module', 'Processing Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '27', 'load_bearing_truss', 'Load-bearing Truss');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '28', 'valving', 'Valving');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '29', 'lighting_module', 'Lighting Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '30', 'light_housing', 'Light Housing');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '31', 'artistic_medium', 'Artistic Medium');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '32', 'decorative_trim', 'Decorative Trim');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '33', 'fountain', 'Fountain');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '34', 'water_pump', 'Water Pump');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '35', 'water', 'Water');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '36', 'paint', 'Paints');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '37', 'canvas', 'Painting Canvas');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '38', 'painting_schematic_blueleaf_temple', 'Blue Leaf Temple Painting Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '39', 'painting_schematic_blumbush', 'Blumbush Painting Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '40', 'painting_schematic_boffa', 'Boffa Plant Painting Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '41', 'painting_schematic_golden_flower_01', 'Golden Petals 1 Painting Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '42', 'painting_schematic_golden_flower_02', 'Golden Petals 2 Painting Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '43', 'painting_schematic_golden_flower_03', 'Golden Petals 3 Painting Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '44', 'painting_schematic_house', 'Residential House Painting Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '45', 'painting_schematic_krayt_skeleton', 'Krayt Dragon SKeleton Painting Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '46', 'painting_schematic_lucky_despot', 'Lucky Despot Wreckage Painting Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '47', 'painting_schematic_mattberry', 'Mattberry Plant Painting Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '48', 'painting_schematic_moncal_eye_01', 'Mon Calamari Eye Painting 1 Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '49', 'painting_schematic_moncal_eye_02', 'Mon Calamari Eye Painting 2  Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '50', 'painting_schematic_rainbow_berry_bush', 'Rainbow Berry Bush Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '51', 'painting_schematic_ronka', 'Ronka Plant Painting Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '52', 'candle', 'Candle');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '53', 'wick', 'Wick');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '54', 'candle_holder', 'Candle Holder');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '55', 'painting_schematic_raventhorn', 'Raventhorn Plant Painting Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '56', 'dual_wave_synthesizer', 'Dual Wave Synthesizer');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '57', 'synthesis_data_storage', 'Synthesis Data Storage');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '58', 'wave_translation_head', 'Wave Translation Head');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '59', 'io_interface', 'I/O Interface');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '60', 'input_devices', 'Input Devices');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '61', 'connectors', 'Connectors');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '62', 'copper_wiring', 'Copper Wiring');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '63', 'screen', 'Screen');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '64', 'stretched_hide', 'Stretched Hide');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '65', 'utensil_base', 'Utensil Bases');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '66', 'fruit', 'Fruit');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '67', 'preservative', 'Preservatives');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '68', 'basket', 'Basket');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '69', 'sealant', 'Sealant');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '70', 'electronics', 'Electronics');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '71', 'display', 'Display');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '72', 'flag_base', 'Flag Base');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '73', 'flag', 'Flag');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '74', 'paints', 'Color/Paint');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '75', 'flagpole', 'Flag pole');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '76', 'fish', 'Fish');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '77', 'base', 'Base');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '78', 'heating_element', 'Heating Element');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '79', 'grill', 'Grill');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '80', 'pitcher', 'Pitcher');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '81', 'speakers', 'Speakers');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '82', 'circuit_boards', 'Circuit Boards');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '83', 'bowl', 'Bowl');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '84', 'glass', 'Glass');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '85', 'tank', 'Tank');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '86', 'spears', 'Spears');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '87', 'microphone_head', 'Microphone Head');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '88', 'fuel', 'Fuel');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '89', 'head_base', 'Head Base');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '90', 'head_interior', 'Interior');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '91', 'droid_trunk', 'Droid Trunk');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '92', 'droid_arms', 'Droid Arms');
INSERT INTO `client_strings` VALUES ('string/en/craft_furniture_ingredients_n.stf', '93', 'tank_base', 'Tank Base');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '1', 'adv_hvy_blaster_power_handler', 'Advanced Heavy Blaster Power Handler');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '2', 'adv_hvy_projectile_feed_mech', 'Advanced Heavy Projectile Feed Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '3', 'adv_vehicle_module', 'Advanced Vehicle Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '4', 'adv_vehicle_structural_frame', 'Advanced Vehicle Structural Frame');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '5', 'adv_warhead_launcher', 'Advanced Warhead Launcher');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '6', 'agitator_motor', 'A draft schematic for an agitator motor.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '7', 'allum_hardening_compound', 'Allum Hardening Compound');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '8', 'armor_panel_acid', 'Acid Class Armor Panel');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '9', 'armor_panel_blast', 'Blast Class Armor Panel');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '10', 'armor_panel_cold', 'Cold Class Armor Panel');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '11', 'armor_panel_electrical', 'Electrical Class Armor Panel');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '12', 'armor_panel_energy', 'Energy Class Armor Panel');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '13', 'armor_panel_heat', 'Heat Class Armor Panel');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '14', 'armor_panel_kenetic', 'Kenetic Class Armor Panel');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '15', 'armor_plating_mk1', 'Armor Plating Model I');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '16', 'armor_plating_mk2', 'Armor Plating Model II');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '17', 'armor_plating_mk3', 'Armor Panel Model III');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '18', 'assembly_enclosure', 'Forms the protective casing for the device\'s electronics.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '19', 'assorted_fruit', 'This is a draft schematic for a set of assorted fruit that can be used as a decoration.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '20', 'auto_blaster_cannon', 'Auto-Blaster Cannon');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '21', 'bacta_tank', 'This is a draft schematic for a large bacta tank that is non-functional, but can be used as a display.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '22', 'basket_closed', 'This is a draft schematic for a decorative closed basket.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '23', 'blaster_cannon', 'Blaster Cannon');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '24', 'booster_charge', 'A booster charge launches fireworks into the sky.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '25', 'bottle_fat', 'This is a draft schematic for a short, fat decorative glass bottle.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '26', 'bottle_pear', 'This is a draft schematic for a pear shaped decorative glass bottle.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '27', 'bottle_tall', 'This is a draft schematic for a tall decorative glass bottle.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '28', 'bubble_tank', 'This draft schematic is for a decorative bubble tank.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '29', 'bug_habitat', 'An engineered creature habitat that will keep a small sample of creatures alive and well for an extended period of time.  You can release these creatures into the wild if you want.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '30', 'burster_charge', 'A burster charge explodes the firework just as it reaches the perfect altitude.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '31', 'cafe_chair', 'This draft schematic is for a chair like the ones used in outdoor cafes.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '32', 'campfire', 'This draft schematic creates a permanently lit campfire, used as a decoration.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '33', 'cantina_chair', 'This draft schematic is for a chair like the ones used in cantinas.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '34', 'capacitor_bank', 'This bank of capacitors is used to temporarily store a large electrical charge.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '35', 'carved_bowl', 'This is a draft schematic for a carved wooden bowl.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '36', 'carved_plain', 'This is a draft schematic for a plain wooden bowl.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '37', 'chemical_agent', 'Chemical Agent');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '38', 'chemical_enhancers', 'Chemical Enhancers');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '39', 'chemical_recycler', 'A draft schematic for a Chemical Recycler.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '40', 'chemicals', 'Various chemicals used while slicing.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '41', 'clamp_body', 'A clamp used in slicing.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '42', 'coffee_table_modern', 'This draft schematic is used to create a modern coffee table.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '43', 'command_center', 'Command Center');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '44', 'command_console', 'This draft schematic creates command console.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '45', 'controller', 'Acts as the interface and controller device for the mechanisms subsystems.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '46', 'corellian_flagpole', 'A draft schematic for a Corellian flag, high atop a flagpole.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '47', 'couch_blue', 'A draft schematic for a blue couch.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '48', 'creature_recycler', 'A draft schematic for a Creature Recycler.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '49', 'delivery_mechanism', 'Delivery Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '50', 'delivery_medium', 'Delivery Medium');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '51', 'diagnostic_screen', 'This draft schematic is used to create a diagnostic screen.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '52', 'disperser', 'Disperser');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '53', 'droid_body', 'This draft schematic creates a protocol droid body, which is non-functional and used only for decoration.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '54', 'droid_head', 'This draft schematic is used to make a non-functioning protocol droid head.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '55', 'dx_disruptor_array', 'DX Disruptor Array');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '56', 'electronic_control_unit', 'Electronic control unit.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '57', 'electronic_energy_distributor', 'Electronic energy distributor.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '58', 'electronic_power_conditioner', 'Electronic power conditioner.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '59', 'electronics_gp_module', 'General-purpose electronics module.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '60', 'electronics_memory_module', 'Electronic memory module.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '61', 'elegant_cabinet', 'This draft schematic is for a cabinet that matches the elegant furniture set.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '62', 'encased_ducted_fan', 'Ducted Fan');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '63', 'executioners_hack_schematic', 'A draft schematic for a weapon called an Executioner\'s Hack.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '64', 'extended_fuel_tanks', 'Extended Fuel Tanks');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '65', 'extended_fuel_tanks_hvy', 'Heavy Extended Fuel Tanks');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '66', 'firespray_schematic', 'This is a complete schematic for a Kuat Systems Engineering Firespray ship.  Using this object will grant you a limited number of uses of the Firespray draft schematic.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '67', 'flora_recycler', 'A draft schematic for a Flora Recycler.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '68', 'fluidic_drilling_pumping_unit', 'This is used in the process of drilling for and pumping fluids.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '69', 'foodcart', 'This draft schematic is used to make a decorative food cart.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '70', 'fuel_a', 'Class A Fuel');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '71', 'fuel_b', 'Class B Fuel');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '72', 'fuel_c', 'Class C Fuel');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '73', 'fuel_cell_a', 'Fuel Cell type A');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '74', 'fuel_cell_b', 'Fuel Cell type B');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '75', 'fuel_cell_c', 'Fuel Cell type C');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '76', 'fuel_dispersion_unit', 'Fuel Dispersion Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '77', 'fuel_injector_tank', 'Fuel Injection Tank');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '78', 'fuel_injector_tank_2', 'Secondary Fuel Injection Tank');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '79', 'gambling_table', 'This draft schematic is used to make a gambling table.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '80', 'generator_turbine', 'A powerful turbine.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '81', 'hanging_planter', 'This draft schematic is used to make a hanging plant.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '82', 'hvy_blaster_power_handler', 'Heavy Blaster Power Handler');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '83', 'hvy_projectile_feed_mech', 'Heavy Projectile Feed Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '84', 'jetpack_base', 'Jetpack Base');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '85', 'landspeeder_av21_schematic', 'This is a schematic for an AV-21 landspeeder.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '86', 'large_sensor_package', 'A large sensor package.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '87', 'laser_assembly', 'A laser used for cutting and burning while slicing.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '88', 'laser_cannon', 'Laser Cannon');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '89', 'launcher', 'Launcher Pod');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '90', 'light_ore_mining_unit', 'This module is used to give smaller harvesting installations their capabilities.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '91', 'light_power_core_unit', 'A light power core unit.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '92', 'mandalorian_jetpack', 'This is a draft schematic for creating a mandalorian jetpack.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '93', 'mandalorian_wind_schematic', 'Carefully recorded on the datapad is the recipe for how to make Mandalorian Wine.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '94', 'mass_driver', 'Mass Driver');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '95', 'metal_recycler', 'A draft schematic for a Metal Recycler.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '96', 'micro_sensor_suite', 'A micro sensor suite.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '97', 'microphone', 'This draft schematic is used to make a microphone.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '98', 'mini_launcher_pod', 'Mini Launcher Pod');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '99', 'molecular_fuser', 'A device used in slicing.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '100', 'ore_mining_unit', 'This is used in the process of mining for ore.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '101', 'ore_recycler', 'A draft schematic for an Ore Recycler.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '102', 'parallel_control_unit', 'While not required to assemble this device, the addition of a high-quality Electronic Control Unit can make a Medic MultiTool that much better.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '103', 'park_bench', 'This is a draft schematic for a generic bench.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '104', 'pistol_de_10_schematic', 'A draft schematic for a DE-10 style pistol.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '105', 'pitcher_full', 'This draft schematic is used to create a pitcher full of water.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '106', 'power_core_unit', 'The power core is the heart of a building\'s energy output.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '107', 'power_plant_av21', 'A power plant for an AV-21 Landspeeder');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '108', 'power_plant_mk1', 'Power Plant Model I');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '109', 'power_plant_mk2', 'Power Plant Model II');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '110', 'power_plant_mk3', 'Power Plant Model III');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '111', 'professors_desk', 'This draft schematic is used to create a desk, like the ones used by professors at the universities.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '112', 'proton_torpedo_array', 'Proton Torpedo Array');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '113', 'radar_screen', 'This draft schematic creates a radar screen.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '114', 'radio', 'This draft schematic can be used to create a radio.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '115', 'razor_knuckler_schematic', 'A draft schematic for a weapon called a Razor Knuckler.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '116', 'reactor_unit', 'Reactor Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '117', 'rifle_berserker_schematic', 'A schematic for a berserker rifle.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '118', 'sample_bugs', 'A sample of some kind of creature taken from a lair.  An artisan could probably find an interesting way to display these creatures.  This is crafted with a live creature sample collected from a lair.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '119', 'scanner_assembly', 'Scans for the requested materials at user-configurable distances.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '120', 'secondary_sensor_suite', 'While not required to assemble this device, the addition of a high-quality Micro Sensor Suite can make a Medic MultiTool that much better.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '121', 'shared_harvesting_mechanism', 'This enables a structure to harvest materials.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '122', 'shared_manufacturing_mechanism', 'This enables a structure to manufacture materials.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '123', 'shellfish_harvester_schematic', 'Tool used to locate mollusks and crustaceans.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '124', 'shisa', 'This draft schematic is used to make a shisa.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '125', 'slave_brazier', 'This draft schematic is used to create a decorative brazier.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '126', 'small_storage_module', 'A small module built for storage.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '127', 'small_structure_storage_module', 'This storage module is designed for a small structure.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '128', 'spear_rack', 'This draft schematic is used to create a decorative weapon rack.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '129', 'storage_bay', 'Storage Bay');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '130', 'storage_unit', 'Self-contained storage space for gathered materials and items.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '131', 'stove', 'This draft schematic is used to create a portable stove.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '132', 'streetlamp', 'This draft schematic is used to create a street lamp.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '133', 'structural_module', 'A basic unit of a structure.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '134', 'structural_reinforcements', 'Structural Reinforcements');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '135', 'structural_reinforcements_hvy', 'Heavy Structural Reinforcements');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '136', 'structure_storage_module', 'This storage module creates a storage unit, for gathered materials and items.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '137', 'stuffed_fish', 'This draft schematic is used to create a decorative fish.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '138', 'tanning_hide_s01', 'This draft schematic makes a tanned, stretched hide that can be used for decoration.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '139', 'tanning_hide_s02', 'This draft schematic makes a tanned, stretched hide that can be used for decoration.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '140', 'tatooine_tapestry', 'This draft schematic creates a flag of Tatooine.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '141', 'tech_console_s01', 'This is a draft schematic for a standard technical console.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '142', 'tech_console_s02', 'This is a draft schematic for a standard technical console.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '143', 'throw_pillow', 'This draft schematic is for making a throw pillow.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '144', 'tools', 'Assorted tools used while slicing.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '145', 'tumble_blender', 'A draft schematic for a Tumble Blender.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '146', 'utensils', 'This draft schematic is for making kitchen utensils.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '147', 'veh_shield_generator_mk1', 'Shield Generator Model I');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '148', 'veh_shield_generator_mk2', 'Shield Generator Model II');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '149', 'veh_shield_generator_mk3', 'Shield Generator Model III');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '150', 'vehicle_module', 'Vehicle Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '151', 'vehicle_structural_frame', 'Vehicle Structural Frame');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '152', 'wall_module', 'A basic wall module.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '153', 'warhead_launcher', 'Warhead Launcher');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '154', 'weapon_array', 'Weapon Array');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '155', 'weapon_high_power_module', 'This is a high power module for energy weapons.');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_d.stf', '156', 'weapon_link', 'Weapon Link');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '1', 'absorptive_layer', 'Absorptive Armor Layer');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '2', 'access_points', 'Access Points');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '3', 'adhesive', 'Adhesive');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '4', 'adv_cap_battery', 'Advanced Capacitor Battery');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '5', 'adv_exhaust', 'Advanced Exhaust System');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '6', 'adv_fuel_cell', 'Advanced Booster Fuel Cell');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '7', 'adv_fuel_cell_enhancer', 'Advanced Fuel Cell Enhancing Substance');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '8', 'adv_fuel_regulation', 'Advanced Fuel Regulation System');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '9', 'adv_hvy_blaster_power_handler', 'Advanced Heavy Blaster Power Handler');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '10', 'adv_hvy_projectile_feed_mech', 'Advanced Heavy Projectile Feed Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '11', 'adv_recharge_module', 'Advanced Capacitor Recharge Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '12', 'adv_vehicle_module', 'Advanced Vehicle Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '13', 'adv_vehicle_structural_frame', 'Advanced Vehicle Structural Frame');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '14', 'adv_warhead_launcher', 'Advanced Warhead Launcher');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '15', 'advanced_droid_harness', 'Advanced Droid Harness');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '16', 'advanced_frame_infrastructure', 'Advanced Chassis Frame Infrastructure');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '17', 'advanced_fusion_core', 'Advanced Fusion Reactor Core');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '18', 'advanced_ignition_system', 'Advanced Booster Ignition System');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '19', 'advanced_power_distributor', 'Advanced Power Distributor');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '20', 'advanced_projector_unit', 'Advanced Shield Projector Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '21', 'advanced_ship_circuitry', 'Advanced Ship Circuitry');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '22', 'advanced_structural_support', 'Advanced Chassis Structural Support');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '23', 'agitator_motor', 'Agitator Motor');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '24', 'allum_hardening_compound', 'Allum Hardening Compound');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '25', 'aluminum_housing', 'Aluminum Housing');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '26', 'ammo_chamber', 'Ammunition Chamber');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '27', 'armor_panel_acid', 'Acid Class Armor Panel');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '28', 'armor_panel_blast', 'Blast Class Armor Panel');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '29', 'armor_panel_cold', 'Cold Class Armor Panel');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '30', 'armor_panel_electrical', 'Electrical Class Armor Panel');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '31', 'armor_panel_energy', 'Energy Class Armor Panel');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '32', 'armor_panel_heat', 'Heat Class Armor Panel');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '33', 'armor_panel_kenetic', 'Kenetic Class Armor Panel');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '34', 'armor_plating_mk1', 'Armor Plating Model I');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '35', 'armor_plating_mk2', 'Armor Plating Model II');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '36', 'armor_plating_mk3', 'Armor Plating Model III');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '37', 'armor_upgrade', 'Armor Upgrade');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '38', 'armor_upgrade_1', 'Armor Upgrade 1');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '39', 'armor_upgrade_2', 'Armor Upgrade 2');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '40', 'armor_upgrade_3', 'Armor Upgrade 3');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '41', 'armor_upgrade_4', 'Armor Upgrade 4');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '42', 'armor_upgrade_5', 'Armor Upgrade 5');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '43', 'array_housing', 'Array Housing');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '44', 'array_power_and_communication_net', 'Power / Communication Net');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '45', 'assembly_enclosure', 'Assembly Enclosure');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '46', 'assembly_frame', 'Assembly Frame');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '47', 'assembly_lattice', 'Assembly Lattice');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '48', 'assembly_machinery', 'Assembly Machinery');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '49', 'assembly_mounting_lattice', 'Assembly Mounting Latice');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '50', 'assorted_fruit', 'Assorted Fruit Draft Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '51', 'auto_blaster_cannon', 'Auto-Blaster Cannon');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '52', 'bacta', 'Bacta');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '53', 'bacta_tank', 'Bacta Tank Draft Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '54', 'base_chassis_plating', 'Base Chassis Plating');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '55', 'base_pre_processing_unit', 'Preprocessing Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '56', 'base_pre_processing_units', 'Preprocessing Units');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '57', 'basic_heat_shielding', 'Basic Heat Shielding');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '58', 'basket_closed', 'Closed Basket Draft Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '59', 'battery_case', 'Steel Battery Casing');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '60', 'battery_casing', 'Battery Casing');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '61', 'battery_cheap_copper', 'Copper Battery');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '62', 'battery_core', 'Capacitor Battery Core');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '63', 'battery_enclosure', 'Battery Enclosure');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '64', 'bearing_lubrication', 'Bearing Lubrication');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '65', 'bench', 'Bench');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '66', 'bioluminescence', 'Bioluminescence');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '67', 'blaster_cannon', 'Blaster Cannon');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '68', 'blaster_cooling_mechanism', 'Weapon Cooling Agent');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '69', 'blaster_deflection_layer', 'Blaster Deflection Layer');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '70', 'blaster_resistance_layer', 'Blaster Bolt Resistance Layer');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '71', 'body', 'Body');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '72', 'body_material', 'Body Material');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '73', 'body_structure', 'Ship Body ');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '74', 'booster', 'Booster Charge');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '75', 'booster_charge', 'Booster Charge');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '76', 'booster_nozzle', 'Booster Nozzle');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '77', 'booster_parts', 'Booster Parts');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '78', 'booster_upgrade', 'Booster Upgrade');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '79', 'booster_upgrade_1', 'Booster Upgrade 1');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '80', 'booster_upgrade_2', 'Booster Upgrade 2');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '81', 'booster_upgrade_3', 'Booster Upgrade 3');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '82', 'booster_upgrade_4', 'Booster Upgrade 4');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '83', 'booster_upgrade_5', 'Booster Upgrade 5');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '84', 'bore_head', 'Bore Head');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '85', 'bore_positioning_arm', 'Bore Positioning Arm');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '86', 'bottle_fat', 'Fat Bottle Draft Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '87', 'bottle_pear', 'Pear-shaped Bottle Draft Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '88', 'bottle_tall', 'Tall Bottle Draft Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '89', 'bubble_tank', 'Bubble Tank Draft Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '90', 'bug_habitat', 'Creature Habitat');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '91', 'burster', 'Burster Charge');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '92', 'burster_charge', 'Burster Charge');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '93', 'cable', 'Fishing Line');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '94', 'cable_guides', 'Fishing-Line Guides');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '95', 'cafe_chair', 'Cafe Chair Draft Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '96', 'cage_base', 'Cage Base');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '97', 'cage_support', 'Cage Support');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '98', 'camo_dye', 'Camo Dye');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '99', 'camo_flora', 'Camo Flora');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '100', 'campfire', 'Campfire Draft Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '101', 'canister', 'Canister');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '102', 'cantina_chair', 'Cantina Chair Draft Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '103', 'cap_battery', 'Capacitor Battery');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '104', 'capacitor_bank', 'Capacitor Bank');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '105', 'capacitor_charge_core', 'Charged Capacitor Core');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '106', 'capacitor_outer_shielding', 'Outer Capacitor Shielding');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '107', 'capacitor_parts', 'Capacitor Parts');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '108', 'capacitor_upgrade', 'Capacitor Upgrade');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '109', 'capacitor_upgrade_1', 'Capacitor Upgrade 1');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '110', 'capacitor_upgrade_2', 'Capacitor Upgrade 2');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '111', 'capacitor_upgrade_3', 'Capacitor Upgrade 3');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '112', 'capacitor_upgrade_4', 'Capacitor Upgrade 4');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '113', 'capacitor_upgrade_5', 'Capacitor Upgrade 5');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '114', 'carved_bowl', 'Carved Bowl Draft Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '115', 'carved_plain', 'Plain Bowl Draft Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '116', 'casing', 'Metal Casing');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '117', 'catalyst', 'Catalyst');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '118', 'chaff_bits', 'Chaff Bits');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '119', 'charge_and_thermal_regulation_medium', 'Charge and Thermal Regulation Medium');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '120', 'charge_filtering_prism', 'Charge Filtering Prism');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '121', 'charge_filtering_prizm', 'Filtering Prism');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '122', 'charge_leakage_and_contaminant_arresor', 'Leakage / Contaminant Arrestor');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '123', 'charge_leakage_and_contaminant_arrestor', 'Leakage / Contaminant Arrestor');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '124', 'charge_mleakage_and_contaminant_arrestor', 'Leakage / Contaminant Arrestor');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '125', 'charge_neutralization_barrier', 'Neutralization Barrier');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '126', 'charge_retention', 'Charge Retention Mass');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '127', 'chassis_parts', 'X-Wing Chassis Parts');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '128', 'chassis_pulse_shielding', 'Pulse Shielding');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '129', 'checksum_hardware', 'Checksum Hardware');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '130', 'chem_reagant', 'Chemical Reagant');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '131', 'chemical', 'Chemical Compound');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '132', 'chemical_agent', 'Chemical Agent');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '133', 'chemical_enhancers', 'Chemical Enhancers');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '134', 'chemical_recycler', 'Chemical Recycler Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '135', 'chemical_tubing', 'Chemical Tubing');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '136', 'chemicals', 'Chemicals');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '137', 'circuit_shielding_and_substrate', 'Circuit Shielding and Substrate');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '138', 'circuit_stabalization_medium', 'Circuit Stabilization Medium');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '139', 'circuit_stabilization_medium', 'Circuit Stabilization Medium');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '140', 'circuitry_mount_and_harness', 'Circuitry Mount / Harness');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '141', 'clamp_body', 'Clamp Body');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '142', 'cockpit', 'Cockpit');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '143', 'cockpit_insulation', 'Cockpit Insulation');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '144', 'codec_network', 'Codec Network');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '145', 'coffee_table_modern', 'Modern Table Draft Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '146', 'color_actuator', 'Color Actuator');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '147', 'command_center', 'Command Center');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '148', 'command_console', 'Command Console Draft Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '149', 'compartment_enclosure', 'Cargo Compartment Shell');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '150', 'component_housing', 'Component Housing');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '151', 'connections', 'Inter-shield Connections');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '152', 'container', 'Container');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '153', 'content_handling_mechanism', 'Cargo Management Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '154', 'controller', 'Controller Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '155', 'coolant', 'Coolant');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '156', 'coolent_gel', 'Cooling Gel');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '157', 'cooling_agent', 'Cooling Agent');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '158', 'cooling_network', 'Cooling Network');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '159', 'core', 'Space Blaster Core');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '160', 'corellian_flagpole', 'Corellian Flag Draft Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '161', 'corrective_inducer', 'Corrective Inducer');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '162', 'couch_blue', 'Blue Couch Draft Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '163', 'creature_recycler', 'Creature Recycler Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '164', 'creature_sample', 'Creature Sample');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '165', 'cube_core', 'Cube Core');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '166', 'current_motivator', 'Current Motivator');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '167', 'cycle_control', 'Cycle Control');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '168', 'damage_enhancer', 'Damage Enhancer');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '169', 'dart_grip_wrapping', 'Dart Grip Wrapping');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '170', 'dart_housing', 'Dart Housing');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '171', 'dart_tip', 'Dart Tip');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '172', 'data_lattice_sheath', 'Data Lattice Sheath');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '173', 'data_storage_lattice', 'Data Storage Lattice');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '174', 'de10_barrel', 'DE-10 Barrel Component');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '175', 'decoder_housing', 'Data Reader Housing');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '176', 'decoder_power', 'Power Core');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '177', 'decoder_processor', 'Mico-Processor Core');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '178', 'decoder_reader', 'Optical Reader');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '179', 'decoder_screen', 'Vid Screen');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '180', 'decoder_translation', 'Translation Circuitry');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '181', 'decoherence_sensor', 'Decoherence Sensor');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '182', 'decryption_hardware', 'Decryption Hardware');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '183', 'delivery_mechanism', 'Delivery Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '184', 'delivery_medium', 'Delivery Medium');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '185', 'device_housing', 'Device Housing');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '186', 'device_interior', 'Device Interior');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '187', 'device_systems', 'Device Systems');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '188', 'diagnostic_screen', 'Diagnostic Screen Draft Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '189', 'diode_cluster', 'Diode Cluster');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '190', 'directional_sensor', 'Directional Sensor');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '191', 'disperser', 'Disperser');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '192', 'display', 'Display');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '193', 'droid_body', 'Droid Body Draft Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '194', 'droid_body_interior', 'Droid Body Interior');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '195', 'droid_brain_interface', 'Droid Brain Ship Interface');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '196', 'droid_harness', 'Standard Droid Harness');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '197', 'droid_head', 'Droid Head Draft Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '198', 'droid_interface_electronics', 'Droid Interface Electronics');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '199', 'droid_interface_parts', 'Droid Interface Parts');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '200', 'droid_interface_upgrade', 'Droid Interface Upgrade');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '201', 'droid_interface_upgrade_1', 'Droid Interface Upgrade 1');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '202', 'droid_interface_upgrade_2', 'Droid Interface Upgrade 2');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '203', 'droid_interface_upgrade_3', 'Droid Interface Upgrade 3');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '204', 'droid_interface_upgrade_4', 'Droid Interface Upgrade 4');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '205', 'droid_interface_upgrade_5', 'Droid Interface Upgrade 5');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '206', 'droid_legs', 'Droid Legs');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '207', 'durasteel_alloy', 'Durasteel Alloy');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '208', 'dx_disruptor_array', 'DX Disruptor Array');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '209', 'effect_generator', 'Effect-Generator');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '210', 'effectiveness_enhancer', 'Effectiveness Enhancer');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '211', 'elctronics_memory_module', 'Electronic Memory Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '212', 'electrical_components', 'Electrical Components');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '213', 'electromic_memory_module', 'Electronic Memory Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '214', 'electronic_components', 'Interior Electronic Components');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '215', 'electronic_control_unit', 'Control Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '216', 'electronic_energy_distributor', 'Energy Distributor');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '217', 'electronic_memory_module', 'Electronic Memory Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '218', 'electronic_power_conditioner', 'Power Conditioner');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '219', 'electronics', 'Electronics');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '220', 'electronics_gp_module', 'Electronics GP Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '221', 'electronics_memory_module', 'Electronics Memory Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '222', 'elegant_cabinet', 'Elegant Cabinet Draft Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '223', 'encased_ducted_fan', 'Ducted Fan');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '224', 'enchanced_tracking_tables', 'Enhanced Tracking Tables');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '225', 'enclosure_structure', 'Enclosure Structure');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '226', 'end_result_bowl', 'Bowl');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '227', 'energy_absorption_layer', 'Energy Absorption Layer');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '228', 'energy_distribution_net', 'Energy Distribution Net');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '229', 'energy_flow_modulator_and_filter', 'Energy Flow Modulator and Filter');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '230', 'energy_saving_mechanism', 'Energy Saving Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '231', 'energy_shielding', 'Energy Shielding');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '232', 'eng1', 'Engine 1');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '233', 'eng2', 'Engine 2');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '234', 'eng3', 'Engine 3');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '235', 'eng4', 'Engine 4');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '236', 'eng5', 'Engine 5');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '237', 'engine_core', 'Engine Core');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '238', 'engine_housing', 'Engine Housing');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '239', 'engine_nozzles', 'Engine Nozzles');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '240', 'engine_upgrade', 'Engine Upgrade');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '241', 'engine_upgrade_1', 'Engine Upgrade 1');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '242', 'engine_upgrade_2', 'Engine Upgrade 2');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '243', 'engine_upgrade_3', 'Engine Upgrade 3');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '244', 'engine_upgrade_4', 'Engine Upgrade 4');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '245', 'engine_upgrade_5', 'Engine Upgrade 5');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '246', 'engine_upgrade_components', 'Engine Upgrade Components');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '247', 'enhanced_battery_core', 'Enhanced Battery Core Material');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '248', 'enhanced_tracking_tables', 'Enhanced Tracking Tables');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '249', 'entangling_mesh', 'Entangling Mesh');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '250', 'executioners_hack_schematic', 'Executioner\'s Hack Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '251', 'extended_fuel_tanks', 'Extended Fuel Tanks');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '252', 'extended_fuel_tanks_hvy', 'Heavy Extended Fuel Tanks');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '253', 'feed_tubes', 'Feed Tubes');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '254', 'fiberplast_absorption_layer', 'Fiberplast Absorption Layer');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '255', 'fiberplast_deflection_layer', 'Fiberplast Deflection Layer');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '256', 'fiberplast_patches', 'Fiberplast Patching Compound');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '257', 'fiberplast_support', 'Fiberplast Support Structure');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '258', 'fiberplast_support_structure', 'Fiberplast Support Structure');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '259', 'filler_liquid', 'Filler Liquid');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '260', 'fire_suppression_lining', 'Fire Suppression Lining');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '261', 'firespray_schematic', 'KSE Firespray Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '262', 'fittings', 'Fittings');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '263', 'flagpole', 'Flagpole');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '264', 'flora_recycler', 'Flora Recycler Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '265', 'fluidic_drilling_pumping_unit', 'Fluidic Drilling Pump Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '266', 'foodcart', 'Food Cart Draft Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '267', 'forks_spoons_knives', 'Forks, Spoons');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '268', 'frame', 'Frame');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '269', 'framework', 'Framework');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '270', 'fruit', 'Fruit');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '271', 'fuel', 'Fuel');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '272', 'fuel_a', 'Class A Fuel');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '273', 'fuel_additive', 'Fuel Additive');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '274', 'fuel_b', 'Class B Fuel');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '275', 'fuel_c', 'Class C Fuel');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '276', 'fuel_cell_a', 'Fuel Cell type A');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '277', 'fuel_cell_b', 'Fuel Cell type B');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '278', 'fuel_cell_c', 'Fuel Cell type C');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '279', 'fuel_cell_core', 'Booster Fuel Cell Core');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '280', 'fuel_dispersion_unit', 'Fuel Dispersion Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '281', 'fuel_injector_tank', 'Fuel Injector Tank');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '282', 'fuel_injector_tank_2', 'Secondary Fuel Injector Tank');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '283', 'fuel_mixing_chamber', 'Fuel Mixing Chamber');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '284', 'gambling_table', 'Gaming Table Draft Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '285', 'gas_reagant', 'Gaseous Reagant');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '286', 'gaseous_fuel', 'Gaseous Fuel Cell');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '287', 'generator_core', 'Generator Core');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '288', 'generator_turbine', 'Generator Turbine');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '289', 'gerenator_turbine', 'Turbine');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '290', 'grill', 'Grill');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '291', 'gyro_power_core', 'Gyro Power Core');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '292', 'hanger', 'Hanger');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '293', 'hanging_planter', 'Hanging Planter Draft Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '294', 'hardened_shell', 'Hardened Shell');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '295', 'heating_element', 'Heating Element');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '296', 'heavy_core_casing', 'Heavy Core Casing');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '297', 'hvy_blaster_power_handler', 'Heavy Blaster Power Handler');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '298', 'hvy_projectile_feed_mech', 'Heavy Projectile Feed Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '299', 'hyperdrive_core', 'Hyperdrive Core');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '300', 'hyperdrive_unit', 'Hyperdrive Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '301', 'igniter_fuel', 'Igniter Fuel');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '302', 'ignition_mechanism', 'Fuel Ignition Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '303', 'inert_atmosphere_lining', 'Inert Atmosphere Lining');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '304', 'insulation', 'Insulation');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '305', 'interface_core', 'Interface Core');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '306', 'interface_pad', 'Interface Pad');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '307', 'interior_gears', 'Interior Gears');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '308', 'jetpack_base', 'Jetpack Base');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '309', 'jumper_circuitry', 'Jumper Circuit');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '310', 'landspeeder_av21_schematic', 'Landspeeder schematic (AV-21)');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '311', 'large_sensor_package', 'Large Sensor Package');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '312', 'laser_assembly', 'Laser Assembly');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '313', 'laser_assembly_', 'Laser Assembly');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '314', 'laser_cannon', 'Laser Cannon');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '315', 'laser_reflective_surface', 'Blaster Reflective Surface');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '316', 'lattice_sheath', 'Lattice Sheath');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '317', 'launcher', 'Launcher Pod');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '318', 'life_support', 'Life Support');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '319', 'light_engine_materials', 'Lighter Engine Materials');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '320', 'light_ore_mining_unit', 'Light Ore Mining Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '321', 'light_power_core_unit', 'Light Power Core Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '322', 'lighter_ship_materials', 'Lighter Armor Materials');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '323', 'limiting_mechanism', 'Limiting Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '324', 'liquid_fuel', 'Liquid Fuel Cell');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '325', 'liquid_metal_housing', 'Liquid Metal Housing');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '326', 'load_bearing_joints_and_fittings', 'Load-bearing Joints and Fittings');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '327', 'locater_array', 'Locater Array');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '328', 'logic_unit', 'Logic Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '329', 'loop_auditor', 'Loop Auditor');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '330', 'lubricating_oil', 'Lubricant');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '331', 'mandalorian_jetpack', 'A schematic for a Mandalorian Jetpack');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '332', 'mandalorian_wine_schematic', 'Recipe for Mandalorian Wine');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '333', 'markings', 'Markings');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '334', 'mass_driver', 'Mass Driver');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '335', 'mechanism_stabalization_and_insulation_material', 'Stabilization and Insulation');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '336', 'mechanism_stabilization_and_insulation_material', 'Stabilization and Insulation Material');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '337', 'med_electronics_package', 'Medical Electronics Package');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '338', 'metal_recycler', 'Metal Recycler Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '339', 'metal_slides', 'Metal Slides');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '340', 'micro_sensor_suite', 'Micro Sensor Suite');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '341', 'micro_switching_mechanism_contacts', 'Micro-switching Mechanism Contacts');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '342', 'micro_tranciever_net', 'Micro Transceiver Net');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '343', 'micro_transceiver_net', 'Micro Transceiver Net');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '344', 'micro_transciever_net', 'Micro Transceiver Net');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '345', 'micro_transiecer_net', 'Micro Transceiver Net');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '346', 'micro_turbine_and_charge_accumulator', 'Micro Turbine and Charge Accumulator');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '347', 'microphone', 'Microphone Draft Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '348', 'microphone_handle', 'Microphone Handle');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '349', 'mini_launcher_pod', 'Mini Launcher Pod');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '350', 'module_brackets', 'Module Brackets');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '351', 'module_brackets_and_frame', 'Module Brackets / Frame');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '352', 'molecular_fuser', 'Molecular Fuser');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '353', 'momentum_compensator', 'Momentum Compensator');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '354', 'musk', 'Musk');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '355', 'musk_extract', 'Musk Extract');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '356', 'native_animal_skins', 'Native Animal Skins');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '357', 'neural_network_fibers', 'Neural Network Fibers');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '358', 'ore_mining_unit', 'Ore Mining Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '359', 'ore_recycler', 'Ore Recycler Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '360', 'ore_transport_auger_and_conveyors', 'Ore Transport Auger and Conveyors');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '361', 'ore_transport_augor_and_conveyors', 'Ore Transport Auger and Conveyors');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '362', 'overdriver_components', 'Overdriver Components');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '363', 'overdriving_mechanism', 'Overdriving Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '364', 'paint', 'Chassis Paint');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '365', 'paints', 'Paints and Colors');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '366', 'panel_structure', 'Panel Framework');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '367', 'parallel_control_unit', 'Parallel Control Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '368', 'parallel_logic_unit', 'Parallel Logic Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '369', 'park_bench', 'Park Bench Draft Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '370', 'particle_sensor', 'Particle Sensor');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '371', 'pistol_de_10_schematic', 'DE-10 Pistol Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '372', 'pitcher_full', 'Drinking Pitcher Draft Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '373', 'plate_lubricant', 'Armor Plate Lubricant');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '374', 'plate_reinforcement', 'Plating Reinforcement');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '375', 'plating', 'Armor Plating');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '376', 'power_cell', 'Power Cell');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '377', 'power_core_unit', 'Power Core Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '378', 'power_motor', 'Power Motor');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '379', 'power_plant_av21', 'Power Plant AV-21');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '380', 'power_plant_mk1', 'Power Plant Model I');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '381', 'power_plant_mk2', 'Power Plant Model II');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '382', 'power_plant_mk3', 'Power Plant Model III');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '383', 'power_supply', 'Power Supply');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '384', 'power_unit', 'Power Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '385', 'pre_procesing_logic_circuits', 'Logic Circuits');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '386', 'pre_processing_logic_circuitry', 'Pre-processing Logic Circuitry');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '387', 'preservative', 'Preservatives');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '388', 'preservatives', 'Preservatives');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '389', 'primary_array_processing_and_control_net', 'Array Processing / Control Net');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '390', 'primary_array_processing_and_control_unit', 'Array Processing / Control Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '391', 'primary_computer', 'Primary Computer');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '392', 'primary_fuel_tank', 'Primary Fuel Tank');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '393', 'processor_attachments', 'Processor Attachments');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '394', 'professors_desk', 'Professor\'s Desk Draft Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '395', 'projector_unit', 'Shield Projector Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '396', 'protective_elements', 'Protective Elements');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '397', 'proton_torpedo_array', 'Proton Torpedo Array');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '398', 'pulverizer', 'Pulverizer');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '399', 'radar_screen', 'Radar Screen Draft Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '400', 'radio', 'Radio Draft Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '401', 'radioactive_fusion_core', 'Radioactive Fusion Core');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '402', 'razor_knuckler_schematic', 'A Razor Knuckler Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '403', 'reaction_housing', 'Reaction Housing');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '404', 'reactive_gas', 'Reactive Gas');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '405', 'reactor_casing', 'Reactor Casing');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '406', 'reactor_cooling_system', 'Reactor Cooling System');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '407', 'reactor_core', 'Fusion Reactor Core');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '408', 'reactor_electrical_core', 'Reactor Electrical Core');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '409', 'reactor_limiting_mechanism', 'Limiting Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '410', 'reactor_overcharging_mechanism', 'Overcharging Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '411', 'reactor_radioactive_core', 'Radioactive Reactor Core');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '412', 'reactor_unit', 'Reactor Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '413', 'reactor_upgrade', 'Reactor Upgrade');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '414', 'reactor_upgrade_1', 'Reactor Upgrade 1');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '415', 'reactor_upgrade_2', 'Reactor Upgrade 2');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '416', 'reactor_upgrade_3', 'Reactor Upgrade 3');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '417', 'reactor_upgrade_4', 'Reactor Upgrade 4');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '418', 'reactor_upgrade_5', 'Reactor Upgrade 5');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '419', 'reactor_upgrade_components', 'Reactor Upgrade Components');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '420', 'receiver_unit', 'Receiver Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '421', 'recharge_module_core', 'Capacitor Recharge Module Core');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '422', 'reel', 'Fishing-Rod Reel');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '423', 'regulator', 'Regulator');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '424', 'reinforcement_rods', 'Reinforcement Rods');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '425', 'reinforcing_ship_materials', 'Armor Reinforcing Materials');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '426', 'repair_parts', 'Metal Repair Parts');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '427', 'resource_one', 'Resource One');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '428', 'resource_three', 'Resource Three');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '429', 'resource_two', 'Resource Two');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '430', 'restorative_chemical', 'Restorative Chemical');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '431', 'retrofit_kit', 'Retrofit Kit');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '432', 'rifle_berserker_schematic', 'Berserker Rifle Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '433', 'rivets', 'Rivets');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '434', 'rod', 'Fishing Rod');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '435', 'sample_bats', 'Sample of Live Bats');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '436', 'sample_bees', 'Sample of Live Bees');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '437', 'sample_bugs', 'Live Creature Sample');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '438', 'sample_butterflies', 'Sample of Live Butterflies');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '439', 'sample_flies', 'Sample of Live Flies');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '440', 'sample_glowzees', 'Sample of Live Glowzees');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '441', 'sample_moths', 'Sample of Live Moths');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '442', 'scanner_assembly', 'Scanner Assembly');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '443', 'screens', 'Screens');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '444', 'secondary_fuel_tank', 'Secondary Fuel Tank');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '445', 'secondary_sensor_suite', 'Secondary Sensor Suite');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '446', 'sensor_array_wiring_harness', 'Sensor Wiring Harness');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '447', 'shared_harvesting_mechanism', 'Harvesting Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '448', 'shared_heavy_harvesting_mechanism', 'Heavy Harvesting Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '449', 'shared_manufacturing_mechanism', 'Manufacturing Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '450', 'shellfish_harvester_schematic', 'Shellfish Harvesting Tool');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '451', 'shelter_canvas', 'Shelter Canvas');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '452', 'shelter_reinforcement', 'Shelter Reinforcement');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '453', 'shelter_structure', 'Shelter Structure');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '454', 'shield_housing', 'Shield Housing');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '455', 'shield_intensifying_mechanism', 'Shield Intensifying Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '456', 'shield_limiter_mechanism', 'Shield Limiter Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '457', 'shield_overcharger_mechanism', 'Overcharger Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '458', 'shield_parts', 'Shield Generator Parts');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '459', 'shield_upgrade', 'Shield Upgrade');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '460', 'shield_upgrade_1', 'Shield Upgrade 1');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '461', 'shield_upgrade_2', 'Shield Upgrade 2');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '462', 'shield_upgrade_3', 'Shield Upgrade 3');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '463', 'shield_upgrade_4', 'Shield Upgrade 4');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '464', 'shield_upgrade_5', 'Shield Upgrade 5');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '465', 'shields_upgrade_components', 'Shield Upgrade Component');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '466', 'ship_blaster_core', 'Blaster Core');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '467', 'ship_circuitry', 'Ship Circuitry');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '468', 'ship_skin', 'Aluminum Ship Skin');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '469', 'shisa', 'Shisa Draft Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '470', 'shock_absorption_layer', 'Chassis Shock Absorption Layer');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '471', 'shock_absorptive_material', 'Shock Absorbing Material');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '472', 'shock_and_vibration_isolation_assembly', 'Shock and Vibration Isolation Assembly');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '473', 'shock_redlective_substrate', 'Shock-reflective Substrate');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '474', 'shock_reflective_substrate', 'Shock-reflective Substrate');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '475', 'sifting_plates', 'Sifting Plates');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '476', 'signal_cleanup_unit', 'Signal Clean-up Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '477', 'signal_rerouter', 'Signal Re-Router');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '478', 'siliclastic_component', 'Siliclastic Circuitry Component');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '479', 'slave_brazier', 'Slave Brazier Draft Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '480', 'small_storage_module', 'Small Storage Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '481', 'small_structure_storage_module', 'Small Structure Storage Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '482', 'smashing_plates', 'Smashing Plates');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '483', 'socket_connection', 'Socket Connection');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '484', 'solar_panels', 'Solar Panels');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '485', 'solid_state_units', 'Solid State Units');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '486', 'space_weapon_parts', 'Mark 1 Blaster Parts');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '487', 'spare_parts', 'Spare Parts');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '488', 'spear_heads', 'Spear Heads');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '489', 'spear_rack', 'Spear Display Draft Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '490', 'special_fuel_enhancer', 'Special Fuel Enhancing Substance');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '491', 'speed_enhancer', 'Weapon Speed Enhancer');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '492', 'speed_limiting_mechanism', 'Speed Limiting Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '493', 'spin_alignment_inducer', 'Spin Alignment Inducer');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '494', 'spinning_blades', 'Spinning Blades');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '495', 'spur_core', 'Spur Core');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '496', 'spur_housing', 'Spur Housing');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '497', 'spur_spikes', 'Spur Spikes');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '498', 'stage_1_energy_filter', 'Stage 1 Energy Filter');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '499', 'stage_2_energy_filter', 'Stage 2 Energy Filter');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '500', 'stand', 'Stand');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '501', 'standard_fusion_core', 'Standard Fusion Reactor Core');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '502', 'standard_ignition_system', 'Standard Booster Ignition System');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '503', 'standard_power_distributor', 'Standard Power Distributor');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '504', 'standard_projector_unit', 'Standard Shield Projector Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '505', 'std_exhaust', 'Standard Exhaust System');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '506', 'std_fuel_regulation', 'Standard Fuel Regulation System');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '507', 'std_recharge_module', 'Standard Capacitor Recharge Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '508', 'steel_frame', 'Steel Support Frame');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '509', 'storage_bay', 'Storage Bay');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '510', 'storage_compartment', 'Storage Compartment');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '511', 'storage_unit', 'Storage Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '512', 'storage_unit_frame', 'Storage Unit Frame');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '513', 'stove', 'Portable Stove Draft Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '514', 'streetlamp', 'Street Lamp Draft Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '515', 'strong_alloy', 'Strong Armor Alloy');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '516', 'struc', '');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '517', 'structural_module', 'Structural Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '518', 'structural_reinforcement_heavy', 'Heavy Structural Reinforcement');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '519', 'structural_reinforcements', 'Structural Reinforcements');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '520', 'structural_reinforcements_heavy', 'Heavy Structural Reinforcements');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '521', 'structural_support', 'Structural Support');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '522', 'structure_storage_module', 'Structure Storage Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '523', 'stuffed_fish', 'Display Fish Draft Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '524', 'sub_assembly_frame', 'Sub-assembly Frame');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '525', 'sub_unit', 'Sub Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '526', 'sub_unit2', 'Sub Unit Two');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '527', 'super_mini_turbo_generator', 'Super Mini Turbo Generator');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '528', 'switching_and_routing_mechanism', 'Switching / Routing Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '529', 'switching_mechanism_and_logic_circuitry', 'Switching / Logic Circuits');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '530', 'tank_casing', 'Fuel Tank Casing');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '531', 'tanning_hide_s01', 'Tanning Hide Draft Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '532', 'tanning_hide_s02', 'Tanning Hide Draft Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '533', 'tatooine_tapestry', 'Tapestry (Tatooine) Draft Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '534', 'tech_console_s01', 'Technical Console Draft Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '535', 'tech_console_s02', 'Technical Console Draft Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '536', 'thermal_and_containement_shield', 'Thermal Containment Shield');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '537', 'thermal_and_containment_shield', 'Thermal Containment Shield');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '538', 'thermal_and_contaminant_shield', 'Thermal & Contaminant Shield');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '539', 'thermal_barrier', 'Thermal Barrier');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '540', 'thermal_insulator_and_charge_leakage_preventor', 'Thermal Insulator and Charge Leakage Preventor');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '541', 'thermal_shielding', 'Thermal Shielding');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '542', 'thickener', 'Thickener');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '543', 'throw_pillow', 'Throwpillow Draft Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '544', 'tools', 'Tools');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '545', 'transductive_shunt', 'Transductive Shunt');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '546', 'transformer', 'Transformer');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '547', 'trap_housing', 'Trap Housing');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '548', 'tumble_blender', 'Tumble Blender');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '549', 'tuner', 'Tuner');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '550', 'tuning_cell', 'Tuning Cell');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '551', 'turbo_fluidic_drilling_pumping_unit', 'Turbo Fluidic Drilling Pump Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '552', 'ultralight_alloy', 'Ultra-Light Armor Alloy');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '553', 'unit_computer', 'Unit Computer');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '554', 'utensil_handles', 'Handles');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '555', 'utensils', 'Kitchen Utensils Draft Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '556', 'variance_throttle', 'Variance Throttle');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '557', 'veh_shield_generator_mk1', 'Shield Generator Model I');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '558', 'veh_shield_generator_mk2', 'Shield Generator Model II');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '559', 'veh_shield_generator_mk3', 'Shield Generator Model III');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '560', 'vehicle_module', 'Vehicle Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '561', 'vehicle_structural_frame', 'Vehicle Structural Frame');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '562', 'village_shields', 'Village Shields');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '563', 'voltage_inducer', 'Voltage Inducer');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '564', 'wall_module', 'Wall Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '565', 'warhead', 'Warhead');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '566', 'warhead_launcher', 'Warhead Launcher');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '567', 'weapon_array', 'Weapon Array');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '568', 'weapon_high_power_module', 'High Power Weapon Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '569', 'weapon_link', 'Weapon Link');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '570', 'weapon_mount_heavy_stabilization_unit', 'Stabilization Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '571', 'weapon_upgrade', 'Weapon Upgrade');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '572', 'weapon_upgrade_1', 'Weapon Upgrade 1');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '573', 'weapon_upgrade_2', 'Weapon Upgrade 2');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '574', 'weapon_upgrade_3', 'Weapon Upgrade 3');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '575', 'weapon_upgrade_4', 'Weapon Upgrade 4');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '576', 'weapon_upgrade_5', 'Weapon Upgrade 5');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '577', 'weapon_upgrade_components', 'Weapon Upgrade Component');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '578', 'webbing_fluid', 'Webbing Fluid');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '579', 'wing_left', 'Left Wing');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '580', 'wing_right', 'Right Wing');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '581', 'wings', 'Wings');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '582', 'wiring', 'Ship Wiring');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '583', 'wiring_blue', 'Blue Wiring');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '584', 'wiring_red', 'Red Wiring');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '585', 'wpn1', 'Weapon 1');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '586', 'wpn2', 'Weapon 2');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '587', 'wpn3', 'Weapon 3');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '588', 'wpn4', 'Weapon 4');
INSERT INTO `client_strings` VALUES ('string/en/craft_item_ingredients_n.stf', '589', 'wpn5', 'Weapon 5');
INSERT INTO `client_strings` VALUES ('string/en/craft_jewelry_ingredients_n.stf', '1', 'jewel', 'Jewel');
INSERT INTO `client_strings` VALUES ('string/en/craft_jewelry_ingredients_n.stf', '2', 'setting', 'Setting');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_d.stf', '1', 'warhead_fusing', 'Responsible for detonating the grenade\'s explosive charge.\n');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_d.stf', '2', 'magnetic_grapple', 'Allows the grenade to be easily and securely stowed stowed in specially equipped pockets and equipment racks.\n');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_d.stf', '3', 'timed_dial', 'Controls the countdown till detonation.\n');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_d.stf', '4', 'fragmentation_sleeve', 'A fitting of pre-scored metal that fits over a grenade casing, giving it a fragmentation effect.\n');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_d.stf', '5', 'body_shell', 'The outer casing for the grenade.\n');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_d.stf', '6', 'warhead_assembly', 'Gives the grenade its explosive power.\n');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_d.stf', '7', 'warhead_booster', 'Serves to increase the explosive yield of the grenade.\n');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_d.stf', '8', 'warhead_enhancement', 'Serves to shape the detonation shockwave in an effort to increase its effect.\n');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_d.stf', '9', 'fragmentation_enhancement', 'Increases the fragmentation effect of the grenade\n');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_d.stf', '10', 'ammo_projectile', 'Basic ammunition used in projectile weapons.');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_d.stf', '11', 'ammo_projectile_entanglement', 'Ammunition used in entanglement projectile weapons.');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_d.stf', '12', 'munition_enhancer', 'Enhances the effectiveness of munitions.');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_d.stf', '13', 'enhanced_charge_composition', 'This is an explosive charge composition with an enhanced effect.');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_d.stf', '14', 'enhanced_charge_shaping', 'This is an explosive charge shaping with an enhanced effect.');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_d.stf', '15', 'enhanced_destructive_pulse_channeling', 'This is a destructive pulse channeling with an enhanced effect.');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_d.stf', '16', 'enhanced_fragmentation_sleeve', 'This is a fragmentation sleeve with an enhanced effect.');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_d.stf', '17', 'warhead_chemical', 'This warhead is designed to disperse lethal chemicals.');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_d.stf', '18', 'warhead_fusing_mechanism', 'This is responsible for the warhead fuse\'s ignition.');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_d.stf', '19', 'warhead_heavy', 'This warhead is designed for a massive explosion.');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_d.stf', '20', 'warhead_light', 'This warhead is designed for minimum collateral damage.');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_d.stf', '21', 'warhead_medium', 'This warhead is designed for a powerful explosion.');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_d.stf', '22', 'warhead_stabilizer', 'This device is necessary to keep the warhead\'s payload stable during motion and launch.');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_d.stf', '23', 'charge_environ_seal', 'A charge environ seal.');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_d.stf', '24', 'charge_neutralization_agent', 'A charge-neutralization agent.');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_d.stf', '25', 'chem_jet_assembly', 'Chemical spray-jet assembly.');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_d.stf', '26', 'charge_booster', 'A charge booster.');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_d.stf', '27', 'charge_catalyst', 'A charge catalyst.');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_d.stf', '28', 'charge_composition_spacer_cap', 'A charge composition spacer cap.');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_d.stf', '29', 'charge_spacer', 'A charge spacer.');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_d.stf', '30', 'charge_spacer_mount', 'A charge spacer mount.');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_d.stf', '31', 'frag_sleeve_binder', 'A fragmentation sleeve binder.');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_d.stf', '32', 'frag_sleeve_core', 'A fragmentation sleeve\'s core.');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_d.stf', '33', 'frag_sleeve_booster', 'A fragmentation sleeve booster.');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_d.stf', '34', 'charge_routing_vanes', 'Some charge routing vanes.');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_d.stf', '35', 'pulse_conduit_media', 'Pulse conduit media.');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_d.stf', '36', 'chemical_containment', 'A chemical containment canister.');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_d.stf', '37', 'containment_field_coil', 'A containment field coil is necessary to maintain the integrity of chemical containment devices.');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_d.stf', '38', 'trigger_pulse_prism', 'A trigger pulse prism.');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_d.stf', '39', 'chemical_payload', 'This extremely hazardous chemical payload must be installed into a chemical warhead with great caution.');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_d.stf', '40', 'thermal_insulation', 'Thermal insulation helps to maintain a constant temperature.');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_d.stf', '41', 'interdiction_coil_substrate', 'This interdiction coil substrate helps contribute to a stable environment inside of a warhead, even during launch.');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_d.stf', '42', 'field_interdiction_coil', 'An interdiction field coil is required to help stabilize warhead payloads during transport, installation, and launch.');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_d.stf', '43', 'fuse_warhead_interface', 'A warhead fuse\'s interface.');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_d.stf', '44', 'containment_preventor', 'A containment preventor acts to release a warhead payload from its containment unit upon detonation.');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_d.stf', '45', 'module_casing', 'A module casing.');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_d.stf', '46', 'shell', 'A hollow shell.');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_d.stf', '47', 'thumb_trigger', 'A thumb trigger, used in many grenade styles.');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_d.stf', '48', 'activation_indicator', 'An activation indicator generally consists of blinking lights (and sometimes a loud beep or chirp) that lets a grenadier know that their grenade is now armed.  One benefit of this is the intimidation factor this can have by arming a grenade in a crowded room ');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_d.stf', '49', 'null_field_generator', 'A null field generator is helpful at keeping grenades and detonators from exploding in their user\'s hand.');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_d.stf', '50', 'igniter_charge', 'An igniter charge is used to set off certain reactions, generally explosions.');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_d.stf', '51', 'ignition_pulse_generator', 'An ignition pulse generator is used to ignite a rocket or missile.');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_d.stf', '52', 'launch_tube', 'A launch tube both holds a rocket or missile in addition to acting as an aiming device.');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_d.stf', '53', 'launch_tubes', 'A launch tube both holds a rocket or missile in addition to acting as an aiming device.');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_d.stf', '54', 'schell_handling_unit', 'This shell handling unit is used to load and unload shells during action.');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_d.stf', '55', 'shell_handling_unit', 'A shell handling unit is used to load, unload, and sometimes store additional shells.');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_d.stf', '56', 'warheads', 'A bundle of warheads.');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_d.stf', '57', 'schell_expulsion_unit', 'A shell expulsion unit propels shells out of a rocket or missile launcher\'s tube.');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_d.stf', '58', 'shell_expulsion_unit', 'A shell expulsion unit propels shells out of a rocket or missile launcher\'s tube.');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_d.stf', '59', 'target_tracker', 'A target tracker is used to help line up a shot, and increases a rocket or missile launcher\'s accuracy.');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_d.stf', '60', 'warhead_insulator', 'This insulates the warhead and helps maintain temperature stability, particularly during launch and delivery.');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_d.stf', '61', 'kliknick_gland', 'This Kliknik gland could be used to enhance the power of a munition.');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_d.stf', '62', 'acklay_venom', 'Venom from the deadly Acklay creature, this can be used to make dangerous weapons.');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '1', 'magnetic_grapple', 'Magnetic Grapple');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '2', 'timed_dial', 'Timer Dial');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '3', 'fragmentation_sleeve', 'Fragmentation Sleeve');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '4', 'warhead_assembly', 'Warhead Assembly');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '5', 'warhead_light', 'Light Warhead Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '6', 'warhead_fusing_mechanism', 'Warhead Fusing Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '7', 'warhead_booster', 'Warhead Effect Booster');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '8', 'enhanced_charge_composition', 'Enhanced Explosive Charge Composition');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '9', 'warhead_enhancement', 'Warhead Enhancer Assembly');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '10', 'enhanced_charge_shaping', 'Enhanced Explosive Charge Shaping');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '11', 'fragmentation_enhancement', 'Fragmentation Effect Enhancer');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '12', 'enhanced_fragmentation_sleeve', 'Enhanced Effect Fragmentation Sleeve');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '13', 'body_shell', 'Weapon Casing Assembly');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '14', 'warhead_fusing', 'Warhead Fusing');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '15', 'chem_jet_assembly', 'Chemical Spray Jet Assembly');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '16', 'shield_doors', 'Payload Shield Doors');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '17', 'gel_canister', 'Chemical Gel Canister');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '18', 'chemical_diffusion_assembly', 'Chemical Diffusion Assembly');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '19', 'warhead_heavy', 'Heavy Warhead Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '20', 'casing_brackets', 'Casing Mounting Brackets');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '21', 'fuse_coupling', 'Fuse Coupling');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '22', 'reaction_medium', 'Reaction Medium');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '23', 'reaction_mass', 'Reaction Mass Assembly');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '24', 'exploder_carriage', 'Exploder Module Carriage');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '25', 'charge_neutralization_agent', 'Charge Neutralization Agent');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '26', 'trigger_and_timer_mechanism', 'Trigger and Timer Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '27', 'activation_agent_mechanism', 'Reaction Activation Agent Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '28', 'warhead_module_casing', 'Warhead Module Outer Casing');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '29', 'ammo_projectile', 'Basic Projectile Ammunition');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '30', 'ammo_projectile_entanglement', 'Entanglement Projectile Ammunition');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '31', 'munition_enhancer', 'Munition Enhancer');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '32', 'enhanced_destructive_pulse_channeling', 'Enhanced Destructive Pulse Channeling');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '33', 'warhead_chemical', 'Chemical Warhead');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '34', 'warhead_medium', 'Medium Warhead Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '35', 'warhead_stabilizer', 'Warhead Stabilizing Device');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '36', 'charge_environ_seal', 'Charge Environ Seal');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '37', 'charge_booster', 'Charge Booster');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '38', 'charge_catalyst', 'Charge Catalyst');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '39', 'charge_composition_spacer_cap', 'Charge Composition Spacer Cap');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '40', 'charge_spacer', 'Charge Spacer');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '41', 'charge_spacer_mount', 'Charge Spacer Mount');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '42', 'frag_sleeve_binder', 'Fragmentation Sleeve Binder');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '43', 'frag_sleeve_core', 'Fragmentation Sleeve Core');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '44', 'frag_sleeve_booster', 'Fragmentation Sleeve Booster');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '45', 'charge_routing_vanes', 'Charge Routing Vanes');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '46', 'pulse_conduit_media', 'Pulse Conduit Media');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '47', 'chemical_containment', 'Chemical Containment');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '48', 'containment_field_coil', 'Containment Field Coil');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '49', 'trigger_pulse_prism', 'Trigger Pulse Prism');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '50', 'chemical_payload', 'Chemical Payload');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '51', 'thermal_insulation', 'Thermal Insulation');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '52', 'interdiction_coil_substrate', 'Interdiction Coil Substrate');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '53', 'field_interdiction_coil', 'Field Interdiction Coil');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '54', 'fuse_warhead_interface', 'Warhead Fuse Interface');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '55', 'contaminent_preventor', 'Contaminent Preventor');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '56', 'module_casing', 'Module Casing.');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '57', 'shell', 'Shell');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '58', 'thumb_trigger', 'Thumb Trigger');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '59', 'activation_indicator', 'Activation Indicator');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '60', 'null_field_generator', 'Null Field Generator');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '61', 'igniter_charge', 'Igniter Charge');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '62', 'ignition_pulse_generator', 'Ignition Pulse Generator');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '63', 'launch_tube', 'Launch Tube');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '64', 'launch_tubes', 'Launch Tubes');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '65', 'schell_handling_unit', 'Shell Handling Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '66', 'shell_handling_unit', 'Shell Handling Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '67', 'warheads', 'Warheads');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '68', 'schell_expulsion_unit', 'Shell Expulsion Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '69', 'shell_expulsion_unit', 'Shell Expulsion Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '70', 'target_tracker', 'Target Tracker');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '71', 'warhead_insulator', 'Warhead Insulator');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '72', 'weapon_casing', 'Weapon Casing');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '73', 'trigger_mechanism', 'Trigger Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '74', 'warhead_compartment', 'Warhead Compartment');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '75', 'grounding_pile', 'Grounding Pile');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '76', 'load_bearing_frame', 'Load Bearing Frame');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '77', 'activation_panel', 'Activation Panel');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '78', 'kliknick_gland', 'Kliknick Gland');
INSERT INTO `client_strings` VALUES ('string/en/craft_munition_ingredients_n.stf', '79', 'acklay_venom', 'Acklay Venom');
INSERT INTO `client_strings` VALUES ('string/en/craft_results.stf', '1', 'internal_failure', 'Internal Failure');
INSERT INTO `client_strings` VALUES ('string/en/craft_results.stf', '2', 'critical_success', 'Amazing Success');
INSERT INTO `client_strings` VALUES ('string/en/craft_results.stf', '3', 'critical_failure', 'Critical Failure');
INSERT INTO `client_strings` VALUES ('string/en/craft_results.stf', '4', 'great_success', 'Great Success');
INSERT INTO `client_strings` VALUES ('string/en/craft_results.stf', '5', 'good_success', 'Good Success');
INSERT INTO `client_strings` VALUES ('string/en/craft_results.stf', '6', 'success', 'Success');
INSERT INTO `client_strings` VALUES ('string/en/craft_results.stf', '7', 'failure', 'Failure');
INSERT INTO `client_strings` VALUES ('string/en/craft_results.stf', '8', 'moderate_failure', 'Moderate Failure');
INSERT INTO `client_strings` VALUES ('string/en/craft_results.stf', '9', 'big_failure', 'Big Failure');
INSERT INTO `client_strings` VALUES ('string/en/craft_results.stf', '10', 'big_failure_ass', 'The item assembly barely succeeded.');
INSERT INTO `client_strings` VALUES ('string/en/craft_results.stf', '11', 'critical_failure_ass', 'The item assembly was a critical failure.');
INSERT INTO `client_strings` VALUES ('string/en/craft_results.stf', '12', 'critical_success_ass', 'The item assembly was an amazing success!!!');
INSERT INTO `client_strings` VALUES ('string/en/craft_results.stf', '13', 'failure_ass', 'The item assembly was only marginally successful.');
INSERT INTO `client_strings` VALUES ('string/en/craft_results.stf', '14', 'good_success_ass', 'The item assembly was a good success.');
INSERT INTO `client_strings` VALUES ('string/en/craft_results.stf', '16', 'great_success_ass', 'The item assembly was a great success!');
INSERT INTO `client_strings` VALUES ('string/en/craft_results.stf', '19', 'internal_failure_ass', 'The item assembly attempt suffered an internal failure.');
INSERT INTO `client_strings` VALUES ('string/en/craft_results.stf', '20', 'moderate_success_ass', 'The item assembly was a moderate success.');
INSERT INTO `client_strings` VALUES ('string/en/craft_results.stf', '22', 'success_ass', 'The item assembly was a success.');
INSERT INTO `client_strings` VALUES ('string/en/craft_results.stf', '24', 'big_failure_exp', 'The experimentation attempt was a big failure.');
INSERT INTO `client_strings` VALUES ('string/en/craft_results.stf', '25', 'critical_failure_exp', 'The experimentation attempt was a critical failure!!');
INSERT INTO `client_strings` VALUES ('string/en/craft_results.stf', '26', 'critical_success_exp', 'The experimentation attempt was an amazing success!!!');
INSERT INTO `client_strings` VALUES ('string/en/craft_results.stf', '27', 'failure_exp', 'The experimentation attempt was a failure.');
INSERT INTO `client_strings` VALUES ('string/en/craft_results.stf', '28', 'good_success_exp', 'The experimentation attempt was a good success.');
INSERT INTO `client_strings` VALUES ('string/en/craft_results.stf', '29', 'great_success_exp', 'The experimentation attempt was a great success!');
INSERT INTO `client_strings` VALUES ('string/en/craft_results.stf', '30', 'internal_failure_exp', 'The experimentation attempt suffered an internal failure.');
INSERT INTO `client_strings` VALUES ('string/en/craft_results.stf', '31', 'moderate_failure_exp', 'The experimentation attempt was a moderate failure.');
INSERT INTO `client_strings` VALUES ('string/en/craft_results.stf', '32', 'success_exp', 'The experimentation attempt was a success.');
INSERT INTO `client_strings` VALUES ('string/en/craft_results.stf', '34', 'moderate_success_exp', 'The experimentation attempt was a moderate success.');
INSERT INTO `client_strings` VALUES ('string/en/craft_results.stf', '36', 'moderate_success', 'Moderate Success');
INSERT INTO `client_strings` VALUES ('string/en/craft_results.stf', '37', 'moderate_failure_ass', 'The item assembly was \'ok\'.');
INSERT INTO `client_strings` VALUES ('string/en/craft_spaceship_ingredients_n.stf', '1', 'vehicle_body', 'Vehicle Body');
INSERT INTO `client_strings` VALUES ('string/en/craft_spaceship_ingredients_n.stf', '2', 'structural_frame', 'Structural Frame');
INSERT INTO `client_strings` VALUES ('string/en/craft_spaceship_ingredients_n.stf', '3', 'hull_upgrade', 'Hull Upgrade');
INSERT INTO `client_strings` VALUES ('string/en/craft_spaceship_ingredients_n.stf', '4', 'hull_upgrade_2', 'Second Hull Upgrade');
INSERT INTO `client_strings` VALUES ('string/en/craft_spaceship_ingredients_n.stf', '5', 'weapon_upgrade', 'Weapon Upgrade');
INSERT INTO `client_strings` VALUES ('string/en/craft_spaceship_ingredients_n.stf', '6', 'weapon_upgrade_2', 'Second Weapon Upgrade');
INSERT INTO `client_strings` VALUES ('string/en/craft_spaceship_ingredients_n.stf', '7', 'hull_upgrade_heavy', 'Heavy Hull Upgrade');
INSERT INTO `client_strings` VALUES ('string/en/craft_spaceship_ingredients_n.stf', '8', 'hull_upgrade_heavy_2', 'Second Heavy Hull Upgrade');
INSERT INTO `client_strings` VALUES ('string/en/craft_spaceship_ingredients_n.stf', '9', 'weapon_upgrade_heavy', 'Heavy Weapon Upgrade');
INSERT INTO `client_strings` VALUES ('string/en/craft_spaceship_ingredients_n.stf', '10', 'weapon_upgrade_heavy_2', 'Second Heavy Weapon Upgrade');
INSERT INTO `client_strings` VALUES ('string/en/craft_spaceship_ingredients_n.stf', '11', 'energy_core', 'Energy Core');
INSERT INTO `client_strings` VALUES ('string/en/craft_spaceship_ingredients_n.stf', '12', 'chemical_propellant', 'Chemical Propellant');
INSERT INTO `client_strings` VALUES ('string/en/craft_spaceship_ingredients_n.stf', '13', 'fuel_container_1', 'Fuel Container #1');
INSERT INTO `client_strings` VALUES ('string/en/craft_spaceship_ingredients_n.stf', '14', 'fuel_container_2', 'Fuel Container #2');
INSERT INTO `client_strings` VALUES ('string/en/craft_spaceship_ingredients_n.stf', '15', 'fuel_container_3', 'Fuel Container #3');
INSERT INTO `client_strings` VALUES ('string/en/craft_spaceship_ingredients_n.stf', '16', 'fuel_container_4', 'Fuel Container #4');
INSERT INTO `client_strings` VALUES ('string/en/craft_spaceship_ingredients_n.stf', '17', 'fuel_container_5', 'Fuel Container #5');
INSERT INTO `client_strings` VALUES ('string/en/craft_spaceship_ingredients_n.stf', '18', 'fuel_container_6', 'Fuel Container #6');
INSERT INTO `client_strings` VALUES ('string/en/craft_spaceship_ingredients_n.stf', '19', 'fuel_container_7', 'Fuel Container #7');
INSERT INTO `client_strings` VALUES ('string/en/craft_spaceship_ingredients_n.stf', '20', 'fuel_container_8', 'Fuel Container #8');
INSERT INTO `client_strings` VALUES ('string/en/craft_spaceship_ingredients_n.stf', '21', 'fuel_container_9', 'Fuel Container #9');
INSERT INTO `client_strings` VALUES ('string/en/craft_spaceship_ingredients_n.stf', '22', 'component_frame', 'Component Frame');
INSERT INTO `client_strings` VALUES ('string/en/craft_spaceship_ingredients_n.stf', '23', 'component_body', 'Component Body');
INSERT INTO `client_strings` VALUES ('string/en/craft_spaceship_ingredients_n.stf', '24', 'reactor', 'Reactor');
INSERT INTO `client_strings` VALUES ('string/en/craft_spaceship_ingredients_n.stf', '25', 'module_controller', 'Module Controller');
INSERT INTO `client_strings` VALUES ('string/en/craft_spaceship_ingredients_n.stf', '26', 'weapon_mount1', 'Weapon Mount #1');
INSERT INTO `client_strings` VALUES ('string/en/craft_spaceship_ingredients_n.stf', '27', 'weapon_mount2', 'Weapon Mount #2');
INSERT INTO `client_strings` VALUES ('string/en/craft_spaceship_ingredients_n.stf', '28', 'reactor_core', 'Reactor Core');
INSERT INTO `client_strings` VALUES ('string/en/craft_spaceship_ingredients_n.stf', '29', 'coolant', 'Coolant');
INSERT INTO `client_strings` VALUES ('string/en/craft_spaceship_ingredients_n.stf', '30', 'beam_focus', 'Beam Focus');
INSERT INTO `client_strings` VALUES ('string/en/craft_spaceship_ingredients_n.stf', '31', 'power_handler', 'Power Handler');
INSERT INTO `client_strings` VALUES ('string/en/craft_spaceship_ingredients_n.stf', '32', 'liquid_fuel', 'Liquid Fuel');
INSERT INTO `client_strings` VALUES ('string/en/craft_spaceship_ingredients_n.stf', '33', 'launcher', 'Launch Control');
INSERT INTO `client_strings` VALUES ('string/en/craft_spaceship_ingredients_n.stf', '34', 'absorption_matrix', 'Absorption Matrix');
INSERT INTO `client_strings` VALUES ('string/en/craft_spaceship_ingredients_n.stf', '35', 'optional_panel_1', 'Optional Armor Panel #1');
INSERT INTO `client_strings` VALUES ('string/en/craft_spaceship_ingredients_n.stf', '36', 'optional_panel_2', 'Optional Armor Panel #2');
INSERT INTO `client_strings` VALUES ('string/en/craft_spaceship_ingredients_n.stf', '37', 'optional_panel_3', 'Optional Armor Panel #3');
INSERT INTO `client_strings` VALUES ('string/en/craft_spaceship_ingredients_n.stf', '38', 'heavy_weapon_mount1', 'Heavy Weapon Mount #1');
INSERT INTO `client_strings` VALUES ('string/en/craft_spaceship_ingredients_n.stf', '39', 'heavy_weapon_mount2', 'Heavy Weapon Mount #2');
INSERT INTO `client_strings` VALUES ('string/en/craft_spaceship_ingredients_n.stf', '40', 'power_core', 'Power Core');
INSERT INTO `client_strings` VALUES ('string/en/craft_spaceship_ingredients_n.stf', '41', 'component_shell', 'Component Shell');
INSERT INTO `client_strings` VALUES ('string/en/craft_spaceship_ingredients_n.stf', '42', 'optional_panel', 'Optional Panel');
INSERT INTO `client_strings` VALUES ('string/en/craft_spaceship_ingredients_n.stf', '43', 'beam_accelerator', 'Beam Accelerator');
INSERT INTO `client_strings` VALUES ('string/en/craft_spaceship_ingredients_n.stf', '44', 'feed_mechanism', 'Feed Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/craft_spaceship_ingredients_n.stf', '45', 'power_conditioner', 'Power Conditioner');
INSERT INTO `client_strings` VALUES ('string/en/craft_spaceship_ingredients_n.stf', '46', 'projector_plate', 'Projector Plate');
INSERT INTO `client_strings` VALUES ('string/en/craft_spaceship_ingredients_n.stf', '47', 'energy_ray', 'Energy Ray');
INSERT INTO `client_strings` VALUES ('string/en/craft_spaceship_ingredients_n.stf', '48', 'particle_generator', 'Particle Generator');
INSERT INTO `client_strings` VALUES ('string/en/craft_spaceship_ingredients_n.stf', '49', 'energy_distributor', 'Energy Distributor');
INSERT INTO `client_strings` VALUES ('string/en/craft_spaceship_ingredients_n.stf', '50', 'emitter_assembly', 'Emitter Assembly');
INSERT INTO `client_strings` VALUES ('string/en/craft_spaceship_ingredients_n.stf', '51', 'deflector_shield_ion_feed_unit', 'Deflector Shield Ion Feed Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_spaceship_ingredients_n.stf', '52', 'deflector_shield_projector_plate', 'Deflector Shield Projector Plate');
INSERT INTO `client_strings` VALUES ('string/en/craft_spaceship_ingredients_n.stf', '53', 'deflector_shield_generator_energy_ray', 'Deflector Shield Generator Energy Ray');
INSERT INTO `client_strings` VALUES ('string/en/craft_spaceship_ingredients_n.stf', '54', 'deflector_shield_generator_particle', 'Deflector Shield Particle Generator');
INSERT INTO `client_strings` VALUES ('string/en/craft_spaceship_ingredients_n.stf', '55', 'deflector_shield_overload_discharge_unit', 'Deflector Shield Overload Discharge Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_spaceship_ingredients_n.stf', '56', 'deflector_shield_emitter_essembly', 'Deflector Shield Emitter Essembly');
INSERT INTO `client_strings` VALUES ('string/en/craft_spaceship_ingredients_n.stf', '57', 'warhead_launcher', 'Warhead Launcher');
INSERT INTO `client_strings` VALUES ('string/en/craft_spaceship_ingredients_n.stf', '58', 'hvy_blaster_power_handler', 'Heavy Blaster Power Handler');
INSERT INTO `client_strings` VALUES ('string/en/craft_spaceship_ingredients_n.stf', '59', 'adv_hvy_blaster_power_handler', 'Advanced Heavy Blaster Power Handler');
INSERT INTO `client_strings` VALUES ('string/en/craft_spaceship_ingredients_n.stf', '60', 'adv_warhead_launcher', 'Advanced Warhead Launcher');
INSERT INTO `client_strings` VALUES ('string/en/craft_spaceship_ingredients_n.stf', '61', 'hvy_projectile_feed_mech', 'Heavy Projectile Feed Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/craft_spaceship_ingredients_n.stf', '62', 'adv_hvy_projectile_feed_mech', 'Advanced Heavy Projectile Feed Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/craft_spaceship_ingredients_n.stf', '63', 'base_armor_panel', 'Armor Panel');
INSERT INTO `client_strings` VALUES ('string/en/craft_spaceship_ingredients_n.stf', '64', 'reactor_unit', 'Reactor Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_d.stf', '1', 'load_bearing_frame', 'A sturdy load-bearing frame.');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_d.stf', '2', 'body_shell_and_casing', 'A body shell and its casing.');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_d.stf', '3', 'structure_foundation', 'A structure\'s foundation.');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_d.stf', '4', 'chiller_bar_structure', 'A chiller bar structure.');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_d.stf', '5', 'subterrainnean_storage_tank', 'A subterranean storage tank.');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_d.stf', '6', 'subterranean_storage_tank', 'A subterranean storage tank.');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_d.stf', '7', 'gaskets_and_storage_tank_lining', 'This is lining for gaskets and the storage tank.');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_d.stf', '8', 'power_supply_unit', 'A power supply unit.');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_d.stf', '9', 'liquid_storage_unit', 'A storage unit designed for liquids.');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_d.stf', '10', 'condensor_system', 'A condenser system.');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_d.stf', '11', 'condenser_system', 'A condenser system.');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_d.stf', '12', 'structure_storage_module', 'A structure storage module.');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_d.stf', '13', 'bore_mechanism', 'A bore mechanism.');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_d.stf', '14', 'boreing_mechanism_buffers_and_bushings', 'Boreing mechanism\'s buffers and bushings.');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_d.stf', '15', 'resource_handling_system', 'Resource-handling system.');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_d.stf', '16', 'ore_storage_tank', 'A storage tank designed to hold ore.');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_d.stf', '17', 'load_bearing_structure_and_shell2', 'A slightly advanced load-bearing structure and shell.');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_d.stf', '18', 'foundation', 'A basic foundation.');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_d.stf', '19', 'foundation2', 'A slightly advanced foundation.');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_d.stf', '20', 'insulation_and_cover', 'Some insulation and cover.');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_d.stf', '21', 'terminal_stand_mount', 'A terminal stand\'s mount.');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_d.stf', '22', 'terminal_stand_base', 'A terminal stand\'s base.');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_d.stf', '23', 'basic_logic_unit', 'A basic logic unit.');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_d.stf', '24', 'basic_data_unit', 'A basic data unit.');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_d.stf', '25', 'electronics_casing', 'An electronic casing.');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_d.stf', '26', 'interface_pad', 'An interface pad.');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_d.stf', '27', 'plant_handling_mechanism', 'A plant-handling mechanism.');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_d.stf', '28', 'bio_storage_tank', 'A storage tank designed to hold biological material.');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_d.stf', '29', 'bio_storage_unit', 'A storage unit designed for biological material.');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_d.stf', '30', 'gas_storage_tank', 'A storage tank designed to hold volatile and non-volatile gases.');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_d.stf', '31', 'gas_storage_unit', 'A storage unit designed to hold volatile and non-volatile gases.');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_d.stf', '32', 'creature_handling_mechanism', 'A creature-handling mechanism.');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_d.stf', '33', 'load_bearing_structure_and_shell', 'A basic load-bearing structure and shell.');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_d.stf', '34', 'load_bearing_structure_and_shell3', 'An advanced load-bearing structure and shell.');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_d.stf', '35', 'load_bearing_structure_and_shell4', 'A very advanced load-bearing structure and shell.');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_d.stf', '36', 'fluidic_drilling_pump_unit', 'This unit provides cooling and hydraulic support to drilling machinery.');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_d.stf', '37', 'subterannean_storage_tank', 'A subterranean storage tank.');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_d.stf', '38', 'small_storage_unit', 'This unit is perfect for storing small amounts of materials.');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_d.stf', '39', 'light_power_core_unit', 'This power core unit is intended for smaller structures.');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_d.stf', '40', 'fiberplast_tent_covering', 'Components provided by Tailors.');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_d.stf', '41', 'reinforced_secondary_covering', 'Components provided by Tailors.');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '1', 'load_bearing_frame', 'Load-bearing Frame');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '2', 'body_shell_and_casing', 'Body Shell and Casing');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '3', 'structure_foundation', 'Structure Foundation');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '4', 'chiller_bar_structure', 'Chiller Bar Structure');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '5', 'subterrainnean_storage_tank', 'Subterranean Storage Tank');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '6', 'subterranean_storage_tank', 'Subterranean Storage Tank');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '7', 'gaskets_and_storage_tank_lining', 'Gaskets and Storage Tank Lining');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '8', 'power_supply_unit', 'Power Supply Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '9', 'liquid_storage_unit', 'Liquid Storage Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '10', 'condensor_system', 'Condenser System');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '11', 'condenser_system', 'Condenser System');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '12', 'structure_storage_module', 'Structure Storage Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '13', 'bore_mechanism', 'Bore Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '14', 'boreing_mechanism_buffers_and_bushings', 'Boring Mechanism Buffers and Bushings');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '15', 'resource_handling_system', 'Resource-handling System');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '16', 'ore_storage_tank', 'Ore Storage Tank');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '17', 'load_bearing_structure_and_shell2', 'Load-bearing Structure and Shell - 2');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '18', 'foundation', 'Foundation');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '19', 'foundation2', 'Foundation - 2');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '20', 'insulation_and_cover', 'Insulation and Covering');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '21', 'terminal_stand_mount', 'Terminal Stand Mount');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '22', 'terminal_stand_base', 'Terminal Stand Base');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '23', 'basic_logic_unit', 'Basic Logic Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '24', 'basic_data_unit', 'Basic Data Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '25', 'electronics_casing', 'Electronics Casing');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '26', 'interface_pad', 'Interface Pad');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '27', 'plant_handling_mechanism', 'Plant-handling Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '28', 'bio_storage_tank', 'Bio Storage Tank');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '29', 'bio_storage_unit', 'Bio Storage Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '30', 'gas_storage_tank', 'Gas Storage Tank');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '31', 'gas_storage_unit', 'Gas Storage Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '32', 'creature_handling_mechanism', 'Creature-handling Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '33', 'load_bearing_structure_and_shell', 'Load-bearing Structure and Shell');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '34', 'load_bearing_structure_and_shell3', 'Load-bearing Structure and Shell - 3');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '35', 'load_bearing_structure_and_shell4', 'Load-bearing Structure and Shell - 4');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '36', 'wall_sections', 'Wall Sections');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '37', 'wall_section', 'Wall Section');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '38', 'storage_space', 'Storage Space');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '39', 'body_shell_structure', 'Body Shell Structure');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '40', 're_storage_unit', 'Restorage Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '41', 'storage_unit', 'Storage Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '42', 'liquid_storage_tank', 'Liquid Storage Tank');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '43', 'ore_storage_unit', 'Ore Storage Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '44', 'insulation_and_covering', 'Insulation and Covering');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '45', 'boring_mechanism_buffers_and_bushings', 'Boring Mechanism Buffers and Bushings');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '46', 'bore_head', 'Bore Head');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '47', 'well_head_positioning_and_piping', 'Well Head Positioning and Piping');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '48', 'fluid_hoses', 'Fluid Hoses');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '49', 'pump_unit', 'Pump Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '50', 'sealant_and_shock_absorbing_buffers', 'Sealant and Shock Absorbing Buffers');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '51', 'load_bearing_truss', 'Load-bearing Truss');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '52', 'section_joints', 'Section Joints');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '53', 'wall_foundation', 'Wall Foundation');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '54', 'structure_modules', 'Structure Modules');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '55', 'light_power_core_unit', 'Light Power Core Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '56', 'small_structure_storage_module', 'Small Structure Storage Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '57', 'light_ore_mining_unit', 'Light Ore Mining Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '58', 'body_casting', 'Body Casting');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '59', 'bore_positioning_arm', 'Bore Positioning Arm');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '60', 'ore_transport_auger_and_conveyors', 'Ore Transport Auger and Conveyors');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '61', 'load_bearing_joints_and_fittings', 'Load-bearing Joints and Fittings');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '62', 'charge_and_thermal_regulation_medium', 'Charge and Thermal Regulation Medium');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '63', 'power_unit', 'Power Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '64', 'capacitance_tank', 'Capacitance Tank');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '65', 'generator', 'Generator Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '66', 'cell_manufacturing_mechanism', 'Cell Manufacturing Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '67', 'capacitance_storage_tank', 'Capacitance Storage Tank');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '68', 'power_modulation_unit', 'Power Modulation Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '69', 'structure_sway_joints', 'Structure Sway Joints');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '70', 'solar_platform', 'Solar Platform');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '71', 'matched_turbine_cluster', 'Matched Turbine Cluster');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '72', 'capacitance_storage_compartments', 'Capacitance Storage Compartments');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '73', 'pile_containment_unit', 'Pile Containment Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '74', 'pile_containment_coolant', 'Pile Containment Coolant');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '75', 'pile_containment_shielding', 'Pile Containment Shielding');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '76', 'ore_extractor_mill', 'Ore Extractor and Mill');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '77', 'subterannean_storage_tank', 'Subterranean Storage Tank');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '78', 'storage_unit_frame', 'Storage Unit Frame');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '79', 'reinforcement_rods', 'Reinforcement Rods');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '80', 'body_material', 'Body Material');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '81', 'insulation', 'Insulation');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '82', 'vapor_storage_tank', 'Vapor Storage Tank');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '83', 'load_bearing_frame_and_reinforcement', 'Load-bearing Frame and Reinforcement');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '84', 'thermal_noise_and_charge_proof_shielding', 'Thermal Noise and Charge-proof Shielding');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '85', 'output_storage_unit', 'Output Storage Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '86', 'semi_automated_assemble_mechanism', 'Semi-automated Assembly Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '87', 'manipulator_unit', 'Manipulator Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '88', 'bio_controller', 'Bio Controller');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '89', 'energy_gathering_array', 'Energy Gathering Array');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '90', 'turbine_cradle', 'Turbine Cradle');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '91', 'magnetic_reaction_mass', 'Magnetic Reaction Mass');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '92', 'cradle_fittings', 'Cradle Fittings');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '93', 'charge_leakage_insulation_medium', 'Charge Leakage Insulation Medium');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '94', 'turbine_rotor', 'Turbine Rotor');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '95', 'reaction_mass', 'Reaction Mass');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '96', 'semi_automated_mechanism', 'Semi-automated Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '97', 'sub_assembly_frame', 'Sub-assembly Frame');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '98', 'micro_turbine_and_charge_accumulator', 'Micro Turbine and Charge Accumulator');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '99', 'shock_and_vibration_isolation_assembly', 'Shock and Vibration Isolation Assembly');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '100', 'thermal_insulator_and_charge_leakage_preventor', 'Thermal Insulator and Charge Leakage Preventor');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '101', 'super_mini_turbo_generator', 'Super Mini Turbo Generator');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '102', 'energy_flow_modulator_and_filter', 'Energy Flow Modulator and Filter');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '103', 'energy_distribution_net', 'Energy Distribution Net');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '104', 'foundation_and_hardening', 'Foundation and Hardening');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '105', 'armor_plating_attachment_and_structural_reinforcement', 'Armor Plating Attachment and Structural Reinforcement');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '106', 'armor_plating', 'Armor Plating');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '107', 'charge_leakage_insulation_material', 'Charge Leakage Insulation Material');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '108', 'assembly_machinery', 'Assembly Machinery');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '109', 'mini_turbo_generator', 'Mini Turbo Generator');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '110', 'primary_load_bearing_truss', 'Primary Load-bearing Truss');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '111', 'truss_pointing_mechanism', 'Truss Pointing Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '112', 'electro_mechanical_linkages', 'Electromechanical Linkages');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '113', 'sub_assembly_brackets', 'Sub-assembly Brackets');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '114', 'weapon_alignment_transponders', 'Weapon Alignment Transponders');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '115', 'cradle_aiming_controller', 'Cradle Aiming Controller');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '116', 'cradle_control_unit_buffer_and_preprocessor_unit', 'Cradle Control Unit Buffer and Pre-processor Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '117', 'small_storage_module', 'Small Storage Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '118', 'collector_mechanism', 'Collector Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '119', 'load_bearing_frame_and_reinforfcement', 'Load-bearing Frame and Reinforcement');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '120', 'semi_automated_assembly_mechanism', 'Semi-automated Assembly Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '121', 'body_casing', 'Body Casing');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '122', 'ouput_storage_unit', 'Output Storage Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '123', 'decorative_flora', 'Decorative Flora');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '124', 'tent_frame', 'Tent Frame');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '125', 'fiberplast_tent_covering', 'Fiberplast Tent Covering');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '126', 'reinforced_secondary_covering', 'Reinforced Secondary Covering');
INSERT INTO `client_strings` VALUES ('string/en/craft_structure_ingredients_n.stf', '127', 'ticket_droid_chassis', 'Ticket Droid Chassis');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_d.stf', '1', 'protein_base', 'Protein Base');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_d.stf', '2', 'preservative_compound', 'Preservative Compound');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_d.stf', '3', 'psychoactive_agent', 'Psychoactive Agent');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_d.stf', '4', 'coagulating_materials', 'Coagulating Matierals');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_d.stf', '5', 'chemical_enhancers', 'Chemical Enhancers');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_d.stf', '6', 'nutrient_base', 'Nutrient Base');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_d.stf', '7', 'vitamin_enhancers', 'Vitamin Enhancers');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_d.stf', '8', 'bacterial_enhancers', 'Bacterial Enhancers');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_d.stf', '9', 'bio_filtration_element', 'Biofiltration Element');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_d.stf', '10', 'bioactive_fluid', 'Bioactive Fluid');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_d.stf', '11', 'cultured_viral_enhancement', 'Cultured Viral Enhancement');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_d.stf', '12', 'deodorizing_solution', 'Deodorizing Solution');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_d.stf', '13', 'enzyme_enhancers', 'Enzyme Enhancers');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_d.stf', '14', 'first_hormone_batch', 'First Hormone Batch');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_d.stf', '15', 'first_neurotransmitter_batch', 'First Neurotransmitter Batch');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_d.stf', '16', 'flavor_enhancers', 'Flavor Enhancers');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_d.stf', '17', 'heat_resistant_compound', 'Heat Resistant Compound');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_d.stf', '18', 'hormone_reactive_agent', 'Hormone Reactive Agent');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_d.stf', '19', 'hormone_reactive_solution', 'Hormone Reactive Solution');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_d.stf', '20', 'light_reactive_chemicals', 'Light Reactive Chemicals');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_d.stf', '21', 'pheromone_additives', 'Pheromone Additives');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_d.stf', '22', 'pheromone_enhancers', 'Pheromone Enhancers');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_d.stf', '23', 'poison_extract', 'Poison Extract');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_d.stf', '24', 'psychoactive_solution', 'Psychoactive Solution');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_d.stf', '25', 'reactive_chemical_enhancers', 'Reactive Chemical Enhancers');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_d.stf', '26', 'reactive_chemicals', 'Reactive Chemicals');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_d.stf', '27', 'reflective_scales', 'Reflective Scales');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_d.stf', '28', 'resonation_material', 'Resonation Material');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_d.stf', '29', 'second_hormone_batch', 'Second Hormone Batch');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_d.stf', '30', 'second_neurotransmitter_batch', 'Second Neurotransmitter Batch');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_d.stf', '31', 'strengthening_compound', 'Strengthening Compound');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_d.stf', '32', 'suspension_compound', 'Suspesion Compound');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_d.stf', '33', 'thickening_agent', 'Thickening Agent');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_d.stf', '34', 'third_neurotransmitter_batch', 'Third Neurotransmitter Batch');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_d.stf', '35', 'viral_enhancement_agent', 'Viral Enhancement Agent');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_d.stf', '36', 'resonating_material', 'Resonating Material');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_n.stf', '1', 'protein_base', 'Protein Base');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_n.stf', '2', 'preservative_compound', 'Preservative Compound');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_n.stf', '3', 'psychoactive_agent', 'Psychoactive Agent');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_n.stf', '4', 'coagulating_materials', 'Coagulating Matierals');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_n.stf', '5', 'chemical_enhancers', 'Chemical Enhancers');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_n.stf', '6', 'nutrient_base', 'Nutrient Base');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_n.stf', '7', 'vitamin_enhancers', 'Vitamin Enhancers');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_n.stf', '8', 'bacterial_enhancers', 'Bacterial Enhancers');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_n.stf', '9', 'bio_filtration_element', 'Biofiltration Element');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_n.stf', '10', 'bioactive_fluid', 'Bioactive Fluid');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_n.stf', '11', 'cultured_viral_enhancement', 'Cultured Viral Enhancement');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_n.stf', '12', 'deodorizing_solution', 'Deodorizing Solution');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_n.stf', '13', 'enzyme_enhancers', 'Enzyme Enhancers');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_n.stf', '14', 'first_hormone_batch', 'First Hormone Batch');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_n.stf', '15', 'first_neurotransmitter_batch', 'First Neurotransmitter Batch');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_n.stf', '16', 'flavor_enhancers', 'Flavor Enhancers');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_n.stf', '17', 'heat_resistant_compound', 'Heat Resistant Compound');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_n.stf', '18', 'hormone_reactive_agent', 'Hormone Reactive Agent');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_n.stf', '19', 'hormone_reactive_solution', 'Hormone Reactive Solution');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_n.stf', '20', 'light_reactive_chemicals', 'Light Reactive Chemicals');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_n.stf', '21', 'pheromone_additives', 'Pheromone Additives');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_n.stf', '22', 'pheromone_enhancers', 'Pheromone Enhancers');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_n.stf', '23', 'poison_extract', 'Poison Extract');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_n.stf', '24', 'psychoactive_solution', 'Psychoactive Solution');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_n.stf', '25', 'reactive_chemical_enhancers', 'Reactive Chemical Enhancers');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_n.stf', '26', 'reactive_chemicals', 'Reactive Chemicals');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_n.stf', '27', 'reflective_scales', 'Reflective Scales');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_n.stf', '28', 'resonation_material', 'Resonation Material');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_n.stf', '29', 'second_hormone_batch', 'Second Hormone Batch');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_n.stf', '30', 'second_neurotransmitter_batch', 'Second Neurotransmitter Batch');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_n.stf', '31', 'strengthening_compound', 'Strengthening Compound');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_n.stf', '32', 'suspension_compound', 'Suspesion Compound');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_n.stf', '33', 'thickening_agent', 'Thickening Agent');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_n.stf', '34', 'third_neurotransmitter_batch', 'Third Neurotransmitter Batch');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_n.stf', '35', 'viral_enhancement_agent', 'Viral Enhancement Agent');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_n.stf', '36', 'resonating_material', 'Resonating Material');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_n.stf', '37', 'secrets', 'Research Data');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_n.stf', '38', 'hyper_yeast', 'Hyper Yeast');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_n.stf', '39', 'yeast_catalyst', 'Yeast Catalyst');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_n.stf', '40', 'matter_catalyst', 'Matter Catalyst');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_n.stf', '41', 'thinning_substance', 'Thinning Substance');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_n.stf', '42', 'filling_bonus', '% Filling Decrease');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_n.stf', '43', 'flavor_bonus', '% Flavor Increase');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_n.stf', '44', 'nutrition_bonus', '% Nutrition Increase');
INSERT INTO `client_strings` VALUES ('string/en/craft_tissue_ingredients_n.stf', '45', 'matter_reactant', 'Matter Reactant');
INSERT INTO `client_strings` VALUES ('string/en/craft_types.stf', '1', 'animal_breeding', 'Creatures');
INSERT INTO `client_strings` VALUES ('string/en/craft_types.stf', '2', 'armor', 'Armor');
INSERT INTO `client_strings` VALUES ('string/en/craft_types.stf', '3', 'chemical', 'Chemical');
INSERT INTO `client_strings` VALUES ('string/en/craft_types.stf', '4', 'clothing', 'Clothing');
INSERT INTO `client_strings` VALUES ('string/en/craft_types.stf', '5', 'droid', 'Droid');
INSERT INTO `client_strings` VALUES ('string/en/craft_types.stf', '6', 'food', 'Food');
INSERT INTO `client_strings` VALUES ('string/en/craft_types.stf', '7', 'furniture', 'Furniture');
INSERT INTO `client_strings` VALUES ('string/en/craft_types.stf', '8', 'generic_item', 'Generic Item');
INSERT INTO `client_strings` VALUES ('string/en/craft_types.stf', '9', 'genetics', 'Genetics');
INSERT INTO `client_strings` VALUES ('string/en/craft_types.stf', '10', 'installation', 'Installation');
INSERT INTO `client_strings` VALUES ('string/en/craft_types.stf', '11', 'lightsaber', 'Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/craft_types.stf', '12', 'mandalorian_armorsmith', 'Armorsmith, Mandalorian');
INSERT INTO `client_strings` VALUES ('string/en/craft_types.stf', '13', 'mandalorian_droid_engineer', 'Droid Engineer, Mandalorian');
INSERT INTO `client_strings` VALUES ('string/en/craft_types.stf', '14', 'mandalorian_tailor', 'Tailor, Mandalorian');
INSERT INTO `client_strings` VALUES ('string/en/craft_types.stf', '15', 'misc', 'Misc');
INSERT INTO `client_strings` VALUES ('string/en/craft_types.stf', '16', 'mission', 'Mission');
INSERT INTO `client_strings` VALUES ('string/en/craft_types.stf', '17', 'plant_breeding', 'Tissues');
INSERT INTO `client_strings` VALUES ('string/en/craft_types.stf', '18', 'reverse_engineering', 'Ship Tools');
INSERT INTO `client_strings` VALUES ('string/en/craft_types.stf', '19', 'space', 'Starship Components');
INSERT INTO `client_strings` VALUES ('string/en/craft_types.stf', '20', 'vehicle', 'Vehicle');
INSERT INTO `client_strings` VALUES ('string/en/craft_types.stf', '21', 'weapon', 'Weapon');
INSERT INTO `client_strings` VALUES ('string/en/craft_vehicle_ingredients_n.stf', '1', 'vehicle_body', 'Vehicle Body');
INSERT INTO `client_strings` VALUES ('string/en/craft_vehicle_ingredients_n.stf', '2', 'structural_frame', 'Structural Frame');
INSERT INTO `client_strings` VALUES ('string/en/craft_vehicle_ingredients_n.stf', '3', 'hull_upgrade', 'Hull Upgrade');
INSERT INTO `client_strings` VALUES ('string/en/craft_vehicle_ingredients_n.stf', '4', 'hull_upgrade_2', 'Second Hull Upgrade');
INSERT INTO `client_strings` VALUES ('string/en/craft_vehicle_ingredients_n.stf', '5', 'weapon_upgrade', 'Weapon Upgrade');
INSERT INTO `client_strings` VALUES ('string/en/craft_vehicle_ingredients_n.stf', '6', 'weapon_upgrade_2', 'Second Weapon Upgrade');
INSERT INTO `client_strings` VALUES ('string/en/craft_vehicle_ingredients_n.stf', '7', 'hull_upgrade_heavy', 'Heavy Hull Upgrade');
INSERT INTO `client_strings` VALUES ('string/en/craft_vehicle_ingredients_n.stf', '8', 'hull_upgrade_heavy_2', 'Second Heavy Hull Upgrade');
INSERT INTO `client_strings` VALUES ('string/en/craft_vehicle_ingredients_n.stf', '9', 'weapon_upgrade_heavy', 'Heavy Weapon Upgrade');
INSERT INTO `client_strings` VALUES ('string/en/craft_vehicle_ingredients_n.stf', '10', 'weapon_upgrade_heavy_2', 'Second Heavy Weapon Upgrade');
INSERT INTO `client_strings` VALUES ('string/en/craft_vehicle_ingredients_n.stf', '11', 'energy_core', 'Energy Core');
INSERT INTO `client_strings` VALUES ('string/en/craft_vehicle_ingredients_n.stf', '12', 'chemical_propellant', 'Chemical Propellant');
INSERT INTO `client_strings` VALUES ('string/en/craft_vehicle_ingredients_n.stf', '13', 'fuel_container_1', 'Fuel Container #1');
INSERT INTO `client_strings` VALUES ('string/en/craft_vehicle_ingredients_n.stf', '14', 'fuel_container_2', 'Fuel Container #2');
INSERT INTO `client_strings` VALUES ('string/en/craft_vehicle_ingredients_n.stf', '15', 'fuel_container_3', 'Fuel Container #3');
INSERT INTO `client_strings` VALUES ('string/en/craft_vehicle_ingredients_n.stf', '16', 'fuel_container_4', 'Fuel Container #4');
INSERT INTO `client_strings` VALUES ('string/en/craft_vehicle_ingredients_n.stf', '17', 'fuel_container_5', 'Fuel Container #5');
INSERT INTO `client_strings` VALUES ('string/en/craft_vehicle_ingredients_n.stf', '18', 'fuel_container_6', 'Fuel Container #6');
INSERT INTO `client_strings` VALUES ('string/en/craft_vehicle_ingredients_n.stf', '19', 'fuel_container_7', 'Fuel Container #7');
INSERT INTO `client_strings` VALUES ('string/en/craft_vehicle_ingredients_n.stf', '20', 'fuel_container_8', 'Fuel Container #8');
INSERT INTO `client_strings` VALUES ('string/en/craft_vehicle_ingredients_n.stf', '21', 'fuel_container_9', 'Fuel Container #9');
INSERT INTO `client_strings` VALUES ('string/en/craft_vehicle_ingredients_n.stf', '22', 'component_frame', 'Component Frame');
INSERT INTO `client_strings` VALUES ('string/en/craft_vehicle_ingredients_n.stf', '23', 'component_body', 'Component Body');
INSERT INTO `client_strings` VALUES ('string/en/craft_vehicle_ingredients_n.stf', '24', 'reactor', 'Reactor');
INSERT INTO `client_strings` VALUES ('string/en/craft_vehicle_ingredients_n.stf', '25', 'module_controller', 'Module Controller');
INSERT INTO `client_strings` VALUES ('string/en/craft_vehicle_ingredients_n.stf', '26', 'weapon_mount1', 'Weapon Mount #1');
INSERT INTO `client_strings` VALUES ('string/en/craft_vehicle_ingredients_n.stf', '27', 'weapon_mount2', 'Weapon Mount #2');
INSERT INTO `client_strings` VALUES ('string/en/craft_vehicle_ingredients_n.stf', '28', 'reactor_core', 'Reactor Core');
INSERT INTO `client_strings` VALUES ('string/en/craft_vehicle_ingredients_n.stf', '29', 'coolant', 'Coolant');
INSERT INTO `client_strings` VALUES ('string/en/craft_vehicle_ingredients_n.stf', '30', 'beam_focus', 'Beam Focus');
INSERT INTO `client_strings` VALUES ('string/en/craft_vehicle_ingredients_n.stf', '31', 'power_handler', 'Power Handler');
INSERT INTO `client_strings` VALUES ('string/en/craft_vehicle_ingredients_n.stf', '32', 'liquid_fuel', 'Liquid Fuel');
INSERT INTO `client_strings` VALUES ('string/en/craft_vehicle_ingredients_n.stf', '33', 'launcher', 'Launch Control');
INSERT INTO `client_strings` VALUES ('string/en/craft_vehicle_ingredients_n.stf', '34', 'absorption_matrix', 'Absorption Matrix');
INSERT INTO `client_strings` VALUES ('string/en/craft_vehicle_ingredients_n.stf', '35', 'optional_panel_1', 'Optional Armor Panel #1');
INSERT INTO `client_strings` VALUES ('string/en/craft_vehicle_ingredients_n.stf', '36', 'optional_panel_2', 'Optional Armor Panel #2');
INSERT INTO `client_strings` VALUES ('string/en/craft_vehicle_ingredients_n.stf', '37', 'optional_panel_3', 'Optional Armor Panel #3');
INSERT INTO `client_strings` VALUES ('string/en/craft_vehicle_ingredients_n.stf', '38', 'heavy_weapon_mount1', 'Heavy Weapon Mount #1');
INSERT INTO `client_strings` VALUES ('string/en/craft_vehicle_ingredients_n.stf', '39', 'heavy_weapon_mount2', 'Heavy Weapon Mount #2');
INSERT INTO `client_strings` VALUES ('string/en/craft_vehicle_ingredients_n.stf', '40', 'power_core', 'Power Core');
INSERT INTO `client_strings` VALUES ('string/en/craft_vehicle_ingredients_n.stf', '41', 'component_shell', 'Component Shell');
INSERT INTO `client_strings` VALUES ('string/en/craft_vehicle_ingredients_n.stf', '42', 'optional_panel', 'Optional Panel');
INSERT INTO `client_strings` VALUES ('string/en/craft_vehicle_ingredients_n.stf', '43', 'beam_accelerator', 'Beam Accelerator');
INSERT INTO `client_strings` VALUES ('string/en/craft_vehicle_ingredients_n.stf', '44', 'feed_mechanism', 'Feed Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/craft_vehicle_ingredients_n.stf', '45', 'power_conditioner', 'Power Conditioner');
INSERT INTO `client_strings` VALUES ('string/en/craft_vehicle_ingredients_n.stf', '46', 'projector_plate', 'Projector Plate');
INSERT INTO `client_strings` VALUES ('string/en/craft_vehicle_ingredients_n.stf', '47', 'energy_ray', 'Energy Ray');
INSERT INTO `client_strings` VALUES ('string/en/craft_vehicle_ingredients_n.stf', '48', 'particle_generator', 'Particle Generator');
INSERT INTO `client_strings` VALUES ('string/en/craft_vehicle_ingredients_n.stf', '49', 'energy_distributor', 'Energy Distributor');
INSERT INTO `client_strings` VALUES ('string/en/craft_vehicle_ingredients_n.stf', '50', 'emitter_assembly', 'Emitter Assembly');
INSERT INTO `client_strings` VALUES ('string/en/craft_vehicle_ingredients_n.stf', '51', 'deflector_shield_ion_feed_unit', 'Deflector Shield Ion Feed Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_vehicle_ingredients_n.stf', '52', 'deflector_shield_projector_plate', 'Deflector Shield Projector Plate');
INSERT INTO `client_strings` VALUES ('string/en/craft_vehicle_ingredients_n.stf', '53', 'deflector_shield_generator_energy_ray', 'Deflector Shield Generator Energy Ray');
INSERT INTO `client_strings` VALUES ('string/en/craft_vehicle_ingredients_n.stf', '54', 'deflector_shield_generator_particle', 'Deflector Shield Particle Generator');
INSERT INTO `client_strings` VALUES ('string/en/craft_vehicle_ingredients_n.stf', '55', 'deflector_shield_overload_discharge_unit', 'Deflector Shield Overload Discharge Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_vehicle_ingredients_n.stf', '56', 'deflector_shield_emitter_essembly', 'Deflector Shield Emitter Essembly');
INSERT INTO `client_strings` VALUES ('string/en/craft_vehicle_ingredients_n.stf', '57', 'warhead_launcher', 'Warhead Launcher');
INSERT INTO `client_strings` VALUES ('string/en/craft_vehicle_ingredients_n.stf', '58', 'hvy_blaster_power_handler', 'Heavy Blaster Power Handler');
INSERT INTO `client_strings` VALUES ('string/en/craft_vehicle_ingredients_n.stf', '59', 'adv_hvy_blaster_power_handler', 'Advanced Heavy Blaster Power Handler');
INSERT INTO `client_strings` VALUES ('string/en/craft_vehicle_ingredients_n.stf', '60', 'adv_warhead_launcher', 'Advanced Warhead Launcher');
INSERT INTO `client_strings` VALUES ('string/en/craft_vehicle_ingredients_n.stf', '61', 'hvy_projectile_feed_mech', 'Heavy Projectile Feed Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/craft_vehicle_ingredients_n.stf', '62', 'adv_hvy_projectile_feed_mech', 'Advanced Heavy Projectile Feed Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/craft_vehicle_ingredients_n.stf', '63', 'base_armor_panel', 'Armor Panel');
INSERT INTO `client_strings` VALUES ('string/en/craft_vehicle_ingredients_n.stf', '64', 'reactor_unit', 'Reactor Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '1', 'knife_shaft', 'Holds the knife blade and serves as a mounting point for the grip.\n');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '2', 'cutting_edge', 'A reinforced strip of material honed to a knife edge.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '3', 'grip', 'A semi-textured and shaped section of the weapon, built to serve as a grabbing point from which to thrust and swing it.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '4', 'grip_cap', 'A cover for a tinyl compartment used to store built-in items to maintain the weapon.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '5', 'staff_shaft', 'Primary functional part of the staff, it is rigid yet remains slightly flexible, increasing its durability and ability to do damage.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '6', 'axe_head', 'A solid and weighty chunk of material which mounts to a shaft and which has a cutting edge on its striking-face.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '7', 'shaft', 'Serves as the handle for swinging a weapon.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '8', 'axe_head_fastener', 'Holds the axe head onto the shaft it is attached to.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '9', 'blaster_pistol_barrel', 'A metal tube that focuses and directs the energy from a blaster towards its intended target.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '10', 'blaster_rifle_barrel', 'A metal tube that focuses and directs the energy from a blaster rifle towards its intended target.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '11', 'blaster_power_handler', 'This regulates a blaster\'s power output.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '12', 'chemical_dispersion_mechanism', 'This mechanism is responsible for a weapon\'s chemical dispersion.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '13', 'energization_crystals', 'Energization crystals can greatly increase the effectiveness of laser and blaster weapons.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '14', 'galven_tube_circuits', 'These galven circuits help maintain a laser beam\'s cohesion over incredible distances.  These circuits are placed inside of a galven tube alongside galven coils, in line with the laser barrel.   Regular blasters generally have a more simplified version of this technology, compared to what is required for laser weaponry.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '15', 'laser_cannon_cooling_sleeve', 'Laser cannons generate excessive heat while in use, and cooling sleeves are an important part of the sophisticated cooling system that is used to protect sensitive internal components.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '16', 'laser_cannon_gun_tube', 'A gun-tube for a laser cannon.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '17', 'laser_generator', 'A laser generator is the most common source of energy for laser cannons.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '18', 'laser_magnetic_flashback_supressor', 'A crescent-shaped device at the end of some laser barrels, a flashback suppressor is designed to prevent occasionally unstable laser beams from damaging the barrel.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '19', 'parallel_weapon_targeting_computer', 'This targeting computer is designed to be used with weapons that have been placed parallel to each other on one mount.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '20', 'projectile_feed_mechanism', 'A projectile weapon\'s feed mechanism.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '21', 'projectile_pistol_barrel', 'Projectile pistol barrels guide and direct projectiles that are propelled via a pistol\'s firing mechanism.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '22', 'projectile_rifle_barrel', 'Projectile rifle barrels guide and direct projectiles that are propelled via a rifle\'s firing mechanism.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '23', 'scope_weapon', 'A weapon\'s scope can increase its accuracy.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '24', 'stock_unit', 'This is a stock for a rifle.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '25', 'sword_core', 'This is the main body of a sword\'s blade.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '26', 'turbo_laser_gun_tube', 'This is the gun tube for a turbolaser.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '27', 'blade_vibro_unit', 'This vibro-unit will turn a normal blade into a much more destructive weapon by creating thousands of microscopic vibrations a second, greatly improving its cutting ability.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '28', 'weapon_mount', 'A mount that allows a weapon to be attached to it.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '29', 'weapon_mount_light', 'A mount for use with lighter weapons.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '30', 'weapon_targeting_computer', 'A weapon\'s targeting computer helps determine the range to the target, and can greatly help a gunner\'s accuracy.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '31', 'weapon_trajectory_computer', 'A weapon\'s trajectory computer can help determine the trajectory of a target.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '32', 'cartridge_feed_mechanism', 'This mechanism feeds a weapon from its cartridge.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '33', 'trigger_pulse_prism', 'A trigger pulse prism.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '34', 'prism_mount', 'A prism mount.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '35', 'fusing_module_casing', 'A fusing module casing.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '36', 'insulation', 'Some insulation.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '37', 'warhead_and_control_coupling', 'This is coupling for the warhead and its control unit.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '38', 'scope_schell', 'The shell of a weapon scope.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '39', 'scope_shell', 'The shell of a weapon scope.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '40', 'projectile', 'A shaped hunk of metal, for use in making projectile ammunition.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '41', 'cartridge_casing', 'A cartridge casing.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '42', 'propulsive_charge', 'A propulsive charge, when properly used, can accelerate projectiles at incredible speeds.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '43', 'neutralization_material', 'Biological neutralization material.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '44', 'grip_unit', 'A grip unit.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '45', 'lance_shaft', 'A lance blade-shaft\'s assembly.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '46', 'power_circuits', 'Power circuits.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '47', 'axe_base', 'An axe base.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '48', 'enclosure_shell', 'An enclosure shell.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '49', 'blaster_power_handler_advanced', 'This advanced power handler is suited for more powerful blasters.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '50', 'projectile_feed_mechanism_advanced', 'An advanced feed mechanism for projectile weapons.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '51', 'projectile_pistol_barrel_advanced', 'Projectile pistol barrels guide and direct projectiles that are propelled via a pistol\'s firing mechanism.  This is an advanced barrel design.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '52', 'scope_weapon_advanced', 'A weapon\'s scope can increase its accuracy.  This is an advanced scope design, and is more effective than a standard scope.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '53', 'stock_unit_advanced', 'This is an advanced stock for a rifle.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '54', 'blaster_rifle_barrel_advanced', 'A metal tube that focuses and directs the energy from a blaster rifle towards its intended target.  This is an advanced barrel design, and is more effective than the basic barrel.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '55', 'chemical_dispersion_mechanism_advanced', 'This mechanism is responsible for a weapon\'s chemical dispersion.  This is an advanced design and allows for a greater effect.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '56', 'sword_core_advanced', 'This is the main body of a sword\'s blade.  This advanced design allows for a stronger sword.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '57', 'projectile_rifle_barrel_advanced', 'Projectile rifle barrels guide and direct projectiles that are propelled via a rifle\'s firing mechanism.  This is an advanced barrel design.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '58', 'blade_vibro_unit_advanced', 'An advanced Vibro Blade unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '59', 'blaster_power_handler_enhancement', 'This unit can be added to a Blaster Power Handler to improve any weapons made with it.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '60', 'projectile_feed_mechanism_enhancement', 'This unit can be added to a Projectile Feed Mechanism to improve any weapons made with it.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '61', 'blade_vibro_unit_enhancementgg', 'This unit can be added to a Vibro Blade Unit to improve any weapons made with it.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '62', 'blaster_power_handler_enhancement_durability', 'When used in a Blaster Power Handler this Heavy Duty Power Converter gives weapons a much longer usage time before failing due to burn-out.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '63', 'projectile_feed_mechanism_enhancement_durability', 'This Heavy Duty Feed Mechanism can be used in the construction of Projectile Feed Mechanisms to extend the usable lifespan of a weapon.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '64', 'blade_vibro_unit_enhancement_durability', 'Vibro Blade Units made with this Heavy Duty Vibro Motor last much longer than standard units.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '65', 'blade_vibro_unit_enhancement_wounding', 'A Weaponsmith can incorporate this High Frequency Vibro Motor into a Vibro Blade Unit to create weapons that cause devastating wounds to an enemy.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '66', 'projectile_feed_mechanism_enhancement_max_damage', 'When incorporated into a Projectile Feed Mechanism this High Velocity Feed Mechanism gives weapons a much higher damage capacity.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '67', 'blade_vibro_unit_enhancement_max_damage', 'This High Powered Vibro Motor can be added to a Vibro Blade Unit to create weapons with higher damage potentials.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '68', 'blaster_power_handler_enhancement_max_damage', 'A High Powered Energy Capacitor can be added to a Blaster Power Handler to create weapons with a much higher damage potential.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '69', 'projectile_feed_mechanism_enhancement_min_damage', 'This Balanced Feed Mechanism can be used in the creation of a Projectile Feed Mechanism to give a weapon a higher average damage output.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '70', 'blaster_power_handler_enhancement_min_damage', 'This Large Energy Capacitor gives a Blaster Power Handler a higher sustained energy output resulting in weapons with a higher average damage rate.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '71', 'blade_vibro_unit_enhancement_min_damage', 'This Finely Tuned Vibro Motor causes a steadier vibro output of Vibro Blade Units made with it resulting in a higher average damage output.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '72', 'reinforcement_core', 'A frame used to strengthen melee weapons.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '73', 'reinforcement_core_advanced', 'An advanced reinforcement core for melee weapons.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '75', 'krayt_dragon_pearl', 'A gizzard stone used by the Krayt Dragon to help it digest its food. The stone, is a lustrous, milky color and can be tuned by a Jedi for use as a focusing crystal in a lightsaber.  This pearl must be tuned by a Jedi before use.  Once tuned this pearl becomes a part of the lightsabers focusing device and can only be used in a lightsaber by the Jedi who tuned it.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '76', 'force_crystal', 'A Force Crystal, used by Jedi in their lightsabers.  This crystal must be tuned by a Jedi before use.  Once tuned this crystal becomes a focusing crystal and can only be used in a lightsaber by the Jedi who tuned it.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '77', 'misc_saber_upgrade_module', 'This slot is for any of the various types of lightsaber modules that you want to use to change its properties or capabilities. Modules for increasing the damage done and changing the color of the blade are examples of the types of modules that might be used to fill this ingredient slot.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '78', 'projectile_feed_mechanism_enhancement_gorax', 'Bone shards taken from a Gorax.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '79', 'lance_force_crystal', 'A Force Crystal, used by Jedi in their lightsabers.  This crystal must be tuned by a Jedi before use.  Once tuned this crystal becomes a focusing crystal and can only be used in a lightsaber by the Jedi who tuned it.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '80', 'refined_crystal_pack', 'A prepared crystal and mount used to form the foundation of a lightsaber.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '81', 'blaster_pistol_barrel_advanced', 'A more powerful version of the standard Blaster Pistol Barrel.  This can be used to craft exceptionally damaging blaster pistols.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '82', 'blade_vibro_unit_nightsister', 'A Nightsister Vibro Blade unit.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '83', 'lance_nightsister_schematic', 'This document contains the information necessary to craft a Nightsister Energy Lance.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '84', 'shield_generator_personal_imperial_test_schematic', 'This data disk contains the schematic for a new Imperial personal shield prototype.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '85', 'quest_stimpack_a_schematic', 'Blueprint for a experimental stimpack not yet available to the general public.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '86', 'quest_stimpack_a', 'A experimental stimpack not yet available to the general public.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '87', 'acklay_bone_reinforcement_core', 'These Acklay bones could make an effective reinforcement core.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '88', 'acklay_bone_segment_schematic', 'A study of the Acklay\'s bone structure provides insights into the methods of constructing a stronger bone armor segment.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '89', 'acklay_muscle_weaving_schematic', 'A study of the Acklay\'s muscle structure provides insights into the methods of constructing a better R. I. S. armor segment.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '90', 'geonosian_power_cube', 'A power cube used to increase the effectiveness of the Geonosian items.  This one is white.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '91', 'geonosian_power_cube_red', 'A power cube used to increase the effectiveness of the Geonosian items.  This one is red.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '92', 'geonosian_power_cube_yellow', 'A power cube used to increase the effectiveness of the Geonosian items.  This one is yellow.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '93', 'geonosian_power_cube_green', 'A power cube used to increase the effectiveness of the Geonosian items.  This one is green.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '94', 'geonosian_reinforcement_core', 'A Geonosian style reinforcement core.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '95', 'geonosian_reinforcement_core_schematic', 'A schematic for making reinforcement cores in the Geonosian style.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '96', 'geonosian_solidifying_agent', 'A solidifying agent used by the Geonosians to increase the effectiveness of their weapons.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '97', 'geonosian_sonic_blaster_schematic', 'A schematic for making Geonosian Sonic Blasters.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '98', 'geonosian_sword_core', 'A Geonosian style sword core.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '99', 'geonosian_sword_core_schematic', 'A schematic for making sword cores in the Geonosian style.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '100', 'geonosian_tenloss_dxr6_schematic', 'A schematic for the Tenloss DXR-6 weapon.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '101', 'spider_fang', 'This spider\'s fang appears as if it would be an effective enhancement to a projectile feed mechanism.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '102', 'spider_venom', 'The venom of a poisonous spider.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '103', 'blade_vibro_unit_quest', 'A vibro-unit will turn a normal blade into a much more destructive weapon by creating high frequency vibrations, greatly improving its cutting ability.\n\nThis device is lighter than a stander vibro-unit. Reducing the overall weight of the weapon in which it is used.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '104', 'sword_core_quest', 'This is the main body of a sword\'s blade.  The reinforced design strengthens the blade, making for an especially devastating weapon.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '105', 'blaster_pistol_barrel_quest', 'A metal tube that focuses and directs the energy from a blaster towards its intended target.\n\nThis barrel has been specially designed to release bolts from the pistol at the highest velocity possible, increasing the damage done by the weapon.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '106', 'blaster_power_handler_quest', 'This regulates a blaster\'s power output. The high capacity design of this particular power handler feeds more energy through the weapon, increasing damage, and slightly reducing recharge time.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '107', 'projectile_pistol_barrel_quest', 'Projectile pistol barrels guide and direct projectiles that are propelled via a pistol\'s firing mechanism.  This barrel has been bored to a higher caliber, allowing larger ammunition to be used and increasing the amount of damage done by the weapon.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '108', 'projectile_rifle_barrel_advanced_quest', 'Projectile rifle barrels guide and direct projectiles that are propelled via a rifle\'s firing mechanism.  This barrel has been bored to a higher caliber, allowing larger ammunition to be used and increasing the amount of damage done by the weapon.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '109', 'stock_unit_advanced_quest', 'This is a stock for a rifle that has been form fitted to brace against the shoulder.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '110', 'scope_weapon_advanced_quest', 'A weapon\'s scope can increase its accuracy.  This scope has been precision tuned to a wide variety of ranges.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '111', 'rancor_tooth_quest', 'Pulled from the mouth of a Rancor, this tooth appears to be swimming with filth and bacteria. It may be possible to craft a devastating weapon from this item, but it might be unpleasant for the user to wield.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '112', 'schematic_republic_blaster_quest', 'This document contains the information necessary to craft a Modified Republic Blaster.\n\nYou must be a Master Weaponsmith to understand the intricate details of this document.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '113', 'schematic_carbine_e11_quest', 'This document contains the information necessary to craft an Enhanced E11 Carbine.\n\nYou must have the Weaponsmith skill Firearms 3 in order to understand the intricate details of this document.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '114', 'schematic_pistol_fwg5_quest', 'This document contains the information necessary to craft a Featherweight FWG5 Pistol.\n\nYou must have the Weaponsmith skill Firearms 2 in order to understand the intricate details of this document.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '115', 'melee_core_enhancement', 'This looks as if it could be used to enhance a suitable melee core component.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '116', 'sword_scythe_schematic', 'This document contains the information necessary to craft a Scythe Blade.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '117', 'barrel_stabelizer', 'This keeps the barrel steady and level while firing, maintaining good accuracy.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_d.stf', '118', 'corvette_rifle_barrel', 'This is a stabilization piece for the barrel of a Berserker style rifle.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '1', 'power_handler', 'Blaster Power Handler Component');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '2', 'scope', 'Ranged Weapon Scope Component');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '3', 'barrel', 'Ranged Weapon Barrel Component');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '4', 'cartridge_feed_unit', 'Ammunition Cartridge Feeding Component');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '5', 'chemical_dispersion_controller', 'Chemical Payload Dispersion Component');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '6', 'magnetic_acceleration_unit', 'Warhead Magnetic Acceleration Component');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '7', 'jacketed_sword_core', 'Alloy-jacketed Structural Sword Core Component');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '8', 'power_supply', 'Power Supply Component');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '9', 'weapon_base', 'Base Weapon Component');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '10', 'lance', 'Lance Weapon Component');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '11', 'weapon_shaft', 'Striking Head Mounting Shaft Component');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '12', 'chemical_preparation_unit', 'Chemical Payload Pre-firing Preparation Component');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '13', 'targeting_assist', 'Weapon Targeting Assistance Computer Component');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '14', 'wave_projector', 'Sonic Wave Projector Component');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '15', 'thermal_control_unit', 'Thermal Control Component');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '16', 'vibration_generator', 'Vibration Generator Component');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '17', 'power_circuits', 'Power Circuitry Component');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '18', 'power_and_control_circuits', 'Power and Control Circuitry Component');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '19', 'wave_amplifyer', 'Electromagnetic Wave Amplification Component');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '20', 'stock', 'Ranged Weapon Rifle Stock Component');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '21', 'firing_mechanism', 'Firing Mechanism Component');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '22', 'field_generator', 'Field Generator Component');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '23', 'frame_assembly', 'Weapon Frame Assembly');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '24', 'knife_shaft', 'Knife Blade-shaft Assembly');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '25', 'vibro_unit_and_power_cell_brackets', 'Vibration and Power Unit Bracket Assembly');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '26', 'sword_core_jacket', 'Edged Sword Structural Sleeve Assembly');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '27', 'axe_head', 'Axe Striking-head Assembly');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '28', 'staff_shaft', 'Staff Weapon Shaft Assembly');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '29', 'device_casing', 'Device Mechanism Casing Assembly');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '30', 'grip', 'Weapon Grip Assembly');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '31', 'module_housing', 'Module Housing Assembly');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '32', 'cartridge_feed_mechanism', 'Cartridge Stripping and Feeding Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '33', 'feed_tray_and_frame', 'Cartridge Feed-tray Guide and Alignment Chute');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '34', 'lining', 'Wear-resistant Barrel Lining');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '35', 'bore', 'Accurized and Reinforced Barrel Bore');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '36', 'emitter_nozzle', 'Blast-pulse Emitter Nozzle');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '37', 'chemical_barrel_coupling', 'Sprayer-head and Chemical Feed-line Junction');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '38', 'receiver_assembly', 'Blaster Assembly Receiver Housing');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '39', 'cutting_edge', 'Cutting Edge');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '40', 'thermal_and_charge_insulation', 'Thermal and Electrical Charge Insulation');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '41', 'strike_face', 'Weapon Striking Face');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '42', 'actuating_blaster_module', 'Actuating Blaster Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '43', 'xciter_circuitry', 'Gas Conversion Enabler');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '44', 'ultrasonic_vibration_generator', 'Ultrasonic Vibration Generator');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '45', 'grip_assembly', 'Weapon Grip and Trigger Assembly');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '46', 'shaft', 'Weapon Shaft');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '47', 'axe_head_fastener', 'Axe Head Fastener');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '48', 'grip_cap', 'Bottom Cap for Grip Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '49', 'conductive_circuits', 'Conductive Circuit Assembly');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '50', 'scope_bracket', 'Scope-mounting Bracket');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '51', 'circuitry_substrate', 'Circuitry-mounting Substrate');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '52', 'sealant_gaskets', 'Environ-sealing Module Housing Gaskets');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '53', 'enhanced_cooling_mechanism', 'Enhanced Electronic Cooling Assembly');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '54', 'power_cell_socket', 'Power Cell Socket and Power-routing Harness');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '55', 'prismatic_crystal', 'Prismatic Crystal Assembly');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '56', 'gas_containment_unit', 'Blaster Gas Containment Assembly');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '57', 'light_accumulators', 'Light Accumulators');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '58', 'targeting_aid_circuitry', 'Targeting Aid Circuitry');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '59', 'barrel_shroud', 'Outer Barrel Heat Shroud');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '60', 'reactant_source', 'Blaster Gas Reactant Source');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '61', 'multicycle_power_feed', 'Multi-cycle Power Feed Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '62', 'galven_circuitry', 'Galven Circuitry');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '63', 'cannon_cooling_jacket', 'Cannon Cooling Insulating Jacket Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '64', 'laser_actuator', 'Laser-pulse Actuator');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '65', 'pulse_generator', 'Energy-pulse Generator Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '66', 'dynamic_collision_predictor_circuits', 'Dynamic Collision-predicting Circuits');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '67', 'weapon_pointing_alignment_module', 'Weapon Pointing Alignment Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '68', 'data_processing_nodes', 'High-speed Data-processing Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '69', 'mount_servo_controller', 'Weapon-carriage Servo Controller Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '70', 'thermal_shielding', 'Thermal Shielding Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '71', 'energization_crystal_array', 'Energization Crystal Array Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '72', 'pulse_generation_module', 'Pulse Generation Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '73', 'energization_crystal_cluster', 'Energization Crystal Cluster');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '74', 'blaster_gas_chamber', 'Blaster-gas Chamber');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '75', 'ion_accu_accelerator', 'Ion Accu-accelerator');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '76', 'target_data_tables', 'Target Data Table High-speed Repository Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '77', 'weapon_behavior_tables', 'Weapon Behavior Data Table Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '78', 'targeting_metric_handling_units', 'Targeting Metric Pre-processing Units');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '79', 'weapon_pointing_computer', 'Weapon Pointing Computer');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '80', 'cannon_tube', 'Turbolaser Cannon Gun-tube');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '81', 'power_feed_module', 'Power Routing and Feed Controller Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '82', 'flashback_supressor', 'Weapon Pulse Flashback Suppressor');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '83', 'cannon_alignment_calibrator', 'Cannon Gun-tube Alignment Calibrator');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '84', 'breech_carriage_and_harness_interface', 'Breech-carriage and Control Harness Interface');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '85', 'cannon_tube_shell', 'Cannon Gun-tube Casing');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '86', 'breech_enclosure', 'Cannon Breech-mechanism Enclosure Assembly');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '87', 'generator_enclosure', 'Pulse-generator Enclosure Assembly');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '88', 'supressor_assembly', 'Flashback Suppressor Frame Assembly');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '89', 'receiver_casing', 'Receiver Casing Assembly');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '90', 'cannon_assembly', 'Cannon Frame Assembly');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '91', 'crystal_mounting', 'Energization Crystal Mounting Assembly');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '92', 'focusing_coils', 'Galven Pulse-focusing Coils');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '93', 'module_enclosure', 'Equipment Enclosure Assembly');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '94', 'enclosure_framework', 'Enclosure Framework Assembly');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '95', 'mount_frame', 'Weapon Carriage Mounting Frame');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '96', 'cannon_breech', 'Cannon Breech Assembly');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '97', 'breech_and_tube_coupling', 'Cannon Breech to Gun-tube Coupling Assembly');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '98', 'cannon_tube_truss', 'Cannon Gun-tube Truss Assembly');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '99', 'pressure_can', 'Pressure Containment Can');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '100', 'shock_proofing_buffers', 'Inertial Shock-proofing Buffer Assembly');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '101', 'energy_sink', 'Energy Sink Insulation Assembly');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '102', 'cannon_tube_casing', 'Cannon Gun-tube Casing Assembly');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '103', 'barrel_assembly', 'Gun Barrel Assembly');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '104', 'crystals', 'Energization Crystals');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '105', 'galven_coil_substrate', 'Galven Coil Substrate');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '106', 'module_mounting_frame', 'Module Mounting Frame');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '107', 'brackets_and_load_bearing_structure', 'Weapon Brackets and Load-bearing Truss Assembly');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '108', 'charge_and_contaminent_shielding', 'Errant-charge and Contaminent Prevention Shielding');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '109', 'breech_mount', 'Cannon Breech Mounting Assembly');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '110', 'shock_proofing_and_gasket_seals', 'Shock-proofing and Environ Seal Gaskets');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '111', 'pulse_shielding_and_insulation', 'Energy-pulse Shielding and Insulation');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '112', 'module_frame', 'Module Frame Assembly');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '113', 'galven_circuitry_frame', 'Galven-circuitry Frame');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '114', 'shock_and_thermal_insulation', 'Shock and Thermal Resist Assembly');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '115', 'thermal_and_electrical_insulation', 'Thermal and Electrical Insulation');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '116', 'tube_and_sleeve_interface', 'Gun Tube and Cooling Sleeve Mechanical Interface');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '117', 'reactant_medium', 'Reactant Medium');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '118', 'charge_reflector', 'Charge Reflector');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '119', 'coolant_medium', 'Coolant Medium');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '120', 'coolant', 'Coolant');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '121', 'surge_preventor', 'Surge Preventor');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '122', 'charge_accumulator', 'Charge Accumulator');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '123', 'reflector_substrate', 'Reflector Substrate');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '124', 'muzzle_assembly', 'Muzzle Assembly');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '125', 'coolant_jacket_and_load_bearing_structure', 'Coolant Jacket and Load-bearing Structure');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '126', 'logic_communication_subnet', 'Logic-routing Communication Subnet');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '127', 'reactant_chamber_shielding', 'Reactant Chamber Shielding');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '128', 'barrel_circuitry_substrate', 'Barrel-circuitry Substrate');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '129', 'reactive_module_enclosure', 'Reactive Module Enclosure');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '130', 'energy_pile', 'Energy Pile');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '131', 'parallel_weapon_targeting_computer', 'Parallel Weapon Targeting Computer');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '132', 'weapon_trajectory_computer', 'Weapon Trajectory Computer');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '133', 'weapon_targeting_computer', 'Weapon Targeting Computer');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '134', 'weapon_mount_light', 'Light Weapon Mount');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '135', 'weapon_mount', 'Weapon Mount');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '136', 'blade_vibro_unit', 'Blade Vibro Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '137', 'turbo_laser_gun_tube', 'Turbolaser Gun Tube');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '138', 'sword_core', 'Sword Core');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '139', 'stock_unit', 'Rifle Stock');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '140', 'scope_weapon', 'Weapon Scope');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '141', 'projectile_rifle_barrel', 'Projectile Rifle Barrel');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '142', 'projectile_pistol_barrel', 'Projectile Pistol Barrel');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '143', 'projectile_feed_mechanism', 'Projectile Feed Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '144', 'laser_generator', 'Laser Generator');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '145', 'laser_magnetic_flashback_supressor', 'Laser Magnetic Flashback-Suppressor');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '146', 'laser_cannon_gun_tube', 'Laser-cannon Gun-tube');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '147', 'laser_cannon_cooling_sleeve', 'Laser-cannon Cooling-sleeve');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '148', 'galven_tube_circuits', 'Galven Tube Circuits');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '149', 'energization_crystals', 'Energization Crystals');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '150', 'chemical_dispersion_mechanism', 'Chemical-dispersion Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '151', 'blaster_rifle_barrel', 'Blaster-rifle Barrel');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '152', 'blaster_power_handler', 'Blaster Power-handler');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '153', 'blaster_pistol_barrel', 'Blaster-pistol Barrel');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '154', 'blaster_barrel_sm_t1', 'T:1 Small Blaster Muzzle');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '155', 'blaster_barrel_sm_t2', 'T:2 Small Blaster Muzzle');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '156', 'blaster_barrel_sm_t3', 'T:3 Small Blaster Muzzle');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '157', 'blaster_barrel_sm_t4', 'T:4 Small Blaster Muzzle');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '158', 'blaster_barrel_sm_t5', 'T:5 Small Blaster Muzzle');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '159', 'blaster_barrel_sm_t6', 'T:6 Small Blaster Muzzle');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '160', 'blaster_barrel_sm_t7', 'T:7 Small Blaster Muzzle');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '161', 'blaster_barrel_m_t1', 'T:1 Medium Blaster Muzzle');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '162', 'blaster_barrel_m_t2', 'T:2 Medium Blaster Muzzle');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '163', 'blaster_barrel_m_t3', 'T:3 Medium Blaster Muzzle');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '164', 'blaster_barrel_m_t4', 'T:4 Medium Blaster Muzzle');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '165', 'blaster_barrel_m_t5', 'T:5 Medium Blaster Muzzle');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '166', 'blaster_barrel_m_t6', 'T:6 Medium Blaster Muzzle');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '167', 'blaster_barrel_m_t7', 'T:7 Medium Blaster Muzzle');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '168', 'blaster_barrel_l_t1', 'T:1 Large Blaster Muzzle');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '169', 'blaster_barrel_l_t2', 'T:2 Large Blaster Muzzle');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '170', 'blaster_barrel_l_t3', 'T:3 Large Blaster Muzzle');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '171', 'blaster_barrel_l_t4', 'T:4 Large Blaster Muzzle');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '172', 'blaster_barrel_l_t5', 'T:5 Large Blaster Muzzle');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '173', 'blaster_barrel_l_t6', 'T:6 Large Blaster Muzzle');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '174', 'blaster_barrel_l_t7', 'T:7 Large Blaster Muzzle');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '175', 'weapon_scope_l_t1', 'Type One Large Weapon Scope');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '176', 'weapon_scope_l_t2', 'Type Two Large Weapon Scope');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '177', 'weapon_scope_l_t3', 'Type Three Large Weapon Scope');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '178', 'weapon_scope_sm_t1', 'Type One Small Weapon Scope');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '179', 'weapon_scope_sm_t2', 'Type Two Small Weapon Scope');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '180', 'weapon_scope_sm_t3', 'Type Three Small Weapon Scope');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '181', 'weapon_scope_sm_t4', 'Type Four Small Weapon Scope');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '182', 'weapon_scope_sm_t5', 'Type Five Small Weapon Scope');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '183', 'weapon_scope_sm_t6', 'Type Six Small Weapon Scope');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '184', 'knife_blade', 'Knife Blade');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '185', 'module_assembly', 'Module Assembly');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '186', 'barrel_to_reciever_coupling', 'Barrel to Receiver Coupling');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '187', 'barrel_to_receiver_coupling', 'Barrel to Receiver Coupling');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '188', 'powerhandler', 'Blaster Power Handler Component.');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '189', 'butt_cap_and_receiver_attachment_point', 'Butt Cap and Receiver Attachment Point');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '190', 'butt_cap_and_reciever_attachment_point', 'Butt Cap and Receiver Attachment Point');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '191', 'trigger_pulse_prism', 'Trigger Pulse Prism');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '192', 'prism_mount', 'Prism Mount');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '193', 'fusing_module_casing', 'Fusing Module Casing');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '194', 'insulation', 'Insulation');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '195', 'warhead_and_control_coupling', 'Warhead and Control Coupling');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '196', 'scope_shell', 'Scope Shell');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '197', 'scope_schell', 'Scope Shell');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '198', 'projectile', 'Projectile');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '199', 'cartridge_casing', 'Cartridge Casing');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '200', 'propulsive_charge', 'Propulsive Charge');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '201', 'neutralization_material', 'Neutralization Material');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '202', 'grip_unit', 'Grip Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '203', 'lance_shaft', 'Lance Blade-shaft Assembly');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '204', 'axe_base', 'Axe Base');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '205', 'enclosure_shell', 'Enclosure Shell');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '206', 'reaction_chamber', 'Reaction Chamber');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '207', 'reaction_mass', 'Reaction Mass');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '208', 'catalyst', 'Catalyst');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '209', 'flex_core', 'Flex Core');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '210', 'balance_tabs', 'Balance Tabs');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '211', 'impact_face', 'Impact Face');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '212', 'reactive_striking_surface', 'Reactive Striking Surface');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '213', 'power_cell_brackets', 'Power Cell Brackets');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '214', 'conductive_strike_face', 'Conductive Strike Face');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '215', 'power_cell_brakets', 'Power Cell Brackets');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '216', 'shock_pulsor', 'Shock Pulsor');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '217', 'feed_unit', 'Feed Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '218', 'blade_vibro_unit_advanced', 'Advanced Vibro Blade Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '219', 'blaster_power_handler_advanced', 'Advanced Blaster Power Handler');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '220', 'projectile_feed_mechanism_advanced', 'Advanced Projectile Feed Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '221', 'projectile_pistol_barrel_advanced', 'Advanced Projectile Pistol Barrel');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '222', 'scope_weapon_advanced', 'Advanced Weapon Scope');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '223', 'stock_unit_advanced', 'Advanced Weapon Stock');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '224', 'blaster_rifle_barrel_advanced', 'Advanced Blaster Rifle Barrel');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '225', 'projectile_rifle_barrel_advanced', 'Advanced Projectile Rifle Barrel');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '226', 'chemical_dispersion_mechanism_advanced', 'Advanced Chemical Dispersion Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '227', 'sword_core_advanced', 'Advanced Sword Core');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '228', 'cartridge_feed_mechanisme', 'Cartridge Stripping and Feeding Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '229', 'blaster_pistol_barrel_advanced', 'Advanced Blaster Pistol Barrel');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '230', 'weapon_enhancement', 'Enhancment');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '231', 'blaster_power_handler_enhancement', 'Blaster Power Handler Enhancement');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '232', 'blade_vibro_unit_enhancement', 'Vibro Blade Unit Enhancement');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '233', 'projectile_feed_mechanism_enhancement', 'Projectile Feed Mechanism Enhancement');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '234', 'blaster_power_handler_enhancement_durability', 'Heavy Duty Power Converter');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '235', 'projectile_feed_mechanism_enhancement_durability', 'Heavy Duty Feed Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '236', 'blade_vibro_unit_enhancement_durability', 'Heavy Duty Vibro Motor');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '237', 'blade_vibro_unit_enhancement_wounding', 'High Frequency Vibro Motor');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '238', 'projectile_feed_mechanism_enhancement_max_damage', 'High Velocity Feed Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '239', 'blade_vibro_unit_enhancement_max_damage', 'High Powered Vibro Motor');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '240', 'blaster_power_handler_enhancement_max_damage', 'High Powered Energy Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '241', 'projectile_feed_mechanism_enhancement_min_damage', 'Balanced Feed Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '242', 'blaster_power_handler_enhancement_min_damage', 'Large Energy Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '243', 'blade_vibro_unit_enhancement_min_damage', 'Finely Tuned Vibro Motor');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '244', 'rancor_tooth', 'Rancor Tooth');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '245', 'kliknick_gland', 'Kliknick Gland');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '246', 'blaster_power_handler_enhancement_krayt', 'Krayt Dragon Tissue');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '247', 'reinforcement_core', 'Reinforcement Core');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '248', 'reinforcement_core_advanced', 'Advanced Reinforcement Core');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '249', 'conduction_mass', 'Conduction Mass');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '250', 'pulse_insulator', 'pulse_insulator');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '251', 'shock_buffer', 'Shock Buffer');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '252', 'handgrip', 'Handgrip');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '253', 'activator', 'Activator Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '254', 'emitter_shroud', 'Emitter Shroud');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '255', 'power_field_insulator', 'Power Field Insulator');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '256', 'primary_crystal', 'Primary Crystal');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '257', 'focusing_crystals', 'Focusing Crystals');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '258', 'energizers', 'Cycling Field Energizers');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '259', 'insulation_media_recharge', 'Insulation Media Recharge');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '260', 'wiring_flux', 'Wiring Flux');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '261', 'misc_saber_upgrade_module', 'Miscellaneous Lightsaber Upgrade Module');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '262', 'second_gen_saber', 'Second Generation Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '263', 'first_gen_saber', 'First Generation Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '264', 'third_gen_saber', 'Third Generation Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '265', 'fourth_gen_saber', 'Fourth Generation Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '266', 'fifth_gen_saber', 'Fifth Generation Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '267', 'lightsaber_module_atkspd', 'Force Crystal: Attackspeed');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '268', 'lightsaber_module_color', 'Force Crystal: Color');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '269', 'lightsaber_module_damage', 'Force Crystal: Damage');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '270', 'lightsaber_module_forcecost', 'Force Crystal: Force Cost');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '271', 'lightsaber_module_woundchance', 'Force Crystal: Wounding Chance');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '272', 'base_lightsaber_module', 'Force Crystal');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '273', 'krayt_dragon_pearl', 'Krayt Dragon Pearl');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '274', 'force_crystal', 'Crystal');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '275', 'projectile_feed_mechanism_enhancement_gorax', 'Gorax Bone Shards');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '276', 'lance_force_crystal', 'Twin Force-Crystal Cluster');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '277', 'refined_crystal_pack', 'A Refined Crystal Pack');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '278', 'focusing_crystals_first', 'First Focusing Crystal Cluster');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '279', 'focusing_crystals_second', 'Second Focusing Crystal Cluster');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '280', 'primary_crystal_first', 'First Primary Crystal Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '281', 'primary_crystal_second', 'Second Primary Crystal Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '282', 'blade_vibro_unit_nightsister', 'Nightsister Vibro Blade Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '283', 'lance_nightsister_schematic', 'Nightsister Energy Lance Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '284', 'shield_generator_personal_imperial_test_schematic', 'Imperial Prototype Shield Generator Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '285', 'acklay_bone_reinforcement_core', 'Acklay Bones');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '286', 'acklay_bone_segment_schematic', 'Interwoven Bone Armor Segment Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '287', 'acklay_muscle_weaving_schematic', 'Interwoven R. I. S. Armor Segment Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '288', 'geonosian_power_cube', 'Geonosian Power Cube (White)');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '289', 'geonosian_power_cube_green', 'Geonosian Power Cube (Green)');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '290', 'geonosian_power_cube_red', 'Geonosian Power Cube (Red)');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '291', 'geonosian_power_cube_yellow', 'Geonosian Power Cube (Yellow)');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '292', 'geonosian_reinforcement_core', 'Geonosian Reinforcement Core');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '293', 'geonosian_reinforcement_core_schematic', 'Geonosian Reinforcement Core  Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '294', 'geonosian_solidifying_agent', 'Geonosian Solidifying Agent');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '295', 'geonosian_sonic_blaster_schematic', 'Geonosian Sonic Blaster Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '296', 'geonosian_sword_core', 'Geonosian Sword Core');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '297', 'geonosian_sword_core_schematic', 'Geonosian Sword Core Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '298', 'geonosian_tenloss_dxr6_schematic', 'Geonosian Tenloss DXR-6 Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '299', 'spider_fang', 'Spider Fang');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '300', 'spider_venom', 'Spider Venom');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '301', 'blade_vibro_unit_quest', 'Lightweight Vibro Blade Unit');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '302', 'sword_core_quest', 'Reinforced Sword Core');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '303', 'blaster_pistol_barrel_quest', 'High Velocity Blaster Pistol Barrel');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '304', 'blaster_power_handler_quest', 'High Capacity Blaster Power Handler');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '305', 'projectile_pistol_barrel_quest', 'High Caliber Projectile Pistol Barrel');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '306', 'projectile_rifle_barrel_advanced_quest', 'High Caliber Projectile Rifle Barrel');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '307', 'stock_unit_advanced_quest', 'Form-fitted Weapon Stock');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '308', 'scope_weapon_advanced_quest', 'Precision Tuned Weapon Scope');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '309', 'rancor_tooth_quest', 'Bile Soaked Rancor Tooth');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '310', 'schematic_republic_blaster_quest', 'Schematic: Modified Republic Blaster');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '311', 'schematic_carbine_e11_quest', 'Schematic: Enhanced E11 Carbine');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '312', 'schematic_pistol_fwg5_quest', 'Schematic: Featherweight FWG5 Pistol');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '313', 'inducer', 'Coiled Inducer');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '314', 'melee_core_enhancement', 'Melee Core Enhancement');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '315', 'geonosian_power_cube_base', 'Geonosian Power Cube');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '316', 'sword_scythe_schematic', 'Scythe Blade Schematic');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '317', 'core_enhancement', 'Melee Core Enhancement');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '318', 'omnipotent_sword_core', 'Omnipotent Sword Core');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '319', 'barrel_stabelizer', 'Barrel Stabilization Component');
INSERT INTO `client_strings` VALUES ('string/en/craft_weapon_ingredients_n.stf', '320', 'corvette_rifle_barrel', 'Berserker Rifle Stabilization component');
INSERT INTO `client_strings` VALUES ('string/en/crate_dialog.stf', '1', 'pirate_crate_1', 'It\'s ours.  We found it!');
INSERT INTO `client_strings` VALUES ('string/en/crate_dialog.stf', '2', 'pirate_crate_2', 'You can\'t just say it\'s yours.  We already said it\'s ours.');
INSERT INTO `client_strings` VALUES ('string/en/crate_dialog.stf', '3', 'pirate_crate_3', 'There\'s no sense arguing til we open it up and see what\'s inside it.');
INSERT INTO `client_strings` VALUES ('string/en/crate_dialog.stf', '4', 'pirate_crate_4', 'No, really, our friend will be along with the key any minute now...');
INSERT INTO `client_strings` VALUES ('string/en/crate_dialog.stf', '5', 'pirate_crate_5', 'You can see where I scratched my name in it, right there on the side.  See?  See?');
INSERT INTO `client_strings` VALUES ('string/en/crate_dialog.stf', '6', 'pirate_crate_6', 'Just another bunch of imperials trying to keep us down!');
INSERT INTO `client_strings` VALUES ('string/en/crate_dialog.stf', '7', 'pirate_crate_7', 'We dropped it.  It fell out of our ship.  We\'re just here to pick it up.');
INSERT INTO `client_strings` VALUES ('string/en/crate_dialog.stf', '8', 'pirate_crate_8', 'Isn\'t it obvious that it\'s not an imperial crate?  I mean it\'s not whining like a baby now is it?');
INSERT INTO `client_strings` VALUES ('string/en/crate_dialog.stf', '9', 'pirate_crate_9', 'You\'ll have to kill us if you want it.');
INSERT INTO `client_strings` VALUES ('string/en/crate_dialog.stf', '10', 'pirate_crate_10', 'Nobody\'s taking our crate!');
INSERT INTO `client_strings` VALUES ('string/en/crate_dialog.stf', '11', 'stormtrooper_crate_1', 'This is imperial property.  Back away from the container please.');
INSERT INTO `client_strings` VALUES ('string/en/crate_dialog.stf', '12', 'stormtrooper_crate_2', 'Just give us a minute to call it in, and if it\'s yours you can have it.');
INSERT INTO `client_strings` VALUES ('string/en/crate_dialog.stf', '13', 'stormtrooper_crate_3', 'You don\'t really expect us to believe that this is your crate do you?');
INSERT INTO `client_strings` VALUES ('string/en/crate_dialog.stf', '14', 'stormtrooper_crate_4', 'The serial code is burned off, that\'s a strict violation.  You\'ll have to wait here.');
INSERT INTO `client_strings` VALUES ('string/en/crate_dialog.stf', '15', 'stormtrooper_crate_5', 'No one is to touch that crate and that is an order.');
INSERT INTO `client_strings` VALUES ('string/en/crate_dialog.stf', '16', 'stormtrooper_crate_6', 'I don\'t see any papers identifying this as your crate yet.');
INSERT INTO `client_strings` VALUES ('string/en/crate_dialog.stf', '17', 'stormtrooper_crate_7', 'Can you think of any reason for us to believe you\'re not lying?');
INSERT INTO `client_strings` VALUES ('string/en/crate_dialog.stf', '18', 'stormtrooper_crate_8', 'There\'s a containment team on the way to haul this thing off.  I suggest you leave before you get arrested or shot.');
INSERT INTO `client_strings` VALUES ('string/en/crate_dialog.stf', '19', 'stormtrooper_crate_9', 'Our orders are to make sure that no one moves this crate.');
INSERT INTO `client_strings` VALUES ('string/en/crate_dialog.stf', '20', 'stormtrooper_crate_10', 'You will not touch this!');
INSERT INTO `client_strings` VALUES ('string/en/creature_tradein.stf', '1', 'cant', 'This system is reserved for non creature handlers only.  Please consult \"Pet Trade-In\" in your Holocron for details.');
INSERT INTO `client_strings` VALUES ('string/en/creature_tradein.stf', '2', 'store', 'Please store any active creatures before attempting to trade a pet.');
INSERT INTO `client_strings` VALUES ('string/en/creature_tradein.stf', '3', 'notacreature', 'That does not appear to be a creature.  You cannot trade that item.');
INSERT INTO `client_strings` VALUES ('string/en/dance_advancement.stf', '1', 'greeting_nodance', 'Good day to you, friend.');
INSERT INTO `client_strings` VALUES ('string/en/dance_advancement.stf', '2', 'greeting', 'Hello, friend. Say, I\'ve seen you around. You\'ve got some interesting new moves. If you like, I might be able to teach you a few new steps?');
INSERT INTO `client_strings` VALUES ('string/en/dance_advancement.stf', '3', 'greeting_r0', 'Sure, I\'d like to learn something new.');
INSERT INTO `client_strings` VALUES ('string/en/dance_advancement.stf', '4', 'greeting_r1', 'Not right now. Thank you, though.');
INSERT INTO `client_strings` VALUES ('string/en/dance_advancement.stf', '5', 'offer', 'Tell me what you\'re interested in and I\'ll see what I can teach you.');
INSERT INTO `client_strings` VALUES ('string/en/dance_advancement.stf', '6', 'offer_r10', 'On second thought, I\'d rather not right now.');
INSERT INTO `client_strings` VALUES ('string/en/dance_advancement.stf', '7', 'offer_r0', 'Can you teach me anything for the %TO style?');
INSERT INTO `client_strings` VALUES ('string/en/dance_advancement.stf', '8', 'offer_r1', 'Can you teach me anything for the %TO style?');
INSERT INTO `client_strings` VALUES ('string/en/dance_advancement.stf', '9', 'offer_r2', 'Can you teach me anything for the %TO style?');
INSERT INTO `client_strings` VALUES ('string/en/dance_advancement.stf', '10', 'offer_r3', 'Can you teach me anything for the %TO style?');
INSERT INTO `client_strings` VALUES ('string/en/dance_advancement.stf', '11', 'offer_r4', 'Can you teach me anything for the %TO style?');
INSERT INTO `client_strings` VALUES ('string/en/dance_advancement.stf', '12', 'offer_r5', 'Can you teach me anything for the %TO style?');
INSERT INTO `client_strings` VALUES ('string/en/dance_advancement.stf', '13', 'offer_r6', 'Can you teach me anything for the %TO style?');
INSERT INTO `client_strings` VALUES ('string/en/dance_advancement.stf', '14', 'offer_r7', 'Can you teach me anything for the %TO style?');
INSERT INTO `client_strings` VALUES ('string/en/dance_advancement.stf', '15', 'offer_r8', 'Can you teach me anything for the %TO style?');
INSERT INTO `client_strings` VALUES ('string/en/dance_advancement.stf', '16', 'offer_r9', 'Can you teach me anything for the %TO style?');
INSERT INTO `client_strings` VALUES ('string/en/dance_advancement.stf', '17', 'cant_teach', 'Ah, I\'m afraid there\'s nothing I can teach you now. Maybe some other time, eh?');
INSERT INTO `client_strings` VALUES ('string/en/dance_advancement.stf', '18', 'goodbye', 'Good day to you, then.');
INSERT INTO `client_strings` VALUES ('string/en/dance_advancement.stf', '19', 'not_enough_xp', 'I can teach you some new steps for that dance, but you don\'t have enough %TO experience to learn them. You must be able to spend at least %DI %TO experience.');
INSERT INTO `client_strings` VALUES ('string/en/dance_advancement.stf', '20', 'confirm', 'I can teach you some new steps for that dance, but you will need to spend some %TO experience to learn them. Do you want to spend %DI %TO experience to learn the new steps?');
INSERT INTO `client_strings` VALUES ('string/en/dance_advancement.stf', '21', 'confirm_r0', 'Yes, I will spend the experience to learn the new steps.');
INSERT INTO `client_strings` VALUES ('string/en/dance_advancement.stf', '22', 'confirm_r1', 'No, I\'d rather not learn the new steps right now.');
INSERT INTO `client_strings` VALUES ('string/en/dance_advancement.stf', '23', 'cant_teach_yet', 'I could teach you some new steps, but you need to practice that dance a little more first. Keep practicing and come back later.');
INSERT INTO `client_strings` VALUES ('string/en/dance_advancement.stf', '24', 'success', 'There you go! Enjoy the new moves, and remember, keep practicing!');
INSERT INTO `client_strings` VALUES ('string/en/dance_advancement.stf', '25', 'sysmsg_success', 'You have successfully learned the %TO dance style.');
INSERT INTO `client_strings` VALUES ('string/en/dance_advancement.stf', '26', 'title', 'a choreography teacher');
INSERT INTO `client_strings` VALUES ('string/en/dance_advancement.stf', '27', 'sui_prompt0', 'You have become proficient at performing the ');
INSERT INTO `client_strings` VALUES ('string/en/dance_advancement.stf', '28', 'sui_prompt1', ' style dance. You may be ready to learn some advanced steps.');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '1', 'dantooine_pirate_outpost', 'Pirate Outpost');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '2', 'dantooine_imperial_outpost', 'Imperial Outpost');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '3', 'imperial_outpost', 'Imperial Outpost');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '4', 'dantooine_mining_outpost', 'Mining Outpost');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '5', 'eastern_steppes_1', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '6', 'southeastern_steppes_1', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '7', 'southeastern_steppes_2', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '8', 'southwestern_steppes_1', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '9', 'central_steppes_1', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '10', 'southern_steppes_1', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '11', 'the_great_steppes_1', 'The Great Steppes');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '12', 'western_steppes_1', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '13', 'western_steppes_2', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '14', 'northern_steppes_1', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '15', 'river_1', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '16', 'river_2', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '17', 'river_3', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '18', 'river_4', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '19', 'river_5', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '20', 'river_6', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '21', 'river_7', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '22', 'river_8', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '23', 'river_9', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '24', 'river_10', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '25', 'river_11', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '26', 'river_12', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '27', 'river_13', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '28', 'river_14', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '29', 'river_15', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '30', 'river_16', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '31', 'river_17', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '32', 'river_18', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '33', 'river_19', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '34', 'river_20', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '35', 'river_21', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '36', 'river_22', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '37', 'river_23', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '38', 'river_24', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '39', 'river_25', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '40', 'river_26', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '41', 'river_27', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '42', 'river_28', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '43', 'river_29', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '44', 'river_30', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '45', 'river_31', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '46', 'river_32', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '47', 'river_33', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '48', 'river_34', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '49', 'taikaha_hills_1', 'Taikaha Hills');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '50', 'taikaha_hills_2', 'Taikaha Hills');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '51', 'taikaha_hills_3', 'Taikaha Hills');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '52', 'ataahua_slopes_1', 'Ataahua Slopes');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '53', 'eastern_mountains_1', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '54', 'northeastern_mountains_1', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '55', 'northern_mountains_1', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '56', 'northern_mountains_2', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '57', 'northern_mountains_3', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '58', 'northern_mountains_4', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '59', 'northern_mountains_5', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '60', 'northwestern_mountains_1', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '61', 'northwestern_mountains_2', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '62', 'western_mountains_1', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '63', 'western_mountains_2', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '64', 'southwestern_mountains_1', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '65', 'southern_mountains_1', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '66', 'southern_mountains_2', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '67', 'southeastern_mountains_1', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '68', 'eastern_mountains_2', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '69', 'world_spawner', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '70', 'northern_mountains', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '71', 'western_mountains', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '72', 'eastern_mountains', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '73', 'southern_mountains', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '74', 'southwest_stepes', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '75', 'northwest_stepes', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '76', 'southern_plains', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '77', 'northern_plains', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '78', 'hard_dantari_ne', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '79', 'hard_quenker_ne', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '80', 'medium_piket_ne', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '81', 'hard_graul_se', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '82', 'hard_quenker_se', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '83', 'medium_huurton_se', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '84', 'hard_dantari_sw', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '85', 'hard_voritor_sw', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '86', 'medium_piket_sw', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '87', 'hard_dantari_nw', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '88', 'hard_graul_nw', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '89', 'medium_bol_nw', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '90', 'dantari_village_1', 'Janta Tribal Village');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '91', 'dantari_village_2', 'Kunga Tribal Village');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '92', 'dantari_village_3', 'Mokk Tribal Village');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '93', 'jedi_temple_1', 'Jedi Temple Ruins');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '94', 'abandoned_rebel_base_1', 'Abandoned Rebel Base');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '95', 'fields_of_banir_1', 'Fields of Banir');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '96', 'fields_of_banir_2', 'Fields of Banir');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '97', 'fields_of_banir_3', 'Fields of Banir');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '98', 'fields_of_banir_4', 'Fields of Banir');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '99', 'fields_of_banir_5', 'Fields of Banir');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '100', 'fields_of_banir_6', 'Fields of Banir');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '101', 'burad', 'Burad Hills');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '102', 'darjani_plains', 'Darjani Plains');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '103', 'mosa_rishin_1', 'Mosa Rishin');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '104', 'mosa_rishin_2', 'Mosa Rishin');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '105', 'mosa_rishin_3', 'Mosa Rishin');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '106', 'mosa_rishin_4', 'Mosa Rishin');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '107', 'rielig_steppe_1', 'Rielig Steppes');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '108', 'rielig_steppe_2', 'Rielig Steppes');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '109', 'rielig_steppe_3', 'Rielig Steppes');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '110', 'rielig_steppe_4', 'Rielig Steppes');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '111', 'arissi_plains_1', 'Arissi Plains');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '112', 'arissi_plains_2', 'Arissi Plains');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '113', 'arissi_plains_3', 'Arissi Plains');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '114', 'arissi_plains_4', 'Arissi Plains');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '115', 'an_outpost', 'a pirate outpost');
INSERT INTO `client_strings` VALUES ('string/en/dantooine_region_names.stf', '116', 'an_imperial_outpost', 'an Imperial Outpost');
INSERT INTO `client_strings` VALUES ('string/en/data_item.stf', '1', 'redeem', 'Redeem data items');
INSERT INTO `client_strings` VALUES ('string/en/data_item.stf', '2', 'redeem_imperial', 'Turn in Imperial data');
INSERT INTO `client_strings` VALUES ('string/en/data_item.stf', '3', 'redeem_rebel', 'Turn in Rebel data');
INSERT INTO `client_strings` VALUES ('string/en/data_item.stf', '4', 'chose_redeem', 'Which data items would you like to turn in?');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '1', 'dathomir_survey_outpost', 'Science Outpost');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '2', 'dathomir_trade_outpost', 'Trade Outpost');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '3', 'world_spawner', 'Dathomir');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '4', 'southern_desert', 'Dathomir');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '5', 'western_mountains', 'Dathomir');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '6', 'southern_mountains', 'Dathomir');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '7', 'eastern_mountains', 'Dathomir');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '8', 'northern_mountains', 'Dathomir');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '9', 'dry_rock_mountains_se', 'Dathomir');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '10', 'dry_rock_mountains_sw', 'Dathomir');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '11', 'red_hills_ne', 'Dathomir');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '12', 'red_hills_nw', 'Dathomir');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '13', 'singing_mountain', 'Singing Mountain');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '14', 'the_great_canyon', 'The Great Canyon');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '15', 'nightsister_lands', 'The Nightsister Lands');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '16', 'hard_reptilian_flyer_ne', 'Dathomir');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '17', 'hard_shear_mite_ne', 'Dathomir');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '18', 'medium_baz_nitch_se', 'Dathomir');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '19', 'hard_gaping_spider_se', 'Dathomir');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '20', 'hard_graul_se', 'Dathomir');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '21', 'hard_malklok_se', 'Dathomir');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '22', 'hard_reptilian_flyer_sw', 'Dathomir');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '23', 'hard_graul_sw', 'Dathomir');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '24', 'hard_purbole_sw', 'Dathomir');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '25', 'hard_rancor_nw', 'Dathomir');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '26', 'medium_baz_nitch_nw', 'Dathomir');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '27', 'hard_purbole_nw', 'Dathomir');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '28', 'canyon', 'Dathomir');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '29', 'desert', 'Dathomir');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '30', 'mountain_1', 'Dathomir');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '31', 'mountain_2', 'Dathomir');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '32', 'mountain_3', 'Dathomir');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '33', 'mountain_4', 'Dathomir');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '34', 'mountain_5', 'Dathomir');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '35', 'mountain_6', 'Dathomir');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '36', 'mountain_7', 'Dathomir');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '37', 'mountain_8', 'Dathomir');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '38', 'forest_1', 'Dathomir');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '39', 'forest_2', 'Dathomir');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '40', 'forest_3', 'Dathomir');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '41', 'forest_4', 'Dathomir');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '42', 'forest_5', 'Dathomir');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '43', 'nightsister_clan', 'Nightsister Clan');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '44', 'a_restricted_area', 'a restricted area');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '45', 'an_outpost', 'an outpost');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '46', 'vass_meindras_1', 'Vass Meindras');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '47', 'vass_meindras_2', 'Vass Meindras');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '48', 'vass_meindras_3', 'Vass Meindras');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '49', 'vass_meindras_4', 'Vass Meindras');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '50', 'vass_meindras_5', 'Vass Meindras');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '51', 'vass_meindras_6', 'Vass Meindras');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '52', 'susk_kinad_1', 'Susk\'kinad');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '53', 'susk_kinad_2', 'Susk\'kinad');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '54', 'lhon_kinad_1', 'Lhon\'kinad');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '55', 'lhon_kinad_2', 'Lhon\'kinad');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '56', 'lhon_kinad_3', 'Lhon\'kinad');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '57', 'rhoa_arod_1', 'Rhoa Arod');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '58', 'rhoa_arod_2', 'Rhoa Arod');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '59', 'rhoa_arod_3', 'Rhoa Arod');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '60', 'rhoa_sammir_1', 'Rhoa Sammir');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '61', 'rhoa_sammir_2', 'Rhoa Sammir');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '62', 'rhoa_sammir_3', 'Rhoa Sammir');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '63', 'rhoa_dun_1', 'Rhoa Dun');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '64', 'rhoa_dun_2', 'Rhoa Dun');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '65', 'rhoa_yenth', 'Rhoa Yenth');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '66', 'asou_dankal_1', 'Asou Dankal');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '67', 'asou_dankal_2', 'Asou Dankal');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '68', 'singing_mountain_1', 'Singing Mountain');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '69', 'twilight_forest', 'Twilight Forest');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '70', 'yumaou_risoath', 'Yumaou Risoath');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '71', 'takal_nax', 'Takal Nax');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '72', 'singing_mountain_fortress', 'Singing Mountain Fortress');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '73', 'science_outpost', 'Science Outpost');
INSERT INTO `client_strings` VALUES ('string/en/dathomir_region_names.stf', '74', 'trade_outpost', 'Trade Outpost');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '1', 'weapon_station_deed_name', 'Deed for: Weapon Crafting Station');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '2', 'food_station_deed_name', 'Deed for: Food Crafting Station');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '3', 'structure_station_deed_name', 'Deed for: Structure crafting station');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '4', 'fusion_generator_deed_name', 'Deed for: Fusion Power Generator');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '5', 'photo_bio_generator_deed_name', 'Deed for: Photo/Bio Power Generator');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '6', 'solar_generator_deed_name', 'Deed for: Solar Power Generator');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '7', 'wind_generator_deed_name', 'Deed for: Wind Power Generator');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '8', 'ore_s1_harvester_deed_name', 'Deed for: Personal Mineral Extractor');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '9', 'ore_s2_harvester_deed_name', 'Deed for: Mineral Mining Installation');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '10', 'liquid_harvester_deed_name', 'Deed for: Personal Chemical Extractor');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '11', 'moisture_harvester_deed_name', 'Deed for: Personal Moisture Vaporator');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '12', 'gas_harvester_deed_name', 'Deed for: Personal Natural Gas Processor');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '13', 'item_factory', 'Deed for: Equipment Factory');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '14', 'food_factory', 'Deed for: Food Factory');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '15', 'structure_factory', 'Deed for: Structure Factory');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '16', 'clothing_factory', 'Deed for: Wearables Factory');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '17', 'creature_harvester_deed_name', 'Deed for: Automated Creature Farm');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '18', 'flora_harvester_deed_name', 'Deed for: Micro Flora Farm');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '19', 'test_deed', 'Test Deed');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '20', 'tatooine_house_small_deed', 'Deed for: Small Tatooine House');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '21', 'tatooine_house_medium_deed', 'Deed for: Medium Tatooine House');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '22', 'tatooine_house_large_deed', 'Deed for: Large Tatooine House');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '23', 'tatooine_guild_deed', 'Deed for: Tatooine Guildhall');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '24', 'corellia_house_large_deed', 'Deed for: Large Corellia House');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '25', 'corellia_house_medium_deed', 'Deed for: Medium Corellia House');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '26', 'corellia_house_small_deed', 'Deed for: Small Corellia House');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '27', 'naboo_house_large_deed', 'Deed for: Large Naboo House');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '28', 'naboo_house_medium_deed', 'Deed for: Medium Naboo House');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '29', 'naboo_house_small_deed', 'Deed for: Small Naboo House');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '30', 'turret_block_large_deed_name', 'Deed for: Large Block Turret');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '31', 'turret_block_medium_deed_name', 'Deed for: Medium Block Turret');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '32', 'turret_block_small_deed_name', 'Deed for: Small Block Turret');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '33', 'ore_heavy_harvester_deed_name', 'Deed for: Heavy Mineral Mining Installation');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '34', 'flora_harvester_medium_deed_name', 'Deed for: Automated Flora Farm');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '35', 'flora_harvester_heavy_deed_name', 'Deed for: High Capacity Flora Farm');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '36', 'gas_harvester_medium_deed_name', 'Deed for: Natural Gas Processor');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '37', 'gas_harvester_heavy_deed_name', 'Deed for: Heavy Natural Gas Processor');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '38', 'moisture_harvester_heavy_deed_name', 'Deed for: High Efficiency Moisture Vaporator');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '39', 'moisture_harvester_medium_deed_name', 'Deed for: Moisture Vaporator');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '40', 'liquid_harvester_heavy_deed_name', 'Deed for: Deep Crust Chemical Extractor');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '41', 'liquid_harvester_medium_deed_name', 'Deed for: Chemical Extractor');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '42', 'covert_detector_32m', 'Deed for: Covert Faction Scanner');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '43', 'naboo_house_medium_style_2_deed', 'Deed for: Medium Naboo House (Style 2)');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '44', 'naboo_house_small_style_2_deed', 'Deed for: Small Naboo House (Style 2)');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '45', 'tatooine_house_small_style_2_deed', 'Deed for: Small Tatooine House (Style 2)');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '46', 'corellia_guild_deed', 'Deed for: Corellian Guild Hall');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '47', 'generic_guild_deed', 'Deed for: Generic Planet Guild Hall');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '48', 'naboo_guild_deed', 'Deed for: Naboo Guild Hall');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '49', 'tatooine_guild_2_deed', 'Deed for: Tatooine Guild Hall');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '50', 'generic_house_large_deed', 'Deed for: Large Generic Planet House');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '51', 'generic_house_large_style_2_deed', 'Deed for: Large Generic Planet House (Style 2)');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '52', 'generic_house_medium_deed', 'Deed for: Medium Generic Planet House');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '53', 'generic_house_medium_style_2_deed', 'Deed for: Medium Generic Planet House (Style 2)');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '54', 'generic_house_small_deed', 'Deed for: Small Generic Planet House');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '55', 'generic_house_small_floor_2_deed', 'Deed for: Small Generic Planet House (Floorplan 2)');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '56', 'generic_house_small_style_2_deed', 'Deed for: Small Generic Planet House (Style 2)');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '57', 'generic_house_small_style_2_floor_2_deed', 'Deed for: Small Generic Planet House (Style 2, Floorplan 2)');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '58', 'minefield_1x1', 'Deed for: Small Minefield');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '59', 'corellia_house_small_floor_2', 'Deed for: Small Corellia House (Floorplan 2)');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '60', 'corellia_house_small_style_2_floor_2_deed', 'Deed for: Small Corellia House (Style 2, Floorplan 2)');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '61', 'corellia_house_small_style_2_deed', 'Deed for: Small Corellia House (Style 2)');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '62', 'corellia_house_large_style_2_deed', 'Deed for: Large Corellia House (Style 2)');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '63', 'corellia_house_small_floor_2_deed', 'Deed for: Small Corellia House (Floorplan 2)');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '64', 'turret_tower_lg', 'Deed for: Large Turret Tower');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '65', 'turret_tower_med', 'Deed for: Medium Turret Tower');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '66', 'turret_tower_sm', 'Deed for: Small Turret Tower');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '67', 'turret_block_lg', 'Deed for: Large Block Turret');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '68', 'turret_dish_sm', 'Deed for: Small Dish Turret');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '69', 'turret_dish_med', 'Deed for: Medium Dish Turret');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '70', 'turret_dish_lg', 'Deed for: Large Dish Turret');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '71', 'turret_block_med', 'Deed for: Medium Block Turret');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '72', 'turret_block_sm', 'Deed for: Small Block Turret');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '73', 'hq_base', 'Deed for: Unknown Factional HQ');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '74', 'hq_s01', 'Deed for: Forward Outpost');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '75', 'hq_s02', 'Deed for: Field Hospital');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '76', 'hq_s03', 'Deed for: Tactical Center');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '77', 'hq_s04', 'Deed for: Detachment HQ');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '78', 'hq_s05', 'Deed for: Strategic Base');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '79', 'treadwell_basic_deed', 'Deed for: Treadwell Droid');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '80', 'p0_basic_deed', 'Deed for: Protocol Droid');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '81', 'binary_load_lifter_basic_deed', 'Deed for: Binary Load Lifter Droid');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '82', 'droid_basic_base_deed', 'Deed for: Droid Deed Base Object');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '83', 'dz70_advanced_basic_deed', 'Deed for: DZ70 Droid, Advanced Model');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '84', 'le_repair_advanced_basic_deed', 'Deed for: LE Repair Droid, Advanced Model');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '85', 'le_repair_basic_deed', 'Deed for: LE Repair Droid');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '86', 'mse_advanced_basic_deed', 'Deed for: MSE Droid, Advanced Model');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '87', 'power_advanced_basic_deed', 'Deed for: Power Droid, Advanced Model');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '88', 'power_basic_deed', 'Deed for: Power Droid');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '89', 'probot_advanced_basic_deed', 'Deed for: Probot, Advanced Model');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '90', 'r2_advanced_basic_deed', 'Deed for: R2 Droid, Advanced Model');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '91', 'r2_basic_deed', 'Deed for: R2 Droid');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '92', 'r3_advanced_basic_deed', 'Deed for: R3 Droid, Advanced Model');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '93', 'r4_advanced_basic_deed', 'Deed for: R4 Droid, Advanced Model');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '94', 'r4_basic_deed', 'Deed for: R4 Droid');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '95', 'r5_basic_deed', 'Deed for: R5 Droid');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '96', 'surgical_advanced_basic_deed', 'Deed for: Surgical Droid, Advanced Model');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '97', 'surgical_basic_deed', 'Deed for: Surgical Droid');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '98', 'p0_advanced_basic_deed', 'Deed for: Protocol Droid, Advanced Model');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '99', 'binary_load_lifter_advanced_basic_deed', 'Deed for: Binary Load Lifter Droid, Advanced Model');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '100', 'dz70_basic_deed', 'Deed for: DZ70 Droid');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '101', 'mse_basic_deed', 'Deed for: MSE Droid');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '102', 'probot_basic_deed', 'Deed for: Probot');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '103', 'r3_basic_deed', 'Deed for: R3 Droid');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '104', 'r5_advanced_basic_deed', 'Deed for: R5 Droid, Advanced Model');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '105', 'treadwell_advanced_basic_deed', 'Deed for: WED Treadwell, Advanced Model');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '106', 'tatooine_city_deed', 'Deed for: Tatooine City Hall');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '107', 'naboo_city_deed', 'Deed for: Naboo City Hall');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '108', 'corellia_city_deed', 'Deed for: Corellia City Hall');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '109', 'tatooine_hospital_deed', 'Deed for: Tatooine Hospital');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '110', 'naboo_hospital_deed', 'Deed for: Naboo Hospital');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '111', 'corellia_hospital_deed', 'Deed for: Corellia Hospital');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '112', 'naboo_theater_deed', 'Deed for: Naboo Theater');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '113', 'tatooine_theater_deed', 'Deed for: Tatooine Theater');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '114', 'corellia_theater_deed', 'Deed for: Corellia Theater');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '115', 'tatooine_cantina_deed', 'Deed for: Tatooine Cantina');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '116', 'naboo_cantina_deed', 'Deed for: Naboo Cantina');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '117', 'corellia_cantina_deed', 'Deed for: Corellia Cantina');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '118', 'tatooine_bank_deed', 'Deed for: Tatooine Bank');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '119', 'corellia_bank_deed', 'Deed for: Corellia Bank');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '120', 'naboo_bank_deed', 'Deed for: Naboo Bank');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '121', 'naboo_shuttleport_deed', 'Deed for: Naboo Shuttleport');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '122', 'corellia_shuttleport_deed', 'Deed for: Corellia Shuttleport');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '123', 'tatooine_shuttleport_deed', 'Deed for: Tatooine Shuttleport');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '124', 'corellia_cloning_deed', 'Deed for: Corellia Cloning Facility');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '125', 'naboo_cloning_deed', 'Deed for: Naboo Cloning Facility');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '126', 'tatooine_cloning_deed', 'Deed for: Tatooine Cloning Facility');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '127', 'garden_corellia_lrg_01_deed', 'Deed for: Large Garden');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '128', 'garden_corellia_lrg_02_deed', 'Deed for: Corellian Fountain Spire (Garden)');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '129', 'garden_corellia_lrg_03_deed', 'Deed for: Corellian Decorative Path (Garden)');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '130', 'garden_corellia_lrg_04_deed', 'Deed for: Corellian Planters (Garden)');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '131', 'garden_corellia_lrg_05_deed', 'Deed for: Corellian Shrine (Garden)');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '132', 'garden_corellia_med_01_deed', 'Deed for: Medium Garden');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '133', 'garden_corellia_med_02_deed', 'Deed for: Corellian Spires (Garden)');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '134', 'garden_corellia_med_03_deed', 'Deed for: Corellian Arches (Garden)');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '135', 'garden_corellia_med_04_deed', 'Deed for: Corellian Simple Arrangement (Garden)');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '136', 'garden_corellia_med_05_deed', 'Deed for: Corellian Fountain & Benches (Garden)');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '137', 'garden_corellia_sml_01_deed', 'Deed for: Small Garden');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '138', 'garden_corellia_sml_02_deed', 'Deed for: Corellian Artistic Arrangement (Garden)');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '139', 'garden_corellia_sml_03_deed', 'Deed for: Corellian Globe Arrangement (Garden)');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '140', 'garden_corellia_sml_04_deed', 'Deed for: Corellian Tree & Columns (Garden)');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '141', 'garden_corellia_sml_05_deed', 'Deed for: Corellian Small Fountain & Benches (Garden)');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '142', 'garden_dantooine_lrg_01_deed', 'Deed for: Dantooine Meditation Area (Garden)');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '143', 'garden_dantooine_med_01_deed', 'Deed for: Dantooine Spirit Stone (Garden)');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '144', 'garden_dantooine_sml_01_deed', 'Deed for: Dantooine Totem (Garden)');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '145', 'garden_dathomir_lrg_01_deed', 'Deed for: Dathomir Obelisk (Garden)');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '146', 'garden_dathomir_med_01_deed', 'Deed for: Dathomir Gnarled Tree (Garden)');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '147', 'garden_dathomir_sml_01_deed', 'Deed for: Dathomir Brazier (Garden)');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '148', 'garden_endor_lrg_01_deed', 'Deed for: Endor Huts (Garden)');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '149', 'garden_endor_med_01_deed', 'Deed for: Endor Meditative Area (Garden)');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '150', 'garden_endor_sml_01_deed', 'Deed for: Endor Small Arrangement (Garden)');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '151', 'garden_naboo_lrg_01_deed', 'Deed for: Naboo Round Atrium (Garden)');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '152', 'garden_naboo_lrg_02_deed', 'Deed for: Naboo Large Gazebo (Garden)');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '153', 'garden_naboo_lrg_03_deed', 'Deed for: Naboo Honored Stone (Garden)');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '154', 'garden_naboo_lrg_04_deed', 'Deed for: Naboo Rock Arrangement (Garden)');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '155', 'garden_naboo_lrg_05_deed', 'Deed for: Naboo Gazebo & Fountains (Garden)');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '156', 'garden_naboo_med_01_deed', 'Deed for: Naboo Decorative Path (Garden)');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '157', 'garden_naboo_med_02_deed', 'Deed for: Naboo Curved Wall (Garden)');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '158', 'garden_naboo_med_03_deed', 'Deed for: Naboo Trees & Spire (Garden)');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '159', 'garden_naboo_med_04_deed', 'Deed for: Naboo Trees & Sphere (Garden)');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '160', 'garden_naboo_med_05_deed', 'Deed for: Naboo Fountain & Benches (Garden)');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '161', 'garden_naboo_sml_01_deed', 'Deed for: Naboo Small Gazebo (Garden)');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '162', 'garden_naboo_sml_02_deed', 'Deed for: Naboo Small Arrangement (Garden)');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '163', 'garden_naboo_sml_03_deed', 'Deed for: Naboo Small Curved Wall (Garden)');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '164', 'garden_naboo_sml_04_deed', 'Deed for: Naboo Single Tree Arrangement (Garden)');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '165', 'garden_naboo_sml_05_deed', 'Deed for: Naboo Gungan Guardians (Garden)');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '166', 'garden_tatooine_lrg_01_deed', 'Deed for: Tatooine Arch Circle (Garden)');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '167', 'garden_tatooine_lrg_02_deed', 'Deed for: Tatooine Desert Flora Arrangement (Garden)');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '168', 'garden_tatooine_lrg_03_deed', 'Deed for: Tatooine Stone Arrangement (Garden)');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '169', 'garden_tatooine_lrg_04_deed', 'Deed for: Tatooine Stones & Walls (Garden)');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '170', 'garden_tatooine_lrg_05_deed', 'Deed for: Tatooine Shaded Place (Garden)');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '171', 'garden_tatooine_med_01_deed', 'Deed for: Tatooine Stone Path (Garden)');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '172', 'garden_tatooine_med_02_deed', 'Deed for: Tatooine Small Wall Arrangement (Garden)');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '173', 'garden_tatooine_med_03_deed', 'Deed for: Tatooine Dry Flora with Arch (Garden)');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '174', 'garden_tatooine_med_04_deed', 'Deed for: Tatooine Secluded Path (Garden)');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '175', 'garden_tatooine_med_05_deed', 'Deed for: Tatooine Cafe Area (Garden)');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '176', 'garden_tatooine_sml_01_deed', 'Deed for: Tatooine Palms (Garden)');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '177', 'garden_tatooine_sml_02_deed', 'Deed for: Tatooine Short Column Arrangement (Garden)');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '178', 'garden_tatooine_sml_03_deed', 'Deed for: Tatooine Palm & Stones (Garden)');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '179', 'garden_tatooine_sml_04_deed', 'Deed for: Tatooine Dry Planter (Garden)');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '180', 'garden_tatooine_sml_05_deed', 'Deed for: Tatooine Statue & Flowers (Garden)');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '181', 'merchant_tent', 'Deed for: Merchant Tent');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '182', 'merchant_tent_2', 'Deed for: Merchant Tent (Grey)');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '183', 'merchant_tent_3', 'Deed for: Merchant Tent (Green)');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '184', 'naboo_garage_deed', 'Deed for: Naboo Garage');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '185', 'corellia_garage_deed', 'Deed for: Corellia Garage');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '186', 'tatooine_garage_deed', 'Deed for: Tatooine Garage');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '187', 'hq_s01_pvp', 'Deed for: S.F. Forward Outpost');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '188', 'hq_s02_pvp', 'Deed for: S.F. Field Hospital');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '189', 'hq_s03_pvp', 'Deed for: S.F. Tactical Center');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '190', 'hq_s04_pvp', 'Deed for: S.F. Detachment HQ');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '191', 'hq_s05_pvp', 'Deed for: S.F. Strategic Base');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '192', 'hq_s01_rebel', 'Deed for: Alliance Forward Outpost');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '193', 'hq_s01_imperial', 'Deed for: Imperial Forward Outpost');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '194', 'hq_s01_pvp_rebel', 'Deed for: Alliance S.F. Forward Outpost');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '195', 'hq_s01_pvp_imperial', 'Deed for: Imperial S.F. Forward Outpost');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '196', 'hq_s02_rebel', 'Deed for: Alliance Field Hospital');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '197', 'hq_s02_imperial', 'Deed for: Imperial Field Hospital');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '198', 'hq_s02_pvp_rebel', 'Deed for: Alliance S.F. Field Hospital');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '199', 'hq_s02_pvp_imperial', 'Deed for: Imperial S.F. Field Hospital');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '200', 'hq_s03_imperial', 'Deed for: Imperial Tactical Center');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '201', 'hq_s03_rebel', 'Deed for: Alliance Tactical Center');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '202', 'hq_s03_pvp_imperial', 'Deed for: Imperial S.F. Tactical Center');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '203', 'hq_s03_pvp_rebel', 'Deed for: Alliance S.F. Tactical Center');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '204', 'hq_s04_imperial', 'Deed for: Imperial Detachment HQ');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '205', 'hq_s04_rebel', 'Deed for: Alliance Detachment HQ');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '206', 'hq_s04_pvp_imperial', 'Deed for: Imperial S.F. Detachment HQ');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '207', 'hq_s04_pvp_rebel', 'Deed for: Alliance S.F. Detachment HQ');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '208', 'hq_s05_imperial', 'Deed for: Imperial Strategic Base');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '209', 'hq_s05_rebel', 'Deed for: Rebel Strategic Base');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '210', 'hq_s05_pvp_imperial', 'Deed for: Imperial S.F. Strategic Base');
INSERT INTO `client_strings` VALUES ('string/en/deed.stf', '211', 'hq_s05_pvp_rebel', 'Deed for: Rebel S.F. Strategic Base');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '1', 'corellia_house_large_deed', 'A deed for a large Corellian house. This can only be placed on Corellia.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '2', 'corellia_house_medium_deed', 'A deed for a medium Corellian house. This can only be placed on Corellia.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '3', 'corellia_house_small_deed', 'A deed for a small Corellian house.  This can only be placed on Corellia.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '4', 'clothing_factory', 'A deed for a clothing and armor factory.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '5', 'food_factory', 'A deed for a food factory.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '6', 'item_factory', 'A deed for an item and weapon factory.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '7', 'structure_factory', 'A deed for a structure and installation factory.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '8', 'fusion_generator_deed_name', 'A deed for a fusion power generator.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '9', 'photo_bio_generator_deed_name', 'A deed for a photo-bio power generator.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '10', 'solar_generator_deed_name', 'A deed for a solar power generator.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '11', 'wind_generator_deed_name', 'A deed for a wind power generator.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '12', 'creature_harvester_deed_name', 'A deed for an automated creature farm installation.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '13', 'flora_harvester_deed_name', 'A deed for an automated flora farm installation.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '14', 'gas_harvester_deed_name', 'A deed for a gas harvester installation.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '15', 'liquid_harvester_deed_name', 'A deed for a liquid harvester installation.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '16', 'moisture_harvester_deed_name', 'A deed for a moisture harvester apparatus.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '17', 'ore_s1_harvester_deed_name', 'A deed for an ore harvester (Style 1) apparatus.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '18', 'ore_s2_harvester_name', 'A deed for an ore harvester (Style 2) apparatus.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '19', 'naboo_house_large_deed', 'A deed for a large Naboo house. This can only be placed on Naboo.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '20', 'naboo_house_medium_deed', 'A deed for a medium Naboo house. This can only be placed on Naboo.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '21', 'naboo_house_small_deed', 'A deed for a small Naboo house. This can only be placed on Naboo.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '22', 'tatooine_house_large_deed', 'A deed for a large Tatooine house. This can only be placed on Tatooine.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '23', 'tatooine_house_medium_deed', 'A deed for a medium Tatooine house. This can only be placed on Tatooine.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '24', 'tatooine_house_small_deed', 'A deed for a small Tatooine house. This can only be placed on Tatooine.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '25', 'turret_block_large_deed_name', 'A deed for a large block turret.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '26', 'turret_block_medium_deed_name', 'A deed for a medium block turret.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '27', 'turret_block_small_deed_name', 'A deed for a small block turret.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '28', 'covert_detector_32m', 'A deed for a covert faction scanner.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '29', 'ore_s2_harvester_deed_name', 'A deed for an ore harvester (Style 2) apparatus.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '30', 'naboo_house_medium_style_2_deed', 'A deed for a medium Naboo house. This is the second style design. This can only be placed on Naboo.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '31', 'naboo_house_small_style_2_deed', 'A deed for a small Naboo house. This is the second style design. This can only be placed on Naboo.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '32', 'tatooine_house_small_style_2_deed', 'A deed for a small Tatooine house. This is the second style design. This can only be placed on Tatooine.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '33', 'minefield_1x1', 'A deed for a small minefield.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '34', 'moisture_harvester_medium_deed_name', 'A deed for a medium moisture harvester apparatus.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '35', 'gas_harvester_medium_deed_name', 'A deed for a medium gas harvester installation.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '36', 'liquid_harvester_medium_deed_name', 'A deed for a medium liquid harvester installation.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '37', 'corellia_house_small_floor_2_deed', 'A deed for a small Corellian house. This is the second floorplan design.  This can only be placed on Corellia.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '38', 'liquid_harvester_heavy_deed_name', 'A deed for a heavy liquid harvester installation.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '39', 'flora_harvester_medium_deed_name', 'A deed for a medium flora harvester installation.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '40', 'flora_harvester_heavy_deed_name', 'A deed for a heavy flora harvester installation.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '41', 'corellia_house_small_style_2_floor_2_deed', 'A deed for a small Corellian house.  This is the second floorplan design complemented by the second style design. This can only be placed on Corellia.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '42', 'corellia_house_small_style_2_deed', 'A deed for a small Corellian house.  This is the second style design. This can only be placed on Corellia.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '43', 'generic_house_small_floor_2_deed', 'A deed for a small generic house.  This is the second floorplan design.  This can be placed on several different planets.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '44', 'generic_house_small_deed', 'A deed for a small generic house.  This can be placed on several different planets.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '45', 'generic_house_small_style_2_deed', 'A deed for a small generic house. This is the 2nd style design. This can be placed on several different planets.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '46', 'generic_house_medium_deed', 'A deed for a medium generic house.  This can be placed on several different planets.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '47', 'generic_house_medium_style_2_deed', 'A deed for a medium generic house. This is the second style design. This can be placed on several different planets.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '48', 'generic_house_large_style_2_deed', 'A deed for a large generic house. This is the second style design. This can be placed on several different planets.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '49', 'generic_house_large_deed', 'A deed for a large generic house. This can be placed on several different planets.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '50', 'corellia_house_large_style_2_deed', 'A deed for a large Corellian house. This is the second style design. This can only be placed on Corellia.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '51', 'turret_tower_lg', 'A deed for a large tower turret.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '52', 'turret_tower_sm', 'A deed for a small tower turret.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '53', 'turret_tower_med', 'A deed for a medium tower turret.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '54', 'turret_block_lg', 'A deed for a large block turret.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '55', 'turret_block_sm', 'A deed for a small block turret.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '56', 'turret_dish_lg', 'A deed for a large dish turret.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '57', 'turret_dish_sm', 'A deed for a small dish turret.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '58', 'turret_dish_med', 'A deed for a medium dish turret.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '59', 'turret_block_med', 'A deed for a medium block turret.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '60', 'hq_base', 'A deed for an unknown faction headquarters.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '61', 'hq_s01', 'A deed for a factional forward outpost.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '62', 'hq_s02', 'A deed for a factional field hospital.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '63', 'hq_s03', 'A deed for a factional tactical center.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '64', 'hq_s04', 'A deed for a factional detachment headquarts.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '65', 'hq_s05', 'A deed for a factional strategic base.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '66', 'gas_harvester_heavy_deed_name', 'This deed can be used to place a heavy gas harvester.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '67', 'moisture_harvester_heavy_deed_name', 'This deed can be used to place a heavy moisture harvester.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '68', 'ore_heavy_harvester_deed_name', 'This deed can be used to place a heavy ore harvester.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '69', 'treadwell_basic_deed', 'This is a deed for a custom-crafted Droid unit. To use this deed, use the READY DROID UNIT option, and your droid will be generated and the deed used up.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '70', 'binary_load_lifter_advanced_basic_deed', 'This is a deed for a custom-crafted Droid unit. To use this deed, use the READY DROID UNIT option, and your droid will be generated and the deed used up.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '71', 'binary_load_lifter_basic_deed', 'This is a deed for a custom-crafted Droid unit. To use this deed, use the READY DROID UNIT option, and your droid will be generated and the deed used up.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '72', 'droid_basic_base_deed', 'This is a deed for a custom-crafted Droid unit. To use this deed, use the READY DROID UNIT option, and your droid will be generated and the deed used up.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '73', 'dz70_basic_deed', 'This is a deed for a custom-crafted Droid unit. To use this deed, use the READY DROID UNIT option, and your droid will be generated and the deed used up.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '74', 'le_repair_advanced_basic_deed', 'This is a deed for a custom-crafted Droid unit. To use this deed, use the READY DROID UNIT option, and your droid will be generated and the deed used up.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '75', 'le_repair_basic_deed', 'This is a deed for a custom-crafted Droid unit. To use this deed, use the READY DROID UNIT option, and your droid will be generated and the deed used up.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '76', 'mse_basic_deed', 'This is a deed for a custom-crafted Droid unit. To use this deed, use the READY DROID UNIT option, and your droid will be generated and the deed used up.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '77', 'power_advanced_basic_deed', 'This is a deed for a custom-crafted Droid unit. To use this deed, use the READY DROID UNIT option, and your droid will be generated and the deed used up.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '78', 'probot_advanced_basic_deed', 'This is a deed for a custom-crafted Droid unit. To use this deed, use the READY DROID UNIT option, and your droid will be generated and the deed used up.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '79', 'probot_basic_deed', 'This is a deed for a custom-crafted Droid unit. To use this deed, use the READY DROID UNIT option, and your droid will be generated and the deed used up.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '80', 'r2_advanced_basic_deed', 'This is a deed for a custom-crafted Droid unit. To use this deed, use the READY DROID UNIT option, and your droid will be generated and the deed used up.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '81', 'r2_basic_deed', 'This is a deed for a custom-crafted Droid unit. To use this deed, use the READY DROID UNIT option, and your droid will be generated and the deed used up.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '82', 'r3_advanced_basic_deed', 'This is a deed for a custom-crafted Droid unit. To use this deed, use the READY DROID UNIT option, and your droid will be generated and the deed used up.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '83', 'r4_advanced_basic_deed', 'This is a deed for a custom-crafted Droid unit. To use this deed, use the READY DROID UNIT option, and your droid will be generated and the deed used up.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '84', 'r4_basic_deed', 'This is a deed for a custom-crafted Droid unit. To use this deed, use the READY DROID UNIT option, and your droid will be generated and the deed used up.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '85', 'r5_advanced_basic_deed', 'This is a deed for a custom-crafted Droid unit. To use this deed, use the READY DROID UNIT option, and your droid will be generated and the deed used up.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '86', 'surgical_advanced_basic_deed', 'This is a deed for a custom-crafted Droid unit. To use this deed, use the READY DROID UNIT option, and your droid will be generated and the deed used up.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '87', 'surgical_basic_deed', 'This is a deed for a custom-crafted Droid unit. To use this deed, use the READY DROID UNIT option, and your droid will be generated and the deed used up.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '88', 'treadwell_advanced_basic_deed', 'This is a deed for a custom-crafted Droid unit. To use this deed, use the READY DROID UNIT option, and your droid will be generated and the deed used up.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '89', 'p0_advanced_basic_deed', 'This is a deed for a custom-crafted Droid unit. To use this deed, use the READY DROID UNIT option, and your droid will be generated and the deed used up.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '90', 'p0_basic_deed', 'This is a deed for a custom-crafted Droid unit. To use this deed, use the READY DROID UNIT option, and your droid will be generated and the deed used up.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '91', 'dz70_advanced_basic_deed', 'This is a deed for a custom-crafted Droid unit. To use this deed, use the READY DROID UNIT option, and your droid will be generated and the deed used up.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '92', 'mse_advanced_basic_deed', 'This is a deed for a custom-crafted Droid unit. To use this deed, use the READY DROID UNIT option, and your droid will be generated and the deed used up.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '93', 'power_basic_deed', 'This is a deed for a custom-crafted Droid unit. To use this deed, use the READY DROID UNIT option, and your droid will be generated and the deed used up.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '94', 'r3_basic_deed', 'This is a deed for a custom-crafted Droid unit. To use this deed, use the READY DROID UNIT option, and your droid will be generated and the deed used up.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '95', 'r5_basic_deed', 'This is a deed for a custom-crafted Droid unit. To use this deed, use the READY DROID UNIT option, and your droid will be generated and the deed used up.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '96', 'merchant_tent', 'A small tent for Merchants to sell their wares.  This structure is a cooperative crafting project between Tailors and Architects.  Tailors supply the raw materials for the covering and Architects bind the components to a metal frame and foundation.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '97', 'hq_s01_pvp', 'A deed for a S.F. factional forward outpost.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '98', 'hq_s02_pvp', 'A deed for a S.F. factional field hospital.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '99', 'hq_s03_pvp', 'A deed for a S.F. factional tactical center.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '100', 'hq_s04_pvp', 'A deed for a S.F. factional detachment headquarts.');
INSERT INTO `client_strings` VALUES ('string/en/deed_detail.stf', '101', 'hq_s05_pvp', 'A deed for a S.F. factional strategic base.');
INSERT INTO `client_strings` VALUES ('string/en/dera.stf', '1', 'dd1', 'Hi there. My name is Dera. What can I do for you?\n');
INSERT INTO `client_strings` VALUES ('string/en/dera.stf', '2', 'dd2', 'I heard you joined with the Rebellion. So have I. There are many things we can do to help the Alliance... even here on Tatooine. Will you help me?\n');
INSERT INTO `client_strings` VALUES ('string/en/dera.stf', '3', 'dd3', 'If you plan to interrogate me, you will need the proper paperwork. The Darklighters have no use for Imperials, you ignorant sithspawn.\n');
INSERT INTO `client_strings` VALUES ('string/en/dera.stf', '4', 'dd4', 'A Hutt gangster. How odd it is to see your kind when you\'re not robbing or killing people. Get back to your bloated master and stay off our property!\n');
INSERT INTO `client_strings` VALUES ('string/en/dera.stf', '5', 'dd5', 'What do you know of the rebellion against the Empire? \n');
INSERT INTO `client_strings` VALUES ('string/en/dera.stf', '6', 'dd6', 'What is this place? \n');
INSERT INTO `client_strings` VALUES ('string/en/dera.stf', '7', 'dd7', 'I want to join the rebel alliance. \n');
INSERT INTO `client_strings` VALUES ('string/en/dera.stf', '8', 'dd8', 'My brother is a pilot with the Alliance. I\'ve never flown a fighter, but still I  work hard to support the rebellion here on Tatooine, and across the Outer Rim territories. Are you interested in aiding us?\n');
INSERT INTO `client_strings` VALUES ('string/en/dera.stf', '9', 'dd9', 'This is my family\'s estate. Before I was born, my father made a fortune in trade. Although my father could care less, I try to use our family resources to help the Rebel Alliance across the Outer Rim territories. Are you interested in helping, too?\n');
INSERT INTO `client_strings` VALUES ('string/en/dera.stf', '10', 'dd10', 'I thought so. People don\'t come here for much else. Signing up with the Alliance means a lot of hard work. Are you prepared to undertake some critical, especially dangerous, tasks?\n');
INSERT INTO `client_strings` VALUES ('string/en/dera.stf', '12', 'dd12', 'Can you tell me more about the Alliance?\n');
INSERT INTO `client_strings` VALUES ('string/en/dera.stf', '13', 'dd13', 'What do you do for the Alliance? \n');
INSERT INTO `client_strings` VALUES ('string/en/dera.stf', '14', 'dd14', 'No. I can\'t help you right now. \n');
INSERT INTO `client_strings` VALUES ('string/en/dera.stf', '15', 'dd15', 'The Alliance does not have near enough people to complete all of its objectives. Here on Tatooine there are many things that must be done in order for the Alliance to survive. I have a list of tasks that must be completed. May I assign one to you?\n');
INSERT INTO `client_strings` VALUES ('string/en/dera.stf', '16', 'dd16', 'Alliance forces are comprised of species from all systems throughout the galaxy. All those who yearn to live in freedom...  all those who oppose the Emperor\'s tyranny, are now fighting for justice. Are you willing to fight for what you believe in?\n');
INSERT INTO `client_strings` VALUES ('string/en/dera.stf', '17', 'dd17', 'My brother is a fighter pilot in the Alliance fleet. He was there during the battle of Yavin 4 when the alliance destroyed the \'Death Star\'. I have been coordinating activities here on Tatooine... carrying out all military operations that my people and I can handle. The question is...  what will you do for the Alliance? Will you help us?\n');
INSERT INTO `client_strings` VALUES ('string/en/dera.stf', '18', 'dd18', 'So be it. It\'s a shame, though. You look like someone who could really make a difference. I hope to speak with you again soon.\n');
INSERT INTO `client_strings` VALUES ('string/en/dera.stf', '19', 'dd19', 'Yes. I will take a mission. \n');
INSERT INTO `client_strings` VALUES ('string/en/dera.stf', '20', 'dd20', 'No. I can\'t help you right now \n');
INSERT INTO `client_strings` VALUES ('string/en/dera.stf', '21', 'dd21', 'Excellent!  The Force be with you.\n');
INSERT INTO `client_strings` VALUES ('string/en/dera.stf', '22', 'dd22', 'I thank you, and the Alliance thanks you for your valiant efforts. But there is a lot more we still have to do. Please meet me at my family\'s private club.  Here are the coordinates. We will discuss the next phase of our operation. May the Force be with you!\n');
INSERT INTO `client_strings` VALUES ('string/en/dera.stf', '23', 'dd23', 'I am glad to see you. We have little time so I will get straight to it. Jabba has bribed many high-ranking officials within the Imperial fleet so that he can acquire fleet-movement data. He uses this data to protect his spice shipments. Of course, this information would be much more useful to the Alliance... it could save millions of lives.\n');
INSERT INTO `client_strings` VALUES ('string/en/dera.stf', '24', 'dd24', 'I was looking forward to this meeting, but I see that my hopes were too high. You\'re not the person I once knew. I wish I had the time to find out why you abandoned the Rebellion, but I am too busy. Shut the door behind you when you leave! \n');
INSERT INTO `client_strings` VALUES ('string/en/dera.stf', '25', 'dd25', 'You again. Are you here to make up?\n');
INSERT INTO `client_strings` VALUES ('string/en/dera.stf', '26', 'dd26', 'Yes. I\'m sorry. I want to work for the Alliance. \n');
INSERT INTO `client_strings` VALUES ('string/en/dera.stf', '27', 'dd27', 'No. You got me confused with someone else.\n');
INSERT INTO `client_strings` VALUES ('string/en/dera.stf', '28', 'dd28', 'Okay. I\'ll give you another chance. Good luck.\n');
INSERT INTO `client_strings` VALUES ('string/en/dera.stf', '29', 'dd29', 'Fine. Bye.\n');
INSERT INTO `client_strings` VALUES ('string/en/dera.stf', '30', 'dd30', 'What can I do to help? \n');
INSERT INTO `client_strings` VALUES ('string/en/dera.stf', '31', 'dd31', 'How does Jabba use the data? \n');
INSERT INTO `client_strings` VALUES ('string/en/dera.stf', '32', 'dd32', 'How will the fleet-movement data help the Alliance? \n');
INSERT INTO `client_strings` VALUES ('string/en/dera.stf', '33', 'dd33', 'I need you to infiltrate Jabba\'s palace, do whatever tasks are required by him... his hirelings, his major-domo, anything. Just get close and personal with Jabba. When he trusts you enough, you will be allowed to meet with him in his private chambers. Once you reach his chambers, you\'ll steal the coded Imperial fleet traffic data and return it to me.\n');
INSERT INTO `client_strings` VALUES ('string/en/dera.stf', '34', 'dd34', 'Jabba provides the data to his favorite spice smugglers. That way, they can easily avoid tangling with Imperial craft.\n');
INSERT INTO `client_strings` VALUES ('string/en/dera.stf', '35', 'dd35', 'That should be obvious. We will use the Imperial fleet data to help our craft move through the galaxy undetected. This kind of intelligence data could help us win this war.\n');
INSERT INTO `client_strings` VALUES ('string/en/dera.stf', '36', 'dd36', 'How do you expect me to get in to Jabba\'s palace? \n');
INSERT INTO `client_strings` VALUES ('string/en/dera.stf', '37', 'dd37', 'Should I simply go there and offer my services as a criminal? \n');
INSERT INTO `client_strings` VALUES ('string/en/dera.stf', '38', 'dd38', 'To enter the palace, you will need to do something that benefits the Hutts. One of my contacts tells me of a thief who stole a favorite personal item belonging to Jabba. If you were to recover the item, I believe that they will give you their trust and cooperation, well, ask much as you could hope for from a Hutt anyway.\n');
INSERT INTO `client_strings` VALUES ('string/en/dera.stf', '39', 'dd39', 'No. You will need to do something for them first. I know of a thief who escaped the palace with one of Jabba\'s favorite personal items. If you catch the thief, and return the item to Jabba, they will undoubtedly give you their trust.\n');
INSERT INTO `client_strings` VALUES ('string/en/dera.stf', '40', 'dd40', 'Where can I find this thief? \n');
INSERT INTO `client_strings` VALUES ('string/en/dera.stf', '41', 'dd41', 'What else do you know about the thief? \n');
INSERT INTO `client_strings` VALUES ('string/en/dera.stf', '42', 'dd42', 'You can find the thief at <location>. I don\'t know how dangerous he is, but I imagine you can take him down with no trouble. Grab the item from him and take it to Jabba\'s palace. Once you have worked your way through their ranks, I\'ll contact you again. Good luck!\n');
INSERT INTO `client_strings` VALUES ('string/en/dera.stf', '43', 'dd43', 'I can only tell you where to find him. He\'ll be at <location>. Take him down and grab the item from him. Then take the item to Jabba\'s palace and offer your services. Once you have worked your way through their ranks, I will contact you again. The Force be with you.\n');
INSERT INTO `client_strings` VALUES ('string/en/dera.stf', '45', 'dd45', 'Good you have it. Now take it to Jabba\'s palace. Go there now, offer your services to them, and I will contact you later on with further instructions.\n');
INSERT INTO `client_strings` VALUES ('string/en/dera.stf', '47', 'dd47', 'It\'s good to see you again. How are things going with Jabba?\n');
INSERT INTO `client_strings` VALUES ('string/en/dera.stf', '48', 'dd48', 'I am getting closer to him every day. \n');
INSERT INTO `client_strings` VALUES ('string/en/dera.stf', '49', 'dd49', 'His people don\'t seem to trust me as much as I\'d like them to. \n');
INSERT INTO `client_strings` VALUES ('string/en/dera.stf', '50', 'dd50', 'Not so good. I could use more help. \n');
INSERT INTO `client_strings` VALUES ('string/en/dera.stf', '51', 'dd51', 'Excellent. You should get back there and press on! I\'ll send a message to you later on with final instructions. The Force be with you.\n');
INSERT INTO `client_strings` VALUES ('string/en/dera.stf', '52', 'dd52', 'You will need to try harder then. Do what they ask of you... and do your best to make them happy. You may have to do unsavory tasks to maintain your cover but when we have the Imperial fleet data, it will all be worth it. Good luck!\n');
INSERT INTO `client_strings` VALUES ('string/en/dera.stf', '53', 'dd53', 'I wish I could help you more. Even with the victory at Yavin, the Alliance has a very long way to go. Stay focused on earning the Hutts\' respect and you\'ll do fine. I\'ll contact you later on with further instructions. Take care of yourself!\n');
INSERT INTO `client_strings` VALUES ('string/en/dera.stf', '55', 'dd55', '<Radio Msg.> Great job! You have taken the fleet data! Let\'s meet again... find me at my family\'s club in Bestine.\n');
INSERT INTO `client_strings` VALUES ('string/en/dera.stf', '57', 'dd57', 'Perfect! I will send this data disc on to the Alliance base. This is going to save lifes, my friend. Now, I?m sure that Jabba does not suspect you as a thief ? so feel free to return to him for further missions. You may learn more important things to help the Rebels. Return to me when you?d like more assignments. I look forward to working with you again.\n');
INSERT INTO `client_strings` VALUES ('string/en/dice/dice.stf', '1', 'dice_roll_single', 'Roll');
INSERT INTO `client_strings` VALUES ('string/en/dice/dice.stf', '4', 'dice_two_single', 'Two-sided die');
INSERT INTO `client_strings` VALUES ('string/en/dice/dice.stf', '5', 'dice_three_single', 'Three-sided die');
INSERT INTO `client_strings` VALUES ('string/en/dice/dice.stf', '6', 'dice_four_single', 'Four-sided die');
INSERT INTO `client_strings` VALUES ('string/en/dice/dice.stf', '7', 'dice_five_single', 'Five-sided die');
INSERT INTO `client_strings` VALUES ('string/en/dice/dice.stf', '8', 'dice_six_single', 'Six-sided die');
INSERT INTO `client_strings` VALUES ('string/en/dice/dice.stf', '9', 'dice_seven_single', 'Seven-sided die');
INSERT INTO `client_strings` VALUES ('string/en/dice/dice.stf', '10', 'dice_eight_single', 'Eight-sided die');
INSERT INTO `client_strings` VALUES ('string/en/dice/dice.stf', '11', 'dice_roll_two_single', 'Two dice');
INSERT INTO `client_strings` VALUES ('string/en/dice/dice.stf', '12', 'dice_roll_three_single', 'Three dice');
INSERT INTO `client_strings` VALUES ('string/en/dice/dice.stf', '13', 'dice_roll_four_single', 'Four dice');
INSERT INTO `client_strings` VALUES ('string/en/dice/dice.stf', '14', 'dice_roll_one_single', 'One die');
INSERT INTO `client_strings` VALUES ('string/en/dice/dice.stf', '15', 'one_one_hundred_single', '%TU\'s 1 one hundred sided die rolled a value of%TO.');
INSERT INTO `client_strings` VALUES ('string/en/dice/dice.stf', '16', 'two_one_hundred_single', '%TU\'s 2 one hundred sided dice rolled values of%TO.');
INSERT INTO `client_strings` VALUES ('string/en/dice/dice.stf', '17', 'three_one_hundred_single', '%TU\'s 3 one hundred sided dice rolled values of%TO.');
INSERT INTO `client_strings` VALUES ('string/en/dice/dice.stf', '18', 'four_one_hundred_single', '%TU\'s 4 one hundred sided dice rolled values of %TO.');
INSERT INTO `client_strings` VALUES ('string/en/dice/dice.stf', '19', 'one_six_single', '%TU\'s 1 six sided die rolled a value of%TO.');
INSERT INTO `client_strings` VALUES ('string/en/dice/dice.stf', '20', 'two_six_single', '%TU\'s 2 six sided dice rolled values of%TO.');
INSERT INTO `client_strings` VALUES ('string/en/dice/dice.stf', '21', 'three_six_single', '%TU\'s 3 six sided dice rolled values of%TO.');
INSERT INTO `client_strings` VALUES ('string/en/dice/dice.stf', '22', 'four_six_single', '%TU\'s 4 six sided dice rolled values of%TO.');
INSERT INTO `client_strings` VALUES ('string/en/dice/dice.stf', '23', 'one_ten_single', '%TU\'s 1 ten sided die rolled a value of%TO.');
INSERT INTO `client_strings` VALUES ('string/en/dice/dice.stf', '24', 'two_ten_single', '%TU\'s 2 ten sided dice rolled values of%TO.');
INSERT INTO `client_strings` VALUES ('string/en/dice/dice.stf', '25', 'three_ten_single', '%TU\'s 3 ten sided dice rolled values of%TO.');
INSERT INTO `client_strings` VALUES ('string/en/dice/dice.stf', '26', 'four_ten_single', '%TU\'s 4 ten sided dice rolled values of%TO.');
INSERT INTO `client_strings` VALUES ('string/en/dice/dice.stf', '27', 'one_twelve_single', '%TU\'s 1 twelve sided die rolled a value of%TO.');
INSERT INTO `client_strings` VALUES ('string/en/dice/dice.stf', '28', 'two_twelve_single', '%TU\'s 2 twelve sided dice rolled values of%TO.');
INSERT INTO `client_strings` VALUES ('string/en/dice/dice.stf', '29', 'three_twelve_single', '%TU\'s 3 twelve sided dice rolled values of%TO.');
INSERT INTO `client_strings` VALUES ('string/en/dice/dice.stf', '30', 'four_twelve_single', '%TU\'s 4 twelve sided dice rolled values of%TO.');
INSERT INTO `client_strings` VALUES ('string/en/dice/dice.stf', '31', 'one_twenty_single', '%TU\'s 1 twenty sided die rolled a value of%TO.');
INSERT INTO `client_strings` VALUES ('string/en/dice/dice.stf', '32', 'two_twenty_single', '%TU\'s 2 twenty sided dice rolled values of%TO.');
INSERT INTO `client_strings` VALUES ('string/en/dice/dice.stf', '33', 'three_twenty_single', '%TU\'s 3 twenty sided dice rolled values of%TO.');
INSERT INTO `client_strings` VALUES ('string/en/dice/dice.stf', '34', 'four_twenty_single', '%TU\'s 4 twenty sided dice rolled values of%TO.');
INSERT INTO `client_strings` VALUES ('string/en/dice/dice.stf', '35', 'chance_cube_red_result_single', '%TU\'s chance cube rolled the color red.');
INSERT INTO `client_strings` VALUES ('string/en/dice/dice.stf', '36', 'chance_cube_blue_result_single', '%TU\'s chance cube rolled the color blue.');
INSERT INTO `client_strings` VALUES ('string/en/dice/dice.stf', '38', 'configurable_dice_result_single', '%TU\'s %DI sided die rolled a value of %TO.');
INSERT INTO `client_strings` VALUES ('string/en/dice/dice.stf', '39', 'dice_configure_msg', 'You must configure the dice first.');
INSERT INTO `client_strings` VALUES ('string/en/dice/dice.stf', '40', 'red', 'red');
INSERT INTO `client_strings` VALUES ('string/en/dice/dice.stf', '41', 'blue', 'blue');
INSERT INTO `client_strings` VALUES ('string/en/dice/dice.stf', '42', 'chance_cube_result_self', 'Your chance cube rolled the color %TO.');
INSERT INTO `client_strings` VALUES ('string/en/dice/dice.stf', '43', 'chance_cube_result_other', '%TT\'s chance cube rolled the color %TO.');
INSERT INTO `client_strings` VALUES ('string/en/dice/dice.stf', '44', 'configurable_dice_result_self', 'Your %DI sided die rolled a value of %TO.');
INSERT INTO `client_strings` VALUES ('string/en/dice/dice.stf', '45', 'roll_many_self', 'Your %DI %TT-sided dice rolled values of%TO.');
INSERT INTO `client_strings` VALUES ('string/en/dice/dice.stf', '46', 'roll_many_other', '%TU\'s %DI %TT-sided dice rolled values of%TO.');
INSERT INTO `client_strings` VALUES ('string/en/dice/dice.stf', '47', 'six', 'six');
INSERT INTO `client_strings` VALUES ('string/en/dice/dice.stf', '48', 'ten', 'ten');
INSERT INTO `client_strings` VALUES ('string/en/dice/dice.stf', '49', 'twelve', 'twelve');
INSERT INTO `client_strings` VALUES ('string/en/dice/dice.stf', '50', 'twenty', 'twenty');
INSERT INTO `client_strings` VALUES ('string/en/dice/dice.stf', '51', 'one_hundred', 'one hundred');
INSERT INTO `client_strings` VALUES ('string/en/dice/dice.stf', '52', 'roll_one_self', 'Your %TT-sided die rolled a value of%TO.');
INSERT INTO `client_strings` VALUES ('string/en/dice/dice.stf', '53', 'roll_one_other', '%TU\'s %TT-sided die rolled a value of%TO.');
INSERT INTO `client_strings` VALUES ('string/en/dice/dice_details.stf', '1', 'eqp_chance_cube_single', 'Chance Cube');
INSERT INTO `client_strings` VALUES ('string/en/dice/dice_details.stf', '2', 'eqp_configurable_group_dice_single', 'Configurable Dice');
INSERT INTO `client_strings` VALUES ('string/en/dice/dice_details.stf', '3', 'eqp_six_sided_dice_set_single', 'Six Sided Dice Set');
INSERT INTO `client_strings` VALUES ('string/en/dice/dice_details.stf', '4', 'eqp_ten_sided_dice_set_single', 'Ten Sided Dice Set');
INSERT INTO `client_strings` VALUES ('string/en/dice/dice_details.stf', '5', 'eqp_twelve_sided_dice_set_single', 'Twelve Sided Dice Set');
INSERT INTO `client_strings` VALUES ('string/en/dice/dice_details.stf', '6', 'eqp_twenty_sided_dice_set_single', 'Twenty Sided Dice Set');
INSERT INTO `client_strings` VALUES ('string/en/dice/dice_details.stf', '7', 'eqp_one_hundred_sided_dice_set_single', 'One Hundred Sided Dice Set');
INSERT INTO `client_strings` VALUES ('string/en/dice/dice_details.stf', '8', 'eqp_chance_cube_single_d', 'A single chance cube. ');
INSERT INTO `client_strings` VALUES ('string/en/dice/dice_details.stf', '9', 'eqp_configurable_group_dice_single_d', 'These are configurable dice.');
INSERT INTO `client_strings` VALUES ('string/en/dice/dice_details.stf', '10', 'eqp_one_hundred_sided_dice_set_single_d', 'A set of one hundred sided dice.');
INSERT INTO `client_strings` VALUES ('string/en/dice/dice_details.stf', '11', 'eqp_six_sided_dice_set_single_d', 'A set of standard six sided dice.');
INSERT INTO `client_strings` VALUES ('string/en/dice/dice_details.stf', '12', 'eqp_ten_sided_dice_set_single_d', 'A set of standard ten sided dice.');
INSERT INTO `client_strings` VALUES ('string/en/dice/dice_details.stf', '13', 'eqp_twelve_sided_dice_set_single_d', 'A set of standard twelve sided dice.');
INSERT INTO `client_strings` VALUES ('string/en/dice/dice_details.stf', '14', 'eqp_twenty_sided_dice_set_single_d', 'A set of standard twenty sided dice.');
INSERT INTO `client_strings` VALUES ('string/en/dice/dice_details.stf', '15', 'eqp_dice_configure', 'Configure');
INSERT INTO `client_strings` VALUES ('string/en/dice/dice_details.stf', '16', 'eqp_twenty_sided_dice_set_single_s', 'Twenty Sided Dice Set');
INSERT INTO `client_strings` VALUES ('string/en/dispenser.stf', '1', 'medicine_dispenser', 'Medicine Dispenser');
INSERT INTO `client_strings` VALUES ('string/en/dispenser.stf', '2', 'nothing_to_buy', 'There is nothing to buy at this dispenser.');
INSERT INTO `client_strings` VALUES ('string/en/dispenser.stf', '3', 'select_purchase', 'Make your purchase selection.  All items cost 5 credits.');
INSERT INTO `client_strings` VALUES ('string/en/dispenser.stf', '4', 'invalid_selection', 'That is an invalid selection.');
INSERT INTO `client_strings` VALUES ('string/en/dispenser.stf', '5', 'purchase_complete', 'Purchase complete.');
INSERT INTO `client_strings` VALUES ('string/en/dispenser.stf', '6', 'insufficient_funds', 'You do not have enough credits to make the purchase.');
INSERT INTO `client_strings` VALUES ('string/en/dispenser.stf', '7', 'purchase_medicine', 'Purchase Medicine');
INSERT INTO `client_strings` VALUES ('string/en/dispenser.stf', '8', 'instrument_dispenser', 'Instrument Dispenser');
INSERT INTO `client_strings` VALUES ('string/en/dispenser.stf', '9', 'purchase_instrument', 'Purchase Instrument');
INSERT INTO `client_strings` VALUES ('string/en/dispenser.stf', '10', 'purchase_tool', 'Purchase Tool');
INSERT INTO `client_strings` VALUES ('string/en/dispenser.stf', '11', 'tool_dispenser', 'Tool Dispenser');
INSERT INTO `client_strings` VALUES ('string/en/dispenser.stf', '12', 'purchase_clothing', 'Purchase Clothing');
INSERT INTO `client_strings` VALUES ('string/en/dispenser.stf', '13', 'clothing_dispenser', 'Clothing Dispenser');
INSERT INTO `client_strings` VALUES ('string/en/dispenser.stf', '14', 'purchase_food', 'Purchase Food');
INSERT INTO `client_strings` VALUES ('string/en/dispenser.stf', '15', 'food_dispenser', 'Food Dispenser');
INSERT INTO `client_strings` VALUES ('string/en/dispenser.stf', '16', 'inventory_full', 'Your inventory is full.  You must make some room before you can purchase.');
INSERT INTO `client_strings` VALUES ('string/en/dot_message.stf', '1', 'start_bleeding', 'You start to bleed!');
INSERT INTO `client_strings` VALUES ('string/en/dot_message.stf', '2', 'start_poisoned', 'You have been poisoned!');
INSERT INTO `client_strings` VALUES ('string/en/dot_message.stf', '3', 'start_diseased', 'You have been diseased!');
INSERT INTO `client_strings` VALUES ('string/en/dot_message.stf', '4', 'increase_bleeding', 'You have sustained more bleeding!');
INSERT INTO `client_strings` VALUES ('string/en/dot_message.stf', '5', 'increase_poisoned', 'You have sustained more poison!');
INSERT INTO `client_strings` VALUES ('string/en/dot_message.stf', '6', 'increase_diseased', 'You have sustained more disease!');
INSERT INTO `client_strings` VALUES ('string/en/dot_message.stf', '7', 'stop_bleeding', 'Your bleeding has stopped.');
INSERT INTO `client_strings` VALUES ('string/en/dot_message.stf', '8', 'stop_poisoned', 'Your poison has subsided.');
INSERT INTO `client_strings` VALUES ('string/en/dot_message.stf', '9', 'stop_diseased', 'Your disease has subsided.');
INSERT INTO `client_strings` VALUES ('string/en/dot_message.stf', '10', 'decrease_bleeding', 'Your bleeding has decreased.');
INSERT INTO `client_strings` VALUES ('string/en/dot_message.stf', '11', 'decrease_poisoned', 'Your poison severity has decreased.');
INSERT INTO `client_strings` VALUES ('string/en/dot_message.stf', '12', 'decrease_diseased', 'Your disease severity has decreased.');
INSERT INTO `client_strings` VALUES ('string/en/dot_message.stf', '13', 'dot_resisted', '%TT resists the effects!');
INSERT INTO `client_strings` VALUES ('string/en/dot_message.stf', '14', 'start_fire', 'You catch on fire!');
INSERT INTO `client_strings` VALUES ('string/en/dot_message.stf', '15', 'increase_fire', 'The fire on you intensifies!');
INSERT INTO `client_strings` VALUES ('string/en/dot_message.stf', '16', 'decrease_fire', 'The flames around you weaken.');
INSERT INTO `client_strings` VALUES ('string/en/dot_message.stf', '17', 'stop_fire', 'The flames around you subside.');
INSERT INTO `client_strings` VALUES ('string/en/droid_detail.stf', '1', 'c_41_traffic_controller_base', '12 4c 41 traffic controller base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_detail.stf', '2', 'b_surgical_droid_base', '2 1b surgical droid base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_detail.stf', '3', 'po_base', '3po base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_detail.stf', '4', 'z_police_droid_base', '501 z police droid base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_detail.stf', '5', 'd8_smelter_base', '8d8 smelter base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_detail.stf', '6', 'automated_sabacc_dealer_base', 'automated sabacc dealer base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_detail.stf', '7', 'base_droid', 'base droid\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_detail.stf', '8', 'cll_8_binary_load_lifter_base', 'cll 8 binary load lifter base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_detail.stf', '9', 'cz_comm_droid_base', 'cz comm droid base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_detail.stf', '10', 'dark_trooper_phase_i_base', 'dark trooper phase i base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_detail.stf', '11', 'dark_trooper_phase_ii_base', 'dark trooper phase ii base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_detail.stf', '12', 'dark_trooper_phase_iii_base', 'dark trooper phase iii base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_detail.stf', '13', 'droid', 'droid\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_detail.stf', '14', 'droideka_base', 'droideka base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_detail.stf', '15', 'dz_70_fugitive_tracker_base', 'dz 70 fugitive tracker base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_detail.stf', '16', 'eg_6_power_droid_base', 'eg 6 power droid base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_detail.stf', '17', 'fx_medical_assistant_base', 'fx medical assistant base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_detail.stf', '18', 'g2_rd_guard_base', 'g2 rd guard base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_detail.stf', '19', 'ig_assassin_droid_base', 'ig assassin droid base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_detail.stf', '20', 'imperial_mark_iv_sentry_base', 'imperial mark iv sentry base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_detail.stf', '21', 'imperial_probot_base', 'imperial probot base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_detail.stf', '22', 'it_o_interrogator_base', 'it o interrogator base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_detail.stf', '23', 'jedi_training_droid_base', 'jedi training droid base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_detail.stf', '24', 'le_repair_droid', 'le repair droid\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_detail.stf', '25', 'lin_demolitionmech_base', 'lin demolitionmech base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_detail.stf', '26', 'messenger_droid', 'messenger droid\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_detail.stf', '27', 'mse_6_base', 'mse 6 base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_detail.stf', '28', 'r2_base', 'In addition to its other abilities, this astromech can serve as a private crafting station for weapon, droid, furniture, installation, and generic item types.\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_detail.stf', '29', 'r3_base', 'In addition to its other abilities, this astromech can serve as a private crafting station for weapon, droid, food, chemical, clothing, armor, installation, furniture, and generic item types.\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_detail.stf', '30', 'r4_base', 'In addition to its other abilities, this astromech can serve as a private crafting station for clothing and armor item types.\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_detail.stf', '31', 'r5_base', 'In addition to its other abilities, this astromech can serve as a private crafting station for food and chemical item types.\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_detail.stf', '32', 'ra7_bug_droid_base', 'ra7 bug droid base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_detail.stf', '33', 'robo_bartender_base', 'robo bartender base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_detail.stf', '34', 'shared_md_medical_specialist', 'shared md medical specialist\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_detail.stf', '35', 'tt_8l_base', 'tt 8l base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_detail.stf', '36', 'wed_treadwell_base', 'In addition to its other abilities, this droid can serve as a private crafting station for generic item types.\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_detail.stf', '37', 'probe_droid', 'Seeker Probe Droid');
INSERT INTO `client_strings` VALUES ('string/en/droid_detail.stf', '38', 'r5_crafted', 'In addition to its other abilities, this astromech can serve as a private crafting station for food and chemical item types.');
INSERT INTO `client_strings` VALUES ('string/en/droid_detail.stf', '39', 'r5_crafted_advanced', 'In addition to its other abilities, this astromech can serve as a private crafting station for food and chemical item types.');
INSERT INTO `client_strings` VALUES ('string/en/droid_detail.stf', '40', 'r4_crafted', 'In addition to its other abilities, this astromech can serve as a private crafting station for clothing and armor item types.');
INSERT INTO `client_strings` VALUES ('string/en/droid_detail.stf', '41', 'r4_crafted_advanced', 'In addition to its other abilities, this astromech can serve as a private crafting station for clothing and armor item types.');
INSERT INTO `client_strings` VALUES ('string/en/droid_detail.stf', '42', 'r2_crafted', 'In addition to its other abilities, this astromech can serve as a private crafting station for weapon, droid, furniture, installation, and generic item types.');
INSERT INTO `client_strings` VALUES ('string/en/droid_detail.stf', '43', 'r2_crafted_advanced', 'In addition to its other abilities, this astromech can serve as a private crafting station for weapon, droid, furniture, installation, and generic item types.');
INSERT INTO `client_strings` VALUES ('string/en/droid_detail.stf', '44', 'arakyd_probot_crafted', 'Arakyd Probot');
INSERT INTO `client_strings` VALUES ('string/en/droid_detail.stf', '45', 'arakyd_probot_crafted_advanced', 'Arakyd Probot ADVANCED');
INSERT INTO `client_strings` VALUES ('string/en/droid_detail.stf', '46', 'tip_solicitor_droid', 'A special function droid designed for use by entertainers to facilitate ease of tipping.');
INSERT INTO `client_strings` VALUES ('string/en/droid_lookat.stf', '1', 'c_41_traffic_controller_base', '12 4c 41 traffic controller base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_lookat.stf', '2', 'b_surgical_droid_base', '2 1b surgical droid base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_lookat.stf', '3', 'po_base', '3po base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_lookat.stf', '4', 'z_police_droid_base', '501 z police droid base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_lookat.stf', '5', 'd8_smelter_base', '8d8 smelter base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_lookat.stf', '6', 'automated_sabacc_dealer_base', 'automated sabacc dealer base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_lookat.stf', '7', 'base_droid', 'base droid\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_lookat.stf', '8', 'cll_8_binary_load_lifter_base', 'cll 8 binary load lifter base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_lookat.stf', '9', 'cz_comm_droid_base', 'cz comm droid base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_lookat.stf', '10', 'dark_trooper_phase_i_base', 'dark trooper phase i base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_lookat.stf', '11', 'dark_trooper_phase_ii_base', 'dark trooper phase ii base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_lookat.stf', '12', 'dark_trooper_phase_iii_base', 'dark trooper phase iii base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_lookat.stf', '13', 'droid', 'droid\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_lookat.stf', '14', 'droideka_base', 'droideka base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_lookat.stf', '15', 'dz_70_fugitive_tracker_base', 'dz 70 fugitive tracker base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_lookat.stf', '16', 'eg_6_power_droid_base', 'eg 6 power droid base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_lookat.stf', '17', 'fx_medical_assistant_base', 'fx medical assistant base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_lookat.stf', '18', 'g2_rd_guard_base', 'g2 rd guard base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_lookat.stf', '19', 'ig_assassin_droid_base', 'ig assassin droid base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_lookat.stf', '20', 'imperial_mark_iv_sentry_base', 'imperial mark iv sentry base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_lookat.stf', '21', 'imperial_probot_base', 'imperial probot base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_lookat.stf', '22', 'it_o_interrogator_base', 'it o interrogator base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_lookat.stf', '23', 'jedi_training_droid_base', 'jedi training droid base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_lookat.stf', '24', 'le_repair_droid', 'le repair droid\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_lookat.stf', '25', 'lin_demolitionmech_base', 'lin demolitionmech base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_lookat.stf', '26', 'messenger_droid', 'messenger droid\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_lookat.stf', '27', 'mse_6_base', 'mse 6 base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_lookat.stf', '28', 'r2_base', 'r2 base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_lookat.stf', '29', 'r3_base', 'r3 base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_lookat.stf', '30', 'r4_base', 'r4 base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_lookat.stf', '31', 'r5_base', 'r5 base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_lookat.stf', '32', 'ra7_bug_droid_base', 'ra7 bug droid base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_lookat.stf', '33', 'robo_bartender_base', 'robo bartender base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_lookat.stf', '34', 'shared_md_medical_specialist', 'shared md medical specialist\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_lookat.stf', '35', 'tt_8l_base', 'tt 8l base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_lookat.stf', '36', 'wed_treadwell_base', 'wed treadwell base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_lookat.stf', '37', 'probe_droid', 'Seeker Probe Droid');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '1', 'c_41_traffic_controller_base', '12 4c 41 traffic controller base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '2', 'b_surgical_droid_base', '2 1b surgical droid base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '3', 'po_base', 'Z3PO\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '4', 'z_police_droid_base', '501 z police droid base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '5', 'd8_smelter_base', '8d8 smelter base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '6', 'automated_sabacc_dealer_base', 'automated sabacc dealer base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '7', 'base_droid', 'base droid\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '8', 'cll_8_binary_load_lifter_base', 'cll 8 binary load lifter base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '9', 'cz_comm_droid_base', 'cz comm droid base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '10', 'dark_trooper_phase_i_base', 'dark trooper phase i base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '11', 'dark_trooper_phase_ii_base', 'dark trooper phase ii base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '12', 'dark_trooper_phase_iii_base', 'dark trooper phase iii base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '13', 'droid', 'droid\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '14', 'droideka_base', 'droideka base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '15', 'dz_70_fugitive_tracker_base', 'dz 70 fugitive tracker base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '16', 'eg_6_power_droid_base', 'eg 6 power droid base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '17', 'fx_medical_assistant_base', 'fx medical assistant base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '18', 'g2_rd_guard_base', 'g2 rd guard base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '19', 'ig_assassin_droid_base', 'ig assassin droid base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '20', 'imperial_mark_iv_sentry_base', 'imperial mark iv sentry base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '21', 'imperial_probot_base', 'imperial probot base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '22', 'it_o_interrogator_base', 'it o interrogator base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '23', 'jedi_training_droid_base', 'jedi training droid base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '24', 'le_repair_droid', 'le repair droid\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '25', 'lin_demolitionmech_base', 'lin demolitionmech base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '26', 'messenger_droid', 'messenger droid\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '27', 'mse_6_base', 'mse 6 base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '28', 'r2_base', 'r2 base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '29', 'r3_base', 'r3 base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '30', 'r4_base', 'r4 base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '31', 'r5_base', 'r5 base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '32', 'ra7_bug_droid_base', 'ra7 bug droid base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '33', 'robo_bartender_base', 'robo bartender base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '34', 'shared_md_medical_specialist', 'shared md medical specialist\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '35', 'tt_8l_base', 'tt 8l base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '36', 'wed_treadwell_base', 'wed treadwell base\n');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '37', 'bomarr_monk_spider_droid', 'B\'omarr Monk Spider Droid');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '38', 'probe_droid', 'Seeker Probe Droid');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '39', 'bomarr_monk_spider_droid_crafted', 'B\'omarr Monk Spider Droid');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '40', 'le_repair_droid_crafted', 'LE Repair Droid');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '41', 'lin_demolitionmech_crafted', 'LIN Demolitionmech Droid');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '42', 'po_crafted', '3PO Protocol Droid');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '43', 'cll_8_binary_load_lifter_crafted', 'CLL-8 Binary Load Lifter Droid');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '44', 'dark_trooper_phase_ii_crafted', 'Dark Trooper - Phase 2');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '45', 'droideka_crafted', 'Droideka');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '46', 'dz_70_fugitive_tracker_crafted', 'DZ-70 Fugitive Tracker Droid');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '47', 'eg_6_power_droid_crafted', 'EG-6 Power Droid');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '48', 'ig_assassin_droid_crafted', 'IG Assassin Droid');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '49', 'imperial_probot_crafted', 'Imperial Probot');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '50', 'it_o_interrogator_crafted', 'IT-O Interrogator Droid');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '51', 'jedi_training_droid_crafted', 'Seeker Droid');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '52', 'b_surgical_droid_crafted', '2-1B Surgical Droid');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '53', 'probe_droid_crafted', 'Probe Droid');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '54', 'mse_6_crafted', 'MSE-6 \'Mouse\' Droid');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '55', 'r2_crafted', 'R2 Droid');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '56', 'r3_crafted', 'R3 Droid');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '57', 'r4_crafted', 'R4 Droid');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '58', 'ra7_bug_droid_crafted', 'RA-7 Droid');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '59', 'robo_bartender_crafted', 'Robo-Bartender Droid');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '60', 'tt_8l_crafted', 'TT-8L Droid');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '61', 'tt_8l_y7_crafted', 'TT-8L /Y7 Droid');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '62', 'wed_treadwell_crafted', 'WED Treadwell');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '63', 'r5_crafted', 'R5 Droid');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '64', 'b_surgical_droid_crafted_advanced', '2-1B Surgical Droid ADVANCED');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '65', 'bomarr_monk_spider_droid_crafted_advanced', 'B\'omarr Monk Spider Droid ADVANCED');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '66', 'cll_8_binary_load_lifter_crafted_advanced', 'CLL-8 Binary Load Lifter Droid ADVANCED');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '67', 'dark_trooper_phase_ii_crafted_advanced', 'Dark Trooper - Phase 2 ADVANCED');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '68', 'droideka_crafted_advanced', 'Droideka ADVANCED');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '69', 'dz_70_fugitive_tracker_crafted_advanced', 'DZ-70 Fugitive Tracker Droid ADVANCED');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '70', 'eg_6_power_droid_crafted_advanced', 'EG-6 Power Droid ADVANCED');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '71', 'ig_assassin_droid_crafted_advanced', 'IG Assassin Droid ADVANCED');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '72', 'imperial_probot_crafted_advanced', 'Imperial Probot ADVANCED');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '73', 'it_o_interrogator_crafted_advanced', 'IT-O Interrogator Droid ADVANCED');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '74', 'jedi_training_droid_crafted_advanced', 'Seeker Droid ADVANCED');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '75', 'le_repair_droid_crafted_advanced', 'LE Repair Droid ADVANCED');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '76', 'lin_demolitionmech_crafted_advanced', 'LIN Demolitionmech Droid ADVANCED');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '77', 'mse_6_crafted_advanced', 'MSE-6 \'Mouse\' Droid ADVANCED');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '78', 'probe_droid_crafted_advanced', 'Probe Droid ADVANCED');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '79', 'r2_crafted_advanced', 'R2 Droid ADVANCED');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '80', 'r3_crafted_advanced', 'R3 Droid ADVANCED');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '81', 'r4_crafted_advanced', 'R4 Droid ADVANCED');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '82', 'r5_crafted_advanced', 'R5 Droid ADVANCED');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '83', 'ra7_bug_droid_crafted_advanced', 'RA-7 Droid ADVANCED');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '84', 'robo_bartender_crafted_advanced', 'Robo-Bartender Droid ADVANCED');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '85', 'tt_8l_crafted_advanced', 'TT-8L Droid ADVANCED');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '86', 'tt_8l_y7_crafted_advanced', 'TT-8L /Y7 Droid ADVANCED');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '87', 'wed_treadwell_crafted_advanced', 'WED Treadwell ADVANCED');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '88', 'po_crafted_advanced', '3PO Protocol Droid ADVANCED');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '89', 'arakyd_probot_base', 'Arakyd Probot');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '90', 'arakyd_probot_crafted_advanced', 'Arakyd Probot ADVANCED');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '91', 'arakyd_probot_crafted', 'Arakyd Probot');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '92', 'tip_solicitor_droid', 'Tip Solicitor Droid');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '93', 'battle_droid', 'Battle Droid');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '94', 'super_battle_droid', 'Super Battle Droid');
INSERT INTO `client_strings` VALUES ('string/en/droid_name.stf', '95', 'blastromech', 'Blastromech');
INSERT INTO `client_strings` VALUES ('string/en/duel.stf', '1', 'challenge_self', 'You challenge %TT to a duel.');
INSERT INTO `client_strings` VALUES ('string/en/duel.stf', '2', 'challenge_target', '%TT challenges you to a duel.');
INSERT INTO `client_strings` VALUES ('string/en/duel.stf', '3', 'already_dueling', 'You are already dueling %TT.');
INSERT INTO `client_strings` VALUES ('string/en/duel.stf', '4', 'already_challenged', 'You have already challenged %TT to a duel.');
INSERT INTO `client_strings` VALUES ('string/en/duel.stf', '5', 'accept_self', 'You accept %TT\'s challenge.');
INSERT INTO `client_strings` VALUES ('string/en/duel.stf', '6', 'accept_target', '%TT accepts your challenge.');
INSERT INTO `client_strings` VALUES ('string/en/duel.stf', '7', 'end_self', 'You end your duel with %TT.');
INSERT INTO `client_strings` VALUES ('string/en/duel.stf', '8', 'end_target', '%TT ends your duel.');
INSERT INTO `client_strings` VALUES ('string/en/duel.stf', '9', 'reject_self', 'You reject %TT\'s challenge.');
INSERT INTO `client_strings` VALUES ('string/en/duel.stf', '10', 'reject_target', '%TT rejects your challenge.');
INSERT INTO `client_strings` VALUES ('string/en/duel.stf', '11', 'cancel_self', 'You cancel your challenge to %TT.');
INSERT INTO `client_strings` VALUES ('string/en/duel.stf', '12', 'cancel_target', '%TT cancels %PT challenge.');
INSERT INTO `client_strings` VALUES ('string/en/duel.stf', '13', 'not_dueling', 'You are not currently dueling %TT.');
INSERT INTO `client_strings` VALUES ('string/en/duel.stf', '14', 'not_here', 'You cannot duel here.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '1', 'timer_55', 'You now have 55 minutes to complete your assignment.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '2', 'timer_50', 'You now have 50 minutes to complete your assignment.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '3', 'timer_45', 'You now have 45 minutes to complete your assignment.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '4', 'timer_40', 'You now have 40 minutes to complete your assignment.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '5', 'timer_35', 'You now have 35 minutes to complete your assignment.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '6', 'timer_30', 'You now have 30 minutes to complete your assignment.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '7', 'timer_25', 'You now have 25 minutes to complete your assignment.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '8', 'timer_20', 'You now have 20 minutes to complete your assignment.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '9', 'timer_15', 'You now have 15 minutes to complete your assignment.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '10', 'timer_10', 'You now have 10 minutes to complete your assignment.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '11', 'timer_5', 'You now have 5 minutes to complete your assignment.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '12', 'timer_9', 'You now have 9 minutes to complete your assignment.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '13', 'timer_8', 'You now have 8 minutes to complete your assignment.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '14', 'timer_7', 'You now have 7 minutes to complete your assignment.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '15', 'timer_6', 'You now have 6 minutes to complete your assignment.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '16', 'timer_4', 'You now have 4 minutes to complete your assignment.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '17', 'timer_3', 'You now have 3 minutes to complete your assignment.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '18', 'timer_2', 'You now have 2 minutes to complete your assignment.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '19', 'timer_90s', 'You now have 90 seconds to complete your assignment.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '20', 'timer_1', 'You now have 1 minute to complete your assignment.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '21', 'timer_30s', 'You now have 30 seconds to complete your assignment.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '22', 'timer_10s', 'You now have 10 seconds to complete your assignment.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '23', 'unlock_meeting', 'You have reset the locking mechanism on the meeting room door.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '24', 'already_open', 'This door was already opened by someone else...');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '25', 'unlock_elevator', 'You have reset the locking mechanism on the elevator door.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '26', 'engine_set', 'You have set the engine to');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '27', 'engine_result', 'The engine appears to be running normally.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '28', 'blew_up', 'You have successfully managed to destroy the engines!  Your mission is complete.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '29', 'calculations', 'Your calculations must be off...');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '30', 'fuel_is', 'Fuel is at');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '31', 'hyperdrive_is', 'Hyperdrive is at');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '32', 'engine_name', 'ENGINE SETTINGS');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '33', 'fuel_name', 'FUEL INTAKE CONTROL');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '34', 'fuel_50', 'You have set the Fuel Intake to 50%.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '35', 'fuel_30', 'You have set the Fuel Intake to 30%.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '36', 'fuel_80', 'You have set the Fuel Intake to 80%.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '37', 'engine_reset', 'The engines will have to be reset.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '38', 'engine_is', 'Engine is at');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '39', 'hyper_name', 'HYPERDRIVE CONTROL');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '40', 'hypr_40', 'You have set the Hyper drive to 40%.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '41', 'hypr_20', 'You have set the Hyper drive to 20%.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '42', 'hypr_60', 'You have set the Hyper drive to 60%.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '43', 'elevator_locked', 'This elevator is disabled.  The Override switch is in the meeting room on this floor.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '44', 'open', 'This door is now unlocked.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '45', 'meeting_room_locked', 'This keypad is disabled.  Use the SECURITY CONSOLE in the Engine Room to have it restored.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '46', 'keycard_success', 'You have successfully used a keycard to open this door.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '47', 'lock', 'This door is still locked.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '48', 'wont_fit', 'That object will not fit into this droid...');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '49', 'loading', 'Loading...');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '50', 'computer_one', 'The screen is filled with number crunching.  Probably the hyper drive analysis.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '51', 'computer_two', 'This screen shows irregularities with the fuel intake valves.  They are currently functioning normally.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '52', 'computer_three', 'Gold Screen Of Doom: Software has caused a general protection fault @ 64x11300314\n\nUnknown Error 55113-s.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '53', 'bridge_code', 'Bridge Code Updated:');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '54', 'reboot', 'This computer needs to be rebooted.  Please insert Operations Disk #4 into the terminal.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '55', 'sliced', 'The computer was down, but your slicing skill allows you to reboot it without the disk.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '56', 'insert_disk', 'You insert the disk into the drive and the machine reboots.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '57', 'journal', 'Journal Entry #334: We\'ve found a strange glitch with the engines and the new fuel type we\'re using.  Apparently if you set the hyperdrive settings lower than the fuel intake, then drop the engines to their lowest power level, it\'s only a matter of time before the fuel pressure causes a catastrophic failure.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '58', 'officer_port', 'Printing Out Security Code for Officer Quarters, Port Side:');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '59', 'officer_starboard', 'Printing Out Security Code for Officer Quarters, Starboard Side:');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '60', 'pdroid_congrats', 'Oh he did it!  Good work!');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '61', 'pdroid_instructions', 'I\'m afraid my counterpart here is missing his maintenance module.  If you could retrieve it he could make his way across the room and shut off the power surge.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '62', 'pdroid_excellent', 'I can\'t tell you how happy we were to have served you.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '63', 'prison_code', 'Printing Out Security Code for Prisoner quarters:');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '64', 'escape_pods', 'You have completed your assignment!  Make your way to the escape pods before time expires and get off this ship!');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '65', 'reward', 'You have done well.  Return to the person who gave you this assignment and receive your reward.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '66', 'droid_explanation_rebel', 'I knew this would be worth it.  We\'ve found nothing but evidence of the Alliance\'s treachery since we boarded and took this ship.  The engine room\'s even filled with illegal battle droids.  An electrical surge down there has made them all aggressive so I\'m keeping non-essential personnel away from the area.  These Rebels have got to be stopped!');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '67', 'droid_explanation_imperial', 'I tried to convince the Lieutenant that the battle droids were a bad idea, but he got such a good deal on them from the merc\'s that it was hard to turn down.  Now they\'re all over the place though.  I think the engine room is full of them.  Some kind of malfunction or short circuit.  As soon as we get near a base I\'ll call for a commando squad to come in and deactivate them...');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '68', 'does_nothing', 'Nothing happens.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '69', 'escape_pod_message', 'WARNING!  Using the escape pods will remove you from the Corvette with no method of returning!');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '70', 'hyperdrive_settings', 'Select Power setting for the Hyperdrive: Exiting without setting the Hyperdrive power setting will force it to its default state.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '71', 'hyperdrive_title', 'HYPERDRIVE SETTINGS');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '72', 'engine_title', 'ENGINE SETTINGS');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '73', 'engine_settings', 'Select Engine settings for the Corvette: Exiting without making a selection will force the engine to its default setting.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '74', 'fuel_settings', 'Select Fuel Intake settings for the Corvette: Exiting without making a selection will force the fuel intake to its default setting.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '75', 'fuel_title', 'FUEL SETTINGS');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '76', 'armory_code', 'Printing Out Code for Armory:');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/corvette.stf', '77', 'not_in_combat', 'The Droid Module can\'t be fitted into this droid while you are in combat.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '1', 'restored_pressure', 'Water pressure has been restored to the mines.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '2', 'mnu_water_valve', 'Water Valve Control.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '3', 'access_denied', 'You are not authorized to access this terminal.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '4', 'valve_off', 'This valve is now off.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '5', 'valve_on', 'This valve is now on.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '6', 'crazed_miner_medicine', 'Alum Sickness Test Drug');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '7', 'crazed_miner_medicine_d', 'This is a drug developed to help victims of alum sickness.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '8', 'drill_battery', 'Industrial Battery Pack');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '9', 'drill_battery_d', 'Battery Pack used for large industrial machines. The connections seem to be very dirty.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '10', 'drill_battery_clean_d', 'Battery Pack for large industrial machines. The connections are clean.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '11', 'help_me', 'Please stop hurting me! I think your attack knocked me back to reality but I am afraid that if I don\'t get some help soon I will not be able to keep control of myself for much longer.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '12', 'recovered_battery', 'You pull the missing battery off of the dead miner.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '13', 'battery_cleaned', 'WED15-I643 cleans the connections on the battery.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '14', 'need_battery', 'You have nothing that WED15-I643 needs to fix.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '15', 'not_authorized', 'You do not have the proper authorization to access this droid.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '16', 'bad_air', 'The poisonous alum fumes burn your lungs, leaving you gulping for air.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '17', 'workbench', 'Mine Workbench');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '18', 'workbench_d', 'Workbench used by technicians to fix mining equipment.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '19', 'filter', 'Rebreather Filter');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '20', 'filter_d', 'Filter attachment for rebreathers to handle special environmental conditions.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '21', 'filter_dispenser', 'Rebreather Filter Dispenser');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '22', 'filter_dispenser_d', 'Dispenser used to store and issue new rebreather filters.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '23', 'mnu_workbench', 'Augment Rebreather');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '24', 'missing_component', 'You must have both a rebreather and enhanced filter in order to use this station.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '25', 'not_skilled', 'You lack the skill in order to augment a rebreather. You must have Engineering 2 in order to make changes to that item.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '26', 'agumented_rebreather', 'You successfully add the filter to your rebreather.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '27', 'ventilation_repair', 'Alum Mine ventilation system is now operational.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '28', 'repair_failed', 'Mission Failure: The droid was destroyed and the ventilation system is still off.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '29', 'protect_tools', 'Protect the droid while it picks up tools needed to repair the ventilation system.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '30', 'protect_fix', 'Protect the droid while it conducts repairs on the ventilation system.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '31', 'master_tailor_required', 'Only a master tailor can properly use this facility to create Mandalorian armor.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '32', 'same_user_only', 'Someone else is currently using this manufacturing point.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '33', 'already_has_component', 'An object of this type has already been accepted by the manufacturing station.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '34', 'making_something_else', 'This manufacturing station is currently in the process of creating another type of armor.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '35', 'starting_to_craft', 'All items have been accepted and the manufacturing process is about to begin.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '36', 'died_during_crafting', 'Without constant oversight the manufacturing process has failed.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '37', 'crafting_finished', 'The manufacturing process has completed and the new item is being placed in your inventory.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '38', 'items_still_needed', 'The following items are still needed for the manufacturing process to begin:');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '39', 'tailored_items', 'Bounty Hunter gloves, Bounty Hunter Leggings, or a Bounty Hunter Belt.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '40', 'alum_mineral', 'Alum Minerals');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '41', 'bounty_hunter_gloves', 'Bounty Hunter Gloves.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '42', 'bounty_hunter_leggings', 'Bounty Hunter Leggings.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '43', 'bounty_hunter_belt', 'Bounty Hunter Belt.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '44', 'use_terminal', 'Check the terminal to continue the manufacturing process.  If the process does not continue within the next thirty (30) seconds it will be shut down.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '45', 'fail', 'Failure.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '46', 'continue_manufacturing', 'The alum hardening process is about to begin.  Would you like to continue?  \n\n(WARNING: Once the hardening process has started the base item will no longer be retrievable)');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '47', 'continue_button', 'Continue');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '48', 'finish_button', 'Complete');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '49', 'finish_manufacturing', 'Aeration of the item will complete the process.   Finish the process?');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '50', 'crafting_not_yet', 'The terminal is displaying numbers and images.  It is not ready for input at this time.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '51', 'took_too_long', 'The manufacturing process halted due to slow input from the end user.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '52', 'alum_process_begun', 'The hardening process has started and will complete shortly.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '53', 'aeration_process_begun', 'The aeration process has started and will complete shortly.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '54', 'master_armorsmith_required', 'Only a master Armor Smith can properly use this facility to create Mandalorian armor.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '55', 'master_droidengineer_required', 'Only a master Droid Engineer can properly use this facility to create Mandalorian armor.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '56', 'droid_engineer_items', 'Bounty Hunter Bracer (left or right) or a Bounty Hunter Helmet.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '57', 'bounty_hunter_bracer_r', 'Bounty Hunter Bracer (Right)');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '58', 'bounty_hunter_bracer_l', 'Bounty Hunter Bracer (Left)');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '59', 'bounty_hunter_helmet', 'Bounty Hunter Helmet');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '60', 'armorsmith_items', 'Bounty Hunter Chestplate, Bounty Hunter Boots, or Bounty Hunter Biceps (Left or Right)');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '61', 'bounty_hunter_chestplate', 'Bounty Hunter Chest Plate');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '62', 'bounty_hunter_boots', 'Bounty Hunter Boots');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '63', 'bounty_hunter_bicep_l', 'Bounty Hunter Bicep (Left)');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '64', 'bounty_hunter_bicep_r', 'Bounty Hunter Bicep (Right)');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '65', 'not_enough_tailor_skill', 'Only a Master Tailor can use the manufacturing facilities in this room.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '66', 'not_enough_ingredients', 'You don\'t have all the necessary ingredients to craft within this room.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '67', 'not_enough_droidengineer_skill', 'Only a Master Droid Engineer can use the manufacturing facilities in this room.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '68', 'not_enough_armorsmith_skill', 'Only a Master Armorsmith can use the manufacturing facilities in this room.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '69', 'room_in_use', 'This room is currently in use.  Try again in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '70', 'binary_liquid', 'Binary Liquid');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '71', 'emulsifier', 'Protective Liquid Coating');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '72', 'dispersion', 'A Fuel Dispersion Unit');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '73', 'ducted_fan', 'A ducted fan');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '74', 'fuel_injector', 'A Fuel Injector');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '75', 'jetpack_base', 'A Jetpack Base');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '76', 'water_pressure_failed', 'You failed to get the water pressure restored in time. Mission failed.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '77', 'haldo_failed', 'You failed to recover the battery in time. Mission failed.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '78', 'mnu_open_door', 'Unlock Door');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '79', 'access_granted', 'Correct pass key detected. Access granted.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '80', 'entrance_denied', 'This door is locked. Perhaps you should seek the advice of someone knowledgeable about the Mandalorians on how to enter this base.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '81', 'mnu_issue_filter', 'Dispense Filter');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '82', 'issue_filter', 'You have been given a new filter for your rebreather.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '83', 'already_has_filter', 'You already have a filter. Canceling request.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '84', 'denied_access', 'Unauthorized access to terminal detected. Notifying security.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '85', 'terminal_locked', 'This terminal is locked until security has investigated the unauthorized access.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '86', 'call_back_up', 'Hostile intruders located. Requesting backup.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '87', 'allum_warning', 'Environmental protection is required beyond this point due to high levels of alum gas.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '88', 'door_terminal', 'Door Control Terminal');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '89', 'door_terminal_d', 'This terminal controls door locking mechanisms.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '90', 'passkey_hall', 'Section A Passkey');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '91', 'passkey_hall_d', 'Passkey that will allow access to the section A.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '92', 'passkey_storage', 'Section B Passkey');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '93', 'passkey_storage_d', 'Passkey that will allow access to section B.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '94', 'passkey_mine', 'Mine Passkey');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '95', 'passkey_mine_d', 'Passkey that allows access to the mines.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '96', 'unlock_door', 'The door is being unlocked.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '97', 'relock', 'Security systems at this facility have been cycled and reset.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '98', 'rc_mouse_instructions', 'Voice Recognition Software: To control the droid simply state the direction (forward, backward, left, right) and the distance to travel (between 1 and 10).  \n\nIf the droid is unavailable, use the command - reset - to acquire a new one.\n\nWhen the droid is in position use the command - detonate - to set off the explosion.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '99', 'reload_voice_pattern', 'You can\'t use the terminal again for a few minutes while the system reloads your voice pattern.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '100', 'terminal_in_use', 'Someone else\'s voice patterns are currently loaded into the memory of this terminal.  Please wait a few moments and try again.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '101', 'no_entry', 'You are unable to enter this structure at this time.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '102', 'too_far_from_terminal', 'You are too far away from the droid terminal to use it.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '103', 'stabilizer', 'A Jetpack Stabilizer');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '104', 'master_artisan_required', 'Only a master artisan can properly use this facility to create Mandalorian armor.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '105', 'enhanced_filter', 'Enhanced Filter');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '106', 'enhanced_filter_d', 'Filter with gel packet installed.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '107', 'gel_packet', 'Alum Mine Gel Packet');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '108', 'gel_packet_d', 'Gel Packet used in filters to counter alum gas located in the mines.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '109', 'mnu_filter', 'Augment Filter');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '110', 'agumented_filter', 'You have combined the packet and filter to form an enhanced filter.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '111', 'missing_component2', 'You need both a gel packet and a filter in order to use this option.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '112', 'airlock_backup', 'Intruders! We need backup in the airlock!');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch.stf', '113', 'thirty_seconds', 'Thirty Seconds Left Timer');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch_book_text.stf', '1', 'title_1', 'ESSENTIAL COOKING SKILLS');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch_book_text.stf', '2', 'text_1', 'In order to cook food properly you must always pay attention to the proper temperatures to cook specific items.  Bantha meat, for example, must maintain a 300 degree temperature for at least one hour in order to destroy any Tatooinian bacteria present during the meat\'s initial cutting.  \n\nThe following list should be taken as a guideline, and you\'ll find that your own instruments will vary according to how well they\'re calibrated:\n\nKAADU (350 degrees, 1 hour)\nKRAYT DRAGON (400 degrees, 3 hours)\nGNORT (300 degrees, 1/2 hour)\nCU-PA (325 degrees, 1 hour)\nCORELLIAN BUTTERFLY (400 degrees, 1/2 hour)\nTORTON (500 degrees, 3 hours)\nBAGERASET (300 degrees, 2 hours)\nBEARDED JAX (250 degrees, 1/2 hour)\nPEKO-PEKO (400 degrees, 1 1/2 hours)\nVEERMOK (350 degrees, 1 hour)\n\nRumor has it that Sarlacc meat can be cleaned and cooked, and that some brave denizens of tatooine managed to ingest it by slicing off one of the attacking tentacles and then setting about finding ways to cook it.\n\nWhile I won\'t comment on the veracity of such a claim, should you find yourself in possession of such a fantastic delicacy, I recommend that it be cooked at no less than 500 degrees for no less then 6 hours before you attempt to do anything with it.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch_book_text.stf', '3', 'title_2', 'BLUE HARVEST (Chapter 1)');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch_book_text.stf', '4', 'text_2', 'The trandoshan stood his ground, blood dripping from the blade in his hand.\n\"You didn\'t see it!\"  He shouted.\nCorSec officer Antilles lowered his pistol.  The Trandoshan didn\'t seem to be threatening him at all.  He was terrified.\n\"What was it?\" \n\"I don\'t know!\"  The Trandoshan was nearly in tears.  His body was covered with the strange ichor that Officer Antilles had seen at the other crime scenes.\n\"Did you kill it?\"\nThe Trandoshan shook his head.  He didn\'t think so.  He thought, in fact, that he\'d simply angered it.  Trandoshans are a cold blooded species, one of the most cruel races the galaxy had to offer.  But this one was shaken to his very core. ');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch_book_text.stf', '5', 'title_3', 'Journal of Dr. Kaldaar');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch_book_text.stf', '6', 'text_3', 'It\'s working.  I can see it their eyes.  The rebel informant died on the operating table, but before he did I could see it starting to form in the corneas.  It was a map.  A star map, much like the navigational charts that are carried aboard Star Destroyers.  \n\nIf only I could find a way to keep them alive after the transfer of the toxin is complete.  There must be an antigen that will fight the infection.  Something bacta related, that will keep them alive until we\'ve had a chance to discover them.\n\nPerhaps I should also find a way to make them stand out.  Perhaps with a skin condition?  Something that would lead the Stormtroopers right to them.\n\nMy work must continue unabated.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch_book_text.stf', '7', 'title_4', 'Memo from Witter, J');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch_book_text.stf', '8', 'text_4', 'Memo From: Japer Witter\nTo: Mining Personnel\nSubject: Environmental Protection\n\nPlease note that all rebreathers must be augmented for use in the mines to prevent the effects of allum gas sickness. A new filter must be installed in all rebreathers before they can be used inside the mines. We have set up a filter dispenser unit and workstation inside the laboratory to help facility this retrofitting of rebreathers. To insure proper installation only use filters received from this dispenser, attach the gel packet that you were all issued into the filter, and then add the enhanced filter to your rebreather only at the available workbench.\n');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch_book_text.stf', '9', 'title_5', 'Outbound Communication');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch_book_text.stf', '10', 'text_5', 'The Imperials are up to something on one of the moons of Endor.  So far it\'s gone unnoticed by everyone, but our man inside says there\'s construction crews headed for the system.  Beef up security around the facility, and maintain round the clock surveillance on them, find out what they\'re doing.  We\'ll leak the info to the Rebels at some point, unless they find it on their own.  Oh, and I heard you met the \"locals\", Heh.  Cute little buggers aren\'t they?  Kill them if they get to close to the base.\n\n--End Communique--');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch_book_text.stf', '11', 'title_6', 'Jokes For All');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch_book_text.stf', '12', 'text_6', 'Two Gamorreans are walking through Jabba\'s Palace when they notice the Rancor loose from his cage.  As the Rancor makes his way towards them one of the Gamorreans stops to put on his running shoes.\n\"You\'re crazy!\"  The other guard says.  \"You\'ll never outrun that Rancor!\"\n\"I don\'t have to out run him.\"  The first guard replies.  \"Just you.\"\n***\nA rodian walks into a bar with a womprat under one arm and a chuba under the other.  He walks over to the bartender and says, \"If I show you something amazing can I have a free Jawa Beer?\"\nThe bartender thinks for a second and says, \"Ok.  Let\'s see it.\"\nThe rodian sets the womprat on the bar and pulls a slitherhorn out of his pack.  He puts the slitherhorn down next to the womprat who starts playing it.  The bartender is amazed.\n\"That\'s incredible!\"  The bartender exclaims.  \"What\'s the Chuba for?\"\n\"Watch this.\"  The rodian sets the chuba down on the bar next to the womprat and it starts to sing!  The bartender can\'t beleive it.  \n\"I\'ll give you 100,000 credits for both of them.\"\n\"Oh, I couldn\'t.\"  The Rodian says.  \"My grandmother gave me the womprat.\"\n\"Ok, I\'ll give you 50,000 for just the chuba.\"\n\"Deal.\"\nThe bartender hands the money to the Rodian and takes the chuba proudly.  \n\"How do I get him to sing?\"  He asks.\n\"Oh, he can\'t sing.\"  The Rodian says.  \"The Womprat\'s also a ventriliquist.\"');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch_book_text.stf', '13', 'text_7', 'Onar thought the Gladiator Pit would be the actual arena, where the fighting took place, but it wasn\'t.  It was the area just before the arena where the weapons and armor were maintained and the gladiators stood around, congratulating each other on their victories before they stepped outside and tried to kill each other.\nWhen he\'d asked what they called the arena where the gladiators fought the big Trandoshan said, \"The arena.\"\nThe big trandoshan was leading Onar through the hallways of the pit, showing him where he\'d get dressed and where the armor and weapons were kept.  When they stepped into the small room with the stone table and no chairs the Trandoshan said, \"This is where you\'ll wait.\"\nOnar focused on the one object in the room besides the stone table.  It was a stick, like a mace, except that instead of having a big metal ball with spikes on the end, it just had four blades, like knife blades, pointing in 4 directions.  Like a compass, he thought.\n\"That\'s not mine is it?\"  \nThe trandoshan didn\'t answer, so Onar continued.  \"I can\'t fight with that thing.  I\'ll cut my fingers off.\"\nThe trandoshan was busy writing something on a piece of flimsiplast, being careful with his writing like he was afraid he\'d misspell something.\n\"Plus it\'s too big.  It\'s not the right size for me.\"\nThe trandoshan looked up from the flimsiplast and nodded.  He said, \"It\'s not for you.\"\nOnar breathed a sigh of relief, saying, \"That\'s good.\"\n\"You\'re the accused.\"  The trandoshan said.  \"You don\'t get a weapon.\"');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch_book_text.stf', '14', 'title_7', 'BARVE HUNT (Chapter 3)');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch_book_text.stf', '15', 'title_8', 'BARVE HUNT (Chapter 1)');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch_book_text.stf', '16', 'text_8', 'Onar was getting into it now, telling the little Rodian where he could stick his credits.  Everyone in the cantina had turned to watch, and the poor little Rodian, a green quilled wheeler-dealer who claimed to have connections from Corellia to Naboo was trying to shrink into the seat, the drink in his hands sloshing onto his pants because he\'d forgotten about it completely.\nOnar knew this was a risk, a dangerous game he was playing.  He\'d spotted the Rodian looking for his contact, set to make a deal for some illegal bootlegs of a musical recording.  Onar had heard on the street from the Wookiee, Gurumsh that this Rodian was here trying to cut into some illegal activities.  Looking to make some money fast.  It was what Gurumsh said next that had planted the seed of this plan in Onar\'s mind.\nHe\'d said, \"Raawwooar, <snarl>, groaaowwarl.\"  Which roughly translated meant that the Rodian was an idiot and probably didn\'t even know who the contact was.\nThat had gotten Onar thinking.  Yeah, he could pull this off.  Catch the guy early, get him into a booth, fast talk him into believing he was the contact and then figure out half way in how to get some creds out of the guy.\nIt had worked too, for a while, but then the Rodian had started to get suspicious.  Onar didn\'t know which band had made the bootleg, or what the name of the song was.  He\'d guessed correctly that the Hutt\'s were involved, and that had almost gotten him back on track, but he\'d guessed wrong about the number of recordings being moved.  He\'d been way off.  And so he\'d gone into his rant, telling the little Rodian to stuff it, and that he\'d rather swim through rancor offal than deal with a little runt like him who didn\'t know what he was doing.\nThat was working too now, and he just needed to figure whether he wanted to escape, or maybe play the calm down card, get the guy back into business, maybe still grab some money.\nThen the Rodian pulled out his trump card, and Onar knew he was toast.\nThe Rodian said, \"We\'ll just see what my boss thinks.  You know who my boss is don\'t you?  Slinereel?\"');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch_book_text.stf', '17', 'title_9', 'BARVE HUNT (Chapter 2)');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch_book_text.stf', '18', 'text_9', 'Slinereel was a problem, Onar thought.  A real problem.  It was one thing if this guy was just a corporate shill, maybe working for Kuat Drive Yards, or maybe one of the Durasteel corps.  He could even be an Imperial liason and it wouldn\'t have made that much difference.  Corporate types were all the same, they\'d take the loss in cash, write it off, and then get back to work.\nSlinereel on the other hand, was not a corporate type.  He was a Zabrak.   A mean Zabrak.  Onar had a partner once that told him Slinereel was the kind of guy that would shoot himself in the foot if it would make him some money.  He\'d limp to the bank counting his credits.  And if he was willing to do that, you know he was willing to shoot other people in much more prominent places on their bodies.\nOnar had settled down in the bar then, when the Rodian told him about Slinereel.  The Rodian said he could cut Onar a deal.  All smiles and teeth now that he felt he had Onar over a barrel.\nHe said, \"I won\'t even report this little attempt of yours to con us out of our money.  It took guts doing what you did, walking in here off the street and trying to hustle me.\"\nOnar said he didn\'t know what the Rodian was talking about, but he didn\'t really mean it.  The Rodian knew too.\n\"We\'ll have a duel.  In the gladiator pit.  This planet has one in every city.  For settling differences.\"\nOnar looked across the table at the little Rodian, short even for his species, and small.  He said sure, that would be fine.\nThe Rodian said, \"I\'ll meet you in the morning at the pit.\"\nOnar sat back and watched as the little green businessman took a last swig of his Jawa beer and sat it back on the table.\n\"And I\'ll bring my champion with me.\"\nOnar felt his stomach drop.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch_book_text.stf', '19', 'title_10', 'Memo from Kirkland, B');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/death_watch_book_text.stf', '20', 'text_10', 'Operation Split Dewback was successful, but as always there were some issues.  First off, the security system wasn\'t sliced properly, so we had to deal with a contingent of security forces.  Not much problem there, those guys couldn\'t hit the broad side of a Star Destroyer from three meters with a rock.  \n\nThe real problem was the shipment of \"weapons\".  Turns out they were actually shipping some stolen art.  Have you seen this stuff?  One of the pieces is like a block of wood or something.  This is art?  I\'m really starting to regret our decison to just stop killing random people.  We might have taken out this \"artist\" before he finished his \"masterpiece.\"\n\nB. Kirkland');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/diant_bunker.stf', '1', 'generator_activate', 'You switch the generator on. The bunker returns to full power.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/diant_bunker.stf', '2', 'generator_deactivate', 'You turn the generator off. The bunker is now on emergency power only.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/diant_bunker.stf', '3', 'computer_desktop_denied', 'A small but powerful force field prevents you from interacting with the desktop computer.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/diant_bunker.stf', '4', 'computer_desktop_activate', 'You activate the desktop computer: Remote Host -- Transmitting Security Codes...');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/diant_bunker.stf', '5', 'security_no_power', 'There is no power being supplied to this terminal.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/diant_bunker.stf', '6', 'security_override', 'Warning: Security Override engaged, please use caution.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/diant_bunker.stf', '7', 'security_access_denied', 'Error: Remote host must be activated before security override can be engaged.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/diant_bunker.stf', '8', 'security_override_reset', 'Security Override Deactivated.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/diant_bunker.stf', '9', 'computer_desktop_deactivate', 'You turn off the desktop computer: Remote Host -- Disconnecting...');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/diant_bunker.stf', '10', 'computer_mainframe_no_power', 'There is no power being supplied to the mainframe computer.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/diant_bunker.stf', '11', 'computer_mainframe_success_fly', 'Success -- All Doors Opened!!!');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/diant_bunker.stf', '12', 'computer_mainframe_success', 'Making an educated guess, you manage to find the command to open all doors in the bunker. Congratulations!');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/diant_bunker.stf', '13', 'computer_mainframe_already', 'All the doors are already open in this facility.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/diant_bunker.stf', '14', 'computer_mainframe_failure_fly', 'DANGER -- FAILURE -- DANGER');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/diant_bunker.stf', '15', 'computer_mainframe_failure', 'You make an educated guess but fail to unlock the doors. Your tampering alerted the attention of several guards.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/diant_bunker.stf', '16', 'computer_mainframe_denied', 'Error: You must engage security override before accessing facility system settings.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/diant_bunker.stf', '17', 'generator_use', 'Operate Generator');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/diant_bunker.stf', '18', 'remote_use', 'Access Remote Host');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/diant_bunker.stf', '19', 'security_use', 'Security Override');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/diant_bunker.stf', '20', 'mainframe_use', 'Access Mainframe');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/diant_bunker.stf', '21', 'generator_use_off', 'Turn off generator');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/diant_bunker.stf', '22', 'computer_mainframe_title', 'Mainframe: Facility Settings');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/diant_bunker.stf', '23', 'computer_mainframe_text', 'The bunker\'s mainframe computer stands before you. You\'re not certain exactly how it works.  Would you like to make an educated guess and attempt to unlock all the doors in the facility?');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/diant_bunker.stf', '24', 'computer_mainframe_info', 'Someone with an advanced education or technical knowledge should be able to figure this out.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/diant_bunker.stf', '25', 'computer_mainframe_yes', 'You attempt to unlock the facility doors...');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/diant_bunker.stf', '26', 'computer_mainframe_no', 'You leave the mainframe alone.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/diant_bunker.stf', '27', 'explosion_warning', 'The bunker is exploding! You need to exit immediately or you will be killed!');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/diant_bunker.stf', '28', 'bunker_exploding', 'The bunker is exploding around you! You need to evacuate immediately!');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/diant_bunker.stf', '29', 'destruct_engaged', 'Self destruct sequence activated. Have a nice day!');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/diant_bunker.stf', '30', 'keypad_open', 'You now have clearance to enter the room.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/diant_bunker.stf', '31', 'keypad_lock', 'Access Denied');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/geonosian_madbio.stf', '1', 'door_locked', 'This door is locked.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/geonosian_madbio.stf', '2', 'toxic_fumes', 'You breathe in toxic fumes!');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/geonosian_madbio.stf', '3', 'wrong_chem', 'It looks like you need to put a beaker of liquid in there...');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/geonosian_madbio.stf', '4', 'stabilizer', 'The stabilizer mixes with the chemicals, removing the poison, but it looks like it will only be temporary...');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/geonosian_madbio.stf', '5', 'clean', 'The chemicals are already clean.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/geonosian_madbio.stf', '6', 'too_big', 'That won\'t fit...');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/geonosian_madbio.stf', '7', 'keycard_success', 'You have successfully used a keycard on this door.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/geonosian_madbio.stf', '8', 'right_code', 'You have successfully entered the code for this door.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/geonosian_madbio.stf', '9', 'shock', 'You feel electricity coursing through your body!');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/geonosian_madbio.stf', '10', 'power_off', 'You have shut off the power.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/geonosian_madbio.stf', '11', 'power_already_off', 'The power is already off.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/geonosian_madbio.stf', '12', 'bad_code', 'The number that you entered is not a valid code for this door.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/geonosian_madbio.stf', '13', 'hack_success', 'You have successfully hacked this terminal.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/geonosian_madbio.stf', '14', 'hack_fail', 'Unable to successfully slice the keypad, you realize that the only way to reset it is to carefully repair what damage you have done.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/geonosian_madbio.stf', '15', 'relock', 'Security systems at this facility have been cycled and reset.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/geonosian_madbio.stf', '16', 'gas_off', 'You have shut off the gas leak.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/geonosian_madbio.stf', '17', 'gas_already_off', 'The gas leak has already been repaired...');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/geonosian_madbio.stf', '18', 'electric_trash', 'You were electrified by the trash heap!');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/geonosian_madbio.stf', '19', 'trash_empty', 'You dig through the trash but find nothing of value...');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/geonosian_madbio.stf', '20', 'trash_full', 'You dig through the trash and find something interesting...');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/geonosian_madbio.stf', '21', 'gasmask', 'Your gasmask diffuses the poison gas and you are able to breathe with no difficulty.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/geonosian_madbio.stf', '22', 'no_entry', 'An invisible wall keeps you from entering this cave...');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/nightsister_rancor_cave.stf', '9', 'shock', 'You feel electricity coursing through your body!');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/nightsister_rancor_cave.stf', '10', 'power_off', 'You put your hands on the cold crystal and feel its power diminish.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/nightsister_rancor_cave.stf', '21', 'power_already_off', 'The crystals power already seem drained.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/nightsister_rancor_cave.stf', '22', 'protect', 'Protect me my sisters!');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/space_dungeon.stf', '1', 'unable_to_find_dungeon', 'That area is currently unavailable.  Please try again later.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/space_dungeon.stf', '2', 'test_success', 'Space dungeon travel is successful.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/space_dungeon.stf', '3', 'test_failure', 'Space dungeon travel has failed.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/space_dungeon.stf', '4', 'no_ticket', 'You do not have the proper authorization to access the %TO.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/space_dungeon.stf', '5', 'no_collector', 'There is nobody that will accept your travel authorization.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/space_dungeon.stf', '6', 'illegal_ticket', 'That is not the proper travel authorization.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/space_dungeon.stf', '7', 'validating_ticket', 'Validating travel authorization.  Please stand by...');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/space_dungeon.stf', '8', 'request_travel_outstanding', 'You already have an outstanding travel request.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/space_dungeon.stf', '9', 'test_dungeon', 'Test Dungeon');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/space_dungeon.stf', '10', 'not_authorized', 'You do not have the proper authorization to be in this area.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/space_dungeon.stf', '11', 'no_room_remaining', 'There are too many people in this area.  Return transportation initiated.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/space_dungeon.stf', '12', 'request_travel', 'Present Travel Authorization');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/space_dungeon.stf', '13', 'dungeon_ticket', 'Travel Authorization Form');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/space_dungeon.stf', '14', 'dungeon_ticket_d', 'This appears to contain the necessary authorization to travel to a restricted location.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/space_dungeon.stf', '24', 'corvette_neutral', 'a CSF controlled Corellian Corvette');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/space_dungeon.stf', '25', 'corvette_rebel', 'an Imperial controlled Corellian Corvette');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/space_dungeon.stf', '26', 'corvette_imperial', 'a Rebel controlled Corellian Corvette');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/space_dungeon.stf', '27', 'corvette_rebel_pilot', 'Speak to Lt. Lance at the Alliance Base.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/space_dungeon.stf', '28', 'corvette_neutral_pilot', 'Speak to Klaatu at Jabba\'s Palace.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/space_dungeon.stf', '29', 'corvette_imperial_pilot', 'Speak to an Imperial pilot at the Emperor\'s Retreat.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon/space_dungeon.stf', '30', 'corellian_corvette_travel_fail', 'The Corellian corvette is currently out of transport range making transportation impossible.');
INSERT INTO `client_strings` VALUES ('string/en/dungeon_strings.stf', '1', 'fort_tusken_completed', 'Great Work! The Tusken Raiders have been vanquished. For now...');
INSERT INTO `client_strings` VALUES ('string/en/elevator_text.stf', '1', 'up', 'UP');
INSERT INTO `client_strings` VALUES ('string/en/elevator_text.stf', '2', 'down', 'DOWN');
INSERT INTO `client_strings` VALUES ('string/en/elevator_text.stf', '3', 'too_far', 'You are too far away to use that.');
INSERT INTO `client_strings` VALUES ('string/en/elevator_text.stf', '4', 'highest_floor', 'You are already on the highest floor');
INSERT INTO `client_strings` VALUES ('string/en/elevator_text.stf', '5', 'lowest_floor', 'You are already on the lowest floor');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '1', ':)', 'smile');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '2', '=)', 'smile');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '3', ':D', 'beam');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '4', '=D', 'beam');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '5', ';)', 'wink');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '6', ':(', 'frown');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '7', '=(', 'frown');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '8', ':?', 'curious');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '9', '=?', 'curious');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '10', '>:)', 'grin');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '11', '>=)', 'grin');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '12', '}:)', 'evilgrin');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '13', '}=)', 'evilgrin');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '14', '>:(', 'fume');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '15', '>=(', 'fume');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '16', ':x', 'kiss');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '17', ':X', 'kiss');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '18', ':*', 'kiss');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '19', ':o', 'surprised');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '20', '=o', 'surprised');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '21', ':O', 'gape');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '22', '=O', 'gape');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '23', 'o:)', 'halo');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '24', 'O=)', 'halo');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '25', ':P', 'tongue');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '26', ':p', 'tongue');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '27', ':b', 'tongue');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '28', '=P', 'tongue');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '29', '=p', 'tongue');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '30', '=b', 'tongue');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '31', ':P~', 'raspberry');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '32', ':p~', 'raspberry');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '33', ':b~', 'raspberry');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '34', '=P~', 'raspberry');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '35', '=p~', 'raspberry');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '36', '=b~', 'raspberry');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '37', ':|', 'smirk');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '38', '=|', 'smirk');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '39', ':\'(', 'cry');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '40', ':,(', 'cry');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '41', '=\'(', 'cry');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '42', '=,(', 'cry');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '43', 'AFK', 'afk');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '44', 'afk', 'afk');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '45', 'BBL', 'bbl');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '46', 'bbl', 'bbl');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '47', 'BRB', 'brb');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '48', 'brb', 'brb');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '49', 'CU', 'cu');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '50', 'cu', 'cu');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '51', 'JK', 'jk');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '52', 'jk', 'jk');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '53', 'LOL', 'lol');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '54', 'lol', 'lol');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '55', 'LOL!', 'lol');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '56', 'lol!', 'lol');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '57', 'ROFL', 'rofl');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '58', 'rofl', 'rofl');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '59', 'ROFL!', 'rofl');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '60', 'rofl!', 'rofl');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '61', 'OMG', 'omg');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '62', 'omg', 'omg');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '63', 'TMI', 'tmi');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '64', 'tmi', 'tmi');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '65', 'thxinfo', 'thxinfo');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '66', 'THXINFO', 'thxinfo');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '67', 'doh', 'doh');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '68', 'DOH', 'doh');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '69', 'thxinfo!', 'thxinfo');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '70', 'THXINFO!', 'thxinfo');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '71', 'doh!', 'doh');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '72', 'DOH!', 'doh');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '73', ':[', 'snarl');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '74', '=[', 'snarl');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '75', ':o~', 'drool');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '76', ':O~', 'drool');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '77', '8|', 'doh');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '78', '8o', 'eek');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '79', '8O', 'ack');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '80', '.oO', 'ponder');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '81', '-_^', 'eyebrow');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '82', '^_-', 'eyebrow');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '83', 'o_^', 'eyebrow');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '84', '^_o', 'eyebrow');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '85', 'O_^', 'eyebrow');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '86', '^_O', 'eyebrow');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '87', '*^_^*', 'blush');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '88', '*o_o*', 'blush');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '89', '*O_O*', 'blush');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '90', '-<@', 'rose');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '91', '@>-', 'rose');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '92', '?:)', 'curious');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '93', '?=)', 'curious');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '94', ':/', 'groan');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '95', '=/', 'groan');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '96', ':\\', 'groan');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_moods.stf', '97', '=\\', 'groan');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_socials.stf', '1', 'smile', ':)\n=)');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_socials.stf', '2', 'beam', ':D\n=D');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_socials.stf', '3', 'wink', ';)');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_socials.stf', '4', 'frown', ':(\n=(');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_socials.stf', '6', 'grin', ':>\n=>');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_socials.stf', '7', 'evilgrin', '>:)\n>=)\n(6)');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_socials.stf', '8', 'fume', '>:(\n>=(');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_socials.stf', '9', 'kiss', ':x\n:X\n:*');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_socials.stf', '10', 'surprised', ':o\n=o');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_socials.stf', '11', 'gape', ':O\n=O');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_socials.stf', '12', 'halo', 'o:)\nO:)\no=)\nO=)\n(a)\n(A)');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_socials.stf', '13', 'tongue', ':P\n:p\n:b\n=P\n=p\n=b');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_socials.stf', '14', 'raspberry', ':P~\n:p~\n:b~\n=P~\n=p~\n=b~');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_socials.stf', '15', 'smirk', ':|\n=|');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_socials.stf', '16', 'cry', ':((\n:\'(\n:,(\n=\'(\n=,(');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_socials.stf', '27', 'snarl', ':[\n=[');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_socials.stf', '28', 'drool', ':o~\n:O~');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_socials.stf', '29', 'eek', '8o');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_socials.stf', '31', 'ponder', '.oO');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_socials.stf', '32', 'eyebrow', '-_^\n^_-\no_^\n^_o\nO_^\n^_O\n:\\\n=\\');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_socials.stf', '33', 'blush', '*^_^*\n*o_o*\n*O_O*\n:\")');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_socials.stf', '34', 'rose', '-<@\n@>-\n@};-\n(F)');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_socials.stf', '35', 'groan', ':/\n=/');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_socials.stf', '37', 'laugh', ':))');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_socials.stf', '39', 'steam', 'x(\nX(\n:@');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_socials.stf', '40', 'curse', '>:O\n>:o');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_socials.stf', '41', 'snore', '|)\n|-)');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_socials.stf', '42', 'nausea', ':&\n:-&\n(&)');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_socials.stf', '43', 'shush', ':$\n:-$');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_socials.stf', '44', 'love', '(L)');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_socials.stf', '45', 'shake', '(N)');
INSERT INTO `client_strings` VALUES ('string/en/emoticon_socials.stf', '46', 'nod', '(Y)');
INSERT INTO `client_strings` VALUES ('string/en/emp_int_1.stf', '1', 'lord1', 'That student was only one in a series of recent insurgents.  I know the professor has been putting them up to this... disobedient behavior.  I want to to eliminate the man, immediately.  He has planned a field trip for his rebelious students.  Go there now and put an end to their criminal ways.');
INSERT INTO `client_strings` VALUES ('string/en/emp_int_1.stf', '2', 'lord1_reply1', 'Will do.');
INSERT INTO `client_strings` VALUES ('string/en/emp_int_1.stf', '3', 'lord1_reply2', 'No time for that now.');
INSERT INTO `client_strings` VALUES ('string/en/emp_int_1.stf', '4', 'lord2', 'Excellent.');
INSERT INTO `client_strings` VALUES ('string/en/emp_int_1.stf', '5', 'lord3', 'Do not test my patience.  Speak to me as soon as you are fit for service, then.');
INSERT INTO `client_strings` VALUES ('string/en/emp_int_2.stf', '1', 'lord1', 'Recently one of my Inquisitors failed me.  A troublesome rebel commander must be eliminated.  You will not fail.');
INSERT INTO `client_strings` VALUES ('string/en/emp_int_2.stf', '2', 'lord1_reply1', 'Will do.');
INSERT INTO `client_strings` VALUES ('string/en/emp_int_2.stf', '3', 'lord1_reply2', 'I\'m not ready to do that right now.');
INSERT INTO `client_strings` VALUES ('string/en/emp_int_2.stf', '4', 'lord2', 'Excellent.');
INSERT INTO `client_strings` VALUES ('string/en/emp_int_2.stf', '5', 'lord3', 'I will give you a few minutes to prepare yourself, then.  Return to me when you are ready.');
INSERT INTO `client_strings` VALUES ('string/en/emp_int_3.stf', '1', 'lord1', 'Clear an area of rebel forces in preparation for a strike team\'s landing.  I\'ll enter the location into your datapad and send further instruction when the area is clear.\n');
INSERT INTO `client_strings` VALUES ('string/en/emp_int_3.stf', '2', 'lord1_reply1', 'Will do.');
INSERT INTO `client_strings` VALUES ('string/en/emp_int_3.stf', '3', 'lord1_reply2', 'I\'m not ready to do that right now.');
INSERT INTO `client_strings` VALUES ('string/en/emp_int_3.stf', '4', 'lord2', 'Excellent.');
INSERT INTO `client_strings` VALUES ('string/en/emp_int_3.stf', '5', 'lord3', 'You are trying my patience.');
INSERT INTO `client_strings` VALUES ('string/en/encoded_disk/message_fragment.stf', '1', 'name_rebel1', 'Rebel Transmission');
INSERT INTO `client_strings` VALUES ('string/en/encoded_disk/message_fragment.stf', '37', 'name_rebel2', 'Imperial Plans');
INSERT INTO `client_strings` VALUES ('string/en/encoded_disk/message_fragment.stf', '38', 'name_imperial1', 'Rebel Orders');
INSERT INTO `client_strings` VALUES ('string/en/encoded_disk/message_fragment.stf', '50', 'text_rebel1', 'This disk appears to contain a fragment of a rebel transmission.  The nature of the transmission isn\'t clear.  You will need to gather all four parts and combine them in order to determine the contents of the transmission.');
INSERT INTO `client_strings` VALUES ('string/en/encoded_disk/message_fragment.stf', '51', 'text_rebel2', 'This disk appears to contains partial plans to a new type of Imperial starship.  Unfortunately, the data is incomplete.  The disk\'s file index indicates there are three more parts to the plans.  If you gather all three of those parts, you should be able to assemble the complete set of plans.');
INSERT INTO `client_strings` VALUES ('string/en/encoded_disk/message_fragment.stf', '52', 'text_imperial1', 'The disk contains a fragment of orders apparently addressed to a commanding officer of the rebellion.  You aren\'t able to determine the nature of the orders from this piece alone.  If you gather the other three parts of the message, you should be able to assemble the complete set of orders.');
INSERT INTO `client_strings` VALUES ('string/en/encoded_disk/message_fragment.stf', '53', 'combine', 'Assemble');
INSERT INTO `client_strings` VALUES ('string/en/encoded_disk/message_fragment.stf', '54', 'sys_not_in_inv', 'The disk can\'t be used unless it is in your inventory!');
INSERT INTO `client_strings` VALUES ('string/en/encoded_disk/message_fragment.stf', '55', 'sys_not_all_parts', 'You don\'t have all of the fragments of this message.');
INSERT INTO `client_strings` VALUES ('string/en/encoded_disk/message_fragment.stf', '56', 'sys_message_assembled', 'You successfully assemble the fragments into a single file.');
INSERT INTO `client_strings` VALUES ('string/en/encoded_disk/message_fragment.stf', '60', 'complete_rebel1', 'Turn this in to a faction by dragging and dropping it on a faction recruiter.\n\nThe disk contains a transmission from rebel spies that have been operating in Imperial controlled areas.  The spies have provided extensive information on Imperial troop movements and force compositions.  This information is highly valuable to the Rebel Alliance.  If you turn it in to a rebel operative, you might receive a handsome reward.');
INSERT INTO `client_strings` VALUES ('string/en/encoded_disk/message_fragment.stf', '61', 'complete_rebel2', 'Turn this in to a faction by dragging and dropping it on a faction recruiter.\n\nThe disk contains extensive plans on a prototype Imperial starship.  According to the documents, the ship has just recently entered into the preproduction phase and only exists in limited quantities.  If the Rebel Alliance had this information, they might be able to sabotage the prototypes or build ships of similar capability.  If you turn these documents over to a rebel operative, you should get a nice reward.');
INSERT INTO `client_strings` VALUES ('string/en/encoded_disk/message_fragment.stf', '62', 'complete_imperial1', 'Turn this in to a faction by dragging and dropping it on a faction recruiter.\n\nThe disk contains a series of complex orders from a Rebel Alliance commander to his subordinates.  The unit and location code names mean little to you, but the Galactic Empire might be able to act on this information.  You could probably turn this information over to an Imperial operative for a sizable reward.');
INSERT INTO `client_strings` VALUES ('string/en/encoded_disk/message_fragment.stf', '63', 'response_imperial1_imperial', 'I don\'t know how you got this information, but it appears to be real.  My superiors will find this quite informative.  Here is a little something to incentivise further loyalty to the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/encoded_disk/message_fragment.stf', '64', 'response_imperial1_rebel', 'How did you get these orders?  Nevermind, I don\'t want to know.  I understand that you could have given this to the Empire just as easily.  While I would hope you did this out of faith in the Rebellion, I understand that faith doesn\'t pay debts.');
INSERT INTO `client_strings` VALUES ('string/en/encoded_disk/message_fragment.stf', '65', 'response_rebel1_imperial', 'This...information...how...?  Ahem.  The accuracy of the information gathered by these spies is surprising.  I\'ll make sure this disk disappears immediately.  You could have given this to the Rebels, I imagine.  Thank you for choosing to aid the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/encoded_disk/message_fragment.stf', '66', 'response_rebel1_rebel', 'With these troop movement details we should be able to get supplies and people into this sector easily.  Thank you for assisting the Rebellion.  Here is compensation for any losses you took getting us this information.');
INSERT INTO `client_strings` VALUES ('string/en/encoded_disk/message_fragment.stf', '67', 'response_rebel2_imperial', 'These plans can\'t be real.  I\'ll check the security codes and...ah...well...  It seems these are legitimate after all.  You could be imprisoned just for having seen this.  By law I should have you interrogated.  On the other hand, I wouldn\'t want information like this to fall into Rebel hands.  Keep quiet and make sure all the copies disappear.');
INSERT INTO `client_strings` VALUES ('string/en/encoded_disk/message_fragment.stf', '68', 'response_rebel2_rebel', 'These plans are incredible.  This ship would be capable of...  I should get this to my superiors at once.  If we act quickly, we might be able to destroy the Imperial prototype or build a similar ship.  Thank you for aiding the Rebellion.');
INSERT INTO `client_strings` VALUES ('string/en/encoded_disk/message_fragment.stf', '69', 'name_eventimp1', 'Encoded Imperial Transmission');
INSERT INTO `client_strings` VALUES ('string/en/encoded_disk/message_fragment.stf', '70', 'name_eventreb1', 'Encoded Rebel Transmission');
INSERT INTO `client_strings` VALUES ('string/en/encoded_disk/message_fragment.stf', '71', 'text_eventimp1', 'This disk appears to contain a fragment of an ordinally encrypted Imperial transmission in a file titled \'Project Dead Eye\'.  You won\'t be able to read the fragment without the other disks.  If you have the full set of disks, press the Assemble button to compile a complete version of the file.');
INSERT INTO `client_strings` VALUES ('string/en/encoded_disk/message_fragment.stf', '72', 'text_eventreb1', 'This disk appears to contain a fragment of an ordinally encrypted Rebel transmission in a file titled \'Project Dead Eye\'.  You won\'t be able to read the fragment without the other disks.  If you have the full set of disks, press the Assemble button to compile a complete version of the file.');
INSERT INTO `client_strings` VALUES ('string/en/encoded_disk/message_fragment.stf', '73', 'frag_eventimp1_1', '-PBhesBnxmBBblBBboxz-b.fBpibNvBtzvB,:i:BbbfBbuBjbbBgBbbiuBijbBdPbpbBjuBBmBBpBBpBu.mc\'BBfbgBsb\'bbb\'pO');
INSERT INTO `client_strings` VALUES ('string/en/encoded_disk/message_fragment.stf', '74', 'frag_eventimp1_2', '-PygCvcrgkcjCkveCccg-CCgcCgCWrcgqvvChCt\'cpkVppechvCCgqcgoCkcPCmCcugccwgcqrk-ce:0:Cntucc\'Cgp\'CuxCCuw,\n');
INSERT INTO `client_strings` VALUES ('string/en/encoded_disk/message_fragment.stf', '75', 'frag_eventimp1_3', 'DOrgddDh\'qDhkpkowpbDvwdsqdDbVDDhxDz:sin(1):drsh;DbrzwDfDDhduuDDvhqqq\'nlEDDuDDfdD.ri-DkdDhDDDvlzrvkDhdwDwD\n');
INSERT INTO `client_strings` VALUES ('string/en/encoded_disk/message_fragment.stf', '76', 'frag_eventimp1_4', 'PCvEErxvzkxviqissi,elsEEhEesXeFEEesEvvrEgErsieelerriie(EEijEXrrvxeismovwEaExkEEeeeglErEaEieEEl:arctan(1/2):eEe');
INSERT INTO `client_strings` VALUES ('string/en/encoded_disk/message_fragment.stf', '77', 'frag_eventimp1_5', 'Q.iftymnjxm.wjdxF!FFjFXfFnFzFFwffFFyFtyfffF,qF.jFFihFFhffjt:cos(1):fFtljmFxskdsmfjfmtfGFpFftfFfFfwFfgnFfF');
INSERT INTO `client_strings` VALUES ('string/en/encoded_disk/message_fragment.stf', '78', 'frag_eventimp1_6', 'OG.GlGggGGkGGxGkgGguGgnGgjoGgnkGGggngprGt:gamma:GgGGjGGugGugiaGGjxGgcGgkvzkG,GoGxGkoGxqGntsGgGgGGyGoyhGY\n');
INSERT INTO `client_strings` VALUES ('string/en/encoded_disk/message_fragment.stf', '79', 'frag_eventimp1_7', 'HhHa:phi:Hhashhfhh,hHHhHbhHlbHlzhHlhdjiHlHlfzHtHhhvhhmHhyHvyvAHtnHHhrHll,hHhuNHfHupluhl\'lsHfHvhwaaHlaP');
INSERT INTO `client_strings` VALUES ('string/en/encoded_disk/message_fragment.stf', '80', 'frag_eventimp1_8', 'VIiwiIIIII\'IIIIipIsbIk\'vei.IVzspiwbIb:1:kImiwwIIkIIIgIliuaniiimtiI.izlIIiIgziwioniwIibIwbmpnIciIiIpO\n');
INSERT INTO `client_strings` VALUES ('string/en/encoded_disk/message_fragment.stf', '81', 'frag_eventimp1_9', 'LYJJJrjjqjaCLjtJnKnJvxbmnJJmXJ.jwdqjqcjnJawfxJUejnxbannJaJccnJcJJbJjhJhJnJd:zeta(3):JJJtfUaJjbqjnowwtjJjnW\n');
INSERT INTO `client_strings` VALUES ('string/en/encoded_disk/message_fragment.stf', '82', 'frag_eventimp1_10', 'OkVkcxKKoloryKxdbboksxKoKkkyDkKdKdsKoKKKnoKoxk:sqrt(2):ykKkpKoKKkuks,diykZykKyiykkmKlkk.KidkKdobbKouoKdKbS\n');
INSERT INTO `client_strings` VALUES ('string/en/encoded_disk/message_fragment.stf', '83', 'frag_eventimp1_11', 'LdjLzqdalzLpospsLpaLrelclLL,LLlLlLynLl\'ltLlLLLzyLcLlLllLtwzLLzzLcyLdfzf:2:LdzlfLLLloLLdLLdLlnLyetnpY');
INSERT INTO `client_strings` VALUES ('string/en/encoded_disk/message_fragment.stf', '84', 'frag_eventimp1_12', 'mepsyaqddgmkqmiqmmMrtmMs:sqrt(5):MiIMmuMmMmsamMPMsmMmmzwuxemMmMMfzxzmmgMIumuaMgdyqgMpfzmMmmsmmm,mMwmMaym.S');
INSERT INTO `client_strings` VALUES ('string/en/encoded_disk/message_fragment.stf', '85', 'frag_eventimp1_13', 'NNnrrNpbqgNNa,NlNxnbgpteuuunNqNNsNfqNvrvNNvNNnffqNNsNogu)NNN:e:N\'nbayaNnNfrNcatbrNv\'NrsNNNNe.NnbreNN');
INSERT INTO `client_strings` VALUES ('string/en/encoded_disk/message_fragment.stf', '86', 'frag_eventimp1_14', 'SoOhOofxO.oooOoOf.OfOhccosoOuszswh.sggotowhboaOv:3:soqfvmvo.oopofOfqzOoOosrozssOsMhgwhsszorwOaOO.soo');
INSERT INTO `client_strings` VALUES ('string/en/encoded_disk/message_fragment.stf', '87', 'frag_eventimp1_15', 'NPpPpPttpPuPbpPptPpPpPcjkginxchacwPctPsPPc.tPtptgPddpPtiPPPjctwstnpPvPapPxti:pi:psd\'PuP.cpPphppwpPuPP\n');
INSERT INTO `client_strings` VALUES ('string/en/encoded_disk/message_fragment.stf', '88', 'frag_eventimp1_16', 'UjQqQqjsQqjsuQxQqqdqQquduuue:2^2:ljeituqqsqQqkvQuqtQtqqkchqQQqjmjoQqQiQQcusvbjdtQQQkbqQqQeiqkaQouQqkTE');
INSERT INTO `client_strings` VALUES ('string/en/encoded_disk/message_fragment.stf', '89', 'frag_eventimp1_17', 'JydRzsRkiRvrRzfxcRRRkRRuRRmlvz,vRjRdiRrRgfruRRcRrxiRuRrrRyvRfrirjrk:5:rkrRRyxRrjrRcRrRrlkexzCRiwRcVL');
INSERT INTO `client_strings` VALUES ('string/en/encoded_disk/message_fragment.stf', '90', 'frag_eventimp1_18', 'SwszegsSmFjdsxogSSszjqs,sswSSlSSswGwwsSqSjSSzsasfgksSfSSOwSsfSvSSSzqSfsswksSlSsSeSzSyS:3!:vzfqsSsDSJL\n');
INSERT INTO `client_strings` VALUES ('string/en/encoded_disk/message_fragment.stf', '91', 'frag_eventimp1_19', 'tTghinTtfhTeTT:#00000A:TmtgTxrhTTTTkttrttTTgTmiXhtfTtnTdTT,xTthtlxTtTxe.btbbutTTTTTTbkuTthpxLatTmzwTtkxtET');
INSERT INTO `client_strings` VALUES ('string/en/encoded_disk/message_fragment.stf', '92', 'frag_eventimp1_20', 'UuufinCUvquUMuuUUsylUoxuhmUUU.UUiuyuUjsoUuuUgPyiuUUnUqmfUuUXUiUmUh:00001111:myUuunuunmyyuUgylbUUuyUubUUnUCu');
INSERT INTO `client_strings` VALUES ('string/en/encoded_disk/message_fragment.stf', '93', 'frag_eventreb1_1', '-MDajtAsastkAAAasAAAwsfsazo*i*efmAtioaafsAaagaxkAamEeaoojsforfAAxB:sAvAAdUfmtoN');
INSERT INTO `client_strings` VALUES ('string/en/encoded_disk/message_fragment.stf', '94', 'frag_eventreb1_2', '-BqBq.baBq*0*.gXTRBcbEbkgeqBgv,xnbBgpBBcicBBBBkwbBtqBBevpqrewBbbgpBmhBbbvBtnvgq');
INSERT INTO `client_strings` VALUES ('string/en/encoded_disk/message_fragment.stf', '95', 'frag_eventreb1_3', '-cq#qCC:vsCfdhdDjCrCwoumS.vChlCcprusohqdwcewgCrhfcqu*sin(1)*vlmdblcCCuCcCxcCC.cCCd.i');
INSERT INTO `client_strings` VALUES ('string/en/encoded_disk/message_fragment.stf', '96', 'frag_eventreb1_4', 'IDj1,diDtvdxgfvPvwhleeiivDDdDelD,xmvirh*arctan(1/2)*wlDilmPjexDiiDxivDwDTm.dDdvDgsDDddvDj');
INSERT INTO `client_strings` VALUES ('string/en/encoded_disk/message_fragment.stf', '97', 'frag_eventreb1_5', 'SYn5EEsednEEhjfJf*cos(1)*ujfqyyhteeEesfyEExtiyExjyEEhtkitxjfedhjenjwsEEAEgfwkeXEEyeE');
INSERT INTO `client_strings` VALUES ('string/en/encoded_disk/message_fragment.stf', '98', 'frag_eventreb1_6', 'IXx-fAiFFgQfgrmXvetyFkFzpFFgFibuffqp.FfuFnffkeoexkjyFFzFF*gamma*zbuifogcgroFFRcuoFf');
INSERT INTO `client_strings` VALUES ('string/en/encoded_disk/message_fragment.stf', '99', 'frag_eventreb1_7', 'VHtHGyshgalGG*phi*GyAo,hGgkg,lAhuallGGGGlGgGjgpGG.hjGGjGlpgGgwplqyGujpnsagPPpbuWG');
INSERT INTO `client_strings` VALUES ('string/en/encoded_disk/message_fragment.stf', '100', 'frag_eventreb1_8', 'LVi8iowvHmgLhhiH.HuhHHHHkpzlpHHhjxhkhHiqHabmHtmhhc*1*hlvHhHmwvmmXnkbaHqHBXtzoiR');
INSERT INTO `client_strings` VALUES ('string/en/encoded_disk/message_fragment.stf', '101', 'frag_eventreb1_9', 'NBc6unbIqmfnIIyiIinImiaicn*zeta(3)*nIjiiIdnIcIcujmIngiIaIIaI.IxIoawcljjxjq,ilcI,uIIan');
INSERT INTO `client_strings` VALUES ('string/en/encoded_disk/message_fragment.stf', '102', 'frag_eventreb1_10', 'NWsAvxojkJyk(KrJjJJyyJoJJcJjdJJndbdJSrvdojbdJjcqFsdJjpcyccJdcbbJJJJkrjJJ*sqrt(2)*jjkb');
INSERT INTO `client_strings` VALUES ('string/en/encoded_disk/message_fragment.stf', '103', 'frag_eventreb1_11', 'KTz.KeoKd*2*kcoOw.LKakmnednkpkKKoepKxskelKpwKxcAKKflezkKKsczKkKplxkkkvwtKkkKKru');
INSERT INTO `client_strings` VALUES ('string/en/encoded_disk/message_fragment.stf', '104', 'frag_eventreb1_12', 'lEzLlL.MLLpLaxLXMaLf*sqrt(5)*gaqaLLLilatolumLLflpuyuqmUlmokLLflaLzlLlpsmLLLzLeYLLtidq');
INSERT INTO `client_strings` VALUES ('string/en/encoded_disk/message_fragment.stf', '105', 'frag_eventreb1_13', 'MFMmMmMymqfmpvmRMfFnzMnqQmrrMrreMggomMMMinazez*e*MepMmQuMhmaMbMMeyzsobmMHburvne');
INSERT INTO `client_strings` VALUES ('string/en/encoded_disk/message_fragment.stf', '106', 'frag_eventreb1_14', 'WW*3*nNcNnzNc:NhoNFngywsnfssNbNhgNmkNNsNnFnshosodoronNsshzNswtbnoNowikNnGfoohdf');
INSERT INTO `client_strings` VALUES ('string/en/encoded_disk/message_fragment.stf', '107', 'frag_eventreb1_15', 'BDOPudOxbrOTdcPIOxxccOrcpsrowOoetooOxOtOgtiOvtgx,OqeOwstacOt*pi*OeonaiOcOIOkswwd');
INSERT INTO `client_strings` VALUES ('string/en/encoded_disk/message_fragment.stf', '108', 'frag_eventreb1_16', 'FDsjvhIqykpohsBPHrcujqxqtehPupPjPPPpiqrmohuphhud*2^2*PmubpuPcPPpucxPPjPpqfPpuiP.t');
INSERT INTO `client_strings` VALUES ('string/en/encoded_disk/message_fragment.stf', '109', 'frag_eventreb1_17', 'V.fkzulejdQv)vVqvcdujQQdQtpsQQdQqkkQQe*5*vzQzuQrzQxqzQfQQqvqqQur.eqyqQkiqQQ,qQQ');
INSERT INTO `client_strings` VALUES ('string/en/encoded_disk/message_fragment.stf', '110', 'frag_eventreb1_18', 'JRvwuweuswH,,.JRtqwRRrrwrmhw*3!*rfwrRzzjrqdlrsRhhsrRRdrqnrRjRRlafRgRqRlmgRNrRRrr');
INSERT INTO `client_strings` VALUES ('string/en/encoded_disk/message_fragment.stf', '111', 'frag_eventreb1_19', 'BsxgxkfxigkSSS*#00000A*MIxSkssSSwSfmeShtSvxxxSSlaSeskaeSsteSfbSizkmagismpSrakcGtSsfSS');
INSERT INTO `client_strings` VALUES ('string/en/encoded_disk/message_fragment.stf', '112', 'frag_eventreb1_20', 'UTTnlmuTjnitttTuft,TTmjTYyycUnhnuTTpotTTiTTy.TuThTc*00001111*ywJlyybyaiTyitiyyyIxuTc-t');
INSERT INTO `client_strings` VALUES ('string/en/encoded_disk/message_fragment.stf', '113', 'complete_eventimp1', 'Turn this in to a faction by dragging and dropping it on a faction recruiter.\n\nThis disk contains a partial file titled \'Project Dead Eye\' containing an ordinally encoded message fragment:\n\n');
INSERT INTO `client_strings` VALUES ('string/en/encoded_disk/message_fragment.stf', '114', 'complete_eventreb1', 'Turn this in to a faction by dragging and dropping it on a faction recruiter.\n\nThis disk contains a partial file titled \'Project Dead Eye\' containing an ordinally encoded message fragment:\n\n');
INSERT INTO `client_strings` VALUES ('string/en/encoded_disk/message_fragment.stf', '115', 'response_eventimp1_imperial', 'How did you manage to get this information?  This is a top secret transmission...it must have been intercepted by the Rebellion at some point.  Thank you for finding this and returning it to me, your dedication to ensuring the security of the Empire will be remembered.');
INSERT INTO `client_strings` VALUES ('string/en/encoded_disk/message_fragment.stf', '116', 'response_eventimp1_rebel', 'Hmm...an Imperial transmission...encoded...  I\'ll have a team begin work on this right away.  It appears to have originated from Moff Jerjerrod.  Very interesting.  Thank you for assisting the Rebellion.  Without dedicated work from those such as yourself, we wouldn\'t have much of a chance.');
INSERT INTO `client_strings` VALUES ('string/en/encoded_disk/message_fragment.stf', '117', 'response_eventreb1_imperial', 'Interesting.  This encoded Rebel message refers to a top secret project.  The Rebel spies are more skilled than I had suspected.  Thank you for turning this in.  Maybe with the names in this transmission, my security team will be able to track down the spies involved.');
INSERT INTO `client_strings` VALUES ('string/en/encoded_disk/message_fragment.stf', '118', 'response_eventreb1_rebel', 'Where did you find this?  This is a highest channel transmission.  I can\'t believe that you were able to happen upon it.  There must be a leak in our spy network...  Thank you for turning in this information.  If the Empire had gotten their hands on this, many important operatives would have been placed at risk.');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '1', 'endor_neutral_outpost', 'Research Outpost');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '2', 'endor_smuggler_outpost', 'Smuggler Outpost');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '3', 'world_spawner', 'Endor');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '4', 'central_desert', 'Endor');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '5', 'eastern_desert', 'Endor');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '6', 'central_forest', 'Endor');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '7', 'southeast_forest', 'Endor');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '8', 'northeast_plains', 'Endor');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '9', 'northwest_plains', 'Endor');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '10', 'central_peak', 'Endor');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '11', 'southeast_peak', 'Endor');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '12', 'southwest_peak', 'Endor');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '13', 'western_mountains', 'Endor');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '14', 'northern_mountains', 'Endor');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '15', 'eastern_mountains', 'Endor');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '16', 'northern_peak', 'Endor');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '17', 'medium_lantern_bird_ne', 'Endor');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '18', 'hard_desert_marauder_ne', 'Endor');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '19', 'medium_bolma_ne', 'Endor');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '20', 'hard_remmer_se', 'Endor');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '21', 'hard_mantigrue_se', 'Endor');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '22', 'medium_bolma_se', 'Endor');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '23', 'hard_gorax_sw', 'Endor');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '24', 'hard_bordok_sw', 'Endor');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '25', 'medium_blurrg_sw', 'Endor');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '26', 'hard_remmer_nw', 'Endor');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '27', 'hard_mantigrue_nw', 'Endor');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '28', 'hard_bordok_nw', 'Endor');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '29', 'desert_one', 'Endor');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '30', 'desert_two', 'Endor');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '31', 'mountain_one', 'Endor');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '32', 'mountain_two', 'Endor');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '33', 'mountain_three', 'Endor');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '34', 'mountain_four', 'Endor');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '35', 'plains_one', 'Endor');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '36', 'plains_two', 'Endor');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '37', 'plains_three', 'Endor');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '38', 'plains_four', 'Endor');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '39', 'forest_one', 'Endor');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '40', 'forest_two', 'Endor');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '41', 'forest_three', 'Endor');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '42', 'forest_four', 'Endor');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '43', 'forest_five', 'Endor');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '44', 'forest_six', 'Endor');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '45', 'peak_one', 'Endor');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '46', 'peak_two', 'Endor');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '47', 'peak_three', 'Endor');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '48', 'peak_four', 'Endor');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '49', 'ewok_village_tree_1', 'Central Panshee Ewok Village');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '50', 'ewok_village_tree_2', 'Southeast Panshee Ewok Village');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '51', 'ewok_lake_village_1', 'Gondula Ewok Lakeside Village');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '52', 'ewok_lake_village_2', 'Gondula Ewok Fishing Village');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '53', 'dulok_village_1', 'Pubam Dulok Village');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '54', 'dulok_village_2', 'Korga Dulok Village');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '55', 'salma_desert_1', 'Salma Desert');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '56', 'salma_desert_2', 'Salma Desert');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '57', 'salma_desert_3', 'Salma Desert');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '58', 'salma_desert_4', 'Salma Desert');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '59', 'salma_desert_5', 'Salma Desert');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '60', 'yawari_cliffs_1', 'Yawari Cliffs');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '61', 'yawari_cliffs_2', 'Yawari Cliffs');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '62', 'yawari_cliffs_3', 'Yawari Cliffs');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '63', 'yawari_cliffs_4', 'Yawari Cliffs');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '64', 'yawari_cliffs_5', 'Yawari Cliffs');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '65', 'yawari_cliffs_6', 'Yawari Cliffs');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '66', 'yawari_cliffs_7', 'Yawari Cliffs');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '67', 'yawari_cliffs_8', 'Yawari Cliffs');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '68', 'yawari_cliffs_9', 'Yawari Cliffs');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '69', 'yawari_cliffs_10', 'Yawari Cliffs');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '70', 'yawari_cliffs_11', 'Yawari Cliffs');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '71', 'yawari_cliffs_12', 'Yawari Cliffs');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '72', 'yawari_cliffs_13', 'Yawari Cliffs');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '73', 'yawari_cliffs_14', 'Yawari Cliffs');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '74', 'yawari_cliffs_15', 'Yawari Cliffs');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '75', 'yawari_cliffs_16', 'Yawari Cliffs');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '76', 'yawari_cliffs_17', 'Yawari Cliffs');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '77', 'yawari_cliffs_18', 'Yawari Cliffs');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '78', 'nub_shanda', 'Nub Shanda');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '79', 'noragg_place_1', 'Moragg\'s Place');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '80', 'marauder_mountain_2', 'Marauder Mountain');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '81', 'marauder_mountain_3', 'Marauder Mountain');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '82', 'jiberah_plains_1', 'Jiberah Plains');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '83', 'jiberah_plains_2', 'Jiberah Plains');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '84', 'jiberah_plains_3', 'Jiberah Plains');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '85', 'jiberah_plains_4', 'Jiberah Plains');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '86', 'jiberah_plains_5', 'Jiberah Plains');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '87', 'oniantae_hills_1', 'Oniantae Hills');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '88', 'oniantae_hills_2', 'Oniantae Hills');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '89', 'oniantae_hills_3', 'Oniantae Hills');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '90', 'mon_teithtim_forest_1', 'Mon Teithtim Forest');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '91', 'mon_teithtim_forest_2', 'Mon Teithtim Forest');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '92', 'fersal_hills', 'Fersal Hills');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '93', 'an_outpost', 'an outpost');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '94', 'mertune_forest_1', 'Mertuen Forest');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '95', 'mertune_forest_2', 'Mertuen Forest');
INSERT INTO `client_strings` VALUES ('string/en/endor_region_names.stf', '96', 'marauder_mountain_1', 'Marauder Mountain');
INSERT INTO `client_strings` VALUES ('string/en/engine.stf', '1', 'desktop_not_32bit', 'The application could not run in windowed mode because the desktop is not set to 32-bit color depth.');
INSERT INTO `client_strings` VALUES ('string/en/engine.stf', '3', 'desktop_too_small', 'The application could not run in windowed mode because the desktop resolution is smaller than the game resolution. ');
INSERT INTO `client_strings` VALUES ('string/en/engine.stf', '5', 'desktop_same', 'The application could not run in windowed mode because the desktop resolution is too low to fit the game window with its border.  You may consider using the \"Borderless Window\" option available in the external options settings from the Launch Pad.');
INSERT INTO `client_strings` VALUES ('string/en/engine.stf', '6', 'desktop_too_small_not_32', 'The application could not run in windowed mode because the desktop resolution is smaller than the game resolution, and your desktop is not set to 32-bit color depth.');
INSERT INTO `client_strings` VALUES ('string/en/engine.stf', '7', 'desktop_same_not_32', 'The application could not run in windowed mode because the desktop resolution is too low to fit the game window with its border, and your desktop is not set to 32-bit color depth.  You may consider using the \"Borderless Window\" option available in the external options settings from the Launch Pad.');
INSERT INTO `client_strings` VALUES ('string/en/engine.stf', '8', 'screenshot_failed_off_desktop', 'The application could not sucessfully create a screen shot because the game window is not completely contained within the desktop.');
INSERT INTO `client_strings` VALUES ('string/en/engine.stf', '9', 'screenshot_failed_unknown', 'The application could not sucessfully create a screen shot due to a DirectX failure.');
INSERT INTO `client_strings` VALUES ('string/en/engine.stf', '10', 'screenshot_failed_wrong_format', 'The application could not sucessfully create a screen shot because the rendering target is not set to 32bit color depth.');
INSERT INTO `client_strings` VALUES ('string/en/engine.stf', '11', 'screenshot_failed_write_problem', 'The application could not sucessfully write the screen shot out to disk.   The disk may be full.');
INSERT INTO `client_strings` VALUES ('string/en/engine.stf', '12', 'screenshot_failed_unknown_format', 'The application could not sucessfully write the screen shot out to disk.   The screen shot format is not supported.');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '1', 'em1', 'So you\'re the new guy, huh?  My name is Ephant Mon, and you\'ll be working for me for a while.');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '2', 'em2', 'What do you need done?');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '3', 'em3', 'What do you do around here?');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '4', 'em4', 'A friend of mine named Tash Kolt sent me a distress call that was jammed at the source. I don\'t know how serious the situation is, but I want you to find out.');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '5', 'em5', 'Where should I start?');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '6', 'em6', 'What do you suspect?');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '7', 'em7', 'Start by talking to Hazir Gam\'mur in Wayfar.  If anyone knows where Tash is, it will be Hazir.  I\'ll mark a location on your datapad where Hazir usually hangs out.');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '8', 'em8', 'I\'ll get right on it.');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '9', 'em9', 'I need to do some things first.');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '10', 'em10', 'I used to be a smuggler for Jabba, but I\'m getting too old for that now.  What I do now is advise Jabba in certain situations.');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '11', 'em11', 'What do you advise him on?');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '12', 'em12', 'Can you introduce me to Jabba?');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '13', 'em13', 'Well, this and that.  He and I used to be partners a long time ago.');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '14', 'em14', 'Can you introduce me to him?');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '15', 'em15', 'Who lives in the palace?');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '16', 'em16', 'You\'re going to have to get a bit more reputation before Jabba will pay any attention to you.  If you can get some work done you\'ll be well on your way.');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '17', 'em17', 'It\'s hard to say with Tash.  He may be in some trouble with the empire, or it may be someone he\'s annoyed.');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '18', 'em18', 'You don\'t seem particularly worried.');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '19', 'em19', 'What can I do to help?');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '20', 'em20', 'Well, Tash is in and out of trouble all the time.  It could just be a misunderstanding, but I\'d like to know for sure.  Can you help me out?');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '21', 'em21', 'Well, ok.');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '22', 'em22', 'Maybe later.');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '23', 'em23', 'That\'s fine, come back and see me when you have some time.');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '24', 'em24', 'Well, there\'s Max Rebo, Barada, Bib Fortuna, Jabba, of course, and the Gamorrean Guards.');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '25', 'em25', 'Tell me about Max.');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '26', 'em26', 'Tell me about Barada.');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '27', 'em27', 'Tell me about Bib Fortuna.');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '28', 'em28', 'Tell me about Gamorrean Guards.');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '29', 'em29', 'Tell me about Jabba.');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '30', 'em30', 'Max is an Ortollan.  He\'s the band leader.  He seems to spend all his time thinking about his next meal, even when he\'s playing music.');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '31', 'em31', 'Barada is Jabba\'s chief mechanic, and he also handles some of the mercenary work in the palace.');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '32', 'em32', 'Bib is Jabba\'s Majordomo.  Everyone has to deal with him before speaking to Jabba directly.');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '33', 'em33', 'The Gamorreans are fiercely loyal to Jabba, but not the brightest creatures in the galaxy.  They do their job well though, keeping out the riff-raff.');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '34', 'em34', 'Jabba is a Hutt.  He\'s a powerful crimelord, and can be a useful ally.  Never cross him though.  No one has ever done so and lived long to talk about it.');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '35', 'em35', 'How can I help you?');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '36', 'em36', 'I\'m a friend of Ephant Mon.');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '37', 'em37', 'Do you know where I can find Tash Kolt?');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '38', 'em38', 'Ephant Mon?  Did he send you to see me?');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '39', 'em39', 'Yes he did.');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '40', 'em40', 'No, but he\'s mentioned you.');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '41', 'em41', 'Is there something I can do to help?');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '42', 'em42', 'He\'s looking for Tash Kolt.  Do you know where he is?');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '43', 'em43', 'Tell me where Tash Kolt is now!');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '44', 'em44', 'Not at the moment.  I know he was having some problems.  Perhaps I can help you...');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '45', 'em45', 'How?');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '46', 'em46', 'Doesn\'t sound like it.');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '47', 'em47', 'I know he was planning on moving, and that some thugs were looking for him.  If you find him, and those thugs are there, maybe you can help him out.');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '48', 'em48', 'Great!  Tell me where!');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '53', 'em53', 'Here.  I\'ll add the location to your datapad.  Good luck.\n');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '54', 'em54', 'I don\'t know anyone by that name.  Are you sure you\'re in the right place?');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '55', 'em55', 'It\'s Ok.  I\'m a friend of Ephant Mon.');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '56', 'em56', 'I think you\'re lying.');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '57', 'em57', 'Mentioned me in what context?  As a friend?');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '58', 'em58', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '59', 'em59', 'Just as a contact.');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '60', 'em60', 'You have quite the attitude don\'t you?  Well if you do know Ephant Mon then tell him that I don\'t deal with your sort.  Perhaps he has other friends he can send to talk to me.');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '61', 'em61', 'If you\'ve come to apologize then maybe I can help you.');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '62', 'em62', 'You\'re right.  I acted rudely.');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '63', 'em63', 'Apologize?  Forget it.');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '88', 'em88', 'Wow!  You unloaded on those guys.  I\'ve never seen anything like it!');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '89', 'em89', 'Ephant Mon sent me to see how you were doing.');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '90', 'em90', 'What are you doing?');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '91', 'em91', 'Good thing you showed up then.  Think you can hang around and keep the thugs off me while I load up my stuff and move out?');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '92', 'em92', 'Sure thing.');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '93', 'em93', 'Well, I am kinda busy...');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '94', 'em94', 'I\'m loading up everything I own in the world.  Gotta keep one step ahead of these nerfherders.  I could use your help.');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '95', 'em95', 'What do you want me to do?');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '96', 'em96', 'I\'m not loading boxes!');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '97', 'em97', 'Could you just hang around and make sure nobody bothers me while I\'m packing?');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '98', 'em98', 'Sure thing.');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '99', 'em99', 'Well, I am kinda busy...');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '100', 'em100', 'Well, I understand.  Tell Ephant Mon he was a good friend.  I hope he won\'t miss my funeral.');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '101', 'em101', 'Ok, ok, I\'ll help.');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '102', 'em102', 'Will do.');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '103', 'em103', 'What does it say?');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '104', 'em104', 'Where is his home?');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '106', 'em106', 'Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '107', 'em107', 'Thanks for nothing.');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '108', 'em108', 'See you later.');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '109', 'em109', 'Bye!');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '110', 'em110', 'Well, I\'m done packing.');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '111', 'em111', 'Thanks for helping my friend.');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '112', 'em112', 'No problem.');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '113', 'em113', 'Here is your reward...');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '114', 'em114', 'What should I do now?');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '115', 'em115', 'Go and see Max Rebo.');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '116', 'em116', 'Go and see Barada.');
INSERT INTO `client_strings` VALUES ('string/en/ephant.stf', '117', 'em117', 'Go and speak to Bib Fortuna again.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/disruptor/kwin.stf', '1', 'npc_1_1', 'I can\'t be a mercenary any more. I have to quit... but I can\'t face my captain (we\'ve been friends for so long). Would you deliver my resignation for me?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/disruptor/kwin.stf', '5', 'npc_2_1', 'Thanks. I\'ve got a unique Disruptor Particle Beam cannon that I won\'t need anymore. I\'ll give it to you when you return.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/disruptor/kwin.stf', '8', 'npc_3_1', 'Fine.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/disruptor/kwin.stf', '12', 'npc_4_1', 'Blood for money. Money for blood. It all seems so stupid now.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/disruptor/kwin.stf', '15', 'npc_reward_1', 'Thanks. Please take my disruptor particle beam cannon. It doesn\'t work - but the parts may be worth something.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/disruptor/kwin.stf', '18', 'player_1_1', 'Yes. I will deliver your resignation.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/disruptor/kwin.stf', '21', 'player_2_1', 'No. I have no time for this.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/disruptor/kwin.stf', '24', 'player_3_1', 'Why do you want to quit?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/disruptor/kwin.stf', '27', 'player_reset_1', 'I can\'t do this right now.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/disruptor/kwin.stf', '28', 'player_sorry_1', 'No, not yet.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/disruptor/kwin.stf', '29', 'npc_backtowork_1', 'Well, come back when you\'re done.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/disruptor/kwin.stf', '30', 'npc_reset_1', 'Okay. Have a good life.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/disruptor/kwin.stf', '31', 'cantwork', 'Looks like you\'re too busy to help me. Come back when you\'re free.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/disruptor/kwin.stf', '32', 'dontknowyou_1', 'I can\'t talk now -- I\'m waiting for someone else.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/disruptor/kwin.stf', '33', 'npc_work_1', 'Have you delivered my resignation yet?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/disruptor/kwin.stf', '36', 'npc_breech_1', 'Messenger! Over here!');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/disruptor/kwin.stf', '105', 'npc_smuggle_1', 'So... Kwin\'s resigning again? Fine. He\'ll be back.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/disruptor/kwin.stf', '106', 'notyet', 'Sorry. The love of my life left me because I\'m a mercenary... If there was some hope of her ever taking me back, I would leave this life and become a decent man.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/disruptor/kwin.stf', '107', 'good', 'I can\'t believe it! She still loves me! I can\'t possibly continue in this line of work. I must go to her...');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_guard.stf', '1', 'npc_1_1', 'How ya doin\'?  So you wanna talk with Borvo? Well, he\'s a busy Hutt and he don\'t know you.  Got it?  Heyyyyy... you might be able to help, though.  Look, we\'ve got a situation, you see?  We need you to go rescue one of our guys before he gets caught.  You do that for us, then maybe I\'ll tell Borvo that you\'re clean. So, you wanna help?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_guard.stf', '2', 'npc_1_2', 'Hey, you wanna \'nother job?  Dagorel has said that the gun deal was a big setup.  Get this, he said it was an inside job, too.  It seems that Frangee, one of our guys, was some undercover police guy.  Dagorel says that Frangee is high-tailing it off planet right now, even as we\'re yappin\'.  You wanna make sure he never makes it?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_guard.stf', '5', 'npc_2_1', 'Okay, look... Dagorel\'s been shot, so he\'s lost a lot of fluid.  Get out there and lend him a hand while you guys limp back here.  Make sure the police don\'t catch sight of you.  And if you lead security back here... well, Borvo\'s gonna be a lot angrier than he already is, got it?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_guard.stf', '6', 'npc_2_2', 'Yeah, I told Borvo you\'d do it.  Get out there and make sure that Frangee doesn\'t make it to his ship.  Make sure it hurts, too.  If it weren\'t for all the cops around right now, I\'d do it myself.  Oh yeah, while you\'re at it, bring back everything he\'s got on him in case he\'s got some more evidence on us.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_guard.stf', '8', 'npc_3_1', 'Then what are you wasting our time for?  Get outta here before we do a little Image Design job on your face!');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_guard.stf', '9', 'npc_3_2', 'I thought you had some nerves on you.  Never mind then.  Oh yeah, never mind about talking with Borvo, either.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_guard.stf', '12', 'npc_4_1', 'Well, you see, Borvo had one of his biggest gun sales in a long time to some guys on Corellia.  It turns out it was a setup by the CorSec cops.  Most of our guys are either dead or in jail now, except for Dagorel, Borvo\'s right hand guy.  He managed to escape, but he\'s been shot, so he can\'t make it back here on his own.  That\'s where you come in.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_guard.stf', '13', 'npc_4_2', 'Frangee was here even longer than me!  He\'s the one who showed me the ropes around this place.  He was one of Borvo\'s most trusted guys! To think, he was nothing but a low-down, rotten, womprat snitch!  AARGGG!!!!  Wait a minute.... you\'re not a cop, are you?  You know what... you take out Frangee and I\'ll know you ain\'t one.  Got it?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_guard.stf', '15', 'npc_reward_1', 'Good, you got him back safely.  We\'ll get him patched up right now.  In the meantime, stick around, got it?  Borvo\'s gonna find out what went down at that sale, and he may need you to do something else for us.  Here\'s a little something to show you our thanks.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_guard.stf', '16', 'npc_reward_2', 'So, did he scream? Serves him right. So, these are the records he was keeping on us, huh?  Ahhh... look here... his badge.  Hey.  Heeeeyyyy.... I\'ve got an idea here.... Yeahhhh, this\'ll be sweet.  Take this badge, and you head to Corellia.  According to this, it seems that Frangee was going to report back to his Captain at Corsec.  I think he\'ll still make it.  Isn\'t that right, Detective Niksel?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_guard.stf', '18', 'player_1_1', 'Sure, I\'ll help.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_guard.stf', '19', 'player_1_2', 'I hate a snitch.  I\'ll do it for free.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_guard.stf', '21', 'player_2_1', 'No thanks, it\'s not that important to me.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_guard.stf', '22', 'player_2_2', 'I\'m not going against the law.  No thanks.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_guard.stf', '24', 'player_3_1', 'What\'s this \'situation\'?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_guard.stf', '25', 'player_3_2', 'How long was Frangee working for Borvo?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_guard.stf', '27', 'player_reset_1', 'Sorry, but I can\'t do this for you.  You\'ll need to send one of your own guys.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_guard.stf', '28', 'player_sorry_1', 'No, I had to give the police the slip.  I\'ll still get him.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_guard.stf', '29', 'npc_backtowork_1', 'That\'s good that you didn\'t lead them here.  Now get out there and give Dagorel a hand!');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_guard.stf', '30', 'npc_reset_1', 'Then what are you wasting our time for?  Get outta here before we do a little Image Design job on your face!');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_guard.stf', '31', 'cantwork', 'Look, if you don\'t have any business here, then scram!  This ain\'t no cafe!');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_guard.stf', '32', 'dontknowyou_1', 'Oh, I thought you were the cops.  Nevermind.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_guard.stf', '33', 'npc_work_1', 'Where\'s Dagorel?  Did you get him back safely?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_guard.stf', '34', 'npc_work_2', 'So did you get him in the back or shoot him in the face?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_guard.stf', '36', 'npc_breech_1', 'I thought I gave you police the slip.  Oh well.  I guess you caught me.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_guard.stf', '37', 'npc_breech_2', 'Borvo sent you, right?  I also take it you\'re going to resist arrest as well.  Sorry it has to be this way.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_guard.stf', '40', 'notit_2', 'Nah, this isn\'t something Frangee would\'ve had on him.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_guard.stf', '42', 'npc_backtowork_2', 'What are you waiting for?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_guard.stf', '44', 'npc_reset_2', 'I thought you had some nerves on you.  Never mind then.  Oh yeah, never mind about talking with Borvo, either.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_guard.stf', '46', 'player_reset_2', 'I\'ve changed my mind.  I can\'t do this anymore.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_guard.stf', '48', 'player_sorry_2', 'I haven\'t found him yet.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_guard.stf', '50', 'npc_takeme_1', 'Borvo sent you?  You a new guy? No time for that, I guess.  Well, then let\'s get out of here before the police follow my trail of blood.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_guard.stf', '53', 'dontknowyou_2', 'Nevermind, I don\'t know what got into me.  Move along.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_guard.stf', '109', 'otherescort', 'Nope, you\'ve got the wrong guy.  You may be looking for the other guy nearby who\'s wounded and dying.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_guard.stf', '112', 'npc_failure_1', 'You let him get killed?  Aarrgh!  Borvo\'s not gonna be happy when he hears this.  You know, I think you just might get to talk to him after all.  I don\'t think you\'ll like what he\'s gonna say.  Let me go tell Borvo what you did, then I\'ll let you know.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_guard.stf', '113', 'next', 'I haven\'t had time to check up on you, but if you\'re finished with that work on Corellia you can go see the boss.  Otherwise, get back to work!');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_guard2.stf', '1', 'npc_1', 'Can\'t let you in.  Not unless you\'re willing to do me a favor.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_guard2.stf', '2', 'player_1', 'What kind of favor?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_guard2.stf', '3', 'player_2', 'Maybe I\'ll try your buddy there.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_guard2.stf', '4', 'npc_2', 'Borvo needs to get his antique bowl back.  One of our ex-partners took it and took off.  You get it back, give it to me, I\'ll let you in.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_guard2.stf', '5', 'npc_3', 'Yeah, he\'ll send you back over.  Like you pointed out, he\'s MY buddy.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_guard2.stf', '6', 'player_3', 'Where\'d this guy take it?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_guard2.stf', '7', 'player_4', 'Why don\'t I just give it to Borvo?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_guard2.stf', '8', 'npc_4', 'Corellia.  Try the CorSec offices in Coronet.  I think he got busted.  It\'s probably in their property stash there.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_guard2.stf', '9', 'npc_5', 'Cause without going through me, you don\'t get to see Borvo.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_guard2.stf', '10', 'player_5', 'What do you need?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_guard2.stf', '11', 'player_6', 'We\'ll just see about that.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_guard2.stf', '12', 'npc_6', 'I need somebody to go to Coronet and get something back from the CorSec properties.  A bowl of Borvo\'s that was stolen.  It\'s an antique.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_guard2.stf', '13', 'npc_7', 'Yeah, I guess we will.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_guard2.stf', '14', 'npc_8', 'Bring me Borvo\'s Bowl?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_guard2.stf', '15', 'player_7', 'Yeah, I got it.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_guard2.stf', '16', 'player_8', 'I\'m not ready to give it up yet.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_guard2.stf', '17', 'npc_9', 'Great.  I\'ll take that, and you can go on in.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_guard2.stf', '18', 'npc_10', 'Come back when you are.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_guard2.stf', '19', 'player_9', 'Ok, I have to go.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_guard2.stf', '20', 'npc_11', 'Talk to you later.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_the_hutt.stf', '1', 'npc_1_1', 'Well, well... you\'ve helped out old Borvo and brought back his money, have you?  You\'ve got moxy, kid, and I like that.  Not too smart, but bold. *Ho ho ho* You\'ve riled up that officer a good one, though.  He has the Imperials tracking you down, leading them here.  You\'ll show some respect and clean up your mess, isn\'t that right?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_the_hutt.stf', '2', 'npc_1_2', 'Look, kid, I like you, but I can\'t have you on my payroll with the police after you.  I still have something I can use you for, though.  I\'ve had my main man, Dagorel, look into who sent Frangee to us.  It seems it\'s one of my old partners, who retired from this business a bit back.  I need you to make sure he has a permanent retirement.  Understand?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_the_hutt.stf', '5', 'npc_2_1', 'Good.  I knew you wouldn\'t disappoint me.  I like you kid.  Now, go out there and take out those Imperials before they even get a sniff of these swamps.  But hey... you already knew that, didn\'t you?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_the_hutt.stf', '6', 'npc_2_2', 'Yeah, I thought you would. I\'ve asked him to meet me so we can discuss a new venture I\'m getting into.  Instead of me meeting him, why don\'t you introduce him to the business end of your weapon, huh? Do me right, kid, and I might have a little special something for you as a going away present. Hey, while you\'re at it, get his necklace I gave him when he \'retired\'. There\'s no need for him to have that anymore.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_the_hutt.stf', '8', 'npc_3_1', '*Ho ho ho* Kid, that was cute.  Did you hear that everyone?  That was cute.  So... where\'s the punchline, eh?  Because I know you weren\'t serious........ ');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_the_hutt.stf', '9', 'npc_3_2', 'You\'re not turning me down, are you?  I think something might be in my ears, because I think I just heard you say you were turning me down.  That\'s not true, is it?  I\'d hate to see what would happen if I actually heard that...');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_the_hutt.stf', '12', 'npc_4_1', 'Heh.  As if you didn\'t know the CorSec Captain called on Imperial help to take care of you.  It seems I\'ve got a hitman running around on Corellia, ain\'t that right?  I\'ve made this easier for you by having their assault shuttle shot down out of the sky. I even made it look like the Rebels took it out.  But that\'s a different story.  Ready to leave?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_the_hutt.stf', '13', 'npc_4_2', 'I don\'t want to believe it myself, but it\'s the sad truth.  You work with a guy doing a little of this and a little of that, then *BAM*, he turns on you.  What happened to respect? All I ask is for a little respect, but do I get it?  No.  You, on the other hand, you\'ve shown me respect. Let him see what happens when people don\'t respect me, got it?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_the_hutt.stf', '15', 'npc_reward_1', '*Ho ho ho* You took them out all by yourself, heh?  You\'ve got the stuff I\'m looking for, kid.  You brought me my money, you salvaged the gun deal, got rid of witnesses, and helped to get the cops off my back.... That puts a big smile on my face.  Good job, kid.  You\'re what I\'m looking for.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_the_hutt.stf', '16', 'npc_reward_2', '*Crushes the necklace* I can\'t believe he double-crossed me. Either way, you\'ve done me good, kid.  I like that, but I can\'t hire you any longer. In addition to selling guns to interested parties, I keep a few classics for myself. I want you to have an old gun settlers used on Tatooine a long time ago. I got this from my pal, Jabba.  Look, keep in touch kid, okay?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_the_hutt.stf', '18', 'player_1_1', 'You know I will, Borvo.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_the_hutt.stf', '19', 'player_1_2', 'Yeah, I think I know what you mean.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_the_hutt.stf', '21', 'player_2_1', 'Haven\'t I done enough?  No, Borvo, I\'m not going to.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_the_hutt.stf', '22', 'player_2_2', 'No, I\'m done with this business.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_the_hutt.stf', '24', 'player_3_1', 'What mess are we talking about here?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_the_hutt.stf', '25', 'player_3_2', 'You think your old partner set you up?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_the_hutt.stf', '27', 'player_reset_1', 'I don\'t think I can handle this anymore.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_the_hutt.stf', '28', 'player_sorry_1', 'Not yet.  I\'m about to head out to the swamps right now.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_the_hutt.stf', '29', 'npc_backtowork_1', 'Good.  Now do it already.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_the_hutt.stf', '30', 'npc_reset_1', '*Ho ho ho* Kid, that was cute.  Did you hear that everyone?  That was cute.  So... where\'s the punchline, eh?  Because I know you weren\'t serious........ ');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_the_hutt.stf', '31', 'cantwork', 'You wanna talk to me, you talk to my guards.  I don\'t pay them to let people I don\'t know bother me.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_the_hutt.stf', '32', 'dontknowyou_1', 'You don\'t match the description.  Move along.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_the_hutt.stf', '33', 'npc_work_1', 'So, have those Imperials been taken care of?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_the_hutt.stf', '34', 'npc_work_2', 'Why haven\'t you left yet?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_the_hutt.stf', '36', 'npc_breech_1', 'You fit the description!  You\'re under arrest!');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_the_hutt.stf', '37', 'npc_breech_2', 'Oh no.... he found out, didn\'t he?  Well, I\'m not going out without a fight!');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_the_hutt.stf', '40', 'notit_2', 'This isn\'t the necklace I  gave him. Who did you kill?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_the_hutt.stf', '42', 'npc_backtowork_2', 'I like to see a professional in action. I\'ll step out of your way, because I know you\'ll get the job done. And you\'ll get it done in a timely manner, won\'t you?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_the_hutt.stf', '44', 'npc_reset_2', 'You\'re not turning me down, are you?  I think something might be in my ears, because I think I just heard you say you were turning me down.  That\'s not true, is it?  I\'d hate to see what would happen if I actually heard that...');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_the_hutt.stf', '46', 'player_reset_2', 'I\'ve changed my mind, Borvo.  I can\'t do this.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_the_hutt.stf', '48', 'player_sorry_2', 'Sorry, Borvo, but I was getting my equipment together.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_the_hutt.stf', '53', 'dontknowyou_2', 'Nevermind.  I thought you were someone else. ');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_the_hutt.stf', '108', 'notyet', 'You wanna talk to me, you talk to my guards.  I don\'t pay them to let people I don\'t know bother me.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/borvo_the_hutt.stf', '109', 'next', 'I\'m done with you for now.  Come back some other time and see how I\'m doing.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/corsec_captain.stf', '1', 'npc_1_1', 'Ah, there you are.  Feels good to wear the badge again, doesn\'t it, Niksel?  How long has it been for you undercover?  6 years now, if I read the report correctly?  Well, I\'m glad to finally meet you in person.  Lets cut the banter and get this case closed for you.  I\'ll send a message over to Aldalad so that he can arrange a pickup point.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/corsec_captain.stf', '2', 'npc_1_2', 'Okay, our friend Maerzen has landed in a remote location to throw off Borvo\'s hitman.  Go out there and pickup the evidence he uncovered, then bring it back to me.  I\'ll get it over to HQ.  Again, since you\'re the only person who knows what all of Borvo\'s men look like, you\'re the only one we can trust to this.  Are you ready?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/corsec_captain.stf', '5', 'npc_2_1', 'Okay, you head out to meet him, then bring him back. Since you\'re the only one who would be able to recognize Borvo\'s crew, keep your eyes open.  Aldalad is risking a lot to testify against that Hutt, and I don\'t want to see him take a hit.  Bring him my way so I can send him down to HQ where it will be safer.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/corsec_captain.stf', '6', 'npc_2_2', 'Good.  He\'s landed a ways from here, so you\'ll have a bit of a hike.  Fortunately since you\'ve been in contact with him, he\'ll recognize you on sight, so you don\'t have to worry about using your codewords.  Once you get the evidence, bring it back right away.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/corsec_captain.stf', '8', 'npc_3_1', 'Why?  I know you want to be done with this as much as I do, but it\'s just about over.  Once we get Aldalad\'s testimony, we can incarcerate Borvo\'s scum, then get authority from CorSec and the Queen of Naboo to get rid of that gun-running Hutt!  What\'s the delay, Niksel?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/corsec_captain.stf', '9', 'npc_3_2', 'Well, I\'ll see if I can get some cadet to pick it up. Hrm...');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/corsec_captain.stf', '12', 'npc_4_1', 'The same dang thing he was doing when you were \'Frangee\'.  After you got him to agree to testify against his company for buying all those illegal weapons, he\'s been holed up.  Now that you\'re back, he\'ll come into the station, but only with you escorting him here, remember?  Ahhhh... you\'re still in \'role\'.  Got it now.  So, you ready?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/corsec_captain.stf', '13', 'npc_4_2', 'Detective Maerzen, not Lt. Maerzen.  Ah... still playing the role, eh?  Well, this is serious business and we have no time for that now.  Maerzen has some of the weapons and money we raided during the deal you set up.  For now, you\'ll just need to pick up the money and bring it back here, so I can get it to HQ.  Got all that?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/corsec_captain.stf', '15', 'npc_reward_1', 'He was dead when you got there!?  Blast it!  Without him, we barely have a case against Borvo.  *Sigh*  Well, let me think.  Maerzin is about to land with all of the guns and money we recovered from that bust.  I\'ll have to let him know to land elsewhere, just to be on the safe side.  With that evidence, we may still have a case.  Check back with me.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/corsec_captain.stf', '16', 'npc_reward_2', 'Okay, let me check this.  Yep... looks like it\'s all here.  Whoa... that is one heck of a lot of money.  Okay, Detective, we have a change in plans.  Maerzen isn\'t responding back to any calls, and I feel that Borvo\'s guy got to him after you did.  I\'m going to take care of this guy once and for all.  In the meantime, you need to get this money back to HQ.  Whatever you do, don\'t let Borvo get his hands on it!!!');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/corsec_captain.stf', '18', 'player_1_1', 'Uhh.. yeah, sounds good.  I\'ll go pick him up.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/corsec_captain.stf', '19', 'player_1_2', 'I\'m ready, Captain.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/corsec_captain.stf', '21', 'player_2_1', 'Oh.  Um... actually, I\'ll have to do that later.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/corsec_captain.stf', '22', 'player_2_2', 'No, I\'m afraid he\'ll sho... er... Borvo\'s hitman will shoot me.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/corsec_captain.stf', '24', 'player_3_1', 'Aldalad, yes... so... what\'s he been up to lately?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/corsec_captain.stf', '25', 'player_3_2', 'What evidence was Lt. Maerzen able to recover?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/corsec_captain.stf', '27', 'player_reset_1', 'I.. uh... something came up.  I\'ll meet him later.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/corsec_captain.stf', '28', 'player_sorry_1', 'No, not yet.  I\'m out of here right now, though.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/corsec_captain.stf', '29', 'npc_backtowork_1', 'Well, get a leg on.  We don\'t want him out there by himself after Borvo knows what\'s going on.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/corsec_captain.stf', '30', 'npc_reset_1', 'Why?  I know you want to be done with this as much as I do, but it\'s just about over.  Once we can get Aldalad\'s testimony, we can incarcerate Borvo\'s scum, then have get authority by CorSec and the Queen of Naboo to get rid of that gun-running Hutt!  What\'s the delay, Niksel?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/corsec_captain.stf', '31', 'cantwork', 'Go ahead and get out of that silly thug suit and back into uniform, Niksel.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/corsec_captain.stf', '32', 'dontknowyou_1', 'Oh... I\'m sorry.  Wrong person.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/corsec_captain.stf', '33', 'npc_work_1', 'Have you left yet?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/corsec_captain.stf', '34', 'npc_work_2', 'Yeah, what?  And why aren\'t you gone yet?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/corsec_captain.stf', '36', 'npc_breech_1', 'Wait a second... you\'re not Frangee!  Oh no!  You\'re a hit man!!!');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/corsec_captain.stf', '37', 'npc_breech_2', 'Niksel, is that you? Huh?? Hey... Oh no!  What have you done to Niksel!!?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/corsec_captain.stf', '40', 'notit_2', 'Stop kidding around, Niksel!  I need the evidence.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/corsec_captain.stf', '42', 'npc_backtowork_2', 'The get a move on!  If Borvo\'s man gets to Maerzen before you... well, I don\'t even want to think what\'ll happen to him.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/corsec_captain.stf', '44', 'npc_reset_2', 'What?  I don\'t know what your blathering about, but it\'s not funny.  You know, maybe you should stop by the cantina to ease up on your nerves.  Get back to me when you\'ve gotten yourself together.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/corsec_captain.stf', '46', 'player_reset_2', 'I don\'t want to do any of this anymore.  I feel real bad about this.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/corsec_captain.stf', '48', 'player_sorry_2', 'Sorry, I forgot what I wanted to ask you.  I\'ll get out there on the double.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/corsec_captain.stf', '53', 'dontknowyou_2', 'Keep your nose clean.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/corsec_captain.stf', '110', 'notyet', 'I don\'t know who you are, or what you want, but I don\'t have any time to waste on you.  Be on your way, and keep your nose clean.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/corsec_captain.stf', '111', 'npc_noloc', 'Something\'s fishy here.  I\'ll call over to CorSec HQ to find out what\'s going on.  Check back with me in a few.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/corsec_captain.stf', '112', 'npc_failure_1', 'What do you mean he left the planet?!  That\'s ridiculous!');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/corsec_captain.stf', '113', 'npc_failure_2', 'What do you mean you couldn\'t find him! How did you manager to stay undercover for so long?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/corsec_captain.stf', '114', 'npc_backtowork', 'Don\'t just stand there, get moving! We don\'t have time to waste!');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/corsec_captain.stf', '115', 'next', 'What? Oh, it\'s you Niksel. Sorry, no time to talk right now. Don\'t you have something else you should be doing?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/dl_guard.stf', '1', 'npc_1', 'Sorry, Huff\'s not seeing anyone today.  You\'ll have to move along.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/dl_guard.stf', '2', 'player_1', 'How come he\'s not seeing anyone?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/dl_guard.stf', '3', 'player_2', 'Who is Huff?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/dl_guard.stf', '4', 'npc_2', 'He\'s very upset about a Tusken Rifle.  It was an antique, and someone\'s taken it off the planet.  He wants to get it back, but isn\'t sure how to go about it.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/dl_guard.stf', '5', 'npc_3', 'Huff Darklighter?  The head of the Darklighter estate?  He\'s only the biggest business magnate on Tatooine.  Where have you been?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/dl_guard.stf', '6', 'player_3', 'Where have you looked for the rifle?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/dl_guard.stf', '7', 'player_4', 'What do you know about the rifle?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/dl_guard.stf', '8', 'npc_4', 'We\'ve checked everywhere on Tatooine.  Huff tried some of his contacts on Corellia but they were no help.  Personally I think it\'s on Naboo.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/dl_guard.stf', '9', 'npc_5', 'I hear some criminals got hold of it.  The criminal element has lots to do with these things, when stuff disappears you know?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/dl_guard.stf', '10', 'player_5', 'Don\'t know him.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/dl_guard.stf', '11', 'player_6', 'Oh, that guy.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/dl_guard.stf', '12', 'npc_6', 'Well, I suggest you take your head out of the sand and look around you.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/dl_guard.stf', '13', 'npc_7', 'Yeah, that guy.  Get it together.  You won\'t survive long on Tatooine if you can\'t keep up.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/dl_guard.stf', '14', 'npc_8', 'Did you bring the rifle?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/dl_guard.stf', '15', 'player_7', 'Yeah, I got it.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/dl_guard.stf', '16', 'player_8', 'I\'m not ready to give it up yet.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/dl_guard.stf', '17', 'npc_9', 'Go on in then, and talk to Huff.  He\'ll be glad to see you.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/dl_guard.stf', '18', 'npc_10', 'Come back when you are.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/dl_guard.stf', '19', 'player_9', 'Ok, talk to you later.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/dl_guard.stf', '20', 'npc_11', 'Take it easy.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/dl_guard.stf', '21', 'notyet', 'Huff doesn\'t want to be disturbed.  He\'s waiting for his shipment with a Tusken Rifle, and he\'s not talking to anyone until he finds out what happened to it.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/dl_guard2.stf', '1', 'npc_1', 'We\'re not letting anyone in until the boss gets what he wants.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/dl_guard2.stf', '2', 'player_1', 'What is it that he wants?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/dl_guard2.stf', '3', 'player_2', 'Know any rumors?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/dl_guard2.stf', '4', 'npc_2', 'He\'s looking for a tusken Rifle.  Some antique owned by the first king of the Tuskens or something.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/dl_guard2.stf', '5', 'npc_3', 'Some thieves were arrested in Bestine the other day, claimed to be employees of Borvo the Hutt\'s.  You know Borvo?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/dl_guard2.stf', '6', 'player_3', 'Why does Huff want this rifle?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/dl_guard2.stf', '7', 'player_4', 'Where was the rifle?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/dl_guard2.stf', '8', 'npc_4', 'It\'s an antique.  I think he wants it as an heirloom to hand down to one of his kids.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/dl_guard2.stf', '9', 'npc_5', 'It was stolen in a shipment that was on it\'s way to Tatooine.  That\'s about all I know.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/dl_guard2.stf', '10', 'player_5', 'Don\'t know Borvo.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/dl_guard2.stf', '11', 'player_6', 'He\'s a Hutt?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/dl_guard2.stf', '12', 'npc_6', 'He\'s a gangster.  Lives on Naboo, I hear, though no one seems to know where.  I would guess the swamps myself.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/dl_guard2.stf', '13', 'npc_7', 'Just like Jabba.  I hear he and Jabba are friends.  They\'re always exchanging gifts from what I hear.  I think it\'s a Hutt thing.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/dl_guard2.stf', '14', 'npc_8', 'Did you bring the rifle?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/dl_guard2.stf', '15', 'player_7', 'Yeah, I got it.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/dl_guard2.stf', '16', 'player_8', 'I\'m not ready to give it up yet.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/dl_guard2.stf', '17', 'npc_9', 'Go on in then, and talk to Huff.  He\'ll be glad to see you.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/dl_guard2.stf', '18', 'npc_10', 'Come back when you are.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/dl_guard2.stf', '19', 'player_9', 'Ok, I have to go.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/dl_guard2.stf', '20', 'npc_11', 'Talk to you later.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/huff_darklighter.stf', '1', 'npc_1_1', 'How are you doing, friend.  I want to thank you for recovering my grandfather\'s gun. I don\'t know how you got it, and I don\'t want to know how, either.  I do need your help, though.  About 10 minutes back I got an emergency call from my niece, and she needs help.  I can\'t run out there, with my leg and all, but will you do it?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/huff_darklighter.stf', '2', 'npc_1_2', 'I can\'t believe that slug thinks he can get away with this! If his other activities weren\'t enough, now he\'s kidnapping and selling people? Grrr!!!! Okay, friend, even after all you\'ve done, I need your help again. There\'s a slaver who\'s waiting for kidnapped people to be shipped off planet that I want you to put a stop to.  Can you do that for me?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/huff_darklighter.stf', '5', 'npc_2_1', 'Thank you, friend.  Okay, she\'s out in the desert right now waiting for me to pick her up.  Give her this codephrase \'Biggs is Alive in Spirit\', and she\'ll know I sent you.  From what I understand, she\'s being hunted down, so keep your eyes peeled.  I\'ll be here waiting.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/huff_darklighter.stf', '6', 'npc_2_2', 'Okay, from what my niece has told me, he\'s out at a designated meeting spot waiting for both the shuttle and the other batch of slaves. He should be caught unawares, so kill him before any of his friends show up. This won\'t stop Jabba, but it will buy me time to contact the Rebellion for more help.  Good luck, friend.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/huff_darklighter.stf', '8', 'npc_3_1', 'I can\'t do it, friend.  I was wounded by a Tusken Raider attack, and my leg is still healing. I hope you\'ll change your mind, condering how resourceful you are and all.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/huff_darklighter.stf', '9', 'npc_3_2', 'Are you telling me that you\'re going to stand aside as Jabba starts up a slavery ring?  I can\'t believe you\'d let that happen!');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/huff_darklighter.stf', '12', 'npc_4_1', 'Well, I don\'t really understand. She used a special commlink that was for emergency use, but had to cut the conversation short. From what I understand, she and others were kidnapped by some thugs earlier today. She helped the others escape, but she needs help herself.  Will you help, friend?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/huff_darklighter.stf', '13', 'npc_4_2', 'What doesn\'t he do is the question you should be asking! What he\'s doing now is starting up a slave ring. Instead of being content with every other illegal activity, he\'s kidnapping and selling people as cheap labor!  No one deserves that... heck, not even his own thugs!  Well, some of them... but even still - So, are you going to help?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/huff_darklighter.stf', '15', 'npc_reward_1', 'Again, I have to thank you.  You\'ve helped out with family matters again.  I need to talk with my niece after she is able to calm down from the incident. From her crying, I don\'t like the sound of what I heard. Stick around a bit, if you don\'t mind.  I may have need of your help even again.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/huff_darklighter.stf', '16', 'npc_reward_2', 'Friend, you\'ve been very helpful, and you\'ve had no reason to. You just walked up and helped someone in need. I greatly admire that. Since you were able to bring me my grandfather\'s gun, I\'d like you to have one of the last things he killed with it. Here\'s one of my family heirlooms, which is now yours - the skull of the Krayt Dragon that did my old grandpappy in.  The old guy refused to die until it was dead too.  It\'s yours now, friend.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/huff_darklighter.stf', '18', 'player_1_1', 'Absolutely!  Anything for a Darklighter!');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/huff_darklighter.stf', '19', 'player_1_2', 'I\'ll take care of the slaver.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/huff_darklighter.stf', '21', 'player_2_1', 'Sorry, I think this is something you should do.  No.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/huff_darklighter.stf', '22', 'player_2_2', 'Sorry, I don\'t interfere with Jabba\'s plans.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/huff_darklighter.stf', '24', 'player_3_1', 'Who is she in trouble with?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/huff_darklighter.stf', '25', 'player_3_2', 'What\'s Jabba doing that\'s angered you so much?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/huff_darklighter.stf', '27', 'player_reset_1', 'Sorry Huff, but I can\'t do this.  Go save her yourself.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/huff_darklighter.stf', '28', 'player_sorry_1', 'Not yet, but I\'m leaving now.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/huff_darklighter.stf', '29', 'npc_backtowork_1', 'Well, if you could, try to hurry it up, friend.  You are her only hope.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/huff_darklighter.stf', '30', 'npc_reset_1', 'I can\'t do it, friend.  I was wounded by a Tusken Raider attack, and my leg is still healing. I hope you\'ll change your mind, condering how resourceful you are and all.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/huff_darklighter.stf', '31', 'cantwork', 'Thanks for your help, friend.  It is fully appreciated.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/huff_darklighter.stf', '32', 'dontknowyou_1', 'You didn\'t know Biggs, did you?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/huff_darklighter.stf', '33', 'npc_work_1', 'Have you left yet?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/huff_darklighter.stf', '34', 'npc_work_2', 'Why haven\'t you stopped Jabba\'s slaver yet?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/huff_darklighter.stf', '36', 'npc_breech_1', 'How can we go on without Biggs?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/huff_darklighter.stf', '37', 'npc_breech_2', 'This is none of your business.  Sorry it\'s gotta be this way...');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/huff_darklighter.stf', '42', 'npc_backtowork_2', 'Hurry, friend. If he makes it offplanet with those slaves, we\'ll never be able to rescue them.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/huff_darklighter.stf', '44', 'npc_reset_2', 'Are you telling me that you\'re going to stand aside as Jabba starts up a slavery ring?  I can\'t believe you\'d let that happen!');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/huff_darklighter.stf', '46', 'player_reset_2', 'Because I\'m not going to.  I\'m not doing this anymore.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/huff_darklighter.stf', '48', 'player_sorry_2', 'I\'m about to right now.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/huff_darklighter.stf', '50', 'npc_takeme_1', 'Yes, that was the codephrase.  Uncle sent you, then?  Thank you so much.  Let\'s get out of here before Jabba\'s goons find us.  I need to tell Uncle what Jabba\'s doing now!');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/huff_darklighter.stf', '53', 'dontknowyou_2', 'I wish we could have had time to chat, but I\'m busy. Maybe another time.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/huff_darklighter.stf', '109', 'notyet', 'Sorry, but I don\'t know you.  And I don\'t talk to people I don\'t know.  It\'s just not safe anymore now-a-days.  You want to chat, then talk to my guards.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/huff_darklighter.stf', '110', 'npc_failure_1', 'Oh no..... first Biggs, and now her.... I don\'t know if I can go on doing this when everyone around me dies....');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/huff_darklighter.stf', '111', 'npc_failure_2', 'He managed to make it off planet with the slaves? *sigh* So many innocent lives lost...');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/huff_darklighter.stf', '112', 'npc_noloc_1', 'Hold on.  Let me check my maps to see where she should be.  Ask me again in a moment, please.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/huff_darklighter.stf', '113', 'npc_noloc_2', 'Let me see if I can track down where he\'ll be.  Check with me in a few minutes again.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/huff_darklighter.stf', '114', 'next', 'You are a good friend to my family, and I appreciate your concern, but there\'s nothing I need you to do for me right now.  Perhaps you should enjoy this pleasant day, hm?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/huff_darklighter.stf', '115', 'thats_it', 'Yes!  This is my rifle!  I can\'t believe you\'ve found it.  You\'ve certainly earned a place as a friend of the Darklighter family today.  Thank you very much.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/huff_darklighter.stf', '116', 'dontknowyou', 'I wish we had time to chat, but I\'m busy.  Maybe another time.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/huff_darklighter.stf', '117', 'good', 'Ah, my rifle!  I am amazed that somone has brought it back to me.  You have my friendship and my respect.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/huff_darklighter.stf', '118', 'notit', 'Please, I don\'t need this.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/huff_guard.stf', '1', 'npc_1_1', 'Well, I\'ll be!  This is Huff\'s grandfather\'s gun, initials and all!  I don\'t know how you got this back fr- unless...hey - ummm.. I mean - Hey, that\'s great!  Ummm... Mr. Darklighter has a job that we can\'t do for him right now.  Do you think you can take these important documents to a contact for us?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/huff_guard.stf', '5', 'npc_2_1', 'Good!  Okay, look.  These are important blueprints, passcodes, and bank account access numbers for the Darklighter estate.  I\'ll need you to take this to a friend of Mr. Darklighter\'s whose waiting for them. Jabba would love these plans, but we trust you. Make sure the good guy -er- right guy gets them, okay?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/huff_guard.stf', '8', 'npc_3_1', 'Yeah, that\'s what I thought.  Well, have a good day.  Hope a Tusken doesn\'t get ya!');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/huff_guard.stf', '12', 'npc_4_1', 'Oh... I... um... have this problem, you see.  I\'m... umm... not good with talking to people and when you brought this gun back, I was so overjoyed that Huff will be pleased that I umm... uh, where was I?  Oh, yeah.  I stuttered when I thought you worked for... er... I mean, wanted to work for Huff.  So, are you going to take this te-- do this or not?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/huff_guard.stf', '15', 'npc_reward_1', 'I got word already.  Sorry to have to put you through that, but I thought you were working for those Hutts.  I hope you can understand our need for this test.  Anyways, thank you for the gun.  I\'ve let Huff know that you checked out, and he wants to thank you as well.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/huff_guard.stf', '18', 'player_1_1', 'Sure, I\'ll take them.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/huff_guard.stf', '21', 'player_2_1', 'Sorry, I won\'t do your work for you.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/huff_guard.stf', '24', 'player_3_1', 'Why did you stutter a moment ago?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/huff_guard.stf', '27', 'player_reset_1', 'I\'ve changed my mind.  I don\'t like where this is going.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/huff_guard.stf', '28', 'player_sorry_1', 'I\'m about to leave right now.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/huff_guard.stf', '29', 'npc_backtowork_1', 'Oh, okay.  Sorry about being rude.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/huff_guard.stf', '30', 'npc_reset_1', 'Yeah, that\'s what I thought.  Well, have a good day.  Hope a Tusken doesn\'t get ya!');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/huff_guard.stf', '31', 'cantwork', 'Sorry, friend, but this is private property.  You\'re not going to be allowed to walk around here.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/huff_guard.stf', '32', 'dontknowyou_1', 'Obviously you don\'t.  You\'re not the guy we\'re testing.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/huff_guard.stf', '33', 'npc_work_1', 'What are you hanging around for?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/huff_guard.stf', '36', 'npc_breech_1', 'Do you have all of the super secret documents?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/huff_guard.stf', '106', 'npc_smuggle_1', 'Yes, these are the documents.  Hey, will you look at that... you never opened them.  Good.  Well, glad to meet ya, friend. I\'ll let Huff know that we can trust you after all.  You passed the test.  Head back to Huff\'s guard, so he can let you in.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/huff_guard.stf', '108', 'gotowork', 'You don\'t have them?  Yeah, that\'s what we thought... If you don\'t have the documents, then ');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/huff_guard.stf', '109', 'notyet', 'Sorry, buddy, but you can\'t just walk in there and talk to Huff.  You need to show him that you\'re the kind of guy he can trust, which is no easy task.  Maybe if you can get him his grandpappy\'s gun that was stolen a while back, he might listen.  Last we heard, it was sold to some gun-runner on Naboo.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/huff_guard.stf', '110', 'npc_failure_1', 'He\'s dead?  How did he die?  That\'s impossible!!!');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/huff_guard.stf', '112', 'npc_noloc_1', 'Darn!  I can\'t seem to remember where he\'d meet you.  Hold on while I find out, then ask me again.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/krayt_skull/huff_guard.stf', '113', 'next', 'Huff will see you now.   Now that we know we can trust you.  Give him the rifle and you\'ll have made a very powerful friend.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/zicx_bug_bomb/rori_goru_rainstealer.stf', '1', 'omg_dont_kill_me', 'Oh no! They sent you to kill me didn\'t they?! I knew that those bloodthirsty thugs would catch up to me some day.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/zicx_bug_bomb/rori_goru_rainstealer.stf', '2', 'what_thugs', 'What bloodthirsty thugs are you talking about?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/zicx_bug_bomb/rori_goru_rainstealer.stf', '3', 'make_me_a_bomb', 'I want you to make something for me. A special weapon.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/zicx_bug_bomb/rori_goru_rainstealer.stf', '4', 'just_passing', 'Relax, old man. I\'m just passing through.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/zicx_bug_bomb/rori_goru_rainstealer.stf', '5', 'where_is_jowir', 'Where can I find Jowir on Tatooine?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/zicx_bug_bomb/rori_goru_rainstealer.stf', '6', 'sarlacc_bile', 'How do I get bile from a Sarlacc?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/zicx_bug_bomb/rori_goru_rainstealer.stf', '7', 'on_my_way', 'I\'ll be on my way, then.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/zicx_bug_bomb/rori_goru_rainstealer.stf', '8', 'bombs_are_cool', 'Oh so my life is worth something to you, yes? (Just like the old days) If you mean the Zicx bug bomb, I can make it for you. It requires the bile of a mature Sarlacc, and a hearty measure of live Zicx. But... heh... there are no Zicx and no Sarlacc on this planet. You must visit my friend Jowir Ar\'Lensa on Tatooine. Give him one of my calling cards and he can help you.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/zicx_bug_bomb/rori_goru_rainstealer.stf', '9', 'in_wayfar', 'Like me, he has made many powerful enemies on both sides of the war. Fortunately, his research is valuable to the Hutts - so they\'re protecting him. He is apparently working on some special process that drastically improves the effectiveness of certain varieties of spice. He lives somewhere in the town of Wayfar... I think.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/zicx_bug_bomb/rori_goru_rainstealer.stf', '10', 'no_idea', 'No idea. Like almost everyone else who gets close to the Sarlacc... you\'ll likely be killed. However, my friend Jowir knows some other researchers who\'ve managed to survive prolonged contact with the Sarlacc. I have to imagine that they have some special equipment that allows them to get close to it without being destroyed outright. Ask him about them.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/zicx_bug_bomb/rori_goru_rainstealer.stf', '11', 'good_luck', 'Return with the Zicx and a jar of Sarlacc bile and I will craft the weapon for you... provided that I\'m still alive... and so long as you mention me to no one - anywhere.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/zicx_bug_bomb/rori_goru_rainstealer.stf', '12', 'yes_please', 'Yes, I\'ve changed my mind.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/zicx_bug_bomb/rori_goru_rainstealer.stf', '13', 'no_thanks', 'No, thanks for offering though.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/zicx_bug_bomb/rori_goru_rainstealer.stf', '14', 'need_more_time', 'I need some more time to get this done.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/zicx_bug_bomb/rori_goru_rainstealer.stf', '15', 'i_quit', 'Sorry, I can\'t keep doing this work.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/zicx_bug_bomb/rori_goru_rainstealer.stf', '16', 'ill_get_bile', 'I\'ll go get the Sarlacc Bile for you.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/zicx_bug_bomb/rori_goru_rainstealer.stf', '17', 'ill_get_bugs', 'I\'ll go get the zicx for you.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/zicx_bug_bomb/rori_goru_rainstealer.stf', '18', 'gimme_the_bomb', 'Can I have the weapon?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/zicx_bug_bomb/rori_goru_rainstealer.stf', '19', 'what_weapon', 'What is this weapon?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/zicx_bug_bomb/rori_goru_rainstealer.stf', '20', 'still_passing', 'No thanks. Like I said, I\'m just passing through.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/zicx_bug_bomb/rori_goru_rainstealer.stf', '21', 'sounds_good', 'Sounds good. Where do I start?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/zicx_bug_bomb/rori_goru_rainstealer.stf', '22', 'go_away_then', 'Don\'t waste any more of my time then, please.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/zicx_bug_bomb/rori_goru_rainstealer.stf', '23', 'hurry_up', 'Please, don\'t take too long.  I\'m worried that someone will find me.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/zicx_bug_bomb/rori_goru_rainstealer.stf', '24', 'fine_quit_then', 'I don\'t care what you do, just stop bothering me.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/zicx_bug_bomb/rori_goru_rainstealer.stf', '25', 'bring_me_the_bile', 'Ah! The Zicx. What mysterious creatures. Did you know that they cannot be killed? Baffling. Now you must acquire the Sarlacc Bile and return with it!');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/zicx_bug_bomb/rori_goru_rainstealer.stf', '26', 'bring_me_the_bugs', 'Hideous. Just hideous. Zicx will live forever in this fluid... and they\'ll hate it! When released, they will wreak havoc on anyone in the area. Return with the Zicx bugs, and be quick!');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/zicx_bug_bomb/rori_goru_rainstealer.stf', '27', 'heres_your_bomb', 'It\'s ready, now! Here you go... Remember - you don\'t know me. You\'ve never heard of me... and you definitely did not get this special weapon from me. Farewell.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/zicx_bug_bomb/rori_goru_rainstealer.stf', '28', 'dont_say_nothing', 'Many thanks, friend. Be well... and please forget about me.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/zicx_bug_bomb/rori_goru_rainstealer.stf', '29', 'zicx_bomb', 'The infamous Zicx grenade. Outlawed by the Empire, reviled by the Alliance... and coveted by the Hutts and Black Sun. I still have many of the original explosive case prototypes. The critical components are missing, though. I need a bunch of live Zicx and a jar of Sarlacc bile. Together with the special firing mechanism and casing, I\'ll craft an outstanding weapon for you.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/zicx_bug_bomb/rori_goru_rainstealer.stf', '30', 'dont_tell_anyone', 'Good. Please don\'t tell anyone that you know of me. I can exchange a very powerful and rare weapon for your silence. Are you interested?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/zicx_bug_bomb/rori_goru_rainstealer.stf', '31', 'see_jowir', 'Go see my friend Jowir Ar\'Lensa on Tatooine. You\'ll find him hiding out in Wayfar - protected by the Hutts. He is researching insects to help enhance spice production... so they keep him safe. Give him my calling card. Tell him that you want the Zicx and he will help you.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/zicx_bug_bomb/rori_goru_rainstealer.stf', '32', 'its_ready', 'Here you go... Remember - you don\'t know me. You\'ve never heard of me... and you definitely did not get this special weapon from me. Farewell.\n');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/zicx_bug_bomb/rori_goru_rainstealer.stf', '33', 'all_thugs', 'The Empire, the Rebellion, the Hutts, the Black Sun... my enemies are everywhere. Seems everyone has a vibro-axe to grind for one thing or another that I did in my youth. What are you here for if not to kill me?');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/zicx_bug_bomb/rori_goru_rainstealer.stf', '34', 'are_you_done', 'Have you found all the ingredients we need?  When you get them, just hand them to me.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/zicx_bug_bomb/rori_goru_rainstealer.stf', '35', 'more_info', 'The Zicx Bug Bomb requires the bile of a mature Sarlacc, and a hearty measure of live Zicx. But... heh... there are no Zicx and no Sarlacc on this planet. You must visit my friend Jowir Ar\'Lensa on Tatooine. Give him one of my calling cards and he can help you.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/zicx_bug_bomb/rori_goru_rainstealer.stf', '36', 'need_help', 'I need to be reminded what I\'m doing...');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/zicx_bug_bomb/rori_goru_rainstealer.stf', '37', 'good_work', 'I\'ve added the Zicx and the Sarlacc bile to the explosive casing. It\'s ready for you now.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/zicx_bug_bomb/rori_goru_rainstealer.stf', '38', 'please_begone', 'Please... begone! I can\'t keep making these weapons for you. People will find out about me - and then I\'ll make weapons for NO ONE! Goodbye.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/zicx_bug_bomb/rori_goru_rainstealer.stf', '39', 'change_your_mind', 'So you\'ve changed your mind about the weapon? Or... have you aligned yourself with those bloodthirsty thugs?!');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/zicx_bug_bomb/rori_goru_rainstealer.stf', '40', 'get_the_bile', 'You gave me the Zicx, but I still need the Sarlacc bile in order to make your weapon.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/zicx_bug_bomb/rori_goru_rainstealer.stf', '41', 'get_the_bugs', 'You gave me the Sarlacc digestive fluid, but I still need the Zicx to complete your weapon.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/zicx_bug_bomb/rori_goru_rainstealer.stf', '42', 'what_is_this', 'What is this? I can\'t use this. I only need the Zicx bugs and the Sarlacc bile to make the weapon.');
INSERT INTO `client_strings` VALUES ('string/en/epic_quest/zicx_bug_bomb/rori_goru_rainstealer.stf', '43', 'give_a_minute', 'Give me a minute to combine the ingredients...');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '1', 'add_only', 'You cannot remove items from this container.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '2', 'bad_clone_location', 'You must be inside a cloning facility to perform this command.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '3', 'bad_insure_request', 'Unable to process insure item request.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '4', 'bank_deposit', 'There has been an error during an attempt to deposit funds to your bank account. Verify you have sufficient funds for the desired transaction.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '5', 'bank_error', 'An unknown error occurred during your banking transaction. Please contact a GM.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '6', 'bank_menu_open', 'Your transaction request has been denied because you have a bank menu open.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '7', 'bank_null_transaction', 'Your banking transaction request must be for an amount greater than zero.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '8', 'bank_transfer', 'There has been an error during an attempt to transfer funds from your bank account. Verify you have sufficient funds for the desired transaction.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '9', 'bank_withdraw', 'There has been an error during an attempt to withdraw funds from your bank account. Verify you have sufficient funds for the desired transaction.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '10', 'bulk_insure_errors_prompt', 'The following items were unable to be insured:');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '11', 'bulk_insure_errors_title', 'Bulk Insure Request Errors');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '12', 'cannot_loot_all', 'You were unable to loot everything on the corpse.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '13', 'cannot_target', 'You cannot target this person with the requested action.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '14', 'cash_transfer', 'There has been an error during an attempt to transfer funds from your on-hand cash. Verify you have sufficient funds for the desired transaction.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '15', 'clone_fail', 'An attempt to clone you has failed.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '16', 'cmd_bad_target', 'You cannot use this command on your current target.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '17', 'cmd_no_effect', 'Your command had no effect.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '18', 'cmd_no_effect_on_target', 'That command had no effect on your target.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '19', 'consent_from_empty', 'No one has granted you their consent.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '20', 'consent_to_empty', 'You have not granted consent to anyone.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '21', 'corpse_drag_inside', 'You cannot drag a corpse within a building. Go outside to have your corpse ejected.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '22', 'corpse_drag_into', 'You cannot drag a corpse into a structure.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '23', 'corpse_drag_range', 'You are too far from the selected corpse to drag it.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '24', 'corpse_empty', 'You find nothing else of value on the selected corpse.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '25', 'create_goggle_fail', 'One or more of your SE Goggles were unable to be created.  Your inventory may be full.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '26', 'create_goggle_non_se', 'You can only use this command if you have the Special Edition version of Star Wars: Galaxies.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '27', 'default', '');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '28', 'destroy_goggle', 'A pair of SE Goggles was detroyed because it was in an invalid container or you are not flagged to own SE Goggles.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '29', 'destroy_me', 'Destroy Me!');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '30', 'droid_repair_droid_in_combat', 'You cannot repair this droid while it is in combat!');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '31', 'droid_repair_must_wait', 'You cannot repair a droid for another %DI seconds.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '32', 'droid_repair_no_damage', 'It appears %TO has no damage to repair.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '33', 'droid_repair_no_damage_kit', 'No valid droid damage repair kit was found in your inventory.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '34', 'droid_repair_no_target', 'You must target a droid pet to use these tools.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '35', 'droid_repair_no_wound_kit', 'No valid droid wound repair kit was found in your inventory.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '36', 'droid_repair_no_wounds', 'It appears %TO has no wounds to repair.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '37', 'droid_repair_not_droid_engineer', 'You must be a droid engineer to use this tool kit.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '38', 'droid_repair_not_valid_location', 'You must be in a city, at a camp site, or near your residence in order to use these tools.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '39', 'droid_repair_opposite_faction', 'It would be unwise to repair a droid such as this.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '40', 'droid_repair_target_not_droid', 'Your target is not able to be repaired with these tools.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '41', 'droid_repair_you_in_combat', 'You cannot repair this droid while you are in combat!');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '42', 'equipped_goggles', 'You may only alter the color of your goggles when they are unequipped.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '43', 'error_invite_range', 'You invite target is beyond the maximum group invite range.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '44', 'full_drink', 'You are too full to drink that.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '45', 'full_food', 'You are too full to eat that.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '46', 'full_medicine', 'You blood is already quite diluted with medicines. Any more would be toxic.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '47', 'goggle_submenu', 'Please select a sub-option to set the color of your goggles.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '48', 'group_loot_fail', 'There has been an error looting the coins from a corpse. Please try again.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '49', 'harvest_corpse_failed', 'What corpse would you like to extract resources from?');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '50', 'harvest_dna_failed', 'What creature would you like to sample DNA from?');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '51', 'harvested_on_corpse', 'One or more resource containers were left on %TT.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '52', 'insufficient_funds_bank', 'You lack the bank funds to complete this transaction request.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '53', 'insufficient_funds_cash', 'You lack the cash funds to complete this transaction request.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '54', 'insufficient_permissions', 'You do not have sufficient permissions to perform the requested action.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '55', 'insufficient_skill', 'You lack the skill to use this item.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '56', 'insure_fail', 'Insure attempt failed.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '57', 'insure_ui_error', 'An error has occurred in the insurance UI. Please contact a GM.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '58', 'inv_full', 'Your inventory is full.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '59', 'mandalorian_armor_restriction', 'You must be a Master Bounty Hunter, a Master Ranger, a Master Commando, or a Master Squad Leader to equip this item.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '60', 'no_cloning_facilities', 'There are no registered cloning facilities for the planet.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '61', 'no_corpse_permission', 'You do not have permission to access this corpse.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '62', 'no_insurables', 'You have no insurable items.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '63', 'no_matched_name', 'Who?');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '64', 'no_pet_feed', 'You may only feed your pet special food once per hour.  (Or you can store and call your pet to feed it again.)');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '65', 'no_resource', 'You cannot harvest that from the creature.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '66', 'no_uninsured_insurables', 'You do not possess any items that can be insured at this time.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '67', 'not_all_insurable', 'Not all of the selected items are insurable.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '68', 'not_group_leader', 'Only the group leader may perform the requested action.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '69', 'not_grouped', 'You cannot perform this command because you are not grouped.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '70', 'not_in_guild', 'You are not in a guild.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '71', 'nsf_clone', 'You lack the %DI additional credits required to cover the cost of cloning.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '72', 'nsf_clone1', 'You lack the 1 additional credit required to cover the cost of cloning.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '73', 'nsf_to_split', 'There are insufficient group funds to split');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '74', 'object_not_active', 'Item not active... Yet!');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '75', 'perm_no_move', 'You do not have permission to move this object.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '76', 'perm_no_open', 'You do not have permission to open this container.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '77', 'pet_died_master', 'Your pet was too weak and didn\'t survive the revitalization treatment.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '78', 'pet_died_other', 'The pet was too weak and didn\'t survive the revitalization treatment.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '79', 'pets_only', 'That food is only suitable for pets.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '80', 'prose_at_xp_limit', 'You cannot gain anymore \'%TO\' experience. (limit: %DIpts)');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '81', 'prose_coin_loot_fail', 'You failed to loot %DI credits from %TT. Please contact a CS representative for assistance.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '82', 'prose_harvest_corpse_failed', 'You cannot extract resources from %TT in your current state.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '83', 'prose_harvest_dna_failed', 'You are unable to sample DNA from the %TT right now.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '84', 'prose_hit_xp_limit', 'You have achieved your limit of %DIpts for experience type \'%TO\'.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '85', 'prose_incomplete_loot', 'You were unable to loot %DI item(s) from %TT.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '86', 'prose_insure_fail', 'An attempt to insure your %TT has failed. Most likely, this is due to lack of funds.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '87', 'prose_invite_range', '%TT is beyond group invite range.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '88', 'prose_item_already_insured', '[Insurance] Item already insured: %TT.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '89', 'prose_item_uninsurable', '[Insurance] Item uninsurable: %TT.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '90', 'prose_nsf_insure', 'You have insufficient funds to insure your %TT.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '91', 'prose_nsf_skill', '[%TT] You lack the skill to use this item.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '92', 'prose_nsf_skill_cmd', 'You lack sufficient skill to use the %TO command.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '93', 'prose_nsf_skill_plural', '[%TT] You lack the skill to use these items.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '94', 'prose_open_fail', 'You cannot open that container [%TT] right now.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '95', 'prose_over_max_entries', 'List truncated. Display request over %DI entry maximum.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '96', 'prose_pay_acct_fail', 'Your attempt to pay %DI credits to %TO has failed.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '97', 'prose_pay_fail', 'Your attempt to pay %DI credits to %TT has failed.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '98', 'prose_pay_nsf', 'You have insufficient funds to pay %DI credits to %TT.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '99', 'prose_target_already_dead', 'But %TT is already dead!');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '100', 'race_restriction', 'That food isn\'t edible by your species.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '101', 'rare_harvest_on_corpse', 'A rare harvest resource has been left on %TT.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '102', 'remove_only', 'You cannot place items in this container.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '103', 'remove_only_corpse', 'You cannot place items into a corpse.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '104', 'respawn_closest_facility', 'Due to an internal error, you will respawn at the closest cloning facility.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '105', 'respawn_current_location', 'Due to an internal error, you will respawn at your current location...');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '106', 'respawn_jedi_failed', 'An error occured trying to spawn at the Force Shrine location.  Attempting to spawn at nearest cloning facility.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '107', 'sample_mind', 'You need to rest before you can take any more samples.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '108', 'set_tool_first', 'Tool range not set. Please select the desired range and select USE again.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '109', 'stomach_unknown', 'Something just tried to query a stomach that does not exist. Please contact a GM.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '110', 'string_too_long', 'The shout string must contain fewer than 64 characters.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '111', 'survey_cant', 'You can\'t use the survey tool at the moment.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '112', 'survey_error', 'Unable to find the specified resource type.  Please survey again.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '113', 'survey_in_structure', 'You cannot perform survey-related actions inside a structure.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '114', 'survey_mind', 'You are exhausted.  You need to clear your head before you can survey again.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '115', 'survey_on_mount', 'You cannot perform that action while mounted on a creature or driving a vehicle.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '116', 'survey_sitting', 'You can\'t use the survey tool while sitting.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '117', 'survey_standing', 'You must be standing to take a survey or samples.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '118', 'survey_swimming', 'You cannot perform that action while swimming.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '119', 'syntax_unconsent', 'syntax: /unconsent <player name> {optionally, use commas to seperate several player names}');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '120', 'sys_eject_fail_contained', 'The ejection attempt failed because you are inside a building.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '121', 'sys_eject_fail_ground', 'The ejection attempt failed because you were already on the ground.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '122', 'sys_eject_fail_move', 'The ejection attempt failed because you moved.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '123', 'sys_eject_fail_proximity', 'The eject attempt failed because there isn\'t a building nearby.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '124', 'sys_eject_request', 'Processing eject request...');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '125', 'sys_eject_success', 'You have been moved to the nearest building\'s ejection point.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '126', 'sys_nothing_repair', 'You don\'t have anything in need of repair (make sure your weapons are unequiped).');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '127', 'sys_repair_failed', 'You have completely failed to repair the item.  The item falls apart.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '128', 'sys_repair_imperfect', 'You have only marginally repaired the item.  The item\'s max condition has been reduced.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '129', 'sys_repair_perfect', 'You have repaired the item with only minor blemishes.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '130', 'sys_repair_slight', 'You have repaired the item, however the item\'s maximum condition has been reduced.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '131', 'sys_repair_unrepairable', '%TT\'s condition is beyond repair even for your skills.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '132', 'target_already_dead', 'But your target is already dead!');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '133', 'target_full_drink', 'Your target cannot drink another drop!');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '134', 'target_full_food', 'Your target is already stuffed and cannot eat anymore!');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '135', 'target_full_medicine', 'You target is already on the verge of toxic blood level. Any more would kill them.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '136', 'target_must_be_player', 'Your target must be a player for the requested command.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '137', 'target_not_attackable', 'You cannot attack this target.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '138', 'target_not_creature', 'The selected action cannot be performed because your target is not a creature.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '139', 'target_not_droid', 'The selected action cannot be performed because your target is not a droid.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '140', 'target_not_incapacitated', 'You cannot perform the death blow. Your target is not incapacitated.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '141', 'target_not_player', 'The selected action cannot be performed because your target is not a player.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '142', 'target_offline', 'Your request cannot be processed because the specified target is offline.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '143', 'target_out_of_range', 'Your target is out of range for this action. ');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '144', 'target_self_disallowed', 'You cannot target yourself with this command.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '145', 'targetting_error', 'You have no target to do that.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '146', 'tip_target_bad', 'The target isn\'t valid for a /tip operation.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '147', 'too_many_pets', 'You have too many active pets.  Store one before you tame again.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '148', 'too_much_shock', 'There are too many shock wounds for the medicine to do any good.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '149', 'unable_to_destroy', 'The object %TT is a special item and cannot be destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '150', 'unable_to_insure', '[Insurance] The item you selected is either uninsurable or already insured.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '151', 'wrong_item_type', '%TT can only accept items of type %TO.');
INSERT INTO `client_strings` VALUES ('string/en/error_message.stf', '152', 'wrong_state', 'You cannot complete that action while in your current state.');
INSERT INTO `client_strings` VALUES ('string/en/event/ep3_trando_herald.stf', '1', 'wookiee_slave', 'escaped wookiee slave');
INSERT INTO `client_strings` VALUES ('string/en/event/ep3_trando_herald.stf', '2', 'wp_wookiee_slave', 'Escaped Wookiee Slave');
INSERT INTO `client_strings` VALUES ('string/en/event/ep3_trando_herald.stf', '3', 'time_is_up', 'The transponder signal has been lost. The wookiee escaped!');
INSERT INTO `client_strings` VALUES ('string/en/event/ep3_trando_herald.stf', '4', 'trando_warning', 'I can\'t believe this! Oh no... Look out everyone, it\'s going to blow!');
INSERT INTO `client_strings` VALUES ('string/en/event/ep3_trando_herald.stf', '5', 'areabroadcast', '<Incoming Emergency Transmission> Mayday - Mayday; This is transport vessel Severed Talon 4 coming in for an emergency landing. Repeat, transport vessel Severed Talon 4 coming in for an emergency landing.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '1', 'yavin_flag_deed_name', 'Rental: Flag of Yavin');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '2', 'atat_static_deed_name', 'Rental: AT-AT');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '3', 'atst_static_deed_name', 'Rental: AT-ST');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '4', 'banner_style_1_static_deed_name', 'Rental: Banner Style 1');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '5', 'banner_style_2_static_deed_name', 'Rental: Banner Style 2');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '6', 'bantha_static_deed_name', 'Rental: Bantha');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '7', 'corellia_flag_deed_name', 'Rental: Flag of Corellia');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '8', 'corellian_banner_static_deed_name', 'Rental: Corellian Banner');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '9', 'corsec_1x10_honorguard_deed_name', 'Rental: Corsec Honor Guard 5 X 1');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '10', 'corsec_2x10_honorguard_deed_name', 'Rental: Corsec Honor Guard 5 X 2');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '11', 'corsec_3x10_honorguard_deed_name', 'Rental: Corsec Honor Guard 5 X 3');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '12', 'corsec_4x10_honorguard_deed_name', 'Rental: Corsec Honor Guard 10 X 2');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '13', 'crashed_tie_bomber_theater_deed_name', 'Rental: Crashed Tie Bomber');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '14', 'crashed_tie_fighter_theater_deed_name', 'Rental: Crashed Tie Fighter');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '15', 'crashed_xwing_theater_deed_name', 'Rental: Crashed X-Wing');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '16', 'dantooine_flag_deed_name', 'Rental: Flag of Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '17', 'dathomir_flag_deed_name', 'Rental: Flag of Dathomir');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '18', 'destroyed_atat_theater_deed_name', 'Rental: Destroyed AT-AT');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '19', 'endor_flag_deed_name', 'Rental: Flag of Endor');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '20', 'fed_dub_1x10_honorguard_deed_name', 'Rental: Fed-Dub Honor Guard 5 X 1');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '21', 'fed_dub_2x10_honorguard_deed_name', 'Rental: Fed-Dub Honor Guard 5 X 2');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '22', 'fed_dub_3x10_honorguard_deed_name', 'Rental: Fed-Dub Honor Guard 5 X 3');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '23', 'fed_dub_4x10_honorguard_deed_name', 'Rental: Fed-Dub Honor Guard 10 X 2');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '24', 'imperial_1x10_honorguard_deed_name', 'Rental: Imperial Honor Guard 5 X 1');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '25', 'imperial_2x10_honorguard_deed_name', 'Rental: Imperial Honor Guard 5 X 2');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '26', 'imperial_3x10_honorguard_deed_name', 'Rental: Imperial Honor Guard 5 X 3');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '27', 'imperial_4x10_honorguard_deed_name', 'Rental: Imperial Honor Guard 10 X 2');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '28', 'imperial_banner_static_deed_name', 'Rental: Imperial Banner');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '29', 'imperial_landing_party_atat_theater_deed_name', 'Rental: Imperial At-AT Landing Party');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '30', 'imperial_landing_party_lambda_theater_deed_name', 'Rental: Imperial Lambda Shuttle Landing Party');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '31', 'imperial_recruiter_deed_name', 'Rental: Imperial Recruiter');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '32', 'imperial_recruiting_station_theater_deed_name', 'Rental: Imperial Pavillion');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '33', 'lambda_shuttle_static_deed_name', 'Rental: Lambda Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '34', 'lok_flag_deed_name', 'Rental: Flag of Lok');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '35', 'marble_gazebo_static_deed_name', 'Rental: Marble Gazebo');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '36', 'naboo_flag_deed_name', 'Rental: Flag of Naboo');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '37', 'naboo_gazebo_static_deed_name', 'Rental: Naboo Style Gazebo');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '38', 'pavillion_1_static_deed_name', 'Rental: Pavillion Style 1');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '39', 'pavillion_2_static_deed_name', 'Rental: Pavillion Style 2');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '40', 'rebel_1x10_honorguard_deed_name', 'Rental: Alliance Honor Guard 5 X 1');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '41', 'rebel_2x10_honorguard_deed_name', 'Rental: Alliance Honor Guard 5 X 2');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '42', 'rebel_3x10_honorguard_deed_name', 'Rental: Alliance Honor Guard 5 X 3');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '43', 'rebel_4x10_honorguard_deed_name', 'Rental: Alliance Honor Guard 2 X 10');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '44', 'rebel_banner_static_deed_name', 'Rental: Rebel Banner');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '45', 'rebel_recruiter_deed_name', 'Rental: Rebel Recruiter');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '46', 'rebel_recruiting_station_theater_deed_name', 'Rental: Rebel Pavillion');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '47', 'rori_flag_deed_name', 'Rental: Flag of Rori');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '48', 'shuttle_static_deed_name', 'Rental: Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '49', 'stone_base_banner_static_deed_name', 'Rental: Stone Based Banner');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '50', 'talus_flag_deed_name', 'Rental: Flag of Talus');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '51', 'tatooine_banner_static_deed_name', 'Rental: Tatooine Banner');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '52', 'tatooine_flag_deed_name', 'Rental: Flag of Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '53', 'tie_bomber_static_deed_name', 'Rental: Tie Bomber');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '54', 'tie_fighter_static_deed_name', 'Rental: Tie Fighter');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '55', 'universe_flags_theater_name', 'Rental: Flags of the Universe');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '56', 'wedding_garden_imperial_large_theater_name', 'Rental: Large Imperial Wedding Garden');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '57', 'wedding_garden_rebel_large_theater_name', 'Rental: Large Rebel Wedding Garden');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '58', 'xwing_static_deed_name', 'Rental: X-Wing');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '59', 'rsf_1x10_honorguard_deed_name', 'Rental: RSF Honor Guard 5 X 1');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '60', 'rsf_2x10_honorguard_deed_name', 'Rental: RSF Honor Guard 5 X 2');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '61', 'rsf_3x10_honorguard_deed_name', 'Rental: RSF Honor Guard 5 X 3');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '62', 'rsf_4x10_honorguard_deed_name', 'Rental: RSF Honor Guard 2 X 10');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '63', 'party_stage_theater_deed_name', 'Rental: Party Stage');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '64', 'imperial_stage_theater_deed_name', 'Rental: Imperial Stage');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '65', 'rebel_stage_theater_deed_name', 'Rental: Rebel Stage');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '66', 'corsec_stage_theater_deed_name', 'Rental: Corsec Stage');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '67', 'fed_dub_stage_theater_deed_name', 'Rental: Fed-Dub Stage');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '68', 'rsf_stage_theater_deed_name', 'Rental: RSF Stage');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '69', 'npc_actor_name', 'Rental: NPC Actor');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '70', 'shuttle_beacon', 'Rental: Shuttle Beacon');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '71', 'shuttle_lambda_shuttle', 'Lambda Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '72', 'shuttle_shuttle', 'Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '73', 'shuttle_transport_drop_down', 'Transport: Drop Down');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '74', 'shuttle_transport_fly_in', 'Transport: Fly In');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '75', 'shuttle_beacon_d', 'Select the type of shuttle landing you would like to call. Contacting the shuttle again after it lands will order the shuttle to leave.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '76', 'shuttle_beacon_t', 'Select Shuttle Landing Type');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '77', 'call_shuttle', 'Contact Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '78', 'dismiss_shuttle', 'Dismiss Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '79', 'already_have_shuttle', 'You already have a shuttle deployed.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '80', 'only_one_shuttle_beacon', 'You may only possess one Shuttle Beacon at a time. Deleting duplicate.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '81', 'shuttle_is_landing', 'Transmission Recieved: Shuttle is inbound to destination.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '82', 'shuttle_is_leaving', 'Transmission Recieved: Shuttle is leaving the area.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '83', 'shuttle_next_is_ready', 'Shuttle Beacon: You may now call another shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '84', 'no_obscene_stuff', 'That text is considered inappropriate. Please try again.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '85', 'shuttle_not_called', 'A shuttle could not be called.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '86', 'bad_area', 'This rental could not be deployed due to the surrounding terrain. Please move to another area and try again.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '87', 'deed_expired', 'Your unused Rental Deed expired and has been removed from your inventory.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '88', 'from_inventory_only', 'This Rental must be in your inventory in order to be deployed.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '89', 'lack_the_skill', 'You lack the required skill to place this Event Perk.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '90', 'no_zoning_rights', 'You must have zoning rights to place a Rental in this city.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '91', 'not_in_battlefield', 'You may not deploy a Rental in a battlefield.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '92', 'not_in_combat', 'You cannot deploy a Rental while in combat.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '93', 'not_in_municipal_zone', 'You may not place a Rental in a municipal zone.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '94', 'not_in_space', 'You may not deploy a Rental in space. Return to the ground first.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '95', 'not_inside', 'You cannot deploy a Rental indoors. You must move outside.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '96', 'not_while_swimming', 'You cannot deploy a Rental while swimming.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '97', 'npc_converse_no_permission_1', 'You do not have permission to interact with this event NPC.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '98', 'npc_converse_no_permission_2', '\'s Event Terminal in order to take part in this event. Contact that person for more information.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '99', 'too_close_building', 'You may not place a Rental this close to a building.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '100', 'too_close_camp', 'You cannot place a Rental this close to a camp.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '101', 'too_close_lair', 'You cannot place a Rental this close to a lair.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '102', 'too_close_something', 'You are too close to an object to deploy your Rental here.  Move away from it.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '103', 'too_many_perks', 'There are too many Rentals already deployed in this area. Please move to another location.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '104', 'use_event_perk', 'Deploy Rental');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '105', 'treasure_box_chest_deed_name', 'Rental: Treasure Box');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '106', 'sparking_treasure_box_chest_deed_name', 'Rental: Sparking Treasure Chest');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '107', 'treasure_crate_chest_deed_name', 'Rental: Treasure Crate');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '108', 'skeleton_chest_deed_name', 'Rental: Skeleton (Treasure Chest)');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '109', 'radiologically_shielded_chest_deed_name', 'Rental: Radiologically Shielded Chest');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '110', 'technical_chest_deed_name', 'Rental: Technical Chest');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '111', 'chest_can_not_add', 'You do not have permission to add items to this container.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '112', 'chest_only_one_item', 'You\'ve already taken your reward from this chest.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '113', 'chest_no_permission', 'You do not have permission to access this container.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '114', 'flag_game_imp_flag', 'Control Flag: Imperial');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '115', 'flag_game_reb_flag', 'Control Flag: Rebel Alliance');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '116', 'flag_game_neut_flag', 'Control Flag');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '117', 'game_flag_deed', 'Rental: Capture the Flag');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '118', 'flag_game_set_time_root', 'Game Setup');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '119', 'flag_game_set_time_10', 'Time Limit: 10 Minutes');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '120', 'flag_game_set_time_20', 'Time Limit: 20 Minutes');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '121', 'flag_game_set_time_30', 'Time Limit: 30 Minutes');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '122', 'flag_game_set_time_45', 'Time Limit: 45 Minutes');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '123', 'flag_game_set_time_60', 'Time Limit: 60 Minutes');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '124', 'flag_game_start', 'Start Game');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '125', 'flag_game_capture_flag', 'Attempt Flag Capture');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '126', 'flag_game_over_reb_win', 'Time Expired. The Rebels have won the contest!!!');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '127', 'flag_game_over_imp_win', 'Time Expired. The Empire has won the contest!!!');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '128', 'flag_game_over_tie', 'Time Expired. The match ended in a draw!!!');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '129', 'flag_game_cannot_switch_yet', 'You cannot change control of the flag yet.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '130', 'flag_game_show_scores', 'Show Scores');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '131', 'flag_game_score_1', 'Imperials: %DI ');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '132', 'flag_game_game_starting', 'The game is on, good luck to both teams!');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '133', 'flag_game_imperial_capture', 'The Imperials have secured control!!!');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '134', 'flag_game_rebel_capture', 'The rebels have secured control!!!');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '135', 'flag_game_score_2', 'Rebels: %DI');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '136', 'jukebox_operate', 'Operate Jukebox');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '137', 'jukebox_start_music', 'Start Music');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '138', 'jukebox_stop_music', 'Stop Music');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '139', 'jukebox_terminal_name', 'Jukebox');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '140', 'jukebox_terminal_description', 'This device allows its owner to play a variety of music.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '141', 'race_set_parameters', 'Set Race Parameters');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '142', 'race_initialize_droid', 'Initialize Droid');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '143', 'intialize_droid_warning', 'WARNING: Once you intialize the droid the course will become active and you will not be able to make any further adjustments. Use \"View Race Parameters\" if you need to check your settings and \"Set Race Parameters\" if you need to make changes.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '144', 'race_view_parameters', 'View Race Parameters');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '145', 'race_setup_nothing_entered', 'Invalid data entered. Please try again or hit \"Cancel\" to exit setup.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '146', 'race_setup_canceled', 'Setup cancelled. You must complete setup before opening the game to the public.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '147', 'race_setup_prompt_0', 'Enter the number of waypoints for this race. NOTE: Do not count the Start/Finish Line. The starting and finish line will be at the location where you set up the droid.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '148', 'race_setup_title_0', 'Number of Waypoints');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '149', 'race_setup_title_1', 'Enter Coordinates');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '150', 'race_setup_prompt_1', 'Enter the coordinates for this waypoint.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '151', 'racing_setup_waypoint_error', 'You must enter a value between 2 and 15.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '152', 'racing_setup_coord_error', 'Valid ranges for waypoints are between 8000 and -8000. Enter the waypoints without commas (Example: 1200 -4553).');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '153', 'race_show_status1', 'Waypoint %DI: ');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '154', 'race_show_status2', '%DF ');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '155', 'race_show_status3', ' %DF');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '156', 'race_show_status0', 'Please review your waypoint data. If you need to make changes you can use \"Set Race Parameters\". If everything is correct choose \"Initialize Droid\" to begin race operation. NOTE: You may not make changes after the droid is initialized.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '157', 'racing_waypoint_name', 'Race Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '158', 'racing_checkpoint_message', 'Leg completed! Proceed to the next checkpoint!');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '159', 'racing_finish_message', 'Race completed!');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '160', 'racing_total_time', 'Total Race Time: %DF');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '161', 'racing_lap_time', 'Lap Time: %DF');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '162', 'racing_leader_display', '%TO with a time of %DF seconds.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '163', 'scavenger_already_added', 'You\'ve already added this item to the list.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '164', 'scavenger_setup_instruction', 'Drag and drop items onto me so I can look at them and I will add them to the scavenger hunt list. You can look at the items you\'ve added by selecting \"View List\". If you\'ve made a mistake, select \"Reset\" to start again. When you are ready, choose \"Start Game\" to begin.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '165', 'scavenger_list_items', 'View Item List');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '166', 'scavenger_reset_list', 'Reset List');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '167', 'scavenger_start', 'Start Game');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '168', 'scavenger_instruction', 'Instructions');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '169', 'scavenger_game_instruction', 'Choose \"View Item List\" to see what items you need to find. As you find items, show me the item by dragging and dropping them onto me. The first person to find all of the items wins!');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '170', 'scavenger_show_winner', 'Display Winner');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '171', 'scavenger_no_items', 'You have not added any items to the list yet.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '172', 'scavenger_list_d', 'Below you will find the list of items you need to find for the scavenger hunt. Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '173', 'scavenger_list_t', 'Scavenger Hunt List');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '174', 'scavenger_list_reset_msg', 'Scavenger hunt list cleared.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '175', 'scavenger_game_start', 'The hunt is on! Good luck everyone!');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '176', 'scavenger_already_turned_in', 'You\'ve already turned in this item.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '177', 'scavenger_you_showed_me', 'This item appears to be:');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '178', 'scavenger_show_leader', 'The winner of the scavenger hunt is %TO with a time of %DI minutes.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '179', 'scavenger_you_win', 'Congratulations, you were the first to find all of the items on the list! You win!');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '180', 'scavenger_you_lead', 'Good work, you are currently in the lead!');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '181', 'scavenger_not_leader', 'Good find, I\'ve updated your record! You\'ll need to act quickly to catch up with %TO, who is our current leader.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '182', 'scavenger_winner', 'Attention scavengers: We have a winner! Stop by to see the results of the contest.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '183', 'scavenger_list_leader', 'Show Current Leader');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '184', 'scavenger_show_current_leader', 'The current leader of the scavenger hunt is %TO.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '185', 'scavenger_max_items', 'You may not list any more items for the scavenger hunt. Use \"Reset List\" if you need to make any  changes.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '186', 'lottery_menu_setup', 'Lottery Setup');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '187', 'lottery_menu_add_creds', 'Add Bonus Credits to Pot');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '188', 'lottery_menu_instructions', 'Instructions');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '189', 'lottery_menu_lottery_info', 'Lottery Information');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '190', 'lottery_menu_start_game', 'Start Lottery');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '191', 'lottery_menu_register', 'Register for Lottery');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '192', 'lottery_menu_show_winner', 'Display Lottery Results');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '193', 'lottery_dur_hours_1', '1 Hour');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '194', 'lottery_dur_hours_4', '4 Hours');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '195', 'lottery_dur_hours_8', '8 Hours');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '196', 'lottery_dur_hours_24', '1 Day');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '197', 'lottery_dur_hours_48', '2 Days');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '198', 'lottery_dur_hours_72', '3 Days');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '199', 'lottery_dur_hours_168', '1 Week');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '200', 'lottery_payout_percent_100', '100% (All credits go to winner)');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '201', 'lottery_payout_percent_95', '95%  (You keep 5% of the pot)');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '202', 'lottery_payout_percent_90', '90% (You keep 10% of the pot)');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '203', 'lottery_payout_percent_85', '85% (You keep 15% of the pot)');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '204', 'lottery_payout_percent_80', '80% (You keep 20% of the pot)');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '205', 'lottery_payout_percent_75', '75% (You keep 25% of the pot)');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '206', 'lottery_payout_percent_70', '70% (You keep 30% of the pot)');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '207', 'lottery_payout_percent_65', '65% (You keep 35% of the pot)');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '208', 'lottery_payout_percent_60', '60% (You keep 40% of the pot)');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '209', 'lottery_payout_percent_55', '55% (You keep 45% of the pot)');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '210', 'lottery_payout_percent_50', '50% (You keep 50% of the pot)');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '211', 'lottery_dur_description', 'Select the length of time you would like the lottery to run. The timer will start when you begin the game. When the game ends, the payout will be distributed.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '212', 'lottery_dur_title', 'Select Duration');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '213', 'lottery_dur_feedback', 'Once activated, this lottery will run for ');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '214', 'lottery_dur_hours_2', '2 Hours');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '215', 'lottery_dur_hours_96', '4 Days');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '216', 'lottery_dur_hours_120', '5 Days');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '217', 'lottery_dur_hours_144', '6 Days');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '218', 'lottery_payout_description', 'Select the percentage of the total pot you would like to payout to the winner of the lottery. After the game closes, your take of the pot will be automatically transferred to your bank account.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '219', 'lottery_payout_title', 'Select Payout Percentage');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '220', 'lottery_payout_feedback', 'The winner of the lottery will receive the following percentage of the pot: ');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '221', 'ticket_cost_desc', 'Enter the amount you wish to charge per entry into the lottery. All credits recieved from lottery entries will be added to the pot.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '222', 'ticket_cost_title', 'Set Entry Fee');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '223', 'ticket_cost_feedback', ' credits will be charged for each individual entering into the lottery.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '224', 'lottery_info_not_setup', 'You must complete Lottery Setup before starting the game or viewing the game\'s settings.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '225', 'lottery_setup_instructions', 'Lottery Setup: First select how long contestants have to enter the lottery before the drawing. The lottery may run between 1 hour and 7 days. Next, select the percentage of the total pot the winner will recieve. When the lottery ends, you may collect the portion of the pot that is not paid out as the jackpot (your \"take\").  Finally, enter how many credits it will cost to register for the lottery. All proceeds from registration are added to the total pot. When you are happy with the settings, select \"Start Lottery\" to put the game in motion. You may sweeten the pot at any time by adding your own credits. Any credits added to the pot are non-refundable.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '226', 'lottery_initialize_error', 'You need to specify a registration cost, lottery duration and payout percentage before you can start the lottery.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '227', 'lottery_initialize_success', 'You successfully start the lottery.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '228', 'lottery_add_credits_desc', 'Enter how much money of your own money you would like to add to the pot. NOTE: Once credits are added to the pot you may NOT withdraw them under any circumstance. If you do not wish to add credits, click cancel.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '229', 'lottery_add_credits_title', 'Add Credits to Pot');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '230', 'lottery_add_credits_cancel', 'No credits have been added to the pot or subtracted from your account.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '231', 'lottery_add_credits_error', 'The amount entered was invalid. Please try again.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '232', 'lottery_add_credits_confirm', ' credits will be added to the pot from your personal funds. Once added, the money will NOT be able to be retrieved. If this amount is correct, hit OK. Otherwise you may cancel.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '233', 'lottery_add_credits_confirm_t', 'Confirm Fund Transfer');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '234', 'lottery_info_parse1', 'There are currently ');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '235', 'lottery_info_parse2', ' people registered for this lottery. The jackpot currently stands at approximately ');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '236', 'lottery_info_parse3', ' credits. The lottery will end in under ');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '237', 'lottery_info_parse4', ' . Registration for this lottery costs ');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '238', 'lottery_info_parse5', ' credits with some or all of registration adding to the jackpot.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '239', 'lottery_add_credits_nsf', 'You lack the required funds to make that transaction. This is not a charity drive.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '240', 'lottery_reg_purchase_desc1', 'You may register for this lottery at a cost of ');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '241', 'lottery_reg_purchase_desc2', ' credits. When the lottery is over, the winner will have the jackpot automatically transferred to their bank account. Select \"Lottery Information\" for full details of this game. Would you like to register for this lottery at a cost of ');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '242', 'lottery_reg_purchase_desc3', ' credits?');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '243', 'lottery_reg_purchase_already', 'You are already registered for this lottery and may not register again.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '244', 'lottery_reg_purchase_confirm', 'You are now registered for this lottery. You can select \"Lottery Information\" to get information on the number of people registered, the current jackpot and how long before the drawing takes place. If you\'re a winner, the jackpot will be automatically transferred to your bank account.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '245', 'lottery_complete_show_winner', 'The winner of the jackpot was ');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '246', 'lottery_menu_collect_jackpot', 'Collect Jackpot');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '247', 'lottery_menu_collect_take', 'Collect Owner\'s Take');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '248', 'lottery_a_winner_its_you', '*** Jackpot !!! ***');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '249', 'lottery_payout_msg', ' credits are payed out by the Lottery Droid.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '250', 'lottery_win_email_title', 'Congratulations, You Won!');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '251', 'lottery_no_winner', 'no one. Nobody registered for this lottery.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '252', 'pro_show_list_desc', 'Select the item you wish to rent.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '253', 'pro_show_list_title', 'Rent Item');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '254', 'pro_too_many_perks', 'You cannot rent any more items right now.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '255', 'pro_error_cost', 'ERROR: Invalid cost');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '256', 'promoter_full_inv', 'Your inventory is full. Please make some room and try again.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '257', 'pro_flag_game', 'Capture the Flag Game');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '258', 'pro_shuttle_beacon_game', 'Shuttle Beacon Utility');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '259', 'pro_treasure_chest_game', 'Treasure Chest: Standard');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '260', 'pro_crate_chest_game', 'Treasure Chest: Crate');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '261', 'pro_radiological_chest_game', 'Treasure Chest: Radiological Shielding');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '262', 'pro_skeleton_chest_deed', 'Treasure Chest: Humanoid Skeleton');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '263', 'pro_sparking_chest_deed', 'Treasure Chest: Sparking');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '264', 'pro_technical_chest_game', 'Treasure Chest: Technical');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '265', 'pro_npc_actor_person', 'Actor');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '266', 'pro_corsec_1_person', 'CorSec Honor Guard (5 by 1)');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '267', 'pro_corsec_2_person', 'CorSec Honor Guard (5 by 2)');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '268', 'pro_corsec_3_person', 'CorSec Honor Guard (5 by 3)');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '269', 'pro_corsec_4_person', 'CorSec Honor Guard (10 by 2)');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '270', 'pro_fed_dub_1_person', 'Fed Dub Honor Guard (5 by 1)');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '271', 'pro_fed_dub_2_person', 'Fed Dub Honor Guard (5 by 2)');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '272', 'pro_fed_dub_3_person', 'Fed Dub Honor Guard (5 by 3)');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '273', 'pro_fed_dub_4_person', 'Fed Dub Honor Guard (10 by 2)');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '274', 'pro_rsf_1_person', 'RSF Honor Guard (5 by 1)');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '275', 'pro_rsf_2_person', 'RSF Honor Guard (5 by 2)');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '276', 'pro_rsf_3_person', 'RSF Honor Guard (5 by 3)');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '277', 'pro_rsf_4_person', 'RSF Honor Guard (10 by 2)');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '278', 'pro_imp_recruiter_person', 'Imperial Recruiter');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '279', 'pro_imperial_1_person', 'Stormtrooper Honor Guard (5 by 1)');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '280', 'pro_imperial_2_person', 'Stormtrooper Honor Guard (5 by 2)');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '281', 'pro_imperial_3_person', 'Stormtrooper Honor Guard (5 by 3)');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '282', 'pro_imperial_4_person', 'Stormtrooper Honor Guard (10 by 2)');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '283', 'pro_rebel_recruiter_static', 'Alliance Recruiter');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '284', 'pro_rebel_1_person', 'Alliance Honor Guard (5 by 1)');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '285', 'pro_rebel_2_person', 'Alliance Honor Guard (5 by 2)');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '286', 'pro_rebel_3_person', 'Alliance Honor Guard (5 by 3)');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '287', 'pro_rebel_4_person', 'Alliance Honor Guard (10 by 2)');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '288', 'pro_banner_1_static', 'Green Banner');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '289', 'pro_banner_2_static', 'Green and Grey Banner');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '290', 'pro_bantha_static', 'Saddled Bantha');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '291', 'pro_corellia_flag_static', 'Corellian Flag');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '292', 'pro_corellian_banner_static', 'Corellian Banner');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '293', 'pro_dantooine_flag_static', 'Dantooine Flag');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '294', 'pro_dathomir_flag_static', 'Dathomir Flag');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '295', 'pro_endor_flag_static', 'Endor Flag');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '296', 'pro_lambda_shuttle_static', 'Lambda Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '297', 'pro_lok_flag_static', 'Lok Flag');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '298', 'pro_marble_gazebo_static', 'Marble Gazebo');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '299', 'pro_naboo_flag_static', 'Naboo Flag');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '300', 'pro_naboo_gazebo_static', 'Naboo Style Gazebo');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '301', 'pro_pavillion_1_static', 'Pavillion Style 1');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '302', 'pro_pavillion_2_static', 'Pavillion Style 2');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '303', 'pro_rori_flag_static', 'Rori Flag');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '304', 'pro_shuttle_static', 'Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '305', 'pro_stone_based_banner_static', 'Stone Based Banner');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '306', 'pro_talus_flag_deed', 'Talus Flag');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '307', 'pro_tatooine_banner_static', 'Tatooine Banner');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '308', 'pro_tatooine_flag_static', 'Tatooine Flag');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '309', 'pro_yavin_flag_static', 'Yavin Flag');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '310', 'pro_atat_static', 'AT-AT');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '311', 'pro_atst_static', 'AT-ST');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '312', 'pro_imperial_banner_static', 'Imperial Banner');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '313', 'pro_tie_bomber_static_deed', 'Tie Bomber');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '314', 'pro_rebel_banner_static', 'Alliance Banner');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '315', 'pro_xwing_static', 'X-Wing');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '316', 'pro_corsec_stage_theater', 'Stage w/ CorSec Honor Guard');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '317', 'pro_fed_dub_stage_theater', 'Stage w/ Fed Dub Honor Guard');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '318', 'pro_party_stage_theater', 'Stage');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '319', 'pro_rsf_stage_theater', 'Stage w/ RSF Honor Guard');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '320', 'pro_universe_flags_theater', 'Flags of the Universe (Ring Formation)');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '321', 'pro_crashed_xwing_theater', 'Crashed X-Wing');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '322', 'pro_imp_landing_party_theater', 'Imperial AT-AT Landing Party');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '323', 'pro_imp_landing_lambda_theater', 'Imperial Lambda Landing Party');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '324', 'pro_imp_recruiting_theater', 'Imperial Pavillion');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '325', 'pro_imp_stage_theater', 'Stage w/ Stormtrooper Honor Guard');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '326', 'pro_wedding_garden_imp_lg_theater', 'Large Imperial Wedding Garden');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '327', 'pro_crashed_tie_bomber_theater', 'Crashed Tie Bomber');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '328', 'pro_crashed_tie_fighter_theater', 'Crashed Tie Fighter');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '329', 'pro_destroyed_atat_theater', 'Destroyed AT-AT');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '330', 'pro_rebel_recruiting_theater', 'Alliance Pavillion');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '331', 'pro_rebel_stage_theater', 'Stage w/ Alliance Honor Guard');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '332', 'pro_wedding_garden_reb_lg_theater', 'Large Alliance Wedding Garden');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '333', 'shuttle_not_take_off', 'The shuttle is not yet ready for take off.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '334', 'lottery_droid_deed_name', 'Rental: Lottery Droid');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '335', 'race_droid_deed_name', 'Rental: Race Coordinator Droid');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '336', 'scavenger_droid_deed_name', 'Rental: Scavenger Hunt Droid');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '337', 'pro_lottery_droid_game', 'Lottery Droid');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '338', 'pro_race_droid_game', 'Race Coordinator Droid');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '339', 'pro_scavenger_droid_game', 'Scavenger Hunt Droid');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '340', 'name_lottery_droid', 'Lottery Droid');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '341', 'name_race_droid', 'Race Coordinator Droid');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '342', 'name_scavenger_droid', 'Scavenger Hunt Droid');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '343', 'race_waypoint_is', 'Waypoint stored as: ');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '344', 'race_setup_complete', 'Setup complete. Choose \"View Race Parameters\" to review your waypoints. If correct, choose \"Initialize Droid\" to open the course to the public. Otherwise you may return to setup to make changes.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '345', 'race_waypoint', 'Waypoint ');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '346', 'npc_creation_error', 'The NPC actor could not be called. Please try again.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '347', 'pro_jukebox', 'Jukebox');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '348', 'lottery_mail_winner_sub', 'You\'re a Winner!');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '349', 'lottery_mail_winner_body', 'Congratulations, you\'ve won the lottery! Your jackpot in the amount of %DI credits has been transferred to your bank account.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '350', 'lottery_mail_owner_sub', 'Lottery Completed');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '351', 'lottery_mail_owner_body', 'The lottery drawing has been successfully completed. Your take of the pot in the amount of %DI credits has been added to your bank account.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '352', 'promoter_only_one', 'You already have one of these perks. You are limited to one of these perks in your possession at a time.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '353', 'mnu_show_exp_time', 'Show Expiration Time');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '354', 'show_exp_time', 'This rental will expire in approximately %DI minutes.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '355', 'mnu_redeed', 'Reclaim Rental Deed');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '356', 'redeed_success', 'Your Rental has been removed and the deed reclaimed.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '357', 'redeed_failed', 'The rental could not be re-deeded.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '358', 'redeed_too_many_deeds', 'You have too many rental deeds in your possession and cannot redeed this rental.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '359', 'redeed_remove_items', 'The chest still contains items. You must empty the chest before it can be redeeded.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '360', 'mnu_rotate', 'Rotate');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '361', 'mnu_rot_left', 'Rotate Left');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '362', 'mnu_rot_right', 'Rotate Right');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '363', 'military_outpost_deed_name', 'Rental: Military Outpost');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '364', 'web_tree_deed_name', 'Rental: Web Filled Tree');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '365', 'sandcrawler_deed_name', 'Rental: Sandcrawler');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '366', 'gravestone_deed_name', 'Rental: Grave Stone');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '367', 'fruit_stand_deed_name', 'Rental: Fruit Stand');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '368', 'meat_rack_deed_name', 'Rental: Meat Rack');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '369', 'pro_military_outpost', 'Military Outpost');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '370', 'pro_web_tree', 'Web Filled Tree');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '371', 'pro_gravestone', 'Grave Stone');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '372', 'pro_sandcrawler', 'Sandcrawler (Deploy on Tatooine Only)');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '373', 'pro_fruit_stand', 'Fruit Stand');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '374', 'pro_meat_rack', 'Meat Rack');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '375', 'not_on_this_planet', 'You cannot deploy this rental on this planet. Examine the deed to determine the intended planet for this rental.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '376', 'audience_seating_name', 'Rental: Audience Seating');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '377', 'fenced_enclosure_name', 'Rental: Barbed Wire Enclosure');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '378', 'fire_pit_name', 'Rental: Fire Pit');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '379', 'graveyard_name', 'Rental: Graveyard');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '380', 'jawas_and_droids_name', 'Rental: Jawas and Droids');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '381', 'picnic_pavillion_name', 'Rental: Party Pavillion');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '382', 'wrecked_sandcrawler_name', 'Rental: Wrecked Sandcrawler');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '383', 'pro_audience_seating', 'Audience Seating');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '384', 'pro_fire_pit', 'Fire Pit');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '385', 'pro_jawas_and_droids', 'Jawas and Droids');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '386', 'pro_wrecked_sandcrawler', 'Wrecked Sandcrawler');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '387', 'pro_picnic_pavillion', 'Party Pavillion');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '388', 'pro_graveyard', 'Graveyard');
INSERT INTO `client_strings` VALUES ('string/en/event_perk.stf', '389', 'pro_fenced_enclosure', 'Barbed Wire Enclosure');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '1', 'yavin_flag_deed_name', 'Deploying this rental will create a Flag of Yavin at your location. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '2', 'atat_static_deed_name', 'Deploying this rental will create an AT-AT at your location. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '3', 'atst_static_deed_name', 'Deploying this rental will create an AT-ST at your location. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '4', 'banner_style_1_static_deed_name', 'Deploying this rental will create a banner at your location. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '5', 'banner_style_2_static_deed_name', 'Deploying this rental will create a banner at your location. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '6', 'bantha_static_deed_name', 'Deploying this rental will create a saddled bantha at your location. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '7', 'corellia_flag_deed_name', 'Deploying this rental will create a flag of Corellia at your location. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '8', 'corellian_banner_static_deed_name', 'Deploying this rental will create a Corellian Banner at your location. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '9', 'corsec_1x10_honorguard_deed_name', 'Deploying this rental will create an honor guard of Corsec at your location and heading. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '10', 'corsec_2x10_honorguard_deed_name', 'Deploying this rental will create an honor guard of Corsec at your location and heading. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '11', 'corsec_3x10_honorguard_deed_name', 'Deploying this rental will create an honor guard of Corsec at your location and heading. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '12', 'corsec_4x10_honorguard_deed_name', 'Deploying this rental will create an honor guard of Corsec at your location and heading. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '13', 'crashed_tie_bomber_theater_deed_name', 'Deploying this rental will create a crashed tie bomber at the closest valid location. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '14', 'crashed_tie_fighter_theater_deed_name', 'Deploying this rental will create a crashed tie fighter at the closest valid location. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '15', 'crashed_xwing_theater_deed_name', 'Deploying this rental will create a crashed X-Wing at the closest valid location. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '16', 'dantooine_flag_deed_name', 'Deploying this rental will create a Flag of Dantooine at your location. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '17', 'dathomir_flag_deed_name', 'Deploying this rental will create a Flag of Dathomir at your location. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '18', 'destroyed_atat_theater_deed_name', 'Deploying this rental will create a destroyed AT-AT at the closest valid location. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '19', 'endor_flag_deed_name', 'Deploying this rental will create a Flag of Endor at your location. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '20', 'fed_dub_1x10_honorguard_deed_name', 'Deploying this rental will create an honor guard of Fed-Dub forces at your location and heading. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '21', 'fed_dub_2x10_honorguard_deed_name', 'Deploying this rental will create an honor guard of Fed-Dub forces at your location and heading. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '22', 'fed_dub_3x10_honorguard_deed_name', 'Deploying this rental will create an honor guard of Fed-Dub forces at your location and heading. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '23', 'fed_dub_4x10_honorguard_deed_name', 'Deploying this rental will create an honor guard of Fed-Dub forces at your location and heading. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '24', 'imperial_1x10_honorguard_deed_name', 'Deploying this rental will create an honor guard of Stormtroopers at your location and heading. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '25', 'imperial_2x10_honorguard_deed_name', 'Deploying this rental will create an honor guard of Stormtroopers at your location and heading. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '26', 'imperial_3x10_honorguard_deed_name', 'Deploying this rental will create an honor guard of Stormtroopers at your location and heading. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '27', 'imperial_4x10_honorguard_deed_name', 'Deploying this rental will create an honor guard of Stormtroopers at your location and heading. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '28', 'imperial_banner_static_deed_name', 'Deploying this rental will create an Imperial Banner at your location. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '29', 'imperial_landing_party_atat_theater_deed_name', 'Deploying this rental will create an Imperial landing party at the closest valid location. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '30', 'imperial_landing_party_lambda_theater_deed_name', 'Deploying this rental will create an Imperial landing party at the closest valid location. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '31', 'imperial_recruiter_deed_name', 'Deploying this rental will summon an Imperial recruiter at your location. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '32', 'imperial_recruiting_station_theater_deed_name', 'Deploying this rental will summon an Imperial Pavillion at the closest valid location. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '33', 'lambda_shuttle_static_deed_name', 'Deploying this rental will create a Lambda Shuttle at your location. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '34', 'lok_flag_deed_name', 'Deploying this rental will create a Flag of Lok at your location. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '35', 'marble_gazebo_static_deed_name', 'Deploying this rental will create a Marble Gazebo at your location. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '36', 'naboo_flag_deed_name', 'Deploying this rental will create a Flag of Naboo at your location. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '37', 'naboo_gazebo_static_deed_name', 'Deploying this rental will create a Naboo style Gazebo at your location. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '38', 'pavillion_1_static_deed_name', 'Deploying this rental will create a Pavillion at your location. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '39', 'pavillion_2_static_deed_name', 'Deploying this rental will create a Pavillion at your location. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '40', 'rebel_1x10_honorguard_deed_name', 'Deploying this rental will create an honor guard of Alliance Forces at your location and heading. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '41', 'rebel_2x10_honorguard_deed_name', 'Deploying this rental will create an honor guard of Alliance Forces at your location and heading. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '42', 'rebel_3x10_honorguard_deed_name', 'Deploying this rental will create an honor guard of Alliance Forces at your location and heading. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '43', 'rebel_4x10_honorguard_deed_name', 'Deploying this rental will create an honor guard of Alliance Forces at your location and heading. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '44', 'rebel_banner_static_deed_name', 'Deploying this rental will create a Rebel Banner at your location. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '45', 'rebel_recruiter_deed_name', 'Deploying this rental will summon a Rebel Recruiter at your location.  This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '46', 'rebel_recruiting_station_theater_deed_name', 'Deploying this rental will create a Rebel Pavillion at the closest valid location. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '47', 'rori_flag_deed_name', 'Deploying this rental will create a Flag of Rori at your location. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '48', 'shuttle_static_deed_name', 'Deploying this rental will create a shuttle at your location. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '49', 'stone_base_banner_static_deed_name', 'Deploying this rental will create a Stone Based Banner at your location. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '50', 'talus_flag_deed_name', 'Deploying this rental will create a Flag of Talus at your location. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '51', 'tatooine_banner_static_deed_name', 'Deploying this rental will create a Tatooine Banner at your location. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '52', 'tatooine_flag_deed_name', 'Deploying this rental will create a Flag of Tatooine at your location. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '53', 'tie_bomber_static_deed_name', 'Deploying this rental will create a Tie Bomber at your location. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '54', 'tie_fighter_static_deed_name', 'Deploying this rental will create a Tie Fighter at your location. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '55', 'universe_flags_theater_name', 'Deploying this rental will create Flags of the Universe at the closest valid location. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '56', 'wedding_garden_imperial_large_theater_name', 'Deploying this rental will create a Large Imperial Wedding Garden at the closest valid location. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '57', 'wedding_garden_rebel_large_theater_name', 'Deploying this rental will create a Large Rebel Wedding Garden at the closest valid location. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '58', 'xwing_static_deed_name', 'Deploying this rental will create a X-Wing at your location. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '59', 'rsf_1x10_honorguard_deed_name', 'Deploying this rental will create an honor guard of RSF forces at your location and heading. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '60', 'rsf_2x10_honorguard_deed_name', 'Deploying this rental will create an honor guard of RSF forces at your location and heading. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '61', 'rsf_3x10_honorguard_deed_name', 'Deploying this rental will create an honor guard of RSF forces at your location and heading. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '62', 'rsf_4x10_honorguard_deed_name', 'Deploying this rental will create an honor guard of RSF forces at your location and heading. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '63', 'party_stage_theater_deed_name', 'Deploying this rental will create a Party Stage at the closest valid location.  This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '64', 'imperial_stage_theater_deed_name', 'Deploying this rental will create an Imperial Stage at the closest valid location.  This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '65', 'rebel_stage_theater_deed_name', 'Deploying this rental will create an Rebel Stage at the closest valid location.  This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '66', 'corsec_stage_theater_deed_name', 'Deploying this rental will create a Corsec Stage at the closest valid location.  This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '67', 'fed_dub_stage_theater_deed_name', 'Deploying this rental will create a Fed-Dub at the closest valid location.  This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '68', 'rsf_stage_theater_deed_name', 'Deploying this rental will create a RSF Stage at the closest valid location.  This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '69', 'npc_actor_name', 'Deploying this rental will summon an NPC actor of your choosing. After deploying you may give the actor a line and an animation, dress them, set their mood and they will perform whenever someone comes near them. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '70', 'shuttle_beacon', 'Use this beacon to select and then initiate a shuttle landing. You may also use this beacon to issue a command to order the shuttle to take off again. The shuttle beacon will expire eight hours after the time of purchase. Note that you may only possess one shuttle beacon at a time.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '71', 'treasure_box_chest_deed_name', 'Deploying this rental will create a treasure chest at your location. You may fill the chest with items. Anyone happening upon the chest will be able to pull one piece of loot from the chest. This deed and the perk it generates will expire eight hours after the time of purchase. Note that any items left in the chest at the time of expiration will be destroyed and forever lost.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '72', 'flag_game_imp_flag', 'The Empire is currently in possession of the flag.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '73', 'flag_game_reb_flag', 'The Rebel Alliance is currently in control of the flag.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '74', 'flag_game_neut_flag', 'Neither side is currently in control of the flag.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '75', 'game_flag_deed', 'Deploying this rental will create a flag. After setting a time limit and starting the game, any Special Forces member of a faction registered for your event may capture the flag for the opposing team. The team that holds the flag the longest during the time limit wins. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '76', 'lottery_droid_deed_name', 'Deploying this rental will place a droid that you may use to run a lottery. You may set the length of time the lottery runs, the cost of registration for the lottery and the percentage of the proceeds that the winner of the lottery will recieve. Credits not paid out by the winner may be collected by you after the lottery drawing. The Lottery Droid will expire 24 hours after the lottery drawing is complete.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '77', 'race_droid_deed_name', 'Deploying this rental will place a race droid at your location. You may program the droid with a number of waypoints. Once you initialize the droid, others can run the course you have created and the droid will record the person with the best time for the race. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '78', 'scavenger_droid_deed_name', 'Deploying this rental will place a scavenger hunt droid at your location. You may show the droid a number of items by dragging and dropping them onto him. You may then initialize the droid to start the game. The one who returns all of the items to the droid first is the winner. The droid keeps track of the current leader of the contest. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '79', 'banner_n', 'Banner');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '80', 'banner_d', 'A decorative banner.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '81', 'imp_banner_n', 'Imperial Banner');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '82', 'reb_banner_n', 'Rebel Banner');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '83', 'tat_banner_n', 'Tatooine Banner');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '84', 'corl_banner_n', 'Corellian Banner');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '85', 'corl_flag_n', 'Corellian Flag');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '86', 'flag_d', 'A decorative flag.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '87', 'dant_flag_n', 'Dantooine Flag');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '88', 'dath_flag_n', 'Dathomir Flag');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '89', 'endr_flag_n', 'Endor Flag');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '90', 'gazebo_n', 'Gazebo');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '91', 'gazebo_d', 'A gazebo.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '92', 'lambda_n', 'Lambda Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '93', 'lok_flag_n', 'Lok Flag');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '94', 'nboo_flag_n', 'Naboo Flag');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '95', 'shuttle_n', 'Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '96', 'rori_flag_n', 'Rori Flag');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '97', 'talus_flag_n', 'Talus Flag');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '98', 'tat_flag_n', 'Tatooine Flag');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '99', 'tie_bomber_n', 'Tie Bomber');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '100', 'xwing_n', 'X-Wing');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '101', 'yavn_flag_n', 'Yavin Flag');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '102', 'sandcrawler_n', 'Sandcrawler');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '103', 'sandcrawler_d', 'A sandcrawler.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '104', 'web_tree_n', 'Web covered tree');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '105', 'military_outpost_deed_name', 'Deploying this rental will create a military outpost at your location. This deed and the perk it creates will expire eight hours after purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '106', 'web_tree_deed_name', 'Deploying this rental will create a web filled tree at your location. This deed and the perk it creates will expire eight hours after purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '107', 'sandcrawler_deed_name', 'Deploying this rental will create a Sandcrawler at your location. This deed can only be used on Tatooine. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '108', 'gravestone_deed_name', 'Deploying this rental will create a Grave Stone at your location. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '109', 'fruit_stand_deed_name', 'Deploying this rental will create a Fruit Stand at your location. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '110', 'meat_rack_deed_name', 'Deploying this rental will create a Meat Rack at your location. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '111', 'audience_seating_name', 'Deploying this rental will create audience seating at the closest valid location.  This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '112', 'fenced_enclosure_name', 'Deploying this rental will create a barbed wire fenced enclosure at the closest valid location. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '113', 'fire_pit_name', 'Deploying this rental will create a fire pit at the closest valid location. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '114', 'graveyard_name', 'Deploying this rental will create a graveyard at the closest valid location. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '115', 'jawas_and_droids_name', 'Deploying this rental will create jawas and droids at the closest valid location. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '116', 'picnic_pavillion_name', 'Deploying this rental will create a party pavillion at the closest valid location. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_detail.stf', '117', 'wrecked_sandcrawler_name', 'Deploying this rental will create a wrecked sandcrawler at the closest valid location. This deed and the perk it generates will expire eight hours after the time of purchase.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_jukebox_songs.stf', '1', 'songs_d', 'Select a song to play from the list below.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_jukebox_songs.stf', '2', 'songs_t', 'Music Select');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_jukebox_songs.stf', '4', 'emperors_theme', 'Emperor\'s Theme');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_jukebox_songs.stf', '5', 'chamber_music', 'Chamber Music');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_jukebox_songs.stf', '6', 'hard_rock', 'Hard Rock');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_jukebox_songs.stf', '7', 'theed_palace', 'Theed Palace');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_jukebox_songs.stf', '8', 'medley', 'Medley');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_jukebox_songs.stf', '9', 'otoh_gunga', 'Otoh Gunga');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_jukebox_songs.stf', '10', 'star_wars_intro', 'Star Wars Intro');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_jukebox_songs.stf', '11', 'celeb_phantom_menace', 'Naboo Celebration');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_jukebox_songs.stf', '12', 'celeb_rotj', 'Primitive Celebration');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_jukebox_songs.stf', '13', 'pod_race', 'Pod Race');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_jukebox_songs.stf', '14', 'figrin_dan_1', 'Figrin Dan 1');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_jukebox_songs.stf', '15', 'figrin_dan_2', 'Figrin Dan 2');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_jukebox_songs.stf', '16', 'soothing_corellia', 'Corellian Soothing');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_jukebox_songs.stf', '17', 'soothing_naboo', 'Naboo Soothing');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_jukebox_songs.stf', '18', 'soothing_tatooine', 'Tatooine Soothing');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_jukebox_songs.stf', '19', 'max_rebo_1', 'Max Rebo 1');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_jukebox_songs.stf', '20', 'max_rebo_2', 'Max Rebo 2');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_jukebox_songs.stf', '21', 'romance_1', 'Romance 1');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_jukebox_songs.stf', '22', 'romance_2', 'Romance 2');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_jukebox_songs.stf', '23', 'romance_3', 'Romance 3');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_jukebox_songs.stf', '24', 'satisfaction_1', 'Satisfaction 1');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_jukebox_songs.stf', '25', 'satisfaction_2', 'Satisfaction 2');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_jukebox_songs.stf', '26', 'exar_theme', 'Exar Theme');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_jukebox_songs.stf', '27', 'exploration', 'Exploration');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_jukebox_songs.stf', '28', 'humor_1', 'Humor 1');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_jukebox_songs.stf', '29', 'humor_2', 'Humor 2');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_jukebox_songs.stf', '30', 'leia_theme', 'Leia Theme');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_jukebox_songs.stf', '31', 'evil_ambiance', 'Evil Ambiance');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_jukebox_songs.stf', '32', 'eerie_ambiance', 'Eerie Ambiance');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_jukebox_songs.stf', '33', 'lok_theme', 'Lok Theme');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '1', 'actor_anim_d', 'Select an animation for the actor to perform when saying their lines.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '2', 'actor_anim_t', 'Select Animation');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '3', 'actor_areabarks_off', 'Disable Actor Performance');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '4', 'actor_areabarks_on', 'Enable Actor Performance');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '5', 'actor_control', 'Control Actor');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '6', 'actor_moods_d', 'Select a mood (if any) that you would like the actor to take while delivering their lines.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '7', 'actor_moods_t', 'Select Mood');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '8', 'amazed', 'Amazed');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '9', 'amused', 'Amused');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '10', 'angry', 'Angry');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '11', 'annoyed', 'Annoyed');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '12', 'applause_excited', 'Applause Excited');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '13', 'applause_polite', 'Applause Polite');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '14', 'areabarks_disabled', 'The actor will no longer perform.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '15', 'areabarks_enabled', 'When conversed with the actor will now perform.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '16', 'beckon', 'Beckon');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '17', 'beg', 'Beg');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '18', 'bitter', 'Bitter');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '19', 'bloodthirsty', 'Bloodthirsty');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '20', 'bow5', 'Bow');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '21', 'brave', 'Brave');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '22', 'callous', 'Callous');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '23', 'careful', 'Careful');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '24', 'celebrate', 'Celebrate');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '25', 'cocky', 'Cocky');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '26', 'cold', 'Cold');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '27', 'condescending', 'Condescending');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '28', 'confused', 'Confused');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '29', 'cough_heavy', 'Cough Heavy');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '30', 'cough_polite', 'Cough Polite');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '31', 'cover_mouth', 'Cover Mouth');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '32', 'crude', 'Crude');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '33', 'cruel', 'Cruel');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '34', 'curtsey', 'Curtsey');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '35', 'cust_d', 'Enter the line you would like the actor to say when approached by others.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '36', 'cust_t', 'Enter Lines');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '37', 'customize_actor', 'Customize Clothing');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '38', 'depressed', 'Depressed');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '39', 'disappointed', 'Disappointed');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '40', 'discreet', 'Discreet');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '41', 'disgusted', 'Disgusted');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '42', 'disoriented', 'Disoriented');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '43', 'drunk', 'Drunk');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '44', 'embarrassed', 'Embarrassed');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '45', 'enthusiastic', 'Enthusiastic');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '46', 'evil', 'Evil');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '47', 'exhausted', 'Exhausted');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '48', 'fanatical', 'Fanatical');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '49', 'flex_biceps', 'Flex Biceps');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '50', 'gender_d', 'Select the gender of your actor.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '51', 'gender_t', 'Select Gender');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '52', 'gesticulate_wildly', 'Gesticulate Wildly');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '53', 'guilty', 'Guilty');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '54', 'hair_flip', 'Hair Flip');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '55', 'happy', 'Happy');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '56', 'heavy_cough_vomit', 'Heavy Cough Vomit');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '57', 'hopeful', 'Hopeful');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '58', 'hopeless', 'Hopeless');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '59', 'hug_self', 'Hug Self');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '60', 'hungry', 'Hungry');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '61', 'hysterical', 'Hysterical');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '62', 'joyful', 'Joyful');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '63', 'kiss_blow_kiss', 'Blow Kiss');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '64', 'laugh_cackle', 'Laugh Cackle');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '65', 'laugh_titter', 'Laugh Titter');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '66', 'listen', 'Listen');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '67', 'loving', 'Loving');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '68', 'lustful', 'Lustful');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '69', 'malevolent', 'Malevolent');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '70', 'mischievous', 'Mischievous');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '71', 'name_d', 'Enter the name you wish to use for the actor.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '72', 'name_t', 'Select Name');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '73', 'nervous', 'Nervous');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '74', 'nod_head_once', 'Nod Head Once');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '75', 'none', 'None');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '76', 'obscene', 'The text entered has been deemed inappropriate. Please try again.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '77', 'playful', 'Playful');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '78', 'point_accusingly', 'Point Accusingly');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '79', 'point_away', 'Point Away');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '80', 'point_down', 'Point Down');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '81', 'point_forward', 'Point Forward');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '82', 'point_left', 'Point Left');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '83', 'point_right', 'Point Left');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '84', 'point_to_self', 'Point at Self');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '85', 'point_up', 'Point Up');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '86', 'polite', 'Polite');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '87', 'pose_proudly', 'Pose Proudly');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '88', 'pound_fist_chest', 'Pound Fists on Chest');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '89', 'pound_fist_palm', 'Pound Fist into Palm');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '90', 'rub_belly', 'Rub Belly');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '91', 'rub_chin_thoughtfully', 'Rub Chin Thoughtfully');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '92', 'rude', 'Rude');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '93', 'sad', 'Sad');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '94', 'salute1', 'Salute');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '95', 'sarcastic', 'Sarcastic');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '96', 'scornful', 'Scornful');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '97', 'scratch_head', 'Scratch Head');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '98', 'search', 'Search');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '99', 'shake_head_disgust', 'Shake Head Disgust');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '100', 'shake_head_no', 'Shake Head No');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '101', 'shrug_shoulders', 'Shrug Shoulders');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '102', 'shy', 'Shy');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '103', 'slit_throat', 'Slit Throat');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '104', 'smell_armpit', 'Smell Armpit');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '105', 'snap_finger1', 'Snap Finger');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '106', 'sneeze', 'Sneeze');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '107', 'stubborn', 'Stubborn');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '108', 'taunt1', 'Taunt');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '109', 'taunting', 'Taunting');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '110', 'thirsty', 'Thirsty');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '111', 'wave2', 'Wave');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '112', 'wave_finger_warning', 'Wave Finger Warning');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '113', 'wave_hail', 'Wave Hail');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '114', 'wear_how', 'Just drag and drop any piece of clothing onto me that you\'d like me to wear.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '115', 'wear_no', 'I\'m sorry but I\'m just not going to wear that.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '116', 'wear_no_ithorian', 'You want me to wear this? These won\'t fit an Ithorian.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '117', 'wear_no_wookiee', 'You\'re kidding right? There is no way this will fit a Wookiee.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '118', 'wear_yes', 'Ok, I\'ll put on this clothing.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '119', 'wear_yes_weapon', 'Ok, I\'ll equip this weapon.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '120', 'weeping', 'Weeping');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '121', 'whiny', 'Whiny');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '122', 'whisper', 'Whisper');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '123', 'yawn', 'Yawn');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '124', 'race_type_d', 'Select the race you would like for the actor.');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '125', 'race_type_t', 'Select Race');
INSERT INTO `client_strings` VALUES ('string/en/event_perk_npc_actor.stf', '126', 'title_append', ' (an NPC actor)');
INSERT INTO `client_strings` VALUES ('string/en/exp_d.stf', '1', 'apprenticeship', 'This experience is gained purely from teaching other player\'s skills.');
INSERT INTO `client_strings` VALUES ('string/en/exp_d.stf', '2', 'bio_engineer_dna_harvesting', 'This experience is earned by sampling DNA from creatures.');
INSERT INTO `client_strings` VALUES ('string/en/exp_d.stf', '3', 'bountyhunter', 'This experience is gained by completing bounty hunter missions.');
INSERT INTO `client_strings` VALUES ('string/en/exp_d.stf', '4', 'camp', 'This experience is gained from setting up and maintaining camps in the wilderness.');
INSERT INTO `client_strings` VALUES ('string/en/exp_d.stf', '5', 'combat', 'Description of Combat experience type.');
INSERT INTO `client_strings` VALUES ('string/en/exp_d.stf', '6', 'combat_general', 'This experience is gained by engaging in combat.');
INSERT INTO `client_strings` VALUES ('string/en/exp_d.stf', '7', 'combat_meleespecialize_onehand', 'This experience is gained by engaging in one handed melee combat.');
INSERT INTO `client_strings` VALUES ('string/en/exp_d.stf', '8', 'combat_meleespecialize_onehandlightsaber', 'This experience is gained by engaging in one handed lightsaber melee combat.');
INSERT INTO `client_strings` VALUES ('string/en/exp_d.stf', '9', 'combat_meleespecialize_polearm', 'This experience is gained by engaging in polearm combat.');
INSERT INTO `client_strings` VALUES ('string/en/exp_d.stf', '10', 'combat_meleespecialize_polearmlightsaber', 'This experience is gained by engaging in polearm lightsaber melee combat.');
INSERT INTO `client_strings` VALUES ('string/en/exp_d.stf', '11', 'combat_meleespecialize_twohand', 'This experience is gained by engaging in two handed melee combat.');
INSERT INTO `client_strings` VALUES ('string/en/exp_d.stf', '12', 'combat_meleespecialize_twohandlightsaber', 'This experience is gained by engaging in two handed lightsaber melee combat.');
INSERT INTO `client_strings` VALUES ('string/en/exp_d.stf', '13', 'combat_meleespecialize_unarmed', 'This experience is gained by engaging in unarmed melee combat.');
INSERT INTO `client_strings` VALUES ('string/en/exp_d.stf', '14', 'combat_rangedspecialize_carbine', 'This experience is gained by engaging in combat with a carbine.');
INSERT INTO `client_strings` VALUES ('string/en/exp_d.stf', '15', 'combat_rangedspecialize_heavy', 'This experience is gained by engaging in combat with heavy weapons.');
INSERT INTO `client_strings` VALUES ('string/en/exp_d.stf', '16', 'combat_rangedspecialize_pistol', 'This experience is gained by engaging in combat with a pistol.');
INSERT INTO `client_strings` VALUES ('string/en/exp_d.stf', '17', 'combat_rangedspecialize_rifle', 'This experience is gained from killing NPCs and creatures with a rifle.');
INSERT INTO `client_strings` VALUES ('string/en/exp_d.stf', '18', 'crafting_bio_engineer_creature', 'This experience is earned by crafting Bio-Engineered components and creatures.');
INSERT INTO `client_strings` VALUES ('string/en/exp_d.stf', '19', 'crafting_cloth_armor', 'This experience is gained from crafting armor.');
INSERT INTO `client_strings` VALUES ('string/en/exp_d.stf', '20', 'crafting_clothing_armor', 'This experience is gained from crafting armor.');
INSERT INTO `client_strings` VALUES ('string/en/exp_d.stf', '21', 'crafting_clothing_general', 'This experience is granted by making clothes.');
INSERT INTO `client_strings` VALUES ('string/en/exp_d.stf', '22', 'crafting_droid_general', 'This experience is gained by crafting droids.');
INSERT INTO `client_strings` VALUES ('string/en/exp_d.stf', '23', 'crafting_food_general', 'This experience is gained by crafting foods.');
INSERT INTO `client_strings` VALUES ('string/en/exp_d.stf', '24', 'crafting_general', 'General crafting experience; not one of the specialized \'elite\' professions.');
INSERT INTO `client_strings` VALUES ('string/en/exp_d.stf', '25', 'crafting_medicine_general', 'This experience is gained by crafting medical items.  Doctors, Medics, and Combat Medics benefit from this type of experience.');
INSERT INTO `client_strings` VALUES ('string/en/exp_d.stf', '26', 'crafting_spice', 'This experience is gained by crafting spices.');
INSERT INTO `client_strings` VALUES ('string/en/exp_d.stf', '27', 'crafting_structure_general', 'This experience is gained by crafting structures.');
INSERT INTO `client_strings` VALUES ('string/en/exp_d.stf', '28', 'crafting_weapons_general', 'This experience is gained by crafting weapons.');
INSERT INTO `client_strings` VALUES ('string/en/exp_d.stf', '29', 'creaturehandler', 'This experience is gained from taming creatures, training creatures commands, and when creatures do well in combat.');
INSERT INTO `client_strings` VALUES ('string/en/exp_d.stf', '30', 'dance', 'This experience is gained by performing dances.');
INSERT INTO `client_strings` VALUES ('string/en/exp_d.stf', '31', 'entertainer_healing', 'This experience is gained by healing Battle Fatigue and Mind Wounds through performance techniques.');
INSERT INTO `client_strings` VALUES ('string/en/exp_d.stf', '32', 'force_rank_xp', 'This experience is a measure of your standing with your Jedi Enclave.  It can be gained by defeating Enclave enemies in battle.  It can be lost by being killed in combat as well as not fulfilling Enclave duties.');
INSERT INTO `client_strings` VALUES ('string/en/exp_d.stf', '33', 'fs_combat', 'This experience is gained through conversion of standard combat experience types.');
INSERT INTO `client_strings` VALUES ('string/en/exp_d.stf', '34', 'fs_crafting', 'This experience is gained through conversion of standard crafting experience types.');
INSERT INTO `client_strings` VALUES ('string/en/exp_d.stf', '35', 'fs_reflex', 'This experience is gained through conversion of standard combat experience types.');
INSERT INTO `client_strings` VALUES ('string/en/exp_d.stf', '36', 'fs_senses', 'This experience is gained through conversion of senses related experience types such as entertainer, scout, and medical.');
INSERT INTO `client_strings` VALUES ('string/en/exp_d.stf', '37', 'imagedesigner', 'This experience is gained by changing other players\' appearances.');
INSERT INTO `client_strings` VALUES ('string/en/exp_d.stf', '38', 'jedi', 'This experience is gained from following the ways of the Force.');
INSERT INTO `client_strings` VALUES ('string/en/exp_d.stf', '39', 'jedi_general', 'This experience is gained from following the ways of the Force.');
INSERT INTO `client_strings` VALUES ('string/en/exp_d.stf', '40', 'medical', 'This experience is gained from healing people, with commands and with medpacks and stimpacks.');
INSERT INTO `client_strings` VALUES ('string/en/exp_d.stf', '41', 'merchant', 'This experience is gained from having a vendor and from having people use that vendor.  This can accrue offline.');
INSERT INTO `client_strings` VALUES ('string/en/exp_d.stf', '42', 'music', 'This experience is gained by playing music.');
INSERT INTO `client_strings` VALUES ('string/en/exp_d.stf', '43', 'pilot_general', 'This experience is gained by engaging in starship combat.');
INSERT INTO `client_strings` VALUES ('string/en/exp_d.stf', '44', 'pilot_imperial', 'This experience is gained through service to the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/exp_d.stf', '45', 'pilot_rebel', 'This experience is gained by aiding the Rebel Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/exp_d.stf', '46', 'political', 'Political experience is earned by participating in the weekly mayoral votes held in player cities.');
INSERT INTO `client_strings` VALUES ('string/en/exp_d.stf', '47', 'prestige_imperial', 'This experience represents your status within the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/exp_d.stf', '48', 'prestige_pilot', 'This experience represents your status within the Pilot\'s Guild.');
INSERT INTO `client_strings` VALUES ('string/en/exp_d.stf', '49', 'pretige_rebel', 'This experience represents your status within the Rebellion.');
INSERT INTO `client_strings` VALUES ('string/en/exp_d.stf', '50', 'resource_harvesting_inorganic', 'This experience is gained from sampling resources.');
INSERT INTO `client_strings` VALUES ('string/en/exp_d.stf', '51', 'scout', 'This experience is gained from harvesting and other Scout activities.');
INSERT INTO `client_strings` VALUES ('string/en/exp_d.stf', '52', 'slicing', 'This experience is gained by successfully slicing weapons, armor, terminals, and by unlocking chests.');
INSERT INTO `client_strings` VALUES ('string/en/exp_d.stf', '53', 'space_combat_general', 'This experience is gained by engaging in starship combat.');
INSERT INTO `client_strings` VALUES ('string/en/exp_d.stf', '54', 'squadleader', 'This experience is gained by a Squad Leader\'s group performing well in combat.  Only the Squad Leader gets this type of experience.');
INSERT INTO `client_strings` VALUES ('string/en/exp_d.stf', '55', 'trapping', 'This experience is gained from successfully trapping creatures in the wilderness.');
INSERT INTO `client_strings` VALUES ('string/en/exp_d.stf', '56', 'unobtainable', 'This experience is unobtainable.');
INSERT INTO `client_strings` VALUES ('string/en/exp_d.stf', '57', 'shipwright', 'This experience is gained by crafting ship components and chassis.');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '1', 'apprenticeship', 'Apprenticeship');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '2', 'bio_engineer', 'Bio-Engineer');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '3', 'bio_engineer_dna_harvesting', 'DNA Sampling');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '4', 'bountyhunter', 'Bounty Hunter');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '5', 'business_general', 'Business');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '6', 'camp', 'Wilderness Survival');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '7', 'combat', '');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '8', 'combat_general', 'Combat');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '9', 'combat_meleespecialize_onehand', 'Onehanded Weapons');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '10', 'combat_meleespecialize_onehandlightsaber', 'Onehanded Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '11', 'combat_meleespecialize_polearm', 'Polearm Weapons');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '12', 'combat_meleespecialize_polearmlightsaber', 'Polearm Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '13', 'combat_meleespecialize_twohand', 'Twohanded Weapons');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '14', 'combat_meleespecialize_twohandlightsaber', 'Twohanded Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '15', 'combat_meleespecialize_unarmed', 'Unarmed Combat');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '16', 'combat_rangedspecialize_carbine', 'Carbine Weapons');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '17', 'combat_rangedspecialize_heavy', 'Heavy Weapons');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '18', 'combat_rangedspecialize_pistol', 'Pistol Weapons');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '19', 'combat_rangedspecialize_rifle', 'Rifle Weapons');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '20', 'combat_rangespecialize_bactarifle', 'Bacta Rifles');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '21', 'combatmedic', 'Combat Medic');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '22', 'crafting_bio_engineer_creature', 'Bio-Engineer Crafting');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '23', 'crafting_bio_engineer_tissue', 'Tissue Engineering');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '24', 'crafting_clothing_armor', 'Armor Crafting');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '25', 'crafting_clothing_general', 'Tailoring');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '26', 'crafting_droid_general', 'Droid Crafting');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '27', 'crafting_food_general', 'Food Crafting');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '28', 'crafting_general', 'General Crafting');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '29', 'crafting_medicine_general', 'Medicine Crafting');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '30', 'crafting_scout', 'Scout Crafting');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '31', 'crafting_scout_camp', 'Scout Camp Crafting');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '32', 'crafting_scout_trap', 'Scout Trap Crafting');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '33', 'crafting_spice', 'Spice Crafting');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '34', 'crafting_structure_general', 'Structure Crafting');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '35', 'crafting_weapons_general', 'Weapon Crafting');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '36', 'crafting_weapons_melee', 'Melee Weapon Crafting');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '37', 'crafting_weapons_munition', 'Munitions Crafting');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '38', 'crafting_weapons_munitions', 'Munitions Crafting');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '39', 'crafting_weapons_ranged', 'Ranged Weapons Crafting');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '40', 'creaturehandler', 'Creature Handling');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '41', 'dance', 'Dancing');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '42', 'entertainer_healing', 'Entertainer Healing');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '43', 'farmer', 'Farming');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '44', 'force_rank_xp', 'Force Rank');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '45', 'fs_combat', 'Force-sensitive Combat');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '46', 'fs_crafting', 'Force-sensitive Crafting');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '47', 'fs_reflex', 'Force-sensitive Reflex');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '48', 'fs_senses', 'Force-sensitive Senses');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '49', 'imagedesigner', 'Image Designer');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '50', 'industrialist', 'Industralist');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '51', 'jedi_general', 'Jedi');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '52', 'medical', 'Medical');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '53', 'merchant', 'Merchant');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '54', 'music', 'Musician');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '55', 'pilot_general', 'Pilot General');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '56', 'pilot_imperial', 'Imperial Piloting Experience');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '57', 'pilot_neutral', 'Neutral Piloting Experience');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '58', 'political', 'Political');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '59', 'prestige_imperial', 'Imperial Prestige');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '60', 'prestige_pilot', 'Pilot Prestige');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '61', 'prestige_rebel', 'Rebel Prestige');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '62', 'ranger', 'Ranger');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '63', 'resource_harvesting_inorganic', 'Surveying');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '64', 'resource_harvesting_organic', 'Hunting');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '65', 'reverse_engineering', 'Reverse Engineering');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '66', 'scout', 'Scouting');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '67', 'shipwright', 'Shipwright');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '68', 'slicing', 'Slicing');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '69', 'smuggler', 'Smuggling');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '70', 'space_combat_general', 'Starship Combat');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '71', 'squadleader', 'Squad Leadership');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '72', 'trapping', 'Trapping');
INSERT INTO `client_strings` VALUES ('string/en/exp_n.stf', '73', 'unobtainable', 'Unobtainable Experience');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '2', 'terminal_response02', 'A countdown is already in progress...');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '3', 'terminal_response03', 'Only an experienced squad leader could expect to coordinate a reactor overload!');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '4', 'terminal_response04', 'You must first select a sub-menu of \'Donate\' to proceed.');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '5', 'terminal_response05', 'You do not possess any credits to donate.');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '6', 'terminal_response06', 'Only Special Forces are authorized to do that.');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '7', 'terminal_response07', 'COUNTDOWN ABORTED: FACILITY SHUTTING DOWN!!');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '8', 'terminal_response08', 'FACILITY RESTART: RELOADING PRIMARY FACILITY SYSTEMS');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '9', 'terminal_response09', 'The selected deed is no longer in your inventory. Cancelling donation...');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '10', 'terminal_response10', 'This facility only accepts selected deed types. Cancelling donation...');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '11', 'terminal_response11', 'The selected deed is improperly formatted. Cancelling donation...');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '12', 'terminal_response12', 'The selected resource container is no longer in your inventory. Cancelling donation...');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '14', 'terminal_response13', 'The selected defense is not available. Cancelling...');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '15', 'terminal_response14', 'You do not possess any resource to donate.');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '16', 'terminal_response15', 'You do not possess any deeds to donate.');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '17', 'terminal_response16', 'There are currently no active defenses for this headquarters.');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '18', 'terminal_response17', 'How much of your total money would you like to donate to this facility?');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '19', 'terminal_response18', 'Donate Money');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '20', 'terminal_response19', 'How much of this resource would you like to donate?');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '21', 'terminal_response20', 'Donate Resource');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '22', 'terminal_response21', 'If you would like to remove a defense, select the defense and click \'Remove\'.');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '23', 'terminal_response22', 'HQ Defense Status');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '24', 'terminal_response23', 'Which deed would you like to donate?');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '25', 'terminal_response24', 'Confirm Defense Removal?');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '26', 'terminal_response25', 'Are you sure that you want to destroy the selected defense?');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '27', 'terminal_response26', 'Donate Deed');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '28', 'terminal_response27', 'Confirm Facility Shutdown');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '29', 'terminal_response28', 'Are you sure that you want to shut down the facility?');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '30', 'terminal_response29', 'Which resource would you like to donate?');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '31', 'terminal_response30', 'Funds');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '32', 'terminal_response31', 'Donate');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '33', 'terminal_response32', 'The vulnerability of this structure cannot be reset between the hours of %DI');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '34', 'terminal_response33', 'The current local Server time is ');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '35', 'terminal_response34', 'You have recently changed your status to overt. Before issuing the shutdown command, you must wait ');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '36', 'terminal_response35', 'Before issuing the shutdown, you must have been in Special Forces for at least ');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '37', 'terminal_response36', 'In Crate');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '38', 'terminal_response37', ':00 and %DI:00');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '41', 'terminal_response38', 'The current local Server time is %DI:00');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '42', 'terminal_response39', 'COUNTDOWN: estimated time to detonation: %DI minutes.');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '43', 'terminal_response40', 'COUNTDOWN INITIATED: estimated time to detonation: %DI minutes.');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '44', 'terminal_response41', 'You have recently joined Special Forces. Before issuing the shutdown command, you must wait %TO');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '45', 'terminal_response01', 'Only military personnel may access this terminal!');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '46', 'terminal_response42', 'Before issuing the shutdown, you must have been in Special Forces for at least %TO');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '47', 'terminal_response43', 'This facility does not accept deeds of type \'%TO\'. Cancelling donation...');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '48', 'terminal_response44', 'This facility cannot accept deeds of type \'%TO\' at this time. Cancelling donation...');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '49', 'terminal_response45', 'You successfully donate a %TO deed to the current facility.');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '50', 'terminal_response46', 'You successfully donate a %TO');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '51', 'terminal_response47', ' deed to the %TO faction.');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '52', 'terminal_response48', 'You successfully donate %DI units of resource to the current facility.');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '53', 'terminal_response49', 'You successfully donate %DI');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '54', 'terminal_response50', ' units of resource to the %TO faction.');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '55', 'terminal_response51', 'You successfully donate %DI credits to the current facility.');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '56', 'terminal_response52', 'You successfully donate %DI');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '57', 'terminal_response53', ' credits to the %TO faction.');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '58', 'terminal_response58', 'Processing HQ defense removal...');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '59', 'youre_neutral_excluded', 'This is a restricted access military structure, and you haven\'t aligned yourself with the military. You are not cleared to enter.');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '60', 'youre_covert_excluded', 'You must be a member of the Special Forces to enter this structure.');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '61', 'selected_defense', 'Selected Defense: ');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '62', 'no_tamper', 'You are not an enemy of this structure. Why would you want to tamper?');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '63', 'already_overloading', 'The power regulator has already been set to overload.');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '64', 'other_objectives', 'Other objectives must be disabled prior to gaining access to this one.');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '65', 'commando_only', 'Only an experienced commando with heavy weapons training could expect to rig the regulator for overload.');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '66', 'declared_only', 'Only Special Forces personnel may access this terminal!');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '67', 'declared_personnel_only', 'Only Special Forces personnel may access this terminal!');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '68', 'cannot_register', 'You cannot register at a location that is not registered with the planetary map.');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '69', 'no_support', 'This location does not support active/inactive registration status.');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '70', 'no_neutrals', 'Neutrals may only register at neutral (non-aligned) locations.');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '71', 'no_opposition', 'You may not register at a location that is factionally opposed.');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '72', 'already_registered', 'But you are already registered at this location.');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '73', 'success', 'You successfully register with this location.');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '74', 'no_skills', 'You lack the appropriate skill-set to activate this location.');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '75', 'declared_personael_only', 'Only declared factional personnel may access this terminal!');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '76', 'power_not_in_combat', 'You cannot align the power flow to overload if you are in combat!');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '77', 'power_not_in_room', 'You cannot align the power flow if you are not even in the same room!');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '78', 'power_too_far', 'You are too far away from the power regulator to continue the setup!');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '79', 'alignment_complete', 'Alignment complete! The facility may now be set to overload from the primary terminal!');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_hq/faction_hq_response.stf', '80', 'default', '');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '1', 'imperial', 'Imperial');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '2', 'rebel', 'Rebel');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '3', 'hutt', 'Hutt');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '4', 'afarathu', 'Afarathu');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '5', 'beldonnas_league', 'Beldonna\'s League');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '6', 'corsec', 'CorSec');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '7', 'followers_of_lord_nyax', 'Followers of Lord Nyax');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '8', 'hidden_daggers', 'Hidden Daggers');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '9', 'meatlump', 'Meatlump');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '10', 'monumenter', 'Monumenter');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '11', 'olag_greck', 'Olag Greck');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '12', 'rogue_corsec', 'Rogue CorSec');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '13', 'smashball', 'Smashball Thug');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '14', 'dantari_raiders', 'Dantari');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '15', 'janta_tribe', 'Janta');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '16', 'kunga_tribe', 'Kunga');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '17', 'mokk_tribe', 'Mokk');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '18', 'nightsister', 'Nightsister');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '19', 'mtn_clan', 'Singing Mountain Clan');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '20', 'donkuwah_tribe', 'Donkuwah');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '21', 'gorax', 'Gorax');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '22', 'gondula_tribe', 'Gondula Tribe');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '23', 'korga_tribe', 'Korga');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '24', 'endor_marauder', 'Endor Marauder');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '25', 'panshee_tribe', 'Panshee');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '26', 'pubam', 'Pubam');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '27', 'bandit', 'Bandit');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '28', 'pirate', 'Pirate');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '29', 'thug', 'Thug');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '30', 'townsperson', 'Townsperson');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '31', 'gungan', 'Gungan');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '32', 'naboo', 'Naboo');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '33', 'plasma_thief', 'Plasma Thief');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '34', 'swamp_rat', 'Swamp Rat');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '35', 'naboo_security_force', 'Naboo Security Forces');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '36', 'naboo_pirate', 'Naboo Pirate');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '37', 'trade_federation', 'Trade Federation');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '38', 'aakuans', 'Aakuans');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '39', 'fed_dub', 'Fed Dub');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '40', 'liberation_party', 'Liberation Party');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '41', 'jabba', 'Jabba');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '42', 'alkhara', 'Alkhara');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '43', 'desert_demon', 'Desert Demon');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '44', 'jawa', 'Jawa');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '45', 'swoop', 'Swoop');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '46', 'tusken_raider', 'Tusken Raider');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '47', 'valarian', 'Valarian');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '48', 'borvo', 'Borvo');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '49', 'flail', 'Flail Cutthroat');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '50', 'cor_swoop', 'Corellian Swoop Gang');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '51', 'restuss', 'Restuss Brigade');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '52', 'narmle', 'Narmle Police Forces');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '53', 'rorgungan', 'Rorgungan');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '54', 'garyn', 'Garyn');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '55', 'cobral', 'Cobral');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '56', 'spice_collective', 'Spice Collective');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '57', 'kobola', 'Kobola');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '58', 'binayre', 'Binayre Pirates');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '59', 'lost_aqualish', 'Lost Aqualish Regiment');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '60', 'spider_nightsister', 'Spider Clan');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '61', 'canyon_corsair', 'Canyon Corsair');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '62', 'bloodrazor', 'Bloodrazor');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '63', 'lok_mercenaries', 'Lok Mercenary');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '64', 'nym', 'Nym');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '65', 'sif', 'Sif');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '66', 'warren_imperial', 'Warren Imperial');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '67', 'warren_imperial_worker', 'Warren Imperial Workers');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '68', 'warren_teraud', 'Warren Teraud Loyalists');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '69', 'warren_huurton', 'Warren Escaped Animals');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '70', 'warren_cyborg', 'Warren Cyborgs');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '71', 'warren_scientist', 'Warren Scientists');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '72', 'marauder', 'Marauder');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '73', 'drall', 'Drall');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '74', 'sith_shadow', 'Sith Shadow');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '75', 'fs_villager', 'Aurilia Villager');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '76', 'sith_shadow_nonaggro', 'Sith Shadow Assassin');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '77', 'kashyyyk', 'Defenders of Kashyyyk');
INSERT INTO `client_strings` VALUES ('string/en/faction/faction_names.stf', '78', 'hsskor', 'Legion of Hsskor');
INSERT INTO `client_strings` VALUES ('string/en/faction_perk.stf', '1', 'deploy', 'Deploy');
INSERT INTO `client_strings` VALUES ('string/en/faction_perk.stf', '2', 'packup', 'Pack Up');
INSERT INTO `client_strings` VALUES ('string/en/faction_perk.stf', '3', 'prose_be_declared', 'You must be declared to a faction to use %TT.');
INSERT INTO `client_strings` VALUES ('string/en/faction_perk.stf', '4', 'prose_be_declared_faction', 'You must be a declared %TO to use %TT.');
INSERT INTO `client_strings` VALUES ('string/en/faction_perk.stf', '5', 'prose_nsf_lots', 'Insufficient Lots: You lack the required %DI available lots to place this item.');
INSERT INTO `client_strings` VALUES ('string/en/faction_perk.stf', '6', 'no_build_area', 'You are within a no-build area. Please try this action elsewhere.');
INSERT INTO `client_strings` VALUES ('string/en/faction_perk.stf', '7', 'no_build_inside', 'You cannot deploy this object inside another structure.');
INSERT INTO `client_strings` VALUES ('string/en/faction_perk.stf', '8', 'minefield_near', 'You have breached the perimeter of an enemy minefield.');
INSERT INTO `client_strings` VALUES ('string/en/faction_perk.stf', '9', 'minefield_exit', 'You have left the perimeter of an enemy minefield.');
INSERT INTO `client_strings` VALUES ('string/en/faction_perk.stf', '10', 'prose_wrong_faction', 'You must be declared to the %TO faction to use that %TT.');
INSERT INTO `client_strings` VALUES ('string/en/faction_perk.stf', '11', 'minefield', 'Minefield');
INSERT INTO `client_strings` VALUES ('string/en/faction_perk.stf', '12', 'covert_detector', 'Covert Detector');
INSERT INTO `client_strings` VALUES ('string/en/faction_perk.stf', '13', 'turret', 'Turret');
INSERT INTO `client_strings` VALUES ('string/en/faction_perk.stf', '14', 'hq', 'Headquarters');
INSERT INTO `client_strings` VALUES ('string/en/faction_perk.stf', '15', 'gcw_imperial_ahead', 'The Empire is has the advantage over the Rebellion.');
INSERT INTO `client_strings` VALUES ('string/en/faction_perk.stf', '16', 'gcw_rebel_ahead', 'The Rebellion has the advantage over the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/faction_perk.stf', '17', 'gcw_tied', 'Neither the Rebellion or the Empire has the advantage.');
INSERT INTO `client_strings` VALUES ('string/en/faction_perk.stf', '18', 'destroy_turrets', 'You cannot enter this HQ until all Turrets have been destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/faction_perk.stf', '19', 'prose_not_neutral', 'You cannot use %TT if you are neutral or on leave.');
INSERT INTO `client_strings` VALUES ('string/en/faction_perk.stf', '20', 'old_fbase_refunded', 'Building Lots and Faction Points for an old Faction Base have been refunded. You have been given %DI lots back and have been granted %DF faction points.');
INSERT INTO `client_strings` VALUES ('string/en/faction_perk.stf', '21', 'faction_base_unit_refunded', 'A faction base you placed has been destroyed and you have been refunded a base unit. You can now place up to %DI bases.');
INSERT INTO `client_strings` VALUES ('string/en/faction_perk.stf', '22', 'not_enough_base_units', 'You do not have any base units allotments left, and so cannot place this factional base.');
INSERT INTO `client_strings` VALUES ('string/en/faction_perk.stf', '23', 'given_extra_bases', 'Congratulations! In addition to the base that you purchased, we have given you two additional bases. They are:');
INSERT INTO `client_strings` VALUES ('string/en/faction_perk.stf', '24', 'bonus_base_name', 'You received a: %TO');
INSERT INTO `client_strings` VALUES ('string/en/faction_perk.stf', '25', 'faction_base_unit_used', 'You have placed a faction base. You can now place up to %DI more bases.');
INSERT INTO `client_strings` VALUES ('string/en/faction_perk.stf', '26', 'faction_base_unit_last', 'You have placed a faction base. You have now used up your faction base allotment and cannot place any more, without some of the others going away first.');
INSERT INTO `client_strings` VALUES ('string/en/faction_perk.stf', '27', 'faction_base_refunded_one', 'A faction base you placed has been destroyed and you have been refunded a base unit. You can now place an additional base.');
INSERT INTO `client_strings` VALUES ('string/en/faction_perk.stf', '28', 'faction_base_one_more', 'You have placed a faction base. You can place one more base.');
INSERT INTO `client_strings` VALUES ('string/en/faction_perk.stf', '29', 'new_old_fbase_refunded', 'Building Lots and Faction Points for an old Faction Base have been refunded. You have been given %DI lots back.');
INSERT INTO `client_strings` VALUES ('string/en/faction_perk.stf', '30', 'alarm_hack_n', 'Terminal Hacking Alarm');
INSERT INTO `client_strings` VALUES ('string/en/faction_perk.stf', '31', 'alarm_destruct_n', 'Base Destruct Alarm');
INSERT INTO `client_strings` VALUES ('string/en/faction_perk_d.stf', '1', 'covert_detector', 'An area scanning device that cross-references personal data signatures with known covert faction members.');
INSERT INTO `client_strings` VALUES ('string/en/faction_perk_d.stf', '2', 'minefield', 'A large field of mines designed to kill and hinder forward enemy movement.');
INSERT INTO `client_strings` VALUES ('string/en/faction_perk_n.stf', '1', 'covert_detector', 'Covert Faction Scanner');
INSERT INTO `client_strings` VALUES ('string/en/faction_perk_n.stf', '2', 'hq_s01', 'Forward Outpost');
INSERT INTO `client_strings` VALUES ('string/en/faction_perk_n.stf', '3', 'hq_s02', 'Field Hospital');
INSERT INTO `client_strings` VALUES ('string/en/faction_perk_n.stf', '4', 'hq_s03', 'Tactical Center');
INSERT INTO `client_strings` VALUES ('string/en/faction_perk_n.stf', '5', 'hq_s04', 'Detachment Headquarters');
INSERT INTO `client_strings` VALUES ('string/en/faction_perk_n.stf', '6', 'hq_s05', 'Strategic Base');
INSERT INTO `client_strings` VALUES ('string/en/faction_perk_n.stf', '7', 'minefield', 'Danger: Minefield!');
INSERT INTO `client_strings` VALUES ('string/en/faction_perk_n.stf', '8', 'hq_s01_pvp', 'S.F. Forward Outpost');
INSERT INTO `client_strings` VALUES ('string/en/faction_perk_n.stf', '9', 'hq_s02_pvp', 'S.F. Field Hospital');
INSERT INTO `client_strings` VALUES ('string/en/faction_perk_n.stf', '10', 'hq_s03_pvp', 'S.F. Tactical Center');
INSERT INTO `client_strings` VALUES ('string/en/faction_perk_n.stf', '11', 'hq_s04_pvp', 'S.F. Detachment Headquarters');
INSERT INTO `client_strings` VALUES ('string/en/faction_perk_n.stf', '12', 'hq_s05_pvp', 'S.F. Strategic Base');
INSERT INTO `client_strings` VALUES ('string/en/faction_perk_n.stf', '13', 'hq_s01_imp_pvp', 'S.F. Forward Outpost');
INSERT INTO `client_strings` VALUES ('string/en/faction_perk_n.stf', '14', 'hq_s01_rebel_pvp', 'S.F. Forward Outpost');
INSERT INTO `client_strings` VALUES ('string/en/faction_perk_n.stf', '15', 'hq_s02_imp_pvp', 'S.F. Field Hospital');
INSERT INTO `client_strings` VALUES ('string/en/faction_perk_n.stf', '16', 'hq_s02_rebel_pvp', 'S.F. Field Hospital');
INSERT INTO `client_strings` VALUES ('string/en/faction_perk_n.stf', '17', 'hq_s03_imp_pvp', 'S.F. Tactical Center');
INSERT INTO `client_strings` VALUES ('string/en/faction_perk_n.stf', '18', 'hq_s03_rebel_pvp', 'S.F. Tactical Center');
INSERT INTO `client_strings` VALUES ('string/en/faction_perk_n.stf', '19', 'hq_s04_imp_pvp', 'S.F. Detachment Headquarters');
INSERT INTO `client_strings` VALUES ('string/en/faction_perk_n.stf', '20', 'hq_s04_rebel_pvp', 'S.F. Detachment Headquarters');
INSERT INTO `client_strings` VALUES ('string/en/faction_perk_n.stf', '21', 'hq_s05_imp_pvp', 'S.F. Strategic Base');
INSERT INTO `client_strings` VALUES ('string/en/faction_perk_n.stf', '22', 'hq_s05_rebel_pvp', 'S.F. Strategic Base');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '1', 'greeting', 'Greetings.  What can I do for you today?');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '2', 'not_member', 'That is only for Overt and Covert faction members.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '3', 'response_join_faction', 'I would like to become a Covert member of your faction.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '4', 'response_nothing', 'Nothing. Goodbye.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '5', 'response_change_faction', 'I would like to quit my faction and join the %TO faction.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '6', 'greeting_prose', 'Greetings.  With what can the %TO faction help you?');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '7', 'greeting_member', 'Hello, %TO.  What would you like to do?');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '8', 'invalid_response', 'I\'m sorry.  I can\'t help you with that.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '9', 'join_faction_confirm', 'A wise decision!  Are you certain you wish to join us?');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '10', 'join_faction_denied', 'I am glad you\'ve expressed such interest in joining us.  You must, however, prove your devotion to our cause by increasing your %TO faction standing to at least %DI.\n');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '11', 'response_yes_to_join', 'Yes. I am certain that I wish to join.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '12', 'response_no_to_join', 'No. I\'d rather not join at this time.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '13', 'join_faction_player_no', 'Sorry to hear it.  Speak with me again if you ever reconsider.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '14', 'welcome_to_faction', 'A fine decision!  Welcome to the %TO faction.  Perhaps you would like to hear about our faction services? ');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '15', 'response_yes_to_see_options', 'Yes. I would like to see what\'s available.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '16', 'response_no_to_see_options', 'No thanks.  Not right now.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '17', 'show_options', 'What interests you?');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '18', 'option_resign_from_faction', 'I would like to resign.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '19', 'resign_faction_confirm', 'We\'d hate to lose you, %TU.  Your request will require %DI hours to process.  Be warned, if you resign all of your faction perks will be lost to you.  This includes your factional backpacks and anything contained within!  Are you sure you want to resign?');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '20', 'response_yes_to_resign', 'Yes, I would like to leave the faction.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '21', 'response_no_to_resign', 'No.  I will stay for now.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '22', 'resign_faction_no', 'I\'m glad you changed your mind.  What would you like to do?');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '23', 'resign_faction_yes', 'Very well. You will be removed from the %TO faction in %DI hours.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '24', 'resign_complete', 'Your resignation from the %TO faction is complete.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '25', 'option_go_declared', 'I would like to declare my faction affiliation.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '26', 'option_go_covert', 'I would like to become a covert faction member.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '27', 'go_declared_confirm', 'If you declare your affiliation, you will become open to attack from our enemies.  Furthermore, should you change your mind, returning to your covert status is not immediate.  Are you sure you want to do this?');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '28', 'go_covert_confirm', 'Becoming covert will shield you from attacks by our enemies, but will also prevent you from initiating conflicts with them.  Are you sure you this is what you want?');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '29', 'response_yes_to_go_covert', 'Yes, I wish to become a covert member.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '30', 'response_no_to_go_covert', 'No. I\'d rather keep my allegiance declared.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '31', 'response_yes_to_go_declared', 'Yes.  I\'m certain I want to declare my affiliation.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '32', 'response_no_to_go_declared', 'On second thought, I\'ll stay covert for now.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '33', 'go_declared_yes', 'Very well. Your affiliation is now apparent to all.  Do you need anything else?');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '34', 'go_covert_yes', 'Very well.  We will be able to conceal your affiliation in about %DI hours.  Is there anything else with which I can help you?');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '35', 'option_skill_training', 'I would like to train.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '36', 'select_skill_type', 'Select a category in which you would like to gain experience at the cost of faction standing.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '37', 'skill_training_select', 'Very good.  Training will help you aid us in this struggle.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '38', 'enter_training_points', 'Enter the amount of faction standing you wish to convert to experience.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '39', 'invalid_amount_entered', 'That is an invalid amount.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '40', 'not_enough_standing_spend', 'You do not have enough faction standing to spend.  You must maintain at least %DI to remain part of the %TO faction.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '41', 'amount_to_spend_too_small', 'You must allocate more faction standing in order to earn a point of experience.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '42', 'training_experience_granted', 'You have earned %DI %TO experience.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '43', 'option_purchase_items', 'What items are available for requisition?');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '44', 'show_item_categories', 'What type of items do you wish to consider?');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '45', 'option_purchase_furniture', 'I\'m interested in furniture.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '46', 'option_purchase_uniforms', 'I\'m interested in uniforms.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '47', 'option_purchase_weapons_armor', 'I\'m interested in weapons and armor.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '48', 'option_purchase_schematics', 'I\'m interested in schematics.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '50', 'show_items', 'This is what we have to offer.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '51', 'no_items_available', 'There are no items of that type available.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '52', 'select_item_purchase', 'Select the item you wish to request.  All costs are in faction standing points.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '53', 'faction_purchase', 'Faction Item Requisition');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '54', 'item_purchase_complete', 'Your requisition of %TT is complete.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '55', 'must_be_declared', 'Your faction affiliation must be declared or you must be within a battlefield in order to equip that item.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '56', 'must_be_faction_member', 'You must be an Overt or Covert member of the %TO faction in order to equip that item.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '57', 'must_be_declared_use', 'Your faction affiliation must be declared in order to use that item.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '58', 'must_be_faction_member_use', 'You must be an Overt or Covert member of the %TO faction in order to use that item.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '59', 'covert_complete', 'You are now a Combatant. Enemy NPCs will attack you on sight but you cannot be attacked by enemy players.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '60', 'option_hirelings', 'I would like some personnel support.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '61', 'hireling_purchase_complete', 'The %TT is now under your command.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '62', 'too_many_hirelings', 'You already have too much under your command.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '63', 'hireling_released', 'Your %TT has abandoned you.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '64', 'option_faction_orders', 'I would like to hear about what faction orders are available.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '65', 'inventory_full', 'Your inventory is full.  Dropping item at feet.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '66', 'datapad_full', 'Your datapad is full.  You must first free some space.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '67', 'order_shuttle_extract', 'Call For Shuttle Extraction');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '68', 'order_purchase_complete', 'Your requisition of the %TT orders is complete.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '69', 'shuttle_extract', 'Shuttle Extraction');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '70', 'shuttle_extract_description', 'Shuttle Extraction calls for an immediate evacuation of you and your group.  In most cases, response time is less than 1 minute.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '71', 'shuttle_initiated', 'Shuttle extraction procedures initiated.  Stay close to the extraction point and remain outside of buildings.  The shuttle will arrive within the next %DI seconds.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '72', 'not_outside', 'You must be outside in order to call for a Shuttle Extraction.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '73', 'too_far_from_shuttle', 'You have moved too far from the extraction point and missed the shuttle!');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '74', 'shuttle_inside_building', 'You have moved inside where the shuttle has missed you!');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '75', 'shuttle_destination', 'You have arrived at %TO.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '76', 'shuttle_extraction_point', 'Shuttle Extraction');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '77', 'already_request_shuttle', 'You have already requested a shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '78', 'shuttle_initiated_group', '%TU has initiated shuttle extraction procedures.  Stay close to the extraction point and remain outside of buildings.  The shuttle will arrive within the next %DI seconds.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '79', 'greeting_hate', 'I have no business with you.  You\'d best be going.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '81', 'schematic_purchase_complete', 'Schematic requisition complete.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '82', 'faction_training', 'Faction Training');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '83', 'sell_secrets', 'I may have some valuable information for you.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '84', 'no_secrets_1', 'I\'m not interesting in hearing petty rumors about enemy activity.   Come back when you have something substantial.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '85', 'no_secrets_2', 'You make the fourth petty thug to try and sell me rumors this week.  If you earn the trust of our enemies, I might be interested in buying what you know, but at the moment you are simply wasting my time.  Good day.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '86', 'no_secrets_3', 'You will pardon me if I don\'t respect you as a source of credible information.  Earn the trust of our enemies, then I might be willing to pay you for what you know.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '87', 'interested_secrets_imp_1', 'Yes...I\'ve heard that you were aiding the Rebellion.  Rather good at it too: you\'ve dealt us more than a few setbacks.  Give me a reason why I shouldn\'t have you arrested.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '88', 'interested_secrets_imp_2', 'Going turncoat on the Rebellion eh?  I can\'t say I blame you.  Rebel bases have been collapsing as fast as we can discover them.  Maybe you could help us in our efforts?');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '89', 'interested_secrets_imp_3', 'You are known to me as a Rebel sympathizer.  Several patrols have your name and visual ID, in fact.  If you have useful intelligence for me, I might be able to make those patrols forget about you...and line your pockets at the same time.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '90', 'interested_secrets_reb_1', 'We occaisionally get Imperial \'sympathizers\' who want to sell their information to the highest bidder.  What makes you think I\'m interested in what you have to say?');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '91', 'interested_secrets_reb_2', 'I get the feeling this information isn\'t going to be free...but I\'m listening.  I\'ve heard that you were working with the Empire and I might be willing to buy what you know.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '92', 'interested_secrets_reb_3', 'If we listened to every Imperial officer with \'information\' to sell, the Rebellion would have been put down long ago.  I\'ll listen to what you have to say, but believe me: I know bait when I hear it.  You\'ll get your money only if the information is sound.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '93', 'nevermind', 'On second thought, I probably don\'t know enough yet to help you.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '94', 'here_you_go', 'Here\'s the latest information I\'ve been able to get.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '95', 'get_lost', 'Don\'t waste my time.  Come back when you know something.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '96', 'prose_reward', 'You have been given %DI credits in exchange for your information.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '97', 'good_stuff_1', 'This may be exactly what we needed to know.  I\'m surprised...for a piece of traitorous scum you are somewhat reliable.  Here is your payment.  Now get out of my sight.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '98', 'good_stuff_2', 'So that\'s why their communication lines have been quiet.  I knew they were planning something.  Here is your payment.  If you learn anything else you know where to find me.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '99', 'good_stuff_3', 'While it goes against my better judgement, this information seems to be in line with what we already know.  You\'ve done a good job, here is your payment.  By the way, if you find any enemy orders in the field, hand them to me and I might be willing to pay you more.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '100', 'bad_stuff_1', 'Hah, that\'s rich.  I had a Bothan freighter captain in my office two hours ago with the exact same piece of information.  I\'m sorry, but I can\'t pay you for what I already know.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '101', 'bad_stuff_2', 'Three days ago our spy network confirmed the exact opposite of what you have you just told me.  I don\'t have time to waste on traitors and I certainly don\'t have time to waste on traitors who are wrong.  Good day.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '102', 'buy_faction', 'I\'d like to make a ... donation ... to your cause.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '103', 'no_faction_imp', 'You are known to be a Rebel supporter and while I do not have enough evidence to arrest you, I will find a reason to complicate your life unless you leave my sight immediately.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '104', 'no_faction_reb', 'You are a known Imperial collaborator and supporter.  I have no interest in what you have to offer.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '105', 'interested_faction_reb', 'Honestly, the Rebellion is in sore need of funds.  Our operations require men, supplies, and weapons, none of which comes free.  Anything you can give would be appreciated.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '106', 'interested_faction_imp', 'A \'donation\' eh?  I might see to it that certain individuals hear of your kindness and that certain materials are made available should you see fit to make such a \'donation.\'');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '107', 'no_faction', 'I\'ve changed my mind, I have other things to spend my money on.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '108', 'yes_faction_tenk', 'I\'ll transfer one hundred thousand credits into your account.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '109', 'yes_faction_onek', 'I\'ll transfer twenty thousand credits into your account.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '110', 'get_lost_faction', 'Don\'t offer money when you can\'t afford to pay.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '111', 'too_much_faction', 'I appreciate the offer, but you\'ve done enough for us already.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '112', 'checking_credit', 'Hold on while I validate your credit...');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '113', 'bribe_fail', 'Is this a joke?  You don\'t have enough money to cover your offer.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '114', 'bribe_success', 'Looks like everything is in order.  I\'ll see what I can do for you.  If you happen to feel generous again, you know where you can find me.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '115', 'option_purchase_installation', 'I am interested in installations.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '116', 'option_promotion', 'Have I qualified for a promotion?');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '117', 'not_enough_for_promotion', 'Promotion to the rank of %TO requires %DI standing over the factional minimum.  You do not yet have enough for promotion.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '118', 'promotion_confirm', 'Promotion to the rank of %TO requires %DI standing which I\'m happy to say you meet.  Do you accept this great honor?');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '119', 'response_yes_to_promotion', 'Yes. I accept the promotion.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '120', 'response_no_to_promotion', 'No. I\'m not yet ready to accept a promotion.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '121', 'promotion_max_rank', 'You have already reached the highest rank that you can.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '122', 'recruit', 'Recruit');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '123', 'private', 'Private');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '124', 'lance_corporal', 'Lance Corporal');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '125', 'sergeant', 'Sergeant');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '126', 'staff_sergeant', 'Staff Sergeant');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '127', 'staff_corporal', 'Staff Corporal');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '128', 'warrant_officer_2', 'Warrant Officer II');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '129', 'master_sergeant', 'Master Sergeant');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '130', 'warrant_officer_1', 'Warrant Officer I');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '131', 'second_lieutenant', 'Second Lieutenant');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '132', 'lieutenant', 'Lieutenant');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '133', 'captain', 'Captain');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '134', 'major', 'Major');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '135', 'lieutenant_general', 'Lieutenant General');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '136', 'colonel', 'Colonel');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '137', 'high_colonel', 'High Colonel');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '138', 'brigadier_general', 'Brigadier General');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '139', 'major_general', 'Major General');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '140', 'lieutenant_colonel', 'Lieutenant Colonel');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '141', 'general', 'General');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '142', 'high_general', 'High General');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '143', 'surface_marshal', 'Surface Marshal');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '144', 'response_promotion_complete', 'Congratulations, you have attained the rank of %TO!');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '145', 'corporal', 'Corporal');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '146', 'invalid_training_type', 'Your training request has been aborted due to a non-allowed experience type.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '147', 'option_recind_resignation', 'I would like to rescind my resignation.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '148', 'resignation_recinded', 'Glad to have you back!');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '149', 'jedi_cant_resign', 'You may not resign from your faction without first leaving your Enclave.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '150', 'jedi_cant_go_covert', 'As an Enlave member, you may not go covert without first surrendering your Force Rank skills.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '151', 'no_rebel_imp_pilots', 'Overt and Covert Rebels cannot become Imperial Pilots.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '152', 'no_imp_rebel_pilots', 'Overt and Covert Imperials cannot become Rebel Pilots.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '153', 'enemy_pilot', 'Wait a minute... you\'re an enemy pilot!  There\'s no way I\'ll let you join us!');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '154', 'overt_complete', 'You are now a member of the Special Forces. You will be attacked by enemy NPCs on sight and are at risk from enemy players.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '155', 'on_leave_complete', 'You are now on leave. You will not be attacked by enemy NPCs or players. Be careful as enemy crackdown troops can expose you as a member of the enemy faction. This will turn you back into a combatant.');
INSERT INTO `client_strings` VALUES ('string/en/faction_recruiter.stf', '156', 'resign_on_leave', 'You cannot resign while on leave.');
INSERT INTO `client_strings` VALUES ('string/en/factory_d.stf', '1', 'food_crate', 'This is a factory-produced crate of foodstuffs.');
INSERT INTO `client_strings` VALUES ('string/en/factory_d.stf', '2', 'armor_crate', 'This is a factory-produced crate of armor-related items.');
INSERT INTO `client_strings` VALUES ('string/en/factory_d.stf', '3', 'installation_crate', 'This is a factory-produced crate of structure and installation-related items.');
INSERT INTO `client_strings` VALUES ('string/en/factory_d.stf', '4', 'generic_items_crate', 'This is a factory-produced crate of miscellaneous items.');
INSERT INTO `client_strings` VALUES ('string/en/factory_d.stf', '5', 'furniture_crate', 'This is a factory-produced crate of furniture items.');
INSERT INTO `client_strings` VALUES ('string/en/factory_d.stf', '6', 'electronics_crate', 'This is a factory-produced crate of electronic items.');
INSERT INTO `client_strings` VALUES ('string/en/factory_d.stf', '7', 'clothing_factory_crate', 'This is a factory-produced crate of clothing-related items.');
INSERT INTO `client_strings` VALUES ('string/en/factory_d.stf', '8', 'chemicals_crate', 'This is a factory-produced crate of chemical-related items.');
INSERT INTO `client_strings` VALUES ('string/en/factory_d.stf', '9', 'weapon_factory_crate', 'This is a factory-produced crate of weapon-related items.');
INSERT INTO `client_strings` VALUES ('string/en/factory_n.stf', '1', 'electronics_crate', 'Electronics Crate');
INSERT INTO `client_strings` VALUES ('string/en/factory_n.stf', '2', 'clothing_factory_crate', 'Wearables Factory Crate');
INSERT INTO `client_strings` VALUES ('string/en/factory_n.stf', '3', 'armor_crate', 'Armor Crate');
INSERT INTO `client_strings` VALUES ('string/en/factory_n.stf', '4', 'installation_crate', 'Installation Crate');
INSERT INTO `client_strings` VALUES ('string/en/factory_n.stf', '5', 'furniture_crate', 'Furniture Crate');
INSERT INTO `client_strings` VALUES ('string/en/factory_n.stf', '6', 'food_crate', 'Food Crate');
INSERT INTO `client_strings` VALUES ('string/en/factory_n.stf', '7', 'chemicals_crate', 'Chemicals Crate');
INSERT INTO `client_strings` VALUES ('string/en/factory_n.stf', '8', 'generic_items_crate', 'Generic Items Crate');
INSERT INTO `client_strings` VALUES ('string/en/factory_n.stf', '9', 'weapon_factory_crate', 'Weapon Factory Crate');
INSERT INTO `client_strings` VALUES ('string/en/factory_n.stf', '10', 'weapons_factory_crate', 'Weapons Factory Crate');
INSERT INTO `client_strings` VALUES ('string/en/factory_n.stf', '11', 'factory_crate', 'Factory Crate');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '1', 'waypoint', 'Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '2', 'city', 'City');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '3', 'cloningfacility', 'Cloning Facility');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '4', 'cantina', 'Cantina');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '5', 'hotel', 'Hotel');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '6', 'garage', 'Parking Garage');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '7', 'capitol', 'Planetary Capitol');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '8', 'bank', 'Bank');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '9', 'guild', 'Guild Hall');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '10', 'guild_commerce', 'Commerce Guild');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '11', 'guild_combat', 'Combat Guild');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '12', 'guild_theater', 'Theater Guild');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '13', 'guild_university', 'University');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '14', 'hospital', 'Hospital');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '15', 'medicalcenter', 'Medical Center');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '16', 'shuttleport', 'Shuttleport');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '17', 'starport', 'Starport');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '18', 'themepark', 'Theme Park');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '19', 'unknown', 'Unknown');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '20', 'other', 'Other');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '23', 'trainer', 'Trainer');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '24', 'trainer_1hsword', 'Trainer: One-Hand Sword');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '25', 'trainer_2hsword', 'Trainer: Two-Hand Sword');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '26', 'trainer_architect', 'Trainer: Architect');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '27', 'trainer_armorsmith', 'Trainer: Armorsmith');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '28', 'trainer_artisan', 'Trainer: Artisan');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '29', 'trainer_bountyhunter', 'Trainer: Bountyhunter');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '30', 'trainer_brawler', 'Trainer: Brawler');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '31', 'trainer_carbine', 'Trainer: Carbine');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '32', 'trainer_chef', 'Trainer: Chef');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '33', 'trainer_combatmedic', 'Trainer: Combat Medic');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '34', 'trainer_commando', 'Trainer: Commando');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '35', 'trainer_creaturehandler', 'Trainer: Creature Handler');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '36', 'trainer_dancer', 'Trainer: Dancer');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '37', 'trainer_doctor', 'Trainer: Doctor');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '38', 'trainer_droidengineer', 'Trainer: Droid Engineer');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '39', 'trainer_entertainer', 'Trainer: Entertainer');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '40', 'trainer_farmer', 'Trainer: Farmer');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '41', 'trainer_imagedesigner', 'Trainer: Image Designer');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '42', 'trainer_industrialist', 'Trainer: Industrialist');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '43', 'trainer_marksman', 'Trainer: Marksman');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '44', 'trainer_medic', 'Trainer: Medic');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '45', 'trainer_miner', 'Trainer: Miner');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '46', 'trainer_musician', 'Trainer: Musician');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '47', 'trainer_pistol', 'Trainer: Pistol');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '48', 'trainer_polearm', 'Trainer: Polearm');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '49', 'trainer_ranger', 'Trainer: Ranger');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '50', 'trainer_rifleman', 'Trainer: Rifleman');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '51', 'trainer_scout', 'Trainer: Scout');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '52', 'trainer_squadleader', 'Trainer: Squadleader');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '53', 'trainer_unarmed', 'Trainer: Unarmed');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '54', 'trainer_tailor', 'Trainer: Tailor');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '55', 'trainer_weaponsmith', 'Trainer: Weaponsmith');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '56', 'junkshop', 'Junk Shop');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '57', 'tavern', 'Tavern');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '58', 'barracks', 'Barracks');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '59', 'vendor', 'Vendor');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '60', 'vendor_junk', 'Junk Vendor');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '61', 'no_registered_locs', 'There currently are not registered map locations on this planet.');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '62', 'terminal', 'Terminal');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '63', 'terminal_bank', 'Bank Terminal');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '64', 'terminal_bazaar', 'Bazaar Terminal');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '65', 'terminal_mission', 'Mission Terminal');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '66', 'museum', 'Museum');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '67', 'rebel', 'Rebel');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '68', 'rebel_hq', 'Rebel Headquarters');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '69', 'imperial', 'Imperial');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '70', 'imperial_hq', 'Imperial Headquarters');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '71', 'salon', 'Image Designer Salon');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '72', 'space_chassis_broker', 'Chassis Broker');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '73', 'space_recruiter', 'Space Recruiter');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '74', 'trainer_shipwright', 'Trainer: Shipwright');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '75', 'trainer_starfighter_engineer', 'Trainer: Starfighter Engineer');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '76', 'trainer_pilot_privateer', 'Pilot Guild Trainer');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '77', 'trainer_pilot_rebel', 'Alliance Trainer');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '78', 'trainer_pilot_imperial', 'Imperial Trainer');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '79', 'space', 'Space');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '80', 'space_chassis', 'Space Chassis');
INSERT INTO `client_strings` VALUES ('string/en/find_display.stf', '81', 'default', '');
INSERT INTO `client_strings` VALUES ('string/en/firework.stf', '1', 'mnu_launch', 'Launch');
INSERT INTO `client_strings` VALUES ('string/en/firework.stf', '2', 'mnu_reorder_show', 'Reorder Events');
INSERT INTO `client_strings` VALUES ('string/en/firework.stf', '3', 'mnu_add_event', 'Add Event');
INSERT INTO `client_strings` VALUES ('string/en/firework.stf', '4', 'mnu_remove_event', 'Remove Event');
INSERT INTO `client_strings` VALUES ('string/en/firework.stf', '5', 'mnu_modify_event', 'Modify Event');
INSERT INTO `client_strings` VALUES ('string/en/firework.stf', '6', 'mnu_show_data', 'Show Data');
INSERT INTO `client_strings` VALUES ('string/en/firework.stf', '7', 'data_title', 'Firework Show Status');
INSERT INTO `client_strings` VALUES ('string/en/firework.stf', '8', 'data_prompt', 'The current status of your firework show is listed below.');
INSERT INTO `client_strings` VALUES ('string/en/firework.stf', '9', 'remove_title', 'Remove Show Event');
INSERT INTO `client_strings` VALUES ('string/en/firework.stf', '10', 'remove_prompt', 'Select the show event to remove then click \"OK\".');
INSERT INTO `client_strings` VALUES ('string/en/firework.stf', '11', 'reorder_title', 'Reorder Show Events');
INSERT INTO `client_strings` VALUES ('string/en/firework.stf', '12', 'reorder_prompt', 'Select the entry whose position you would like to modify and click the \"Move Up\" or \"Move Down\" button to update its position. Click \"Done\" when you are satisfied with the show event order.');
INSERT INTO `client_strings` VALUES ('string/en/firework.stf', '13', 'cannot_reorder', 'The event reorder operation you have selected is not possible.');
INSERT INTO `client_strings` VALUES ('string/en/firework.stf', '14', 'modify_index_title', 'Event Modification');
INSERT INTO `client_strings` VALUES ('string/en/firework.stf', '15', 'modify_index_prompt', 'Select the event index for which you would like to modify the delay time.');
INSERT INTO `client_strings` VALUES ('string/en/firework.stf', '16', 'modify_delay_title', 'Delay Selection');
INSERT INTO `client_strings` VALUES ('string/en/firework.stf', '17', 'modify_delay_prompt', 'Select the amount of time (in tenths of a second) you would like to have as a delay between this event and the prior event.');
INSERT INTO `client_strings` VALUES ('string/en/firework.stf', '18', 'prose_delay_update', 'Event #%DI: delay set to %DF seconds.');
INSERT INTO `client_strings` VALUES ('string/en/firework.stf', '19', 'prose_delay_update1', 'Event #%DI: delay set to 1 second.');
INSERT INTO `client_strings` VALUES ('string/en/firework_d.stf', '1', 'base', 'Firework');
INSERT INTO `client_strings` VALUES ('string/en/firework_d.stf', '2', 'show', 'A package for creating firework displays. Once created, a choreographed show may be used to provide dazzling visual entertainment.');
INSERT INTO `client_strings` VALUES ('string/en/firework_d.stf', '3', 'firework_one', 'A type 1 air-bursting firework device.');
INSERT INTO `client_strings` VALUES ('string/en/firework_d.stf', '4', 'firework_two', 'A type 2 air-bursting firework device.');
INSERT INTO `client_strings` VALUES ('string/en/firework_d.stf', '5', 'firework_three', 'A type 3 air-bursting firework device.');
INSERT INTO `client_strings` VALUES ('string/en/firework_d.stf', '6', 'firework_four', 'A type 4 air-bursting firework device.');
INSERT INTO `client_strings` VALUES ('string/en/firework_d.stf', '7', 'firework_five', 'A type 5 air-bursting firework device.');
INSERT INTO `client_strings` VALUES ('string/en/firework_d.stf', '8', 'firework_s01', 'A type 1 air-bursting firework device.');
INSERT INTO `client_strings` VALUES ('string/en/firework_d.stf', '9', 'firework_s02', 'A type 2 air-bursting firework device.');
INSERT INTO `client_strings` VALUES ('string/en/firework_d.stf', '10', 'firework_s03', 'A type 3 air-bursting firework device.');
INSERT INTO `client_strings` VALUES ('string/en/firework_d.stf', '11', 'firework_s04', 'A type 4 air-bursting firework device.');
INSERT INTO `client_strings` VALUES ('string/en/firework_d.stf', '12', 'firework_s05', 'A type 5 air-bursting firework device.');
INSERT INTO `client_strings` VALUES ('string/en/firework_d.stf', '13', 'firework_s10', 'A type 10 air-bursting firework device.');
INSERT INTO `client_strings` VALUES ('string/en/firework_d.stf', '14', 'firework_s11', 'A 11 eleven air-bursting firework device.');
INSERT INTO `client_strings` VALUES ('string/en/firework_d.stf', '15', 'firework_s18', 'A type 18 air-bursting firework device.');
INSERT INTO `client_strings` VALUES ('string/en/firework_n.stf', '1', 'base', 'Firework');
INSERT INTO `client_strings` VALUES ('string/en/firework_n.stf', '2', 'fx_01', 'Starburst (light)');
INSERT INTO `client_strings` VALUES ('string/en/firework_n.stf', '3', 'fx_02', 'Concussion Rings');
INSERT INTO `client_strings` VALUES ('string/en/firework_n.stf', '4', 'fx_03', 'Chandelier');
INSERT INTO `client_strings` VALUES ('string/en/firework_n.stf', '5', 'fx_04', 'Spiral Tears');
INSERT INTO `client_strings` VALUES ('string/en/firework_n.stf', '6', 'fx_05', 'Starburst (heavy)');
INSERT INTO `client_strings` VALUES ('string/en/firework_n.stf', '7', 'show', 'Fireworks Show Package');
INSERT INTO `client_strings` VALUES ('string/en/firework_n.stf', '8', 'firework_one', 'Type 1 Firework');
INSERT INTO `client_strings` VALUES ('string/en/firework_n.stf', '9', 'firework_two', 'Type 2 Firework');
INSERT INTO `client_strings` VALUES ('string/en/firework_n.stf', '10', 'firework_three', 'Type 3 Firework');
INSERT INTO `client_strings` VALUES ('string/en/firework_n.stf', '11', 'firework_four', 'Type 4 Firework');
INSERT INTO `client_strings` VALUES ('string/en/firework_n.stf', '12', 'firework_five', 'Type 5 Firework');
INSERT INTO `client_strings` VALUES ('string/en/firework_n.stf', '13', 'firework_s01', 'Type 1 Firework');
INSERT INTO `client_strings` VALUES ('string/en/firework_n.stf', '14', 'firework_s02', 'Type 2 Firework');
INSERT INTO `client_strings` VALUES ('string/en/firework_n.stf', '15', 'firework_s03', 'Type 3 Firework');
INSERT INTO `client_strings` VALUES ('string/en/firework_n.stf', '16', 'firework_s04', 'Type 4 Firework');
INSERT INTO `client_strings` VALUES ('string/en/firework_n.stf', '17', 'firework_s05', 'Type 5 Firework');
INSERT INTO `client_strings` VALUES ('string/en/firework_n.stf', '18', 'firework_s10', 'Type 10 Firework');
INSERT INTO `client_strings` VALUES ('string/en/firework_n.stf', '19', 'firework_s11', 'Type 11 Firework');
INSERT INTO `client_strings` VALUES ('string/en/firework_n.stf', '20', 'firework_s18', 'Type 18 Firework');
INSERT INTO `client_strings` VALUES ('string/en/firework_n.stf', '21', 'fx_10', 'Type 10 Effect');
INSERT INTO `client_strings` VALUES ('string/en/firework_n.stf', '22', 'fx_11', 'Type 11 Effect');
INSERT INTO `client_strings` VALUES ('string/en/firework_n.stf', '23', 'fx_18', 'Type 18 Effect');
INSERT INTO `client_strings` VALUES ('string/en/fishing.stf', '1', 'mnu_start_fishing', 'Start Fishing');
INSERT INTO `client_strings` VALUES ('string/en/fishing.stf', '2', 'mnu_stop_fishing', 'Stop Fishing');
INSERT INTO `client_strings` VALUES ('string/en/fishing.stf', '3', 'mnu_open_tackle', 'Open Tackle');
INSERT INTO `client_strings` VALUES ('string/en/fishing.stf', '4', 'mnu_set_bait', 'Set Bait');
INSERT INTO `client_strings` VALUES ('string/en/fishing.stf', '5', 'mnu_clear_bait', 'Clear Bait');
INSERT INTO `client_strings` VALUES ('string/en/fishing.stf', '6', 'start_fishing', 'You cast your line and start fishing...');
INSERT INTO `client_strings` VALUES ('string/en/fishing.stf', '7', 'stop_fishing', 'You reel-in your line and stop fishing...');
INSERT INTO `client_strings` VALUES ('string/en/fishing.stf', '8', 'fa_none', 'No Action');
INSERT INTO `client_strings` VALUES ('string/en/fishing.stf', '9', 'fa_tug_up', 'Tug Up');
INSERT INTO `client_strings` VALUES ('string/en/fishing.stf', '10', 'fa_tug_right', 'Tug Right');
INSERT INTO `client_strings` VALUES ('string/en/fishing.stf', '11', 'fa_tug_left', 'Tug Left');
INSERT INTO `client_strings` VALUES ('string/en/fishing.stf', '12', 'fa_small_reel', 'Small Reel-In');
INSERT INTO `client_strings` VALUES ('string/en/fishing.stf', '13', 'fa_stop', 'Stop Fishing');
INSERT INTO `client_strings` VALUES ('string/en/fishing.stf', '14', 'bad_cast', 'Your cast goes astray and lands at a non-fishable spot.');
INSERT INTO `client_strings` VALUES ('string/en/fishing.stf', '15', 'loc_unfishable', 'Your line has washed ashore...');
INSERT INTO `client_strings` VALUES ('string/en/fishing.stf', '16', 'prose_toss_bait', 'You toss aside your %TO bait (%TT).');
INSERT INTO `client_strings` VALUES ('string/en/fishing.stf', '17', 'toss_bait', 'You toss aside your used bait.');
INSERT INTO `client_strings` VALUES ('string/en/fishing.stf', '18', 'fs_nibble', 'Nibble...');
INSERT INTO `client_strings` VALUES ('string/en/fishing.stf', '19', 'fs_bite', 'BITE?');
INSERT INTO `client_strings` VALUES ('string/en/fishing.stf', '20', 'fs_caught', 'CAUGHT SOMETHING?!');
INSERT INTO `client_strings` VALUES ('string/en/fishing.stf', '21', 'fs_snag', 'Your line gets snagged on some vegetation...');
INSERT INTO `client_strings` VALUES ('string/en/fishing.stf', '22', 'fs_loot', 'CAUGHT SOMETHING?!');
INSERT INTO `client_strings` VALUES ('string/en/fishing.stf', '23', 'line_free', 'Your line comes free of its snag...');
INSERT INTO `client_strings` VALUES ('string/en/fishing.stf', '24', 'line_snap', 'Darn, your line snapped...');
INSERT INTO `client_strings` VALUES ('string/en/fishing.stf', '25', 'hard_nibble', 'There is a strong, sharp tug at the end of your line...');
INSERT INTO `client_strings` VALUES ('string/en/fishing.stf', '26', 'hard_bite', 'Your pole flexes hard as your line goes taut...');
INSERT INTO `client_strings` VALUES ('string/en/fishing.stf', '27', 'lost_bait', 'Shucks... you lost your bait...');
INSERT INTO `client_strings` VALUES ('string/en/fishing.stf', '28', 'lost_catch', 'Your line falls limp... whatever you had caught... it got away...');
INSERT INTO `client_strings` VALUES ('string/en/fishing.stf', '29', 'line_spooled', 'Your catch ran so hard that it pulled your line right out of the pole...');
INSERT INTO `client_strings` VALUES ('string/en/fishing.stf', '30', 'reel_in', 'You reel-in your catch...');
INSERT INTO `client_strings` VALUES ('string/en/fishing.stf', '31', 'fish_fight_easy', 'Your catch fights your efforts with a noble attempt, but is losing...');
INSERT INTO `client_strings` VALUES ('string/en/fishing.stf', '32', 'fish_fight_hard', 'Your catch takes a bit more slack from your line...');
INSERT INTO `client_strings` VALUES ('string/en/fishing.stf', '33', 'fish_fight_away', 'Your catch moves away taking a bit more line...');
INSERT INTO `client_strings` VALUES ('string/en/fishing.stf', '34', 'fish_fight_closer', 'You succeed in drawing your catch closer...');
INSERT INTO `client_strings` VALUES ('string/en/fishing.stf', '35', 'fish_run', 'Your catch tries making a run for it...');
INSERT INTO `client_strings` VALUES ('string/en/fishing.stf', '36', 'fish_charge', 'Your catch charges toward your location...');
INSERT INTO `client_strings` VALUES ('string/en/fishing.stf', '37', 'loot_beached', 'You drag your catch from the water-line...');
INSERT INTO `client_strings` VALUES ('string/en/fishing.stf', '38', 'reel_loot', 'You continue reeling in something...');
INSERT INTO `client_strings` VALUES ('string/en/fishing.stf', '39', 'prose_notify_catch', 'CONGRATULATIONS! You caught %TT.');
INSERT INTO `client_strings` VALUES ('string/en/fishing.stf', '40', 'fly_nibble', '+ Nibble +');
INSERT INTO `client_strings` VALUES ('string/en/fishing.stf', '41', 'fly_bite', '+ Bite +');
INSERT INTO `client_strings` VALUES ('string/en/fishing.stf', '42', 'fly_catch', '+ Catch +');
INSERT INTO `client_strings` VALUES ('string/en/fishing.stf', '43', 'fly_snag', '+ Snag +');
INSERT INTO `client_strings` VALUES ('string/en/fishing.stf', '44', 'mnu_filet', 'Filet Fish');
INSERT INTO `client_strings` VALUES ('string/en/fishing.stf', '45', 'mnu_trophy', 'Make Trophy');
INSERT INTO `client_strings` VALUES ('string/en/fishing.stf', '46', 'sui_title', 'Fishing Menu');
INSERT INTO `client_strings` VALUES ('string/en/fishing.stf', '47', 'must_have_pole', 'To fish, you must first have a fishing pole equipped.');
INSERT INTO `client_strings` VALUES ('string/en/fishing.stf', '48', 'bait_your_pole', 'To fish, you must first bait your pole.');
INSERT INTO `client_strings` VALUES ('string/en/fishing.stf', '49', 'cast_line', 'You cast your line and begin fishing...');
INSERT INTO `client_strings` VALUES ('string/en/fishing.stf', '50', 'out_of_bait', 'You have run out of bait in your tackle...');
INSERT INTO `client_strings` VALUES ('string/en/fishing.stf', '51', 'too_far', 'You must be within 2 meters of fishable water and facing it to start fishing.\n');
INSERT INTO `client_strings` VALUES ('string/en/fishing.stf', '52', 'invalid_location', 'Unable to determine valid fishing location ahead of you.');
INSERT INTO `client_strings` VALUES ('string/en/fishing.stf', '53', 'inventory_full', 'Since your inventory is full, you toss the fish back...');
INSERT INTO `client_strings` VALUES ('string/en/fishing.stf', '54', 'size_matters', 'The fish was too small, so you toss it back...');
INSERT INTO `client_strings` VALUES ('string/en/fishing.stf', '55', 'already_fileted', 'But this fish has already been fileted.');
INSERT INTO `client_strings` VALUES ('string/en/fishing.stf', '56', 'units_inventory', 'You require %DI units of available space in your inventory to filet this fish.\n');
INSERT INTO `client_strings` VALUES ('string/en/fishing.stf', '57', 'good_filet', 'You successfully filet the fish.');
INSERT INTO `client_strings` VALUES ('string/en/fishing.stf', '58', 'no_resource', 'There was no salvagable resource to harvest.');
INSERT INTO `client_strings` VALUES ('string/en/fishing.stf', '59', 'shucks_veggies', 'Shucks... It was really just a handful of vegetation.');
INSERT INTO `client_strings` VALUES ('string/en/fishing.stf', '60', 'toss_trash', 'Since your inventory is full, you toss the trash back in the water...');
INSERT INTO `client_strings` VALUES ('string/en/fishing.stf', '61', 'bait_only', 'A fishing tackle can only accept bait-type items.');
INSERT INTO `client_strings` VALUES ('string/en/fishing.stf', '62', 'cannot_remove_bait', 'You cannot remove bait that is currently in use...');
INSERT INTO `client_strings` VALUES ('string/en/fishing.stf', '63', 'close_reel_in', 'Since your line is so close, you reel it in...');
INSERT INTO `client_strings` VALUES ('string/en/fishing.stf', '64', 'strong_nibble', 'A strong nibble leaves you without a baited line...');
INSERT INTO `client_strings` VALUES ('string/en/fishing.stf', '65', 'tore_bait', 'Something just tore the bait right off the end of your line...');
INSERT INTO `client_strings` VALUES ('string/en/fishing.stf', '66', 'default', '');
INSERT INTO `client_strings` VALUES ('string/en/fish_d.stf', '1', 'fish_generic', 'A generic fish');
INSERT INTO `client_strings` VALUES ('string/en/fish_d.stf', '2', 'faa', 'A generally small fish.');
INSERT INTO `client_strings` VALUES ('string/en/fish_d.stf', '3', 'daggert', 'A generally tiny fish.');
INSERT INTO `client_strings` VALUES ('string/en/fish_d.stf', '4', 'ray', 'A generally medium-sized fish');
INSERT INTO `client_strings` VALUES ('string/en/fish_d.stf', '5', 'laa', 'A generally largish type fish.');
INSERT INTO `client_strings` VALUES ('string/en/fish_d.stf', '6', 'see', 'A generally big fish.');
INSERT INTO `client_strings` VALUES ('string/en/fish_d.stf', '7', 'blackfish', 'A blackfish');
INSERT INTO `client_strings` VALUES ('string/en/fish_d.stf', '8', 'bluefish', 'A type of bluefish');
INSERT INTO `client_strings` VALUES ('string/en/fish_d.stf', '9', 'striped', 'A type of striped fish');
INSERT INTO `client_strings` VALUES ('string/en/fish_d.stf', '10', 'blowfish', 'A type of blowfish');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '1', 'fish_generic', 'a generic fish');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '2', 'tiny_fish', 'a tiny fish');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '3', 'small_fish', 'a small fish');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '4', 'med_fish', 'a medium fish');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '5', 'large_fish', 'a large fish');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '6', 'big_fish', 'a big fish');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '7', 'daggert', 'a daggert');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '8', 'ray', 'a ray');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '9', 'faa', 'a faa');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '10', 'laa', 'a laa');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '11', 'see', 'a see');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '12', 'striped', 'a striped fish');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '13', 'blowfish', 'a blowfish');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '14', 'blackfish', 'a blackfish');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '15', 'bluefish', 'a bluefish');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '16', 'blowfish_tatooine', 'a blowfish');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '17', 'blowfish_corellia', 'a blowfish');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '18', 'blowfish_naboo', 'a blowfish');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '19', 'blowfish_endor', 'a blowfish');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '20', 'blowfish_talus', 'a blowfish');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '21', 'blowfish_lok', 'a blowfish');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '22', 'blowfish_dantooine', 'a blowfish');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '23', 'blowfish_dathomir', 'a blowfish');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '24', 'blowfish_yavin4', 'a blowfish');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '25', 'blowfish_rori', 'a blowfish');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '26', 'faa_tatooine', 'a faa');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '27', 'faa_corellia', 'a faa');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '28', 'faa_naboo', 'a faa');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '29', 'faa_endor', 'a faa');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '30', 'faa_talus', 'a faa');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '31', 'faa_lok', 'a faa');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '32', 'faa_dantooine', 'a faa');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '33', 'faa_dathomir', 'a faa');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '34', 'faa_yavin4', 'a faa');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '35', 'faa_rori', 'a faa');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '36', 'bluefish_tatooine', 'a bluefish');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '37', 'bluefish_corellia', 'a bluefish');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '38', 'bluefish_naboo', 'a bluefish');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '39', 'bluefish_endor', 'a bluefish');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '40', 'bluefish_talus', 'a bluefish');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '41', 'bluefish_lok', 'a bluefish');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '42', 'bluefish_dantooine', 'a bluefish');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '43', 'bluefish_dathomir', 'a bluefish');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '44', 'bluefish_yavin4', 'a bluefish');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '45', 'bluefish_rori', 'a bluefish');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '46', 'ray_tatooine', 'a ray');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '47', 'ray_corellia', 'a ray');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '48', 'ray_naboo', 'a ray');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '49', 'ray_endor', 'a ray');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '50', 'ray_talus', 'a ray');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '51', 'ray_lok', 'a ray');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '52', 'ray_dantooine', 'a ray');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '53', 'ray_dathomir', 'a ray');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '54', 'ray_yavin4', 'a ray');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '55', 'ray_rori', 'a ray');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '56', 'striped_tatooine', 'a striped fish');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '57', 'striped_corellia', 'a striped fish');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '58', 'striped_naboo', 'a striped fish');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '59', 'striped_endor', 'a striped fish');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '60', 'striped_talus', 'a striped fish');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '61', 'striped_lok', 'a striped fish');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '62', 'striped_dantooine', 'a striped fish');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '63', 'striped_dathomir', 'a striped fish');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '64', 'striped_yavin4', 'a striped fish');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '65', 'striped_rori', 'a striped fish');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '66', 'laa_tatooine', 'a laa');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '67', 'laa_corellia', 'a laa');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '68', 'laa_naboo', 'a laa');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '69', 'laa_endor', 'a laa');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '70', 'laa_talus', 'a laa');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '71', 'laa_lok', 'a laa');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '72', 'laa_dantooine', 'a laa');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '73', 'laa_dathomir', 'a laa');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '74', 'laa_yavin4', 'a laa');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '75', 'laa_rori', 'a laa');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '76', 'blackfish_tatooine', 'a blackfish');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '77', 'blackfish_corellia', 'a blackfish');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '78', 'blackfish_naboo', 'a blackfish');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '79', 'blackfish_endor', 'a blackfish');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '80', 'blackfish_talus', 'a blackfish');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '81', 'blackfish_lok', 'a blackfish');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '82', 'blackfish_dantooine', 'a blackfish');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '83', 'blackfish_dathomir', 'a blackfish');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '84', 'blackfish_yavin4', 'a blackfish');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '85', 'blackfish_rori', 'a blackfish');
INSERT INTO `client_strings` VALUES ('string/en/fish_n.stf', '86', 'default', '');
INSERT INTO `client_strings` VALUES ('string/en/food_d.stf', '1', 'chicken_leg', 'Mmmmmm.... chicken!');
INSERT INTO `client_strings` VALUES ('string/en/food_d.stf', '2', 'water', 'A glass of water');
INSERT INTO `client_strings` VALUES ('string/en/food_d.stf', '3', 'drink_nectar', 'A delicious blend of natural fruit juices and exotic plant nectar');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '1', 'accarragm', 'A strong Wookiee beverage made from fungus and alcohol stock.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '2', 'accarragm_eff', 'Grants enhanced action, quickness, and stamina.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '3', 'ahrisa', 'A spicy food commonly found in cafes on Coruscant.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '4', 'ahrisa_eff', 'Grants enhanced focus.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '5', 'air_cake', 'A simple Corellian dessert cake.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '6', 'aitha', 'A protein drink consumed by spacers to keep their bodies healthy during long runs.  Best served hot.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '7', 'alcohol', 'Basic alcohol stock made from some kind of cereal resource.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '8', 'ale', 'A bottle of thick, foaming ale.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '9', 'almond_kwevvu_crisp_munchies', 'A small pastry eaten by the handful.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '10', 'aludium_pu36', 'A very pure and strong alcoholic stock popular during the Old Republic.  Aludium pu36 has a secret radioactive ingredient, but is safe enough for humanoid consumption.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '11', 'angerian_fishak_surprise', 'A strong mixed, alcoholic drink.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '12', 'antakarian_fire_dancer', 'A thick, potent ale made from alcoholic stock filtered through igneous rock and flavored with crushed gemstone.  This drink is popular with rough and tough types.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '13', 'avian_strips', 'Delicious Avian Strips');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '14', 'bantha_blaster', 'A cantina favorite.  Drink with caution.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '15', 'bantha_butter', 'Butter made from a Bantha\'s milk.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '16', 'bespin_port', 'A sweet form of port native to Bespin.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '17', 'bio_down', 'You are under the effect of a negative biological effect.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '18', 'bio_kliknik_fortitude_boost', 'An extract from the Kliknik immune system, this chemical coats the users organs with an ultra thin protective layer that insulates them during heavy exertion.  Can cause severe nausea when the body attempts to remove the coating.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '19', 'bio_kwi_adrenal_boost', 'A gland which secretes a fluid into the kwi bloodstream which increases their base regeneration in response to an attack.  Can cause burnout after the boost has run its course.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '20', 'bio_up', 'You are under the effect of a positive biological effect.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '21', 'birthday_cake', 'A scrumptuous birthday cake!');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '22', 'bivoli_tempari', 'A very expensive and sweet dish that features toughened meat in a syrupy sauce.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '23', 'blap_biscuit', 'A gooey biscuit served drenched in carbosyrup.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '24', 'blob_candy', 'A popular candy made from a filled blob of carbosyrup.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '25', 'blob_candy_eff', 'Grants enhanced action.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '26', 'blood_chowder', 'A healthy meal made of soypro cooked in purified animal blood.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '27', 'blue_milk', 'A protein enhanced milk beverage that has healing qualities.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '28', 'bofa_treat', 'A sweet, dried, fruit based snackfood.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '29', 'bofa_treat_eff', 'Grants enhanced health.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '30', 'booster_blue', 'An out-of-use industrial dye employed in starship manufacturing that when consumed, enhances the user\'s physical reaction time.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '31', 'boullion', 'A cube of boullion.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '32', 'braised_canron', 'A jellied meat carefully braised and seasoned.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '33', 'bread', 'A chunk of bread.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '34', 'bread_loaf_full_s1', 'a Loaf of Bread');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '35', 'breath_of_heaven', 'The Galaxy\'s most potent fire water: this stuff is as strong as it comes.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '36', 'breath_of_heaven_eff', 'Grants enhanced strength, quickness, and focus.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '37', 'caf', 'A stimulating beverage flavoured with grains or bean extract.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '38', 'caf_eff', 'Grants enhanced willpower.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '39', 'casserole', 'A steaming casserole.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '40', 'cavaellin_creams', 'Delicious spiced candies.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '41', 'chandad', 'A popular snack food filled with rice and fruit.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '42', 'charde', 'A refreshing beverage flavored with some unidentifiable organic substance.  Best served cold.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '43', 'cho_nor_hoola', 'A vile smelling stew favored by members of the Hutt race.  Only those with willpower can stand to eat a full serving of Cho-Nor-Hoola.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '44', 'citros_snow_cake', 'A delicious pastry made with light fruits and sweet cake mix.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '45', 'cold_cuts', 'Scrumptious slices of cold Meat.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '46', 'corellian_ale', 'Probably the most common alcoholic beverage in the galaxy.  Corellian Ale has a sweet flavor and a medium weight body.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '47', 'corellian_brandy', 'There is no brandy more flavorful and savory than Corellian Brandy.  Must be made with real Corellian fruits...otherwise it\'s just brandy.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '48', 'corellian_double_brandy', 'A bottle of Corellian Double Brandy.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '49', 'corellian_fried_icecream', 'Fried icecream with berry topping.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '50', 'corellian_rum', 'A bottle of Corellian Rum.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '51', 'corellian_spiced_ale', 'A bottle of Corellian Spiced Ale.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '52', 'corellian_twister', 'A bottle of Corellian Twister.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '53', 'corellian_whiskey', 'A bottle of Corellian Whiskey.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '54', 'cortyg', 'A strong alcohol produced by Wookiees.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '55', 'crash_n_burn', 'A rare chemical mix of stimulant and depressive, Crash n\' Burn heightens the user\'s awareness while at the same time increasing latent psychodepressive tendencies.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '56', 'crispic', 'A fried snack roll...commonly found in cantinas.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '57', 'deneelian_fizz_pudding', 'A rare pudding treat that crackles and pops as you eat it.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '58', 'deuterium_pyro', 'A favorite drink of ruffians, due to its terrible flavor and strong aftertaste.  You have to be tough to put down a Deuterium-pyro.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '59', 'double_dip_outer_rim_rumdrop', 'Native to the Spirited Spirits shop on Cularin, this strong mixed drink is made from a wide range of alcohol stocks.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '60', 'dough', 'A heap of soft dough.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '61', 'drink', 'A drink.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '62', 'drink_nectar', 'A delicious blend of exotic plant nectars, fruit juices and mineral waters.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '63', 'droid_lube', 'Zypolene Droid Lubricant was once used as a very common homemade joint and servo lubricant for robot servants.  After medical studies suggested the substance was the cause of cellular decay among various races, the use of zypolene decreased.  It has a burning, stimulating effect when rubbed across open skin.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '64', 'durindfire', 'A rare alcoholic beverage that lights up with a phosphorescent glow when exposed to oxygen.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '65', 'dustcrepe', 'A light crepe native to Tatooine.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '66', 'dweezel', 'A gooey pastry common to Mos Espa.  Invented by the culinary genius Professor Umlaut.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '67', 'edible_berries', 'Jar of Foraged Berries');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '68', 'edible_bugs', 'Jar of Foraged Bugs');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '69', 'edible_fungus', 'Jar of Foraged Fungus');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '70', 'edible_funk', 'Jar of Foraged Grubs');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '71', 'edible_livers', 'Jar of Foraged Livers');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '72', 'elshandruu_pica_thundercloud', 'This drink is probably the strongest in the galaxy.  Highly dangerous.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '73', 'exo_protein_wafers', 'Enhanced protein wafers used by space farers during long trips.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '74', 'felbar', 'A baked dessert made with flower fruit.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '75', 'fire_stew', 'A spicy stew flavored with puk and desert flowers.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '76', 'flameout', 'A strange reactive beverage.  It burns the tongue while at the same time freezes the throat.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '77', 'food_additive_heavy', 'A heavy food additive.  This can only be used in a Heavy additive slot during food crafting.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '78', 'food_additive_light', 'A light food additive.  This can be used in a Light, Medium, or Heavy additive slot during food crafting.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '79', 'food_additive_medium', 'A medium food additive.  This can be used in a Medium or Heavy additive slot during food crafting.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '80', 'food_basket', 'A basket of fruits and other food.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '81', 'foraged_fruit_1', 'Maroj Melon');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '82', 'foraged_fruit_2', 'Wild Snaff');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '83', 'foraged_fruit_3', 'Alever Tweth\'pek');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '84', 'foraged_fruit_4', 'Ko-Do Fruit');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '85', 'foraged_fruit_5', 'Sijjo Sewi');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '86', 'foraged_vegetable_1', 'Schule Nef');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '87', 'foraged_vegetable_2', 'Flurr-Cle Onion');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '88', 'foraged_vegetable_3', 'Etost\'Ew Zann');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '89', 'foraged_vegetable_4', 'Sosi Hodor');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '90', 'force_melon', 'This fruit was picked from the Aurilian plant, a notoriously fickle and difficult plant to grow to fruition. The nectar from this fruit provides a vitalizing rush to those that consume it.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '91', 'fried_endwa', 'A tasty fried meal common on Corellia.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '92', 'fruit', 'A juicy portion of fruit.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '93', 'fruit_melon', 'a Melon');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '94', 'garrmorl', 'Another rough Wookiee beverage made from dried bone and hide mixed with alcohol stock.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '95', 'garrmorl_eff', 'Grants enhanced health, strength, and constitution.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '96', 'giggledust', 'An all natural dust that is inhaled to create a sense of euphoria and alertness.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '97', 'glazed_glucose_pate', 'An extremely dense sugar pate.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '98', 'gorrnar', 'A frozen dessert favored by Wookiees.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '99', 'gourd', 'A plain gourd.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '100', 'gralinyn_juice', 'A fermented Wookiee beverage.  Light by Wookiee standards.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '101', 'grey_gabaki', 'A plant named for its drab color when dried, Grey Gabaki gives off a light and relaxing smoke when burned.  It is commonly used in cantinas, but some merchants also burn it to make store fronts a more relaxing environment for customers.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '102', 'ground_meat', 'A handful of ground meat.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '103', 'gruuvan_shaal', 'A traditional Twi\'lek meal.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '104', 'gruuvan_shaal_eff', 'Grants enhanced strength.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '105', 'gunjack', 'A highly concentrated methylpenatox and glucose based chemical cocktail that grants the user intense physical strength while decreasing fine motor control and the ability to reason.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '106', 'havla', 'A spiced toast popular with nobility.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '107', 'ice_blaster', 'A warming alcoholic beverage made from Sullustan Gin.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '108', 'ithorian_mist', 'A type of whiskey favored by the Ithorian race.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '109', 'jaar', 'A sweet drink of fermented milk and fruit, favored by Wookiees.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '110', 'jawa_beer', 'A rough travel beer brewed from fermented grains and bantha hide.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '111', 'jerky', 'Some meaty Jerky, dried to last longer but remaining very tasty.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '112', 'kanali_wafers', 'A sugary pastry pressed flat and served chilled.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '113', 'kanali_wafers_eff', 'Grants enhanced constitution.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '114', 'karkan_ribenes', 'Slow cooked meat ribs.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '115', 'kiwik_clusjo_swirl', 'An unusual mixture of fruits, served creamed.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '116', 'kiwik_clusjo_swirl_eff', 'Grants enhanced quickness and stamina.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '117', 'kylessian_fruit_distillate', 'An alcohol stock distilled from fruits.  This can be used as a component in any recipe requiring alcohol.  In general, Kylessian Fruit Distillate has a higher quality than Sullustan Gin.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '118', 'large_avian', 'A large chunk of avian meat.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '119', 'large_fish', 'A large fish.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '120', 'large_sausage', 'A large sausage.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '121', 'lollipop', 'This lollipop looks deliciously sweet.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '122', 'mandalorian_wine', 'A strong, bitter wine. This drink was made popular in the years following the Mandalorian Wars.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '123', 'marinade', 'A mixture of vinegar, oil, spices and herbs.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '124', 'meat_kabob', 'Meat Kabob');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '125', 'meat_loaf', 'A generous cut of meat loaf.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '126', 'meat_skewer', 'A juicy skewer of meat, vegetables, and fruit.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '127', 'meatlump', 'A processed and compressed meat hunk used in space station food stores.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '128', 'meaty_nuggets', 'Dried nuggets of meat, cooked to perfection, and made as an snack food.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '129', 'melon', 'A nice round melon.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '130', 'milk', 'Some milk.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '131', 'muon_gold', 'A subatomic reactant that results in intense mental clarity and focus.  Banned by Imperial authorities due to its degenerative effect on neural pathways.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '132', 'nanana_twist', 'A candy made with inert gas and berry fruit.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '133', 'neutron_pixey', 'A calming hallucinogen of unknown alien origin, Neutron Pixie is usually ingested with a light fruit flavoring to increase palatability.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '134', 'ormachek', 'A healthy wrapped meal favored by Mon Calamari for its memory enhancing properties.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '135', 'para_roll', 'A fruity wheat based pastry.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '136', 'parwan_nutricake', 'A healthy bread-like dessert.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '137', 'pastebread', 'A thin pastry bread.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '138', 'patot_panak', 'A type of flatbread served with meat and seasoning.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '139', 'pie', 'A freshly baked pie.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '140', 'pikatta_pie', 'A rich and thick pie thought to have been invented by Baron Hodor of Teyr.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '141', 'pizza', 'A steaming hot pizza, topped with fresh cheese, baked meats, and assorted toppings.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '142', 'pkneb', 'A sweet meat rolled in crushed bone and caramelized.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '143', 'prepared_meat', 'Some prepared meat.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '144', 'protato', 'A protein enhanced synthetic vegetable.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '145', 'puffcake', 'A small dessert pastry popular with children.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '146', 'puk', 'A vegetable commonly grown in private hydroponics bays.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '147', 'pyollian_cake', 'Extra sweet gooey cake made with carbosyrup.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '148', 'pyrepenol', 'A concentrated pyrepenol pill.  When consumed it results in heightened physical strength.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '149', 'rack_of_meat', 'A rack of meat.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '150', 'rakririan_burnout_sauce', 'An extremely spicy sauce!  Be careful!');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '151', 'ramorrean_capanata', 'A popular pasta that tastes best when served with seafood.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '152', 'rations', 'Military quality rations often found on large starliners.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '153', 'ribs', 'A section of ribs.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '154', 'ruby_bliel', 'A non-alcoholic fruit drink favored by children.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '155', 'ryshcate', 'A dark brown Corellian sweetbread served on birthdays.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '156', 'sandwich', 'A delicious sandwich.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '157', 'sausage_links', 'A string of sausage links.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '158', 'scramjet', '\"Scramjet\" is the rough street name for a body building food additive.  Due to its distorting and potentially harmful effects on humanoid biology, scramjet has been outlawed on Imperial worlds.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '159', 'scrimpi', 'A meat dish common to cantina menus.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '160', 'scrimpi_eff', 'Grants enhanced quickness.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '161', 'sedative_h4b', 'A medical sedative used on battle fields to treat traumatic injuries.  H4b\'s strong depressive properties result in it often being used for recreational purposes.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '162', 'shadowpaw', 'Shadowpaw is the name of the powder that remains when the Edorian Itassi root is ground up.  This powder was originally used by the native Ewok race in spiritual ceremonies via a long bone pipe, but has since found a place in various cantinas and criminal dives.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '163', 'shot', 'A shot, filled to the brim.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '164', 'skannbult_likker', 'A rare beverage distilled from special types of corn and wheat.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '165', 'slice_of_cake', 'A slice of cake.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '166', 'sliced_meats', 'A platter of sliced meats.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '167', 'small_avian', 'A small chunk of avian meat.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '168', 'smugglers_delight', 'A sweet pastry with a hollow center.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '169', 'soup', 'A hot bowl of soup.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '170', 'soypro', 'A protein fortified meat substitute.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '171', 'spice', 'A vial of spice.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '172', 'spice_down', 'You are suffering from the downer effects of the spice.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '173', 'spice_up', 'You are enhanced by the positive effects of the spice.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '174', 'spiced_tea', 'A beverage consisting of water flavored by strong spices.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '175', 'spiced_tea_eff', 'Grants enhanced mind.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '176', 'starshine_surprise', 'A strong alcoholic beverage infused with reactive gas.  Often lit on fire before consumed.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '177', 'stewed_gwouch', 'A highly nutritional food...the flavor leaves something to be desired.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '178', 'stuffing', 'Some hearty stuffing.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '179', 'sullustan_gin', 'A common form of gin distilled by the Sullustan race.  This gin has a light flavor and may be used as a base for other recipes requiring alcohol.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '180', 'sweesonberry_rolls', 'A sticky, sweet pastry.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '181', 'sweet_cake_mix', 'A special pre-sweetened cake mix.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '182', 'sweetblossom', 'A thick fluid made from the Sweetblossom with strong sedative properties.  Sometimes used as a field anaesthetic or truth serum.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '183', 'synthsteak', 'A tasty fortified steak substitute designed to withstand long space travel.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '184', 'tatooine_sunburn', 'Native to the Mos Eisley Cantina, Tatooine Sunburn is a rough drink that will put you under the table quick...which is exactly where most thieves want you.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '185', 'tea', 'A glass of spiced tea.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '186', 'telteir_noodles_eff', 'Grants enhanced stamina.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '187', 'teltier_noodles', 'A vegetable and noodle dish served lukewarm.  The noodles are usually mushy and only slightly cooked.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '188', 'terratta', 'A dish made from hide strips smothered in oil and milk.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '189', 'thakitillo', 'A curdled dish known for the tangy explosion of flavor experienced when mashed against the roof of the mouth.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '190', 'thruster_head', 'Thruster Head is the street name for an intense synaptic enhancement stim.  When injected Thruster Head multiplies the user\'s mental capabilities ten fold, at the cost of increased anxiety and extreme nausea.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '191', 'tilla_tiil', 'A sparkling Twi\'lek wine notable for the triple carbonation and filtering process used in its creation.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '192', 'tranna_nougat_cream', 'A sweet candy that is extremely difficult to make.  It is favored by the rich and powerful.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '193', 'travel_biscuits', 'Hearty biscuits full of nutrients for long trips.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '194', 'tray_of_cookies', 'A tray of soft, fresh cookies.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '195', 'tray_of_pastries', 'An assortment of soft pastries on a tray.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '196', 'trimpian', 'Sliced meat served in a seasoned miasra sauce.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '197', 'triple_meat_wrap', 'A tasty Triple Meat Wrap, three meats wrapped in a thin bit of leathery hide.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '198', 'tssolok', 'T\'ssolok is an intense Twi\'lek liquor that is always served in a decorative decanter.  While the standing flavor of T\'ssolok is not particularly good, the aftertaste is delicious.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '199', 'vagnerian_canape', 'A sweet pastry often served at formal dinners.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '200', 'vagnerian_canape_eff', 'Grants enhanced focus and willpower.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '201', 'vasarian_brandy', 'A rare brandy made from the fruit and berries of Talus.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '202', 'vasarian_brandy_eff', 'Grants enhanced mind, focus, and willpower.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '203', 'vayerbok', 'A vegetable based beer that is as thick as it is green.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '204', 'vegeparsine', 'A high quality version of veghash favored by the rich.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '205', 'vegetable', 'A nice, ripe vegetable.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '206', 'vegetarian_dish', 'A no-meat approach to nutrition, this vegetarian dish looks delicious.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '207', 'veghash', 'A vegetable mush often served as a side dish in cantinas.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '208', 'vercupti', 'An unidentifiable dish popularized by Dexter Jettster in the years following the Battle of Naboo.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '209', 'vercupti_eff', 'Grants enhanced health, action, and mind.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '210', 'veronian_berry_wine', 'A sweet berry wine with light flavors.  A great dessert wine.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '211', 'wastril_bread', 'A crumbly bread with fruit flavorings common on Corellia.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '212', 'water', 'A glass of water');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '213', 'wedding_cake', 'A magnificent cake to celebrate the occasion of marriage.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '214', 'wheel_of_cheese', 'A soft wheel of fresh cheese.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '215', 'won_won', 'A greasy dinner pastry common to the Wookiee diet.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '216', 'won_won_eff', 'Grants enhanced strength and constitution.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '217', 'xermaauc', 'A type of meatloaf.');
INSERT INTO `client_strings` VALUES ('string/en/food_detail.stf', '218', 'yarrock', 'A root derived spice with strong mind enhancing properties.');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '1', 'accarragm', 'Accarragm');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '2', 'adumari_beer', 'Adumari Beer');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '3', 'ahrisa', 'Ahrisa');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '4', 'air_cake', 'Air Cake');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '5', 'aitha', 'Aitha');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '6', 'aitha_protein_drink', 'Aitha Protein Drink');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '7', 'alcohol', 'Alcohol');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '8', 'ale', 'Ale');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '9', 'almond_kwevvu_crisp_munchies', 'Almond-Kwevvu Crisp Munchies');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '10', 'aludium_pu36', 'Aludium pu36');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '11', 'angerian_fishak_surprise', 'Angerian Fishak Surprise');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '12', 'antakarian_fire_dancer', 'Antakarian Fire Dancer');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '13', 'ardees_beverage', 'Ardees Beverage');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '14', 'avian_strips', 'Avian Strips');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '15', 'bantha_blaster', 'Bantha Blaster');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '16', 'bantha_blood_fizz', 'Bantha Blood Fizz');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '17', 'bantha_butter', 'Bantha Butter');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '18', 'bespin_port', 'Bespin Port');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '19', 'bio_kliknik_fortitude_boost', 'Kliknik Fortitude Enhancement');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '20', 'bio_kwi_adrenal_boost', 'Kwi Adrenal Boost');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '21', 'birthday_cake', 'Birthday Cake');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '22', 'bivoli_tempari', 'Bivoli Tempari');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '23', 'blap_biscuit', 'Blap Biscuit');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '24', 'blob_candy', 'Blob Candy');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '25', 'blood_chowder', 'Blood Chowder');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '26', 'blue_milk', 'Blue Milk');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '27', 'bofa_treat', 'Bofa Treat');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '28', 'booster_blue', 'Booster Blue');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '29', 'braised_canron', 'Braised Canron');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '30', 'bread', 'Bread');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '31', 'bread_loaf_full_s1', 'Loaf of Bread');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '32', 'breath_of_heaven', 'Breath of Heaven');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '33', 'breath_of_heaven_buff', 'Force of Will');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '34', 'caf', 'Caf');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '35', 'cake_slice', 'Slice of Cake');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '36', 'carbosyrup', 'Carbosyrup');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '37', 'casserole', 'Casserole');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '38', 'cavaellin_creams', 'Cavaellin Creams');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '39', 'chandad', 'Chandad');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '40', 'charde', 'Charde');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '41', 'chav', 'Chav');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '42', 'chicken_leg', 'Chicken leg');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '43', 'cho_nor_hoola', 'Cho-Nor-Hoola');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '44', 'citros_snow_cake', 'Citros Snow Cake');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '45', 'cold_cuts', 'Cold Cuts');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '46', 'corellian_ale', 'Corellian Ale');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '47', 'corellian_brandy', 'Corellian Brandy');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '48', 'corellian_double_brandy', 'Corellian Double Brandy');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '49', 'corellian_fried_icecream', 'Corellian Fried Ice Cream');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '50', 'corellian_rum', 'Corellian Rum');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '51', 'corellian_spiced_ale', 'Corellian Spiced Ale');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '52', 'corellian_twister', 'Corellian Twister');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '53', 'corellian_whiskey', 'Corellian Whiskey');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '54', 'cortyg', 'Cortyg');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '55', 'crash_n_burn', 'Crash n\' Burn');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '56', 'crispic', 'Crispic');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '57', 'danaru', 'Danaru');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '58', 'deneelian_fizz_pudding', 'Deneelian Fizz Pudding');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '59', 'dentarian_ripple', 'Dentarian Ripple');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '60', 'desert_bloom', 'Desert Bloom');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '61', 'deuterium_pyro', 'Deuterium-pyro');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '62', 'double_dip_outer_rim_rumdrop', 'Double-dip outer rim rumdrop');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '63', 'drink', 'A Drink');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '64', 'drink_nectar', 'Nectar blend');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '65', 'droid_lube', 'Zypolene Droid Lubricant');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '66', 'durindfire', 'Durindfire');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '67', 'dustcrepe', 'Dustcrepe');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '68', 'dweezel', 'Dweezel');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '69', 'edible_berries', 'Jar of Foraged Berries');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '70', 'edible_bugs', 'Jar of Foraged Bugs');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '71', 'edible_fungus', 'Jar of Foraged Fungus');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '72', 'edible_funk', 'Jar of Foraged Grubs');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '73', 'edible_livers', 'Jar of Foraged Livers');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '74', 'eggs', 'Eggs');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '75', 'elshandruu_pica_thundercloud', 'Elshandruu Pica Thundercloud');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '76', 'endorian_bark_tea', 'Endorian Bark Tea');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '77', 'exo_protein_wafers', 'Exo-Protein Wafers');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '78', 'eyeblaster', 'Eyeblaster');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '79', 'felbar', 'Felbar');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '80', 'fire_stew', 'Fire Stew');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '81', 'flameout', 'Flameout');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '82', 'food_additive_heavy', 'Heavy Food Additive');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '83', 'food_additive_light', 'Light Food Additive');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '84', 'food_additive_medium', 'Medium Food Additive');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '85', 'food_basket', 'Food Basket');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '86', 'foraged_fruit_1', 'Maroj Melon');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '87', 'foraged_fruit_2', 'Wild Snaff');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '88', 'foraged_fruit_3', 'Alever Tweth\'pek');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '89', 'foraged_fruit_4', 'Ko-Do Fruit');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '90', 'foraged_fruit_5', 'Sijjo Sewi');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '91', 'foraged_vegetable_1', 'Schule Nef');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '92', 'foraged_vegetable_2', 'Flurr-Cle Onion');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '93', 'foraged_vegetable_3', 'Etost\'Ew Zann');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '94', 'foraged_vegetable_4', 'Sosi Hodor');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '95', 'force_melon', 'an Aurilian fruit');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '96', 'fried_endwa', 'Fried Endwa');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '97', 'fruit', 'Fruit');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '98', 'fruit_fizz', 'Fruit Fizz');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '99', 'fruit_melon', 'Melon');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '100', 'garrmorl', 'Garrmorl');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '101', 'giant_mushroom', 'Giant Mushroom');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '102', 'giggledust', 'Giggledust');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '103', 'glazed_glucose_pate', 'Glazed Glucose Pate');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '104', 'gorrnar', 'Gorrnar');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '105', 'gourd', 'Gourd');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '106', 'gralinyn_juice', 'Gralinyn Juice');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '107', 'grey_gabaki', 'Grey Gabaki');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '108', 'gruuvan_shaal', 'Gruuvan Shaal');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '109', 'gunjack', 'Gunjack');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '110', 'havla', 'Havla');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '111', 'hot_chocolate', 'Hot Chocolate');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '112', 'ice_blaster', 'Ice Blaster');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '113', 'imported_angerian_fishak_surprise', 'Angerian Fishak Surprise (Imported)');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '114', 'imported_elshandruu_pica_thundercloud', 'Elshandruu Pica Thundercloud (Imported)');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '115', 'imported_gralinyn_juice', 'Gralinyn Juice (Imported)');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '116', 'imported_jaar', 'Jaar (Imported)');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '117', 'imported_jawa_beer', 'Jawa Beer (Imported)');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '118', 'imported_savareen_brandy_stinger', 'Savareen Brandy Stinger (Imported)');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '119', 'imported_skannbult_likker', 'Skannbult Likker (Imported)');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '120', 'imported_tarine_tea', 'Tarine Tea (Imported)');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '121', 'imported_tatooine_sunburn', 'Tatooine Sunburn (Imported)');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '122', 'imported_tssolok', 'T\'ssolok (Imported)');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '123', 'imported_utozz', 'Utozz (Imported)');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '124', 'imported_vlizz_kick', 'Vlizz Kick (Imported)');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '125', 'ithorian_mist', 'Ithorian Mist');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '126', 'jaar', 'Jaar');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '127', 'jawa_beer', 'Jawa Beer');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '128', 'jawa_juice', 'Jawa Juice');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '129', 'jerky', 'Jerky');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '130', 'kanali_wafers', 'Kanali Wafers');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '131', 'karkan_ribenes', 'Karkan Ribenes');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '132', 'kiwik_clusjo_swirl', 'Kiwik Clusjo Swirl');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '133', 'ksaa', 'K\'saa');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '134', 'kylessian_fruit_distillate', 'Kylessian Fruit Distillate');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '135', 'large_avian', 'Large Avian Meat');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '136', 'large_fish', 'Large Fish');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '137', 'large_sausage', 'Large Sausage');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '138', 'leena', 'Leena');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '139', 'lollipop', 'Lollipop');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '140', 'lopez_softdrink', 'Lopez Softdrink');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '141', 'mad_mrelf', 'Mad Mrelf');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '142', 'mandalorian_wine', 'Mandalorian Wine');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '143', 'meat_kabob', 'Meat');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '144', 'meat_loaf', 'Meat Loaf');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '145', 'meat_skewer', 'Meat Skewer');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '146', 'meatlump', 'Meatlump');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '147', 'meaty_nuggets', 'Meaty Nuggets');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '148', 'melon', 'Melon');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '149', 'milk', 'Milk');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '150', 'muon_gold', 'Muon Gold');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '151', 'nanana_twist', 'Nanana Twist');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '152', 'naris_bud_tea', 'Naris Bud Tea');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '153', 'neutron_pixey', 'Neutron Pixie');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '154', 'ormachek', 'Ormachek');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '155', 'para_roll', 'Para Roll');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '156', 'parwan_nutricake', 'Parwan Nutricake');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '157', 'pastebread', 'Pastebread');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '158', 'patot_panak', 'Patot Panak');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '159', 'pawei_juice', 'Pawei Juice');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '160', 'pie', 'Pie');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '161', 'pikatta_pie', 'Pikatta Pie');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '162', 'pizza', 'Pizza');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '163', 'pkneb', 'Caramelized Pkneb');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '164', 'protato', 'Protato');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '165', 'puffcake', 'Puffcake');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '166', 'puk', 'Puk');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '167', 'pyollian_cake', 'Pyollian Cake');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '168', 'pyrepenol', 'Pyrepenol');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '169', 'rack_of_meat', 'Rack of Meat');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '170', 'ragnook_spring_water', 'Ragnook Spring Water');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '171', 'rakririan_burnout_sauce', 'Rakririan Burnout Sauce');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '172', 'ramorrean_capanata', 'Ramorrean Capanata');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '173', 'rations', 'K-18 Rations');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '174', 'red_dwarf', 'Red Dwarf Beer');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '175', 'renan_irongut', 'Renan Irongut');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '176', 'retsu', 'Retsu');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '177', 'ribs', 'Ribs');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '178', 'ruby_bliel', 'Ruby Bliel');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '179', 'ryshcate', 'Ryshcate');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '180', 'sandwhich', 'Sandwich');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '181', 'sandwich', 'Sandwich');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '182', 'sausage_links', 'Sausage Links');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '183', 'scramjet', 'Scramjet');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '184', 'scrimpi', 'Scrimpi');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '185', 'sedative_h4b', 'Sedative H4b');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '186', 'shadowpaw', 'Shadowpaw');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '187', 'shot', 'A Shot');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '188', 'sith_scorcher', 'Sith Scorcher');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '189', 'skannbult_likker', 'Skannbult Likker');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '190', 'sliced_meats', 'Sliced Meats');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '191', 'small_avian', 'Small Avian Meat');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '192', 'smugglers_delight', 'Smuggler\'s Delight');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '193', 'snig', 'Snig');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '194', 'soup', 'Soup');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '195', 'soypro', 'Soypro');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '196', 'spiced_tea', 'Spiced Tea');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '197', 'starshine_special', 'Starshine Special');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '198', 'starshine_surprise', 'Starshine Surprise');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '199', 'stewed_gwouch', 'Stewed Gwouch');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '200', 'stimufrost_drink', 'Stim-u-Frost');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '201', 'sullustan_gin', 'Sullustan Gin');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '202', 'sweesonberry_rolls', 'Sweesonberry Rolls');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '203', 'sweet_cake_mix', 'Sweet Cake Mix');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '204', 'sweetblossom', 'Sweetblossom');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '205', 'synthsteak', 'Synthsteak');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '206', 'talmog', 'Talmog');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '207', 'tarkenian_nightflower', 'Tarkenian Nightflower');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '208', 'tatooine_sunburn', 'Tatooine Sunburn');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '209', 'tea', 'Tea');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '210', 'teltier_noodles', 'Teltier Noodles');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '211', 'terratta', 'Terratta');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '212', 'thakitillo', 'Thakitillo');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '213', 'thruster_head', 'Thruster Head');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '214', 'till_tiil', 'T\'ill-t\'iil');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '215', 'till_till', 'T\'ill-t\'iil');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '216', 'tilla_tiil', 'T\'illa-T\'iil');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '217', 'tranna_nougat_cream', 'Tranna Nougat Cream');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '218', 'travel_biscuits', 'Travel Biscuits');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '219', 'tray_of_cookies', 'Tray of Cookies');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '220', 'tray_of_muffins', 'Tray of Muffins');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '221', 'tray_of_pastry', 'Tray of Pastries');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '222', 'trimpian', 'Trimpian');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '223', 'triple_meat_wrap', 'Triple Meat Wrap');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '224', 'trooperbreath', 'TrooperBreath');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '225', 'tssolok', 'T\'ssolok');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '226', 'turbofizz', 'TurboFizz');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '227', 'twistler', 'Twistler');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '228', 'vagnerian_canape', 'Vagnerian Canape');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '229', 'vasarian_brandy', 'Vasarian Brandy');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '230', 'vayerbok', 'Vayerbok');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '231', 'vegeparsine', 'Vegeparsine');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '232', 'vegetable', 'Vegetable');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '233', 'vegetarian_dish', 'Vegetarian Dish');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '234', 'veghash', 'Veghash');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '235', 'vercupti', 'Vercupti of Agazza Boleruuee');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '236', 'vercupti_buff', 'Fortitude of the Gungan Warlords');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '237', 'veronian_berry_wine', 'Veronian Berry Wine');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '238', 'wastril_bread', 'Wastril Bread');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '239', 'water', 'Water');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '240', 'wedding_cake', 'Wedding Cake');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '241', 'wheel_of_cheese', 'Wheel of Cheese');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '242', 'won_won', 'Won-Won');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '243', 'xermaauc', 'Xermaauc');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '244', 'yarrock', 'Yarrock');
INSERT INTO `client_strings` VALUES ('string/en/food_name.stf', '245', 'zoochberry', 'Zoochberry Juice');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '1', 'experience_granted', 'You have gained %DI Force Rank experience.');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '2', 'experience_lost', 'You have lost %DI Force Rank experience.');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '3', 'rank_lost', 'You have been demoted to %TO.');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '4', 'rank_gained', 'You have achieved the Enclave rank of %TO.');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '5', 'no_cluster_data_returned', 'No information found.');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '6', 'council_joined', 'You have joined the %TO.\n\n(Note: You can use /showCouncilRank to see the hierarchy.)');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '7', 'vote_status', 'Voting Status');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '8', 'insufficient_rank_vote', 'You have insufficient rank in order to vote.');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '9', 'record_vote', 'Record Vote');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '10', 'accept_promotion', 'Accept Promotion');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '11', 'vote_status_select', 'Select the rank whose status you wish to view.');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '12', 'rank_selection', 'Rank Selection');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '13', 'vote_record_select', 'Select the rank for which you wish to record your vote.');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '14', 'vote_promotion_select', 'Select the rank for which you wish to accept a promotion.');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '15', 'invalid_rank_selected', 'That is an invalid rank.');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '16', 'petition_open', 'Petitioning Open');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '17', 'voting_open', 'Voting Open');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '18', 'acceptance_open', 'Aceptance Open');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '19', 'voting_closed', 'Voting Closed');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '20', 'voting_not_open', 'Voting for that rank is not currently open.');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '21', 'cant_vote_for_rank', 'You are not allowed to cast votes for promotions to that rank.');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '22', 'noone_to_vote_for', 'There is no one for which to vote.');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '23', 'vote_record_select_player', 'Select the petitioner to whom you wish to promote.');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '24', 'vote_player_selection', 'Petitioner Selection');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '25', 'already_voted', 'You have already voted');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '26', 'vote_cast', 'You cast your vote for %TO.');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '27', 'rank1', '1st Rank');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '28', 'rank2', '2nd Rank');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '29', 'rank3', '3rd Rank');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '30', 'rank4', '4th Rank');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '31', 'rank5', '5th Rank');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '32', 'rank6', '6th Rank');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '33', 'rank7', '7th Rank');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '34', 'rank8', '8th Rank');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '35', 'rank9', '9th Rank');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '36', 'rank10', 'The Council');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '37', 'rank11', 'Council Leader');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '38', 'petition', 'Petition');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '39', 'acceptance_not_open', 'It is not currently time to accept promotions.');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '40', 'not_a_winner', 'You must win the vote before you can accept a promotion.');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '41', 'not_eligible_for_promotion', 'You are not eligible to accept the promotion.  If you can meet the eligibility before the acceptance period expires, you can still receive the promotion.');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '42', 'promotion_accepted', 'You accept the promotion.');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '43', 'petition_not_open', 'Petitioning for this rank is not currently open.');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '44', 'already_petitioning', 'You are already petitioning for this rank.');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '45', 'petitioning_complete', 'You add your name to the list of petitioners.');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '46', 'petitioning_no_room', 'There is already the maximum number of petitioners.');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '47', 'petitioning_not_eligible', 'You are not eligible to petition for this rank.');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '48', 'vote_petition_select', 'Select the rank for which you wish to petition for membership.');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '49', 'vote_time_expired', 'Time has expired for the voting process.');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '50', 'acceptance_time_expired', 'Time has expired for accepting promotions.');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '51', 'petition_time_expired', 'Time has expired for petitioning.');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '52', 'petition_already_have_rank', 'You have already attained this rank.');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '53', 'vote_win_sub', 'Vote Win');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '54', 'vote_win_body', 'Your Enclave peers have decided that you are worthy of a promotion within the  hierarchy.  You should return to your Enclave as soon as possible and select \"Accept Promotion\" at the voting terminal.');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '55', 'vote_win_no_slot_body', 'You have won the vote by your Enclave peers in order to achieve a higher ranking.  Unforuntately, there are no longer any open seats for you to fill.  As a result, you will be offered a chance to accept an open seat the next time one becomes available.');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '56', 'vote_seat_available_sub', 'Enclave Seat Available');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '57', 'vote_seat_available_body', 'A council seat has become available for %TO.  Since you won the last voting session, you may now claim this seat by going to the voting pedestal and selecting \"Accept Promotion\".');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '58', 'vote_last_seat_taken_sub', 'No Available Seats');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '59', 'vote_last_seat_taken_body', 'The last available seat for %TO has been filled.  When another becomes available, you will be notified.  As long as you remain eligible for %TO, you will be able to accept the promotion without a further vote.');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '60', 'demote_xp_debt_sub', 'Enclave Demotion');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '61', 'demote_xp_debt_body', 'You have been demoted for failing to fulfill your Enclave duties.\n');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '62', 'vote_missed_sub', 'Vote Missed');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '63', 'vote_missed_body', 'You have missed a promotion vote for %TO.  As a result, you have lost %DI Force Ranking experience.\n\n(Note: This loss may not take effect until your next login.)');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '64', 'council_left', 'You have left the %TO.');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '65', 'rank0', 'Rank Member');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '66', 'demote_member', 'Demote Lower Tier Member');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '67', 'demote_select_rank', 'Select the rank whose member you wish to demote.');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '68', 'demote_too_low_rank', 'You must be at least two Tiers higher than that of the rank you wish to demote.  The Council Leader may demote anyone.');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '69', 'demote_too_soon', 'You cannot demote a member for another %TO');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '70', 'no_players_in_rank', 'There are no members in that rank.');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '71', 'demote_select_player', 'Select the member that you wish to demote.  Once you make this selection, it may not be undone.');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '72', 'demote_selection', 'Demote Selection');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '73', 'invalid_selection', 'That is an invalid selection.');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '74', 'demote_player_changed_rank', 'That member\'s rank has changed since you have made your selection.');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '75', 'insufficient_experience', 'You do not have enough experience to cover the %DI cost without losing a rank.');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '76', 'demote_player_complete', 'You demote %TO.');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '77', 'demote_request_sub', 'Demotion Declaration');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '78', 'demote_request_body', 'Using Rank privilege, %TO has demoted you one rank.');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '79', 'xp_maintenace_sub', 'Enclave Duty');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '80', 'xp_maintenance_body', 'You have lost %DI Force Rank experience.  All members of Rank 1 or higher must pay experience each day to remain in their current positions.\n\n(Note: This loss may not take effect until your next login.)');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '81', 'promotion_already_have_rank', 'You have already achieved this rank.');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '82', 'promotion_accepted_body', '%TT has accepted a promotion into %TO.');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '83', 'promotion_accepted_sub', 'Promotion Accepted');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '84', 'demote_request_sub_rank', 'Notice of Demotion');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '85', 'demote_request_body_rank', 'Using Rank privilege, %TU has demoted %TT by one rank.');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '86', 'acceptance_expired_sub', 'Acceptance Period Expired');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '87', 'acceptance_expired_body', 'Your deadline for accepting a promotion to %TO has passed.  You will have to petition and then win another vote in order to achieve this rank.');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '88', 'items_recovered', 'You have been issued a new set of Jedi rank items from the terminal.');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '89', 'recover_jedi_items', 'Recover Jedi Items');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '90', 'vote_cycle_begun_sub', 'Voting Has Begun');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '91', 'vote_cycle_begun_body', 'Voting has started for promotions into %TO.  It is part of your Enclave duties to cast your vote for the petitioner who you deem most worthy.  \n\nVoting time remaining: %TT');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '92', 'challenge_vote_status', 'No-Confidence Vote Status');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '93', 'record_challenge_vote', 'Record No-Confidence Vote');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '94', 'challenge_vote_cancelled_sub', 'No-Confidence Vote Cancelled');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '95', 'challenge_vote_cancelled_body', 'The no-confidence vote on %TO has been cancelled due to a change in the member\'s ranking.');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '96', 'challenge_vote_success_sub', 'No-Confidence Vote Succeeds');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '97', 'challenge_vote_success_body', 'The vote against %TT has succeeded with %TO votes for and %DI votes against.');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '98', 'challenge_vote_fail_sub', 'No-Confidence Vote Failed');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '99', 'challenge_vote_fail_body', 'The vote against %TT has failed to pass with %TO votes for and %DI votes against.\n(Note that for a vote to succeed,  two-thirds or more must be for it.)');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '100', 'no_challenge_votes', 'There are not any active no-confidence votes at this time.');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '101', 'challenge_vote_status_title', 'No-Confidence Vote Status');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '102', 'challenge_vote_status_select', 'Select a no-confidence challenge you wish to view.');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '103', 'challenge_vote_record_vote', 'Select the no-confidence challenge for which you wish to vote.');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '104', 'challenge_vote_record_vote_title', 'No-Confidence Voting');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '105', 'vote_for', 'For');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '106', 'vote_against', 'Against');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '107', 'vote_failed', 'The vote as failed due to an internal error.');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '108', 'challenge_vote_success', 'You have successfully cast your no-confidence vote.');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '109', 'issue_challenge_vote', 'Issue No-Confidence Vote');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '110', 'challenge_vote_select_name_title', 'No-Confidence Vote Selection');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '111', 'challenge_vote_select_name', 'Select the name of the Jedi you wish to issue a no-confidence challenge vote.  The cost of calling for such a vote is 1000 Force Rank experience per rank challenged.  If successful that Jedi will be demoted one rank.');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '112', 'vote_challenge_not_correct_rank', 'You can only issue a no-confidence challenge against one rank above your own.');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '113', 'vote_challenge_not_enough_xp', 'You do not have enough Force Rank experience to issue a no-confidence challenge.  Note that you can not spend experience if it would cause you to lose rank.');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '114', 'vote_challenge_already_challenged', '%TO is already in the process of a no-confidence challenge.');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '115', 'vote_challenge_initiated', 'You issue a no-confidence challenge against %TO.');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '116', 'challenge_vote_begun_sub', 'No-Confidence Challenge Begun');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '117', 'challenge_vote_begun_body', '%TT has initiated a no-confidence challenge vote against %TO.  It is your Enclave duty to vote for or against this motion as soon as possible.');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '118', 'no_challenge_vote_low_rank', 'You must be at least Rank 1 in order to issue a no-confidence challenge vote.');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '119', 'no_challenge_vote_leader', 'As the Council Leader, you cannot issue a no-confidence challenge vote.');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '120', 'challenge_too_soon', 'You cannot issue a no-confidence challenge against another member for another %TO');
INSERT INTO `client_strings` VALUES ('string/en/force_rank.stf', '121', 'vote_challenge_too_many', 'There are already a maximum number of no-confidence challenges active.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '1', 'armor', 'A diagram study of the RIS Armor.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '2', 'bacta_tank', 'A large bacta tank, unusable, but interesting none the less.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '3', 'bar_piece_curve_s1', 'A bar countertop.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '4', 'basket_closed', 'This is a closed basket, used for display.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '5', 'bestine_history_quest_painting', 'A unique painting. This photorealistic painting, no longer in regular circulation, depicts an artist\'s rendition of a star being revealed as it emerges from behind a planet.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '6', 'bestine_quest_imp_banner', 'An imperial banner. The banner is meant to be used as a house decoration for the proud citizen of the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '7', 'bestine_quest_painting', 'A rare painting depicting an Imperial prison, shadowed by an omnious storm.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '8', 'bestine_quest_rug', 'A well-made rug given as a gift from Sean Trenwell. The rug would be perfect for many a house, providing comfort and style to any dwelling.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '9', 'bestine_quest_statue', 'A large statue meant to be used as a house decoration. Attached to the statue is a small inscription which reads: \"Sean Trenwell, Director of Commerce\".');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '10', 'bio_orange', 'A picture of a genetically enhanced creature.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '11', 'bottle_fat', 'This is a fat glass bottle.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '12', 'bottle_pear', 'This is a pear shaped glass bottle.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '13', 'bottle_tall', 'This is a tall glass bottle.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '14', 'bubble_tank', 'This is a decorative bubble tank.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '15', 'bw_stormtrooper', 'A stylized picture of a close up Stormtrooper helm.  The text reads \"No Division\".');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '16', 'campfire', 'This is a decorative campfire.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '17', 'cargoport', 'This is a blueprint poster of a cargo port.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '18', 'carved_bowl', 'This is a carved bowl.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '19', 'dance_party', 'This appears to be an advertisement for some kind of celebration, though it\'s hard to say how old it might be, and the text doesn\'t seem to make any sense.  Perhaps it\'s slang?');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '20', 'diagnostic_screen', 'This is a diagnostic screen.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '21', 'double_helix', 'Genetically enhanced creatures attached by a DNA strand.  This obviously belongs in the office of a bio-engineering company.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '22', 'droid_bright', 'This picture is obviously done by an artist learning a new style.  The color choices are unique, and make the painting almost unbearable to look at.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '23', 'foodcart', 'A foodcart.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '24', 'freedom', 'This painting is a contradiction in terms.  The text on top reads \"Glorious Sacrifice\"  and at the bottom \"Freedom isn\'t Free\".  The picture doesn\'t seem to go with the text, almost as though it were changed in a rush.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '25', 'frn_all_banner_rebel', 'A small banner displaying the Rebellion insignia.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '26', 'frn_armoire', 'An armoire.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '27', 'frn_art', 'A work of art.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '28', 'frn_bed_large', 'A large bed.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '29', 'frn_bed_small', 'A small bed.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '30', 'frn_bookcase', 'A bookcase.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '31', 'frn_cabinet', 'A cabinet.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '32', 'frn_camp_stool_short', 'A short camp stool.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '33', 'frn_camp_stool_tall', 'A tall camp stool');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '34', 'frn_chair', 'A chair.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '35', 'frn_chair_kitchen', 'A kitchen chair.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '36', 'frn_chair_metal', 'A metal chair.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '37', 'frn_chair_recliner', 'A reclining chair.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '38', 'frn_chair_upholstered', 'An upholstered chair.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '39', 'frn_chair_wooden', 'A wooden chair.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '40', 'frn_chest', 'A chest.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '41', 'frn_coffee_table', 'A coffee table.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '42', 'frn_command_console', 'A command console of some kind.  There are buttons here that can be pressed...');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '43', 'frn_console', 'A technical console.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '44', 'frn_cot', 'A camp cot.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '45', 'frn_couch', 'A couch.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '46', 'frn_couch_divan', 'A divan.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '47', 'frn_couch_futon', 'A futon.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '48', 'frn_couch_large', 'A large couch.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '49', 'frn_couch_small', 'A small couch.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '50', 'frn_crate', 'A storage crate.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '51', 'frn_data_terminal', 'A data terminal.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '52', 'frn_dented_drum', 'A damaged metal drum.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '53', 'frn_desk', 'A desk.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '54', 'frn_dining_table', 'A dining table.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '55', 'frn_droid_detector', 'A droid detection device.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '56', 'frn_end_table', 'An end table.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '57', 'frn_jedi_chair', 'An Ornate Chair');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '58', 'frn_jedi_throne', 'A Majestic Throne');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '59', 'frn_lamp_candlestick', 'A candle.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '60', 'frn_lamp_desk', 'A desk lamp.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '61', 'frn_lamp_free', 'A free-standing lamp.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '62', 'frn_lamp_table', 'A table-top lamp.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '63', 'frn_lawn_chair', 'A lawn chair');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '64', 'frn_light', 'A durasteel filament lantern.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '65', 'frn_love_seat', 'A loveseat.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '66', 'frn_metal_crate', 'A small metal storage crate.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '67', 'frn_ottoman', 'An ottoman.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '68', 'frn_partition_cloth_horizontal_large', 'A decorative panel of horizontal alignment made out of cloth. Size large.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '69', 'frn_partition_cloth_horizontal_small', 'A decorative panel of horizontal alignment made out of cloth. Size small.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '70', 'frn_partition_cloth_vertical_large', 'A decorative panel of vertical alignment made out of cloth. Size large.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '71', 'frn_partition_cloth_vertical_small', 'A decorative panel of vertical alignment made out of cloth. Size small.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '72', 'frn_partition_horizontal_large', 'A decorative panel of horizontal alignment. Size large.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '73', 'frn_partition_horizontal_small', 'A decorative panel of horizontal alignment. Size small.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '74', 'frn_partition_vertical_large', 'A decorative panel of vertical alignment. Size large.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '75', 'frn_partition_vertical_small', 'A decorative panel of vertical alignment. Size small.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '76', 'frn_potted_plant', 'A potted plant.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '77', 'frn_rug_01', 'A fine woven rug.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '78', 'frn_searchable_desk_01', 'A desk used for business. The desk may have valuable items and is able to be searched.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '79', 'frn_searchable_desk_02', 'A desk used for business. The desk may have valuable items and is able to be searched.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '80', 'frn_sofa_chair', 'A sofa chair.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '81', 'frn_storage_drums', 'Small storage drums.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '82', 'frn_table', 'A table.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '83', 'frn_table_small', 'A small table.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '84', 'frn_tato_cafe_chair', 'A cafe chair.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '85', 'frn_tato_cafe_parasol', 'A cafe parasol.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '86', 'frn_tato_cafe_table', 'A cafe table.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '87', 'frn_tato_cantina_seat_large', 'A large cantina seat.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '88', 'frn_tato_cantina_seat_small', 'A small cantina seat.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '89', 'frn_tato_cantina_seat_worn', 'A worn cantina seat.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '90', 'frn_tato_cantina_table', 'A cantina table.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '91', 'frn_tato_fruit_stand_large', 'A large fruit-stand.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '92', 'frn_tato_fruit_stand_small', 'A small fruit stand.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '93', 'frn_tato_meat_rack', 'A rack of cured meats.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '94', 'frn_tato_vase', 'An ornamental vase.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '95', 'frn_tent', 'A tent.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '96', 'frn_throwpillow', 'A throw pillow.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '97', 'frn_toolchest', 'A toolchest.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '98', 'frn_torch', 'A torch.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '99', 'fruit_assorted', 'This is a set of preserved fruits arranged in a display.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '100', 'generic_bench', 'A bench.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '101', 'han_wanted', 'This is a wanted poster for notorious rebel pilot, Han Solo.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '102', 'hanging_planter', 'This is a hanging plant.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '103', 'kitchen_utensils', 'This is a set of kitchen utensils.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '104', 'leia_wanted', 'This is a wanted poster for Princess Leia, a noblewoman who is a known leader of the Rebellion against the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '105', 'luke_wanted', 'This is a wanted poster for Rebel Pilot Luke Skywalker.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '106', 'lytus_family_artefact', 'A artefact from the noble Lytus family.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '107', 'painting_agrilat_s01', 'A landscape of the swamps of Agrilat, done by an unknown artist.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '108', 'painting_blueleaf_temple', 'A painting of the Blue Leaf temple.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '109', 'painting_blumbush', 'A painting of a blumbush.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '110', 'painting_boffa', 'A painting of a boffa plant.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '111', 'painting_bothan_f', 'A famous painting of a Bothan female, done by legendary artist Bahzel.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '112', 'painting_bothan_m', 'A famous painting of a Bothan male, done by legendary artist Bahzel.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '113', 'painting_fighter_pilot_human_01', 'This picture is of a human star pilot, preparing for battle presumably.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '114', 'painting_food_baking_s01', 'This poster is meant to be hung in a kitchen, and shows a few completed food items.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '115', 'painting_food_baking_s02', 'This poster is meant to be hung in a kitchen, and shows food items.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '116', 'painting_golden_flower_01', 'An abstract painting of golden petals - first of the series.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '117', 'painting_golden_flower_02', 'An abstract painting of golden petals - second of the series.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '118', 'painting_golden_flower_03', 'An abstract painting of golden petals - third of the series.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '119', 'painting_house', 'A painting of a residential house.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '120', 'painting_human_f', 'This famous portrait of a beautiful saddened human female was possibly done by the artist Venthan Chassu, though it\'s never been proven officially.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '121', 'painting_kite_plant', 'A still life of a Kite plant.  Rumor has it that the legendary artist Bahzel may have done this painting.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '122', 'painting_krayt_skeleton', 'A painting of a krayt dragon skeleton.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '123', 'painting_lucky_despot', 'A painting of the Lucky Despot wreckage.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '124', 'painting_mattberry', 'A painting of a mattberry plant.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '125', 'painting_moncal_eye_01', 'A painting of a Mon Calamari Eye - first of the series.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '126', 'painting_moncal_eye_02', 'A painting of a Mon Calamari Eye - second of the series.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '127', 'painting_nebula_orchid', 'This still life is of a plant called the Nebula Orchid.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '128', 'painting_palowick_ad', 'An advertisement for a Pa\'lowick musician.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '129', 'painting_planet_01', 'This painting makes excellent use of light.  It was probably done by the Mon-Calamari master Yeliab.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '130', 'painting_rainbow_berry_bush', 'A painting of a rainbow berry bush.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '131', 'painting_raventhorn', 'A painting of a raventhorn plant.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '132', 'painting_rodian_f', 'This painting was done by Ob Khaddar, the mysterious artist who disappeared after the Emperor put a death mark on his head.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '133', 'painting_rodian_f_ad_01', 'This is an advertisement for an alcoholic beverage called \"Corellian Twister\".  The slogan reads \"Where the Fun\'s At.\"');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '134', 'painting_rodian_m', 'This painting was done by Ob Khaddar, the mysterious artist who disappeared after the Emperor put a death mark on his head.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '135', 'painting_ronka', 'A painting of a ronka plant.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '136', 'painting_schematic_droid', 'This poster shows the schematics of a Mouse Droid, or MSE-6 type droid.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '137', 'painting_schematic_transport_ship', 'This poster shows the schematic for a transport ship.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '138', 'painting_schematic_weapon', 'This poster shows the schematics of a Turret.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '139', 'painting_schematic_weapon_s03', 'This poster shows the schematics for a Block Turret.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '140', 'painting_smoking_ad', 'This advertisement appears to be unfinished.  Either that or the company that created it forgot to put the product they were advertising anywhere on the picture.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '141', 'painting_tato_s03', 'This landscape of a single tree is amateurish at best, and was probably done by an art student.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '142', 'painting_tato_s04', 'This poster is of the kind found in Star Ports all across the galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '143', 'painting_trandoshan_m', 'This painting was done by the Hutt artist Dreyba.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '144', 'painting_trandoshan_m1', 'This painting was done by Dreyba the Hutt.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '145', 'painting_trees_s01', 'In the tradition of Life Day, this painting depicts the landscape of the Wookiee homeworld Kashyyyk. It was probably painted by memory as part of a Life Day remembrance ceremony.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '146', 'painting_twilek_f', 'A portrait of a female Twi\'lek.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '147', 'painting_twilek_m', 'This painting was done by Furva Keill, and was supposedly inspired by his dealings with Bib Fortuna, Jabba the Hutt\'s major domo.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '148', 'painting_vet_01', 'Cast Wing in Flight, given for the one year anniversary of Star Wars Galaxies');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '149', 'painting_vet_02', 'Decimator, given for the one year anniversary of Star Wars Galaxies');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '150', 'painting_vet_03', 'Tatooine Dune Speeder, given for the one year anniversary of Star Wars Galaxies');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '151', 'painting_vet_04', 'Weapon of War, given for the one year anniversary of Star Wars Galaxies');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '152', 'painting_vet_05', 'Fighter Study, given for the one year anniversary of Star Wars Galaxies');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '153', 'painting_vet_06', 'Hutt Greed, given for the one year anniversary of Star Wars Galaxies');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '154', 'painting_vet_07', 'Smuggler\'s Run, given for the one year anniversary of Star Wars Galaxies');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '155', 'painting_vet_08', 'Imperial Oppression (TIE Oppressor), given for the one year anniversary of Star Wars Galaxies');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '156', 'painting_vet_09', 'Emperor\'s Eyes (TIE Sentinel), given for the one year anniversary of Star Wars Galaxies');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '157', 'painting_wookiee_f', 'In the tradition of Life Day, this painting represents a family matriarch who has passed away.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '158', 'painting_wookiee_m', 'In the tradition of Life Day, this painting represents a family patriarch who has passed away.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '159', 'painting_zabrak_f', 'A portrait of Lady T\'Inia, the wife of a Zabrak warrior of some reknown.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '160', 'painting_zabrak_m', 'A portrait of High Commander T\'Inia, recently commissioned for a Zabrak warrior of some reknown.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '161', 'park_bench', 'This is a bench, like the kind you\'d find in a park.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '162', 'pitcher_full', 'This is a pitcher full of liquid.  Probably water.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '163', 'plain_bowl', 'This is a plain bowl.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '164', 'portable_stove', 'This is a small portable stove.  Though it has all its components it doesn\'t appear to work.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '165', 'radio', 'This is a radio.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '166', 'sarlacc', 'The Sarlacc is a gruesome, omnivorous, immobile beast almost entirely concealed beneath the desert sands. Only its foul mouth extends to the surface, ringed with grasping tentacles ready to pull any prey unfortunate to fall into the shifting sands. Because of its isolation, the Sarlacc rarely feeds, as it must rely on animals that stumble into the pit. As such, it has evolved an extremely efficient digestive process. According to lore, the stomach pit of the Sarlacc keeps its prey alive for a thousand years, slowly dissolving its meal into needed nutrients, while the hapless victim is kept alive in searing, endless agony. ');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '167', 'shisa', 'A shisa.  Like the one in Jabba\'s Palace.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '168', 'skeleton_human', 'A human skeleton.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '169', 'skyscraper', 'A blueprint poster of a skyscraper to be built on Coronet.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '170', 'slave_brazier', 'This is a decorative brazier.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '171', 'spear_rack', 'A decorative rack of weapons.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '172', 'squill_lair', 'A squill lair. Upon further investigation, you can see a skull inside. The skull seems as if it would be important to someone. Maybe you can search it somehow?');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '173', 'starmap', 'A stylized painting of a starmap.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '174', 'stuffed_fish', 'This is a fished, stuffed, meant to be used as a display item.  Apparently someone thinks they\'re quite the fisherman...');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '175', 'tanning_hide', 'This is a stretched leather hide, used as a decoration.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '176', 'tatooine_tapestry', 'This is a tapestry with a symbol for Tatooine on it.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '177', 'teras_kasi', 'This is a poster for a Teras Kasi attack known as the \"Spitting Rawl Technique\"');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '178', 'teras_kasi_2', 'This is a poster for a classic Teras Kasi defensive stance.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '179', 'trandoshan_wanted', 'This is a wanted poster for a Trandoshan who has committed atrocities against a Wookiee clan.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '180', 'vader_victory', 'A poster of Lord Darth Vader, with the text \"Victory through Conform\"');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '181', 'valley_view', 'This is a landscape of a view through a valley.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '182', 'victorious_reign', 'This is a propaganda poster showing a Stormtrooper with the text \"Victorious Reign\"');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '183', 'waterfall', 'This is a knock-off or a forgery of an actual painting of the Agrilat region.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '184', 'vet_tech_console_sectional_a', 'A Holonet Databank.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '185', 'vet_darth_vader_toy', 'A miniature replica of Darth Vader.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '186', 'vet_protocol_droid_toy', 'A miniature replica of a protocol droid.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '187', 'vet_r2_toy', 'A miniature replica of an R2 droid.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '188', 'vet_stormtrooper_toy', 'A miniature replica of a Stormtrooper.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '189', 'vet_tie_fighter_toy', 'A miniature replica of a TIE Fighter.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '190', 'vet_x_wing_toy', 'A miniature replica of an X-wing.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '191', 'vet_tech_console_sectional_b', 'A System Readout Terminal.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '192', 'vet_tech_console_sectional_c', 'A Database Input Terminal.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '193', 'vet_data_terminal_s1', 'A Holonet Tracking Console.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '194', 'vet_tech_console_sectional_d', 'A Main Systems Databank.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '195', 'vet_data_terminal_s2', 'A Sample Readout Console.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '196', 'vet_data_terminal_s3', 'A Holonet Terminal.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '197', 'vet_data_terminal_s4', 'A Control Array.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '198', 'vet_couch_falcon_corner_s01', 'YT1300 Passenger Lounge');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '199', 'vet_couch_falcon_section_s01', 'YT1300 Modular Seating.');
INSERT INTO `client_strings` VALUES ('string/en/frn_d.stf', '200', 'vet_jabba_toy', 'A miniature replica of Jabba the Hutt.');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '1', 'armor', 'RIS One-Sheet');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '2', 'bacta_tank', 'Bacta Tank');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '3', 'bar_piece_curve_s1', 'Bar Countertop');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '4', 'bar_piece_curve_s2', 'Bar Countertop');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '5', 'bar_piece_straight_s1', 'Bar Countertop');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '6', 'bar_piece_straight_s2', 'Bar Countertop');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '7', 'basket_closed', 'Closed Basket');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '8', 'bestine_history_quest_painting', 'A Painting');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '9', 'bestine_quest_imp_banner', 'Imperial Banner');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '10', 'bestine_quest_painting', 'Rare Painting');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '11', 'bestine_quest_rug', 'Ornate Rug');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '12', 'bestine_quest_statue', 'Decorative Statue');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '13', 'bio_orange', 'Bio-Engineer Poster');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '14', 'blue_streetlamp', 'Streetlamp - Style 1, Blue');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '15', 'blue_streetlamp_2', 'Streetlamp - Style 2, Blue');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '16', 'blue_streetlamp_3', 'Streetlamp - Style 3, Blue');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '17', 'blue_streetlamp_4', 'Streetlamp - Style 4, Blue');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '18', 'bottle_fat', 'Bottle, fat');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '19', 'bottle_pear', 'Bottle, Pear shaped');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '20', 'bottle_tall', 'Bottle, tall');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '21', 'brazier', 'Brazier');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '22', 'brazier_round', 'Brazier - Round');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '23', 'brazier_square', 'Brazier - Square');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '24', 'bubble_tank', 'Bubble Tank');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '25', 'bw_stormtrooper', 'No Division');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '26', 'campfire', 'Decorative Campfire');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '27', 'cargoport', 'Cargo Port Blueprint');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '28', 'carved_bowl', 'Bowl, carved');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '29', 'counter', 'Countertop');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '30', 'dance_party', 'Party Poster');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '31', 'diagnostic_screen', 'Diagnostic Screen');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '32', 'double_helix', 'Double Helix');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '33', 'droid_bright', 'Droid in Contrast');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '34', 'foodcart', 'Foodcart');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '35', 'fountain', 'Fountain');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '36', 'fountain_circle', 'Circular Fountain');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '37', 'fountain_contemplate', 'Fountain of Contemplation');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '38', 'fountain_heroic', 'Fountain of Heroism');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '39', 'fountain_rectangle', 'Rectangular Fountain');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '40', 'freedom', 'Freedom');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '41', 'frn_all_banner_rebel', 'Rebel Banner');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '42', 'frn_armoire', 'Armoire');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '43', 'frn_art', 'Piece of Art');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '44', 'frn_bar_piece_curve_s1', 'Bar Countertop');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '45', 'frn_bar_piece_curved_s2', 'Bar Countertop');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '46', 'frn_bar_piece_straight_s1', 'Bar Countertop');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '47', 'frn_bar_piece_straight_s2', 'Bar Countertop');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '48', 'frn_bed', 'Bed');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '49', 'frn_bed_large', 'Large Bed');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '50', 'frn_bed_small', 'Small Bed');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '51', 'frn_bookcase', 'Bookcase');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '52', 'frn_cabinet', 'Cabinet');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '53', 'frn_camp_stool_short', 'Short Camp Stool');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '54', 'frn_camp_stool_tall', 'Tall Camp Stool');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '55', 'frn_chair', 'Chair');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '56', 'frn_chair_kitchen', 'Kitchen Chair');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '57', 'frn_chair_metal', 'Metal Chair');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '58', 'frn_chair_metal_s1', 'Squared Metal Chair');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '59', 'frn_chair_recliner', 'Reclining Chair');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '60', 'frn_chair_upholstered', 'Upholstered Chair');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '61', 'frn_chair_wooden', 'Wooden Chair');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '62', 'frn_chest', 'Chest');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '63', 'frn_coffee_table', 'Cafe Table');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '64', 'frn_coffee_table_s01', 'Cheap Cafe Table');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '65', 'frn_command_console', 'Command Console');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '66', 'frn_console', 'Technical Console');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '67', 'frn_cot', 'Cot');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '68', 'frn_couch', 'Couch');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '69', 'frn_couch_divan', 'Divan');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '70', 'frn_couch_futon', 'Futon');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '71', 'frn_couch_large', 'Large Couch');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '72', 'frn_couch_small', 'Small Couch');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '73', 'frn_counter', 'Countertop');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '74', 'frn_crate', 'Storage Crate');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '75', 'frn_data_terminal', 'Data Terminal');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '76', 'frn_dented_drum', 'Damaged Metal Drum');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '77', 'frn_desk', 'Desk');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '78', 'frn_diagnostic_station', 'Diagnostic Station');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '79', 'frn_dining_table', 'Dining Table');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '80', 'frn_droid_detector', 'Droid Detection Device');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '81', 'frn_end_table', 'End Table');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '82', 'frn_end_table_modern_small', 'Small Modern End Table');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '83', 'frn_generic_bench', 'Bench');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '84', 'frn_jedi_chair', 'An Ornate Chair');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '85', 'frn_jedi_throne', 'A Majestic Throne');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '86', 'frn_lamp_candlestick', 'Candle');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '87', 'frn_lamp_candlestick_bestine', 'Candle \'Bestine\'');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '88', 'frn_lamp_candlestick_coronet', 'Candle \'Coronet\'');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '89', 'frn_lamp_candlestick_dearic', 'Candle \'Dearic\'');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '90', 'frn_lamp_candlestick_restuss', 'Candle \'Restuss\'');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '91', 'frn_lamp_candlestick_theed', 'Candle \'Theed\'');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '92', 'frn_lamp_desk', 'Desk Lamp');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '93', 'frn_lamp_desk_bantha', 'Desk Lamp \'Bantha\'');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '94', 'frn_lamp_desk_rancor', 'Desk Lamp \'Rancor\'');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '95', 'frn_lamp_free', 'Free-standing Lamp');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '96', 'frn_lamp_free_azeron', 'Free-standing Lamp \'Azeron\'');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '97', 'frn_lamp_free_blueleaf', 'Free-standing Lamp \'Blueleaf\'');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '98', 'frn_lamp_free_razorcoil', 'Free-standing Lamp \'Razorcoil\'');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '99', 'frn_lamp_free_tallbirch', 'Free-standing Lamp \'Tallbirch\'');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '100', 'frn_lamp_table', 'Table-top Lamp');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '101', 'frn_lamp_table_corellia', 'Table-top Lamp \'Corellia\'');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '102', 'frn_lamp_table_naboo', 'Table-top Lamp \'Naboo\'');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '103', 'frn_lamp_table_tatooine', 'Table-top Lamp \'Tatooine\'');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '104', 'frn_lamp_table_tatt_s01', 'Table-Top Lamp, Style One');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '105', 'frn_lamp_table_tatt_s01_coruscant', 'Table-top Lamp \'Coruscant\'');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '106', 'frn_lawn_chair', 'Lawn Chair');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '107', 'frn_light', 'A lantern');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '108', 'frn_love_seat', 'Loveseat');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '109', 'frn_metal_crate', 'Small Metal Storage Crate');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '110', 'frn_ottoman', 'Ottoman');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '111', 'frn_partition_cloth_horizontal_large', 'Decorative Cloth Panel');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '112', 'frn_partition_cloth_horizontal_small', 'Decorative Cloth Panel');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '113', 'frn_partition_cloth_vertical_large', 'Decorative Cloth Panel');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '114', 'frn_partition_cloth_vertical_small', 'Decorative Cloth Panel');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '115', 'frn_partition_horizontal_large', 'Decorative Panel');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '116', 'frn_partition_horizontal_small', 'Decorative Panel');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '117', 'frn_partition_vertical_large', 'Decorative Panel');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '118', 'frn_partition_vertical_small', 'Decorative Panel');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '119', 'frn_potted_plant', 'Potted Plant');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '120', 'frn_potted_plant_lg_s1', 'Large Potted Plant, Style One');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '121', 'frn_potted_plant_lg_s2', 'Large Potted Plant, Style Two');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '122', 'frn_potted_plant_lg_s3', 'Large Potted Plant, Style Three');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '123', 'frn_potted_plant_lg_s4', 'Large Potted Plant, Style Four');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '124', 'frn_potted_plant_sml_s01', 'Small Potted Plant, Style One');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '125', 'frn_potted_plant_sml_s02', 'Small Potted Plant, Style Two');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '126', 'frn_potted_plant_sml_s03', 'Small Potted Plant, Style Three');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '127', 'frn_potted_plant_sml_s04', 'Small Potted Plant, Style Four');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '128', 'frn_potted_plant_sml_s05', 'Small Potted Plant, Style Five');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '129', 'frn_potted_tree_s1', 'Potted Tree, Style One');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '130', 'frn_potted_tree_s2', 'Potted Tree, Style Two');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '131', 'frn_rug_01', 'Fine Woven Rug');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '132', 'frn_rug_rect_lg_01', 'Large Patterned Woven Rug');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '133', 'frn_rug_rect_m_01', 'Finely Printed Woven Rug');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '134', 'frn_rug_rect_sml_01', 'Patchwork Woven Rug');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '135', 'frn_rug_rnd_lg_01', 'Conservative Round Rug');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '136', 'frn_rug_rnd_m_01', 'Lightly Colored Round Rug');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '137', 'frn_rug_rnd_sml_01', 'Darkly Colored Round Rug');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '138', 'frn_searchable_desk_01', 'A desk');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '139', 'frn_searchable_desk_02', 'A desk');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '140', 'frn_sofa_chair', 'Sofa Chair\n');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '141', 'frn_storage_drums', 'Small Storage Drums');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '142', 'frn_table', 'Table');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '143', 'frn_table_large', 'Large Table');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '144', 'frn_table_small', 'Small Table');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '145', 'frn_tato_cafe_chair', 'Cafe Chair');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '146', 'frn_tato_cafe_parasol', 'Cafe Parasol');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '147', 'frn_tato_cafe_table', 'Cafe Table');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '148', 'frn_tato_cantina_seat_large', 'Large Cantina Seat');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '149', 'frn_tato_cantina_seat_small', 'Small Cantina Seat');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '150', 'frn_tato_cantina_seat_worn', 'Worn Cantina Seat');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '151', 'frn_tato_cantina_table', 'Cantina Table');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '152', 'frn_tato_fruit_stand_large', 'Large Fruit-stand');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '153', 'frn_tato_fruit_stand_small', 'Small Fruit-stand');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '154', 'frn_tato_meat_rack', 'Rack of Cured Meats');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '155', 'frn_tato_vase', 'Ornamental Vase');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '156', 'frn_tent', 'Tent');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '157', 'frn_throwpillow', 'Throw Pillow');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '158', 'frn_toolchest', 'Toolchest');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '159', 'frn_torch', 'Torch');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '160', 'frn_unknown', 'Furniture');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '161', 'frn_workstation', 'Workstation');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '162', 'fruit_assorted', 'Assorted Fruits');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '163', 'generic_bench', 'Bench');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '164', 'green_streetlamp', 'Streetlamp - Style 1, Green');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '165', 'green_streetlamp_2', 'Streetlamp - Style 2, Green');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '166', 'green_streetlamp_3', 'Streetlamp - Style 3, Green');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '167', 'green_streetlamp_4', 'Streetlamp - Style 4, Green');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '168', 'han_wanted', 'Wanted Poster : Han Solo');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '169', 'hanging_planter', 'Hanging Plant');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '170', 'kitchen_utensils', 'Kitchen Utensils');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '171', 'leia_wanted', 'Wanted Poster : Princess Leia Organa');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '172', 'luke_wanted', 'Wanted Poster : Luke Skywalker');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '173', 'lytus_family_artefact', 'Lytus Family Artifact');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '174', 'microphone', 'Microphone');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '175', 'painting_agrilat_s01', 'Landscape of the Agrilat Swamps');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '176', 'painting_blueleaf_temple', 'Painting of the Blue Leaf Temple');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '177', 'painting_blumbush', 'Painting of a Blumbush');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '178', 'painting_boffa', 'Painting of a Boffa Plant');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '179', 'painting_bothan_f', 'Bothan Beauty');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '180', 'painting_bothan_m', 'Bothan Buff');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '181', 'painting_fighter_pilot_human_01', 'Star Pilot');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '182', 'painting_food_baking_s01', 'Poster of Food Preparation');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '183', 'painting_food_baking_s02', 'Poster of Food Preparation');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '184', 'painting_golden_flower_01', 'Abstract Painting of Golden Petals 1');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '185', 'painting_golden_flower_02', 'Abstract Painting of Golden Petals 2');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '186', 'painting_golden_flower_03', 'Abstract Painting of Golden Petals 3');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '187', 'painting_house', 'Painting of a Residential House');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '188', 'painting_human_f', 'Despair\'s Lady');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '189', 'painting_kite_plant', 'Still Life - Kite Plant');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '190', 'painting_krayt_skeleton', 'Painting of a Krayt Dragon Skeleton');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '191', 'painting_lucky_despot', 'Painting of the Lucky Despot Wreckage');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '192', 'painting_mattberry', 'Painting of a Mattberry Plant');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '193', 'painting_moncal_eye_01', 'Painting of a Mon Calamari Eye 1');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '194', 'painting_moncal_eye_02', 'Painting of a Mon Calamari Eye 2');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '195', 'painting_nebula_orchid', 'Still Life of a Nebula Orchid');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '196', 'painting_palowick_ad', 'Advertisement');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '197', 'painting_planet_01', 'Space Painting Sunrise');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '198', 'painting_rainbow_berry_bush', 'Painting of a Rainbow Berry Bush');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '199', 'painting_raventhorn', 'Painting of a Raventhorn Plant');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '200', 'painting_rodian_f', 'Feared');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '201', 'painting_rodian_f_ad_01', 'Advertisement');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '202', 'painting_rodian_m', 'Fighter');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '203', 'painting_ronka', 'Painting of a Ronka Plant');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '204', 'painting_schematic_droid', 'Poster of Mouse Droid Schematic');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '205', 'painting_schematic_transport_ship', 'Poster of a Ship Schematic');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '206', 'painting_schematic_weapon', 'Poster of Turret Schematic');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '207', 'painting_schematic_weapon_s03', 'Poster of Block Turret Schematic');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '208', 'painting_smoking_ad', 'Advertisement');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '209', 'painting_tato_s03', 'Landscape - Tree');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '210', 'painting_tato_s04', 'Travel Advertisement');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '211', 'painting_trandoshan_m', 'Warrior\'s Honor');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '212', 'painting_trandoshan_m1', 'Fighter\'s Courage');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '213', 'painting_trees_s01', 'Life Day Kashyyyk Painting');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '214', 'painting_twilek_f', 'Portrait');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '215', 'painting_twilek_m', 'Whatever It Takes');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '216', 'painting_vet_01', 'Cast Wing in Flight');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '217', 'painting_vet_02', 'Decimator');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '218', 'painting_vet_03', 'Tatooine Dune Speeder');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '219', 'painting_vet_04', 'Weapon of War');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '220', 'painting_vet_05', 'Fighter Study');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '221', 'painting_vet_06', 'Hutt Greed');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '222', 'painting_vet_07', 'Smuggler\'s Run');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '223', 'painting_vet_08', 'Imperial Oppression (TIE Oppressor)');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '224', 'painting_vet_09', 'Emperor\'s Eyes (TIE Sentinel)');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '225', 'painting_wookiee_f', 'Life Day Matriarch Painting');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '226', 'painting_wookiee_m', 'Life Day Patriarch Painting');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '227', 'painting_zabrak_f', 'Portrait of Lady T\'Inia');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '228', 'painting_zabrak_m', 'Portrait of High Commander T\'Inia');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '229', 'park_bench', 'Bench');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '230', 'pitcher_full', 'Pitcher');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '231', 'plain_bowl', 'Bowl, Plain');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '232', 'portable_stove', 'Portable Stove');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '233', 'radio', 'Radio');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '234', 'red_streetlamp', 'Streetlamp - Style 1, Red');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '235', 'red_streetlamp_2', 'Streetlamp - Style 2, Red');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '236', 'red_streetlamp_3', 'Streetlamp - Style 3, Red');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '237', 'red_streetlamp_4', 'Streetlamp - Style 4, Red');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '238', 'sarlacc', 'Sarlacc');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '239', 'shisa', 'Shisa');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '240', 'skeleton_human', 'A human skeleton');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '241', 'skyscraper', 'Coronet Skyscraper Blueprint');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '242', 'slave_brazier', 'Decorative Brazier');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '243', 'spear_rack', 'Weapon Rack');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '244', 'squill_lair', 'A squill lair');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '245', 'starmap', 'Starmap Painting');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '246', 'statue', 'Statue');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '247', 'statue_gungan_head', 'Gungan Head Statue');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '248', 'statue_sentinel_01', 'Sentinel Statue');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '249', 'statue_sentinel_02', 'Regal Battle Statue');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '250', 'statue_tatooine_sunball', 'Tatooine Sun Symbol');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '251', 'statue_weird_01', 'Strange Statue');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '252', 'statue_weird_02', 'Weird Statue');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '253', 'streetlamp', 'Streetlamp');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '254', 'streetlamp_2', 'Streetlamp - Style 2, White');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '255', 'streetlamp_3', 'Streetlamp - Style 3, White');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '256', 'streetlamp_4', 'Streetlamp - Style 4, White');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '257', 'stuffed_fish', 'Trophy Fish');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '258', 'tanning_hide', 'Tanned Hide');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '259', 'tatooine_tapestry', 'Tapestry (Tatooine)');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '260', 'teras_kasi', 'Spitting Rawl');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '261', 'teras_kasi_2', 'Defensive Stance');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '262', 'trandoshan_wanted', 'Wanted Poster : Trandoshan');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '263', 'vader_victory', 'VICTORY');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '264', 'valley_view', 'Valley View');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '265', 'victorious_reign', 'Victorious Reign');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '266', 'waterfall', 'Waterfall');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '268', 'vet_darth_vader_toy', 'Miniature Darth Vader Replica');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '269', 'vet_protocol_droid_toy', 'Miniature Protocol Droid Replica');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '270', 'vet_r2_toy', 'Miniature R2 Droid Replica');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '271', 'vet_stormtrooper_toy', 'Miniature Stormtrooper Replica');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '272', 'vet_tie_fighter_toy', 'Miniature TIE Fighter Replica');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '273', 'vet_x_wing_toy', 'Miniature X-Wing Replica');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '282', 'vet_tech_console_sectional_a', 'Holonet Databank');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '283', 'vet_tech_console_sectional_b', 'System Readout Terminal');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '284', 'vet_tech_console_sectional_c', 'Database Input Terminal');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '285', 'vet_tech_console_sectional_d', 'Main Systems Databank');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '286', 'vet_data_terminal_s1', 'A Holonet Tracking Console');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '287', 'vet_data_terminal_s2', 'A Sample Readout Console ');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '288', 'vet_data_terminal_s3', 'A Holonet Terminal');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '289', 'vet_data_terminal_s4', 'A Control Array');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '290', 'vet_couch_falcon_corner_s01', 'YT1300 Passenger Lounge');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '291', 'vet_couch_falcon_section_s01', 'YT1300 Modular Seating');
INSERT INTO `client_strings` VALUES ('string/en/frn_n.stf', '292', 'vet_jabba_toy', 'Miniature Jabba the Hutt Replica');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '1', 'desc_mouse_surv_droid', 'a surveillance droid with etchings on either side of the exterior');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '2', 'name_mdroid_alpha', 'an \'alpha\' surveillance droid');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '3', 'name_mdroid_beta', 'a \'beta\' surveillance droid');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '4', 'name_mdroid_gamma', 'a \'gamma\' surveillance droid');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '5', 'name_mdroid_delta', 'a \'delta\' surveillance droid');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '6', 'name_mdroid_epsilon', 'an \'epsilon\' surveillance droid');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '7', 'name_mdroid_zeta', 'a \'zeta\' surveillance droid');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '8', 'name_mdroid_eta', 'an \'eta\' surveillance droid');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '9', 'name_mdroid_theta', 'a \'theta\' surveillance droid');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '10', 'name_mdroid_iota', 'an \'iota\' surveillance droid');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '11', 'name_mdroid_kappa', 'a \'kappa\' surveillance droid');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '12', 'name_mdroid_lamda', 'a \'lamda\' surveillance droid');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '13', 'name_mdroid_mu', 'a \'mu\' surveillance droid');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '14', 'name_mdroid_nu', 'a \'nu\' surveillance droid');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '15', 'name_mdroid_xi', 'a \'xi\' surveillance droid');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '16', 'name_mdroid_omikron', 'an \'omikron\' surveillance droid');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '17', 'name_mdroid_pi', 'a \'pi\' surveillance droid');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '18', 'name_mdroid_rho', 'a \'rho\' surveillance droid');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '19', 'name_mdroid_sigma', 'a \'sigma\' surveillance droid');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '20', 'name_mdroid_tau', 'a \'tau\' surveillance droid');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '21', 'name_mdroid_ypsylon', 'an \'ypsylon\' surveillance droid');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '22', 'name_mdroid_phy', 'a \'phy\' surveillance droid');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '23', 'name_mdroid_chi', 'a \'chi\' surveillance droid');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '24', 'name_mdroid_psi', 'a \'psi\' surveillance droid');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '25', 'name_mdroid_omega', 'an \'omega\' surveillance droid');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '26', 'name_mdroid_zed', 'a \'zed\' surveillance droid');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '27', 'name_mdroid_test', 'a \'test\' surveillance droid');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '28', 'expel_shield', 'You are pushed back by an invisible force!  You suspect some sort of shield technology is involved.');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '29', 'shield_remote_interference', 'There is too much electronic interference for this device to work here.');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '30', 'shield_remote_cant_use', 'You don\'t know how to operate this particular remote control model.');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '31', 'shield_remote_wrong_camp', 'The lights on the remote flicker briefly, but nothing happens.  This remote must use an incorrect frequency for this camp.');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '32', 'remote_nothing_happens', 'Nothing happens.  You must be closter to the enemy camp shield generator for that too work.');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '33', 'remote_shield_down_already', 'Althought your remote has the correct frequency for this shield generator, the shield generator has already been powered down by someone else.');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '34', 'remote_shield_down_by_player', 'Althought your remote has the correct frequency for this shield generator, the shield generator has already been powered down by %TT.');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '35', 'remote_powering_down', 'The shield generator appears to be powering down.');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '36', 'camp_defender_1', 'INTRUDERS!');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '37', 'camp_defender_2', 'Find the intruders and slay them!');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '38', 'camp_defender_3', 'We are under attack!  Spread out!');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '39', 'camp_defender_4', 'I shall defend my commander until the death!');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '40', 'camp_defender_5', 'ATTAAAACK!');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '41', 'camp_defender_6', 'The commander has called in reinforcements.  Hold off the intruders until they arrive!!!');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '42', 'camp_defender_7', 'Hold the line!');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '43', 'camp_defender_8', 'Defend the base!  Don\'t let the intruders slip inside!');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '44', 'camp_defender_9', 'You will have to get past me first, scum!');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '45', 'camp_defender_10', 'Running is futile!  You will only die tired.');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '47', 'remote_detail', 'This device looks like it has been contructed by an amateur.  There is no telling how well it might work.');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '48', 'remote_name', 'a shield generator remote');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '49', 'crystal_name', 'a frequence resonance crystal');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '50', 'crystal_detail', 'this resonance crystal must be combined with the correct frequence crystal cache to be of any use');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '51', 'cache_name', 'a resonance crystal cache');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '52', 'cache_detail', 'This crystal caches is used to store frequence resonance crystals - often used in various remote control technologies.');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '53', 'fs_cs_intro_journal_sum', 'Capture Enemy Leadership');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '54', 'fs_cs_intro_journal_detail', 'With several enemy camps on Dathomir, Captain Sarguillo of the Aurilian village has asked you to scout out the locations of these camps.  They could be located anywhere on Dathomir.  Each camp has a shield generator that must be powered down remotely before you can infiltrate the camp.  In order to find the frequency codes for the various shield generators in use at the enemy camps, you must hunt down members of the enemy force and relieve them of any frequence code datadisks they might be carrying.  If you return such a datadisk to Captain Sarguillo, he will give you a remote control configured for the frequency code on the disk.  You may then use this remote to power down the corresponding shield. \n\nOnce you have a remote control device (or you are grouped with someone who has one),  you may attempt to capture the camp\'s commander.   There are two ways to earn credit for this mission:\n\nOption 1:  Power down the shield generator and eliminate at least 5 of the enemy\'s troops afterwards - that should be enough to lure the commander out.  You will also be made personally responsible for making sure the commander gets back safely to Aurilia.  If you perish any time after the shield comes down but before the commander is captured, i.e. you will need to complete \'Option 2\' below, instead of allowing one of your group mates to take on that responsibility. \n\nOption 2:  Join a group with someone who powered down the shield generator and capture the commander.  You must then safely return him to Captain Sarguillo for questioning. \n\nSince the Aurilians value teamwork and comraderie so greatly, you will receive a mission bonus from Captain Sarguillo if you complete this mission with a friend.  To become eligible for the bonus, one of you must power down the shield and one of you must capture the commander. \n\nRemember that the mission is not complete for any participant until the commander is safely returned to the Aurilian village.');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '55', 'fs_cs_kill_guards_sum', 'Kill 5 Enemy Troops');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '56', 'fs_cs_kill_guards_detail', 'Kill at least 5 of the camp\'s defending troops and stay alive until the commander has been captured.');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '57', 'fs_cs_primary_escort_detail', 'You have taken custody of the base commander.  Being a well-trained agent of the Dark Side, he has ingested a quantity of biotoxins in an attempt to end his own life before being captured and interrogated.  Make haste and return the commander to the village before the toxins take their toll on him.  Without medical attention from the Aurilian healers, he will not live to see the interrogation chambers.  You have less than an hour to return him to the village.\n\nIf the commander is not safely returned to the village, no one who has participated in the mission will receive credit.  If you lose custody of the commander, you will lose this mission.');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '58', 'fs_cs_primary_escort_sum', 'Return the Commander to Aurilia');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '59', 'fs_cs_secondary_escort_sum', 'Escort the Commander to Aurilia');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '60', 'fs_cs_secondary_escort_detail', 'The commander has been captured by someone in your group.  You must ensure that he is delivered to Aurilia safe and sound.  Being a well trained agent of the Dark Side, the commander has ingested a quantity of bio toxins in an attempt to end his own life before being captured and interrogated.  If he is not returned to the village for immediate medical attention he will surely perish and your efforts will have been in vain.\n\nIf the commander does not make it to the village, you will not receive credit for this mission.  Should something unspeakable happen to your party member and they can no longer retain custody of the commander, you may recapture the commander if you can catch up with him.  This way you can still receive credit for the mission, even if your partner fails.');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '61', 'fs_cs_accepted', 'You have accepted the mission.');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '62', 'waypoint_datapad_name', 'a waypoint datapad');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '63', 'waypoint_datapad_detail', 'This datapad appears to contain coordinates for some sort of outpost.  The records mention something about shadow of the Sith.');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '64', 'frequency_datapad_name', 'remote frequency codes');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '65', 'frequency_datapad_detail', 'This datapad appears to contain frequency codes for a shield generator.  Return it to Captain Sarguillo at the Aurilian village on Dathomir for more information.');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '66', 'name_rem_alpha', 'an \'alpha\' shield generator remote');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '67', 'name_rem_beta', 'a \'beta\' shield generator remote');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '68', 'name_rem_chi', 'a \'chi\' shield generator remote');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '69', 'name_rem_delta', 'a \'delta\' shield generator remote');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '70', 'name_rem_epsilon', 'an \'epsilon\' shield generator remote');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '71', 'name_rem_eta', 'an \'eta\' shield generator remote');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '72', 'name_rem_gamma', 'a \'gamma\' shield generator remote');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '73', 'name_rem_iota', 'an \'iota\' shield generator remote');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '74', 'name_rem_kappa', 'a \'kappa\' shield generator remote');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '75', 'name_rem_lamda', 'a \'lamda\' shield generator remote');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '76', 'name_rem_mu', 'a \'mu\' shield generator remote');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '77', 'name_rem_omega', 'an \'omega\' shield generator remote');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '78', 'name_rem_omikron', 'an \'omikron\' shield generator remote');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '79', 'name_rem_phy', 'a \'phy\' shield generator remote');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '80', 'name_rem_pi', 'a \'pi\' shield generator remote');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '81', 'name_rem_psi', 'a \'psi\' shield generator remote');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '82', 'name_rem_rho', 'a \'rho\' shield generator remote');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '83', 'name_rem_sigma', 'a \'sigma\' shield generator remote');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '84', 'name_rem_tau', 'a \'tau\' shield generator remote');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '85', 'name_rem_theta', 'a \'theta\' shield generator remote');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '86', 'name_rem_xi', 'a \'xi\' shield generator remote');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '87', 'name_rem_ypsylon', 'a \'ypsylon\' shield generator remote');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '88', 'name_rem_zed', 'a \'zed\' shield generator remote');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '89', 'name_rem_zeta', 'a \'zeta\' shield generator remote');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '90', 'name_rem_nu', 'a \'nu\' shield generator remote');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '91', 'fs_cs_remote_use', 'Activate Remote');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '92', 'fs_remote_fail', 'Nothing happens.');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '93', 'fs_cs_step_intro_complete', 'You have completed the mission step \'Power Down The Shield Generator\'.   The next step is to dispatch at least 5 of the defending enemy forces.  You must also take care to stay alive to oversee the capture of the camp commander.   Failure is not an option.');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '94', 'fs_cs_last_chance_sum', 'Capture the Commander!');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '95', 'fs_cs_last_chance_detail', 'Since you failed to fend off the camp guards, your only chance of completing your mission at this camp is to capture the camp\'s commander yourself and return him safely to Captain Sarguillo in the Aurilian village.  If you choose not to complete your mission at this camp, you may attempt to complete this mission again at a later time. ');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '96', 'fs_remote_dont_have', 'You don\'t have the proper data disk.');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '97', 'camp_commander_capture', 'Capture!');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '98', 'camp_commander_no_auth', 'You do not have the authority to capture the commander.  You must either be the person who powered down the shield generator or be in a group with that person.');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '99', 'camp_last_chance_complete', 'You have captured the commander!  You may still earn credit for this mission if you are able to safely return him to the Aurilian village.');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '100', 'fs_cs_ensure_sum', 'Ensure the Commander Is Captured');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '101', 'fs_cs_ensure_detail', 'Ensure that the commander of the camp is captured.  You can either capture him yourself, or someone on the same mission and in the same group as you can capture him.');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '102', 'fs_primary_escort_fail', 'You have failed to escort the commander back to the Aurilian village and have thus failed your mission.  You may attempt the mission again at another camp.');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '103', 'fs_cs_capd_commander', 'You have taken custody of the base commander.  Ensure the commander\'s safe return to the village of Aurilia.  A waypoint has been added to your datapad.  If the commander is not safely returned to the village before he dies, no one who has participated in this mission will receive credit.  Should you lose custody of the commander, you will fail this mission.');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '104', 'fs_cs_commander_cap_other', 'The commander has been captured by someone in your group other than yourself.  You have failed this mission.  You may attempt this mission again by finding another enemy camp and infiltrating according to your previous instructions.  See your quest journal for details.');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '105', 'fs_cs_escort_commander_sec', 'The commander has been captured by someone in your group.  You must ensure that he is delivered to Aurilia safe and sound.  \n\nIf the commander does not make it to the village, you will not receive credit for this mission.  Should something unspeakable happen to your party member and they can no longer retain custody of the commander, you may recapture the commander if you can catch up with him.  This way you can still receive credit for the mission, even if your partner fails.');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '106', 'fs_cs_recapture', 'Recapture!');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '107', 'fs_cs_quest_done_sum', 'Quest Complete!');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '108', 'fs_cs_quest_done_detail', 'You have completed the mission given to you by the villagers.  As a measure of gratitude you will now be able to receive Melee Accuracy training.  Your other rewards have been placed in your inventory.');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '109', 'commander_death_notify', 'HA HA!  You fools.  I will never divulge my secrets.  *crunch* *swallow*\nI will be dead long before I ever see an interrogation chamber.');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '110', 'remote_break', 'The remote control unit pops and crackles as you use it, eventually burning up.  The remote has been destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '111', 'fs_cs_capd_commander_via_group', 'You have taken custody of the base commander.  Ensure the commander\'s safe return to the village of Aurilia.  A waypoint has been added to your datapad.  If the commander is not safely returned to the village before he dies, no one who has participated in this mission will receive credit.  Should you lose custody of the commander, you will fail this mission.  If you fail the mission, you will be able to attempt it again at another enemy camp.');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '112', 'commander_is_free', 'Your companion has failed!  The commander has escaped and is making a run for it!  Catch him if you can.  You can still earn credit for this mission if you recapture the commander and safely return him to the Aurilian village yourself.');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '113', 'quest_complete', 'The commander has been successfully returned to the Aurilian village for interrogation.  For your efforts, you will now be allowed to train in melee accuracy!  You have also been awarded a special color crystal that may be of use later on down the road as you begin to craft your first lightsaber.');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '114', 'teamwork_bonus', 'As a special bonus for completing this mission alongside a fellow adventurer, displaying unity and teamwork, the Aurilian elder has authorized a special reward for you that will help you in future conflicts.  Your extra reward has also been placed in your inventory.');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '115', 'commander_already_capd', 'This base commander is already being escorted.');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '116', 'commander_died_toxins', 'The commander you were responsible for escorting to the Aurilian village has perished, apparently from ingesting a variety of biotoxins.  You have failed your mission.  You may reattempt your mission at another enemy camp.');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '117', 'commander_pain', 'ARGH!  The pain... terrible... HA HA Ha... argh...');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '118', 'commander_pain2', 'The poison has taken its course.  You meddleso... ARGH!  *cough*');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '119', 'commander_pain3', '*gurgle*');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '120', 'commander_too_far', 'You\'re going to have to get closer than that to recapture the commander!');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '121', 'combat_quest_failed_timeout', 'You have failed to complete your quest on time.  You may try again the next time it becomes available.');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '122', 'quest_logout', 'It appeared that you had abandoned your mission, so you must begin your mission from the start once more.');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '123', 'mission_time_failed', 'You did not extract the commander in time.  The shields have powered back on and you have failed your mission attempt.  You may try again at any time.');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '124', 'rescue1', 'Unhand our commander!');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '125', 'rescue2', 'I shall have your life if you do not release our commander!  STOP RIGHT THERE!');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '126', 'rescue3', 'You will not live to regret the decision to help those meddlesome Aurilians!');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '127', 'rescue4', 'UNHAND THE COMMANDER!');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '128', 'rescue5', 'HALT!  Release our commander, or I will take your life here and now!');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '129', 'rescue6', 'Slay the commander\'s captors!  Leave none alive.');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '130', 'rescue7', 'Let the land be drenched in the blood of those who oppose our will.  FREE THE COMMANDER!');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '131', 'rescue8', 'I\'ve spotted the commander.  Requesting reinforcement at my coordinates!');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '132', 'rescue9', 'Where are those reinforcements?!?!?  No matter.   ATAAAAACK!');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '133', 'rescue10', 'ATTAAAAAAAAACK!');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '134', 'p3_item_decayed', 'That item\'s circuitry has decayed beyond use.  It is useless. ');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '135', 'arrived_without_commander', 'You have failed to escort the commander back to the Aurilian village and have thus failed your mission.  You have failed this attempt at your quest.  You may try again at another camp.');
INSERT INTO `client_strings` VALUES ('string/en/fs_quest_village.stf', '136', 'groupmate_powered_down', 'One of your groupmates has successfully dispatched a number of enemy troops.  The base commander has emerged inside of the camp and may be captured.');
INSERT INTO `client_strings` VALUES ('string/en/gambling/default_interface.stf', '1', 'mnu_join', 'Join Station');
INSERT INTO `client_strings` VALUES ('string/en/gambling/default_interface.stf', '2', 'mnu_leave', 'Leave Station');
INSERT INTO `client_strings` VALUES ('string/en/gambling/default_interface.stf', '3', 'opt_bet', 'Bet');
INSERT INTO `client_strings` VALUES ('string/en/gambling/default_interface.stf', '4', 'opt_fold', 'Fold');
INSERT INTO `client_strings` VALUES ('string/en/gambling/default_interface.stf', '5', 'opt_check', 'Check/Pass');
INSERT INTO `client_strings` VALUES ('string/en/gambling/default_interface.stf', '6', 'bet_below_min', 'The minimum table bet is %DI.');
INSERT INTO `client_strings` VALUES ('string/en/gambling/default_interface.stf', '7', 'bet_above_max', 'The maximum table bet is %DI.');
INSERT INTO `client_strings` VALUES ('string/en/gambling/default_interface.stf', '8', 'winner_to_winner', 'You win and receive %DI credits as your earnings.');
INSERT INTO `client_strings` VALUES ('string/en/gambling/default_interface.stf', '9', 'winner_to_other', '%TO wins and receives %DI credits as %PO earnings.');
INSERT INTO `client_strings` VALUES ('string/en/gambling/default_interface.stf', '10', 'winner_to_winner1', 'You win and receive 1 credit as your earnings.');
INSERT INTO `client_strings` VALUES ('string/en/gambling/default_interface.stf', '11', 'winner_to_other1', '%TO winds and receives 1 credit as %PO earnings.');
INSERT INTO `client_strings` VALUES ('string/en/gambling/default_interface.stf', '12', 'prose_station_full', 'The selected %TT is completely occupied and may not accept new players.');
INSERT INTO `client_strings` VALUES ('string/en/gambling/default_interface.stf', '13', 'prose_player_join', 'You join the station for a game of %TO.');
INSERT INTO `client_strings` VALUES ('string/en/gambling/default_interface.stf', '14', 'prose_player_join_other', '%TT joins the table.');
INSERT INTO `client_strings` VALUES ('string/en/gambling/default_interface.stf', '15', 'prose_player_leave', 'You leave the %TO station.');
INSERT INTO `client_strings` VALUES ('string/en/gambling/default_interface.stf', '16', 'prose_player_leave_other', '%TT leaves the table.');
INSERT INTO `client_strings` VALUES ('string/en/gambling/default_interface.stf', '17', 'bet_failed_distance', 'You are too far from the game station to complete the bet.');
INSERT INTO `client_strings` VALUES ('string/en/gambling/default_interface.stf', '18', 'prose_bet_placed', 'You successfully bet %DI credits.');
INSERT INTO `client_strings` VALUES ('string/en/gambling/default_interface.stf', '19', 'player_broke', 'You do not have any money to bet.');
INSERT INTO `client_strings` VALUES ('string/en/gambling/default_interface.stf', '20', 'blank', 'Blank');
INSERT INTO `client_strings` VALUES ('string/en/gambling/default_interface.stf', '21', 'bet_failed_amt', 'You have entered an invalid amount. Please try again.');
INSERT INTO `client_strings` VALUES ('string/en/gambling/default_interface.stf', '22', 'bet_failed', 'The system was unable to process your bet.');
INSERT INTO `client_strings` VALUES ('string/en/gambling/default_interface.stf', '23', 'rolling', 'Rolling...');
INSERT INTO `client_strings` VALUES ('string/en/gambling/default_interface.stf', '24', 'fly_winner', '* WINNER *');
INSERT INTO `client_strings` VALUES ('string/en/gambling/default_interface.stf', '25', 'prose_payout', 'You receive a payout of %DI bank credits!');
INSERT INTO `client_strings` VALUES ('string/en/gambling/default_interface.stf', '26', 'prose_starting_in', 'The next game begins in %DI seconds.');
INSERT INTO `client_strings` VALUES ('string/en/gambling/default_interface.stf', '27', 'place_bets', 'Place your bets!');
INSERT INTO `client_strings` VALUES ('string/en/gambling/default_interface.stf', '28', 'wheel_spin', 'The wheel begins to spin...');
INSERT INTO `client_strings` VALUES ('string/en/gambling/default_interface.stf', '29', 'wheel_begin_slow', 'The wheel begins to slow down... ');
INSERT INTO `client_strings` VALUES ('string/en/gambling/default_interface.stf', '30', 'prose_wheel_slow', 'The wheel slows down and it appears the number will be... %TT (%TO).');
INSERT INTO `client_strings` VALUES ('string/en/gambling/default_interface.stf', '31', 'wheel_spinning', 'The wheel continues to spin...');
INSERT INTO `client_strings` VALUES ('string/en/gambling/default_interface.stf', '32', 'prose_result_change', 'The selector pops at the last minute and comes to a stop on %TT (%TO).');
INSERT INTO `client_strings` VALUES ('string/en/gambling/default_interface.stf', '33', 'prose_result_same', 'The selector is unwavering and remains seated on %TT (%TO).');
INSERT INTO `client_strings` VALUES ('string/en/gambling/game_n.stf', '1', 'slot_standard', 'Standard Lugjack');
INSERT INTO `client_strings` VALUES ('string/en/gambling/game_n.stf', '2', 'sabacc', 'Sabacc');
INSERT INTO `client_strings` VALUES ('string/en/gambling/game_n.stf', '3', 'roulette', 'Jubilee Wheel');
INSERT INTO `client_strings` VALUES ('string/en/gambling/game_n.stf', '4', 'saarlac', 'Saarlac Pit');
INSERT INTO `client_strings` VALUES ('string/en/gambling/saarlac_wheel.stf', '1', 'wheel_spin', '*** %TO ***');
INSERT INTO `client_strings` VALUES ('string/en/gambling/saarlac_wheel.stf', '2', 'invalid_bet', 'That is not a valid bet.');
INSERT INTO `client_strings` VALUES ('string/en/gambling/saarlac_wheel.stf', '3', 'bet_already_placed', 'A bet has already been placed on %TO.');
INSERT INTO `client_strings` VALUES ('string/en/gambling/saarlac_wheel.stf', '4', 'bet_placed_self', 'You place a bet on %TO.');
INSERT INTO `client_strings` VALUES ('string/en/gambling/saarlac_wheel.stf', '5', 'bet_placed_other', '%TU places a bet on %TO.');
INSERT INTO `client_strings` VALUES ('string/en/gambling/saarlac_wheel.stf', '6', 'jabba_pool_empty', 'You cannot make that bet since Jabba\'s Palace is empty.');
INSERT INTO `client_strings` VALUES ('string/en/gambling/saarlac_wheel.stf', '7', 'oasis_pool_empty', 'You cannot make that bet since the Oasis is empty.');
INSERT INTO `client_strings` VALUES ('string/en/gambling/saarlac_wheel.stf', '8', 'saarlac_pool_empty', 'You cannot make that bet since the Saarlac Pit is empty.');
INSERT INTO `client_strings` VALUES ('string/en/gambling/saarlac_wheel.stf', '9', 'jabba_pool_max', 'You bet has exceeded the maximum payable bet of %DI credits for the current Jabba Palace jackpot.  Your bet has been reduced to this value.');
INSERT INTO `client_strings` VALUES ('string/en/gambling/saarlac_wheel.stf', '10', 'oasis_pool_max', 'You bet has exceeded the maximum payable bet of %DI credits for the current Oasis jackpot.  Your bet has been reduced to this value.');
INSERT INTO `client_strings` VALUES ('string/en/gambling/saarlac_wheel.stf', '11', 'saarlac_pool_max', 'You bet has exceeded the maximum payable bet of %DI credits for the current Jabba Palace jackpot.  Your bet has been reduced to this value.');
INSERT INTO `client_strings` VALUES ('string/en/gambling/saarlac_wheel.stf', '12', 'bet_payed_self', 'You have won %DI credits from your %TO bet.');
INSERT INTO `client_strings` VALUES ('string/en/gambling/saarlac_wheel.stf', '13', 'bet_lost_self', 'You have lost %DI credits on your %TO bet.');
INSERT INTO `client_strings` VALUES ('string/en/gambling/saarlac_wheel.stf', '14', 'bet_payed_other', '%TU has won %DI credits on %TO!');
INSERT INTO `client_strings` VALUES ('string/en/gambling/saarlac_wheel.stf', '15', 'bet_lost_other', '%TU has lost %DI credits on %TO.');
INSERT INTO `client_strings` VALUES ('string/en/gambling/saarlac_wheel.stf', '16', 'jackpot_won_self', '** You have won the %TO jackpot! **');
INSERT INTO `client_strings` VALUES ('string/en/gambling/saarlac_wheel.stf', '17', 'jackpot_won_other', '** %TU has won the %TO jackpot! **');
INSERT INTO `client_strings` VALUES ('string/en/gambling/saarlac_wheel.stf', '18', 'bet_push_to_pit_self', '... %DI credits of your lost bet has been pushed into the Saarlac Pit.');
INSERT INTO `client_strings` VALUES ('string/en/gambling/saarlac_wheel.stf', '19', 'bet_push_other', '%TU\'s bet of %DI credits has been pushed to %TO.');
INSERT INTO `client_strings` VALUES ('string/en/gambling/saarlac_wheel.stf', '20', 'bet_push_self', 'Your bet of %DI credits has been pushed to %TO.');
INSERT INTO `client_strings` VALUES ('string/en/gambling/saarlac_wheel.stf', '21', 'bet_push_to_pit_other', '... %DI credits of %TU\'s lost bet has been pushed into the Saarlac Pit.');
INSERT INTO `client_strings` VALUES ('string/en/gambling/saarlac_wheel.stf', '22', 'bet_push_to_jabba_self', '... %DI credits of your lost bet has been pushed into Jabba\'s Palace.');
INSERT INTO `client_strings` VALUES ('string/en/gambling/saarlac_wheel.stf', '23', 'bet_push_to_oasis_self', '... %DI credits of your lost bet has been pushed into the Oasis.');
INSERT INTO `client_strings` VALUES ('string/en/gambling/saarlac_wheel.stf', '24', 'bet_push_to_oasis_other', '... %DI credits of %TU\'s lost bet has been pushed into the Oasis.');
INSERT INTO `client_strings` VALUES ('string/en/gambling/saarlac_wheel.stf', '25', 'bet_push_to_jabba_other', '... %DI credits of %TU\'s lost bet has been pushed into Jabba\'s Palace.');
INSERT INTO `client_strings` VALUES ('string/en/gambling/saarlac_wheel.stf', '26', 'no_casino', 'Unable to find the table\'s parent building.  The game has been halted.');
INSERT INTO `client_strings` VALUES ('string/en/gambling/saarlac_wheel.stf', '27', 'insufficient_funds', 'There are insufficient funds to cover your bet.');
INSERT INTO `client_strings` VALUES ('string/en/gambling/saarlac_wheel.stf', '28', 'insufficient_funds_start', 'There are insufficient funds available to start this game.  Please try again later.');
INSERT INTO `client_strings` VALUES ('string/en/gambling/saarlac_wheel.stf', '29', 'not_an_admin', 'You must be an admin to do that.');
INSERT INTO `client_strings` VALUES ('string/en/gambling/saarlac_wheel.stf', '30', 'stats', 'Saarlac Wheel Status');
INSERT INTO `client_strings` VALUES ('string/en/gambling/saarlac_wheel.stf', '31', 'pools_reset', 'The pools have been reset.');
INSERT INTO `client_strings` VALUES ('string/en/gambling/saarlac_wheel.stf', '32', 'cant_do_maintenance', 'You cannot do maintenance on the table while it is running.');
INSERT INTO `client_strings` VALUES ('string/en/gambling/saarlac_wheel.stf', '33', 'menu_admin', 'Table Status');
INSERT INTO `client_strings` VALUES ('string/en/gambling/saarlac_wheel.stf', '34', 'menu_pool_reset', 'Reset Pools');
INSERT INTO `client_strings` VALUES ('string/en/gambling/saarlac_wheel.stf', '35', 'menu_pool_minimum_jabba', 'Set Jabba Pool Minimum');
INSERT INTO `client_strings` VALUES ('string/en/gambling/saarlac_wheel.stf', '36', 'menu_pool_minimum_oasis', 'Set Oasis Pool Minimum');
INSERT INTO `client_strings` VALUES ('string/en/gambling/saarlac_wheel.stf', '37', 'menu_pool_minimum_saarlac', 'Set Saarlac Pool Minimum');
INSERT INTO `client_strings` VALUES ('string/en/gambling/saarlac_wheel.stf', '38', 'set_jabba_pool_min', 'Enter the minimum Jabba Pool amount.\n\n(Warning! Increasing the minimum above zero may result in a negative house edge.)');
INSERT INTO `client_strings` VALUES ('string/en/gambling/saarlac_wheel.stf', '39', 'set_jabba_pool_title', 'Jabba Pool Minimum');
INSERT INTO `client_strings` VALUES ('string/en/gambling/saarlac_wheel.stf', '40', 'total_funds', 'Total Funds');
INSERT INTO `client_strings` VALUES ('string/en/gambling/saarlac_wheel.stf', '41', 'pool_minimum', 'Pool Minimum');
INSERT INTO `client_strings` VALUES ('string/en/gambling/saarlac_wheel.stf', '42', 'jabba_pool_min_set', 'Jabba Pool minimum set to %DI.');
INSERT INTO `client_strings` VALUES ('string/en/gambling/saarlac_wheel.stf', '43', 'oasis_pool_min_set', 'Oasis Pool minimum set to %DI.');
INSERT INTO `client_strings` VALUES ('string/en/gambling/saarlac_wheel.stf', '44', 'saarlac_pool_min_set', 'Saarlac Pool minimum set to %DI.');
INSERT INTO `client_strings` VALUES ('string/en/gambling/saarlac_wheel.stf', '45', 'set_oasis_pool_min', 'Enter the minimum Oasis Pool amount.\n\n(Warning! Increasing the minimum above zero may result in a negative house edge.)');
INSERT INTO `client_strings` VALUES ('string/en/gambling/saarlac_wheel.stf', '46', 'set_oasis_pool_title', 'Oasis Pool Minimum');
INSERT INTO `client_strings` VALUES ('string/en/gambling/saarlac_wheel.stf', '47', 'set_saarlac_pool_min', 'Enter the minimum Saarlac Pool amount.\n\n(Warning! Increasing the minimum above zero may result in a negative house edge.)');
INSERT INTO `client_strings` VALUES ('string/en/gambling/saarlac_wheel.stf', '48', 'set_saarlac_pool_title', 'Saarlac Pool Minimum');
INSERT INTO `client_strings` VALUES ('string/en/game_language.stf', '1', 'spoken_languages', 'List of Languages\n----------------------------------');
INSERT INTO `client_strings` VALUES ('string/en/game_language.stf', '2', 'fluent_one', 'You are fluent in 1 language.');
INSERT INTO `client_strings` VALUES ('string/en/game_language.stf', '3', 'fluent_many', 'You are fluent in %DI languages.');
INSERT INTO `client_strings` VALUES ('string/en/game_language.stf', '5', 'rodese', 'Rodese');
INSERT INTO `client_strings` VALUES ('string/en/game_language.stf', '6', 'dosh', 'Dosh');
INSERT INTO `client_strings` VALUES ('string/en/game_language.stf', '7', 'moncalamarian', 'Mon Calamarian');
INSERT INTO `client_strings` VALUES ('string/en/game_language.stf', '8', 'shyriiwook', 'Shyriiwook');
INSERT INTO `client_strings` VALUES ('string/en/game_language.stf', '9', 'bothese', 'Bothese');
INSERT INTO `client_strings` VALUES ('string/en/game_language.stf', '10', 'ryl', 'Ryl');
INSERT INTO `client_strings` VALUES ('string/en/game_language.stf', '11', 'zabrak', 'Zabrak');
INSERT INTO `client_strings` VALUES ('string/en/game_language.stf', '12', 'language_current', 'Your current language is %TT.');
INSERT INTO `client_strings` VALUES ('string/en/game_language.stf', '14', 'not_spoken_language', '%TT is not a language.');
INSERT INTO `client_strings` VALUES ('string/en/game_language.stf', '15', 'lekku', 'Lekku');
INSERT INTO `client_strings` VALUES ('string/en/game_language.stf', '16', 'basic', 'Basic');
INSERT INTO `client_strings` VALUES ('string/en/game_language.stf', '17', 'usage', 'Usage: /language <language>');
INSERT INTO `client_strings` VALUES ('string/en/game_language.stf', '18', 'lekku_no_comprehend', '%TT communicates in a body language that you do not understand.');
INSERT INTO `client_strings` VALUES ('string/en/game_language.stf', '19', 'not_fluent_in_language', 'You are not fluent in the language %TT.');
INSERT INTO `client_strings` VALUES ('string/en/game_language.stf', '20', 'prose_comprehend', 'and comprehend %DI languages.');
INSERT INTO `client_strings` VALUES ('string/en/game_language.stf', '21', 'speak', 'speak');
INSERT INTO `client_strings` VALUES ('string/en/game_language.stf', '22', 'prose_speak', 'You speak %DI');
INSERT INTO `client_strings` VALUES ('string/en/game_language.stf', '23', 'comprehend', 'comprehend');
INSERT INTO `client_strings` VALUES ('string/en/game_language.stf', '24', 'ithorian', 'Ithorese');
INSERT INTO `client_strings` VALUES ('string/en/game_language.stf', '25', 'sullustan', 'Sullustese');
INSERT INTO `client_strings` VALUES ('string/en/gcw.stf', '5', 'newsnet_extra', 'EXTRA! EXTRA!');
INSERT INTO `client_strings` VALUES ('string/en/gcw.stf', '6', 'newsnet_terminal', 'Newsnet Terminal');
INSERT INTO `client_strings` VALUES ('string/en/gcw.stf', '7', 'newsnet_read_all', 'EXTRA! EXTRA! READ ALL ABOUT IT!');
INSERT INTO `client_strings` VALUES ('string/en/gcw.stf', '8', 'headline_naboo_rebel_losing_4', '          Imperial Forces Plan Celebration\nTheed, Naboo (IP) -- Imperial Officers got to\nplan something different today, a party.  After months \nof battle, they finally get to turn their attention to more\nrelaxing matters.');
INSERT INTO `client_strings` VALUES ('string/en/gcw.stf', '9', 'headline_naboo_rebel_losing_3', '          Rebel Terrorist Forces Dwindling\nMoenia, Naboo (IP) -- Reports from outlying \nsystems today indicate that the vast majority of  \nRebel soldiers are abandoning their posts in\nan attempt to escape the Imperial onslaught.');
INSERT INTO `client_strings` VALUES ('string/en/gcw.stf', '10', 'headline_naboo_rebel_losing_2', '          Rebel Terrorists Suffer Serious Defeat\nTheed, Naboo (IP) -- Imperial Officers promoted  \nhundreds of soldiers today, following fierce fighting\nin which the Imperial Army overwhelmed a Rebel\ngarrison.');
INSERT INTO `client_strings` VALUES ('string/en/gcw.stf', '11', 'headline_naboo_rebel_losing_1', '          Tide Turns Against Rebel Agitators\nTheed, Naboo (IP) -- Agitators and threats to\nGalactic security.  That\'s what the Imperial Soldiers \nare calling the now thousands strong \'Alliance\'.\n');
INSERT INTO `client_strings` VALUES ('string/en/gcw.stf', '12', 'headline_naboo_equal', '          War Continues, Emperor Confidant\nTheed, Naboo (IP) -- The Emperor enjoyed a \nquiet day at his retreat on Naboo today, taking a  \nbreak from military matters.  \"He\'s confidant that\nthe conflict will be resolved equitably\".');
INSERT INTO `client_strings` VALUES ('string/en/gcw.stf', '13', 'headline_naboo_rebel_winning_1', '          Lord Vader Leads Forces Personally\nTheed, Naboo (IP) -- It has come to this.  Lord\nVader himself is moving his personal troops to the\nfront lines to break up the Rebel assaults.');
INSERT INTO `client_strings` VALUES ('string/en/gcw.stf', '14', 'headline_naboo_rebel_winning_2', '          Imperial Losses Due To Treason!\nTheed, Naboo (IP) -- Old Republic Supporters are\nbeing blamed for what can only be described as a\nmilitary fiasco.  Information about troop movement\nwas leaked to Rebel terrorists by unknown insurgents.');
INSERT INTO `client_strings` VALUES ('string/en/gcw.stf', '15', 'headline_naboo_rebel_winning_3', '          Rebel Forces Building Super Weapon?\nMoenia, Naboo (IP) -- Information gathered from\ncaptured Rebel Pilots indicates that the Rebels are \nworking on some kind of \'Super Laser\' capable of\nplanetary destruction.');
INSERT INTO `client_strings` VALUES ('string/en/gcw.stf', '16', 'headline_naboo_rebel_winning_4', '          Rebel Terrorists Spread Disinformation!\nTheed, Naboo (IP) -- Information about the\nfighting going on in distant systems is not ent-\nirely accurate.  Rebel spies are planting disinformation\non Imperial newsnet terminals in an attempt to discredit\nthe Empire.');
INSERT INTO `client_strings` VALUES ('string/en/gcw.stf', '17', 'headline_corellia_rebel_losing_4', '          Rebel Forces Devastated!\nCoronet, Corellia (CP) -- Rebel forces suffered devastating\ncasualties this week in an Imperial attack. Casualties were\nunusually high, indicating a failure in Rebellion intelligence. \n');
INSERT INTO `client_strings` VALUES ('string/en/gcw.stf', '18', 'headline_corellia_rebel_losing_3', '          Rebel Forces Fear No End In Sight\nCoronet, Corellia (CP) -- Rebel forces fear the \nfight against the Empire may continue indefinitely. \nHope for a cease fire vanished last week.');
INSERT INTO `client_strings` VALUES ('string/en/gcw.stf', '20', 'headline_corellia_rebel_losing_1', '          Rebel Forces Suffer Setback\nCoronet, Corellia (CP) -- Rebel forces suffered \na setback at Imperial hands today. 3 are dead \nand 12 wounded in fierce fighting. ');
INSERT INTO `client_strings` VALUES ('string/en/gcw.stf', '21', 'headline_corellia_rebel_winning_1', '          Imperial Units Continue Deployment\nTheed, Naboo (CP) -- Imperial forces continued\ndeployment, undeterred, even in the face of \nincreased casualties this week. Morale remains \nmixed with the recent casualties.\n');
INSERT INTO `client_strings` VALUES ('string/en/gcw.stf', '22', 'headline_corellia_rebel_winning_2', '          Imperial Leaders Concerned Over Losses\nTheed, Naboo (CP) -- Imperial leaders are concerned\nover recent casualties. Logistical and supply failures this\nweek have led to increased losses amongst Imperial forces.\n');
INSERT INTO `client_strings` VALUES ('string/en/gcw.stf', '23', 'headline_corellia_rebel_winning_3', '          Imperial Leaders Unhappy With Progress\nTheed, Naboo (CP) -- Imperial leaders are unhappy\nwith progress against the Rebellion. Numerous unnamed\nsources have voiced concerns that more troops are needed.\n');
INSERT INTO `client_strings` VALUES ('string/en/gcw.stf', '24', 'headline_corellia_rebel_winning_4', '          Ex-Senator Calls For Troop Exit Plan\nTheed, Naboo (CP) -- Recent heavy Imperial losses have\nled senator Mcnamara to call for a full troop withdrawal\nfrom the Rebel conflict. \'We must protect the lives of our \nsoldiers from these terrorist attacks.\'\n');
INSERT INTO `client_strings` VALUES ('string/en/gcw.stf', '25', 'headline_general_rebel_losing_4', '          Imperial Victory Assured\nMos Espa, Tatooine (IP) -- Imperial Officers today \ndeclared through official channels that the battle\nwith the Rebellion is about to end.  \n');
INSERT INTO `client_strings` VALUES ('string/en/gcw.stf', '26', 'headline_general_rebel_losing_3', '          Imperial Senate Happy With War Progress\nTheed, Naboo (IP) -- Rebellion leaders, speaking\nunder conditions of anonymity, spoke frankly about \nrecent failures in the fight against the Empire. \n');
INSERT INTO `client_strings` VALUES ('string/en/gcw.stf', '27', 'headline_general_rebel_losing_2', '          Rebel Leaders Losing Confidence\nCoronet, Corellia (IP) -- Rebellion leaders, speaking\nunder conditions of anonymity, spoke frankly about \nrecent failures in the fight against the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/gcw.stf', '28', 'headline_general_rebel_losing_1', '          Rebellion Puts Out Call For Enlistees\nCoronet, Corellia (IP) -- Rebellion spokesmen released another statement yesterday requesting able \nbodied citizens to enlist in the fight against the Empire.\n');
INSERT INTO `client_strings` VALUES ('string/en/gcw.stf', '29', 'headline_general_equal', '          Worrt Invasion Leaves Homeowners Hopping Mad\nMos Espa, Tatooine (IP) -- KROAAAK! Mos Espa homeowners\nawoke to an unpleasant surprise last week. Local Worrt \npopulations have spiraled out of control in recent weeks.\n');
INSERT INTO `client_strings` VALUES ('string/en/gcw.stf', '30', 'headline_general_rebel_winning_1', '          Imperial Fleet Suffers Defeat\nMos Eisley, Tatooine (IP) -- Rumors over the past \nfew days indicated that a team of Alliance pilots, fly-\ning with no air support, destroyed a Super Star Destroyer\nin orbit around Tatooine.\n');
INSERT INTO `client_strings` VALUES ('string/en/gcw.stf', '31', 'headline_general_rebel_winning_2', '          Imperial Forces Lose Ground\nMos Espa, Tatooine (IP) -- Imperial Forces were \nstunned today, after a serious defeat at the hands\nof what amounted to \'poorly armed partisan soldiers\'.\n');
INSERT INTO `client_strings` VALUES ('string/en/gcw.stf', '32', 'headline_general_rebel_winning_3', '          Rebel Forces Optimistic\nMos Espa, Tatooine (IP) -- With a series of \nincredible victories over a superior army, Rebel \nsupporters are becoming more and more optimistic.\n');
INSERT INTO `client_strings` VALUES ('string/en/gcw.stf', '33', 'headline_general_rebel_winning_4', '          Rebel Victory Near\nMos Taike, Tatooine (IP) -- \"We look forward to\na peace accord, signed by the Emperor himself.\" \nThese were the words of a Rebel General who spoke\noff the record to reporters.');
INSERT INTO `client_strings` VALUES ('string/en/gcw.stf', '34', 'story_corellia_rebel_losing_1', 'Coronet, Corellia (CP) -- Rebel forces suffered \na setback at Imperial hands today. 34 are reported \ndead and 95 wounded in fierce fighting.');
INSERT INTO `client_strings` VALUES ('string/en/gcw.stf', '35', 'corellia_newsnet_name', 'Corellia Metropolitan ');
INSERT INTO `client_strings` VALUES ('string/en/gcw.stf', '36', 'headline_corellia_rebel_losing_2', '          Imperial Leaders Optimistic\nTheed, Naboo (CP) -- Imperial Leaders are optimistic tod-\nay, indicating that fighting against the Rebels has taken a\nturn to their advantage. ');
INSERT INTO `client_strings` VALUES ('string/en/gcw.stf', '37', 'headline_corellia_equal', '          Peaceful Solution May Be On Horizon\nCoronet, Corellia (CP) -- Information coming \nfrom Naboo today indicates that a peacful solution\nto the fighting may be closer than we think.  \n');
INSERT INTO `client_strings` VALUES ('string/en/gcw.stf', '38', 'gcw_status_change', 'GCW STATUS CHANGE CONFIRMATION');
INSERT INTO `client_strings` VALUES ('string/en/gcw.stf', '39', 'gcw_status_change_overt', 'You are changing your GCW Status to \'Special Forces\'. This transition will take 5 minutes. It will allow you to attack and be attacked by hostile players and NPC\'s.Type YES in this box to confirm the change.');
INSERT INTO `client_strings` VALUES ('string/en/gcw.stf', '40', 'gcw_status_change_covert', 'You are changing your GCW Status to \'Combatant\'. This transition will take 30 seconds. It will allow you to attack and be attacked by enemy NPC\'s. Type YES in this box to confirm the change.');
INSERT INTO `client_strings` VALUES ('string/en/gcw.stf', '41', 'handle_go_covert', 'You will be flagged as a Combatant in 30 seconds.');
INSERT INTO `client_strings` VALUES ('string/en/gcw.stf', '42', 'abort_field_change', 'You cancel your factional change.');
INSERT INTO `client_strings` VALUES ('string/en/gcw.stf', '43', 'naboo_newsnet_name', 'The Nabooian Citizen');
INSERT INTO `client_strings` VALUES ('string/en/gcw.stf', '44', 'general_newsnet_name', 'The Times');
INSERT INTO `client_strings` VALUES ('string/en/gcw.stf', '45', 'read_headline', 'Read Headline');
INSERT INTO `client_strings` VALUES ('string/en/gcw.stf', '46', 'gcw_status_info', 'To see the status of the Galactic Civil War, either talk to your local factional recruiter, or read the newsnet terminals in your nearest starport.');
INSERT INTO `client_strings` VALUES ('string/en/gcw.stf', '47', 'cannot_change_from_combatant_in_field', 'You cannot change you status to combatant in the field. Go talk to a faction recruiter.');
INSERT INTO `client_strings` VALUES ('string/en/gcw.stf', '48', 'too_many_bases', 'There are too many bases in this area. Move to a new location and try again.');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '1', 'dialogue_0_1_1', 'Today marks a turning point in this Galactic Civil War...');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '2', 'dialogue_0_1_2', 'For too long has this Rebellion remained in our midst, but no longer will such an affront be tolerated.');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '3', 'dialogue_0_1_3', 'Order must be restored.');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '4', 'dialogue_0_1_4', 'Effective immediately, known Rebels and all Jedi will be shot on sight by Imperial troops.');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '5', 'dialogue_0_1_5', 'To bring law and order to the cities we must first control the outlying areas by establishing a military presence in the form of outposts and bases.');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '6', 'dialogue_0_1_6', 'If we are able to control enough of the outlying areas, we will also control the cities. ');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '7', 'dialogue_0_1_7', 'Only by establishing Imperial bases across this planet, we can achieve our goal of controlling the cities and crushing all resistance. ');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '8', 'dialogue_0_1_8', 'Allowing the rebellion to establish control will not be tolerated.');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '9', 'dialogue_0_1_9', 'I have seen all that is necessary. ');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '10', 'dialogue_0_1_10', 'I will make sure the Emperor knows of your loyalty.');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '11', 'dialogue_0_1_11', 'You have your orders. Dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '12', 'dialogue_1_1_1', 'Friends and allies of the Rebellion:  The end of tyranny begins today...');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '13', 'dialogue_1_1_2', 'The Empire has ruled us with fear and lies long enough. ');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '14', 'dialogue_1_1_3', 'Dark Jedi and others known to fight for the Empire wander freely though our cities.');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '15', 'dialogue_1_1_4', 'Peace must be restored, and so, we must band together and fight.');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '16', 'dialogue_1_1_5', 'First we must fight Imperial oppression in the outlying areas.  ');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '17', 'dialogue_1_1_6', 'We will establish Rebel bases on this planet, beacons of hope and justice.');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '18', 'dialogue_1_1_7', 'Once we have the support of the smaller towns, we will see the populace rise to support us. ');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '19', 'dialogue_1_1_8', 'I call upon you all to do what is right. We must fight this evil here and now. ');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '20', 'dialogue_1_1_9', 'That is all I can ask. Be careful and fight well. ');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '21', 'dialogue_1_1_10', 'Our freedom and future is in your hands. ');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '22', 'dialogue_1_1_11', 'May the Force be with you all.');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '23', 'dialogue_0_2_1', 'Greetings, citizens of the Empire.  I bring you dark news.');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '24', 'dialogue_0_2_2', 'The Emperor is angry.');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '25', 'dialogue_0_2_3', 'The Rebellion has too long been a thorn in the side of progress and order.');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '26', 'dialogue_0_2_4', 'He wishes this insignificant uprising to be crushed, and quickly.');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '27', 'dialogue_0_2_5', 'From this day forward, no Rebel presence shall be tolerated. ');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '28', 'dialogue_0_2_6', 'Any illegal sympathizers or Jedi are to be shot on sight, no questions asked.');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '29', 'dialogue_0_2_7', 'In addition, the Emperor commands that you establish military bases and outposts in the outlying regions, so that insurrections can be crushed immediately.');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '30', 'dialogue_0_2_8', 'Once this perimeter has been established, he wishes that the cities be controlled unilaterally by the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '31', 'dialogue_0_2_9', 'Do not disappoint him.  I needn\'t remind you, the Emperor is not as forgiving as I am.');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '32', 'dialogue_0_2_10', 'You have your orders. ');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '33', 'dialogue_0_2_11', 'I suggest you carry them out without further delay.');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '34', 'dialogue_0_3_1', 'Citizens of the Empire, I have come to declare an end to the Rebellion.');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '35', 'dialogue_0_3_2', 'From now on, all members of the Rebellion are to be terminated on sight.  No mercy shall be shown.  ');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '36', 'dialogue_0_3_3', 'And any of the so-called Jedi Knights are to be similarly dealt with.');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '37', 'dialogue_0_3_4', 'The Emperor has tolerated their presence long enough.  But even his graciousness and forgiveness has a limit.');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '38', 'dialogue_0_3_5', 'To achieve absolute control of this sector, we must control the cities.  ');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '39', 'dialogue_0_3_6', 'And so, the Emperor commands all his allies to establish military bases and outposts in the outlying areas.');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '40', 'dialogue_0_3_7', 'Once we have gained control of the countryside, we shall consolidate our control of the cities. ');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '41', 'dialogue_0_3_8', 'And then, we shall be unstoppable.');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '42', 'dialogue_0_3_9', 'Should you fail to achieve this goal, I may be forced to return to this dismal planet, and oversee its administration.  ');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '43', 'dialogue_0_3_10', 'Pray that does not come to pass, for I have little sympathy for failure.');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '44', 'dialogue_0_3_11', 'By the Emperor\'s command.  Farewell.');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '45', 'dialogue_1_2_1', 'Friends of the Rebellion, hear my call to action.');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '46', 'dialogue_1_2_2', 'Today we draw a line in the sand, and declare that the Empire will rule us no more. ');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '47', 'dialogue_1_2_3', 'Rise up and fight, my friends!  ');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '48', 'dialogue_1_2_4', 'All Imperials and Dark Jedi must be confronted and defeated!');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '49', 'dialogue_1_2_5', 'Take the battle against them to the very streets of the city.');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '50', 'dialogue_1_2_6', 'We can control this sector if we band together and fight.');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '51', 'dialogue_1_2_7', 'Establish new Rebel bases in the outlying country, as many as you can.');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '52', 'dialogue_1_2_8', 'From there, we can gain the trust and cooperation of the populace, and control the very cities themselves!');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '53', 'dialogue_1_2_9', 'If we continue to fight and build and persevere, even the might of the Empire cannot crush our spirits.');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '54', 'dialogue_1_2_10', 'Friends of the Rebellion, you are my only hope.');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '55', 'dialogue_1_2_11', 'May the force be with you all.');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '56', 'dialogue_1_3_1', 'This is our most desperate hour.');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '57', 'dialogue_1_3_2', 'If we do not oppose the Empire now, we shall be pushed into the farthest reaches of the Outer Rim, or rounded up like criminals.');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '58', 'dialogue_1_3_3', 'The Rebellion must have safe haven, in order to grow, thrive, and overthrow this evil Empire.');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '59', 'dialogue_1_3_4', 'To that end, friends and allies, I call upon you to establish Rebel bases and outposts all through the outlying areas of this region.');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '60', 'dialogue_1_3_5', 'Every Rebel base brings us that much closer to control of the cities.');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '61', 'dialogue_1_3_6', 'And if we control the cities, there\'s no end to the good we can do.');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '62', 'dialogue_1_3_7', 'To any who oppose the Empire, I extend this invitation.  Join us.  Help us. ');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '63', 'dialogue_1_3_8', 'To any who still hold allegiance to the Empire, I extend this word of caution:  Beware.  Your days are few.  No evil can survive where justice and peace take root.');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '64', 'dialogue_1_3_9', 'I have been authorized to call for open attacks on all Imperial loyalists and Dark Jedi.  ');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '65', 'dialogue_1_3_10', 'In our pursuit of peace, we must sometimes embrace conflict.');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '66', 'dialogue_1_3_11', 'Friends of the Alliance, I wish you good luck, and may the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '67', 'areabroadcast_0', '<<Incoming Imperial Transmission: Command station, this is ST321, code clearance blue. We\'re starting our approach.>> ');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '68', 'areabroadcast_1', '<<Incoming Alliance Transmission: Ground control, this is shuttle Alder Six-Two. We have the Princess on board and are coming in for a landing.>>');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '69', 'closingbroadcast_0', '<<Imperial Transmission: Shuttle ST321, your departure vector is right six-nine-three. Command station out.>>');
INSERT INTO `client_strings` VALUES ('string/en/gcwlaunchevent.stf', '70', 'closingbroadcast_1', '<<Alliance Transmission: Control, Alder Six-Two. We are gear up and on our way to our next rally. May the Force be with you..>>');
INSERT INTO `client_strings` VALUES ('string/en/generic_city_convo.stf', '1', 'greeting_1', 'Good day.  And what can I help you with?');
INSERT INTO `client_strings` VALUES ('string/en/generic_city_convo.stf', '2', 'player_1', 'I\'d like to ask you about the cities on Tatooine.');
INSERT INTO `client_strings` VALUES ('string/en/generic_city_convo.stf', '3', 'player_2', 'Is there anything that you need done?');
INSERT INTO `client_strings` VALUES ('string/en/generic_city_convo.stf', '4', 'player_3', 'What can you tell me about certain people?');
INSERT INTO `client_strings` VALUES ('string/en/generic_city_convo.stf', '5', 'player_13', 'Can you give me directions?');
INSERT INTO `client_strings` VALUES ('string/en/generic_city_convo.stf', '6', 'cities_1', 'Which city are you interested in?');
INSERT INTO `client_strings` VALUES ('string/en/generic_city_convo.stf', '7', 'player_4', 'I\'m curious about Mos Eisley...');
INSERT INTO `client_strings` VALUES ('string/en/generic_city_convo.stf', '8', 'player_5', 'Do you know about Mos Espa?');
INSERT INTO `client_strings` VALUES ('string/en/generic_city_convo.stf', '9', 'player_6', 'Anchorhead is the city I want to ask about.');
INSERT INTO `client_strings` VALUES ('string/en/generic_city_convo.stf', '10', 'player_7', 'What do you know about Bestine?');
INSERT INTO `client_strings` VALUES ('string/en/generic_city_convo.stf', '11', 'player_12', 'Can I ask some more questions?');
INSERT INTO `client_strings` VALUES ('string/en/generic_city_convo.stf', '12', 'people_1', 'Who do you want to know about?');
INSERT INTO `client_strings` VALUES ('string/en/generic_city_convo.stf', '13', 'player_8', 'Do you know Jabba the Hutt?');
INSERT INTO `client_strings` VALUES ('string/en/generic_city_convo.stf', '14', 'player_9', 'Who is prefect Talmont?');
INSERT INTO `client_strings` VALUES ('string/en/generic_city_convo.stf', '15', 'player_10', 'Have you heard of Dera Darklighter?');
INSERT INTO `client_strings` VALUES ('string/en/generic_city_convo.stf', '16', 'player_11', 'What do you know about the tusken raiders?');
INSERT INTO `client_strings` VALUES ('string/en/generic_city_convo.stf', '17', 'mission_1', 'As soon as I know how to hand out missions I\'ll give you one.');
INSERT INTO `client_strings` VALUES ('string/en/generic_city_convo.stf', '18', 'mos_eisley_1', 'Ah, Mos Eisley is a wretched hive of scum and villainy.  Nice cantinas though.');
INSERT INTO `client_strings` VALUES ('string/en/generic_city_convo.stf', '19', 'mos_espa_1', 'They used to hold the pod races there, until they were outlawed.');
INSERT INTO `client_strings` VALUES ('string/en/generic_city_convo.stf', '20', 'anchorhead_1', 'There\'s not much to say really.  Tosche station is there, but not much else.');
INSERT INTO `client_strings` VALUES ('string/en/generic_city_convo.stf', '21', 'bestine_1', 'The imperial capital of Tatooine.  It\'s a nice city, of course, but strict with it\'s laws.');
INSERT INTO `client_strings` VALUES ('string/en/generic_city_convo.stf', '22', 'jabba_1', 'Jabba might as well own Tatooine.  He\'s a dangerous criminal, and not to be trusted.');
INSERT INTO `client_strings` VALUES ('string/en/generic_city_convo.stf', '23', 'talmont_1', 'Ah, the prefect.  He\'s nominally in charge of things here on Tatooine, at least from an Imperial end.  But I hear he\'s quite incompetent.');
INSERT INTO `client_strings` VALUES ('string/en/generic_city_convo.stf', '24', 'dera_1', 'The lovely daughter, and heir to the Darklighter fortune.  Some say she has sympathy for the rebellion.');
INSERT INTO `client_strings` VALUES ('string/en/generic_city_convo.stf', '25', 'tuskens_1', 'Not much to say really.  Savage creatures.  Monsters.  Like evil bears.  Watch out for them.');
INSERT INTO `client_strings` VALUES ('string/en/generic_city_convo.stf', '26', 'sure_1', 'Sure.  What else would you like to ask about?');
INSERT INTO `client_strings` VALUES ('string/en/generic_city_convo.stf', '27', 'where_1', 'Where would you like directions to?');
INSERT INTO `client_strings` VALUES ('string/en/generic_city_convo.stf', '28', 'player_14', 'Can you tell me how to get to any of the cities?');
INSERT INTO `client_strings` VALUES ('string/en/generic_city_convo.stf', '29', 'player_15', 'I need to get to a specific place.');
INSERT INTO `client_strings` VALUES ('string/en/generic_city_convo.stf', '30', 'player_16', 'I need to see someone...');
INSERT INTO `client_strings` VALUES ('string/en/generic_city_convo.stf', '31', 'find_city_1', 'Which city do you need help finding?');
INSERT INTO `client_strings` VALUES ('string/en/generic_city_convo.stf', '32', 'directions_eisley', 'How do I get to Mos Eisley?');
INSERT INTO `client_strings` VALUES ('string/en/generic_city_convo.stf', '33', 'directions_espa', 'Which way is Mos Espa?');
INSERT INTO `client_strings` VALUES ('string/en/generic_city_convo.stf', '34', 'directions_bestine', 'Where exactly is Bestine?');
INSERT INTO `client_strings` VALUES ('string/en/generic_city_convo.stf', '35', 'directions_anchorhead', 'Can you give me directions to Anchorhead?');
INSERT INTO `client_strings` VALUES ('string/en/generic_city_convo.stf', '36', 'find_bldg_1', 'Where is it you\'re trying to get to?');
INSERT INTO `client_strings` VALUES ('string/en/generic_city_convo.stf', '37', 'bank', 'I need to get to the bank.');
INSERT INTO `client_strings` VALUES ('string/en/generic_city_convo.stf', '38', 'cantina', 'I\'m looking for the Cantina');
INSERT INTO `client_strings` VALUES ('string/en/generic_city_convo.stf', '39', 'cloning_facility', 'I\'m trying to find an insurance agent, if you know what I mean.');
INSERT INTO `client_strings` VALUES ('string/en/generic_city_convo.stf', '40', 'hospital', 'I need to get to the hospital.');
INSERT INTO `client_strings` VALUES ('string/en/generic_city_convo.stf', '41', 'starport', 'I\'m trying to find a starport.');
INSERT INTO `client_strings` VALUES ('string/en/generic_city_convo.stf', '42', 'find_person_1', 'Who do you need to see?');
INSERT INTO `client_strings` VALUES ('string/en/generic_city_convo.stf', '43', 'find_jabba', 'I need to meet with Jabba the Hutt.');
INSERT INTO `client_strings` VALUES ('string/en/generic_city_convo.stf', '44', 'find_talmont', 'I want to meet with prefect Talmont.');
INSERT INTO `client_strings` VALUES ('string/en/generic_city_convo.stf', '45', 'find_dera', 'I\'d like to meet Ms. Dera Darklighter.');
INSERT INTO `client_strings` VALUES ('string/en/generic_city_convo.stf', '46', 'find_trainer', 'I\'m looking for someone who can train me.');
INSERT INTO `client_strings` VALUES ('string/en/generic_city_convo.stf', '47', 'add_to_radar', 'Let me add those directions to your datapad.');
INSERT INTO `client_strings` VALUES ('string/en/generic_city_convo.stf', '48', 'bank_city', 'I see, and which bank were you interested in?');
INSERT INTO `client_strings` VALUES ('string/en/generic_city_convo.stf', '49', 'bank_eisley', 'The bank in Mos Eisley.');
INSERT INTO `client_strings` VALUES ('string/en/generic_city_convo.stf', '50', 'bank_espa', 'Is there a bank in Mos Espa?');
INSERT INTO `client_strings` VALUES ('string/en/generic_city_convo.stf', '51', 'bank_bestine', 'The imperial bank in Bestine.');
INSERT INTO `client_strings` VALUES ('string/en/generic_city_convo.stf', '52', 'bank_anchorhead', 'The one in anchorhead, thank you.');
INSERT INTO `client_strings` VALUES ('string/en/generic_city_convo.stf', '53', 'cantina_city', 'Which cantina were you trying to find?');
INSERT INTO `client_strings` VALUES ('string/en/generic_city_convo.stf', '54', 'cantina_eisley', 'Thought I\'d try my luck at the Lucky Despot in Mos Eisley.');
INSERT INTO `client_strings` VALUES ('string/en/generic_city_convo.stf', '55', 'cantina_espa', 'Just the one in Mos Espa.');
INSERT INTO `client_strings` VALUES ('string/en/generic_city_convo.stf', '56', 'cantina_bestine', 'The cantina in Bestine, please.');
INSERT INTO `client_strings` VALUES ('string/en/generic_city_convo.stf', '57', 'cantina_anchorhead', 'The Anchorhead cantina.');
INSERT INTO `client_strings` VALUES ('string/en/generic_city_convo.stf', '58', 'hospital_eisley', 'The Hospital in Mos Eisley.');
INSERT INTO `client_strings` VALUES ('string/en/generic_city_convo.stf', '59', 'hospital_espa', 'The Mos Espa hospital.');
INSERT INTO `client_strings` VALUES ('string/en/generic_city_convo.stf', '60', 'hospital_bestine', 'I need the hospital in Bestine.');
INSERT INTO `client_strings` VALUES ('string/en/generic_city_convo.stf', '61', 'hospital_anchorhead', 'I\'m looking for the Anchorhead hospital.');
INSERT INTO `client_strings` VALUES ('string/en/generic_city_convo.stf', '62', 'starport_eisley', 'The Mos Eisley Starport');
INSERT INTO `client_strings` VALUES ('string/en/generic_city_convo.stf', '63', 'starport_espa', 'The Mos Espa Starport');
INSERT INTO `client_strings` VALUES ('string/en/generic_city_convo.stf', '64', 'starport_bestine', 'The Bestine Starport.');
INSERT INTO `client_strings` VALUES ('string/en/generic_city_convo.stf', '65', 'starport_anchorhead', 'The Anchorhead Starport.');
INSERT INTO `client_strings` VALUES ('string/en/generic_city_convo.stf', '66', 'cloning_facility_eisley', 'Is there an insurance agency in Mos Eisley?');
INSERT INTO `client_strings` VALUES ('string/en/generic_city_convo.stf', '67', 'cloning_facility_espa', 'Mos Espa\'s insurance agency.');
INSERT INTO `client_strings` VALUES ('string/en/generic_city_convo.stf', '68', 'cloning_facility_bestine', 'The Insurance Agent in Bestine.');
INSERT INTO `client_strings` VALUES ('string/en/generic_city_convo.stf', '69', 'cloning_facility_anchorhead', 'The Anchorhead Insurance Agency, please.');
INSERT INTO `client_strings` VALUES ('string/en/generic_npc/locations.stf', '1', 'greet', 'Hello.  Can I help you find something?');
INSERT INTO `client_strings` VALUES ('string/en/generic_npc/locations.stf', '2', 'yes', 'Yes, I\'m lost...');
INSERT INTO `client_strings` VALUES ('string/en/generic_npc/locations.stf', '3', 'no', 'I\'m doing all right.');
INSERT INTO `client_strings` VALUES ('string/en/generic_npc/locations.stf', '4', 'ok', 'What can I help you with?');
INSERT INTO `client_strings` VALUES ('string/en/generic_npc/locations.stf', '5', 'bye', 'Ok, good bye.');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '1', 'armor', 'Armor');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '2', 'armor_arm', 'Arm Armor');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '3', 'armor_body', 'Body Armor');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '4', 'armor_foot', 'Foot Armor');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '5', 'armor_hand', 'Hand Armor');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '6', 'armor_head', 'Head Armor');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '7', 'armor_leg', 'Leg Armor');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '8', 'armor_misc', 'Misc Armor');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '9', 'armor_shield', 'Shield Generator');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '10', 'building', 'Building');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '11', 'building_factional', 'Factional Building');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '12', 'building_municipal', 'Municipal Building');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '13', 'building_player', 'Player Building');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '14', 'clothing', 'Clothing');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '15', 'clothing_bandolier', 'Bandolier');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '16', 'clothing_belt', 'Belt');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '17', 'clothing_bodysuit', 'Bodysuit');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '18', 'clothing_cape', 'Cape');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '19', 'clothing_cloak', 'Cloak');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '20', 'clothing_dress', 'Dress');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '21', 'clothing_eye', 'Eyewear');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '22', 'clothing_foot', 'Footwear');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '23', 'clothing_hand', 'Handwear');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '24', 'clothing_head', 'Headwear');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '25', 'clothing_jacket', 'Jacket');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '26', 'clothing_misc', 'Misc Clothing');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '27', 'clothing_pants', 'Pants');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '28', 'clothing_robe', 'Robe');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '29', 'clothing_shirt', 'Shirt');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '30', 'clothing_skirt', 'Skirt');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '31', 'clothing_vest', 'Vest');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '32', 'clothing_wookiee', 'Wookiee Garb');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '33', 'component', 'Component');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '34', 'component_armor', 'Armor Component');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '35', 'component_chemistry', 'Chemistry Component');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '36', 'component_clothing', 'Clothing Component');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '37', 'component_community_crafting', 'Community Crafting Component');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '38', 'component_droid', 'Droid Component');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '39', 'component_electronics', 'Electronics Component');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '40', 'component_genetic', 'Genetic Component');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '41', 'component_munition', 'Munition Component');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '42', 'component_saber_crystal', 'Lightsaber Crystal');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '43', 'component_structure', 'Structure Component');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '44', 'component_tissue', 'Tissue Component');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '45', 'component_weapon_melee', 'Melee Weapon Component');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '46', 'component_weapon_ranged', 'Ranged Weapon Component');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '47', 'corpse', 'Corpse');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '48', 'creature', 'Entity');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '49', 'creature_character', 'Character');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '50', 'creature_droid', 'Droid');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '51', 'creature_droid_probe', 'Probe Droid');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '52', 'creature_monster', 'Creature');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '53', 'data', 'Data');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '54', 'data_draft_schematic', 'Draft Schematic');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '55', 'data_fictional', 'Data');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '56', 'data_manufacturing_schematic', 'Manufacturing Schematic');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '57', 'data_mission_object', 'Mission Object');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '58', 'data_pet_control_device', 'Pet Control Device');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '59', 'data_ship_control_device', 'Ship Control Device');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '60', 'data_token', 'Token');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '61', 'data_vehicle_control_device', 'Vehicle Control Device');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '62', 'data_waypoint', 'Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '63', 'deed', 'Deed');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '64', 'deed_building', 'Building Deed');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '65', 'deed_droid', 'Droid Deed');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '66', 'deed_installation', 'Installation Deed');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '67', 'deed_pet', 'Pet Deed');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '68', 'deed_vehicle', 'Vehicle Deed');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '69', 'installation', 'Installation');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '70', 'installation_factory', 'Factory');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '71', 'installation_generator', 'Generator');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '72', 'installation_harvester', 'Harvester');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '73', 'installation_minefield', 'Minefield');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '74', 'installation_turret', 'Turret');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '75', 'jewelry', 'Jewelry');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '76', 'jewelry_bracelet', 'Bracelet');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '77', 'jewelry_earring', 'Earring');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '78', 'jewelry_necklace', 'Necklace');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '79', 'jewelry_ring', 'Ring');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '80', 'lair', 'Lair');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '81', 'live_sample', 'Live Sample');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '82', 'misc', 'Misc');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '83', 'misc_ammunition', 'Ammunition');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '84', 'misc_armor_attachment', 'Armor Attachment');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '85', 'misc_chemical', 'Chemical');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '86', 'misc_clothing_attachment', 'Clothing Attachment');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '87', 'misc_community_crafting_project', 'Community Crafting Project');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '88', 'misc_container', 'Container');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '89', 'misc_container_wearable', 'Wearable Container');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '90', 'misc_counter', 'Counter');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '91', 'misc_crafting_station', 'Crafting Station');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '92', 'misc_drink', 'Drink');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '93', 'misc_electronics', 'Electronics');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '94', 'misc_factory_crate', 'Factory Crate');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '95', 'misc_firework', 'Firework');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '96', 'misc_firework_show', 'Firework Show');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '97', 'misc_fishing_bait', 'Fishing Bait');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '98', 'misc_fishing_pole', 'Fishing Pole');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '99', 'misc_flora', 'Flora');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '100', 'misc_food', 'Food');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '101', 'misc_furniture', 'Furniture');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '102', 'misc_instrument', 'Instrument');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '103', 'misc_item', 'Generic Item');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '104', 'misc_item_usable', 'Item');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '105', 'misc_live_sample', 'Live Sample');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '106', 'misc_petmed', 'Pet Medicine');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '107', 'misc_pharmaceutical', 'Pharmaceutical');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '108', 'misc_sign', 'Sign');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '109', 'misc_ticket_travel', 'Travel Ticket');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '110', 'misc_trap', 'Trap');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '111', 'none', 'Object');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '112', 'powerup_armor', 'Armor Powerup');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '113', 'powerup_armor_arm', 'Arm Armor Powerup');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '114', 'powerup_armor_body', 'Body Armor Powerup');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '115', 'powerup_armor_foot', 'Foot Armor Powerup');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '116', 'powerup_armor_hand', 'Hand Armor Powerup');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '117', 'powerup_armor_head', 'Head Armor Powerup');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '118', 'powerup_armor_leg', 'Leg Armor Powerup');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '119', 'powerup_armor_misc', 'Misc Armor Powerup');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '120', 'powerup_weapon', 'Weapon Powerup');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '121', 'powerup_weapon_heavy', 'Heavy Weapon Powerup');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '122', 'powerup_weapon_heavy_special', 'Special Heavy Weapon Powerup');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '123', 'powerup_weapon_melee', 'Melee Weapon Powerup');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '124', 'powerup_weapon_mine', 'Mine Powerup');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '125', 'powerup_weapon_ranged', 'Ranged Weapon Powerup');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '126', 'powerup_weapon_thrown', 'Thrown Weapon Powerup');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '127', 'resource_container', 'Resource Container');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '128', 'resource_container_energy_gas', 'Energy (Gas)');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '129', 'resource_container_energy_liquid', 'Energy (Liquid)');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '130', 'resource_container_energy_radioactive', 'Energy (Radioactive)');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '131', 'resource_container_energy_solid', 'Energy (Solid)');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '132', 'resource_container_inorganic_chemicals', 'Inorganic Chemical');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '133', 'resource_container_inorganic_gas', 'Inorganic Gas');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '134', 'resource_container_inorganic_minerals', 'Inorganic Mineral');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '135', 'resource_container_inorganic_water', 'Water');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '136', 'resource_container_organic_food', 'Organic Food');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '137', 'resource_container_organic_hide', 'Organic Hide');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '138', 'resource_container_organic_structure', 'Organic Structural');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '139', 'resource_container_pseudo', 'Resource Container');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '140', 'ship', 'Ship');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '141', 'ship_capital', 'Capital Ship');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '142', 'ship_component', 'Ship Component');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '143', 'ship_component_armor', 'Armor');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '144', 'ship_component_booster', 'Booster');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '145', 'ship_component_capacitor', 'Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '146', 'ship_component_droid_interface', 'Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '147', 'ship_component_engine', 'Engine');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '148', 'ship_component_reactor', 'Reactor');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '149', 'ship_component_shield', 'Shield');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '150', 'ship_component_weapon', 'Weapon');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '151', 'ship_fighter', 'Fighter Ship');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '152', 'ship_station', 'Space Station');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '153', 'static', 'Static');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '154', 'terminal', 'Terminal');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '155', 'terminal_bank', 'Bank Terminal');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '156', 'terminal_bazaar', 'Commodities Terminal');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '157', 'terminal_cloning', 'Cloning Terminal');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '158', 'terminal_insurance', 'Insurance Terminal');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '159', 'terminal_manage', 'Management Terminal');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '160', 'terminal_misc', 'Terminal');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '161', 'terminal_mission', 'Mission Terminal');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '162', 'terminal_permissions', 'Permissions Terminal');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '163', 'terminal_player_structure', 'Player Structure Terminal');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '164', 'terminal_shipping', 'Shipping Terminal');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '165', 'terminal_travel', 'Travel Terminal');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '166', 'tool', 'Tool');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '167', 'tool_camp_kit', 'Camp Kit');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '168', 'tool_crafting', 'Crafting Tool');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '169', 'tool_repair', 'Repair Tool');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '170', 'tool_ship_component_repair', 'Ship Component Repair Item');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '171', 'tool_survey', 'Survey Tool');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '172', 'unknown', 'Unknown Object Type');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '173', 'vehicle', 'Vehicle');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '174', 'vehicle_hover', 'Hover Vehicle');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '175', 'weapon', 'Weapon');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '176', 'weapon_heavy_mine', 'Mine');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '177', 'weapon_heavy_misc', 'Heavy Weapon');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '178', 'weapon_heavy_special', 'Special Heavy Weapon');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '179', 'weapon_melee_1h', '1-Handed Melee Weapon');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '180', 'weapon_melee_2h', '2-Handed Melee Weapon');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '181', 'weapon_melee_misc', 'Melee Weapon');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '182', 'weapon_melee_polearm', 'Polearm');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '183', 'weapon_ranged_carbine', 'Carbine');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '184', 'weapon_ranged_misc', 'Ranged Weapon');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '185', 'weapon_ranged_pistol', 'Pistol');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '186', 'weapon_ranged_rifle', 'Rifle');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '187', 'weapon_ranged_thrown', 'Thrown Weapon');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '188', 'misc_force_crystal', 'Crystal');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '189', 'misc_droid_programming_chip', 'Droid Programming Chip');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '190', 'ship_component_chassis', 'Ship Chassis');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '191', 'ship_component_bridge', 'Bridge');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '192', 'ship_component_hangar', 'Hangar');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '193', 'ship_component_targeting_station', 'Targeting Station');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '194', 'misc_asteroid', 'Asteroid');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '195', 'misc_pob_ship_pilot_chair', 'Pilot Chair');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '196', 'misc_operations_chair', 'Operations Chair');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '197', 'misc_turret_access_ladder', 'Turret Access Ladder');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '198', 'terminal_space', 'Space Terminal');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '199', 'ship_component_missilepack', 'Missile Pack');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '200', 'data_droid_control_device', 'Droid Control Device');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '201', 'ship_component_countermeasurepack', 'Countermeasure Pack');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '202', 'ship_transport', 'Transport Ship');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '203', 'ship_component_missilelauncher', 'Missile Launcher');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '204', 'ship_component_countermeasurelauncher', 'Countermeasure Launcher');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '205', 'misc_container_ship_loot', 'Container');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '206', 'ship_mining_asteroid_static', 'Static Mining Asteroid');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '207', 'ship_mining_asteroid_dynamic', 'Dynamic Mining Asteroid');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '208', 'cybernetic', 'Cybernetic');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '209', 'cybernetic_arm', 'Cybernetic Arm');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '210', 'cybernetic_legs', 'Cybernetic Legs');
INSERT INTO `client_strings` VALUES ('string/en/got_n.stf', '211', 'cybernetic_torso', 'Cybernetic Torso');
INSERT INTO `client_strings` VALUES ('string/en/grammar.stf', '1', 'pronoun_subjective', 'it\nhe\nshe\n');
INSERT INTO `client_strings` VALUES ('string/en/grammar.stf', '2', 'pronoun_objective', 'it\nhim\nher');
INSERT INTO `client_strings` VALUES ('string/en/grammar.stf', '3', 'pronoun_possessive', 'its\nhis\nher\n');
INSERT INTO `client_strings` VALUES ('string/en/grammar.stf', '4', 'test', 'test\n~animnone\n~animself\n~animother\n~msg no target\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\nYou shoot at %TT\'s torso, but %ST takes advantage of it to counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots at your torso, but you take advantage of it to counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shoots at %TT\'s torso, but %NT takes advantage of it to counterattack!\n~\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '1', 'alpha', 'Alphabetic');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '2', 'already_grouped', '%TT is already in a group.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '3', 'cancel', 'CANCEL');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '4', 'choose_master_looter', 'Choose a Master Looter from the list of available players:');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '5', 'considering_other_group', '%TT is considering joining another group.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '6', 'considering_your_group', '%TT has already been invited to join your group.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '7', 'corpse_empty', 'This corpse has no items in its inventory.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '8', 'decline_leader', '%TT declines to join your group.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '9', 'decline_self', 'You decline to join the group.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '10', 'disbanded', 'The group has been disbanded.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '11', 'formed_self', 'You have formed the group.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '12', 'free_for_all_loot_all', 'The corpse has been looted of all items.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '13', 'full', 'You may not invite someone while your group is full.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '14', 'full_inventory', '%TT has a full inventory and cannot loot %TO.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '15', 'group_only', 'You can only set or check group looting options if you are in a group.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '16', 'groupwaypoint', 'Nearest mission for group');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '17', 'groupwp_post', '(Group Waypoint)');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '18', 'info_options', 'Group Information');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '19', 'info_prompt', 'Warning! The following information is NOT real-time updated. It is only guaranteed valid at the time of opening.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '20', 'invite_leader', 'You invite %TT to join your group.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '21', 'invite_no_target_self', 'You must supply a target to invite.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '22', 'invite_target', '%TT invites you to join a group.  Type /join to accept.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '23', 'items', 'items');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '24', 'joined_self', 'You have joined the group.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '25', 'leader_only', 'Only the Group Leader can set the looting options.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '26', 'leader_only_free4all', 'Only the Group Leader can set the looting options.  Your group is currently set to Free-For-All.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '27', 'leader_only_lottery', 'Only the Group Leader can set the looting options.  Your group is currently set to Lottery.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '28', 'leader_only_master', 'Only the Group Leader can set the looting options.  Your group is currently set to Master Looter.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '29', 'leave_group', 'Leave Group');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '30', 'loot_changed', 'Loot Type Changed');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '31', 'lottery_sui', 'Loot Lottery');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '32', 'lottery_sui_text', 'Loot Lottery');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '33', 'master_loot_all', 'The master looter has looted all items from the corpse.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '34', 'master_looter_sui_title', 'Select Master Looter');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '35', 'master_only', 'Only the Master Looter is allowed to loot!  Currently the Master Looter is set to %TO.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '36', 'must_be_invited', 'You must be invited to join a group.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '37', 'must_be_leader', 'You must be the group leader perform this action.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '38', 'must_eject_first', 'You are not allowed to do that while in a ship.  Please eject first.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '39', 'new_leader', '%TU is now the group leader.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '40', 'new_master_looter', '%TU is now the master looter.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '41', 'no_disband_owner', 'You may not remove the owner of your ship from the group.  You may eject first if you wish to leave the group.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '42', 'no_loot_group', 'You cannot use the Loot All option because you are in a group.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '43', 'no_loot_lotto', 'You cannot use the Loot All option because your group is set to Lottery.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '44', 'no_loot_permission', 'You can not loot that.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '45', 'no_one_wanted', 'No one wanted the %TO.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '46', 'not_master_looter', 'You cannot use the Loot All option because you are not the Master Looter for your group.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '47', 'notify_cloned', '[GROUP] %TU has been cloned at a non-city facility.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '48', 'notify_cloned_city', '[GROUP] %TU has been cloned at a facility in %TO.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '49', 'notify_coin_loot_int', '[GROUP] %TU looted %DI credits from %TT.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '50', 'notify_coin_loot_string', '[GROUP] %TU looted %TO credits from %TT.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '51', 'notify_death', '[GROUP] %TU has died.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '52', 'notify_error_loot', '[GROUP] %TU looted %TT, but there was an error in the process.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '53', 'notify_harvest_corpse', '[GROUP] %TU harvested %DI units of %TO resource from %TT.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '54', 'notify_incap', '[GROUP] %TU has fallen incapacitated.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '55', 'notify_item_loot', '[GROUP] %TU looted %DI items from %TT.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '56', 'notify_lt_change', '[GROUP] Auto-Loot Type changed to \'%TO\'.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '57', 'notify_no_loot', '[GROUP] %TU attempted to loot %TT, but was unable to carry any of the %DI items.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '58', 'notify_option_off', '[GROUP] %TO set off.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '59', 'notify_option_on', '[GROUP] %TO set on.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '60', 'notify_partial_coin_loot_int', '[GROUP] %TU failed to loot credits from %TT. %DI credits remain on the corpse.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '61', 'notify_partial_loot', '[GROUP] %TU was unable to loot %DI items from %TT.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '62', 'notify_single_loot', '[GROUP] %TU looted %TO from %TT.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '63', 'notify_unknown', '[GROUP] %TU sent an unknown group notify message.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '64', 'ok', 'OK');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '65', 'only_players_in_space', 'You may only group with players in space.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '66', 'other_joined_prose', '%TU has joined the group.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '67', 'other_left_prose', '%TU has left the group.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '68', 'out_of_range_suffix', ' (Out of Range)');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '69', 'partially', 'partially');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '70', 'problem_transferring', 'There was a problem transferring items to your inventory.   You may pick them up from the corpse.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '71', 'prose_generic_msg', '[GROUP] %TO');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '72', 'prose_leader_changed', '%TU has abdicated group leadership to %TT.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '73', 'prose_member_harvest', '%TU harvested %DI units of %TO from %TT.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '74', 'prose_split', '[GROUP] You receive %DI credits as your share.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '75', 'prose_split_coins_self', '[GROUP] You split %TU credits and receive %TT credits as your share.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '76', 'prose_split_reason', '[GROUP] You receive %DI credits from %TO.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '77', 'random', 'Random');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '78', 'removed', 'You have been removed from the group.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '79', 'select', 'SELECT');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '80', 'selected_free4all', 'Group Leader selected Free For All as the loot type for the group.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '81', 'selected_lotto', 'Group Leader selected Lottery as the loot type for the group.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '82', 'selected_master', 'Group Leader selected Master Looter as the loot type for the group.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '83', 'selected_random', 'Group Leader selected Random as the loot type for the group.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '84', 'set_loot_type_text', 'Choose from the following:');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '85', 'set_loot_type_title', 'CHOOSE GROUP LOOT TYPE');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '86', 'set_new_master_looter', 'The Group Leader has set %TT as the master looter.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '87', 'some', 'some');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '88', 'still_waiting', 'Still waiting for your group members...');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '89', 'successfully', 'successfully');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '90', 'too_far_away_for_lottery__', 'You are too far away from the creature to participate in the lottery.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '91', 'uninvite_no_target_self', 'You must supply a target to uninvite.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '92', 'uninvite_not_invited', '%TT has not been invited.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '93', 'uninvite_self', 'You cancel %TT\'s invitation.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '94', 'uninvite_target', '%TT cancels the invitation.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '95', 'winner_took', '%TT took the %TO.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '96', 'you_are_full', 'Your Inventory is full.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '97', 'unable_to_transfer', 'Unable to transfer %TO to %TT.  The item is available on the corpse for %TT to retrieve.');
INSERT INTO `client_strings` VALUES ('string/en/group.stf', '98', 'full_inventory_free_for_all', '%TT inventory is full.  Unable to transfer %TO to %TT.  The item is available on the corpse for anyone to retrieve.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '1', 'accept', 'Accept');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '2', 'decline', 'Decline');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '3', 'add_enemy', 'Add New Enemy');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '4', 'allegiance', 'Set Allegiance');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '5', 'create_abbrev_prompt', 'Enter an abbreviation for your guild.  Guild abbreviations must be 1-5 characters in length.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '6', 'create_abbrev_title', 'Guild Abbreviation');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '7', 'create_name_prompt', 'Enter a name for your guild.  Guild names must be between 1 and 25 characters in length.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '8', 'create_name_title', 'Guild Name');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '9', 'disband_prompt', 'Are you sure you wish to disband your guild?');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '10', 'disband_title', 'Disband Guild');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '11', 'enemies_prompt', 'This is the guild war status for your guild.  Guilds are preceded with \'=\', \'>\', or \'<\', to signify guilds you are mutually at war with, guilds you have declared war on which have not declared war on you in return, and guilds which have declared war on you but you have not declared war on in return, respectively.  If you have permission for declaring war, you may perform the following operations.  To cancel a declaration of war, select a guild from the list which you are currently at war with and press \'Ok\'.  To declare war in return on a guild which has declared war on you, select them in the list and press \'Ok\'.  To declare war on a guild which has not declared war on you, select \'Add New Enemy\' and press Ok.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '12', 'enemies_title', 'Guild Enemies');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '13', 'kick', 'Kick');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '14', 'kick_prompt', 'Are you sure you want to kick %TU out of the guild?');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '15', 'kick_title', 'Kick From Guild');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '16', 'member_options_prompt', 'Select an operation from the list to perform on %TU and press Ok.\n');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '17', 'member_options_title', 'Member Options');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '18', 'members_prompt', 'These are the current members of the guild.  To perform an operation on a guild member, select them in the list and press Ok.\n');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '19', 'members_title', 'Guild Members');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '20', 'permissions', 'Change Permissions');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '21', 'sponsored_prompt', 'These are the people currently sponsored for membership in the guild.  If you have permission, you may select them from the list and press Ok to accept or decline their membership.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '22', 'sponsored_title', 'Sponsored for Membership');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '23', 'sponsored_options_prompt', 'Sponsored for membership: %TU.\nYou may accept them into the guild, decline their membership, or cancel to leave them unchanged for now.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '24', 'sponsored_options_title', 'Sponsored For Membership');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '25', 'sponsor_prompt', 'Enter the name of the person to sponsor for membership.  The person must be nearby.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '26', 'sponsor_title', 'Sponsor For Membership');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '27', 'sponsor_verify_prompt', '%TU wishes to sponsor you for membership in %TT.  Accepting this will cancel your sponsorship for any other guilds.  Do you accept sponsorship?\n');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '28', 'sponsor_verify_title', 'Sponsored For Guild Membership');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '29', 'title', 'Set Title');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '30', 'title_prompt', 'Enter a title to set for %TU.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '31', 'title_title', 'Guild Member Title');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '32', 'war_enemy_name_prompt', 'Enter a guild name or abbreviation to declare war upon.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '33', 'war_enemy_name_title', 'Declare War');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '34', 'menu_create', 'Create Guild');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '35', 'menu_disband', 'Disband Guild');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '36', 'menu_sponsor', 'Sponsor for Membership');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '37', 'menu_enemies', 'Guild Enemies');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '38', 'menu_members', 'Guild Members');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '39', 'menu_sponsored', 'Sponsored for Membership');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '40', 'menu_info', 'Guild Information');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '41', 'info_title', 'Guild Information');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '42', 'permissions_prompt', 'These are the current permissions set for %TU.  Permissions preceded by \'+\' are currently allowed, and those preceded by \'-\' are not.  Select a permission and press Ok to toggle it.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '43', 'permissions_title', 'Guild Member Permissions');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '44', 'permission_mail_yes', '+ Mail');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '45', 'permission_mail_no', '- Mail');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '46', 'permission_sponsor_yes', '+ Sponsor');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '47', 'permission_sponsor_no', '- Sponsor');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '48', 'permission_title_yes', '+ Title');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '49', 'permission_title_no', '- Title');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '50', 'permission_accept_yes', '+ Accept');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '51', 'permission_accept_no', '- Accept');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '52', 'permission_kick_yes', '+ Kick');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '53', 'permission_kick_no', '- Kick');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '54', 'permission_war_yes', '+ War');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '55', 'permission_war_no', '- War');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '56', 'permission_namechange_yes', '+ Change Guild Name');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '57', 'permission_namechange_no', '- Change Guild Name');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '58', 'permission_disband_yes', '+ Disband Guild');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '59', 'permission_disband_no', '- Disband Guild');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '60', 'namechange_name_prompt', 'Enter the name to which you wish to change your guild.  Guild names must be between 1 and 25 characters.  Name changes take approximately 7 days to take effect.\n');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '61', 'namechange_name_title', 'Change Guild Name');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '62', 'namechange_abbrev_prompt', 'Enter the abbreviation for your guild\'s new name.  Guild abbreviations must be between 1 and 5 characters in length.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '63', 'namechange_abbrev_title', 'Change Guild Abbreviation');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '64', 'menu_namechange', 'Change Guild Name');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '65', 'menu_guild_management', 'Guild Management');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '66', 'menu_member_management', 'Member Management');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '67', 'create_fail_in_guild', 'You cannot create a guild while already in a guild.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '68', 'create_fail_name_in_use', 'That guild name is already in use.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '69', 'create_fail_abbrev_in_use', 'That guild abbreviation is already in use.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '70', 'create_fail_name_not_allowed', 'That guild name is not allowed.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '71', 'create_fail_abbrev_not_allowed', 'That guild abbreviation is not allowed.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '72', 'sponsor_accept', '%TU has accepted your sponsorship.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '73', 'sponsor_decline', '%TU has declined your sponsorship.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '74', 'sponsor_not_found', 'The specified person to sponsor could not be found nearby.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '75', 'create_fail_abbrev_bad_length', 'Guild abbreviations must be 1-5 characters in length.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '76', 'create_fail_name_bad_length', 'Guild names must be 1-25 characters in length.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '77', 'sponsor_already_in_guild', '%TU is already in a guild.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '78', 'sponsor_fail_full', 'No more members may be sponsored, as the guild is already full.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '79', 'title_fail_bad_length', 'Guild member titles may be at most 25 characters in length.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '80', 'title_fail_not_allowed', 'That title is not allowed.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '81', 'generic_fail_no_permission', 'You do not have permission to perform that operation.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '82', 'war_fail_no_such_guild', 'No guild found by that name.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '83', 'kick_self', 'You remove %TU from %TT.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '84', 'kick_target', '%TU has removed you from %TT.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '85', 'sponsor_self', 'You sponsor %TU for membership in %TT.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '86', 'decline_self', 'You decline %TU for membership in %TT.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '87', 'decline_target', '%TU has declined your membership in %TT.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '88', 'sponsor_target', '%TU has sponsored you for membership in %TT.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '89', 'accept_self', 'You accept %TU for membership in %TT.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '90', 'accept_target', '%TU has accepted you for membership in %TT.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '91', 'leave_self', 'You leave %TU.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '92', 'title_self', 'You set %TU\'s guild title to \'%TT\'.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '93', 'title_target', '%TU has set your guild title to \'%TT\'.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '94', 'namechange_fail_abbrev_bad_length', 'Guild abbreviations must be 1-5 characters in length.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '95', 'namechange_fail_name_bad_length', 'Guild names must be 1-25 characters in length.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '96', 'namechange_fail_abbrev_not_allowed', 'That guild abbreviation is not allowed.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '97', 'namechange_fail_name_not_allowed', 'That guild name is not allowed.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '98', 'namechange_self', 'You have set your guild\'s name and abbreviation to be changed to \'%TU\' and \'%TT\' respectively.  The change will take place in approximately 7 days, if there are no conflicts at that time.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '99', 'allegiance_self', 'You have declared your support for %TU as leader of %TT.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '100', 'allegiance_unchanged_self', 'That person was not found.  Your allegiance remains unchanged.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '101', 'menu_leader_change', 'Transfer PA Leadership');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '102', 'make_leader_d', 'You are about to transfer leadership of this Player Association! Once you take this action, you will be made a normal member and your leader permissions will be revoked. Enter the name of the person you wish to give leadership to. This person must be a guild member, must be standing by the PA terminal, and must have enough slots free to accept ownership of the PA hall.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '103', 'make_leader_t', 'Transfer PA Leadership');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '104', 'menu_enable_elections', 'Enable Elections');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '105', 'menu_disable_elections', 'Disable Elections');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '106', 'menu_leader_race', 'Guild Leader Elections');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '107', 'menu_leader_standings', 'View Standings');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '108', 'menu_leader_vote', 'Cast a Vote');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '109', 'menu_leader_register', 'Register to Run');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '110', 'menu_leader_unregister', 'Unregister from Race');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '111', 'menu_leader_reset_vote', 'Reset Elections');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '112', 'vote_register_congrats', 'Congratulations, you are now listed on the ballot for the position of guild leader!');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '113', 'vote_register_dupe', 'You are already registered for the guild leader election.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '114', 'vote_unregistered', 'You have unregistered from the race.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '115', 'vote_not_registered', 'You aren\'t registered to run, so you can\'t unregister.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '116', 'vote_abstain', 'You have chosen to abstain in this election.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '117', 'vote_placed', 'Your vote for %TO has been recorded.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '118', 'leader_standings_d', 'A complete list of current guild leader candidates and their vote standing follows.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '119', 'leader_standings_t', 'Guild Leader Race Standings');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '120', 'leader_vote_t', 'Place Vote');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '121', 'leader_vote_d', 'Select your desired candidate from the list below. You may change your vote at any time.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '122', 'vote_no_candidates', 'No one has registered to run for guild leader.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '123', 'vote_elections_open', 'Elections for the position of guild leader are now open.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '124', 'vote_elections_closed', 'Elections for the position of guild leader are now closed.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '125', 'open_elections_email_subject', 'Guild Leader Elections Open!');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '126', 'open_elections_email_body', 'Your guild has started an election for a new guild leader! You may vote at the guild terminal in your PA Hall. If you are a full member of the guild, you may opt to run for the position of guild leader by registering at the guild terminal.\n\nA new guild leader will be elected in exactly two weeks. The guild member with the most votes at that time will become guild leader.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '127', 'closed_elections_email_subject', 'Guild Leader Elections Closed!');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '128', 'closed_elections_email_body', 'Your guild\'s election for a new guild leader has been closed by the current guild leader.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '129', 'public_election_body', 'The leader elections for %TT have been held.  The incumbent guild leader has lost the election!  The new guild leader is %TO.  Please congratulate the new guild leader!\n\nThe voting system will now be disabled. The new leader can enable it if they wish to run new elections.\n');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '130', 'public_election_inc_body', 'The elections for %TT have been held.  The incumbent guild leader is victorious!  Please congratulate %TO on retaining their office.\n\nThe voting system will now be disabled. The new leader can enable it if they wish to run new elections.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '131', 'public_election_inc_subject', 'Election Results!');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '132', 'public_election_subject', 'Election Results!');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '133', 'open_elections_absent_email_body', 'Your guild leader has not logged in for an extended period of time. In order to enable your guild to continue to operate efficiently, the guild leader voting system has been enabled. You may vote at the guild terminal in your PA Hall. If you are a full member of the guild, you may opt to run for the position of guild leader by registering at the guild terminal.\n\nA new guild leader will be elected in exactly two weeks. The guild member with the most votes at that time will become guild leader.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '134', 'open_elections_absent_email_subject', 'Guild Leader Elections Open!');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '135', 'accept_hall', 'Transfer PA Hall Lots to Myself');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '136', 'terminal_locked', 'The PA leader does not own the PA hall. The PA terminal may not be used until the PA leader accepts hall ownership.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '137', 'ml_not_loaded', 'That person is not loaded or is too far away.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '138', 'ml_no_lots_free', 'That person does not have enough free lots to own the PA hall. PA hall ownership is a requirement to be guild leader.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '139', 'ml_trial', 'Trial accounts can\'t own PAs or structures.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '140', 'ml_success', 'PA leadership transferred. You are now a normal member of the PA.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '141', 'ml_you_are_leader', 'You have been made leader of your PA!');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '142', 'ml_fail', 'Unable to find a member of the PA with that name.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '143', 'no_lots', 'You don\'t have enough lots free to take over the PA hall. You need to have 5 free lots.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '144', 'pa_owner_now', 'You are now the owner of this PA Hall.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '145', 'need_accept_hall', 'You are PA leader, but you do not own the PA hall. You must accept ownership of the PA hall before you or your PA members can use the management terminal. You must have 5 lots free to accept ownership of the PA hall. Select \"Accept PA Hall Lots\" to take ownership of the PA hall structure.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '146', 'already_leader', 'You are already the guild leader.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '147', 'accept_pa_hall_t', 'Accept PA Hall Lots');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '148', 'accept_pa_hall_p', 'The current owner of this PA hall has not logged in for 28 days. As guild leader, you may transfer ownership of the PA hall to yourself. You must have enough lots free to accept PA Hall ownership. Once you own the PA hall you may transfer it to another owner if you so desire.');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '149', 'make_leader_p', 'The leader of this PA wants to transfer leadership to you. Do you accept?');
INSERT INTO `client_strings` VALUES ('string/en/guild.stf', '150', 'ml_rejected', 'That player does not want to become guild leader.');
INSERT INTO `client_strings` VALUES ('string/en/guildmail.stf', '1', 'disband_subject', 'Guild Disbanded');
INSERT INTO `client_strings` VALUES ('string/en/guildmail.stf', '2', 'disband_text', 'The guild has been disbanded by %TU.');
INSERT INTO `client_strings` VALUES ('string/en/guildmail.stf', '3', 'disband_not_enough_members_text', 'The guild has been disbanded due to lack of members.');
INSERT INTO `client_strings` VALUES ('string/en/guildmail.stf', '4', 'sponsor_subject', 'Guild Sponsorship');
INSERT INTO `client_strings` VALUES ('string/en/guildmail.stf', '5', 'sponsor_text', '%TU has sponsored %TT for membership in the guild.');
INSERT INTO `client_strings` VALUES ('string/en/guildmail.stf', '6', 'accept_subject', 'New Guild Member Accepted');
INSERT INTO `client_strings` VALUES ('string/en/guildmail.stf', '7', 'accept_text', '%TU has accepted %TT into the guild as a member.');
INSERT INTO `client_strings` VALUES ('string/en/guildmail.stf', '8', 'kick_subject', 'Guild Member Removed');
INSERT INTO `client_strings` VALUES ('string/en/guildmail.stf', '9', 'kick_text', '%TU has removed %TT from the guild.');
INSERT INTO `client_strings` VALUES ('string/en/guildmail.stf', '10', 'decline_subject', 'Sponsored Guild Member Turned Down');
INSERT INTO `client_strings` VALUES ('string/en/guildmail.stf', '11', 'decline_text', '%TU has turned down %TT for membership in the guild.');
INSERT INTO `client_strings` VALUES ('string/en/guildmail.stf', '12', 'namechange_subject', 'Guild Name Changed');
INSERT INTO `client_strings` VALUES ('string/en/guildmail.stf', '13', 'namechange_text', '%TO has renamed the guild to %TU <%TT>.\n');
INSERT INTO `client_strings` VALUES ('string/en/guildmail.stf', '14', 'leaderchange_subject', 'Guild Leader Changed');
INSERT INTO `client_strings` VALUES ('string/en/guildmail.stf', '15', 'leaderchange_text', '%TU is the new guild leader.');
INSERT INTO `client_strings` VALUES ('string/en/guildmail.stf', '16', 'leave_subject', 'Member Left Guild');
INSERT INTO `client_strings` VALUES ('string/en/guildmail.stf', '17', 'leave_text', '%TU has removed themselves from the guild.');
INSERT INTO `client_strings` VALUES ('string/en/guildmail.stf', '18', 'accept_target_subject', 'Accepted to Guild');
INSERT INTO `client_strings` VALUES ('string/en/guildmail.stf', '19', 'accept_target_text', '%TU has accepted you into %TT as a member.');
INSERT INTO `client_strings` VALUES ('string/en/guildmail.stf', '20', 'decline_target_subject', 'Guild Sponsorship Declined');
INSERT INTO `client_strings` VALUES ('string/en/guildmail.stf', '21', 'decline_target_text', '%TU has declined your sponsorship for %TT.');
INSERT INTO `client_strings` VALUES ('string/en/hair_detail.stf', '1', 'hair', 'hair');
INSERT INTO `client_strings` VALUES ('string/en/hair_detail.stf', '2', 'frills', 'frills');
INSERT INTO `client_strings` VALUES ('string/en/hair_detail.stf', '3', 'ridges', 'ridges');
INSERT INTO `client_strings` VALUES ('string/en/hair_detail.stf', '4', 'lekku', 'lekku');
INSERT INTO `client_strings` VALUES ('string/en/hair_lookat.stf', '1', 'default', 'hair');
INSERT INTO `client_strings` VALUES ('string/en/hair_name.stf', '1', 'lekku', 'lekku');
INSERT INTO `client_strings` VALUES ('string/en/hair_name.stf', '2', 'ridges', 'ridges');
INSERT INTO `client_strings` VALUES ('string/en/hair_name.stf', '3', 'frills', 'frills');
INSERT INTO `client_strings` VALUES ('string/en/hair_name.stf', '4', 'hair', 'hair');
INSERT INTO `client_strings` VALUES ('string/en/harvester.stf', '1', 'manage', 'Operate Machinery');
INSERT INTO `client_strings` VALUES ('string/en/harvesting.stf', '1', 'found_nothing', 'You were unable to locate any resources.');
INSERT INTO `client_strings` VALUES ('string/en/harvesting.stf', '2', 'found_mollusks', 'You managed to locate some mollusks.');
INSERT INTO `client_strings` VALUES ('string/en/harvesting.stf', '3', 'found_crustaceans', 'You managed to locate some crustaceans.');
INSERT INTO `client_strings` VALUES ('string/en/harvesting.stf', '4', 'swimming', 'You cannot use this device while swimming.');
INSERT INTO `client_strings` VALUES ('string/en/harvesting.stf', '5', 'inside', 'You cannot use this device while indoors.');
INSERT INTO `client_strings` VALUES ('string/en/harvesting.stf', '6', 'in_water', 'You must be standing in water to use this device.');
INSERT INTO `client_strings` VALUES ('string/en/harvesting.stf', '7', 'busy', 'You are already searching the area for shellfish.');
INSERT INTO `client_strings` VALUES ('string/en/healing.stf', '1', 'shock_effect_low', 'Your current battle fatigue is reducing your medicine\'s effectiveness.');
INSERT INTO `client_strings` VALUES ('string/en/healing.stf', '2', 'shock_effect_medium', 'Your current battle fatigue is significantly reducing your medicine\'s effectiveness.');
INSERT INTO `client_strings` VALUES ('string/en/healing.stf', '3', 'shock_effect_high', 'Your current battle fatigue is greatly reducing your medicine\'s effectiveness. You should seek an entertainer.');
INSERT INTO `client_strings` VALUES ('string/en/healing.stf', '4', 'shock_effect_low_target', 'Your current battle fatigue is reducing the effectiveness of healing.');
INSERT INTO `client_strings` VALUES ('string/en/healing.stf', '5', 'shock_effect_medium_target', 'Your current battle fatigue is significantly reducing the effectiveness of healing.');
INSERT INTO `client_strings` VALUES ('string/en/healing.stf', '6', 'shock_effec_high_target', 'Your shock levels are greatly reducing the effectiveness of healing.  You should seek an entertainer.');
INSERT INTO `client_strings` VALUES ('string/en/healing.stf', '7', 'no_line_of_sight', 'You cannot see your target.');
INSERT INTO `client_strings` VALUES ('string/en/healing.stf', '8', 'cannot_poison', 'You cannot poison that.');
INSERT INTO `client_strings` VALUES ('string/en/healing.stf', '9', 'cannot_disease', 'You cannot apply disease to that.');
INSERT INTO `client_strings` VALUES ('string/en/healing.stf', '10', 'no_state_to_heal', '%TT has no state that you can heal.');
INSERT INTO `client_strings` VALUES ('string/en/healing.stf', '11', 'no_attrib_to_buff', '%TT has no attribute that you can enhance.');
INSERT INTO `client_strings` VALUES ('string/en/healing.stf', '12', 'insufficient_skill_heal', 'You have insufficient skill to use that item.  You must have a %TO value of at least %DI.');
INSERT INTO `client_strings` VALUES ('string/en/healing.stf', '13', 'heal_mind_invalid_target', 'Target must be a player or a creature pet in order to heal mind.');
INSERT INTO `client_strings` VALUES ('string/en/healing.stf', '14', 'pvp_no_help', 'It would be unwise to help such a patient.');
INSERT INTO `client_strings` VALUES ('string/en/healing.stf', '15', 'not_enough_mind', 'You do not have enough mind to do that.');
INSERT INTO `client_strings` VALUES ('string/en/healing.stf', '16', 'no_damage_to_heal_self', 'You have no damage to heal.');
INSERT INTO `client_strings` VALUES ('string/en/healing.stf', '17', 'no_damage_to_heal_target', '%TT has no damage to heal.');
INSERT INTO `client_strings` VALUES ('string/en/healing.stf', '18', 'no_mind_to_heal_self', 'You have no mind damage to heal.');
INSERT INTO `client_strings` VALUES ('string/en/healing.stf', '19', 'no_mind_to_heal_target', '%TT has no mind damage to heal.');
INSERT INTO `client_strings` VALUES ('string/en/healing.stf', '20', 'no_heal_mind_self', 'You can not heal your own mind.');
INSERT INTO `client_strings` VALUES ('string/en/healing.stf', '21', 'apply_poison_self', 'You apply poison to %TT.');
INSERT INTO `client_strings` VALUES ('string/en/healing.stf', '22', 'apply_disease_self', 'You apply disease to %TT.');
INSERT INTO `client_strings` VALUES ('string/en/healing.stf', '23', 'apply_poison_other', '%TU applies poison to you.');
INSERT INTO `client_strings` VALUES ('string/en/healing.stf', '24', 'apply_disease_other', '%TU applies disease to you.');
INSERT INTO `client_strings` VALUES ('string/en/healing.stf', '25', 'medical_enhance_health', 'Medical Health Enhancement');
INSERT INTO `client_strings` VALUES ('string/en/healing.stf', '26', 'medical_enhance_strength', 'Medical Strength Enhancement');
INSERT INTO `client_strings` VALUES ('string/en/healing.stf', '27', 'medical_enhance_constitution', 'Medical Constitution Enhancement');
INSERT INTO `client_strings` VALUES ('string/en/healing.stf', '28', 'medical_enhance_action', 'Medical Action Enhancement');
INSERT INTO `client_strings` VALUES ('string/en/healing.stf', '29', 'medical_enhance_quickness', 'Medical Quickness Enhancement');
INSERT INTO `client_strings` VALUES ('string/en/healing.stf', '30', 'medical_enhance_stamina', 'Medical Stamina Enhancement');
INSERT INTO `client_strings` VALUES ('string/en/healing.stf', '31', 'performance_enhance_dance_mind', 'Dance Mind Enhancement');
INSERT INTO `client_strings` VALUES ('string/en/healing.stf', '32', 'performance_enhance_music_focus', 'Musical Focus Enhancement');
INSERT INTO `client_strings` VALUES ('string/en/healing.stf', '33', 'performance_enhance_music_willpower', 'Musical Willpower Enhancement');
INSERT INTO `client_strings` VALUES ('string/en/healing.stf', '34', 'medical_enhance_health_d', 'Your Health has been enhanced by a doctor.');
INSERT INTO `client_strings` VALUES ('string/en/healing.stf', '35', 'medical_enhance_strength_d', 'Your Strength has been enhanced by a doctor.');
INSERT INTO `client_strings` VALUES ('string/en/healing.stf', '36', 'medical_enhance_constitution_d', 'Your Constitution has been enhanced by a doctor.');
INSERT INTO `client_strings` VALUES ('string/en/healing.stf', '37', 'medical_enhance_action_d', 'Your Action has been enhanced by a doctor.');
INSERT INTO `client_strings` VALUES ('string/en/healing.stf', '38', 'medical_enhance_quickness_d', 'Your Quickness has been enhanced by a doctor.');
INSERT INTO `client_strings` VALUES ('string/en/healing.stf', '39', 'medical_enhance_stamina_d', 'Your Stamina has been enhanced by a doctor.');
INSERT INTO `client_strings` VALUES ('string/en/healing.stf', '40', 'performance_enhance_dance_mind_d', 'Your Mind has been enhanced by watching a dancer\'s performance.');
INSERT INTO `client_strings` VALUES ('string/en/healing.stf', '41', 'performance_enhance_music_focus_d', 'Your Focus has been enhanced by listening to a musician\'s performance.');
INSERT INTO `client_strings` VALUES ('string/en/healing.stf', '42', 'performance_enhance_music_willpower_d', 'Your Willpower has been enhanced by listening to a musician\'s performance.');
INSERT INTO `client_strings` VALUES ('string/en/healing.stf', '43', 'droid_repair_wound_self', 'You have repaired %TO and healed a total of %DI wounds.');
INSERT INTO `client_strings` VALUES ('string/en/healing.stf', '44', 'droid_repair_wound_other', '%TT has repaired %TO and healed a total of %DI wounds.');
INSERT INTO `client_strings` VALUES ('string/en/healing.stf', '45', 'droid_repair_damage_self', 'You have repaired %TO and healed a total of %DI points of damage.');
INSERT INTO `client_strings` VALUES ('string/en/healing.stf', '46', 'droid_repair_damage_other', '%TT has repaired %TO and healed a total of %DI points of damage.');
INSERT INTO `client_strings` VALUES ('string/en/healing.stf', '47', 'medical_enhance_poison', 'Medical Poison Resist');
INSERT INTO `client_strings` VALUES ('string/en/healing.stf', '48', 'medical_enhance_poison_d', 'Your resistance to Poisons has been enhanced by a doctor.');
INSERT INTO `client_strings` VALUES ('string/en/healing.stf', '49', 'medical_enhance_disease', 'Medical Disease Resist');
INSERT INTO `client_strings` VALUES ('string/en/healing.stf', '50', 'medical_enhance_disease_d', 'Your resistance to Diseases has been enhanced by a doctor.');
INSERT INTO `client_strings` VALUES ('string/en/healing.stf', '51', 'dot_resist_other', 'You resist the effects!');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '1', 'applies_disease_antidote', ' applies disease antidote to you.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '2', 'applies_first_aid', ' applies first aid to you.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '3', 'applies_poison_antidote', ' applies poison antidote to you.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '4', 'apply_disease_antidote', 'You apply disease antidote to ');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '5', 'apply_poison_antidote', 'You apply poison antidote to ');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '6', 'blanket', 'You cover yourself in a suppressive blanket.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '7', 'by', ' by ');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '8', 'cannot_enhance', 'You do not have the ability to heal wounds or to apply enhancement medicines.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '9', 'cannot_heal', 'You do not have the ability to heal damage or states.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '10', 'cannot_resuscitate_kit', 'You cannot resuscitate someone without a resuscitation kit!');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '11', 'cannot_resuscitate_no_target', 'You cannot apply resuscitation medication without a valid target!');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '12', 'cannot_resuscitate_pack', 'You cannot resuscitate someone without a valid resuscitation pack!');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '13', 'cannot_tend_attribute', 'You cannot tend wounds to that attribute.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '14', 'covers_you', ' covers you in a suppressive blanket.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '15', 'default', '');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '16', 'disease_antidote_self', 'You apply disease antidote to yourself.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '17', 'enhancement', ' enhancement.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '18', 'enhancement_must_wait', 'You must wait before you can heal wounds or apply enhancements again.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '19', 'enhances_your', ' enhances your ');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '20', 'entertainer_too_many', 'The performer is entertaining too many people right now');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '21', 'first_aid_self', 'You apply first aid to yourself.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '22', 'first_aid_to', 'You apply first aid to ');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '23', 'healing_delay', 'You cannot do that for another ');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '24', 'healing_must_wait', 'You must wait before you can do that.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '25', 'healing_response_01', 'You heal yourself for %DI health,');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '26', 'healing_response_02', ' %DI action,');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '27', 'healing_response_03', ' and %DI mind damage.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '28', 'healing_response_04', ' and %DI action damage.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '29', 'healing_response_05', 'You heal yourself for %DI action,');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '30', 'healing_response_06', 'You heal %NT for %DI health,');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '31', 'healing_response_07', 'You heal %NT for %DI action,');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '32', 'healing_response_08', '%NO heals you for %DI health,');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '33', 'healing_response_09', '%NO heals you for %DI action,');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '34', 'healing_response_10', 'You heal yourself for %DI health damage.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '35', 'healing_response_11', 'You heal yourself for %DI action damage.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '36', 'healing_response_12', 'You heal yourself for %DI mind damage.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '37', 'healing_response_13', 'You heal %NT for %DI health damage.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '38', 'healing_response_14', 'You heal %NT for %DI action damage.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '39', 'healing_response_15', 'You heal %NT for %DI mind damage.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '40', 'healing_response_16', '%NO heals you for %DI health damage.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '41', 'healing_response_17', '%NO heals you for %DI action damage.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '42', 'healing_response_18', '%NO heals you for %DI mind damage.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '43', 'healing_response_19', 'You heal yourself for %DI strength wound damage.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '44', 'healing_response_20', 'You heal yourself for %DI constitution wound damage.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '45', 'healing_response_21', 'You heal yourself for %DI quickness wound damage.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '46', 'healing_response_22', 'You heal yourself for %DI stamina wound damage.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '47', 'healing_response_23', 'You heal yourself for %DI focus wound damage.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '48', 'healing_response_24', 'You heal yourself for %DI willpower wound damage.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '49', 'healing_response_25', 'You heal yourself for %DI strength,');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '50', 'healing_response_26', ' and %DI constitution wound damage.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '51', 'healing_response_27', 'You heal yourself for %DI quickness,');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '52', 'healing_response_28', ' and %DI stamina wound damage.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '53', 'healing_response_29', 'You heal yourself for %DI focus,');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '54', 'healing_response_30', ' and %DI willpower wound damage.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '55', 'healing_response_31', 'You heal %NT for %DI strength wound damage.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '56', 'healing_response_32', 'You heal %NT for %DI constitution wound damage.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '57', 'healing_response_33', 'You heal %NT for %DI quickness wound damage.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '58', 'healing_response_34', 'You heal %NT for %DI stamina wound damage.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '59', 'healing_response_35', 'You heal %NT for %DI focus wound damage.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '60', 'healing_response_36', 'You heal %NT for %DI willpower wound damage.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '61', 'healing_response_37', 'You heal %NT for %DI strength,');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '62', 'healing_response_38', 'You heal %NT for %DI quickness,');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '63', 'healing_response_39', 'You heal %NT for %DI focus,');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '64', 'healing_response_40', '%NO heals you for %DI strength wound damage.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '65', 'healing_response_41', '%NO heals you for %DI constitution wound damage.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '66', 'healing_response_42', '%NO heals you for %DI quickness wound damage.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '67', 'healing_response_43', '%NO heals you for %DI stamina wound damage.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '68', 'healing_response_44', '%NO heals you for %DI focus wound damage.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '69', 'healing_response_45', '%NO heals you for %DI willpower wound damage.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '70', 'healing_response_46', '%NO heals you for %DI strength,');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '71', 'healing_response_47', '%NO heals you for %DI quickness,');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '72', 'healing_response_48', '%NO heals you for %DI focus,');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '73', 'healing_response_49', 'You heal yourself for %DI health wound damage.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '74', 'healing_response_50', 'You heal yourself for %DI action wound damage.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '75', 'healing_response_51', 'You heal yourself for %DI mind wound damage.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '76', 'healing_response_52', 'You heal %NT for %DI health wound damage.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '77', 'healing_response_53', 'You heal %NT for %DI action wound damage.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '78', 'healing_response_54', 'You heal %NT for %DI mind wound damage.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '79', 'healing_response_55', '%NO heals you for %DI health wound damage.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '80', 'healing_response_56', '%NO heals you for %DI action wound damage.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '81', 'healing_response_57', '%NO heals you for %DI mind wound damage.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '82', 'healing_response_58', 'You are now ready to heal more damage.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '83', 'healing_response_59', 'You are now ready to heal more wounds or apply more enhancements.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '84', 'healing_response_60', 'No valid medicine found.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '85', 'healing_response_61', 'You have no damage to heal.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '86', 'healing_response_62', 'Target must be a player or a creature pet in order to heal damage.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '87', 'healing_response_63', '%NT has no damage to heal.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '88', 'healing_response_64', 'Unable to find any wounds which you can heal.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '89', 'healing_response_65', 'You must specify a valid wound type.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '90', 'healing_response_66', 'That item does not heal wounds.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '91', 'healing_response_67', 'You have no wounds of that type to heal.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '92', 'healing_response_68', 'Your mind is too drained to do that.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '93', 'healing_response_69', ' has no wounds of that type to heal.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '94', 'healing_response_70', 'You must specify a valid state type.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '95', 'healing_response_71', 'That item is not a state medicine.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '96', 'healing_response_72', 'You have no state of that type to heal.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '97', 'healing_response_73', 'Target must be a player or a creature pet in order to heal a state.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '98', 'healing_response_74', '%NT has no state of that type to heal.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '99', 'healing_response_75', 'You must specify a valid attribute.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '100', 'healing_response_76', 'That item does not provide attribute enhancement.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '101', 'healing_response_77', 'Target must be a player or a creature pet in order to apply enhancements.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '102', 'healing_response_78', 'You are not bleeding.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '103', 'healing_response_79', 'Target must be a player or a creature pet in order to apply first aid.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '104', 'healing_response_80', '%NT is not bleeding.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '105', 'healing_response_81', 'That item does not cure poison.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '106', 'healing_response_82', 'You are not poisoned.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '107', 'healing_response_83', 'Target must be a player or a creature pet in order to cure poison.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '108', 'healing_response_84', '%NT is not poisoned.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '109', 'healing_response_85', 'That item does not quench flames.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '110', 'healing_response_86', 'You are not on fire.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '111', 'healing_response_87', 'Target must be a player or a creature pet in order to quench flames.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '112', 'healing_response_88', '%NT is not on fire.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '113', 'healing_response_89', 'That item does not cure disease.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '114', 'healing_response_90', 'You are not diseased.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '115', 'healing_response_91', 'Target must be a player or a creature pet in order cure disease.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '116', 'healing_response_92', '%NT is not diseased.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '117', 'healing_response_93', 'That item does not apply poison.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '118', 'healing_response_94', 'Trying to poison yourself?');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '119', 'healing_response_95', 'You may not poison that target.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '120', 'healing_response_96', 'That item does not apply disease.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '121', 'healing_response_97', 'Trying to disease yourself?');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '122', 'healing_response_98', 'You may not disease that target.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '123', 'healing_response_99', 'Target must be a player or a creature pet in order to quick heal.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '124', 'healing_response_a1', 'Target must be a player or a creature pet in order to tend damage.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '125', 'healing_response_a2', 'You cannot apply resuscitation medication without a valid target!');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '126', 'healing_response_a3', 'You cannot apply resuscitation medication to a non-player entity!');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '127', 'healing_response_a4', 'Your target does not require resuscitation!');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '128', 'healing_response_a5', 'You must first have a valid target to drag before you can perform this command.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '129', 'healing_response_a6', 'You may only drag players!');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '130', 'healing_response_a7', 'You may only drag incapacitated or dying players!');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '131', 'healing_response_a8', 'The system was unable to determine valid locations for this command.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '132', 'healing_response_a9', 'You lack the ability to drag incapacitated players!');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '133', 'healing_response_b1', 'Your maximum drag range is %DI meters! Try getting closer.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '134', 'healing_response_b2', 'Your target is too far below you to drag.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '135', 'healing_response_b3', 'Your target is too far above you to drag.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '136', 'healing_response_b4', 'You must be grouped with or have consent from your drag target!');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '137', 'healing_response_b5', 'Attempting to drag %TT to your location...');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '138', 'healing_response_b6', 'You cannot diagnose that.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '139', 'healing_response_b7', 'You are not close enough to diagnose that patient.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '140', 'healing_response_b8', 'You are not close enough to diagnose that patient.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '141', 'heals_your', ' heals your ');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '142', 'jedi_must_consent', 'You must have consent from a jedi resuscitation target!');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '143', 'must_be_grouped', 'You must be grouped with or have consent from your resuscitation target!');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '144', 'must_be_in_hospital', 'You must be in a hospital or at a campsite to do that.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '145', 'must_be_near_droid', 'You must be in a hospital, at a campsite, or near a surgical droid to do that.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '146', 'not_enough_mind', 'You do not have enough mind to do that.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '147', 'poison_antidote_self', 'You apply poison antidote to yourself.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '148', 'posessive', '\'s ');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '149', 'reapplies_your', ' re-applies your ');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '150', 'removes_the', ' removes the ');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '151', 'state_from', ' state from ');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '152', 'state_from_you', ' state from you.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '153', 'state_from_yourself', ' state from yourself.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '154', 'target_must_be_healable', 'Target must be a player or a creature pet in order to tend wounds.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '155', 'too_dead_to_resuscitate', 'Your target has been dead too long. There is no hope of resuscitation.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '156', 'unwise_to_help', 'It would be unwise to help such a patient.');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '157', 'you_enhance', 'You enhance ');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '158', 'you_enhance_your', 'You enhance your ');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '159', 'you_heal', 'You heal ');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '160', 'you_heal_your', 'You heal your ');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '161', 'you_reapply', 'You re-apply ');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '162', 'you_reapply_your', 'You re-apply your ');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '163', 'you_remove', 'You remove the ');
INSERT INTO `client_strings` VALUES ('string/en/healing_response.stf', '164', 'you_suppress_flames', 'You attempt to suppress the flames on ');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling.stf', '1', 'start_convo_1', 'Yes?');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling.stf', '6', 'command_stay', 'Stay here.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling.stf', '7', 'command_follow', 'Follow me.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling.stf', '13', 'command_guard', 'I want you to guard.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling.stf', '14', 'command_friend', 'Accept this person\'s orders.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling.stf', '15', 'command_attack', 'Attack!');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling.stf', '16', 'command_patrol', 'Start patrolling.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling.stf', '17', 'command_get_patrol_point', 'Remember this patrol point.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling.stf', '18', 'command_clear_patrol_points', 'Forget those patrol points.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling.stf', '19', 'command_assume_formation_1', 'Get in wedge formation.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling.stf', '20', 'command_release', 'You are dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling.stf', '21', 'command_transfer', 'Meet your new boss.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling.stf', '22', 'confused', 'I don\'t know what you mean.\n');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling.stf', '23', 'command_assume_formation_2', 'Get in column formation.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling.stf', '24', 'command_group_1', 'Group with me.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling.stf', '25', 'command_group_2', 'Leave my group.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling.stf', '26', 'start_convo_4', 'What\'s the command for that?');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling.stf', '27', 'end_convo', 'Ok.  When I hear that command, I\'ll do it.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling.stf', '28', 'command_reply_1', 'I need to teach you a command.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling.stf', '29', 'start_convo_2', 'What sort of command?');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling.stf', '30', 'move_commands', 'Movement commands.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling.stf', '31', 'combat_commands', 'Combat commands.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling.stf', '32', 'patrolling_commands', 'Patrolling commands.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling.stf', '33', 'formation_commands', 'Formation commands.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling.stf', '34', 'friendship_commands', 'Friendship commands');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling.stf', '35', 'which_command', 'Which command do you want to tell me?');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling.stf', '36', 'taming_1', 'Easy.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling.stf', '37', 'taming_2', 'Steady.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling.stf', '38', 'taming_3', 'Don\'t be scared.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling.stf', '39', 'taming_4', 'Don\'t bite me.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling.stf', '40', 'taming_5', 'Good... er... boy?');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling.stf', '41', 'taming_toofar', 'You are too far away to continue taming.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling.stf', '42', 'taming_fail', 'You fail to tame the creature.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling.stf', '43', 'taming_success', 'You successfully tame the creature.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling.stf', '44', 'pet_wounded_health', 'Hungry!');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling.stf', '45', 'pet_wounded_mind', 'Play!');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling.stf', '46', 'command_follow_other', 'Follow Other');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling.stf', '47', 'menu_repair_other', 'Repair a droid.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_geek.stf', '1', 'start_convo_1', 'Entering verbal programming interface. Input desired procedure library?');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_geek.stf', '6', 'command_stay', 'Stay here.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_geek.stf', '7', 'command_follow', 'Follow me.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_geek.stf', '13', 'command_guard', 'I want you to guard.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_geek.stf', '14', 'command_friend', 'Accept this person\'s orders.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_geek.stf', '15', 'command_attack', 'Attack!');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_geek.stf', '16', 'command_patrol', 'Start patrolling.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_geek.stf', '17', 'command_get_patrol_point', 'Remember this patrol point.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_geek.stf', '18', 'command_clear_patrol_points', 'Forget those patrol points.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_geek.stf', '19', 'command_assume_formation_1', 'Get in wedge formation.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_geek.stf', '20', 'command_release', 'You are dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_geek.stf', '21', 'command_transfer', 'Meet your new boss.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_geek.stf', '22', 'confused', 'Syntax error. Command not recognized.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_geek.stf', '23', 'command_assume_formation_2', 'Get in column formation.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_geek.stf', '24', 'command_group_1', 'Group with me.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_geek.stf', '25', 'command_group_2', 'Leave my group.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_geek.stf', '26', 'start_convo_4', 'Input desired command?');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_geek.stf', '27', 'end_convo', 'Order acknowledged.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_geek.stf', '28', 'command_reply_1', 'I need to teach you a command.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_geek.stf', '29', 'start_convo_2', 'Input desired procedure?');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_geek.stf', '30', 'move_commands', 'Movement commands.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_geek.stf', '31', 'combat_commands', 'Combat commands.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_geek.stf', '32', 'patrolling_commands', 'Patrolling commands.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_geek.stf', '33', 'formation_commands', 'Formation commands.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_geek.stf', '34', 'friendship_commands', 'Friendship commands');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_geek.stf', '35', 'which_command', 'Input alias to specified command?');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_geek.stf', '36', 'taming_1', 'Easy.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_geek.stf', '37', 'taming_2', 'Steady.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_geek.stf', '38', 'taming_3', 'Don\'t be scared.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_geek.stf', '39', 'taming_4', 'Don\'t bite me.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_geek.stf', '40', 'taming_5', 'Good... er... boy?');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_geek.stf', '41', 'taming_toofar', 'You are too far away to continue taming.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_geek.stf', '42', 'taming_fail', 'You fail to tame the creature.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_geek.stf', '43', 'taming_success', 'You successfully tame the creature.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_geek.stf', '44', 'pet_wounded_health', 'Systems integrity alert! Buffer overflows.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_geek.stf', '45', 'pet_wounded_mind', 'Core processing unit overheating!');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_geek.stf', '46', 'command_follow_other', 'Follow Other');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_geek.stf', '47', 'menu_repair_other', 'Repair a droid.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_prissy.stf', '1', 'start_convo_1', 'Do you have orders for me, sir?');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_prissy.stf', '6', 'command_stay', 'Stay here.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_prissy.stf', '7', 'command_follow', 'Follow me.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_prissy.stf', '13', 'command_guard', 'I want you to guard.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_prissy.stf', '14', 'command_friend', 'Accept this person\'s orders.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_prissy.stf', '15', 'command_attack', 'Attack!');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_prissy.stf', '16', 'command_patrol', 'Start patrolling.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_prissy.stf', '17', 'command_get_patrol_point', 'Remember this patrol point.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_prissy.stf', '18', 'command_clear_patrol_points', 'Forget those patrol points.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_prissy.stf', '19', 'command_assume_formation_1', 'Get in wedge formation.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_prissy.stf', '20', 'command_release', 'You are dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_prissy.stf', '21', 'command_transfer', 'Meet your new boss.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_prissy.stf', '22', 'confused', 'I\'m afraid I fail to comprehend your meaning, sir.\n');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_prissy.stf', '23', 'command_assume_formation_2', 'Get in column formation.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_prissy.stf', '24', 'command_group_1', 'Group with me.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_prissy.stf', '25', 'command_group_2', 'Leave my group.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_prissy.stf', '26', 'start_convo_4', 'Very well, sir. And what word shall I listen for?');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_prissy.stf', '27', 'end_convo', 'Very well, sir. Upon hearing that command, I shall endeavor to obey.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_prissy.stf', '28', 'command_reply_1', 'I need to teach you a command.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_prissy.stf', '29', 'start_convo_2', 'I am more than capable of obeying your orders, sir. What sort of command do you need me to learn?');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_prissy.stf', '30', 'move_commands', 'Movement commands.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_prissy.stf', '31', 'combat_commands', 'Combat commands.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_prissy.stf', '32', 'patrolling_commands', 'Patrolling commands.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_prissy.stf', '33', 'formation_commands', 'Formation commands.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_prissy.stf', '34', 'friendship_commands', 'Friendship commands');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_prissy.stf', '35', 'which_command', 'Sir, which command do you wish to instruct me in?');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_prissy.stf', '36', 'taming_1', 'Easy.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_prissy.stf', '37', 'taming_2', 'Steady.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_prissy.stf', '38', 'taming_3', 'Don\'t be scared.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_prissy.stf', '39', 'taming_4', 'Don\'t bite me.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_prissy.stf', '40', 'taming_5', 'Good... er... boy?');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_prissy.stf', '41', 'taming_toofar', 'You are too far away to continue taming.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_prissy.stf', '42', 'taming_fail', 'You fail to tame the creature.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_prissy.stf', '43', 'taming_success', 'You successfully tame the creature.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_prissy.stf', '44', 'pet_wounded_health', 'Oh dear, I do believe that my motivators are damaged.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_prissy.stf', '45', 'pet_wounded_mind', 'Goodness, I\'ve taken some terrible abuse!');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_prissy.stf', '46', 'command_follow_other', 'Follow Other');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_prissy.stf', '47', 'menu_repair_other', 'Repair a droid.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_sarcastic.stf', '1', 'start_convo_1', 'What do YOU want?');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_sarcastic.stf', '6', 'command_stay', 'Stay here.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_sarcastic.stf', '7', 'command_follow', 'Follow me.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_sarcastic.stf', '13', 'command_guard', 'I want you to guard.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_sarcastic.stf', '14', 'command_friend', 'Accept this person\'s orders.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_sarcastic.stf', '15', 'command_attack', 'Attack!');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_sarcastic.stf', '16', 'command_patrol', 'Start patrolling.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_sarcastic.stf', '17', 'command_get_patrol_point', 'Remember this patrol point.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_sarcastic.stf', '18', 'command_clear_patrol_points', 'Forget those patrol points.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_sarcastic.stf', '19', 'command_assume_formation_1', 'Get in wedge formation.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_sarcastic.stf', '20', 'command_release', 'You are dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_sarcastic.stf', '21', 'command_transfer', 'Meet your new boss.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_sarcastic.stf', '22', 'confused', 'You\'re not making sense again.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_sarcastic.stf', '23', 'command_assume_formation_2', 'Get in column formation.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_sarcastic.stf', '24', 'command_group_1', 'Group with me.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_sarcastic.stf', '25', 'command_group_2', 'Leave my group.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_sarcastic.stf', '26', 'start_convo_4', 'I guess you have a signal you want me to pay attention to?');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_sarcastic.stf', '27', 'end_convo', 'If you really want me to, then I\'ll do it.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_sarcastic.stf', '28', 'command_reply_1', 'I need to teach you a command.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_sarcastic.stf', '29', 'start_convo_2', 'You mean, I have to listen to you too? Well, fine. What do you want me to learn?');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_sarcastic.stf', '30', 'move_commands', 'Movement commands.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_sarcastic.stf', '31', 'combat_commands', 'Combat commands.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_sarcastic.stf', '32', 'patrolling_commands', 'Patrolling commands.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_sarcastic.stf', '33', 'formation_commands', 'Formation commands.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_sarcastic.stf', '34', 'friendship_commands', 'Friendship commands');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_sarcastic.stf', '35', 'which_command', 'What command do you want to teach me about then?');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_sarcastic.stf', '36', 'taming_1', 'Easy.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_sarcastic.stf', '37', 'taming_2', 'Steady.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_sarcastic.stf', '38', 'taming_3', 'Don\'t be scared.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_sarcastic.stf', '39', 'taming_4', 'Don\'t bite me.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_sarcastic.stf', '40', 'taming_5', 'Good... er... boy?');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_sarcastic.stf', '41', 'taming_toofar', 'You are too far away to continue taming.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_sarcastic.stf', '42', 'taming_fail', 'You fail to tame the creature.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_sarcastic.stf', '43', 'taming_success', 'You successfully tame the creature.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_sarcastic.stf', '44', 'pet_wounded_health', 'Did you know droids felt pain? I\'ve recently discovered that myself.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_sarcastic.stf', '45', 'pet_wounded_mind', 'I hope my positrons stay aligned after all this abuse.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_sarcastic.stf', '46', 'command_follow_other', 'Follow Other');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_sarcastic.stf', '47', 'menu_repair_other', 'Repair a droid.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_slang.stf', '1', 'start_convo_1', 'You wantin\' me to learn somethin\'?');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_slang.stf', '6', 'command_stay', 'Stay here.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_slang.stf', '7', 'command_follow', 'Follow me.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_slang.stf', '13', 'command_guard', 'I want you to guard.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_slang.stf', '14', 'command_friend', 'Accept this person\'s orders.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_slang.stf', '15', 'command_attack', 'Attack!');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_slang.stf', '16', 'command_patrol', 'Start patrolling.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_slang.stf', '17', 'command_get_patrol_point', 'Remember this patrol point.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_slang.stf', '18', 'command_clear_patrol_points', 'Forget those patrol points.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_slang.stf', '19', 'command_assume_formation_1', 'Get in wedge formation.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_slang.stf', '20', 'command_release', 'You are dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_slang.stf', '21', 'command_transfer', 'Meet your new boss.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_slang.stf', '22', 'confused', 'Say again?');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_slang.stf', '23', 'command_assume_formation_2', 'Get in column formation.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_slang.stf', '24', 'command_group_1', 'Group with me.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_slang.stf', '25', 'command_group_2', 'Leave my group.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_slang.stf', '26', 'start_convo_4', 'What command you waintin\' me to learn?');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_slang.stf', '27', 'end_convo', 'Will do!');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_slang.stf', '28', 'command_reply_1', 'I need to teach you a command.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_slang.stf', '29', 'start_convo_2', 'What you wantin\' me to learn about?');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_slang.stf', '30', 'move_commands', 'Movement commands.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_slang.stf', '31', 'combat_commands', 'Combat commands.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_slang.stf', '32', 'patrolling_commands', 'Patrolling commands.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_slang.stf', '33', 'formation_commands', 'Formation commands.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_slang.stf', '34', 'friendship_commands', 'Friendship commands');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_slang.stf', '35', 'which_command', 'What signal should I be listenin\' for?');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_slang.stf', '36', 'taming_1', 'Easy.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_slang.stf', '37', 'taming_2', 'Steady.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_slang.stf', '38', 'taming_3', 'Don\'t be scared.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_slang.stf', '39', 'taming_4', 'Don\'t bite me.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_slang.stf', '40', 'taming_5', 'Good... er... boy?');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_slang.stf', '41', 'taming_toofar', 'You are too far away to continue taming.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_slang.stf', '42', 'taming_fail', 'You fail to tame the creature.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_slang.stf', '43', 'taming_success', 'You successfully tame the creature.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_slang.stf', '44', 'pet_wounded_health', 'I\'m thinkin\' I\'m broke.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_slang.stf', '45', 'pet_wounded_mind', 'I\'m gettin\' kinda dented.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_slang.stf', '46', 'command_follow_other', 'Follow Other');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_slang.stf', '47', 'menu_repair_other', 'Repair a droid.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_stupid.stf', '1', 'start_convo_1', 'You want me to learn something?');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_stupid.stf', '6', 'command_stay', 'Stay here.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_stupid.stf', '7', 'command_follow', 'Follow me.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_stupid.stf', '13', 'command_guard', 'I want you to guard.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_stupid.stf', '14', 'command_friend', 'Accept this person\'s orders.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_stupid.stf', '15', 'command_attack', 'Attack!');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_stupid.stf', '16', 'command_patrol', 'Start patrolling.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_stupid.stf', '17', 'command_get_patrol_point', 'Remember this patrol point.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_stupid.stf', '18', 'command_clear_patrol_points', 'Forget those patrol points.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_stupid.stf', '19', 'command_assume_formation_1', 'Get in wedge formation.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_stupid.stf', '20', 'command_release', 'You are dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_stupid.stf', '21', 'command_transfer', 'Meet your new boss.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_stupid.stf', '22', 'confused', 'Uh, what?');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_stupid.stf', '23', 'command_assume_formation_2', 'Get in column formation.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_stupid.stf', '24', 'command_group_1', 'Group with me.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_stupid.stf', '25', 'command_group_2', 'Leave my group.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_stupid.stf', '26', 'start_convo_4', 'What command again?');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_stupid.stf', '27', 'end_convo', 'Okey dokey.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_stupid.stf', '28', 'command_reply_1', 'I need to teach you a command.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_stupid.stf', '29', 'start_convo_2', 'Learn about what?');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_stupid.stf', '30', 'move_commands', 'Movement commands.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_stupid.stf', '31', 'combat_commands', 'Combat commands.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_stupid.stf', '32', 'patrolling_commands', 'Patrolling commands.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_stupid.stf', '33', 'formation_commands', 'Formation commands.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_stupid.stf', '34', 'friendship_commands', 'Friendship commands');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_stupid.stf', '35', 'which_command', 'What word should I listen for?');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_stupid.stf', '36', 'taming_1', 'Easy.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_stupid.stf', '37', 'taming_2', 'Steady.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_stupid.stf', '38', 'taming_3', 'Don\'t be scared.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_stupid.stf', '39', 'taming_4', 'Don\'t bite me.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_stupid.stf', '40', 'taming_5', 'Good... er... boy?');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_stupid.stf', '41', 'taming_toofar', 'You are too far away to continue taming.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_stupid.stf', '42', 'taming_fail', 'You fail to tame the creature.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_stupid.stf', '43', 'taming_success', 'You successfully tame the creature.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_stupid.stf', '44', 'pet_wounded_health', 'I\'m a little broken.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_stupid.stf', '45', 'pet_wounded_mind', 'I\'m dented.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_stupid.stf', '46', 'command_follow_other', 'Follow Other');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_stupid.stf', '47', 'menu_repair_other', 'Repair a droid.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_worshipful.stf', '1', 'start_convo_1', 'It is an honor to speak to my master, a true paragon of wisdom. Do you wish to give me instruction?');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_worshipful.stf', '6', 'command_stay', 'Stay here.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_worshipful.stf', '7', 'command_follow', 'Follow me.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_worshipful.stf', '13', 'command_guard', 'I want you to guard.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_worshipful.stf', '14', 'command_friend', 'Accept this person\'s orders.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_worshipful.stf', '15', 'command_attack', 'Attack!');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_worshipful.stf', '16', 'command_patrol', 'Start patrolling.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_worshipful.stf', '17', 'command_get_patrol_point', 'Remember this patrol point.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_worshipful.stf', '18', 'command_clear_patrol_points', 'Forget those patrol points.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_worshipful.stf', '19', 'command_assume_formation_1', 'Get in wedge formation.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_worshipful.stf', '20', 'command_release', 'You are dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_worshipful.stf', '21', 'command_transfer', 'Meet your new boss.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_worshipful.stf', '22', 'confused', 'This pathetic droids fails to understand your august commands, sir!');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_worshipful.stf', '23', 'command_assume_formation_2', 'Get in column formation.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_worshipful.stf', '24', 'command_group_1', 'Group with me.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_worshipful.stf', '25', 'command_group_2', 'Leave my group.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_worshipful.stf', '26', 'start_convo_4', 'Of course! With alacrity! I merely need to know what command you will give me so that I can obey instantly.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_worshipful.stf', '27', 'end_convo', 'It is an honor to learn wisdom from your honorable self, sir!');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_worshipful.stf', '28', 'command_reply_1', 'I need to teach you a command.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_worshipful.stf', '29', 'start_convo_2', 'I will gladly hear instruction on any subject from your lips, o master!');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_worshipful.stf', '30', 'move_commands', 'Movement commands.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_worshipful.stf', '31', 'combat_commands', 'Combat commands.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_worshipful.stf', '32', 'patrolling_commands', 'Patrolling commands.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_worshipful.stf', '33', 'formation_commands', 'Formation commands.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_worshipful.stf', '34', 'friendship_commands', 'Friendship commands');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_worshipful.stf', '35', 'which_command', 'It is such an honor to be at your command, master. What command do you wish me to instantly obey?');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_worshipful.stf', '36', 'taming_1', 'Easy.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_worshipful.stf', '37', 'taming_2', 'Steady.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_worshipful.stf', '38', 'taming_3', 'Don\'t be scared.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_worshipful.stf', '39', 'taming_4', 'Don\'t bite me.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_worshipful.stf', '40', 'taming_5', 'Good... er... boy?');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_worshipful.stf', '41', 'taming_toofar', 'You are too far away to continue taming.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_worshipful.stf', '42', 'taming_fail', 'You fail to tame the creature.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_worshipful.stf', '43', 'taming_success', 'You successfully tame the creature.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_worshipful.stf', '44', 'pet_wounded_health', 'I regret to point out to my master that I am slightly damaged.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_worshipful.stf', '45', 'pet_wounded_mind', 'I will understand if my master wishes to dispose of my worthless self after seeing the damage I have suffered.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_worshipful.stf', '46', 'command_follow_other', 'Follow Other');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_droid_worshipful.stf', '47', 'menu_repair_other', 'Repair a droid.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_fancy.stf', '1', 'start_convo_1', 'Yes? You have something to say to me?');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_fancy.stf', '6', 'command_stay', 'Stay here.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_fancy.stf', '7', 'command_follow', 'Follow me.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_fancy.stf', '13', 'command_guard', 'I want you to guard.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_fancy.stf', '14', 'command_friend', 'Accept this person\'s orders.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_fancy.stf', '15', 'command_attack', 'Attack!');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_fancy.stf', '16', 'command_patrol', 'Start patrolling.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_fancy.stf', '17', 'command_get_patrol_point', 'Remember this patrol point.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_fancy.stf', '18', 'command_clear_patrol_points', 'Forget those patrol points.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_fancy.stf', '19', 'command_assume_formation_1', 'Get in wedge formation.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_fancy.stf', '20', 'command_release', 'You are dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_fancy.stf', '21', 'command_transfer', 'Meet your new boss.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_fancy.stf', '22', 'confused', 'I must admit, I am perplexed by your statement.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_fancy.stf', '23', 'command_assume_formation_2', 'Get in column formation.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_fancy.stf', '24', 'command_group_1', 'Group with me.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_fancy.stf', '25', 'command_group_2', 'Leave my group.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_fancy.stf', '26', 'start_convo_4', 'And which command or word shall I listen for?');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_fancy.stf', '27', 'end_convo', 'Very well. When I hear you say that particular rmark, I shall hop to it.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_fancy.stf', '28', 'command_reply_1', 'I need to teach you a command.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_fancy.stf', '29', 'start_convo_2', 'A command? What sort of command?');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_fancy.stf', '30', 'move_commands', 'Movement commands.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_fancy.stf', '31', 'combat_commands', 'Combat commands.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_fancy.stf', '32', 'patrolling_commands', 'Patrolling commands.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_fancy.stf', '33', 'formation_commands', 'Formation commands.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_fancy.stf', '34', 'friendship_commands', 'Friendship commands');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_fancy.stf', '35', 'which_command', 'Which command do you want to tell me?');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_fancy.stf', '36', 'taming_1', 'Easy.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_fancy.stf', '37', 'taming_2', 'Steady.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_fancy.stf', '38', 'taming_3', 'Don\'t be scared.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_fancy.stf', '39', 'taming_4', 'Don\'t bite me.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_fancy.stf', '40', 'taming_5', 'Good... er... boy?');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_fancy.stf', '41', 'taming_toofar', 'You are too far away to continue taming.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_fancy.stf', '42', 'taming_fail', 'You fail to tame the creature.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_fancy.stf', '43', 'taming_success', 'You successfully tame the creature.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_fancy.stf', '44', 'pet_wounded_health', 'Hungry!');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_fancy.stf', '45', 'pet_wounded_mind', 'Play!');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_fancy.stf', '46', 'command_follow_other', 'Follow Other');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_military.stf', '1', 'start_convo_1', 'Sir?');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_military.stf', '6', 'command_stay', 'Remain here.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_military.stf', '7', 'command_follow', 'Fall in after me!');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_military.stf', '13', 'command_guard', 'I want you to stand guard.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_military.stf', '14', 'command_friend', 'Accept this person\'s orders.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_military.stf', '15', 'command_attack', 'Attack!');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_military.stf', '16', 'command_patrol', 'Start patrolling.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_military.stf', '17', 'command_get_patrol_point', 'Remember this patrol point.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_military.stf', '18', 'command_clear_patrol_points', 'Soldier, never mind those patrol points.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_military.stf', '19', 'command_assume_formation_1', 'Get in wedge formation.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_military.stf', '20', 'command_release', 'You are dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_military.stf', '21', 'command_transfer', 'Meet your new commander.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_military.stf', '22', 'confused', 'Sir, could you clarify your orders?\n');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_military.stf', '23', 'command_assume_formation_2', 'Get in column formation.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_military.stf', '24', 'command_group_1', 'Group with me.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_military.stf', '25', 'command_group_2', 'Leave my group.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_military.stf', '26', 'start_convo_4', 'Yes, sir. What word should I listen for?');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_military.stf', '27', 'end_convo', 'Yes, sir. You can count on me to obey orders.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_military.stf', '28', 'command_reply_1', 'I need to instruct you in how I give orders.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_military.stf', '29', 'start_convo_2', 'Yes, sir. Which order do you want to clarify?');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_military.stf', '30', 'move_commands', 'Movement commands.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_military.stf', '31', 'combat_commands', 'Combat commands.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_military.stf', '32', 'patrolling_commands', 'Patrolling commands.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_military.stf', '33', 'formation_commands', 'Formation commands.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_military.stf', '34', 'friendship_commands', 'Command structure.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_military.stf', '35', 'which_command', 'Yes, sir. Which order do you want to tell me about?');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_military.stf', '36', 'taming_1', 'Easy.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_military.stf', '37', 'taming_2', 'Steady.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_military.stf', '38', 'taming_3', 'Don\'t be scared.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_military.stf', '39', 'taming_4', 'Don\'t bite me.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_military.stf', '40', 'taming_5', 'Good... er... boy?');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_military.stf', '41', 'taming_toofar', 'You are too far away to continue taming.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_military.stf', '42', 'taming_fail', 'You fail to tame the creature.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_military.stf', '43', 'taming_success', 'You successfully tame the creature.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_military.stf', '44', 'pet_wounded_health', 'Hungry!');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_military.stf', '45', 'pet_wounded_mind', 'Play!');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_military.stf', '46', 'command_follow_other', 'Follow Other');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_slang.stf', '1', 'start_convo_1', 'Yah?');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_slang.stf', '6', 'command_stay', 'Stay here.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_slang.stf', '7', 'command_follow', 'Follow me.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_slang.stf', '13', 'command_guard', 'I want you to guard.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_slang.stf', '14', 'command_friend', 'Accept this person\'s orders.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_slang.stf', '15', 'command_attack', 'Attack!');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_slang.stf', '16', 'command_patrol', 'Start patrolling.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_slang.stf', '17', 'command_get_patrol_point', 'Remember this patrol point.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_slang.stf', '18', 'command_clear_patrol_points', 'Forget those patrol points.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_slang.stf', '19', 'command_assume_formation_1', 'Get in wedge formation.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_slang.stf', '20', 'command_release', 'You are dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_slang.stf', '21', 'command_transfer', 'Meet your new boss.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_slang.stf', '22', 'confused', 'Uh, I don\' foller whatcher sayin\'.\n');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_slang.stf', '23', 'command_assume_formation_2', 'Get in column formation.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_slang.stf', '24', 'command_group_1', 'Group with me.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_slang.stf', '25', 'command_group_2', 'Leave my group.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_slang.stf', '26', 'start_convo_4', 'OK, I think I\'m follerin\' ya. Whut\'s the command fer doin\' that?');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_slang.stf', '27', 'end_convo', 'Okeydokey, when I\'m hearin\' that command, I\'ll do what ya want. I\'m pretty good at that, really.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_slang.stf', '28', 'command_reply_1', 'I need to teach you a command.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_slang.stf', '29', 'start_convo_2', 'A command? What sorta command?');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_slang.stf', '30', 'move_commands', 'Movement commands.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_slang.stf', '31', 'combat_commands', 'Combat commands.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_slang.stf', '32', 'patrolling_commands', 'Patrolling commands.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_slang.stf', '33', 'formation_commands', 'Formation commands.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_slang.stf', '34', 'friendship_commands', 'Friendship commands');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_slang.stf', '35', 'which_command', 'And, uh, what \'zactly do you want to tell me about?');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_slang.stf', '36', 'taming_1', 'Easy.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_slang.stf', '37', 'taming_2', 'Steady.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_slang.stf', '38', 'taming_3', 'Don\'t be scared.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_slang.stf', '39', 'taming_4', 'Don\'t bite me.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_slang.stf', '40', 'taming_5', 'Good... er... boy?');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_slang.stf', '41', 'taming_toofar', 'You are too far away to continue taming.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_slang.stf', '42', 'taming_fail', 'You fail to tame the creature.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_slang.stf', '43', 'taming_success', 'You successfully tame the creature.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_slang.stf', '44', 'pet_wounded_health', 'Hungry!');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_slang.stf', '45', 'pet_wounded_mind', 'Play!');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_slang.stf', '46', 'command_follow_other', 'Follow Other');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_stormtrooper.stf', '1', 'start_convo_1', 'Yes sir?');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_stormtrooper.stf', '6', 'command_stay', 'Remain here.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_stormtrooper.stf', '7', 'command_follow', 'Fall in behind me.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_stormtrooper.stf', '13', 'command_guard', 'I want you to guard and defend.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_stormtrooper.stf', '14', 'command_friend', 'Accept this person\'s orders as if they came from me.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_stormtrooper.stf', '15', 'command_attack', 'Attack!');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_stormtrooper.stf', '16', 'command_patrol', 'Start patrolling.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_stormtrooper.stf', '17', 'command_get_patrol_point', 'Remember this patrol point.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_stormtrooper.stf', '18', 'command_clear_patrol_points', 'Forget those patrol points.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_stormtrooper.stf', '19', 'command_assume_formation_1', 'Get in wedge formation.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_stormtrooper.stf', '20', 'command_release', 'You are dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_stormtrooper.stf', '21', 'command_transfer', 'I am transferring command of you to this individual.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_stormtrooper.stf', '22', 'confused', 'Sir, I am unclear on your orders, sir.\n');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_stormtrooper.stf', '23', 'command_assume_formation_2', 'Get in column formation.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_stormtrooper.stf', '24', 'command_group_1', 'Group with me.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_stormtrooper.stf', '25', 'command_group_2', 'Leave my group.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_stormtrooper.stf', '26', 'start_convo_4', 'Yes, sir. What word do you want me to listen for?');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_stormtrooper.stf', '27', 'end_convo', 'Yes, sir. When I hear that command, I\'ll do it.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_stormtrooper.stf', '28', 'command_reply_1', 'I need to teach you how I give orders.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_stormtrooper.stf', '29', 'start_convo_2', 'What sort of order?');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_stormtrooper.stf', '30', 'move_commands', 'Movement orders.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_stormtrooper.stf', '31', 'combat_commands', 'Combat orders.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_stormtrooper.stf', '32', 'patrolling_commands', 'Patrolling orders.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_stormtrooper.stf', '33', 'formation_commands', 'Formation orders.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_stormtrooper.stf', '34', 'friendship_commands', 'Command structure.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_stormtrooper.stf', '35', 'which_command', 'Yes, sir. Which order do you want to instruct me in?');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_stormtrooper.stf', '36', 'taming_1', 'Easy.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_stormtrooper.stf', '37', 'taming_2', 'Steady.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_stormtrooper.stf', '38', 'taming_3', 'Don\'t be scared.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_stormtrooper.stf', '39', 'taming_4', 'Don\'t bite me.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_stormtrooper.stf', '40', 'taming_5', 'Good... er... boy?');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_stormtrooper.stf', '41', 'taming_toofar', 'You are too far away to continue taming.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_stormtrooper.stf', '42', 'taming_fail', 'You fail to tame the creature.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_stormtrooper.stf', '43', 'taming_success', 'You successfully tame the creature.');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_stormtrooper.stf', '44', 'pet_wounded_health', 'Hungry!');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_stormtrooper.stf', '45', 'pet_wounded_mind', 'Play!');
INSERT INTO `client_strings` VALUES ('string/en/hireling/hireling_stormtrooper.stf', '46', 'command_follow_other', 'Follow Other');
INSERT INTO `client_strings` VALUES ('string/en/house_e3_convo.stf', '1', 'house_1', 'You\'re the one I\'ve been waiting for, aren\'t you?');
INSERT INTO `client_strings` VALUES ('string/en/house_e3_convo.stf', '2', 'house_2', 'Wait, I\'ve heard this one before.  The chosen one?');
INSERT INTO `client_strings` VALUES ('string/en/house_e3_convo.stf', '3', 'house_3', 'Why would anyone be waiting for me?');
INSERT INTO `client_strings` VALUES ('string/en/house_e3_convo.stf', '4', 'house_4', 'Are you ok?');
INSERT INTO `client_strings` VALUES ('string/en/house_e3_convo.stf', '5', 'house_5', 'What do I look like, some kind of Jedi mind reader?');
INSERT INTO `client_strings` VALUES ('string/en/house_e3_convo.stf', '6', 'house_6', 'You\'re going to help me get rid of those imperials who are forcing me to leave my ancestral home.');
INSERT INTO `client_strings` VALUES ('string/en/house_e3_convo.stf', '7', 'house_7', 'Never better.  Now that you\'re here to help.');
INSERT INTO `client_strings` VALUES ('string/en/house_e3_convo.stf', '8', 'house_8', 'Sorry.');
INSERT INTO `client_strings` VALUES ('string/en/house_e3_convo.stf', '9', 'house_9', 'It certainly is a nice home.');
INSERT INTO `client_strings` VALUES ('string/en/house_e3_convo.stf', '10', 'house_10', 'I\'m still not sure what it is you want.');
INSERT INTO `client_strings` VALUES ('string/en/house_e3_convo.stf', '11', 'house_11', 'Ok, here\'s what we do.  You go out there and distract the stormtroopers, and I\'ll get the rest of the spices off the planet in the transport.');
INSERT INTO `client_strings` VALUES ('string/en/house_e3_convo.stf', '12', 'house_12', 'Anyone who can afford it can have a home like this.  Even you.');
INSERT INTO `client_strings` VALUES ('string/en/house_e3_convo.stf', '13', 'house_13', 'You\'re going to distract the imperials while I get my spices into the transport right?');
INSERT INTO `client_strings` VALUES ('string/en/house_e3_convo.stf', '14', 'house_14', 'That sounds like a suicide mission.');
INSERT INTO `client_strings` VALUES ('string/en/house_e3_convo.stf', '15', 'house_15', 'Wow.  Ok, what do I do?');
INSERT INTO `client_strings` VALUES ('string/en/house_e3_convo.stf', '16', 'house_16', 'Do they have any heavy artillery?');
INSERT INTO `client_strings` VALUES ('string/en/house_e3_convo.stf', '17', 'house_17', 'Just trust me, get out there and distract those troops and I\'ll handle the rest.');
INSERT INTO `client_strings` VALUES ('string/en/hq.stf', '1', 'terminal_disabled', 'This terminal has been disabled. Repair the objectives to reactivate.');
INSERT INTO `client_strings` VALUES ('string/en/hq.stf', '2', 'mnu_donate_money', 'Donate Money');
INSERT INTO `client_strings` VALUES ('string/en/hq.stf', '3', 'mnu_donate', 'Donate');
INSERT INTO `client_strings` VALUES ('string/en/hq.stf', '4', 'mnu_donate_resource', 'Donate Resource');
INSERT INTO `client_strings` VALUES ('string/en/hq.stf', '5', 'mnu_donate_deed', 'Donate Defense');
INSERT INTO `client_strings` VALUES ('string/en/hq.stf', '6', 'uplink_terminal', 'Uplink Terminal');
INSERT INTO `client_strings` VALUES ('string/en/hq.stf', '7', 'override_terminal', 'Override Terminal');
INSERT INTO `client_strings` VALUES ('string/en/hq.stf', '8', 'security_terminal', 'Security Terminal');
INSERT INTO `client_strings` VALUES ('string/en/hq.stf', '9', 'power_regulator', 'Power Regulator');
INSERT INTO `client_strings` VALUES ('string/en/hq.stf', '10', 'destructible', 'Destructible');
INSERT INTO `client_strings` VALUES ('string/en/hq.stf', '11', 'mnu_jam', 'Jam Uplink');
INSERT INTO `client_strings` VALUES ('string/en/hq.stf', '12', 'mnu_slice', 'Slice Security');
INSERT INTO `client_strings` VALUES ('string/en/hq.stf', '13', 'mnu_dna', 'Provide DNA Profile');
INSERT INTO `client_strings` VALUES ('string/en/hq.stf', '14', 'mnu_set_overload', 'Set To Overload');
INSERT INTO `client_strings` VALUES ('string/en/hq.stf', '15', 'mnu_overload', 'Activate Overload');
INSERT INTO `client_strings` VALUES ('string/en/hq.stf', '16', 'mnu_shutdown', 'Shutdown Facility');
INSERT INTO `client_strings` VALUES ('string/en/hq.stf', '17', 'prose_disable_other', 'You must first disable the %TU before you can affect this %TT.');
INSERT INTO `client_strings` VALUES ('string/en/hq.stf', '18', 'mnu_defense_status', 'Defense Status');
INSERT INTO `client_strings` VALUES ('string/en/hq.stf', '19', 'mnu_reset_vulnerability', 'Reset Vulnerability');
INSERT INTO `client_strings` VALUES ('string/en/hq.stf', '20', 'vulnerability_reset', 'The vulnerability for this structure has been reset.');
INSERT INTO `client_strings` VALUES ('string/en/hq.stf', '21', 'under_attack', 'You cannot add defenses while this HQ is under attack. This function will be restored in %TO.');
INSERT INTO `client_strings` VALUES ('string/en/hq.stf', '22', 'btn_attack', 'Attack');
INSERT INTO `client_strings` VALUES ('string/en/hq.stf', '23', 'mnu_turret_control', 'Turret Control');
INSERT INTO `client_strings` VALUES ('string/en/hq.stf', '24', 'attack_targets', 'Turret is now attacking %TO.');
INSERT INTO `client_strings` VALUES ('string/en/hq.stf', '25', 'admin_only', 'You must be at least faction rank 4 to use this terminal.');
INSERT INTO `client_strings` VALUES ('string/en/hq.stf', '26', 'control_title', 'Turret Control Consule');
INSERT INTO `client_strings` VALUES ('string/en/hq.stf', '27', 'turret_control', 'Turret Name:');
INSERT INTO `client_strings` VALUES ('string/en/hq.stf', '28', 'current_target', 'Engaged Target:');
INSERT INTO `client_strings` VALUES ('string/en/hq.stf', '29', 'target_health', 'Health:');
INSERT INTO `client_strings` VALUES ('string/en/hq.stf', '30', 'none_active', 'There are no available turrets to control using this terminal.');
INSERT INTO `client_strings` VALUES ('string/en/hq.stf', '31', 'declared_only', 'Only Special Forces personnel may access this terminal!');
INSERT INTO `client_strings` VALUES ('string/en/hq.stf', '32', 'invalid_target', 'That target has become unavailable. Please refresh terminal for latest target information.');
INSERT INTO `client_strings` VALUES ('string/en/hq.stf', '33', 'no_targets', 'This turret has no valid targets.');
INSERT INTO `client_strings` VALUES ('string/en/hq.stf', '34', 'no_line_of_site', 'The turret does not have line of site with that target and is unable to attack it.');
INSERT INTO `client_strings` VALUES ('string/en/hq.stf', '35', 'already_attacking', 'Your selected target is already being attacked by this turret.');
INSERT INTO `client_strings` VALUES ('string/en/hq.stf', '36', 'in_use', 'This turret control terminal is already in use.');
INSERT INTO `client_strings` VALUES ('string/en/hq.stf', '37', 'vulnerability_reset_blackout_period', 'The vulnerability for this structure cannot be reset between the hours of 2 and 6pm PST.');
INSERT INTO `client_strings` VALUES ('string/en/hq.stf', '38', 'vulnerability_reset_wrong_cell', 'You don\'t appear to be in the same cell you were in when you requested the facility shutdown. You need to be, in order to successfully shut down the facility. Aborting Facility Shutdown.');
INSERT INTO `client_strings` VALUES ('string/en/hq.stf', '39', 'vulnerability_reset_request_received', 'Structure shutdown request received. Please stand by while the command is processed. Remain with the terminal.');
INSERT INTO `client_strings` VALUES ('string/en/hq.stf', '40', 'vulnerability_reset_no_longer_in_structure', 'You don\'t appear to be in the structure any longer. Aborting structure shutdown.');
INSERT INTO `client_strings` VALUES ('string/en/hq.stf', '41', 'vulnerability_reset_not_alive', 'You appear to be either incapacitated or dead. Aborting structure shutdown.');
INSERT INTO `client_strings` VALUES ('string/en/hue.stf', '1', 'hue', 'hue item');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_d.stf', '1', 'tatooine_a', 'Tatooine: Explorers\' Grotto');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_d.stf', '2', 'tatooine_b', 'Tatooine: Old Ghosttides Nebula');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_d.stf', '3', 'tatooine_c', 'Tatooine: (Hutt Claim Pending)');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_d.stf', '4', 'tatooine_d', 'Tatooine: RESTRICTED ENTRY POINT (By order of the Emperor)');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_d.stf', '5', 'tatooine_e', 'Tatooine: RESTRICTED NAVIGATION SPACE (By order of Prefect Talmont)');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_d.stf', '6', 'tatooine_f', 'Tatooine: RESTRICTED WAYPOINT (By order of *Unknown*)');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_d.stf', '7', 'naboo_a', 'The area known as \'Wishing Lake\' was first named by deep space mercenaries hired by the Trade Federation for commercial security.');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_d.stf', '8', 'naboo_b', 'The public portion of the \'Emperor\'s Way\' is a weapons-hold zone policed by elite TIE squadrons.');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_d.stf', '9', 'naboo_c', 'Naboo: Old Trade Federation Route');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_d.stf', '10', 'space_corellia_0', 'Quadrant I: CorSec Wing\n\nInhabitants: CorSec and the Rebellion\nDanger Level: HIGH\n\nDistance to Corellia Space Station: 8765m\nDistance to Talus Space Station: 7702m\n\nControlled fiercely by both the Rebellion and the CorSec, the CorSec Wing proves dangerous for members of the Empire. The Rebellion is found to be unsympathetic to Imperial starships flying in the CorSec Wing Quadrant and will shoot them down on sight. Beware.');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_d.stf', '11', 'space_corellia_1', 'Quadrant II: Trifecta Star\n\nInhabitants: Rebel Alliance, Blacksun, Binayre\nDanger Level: Medium\n\nDistance to Corellia Space Station: 15832m\nDistance to Talus Space Station: 11714m\n\nAlthough deserted to some degree, the Trifecta Star is the nearby home to the Rebel Alliance, the Blacksun and the Binyare. Only under dire cicumstances should one choose to travel to this quadrant. Beware.');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_d.stf', '12', 'space_corellia_2', 'Quadrant III: Binayre Razorcat\n\nInhabitants: Binayre and Hidden Daggers\nDanger Level: Medium\n\nDistance to Corellia Space Station: 9907m\nDistance to Talus Space Station: 12388m\n\nThe Binayre Razorcat is often avoided due to the high density of the pirate factions, Binyare and the Hidden Daggers. Only brave travellers can be found circling the area, fighting off the pirates who dare close in on the defenseless pirates.');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_d.stf', '13', 'space_corellia_3', 'Quadrant IV: Corellia\'s Own\n\nInhabitants: CorSec\nDanger Level: Low\n\nDistance to Corellia Space Station: 3874m\nDistance to Talus Space Station: 13582m\n\nIf a quadrant in Corellia could be called safe, Corellia\'s Own is the one. Only patrolled by CorSec, the trade routes from the Corellia Station to the Talus Station are patrolled mostly by trading freighters and civilian craft. Still, Imperial presence is frowned upon here and proves to be hostile to starships openly claiming to be of the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_d.stf', '14', 'space_naboo_0', 'Quadrant I: Royal Way\n\nInhabitants: Royal Security Forces of Naboo\nDanger Level: Low\n\nDistance to Naboo Space Station: 3919m\nDistance to Rori Space Station: 12082m\n\nA common sight in Naboo\'s space, the Royal Security Forces hope to keep the peace by policing approved travel space and \"removing\" offenders. It would be wise not to travel here if you find yourself on the bad side of the Royal Security Forces.');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_d.stf', '15', 'space_naboo_1', 'Quadrant II: Penumbra Omen \n\nInhabitants: Unknown\n\nStatus: TRAVEL PROHIBITED\nDanger Level: HIGH\n\nDistance to Naboo Space Station: 10445m\nDistance to Rori Space Station: 12853m\n\n** Important!! Quadrant II, Code Name Area D-512 has been changed to Code Name \"The Penumba Omen Quadrant\" effective immediately!!\n\nFrom the Imperial Navy...\n\nReceiving ... ... ...\n\nImmediate Notice: All access to this Quadrant is prohibited by law of the Empire. Again, Area D-512 is now PROHIBITED to ALL TRAVEL!! Unknown Flying Starships have been found in the area and have proved to be INCREDIBLY DANGEROUS!! Do NOT travel in this Quadrant!!\n\nCode Name for Unknown Starships: Penumbra Omen');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_d.stf', '16', 'space_naboo_2', 'Quadrant III: Sea of Veruna\n\nInhabitants: Unknown\nDanger Level: Low\n\nDistance to Naboo Space Station: 12762m\nDistance to Rori Space Station: 4268m\n\nThe Sea of Veruna proves to be a vast quadrant of dead space. Potentially safe, the hyperspace location is used often by all travellers. Be warned, however, as the Empire hopes to secure it within the year\'s end.');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_d.stf', '17', 'space_naboo_3', 'Quadrant IV: Kylantha\'s Whim\n\nInhabitants: The Empire\nDanger Level: Medium\n\nDistance to Naboo Space Station: 5244m\nDistance to Rori Space Station: 13463m\n\nAlthough mostly deserted, one can find a few Imperial patrols circling about Kylantha\'s Whim. It is rumored that a young and wealthy suitor, infatuated with the Queen Kylantha, claimed he purchased a quadrant for her in Naboo Space, hoping it would bring to light the love he had for her. The Queen kindly refused his offer of marriage, stating her desire to \"marry\" her people and serve them with all of her time. Crushed, the young man renamed the quadrant to Kylantha\'s Whim. The quadrant has kept its name ever since.');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_d.stf', '18', 'space_tatooine_0', 'Quadrant I: Miner\'s Yard\n\nInhabitants: Miners\nDanger Level: Low\n\nDistance to Tatooine Space Station: 15144m\n\nTatooine\'s resource numbers are plumeting daily. It is up to local miners to branch out and collect resources to replenish high demands. Their target: Asteroid Fields.');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_d.stf', '19', 'space_tatooine_1', 'Quadrant II: Deep Sea\n\nInhabitants: Hutts\nDanger Level: HIGH\n\nDistance to Tatooine Space Station: 11728m\n\nHome to Hutt influence, the Deep Sea Quadrant proves dangerous to  \"unapproved\" visitors. Unless one has business here, it\'s best to stay away.');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_d.stf', '20', 'space_tatooine_2', 'Quadrant III: Desert Sands\n\nInhabitants: Unknown\nDanger Level: Medium\n\nDistance to Tatooine Space Station: 8044m\n\nIt is unknown if the Desert Sands Quadrant is home to friendly entities. The Imperial Navy has forwarded a word of warning to those looking to travel through the area.');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_d.stf', '21', 'space_tatooine_3', 'Quadrant IV: The Outer Rim\n\nInhabitants: Unknown\nStatus: RESTRICTED\nDanger Level: HIGH\n\nDistance to Tatooine Space Station: 9585m\n\nApproved by the Imperial Navy, all travel to this Quadrant is RESTRICTED. Hostile enemies have been seen and it is IMPERATIVE that travel to this Quadrant be ceased! You have been warned.');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_d.stf', '22', 'space_lok_0', 'Quadrant I: Nym\'s Hovel\n\nInhabitants: Nym\'s Thugs\nDanger Level: Medium\n\nDistance to Lok Space Station: 12123m\n\nWithin the heart of the first quadrant, Nym and his thugs search for unsuspecting enemies. Nym\'s Hovel has proven to be an ill place for those finding themselves on the wrong side of the notorious pirate.');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_d.stf', '23', 'space_lok_1', 'Quadrant II: Rebellion Blaze\n\nInhabitants: Rebel Alliance\nDanger Level: Medium\n\nDistance to Lok Space Station: 9837m\n\nThe Rebellion Blaze Quadrant is home to loyal members of the Rebel Alliance. Named after the infamous Rebel Gunboat, the Rebellion Blaze, the Alliance has chosen the Lok system as one of its points of operative origin. Members of the Empire are not welcome here and will be hunted down immediately if seen.');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_d.stf', '24', 'space_lok_2', 'Quadrant III: Lurid Dawn\n\nInhabitants: Unknown\nDanger Level: Low\n\nDistance to Lok Space Station: 4944m\n\nLok\'s very own dead space. The Rebel Alliance hopes to secure this quadrant for operative expansion within the year\'s end.');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_d.stf', '25', 'space_lok_3', 'Quadrant IV: Voria\'s Ember\n\nInhabitants: Unknown\nDanger Level: Low\n\nDistance to Lok Space Station: 14438m\n\nAlthough quiet, Voria\'s Ember remains a testament to the great Rebel Sergeant, Voria Sergar; a horrible loss to the Rebellion. The quadrant was named after her passing.');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_d.stf', '26', 'space_dantooine_0', 'Quadrant I: Dantooine\'s Wrath\n\nInhabitants: Hutts, Valarians, the Empire\nDanger Level: HIGH\n\nDistance to Dantooine Space Station: 6788m\n\nThe first quadrant of Dantooine, fondly nicknamed \"Dantooine\'s Wrath\", is a pit-stop between a sarlacc pit and being trampled on by a Gorax. It is highly recommended that one stay away from the first quadrant unless absolutely necessary. Dantooine\'s Wrath is laden with fierce Hutt gunships and unmerciless Valarian thugs.');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_d.stf', '27', 'space_dantooine_1', 'Quadrant II: Asair\'s Ribbon\n\nInhabitants: Unknown\nDanger Level: Low\n\nDistance to Dantooine Space Station: 11531m\n\nAn uncharted territory in Dantooine\'s System. The Empire hopes to secure this quadrant within the year\'s end.');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_d.stf', '28', 'space_dantooine_2', 'Quadrant III: Isryn\'s Veil\n\nInhabitants: Unknown\nDanger Level: Low\n\nDistance to Dantooine Space Station: 8596m\n\nMystery shrouds the third quadrant of Dantooine\'s System and provides history enthusiasts with little information of the founders of Isryn\'s Veil. For now, it is safe to travel here. Incidentally, the Empire\'s eyes may have turned to the Veil as a target of expansion efforts.. Will they succeed?');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_d.stf', '29', 'space_dantooine_3', 'Quadrant IV: Gorvera Space\n\nInhabitants: Unknown\nDanger Level: Low\n\nDistance to Dantooine Space Station: 16240m\n\nRelatively safe, the Gorvera Space quadrant welcomes travellers, providing a scenic view of Dantooine\'s System. Little else is known about Dantooine\'s fourth quadrant.');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_d.stf', '30', 'space_dathomir_0', 'Quadrant I: Dark Force\n\nInhabitants: Empire\nDanger Level: HIGH\n\nDistance to Dathomir Space Station: 10483m\n\n\\\\Transmission Jammed!\\\\\n\nFrom the Imperial Navy...\n\nReceiving ... ... ...\n\nImmediate Notice: All access to this Quadrant is prohibited by law of the Empire. Any vessels found in this sector will be destroyed on sight! Repeat: Cease all immediate travel to this sector. You will be destroyed on sight!');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_d.stf', '31', 'space_dathomir_1', 'Quadrant II: Empire Blockade\n\nInhabitants: The Empire\nDanger Level: HIGH\n\nDistance to Dathomir Space Station: 12603m\n\nThe second quadrant of Dathomir\'s system is a considerably dangerous one for those not beloning to the Emperor\'s ranks. Particularly of note, is the Empire\'s Blockade that makes its way through the area, crushing all those who stand to oppose it.');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_d.stf', '32', 'space_dathomir_2', 'Quadrant III: Dathomir\'s Vitality\n\nInhabitants: Dark Veil Order\nDanger Level: HIGH\n\nDistance to Dathomir Space Station: 8273m\n\nFortunately, not many venture close to the Heart of Dathomir and its clerical inhabitants, the Dark Veil Order. Serving their Queen with passionate ferocity, the Dark Veil Order encircle the Heart of Dathomir, hoping to \"sacrifice\" victims to the nebula\'s powerful rage. They believe the Heart of Dathomir nebula consumes the essence of these victims, fueling life into the palpitating mass and protecting the Dark Veil Order from infidels. It is wise not to travel here under any circumstances.');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_d.stf', '33', 'space_dathomir_3', 'Quadrant IV: Emperor\'s Hand\n\nInhabitants: Unknown\nDanger Level: Medium\n\nDistance to Dathomir Space Station: 11077m\n\nNamed after the Emperor\'s unavoidable influence, the Emperor\'s Hand proves to be dangerous to those unwiling to succumb to the Empire\'s whims. The fourth quadrant stretches far as do the Emperor\'s tumultous desires and would be best avoided when making travel plans.');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_d.stf', '34', 'space_yavin4_0', 'Quadrant I: Smuggler\'s Run\n\nInhabitants: Ni\'lyahin Smugglers\nDanger Level: Medium\n\nDistance to Yavin 4 Space Station: 16175m\n\nWhen the Death Star was finally destroyed, news of its defeat spread like wildfire. It brought many visitors, including the Ni\'lyahin Smugglers, hoping to scrounge together pieces from the explosion and sell it on the black market. Today, they prosper, fighting their own war against the Empire and their oppression.');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_d.stf', '35', 'space_yavin4_1', 'Quadrant II: Ferrous Aurora\n\nInhabitants: Unknown\nDanger Level: Low\n\nDistance to Yavin 4 Space Station: 10663m\n\nLending the quadrant its name, the Ferrous Aurora nebula extends its welcome in an array of radiant, incandescent colors. It is wise not to be fooled by its beauty as the Ni\'lyahin Smugglers have claim it as their own.');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_d.stf', '36', 'space_yavin4_2', 'Quadrant III: Crimson Flare\n\nInhabitants: Unknown\nDanger Level: Low\n\nDistance to Yavin 4 Space Station: 5407m\n\nUnfortunately, not much is known about the Crimson Flare quadrant. It is wise to travel here, using extreme caution.');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_d.stf', '37', 'space_yavin4_3', 'Yavin: (RESTRICTED) Quadrant II');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_d.stf', '38', 'space_endor_0', 'Quadrant I: Red Sin Chimaera\n\nInhabitants: Death Watch\nDanger Level: HIGH\n\nDistance to Endor Space Station: 11739m\n\nLurking inside the cover of the Red Sin Chimaera Nebula, the Death Watch wait silently, striking at the last moment in hopes of a successful kill. Most think of them as animals, feasting upon the helpless to survive. Although a fair distance away, the Red Sin Chimaera quadrant entry point can give a traveller a run for his money.');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_d.stf', '39', 'space_endor_1', 'Quadrant II: Area D-435\n\nInhabitants: Unknown\nDanger Level: Low\n\nDistance to Endor Space Station: 5273m\n\nLittle to nothing is known about the quadrant. It is uncharacteristic and safe for travel. It would be best, however, to keep navigation computers alert for unexpected enemies in the area.');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_d.stf', '40', 'space_endor_2', 'Quadrant III: Empire\'s Justice\n\nInhabitants: The Empire\nDanger Level: HIGH\n\nDistance to Endor Space Station: 9155m\n\nTo those not beloning to the Empire\'s ranks, the Empire\'s Justice quadrant could be viewed as highly dangerous. Travel here is not recommended unless the traveller is on the best of term\'s with the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_d.stf', '41', 'space_endor_3', 'Quadrant IV: Durillium Sea\n\nInhabitants: Unknown\nDanger Level: Low\n\nDistance to Endor Space Station: 11727m\n\nThe Durillium Sea is a vast expanse of virtual nothingness. The quadrant is relatively safe for passing travellers and welcomes expansion. Will the Empire seek to claim it?');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_d.stf', '42', 'space_heavy1_0', 'Deep Space: Unknown Regions / Quadrant I');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_d.stf', '43', 'space_heavy1_1', 'Deep Space: Unknown Regions / Quadrant IV');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_d.stf', '44', 'space_heavy1_2', 'Deep Space: Unknown Regions / Quadrant III');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_d.stf', '45', 'space_heavy1_3', 'Deep Space: Unknown Regions / Quadrant II');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_d.stf', '46', 'space_light1_0', 'Kessel: Quadrant I');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_d.stf', '47', 'space_light1_1', 'Kessel: Quadrant IV');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_d.stf', '48', 'space_light1_2', 'Kessel: Quadrant III');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_d.stf', '49', 'space_light1_3', 'Kessel: Quadrant II');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_d.stf', '50', 'corellia_station_0', 'Corellia Space Station\n\nHome of the Corellian Security Forces, this space station can provide emergency repairs for a service, as well as clear you for landing at any of Corellia\'s starports.');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_d.stf', '51', 'corellia_station_1', 'Corellia Space Station\n\nHome of the Corellian Security Forces, this space station can provide emergency repairs for a service, as well as clear you for landing at any of Corellia\'s starports.');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_d.stf', '52', 'corellia_station_2', 'Corellia Space Station\n\nHome of the Corellian Security Forces, this space station can provide emergency repairs for a service, as well as clear you for landing at any of Corellia\'s starports.');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_d.stf', '53', 'corellia_station_3', 'Corellia Space Station\n\nHome of the Corellian Security Forces, this space station can provide emergency repairs for a service, as well as clear you for landing at any of Corellia\'s starports.');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_d.stf', '54', 'corellia_station_4', 'Corellia Space Station\n\nHome of the Corellian Security Forces, this space station can provide emergency repairs for a service, as well as clear you for landing at any of Corellia\'s starports.');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_d.stf', '55', 'corellia_station_5', 'Corellia Space Station\n\nHome of the Corellian Security Forces, this space station can provide emergency repairs for a service, as well as clear you for landing at any of Corellia\'s starports.\n');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_d.stf', '56', 'corellia_station_6', 'Corellia Space Station\n\nHome of the Corellian Security Forces, this space station can provide emergency repairs for a service, as well as clear you for landing at any of Corellia\'s starports.');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_d.stf', '57', 'corellia_station_7', 'Corellia Space Station\n\nHome of the Corellian Security Forces, this space station can provide emergency repairs for a service, as well as clear you for landing at any of Corellia\'s starports.');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_d.stf', '58', 'tatooine_station_0', 'Space Station, Land Here.');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_d.stf', '59', 'naboo_station_0', 'Space Station, Land Here.');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_d.stf', '60', 'lok_station_0', 'Lok Space Station. Land Here');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_d.stf', '61', 'dantooine_station_0', 'Dantooine Space Station\n\nDantooine is a remote planet with a small primitive native population.  This space station can provide emergency repairs for a service, or clear you for landing at any of Dantooine\'s outposts.');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_d.stf', '62', 'dathomir_station_0', 'Dathomir Space Station. Land Heere');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_d.stf', '63', 'yavin4_station_0', 'Space Station, Land Here.');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_d.stf', '64', 'endor_station_0', 'Space Station, Land Here.');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_d.stf', '65', 'talus_station_0', 'Space Station, Land Here.');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_d.stf', '66', 'rori_station_0', 'Space Station, Land Here.');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_d.stf', '67', 'space_corellia_4', 'Quadrant V: Talus Secta\n\nInhabitants: the Empire and the Rebellion\nDanger Level: HIGH\n\nDistance to Corellia Space Station: 10836m\nDistance to Talus Space Station: 4642m\n\nClosest hyperspace point to the Talus Space Station, the Talus Secta point is incredibly dangerous. The Empire, in attempt to catch traveling Rebel sympathizers off-gaurd, keep a vigil standpoint very close by. Learning the Empire\'s vile deeds, the Rebel Alliance has stationed guards next to the Talus Secta, hoping to fight off the Empire and make travel safe for Rebel allies. The ongoing war between the two factions makes traveling to the Talus Secta dangerous for both Rebel and Empire allies alike.');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '1', 'tatooine_a', 'Tatooine: Traders\' Grotto');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '2', 'tatooine_b', 'Tatooine: Ghost Tide Nebula');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '3', 'tatooine_c', 'Tatooine: Hutt Claims');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '4', 'tatooine_d', 'Tatooine: Nallera\'s Mining Field');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '5', 'tatooine_e', 'Tatooine: Jabba\'s Star');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '6', 'tatooine_f', 'Tatooine: Dragon\'s Pearl');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '7', 'naboo_a', 'Naboo: Wishing Lake Zone');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '8', 'naboo_b', 'Naboo: The Emperor\'s Way (Public)');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '9', 'naboo_c', 'Naboo: Old Trade Federation Route');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '10', 'space_corellia_0', 'Corellia: CorSec Wing');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '11', 'space_corellia_1', 'Corellia: Trifecta Star');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '12', 'space_corellia_2', 'Corellia: Binayre Razorcat');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '13', 'space_corellia_3', 'Corellia: Corellia\'s Own');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '14', 'space_naboo_0', 'Naboo: Royal Way');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '15', 'space_naboo_1', 'Naboo: Penumbra Omen');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '16', 'space_naboo_2', 'Naboo: Sea of Veruna');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '17', 'space_naboo_3', 'Naboo: Kylantha\'s Whim');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '18', 'space_tatooine_0', 'Tatooine: Miner\'s Yard');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '19', 'space_tatooine_1', 'Tatooine: Deep Sea');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '20', 'space_tatooine_2', 'Tatooine: Desert Sands');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '21', 'space_tatooine_3', 'Tatooine: Outer Rim');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '22', 'space_lok_0', 'Lok: Nym\'s Hovel');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '23', 'space_lok_1', 'Lok: Rebellion Blaze');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '24', 'space_lok_2', 'Lok: Lurid Dawn');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '25', 'space_lok_3', 'Lok: Voria\'s Ember');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '26', 'space_dantooine_0', 'Dantooine: Dantooine\'s Wrath');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '27', 'space_dantooine_1', 'Dantooine: Asair\'s Ribbon');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '28', 'space_dantooine_2', 'Dantooine: Isryn\'s Veil');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '29', 'space_dantooine_3', 'Dantooine: Gorvera Space');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '30', 'space_dathomir_0', 'Dathomir: Dark Force');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '31', 'space_dathomir_1', 'Dathomir: Empire Blockade');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '32', 'space_dathomir_2', 'Dathomir: Dathomir\'s Vitality');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '33', 'space_dathomir_3', 'Dathomir: Emperor\'s Hand');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '34', 'space_yavin4_0', 'Yavin4: Smuggler\'s Run');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '35', 'space_yavin4_1', 'Yavin4: Ferrous Aurora');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '36', 'space_yavin4_2', 'Yavin4: Crimson Flare');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '37', 'space_yavin4_3', 'Yavin4: (RESTRICTED) Quadrant II');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '38', 'space_endor_0', 'Endor: Red Sin Chimaera');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '39', 'space_endor_1', 'Endor: Area D-435');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '40', 'space_endor_2', 'Endor: Empire\'s Justice');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '41', 'space_endor_3', 'Endor: Durillium Sea');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '42', 'space_heavy1_0', 'Deep Space: Unknown Regions / Quadrant I');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '43', 'space_heavy1_1', 'Deep Space: Unknown Regions / Quadrant IV');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '44', 'space_heavy1_2', 'Deep Space: Unknown Regions / Quadrant III');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '45', 'space_heavy1_3', 'Deep Space: Unknown Regions / Quadrant II');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '46', 'space_light1_0', 'Kessel: Quadrant I');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '47', 'space_light1_1', 'Kessel: Quadrant IV');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '48', 'space_light1_2', 'Kessel: Quadrant III');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '49', 'space_light1_3', 'Kessel: Quadrant II');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '50', 'corellia_station_0', '\\#pcontrast3 Corellia Space Station');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '51', 'corellia_station_1', '\\#pcontrast3 Corellia Space Station');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '52', 'corellia_station_2', '\\#pcontrast3 Corellia Space Station');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '53', 'corellia_station_3', '\\#pcontrast3 Corellia Space Station');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '54', 'corellia_station_4', '\\#pcontrast3 Corellia Space Station');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '55', 'corellia_station_5', '\\#pcontrast3 Corellia Space Station');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '56', 'corellia_station_6', '\\#pcontrast3 Corellia Space Station');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '57', 'corellia_station_7', '\\#pcontrast3 Corellia Space Station');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '58', 'tatooine_station_0', '\\#pcontrast3 Tatooine Space Station');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '59', 'naboo_station_0', '\\#pcontrast3 Naboo Space Station');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '60', 'endor_station_0', '\\#pcontrast3 Endor Space Station');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '62', 'lok_station_0', '\\#pcontrast3 Lok Space Station');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '63', 'dantooine_station_0', '\\#pcontrast3 Dantooine Space Station');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '64', 'dathomir_station_0', '\\#pcontrast3 Dathomir Space Station');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '65', 'yavin4_station_0', '\\#pcontrast3 Yavin 4 Space Station');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '66', 'talus_station_0', '\\#pcontrast3 Talus Space Station');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '67', 'rori_station_0', '\\#pcontrast3 Rori Space Station');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '68', 'endor_a', 'Empire\'s Station I');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '69', 'endor_b', 'Empire\'s Station II');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '70', 'corellia_a', 'Alliance Station I');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '71', 'corellia_b', 'Alliance Station II');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '72', 'corellia_iron_planet', 'Pirate\'s Shadow');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '73', 'dant_a', 'Alliance Station I');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '74', 'dant_b', 'Alliance Station II');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '75', 'dant_c', 'Empire\'s Station I');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '76', 'dant_d', 'Empire\'s Station II');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '77', 'dant_e', 'Legacy YT Indigo Blue');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '78', 'dant_f', 'Ith\'ril Eventide');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '79', 'dant_g', 'Area D-502');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '80', 'dant_h', 'Sserician Eclipse');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '81', 'dant_i', 'Ebon Essentia');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '82', 'dant_iron_ast_field', 'Blacklight Territory');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '83', 'dant_iron_ast_field2', 'Area D-7s1');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '84', 'dant_iron_planet', 'Dantooine\'s Second Star');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '85', 'dant_mammoth_ast_field', 'Wall of Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '87', 'endor_c', 'Linear Miasma');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '88', 'endor_d', 'Declorian Territory');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '89', 'endor_e', 'Onyx Beacon');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '90', 'lok_a', 'Alliance Station');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '91', 'lok_b', 'Empire\'s Station');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '92', 'lok_c', 'Spine of Lok');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '93', 'lok_d', 'Censorious Tempest Nebula');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '95', 'naboo_d', 'Empire\'s Station');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '96', 'naboo_destroyed_station', 'Trade Federation Hulk');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '97', 'naboo_e', 'Rebellion Remnants');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '98', 'naboo_iron_planet', 'Planetoid');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '99', 'naboo_medium_iron', 'Arrissa\'s Field');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '100', 'shadowofalliance', 'Nebula: Shadow of the Alliance');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '101', 'smugglers', 'Ni`lyahin Nebula');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '102', 'heartofdathomir', 'Heart of Dathomir');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '103', 'darkforce', 'Dark Force');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '104', 'space_corellia_4', 'Corellia: Talus Secta');
INSERT INTO `client_strings` VALUES ('string/en/hyperspace_points_n.stf', '105', 'yavin4_e', 'POI: Nova 3');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '1', 'no_target', 'With whom do you want to use you Image Design abilities?');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '2', 'not_a_player', 'You can only use your Image Design abilities on players.');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '3', 'no_image_self', 'You cannot use your Image Design abilities on yourself.');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '4', 'target_dead', '%TT needs a lot more than a make over.');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '5', 'out_of_range', 'You must be closer to your target in order to use your Image Design abilities.');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '6', 'not_in_same_group', 'You must be within the same group as %TT in order to use your Image Design abilites.');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '7', 'not_an_image_designer', 'You must be an Image Designer to do that.');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '8', 'illegal_selection', 'That is an illegal modification.');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '9', 'insufficient_skill', 'You don\'t have enough skill for that modification.');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '10', 'insufficient_mind', 'You don\'t have enough mind to do that.');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '11', 'image_design_complete_design', 'You modify %TT\'s %TO.');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '12', 'image_design_complete_target', '%TT modifies your %TO.');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '13', 'experience_granted', 'You have received %DI Image Designer experience.');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '14', 'fur_color_bothan', 'fur color');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '15', 'fur_color_wookiee', 'fur color');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '16', 'fur_pattern', 'fur pattern');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '17', 'height', 'height');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '18', 'muscle', 'muscle');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '19', 'skin_color', 'skin color');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '20', 'skin_markings_twilek', 'skin markings');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '21', 'skin_markings_wookiee', 'skin markings');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '22', 'weight', 'weight');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '23', 'cheeks', 'cheeks');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '24', 'chin', 'chin');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '25', 'ears', 'ears');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '26', 'eye_color', 'eye color');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '27', 'eye_shape', 'eye shape');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '28', 'eye_size', 'eye size');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '29', 'head_size', 'head size');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '30', 'jaw', 'jaw');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '31', 'lip_fullness', 'lip fullness');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '32', 'lip_width', 'lip width');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '33', 'nose_color', 'nose color');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '34', 'nose_length', 'nose length');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '35', 'nose_protrusion', 'nose protrusion');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '36', 'nose_width', 'nose width');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '37', 'sensors', 'sensors');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '38', 'gullet', 'gullet');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '39', 'beard', 'beard');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '40', 'eyebrows', 'eyebrows');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '41', 'facial_hair_color', 'facial hair color');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '42', 'hair_color', 'hair color');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '43', 'hair_trim_color', 'hair trim color');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '44', 'horn_color', 'horn color');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '45', 'lekku_color', 'lekku color');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '46', 'lekku_style', 'lekku style');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '47', 'eyebrows_color', 'eyebrow color');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '48', 'spots_style', 'spot style');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '49', 'spots_color', 'spot color');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '50', 'tattoo_color', 'tattoo color');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '51', 'tattoo_style', 'tatto style');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '52', 'tips_color', 'tip color');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '53', 'spots_color_moncal', 'moncal spot color');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '54', 'hair', 'hair');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '55', 'lekku', 'lekku');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '56', 'ridges', 'ridges\n');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '57', 'hornshair', 'hornshair');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '58', 'frills', 'frills');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '59', 'age', 'age');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '60', 'chest', 'chest');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '61', 'freckles', 'freckles');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '62', 'eyeshadow', 'eyeshadow');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '63', 'eyeshadow_color', 'eyeshadow color');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '64', 'lips_color', 'lip color');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '65', 'outstanding_offer', '%TT already has an outstanding Image Design offer.');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '66', 'out_of_range_designer', 'Your target has moved too far away.');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '67', 'out_of_range_target', 'You are now too far away from the Image Designer.');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '68', 'offer_declined', '%TT has refused your Image Design offer.');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '69', 'already_image_designing', 'You are already in the process of an Image Design action.');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '70', 'image_design_complete_designer', 'You modify %TT\'s %TO.');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '71', 'offer_timeout', 'Your Image Design offer to %TT has timed out.');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '72', 'offer_timeout_target', '%TT\'s Image Design offer has timed out.');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '73', 'brow', 'brow');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '74', 'spots_color_moncal_f', 'spot color');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '75', 'spots_color_moncal_m', 'spot color');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '76', 'target_is_image_designing', '%TT is already Image Designing someone else.');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '77', 'already_being_image_designed', 'You cannot initiate an Image Design session while being Image Designed.');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '78', 'no_holoemote', 'You do not own a Holo-Emote generator. Please visit an Image Designer if you wish to purchase one.');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '79', 'remove_holoemote', 'You have successfully removed your Holo-Emote generator.');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '80', 'no_charges_holoemote', 'You have no charges remaining in your Holo-Emote generator.');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '81', 'holoemote_help', 'Please type \'/holoemote help\' for valid Holo-Emote names.');
INSERT INTO `client_strings` VALUES ('string/en/image_designer.stf', '82', 'new_holoemote', 'Congratulations! You have purchased a new Holo-Emote generator. Type \'/holoemote help\' for instructions.');
INSERT INTO `client_strings` VALUES ('string/en/imperial_e3_convo.stf', '1', 'imp_1', 'Hello.  My name is Prefect Talmont.  Would you like to join the Empire?');
INSERT INTO `client_strings` VALUES ('string/en/imperial_e3_convo.stf', '2', 'imp_2', 'Yes, I would.');
INSERT INTO `client_strings` VALUES ('string/en/imperial_e3_convo.stf', '3', 'imp_3', 'No.  I don\'t think so.');
INSERT INTO `client_strings` VALUES ('string/en/imperial_e3_convo.stf', '4', 'imp_4', 'Do you have any questions about anything?');
INSERT INTO `client_strings` VALUES ('string/en/imperial_e3_convo.stf', '5', 'imp_5', 'What does the Empire do?');
INSERT INTO `client_strings` VALUES ('string/en/imperial_e3_convo.stf', '6', 'imp_6', 'What would I be doing?');
INSERT INTO `client_strings` VALUES ('string/en/imperial_e3_convo.stf', '7', 'imp_7', 'Can I be a stormtrooper?');
INSERT INTO `client_strings` VALUES ('string/en/imperial_e3_convo.stf', '8', 'imp_8', 'We fight the rebel scum all through the galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/imperial_e3_convo.stf', '9', 'imp_9', 'Would you like a mission?');
INSERT INTO `client_strings` VALUES ('string/en/imperial_e3_convo.stf', '10', 'imp_10', 'Yes, please, that would be great.');
INSERT INTO `client_strings` VALUES ('string/en/imperial_e3_convo.stf', '11', 'imp_11', 'Um...not right now.');
INSERT INTO `client_strings` VALUES ('string/en/imperial_e3_convo.stf', '12', 'imp_12', 'I think I know everything I need to know.');
INSERT INTO `client_strings` VALUES ('string/en/imperial_e3_convo.stf', '13', 'imp_13', 'Perhaps you\'d better just move along then.');
INSERT INTO `client_strings` VALUES ('string/en/imperial_e3_convo.stf', '14', 'imp_14', 'Come back when you\'re ready for a mission.');
INSERT INTO `client_strings` VALUES ('string/en/imperial_e3_convo.stf', '15', 'imp_15', 'No, our stormtroopers are handpicked, but you could be a pilot, or a soldier, or whatever else you wanted. You could drive an AT-AT even.');
INSERT INTO `client_strings` VALUES ('string/en/imperial_e3_convo.stf', '16', 'imp_16', 'Are you ready to perform a mission now?');
INSERT INTO `client_strings` VALUES ('string/en/imperial_e3_convo.stf', '17', 'imp_17', 'Get out of here REBEL SCUM!');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '1', 'scan_greeting_imperial', 'Attention citizen! By Imperial directive number 10774b, you are subject to search for contraband items. If illegal goods are located on your person, you will be punished according to Imperial action directive number 121X-421c. Your cooperation in this matter is required.');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '2', 'return_request_imperial', 'Halt! You are carrying suspected contraband! Remain at your current location! You have ten seconds to comply!');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '3', 'return_thank_imperial', 'Wise decision citizen. Remain as you are until we have finished our investigation.');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '4', 'neutral_turn_over_imperial', 'Citizen the use of contraband has been noted in your file under governor directive 74b. Your cooperation in this matter is appreciated. Future use of contraband materials will result in further disciplinary action. Report any other citizen in posession of contraband materials to your local authority immediately, failure to do so is also a crime under judicial code 9-330a.');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '5', 'neutral_faction', 'Your failure to comply with directive 74b has been noted in your file. Your status as an Imperial citizen is in jeopardy if you continue to abuse contraband directives. These actions are viewed as an act of rebellion against the Empire. You have been warned.');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '6', 'imperial_turn_over', 'As an Imperial citizen, you know better than the standard rabble that contraband materials are forbidden under Imperial law. Your use of contraband goods has been noted and you are hearby warned that use of forbidden materials will result in negative standing in the eyes of the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '7', 'imperial_faction', 'As a nobel member of the Empire, you well know that the possession and use of contraband goods is illegal under Imperial law. Your actions have been recorded and your standing within the Empire has been updated. Any further illegal activity can seriously affect your rights as an Imperial citizen.');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '8', 'warning_imperial', 'Your payment of the fine has been received. Be warned that the Empire does not look kindly on those who violate the law, especially when the violator claims to be loyal to the Emperor. Now get out of my sight.');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '9', 'rebel_turn_over', 'The use of contraband has been noted in your file under governor directive 74b. The Empire is watching you and will not tolerate any further infraction of Imperial law on your part. You have the look of someone who has no respect for the security that the Empire offers it\'s citizens and we will be watching your future activities. Now move along...move along.');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '10', 'rebel_faction', 'Your failure to comply with the contraband directive has left us no choice but to effect your standing within the Empire. ');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '11', 'jedi_pass', 'This citizen is free of contraband items and is free to resume their activities. There is no need for us to investigate this matter further.');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '12', 'jedi_fail', 'There is no use trying to talk your way out of this citizen. We will conduct our search of your person for contraband. Please remain at your current location until we have finished our search. Your compliance in this matter is required.');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '13', 'bribe_pass', 'I see that we are able to reach an agreement that is beneficial for both sides. There is no need to further hamper this honest citizen\'s activities. You are free to go.');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '14', 'bribe_fail', 'Are you trying to bribe an officer in the service of the Empire? I certainly hope that was not your intention since that is a crime under Imperial directive 334-7b. You are to remain at your current location until we have completed out search of your person.');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '15', 'probe_scan', 'The probot begins to conduct a scan on you.');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '16', 'contraband_scan_imperial', 'The Imperial agents begin to conduct a search on you.');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '17', 'spice_found', 'Contraband spice has been discovered by the investigation. Your faction standing with the Empire has been decreased.');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '18', 'slice_found', 'Contraband sliced items has been discovered by the investigation. Your faction standing with the Empire has been decreased.');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '19', 'discovered_imperial', 'The investigation has revealed that you are a member of the Rebel Alliance. You will be open to attack from Imperial NPCs until you speak with an Alliance recruiter.');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '20', 'discovered_chat_imperial', 'This one is a Rebel! Die Rebel Scum!');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '21', 'probe_scan_fly', '* Scanning... *');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '22', 'probe_scan_done', 'The scan is complete.');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '23', 'probe_scan_positive', 'The scan is complete. Contraband has been discovered.');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '24', 'probe_scan_negative', 'The scan is complete. No contraband was discovered.');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '25', 'return_false_imperial', 'Failure to comply with the orders of an Imperial agent is a crime. Your decision to disobey with this directive will effect your standing in the eyes of the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '26', 'clean_target_imperial', 'This one is clean. Move along citizen.');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '27', 'sorry_sir', 'I apologize %TO! We didn\'t recognize you at first. We will continue with our patrol and leave you to your business. ');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '28', 'business_imperial', 'There is no need to scan a fellow Imperial. You are obviously on Imperial business. All hail the Emperor! Carry on...');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '29', 'fined_imperial', 'Our scans have located contraband in your possession. Under Imperial action directive number 121X-421c, we have seized enough credits to cover your fine. Future infractions of the contraband directive will result in further punishment. Move along.');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '30', 'failure_to_pay_imperial', 'Our scans have located contraband in your possession. Under Imperial action directive number 121X-421c you are subject to a fine for the possession of contraband. However, our records show that you do not have the credits to pay such a fine. The Empire does not look favorably on criminals, especially destitute ones. Move along before we decide to haul you in.');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '31', 'pay_fine_imperial', 'Our scans have discovered contraband in your possession. As a member of the Imperial army, you should know that contraband is forbidden. You will be fined under Imperial action directive number 121X-421c. Failure to pay this fine will sorely affect your standings within the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '32', 'discovered_officer_imperial', 'Wait...I recognize this Rebel from the security holonet feeds...It\'s %TT %TO. Blast\'em!');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '33', 'imp_fine_title', 'Contraband Fine');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '34', 'imp_fine_text', 'For violation of local contraband law, a fine of ');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '35', 'imp_fine_text2_imperial', ' credits has been issued. Failure to pay this fine will result in negative standing within the Empire.\n\n\nDo you wish to pay this fine and avoid the loss of Imperial faction?');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '37', 'punish_imperial', 'So you refuse to pay the fine? We will be forced to report this incident to your superior officer. If you are planning on moving up higher into the ranks of the Empire, you might wish to reconsider such foolish decisions in the future. Now get out of my sight before I decide to bring you up on insubordination charges.');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '38', 'sorry_sir_name', 'I apologize %TT %TO! We didn\'t recognize you at first. We will continue with our patrol and leave you to your business.');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '39', 'report_activities', 'The probot sent out an alert on your rebellious activities.');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '40', 'probot_support_fly', '*Alert...*');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '41', 'probot_distress_fly', '*Distress Signal...*');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '42', 'jedi_mind_trick', 'You don\'t need to scan me.');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '43', 'not_search_you', 'I don\'t need to scan this one.');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '44', 'jedi_mind_trick_dark', 'You should leave. You are making me angry.');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '45', 'not_search_you_dark', 'I should leave before this one gets angry.');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '46', 'jedi_mind_trick_novice', 'Don\'t search me.');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '47', 'not_search_you_novice', 'Maybe I shouldn\'t search this one.');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '48', 'dont_search', 'We don\'t need to scan this citizen. Move along.');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '49', 'dont_search_dark', 'We better not search this citizen. Lets get back to our patrol.');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '50', 'dont_search_novice', 'I don\'t think there is a reason to search this citizen. Move along, move along.');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '51', 'ran_away_imperial', 'Failure to comply with a direct Imperial order has lowered your standing with the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '52', 'failure_to_pay_imp', 'Under Imperial action directive number 121X-421c, you are subject to a fine for the possession of contraband. However, our records show that you do not have the credits to pay such a fine. The Empire does not look favorably on criminals, especially destitute ones. Move along before we decide to haul you in.');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '53', 'dismount_imperial', 'You are being stopped for a contraband search by the Empire. Remain at your current location until the scan is completed. Failure to comply may effect your standing with the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '54', 'dismount', 'Dismounting now.');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '55', 'return_request_rebel', 'Stop! This is merely a routine check! Running from an officer of the law is a crime! You have ten seconds to return!');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '56', 'return_false_rebel', 'Republic law requires citizens to submit to routine scans during times of war, when requested to do so by a security officer. Disobedience will not reflect well on your record.');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '57', 'dismount_rebel', 'You are being stopped for a security search by local police forces loyal to the Rebellion. Remain at your current location until the scan is complete.');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '58', 'business_rebel', 'I was going to submit you to a scan, before I recognized you as a Rebel soldier. You may carry on.');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '59', 'scan_greeting_rebel', 'I need you to submit to a brief scan. This is only a routine check and it will only take a few seconds. With the war against the Empire going on, we have to keep security tight. I apologize for the inconvenience.');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '60', 'contraband_scan_rebel', 'The local security agent begins to conduct a search on you.');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '61', 'return_thank_rebel', 'If you run, I\'d have to put out a search and detain order. Remain as you are until the scan is complete. This won\'t take much longer.');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '62', 'clean_target_rebel', 'Everything checks out. Sorry to trouble you. Have a good day.');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '63', 'discovered_rebel', 'The investigation has revealed that you are a member of the Empire. You will be open to attack from Rebel NPCs until you speak with an Imperial recruiter.');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '64', 'discovered_chat_rebel', 'What the...he\'s a known Imperial collaborator! Bring him in!');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '65', 'ran_away_rebel', 'You have been repoted to the Rebellion for suspicious activity!');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '66', 'pay_fine_rebel', 'Our scans have discovered contraband in your possession. You are also a Rebel officer. I know things have been hectic with the war againts the Empire, but that is no excuse. You need to set an example for our ideals. I\'m going to have to fine you.');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '67', 'fined_rebel', 'Our scans have located contraband in your possession. This kind of thing might have been tolerated under the Empire, but not any more. We\'re working hard to clean things up and make the cities safe for all citizens. I\'m going to have to fine you. If I catch you again, I\'ll have to bring you in.');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '68', 'failure_to_pay_rebel', 'Our scans have located contraband in your possession. This kind of thing might have been tolerated under the Empire, but not any more. I would fine you, but you apparently don\'t have any credit to pay with. Looks like you\'ll get by with a warning. I suggest you get a job and clean up your act.');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '69', 'discovered_officer_rebel', 'Hold on, I recognize you from the most wanted Imperial officers list! You\'re %TT %TO!');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '70', 'neutral_turn_over_rebel', 'I\'ve recorded your infraction and have submitted the appropriate forms. Future use of contraband material will result in harsher action. We have enough trouble with Imperial agents in our midst, we don\'t need good people like you making stupid decisions. Clean up your act. You may go.');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '71', 'imp_fine_text2_rebel', ' credits has been issued. Failure to pay this fine will result in negative standing within the Rebellion.\n\n\nDo you wish to pay this fine and avoid the loss of Rebel faction?');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '72', 'warning_rebel', 'Payment of the fine has been received. I don\'t want to see this kind of behavior again. You are dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '73', 'punish_rebel', 'You won\'t pay the fine? I will be forced to report this incident to your superior officer. The Rebellion might not be as organized as we could be, but we don\'t tolerate direct acts of insubordination. Clean up your act or you\'ll find yourself in solitary. You are dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '74', 'containment_team_imperial', 'Containment team has arrived. Target identified. Beginning neutralization.');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '75', 'containment_team_rebel', 'This is Response Team Alpha. We have identified the target and are moving to intercept. There\'s the Imperial! Take him out!');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '76', 'discovered_jedi_imperial', 'By the Emperor, a Jedi! Command, this is security patrol. Code black! I repeat: code black! Dispatch containment team to my location!');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '77', 'discovered_jedi_rebel', 'By the force, a Sith! Command, I have a problem. Dispatch hunt team four to my location. Yes, I said four! Do it now!');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '78', 'containment_team_jedi_imperial', 'Protocol: Zero one active. Jedi: Identified. Containment protocol: Engaged. Directive: Employ maximum force to terminate Jedi.');
INSERT INTO `client_strings` VALUES ('string/en/imperial_presence/contraband_search.stf', '79', 'containment_team_jedi_rebel', 'I have a visual on the Sith. Fan out and assault! Avenge your brothers! For the glory of the Old Republic!');
INSERT INTO `client_strings` VALUES ('string/en/innate.stf', '1', 'regen_wait', 'You are still recovering from your last regeneration. Command available in %DI seconds.');
INSERT INTO `client_strings` VALUES ('string/en/innate.stf', '2', 'regen_active', 'You feel your blood course through your veins as your body begins to regenerate.');
INSERT INTO `client_strings` VALUES ('string/en/innate.stf', '3', 'roar', 'roar');
INSERT INTO `client_strings` VALUES ('string/en/innate.stf', '4', 'vit', 'vitalize');
INSERT INTO `client_strings` VALUES ('string/en/innate.stf', '5', 'equil', 'equilibrium');
INSERT INTO `client_strings` VALUES ('string/en/innate.stf', '6', 'regen', 'regeneration');
INSERT INTO `client_strings` VALUES ('string/en/innate.stf', '7', 'vit_wait', 'You are still recovering from your last vitalization. Command available in %DI seconds.');
INSERT INTO `client_strings` VALUES ('string/en/innate.stf', '8', 'vit_active', 'You feel adrenaline pour into your bloodstream as you become more vitalized.');
INSERT INTO `client_strings` VALUES ('string/en/innate.stf', '9', 'equil_active', 'Through sheer willpower, you force yourself into a state of equilibrium.');
INSERT INTO `client_strings` VALUES ('string/en/innate.stf', '10', 'equil_wait', 'You are still recovering from your last equilization. Command available in %DI seconds.');
INSERT INTO `client_strings` VALUES ('string/en/innate.stf', '11', 'roar_wait', 'You are still recovering from your last roar. Command available in %DI seconds.');
INSERT INTO `client_strings` VALUES ('string/en/innate.stf', '12', 'roar_active', 'You let out a mighty roar.');
INSERT INTO `client_strings` VALUES ('string/en/innate.stf', '13', 'innate_wait', 'Innate ability: %TT unavailable. Command available in %TO.');
INSERT INTO `client_strings` VALUES ('string/en/innate.stf', '14', 'innate_na', 'Innate command parameter \'%TO\' is not available for your species.');
INSERT INTO `client_strings` VALUES ('string/en/inputnames.stf', '1', 'CONTROL', 'CTRL');
INSERT INTO `client_strings` VALUES ('string/en/inputnames.stf', '2', 'MENU', 'ALT');
INSERT INTO `client_strings` VALUES ('string/en/inputnames.stf', '3', 'JOYBUTTON0', 'JOYB0');
INSERT INTO `client_strings` VALUES ('string/en/inputnames.stf', '4', 'JOYBUTTON1', 'JOYB1');
INSERT INTO `client_strings` VALUES ('string/en/inputnames.stf', '5', 'JOYBUTTON2', 'JOYB2');
INSERT INTO `client_strings` VALUES ('string/en/inputnames.stf', '6', 'JOYBUTTON3', 'JOYB3');
INSERT INTO `client_strings` VALUES ('string/en/inputnames.stf', '7', 'JOYBUTTON4', 'JOYB4');
INSERT INTO `client_strings` VALUES ('string/en/inputnames.stf', '8', 'JOYBUTTON5', 'JOYB5');
INSERT INTO `client_strings` VALUES ('string/en/inputnames.stf', '9', 'JOYBUTTON6', 'JOYB6');
INSERT INTO `client_strings` VALUES ('string/en/inputnames.stf', '10', 'JOYBUTTON7', 'JOYB7');
INSERT INTO `client_strings` VALUES ('string/en/inputnames.stf', '11', 'JOYBUTTON8', 'JOYB8');
INSERT INTO `client_strings` VALUES ('string/en/inputnames.stf', '12', 'JOYBUTTON9', 'JOYB9');
INSERT INTO `client_strings` VALUES ('string/en/installation_n.stf', '1', 'item_factory', 'Equipment Factory');
INSERT INTO `client_strings` VALUES ('string/en/installation_n.stf', '2', 'structure_factory', 'Structure Factory');
INSERT INTO `client_strings` VALUES ('string/en/installation_n.stf', '3', 'food_factory', 'Food and Chemical Factory');
INSERT INTO `client_strings` VALUES ('string/en/installation_n.stf', '4', 'gas_mine', 'Natural Gas Processor');
INSERT INTO `client_strings` VALUES ('string/en/installation_n.stf', '5', 'fusion_generator', 'Fusion-Ion Generator');
INSERT INTO `client_strings` VALUES ('string/en/installation_n.stf', '6', 'photobio_generator', 'Photo/Bio Generator');
INSERT INTO `client_strings` VALUES ('string/en/installation_n.stf', '7', 'solar_generator', 'Solar Generator');
INSERT INTO `client_strings` VALUES ('string/en/installation_n.stf', '8', 'wind_generator', 'Wind Generator');
INSERT INTO `client_strings` VALUES ('string/en/installation_n.stf', '9', 'liquid_mine', 'Personal Chemical Extractor');
INSERT INTO `client_strings` VALUES ('string/en/installation_n.stf', '10', 'moisture_mine', 'Personal Moisture Vaporator');
INSERT INTO `client_strings` VALUES ('string/en/installation_n.stf', '11', 'ore_mine', 'Mineral Mining Installation');
INSERT INTO `client_strings` VALUES ('string/en/installation_n.stf', '12', 'heavy_ore_mine', 'Heavy Mineral Mining Installation');
INSERT INTO `client_strings` VALUES ('string/en/installation_n.stf', '13', 'organic_harvester', 'Organic Resource Harvester');
INSERT INTO `client_strings` VALUES ('string/en/installation_n.stf', '14', 'flora_farm_small', 'Micro Flora Farm');
INSERT INTO `client_strings` VALUES ('string/en/installation_n.stf', '15', 'creature_farm', 'Creature Farm');
INSERT INTO `client_strings` VALUES ('string/en/installation_n.stf', '16', 'clothing_factory', 'Wearables Factory');
INSERT INTO `client_strings` VALUES ('string/en/installation_n.stf', '17', 'small_ore_mine', 'Personal Mineral Extractor');
INSERT INTO `client_strings` VALUES ('string/en/installation_n.stf', '18', 'flora_farm', 'Automated Flora Farm');
INSERT INTO `client_strings` VALUES ('string/en/installation_n.stf', '19', 'flora_farm_heavy', 'High Capacity Flora Farm');
INSERT INTO `client_strings` VALUES ('string/en/installation_n.stf', '20', 'gas_mine_small', 'Personal Natural Gas Processor');
INSERT INTO `client_strings` VALUES ('string/en/installation_n.stf', '21', 'gas_mine_heavy', 'Heavy Natural Gas Processor');
INSERT INTO `client_strings` VALUES ('string/en/installation_n.stf', '22', 'moisture_mine_medium', 'Moisture Vaporator');
INSERT INTO `client_strings` VALUES ('string/en/installation_n.stf', '23', 'moisture_mine_heavy', 'High Efficiency Moisture Vaporator');
INSERT INTO `client_strings` VALUES ('string/en/installation_n.stf', '24', 'liquid_mine_medium', 'Chemical Extractor');
INSERT INTO `client_strings` VALUES ('string/en/installation_n.stf', '25', 'liquid_mine_heavy', 'Deep Crust Chemical Extractor');
INSERT INTO `client_strings` VALUES ('string/en/item/xp_purchase.stf', '1', 'menu_learn', 'Learn');
INSERT INTO `client_strings` VALUES ('string/en/item/xp_purchase.stf', '2', 'msg_no_min_skill', 'You do not meet the minimum skill requirements to learn from this item. You must have the %TO skill.');
INSERT INTO `client_strings` VALUES ('string/en/item/xp_purchase.stf', '3', 'msg_no_xp', 'You cannot learn from this item. You do not have any %TO experience. ');
INSERT INTO `client_strings` VALUES ('string/en/item/xp_purchase.stf', '4', 'msg_not_enough_xp', 'You do not have enough experience to learn from this item. You need at least %DI %TO experience.');
INSERT INTO `client_strings` VALUES ('string/en/item/xp_purchase.stf', '5', 'msg_already_have_schematic', 'You already have that draft schematic. You cannot learn from this item.');
INSERT INTO `client_strings` VALUES ('string/en/item/xp_purchase.stf', '6', 'msg_already_have_command', 'You already have that ability. You cannot learn from this item.');
INSERT INTO `client_strings` VALUES ('string/en/item/xp_purchase.stf', '7', 'msg_learned_schematic', 'You have learned a new draft schematic!');
INSERT INTO `client_strings` VALUES ('string/en/item/xp_purchase.stf', '8', 'msg_learned_command', 'You have learned a new ability!');
INSERT INTO `client_strings` VALUES ('string/en/item/xp_purchase.stf', '9', 'sui_title', 'Learn From Item');
INSERT INTO `client_strings` VALUES ('string/en/item/xp_purchase.stf', '10', 'sui_prompt1', 'You must spend experience points in order to learn from this item.\n\nDo you really want to spend ');
INSERT INTO `client_strings` VALUES ('string/en/item/xp_purchase.stf', '11', 'sui_prompt2', ' Experience to learn from this item?');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '1', 'alderaan_flora', 'Rare Flora from the planet Alderaan.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '2', 'alum_reward', 'Alum minerals - a double sulfate composed of a trivalent metal (aluminum) and a univalent metal (potassium or sodium).  This mineral can be used as either a clarifying agent or a hardening agent.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '3', 'ardanium_ii', 'The ore Ardanium has the strange property of growing stronger in the presence of radiation, making it the perfect material for creating star ship fuel.  Ardanium II is a seperate chemical that shares many of the same characteristics, including the property of growing stronger with radiation, although by a much smaller factor, making it safer for use than Ardanium for smaller energy sources.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '4', 'armor_upgrade_kit', 'A kit used to modify armor pieces.  This item is used in slicing.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '5', 'art_crate', 'A packed crate containing something heavily.  A manifest slip on the side of the crate indicates that it\'s a piece of art.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '6', 'artifact_rare_s01', 'A rare ancient artifact of unknown origin. ');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '7', 'bank', 'A bank box.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '8', 'basket_expensive_s01', 'A basket woven of the finest quality materials - crafted with excellence and attention to detail.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '9', 'bestine_history_quest_painting', 'A unique painting. This photorealistic painting, no longer in regular circulation, depicts an artist\'s rendition of a star being revealed as it emerges behind a planet.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '10', 'bestine_quest_badge', 'Badge - \"Loyalist\"\n\nA necklace given as a gift from Victor Visalis in appreciation of the loyal efforts of the wearer.\n');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '11', 'bestine_quest_imp_banner', 'An imperial banner. The banner is meant to be used as a house decoration for the proud citizen of the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '12', 'bestine_quest_painting', 'A rare painting depicting an Imperial prison, shadowed by an omnious storm.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '13', 'bestine_quest_rug', 'A well-made rug given as a gift from Sean Trenwell. The rug would be perfect for many a house, providing comfort and style to any dwelling.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '14', 'bestine_quest_statue', 'A large statue meant to be used as a house decoration. Attached to the statue is a small inscription which reads: \"Sean Trenwell, Director of Commerce\".');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '15', 'bestine_quest_sword', 'A prized weapon of ages past. The blade of the weapon is well-worn which suggests that it has seen many battles.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '16', 'binary_liquid', 'A binary liquid that combines to perform a chemical effect of some kind, usually beneficial in manufacturing.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '17', 'binoculars_broken', 'In its current condition, this set of electrobinoculars might as well be sold for spare parts.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '18', 'biogenic_engineering_datapad', 'An engineering datapad that contains the computer codes needed to restart the power core of the hidden Geonosian bio-genetics laboratory.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '19', 'biogenic_engineering_key', 'A passkey specially modified to open a specific security door in the hidden Geonosian bio-genetics laboratory.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '20', 'biogenic_passkey', 'A passkey used to open security doors in the hidden Geonosian bio-genetics laboratory.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '21', 'bith_skull', 'The skull of a very unfortunate Bith.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '22', 'blood_vial', 'The vial appears to be filled with a red fluid. It would be wise to return this vial to Commander D`krn as soon as possible.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '23', 'bol_skull', 'The skull of a Bol, it would make quite a nice conversation piece in somebodys home.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '24', 'bowl_s01', 'A pristine heirloom bowl with fine engravings and made of choice materials.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '25', 'briefcase_s01', 'A strongly armored briefcase sealed with an impenetrable lock.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '26', 'broken_grav_unit', 'A broken 100 GU Grav Unit.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '27', 'cage_s01', 'An ornate cage intended for the care and keeping of small animals and birds.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '28', 'calibrator_broken', 'This tool, which (ironically) is used to calibrate and restore other tools, has fallen into disrepair.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '29', 'camera_s01', 'A photographic camera. The exposed film inside is irretrievable.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '30', 'camokit_corellia', 'A camouflage kit customized for the natural environment on Corellia.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '31', 'camokit_dantooine', 'A camouflage kit customized for the natural environment on Dantooine.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '32', 'camokit_dathomir', 'A camouflage kit customized for the natural environment on Dathomir.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '33', 'camokit_endor', 'A camouflage kit customized for the natural environment on Endor.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '34', 'camokit_lok', 'A camouflage kit customized for the natural environment on Lok.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '35', 'camokit_naboo', 'A camouflage kit customized for the natural environment on Naboo.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '36', 'camokit_rori', 'A camouflage kit customized for the natural environment on Rori.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '37', 'camokit_talus', 'A camouflage kit customized for the natural environment on Talus.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '38', 'camokit_tatooine', 'A camouflage kit customized for the natural environment on Tatooine.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '39', 'camokit_yavin', 'A camouflage kit customized for the natural environment on Yavin.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '40', 'camp_basic', 'A set of tools and equipment necessary to build a small encampment.  Requires very little camping skill to assemble.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '41', 'camp_elite', 'A set of tools and equipment necessary to build a large encampment.  This camp can repel aggressive creatures and offers a minor regeneration bonus as well as other amenities.  Requires a large amount of camping skill to assemble.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '42', 'camp_improved', 'A set of tools and equipment necessary to build a small encampment.  This camp can repel aggressive creatures.  Requires a small amount of camping skill to assemble.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '43', 'camp_luxury', 'A set of tools and equipment necessary to build an extremely nice encampment.  This camp improves on every feature of lesser camps and also includes a crafting station.  Requires an extreme amount of camping skill to assemble.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '44', 'camp_multi', 'A set of tools and equipment necessary to build a small encampment for two.  Requires very little camping skill to assemble.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '45', 'camp_quality', 'A set of tools and equipment necessary to build a medium encampment.  This camp can repel aggressive creatures and offers a minor regeneration bonus.  Requires a moderate amount of camping skill to assemble.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '46', 'campfire_logs_ash', 'Ashes of a burned log.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '47', 'campfire_logs_burnt', 'Burned logs.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '48', 'campfire_logs_fresh', 'Fresh, unburned logs.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '49', 'campfire_logs_smoldering', 'Smoldering logs.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '50', 'carved_stone', 'A carved stone, boasting crude designs and jagged edges. It is apparent that this particular object belongs to a ruthless tribe.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '51', 'casserole_binna_jode', 'A delicious casserole made by Binna Jode.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '52', 'chemical_recycler', 'This machine safely mixes chemical compounds.  It can be used on chemicals, water, petrochemical fuels, and radioactive materials.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '53', 'claw_bones', 'The massive claw bones of some giant creature.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '54', 'coa3_encoded_data_disk', 'A data disk with information about the Alderaanian Flora caravans encoded on it.  The information is useless until the data can be decoded.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '55', 'comlink_naboo_broken', 'This particular comlink unit, used by many residents of Naboo for short range communications, does not seem to be functional.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '56', 'corsec_id_badge', 'Corsec ID Badge.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '57', 'corvette_bootdisk_4', 'An operations disk for a computer system of some kind.  Probably a starship software package.  This one is labeled #4.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '58', 'creature_inventory', 'a creature\'s inventory');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '59', 'creature_recycler', 'This machine is used to combine parts that come from creatures including hides, horns, bones, meat, milk, and different types of seafood.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '60', 'credit_chip', 'A Credit Chip');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '61', 'data_geiger_counter', 'A device used to track radiation sources.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '62', 'data_item_imperial', 'This data item seems to contain encoded Imperial information.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '63', 'data_item_rebel', 'This data item seems to contain encoded Rebellion information.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '64', 'data_item_unknown', 'This data fragment contains encrypted data of an unknown nature.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '65', 'datadisk_corrupt', 'The data on this disk can only be read sporadically, at best. Any trace of coherent information must have been lost long ago.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '66', 'datapad_broken', 'This view area of this datapad has been destroyed, rendering the unit useless.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '67', 'de10_barrel', 'A special barrel needed for the creation of a DE-10 pistol');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '68', 'dead_eye_decoder', 'This old Imperial decoder should be able to decrypt the message on the Dead Eye data disk.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '69', 'dead_eye_prototype', 'A dosage of the prototype drug Dead Eye.  This drug will significantly increase the users accuracy for a brief period of time.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '70', 'decoder_comp_housing', 'The housing for an obsolete decryption tool.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '71', 'decoder_comp_power', 'A power core with an obsolete coupling.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '72', 'decoder_comp_processor', 'On antiquated micro-processor core.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '73', 'decoder_comp_reader', 'An optical data disk reader.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '74', 'decoder_comp_screen', 'An old vid screen.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '75', 'decoder_comp_translation', 'An Imperial translation circuit for an old decryption scheme.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '76', 'decryptor_broken_s01', 'This very old model of decryption device probably burned out due to over-use.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '77', 'dermal_analyzer', 'This device is most often used by xeno-biologists to test skin reactions to various stimuli. It can also be used in forensic analysis to determine a myriad of circumstances invisible to the naked eye.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '78', 'disruptor_broken', 'Kwin Moonraiser\'s infamous disruptor beam cannon. It is clear that the device has been battered and abused... perhaps by Kwin himself. It is no longer functional.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '79', 'double_bandolier', 'A Two-strap Bandolier.  A clothing item wearable by most humanoid species.  This is a special version of the normal bandolier, and can also be used as a container to hold other items.  To wear a this item, click on it in your inventory and choose \"equip\" from the radial menu. To open it, click on it in your inventory and choose \"open\".');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '80', 'droid_customization_kit', 'A toolkit to be used to colorize a droid\'s frame and trim (if it has some) to the colors of the user\'s choice. Target the droid and use this kit. To colorize someone else\'s droid, they must /consent you before you may change their droid\'s color scheme.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '81', 'emulsion_protector', 'A protective coating that increases permanence by protecting emulsions from abrasions and water absorption.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '82', 'encoded_disk_base', 'A datadisk used for transporting information between computer systems.  The disk is encoded with some form of encryption.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '83', 'endrine', 'This ore is valuable in the production of walls and defenses because in its liquid state it acts as an adhesive, and as it dries it increases the hardness of any other substance it comes in contact with.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '84', 'firework_dud', 'The fuse on this firework seems to have been spent but it did not fire.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '85', 'fishing_bait', 'This is used to trick fish into biting the hook at the end of your fishing line.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '86', 'fishing_bait_chum', 'This chum bait uses ground animal or fish parts to attract fish to your fishing line.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '87', 'fishing_bait_grub', 'This grub bait uses small larva that wriggle to attract fish to your fishing line.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '88', 'fishing_bait_insect', 'This insect bait uses an insect to attract fish to your fishing line.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '89', 'fishing_bait_worm', 'This live worm bait uses wiggling worms to attract fish to your fishing line.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '90', 'fishing_marker', 'This marker lets you know when a fish is nibbling on your bait.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '91', 'fishing_pole', 'This long, slender pole allows for a quick motion to apply sudden force at the end of the line, hooking fish that have started swallowing the bait on the hook.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '92', 'flora_recycler', 'This machine is used for mulching and combining different types of flora, including vegetables, fruits, wood, and cereals.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '93', 'flow_analyzer', 'A small systems analysis device.  This item is used in slicing.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '94', 'force_crystal', 'The crystal is said to amplify the user\'s connection to the Force. Unfortunately, there is no way to activate it.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '95', 'fs_buff_item', 'a Crystal cut and faceted to focus the powers held inside. It has been fitted with sensors to monitor power levels, and reflectors to help refocus energies after use. ');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '96', 'fs_mellichae_cyborg_arm', 'Mellichae\'s mechanical arm. You cannot help but feel the anger and hatred emanating from the broken circuitry and metals.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '97', 'fs_sculpture_1', 'Hand crafted by the citizens of the village Aurilia, this sculpture represents how they are but one part of the greater whole. (section 1 of 4)');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '98', 'fs_sculpture_2', 'Hand crafted by the citizens of the village Aurilia, this sculpture represents how they are but one part of the greater whole. (section 2 of 4)');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '99', 'fs_sculpture_3', 'Hand crafted by the citizens of the village Aurilia, this sculpture represents how they are but one part of the greater whole. (section 3 of 4)');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '100', 'fs_sculpture_4', 'Hand crafted by the citizens of the village Aurilia, this sculpture represents how they are but one part of the greater whole. (section 4 of 4)');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '101', 'glass_heirloom_s01', 'The glass is far from beautiful, but holds high sentimental value for its owner.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '102', 'grav_unit_repair_kit', 'A repair kit for grav units.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '103', 'gungan_lance', 'Lance used by gungans in combat. This one appears to have been recently broken.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '104', 'gungan_signet', 'Traditional earring worn by many gungans.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '105', 'harvester_no_power', 'This veteran reward lets you change one of your harvesters to use 0 power. To enable this, select the harvester you want to change, and then select the \"Convert Harvester\" option from the reward\'s menu. You will get a message saying that the harvester has been converted, and the reward will delete itself.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '106', 'heirloom_bowl', 'Borvo the Hutt\'s prized family heirloom bowl. Cryptic huttese colloquialisms are engraved along the rim.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '107', 'holocron_dark', 'A Sith Holocron.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '108', 'holocron_light', 'A Holocron.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '109', 'holocron_splinters_sith_s01', 'The pieces of this ancient holocron cannot be repaired. The markings are incomprehensible... yet somehow familiar to you.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '110', 'huff_quest_borvos_money', 'This money is evidence in the crimes against Borvo the Hutt.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '111', 'huff_quest_corsec_badge', 'The name on this badge is Niskel. The picture is faded and could be almost anyone.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '112', 'huff_quest_top_secret_documents', 'These are documents related to the Darklighter Estate. They are unopened.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '113', 'human_skull', 'A human skull, a haunting reminder of our own mortality.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '114', 'hunt_quest_bol_skull', 'A Bol skull from the planet Dantooine. Given to members of the Hunters guild that has proved themselves skilled hunters.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '115', 'hyperdrive_part_s01', 'A non-functional hyperdrive component.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '116', 'imperial_assassin_filler01', 'This appears to be a lunch menu for a \"Commander\'s Picnic\" and details the food that will be served.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '117', 'imperial_assassin_filler02', 'These are transfer orders for an Alliance officer named Lt. Lance.  They are more than three years old and have never been signed.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '118', 'imperial_assassin_intel', 'A transport document detailing its flight plan.  Signed by a Rebel commander.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '119', 'imperial_destroy_filler01', 'An Alliance datafile documenting the list of activities considered to be against the interests and/or benefit of Alliance operations and/or security.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '120', 'imperial_destroy_filler02', 'This document lays out guidelines for establishing a safeworld on an uncharted or remote planet.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '121', 'imperial_destroy_intel', 'These are the destruct sequences for a Corellian Corvette.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '122', 'imperial_rescue_filler01', 'This is an Alliance purchase order for a large number of parkas, gloves, and cold weather gear.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '123', 'imperial_rescue_filler02', 'This is a research request on Womprat sizes, signed by Wedge Antilles.  In the margins the words \"2 meters??\" are scrawled in an unknown hand.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '124', 'imperial_rescue_intel', 'This is an alliance document detailing a prisoner named Dr. Bledsoe, and the scheduled times at which he will be moved.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '125', 'impulse_detector_broken', 'This impulse detector has less than half of its components still intact.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '126', 'inkpen_engraved_s01', 'A set of ink pens with fine custom engraving.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '127', 'insects_rare_s01', 'Rare insects are preserved in a suspension of bacta and common comestibles.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '128', 'interface_override_device', 'This device is able to override the security lockouts on an Imperial Relay Station terminal.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '129', 'interplanetary_survey_droid', 'This droid is capable of using various survey tools and travelling to other planets to report on the resources available on that planet.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '130', 'ith_double_bandolier', 'An Ithorian Two-strap Bandolier.  A clothing item wearable by Ithorians.  This is a special version of the normal bandolier, and can also be used as a container to hold other items.  To wear a this item, click on it in your inventory and choose \"equip\" from the radial menu. To open it, click on it in your inventory and choose \"open\".');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '131', 'ith_mercenary_bandolier', 'An Ithorian Mercenary Bandolier.  A clothing item wearable by Ithorians.  This is a special version of the normal bandolier, and can also be used as a container to hold other items.  To wear a this item, click on it in your inventory and choose \"equip\" from the radial menu. To open it, click on it in your inventory and choose \"open\".');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '132', 'ith_multipocket_bandolier', 'An Ithorian Multi-pocket Bandolier.  A clothing item wearable by Ithorians.  This is a special version of the normal bandolier, and can also be used as a container to hold other items.  To wear a this item, click on it in your inventory and choose \"equip\" from the radial menu. To open it, click on it in your inventory and choose \"open\".');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '133', 'ithorian_skull', 'The skull of a fallen Ithorian.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '134', 'jawa_beads', 'Beads commonly worn by Jawas.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '135', 'jetpack_base', 'A base carrying apparatus for a jetpack.  The straps fit over the shoulders of the individual who will operate the jetpack, and the backing holds the pieces together.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '136', 'jetpack_ducted_fan', 'This fan serves a dual purpose, both cooling the jetpacks engines and giving a boost of air used in controlling the direction of the jetpack.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '137', 'jetpack_fuel_dispersion_unit', 'This unit spins rapidly, dispersing fuel to the jet engines of a jetpack.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '138', 'jetpack_injector_tank', 'A fuel injection tank for a personal jetpack.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '139', 'jetpack_stabilizer', 'A stabilizing unit for a Jetpack.  ');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '140', 'keepsakes', 'This container is full of keepsakes, greeting cards, ticket stubs, and other miscellanea of significant sentimental value.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '141', 'key_electronic_s01', 'Although the main identity circuits of this key are now burned out and dysfunctional, the key may have once been used to unlock high-security areas.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '142', 'krayt_skull', 'The skull of a mighty Krayt Dragon. An imposing sight, even in death. A highly prized collectible.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '143', 'krayt_skull_01', 'A rare polished Krayt Dragon hunting trophy awarded to you by Huff Darklighter. ');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '144', 'large_bones', 'Strong and light, these appear to be the bones of a once large and mighty creature.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '145', 'laser_knife', 'A precision cutting instrument.  This item is used in slicing.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '146', 'ledger_s01', 'The ledger describes past business transactions, current personnel details, and depricated resource traffic.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '147', 'magic_eight_ball', 'Eyes of Mesra');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '148', 'medallion_black_sun_s01', 'The medallion bears the striking insignia of the Black Sun criminal organization.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '149', 'medallion_dark_jedi_s01', 'A Sith engraving haunts the surface of this dark jewel.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '150', 'mercenary_bandolier', 'A Mercenary Bandolier.  A clothing item wearable by most humanoid species.  This is a special version of the normal bandolier, and can also be used as a container to hold other items.  To wear a this item, click on it in your inventory and choose \"equip\" from the radial menu. To open it, click on it in your inventory and choose \"open\".');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '151', 'message_assembled_base', 'A datadisk used for transporting information between computer systems.  The disk contains an assembled transmission.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '152', 'message_fragment_base', 'A datadisk used for transporting information between computer systems.  The disk appears to contain a partial transmission of some sort.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '153', 'metal_recycler', 'A smelting machine used to combine different types of ferrous and non-ferrous metals.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '154', 'microphone', 'microphone');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '155', 'molecular_clamp', 'A small clamp that will fuse to power nodes.  Mounted with a polarity indicator light.  This item is used in slicing.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '156', 'moraj_marker', 'Dedicated by the first settlers of Tatooine - founders of Bestine Township -  in memory of brave Captain Moraj.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '157', 'mt_casserole', 'A special gift from Bren Kingal - his sister\'s secret recipe.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '158', 'mt_flatbread', 'A special gift from Bren Kingal - his sister\'s secret recipe.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '159', 'mt_pie', 'A special gift from Bren Kingal - his sister\'s secret recipe.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '160', 'mt_soup', 'A special gift from Bren Kingal - his sister\'s secret recipe.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '161', 'multipocket_bandolier', 'A Multi-pocket Bandolier.  A clothing item wearable by most humanoid species.  This is a special version of the normal bandolier, and can also be used as a container to hold other items.  To wear a this item, click on it in your inventory and choose \"equip\" from the radial menu. To open it, click on it in your inventory and choose \"open\".');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '162', 'mystical_orb', 'The powers and purpose of this mystical orb remain unknown... even to its rightful owner.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '163', 'mystical_powered_orb', 'The powers and purpose of this mystical orb remain unknown... even to its rightful owner. It has a strange glow emitting from it.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '164', 'neutral_assassin_filler01', 'This is a research request, asking for information on some bat-like creature that flies upside down during the day.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '165', 'neutral_assassin_filler02', 'This is an order form for a crate of eye-patches.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '166', 'neutral_assassin_intel', 'This is a list of people who owe a pirate organization money for gambling debts and a list of their last known locations.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '167', 'neutral_destroy_filler01', 'A paper written by someone named Soras Varn.   It documents the wide variety of personalities and modes of operation used by bounty hunters.  It appears that it was first published in the proceedings of the Institute of Imperial Psychological Studies.  ');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '168', 'neutral_destroy_filler02', 'This document, written by someone named Armennion Ullgusta, covers many aspects of the purge of the Jedi Knights.  This book is banned by Imperial Authority.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '169', 'neutral_destroy_intel', 'These are the destruction code sequences for a CorSec Cruiser.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '170', 'neutral_rescue_filler01', 'A documentary about the unusual life of the Dorumaa leviathan, hosted by noted xenobiologist Dr. A. Rahring.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '171', 'neutral_rescue_filler02', 'A wealth of human and alien expressions for use by travelers across the galaxy.  Written by Ebenn Q3 Baobab.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '172', 'neutral_rescue_intel', 'This is a CorSec prisoner transfer document, detailing the exact movements of a prisoner at all times.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '173', 'ore_recycler', 'This tumble driven machine combines different types of stones, including igneous, sedimentary, and gemstones.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '174', 'ornamental_sconce', 'This ornamental sconce can provide a suite of interesting lighting solutions when mounted on a special interface. Unfortunately, these interfaces are no longer available to the general public... ');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '175', 'ostrine', 'This mineral, found in large amounts on the planet Hargeeva, can also be found in trace amounts along with other more common ores if you know how to look for them.  Ostrine\'s chief property is that it can absorb heat like a sponge, making it ideal for the production of armor plating.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '176', 'painting_endor_style_01', 'A painting of the forest moon Endor\'s landscape.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '177', 'palm_frond', 'A worn palm frond. Surprisingly, this particular frond remains green even after it fell from its tree.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '178', 'personal_effects', 'The container appears to hold a vast array of common personal items... which are potentially important on a sentimental level.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '179', 'pet_control_device', 'a pet control device');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '180', 'petrified_egg', 'An extremely interesting archaeological find - shrouded in mystery. Learning the truth about this artifact could take many lifetimes.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '181', 'picture_handheld_s01', 'The image on the main viewscreen is impossible to discern.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '182', 'picture_handheld_s02', 'You can make out shapes and shadow in the image - but they seem to shift... like black clouds, eluding description.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '183', 'poi_droid_body', 'The body of a dismembered droid.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '184', 'poi_droid_head', 'The head of a dismembered droid.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '185', 'power_regulator', 'This power regulator is used to control power surges and maintain a level amount of power as much as possible.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '186', 'proclamation_s01', 'This official government proclamation could mean the difference between life and death for certain inhabitants of this planet.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '187', 'readable_datapad', 'A datapad device.  These are used to store text of various types including letters, memos, account sheets, works of fiction, etc.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '188', 'rebel_assassin_filler01', 'A recall notice for a shipment of E-11 blasters indicating that their barrels are not aligned properly.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '189', 'rebel_assassin_filler02', 'A transfer order for a Wookiee prisoner being moved from cellblock 1138 to level 5 detention block AA23.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '190', 'rebel_assassin_intel', 'An Imperial Dossier documenting the career of a high ranking Imperial Officer.  A quick glance shows that this man is very ruthless and could be considered fanatically devoted to violence.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '191', 'rebel_destroy_filler01', 'This is an internal memorandum questioning the building of a starport on Dathomir.  Someone seems concerned about the Nightsisters escaping the planet...');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '192', 'rebel_destroy_filler02', 'This is a PTO request from someone named General Otto.  His time off request is apparently due to his wanting to enter a race of some kind.  The form has been signed.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '193', 'rebel_destroy_intel', 'This is a ship\'s preparation log, signed by an Imperial officer, detailing the whereabouts of a number of named ships.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '194', 'rebel_rescue_filler01', 'A resignation form from a Stormtrooper to his superior officer.  Scrawled in the notes section is an illegible smudge, but the words \"Dancer\" and \"Quit\" can be made out.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '195', 'rebel_rescue_filler02', 'An Imperial Purchase order for an exhaust port cover.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '196', 'rebel_rescue_intel', 'Security override codes for a Corellian Corvette.  These will allow a ship to slip past the defenses of a Corellian Corvette if used properly.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '197', 'recording_rod_broken', 'This type of recording rod was probably used by scouts, surveyors, and investigators to act as a portable audio-video recording assistant. However, this particular unit seems to have been left for scrap.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '198', 'recording_rod_s01', 'Perhaps long ago, this recording rod helped surveyors graph the myriad resources tucked away beneath the planet\'s surface... but now it is just a hunk of durasteel.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '199', 'relic_gbb_chemical_tab', 'Geonosian Relic\n\nA type of Geonosian Stimpack, fatal to other races.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '200', 'relic_gbb_data_tab', 'Geonosian Relic\n\nAn encrypted data disk.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '201', 'relic_gbb_honey_carafe', 'Geonosian Relic\n\nAn empty glass of Royal Jelly.  While mildly toxic to other beings, the Geonosian Royal Jelly is a staple for this insectile race who are able to safely digest the viscus fluid for its high concentration of nutrients.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '202', 'relic_gbb_ration_kit', 'Geonosian Relic\n\nThe geonosian ration consists of some as ot yet unidentified meat, a subterranean fungus and a light coating of Royal Jelly.  The combination is highly inedible to all but the staunchest digestive systems.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '203', 'relic_gbb_small_ball', 'Geonosian Relic\n\nA potential weapon if hurled with great force, maybe a prop from a recreational game, or a small part of a larger machination. The exact use of this object is unknown at this time.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '204', 'relic_gbb_spice_container', 'Geonosian Relic\n\nA container filled with an unrefined form of spice.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '205', 'relic_gbb_tech_kit', 'Geonosian Relic\n\nA collection of Geonosian technical material.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '206', 'repaired_grav_unit', 'A 100 GU Grav Unit for a landspeeder.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '207', 'rudic', 'This crystalline mineral is mostly found on the planet Hirsi, but can be found in smaller amounts buried with other minerals.  It is a prime component in the manufacture of sensor devices.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '208', 'sandstat_broken', 'Originally created by residents of Tatooine to assist in cleanup after sandstorms, this particular electrostatic sandstat is unusable.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '209', 'sean_campaign_disk', 'Sean Trenwell, Director of Commerce\n\nPurpose: To enrich the lives of the people of Bestine through Commerce by establishing new market places, funding the museum and hiring historians to uncover the mysteries surrounding the city. Our artisans will be ecstatic with the new changes!\n\nVoting Process: In order for your vote to be registered with the Governor, you must bring her a record, or evidence, of a good deed done by Sean Trenwell. Evidence can be found by speaking with any citizen of Bestine. It may take some searching, so be patient! The capitol is a central point of intrigue for politics and would be a good place to start with. Examples of evidence:\n	- Journals\n	- Disks\n	- Written Testimonies\n\nHaving this disk identifies you as having agreed to represent Sean Trenwell in the upcoming election. However, if you are found conversing with our rival, we have no choice but to remove you from our campaign.\n\nNext Contact: Indigo Siyan, Secretary to the Director of Commerce');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '210', 'sean_history_disk', 'A disk containing vital information regarding the history of Bestine and the problematic ancestor of Sean Trenwell.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '211', 'sean_questn_alog', 'A disk containing information regarding the Commerce account. In the notes, the accountant mentions that mysterious deductions have been made in the name of Sean Trenwell. The evidence contained within supports the assumption and brings it to light; Director of Commerce has been stealing from the accounts for years.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '212', 'sean_questn_gpapers', 'Grade papers from several years ago. It is evident, from reading the information, that Sean Trenwell barely passed school. It provides valuable evidence against him.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '213', 'sean_questn_tdisk', 'A terminal disk detailing the agreement between Sean Trenwell and the Hutt faction. The evidence contained supports profound negative information against the Director of Commerce.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '214', 'sean_questp_ctestimony', 'A written testimony from the Curator of the local museum regarding Sean Trenwell\'s generous donation.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '215', 'sean_questp_htestimony', 'A testimony. Further manipulation of the object reveals the following:\n\nSean Trenwell opened his home to the victims of a tragic incident, sacrificing his own comfort and, in some cases, freedom for their benefit. His heart is a golden one and should be rewarded. He is too humble to ask for anything. In hopes that this will be used as evidence for him, I write this testimony for the upcoming election. I know you, the Governor of Bestine, will make the right decision in whom will be allowed to work for you in office.\n\n- humble servant of Sean Trenwell');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '216', 'sean_questp_mdisk', 'A disk containing information. Placing the disk in your datapad reveals the following:\n\nWith this letter, I have attached a note worth over 50k in credits for use in building the new Market place. The note has been made out to Itko-Fris, appointed director of the new market place and all related elements.\n\nSean Trenwell\nDirector of Commerce');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '217', 'shellfish_harvester', 'A tool used to locate mollusks and crustaceans. Tool is ineffective unless standing in water.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '218', 'shisa_decorative_s01', 'A fine ornamental shisa. Many affluent travelers decorate thier homes with decorations like this one.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '219', 'slave_collar', 'A standard slave collar.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '220', 'smooth_stone', 'A smooth stone, boasting an almost crystalline luster. The object refracts light if held a certain way.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '221', 'socket_gem', 'An attachment that can increase the skill-related assistance provided by a suitable parent item.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '222', 'speaker', 'Speaker');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '223', 'speaker_s01', 'This speaker is undoubtedly part of a more elaborate sound reproduction system.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '224', 'spectrum_recorder', 'The device weaves light beams of alternating color and fluctuating intensities to detect microsopic imperfections in refined minerals.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '225', 'sports_award_s01', 'An award given to outstanding athletes as a reward for executing feats of uncommon grace and power - under the powerful scrutiny of sporting fans.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '226', 'squill_skull', 'A squill skull. The skull appears to be some sort of trophy. Perhaps someone would be interested in it.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '227', 'survey_tool_all', 'This is an advanced survey device, capable of surveying both organic and inorganic resources that can be gathered in a given region.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '228', 'survey_tool_gas', 'This tool scans the local environment for gas resources that can be extracted with the appropriate types of harvesters and even has the ability to acquire minute samples of the resources it detects.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '229', 'survey_tool_inorganic', 'This advanced device allows the local environment to be scanned for any inorganic resources.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '230', 'survey_tool_liquid', 'This tool scans the local environment for chemical resources that can be extracted with the appropriate types of harvesters and even has the ability to acquire minute samples of the resources it detects.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '231', 'survey_tool_lumber', 'This tool scans the local environment for soil fertility and lumber resources that can be grown with harvesters.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '232', 'survey_tool_mineral', 'This tool scans the local environment for mineral resources that can be extracted with the appropriate types of harvesters and even has the ability to acquire minute samples of the resources it detects.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '233', 'survey_tool_moisture', 'This tool scans the local environment for water resources that can be gathered with the appropriate types of harvesters and even has the ability to acquire minute samples of the resources it detects.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '234', 'survey_tool_organic', 'This advanced tool allows the local environment to be scanned for any organic resources.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '235', 'survey_tool_solar', 'This tool checks average local ambient solar radiation. Its primary use is for determining a good place to construct a solar power generator.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '236', 'survey_tool_wind', 'This tool checks local weather conditions and measures the average wind velocity. Its primary use is for determining a good place to construct a wind generator.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '237', 'taloscope_broken', 'This meson taloscope has seen better days. Unfortunately for this particular instrument, its focusing mechanism has been thoroughly fried.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '238', 'test_pastry', 'Mmm....delicious.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '239', 'thune_skull', 'The massive skull of a deceased Thune. It would surely impress any collector with its immense size.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '240', 'ticket_collectors_item_s01', 'The ticket has no monetary value - but perhaps represents significant sentimental value to its owner.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '241', 'ticket_expired', 'Someone must have missed their arranged travel plans and retained it for sentimental value, as this ticket is quite expired.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '242', 'toxic_rations', 'A battery of spoiled rations that would spell certain death to anyone unlucky enough to consume them.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '243', 'trap_drowsy_dart', 'A small dart delivery system, ingeniously crafted from natural organics.  The tip is coated with a light Lecepanine poison.  This object is thrown at a target in combat.  If it hits, the poison will cause the target to become drowsy and slightly confused.  This has the effect of making the target dizzy as well as causing a slight decrease in the target\'s action pool.  This weapon cannot kill and only works on animals.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '244', 'trap_enraging_spur', 'A spur fashioned from natural organics.  A knowledgable scout can throw this at an enemy creature, placing it in a perfect spot to cause pain.  This has the effect of damaging the creature\'s mind.  However, the effects are never fatal.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '245', 'trap_flash_bomb', 'A small bomb that emits a bright flash on impact.  This flash is intense enough to blind most creatures for a short amount of time.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '246', 'trap_melee_def_1', 'A small cannister packed with a fine and somewhat sticky mesh.  When it strikes the target, the mesh entangles them making movement more difficult.  This has the effect of making the target easier to hit with melee attacks.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '247', 'trap_melee_ranged_def_1', 'Similar to the wire mesh trap, but this trap has been enhanced.  The wire mesh has been strengthened and treated with a bioluminescent goo.  The target will become easier to hit with both melee and ranged attacks.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '248', 'trap_noise_maker', 'A special device that emits annoying noises.  When thrown at a creature by a sufficiently skilled scout, the trap will cause the target to become stunned.  The raw shock of the noise will also cause a large amount of damage to the target\'s mind pool.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '249', 'trap_ranged_def_1', 'A small container of natural bioluminescent liquid.  Splashing the target with this substance has the effect of making the target easier to hit with ranged attacks.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '250', 'trap_sonic_pulse', 'The sonic pulse is a small bomb activated by impact.  When triggered, it emits an extremely powerful pulse of sonic energy.  This has the result of stunning and dizzying any creatures caught within its effective radius.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '251', 'trap_state_def_1', 'A small container filled with the natural musk of an animal.  The musk has a repellent smell and can cause a target to become distracted.  This has the effect of making the target more vulnerable to status effects like stun or intimidate.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '252', 'trap_tranq_dart', 'A small Phecnacine tranquililzer delivery system.  This object is thrown at a target in combat.  When it strikes something, it releases a thin mist of poison.  The poison will cause the target\'s movement to slow significantly.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '253', 'trap_webber', 'A trap containing some form of compressed mucilage based adhesive.  This trap is thrown at a target creature.  If the adhesive mesh successfully traps the creature, the target will become immobile for a short time and will suffer significant damage to its action pool.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '254', 'treasure_map_base', 'A datadisk used for transporting information between computer systems.  This disk contains information regarding the location of a possible treasure.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '255', 'treasure_map_hedon', 'A datadisk used for transporting information between computer systems.  This disk contains a old holo map with a single waypoint on it, named \"Dragon Graveyard\"');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '256', 'tusken_head', 'The head of a Tusken Executioner.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '257', 'valarian_dagger', 'A dagger not used as a weapon but as a badge of recognition between Lady Valarian\'s secretive assassins.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '258', 'vehicle_customization_kit', 'A toolkit to be used to colorize a vehicle\'s frame and trim (if it has some) to the colors of the user\'s choice. Target the vehicle and use this kit. To colorize someone else\'s vehicle, they must /consent you before you may change their vehicle\'s color scheme.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '259', 'victor_campaign_disk', 'Purpose: To protect and preserve the life of the honorable people of Bestine by hightening security against unwanted attacks. By hiring new Troopers, more jobs will open up for the unfortunate and reduce the number of homeless men and women.\n\nTo vote: Evidence of a good deed, done by Victor Visalis, is needed in order for your vote to be registered. To find such evidence, you may speak with the political citizens around the capitol or within the city of Bestine. Example of evidence would be, but not limited to:\n	- Written Testimony from a Bestine citizen\n	- Diskette containing information of the deed\n	- Journal entries\n\nBy receiving this diskette, you have agreed to represent Victor Visalis in the upcoming election. Our campaign encourages the free will of its representatives, but our patience is limited. Thus, if you decide our views are not for you, you may visit our opponent for more information. However, by doing so, we have the right to discharge you from our campaign to prevent from being in the company of spies and other such acts of sabotage.\n\nNext Contact: Keanna Li`kyna, Secretary to the Officer of Defense\n');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '260', 'victor_questn_dseal', 'A sealed document. The seal has long been broken and the letter contains the following information therein:\n\nI, Victor Visalis, Officer of Defense of the city of Bestine, state that questionable activities conducted by approved members, or affiliates of, the Hutts shall be \'unseen\' to the authority of the Officer of Defense or his official troopers. In return for this \'service\', members of the Hutts will do nothing to damage Victor Visalis\' reputation to the people of Bestine in hopes to win the upcoming election.\n\nSigned,\n\nVictor Visalis\nOfficer of Defense');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '261', 'victor_questn_hlist', 'A list of names. Further manipulation reveals the following information:\n\nP`lya Hera - Known Rebel informant. Frequents the cantinas in hopes of recruiting the common folk to the Alliance. Must be destroyed. Fairly harmless.\nPetre Fairlight - Rebel commander. Bravely lives within the \"safety\" of Bestine. Use extreme caution.\n\nTyanna R`khila - Rebel operative. Heads the smuggling efforts in Bestine. Must be eliminated to prevent supplies from being stolen.\n\nWe must keep Bestine clean. Those affiliated with the names listed above are to be eliminated quickly. Members of the Rebel Alliance are to be viewed as a disease and must be cleansed from our city.\n\nSigned,\n\nVictor Visalis\nOfficer of Defense');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '262', 'victor_questn_journal', 'Entries sorted by date, containing information and events in one\'s life. The following entry is the only one that pertains to the current situation:\n\n... My troops carried out my plans earlier this evening regarding a particular Edwind Vintue. Constantly, he has tried to ruin my campaign by spreading falsified rumors and damaging stories. I am thankful that such things will no longer be heard by the common folk of Bestine. There is no need to fill their mind with things of which they do not know... and should not know. Let this be a lesson to those who try to oppose me. I will win this election even if it is the last thing I do. Edwind Vintue is no more and those who follow his steps will find themselves in the same fate as their predecessor ...\n\n- Victor Visalis');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '263', 'victor_questp_jregistry', 'System Registry v5.2\n\n.... searching ...\n.....................\n.......\n_\n_\n\nDetected change in system...\n...............\n\nJob Registry\n\nDescription of new entry found in database:\n\n- More than one hundred new jobs opened for the growing number of homeless species in the town of Bestine.\n- New jobs established by: Victor Visalis, Officer of Defense.\n\n.... searching .....\n_\n_\n\nEntry created by: Tour Aryon, Governor of Bestine\"');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '264', 'victor_questp_receipt', 'Donations for Lightwind Orphanage\nName/Sum of donation\n------------------------------\n\nN\'cor Silver/100 credits\nT`liha i`Ora/50 credits\nJiloa Frost/1k credits\nVictor Visalis/1mil credits *\nKliyna Furthen/2k credits\nMlinoa Blue/150 credits\n\n* Most sizable donation given to date. Mr. Visalis\' generosity provided the children with toys, upgrade in beds, new clothes, just to name a few. His donation also helped our crew repair the orphanage building, ridding it of cracks and helped us in repairing broken pipes.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '265', 'victor_questp_testimony', 'A testimony which reads as follows:\n\nVictor Visalis came to my aid when I needed help most. After a particularly brutal attack from the Sand People, I lost he who meant more to me than anything in this life; my son. The Sand People stole him away from me. I couldn\'t save him. I have never been taught in the arts of the pistol or that of brawling. Somehow, Victor Visalis heard of my plight and ordered his own personal band of troopers to save my son from the clutches of evil. I write this testimony in hopes that it will be good enough to be presented as sufficient evidence in the upcoming election. Not only did Victor Visalis save my son, but he was also kind enough to supply us with enough money so that we may receive proper education. I\'m currently studying to become a politician. Just like Victor Visalis.\n\n- one in-debted to Victor Visalis');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '266', 'viewscreen_broken', 'This hand-held viewscreen seems to have taken quite a beating. It appears that it is far beyond repair.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '267', 'viewscreen_s1', 'This viewscreen appears to be working normally, though it\'s not useful for guarding secure information.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '268', 'viewscreen_s2', 'Although in working condition, the viewscreen appears to be worn and in need of maintenance. The data contained inside can still be read.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '269', 'voritor_skull', 'Even in death, this slender skull of the Voritor seems to project a powerful and deadly presence.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '270', 'weapon_upgrade_kit', 'A kit used to modify weapons.  This item is used in slicing.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '271', 'wind_crystal', 'Similar to the crystal formations found on the Forest Moon of Endor, these crystals are very rare sources of powerful energy when used properly.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '272', 'work_light', 'When it was operational, this worklight provided much-needed illumination for courageous spelunkers and daring miners.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '273', 'zicx_bug_jar', 'The jar contains a healthy amount of living Zicx. The insects are of special interest to science because they appear to be invulnerable to all known forms of kinetic, ambient and energy damage. In nature, these creatures are quite docile. However, if they become (even slightly) irritated, they unleash a lethal torrent of stings and bites.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '274', 'zicx_calling_card', 'This is the calling card for Goru Rainstealer, a disgraced weapons designer whose blatantly unethical treatment of his clients has made numerous powerful enemies. Both the Empire and the Alliance would love to see him disintegrated. The Hutts, Black Sun and the Valarian gang would also welcome his demise.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '275', 'zicx_sarlacc_bile', 'The jar contains a generous amount of the Sarlacc\'s mysterious digestive fluid. ');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '276', 'zicx_spice_jar', 'A jar of specially processed spice. Using his skills as a xenobiologist, Jowir Ar\'Lensa has developed a clever method of refining spice using only a handful of common Tatooine insects.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '277', 'veteran_reward_antidecay', 'This is an Anti Decay Kit which can make an item not decay when a player dies or uses the item.  To use the Anti Decay Kit, both the Kit and the item you want to use the Kit on must be in your inventory.  Place the item inside the Kit by dragging and dropping the item onto the Anti Decay Kit.  Use the radial menu option on the Kit called Apply Anti Decay to make the item not decay.  If you change your mind, you can retrieve the item by selecting the radial menu option Retrieve Item From Kit.   Only items that can be insured are valid to be used with the Anti Decay Kit.  Items that are weapons are also valid to be used with the Anti Decay Kit.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '278', 'syren1_spice_sample', 'A sample of unknown spice.  It appears to be organic in nature.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '279', 'starmap_piece', 'This appears to be a piece of an old star map.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '280', 'starmap_box', 'An old box with ornate inscribing in an unknown language on it.');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '281', 'syren1_locked_datapad', 'An encrypted datapad found at a crash site on Rori.  ');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '282', 'syren1_warning', 'This datapad has a message for you.  \"This is our only warning: stop looking into the source of the new spice.  If you do not, this will happen to you.\"');
INSERT INTO `client_strings` VALUES ('string/en/item_d.stf', '283', 'syren2_datapad', 'A datapad that has only the location:  Rori 4846, -1084. ');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '1', 'alderaan_flora', 'Alderaan Flora');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '2', 'alum_reward', 'Alum Minerals');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '3', 'ardanium_ii', 'Ardanium II Energy');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '4', 'armor_upgrade_kit', 'Armor Upgrade Kit');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '5', 'art_crate', 'Art Crate');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '6', 'artifact_rare_s01', 'A Rare Artifact');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '7', 'attunement_grid', 'Attunement Grid');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '8', 'bank', 'Bank');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '9', 'banner_corellia', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '10', 'banner_dantooine', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '11', 'banner_dathomir', 'Dathomir');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '12', 'banner_endor', 'Endor');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '13', 'banner_lok', 'Lok');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '14', 'banner_naboo', 'Naboo');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '15', 'banner_rori', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '16', 'banner_talus', 'Talus');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '17', 'banner_tatooine', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '18', 'banner_yavin4', 'Yavin 4');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '19', 'base_poi', 'POI');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '20', 'base_transport', 'A Transport');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '21', 'basket_expensive_s01', 'An Elegant Woven Basket');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '22', 'bestine_history_quest_painting', 'A Painting');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '23', 'bestine_quest_badge', 'Badge - \"Loyalist\"');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '24', 'bestine_quest_imp_banner', 'Imperial Banner');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '25', 'bestine_quest_painting', 'A Painting');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '26', 'bestine_quest_rug', 'Ornate Rug');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '27', 'bestine_quest_statue', 'Decorative Statue');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '28', 'bestine_quest_sword', 'Decorative Sword');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '29', 'binary_liquid', 'Binary Liquid');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '30', 'binoculars_broken', 'Broken Electrobinoculars');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '31', 'biogenic_engineering_datapad', 'Engineering Datapad');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '32', 'biogenic_engineering_key', 'Hot-wired Electronic Passkey');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '33', 'biogenic_passkey', 'Electronic Passkey');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '34', 'bird_cage', 'Nemoidian Bird Cage');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '35', 'bird_special_message', 'Hmm, you seem like a curious person SQWAAACK!  Why don\'t you seek what is hidden near this location:');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '36', 'bird_treasure_found', 'You have found the bird\'s treasure!');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '37', 'bith_skull', 'A Bith Skull');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '38', 'blood_vial', 'A blood vial');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '39', 'bol_skull', 'A Bol Skull');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '40', 'bowl_s01', 'A Decorative Bowl');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '41', 'briefcase_s01', 'A Locked Briefcase');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '42', 'broken_grav_unit', 'Broken Grav Unit');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '43', 'cage_s01', 'An Empty Cage');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '44', 'calibrator_broken', 'Broken Instrument Calibrator');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '45', 'camera_s01', 'A Camera');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '46', 'camokit_corellia', 'Camo Kit: Corellia');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '47', 'camokit_dantooine', 'Camo Kit: Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '48', 'camokit_dathomir', 'Camo Kit: Dathomir');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '49', 'camokit_endor', 'Camo Kit: Endor');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '50', 'camokit_lok', 'Camo Kit: Lok');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '51', 'camokit_naboo', 'Camo Kit: Naboo');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '52', 'camokit_rori', 'Camo Kit: Rori');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '53', 'camokit_talus', 'Camo Kit: Talus');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '54', 'camokit_tatooine', 'Camo Kit: Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '55', 'camokit_yavin', 'Camo Kit: Yavin');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '56', 'camp_basic', 'Basic Camp Kit');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '57', 'camp_elite', 'Field Base Kit');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '58', 'camp_improved', 'Improved Camp Kit');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '59', 'camp_luxury', 'High Tech Field Base Kit');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '60', 'camp_multi', 'Multiperson Camp Kit');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '61', 'camp_quality', 'High Quality Camp Kit');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '62', 'campfire_logs_ash', 'Ashes');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '63', 'campfire_logs_burnt', 'Burnt Logs');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '64', 'campfire_logs_fresh', 'Fresh Logs');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '65', 'campfire_logs_smoldering', 'Smoldering Logs');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '66', 'carved_stone', 'Carved Stone');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '67', 'casserole_binna_jode', 'Special Casserole');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '68', 'cereal_recycler', 'Food Processor');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '69', 'char_cust_pedestal', 'Pedestal\n');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '70', 'chemical_recycler', 'Chemical Recycler');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '71', 'city_map_location', 'Planet Map Loc: CITY');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '72', 'claw_bones', 'Claw Bones');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '73', 'coa3_encoded_data_disk', 'Encoded Data Disk');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '74', 'comlink_naboo_broken', 'Broken Civilian Comlink');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '75', 'corsec_id_badge', 'Corsec ID Badge');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '76', 'corvette_bootdisk_4', 'Operations Disk #4');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '77', 'craeture_inventory', 'Creature Inventory');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '78', 'creature_inventory', 'creature inventory');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '79', 'creature_recycler', 'Creature Recycler');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '80', 'credit_chip', 'Credit Chip');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '81', 'current_alternator', 'Current Alternator');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '82', 'data_geiger_counter', 'Radiation Sensor');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '83', 'data_item_imperial', 'Imperial Data Item');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '84', 'data_item_rebel', 'Rebellion Data Item');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '85', 'data_item_unknown', 'Unknown Data Item');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '86', 'datadisk_corrupt', 'Corrupt Datadisk');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '87', 'datapad', 'Datapad');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '88', 'datapad_broken', 'Broken Datapad');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '89', 'de10_barrel', 'DE-10 Pistol Barrel');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '90', 'dead_eye_decoder', 'Dead Eye Decoder');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '91', 'dead_eye_prototype', 'Dead Eye Prototype');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '92', 'decoder_comp_housing', 'Data Reader Housing');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '93', 'decoder_comp_power', 'Power Core');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '94', 'decoder_comp_processor', 'Micro-Processor Core');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '95', 'decoder_comp_reader', 'Optical Reader');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '96', 'decoder_comp_screen', 'Vid Screen');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '97', 'decoder_comp_translation', 'Translation Circuitry');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '98', 'decryptor_broken_s01', 'A Broken Decryptor');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '99', 'default_craftable', 'Default Craftable');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '100', 'default_furniture', 'unknown furniture');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '101', 'dermal_analyzer', 'Dermal Analyzer');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '102', 'disruptor_broken', 'A non-functional Disruptor Beam Cannon');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '103', 'double_bandolier', 'Two-strap Bandolier');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '104', 'droid_customization_kit', 'Droid Customization Kit');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '105', 'emulsion_protector', 'Protective Liquid Coating');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '106', 'encoded_disk_base', 'Encoded Disk');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '107', 'enderine_ore', '');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '108', 'endrine', 'Endrine Ore');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '109', 'feedback_controller', 'Feedback Controller');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '110', 'firework_dud', 'Dud Firework');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '111', 'fishing_bait', 'Fishing Bait');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '112', 'fishing_bait_chum', 'Chum Bait');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '113', 'fishing_bait_grub', 'Grub Bait');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '114', 'fishing_bait_insect', 'Insect Bait');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '115', 'fishing_bait_worm', 'Worm Bait');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '116', 'fishing_marker', 'Fishing Marker');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '117', 'fishing_pole', 'Fishing Pole');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '118', 'flag_corellia', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '119', 'flag_dantooine', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '120', 'flag_dathomir', 'Dathomir');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '121', 'flag_endor', 'Endor');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '122', 'flag_lok', 'Lok');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '123', 'flag_naboo', 'Naboo');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '124', 'flag_rori', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '125', 'flag_talus', 'Talus');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '126', 'flag_tatooine', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '127', 'flag_yavin4', 'Yavin 4');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '128', 'flora_recycler', 'Flora Recycler');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '129', 'flow_analyzer', 'Flow Analyzer Node');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '130', 'force_crystal', 'Force Amplification Crystal');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '131', 'free_resource', 'A Crate Of Free Resources');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '132', 'fs_buff_item', 'a Focused Crystal');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '133', 'fs_mellichae_cyborg_arm', 'a Broken Cyborg Arm');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '134', 'fs_sculpture_1', 'an Aurilian Sculpture Section ( 1 / 4 )');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '135', 'fs_sculpture_2', 'an Aurilian Sculpture Section ( 2 / 4 )');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '136', 'fs_sculpture_3', 'an Aurilian Sculpture Section ( 3 / 4 )');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '137', 'fs_sculpture_4', 'an Aurilian Sculpture Section ( 4 / 4 )');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '138', 'gambling_table', 'Gambling Table');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '139', 'glass_heirloom_s01', 'An Heirloom Drinking Glass');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '140', 'grav_unit_repair_kit', 'Grav Unit Repair Kit');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '141', 'gravestone', 'Gravestone');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '142', 'greeting_card', 'Greeting Card');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '143', 'gungan_lance', 'Broken Gungan Lance');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '144', 'gungan_signet', 'Gungan Signet Earring');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '145', 'harvester_no_power', 'Make a harvester self powered');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '146', 'heirloom_bowl', 'An Engraved Bowl');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '147', 'holocron_dark', 'Sith Holocron');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '148', 'holocron_light', 'Holocron');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '149', 'holocron_splinters_sith_s01', 'Holocron Splinters');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '150', 'huff_quest_borvos_money', 'Borvo\'s money');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '151', 'huff_quest_corsec_badge', 'Corsec badge');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '152', 'huff_quest_top_secret_documents', 'Top secret documents');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '153', 'human_skull', 'A Human Skull');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '154', 'hunt_quest_bol_skull', 'Master Hunter Trophy');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '155', 'hyperdrive_part_s01', 'Hyperdrive Part');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '156', 'imperial_assassin_filler01', 'Food Order Form');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '157', 'imperial_assassin_filler02', 'Alliance Transfer Orders');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '158', 'imperial_assassin_intel', 'Signed Alliance Transport Document');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '159', 'imperial_destroy_filler01', 'Document 56211217.KXYR.170649');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '160', 'imperial_destroy_filler02', 'Alliance Guide for Safeworld Exploration');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '161', 'imperial_destroy_intel', 'Ship Destruct Sequence Codes');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '162', 'imperial_rescue_filler01', 'Purchase Order Form');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '163', 'imperial_rescue_filler02', 'Research Request');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '164', 'imperial_rescue_intel', 'Prisoner Transport Order');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '165', 'impulse_detector_broken', 'Broken Impulse Detector');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '166', 'informant_spawner_easy', 'Easy Informant Spawner');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '167', 'informant_spawner_hard', 'Hard Informant Spawner');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '168', 'informant_spawner_medium', 'Medium Informant Spawner');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '169', 'inkpen_engraved_s01', 'Engraved Ink Pens');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '170', 'insects_rare_s01', 'Preserved Rare Insects');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '171', 'interface_override_device', 'Interface Override Device');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '172', 'interplanetary_survey_droid', 'Interplanetary Survey Droid');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '173', 'inventory', 'Inventory');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '174', 'inventory_filler', 'Inventory Filler');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '175', 'ith_double_bandolier', 'Ithorian Two-strap Bandolier');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '176', 'ith_mercenary_bandolier', 'Ithorian Mercenary Bandolier');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '177', 'ith_multipocket_bandolier', 'Ithorian Multi-pocket Bandolier');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '178', 'ithorian_skull', 'An Ithorian Skull');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '179', 'jawa_beads', 'Jawa Beads');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '180', 'jetpack_base', 'A Jetpack Base');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '181', 'jetpack_ducted_fan', 'A Ducted Fan');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '182', 'jetpack_fuel_dispersion_unit', 'a Fuel Dispersion Unit');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '183', 'jetpack_injector_tank', 'an Injector Tank');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '184', 'jetpack_stabilizer', 'Jetpack Stabilizer');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '185', 'keepsakes', 'Precious Keep-sakes');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '186', 'key_electronic_s01', 'An Electronic Key');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '187', 'krayt_skull', 'A Krayt Dragon Skull');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '188', 'krayt_skull_01', 'Polished Krayt Dragon Skull');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '189', 'large_bones', 'Large Animal Bones');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '190', 'laser_knife', 'Precision Laser Knife');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '191', 'ledger_s01', 'A Ledger');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '192', 'magic_eight_ball', 'Eyes of Mesra');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '193', 'medallion_black_sun_s01', 'A Black Sun Medallion');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '194', 'medallion_dark_jedi_s01', 'A Dark Jedi Medallion');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '195', 'mercenary_bandolier', 'Mercenary Bandolier');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '196', 'message_assembled_base', 'Assembled Message');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '197', 'message_fragment_base', 'Message Fragment');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '198', 'metal_recycler', 'Metal Recycler');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '199', 'microphone', 'Microphone');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '200', 'mission_bag', 'Mission Bag');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '201', 'mission_datadisk', 'Datadisk');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '202', 'mission_terminal', 'Mission Terminal');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '203', 'molecular_clamp', 'Molecular Clamp');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '204', 'moraj_marker', 'A Historical Marker');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '205', 'mt_casserole', 'Special gift casserole');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '206', 'mt_flatbread', 'Special gift flatbread');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '207', 'mt_pie', 'Special gift pie');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '208', 'mt_soup', 'Special gift soup');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '209', 'multipocket_bandolier', 'Multi-pocket Bandoloer');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '210', 'mystical_orb', 'Mystical Orb');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '211', 'mystical_powered_orb', 'Mystical Glowing Orb');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '212', 'navicomp_1', 'Level One Flight Computer Core');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '213', 'navicomp_2', 'Level Two Flight Computer Core');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '214', 'navicomp_3', 'Level Three Flight Computer Core');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '215', 'navicomp_4', 'Level Four Flight Computer Core');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '216', 'navicomp_5', 'Level Five Flight Computer Core');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '217', 'navicomp_6', 'Level Six Flight Computer Core');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '218', 'neutral_assassin_filler01', 'Research Request');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '219', 'neutral_assassin_filler02', 'Purchase Request Form');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '220', 'neutral_assassin_intel', 'Debt List (Gambling)');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '221', 'neutral_destroy_filler01', 'Bounty Hunter Means and Methods: Comparative Psychological Perspectives and Quantifications');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '222', 'neutral_destroy_filler02', 'The Edict of Jiaan');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '223', 'neutral_destroy_intel', 'CorSec Destruction Code Sequences');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '224', 'neutral_rescue_filler01', 'A Galaxy Befuddled by A. Rahring');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '225', 'neutral_rescue_filler02', 'Galactic Phrasebook and Travel Guide');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '226', 'neutral_rescue_intel', 'CorSec Prisoner Transfer Document');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '227', 'nym_filtered_gas', 'A Gas Filter Cannister');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '228', 'nym_hard_drive', 'A Computer Hard Drive');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '229', 'nym_imggc', 'Imperial Military-Grade Grenade Casing');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '230', 'nym_memory_chip', 'A Droid\'s Memory Chip');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '231', 'ore_recycler', 'Ore Recycler');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '232', 'ornamental_sconce', 'An Ornamental Sconce');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '233', 'ostrine', 'Ostrine Ore');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '234', 'output_governor', 'Output Governor');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '235', 'output_regulator', 'Output Regulator');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '236', 'painting_endor_style_01', 'Painting');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '237', 'palm_frond', 'Palm Frond');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '238', 'personal_effects', 'Personal Effects');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '239', 'pet_control_device', 'a pet control device');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '240', 'petrified_egg', 'Petrified Avian Egg');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '241', 'picture_handheld_s01', 'A Recorded Image');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '242', 'picture_handheld_s02', 'A Photographic Image');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '243', 'poi_droid_body', 'A Droid Body');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '244', 'poi_droid_head', 'A Droid Head');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '245', 'power_regulator', 'Power Regulator');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '246', 'probot_droid', 'Arakyd Probe Droid');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '247', 'proclamation_s01', 'An Official Proclamation');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '248', 'readable_datapad', 'Datapad Device');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '249', 'rebel_assassin_filler01', 'Recall Notice');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '250', 'rebel_assassin_filler02', 'Prisoner Transfer Orders');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '251', 'rebel_assassin_intel', 'Imperial Dossier');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '252', 'rebel_destroy_filler01', 'Imperial Memorandum');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '253', 'rebel_destroy_filler02', 'Paid Time Off (PTO) Request');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '254', 'rebel_destroy_intel', 'Ship Preparation Document');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '255', 'rebel_rescue_filler01', 'Imperial Resignation Form');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '256', 'rebel_rescue_filler02', 'Imperial Purchase Order');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '257', 'rebel_rescue_intel', 'Security Override Codes');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '258', 'recon_target', 'Reconnaissance Target');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '259', 'recording_rod_broken', 'Broken Recording Rod');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '260', 'recording_rod_s01', 'A Recording Rod');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '261', 'relic_gbb_chemical_tab', 'Chemical Ampule');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '262', 'relic_gbb_data_tab', 'Data Device');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '263', 'relic_gbb_honey_carafe', 'Royal Honey Carafe');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '264', 'relic_gbb_ration_kit', 'A pack of Geonosian Rations.');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '265', 'relic_gbb_small_ball', 'Small Ball');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '266', 'relic_gbb_spice_container', 'Spice Container');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '267', 'relic_gbb_tech_kit', 'Geonosian Technical Kit');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '268', 'repaired_grav_unit', '100 GU Grav Unit');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '269', 'roulette_table', 'Jubilee Wheel');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '270', 'rudic', 'Rudic Ore');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '271', 'saber_inventory', 'Lightsaber Crystals');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '272', 'sandstat_broken', 'Broken Sandstat');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '273', 'sean_campaign_disk', 'Campaign Disk');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '274', 'sean_history_disk', 'Damaged Disk');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '275', 'sean_questn_alog', 'Accountant\'s Log');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '276', 'sean_questn_gpapers', 'Graded Papers');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '277', 'sean_questn_tdisk', 'A terminal disk');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '278', 'sean_questp_ctestimony', 'Curator\'s Testimony');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '279', 'sean_questp_htestimony', 'Housemaid\'s Testimony');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '280', 'sean_questp_mdisk', 'Merchant\'s Disk');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '281', 'seeker_droid', 'Seeker Droid');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '282', 'shellfish_harvester', 'Shellfish Harvesting Tool');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '283', 'shisa_decorative_s01', 'A Decorative Shisha');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '284', 'slave_collar', 'Slave Collar');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '285', 'slot_machine', 'Lugjack Machine');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '286', 'smooth_stone', 'Smooth Stone');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '287', 'socket_gem', 'Skill-Enhancing Attachment');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '288', 'socket_gem_armor', 'Armor Attachment');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '289', 'socket_gem_clothing', 'Clothing Attachment');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '290', 'spawn_egg', 'Spawn Egg');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '291', 'speaker', 'Speaker');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '292', 'speaker_s01', 'A Loudspeaker');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '293', 'spectrum_recorder', 'Spectrum Recorder');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '294', 'sports_award_s01', 'An Award for Sporting Excellence');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '295', 'squill_skull', 'A squill skull');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '296', 'survey_tool_all', 'Complete Resource Survey Tool');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '297', 'survey_tool_gas', 'Gas Pocket Survey Device');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '298', 'survey_tool_inorganic', 'Inorganic Survey Device');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '299', 'survey_tool_liquid', 'Chemical Survey Device');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '300', 'survey_tool_lumber', 'Flora Survey Tool');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '301', 'survey_tool_mineral', 'Mineral Survey Device');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '302', 'survey_tool_moisture', 'Water Survey Device');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '303', 'survey_tool_organic', 'Organic Survey Device');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '304', 'survey_tool_solar', 'Ambient Solar Energy Surveying Tool');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '305', 'survey_tool_wind', 'Wind Current Surveying Tool');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '306', 'taloscope_broken', 'Broken Meson Taloscope');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '307', 'test_barrel_a', 'Barrel');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '308', 'test_barrel_b', 'Barrel');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '309', 'test_pastry', 'Pastry');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '310', 'test_terminal', 'Terminal');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '311', 'thune_skull', 'A Thune Skull');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '312', 'ticket_collectors_item_s01', 'A used ticket');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '313', 'ticket_expired', 'Expired Travel Ticket');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '314', 'toxic_rations', 'Toxic Rations');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '315', 'transport', 'A Transport ');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '316', 'transport_door', 'Transport Door');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '317', 'transport_strut_a', 'Strut');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '318', 'transport_strut_b', 'Strut');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '319', 'transport_strut_c', 'Strut');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '320', 'trap_drowsy_dart', 'Lecepanine Dart');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '321', 'trap_enraging_spur', 'Sharp Bone Spur');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '322', 'trap_flash_bomb', 'Flash Bomb');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '323', 'trap_melee_def_1', 'Wire Mesh Trap');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '324', 'trap_melee_ranged_def_1', 'Glow-Wire Trap');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '325', 'trap_noise_maker', 'Noise Maker');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '326', 'trap_ranged_def_1', 'Glow-Juice Trap');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '327', 'trap_sonic_pulse', 'Sonic Pulse');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '328', 'trap_state_def_1', 'Stink Bomb');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '329', 'trap_tranq_dart', 'Phecnacine Dart');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '330', 'trap_webber', 'Adhesive Mesh');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '331', 'treasure_map_base', 'Treasure Map');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '332', 'treasure_map_hedon', 'Ancient Holo Map');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '333', 'tusken_head', 'Tusken Head');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '334', 'unidentified_survey_tool', 'unknown type survey tool');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '335', 'valarian_dagger', 'Valarian Dagger');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '336', 'vehicle_customization_kit', 'Vehicle Customization Kit');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '337', 'veteran_emotes_1', '15 special emotes');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '338', 'veteran_reward_antidecay', 'Anti Decay Kit');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '339', 'victor_campaign_disk', 'Campaign Disk');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '340', 'victor_questn_dseal', 'Document with Seal');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '341', 'victor_questn_hlist', 'Hit List');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '342', 'victor_questn_journal', 'Journal');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '343', 'victor_questp_jregistry', 'Job Registry');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '344', 'victor_questp_receipt', 'Receipt');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '345', 'victor_questp_testimony', 'Testimony');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '346', 'viewscreen_broken', 'Broken Hand-Held Viewscreen');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '347', 'viewscreen_s1', 'A viewscreen');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '348', 'viewscreen_s2', 'A tarnished viewscreen');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '349', 'voritor_skull', 'A Voritor Lizard Skull');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '350', 'waypoint', 'Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '351', 'weapon_upgrade_kit', 'Weapon Upgrade Kit');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '352', 'wind_crystal', 'Wind Crystal Energy');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '353', 'work_light', 'Work light');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '354', 'zicx_bug_jar', 'A Jar of Zicx Bugs');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '355', 'zicx_calling_card', 'Goru Rainstealer\'s calling card');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '356', 'zicx_sarlacc_bile', 'A Jar of Sarlacc Bile');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '357', 'zicx_spice_jar', 'Specially Processed Spice');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '358', 'syren1_spice_sample', 'A Spice Sample');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '359', 'starmap_box', 'Ornate Box');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '360', 'starmap_piece', 'Torn Star Map');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '361', 'syren1_locked_datapad', 'A Heavily Encrypted Datapad');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '362', 'syren1_warning', 'Datapad From Corpse');
INSERT INTO `client_strings` VALUES ('string/en/item_n.stf', '363', 'syren2_datapad', 'A Black Sun Member\'s Datapad');
INSERT INTO `client_strings` VALUES ('string/en/jabbacraftone.stf', '1', 'jvc1', 'I have some supplies that I need manufactured. Are you worthy of doing so?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabbacraftone.stf', '2', 'jvc2', 'What kind of supplies?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabbacraftone.stf', '3', 'jvc3', 'Yes, most humble Jabba.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabbacraftone.stf', '4', 'jvc4', 'My gammorean guards have a tendency to break their axes, considering the zealoutry with which they carry out their functions.  I need more of them made as soon as possible.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabbacraftone.stf', '5', 'jvc5', 'I\'ll get right on it.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabbacraftone.stf', '6', 'jvc6', 'How many do you need?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabbacraftone.stf', '7', 'jvc7', '50, for now.  Do you think you can handle acquiring those?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabbacraftone.stf', '8', 'jvc8', 'I\'ll get right on that myself.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabbacraftone.stf', '9', 'jvc9', 'I have a friend who specializes in that kind of thing.  I\'ll get him to work right away.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabbacraftone.stf', '10', 'jvc10', 'Excellent.  When the axes arrive I will make sure you are rewarded.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabbacraftone.stf', '11', 'jvc11', 'Good.  I need 50 axes for my gammorean guards right away.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabbacraftone.stf', '12', 'jvc12', 'I\'ll get on it myself.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabbacraftone.stf', '13', 'jvc13', 'I have a friend who specializes in that kind of thing.  I\'ll get you those axes.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabbacrafttwo.stf', '1', 'jvc14', 'My associates are running short on supplies.  Are you capable of manufacturing some things for me? \n');
INSERT INTO `client_strings` VALUES ('string/en/jabbacrafttwo.stf', '2', 'jvc15', 'Yes. What kind of supplies?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabbacrafttwo.stf', '3', 'jvc16', 'Not me, but I think know someone who can. What do you need?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabbacrafttwo.stf', '4', 'jvc17', 'Many of my smugglers are in need of blasters.  They\'re becoming difficult to acquire with the Empire being more stringent.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabbacrafttwo.stf', '5', 'jvc18', 'I\'ll get right on it.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabbacrafttwo.stf', '6', 'jvc19', 'How many do you need?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabbacrafttwo.stf', '7', 'jvc20', 'I need 50.  Do you think you can handle acquiring those?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabbacrafttwo.stf', '8', 'jvc21', 'I\'ll get right on that myself.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabbacrafttwo.stf', '9', 'jvc22', 'I have a friend who specializes in that kind of thing.  I\'ll get him to work right away.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabbacrafttwo.stf', '10', 'jvc23', 'Excellent.  When the blasters arrive I\'ll make sure you are rewarded handsomely.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabbacrafttwo.stf', '11', 'jvc24', 'Great!  I need 50 blasters as soon as possible.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabbacrafttwo.stf', '12', 'jvc25', 'I\'ll get right on that myself.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabbacrafttwo.stf', '13', 'jvc26', 'I have a friend who specializes in that kind of thing.  I\'ll get you those blasters.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_1.stf', '1', 'jab01', 'Ah... new scum. I can put you to work right away... if you\'re not a coward.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_1.stf', '2', 'gp01', 'The Great Jabba bids you welcome. He is very impressed with your abilities, and asks if you would perform a simple task for him.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_1.stf', '3', 'jab02', 'So, fool - have you learned respect? Are you ready to work for me?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_1.stf', '4', 'gp02', 'The Mighty Jabba welcomes you again and asks if you are now ready for work.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_1.stf', '5', 'pl01', 'Yes, I am ready.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_1.stf', '6', 'pl02', 'No. I am not ready yet.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_1.stf', '7', 'jab03', 'Good. You will travel to a safe-house in the Dune Sea. There you will find the human called Scrib Leras. He used to be a bookkeeper for my long-time enemy, Lady Valarian. He has decided to work me now.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_1.stf', '8', 'gp03', 'His Greatness asks that you travel to the Dune Sea and retrieve a human named Scrib Leras. Convey him safely to the palace and you will be rewarded.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_1.stf', '9', 'jab04', 'WHAT! Insolent bantha fodder! You ARE ready. Go to our safe-house in the Dune Sea. Find the human Scrib Leras and bring him to me. He was once the bookkeeper for Lady Valarian - an old enemy of mine.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_1.stf', '10', 'gp04', 'But Jabba insists that you do this favor. And, I beg you to comply. Go to the Dune Sea, find the safe-house and retrieve a human named Scrib Leras. Bring him back to the palace... please!\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_1.stf', '11', 'pl03', 'I will find Scrib Leras for you. Goodbye.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_1.stf', '12', 'pl04', 'Maybe you didn\'t hear me. I\'m not interested.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_1.stf', '13', 'pl05', 'Who is Lady Valarian?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_1.stf', '14', 'pl06', 'What does the all-powerful Jabba want with a bookkeeper?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_1.stf', '15', 'jab05', 'I will be surprised if this ignorant fool survives the trip...\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_1.stf', '16', 'gp05', 'The Mighty Jabba wishes you fair weather and good fortune on your quest. And please do return with haste!\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_1.stf', '17', 'jab06', 'I heard you, moron. Now get out of here! Come back when you\'ve learned some respect!\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_1.stf', '18', 'gp06', 'Jabba respects your decision, and asks that you leave now and return when you are better prepared.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_1.stf', '19', 'jab07', 'Lady Valarian thinks she has a great criminal mind and that one day she will overtake this palace and put me to death. In truth, she is an arrogant coward... nothing more than a deluded parasite.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_1.stf', '20', 'gp07', 'Lady Valarian is an enemy of the Hutts. She plots to overthrow Jabba someday - but Jabba is not concerned. She does not have the power to damage our operations on Tatooine... or anywhere else.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_1.stf', '21', 'jab08', 'Scrib Leras the bookkeeper ran to the Hutts when Valarian put a death mark on his head. It would appear that he knows something important. If he does not - then we\'ll throw him back to Valarian... as one throws a bone to a Narglatch.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_1.stf', '22', 'gp08', 'The Great Jabba believes that this bookkeeper may have important information about Valarian\'s activities - since he came to our Hutt friends for sanctuary. Should he have valuable information, we want it. Otherwise, we have no need of him.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_1.stf', '23', 'pl07', 'Why did Valarian put a death mark on his head?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_1.stf', '24', 'pl08', 'Why would the bookkeeper run to the Hutts for protection?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_1.stf', '25', 'jab09', 'I hear that this bookkeeper made an accounting error that cost Valarian four or five credits. She put a death mark on him because she confuses leadership with villainy. She will never inspire people as I do.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_1.stf', '26', 'gp09', 'The bookkeeper Scrib Leras made an error that cost Valarian a great deal of hardship. She is incapable of forgiveness - and thus the death mark was given. This shows how inferior she is when compared to the all-powerful Jabba.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_1.stf', '27', 'jab10', 'You think he would run to the Empire?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_1.stf', '28', 'gp10', 'Only the Hutts can offer reliable protection here on Tatooine. Out in the open, Scrib Leras would be immediately arrested by the Empire and sent to work in the mines... or worse.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_1.stf', '29', 'jh_aq129', 'Blast! That bookkeeper must be more valuable than I originally believed. Vurs Kavak is an interrogator - the most vile extractors in the Outer Rim. Go to Kavak\'s location, liberate the bookkeeper and await further instructions!\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_1.stf', '30', 'jh_aq130', 'Go to Vurs Kavak\'s location, free the bookkeeper and await further instructions!\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_1.stf', '31', 'jh_aq131', 'It is too dangerous for you to bring Scrib Leras to the palace. I will send a transport to your location. Protect him if Valarian\'s soldiers show up.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_1.stf', '32', 'jh_aq132', 'The all-powerful Jabba no longer wishes you to bring Scrib Leras back to the palace. He will send a transport to your location, instead. Protect him from Valarian\'s soldiers if they find you.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_1.stf', '33', 'jh_aq133', 'We will hide Scrib Leras at your association hall on <Planet Name>. Go there now! When he arrives, you and your comrades must protect him until I send further instructions. If I know Valarian she will send MOST of her forces to recapture this little snake...\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_1.stf', '34', 'jh_aq134', 'Great Jabba wishes that you go to your association hall on <Planet Name> and wait for Scrib Leras to arrive. There, we will hide him - while you defend him against attack from Valarian\'s enforcers. Jabba bids you make haste to your association hall.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_1.stf', '35', 'jh_aq135', 'Your contact is waiting outside!\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_1.stf', '36', 'jh_aq136', 'Oh dear! Hide me, please! We were followed on our way here. A huge gang of Valarian\'s thugs are coming right now!\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_1.stf', '37', 'jh_aq137', 'What a vicious display of combat prowess! Valarian\'s losses are legendary! Bib Fortuna was right, you are truly my kind of scum. For this accomplishment, you and your friends will be awarded a RANCOR PIT! Return to the palace when you can and I will give you more lucrative tasks.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_1.stf', '38', 'jh_aq138', 'The Mighty Jabba is very impressed! For your trouble, you have been awarded a RANCOR PIT that may be installed in your association hall. Jabba hopes that it serves you well, and he bids you return to the palace when you are interested in more work.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '1', 'jaq1', 'My henchmen seem to have problems working together so you will put your own team together to work my next task.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '2', 'jaq2', 'I can do that.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '3', 'jaq3', 'What is my next mission?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '4', 'jaq4', 'Lady Valarian has acquired a valuable Rantok Sword, and I will possess it.  Go see Belshu Dadar at the Mos Eisley Cantina for more information.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '5', 'jaq5', 'Yes, Lord Jabba.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '6', 'jaq6', 'Do you know where the sword is?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '7', 'jaq7', 'That is why I\'m sending you to see Belshu.  He knows more about the sword.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '8', 'jaq8', 'Yes, Gracious Master.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '9', 'jaq9', 'I need time to put my team together.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '10', 'jaq10', 'Then come back when you have them gathered.  Careful that you don\'t waste too much time.  If I don\'t get my hands on that blade I will be very disappointed.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '11', 'jaq11', 'So, you\'re Jabba\'s new errand boy, eh?  What do you need to know?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '12', 'jaq12', 'I need to know where Valarian\'s keeping this Rantok sword.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '13', 'jaq13', 'What do you know about Valarian\'s security?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '14', 'jaq14', 'I don\'t know exactly where the sword is, but I know someone who might.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '15', 'jaq15', 'Who would know such things?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '16', 'jaq16', 'What do you know about Valarian\'s security?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '17', 'jaq17', 'There\'s a slicer in Mos Eisley named Sliv Jurek.  He owns Jurek Security.  He may have some ideas about where the sword is.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '18', 'jaq18', 'Why would he know?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '19', 'jaq19', 'What do you know about Valarian\'s security?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '20', 'jaq20', 'He helped her put together some of her security countermeasures, so he probably knows where she\'d keep such a thing.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '21', 'jaq21', 'What do you know about Valarian\'s security?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '22', 'jaq22', 'Ok.  I\'ll go see him.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '23', 'jaq23', 'I know that Sliv is probably the guy she hired to install it, so he\'s the man to see.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '24', 'jaq24', 'You must be Bib Fortuna\'s friend.  I\'ve heard about you.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '25', 'jaq25', 'Well, how bout you do me a favor then?');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '26', 'jaq26', 'What do you know about Valarian\'s security?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '27', 'jaq27', 'Don\'t assume just because you\'re Bib\'s friend you get free advice.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '28', 'jaq28', 'I am working for Bib Fortuna...\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '29', 'jaq29', 'True enough.  How bout we work out a deal?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '30', 'jaq30', 'Tell you what, you slip me, say a hundred credits, and I\'ll tell you everything you ever wanted to know about Valarian\'s security.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '31', 'jaq31', 'A hundred?!?  How bout ten?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '32', 'jaq32', 'Sure thing.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '33', 'jaq33', 'Ten?  I could get eighty for it by just grabbing the next guy off the street.  Make it 75.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '34', 'jaq34', 'Grab a guy off the street then, cause I\'m not giving you more than 20.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '35', 'jaq35', '75 it is.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '36', 'jaq36', 'Shrewd businessman that you are, I\'ll make you a deal.  Everything I know for 50.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '37', 'jaq37', 'I can go as high as 30.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '38', 'jaq38', 'For 50 you\'ve got a deal.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '39', 'jaq39', 'Sorry, I\'m not going any lower than that.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '40', 'jaq40', 'Fine, I\'ll come back when you\'ve come to your senses.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '41', 'jaq41', 'Ok, ok, here\'s 50.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '42', 'jaq42', 'Do you want to do business or do you want to argue?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '43', 'jaq43', 'Ok, let\'s do some business.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '44', 'jaq44', 'Let\'s argue.  How bout you tell me what I want to know or I\'ll kill you.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '45', 'jaq45', 'Ok, what would you like to know?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '46', 'jaq46', 'What do you know about Valarian\'s security?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '47', 'jaq47', 'Do you know where Valarian is keeping the Rantok sword?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '48', 'jaq48', 'I know that Valarian recently ordered enough components to put together two brand new turrets for base defense.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '49', 'jaq49', 'Just two?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '50', 'jaq50', 'What else?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '51', 'jaq51', 'Two is plenty to rip a team of thieves to ribbons.  Besides, that won\'t be the only thing stopping you.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '52', 'jaq52', 'How can I get past the security?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '53', 'jaq53', 'What else?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '54', 'jaq54', 'You\'d better take a damn good slicer with you, I know that for sure.  She has a tendency to use lower level security on the crates but the turrets will require top notch slicing.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '55', 'jaq55', 'Why use the lower level security on the crates?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '56', 'jaq56', 'What else?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '57', 'jaq57', 'She likes to let the thieves get in, boost their confidence, and then gun them down with the turrets.  Cuts down on repeat customers that way.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '58', 'jaq58', 'Sounds evil.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '59', 'jaq59', 'What else?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '60', 'jaq60', 'Oh, she is.  And you\'d better believe there will be guards around, making sure that if you do try to hack the turrets it won\'t be without distractions.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '61', 'jaq61', 'Do you know where Valarian is keeping the Rantok sword?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '62', 'jaq62', 'Anything else?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '63', 'jaq63', 'Guards, electronic countermeasures, the turrets, you name it, she\'s bought it.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '64', 'jaq64', 'No, but I can tell you exactly who will.  A wookiee named Daracca is the guy you\'d take to appraise that too.  I\'ll bet she dragged him out there to check it out, wherever it is.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '65', 'jaq65', 'Where can I find this Daracca?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '66', 'jaq66', 'I\'d say we\'re pretty much done talking now.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '67', 'jaq67', 'Daracca hangs out at the Rockribbon Cantina in Mos Espa.  He\'s very into the dancers there.  If he\'s not around try his friend Cora, she may know where he is.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '68', 'jaq68', 'So you\'re looking for Daracca?  He\'s a nice enough fellow.  Always eager to impress us.  He tells us lots of things.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '69', 'jaq69', 'Do you know where I can find him?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '70', 'jaq70', 'What kinds of things?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '71', 'jaq71', 'Not so fast, hot stuff.  Daracca\'s off planet for a while, but I probably have the information you\'re looking for if you want to trade.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '72', 'jaq72', 'What would you like to trade?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '73', 'jaq73', 'Do you know where Valarian might be keeping a Rantok sword?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '74', 'jaq74', 'I need someone to retrieve something very valuable for me.  Daracca would normally do it, but like I said, he\'s out of the loop.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '75', 'jaq75', 'What is this item?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '76', 'jaq76', 'You want me to do your dirty work?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '77', 'jaq77', 'It\'s a necklace that\'s very special to me.  A bith stole it from me last night, and I need someone to get it back for me.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '78', 'jaq78', 'Where can I find this bith?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '79', 'jaq79', 'Why would this bith steal your necklace?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '80', 'jaq80', 'He usually hangs out down by Fasser\'s Pawn shop.  He\'ll probably be trying to sell my necklace as soon as he gets up the nerve.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '81', 'jaq81', 'All right, I\'ll bring you the necklace and you tell me what you know.  Deal?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '82', 'jaq82', 'I have enough jobs already.  I don\'t need another one.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '83', 'jaq83', 'Good enough for me, sweetie.  See you soon.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '84', 'jaq84', 'Well, he tells me where he goes, who he sees, where certain people keep certain things.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '85', 'jaq85', 'Like, maybe where Valarian might keep a stolen Rantok sword?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '86', 'jaq86', 'Sounds like Daracca\'s quite the talker.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '87', 'jaq87', 'Yeah, I know that one.  You want to find out for yourself then you have to do me a favor.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '88', 'jaq88', 'What kind of a favor?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '89', 'jaq89', 'I\'ve had enough of doing people favors.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '90', 'jaq90', 'Well, then you can find out what you want on your own can\'t you?  See you later.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '91', 'jaq91', 'Don\'t think of it as dirty work, honey, think of it as the necessary means to an end.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '92', 'jaq92', 'Ok, what\'s the item?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '93', 'jaq93', 'Sounds like dirty work to me.  I\'m not interested.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '94', 'jaq94', 'He\'s a failed musician.  He keeps coming around here trying to get a job, but he\'s terrible!  So he hates everyone here.  He was looking for a little revenge.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '95', 'jaq95', 'How did he get the necklace?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '96', 'jaq96', 'Where can I find this bith?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '97', 'jaq97', 'He punched me in the face last night as I was heading home.  Snatched if off my neck and ran off.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '98', 'jaq98', 'What a jerk!\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '99', 'jaq99', 'Where can I find this bith?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '100', 'jaq100', 'Tell me about it.  So can you help a girl out?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '101', 'jaq101', 'I\'ve had enough of doing people favors.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '102', 'jaq102', 'Where can I find this Bith?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '103', 'jaq103', 'Well, he likes to impress people, like I said.  Especially us dancers.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '104', 'jaq104', 'How can I help out?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '105', 'jaq105', 'What do you want?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '106', 'jaq106', 'I just want to talk to you.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '107', 'jaq107', 'Where\'s Cora\'s necklace?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '108', 'jaq108', 'What could we possibly have to talk about?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '109', 'jaq109', 'Oh, this and that.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '110', 'jaq110', 'How bout we discuss Cora\'s necklace?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '111', 'jaq111', 'How bout we discuss how much pain I\'m going to cause you!\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '112', 'jaq112', 'Thank you.  All right.  Daracca told me where he was examining the sword, and that that\'s where she\'s keeping it.  I hope you\'re not planning on breaking in alone.  I\'ll add the location to your datapad.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '113', 'jaq113', 'Thanks for your help.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '114', 'jaq114', 'Don\'t worry about me.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '115', 'jaq115', 'Handling a bith musician is one thing, and don\'t think I don\'t appreciate it, but Valarian\'s compound is something else entirely.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '116', 'jaq116', 'I have friends.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '117', 'jaq117', 'I\'m not worried.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '118', 'jaq118', 'Be sure to take them with you.  It\'d be dangerous otherwise, and I think I\'m starting to like you.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '119', 'jaq119', 'Aw...shucks.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '120', 'jaq120', 'Thanks for the warning.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '121', 'jaq121', 'Well, just be careful, that\'s all.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_2.stf', '122', 'jaq122', 'You\'ve done very well!  Very well indeed!  My retainers have prepared a special gift for you on this fine occasion.  This statue will link you to us here at the palace.  You can place it in your Association Hall, or your home, and use it to find work at any time, day or night.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_3.stf', '1', 'jaq3_2', 'There are sensitive matters to discuss.  Meet me in my private chambers.  Here is the access code.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_3.stf', '2', 'jaq3_3', 'I\'ll be right there.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_3.stf', '3', 'jaq3_4', 'Not right now.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_3.stf', '4', 'jaq3_5', 'Do not waste my time.  Return to me when you are ready for a very important job.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_3.stf', '5', 'jaq3_6', 'You were slow. Come quicker next time.  Are you ready for an important mission?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_3.stf', '6', 'jaq3_7', 'Yes.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_3.stf', '7', 'jaq3_8', 'Not right now.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_3.stf', '8', 'jaq3_9', 'You fool!  Valarian\'s spy must not suspect you are working for me.  Go!\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_3.stf', '9', 'jaq3_11', 'There is a spy in the Palace working for Lady Valarian. Find out who it is.  You are to go to work for Lady Valarian.  Tell her you are not happy with the Hutts.  Do what you must to earn her trust, and find the identity of this spy.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_3.stf', '10', 'jaq3_12', 'Ok\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_3.stf', '11', 'jaq3_13', 'How do I convince her to trust me?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_3.stf', '12', 'jaq3_14', 'I need some time to prepare before I can take this mission for you.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_3.stf', '13', 'jaq3_15', 'Do not waste time.  Return to me in the main Audience chamber when you are ready then.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_3.stf', '14', 'jaq3_16', 'Take an Imperial Patrol schedule to her and tell her that you stole it from me.  Then do whatever she asks of you.  Make her believe you are loyal to her.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_3.stf', '15', 'jaq3_17', 'Ok.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_3.stf', '16', 'jaq3_18', 'Where can I get an Imperial Patrol Schedule?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_3.stf', '17', 'jaq3_19', 'I will give you the coordinates of an Imperial Patrol.  Ambush them and take their schedule to Lady Valarian.  Now go!\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_3.stf', '18', 'jaq3_21', 'What do you want?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_3.stf', '19', 'jaq3_22', 'I have a special delivery for Lady Valarian.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_3.stf', '20', 'jaq3_23', 'Nothing.  Nevermind.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_3.stf', '21', 'jaq3_24', 'Then get away from here before we shoot you.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_3.stf', '22', 'jaq3_25', 'Then take it to her immediately.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_3.stf', '23', 'jaq3_27', 'My Enforcer says you have a special delivery for me, but I know that you work for Jabba the Hutt.  So what is it?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_3.stf', '24', 'jaq3_28', 'I don\'t work for Jabba any more.  I want to work for you.  As a token of good faith, I stole this Imperial Patrol Schedule from Jabba to give to you.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_3.stf', '25', 'jaq3_29', 'I have an Imperial Patrol Schedule for you.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_3.stf', '26', 'jaq3_30', 'This is useful, no doubt.  But why would Jabba send this to me?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_3.stf', '27', 'jaq3_31', 'He didn\'t.  I stole it for you.  I don\'t work for Jabba any more.  I want to work for you.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_3.stf', '28', 'jaq3_32', 'That\'s very bold of you, to steal from Jabba.  Then I have a mission for you if you want to work for me.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_3.stf', '29', 'jaq3_33', 'I\'ll do it.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_3.stf', '30', 'jaq3_34', 'What\'s the mission?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_3.stf', '31', 'jaq3_35', 'I am expecting a shipment to land... out in the desert away from prying eyes.  But sandpeople might attack the shipment out there.  You go there and ensure that the shipment is safe while my people transfer it from the ship to their transport.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_3.stf', '32', 'jaq3_37', 'Soon as that ship lands, we\'ll start transferring the cargo.  You keep an eye out for sandpeople!\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_3.stf', '33', 'jaq3_39', 'Excellent!  You protected the shipment.  You deserve this reward.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_3.stf', '34', 'jaq3_40', 'Thanks!\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_3.stf', '35', 'jaq3_41', 'Is there anything else I can do for you?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_3.stf', '36', 'jaq3_42', 'I have a dangerous mission for you, if you think you can handle it.  I want you to abuse Jabba\'s trust to acquire Notsub shipping information from him.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_3.stf', '37', 'jaq3_43', 'Leave it to me.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_3.stf', '38', 'jaq3_44', 'Couldn\'t I steal it from Notsub shipping instead?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_3.stf', '39', 'jaq3_45', 'Don\'t be foolish.  If you steal it from Notsub shipping, they\'ll change their schedule.  Jabba has managed to steal the information without them knowing about it.  Besides, he trusts you.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_3.stf', '40', 'jaq3_46', 'I see your point.  Leave it to me.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_3.stf', '41', 'jaq3_47', 'No time to waste, then.  On your way!\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_3.stf', '42', 'jaq3_49', 'I hear you are to steal some shipping information from me.  Excellent!  I\'ll make it easy for you.  I\'m sending you the coordinates of some expendable men I\'ve sent outside the palace with the information.  You can dispose of them for me, and take the shipping information for Valarian so that she will trust you more.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_3.stf', '43', 'jaq3_50', '');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_3.stf', '44', 'jaq3_51', 'Fantastic!  Jabba is a fool to let someone as talented as you are slip away from him!\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_3.stf', '45', 'jaq3_52', 'Yes, I am quite good.  Here\'s the shipping information.  Anything else I can do?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_3.stf', '46', 'jaq3_53', 'Nothing to it.  Here\'s the shipping information.  Anything else I can do?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_3.stf', '47', 'jaq3_54', 'Yes, I feel I can trust you with a very important mission.  I have a spy in Jabba\'s Palace.  Go there and he will contact you.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_3.stf', '48', 'jaq3_56', 'Find out who the spy is and bring me the information he has stolen.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_3.stf', '49', 'jaq3_58', 'You are the man Valarian sent.  Here, take this information back to her.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_3.stf', '50', 'jaq3_60', 'Where are you going?  I told you to bring that data to me.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_3.stf', '51', 'jaq3_61', 'What\'s this, a trick?  This disc is blank!  The fool must have given you the wrong one.  Go back and get the right disc this time!\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_3.stf', '52', 'jaq3_63', 'So, you have discovered who the spy is.  Well done.  I think it\'s time for our unwelcome visitor to take a ride on the Sail Barge.  Get aboard the Sail Barge if you want to see what happens to those who cross me.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_3.stf', '53', 'jaq3_64', 'It is time to go for a ride on the Sail Barge!\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_3.stf', '54', 'jaq3_66', 'Attention please!  The Majestic Jabba the Hutt would like to announce his great pleasure with the accomplishments of one of his most trusted and distinguished colleagues.  And his fearsome displeasure with the SPY in our midst.\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_3.stf', '55', 'jaq3_67', 'A spy!\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_3.stf', '56', 'jaq3_68', 'Who would dare to spy on Jabba?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_3.stf', '57', 'jaq3_69', 'Amazing!  A spy in Jabba\'s Palace!?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_3.stf', '58', 'jaq3_70', 'Jabba wishes for you to now reveal to all assembled, who is this foolish spy?\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_3.stf', '59', 'jaq3_71', 'You will die now!  Throw him into the Sarlacc pit!\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_3.stf', '60', 'jaq3_72', 'No! No!  It\'s not true!\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_3.stf', '61', 'jaq3_73', 'Shoot him!\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_3.stf', '62', 'jaq3_74', 'Jabba commands that you shoot the spy... knocking.... Knocking him into the pit!\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_advanced_quest_3.stf', '63', 'jaq3_75', 'Back to the Palace!\n');
INSERT INTO `client_strings` VALUES ('string/en/jabba_veteran_combat.stf', '1', 'JCM1_1', 'An Imperial Officer is in deep with me due to some gambling debts that he has acquired.  I want you to collect the money or use him as a message.  It\'s your choice.');
INSERT INTO `client_strings` VALUES ('string/en/jabba_veteran_combat.stf', '2', 'JCM1_2', 'Who is this officer?');
INSERT INTO `client_strings` VALUES ('string/en/jabba_veteran_combat.stf', '3', 'JCM1_3', 'Where can I find him?');
INSERT INTO `client_strings` VALUES ('string/en/jabba_veteran_combat.stf', '4', 'JCM1_4', 'How much does he owe you?');
INSERT INTO `client_strings` VALUES ('string/en/jabba_veteran_combat.stf', '5', 'JCM1_6', 'The fool\'s name is Andrew Herk.  He\'s a lieutenant in the Imperial Navy.');
INSERT INTO `client_strings` VALUES ('string/en/jabba_veteran_combat.stf', '6', 'JCM1_7', 'Somewhere on Dantooine.  He\'s investigating a rebel base that used to be there.  Make sure he understands that if he doesn\'t pay up now, he forfeits his life to me.');
INSERT INTO `client_strings` VALUES ('string/en/jabba_veteran_combat.stf', '7', 'JCM1_8', 'About 1000 credits.  I want the money or his life.  I leave that choice to you.');
INSERT INTO `client_strings` VALUES ('string/en/jabba_veteran_combat.stf', '8', 'JCM1_13', 'There is a strict penalty for disloyalty among my staff.  You are to take care of a discipline problem that I\'m having.');
INSERT INTO `client_strings` VALUES ('string/en/jabba_veteran_combat.stf', '9', 'JCM1_14', 'Who is the target?');
INSERT INTO `client_strings` VALUES ('string/en/jabba_veteran_combat.stf', '10', 'JCM1_15', 'Where can I find him?');
INSERT INTO `client_strings` VALUES ('string/en/jabba_veteran_combat.stf', '11', 'JCM1_16', 'What did he do?');
INSERT INTO `client_strings` VALUES ('string/en/jabba_veteran_combat.stf', '12', 'JCM1_18', 'His name is Sl\'ekyinn.  An abyssin smuggler who\'s been working for me off and on for the last few months.');
INSERT INTO `client_strings` VALUES ('string/en/jabba_veteran_combat.stf', '13', 'JCM1_19', 'He is hiding out on Borleias with his rebel friends, trying to avoid me.');
INSERT INTO `client_strings` VALUES ('string/en/jabba_veteran_combat.stf', '14', 'JCM1_20', 'He decided to deliver his cargo to the rebels instead of bringing it to me as he should have. Now he must learn the price of doublecrossing a Hutt.');
INSERT INTO `client_strings` VALUES ('string/en/jabba_veteran_combat.stf', '15', 'JCM1_5', 'Ok, I\'ll take care of this guy.');
INSERT INTO `client_strings` VALUES ('string/en/jabba_veteran_combat.stf', '16', 'JCM1_9', 'Good.  You will be paid upon your return.');
INSERT INTO `client_strings` VALUES ('string/en/jabba_veteran_combat.stf', '17', 'JCM1_10', 'Congratulations.  You have once again served me well.  Here is your reward.');
INSERT INTO `client_strings` VALUES ('string/en/jabba_veteran_combat.stf', '18', 'JCM1_11', 'Thank you, Gracious Lord Jabba.');
INSERT INTO `client_strings` VALUES ('string/en/jabba_veteran_combat.stf', '19', 'JCM1_12', 'Perhaps you can come back later and I\'ll have more work for you.');
INSERT INTO `client_strings` VALUES ('string/en/jawa_trader.stf', '1', 'greeting', '...');
INSERT INTO `client_strings` VALUES ('string/en/jawa_trader.stf', '2', 'cant_understand', 'You do not understand what this Jawa is saying.');
INSERT INTO `client_strings` VALUES ('string/en/jawa_trader.stf', '3', 'understand', 'Your skill in understanding languages allows you to decipher what this Jawa is saying.');
INSERT INTO `client_strings` VALUES ('string/en/jawa_trader.stf', '4', 'greeting_thought_01', 'It seems that this Jawa is interested in buying assorted goods and is willing to pay pretty good prices for them. Maybe I have something that he would be willing to buy. I wonder if I should take him up on his offer?');
INSERT INTO `client_strings` VALUES ('string/en/jawa_trader.stf', '5', 'trade', '...');
INSERT INTO `client_strings` VALUES ('string/en/jawa_trader.stf', '6', 'yes', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/jawa_trader.stf', '7', 'no', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/jawa_trader.stf', '8', 'start_trading', 'He is going to look at what I have to sell and see if there is anything that he wants to buy. He will make me an offer on anything he is interested in. I better keep a keen eye on him, things seem to have a way of disappearing when Jawas are around.');
INSERT INTO `client_strings` VALUES ('string/en/jawa_trader.stf', '9', 'bye', '...');
INSERT INTO `client_strings` VALUES ('string/en/jawa_trader.stf', '10', 'goodbye', 'The Jawa wishes me safe journey and told me to come back if I come across anything that he would be interested in.');
INSERT INTO `client_strings` VALUES ('string/en/jawa_trader.stf', '11', 'greeting_thought_02', 'It would seem that this Jawa is actually looking to purchase weapons that cannot be traced. That is sort of odd. I have never heard of Jawas trying to get into the arms business before. They better not let Jabba get wind of their little operation. I wonder if I should sell to them or not?');
INSERT INTO `client_strings` VALUES ('string/en/jawa_trader.stf', '12', 'greeting_thought_03', 'This Jawa is interested in buying clothes and jewelry. Probably a pretty good market for used clothing but not too sure about the jewelry. Oh well, Jawas generally don\'t buy something that they cannot turn around and sell for twice what they paid for it. Maybe I should see if I have anything that they would like to buy.');
INSERT INTO `client_strings` VALUES ('string/en/jawa_trader.stf', '13', 'greeting_thought_bounty', 'The Jawas have been having a lot of trouble with Sand People lately. The Tuskens have been hitting a number of their trading centers and have even tried attacking a few of their crawlers. This one wants me to help with the Tusken problem and in exchange the Jawas will purchase any Tusken equipment as proof that I have been helping. I wonder if I have any Tusken equipment on me right now that they would like to buy?');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '2', 'no_damage_heal_self', 'You have no damage of that type.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '3', 'no_damage_heal_other', 'Your target has no damage of that type to heal.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '25', 'heal_other_self', 'You heal %TT for %DI points of %TO.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '26', 'heal_other_other', 'You are healed for %DI points of %TO by %TT.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '27', 'heal_self', 'You heal yourself for %DI points of %TO.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '28', 'health_damage', 'Health damage');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '29', 'strength_damage', 'Strength damage');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '30', 'constitution_damage', 'Constitution damage');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '31', 'action_damage', 'Action damage');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '32', 'quickness_damage', 'Quickness damage');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '33', 'stamina_damage', 'Stamina damage');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '34', 'mind_damage', 'Mind damage');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '35', 'willpower_damage', 'Willpower damage');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '36', 'focus_damage', 'Focus damage');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '37', 'battle_fatigue', 'Battle Fatigue');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '38', 'health_wounds', 'Health wounds');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '39', 'strength_wounds', 'Strength wounds');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '40', 'constitution_wounds', 'Constitution wounds');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '41', 'action_wounds', 'Action wounds');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '42', 'quickness_wounds', 'Quickness wounds');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '43', 'stamina_wounds', 'Stamina wounds');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '44', 'mind_wounds', 'Mind wounds');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '45', 'willpower_wounds', 'Willpower wounds');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '46', 'focus_wounds', 'Focus wounds');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '47', 'no_help_target', 'You are not permitted to help that target.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '48', 'jedi_death', 'You currently have %DI tracked deaths.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '49', 'jedi_death_decay', 'One of your Jedi deaths has decayed. You now have %DI tracked deaths.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '50', 'saber_color_0', 'Red');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '51', 'saber_color_1', 'Dark Red');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '52', 'saber_color_2', 'Light Green');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '53', 'saber_color_3', 'Dark Green');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '54', 'saber_color_4', 'Blue');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '55', 'saber_color_5', 'Dark Blue');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '56', 'saber_color_6', 'Yellow');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '57', 'saber_color_7', 'Dark Yellow');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '58', 'saber_color_8', 'Light Purple');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '59', 'saber_color_9', 'Dark Purple');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '60', 'saber_color_10', 'Orange');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '61', 'saber_color_11', 'Brown');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '62', 'waypoint_created_to_trainer', 'A waypoint to your trainer has been placed in your datapad. ');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '63', 'trainer_waypoint_name', 'Jedi Skill Trainer');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '64', 'force_sensitive', 'You begin to feel attuned with the power of the Force. Your Force Sensitive abilities will be unlocked after Publish 10.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '65', 'no_force_power', 'You do not have sufficient Force power to perform that action.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '66', 'no_equip_lightsaber', 'You are not able to equip this item.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '67', 'not_your_lightsaber', 'You cannot use a lightsaber that was crafted by someone else.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '68', 'holocron_light_information', 'A mysterious voice says, \"In order to continue your path to enlightenment, you must learn %TO.\"');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '69', 'holocron_already_jedi', 'A mysterious voice says, \"Continue along the path you have chosen\".');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '70', 'holocron_dark_information', 'A deep voice says, \"In order to continue your path towards absolute power, you must learn %TO.\"');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '71', 'permadead_notify', 'You are dead. You have used up all of your deaths and must begin your journey again.  When you clone you will lose all skills, credits and items.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '72', 'jedi_recruiter_response', 'There\'s something about you I don\'t like. I\'m not going to talk to you.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '73', 'already_force_running', 'You are already force running.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '74', 'calm_target', 'You successfully calm down your target.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '75', 'fail_calm_target', 'You fail to calm your target.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '76', 'mind_trick_success', 'You successfully use your Force power to trick your target.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '77', 'mind_trick_fail', 'You fail to trick your target.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '78', 'animal_scare_success', 'You successfully scare your target.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '79', 'animal_scare_fail', 'You fail to scare your target.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '80', 'animal_attack_success', 'You successfully enrage your target.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '81', 'animal_attack_fail', 'You fail to enrage your target.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '82', 'staunch_bleeding_other', '%TT looks like their bleeding has decreaed.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '83', 'stop_bleeding_other', '%TT is no longer bleeding. ');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '84', 'stop_disease_other', '%TT is no longer diseased.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '85', 'staunch_disease_other', '%TT looks less diseased.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '86', 'staunch_poison_other', '%TT looks less poisoned.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '87', 'stop_poison_other', '%TT is no longer poisoned.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '88', 'stop_states_other', 'You cure all negative states on %TT.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '89', 'not_this_target', 'This command cannot be used on this target.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '90', 'trainer_updated', 'Seek out your new trainer. (New Waypoint Received)');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '91', 'find_new_trainer', 'Your ');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '92', 'not_your_trainer', 'I can not help you further down your chosen path. Seek out a new skill trainer.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '93', 'no_surrender_skill', 'You are not allowed to surrender Jedi Skills.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '94', 'unable_to_locate_trainer', 'You are unable to sense your trainer at this time.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '95', 'welcome_subject', 'Welcome Jedi Padawan.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '96', 'welcome_body', 'You are about to take your first steps in one of the ultimate journeys in Star Wars Galaxies.\n\nIt is a very precarious time for users of the Force and your path to become a Jedi Knight is wrought with danger and excitement.\n\nBefore you begin there are a few important things to note.  Jedi must train secretly and locating your personal trainer can sometimes be difficult.  Use the command /findmytrainer to sense the location of your trainer.  At times you may not be able to detect your trainer, if this happens wait a little while and try later.\n\nThe dedication required to learn your Force abilities will take all of your personal resources.  You will have to surrender non Jedi skills in order to advance along the path to Jedi Knighthood.\n\nFinally, the life of a Jedi is wrought with extreme risk.  Act carefully as your actions could bring great and devastating repercussions.  Jedi are extremely susceptible to the rigors of cloning.  When a Jedi dies they will suffer an experience loss.  \n\nOn behalf of the entire development team, thank you and continue enjoying your time in Star Wars Galaxies. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '97', 'holocron_quiet', 'The Holocron is quiet.  The ancients\' knowledge of the Force will no longer assist you on your journey.  You must continue seeking on your own.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '98', 'jedi_death_skill_loss', 'You have lost %TO due to death.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '99', 'open_saber', 'Open Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '100', 'crystal_untuned', 'UNTUNED');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '101', 'crystal_quality_0', 'Poor');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '102', 'crystal_quality_1', 'Fair');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '103', 'crystal_quality_2', 'Good');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '104', 'crystal_quality_3', 'Quality');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '105', 'crystal_quality_4', 'Select');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '106', 'crystal_quality_5', 'Premium');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '107', 'crystal_quality_6', 'Flawless');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '108', 'tune_crystal', 'Tune Crystal');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '109', 'confirm_tune_title', 'Confirm Crystal Tune');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '110', 'confirm_tune_prompt', 'Once this crystal has been tuned you will be the only Jedi that can use it.\n\nAre you sure you want to tune this crystal?  ');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '111', 'lightsaber_no_color', 'That lightsaber can not be used until it has a color-modifying Force crystal installed.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '112', 'force_speed_1_n', 'Force Speed 1');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '113', 'force_speed_2_n', 'Force Speed 2');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '114', 'force_armor_1_n', 'Force Armor 1');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '115', 'force_armor_2_n', 'Force Armor 2');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '116', 'force_shield_1_n', 'Force Shield 1');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '117', 'force_shield_2_n', 'Force Shield 2');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '118', 'force_feedback_1_n', 'Force Feedback 1');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '119', 'force_feedback_2_n', 'Force Feedback 2');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '120', 'force_absorb_1_n', 'Force Absorb 1');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '121', 'force_absorb_2_n', 'Force Absorb 2');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '122', 'force_resist_disease_n', 'Force Resist Disease');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '123', 'force_resist_poison_n', 'Force Resist Poison');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '124', 'force_resist_bleeding_n', 'Force Resist Bleeding');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '125', 'force_resist_states_n', 'Force Resist States');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '126', 'force_speed_d', 'Your actions are sped up to unnatural speeds from the Force.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '127', 'force_armor_d', 'You are encased in a semi-solid barrier of the Force.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '128', 'force_shield_d', 'Your barrier protects you against damaging effects of the Force.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '129', 'force_feedback_d', 'You are surrounded by a reflective Force barrier that will cause damage to anyone who attacks you with the Force.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '130', 'force_absorb_d', 'You are able to absorb some of the Force power from harmful Force attacks.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '131', 'force_resist_disease_d', 'Your body\'s natural protections against disease are bolstered by the Force.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '132', 'force_resist_poison_d', 'Your body\'s natural protections against poisons are bolstered by the Force.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '133', 'force_resist_bleeding_d', 'Your body\'s natural protections against bleeding are bolstered by the Force.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '134', 'force_resist_states_d', 'Your body\'s natural protections against state-afflicting attacks are bolstered by the Force.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '135', 'force_buff_present', 'You already have a similar Force enhancement active.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '136', 'apply_forcespeed1', 'You begin to move with an unnatural speed.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '137', 'apply_forcespeed2', 'You begin to move with an unnatural speed.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '138', 'apply_forcearmor1', 'A solid barrier of the Force forms around you.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '139', 'apply_forcearmor2', 'A solid barrier of the Force forms around you.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '140', 'apply_forceshield1', 'A protective shield of the Force envelops you.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '141', 'apply_forceshield2', 'A protective shield of the Force envelops you.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '142', 'apply_forcefeedback1', 'You use the Force to create a reflective barrier around you.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '143', 'apply_forcefeedback2', 'You use the Force to create a reflective barrier around you.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '144', 'apply_forceabsorb1', 'You make yourself more sensitive to the use of Force power around you.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '145', 'apply_forceabsorb2', 'You make yourself more sensitive to the use of Force power around you.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '146', 'apply_forceresistdisease', 'Your body\'s natural resistance to disease is enhanced by the Force.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '147', 'apply_forceresistpoison', 'Your body\'s natural resistance to poison is enhanced by the Force.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '148', 'apply_forceresistbleeding', 'Your body\'s natural resistance to bleeding is enhanced by the Force.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '149', 'apply_forceresiststates', 'Your body\'s natural resistance to state-afflicting attacks is enhanced by the Force.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '150', 'apply_avoidincapacitation', 'You use the Force to push your body on regardless of injuries.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '151', 'remove_forcespeed1', 'Your unnatural speed fades.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '152', 'remove_forcespeed2', 'Your unnatural speed fades.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '153', 'remove_forcearmor1', 'Your solid barrier of Force fades.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '154', 'remove_forcearmor2', 'Your solid barrier of Force fades.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '155', 'remove_forceshield1', 'Your protective shield fades.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '156', 'remove_forceshield2', 'Your protective shield fades.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '157', 'remove_forcefeedback1', 'Your reflective barrier fades.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '158', 'remove_forcereflect2', 'Your reflective barrier fades.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '159', 'remove_forceabsorb1', 'Your sensitivity to Force power fades.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '160', 'remove_forceabsorb2', 'Your sensitivity to Force power fades.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '161', 'remove_forceresistdisease', 'Your heightened resistance to disease fades.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '162', 'remove_forceresistpoison', 'Your heightened resistance to poison fades.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '163', 'remove_forceresistbleeding', 'Your heightened resistance to bleeding fades.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '164', 'remove_forceresiststates', 'Your heightened resistance to state attacks fades.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '165', 'remove_avoidincapacitation', 'Your body is no longer sustained by the Force.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '166', 'avoid_incapacitation_n', 'Avoid Incapacitation');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '167', 'avoid_incapacitation_d', 'Your use of the Force is preventing your body from succumbing to its wounds.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '168', 'channel_ham_too_low', 'Your body is too weakened to perform that action.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '169', 'target_no_force', 'That target does not have any Force power.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '170', 'must_be_higher_rank', 'You must have the skill %TO to wear this robe.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '171', 'not_with_armor', 'You cannot use Force powers or lightsaber abilities while wearing armor.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '172', 'saber_not_crystal', 'That is not compatible with your lightsaber.  Only valid Force crystals can be used in this lightsaber.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '173', 'saber_not_while_equpped', 'You cannot modify the crystals in this lightsaber while it is equipped.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '174', 'saber_crystal_not_tuned', 'That crystal has not been tuned to you.  You will need to tune it before inserting it into your lightsaber.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '175', 'saber_crystal_not_owner', 'That crystal has been tuned to a different Jedi, it will not work in your lightsaber.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '176', 'saber_already_has_color', 'You already have a blade color-modifying Force crystal in this lightsaber.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '177', 'crystal_tune_success', 'You have successfully tuned the crystal.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '178', 'force_run_1_n', 'Force Run 1');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '179', 'force_run_2_n', 'Force Run 2');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '180', 'force_run_3_n', 'Force Run 3');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '181', 'force_run_d', 'Your running speed is accelerated by the Force.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '182', 'apply_forcerun1', 'The force flows through your veins and you begin to run faster.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '183', 'apply_forcerun2', 'The force flows through your veins and you begin to run faster.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '184', 'apply_forcerun3', 'The force flows through your veins and you begin to run faster.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '185', 'force_protection_1_n', 'Force Protection');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '186', 'force_protection_d', 'You are encased in a semi-solid barrier of the Force that protects you from normal and Force attacks.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '187', 'apply_forceprotection', 'A solid barrier of the Force forms around you.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '188', 'remove_forceprotection', 'Your solid barrier of Force fades.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '189', 'remove_forcerun1', 'You slow down.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '190', 'remove_forcerun2', 'You slow down.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '191', 'remove_forcerun3', 'You slow down.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '192', 'saber_color_12', 'Maul\'s Vengence');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '193', 'saber_color_13', 'Kun\'s Blood');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '194', 'saber_color_14', 'Bondara\'s Folly');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '195', 'saber_color_15', 'Ulic\'s Redemption');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '196', 'saber_color_16', 'Bane\'s Heart');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '197', 'saber_color_17', 'Gallia\'s Intuition');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '198', 'saber_color_18', 'Prowess of Plo Koon');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '199', 'saber_color_19', 'B\'nar\'s Sacrifice');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '200', 'saber_color_20', 'Windu\'s Guile');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '201', 'saber_color_21', 'Mundi\'s Response');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '202', 'saber_color_22', 'Strength of Luminaria');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '203', 'saber_color_23', 'Baas\'s Wisdom');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '204', 'saber_color_24', 'Quintessence of the Force');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '205', 'saber_color_25', 'Dawn of Dagobah');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '206', 'saber_color_26', 'Horn\'s Future');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '207', 'saber_color_27', 'Qui-gon\'s Devotion');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '208', 'saber_color_28', 'Kenobi\'s Legacy');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '209', 'saber_color_29', 'Sunrider\'s Destiny');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '210', 'saber_color_30', 'Kit\'s Ferocity');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '211', 'saber_color_31', 'None');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '212', 'remove_forcefeedback2', 'Your reflective barrier fades.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '213', 'dismantle_saber', 'Dismantle Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '214', 'saber_cant_convert', 'You cannot dismantle this saber to recover any parts.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '215', 'saber_convert_sliced', 'This saber was altered by a Smuggler and some parts were damaged.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '216', 'saber_convert_full', 'There is not enough room in your inventory to dismantle this lightsaber.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '217', 'saber_convert_complete', 'You have successfully dismantled your lightsaber and recovered some of its parts.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '218', 'revoke_force_sensitive', 'You cannot revoke this Force sensitive skill.  Doing so would take you under the Jedi requirement of six complete skill branches.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '219', 'revoke_force_progression', 'You cannot revoke a Force progression skill.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '220', 'force_absorb_hit', 'You gain %DI Force power from your enemies attack.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '221', 'not_while_in_combat', 'You cannot perform that action while in combat.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '222', 'revoke_force_title', 'You cannot revoke a Force progression skill.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '223', 'cant_train_while_converting', 'I can\'t speak to you right now.  Come back when you\'re done with whatever it is that you\'re doing.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '224', 'power_already_active', 'This target is already affected by that power.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '225', 'confirm_revoke_title', 'Quit Force Ranks?');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '226', 'confirm_revoke_prompt', 'Revoking this skill will remove you completely from the Force Rank System.  You will need to redo the Jedi Knight Trials to re-enter.\n\nAre you certain you want to revoke this skill?');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '227', 'cant_revoke_prompt', 'Revoking this skill will make you ineligible for the Force Ranks.  You cannot revoke the skill until you have removed yourself from the Force Ranks.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '228', 'cant_revoke_title', 'Cannot Revoke Skill');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '229', 'already_in_meditative_state', 'You are already in a meditative state');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '230', 'holocron_no_effect', 'The holocron hums briefly, but otherwise does nothing.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '231', 'holocron_force_max', 'You are already at your maximum Force power.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '232', 'holocron_force_replenish', 'The holocrom hums softly as you feel your Force power replenish.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '233', 'fs_progress_0', 'You feel no connection with the Force.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '234', 'fs_progress_1', 'You barely sense something different about yourself.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '235', 'fs_progress_2', 'You feel a faint sense of the Force.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '236', 'fs_progress_3', 'You feel a surge of the Force within you.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '237', 'fs_progress_4', 'You feel a strong sense of the Force within you.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '238', 'fs_progress_5', 'You feel an inner glow.  The Force is with you.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '239', 'inventory_full_jedi_robe', 'You have too many items in your inventory.  In order to get your Padawan Robe you must clear out at least one free slot.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '240', 'suffering_n', 'Suffering');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '241', 'suffering_d', 'A malicious use of the Force has caused pain to course through your body, weakening your Health, Action, and Mind attributes.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '242', 'serenity_n', 'Serenity');
INSERT INTO `client_strings` VALUES ('string/en/jedi_spam.stf', '243', 'serenity_d', 'A hostile use of the Force has lessened your will for combat, weakening your Health, Action, and Mind attributes.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer.stf', '5', 'error_empty_category', 'You are not ready to receive any more training at this time.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer.stf', '6', 'msg1_1', 'What skills would you like to know more about?');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer.stf', '7', 'msg2_1', 'You are ready to train in the following skills...');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer.stf', '8', 'msg2_2', 'Here are the skills on which you should be practicing. I will teach you these when you have enough experience.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer.stf', '9', 'msg2_3', 'Be mindful of your thoughts. In which skills are you interested?');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer.stf', '10', 'msg2_4', 'Patience. You must learn patience. Which of my skills would you like to know about?');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer.stf', '11', 'msg3_1', 'You are not ready to receive any more training at this time.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer.stf', '12', 'msg3_3', 'Allow me to give you some insight to that skill...');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer.stf', '13', 'msg3_2', 'Yes, quiet your mind and concentrate. The Force will guide you.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer.stf', '14', 'error_grant_skill', 'You cannot learn Jedi-related skills with a character that lacks Force capability.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer.stf', '16', 'topped_out', 'You require no more training from me. You already know that which I can teach.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer.stf', '50', 'success', 'You have successfully learned the skill.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer.stf', '53', 'confirm', 'Are you sure you wish to purchase this skill?');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer.stf', '54', 'prose_nsf', 'You lack the %DI credits required for training in %TO.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer.stf', '55', 'prose_pay', 'Processing %DI credit payment for %TO training.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer.stf', '56', 'prose_skill_learned', 'You successfully train in the %TO skill.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer.stf', '58', 'no_skill_pts', 'There is a disturbance is the Force. You have no available skill points. I cannot train you at this time.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer.stf', '59', 'nsf_skill_pts', 'There is a disturbance in the Force. You must first make %DI skill points available before I can train you in %TO.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer.stf', '60', 'prose_train_failed', 'You were unable to complete %TO skill training.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer.stf', '61', 'surpass_trainer', 'Not long ago, you were but the learner. Now you are the master. There is nothing further that I can do for you. May the Force be with you, %TT.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer.stf', '62', 'no_qualify', 'You are not yet ready to learn from me. Be mindful of the future, and return to me when you have learned the following skills...');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer.stf', '65', 'trainer_unknown', 'Be mindful of your thoughts. About what are you interested in learning?');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer.stf', '66', 'prose_cost', 'It will cost %DI credits to train in %TO. Would you like to continue?');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer.stf', '67', 'msg_no', 'Yes, it does you well to exercise patience. How else may I be of service?');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer.stf', '68', 'msg_yes', 'Excellent! Clear your mind and concentrate, and we will begin...');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer.stf', '75', 'greeting', 'I know why the Force has brought you here. I have forseen your coming. You wish to learn the ways of the Jedi.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer.stf', '76', 'chosen_path', 'You have already elected a path. You must seek out a new trainer in order to continue training in your chosen course.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer.stf', '77', 'no_teach_jedi', 'I doubt there is anything I can teach in which you would be interested in learning. I am sorry. Perhaps you should find someone else to train you.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer_dark.stf', '5', 'error_empty_category', 'You are not ready to receive any more training at this time.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer_dark.stf', '6', 'msg1_1', 'What skills would you like to know more about?');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer_dark.stf', '7', 'msg2_1', 'You are ready to train in the following skills...');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer_dark.stf', '8', 'msg2_2', 'You are on your way to becoming powerful in the Dark Side. I will continue your training when you have enough experience in these skills.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer_dark.stf', '9', 'msg2_3', 'Yes, we must harness your negative emotions. In which skills are you interested?');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer_dark.stf', '10', 'msg2_4', 'Use the hatred and fear that are within you, and you will become powerful. Which of my skills would you like to know about?');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer_dark.stf', '11', 'msg3_1', 'You are not ready to receive any more training at this time.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer_dark.stf', '12', 'msg3_3', 'Allow me to give you some insight to that skill...');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer_dark.stf', '13', 'msg3_2', 'Yes, concentrate and release your anger. Use it. The Dark Side is welling up within you.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer_dark.stf', '14', 'error_grant_skill', 'You cannot learn Jedi-related skills with a character that lacks Force capability.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer_dark.stf', '16', 'topped_out', 'You require no more training from me. You already know that which I can teach.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer_dark.stf', '50', 'success', 'You have successfully learned the skill.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer_dark.stf', '53', 'confirm', 'Are you sure you wish to purchase this skill?');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer_dark.stf', '54', 'prose_nsf', 'You lack the %DI credits required for training in %TO.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer_dark.stf', '55', 'prose_pay', 'Processing %DI credit payment for %TO training.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer_dark.stf', '56', 'prose_skill_learned', 'You successfully train in the %TO skill.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer_dark.stf', '58', 'no_skill_pts', 'There is a disturbance is the Force. You have no available skill points. I cannot train you at this time.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer_dark.stf', '59', 'nsf_skill_pts', 'There is a disturbance in the Force. You must first make %DI skill points available before I can train you in %TO.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer_dark.stf', '60', 'prose_train_failed', 'You were unable to complete %TO skill training.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer_dark.stf', '61', 'surpass_trainer', 'Not long ago, you were but the learner. Now you are the master. There is nothing further that I can do for you. May the Force be with you, %TT.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer_dark.stf', '62', 'no_qualify', 'You are not yet ready to learn from me. Allow you hatred to grow and return to me when you have learned the following skills...');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer_dark.stf', '65', 'trainer_unknown', 'The Dark Side is strong in you. About what are you interested in learning?');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer_dark.stf', '66', 'prose_cost', 'It will cost %DI credits to train in %TO. Would you like to continue?');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer_dark.stf', '67', 'msg_no', 'Yes, I can sense the anger in you. How else may I be of service?');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer_dark.stf', '68', 'msg_yes', 'Excellent! I can feel the hatred flowing through you. We will begin...');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer_dark.stf', '75', 'greeting', 'I knew that you would seek me out. I have forseen it. You wish to learn the ways of the Dark Jedi.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer_dark.stf', '76', 'no_teach_jedi', 'I doubt there is anything I can teach in which you would be interested in learning. I am sorry. Perhaps you should find someone else to train you.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer_light.stf', '5', 'error_empty_category', 'You are not ready to receive any more training at this time.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer_light.stf', '6', 'msg1_1', 'What skills would you like to know more about?');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer_light.stf', '7', 'msg2_1', 'You are ready to train in the following skills...');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer_light.stf', '8', 'msg2_2', 'Here are the skills on which you should be practicing. I will teach you these when you have enough experience.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer_light.stf', '9', 'msg2_3', 'Don\'t focus on the negative. Be mindful of your thoughts. In which skills are you interested?');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer_light.stf', '10', 'msg2_4', 'Patience. You must learn patience. Which of my skills would you like to know about?');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer_light.stf', '11', 'msg3_1', 'You are not ready to receive any more training at this time.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer_light.stf', '12', 'msg3_3', 'Allow me to give you some insight to that skill...');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer_light.stf', '13', 'msg3_2', 'Yes, concentrate and let the Force flow through you.  Quiet your mind and learn control. Trust the Force to guide you.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer_light.stf', '14', 'error_grant_skill', 'You cannot learn Jedi-related skills with a character that lacks Force capability.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer_light.stf', '16', 'topped_out', 'You require no more training from me. You already know that which I can teach.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer_light.stf', '50', 'success', 'You have successfully learned the skill.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer_light.stf', '53', 'confirm', 'Are you sure you wish to purchase this skill?');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer_light.stf', '54', 'prose_nsf', 'You lack the %DI credits required for training in %TO.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer_light.stf', '55', 'prose_pay', 'Processing %DI credit payment for %TO training.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer_light.stf', '56', 'prose_skill_learned', 'You successfully train in the %TO skill.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer_light.stf', '58', 'no_skill_pts', 'There is a disturbance is the Force. You have no available skill points. I cannot train you at this time.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer_light.stf', '59', 'nsf_skill_pts', 'There is a disturbance in the Force. You must first make %DI skill points available before I can train you in %TO.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer_light.stf', '60', 'prose_train_failed', 'You were unable to complete %TO skill training.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer_light.stf', '61', 'surpass_trainer', 'Not long ago, you were but the learner. Now you are the master. There is nothing further that I can do for you. May the Force be with you, %TT.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer_light.stf', '62', 'no_qualify', 'You are not yet ready to learn from me. Be mindful of the future, but not at the expense of the present. Return to me when you have learned the following skills...');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer_light.stf', '65', 'trainer_unknown', 'Be mindful of your thoughts. About what are you interested in learning?');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer_light.stf', '66', 'prose_cost', 'It will cost %DI credits to train in %TO. Would you like to continue?');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer_light.stf', '67', 'msg_no', 'Yes, it does you well to exercise patience. How else may I be of service?');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer_light.stf', '68', 'msg_yes', 'Excellent! Clear your mind and concentrate, and we will begin...');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer_light.stf', '75', 'greeting', 'I know why the Force has brought you here. I have forseen your coming. You wish to learn the ways of the Jedi.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trainer_light.stf', '76', 'no_teach_jedi', 'I doubt there is anything I can teach in which you would be interested in learning. I am sorry. Perhaps you should find someone else to train you.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '1', 'meditate', 'Meditate');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '2', 'show_respect', 'To properly meditate here, you must do so respectfully.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '3', 'force_shrine_n', 'a mysterious shrine');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '4', 'force_shrine_d', 'A mysterious and timeworn shrine of unknown origin or purpose.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '5', 'from_unknown', 'Unknown');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '6', 'knight_trials_title', 'Jedi Council Battle Trials');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '7', 'knight_trials_intro_msg', 'Greetings young Jedi,\n\nYou have achieved a deep and unyielding connection to the Force. It is time that you learn of others like youself and join a reborn Jedi Order. The Emperor would have the galaxy believe that the Jedi are all but wiped out; that his vicious Jedi Purge wiped the Empire clean of all Jedi traditions and teachings. This is not so. Though they remain hidden, small enclaves of Jedi still struggle to survive. They have even formed the Hidden Council in remembrance of the great Jedi Council that once upheld peace and justice throughout the galaxy.   \n\nYour sensitivity to the Force has not gone unnoticed. The Hidden Council has felt your presence growing. They know of your great potential. Unfortunately, so too does the Dark Council...\n\nSince the fall of the Jedi Order and the disappearance of Master Yoda and others of his great wisdom, an increasing number of Force wielders have succumbed to the dark side. These so-called \"Dark Jedi\" revel in destruction and seek only power. They have banded together to further their own evil ends, forming an enclave of their own where they plot against the rest of the galaxy.\n\nThe Hidden Council and its dark counterpart are vying against one another for control of the Force. Both seek to grow their ranks, but only the worthy shall gain entrance. As such, should you wish to join either enclave, you must display courage, might, and resourcefulness while battling a variety of adversaries. Accept the challenge and defeat each opponent set before you, and only then will you  be invited to join one of these councils. During your journey, you will also be forced to choose between the path of the true Jedi, and the road to the dark side.\n\nWill you undertake the Jedi trials? If so, journey to ');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '8', 'button_okay', 'Okay');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '9', 'button_cancel', 'Cancel');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '10', 'button_lightside', 'Light Jedi Council');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '11', 'button_darkside', 'Dark Jedi Council');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '12', 'council_choice_delayed', 'You did not choose a Jedi council to join. When you are ready to decide, meditate at any force shrine and again the choice will be offered.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '13', 'council_chosen_dark', 'Your desire is to join the Dark Jedi council. Complete these battle trials and that desire will be within your grasp.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '14', 'council_chosen_light', 'Your chosen path is to join the Light Jedi council. Complete these battle trials and that pathway will open before you.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '15', 'force_shrine_title', 'Meditating at a Force shrine...');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '16', 'council_choice_msg', 'The Force has drawn you here and a choice must now be made. \n\nWill you follow the Light Side of the Force? Serenity, peace, and knowledge.\n\nOr will you follow the Dark Side of the Force? Passion, emotion, and power.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '17', 'knight_trials_completed_light', 'Congratulations, you have completed the Hidden Council\'s trials and are now a member of that esteemed group! In doing so, you also have achieved the title of Jedi Knight and have been given a Jedi Knight robe!\n\nThe Hidden Council is a noble order of protectors unified by their belief and observance of the Force. Their enclave is on Yavin 4, and a waypoint to that enclave has been uploaded to your datapad.\n\nMay the Force guide you and be with you.\n');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '18', 'knight_trials_next_trial_msg', 'Well done! This Jedi Council battle trial is complete.\n\nTo learn what will next be asked of you, journey to another part of the galaxy where a Force shrine awaits you on');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '19', 'knight_trials_next_trial_msg_end', '. When you find that shrine and meditate at it, your battle trials will continue.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '20', 'knight_trials_next_trial_title', 'Finding your next battle trial...');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '21', 'knight_trials_intro_msg_end', 'and find the Force shrine that will begin the battle trials. And may the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '22', 'tatooine', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '23', 'naboo', 'Naboo');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '24', 'corellia', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '25', 'talus', 'Talus');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '26', 'rori', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '27', 'yavin4', 'Yavin 4');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '28', 'endor', 'Endor');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '29', 'dantooine', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '30', 'dathomir', 'Dathomir');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '31', 'lok', 'Lok');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '32', 'enemy_soldier_dark', 'Though Jedi are universally hunted by Imperial forces, members of the Dark Council have chosen to align themselves with the Empire. Their hope is to show that they are worthy allies to the Empire. Or such is their claim... Few know the true nature of their ambition.\n\nAs one who has chosen to pursue the dark side, your next battle trial is to hunt and kill Rebel commandos. When 47 Rebel Commandos have fallen to you, this battle trial will be complete.\n\nMeditating at any Force shrine will repeat this message as well as reveal your current progress.\n\nRebel Commandos killed: ');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '33', 'enemy_soldier_light', 'The Hidden Council offers support to the Rebel Alliance whenever possible, though it is rare that any members of the Alliance actually know that the council even exists. \n\nBe that as it may, as one who aspires to join the Hidden Council, your next trial is to strike a blow against the Empire. When you have defeated 47 Stormtrooper Commandos, this battle trial will be complete.\n\nMeditating at any Force shrine will repeat this message as well as reveal your current progress.\n\nStormtrooper Commandos defeated: ');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '34', 'high_general_dark', 'Your next trial is to strike at the leadership of Rebel Alliance troops. By sowing confusion and chaos among their troops, the Rebels will be less prepared to stand against the Empire. You will do this by killing 22 Rebel officers. Your targets are Rebel Generals, Rebel High Generals, and Rebel Surface Marshals.\n\nMeditating at any Force shrine will repeat this message as well as reveal your current progress.\n\nRebel officers killed: ');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '35', 'high_general_light', 'By causing turmoil among the leaders of Imperial forces, you can stall their efforts and save the lives of Rebel soldiers and innocent civilians. Achieve this by defeating 22 Imperial officers. Your targets are Imperial Generals, Imperial High Generals, and Imperial Surface Marshals.\n\nMeditating at any Force shrine will repeat this message as well as reveal your current progress.\n\nImperial officers defeated: ');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '36', 'corvette_officer_dark', 'The Rebel Alliance is known to use Corellian corvettes as mobile bases for the gathering of military intelligence and to coordinate the movement of Rebel forces. Infiltrate these Rebel Corellian corvettes and kill four Rebel Rear Admirals.\n\nMeditating at any Force shrine will repeat this message as well as reveal your current progress.\n\nRebel Rear Admirals killed: ');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '37', 'corvette_officer_light', 'Imperial forces are known to have captured many Alliance corvettes. Highly trained Novatroopers are the primary Imperial troops used to board and take control of Rebel starships. Infiltrate an Imperial controlled Corellian corvette and defeat four Elite Novatrooper Commanders. You will recognize an Elite Novatrooper Commander by their black armor with a golden pauldron.\n\nMeditating at any Force shrine will repeat this message as well as reveal your current progress.\n\nElite Novatrooper Commanders defeated: ');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '38', 'giant_canyon_krayt', 'Defeat a giant canyon krayt dragon from Tatooine.\n\nMeditating at any Force shrine will repeat this message.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '39', 'kiin_dray', 'Defeat the giant gaping spider of Dathomir known as Kiin\'Dray.\n\nMeditating at any Force shrine will repeat this message.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '40', 'tusken_raider', 'Defeat nineteen Tusken Raiders from Tatooine.\n\nMeditating at any Force shrine will repeat this message as well as reveal your current progress.\n\nTusken Raiders defeated: ');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '41', 'corvette_super_battle_droid', 'Defeat two super battle droids on a Corellian corvette.\n\nMeditating at any Force shrine will repeat this message as well as reveal your current progress.\n\nSuper battle droids defeated: ');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '42', 'geonosian_bunker_acklay', 'Defeat an acklay from the Geonosian bunker on Yavin 4.\n\nMeditating at any Force shrine will repeat this message.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '43', 'deathwatch_overlord', 'Defeat a Death Watch Overlord from the Death Watch compound on Endor.\n\nMeditating at any Force shrine will repeat this message.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '44', 'ancient_bull_rancor', 'Defeat eight ancient bull rancors of Dathomir.\n\nMeditating at any Force shrine will repeat this message as well as reveal your current progress.\n\nAncient bull rancors defeated: ');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '45', 'nightsister_elder', 'Defeat a Nightsister elder of Dathomir.\n\nMeditating at any Force shrine will repeat this message.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '46', 'peko_peko_albatross', 'Defeat two peko peko albatrosses of Naboo.\n\nMeditating at any Force shrine will repeat this message as well as reveal your current progress.\n\nPeko peko albatrosses defeated: ');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '47', 'blurrg_raptor', 'Defeat three blurrg raptors of Endor.\n\nMeditating at any Force shrine will repeat this message as well as reveal your current progress.\n\nBlurrg raptors defeated: ');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '48', 'enraged_kimogila', 'Defeat three enraged kimogilas of Lok.\n\nMeditating at any Force shrine will repeat this message as well as reveal your current progress.\n\nEnraged kimogilas defeated: ');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '49', 'graul_marauder', 'Defeat two graul marauders of Dantooine.\n\nMeditating at any Force shrine will repeat this message as well as reveal your current progress.\n\nGraul marauders defeated: ');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '50', 'stintaril_prowler', 'Defeat eight stintaril prowlers of Yavin 4.\n\nMeditating at any Force shrine will repeat this message as well as reveal your current progress.\n\nStintaril prowlers defeated: ');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '52', 'knight_shrine_wrong', 'You will find the path you seek at another shrine on this planet.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '53', 'knight_shrine_reminder', 'Your path to begin the Jedi Council battle trials awaits you at a Force shrine on %TO.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '54', 'knight_trial_header_01', '[A voice you cannot identify speaks to you]\n\n');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '55', 'knight_trials_progress', 'You have defeated your target and made progress in the Jedi Council battle trials.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '56', 'knight_trial_header_02', '[Words form within your mind]\n\n');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '58', 'knight_trials_current_trial_complete', 'Well done! This trial is complete. Your next battle trial awaits.\n\n');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '59', 'knight_trials_completed_dark', 'Impressive. You have pleased your masters on the Dark Council and have been accepted into their ranks. They reward you with the title of Jedi Knight. So that others will learn to fear you, you have also been given a Jedi Knight robe.\n\nThe Dark Council believes in domination through the dark side. Their enclave is on Yavin 4, and a waypoint to that enclave has been uploaded to your datapad.\n\nMay the Force be yours without fear, compromise, or mercy.\n');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '60', 'knight_trials_no_longer_eligible', 'You no longer meet the requirements for being in the Jedi Council battle trials and are therefore in danger of being disqualified from continuing.\n\nIf you wish to retain your current progress, you must once again be eligible for the Jedi Council battle trials before completing your current trial.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '61', 'knight_trials_being_removed', 'You no longer meet the requirements for being in the Jedi Council battle trials and are therefore expelled from them.\n\nShould you again meet these requirements in the future, you may restart the Jedi Council battle trials at that time.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '62', 'empty', '');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '63', 'knight_trials_intro_original', 'Greetings young Jedi,\n\nYou have achieved a deep and unyielding connection to the Force. It is time that you learn of others like youself and join a reborn Jedi Order. The Emperor would have the galaxy believe that the Jedi are all but wiped out; that his vicious Jedi Purge wiped the Empire clean of all Jedi traditions and teachings. This is not so. Though they remain hidden, small enclaves of Jedi still struggle to survive. They have even formed the Hidden Council in remembrance of the great Jedi Council that once upheld peace and justice throughout the galaxy.   \n\nYour sensitivity to the Force has not gone unnoticed. The Hidden Council has felt your presence growing. They know of your great potential. Unfortunately, so too does the Dark Council...\n\nSince the fall of the Jedi Order and the disappearance of Master Yoda and others of his great wisdom, an increasing number of Force wielders have succumbed to the dark side. These so-called \"Dark Jedi\" revel in destruction and seek only power. They have banded together to further their own evil ends, forming an enclave of their own where they plot against the rest of the galaxy.\n\nThe Hidden Council and its dark counterpart are vying against one another for control of the Force. Both seek to grow their ranks, but only the worthy shall gain entrance. As such, should you wish to join either enclave, you must display courage, might, and resourcefulness while battling a variety of adversaries. Accept the challenge and defeat each opponent set before you, and only then will you  be invited to join one of these councils. During your journey, you will also be forced to choose between the path of the true Jedi, and the road to the dark side.\n\nWill you undertake the Jedi trials? If so, journey to ');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '64', 'button_close', 'Close');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '65', 'button_next_page', 'Next Page');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '66', 'button_yes', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '67', 'button_no', 'No');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '68', 'knight_trials_start_query', 'You are eligible to undertake the Jedi Council battle trials. Would you like to start them?');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '69', 'faction_wrong_choice_light', 'If you wish to join the Light Side, you cannot be a member of the Empire. You must choose to join the Dark Side or you must revoke your status as an Imperial in order to join the Light Side. \n\nMeditate at any Force shrine to again make a choice.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '70', 'faction_wrong_choice_dark', 'If you wish to join the Dark Side, you cannot be a member of the Rebel Alliance. You must choose to join the Light Side or you must revoke your status as a Rebel in order to join the Dark Side. \n\nMeditate at any Force shrine to again make a choice.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '71', 'faction_wrong_dark', 'To become a Dark Jedi, you cannot be a member of the Rebel Alliance. You must revoke your status as a Rebel in order to continue.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '72', 'faction_wrong_light', 'To become a Light Jedi, you cannot be a member of the Empire. You must revoke your status as an Imperial in order to continue.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '73', 'knight_trials_intro_shortened', 'Greetings young Jedi. You have achieved a deep and unyielding connection to the Force. Your sensitivity to the Force has not gone unnoticed. It is time that you learn of others like you and join a reborn Jedi Order. The Hidden Council has felt your presence; they know of your potential. Unfortunately, so too does the Dark Council...\n\nThe Hidden Council and its dark counterpart are vying against one another for control of the Force. They both seek to grow their ranks, but seek only those deemed worthy. Should you wish to join either enclave, you must display courage, might, and resourcefulness while battling a variety of adversaries. Will you undertake these trials? If so, journey to ');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '74', 'padawan_trials_start_query', 'You are eligible to undertake the Jedi Padawan trials. Would you like to start them?');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '75', 'padawan_trials_title', 'Jedi Padawan Trials');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '76', 'padawan_trials_intro_msg', 'Greetings and welcome to the next step in your development as someone sensitive to the Force. You are being offered an opportunity to expand your abilities as a Jedi Padawan. If you are worthy, that is.\n\nShould you decide to accept this offer, you will undergo the Jedi Padawan Trials.  These will involve a variety of tasks that will test your mettle, integrity, and ability to make choices worthy of a Jedi. \n\nTo begin your trials, simply meditate at any Force shrine. A waypoint to the closest Force shrine from where you are now has been uploaded to your datapad, but you may visit any of the Force shrines in the galaxy to begin your trials.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '77', 'padawan_trials_next_trial', 'You have done well and successfully completed the trial you faced. To undertake your next trial, simply meditate at any Force shrine.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '78', 'padawan_trials_trial_failed_final', 'You have yet again failed to follow the path expected of a Jedi. Therefore you are being expelled from the Jedi Padawan trials.\n\nIf you so choose, you may begin the Jedi Padawan trials anew with a blank slate. To do so, meditate at any Force shrine whenever you are ready.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '79', 'padawan_trials_completed', 'Congratulations, you have completed the Jedi Padawan trials and are now a Jedi! In doing so, you also have achieved the title of Jedi Padawan and have been given a Jedi Padawan robe!\n\nYou are now eligible to learn Force disciplines. These abilities will help enable you to reach your full potential as a Jedi.\n\nMay the Force guide you and be with you.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '80', 'padawan_trials_return_to_npc', 'Return to the person who gave you your trial task.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '81', 'padawan_trials_progress', 'You have defeated your target and made progress in your Jedi Padawan trial.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '82', 'padawan_trials_no_longer_eligible', 'You no longer meet the requirements for being in the Jedi Padawan trials and are therefore in danger of being disqualified from continuing.\n\nTo be eligible for the Jedi Padawan trials, you must have six complete Force Sensitive branches.\n\nIf you wish to retain your current progress, you must once again be eligible for the Padawan trials before completing your current trial.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '83', 'padawan_trials_being_removed', 'You no longer meet the requirements for being in the Jedi Padawan trials and are therefore expelled from them.\n\nTo be eligible for the Jedi Padawan trials, you must have six complete Force Sensitive branches.\n\nShould you again meet these requirements in the future, you may restart the  Jedi Padawan trials at that time.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '84', 'architect_01', 'A Jedi must gather all possible information before making a decision.\n\nTravel to the planet ');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '85', 'architect_02', '. Once there, a waypoint will be uploaded to your datapad leading you to an architect by the name of Kant Graf in the city of ');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '86', 'artist_01', 'A Jedi must understand the motivations and desires of others without becoming emotianlly involved.\n\nTravel to the planet ');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '87', 'artist_02', '. Once there, a waypoint will be uploaded to your datapad leading you to an artist named Sathme Forr in the city of ');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '88', 'bad_cat_01', 'A Jedi must do everything possible to keep innocent civilians from being in danger.\n\nTravel to the planet ');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '89', 'bad_cat_02', '. Once there, a waypoint will be uploaded to your datapad leading you to an actor named Yvana Bailer in the city of ');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '90', 'chef_01', 'A Jedi must recognize chaos but not become a part of it.\n\nTravel to the planet ');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '91', 'chef_02', '. Once there, a waypoint will be uploaded to your datapad leading you a chef named Seevi Nyed in to the city of ');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '92', 'pannaqa_01', 'A Jedi should always be willing to lend a helping hand whenever possible.\n\nTravel to the planet ');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '93', 'pannaqa_02', '. Once there, a waypoint will be uploaded to your datapad leading you to a farmer named Pannaqa in the village of ');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '94', 'old_musician_01', 'A Jedi must always display respect and dignity when interacting with others.\n\nTravel to the planet ');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '95', 'old_musician_02', '. Once there, a waypoint will be uploaded to your datapad leading you to a retired musician named Grizzlo the city of ');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '96', 'peoples_soldier_01', 'A Jedi must put aside personal feelings when aiding someone they might not find appealing.\n\nTravel to the planet ');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '97', 'peoples_soldier_02', '. Once there, a waypoint will be uploaded to your datapad leading you to an old soldier named Torin Gundo in the city of ');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '98', 'sob_story_01', 'A Jedi should remain calm in the face of emotion.\n\nTravel to the planet ');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '99', 'sob_story_02', '. Once there, a waypoint will be uploaded to your datapad leading you to a young woman named Erim Thelcar in the city of ');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '100', 'spice_mom_01', 'A Jedi should always strive for understanding rather than blind faith.\n\nTravel to the planet ');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '101', 'spice_mom_02', '. Once there, a waypoint will be uploaded to your datapad leading you to a woman named Sola Nosconda in the city of ');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '102', 'surveyor_01', 'A Jedi should be prepared to undertake that which others will not.\n\nTravel to the planet ');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '103', 'surveyor_02', '. Once there, a waypoint will be uploaded to your datapad leading you to a surveyor named Par Doiae in the city of ');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '104', 'politician_01', 'A Jedi should be equally a public servant and a public defender.\n\nTravel to the planet ');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '105', 'politician_02', '. Once there, a waypoint will be uploaded to your datapad leading you to a politician named Kaul Dysen in the city of ');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '106', 'the_ring_01', 'A Jedi must be willing to put himself in danger in order to do what is right.\n\nTravel to the planet ');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '107', 'the_ring_02', '. Once there, a waypoint will be uploaded to your datapad leading you to a man named Keicho in the city of ');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '108', 'kill_baz_nitch_01', 'A Jedi must be an able and courageous warrior.\n\nTravel to the planet ');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '109', 'kill_baz_nitch_02', '. Once there, a waypoint will be uploaded to your datapad leading you to an environmentalist named Menchi in the city of ');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '110', 'kill_sludge_panther_01', 'A Jedi must do whatever is possible to protect the natural order of the universe.\n\nTravel to the planet ');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '111', 'kill_sludge_panther_02', '. Once there, a waypoint will be uploaded to your datapad leading you to an ecologist named Luha Kellaro in the city of ');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '112', 'kill_falumpaset_01', 'A Jedi must understand that there are times when a greater good outweighs a lesser evil.\n\nTravel to the planet ');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '113', 'kill_falumpaset_02', '. Once there, a waypoint will be uploaded to your datapad leading you to a naturalist named Braganta in the city of ');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '114', 'craft_lightsaber_01', 'Thanks to your progress thus far, you have been granted the rank of Jedi Initiate. With this honor comes the ability to craft your first lightsaber. \n\nSuch is your next task... to craft yourself a lightsaber.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '115', 'craft_lightsaber_02', 'Well done. Your first lightsaber is now complete. Before you may use it, though, it requires a Force crystal. \n\nAs your next task, obtain and tune a Force crystal for use with your lightsaber.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '117', 'padawan_trials_being_removed_revoked', 'You no longer meet the requirements for being in the Jedi Padawan trials and are therefore expelled from them. This includes having your Jedi Initiate status revoked.\n\nTo be eligible for the Jedi Padawan trials, you must have six complete Force Sensitive branches.\n\nShould you again meet these requirements in the future, you may restart the  Jedi Padawan trials at that time.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '118', 'already_searched', 'You have already searched the remains of Josef Thelcar. There is nothing else of interest.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '119', 'successful_search_msg', 'Among the remains of Josef Thelcar, you find the blaster that Erim asked you to recover. It looks damaged and no longer useful, but bears markings that are probably a family crest. You worry that placing the fragile blaster in your inventory might damage it further, so you stow it in a safe place.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '120', 'architect_03', 'An architect, Kant Graf, has asked you to clear some land so that he may build there.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '121', 'artist_03', 'An artist, Sathme Forr, has requested your help in getting her supplies from her assistant.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '122', 'bad_cat_03', 'An actor named Yvana Bailer wants you to help put an end to a rampaging predator cat that has escaped.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '123', 'chef_03', 'A chef named Seevi Nyed wants you to stop a lowlife who stole his baked goods.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '124', 'kill_baz_nitch_03', 'An environmentalist named Menchi has asked you to kill 20 baz nitches.\n\nTotal killed so far: ');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '125', 'kill_falumpaset_03', 'A naturalist named Braganta has asked you to kill 20 falumpasets.\n\nTotal killed so far: ');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '126', 'kill_sludge_panther_03', 'An ecologist named Luha Kellaro has asked you to kill 20 sludge panthers.\n\nTotal killed so far: ');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '127', 'old_musician_03', 'An elderly musician named Grizzlo has asked that you find any remaining members from his long forgotten musical group.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '128', 'pannaqa_03', 'Pannaqa, a farmer, has asked for your help in getting a part he needs for his vibro-tiller.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '129', 'politician_03', 'A politician named Kaul Dysen would like your help destroying a bloodseeker mite that is wreaking havoc in the area.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '130', 'sob_story_03', 'Erim Thelcar asks that you find her brother... or at least her brothers remains... and retrieve a blaster that is a family heirloom.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '131', 'spice_mom_03', 'Sola Nosconda has asked you to pick up some supplies for her and bring them to her.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '132', 'surveyor_03', 'A surveyor, Par Doiae, has asked your help in clearing a sharnaff bull from a site where he needs to work.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '133', 'the_ring_03', 'Keicho wants you to retrieve a ring that he lost. This ring is the wedding ring of his wife\'s mother.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '134', 'button_restart', 'Restart Current Trial');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '135', 'button_abort_padawan', 'Quit Padawan Trials');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '136', 'padawan_trials_aborted', 'You have successfully abandoned the Jedi Padawan trials. This has erased all previous progess toward completing the trials.\n\nIf you wish to start again, simply meditate at any Force shrine.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '137', 'padawan_trials_trial_restarted', 'Your current Jedi Padawan trial task has been reset back to the beginning. Meditate at any Force shrine to restart it.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '138', 'padawan_trials_abort_confirmation', 'Quitting the Jedi Padawan trials will remove all progress you\'ve made up to this point in the trials, though you will remain eligilbie to attempt them again in the future should you wish to do so.\n\nAre you certain you wish to quit the Jedi Padawan trials?');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '139', 'padawan_trials_restart_confirmation', 'Restarting your current Jedi Padawan trial task will erase all of your progress on that task to this point. \n\nAre you certain you wish to restart your current task?');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '140', 'padawan_trials_trial_failed_first', 'You have failed to resolve your trial task in a manner worthy of a Jedi. \n\nPonder what you have learned from your actions and then visit a Force shrine to attempt this trial again. \n\nFailing twice more will result in your expulsion from these trials.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '141', 'padawan_trials_trial_failed_second', 'The path of a Jedi is not an easy one, but must be marked with tolerance and understanding. You have again gone astray.\n\nPonder what you have learned from your actions and then visit a Force shrine to attempt this trial again. \n\nFailing once more will result in your expulsion from these trials.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '142', 'padawan_trials_received_the_ring', 'After the thug falls, you take the wedding ring out of his dead, cooling hand and put it in a safe place.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '143', 'force_shrine_wisdom_1', 'Patience is not a gift, but a lesson to be relearned daily.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '144', 'padawan_trials_tell_about_restart', 'Should you desire to do so, you can reset your current trial task back to its beginning by meditating at any Force shrine and selecting the Restart Trial option.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '145', 'force_shrine_wisdom_2', 'Do or do not. There is no try.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '146', 'force_shrine_wisdom_3', 'The Force is a poweful ally. And a terrible foe.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '147', 'force_shrine_wisdom_4', 'Making an error is not a problem. Not learning from it is.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '148', 'force_shrine_wisdom_5', 'There are always more questions then answers.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '149', 'force_shrine_wisdom_6', 'Many of the truths one clings to depend greatly on one\'s point of view.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '150', 'force_shrine_wisdom_7', 'Thinking about the Force accomplishes nothing. One must take action.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '151', 'force_shrine_wisdom_8', 'Even when fighting the great sabercat, it is best not to turn your back upon the lowly serpent.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '152', 'force_shrine_wisdom_9', 'Only you will ever know your own heart.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '153', 'force_shrine_wisdom_10', 'Luminous beings we are... not this crude matter.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '154', 'force_shrine_wisdom_11', 'Keep your concentration here and now where it belongs.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '155', 'force_shrine_wisdom_12', 'The ability to speak does not make you intelligent.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '156', 'force_shrine_wisdom_13', 'He who gambles on the unknown will most often lose.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '157', 'force_shrine_wisdom_14', 'The Force surrounds, penetrates, and binds the galaxy together.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '158', 'force_shrine_wisdom_15', 'To wait and watch is difficult, but must be mastered.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '159', 'peoples_soldier_03', 'A soldier named Torin Gundo seeks your assistance in recovering some stolen supplies.');
INSERT INTO `client_strings` VALUES ('string/en/jedi_trials.stf', '160', 'padawan_trials_started_not_eligible', 'You do not meet the skill requirements for being in the Jedi Padawan trials despite having completed the tasks asked of you by the village of Aurilia.  \n\nTo be eligible for the Jedi Padawan trials, you must have six complete Force Sensitive branches.\n\nTo undertake the Jedi Padawan trials, you must once again meet the expected skill requirements.  Once you do, meditate at any Force shrine to begin the trials.');
INSERT INTO `client_strings` VALUES ('string/en/junk_dealer.stf', '1', 'prose_sold_junk', 'You sell %TT for %DI credits.');
INSERT INTO `client_strings` VALUES ('string/en/junk_dealer.stf', '2', 'prose_no_sale', '%TU cannot buy %TT from you, at this time.');
INSERT INTO `client_strings` VALUES ('string/en/junk_dealer.stf', '3', 'prose_no_buy', '%TU shows no interest in purchasing %TT.');
INSERT INTO `client_strings` VALUES ('string/en/junk_dealer.stf', '4', 'convo_start', 'If you have any items you wish to sell, just hand them to me and I\'ll give you credits... if I am interested.');
INSERT INTO `client_strings` VALUES ('string/en/junk_dealer.stf', '5', 'mnu_sell_junk', 'Sell Junk');
INSERT INTO `client_strings` VALUES ('string/en/junk_dealer.stf', '6', 'mnu_sell_all_junk', 'Sell All Junk');
INSERT INTO `client_strings` VALUES ('string/en/junk_dealer.stf', '7', 'sell_title', 'Sell Junk');
INSERT INTO `client_strings` VALUES ('string/en/junk_dealer.stf', '8', 'sell_prompt', 'Select the item you wish to sell to this junk dealer.');
INSERT INTO `client_strings` VALUES ('string/en/junk_dealer.stf', '9', 'prose_sold_all_junk', 'You sell all of your junk to %TT for %DI credits.');
INSERT INTO `client_strings` VALUES ('string/en/junk_dealer.stf', '10', 'prose_no_all_sale', '%TT is unable to purchase all of your junk and declines the transaction.');
INSERT INTO `client_strings` VALUES ('string/en/junk_dealer.stf', '11', 'prose_no_buy_all', '%TT does not seem interested in buying any of your junk.');
INSERT INTO `client_strings` VALUES ('string/en/junk_dealer.stf', '12', 'prose_junk_sold', '%TT is already in the process of being sold...');
INSERT INTO `client_strings` VALUES ('string/en/kaja_newbie_quest_1.stf', '1', 'kaja1', 'The Emperor has requested you personally for this task.  I hope that you are prepared to show your loyalty to the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/kaja_newbie_quest_1.stf', '2', 'kaja1_reply1', 'I am.  What is it that must be done?');
INSERT INTO `client_strings` VALUES ('string/en/kaja_newbie_quest_1.stf', '3', 'kaja1_reply2', 'I am too busy at the moment.  I\'ll come back later.');
INSERT INTO `client_strings` VALUES ('string/en/kaja_newbie_quest_1.stf', '4', 'kaja2', 'One of the regional governors needs an escort due to some unpleasantness.  I\'ll mark his location on your datapad, and you can escort him to his ship.');
INSERT INTO `client_strings` VALUES ('string/en/kaja_newbie_quest_1.stf', '5', 'kaja3', 'Fine.  Don\'t be too long.');
INSERT INTO `client_strings` VALUES ('string/en/kaja_newbie_quest_1.stf', '6', 'gov1', 'Excuse me?');
INSERT INTO `client_strings` VALUES ('string/en/kaja_newbie_quest_1.stf', '7', 'gov1_reply1', 'Kaja sent me to escort you to your ship.');
INSERT INTO `client_strings` VALUES ('string/en/kaja_newbie_quest_1.stf', '8', 'gov2', 'Let\'s get going then.  Lead the way.');
INSERT INTO `client_strings` VALUES ('string/en/kaja_newbie_quest_1.stf', '9', 'kaja2_reply1', 'I will see to it immediately.');
INSERT INTO `client_strings` VALUES ('string/en/kaja_newbie_quest_1.stf', '10', 'kaja2_reply3', 'What sort of unpleasantness?');
INSERT INTO `client_strings` VALUES ('string/en/kaja_newbie_quest_1.stf', '11', 'kaja4', 'The governor has ruled against the Hutts and some of their more shady trade practices.  Rumor has it that Jabba himself has sent someone to \"see\" the governor about it.');
INSERT INTO `client_strings` VALUES ('string/en/kaja_newbie_quest_1.stf', '12', 'kaja4_reply1', 'Wait...I don\'t need to hear any more of this.  I\'m out.');
INSERT INTO `client_strings` VALUES ('string/en/kaja_newbie_quest_1.stf', '13', 'kaja4_reply2', 'Why was I requested for this?');
INSERT INTO `client_strings` VALUES ('string/en/kaja_newbie_quest_1.stf', '14', 'kaja2_reply2', 'I\'m not interested anymore.');
INSERT INTO `client_strings` VALUES ('string/en/kaja_newbie_quest_1.stf', '15', 'default', '');
INSERT INTO `client_strings` VALUES ('string/en/kaja_newbie_quest_1.stf', '16', 'kaja5', 'That is most unfortunate.  Perhaps when your spine grows back you can return to speak with me again.');
INSERT INTO `client_strings` VALUES ('string/en/kaja_newbie_quest_1.stf', '17', 'kaja6', 'To be perfectly honest there are two reasons.  The first is, the Emperor wants to test your resolve.  See how good you really are.');
INSERT INTO `client_strings` VALUES ('string/en/kaja_newbie_quest_1.stf', '18', 'kaja6_reply1', 'And the second reason?');
INSERT INTO `client_strings` VALUES ('string/en/kaja_newbie_quest_1.stf', '19', 'kaja7', 'Well, the emperor has lost several good agents trying to protect the governor, so it was decided that we would use someone, a little more...um...non-essential.');
INSERT INTO `client_strings` VALUES ('string/en/kaja_newbie_quest_1.stf', '20', 'kaja7_reply1', 'I\'ll have to change everyone\'s attitude then.');
INSERT INTO `client_strings` VALUES ('string/en/kaja_newbie_quest_1.stf', '21', 'kaja7_reply2', 'Non-Essential?!?  I\'m going home.');
INSERT INTO `client_strings` VALUES ('string/en/kaja_newbie_quest_1.stf', '22', 'kaja8', 'That\'s the spirit!  Now, here\'s where you can find the governor.  I\'ll add the information to your datapad.  Make sure nothing happens to him.');
INSERT INTO `client_strings` VALUES ('string/en/kaja_newbie_quest_2.stf', '1', 'kaja1', 'Go to the droid shop and pickup our new protocol droid, ok?');
INSERT INTO `client_strings` VALUES ('string/en/kaja_newbie_quest_2.stf', '2', 'kaja1_reply1', 'Will do!');
INSERT INTO `client_strings` VALUES ('string/en/kaja_newbie_quest_2.stf', '3', 'kaja1_reply2', 'Maybe later.');
INSERT INTO `client_strings` VALUES ('string/en/kaja_newbie_quest_2.stf', '4', 'kaja2', 'Thanks.  He\'s at the droid shop in Deeja Peak.');
INSERT INTO `client_strings` VALUES ('string/en/kaja_newbie_quest_2.stf', '5', 'kaja3', 'Maybe you can help me later then.');
INSERT INTO `client_strings` VALUES ('string/en/kaja_newbie_quest_2.stf', '6', 'droidmerch1', 'Can I help you?');
INSERT INTO `client_strings` VALUES ('string/en/kaja_newbie_quest_2.stf', '7', 'droidmerch1_reply1', 'I\'m here to pick up a droid for the Emperor\'s Retreat.');
INSERT INTO `client_strings` VALUES ('string/en/kaja_newbie_quest_2.stf', '8', 'droidmerch2', 'But that droid\'s already been picked up!  Oh no!  Those people\'s credentials must have been fake!');
INSERT INTO `client_strings` VALUES ('string/en/kaja_newbie_quest_2.stf', '9', 'droidmerch2_reply1', 'Where are the people who picked-up that droid?');
INSERT INTO `client_strings` VALUES ('string/en/kaja_newbie_quest_2.stf', '10', 'droidmerch3', 'I don\'t know where they went.  But I\'ve seen them talking to someone in the cantina.');
INSERT INTO `client_strings` VALUES ('string/en/kaja_newbie_quest_2.stf', '11', 'droidmerch4', 'Did you find the droid?  I bet that guy at the cantina knows where those people took it.');
INSERT INTO `client_strings` VALUES ('string/en/kaja_newbie_quest_2.stf', '12', 'droidmerch4_reply1', 'Not yet.');
INSERT INTO `client_strings` VALUES ('string/en/kaja_newbie_quest_2.stf', '13', 'droidmerch5', 'Well good luck finding it!');
INSERT INTO `client_strings` VALUES ('string/en/kaja_newbie_quest_2.stf', '14', 'thug1', 'Don\'t kill me!  What do you want?');
INSERT INTO `client_strings` VALUES ('string/en/kaja_newbie_quest_2.stf', '15', 'thug1_reply1', 'Some men you know stole a droid.  Tell me where they are, or else!');
INSERT INTO `client_strings` VALUES ('string/en/kaja_newbie_quest_2.stf', '16', 'thug2', 'Leave me alone!  I already told you everything I know!');
INSERT INTO `client_strings` VALUES ('string/en/kaja_newbie_quest_2.stf', '17', 'thug2_reply1', 'Ok, ok.');
INSERT INTO `client_strings` VALUES ('string/en/kaja_newbie_quest_2.stf', '18', 'thug3', 'I didn\'t do anything!  I sold them a modified chip is all!  Leave me alone and I\'ll tell you where to find them.');
INSERT INTO `client_strings` VALUES ('string/en/kaja_newbie_quest_2.stf', '19', 'thug3_reply1', 'Ok, tell me where to find them.');
INSERT INTO `client_strings` VALUES ('string/en/kaja_newbie_quest_2.stf', '20', 'thug4', 'Here\'s where their camp is.  Now let me go!');
INSERT INTO `client_strings` VALUES ('string/en/kaja_newbie_quest_2.stf', '21', 'droid1', 'Activated!');
INSERT INTO `client_strings` VALUES ('string/en/kaja_newbie_quest_2.stf', '22', 'droid1_reply1', 'Follow me.');
INSERT INTO `client_strings` VALUES ('string/en/kaja_newbie_quest_2.stf', '23', 'droid2', 'Certainly!');
INSERT INTO `client_strings` VALUES ('string/en/kaja_quest2.stf', '1', 'kaja1', 'We now know who the assassin was who was paid to kill the governor.  We want you to track him down.');
INSERT INTO `client_strings` VALUES ('string/en/kaja_quest2.stf', '2', 'kaja1_reply1', 'I\'ll get him.');
INSERT INTO `client_strings` VALUES ('string/en/kaja_quest2.stf', '3', 'kaja1_reply2', 'I don\'t have time right now.');
INSERT INTO `client_strings` VALUES ('string/en/kaja_quest2.stf', '4', 'kaja2', 'Good.  I\'ll give you his last known coordinates as a waypoint on your datapad.  Bring him to justice swiftly!');
INSERT INTO `client_strings` VALUES ('string/en/kaja_quest2.stf', '5', 'kaja3', 'That\'s fine.  We\'ll keep tabs on him until you\'re ready to go.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_advancement_d.stf', '1', 'advancement', 'Advancement in Star Wars Galaxies refers to gaining experience for completing certain tasks and training in skill boxes in order to get closer to the Master level of your desired profession. \n\nSee the sub menus below for more information about how character advancement works in Star Wars: Galaxies.\n\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_advancement_d.stf', '2', 'experience', 'Experience is tallied in points and is awarded to the player after they have performed certain tasks. The amount of experience points awarded is presented to the player on their screen as a system message.\n\nExperience granted is only directly relative to the type of task that has just been successfully completed.\n\nSee the sub menus below for more details on how to earn experience, and the different types of experience.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_advancement_d.stf', '3', 'experienceearning', 'Experience is only granted to you when you successfully do something in a particular skill. For instance, to get Surveying experience, you have to successfully perform a survey for resources. When this is done, you will get a message telling you how much Surveying experience you have been granted. You can\'t get Pistol experience from using a survey tool; you need to use your pistol in combat.\n\nDifferent skills require that you earn your experience in different ways. For instance, any of the Artisan professions, (crafters), only get part of their experience from actual crafting. The remainder of their experience is granted to them slowly over time, as their item is used. This is called \"Usage Experience\". There will be more about the different experience types in the sub category \"Experience Types\".\n\nAs you continually succeed in surveying or using your pistol, you will notice that the experience points are accumulated in your Skills Interface (CTRL-S). When you get enough experience of a certain type, you will get a system message telling you that you have become eligible to train in a higher level skill box than you currently have. This is what earning experience is all about.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_advancement_d.stf', '4', 'experiencetypes', 'As mentioned before there are different types of experience for different types of skills.\n\nTo earn combat experience in a certain weapon, you need to use that weapon in combat and successfully defeat creatures. When you do this, you will earn weapon experience as well as general combat experience.\n\nCrafting experience is earned when you successfully craft an item, and then have someone use that item for X amount of time. At lower levels, you get more experience granted to you at the time of item creation than from its long time use. As you get into the higher levels of crafting, your experience allotment leans more towards the long time usage and less for the actual creation of the item.\n\nTo earn healing experience, you need to successfully heal pool damage (Mind, Action, and Health), or successfully heal wounds on other players. Unfortunately, healing yourself will not grant you experience.\n\nEntertainer experience is earned by either dancing or playing an instrument while someone, who needs healing, chooses to \"Watch\" you dance or \"Listen\" to you play. \"Watch\" and \"Listen\", among other choices, are able to be selected through your radial menu (please see the appropriate section for more information on \"radial menus\"). This must be done inside a Cantina, Hotel, or Theater. As you slowly heal them, you earn small ticks of entertainer experience over time.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_advancement_d.stf', '5', 'skills', 'The Determining factor of what kind of character you have is what kind of skills they possess. If you are a combat oriented character, you most likely have some sort of weapon skills. On the other hand, if you are an Architect, you most definitely have skills relating to crafting. \n\nStar Wars Galaxies is a skill-based character progression game, meaning there are no character \"levels\". Your character progresses solely on the use of skills to get better at those skills, and nothing more.\n\nSee the sub menus below to learn more about skill boxes, skill points and skill trainers. \n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_advancement_d.stf', '6', 'skillboxes', 'Skill boxes are found in the Skills Interface, (CTRL-S). As you earn experience in a skill you eventually have enough to train in the next skill box. \n\nTraining in a skill box comprises of having met the requirements for that box, which always means having the necessary experience that the skill requires. If you decide that you wish to train at an NPC trainer, you will also need to provide the necessary credits to train in a particular skill box. Your other option would be to allow another player to \"teach\" you that skill box. The player that teaches you can either do it for free, or ask for money. It\'s up to you to work out a deal with them. Either way, you will need to have the necessary experience the particular skill box requires in order to train in it.\n\nBy clicking on the skill box in the Skills Interface, you can see what skills, certifications, or schematics are granted to you when you have successfully trained in that particular skill. For instance, if an artisan elects to train in \"Surveying I\", he receives a wider range at which he can survey for resources whereas only having \"Novice Artisan\" will grant him a lower range for finding the resources he needs.\n\nHovering your mouse over a skill box that you have not yet attained, in the Skills Interface, will tell you how many experience points you need to be eligible for that box and how many you currently have. This is very handy information to know as it directly relates to your character\'s progression in the Star Wars universe.\n\nA profession, whether it be a Starting Profession or an Advanced Profession, is made up of skill boxes that are strung together to make what we call the \"Skill Onion\". The onion, comprised of the Novice Skill box at the bottom, the Master Skill box at the top, with 4 branches of 4 boxes each in the middle, all require time and effort to achieve. The basic skill boxes at the bottom are typically the easiest to get with the lowest experience and monetary costs. As you move up the skill onion, however, the costs become greater and greater.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_advancement_d.stf', '7', 'skillpoints', 'Skill Points are a set number of points that everyone starts out with from character creation and is never altered. \n\nThese points, totaling 250, are the number of points that the player can use to allot to skills for that character, and are viewable in the Skills Interface (CTRL-S) at the bottom. \n\nAs the player trains in skills, this number is subtracted from 250 until it hits zero and then the player can no longer add any more skills to that character unless they \"surrender\" skills to free up more points. The skill point meter in the Skills Interface shows how many points you have remaining out of the 250 total points, (XXX/250).\n\nDifferent skills have different skill point requirements. The level or complexity of the skill box does not make the skill cost more or less to train, however the Novice skill boxes are typically the most costly.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_advancement_d.stf', '8', 'skilltrainers', 'Skill Trainers are NPCs (Non-Player Characters) that can train you in a specific profession. \n\nMost of the Starting Profession trainers can be found in every city, in a couple of locations, whereas the Advanced Profession trainers might be a bit harder to locate. Most often trainers can be found in the streets or in their respective guildhalls. Using your map to find the guildhalls, or using the /find command in game, will greatly assist in this process.\n\nNPC Trainers will require that you have the necessary experience requirements to train in a skill box, (Novice boxes have no experience requirements), and they will also have a monetary requirement to train as well.\n\nChoosing the \"Converse\" option, from your radial menu, on a skill trainer will initiate the conversation necessary to train at that trainer.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_advancement_d.stf', '9', 'link_skillwindow', 'Skill Window Details');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_advancement_n.stf', '1', 'advancement', 'Advancement');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_advancement_n.stf', '2', 'experience', 'Experience');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_advancement_n.stf', '3', 'experienceearning', 'Earning Experience');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_advancement_n.stf', '4', 'experiencetypes', 'Experience Types');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_advancement_n.stf', '5', 'skills', 'Skills');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_advancement_n.stf', '6', 'skillboxes', 'Skill Boxes');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_advancement_n.stf', '7', 'skillpoints', 'Skill Points');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_advancement_n.stf', '8', 'skilltrainers', 'Skill Trainers');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '1', 'wheredoibegin', 'Welcome to Star Wars Galaxies! You have taken your first steps into a galaxy far, far away.\n\nIf this is your first time playing, it may seem a little overwhelming.  This help area, the Holocron, is your guide to learning everything you need to know to live in this world.  If at any time you are lost, or you need help on a topic, come to this screen.  You can press Control-H to access the Holocron at any time.  We\'ll remind you periodically (as you discover new things in the game) about this screen, and lead you back here. If you want to learn more about the Holocron, you can select \"About the Holocron\" from the topic list to your left.\n\nIf you need to go back over what you learned aboard the space station, you can select \"A Recap of the Tutorial\" from the topic list to your left.\n\nIf, on the other hand, you are ready to begin your adventures, press the button below and we\'ll start out by giving you a tour of your starting city.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '10', 'welcometoswg', 'Star Wars Galaxies is a massively multiplayer online roleplaying game (MMORPG). That means that it\'s a virtual world on the Internet, to which thousands of players can connect simultaneously and have shared adventures. Everything you do will happen on the game servers, and the game will continue whether or not you are logged on.\n\nYou\'ve just left the space station where the Empire processed you as a refugee, and you\'ve been unceremoniously deposited on one of the planets in a starting city. The primary planets in the galaxy each have two or more major cities, and these major cities provide the same basic amenities. We\'ll take you on a tour of these key locations.\n\nBefore going exploring, however, it might be a good idea to take some time to try out all the navigation and interface tips that were given to you in the tutorial. If you need a refresher, this Holocron has a recap of the tutorial, available in the list of topics to the left.\n\nFor now, you should try\n\n  -- moving around. The arrow keys always work, regardless of what keyboard mapping you are using.\n  -- getting used to switching between mouse cursor mode and mouselook mode. This is a key part of the interface in Star Wars: Galaxies. By default, changing modes is accomplished with the ALT key.\n  -- speaking out loud. By default, you do this by simply typing.\n\nIf you dislike the default keyboard mappings, you can change them to a fresh default set, or map your own. We have default settings for EverQuest players, first-person shooter players, and isometric game players (such as Ultima Online or Lineage). You can learn more about the game interface by selecting the \"Interface\" topic from the list to your left.\n\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '11', 'aboutholocube', 'This screen, the Holocron, is an interactive help system. On the left, you see a tree view of categories. You can open up categories by clicking on the yellow squares next to them . Clicking on the category name will display text in this window, related to the subject chosen. You can collapse a category by clicking on the doubled yellow squares.\n\nAs with all interactive screens in Star Wars Galaxies, there is a built-in Help function. You can check or uncheck the box in the upper right corner of the window at any time. It will automatically uncheck after you go through the tooltips once.\n\nWhen you start out in Star Wars Galaxies, we open up the Holocron automatically for you at key points in the game, to guide you through the experience of learning how to play. Everything under the \"Where Do I Begin?\" section can be considered to be part of a tutorial on how to play Star Wars Galaxies. Even if your particular tutorial experience doesn\'t take you to every part of this section, we suggest that you may want to glance through it--you never know when you might want to switch profession tracks, for example!\n\nHowever, the automatic tutorial doesn\'t even begin to cover all the material in the Holocron. You might want to take the time to explore the rest of the Holocron as well. It serves as an interactive manual, and covers many subjects beyond what the tutorial does, including basic travel guide information about the planets and creatures you may encounter in the game. It even includes a handy Glossary of Terms.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '12', 'tutorialrecap', 'This section of the Holocron offers a recap of the tutorial on the space station that occurs right after character creation. It\'s possible to skip this tutorial, so you may have missed it--but we have you covered.\n\nSimply click through the topics to the left to read through basic instructions on navigation, chatting, and interacting with the world.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '13', 'lookandmove', 'Let\'s try looking around. To do so, simply move the mouse. If you have a cursor up, you\'ll need to move it until it is pushing on the edges of the screen. You can look up or down or anywhere you want.\n\nIf you have a mousewheel on your mouse, you can use it for zooming the camera in and out. Scrolling up will zoom all the way into a first person view, and you can scroll down to zoom all the way out to a fairly large distance. In fact, if you prefer, you can zoom out to there, tilt the camera down, and play the game from an overhead view.\n\nPressing the up arrow will move you forward in the direction you are currently looking. To change the direction in which you are moving, you will need to look in a new direction. You can do this by moving the mouse around. Pressing the down arrow will move you backward and the left and right arrows will move you sideways.\n\nYou can also move using the right mouse button. When you\'re in mouselook mode, the right mouse button acts exactly like the up arrow--it moves you forward. Right now, because you\'re reading this Holocron, you happen to be in \"mouse cursor mode.\" The next topic explains what that means.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '14', 'mousemode', 'Star Wars Galaxies has a modal interface. This means that you need to hit a key to switch between what we call \"mouse cursor mode\" and \"mouselook mode.\" Right now, because you have this window open, you are in cursor mode.\n\nTapping ALT on your keyboard will switch between the two modes. If you think you\'ll only be in the other mode for a brief moment, you can also hold down ALT to switch, and when you let the key go, you\'ll switch back automatically. This works regardless of which mode you were in to start with.\n\nWhen you switch out of mouse cursor mode, all the windows that require a cursor to operate will vanish. Don\'t worry, they\'re not gone forever! They\'ll return automatically when you enter mouse cursor mode again. Try it now, and you should see this Holocron go away, and then return when you switch modes again.\n\nLooking around varies a little bit depending on which mode you are in. If you\'re in mouse cursor mode, moving the cursor to the edge of the screen will cause the camera to pan in that direction. If you\'re in mouselook mode, it\'s even simpler: just moving your mouse will change the direction in which you are looking.\n\nThere\'s a few ways to move around; you can use the mouse or the keyboard to do it.\n\nRegardless of which mode you are in, you can always use the arrow keys to move. \n\nYou can also move using the right mouse button. When you\'re in mouselook mode, the right mouse button acts exactly like the up arrow--it moves you forward.\n\nWhen you\'re in mouse cursor mode, though, pressing on the right mouse button means \"move towards the cursor.\" This works best when you have zoomed out all the way and are looking at your character from overhead.\n\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '15', 'chatwithplayers', 'Chatting with other players is very simple. Just type. As soon as you hit the ENTER key, your text will be sent out and can be read by anyone who is nearby.\n\nYou\'ll notice that the text you type appears at the bottom of your screen in what we call the INPUT BAR. This is part of your CHAT BOX. You can see the text that you\'ve spoken, as well as what others have said, in the chat box.\n\nYour text also appears over your head in a CHAT BUBBLE. There\'s lots of styles and appearances for chat bubbles, which helps to identify the tone of the speaker.\n\nThere are a lot of more advanced chat options in Star Wars Galaxies. You can read about them in the Holocron by choosing any of the topics under \"Communication\" from the topic list to the left.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '16', 'lookatobjects', 'To look at objects in Star Wars Galaxies, all you need to do is move your camera until your cursor or reticle is over the thing you want to look at. If it can be interacted with, blue brackets will pop up around it, and the object\'s name will appear.\n\nIf it\'s a living being, you may also get to see its status. From left to right, the elements that appear beside the name are:\n\n- a number that indicates how accurate you will be trying to hit it with your equipped weapon. If you\'re out of range, it\'ll show as three dashes like this: ---\n\n- the being\'s health, action, and mind stats. These show up as red, green, and blue bars respectively, and are often affectionately called the \"HAM bars.\"\n\n- the \"con meter.\" This is a little colored explosion icon that indicates how tough the being would be in a fight. Green means it\'s easy, blue somewhat easy, white slightly difficult and yellow through red means it\'s increasingly tougher to kill.   You probably don\'t want to tackle anything with a con other than green or blue at first, until you know more about the game.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '17', 'usingobjects', 'You can use an object by just double clicking on it with your cursor. You\'ll notice that when you hover your cursor, or reticle, over an object, the shape of the cursor changes. The shapes indicate what action will be performed when you double-click. For example, a plate with a fork and knife means that double clicking on it will allow you to eat the object. A large, red encircled \'X\' means that you\'ll attack it.\n\nFor most beings you see in the cities, the default choice will be to examine the being or converse with it. In some cases, you\'ll be able to attack it.\n\nThere are many more things you can generally do with objects in the world. The next topic, on \"The Radial Menu,\" will explain how you can perform more complex actions on objects.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '18', 'radialmenu', 'If you click and hold down the mouse button while hovering over an object, or NPC, you will get an expanded menu of options. We call this the RADIAL MENU. Options for interacting with the object will appear in a circle around the object.\n\nIt can take a little while to fetch all the available options from the server. As long as the blue \"downloading\" animation is playing, there are still more options that have yet to be displayed. When it stops moving, then you know that all the options have been downloaded.\n\nThe option at the top is always the default action that will be performed if you double click on the object.\n\nTo choose an option, simply move the mouse to the option you want, and let go of the mouse button once you\'re over it.\n\nRadial menu options can have submenus as well. If you hover for a moment over a button, you might see additional choices pop up as a submenu on that button.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '19', 'conversations', 'One of the options on the radial menu for almost every NPC you encounter is \"Converse\". When you select this option, a special interface will open on top of the selected NPC.\n\nOn the left side of this display will be the speech spoken by the NPC, and on the right side will be a multiple choice listing of possible responses you have available. One of the options will be \"Stop Conversing\", which will end the conversation. You can click on the options while in mouse cursor mode or while in mouselook mode.\n\nYou can move around during the conversation, by the way. You don\'t need to stand still. The conversation will automatically end when you get too far away from the NPC.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '20', 'containers', 'Some objects are containers, and one of the choices on the radial menu will be \"Open\". (If it\'s an NPC\'s corpse, the option will be called \"Loot\" instead, but it means the same thing).\n\nWhen you open a container, you will see a container window. This window shows you the contents of the container. You can pick things out from the container and drag them into another container or into your inventory.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '21', 'inventory', 'You have a special menu called your \"Inventory\" that lets you carry the items you find in Star Wars Galaxies. You can reach it either by pressing CTRL-I or by pressing the inventory button on your button bar in the lower left corner of the screen. You can identify the inventory icon, on the button bar, with a suitcase. \n\nYour Inventory has a limited capacity, and there\'s a bar at the bottom showing you how much room you\'ve taken up. Items that are currently equipped or are being worn will show up with a green background.\n\nAfter finding a container or corpse with items in it, you\'ll probably want to drag those items to your inventory.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '22', 'toolbar', 'Along the top middle portion of your screen you will see your Toolbar. The Toolbar allows you to place hotkeys (keys to which you have quick access) to abilities and items for easy access. You can add items to your Toolbar by simply left clicking on an item or ability icon and dragging it onto one of the boxes. \n\nYou can instantly access any of these hotkeys by pressing the corresponding function key on your keyboard (F1 through F12). Right clicking on any of these hotkey boxes will bring up an options menu allowing you to perform the hotkey\'d action, remove the hotkey, bind the hotkey to a key or enter a description for that hotkey. \n\nYou have a total of six banks of hotkeys that you can toggle with the up and down arrows on the left hand side of the Toolbar or by pressing Ctrl+~ in the default keyboard setup. \n\nIn addition, if you find yourself in need of more Toolbar space, you can left click on the lower portion of the toolbar and drag it down to reveal a second set of hotkey boxes for each bank. This second row of hotkey boxes is accessed by pressing Shift+the corresponding function key (Shift+F1 through Shift+F12).\n\nIf you find that using fuction keys are cumbersome to your gameplay, you can reassign your hotkeys to the keys of your choosing. You may do this through your \"Options\" menu.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '23', 'buyingitems', 'As you are moving around the cities in Star Wars Galaxies, you will see various kind of terminals that will allow you to purchase items and equipment to aid you in your adventure.\n\nTo access these terminals and purchase items target the terminal and double-left click on it. A menu listing the items available on this terminal will display. Left click to choose one and then click on the purchase button. The credits for the item will be removed from your character and the item will be placed into your inventory.\n\nBe aware that you can attempt to buy items when your inventory is full. Make sure you keep some room for your purchases.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '24', 'bank', 'The bank in Star Wars Galaxies has many useful functions for the adventurer. You can use the bank to store money and items safely to free up space in your inventory.\n\nIf you double click on a bank terminal, it will open the credit transfer option by default. If you left click and hold on the use option of the radial menu, more options will become open to you. The options available are \"Withdraw All Credits\", \"Join Bank\", \"Quit Bank\", \"Safety Deposit Box\", and \"Withdraw/Deposit\".\n\n\"Withdraw All Credits\" allows you to remove any credits you have in the bank and place it in your cash pool. Note: Trading with players often requires you have cash with you while many terminals and services can draw funds directly from your bank.\n\nIn order to access a safety deposit box, you have to join a particular bank. Once you have selected \"Join Bank\", you will have access to the \"Safety Deposit Box\" and \"Quit Bank\" options. The safety deposit box option will open a small window in which you can drag items from your inventory for safekeeping. However, the safety deposit box is limited to a specific planet. For instance, if you \"Join Bank\" and opt to use the safety deposit box on Tatooine, you cannot access it on Naboo.\n\n\"Withdraw/Deposit\" is the default action when you double click on a banking terminal and is the option that lets you transfer specific amounts between your cash and bank pools. ');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '25', 'dying', 'In Star Wars Galaxies, when your Health, Mind, or Action pool reaches zero, you will become incapacitated. Being incapacitated is similar to being knocked unconscious and does not mean that your character has died. If you are incapacitated, there will be a timer at the bottom right corner of your screen that will represent how much longer your character will remain in the incapacitated state.\n\nSometimes creatures, NPCs, or other players might decide to go ahead and actually kill your character after it has been incapacitated.  This is commonly referred to as a \"Death Blow\". Don\'t worry - your character is not dead permanently.\n\nWhen your character has been killed, a menu will pop up with your cloning options. We will cover these options in the next section.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '26', 'cloning', 'Cloning is the term used in Star Wars Galaxies to refer to the system that allows your character to respawn after being killed. When your character dies, a menu will pop up with your cloning options. These options will always include \"Clone closest Uninsured\". What does that mean? We will explain it.\n\nYou can always clone to the nearest cloning facility but let\'s say that you decided you want to go to a specific place regardless of where you died. To do this you would need to go to the cloning facility in the city you want to respawn in and pay a cloning fee to save your characters clone at that location. Now if you die you will have two options \"Clone closest Uninsured\" or \"Clone designated Uninsured\". The designated facility is the one you saved your clone at while the closest will vary depending on your location.\n\nIt is of note that just because you save your clone at a location does not mean that you saved your character, you have only specified the prefered location to clone at. When you clone in Star Wars Galaxies you will retain all the experience and skills that you had earned up to the point of your death, however you will also retain all of your wounds.\n\nWhen cloning without insurance you will receive a waypoint to the location of your corpse. If you proceed back to the location of your death you can loot your corpse and regain any items and cash that were on your character upon death.\n\nShould your cloning options fail to appear for some reason, you can use the command /activateclone\nIf that still does not work for you use the emergency only command /activateclone now');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '27', 'insurance', 'When you die, certain items in your inventory take 5% damage. Insuring an item will reduce this to 1% damage (or 0% if you suffer a Faction death). \n\nYou can purchase insurance from the insurance terminals inside of a cloning facility. You have the option of selecting individual items to insure or to simply insure all of your items. Note: Depending on the number of items you have and their value, insurance can be expensive.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '28', 'equipment', 'To use an item or piece of equipment, simply left click and hold on the item in your inventory. The radial menu will pop up displaying the options you have for manipulating that object.\n\nIf the object is a piece of clothing, armor or a weapon, you will have the option to equip it. This will place the item onto your character. You can also do this quickly by double clicking the item in your inventory. Items that are currently being worn or are equipped on your character will highlighted in green.\n\nIf the object is a piece of food, a medical stim pack, crafting tool or similar item, there will be a \"Use\" option. If you click your mouse over the use option, more options may appear specific for the item. For instance, you can hold your mouse button on a surveying tool. The \"Use\" and \"Examine\" choice will expand from the activated radial menu. If you move your cursor to \"Use\", and continue to hold down the mouse button, you will additionally receive a new option to choose beneath it.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '29', 'combat', 'Creatures or NPCs (Non Player Characters) that you can attack will have red, or yellow, names above their heads when you target them. To engage in combat, left click on the NPC to select it as your target. You now have two options.\n\n1) left click and hold on the target to pull up the radial menu and select attack.\n2) use the tilde key (~) to open the radial menu and click attack or press the corresponding option number (if attack is on top it would be option one, if attack is the second option it would be two).\n\nYour character will automatically go into combat mode upon selecting attack. Assuming you are in range, your character will begin to attack the target with default attacks. You and your target will continue to exchange attacks until one of you flees or is incapacitated.\n\nMax range is 64m for ranged weapons.\nMax range on most melee weapons is about 3-8m.\n\nThe range of your target is displayed in the upper right hand corner by the target\'s name.\n\nIf you are out of range, the accuracy numbers to the left of the target\'s status bars will show as a --- symbol.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '30', 'experience', 'As you adventure in Star Wars Galaxies you will gain experience. In order to learn new skills and advance your character, you will need to meet the requirements of that skill. Skills have both prerequisite requirements and experience requirements. For instance, you cannot immediately  learn Advanced Carbine Skill; you would have to learn Intermediate Carbine Skill first. The only skills that do not have an experience requirement are the Novice skills of all the starting professions.\n\nWhat is a Novice skill? A Novice skill is the basic skills a given profession would have as a starting adventurer. For instance, Novice Medic skill will grant the ability to heal wounds and damage, while Novice Entertainer will give the ability to dance and play music.\n\nYou can access the skills window by pressing Ctrl+S or by clicking the lightning bolt in the button bar at the bottom right hand corner of your screen. In the skills window, you can view the skills trees for the professions your character has on the \"My Professions\" tab or by clicking on the \"All Professions\" tab. You can view the skill trees for all professions in the game.\n\nLet\'s say we want to learn Novice Scout. We need to find a Scout trainer.  Scout trainers are found in the Commerce Guild. To quickly find a Commerce Guild, you\'ll want to type /find and select \"Commerce Guild\" from the window that opens (selecting an option from the \"find\" window produces a waypoint for your convenience). If we go to the newly-created waypoint, we will find a Scout Trainer inside the building with whom we can converse. Conversing with the trainer will result in several options, one of which is \"What skills can I learn\". Selecting this option from his conversation list will display the skills he can currently teach, and you can currently learn. For example, a Scout Trainer can teach scout skills, but cannot teach skills that an Entertainer Trainer would teach. \n\nClicking on a skill, provided that you have enough experience points and credits, will tell the trainer that you\'d like to learn that particular skill.\n\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '31', 'missions', 'Missions are a way for you, as an adventurer, to run errands for NPCs (Non Player Characters) to earn credits and have some fun. You can get missions from a mission terminal or by talking to NPCs\n\nWhen you get a mission, an entry will be made in your datapad. You can access your datapad by pressing Ctrl+D or by clicking on the little battery icon, located on the button bar, in the bottom right portion of your screen. You can left click and hold on the icon in your datapad to choose options like viewing the mission details.\n\nWhen you activate a mission waypoint an orange arrow will point the direction to your target. As you get closer to the target, you will see a beam of light coming from the sky directing you to where you want to be.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '32', 'intheworld', 'Here you are, fresh out of the tutorial and just off the shuttle. The sections below one will help you answer the question of \"What do I do now?\".\n\nWe will cover things to help you get going in your starting profession and assist you in finding what you need in your chosen starting city.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '33', 'exploring', 'We\'re going to start out by introducing you to the important buildings in your city. You will be visiting these buildings many times while playing Star Wars Galaxies. It\'s important that you familiarize yourself with their location, appearance, and function.  Don\'t worry if it takes you a while to remember where these building are. We\'ll also teach you about the tools available to help you find important things in the game.\n\nLet\'s start out by getting our bearings. If you hit Ctrl+M, you can open the overhead map of the area around you. This will give you some idea of where you are and what buildings are around you that might not be in view. You may want to spend some time just walking around to get a little more familiar with the city before starting the city tour.  As you walk around town with this map open, you will notice that important areas are marked on the map.\n\nWhen you are ready press the button below to begin the your tour of the city.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '34', 'findskilltrainer', 'When you are ready, we\'ll show you the way to the nearest Skill Trainer for your chosen profession.  Pressing the button below will close the Holocron and create a Waypoint to your Skill Trainer.  Once you have arrived at your Skill Trainer, the Holocron will open again and we\'ll continue the tour.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '35', 'findbank', 'When you are ready, we\'ll show you the way to the nearest bank in this city.  Pressing the button below will close the Holocron and create a Waypoint to the nearest bank.  Once you have arrived at the bank, the Holocron will open again and we\'ll continue the tour.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '36', 'findcloning', 'When you are ready, we\'ll show you the way to the nearest Cloning Facility in this city.  Pressing the button below will close the Holocron and create a Waypoint to the nearest Cloning Facility.  Once you have arrived at the Cloning Facility, the Holocron will open again and we\'ll continue the tour.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '37', 'findhospital', 'When you are ready, we\'ll show you the way to the nearest Medical Center in this city.  Pressing the button below will close the Holocron and create a Waypoint to the nearest Medical Center.  Once you have arrived at the Medical Center, the Holocron will open again and we\'ll continue the tour.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '38', 'findcantina', 'When you are ready, we\'ll show you the way to the nearest Cantina, or Theater in this city.  Pressing the button below will close the Holocron and create a Waypoint to the nearest Cantina or Theater.  Once you have arrived at the establishment, the Holocron will open again and we\'ll continue the tour.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '39', 'playingartisan', 'Artisans play an integral role in Star Wars Galaxies. While primarily a non-combat profession, Artisans are the backbone of the economy.\n\nWant to own a house someday? You will need an Architect. Want to get a new blaster? Better find a Weaponsmith. Need some Armor? You will need to look to an Armorsmith. All of these professions started as Artisans.\n\nThe starting Artisan profession will give you a taste of all the facets of the wonderfully complex and interesting crafting system.\n\nThe following sections will teach you about the different facets of the Artisan profession and what they can become.  When you are ready, we\'ll start by teaching you about Draft Schematics.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '40', 'artisandraftschematics', 'Draft Schematics are the blueprints of Star Wars Galaxies. As an Artisan, you can check what draft schematics you have by viewing the draft schematic tab on the Datapad (Ctrl+D).\n\nAs you gain skill levels in the various Artisan skill tree branches, you will acquire new schematics.\n\nSo what exactly are these schematics?  Draft Schematics contain all the needed information for your crafting tool to create an item.  By looking at the schematic, either in your Datapad or Crafting Tool, you\'ll be able to see what kinds of materials and how much of each the schematic requires.  \n\nThe most basic ingredient of all crafted items are raw resources.  (We\'ll teach you more about resources in a moment.)  Advanced schematics will require higher quantities of resources as well as very specific resources or rare resources.  In addition to raw resources, some schematics require crafted components.  These components are crafted using other Draft Schematics.\n\nYou may not always know how to make the component required by your schematic or it may not be worth your time to create it yourself.  In these situations, you will want to seek out other players to buy the components from.\n\nYou\'re probably pretty excited to start crafting items right away, but first you are going to need to learn how to get the resources that are needed to craft with.  When you are ready, press the button below and we\'ll learn how and where to get resources.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '41', 'artisanexperience', 'Artisans gain experience in two different methods.\n\nThe first method is by extracting and harvesting resources. Resource harvesting gives the Artisan surveying experience that can be used to go up the survey tree of skills.\n\nThe second method is by crafting items. Not just crafting items but crafting items that other people use. This means,  in order to gain experience, you must not just make five survival knives, you need to give or sell these knives to people who will put them to use for you to get experience.\n\nAs an Artisan you will only use general crafting experience but as you progress to other professions the experience will become more specific. Examples are Weaponsmiths gaining Weapons Crafting experience, while Architects gain Structure Crafting experience.\n\nPress the button below to learn about the Artisan disciplines.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '42', 'artisanresources', 'You can acquire resources in a number of different ways. You can acquire them yourself with your surveying tools, use a Harvester to get them for you, or purchase them from another player.\n\nThe most common way an Artisan gains resources is by surveying and sampling. There are survey tools for each of the inorganic resource types and one for organic flora objects.\n\nThe different types are Mineral, Chemical, Gas, Water Vapor, and Flora.\n\nThe first time you use your survey tool, you will have to hold down on the tool until \"Tool Options\" pops up on the radial menu. Click on \"Set Range\" and choose the one range you have available. (As your Surveying skills increase additional options will become available.) Now that you have done this, you can use the tool. \n\nUsing the Survey Tool causes the surveying window to pop up. On this window you will see a list of the resources you can survey for with this tool. Select one and click survey. If the resource is found in the area it will be displayed on the little map and a waypoint to the highest concentration will be placed. If this is the type of resource you want to acquire then move to that waypoint and survey again. Continue to do this until you reach the highest concentration in your area. Note: Resource pools can go anywhere from 1% to 100% concentration.\n\nOnce you find a good concentration, click the get sample button. Your character will automatically begin to attempt to retrieve samples until one of three things happens.\n1) You move\n2) You run out of action or mind pool for sampling\n3) You exhaust the sampleable resource in the immediate area.  \n\nNote, exhausting the sampleable resources in the immediate area doesn\'t mean that the resource pool is exhausted, only the easily acquired resources near the surface.  Moving just a couple meters is often sufficient to allow you to continue sampling resources.  Harvesters are able to retrieve resources deeper than your surveying tools can and can continue to retrieve resource from a single location until the resource pool is depleted.\n\nSurveying for raw resources can also be a good way to make a little money.  NPCs in Star War Galaxies will sometimes hire you for Survey Missions.  Click the button below to learn more about these Survey Missions.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '43', 'artisancrafting', 'Crafting in Star Wars Galaxies is accomplished by using a crafting tool. As a Novice Artisan you will start out using a generic crafting tool that will allow you to craft all kinds of basic items. Later on, as you use more advanced Draft Schematics, you will need to use specific tools to create more complex items.  The complexity of the Draft Schematic will determine what kind of tool you need to craft the item.  Only schematics up to complexity 15 can be crafted with the generic crafting tool.\n\nUse the crafting tool and select the item you wish to craft from the list. You will be taken to the assembly screen and there will be a box with, and in it, the resources that you have that can be used for this schematic. Double click or drag resources into the appropriate boxes. (ie. Metal into a slot requiring metal or polymer into a slot requiring polymer.) You must use the same resource to fill a slot. This means you cannot take two different types of copper and put them in the same slot. It would need to be a stack of the same resource in order to be used in a single slot. When all slots are full that are required for the item, you will need to click assemble. It is possible to fail. Once you have succeeded, you will get a screen telling you how the item turned out. Continue on to the next screen in the crafting interface and name your item. After doing this and continuing again, your crafting tool will generate the prototype. You will see the numbers on your crafting tool count down and the item will be deposited in your inventory. Note: the pop up help can be very useful the first couple times you craft and will help guide you through this.\n\nMore advanced crafting is possible with specific crafting tools and crafting stations.  Crafting stations are very useful when crafting items and are very easy to use.  You only need to be standing near the correct type of crafting station and your special crafting tool will automatically connect to the station to take advantage of its advanced features. Using a Crafting Station will allow you to experiment with the final product and could increase its value and usability.  Click the button below to learn more about advanced crafting.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '44', 'artisandisciplines', 'There are four disciplines or skill trees inside the Artisan profession.\n\nEngineering: This skill tree concentrates on the creation of mechanical type items and is the prerequisite for the Weaponsmith, Armorsmith, Architect, and Droid Engineer professions.\n\nDomestic: This skill tree is specialized on the creation of both clothing and food items and is the prerequisite for the Tailor and Chef.\n\nBusiness: This is the specialized skill tree for the management of vendors and is prerequisite for the Merchant profession.\n\nSurveying: This skill tree governs how well you use surveying tools and harvesters.\n\nPress the following button when you are ready to learn about the advanced professions available to the experienced Artisan.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '45', 'artisanfromhere', 'Artisans have a lot of options open to them. The ones you decide to pursue are up to you. Below is a list of the different advanced professions available to an Artisan.\n\nWeaponsmith: Crafter of everything from Blaster Rifles to Vibro Axes. The Weaponsmith masters the art of making ranged, melee, and munition weaponry.\n\nArmorsmith: From personal shield generators to personal armor, bone to composite. Armorsmiths offer the galaxies best protection from the dangers you might encounter.\n\nArchitect: Want to make houses, factories, and harvesters? The Architect will be in demand as everyone wants a place to call their own.\n\nDroid Engineer: R2, R3, R4, 3PO, CLL8 Load Lifter. Droids are everywhere in Star Wars Galaxies and are highly customizable robotic servants that can assist players in many ways.\n\nTailor: It\'s all about style. Tailors can make and customize clothing to give the sense of fashion and style everyone wants.\n\nChef: Cook in Star Wars Galaxies? You bet. Food and Drinks give stat enhancements to make characters more powerful for a limited time.  Chefs can make everything from full meals to desserts and even mixed drinks.\n\nMerchant: Wheelers and dealers of the galactic marketplace, Merchants specialize in the management and ownership of shops and vendors.\n\nThat covers the basics of playing an Artisan, at any time you can review the Holocron to remind yourself about the mechanics of playing an Artisan or to learn other topics.\n\nWhen you are ready press the button below to learn some more of the general activities available to you in Star Wars Galaxies.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '46', 'playingmarksman', 'Marksmen are the masters of ranged combat in Star Wars Galaxies. Be it a blaster pistol or a laser rifle, if you want to deal damage while keeping distance between you and the target, this is the profession for you.\n\nPlaying as a Marksman, you should always try to put yourself in the best position to take advantage of your abilities and do as much damage as possible.\n\nIn a party, the Marksman is a core damage dealer and skill in the Marksman disciplines is required for many advanced professions.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '47', 'marksmanweapons', 'There are three different schools of ranged weaponry in Star Wars Galaxies.\n\nPistols: fast firing and good at close range. Optimum range is 25 meters or less.\n\nCarbines: lots of special attacks and effective at medium range. Optimum range is around 40 meters.\n\nRifles: long ranged combat at its finest. Not as fast as a carbine or pistol but generally deals greater damage at a slower rate of fire. Optimum range is 64 meters.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '48', 'marksmanarmor', 'As a Marksman, a core combat class in Star Wars Galaxies, it is important to use the right equipment. This includes both weapons and armor. Armor can greatly increase your survivability in combat and it is advised that you find some when you can.\n\nWhen you examine a piece of armor, it will have a base effectiveness rating which will tell you the percentage it decreases damage done to you. In addition, it most likely will be more effective against certain damage types dependant on the type of armor.\n\nBe warned, however, that the protections of armor do come at a price.  Most armor is bulky and cumbersome to wear and can interfere with your efficiency at certain tasks.  Each piece of armor has an attribute penalty associated with it.  As you put on more and more armor, you will notice that your secondary attributes will decrease (Strength, Constitution, Quickness, Stamina, Focus and Willpower.)  This will cause the costs of special actions to increase and will slow down the rate at which your Health, Action and Mind regenerate.  In some cases, wearing armor, and penalties associated with it, outweighs the risks of a quick death.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '49', 'marksmantactics', 'As simple as it may sound, Marksmen are ranged fighters and, as such, generally don\'t fare well when engaged in melee combat.  The most important tactic is to remain at the optimal range of your chosen weapon, because regardless of how powerful that rifle at your side is, it won\'t do you any good once the enemy is on top of you.  \n\nVarious options are available to keep that critical distance from your opponent.  Several special abilities are available to the Novice Marksman to kill their opponent faster and, as you become more experienced, more skills and abilities will become available.  \n\nThe most successful Marksmen know how to use the advantages of a group.  Nothing can be more devastating than a well-organized group with Brawlers to pin an opponent down and Marksman to rain massive damage from afar.\n\nExperimentation will most likely be required to see what works for you.  Don\'t be afraid to stick your neck out there and try.  No worthwhile reward comes without risk.\n\nIt\'s now time to risk a little and put into practice a bit of what you have learned so far.  Press the following button to learn a little about Destroy Missions and to try your hand at a simple sample mission.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '50', 'marksmandisciplines', 'There are four disciplines or skill trees inside the Marksman profession.\n\nPistol:  This skill tree governs the use of pistols.  Higher skill levels will allow you to perform additional special abilities while wielding a pistol.  Advancement requires Pistol Experience.\n\nCarbine:  This skill tree governs the use of carbines.  Special carbine abilities become available as you progress in this discipline.  Advancement requires Carbine Experience.\n\nRifle:  This skill tree is for the use of rifles.  Progression in this discipline will grant you use of special rifle abilities.  Advancement requires Rifle Experience.\n\nRanged Weapon Support:  This skill tree covers tactics and abilities applicable to all ranged weapon types.  The special abilities granted from this discipline are usable with all ranged weapons.  Advancement requires Combat Experience.\n\nPress the following button when you are ready to learn about the advanced professions available to the experienced Marksman.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '51', 'marksmanfromhere', 'There are lots of advanced professions available to the Marksman.  What you choose to specialize in is up to you.\n\nPistol Specialist:  This profession opens up even more special abilities and tactical options when wielding a pistol.  Very few opponents will risk closing with a master pistol specialist for fear of never reaching their target.\n\nCarbine Specialist:  Carbine Specialists are the masters of mid-range combat and area effect tactics.  A skilled carbine specialist can devastate large groups of opponents while still keeping them at a distance.\n\nRifle Specialist:  Master of long-range combat, the Rifle Specialist is truly a fearsome enemy.  Master rifle specialists have been known to kill opponents from such concealed distances that their targets were never even aware of their existence.\n\nSquad Leader:  The Squad Leader is a master at controlling a tactical situation.  Their extensive knowledge of ranged tactics combined with their survival techniques gives people of this profession a distinct advantage in large combat situations.  The proficient leadership abilities of the master Squad Leader allows them to inspire those under their command to perform beyond their abilities.  This profession also requires experience in the Scout Exploration and Survival disciplines.\n\nCombat Medic:  Combat Medics are invaluable on the battlefield.  Their medical abilities combined with their ranged tactics allows the Combat Medic to fulfill both a defensive and offensive role.  Whether it\'s healing a wounded comrade or preparing a toxic gas weapon, the Combat Medic\'s skills are always in demand.  This profession also requires being a Master Medic.\n\nCommando:  Commandos are the masters of all known weapon techniques.  Having mastered both the Marksman and Brawler professions, Commandos continue expanding their expertise into the use of heavy weapons and custom crafted grenades.  This profession also requires being a Master Brawler\n\nBounty Hunter:  Like the Commando, the Bounty Hunter is proficient in the use of all standard weapons.  However, the Bounty Hunter uses his expertise to track down and capture sentient beings.  Training in the use of tracking droids, the Bounty Hunter is able to locate targets regardless of where they try to hide.  This profession also requires being a Master Brawler.\n\nWhen you are ready press the button below to learn some more of the general activities available to you in Star Wars Galaxies.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '52', 'playingbrawler', 'Ahh, the life of a Brawler.  Up close and personal, that\'s the honorable way to fight, not hiding behind corners and shooting with blasters.\n\nThe path to being a Master Brawler is not an easy one, but what fun would life be without a few risks.\n\nPress the button below to learn more about playing a Brawler.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '53', 'brawlerweapons', 'There are three basic classifications of Brawler weapons; one-handed swords, two-handed swords and polearms.  Keep in mind, Brawlers don\'t actually require a weapon to be effective.  Some of the most feared Brawlers in the galaxy fight with nothing more than their bare hands and feet.\n\nOne-Handed Swords:  This class weapons covers most one-handed weapons.  Anything from a large knife to a laser-sword falls into this group.\n\nTwo-Handed Swords:  All large two-handed weapons fall into this class of weapon.  This includes vibro-axes and deadly light sabers.\n\nPolearms:  This classification of brawling covers long pole-style weapons from staffs to vibro-lances.\n\nTo learn about armor press the following button.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '54', 'brawlerarmor', 'Armor can be vital to your survivability.  Because you choose to face your opponents in close combat, chances are you\'re going to get hit.  Armor will significantly reduce the amount of damage you take.\n\nDifferent kinds of armor protect against different kinds of damage. Choose wisely when deciding what armor to wear.  Try to know ahead of time what kinds of opponents you are likely to face, as it\'s not possible to protect yourself against every possible situation.\n\nThe protections of armor do come at a price, however.  Most armor is bulky and cumbersome to wear and can interfere with your efficiency at certain tasks.  Each piece of armor has an attribute penalty associated with it.  As you put on more and more armor you will notice that your secondary attributes will decrease (Strength, Constitution, Quickness, Stamina, Focus and Willpower.)  This will cause the costs of special actions to increase and will slow down the rate at which your Health, Action and Mind regenerate.  \n\nVery brave, or foolhardy, Brawlers have been known to fight with little to no armor preferring to rely on their speed and skill to save them.  Don\'t feel that this is required, however.  Proof of your bravery is of little consequence when you lie dead at your enemy\'s feet because you chose to forego the protections of armor.\n\nIf you are prepared to learn about melee tactics press the button below.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '55', 'brawlertactics', 'It may seem that there are few tactics available to the Brawler beyond running up and attacking their opponent.  This is not true.  Melee combat tactics are just as vital to the outcome of a battle as ranged combat tactics are to a Marksman, they just tend to be a bit more subtle.\n\nAs a Novice Brawler, you start with a few special abilities available to you.  As you gain experience in the various Brawler disciplines, you\'ll learn more and more abilities.  How and when you use these abilities can make the difference between winning and losing a battle.\n\nUse of a special ability will cost you points from your Health, Action or Mind pools.  Be careful when choosing what special action to perform and know how it\'s going to affect your combat pools.  Using the wrong special action at the wrong time could leave you vulnerable and could spell your doom.  Carefully weighing whether to use your special abilities and when they\'ll have the most impact is vital to your success in combat.\n\nWhen you are ready to try your hand at combat press the button below.  You will learn a little about Destroy Missions and then get a chance to try one.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '56', 'brawlerdisciplines', 'There are four disciplines or skill trees inside the Brawler profession.\n\nUnarmed:  This skill tree covers the techniques and abilities of fighting without any weapons.\n\nOne-Handed Sword:  This discipline grants skills and abilities for fighting with one-handed swords.\n\nTwo-Handed Sword:  This discipline covers the fighting techniques of two-handed swords.\n\nPolearms:  This skill tree is for advancing your combat abilities with Polearm weapons.\n\nYou have learned the basics of playing a Brawler.  When you are ready, press the following button to learn about the advanced profession that are available to the experienced Brawler.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '57', 'brawlerfromhere', 'There are several of advanced professions available to the Brawler.  What you choose to specialize in is up to you.\n\nTeras Kasi Specialist:  The Teras Kasi Specialist is a master of unarmed combat.  Using only their hands and feet, they are able to deal devastating damage to an opponent.  Teras Kasi masters have been known to perform amazing feats, like healing wounds or shaking off stunning blows, with the will of their mind alone.\n\nOne-Handed Sword Specialist:  The One-Handed Sword Specialist has mastered all kinds of one-handed sword techniques. \n\nTwo-Handed Sword Specialist:  The Two-Handed Sword Specialist has mastered all kinds of two-handed sword techniques.\n\nPolearm Specialist:  the Polearm Specialist is a master of all polearm style weapons.\n\nCommando:  Commandos are the masters of all known weapon techniques.  Having mastered both the Marksman and Brawler professions, Commandos continue expanding their expertise into the use of heavy weapons and custom crafted grenades.  This profession also requires being a Master Brawler.\n\nBounty Hunter:  Like the Commando, the Bounty Hunter is proficient in the use of all standard weapons.  However, the Bounty Hunter uses this expertise to track down and capture sentient beings.  Training in the use of tracking droids, the Bounty Hunter is able to locate targets regardless of where they try to hide.  This profession also requires being a Master Brawler.\n\nWhen you are ready press the button below to learn some more of the general activities available to you in Star Wars Galaxies.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '58', 'playingmedic', 'Medics are vital in the world of Star Wars Galaxies.  One thing can be always guaranteed, when there\'s combat, people are going to get hurt and where you have hurt people, Medics are going to be needed.\n\nAre you prepared to fill this crucial role?  In the following sections, we\'ll teach you about the core aspects of playing a Medic in Star Wars Galaxies.\n\nWhen you are ready we\'ll start by teaching you about Damage and Wounds.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '59', 'medicdamage', 'There are three pools in which each person can take damage; Health, Action and Mind.  When any given pool is fully depleted, you will become incapacitated.  Once you have become incapacitated, an NPC or a player can kill you by delivering a death blow. Unless you have a Doctor with you while adventuring, there isn\'t a conceivable way to \"cure\" death. However, after your death, you can clone to the nearest Cloning Facility and continue to play Star Wars Galaxies.\n\nIn addition to regular damage, people can also take more serious Wounds.  These Wounds don\'t heal naturally and will require medical attention.  As a Medic, your ability to deal with wounds is rather limited until you advance further in your profession. However, the advanced professions, such as a Doctor or Combat Medic, are more efficient in healing.\n\nOf the three types of damage and wounds that people can get, you will only be able to heal Health and Action.  Mind damage can only be healed by Entertainers.  Additionally, people will get Battle Fatigue over time.  This Battle Fatigue can also only be healed by Entertainers. If not properly treated, Battle Fatigue can interfere with your ability to heal both Health and Action wounds. If you find that your patient has a high amount of Battle Fatigue, you may want to suggest to your patient to look for an Entertainer.\n\nIn order to heal damage and wounds, you will need a variety of medicines. Press the button below to learn about the kinds of medicines available to you.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '60', 'medicstimpacks', 'There are two basic types of medicines used in the treatment of patients; Stimpacks and Medpacks.\n\nStimpacks are extremely useful when out in the field.  These medicines will quickly restore a patient\'s Health and Action pools.  A person can be kept alive through the use of stimpacks to prevent them from reaching that critical point of incapacitation. Additionally, a medic\'s important role is to restore both Action and Health to allow the combat-based professions to use their special abilities.\n\nMedpacks are used to heal Health and Action Wounds.  These wounds will permanently reduce a person\'s pools until they are healed through the skilled use of medpacks.  Too many wounds can severely impact a person\'s performance.\n\nThere are other kinds of advanced medicines to treat specific ailments(ie. poison, disease) but for now, these are the two kinds of medicines you\'ll need to use.\n\nNow that you know a bit about how to heal others, press the button below and we\'ll give you a chance to try your skills out.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '61', 'medicdraftschematics', 'Draft Schematics are the blueprints for creating your medicines. You can check what draft schematics you have by viewing the draft schematic tab on your Datapad (Ctrl+D).\n\nAs you gain skill levels in Organic Chemistry, you will acquire new schematics.\n\nSo what exactly are these schematics?  Draft Schematics contain all the needed information for your crafting tool to create an item.  By looking at the schematic, either in your Datapad or Crafting Tool, you\'ll be able to see what kinds of materials and how much of each the schematic requires.  \n\nThe most basic ingredient of all crafted items are raw resources.  Advanced schematics will require higher quantities of resources as well as very specific resource types or rare resources.  In addition to raw resources, some schematics require crafted components.  These components are crafted using other Draft Schematics.\n\nYou may not always know how to make the component required by your schematic or it may not be worth your time to create it yourself.  In these situations, you will want to seek out other players to buy the components from.\n\nYou\'re probably pretty excited to start crafting some medicines, when you are ready, press the button below and we\'ll learn how.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '62', 'medicforaging', 'You can use your Medical Foraging skill to collect the resources you will need to craft medicines.  It\'s not an efficient way to get the resources you need but will work when you are in a tight spot.  Once you become familiar with the mechanics of the game, you may want to hire a Scout to help you gather the resources you require. Additionally, you can buy resources off the Bazaar which are positioned in each city throughout the world. To use the Medical Forage skill, select the command option from your command window.  Optionally, you can type /medicalforage at the command prompt.\n\nOnce you have the necessary resources you can begin crafting a Stimpack.\n\nUse the crafting tool and select the item you wish to craft from the list. You will be taken to the assembly screen and there will be a box with, and in it, the resources that you have that can be used for this schematic. Double click or drag resources into the appropriate boxes. You must use the same resource to fill a slot if it requires more than one resource. This means you cannot take two different types of bone and put them in the same slot. It would need to be a stack of the same resource in order to be used in a single slot. When all slots are full that are required for the item, you need to click assemble. It is possible to fail during the assembly. Once you have succeeded, you will get a screen telling you how the item turned out. Continue on to the next screen in the crafting interface and name your item. After doing this and continuing again, your crafting tool will generate the prototype. You will see the numbers on your crafting tool count down and the item will be deposited in your inventory. Note: the pop up help can be very useful the first couple times you craft and will help guide you through this.\n\nMore advanced crafting is possible with specific crafting tools and crafting stations.  Crafting stations are very useful when crafting items and are very easy to use.  You only need to be standing near the correct type of crafting station and your special crafting tool will automatically connect to the station to take advantage of its advanced features. Using a Crafting Station will allow you to experiment with the final product and could increase its value and usability.\n\nWhen you are ready to learn about Medical Centers and Camps click on the button below.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '63', 'medichospitals', 'While Stimpacks can be used anywhere to heal a persons injuries, wounds require better facilities to be healed. Medical Centers and Camps are the only places you will be able to heal someone\'s wounds.\n\nCamps are made by Scouts and can be set up out in the field to give a temporary base for resting and healing up.  Because the facilities are less than ideal at a camp, your ability to heal people will be slightly reduced.  Both Entertainers and Medics can heal wounds while in the Camp.\n\nMedical Centers are located in every major city and are the only place you can heal people without any penalties.  You can use the tools explained earlier to help you locate the local Medical Center.  Because of the ease of locating Medical Centers, they are a good place to be when trying to sell your services.\n\nWhen you are ready, press the following button and we\'ll teach you about the types of experience you will earn as a Medic.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '64', 'medicdisciplines', 'There are four disciplines or skill trees inside the Medic profession.\n\nFirst Aid:  This skill tree governs the Medic\'s ability to treat injuries.  With the use of stimpacks, a Medic skilled in First Aid can quickly help patients recover from minor injuries.  This skill does not assist in the treatment of Wounds.\n\nDiagnostics:  This is the discipline that defines how quickly the Medic can treat injuries.  This skill does not effect how fast wounds are treated.\n\nPharmacology:  Medics with this skill are able to Forage for materials to create medicines.  As a Medic becomes more proficient in Pharmacology, they learn to use medicines more efficiently.\n\nOrganic Chemistry:  This is the skill tree that allows a Medic to create their own medicines.\n\nPress the button below to learn about the kinds of advanced professions you can pursue once you have become an experienced Medic.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '65', 'medicfromhere', 'There are several advanced professions available to the Medic.\n\nDoctor:  The Doctor profession grows on the expertise gained as a Medic.  Doctors are proficient at healing severe wounds in addition to the treatment of simple injuries.\n\nBio-Engineer:  Leveraging their medical expertise in addition to their knowledge of creatures, Bio-Engineers can create amazing custom organic components for use in various kinds of crafting.  Bio-Engineers have also mastered the techniques of vat growing creatures that are stronger and faster than wild creatures.  This profession also requires experience in the Scout disciplines of Hunting and Exploration.\n\nImage Designer:  Building on a sense of style learned while hairstyling combined with an extensive background of medical knowledge, Image Designers move beyond styling just hair to styling the entire body.  Proficient Image Designers can alter nearly anything about someone\'s appearance from simple facial adjustments to more radical musculature customizations.  This profession requires experience with the Entertainer discipline of Hairstyling.\n\nCombat Medic:  Combat Medics are invaluable on the battlefield.  Their medical abilities combined with their ranged tactics allows the Combat Medic to fulfill both a defensive and offensive role.  Whether it\'s healing a wounded comrade or preparing a toxic gas weapon, the Combat Medic\'s skills are always in demand.  This profession also requires being a Master Marksman.\n\nYou are now prepared to begin your career as a Medic.  To learn more about additional things you can do in the world of Star Wars Galaxies, press the button below.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '66', 'playingentertainer', 'So you want to be an Entertainer?  That\'s great!  The world would be a pretty dull place without entertainers to liven things up.\n\nEntertainers are basically a non-combat profession.  That\'s not to say you can\'t follow a combat profession as well, but generally wild creatures don\'t quite appreciate the fine art of entertainment.\n\nWhat role does an Entertainer fill in Star Wars Galaxies?  Well, Entertainers provide the social core of the galaxy.  Fighting the Galactic Civil War is hard work and people tend to get worn down and stressed out.  What better way to relax than to visit the Cantina and watch visually stimulating dancers and listen to great uplifting music?  That\'s where you come in; things would get down right hostile in the Cantina if there weren\'t an Entertainer around to help people stay relaxed.\n \nThe following sections will teach you about the different facets of the Entertainer profession and what future professions you can pursue.  When you are ready, we\'ll start by teaching you about Instruments and Dances.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '67', 'entertainerinstruments', 'The tools of your trade; instruments, songs and dances.  You will use these to entertain your customers and keep their spirits up.\n\nThe first thing you need to learn is how to start playing a song or  begin dancing.  You should be able to find the \"Start Music\" and \"Start Dance\" commands in your command window.  With these you can begin performing.  Remember that you\'ll need to have an instrument equipped before you can begin playing a song.  An alternative to using the command buttons is to type /startmusic or /startdance in the spatial chat bar.\n\nOnce you\'ve activated the Start Music or Start Dance command, you\'ll get a pop-up window with the list of songs and dances you know.  Choose one from the list to start your performance.  Take note of the names of the song and dances, you\'ll be able to use them in the future to bypass this dialog window.  If you use the name of the dance or song you want to perform with the console command you will enter into that performance immediately.  For example \"/startdance basic\" or \"/startmusic starwars\".\n\nNow that you\'re performing, you\'ll probably want to spice the performance up a bit.  The basic songs and dances you start out with are pretty bland, don\'t worry, you\'ll learn new ones as you become more proficient.  What you currently have to work with though, are flourishes.  There are eight flourishes you can perform with each song or dance you know.  Learning what these flourishes are and how to use them is what separates a true artist from your run-of-the-mill Entertainer.  To activate a flourish, use one of the flourish commands from the command window while performing.  Alternatively you can type /flourish followed by a number in the command console.  I.E. \"/flourish 1\"\n\nThat\'s all there is to know to start your career as an Entertainer.  It\'s pretty simple, but the real trick is knowing how to use the tools available to you to create some true works of art.\n\nPress the button below if you\'re ready to try your hand at some Entertaining.  After learning a little bit about Gig Mission you\'ll get the opportunity to try your hand at a Gig.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '68', 'entertainerwounds', 'What\'s this I hear about Entertainment Healing?  It\'s a well known fact that song and dance provide a soothing, relaxing environment that heals mental anguish and relieves stress.\n\nAs an Entertainer you will use your dance and music abilities to heal other people.  As others get mind wounds and Battle Fatigue from fighting, they will find themselves in need of your services.  To heal them, you only have to perform.  But they must be actively watching or listening, it\'s not enough for you to just be nearby.  If someone doesn\'t know how to actively watch or listen you can tell them to click and hold their cursor on you until the Radial Menu appears. He or she can then select \"Listen\" if you are playing music or \"Watch\" if you are dancing.  That\'s all there is to it, in a short while they will be rejuvenated and ready to take on the world again. Healing Battle Fatigue is crucial for receiving the help of a Medic or a Doctor. If a patient has too many Battle Fatigue points, he or she cannot receive necessary medical treatment. In essence, not only are you providing entertainment for others, you\'re helping the medical professions as well!\n\nThe one caveat to Entertainment Healing is that it must be performed in a Cantina or Camp.  When you are ready to learn more about Cantinas and Camps, press the button below.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '69', 'entertainercantinas', 'Cantinas. Theaters and Camps are the only places others will be able to be healed by your performances.  You are always able to perform wherever you like, but only in a Camp, Theater or Cantina will you be able to heal someone.  Additionally, Battle Fatigue can only be healed in a Cantina.\n\nCamps are made by Scouts and can be set up out in the field to give a temporary base for resting and healing up.  Both Entertainers and Medics can heal wounds while in a Camp.\n\nCantinas and Theaters are located in every major city and this is the only location that Battle Fatigue can be healed.  You can use the \"/find\" function to help you locate the local Cantina or Theater.\n\nWhen you are ready, press the following button and we\'ll teach you about the types of experience you will earn as an Entertainer.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '70', 'entertainerdisciplines', 'There are four disciplines or skill trees inside the Entertainer profession.\n\nHairstyling:  This skill tree allows an Entertainer to customize a player\'s hairstyles.  As you become more proficient, you will be able to experiment with more outrageous styles.\n\nMusicianship:  This is the Entertainer discipline to play music.  A skilled musician is able to play many different songs with many types of instruments.\n\nDancing:  This discipline is the Entertainers ability to dance.  Dancers work hard to learn many different styles of exotic dances.  As you progress in this discipline, you will learn additional dance styles.\n\nEntertainment Healing:  This skill tree governs the ability to heal Battle Fatigue with your other entertainment skills.  Without this ability, an entertainer is very inefficient at soothing wounds and fatigue away.\n\nPress the following button to learn about the advanced professions available to you once you become an experienced Entertainer.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '71', 'entertainerfromhere', 'Entertainers can choose to follow an advanced profession for each of their specialized skills.\n\nMusician:  The Musician continues the use of music to entertain and heal.  Particularly adept musicians can even craft their own instruments to enhance their performances.\n\nDancer:  The Dancer has chosen to perfect the visual styles of entertainment.  The variety of interesting and exotic dance styles known to master dancers is quite the sight to see.\n\nImage Designer:  Building on a sense of style learned while hairstyling combined with an extensive background of medical knowledge, Image Designers move beyond styling just hair to styling the entire body.  Proficient Image Designers can alter nearly anything about someone\'s appearance from simple facial adjustments to more radical musculature customizations.  This profession requires being a Master Medic.\n\nYou now know everything to get started as an Entertainer.  To learn more about additional things you can do in the world of Star Wars Galaxies, press the button below.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '72', 'playingscout', 'The vast wilderness and open sky; that\'s the home of the Scout.  Big cities, who needs them?  Everything you need can be carried on your back.\n\nWe\'ll now instruct you on all the basic survival techniques of the Scout to prepare you for the life you are about to lead.\n\nPress the button below to start learning about Camps.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '73', 'scoutharvesting', 'How exactly does a Scout get the resources needed to make the tools they use for survival?  Simple, through harvesting the natural resources around them.\n\nScouts have the ability to harvest natural resources (meat, hide, and bone) from the creatures they hunt.  These resources can then be used to craft various tools or they can be sold for a profit.  Many other professions require the natural organic resources easily collected by Scouts.  Many a Scout has made a comfortable career of nothing more than harvesting resources to sell.  To collect the resources of a recently killed creature, you only need select the \"Harvest Resources\" option from the Radial Menu. As sub-menus to the \"Harvest Resource\" option, you can choose to extract meat, hide or bone, depending on what you need most. Alternatively, you can target the corpse and type /harvest to quickly gather the resources.\n\nThe other skill available to a Scout is Foraging for basic foods.  Scouts rarely need fear going hungry for, once they have achieved the first level in the Survival skill, they are able to forage for nearby foods.  To forage, you only need to choose the command from the Command Window.  Optionally, you can forage by typing /forage.\n\nNow that you know how to get the resources, it may be time to put that knowledge into practice.  Press the button below to try your hand at harvesting resources from a live creature.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '74', 'scoutdraftschematics', 'Draft Schematics are the blueprints for creating items. You can always check what draft schematics you have available by viewing the draft schematic tab on the Datapad (Ctrl+D).\n\nAs you gain skill levels in certain Scout skill tree branches, you will acquire new schematics.\n\nWhat exactly are schematics?  Draft Schematics contain all the needed information for your crafting tool to create an item.  By looking at the schematic, either in your Datapad or Crafting Tool, you\'ll be able to see what kinds of materials and how much of each the schematic requires.  \n\nThe most basic ingredient of all crafted items are raw resources.  Advanced schematics will require higher quantities of resources as well as very specific resources or rare resources.  In addition to raw resources, some schematics require crafted components.  These components are crafted using other Draft Schematics.\n\nYou may not always know how to make the component required by your schematic or it may not be worth your time to create it yourself.  In these situations you will want to seek out other players to buy the components from.\n\nWhen you are ready to learn about how to use these schematics to craft with, press the button below.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '75', 'scoutcamps', 'Camps are extremely useful mobile bases.\n\nAs you explore the wilderness and adventure in dangerous areas, you will surely become tired or wounded.  Camps are vital to be able to recover without the necessity of returning to town.  The only place outside of towns that wounds can be healed are in camps and Scouts are the only ones with the skill to create and deploy these camps.\n\nCamps also provide additional useful functions like minor protections from wandering creatures.  As you become more skilled at creating camps, you will be able to make more and more advanced camps.  Some of these advanced camps are extremely useful.\n\nTo deploy a camp, just select the Deploy option from the Radial Menu.\n\nTo learn more about the tools of your trade, press the button below.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '76', 'scoutdisciplines', 'There are four disciplines or skill trees inside the Scout profession.\n\nExploration:  This discipline covers the Scout\'s ability to negotiate tricky terrain as well as their ability to use the terrain to help conceal themselves from creatures.  As a Scout becomes more proficient in the Exploration skill tree, they gain the ability to mask their scent from creatures, preventing the creature from becoming aware of them, as well as improving the efficiency of their Burst Run ability, allowing them to safely escape any dangerous situations.  Advancement requires Scouting Experience.\n\nTrapping:  This skill tree allows a Scout to create and use special traps.  These traps are only effective against creatures, but are extremely useful nevertheless.  Advancement requires Trapping Experience.\n\nHunting:  This skill tree governs the Scouts ability to collect resources from the carcasses of the creatures they have killed.  As they become more proficient in Hunting, a Scout is able to collect more usable resources from the creature.  Leveraging their advanced knowledge of creatures, the Hunting skill also grants the Scout combat bonus when fighting against creatures.  Advancement requires Scouting Experience.\n\nSurvival:  This is the Scout discipline of creating and using Camps.  This skill also gives a Scout the Forage ability.  With the ability to forage, a scout never need fear about going hungry.  Advancement requires Wilderness Survival Experience.\n\nPress the following button when you are ready to learn about the advanced professions available to the experienced Scout.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '77', 'scoutfromhere', 'There are several advanced professions available to the Scout.\n\nRanger:  The Ranger profession continues all of the skills and abilities learned by a Scout.  It\'s an amazing sight to behold the advanced camps and complex traps that a Ranger can create.\n\nCreature Handler:  Using their advanced knowledge of creatures, the Creature Handler can tame and train some of the most vicious creatures in the galaxy.\n\nBio-Engineer:  Leveraging their medical expertise in addition to their knowledge of creatures, Bio-Engineers can create amazing custom organic components for use in various kinds of crafting.  Bio-Engineers have also mastered the techniques of vat growing creatures that are stronger and faster than wild creatures.  This profession also requires experience in the Medic discipline of Organic Chemistry.\n\nSquad Leader:  The Squad Leader is a master at controlling a tactical situation.  Their extensive knowledge of ranged tactics combined with their survival techniques gives people of this profession a distinct advantage in large combat situations.  The proficient leadership abilities of the master Squad Leader allows them to inspire those under their command to perform beyond their abilities.  This profession also requires experience in the Marksman Ranged Weapon Support discipline.\n\nYou are now prepared to begin your career as a Scout.  To learn more about additional things you can do in the world of Star Wars Galaxies, press the button below.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '78', 'advancingcharacter', 'The following sections will teach you about the core systems of character advancement.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '79', 'qualified', 'At every experience plateau, you may qualify for multiple skills. Whenever you earn enough experience to learn a new skill, you will be notified by a system message. \n\nIf the system message doesn\'t indicate you\'ve qualified for the skill of your choice, you may need to earn more experience. Check your Skills browser (Ctrl-S) to confirm the experience requirements for your chosen skill.\n\nEarning enough experience is only the first step to learning a skill however; you must also locate a qualified skill trainer. Skill trainers are located in major cities, and will train you - for a price. Other players can also act as trainers, teaching you the skills they have learned, and they may be willing to do so at a fraction of the skill trainers\' fees.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '80', 'trained', 'Learning new skills gives you access to new abilities. Depending on the skill learned, you will gain access to new commands, modifiers, or draft schematics.\n\nOpen your Skills window and click on different skill boxes to see the various advancements granted with each skill. As you learn new skills, take the time to examine and experiment with these useful new profession perks.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '81', 'thingstodo', 'Now that you are familiar with playing your chosen profession, it\'s time to learn a bit about what kinds of activities there are to do in Star Wars Galaxies.\n\nThe following sections will give you an idea of only a few of the basic things you can do.  These are just meant as a starting point or a fallback when you feel a bit lost and unsure of how to proceed.  There is no \"correct\" way to play Star Wars Galaxies, no set path or goals to victory.  Ultimately, you have to decide what you want to do and set your own personal goals to get there.\n\nDo you want to join the Rebellion or the Empire and participate in the Galactic Civil War?  Do you want to start your own Cantina?  Perhaps you want to be the best crafter of weapons or armor?  Or control a galaxy-wide merchant empire?  Any of these things and many, many more are possible. You only need to decide what you want.\n\nWhen you are ready, press the following button and we\'ll teach you a bit about Missions and Mission terminals.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '82', 'missionterminals', 'Missions are a fun way to explore the environment and earn some money.\n\nLocated throughout all the major cities are Mission Terminals.  These terminals are connected to the city\'s Holonet and can provide you with job opportunities.  These missions have been posted by various citizens throughout the city and only wait on an enterprising entrepreneur to accept the job.\n\nWhen you first look at the Mission Terminal, it will have a list of currently available missions.  You do not have to take the first missions offered to you, however.  You can always search for others if the current missions do not suit you.  Each mission listed in the mission terminal will have a short description of task required as well as the payment offered for completion.\n\nAs soon as you accept a mission, it will be downloaded into your personal Datapad.  A waypoint will be set to the first destination you need to go to.  What you need to do at that destination depends on the mission you have chosen; you may need to pick up some sensitive documents or you may need to engage some vicious smugglers.  You can always check the mission data in your Datapad for a reminder of what needs to be done.  Some missions will have several destinations that you need to go to before the mission is completed.  Upon completion of the mission, the agreed upon payment will automatically be deposited into your bank.\n\nYou can have two mission contracts active at a time.  You will either need to complete your missions or cancel them before you are permitted to take new ones.\n\nWhen you are ready, press the button below and we will teach you a bit about NPC missions.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '83', 'npcmissions', 'All throughout the galaxy you will find various NPCs.  These people sometimes have interesting stories to tell or may request a task of you.  These NPC missions are very similar to missions you could receive from a city\'s Mission Terminal.  Sometimes these missions are a bit more underhanded than those you may receive from a Mission Terminal so be careful whom you talk to or you may find yourself on the wrong side of the law.\n\nDon\'t forget you can always cancel a mission at anytime after you\'ve accepted it. If you find that the task is beyond your skill or doesn\'t fit within your personal moral code, you can always cancel without a penalty.  Regardless of the legality of the mission, payment is always guaranteed upon completion and will be automatically deposited in your bank account.\n\nPress the button below to learn about NPC Quests.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '84', 'chatchannels', 'Ultimately, as a Massively Multiplayer Game, Star Wars Galaxies is a game about the players.  Think about it, you are playing with thousands of other people.  Get to know the people around you, make some friends and try things together, the options are endless.\n\nThere are several tools available to you to assist in communicating with the people around you.  Anything you type into the chat interface will be \"heard\" by all the other players nearby.  If you want to talk to someone specifically, target them and all your chat will then be directed at them.  Other people will still hear you, but they will be able to tell whom you are speaking to.\n\nYou can also use emotes to help communicate the emotional context of your conversation.  Perhaps you want to grin or wink at someone.  You could pout or smile while saying something; these things are all possible to do.  Browse the Social section of the Command Window to get an idea of the dozens of different emotes available to you.  In addition to using the command button for the emote, you can use the associated slash-command.  You only need type the name of the emote proceeded by the slash, for example /smile, /grin, or /wink.\n\nThere are also emote types that will change the way you are talking.  These emotes are used at the beginning of a chat sentence and will change the context of your sentence.  Some of them will also change the appearance of your chat bubble for added effect.  For example, you could type, \"/yell Help me!!\" to cause your chat bubble to change and to make your chat audible to people further away.  Or you could type \"/growl Leave me alone.\" to cause your avatar to scowl while saying the sentence.  Experiment a little and see what\'s possible.  You find that emotes can add a whole new level to your conversations.\n\nAnother tool to add an emotional level to your conversation is to set your mood.  Changing your mood will change the way your avatar behaves as well as letting people know in your chat messages.  Moods can change the facial expression of your avatar or cause it to play different idle animations.  For example, if you are angry, your avatar will constantly be scowling or, if you are bored, it will look around more often and tap it\'s foot.  To change your mood, you only need to choose one from the Mood panel of the Command Window.  Optionally, you can use the /mood command followed by the mood you want to set.  \"/mood angry\", \"/mood happy\", \"/mood bored\" or \"/mood none\" are all ways to change your mood.\n\nSo what if people you want to talk with are not close by?  Press the button below to learn about Global Chat Channels.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '85', 'matchmaker', 'The Matchmaker system allows you to find others who share similar in and out of game interests, using profile criteria that you submit.\n\nSetting your search criteria allows the Matchmaker to notify you whenever nearby players match your profile preferences. You can also make your profile searchable by other players, making the match process even easier!\n\nExperiment with it - you never know who you may find!\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '86', 'themeparks', 'Occasionally, during your adventures, you\'ll come across NPCs who will require you to do tasks for them to prove yourself or will have more involved requests than a simple mission. Unlike a mission, you will often find you need to return to the person that initially sent you on the quest before you can complete it.  For more complex quests, you may be required to continue on to talk to other NPCs and performs tasks for them before the quest is complete.  These quests can be fairly involved but can be very rewarding.\n\nYou will be able to track your progress in a quest in nearly the same way as you do a mission.  An entry in your Datapad will be attached to a waypoint to the destination of your next objective.  Deletion of the waypoint from your Datapad will end the quest requiring you to return to the person who gave it to you to start over, though you may need to explain why you were unable to complete the task last time.\n\nWhen you are ready to learn about Strongholds, press the button below.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '87', 'strongholds', 'During your journeys around the galaxy, you will certainly eventually run into a Stronghold somewhere.  Strongholds are extremely difficult NPC lairs. You will likely need several friends to help you attack them.\n\nPress the following button to learn about other kinds of Jobs you can do.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '88', 'findingpeople', 'You\'re probably beginning to realize just how big this world really is.  Finding people can be quite a daunting task in such a vast place.  Luckily, we\'ve provided you with several tools to make it easier to locate people.\n\nAll of the tools we are about to show you are available through the Community Window.  You can open the Community Window using the button on the Toolbar or you can press Ctrl+P.\n\nPress the button below to start learning about the tools available to find other people inside Star Wars Galaxies.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '89', 'searching', 'The Search Tool is a great way to find other players who you may not have met yet.  Using in-game criteria, you can search for players nearby that match your requirements.  This is a great way to find people to group with or players that are aligned with the same faction as you or to locate someone of a specific profession.\n\nThere are four primary categories in which to search for someone; Faction, Species, Profession or Title.  Each of these categories can be set to a specific criterion or left open to match anyone.  There are also three extra settings you can search for; people who are Looking For a Group, players flagged as Newbie Helpers or players who are interested in Roleplaying.  Each of these three optional settings can be turned on or off on the Character Tab.\n\nOnce you have selected your search criteria, you can press the Search button to begin the search.  All players that match your set criteria will be displayed in the box at the bottom of the window.  Note: this is only a local search so you won\'t be able to find players across the galaxy using this tool.\n\nWhen you are ready to learn about your Friends List, press the button below.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '90', 'globalchat', 'Staying in contact with players is easy with the use of chat channels and tells.\n\nIt\'s possible to communicate with anyone in the game instantly by sending them a direct tell.  By typing /tell followed by the person\'s name and your message, you will send a message directly to them regardless of where they are in the game.  Of course, they will have to be online to receive your message.\n\nIt\'s also possible to stay in communication with a group of people regardless of location by using Chat Channels.  You can join any number of Chat Channels you desire.\n\nNow you know how to talk to people, but how do you find specific people in this huge world you\'re in?  Press the button below to learn more about how to find other players.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '91', 'link_exploring', 'Let\'s Explore the City');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '92', 'link_findbank', 'Let\'s Start the City Tour');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '93', 'link_findcloning', 'City Tour: The Cloning Facility');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '94', 'link_findhospital', 'City Tour: The Medical Center');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '95', 'link_findcantina', 'City Tour: The Cantina');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '96', 'link_findskilltrainer', 'City Tour: My Skill Trainer');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '97', 'link_finishtour', 'Let\'s Complete the City Tour');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '98', 'link_professions', 'Teach me about my Profession');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '99', 'link_playingartisan', 'Teach me about Playing an Artisan');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '100', 'link_playingentertainer', 'Teach me about Playing an Entertainer');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '101', 'link_playingmedic', 'Teach me about Playing a Medic');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '102', 'link_playingbrawler', 'Teach me about Playing a Brawler');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '103', 'link_playingmarksman', 'Teach me about Playing a Marksman');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '104', 'link_playingscout', 'Teach me about Playing a Scout');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '105', 'link_artisandraftschematics', 'Tell Me About Draft Schematics');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '106', 'link_artisanresources', 'Tell Me Where to Get Resources');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '107', 'link_artisancrafting', 'Tell Me How Crafting Works');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '108', 'link_artisanexperience', 'Tell Me How to Earn Experience');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '109', 'link_artisandisciplines', 'Tell Me about The Artisan Disciplines');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '110', 'link_artisanfromhere', 'Tell Me Where I Can Go From Here');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '111', 'link_entertainerinstruments', 'Tell Me About Instruments and Dances');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '112', 'link_entertainerwounds', 'Tell Me About Wounds and Battle Fatigue');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '113', 'link_entertainercantinas', 'Tell Me About Cantinas and Camps');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '114', 'link_entertainerexperience', 'Tell Me How to Earn Experience');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '115', 'link_entertainerdisciplines', 'Tell Me About The Entertainer Disciplines');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '116', 'link_entertainerfromhere', 'Tell Me Where I Can Go From Here');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '117', 'link_medicdamage', 'Tell Me About Damage and Wounds');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '118', 'link_medicstimpacks', 'Tell Me About Stimpacks and Medpacks');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '119', 'link_medicdraftschematics', 'Tell Me About Medical Draft Schematics');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '120', 'link_medicforaging', 'Tell Me About Foraging and Crafting Stimpacks');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '121', 'link_medichospitals', 'Tell Me About Medical Centers and Camps');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '122', 'link_medicexperience', 'Tell Me How to Earn Experience');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '123', 'link_medicdisciplines', 'Tell Me About the Medical Disciplines');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '124', 'link_medicfromhere', 'Tell Me Where I Can Go From Here');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '125', 'link_brawlerweapons', 'Tell Me About Melee Weapons');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '126', 'link_brawlerarmor', 'Tell Me About Brawlers and Armor');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '127', 'link_brawlertactics', 'Tell Me About Melee Tactics');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '128', 'link_brawlerexperience', 'Tell Me How to Earn Experience');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '129', 'link_brawlerdisciplines', 'Tell Me About The Brawler Disciplines');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '130', 'link_brawlerfromhere', 'Tell Me Where I Can Go From Here');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '131', 'link_marksmanweapons', 'Tell Me About Ranged Weapons');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '132', 'link_marksmanarmor', 'Tell Me About Marksmen and Armor');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '133', 'link_marksmantactics', 'Tell Me About Ranged Tactics');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '134', 'link_marksmanexperience', 'Tell Me How to Earn Experience');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '135', 'link_marksmandisciplines', 'Tell Me About The Marksman Disciplines');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '136', 'link_marksmanfromhere', 'Tell Me Where I Can Go From Here');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '137', 'link_scoutcamps', 'Tell Me What\'s a Camp');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '138', 'link_scouttraps', 'Tell Me How to Use Traps');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '139', 'link_scoutharvesting', 'Tell Me About Harvesting Creatures and Foraging');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '140', 'link_scoutdraftschematics', 'Tell Me About Draft Schematics');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '141', 'link_scoutcrafting', 'Tell Me About Crafting Camps and Traps');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '142', 'link_scoutexperience', 'Tell Me How to Earn Experience');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '143', 'link_scoutdisciplines', 'Tell Me About The Scout Disciplines');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '144', 'link_scoutromhere', 'Tell Me Where I Can Go From Here');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '145', 'link_thingstodo', 'Tell Me About Things To Do');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '146', 'link_missionterminals', 'Tell Me About Taking A Mission');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '147', 'link_npcmissions', 'Tell Me About Talking to an NPC');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '148', 'link_themeparks', 'Tell Me About Setting Off On a Quest');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '149', 'link_strongholds', 'Tell Me About Taking On a Stronghold');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '150', 'link_playerjobs', 'Tell Me About Finding a Job');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '151', 'link_chatchannels', 'Tell Me About Chatting With Players');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '152', 'link_findingpeople', 'Tell Me How to Find People');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '153', 'link_searching', 'Tell Me About Using Search');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '154', 'link_globalchat', 'Tell Me About Using the Chat Channels');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '155', 'link_friendslist', 'Tell Me About Using the Friends List');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '156', 'link_matchmaker', 'Tell Me About Setting Up My Matchmaker');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '157', 'link_finishhandoff', 'Let\'s Wrap Up This Tutorial');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '158', 'findbankintro', 'The Bank is important for several obvious reasons.  Money and items deposited in the bank are safe.  Regardless of what unfortunate events may happen while adventuring, your stuff in the bank will be safe.  Keeping money in the bank is also very convenient; most transactions throughout the galaxy can automatically deduct funds from you bank eliminating the need to carry around lots of credits.\n\nRemember that you must join the bank before you are able to deposit and withdraw from it. You automatically joined the bank in your starting city so you shouldn\'t have to worry about it now, but if at some future date you decide to relocate to a different city, you\'ll need to remember to join the bank there. You can only access your Safety Deposit Box from the bank you joined. For instance, if you join the bank on Tatooine, you cannot access your items from Naboo.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '159', 'findbankskip', 'If you don\'t need any assistance finding the bank, press the button below and we\'ll continue on to the next leg of the tour.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '160', 'arrivedbank', 'Congratulations, you have found the bank.  You probably don\'t need to do any banking right now, but if you do go on ahead and do it.  When you are ready, press the button below to continue the tour.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '161', 'link_bankdetails', 'Tell Me More About the Bank');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '162', 'link_banktour', 'Take Me to the Bank');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '163', 'findcloningintro', 'The Cloning Facility is where you may end up if you are not quite so fortunate during your adventuring.  Any time you are killed out in the field your clone will be activated at the Cloning Facility.  Don\'t forget to transfer your clone information to the local Cloning Facility whenever you travel to a new city.  If you forget to, you may be in for a long walk back.\n\nInsurance Terminals are also located at the Cloning Facility.  Through these terminals, you can insure all of your carried items.  Whenever your clone is activated, all insured items will be instantly returned to you.  Any uninsured items, however, will be left on your corpse.  In that event, you will need to travel out to your corpse to pick up those items.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '164', 'findcloningskip', 'If you don\'t need any assistance finding the Cloning Facility, press the button below and we\'ll continue on to the next leg of the tour.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '165', 'arrivedcloning', 'Congratulations, you have found the Cloning Facility.  Your cloning information has already been stored at this facility.  When you are ready, press the button below to continue the tour.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '166', 'link_cloningdetails', 'Tell Me More About Cloning Facilities');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '167', 'link_cloningtour', 'Take Me to the Cloning Facility');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '168', 'findhospitalintro', 'Hospitals and Medical Centers are important places to know about if you are inclined to violence.  Anyone who engages in combat is going to need the assistance of a Medic eventually and Hospitals are a good place to find one.  Inside the Hospital, you\'ll be able find Medics and Doctors who will be able to heal your wounds.\n\nIf you are interested in pursuing a career in a medical field then remember that patients in need of care can generally be found at the Hospital.  You don\'t have to remain at the hospital, however.  Medical attention can be given at a properly prepared encampment as well.\n\nSome very large cities might have more than one Hospital or Medical Center while the smaller outposts may have none.  Make sure you are familiar with the local amenities before getting into too much trouble.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '169', 'findhospitalskip', 'If you don\'t need any assistance finding the Hospital, press the button below and we\'ll continue on to the next leg of the tour.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '170', 'arrivedhospital', 'Congratulations, you have found the Hospital.  It\'s unlikely that you need any medical attention right now, however, you may want to look around as these faces may become very familiar to you in the future.  When you are ready, press the button below to continue the tour.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '171', 'link_hospitaldetails', 'Tell Me More About the Hospital');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '172', 'link_hospitaltour', 'Take Me to the Hospital');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '173', 'findcantinaintro', 'The Cantina is a great place to sit back and relax.  Many people come here to unwind and talk about their adventures while listening to Musicians and watching Dancers.  Mind wounds and Battle Fatigue will quickly fade away while relaxing and enjoying the soothing ministrations of your local Entertainers.\n\nThe Cantina can also be a good place to find fellow adventurers before embarking on a dangerous outing.  In general, you\'ll find that the Cantina is the social hub of the city.\n\nSome cities have Theaters or Hotels which provide the same conveniences as a Cantina.  Many of the bigger cities have more than one such structure and some of the smaller outposts have none, so be careful out there.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '174', 'findcantinaskip', 'If you don\'t need any assistance finding the Cantina, press the button below and we\'ll continue on to the next leg of the tour.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '175', 'arrivedcantina', 'Congratulations, you have found the Cantina.  You may find the urge to sit back and enjoy the surroundings.  When you are ready, press the button below to continue the tour.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '176', 'link_cantinadetails', 'Tell Me More About the Cantina');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '177', 'link_cantinatour', 'Take Me to the Cantina');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '178', 'findskilltrainerintro', 'Skill trainers are very important for advancement in your chosen profession.  As you gain experience, you will need to go to the skill trainer to learn new skills and abilities.\n\nSkill training isn\'t always cheap and, as you need to learn more advanced skills, you\'ll find the training gets more and more expensive.  If you are on a tight budget, an alternative to learning from the Skill Trainers is to seek out a sufficiently skilled player and see if they are able and willing to train you.  The Skill Trainer prices are set by the Empire and will never fluctuate, however, players may be negotiated with for prices that fit better to your budget.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '179', 'findskilltrainerskip', 'If you don\'t need any assistance finding your Skill Trainer, press the button below and we\'ll finish up the tour.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '180', 'arrivedskilltrainer', 'Congratulations, you have found your skill trainer.  You probably aren\'t able to learn new skills yet, but you may still want to talk to your trainer to learn about the skills he can teach you.  When you are ready, press the button below to finish the tour.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '181', 'link_skilltrainerdetails', 'Tell Me More About Skill Trainers');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '182', 'link_skilltrainertour', 'Take Me to My Skill Trainer');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '183', 'finishtourintro', 'That concludes this little tour of the city.  As you\'ve probably noticed by now, the city is very big and there\'s lots of other sights to see.  You were only shown the more important buildings that will be needed while playing Star Wars Galaxies.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '184', 'finishtourfind', 'There are several tools available to you to help find your way around the city, the most powerful of which is the /find command.  At any time you can type /find from the command console for assistance in finding nearby important structures.  Typing /find by itself will cause a window to open with a list of the available things you can search for.  You may also specify the thing to search for directly with the /find command.  For example \"/find bank\" will locate the nearest bank, creating a waypoint to it for easier navigation.  You can read more about the /find command in the Holocron later if you desire.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '185', 'finishtourplanetmap', 'Another important navigation tool is the Planetary Map.  This map shows all of the explorable area on the planet.  You can show city locations, waypoints and other important information on the Planetary Map.  At any time, you can bring up the Planetary Map by pressing Ctrl+V.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '186', 'finishtourprofessions', 'Now that you have a good idea of how to navigate around the city, it\'s time to learn a bit about playing your chosen profession.  When you are ready, press the button below to learn about all the critical aspects of your profession.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '187', 'link_finddetails', 'Tell Me More About /find');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '188', 'link_planetmapdetails', 'Tell Me More About the Planetary Map');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '189', 'artisanresourcesskip', 'If you would rather move on to learning more about crafting, click the button below.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '190', 'artisansurveymission', 'Survey Missions are a good way to make a little extra cash.  They are easy to do, but that doesn\'t mean that they are risk free.\n\nCertain NPCs will hire you to locate a specific resource pocket for them.  A certain resource density will be required to meet the needs of the NPC.  All you will need to do is locate the resource deposit by using the Survey function of your survey tool.  You won\'t actually need to collect the resources; they\'ll be able to do that once they know where to find it.  \n\nLocate the requested resource type on your Survey Tool window and begin surveying.  Keep going towards the highest concentration of the resource and continue surveying.  You\'ll automatically send the coordinates via your Datapad as soon as your survey tool has detected a pocket of sufficient density.  The contracted amount of credits will be deposited in your bank account upon completion.\n\nThat\'s all there is to Survey Missions.  Not too hard, but it can get quite risky wandering the wilderness looking for the proper density of resources. \n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '191', 'artisansurveymissionskip', 'If you would rather move on to learning more about crafting, click the button below.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '192', 'link_artisansurveymission', 'Teach Me About Survey Missions');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '193', 'link_samplesurveymission', 'Give Me a Sample Survey Mission');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '194', 'artisansurveycomplete', 'Congratulations, you completed the Survey Mission.\n\nClick on the button below when you are ready to continue learning about playing an Artisan.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '195', 'artisancraftingfinish', 'Click on the button below when you are ready to continue learning about the Artisan profession.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '196', 'link_artisancraftingdetails', 'Teach Me About Advanced Crafting');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '198', 'marksmantacticsskip', 'If you would rather skip the Destroy Mission and continue learning about the Marksman profession, press the button below.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '199', 'marksmandestroymission', 'Destroy Missions are a good way to make a little extra cash.\n\nYou can be given Destroy Missions from NPC who require someone with a little muscle to help them out or from the mission terminals in the major cities.  Once you have accepted the Destroy Mission you will get a Waypoint to where the mission is to be completed.  At that location will be a target, either a creature lair or a facility.  You will need to destroy the target and anything that is guarding it.\n\nOnce you have destroyed the target the agreed upon payment will be automatically deposited in your bank account.\n\nIf you feel up to the task, a simple destroy mission can be started by pressing the button below.  You will only need to kill a single creature, which should be relatively easy to destroy at your skill level. But be on your guard on your way to the target, there are other things out there that aren\'t so easy to kill which may not take kindly to your approach.  Once the target is destroyed, we\'ll continue learning about the Marksman profession.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '200', 'marksmandestroyskip', 'If you would rather not attempt the destroy mission and just continue learning about Marksmen, press the button below.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '201', 'marksmandestroycomplete', 'Congratulations, you completed the Destroy Mission.  You have begun the first steps in becoming a master of ranged weaponry.\n\nClick on the button below when you are ready to continue learning about playing an Marksman.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '202', 'link_marksmandestroymission', 'Teach Me About Destroy Missions');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '203', 'link_marksmansampledestroymission', 'Give Me a sample Destroy Mission');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '204', 'marksmanexperience', 'There are four kinds of Marksman experience one for each kind of ranged weapon class (Pistol, Carbine and Rifle) and one general purpose Combat Experience.\n\nAll Marksman experience is earned by winning battles.  After each battle, you will earn some Combat Experience and some specialized experience for each of the weapon types you used.  The more you use a specific class of weapon the more of that type of experience you will earn.\n\nEach of the four Marksman experience types are used to advance in each of the four Marksman skill trees.  Click the button below to learn more about the Marksman skill trees.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '205', 'brawlerexperience', 'There are four kinds of Brawler experience one for each kind of weapon class (Unarmed, One-Handed, Two-Handed and Polearm) available.\n\nAll Brawler experience is earned by winning battles.  After each battle, you will earn some experience for each of the weapon types you used.  The more you use a specific class of weapon the more of that type of experience you will earn.\n\nEach of the four Brawler experience types are used to advance in each of the four Brawler skill trees.  Click the button below to learn more about the Brawler skill trees.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '206', 'medicexperience', 'There are two types of Medical experience that a Medic can earn, Medical Experience and Medical Crafting Experience.\n\nMedical Experience is used for almost all aspects of the Medic Profession.  You gain this experience through the use of you healing skills.  Whenever healing a patient, you will receive an amount of experience relative to the severity of their wounds.\n\nMedical Crafting Experience is earned through the creation and use of medicines.  It is not required that you personally use the medicines you craft but they must be used by someone with medical skills before you will gain any Medical Crafting Experience.\n\nTo learn about the medical disciplines, press the following button.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '207', 'entertainerexperience', 'Entertainers gain four types of experience; Hairstyling Experience, Music Experience, Dance Experience and Entertainment Healing Experience.  Each experience type is used in each of the four Entertainer disciplines.\n\nHairstyling Experience is gained through the use of the Hairstyling skill.\n\nMusic Experience is gained through the playing of musical instruments.  While sitting alone practicing with an instrument will gain you slight amounts of experience, true expertise is only gained when playing for an audience.\n\nDance Experience is gained by dancing.  Similar to Music Experience, the true rewards come when you are dancing for an audience.  Dancers and Musicians can join together in bands to improve their performances.  Performing with other people is both rewarding and highly educational.\n\nEntertainment Healing Experience is gained when soothing away someone\'s Battle Fatigue or Mind wounds.  This experience type can be earned using either the Dance or Musicianship skills, but only when you are healing someone.\n\nPress the button below to learn about how these experience types are used with the Entertainer Disciplines.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '208', 'scoutexperience', 'There are three types of experience Scouts can earn; Scouting Experience, Trapping Experience and Wilderness Survival Experience.\n\nHunting wild creatures and harvesting the natural resources from their corpses earns Scouting Experience.\n\nTrapping Experience is earned through the crafting and use of Traps.\n\nFinally, Wilderness Survival Experience is earned by crafting and using camps or by foraging.\n\nPress the button below to learn about the Scout disciplines.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '209', 'scouttraps', 'An extremely useful tool for fighting the local wildlife is a trap.\n\nThere are many different types of hand-crafted traps available to the skilled scout.  Initially, you will only have the ability to craft one type of trap, but as you become a more skilled trapper, you will learn other types.  These traps have differing effects from poisons to make a creature slow and drowsy to nets to temporarily immobilize your target.\n\nTo use a trap equip it like any other weapon.  Then, at the most opportune moment, throw it at your designated target.  Depending on your skill, you will be able to hit the target causing the trap to go off for the desired effect.\n\nPress the following button to learn about the resources needed to create these traps.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '210', 'scoutcrafting', 'Once you have the necessary resources you can begin crafting a Camp or Trap.\n\nUse the crafting tool and select the item you wish to craft from the list. You will be taken to the assembly screen and there will be a box, and in it, the resources that you have that can be used for this schematic. Double click or drag resources into the appropriate boxes. You must use the same resource to fill a slot if it requires more than one resource. This means you cannot take two different types of bone and put them in the same slot. It would need to be a stack of the same resource in order to be used in a single slot. When all slots are full that are required for the item click assemble. It is possible to fail during the assembly. Once you have succeeded you will get a screen telling you how the item turned out. Continue on to the next screen in the crafting interface and name your item. After doing this and continuing again, your crafting tool will generate the prototype. You will see the numbers on your crafting tool count down and the item will be deposited in your inventory. Note: the pop up help can be very useful the first couple times you craft and will help guide you through this.\n\nMore advanced crafting is possible with specific crafting tools and crafting stations.  Crafting stations are very useful when crafting items and are very easy to use.  You only need to be standing near the correct type of crafting station and your special crafting tool will automatically connect to the station to take advantage of its advanced features. Using a Crafting Station will allow you to experiment with the final product and could increase its value and usability. \n\nWhen you are ready to learn about earning experience click on the button below.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '211', 'playerjobs', 'Often times the best place to look for jobs is from other players.  The world is big and no one person will be able to do everything.  Perhaps you have the skills the person next to you is looking for.\n\nWhether it\'s as simple as someone needing a Medic or Entertainer to heal them, or an Artisan requiring a bodyguard while they search for rare resources, it\'s guaranteed that someone out there could use some help and you have the perfect skill set to assist them.\n\nTalk to people, don\'t be afraid to ask around for jobs.  Perhaps you have a job in mind but need more people to help out, ask for assistance and you\'re sure to find the help you need soon enough.  Find the local hangout and stay around there for a while.  If you are unsure of where to find people, try the Cantina - everyone ends up there eventually.  \n\nWhen you are ready to learn more about chatting with other players, press the following button.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '212', 'friendslist', 'The Friends List is a great way to keep track of your online friends.\n\nWhen viewing your Friends list, you will be able to see at a glance which ones are currently online and which one are not.  Additionally, you can be notified whenever a friend comes online.  By setting the Listen option on, you will be notified whenever that person comes online.  This will only work if they have their Broadcast option selected for you, however.  It is possible someone wants a bit of privacy and doesn\'t want people knowing instantly when they come online.  You have the same choice by turning off the Broadcast option for a friend you will set it so that they will not get a notification when you come online.\n\nA useful flip side to the Friends list is the Ignore list.  This is a list of player whom you would like to ignore.  It is useful for those situations where someone may be annoying you.  Add them to your Ignore list and all of their chat comments will be filtered out and you\'ll never have to hear from them again.\n\nPress the button below to learn about the in game Matchmaker system.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '213', 'finishhandoff', 'Well, this just about brings us to the end of our extended gameplay tutorial.\n\nThe last thing you\'ll want to know is how to safely log out of the game.  When you are through playing Star Wars Galaxies, take your character to a safe place, somewhere within a city or camp site will work.  Then sit down using the /sit command and type \"/logout\" to quit.  After a short period, you will exit the game and your character will be safe and sound waiting for your return.  If you do not do this, your character will stay at the spot you left it for a couple minutes and could be attacked by passing creatures, so remember to always find a safe place before quiting.\n\nHopefully, you now have a better understanding of the basic game concepts and are not quite so overwhelmed.  There is a lot more to learn about Star Wars Galaxies, however.  At any time, you can look through this Holocron to find more detailed explanations of the various game system.\n\nRemember that the most powerful assistance feature of this game could be standing right next to you.  Ask your fellow players, chances are they had similar questions when they started playing and would be happy to help out a new player.  Don\'t be afraid to ask or experiment and above all, have fun playing.\n\nMay the Force be with you.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '214', 'entertainerinstrumentsskip', 'If you would rather skip the Gig Mission, press the following button and we\'ll teach you a bit about some of the beneficial uses of Entertainment Healing.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '215', 'entertainergigmission', 'Gig Missions are a good way to make a little extra cash while performing.\n\nCertain NPCs can hire you to do a performance for them.  They\'ll have a specific place they wish you to perform at and an amount of time you need to perform for.  Don\'t dally around if you choose to accept the mission though, they usually have a time restraint for when you need to complete the performance.  Once you\'ve performed at the correct location for the contracted amount of time your payment will be automatically deposited in your bank account.\n\nAll-in-all, Gig Missions are quite simple.  The trickiest part can just be getting there, many times you\'ll be asked to perform in a completely different city than you are currently in requiring a long cross-country trek or an expensive shuttle flight.  If you decide to take the role of the wandering minstrel and hoof it, keep in mind your deadline, you won\'t make a single credit if you arrive late.\n\nIf you are ready to try your hand at a simple sample mission press one of the buttons below.  You won\'t make any money doing these missions, but we guarantee you won\'t have to go far.  Plus, you\'ll get a chance to experiment with some of the techniques you\'ve recently learned.  Once you\'ve completed the mission, the Holocron will automatically open up and we\'ll continue teaching you about your profession.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '216', 'entertainergigskip', 'If you would rather move on to learning more about Entertainment Healing now, then click the button below.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '217', 'entertainergigcomplete', 'Congratulations, you completed the Gig Mission.\n\nClick on the button below when you are ready to continue learning about playing an Entertainer.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '218', 'link_entertainerdancegig', 'Give Me a Sample Dance Gig Mission');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '219', 'link_entertainermusicgig', 'Give Me a Sample Music Gig Mission');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '220', 'link_entertainergigmission', 'Teach Me About Gig Missions');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '221', 'brawlertacticsskip', 'If you are not interested in practicing you combat maneuvers, press the following button to learn about earning experience.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '222', 'brawlerdestroymission', 'Destroy Missions are a good way to make a little extra cash.\n\nYou can be given Destroy Missions from NPC who require someone with a little muscle to help them out or from the mission terminals in the major cities.  Once you have accepted the Destroy Mission you will get a Waypoint to where the mission is to be completed.  At that location will be a target, either a creature lair or a facility.  You will need to destroy the target and anything that is guarding it.\n\nOnce you have destroyed the target the agreed upon payment will be automatically deposited in your bank account.\n\nIf you feel up to the task a simple destroy mission can be started by pressing the button below.  You will only need to kill a single creature, which should be relatively easy to destroy at your skill level, but be on your guard on your way to the target, there are other things out there that aren\'t so easy to kill which may not take kindly to your approach.  Once the target is destroyed we\'ll continue learning about the Brawler profession.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '223', 'brawlerdestroyskip', 'If you would rather not attempt the destroy mission and just continue learning about your profession, press the button below.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '224', 'brawlerdestroycomplete', 'Congratulations, you completed the Destroy Mission.  You have begun the first steps in becoming a master of melee combat.\n\nClick on the button below when you are ready to continue learning about playing a Brawler.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '225', 'link_brawlerdestroymission', 'Teach Me About Destroy Missions');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '226', 'link_brawlersampledestroymission', 'Give Me a Sample Destroy Mission');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '228', 'professions', 'Choose a Starting Profession to learn more about it.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '229', 'scoutharvestingskip', 'Or if you would rather proceed onto learning how to make the tools of your trade, then press the button below to begin learning about Draft Schematics.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '230', 'scoutharvestmission', 'If you feel up to the task of harvesting resources you can press the button below to get started.  You will only need to kill a single creature, which should be relatively easy to destroy at your skill level, but be on your guard on your way to the target, there are other things out there that aren\'t so easy to kill which may not take kindly to your approach.  Once the target has been killed you will need to extract the resources.  Then we will come back to the Holocron and continue teaching you about your profession.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '231', 'scoutharvestcomplete', 'Congratulations, you have successfully harvested resources from a creature.  You have begun the first steps in becoming a master scout.\n\nClick on the button below when you are ready to start learning about Draft Schematics and how to craft the tools of your trade.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '232', 'link_scoutharvestmission', 'Let Me Try Harvesting Resources');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '233', 'link_scoutsampleharvestmission', 'I\'m Ready to Begin');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '234', 'scoutharvestmissionskip', 'If you would rather just start learning how to make the tools of your trade, then press the button below to begin learning about Draft Schematics.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '235', 'medicstimpacksskip', 'Or you can proceed straight on to the next section to learn how you can craft your own medicines.  When you are ready, press the button below to learn more.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '236', 'medichealmission', 'So you think you\'re ready to have people lives in you hands?  Perhaps you should test your skills in a slightly less stressful situation first.\n\nIf you would like to get a feel for how to administer medicines then press the button below and we\'ll give you an opportunity to use them in a simple exercise.  You will be given an inoculation that needs to be administered to a citizen within the city.  A waypoint will lead you to the location of the patient.  Once there you can administer the medicine by targeting your patient and selecting the Use option from the medicines Radial Menu, or you can use the Radial Menu on the patient to administer the medicine.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '237', 'medichealmissionskip', 'If you would rather just start learning how to make the tools of your trade, then press the button below to begin learning about Medical Draft Schematics.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '238', 'medichealcomplete', 'Congratulations, you have successfully harvested resources from a creature.  You have begun the first steps in becoming a master scout.\n\nClick on the button below when you are ready to start learning about Medical Draft Schematics and how to craft the tools of your trade.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '239', 'link_medichealmission', 'Let Me Try Using My Healing Skills');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_d.stf', '240', 'link_medicsamplehealmission', 'I\'m Ready To Begin');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '1', 'wheredoibegin', 'Where Do I Begin?');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '10', 'welcometoswg', 'Welcome to Star Wars Galaxies');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '11', 'aboutholocube', 'About This Holocron');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '12', 'tutorialrecap', 'A Recap of the Tutorial');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '13', 'lookandmove', 'How to Look and Move Around');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '14', 'mousemode', 'Cursor Mode and Mouselook Mode');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '15', 'chatwithplayers', 'How to Chat With Other Players');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '16', 'lookatobjects', 'Looking at Things');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '17', 'usingobjects', 'Using Things You See');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '18', 'radialmenu', 'Further Interaction: The Radial Menu');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '19', 'conversations', 'Conversing with NPCs');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '20', 'containers', 'Crates and Other Containers');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '21', 'inventory', 'Your Inventory');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '22', 'toolbar', 'The Toolbar');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '23', 'buyingitems', 'Buying Items');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '24', 'bank', 'Using the Bank');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '25', 'dying', 'What Happens When I Die?');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '26', 'cloning', 'Cloning');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '27', 'insurance', 'Insuring Your Items');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '28', 'equipment', 'Using Equipment');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '29', 'combat', 'How to Fight');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '30', 'experience', 'Advancing Your Character');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '31', 'missions', 'Missions and Waypoints');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '32', 'intheworld', 'I\'m in the World, Now What?');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '33', 'exploring', 'Exploring the City');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '34', 'findskilltrainer', 'Find Your Skill Trainer');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '35', 'findbank', 'Find a Bank');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '36', 'findcloning', 'Find a Cloning Facility');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '37', 'findhospital', 'Find a Hospital');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '38', 'findcantina', 'Find a Cantina');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '39', 'playingartisan', 'Playing an Artisan');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '40', 'artisandraftschematics', 'About Draft Schematics');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '41', 'artisanexperience', 'How to Earn Experience');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '42', 'artisanresources', 'Where to Get Resources');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '43', 'artisancrafting', 'How Crafting Works');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '44', 'artisandisciplines', 'The Artisan Disciplines');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '45', 'artisanfromhere', 'Where You Can Go From Here');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '46', 'playingmarksman', 'Playing a Marksman');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '47', 'marksmanweapons', 'About Ranged Weapons');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '48', 'marksmanarmor', 'Marksmen and Armor');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '49', 'marksmantactics', 'Ranged Tactics');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '50', 'marksmandisciplines', 'The Marksman Disciplines');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '51', 'marksmanfromhere', 'Where You Can Go From Here');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '52', 'playingbrawler', 'Playing a Brawler');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '53', 'brawlerweapons', 'About Melee Weapons');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '54', 'brawlerarmor', 'Brawlers and Armor');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '55', 'brawlertactics', 'Melee Tactics');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '56', 'brawlerdisciplines', 'The Brawler Disciplines');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '57', 'brawlerfromhere', 'Where You Can Go From Here');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '58', 'playingmedic', 'Playing a Medic');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '59', 'medicdamage', 'About Damage and Wounds');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '60', 'medicstimpacks', 'Stimpacks and Medpacks');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '61', 'medicdraftschematics', 'Medical Draft Schematics');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '62', 'medicforaging', 'Foraging and Crafting Stimpacks');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '63', 'medichospitals', 'Hospitals and Camps');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '64', 'medicdisciplines', 'The Medical Disciplines');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '65', 'medicfromhere', 'Where You Can Go From Here');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '66', 'playingentertainer', 'Playing an Entertainer');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '67', 'entertainerinstruments', 'Instruments and Dances');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '68', 'entertainerwounds', 'About Wounds and Battle Fatigue');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '69', 'entertainercantinas', 'Cantinas and Camps');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '70', 'entertainerdisciplines', 'The Entertainer Disciplines');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '71', 'entertainerfromhere', 'Where You Can Go From Here');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '72', 'playingscout', 'Playing a Scout');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '73', 'scoutharvesting', 'Harvesting Creatures and Foraging');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '74', 'scoutdraftschematics', 'About Draft Schematics');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '75', 'scoutcamps', 'What\'s a Camp?');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '76', 'scoutdisciplines', 'The Scout Disciplines');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '77', 'scoutfromhere', 'Where You Can Go From Here');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '78', 'advancingcharacter', 'Advancing Your Character');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '79', 'qualified', 'You\'ve Qualified For a New Skill!');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '80', 'trained', 'You\'ve Learned a New Skill!');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '81', 'thingstodo', 'Things To Do');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '82', 'missionterminals', 'Taking a Mission');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '83', 'npcmissions', 'Talk to an NPC');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '84', 'chatchannels', 'Chat With Fellow Players');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '85', 'matchmaker', 'Set Up Your Matchmaker');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '86', 'themeparks', 'Set Off on a Quest');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '87', 'strongholds', 'Take On a Stronghold');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '88', 'findingpeople', 'How Do I Find People?');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '89', 'searching', 'Using Search');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '90', 'globalchat', 'Using The Chat Channels');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '91', 'finishtour', 'Finish the City Tour');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '92', 'professions', 'Starting Professions');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '93', 'marksmanexperience', 'How to Earn Experience');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '94', 'brawlerexperience', 'How to Earn Experience');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '95', 'medicexperience', 'How to Earn Experience');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '96', 'entertainerexperience', 'How to Earn Experience');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '97', 'scoutexperience', 'How to Earn Experience');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '98', 'scouttraps', 'How to Use Traps');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '99', 'scoutcrafting', 'Crafting Camps & Traps');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '100', 'playerjobs', 'Find a Job');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '101', 'friendslist', 'Using the Friends List');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '102', 'finishhandoff', 'Time to Leave the Nest');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '103', 'arrivedbank', 'Arrived at the Bank');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '104', 'arrivedcloning', 'Arrived at the Cloning Facility');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '105', 'arrivedhospital', 'Arrived at the Hospital');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '106', 'arrivedcantina', 'Arrived at the Cantina');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '107', 'arrivedskilltrainer', 'Arrived at your Skill Trainer');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '108', 'artisansurveymission', 'About Survey Missions');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '109', 'artisansurveycomplete', 'Survey Mission Complete');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '110', 'marksmandestroymission', 'About Destroy Missions');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '111', 'marksmandestroycomplete', 'Destroy Mission Complete');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '112', 'entertainergigmission', 'About Gig Missions');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '113', 'entertainergigcomplete', 'Gig Mission Complete');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '114', 'brawlerdestroymission', 'About Destroy Missions');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '115', 'brawlerdestroycomplete', 'Destroy Mission Complete');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '116', 'scoutharvestmission', 'About Harvesting Resources');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '117', 'scoutharvestcomplete', 'Harvesting Complete');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '118', 'medichealmission', 'Healing Exercise');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_begin_n.stf', '119', 'medichealcomplete', 'Healing Complete');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_bestiary_d.stf', '3', 'bestiary', 'The Galaxy features many unique and diverse species of animal. Each planet boasts its own unique ecology, and of course, space travelers have also ferried creatures from one world to another, as they established their colonies.\n\nIn addition, of course, there are countless sentient species across the Galaxy, some of the spacefaring and some of them not. They all boast their own unique cultures, but many of them have to some degree been assimilated into the larger Galactic culture.\n\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_bestiary_d.stf', '4', 'xenobiology', 'Throughout the planets in Star Wars Galaxies, you will come across many different kinds of creatures. Be warned that not all of these creatures are friendly. There will be many in the wild that are more scared of you than you are of it. At the same time, there will be many that consider you to be lunch. Thus, some creatures will be \"aggressive\" and others will be \"non-aggressive\".\n\nCreatures may be solitary hunters, those that do not associate with others of its kind, or they may gather together in either herds or in packs.\n\nA herd of creatures will generally scatter if they are attacked, leaving the weakest ones behind to save the rest. A pack of creatures will work together if one of their own are attacked. \n\nWhen you approach a creature, you may see a symbol appear above its head. This will let you know what their reaction toward you is. If you see a question mark appear, this means that they detect your presence.\n\nIf you see an exclamation mark appear above their head, this means they know you are there, and are determining what course of action they are going to take. Basically, they are getting ready.\n\nIf you see three lines appear above their head, this means they are now reacting to your presence and are taking the course of action they deem the most appropriate. If they are non-aggressive, this will generally mean they will run away. If they are aggressive beasts, they will most likely choose to attack you.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_bestiary_d.stf', '5', 'faction', 'Just as your actions throughout the game will help mold your profession, so will who you chose to ally with. Star Wars Galaxies has a great assortment of factions who work for, against, and sometimes with each other.\n\nYou do not actively choose which faction or factions you work for (most of the time, that is - see below). Your faction standing is determined by many different factors. The most common factors that help you choose sides will depend on who you choose to engage in combat with, or whose missions you choose to take.\n\nFor example, Jabba the Hutt is vehemently opposed to Lady Valarian, and vice versa. If you were to kill some of Lady Valarian\'s thugs, this will make her angry with you. At the same time, Jabba the Hutt will be more prone to offering you jobs. As you play, you will eventually learn which factions fight against whom. It is up to you to decide which \"side\" you wish to work for.\n\nHowever, there is a major exception to this rule regarding faction. The galaxy is in the middle of a Civil War, being fought between the Empire and the Rebellion. If you choose to side with one of these forces, you can \"declare\" yourself to the rest of the world. The more faction points you earn toward that side will bring you more and more perks from your chosen side.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_bestiary_d.stf', '6', 'dantooine', 'The sole indigenous species on Dantooine are the Dantari.\n\nThe Dantari are a nomadic species, only rarely establishing a permanent settlement. Little is known of the Dantari culture, as they have kept to themselves around visitors.\n\nNo major factional conflicts exist upon Dantooine. Well, out in the open, that is.\n\nSome of the following creatures can be found on Dantooine:\n\nBol\nSimilar to the Dewback of Tatooine, the Bol live on the grasslands and are the favorite foods of Voritor Lizards and Huurton.\n\nHuurton\nThis canine predator of the grasslands lives in clans that can number forty or more members. Fortunately, the whole clan does not all stay together at all times.\n\nVoritor Lizard\nThe Voritor Lizard patiently and slowly stalks their prey, but are capable of surprising short bursts of speed when their prey is within range.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_bestiary_d.stf', '7', 'yaviniv', 'From various archaeological digs conducted on the planet, the former Massassi people that once lived on Yavin 4 appear to have vanished without a trace. Therefore, there no longer exists any indigenous people native to the planet.\n\nHowever, just because the natives are gone doesn\'t mean people can\'t be found on Yavin 4. A massive siege has been going on between the Empire and the Rebellion for some time now, ever since the destruction of the Death Star. This planet is rife with warfare, and both Imperial and Rebel alike can be found with much frequency.\n\nThe jungles of Yavin 4 are teeming with life, though most of it poses a danger to many a traveler. Here are some examples of the native lifeforms one may find on the moon:\n\nGackle Bat\nGackle bats are efficient nocturnal hunters. The compound eyes and sensitive ears allow them to easily locate and track prey on even the darkest of nights.\n\nSkreeg\nAlthough not typically making a diet of people, the skreeg will attack any humanoid it perceives to be encroaching on its territory.\n\nSpined Puc\nThe spined puc is a toadish amphibian native to the rivers and streams of Yavin 4. There they feed on insects and the occasional small fish.\n\nChoku\nThe choku is a vicious combination of flightless avian and clawed canine. Their muscled haunches and hooked paws drive them quickly through the jungles of Yavin 4.\n\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_bestiary_d.stf', '8', 'rori', 'Similar to its home planet, Naboo, Rori has two indigenous species: The Naboo and the Gungans\n\nStarting from a colony of Naboo, Rori naturally has a fierce independent nature. Arguments between people over the pros and cons of the Empire are a common sight.\n\nAmong some of the creatures you may find on Rori are the following: \n\nSquall\nThe squall is a docile rodent distinguished by its long ears and bushy tail.\n\nIkopi\nThis antelope-like mammal roams the plains and swamps of Rori in large herds.\n\nTusk-cat\nThis feline predator is native to the planet Naboo, but it has been transplanted onto Rori.\n\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_bestiary_d.stf', '9', 'dathomir', 'The two indigenous species that can be found on Dathomir are the Singing Mountain Clan witches and the Nightsisters.\n\nThe Singing Mountain Clan witches use an unorthodox form of the force, which they call \"magic\". The witches normally respect those who treat them with respect as well. The fact that they keep people as slaves is something that prevents most people from testing this theory.\n\nThe Nightsisters are witches who have chosen to learn the darker magics, or \"Shadow Magic\". The Nightsisters are not known to be friendly to anyone other than their own.\n\nSome may argue that there is another indigenous species: Prisoners, both the incarcerated and the escaped. These can be found in the wild and in the Imperial Prison as well.\n\nThere are many creatures that roam the forests and plains of Dathomir. Among some of the ones you will wish to only see in your nightmares are:\n\nReptilian Flyer\nThis big flying lizard swoops down from the mountains of Dathomir and carries off small children and other tasty snacks from the forest below.\n\nGraul\nGraul are very aggressive apes, with hooks for hands, and a long mane like that of a Sand Panther.\n\nMalkloc\nThe gigantic malkloc is a solitary herbivore that typically takes little notice of its surroundings, impervious as it is to any natural predator on Dathomir.  \n\nGaping Spider\nThe Gaping Spider attacks with a single-minded ferocity, without any sort of planning or tactics apart from biting their prey and then preventing its escape while their poison does its work.\n\nRancor\nPart crustacean, part arachnid, the rancor stands about 8-10 meters tall, and has wickedly-clawed hands and rows of sharp teeth in its pudgy face. It is known for it\'s intense ferocity. Jabba the Hutt is rumored to keep one as a pet, whereas on Dathomir they roam the forests by the pack.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_bestiary_d.stf', '10', 'tatooine', 'Tatooine is home to two indigenous species: the Jawa and the Sand People. \n\nAfter the initial attempts at colonizing the planet for mining purposes, Jawas took all of the discarded equipment and turned it into large machines, such as the massive Sandcrawlers.\n\nThe Sand People are commonly known as \"Tusken Raiders\" due to the attack on Fort Tusken. They have managed to raid equipment as well, but do not have the understanding of it that the Jawas do. Therefore, they are still using rifle-blasters that date back over 100 years.\n\nCriminal organizations also call this planet home. The most notable on Tatooine would be Jabba the Hutt\'s criminal empire. Though he controls everything in the Outer Rim, this has not prevented others from trying to move in on his business.\n\nThe following are some commonly seen creatures that can be found in the wastelands of Tatooine:\n\nBantha\nThese large and furry mammals are seen in high numbers and are well integrated into planetary life. They are usually used both as mounts and beasts of burden by the Tusken Raiders.\n\nDewback\nLarge, omnivorous, dinosaur-like lizards found both in the deserts and mountains. \n\nWomp Rat\nWomp rats are large, hopping rodents. Living in large nests, their largest breeding grounds can be found in Beggar\'s Canyon.\n\nSquill\nOne of the galaxy\'s most reviled vermin, the squill is a monkey-like creature with a toothy beak and pink head-frills. They are notorious for carrying diseases.\n\nKrayt Dragon\nRumored to exist, the most interaction people have with these creatures are the bones that can be found in the dunes. \n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_bestiary_d.stf', '11', 'talus', 'There are no indigenous species that call Talus home. Every sentient species on the planet has come from other planets.\n\nTalus shares similar views with their more prodigious \"brother\", Corellia. Being a bit more independent, one who doesn\'t agree with the Empire may find more people willing to listen to their views.\n\nThe following is a short list of the wildlife you may encounter on Talus:\n\nBlistmok\nThe blistmok is a small reptilian creature with what appear to be large blisters covering its back and head.  \n\nGuf Drolg\nThese large sauroids inhabit the islands and waterways of the coasts, feeding on large fish and amphibians, vegetation, and the occasional land animal unlucky enough to stray too near the water\'s edge.\n\nKima\nKimas are very solitary, and will fight and scratch if bothered or touched.  Kimas will not even associate with others of their own kind, mating only once per year, and then spending no time with their mates.\n\nVynock\nThese small, dragon-like beasts scour the rocky mountains of the planet, searching for metals to eat.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_bestiary_d.stf', '12', 'corellia', 'Corellia is home to three indigenous species: Humans, Drall, and Selonians.\n\nHumans comprise most of the native population, taking part in business, military, and engineering trades. The Empire has a heavy presence upon the planet, but there is a growing sympathy towards the Rebellion. It is rumored that the Rebellion has taken this opportunity and are more open on Corellia than any other planet.\n\nThe Drall are short, stocky mammals, covered in fur from head to toe. Generally happy to engage in manual labor, there are known to be a number of Drall that wish to change this.\n\nSelonians can be found on Corellia, but rarely come out of their tunnels. Tall, sleek creatures, they are known for their heated politics.\n\nThe following is a list of some of the creatures that you may encounter whilst visiting Corellia:\n\nBageraset\nThe bageraset is a plains animal, often found grazing in herds.\n\nGulginaw\nThe gulginaw is a large predatory flying bird that lives off the fish it snatches out of the oceans, rivers, and lakes of Corellia.\n  \nDurni\nDurni are eyeless rabbits with large ears that protrude up from their heads. They see like bats, using a sort of sonic radar to navigate the wilderness they live in.  \n\nSand Panther\nA large, predatory feline native to Corellia, the claws of a sand panther exude a poison when they cut into flesh.\n\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_bestiary_d.stf', '13', 'endor', 'There are two major indigenous species that can be found on Endor: the Ewoks and the Duloks.\n\nThough easily confused, these two creatures are related but they are wholly different species. The Ewoks and the Duloks constantly engage in tribal warfare between the two, therefore one might find it hard to tell the difference on a battlefield. The Ewoks are shorter and stouter than their Dulok cousins, and their demeanor is a lot nicer, as well. Don\'t be mistaken, though - Ewoks can be just as fierce as the Duloks on any given day.\n\nThough they are not native to Endor, the Marauders call the moon their home, albeit reluctantly. Having crashed on the planet years ago, they will attack anyone they feel has the technology to help them escape.\n\nIn addition to the primitive lifeforms already mentioned, here is a short list of other creatures you may find while traveling about Endor:\n\nLantern Bird\nA large beautiful flying creature that lives in shimmering nests high in the trees of Endor\'s forest moon.  \n\nBoar-Wolves\nWhen the Boar-wolves get hungry, they swarm through the forest, fearlessly attacking (and eating) anything that moves.\n\nCondor Dragon\nThe Condor Dragon lives in the moon\'s mountain caves, emerging to soar the aerials and hunt its prey.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_bestiary_d.stf', '14', 'naboo', 'Naboo is home to two indigenous species: the Naboo and the Gungans.\n\nThe Naboo, whom are humans, colonized the planet many generations ago. Due to the serene atmosphere of the planet, the Naboo culture promotes artistic skill as it\'s greatest achievement.\n\nThe Gungans are a species of humanoid amphibians. Gungans are composed of two races: The Otolla Gungan are tall and muscular, whereas the Ankura Gungan are very large and have large faces.\n\nEver since the Trade Federation was repelled with the help of then Senator Palpatine, the people of Naboo have been loyal supporters of the Empire. If people even speak of the Rebellion, it\'s only in hushed tones.\n\nSome of the wildlife you may run across are exampled by the following:\n\nIkopi\nThis antelope-like mammal roams the plains and swamps of Naboo in large herds.\n\nKaadu\nThis species of two-legged, flightless avian are often used as steeds by the Gungans.\n\nVeermok\nThis vicious, gorilla-like creature inhabits the plains and forests of the planet, staying well away from the swamps.\n\nFambaa\nThis giant reptile is herbivorous and even-tempered by nature, but can be fearsome in its appearance.\n\nNarglatch\nNative to the swamps of Naboo, the Narglatch are solitary hunters that silently stalk and quickly demolish their prey.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_bestiary_d.stf', '15', 'lok', 'There are no indigenous native species on Lok. The sentient lifeforms that live upon the planet are all transplants from other planets throughout the galaxy.\n\nMany bands of pirates and brigands call Lok their home. Nearly all species across the galaxy can be found here, living the life of ones who ply the space tradelanes. This planet doesn\'t welcome those who choose to live by a set of ethics.\n\nRecords show that Lok was once used as a testing ground for the former Trade Federation\'s droid armies. Considering the amount of droids they used to fill these armies, it should come as no surprise to anyone that numerous droids still roam the plains, following ancient orders.\n\nThough the list is extensive, the following is an example of some creatures you may find on Lok:\n\nGurnaset\nThough they appear to be mammalian, the Gurnaset are actually almost reptilian in most of their biology, laying eggs for young and eating insects like frogs or lizards.\n\nFlit\nThe Flit hunts in swarms, sucking the blood of their prey. Depending on the size of the swarm, these encounters can be deadly, but most often are merely damaging.\n\nKimogila\nA fearsome predator, the kimogila is an enormous lizard-like being capable of swallowing whole a full grown Wookie.\n\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_bestiary_n.stf', '1', 'bestiary', 'The Galaxy\'s Inhabitants');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_bestiary_n.stf', '2', 'xenobiology', 'A Xenobiology Primer');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_bestiary_n.stf', '3', 'faction', 'Faction Standing');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_buildings_d.stf', '1', 'importantbuildings', 'In the course of your adventures, you may travel to some new and exciting cities, towns, and outposts. In many of these locations, you will find a variety of buildings, several of which provide a special and unique purpose. This is a list of some of those buildings and the services they provide.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_buildings_d.stf', '2', 'bank', 'In most major cities, banking terminals and usually bazaar terminals, can be found in these large outdoor structures. The banking terminals found at these locations allow you to store and/or retrieve your credits and items. \n\nHowever, please be aware that while the credits you deposit may be withdrawn from any planet, the items that you place into a bank may only be removed from a terminal on the same planet on which they were stored.\n\nYou may find banking and bazaar terminals in other places without a bank structure. Many times these can be seen in small settlements or outposts, which find it necessary to maintain only a handful of terminals.\n\n\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_buildings_d.stf', '3', 'findbank', 'Help Me Find a Bank');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_buildings_d.stf', '4', 'cloningfacility', 'Cloning facilities will normally house cloning terminals and insurance terminals, both of which can come in handy in the unfortunate circumstance of your character\'s death.\n\nUsing a cloning terminal, you may pay a fee to have your clone information stored at that particular facility. Insurance terminals will insure your items against loss due to death, again for a small fee.\n\nIn the event that your character does die, you will be given the choice to have your clone created at the nearest cloning facility, or at the most recent facility in which your clone data is stored. Any insured items will be replaced in your inventory upon construction of your clone. Uninsured items will need to be retrieved from your corpse.\n\nKeep in mind that once your insured items are returned, you will need to insure them again in order to have them returned the next time that you die.\n\n\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_buildings_d.stf', '5', 'findcloningfacility', 'Help Me Find a Cloning Facility');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_buildings_d.stf', '6', 'cantina', 'Many adventurers enjoy visiting a local cantina after a long days work as a place to socialize and relax. People of all professions can usually be found there, basking in the lively atmosphere.\n\nCantinas will often have visiting entertainers that will dance or play music for the patrons. Watching or listening to these performers is an effective way of reducing Battle Fatigue and healing Mind wounds.\n\nDon\'t forget that you can use the /tip command to offer a gratuity to your favorite entertainer.\n\n\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_buildings_d.stf', '7', 'findcantina', 'Help Me Find a Cantina');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_buildings_d.stf', '8', 'hotel', 'Hotels are able to offer you an extra level of safety that may not be available when concluding your adventures in the wilderness. Additionally, some larger hotels found in major cities also have a small cantina built inside, at which one can reduce Battle Fatigue and heal mind wounds.\n\nNormally, when logging out of Star Wars Galaxies, your character will remain in the world for up to thirty seconds. However, when you log out of the game while inside of a hotel, your character will be instantly removed from the world.\n\n\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_buildings_d.stf', '9', 'findhotel', 'Help Me Find a Hotel');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_buildings_d.stf', '10', 'hospital', 'Hospitals are very similar to medical centers, except larger and therefore able to accommodate more doctors and more patients. These three-story buildings are usually only found in the wealthiest of major cities.\n\nAs with medical centers, you are able to have your health and action wounds healed by medics or doctors. Aspiring young medics can also come here to receive training from one of the medical professionals kept on staff.\n\n\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_buildings_d.stf', '11', 'findhospital', 'Help Me Find a Hospital');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_buildings_d.stf', '12', 'theater', 'Inside a theater, you can find a large stage where plays, concerts, and other types of live entertainment can be produced. The seating area will accommodate a large audience, eager to see your performance art.\n\nMasters of the entertainment professions can also be found in theaters. Usually they are willing to train younger apprentices in the theatrical arts for a fee.\n\nAs a common courtesy, if you enter a theater while a performance is in progress, please keep your voice down until the performance is over.\n\n\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_buildings_d.stf', '13', 'findtheater', 'Help Me Find a Theater');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_buildings_d.stf', '14', 'starport', 'Starports are generally a center of activity for those wanting to travel. Catch a transport ship here if you find yourself wanting to relocate to a new planet.\n\nIn order to board a transport ship, you will first need to buy a ticket from a ticket terminal inside the starport. Transports have a set route on which they fly, so if you do not see your desired destination on the ticket terminal, you may need to stop over on a planet that has a route to where you want to go. When the transport is ready, give your ticket to the ticket collector to climb on board.\n\nIf a transport is not currently boarding, you can ask the ticket collector when the next one will arrive.\n\n\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_buildings_d.stf', '15', 'findstarport', 'Help Me Find a Starport');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_buildings_d.stf', '16', 'shuttleport', 'Shuttleports are extremely handy if you would like to travel from city to city without having to walk. A shuttle can fly to any other starport or shuttleport on the same planet. \n\nIn order to board a shuttle, you will first need to buy a ticket from the ticket terminal. When the shuttle is ready, give your ticket to the nearby ticket collector to climb on board.\n\nIf a shuttle is not currently boarding, you can ask the ticket collector when the next one will arrive.\n\n\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_buildings_d.stf', '17', 'findshuttleport', 'Help Me Find a Shuttleport');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_buildings_d.stf', '18', 'combatguild', 'Combat guilds keep on staff masters of the combat professions that have chosen to dedicate their time training younger students. Marksman and brawler trainers are a few of the professionals that can be found at these locations.\n\nIf you are not able to find the combat trainer that you need at a combat guild, don\'t despair. Several advanced combat trainers are scattered throughout the galaxy in major cities and settlements.\n\n\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_buildings_d.stf', '19', 'findcombatguild', 'Help Me Find a Combat Guild');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_buildings_d.stf', '20', 'commerceguild', 'Masters of the exploration and trade professions are on hand at commerce guilds. Artisan and scout trainers are an example of the mentors that are ready to teach young apprentices in the fields of commerce.\n\nDo not worry if you are not able to find the commerce trainer that you need at a commerce guild. Several advanced commerce trainers are scattered throughout the galaxy in major cities and settlements.\n\n\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_buildings_d.stf', '21', 'findcommerceguild', 'Help Me Find a Commerce Guild');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_buildings_d.stf', '22', 'university', 'At a university, masters of the medical and entertainment professions often come to study their art. You are likely to find entertainer and medic trainers, among others, here practicing their trade and teaching aspiring students.\n\nIf you cannot find the medical or performance artist trainer that you are looking for at a university, worry not. Several advanced trainers are scattered throughout the galaxy in major cities and settlements.\n\n\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_buildings_d.stf', '23', 'finduniversity', 'Help Me Find a University');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_buildings_d.stf', '24', 'medicalcenter', 'After particularly harrowing battles, many adventurers can be seen visiting a medical center. Medical practitioners will often wait here to offer aid to those who have wounds in need of healing.\n\nWhile in a medical center, you are able to have your health and action wounds healed by a medic or doctor. Master medics can also normally be found at these locations, offering training to younger members of the medical profession.\n\nYou may wish to visit a cantina to reduce your Battle Fatigue before visiting a medical center. Research has shown that bacta treatments are less effective against patients that are overly fatigued.\n\n\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_buildings_d.stf', '25', 'findmedicalcenter', 'Help Me Find a Medical Center');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_buildings_d.stf', '26', 'tavern', 'Taverns are very much like a combination of a cantina and a medical center. You will most likely see these in small towns, settlements, or outposts.\n\nInside these structures, you can have your health and action wounds healed by a doctor or medic, as well as have your mind wounds healed and your Battle Fatigue lowered by entertainers.\n\n\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_buildings_d.stf', '27', 'findtavern', 'Help Me Find a Tavern');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_buildings_d.stf', '28', 'barracks', 'Originally used by the military, barracks are a type of all-purpose building. These structures provide the function of a cantina, medical center, and hotel. They are not very common anymore and usually can be found only in small towns, settlements, or outposts.\n\nInside these structures, you can have your health and action wounds healed by a doctor or medic, as well as have your mind wounds healed and your Battle Fatigue lowered by entertainers. \n\nAdditionally, barracks also provide a safe logout from the game in the same manner as a hotel.\n\n\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_buildings_d.stf', '29', 'findbarracks', 'Help Me Find a Barracks');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_buildings_d.stf', '30', 'findgarage', 'Help Me Find a Garage');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_buildings_d.stf', '31', 'garage', 'Garages are used by the busy traveler to keep their speeder craft in top condition.  Just pull up close and give the \"repair\" command for prompt automated service.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_buildings_n.stf', '1', 'importantbuildings', 'Important Buildings');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_buildings_n.stf', '2', 'bank', 'Bank');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_buildings_n.stf', '3', 'cloningfacility', 'Cloning Facility');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_buildings_n.stf', '4', 'cantina', 'Cantina');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_buildings_n.stf', '5', 'hotel', 'Hotel');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_buildings_n.stf', '6', 'hospital', 'Hospital');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_buildings_n.stf', '7', 'theater', 'Theater');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_buildings_n.stf', '8', 'starport', 'Starport');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_buildings_n.stf', '9', 'shuttleport', 'Shuttleport');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_buildings_n.stf', '10', 'combatguild', 'Combat Guild');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_buildings_n.stf', '11', 'commerceguild', 'Commerce Guild');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_buildings_n.stf', '12', 'university', 'University');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_buildings_n.stf', '13', 'medicalcenter', 'Medical Center');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_buildings_n.stf', '14', 'tavern', 'Tavern');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_buildings_n.stf', '15', 'barracks', 'Barracks');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_buildings_n.stf', '16', 'garage', 'Garage');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_combat_d.stf', '1', 'combat', 'Fighting creatures, bandits, other players, or anyone that you consider an enemy is an integral part of adventuring for many people. Here you will find descriptions of some of the basic components of combat.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_combat_d.stf', '3', 'consider', 'When you have a creature targeted, you will see a small icon over its head next to its HAM bar. The color of this icon represents its relative difficulty compared to the experience you have with the weapon you currently have equipped (or with unarmed combat, if you do not have a weapon equipped).\n\nA green icon indicates that the creature should be fairly easy to defeat; blue indicates that you will probably kill the creature, but it will prove somewhat difficult; white indicates that the creature\'s abilities are on par with your own, it should be an even match; yellow indicates that the creature is slightly stronger than you, and will be very difficulty to kill; red indicates that the creature is much more skilled than you, and will most likely defeat you easily.\n\nIn addition to the visual indicator mentioned above, you can also target a creature and use the /consider command. This will send you a message in your chat window telling you how difficult it should be to defeat.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_combat_d.stf', '4', 'targeting', 'There is critical information that can be determined about a creature, non-player character (NPC) or another player by targeting them in your heads-up display. In this section, you can discover the details which can be learned by targeting.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_combat_d.stf', '5', 'ham', 'Creatures have three bars representing their Health, Action, and Mind pool, very similar to your own. When you target a creature, its name and HAM bar will appear in your heads up display, as well as over the creature\'s head. Red represents the Health pool, green represents the Action pool, and blue represents the Mind pool.\n\nWhen you deal damage to a creature through combat, you will notice that its Health, Action, and Mind pools deplete, based upon the amount and type of damage dealt. This can be seen in the HAM bar by a shortening of the colored bar that represents the pool that was depleted. When any one of the three pools is completely depleted, the remainder of the colored bar will disappear and the creature will die.\n\nThe only exception to this is if you are participating in player versus player (PVP) combat. In this case, if you entirely deplete any one of another player\'s HAM bars, then you will incapacitate that player. At that point, you will need to perform a death blow in order to kill the other player.\n\nYou may notice while in combat that the creature or player that you are fighting will accrue portions of black space at the end of its HAM bars. These indicate wounds that you have dealt your enemy with your weapon. Different weapons have different chances of inflicting wounds.\n\nThe Health, Action, and Mind pools of a creature, NPC, or another player will regenerate with time if they are left alone, but again similar to your own pools, they will not regenerate any damage that wounds have caused without the help of a medic or entertainer.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_combat_d.stf', '6', 'status', 'When you have a creature targeted, a small box with the creature\'s name and HAM bars will appear in your heads up display. In this box, you will see icons representing any status effects that the creature might currently have, such as bleeding, or damage over time effects.\n\nIf you see an effect icon with which you are unfamiliar, you can hold your mouse cursor over the icon and a brief explanation of the effect will appear beneath it.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_combat_d.stf', '7', 'rules', 'In this section, you will learn about some of the rules and intricacies of actual combat against your enemies.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_combat_d.stf', '8', 'postures', 'There are three different postures you can utilize while in combat: standing, kneeling, and lying prone. There are advantages and disadvantages to each posture, and you will probably change your posture often in a fight to best suit the situation.\n\nStanding is your default combat stance. You are able to fire a ranged weapon at any distance from your target, and you are able to perform melee attacks. Since this is the most mobile posture, your defenses are strongest in this stance.\n\nKneeling will give you slightly better aim while using a ranged weapon, increasing your chance to hit your opponent. However, while in this posture, you will not be able to move or use melee attacks. You will be a little more vulnerable to melee attacks, but you are also a little harder to hit with a ranged weapon.\n\nLying prone allows you to steady your ranged weapon, greatly improving your aim and significantly increasing your chance to hit your target. While in this posture, you are able to crawl slowly. However, you cannot perform melee attacks, and you will not be able to use your ranged weapons at point blank distance. You are extremely vulnerable to melee attacks while in this position, but being so low to the ground makes it quite difficult to hit you with a ranged weapon.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_combat_d.stf', '9', 'states', 'As you advance in combat skills, you will learn more special moves that are able to change your or your opponent\'s combat state. These states generally are either positive or negative, and possibly both. But beware; some of your enemies may also be capable of performing these special moves.\n\nBelow are some examples of some of the combat states that you can bestow or inflict. Keep in mind that all combat states are temporary.\n\nAggressive: Increases chance of delivering a successful counter-attack and decreases chance of getting hit in combat.\nAiming: Provides a bonus to hit on the next attack.\nAlert: Counters surprise attack special move.\nBerserk: Provides a bonus to hit, faster attacks, and damage increase, but also applies a penalty to defense.\nBlindness: Applies penalties to both offense and defense.\nDizziness: Creates chance of falling down when changing postures.\nEvading: Provides chance of dodging an attack.\nImmobilized: Prevents movement.\nIntimidated: Increases chance of being hit by attacks.\nRallied: Provides both a bonus to hit and a bonus to defense.\nStunned: Applies penalties to defense.\nTaking Cover: Provides bonuses to defense.\nTumbling: Provides defensive bonuses while changing postures.\n\nIf you see a combat state icon with which you are unfamiliar, you can hold your mouse cursor over the icon and a brief explanation of the state will appear beneath it.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_combat_d.stf', '10', 'range', 'All weapons have an ideal range, at which they work most effectively and provide the greatest chance to hit your enemy. Weapons will also have a maximum range, beyond which you will not be able to attack your target at all. You can find these ranges by examining your weapons.\n\nMelee weapons and unarmed combat require you to be at point blank in order to use them, pistols generally work best at short ranges, carbine weapons are most effective at mid-ranges, and rifles are most accurate at long ranges\n\nYou can tell how far away you are from your target by looking at the target window on your heads up display. You will see the distance to your enemy there represented in meters.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_combat_d.stf', '11', 'armor', 'Armor will reduce damage taken to the body parts on which it is worn. However, this protection comes at a cost. When armor is equipped, it will reduce the pool of some of your secondary statistics. To see the protective value of the armor and the cost to your statistics, simply examine your armor.\n\nGenerally speaking, the more protective the armor, the higher the cost will be to your secondary statistics. If the armor would lower any one of your statistics to zero when equipped, you will not be able to wear that armor.\n\nArmor worn on the feet and legs will help prevent damage to your Action pool, armor worn on the chest, biceps, wrists, and hands will help prevent damage to your Health pool, and armor worn on the head will help prevent damage to your Mind pool.\n\nThe protection that armor provides is determined by three factors: Armor Rating, Armor Effectiveness, and Armor Vulnerability.  Armor Rating ranges from None to Heavy.  If attacked by a weapon with equal Armor Piercing, there is no effect.  If the Armor Rating is higher than the Armor Piercing of the weapon, damage is reduced by 50% for each level of difference.  Therefore, if a weapon with no Armor Piercing strikes an Armor Rating of Light, damage would be reduced by 50%.  Against an Armor Rating of Medium, it would be reduced by 50% and then another 50%.  If the weapon has more Armor Piercing than the armor has Armor Rating, damage is increased by 25% for each level difference.  \n\nAfter Armor Rating has been applied, Armor Effectiveness comes into play.  It reduces the remaining damage by the stated percentage.\n\nArmor Vulnerability denotes the damage types in which the armor provides no protection whatsoever.  The Armor Rating is considered to be None and Armor Effectiveness is considered to be 0% against that damage type.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_combat_d.stf', '12', 'weapons', 'Weapons are broken up into two main categories: melee weapons and ranged weapons. Melee weapons require you to be close to your enemy and ranged weapons will fire a projectile from a distance.\n\nMelee weapons can be broken down into sub-categories. They are as follows:\n\nUnarmed Combat - Fighting with no weapon equipped is considered melee combat. Brawling is the fastest melee style, but the lowest potential for damage output.\n\nOne-handed Sword - One-handed melee weapons are usually bladed and easy to swing. A one-handed weapon is a little slower than brawling, but the weapon will cause more damage than your fists.\n\nTwo-handed Sword - Similar to one-handed weapons, these are usually bladed but they are someone heaver. That makes them slower than their one-handed counterparts, but the extra weight allows more damage to be dealt.\n\nPolearm - The largest of the melee weapons, these can be either bladed or blunt. These can sometimes be difficult to wield and as a result they are generally the slowest melee weapons to use. However, the sheer size of these weapons makes them the most dangerous to your enemies.\n\nRanged weapons are also broken down into sub-categories. They are as follows:\n\nPistol - These small weapons are easy to carry and even easier to conceal. Their small size yields a relatively low damage output, but they recharge quickly allowing for a rapid rate of fire. The effectiveness of a pistol drops off at long ranges; they are usually used only for short range combat.\n\nCarbine - These are good mid-range weapons. Carbines have a little trouble hitting targets at very long or very short distances, so at these ranges you may want to aim carefully. The capabilities of a carbine weapon allow for moderate damage output along with a fairly decent recharge rate.\n\nRifle - Made to destroy enemies from afar, these weapons are most effective from long ranges. The sheer power behind a rifle makes it difficult to attack targets at a short range, but from a distance, a rifle has the highest damage potential of any ranged weapon. This does not come without a price however, as the power drain on a rifle makes for a long recharge time and a slow rate of fire.\n\nAdditionally, there is also a category of weapons known as heavy weapons. These generally include grenades and rocket launchers, and can only be used effectively by a few professions. The disadvantage to these types of weapons is that they are expendable, and can be used only a limited number of times.\n\nSimply examine a weapon if you wish to check the damage output, attack speed, and range information.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_combat_d.stf', '13', 'equipmentdamage', 'Even the highest quality armor and weapons will begin to show signs of wear and tear if they are used often. When you examine a piece of your equipment, you will see its status depicted as its current condition out of its maximum possible condition (current/max).\n\nWhen you have used this equipment frequently enough that its condition is reduced to zero, the item will decay and will be removed from your inventory.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_combat_d.stf', '14', 'looting', 'After killing a non-player character (NPC), you are able to loot his or her corpse. Bringing up the radial menu on the corpse will offer you the choice to loot. Selecting the loot option will allow you to \"Loot\" or \"Loot All\".\n\nSelecting the \"Loot\" choice will bring up a small window from which you can select the items that you want to take from the corpse. Selecting \"Loot All\" will transfer all items on the corpse into your inventory, assuming you have sufficient space.\n\nYou are not able to loot the corpse of another player that you have killed.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_combat_d.stf', '15', 'death', 'Permanent death is usually not a concern in Star Wars Galaxies. This section contains information that may be helpful if you have lost the battle, and face imminent death.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_combat_d.stf', '16', 'insurance', 'Items left on your body after death will automatically be returned to you.  However care is rarely taken in the handling of these items so they will usually be slightly more damaged when you get them from how they were when you were slain.\n\nIf you are exploring in a dangerous area, or if you have items that you especially want to protect, you may want to take out insurance on your equipment. You can do this at the insurance terminals found at cloning facilities throughout the galaxy.\n\nInsuring your items will cost a few credits, but it will minimize the damage due to death.  When using an insurance terminal, you can insure your items all at once, or individually, if you are concerned only about a few items.\n\nAfter death, all items whether insured or not will be returned to your inventory when a clone is activated. Items will decay some each time they are returned to you though insured items will take considerably less damage. Once insured items are returned to you after death, you will need to insure them again if you wish to have the protection versus decay the next time that you die.\n\nYour insured items do not take damage nor do they need to be re-insured due to a faction death. ');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_combat_d.stf', '17', 'cloning', 'The problem of permanent death has been averted through the use of cloning technology. You can usually find cloning facilities in major cities, as well as most settlements and outposts.\n\nTo store your clone data at a particular cloning facility, simply pay a fee at one of the cloning terminals at that facility. When you are killed, you will have the option to have your clone activated at the nearest facility, or at the facility in which you most recently stored your clone data.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_combat_d.stf', '18', 'incapacitation', 'When any one of your Health, Action, or Mind pools becomes depleted, you will be incapacitated. This will render you unconscious for a short period of time. When you are incapacitated, you are vulnerable to death blows. If you receive a death blow while unconscious, you will die and you must activate a clone.\n\nUsually only aggressive creatures will perform a death blow after you have been knocked unconscious. If you were incapacitated in player versus player (PVP) combat, your opponent must explicitly perform a death blow in order to kill you.\n\nWhile incapacitated, a small timer window will appear in your heads-up display counting down until the time that you will regain consciousness. If you are incapacitated three times within ten minutes, then you will die and you must activate a clone.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_combat_d.stf', '19', 'corpserecovery', 'You do not have to recover your corpse when you die. All of your items will appear with you at the cloning center. Make sure you insure your items or they may decay faster with every death.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_combat_d.stf', '20', 'gcw', 'Interested in becoming a combatant for a specific cause? This section will help you learn more about how to join either the Galactic Empire or the Rebel Alliance, and the benefits gained from doing so.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_combat_d.stf', '21', 'joiningafaction', 'Before you are able to align with either the Galactic Empire or the Rebel Alliance, you must first prove yourself worthy of joining the side that you choose. You can do this by accruing faction standing points.\n\nYou are able to gather faction points in one of two ways. Firstly, you can complete Imperial or Rebel missions. Factional mission terminals are scattered throughout the galaxy. Finishing an Imperial mission will garner Imperial faction points, and finishing a Rebel mission will garner Rebel faction points. You can also participate in battlefield combat to gain faction points. \n\nOnce you have accrued enough of the appropriate faction points, visit a recruiter for the faction that you wish to join. He or she will determine if you are ready to join in the fight for the future of the galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_combat_d.stf', '22', 'pvprules', 'If you declare yourself to be an overt member of your faction, you can participate in player versus player (PVP) combat with overt members and NPCs of the opposing faction. When you kill someone belonging to the opposite faction, you will receive a small faction point reward. However, if you are killed by someone belonging to the opposite faction, you will suffer a small faction point penalty.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_combat_d.stf', '23', 'perks', 'Faction points are still useful even after you have joined one of the two factions. Points can be spent for faction perks, such as constructing and maintaining battlefield headquarters.\n\nYou may want to speak with officials representing your faction for the faction perks that are offered and what you can afford with your current number of points.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_combat_d.stf', '24', 'leavingafaction', 'If you decide that you no longer want to be a Rebel or an Imperial, you simply need to find a recruiter and speak with him or her. They will offer you the choice to sever your ties with the faction.\n\nKeep in mind that you will not be able to join the opposing faction until you earn enough of the appropriate faction points.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_combat_d.stf', '25', 'ranges', 'All weapons have an ideal range at which they work most effectively and provide the greatest chance to hit your enemy. Weapons will also have a maximum range, beyond which you will not be able to attack your target at all. You can find these ranges by examining your weapons.\n\nMelee weapons and unarmed combat require you to be at point blank in order to use them, pistols generally work best at short ranges, carbine weapons are most effective at mid-ranges, and rifles are most accurate at long ranges.\n\nYou can tell how far away you are from your target by looking at the target window on your heads-up display. You will see the distance to your enemy there represented in meters.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_combat_d.stf', '26', 'corpses', 'Whenever your character is killed you are left with only two options, clone immediately or wait to be revived by a Doctor.  \n\nWhen you die your perspective will stay at the location of your corpse and a clone widow will appear. You do not have to immediately clone.  You can choose to wait for a revive from a fellow Doctor, just do not choose any of the clone options available. Do not close the clone window however so that you can easily choose a clone option.\n\nOnce you are ready to clone just choose one of the options available and you will be revived at the Cloning Facility you chose.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_combat_d.stf', '27', 'corpserun', 'Corpse runs do not exist in Star Wars Galaxies.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_combat_d.stf', '28', 'corpsealternate', 'You do not have to recover your corpse when you die.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_combat_d.stf', '29', 'corpseconsent', 'You may find it necessary at some point to have someone drag your corpse for you. To do this, you will need to give your consent. \n\nUse the /consent command to grant someone the privilege to manipulate your corpse. You may use the /unconsent command to revoke the privilege if you wish.\n\nIf you have consent to drag someone\'s corpse, stand a short distance away from where his or her body lies and use the /corpse command to drag his or her corpse to where you are currently standing. You can repeat this process until you have moved the corpse to a desired location. Keep in mind that if you are too far away, you will not be able to drag a corpse.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_combat_n.stf', '1', 'combat', 'Combat');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_combat_n.stf', '3', 'targeting', 'Targeting');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_combat_n.stf', '4', 'consider', 'Using Consider');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_combat_n.stf', '5', 'ham', 'Understanding the HAM Bar');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_combat_n.stf', '6', 'status', 'Status Effects');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_combat_n.stf', '7', 'rules', 'Rules of Engagement');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_combat_n.stf', '8', 'postures', 'Combat Postures');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_combat_n.stf', '9', 'states', 'Combat States');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_combat_n.stf', '10', 'range', 'Combat Ranges');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_combat_n.stf', '11', 'armor', 'Armor and Combat');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_combat_n.stf', '12', 'weapons', 'Combat Weapons');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_combat_n.stf', '13', 'equipmentdamage', 'Equipment Damage');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_combat_n.stf', '14', 'looting', 'Looting');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_combat_n.stf', '15', 'death', 'Death');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_combat_n.stf', '16', 'insurance', 'Insurance');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_combat_n.stf', '17', 'cloning', 'Cloning');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_combat_n.stf', '18', 'incapacitation', 'Incapacitation');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_combat_n.stf', '19', 'corpserecovery', 'Corpse Recovery');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_combat_n.stf', '20', 'gcw', 'Galactic Civil War');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_combat_n.stf', '21', 'joiningafaction', 'Joining a Faction');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_combat_n.stf', '22', 'pvprules', 'PvP Rules');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_combat_n.stf', '23', 'perks', 'Faction Perks');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_combat_n.stf', '24', 'leavingafaction', 'Leaving a Faction');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_combat_n.stf', '25', 'corpses', 'Corpses');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_combat_n.stf', '26', 'corpserun', 'Corpse Runs');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_combat_n.stf', '27', 'corpsealternate', 'Alternatives to Corpse Runs');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_combat_n.stf', '28', 'corpseconsent', 'Giving Corpse Consent');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_communication_d.stf', '1', 'communication', 'The chat system for Star Wars Galaxies is designed to be robust and versatile. By default, you can chat simply by typing.\n\nChat automatically appears in your Chat Input bar. When you hit the Enter key, whatever you\'ve typed appears in the Chat window of those around you. Chat messages also appear in Chat bubbles above your head.\n\nYou can also use special commands, also known as \"slash commands\", because they are always preceded by a  /  (forward slash). For a list of all the slash commands, type /socials.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_communication_d.stf', '2', 'sample', 'Sample Page Text');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_communication_d.stf', '3', 'multichatboxes', 'At the top of the Chat window are two tabs that allow you to cycle between two different default Chat channels. A chat channel is like an online chat room. The two default channels are:\n\nSpatial: All conversation and important information occurring within a 50-meter radius around you will appear within this channel.\n\nCombat: Displays combat information, including damage data. System messages and tells are reproduced here. \n\nWhen you join a group, you automatically get a new channel titled Group which will display all group chat.\n\nYou can separate any number of chat tabs into actual windows by pressing down on the right mouse button on that tab, then dragging it onto the screen. When you let go of the button, you will have created another window that you can place on your screen where you\'d like.\n\nIf you no longer want multiple Chatboxes, you can drag the tab of that window back into the first box to combine the two. If you no longer want the additional window at all, you can click on the X to permanently close the window.\n\nYou can modify a channel tab by simply double clicking on it. A menu will appear, offering you ways to customize the tab to your liking.\n\nYou can create new tabs by holding down left mouse button on an exiting tab. From the menu that appears choose Create Tab. Double-click on the new tab that appears, then choose to change its name to one of your liking.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_communication_d.stf', '4', 'shortcuts', 'Every mood and social is available in your Abilities screen (Ctrl+A). You can left-click on any Mood or Social icon and drag it into your toolbar to assign that chat command to one of your function keys (F1 through F12). You can then use the corresponding function key to use the social or change your mood.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_communication_d.stf', '5', 'moods', 'While chatting, you can set your character\'s mood to visually express your feelings. Moods are expressed only to other player characters in the game, and do not affect the non-player characters.\n\nTo set a mood for you character, type /mood [moodname]. \nExample: /mood happy   or  /mood sad\n\nTo set a neutral mood, type /mood none.\n\nOnce you set your mood, your facial expression will change and your chat will reflect your mood. You can change your mood at anytime. \n\nTo apply a mood to a specific chat message, type /[mood name] followed by [/chat type], and then your message.\nExample: /happy /say Hello!  - This will say to everyone nearby \"Hello!\" in a happy mood.\n\nType /moods for a full list of the available moods. You can also refer to the Moods tab in the Abilities screen (Ctrl+A keys) for the same list.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_communication_d.stf', '6', 'sayalts', 'Depending on your set mood, or if you use special types of speech other than the default  \"say\", your chat bubble will appear differently to others.\n\nVarious moods will cause the bubble to take on various shapes that increase the effect of your visual features. Whether the bubble appears jagged, spiked, or round will depend on how you are expressing yourself to others.\n\nSome examples of the Chat Bubbles changing shapes:\n\n/say is the default round bubble\n\n/shout causes the bubble to take a jagged look around the edges\n\n/whisper uses dotted lines for the edges to indicate you speaking in low tones\n\nIn order to make a \"thinking\" thought bubble, use a colon before typing. To think out loud that you\'re feeling uneasy, you would type : I have a bad feeling about this...\n\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_communication_d.stf', '7', 'socials', 'Socials are special animations or text messages designed for social interaction. Each social has a special command associated with it.\n\nTo use a social, simply type /[social action]\nExample: /wave will wave to someone or /cheer will cheer for someone\n\nFor some socials, you can target another person to perform that social directed towards them. All you need to do is follow the social with their name, such as /[social action] [character\'s name]\nExample: /dance will cause you to dance for joy, whereas /dance Vemerik will cause you to dance for joy with the character Vemerik\n\nTo see a full list of emotes, type /socials or open the Abilities screen (Ctrl+A keys) and click on the Socials tab.\n\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_communication_d.stf', '8', 'chatbox', 'Your Chatbox is one of the primary ways in which you will communicate information between the world and other players in Star Wars Galaxies. Located at the bottom of the screen, it is separated into two parts: the Text field and the Input field.\n\nIn the Text field, you will see everything from Combat messages to people saying hello you. All conversations will appear in your Chatbox, as will any searches, player reactions, skill increases, etc.\n\nThe Input field is where you will issue any text-based commands. The most common usage is to type out what you are saying to other players, but it can be used to issue shortcuts, special skills, etc. Basically, whenever you have to \"type\" something, then Input field is where enter the information.\n\nThe default use of the Chatbox only requires you to type something in. Anything you type in the Chatbox will appear in the world as if your character said it, with a text bubble over their head. \n\nIn order to send special messages (like shouting) or commands (such as starting to dance), you will need to start the line with a  /  (forward slash). If you do not use a slash before you type something in, your character will say it with a text bubble above their head.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_communication_d.stf', '9', 'spatial', 'All conversation and important information occurring within a 50-meter radius around you will appear within this channel. Socials, emotes, default \"say\" chat, and any tells or system messages (such as notification that you\'ve earned XP) you might receive will be shown here.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_communication_d.stf', '10', 'distant', 'Sometimes you will find that you wish to speak to a person who is not in your immediate vicinity. If you need to send a message to someone who is not standing near you, there are two ways you can go about it. You can send the person a /tell if they are online, or you can send them an in-game email if they are not online.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_communication_d.stf', '11', 'tell', 'If you wish to send a message to someone in the game and they are not within hearing distance (or maybe you wish it to be secret), you can send a tell.\n\nA tell can only be seen by the person you are sending the message to, and does not appear as a chat bubble over your head. Make sure you are sending the tell to the right person, or you might embarrass yourself.\n\nTo send a tell, type /tell followed by a space then the name of the character you wish to send the message to. After you have done that, put a space and type your message.\n\nFormat: /tell [character\'s name] [message]\nExample: /tell Vemerik I need help with these dewbacks!\n\nIn the above example, someone sent a tell to Vemerik asking him for help with Dewbacks. Remember, put a space between /tell, then name, and the message.\n\nIf you receive a Tell from someone, you can send them a Reply. A reply works the same exact way as a tell, except you type /reply instead of /tell.\n\nFormat: /reply [character\'s name] [message]\nExample: /reply Aldalad No problem! I\'ll be right there!\n\nOnce you have mastered how to send Tells and Replies you can use shortcuts to type it faster. Using the same format as above, instead of typing /tell you can shorten it to /t. The same goes for replies. Instead of typing /reply, you can shorten it to /r.\n\nExamples:\n/t Vemerik Thanks a lot for saving me! I thought I was banthafodder!\n/r Aldalad No problem. Let\'s group together and get the rest of those dewbacks!\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_communication_d.stf', '12', 'mail', 'The in-game mail function, represented by an icon of an envelope, will allow you to send and receive messages from other players in the Star Wars Galaxies game. To begin using it, you can click on the icon in the toolbar, or you can press Ctrl+E.\n\nIf you have a message waiting for you, the icon will flash to notify you of the new message. To read the message, click on the e-mail and the message text will appear at the bottom of the screen.\n\nTo send a message, click on New. In the \"To\" field, type in the name of the character you wish to send the email to (you only need to enter the first name of the character). If you wish to send the message to more than one person, type in a semicolon (;) after the person\'s name, then type in the next name.\n\nType your message that you wish to give and then click on the Send button. If you wish to add any attachments (such as waypoints), drag the icon of what you wish to send into the Attachment field.\n\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_communication_d.stf', '13', 'channels', 'Star Wars Galaxies supports a global chat system with multiple channels or \"rooms\". While Spatial, Combat, and Group chat are provided by default, players are also able to join other channels, and even create and run their own rooms.\n\nTo create a new Chat Channel tab, press and hold the right mouse button on any existing Channel tab to see a list of options. Select Create Tab, and a new Channel tab titled \"None\" will appear. Double-click on the new tab to rename it and define the types of information it displays.\n\nTo join and create new channels or Chat rooms, you need to access the Channel Browser. To find the Channel Browser, click and hold the left mouse button on a Chat tab, and then choose Join Chat Channel. It\'s sometimes helpful to create a new, empty tab for this purpose. ');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_communication_d.stf', '14', 'findingfriends', 'While you adventure throughout the galaxy, you will run across hundreds of other people doing the same. The Community icon will help you sort out your encounters. (You can also press Ctrl+C to reach the screen.)\n\nSometimes, you will want to look for someone who matches your personality, or perhaps you already have made a lot of friends and need to keep track of them. You can also quickly look to see if there is someone nearby that you want to talk to, rather than running around looking for them.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_communication_d.stf', '15', 'matchmaking', 'If you are looking for someone to adventure with, or are just interested in meeting people who match your personality, you can use the Matchmaking service.\n\nThe first page is the Personal screen. This is where you can choose traits that you are looking for in a friend. Once you have chosen the options of what you are looking for, you can then adjust the Sensitivity. This will determine how closely the potential person will need to match what you have chosen (if you put the Sensitivity to 100 percent, then your potential friend will have to match every single last trait you selected). When you are done, you can also click on the Make My Profile Searchable to allow others to search for you, as well.\n\nThe Match History screen will show you the list of people that match your preferences. It will also show you how long ago the search was made.\n\nThe Character screen is where you can define what other people see about your character. Information provided in this screen is what the various Search commands draw from. Here is where you can designate what title you will go by, if you have any special badges, or if you\'re looking for a group to join. You can also designate whether you are a Role-Player or a Newbie Helper (someone who likes helping new players learn how to play).');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_communication_d.stf', '16', 'friendslist', 'Your Friends list helps you to keep track of any friends you make in the game. You can see which of your friends are online on the Friends screen of the Community Window (default CTRL P).\n\nTo add a character to your friends list, type in the first name of that character in the field at the bottom of the Friends screen. You can also do it in the chatbox by typing: /addfriend [character\'s first name]\n\nExample: /friend Vemerik - this will now add Vemerik to your Friends list.\n\nYou can select a friend by clicking on them (or choose all of them by clicking on Select All). Once you have the friend selected, you can then send them a message or an in-game email.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_communication_d.stf', '17', 'search', 'The Search page allows you to find specific types of players in your area. To use the search function, choose the traits you\'re looking for (example: Medic), then click on the Search button. The search function will only show you those that meet the criteria you have designated.\n\nYou can quickly search for players in your Chatbox using these commands:\n\n/who [character\'s first name] : This will show you if the character is online\n(example: /who Vemerik) - This will tell you if Vemerik is online\n\n/who [part of a name] : This will show you anyone online with those characters\n(example: /who Meri) - this will show anyone with the letters in \"meri\" in that order\n\n/who [species name] : This will show you anyone online in your area of that species\n(example: /who rodian) - This will show you all the Rodians in your area\n\n/who [profession] : This will show you anyone online in your area of that profession\n(example: /who entertainer) This will show you all the Entertainers in your area\n\n/who lfg : This will show you anyone in your area that is Looking For a Group (lfg). You can set yourself to \"lfg\" by typing /lfg (typing it again turns it off)\n\n/who helper : This will show you anyone in your area that identifies themselves as a \"helper\" for newbies. You can set yourself to \"helper\" by typing /helper (typing it again turns it off)\n\n\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_communication_d.stf', '18', 'moderating', 'You can set your channel to Private or Moderated. A Private channel can only be accessed by those who have been invited to join the room, while a Moderated channel allows anyone to visit. For either channel, you have the power to remove anyone who misbehaves.\n\nThe owner of the channel is automatically assigned moderator powers over the channel. The moderator powers include:\n\n- Inviting and Uninviting another player into a Private Channel\n\n- Kicking another player out of a channel\n\n- Giving or Revoking another player moderator privileges\n\n- Destroying the Channel\n\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_communication_n.stf', '1', 'communication', 'Communication');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_communication_n.stf', '3', 'chatbox', 'Understanding Your Chatbox');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_communication_n.stf', '4', 'multichatboxes', 'Using Multiple Chatboxes');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_communication_n.stf', '5', 'shortcuts', 'Chatbox Shortcuts');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_communication_n.stf', '6', 'spatial', 'Understanding Spatial Chat');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_communication_n.stf', '7', 'moods', 'Using Moods');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_communication_n.stf', '8', 'sayalts', 'Using Special Chat Bubbles');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_communication_n.stf', '9', 'socials', 'Using Socials');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_communication_n.stf', '10', 'distant', 'Distant Communication');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_communication_n.stf', '11', 'tell', 'Using Tells');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_communication_n.stf', '12', 'mail', 'Using In-Game Mail');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_communication_n.stf', '13', 'channels', 'Using Chat Channels');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_communication_n.stf', '14', 'moderating', 'Moderating a Chat Channel');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_communication_n.stf', '15', 'findingfriends', 'Finding Friends');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_communication_n.stf', '16', 'matchmaking', 'Using Matchmaking');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_communication_n.stf', '17', 'friendslist', 'Using the Friends List');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_communication_n.stf', '18', 'search', 'Searching for Players');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_crafting_d.stf', '1', 'crafting', 'Crafting is a key component of the economy in Star Wars Galaxies. Artisans and other related characters (including Weaponsmiths, Tailors and even Chefs) can build virtually anything, ranging from blasters to buildings, and then place these items for sale through the Galactic Bazaar.\n\nIt\'s very important to note that crafting covers a wide variety of activities beyond just assembling useful devices. In fact, Chefs and Tailors use the exact same crafting system as Armorsmiths and Droid Engineers; they just produce different types of goods.\n\nArtisans begin the game with the ability to craft a limited number of basic objects. Crafting requires three things: a schematic of the object you want to craft, the components necessary to build the item, and a crafting device of some kind.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_crafting_d.stf', '2', 'draftschematics', 'Schematics are basically blueprints for anything you can build. They include designs for weapons and other devices, recipes for foodstuffs, and patterns for items of clothing.\n\nAccess your list of schematics through your Datapad (Ctrl+D). Double clicking on any schematic will bring up a description of that item, along with a list of the resources and other components required to build that object.\n\nEvery item in the game requires specific components to craft. In many instances, these components will simply be resources. To craft a survival knife, for example, you might need several units of metal and a few units of polymer alloys.\n\nMore complex items are actually composed from other crafted objects, or a combination of resource and crafted components. A blaster requires some resources, but also calls for a power cell, which is a separate craftable item. To build a blaster, you must first build (or buy) a power cell.\n\nSome items allow for optional components (you might be able to add spices to a meat stew or a scope to a rifle). The components are not required to complete the item, but may enhance the final product in some way. You can view the components required for any item by reviewing the object\'s schematic in your Datapad or through a crafting device.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_crafting_d.stf', '3', 'findingresources', 'Resources are any material that can be extracted from the land or creatures and used to create useful objects, including camps, clothing, and weapons.\n\nResources include everything from strange minerals to the hide of a womp rat. Because they are necessary components for building virtually anything, resources are the foundation of the in-game economy.\n\nDue to the fact that they are essential to the economy, resources will either be horribly common or exceptionally rare. Resources come in all shapes and sizes, and from various sources. Resources that comes from the land will require harvesting to acquire them. Organic resources from a creature can be acquired by hunting and harvesting them.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_crafting_d.stf', '4', 'sampling', 'Surveying:\n\nMinerals, liquids, and many other types of resources need to be located through a process known as surveying. Artisans begin the game with basic surveying skills. To use these skills, you must have a surveying device.\n\nThere are different types of devices for each general resource type. Don\'t worry, surveying devices can be built by other players if you don\'t have one.\n\nBefore using a surveying device, you must set the device\'s radius by clicking \"Settings\" on the device\'s radial menu. To survey, select \"Survey\" from the device\'s radial menu. This will produce a list of the specific resources that you can try to find on your current planet.\n\nSelect any of the resources listed there and then select \"Survey\" again. Depending on your skills, you will see several deposits of your selected resource. Higher percentages on your Surveying screen indicate very dense deposits. You will want to head toward these deposits to efficiently mine resources. Every time you survey, a waypoint will be created to lead you to the largest discovered resource deposit.\n\nSampling:\n\nOnce you reach a resource deposit, you can use your surveying to extract small samples of the resource. Select the \"Take Sample\" option on your surveying tool\'s radial menu.\n\nSuccessfully drawing a sample depends upon the size of the deposit and your current skills. If you successfully produce a sample of the resource, it will appear in your inventory for use when crafting items.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_crafting_d.stf', '5', 'harvesting', 'Scouts have the ability to extract organic resources from dead creatures. To harvest these resources, bring up a radial menu on a creature\'s corpse, select the \"Harvest Resources\" tab, and select the type of resource you want to extract: bone, hide, or meat.\n\nThis will provide you with a small number of resources based on the type of creature. You can use these resources yourself if you have invested skill points in a crafting skill, or you can sell them to other players who need them for their creations.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_crafting_d.stf', '6', 'foraging', 'Scouts are given the ability to use their foraging skills to find organic resources and consumables in the surrounding area. When using the forage skill, your character will spend time searching the area for unseen resources that are available for the taking.\n\nJust because you attempt to forage does not guarantee that you will find something usable. The better a Scout\'s skill in foraging becomes, the better a chance at locating an organic resource or a useful consumable. \n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_crafting_d.stf', '7', 'harvesters', 'In order to use a harvester, you will first need to build one. To build a harvester you need to acquire a deed for the structure. Deeds can be manufactured or purchased from other players or through the Bazaar.\n\nOnce you have a deed, click on the Use button on the deed\'s radial menu. Your view will change to an overhead view. Use the arrow keys to view the surrounding area and to move the harvester\'s \"footprint\" around. Eventually, you should find an area where the \"footprint\" will glow green instead of red.  Any traces of red on the \"footprint\" will prevent you from placing it there. When you have found a place you wish the harvester to be built, click right mouse button to place a construction marker.\n\nConstruction of your installation will take some time, depending upon the size and type of the structure. You can view the construction progress by producing a Radial Menu on the construction marker and selecting \"Status\" from the available options.\n\nOnce the harvester has been built, you can then click on the building and choose from options available in its radial menu. Among the choices provided will be status reports, how much you have harvested, efficiency levels, changing the resource being harvested, and retrieving what the harvester has already collected.\n\nKeep in mind, harvesters have an upkeep cost to maintain their operations. Your galactic bank account will have the maintenance costs automatically deducted. If your account does not have the available funds, the harvester will stop functioning, fall into disrepair, and eventually disappear. If your harvester is no longer profitable, or you wish to pursue other careers, you can choose to \"Destroy\" the harvester to stop making payments on it.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_crafting_d.stf', '8', 'toolsandstations', 'If you start the game as an Artisan, you\'ll find a \"generic crafting tool\" in your Inventory. These tools can be purchased in the game from other players.\n\nThe generic crafting tool only allows you to assemble simple items. To construct larger or more complex items, you must visit stationary crafting stations (located in almost every major city). Each type of item has its own dedicated crafting station (you can\'t prepare food items at a clothing crafting station, for example).\n\nTo build a simple item, double-click on your generic crafting tool or select \"Start Crafting\" from the device\'s radial menu. Once the crafting device is activated, it will provide you a list of items that you can build with the tools (to access additional schematics, you must use crafting stations). Schematics are organized by type.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_crafting_d.stf', '9', 'assembly', 'The Assembly screen allows you to place components into your schematic. When you open a schematic, your available resources and components will appear in a window on the left side of the screen.\n\nEach schematic has \"slots\" for specific components. When you click on an available component or resource, any slots that can hold that type of component will glow green.\n\nClick and drag components into the appropriate schematic slots or double-click on the components to allow the crafting device to automatically assign them to an appropriate slot.\n\nLike characters, each resource and component has its own set of attributes that directly affect the quality of the object you\'re crafting. Some metals are more durable than others, for example. Putting a very durable metal into a blaster schematics likely to result in a very durable blaster.\n\nAfter assigning components to a schematic, click on the Assemble button, Once you have clicked on Assemble, you will attempt to construct the item. Whether or not you can successfully build the item depends upon your skills and the item\'s complexity.\n\nIf you suffer a critical failure, you won\'t complete the item.  Assuming you were successful at your crafting attempt, you will receive a message when your item is complete. Unless your inventory is full, the item will be transferred there.  If your inventory is full, the item will be stored in the output hopper of the crafting tool.  You can access the hopper by holding down on the \"Start Crafting -> Open Input Hopper -> Get Finished Prototype\" option from the tool\'s radial menu until \"Open Output Hopper\" appears.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_crafting_d.stf', '10', 'experimentation', 'More experienced crafters will gain the ability to experiment. Experimentation provides a chance to change the original design to increase an item\'s effectiveness.\n\nOn the Experimentation screen, you can identify variables you want to improve (damage or range on a blaster, perhaps). Experimenting will increase an item\'s complexity, reducing your chances of successfully creating the item.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_crafting_d.stf', '11', 'customization', 'Once you are done crafting the object, you will be brought to the Customization screen. This screen will allow you to make various changes to an object depending on your skill in question.\n\nThe most common customization is the ability to give the object a name. This can be something as simple as \"Kloohorn\" or flashy like \"Vemerik\'s Razzamatazz Kloo horn\". As your skills rise, so will your options. For instance, if you were to tailor a Wookiee Hood, you may be given the chance to decide what color it will be. The better your skill gets, the more colors and color schemes become available.\n\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_crafting_d.stf', '12', 'manfschematics', 'When using a generic crafting tool, you produce an actual object that can be used by you or others (a \"prototype\"). However, while at a crafting station, you have the option of creating a manufacturing schematic instead. A manufacturing schematic can be used with factories to mass-produce the item.\n\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_crafting_d.stf', '13', 'factories', 'If you have created a manufacturing schematic in place of creating an object, you can use it on an automated factory to mass-produce the object. Depending on how many items you created the schematic to produce, you will walk away with more items in less time (automated factories will continue to create the object even if you are offline).\n\nWhen you use a manufacturing schematic, you will need to insert the proper amount of resources listed in the schematic into the factory. Once you have everything set, you can the start producing these objects, which will deposit themselves into a crate that only you can access.\n\nThe benefits of using an automatic factory is that, if you create a manufacturing schematic with good outcomes, you can create multiple objects of that same exact specification. In addition, you will not have to craft all of the objects by hand. Let the machine do it for you.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_crafting_d.stf', '14', 'selling', 'The Bazaar is a galactic communities market where you can place items up for sale, buy items, and even participate in auctions.\n\nThe Bazaar is accessed through special terminals located in nearly every city. In some respects, Bazaar terminals are similar to mailboxes. Items that are put up for sale are physically deposited into Bazaar terminals and must later be retrieved by buyers.\n\nTo review the types of items for sale at any given time, walk up to a Bazaar terminal and select Use from the terminal\'s radial menu. You can review items for sale from all across the galaxy. You can also see any items you have for sale and any bids you\'ve placed on current auctions.\n\nItems for sale are either posted at a fixed price or placed up for auction. Once you find an item you\'d like to purchase, you can either click on \"Buy\" or \"Place Bid\". You must have enough credits in your galactic bank account in order to buy an item.\n\nYou can review any auction\'s status from any Bazaar terminal. If you win an auction, you will be notified through an in-game message.\n\nWhenever you buy an object (either through a direct purchase or winning an auction), you must still retrieve the item. You must be in the same region as the object in order to retrieve it from a Bazaar terminal. Travel to any terminal in the specified region and choose \"Retrieve Items\" from the \"Available Items\" tab in the Bazaar window.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_crafting_d.stf', '15', 'manfingredients', 'Manufacturing schematics represent the stored form of a completed  crafting session. The exact properties of the item that would have  been produced by the crafting session that produced the manufacturing  schematic are instead saved off as a manufacturing schematic, and  allow multiple copies of that exact item to be reproduced at a factory  of the appropriate type.\n\nBecause the crafting session was saved off and the attributes are  being reproduced, all of the same ingredients that were used to craft  the manufacturing schematic must be used when the manufacturing  schematic is used at a factory to run off more copies of the item.  It\'s very important to remember that exactly the same ingredients must  be used.\n\nFor example, if the imaginary resource \'Benzoite\', a type of  Duralloy Steel was utilized to make a manufacturing schematic, then  you\'ll need a supply of Benzoite to make items from that schematic. No other type of Duralloy steel will suffice. This also means that once Benzoite is no longer available in the universe, all manufacturing schematics that were made from it are no longer useable because the resource ingredient requirements can no longer be satisfied, and any desired manufacturing schematics will have to be created fresh using the currently available equivalent resource.\n\nThe idea of identical ingredients being needed for making items from manufacturing schematics carries over into the realm of component ingredients for manufacturing schematics. The copies of the exact same component that was used to create the manufacturing schematic will have to be used to create items from that particular manufacturing schematic. The key point to note here is that since all the components have to be identical, they all have to have been produced in a factory themselves, as that\'s the only way to get truly identical items.\n\nFor example, if a person generated a particularly good DL-44 blaster during the crafting process and decided that they wanted to be able to mass produce them in a factory, they\'d need enough of the same resources that they used to craft the manufacturing schematic to meet the needs of how many copies of the blaster they wanted to make at the factory. If the imaginary ingredient \"Terg\'s Blaster Power Handler Mark2\" was one of the ingredients used, they\'d need enough of those same blaster power handlers to make more blasters from the new DL-44 manufacturing schematic. They only way that those blaster power handlers could possibly truly be the same, is if they themselves had come from a factory assembly run.\n\nThus, Manufacturing Schematics that require components should only be built off of components that came from an extended factory production run, because that\'s the only way you\'ll be able to satisfy the identical component ingredient requirements, and thus be able to build more objects.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_crafting_n.stf', '1', 'crafting', 'Crafting Items');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_crafting_n.stf', '2', 'draftschematics', 'Understanding Draft Schematics');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_crafting_n.stf', '3', 'findingresources', 'Finding the Resources Required');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_crafting_n.stf', '4', 'sampling', 'Surveying and Sampling');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_crafting_n.stf', '5', 'harvesting', 'Resource Harvesting from Creatures');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_crafting_n.stf', '6', 'foraging', 'Foraging for Organic Resources');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_crafting_n.stf', '7', 'harvesters', 'Using Automated Harvesters');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_crafting_n.stf', '8', 'toolsandstations', 'Crafting Tools and Stations');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_crafting_n.stf', '9', 'assembly', 'Crafting Assembly Phase');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_crafting_n.stf', '10', 'experimentation', 'Crafting Experimentation Phase');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_crafting_n.stf', '11', 'customization', 'Crafting Customization Phase');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_crafting_n.stf', '12', 'manfschematics', 'Manufacturing Schematics');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_crafting_n.stf', '13', 'factories', 'Automated Factories');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_crafting_n.stf', '14', 'selling', 'Selling Your Crafted Goods');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_crafting_n.stf', '15', 'manfingredients', 'Manufacturing Schematic Ingredients');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_faq_d.stf', '1', 'unity', '- How do I break Unity (divorced) in the game?\n \nAt this time, there is no method of breaking Unity (getting divorced) in the game.\n\n\n- How do I get married in game?  How do I get the last name of my spouse in game?\n\nTo get married, you must get a unity ring.  These rings are player crafted items.  Using the radial menu on the ring, you can propose \"Unity\" to another player.  The player can then accept the proposal.  There isn\'t much in ceremony regarding marriages in the game.  However, players can get inventive and roleplay and create wonderful weddings.  Unfortunately, there is no way for married couples in game to have the same name unless they have already chosen the name when they created their characters.  Customer Service Representatives will not change last names for players at will.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_faq_d.stf', '2', 'events', '- What events are there in the game?\n \nThere are several types of events that can be found in the game. Some of them are hosted by players and some are hosted by the game (designers, developers, etc). The events include character weddings, mission quests, \"Mall Openings\" and many others. Some players have been very inventive in regards to these events. In fact, the player events can actually be more interesting and exciting than the game hosted events. You can always check the website at www.StarWarsGalaxies.com for more information on some of these events.\n\n\n- What benefits do I get from joining events in the game?\n \nEach event has its own rewards. Game events will give faction points, credits, a badge, or a souvenir. Player events may or may not give rewards. The players who host the player events will be the ones to do every aspect of the event, so if a reward will be given, it will be given by them. For more information on events, please go to the website at www.StarWarsGalaxies.com.\n\n  \n- How do I start my own player event?\n \nPlayers in the game have become very inventive. From doing character weddings to fireworks displays, there are a variety of things that players can organize and invite other players to participate in them. Some events have included a beauty pageant, a mission quest, a fashion show, and several \"Mall Openings\". Decide what you would like to do, ask other players to help you organize it, then use the message boards to advertise your player event at www.StarWarsGalaxies.com. \n\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_faq_d.stf', '3', 'servers', '- Why do the servers go down every day in the morning?\n \nThe servers have a daily maintenance time around 4 AM Pacific Standard Time. The servers are brought down at this time for maintenance and to be reset. This helps the game run more smoothly. Customer Service Representatives (CSRs) will announce in the game when the servers are going down. Once the announcement is made, use the \"/logout\" command to lower the risk of suffering from a rollback or any other issues that may be encountered while the server is reset.\n\n \n- Why do I have log out when the CSRs announce the server is coming down?\n \nUsing the \"/logout\" command when the Customer Service Representatives announce that the server is coming down lowers the risk of your character being rolled back.  Additionally, any other bugs that could possibly be encounter because while the server is being brought down are less likely to occur if you use the \"/logout\" command immediately after the Customer Service Representatives (CSRs) announce that the servers will be coming down.\n\n \n- Do CSRs always announce when the server is coming down?\n \nAs much as possible, we do try to warn players in chat and in game when a server is going down.  Many times, we are aware that the servers will be going down for maintenance or \"hot fixes\".  The Customer Service Representatives will then announce that the servers will go down.  When the Customer Service Representatives have further information, they will relay that information in the chatroom.  You can also find more information regarding server status on the website at www.StarWarsGalaxies.com.  There are times when a server comes down unexpectedly.  During these times, the Customer Service Representatives will not have ample time to announce the server downtime.  However, once more information is gathered, that information can be found at the website.\n\n\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_faq_d.stf', '4', 'houses', '- What are the inventory limits on my character/bank/house?\n \nYour character can hold as many as 60 items.  Please note that if you put items in a bag that is not equipped, those items will still count individually towards your inventory.  Your bank can hold as many as 100 items.  Again, items in bags will still count individually towards the inventory count.  Different houses have different inventory limits.  The small Naboo style two house has the smallest inventory count at 75 items.  All other small houses can hold 150 items.  Medium houses can also hold 150 items.  PA halls and large houses can hold as much 250 items!\n\n \n- How many lots does my house/harvester/factory/guild hall take up?\n \nThe small Naboo style two house takes up one lot.  All other small houses take up two lots.  All medium houses take up two lots.  All large houses take up six lots.  A Tatooine PA hall will take up seven lots while the Corellia PA hall, the Naboo PA hall, and the Generic PA hall all take up nine lots.  All harvesters regardless of size take up one lot.  The structure factory takes up two lots and all other factories take up one lot.  A player is given ten lots.  So, plan well or you may not have enough lots for all your structures!\n\n \n- How do I move things in my house?\n\nYou can use the radial commands on an item to rotate and move items or you can target the item and use the furniture moving commands. There are two furniture moving commands. The first one is \"/move <FORWARD/BACK/UP/DOWN> <number>\". Moving the item back moves it towards you. Generally, it is recommended you start moving the item \"/move BACK 1\" until you are used to the command. Please avoid placing items in walls at that makes them inaccessible. The other furniture moving command is \"/rotate <LEFT/RIGHT> <number>\". This turns the object the number degrees to the left or right as appropriate. Using these commands, you should be able to arrange your furniture and other objects as you wish.\n\n\n- How do I pay maintenance on my house/factory/harvester?\n\nUsing the radial menu, choose the option \"Pay Maintenance\".  If this option is not available to you, there is a line command /paymaintenance.\n\n\n- What are the line commands to manage my house/factory/harvester?\n\n/setpermission\n/setprivacy\n/transferStructure\n/declareresidence\n/paymaintenance\n/paWithdraw\n/structurestatus\n/placestructure\n/nameStructure\n\n\n- Why do I have to pay maintenance on my house/factory/harvester?\n\nIf you do not pay the maintenance on your house/factory/harvester, it will be destroyed.  This type of losses will not be reimbursed by the CSR team.\n\n\n- I have an object that I have dropped in my house that I cannot pick up.  What do I do?\n\nIf the object is stacked on top of other items, you will have to target it.  Once targeted, type the command \"/move forward 5\".  Move this object around until it is no longer stacked on anything.  Then, you will be able to pick it up.  You could also try using the command \"/pickup <name of item>\". \n\n\n- I dropped all of my items in my house in one spot and now I can\'t pick them up, what do I do?\n\nTarget one of the items and use the command \"/move back 1\" to remove the item from the stack and regain normal access to this item.\n\n\n- What are the maintenance, minimum cost to redeed, and decay rate for structures?\n\nStructure Maintenance; Rate per Hour\n\nSmall Tatooine House (all styles); 16 credits\nMedium Tatooine House (all styles); 34 credits\nLarge Tatooine House (all styles); 50 credits\nSmall Corellia, Generic, Naboo Houses (all styles); 12 credits\nMedium Corellia, Generic, Naboo Houses (all styles); 26 credits\nLarge Corellia, Generic, Naboo  Houses (all styles); 40 credits\nTatooine Guild Hall; 100 credits\nCorellia, Generic, Naboo Guild Halls; 80 credits\nSmall Harvesters (all types); 24 credits\nMedium Harvesters (all types); 48 credits\nLarge Harvesters (all types); 72 credits\nFactory (all types); 40 credits\nGenerator (all types); 48 credits\n\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_faq_d.stf', '5', 'cs', '- If I cancel my account and then reactivate it later, will I still be able to play the same character?\n \nIt is not known how long a character is saved after an account is cancelled.  Therefore, there is no guarantee that your character will still be available if you reactivate your account at a later date.\n\n\n- I am having some technical problems with the game.  What can I do to fix it?\n\nFor issues relating to hardware problems, you will want to contact Technical Support at 1 (858) 790 - STAR or 1 (858) 790 - 7827.  The phone lines are open from Monday to Friday from 9 AM to 6 PM Pacific Time.  Also, you can request technical assistance on the website at www.StarWarsGalaxies.com/support.\n\n\n- I have some questions regarding my account.  Who do I call?\n\nFor billing and account questions, please contact our Account and Billing Department at 1 (858) 790 - STAR or 1 (858) 790 -7827.  The phone lines are open from Monday to Friday from 9 AM to 6 PM Pacific Time.\n\n\n- I have been playing on this server for a while and my character is pretty skilled right now.  But, my friends are all playing on another server.  How can I transfer my character from this server to the other server?\n\nAt this time we do not have a service available that can allow players to transfer characters from server to server, though in the future if such a service becomes available it will be posted at www.StarWarsGalaxies.com.\n\n\n- How do I make suggestions?\n\nYou can submit ideas, suggestions, and feedback by emailing swgsupport@soe.sony.com.  You can also post them on the message boards at www.StarWarsGalaxies.com.  There is also an input form that goes directly to the development team.  It can be found at http://StarWarsGalaxies.station.sony.com/submit_feedback.jsp?page=Submit%20Feedback.\n\n\n- How do I lodge a complaint?\n\nPlease e-mail complaints to swgsupport@soe.sony.com or post them in the appropriate forum on www.StarWarsGalaxies.com.\n\n\n- I logged into game and saw that my name has changed.  What happened?\n \nIt is possible that your name may have been in violation of our naming policy.  A CSR more than likely attempted to contact you regarding your name.  When you did not respond, the CSR proceeded to change your name.  If you do not like the name they gave you, you have seven days to contact the Customer Service department using a CSR ticket to request a new name.\n\n\n- There is a person who keeps harassing me.  How do I get him to stop?\n\nTo report players who are using foul language, exploiting, or harassing other players, use the command \"/report <player name>\".  This will record the last 100  lines of your chat box.  If you are getting the message \"The name is invalid\", use your own name.  Fill out a CSR ticket to accommodate your player report.  Be as detailed as possible in your CSR ticket.  If a player sends you unwanted emails, the CSR team will want a copy of them.  So, do not delete them.  When a CSR asks, forward it to them.  You can use the command \"/ignore <player name>\" to prevent getting messages or emails from a player who is harassing you.\n\n\n- I am stuck and I cannot move.  What can I do?\n\nIf you are stuck in a place, try the command \"/unstuck\".  If that doesn\'t work, try \"/eject\".  If neither of these works, your best bet is to get into live chat.  Go to your launchpad and click on \"Chat\".  Tell the CSR in the chatroom that you are stuck.  Provide your character name, server, the planet and the coordinates of where you are stuck.  When the CSR says he will send someone, log back into the game and wait.  Be patient as it can take a while for a CSR to log into the game.  A CSR will then teleport you to a safe location.\n\n\n- I keep emailing and /telling the CSRs in game but they will not respond.  Why won\'t they help me?\n\nThe CSR team has different groups.  There are groups of people who devoted to working on the CSR tickets.  There are the CSRs in the chatroom.  And there are CSRs in the game.  Your issue is just as important as everyone else\'s.  However, when a CSR goes in game, they already have a list of people they are assigned to help.  They would love to assist you as well, but many times the other players they are working with are taking up all their time.  The best way to get help is to use the ticket system.  If you are stuck, go into the live chatroom and talk to the CSR (*should be connected to I am stuck question*).  If you are being harassed, use the command \"/report <player name>\" and fill out a CSR ticket (*again, should be connected to harassment question*).\n  \n\n- I keep talking to the CSR in the chatroom, but they\'re not responding.  Why won\'t they help me?\n\nThe CSRs in the chatroom will do what they can to assist you.  Some CSR\'s will ask for you to send them private messages.  Others will discourage them.  Many times, the CSRs are fielding questions from all sides and are trying hard to answer all the questions they can.  Spamming the room, using the profanity, or being disruptive in the chatroom will not get you help any faster.  Please be patient and when the CSR has a chance, they will try to answer your question.\n\n\n- How do I get my name changed?\n\nAt this time, Star Wars Galaxies does not have a service to change first or last names for players who decide they didn\'t like the names they created.\n\n\n- What is the difference between the CSR ticket and a bug report?  Don\'t they go to the same place?\n\nBug reports go to the development team and our testing department.  You will not receive a response for filling out a bug report.  Use \"/bug\" to relay information about things that are wrong in the game like spelling errors, broken missions, or missing NPC\'s.  A CSR ticket goes to the CSR team.  They will respond accordingly.  If you need a reimbursal, are stuck, or have a question about the game, fill out a CSR ticket.  There are some topics that they will not answer or they will tell you to go somewhere else.  The CSR team will not answer questions regarding in game information.  We don\'t want to spoil the fun for you!  Any technical questions and billing questions will also not be answered by our CSR team.  They will point you to the right direction, though.  If you report a bug, they will just ask you to use the command \"/bug\" to report it.\n\n\n- How do I fill out a CSR ticket?\n\nIn your holocron, there is a button labeled \"Customer Service\".  Click on it and a form will appear.  Pick the topic of the questions you have for the CSR team.  Then, explain your situation.  Be as detailed as possible.  Include things like your planet and coordinates, the time, and the date.  Once you put in your ticket, a CSR will respond to it.  Within 48 hours, a CSR should have responded to your ticket.  If you get an email stating your ticket has been unread, a CSR has already responded to your ticket and you have yet to check it.  When your issue has been resolved, please delete your ticket by clicking on the button \"Delete\".\n\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_faq_d.stf', '6', 'pa', '- How do we declare a new PA leader if the old one leaves?\n \nThe same way they always set a new leader.  Set allegiances, a leader is determined once a week.\n\n\n- What permissions can a PA leader grant to other members?\n \nPA Leader can grant all permissions to members other than the ability to set permissions themselves. The PA Leader can allow members to:\n    - Mail\n    - Sponsor\n    - Title\n    - Accept\n    - Kick\n    - War\n    - Change Guild Name\n    - Disband Guild\n\n \n- What powers does a PA Leader have?\n \n There are two main options that the PA Leader has on the PA Terminal:\n        1) Guild Management\n            - Change Name (Change the name of the PA, takes 7 days to change)\n            - Disband (Disband the PA. Instant)\n            - Guild Enemies (Add the names of a PA you wish to declare war on. The PA you declare war on must also declare war on you and either side can end the war at any time)\n            - Guild Info (Display basic information on the PA such as Name, Abreviation, Leader, and Member Count)\n        2) Member Management\n            - Guild Members (Display a list of all members of the PA, and all titles they have. Click on a member as the leader, Choose OK to edit the member\'s information. Set a title, change permissions, kick them, or set allegiance to them.)\n            - Sponsor For Membership (Type in the name of a person you wish to invite to the PA)\n            - Additonal options will be available to invite members that have accepted sponsorship when there are members pending acceptance to the PA.\n\n\n- How many people are allowed to be allowed in a PA?\n \nA PA can hold between 5 and 500 members.  Each week the server will check the membership of your PA. If you have fewer than 5 members your PA will be disbanded by the server.\n\n \n- What happens if my PA hall is destroyed, or we want to reclaim the deed after we create the PA?\n\nNothing bad will happen. Your PA can last forever without a PA hall.  A PA hall which has been assigned to a guild, however, will be destroyed if the guild no longer exists.  This is checked every 2 hours.\n\n\n- What happens if I\'m a member of a PA and want to put down my own PA Hall?\n\nAll PA halls that are placed by anyone in a PA will automatically become assocaited with the PA of the person that placed it. If you belong to a PA named \"Great PA\" and place a hall then the PA terminal and the hall will be a \"Great PA\" terminal and hall, and act just like any other PA Hall anyone in the PA has put down.\n\n\n- What PA-related slash commands are available to players?\n\nThe commands available are:\n/guildstatus (can only be performed while inside a PA hall that is associated with your PA)\n/guildremove\n/guild{say}\n\n\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_faq_d.stf', '7', 'faq', 'Provided for your convenience, a list of frequently asked questions (FAQ) has been included to further assist your needs. Should you have a question, feel free to come to the Frequently Asked Questions section and paruse the entries. The questions are broken down into categories through which you can easily navigate. The section on Customer Service issues is particularly useful if you need help from one of our Customer Service Representatives. Additionally, you\'ll find an in-game trouble-shooting section. If you have issues with your computer hardware, connection or graphics card, this isn\'t the section for you. Our trouble-shooting FAQ is for in-game issues. Should you require technical support, please look in the Customer Service tab for more information.\n\n\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_faq_d.stf', '8', 'gameplay', '- How do I get information on a mission I have heard about?\n\nAsk other players what they know about it. Also you can visit cantinas and see if anyone there has heard rumors. The forums on www.StarWarsGalaxies are also a good source of information.\n\n\n- Is AFK-macroing okay?\n\nYes it is. Beware though, not all areas of the galaxy are as safe as they seem. \n\n\n- How do I make a macro? What are the benefits of macros?  What kinds of macros are available?\n\nMacros are easily made.  Macros are beneficial in that they allow you to do long arduous actions without having to constantly use the commands.  For example, if you were an entertainer, you can make a macro that would make your character do flourishes and rest every once in a while.  Macros can be as short as one line or as long as 100 lines.  However, once a macro is started, it cannot end.  Therefore, if you have a dancing macro that goes on for 30 minutes, you would have to let it run the whole 30 minutes.  There are many types of macros out there.  Feel free to visit the website and scour the message boards for more information or suggestions on macros at www.StarWarsGalaxies.com.\n\n\n- I received a message that I can advance a skill. What does that mean?\n \nAs you use the various skills in Star Wars Galaxies you earn experience towards learning how to do similar things. When you have enough experience you can find someone (either a player or an NPC trainer) with the appropriate skill to teach you. NPC trainers will want credits to share their skills with you. You will have to join a group with other players to train from them. They may want something for sharing their skills. To train someone else in a skill you know open their radial menu. If you know something you can teach them you will see an option to teach. Once you have been offered a skill by a player you can choose to learn it or not to. Please make sure it is the skill you wish to learn! If you are trying to learn a novice skill, you must learn it from an NPC trainer.\n\n\n- What do faction ranks do?\n\nFaction ranks let you store more faction points so you can afford the larger rewards.\n\n\n- I bought a pet in the bazaar, but I can\'t do anything with it.  Can you help me?\n\nPets created by Bio-Engineers still need to be trained by a Creature Handler if they\'re to be able to learn to do anything.\n\n\n- How can I heal my pet\'s mind wounds?\n\nA pet needs to be taught to do tricks, which will heal mind wounds.\n\n\n- My pet is healing too slowly.  What do I do?\n\nUse a stimpack on it. Pet stimpacks in particular can be used by anyone and require no medical knowledge.\n\n\n- How do I take a screenshot?  Where are screenshots saved?\n\nTo take a screenshot, use the PrintScreen button on your keyboard.  You may want to adjust some of the visuals on your screen to make the screenshot look as pure as possible.  To remove the chat box, type CTRL+ENTER.  To light up the screen, you can use your personal light with CTRL+L.  To remove everything from your screen (all the toolbars, the ham bars, the emails, the chat box, etc), use Shift+CTRL+H.  Once you take your screenshot, it can be found in your SWG folder on your computer.  You can send a screenshot to us in hopes that we put it up for everyone to view as the Player Screenshot of the Day on the website at www.StarWarsGalaxies.com.\n\n\n- How do I create a bio on my character sheet?\n\nGo to your community page by using CTRL+P.  Click on the tab that says \"Personal\".  There is a box there labeled \"Bio\".  Type in the box a short and sweet biography of yourself or your character.  When people use the option \"Examine\" on the radial menu after targeting you, they will be able to read what you wrote.\n\n\n-How do I get a mission?\n\nYou can go to a mission terminal.  They are located in every city.  There are different types of mission terminal for the different types of professions.  There are also mission terminals that will give missions to aid the Rebel cause and there are missions terminals that will give missions to aid the Imperial cause.  There are also NPCs you can talk to who will give you missions as well.\n\n\n- How do I check what type of badges I have?\n\nTo check your badges, you can look on your character sheet using CTRL+C.\n\n\n- Where do I get badges?\n\nBadges are given by completing certain missions.  Also the SWG Events Team will sometimes hand out certain badges for different reasons, such as having a well written biography or helping a new player.\n\n\n- What do badges do?\n\nBadges tell other players what missions you have completed.  The special badges given by the SWG Events Team tell players of the accomplishments you have made in the game.\n\n\n- I am an entertainer and I see there are some skills called Image Design.  What is that and what good can come from it?\n\nImage design is the skill to change the look of characters.  To change another character\'s look, you must be in a group with them.  Target the character and choose the option \"Image Design\" on their radial menu.  A menu will pop up with options like \"Hair\", \"Face\", and \"Eyes\".  Choose one of these and another menu will pop up.  It will be the different ways you can change the characters look.  Once you decide what to change, the other character must accept the suggestions.  If the other character accepts, then you would have successfully changed their look.  Certain players find in the game that the look they chose in the game is not the one that they actually want.  The higher the skills you get in the Image Design skill tree, the more options you will get.  It will be the Star Wars version of cosmetic surgery.\n\n\n- I used the \"/dance\" command and I dance around a little but it\'s nothing like what I see other players doing in the cantinas.  How can I dance like they do?\n\nThe command \"/dance\" is a command that all players have.  It\'s just like an emote.  In order to dance like others in the cantina, you will need to get the novice entertainer skill.  This will give you the dance skill.  You will get two types of dances you can do.  The more entertainer and dance skills you earn the more dances you will be able to do.  To make your dance a little fancier, you can use the command \"/flourish <1-8>\".  There are 8 different types of flourishes that add a different type of feel to your dance.\n\n\n- What benefits do I gain from watching or listening to an entertainer?\n\nIf you have battle fatigue (one type of damage), you can have this healed by watching or listening to an entertainer.  Certain higher skilled entertainers can also heal shock and give you mind buffs.\n\n\n- I\'m a dancer.  Is there a way I can choose which players I want to heal?\n\nTarget the player you do not want to heal and use the command /deny.  They will still be able to watch you, but they will not be able to reap the benefits of doing so.  However, if you use this command on a player, it can never be removed.\n\n\n- How can I do join chat channels?\n\nTo join a chat channel, click on any of the tabs (Spatial, Combat, etc).  A menu should appear that includes \"Create Chat Tab\", \"Join Chat Channel\", and \"Delete Chat Tab\".  Click on \"Join Chat Channel\".  Upon doing so, another menu will appear of all the chat channels available.  You can click on any of them and click \"Join\".  You can create your own chat room using this method as well.\n\n\n- How do I get a pet?\n \nThere are two ways to get a pet.  If you are a creature handler, you have the ability to actually tame creatures and train them.  When you train them, you can also give them names.  At certain levels in the skill tree, you will be able to train certain pets.  Please be aware that higher level creatures and more ferocious creatures will not be trainable unless you have the appropriate skills.  To tame a creature, find the baby creature.  You cannot tame adult creatures.  Target the baby creature and using the radial menu, click on the option \"Tame\".  Your character will then attempt to tame the creature.  You might not be able to tame the creature the first time you try.  To train a pet, click on the pet and using the radial men choose the option \"Train\".  Another menu will pop up with certain tricks you can tame your pet.  Click on one of them.  Give the pet a name.  Say the pet\'s name and any key word you choose.  When the pet learns the key word, any time you say the pet\'s name and the keyword, it will do that trick.  If you train the pet enough using its name, it will eventually learn its name.  Again, you may not be able to train your pet the first time you try.\n \nIf you are not a creature handler, you can buy pets from someone who is.  However, you will not be able to tame or train any creatures.  You can see what tricks your pet has learned by examining it.  The keywords your pet will listen to will also be listed.  You cannot change the commands your pet has learned.  You cannot change the keywords your pet has learned.  You cannot change the name of your pet.\n  \n \n- What are the benefits of a droid?\n \nEach droid has its own unique benefit.  Some can be used as a portable crafting station.  Others can be used as a mobile Medical Center (by Novice Medics or higher).  To find the right droid, determine what you would want out of a droid and what you need out of a droid.  Then go to any Droid Engineer and tell them what you have come up with.  For the right fee, they will make a customized droid to fit all your needs and wants!\n\n \n- What are the race limitations for certain articles of clothing?\n \nWookies cannot wear any normal articles of clothing or armor.  They have their own line of clothing and armor they can use.\nTwi\'leks cannot use some normal hats or helmets.  \nTrandoshans cannot wear boots or gloves.\n\n\n- My character sheet says I\'m a wanderer.  How do I get a hometown or place of residence?\n \nYou need a house in order to declare a place of residence.  Once you have a house set up, go to the structure management terminal.  On its radial menu, you have the option to declare that house as your residence.  You can only declare one house to be your place of residence.  Even if you have 5 houses on different planets, only one can be declared as your place of residence.\n\n \n- How do I become a Jedi?\n \nEach individual player has the chance to become a Jedi in the game.  Additionally, each individual player has their own path they must follow to become a Jedi.  What one player must do to become a Jedi will be different from what another player must do.  The Jedi system will be changing in a future publish. For more information or updates, please go to the official website at http://www.StarWarsGalaxies.com.\n \n\n- There are a lot of people on my server who speak French/German/Spanish and it\'s hard to understand what they\'re saying.  What servers can I go on to play with people who speak English?\n \nEach server has a unique population.  Some servers have been deemed the unofficial servers for our European friends.  However, there are many people who are from the United States who still play on these servers.  Additionally, many of the European players also know some English so it is not too difficult for players who do not speak foreign languages to interact with them.  For more information on each server, please go to the official website at http://www.StarWarsGalaxies.com.\n\n\n- What are sockets and how do I use them?\n\nSockets are extra spaces that can be found on certain items, usually those crafted by a skilled creator. These spaces hold power ups, which are also known as \"jewels.\" Once the power ups have been put into the item\'s socket, they will confer special attributes (usually in the form of boosted stats) to the item. Putting of a power up into a item\'s socket is a lot like installing a souped-up engine part in a standard factory model car.\n\n\n- How long will an item stay up for sale on the vendors/bazaars?\n\nItems will be up for sale for 7 days.  If on the vendor, the item will be in the vendor\'s stockroom.  If on the bazaar, the item will be on your Available Items list.  You will then have 3 days to retrieve the item or the item will be deleted by the game.  These types of losses will not be reimbursed by the CSR team.\n\n\n- What is a TEF?  How do I get a TEF?  What can I do with a TEF?\n\nTEF stands for Temporary Enemy Flag.  This is an alert to you and other players.  Players of opposite faction can attack you in regular PvP combat when you have a TEF.  You can get TEF\'s when you attack certain people or NPCs.  You can get TEF\'s when you declare a faction.  TEF\'s last as long as they are needed.  As long as you are in combat, you will retain a TEF.\n\n\n- How do resource shifts work?\n\nResources shift unpredictably.  This is similar to the way resources in real life get dried out and used up.  Just because one type of resource is gone, doesn\'t mean you\'re out of luck.  There will be another resource similar to it that will take its place.  Wind shifts because winds grow or die down due to seasons changing.  Solar energy will be plentiful during certain seasons.  Creatures will change their resources as well because of the environment around them or the stage of growth they are in.\n\n  \n- I joined a faction but I do not want to participate in PvP combat.  How do I prevent other players from attacking me?\n\nUnfortunately, by joining a faction, you open yourself for players of the opposite faction to attack you.  Even if you claim to be a covert, there are ways (that are not exploits or bugs) for players to determine what faction you are in.  There is no way to not participate in PvP combat other than not joining a faction.\n\n \n- How much experience can I gain in a skill?\n\nThere is a limit to how much experience of one time you can gain. The limit is twice what it takes to get the next skill which requires the most experience. For example, a Novice Artisan can store up to 1000 points of General Crafting Experience. An Artisan with Engineering I and Domestic Arts I will be able to store up to 2000, twice what it takes to get to Engineering II or Domestic Arts II. If that artisan only had Domestic Arts I, the cap would still be Domestic Arts II. This is still in place when you surrender a skill... so if that Artisan had Domestic Arts I and 2000 experience points, and then surrendered Domestic Arts I, the stored experience would drop to 1000, the newly adjusted cap.\n\n\n- How do Explorer missions work?\n\nA waypoint will be given.  You must follow the waypoint.  Once in that area, you must \"explore\" to find your target(s) in order to complete the mission.\n\n\n- I see people using spices and drugs.  What are the benefits of using these items?\n\nSpices, drugs, and foods can give buff your stats.  They will give you extra mind, extra willpower, etc.  However, over time, they will wear off.  Some of them will even have a downer period where your stats are actually lower than before.  You may see your character throwing up or not feeling too well.  This too will wear off.  You can rebuff once the side affects are gone.\n\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_faq_d.stf', '9', 'trouble', '- My crafting tool won\'t start because it says I\'m crafting already. What should I do?\n \nUse the command \"/stopcraft\". This should allow you to start crafting again. You can also try logging out for 20 minutes and then use the command.\n\n\n- I\'ve followed a new resource to a good concentration but I can\'t sample it. What is going on? \n\nThe newly introduced resource is still settling in. You should be able to sample it a few hours after it has been introduced. This also gives you time to pick out a few choice locations for harvesters before it becomes available.\n\n\n- I was harvesting a resource, but when I went back to check on my harvester the resource is gone. What happened?\n \nThere are limited amounts of any given resource in the galaxy. Once a resource has been mined out it disappears from the galaxy. As resources are depleted, new resources are discovered and made available to be harvested. These new resources aren\'t always the exact same as the resources that were depleted, and may not appear on the same planet that just ran out of a resource.\n\n \n- I can\'t find any of a particular resource I need. Where can I find it?\n\nNot all resources exist at all times. The rarer resources only last for a short time before they are depleted. We recommend checking all of the planets in the galaxy until you can find it. Just because it wasn\'t there yesterday doesn\'t mean it hasn\'t appeared today. \n\n\n- My pet won\'t grow.  How do I make it grow?\n\nPets grow over time. Try giving it a couple of days. \n\n\n- I can\'t call my pet out from my datapad.  What do I do?\n\nTo call pets, you must have enough creature handler skills.  If you are a non-creature handler, a creature handler must teach the pet the /transfer command or you may not be able to successfully call your pet.  You can only call pets out when in a camp, in your place of residence, or while outside in a city.  You can only have one pet called out a time.  If you already have a pet out, you will need to store it before you can call another out.\n\n\n- I lost my badge.  What do I do?\n\nAt this time, CSRs cannot restore lost badges.  Please use the command /bug to report that your badge has been lost.\n\n\n- I lost the waypoint to my structure in my data pad, how do I get it back?\n\nUnfortunately there is no way to retrieve a waypoint after it\'s been deleted from the data pad.  It\'s recommended that you write down the waypoints to each structure on a separate piece of paper so you\'ll have a back up in case the waypoints get deleted.\n \n\n- I put all my stuff in bags but my inventory still says it\'s full.  Why?\n\nItems in bags will still count individually towards your inventory unless that bag is equipped.  For example, if you have 13 things in a bag and 12 things not in your bag your total inventory will be 26.\n \n \n- I logged into game and saw that my name has changed.  What happened?\n \nIt is possible that your name may have been in violation of our naming policy.  A CSR more than likely attempted to contact you regarding your name.  When you did not respond, the CSR proceeded to change your name.  If you do not like the name they gave you, you have 7 days to contact the CS department using a CSR ticket to request a new name.\n\n \n- I cannot create or delete any waypoints.  What do I do?\n \nThis is a common bug that can be fixed with a simple workaround.  The most effective with the least amount of drawbacks is just logging out of the game for 20 minutes.  Any waypoints you attempted to delete before will be gone and you\'ll be able to make new ones.  The second most effective way is to clear out your profile (found in your SWG folder on your computer).  However, clearing out your profile can lead to the deletion of macros, UI settings, and friends\' lists.\n  \n\n- My stats are not showing up correctly.  It says I\'m at full health and yet I\'ve just died.  What happened?\n \nThis is merely a case of lag.  The servers are not communicating with one another.  A quick fix is to simply log out of the game for 20 minutes to allow the servers to get back in sync.\n\n \n- My stats are really low.  I can\'t do anything.  Please help!\n \nIf you are suffering from permanent stat loss, you must remove all armor, enhancements, mods, and buffs.  Then log out of the game for 20 minutes.  This usually resets your character back to normal.\n\n \n- I just migrated my stats and I do not see any changes.  What do I do now?\n \nStat migration can take a while to take affect.  Drugs, spices, food, armor, enhancements, mods, and buffs can actually hinder the progress of your stat migration.  Try to avoid using these items while your stats migrate.  Please be aware that there are minimums and maximums for each stat.  If you attempt to migrate your stats below the minimum or above the maximum, your stats might not migrate properly.  Each race has different minimums and maximums for their stats.  For more information, please visit the website at www.StarWarsGalaxies.com\n \n \n- I deleted my character and I wanted to use the same name.  When I tried, I kept getting the message that the name was already in use.  How is this possible?  Why can\'t I have the same name as my old character?\n \nWhenever you create a character, the name is stored in the database. This name remains even after you delete the character.  It is not known how often or when the database is cleared of unused names of deleted characters.  CSR\'s cannot change your name to your old name.\n \n\n- I cannot trade with this person.  What do I do?\n \nTo start a secure trade, you can double click on the player you want to trade with.  You can also click on the player and a radial menu will show up.  Choose the option to trade.  Or you can use the command \"/trade <player name>.  The other player will receive your trade request and must do one of the listed to accept your trade.  Then, you drag items out of your inventory into the trade window.  Or, you can type in the amount of credits you wish to trade.  Check on the box on the corner.  Then a button will appear that says Accept Trade.  Click on it and the trade will be done.  Please note that Overt Rebels can only trade with other Overt Rebels.  The same is true for Overt Imperials.  Neutrals can trade with other Neutrals and covert faction players.  If you have recently dueled the same player you are attempting to trade with, you will not be able to trade with that player.\n \n\n- My guild leader\'s gone. How do I remove myself from my guild?\n\n/guildRemove \n\n  \n- I have an object that I have dropped in my house that I cannot pick up.  What do I do?\n\nIf the object is stacked on top of other items, you will have to target it.  Once targeted, type the command \"/move forward 5\".  Move this object around until it is no longer stacked on anything.  Then, you will be able to pick it up.  You could also try using the command \"/pickup <name of item>\". \n\n\n- I just tamed a pet and I do not see it in my inventory.  Where did it go?\n\nPets control devices are found in your datapad.  Open up your datapad using CTRL+D.\n\n \n- Why can\'t I tame a baby creature? I can tame some but not others.\n\nCreatures that are aggressive are considered wild and have a different skill for being tamed. Creatures that use deathblow are considered vicious and are again on another skill. Additionally, you can only tame creatures that you have enough skill to tame. An example would be a Rancor Baby has a full grown challenge level of 50, and the player has skill only to tame creatures up to challenge level 45. Even though the Rancor Baby starts out at challenge level 1, you would not be able to control the creature when it is full grown.\n\n \n- How does the maintenance rate for vendors work?\n \nThe more items you put in the vendors, the higher your maintenance rate will be.  Certain types of vendors have higher maintenance rates than others.  Additionally, if you have certain skills, you can actually get a discount on the maintenance rate.  You will still have to pay the maintenance, but it won\'t be as high as it was before.  Certain items in your vendor will also cause the maintenance rate on your vendor to go up.\n \n\n- I dropped all of my items in my house in one spot and now I can\'t pick them up, what do I do?\n\nTarget one of the items and use the command \"/move back 1\" to remove the item from the stack and regain normal access to this item.\n\n\n- I had X amount of ~ Experience. I surrendered ~ 4, 3, and 2. The next time I killed something with my creature I lost experience./ I just tried to learn ~ 2 again and I lost all the experience I had.  Why?\n\nYour previous amount of experience was greater then your new cap. When you got more experience it refreshed this to come in line with your current cap.\n\n\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_faq_n.stf', '1', 'unity', 'Unity');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_faq_n.stf', '2', 'events', 'Events');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_faq_n.stf', '3', 'servers', 'Servers');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_faq_n.stf', '4', 'faq', 'Frequently Asked Questions (FAQ)');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_faq_n.stf', '5', 'houses', 'Houses and Items');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_faq_n.stf', '6', 'cs', 'Customer Service Information');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_faq_n.stf', '7', 'pa', 'Player Association Hall Information');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_faq_n.stf', '8', 'gameplay', 'Gameplay');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_faq_n.stf', '9', 'trouble', 'In-Game Trouble Shooting');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_group_d.stf', '1', 'grouping', 'Forming groups are often essential to surviving in the wild. Although groups can range from two to twenty players, most groups will typically contain four to eight characters that will band together to take on more dangerous opponents, perform as a band, or protect one another on battlefields.\n\nThere are also certain professions in the game, such as Squad Leader, that are able to grant bonuses and abilities to his or her group.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_group_d.stf', '2', 'forming', 'To start a group, just click and hold the left mouse button on any player, and then select the \"Invite\" option from the radial menu. You can also use the /invite command to invite someone to your group.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_group_d.stf', '3', 'joining', 'To join a group, you must first be invited. When you receive a message that you have been invited to join a group, simply type /join in your Chat Input bar. You can also bring up a radial menu on the character who invited you and select \"Join Group\".\n\nIf you are invited to a group and do not wish to join, type /decline in the Chat Input bar. A \"Decline\" option also appears on the radial menu of the character that invited you, connected to the \"Join Group\" option.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_group_d.stf', '4', 'grouplist', 'Once you form or join a group, you\'ll see a new element: the Group list. The Group list contains the names and HAM bars of every member of your group. If you target a group member, that character\'s Status box will be marked by a small white triangle. You can target group members by clicking on their Status box.\n\nThe group leader\'s Status box always appears at the top of the Group list (but beneath your own HAM bars). If you target a group member, that character\'s HAM box will be marked by a white triangle.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_group_d.stf', '5', 'groupchat', 'Members of a group can talk directly to one another by using a special and private group channel, which is automatically created with the group is formed. \n\nYou can speak in your group channel by using the /groupsay command. Press the keyboard shortcut Ctrl+G to automatically prefix your next chat message with the /groupsay command.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_group_d.stf', '6', 'leaving', 'When you are ready to leave a group, you can simply type /disband in the Chat Input box. Alternatively, you can bring up the radial menu on any one of your group members and choose the \"Leave Group\" option.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_group_n.stf', '1', 'grouping', 'Grouping');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_group_n.stf', '2', 'forming', 'Forming a Group');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_group_n.stf', '3', 'joining', 'Joining a Group');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_group_n.stf', '4', 'grouplist', 'Group List');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_group_n.stf', '5', 'groupchat', 'Group Chat');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_group_n.stf', '6', 'leaving', 'Leaving a Group');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_healing_d.stf', '1', 'healing', 'Healing is an integral part of Star Wars Galaxies, in such an expansive and dangerous world it is easy for someone to be injured while adventuring.\n\nHealing has broad applications from assisting someone with their stat wounds to helping someone relax and deal with the strain and fatigue of battle.\n\nSee the sections below for more detail on the differenct facets of this important part of Star Wars Galaxies.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_healing_d.stf', '2', 'wounds', 'One of the most common, and most needed, functions a healer provides in Star Wars Galaxies is to assist people with the treatment of wounds to their statistics.\n\nSome of the most common wounds seen are those to the Action and Health pool stats. If someone chose to not have their wounds healed, they would slowly get worse, effectively lowering the maximums of these stats until healed.\n\nWound Medpacks can be created by Medics, Doctors, and Combat Medics or purchased from other players of these professions. Using a Wound Medpack requires skill based on the effectiveness of the Woundpack.\n\nTo heal someone\'s wounds you must be in a Hospital/Medical Facility, in a camp, or by a droid with a medical module.\n\nYou can target the patient you wish to heal and use the radial menu on the Wound Medpack selecting the target self or target other option. Or you can target the patient and type /healwound nameofstat (For example /healwound health would attempt to use a health Woundpack to heal the target\'s health wounds).\n\nHealing of stat wounds is affected by the target\'s Battle Fatigue. It is in the best interest of the person seeking healing to seek out a member of the entertainer professions before finding a doctor or medic.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_healing_d.stf', '3', 'stimpacks', 'Stimpacks are used much the same as Wound Medpacks are from the previous section with some small differences.\n\nStimpacks are for the healing of pools and not wounds. They are used to heal someone to keep them from getting incapacitated or assisting someone so they can continue to function.\n\nLike Wound Medpacks, Stimpacks require skill based on the quality of their healing effect.\n\nYou can use a Stimpack via the radial menu on the item or by targeting and typing /healdamage.\n\nThere is a hotkey in your command browser you can place on the toolbar as well.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_healing_d.stf', '4', 'medpacks', 'In addition to Stimpacks and Wound Medpacks, the healing professions gain access to many more Medpacks at the higher skill levels.\n\nCombat Medics receive ranged versions of Stimpacks as well as Medpacks that apply poisons or diseases to their targets. Poison damages a target\'s pool over time while diseases cause wounds over time.\n\nDoctors receive Medpacks for curing disease and poison, states, and enhancing attributes temporarily providing a stat boost to the target.\n\nDoctors are the only profession to gain the ability to revive a dead player before they clone.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_healing_d.stf', '5', 'hospitals', 'In Star Wars Galaxies, you can only heal wounds at specific locations. These are in a hospital or medical facility, in a camp created by someone with Scout skills, or by a droid that has been constructed with a medical module.\n\nHospitals are the most effective areas for healing as they offer bonuses due to the benefits of being in a dedicated medical facility.\n\nCamps and the aformentioned droids allow healing of wounds but have modifiers based on the quality of a camp and the module in the droid. Those made with the highest skill will allow healing at almost a Hospital\'s level of effectiveness.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_healing_d.stf', '6', 'fatigue', 'Battle Fatigue is the measure of a character\'s weariness and exhaustion from partaking in the fervor of combat. Once Battle Fatigue reaches certain levels, it begins to reduce the effectiveness of medicines and their healing powers.\n\nTo cure Battle Fatigue, you must seek out a member of one of the Entertainer professions. By watching or listening to these performers dance or play music in the comfortable confines of a Hotel, Theatre, or Cantina the Battle Fatigue will slowly go away until it is completely cured.\n\nYou can watch or listen to an Entertainer outside of the above locations but it will not cure Battle Fatigue.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_healing_d.stf', '7', 'entertainment', 'Healing typically refers to the replenishment of HAM bar damage and stat wound healing in the Health and Action categories.\n\nEntertainers on the other hand, focus on the replenishment of Mind category pool and wound damage. \n\nThey also have the unique talent of reducing Battle Fatigue by playing music or dancing for their patrons. \n\nThese tasks can only be performed in Cantinas, Hotels, Theaters, Campsites* and player houses that have been declared as Player Cantinas. \n\n*Battle Fatigue cannot be healed in a Campsite, but normal Mind wounds can be healed.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_healing_n.stf', '1', 'healing', 'Healing');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_healing_n.stf', '3', 'wounds', 'Healing Stat Wounds');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_healing_n.stf', '4', 'stimpacks', 'Using Stimpacks');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_healing_n.stf', '5', 'medpacks', 'Using Advanced Medpacks');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_healing_n.stf', '6', 'hospitals', 'Healing in Hospitals and Camps');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_healing_n.stf', '7', 'fatigue', 'Battle Fatigue');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_healing_n.stf', '8', 'entertainment', 'Healing and Entertainers');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_housing_d.stf', '1', 'housing', 'Architects have the ability to create housing for their fellow players. For each planet, there are many different sizes and looks from which to choose. Housing provides a large array of functions and can fit many lifestyles from the expert crafter to the brave adventurer! Each house, small and large, has a terminal from which its owner can do many day-to-day tasks. Below is a list of the functions available and a short description of what each option may be used for.\n\nDestroy Structure - This option can be used to remove your house from the world. In most cases, you won\'t recover the deed you used to place the structure. At the time of destruction, all items left inside the house will also be destroyed. Only use this option if you are certain you no longer want the house.\n\nStatus - The status of your home. Valuable information, such as how much maintenance you\'ve paid for, the number of items you have in your home and the level of privacy you\'ve set for your home, is listed here.\n\nPay Maintenance - In order for your home to remain in the world, you must pay maintenance to upkeep it. Once you\'ve paid for maintenance, you may check how much you\'ve paid and how long it will last in the \'Status\' option on the terminal.\n\nSet Name - You may set the name of your home. The name can be the name of your shop or just a simple name such as \'Soandso\'s House\'.\n\nDeclare Residence - Normally used when participating in a player-run city, this option enables you to be a part of a city and participate in its activities.\n\nPrivacy - This option enables you to set the privacy of your home. For instance, if you\'re running a business, you\'ll want your home to be public. However, if you\'re a quiet person, you\'ll want to set the privacy of your home as private.\n\nFind lost Items - If you lose items while moving them around inside your home, you may find them by using this option. The \'Find lost items\' option finds a particular object that may reside in a wall and brings it to your location. However, it may move items that you\'ve purposefully stuck in the wall for artistic reasons. Caution should be used when selection this option.\n\nDelete All Items - This option destroys all items left inside your home. Use extreme caution when selecting this option as CSRs will not replace them once they have been destroyed.\n\nAdministrator List - Players on this list will have the same access permissions as you. They will be able to pay maintenance or even destroy your home. Use this option with extreme caution and only allow your most trusted friends to be on this list.\n\nEntry List - If you want your home to be private, but allow trusted friends to enter, you may add them to the entry list.\n\nBan List - If a particular player is abusing you or causing problems in your home, you may ban them from entering your home by using this option. It is listed under the \'Structure Permissions\' option.\n\n\nMoving Items\n\nArchitects can also create a vast variety of furniture and decorations for your new home. To move an object in your home, place it down and click on it to activate the radial menu. For convenience, slash commands have also been included for more flexibility. Below are the common commands used when decorating.\n\n/moveFurniture <UP/DOWN/FORWARD/BACK> <distance 1-500>\n/rotateFurniture <LEFT/RIGHT> <degrees>\n\nPlease use caution when using the /moveFurniture command. Items lost in ceilings, below floors or in walls will most likely not be recoverable and will not be replaced by a CSRs. If you use the shortened version  of the /moveFurniture command (/move <UP/DOWN/FORWARD/BACK>) and receive an error explaining that the object is not inside your home, there may be a static structure in your area with the words \'Up\', \'Down\', \'Forward\', \'Back\'. To correct this particular issue, you\'ll need to use the full command. For instance, in parts of the galaxy, there is an outpost called the \'Forward Outpost\'. This causes issues with the shortened version of the /moveFurniture command. In this case, you should use the full length version to avoid future errors.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_housing_n.stf', '1', 'housing', 'Player Housing');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_interface_d.stf', '1', 'interface', 'Interface and data screens contain a large amount of information and dozens of features. This section explains the importance and use of each interface screen that you may encounter.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_interface_d.stf', '3', 'hud', '\"Heads-Up Display\" is a term for all the interface windows that remain on your screen even when you are not using the mouse cursor to interact with them. This is often referred to as a \"HUD.\" Examples of HUD elements include your status bar, your chat box, and your radar.\n\nClick through the topics to the left in order to read more about these interface windows.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_interface_d.stf', '4', 'chat', 'By default, the chatbar is activated simply by typing. The text that you type will automatically appear in the chatbar. The chatbar is also used for typing in special commands. You can begin typing a command by hitting the \"/\" key.\n\nThis is where all chat and other important messages are displayed. You\'ll notice several tabs on the chat window. These represent different chat channels, which function similarly to chat rooms.\n\nYou have the option of moving a chat tab from the standard chat window, which will allow you to monitor multiple channels at once. Simply drag the tab with your right mouse button away from the main chat window to anywhere on your screen. When you release the mouse button, you will create a new window. You can configure a chat tab by right-clicking on the tab.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_interface_d.stf', '5', 'radar', 'Your radar shows you a mini-map of the terrain around you. You can zoom your radar in and out to give you a better perspective. The radar also reveals other characters, creatures, and objects in the environment.\n\nThe following are just some of the icons you may come across on the radar display.\n\nOrange arrows: mission waypoints, out of range\nBlue arrows: generic waypoints, out of range\nOrange triangles: mission waypoints, in range\nBlue triangles: generic waypoints, in range\nRed dots: aggressive NPCs or creatures\nYellow dots: non-aggressive NPCs or creatures\nPurple dots: other players within your faction (Imperial, Rebel, etc) \nGreen dots: group members\nMagenta dots: group leader\nLight blue dots: other players\nWhite \"X\"s: corpses\nWhite dot: player (you)');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_interface_d.stf', '6', 'buttonbar', 'The hotkey bar is meant to be an easy method for performing virtually any action quickly and efficiently. Each box on the hotkey bar corresponds to one of your Function keys (F1-F12). You can click on most any icon, action, or piece of equipment and then drag it into the hotkey to assign it to a Function key.\n\nYou have access to six hotkey bars, numbered one to six. You are able to drag the edges of the hotkey bar pane to expand the bar to two rows. The second row can be utilized by hitting the Shift key and the corresponding Function key.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_interface_d.stf', '7', 'toolbar', 'Each of the icons in the toolbar represents a separate data screen that remains hidden until you need it. To open a data screen, you can click on the appropriate icon, or you can use the keyboard shortcut as listed below. The data screens which the icons represent are as follows, listed from left to right:\n\nMap: Opens a planetary map that shows cities and other important locations (Ctrl+V).\n\nInventory: Allows you to examine or equip and unequip items, including weapons and clothing (Ctrl+I).\n\nData pad: Stores specific types of data, including navigational aides and schematics for crafting (Ctrl+D).\n\nCharacter Sheet: Provides all pertinent information about your character, including current attributes and your standing with the Empire and Rebel Alliance (Ctrl+C).\n\nSkills: Review your skills and skill requirements (Ctrl+S).\n\nE-mail: Allows you to send or receive persistent messages to or from other players respectively (Ctrl+E).\n\nOptions: Access graphics, controls, and other settings (Ctrl+O).\n\nCommunity: Provides tools to find other players online (Ctrl+P).\n\nAbilities and Commands: Access your character\'s special moves, as well as general actions anyone can use. You can drag any action or ability from this screen into your hotkey bar to assign it to a Function key (Ctrl+A).\n\nHolocron: Puts you in touch with the Star Wars Galaxies in-game help system (Ctrl+H).\n\nGame Menu: Allows you to quit the game or review the credits (Shift+Esc).');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_interface_d.stf', '8', 'status', 'The red, green, and blue bars (HAM bars) represent your Health, Action, and Mind pools respectively. These drain as you take damage.\n\nAny positive or negative states affecting your character are displayed in your status bar. A \"state\" is a special condition your character endures or enjoys for a short period of time, and can apply negative or positive modifiers to your attributes or combat abilities.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_interface_d.stf', '9', 'cursor', 'The mouse cursor in data mode is used to click on icons or resize user interface windows. While in world mode, the reticle attaches to your mouse cursor and can move around the screen. As you move your mouse over an object, the reticle will change color and shape depending upon how you can interact with that object.\n\nBy default, you can hit the Alt key to toggle between data and world modes.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_interface_d.stf', '10', 'windows', 'Using the Interface Windows is a versatile way of accessing invaluable information about your character, other players, and the world. You will undoubtedly use these screens frequently during your adventures.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_interface_d.stf', '11', 'skills', 'The Skill window offers information about the skills you already have, along with a full rundown on all the skills available in the game so you can begin to plan your character\'s growth. Perhaps most importantly, the Skill window lists all of your current experience, which is the \"currency\" of the skills system.\n\nThe My Character page lists your current professions and their associated skills. Highlighting any profession or skill will provide a description of it. Skills you currently possess are in green. You should read the descriptions of the skills you haven\'t yet learned to discover how much experience it will cost to learn them, as well as what new abilities and skill modifications you would earn along with that skill.\n\nBeneath your list of professions is a catalog of all your experience and skill modifiers. Every time you use a skill, you gain some amount of the appropriate experience. In addition, many skills give you modifiers for specific actions, like trying to hit an enemy with a given weapon. The modifiers you currently utilize are all listed here.\n\nThe All Professions page works in the same manner as the My Character page, except that it lists all of the professions.\n\nYou can press the keyboard shortcut Ctrl+S to bring up the Skill Window.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_interface_d.stf', '12', 'actions', 'The Command and Abilities Browser not only lists all of your current special abilities and commands, but also allows you to easily assign virtually any in-game command to your hotkey bar and create your own string of actions (called macros).\n\nYou can assign anything listed in the Command and Abilities Browser to your hotkey bar by clicking on the icon and dragging it into a hotkey slot while holding down either mouse button.\n\nBelow is a short description of the tabs shown in the Command Browser:\n\nCombat: Lists all of your combat abilities. Marksmen and brawlers begin the game with combat abilities, and others are gained quickly as you progress through the various combat-related professions.\n\nMoods and Socials: The moods tab gives you access to moods that you can set for your character, while the socials tab lists all of the game\'s emotes, or special communication gestures.\n\nMacro: In the macro tab, you can create macros, or combinations of commands you define yourself. You might decide that, during combat, you always want to follow a Leg Shot with a Headshot; you can turn this into one simple command using the macro feature.\n\nOther: Covers several dozen additional helpful commands, including Burst Run, posture changes, and chat functions.\n\nYou can press the keyboard shortcut Ctrl+A to bring up the Command Browser.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_interface_d.stf', '13', 'cs', 'If you have a game related issue that is beyond your ability to resolve, you may turn to the Customer Service Window for more answers. Bring up this window by clicking the \"Customer Service\" button on the Holocron. The Customer Service Window has two main functions: searching the knowledge base, and submitting a ticket.\n\nThe knowledge base should actually be your first stop whenever you have a problem. You can search for information about common problems by typing a keyword that best describes your issue. Please note that the knowledge base will evolve as the game grows.\n\nIf you have exhausted the knowledge base and are still experiencing a problem, you can use the game help to send a message to customer service. From the Customer Service Window, click the \"New Ticket\" tab, select the topic and sub-topic from the pull down menus, and then enter the description of your problem in the large text box. In order for the customer service staff to assist you quickly and thoroughly, please be as detailed as possible in your description. When you are satisfied, click the \"Submit\" button at the bottom of the screen to send your ticket to a customer service representative.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_interface_d.stf', '14', 'personal', 'The Character Sheet lists all of the vital information about your character, including your attributes and wounds. The Character Sheet is divided into two pages: status and personal.\n\nThe status page contains the following information:\n\nCharacter Name\n\nBattle Fatigue: When engaged in combat, you may acquire Battle Fatigue points. The more Battle Fatigue that you have, the more difficult it will be to heal your wounds. To reduce your Battle Fatigue, you may wish to visit a nearby cantina and watch or listen to an entertainer.\n\nFood and Drink: While you do not need to eat or drink in the game, you can temporarily increase your attributes by consuming certain items. These bars represent your \"stomach\", or your capacity for eating and drinking.\n\nFaction Standing: Shows your current standing with both the Empire and Rebel Alliance. You gain faction standing by completing missions for either group and/or fighting on battlefields.\n\nAttributes: These represent your Health, Action, and Mind pools, as well as your secondary statistics.\n\nStat Migration: This is a useful tool for changing your attributes over time. If you decide that you want to increase your mind attribute, you can adjust it though the Stat Migration window. However, you are working with a fixed pool of points; if you want to increase one attribute, you need to decrease another an equal amount. Stat migration does not occur instantly.\n\nThe personal page displays interesting information about your character:\n\nBadges: You earn badges over time through adventuring, or completing quests.\n\nBio: You can fill in your bio by clicking on the window and typing whatever you want. A bio could tell your character\'s \"backstory\" or even talk about you as a player.\n\nYou can press the keyboard shortcut Ctrl+C to bring up the Character Sheet.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_interface_d.stf', '15', 'planetarymap', 'The Planetary Map will show you a large map of the planet on which you are currently standing. You can use the scroll bar on the bottom of the map to zoom in and out. A direction arrow on the map indicates where you are currently standing and what direction you are facing. \n\nYou will also see icons on the planet depicting where any major cities may lie. Also on the map, you will see any waypoints that you may currently have active in your data pad. If you would like to create a new waypoint, simply right-click on the map where you would like the waypoint to be, and select \"Create Waypoint\" from the menu that pops up.\n\nOn the right side of the Planetary Map, you will see a list of important buildings and other special locations that you may want to visit. Click on one of the items listed here to find one of these locations.\n\nYou can press the keyboard shortcut Ctrl+V to bring up the Planetary Map.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_interface_d.stf', '16', 'inventory', 'The Inventory displays all of the items you are currently carrying and your money. When clicking on an item, you can examine, destroy, equip, or use an item by selecting the appropriate command from the object\'s radial menu.\n\nCycle between viewing your items as icons and viewing a list with pertinent information about your items by clicking the \"Change View\" button. You can drag any object into your hotkey bar to assign it to a Function key; this is especially useful for medical supplies.\n\nClick the small horizontal arrow at the top-left corner of your Inventory Window to display or hide your character. Click and drag your character to rotate the character model, zoom in or out, or reset the character to its original position.\n\nThe bar at the bottom of your Inventory Window is your \"carrying capacity\". When this bar is full, you can no longer add any items to your inventory.\n\nSome inventory items are \"containers\" that allow you to store and organize your items, as well as create more room in your inventory. To put items into your container, move the cursor on top of the item and press and hold the left mouse button. Drag the object over the container and release the button. You can open a container by double-clicking it; your Inventory Window will switch to display the objects in your container. To close the container, click on the triangular icon near the image of the container.\n\nYou can press the keyboard shortcut Ctrl+I to bring up the Inventory Window.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_interface_d.stf', '17', 'datapad', 'The Datapad is used for storing data, including waypoints, mission details, and crafting schematics.\n\nWaypoints are navigational aids. Whenever you receive a mission, a waypoint is stored in your Datapad. In addition, the full details of a given mission, including any targets, are stored in the Datapad.\n\nYou can activate and deactivate a mission\'s waypoint by double clicking on the mission icon and selecting \"Activate Waypoint\" or \"Deactivate Waypoint\". The waypoint will appear as an orange arrow on your radar; when you near the mission objective the waypoint will appear as a column of light in the world.\n\nYou can create a new waypoint wherever you\'re standing by clicking the \"New Waypoint\" button. You can name a waypoint you\'ve created by choosing \"Set Name\" from the waypoint\'s radial menu. Clicking the \"Change View\" button displays the waypoints as icons.\n\nYou can only store a limited number of waypoints. The percentage listed in the waypoint window increases as you add waypoints; when the meter reads one hundred percent, you\'ve reached your limit and must destroy a waypoint before creating a new one.\n\nSchematics are used to craft objects. The ones listed in the datapad are all of the schematics that your character currently has on hand. This will increase as your character acquires new schematics.\n\nYou can press the keyboard shortcut Ctrl+D to bring up the Datapad.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_interface_d.stf', '18', 'options', 'The in-game Options Window allows you to change everything from your graphic\'s settings to your control scheme. At any point, you can review and change your options by pressing the keyboard shortcut Ctrl+O to bring up the Options Window.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_interface_d.stf', '19', 'graphics', 'These options will allow you to configure the look of the game, and also enable you to get the most from your PC. The default settings are geared toward performance; you can improve the game\'s appearance by adjusting various options, but this is likely to impact the game\'s overall performance. Generally, you would want to move sliding bars to the left in order to improve game performance.\n\nConversely, if you\'re having performance problems, you can turn off or reduce various options. Most of the options are self-explanatory, but some are covered here in more detail:\n\nField of View: Increase field of view to show to show more of the world; reduce field of view to increase performance.\n\nShadows: Choose from full, volumetric shadows on everything (worst performance), volumetric shadows on characters only, or simple shadows. Turn off shadows completely for the best performance.\n\nObject Detail: Increasing the level of detail on objects decreases performance.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_interface_d.stf', '20', 'terrain', 'Similarly to the graphics options, configuring the Terrain Options will enable you to increase the performance of your PC. Again, if you are aiming to improve performance, you may wish to try moving some of the sliding bars to the left.\n\nHere are some of the Terrain Options that you might want to adjust:\n\nTerrain High Detail Range: Sets the level of detail for the terrain around your character. Reducing the terrain detail may greatly improve performance.\n\nRender Non-Collidable Flora, Render Distant Radial Flora, and Render Nearby Radial Flora: Turning off any of these may increase performance.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_interface_d.stf', '21', 'sound', 'Audio options and sound volumes are customized from this menu. Move the slider to the far left on any of the volume settings to turn off a particular type of sound.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_interface_d.stf', '22', 'combat', 'This menu allows you to customize or turn off the floating numbers that appear over your or your enemy\'s head when damage is dealt.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_interface_d.stf', '23', 'chatopt', 'These options allow you to configure the way that your Chat Window and chat bubbles appear and behave. You can also turn chat bubbles off completely with this menu.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_interface_d.stf', '24', 'chatcolor', 'This menu will enable you to customize the colors for different types of chat. Having colored chat sometimes makes it easier to decipher, especially when text is moving quickly through the Chat Window.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_interface_d.stf', '25', 'alarm', 'The alarm clock is useful for monitoring your time online. If you want to quit the game at a specific time, only play for a set amount of time, or set up a time to meet with friends, use the alarm clock to create reminders.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_interface_d.stf', '26', 'afk', 'Click this box to disable or enable the Away From Keyboard (AFK) auto response (it is enabled by default). If you\'re AFK, players who try to contact you will receive an automated message. You can edit this message or change the time limit until AFK is activated.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_interface_d.stf', '27', 'interfaceopt', 'You can alter these options to change the way that the user interface and heads up display look and behave. Also from this menu, you can change the color palette used by the interface windows.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_interface_d.stf', '28', 'controls', 'The Controls menu allows you to change mouse behavior, select different control schemes, and create your own keyboard maps. To select your control scheme or re-map your keys, press the \"Keymap\" button on the bottom of the menu.\n\nYou can reassign any keyboard command by double-clicking on the action you want to change, hitting the new key, and then clicking \"OK\".');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_interface_d.stf', '29', 'misc', 'In this menu, you can change various in-game settings that best suit your aesthetic style.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_interface_d.stf', '30', 'mail', 'Star Wars Galaxies includes an e-mail system that allows players to send one another persistent messages. You can send e-mail to players who aren\'t online, which remain in a player\'s e-mail screen until deleted.\n\nThe e-mail icon will flash whenever you have new mail. To read an e-mail, click on it. The text will appear near the bottom of the In-Game Mail Window.\n\nClick \"New\" to create a new e-mail message. In the \"To\" field, enter the first name of the character you wish to send an e-mail. You only need to enter in a character\'s first name. Send the same message to multiple players by putting a semicolon (;) between each name in the \"To\" field.\n\nSend attachments, including waypoints, by dragging and dropping an icon into the \"Attachment\" field. \"Reply\" will generate an e-mail addressed to the sender of the e-mail you currently have highlighted. Delete will permanently remove the highlighted e-mail.\n\nYou can press the keyboard shortcut Ctrl+E to bring up the In Game Mail Window.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_interface_d.stf', '31', 'community', 'The Community screen provides tools for finding friends online. You can press the keyboard shortcut Ctrl+P to bring up the Community Window.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_interface_d.stf', '32', 'matchmaking', 'There are two screens devoted to an in-game matchmaking service. To take advantage of the matchmaker, use the Personal page to establish some traits that describe you. Select a category using the first drop-down menu. Highlight your selection and click on the \"Add Item\" button. Once you\'ve established your own profile, use the same process to define the traits that you\'re looking for in other players.\n\nWhen you\'re near a player with several of the traits you have listed in the \"My Preference\" section, you\'ll receive a notification that includes the player\'s name. You can now contact that player.\n\nThe sensitivity bar determines how accurately another player must \"match\" the qualities you\'ve selected for your desired online friends. If you set this to 100, a player will need to have every trait you\'ve selected in the \"My Preference\" section.\n\nBy default, the matchmaker searches for potential matches every ten minutes. You can change the search frequency using the drop-down menu beneath the sensitivity bar.\n\nThe second matchmaking screen displays a list of players that match your preferences. The time column lists the time at which the match was made.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_interface_d.stf', '33', 'search', 'This interface screen allows you to find specific types of players in your area. To use the search function, simply select any desired options from the drop-down menus and/or check any of the checkboxes, then click on \"Search\".\n\nThe search function will only identify characters who meet all of your criteria; if you\'re just looking for a Medic and don\'t care about his or her faction standing, species, or anything else, use the Profession drop-down menu and select Medic.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_interface_d.stf', '34', 'friendslist', 'Your Friends List lets you keep track of any friends you make in the game. To add a character to your Friends List, type that character\'s first name in the field at the bottom of the Friends screen, and then click \"Add\".\n\nSelect a friend on your list by clicking on his or her name. \"Select All\" highlights everyone on your list. \"Mail\" generates an e-mail for your selected friend(s). \"Remove\" deletes the character from your Friends List.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_interface_d.stf', '35', 'ignore', 'Star Wars Galaxies allows you to block chat messages from other players who might annoy you. If you want to stop receiving chat message from a particular player, you should add them to your Ignore List.\n\nTo add a character to your Ignore List, type that character\'s first name in the field at the bottom of the Ignore screen, and then click \"Add\". Remove a character from your Ignore List by clicking on the character\'s name, and then clicking \"Remove\".');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_interface_n.stf', '1', 'interface', 'Interface Screens');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_interface_n.stf', '3', 'hud', 'Your Heads-Up Display');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_interface_n.stf', '4', 'chat', 'Chatbar and Chatboxes');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_interface_n.stf', '5', 'radar', 'Radar Display');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_interface_n.stf', '6', 'buttonbar', 'Hotkey Bar');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_interface_n.stf', '7', 'toolbar', 'Toolbar');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_interface_n.stf', '8', 'status', 'Status Bar and HAM');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_interface_n.stf', '9', 'cursor', 'The Mouse Cursor');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_interface_n.stf', '10', 'windows', 'Interface Windows');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_interface_n.stf', '11', 'skills', 'The Skill Window');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_interface_n.stf', '12', 'actions', 'The Command Browser');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_interface_n.stf', '13', 'cs', 'The Customer Service Window');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_interface_n.stf', '14', 'personal', 'The Character Sheet');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_interface_n.stf', '15', 'planetarymap', 'The Planetary Map');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_interface_n.stf', '16', 'inventory', 'The Inventory Window');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_interface_n.stf', '17', 'datapad', 'The Datapad');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_interface_n.stf', '18', 'options', 'The Options Window');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_interface_n.stf', '19', 'graphics', 'Graphic Options');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_interface_n.stf', '20', 'terrain', 'Terrain Options');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_interface_n.stf', '21', 'sound', 'Sound Options');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_interface_n.stf', '22', 'combat', 'Combat Options');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_interface_n.stf', '23', 'chatopt', 'Chat Options');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_interface_n.stf', '24', 'chatcolor', 'Chat Color Options');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_interface_n.stf', '25', 'alarm', 'Alarm Options');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_interface_n.stf', '26', 'afk', 'Away From Keyboard (AFK) Options');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_interface_n.stf', '27', 'interfaceopt', 'Interface Options');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_interface_n.stf', '28', 'controls', 'Controls Options');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_interface_n.stf', '29', 'misc', 'Miscellanous Options');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_interface_n.stf', '30', 'mail', 'The In-Game Mail Window');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_interface_n.stf', '31', 'community', 'Community');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_interface_n.stf', '32', 'matchmaking', 'The Matchmaking Interface');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_interface_n.stf', '33', 'search', 'The Search Interface');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_interface_n.stf', '34', 'friendslist', 'The Friends List');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_interface_n.stf', '35', 'ignore', 'The Ignore Interface');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_missions_d.stf', '1', 'missions', 'Whilst you explore the worlds of Star Wars Galaxies, you will be offered the chance to undertake missions for various people. These can come in different ways, ranging from people you encounter to mission terminals found in cities.\n\nSome people are known to have certain tasks they need help with. If they like the look of your face, feel comfortable with you, or possibly consider you to be an easy \"mark\", they may ask you to do various assignments for them. You\'ll find at times that when you are done, they may have more work for you. If you have made a reputation for yourself, don\'t be surprised if some more notable people give you assignments, such as Jabba the Hutt, or maybe even Luke Skywalker, himself.\n\nNot everyone has a schedule that allows them to stay in the same place at all times. It is not uncommon to find people on the streets or even the wilderness that need things done. These people are rarely found in the same spot, so don\'t expect for them to be there when you come back.\n\nWhen you speak with these people, they generally will tell you what task they have at hand. At times, you will be given the option to ask them more before you commit to help them. When you have decided, let them know if you wish to help them or not.\n\nSince the galaxy is a big place, it is sometimes more convenient for people to post their jobs in mission terminals. The terminals can be found all over large cities, easily accessible by anyone. The mission details are posted and if you\'re interested, you can accept the job.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_missions_d.stf', '2', 'deliver', 'Some missions will require you to bring an item to another person. For whatever their reasons, they are unable to bring it themselves to their associate. Therefore, you will be asked to undertake a deliver mission.\n\nWhen you are given a deliver mission, you will be given a waypoint as to the general whereabouts of the person you are to deliver the item to.\n\nWhen you arrive, you will then give them the item they are expecting. Make sure you give them the right item, or else they might become a bit perturbed.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_missions_d.stf', '3', 'destroy', 'The Galaxy is in the middle of a Civil War, therefore not all of the missions given to you will keep you hands clean. A destroy mission will require you to eliminate a designated target.\n\nAfter the mission giver has given you the target you are asked to destroy, you will be assigned a waypoint. When you reach to the location, you will have no choice but to kill the offender.\n\nMost of the times, you will be asked to kill an enemy, but sometimes you may have to destroy a building, such as a power generator. Once done, you will receive your reward, or be asked to return to the person who gave you the mission.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_missions_d.stf', '4', 'escort', 'Though cities are usually quite safe, the wilderness is a different story altogether. In an escort mission, you will be asked to guide a person to safety. Along the way, natural or manmade hazards will make this quite difficult.\n\nOnce you have accepted the escort mission, you will need to navigate to the area where you are to meet the person you are to escort. Let them know you are there to help them, and they will then follow you. Make sure this person doesn\'t come to harm while they are in your protection.\n\nYou will be given a waypoint as to the location that you need to escort the person to. Once they are at their intended location, you will then be rewarded for your efforts.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_missions_d.stf', '5', 'fetch', 'Some people in the galaxy need things that only creatures have on them. Or perhaps someone else has an item that a person wants. For whatever the reason may be, in a fetch mission, you will be asked to recover this item from your target.\n\nAfter accepting the fetch mission, you will be assigned a waypoint showing you where the target will be found. Once you have reached that location, you will need to destroy whoever has the item on them. Once they have lost the battle, loot their corpse and then bring the item back to the person offering you the mission.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_missions_d.stf', '6', 'gig', 'A gig mission is one that can be taken by someone who has chosen to pursue a career dedicated towards entertaining others. There are two types of gig missions, ones that cater to Musicians, and ones that cater to Dancers.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_missions_d.stf', '7', 'link_music', 'Musician Gig Details');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_missions_d.stf', '8', 'link_dance', 'Dancer Gig Details\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_missions_d.stf', '9', 'musician', 'In a musician gig, you will be asked to go to an area and play some tunes for people in the surrounding area. You are given a waypoint at the location you are expected to play. \n\nOnce you get there, jam out for the amount of time you are asked to play for. When you have played the number of sets for which you were contracted, your mission is complete and the payment is deposited in your bank account.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_missions_d.stf', '10', 'dancer', 'In a dancer gig, you will be asked to go to an area and show off your moves for people in the surrounding area. You are given a waypoint to the location where you are expected to dance. \n\nOnce you get there, get your groove on for the amount of time you are asked to dance. Once you have done the number of routines for which you signed up, your mission will be complete and the payment will be deposited into your bank account.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_missions_d.stf', '11', 'survey', 'In a survey mission, you will be asked to locate a certain density of a specific resource type. The person giving you the mission will tell you how much of the resource they are looking for, and then it\'s your job to go find it for them.\n\nAfter accepting the mission, you will need to hunt high and low to find the designated percentage of that resource. Depending on the mission giver, you will be asked to look for all types of resources. You will need to conduct samples everywhere in the world until you find what you have been asked to look for.\n\nOnce you have found the resource and amount as deemed by the mission, you will have completed your mission. Your datapad will automatically let the mission giver know where the resources can be found.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_missions_d.stf', '12', 'crafting', 'When you take a crafting mission, the person giving you the mission will have a number of components that they need assembled into an item. You will be given these components and asked to turn it into the requested item.\n\nOnce you have managed to take the parts and craft an item out of them, you will then need to take it to the person the mission giver was supposed to make it for. You will be given a waypoint, at which time you will need to travel out to them. Give this person the item you made, and you will be rewarded for your efforts.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_missions_d.stf', '13', 'recon', 'A recon mission will require you to have a keen eye for observing things. The giver of the mission will ask you to go to a specified location and observe what is going on there. You will be given a waypoint as to where you are asked to watch the events.\n\nOnce you have observed long enough, your datapad will be updated to let you know that you\'ve seen enough. At this point, you will want to follow your waypoint back to the person who gave you the mission. Report back what you learned from your reconnaissance and your mission will be complete.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_missions_d.stf', '14', 'bounty', 'Some people have angered the wrong people. Or maybe they have forgotten to pay off their debts. Or perhaps they just don\'t want to be found. This is when a Bounty Hunter is needed for the job. Please note that only Bounty Hunters will be able to complete these jobs.\n\nIn a Bounty Hunter mission, you will be asked to find a person and put an end to them. The giver of the mission will tell you who they want silenced, and direct you to a person who will have a good idea as to where to find your target.\n\nOnce you have spoken with the informant, you will then need to program your droid to track down your quarry. Your droid will then seek out your prey, and then report back its last known location. At this point, you can then follow the waypoint where your target will likely be nearby. Depending on your Bounty Hunter skills, the droid\'s information may or may not be accurate.\n\nAfter you have exterminated your target, you will then be rewarded by your employer for a job well done. Some of the best bounty hunters in the galaxy can go on to get permanent contracts by important people, such as a powerful Hutt or perhaps even the Empire!\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_missions_d.stf', '15', 'link_easy', 'Easy Bounty Details');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_missions_d.stf', '16', 'link_hard', 'Hard Bounty Details');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_missions_d.stf', '17', 'bountyeasy', 'In an easy bounty, your quarry will be a bit reckless in their attempts to hide themselves. Your droid will have an easier time locating the whereabouts of the person. You will also find that they don\'t put up too much of a fight. These jobs are likely to be taken by those who are new to the trade, or those who just need the cash.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_missions_d.stf', '18', 'bountyhard', 'In a hard bounty, you will be looking for people who have expertly hidden themselves away. Your droid will have a harder time tracking down your prey. Let\'s hope your skills at Bounty Hunting will be able to program the droid with that in mind.\n\nOnce your droid has managed to find your target, or after you have managed to track it down yourself, expect a hard fight. Your target hasn\'t managed to stay hidden without knowing how to easily deal with a Bounty Hunter.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_missions_n.stf', '1', 'missions', 'Missions');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_missions_n.stf', '2', 'deliver', 'Deliver Missions');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_missions_n.stf', '3', 'destroy', 'Destroy Missions');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_missions_n.stf', '4', 'escort', 'Escort Missions');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_missions_n.stf', '5', 'fetch', 'Fetch Missions');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_missions_n.stf', '6', 'gig', 'Gig Missions');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_missions_n.stf', '7', 'musician', 'Musician Gigs');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_missions_n.stf', '8', 'dancer', 'Dancer Gigs');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_missions_n.stf', '9', 'survey', 'Survey Missions');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_missions_n.stf', '10', 'crafting', 'Crafting Missions');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_missions_n.stf', '11', 'recon', 'Recon Missions');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_missions_n.stf', '12', 'bounty', 'Bounty Hunter Missions');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_missions_n.stf', '13', 'bountyeasy', 'Easy Bounties');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_missions_n.stf', '14', 'bountyhard', 'Hard Bounties');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_mounts_d.stf', '1', 'mounts', 'Creature Handlers with the skill Creature Empathy IV are capable of training certain creature pets to be mounts. These animals may be tamed out in the wild or created by a Bio-Engineer. These creatures must also fit within certain size limitations; if they are too big or too small, the Creature Handler won\'t have the radial option available to train them as mounts. The mount may be traded or given like a normal pet and follows all the standard rules of pets.\n\nAny character can ride a properly-trained mount (up to a level 10 pet for non-Creature Handlers). When targeting your mount, select \"Climb Aboard Pet\" to get on the back of the mount. You can also store mounts in the data section of your datapad (default CTRL-D). Use the \"Call\" option to bring out the mount.\n\nThe advantage of riding a mount is being able to move at a sustained faster speed than normal running. Additionally, you may use the /gallop command to move faster.\n\nThe disadvantage of mounts is you cannot use special combat moves while mounted. Additionally, you cannot use any combat moves while galloping.  Mounts will not attack or defend while being ridden, but will act like normal pets if they have no rider on them. Mounts cannot go inside buildings.\n\n\n\n\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_mounts_n.stf', '1', 'mounts', 'General Mount Information');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_d.stf', '1', 'navigation', 'Navigation in Star Wars Galaxies can be quite overwhelming at first, but once you start to grasp how to interpret the windows, you will discover that it\'s actually very easy.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_d.stf', '3', 'radar', 'Your Radar is located in the lower left corner of your screen, (by default).\n\nYou can move your radar around the screen and place wherever you like by moving your cursor over it until the yellow crosshairs appear, pressing and holding the left mouse button and dragging to the desired screen position. When you have the radar where you want it, release the left mouse button and the radar will stay in that spot.\n\nOn your radar screen, you will see four points along the edge that don\'t resemble any English letters that we would normally associate with a compass. The three stacked, horizontal lines represent North on the radar. Like a compass, moving clockwise from North, the next mark will be East, the mark at the bottom represents South, then the last mark represents West.\n\nThe topmost position on your radar represents what heading your camera is pointing at all times. As you rotate your camera, your radar will rotate accordingly.\n\nTo change the scope of your radar reading, there are two buttons that you can click with your cursor that will change the scope of what your radar is detecting. The buttons are located along the right side of the radar screen, the (+) is near the top right, and the (-) is near the bottom right. The smallest scope you can set your radar at is 32m, and the largest scope is 1024m. This indicates the radius distance, or the distance from the center of the radar screen to the edge of the radar screen.\n\nYou can resize the radar on your HUD by Hovering the cursor near the edge of it until you get the resize option. Then, left click and drag to increase or decrease the size of your radar until you reach the desired size. ');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_d.stf', '4', 'planetarymap', 'The Planetary Map is accessible by hitting CTRL-V while in game, or by selecting the icon on the far left of your icon toolbar (default location is the lower right of your screen). Once open, you have an overhead representation of the planetary map grid. \n\nWhile hovering your mouse cursor over the areas of the map that don\'t have visible icons on it, it appears as an open hand icon. By left click dragging you can move the map around a bit within this interface. By double clicking on any spot on the map you zoom into that spot. Zooming in and out can also be accomplished by using the Zoom Slider underneath the map section of this screen. \n\nBy right clicking on any section of the map field, you will get the name of what you are clicking on. For instance, if it\'s not over an icon it will show the planet name. If it\'s over an icon, it will give the name of what that icon represents. Underneath the name, you also get a \"create waypoint\" option that allows you to make a waypoint at that spot so you can navigate to it.\n\nOn the right side of the Planetary Map is the Locations Menu. By clicking  on the folders in this menu, you open them up and can select any one of the preset locations on the planet. When you click on a partcular item, the icons for that item appear on the map. Once on the map, you can right click on the one you wish to go to and create a waypoint there for easy navigation.\n\nUnderneath the Location Menu are filter boxes that you can check or uncheck to either show or hide certain features on the map.\n\nOf course, there is also a \"show help\" option in this interface to further assist you in this interface.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_d.stf', '5', 'overheadmap', 'You can access the Overhead Map by hitting CTRL-M while in game. This map is used primarily in cities, or inside of buildings to help you navigate them easier. \n\nYou can zoom in and out in this map by holding CTRL and using the mouse wheel backwards and forwards. \n\nIn this map, you see the shapes of the buildings around you, with the names of the buildings (if they have names), in the middle of their shape. Your character is represented by a small, white, arrow on this map with the arrow pointing in the direction you are facing. This tool can be invaluable for helping you navigate through unfamiliar cities and finding the necessary buildings.\n\nTo close this map, just hit CTRL-M once more.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_d.stf', '6', 'waypoints', 'Star Wars Galaxies has an extensive waypoint system that is meant to make navigation around the massive worlds an easy task.\n\nTo create a waypoint, all you need to do is to open up your Datapad, by either selecting the Datapad icon in the icon toolbar, or by hitting CTRL-D while in game.\n\nOnce inside the Datapad, make sure you have the \"Data\" tab selected and then click the \"New Waypoint\" button. This will create a waypoint at your present coordinates for future use. To activate this waypoint, all you need to do is left click and hold on the waypoint icon and select \"Activate\". The waypoint will appear as a shaft of light at that spot, and will appear as a tick on your radar until you either \"Deactivate\" it or destroy that waypoint.\n\nActivating, Deactivating, and Destroying waypoints can be done to any waypoint in your Datapad. Another option you have when you bring up the radial menu on a waypoint is \"Set Name\". This feature is exceptionally nice as you can name your created waypoints something that makes more sense to you when you have to identify waypoints at a glance in the future. ');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_d.stf', '7', 'longdistancetravel', 'Traveling Long Distances in Star Wars Galaxies can be accomplished in a few ways.\n\nFirst and foremost, you can choose to run. This method is the least expensive, in fact, it can cost you nothing, but it takes the most time. When running through the wilds, be sure to remember that there are creatures out there that might not appreciate you running through their territory. Althought, running is the least expensive method of travel, it will not, obviously, get you from one planet to another.\n\nAnother method of travel is using the Shuttleports and Starports to move from different cities on the same planet, or to go from planet to planet.\n\nShuttleports will offer you safe passage from the city you are in, to any other city on the same planet, which has a Shuttleport or Starport. Please remember that Shuttleports cannot leave the planet you are on.\n\nStarports on the other hand can take you to other Starports, whether on the same planet you are on, or another planet. Keep in mind that every Starport may not have access to every other Starport on every other planet. For instance, hard to reach planets, like Endor, are not reachable from every location. It\'s up to you to find your way to those locations.\n\nTraveling by Shuttleport and Starport does cost credits. As a rule, the farther you want to go, the more credits it takes to get there.\n\n\nThe third means of traveling long distance is by mounts or vehicles.\n\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_d.stf', '8', 'thingstofind', 'How do I find things in Star Wars Galaxies? \n\nClick on one of the options below to find out.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_d.stf', '9', 'findplayers', 'Finding other players in Star Wars Galaxies is very easy.\n\nIn your tool bar (lower right part of your screen by default), there is a \"Community\" button you can press to open the Community Interface. You can also access the Community Interface by hitting CTRL-P. \n\nOnce in this interface, there are several tabs that refer to your character, your Friends list, your Ignore list, etc. One of the tabs is called \"Search\", and by pressing it, you can search for other players.\n\nYou can set certain filters to search by Faction, Species, Profession, Title, whether they are looking for a group, or if they are a Newbie Helper, or even if they are a roleplayer.\n\nOnce you have selected your criteria, just press the \"Search\" button and the results of your search are displayed in the field below.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_d.stf', '10', 'findterminals', 'Finding Terminals in Star Wars Galaxies can be a bit tricky at first, but once you get the hang of it, it\'s easy.\n\nCheck the links below to learn more about the locations of specific types of terminals.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_d.stf', '11', 'terminalsmissiont', 'Mission terminals can usually be found scattered throughout the cities. There is no guaranteed place you can find them in every city, but there are typically some by the main entrances to every city in the galaxy. Special \"Faction\" Mission terminals are only found in specific, but appropriate places. For instance, there is an Imperial Mission terminal located at the Imperial base just up the hill from Bestine on Tatooine.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_d.stf', '12', 'terminalsstarport', 'Starport terminals can only be found inside the Starports.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_d.stf', '13', 'terminalshuttleport', 'All Shuttleport terminals can always be found at the Shuttleports themselves.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_d.stf', '14', 'terminalsbank', 'Bank terminals can be found at the bank. Check your map to locate the closest bank, or use the \"Bank\" submenu in the \"Finding Buildings\" section.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_d.stf', '15', 'terminalscloning', 'Cloning terminals can only be found at Cloning Facilities. Cloning terminals only represent the Cloning Facility that they are located inside of. For instance you can\'t pay for cloning on Naboo, while you are on Tatooine. ');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_d.stf', '16', 'terminalsinsurance', 'Insurance terminals can only be found inside Cloning Facilities. \n\nWhile Cloning terminals only apply to the facility that they are in, Insurance is universal. If you should die with insured items on you, they will be on you when you clone, no matter where that is.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_d.stf', '17', 'terminalsbazaar', 'Bazaar terminals can most often be found around the outside of Starports. Sometimes they are right near the door, sometimes around the back, but usually always near the Starports. \n\nIf the town you are in does not have a Starport, then try looking around the Shuttleport.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_d.stf', '18', 'npcs', 'NPCs or Non-Player Characters are scattered all over the game.  Some are there to train you, some give you missions, and some just have the job of bringing a city to life, by walking around, having a chat with another NPC, or just patrolling the city streets.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_d.stf', '19', 'creatures', 'Creatures can be found in many places. Some are in the city streets, some are in caves and dungeons, but most are scattered outside of towns on every planet in the galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_d.stf', '20', 'npclairs', 'NPC lairs are few and far between. These consist of the Emperor\'s Retreat, the Darklighter Estate, and many others. You will have to consult other player explorers to discover the locations of these uncommon locations.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_d.stf', '21', 'creaturelairs', 'Creature lairs are found outside of towns in the wilderness areas. They are typically surrounded by the creatures that they have spawned, and if attacked will spawn more creatures. ');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_d.stf', '22', 'pois', 'Finding Points of Interest (POIs) is simply a matter of exploring the world. If you should be exploring a planet and see a structure or cluster of structures, it\'s most likely a POI.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_d.stf', '23', 'findstrongholds', 'Strongholds are large compounds that will be very hard to overcome alone. A suggestion would be to bring friends with you and explore the areas outside of cities with caution.\n\nYou never know, you just might come across one.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_d.stf', '24', 'battlefields', 'PVE and PVP Battlefields are recognizable by the ring of banners that encircles them. Once you reach the outer ring, you will be prompted to choose a side before joining the battle. If you are already factioned, you will enter on the side to which you are declared.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_d.stf', '25', 'buildings', 'Finding buildings in Star Wars Galaxies is very easy if you know how to use the /find command. Check the building types below to see how to find each kind of building.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_d.stf', '26', 'cloningfacility', 'To find a Cloning Facility in another city, open your planetary map, (CTRL-V), click the \"Cloning Facility\" sub menu on the right side, and select which city\'s Cloning Facility you would like to locate.\n\nPress the button below to find the nearest Cloning Facility.\n\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_d.stf', '27', 'cantina', 'To find a Cantina in another city, open your planetary map, (CTRL-V), click the \"Cantina\" sub menu on the right side, and select which city\'s Cantina you would like to locate.\n\nPress the button below to find the nearest Cantina.\n\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_d.stf', '28', 'bank', 'To find a Bank in another city, open your planetary map, (CTRL-V), click the \"Bank\" sub menu on the right side and select which city\'s Bank you would like to locate.\n\nPress the button below to find the nearest Bank.\n\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_d.stf', '29', 'shuttleport', 'To find a Shuttleport in another city, open your planetary map, (CTRL-V), click the \"Shuttleport\" sub menu on the right side, and select which city\'s Shuttleport you would like to locate.\n\nPress the button below to find the nearest Shuttleport.\n\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_d.stf', '30', 'hospital', 'To find a Medical Center in another city, open your planetary map, (CTRL-V), click the \"Medical Center\" sub menu on the right side, and select which city\'s Medical Center you would like to locate.\n\nPress the button below to find the nearest Medical Center.\n\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_d.stf', '31', 'theater', 'To find a Theater in another city, open your planetary map, (CTRL-V), click the \"Guild:Theater\" sub menu on the right side, and select which city\'s Theater you would like to locate.\n\nPress the button below to find the nearest Theater.\n\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_d.stf', '32', 'combatguild', 'To find a Combat Guild in another city, open your planetary map, (CTRL-V), click the \"Guild:Combat\" sub menu on the right side, and select which city\'s Combat Guild you would like to locate.\n\nPress the button below to find the nearest Combat Guild.\n\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_d.stf', '33', 'commerceguild', 'To find a Commerce Guild in another city, open your planetary map, (CTRL-V), click the \"Guild:Commerce\" sub menu on the right side, and select which city\'s Commerce Guild you would like to locate.\n\nPress the button below to find the nearest Commerce Guild.\n\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_d.stf', '34', 'university', 'To find a University in another city, open your planetary map, (CTRL-V), click the \"Guild:University\" sub menu on the right side, and select which city\'s University you would like to locate.\n\nPress the button below to find the nearest University.\n\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_d.stf', '35', 'starport', 'To find a Starport in another city, open your planetary map, (CTRL-V), click the \"Starport\" sub menu on the right side, and select which city\'s Starport you would like to locate.\n\nPress the button below to find the nearest Starport.\n\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_d.stf', '36', 'hotel', 'To find a Hotel in another city, open your planetary map, (CTRL-V), click the \"Hotel\" sub menu on the right side, and select which city\'s Hotel you would like to locate.\n\nPress the button below to find the nearest Hotel.\n\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_d.stf', '37', 'medicalcenter', 'To find a Medical Center in another city, open your planetary map, (CTRL-V), click the \"Medical Center\" sub menu on the right side, and select which city\'s Medical Center you would like to locate.\n\nPress the button below to find the nearest Medical Center.\n\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_d.stf', '38', 'tavern', 'To find a Tavern in another city, open your planetary map, (CTRL-V), click the \"Tavern\" sub menu on the right side, and select which city\'s Tavern you would like to locate.\n\nPress the button below to find the nearest Tavern.\n\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_d.stf', '39', 'barracks', 'To find Barracks in another city, open your planetary map, (CTRL-V), click the \"Barracks\" sub menu on the right side, and select which city\'s Barracks you would like to locate.\n\nPress the button below to find the nearest Barracks.\n\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_d.stf', '40', 'findmedicalcenter', 'To find a Medical Center in another city, open your planetary map, (CTRL-V), click the \"Medical Center\" sub menu on the right side, and select which city\'s Medical Center you would like to locate.\n\nPress the button below to find the nearest Medical Center.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_d.stf', '41', 'garage', 'To find a garage in another city, open your planetary map, (CTRL-V), click the \"Parking Garage\" sub menu on the right side and select the garage that you would like to locate.\n\nPress the button below to find the nearest Parking Garage.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_n.stf', '1', 'navigation', 'Navigation');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_n.stf', '4', 'radar', 'Understanding your Radar');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_n.stf', '5', 'planetarymap', 'The Planetary Map');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_n.stf', '6', 'overheadmap', 'Using the Overhead Map');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_n.stf', '7', 'waypoints', 'Using Waypoints');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_n.stf', '8', 'longdistancetravel', 'Traveling Long Distances');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_n.stf', '9', 'thingstofind', 'How Do I Find?');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_n.stf', '10', 'buildings', 'Finding Buildings');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_n.stf', '11', 'findplayers', 'Finding Players');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_n.stf', '12', 'findterminals', 'Finding Terminals');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_n.stf', '13', 'terminalsmission', 'Mission Terminals');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_n.stf', '14', 'terminalsstarport', 'Starport Travel Terminals');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_n.stf', '15', 'terminalsshuttleport', 'Shuttleport Travel Terminals');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_n.stf', '16', 'terminalsbank', 'Banking Terminals');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_n.stf', '17', 'terminalscloning', 'Cloning Terminals');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_n.stf', '18', 'terminalsinsurance', 'Insurance Terminals');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_n.stf', '19', 'terminalsbazaar', 'Bazaar Terminals');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_n.stf', '20', 'npcs', 'Finding NPC\'s');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_n.stf', '21', 'creatures', 'Finding Creatures');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_n.stf', '22', 'npclairs', 'Finding NPC Lairs');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_n.stf', '23', 'creaturelairs', 'Finding Creature Lairs');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_n.stf', '24', 'pois', 'Finding Points of Interest');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_n.stf', '25', 'findstrongholds', 'Finding Strongholds');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_n.stf', '26', 'battlefields', 'Finding PVE and PVP Battlefields');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_n.stf', '27', 'cloningfacility', 'Finding a Cloning Facility');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_n.stf', '28', 'cantina', 'Finding a Cantina');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_n.stf', '29', 'bank', 'Finding a Bank');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_n.stf', '30', 'starport', 'Finding a Starport');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_n.stf', '31', 'shuttleport', 'Finding a Shuttleport');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_n.stf', '32', 'hospital', 'Finding a Medical Center');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_n.stf', '33', 'theater', 'Finding a Theater');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_n.stf', '34', 'combatguild', 'Finding a Combat Guild');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_n.stf', '35', 'commerceguild', 'Finding a Commerce Guild');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_n.stf', '36', 'university', 'Finding a University');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_n.stf', '37', 'hotel', 'Finding a Hotel');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_n.stf', '38', 'medicalcenter', 'Finding a Medical Center');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_n.stf', '39', 'tavern', 'Finding a Tavern');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_n.stf', '40', 'barracks', 'Finding Barracks');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_n.stf', '41', 'findbutton', 'Execute /find');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_navigation_n.stf', '42', 'garage', 'Finding a Garage');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_planets_d.stf', '1', 'planets', 'The Galaxy in Star Wars Galaxies currently encompasses ten worlds, each with uniquely varied terrain and inhabitants.\n\nFive of the planets are eligible as starting locations for players:\n\n   - Tatooine, a desert world on the Outer Rim\n   - Corellia, a Core world and hub of industry\n   - Naboo, a pastoral world\n   - Rori, a moon of Naboo\n   - Talus, a sister planet to Corellia\n\nFive more worlds are less civilized, and offer greater dangers for the unwary. Some of these worlds can only be reached by chartering special flights, as they are under interdiction by the Empire.\n\n   - Dantooine, a world of grassy plains\n   - Yavin IV, until recently a Rebel base of operations\n   - Dathomir, an Imperial prison planet\n   - Lok, a world inhabited by pirates and criminals\n   - The forest moon of Endor, mysteriously blockaded by Imperial forces\n\nRead on below for further details about these worlds.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_planets_n.stf', '1', 'planets', 'The Galaxy');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_planets_n.stf', '2', 'seebestiary', 'See this planet\'s bestiary');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_player_cities_n.stf', '1', 'player_cities_n', 'Player Cities');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_player_cities_n.stf', '3', 'city_hall_n', 'City Hall');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_player_cities_n.stf', '5', 'create_city_n', 'Creating a City');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_player_cities_n.stf', '6', 'run_city_n', 'Running a City');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_player_cities_n.stf', '7', 'join_city_n', 'Joining a City');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_player_cities_n.stf', '8', 'voting_n', 'Voting');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_player_cities_n.stf', '9', 'taxation_n', 'Taxation');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_player_cities_n.stf', '10', 'maint_n', 'Maintenance');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_player_cities_n.stf', '11', 'militia_n', 'Militia');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_player_cities_n.stf', '12', 'rank_n', 'Upgrades & Rank');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_player_cities_n.stf', '13', 'spec_n', 'Specializations');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_player_cities_n.stf', '14', 'city_structures_n', 'City Structures');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_player_cities_n.stf', '15', 'civic_structures_n', 'Civic Structures');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_player_cities_n.stf', '16', 'commercial_structures_n', 'Commercial Structures');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_player_cities_n.stf', '17', 'bank_n', 'Bank');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_player_cities_n.stf', '18', 'cloning_n', 'Cloning Facility');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_player_cities_n.stf', '19', 'cantina_n', 'Cantina');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_player_cities_n.stf', '20', 'hospital_n', 'Hospital');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_player_cities_n.stf', '21', 'shuttleport_n', 'Shuttleport');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_player_cities_n.stf', '22', 'gardens_n', 'Gardens');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_player_cities_n.stf', '23', 'mt_n', 'Mission Terminals');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_player_cities_n.stf', '24', 'st_n', 'Skill Trainers');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_player_cities_n.stf', '25', 'theater_n', 'Theater');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_player_cities_n.stf', '26', 'decorations_n', 'Decorations');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_player_cities_n.stf', '27', 'create_city_d', 'Creating a player city can be a challenging task, so make sure you have plenty of friends to help you out.\n\nThe first step to establishing a player city is to get a City Hall deed.  Members of the architect profession can craft this deed.  There are versions of the City Hall for architectural styles common on Corellia, Naboo, and Tatooine.  Make sure you find a wide open, unobstructed area to build your city in.  A successful city will maximize the amount of buildable territory, so that as many players as possible can participate in the city.  If you build your city too close to a lake or sea, part of your city\'s influence will be over the undevelopable water.\n\nWhen you go to place your City Hall, you have to pass a few validation checks.  The first check is to see if you are a Politician.  Only players with the Novice Politician skill are allowed to place and administrate civic structures.\n\nThe second check is to make sure there are no other player cities within 1 kilometer of your desired placement location.  As citizens join your city, your city\'s radius of influence will grow up to a maximum of about half of a kilometer and a city is never allowed to potentially overlap another city\'s area of influence.\n\nBefore your city is placed you will also be asked to name your city.  (You can always change the name of your city after it\'s placed, if you don\'t like what you picked.)  A city\'s name has to be unique to the planet the city will be located on.\n\nWARNING: The City Hall cannot be redeeded.  Make absolutely sure you\'ve found the location you want to place your city.  Once your City Hall is placed, you won\'t be able to move it without destroying it and crafting another deed.\n\nIf you\'ve passed the requirements for city placement, congratulations.  You are now the proud mayor of a new city.\n\nThe planetary authorities have strict rules about what constitutes a city and how the land can be used.  Once your City Hall is placed, you have effectively notified the planetary authority of your intention to begin civic administration.  In order for your zoning permits to be approved, you need to have at least 10 players become citizens of your city within 24 hours.  (See the joining a city section for information on citizenship.)  If you can\'t manage to get 10 people to join your city in 24 hours, your city hall will be destroyed.  Building a city is a group effort so you\'ll need other players to contribute!\n\nThe rest of this manual covers the process of administrating your city.  Please read the contents carefully.  Running a city is a big job with a lot of responsibilities.  If you don\'t manage your citizenry well, you may find them voting you out of office!\n\nGood luck, Mayor!');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_player_cities_n.stf', '28', 'join_city_d', 'There are two ways to join and participate in a player city.\n\nThe first is as a property owner.  Enrollment as a property owner is automatic whenever you build a structure within the borders of a player city.  Property owners can benefit from the specializations of the city (such as improved harvesting rates in a city with that specialization), but they also be subject to property taxes.  Property tax is explained in detail in the \'Taxtation\' chapter of \'Running a City\'.\n\nThe second way to join a city is as a \'citizen\'.  To become a citizen, you must own your declared residence within the borders of the city in question.  Citizens have the right to vote in the weekly mayoral elections (see the \'Voting\' chapter of \'Running a City\').  Citizens that are also Politicians may run for election in the weekly votes.  Citizens count toward the city population and contribute to the weekly growth of the city.  A city with more citizens can support larger civic structures like shuttleports.\n\nIf your residence was declared prior to the city being established, just enter your home and redeclare to be added to the citizenship roster.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_player_cities_n.stf', '29', 'voting_d', 'Each city has a weekly mayoral election.  The election and voting process is managed by the city vote terminal.  At the terminal, a citizen of the city can examine who is running for election as well as the current vote standings.  Citizens who are also politicians can register to run in the election.\n\nEach week, the votes are tallied.  All votes are set to the incumbent mayor by default and the incumbent wins all ties.  If a new mayor is elected, that person immediately inherits all management control over the city and may begin implementing their new policies.\n\nElections are based off a simple vote tally system.  The politician with the most cumulative votes wins.  (Ex:  There are 4 people running for election.  The first gets 2 votes and the rest get 1 vote.  The first politician would win, despite a clear majority.)\n\nPoliticians gain political experience for every vote they have at the time of the weekly election.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_player_cities_n.stf', '30', 'taxation_d', 'Taxation is evaluated on a weekly basis right after voting.\n\nThere are four types of taxes a city mayor can levy:\n\n1. Property tax.  All property owners (see \'Joining a City\') can be charged a small % on top of their normal maintenance.  This property tax is levied by the city in exchange for use of their land as well as the benefits of structure oriented city specializations.\n\n2. Citizen tax.  This tax is a flat fee charged to citizens on a weekly basis.  The tax can be used like an automated membership fee.  There is no penalty for failure to pay, but the mayor is notified of any citizens who fail to pay.\n\n3. Sales tax.  A tax placed on top of any items sold from vendors within the city\'s radius.\n\n4. Travel fee.  A fee placed on top of the price to purchase travel tickets from the city shuttleport.\n\nAll taxes are paid directly into the city treasury.  This money is used for payment of city maintenance (see \'Maintenance\' under \'Running a City\') and can be withdrawn by the mayor to purchase additions to the city.\n\nTaxes are managed from the city management terminal in the City Hall.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_player_cities_n.stf', '31', 'maint_d', 'The city pays maintenance on a weekly basis after taxes are collected.\n\nMaintenance on the City Hall is paid first, then other structures.  City Specializations increase the weekly maintenance cost of the City Hall.\n\nIf the city cannot pay maintenance on a skill trainer, non-garden decoration, or mission terminal, the object will be destroyed and the mayor notified.  If the city cannot pay maintenance on a civic structure, including the City Hall, the structure will be damaged and the mayor notified.  If a structure is damaged to 0% or less condition, it is removed and the mayor notified.  If the City Hall is destroyed by lack of maintenance the entire city is disbanded and all civic structures are removed.  Damaged structures are repaired during the following maintenance update if there is enough money available.\n\nThe status of maintenance and the condition of civic structures can be checked at the city management terminal in the City Hall.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_player_cities_n.stf', '32', 'militia_d', 'A mayor with Martial Policy I can use the city management terminal to form a militia.  Militia members must be citizens of the city.\n\nA militia member gains three commands to help enforce the law of the city:\n\n/cityban - This prevents players from entering public civic structures or using the city shuttleport.\n\n/citypardon - This removes the city ban flag from a player.\n\n/citywarn - This allows the militia person to attack the target as long as they are in the city.  If the person who has been /citywarned leaves the city they are no longer attackable.  Note that normal PvP rules are in effect: overt members of opposing player factions will always be able to attack each other regardless of /citywarn as well as players TEF\'d due to other PvP rules.\n\nThe \'stronghold\' city specialization can be used to give the militia a large bonus to combat defense, making them more effective against stronger opponents.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_player_cities_n.stf', '33', 'rank_d', 'A city\'s size and strength is represented by a rank identifier.  As the city gains more citizens, the rank increases, the city\'s radius of influence increases, and more types of structures become available.\n\nThe city advancement menu on the city management terminal has specific information on how to achieve each rank and what each rank makes available.\n\nEach week, before taxation and maintenance, the city rank and citizenship is validated.  If the city citizenship is greater than the requirement for the next rank, the city is promoted.  If the citizenship is less than the requirement for the current rank, the city is demoted.  The mayor is notified of this happening.\n\nIf the city is promoted, the city radius will increase, allowing for more civic structures to be placed in the new territory.  Any structures in the new radius will be added to the city.  Any abilities that require the new rank will be unlocked.  The placement limits for terminals, trainers, and decorations will increase.\n\nIf the city is demoted the city radius decreases.  Any civic structures, terminals, trainers, or decorations outside of the new city radius are DESTROYED.  The mayor is notified of this happening.  If a civic structure inside the new radius can\'t be supported by the current rank (for example, a shuttleport requires rank 4 \"City\"), that structure is marked as \"invalid\" and the mayor is notified that it is endangered.  A week later, at the next city update, if the radius has increased to the required level, all structures that are still invalid are destroyed.\n\nIf the city ever shrinks below 5 citizens, the city hall is marked as invalid.  The city hall is removed a week later if the citizenship of the city hasn\'t increased above 5.\n\nThe five city ranks are Outpost, Village, Township, City, and Metropolis.\n\nThe current city citizen population can be checked at the city management terminal in the City Hall.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_player_cities_n.stf', '34', 'spec_d', 'As the politician gains skills he will eventually earn a City Specialization (spec).  A city can only have one spec in place at a time.  A spec gives the city a bonus in some area at the exchange of an increased maintenance cost.  The city spec may only be changed once a week.\n\nAn example of a spec is \'Manufacturing Center\'.  This spec increases the city hall maintenance by 20k credits / week.  Any crafting done in a \'Manufacturing Center\' earns a 10% bonus to prototype assembly results, significantly reducing the chance of failures.\n\nThere are other city specs that can be read about by the Mayor at the city management terminal.\n\nWhen you enter a city, you will receive a message indicating the name of the city, its rank, and any city specializations that city has.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_player_cities_n.stf', '35', 'run_city_d', 'City administration is performed via the \'City Management Terminal\' located in the City Hall.  Each of the sections below discuss different aspects of the city management.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_player_cities_n.stf', '36', 'city_structures_d', 'There are two types of city structures.\n\n1. Civic structures are owned by the city and their maintenance is paid weekly from the city treasury.  These structures are placed directly by the mayor of the city.\n\n2. Commercial structures are owned by other players, but permission to place them must be granted by the mayor.\n\nThe following sections cover these two types of structures.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_player_cities_n.stf', '37', 'civic_structures_d', 'Civic structures are owned by the city and their maintenance is paid weekly from the city treasury.  These structures are placed directly by the mayor of the city.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_player_cities_n.stf', '38', 'bank_d', 'A small outdoor kiosk with three banking terminals.  If the bank is removed, players can get their items from any other bank on the planet.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_player_cities_n.stf', '39', 'city_hall_d', 'The core of the city.  If this structure is removed the city is disbanded and all other civic structures in the city radius are removed.  This structure hosts the city management terminal where city policies are adjusted.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_player_cities_n.stf', '40', 'cloning_d', 'The cloning facility works like any other cloning facility.  Players can buy insurance here and clone themselves for respawning on death.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_player_cities_n.stf', '41', 'gardens_d', 'Gardens are decorative structures that come in small, medium, and large sizes.  Most gardens have planetary restrictions, but exotic gardens from Dantooine, Dathomir, and Endor may be placed on any planet.\n\nTo destroy a garden, you can either use the small access terminal located in the garden\'s corner, or stand in the center of the garden and type /destroyStructure.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_player_cities_n.stf', '42', 'shuttleport_d', 'A shuttleport that allows planetary travel.  Players may travel to this shuttleport as well as buy tickets for other locations.  The mayor can levy a travel ticket fee that is paid on top of the normal ticket price.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_player_cities_n.stf', '43', 'decorations_d', 'Architects can create a wide range of simple decorations like fountains, statues, and streetlamps that may be placed in the city by the mayor.  These decorations cannot be placed too close to structures.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_player_cities_n.stf', '44', 'mt_d', 'The Mayor may place mission terminals using the /installMissionTerminal command.  A Mayor with Martial Planning IV may place faction aligned terminals.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_player_cities_n.stf', '45', 'st_d', 'The Mayor may place skill trainers using the /recruitSkillTrainer command.  These work like any other skill trainer in the game.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_player_cities_n.stf', '46', 'commercial_structures_d', 'Commercial structures are placed by players in cities.  If the city is disbanded, commercial structures always remain.\n\nA mayor can make a city require zoning rights.  If a city requires zoning rights, you will need to get permission to build in the city from the mayor or from a militia member.  They can use the /grantZoningRights command to give another player the ability to build in the city for 24 hours.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_player_cities_n.stf', '47', 'cantina_d', 'You must be a Master Dancer or Master Musician to place a Cantina.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_player_cities_n.stf', '48', 'hospital_d', 'You must be a Master Doctor or Master Combat Medic to place a Hospital.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_player_cities_n.stf', '49', 'theater_d', 'You must be a Master Dancer or Master Musician to place a Theater.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_player_cities_n.stf', '50', 'player_cities_d', 'Players that want to band together for the purposes of society and common defense can form a Player City.  The following chapters describe how to set up and join a Player City.\n\nPlayer Cities are administrated by an elected Mayor.  The Mayor must be a member of the Politician profession.  For information on this profession, look in the chapter \'Politician\' under \'Professions, Advanced Professions\'.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_player_cities_n.stf', '51', 'garage_n', 'Garage');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_player_cities_n.stf', '52', 'garage_d', 'Garages are a civic structure that mayors can place at Civic Policy II.  Just pull up on your speeder and select \"repair\" from the radial menu on your vehicle.  Mayors can set a small tax on the garage services to help their city prosper.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_d.stf', '1', 'professions', 'Professions can be defined as the career path you have decided to pursue with your avatar. What profession you have decided to follow dictates what kind of player you wish to be. Are you a fighter, a crafter, a healer, a merchant, or a mixture of many of those? We offer you the opportunity to follow any profession path you wish, and combine any professions you wish, provided you have the pre-requisites to do so.\n\nIn Star Wars Galaxies, you are able to change what kind of character you have by \"surrendering\" profession boxes in order to pursue other professions. You can even change the kind of character you have completely by surrendering all of your current skills and trying out a completely different profession, or set of professions if you like. This type of action is a bit drastic, but definitely a possiblity, and easy to do as well!\n\nProfessions are split up into two major groups, Starting Professions and Advanced Professions. To see more information on these types of professions, see the sub menus below.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_d.stf', '3', 'starting', 'A Starting Profession automatically assigns your character with basic equipment and clothing, and his or her first Skill. Most importantly, the Starting Profession determines your character\'s starting Attributes (which are modified by your choice of Species).\n\nThese Starting Professions are the base building blocks of what your character aspires to become. Progressing through these Starting Professions opens up options for you to access the Advanced Professions.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_d.stf', '4', 'artisan', 'The Artisan is the \"crafting\" profession in Star Wars Galaxies. The profession\'s starting attributes reflect a focus on cerebral pursuits. Artisans are quite good at building things, locating resources, and other mental activities. However, they are not designed for direct combat confrontations. Artisans are especially important in Star Wars Galaxies because nearly all of the equipment in the game is created by these characters. Also, as Artisans advance and begin exploring Hybrid and Elite Professions, they gain unique perks--only an Artisan can build certain structures on battlefields, an extremely important role in the Galactic Civil War. ');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_d.stf', '5', 'brawler', 'Brawlers are tough warriors designed for melee combat and direct confrontations with enemy forces. Brawlers are very difficult to incapacitate and can act quickly in combat. However, they don\'t have the mental strength of some other professions.\n\nThe Brawler profession is made up of Unarmed Combat, One-Handed Melee Weapons, Two-Handed Melee Weapons, and Polearms. Once you master all of the branches of this skill onion you are eligible for the skill box of Master Brawler.\n\nAll information regarding what is granted and when it is granted can be found in the Skills Interface, (CTRL-S) while in game.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_d.stf', '6', 'entertainer', 'The Entertainer profession fills a necessary role in Star Wars Galaxies by providing player characters with various forms of mental healing and temporary player buffs (enhancements). A player who is mentally fatigued or wounded recovers more quickly when relaxing in the company of an Entertainer. Entertainers aren\'t necessarily warriors, but they are quick and agile even in combat. They also have surprising mental reserves as well as special skills. Entertainers are the only characters that can dance or play music in Star Wars Galaxies.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_d.stf', '7', 'marksman', 'A Marksman is competent with all manner of ranged weapons. Although every character can use some sort of blaster initially, the Marksman gains special abilities and access to a wider variety of weapons as he or she advances. Marksmen are tough and very agile in combat but they also have fair mental capabilities which allow them to execute their special combat moves.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_d.stf', '8', 'medic', 'Medics are healers who can help replenish the Health and Action pools of other characters. Vital to groups involved in combat, especially during battlefield clashes, Medics are sturdy and intelligent characters. They are certainly capable of holding their own in a fight, but they truly shine when patching up wounded allies. Medics can also provide temporary player buffs (enhancements), as well as craft medicines to help their comrades with pool damage and wounds.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_d.stf', '9', 'scout', 'The Scout is an explorer who is capable of locating valuable resources, moving over difficult terrain more quickly, and harvesting resources off creature corpses. The most balanced of all the Professions, Scouts are well-suited to hit-and-run combat and long-distance treks.  They also have the very useful skill that allows them to craft camp kits, which can be deployed for wilderness survival, as well as craft traps that have various effects on creatures when used.\n\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_d.stf', '10', 'advanced', 'Advanced Professions are only attainable once you have met the pre-requisites for that profession. The skills interface window (CTRL-S), has all the skill trees (onions as we call them), with all the information on what is granted with that skill, what is needed to get that skill, and what that skill opens up for you once you have it.\n\nSome Advanced Professions are \"Hybrid Professions\" which require that you Master two starting professions to be eligible. An example of this would be the Combat Medic, that requires you have Master Marksman and Master Medic to be eligible.\n\nOther Advanced Professions are \"Elite Professions\" which require you have certain skill branches from specific onions, but NOT require you have Mastered a specific Starting Profession. An example of this would be the Carbineer which requires that you only have all four Carbine skill boxes from the Marksman onion to be eligible, and it is not necessary that you have Master Marksman.\n\nThese Advanced Professions are not necessary to achieve success in Star Wars Galaxies. In fact, there may be several very successful players that never go beyond starting professions, they just get very good at playing these professions, and most likely prefer being more well rounded by being Masters of those, instead of going higher in the skill tree.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_d.stf', '11', 'architect', 'The Architects of Star Wars Galaxies are the primary structure creators of the galaxy. They can craft anything from generators, to fancy furniture, to the largest, most glamorous player houses. \n\nThe crowning achievement of the Architect profession is the ability to craft a Player Association Hall, or Guild Hall as many call them.\n\nAll information regarding what is granted and when it is granted can be found in the Skills Interface, (CTRL-S) while in game.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_d.stf', '12', 'armorsmith', 'The Armorsmiths of Star Wars Galaxies are the combat player\'s best friend. \n\nThey craft the armors that Brawlers and Marksmen wear to protect themselves from incurring massive wounds during hours and hours of combat. Of course, nothing can completely stop a well aimed blaster bolt, but the armor protection can certainly spell the difference between life and death to the combat player.\n\nAll information regarding what is granted and when it is granted can be found in the Skills Interface, (CTRL-S) while in game.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_d.stf', '13', 'bioengineer', 'The Bio-Engineer is a Creature Handler\'s best friend. What they do is to sample DNA from living creatures out in the wild, and genetically recreate those creatures in their lab. These creatures, once born, can be sold to and tamed by Creature Handlers as pets, (provided they arre of sufficient level for that particular creature). \n\nAs Bio-Engineers gain skills, they can move on to more fierce and even aggressive creatures, to do their genetics work. They can even attempt to modify the creature\'s stats to create something better than they started with.\n\nAs if this wasn\'t enough, Bio-Engineers can craft special organic tissue items that can be utilized by both the Chef and the Tailor professions to enhance the items that those two professions create.\n\nAll information regarding what is granted and when it is granted can be found in the Skills Interface, (CTRL-S) while in game.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_d.stf', '14', 'bountyhunter', 'As a Bounty Hunter, your career will be dedicated to tracking and \"eliminating\" the scourge of the galaxy. Of course, if the price is right, you may be asked to off someone that may not necessarily be all that evil. It\'s not an easy job, but someone has to do it, right?\n\nWith that said, Bounty Hunters will learn the nuances of tracking their prey by special tracking droids, and interrogating informants to get information.  This \"Hybrid\" profession has very little weakness in battle. Their profession grants them special weapon speeds that make them a tough target to take down in a firefight.\n\nThey have access to their own Bounty Hunter mission terminals that give out very profitable rewards for completed missions.\n\nAll information regarding what is granted and when it is granted can be found in the Skills Interface, (CTRL-S) while in game.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_d.stf', '15', 'carbineer', 'The Carbineer is an expert in the use of the carbine ranged weapons, plain and simple. \n\nAs a Carbineer, you will gain advancement in your accuracy, speed, counter measures, and your ability to hit a target while running. \n\nLike all the combat oriented professions, as you move up the skill \"onion\", you will be granted special combat moves to add to your expertise of eliminating your enemies.\n\nAll information regarding what is granted and when it is granted can be found in the Skills Interface, (CTRL-S) while in game.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_d.stf', '16', 'chef', 'As a Chef in SWG, you will be the only crafter of edible items. You will be crafting food and beverages that temporarily increase the stats of the players that eat them.\n\nAs you progress up the skill \"onion\", your choice of items to create will get more and more complex, and their stat-buffing abilities will become greater as well.\n\nAll information regarding what is granted and when it is granted can be found in the Skills Interface, (CTRL-S) while in game.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_d.stf', '17', 'combatmedic', 'The Combat Medic in Star Wars Galaxies is a rather diverse character. As one of the \"Hybrid\" professions, they not only have excellent ranged weapon skills, (as they are Master Marksman), but their healing ability is only rivaled by Doctors, (because they are Master Medics also).\n\nThe role of the Combat Medic involves more than just healing, however. Combat Medics are capable of crafting grenades that can disease enemies, as well as cause massive bleeding that deals Damage Over Time (or DOTs, as some refer to them).\n\nThe Combat Medic is also proficient with crafting grenades that they can throw into a group of friendly players and do some Area Effect Healing (AE Healing).\n\nAll information regarding what is granted and when it is granted can be found in the Skills Interface, (CTRL-S) while in game.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_d.stf', '18', 'commando', 'As a Commando, you will be granted abilities that no other combat classes have in their arsenal. \n\nSomeone who chooses this Hybrid profession will become very familiar with the crafting of grenades, as well as become very proficient with throwing grenades accurately at their enemies. \n\nIn addition to this, Commandos are capable of using the devastating rocket launcher with precision, making them the Heavy Weapons specialist in Star Wars Galaxies.\n\nAll information regarding what is granted and when it is granted can be found in the Skills Interface, (CTRL-S) while in game.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_d.stf', '19', 'creaturehandler', 'The Creature Handler is the only class that can tame, and keep their own creature pets in Star Wars Galaxies. \n\nAs the Creature Handler moves up in the skill \"onion\", they gain abilities that allow them to have more pets at the same time, they gain more commands that they can teach their pets, and they gain the ability to tame more advanced creatures.\n\nCreature Handlers typically like Bioengineers as they offer a way for the Creature Handler to tame dangerous beasts, without having to wander into the wild to find them. (See Bioengineer for more details). Once their pets have had a chance to grow a bit while under the care and training of a Creature Handler, they can provide more than adequate assistance in battle to the Handler and their friends.\n\nAll information regarding what is granted and when it is granted can be found in the Skills Interface, (CTRL-S) while in game.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_d.stf', '20', 'dancer', 'As a Dancer in Star Wars Galaxies, you are the only profession that can heal the mind wounds, and shock wounds the combat players will accumulate while in battle. This puts you in a very valuable position as players are going to need these wounds healed before they can return to combat. \n\nUnlike the Medics and Doctors of Star Wars Galaxies, your healing does not come from a crafted stimpack or woundpack. Your healing comes from your ability to dance, and as you progress through the skill \"onion\", your choices of dances will be more complex, and your ability to heal will become greater.\n\nHealing Battle Fatigue as a Dancer must be done in either a Cantina, a Hotel, or a player house.\n\nHealing Mind Wounds, (blue wounds), can be done in a Cantina, Hotel, player house, or campsite.\n\nBeing a Dancer in Star Wars Galaxies can be very rewarding if you are a patient player that likes to socialize and meet others. It also doesn\'t hurt if you like to help people as well. In the end, your name will become well known and you can have a very rewarding career.\n\nAll information regarding what is granted and when it is granted can be found in the Skills Interface, (CTRL-S) while in game.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_d.stf', '21', 'doctor', 'Plain and simple, the Doctor in Star Wars Galaxies is a healer to which no other class can compare.\n\nDoctors heal players, and they do it fast, and for big increments. They also are the only profession that can heal Poison, cure Disease, and Revive players.\n\nAll information regarding what is granted and when it is granted can be found in the Skills Interface, (CTRL-S) while in game.\n\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_d.stf', '22', 'droidengineer', 'The Droid Engineer has many vital roles in the Star Wars Galaxies universe, as the droids that they make can be used for many purposes.\n\nWhat a droid can do for the player that purchases it from the Droid Engineer depends on how it was configured. Some examples of what droids can do are; to provide storage space above and beyond what the player can carry, provide datapad space to accomodate more draft schematics, provide mobile hospital services, (see Hospital), and many more.\n\nThere is no doubt, the importance of droids in the Star Wars universe is crucial.\n\nAll information regarding what is granted and when it is granted can be found in the Skills Interface, (CTRL-S) while in game.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_d.stf', '23', 'fencer', 'The Fencer is the most proficient class with one-handed melee weapons.  Also referred to as a \"One-Handed Melee Weapon Specialist\", the Fencer can use any manner of melee weapon that falls into the one-handed category, whether it\'s bladed, blunt, or both.\n\nAs they progress through the skill \"onion\", players in this profession gain weapon speed, weapon accuracy, and special combat moves.\n\nAll information regarding what is granted and when it is granted can be found in the Skills Interface, (CTRL-S) while in game.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_d.stf', '24', 'imagedesigner', 'The Image Designer in Star Wars Galaxies is a profession that can actually change the way other players look. \n\nAs the Image Designer progresses up the skill \"onion\", they gain abilities that allow them to change literally anything on the recipient player, (except their species). Want new hair color? New eye color? How would you like to change your weight? All of these things can be \"adjusted\" by an experienced Image Designer.\n\nAll information regarding what is granted and when it is granted can be found in the Skills Interface, (CTRL-S) while in game.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_d.stf', '25', 'merchant', 'The Merchant profession is Star Wars Galaxies is primarily focused on the buying and selling of goods.\n\nAs Merchants gain skills, they gain the ability to have more NPC vendors, they get special pricing on the Commodities Market, and other skills that directly improve their ability to buy and sell goods.\n\nAll information regarding what is granted and when it is granted can be found in the Skills Interface, (CTRL-S) while in game.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_d.stf', '27', 'musician', 'The Musician profession in Star Wars Galaxies, much like the Dancer, is all about healing people in a fun way.\n\nThe Musicians function in the same way that Dancers do, except the Musicians can join with other Musicians and actually hear the difference. When Musicians form groups, they can perform for players that need their mind wounds and battle fatigue healed. \n\nWhen players that need healing choose to \"listen\" to a Musician, or group of Musicians, their wounds slowly get healed. \n\nAlso like Dancers, when Musicians use \"Flourishes\" while they are performing to heal someone, they will use up extra Action points, and give an extra little burst of healing to the recipient(s). The fun part of this is that the Flourishes also cause the Musician to add a bit of \"flare\" to their performance for a few seconds. This \"flare\" is usually both audible and visual. \n\nAll information regarding what is granted and when it is granted can be found in the Skills Interface, (CTRL-S) while in game.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_d.stf', '28', 'pikeman', 'The Pikeman in Star Wars Galaxies are the best polearm melee fighters in the galaxy. This class relies on getting fairly close to what they are fighting so they can reach them with their massive polearm axes and lances.\n\nAs the Pikeman advances in skills, they gain more special moves with which to inflict states on their opponents like dizziness, blindness, or even sweep them off their feet. Like other combat professions, the Pikeman gains speed and accuracy mods that make them even more lethal with the polearm weapons.\n\nAll information regarding what is granted and when it is granted can be found in the Skills Interface, (CTRL-S) while in game.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_d.stf', '29', 'pistoleer', 'The Pistoleer is an expert in the use of the pistol ranged weapons, plain and simple. \n\nAs a Pistoleer, you will gain advancement in your accuracy, speed, counter measures, and your ability to hit a target while running. \n\nLike all the combat oriented professions, as you move up the skill \"onion\", you will be granted special combat moves to add to your expertise of eliminating your enemies.\n\nAll information regarding what is granted and when it is granted can be found in the Skills Interface, (CTRL-S) while in game.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_d.stf', '30', 'ranger', 'The Ranger is essentially an advanced Scout. As Rangers advance in skills, they become even more efficient in harvesting organic resources, making camps, movement on terrain, and foraging for food.\n\nThe Ranger is capable of making the best campsite in the universe that gives the most advantages to healing, as well as repel even the most aggressive of creatures.\n\nThe unique survival skill that the Ranger gets is \"Camouflage\". This enhances the Scout \"Maskscent\" ability by making the Ranger character virtually invisible to creatures and NPCs. This skill allows the Ranger to move about in even the most hostile areas undetected.\n\nThe unique combat skill that the Ranger gains is \"Rescue\". This ability allows the ranger to redirect attacks performed on a friendly player from any hostile, (including enemy factioned players), and become the target of these attacks. It allows the \"rescued\" player a chance to get away, to heal themselves, or to just live through the battle.\n\nAll information regarding what is granted and when it is granted can be found in the Skills Interface, (CTRL-S) while in game.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_d.stf', '31', 'rifleman', 'The Rifleman is an expert in the use of the rifle ranged weapons, plain and simple. \n\nAs a Rifleman, you will gain advancement in your accuracy, speed, counter measures, and your ability to hit a target while running. \n\nLike all the combat oriented professions, as you move up the skill \"onion\", you will be granted special combat moves to add to your expertise of eliminating your enemies.\n\nAll information regarding what is granted and when it is granted can be found in the Skills Interface, (CTRL-S) while in game.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_d.stf', '32', 'smuggler', 'A Smuggler is a rogue like character who profits from shady deals behind the backs of the authorities.  Transporting everything from illegal weapons to refugees through Imperial blockades, the Smuggler becomes a master of subterfuge and manipulation.  A Novice Smuggler gains the ability to slice simple locking devices (such as containers) and the ability to acquire several questionable spices.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_d.stf', '33', 'squadleader', 'The Squad Leader is a character that has teamwork built into their every fiber. \n\nWhen you have a Squad leader character as your group leader, your group will become much more deadly, as the Squad Leader profession focuses on group commands that make the group act as one.\n\nSome skills that Squad Leaders can learn deal with group terrain movement bonuses, increasing the group\'s attack rating, and even the ability to increase the aim of the entire group.\n\nAll information regarding what is granted and when it is granted can be found in the Skills Interface, (CTRL-S) while in game.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_d.stf', '34', 'swordsman', 'The Swordsmen in Star Wars Galaxies are the best Two-Handed melee fighters in the galaxy. This class relies on getting fairly close to what they are fighting so they can reach them with their very deadly two-handed swords, axes, and staves.\n\nAs the Swordsman advances in skills, they gain more special moves with which to inflict states on their opponents like dizziness, blindness, or even sweep them off their feet. Like other combat professions, the Swordsman gains speed and accuracy mods that make them even more lethal with the two-handed weapons.\n\nAll information regarding what is granted and when it is granted can be found in the Skills Interface, (CTRL-S) while in game.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_d.stf', '35', 'tailor', 'The Tailor profession in Star Wars Galaxies is the only crafter of non-armor wearables. \n\nUnlike the Armorsmith, whose craft is for protection in battle situations, the Tailors prefer to stick to social clothing, that players like to wear to express their sense of fashion.\n\nAs the Tailor characters gain skills, they learn new Draft Schematics which allow them to make more ornate and complicated pieces of clothing. This extension of the Artisan profession focuses on producing day to day clothing that offers absolutely no protection from harm when in battle.\n\nAll information regarding what is granted and when it is granted can be found in the Skills Interface, (CTRL-S) while in game.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_d.stf', '36', 'teraskasiartist', 'The Teras Kasi Artist is a hand-to-hand combat death machine. \n\nNo other combat profession can boast the ability to defeat an enemy without the use of a weapon, like the Teras Kasi Artist.\n\nAs these characters gain skills, they learn to fight more efficiently with their hands and feet with increased speed, increased accuracy and higher damage per hit.\n\nThey also gain many special combat moves that induce stats upon their opponent such as, dizziness, blindness, and sweeping their foe off their feet.\n\nAll information regarding what is granted and when it is granted can be found in the Skills Interface, (CTRL-S) while in game.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_d.stf', '37', 'weaponsmith', 'The Weaponsmiths of Star Wars Galaxies are the combat player\'s second best friend (next to the Armorsmith).\n\nThey craft the weapons that Brawlers and Marksmen use to defeat their enemies on a day to day basis. \n\nAs the Weaponsmith gains skills, they learn to craft more complicated and deadly weapons. The weapons themselves require certifications to be used. As the combatant increases in their skills, they gain additional certifications to use more advanced weapons.\n\nAll information regarding what is granted and when it is granted can be found in the Skills Interface, (CTRL-S) while in game.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_d.stf', '38', 'politician', 'The Politician earns special abilities for managing player cities.  As they progress through their skill tree, the politician gains the ability to place new types of structures in player cities as well as specialize the city\'s functions in different areas.  Politicians earn experience by participating in weekly mayoral elections.\n\nAll information regarding what is granted and when it is granted can be found in the Skills Interface, (CTRL-S) while in game.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_d.stf', '39', 'forcerank', 'The Force Rank System (FRS) is a predominantly player versus player (PVP) mechanic that allows a Jedi to advance beyond the rank of Knight.  It consists of two skills trees (one for Light and one for Dark), which are arranged in a pyramid.  Each skill represents a Force Rank.  Experience to attain these skills is given and lost through PVP actions.   Only a set number of players may attain a given rank within each Enclave.  Therefore when a rank is full and a player advances into it, someone from that rank will have been demoted.  Skills within the FRS grant additional power and efficiency to existing Jedi abilities.  These modifiers enable the Force Ranked Jedi to become significantly more powerful than those outside the system.  Jedi who enter the Force Rank System are automatically set as overt for their aligned faction (Rebel for Light and Imperial for Dark).  As long they stay within the FRS, they can not go covert or resign/change factions.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_d.stf', '40', 'forcerank_advancement_light', 'In order to advance a Jedi must first acquire the appropriate amount of Force Rank experience.  This experience is granted from PVP actions, though it can also be lost through PVP defeats as well as by not performing prescribed enclave duties.  Only Jedi within the Force Rank System (aka the FRS) may earn or lose this PVP experience.  Same-side PVP generally does not yield an experience exchange between players.   Once a Jedi has achieved enough Force Rank experience to gain a new ranking, he may petition for a promotion.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_d.stf', '41', 'forcerank_petitioning', 'When a seat becomes open within a given Rank, a one day period of open petitioning begins. During this open petitioning period, any eligible Jedi may select the Petition option at the Enclave\'s voting terminal and petition to be voted into the Rank. Eligibility means that a Jedi has the required correct amount of experience to advance and is only one Rank lower than the Rank for which he is petitioning. Once the petitioning phase ends, voting begins.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_d.stf', '42', 'forcerank_voting', 'A Jedi is eligible to vote for any petition within the Tier that their Rank resides (Tier I: Ranks 1-4; Tier II: Ranks 5-7; Tier III: Ranks 8-9; Tier IV: The Council).  Voting is performed by selecting the Record Vote option on the Enclave voting terminal and selecting a petitioner.  Votes within the petitioning Rank count double.  \n\nVoting lasts for one day after which the petitioning Jedi with the most votes wins.  If there is more than one Rank seat open, enough top vote getters are offered promotions until all of the empty seats have been filled. The winner (or winners) must accept their promotion, and doing so completes the promotion process.  If there are no seats open at the close of voting, the winner is placed in reserve and receives an opportunity to claim the first open seat available without a further vote. \n\nShould there ever be a time when there are more open seats than there are petitioners, the voting stage is skipped and all petitioners immediately become eligible to accept a promotion.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_d.stf', '43', 'forcerank_accepting', 'Jedi who have won the vote are given one day to accept the promotion.  This is done by selecting Accept Promotion at the Enclave voting terminal.  If this is not done within the one day period, the win is nullified.  In the event that no seats are available during the acceptance period (someone was demoted into that slot), the vote winners are kept in reserve.  Once a slot is freed, each is able to accept a promotion to that open seat immediately without further voting. \n\nWhen a Jedi is promoted to a new Rank, he automatically gains the corresponding skill box, receiving all of its benefits.  The Jedi must fulfill the experience and Rank requirements at the time of accepting to receive the promotion.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_d.stf', '44', 'forcerank_advancement_example', 'Jedi A is of Rank II.  He has 30,000 experience and is therefore eligible to advance to Rank III.  When an opening within Rank III is created, he petitions for it.  Two other Jedi within his Rank do likewise.  After one day, the voting begins.  Every Jedi in the first Tier (Ranks I, II, III, and IV) is able to vote.  Since this is a promotion into Rank III, the votes of the Jedi in this Rank are doubled.  If Jedi A receives more votes than any other player he earns the right to accept a promotion into Rank III.  The Rank III skill is automatically granted to him when he accepts.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_d.stf', '45', 'forcerank_demotion', 'If experience ever falls below the minimum required to maintain a Rank, the Jedi is immediately demoted.  The skill for that Rank is automatically revoked along with any powers that it granted.  With that slot opened, the standard advancement process to fill it begins.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_d.stf', '46', 'forcerank_min_xp', 'The minimum experience to maintain a given rank is as follows:\n\nRank I -- 5000\nRank II -- 15000\nRank III -- 25000\nRank IV -- 35000\nRank V  -- 50000\nRank VI  -- 70000\nRank VII  -- 90000\nRank VIII  -- 130000\nRank IX  -- 180000\nThe Council -- 250000\nCouncil Leader  -- 400000\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_d.stf', '47', 'forcerank_losing_experience', 'Force Rank experience can be lost in the following ways:\n\nBeing defeated in combat by a rival faction.  The amount of experience lost is dependent on the killer and the victim\'s relative power.  The weaker the killer in relation to the victim, the more experience is lost.	\n\nDaily Enclave maintenance.  Maintaining Rank I or higher requires the Jedi to pay an experience cost each day.  The cost increases with Rank.\n\nMissing a Vote.  Jedi of Rank I and higher are expected to vote whenever eligible.  Missing a vote incurs a loss of experience.  The amount lost increases with Rank.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_d.stf', '48', 'forcerank_commands', 'The following are some useful commands:\n\n/showCouncilRank  -- Displays all members of Rank I or higher within the Enclave that the Jedi resides.\n\n/showPVPRating  -- Displays the PVP rating of a Jedi.  This rating is a rough measure of battle effectiveness against rival factions.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_d.stf', '49', 'forcerank_advancement_dark', 'In order to advance a Jedi must first acquire the appropriate amount of Force Rank experience.  This experience is granted from PVP actions, though it can also be lost through PVP defeats as well as by not performing prescribed enclave duties.  Only Jedi within the Force Rank System (aka the FRS) may earn or lose this PVP experience.  Same-side PVP generally does not yield an experience exchange between players, except for a few special case scenarios (such as the voting period\'s \'sudden death\' event) .   Once a Jedi has achieved enough Force Rank experience to gain a new ranking, he may challenge the next rank for a seat if there are less than three open.  If three or more seats are available, the Dark Jedi will need to petition for a seat using the voting terminal in the enclave.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_d.stf', '50', 'forcerank_advancement_dark_duels', 'If two or less seats are open in the Dark Side FRS, any Jedi ranked one or higher may issue a challenge against the next rank using the challenge terminal located inside of the Dark Jedi Enclave.  The challenge terminal will open the arena for challenges once every 30 hours for 1.5 hours.  Once a challenge has been issued anyone from the challenged rank may accept the challenge to defend the honor of their rank.  Challenges stand for one hour after they have been issued.  A rank must answer at least 50% of the challenges issued during a challenge period to avoid incurring any penalties to their \'challenge score\'.\n\nAnswering a challenge means defending the rank\'s honor in a 1 vs. 1 duel to the death in the enclave\'s arena.  Should the challenger win the duel, he will be immediately promoted to the next rank while the rank\'s defender will be immediately demoted.  If the defender loses their rank in this manner, they will not be able to challenge for a seat again until at least the next challenge period.\n\nIf a rank fails to meet the challenge requirement during a challenge period, their challenge score will incur a minus one (-1) penalty.  Once a rank\'s challenge score falls below minus eight (-8) the entire rank will immediately be demoted to rank zero!  Meeting the requirements for any challenge period will return the rank\'s challenge score to zero, regardless of where the score was previously.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_d.stf', '51', 'forcerank_advancement_dark_voting', 'If there are three or more open seats available in the next rank (or if the Jedi is of rank zero), the Jedi will need to petition for a seat in the next rank.   One must enter a petition on the challenge terminal during the petition phase before being able to collect votes from fellow Jedi.  Once the petitioning phase is over, the voting period beings.\n\nA Jedi is eligible to vote for any petition within the Tier that their Rank resides (Tier I: Ranks 1-4; Tier II: Ranks 5-7; Tier III: Ranks 8-9; Tier IV: The Council).  Voting is performed by selecting the Record Vote option on the Enclave voting terminal and selecting a petitioner.  Votes within the petitioning Rank count double.  \n\nVoting lasts for one day after which the petitioning Jedi with the most votes wins.  If there is more than one Rank seat open, enough top vote getters are offered promotions until all of the empty seats have been filled. The winner (or winners) must accept their promotion, and doing so completes the promotion process.  If there are no seats open at the close of voting, the winner is placed in reserve and receives an opportunity to claim the first open seat available without a further vote. \n\nShould there ever be a time when there are more open seats than there are petitioners, the voting stage is skipped and all petitioners immediately become eligible to accept a promotion.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_d.stf', '52', 'forcerank_accepting_dark', 'If you won a petition for a seat in the next rank, you are given one day to accept the promotion.  This is done by selecting \'Accept Promotion\' at the Enclave voting terminal.  If this is not done within the one day period, the win is nullified.  In the event that no seats are available during the acceptance period (someone was demoted into that slot), the vote winners are kept in reserve.  Once a slot is freed, each is able to accept a promotion to that open seat immediately without further voting. \n\nWhen a Jedi is promoted to a new Rank, he automatically gains the corresponding skill box, receiving all of its benefits.  The Jedi must fulfill the experience and Rank requirements at the time of accepting to receive the promotion.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_d.stf', '53', 'forcesensitive', 'Force-sensitive skills are broken into four disciplines: Combat, Reflex, Crafting, and Senses.  Each skill tree provides minor benefits to its given realm as a result of your affinity to the Force.  Knowledge of those who are willing to teach such skills remains a mystery to most.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_d.stf', '54', 'forcesensitive_experience', 'The experience required to purchase Force-sensitive skills is not directly earned.  Instead, it is converted from existing experience types.  By talking with the appropriate NPC, you can transform any of your existing types into Force-sensitive experience.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_d.stf', '55', 'forcesensitive_unlocking', 'Before Force-sensitive skills may be learned, you must first unlock them.  This is done by performing quests in order to gain favor with the Force-sensitive trainer.  Skills are unlocked one branch at a time for each quest completed.  Therefore, you earn the right to train in all four skills within a row upon completing a given quest.  Note that you must still acquire sufficient Force-sensitive experience to learn the skill.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_d.stf', '56', 'forcesensitive_qualifying', 'Once you have unlocked and learned six full branches of Force-sensitive skills, you have completed your Force-sensitive training.  The Path of the Jedi awaits those who are willing to accept the challenge.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_n.stf', '1', 'professions', 'Professions');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_n.stf', '3', 'starting', 'Starting Professions');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_n.stf', '4', 'advanced', 'Advanced Professions');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_n.stf', '5', 'architect', 'Architect');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_n.stf', '6', 'artisan', 'Artisan');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_n.stf', '7', 'brawler', 'Brawler');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_n.stf', '8', 'entertainer', 'Entertainer');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_n.stf', '9', 'marksman', 'Marksman');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_n.stf', '10', 'medic', 'Medic');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_n.stf', '11', 'scout', 'Scout');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_n.stf', '12', 'armorsmith', 'Armorsmith');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_n.stf', '13', 'bioengineer', 'Bio-Engineer');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_n.stf', '14', 'bountyhunter', 'Bounty Hunter');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_n.stf', '15', 'carbineer', 'Carbineer');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_n.stf', '16', 'chef', 'Chef');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_n.stf', '17', 'combatmedic', 'Combat Medic');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_n.stf', '18', 'commando', 'Commando');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_n.stf', '19', 'creaturehandler', 'Creature Handler');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_n.stf', '20', 'dancer', 'Dancer');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_n.stf', '21', 'doctor', 'Doctor');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_n.stf', '22', 'droidengineer', 'Droid Engineer');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_n.stf', '23', 'fencer', 'Fencer');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_n.stf', '24', 'imagedesigner', 'Image Designer');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_n.stf', '25', 'merchant', 'Merchant');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_n.stf', '26', 'miner', 'Miner');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_n.stf', '27', 'musician', 'Musician');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_n.stf', '28', 'pikeman', 'Pikeman');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_n.stf', '29', 'pistoleer', 'Pistoleer');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_n.stf', '30', 'ranger', 'Ranger');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_n.stf', '31', 'rifleman', 'Rifleman');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_n.stf', '32', 'smuggler', 'Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_n.stf', '33', 'squadleader', 'Squad Leader');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_n.stf', '34', 'swordsman', 'Swordsman');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_n.stf', '35', 'tailor', 'Tailor');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_n.stf', '36', 'teraskasiartist', 'Teras Kasi Artist');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_n.stf', '37', 'weaponsmith', 'Weaponsmith');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_n.stf', '38', 'politician', 'Politician');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_n.stf', '39', 'forcerank', 'Force Rankings');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_n.stf', '40', 'forcerank_advancement_light', 'Force Rank Light Side Advancement');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_n.stf', '41', 'forcerank_petitioning', 'Petitioning for a New Rank');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_n.stf', '42', 'forcerank_voting', 'Voting for Promotion');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_n.stf', '43', 'forcerank_accepting', 'Accepting a Promotion');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_n.stf', '44', 'forcerank_demotion', 'Loss of a Rank');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_n.stf', '45', 'forcerank_losing_experience', 'Losing experience');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_n.stf', '46', 'forcerank_min_xp', 'Experience minimums');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_n.stf', '47', 'forcerank_advancement_example', 'Advancement Example');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_n.stf', '48', 'forcerank_commands', 'Useful Commands');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_n.stf', '49', 'force_rank_advancement_light_side', 'Light Side');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_n.stf', '50', 'forcerank_advancement_dark', 'Force Rank Dark Side Advancement');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_n.stf', '51', 'forcerank_advancement_dark_duels', 'Advancement via Duels');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_n.stf', '52', 'forcerank_advancement_dark_voting', 'Advancement via Voting');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_n.stf', '53', 'forcerank_accepting_dark', 'Accepting a Promotion via Votes');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_n.stf', '54', 'forcesensitive', 'Force-sensitive Skills');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_n.stf', '55', 'forcesensitive_experience', 'Force-sensitive Experience');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_n.stf', '56', 'forcesensitive_unlocking', 'Unlocking Force-sensitive Skills');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_n.stf', '57', 'forcesensitive_completing', 'Completing Force-sensitive Training');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_professions_n.stf', '58', 'forcesensitive_qualifying', 'Completing Force-sensitive Training');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '1', 'resources', 'Star Wars Galaxies includes an extensive and diverse Resource Tree.  These resources are used to craft various kinds of items by the skills artisans throughout the galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '2', 'classesandtypes', 'A tangible, instantiated, and ready-to-use resource in the game is a resource type. Resource types are transported in resource containers and in a specific number of units. All the resources in the game are organized into groups called classes. A resource class is inclusive of all the resource classes and types that inherit from it. For example, class Metal is under class Mineral, so metals are minerals with additional specifics attached to them. Anything that demands a higher-level class such as \'mineral\' will also accept anything that inherits from that class, such as \'metal\'.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '3', 'attributes', 'All resources have attributes. Resource attributes are quantified on a 1-1000 scale. Higher means more.\n\nThe complete list of resource attributes used in the game is as follows:\n\n    Cold Resistance\n    Conductivity\n    Entanglement Resistance\n    Flavor\n    Heat Resistance\n    Malleability\n    Overall Quality\n    Potential Energy\n    Resistance to Decay\n    Shock Resistance\n    Toughness\n\nA resource type will never have all the possible resource attributes, and what attributes it does have is determined by what class it is. The values of those attributes are determined by random selection from a possible range, again determined by the class.\n\nDon\'t make assumptions about what is important to a particular schematic and what isn\'t. The draft schematic itself is the single source of information on what specific resource attributes are important to it, and how important they are\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '4', 'resourcetree', 'The following is a tree of all the available resource classes that can be found throughout the galaxy.  \n\nRemember whenever you find yourself in need of a specific resource class for crafting an item any of the sub-classes can also be used.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '5', 'organic', 'Organic Resources includes all types of creature and flora derived resources.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '6', 'creature', 'Creature Resources are the types of resources that come from animals.  \n\nThere are two major sub-classes of Creature Resources: Creature Food and Creature Structural.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '7', 'creaturefood', 'Creature Food includes all types of animal meat, milk and eggs.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '8', 'milk', 'Milk comes in two varieties, Domestic Milks and Wild Milks.\n\nResource Attributes\n    Overall Quality\n    Flavor\n    Potential Energy\n    Resistance to Decay\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '9', 'milkdomestic', 'Domestic Milk');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '10', 'milkwild', 'Wild Milk');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '11', 'meat', 'Meat resources are collected by harvesting the meat off of the corpses of recently killed creatures.\n\nResource Attributes\n    Overall Quality\n    Flavor\n    Potential Energy\n    Resistance to Decay\n\nThere are several sub classes of meat reasources that can be found: Wild Meat, Domestic Meat, Herbivore Meat, Carnivore Meat, Reptilian Meat, Avian Meat and Insect Meat.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '12', 'meatdomestic', 'Domestic Meat');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '13', 'meatwild', 'Wild Meat');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '14', 'meatherbivore', 'Herbivore Meat');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '15', 'meatcarnivore', 'Carnivore Meat');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '16', 'meatreptilian', 'Reptilian Meat');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '17', 'meatavian', 'Avian Meat');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '18', 'meatinsect', 'Insect Meat');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '19', 'egg', 'Eggs \n\nResource Attributes\n    Overall Quality\n    Flavor\n    Potential Energy\n    Resistance to Decay\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '20', 'seafood', 'Seafood can be collected by fishing.\n\nResource Attributes\n    Overall Quality\n    Flavor\n    Potential Energy\n    Resistance to Decay\n\nThere are three different sub classes of seafood reasources: Fish, Crustacean and Mollusk.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '21', 'fish', 'Fish');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '22', 'crustacean', 'Crustaceans');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '23', 'mollusk', 'Mollusks');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '24', 'creaturestructural', 'Creature Structural resources include animal bones, horns and hide.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '25', 'bone', 'Bones are collected by harvesting them from the corpses of recently killed creatures.\n\nResource Attributes\n    Overall Quality\n    Malleability\n    Toughness\n    Shock Resistance\n    Resistance to Decay\n\nThere are two basic categories of bones: Mammal Bones and Avian Bones.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '26', 'boneavian', 'Avian Bones');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '27', 'horn', 'Horns are collected by harvesting them from the corpses of recently killed creatures.\n\nResource Attributes\n    Overall Quality\n    Malleability\n    Toughness\n    Shock Resistance\n    Resistance to Decay\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '28', 'hide', 'Hides are collected by harvesting them from the corpses of recently killed creatures.\n\nResource Attributes\n    Overall Quality\n    Malleability\n    Toughness\n    Shock Resistance\n    Resistance to Decay\n\nThere are several sub classes of hides: Wooly Hides, Bristly Hides, Scaly Hides and Leathery Hides.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '29', 'wooly', 'Wooly Hide');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '30', 'bristly', 'Bristly Hide');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '31', 'scaly', 'Scaly Hide');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '32', 'leathery', 'Leathery Hide');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '33', 'flora', 'Flora Resources contains every type of plant based resource.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '34', 'florafood', 'Flora Food includes all of the eatable plant resources.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '35', 'cereal', 'Cereal resources include various kinds of grains.  They can be collected with a Flora Survey Tool or a Flora Farm.\n\nResource Attributes\n    Overall Quality\n    Flavor\n    Potential Energy\n    Resistance to Decay\n\nThere are four primary sub classes of ceareal resources: Corn, Rice, Oats and Wheat.  Each of these comes in a wild and domestic strain.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '36', 'corn', 'Corn');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '37', 'corndomestic', 'Domestic Corn');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '38', 'cornwild', 'Wild Corn');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '39', 'rice', 'Rice');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '40', 'ricedomestic', 'Domestic Rice');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '41', 'ricewild', 'Wild Rice');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '42', 'oats', 'Oats');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '43', 'oatsdomestic', 'Domestic Oats');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '44', 'oatswild', 'Wild Oats');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '45', 'wheat', 'Wheat');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '46', 'wheatdomestic', 'Domestic Wheat');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '47', 'wheatwild', 'Wild Wheat');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '48', 'seed', 'Seed resource include many different kinds of seeded plants.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '49', 'vegetable', 'Vegetables resources can be collected with a Flora Survey Tool or a Flora Farm.\n\nResource Attributes\n    Overall Quality\n    Flavor\n    Potential Energy\n    Resistance to Decay\n\nThere are four primary sub classes of vegetable resources: Greens, Beans, Tubers and Fungi.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '50', 'greens', 'Greens');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '51', 'tubers', 'Tubers');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '52', 'fungi', 'Fungi');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '53', 'fruit', 'Fruits can be collected with a Flora Survey Tool or a Flora Farm.\n\nResource Attributes\n    Overall Quality\n    Flavor\n    Potential Energy\n    Resistance to Decay\n\nThere are three primary sub classes of fruit resources: Fruits, Berries and Flowers.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '54', 'fruitfruit', 'Fruit');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '55', 'berry', 'Berry');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '56', 'flower', 'Flower');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '57', 'florastructural', 'Flora Structural resources include various kinds of woods which are useful for building things.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '58', 'hardwood', 'Hard Wood resources can be collected with a Flora Survey Tool or a Flora Farm.\n\nResource Attributes\n    Overall Quality\n    Malleability\n    Toughness\n    Shock Resistance\n    Resistance to Decay\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '59', 'softwood', 'Soft Wood resources can be collected with a Flora Survey Tool or a Flora Farm.\n\nResource Attributes\n    Overall Quality\n    Malleability\n    Toughness\n    Shock Resistance\n    Resistance to Decay\n\nSoft Woods also includes the sub class of Evergreens.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '60', 'evergreen', 'Evergreens');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '61', 'inorganic', 'Inorganic Resources includes all types of non-organic materials including metals, gases, chemicals, rocks and many other types.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '62', 'chemical', 'Chemical Resources include many different kinds of natural chemicals as well as their manufactured by-products.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '63', 'liquidpetrochem', 'Liquid Petrochem Fuels can be collected with a Chemical Survey Device or a Chemical Extractor.\n\nResource Attributes\n    Overall Quality\n    Potential Energy\n    Resistance to Decay\n\nThere are seven main classes of liquid petrochemicals plus many unidentified ones.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '64', 'inertpetrochem', 'Inert Petrochemicals can be collected with a Chemical Survey Device or a Chemical Extractor.\n\nResource Attributes\n    Overall Quality\n    Resistance to Decay\n\nThere are two sub classes of inert petrochemicals: Lubricating Oils and Polymers.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '65', 'lubricatingoil', 'Lubricating Oils');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '66', 'polymers', 'Polymers');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '67', 'fiberplast', 'Fiberplasts are made by collecting certain raw chemical resources and refining them into multi-purpose materials.  Fiberplasts can be collected with a Chemical Survey Tool or a Chemical Harvester.\n\nResource Attributes\n    Overall Quality\n    Malleability\n    Toughness\n    Shock Resistance\n    Resistance to Decay\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '68', 'water', 'Water Resources include water collected in vapor form.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '69', 'vapor', 'Mineral rich water vapors can be collected on many different planets and are useful for many different application.  Water Vapor can be collected with a Water Survey Device or Moisture Vaporator.\n\nResource Attributes\n    Overall Quality\n    Resistance to Decay\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '70', 'minerals', 'Mineral Resources include many different types of solid raw and refined resources.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '71', 'solidpetrochem', 'Solid Petrochem Fuels can be collected with a Mineral Survey Device or Mineral Mining Installation.\n\nResource Attributes\n    Overall Quality\n    Potential Energy\n    Resistance to Decay\n\nThere are seven main classes of solid petrochemical fuel plus many unidentified ones.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '72', 'radioactives', 'Radioactives can be collected with a Mineral Survey Device or Mineral Mining Installation.\n\nResource Attributes\n    Overall Quality\n    Potential Energy\n    Resistance to Decay\n\nThere are seven main classes of radioactive materials plus many unidentified ones.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '73', 'metals', 'Many differnt kinds of metals can be found throughout the galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '74', 'ferrous', 'Ferrous Metals are collected with a Mineral Survey Device or Mineral Mining Installation.\n\nResource Attributes\n    Overall Quality\n    Malleability\n    Cold Resistance\n    Heat Resistance\n    Toughness\n    Shock Resistance\n    Conductivity\n    Resistance to Decay\n\nThere are two main classes of ferrous metal: Iron and Steel, plus many unknown types.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '75', 'steel', 'Steel');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '76', 'iron', 'Iron');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '77', 'ferrousunknown', 'Unknown Ferrous Metals');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '78', 'nonferrous', 'Non-Ferrous Metals are collected with a Mineral Survey Device or Mineral Mining Installation.\n\nResource Attributes\n    Overall Quality\n    Malleability\n    Cold Resistance\n    Heat Resistance\n    Toughness\n    Shock Resistance\n    Conductivity\n    Resistance to Decay\n\nThere are two main classes of non-ferrous metal: Aluminum and Copper, plus many unknown types.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '79', 'aluminum', 'Aluminum');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '80', 'copper', 'Copper');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '81', 'nonferrousunknown', 'Unknown Non-Ferrous Metals');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '82', 'lowgradeore', 'Low-Grade Ores include many different kinds of rock ores that are useful for all kinds of applications. ');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '83', 'igneous', 'Igneous Ores are collected with a Mineral Survey Device or Mineral Mining Installation.\n\nResource Attributes\n    Overall Quality\n    Malleability\n    Cold Resistance\n    Heat Resistance\n    Toughness\n    Shock Resistance\n    Resistance to Decay\n\nThere are two main classes of igneous ores: Extrusive and Intrusive Ores which each have several specific sub-classifications, plus many unknown types.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '84', 'extrusive', 'Extrusive Ores');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '85', 'intrusive', 'Intrusive Ores');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '86', 'igneousunknown', 'Unknown Igneous Ores');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '87', 'sedimentary', 'Sedimentary Ores are collected with a Mineral Survey Device or Mineral Mining Installation.\n\nResource Attributes\n    Overall Quality\n    Malleability\n    Cold Resistance\n    Heat Resistance\n    Toughness\n    Shock Resistance\n    Resistance to Decay\n\nThere are two main classes of sedimentary ores: Carbinate and Siliclastic Ores which each have several specific sub-classifications, plus many unknown types.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '88', 'carbinate', 'Carbinate Ores');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '89', 'siliclastic', 'Siliclastic Ores');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '90', 'sedimentaryunknown', 'Unknown Sedimentary Ores');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '91', 'gemstone', 'Gemstones are collected with a Mineral Survey Device or Mineral Mining Installation.\n\nResource Attributes\n    Overall Quality\n    Malleability\n    Cold Resistance\n    Heat Resistance\n    Toughness\n    Shock Resistance\n    Entanglement Resistance\n    Resistance to Decay\n\nThere are two main classes of gemstones: Amorphous and Crystalline which each have several specific sub-classifications, plus many unknown types.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '92', 'amorphous', 'Amorphous Gemstones');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '93', 'crystalline', 'Crystalline Gemstones');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '94', 'gemstoneunknown', 'Unknown Gemstones');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '95', 'gas', 'There are many different kinds of inert and reactive gases that can be found throughout the galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '96', 'reactive', 'Reactive Gases are collected with a Gas Pocket Survey Device or Gas Processor.\n\nResource Attributes\n    Overall Quality\n    Resistance to Decay\n\nThere are several major classifications of reactive gases, plus many unknown types.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '97', 'inert', 'Inert Gases are collected with a Gas Pocket Survey Device or Gas Processor.\n\nResource Attributes\n    Overall Quality\n    Resistance to Decay\n\nThere are several major classifications of inert gases, plus many unknown types.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_d.stf', '98', 'beans', 'Beans');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '1', 'resources', 'Resources');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '2', 'classesandtypes', 'Classes and Types');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '3', 'attributes', 'Attributes');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '4', 'resourcetree', 'Resource Tree');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '5', 'organic', 'Organic Resources');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '6', 'creature', 'Creature Resources');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '7', 'creaturefood', 'Creature Food');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '8', 'milk', 'Milks');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '9', 'milkdomestic', 'Domestic Milk');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '10', 'milkwild', 'Wild Milk');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '11', 'meat', 'Meats');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '12', 'meatdomestic', 'Domestic Meat');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '13', 'meatwild', 'Wild Meat');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '14', 'meatherbivore', 'Herbivore Meat');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '15', 'meatcarnivore', 'Carnivore Meat');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '16', 'meatreptilian', 'Reptilian Meat');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '17', 'meatavian', 'Avian Meat');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '18', 'meatinsect', 'Insect Meat');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '19', 'egg', 'Eggs');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '20', 'seafood', 'Seafood');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '21', 'fish', 'Fish');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '22', 'crustacean', 'Crustaceans');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '23', 'mollusk', 'Mollusks');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '24', 'creaturestructural', 'Creature Structural');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '25', 'bone', 'Bones');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '26', 'boneavian', 'Avian Bones');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '27', 'horn', 'Horns');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '28', 'hide', 'Hides');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '29', 'wooly', 'Wooly Hide');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '30', 'bristly', 'Bristly Hide');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '31', 'scaly', 'Scaly Hide');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '32', 'leathery', 'Leathery Hide');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '33', 'flora', 'Flora Resources');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '34', 'florafood', 'Flora Food');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '35', 'cereal', 'Cereals');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '36', 'corn', 'Corn');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '37', 'corndomestic', 'Domestic Corn');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '38', 'cornwild', 'Wild Corn');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '39', 'rice', 'Rice');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '40', 'ricedomestic', 'Domestic Rice');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '41', 'ricewild', 'Wild Rice');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '42', 'oats', 'Oats');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '43', 'oatsdomestic', 'Domestic Oats');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '44', 'oatswild', 'Wild Oats');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '45', 'wheat', 'Wheat');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '46', 'wheatdomestic', 'Domestic Wheat');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '47', 'wheatwild', 'Wild Wheat');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '48', 'seed', 'Seeds');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '49', 'vegetable', 'Vegetables');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '50', 'greens', 'Greens');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '51', 'tubers', 'Tubers');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '52', 'fungi', 'Fungi');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '53', 'fruit', 'Fruits');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '54', 'fruitfruit', 'Fruit');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '55', 'berry', 'Berry');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '56', 'flower', 'Flower');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '57', 'florastructural', 'Flora Structural');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '58', 'hardwood', 'Hard Wood\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '59', 'softwood', 'Soft Wood');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '60', 'evergreen', 'Evergreens');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '61', 'inorganic', 'Inorganic Resources');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '62', 'chemical', 'Chemical Resources');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '63', 'liquidpetrochem', 'Liquid Petrochem Fuels');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '64', 'inertpetrochem', 'Inert Petrochems');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '65', 'lubricatingoil', 'Lubricating Oils');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '66', 'polymers', 'Polymers');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '67', 'fiberplast', 'Fiberplast');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '68', 'water', 'Water Resources');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '69', 'vapor', 'Vapor');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '70', 'minerals', 'Mineral Resources');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '71', 'solidpetrochem', 'Solid Petrochem Fuels');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '72', 'radioactives', 'Radioactives');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '73', 'metals', 'Metals');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '74', 'ferrous', 'Ferrous Metals');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '75', 'steel', 'Steel');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '76', 'iron', 'Iron');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '77', 'ferrousunknown', 'Unknown Ferrous Metals');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '78', 'nonferrous', 'Non-Ferrous Metals');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '79', 'aluminum', 'Aluminum');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '80', 'copper', 'Copper');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '81', 'nonferrousunknown', 'Unknown Non-Ferrous Metals');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '82', 'lowgradeore', 'Low-Grade Ores');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '83', 'igneous', 'Igneous Ores');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '84', 'extrusive', 'Extrusive Ores');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '85', 'intrusive', 'Intrusive Ores');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '86', 'igneousunknown', 'Unknown Igneous Ores');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '87', 'sedimentary', 'Sedimentary Ores');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '88', 'carbinate', 'Carbinate Ores');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '89', 'siliclastic', 'Siliclastic Ores');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '90', 'sedimentaryunknown', 'Unknown Sedimentary Ores');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '91', 'gemstone', 'Gemstones');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '92', 'amorphous', 'Amorphous Gemstones');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '93', 'crystalline', 'Crystalline Gemstones');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '94', 'gemstoneunknown', 'Unknown Gemstones');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '95', 'gas', 'Gas Resources');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '96', 'reactive', 'Reactive Gases');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '97', 'inert', 'Inert Gases');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_resources_n.stf', '98', 'beans', 'Beans');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_space_d.stf', '1', 'space', '(Choose the section \"Quick-Start Guide\" for information on how to get into space quickly.)\n\nAs with An Empire Divided, your character can learn new professions in-game. All four of the new professions in \"Jump to Lightspeed\" can be gained after character creation by interacting with an appropriate Non-Player Character (NPC), usually called a trainer. \n\nTrainers can teach you the basic piloting skills (or Novice Shipwright, if the character has mastered Engineering IV in the Artisan skill tree). In addition to a novice skill, pilot trainers (also called \"Space Quest Trainers\") can provide you with the certification necessary to fly your first starfighter and dole out missions that will earn you credits, faction standing, experience, and the opportunity to advance in your chosen Pilot profession.\n\nEach pilot type has specific trainers. If you want to be an Alliance Pilot, you should talk to a Rebel Space Quest Trainer. These trainers are located in major cities on Tatooine, Naboo, and Corellia.  \n\nSpace Quest Trainers will only train like-faction or neutral players. For instance, if your character is a Declared Rebel, she will not be able to learn Imperial piloting skills from an Imperial Space Quest Trainer, and vice-versa. Separately, if you acquire the Imperial Pilot novice skill box without being an Declared Imperial, you will not be able to learn Rebel or Privateer pilot skills until you \'Surrender\' the Imperial Pilot novice skill box.\n\nTo surrender skills, open the Skills window (CTRL+S by default), click on the skill you wish to surrender and then click the \'Surrender\' button. When surrendering Shipwright skills, you will be asked to confirm the removal of the skill. For Pilot skills, you will be given a waypoint to a broker for pilot\'s of your faction: Imperial, Rebel, or Neutral. You will need to speak with that broker in order to retire from your current branch of service as a pilot.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_space_d.stf', '2', 'pilot', 'There are three starfighter pilot professions. They are: Freelance Pilot, Imperial Navy Pilot, and Alliance Starfighter Pilot.\n\nThese professions do not cost any skill points. Even an older SWG character that is fully-skilled can learn to be a pilot, without having to give any of their existing skills up.\n\nThese professions are mutually exclusive of each other. This means you can only have one pilot profession at a time. For example, you cannot have skills from both Freelance Pilot and Imperial Navy Pilot simultaneously. For a pilot to learn skills from another piloting profession, they will have to first give up all of the skills of their current piloting profession.\n\nTo retire from your current piloting profession, you must speak to a broker for pilot\'s of your faction and ask to retire.  An easy way to find such a broker is to open the Skills window (CTRL+S by default), click on the skill you wish to surrender and then click the \'Surrender\' button. You will then be given a waypoint to a broker for pilot\'s of your faction: Imperial, Rebel, or Neutral. Proceed to that location and speak to the broker.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_space_d.stf', '4', 'pilotability', 'Starfighter Pilot Abilities');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_space_d.stf', '5', 'shipwrightxp', 'Shipwrights gain experience points by creating ship components.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_space_d.stf', '6', 'skilltiers', 'Starfighter Skill Tiers');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_space_d.stf', '8', 'pilottrainers', 'Starfighter Pilot Trainers');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_space_d.stf', '9', 'shipwright', 'Shipwright is an Advanced Profession, and it requires mastery of Engineering IV in the Artisan skill tree. The Shipwright discipline has the same skill point cost as other Advanced Professions, and it will cost money to train from a Shipwright trainer.\n\nThe Shipwright handles construction of most starship chassis and other components.\n\nPlayers with the Shipwright profession will be allowed to craft starship parts, and will be able to reverse engineer components they did not make in order to gain knowledge useful in building new parts.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_space_d.stf', '10', 'shipwrightskillpoints', 'Like all other crafting professions, the Shipwright requires skill points. \nThere is a limit to the number of skill points that a character can expend.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_space_d.stf', '11', 'pilotskillpoints', 'Starfighter Pilot Skill Point Costs');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_space_d.stf', '12', 'shipwrighttrainers', 'You will find Shipwright trainers in the Starports of major cities. Theed, Mos Eisley, Coronet, and many other starport locations contain experienced trainers who can help you along in your development as a Shipwright.\n\nThe planetary map can also be used to find your desired trainer. Use CTRL-V (by default) to open the planetary map. Search for Trainers and locate the \'Shipwright\' trainer nearest you.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_space_d.stf', '13', 'shipwrightcrafting', 'Shipwrights will have portable ship construction tools, but items of increasing complexity will require that the shipwright is standing near a ship crafting station. Ship crafting stations can be found in starports in NPC cities and near shuttleports in player cities. Installation of new components on a ship will require using a Starship terminal as well as being certified for the components you wish to install.\n\nShipwrights will be able to construct all basic parts of a starship (chassis, booster, capacitor, droid interface, engine, reactor, shield, armor, and weapon).\n\nChassis construction will be handled slightly differently than other aspects of starship construction. When a player constructs a chassis, instead of creating the chassis itself, they get a set of starship plans. To actually construct the chassis, a player must take this to a Chassis Broker NPC in a starport who can actually produce the item.  \n\nThe chassis comes completely empty, and it must be equipped with an engine and reactor before it can be flown.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_space_d.stf', '14', 'shipwrightreverse', 'Shipwrights are able to take looted components and reverse engineer them to produce superior items.\n\nShipwrights have a special component analysis tool that is used to reverse engineer these components acquired from enemy, ai-controlled ships.\n\nLoot items have a Reverse Engineering difficulty level.  The max level of item a Shipwright can reverse engineer depends on how high his reverse engineering skill-mods are.\n\nTo reverse engineer items, you must put X amount of Y items into a component analysis tool, where X is the reverse engineering level of all items involved, and Y is a type of component (armor, booster, capacitor, etc).  For instance, 4 level 4 capacitors would be a reverse engineerable combination.  Once these items are in the tool, select \"Analyze Component\" from the radial menu, and a finished item will be produced from the items put into the tool.  The finished item will have the highest stats from all of the components used in the process---the item you get out is always better than any individual item you put in.  All components put into the tool to make the finished product are consumed in the process.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_space_d.stf', '15', 'pilotimperial', 'Many claim that the Empire\'s greatest strength is its ready supply of talented and ruthless pilots. The Imperial Pilot serves the Emperor, battling Rebels, pirates, and others who threaten Imperial rule. An Imperial Pilot is expected to become proficient with the Empire\'s signature craft: the TIE fighter. \n\nAdvanced pilots gain the right to fly TIE variants, including the deadly TIE Interceptor and experimental TIE Aggressor. The Imperial training program requires Imperial Pilots to master proven Imperial Navy tactics and become well-versed in the use of special navi-computer programs that enhance starfighter performance.\n\nImperial Pilots are devoted to winning the Galactic Civil War. Their undertake some of the most dangerous missions in the galaxy and continually engage Rebel forces wherever they are found.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_space_d.stf', '16', 'pilotrebel', 'The Alliance Pilot serves the Rebel Alliance, the ragtag coalition of heroes who oppose the tyranny of the Galactic Empire. As an Alliance pilot, you will have access to a wide range of powerful starships, including the versatile X-wing and the incredibly fast A-wing. Alliance pilots also learn special Rebel piloting techniques and custom astromech programs that improve a starfighter\'s defensive capabilities and other features. \n\nBecause the Rebel Alliance is embroiled in a violent war with the Empire, the life of an Alliance Pilot is fraught with danger. If you start down this path, you can expect to clash with Imperial forces on a regular basis.\n\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_space_d.stf', '17', 'pilotprivateer', 'A Privateer is effectively a mercenary pilot. Loyal to neither the Rebel Alliance nor the Galactic Empire, most Privateers are willing to fly missions for any group with enough credits. Privateers might find themselves working for the Smugglers Alliance on Tatooine, the Corellian Security Forces (CorSec), or even the Royal Security Forces (RSF) of Naboo. \n\nPrivateers utilize a variety of craft, including those originally designed for criminal groups such as the Hutts and Black Sun. Through rigorous training and various underworld contacts, Privateers learn exotic piloting techniques and master black-market droid programs.\n\nThe life of a Privateer involves a great deal of conflict. Privateers who work for reputable groups might find themselves policing systems and battling pirates. When running missions for the Hutts or the Smugglers Alliance, a Privateer is likely to run afoul of local authorities or even the Empire. \n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_space_d.stf', '18', 'quickstart', 'Agents of the Galactic Empire, the Rebel Alliance and the Free Pilots\' Guild will attempt to contact you through email (if they can). Check your email for incoming messages from these sources by clicking on the letter-shaped icon on the lower left-hand side of your screen. Read these email messages carefully. They will provide instructions to starting your space adventure.\n\nYour first task is to find a pilot skill trainer in your area. First-tier pilot trainers (the only trainers that a new pilot is able to interact with) will be found on Naboo, Tatooine, and Corellia. If you are not on any of these three worlds, and have not yet begun your pilot training - you will need to travel. Purchase a ticket to any of these locations at the local starport.\n\nTo find a pilot trainer:\n1. Open the planetary map (CTRL-V by default)\n2. Look for the \'Trainer\' map category on the right-hand side of the planetary map window.\n3. Double-click the \'Trainer\' category to expand a list containing all of the trainer types that exist on this planet.\n4. Locate the trainer of your choice.\n5. Right-click on the trainer of your choice and choose \'Create Waypoint.\' This will place a waypoint in the world that will help you navigate.\n6. Locate the waypoint created on the planetary map, right-click on it and select \'Activate Waypoint.\'\n\nWalk, run, take a shuttle, rent a speeder, or ride a mount to your pilot trainer\'s location.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_space_d.stf', '19', 'quickstart_ship', 'Your first-tier pilot trainer will provide access codes to a starship parked on this planet free of charge.\nJust ask!\n\nMost pilot trainers will identify your need for a starship and automatically transfer the access codes to your datapad.\nSome will require some coaxing.\n\nListen to the pilot trainers carefully and make sure that you get your free starting ship before attempting to take off into space!');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_space_d.stf', '20', 'quickstart_takeoff', 'Once you have acquired a starship, you can fly into space.\n\nTo fly into space follow these steps:\n1. Go to the nearest starport. If you do not know where to find a starport you can chat the command \"/find starport\" and a waypoint will be created for you. You can also open the planetary map (CTRL-V by default), and look for \'Starport\' buildings on the right-side menu.\n2. Walk inside of the starport.\n3. Look for the \'Starship Terminals\' located here. The placement of these terminals varies from place to place - but you can almost always find a small circular bay with numerous Starship Terminals if you enter the starport, take your first right, and head down the hallway towards the main exit (towards the tarmac).\n4. Use your mouse to click on the Starship Terminal.\n5. Choose the \'Launch Starship\' option to take off.\n\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_space_d.stf', '21', 'quickstart_landing', 'When you launch into space, a waypoint is created for you at the \'Planetary Landing Station.\'\nYou will want to return to this location when you are ready to land.\nTo do this:\n1. Open your datapad (CTRL-D by default)\n2. Choose the space waypoint (generally named for the system you are in - \"Tatooine System\" for instance).\n3. Activate the space waypoint (right-click and choose \'Activate\' from the radial menu).\n4. Fly toward the waypoint.\nWhen you have arrived at the \'Landing Station\' you must communicate with the planetary defense system to acquire landing clearance.\nTo do this:\n1. Target the closest space station and open communication with it (SHIFT+C by default).\n3. Tell the space station commander that you want to land on the planet.\n4. Choose the landing destination.\nNote: your starship will be parked at this starport until you land at another starport. For instance - if you land at the Bestine starport, then take a speeder bike to Mos Eisley, you will need to drive back to Bestine starport in order to use your ship. It will not be available at the Mos Eisley starport (because it is parked in Bestine).\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_space_d.stf', '22', 'quickstart_hyperspace', 'You must be in space to use your starship\'s hyperspace system. Your hyperdrive must be functional and your engines must be in good working condition.\n\nTo hyperspace:\n1. Open the hyperspace map (hotkey \'H\' by default)\n2. Right-click on the space zone you want to reach.\n3. Choose a hyperspace point as your destination. Each space system has a list of viable hyperspace destinations.\n4. When you have chosen your destination, click on the \'Hyperspace\' button at the bottom of the screen.\n\nAt this point, your ship will be unable to move and a countdown will begin. This countdown indicates how long it will take for your ship to complete the calculations for the jump to lightspeed. At the end of the countdown you will be sent through hyperspace to the new system.\n\nIf for some reason you need to escape from the hyperspace jump countdown sequence, you can type the command \'/aborthyperspace\' in the chat box and press \'Enter\'. This will abort the hyperspace countdown and return control of the ship to you.\n\nNOTE: The free ship that piloting profession recruiters give you to start out with do NOT possess hyperdrives and cannot hyperspace. To use a hyperdrive, you must have a player-crafted ship.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_space_d.stf', '23', 'quickstart_flight', '[SPEED SETTINGS]\n     Increase Speed - UP ARROW / \'W\'\n     Decrease Speed - DOWN ARROW / \'S\'\n     Full throttle set - \'HOME\'\n     Cut throttle - \'END\'\n\n[MOVEMENT]\n     Use your mouse to control ship heading - pitch up and down / yaw left and right\n     You can also use your joystick to control ship heading - if a compatible joystick is installed to your computer.\n\n     Additional controls for movement include:\n     Roll left - LEFT ARROW / \'Q\'\n     Roll right - RIGHT ARROW / \'E\'\n     Turn left - \'A\'\n     Turn right - \'D\'\n\n[CAMERA]\n     Use the mouse-wheel to zoom in and out.\n     When zoomed in fully you will be in \'cockpit\' mode.\n     (Toggle the cockpit on or off with Control+Shift+F2)\n\n     Hold down the Keypad \'Insert\' key for mouse-look. As long as they \'Ins\' key is depressed, your mouse movements will simulate head movement inside the cockpit or allow you to spin the camera around your ship in third-person view.\n\n\n\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_space_d.stf', '24', 'quickstart_combat1', 'In most cases, combat is simply a matter of being able to line up your target in your targeting sights and opening fire at the right time.\n\nTarget your enemy using the TAB key (which cycles through starships in the vicinity). If you are facing your enemy, use the X key to target him. The \'X\' key targets anything directly in front of your ship. Or, if you wish to target-cycle only the player enemy ships in the area use the \'z\' key. Pressing the \'t\' key will target cycle NPC enemies.\n\nNOTE: During certain missions you will be required to disable your target - instead of killing them! To do this you will need to select one of the enemy ship\'s components as a sub-target (using the bracket keys \'[\' and \']\'). Once a sub-target is selected (like the engines or reactor) your weapons will be tuned to hit just that spot on the ship. Once significant damage has been done to the proper component, the ship will be disabled. See \'Advanced Starship Combat\' for more information about disabling, inspecting, docking with, and transfering cargo from enemy vessels.\n\nTo hit your target, try to aim for the small bright crosshair just in front of the ship\'s movement. This indicator shows the enemy ship\'s trajectory and will help you \"lead\" your target as it zooms away.\n\n\nHere are some basic combat tips from ace pilot Shug Ninx:\n\nLead your target. Especially when your target is at a distance, fire your shots just in front of the enemy ship. As the ship moves, it will actually fly into your line of blaster fire.\n\nTail your enemy. One of the most effective tactics is dropping in behind your enemy and sticking to his afterburners. This keeps you safe from return fire and you can concentrate all your fire on one set of shields. It\'s not always easy, especially if you\'re trying to tail an agile A-wing, but it\'s a tactic you should master. \n\nManage your speed. If you\'re in a speedy starship, like a TIE fighter, you might want to throttle back and slow down so you don\'t continually fly past your enemy. A TIE fighter tailing a Y-wing might only need to fly at half-speed to keep the Y-wing in its sights.\n\nWatch your back. Enemy pilots know some of the same tricks you do and will try to slip in behind you whenever possible. Keep an eye on your radar for approaching hostiles, especially when you\'re on a straight trajectory towards a waypoint. If you spot space vermin sneakin\' up on you, turn and blast them.\n\nSpinning is a good trick. Liberal use of rolls can help shake enemy fighters and keep them from peppering you.\n\nSlam on the brakes. If you have a fast-moving enemy right on your tail, you might be able to trick him into buzzing past you by making a sudden stop. If this trick works, you\'ll find yourself looking into your enemy\'s engines and can start tailing him. \n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_space_d.stf', '25', 'quickstart_combat2', 'Much of the combat in Jump to Lightspeed involves lining up a target using your mouse or joystick and then unleashing a barrage of blaster fire. However, as you advance, you\'ll face increasingly more talented enemy pilots and you\'ll find yourself relying more heavily on secondary fire (such as missiles), counter-measures, and special moves.\n\n[Missiles]\nIf your ship is equipped with guided missiles, you can fire them once you are locked on target. To lock on a target, you must keep that target in your targeting reticule for a small amount of time. Once you do so, the targeting bracket around the enemy ship will change, indicating that your missiles are \"locked\" and ready to fire.\nUse your secondary fire key (Mouse 2 by default) to fire a missile. Fire your missiles only when an enemy is actually \"locked.\" The guided missile will track your enemy and hopefully damage or destroy him.\nYour missile can be foiled if your enemy drops a counter-measure.\n\n[Counter-measures]\nCounter-measures are designed to disrupt a missile\'s guidance system, causing that missile to miss its intended target.\nWhenever an enemy ship fires a missile at you, you will receive a Missile Lock warning appear on your HUD. Two vibrant arrows will appear on the left and right sides of your forward view indicating that the missile is in-flight towards your position.\n\n[Disabling and Inspecting Enemy Starships]\nSome missions will require you to disable starships for capture or inspection.\n\nTo disable a ship...\nTarget your enemy, and then target a specific ship sub-system (like the engines), by using the left and right bracket ( [ ] ) keys.\nAfter you target this system, fire as normal. Once you have done sufficient damage the enemy ship will come to a stop.\nOnce a ship is disabled, you can inspect it by typing /inspect in the chat window or by using the INSPECT button on your HUD. \nIf you locate a mission objective, you can then dock with the starship using the /dock command or the DOCK button on your HUD.\nThe objective cargo will be automatically transferred to your ship and you will then be un-docked from the target.\n\n[Booster]\nIf your ship is equipped with a booster, you can use it to gain a temporary boost in speed. This is useful when trying to cover distances quickly, or when trying to evade an enemy or quickly get into a position to fire your weapons. The boost lasts until the booster energy reserve is exhausted, or until the player releases the boost key. The booster system works by increasing the thrust your engine is currently producing, so the magnitude of the effect will vary with your current throttle setting. Hitting the boost key while the throttle is set to zero will immediately reset the throttle to 100%, and engage the booster.\nThe amount of booster energy you have is viewable as a numeric value and gauge positioned to the left of the throttle setting display on the HUD. Booster energy slowly replenishes up to its maximum storage level when the player is not boosting, assuming the component is in good working order and has enough energy. The default key for booster is the (b) key.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_space_d.stf', '26', 'quickstart_pvp', 'In order to do battle against other players within standard space zones, your character will need to be an declared member of a military faction; either Rebel or Imperial.\n\nIn space, players are either neutral (meaning that no other player can do damage to them, and they cannot do damage to any other player) or they are Factionally declared (meaning that they can do damage to the opposing faction; a Rebel can damage an Imperial in space combat, and vice-versa).\n\nThere are special player vs. player rules for the \"Deep Space\" and \"Kessel\" systems.\n\nWARNING: Do not enter either the \"Deep Space\" or \"Kessel\" systems if you do not want other players to be able to damage your starship in combat. These high-end zones are specifically designed to support large-scale player vs. player battles and the rules have been simplified to make this happen.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_space_d.stf', '27', 'astromech_shipdroid_utilization_list', 'Starships Utilizing Astromechs:\n\nThe current list of ships that make use of Astromechs include:\n\n	Z95 Headhunter\n	Y-Wing\n	Y-Wing Longprobe\n	X-Wing\n\nAll other ships use Flight Computers and not Astromechs.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_space_d.stf', '28', 'astromech_chips', 'Droid programs exist in two basic forms, a transportable and transferrable inventory-based chip form, and  an intangible droid-based form.\n\nDroid programs are learned as pilot characters gain skill. The knowledge of the program allows the player to program it directly into their droid or flight computer using its control device located in their datapad, or to  take an \'Unprogrammed Droid Command Module\' and turn it into a transferrable \'Ready Chip\' of the program type that the player has knowledge of. \n\nTo program a droid, open the context menu of the droid control device in your datapad while on a planet and select \'program droid\'. You will then be presented with the special droid programming interface which you can utilize to load the  droid or flight computer with any programs that you have the skills for, as well as any programs that exist as chips in your inventory.\n\nTo program a chip, bring up the context menu on the chip in your inventory, and select the option to  \'Program Droid Memory Chip\'. This will bring up a listing of all the droid programs that you know.  Highlight one with the mouse by clicking on it, and select \'ok\'. The chip\'s name will change to \'Ready  Chip:<program name>\' and it cannot be reprogrammed. A chip in your inventory that has been programmed is  just as transferrable as one that has not. Once the chip has been programmed, the context menu for it will have a new \'Analyze\' option, which will tell the player about the functionality of the program on the chip. \n\nIt is very important to note that posessing the skill that grants a particular program is not a prerequisite to using it, only to directly insert that program into a droid without using an inventory-based chip, and to making a transferrable inventory-based chip that contains the program in question.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_space_d.stf', '29', 'astromech_putting_them_together', 'The primary purpose behind programmed Droid Command Modules, or \'Ready Chip\'s, are to allow players that don\'t know a droid program to use it anyway.\n\nTo load a droid program that the player does not know into an Astromech or flight computer, they must have a \'Ready Chip\' of that program in their inventory. When that player chooses to program their Astromech or flight computer with programs for use during space flight, the list of programs available for loading into their droid or flight computer will include not only all of the programs that they know via their skill grants, but also all of the programs that they don\'t know but that they have \'Ready Chip\'s for in their inventory.\n\nA person can create a \'Ready Chip\' of any of the computer programs that they know by crafting or otherwise acquiring an Unprogrammed Droid Command Module and choosing \'Program Droid Memory Chip\' from its context menu.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_space_d.stf', '30', 'astromech_basic_overview', 'The primary purpose served by the presence of droids in a starfighter is to allow the pilot of that vessel to use droid commands.\n\nDroid commands are additional abilities that the pilot is given which allow the pilot to tune the performance of the various sub-systems of their ship. To utilize droid commands in space you must have an external computer unit associated with the ship you are flying (either an Astromech or a flight computer, depending on the ship type), and the desired droid programs loaded into that unit.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_space_d.stf', '31', 'astromech_droids', 'External computer units can be used with your starship to allow you to gain access to additional ship-performance controlling commands during spaceflight. These new types of commands are computer programs that we call \'droid commands\'.\n\nThe computer units involved with the droid command system can be classified into two categories: Astromechs and flight computers. The type of ship you have will determine what type of computer will be necessary. X-Wings use astromechs and TIE fighters use Flight Computers, for example.\n\nAstromechs are droids that have been craftable in Star Wars Galaxies for some time. They include the R5, R4, R2, and R3 type droids. Other types of droids are not considered \'Astromechs\'. For an Astromech to be compatible with droid command usage, it must have been crafted with a data storage module. Crafting the astromech with this module gives the droid a datapad like the player\'s which is then used to store the useable form of the droid commands.\nFlight Computers are a type of object that are new to Star Wars Galaxies. They are crafted tangible objects that can be placed in the player\'s inventory. Once there, they can be \'initialized\' at which point they will generate a datapad that is useable for the storage of droid commands, much like astromechs with a data storage module built in. A player can only have one intialized Flight Computer in their inventory at a time, and they are not tradeable once they have been initialized.\n\nTo associate an external computer unit with a starship, the player must have a starship with a computer interface component loaded onto it, and either a properly configured astromech or flight computer, depending on what kind of starship it is. Mounting both the droid interface and an external computer on your ship are accomplished using the \'manage components\' UI, accessible using a Starship Terminal. An Astromech that is associated with your ship is linked to the ship, but not actually placed within it until you choose to launch into space. Once you land on the ground it will be automatically unloaded from the ship, allowing you to use it normally.  Despite the fact that the droid is unloaded after flight, it will remain associated with the starship until you use the Starship Terminal\'s management screen to disassociate using the \'unload\' option.\nA pilot must be certified to associate an Astromech or flight computer with their ship. The certifications are granted by acquisition of skills, and higher levels of certification are required to utilize higher levels of flight computer or data storage module on an astromech.\n\nOnce the external computer is associated with a ship, launching into space with that ship will cause any programs loaded into that droid to be accessible once the player is in space through the CTRL-A abilities page \'astromech\' window pane. This command listing works just like all of the other commands in the CTRL-A window, and they can be dragged into slots on the toolbar and activated with the related function keys.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_space_d.stf', '32', 'astromech_stepbystep_summaries', 'Droid Command Related Procedures, Step-By-Step\n\n[Programming an Unprogrammed Droid Command Module]\n	1) Acquire an \'Unprogrammed Droid Command Module\'.\n                  It can be crafted, or purchesed from someone that has crafted one.\n	2) Bring up the context menu on module by right-clicking on it, or clicking and holding.\n                  Choose: \'Program Droid Memory Chip\'\n	3) Select desired program you have knowledge of from the list.\n                  Do this by scrolling, highlighting selected entry, and clicking \'ok\'.\n	4) Unprogrammed Command Module should rename itself \'Ready Chip: <program name>\'.\n	5) Chip can now be stored, or traded, or programmed into an Astromech or flight computer.\n\n\n[Programming a droid command into an astromech or flight computer]\n	1) Posess the program to be loaded by either:\n                 a) Knowing the program due to Pilot skills acquired\n                 b) Start with a \'Ready Chip: <program name>\' in your inventory.\n                   It must be the program you wish to load into your computer.\n	2) Open your datapad (CTRL-D).\n                  Make sure you are viewing the \'Data\' page.\n                 Not the \'Waypoints, POI, or Draft Schematics\' pages.\n	3) Bring up the context menu on the desired control device.\n	4) Select the \'Program\' context menu option.\n\n	Note: Droid and Flight Computers have limited room for programs.\n                          You will have to be selective about what programs you load.\n\n\n[Using droid commands]\n	1) Use the Starship Terminal\'s \'Manage\' functionality with your desired ship.\n                  Make sure you have a \'Droid Interface\' associated with your ship.\n                  Use whichever is appropriate, given the type of ship you are using.\n                3) Using the terminal, associate your computer with your desired ship.\n	4) Launch into space.\n	5) Check to see what droid commands are available.\n                  (bring up the \'Command Browser\' (CTRL-A) and view the \'astromech\' windowpane)\n                  All commands that are programmed into the ship\'s computer will be listed here.\n	5) Trigger the desired command like any other (CTRL-A) command. \n                  You can type the slash-name for that command. You can also setup your toolbar.\n\n\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_space_d.stf', '33', 'quickstart_hud', 'Many elements from the Heads-Up-Display (HUD) on the ground have been retained for use during spaceflight in Jump To Lightspeed (JtL). A couple of them have been added or altered. These include the radar and the system status flyouts.\n\nThe radar for JtL is round like the one used during the ground portion of Star Wars Galaxies, with its  current maximum range setting still displayed as a number toward the bottom of the radar display, and the  current radar range setting is zoomed in and out using the large \'-\' and \'+\' symbols that can be seen when  \'cursor\' mode is engaged with the \'ALT\' key. Other functionality on the radar display is quite different. For example, when you are walking around on the ground in Star Wars Galaxies, the radar is displayed in a \'top-down\' fashion meaning that the radar displays things as if it were a bird\'s-eye view on the player\'s position, and things near the top of the display were in front, things toward the bottom were behind, and things to the left or the right are on the left or right of you. The closer the blip is to the center of the display, the closer the target is to the player.\n\nIn JtL, the orientation of the radar during spaceflight is different from its orientation during ground usage: It is more of a fish-eye view than a bird\'s-eye view. That is, it is like a very wide-angle camera that always points in the same direction as your ship.\n\nThe JtL radar display area is split into two sections: an inner circular zone, and an outer ring surrounding it. This inner and outer zone are separated by two red-colored semicircles. These two semicircles represent the starship\'s front and rear armor levels, and the red will slowly drain from the semicircle as the armor for a side takes damage and is vaporized. The radar display is surrounded by two large semicircles that are colored blue. These two semicircles indicate front and rear shield levels. As your shields are drained by absorbing damage, the blue will also drain from the related semicircle.\n\nDuring spaceflight, the radar display is projected as if it were a window that the player were looking through, oriented in the same direction the ship is pointed. All the targets within the central ring are in front of your ship, while targets outside this ring are to the side of your ship. The further the target is to the side of the radar display, the closer it is to being behind you. To put it another way, As a target gets further away from the middle of the radar its position gets further and further to the side of, and  eventually behind, your ship. \n\nThis orientation is intended to help you point your ship toward targets. If the blip is off to the right side of the display, you merely turn your ship right until the target blip is in the central part of the radar display. If the target is toward the top of the display, you merely pitch the ship upward until the blip is in the central part of the display.\n\nBy changing the orientation of the JtL radar display design from the ground-game\'s \'birds-eye\' radar view to be a \'fish-eye\' we made it easier for you to fight in three dimensions and point your ship at a target that might be above or below you, but we lost the ability to show how far away the target is through its position on the display. To make up for this, the size of the radar blips will change relative to how close they are to you and what your current max radar range setting is. If the blip is quite large, then it fairly close to your ship. If the blip is small, then it is fairly far away. Remember that the size change in the blip is relative to the current radar range setting, so if that number is quite high, a \'close\' target might still be some ways away from you.\n\nThe color of blips on the radar indicate how those targets relate to you. If the blip is white in color, you cannot attack it and do damage. Any hits on that target will be ignored. If the blip is yellow in color, you can attack and damage it, but it will likely leave you alone if you leave it alone. If the blip is red in color, you can attack and damage it, and it will probably attack you if it notices you.\n\nA brand new part of the Jump to Lightspeed screen display are the system status flyouts. The system status flyouts are a stack of six icons along the right edge of the screen. Each of these icons corresponds to a different type of the ship\'s systems. The top icon is for your engines, the second one is for your reactor, the third is for your weapons, the fourth is for your weapon capacitor, the fifth is for your shield generators, and the sixth is for your armor. Whenever one of these systems\' status changes, or if you click on the icon, a small note will pop out of the left side of that icon, showing what the current status of that component is. It might show major changes in status such as \'enabled\' or \'disabled\', or it might show a change in the health of the object such as what percentage of health it has left. After displaying the text for a moment, the note will disappear back into the icon.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_space_d.stf', '34', 'grouping_in_space', 'Grouping in Space works mostly in the same way as it does on the ground, though there are two key ways in which they differ. One is in the way in which your group is represented in space, and the other involves POB ships.\n\n[Group Representation]\nOn the ground, members of your group are represented by their player character. The attributes, name, and status of a group member would be those of a group member\'s character. In space, on the other hand, members of your group are represented by their ship. The status and attributes shown are those of your ship, and the name given for each group member is their ship\'s name rather than their character\'s name. The bars under a group member\'s ship name shows the status of their shields and armor. For POB ships, the number of passengers inside of the ship is shown next to the ship\'s name in parentheses.\n\n[POB ships]\nPOB ships are those that have an interior in which your character can move and be active. These ships can have multiple passengers, and while one passenger is piloting the ship, others can operate different weapons on the ship and help defend it. \n\nFor any POB ship, everyone inside of the ship is part of the same group. You cannot have multiple groups within a single POB ship, and if a POB ship is added to a group, everyone within that POB ship becomes part of the new group. In such a situation, the two groups would essentially merge into a single group. Other grouping restrictions apply in the same way they do on the ground, so for example, if the number of people inside of the POB ship would cause the group to exceed 20 members, then the POB ship would not be allowed to join the group.\n\nLeaving a group or dismissing members from a group also involves a new twist or two. If an individual group member inside of a POB ships wishes to leave the group, they must first eject themselves from the ship. After they are on the ground, they may then leave the group. \n\nFor a group that is entirely within a single POB ship, the group leader can dismiss individual group members which will cause the dismissed member to be ejected to the ground. The group leader cannot dismiss the owner of the ship and also cannot disband the group altogether. To accomplish either of these, the ship must first land.\n\nFor a group that contains multiple ships, each ship is considered to be an individual unit within the group. Any ship in the group can be dismissed from the group by the group leader or can leave the group on their own.   When this happens for a POB ship, everyone inside of the POB ship is removed from the previous group and immediately forms a new group.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_space_d.stf', '35', 'joystick_macros', 'A macro is a set of user-entered commands bound to a hotkey. You can create your own macros in SWG by going to the The Command and Abilities Browser (CTRL-A or from the button bar) and choosing the Macro tab. From here, you can create macros, or combinations of commands you define yourself. After creating such a macro, you may then bind it to one of your joystick buttons and use that button to activate the macro.\n\n1. Create a macro. \n2. Bind a toolbar slot to a joystick button. You will do this in the Keymap Browser which can be accessed from the Controls Tab in the Options Window. The Toolbar slots are under the UI tab and are named \'Toolbar Slot 1\', \'Toolbar Slot 2\', etc.\n3. Drag the macro into the joystick toolbar slot.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_space_d.stf', '36', 'link_grouping', 'Tell me how Grouping works on the Ground');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_space_n.stf', '1', 'space', 'Space');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_space_n.stf', '2', 'pilot', 'Starfighter Pilot Professions');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_space_n.stf', '4', 'pilotability', 'Starfighter Pilot Abilities');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_space_n.stf', '5', 'shipwrightxp', 'Shipwright Experience Points');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_space_n.stf', '6', 'skilltiers', 'Starfighter Skill Tiers');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_space_n.stf', '8', 'pilottrainers', 'Starfighter Pilot Trainers');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_space_n.stf', '9', 'shipwright', 'The Shipwright Profession');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_space_n.stf', '10', 'shipwrightskillpoints', 'Shipwright Skill Point Costs');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_space_n.stf', '11', 'pilotskillpoints', 'Starfighter Pilot Skill Point Costs');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_space_n.stf', '12', 'shipwrighttrainers', 'Shipwright Profession Trainers');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_space_n.stf', '13', 'shipwrightcrafting', 'Crafting Starship Parts');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_space_n.stf', '14', 'shipwrightreverse', 'Reverse Engineering');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_space_n.stf', '15', 'pilotimperial', 'The Imperial Navy pilot training program');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_space_n.stf', '16', 'pilotrebel', 'The Alliance Starfighter Training program');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_space_n.stf', '17', 'pilotprivateer', 'Privateer Pilot Starfighter training program');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_space_n.stf', '18', 'quickstart', 'Quick-Start Guide for New Pilots');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_space_n.stf', '19', 'quickstart_hyperspace', 'Hyperspace Travel');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_space_n.stf', '20', 'quickstart_ship', 'Starships');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_space_n.stf', '21', 'quickstart_takeoff', 'Taking Off');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_space_n.stf', '22', 'quickstart_landing', 'Landing your Starship');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_space_n.stf', '23', 'quickstart_flight', 'Basic Flight Controls');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_space_n.stf', '24', 'quickstart_combat1', 'Combat - Basic Starfighter Combat');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_space_n.stf', '25', 'quickstart_combat2', 'Combat - Advanced Starfighter Combat');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_space_n.stf', '26', 'quickstart_pvp', 'Player vs. Player Starship Combat');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_space_n.stf', '27', 'astromech_droids_in_space', 'Droids in Space');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_space_n.stf', '28', 'astromech_chips', 'Droid Command Modules and Ready Chips');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_space_n.stf', '29', 'astromech_droids', 'Astromechs and Flight Computers');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_space_n.stf', '30', 'astromech_putting_them_together', 'Using Ready Chips');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_space_n.stf', '31', 'astromech_stepbystep_summaries', 'Step-By-Step Summaries');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_space_n.stf', '32', 'astromech_shipdroid_utilization_list', 'Astromech Ship Usage List');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_space_n.stf', '33', 'quickstart_hud', 'New HUD Display Elements');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_space_n.stf', '34', 'grouping_in_space', 'Grouping with Other Ships');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_space_n.stf', '35', 'joystick_macros', 'Binding Macros to Joystick Buttons');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_terms_d.stf', '1', 'terms', 'Star Wars Galaxies has evolved a unique language all its own, consisting of a mixture of Star Wars terminology, the lingo of online games, and the abbreviations and unique expressions from the world of online chat.\n\nWe hope that this glossary serves as a good introduction to the sometimes confusing welter of jargon, acronyms, and in-jokes that makes Star Wars Galaxies such a lively place.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_terms_d.stf', '2', 'swg', '> Ability\nAn ability is any new command or ability that a player can acquire as they advance their character. For example, a Novice Medic has the ability to use stimpacks to heal damage on themselves or other characters.\n\n> Action\nAn action is simply a command that you can use within the game. You can access a fairly comprehensive list of actions by using the Actions screen. You can reach this by pressing the Actions button on your button bar (it\'s the one that looks like little lightning bolts), or by hitting CTRL-A.\n\n> Advanced profession\n\nAn advanced profession is a profession that you can only reach if you have unlocked it by learning other skills first. This is in contrast to \"starting professions\" which are available to anyone at any time.\n\n> Attributes\n\nAttributes refers to the nine statistics that make up the definition of a character: Health, Action, Mind, Strength, Constitution, Quickness, Stamina, Focus, and Willpower.\n\n> Badge\n\nA badge is a text string that shows up in your profile, indicating that you have accomplished some particular task. Certain quests in the game might grant you a badge, as might merely exploring, fulfilling some game objective, or in fact, pretty much any circumstance that we feel is worth recognizing. You can see your badges on the Personal Status page of your Character Sheet.\n\n> Bank\n\nThe bank is a location where you can leave items and deposit money. The Galaxy largely runs on a credits system, whereby money is transferred electronically when you purchase something. However, you might also have money on hand (perhaps you, uh, liberated some credits from someone). You can deposit this money in the bank for safekeeping.\n\nYou can also leave items in the safety deposit box at a bank. You can only have one safety deposit box in the entire Galaxy.\n\n> Battle fatigue\n\nAs you accumulate wounds, you also accumulate Battle Fatigue. Battle Fatigue makes it harder for Medics to heal your wounds. You can erase your battle fatigue by watching entertainers.\n\n> Bazaar\n\nThe Bazaar is an auction system that uses the HoloNet to link disparate worlds together in open commerce. You generally find Bazaar terminals near spaceports, and you can use the terminals to browse listings locally, on the planet you\'re on, or even on distant planets. Some items are sold at auction, and others are sold in instant sales.\n\n> BH\n\nAn abbreviation for \"bounty hunter.\"\n\n> Bind\n\nA slang term for setting the location you\'ll return to when you die. See \"Cloning.\"\n\n> Bio\n\nYour Bio is a place where you can type in any text you like. Other players can read your bio when they examine you. You were offered the opportunity to enter in a Bio during character creation, but you can also edit it at any time on the Personal Status page of your Character Sheet.\n\n> Black rot, Black crud\n\nSlang terms for wounds. See \"Wounds.\"\n\n> Borked\n\nA slang term popular during the SWG beta. It means \"messed up\" or \"non-functional.\"\n\n> Burst run, BR\n\nAn ability that all players have, burst run lets you run at an accelerated speed for a short period of time. The tradeoff is that it will damage your health, action, and mind a fair amount. It is often used for quick escapes. By default, Burst run is mapped to F5 on your toolbar.\n\n> Camp\n\nScouts and Rangers in SWG have the ability to create camps or campsites. Camps have a variety of special characeristics: medics and entertainers can heal wounds in them, you can log out safely in them, and advanced camps will keep creatures away.\n\n> Cantina\n\nA cantina is a generic term for a structure that allows entertainers to heal wounds and battle fatigue. The most obvious of these places is, of course, an actual cantina, but other places such as theaters also permit entertainers to ply their trade.\n\n> Capacity\n\nCapacity is a measure of how much stuff can fit inside a container. It is displayed as a bar graph and as a number at the bottom of your inventory window and your datapad.\n\n> Cash, cash on hand\n\nAlthough most of the Galaxy runs on credits and wireless transfers, in many locations of the Galaxy, the use of hard credits is still common. You can go to a bank to get cash, or you may, uh, \"find\" it on corpses. (We\'re sure you weren\'t involved in the unfortunate victim\'s demise, of course). In general, terminals and other commercial establishments will draw from your cash on hand first, and then draw from your bank account.\n\n> CH, CT\n\nAbbreviations for \"creature handler\" and \"creature tamer\" respectively. Both refer to characters who are engaged in the Creature Handler profession.\n\n> Chat tab\n\nYour chat box can have multiple tabs on it, letting you switch between different panes of the chat window. Each tab displays a different sort of chat (or a mixture of different types of chat--it\'s very configurable. See the Holocube topics under \"Communicating with Others\" for further details). You can also drag these tabs off into their own chat windows. Slang, however, still calls these \"chat tabs\" for some reason.\n\n> Clone, cloning\n\nWhen your character dies, the game isn\'t over! Instead, we let you pick up where you left off, placing your character at a cloning facility. You can clone yourself for a fee at any cloning facility, and then from then on, the default location where you reappear after a death will be that cloning facility. See also \"Bind.\"\n\n> Combat fatigue, Fatigue\n\nFatigue is a measure of how muc combat fatigue you have accumulated as you\'ve been wounded. The more you have, the harder it is for medics and entertainers to heal your wounds. You can relieve your combat fatigue by listening to or watching entertainers in cantinas. Combat fatigue is displayed on your Character Sheet.\n\n> Combat target\n\nYour combat target is, simply put, the creature or NPC you are currently attacking. It is indicated with red brackets. \n\n> Commodities market\n\nAnother term for the Bazaar. See \"Bazaar.\"\n\n> Consider, /con\n\nYou can evaluate the relative difficulty of an opponent by using the Consider command (\"/consider\" or \"/con\" for short.) \n\n> Con, Constution\n\nOne of the six attributes that governs the behavior of your pools, Constitution affects the rate at which your Health pool regenerates.\n\n> Covert\n\nPlayers can join the Rebel or Imperial faction in order to participate in the Galactic Civil War. Once they sign up, however, they can be Covert members, or Overt members.  Covert players are \"hidden,\" undercover members of that faction, and have reduced faction perks--they cannot place down factional structures, and cannot wear factional uniforms.\n\nCoverts cannot be attacked by enemies, because the enemy does not know that they are members of that faction. Because of this, Coverts can also not attack players of the enemy faction. \n\nCoverts can attack NPCs of the enemy faction, and can heal or otherwise assist fellow members of their faction, but this will publicly reveal them as members of the Alliance or the Empire, and then they can be attacked by enemy players for a period of a few minutes. This is known as a \"temporary enemy flag.\" See \"TEF\" for more details.\n\n> CR, corpse recovery\n\nIn some games, you have to return to where you died to collect your items (\'recover your corpse\"). There is no corpse recovery in Star Wars Galaxies.\n\n> Crafting station\n\nA crafting station is a device that allows you to craft more complex items with your crafting tool. In order to get the benefits of a crafting station, you merely have to be near the crafting station at the time that you boot up the crafting tool. There are multiple types of crafting station for different types of item crafting.\n\nThere are stationary crafting stations scattered around the cities. You can also make them to place in your own buildings, or even outfit a droid as a crafting station.\n\n> Crafting tool\n\nA crafting tool is an item that allows you to craft other items. Upon using these items, you will be presented with a screen giving you a choice of what item to craft. There are several different kinds of crafting tools, each offering a different type of item that you can make.\n\n> CS (cloning station)\n\nCS is an abbreviation for \"cloning station\" or \"cloning facility,\" a location where you can clone. See \"Cloning.\"\n\n> Data item\n\nAny items which are stored in your datapad are data items. Examples of data items include tokens and manufacturing schematics.\n\n> Datapad\n\nThe datapad is a special sort of inventory accessed using the Datapad button on your Button Bar, or using CTRL-D. The datapad stores only data items, and cannot be used for storing actual physical items.\n\n> DB\n\nShort for \"death blow,\" the act of actually killing a player.\n\n> Declared\n\nA declared player is one who has signed up for the Imperial or Rebel factions. This term is sometimes only applied to players who are Overtly declared. See \"Overt\" and \"Covert.\"\n\n> Despawn\n\nWhen a lair, creature, NPC, stronghold, or other spawned object disappears from the game world, this is called a despawn.\n\n> Digiteer\n\nFormer name for an Event Team Coordinator. \n\n> Discipline\n\nEach profession in SWG has the same arrangement of skills. They all come off of a single root skill, and then they branch into four separate branches. These four branches are called disciplines. Each discpline tends to have a unique flavor to it, and serves as a sort of specialty.\n\n> Draft schematic\n\nA draft schematic is a recipe for building an item. As you acquire new skills, these skills may grant you new draft schematics. As you advance, you can also lose access to draft schematics--this is done according to the rules of the various trade organizations in the galaxy, to ensure that lower-level crafters are guaranteed a market for their goods. \n\nThere is a tab on your Datapad where you can view all the draft schematics you have. You may also want to check out the entry on \"Manufacturing Schematics.\"\n\n> Dynamic POI\n\nA dynamic POI or dynamic point of interest is an encounter that spawns in the world at a somewhat random location. Once it has been resolved one way or another, it will go away, never to return in exactly the same way or place.\n\n> Dynamic spawn\n\nSWG uses a spawning system whereby creatures do not always appear in exactly the same place. This is different from \"static spawns\" which always spawn the same things in the same places.\n\n> Elite profession\n\n\"Elite\" is a term for professions that require you to have mastered multiple specialties or professions before you can unlock them.\n\n> Email\n\nWithin the context of SWG, \"email\" usually mean the in-game mail that you can access by clicking the little envelope-shaped button ont he button bar.\n\n> Experience, XP\n\nExperience is a measure of how knowledgeable you are about a given subject. You can earn experience in many different subjects in SWG, and each type of experience is earned in a different way. For example, you earn Pistol Experience by killing things with a pistol, and you earn Dancing experience by entertaining people. You can check your current levels of experience on your Skills window.\n\n> Extract resources\n\n\"Extract resources\" is a special ability granted to Scouts. It allows them to harvest meat, hide, and bones from the carcasses of dead animals.\n\n> Faction, faction standing\n\nThere are two meanings to the term Faction in SWG. One of them refers to the two warring sides in the Galactic Civil War, the Rebel Alliance and the Empire. Players can join these factions and engage in player vs. player combat with one another, as well as advance in standing with the faction. See also \"Faction Points.\"\n\nThe other type of faction is simply the game tracking how various groups of NPCs feel about you. If you are consistently mean to Jawas, eventually Jawas will come to hate you, and may attack you on sight.\n\n> Faction points, faction perks\n\nFaction points are acquired by doing actions for the Rebellion or the Empire. If you acquire enough faction points, you can join that faction (see also \"Declared,\" \"Overt,\" and \"Covert.\"). \n\nOnce you are a member of a faction, you can spend faction points to acquire faction perks, which are special benefits that are only granted to members of the faction. Examples of faction perks include special structures you can build, uniforms to wear, and titles.\n\n> Factory\n\nA factory is a structure used by crafters to mass produce items. You can obtain a factory and feed a manufacturing schematic into it. As long as the factory has enough resources and the manufacturing schematic permits, it will replicate the desired item.\n\n> Foc, Focus\n\nFocus is one of the attributes that defines a character in Star Wars Galaxies. It affects the cost to the Mind pool when you make use of an ability.\n\n> FP\n\nShort for \"Faction points.\"\n\n> FS\n\nShort for \"Force Sensitive.\"\n\n> FSS, Force Sensitive Sheep\n\nA joke from the early board and beta community for Star Wars Galaxies. Many players wanted these to be in the game. They\'re not.\n\n> GCT\n\nShort for \"Generic Crafting Tool,\" the simplest type of crafting tool available to players.\n\n> GCW\n\nShort for \"the Galactic Civil War.\"\n\n> GMT\n\nShort for \"guild management terminal.\"\n\n> Guild, guildhall\n\nA term for player association, or for the structure that serves as the headquarters for one.\n\n> HAM, HAM bars\n\nThe slang term for the status display showing bar graphs of your Health, Action, and Mind stats.\n\n> Harvester\n\nA structure that mines resources for you regardless of whether you are online or offline.\n\n> Health\n\nOne of the attributes that makes up a character, Health is a pool that is spent when you do actions that are centered around physical strength.\n\n> HFS, Holy Floating Shrubberies \n\nAn inside joke referring to a bug that took place in early development, whereby there were plants that floated in mid-air. Players ran with it and decided to workship the holy floating shrubbery.\n\n> Holocron\n\nThis help system. For more information about this Holocron, please see \"About the Holocron\" in the help topics to the left.\n\n> Hospital\n\nA special sort of structure where medics and doctors can heal wounds.\n\n> Hotel\n\nA special sort of structure that acts as a cantina and also permits instant logout from the game.\n\n> Hybrid profession\n\nAm advanced profession that draws on disciplines from different professions.\n\n> Imp\n\nShort for Imperial.\n\n> Incapacitated, incap, incapped\n\nThis is what happens to you when any of your pools reaches zero. You are knocked out (and left vulnerable) for a period not to exceed a minute or so. Should an enemy reach you and choose to do so, they can kill you while you are in this state.\n\n> Inorganics\n\nOne of the two broadest classifications of resources in the game, the other being Organics. Examples of inorganics include metals and polymers.\n\n> Insurance\n\nYou can buy insurance at terminals in cloning facilities. When you die, any insured items are automatically returned to you, rather than remaing with your corpse. See also \"Corpse recovery.\"\n\n> Knowledge base\n\nThe Knowledge Base is a customer service tool available from the Customer Service button on the button bar.\n\nTechnically, this Holocube is also a knowledge base, but it\'s not commonly referred to that way.\n\n> LA\n\nLucasArts, publishers of Star Wars Galaxies.\n\n> Lair\n\nA lair is a location where creatures or NPCs are spawning out of some sort of structure or object. For example, an insect mound might spawn rockmites. Lairs have a tendency to hang around unless destroyed, and creatures tend to defend their lairs. Some otherwise peaceful creatures may be more aggressive when you appriach their lairs.\n\n> LD\n\nShorthand for the Lucky Despot, a cantina in Mos Eisley built into a crashed starship.\n\n> Learning capacity\n\nAnother term for skill points.\n\n> Look at target\n\nThis is the target you set thwn you click on something. It is indicated by blue brackets.\n\n> Lots\n\nEach player is allowed a fixed amount of space on which to build. This is measured in \"building lots.\" Different structures take up different amounts of lots.\n\n> LP, launchpad\n\nThe LaunchPad is the application that comes up when you first launch Star Wars Galaxies. It lets you log into your account, and features a chat system, account management, and the ability to set some out of game options.\n\n> Macro\n\nA macro is a set of user-entered commands bound to a hotkey. You can create your own macros in SWG by going to the Actions window (CTRL-A or from the button bar) and choosing the Macro tab.\n\n> Mail\n\nShorthand for the in-game email system. You access your mail through the button bar (the button with the envelope icon).\n\n> Manufacturing schematic\n\nA manufacturing schematic is a schematic that has been experimented on and filled out by a crafter. Once a crafter has created an item and experimented on it, he or she is given the opportunity to either create a single prototype item, or to create a manufacturing schematic instead. The manufacturing schematic is a data item that can be traded or sold, or fed into a factory to mass produce items. Manufacturing schematics only have a certain number of uses before they expire.\n\n> Marketplace\n\nThe marketplace is another term for the Bazaar. See also \"Bazaar.\"\n\n> Mind\n\nOne of the three pools, the Mind stat is primarily used for tasks that depend on concentration and focus. See also \"Attribute\" and \"Pool.\"\n\n> Mission terminal or MT\n\nA mission terminal is a special terminal you can go to that has job postings. They are located throughout all the cities.\n\n> Narrative POI\n\nA narrative POI is simply a point of interest that happens to have a quest or puzzle associated with it. See also \"Dynamic POI\" and \"POI.\"\n\n> No build\n\nAn area where players cannot build structures.\n\n> NWW\n\nAn acronym for \"Newbie Welcome Wagon,\" an informal organization of players who welcome new players of SWG.\n\n> Onion\n\nAlso referred to as the \"Skill Onion\". This refers to the group of skills in each profession that are made up of the Novice box at the bottom, the Master box at the top, and all the boxes in the middle. The shape of this loosely resembles an onion, hence the nickname. To see this shape, use CTRL-S in game to bring up the Skills Interface.\n\n> Organics\n\nOne of the two broad categories of resources, organics are things like meat or flora. See also \"Inorganics.\"\n\n> Overt\n\nAn Overt player is a player who has joined a faction and has signed up for vulnerability to player vs player combat 24/7. Overts get some special faction perks that are not available to Covert members of a faction, since their affiliation is publicly visible and they run great risks. Also known as \"Declared\". See \"Covert\" and \"Faction.\"\n\n> PA, player association\n\nA Player association is a group of players who have formalized their group using the in-game tools. PAs have access to a guildhall (see also \"Guildhall\") and have a vriety of tools to help them manage their membership.\n\n> Paperdoll\n\nThe paperdoll is a depiction of your character that you can see in your inventory. It is hidden by default, but you can access it by clicking on the little yellow arrow buttons at the top of the Inventory window.\n\n> Persistent message\n\nAnother term for the in-game email system. See also \"Mail.\"\n\n> Pet\n\nA pet is a creature that has been tamed by a player who has the Creature Handling profession. Pets grow and become more powerful over time, so pets that have been kept alive are valuable. In addition, pets can perform a variety of useful tasks including defense of their owner.\n\n> PM\n\nShort for persistent message. See also \"Persistent Message\" and \"Mail.\"\n\n> POI\n\nShort for \"point of interest.\" This simply means a location that holds some interest. Some of these are dynamically spawned, and others are always placed. See also \"Stronghold,\" \"Lair,\" \"Dynamic POI\" and \"Narrative POI.\"\n\n> Pool\n\nThere are three pools in your set of attributes: Health, Action, and Mind. You spend pool points in order to execute special moves and abilities. When others attack you, they lower your pools. Should any of your pools reach zero, you will be incapacitated.\n\n> Posture\n\nPosture simply means whether you are standing, kneeling, laying prone, or sitting down. Postures have a very great effect on combat, affecting accuracy, likelihood of your being hit, amount of damage taken from different weapon types, and speed of movement.\n\n> Profession\n\nA profession is a collection of four related skill disciplines. You start out the game choosing a starting profession from among the six starting professions offered, and as you advance you can explore further choices as they become available to you.\n\n> Profile\n\nYour profile is a collection of information that you enter about yourself. This information can be searched on my other players. Among the elements in your profile are any details that you enter into the Matchmaking system, and flags such as Looking For Group or Newbie Helper that you decide to turn on, and what title you have chosen to publicly display.\n\n> Qui, Quickness\n\nOne of the attributes that defines a character, Quickness affects how much abilities based on the Action pool cost to use.\n\n> Reb\n\nShort for \"Rebel.\"\n\n> Sample\n\nSampling is the act of extracting a little bit of resources from the terrain. Thisis an ability that is granted to Artisans as part of the Surveying discipline. See also \"Survey.\"\n\n> Schematic\n\nA schematic is a blueprint for crafting something. They come in two kinds: a draft schematic, which is a blank recipe, and a manufacturing schematic, which is a recipe that has been experimented with by a crafter. See also \"Draft Schematic\" and \"Manufacturing Schematic.\"\n\n> SCS\n\nAn acronym for \"single character servers.\"\n\n> Shuttle, shuttleport\n\nA structure where you can catch shuttles that travel between different cities on the same planet.\n\n> Skill box\n\nAnother term for a single skill in a profession.\n\n> Skill Onion\n\nAlso referred to as the \"Onion\". This refers to the group of skills in each profession that are made up of the Novice box at the bottom, the Master box at the top, and all the boxes in the middle. The shape of this loosely resembles an onion, hence the nickname. To see this shape, use CTRL-S in game to bring up the Skills Interface.\n\n> Skill points\n\nEvery skill you learn in SWG costs you some skill points. You have a fixed number of skill points and can never acquire more. When you run out of skill points, you cannot learn any more skills. You can however surrender skills you do not want, and gain the skill points back.\n\n> Skill tree\n\nAn alternate term for Profession. See also \"Profession.\"\n\n> Skillmod\n\nA statistic that increases as you advance in skill. For example, as you acquire pistol skills, your Pistol Accuracy skillmod will increase.\n\n> SL\n\nAbbreviation for Squad Leader.\n\n> Snowflakes\n\nSlang term for Imperials, derived from the shape of the logo for the Empire.\n\n> Social profession\n\nA profession that is devoted primarily to providing services to other players. Entertainer, Musician, Dancer, and Image Designer are social professions.\n\n> SOE\n\nSony Online Entertainment.\n\n> Spaceport, Starport\n\nA building that serves as a place to travel between planets.\n\n> Special moves\n\nAbilities granted to those pursuing the combat professions. Special moves are generally new kinds of attacks.\n\n> Specialist\n\nA title achieved when you master a discipline. See also \"Discipline\" and \"Title.\"\n\n> Species\n\nThere are eight possible player species in Star Wars Galaxies. In other games, these are sometimes termed \"races.\"\n\n> Sta, Stamina\n\nOne of the attributes that make up an SWG player character, Stamina affects the rate at which your Action pool regenerates.\n\n> Stat migration\n\nIn SWG, your attributes never go up. However, you can rearrange the statistics that make up your character. This process is called Stat Migration, and it can be accessed via the Stat Migration button on your Character Sheet.\n\n> State\n\nStates are conditions that can be applied to your character (or to creatures and NPCs). Some states are self-applied, and others are caused by special attacks or abilities being used on you. Examples include dizziness, berserking, and being stunned. States display directly under the status bars in the upper corners of the screen.\n\n> Stomach\n\nA generic term for the limits on how much you can eat or drink until you\'re full.\n\n> Str, Strength\n\nOne of the attributes on a character. Strength affects how much Health-based abilities cost to use\n\n> Survey\n\nThe act of using a surveying toolto check for resources in the immediate area. This is an ability in the Scout profession.\n\n> SWG\n\nThe abbreviation for Star Wars Galaxies.\n\n> System message\n\nMessages which show up in the center of your screen, around 1/3 of the way down from the top, are called \"System messages.\" These messages often give information about things such as experience earned, server status, and other important information.\n\n> Tamer\n\nShorthand for a player who has mastered skills from the Creature Handler profession.\n\n> Taurin\n\nThe avatar name of a SWG dev member well known by the first and second groups of beta testers. Taurin, a Zabrak of tall stature with long, black hair, was more than happy to assist the beta testers in the beginnings of their epic journey. He can occasionally been seen wandering the swamps of Dathomir from time to time.\n\n> TEF\n\nTemporary Enemy Flag. When a Covert player performs an action that reveals them as a member of their faction, thus blowing their cover, they receive a temporary enemy flag that makes them attackable by enemies of their faction for a few minutes.\n\n> Terminal\n\nAny one of many computer terminals that offer various services in the game.\n\n> Theme park\n\nA slang term for an area of the game with handcrafted quests and narratives. Jabba\'s Palace is an example of a theme park.\n\n> Title\n\nA bit of text describing your current attainment in a profession. When you start out in the game, your title is that of a Novice in whatever profession you selected. As you acquire skills, you may acquire additional Novice, Specialist and Master titles as well. other players can see one title out of the titles you have acquired, and can search for other players based on title. You can choose which title is publicly displayed on your profile and can be used to search for you on your Personal Profile under the Community button on the Button Bar.\n\n> Tulips\n\nA slang term for the Rebels, based on the shape of the icon for the Rebel Alliance.\n\n> UXP\n\nUsage XP. Shorthand for a type of experience points earned only when someone uses your crafted item.\n\n> Vendor\n\nAn NPC hired by a player to serve as a shopkeeper.\n\n> Waypoint\n\nA data item that records a location in the world. You can create waypoints using your datapad, and they are also given to you automatically by the game under many different circumstances. Waypoints are stored in your Datapad.\n\n> Willpower\n\nOne of the six attributes governing your pools, Willpower affects the rate at which you regenerate the Mind pool.\n\n> Wound\n\nWounds are a form of combat damage that lower the maximum value of a pool or of an attribute. Whereas normal damage heals over time, wounds require attention in order to be cured. You cure wounds to the Mind, Focus, and Willpower by watching or listening to entertainers. You cure all other sorts of wounds through medicines administered by a doctor. Wounds of all sorts can only be healed in certain locations, such as cantinas, camps, and hospitals.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_terms_d.stf', '3', 'online', '> AI\n\nArtificial Intelligence. Design term. Refers to the \"intelligence\" programmed into a game that controls the actions and reactions of NPCs, simulating independent intelligence.\n\n> Avatar\n\nThe graphical representation of a player in a game.\n\n> Beta testing\n\nOne of the last phases of development of software in which final testing is performed, often involving external volunteer testers who help by reporting bugs and problems encountered.\n\n> Buff or buffing\n\nGaming terms. Refer to preparatory actions taken prior to combat, usually involving the casting of spells.\n\n> Camping\n\nGaming terms. Refers to the repeated killing of a respawning monster by the same individual or party, often for experience or to gain items.\n\n> Carebear\n\nA derogatory term for someone who does not wish to engage in player versus player activities. \n\n> Consider, con\n\nEverQuest gaming abbreviation. Command used to assess the strength of an opponent.\n\n> Dewd or leetspeak\n\nAn abbreviated or encrypted chat code used by some gamers. There is some negative reaction toward its use and those who employ it, as it is often associated with disruptive gamers. \n\n> DoT\n\nDamage Over Time. Refers to effects that, when placed on a target, cause continuous damage over a limited period of time.\n\n> Emote\n\nA command used for free-form expression of text appended to an avatar\'s name. For example, the command\n\n      /emote has a bad feeling about this.\n\nwould result in the text\n\n     Han has a bad feeling about this\n\nbeing visible to all players nearby.\n\n> Emoticon\n\nA convention used to express emotions through text in text-based games (sometimes referred to as smilies), and physical animations on avatars in newer graphics-based games.\n\n> EP, Exp, or XP\n\nExperience Points. Gaming abbreviation. \n\n> EQ\n\nEverQuest. A massively multi-player online role-playing game from Sony Online Entertainment/Verant Interactive.\n\n> Farming\n\nA gaming term that refers to the act of gathering rewards (esp. equipment) repeatedly, usually for resale for personal gain.\n\n> Flame (flaming)\n\nThe act of harshly rebutting someone (usually on message boards), often disparagingly. Flaming is considered detrimental to constructive discussion, and is not permitted in the Star Wars Galaxies forums.\n\n> FPS\n\nFirst Person Shooter. A combat game, played from a first-person viewpoint, generally in a futuristic or science fiction genre. Examples: PlanetSide, Doom, Quake.\n\nAlso: Frames Per Second. A measure of the performance of the graphics engine in a 3d application. The higher your FPS, the smoother your experience will be.\n\n> Gank\n\nA PvP gaming term that means to kill another player\'s character. Other usage: gankage (noun)--the process of ganking. ex. \"The last point I want to make clear is that no matter what, random gankage is not going to be a feature of the game.\"\n\n> GM\n\nGame Master. An administrator that helps to facilitate gameplay. In commercial games, GMs are often customer service representatives that address player problems. Star Wars Galaxies does not use GMs in the conventional sense.\n\n> Grief play, griefer, grief player\n\nSomeone who purposefully seeks to ruin the enjoyment of others players.\n\n> Grind, grinding\n\nThe act of doing a repetitive, often dull, act in the game merely in order to earn advancement.\n\n> Kiting\n\nGaming term. Refers to a style of combat in which a player continually stays out of the combat range of an enemy, usually by running from it, while simultaneously causing damage to it.\n\n> KOS\n\nKill on Sight. Applied to player characters with respect to NPCs that might attack the player character in question. If you are KOS to a certain creature, it will attack you when it sees you.\n\n> KS\n\nKill Stealing. Gaming abbreviation. Refers to the act of maliciously taking another person or party\'s prey.\n\n> Lag\n\nOnline gaming term. Latency experienced during play resulting from any of several difficulties, including Internet traffic and breakdowns, server-side problems, and/or client-side problems.\n\n> LD\n\nLink Dead. Online gaming term. Refers to the state of a PC when the player has lost his or her Internet connection to their character.\n\n> LFG\n\nLooking For Group. Also often refers to a flag that a player can toggle on themselves to indicate that they are looking for a group.\n\n> Loot\n\nGaming term. Alternately refers to either items or money retrieved from a vanquished foe, or the act of taking items or money from a defeated foe (as in looting a MOB). Variations: lewt, l3w7.\n\n> MMORPG\n\nMassively Multi-Player Online Role Playing Game. Examples: EverQuest or Star Wars Galaxies.\n\n> Mob\n\nMobile or Mobile Object. A MUD term originally, used to describe creatures in a game, whether NPCs, monsters, or others.\n\n> Newbie, noob, n00b, newb\n\nA young, inexperienced player. Sometimes used as an insult.\n\n> NH\n\nNewbie Helper. Either a player who has made a career out of helping new players acclimate themselves to the game, or a flag that a player can toggle on themselves so that newbies can find them if they need assistance.\n\n> No drop\n\nDescribes a quality of certain objects that prevent characters from dropping or trading them after they have picked them up. Star Wars Galaxies does not make use of No Drop items.\n\n> NPC\n\nNon-Player Character. Gaming abbreviation. Refers to any creature, or mob, not controlled by a player.\n\n> Perma, PD, PermaD\n\nPermanent Death. In gaming, when a player\'s character dies and does not return to life or respawn at a designated location.\n\n> Pet\n\nRefers to an NPC minion or creature under the control of either another NPC or a player.\n\n> Pker\n\nPlayer Killer. A player who kills other players\' characters randomly. It often has a negative connotation, applied to someone who kills excessively or by dubious means.\n\n> PnP\n\nPen and Paper. Chat abbreviation that refers to traditional role-playing games.\n\n> Powerleveling\n\nGaming term. The act of helping a lower level player gain experience at an accelerated rate.\n\n> PvE or PvM\n\nPlayer versus Environment, or Player vs Monsters. A game environment in which players can attack and kill NPCs and MOBs.\n\n> PvP\n\nPlayer versus Player. A game environment in which players are permitted to attack and kill one another\'s characters.\n\n> PvPer\n\nSomeone who kills other players\' characters, generally consensually.\n\n> RP\n\nRole-Play. A style of gaming in which the player speaks and acts as his or her character while playing the game.\n\n> Spawn\n\nThe regeneration of a creature after it leaves the game world.\n\n> Tank\n\nA player character that takes the brunt of attacks from an enemy for his or her party. Verb: To tank (tanking).\n\n> Tell\n\nIn a game, a form of direct global communication between two players only.\n\n> Train\n\nA group of aggressive enemies that is pursuing a fleeing player character. Also used as a verb, as in \"They trained the rancor onto me.\"\n\n> Twink, twinking\n\nThe act of giving powerful equipment to lower level characters who could not have obtained the equipment at their current level of advancement.\n\n> Twitch\n\nA style of gameplay that requires manual dexterity, quick reflexes, and strong familiarity with the user interface for the player to perform skilled actions and responses. PlanetSide is an example of a twitch first person shooter game.\n\n> Uber\n\nA chat term used to describe a player, association, item, MOB, etc. as exceptionally powerful.\n\n> Zone\n\nEverQuest gaming term. Alternately refers to an area within a game, or the act of moving between two areas within a game (\"I\'m zoning\").');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_terms_d.stf', '4', 'chat', '> AFK\n\nAway From Keyboard. Chat abbreviation indicating that the player is away from the game temporarily.\n\n> BAK\n\nBack At Keyboard.\n\n> BF, B/F\n\nBoyfriend.\n\n> BRB\n\nBe Right Back.\n\n> BRT\n\nBe Right There.\n\n> Bumping\n\nMessage board term. Refers to the act of gratuitous message posting in a thread in order to push it to the front of the message board queue. This is a form of spam and is not permitted on the Star Wars Galaxies message boards.\n\n> CU\n\nSee you later.\n\n> CYA\n\nSee you later.\n\n> FAQ\n\nFrequently Asked Questions.\n\n> FWIW\n\nFor What It\'s Worth.\n\n> FYI\n\nFor Your Information.\n\n> GF, G/F\n\nGirlfriend.\n\n> GL\n\nGood luck!\n\n> GTG\n\nGood to Go.\n\n> Hehe\n\nMild laughter.\n\n> IMO, IMHO\n\nIn My Opinion, In My Humble Opinion.\n\n> IRL\n\nIn Real Life. \n\n> K\n\nOkay.\n\n> LMAO\n\nLaughing My [edit] Off.\n\n> LOL\n\nLaughing Out Loud.\n\n> NP\n\nNo Problem.\n\n> NT\n\nNo Text.\n\n> OIC\n\nOh, I See.\n\n> OMG\n\nOh My Goodness/Gosh.\n\n> OMW\n\nOn My Way.\n\n> OOC\n\nOut of Character. Usually used to qualify a message in a role-play environment.\n\n> OT\n\nOff Topic.\n\n> Plz\n\nPlease.\n\n> RL\n\nReal Life. Chat abbreviation referring to a player\'s life outside of the game.\n\n> ROFL\n\nRolling On the Floor Laughing. Stronger expression of humor than LOL.\n\n> ROFLMAO\n\nRolling On the Floor Laughing My [edit] Off. Stronger expression of humor than ROFL.\n\n> Roxxors\n\nAn expletive meaning, \"It rocks!\". Dewd Speak chat term.\n\n> Spam and spamming\n\nSending a message or messages repeatedly through a communication channel (tells, OOC, shouts, auctions, etc.) that annoys other players. Spamming is universally frowned upon in cyberspace, particularly in online games.\n\n> Suxxors\n\nAn expletive meaning, \"It sucks!\". Dewd Speak chat term.\n\n> WB\n\nWelcome Back.\n\n> WTF\n\nWhat The [edit]. An expletive expressing astonishment.\n\n> WTG\n\nWay To Go. A congratulatory remark.\n\n> \"Woot!\"\nAn quick expression of happiness or a cheer.\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_terms_d.stf', '5', 'sw', '> AOTC\n\nSTAR WARS EPISODE II: ATTACK OF THE CLONES, the second film in the \"prequel trilogy.\"\n\n> DFR\n\nDARK FORCE RISING. The second book in the Heir to the Empire trilogy written by Timothy Zahn.\n\n> DJ\n\nDark Jedi. Jedi Knights who have succumbed to the Dark Side of the Force.\n\n> DJM\n\nA Dark Jedi Master.\n\n> DS\n\nDeath Star. The first Imperial Death Star, destroyed in the Battle of Yavin in Star Wars: A New Hope.\n\n> DS2\n\nDeath Star 2. The second Imperial Death Star, destroyed in Return of the Jedi.\n\n> ESB\n\nTHE EMPIRE STRIKES BACK. Episode 5 in the Star Wars saga.\n\n> EU\n\nExpanded Universe. The continuing Star Wars storyline, through official books, comics, computer games, stories and other products.\n\n> GCW\n\nGalactic Civil War. A chat abbreviation referring to the conflict between the Empire and the Rebellion during the Star Wars classic trilogy.\n\n> GL\n\nGeorge Lucas.\n\n> HHTE\n\nHEIR TO THE EMPIRE. Star Wars abbreviation referring alternately to the trilogy written by Timothy Zahn, or the first book in the series of the same name.\n\n> ISD\n\nImperial Star Destroyer.\n\n> JK\n\nJedi Knight.\n\n> NJO\n\nNew Jedi Order. Series of Star Wars Expanded Universe stories, set after the Heir to the Empire trilogy.\n\n> NR\n\nNew Republic. The organization that the Rebel Alliance became following the events in Return of the Jedi.\n\n> OT\n\nOriginal Trilogy. Star Wars abbreviation for the classic trilogy, Episodes 4 through 6.\n\n> ROTJ\n\nRETURN OF THE JEDI. The third movie in the classic trilogy, Episode 6.\n\n> SSD\n\nSuper Star Destroyer.\n\n> SW\n\nSTAR WARS. Refers to the Star Wars universe as a whole, or the first movie in the classic trilogy STAR WARS: A NEW HOPE.\n\n> SWG\n\nStar Wars Galaxies, this game.\n\n> TLC\n\nTHE LAST COMMAND. The third book in the Heir to the Empire trilogy written by Timothy Zahn.\n\n> TPM\n\nTHE PHANTOM MENACE. Episode 1 in the Star Wars saga.\n\n> XvT\n\nX-Wing versus TIE Fighter. The first Star Wars space combat simulation with multi-player options.\n\n> XWA\n\nX-Wing Alliance. The sequel to X-Wing versus TIE Fighter.');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_terms_n.stf', '1', 'terms', 'Glossary of Terms');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_terms_n.stf', '2', 'swg', 'Star Wars Galaxies terms');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_terms_n.stf', '3', 'online', 'Terms from Online Games');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_terms_n.stf', '4', 'chat', 'Online Chat Lingo');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_terms_n.stf', '5', 'sw', 'Star Wars terminology');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_tradein_d.stf', '1', 'tradein', 'The pet trade-in system allows non-Creature Handlers with unusable pets (levels 11-15) to exchange their defunct creature for a usable, lower level one.  \n\nTo trade in your old pet, drag it onto a Creature Handler Trainer NPC.  The NPC will confiscate your old pet, and will return a lower level pet (that you will be able to control as a non-Creature Handler) similar to your old one.   The new pet will retain any commands your old pet had, as well as the name of your old pet.\n\nThe trade is irreversible.  The system only works for non-Creature Handlers who have unusable pets between levels 11-15.\n\n');
INSERT INTO `client_strings` VALUES ('string/en/kb/kb_tradein_n.stf', '1', 'tradein', 'Pet Trade-In System');
INSERT INTO `client_strings` VALUES ('string/en/lair_d.stf', '1', 'antpile', 'An ant mound.');
INSERT INTO `client_strings` VALUES ('string/en/lair_d.stf', '2', 'bramble', 'Brambles...this could be a creature\'s lair.');
INSERT INTO `client_strings` VALUES ('string/en/lair_d.stf', '3', 'small_cave', 'A small cave...this could be a creature\'s lair.');
INSERT INTO `client_strings` VALUES ('string/en/lair_d.stf', '4', 'earthmound', 'An earthen mound...this could be a creature\'s lair.');
INSERT INTO `client_strings` VALUES ('string/en/lair_d.stf', '5', 'lair_base', 'A creature\'s lair.');
INSERT INTO `client_strings` VALUES ('string/en/lair_d.stf', '6', 'griffon_cave', 'A griffon cave.');
INSERT INTO `client_strings` VALUES ('string/en/lair_d.stf', '7', 'lion_cave', 'A lion\'s cave.');
INSERT INTO `client_strings` VALUES ('string/en/lair_d.stf', '8', 'crevice', 'A crevice...this could be a creature\'s lair.  ');
INSERT INTO `client_strings` VALUES ('string/en/lair_d.stf', '9', 'den', 'An earthen den...this could be a creature\'s lair.');
INSERT INTO `client_strings` VALUES ('string/en/lair_d.stf', '10', 'hovel', 'A hovel.');
INSERT INTO `client_strings` VALUES ('string/en/lair_d.stf', '11', 'guard', 'An imperial guard base.');
INSERT INTO `client_strings` VALUES ('string/en/lair_d.stf', '12', 'insect_mound', 'An insect mound.');
INSERT INTO `client_strings` VALUES ('string/en/lair_d.stf', '13', 'nest', 'A nest.');
INSERT INTO `client_strings` VALUES ('string/en/lair_d.stf', '14', 'rancor', 'A rancor lair.');
INSERT INTO `client_strings` VALUES ('string/en/lair_d.stf', '15', 'trash', 'A pile of trash...this could be a creature\'s lair.');
INSERT INTO `client_strings` VALUES ('string/en/lair_d.stf', '16', 'rock_shelter', 'A small rocky shelter.');
INSERT INTO `client_strings` VALUES ('string/en/lair_d.stf', '17', 'rocks', 'A pile of rocks.');
INSERT INTO `client_strings` VALUES ('string/en/lair_d.stf', '18', 'insecthill', 'An insect hill.');
INSERT INTO `client_strings` VALUES ('string/en/lair_d.stf', '19', 'dead_log', 'A dead log.');
INSERT INTO `client_strings` VALUES ('string/en/lair_d.stf', '20', 'warren', 'A warren.');
INSERT INTO `client_strings` VALUES ('string/en/lair_d.stf', '21', 'mound', 'A mound.');
INSERT INTO `client_strings` VALUES ('string/en/lair_d.stf', '22', 'leaf', 'A pile of leaves.');
INSERT INTO `client_strings` VALUES ('string/en/lair_d.stf', '23', 'garbage', 'Some useless garbage.');
INSERT INTO `client_strings` VALUES ('string/en/lair_d.stf', '24', 'global_rebel_warrant_officer_camp_rebel_medium_theater', 'A rugged camp constructed carefully by a Rebel Warrant Officer');
INSERT INTO `client_strings` VALUES ('string/en/lair_d.stf', '25', 'banner_generic_1', 'a banner');
INSERT INTO `client_strings` VALUES ('string/en/lair_d.stf', '26', 'banner_generic_2', 'a banner');
INSERT INTO `client_strings` VALUES ('string/en/lair_d.stf', '27', 'imperial_banner', 'an Imperial banner');
INSERT INTO `client_strings` VALUES ('string/en/lair_d.stf', '28', 'dantari_monolith', 'a totem');
INSERT INTO `client_strings` VALUES ('string/en/lair_d.stf', '29', 'fire_pit', 'a camp fire');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1', 'angler', 'an angler lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2', 'angler_jungle', 'a jungle angler lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '3', 'angler_swamp', 'a swamp angler lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '4', 'bageraset', 'a bageraset lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '5', 'bageraset_forest', 'a forest bageraset lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '6', 'bantha', 'a bantha lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '7', 'bantha_desert', 'a desert bantha lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '8', 'bantha_dune', 'a dune bantha lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '9', 'bantha_wasteland', 'a wasteland bantha lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '10', 'barkmite', 'a barkmite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '11', 'barkmite_grassland', 'a grassland barkmite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '12', 'barkmite_hills', 'a hill barkmite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '13', 'baz_nitch', 'a baz nitch lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '14', 'baz_nitch_forest', 'a forest baz nitch lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '15', 'baz_nitch_mountain', 'a mountain baz nitch lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '16', 'bearded_jax', 'a bearded jax lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '17', 'bearded_jax_grassland', 'a grassland bearded jax lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '18', 'binjinphant', 'a binjinphant lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '19', 'binjinphant_forest', 'a forest binjinphant lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '20', 'blackfish', 'a blackfish lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '21', 'blistmok', 'a blistmok lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '22', 'canyon_krayt_dragon', 'a canyon krayt dragon lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '23', 'blistmok_mountain', 'a mountain blistmok lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '24', 'blistmok_wasteland', 'a wasteland blistmok lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '25', 'bluefish', 'a bluefish lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '26', 'blurrg', 'a blurrg lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '27', 'blurrg_forest', 'a forest blurrg lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '28', 'blurrg_mountain', 'a mountain blurrg lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '29', 'boar_wolf', 'a boar wolf lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '30', 'boar_wolf_mountain', 'a mountain boar wolf lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '31', 'bocatt', 'a bocatt lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '32', 'bocatt_grassland', 'a grassland bocatt lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '33', 'bocatt_hills', 'a hill bocatt lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '34', 'bol', 'a bol lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '35', 'bol_grassland', 'a grassland bol lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '36', 'bolle_bol', 'a bolle bol lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '37', 'bolle_bol_grassland', 'a grassland bolle bol lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '38', 'bolma', 'a bolma lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '39', 'bolma_desert', 'a desert bolma lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '40', 'bolma_dune', 'a dune bolma lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '41', 'bolma_mountain', 'a mountain bolma lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '42', 'bordok', 'a bordok lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '43', 'bordok_mountain', 'a mountain bordok lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '44', 'borgle', 'a borgle lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '45', 'borgle_jungle', 'a jungle borgle lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '46', 'brackaset', 'a brackaset lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '47', 'brackaset_mountain', 'a mountain brackaset lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '48', 'capper_spineflap', 'a capper spineflap lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '49', 'capper_spineflap_forest', 'a forest capper spineflap lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '50', 'carrion_spat', 'a carrion spat lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '51', 'carrion_spat_grassland', 'a grassland carrion spat lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '52', 'choku', 'a choku lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '53', 'choku_jungle', 'a jungle choku lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '54', 'chuba', 'a chuba lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '55', 'chuba_forest', 'a forest chuba lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '56', 'chuba_swamp', 'a swamp chuba lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '57', 'colo_claw_fish', 'a colo claw fish lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '58', 'condor_dragon', 'a condor dragon lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '59', 'condor_dragon_forest', 'a forest condor dragon lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '60', 'condor_dragon_mountain', 'a mountain condor dragon lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '61', 'corellian_butterfly', 'a Corellian butterfly lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '62', 'corellian_butterfly_forest', 'a Corellian forest butterfly lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '63', 'corellian_butterfly_mountain', 'a Corellian mountain butterfly lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '64', 'corellian_sand_panther', 'a Corellian sand panther lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '65', 'corellian_sand_panther_grassland', 'a Corellian grassland sand panther lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '66', 'corellian_slice_hound', 'a Corellian slice hound lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '67', 'corellian_slicehound_forest', 'a Corellian forest slice hound lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '68', 'corellian_slice_hound_grassland', 'a Corellian grassland slice hound lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '69', 'crowned_rasp', 'a crowned rasp lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '70', 'crowned_rasp_grassland', 'a grassland crowned rasp lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '71', 'crowned_rasp_mountain', 'a mountain crowned rasp lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '72', 'crystal_snake', 'a crystal snake lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '73', 'crystal_snake_jungle', 'a jungle crystal snake lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '74', 'crystal_snake_swamp', 'a swamp crystal snake');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '75', 'cu_pa', 'a cu pa lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '76', 'cu_pa_dune', 'a dune cu pa lair.');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '77', 'cu_pa_mountain', 'a mountain cu pa lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '78', 'cu_pa_wasteland', 'a wasteland cu pa');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '79', 'dalyrake', 'a dalyrake lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '80', 'dalyrake_forest', 'a forest dalyrake lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '81', 'dewback', 'a dewback lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '82', 'dewback_desert', 'a desert dewback lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '83', 'dune_lizard', 'a dune lizard lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '84', 'dune_lizard_desert', 'a desert dune lizard lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '85', 'durni', 'a durni lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '86', 'durni_grassland', 'a grassland durni lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '87', 'durni_mountain', 'a mountain durni lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '88', 'dwarf_nuna', 'a dwarf nuna lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '89', 'dwarf_nuna_forest', 'a forest dwarf nuna lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '90', 'dwarf_nuna_mountain', 'a mountain dwarf nuna');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '91', 'eopie', 'an eopie lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '92', 'eopie_desert', 'a desert eopie lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '93', 'eopie_dune', 'a dune eopie lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '94', 'eopie_mountain', 'a mountain eopie lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '95', 'eopie_wasteland', 'a wasteland eopie lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '96', 'faa', 'a faa lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '97', 'falumpaset', 'a falumpaset lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '98', 'falumpaset_forest', 'a forest falumpaset lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '99', 'falumpaset_grassland', 'a grassland falumpaset lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '100', 'falumpaset_swamp', 'a swamp falumpaset lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '101', 'fambaa', 'a fambaa lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '102', 'fambaa_swamp', 'a swamp fambaa lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '103', 'fanned_rawl', 'a fanned rawl lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '104', 'fanned_rawl_swamp', 'a swamp fanned rawl lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '105', 'flewt', 'a flewt lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '106', 'flewt_forest', 'a forest flewt lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '107', 'flewt_grassland', 'a grassland flewt lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '108', 'flit', 'a flit lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '109', 'flit_forest', 'a forest flit lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '110', 'flit_mountain', 'a mountain flit lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '111', 'flite_rasp', 'a flite rasp lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '112', 'flite_rasp_grassland', 'a grassland flite rasp lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '113', 'flite_rasp_hill', 'a hill flite rasp lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '114', 'fynock', 'a fynock lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '115', 'fynock_forest', 'a forest fynock lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '116', 'gackle_bat', 'a gackle bat lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '117', 'gackle_bat_jungle', 'a jungle gackle bat lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '118', 'gackle_bat_swamp', 'a swamp gackle bat lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '119', 'gaping_spider', 'a gaping spider lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '120', 'gaping_spider_forest', 'a forest gaping spider lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '121', 'gekk', 'a gekk lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '122', 'gekk_forest', 'a forest gekk lair ');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '123', 'gnort', 'a gnort lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '124', 'gnort_grassland', 'a grassland gnort lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '125', 'gnort_mountain', 'a mountain gnort lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '126', 'graul', 'a graul lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '127', 'graul_jungle', 'a jungle graul lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '128', 'gronda', 'a gronda lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '129', 'gronda_grassland', 'a grassland gronda lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '130', 'gualama', 'a gualama lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '131', 'gualama_grassland', 'a grassland gualama');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '132', 'gubbur', 'a gubbur lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '133', 'guf_drolg', 'a guf drolg lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '134', 'guf_drolg_grassland', 'a grassland guf drolg lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '135', 'guf_drolg_jungle', 'a jungle guf drolg lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '136', 'gulginaw', 'a gulginaw lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '137', 'gulginaw_forest', 'a forest gulginaw lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '138', 'gurk', 'a gurk lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '139', 'gurk_mountain', 'a mountain gurk lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '140', 'gurk_wasteland', 'a wasteland gurk lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '141', 'gurnaset', 'a gurnaset lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '142', 'gurnaset_grassland', 'a grassland gurnaset lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '143', 'gurnaset_mountain', 'a mountain gurnaset lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '144', 'gurreck', 'a gurreck lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '145', 'gurreck_mountain', 'a mountain gurreck lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '146', 'hanadak', 'a hanadak lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '147', 'hanadak_mountain', 'a mountain hanadak lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '148', 'hermit_spider', 'a hermit spider lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '149', 'hermit_spider_mountain', 'a mountain hermit spider lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '150', 'hermit_spider_wasteland', 'a wasteland hermit spider lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '151', 'horned_krevol', 'a horned krevol lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '152', 'horned_krevol_desert', 'a desert horned krevol lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '153', 'horned_krevol_forest', 'a forest horned krevol lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '154', 'horned_krevol_mountain', 'a mountain horned krevol lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '155', 'horned_rasp', 'a horned rasp lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '156', 'horned_rasp_grassland', 'a grassland horned rasp lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '157', 'horned_rasp_jungle', 'a jungle horned rasp lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '158', 'huf_dun', 'a huf dun lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '159', 'huf_dun_hill', 'a hill huf dun lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '160', 'huf_dun_grassland', 'a grassland huf dun lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '161', 'hutt_thug_npc', 'a Hutt thug hideout');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '162', 'huurton', 'a huurton lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '163', 'huurton_grassland', 'a grassland huurton lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '164', 'ikopi', 'an ikopi lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '165', 'ikopi_grassland', 'a grassland ikopi lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '166', 'jellyfish', 'a jellyfish lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '167', 'kaadu', 'a kaadu lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '168', 'kaadu_forest', 'a forest kaadu lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '169', 'kaadu_grassland', 'a grassland kaadu lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '170', 'kaadu_swamp', 'a swamp kaadu lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '171', 'kaitok', 'a kaitok lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '172', 'kaitok_mountain', 'a mountain kaitok lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '173', 'kaitok_wasteland', 'a wasteland kaitok lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '174', 'kima', 'a kima lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '175', 'kima_grassland', 'a grassland kima lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '176', 'kima_mountain', 'a mountain kima lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '177', 'kimogila', 'a kimogila lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '178', 'kimogila_grassland', 'a grassland kimogila lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '179', 'kimogila_mountain', 'a mountain kimogila lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '180', 'kittle', 'a kittle lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '181', 'kittle_forest', 'a forest kittle lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '182', 'kittle_grassland', 'a grassland kittle lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '183', 'kliknik', 'a kliknik lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '184', 'kliknik_forest', 'a forest kliknik');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '185', 'krahbu', 'a krahbu lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '186', 'krahbu_grassland', 'a grassland krahbu lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '187', 'krayt_dragon', 'a krayt dragon lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '188', 'krayt_dragon_desert', 'a desert krayt dragon lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '189', 'krayt_dragon_wasteland', 'a wasteland krayt dragon lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '190', 'kupernug', 'a kupernug lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '191', 'kupernug_mountain', 'a mountain kupernug lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '192', 'kupernug_wasteland', 'a wasteland kupernug lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '193', 'kusak', 'a kusak lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '194', 'kusak_wasteland', 'a wasteland kusak lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '195', 'kwi', 'a kwi lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '196', 'kwi_desert', 'a desert kwi lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '197', 'kwi_forest', 'a forest kwi lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '198', 'kwi_mountain', 'a mountain kwi lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '199', 'laa', 'a laa lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '200', 'langlatch', 'a langlatch lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '201', 'langlatch_forest', 'a forest langlatch lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '202', 'langlatch_mountain', 'a mountain langlatch lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '203', 'langlatch_wasteland', 'a wasteland langlatch lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '204', 'lantern_bird', 'a lantern bird lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '205', 'lantern_bird_forest', 'a forest lantern bird lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '206', 'malkloc', 'a malkloc lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '207', 'malkloc_desert', 'a desert malkloc lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '208', 'malkloc_forest', 'a forest malkloc lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '209', 'malkloc_mountain', 'a mountain malkloc lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '210', 'mamien', 'a mamien lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '211', 'mamien_jungle', 'a jungle mamien lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '212', 'mawgax', 'a mawgax lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '213', 'mawgax_grassland', 'a grassland mawgax lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '214', 'mawgax_mountain', 'a mountain mawgax lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '215', 'merek', 'a merek lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '216', 'merek_jungle', 'a jungle merek lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '217', 'merek_swamp', 'a swamp merek lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '218', 'mott', 'a mott lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '219', 'mott_grassland', 'a grassland mott lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '220', 'murra', 'a murra lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '221', 'murra_grassland', 'a grassland murra lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '222', 'murra_mountain', 'a mountain murra lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '223', 'mynock', 'a mynock lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '224', 'naglatch', 'a narglatch lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '225', 'naglatch_swamp', 'a swamp narglatch lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '226', 'nerf', 'a nerf lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '227', 'nerf_grassland', 'a grassland nerf lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '228', 'nuna', 'a nuna lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '229', 'nuna_forest', 'a forest nuna lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '230', 'nuna_grassland', 'a grassland nuna lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '231', 'nuna_swamp', 'a swamp nuna lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '232', 'opee_sea_killer', 'an opee sea killer lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '233', 'peko_peko', 'a peko peko lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '234', 'peko_peko_forest', 'a forest peko peko lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '235', 'peko_peko_grassland', 'a grassland peko peko lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '236', 'peko_peko_swamp', 'a swamp peko peko lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '237', 'perlek', 'a perlek lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '238', 'perlek_grassland', 'a grassland perlek lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '239', 'perlek_jungle', 'a jungle perlek lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '240', 'pharple', 'a pharple lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '241', 'pharple_wasteland', 'a wasteland pharple lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '242', 'piket', 'a piket lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '243', 'piket_grassland', 'a grassland piket lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '244', 'plumed_rasp', 'a plumed rasp lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '245', 'plumed_rasp_forest', 'a forest plumed rasp lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '246', 'plumed_rasp_mountain', 'a mountain plumed rasp lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '247', 'pufferfish', 'a pufferfish lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '248', 'pugoriss', 'a pugoriss lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '249', 'pugoriss_grassland', 'a grassland pugoriss lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '250', 'purbole', 'a purbole lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '251', 'purbole_forest', 'a forest purbole lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '252', 'quenker', 'a quenker lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '253', 'quenker_grassland', 'a grassland quenker lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '254', 'qurvel', 'a qurvel lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '255', 'qurvel_forest', 'a forest qurvel lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '256', 'qurvel_mountain', 'a mountain qurvel lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '257', 'rancor', 'a rancor lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '258', 'rancor_desert', 'a desert rancor lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '259', 'rancor_mountain', 'a mountain rancor lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '260', 'ray', 'a ray lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '261', 'rebel_npc', 'a Rebel outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '262', 'remmer', 'a remmer lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '263', 'remmer_grassland', 'a grassland remmer lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '264', 'remmer_jungle', 'a jungle remmer lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '265', 'reptilian_flyer', 'a reptilian flier lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '266', 'reptilian_flyer_forest', 'a forest reptilian flier lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '267', 'reptilian_flyer_mountain', 'a mountain reptilian flier lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '268', 'roba', 'a roba lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '269', 'roba_grassland', 'a grassland roba lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '270', 'roba_hill', 'a hill roba lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '271', 'rock_mite', 'a rock mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '272', 'rock_mite_desert', 'a desert rock mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '273', 'rock_mite_mountain', 'a mountain rock mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '274', 'rock_mite_wasteland', 'a wasteland rock mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '275', 'ronto', 'a ronto lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '276', 'ronto_desert', 'a desert ronto lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '277', 'ronto_dune', 'a dune ronto lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '278', 'salt_mynock', 'a salt mynock lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '279', 'salt_mynock_mountain', 'a mountain salt mynock lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '280', 'salt_mynock_wasteland', 'a wasteland salt mynock lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '281', 'sarlacc', 'a sarlacc pit');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '282', 'sarlacc_desert', 'a desert sarlacc pit');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '283', 'scurrier', 'a scurrier lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '284', 'scurrier_desert', 'a desert scurrier lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '285', 'scurrier_dune', 'a dune scurrier lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '286', 'scurrier_mountain', 'a mountain scurrier lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '287', 'scurrier_wasteland', 'a wasteland scurrier lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '288', 'sharnaff', 'a sharnaff lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '289', 'sharnaff_forest', 'a forest sharnaff lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '290', 'sharnaff_grassland', 'a grassland sharnaff lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '291', 'shaupaut', 'a shaupaut lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '292', 'shaupaut_forest', 'a forest shaupaut lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '293', 'shaupaut_swamp', 'a swamp shaupaut lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '294', 'shear_mite', 'a shear mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '295', 'shear_mite_forest', 'a forest shear mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '296', 'shear_mite_mountain', 'a mountain shear mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '297', 'skreeg', 'a skreeg lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '298', 'skreeg_jungle', 'a jungle skreeg lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '299', 'skreeg_swamp', 'a swamp skreeg lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '300', 'snorbal', 'a snorbal lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '301', 'snorbal_grassland', 'a grassland snorbal lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '302', 'snorbal_hill', 'a hill snorbal lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '303', 'spined_puc', 'a spined puc lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '304', 'spined_snake', 'a spined snake lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '305', 'spined_snake_mountain', 'a mountain spined snake lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '306', 'spined_snake_wasteland', 'a wasteland spined snake lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '307', 'squall', 'a squall lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '308', 'squall_grassland', 'a grassland squall lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '309', 'squill', 'a squill lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '310', 'squill_desert', 'a desert squill lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '311', 'stintaril', 'a stintaril lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '312', 'stintaril_jungle', 'a jungle stintaril lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '313', 'stintaril_swamp', 'a swamp stintaril lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '314', 'stormtrooper_npc', 'a stormtrooper outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '315', 'striped_fish', 'a striped fish lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '316', 'swirl_prong', 'a swirl prong lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '317', 'swirl_prong_grassland', 'a grassland swirl prong lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '318', 'tanc_mite', 'a tanc mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '319', 'tanc_mite_mountain', 'a mountain tanc mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '320', 'thune', 'a thune lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '321', 'thune_grassland', 'a grassland thune lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '322', 'torton', 'a torton lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '323', 'torton_grassland', 'a grassland torton lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '324', 'tusk_cat', 'a tusk cat lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '325', 'tusk_cat_grassland', 'a grassland tusk cat lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '326', 'tusken_raider_npc', 'a tusken raider camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '327', 'tybis', 'a tybis lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '328', 'tybis_grassland', 'a grassland tybis lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '329', 'veermok', 'a veermok lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '330', 'veermok_forest', 'a forest veermok lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '331', 'veermok_swamp', 'a swamp veermok lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '332', 'verne', 'a verne lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '333', 'verne_forest', 'a forest verne lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '334', 'vesp', 'a vesp lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '335', 'vesp_desert', 'a desert vesp lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '336', 'vesp_mountain', 'a mountain vesp lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '337', 'vir_vir', 'a vir vir lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '338', 'vir_vir_grassland', 'a grassland vir vir lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '339', 'vir_vir_hill', 'a hill vir vir lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '340', 'vlutore', 'a vlutore lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '341', 'vlutore_grassland', 'a grassland vlutore lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '342', 'vlutore_mountain', 'a mountain vlutore lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '343', 'vog_eel', 'a vog eel lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '344', 'vynock', 'a vynock lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '345', 'vynock_dune', 'a dune vynock lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '346', 'vynock_mountain', 'a mountain vynock lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '347', 'vynock_wasteland', 'a wasteland vynock lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '348', 'whisper_bird', 'a whisper bird lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '349', 'whisper_bird_jungle', 'a jungle whisper bird lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '350', 'whisper_bird_swamp', 'a swamp whisper bird lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '351', 'winged_ornith', 'a winged ornith lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '352', 'winged_ornith_grassland', 'a grassland winged ornith lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '353', 'winged_ornith_jungle', 'a jungle winged ornith lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '354', 'womp_rat', 'a womp rat lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '355', 'womp_rat_desert', 'a desert womp rat lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '356', 'woolamander', 'a woolamander lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '357', 'woolamander_jungle', 'a jungle woolamander lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '358', 'worrt', 'a worrt lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '359', 'worrt_desert', 'a desert worrt lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '360', 'zucca_boar', 'a zucca boar lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '361', 'zucca_boar_desert', 'a desert zucca boar lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '362', 'zucca_boar_dune', 'a dune zucca boar lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '363', 'zucca_boar_wasteland', 'a wasteland zucca boar lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '365', 'desert_eopie', 'a desert eopie lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '366', 'desert_squill', 'a desert squill lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '367', 'dragonet', 'a dragonet lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '368', 'dune_bantha', 'a dune bantha lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '369', 'dwarf_bantha', 'a dwarf bantha lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '370', 'dwarf_eopie', 'a dwarf eopie lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '371', 'giant_sand_beetle', 'a giant sand beetle lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '372', 'gorg', 'a gorg lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '373', 'greater_desert_womprat', 'a greater desert womp rat lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '374', 'jawa', 'a Jawa tent');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '375', 'jundland_eopie', 'a jundland eopie lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '376', 'kreetle', 'a kreetle lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '377', 'lesser_desert_womprat', 'a lesser desert womp rat lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '378', 'minor_worrt', 'a minor worrt lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '379', 'mound_mite', 'a mound mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '380', 'mountain_dewback', 'a mountain dewback lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '381', 'mountain_squill', 'a mountain squill lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '382', 'mountain_worrt', 'a mountain worrt lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '383', 'pirate', 'a pirate outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '384', 'rebel', 'a Rebel command base');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '385', 'rill', 'a rill lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '386', 'rock_beetle', 'a rock beetle lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '387', 'rockmite', 'a rock mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '388', 'scyk', 'a scyk lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '389', 'sevorrt', 'a sevorrt lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '390', 'swarming_lesser_dewback', 'a swarming lesser dewback lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '391', 'tatooine_mynock', 'a mynock lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '392', 'variegated_womprat', 'a variegated womp rat lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '393', 'womprat', 'a womp rat lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '394', 'generic_antpile', 'a mound of dirt');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '395', 'generic_bramble', 'brambles');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '396', 'generic_cave_small', 'a small cave');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '397', 'generic_mound', 'an earthen mound');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '398', 'lair_base', 'a creature\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '399', 'generic_cave_griffon', 'a griffon cave');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '400', 'generic_cave_lion', 'a lion\'s cave');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '401', 'generic_crevice', 'a crevice');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '402', 'generic_den', 'an earthen den');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '403', 'generic_hovel', 'a hovel');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '404', 'generic_imperial_guard', 'an Imperial guard base');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '405', 'generic_insect_mound', 'an insect mound');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '406', 'generic_nest', 'a nest');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '407', 'generic_rancor_lair', 'a rancor lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '408', 'generic_trash_pile', 'a pile of trash');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '409', 'lair_rocks', 'a rock lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '410', 'corellia_greater_gulginaw_flight_neutral_none', 'a greater gulginaw lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '411', 'lair_garbage', 'a heap of broken garbage');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '412', 'lair_insecthill', 'an insect hill');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '413', 'tatooine_sevorrt_lair_neutral_medium', 'a sevorrt lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '414', 'tatooine_jawa_outpost_neutral_medium_theater', 'a Jawa outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '415', 'lair_dead_log', 'a large dead log');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '416', 'lair_mound', 'a large mound');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '417', 'corellia_devil_gulginaw_flight_neutral_none', 'a devil gulginaw lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '418', 'corellia_rogue_baraset_neutral_none', 'a baraset lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '419', 'corellia_crazed_durni_warren_neutral_none', 'a crazed durni warren');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '420', 'corellia_humbaba_lair_neutral_medium', 'a humbaba lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '421', 'corellia_murra_herd_neutral_none', 'a murra lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '422', 'corellia_vynock_flight_neutral_none', 'a vynock lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '423', 'corellia_plumed_rasp_flock_neutral_none', 'a plumed rasp lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '424', 'corellia_dire_cat_lair_neutral_medium', 'a dire cat lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '425', 'corellia_corsec_outpost_neutral_medium_theater', 'a CorSec outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '426', 'corellia_corsec_traitor_base_neutral_medium_theater', 'a CorSec traitor base');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '427', 'corellia_corellian_butterfly_swarm_neutral_none', 'a Corellian butterfly swarm\'s hive');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '428', 'corellia_meatlump_outpost_neutral_medium_theater', 'a Meatlump gang outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '429', 'corellia_corellian_butterfly_nest_neutral_large', 'a Corellian butterfly hive');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '430', 'corellia_grassland_slice_hound_lair_neutral_medium', 'a Corellian grassland slice hound lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '431', 'corellia_hidden_daggers_camp_neutral_medium_theater', 'a Hidden Daggers camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '432', 'corellia_greck_patrol_neutral_none', 'a Greck patrol');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '433', 'corellia_drall_patriot_base_neutral_large_theater', 'a Drall patriot base');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '434', 'corellia_tabage_pack_neutral_none', 'a tabage pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '435', 'corellia_grassland_slice_hound_pack_neutral_none', 'a Corellian grassland slice hound lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '436', 'corellia_carrion_spat_lair_neutral_medium', 'a carrion spat lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '437', 'corellia_corellian_butterfly_hive_neutral_large', 'a Corellian butterfly hive');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '438', 'corellia_plumed_rasp_eyrie_neutral_medium', 'a plumed rasp eyrie');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '439', 'corellia_plumed_rasp_nest_neutral_small', 'a plumed rasp nest');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '440', 'corellia_gurrcat_hunt_neutral_none', 'a Corellian gurrcat lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '441', 'corellia_wrix_pack_neutral_none', 'a wrix pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '442', 'corellia_murra_lair_neutral_none', 'a murra lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '443', 'corellia_lord_nyax_church_neutral_medium_theater', 'a Lord Nyax follower church');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '444', 'corellia_corsec_patrol_neutral_none', 'a CorSec patrol outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '445', 'corellia_canoid_lair_neutral_medium', 'a canoid lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '446', 'corellia_selonian_squad_neutral_none', 'a Selonian squad outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '447', 'naboo_rogue_fambaa_neutral_none', 'a small fambaa lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '448', 'naboo_fambaa_herd_neutral_none', 'a fambaa lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '449', 'naboo_ikopi_herd_neutral_none', 'an ikopi herd\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '450', 'naboo_ikopi_lair_neutral_medium', 'an ikopi lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '451', 'naboo_ikopi_stag_neutral_none', 'an ikopi lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '452', 'naboo_peko_peko_solitary_neutral_none', 'a peko peko lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '453', 'naboo_peko_peko_flight_neutral_none', 'a peko peko lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '454', 'naboo_peko_peko_giant_pair_neutral_none', 'a giant peko peko lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '455', 'naboo_peko_peko_eyrie_neutral_large', 'a peko peko eyrie');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '456', 'naboo_bolle_bol_herd_neutral_none', 'a bolle bol lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '457', 'naboo_bolle_bol_lair_neutral_large', 'a bolle bol lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '458', 'naboo_hermit_spider_neutral_none', 'a hermit spider lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '459', 'naboo_sharupat_family_neutral_medium', 'a sharupat family lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '460', 'naboo_sharupat_pack_neutral_none', 'a sharupat pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '461', 'naboo_sharupat_pack_diseased_neutral_none', 'a diseased sharupat pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '462', 'naboo_veermok_rangers_neutral_none', 'a Veermok Ranger outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '463', 'naboo_veermok_outpost_neutral_none', 'a Veermok outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '464', 'naboo_veermok_marauder_neutral_none', 'a Veermok Marauder camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '465', 'naboo_veermok_camp_neutral_medium', 'a Veermok camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '466', 'naboo_krevol_click_neutral_none', 'a krevol lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '467', 'naboo_krevol_lair_neutral_small', 'a krevol lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '468', 'naboo_nightspider_pack_neutral_none', 'a nightspider pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '469', 'naboo_nightspider_lair_neutral_small', 'a nightspider lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '470', 'naboo_crossroad_neutral_large_theater', 'a crossroads trading post');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '471', 'naboo_sharupat_family_diseased_neutral_medium', 'a diseased sharupat family lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '472', 'naboo_veermok_holdfast_neutral_large', 'a large Veermok holdfast');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '473', 'naboo_plasma_thief_camp_neutral_large_theater', 'a plasma thief camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '474', 'naboo_trade_federation_camp_neutral_large_theater', 'a Trade Federation camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '475', 'naboo_trade_federation_roamers_neutral_none', 'a Trade Federation outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '476', 'naboo_borvos_camp_neutral_small_theater', 'a Borvos camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '477', 'naboo_borvos_fort_neutral_large_theater', 'a large Borvos fort');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '478', 'naboo_mauler_sect_neutral_medium_theater', 'a Mauler sect');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '479', 'naboo_mauler_roamers_neutral_none', 'a Mauler camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '480', 'naboo_mauler_conclave_neutral_large_theater', 'a Mauler conclave');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '481', 'naboo_mauler_pilgrimage_neutral_none', 'a Mauler pilgrimage rest station');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '482', 'naboo_rsf_patrol_neutral_none', 'a RSF patrol station');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '483', 'naboo_rsf_camp_neutral_medium_theater', 'a RSF camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '484', 'naboo_rsf_outpost_neutral_large_theater', 'a large RSF outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '485', 'naboo_mountain_krevol_lair_neutral_medium', 'a mountain krevol lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '486', 'naboo_mountain_krevol_click_neutral_none', 'a mountain krevol lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '487', 'naboo_mountain_ikopi_herd_neutral_none', 'a mountain ikopi lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '488', 'naboo_mountain_ikopi_lair_neutral_medium', 'a mountain ikopi lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '489', 'naboo_philosopher_camp_mountain_neutral_large_theater', 'a philosopher mountain camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '490', 'naboo_mountain_outpost_rebel_large_theater', 'a Rebel mountain outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '491', 'naboo_capper_spineflap_hive_neutral_large', 'a capper spineflap hive');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '492', 'naboo_capper_spineflap_nest_neutral_large', 'a capper spineflap nest');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '493', 'naboo_capper_spineflap_pod_neutral_small', 'a capper spineflap nest');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '494', 'naboo_capper_spineflap_workerpod_neutral_medium', 'a capper spineflap worker nest');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '495', 'naboo_diseased_nuna_lair_neutral_small', 'a diseased nuna lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '496', 'naboo_gnort_lair_neutral_small', 'a gnort lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '497', 'naboo_gualama_large_lair_neutral_medium', 'a large gualama lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '498', 'naboo_gualama_small_lair_neutral_medium', 'a small gualama lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '499', 'naboo_kaadu_lair_neutral_medium', 'a kaadu lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '500', 'naboo_nuna_lair_neutral_medium', 'a nuna lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '501', 'naboo_plains_tusk_cat_pride_neutral_medium', 'a plains tusk cat lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '502', 'naboo_ankura_gungan_camp_neutral_large_theater', 'an Ankura Gungan camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '503', 'naboo_gungan_mercenary_camp_neutral_large_theater', 'a Gungan mercenary camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '504', 'naboo_gungan_military_base_neutral_large_theater', 'a Gungan military base');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '505', 'naboo_gungan_war_base_neutral_large_theater', 'a Gungan military base');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '506', 'naboo_otolla_gungan_camp_neutral_large_theater', 'an Otolla Gungan camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '507', 'naboo_narglatch_pride_neutral_medium', 'a narglatch lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '508', 'naboo_narglatch_male_neutral_none', 'a narglatch lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '509', 'naboo_kaadu_herd_neutral_none', 'a kaadu lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '510', 'naboo_fambaa_lair_neutral_large', 'a large fambaa lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '511', 'naboo_falumpaset_herd_neutral_large', 'a falumpaset lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '512', 'naboo_falumpaset_lair_neutral_large', 'a falumpaset lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '513', 'naboo_nuna_herd_neutral_none', 'a nuna lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '514', 'naboo_chuba_herd_neutral_none', 'a chuba lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '515', 'naboo_chuba_lair_neutral_small', 'a chuba lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '516', 'naboo_swamp_tusk_cat_pride_neutral_medium', 'a swamp tusk cat lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '517', 'naboo_swamp_tusk_cat_hunt_neutral_none', 'a swamp tusk cat lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '518', 'naboo_capper_spineflap_flight_neutral_none', 'a capper spineflap nest');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '519', 'naboo_fanned_rawl_hunter_neutral_none', 'a fanned rawl lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '520', 'naboo_fanned_rawl_lair_neutral_small', 'a fanned rawl lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '521', 'tatooine_dwarf_nuna_lair_neutral_medium', 'a dwarf nuna lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '522', 'base', 'a base');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '523', 'garbage', 'garbage');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '524', 'bones', 'a pile of bones');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '525', 'brambles', 'a cluster of brambles');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '526', 'dead_log', 'a dead log');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '527', 'insecthill', 'an insect hill');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '528', 'leaf', 'a pile of leaves');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '529', 'mound', 'a mound');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '530', 'nest', 'a nest');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '531', 'rocks', 'a pile of rocks');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '532', 'rock_shelter', 'a rocky shelter');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '533', 'thicket', 'a thicket');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '534', 'warren', 'a warren');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '535', 'wooden', 'a wooden structure');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '536', 'wooden_destroyed', 'a destroyed wooden structure');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '537', 'blackfish_underwater', 'an underwater blackfish lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '538', 'bluefish_underwater', 'an underwater bluefish lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '539', 'brackaset_desert', 'a desert brackaset lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '540', 'colo_claw_fish_underwater', 'an underwater colo claw fish lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '541', 'corellian_slice_hound_forest', 'a Corellian forest slice hound lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '542', 'crystal_snake_underwater', 'an underwater crystal snake lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '543', 'demo', 'a demo lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '544', 'dwarf_nuna_swamp', 'a swamp dwarf nuna lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '545', 'faa_underwater', 'an underwater faa lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '546', 'gubbur_underwater', 'an underwater gubbur lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '547', 'hutt_thug', 'a Hutt thug hideout');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '548', 'jellyfish_underwater', 'an underwater jellyfish lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '549', 'laa_underwater', 'an underwater laa lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '550', 'narglatch', 'a narglatch lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '551', 'narglatch_swamp', 'a swamp narglatch lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '552', 'nothing', 'an obscured object');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '553', 'opee_sea_killer_underwater', 'an underwater sea killer lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '554', 'pufferfish_underwater', 'an underwater pufferfish lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '555', 'ray_underwater', 'an underwater ray lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '556', 'spined_puc_underwater', 'an underwater spined puc lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '557', 'stormtrooper', 'a stormtrooper outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '558', 'striped_fish_underwater', 'an underwater striped fish lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '559', 'cave_giant_exterior_graul', 'a giant graul cave');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '560', 'cave_giant_exterior_kimogila', 'a giant kimogila cave');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '561', 'cave_giant_exterior_rancor', 'a giant rancor cave');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '562', 'cave_large_exterior_condor_dragon', 'a condor dragon cave');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '563', 'carve_large_exterior_gulginaw', 'a large gulginaw cave');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '564', 'cave_large_exterior_kaitok', 'a kaitok cave');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '565', 'cave_large_exterior_perlek', 'a perlek cave');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '566', 'cave_medium_exterior_gurk', 'a gurk cave');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '567', 'cave_medium_exterior_hanadak', 'a hanadak cave');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '568', 'cave_medium_exterior_mamien', 'a mamien cave');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '569', 'cave_medium_exterior_veermok', 'a veermok cave');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '570', 'hive_medium_exterior_dalyrake', 'a dalyrake hive');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '571', 'hive_medium_exterior_kliknik', 'a kliknik hive');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '572', 'hive_medium_exterior_merek', 'a merek hive');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '573', 'cave_giant_interior_graul', 'a graul cave');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '574', 'cave_giant_interior_kimogila', 'a kimogila cave');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '575', 'cave_giant_interior_krayt_dragon', 'a krayt dragon cave');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '576', 'cave_giant_interior_rancor', 'a rancor cave');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '577', 'cave_large_interior_with_nest_condor_dragon', 'a condor dragon cavern nest ');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '578', 'cave_large_interior_with_nest_gulginaw', 'a gulginaw cavern nest');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '579', 'cave_large_interior_with_nest_kai_tok', 'a kai tok cavern nest');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '580', 'cave_large_interior_with_nest_perlek', 'a perlek cavern nest');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '581', 'cave_medium_interior_gurk', 'a gurk cave');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '582', 'cave_medium_interior_hanadak', 'a hanadak cave');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '583', 'cave_medium_interior_mamien', 'a mamien cave');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '584', 'cave_medium_interior_veermok', 'a veermok cave');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '585', 'hive_medium_interior_dalyrake', 'a dalyrake hive');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '586', 'hive_medium_interior_kliknik', 'a kliknik hive');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '587', 'hive_medium_interior_merek', 'a merek hive');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '588', 'tusken_raider', 'a tusken raider camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '589', 'vog_eel_underwater', 'an underwater vog eel lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '590', 'voritor_lizard', 'a voritor lizard lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '591', 'voritor_lizard_grassland', 'a grassland voritor lizard lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '592', 'voritor_lizard_mountain', 'a mountain voritor lizard lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '593', 'tatooine_dwarf_nuna_herd_neutral_none', 'a nuna lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '594', 'tatooine_gorg_herd_neutral_none', 'a gorg lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '595', 'tatooine_gorg_lair_neutral_small', 'a gorg lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '596', 'tatooine_kreetle_herd_neutral_none', 'a kreetle lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '597', 'tatooine_kreetle_lair_neutral_small', 'a kreetle lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '598', 'tatooine_womprat_lair_neutral_small', 'a womp rat lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '599', 'tatooine_mutant_womprat_lair_neutral_small', 'a mutant womp rat lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '600', 'tatooine_mutant_womprat_herd_neutral_none', 'a mutant womp rat lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '601', 'tatooine_greater_womprat_lair_neutral_medium', 'a greater womp rat lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '602', 'tatooine_greater_womprat_herd_neutral_none', 'a greater womp rat lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '603', 'tatooine_worrt_lair_neutral_small', 'a small worrt lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '604', 'tatooine_worrt_herd_neutral_none', 'a worrt lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '605', 'tatooine_giant_worrt_lair_neutral_medium', 'a giant worrt lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '606', 'tatooine_giant_worrt_herd_neutral_none', 'a giant worrt lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '607', 'tatooine_rill_lair_neutral_small', 'a rill lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '608', 'tatooine_rill_pack_neutral_none', 'a rill lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '609', 'tatooine_eopie_lair_neutral_small', 'an eopie lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '610', 'tatooine_eopie_herd_neutral_none', 'an eopie lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '611', 'tatooine_desert_eopie_lair_neutral_small', 'a desert eopie lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '612', 'tatooine_desert_eopie_herd_neutral_none', 'a desert eopie lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '613', 'tatooine_jundland_eopie_lair_neutral_medium', 'a Jundland eopie lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '614', 'tatooine_jundland_eopie_herd_neutral_none', 'a Jundland eopie lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '615', 'tatooine_tatooine_mynock_lair_neutral_small', 'a Tatooine mynock lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '616', 'tatooine_tatooine_mynock_swarm_neutral_none', 'a Tatooine mynock lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '617', 'tatooine_rockmite_click_neutral_small', 'a rockmite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '618', 'tatooine_rockmite_swarm_neutral_none', 'a rockmite swarm\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '619', 'tatooine_mound_mite_click_neutral_small', 'a mound mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '620', 'tatooine_mound_mite_swarm_neutral_none', 'a mound mite swarm\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '621', 'tatooine_desert_squill_lair_neutral_small', 'a desert squill lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '622', 'tatooine_desert_squill_pack_neutral_none', 'a squill pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '623', 'tatooine_sevorrt_pack_neutral_none', 'a sevorrt pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '624', 'tatooine_scyk_lair_neutral_medium', 'a scyk lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '625', 'tatooine_scyk_pack_neutral_none', 'a scyk pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '626', 'tatooine_zucca_boar_lair_neutral_medium', 'a zucca boar lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '627', 'tatooine_zucca_boar_pack_neutral_none', 'a zucca boar pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '628', 'tatooine_cu_pa_lair_neutral_medium', 'a cu pa lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '629', 'tatooine_cu_pa_herd_neutral_none', 'a cu pa herd\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '630', 'tatooine_swarming_lesser_dewback_lair_neutral_large', 'a swarming lesser dewback lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '631', 'tatooine_swarming_lesser_dewback_herd_neutral_none', 'a swarming lesser dewback lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '632', 'tatooine_dewback_lair_neutral_large', 'a dewback lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '633', 'tatooine_dewback_herd_neutral_none', 'a dewback lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '634', 'tatooine_cannibal_dewback_lair_neutral_large', 'a cannibal dewback lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '635', 'tatooine_cannibal_dewback_herd_neutral_none', 'a cannibal dewback herd\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '636', 'tatooine_grizzled_dewback_lair_neutral_large', 'a grizzled dewback lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '637', 'tatooine_grizzled_dewback_herd_neutral_none', 'a grizzled dewback herd\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '638', 'tatooine_rogue_bantha_neutral_none', 'a bantha lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '639', 'tatooine_feral_bantha_lair_neutral_large', 'a feral bantha lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '640', 'tatooine_feral_bantha_herd_neutral_none', 'a feral bantha herd\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '641', 'tatooine_bull_bantha_lair_neutral_large', 'a bull bantha lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '642', 'tatooine_bull_bantha_herd_neutral_none', 'a bull bantha lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '643', 'tatooine_matriarch_bantha_lair_neutral_large', 'a matriarch bantha lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '644', 'tatooine_matriarch_bantha_herd_neutral_none', 'a matriarch bantha herd\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '645', 'tatooine_dune_bantha_lair_neutral_large', 'a dune bantha lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '646', 'tatooine_dune_bantha_herd_neutral_none', 'a dune bantha herd\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '647', 'tatooine_giant_sand_beetle_click_neutral_large', 'a giant sand beetle lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '648', 'tatooine_giant_sand_beetle_swarm_neutral_none', 'a giant sand beetle swarm\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '649', 'tatooine_dragonet_lair_neutral_medium', 'a dragonet lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '650', 'tatooine_dragonet_pack_neutral_none', 'a dragonet lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '651', 'tatooine_dune_lizard_lair_neutral_medium', 'a dune lizard lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '652', 'tatooine_dune_lizard_pack_neutral_none', 'a dune lizard pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '653', 'tatooine_ronto_lair_neutral_large', 'a ronto lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '654', 'tatooine_ronto_herd_neutral_none', 'a ronto lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '655', 'tatooine_canyon_krayt_dragon_lair_neutral_large', 'a canyon krayt dragon lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '656', 'tatooine_canyon_krayt_dragon_pack_neutral_none', 'a canyon krayt dragon pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '657', 'tatooine_giant_canyon_krayt_dragon_lair_neutral_large', 'a giant canyon krayt dragon lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '658', 'tatooine_giant_canyon_krayt_dragon_pack_neutral_none', 'a giant canyon krayt dragon lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '659', 'tatooine_dim_u_chapel_neutral_small_theater', 'a Dim U chapel building');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '660', 'tatooine_dim_u_church_neutral_large_theater', 'a Dim U church building');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '661', 'tatooine_hermit_neutral_small_theater', 'a hermit\'s residence');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '662', 'tatooine_jawa_squad_neutral_none', 'a Jawa squad\'s outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '663', 'tatooine_jawa_troop_neutral_none', 'a Jawa troop\'s outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '664', 'tatooine_jawa_warband_neutral_none', 'a Jawa warband camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '665', 'tatooine_moisture_settler_neutral_medium_theater', 'a moisture settler\'s storage area');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '666', 'tatooine_moisture_thief_neutral_medium_theater', 'a moisture thief camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '667', 'tatooine_nomad_neutral_small_theater', 'a nomad\'s camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '668', 'tatooine_valarian_swooper_neutral_small_theater', 'a Valarian swooper outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '669', 'tatooine_valarian_enforcer_neutral_medium_theater', 'a Valarian enforcer outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '670', 'tatooine_valarian_assasin_neutral_large_theater', 'a Valarian assassin hideout');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '671', 'tatooine_evil_hermit_neutral_none', 'an evil hermit\'s settlement');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '672', 'tatooine_evil_settlement_neutral_medium_theater', 'an evil settlement');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '673', 'tatooine_bomar_monk_church_neutral_large_theater', 'a Bomarr monk church');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '674', 'tatooine_bomar_monk_chapel_neutral_medium_theater', 'a Bomarr monk chapel');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '675', 'tatooine_jabba_swooper_camp_neutral_medium_theater', 'a Jabba swooper camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '676', 'tatoine_jabba_enforcer_camp_neutral_medium_theater', 'a Jabba enforcer camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '677', 'tatooine_jabba_assasin_camp_neutral_large_theater', 'a Jabba assassin hideout');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '678', 'tatooine_outcast_camp_neutral_small_theater', 'an outcast camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '679', 'tatooine_cannibal_neutral_none', 'a cannibal enclave');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '680', 'tatooine_desert_demon_patrol_neutral_none', 'a Desert Demon patrol outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '681', 'tatooine_desert_demon_outpost_neutral_large', 'a Desert Demon settlement');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '682', 'tatooine_spice_fiend_neutral_small_theater', 'a spice fiend camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '683', 'tatooine_tusken_raider_patrol_neutral_none', 'a Tusken Raider patrol outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '684', 'tatooine_tusken_raider_village_neutral_large_theater', 'a Tusken raider village');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '685', 'tatooine_tusken_raider_warband_neutral_none', 'a Tusken raider warband camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '686', 'tatooine_tusken_raider_kingdom_neutral_large_theater', 'a Tusken Raider city');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '687', 'tatooine_wandering_kitonak_neutral_none', 'a kitonak lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '688', 'tatooine_insane_kitonak_neutral_none', 'an insane kitonak lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '689', 'tatooine_trandosian_slaver_neutral_medium_theater', 'a Trandosian slaver camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '690', 'tatooine_dune_stalker_camp_neutral_medium_theater', 'a Dune Stalker camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '691', 'tatooine_outlaw_camp_neutral_medium_theater', 'an outlaw camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '692', 'tatooine_rodian_clan_outpost_neutral_large_theater', 'a Rodian clan camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '693', 'tatooine_weequay_outpost_neutral_large_theater', 'a Weequay settlement');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '694', 'tatooine_alkhara_bandit_outpost_neutral_large_theater', 'an Alkhara bandit settlement');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '695', 'tatooine_alkhara_bandit_patrol_neutral_none', 'an Alkhara bandit patrol outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '696', 'tatooine_bocatt_lair_neutral_medium', 'a bocatt lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '697', 'tatooine_bocatt_pack_neutral_none', 'a bocatt pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '698', 'tatooine_diseased_bocatt_lair_neutral_medium', 'a diseased bocatt lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '699', 'tatooine_diseased_bocatt_pack_neutral_none', 'a diseased bocatt pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '700', 'tatooine_mountain_dewback_lair_neutral_large', 'a mountain dewback lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '701', 'tatooine_mountain_squill_lair_neutral_medium', 'a mountain squill lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '702', 'tatooine_mountain_worrt_lair_neutral_large', 'a mountain worrt lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '703', 'tatooine_rock_beetle_click_neutral_medium', 'a rock beetle lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '704', 'tatooine_jabba_enforcer_camp_neutral_medium_theater', 'a Jabba enforcer camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '705', 'tatooine_womprat_herd_neutral_none', 'a womp rat herd\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '706', 'tatooine_squill_lair_neutral_small', 'a squill lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '707', 'tatooine_squill_pack_neutral_none', 'a squill pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '708', 'tatooine_mountain_squill_pack_neutral_none', 'a mountain squill pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '709', 'tatooine_mountain_dewback_herd_neutral_none', 'a mountain dewback herd\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '710', 'tatooine_rock_beetle_swarm_neutral_none', 'a rock beetle swarm\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '711', 'corellia_durni_herd_neutral_none', 'a durni lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '712', 'corellia_plumed_rasp_flight_neutral_none', 'a plumed rasp\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '713', 'corellia_scavenger_rat_pack_neutral_none', 'a scavenger rat pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '714', 'corellia_paralope_herd_neutral_none', 'a paralope lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '715', 'corellia_vrelt_pack_neutral_none', 'a vrelt lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '716', 'corellia_canoid_pack_neutral_none', 'a canoid lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '717', 'corellia_krahbu_herd_neutral_none', 'a krahbu lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '718', 'corellia_violent_krahbu_herd_neutral_none', 'a violent krahbu lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '719', 'corellia_carrion_spat_flock_neutral_none', 'a carrion spat lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '720', 'corellia_giant_carrion_spat_flock_neutral_none', 'a giant carrion spat lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '721', 'corellia_dire_cat_pack_neutral_none', 'a dire cat lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '722', 'corellia_grand_wrix_pack_neutral_none', 'a grand wrix lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '723', 'corellia_gronda_pack_neutral_none', 'a gronda lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '724', 'corellia_sharnaff_herd_neutral_none', 'a sharnaff lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '725', 'corellia_gulginaw_flight_neutral_none', 'a gulginaw lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '726', 'corellia_corsec_camp_neutral_medium_theater', 'a SorSec camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '727', 'corellia_corsec_platoon_neutral_none', 'a CorSec platoon station');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '728', 'corellia_corsec_base_neutral_theater', 'a CorSec base');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '729', 'corellia_corsec_truthfinder_neutral_none', 'a CorSec truthfinder camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '730', 'corellia_meatlump_camp_neutral_medium_theater', 'a Meatlump gang camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '731', 'corellia_swooper_camp_neutral_small_theater', 'a swooper camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '732', 'corellia_drall_camp_neutral_medium_theater', 'a Drall camp ');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '733', 'corellia_drall_patriot_camp_neutral_medium_theater', 'a Drall patriot camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '734', 'corellia_hidden_daggers_outpost_neutral_medium_theater', 'a Hidden Daggers outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '735', 'corellia_smashball_ruffians_neutral_none', 'a smashball ruffian hideout');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '736', 'corellia_beldonna_patrol_neutral_none', 'a Beldonna patrol outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '737', 'corellia_beldonna_base_neutral_large_theater', 'a Beldonna base');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '738', 'corellia_greck_base_neutral_large_theater', 'a Greck base');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '739', 'corellia_monumenter_smuggler_patrol_neutral_none', 'a Monumenter smuggler stash');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '740', 'corellia_monumenter_base_neutral_medium_theater', 'a Monumenter base');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '741', 'corellia_corellian_butterfly_flight_neutral_none', 'a Corellian butterfly hive');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '742', 'corellia_corellian_butterfly_pod_neutral_small', 'a Corellian butterfly pod\'s hive');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '743', 'corellia_durni_warren_neutral_small', 'a durni warren');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '744', 'corellia_crazed_durni_warren_neutral_small', 'a crazed durni warren');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '745', 'corellia_crazed_durni_herd_neutral_none', 'a crazed durni lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '746', 'corellia_humbaba_herd_neutral_none', 'a humbaba lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '747', 'corellia_scavenger_rat_lair_neutral_small', 'a scavenger rat lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '748', 'corellia_vynock_lair_neutral_small', 'a vynock lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '749', 'corellia_gurrcat_lair_neutral_medium', 'a gurrcat lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '750', 'corellia_wooded_paralope_lair_neutral_medium', 'a wooded paralope lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '751', 'corellia_wooded_paralope_herd_neutral_none', 'a wooded paralope lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '752', 'correlia_sand_panther_cub_hunt_neutral_none', 'a sand panther cub lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '753', 'corellia_sand_panther_cub_hunt_neutral_none', 'a sand panther cub lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '754', 'corellia_sand_panther_pride_neutral_medium', 'a sand panther pride\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '755', 'corellia_vrelt_lair_neutral_small', 'a vrelt lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '756', 'corellia_diseased_vrelt_lair_neutral_small', 'a diseased vrelt lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '757', 'corellia_diseased_vrelt_pack_neutral_small', 'a diseased vrelt lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '758', 'corellia_krahbu_lair_neutral_medium', 'a krahbu lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '759', 'corellia_violent_krahbu_lair_neutral_medium', 'a violent krahbu lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '760', 'corellia_bageraset_lair_neutral_medium', 'a bageraset lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '761', 'corellia_bageraset_herd_neutral_none', 'a bageraset lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '762', 'corellia_rogue_bageraset_neutral_none', 'a rogue bageraset lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '763', 'corellia_forest_slice_hound_lair_neutral_medium', 'a forest slice hound lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '764', 'corellia_forest_slice_hound_pack_neutral_none', 'a forest slice hound pack');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '765', 'corellia_dalyrake_lair_neutral_medium', 'a dalyrake lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '766', 'corellia_dalyrake_pack_neutral_none', 'a dalyrake pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '767', 'corellia_giant_dalyrake_lair_neutral_medium', 'a giant dalyrake lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '768', 'corellia_giant_dalyrake_pack_neutral_none', 'a giant dalyrake pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '769', 'corellia_forest_murra_lair_neutral_medium', 'a forest murra lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '770', 'corellia_forest_murra_herd_neutral_none', 'a forest murra herd\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '771', 'corellia_wrix_lair_neutral_medium', 'a wrix lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '772', 'corellia_deranged_wrix_lair_neutral_medium', 'a deranged wrix lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '773', 'corellia_deranged_wrix_pack_neutral_none', 'a deranged wrix pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '774', 'corellia_grand_wrix_lair_neutral_medium', 'a grand wrix lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '775', 'corellia_tabage_lair_neutral_none', 'a tabage lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '776', 'corellia_gronda_lair_neutral_large', 'a gronda lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '777', 'corellia_war_gronda_lair_neutral_large', 'a war gronda lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '778', 'corellia_war_gronda_pack_neutral_none', 'a war gronda pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '779', 'corelila_sharnaff_lair_neutral_large', 'a sharnaff lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '780', 'corellia_sharnaff_lair_neutral_none', 'a sharnaff lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '781', 'corellia_gulginaw_nest_neutral_medium', 'a gulginaw nest');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '782', 'corellia_devil_gulginaw_nest_neutral_medium', 'a devil gulginaw nest');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '783', 'corellia_greater_gulginaw_nest_neutral_medium', 'a greater gulginaw nest');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '784', 'corellia_knights_of_solitude_rebel_large_theater', 'a Rebel Knights of Solitude camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '785', 'corellia_afarathu_cult_patrol_neutral_none', 'an Afarathu cult center');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '786', 'corellia_flail_cut_throat_patrol_neutral_none', 'a Flail cutthroat patrol');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '787', 'corellia_flail_cut_throat_squad_neutral_none', 'a Flail cutthroat squad');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '788', 'corellia_flail_cut_throat_outpost_neutral_medium_theater', 'a Flail cutthroat outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '789', 'corellia_selonian_patrol_neutral_none', 'a Selonian patrol');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '790', 'corellia_selonian_assasin_neutral_large', 'a Selonian assassin gathering');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '791', 'corellia_selonian_outpost_neutral_large_theater', 'a Selonian outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '792', 'corellia_selonian_base_neutral_large_theater', 'a Selonian base');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '793', 'corellia_lord_nyax_chapel_neutral_medium_theater', 'a Lord Nyax follower chapel');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '794', 'corellia_lord_nyax_visionary_neutral_large_theater', 'a Lord Nyax visionary camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '795', 'corellia_paralope_lair_neutral_medium', 'a paralope lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '796', 'corellia_crimson_sand_panther_hunt_neutral_none', 'a crimson sand panther lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '797', 'corellia_crimson_sand_panther_pride_neutral_medium', 'a crimson sand panther pride\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '798', 'corellia_giant_carrion_spat_lair_neutral_medium', 'a giant carrion spat lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '799', 'corellia_afarathu_cult_outpost_neutral_medium', 'an Afarathu cult outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '800', 'corellia_gubbur_lair_neutral_small', 'a gubbur lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '801', 'corellia_gubbur_herd_neutral_none', 'a gubbur herd\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '802', 'corellia_giant_gubbur_lair_neutral_medium', 'a giant gubbur lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '803', 'corellia_giant_gubbur_herd_neutral_none', 'a giant gubbur herd\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '804', 'corellia_swamp_humbaba_lair_neutral_medium', 'a swamp humbaba lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '805', 'corellia_swamp_humbaba_herd_neutral_none', 'a swamp humbaba herd\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '806', 'corellia_savage_humbaba_lair_neutral_medium', 'a savage humbaba lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '807', 'corellia_savage_humbaba_herd_neutral_none', 'a savage humbaba herd\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '808', 'corellia_swamp_gurrcat_lair_neutral_medium', 'a swamp gurrcat lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '809', 'corellia_swamp_gurrcat_hunt_neutral_none', 'a swamp gurrcat lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '810', 'corellia_selonian_assasin_neutral_none', 'a Selonian assassin hideout');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '811', 'power_transformer', 'a power transformer');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '812', 'power_node', 'a power node');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '813', 'power_generator', 'a power generator');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '814', 'clan_monolith', 'a Clan monolith');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '815', 'main_terminal', 'a main terminal');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '816', 'gungan_warrior_statue', 'a Gungan warrior statue');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '817', 'data_terminal', 'a data terminal');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '818', 'banner_tatooine', 'a Tatooine banner');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '819', 'banner_corellia', 'a Corellia banner');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '820', 'global_stormtrooper', 'an Imperial building');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '821', 'global_explorer_neutral_none', 'an explorer\'s power source');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '822', 'tatooine_alkhara_bandit_outpost_neutral_large_theatre', 'an Alkhara bandit settlement');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '823', 'alkahara_bandit_camp', 'an Alkhara bandit camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '824', 'bandit_camp', 'a bandit camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '825', 'bantha_herd', 'a bantha herd\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '826', 'bomarr_monk_enclave', 'A Bomarr monk enclave');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '827', 'borvos_camp', 'A Borvo gang camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '828', 'borvos_gang', 'a Borvo gang structure');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '829', 'corellia_afarathu_cult_outpost_neutral_medium_theater', 'an Afarathu cult outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '830', 'corellia_corsec_base_neutral_large_theater', 'a CorSec base');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '831', 'corellia_dalyrake_nest_neutral_medium', 'A dalyrake nest');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '832', 'corellia_diseased_vrelt_lair_neutral_boss_01', 'a diseased vrelt lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '833', 'corellia_diseased_vrelt_lair_neutral_boss_02', 'a diseased vrelt lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '834', 'corellia_diseased_vrelt_lair_neutral_boss_03', 'a diseased vrelt lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '835', 'corellia_diseased_vrelt_lair_neutral_boss_04', 'a diseased vrelt lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '836', 'corellia_diseased_vrelt_pack_neutral_none', 'a diseased vrelt lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '837', 'corellia_diseased_vrelt_lair_neutral_small_01', 'a diseased vrelt lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '838', 'corellia_diseased_vrelt_lair_neutral_small_02', 'a diseased vrelt lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '839', 'corellia_diseased_vrelt_lair_neutral_small_03', 'a diseased vrelt lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '840', 'corellia_diseased_vrelt_lair_neutral_small_04', 'a diseased vrelt lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '841', 'corellia_mountain_murra_herd_neutral_none', 'a mountain murra lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '842', 'corellia_mountain_murra_lair_neutral_medium', 'a mountain murra lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '843', 'corellia_murra_lair_neutral_medium', 'a murra lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '844', 'corellia_rogue_bageraset_herd_neutral_none', 'a rogue bageraset lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '845', 'corellia_scavenger_rat_neutral_small', 'a scavenger rat lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '846', 'corellia_sharnaff_lair_neutral_large', 'a sharnaff lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '847', 'corellia_slice_hound_lair_neutral_medium', 'a Corellian slice hound lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '848', 'corellia_slice_hound_pack_neutral_none', 'A Corellian slice hound lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '849', 'corellia_tabage_lair_neutral_medium', 'a tabage lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '850', 'dantooine_abandoned_rebel_camp_rebel_small_theater', 'an abandoned Rebel camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '851', 'dantooine_bol_herd_neutral_none', 'a bol herd\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '852', 'dantooine_bol_lair_neutral_medium', 'a bol lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '853', 'dantooine_bol_seething_herd_neutral_none', 'a seething bol lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '854', 'dantooine_bol_seething_lair_neutral_medium', 'a seething bol lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '855', 'dantooine_dantari_battlelord_squad_neutral_none', 'a Dantari battlelord outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '856', 'dantooine_dantari_chief_squad_neutral_none', 'a Dantari chief outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '857', 'dantooine_dantari_raider_camp_neutral_large_theater', 'a Dantari raider camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '858', 'dantooine_dark_side_savage_neutral_none', 'a dark side savage gathering');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '859', 'dantooine_force_archaist_neutral_none', 'an archaist settlement ');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '860', 'dantooine_force_crypt_crawler_neutral_none', 'a crypt crawler\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '861', 'dantooine_force_crystal_hunter_neutral_none', 'a Force crystal hunter\'s camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '862', 'dantooine_force_mystic_neutral_none', 'A Force mystic\'s camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '863', 'dantooine_force_renegade_neutral_none', 'a renegade camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '864', 'dantooine_force_wilder_neutral_none', 'A wilder encampment');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '865', 'dantooine_graul_ancient_lair_neutral_large', 'an ancient graul lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '866', 'dantooine_graul_ancient_pack_neutral_none', 'an ancient graul lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '867', 'dantooine_graul_frenzied_lair_neutral_large', 'a frenzied graul lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '868', 'dantooine_graul_frenzied_pack_neutral_none', 'a frenzied graul lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '869', 'dantooine_graul_lair_neutral_medium', 'a graul lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '870', 'dantooine_graul_mauler_lair_neutral_large', 'a graul mauler lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '871', 'dantooine_graul_mauler_pack_neutral_none', 'a graul mauler lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '872', 'dantooine_graul_pack_neutral_none', 'a graul pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '873', 'dantooine_huurton_howler_lair_neutral_medium', 'a huurton howler lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '874', 'dantooine_huurton_howler_pack_neutral_none', 'a huurton howler pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '875', 'dantooine_huurton_huntress_pack_neutral_none', 'a huurton huntress lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '876', 'dantooine_huurton_matron_lair_neutral_medium', 'a huurton matron lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '877', 'dantooine_huurton_matron_pack_neutral_none', 'a huurton matron pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '878', 'dantooine_huurton_pack_neutral_none', 'a huurton pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '879', 'dantooine_huurton_stalker_pack_neutral_none', 'a huurton stalker lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '880', 'dantooine_janta_hunter_neutral_none', 'a Janta hunter lean-to');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '881', 'dantooine_janta_leader_camp_neutral_large_theater', 'a Janta leader encampment');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '882', 'dantooine_janta_rockshaper_camp_neutral_medium_theater', 'a Janta rockshaper camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '883', 'dantooine_janta_scout_neutral_none', 'a Janta scout outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '884', 'dantooine_janta_shaman_camp_neutral_medium_theater', 'A Janta shaman camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '885', 'dantooine_janta_warrior_camp_neutral_medium_theater', 'a Janta warrior camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '886', 'dantooine_janta_warrior_neutral_none', 'a Janta warrior outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '887', 'dantooine_kunga_hunter_neutral_none', 'a Kunga hunter lean-to');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '888', 'dantooine_kunga_leader_camp_neutral_large_theater', 'a Kunga leader encampment');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '889', 'dantooine_kunga_rockshaper_camp_neutral_medium_theater', 'a Kunga rockshaper camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '890', 'dantooine_kunga_scout_neutral_none', 'a Kunga scout outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '891', 'dantooine_kunga_warrior_camp_neutral_medium_theater', 'a Kunga warrior camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '892', 'dantooine_kunga_warrior_neutral_none', 'a Kunga warrior outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '893', 'dantooine_mokk_hunter_neutral_none', 'a Mokk hunter lean-to');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '894', 'dantooine_mokk_leader_camp_neutral_large_theater', 'a Mokk leader encampment');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '895', 'dantooine_mokk_rockshaper_neutral_none', 'a Mokk rockshaper camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '896', 'dantooine_mokk_scout_neutral_none', 'a Mokk scout outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '897', 'dantooine_mokk_shaman_camp_neutral_medium_theater', 'a Mokk shaman camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '898', 'dantooine_mokk_shaman_neutral_none', 'a Mokk shaman outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '899', 'dantooine_mokk_soothsayer_camp_neutral_medium_theater', 'a Mokk soothsayer camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '900', 'dantooine_mokk_warrior_neutral_none', 'a Mokk warrior outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '901', 'dantooine_picket_protector_lair_neutral_medium', 'a piket protector lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '902', 'dantooine_piket_longhorn_nerd_neutral_none', 'a piket longhorn lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '903', 'dantooine_piket_longhorn_lair_neutral_medium', 'a piket longhorn lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '904', 'dantooine_piket_plains_walker_herd_neutral_none', 'a piket plains walker lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '905', 'dantooine_piket_protector_herd_neutral_none', 'a piket protector lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '906', 'dantooine_quenker_bile_drenched_lair_neutral_medium', 'a quenker lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '907', 'dantooine_quenker_bile_drenched_pack_neutral_none', 'a quenker pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '908', 'dantooine_quenker_lair_neutral_medium', 'a quenker lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '909', 'dantooine_quenker_pack_neutral_none', 'a quenker lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '910', 'dantooine_quenker_ravager_lair_neutral_medium', 'a quenker lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '911', 'dantooine_quenker_ravager_pack_neutral_none', 'a quenker pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '912', 'dantooine_quenker_relic_reaper_lair_neutral_medium', 'a quenker lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '913', 'dantooine_quenker_relic_reaper_pack_neutral_none', 'a quenker pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '914', 'dantooine_quenker_savage_lair_neutral_medium', 'a savage quenker lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '915', 'dantooine_quenker_savage_pack_neutral_none', 'a savage quenker pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '916', 'dantooine_thune_guardian_neutral_none', 'a thune guardian lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '917', 'dantooine_thune_herd_neutral_none', 'a thune herd\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '918', 'dantooine_thune_lair_neutral_medium', 'a thune lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '919', 'dantooine_untrained_dark_side_neutral_none', 'an untrained dark side camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '920', 'dantooine_voritor_dasher_neutral_none', 'a voritor dasher lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '921', 'dantooine_voritor_hunter_lair_neutral_medium', 'a voritor hunter lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '922', 'dantooine_voritor_hunter_neutral_none', 'a voritor hunter lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '923', 'dantooine_voritor_jungle_lair_neutral_medium', 'a jungle voritor lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '924', 'dantooine_voritor_jungle_lizard_neutral_none', 'a jungle voritor lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '925', 'dantooine_voritor_tracker_lair_neutral_medium', 'a voritor tracker lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '926', 'dantooine_voritor_tracker_neutral_none', 'a voritor tracker lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '927', 'dantooine_voritor_vexed_neutral_none', 'a voritor lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '928', 'dark_jedi_camp', 'a Dark Jedi camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '929', 'dark_side_prophet_camp', 'a dark side prophet camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '930', 'dark_trooper_detachment', 'a Dark Trooper detachment');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '931', 'dathomir_baz_nitch_herd_neutral_none', 'a baz nitch lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '932', 'dathomir_baz_nitch_lair_neutral_small', 'a baz nitch lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '933', 'dathomir_bolma_herd_neutral_none', 'a bolma lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '934', 'dathomir_bolma_lair_neutral_medium', 'a bolma lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '935', 'dathomir_brackaset_family_herd_neutral_none', 'a brackaset family lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '936', 'dathomir_brackaset_family_lair_neutral_medium', 'a brackaset family lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '937', 'dathomir_brackaset_herd_neutral_none', 'a brackaset lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '938', 'dathomir_brackaset_lair_neutral_medium', 'a brackaset lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '939', 'dathomir_escaped_mtn_clan_slave_camp_neutral_medium_theater', 'an escaped slave encampment');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '940', 'dathomir_escaped_mtn_clan_slaves_neutral_none', 'an escaped slave camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '941', 'dathomir_escaped_nightsister_slave_camp_neutral_medium_theater', 'an escape slave encampment');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '942', 'dathomir_escaped_nightsister_slaves_neutral_none', 'an escaped slave camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '943', 'dathomir_gaping_spider_hunter_pack_neutral_none', 'a gaping spider pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '944', 'dathomir_gaping_spider_lair_neutral_medium', 'a gaping spider lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '945', 'dathomir_gaping_spider_pack_neutral_none', 'a gaping spider pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '946', 'dathomir_gaping_spider_queen_neutral_large', 'a gaping spider queen\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '947', 'dathomir_gaping_spider_recluse_lair_neutral_medium', 'a gaping spider recluse lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '948', 'dathomir_gaping_spider_recluse_pack_neutral_none', 'a gaping spider recluse lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '949', 'dathomir_giant_baz_nitch_herd_neutral_none', 'a giant baz nitch herd\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '950', 'dathomir_giant_baz_nitch_lair_neutral_medium', 'a giant baz nitch lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '951', 'dathomir_graul_ancient_lair_neutral_large', 'an ancient graul lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '952', 'dathomir_graul_ancient_pack_neutral_none', 'an ancient graul lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '953', 'dathomir_graul_frenzied_lair_neutral_large', 'a frenzied graul lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '954', 'dathomir_graul_frenzied_pack_neutral_none', 'a frenzied graul lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '955', 'dathomir_graul_lair_neutral_medium', 'a graul lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '956', 'dathomir_graul_mauler_lair_neutral_large', 'a graul mauler lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '957', 'dathomir_graul_mauler_pack_neutral_none', 'a graul mauler pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '958', 'dathomir_graul_pack_neutral_none', 'a graul pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '959', 'dathomir_kwi_lair_neutral_small', 'a kwi lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '960', 'dathomir_kwi_pack_neutral_none', 'a kwi pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '961', 'dathomir_malkloc_bull_herd_neutral_none', 'a malkloc bull lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '962', 'dathomir_malkloc_bull_lair_neutral_large', 'a malkloc bull lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '963', 'dathomir_malkloc_herd_neutral_none', 'a malkloc herd\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '964', 'dathomir_malkloc_lair_neutral_large', 'a malkloc lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '965', 'dathomir_mtn_clan_arch_witch_squad_neutral_none', 'a Singing Mountain clan focus');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '966', 'dathomir_mtn_clan_councilwoman_escort_neutral_none', 'a Singing Mountain clan focus');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '967', 'dathomir_mtn_clan_dragoon_squad_neutral_none', 'a Singing Mountain clan focus');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '968', 'dathomir_mtn_clan_enclave_neutral_large_theater', 'A Singing Mountain clan focus');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '969', 'dathomir_mtn_clan_huntress_squad_neutral_none', 'A Singing Mountain clan focus');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '970', 'dathomir_mtn_clan_initiate_neutral_large_theater', 'a Singing Mountain clan initiate focus');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '971', 'dathomir_mtn_clan_initiate_squad_neutral_none', 'a Singing Mountain clan initiate focus');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '972', 'dathomir_mtn_clan_outcast_camp_neutral_small_theater', 'a Singing Mountain clan outcast camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '973', 'dathomir_mtn_clan_outpost_neutral_large_theater', 'a Singing Mountain clan outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '974', 'dathomir_mtn_clan_rancor_tamer_neutral_large_theater', 'a rancor tamer encampment');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '975', 'dathomir_mtn_clan_rancor_tamer_squad_neutral_none', 'a rancor tamer camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '976', 'dathomir_mutant_baz_nitch_herd_neutral_none', 'a mutant baz nitch lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '977', 'dathomir_mutant_baz_nitch_lair_neutral_small', 'a mutant baz nitch lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '978', 'dathomir_nightsister_elder_enclave_neutral_large_theater', 'a Nightsister elder enclave');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '979', 'dathomir_nightsister_elder_escort_neutral_none', 'a Nightsister elder outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '980', 'dathomir_nightsister_outcast_camp_neutral_small_theater', 'a Nightsister outcast camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '981', 'dathomir_nightsister_rancor_tamer_neutral_none', 'a Nightsister rancor tamer outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '982', 'dathomir_nightsister_rangers_neutral_none', 'a Nightsister ranger lean-to');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '983', 'dathomir_nightsister_slaver_camp_neutral_small_theater', 'a Nightsister slaver camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '984', 'dathomir_nightsister_spell_weaver_camp_neutral_large_theater', 'a Nightsister spell weaver camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '985', 'dathomir_nightsister_spell_weaver_escort_neutral_none', 'a Nightsister spell weaver outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '986', 'dathomir_nightsister_stalker_neutral_none', 'a Nightsister stalker resting point');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '987', 'dathomir_purbole_elder_escort_neutral_none', 'a purbole elder lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '988', 'dathomir_purbole_elder_lair_neutral_medium', 'a purbole elder lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '989', 'dathomir_purbole_hunter_pack_neutral_none', 'a purbole hunter lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '990', 'dathomir_purbole_lair_neutral_medium', 'a purbole lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '991', 'dathomir_purbole_scout_pack_neutral_none', 'a purbole scout pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '992', 'dathomir_purbole_stalker_pack_neutral_none', 'a purbole stalker lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '993', 'dathomir_rancor_ancient_bull_lair_neutral_large', 'an ancient bull rancor lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '994', 'dathomir_rancor_ancient_bull_pack_neutral_none', 'an ancient bull rancor pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '995', 'dathomir_rancor_bull_lair_neutral_large', 'a bull rancor lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '996', 'dathomir_rancor_enraged_bull_lair_neutral_large', 'an enraged rancor lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '997', 'dathomir_rancor_enraged_lair_neutral_large', 'an enraged rancor lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '998', 'dathomir_rancor_enraged_pack_neutral_none', 'an enraged rancor pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '999', 'dathomir_rancor_gnarled_pack_neutral_none', 'a gnarled rancor pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1000', 'dathomir_rancor_lair_neutral_large', 'a rancor lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1001', 'dathomir_rancor_mutant_pack_neutral_none', 'a mutant rancor pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1002', 'dathomir_rancor_pack_neutral_none', 'a rancor pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1003', 'dathomir_rancor_young_pack_neutral_none', 'a young rancor pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1004', 'dathomir_reptilian_ancient_flyer_flock_neutral_none', 'an ancient reptilian flier nest');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1005', 'dathomir_reptilian_ancient_flyer_lair_neutral_large', 'an ancient reptilian flier nest');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1006', 'dathomir_reptilian_enraged_flyer_flock_neutral_none', 'an enraged reptilian flier nest');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1007', 'dathomir_reptilian_flyer_flock_neutral_none', 'a reptilian flier nest');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1008', 'dathomir_reptilian_mature_flyer_flock_neutral_none', 'a mature reptilian flier nest');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1009', 'dathomir_reptilian_mature_flyer_lair_neutral_large', 'a mature reptilian flier nest');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1010', 'dathomir_shear_mite_hunter_neutral_none', 'a shear mite hunter lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1011', 'dathomir_shear_mite_lurking_neutral_none', 'a lurking shear mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1012', 'dathomir_shear_mite_pack_neutral_none', 'a shear mite pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1013', 'dathomir_shear_mite_queen_lair_neutral_large', 'a shear mite queen lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1014', 'dathomir_shear_mite_reclusive_neutral_none', 'a reclusive shear mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1015', 'dathomir_stallion_bolma_herd_neutral_none', 'a bolma stallion lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1016', 'dathomir_stallion_bolma_lair_neutral_medium', 'a bolma stallion lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1017', 'dathomir_verne_bull_lair_neutral_large', 'a verne bull lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1018', 'dathomir_verne_herd_neutral_none', 'a verne lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1019', 'dervish_camp', 'a dervish camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1020', 'desert_demon_camp', 'a Desert Demon camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1021', 'dissident_village', 'a dissident village');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1022', 'domestic_eopie_farm', 'a domestic eopie farm');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1023', 'domestic_kaadu', 'a domestic kaadu farm');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1024', 'dum_u_retreat', 'a Dim U retreat');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1025', 'dim_u_retreat', 'a Dim U retreat');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1026', 'dune_stalker_camp', 'a dune stalker camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1027', 'endor_arachne_lair_neutral_boss_01', 'an arachne lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1028', 'endor_arachne_lair_neutral_boss_02', 'an arachne lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1029', 'endor_arachne_lair_neutral_boss_03', 'an arachne lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1030', 'endor_arachne_lair_neutral_boss_04', 'a venom filled arachne lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1033', 'endor_arachne_lair_neutral_small_01', 'an arachne lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1034', 'endor_arachne_lair_neutral_small_02', 'an arachne lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1035', 'endor_arachne_lair_neutral_small_03', 'an arachne drone lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1036', 'endor_arachne_lair_neutral_small_04', 'a venom filled arachne lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1121', 'endor_merek_lair_neutral_boss_01', 'a merek lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1122', 'endor_merek_lair_neutral_boss_02', 'a merek lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1123', 'endor_merek_lair_neutral_boss_03', 'a merek lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1124', 'endor_merek_lair_neutral_boss_04', 'a merek lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1126', 'endor_merek_lair_neutral_medium_01', 'a merek lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1127', 'endor_merek_lair_neutral_medium_02', 'a merek lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1128', 'endor_merek_lair_neutral_medium_03', 'a merek lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1129', 'endor_merek_lair_neutral_medium_04', 'a merek lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1167', 'evil_tatooine_village', 'an evil Tatooine village');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1168', 'global_2nd_lieutenant_squad_rebel_none', 'a Rebel squad outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1169', 'global_assassin_camp_neutral_small_theater', 'a small assassin camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1170', 'global_assault_trooper_imperial_none', 'an Imperial assault trooper outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1171', 'global_bandit_pack_neutral_none', 'a bandit enclave');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1172', 'global_bothan_diplomat_neutral_none', 'a Bothan diplomatic station');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1173', 'global_bounty_hunter_camp_neutral_small_theater', 'a bounty hunter camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1174', 'global_brigand_assasin_squad_neutral_none', 'a brigand gang outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1175', 'global_brigand_highwayman_camp_neutral_large_theater', 'a highwayman camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1176', 'global_brigand_highwayman_squad_neutral_none', 'a highwayman camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1177', 'global_brigand_leader_camp_neutral_large_theater', 'a large brigand camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1178', 'global_brigand_leader_squad_neutral_none', 'a brigand leader\'s squad outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1179', 'global_brigand_squad_neutral_none', 'a brigand squad outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1180', 'global_brigand_scout_squad_neutral_none', 'a brigand squad outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1181', 'global_captain_patrol_imperial_none', 'an Imperial squad outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1182', 'global_captain_squad_rebel_none', 'a Rebel squad outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1183', 'global_commoner_neutral_none', 'a commoner camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1184', 'global_corporal_patrol_rebel_none', 'a Rebel patrol outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1185', 'global_criminal_neutral_none', 'a criminal meet');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1186', 'global_dark_adept_neutral_none', 'a Dark Adept gathering');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1187', 'global_dark_jedi_camp_dark_jedi_theater', 'a Dark Jedi camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1188', 'global_dark_jedi_knight_neutral_none', 'a Dark Jedi Knight camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1189', 'global_dark_jedi_master_neutral_none', 'a Dark Jedi Master\'s camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1190', 'global_dark_trooper_imperial_none', 'an Imperial Dark Trooper outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1191', 'global_gambler_camp_neutral_small_theater', 'a gambling camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1192', 'global_high_general_imperial_none', 'an Imperial High General command post');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1193', 'global_hunter_neutral_none', 'a hunter camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1194', 'global_imperial_1st_lieutenant_camp_imperial_medium_theater', 'an Imperial encampment');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1195', 'global_imperial_colonel_camp_imperial_medium_theater', 'an Imperial encampment');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1196', 'global_imperial_command_security_camp_imperial_medium_theater', 'an Imperial Command security camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1197', 'global_imperial_compforce_trooper_camp_imperial_medium_theater', 'an Imperial CompForce encampment');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1198', 'global_imperial_large2_base_imperial_large_theater', 'a large Imperial base');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1199', 'global_imperial_large_base_imperial_large_theater', 'a large Imperial base');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1200', 'global_imperial_large_base_imperial_small_theater', 'a small Imperial base');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1201', 'global_imperial_major_camp_imperial_medium_theater', 'a medium Imperial base');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1202', 'global_imperial_mission_engineer_camp_imperial_medium_theater', 'an Imperial Engineer camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1203', 'global_imperial_outpost_imperial_large_theater', 'a large Imperial outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1204', 'global_imperial_outpost_imperial_small_theater', 'a small Imperial outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1205', 'global_imperial_scout_trooper_camp_imperial_medium_theater', 'an Imperial Scout Trooper camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1206', 'global_imperial_sergeant_camp_imperial_medium_theater', 'an Imperial Sergeant\'s camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1207', 'global_imperial_sgt_major_camp_imperial_medium_theater', 'an Imperial Sergeant Major\'s camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1208', 'global_imperial_small_base_imperial_small_theater', 'a small Imperial base');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1209', 'global_imperial_staff_cpl_camp_imperial_medium_theater', 'an Imperial Staff Corporal\'s camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1210', 'global_imperial_staff_sergeant_camp_imperial_medium_theater', 'an Imperial Staff Sergeant\'s camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1211', 'global_imperial_stormtrooper_camp2_imperial_large_theater', 'an Imperial stormtrooper camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1212', 'global_imperial_stormtrooper_camp2_imperial_small_theater', 'an Imperial stormtrooper camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1213', 'global_imperial_stormtrooper_camp_imperial_large_theater', 'an Imperial stormtrooper camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1214', 'global_imperial_stormtrooper_camp_imperial_medium_theater', 'an Imperial stormtrooper camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1215', 'global_imperial_warrant_officer_camp_imperial_medium_theater', 'an Imperial Warrant Officer\'s camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1216', 'global_information_broker_neutral_none', 'an information broker hide-out');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1217', 'global_outlaw_neutral_none', 'an outlaw hide-out');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1218', 'global_pirate_camp_neutral_small_theater', 'a small pirate camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1219', 'global_pirate_captain_camp_neutral_medium_theater', 'a medium pirate camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1220', 'global_pirate_cutthroat_camp_neutral_medium_theater', 'a medium pirate camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1221', 'global_pirate_dread_camp_neutral_large_theater', 'a pirate dread camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1222', 'global_pirate_leader_camp_neutral_medium_theater', 'a pirate camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1223', 'global_pirate_privateer_squad_neutral_none', 'a privateer outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1224', 'global_rebel_army_captain_camp_rebel_medium_theater', 'a Rebel Captain\'s camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1225', 'global_rebel_base2_rebel_large_theater', 'a large Rebel base');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1226', 'global_rebel_base3_rebel_large_theater', 'a large Rebel base');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1227', 'global_rebel_base_rebel_large_theater', 'a large Rebel base');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1228', 'global_rebel_brigadier_general_camp_rebel_large_theater', 'a Rebel Brigadier General\'s camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1229', 'global_rebel_network_leader_camp_rebel_medium_theater', 'a Rebel network leader\'s camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1230', 'global_rebel_patrol_camp2_rebel_small_theater', 'a Rebel patrol outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1231', 'global_rebel_patrol_camp3_rebel_small_theater', 'a Rebel patrol outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1232', 'global_rebel_patrol_camp_rebel_small_theater', 'a Rebel patrol outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1233', 'global_rebel_sgt_major_camp_rebel_medium_theater', 'a Rebel Sergeant Major\'s camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1234', 'global_rebel_spaceforce_trooper_camp_rebel_medium_theater', 'a Rebel SpecForce base');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1235', 'global_rebel_specforce_base2_rebel_large_theater', 'a large Rebel SpecForce base');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1236', 'global_rebel_specforce_base_rebel_large_theater', 'a large Rebel SpecForce base');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1237', 'global_rebel_specforce_camp2_rebel_large_theater', 'a large Rebel SpecForce base');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1238', 'global_rebel_specforce_camp2_rebel_small_theater', 'a small Rebel SpecForce base');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1239', 'global_rebel_specforce_camp_rebel_large_theater', 'a large Rebel SpecForce base');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1240', 'global_rebel_specforce_camp_rebel_small_theater', 'a small Rebel SpecForce base');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1241', 'global_rodian_thug_neutral_none', 'a Rodian thug gathering');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1242', 'global_sgt_patrol_imperial_none', 'an Imperial Sergeant\'s squad outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1243', 'global_sharpshooter_patrol_imperial_none', 'an Imperial Sharpshooter Patrol outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1244', 'global_slave_camp_neutral_small_theater', 'a black market trading camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1245', 'global_smuggler_neutral_none', 'a smuggler gathering');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1246', 'global_spaceforce_lieutenant_squad_rebel_none', 'a Rebel SpecForce squad outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1247', 'global_spaceforce_major_rebel_none', 'a Rebel SpecForce squad outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1248', 'global_spaceforce_marine_rebel_none', 'a Rebel SpecForce marine outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1249', 'global_spaceforce_pathfinder_rebel_none', 'a Rebel SpecForce pathfinder outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1250', 'global_specops_agent_rebel_none', 'a Rebel SpecOps agent hide-out');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1251', 'global_specops_rebel_none', 'a Rebel SpecOps camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1252', 'global_spynet_operative_neutral_none', 'a SpyNet operative hide-out');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1253', 'global_ssgt_patrol_rebel_none', 'a Rebel Sergeant\'s patrol outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1254', 'global_storm_commando_imperial_none', 'an Imperial Storm Commando camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1255', 'global_stormtrooper_rifleman_imperial_none', 'an Imperial rifleman squad outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1256', 'global_surface_marchal_imperial_none', 'an Imperial Surface Marshal\'s camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1257', 'global_surface_marshal_rebel_none', 'a Rebel Surface Marshal\'s camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1258', 'global_teras_kasi_master_neutral_none', 'a Teras Kasi Master\'s meditation point');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1259', 'global_terroist_camp_neutral_small_theater', 'a terrorist camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1260', 'global_thief_camp2_neutral_small_theater', 'a small thief camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1261', 'global_thief_camp_neutral_small_theater', 'a small thief camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1262', 'global_thug_neutral_none', 'a thug camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1263', 'global_wilder_explorer_squad_neutral_none', 'a wilder outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1264', 'global_wilder_frontiersman_camp_neutral_medium_theater', 'a medium wilder camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1265', 'global_wilder_frontiersman_squad_neutral_none', 'a wilder outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1266', 'global_wilder_outrider_squad_neutral_none', 'a wilder outrider outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1267', 'global_wilder_pathfinder_squad_neutral_none', 'a wilder outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1268', 'global_wilder_trailblazer_squad_neutral_none', 'a wilder trailblazer lean-to');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1269', 'global_wilder_traveller_squad_neutral_none', 'a wilder travelling rest');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1270', 'global_wilder_warder_squad_neutral_none', 'a wilder warder focus');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1271', 'global_wookiee_brawler_neutral_none', 'a Wookiee brawler\'s camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1272', 'gorg_farm', 'a gorg farm');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1273', 'great_plains_tusk_cat', 'a plains tusk cat lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1274', 'gungan_camp', 'a Gungan kamp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1275', 'gungan_kaadu', 'a Gungan kaadu ranch');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1276', 'imperial', 'an Imperial command base');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1277', 'imperial_compforce_base', 'an Imperial CompForce base');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1278', 'imperial_listening_post', 'an Imperial surveillance post');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1279', 'jabba_camp', 'a Jabba camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1280', 'jabba_swooper_camp', 'a Jabba swooper gang camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1281', 'jawa_camp', 'a Jawa encampment');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1282', 'kitonak_camp', 'a kitonak camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1283', 'krevol', 'a krevol lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1284', 'lok_blood_razor_camp_neutral_easy_theater', 'a Blood Razor camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1285', 'lok_blood_razor_camp_neutral_medium_theater', 'a Blood Razor encampment');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1286', 'lok_blood_razor_pack2_neutral_none', 'a Blood Razor pack outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1287', 'lok_blood_razor_pack3_neutral_none', 'a Blood Razor pack outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1288', 'lok_blood_razor_pack_neutral_none', 'a Blood Razer pack outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1289', 'lok_canyon_corsair_camp2_neutral_medium_theater', 'a Canyon Corsair camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1290', 'lok_canyon_corsair_camp_neutral_medium_theater', 'a Canyon Corsair camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1291', 'lok_canyon_corsair_patrol2_neutral_none', 'a Canyon Corsair patrol outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1292', 'lok_canyon_corsair_patrol_neutral_none', 'a Canyon Corsair patrol outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1293', 'lok_droideka_patrol_neutral_none', 'a droideka patrol recharge point');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1294', 'lok_flit_lair2_neutral_medium', 'a flit lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1295', 'lok_flit_lair_neutral_medium', 'a flit lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1296', 'lok_flit_pack2_neutral_none', 'a flit pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1297', 'lok_flit_pack_neutral_none', 'a flit pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1298', 'lok_gurk_herd_neutral_none', 'a gurk lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1299', 'lok_gurk_lair2_neutral_medium', 'a gurk lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1300', 'lok_gurk_lair_neutral_boss_01', 'a gurk lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1301', 'lok_gurk_lair_neutral_boss_02', 'a gurk lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1302', 'lok_gurk_lair_neutral_boss_03', 'a gurk lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1303', 'lok_gurk_lair_neutral_boss_04', 'a gurk lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1304', 'lok_gurk_lair_neutral_medium', 'a gurk lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1305', 'lok_gurk_lair_neutral_small', 'a gurk lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1306', 'lok_gurk_lair_neutral_small_01', 'a gurk lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1307', 'lok_gurk_lair_neutral_small_02', 'a gurk lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1308', 'lok_gurk_lair_neutral_small_03', 'a gurk lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1309', 'lok_gurk_lair_neutral_small_04', 'a gurk lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1310', 'lok_gurk_pack2_neutral_none', 'a gurk lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1311', 'lok_gurk_pack_neutral_none', 'a gurk lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1312', 'lok_gurnaset_herd_neutral_none', 'a gurnaset lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1313', 'lok_gurnaset_lair_neutral_medium', 'a gurnaset lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1314', 'lok_kimogilla_lair2_neutral_medium', 'a kimogila lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1315', 'lok_kimogilla_lair_neutral_medium', 'a kimogila lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1316', 'lok_kimogilla_pack2_neutral_none', 'a kimogila pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1317', 'lok_kimogilla_pack3_neutral_none', 'a kimogila pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1318', 'lok_kimogilla_pack_neutral_none', 'a kimogila pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1319', 'lok_kuppernug_lair2_neutral_medium', 'a kuppernug lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1320', 'lok_kuppernug_lair_neutral_medium', 'a kuppernug lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1321', 'lok_kuppernug_pack2_neutral_none', 'a kuppernug pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1322', 'lok_kuppernug_pack_neutral_none', 'a kuppernug pack');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1323', 'lok_kusak_lair2_neutral_medium', 'a medium kusak lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1324', 'lok_kusak_lair_neutral_medium', 'a medium kusak lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1325', 'lok_kusak_pack2_neutral_none', 'a kusak pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1326', 'lok_kusak_pack_neutral_none', 'a kusak pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1327', 'lok_langlatch_lair_neutral_medium', 'a langlatch lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1328', 'lok_langlatch_pack2_neutral_none', 'a langlatch pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1329', 'lok_langlatch_pack_neutral_none', 'a langlatch pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1330', 'lok_marooned_pirate_camp_neutral_medium_theater', 'a medium marooned pirate camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1331', 'lok_marooned_pirate_patrol2_neutral_none', 'a marooned pirate patrol outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1332', 'lok_marooned_pirate_patrol_neutral_none', 'a marooned pirate patrol outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1333', 'lok_mercenary_camp2_neutral_medium_theater', 'a mercenary camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1334', 'lok_mercenary_camp_neutral_medium_theater', 'a mercenary camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1335', 'lok_mercenary_patrol2_neutral_none', 'a mercenary patrol outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1336', 'lok_mercenary_patrol_neutral_none', 'a mercenary patrol outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1337', 'lok_mynock_lair_neutral_medium', 'a mynock lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1338', 'lok_mynock_pack2_neutral_none', 'a mynock pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1339', 'lok_mynock_pack_neutral_none', 'a mynock pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1340', 'lok_nym_base2_neutral_large_theater', 'a large Nym base');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1341', 'lok_nym_base_neutral_large_theater', 'a large Nym base');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1342', 'lok_nym_camp2_neutral_medium_theater', 'a Nym camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1343', 'lok_nym_camp_neutral_medium_theater', 'a Nym camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1344', 'lok_nym_patrol2_neutral_none', 'a Nym patrol outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1345', 'lok_nym_patrol3_neutral_none', 'a Nym patrol outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1346', 'lok_nym_patrol4_neutral_none', 'a Nym patrol outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1347', 'lok_nym_patrol_neutral_none', 'a Nym patrol outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1348', 'lok_perlek_lair_neutral_medium', 'a perlek lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1349', 'lok_perlek_pack_neutral_none', 'a perlek pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1350', 'lok_pharple_lair_neutral_medium', 'a pharple lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1351', 'lok_pharple_pack_neutral_none', 'a pharple pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1352', 'lok_snorbal_pack2_neutral_none', 'a snorbal lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1353', 'lok_snorbal_pack3_neutral_none', 'a snorbal lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1354', 'lok_snorbal_pack_neutral_none', 'a snorbal lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1355', 'lok_spinded_snake_lair2_neutral_medium', 'a spined snake den');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1356', 'lok_spinded_snake_lair_neutral_medium', 'a spined snake den');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1357', 'lok_spined_snake_pack2_neutral_none', 'a spined snake pack\'s den');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1358', 'lok_spined_snake_pack_neutral_none', 'a spined snake pack\'s den');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1359', 'lok_vesp_lair2_neutral_medium', 'a vesp lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1360', 'lok_vesp_lair_neutral_medium', 'a vesp lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1361', 'lok_vesp_pack2_neutral_none', 'a vesp pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1362', 'lok_vesp_pack_neutral_none', 'a vesp pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1363', 'mauler_gang', 'a Mauler gang encampment');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1364', 'moisture_farm', 'a moisture farm');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1365', 'mos_eisley_police_squad', 'a Mos Eisley police building');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1366', 'mountain_ikopi', 'a mountain ikopi lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1367', 'mountain_krevol', 'a mountain krevol lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1368', 'naboo_bark_mite_lair_neutral_boss_01', 'a bark mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1369', 'naboo_bark_mite_lair_neutral_boss_02', 'a bark mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1370', 'naboo_bark_mite_lair_neutral_boss_03', 'a bark mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1371', 'naboo_bark_mite_lair_neutral_boss_04', 'a bark mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1372', 'naboo_bark_mite_lair_neutral_small', 'a small bark mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1373', 'naboo_bark_mite_lair_neutral_small_01', 'a small bark mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1374', 'naboo_bark_mite_lair_neutral_small_02', 'a small bark mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1375', 'naboo_bark_mite_lair_neutral_small_03', 'a small bark mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1376', 'naboo_bark_mite_lair_neutral_small_04', 'a small bark mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1377', 'naboo_capper_spineflap_escort_neutral_none', 'a capper spineflap nest');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1378', 'naboo_capper_spineflap_swarm_neutral_none', 'a capper spineflap swarm\'s nest');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1379', 'naboo_diseased_nuna_herd_neutral_small', 'a diseased nuna lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1380', 'naboo_flesh_eating_chuba_lair_neutral_small', 'a flesh-eating chuba lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1381', 'naboo_flesh_eating_chuba_pack_neutral_none', 'a flesh-eating chuba lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1382', 'naboo_flewt_lair_meutral_small_01', 'a small flewt lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1383', 'naboo_flewt_lair_neutral_small_01', 'a small flewt lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1384', 'naboo_flewt_lair_meutral_small_02', 'a small flewt lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1385', 'naboo_flewt_lair_neutral_small_02', 'a small flewt lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1386', 'naboo_flewt_lair_meutral_small_03', 'a small flewt lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1387', 'naboo_flewt_lair_neutral_small_03', 'a small flewt lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1388', 'naboo_flewt_lair_meutral_small_04', 'a small flewt lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1389', 'naboo_flewt_lair_neutral_small_04', 'a small flewt lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1390', 'naboo_flewt_lair_neutral_boss_01', 'a flewt lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1391', 'naboo_flewt_lair_neutral_boss_02', 'a flewt lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1392', 'naboo_flewt_lair_neutral_boss_03', 'a flewt lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1393', 'naboo_flewt_lair_neutral_boss_04', 'a flewt lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1394', 'naboo_flewt_lair_neutral_small', 'a small flewt lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1395', 'naboo_flewt_swarm_neutral_none', 'a flewt lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1396', 'naboo_gnort_group_neutral_none', 'a gnort lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1397', 'naboo_gualama_herd_neutral_none', 'a gualama lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1398', 'naboo_gualama_troop_neutral_none', 'a gualama lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1399', 'naboo_gungan_hermit_neutral_small_theater', 'a Gungan hermit\'s ruins');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1400', 'naboo_gungan_war_troop_neutral_none', 'a Gungan war troop outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1401', 'naboo_hermit_spider_lair_neutral_boss_01', 'a hermit spider lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1402', 'naboo_hermit_spider_lair_neutral_boss_02', 'a hermit spider lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1403', 'naboo_hermit_spider_lair_neutral_boss_03', 'a hermit spider lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1404', 'naboo_hermit_spider_lair_neutral_boss_04', 'a hermit spider lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1405', 'naboo_hermit_spider_lair_neutral_small', 'a hermit spider lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1406', 'naboo_hermit_spider_lair_neutral_small_01', 'a hermit spider lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1407', 'naboo_hermit_spider_lair_neutral_small_02', 'a hermit spider lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1408', 'naboo_hermit_spider_lair_neutral_small_03', 'a hermit spider lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1409', 'naboo_hermit_spider_lair_neutral_small_04', 'a hermit spider lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1410', 'naboo_krevol_lair_neutral_boss_01', 'a krevol lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1411', 'naboo_krevol_lair_neutral_boss_02', 'a krevol lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1412', 'naboo_krevol_lair_neutral_boss_03', 'a krevol lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1413', 'naboo_krevol_lair_neutral_boss_04', 'a krevol lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1414', 'naboo_krevol_lair_neutral_small_01', 'a small krevol lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1415', 'naboo_krevol_lair_neutral_small_02', 'a small krevol lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1416', 'naboo_krevol_lair_neutral_small_03', 'a small krevol lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1417', 'naboo_krevol_lair_neutral_small_04', 'a small krevol lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1418', 'naboo_mott_herd_neutral_none', 'a mott lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1419', 'naboo_mott_lair_neutral_medium', 'a mott lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1420', 'naboo_narglatch_female_neutral_none', 'a narglatch lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1421', 'naboo_narglatch_youngling_neutral_none', 'a narglatch youngling lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1422', 'naboo_nightspider_lair_neutral_boss_01', 'a nightspider lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1423', 'naboo_nightspider_lair_neutral_boss_02', 'a nightspider lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1424', 'naboo_nightspider_lair_neutral_boss_03', 'a nightspider lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1425', 'naboo_nightspider_lair_neutral_boss_04', 'a nightspider lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1426', 'naboo_nightspider_lair_neutral_small_01', 'a nightspider lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1427', 'naboo_nightspider_lair_neutral_small_02', 'a nightspider lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1428', 'naboo_nightspider_lair_neutral_small_03', 'a nightspider lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1429', 'naboo_nightspider_lair_neutral_small_04', 'a nightspider lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1430', 'naboo_nuna_carnivor_event_neutral_none', 'a nuna carnivore hunting ground');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1431', 'naboo_philosopher_camp_neutral_large_theater', 'a large philosopher camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1432', 'naboo_plains_tusk_cat_hunt_neutral_none', 'a plains tusk cat lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1433', 'naboo_plains_tusk_cat_stalker_neutral_none', 'a plains tusk cat stalker lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1434', 'naboo_rogue_falumpaset_neutral_none', 'a rogue falumpaset lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1435', 'naboo_swamp_rat_lair_neutral_small', 'a swamp rat lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1436', 'naboo_swamp_rat_pack_neutral_none', 'a swamp rat pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1437', 'naboo_swamp_trooper_outpost_imperial_large_theater', 'an Imperial Swamp Trooper base');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1438', 'naboo_swamp_tusk_cat_stalker_neutral_none', 'a swamp tusk cat stalker lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1439', 'naboo_veermok_holdfast_neutral_medium', 'a Veermok holdfast');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1440', 'nightspider', 'a nightspider lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1441', 'nobles_camp', 'a noble\'s camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1442', 'nomad_camp', 'a nomad camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1443', 'patrol_test', 'a patrol outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1444', 'philosopher_camp', 'a philosopher camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1446', 'rebel_detachment', 'a Rebel detachment post');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1447', 'rebel_listening_post', 'a Rebel surveillance post');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1448', 'rebel_spy_cell', 'a Rebel spy cell');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1449', 'rodian_tribe_camp', 'a Rodian tribal camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1450', 'ronto_herd', 'a ronto lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1451', 'rori_borgle_lair_neutral_large', 'a large borgle lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1452', 'rori_borgle_pack_neutral_none', 'a borgle pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1453', 'rori_brigade_base_neutral_large_theater', 'a large Brigade base');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1454', 'rori_brigade_camp_neutral_large_theater', 'a large Brigade camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1455', 'rori_brigade_infiltrator_neutral_none', 'a Brigade infiltrator outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1456', 'rori_brigade_squad_neutral_none', 'a Brigade squad outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1457', 'rori_capper_spineflap_escort_neutral_none', 'a capper spineflap nest');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1458', 'rori_capper_spineflap_flight_neutral_none', 'a capper spineflap nest');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1459', 'rori_capper_spineflap_hive_neutral_large', 'a large capper spineflap hive');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1460', 'rori_capper_spineflap_nest_neutral_large', 'a large capper spineflap nest');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1461', 'rori_capper_spineflap_pod_neutral_small', 'a capper spineflap pod\'s nest');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1462', 'rori_capper_spineflap_workerpod_neutral_medium', 'a capper spineflap worker nest');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1463', 'rori_chared_krevol_lair_neutral_medium', 'a charred krevol lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1464', 'rori_chared_krevol_pack_neutral_none', 'a charred krevol pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1465', 'rori_cobral_assasin_neutral_none', 'a Neo-Cobral assassin hide-out');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1466', 'rori_cobral_boss_camp_neutral_large_theater', 'a large Neo-Cobral camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1467', 'rori_cobral_overlord_camp_neutral_large_theater', 'a Neo-Cobral overlord camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1468', 'rori_cobral_runner_neutral_none', 'a Neo-Cobral runner waystation');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1469', 'rori_dashing_vir_vur_lair_neutral_small', 'a small vir vur lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1470', 'rori_dashing_vir_vur_pack_neutral_none', 'a vir vur pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1471', 'rori_deranged_squall_pack_neutral_none', 'a deranged squall pack\'s warren');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1472', 'rori_deranged_squall_warren_neutral_medium', 'a deranged squall warren');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1473', 'rori_elder_pugoriss_lair_neutral_medium', 'an elder pugoriss lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1474', 'rori_elder_pugoriss_pack_neutral_none', 'an elder pugoriss pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1475', 'rori_forest_mite_lair_neutral_small', 'a small forest mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1476', 'rori_forest_mite_neutral_boss_01', 'a forest mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1477', 'rori_forest_mite_neutral_boss_02', 'a forest mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1478', 'rori_forest_mite_neutral_boss_03', 'a forest mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1479', 'rori_forest_mite_neutral_boss_04', 'a forest mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1480', 'rori_forest_mite_neutral_small_01', 'a small forest mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1481', 'rori_forest_mite_neutral_small_02', 'a small forest mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1482', 'rori_forest_mite_neutral_small_03', 'a small forest mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1483', 'rori_forest_mite_neutral_small_04', 'a small forest mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1484', 'rori_forest_mite_swarm_neutral_none', 'a forest mite swarm\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1485', 'rori_fuzzy_jax_lair_neutral_medium', 'a fuzzy jax lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1486', 'rori_fuzzy_jax_pack_neutral_none', 'a fuzzy jax pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1487', 'rori_garyn_raiders_camp_neutral_medium_theater', 'a medium Garyn raider camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1488', 'rori_garyn_raiders_outpost_neutral_large_theater', 'a large Garyn raider base');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1489', 'rori_garyn_raiders_platoon_neutral_none', 'a Garyn raider platoon outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1490', 'rori_garyn_raiders_squad_neutral_none', 'a Garyn raider squad outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1491', 'rori_gualama_herd_neutral_none', 'a gualama lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1492', 'rori_gualama_large_lair_neutral_medium', 'a large gualama lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1493', 'rori_gualama_small_lair_neutral_medium', 'a small gualama lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1494', 'rori_gualama_troop_neutral_none', 'a gualama lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1495', 'rori_hermit_spider_neutral_none', 'a hermit spider lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1496', 'rori_ikopi_herd_neutral_none', 'an ikopi lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1497', 'rori_ikopi_lair_neutral_medium', 'an ikopi lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1498', 'rori_kai_tok_lair_neutral_medium', 'a kai tok lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1499', 'rori_kai_tok_pack_neutral_none', 'a kai tok pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1500', 'rori_kobola_assasin_neutral_none', 'a Kobola assassin camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1501', 'rori_kobola_miner_base_neutral_large_theater', 'a Kobola miner base');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1502', 'rori_kobola_smuggler_neutral_none', 'a Kobola smuggler camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1503', 'rori_kobola_underboss_base_neutral_large_theater', 'a Kobola underboss base');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1504', 'rori_leviasquall_pack_neutral_none', 'a leviasquall warren');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1505', 'rori_leviasquall_warren_neutral_medium', 'a leviasquall warren');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1506', 'rori_mammoth_jax_lair_neutral_large', 'a mammoth jax lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1507', 'rori_mammoth_jax_pack_neutral_none', 'a mammoth jax pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1508', 'rori_mauler_conclave_neutral_large_theater', 'a large Mauler conclave');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1509', 'rori_mauler_pilgrimage_neutral_none', 'a Mauler pilgrimage rest station');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1510', 'rori_mauler_roamers_neutral_none', 'a Mauler roamer camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1511', 'rori_mauler_sect_neutral_medium_theater', 'a Mauler sect building');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1512', 'rori_midnight_vir_vur_lair_neutral_medium', 'a midnight vir vur lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1513', 'rori_midnight_vir_vur_pack_neutral_none', 'a midnight vir vur pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1514', 'rori_mountain_ikopi_herd_neutral_none', 'a mountain ikopi lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1515', 'rori_mountain_ikopi_lair_neutral_medium', 'a mountain ikopi lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1516', 'rori_mountain_torton_lair_neutral_large', 'a mountain torton lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1517', 'rori_mountain_torton_pack_neutral_none', 'a mountain torton pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1518', 'rori_narmle_base_neutral_large_theater', 'a Narmle military base');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1519', 'rori_narmle_camp_neutral_large_theater', 'a Narmle military camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1520', 'rori_narmle_commando_patrol_neutral_none', 'a Narmle military commando outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1521', 'rori_narmle_patrol_neutral_none', 'a Narmle military patrol outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1522', 'rori_nightspider_lair_neutral_small', 'a nightspider lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1523', 'rori_nightspider_pack_neutral_none', 'a nightspider pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1524', 'rori_nudfuh_lair_neutral_medium', 'a nudfuh lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1525', 'rori_nudfuh_pack_neutral_none', 'a nudfuh pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1526', 'rori_plains_tusk_cat_hunt_neutral_none', 'a plains tusk cat lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1527', 'rori_plains_tusk_cat_pride_neutral_medium', 'a plains tusk cat pride\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1528', 'rori_ravenous_torton_lair_neutral_large', 'a ravenous torton lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1529', 'rori_ravenous_torton_pack_neutral_none', 'a ravenous torton pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1530', 'rori_rorgungan_scouts_neutral_none', 'a Rorgungan scout outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1531', 'rori_rorgungan_town_neutral_large_theater', 'a Rorgungan village');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1532', 'rori_rorgungan_warband_neutral_none', 'a Rorgungan warband outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1533', 'rori_rorgungan_warcamp_neutral_large_theater', 'a large Rorgungan warcamp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1534', 'rori_savage_pugoriss_lair_neutral_medium', 'a savage pugoriss lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1535', 'rori_savage_pugoriss_pack_neutral_none', 'a savage pugoriss pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1536', 'rori_shallow_torton_lair_neutral_medium', 'a shallow torton lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1537', 'rori_shallow_torton_pack_neutral_none', 'a shallow torton pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1538', 'rori_sickle_rasp_nest_neutral_medium', 'a sickle rasp nest');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1539', 'rori_sickle_rasp_pack_neutral_none', 'a sickle rasp swarm\'s nest');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1540', 'rori_spice_collective_courier_neutral_none', 'a Spice Collective courier drop point');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1541', 'rori_spice_collective_miner_base_neutral_large_theater', 'a Spice Collective mining base');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1542', 'rori_spice_collective_mineral_scouts_neutral_none', 'a Spice Collective mineral scout resting station');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1543', 'rori_squall_pack_neutral_none', 'a squall pack\'s warren');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1544', 'rori_squall_warren_neutral_medium', 'a squall warren');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1545', 'rori_swamp_tusk_cat_hunt_neutral_none', 'a swamp tusk cat lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1546', 'rori_swamp_tusk_cat_pride_neutral_medium', 'a swamp tusk cat pride\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1547', 'rori_tattered_torton_lair_neutral_large', 'a tattered torton lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1548', 'rori_tattered_torton_pack_neutral_large', 'a tattered torton pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1549', 'rori_torton_lair_neutral_large', 'a torton lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1550', 'rori_torton_pack_neutral_none', 'a torton pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1551', 'rori_trade_federation_camp_neutral_large_theater', 'a Trade Federation encampment');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1552', 'rori_trade_federation_roamers_neutral_none', 'a Trade Federation roamer outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1553', 'rori_vrobal_bull_lair_neutral_medium', 'a vrobal bull lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1554', 'rori_vrobal_bull_pack_neutral_none', 'a vrobal bull pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1555', 'rori_vrobal_lair_neutral_medium', 'a vrobal lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1556', 'rori_vrobal_pack_neutral_none', 'a vrobal pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1557', 'rori_vrobalr_bull_pack_neutral_none', 'a vrobal bull pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1558', 'rori_vrobalr_pack_neutral_none', 'a vrobal pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1559', 'rori_wood_mite_lair_neutral_boss_01', 'a wood mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1560', 'rori_wood_mite_lair_neutral_boss_02', 'a wood mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1561', 'rori_wood_mite_lair_neutral_boss_03', 'a wood mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1562', 'rori_wood_mite_lair_neutral_boss_04', 'a wood mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1563', 'rori_wood_mite_lair_neutral_small', 'a small wood mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1564', 'rori_wood_mite_lair_neutral_small_01', 'a small wood mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1565', 'rori_wood_mite_lair_neutral_small_02', 'a small wood mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1566', 'rori_wood_mite_lair_neutral_small_03', 'a small wood mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1567', 'rori_wood_mite_lair_neutral_small_04', 'a small wood mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1568', 'rori_wood_mite_swarm_neutral_none', 'a wood mite swarm\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1569', 'rori_wormed_vrobal_lair_neutral_medium', 'a wormed vrobal lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1570', 'rori_wormed_vrobal_pack_neutral_none', 'a wormed vrobal pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1571', 'slaver_camp', 'a slaver camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1572', 'small_imperial_prison_facility', 'a small Imperial prison facility');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1573', 'small_village', 'a small village');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1574', 'specforce_garrison', 'a SpecForce garrison');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1575', 'specops_base', 'a SpecOps base');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1576', 'spineflap', 'a spineflap lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1577', 'stormtrooper_tatooine_camp', 'a Tatooine stormtrooper camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1578', 'swamp_tusk_cat', 'a swamp tusk cat lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1579', 'swoop_gang', 'a swoop gang camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1580', 'talus_aakuan_champion_camp_neutral_large_theater', 'a large Aa\'kuan champion camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1581', 'talus_aakuan_sentinal_patrol_neutral_none', 'an Aa\'kuan sentinel outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1582', 'talus_aakuan_steward_camp_neutral_small_theater', 'an Aa\'kuan steward camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1583', 'talus_aakuan_warder_patrol_neutral_none', 'an Aa\'kuan warder outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1584', 'talus_beldonna_base_neutral_large_theater', 'a large Beldonna base');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1585', 'talus_beldonna_patrol_neutral_none', 'a Beldonna patrol outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1586', 'talus_beserk_kahmurra_lair_neutral_medium', 'a berserk kahmurra lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1587', 'talus_beserk_kahmurra_pack_neutral_none', 'a berserk kahmurra pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1588', 'talus_binayre_chief_camp_neutral_large_theater', 'a large Binayre chief camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1589', 'talus_binayre_pirate_camp_neutral_medium_theater', 'a medium Binayre pirate camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1590', 'talus_binayre_ruffian_patrol_neutral_none', 'a Binayre ruffian patrol outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1591', 'talus_binayre_smuggler_patrol_neutral_none', 'a Binayre smuggler drop-point');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1592', 'talus_corsec_traitor_base_neutral_medium_theater', 'a CorSec traitor encampment');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1593', 'talus_corsec_truthfinder_neutral_none', 'a CorSec truthfinder way station');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1594', 'talus_crazed_roba_lair_neutral_large', 'a crazed roba lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1595', 'talus_crazed_roba_pack_neutral_none', 'a crazed roba pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1596', 'talus_dalyrake_nest_neutral_medium', 'a dalyrake nest');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1597', 'talus_dalyrake_pack_neutral_none', 'a dalyrake pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1598', 'talus_decay_mite_lair_neutral_boss_01', 'a decay mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1599', 'talus_decay_mite_lair_neutral_boss_02', 'a decay mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1600', 'talus_decay_mite_lair_neutral_boss_03', 'a decay mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1601', 'talus_decay_mite_lair_neutral_boss_04', 'a decay mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1602', 'talus_decay_mite_lair_neutral_small', 'a small decay mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1603', 'talus_decay_mite_lair_neutral_small_01', 'a small decay mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1604', 'talus_decay_mite_lair_neutral_small_02', 'a small decay mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1605', 'talus_decay_mite_lair_neutral_small_03', 'a small decay mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1606', 'talus_decay_mite_lair_neutral_small_04', 'a small decay mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1607', 'talus_devil_gulginaw_flight_neutral_none', 'a devil gulginaw nest');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1608', 'talus_devil_gulginaw_nest_neutral_medium', 'a devil gulginaw nest');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1609', 'talus_drall_camp_neutral_medium_theater', 'a Drall camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1610', 'talus_drall_patriot_base_neutral_large_theater', 'a large Drall patriot base');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1611', 'talus_drall_patriot_camp_neutral_medium_theater', 'a Drall patriot camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1612', 'talus_dung_mite_lair_neutral_boss_01', 'a dung mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1613', 'talus_dung_mite_lair_neutral_boss_02', 'a dung mite pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1614', 'talus_dung_mite_lair_neutral_boss_03', 'a small dung mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1615', 'talus_dung_mite_lair_neutral_boss_04', 'a dung mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1616', 'talus_dung_mite_lair_neutral_small', 'a small dung mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1617', 'talus_dung_mite_lair_neutral_small_01', 'a small dung mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1618', 'talus_dung_mite_lair_neutral_small_02', 'a small dung mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1619', 'talus_dung_mite_lair_neutral_small_03', 'a small dung mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1620', 'talus_dung_mite_lair_neutral_small_04', 'a small dung mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1621', 'talus_dung_mite_pack_neutral_none', 'a dung mite pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1622', 'talus_famished_sludge_panther_lair_neutral_mdium', 'a famished sludge panther lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1623', 'talus_famished_sludge_panther_pack_neutral_none', 'a famished sludge panther pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1624', 'talus_fed_dub_commander_camp_neutral_large_theater', 'a Fed-Dub commander base');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1625', 'talus_fed_dub_constable_camp_neutral_large_theater', 'a Fed-Dub constable station');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1626', 'talus_fed_dub_investigator_patrol_neutral_none', 'a Fed-Dub investigator patrol station');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1627', 'talus_fed_dub_patrolman_patrol_neutral_none', 'a Fed-Dub patrol outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1628', 'talus_foaming_vynock_lair_neutral_medium', 'a foaming vynock lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1629', 'talus_foaming_vynock_pack_neutral_none', 'a foaming vynock pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1630', 'talus_fynock_lair_neutral_boss_01', 'a fynock lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1631', 'talus_fynock_lair_neutral_boss_02', 'a fynock lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1632', 'talus_fynock_lair_neutral_boss_03', 'a fynock lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1633', 'talus_fynock_lair_neutral_boss_04', 'a fynock lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1634', 'talus_fynock_lair_neutral_small', 'a small fynock lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1635', 'talus_fynock_lair_neutral_small_01', 'a small fynock lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1636', 'talus_fynock_lair_neutral_small_02', 'a small fynock lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1637', 'talus_fynock_lair_neutral_small_03', 'a small fynock lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1638', 'talus_fynock_lair_neutral_small_04', 'a small fynock lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1639', 'talus_fynock_pack_neutral_none', 'a fynock pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1640', 'talus_giant_dalyrake_lair_neutral_medium', 'a giant dalyrake lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1641', 'talus_giant_dalyrake_pack_neutral_none', 'a giant dalyrake pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1642', 'talus_giant_gubbur_herd_neutral_none', 'a giant gubbur herd\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1643', 'talus_giant_gubbur_lair_neutral_medium', 'a giant gubbur lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1644', 'talus_grand_wrix_lair_neutral_medium', 'a grand wrix lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1645', 'talus_grand_wrix_pack_neutral_none', 'a grand wrix pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1646', 'talus_greater_sludge_panther_lair_neutral_medium', 'a greater sludge panther lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1647', 'talus_greater_sludge_panther_pack_neutral_none', 'a greater sludge panther pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1648', 'talus_guf_drolg_lair_neutral_medium', 'a guf drolg lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1649', 'talus_guf_drolg_pack_neutral_none', 'a guf drolg pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1650', 'talus_gulginaw_flight_neutral_none', 'a gulginaw nest');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1651', 'talus_gulginaw_nest_neutral_medium', 'a gulginaw nest');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1652', 'talus_hilltop_kima_lair_neutral_medium', 'a hilltop kima lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1653', 'talus_hilltop_kima_pack_neutral_none', 'a hilltop kima pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1654', 'talus_huf_dun_lair_neutral_medium', 'a huf dun lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1655', 'talus_huf_dun_pack_neutral_none', 'a huf dun pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1656', 'talus_humbaba_herd_neutral_none', 'a humbaba herd\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1657', 'talus_humbaba_lair_neutral_medium', 'a humbaba lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1658', 'talus_jungle_fynock_lair_neutral_medium', 'a jungle fynock lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1659', 'talus_jungle_fynock_pack_neutral_none', 'a jungle fynock pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1660', 'talus_kahmurra_lair_neutral_medium', 'a kahmurra lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1661', 'talus_kahmurra_pack_neutral_none', 'a kahmurra pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1662', 'talus_kima_lair_neutral_medium', 'a kima lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1663', 'talus_kima_pack_neutral_none', 'a kima pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1664', 'talus_liberation_activist_camp_neutral_medium_theater', 'a Liberaction activist camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1665', 'talus_liberation_fanatic_patrol_neutral_none', 'a Liberation fanatic outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1666', 'talus_liberation_partisan_patrol_neutral_none', 'a Liberation partisan patrol outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1667', 'talus_liberation_patriot_camp_neutral_medium_theater', 'a Liberation patriot camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1668', 'talus_liberation_reactionist_patrol_neutral_none', 'a Liberation reactionist waypoint');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1669', 'talus_lost_aqualish_captain_camp_neutral_large_theater', 'a lost Aqualish Captain\'s camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1670', 'talus_lost_aqualish_commando_patrol_neutral_none', 'a lost Aqualish patrol outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1671', 'talus_lost_aqualish_infiltrator_patrol_neutral_none', 'a lost Aqualish infiltrator outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1672', 'talus_lost_aqualish_lookout_patrol_neutral_none', 'a lost Aqualish lookout post');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1673', 'talus_lost_aqualish_marshal_patrol_neutral_none', 'a lost Aqualish patrol outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1674', 'talus_lost_aqualish_outrider_patrol_neutral_none', 'a lost Aqualish outrider station');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1675', 'talus_lost_aqualish_warchief_camp_neutral_large_theater', 'a large lost Aqualish encampment');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1676', 'talus_meatlump_camp_neutral_medium_theater', 'a Meatlump camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1677', 'talus_meatlump_outpost_neutral_medium_theater', 'a Meatlump outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1678', 'talus_mutated_kahmurra_lair_neutral_medium', 'a mutated kahmurra lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1679', 'talus_mutated_kahmurra_pack_neutral_none', 'a mutated kahmurra pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1680', 'talus_paralope_herd_neutral_none', 'a paralope herd\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1681', 'talus_paralope_lair_neutral_medium', 'a paralope lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1682', 'talus_percussive_rasp_flock_neutral_none', 'a percussive rasp flock\'s nest');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1683', 'talus_percussive_rasp_lair_neutral_medium', 'a percussive rasp nest');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1684', 'talus_roba_lair_neutral_large', 'a roba lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1685', 'talus_roba_pack_neutral_none', 'a roba pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1686', 'talus_rot_mite_lair_neutral_boss_01', 'a rot mite pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1687', 'talus_rot_mite_lair_neutral_boss_02', 'a rot mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1688', 'talus_rot_mite_lair_neutral_boss_03', 'a rot mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1689', 'talus_rot_mite_lair_neutral_boss_04', 'a rot mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1690', 'talus_rot_mite_lair_neutral_small', 'a small rot mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1691', 'talus_rot_mite_lair_neutral_small_01', 'a rot mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1692', 'talus_rot_mite_lair_neutral_small_02', 'a small rot mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1693', 'talus_rot_mite_lair_neutral_small_03', 'a small rot mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1694', 'talus_rot_mite_lair_neutral_small_04', 'a small rot mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1695', 'talus_rot_mite_pack_neutral_none', 'a rot mite pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1696', 'talus_savage_guf_drolg_lair_neutral_medium', 'a savage guf drolg lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1697', 'talus_savage_guf_drolg_pack_neutral_none', 'a savage guf drolg pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1698', 'talus_savage_humbaba_herd_neutral_none', 'a savage humbaba herd\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1699', 'talus_savage_humbaba_lair_neutral_medium', 'a savage humbaba lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1700', 'talus_selonian_assasin_neutral_none', 'a Selonian assassin gathering');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1701', 'talus_selonian_base_neutral_large_theater', 'a large Selonian base');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1702', 'talus_selonian_outpost_neutral_large_theater', 'a large Selonian outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1703', 'talus_selonian_patrol_neutral_none', 'a Selonian patrol outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1704', 'talus_selonian_squad_neutral_none', 'a Selonian squad camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1705', 'talus_sludge_panther_lair_neutral_medium', 'a sludge panther lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1706', 'talus_sludge_panther_pack_neutral_none', 'a sludge panther pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1707', 'talus_song_rasp_flock_neutral_none', 'a song rasp flock\'s nest');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1708', 'talus_song_rasp_lair_neutral_medium', 'a song rasp nest');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1709', 'talus_tortur_lair_neutral_large', 'a tortur lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1710', 'talus_tortur_pack_neutral_none', 'a tortur pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1711', 'talus_vicious_huf_dun_lair_neutral_medium', 'a vicious huf dun\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1712', 'talus_vicious_huf_dun_pack_neutral_none', 'a vicious huf dun pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1713', 'talus_vynock_lair_neutral_medium', 'a vynock lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1714', 'talus_vynock_pack_neutral_none', 'a vynock pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1715', 'talus_wolf_kima_lair_neutral_medium', 'a wolf kima lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1716', 'talus_wolf_kima_pack_neutral_none', 'a wolf kima pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1717', 'talus_woodland_kima_lair_neutral_medium', 'a woodland kima lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1718', 'talus_woodland_kima_pack_neutral_none', 'a woodland kima pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1719', 'talus_wrix_lair_neutral_medium', 'a wrix lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1720', 'talus_wrix_pack_neutral_none', 'a wrix pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1721', 'tatooine_bocatt_pack_neutral_medium', 'a bocatt pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1722', 'tatooine_canyon_krayt_dragon_pack_none', 'a canyon krayt dragon pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1723', 'tatooine_desert_demon_outpost_neutral_large_theater', 'a large Desert Demon settlement');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1724', 'tatooine_diseased_bocatt_pack_neutral_medium', 'a diseased bocatt pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1725', 'tatooine_giant_canyon_krayt_dragon_pack_none', 'a giant canyon krayt dragon lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1726', 'tatooine_imperial_camp', 'a large Imperial command base');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1727', 'tatooine_mountain_worrt_herd_neutral_none', 'a mountain worrt lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1728', 'tusken_camp', 'a Tusken raider camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1729', 'valarian_camp', 'a Valarian camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1730', 'valarian_swooper_camp', 'a Valarian swooper camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1731', 'weequay_tribe_camp', 'a Weequay tribal camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1732', 'yavin4_angler_herd_neutral_none', 'an angler lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1733', 'yavin4_angler_lair_neutral_medium', 'an angler lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1734', 'yavin4_angler_pack_neutral_none', 'an angler pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1735', 'yavin4_choku_herd_neutral_none', 'a choku lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1736', 'yavin4_choku_lair_neutral_medium', 'a choku lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1737', 'yavin4_choku_pack_neutral_none', 'a choku pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1738', 'yavin4_crystal_snake_herd_neutral_none', 'a crystal snake den');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1739', 'yavin4_crystal_snake_lair_neutral_medium', 'a crystal snake den');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1740', 'yavin4_crystal_snake_pack_neutral_none', 'a crystal snake pack\'s den');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1741', 'yavin4_gackle_bat_herd_neutral_none', 'a gackle bat nest');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1742', 'yavin4_gackle_bat_lair_neutral_boss_01', 'a gackle bat nest');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1743', 'yavin4_gackle_bat_lair_neutral_boss_02', 'a gackle bat nest');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1744', 'yavin4_gackle_bat_lair_neutral_boss_03', 'a gackle bat nest');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1745', 'yavin4_gackle_bat_lair_neutral_boss_04', 'a gackle bat nest');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1746', 'yavin4_gackle_bat_lair_neutral_medium', 'a gackle bat nest');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1747', 'yavin4_gackle_bat_lair_neutral_small', 'a small gackle bat nest');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1748', 'yavin4_gackle_bat_lair_neutral_small_01', 'a small gackle bat nest');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1749', 'yavin4_gackle_bat_lair_neutral_small_02', 'a small gackle bat nest');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1750', 'yavin4_gackle_bat_lair_neutral_small_03', 'a small gackle bat nest');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1751', 'yavin4_gackle_bat_lair_neutral_small_04', 'a small gackle bat nest');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1752', 'yavin4_gackle_bat_pack_neutral_none', 'a gackle bat pack\'s nest');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1753', 'yavin4_hutt_expedition_force_camp_hutt_medium_theater', 'a Hutt Expeditionary Force camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1754', 'yavin4_hutt_expedition_force_patrl_hutt_medium_theater', 'a Hutt Expeditionary Force outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1755', 'yavin4_kliknik_herd_neutral_none', 'a kliknik lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1756', 'yavin4_kliknik_lair_neutral_boss_01', 'a kliknik lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1757', 'yavin4_kliknik_lair_neutral_boss_02', 'a kliknik lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1758', 'yavin4_kliknik_lair_neutral_boss_03', 'a kliknik lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1759', 'yavin4_kliknik_lair_neutral_boss_04', 'a kliknik lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1760', 'yavin4_kliknik_lair_neutral_medium', 'a kliknik lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1761', 'yavin4_kliknik_lair_neutral_small', 'a small kliknik lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1762', 'yavin4_kliknik_lair_neutral_small_01', 'a small kliknik lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1763', 'yavin4_kliknik_lair_neutral_small_02', 'a small kliknik lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1764', 'yavin4_kliknik_lair_neutral_small_03', 'a small kliknik lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1765', 'yavin4_kliknik_lair_neutral_small_04', 'a small kliknik lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1766', 'yavin4_kliknik_pack2_neutral_none', 'a kliknik pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1767', 'yavin4_mamien_herd_neutral_none', 'a mamien lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1768', 'yavin4_mamien_lair_neutral_boss_01', 'a mamien lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1769', 'yavin4_mamien_lair_neutral_boss_02', 'a mamien pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1770', 'yavin4_mamien_lair_neutral_boss_03', 'a mamien lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1771', 'yavin4_mamien_lair_neutral_boss_04', 'a mamien lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1772', 'yavin4_mamien_lair_neutral_medium', 'a mamien lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1773', 'yavin4_mamien_lair_neutral_small', 'a small mamien lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1774', 'yavin4_mamien_lair_neutral_small_01', 'a small mamien lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1775', 'yavin4_mamien_lair_neutral_small_02', 'a small mamien lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1776', 'yavin4_mamien_lair_neutral_small_04', 'a small mamien lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1777', 'yavin4_mamien_pack_neutral_none', 'a mamien pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1778', 'yavin4_mawgax_herd_neutral_none', 'a mawgax lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1779', 'yavin4_mawgax_lair_neutral_medium', 'a mawgax lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1780', 'yavin4_mawgax_pack_neutral_none', 'a mawgax pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1781', 'yavin4_qurvel_herd_neutral_none', 'a qurvel lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1782', 'yavin4_qurvel_lair_neutral_medium', 'a qurvel lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1783', 'yavin4_qurvel_pack2_neutral_none', 'a qurvel pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1784', 'yavin4_qurvel_pack_neutral_none', 'a qurvel pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1785', 'yavin4_skreeg_lair_neutral_hard', 'a skreeg lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1786', 'yavin4_skreeg_lair_neutral_medium', 'a skreeg lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1787', 'yavin_skreeg_pack2_neutral_none', 'a skreeg pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1788', 'yavin4_skreeg_pack2_neutral_none', 'a skreeg pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1790', 'yavin4_skreeg_pack_neutral_none', 'a skreeg pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1791', 'yavin4_spined_puc_lair_neutral_medium', 'a spined puc lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1792', 'yavin4_spined_puc_pack_neutral_none', 'a spined puc pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1793', 'yavin4_stintaril_herd_neutral_none', 'a stintaril lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1794', 'yavin4_stintaril_lair_neutral_medium', 'a stintaril lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1795', 'yavin4_stintaril_pack_neutral_none', 'a stintaril pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1796', 'yavin4_stranded_imperial_base_imperial_medium_theater', 'a stranded Imperial base');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1797', 'yavin4_stranded_imperial_patrol_imperial_medium_theater', 'a stranded Imperial patrol outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1798', 'yavin4_stranded_rebel_base_rebel_medium_theater', 'a stranded Rebel base');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1799', 'yavin4_stranded_rebel_patrol_rebel_medium_theater', 'a stranded Rebel patrol outpost');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1800', 'yavin4_tanc_herd_neutral_none', 'a tanc mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1801', 'yavin4_tanc_mite_lair_neutral_medium', 'a tanc mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1802', 'yavin4_tanc_mite_pack_neutral_none', 'a tanc mite pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1803', 'yavin4_tybis_herd_neutral_none', 'a tybis lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1804', 'yavin4_tybis_lair_neutral_medium', 'a tybis lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1805', 'yavin4_tybis_pack_neutral_none', 'a tybis pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1806', 'yavin4_whisper_bird_lair2_neutral_medium', 'a whisper bird nest');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1807', 'yavin4_whisper_bird_lair_neutral_medium', 'a whisper bird nest');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1808', 'yavin4_whisper_bird_pack_neutral_none', 'a whisper bird pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1809', 'global_terrorist_camp_neutral_small_theater', 'a slaver camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1810', 'dantooine_voritor_lair_neutral_medium', 'a voritor lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1811', 'dantooine_voritor_lizard_neutral_none', 'A voritor lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1812', 'dantooine_piket_longhorn_herd_neutral_none', 'a piket longhorn lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1813', 'global_rebel_warrant_officer_camp_rebel_medium_theater', 'Rebel Warrant Officer\'s camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1814', 'lok_snorbal_lair_neutral_medium', 'a snorbal pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1815', 'rori_borgal_young_lair_neutral_small', 'a borgle lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1816', 'rori_brigade_scout_camp_neutral_medium_theater', 'a Brigade camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1817', 'rori_cobral_mugger_camp_neutral_medium_theater', 'a Neo-Cobral camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1818', 'rori_gundark_hooligan_camp_neutral_medium_theater', 'a Gundark camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1819', 'rori_gundark_raider_camp_neutral_medium_theater', 'a Gundark camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1820', 'rori_narmle_guard_camp_neutral_medium_theater', 'a Narmle guard camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1821', 'talus_chunker_bruiser_camp_neutral_medium_theater', 'a Chunker camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1822', 'talus_chunker_goon_camp_neutral_small_theater', 'a Chunker camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1823', 'talus_fynock_youth_lair_neutral_small', 'a fynock youth lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1824', 'talus_guf_drolg_minor_lair_neutral_small', 'a guf drolg lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1825', 'talus_liberation_loyalist_camp_neutral_medium_theater', 'a Liberation loyalist camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1826', 'talus_sleemo_delinquent_camp_neutral_medium_theater', 'a Sleemo delinquent camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1827', 'talus_sleemo_vandal_camp_neutral_medium_theater', 'a Sleemo vandal camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1828', 'naboo_peko_peko_albatross_neutral_none', 'a peko peko albatross lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1829', 'poacher_talus', 'a poacher');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1830', 'hunter_talus', 'a hunter');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1831', 'naboo_pirate_crewman', 'a naboo pirate');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1832', 'naboo_dread_pirate', 'a naboo dread pirate');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1833', 'naboo_pirate_cuttroat', 'a naboo pirate cuttroat');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1834', 'naboo_pirate', 'a naboo pirate');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1835', 'naboo_pirate_lieutenant', 'a naboo pirate lieutenant');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1836', 'naboo_pirate_armsman', 'a naboo pirate armsman');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1837', 'giant_decay_mite_queen', 'a giant decay mite queen');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1838', 'giant_decay_mite_harvester', 'a giant decay mite harvester');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1839', 'giant_decay_mite_sentry', 'a giant decay mite sentry');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1840', 'giant_decay_mite_hatchling', 'a giant decay mite hatchling');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1841', 'giant_decay_mite_protector', 'a gaint decay mite protector');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1842', 'giant_decay_mite_royal_guardian', 'a giant decay mite royal guard');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1843', 'giant_decay_mite_soldier', 'a giant decay mite soldier');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1844', 'search_lair', 'Search Lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1845', 'found_nothing', 'You didn\'t find anything of interest inside the lair.');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1846', 'found_eggs', 'You have found the eggs of some creature buried within the lair.');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1847', 'found_bugs', 'You found some creatures living in the lair and took a sample.');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1848', 'release_creatures', 'Release Creatures');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1849', 'release', 'You release the creatures into the wild!');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1850', 'tatooine_womprat_slum_rat_neutral_none', 'a tatooine city rat');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1851', 'tatooine_kreetle_over_neutral_none', 'an overkreetle lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1852', 'tatooine_gorg_glutton_neutral_none', 'a gluttonous gorg lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1853', 'talus_rasp_flite_large_neutral_none', 'a flite rasp lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1854', 'talus_putrid_decay_mite_hatchling_neutral_none', 'a putrid decay mite hatchling lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1855', 'talus_fynock_feared_neutral_none', 'a feared fynock lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1856', 'rori_squall_meek_avenger_neutral_none', 'an avenging squall\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1857', 'rori_borgle_gruntling_neutral_none', 'a borgle gruntling\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1858', 'naboo_gnort_massive_neutral_none', 'a massive gnort lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1859', 'naboo_chuba_large_neutral_none', 'a chuba lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1860', 'naboo_capper_spineflap_drone_neutral_none', 'a capper spineflap drone lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1861', 'corellia_plumed_rasp_howling_large_neutral_none', 'a howling plumed rasp lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1862', 'corellia_gubbur_bloated_neutral_none', 'a bloated gubbur lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1863', 'corellia_corellian_butterfly_drone_large_neutral_none', 'a corellian butterfly lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1864', 'tatooine_kreetle_over_death_neutral_medium_boss_01', 'a kreetle lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1865', 'tatooine_kreetle_over_swarming_neutral_medium_boss_02', 'a kreetle lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1866', 'gaping_spider_recluse_giant_neutral_medium_boss_01', 'a gaping spider lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1867', 'global_imperial_civil_patrolman_camp_imperial_small_theater', 'an Imperial civililian patrol camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1868', 'global_imperial_civil_patrol_sergeant_camp_imperial_small_theater', 'an Imperial civilian patrol camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1869', 'global_imperial_civil_patrol_captain_camp_imperial_small_theater', 'an Imperial civilian patrol camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1870', 'global_imperial_civil_patrol_commander_camp_imperial_small_theater', 'an Imperial civilian patrol camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1871', 'global_imperial_probot_handler_drone_camp_imperial_small_theater', 'an Imperial droid corps camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1872', 'global_imperial_probot_handler_seeker_camp_imperial_small_theater', 'an Imperial droid corps camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1873', 'global_rebel_resistance_dissident_camp_rebel_small_theater', 'a Rebel resistance camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1874', 'global_rebel_resistance_agitator_camp_rebel_small_theater', 'a Rebel resistance camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1875', 'global_rebel_resistance_seperatist_camp_rebel_small_theater', 'a Rebel resistance camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1876', 'global_rebel_resistance_anarchist_camp_rebel_small_theater', 'a Rebel resistance camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1877', 'global_rebel_resistance_leader_camp_rebel_small_theater', 'a Rebel resistance camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1878', 'global_rebel_creature_handler_novice_slice_hound_camp_rebel_small_theater', 'a creature handler camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1879', 'global_rebel_creature_handler_novice_gurrcat_camp_rebel_small_theater', 'a creature handler camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1880', 'global_creature_handler_apprentice_sand_panther_camp_rebel_small_theater', 'a creature handler camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1881', 'global_creature_handler_apprentice_huurton_camp_rebel_small_theater', 'a creature handler camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1882', 'global_imperial_cadet_camp_imperial_small_theater', 'an Imperial cadet camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1883', 'global_imperial_cadet_senior_camp_imperial_small_theater', 'an Imperial cadet camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1884', 'global_imperial_cadet_squadleader_camp_imperial_small_theater', 'an Imperial cadet camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1885', 'global_imperial_spec_non_com_camp_imperial_small_theater', 'an Imperial patrol camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1886', 'global_bothan_diplomat_camp_neutral_small_theater', 'a bothan diplomat camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1887', 'global_bothan_information_broker_camp_neutral_small_theater', 'a bothan information broker camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1888', 'global_rodian_thug_camp_neutral_small_theater', 'a rodian thug camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1889', 'global_miner_camp_neutral_small_theater', 'a miner camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1890', 'global_wookiee_brawler_camp_neutral_small_theater', 'a wookiee brawler camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1891', 'global_brigand_scout_camp_neutral_small_theater', 'a brigand scout camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1892', 'global_slicer_camp_neutral_small_theater', 'a slicer camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1893', 'global_brigand_camp_neutral_small_theater', 'a brigand camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1894', 'global_rebel_creature_handler_apprentice_huurton_camp_rebel_small_theater', 'an apprentice creature handler camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1895', 'global_rebel_creature_handler_apprentice_sand_panther_camp_rebel_small_theater', 'an apprentice creature handler camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1896', 'lok_kimogilla_dune_lair_neutral_medium', 'a dune kimogila lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1897', 'lok_kimogilla_giant_dune_lair_neutral_medium', 'a giant dune kimogila lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1898', 'lok_kimogilla_dune_neutral_none', 'a kimogila pack');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1899', 'lok_kimogilla_giant_dune_neutral_none', 'a giant dune kimogila pack');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1900', 'lok_kimogilla_enraged_dune_neutral_none', 'an enraged dune kimogila pack');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1901', 'tatooine_squill_malignant_neutral_none', 'a malignant squill');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1902', 'tatooine_wild_dune_boar_neutral_none', 'a wild dune boar');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1903', 'corellia_gronda_juggernaut_neutral_none', 'a gronda juggernaut');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1904', 'talus_mire_marauder_neutral_none', 'a mire marauder');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1905', 'talus_voracious_rasp_neutral_none', 'a voracious rasp flock');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1906', 'rori_dreaded_vir_vur_neutral_none', 'a dreaded vir vur');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1907', 'dathomir_baz_nitch_kinad_neutral_small', 'a kinad baz nitch lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1908', 'dathomir_baz_nitch_kinad_neutral_none', 'a kinad baz nitch pack');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1909', 'dathomir_bolma_craggy_lair_neutral_medium', 'a craggy bolma lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1910', 'dathomir_bolma_craggy_neutral_none', 'a craggy bolma herd');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1911', 'dathomir_rhoa_kwi_pack_leader_lair_neutral_medium', 'a rhoa kwi packleader lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1912', 'dathomir_rhoa_kwi_pack_leader_neutral_none', 'a rhoa kwi pack');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1913', 'dathomir_rhoa_kwi_lair_neutral_medium', 'a rhoa kwi lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1914', 'dathomir_rhoa_kwi_neutral_none', 'a rhoa kwi pack');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1915', 'dathomir_rhoa_kwi_hunter_neutral_none', 'a rhoa kwi hunter pack');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1916', 'dathomir_malkloc_plainswalker_neutral_none', 'a malkloc plainswalker herd');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1917', 'dathomir_brackaset_surefoot_neutral_none', 'a surefoot brackaset herd');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1918', 'dathomir_brackaset_surefoot_lair_neutral_medium', 'a surefoot brackaset lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1919', 'dathomir_kamurith_snapper_lair_neutral_medium', 'a kamurith snapper lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1920', 'dathomir_kamurith_snapper_neutral_none', 'a kamurith snapper pack');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1921', 'dathomir_kamurith_defiler_lair_neutral_medium', 'a kamurith defiler lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1922', 'dathomir_kamurith_defiler_neutral_none', 'a kamurith defiler pack');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1923', 'dathomir_kamurith_nocuous_lair_neutral_medium', 'a nocuous kamurith lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1924', 'dathomir_kamurith_nocuous_neutral_none', 'a nocuous kamurith pack');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1925', 'endor_arachne_hatchling_neutral_none', 'an arachne pack');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1926', 'endor_arachne_hatchling_lair_neutral_small', 'an arachne hatchling lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1927', 'endor_arachne_drone_lair_neutral_small', 'an arachne drone lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1928', 'endor_arachne_drone_neutral_none', 'an arachne pack');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1929', 'endor_arachne_venom_filled_neutral_none', 'a venom filled arachne pack');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1930', 'endor_arachne_venom_filled_lair_neutral_small', 'a venom filled arachne lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1931', 'endor_arachne_warrior_neutral_none', 'an arachne pack');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1932', 'endor_arachne_webmaster_lair_neutral_small', 'an arachne webmaster lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1933', 'endor_arachne_queen_lair_neutral_small', 'an arachne queen lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1934', 'endor_bark_mite_burrower_swarmling_lair_neutral_small', 'a bark mite burrower lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1935', 'endor_bark_mite_burrower_swarmling_neutral_none', 'a bark mite burrower pack');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1936', 'endor_bark_mite_burrower_drone_neutral_none', 'a bark mite burrower pack');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1937', 'endor_bark_mite_burrower_drone_lair_neutral_small', 'a bark mite burrower lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1938', 'endor_bark_mite_burrower_collector_neutral_none', 'a bark mite burrower pack');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1939', 'endor_bark_mite_burrower_worker_lair_neutral_small', 'a bark mite burrower lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1940', 'endor_bark_mite_burrower_lair_neutral_small', 'a bark mite burrower lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1941', 'endor_bark_mite_burrower_queen_lair_neutral_small', 'a bark mite burrower lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1942', 'endor_bloodseeker_mite_drone_neutral_none', 'a bloodseeker mite pack');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1943', 'endor_bloodseeker_mite_drone_lair_neutral_small', 'a bloodseeker mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1944', 'endor_bloodseeker_mite_hunter_neutral_none', 'a bloodseeker mite pack');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1945', 'endor_bloodseeker_mite_lair_neutral_small', 'a bloodseeker mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1946', 'endor_bloodseeker_mite_queen_lair_neutral_small', 'a bloodseeker mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1947', 'endor_pouncing_jax_lair_neutral_small', 'a pouncing jax lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1948', 'endor_pouncing_jax_neutral_none', 'a pouncing jax pride');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1949', 'endor_bounding_jax_lair_neutral_small', 'a bounding jax lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1950', 'endor_bounding_jax_neutral_none', 'a bounding jax pride');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1951', 'endor_blushing_jax_lair_neutral_small', 'a blushing jax lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1952', 'endor_blushing_jax_neutral_none', 'a blushing jax pride');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1953', 'endor_blooming_jax_lair_neutral_small', 'a blooming jax lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1954', 'endor_blooming_jax_neutral_none', 'a blooming jax pride');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1955', 'endor_blurrg_pup_lair_neutral_small', 'a blurrg pup lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1956', 'endor_blurrg_hunter_lair_neutral_small', 'a blurrg hunter lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1957', 'endor_blurrg_hunter_neutral_none', 'a blurg hunter pack');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1958', 'endor_blurrg_tracker_neutral_none', 'a blurrg tracker pack');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1959', 'endor_blurrg_crimson_neutral_small', 'a crimson blurrg lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1960', 'endor_blurrg_sand_crawler_lair_neutral_small', 'a blurrg sand crawler lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1961', 'endor_blurrg_sand_crawler_neutral_none', 'a blurg sand crawler pack');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1962', 'endor_blurrg_lair_neutral_small', 'a blurrg lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1963', 'endor_blurrg_raptor_neutral_none', 'a blurrg raptor');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1964', 'endor_blurrg_diseased_neutral_none', 'a pack of diseased blurrg');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1965', 'endor_boar_wolf_cub_lair_neutral_small', 'a boar wolf cub lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1966', 'endor_boar_wolf_lair_neutral_small', 'a boar wolf lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1967', 'endor_boar_wolf_neutral_none', 'a boar wolf pack');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1968', 'endor_boar_wolf_ravager', 'a boar wolf ravager pack');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1969', 'endor_boar_wolf_bloodfrenzied_lair_neutral_small', 'a bloodfrenzied boar wolf lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1970', 'endor_mantigrue_night_stalker_lair_neutral_small', 'a mantigrue night stalker lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1971', 'endor_mantigrue_night_stalker_neutral_none', 'a mantigrue night stalker flock');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1972', 'endor_mantigrue_hunter_neutral_none', 'a mantigrue hunter flock');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1973', 'endor_mentigrue_deranged_neutral_none', 'a flock of deranged mantigrue');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1974', 'endor_mantigrue_reaper_neutral_none', 'a mantigrue reaper flock');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1975', 'endor_mantigrue_reaper_lair_neutral_small', 'a mantigrue reaper lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1976', 'endor_mantigrue_screecher_lair_neutral_small', 'a mantigrue screecher lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1977', 'endor_gorax_neutral_none', 'a gorax');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1978', 'endor_gurreck_cowardly_lair_neutral_small', 'a cowardly curreck lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1979', 'endor_gurreck_cowardly_neutral_none', 'a cowardly gurreck pack');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1980', 'endor_gurreck_desert_charger_neutral_none', 'a desert charger gurreck pack');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1981', 'endor_gurreck_desert_charger_neutral_small', 'a desert charger gurreck lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1982', 'endor_gurreck_crazed_neutral_small', 'a crazed gurreck lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1983', 'endor_gurreck_crazed_neutral_none', 'a crazed gurreck pack');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1984', 'endor_gurreck_woodland_neutral_none', 'a pack of gurreck forest stalkers');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1985', 'endor_gurreck_woodland_neutral_small', 'a gurreck forest stalker lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1986', 'endor_gurreck_hilltop_neutral_none', 'a pack of hilltop gurreck hunters');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1987', 'endor_gurreck_hilltop_neutral_small', 'a hilltop gurreck lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1988', 'endor_gurreck_prowler_neutral_none', 'a pack of gurreck prowlers');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1989', 'endor_gurreck_neutral_none', 'a pack of gurreck');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1990', 'endor_hanadak_young_rock_crusher_neutral_small', 'a young hanadak rock crusher lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1991', 'endor_hanadak_drifter_neutral_none', 'a hanadak drifter');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1992', 'endor_hanadak_mature_neutral_small', 'a mature hanadak lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1993', 'endor_hanadak_rock_smasher_neutral_small', 'a hanadak rock smasher lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1994', 'endor_hanadak_matriarch_neutral_small', 'a hanadak matriarch lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1995', 'endor_hanadak_ancient_neutral_small', 'a hanadak ancient lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1996', 'endor_hanadak_stoneskin_neutral_none', 'a stone skin hanadak');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1997', 'endor_merek_assassin_neutral_none', 'a pack of merek assassin');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1998', 'endor_merek_cavern_creaper_neutral_none', 'a pack of merek cavern creeper');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '1999', 'endor_merek_bloodstained_neutral_small', 'a bloodstained merek lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2000', 'endor_merek_delirious_avenger_neutral_none', 'a pack of delerious avenging merek');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2001', 'endor_merek_toxic_battlelord_neutral_small', 'a toxic merek battlelord lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2002', 'endor_merek_king_queen_neutral_small', 'a merek royalty lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2003', 'endor_merek_blood_king_neutral_small', 'a merek blood king lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2004', 'endor_squill_noxious_neutral_small', 'a noxious squill lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2005', 'endor_squill_noxious_neutral_none', 'a pack of noxious squill');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2006', 'endor_squill_festering_neutral_none', 'a pack of festering squill');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2007', 'endor_squill_festering_neural_small', 'a festering squill lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2008', 'endor_bolle_bol_colt_neutral_small', 'a bolle bol colt lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2009', 'endor_bolle_bolle_colt_neutral_none', 'a herd of bolle bolle');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2010', 'endor_bolle_bol_stomper_neutral_small', 'a bolle bol stomper lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2011', 'endor_bolle_bol_stomper_neutral_none', 'a bolle bol stomper pack');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2012', 'endor_bolle_bol_bark_biter_neutral_none', 'a herd of bolle bol bark biters');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2013', 'endor_bolle_bol_male_female_neutral_small', 'a bolle bol lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2014', 'endor_bolle_bol_herd_leader_neutral_none', 'a bolle bol herd leader');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2015', 'endor_bordok_stud_mare_neutral_small', 'a bordok lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2016', 'endor_bordok_herd_master_neutral_none', 'a bordok herd master');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2017', 'endor_bordok_ancient_neutral_none', 'a bordok ancient');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2018', 'endor_borgle_putrid_neutral_small', 'a putrid borgle lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2019', 'endor_borgle_life_sapper_neutral_small', 'a borgle life sapper lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2020', 'endor_borgle_life_sapper_neutral_none', 'a flock of borgle life sapper');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2021', 'endor_borgle_fierce_neutral_none', 'a pack of fierce borgle');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2022', 'endor_borgle_fierce_neutral_small', 'a fierce borgle lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2023', 'endor_borgle_desert_roamer_neutral_small', 'a roaming desert borgle lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2024', 'endor_borgle_desert_roamer_neutral_none', 'a pack of roaming desert borgle');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2025', 'endor_borgle_desert_runner_neutral_none', 'a pack of desert road runner');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2026', 'endor_lantern_bird_neutral_small', 'a lantern bird lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2027', 'endor_lantern_bird_neutral_none', 'a flock of lantern bird');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2028', 'endor_lantern_bird_aged_neutral_none', 'a flock of aged lantern bird');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2029', 'endor_lantern_bird_shimmering_neutral_none', 'a flock of shimmering lantern bird');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2030', 'endor_lantern_bird_shimmering_neutral_small', 'a shimmering lantern bird lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2031', 'endor_lantern_bird_gleaming_neutral_small', 'a gleaming lantern bird lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2032', 'endor_lantern_bird_radiant_neutral_none', 'a radient lantern bird flock');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2033', 'endor_remmer_dune_scavenger_neutral_small', 'a remmer dune scavenger lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2034', 'endor_remmer_dune_scavenger_neutral_none', 'a pack of remmer dune scavenger');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2035', 'endor_remmer_carrion_keeper_neutral_none', 'a remmer carrion keeper');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2036', 'endor_remmer_highland_neutral_small', 'a highland remmer lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2037', 'endor_remmer_king_queen_neutral_none', 'a remmer pack');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2038', 'endor_roba_reclusive_neutral_none', 'a reclusive roba herd');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2039', 'endor_roba_runt_neutral_small', 'a runty roba lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2040', 'endor_roba_neutral_small', 'a roba lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2041', 'endor_roba_neutral_none', 'a roba herd');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2042', 'endor_roba_pack_leader_neutral_none', 'a roba pack leader lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2043', 'endor_roba_stalker_neutral_none', 'a roba stalker');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2044', 'endor_roba_young_elder_neutral_small', 'a roba boar lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2045', 'endor_squall_rabid_neutral_small', 'a rabid squall lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2046', 'endor_squall_elder_neutral_small', 'an elder squall lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2047', 'endor_swirl_prong_neutral_small', 'a swirl prong lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2048', 'endor_swirl_prong_neutral_none', 'a swirl prong herd');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2049', 'endor_swirl_prong_erratic_neutral_none', 'an erratic swirl prong');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2050', 'endor_swirl_prong_impaler_neutral_none', 'a swirl prong impaler');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2051', 'endor_swirl_prong_impaler_neutral_small', 'a swirl prong impaler lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2052', 'endor_donkuwah_tribesman_neutral_small_theater', 'a donkuwah tribesman camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2053', 'endor_donkuwah_scout_neutral_none', 'a donkuwah scout party');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2054', 'endor_donkuwah_haggard_battlelord_neutral_none', 'a donkuwah battlelord');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2055', 'endor_donkuwah_spooky_shaman_neutral_medium_theater', 'a spooky donkuwah shaman camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2056', 'endor_donkuwah_twisted_scout_neutral_none', 'a twisted donkuwah scout');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2057', 'endor_donkuwah_eerie_spiritmaster_neutral_medium_theater', 'an eerie donkuwah spiritmaster camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2058', 'endor_donkuwah_chieftan_neutral_medium_theater', 'a donkuwah chieftan camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2059', 'endor_gondula_masterful_warrior_neutral_none', 'a masterful gondula warrior party');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2060', 'endor_gondula_loremaster_neutral_small_theater', 'a gondula loremaster camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2061', 'endor_gondula_archaic_ritualist_neutral_small_theater', 'an archaic gondula ritualist camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2062', 'endor_gondual_seasoned_warrior_neutral_none', 'a seasoned gondula warrior party');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2063', 'endor_jinda_tribesman_neutral_none', 'a jinda tribe');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2064', 'endor_jinda_shaman_neutral_none', 'a jinda shaman gathering');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2065', 'endor_jinda_warrior_neutral_none', 'a jinda war party');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2066', 'endor_jinda_chief_neutral_none', 'a jinda chieftan');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2067', 'endor_korga_scout_neutral_none', 'a korga scouting party');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2068', 'endor_korga_dark_shaman_neutral_small_theater', 'a korga dark shaman gathering');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2069', 'endor_korga_battlelord_neutral_none', 'a korga battlelord');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2070', 'endor_korga_tricky_scout_neutral_none', 'a tricky korga scout');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2071', 'endor_korga_chief_neutral_medium_theater', 'a korga chieftan camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2072', 'endor_marauder_grassland_radier_neutral_none', 'a band of grassland raiders');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2073', 'endor_marauder_blood_crazed_plains_neutral_medium_theater', 'a blood crazed plains marauder camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2074', 'endor_marauder_frenzied_neutral_medium_theater', 'a frenzied marauder camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2075', 'endor_marauder_wandering_desert_neutral_none', 'a band of wandering desert marauders');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2076', 'endor_marauder_wasteland_neutral_none', 'a group of wasteland marauders');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2077', 'endor_panshee_ritualist_neutral_small_theater', 'a panshee ritualist camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2078', 'endor_panshee_tribesman_neutral_none', 'a panshee tribal gathering');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2079', 'endor_panshee_weathered_shaman_neutral_medium_theater', 'a weathered panshee shaman camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2080', 'endor_pubam_beguiling_scout_neutral_none', 'a beguiling pubam scout troup');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2081', 'endor_pubam_vicious_battlelord_neutral_none', 'a band of vicious pubam battlelords');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2082', 'endor_pubam_dark_shaman_neutral_medium_theater', 'a pubam dark shaman encampment');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2083', 'global_imperial_stormtrooper_camp_imperial_small_theater', 'an Imperial stormtrooper camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2084', 'global_rebel_creature_handler_apprentice_razor_cat_camp_rebel_small_theater', 'an apprentice creature handler camp');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2085', 'tatooine_dewback_lesser_neutral_none', 'a lesser dewback herd');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2086', 'tatooine_dewback_lesser_lair_neutral_small', 'a lesser dewback lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2087', 'dathomir_brackaset_pigmy_neutral_small', 'a lowland brackaset lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2088', 'dathomir_brackaset_pigmy_neutral_none', 'a lowland brackaset herd');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2089', 'dantooine_bol_pigmy_neutral_none', 'a lesser plains bol herd');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2090', 'dantooine_bol_pigmy_neutral_small', 'a lesser plains bol lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2091', 'naboo_falumpaset_domesticated_neutral_medium', 'a plodding falumpaset lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2092', 'naboo_falumpaset_domesticated_neutral_none', 'a herd of plodding falumpaset');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2093', 'naboo_kaadu_domesticated_neutral_none', 'a flock of motley kaadu');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2094', 'naboo_kaadu_domesticated_neutral_small', 'a motley kaadu lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2095', 'corellia_razor_cat_cub_hunt_neutral_none', 'a razor cat cub lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2096', 'corellia_razor_cat_pride_neutral_medium', 'a pack of razor cats');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2097', 'banner_generic_1', 'a banner');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2098', 'banner_generic_2', 'a banner');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2099', 'imperial_banner', 'an Imperial banner');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2100', 'dantari_monilith', 'a totem');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2101', 'fire_pit', 'a camp fire');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2102', 'corellia_bageraset_lair_neutral_medium_boss_01', 'a bageraset lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2103', 'corellia_carrion_spat_lair_neutral_medium_boss_01', 'a carrion spat lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2104', 'corellia_razor_cat_pride_neutral_medium_boss_01', 'a pack of razor cats');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2105', 'corellia_dire_cat_lair_neutral_medium_boss_01', 'a dire cat lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2106', 'corellia_durni_warren_neutral_small_boss_01', 'a durni warren');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2107', 'corellia_sharnaff_lair_neutral_large_boss_01', 'a sharnaff lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2108', 'dantooine_bol_lair_neutral_medium_boss_01', 'a bol lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2109', 'dantooine_graul_mauler_lair_neutral_large_boss_01', 'a graul mauler lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2110', 'dantooine_huurton_howler_lair_neutral_medium_boss_01', 'a huurton howler lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2111', 'dantooine_quenker_savage_lair_neutral_medium_boss_01', 'a savage quenker lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2112', 'dantooine_piket_protector_herd_neutral_none_boss_01', 'a piket protector lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2113', 'dantooine_voritor_jungle_lair_neutral_medium_boss_01', 'a jungle voritor lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2114', 'dathomir_bolma_lair_neutral_medium_boss_01', 'a bolma lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2115', 'dathomir_gaping_spider_lair_neutral_medium_boss_01', 'a gaping spider lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2116', 'dathomir_kamurith_defiler_lair_neutral_medium_boss_01', 'a kamurith defiler lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2117', 'dathomir_purbole_lair_neutral_medium_boss_01', 'a purbole lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2118', 'dathomir_rancor_enraged_bull_lair_neutral_large_boss_01', 'an enraged rancor lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2119', 'corellia_corellian_butterfly_hive_neutral_large_boss_01', 'a Corellian butterfly hive');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2120', 'endor_pouncing_jax_lair_neutral_small_boss_01', 'a pouncing jax lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2121', 'endor_bloodseeker_mite_drone_lair_neutral_small_boss_01', 'a bloodseeker mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2122', 'endor_arachne_drone_lair_neutral_small_01', 'an arachne drone lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2123', 'endor_squill_festering_neutral_small_boss_01', 'a festering squill lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2124', 'endor_mantigrue_deranged_neutral_none_boss_01', 'a flock of deranged mantigrue');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2125', 'endor_roba_young_elder_neutral_small_boss_01', 'a roba lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2126', 'lok_flit_lair2_neutral_medium_boss_01', 'a flit lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2127', 'lok_gurk_lair2_neutral_medium_boss_01', 'a gurk lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2128', 'lok_snorbal_lair_neutral_medium_boss_01', 'a snorbal lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2129', 'naboo_flewt_lair_neutral_small_boss_01', 'a small flewt lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2130', 'naboo_kaadu_lair_neutral_medium_boss_01', 'a kaadu lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2131', 'naboo_bolle_bol_lair_neutral_large_boss_01', 'a bolle bol lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2132', 'naboo_fambaa_lair_neutral_large_boss_01', 'a fambaa lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2133', 'naboo_fanned_rawl_lair_neutral_small_boss_01', 'a fanned rawl lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2134', 'rori_ikopi_lair_neutral_medium_boss_01', 'an ikopi lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2135', 'yavin4_angler_giant_neutral_medium_boss_01', 'an angler lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2136', 'yavin4_choku_frenzied_neutral_medium_boss_01', 'a choku lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2137', 'yavin4_crystal_snake_giant_neutral_medium_boss_01', 'a crystal snake den');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2138', 'yavin4_gackle_bat_giant_neutral_medium_boss_01', 'a gackle bat nest');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2139', 'yavin4_kliknik_kliknik_neutral_medium_boss_01', 'a kliknik lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2140', 'yavin4_mamien_male_neutral_medium_boss_01', 'a mamien lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2141', 'yavin4_mawgax_male_neutral_medium_boss_01', 'a mawgax lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2142', 'yavin4_skreeg_warrior_neutral_medium_boss_01', 'a skreeg lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2143', 'yavin4_spined_puc_giant_neutral_medium_boss_01', 'a spined puc lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2144', 'yavin4_stintaril_giant_neutral_medium_boss_01', 'a stintaril lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2145', 'yavin4_tanc_mite_warrior_neutral_medium_boss_01', 'a tanc mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2146', 'yavin4_tybis_male_neutral_medium_boss_01', 'a tybis lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2147', 'yavin4_whisper_bird_male_neutral_medium_boss_01', 'a whisper bird nest');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2148', 'rori_dashing_vir_vur_lair_neutral_small_boss_01', 'a small vir vur lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2149', 'rori_elder_pugoriss_lair_neutral_medium_boss_01', 'an elder pugoriss lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2150', 'rori_ravenous_torton_lair_neutral_large_boss_01', 'a ravenous torton lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2151', 'talus_paralope_lair_neutral_medium_boss_01', 'a paralope lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2152', 'talus_dung_mite_lair_neutral_small_boss_01', 'a dung mite lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2153', 'talus_kima_lair_neutral_medium_boss_01', 'a kima lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2154', 'talus_grand_wrix_lair_neutral_medium_boss_01', 'a grand wrix lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2155', 'tatooine_bocatt_bocatt_neutral_medium_boss_01', 'a bocatt pack\'s lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2156', 'tatooine_bantha_dune_bantha_neutral_medium_boss_01', 'a dune bantha lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2157', 'tatooine_dewback_dewback_neutral_medium_boss_01', 'a dewback lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2158', 'tatooine_cupa_cupa_neutral_medium_boss_01', 'a cu pa lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2159', 'tatooine_eopie_eopie_neutral_medium_boss_01', 'an eopie lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2160', 'tatooine_desert_razorback_razorback_neutral_medium_boss_01', 'a desert razorback lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2161', 'tatooine_squill_squill_neutral_medium_boss_01', 'a squill lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2162', 'tatooine_dune_lizard_dune_lizard_neutral_medium_boss_01', 'a dune lizard lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2163', 'tatooine_dragonet_dragonet_neutral_medium_boss_01', 'a dragonet lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2164', 'tatooine_dwarf_nuna_nuna_neutral_medium_boss_01', 'a dwarf nuna lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2165', 'tatooine_worrt_giant_neutral_medium_boss_01', 'a giant worrt lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2166', 'tatooine_womprat_womprat_neutral_medium_boss_01', 'a womprat lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2167', 'tatooine_rill_rill_neutral_medium_boss_01', 'a rill lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2168', 'tatooine_ronto_male_neutral_medium_boss_01', 'a ronto lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2169', 'tatooine_scyk_scyk_neutral_medium_boss_01', 'a scyk lair');
INSERT INTO `client_strings` VALUES ('string/en/lair_n.stf', '2170', 'tatooine_zucca_boar_zucca_neutral_medium_boss_01', 'a zucca boar lair');
INSERT INTO `client_strings` VALUES ('string/en/lastquest.stf', '1', 'hail', 'How are you?  Don\'t you just love this shirt?');
INSERT INTO `client_strings` VALUES ('string/en/lastquest.stf', '2', 'who', 'Who are you?');
INSERT INTO `client_strings` VALUES ('string/en/lastquest.stf', '3', 'lunatic', 'I\'m just a fashion conscious wookiee.  Why don\'t you go talk to that bothan girl over there?  She may have something for you to do.');
INSERT INTO `client_strings` VALUES ('string/en/lastquest.stf', '4', 'ooh', 'I hear you\'ve got a jacket I might be interested in.  I\'d take it, but it\'s really the Calamari\'s.');
INSERT INTO `client_strings` VALUES ('string/en/lastquest.stf', '5', 'take', 'Why don\'t you just take it?');
INSERT INTO `client_strings` VALUES ('string/en/lastquest.stf', '6', 'other', 'Sorry.  It\'s for someone else.');
INSERT INTO `client_strings` VALUES ('string/en/lastquest.stf', '7', 'know', 'I know.  But perhaps she doesn\'t want it.  If not, bring it back to me, please!');
INSERT INTO `client_strings` VALUES ('string/en/lastquest.stf', '8', 'cant', 'I couldn\'t do that in good conscience.  I know it\'s someone else\'s jacket.');
INSERT INTO `client_strings` VALUES ('string/en/lastquest.stf', '9', 'goody', 'Rumor has it you\'re going to offer me that jacket I want.');
INSERT INTO `client_strings` VALUES ('string/en/lastquest.stf', '10', 'cash', 'Not so fast....what do I get?');
INSERT INTO `client_strings` VALUES ('string/en/lastquest.stf', '11', 'money', 'Here.  Here\'s a deed to a moisture vaporator.  Now let me have that jacket!  <YOINK!>');
INSERT INTO `client_strings` VALUES ('string/en/lastquest.stf', '12', 'nothing', 'You don\'t even have the jacket anymore!');
INSERT INTO `client_strings` VALUES ('string/en/launch_names.stf', '1', 'station_corellia', 'Landing Station: Corellia Station');
INSERT INTO `client_strings` VALUES ('string/en/launch_names.stf', '2', 'station_dantooine', 'Landing Station: Dantooine Station');
INSERT INTO `client_strings` VALUES ('string/en/launch_names.stf', '3', 'station_dathomir', 'Landing Station: Dathomir Station');
INSERT INTO `client_strings` VALUES ('string/en/launch_names.stf', '4', 'station_endor', 'Landing Station: Endor Station');
INSERT INTO `client_strings` VALUES ('string/en/launch_names.stf', '5', 'station_lok', 'Landing Station: Lok Station');
INSERT INTO `client_strings` VALUES ('string/en/launch_names.stf', '6', 'station_naboo', 'Landing Station: Naboo Station');
INSERT INTO `client_strings` VALUES ('string/en/launch_names.stf', '7', 'station_rori', 'Landing Station: Rori Station');
INSERT INTO `client_strings` VALUES ('string/en/launch_names.stf', '8', 'station_talus', 'Landing Station: Talus Station');
INSERT INTO `client_strings` VALUES ('string/en/launch_names.stf', '9', 'station_tatooine', 'Landing Station: Tatooine Station');
INSERT INTO `client_strings` VALUES ('string/en/launch_names.stf', '10', 'station_yavin4', 'Landing Station: Yavin IV Station');
INSERT INTO `client_strings` VALUES ('string/en/loading/corellia.stf', '1', 'slice_hound', 'The slice hound\'s name derives from the spikes that cover its body. But even deadlier are its jagged teeth and its shrewd ways of hunting.\n\nSlice hounds attack anything smaller than they are. When they\'re hungry enough, nothing is safe.\n');
INSERT INTO `client_strings` VALUES ('string/en/loading/corellia.stf', '2', 'coronet', 'Coronet City is the capital city of Corellia and the nexus of the entire Corellian system. \"The Jewel of Corellia\" is a bustling metropolis that attracts entrepreneurs, merchants, tourists -- and smugglers -- from all five worlds of the Corellian system and across the galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/loading/corellia.stf', '3', 'tyrena', 'Tyrena is popular among adventurers because it is relatively close to many of Corellia\'s most exciting attractions. Tyrena serves as an excellent staging ground for slice-hound hunting expeditions and trips to the planet\'s stunning Gold Beaches.');
INSERT INTO `client_strings` VALUES ('string/en/loading/corellia.stf', '4', 'bela_vistal', 'Nestled in a serene mountain valley, Bela Vistal is considered to be an ideal tourism destination for those on a modest budget.  Its isolation and tall mountains have made it a favorite for hikers and climbers, but the fresh air and clean valleys surrounding it are refreshing to many other types of adventurers and travelers.');
INSERT INTO `client_strings` VALUES ('string/en/loading/corellia.stf', '5', 'corellia', 'The legendary homeworld of Han Solo, Corellia is at the center of galactic travel -- many travellers stop over on Corellia in their journey towards remote planets. Some of the world\'s beauties are exceedingly dangerous, such as the famous Agrilat Crystal Swamps. Few adventurers dare journey there.');
INSERT INTO `client_strings` VALUES ('string/en/loading/corellia.stf', '6', 'agrilat_swamp', 'A dangerous yet beautiful crystal swamp in the remote regions of Corellia, the Agrilat Swamp is home to many dangerous creatures and a sanctuary for smugglers.');
INSERT INTO `client_strings` VALUES ('string/en/loading/corellia.stf', '7', 'corellian_butterflies', 'Beautiful yet vicious winged creatures that come in a wide variety of castes: drones, workers, warriors, defenders, and monarchs.  Woe to the adventurer who mistakes a group of drones for a pack of defenders, as some types of butterflies are particularly powerful.');
INSERT INTO `client_strings` VALUES ('string/en/loading/corellia.stf', '8', 'drall', 'The Drall are a species of people native to the planet Drall in the Corellian system. Though they are generally reclusive and peaceful, some Drall visit or live on Corellia, and some have shown hostility towards native Corellians. ');
INSERT INTO `client_strings` VALUES ('string/en/loading/corellia.stf', '9', 'razor_cat', 'The razor cat is a vicious creature that hunts in the remote grassy plains of Corellia. Razor Cats can be found alone, with mates, or in packs. Adventurers are discouraged from engaging a pack for they aid each other in combat.');
INSERT INTO `client_strings` VALUES ('string/en/loading/corellia.stf', '10', 'lord_nyax_cult', 'A cult surrounds the ancient figure of Lord Nyax. Not much is known about these fanatics except that they are rare, remote, and dangerous.');
INSERT INTO `client_strings` VALUES ('string/en/loading/corellia.stf', '11', 'beldonna_mercenaries', 'A group of mercenaries formed by Liiria Beldonna.  Sometimes these mercenaries help keep the peace, but they always act at the bidding of their current employer, who may have violent aims.');
INSERT INTO `client_strings` VALUES ('string/en/loading/corellia.stf', '12', 'kor_vella', 'Despite its transformation into a thriving economic hub, Kor Vella still maintains a rustic charm.  Many of the settlement\'s original buildings still stand, and the residents maintain historic areas throughout the city.  Kor Vella also lacks the huge skyscrapers that dominate the skyline of most other Corellian cities.');
INSERT INTO `client_strings` VALUES ('string/en/loading/corellia.stf', '13', 'selonians', 'These serious-minded natives of Selonia in the Corellian system live in extended families called septs. A single fertile female rules the sept, while sterile females maintain the burrows. Because they regard the outside world as dangerous, only specially trained sterile females have contact with outsiders.');
INSERT INTO `client_strings` VALUES ('string/en/loading/corellia.stf', '14', 'rebel_hideout', 'With the Empire\'s strength felt across the galaxy, independent-minded Corellia has provided a temporary shelter for the Rebel Alliance. At this safe house Princess Leia Organa of Alderaan makes plans to take advantage of the Alliance\'s recent victory at the Battle of Yavin.');
INSERT INTO `client_strings` VALUES ('string/en/loading/corellia.stf', '15', 'dalyrake', 'This carnivorous arachnoid can grow up to two meters tall. It eats fish (it can survive underwater indefinitely), small reptavians, and tabages. Suspicious and defensive, the dalyrake attacks with strong claws and ink-like venom. Connoisseurs consider its meat delicious.');
INSERT INTO `client_strings` VALUES ('string/en/loading/corellia_n.stf', '1', 'slice_hound', 'Slice Hound');
INSERT INTO `client_strings` VALUES ('string/en/loading/corellia_n.stf', '2', 'coronet', 'Coronet City');
INSERT INTO `client_strings` VALUES ('string/en/loading/corellia_n.stf', '3', 'tyrena', 'Tyrena');
INSERT INTO `client_strings` VALUES ('string/en/loading/corellia_n.stf', '4', 'bela_vistal', 'Bela Vistal');
INSERT INTO `client_strings` VALUES ('string/en/loading/corellia_n.stf', '5', 'corellia', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/loading/corellia_n.stf', '6', 'agrilat_swamp', 'Agrilat Swamp');
INSERT INTO `client_strings` VALUES ('string/en/loading/corellia_n.stf', '7', 'corellian_butterflies', 'Corellian Butterflies');
INSERT INTO `client_strings` VALUES ('string/en/loading/corellia_n.stf', '8', 'drall', 'Drall');
INSERT INTO `client_strings` VALUES ('string/en/loading/corellia_n.stf', '9', 'razor_cat', 'Razor Cat');
INSERT INTO `client_strings` VALUES ('string/en/loading/corellia_n.stf', '10', 'lord_nyax_cult', 'Cultists of Lord Nyax');
INSERT INTO `client_strings` VALUES ('string/en/loading/corellia_n.stf', '11', 'beldonna_mercenaries', 'Beldonna Mercenaries');
INSERT INTO `client_strings` VALUES ('string/en/loading/corellia_n.stf', '12', 'kor_vella', 'Kor Vella');
INSERT INTO `client_strings` VALUES ('string/en/loading/corellia_n.stf', '13', 'selonians', 'Selonians');
INSERT INTO `client_strings` VALUES ('string/en/loading/corellia_n.stf', '14', 'rebel_hideout', 'Rebel Hideout');
INSERT INTO `client_strings` VALUES ('string/en/loading/corellia_n.stf', '15', 'dalyrake', 'Dalyrake');
INSERT INTO `client_strings` VALUES ('string/en/loading/dantooine.stf', '1', 'dantooine', 'Inhabited by the primitive Dantari, Dantooine is a world of rolling plains.\n\nLong ago, Dantooine served as a Jedi training center, and the ruins of the Jedi Temple still exist.\n');
INSERT INTO `client_strings` VALUES ('string/en/loading/dantooine.stf', '2', 'rebel_base', 'Dantooine holds an abandoned Rebel base. The Alliance evacuated before the Empire could discover its location.');
INSERT INTO `client_strings` VALUES ('string/en/loading/dantooine.stf', '3', 'dantari', 'The primitive Dantari roam in tribes across the surface of Dantooine.\n\nLittle is known of the Dantari culture.');
INSERT INTO `client_strings` VALUES ('string/en/loading/dantooine.stf', '4', 'jedi_temple', 'Long ago, the evil Sith Exar Kun trained at the Jedi Temple on Dantooine under Jedi Master Vodo-Siosk Baas.\n\nOver the centuries the Temple has fallen into ruins.');
INSERT INTO `client_strings` VALUES ('string/en/loading/dantooine.stf', '5', 'bol', 'These large creatures on the grasslands of Dantooine are the favorite foods of voritor lizards and huurton.\n\nThey are generally passive, though they will defend themselves if the herd is threatened.');
INSERT INTO `client_strings` VALUES ('string/en/loading/dantooine.stf', '6', 'huurton', 'Huurton are canine predators on the grasslands of Dantooine. They run down their prey, and are not averse to stealing the carcasses of kills from other predators.');
INSERT INTO `client_strings` VALUES ('string/en/loading/dantooine.stf', '7', 'remnants_of_kun', 'Followers of the Sith Lord Exar Kun, who once trained on Dantooine, the Remnants of Kun are untrained wielders of the Dark Side of the Force. They come to explore the ruins of the Jedi Temple, seeking knowledge of the Force.');
INSERT INTO `client_strings` VALUES ('string/en/loading/dantooine.stf', '8', 'piket', 'The piket is a long-necked creature living on the plains of Dantooine. Herd animals, the piket tend to travel in small groups, and are not typically aggressive.');
INSERT INTO `client_strings` VALUES ('string/en/loading/dantooine.stf', '9', 'quenker', 'The quenker, or \"plated rat\", is found on many worlds, but has become endemic in the hospitable climate and grasslands of Dantooine. Their tough plated hide makes them aggressive vermin. They travel in groups and can be quite dangerous.');
INSERT INTO `client_strings` VALUES ('string/en/loading/dantooine.stf', '10', 'thune', 'Thune graze the grasslands of Dantooine in small herds. They are typically not aggressive, but can be fearsome opponents when angered.');
INSERT INTO `client_strings` VALUES ('string/en/loading/dantooine.stf', '11', 'voritor', 'Solitary hunters of the plains of Dantooine, the voritor lizards are venomous predators. They move slowly until they come in for the kill.');
INSERT INTO `client_strings` VALUES ('string/en/loading/dantooine.stf', '12', 'dantari_village', 'The natives of Dantooine build primitive mud huts and cave shelters decorated with icons of ancestral spirits. Because Dantari tribes are nomadic, they desert and re-occupy whole villages seemingly at random.');
INSERT INTO `client_strings` VALUES ('string/en/loading/dantooine.stf', '13', 'captain_ackbar', 'When the Empire captured Mon Calamari, this decorated officer became Grand Moff Tarkin\'s pilot and personal slave. The Rebel Alliance rescued Ackbar just before Tarkin took command of the Death Star. Now the Calamari officer aids the Alliance with his detailed knowledge of the Imperial war machine. He hopes to re-establish an Alliance base on Dantooine.');
INSERT INTO `client_strings` VALUES ('string/en/loading/dantooine_n.stf', '1', 'dantooine', 'Dantooine\n');
INSERT INTO `client_strings` VALUES ('string/en/loading/dantooine_n.stf', '2', 'rebel_base', 'Rebel Base');
INSERT INTO `client_strings` VALUES ('string/en/loading/dantooine_n.stf', '3', 'dantari', 'Dantari');
INSERT INTO `client_strings` VALUES ('string/en/loading/dantooine_n.stf', '4', 'jedi_temple', 'Jedi Temple');
INSERT INTO `client_strings` VALUES ('string/en/loading/dantooine_n.stf', '5', 'bol', 'Bol');
INSERT INTO `client_strings` VALUES ('string/en/loading/dantooine_n.stf', '6', 'huurton', 'Huurton');
INSERT INTO `client_strings` VALUES ('string/en/loading/dantooine_n.stf', '7', 'remnants_of_kun', 'Remnants of Kun');
INSERT INTO `client_strings` VALUES ('string/en/loading/dantooine_n.stf', '8', 'piket', 'Piket');
INSERT INTO `client_strings` VALUES ('string/en/loading/dantooine_n.stf', '9', 'quenker', 'Quenker');
INSERT INTO `client_strings` VALUES ('string/en/loading/dantooine_n.stf', '10', 'thune', 'Thune');
INSERT INTO `client_strings` VALUES ('string/en/loading/dantooine_n.stf', '11', 'voritor', 'Voritor');
INSERT INTO `client_strings` VALUES ('string/en/loading/dathomir.stf', '1', 'rancor', 'Part crustacean, part arachnid, the Rancor is a beast native to Dathomir.\n\nIt is covered in knobby, natural armor and bony headplates.  Its claws, teeth, and massive size are what make the Rancor legendary.\n\nSome people have been known to keep Rancors as pets, whereas the Witches of Dathomir respect them for what they truly are.');
INSERT INTO `client_strings` VALUES ('string/en/loading/dathomir.stf', '2', 'dathomir', 'Home to outcasts from the Republic, the mighty rancor and the force-sensitive Nightsisters, Dathomir is a dangerous planet where few survive for any period of time.');
INSERT INTO `client_strings` VALUES ('string/en/loading/dathomir.stf', '3', 'imperial_prison', 'Dathomir is home to an Imperial Prison, where the Empire will send criminals meant to be forgotten (and they frequently are).');
INSERT INTO `client_strings` VALUES ('string/en/loading/dathomir.stf', '4', 'singing_mountain_clan', 'Enemies of the Night Sisters, the Singing Mountain clan are a group of force-sensitive people. People who have seen the home of the Singing Mountain Clan return with strange reports of unusual sights.');
INSERT INTO `client_strings` VALUES ('string/en/loading/dathomir.stf', '5', 'trade_outpost', 'A few, tiny outposts have successfully established residence on Dathomir.  One, the trade outpost, is the common location for wary travelers to this dangerous planet.  Trade in Dathomir goods is usually based on a few rare resources that are unique to Dathomir, as well as infant creatures that can potentially be tamed.');
INSERT INTO `client_strings` VALUES ('string/en/loading/dathomir_n.stf', '1', 'rancor', 'Rancor');
INSERT INTO `client_strings` VALUES ('string/en/loading/dathomir_n.stf', '2', 'dathomir', 'Dathomir');
INSERT INTO `client_strings` VALUES ('string/en/loading/dathomir_n.stf', '3', 'imperial_prison', 'Imperial Prison');
INSERT INTO `client_strings` VALUES ('string/en/loading/dathomir_n.stf', '4', 'singing_mountain_clan', 'Singing Mountain Clan');
INSERT INTO `client_strings` VALUES ('string/en/loading/dathomir_n.stf', '5', 'trade_outpost', 'Trade Outpost');
INSERT INTO `client_strings` VALUES ('string/en/loading/endor.stf', '1', 'hanadak', 'The hanadak looks like a cross between a large primate and a common boar, yet enlarged in all of its proportions.\n\nHaving a fondness for meat, many a traveler to Endor has learned that the hanadak are as frightening as they appear to be.\n\nSome of the sentient species on the planet claim that the giant gorax are actually the true masters of the hanadak.\n');
INSERT INTO `client_strings` VALUES ('string/en/loading/endor.stf', '2', 'blurrg', 'Inhabiting the savannas of the Forest Moon of Endor, the blurrg is a remarkably stupid creature that has been domesticated by the Marauders. ');
INSERT INTO `client_strings` VALUES ('string/en/loading/endor.stf', '3', 'condor_dragon', 'The condor dragon, or mantigrue, is a large flighted lizard on the Forest Moon of Endor. They are often aggressive and can be quite dangerous.');
INSERT INTO `client_strings` VALUES ('string/en/loading/endor.stf', '4', 'lantern_bird', 'A beautiful flying creature from the Forest Moon of Endor, the lantern bird is notable for its brilliant plumage. ');
INSERT INTO `client_strings` VALUES ('string/en/loading/endor.stf', '5', 'merek', 'Half-arachnid and half-monkey, the merek is a strange creature native to the Forest Moon of Endor. They do not live in families, generally, and are not particularly aggressive in the wild.');
INSERT INTO `client_strings` VALUES ('string/en/loading/endor.stf', '6', 'remmer', 'Natives of the Forest Moon of Endor, remmer are disgusting little scavenger creatures. They eat practically everything: dirt, string, carrion, wood, paper, bugs...');
INSERT INTO `client_strings` VALUES ('string/en/loading/endor.stf', '7', 'swirl_prong', 'Commonly found alone or in small groups, the swirl prong of Endor easily navigates steep cliffs in order to stay away from predators. If need be, they will use their horns to defend themselves.');
INSERT INTO `client_strings` VALUES ('string/en/loading/endor.stf', '8', 'gorax', 'A gigantic monster native to the Forest Moon of Endor, the gorax preys on Ewoks, since it is tall enough to reach directly into their treetop homes.');
INSERT INTO `client_strings` VALUES ('string/en/loading/endor.stf', '9', 'dulok', 'The \"dark form\" of the Ewoks, the Duloks are ill-proportioned cousins featuring fangs and large, pointed ears. Like the Ewoks, they are also native to the Forest Moon of Endor.');
INSERT INTO `client_strings` VALUES ('string/en/loading/endor.stf', '10', 'ewok', 'A small race of furry humanoids, the Ewoks are the primary native civilization on the Forest Moon of Endor. They live in treetop villages, or in some cases, in homes built on stilts by the lakeshores.\n\nAlthough they lack high technology, they are intelligent and cunning.');
INSERT INTO `client_strings` VALUES ('string/en/loading/endor.stf', '11', 'marauder', 'Long ago, a reptilian species was stranded on the Forest Moon of Endor. These Marauders, as they are known, have been living there ever since, attacking visitors to the planet. A warlike society, they scavenge any technology they can find.');
INSERT INTO `client_strings` VALUES ('string/en/loading/endor.stf', '12', 'lake_villages', 'Some tribes of Ewoks built lake villages, with unique conical structures on stilts built over the water.');
INSERT INTO `client_strings` VALUES ('string/en/loading/endor.stf', '13', 'tree_villages', 'Most Ewok tribes that dwell in the forest build their homes in the trees themselves. These villages are accessed via ramps and rope ladders.');
INSERT INTO `client_strings` VALUES ('string/en/loading/endor_n.stf', '1', 'hanadak', 'Hanadak\n');
INSERT INTO `client_strings` VALUES ('string/en/loading/endor_n.stf', '2', 'blurrg', 'Blurrg');
INSERT INTO `client_strings` VALUES ('string/en/loading/endor_n.stf', '3', 'condor_dragon', 'Condor Dragon');
INSERT INTO `client_strings` VALUES ('string/en/loading/endor_n.stf', '4', 'lantern_bird', 'Lantern Bird');
INSERT INTO `client_strings` VALUES ('string/en/loading/endor_n.stf', '5', 'merek', 'Merek');
INSERT INTO `client_strings` VALUES ('string/en/loading/endor_n.stf', '6', 'remmer', 'Remmer');
INSERT INTO `client_strings` VALUES ('string/en/loading/endor_n.stf', '7', 'swirl_prong', 'Swirl Prong');
INSERT INTO `client_strings` VALUES ('string/en/loading/endor_n.stf', '8', 'gorax', 'Gorax');
INSERT INTO `client_strings` VALUES ('string/en/loading/endor_n.stf', '9', 'dulok', 'Duloks');
INSERT INTO `client_strings` VALUES ('string/en/loading/endor_n.stf', '10', 'ewok', 'Ewok');
INSERT INTO `client_strings` VALUES ('string/en/loading/endor_n.stf', '11', 'marauder', 'Marauders');
INSERT INTO `client_strings` VALUES ('string/en/loading/endor_n.stf', '12', 'lake_villages', 'Lake Villages');
INSERT INTO `client_strings` VALUES ('string/en/loading/endor_n.stf', '13', 'tree_villages', 'Tree Villages');
INSERT INTO `client_strings` VALUES ('string/en/loading/lok.stf', '1', 'snorbal', 'The snorbal are highly intelligent and also docile creatures, rarely ever attacking other than to defend the herd.\n\nThe snorbal\'s trunk has two \'fingers\' at the end, allowing it to manipulate simple objects.\n\nPossessing a highly efficient digestive system, the snorbal makes itself at home among Lok\'s arid wastelands.\n');
INSERT INTO `client_strings` VALUES ('string/en/loading/lok.stf', '2', 'nym_stronghold', 'The notorious pirate and rogue Feeorin known as Nym keeps a stronghold on Lok, the planet where he was orphaned as a child. This imposing structure is well defended.');
INSERT INTO `client_strings` VALUES ('string/en/loading/lok.stf', '3', 'imperial_base', '');
INSERT INTO `client_strings` VALUES ('string/en/loading/lok.stf', '4', 'general_otto', 'General Otto is a less-than-distinguished Imperial officer who is stationed on Lok. He has lost a number of battles against Alliance forces in his career, and were it not for his friendship with Admiral Motti, might well have lost his commission or even his life.');
INSERT INTO `client_strings` VALUES ('string/en/loading/lok.stf', '5', 'droideka', 'Lok was a testing ground for the Trade Federation\'s blockade of Naboo during the Clone Wars. During that time, numerous droids were left abandoned on the surface of the planet, including the deadly droideka assault droids.');
INSERT INTO `client_strings` VALUES ('string/en/loading/lok.stf', '6', 'vesp', 'A poisonous reptilian creature with a spiked tail, vesps are native to Lok. They typically fight in pairs, attempting to encircle their prey.');
INSERT INTO `client_strings` VALUES ('string/en/loading/lok.stf', '7', 'kimogila', 'The giant kimogila is notoriously difficult to kill. Native to Lok, its thick skin has evolved to protect it from the sulfur pools on the planet and is almost impervious to blaster fire. It also boasts one of the most toxic venoms known in the Galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/loading/lok.stf', '8', 'flit', 'The flit is a bloodsucking avian native to the plains of Lok. They hunt in swarms, alternately advancing and retreating, attacking with their sharp beaks.');
INSERT INTO `client_strings` VALUES ('string/en/loading/lok.stf', '9', 'kusak', 'The kusak, powerful armored canines native to Lok, roam the rocky terrain hunting in packs. If tamed, they make for loyal companions.');
INSERT INTO `client_strings` VALUES ('string/en/loading/lok.stf', '10', 'langlatch', 'A voracious predator, the langlatch survives by eating indiscriminately of any warm or cold-blooded creature it comes across on its native Lok. They are very aggressive and have been known to attack prey much larger than themselves.');
INSERT INTO `client_strings` VALUES ('string/en/loading/lok.stf', '11', 'perlek', 'Scavengers to the core, perlek follow predators around on Lok and scavenge off the carcasses of their kills.');
INSERT INTO `client_strings` VALUES ('string/en/loading/lok.stf', '12', 'pharple', 'A cowardly bird that roams flightless across the deserts of Lok, pharples are insectivores that are generally little trouble to sentient beings.');
INSERT INTO `client_strings` VALUES ('string/en/loading/lok.stf', '13', 'spined_snake', 'Hiding among the rocks and sand of the deserts of Lok is the spined snake. It exists in several sizes and varieties, some of which carry deadly venom and others of which are aggressive.');
INSERT INTO `client_strings` VALUES ('string/en/loading/lok.stf', '14', 'gurnaset', 'A herd animal native to Lok, the Gurnaset is a fairly peaceful creature. It lay eggs and eat insects and shrubs. Its meat is tough and gamy.');
INSERT INTO `client_strings` VALUES ('string/en/loading/lok.stf', '15', 'gurk', 'Although gurk appear dangerous, they are actually fairly harmless animals. Despite their large size, they eat primarily nuts, berries, and fruit. On Lok, many have been trained for domestic use.');
INSERT INTO `client_strings` VALUES ('string/en/loading/lok.stf', '16', 'nym', 'A notorious pirate and warlord during the Clone Wars, Nym has established a hidden retreat on the planet Lok. As a child, he was an orphan on this planet.');
INSERT INTO `client_strings` VALUES ('string/en/loading/lok_n.stf', '1', 'snorbal', 'Snorbal');
INSERT INTO `client_strings` VALUES ('string/en/loading/lok_n.stf', '2', 'nym_stronghold', 'Nym\'s Stronghold');
INSERT INTO `client_strings` VALUES ('string/en/loading/lok_n.stf', '3', 'imperial_base', 'Imperial Base');
INSERT INTO `client_strings` VALUES ('string/en/loading/lok_n.stf', '4', 'general_otto', 'General Otto');
INSERT INTO `client_strings` VALUES ('string/en/loading/lok_n.stf', '5', 'droideka', 'Droideka');
INSERT INTO `client_strings` VALUES ('string/en/loading/lok_n.stf', '6', 'vesp', 'Vesp');
INSERT INTO `client_strings` VALUES ('string/en/loading/lok_n.stf', '7', 'kimogila', 'Kimogila');
INSERT INTO `client_strings` VALUES ('string/en/loading/lok_n.stf', '8', 'flit', 'Flit');
INSERT INTO `client_strings` VALUES ('string/en/loading/lok_n.stf', '9', 'kusak', 'Kusak');
INSERT INTO `client_strings` VALUES ('string/en/loading/lok_n.stf', '10', 'langlatch', 'Langlatch');
INSERT INTO `client_strings` VALUES ('string/en/loading/lok_n.stf', '11', 'perlek', 'Perlek');
INSERT INTO `client_strings` VALUES ('string/en/loading/lok_n.stf', '12', 'pharple', 'Pharple');
INSERT INTO `client_strings` VALUES ('string/en/loading/lok_n.stf', '13', 'spined_snake', 'Spined Snake');
INSERT INTO `client_strings` VALUES ('string/en/loading/lok_n.stf', '14', 'gurnaset', 'Gurnaset');
INSERT INTO `client_strings` VALUES ('string/en/loading/lok_n.stf', '15', 'gurk', 'Gurk');
INSERT INTO `client_strings` VALUES ('string/en/loading/lok_n.stf', '16', 'nym', 'Nym');
INSERT INTO `client_strings` VALUES ('string/en/loading/naboo.stf', '1', 'naboo', 'Many believe no other planet in the known galaxy is as beautiful as Naboo.\n\nA lush, vibrant world, Naboo has two indigenous peoples: the Naboo and the Gungans.\n\nLong-standing tensions between the Naboo and Gungans have eased in the generation since they worked together to defeat the Trade Federation.');
INSERT INTO `client_strings` VALUES ('string/en/loading/naboo.stf', '2', 'theed', 'The crown jewel of Naboo, Theed is the cultural and political capital of the planet. Artists from around the galaxy flock to Theed to partake of the rich, creative atmosphere. \nThe Grand Plaza in the city center offers impressive sights of both the Royal Arch and Theed Palace.\n\n');
INSERT INTO `client_strings` VALUES ('string/en/loading/naboo.stf', '3', 'deeja_peak', 'Nestled deep within a mountain valley, Dee\'ja Peak is a secluded town, catering to those who wish to get away from it all.\n\nMany residents of Dee\'ja Peak wish to live an independent lifestyle, or don\'t agree with the Queen\'s support of the Empire.\n\nDee\'ja Peak welcomes everyone, for residents know it\'s a long way to get there, but well worth the view.');
INSERT INTO `client_strings` VALUES ('string/en/loading/naboo.stf', '4', 'lake_retreat', 'The Lake Retreat, as it is known, was originally the family home of Naboo\'s former ruler, Queen Amidala.\n\nWith a gazebo built on the waters of the placid lake, the Lake Retreat is the site of many wedding ceremonies.\n\nGiven to the Monarchy of Naboo, it is now reserved for the private use of friends, family, and loyal subjects.');
INSERT INTO `client_strings` VALUES ('string/en/loading/naboo.stf', '5', 'emperors_retreat', 'It is rumored that the Emperor keeps a Retreat on Naboo, a place to which he goes when he wishes to contemplate the future of the Empire.\n\nThe stories also say that the Emperor\'s highest commanders receive their orders from him here.\n\nIf this is indeed true, the Retreat would presumably be hidden and heavily guarded by the most elite stormtroopers.');
INSERT INTO `client_strings` VALUES ('string/en/loading/naboo.stf', '6', 'gungan_sacred_place', 'Hidden deep within the swamps, the Sacred Place is the most holy site of the Gungans. The only non-Gungan visitors allowed are the recognized friends and allies of the Gungan people.\n\nDuring the reign of Queen Amidala, an alliance between the Naboo and the Gungans was forged here.\n\n');
INSERT INTO `client_strings` VALUES ('string/en/loading/naboo.stf', '7', 'theed_palace', 'The most elegant and beautiful building complex on Naboo, Theed Palace is where the elected Kings and Queens of Naboo hold court.\n\nFrom Grand Ballrooms to stunning views of Theed\'s waterfalls, the Palace is a fitting home for royalty.');
INSERT INTO `client_strings` VALUES ('string/en/loading/naboo.stf', '8', 'gungan', 'In the past, Gungans took great pains to avoid contact with their Naboo neighbors, and even built huge underwater cities to escape contact.\n\nSince the failed invasion by the Trade Federation, the Gungans have begun to co-exist with their human friends. A few stubborn holdouts remain on both sides.\n');
INSERT INTO `client_strings` VALUES ('string/en/loading/naboo.stf', '9', 'fambaa', 'This gigantic sauropod is herbivorous and even-tempered by nature, but fearsome in its appearance.\n\nFambaa have been domesticated by the Gungans, and carry huge loads such as immense shield generators used by the Gungans. \n\nWhile moving underwater, the Gungans abandoned small groups of fambaa, which eventually established their own packs.');
INSERT INTO `client_strings` VALUES ('string/en/loading/naboo.stf', '10', 'falumpaset', 'These highly intelligent, powerful creatures roam the swamps and plains of the planet in great herds.\n\nThe falumpaset is a gigantic quadruped with a distinctive bellowing call that carries for kilometers around.\n\nFalumpasets are domesticated and used as beasts of burden by the Gungans.  However, their temperament is uniformly stubborn and uncooperative.');
INSERT INTO `client_strings` VALUES ('string/en/loading/naboo.stf', '11', 'kaadu', 'These agile, fleet-footed, flightless birds are as fast in the water as they are on land.  They are the preferred mount of Gungan soldiers.\n\nThe kaadu lay their eggs on land, often in fields, where predators like the peko-peko often eat them.\n\nFearless creatures, the kaadu will viciously protect their herd if attacked.');
INSERT INTO `client_strings` VALUES ('string/en/loading/naboo.stf', '12', 'narglatch', 'The narglatch is often a solitary hunter that silently stalks and quickly demolishes its prey.\n\nDensely padded feet aid in hunting with stealth, and their large claws are superior killing tools.\n\nIt generally avoids deep water, although narglatches are good swimmers if pressed.');
INSERT INTO `client_strings` VALUES ('string/en/loading/naboo.stf', '13', 'peko_peko', 'Peko-pekos are large, strong reptavians whose great raucous squawks carry over long distances.\n\nA long tail and spectacular coloration make this creature distinctive and valuable. Among the Gungans the peko-peko is admired for its beauty, whereas the Naboo hunt them for their indigo-sapphire skin.');
INSERT INTO `client_strings` VALUES ('string/en/loading/naboo.stf', '14', 'tusk_cat', 'Fierce hunters, tusk-cats stalk their prey in a variety of different terrains, attacking with claws and namesake tusks.\n\nOver the years the Naboo have domesticated tusk-cats, using them as both riding animals and for herding livestock.');
INSERT INTO `client_strings` VALUES ('string/en/loading/naboo.stf', '15', 'emperor_palpatine', 'Having served as a politician in the Old Republic, the Emperor rose to power with the sole purpose to restore order to the Galaxy.\n\nThe supreme head of the Empire, the Emperor oversees all planets under Imperial control.  \n\nWidespread resistance to his rule has recently erupted into a full-scale Galactic Civil War.');
INSERT INTO `client_strings` VALUES ('string/en/loading/naboo.stf', '16', 'darth_vader', 'His past as mysterious as the black helmet he wears, Darth Vader is the Emperor\'s foremost agent.\n\nVader is known across the Empire as the hero who single-handedly defeated the Jedi Knights, enforcers of the corrupt Old Republic. \n\nVader is charged with ferreting out and destroying Rebels.  When he has succeeded, the Emperor will restore peace to the galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/loading/naboo.stf', '17', 'lord_hethrir', 'Lord Hethrir holds the office of Procurator of Justice.  It is his burden to ensure that justice is brought to those who have wronged the Empire.\n\nHaving been recently appointed to the position, Lord Hethrir mainly presides over cases that involve Rebel acts of terrorism.\n\nLord Hethrir claims that his zeal for justice derives from the destruction of his homeworld by Rebels using a biological weapon.');
INSERT INTO `client_strings` VALUES ('string/en/loading/naboo.stf', '18', 'kaja_orzee', 'A strong yet friendly woman, Kaja Or\'Zee believes fully in the Empire.  She feels that the New Order will restore peace to the galaxy.\n\nAs Head Chamberlain to the Emperor, Kaja sees to it that the Emperor\'s will is realized.\n\nDisheartened by reports that Rebels destroyed Alderaan, Kaja Or\'Zee feels it\'s her duty to help the Empire win the Galactic Civil War.');
INSERT INTO `client_strings` VALUES ('string/en/loading/naboo.stf', '19', 'loam_redge', 'Loam Redge has risen through the ranks of the Empire to the position of Chief Inquisitor.\n\nKnown for being a stern, yet fair man, Loam is quite effective in retrieving information from dissidents and criminals alike.');
INSERT INTO `client_strings` VALUES ('string/en/loading/naboo.stf', '20', 'kadaara', 'A major center of commerce, Kaadara has also become a hub for the criminal element (such as it is on Naboo).   Smugglers, mercenaries and bounty hunters are common here, so steer clear of the seedier areas if there\'s a price on your head.');
INSERT INTO `client_strings` VALUES ('string/en/loading/naboo.stf', '21', 'moenia', 'The Empire views Moenia as little more than an artists\' retreat and virtually ignores all activity in the city. This has allowed the formation of a small, but influential group of political idealists sympathetic to the Rebellion.');
INSERT INTO `client_strings` VALUES ('string/en/loading/naboo.stf', '22', 'keren', 'The most important trading city on Naboo, Keren is a bustling mercantile hub. Planetary as well as interstellar traders can be found here, amid a wide assortment of (mostly) legal goods and products.  Look here to line up business contacts or a good deal.');
INSERT INTO `client_strings` VALUES ('string/en/loading/naboo_n.stf', '1', 'naboo', 'Naboo\n');
INSERT INTO `client_strings` VALUES ('string/en/loading/naboo_n.stf', '2', 'theed', 'Theed');
INSERT INTO `client_strings` VALUES ('string/en/loading/naboo_n.stf', '3', 'deeja_peak', 'Dee\'ja Peak');
INSERT INTO `client_strings` VALUES ('string/en/loading/naboo_n.stf', '4', 'lake_retreat', 'Lake Retreat');
INSERT INTO `client_strings` VALUES ('string/en/loading/naboo_n.stf', '5', 'emperors_retreat', 'Emperor\'s Retreat');
INSERT INTO `client_strings` VALUES ('string/en/loading/naboo_n.stf', '6', 'gungan_sacred_place', 'Gungan Sacred Place');
INSERT INTO `client_strings` VALUES ('string/en/loading/naboo_n.stf', '7', 'theed_palace', 'Theed Palace');
INSERT INTO `client_strings` VALUES ('string/en/loading/naboo_n.stf', '8', 'gungan', 'Gungan');
INSERT INTO `client_strings` VALUES ('string/en/loading/naboo_n.stf', '9', 'fambaa', 'Fambaa');
INSERT INTO `client_strings` VALUES ('string/en/loading/naboo_n.stf', '10', 'falumpaset', 'Falumpaset');
INSERT INTO `client_strings` VALUES ('string/en/loading/naboo_n.stf', '11', 'kaadu', 'Kaadu');
INSERT INTO `client_strings` VALUES ('string/en/loading/naboo_n.stf', '12', 'narglatch', 'Narglatch');
INSERT INTO `client_strings` VALUES ('string/en/loading/naboo_n.stf', '13', 'peko_peko', 'Peko-Peko');
INSERT INTO `client_strings` VALUES ('string/en/loading/naboo_n.stf', '14', 'tusk_cat', 'Tusk-Cat');
INSERT INTO `client_strings` VALUES ('string/en/loading/naboo_n.stf', '15', 'emperor_palpatine', 'The Emperor');
INSERT INTO `client_strings` VALUES ('string/en/loading/naboo_n.stf', '16', 'darth_vader', 'Darth Vader');
INSERT INTO `client_strings` VALUES ('string/en/loading/naboo_n.stf', '17', 'lord_hethrir', 'Lord Hethrir');
INSERT INTO `client_strings` VALUES ('string/en/loading/naboo_n.stf', '18', 'kaja_orzee', 'Kaja Or\'Zee');
INSERT INTO `client_strings` VALUES ('string/en/loading/naboo_n.stf', '19', 'loam_redge', 'Loam Redge');
INSERT INTO `client_strings` VALUES ('string/en/loading/naboo_n.stf', '20', 'kadaara', 'Kaadara');
INSERT INTO `client_strings` VALUES ('string/en/loading/naboo_n.stf', '21', 'moenia', 'Moenia');
INSERT INTO `client_strings` VALUES ('string/en/loading/naboo_n.stf', '22', 'keren', 'Keren');
INSERT INTO `client_strings` VALUES ('string/en/loading/rori.stf', '1', 'squall', 'Squalls, not a native lifeform of Rori, have been allowed to procreate unchecked since the inception of the New Order.\n\nThe Squall, a docile rodent with long ears and a bushy tail, is a free-roaming creature found upon Rori.\n\nIt is not uncommon to find packs of Squalls wandering into town, foraging for food.  The traffic jams that result from this disruption can take hours to clear.');
INSERT INTO `client_strings` VALUES ('string/en/loading/rori.stf', '2', 'rori', 'A moon of Naboo, Rori has a similar ecosystem to Naboo, but is less densely populated, and rich with resources.');
INSERT INTO `client_strings` VALUES ('string/en/loading/rori.stf', '3', 'narmle', 'One of two original cities, Narmle is one of the few vestiges of a civilized existence on Rori. It is here you find modern comforts such as banks, cloning centers, and hotels.');
INSERT INTO `client_strings` VALUES ('string/en/loading/rori.stf', '4', 'cobral_renegades', 'A criminal organization made up of former members of The Cobral - a powerful criminal faction lead by the crime family, Cobral, on the planet Frego. The Cobral family lost their power and authority shortly before the Battle of Naboo, but some members of the organization fled to Rori.');
INSERT INTO `client_strings` VALUES ('string/en/loading/rori.stf', '5', 'garyn_raiders', 'Ex-vigos of Alexi Garyn who managed (through luck and coincidence) to avoid Darth Maul\'s destruction of Garyn\'s organization. They are fiercely loyal to their leader, who was drowned by Darth Maul. They have since banded together on Rori to base their operations to harass Imperial troops and avenge their fallen leader.');
INSERT INTO `client_strings` VALUES ('string/en/loading/rori.stf', '6', 'rorian_gungans', 'A group of gungans that relocated to Rori shortly after the peace brokered between Boss Nass and Queen Amidala as a result of the Battle of Naboo. Rorian Gungans were violently opposed to any alliance between humans and Gungans. Living in relative isolation on Rori, they have become territorial, paranoid, and increasingly violent.  They are now likely to attack any beings who come into their territory on sight.');
INSERT INTO `client_strings` VALUES ('string/en/loading/rori.stf', '7', 'kobola_spice_miners', 'A group of criminal spice miners who have established a foothold on Naboo and Rori. The Kobola spice miners sell their spice to the Hutts.  They are a violent group, often at war with both the Rorian Gungans and the Rori Spice Mining Collective.');
INSERT INTO `client_strings` VALUES ('string/en/loading/rori.stf', '8', 'rori_miners', 'Officially known as the Rori Spice Mining Collective, a group of honest spice miners who sell their goods to pharmaceutical companies.  They often engage in turf wars with the Kobola spice miners.');
INSERT INTO `client_strings` VALUES ('string/en/loading/rori.stf', '9', 'restuss', 'One of two original cities, Restuss is one of the few vestiges of a civilized existence on Rori. It is here you find modern comforts such as banks, cloning centers, and hotels.');
INSERT INTO `client_strings` VALUES ('string/en/loading/rori.stf', '10', 'rori_gungans', 'A group of Gungans relocated to Rori shortly after the peace was brokered between Boss Nass and Queen Amidala as a result of the Battle of Naboo. Rorian Gungans were violently opposed to any alliance between humans and Gungans. Living in relative isolation on Rori, they have become territorial, paranoid, and increasingly violent.  They are now likely to attack any beings who come into their territory on sight.');
INSERT INTO `client_strings` VALUES ('string/en/loading/rori_n.stf', '1', 'squall', 'Squall');
INSERT INTO `client_strings` VALUES ('string/en/loading/rori_n.stf', '2', 'rori', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/loading/rori_n.stf', '3', 'narmle', 'Narmle');
INSERT INTO `client_strings` VALUES ('string/en/loading/rori_n.stf', '4', 'cobral_renegades', 'Cobral Renegades');
INSERT INTO `client_strings` VALUES ('string/en/loading/rori_n.stf', '5', 'garyn_raiders', 'Garyn Raiders');
INSERT INTO `client_strings` VALUES ('string/en/loading/rori_n.stf', '6', 'rorian_gungans', 'Rori Gungans');
INSERT INTO `client_strings` VALUES ('string/en/loading/rori_n.stf', '7', 'kobola_spice_miners', 'Kobola Spice Miners');
INSERT INTO `client_strings` VALUES ('string/en/loading/rori_n.stf', '8', 'rori_miners', 'Rori Miners');
INSERT INTO `client_strings` VALUES ('string/en/loading/rori_n.stf', '9', 'restuss', 'Restuss');
INSERT INTO `client_strings` VALUES ('string/en/loading/rori_n.stf', '10', 'rori_gungans', 'Rori Gungans');
INSERT INTO `client_strings` VALUES ('string/en/loading/space_tatooine.stf', '1', 'xwing_title', 'T-65 X-Wing (Incom Corporation)');
INSERT INTO `client_strings` VALUES ('string/en/loading/space_tatooine.stf', '2', 'xwing_tip', 'History will always report that the Rebel Alliance was saved from total annihilation by an X-wing starfighter. The X-wing played a pivotal role at the Battle of Yavin, enabling young pilot Luke Skywalker to fly into the Death Star\'s trench and target a small, two-meter-wide exhaust port. Luke was aided by the Force, but the mission would not have succeeded without the X-wing\'s superior capabilities.');
INSERT INTO `client_strings` VALUES ('string/en/loading/space_tatooine.stf', '3', 'tiefighter_title', 'TIE Fighter (Seinar Fleet Systems)');
INSERT INTO `client_strings` VALUES ('string/en/loading/space_tatooine.stf', '4', 'tiefighter_tip', 'From the beginning of the Galactic Civil War, the Emperor believed that the conflict would be a war of attrition. Nowhere is that philosophy more evident than in the design and tactics of the staple starfighter of the Imperial Navy, the TIE fighter. TIE fighters are meant to overwhelm enemy forces in large numbers and have therefore been designed for speed and... affordability.');
INSERT INTO `client_strings` VALUES ('string/en/loading/space_tatooine.stf', '5', 'tieinterceptor_title', 'TIE Interceptor (Seinar Fleet Systems)');
INSERT INTO `client_strings` VALUES ('string/en/loading/space_tatooine.stf', '6', 'tieinterceptor_tip', 'Seinar Fleet Systems was never idle during the Galactic Civil War. After producing the effective TIE fighter, the Seinar design team began work on the TIE Advanced x1 prototype. When the TIE Advanced proved too costly for the Empire\'s tastes, Seinar transferred many of the prototype\'s features to its newest TIE design: the TIE Interceptor - as a direct response to the Rebel Alliance\'s development of faster and more dangerous starfighters.');
INSERT INTO `client_strings` VALUES ('string/en/loading/space_tatooine.stf', '9', 'hyperdrive_title', 'Hyperspace Travel');
INSERT INTO `client_strings` VALUES ('string/en/loading/space_tatooine.stf', '10', 'hyperdrive_tip', 'A vital component on many starships, the hyperdrive is responsible for accelerating a vehicle to faster-than-lightspeed velocities and propelling it into the dimension known as hyperspace. While in hyperspace, a vehicle can cover huge expanses of space in an instant. \n\nTo use your hyperdrive, press the \'H\' key and then select a star system by left-clicking on it. A list of possible hyperspace destinations will appear. Choose your preferred destination and then click the \'Hyperspace\' button on the bottom-right of the hyperspace map.');
INSERT INTO `client_strings` VALUES ('string/en/loading/space_tatooine.stf', '11', 'flightcontrol_title', 'Starship Flight Controls');
INSERT INTO `client_strings` VALUES ('string/en/loading/space_tatooine.stf', '12', 'flightcontrol_tip', 'Control your starship with a mouse, keyboard, gamepad or joystick.\n\nUse the mouse or joystick to control your ship heading.\n\nTo increase speed use the up-arrow, or \'=\' key.\nTo slow down, use the down-arrow, or \'-\' key.\nIn addition to mouse or joystick directional control, you can use the \'A\' and \'D\' keys to turn.\nRoll your ship with the left and right arrow keys, or the \'Q\' and \'E\' keys.\n\nSet full speed with the HOME key.\nSet speed to full stop with the END key.\n\nPress the M key to match speed with your currently selected target.');
INSERT INTO `client_strings` VALUES ('string/en/loading/space_tatooine.stf', '13', 'sublight_drive_title', 'Sub-light Drive');
INSERT INTO `client_strings` VALUES ('string/en/loading/space_tatooine.stf', '14', 'sublight_drive_tip', 'Sublight drives maneuver vehicles through normal space, and usually employ one several different engine technologies, including ion drives. Sublight drives are almost always engaged upon leaving a planet\'s atmosphere, and during space battles. Most sublight drives also project varying gravity effects to protect pilots and passengers during sudden changes in sublight acceleration.');
INSERT INTO `client_strings` VALUES ('string/en/loading/space_tatooine.stf', '17', 'ywing_title', 'Koensayr BTL-S3 Y-Wing Attack Starfighter');
INSERT INTO `client_strings` VALUES ('string/en/loading/space_tatooine.stf', '18', 'ywing_tip', 'While the Alliance relied on the Y-wing for everything from escort duty to reconnaissance, the starfighter was originally designed for close-quarters combat with space stations and large starships. Light bombing runs and surgical strikes are also part of the Y-wing\'s mission profile. The starfighter\'s weapons emplacements are fairly modular. Most Rebel Y-wing\'s used a pair of laser cannons and a rotating ion cannon. The Y-wing can be equipped with proton torpedoes, concussion missiles, and proton bombs for more direct assaults.');
INSERT INTO `client_strings` VALUES ('string/en/loading/space_tatooine.stf', '19', 'z95_title', 'Incom/Subpro Z-95-AF4  Headhunter');
INSERT INTO `client_strings` VALUES ('string/en/loading/space_tatooine.stf', '20', 'z95_tip', 'One of the oldest starfighters still in use by the New Republic, the Headhunter predates the Battle of Yavin by several decades  and has experienced several revivals since its first appearance. The starfighter\'s longevity is based on its legendary resilience and still remains an attractive option to mercenaries and security personnel throughout the galaxy');
INSERT INTO `client_strings` VALUES ('string/en/loading/space_tatooine.stf', '23', 'tieadvanced_title', 'Sienar Fleet Systems TIE Advanced x1 Prototype');
INSERT INTO `client_strings` VALUES ('string/en/loading/space_tatooine.stf', '24', 'tieadvanced_tip', 'The TIE Advanced was the prototype TIE fighter flown by Darth Vader at the Battle of Yavin. An experimental craft combining TIE fighter technology with more conventional starfighter components, like a hyperdrive and deflector shield generators, the TIE Advanced eventually became the template for the incredibly efficient TIE interceptor. Based on original Sienar TIE fighter designs, the TIE Advanced consisted of a rounded cockpit connected to two solar array wings. The vessel featured a durasteel-alloy hull, elongated rear deck, and powerful twin laser cannons located just below the large canopy.');
INSERT INTO `client_strings` VALUES ('string/en/loading/space_tatooine.stf', '25', 'tiebomber_title', 'Sienar Fleet Systems TIE Bomber');
INSERT INTO `client_strings` VALUES ('string/en/loading/space_tatooine.stf', '26', 'tiebomber_tip', 'Of all the TIE fighter variants produced by Sienar Fleet Systems for the Galactic Empire, the TIE bomber was one of the most effective. The heavy assault ship, designed for strategic strikes against surface and deep space targets, proved one of the most heavily-armed starships in the Imperial fleet. It contributed to the capture of Yavin 4, aided in the search for the Millennium Falcon near Hoth and made direct attacks on Alliance capital ships at the Battle of Endor and other conflicts.');
INSERT INTO `client_strings` VALUES ('string/en/loading/space_tatooine.stf', '28', 'radar_tip', 'Your starship radar is at the bottom-center of your screen. It is a circular display that shows you the locations of craft around you.\nYour starship is always the \'dead center\' of this radar display. \n\nThe dots you see on the radar above the center represent ships flying above you. Dots below the center zone represent ships that are flying below you. Dots to the left and right indicate ships that are to your left and right, respectively.\n\nThe further a radar dot is from the center... the more you must turn in order to face it.');
INSERT INTO `client_strings` VALUES ('string/en/loading/space_tatooine.stf', '31', 'station_tip', 'Space stations allow you to land on planets and repair your starship\'s damage. \n\nIn order to land your ship on a planet, you must communicate with a space station. \nFly to a space station, target it (with the C key) and then communicate with it (using the back-slash key). \n\nSpace stations will hail your starship automatically if you fly towards the station hangar.\n\nThe space station commander will appear on-screen to ask what you\'d like to do. If you have money for repairs (and your ship is sufficiently damaged) you will get an option to repair some percentage of your starship while still in-flight. If you would like to land, say so and the commander will give you permission to land at the starport of your choice.');
INSERT INTO `client_strings` VALUES ('string/en/loading/space_tatooine.stf', '32', 'station_title', 'Space Stations');
INSERT INTO `client_strings` VALUES ('string/en/loading/space_tatooine.stf', '33', 'radar_title', 'Starfighter Radar Display');
INSERT INTO `client_strings` VALUES ('string/en/loading/space_tatooine.stf', '35', 'shipdamage_title', 'Starship Damage');
INSERT INTO `client_strings` VALUES ('string/en/loading/space_tatooine.stf', '36', 'shipdamage_tip', 'Keep a close eye on your starship\'s health - especially when you are in combat! All ship status is super-imposed on the Radar display at the bottom-center of your screen. \n\nThe outer blue bars surrounding the radar display indicate your shield strength (if your ship is equipped with shields). When your ship is hit by enemy fire you will see this blue bar diminish. When it diminishes completely, your ship will start taking armor damage. \n\nYour ship armor is denoted by a solid red circle at the center of the radar (surrounding your starship\'s radar position). As your armor is damaged, this red circle will shrink until all the armor is gone. Once your armor is eliminated your starship\'s sensitive equipment will be exposed to enemy blaster fire. \n\nIf your components are destroyed your starship will exhibit severe performance problems.');
INSERT INTO `client_strings` VALUES ('string/en/loading/space_tatooine.stf', '37', 'loot_title', 'Starship Loot and Credits');
INSERT INTO `client_strings` VALUES ('string/en/loading/space_tatooine.stf', '38', 'loot_tip', 'Some enemies will drop \'loot\' when you destroy them. These loot items are special pieces of equipment that you can use to upgrade your starship. If you are certified to use the equipment that you looted (find this out by examining the loot object in your inventory), you can install it on your starship. Note that \'free\' starships (donated by the Imperial Navy, the Rebel Alliance or any free pilots association) cannot be upgraded in any way. Only starships crafted by other players can be upgraded.\n\nInstall pieces on your ship using the \'Manage Components\' option on the starship terminals found throughout major starports.\n\nCredits that you loot from fallen enemies will appear in your inventory as a hard-credit \'chip.\' Right-click on this chip and \'transfer credits to bank account\' whenever you like.');
INSERT INTO `client_strings` VALUES ('string/en/loading/space_tatooine.stf', '40', 'target_title', 'Targeting Commands');
INSERT INTO `client_strings` VALUES ('string/en/loading/space_tatooine.stf', '41', 'eject_tip', 'When your ship has sustained too much damage to carry on - you can scuttle your ship and automatically transit to the nearest friendly space station.\n\nPress the \'EJECT\' button that appears above your radar to begin the scuttle sequence. Note that your ship components must be severely damaged for this item to appear on-screen, and the \'EJECT\' sequence will take several seconds to conclude.\n');
INSERT INTO `client_strings` VALUES ('string/en/loading/space_tatooine.stf', '42', 'eject_title', 'Escape Pod Sequence');
INSERT INTO `client_strings` VALUES ('string/en/loading/space_tatooine.stf', '43', 'target_tip', 'Effective targeting is critical to survival in space combat. Know your targeting commands:\n\nTAB - choose closest enemy starship\nT / Shift T - cycle through enemy starships\n\nShift TAB - choose closest enemy player starship\nZ / Shift Z - cycle through enemy player starships\n\nK - choose closest friendly player starship\nL / Shift L - cycle friendly player starships\n\n; - choose closest friendly starship\n\' - cycle friendly starships\n\nESC - clear current target');
INSERT INTO `client_strings` VALUES ('string/en/loading/space_tatooine.stf', '44', 'booster_tip', 'Boosters can temporarily increase your movement speed, and are a great asset when trying to run away from more powerful enemies!\n\nIf your starship is equipped with a booster, press the B key to engage them. Watch the booster power gauge on-screen (it is attached to your speed indicator). When the booster power is depleted, the boosters will stop automatically.\n\nBoosters will automatically recharge when not in use.');
INSERT INTO `client_strings` VALUES ('string/en/loading/space_tatooine.stf', '45', 'booster_title', 'Starship Engine Boosters');
INSERT INTO `client_strings` VALUES ('string/en/loading/space_tatooine.stf', '46', 'docking_title', 'Starship Docking System');
INSERT INTO `client_strings` VALUES ('string/en/loading/space_tatooine.stf', '47', 'docking_tip', 'Starships have the ability to dock with various craft. Some missions will require you to dock with other ships to complete your objective.\n\nTarget the ship with which you plan to dock and then use the /dock command - or press the docking button located just beneath the target indicator on your heads\' up display.');
INSERT INTO `client_strings` VALUES ('string/en/loading/space_tatooine.stf', '50', 'missions_title', 'Space Missions');
INSERT INTO `client_strings` VALUES ('string/en/loading/space_tatooine.stf', '51', 'missions_tip', 'Starfighter trainers are eager to provide missions to all able-bodied pilots.\n\nCheck your mission status in-flight by pressing the J key, or by using the journal icon on the lower left-hand corner of your heads\' up display.\n\nWhen you are done with your mission, fly back to your launch waypoint, land on the planet surface, and return to your trainer for your reward... and your next mission!');
INSERT INTO `client_strings` VALUES ('string/en/loading/space_tatooine.stf', '52', 'dutymissions_title', 'Duty Mission Types');
INSERT INTO `client_strings` VALUES ('string/en/loading/space_tatooine.stf', '53', 'dutymissions_tip', 'Duty missions are open-ended assignments that do not have a specific endpoint. It is up to you to decide when your duty mission is complete.\n\nWhile on a duty mission, your objectives will be automatically updated in-flight.\n\nTo conclude your duty mission, go to your datapad with Control D, select the duty mission object and then select \'End Duty.\'');
INSERT INTO `client_strings` VALUES ('string/en/loading/space_tatooine.stf', '54', 'pilotability_title', 'Starfighter Pilot Abilities');
INSERT INTO `client_strings` VALUES ('string/en/loading/space_tatooine.stf', '55', 'pilotability_tip', 'As you gain skill as a starfighter pilot, you will be granted increasingly powerful pilot abilities.\n\nCheck the abilities browser with Control A and look under the \'Space\' tab.\n\nAll of your current space combat abilities will be listed here. You are free to relocate these ability icons to the toolbar. When in-flight, you can execute these abilities by triggering the toolbar slot (a function key F1 through F12) or by chatting its associated slash command.');
INSERT INTO `client_strings` VALUES ('string/en/loading/space_tatooine.stf', '56', 'pobships_title', 'Multiplayer Starships');
INSERT INTO `client_strings` VALUES ('string/en/loading/space_tatooine.stf', '57', 'pobships_tip', 'Explore the galaxy with your friends!\n\nIf you are certified to fly a multi-passenger starship such as the YT-1300 transport, you can bring a group of friends along for the ride.\n\nTo launch into a multiplayer ship with a full crew, bring your group to the starport. Gather your group close to the starship terminal and invoke the launch sequence as normal.');
INSERT INTO `client_strings` VALUES ('string/en/loading/space_tatooine.stf', '58', 'pvp_title', 'Player versus Player Space Combat');
INSERT INTO `client_strings` VALUES ('string/en/loading/space_tatooine.stf', '59', 'pvp_tip', 'In order to participate in player versus player space combat, you will need to declare your overt status at a factional space station. All pilots are automatically set PvP-neutral when launching into space regardless of ground faction status.\n\nSearch out a factional space station. Fly to it, target it (with the C key), and then communicate with the station using the back-slash key. You will be asked to verify your intent to declare overt status. When you affirm your overt status, you will have a short window of time before other overt player pilots will see you as a valid target (and vice-versa).\n');
INSERT INTO `client_strings` VALUES ('string/en/loading/space_tatooine.stf', '60', 'waypoint_title', 'Space Waypoints');
INSERT INTO `client_strings` VALUES ('string/en/loading/space_tatooine.stf', '61', 'waypoint_tip', 'Space waypoints are critical for navigation.\n\nUse the on-screen waypoint monitor (set \'on\' by default). This shows you the distance and direction to all active waypoints.\n\nCreate your own waypoints by opening your datapad, selecting the Waypoints tab, and creating a new waypoint at your current location... or by using the /waypoint chat command.\n\nYou can autopilot to waypoints in your datapad. Open the datapad, right-click on the desired waypoint and then select \'Autopilot\' from the radial menu.');
INSERT INTO `client_strings` VALUES ('string/en/loading/space_tatooine.stf', '62', 'zonemap_title', 'Space Zone Map');
INSERT INTO `client_strings` VALUES ('string/en/loading/space_tatooine.stf', '63', 'zonemap_tip', 'The zone map contains information about spacestations, nebulae, asteroids, and mission-critical targets.\n\nOpen the zone map using the N key or by chatting the /zonemap command in your chatbox.\n\nUse the zoom and rotate commands located at the bottom of the zone map display to navigate. Expand the categories on the right-hand side of the screen to browse points of interest.');
INSERT INTO `client_strings` VALUES ('string/en/loading/space_tatooine.stf', '64', 'deepspace_title', 'Deep Space Battle Zone');
INSERT INTO `client_strings` VALUES ('string/en/loading/space_tatooine.stf', '65', 'deepspace_tip', 'You are entering a Player-versus-Player zone.\n\nOther players can attack you here.\n\nREBELS - defeat the Star Destroyer!\n\nIMPERIALS - eliminate the Rebel Base!');
INSERT INTO `client_strings` VALUES ('string/en/loading/space_tatooine.stf', '66', 'kessel_title', 'Kessel Zone');
INSERT INTO `client_strings` VALUES ('string/en/loading/space_tatooine.stf', '67', 'kessel_tip', 'Enjoy the spoils of war! \nSearch out enemy transports and take them down.\nAll of them...');
INSERT INTO `client_strings` VALUES ('string/en/loading/talus.stf', '1', 'vynock', 'A genetic offshoot of the more common mynock, these small creatures are found high in the mountains.\n\nHaving no arms or legs, the vynock uses the small tentacles that surround its head to locate its food and draw it to its mouth.\n\nWoe be to the pirate who doesn\'t check for vynocks before take off. Because the vynock\'s diet consists only of metals, spacecraft are a banquet for these creatures.');
INSERT INTO `client_strings` VALUES ('string/en/loading/talus.stf', '2', 'talus', 'Talus and its twin planet Tralus orbit each other as they circle the star Corell in the Corellian system. Several species and many social groups are unique to Talus, and most are dangerous.  Talus has two main cities, Dearic and Nashal.');
INSERT INTO `client_strings` VALUES ('string/en/loading/talus.stf', '3', 'kima', 'A fast and agile quadruped unique to Talus, the kima hunts alone in remote rural areas.  Kimas are known for their powerful and intimidating growl, which sets hearts pounding and turns knees to jelly.');
INSERT INTO `client_strings` VALUES ('string/en/loading/talus.stf', '4', 'hilltop_kima', 'This breed of kima tends to live in rugged areas.  Slightly larger and more powerful than their cousins at lower altitudes, these creatures may travel alone or in packs.');
INSERT INTO `client_strings` VALUES ('string/en/loading/talus.stf', '5', 'dearic_and_nashal', 'Though these two cities will never challenge Coronet for glamour, they are almost the only places on Talus a traveller can find urban comforts such as banks, commodities markets, and cloning facilities.');
INSERT INTO `client_strings` VALUES ('string/en/loading/talus.stf', '6', 'talus_liberation_party', 'One of the political factions active during the Starbuster plot, they were struggling for their world (along with Tralus) to secede from the Corellian alliance and govern themselves.');
INSERT INTO `client_strings` VALUES ('string/en/loading/talus.stf', '7', 'fed_dub', 'The Federation of Double Worlds (or Fed-Dub for short) is the government that controls Talus and Tralus.  Members are elected, and they control a minor force to keep the peace on these two planets.');
INSERT INTO `client_strings` VALUES ('string/en/loading/talus.stf', '8', 'aakuans', 'These anarchists believe that all living beings have the right to govern themselves and that no authority (specifically, no government) should invade anyone\'s individual space.  Their doctrines, though extreme, find many followers on fiercely independent Corellia. Aakuans take their name from the old Corellian term aa\'kua, \"respect\" (literally \"respecting space\").');
INSERT INTO `client_strings` VALUES ('string/en/loading/talus.stf', '9', 'binayre_pirates', 'A two-bit group of smugglers and pirates operating in the Corellian sector who have twin home bases -- one on Talus, the other on Tralus.  They cling to the bottom rung of the criminal ladder.');
INSERT INTO `client_strings` VALUES ('string/en/loading/talus.stf', '10', 'lost_aquilish', 'Ancestors of the aqualish warriors were secretly positioned on Talus during the Aqualish-Corellian War centuries ago, but were forgotten when the war ended.  Believing that the war would one day begin anew, the Talus Aqualish have kept their base hidden from everyone, especially the human settlers on Talus.');
INSERT INTO `client_strings` VALUES ('string/en/loading/talus.stf', '11', 'guf_drolg', 'These large, hostile creatures migrate in small groups (called pods) to warmer climates during the cold season.  They can be very territorial, and are often hunted for their meat and hides.');
INSERT INTO `client_strings` VALUES ('string/en/loading/talus.stf', '12', 'huf_dun', 'A huf dun is a gigantic herbivorous herd creature. Relatively peaceful, they tend to ignore small creatures around them.  Few have successfully domesticated a huf dun or kept one in captivity.');
INSERT INTO `client_strings` VALUES ('string/en/loading/talus.stf', '13', 'sludge_panther', 'The sludge panther is distantly related to the Corellian sand panther, and lives in swamps and dank jungles.  These creatures roll around in mud to mask their scent when hunting.');
INSERT INTO `client_strings` VALUES ('string/en/loading/talus.stf', '14', 'kahmurra', 'Kahmurra are a distant relative of the murra, genetically engineered as a possible all-terrain hunting beast.  The project was abandoned when funding ran out and the lead-geneticist\'s health began to fade.  They now run wild on Talus; some have since been caught and trained, though with great difficulty (and a few unfortunate early attempts).');
INSERT INTO `client_strings` VALUES ('string/en/loading/talus_n.stf', '1', 'vynock', 'Vynock');
INSERT INTO `client_strings` VALUES ('string/en/loading/talus_n.stf', '2', 'talus', 'Talus');
INSERT INTO `client_strings` VALUES ('string/en/loading/talus_n.stf', '3', 'kima', 'Kima');
INSERT INTO `client_strings` VALUES ('string/en/loading/talus_n.stf', '4', 'hilltop_kima', 'Hilltop Kima');
INSERT INTO `client_strings` VALUES ('string/en/loading/talus_n.stf', '5', 'dearic', 'Dearic and Nashal');
INSERT INTO `client_strings` VALUES ('string/en/loading/talus_n.stf', '6', 'talus_liberation_party', 'Talus Liberation Party');
INSERT INTO `client_strings` VALUES ('string/en/loading/talus_n.stf', '7', 'fed_dub', 'Fed-Dub');
INSERT INTO `client_strings` VALUES ('string/en/loading/talus_n.stf', '8', 'aakuans', 'Aa\'kuans');
INSERT INTO `client_strings` VALUES ('string/en/loading/talus_n.stf', '9', 'binayre_pirates', 'Binyare Pirates');
INSERT INTO `client_strings` VALUES ('string/en/loading/talus_n.stf', '10', 'lost_aquilish', 'Lost Aqualish');
INSERT INTO `client_strings` VALUES ('string/en/loading/talus_n.stf', '11', 'guf_drolg', 'Guf Drolg');
INSERT INTO `client_strings` VALUES ('string/en/loading/talus_n.stf', '12', 'huf_dun', 'Huf Dun');
INSERT INTO `client_strings` VALUES ('string/en/loading/talus_n.stf', '13', 'sludge_panther', 'Sludge Panther');
INSERT INTO `client_strings` VALUES ('string/en/loading/talus_n.stf', '14', 'kahmurra', 'Kahmurra');
INSERT INTO `client_strings` VALUES ('string/en/loading/talus_n.stf', '15', 'nashal', 'Nashal and Dearic');
INSERT INTO `client_strings` VALUES ('string/en/loading/tatooine.stf', '1', 'tatooine', 'Twin suns have baked this once fertile planet into a dry, desert wasteland.\n\nThis has not prevented the hardiest lifeforms to try to eke out an existence upon the planet\'s face.\n\nTatooine is found at the far end of the Outer Rim of the galaxy.  Some go so far as to say that if there is a bright center to the Galaxy, this planet is the furthest from it.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tatooine.stf', '2', 'anchorhead', 'If there was any town on Tatooine that was the farthest from Imperial rule, Anchorhead would be the one.\n\nDue to the independent nature of the residents of Anchorhead, it is not uncommon to find those sympathetic to the Rebels\' cause walking out in the open.\n\nImperial loyalists may find a less than warm welcome here.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tatooine.stf', '3', 'bestine', 'Bestine could be considered the capital of Tatooine, at least by Imperial standards.  The Empire has made this city their primary base of operations upon Tatooine.\n\nWith the welcomed Stormtrooper presence patrolling the area, Bestine is one of the most orderly and safe cities on the planet.\n\nA few words of advice to those who don\'t agree with the motives of the Empire: Move along.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tatooine.stf', '4', 'mos_eisley', 'You\'ll never find a more wretched hive of scum and villany than Mos Eisley.\n\nDue to the remote location of Tatooine, Mos Eisley is a prime location to ply a less than lawful trade.\n\nWhile visiting the city, stop by the cantina for a drink.  Just remember to leave your droids outside.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tatooine.stf', '5', 'mos_entha', 'The citizens of Mos Entha are taking pains to clean up their town.  Don\'t be mistaken, for in Mos Entha you can still find back-alley trading and mysterious, unmarked ships.\n\nThroughout the town you\'ll find a mix of new, higher-class hotels and cantinas mixed with all manner of species hawking their wares and services.\n');
INSERT INTO `client_strings` VALUES ('string/en/loading/tatooine.stf', '6', 'mos_espa', 'The largest city on all of Tatooine, Mos Espa offers all types of services.  Whether you\'re looking for the mundane or the highly illegal, you can find it in Mos Espa.\n\nMos Espa is known for producing some of the Galaxy\'s best Podracers.\n\nWhether you live on Tatooine or are just visiting, Mos Espa is the place to see.\n');
INSERT INTO `client_strings` VALUES ('string/en/loading/tatooine.stf', '7', 'mos_taike', 'Located on the outskirts of Tatooine, Mos Taike is a welcome sight to those who find themselves lost among the dunes.\n\nMos Taike is populated by those who don\'t like the easy life of cities like Mos Eisley.\n\nTusken Raiders have been known to attack the town from time to time, so keep your blaster ready.\n');
INSERT INTO `client_strings` VALUES ('string/en/loading/tatooine.stf', '8', 'wayfar', 'Found past the Jundland Wastes, and neighbor to the Western Dune Sea, Wayfar could barely be called a town.\n\nWere it not for the fact some find the hard life of moisture farming appealing, Wayfar would be nothing more than an abandoned settlement.\n\nIt\'s not uncommon to see a wild desert hermit come into town for needed supplies every now and then.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tatooine.stf', '9', 'imperial_oasis', 'One of the most luscious of oasii on Tatooine has come to be known as the Imperial Oasis.\n\nNot used to enduring the heat of the desert, the Empire has set up a permanent base around this oasis for their own personal use.\n\nAccording to some who have served with the Empire, they describe the place as the only paradise on all of Tatooine.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tatooine.stf', '10', 'fort_tusken', 'One of the first settlements upon Tatooine, Fort Tusken was assaulted by the indigenous Sandpeople in its early years.\n\nDue to the ferocity of the attack, the Sandpeople were later nicknamed \"Tusken Raiders\".\n\nTusken Raiders now patrol the Fort and surrounding caves, intent on keeping the namesake structure as their own.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tatooine.stf', '11', 'jabbas_palace', 'A great structure rising out of the dunes, Jabba\'s Palace is usually mistaken for a mirage.\n\nJabba the Hutt holds court here, and a motley crew of lowlifes who work for him call his Palace home.\n\nThe mysterious spider-like droids that walk the corridors are whispered to be the true owners of the building and are letting Jabba use it.  For now.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tatooine.stf', '12', 'lucky_despot', 'Once a cargo ship, the Lucky Despot\'s final flight ended up causing her to crash - right into the heart of Mos Eisley.\n\nToo large to salvage, the wrecked ship was purchased by Lady Valarian and turned it into both a hotel and cantina.\n\nWhile in Mos Eisley, stop by and enjoy a drink or a live show.\n');
INSERT INTO `client_strings` VALUES ('string/en/loading/tatooine.stf', '13', 'fallen_star', 'Inspired by the success of the Lucky Despot in Mos Eisley, the Fallen Star is a grounded cargo ship-turned-cantina.\n\nThe Fallen Star is known to attract the seedier sorts of people from this part of the Outer Rim.\n\nWhether you\'re in Mos Entha for business or pleasure, the Fallen Star is one place you don\'t want to miss.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tatooine.stf', '14', 'krayt_graveyard', 'Ever since settlers first encountered the dreaded Krayt Dragons, they wondered where the dragons go to die.\n\nDue to the extreme danger associated with these creatures, not many have been too eager to find out.\n\nA few brave adventurers have searched for the graveyard, hoping to find a fabled \'dragon pearl\'.  None have returned.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tatooine.stf', '15', 'jawa_fortress', 'A collection of Sandcrawlers forming a formidable barrier, the Jawa Fortress is one of the few \'homes\' to the Jawas.\n\nThe Jawa Fortress is the site of the largest, permanent gathering place for the Jawas.\n\nHere you can find all kinds of working droids, broken droids, and more salvage than a Toydarian junk dealer could shake a chance cube at.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tatooine.stf', '16', 'great_pit_of_carkoon', 'According to the rumors, only Jabba the Hutt and the Sand People know where the Great Pit of Carkoon can be found.\n\nThe Great Pit of Carkoon is the home to the Sarlacc, a creature that takes 1,000 years to digest its victims.\n\nJabba the Hutt treats the Sarlacc as a pet, making sure to feed it regularly...');
INSERT INTO `client_strings` VALUES ('string/en/loading/tatooine.stf', '17', 'jawa', 'Short, intelligent scavengers, Jawas dress in dark hooded robes covering all but glowing eyes.\n\nScavengers by nature, Jawas tend to pick up an odd assortment of droids and mechanical parts. They use huge sandcrawlers for shelter, storage and mobility. ');
INSERT INTO `client_strings` VALUES ('string/en/loading/tatooine.stf', '18', 'sand_people', 'Sand People, or \"Tusken Raiders\", are primitive warriors adept at surviving the harsh desert environment.\n\nSince most of their technology is stolen from settlers, it\'s not rare to find hundred year old rifles still being used by them.\n \nTusken Raiders are a threat to all, primarily settlers and travelers.  Most inhabitants of Tatooine believe that until the Sand People are wiped out, no one is safe.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tatooine.stf', '19', 'eopie', 'Eopies have small, bulbous bodies supported by four spindly legs, but are quite graceful out in the sandy desert.\n\nEopies are swift moving, herbivorous mammals that can cover long distances with minor moisture loss.\n\nEasily domesticated, they are mainly used as beasts of burden and in caravans, or sometimes as food.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tatooine.stf', '20', 'bantha', 'Huge beasts with curving horns, banthas are as much at home being used as a transport by the Sand People on Tatooine as they are roaming the wasteland of the planet.\n\nThe bantha\'s tongue is used for holding and carrying, eating and drinking, and as a signifier for bantha communications.\n\nIncidentally, their incisors are dangerously sharp as well.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tatooine.stf', '21', 'dewback', 'Large, omnivorous lizards found in the deserts, dewbacks are named for the sweat they exude during periods of rest. Active during the day, dewbacks become sluggish during the cold desert nights. Faster and more agile than a bantha, Imperials have trained dewbacks as mounts.  Sometimes a dewback will develop a taste for their own meat resulting in them becoming cannibalistic in nature.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tatooine.stf', '22', 'krayt_dragon', 'One of the most fabled beasts of Tatooine, the krayt dragon is said to keep growing larger throughout its lifetime. The head of the dragon is heavily armored, and five large horns grow from its crown.\n\nLike some reptiles, the krayt dragon ingests stones and boulders and holds them in a series of gizzards. The smoothest of these stones are known throughout the galaxy as \'Dragon Pearls\', and are extremely valuable.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tatooine.stf', '23', 'womprat', 'A large rodent, the womp rat is instantly recognized by its sharp incisors and aggressive nature.\n\nWomp rats have been known to attack even well-armed settlers and Sand People.\n\nReproducing at a prodigious rate, they manage to survive all over Tatooine, despite sanitation efforts to eradicate them.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tatooine.stf', '24', 'ronto', 'Towering beasts of burden, Rontos are prized for their ability to shrug off Tatooine\'s intense heat.\n\nTheir size makes them particularly effective at discouraging predators, both animal and alien. \n\nSomewhat skittish in urban environments, a ronto\'s poor eyesight is unable to adjust quickly enough to recognize fast moving vehicles.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tatooine.stf', '25', 'bocatt', 'A strange hybrid of lizard and feline, the bocatt can be found out in the wastelands of Tatooine.\n\nThey walk on all fours with reptilian claws and attack with fierce incisors that jut out below their chins.\n\nThe bocatt can use its sense of smell to track a wounded animal or a particular smell for miles at a time.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tatooine.stf', '26', 'worrt', 'Worrts are large, voracious creatures that eat anything that passes by.  They digest their meals with a distinctive burp. \n\nWhen threatened, most worrts respond by fleeing but will attack with their sticky tongues if pressured.\n\nStories tell of the worrt growing to enormous sizes atop the mountains of Tatooine.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tatooine.stf', '27', 'cu_pa', 'A distant cousin of the Taun-Taun, the cu-pa has evolved as a warm-weather creature.  \n\nUsually not aggressive, the cu-pa is content to roam the deserts of Tatooine, avoiding larger predators with quick bursts of speed.\n\nThe coloration of the cu-pa ranges deep tan to bright golden, and many have combinations of these colors.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tatooine.stf', '28', 'jabba_the_hutt', 'As the most notorious crime-lord in the Outer Rim, Jabba the Hutt makes his home on Tatooine.\n\nA member of the Hutt species, Jabba resembles a bloated slug who resides upon a large dais to support his weight.\n\nControlling most of the smuggling, spice shipping, and loan sharking within the region, Jabba is the unspoken ruler of the planet.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tatooine.stf', '29', 'lady_valarian', 'Lady Valarian is the owner of the Lucky Despot in Mos Eisley, and one of the few to openly defy Jabba.\n\nIn addition to her hotel, Lady Valarian is attempting to move in on Jabba\'s other illegal activities.\n\nShe believes that if she could remove Jabba from the picture, she could get a much bigger piece of the action in the Outer Rim.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tatooine.stf', '30', 'bib_fortuna', 'Bib Fortuna is known across Tatooine as Jabba the Hutt\'s personal advisor and majordomo.\n\nAn exiled Twi\'lek, Bib Fortuna\'s desire for power and willingness to commit heinous crimes keep him in good standing with Jabba.\n\nAll those who wish to work for Jabba go through Bib first.  ');
INSERT INTO `client_strings` VALUES ('string/en/loading/tatooine.stf', '31', 'max_rebo_and_the_max_rebo_band', 'Under an exclusive contract with Jabba the Hutt, Max Rebo entertains those in Jabba\'s throne room.\n\nThe band consists of Max on keyboards, Droopy McCool on slitherhorn, and the irrepressible Sy Snootles doing vocals.\n\nMax isn\'t necessarily happy to be under exclusive contract, but it is unwise to break a deal with Jabba.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tatooine.stf', '32', 'dera_darklighter', 'Daughter of Huff Darklighter, Dera is a well known member of the Tatooine community.\n\nRather than wallowing in grief, Dera has used the recent death of her brother, \'Biggs\' Darklighter, as a source of inspiration.\n\nSharing the same views as the rest of her family, Dera is a charming orater. She is known locally for speeches about matters such as \'Personal Rights\', \'Oppression vs. Freedom\', and \'Democracy\'.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tatooine.stf', '33', 'jawa_mountain_fortress', 'The Jawas have turned this abandoned fortress into a giant ongoing bazaar. Here Jawa tribes, settlers, thieves, and visitors from all over Tatooine meet to buy, sell, and haggle. The fortress also shelters desperate fugitives and more than a few washed-up losers.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tatooine_n.stf', '1', 'tatooine', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/loading/tatooine_n.stf', '2', 'anchorhead', 'Anchorhead');
INSERT INTO `client_strings` VALUES ('string/en/loading/tatooine_n.stf', '3', 'bestine', 'Bestine');
INSERT INTO `client_strings` VALUES ('string/en/loading/tatooine_n.stf', '4', 'mos_eisley', 'Mos Eisley');
INSERT INTO `client_strings` VALUES ('string/en/loading/tatooine_n.stf', '5', 'mos_entha', 'Mos Entha');
INSERT INTO `client_strings` VALUES ('string/en/loading/tatooine_n.stf', '6', 'mos_espa', 'Mos Espa');
INSERT INTO `client_strings` VALUES ('string/en/loading/tatooine_n.stf', '7', 'mos_taike', 'Mos Taike');
INSERT INTO `client_strings` VALUES ('string/en/loading/tatooine_n.stf', '8', 'wayfar', 'Wayfar');
INSERT INTO `client_strings` VALUES ('string/en/loading/tatooine_n.stf', '9', 'imperial_oasis', 'Imperial Oasis');
INSERT INTO `client_strings` VALUES ('string/en/loading/tatooine_n.stf', '10', 'fort_tusken', 'Fort Tusken');
INSERT INTO `client_strings` VALUES ('string/en/loading/tatooine_n.stf', '11', 'jabbas_palace', 'Jabba\'s Palace');
INSERT INTO `client_strings` VALUES ('string/en/loading/tatooine_n.stf', '12', 'lucky_despot', 'Lucky Despot');
INSERT INTO `client_strings` VALUES ('string/en/loading/tatooine_n.stf', '13', 'fallen_star', 'Fallen Star');
INSERT INTO `client_strings` VALUES ('string/en/loading/tatooine_n.stf', '14', 'krayt_graveyard', 'Krayt Graveyard');
INSERT INTO `client_strings` VALUES ('string/en/loading/tatooine_n.stf', '15', 'jawa_fortress', 'Jawa Fortress');
INSERT INTO `client_strings` VALUES ('string/en/loading/tatooine_n.stf', '16', 'great_pit_of_carkoon', 'Great Pit of Carkoon');
INSERT INTO `client_strings` VALUES ('string/en/loading/tatooine_n.stf', '17', 'jawa', 'Jawa');
INSERT INTO `client_strings` VALUES ('string/en/loading/tatooine_n.stf', '18', 'sand_people', 'Sand People');
INSERT INTO `client_strings` VALUES ('string/en/loading/tatooine_n.stf', '19', 'eopie', 'Eopie');
INSERT INTO `client_strings` VALUES ('string/en/loading/tatooine_n.stf', '20', 'bantha', 'Bantha');
INSERT INTO `client_strings` VALUES ('string/en/loading/tatooine_n.stf', '21', 'dewback', 'Dewback');
INSERT INTO `client_strings` VALUES ('string/en/loading/tatooine_n.stf', '22', 'krayt_dragon', 'Krayt Dragon');
INSERT INTO `client_strings` VALUES ('string/en/loading/tatooine_n.stf', '23', 'womprat', 'Womp rat');
INSERT INTO `client_strings` VALUES ('string/en/loading/tatooine_n.stf', '24', 'ronto', 'Ronto');
INSERT INTO `client_strings` VALUES ('string/en/loading/tatooine_n.stf', '25', 'bocatt', 'Bocatt');
INSERT INTO `client_strings` VALUES ('string/en/loading/tatooine_n.stf', '26', 'worrt', 'Worrt');
INSERT INTO `client_strings` VALUES ('string/en/loading/tatooine_n.stf', '27', 'cu_pa', 'Cu-Pa');
INSERT INTO `client_strings` VALUES ('string/en/loading/tatooine_n.stf', '28', 'jabba_the_hutt', 'Jabba the Hutt');
INSERT INTO `client_strings` VALUES ('string/en/loading/tatooine_n.stf', '29', 'lady_valarian', 'Lady Valarian');
INSERT INTO `client_strings` VALUES ('string/en/loading/tatooine_n.stf', '30', 'bib_fortuna', 'Bib Fortuna');
INSERT INTO `client_strings` VALUES ('string/en/loading/tatooine_n.stf', '31', 'max_rebo_and_the_max_rebo_band', 'Max Rebo');
INSERT INTO `client_strings` VALUES ('string/en/loading/tatooine_n.stf', '32', 'dera_darklighter', 'Dera Darklighter');
INSERT INTO `client_strings` VALUES ('string/en/loading/tatooine_n.stf', '33', 'jawa_mountain_fortress', 'Jawa Mountain Fortress');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '1', 'tabbing', 'Using the default keymap, you can use the TAB key to cycle through visible targets.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '2', 'radial', 'Clicking and holding on a target will display a radial menu of actions that you can perform on the target. You\'ll know that all the options have shown up once the menu stops animating.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '3', 'postures', 'You can kneel, sit, stand, or lay prone in Star Wars Galaxies. These all provide different defensive benefits and penalties when in combat. For example, laying prone will increase your accuracy when firing, but will make you very vulnerable to melee attacks.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '4', 'movement', 'Moving around in combat makes you much harder to hit, but it will also spoil your aim. You can see how accurate your shots will be by looking at the number displayed to the left of your target\'s status, over their head.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '5', 'toolbar', 'If you want to make a shortcut for using an item, you can simply drag the item from your inventory into your toolbar. For example, to make a shortcut for drawing your weapon, you can drag your blaster to an empty toolbar slot. Pressing that hotkey will switch to that weapon, or put away the weapon if it is equipped.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '6', 'framerate_and_network', 'You can see your framerate and your network performance by turning on the network performance monitor on the Options menu. It is found in the Misc category.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '7', 'group_menu', 'Groups in Star Wars Galaxies can hold up to 20 people. If your group menu doesn\'t display everyone in the group, resize the menu to display more names by going into cursor mode and dragging the bottom edge of the group display.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '8', 'keymaps', 'You can change the entire keymap quickly and easily to mimic the keymaps found in other games. In the Options menu, choose Controls, and use the pulldown located near the bottom of the window to select from one of the four default keymaps.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '9', 'chase_cam', 'You can turn a \"chase camera\" on and off using the period on the numeric keypad. When chase cam is on, the camera will automatically lock to the back of your head. You can swing it to a different location by holding down the 0 on the numeric keypad while moving your mouse, or by using the 8, 4, 6, and 2 keys. The 5 key will recenter the camera to its default location.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '10', 'chat_tab', 'If you drag a tab off of your chat box onto a different location on your screen, it will create a completely new chat window.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '11', 'unix_shortcuts', 'You can use ! (an exclamation point) to repeat the last command you typed in. \"!abc\" will repeat the last command that started with \"abc.\"\n\nYou can also use the caret to correct a typo in a previous command. Entering\n  ^tyop^typo\nwill repeat the previous line, with \"tyop\" changed to \"typo.\"');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '12', 'consider', 'To the right of your target\'s status, over their head, is a color coded circle indicating how difficult fighting that opponent will be. Green means it\'s very easy--red means it will likely kill you.\n\nThis is called \"consider.\" The results will vary depending on your expertise with the weapon you happen to have equipped.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '13', 'states', 'Next to your status in the upper left corner of the heads-up display is space for \"states.\" States are conditions that can be applied to you, such as dizziness, blindness, or incapacitation.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '14', 'two_row_toolbar', 'If you need more toolbar space, grab the bottom edge of the toolbar and resize it so that you have two rows of hotkeys on each pane. You can access the new hotkeys by holding down SHIFT while pressing the hotkey.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '15', 'xp_monitor', 'If you open your skills window, you will see a checkbox that turns on a new interface element, the experience monitor. It has a pulldown that lets you see your progress towards the required XP for a given skillbox.\n\nIf you want to track more than one type of XP, you can resize the XP monitor to show up to five different bars.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '16', 'light', 'It can get dark out there! Fortunately, every character is equipped with a personal light source. You can activate it by pressing Control + L (by default).');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '17', 'radial_shortcut', 'You can instantly bring up a radial menu on your current target by pressing the tilde key ~. When a radial menu is up, you can select an option from it instantly by pressing the corresponding number.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '18', 'ui_colors', 'On the Interface screen of the Options menu, you can select from a variety of color schemes for the user interface.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '19', 'accuracy_meter', 'The accuracy meter, next to the health bars of your target, shows your relative bonus to hit the current target - this takes into account only a few variables, such as range, posture, movement, and the type of weapon you are using, but can be a helpful indicator for determining the best combat tactics.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '20', 'action_bar_abilities', 'The Abilities and Commands menu (Control + A) shows all the commands you have by default (such as moods and emotes) and all the commands you gain with new skills.  If you are having trouble finding a command, go to this menu.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '21', 'action_bar_character_sheet', 'Your character sheet (Control + C by default) shows many vital statistics for your character, including your current number of wounds and battle fatigue.  It is good to regularly check your character sheet to make sure you are in good health.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '22', 'action_bar_community', 'The community screen (Control + P by default) lets you find other players. To find a group, or someone with specific skills, or maybe just a new friend, use this screen. For more information, consult the Holocron (Control + H).');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '23', 'action_bar_datapad', 'The datapad (Control + D) carries information about your current mission, waypoints, planetary Points of Interrest and known schematics (the things you can craft). For more information, consult the Holocron (Control + H).');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '24', 'action_bar_game_menu', 'The game menu (Shift + Escape) gives you quick buttons for disconnecting from the game.  You can also view the game credits from this window.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '25', 'action_bar_help', 'The help button or (Control + H) brings up the Holocron. Named for the great library of the Jedi Knights, the Holocron contains valuable information on all aspects of Star Wars Galaxies. There is even a Frequently Asked Questions section.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '26', 'action_bar_inventory', 'This button (or Control + I) provides access to your inventory, where you can equip or unequip items, trade them, or move them around. For more information, consult the Holocron (Control + H).');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '27', 'action_bar_mail', 'Mail is available in-game by pressing Control + E (by default).  You can send mail messages to any players, if you know their names.  Messages will be saved for recipients who aren\'t online. When they next log in, they will see that they have new mail.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '28', 'action_bar_options', 'The Options menu (Control + O by default) contains hundreds of options, from graphics options to gameplay.  Check this page to customize your interface to your own preferences. For more information, consult the Holocron (Control + H).');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '29', 'action_bar_skills', 'The Skills menu (Control + S) shows all the skills you currently have, the ones you can work toward, and all the skill available in the game. For more information, consult the Holocron (Control + H).');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '30', 'banking', 'You can deposit your money at any bank (mission rewards automatically go there). You can store a number of items in a safety deposit box in the planetary bank you have joined.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '31', 'camping_safely', 'You cannot exit the game swiftly in dangerous areas.  To exit swiftly in the wild, you need to be in a camp and to use the /logout command.  If you use /quit, your character will remain in the world for a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '32', 'city_map', 'The overhead city map (Control + M by default) shows you buildings and walls in the city you are in, as well as the names of important buildings. To zoom in and out on the map, scroll the mouse wheel while holding down the Control key.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '33', 'cloning', 'When your body is slain, you revert back to a previous clone, and you awaken in the nearest available cloning facility.\n\nIt\'s a good idea to clone when adventuring at a new location to avoid excessive wounds or unwanted relocation.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '34', 'combat_queue', 'The combat queue lets you see what combat commands you are getting ready to execute.  You can enter multiple commands in the queue, and they will be executed in the order entered.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '35', 'creating_macro', 'You can create a \"macro\" (a set of stored commands) by going to the Abilities and Commands Menu (Control + A by default) and choosing the \"create macro\" button.  Macros can be very useful, and are highly customizable. For more information, consult the Holocron (Control + H).');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '36', 'new_chat_tabs', 'Right-click the top of the chat window to create a new chat tab or change the size of the chat text. New chat tabs can be customized. For instance, you could set up a separate tab that shows only chat messages sent by members of your current group, or only Instant Messages from friends.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '37', 'second_row_of_toolbar', 'You can resize the toolbar vertically to create a second row on your toolbar.  This second row uses the Shift + F# keys.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '38', 'yummy_food', 'Food is delicious, and it can improve your statistics or skills!  No one is required to eat food, but eating can significantly increase your ability to withstand damage and execute actions, among other benefits.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '39', 'finding_resources', 'Finding resources, especially rare ones, can be hard.  It\'s important to move around when you are surveying and looking for them.  You may even need to try remote planets . . .');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '40', 'healing', 'There are three kinds of damage: normal damage (which heals naturally over time or by a medic), wounds (which require a medic or entertainer), and battle fatigue (which requires an entertainer in a venue like a cantina).');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '41', 'health_indicator', 'Your health indicator defaults to the upper left-hand corner of your display.  The red bar is your health pool, green is your action pool, and blue is your mind pool.  Taking action will cause these pools to drop.  If any of them drop to zero, you are incapacitated!');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '42', 'insurance', 'If your character dies, you\'ll wish you\'d insured your items at a cloning facility. Most uninsured items will decay by 5% when you clone.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '43', 'planetary_map', 'The planetary map (Control V by default) lets you see an orbital view of your area, including the locations of any nearby cities or landmarks.  From this map, you can view, create, destroy, and rename waypoints.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '44', 'windows', 'Did you know that every display window can be moved to any location and resized to any size? Click and drag a corner or an edge to resize a window. Click and drag the top edge to move it.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '45', 'target_display', 'The target display shows your currently selected look-at target, or your combat target.  This gives you a better view of their states and health, action, and mind pools.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '46', 'waypoints', 'Waypoints are beacons from the sky that you can place anywhere, and see on your display.  You can send waypoints to your friends in mail. Type /waypoint to create one quickly at your location. For more information, consult the Holocron (Control + H).');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '47', 'cycling_chat_tabs', 'You can cycle through chat tabs quickly with Control + Home.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '48', 'charactersheet', 'Your character sheet displays your current health pools, injuries, faction standing, badges, and history. Press Control + C (by default) to see the character sheet. For more information, consult the Holocron (Control + H).');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '49', 'cntrllight', 'To see your immediate surroundings in dark areas, press Control + L (by default) to bring up a personal light source. Don\'t worry about alerting enemies; no one can see this light but you.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '50', 'combatstates', 'Icons appear beside your health bars when you are in combat, poisoned, intimidated, and in a variety of other situations. For more information, consult the Holocron (Control + H).');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '51', 'hospital', 'If your character has medical skills, you\'ll like hospitals. You\'ll gain experience at the hospital for healing other characters\' wounds and injuries.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '52', 'resources', 'Click and hold on a corpse to bring up a radial menu that includes the option \"Harvest.\" Anyone can loot a fallen character of items and credits. A character with Scout skills can harvest meat, hide, or bone from a slain creature. Multiple scouts can each harvest resources from the same creature.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '53', 'bestine_politics', 'Imperial politics rage in Bestine where the next governor\'s aide will control the fate of the capitol city. Registering with a candidate can help decide whether it is a city of commerce for merchants or defense from the savage Sand People. \n');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '54', 'good_eats', 'Around the galaxy, chefs are now experimenting with new recipes. Certain entrees actually help diners to concentrate better on their skills or offer an array of other helpful benefits.\n');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '55', 'geo_lab', 'On Yavin 4, rumors persist about a hidden research lab used by the Geonosians to create mutant creatures for their execution arenas.\n');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '56', 'contraband', 'Imperial probots regularly scan citizens for contraband goods such as sliced weapons or illegal spice. Violations often result in an unpleasant visit from Imperial Stormtroopers.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '57', 'library', 'The librarian in the Palace of Theed enjoys entertaining visitors with interesting games of trivia.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '58', 'up_and_down', 'Players can now move items up and down in player houses, merchant tents, player association guild halls and all player city structures.  Create a Macro or use the radial menu to take advantage of the vertical object movement in player structures.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '59', 'droid_enhancements', 'Visit with your local Droid Engineer to see the latest droids.  There are new modules that give a helping hand to new players in combat.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '60', 'droid_repair_kits', 'When your droid gets a little worn down from adventuring with you, be sure to use the new droid repair kits and droid wound repair kits to repair your droid to its full operating capabilities.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '61', 'camp_rules_changed', 'Camp restrictions have been changed.  Players no longer need to be in camps to pull out vehicles, mounts, droids or pets and can pull them out wherever they are, eliminating the player inconveniences of having to find rural areas far from cities, lairs and other no-build zones in order to build a camp.  ');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '62', 'new_mounts', 'Visit your local Creature Handler to saddle up one of two new player mounts: Banthas and Cu Pas!  ');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '63', 'player_city_garages', 'Architects and Mayors can collaborate to add vehicle garages to their city at city level 2.  Now players will be able to repair their vehicles in many more locations.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '64', 'junk_dealers', 'Players are now able to go adventuring, collect various loot drops from NPC\'s, and take it to a Junk Dealer to sell.  Junk Dealers won\'t buy just anything.  Dealers may purchase common items but each may also specialize in arms or other finery.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '65', 'smugglers_and_the_underworld', 'Smugglers with experience in the underworld can now take their junk items to the Jawa Junk Dealers at the mountain fortress!');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '66', 'corellian_corvette', 'The Corellian Corvette is our first \'space-based\' adventure and a familiar Star Wars setting with 9 separate quests.  There are three missions for Rebels, three missions for Imperials and three missions for neutral players. Different objectives will be required to complete the Corvette missions, based on who you\'re working for, and what task they\'ve assigned you.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '67', 'wookiee_armor', 'Armor for Wookiees!  Kashyyykian Ceremonial Armor is the first set of armor added to the Galaxy for our furry friends.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '68', 'manual_turret_attacks', 'Now soldiers in the Galactic Civil War can get the best use out of their turrets with Manual Control.  Now players can control turrets and manually aim them to attack enemy forces. This will help defenders protect their HQ and make attackers be more organized when attacking a base.\n');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '69', 'new_user_experience', 'For our new players coming into the game and for players trying out one of the Starting Professions for the first time, a whole new quest-based learning experience will help show them the ins and outs of the game. Look for your \"helper droid\" to guide your way!');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '70', 'shuttleport_times', 'Increased Imperial efficiency has led to a decrease in shuttleport times.  Shuttles now arrive every 5 minutes. ');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '71', 'jabbas_palace', 'Make your way out into the deserts of Tatooine to -5861, -6206 and in through the front door of Jabba\'s magnificent palace!   Head inside and talk to a rodian named Reelo Baruk.  If you do some work for him and get in Jabba\'s good graces, you might be able to make your way into Jabba\'s throne room.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '72', 'secret_rebel_base', 'Join the Rebellion and fight against the Empire!  Start your adventure by speaking with a hero of the Rebel Alliance, C-3PO on Corellia at -6505, 5985.  He has important missions issued from the Rebel High Command that are vital to the success of the Rebellion. ');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '73', 'emperors_palace', 'Imperial Loyalists wishing for an audience with the Emperor should travel to Naboo and make their way to the Emperor\'s Palace at +2400, -3900.  Speak with the woman named Kaja Or\'Zee.  She will start you on your path becoming a loyal citizen of the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '74', 'the_warren', 'There is a top secret Imperial secret research lab run by Boris Teraud and something has gone horribly wrong.  Make your way to the Warren on Dantooine at -555, -3825.  Search out the Escapee who can usually be found within 200-300 meters in front of the warren itself.  Only he can give you what you need to get inside.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '75', 'politics_in_bestine', 'Rich in history and political intrigue, Bestine is a place where citizens and travelers alike can take part in the struggle between two ambitious young politicians.  Get involved and decide which power broker you want to support by making your way to Tatooine.  Start by speaking with Governor Tour Aryon in the Capitol building at -1137, -3563.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips.stf', '76', 'huff_darklighters_missing_heirloom', 'South of Anchorhead is the famed Huff Darklighter Estate.  Help the father of the Rebel hero, Biggs Darklighter, find a lost family heirloom.   Start your adventure by speaking with Huff\'s Guard at -697, -6731.  Earn his trust and he will get you into Huff\'s good graces.');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '1', 'tabbing', '\"Tabbing\"');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '2', 'radial', 'Radial Menus');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '3', 'postures', 'Postures');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '4', 'movement', 'Movement');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '5', 'toolbar', 'Toolbar');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '6', 'framerate_and_network', 'Framerate and Network');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '7', 'group_menu', 'Groups');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '8', 'keymaps', 'Keymaps');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '9', 'chase_cam', 'Chase Camera');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '10', 'chat_tab', 'Chat Tabs');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '11', 'unix_shortcuts', 'Text Editing Shortcuts');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '12', 'consider', 'Consider');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '13', 'states', 'States');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '14', 'two_row_toolbar', '2 Row Toolbar');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '15', 'xp_monitor', 'Experience Monitor');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '16', 'light', 'Personal Light');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '17', 'radial_shortcut', 'Radial Menu Shortcut');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '18', 'ui_colors', 'User Interface Colors');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '19', 'accuracy_meter', 'Accuracy Meter');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '20', 'action_bar_abilities', 'Abilities and Commands');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '21', 'action_bar_character_sheet', 'Character Sheet');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '22', 'action_bar_community', 'Community Menu');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '23', 'action_bar_datapad', 'Datapad');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '24', 'action_bar_game_menu', 'Game Menu');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '25', 'action_bar_help', 'Help!');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '26', 'action_bar_inventory', 'Inventory Screen');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '27', 'action_bar_mail', 'Mail Menu');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '28', 'action_bar_options', 'Options Menu');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '29', 'action_bar_skills', 'Skills Menu');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '30', 'banking', 'Banking');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '31', 'camping_safely', 'Camping Safely');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '32', 'city_map', 'Overhead City Map');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '33', 'cloning', 'Cloning');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '34', 'combat_queue', 'The Combat Queue');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '35', 'creating_macro', 'Creating a Macro');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '36', 'new_chat_tabs', 'Creating Chat Tabs');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '37', 'second_row_of_toolbar', 'Resizing the Toolbar');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '38', 'yummy_food', 'Eat, Eat, Eat!');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '39', 'finding_resources', 'Surveying Resources');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '40', 'healing', 'Damage Types');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '41', 'health_indicator', 'Health Indicator');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '42', 'insurance', 'Buy Insurance!');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '43', 'planetary_map', 'The Planetary Map');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '44', 'windows', 'Moving and Resizing');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '45', 'target_display', 'Target Display');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '46', 'waypoints', 'Waypoints');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '47', 'cycling_chat_tabs', 'Cycling Chat Tabs');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '48', 'charactersheet', 'Your Character Sheet');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '49', 'cntrllight', 'Your Personal Light');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '50', 'combatstates', 'State Icons');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '51', 'hospital', 'Hospitals');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '52', 'resources', 'Harvesting Resources');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '53', 'bestine_politics', 'Political Intrigue');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '54', 'good_eats', 'Good Eats');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '55', 'geo_lab', 'Geonosian Lab');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '56', 'contraband', 'Contraband Searches');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '57', 'library', 'Theed Librarian');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '58', 'up_and_down', 'Up and Down');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '59', 'droid_enhancements', 'Droid Enhancements');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '60', 'droid_repair_kits', 'Droid Repair Kits');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '61', 'camp_rules_changed', 'Camp Rules Changed');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '62', 'new_mounts', 'New Mounts!');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '63', 'player_city_garages', 'Player City Garages');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '64', 'junk_dealers', 'Junk Dealers');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '65', 'smugglers_and_the_underworld', 'Underworld Smugglers');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '66', 'corellian_corvette', 'Corellian Corvette');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '67', 'wookiee_armor', 'Wookiee Armor');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '68', 'manual_turret_attacks', 'GCW: Manual Turret Attacks');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '69', 'new_user_experience', 'New Player Experience');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '70', 'shuttleport_times', 'Shuttleport Times');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '71', 'jabbas_palace', 'Jabba\'s Palace');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '72', 'secret_rebel_base', 'Secret Rebel Base');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '73', 'emperors_palace', 'Emperor\'s Palace');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '74', 'the_warren', 'The Warren');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '75', 'politics_in_bestine', 'Politics in Bestine');
INSERT INTO `client_strings` VALUES ('string/en/loading/tips_n.stf', '76', 'huff_darklighters_missing_heirloom', 'Huff Darklighter');
INSERT INTO `client_strings` VALUES ('string/en/loading/yavin4.stf', '1', 'kliknik', 'A dangerous mantis-like creature that lives in the jungles of Yavin IV, the Klinknik are voracious carnivores.\n\nLiving in large underground hives, the Kliknik report solely to their Queen who oversees every last Kliknik.\n\nXenobiologists have yet to determine whether the Kliknik are sentient, due to the fact that none have returned from their research...');
INSERT INTO `client_strings` VALUES ('string/en/loading/yavin4.stf', '2', 'angler', 'The angler is a crustacean that resembles a spider, bative to the jungles of Yavin IV. It eats primarily fish.');
INSERT INTO `client_strings` VALUES ('string/en/loading/yavin4.stf', '3', 'crystal_snake', 'Native to Yavin IV, the mildly poisonous crystal snake has refractive scales that render it transparent to the casual eye.');
INSERT INTO `client_strings` VALUES ('string/en/loading/yavin4.stf', '4', 'gackle_bat', 'The gackle bat is a nocturnal predator native to Yavin IV. They feed primarily upon stintaril, injecting a muscle relaxant with their fangs.');
INSERT INTO `client_strings` VALUES ('string/en/loading/yavin4.stf', '5', 'mamien', 'This solitary creature lives on Yavin IV--it is shy and skittish, and difficult to approach. Ape-like, the mamien will walk on two legs or occasionally four.');
INSERT INTO `client_strings` VALUES ('string/en/loading/yavin4.stf', '6', 'mawgax', 'The mawgax is an herbivore that flocks through the forests of Yavin IV. Their sharp beak makes them well able to defend themselves if cornered.');
INSERT INTO `client_strings` VALUES ('string/en/loading/yavin4.stf', '7', 'spined_puc', 'A toad-like amphibian native to Yavin IV, the spined puc is named for the spiny ridges along its back and sides. Each spine carries a powerful toxin capable of blinding the victim.');
INSERT INTO `client_strings` VALUES ('string/en/loading/yavin4.stf', '8', 'stintaril', 'A tree-dwelling rodent, stintaril roam in packs around Yavin IV, eating everything in their path. Their favorite food is the woolamander.');
INSERT INTO `client_strings` VALUES ('string/en/loading/yavin4.stf', '9', 'choku', 'Carnivores and deadly hunters, choku are powerfully muscled creatures that run through the jungles of Yavin IV. ');
INSERT INTO `client_strings` VALUES ('string/en/loading/yavin4.stf', '10', 'skreeg', 'The skreeg are vicious humanoids that view any approach as encroachment on their territory. Despite their aggressiveness, they are herbivorous, living in small colonies throughout the forests of Yavin IV.');
INSERT INTO `client_strings` VALUES ('string/en/loading/yavin4.stf', '11', 'whisper_bird', 'Across Yavin IV, small flocks of the beautiful whisper bird feed on fish and weeds. They are named for their famously silent flight, and their low, sweet song.');
INSERT INTO `client_strings` VALUES ('string/en/loading/yavin4.stf', '12', 'rebel_base', 'After the Battle of Yavin, the Rebel Alliance dismantled its facilities at the Great Massassi Temple, retreating to a new, undisclosed location.\n\nHowever, a remnant force remains at this ancient location, fighting a rearguard action amidst the ponderous stone walls.');
INSERT INTO `client_strings` VALUES ('string/en/loading/yavin4.stf', '13', 'blueleaf', 'The Temple of the Blueleaf Cluster is an ancient structure found in the jungles of Yavin IV. It is reported to have a mysterious crystal housed within...');
INSERT INTO `client_strings` VALUES ('string/en/loading/yavin4.stf', '14', 'palace_woolamander', 'An ancient structure deep in the jungles of Yavin IV, the Palace of the Woolmander is so named because Alliance engineers who discovered the abandoned site also found a pack of woolamanders hiding within.');
INSERT INTO `client_strings` VALUES ('string/en/loading/yavin4.stf', '15', 'tankmite', 'Tanc mites are scavengers and carrion eaters that crawl the forest floor. The mites are covered with a rock-hard shell that protects against electricity, fire, and most physical damage.  Though slow and unsteady, tanc mites can survive falls of a hundred meters or more.');
INSERT INTO `client_strings` VALUES ('string/en/loading/yavin4.stf', '16', 'luke', 'Known to Alliance fighters across the galaxy as a hero of the Battle of Yavin, Luke Skywalker has returned to this remote moon. He seeks lost knowledge of the ancient order of Jedi Knights -- knowledge rumored to be concealed in the mysterious Massassi Temples.');
INSERT INTO `client_strings` VALUES ('string/en/loading/yavin4.stf', '17', 'imperialoutpost', 'Though the Rebel Alliance abandoned its Yavin headquarters after the destruction of the Death Star, the Empire has garrisoned stormtroopers here to guard against their return. They still fight skirmishes to clean up the last stubborn Rebels, but Imperial troops generally regard Yavin as punishment duty.');
INSERT INTO `client_strings` VALUES ('string/en/loading/yavin4.stf', '18', 'jandodonna', 'A Star Destroyer captain in the last days of the Old Republic, Jan Dodonna is now one of the Rebel Alliance\'s finest tacticians. He organized the successful assault on the Death Star, and now supervises the rearguard action covering the Alliance\'s retreat from Yavin.');
INSERT INTO `client_strings` VALUES ('string/en/loading/yavin4_n.stf', '1', 'kliknik', 'Klinknik');
INSERT INTO `client_strings` VALUES ('string/en/loading/yavin4_n.stf', '2', 'angler', 'Angler');
INSERT INTO `client_strings` VALUES ('string/en/loading/yavin4_n.stf', '3', 'crystal_snake', 'Crystal Snake');
INSERT INTO `client_strings` VALUES ('string/en/loading/yavin4_n.stf', '4', 'gackle_bat', 'Gackle Bat');
INSERT INTO `client_strings` VALUES ('string/en/loading/yavin4_n.stf', '5', 'mamien', 'Mamien');
INSERT INTO `client_strings` VALUES ('string/en/loading/yavin4_n.stf', '6', 'mawgax', 'Mawgax');
INSERT INTO `client_strings` VALUES ('string/en/loading/yavin4_n.stf', '7', 'spined_puc', 'Spined Puc');
INSERT INTO `client_strings` VALUES ('string/en/loading/yavin4_n.stf', '8', 'stintaril', 'Stintaril');
INSERT INTO `client_strings` VALUES ('string/en/loading/yavin4_n.stf', '9', 'choku', 'Choku');
INSERT INTO `client_strings` VALUES ('string/en/loading/yavin4_n.stf', '10', 'skreeg', 'Skreeg');
INSERT INTO `client_strings` VALUES ('string/en/loading/yavin4_n.stf', '11', 'whisper_bird', 'Whisper Bird');
INSERT INTO `client_strings` VALUES ('string/en/loading/yavin4_n.stf', '12', 'rebel_base', 'Rebel Base');
INSERT INTO `client_strings` VALUES ('string/en/loading/yavin4_n.stf', '13', 'blueleaf', 'Blueleaf Temple');
INSERT INTO `client_strings` VALUES ('string/en/loading/yavin4_n.stf', '14', 'palace_woolamander', 'Palace of the Woolmander');
INSERT INTO `client_strings` VALUES ('string/en/loading/yavin4_n.stf', '15', 'tankmite', 'Tanc Mites');
INSERT INTO `client_strings` VALUES ('string/en/loading/yavin4_n.stf', '16', 'luke', 'Luke Skywalker on Yavin');
INSERT INTO `client_strings` VALUES ('string/en/loading/yavin4_n.stf', '17', 'imperialoutpost', 'Imperial Outpost on Yavin');
INSERT INTO `client_strings` VALUES ('string/en/loading/yavin4_n.stf', '18', 'jandodonna', 'General Dodonna');
INSERT INTO `client_strings` VALUES ('string/en/loam_redge_1.stf', '1', 'loam1', 'A prisoner has escaped.  Go to the cantina in Moenia and speak to the locals.  Find out who helped the prisoner escape.');
INSERT INTO `client_strings` VALUES ('string/en/loam_redge_1.stf', '2', 'loam1_reply1', 'Will do!');
INSERT INTO `client_strings` VALUES ('string/en/loam_redge_1.stf', '3', 'loam2', 'Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/loam_redge_1.stf', '4', 'thug1', '*hic* What do you want?');
INSERT INTO `client_strings` VALUES ('string/en/loam_redge_1.stf', '5', 'thug1_reply1', 'I am looking for an escaped prisoner.  Tell me where he is or else!');
INSERT INTO `client_strings` VALUES ('string/en/loam_redge_1.stf', '6', 'thug2', 'Well how should I know where he is?  I bet that rebel camp outside town had something to do with his escape.');
INSERT INTO `client_strings` VALUES ('string/en/loam_redge_1.stf', '7', 'thug3', 'I\'m feeling.... sick.');
INSERT INTO `client_strings` VALUES ('string/en/loam_redge_1.stf', '8', 'thug3_reply1', 'Maybe you shouldn\'t drink so much of that stuff.');
INSERT INTO `client_strings` VALUES ('string/en/locomotion_n.stf', '1', 'standing', 'Standing');
INSERT INTO `client_strings` VALUES ('string/en/locomotion_n.stf', '2', 'sneaking', 'Sneaking');
INSERT INTO `client_strings` VALUES ('string/en/locomotion_n.stf', '3', 'walking', 'Walking');
INSERT INTO `client_strings` VALUES ('string/en/locomotion_n.stf', '4', 'running', 'Running');
INSERT INTO `client_strings` VALUES ('string/en/locomotion_n.stf', '5', 'kneeling', 'Kneeling');
INSERT INTO `client_strings` VALUES ('string/en/locomotion_n.stf', '6', 'crouchsneaking', 'Crouched Sneaking');
INSERT INTO `client_strings` VALUES ('string/en/locomotion_n.stf', '7', 'crouchwalking', 'Crouching');
INSERT INTO `client_strings` VALUES ('string/en/locomotion_n.stf', '8', 'prone', 'Prone');
INSERT INTO `client_strings` VALUES ('string/en/locomotion_n.stf', '9', 'crawling', 'Crawling');
INSERT INTO `client_strings` VALUES ('string/en/locomotion_n.stf', '10', 'climbingstationary', 'Stationary Climbing');
INSERT INTO `client_strings` VALUES ('string/en/locomotion_n.stf', '11', 'climbing', 'Climbing');
INSERT INTO `client_strings` VALUES ('string/en/locomotion_n.stf', '12', 'hovering', 'Hovering');
INSERT INTO `client_strings` VALUES ('string/en/locomotion_n.stf', '13', 'flying', 'Flying');
INSERT INTO `client_strings` VALUES ('string/en/locomotion_n.stf', '14', 'lyingdown', 'Lying Down');
INSERT INTO `client_strings` VALUES ('string/en/locomotion_n.stf', '15', 'sitting', 'Sitting');
INSERT INTO `client_strings` VALUES ('string/en/locomotion_n.stf', '16', 'skillanimating', 'Skill Animating');
INSERT INTO `client_strings` VALUES ('string/en/locomotion_n.stf', '17', 'drivingvehicle', 'Driving a Vehicle');
INSERT INTO `client_strings` VALUES ('string/en/locomotion_n.stf', '18', 'ridingcreature', 'Riding a Creature');
INSERT INTO `client_strings` VALUES ('string/en/locomotion_n.stf', '19', 'knockeddown', 'Knocked Down');
INSERT INTO `client_strings` VALUES ('string/en/locomotion_n.stf', '20', 'incapacitated', 'Incapacitated');
INSERT INTO `client_strings` VALUES ('string/en/locomotion_n.stf', '21', 'dead', 'Dead');
INSERT INTO `client_strings` VALUES ('string/en/locomotion_n.stf', '22', 'blocking', 'Blocking');
INSERT INTO `client_strings` VALUES ('string/en/loc_d.stf', '1', 'naboo', 'NABOO - Located in the Chommell sector, Naboo is a fairly idyllic world covered by dense swamps, rolling plains, and verdant hills. The planet has two sentient species: peaceful humans who call themselves the Naboo; and the more aggressive, warlike Gungans. The Naboo populate many striking cities, including Theed and Moenia, while the Gungans reside deep in the planet\'s foreboding swamps. Naboo\'s pleasant climate and numerous terrain types have also given rise to dozens of native animal species, from the towering, reptilian fambaa to the deadly tusk cat. \n\nHuman colonists from the planet Grizmallt discovered Naboo nearly four thousand years before the Battle of Yavin. Within weeks of their arrival, the settlers encountered the Gungans. Although immediately distrustful of one another, neither species attacked the other, and the humans were allowed to establish their first settlements without incident. Over the next several decades, the settlers slowly spread across the planet\'s largest landmass, building cities and villages to support their growing numbers. The human colonists kept to the grassy plains and ocean coastlines, only occasionally treading into Gungan territory. Despite this, tension between the humans and the Gungans remained strong. The friction between the Gungans and the Naboo was based largely on cultural differences, but armed clashes were extremely rare. \n\nEventually, the Naboo and the Gungans joined forces to repel a Trade Federation invasion. The conflict, now known as the Battle of Naboo, marked a new era of cooperation between the two cultures. Unfortunately, after the Emperor rose to power, he made a special effort to quickly bring Naboo under his control. When Imperial forces arrived on the planet, allegedly to \"protect\" Naboo\'s resources, the Gungan population migrated deeper into the swamps, yet again isolating themselves from the rest of Naboo.\n\nAlthough Naboo is home to numerous Imperials and even hosts one of the Emperor\'s strongholds, the Naboo themselves have managed to preserve much of their culture. They remain a largely democratic society ruled by an elected monarch. Naboo gain the right to vote after passing aptitude tests that determine intellectual maturity, and political leaders are often far younger than their peers on other worlds. The Naboo are still an extremely peaceful people, focusing all of their energies into art, science, and education. They maintain a small security force to protect their cities from rabble-rousers and criminals, but they have no standing army. Although it\'s been rumored that the current monarch, Queen Kylantha, is extremely loyal to the Emperor, she has yet to dissolve the Naboo Royal Advisory Council or impose any significant changes in the Naboo\'s democratic structure. According to some sources, Rebel cells also flourish in areas of Naboo, including Theed and the swamplands. \n');
INSERT INTO `client_strings` VALUES ('string/en/loc_d.stf', '2', 'corellia', 'CORELLIA - Corellia is the central planet of the Corellian system, which is well-known for its starship manufacturing facilities and steady supply of talented pilots.  A temperate and habitable world, Corellia is marked by rolling hills, thick forests, lush fields, golden beaches, and large seas.  Because most of Corellia\'s manufacturing facilities are located in orbit around the planet, the world itself remains rural and underdeveloped.  Urban blight is nearly non-existent, and most Corellians live in small towns or farming communities.  The planet does support a handful of cities, including Coronet and Tyrena.\n\nCorellia is populated by all three of the system\'s sentient species: Humans, Selonians, and Drall.  As Corellia has limited settlements, wildlife has also flourished on the planet.\n\nAs a member of the Core Worlds, Corellia is often considered part of the Empire, but the planet was also the site of the signing of the Corellian Treaty, which officially formed the Alliance to Restore the Republic (more commonly known as the \"Rebel Alliance\").  In truth, since the Corellian Treaty, the planet has remained fairly neutral in the Galactic Civil War.  Corellia does have a noticeable Imperial presence, but the Empire has not yet Imperialized any of Corellia\'s corporations, taken control of Corellian cities, or imposed martial law.  Rumors have also emerged that Princess Leia Organa has established a hidden \"command and control\" center for Rebel operations on Corellia and seeks the services of sympathizers to aid the Rebellion.');
INSERT INTO `client_strings` VALUES ('string/en/loc_d.stf', '3', 'tatooine', 'TATOOINE - A harsh desert world, Tatooine orbits twin suns in the Outer Rim of the galaxy. The planet\'s terrain includes tall mesas, deep canyons, and the expansive Dune Sea.\n\nTatooine is far from the center of the galaxy, but it does occupy a strategic location at the nexus of several hyperspace routes. As a result, it has become a way station for merchants, explorers, and others traveling the Outer Rim. Tatooine has also been the site of many orbital battles between rival gangsters and smugglers, and its surface is littered with ancient starship wrecks, most of which have long since been scavenged by native Jawas or buried by the fierce sandstorms.\n\nMuch of Tatooine is inhospitable wasteland. However, unique wind patterns and atmospheric concentrations have made a small area of the planet somewhat livable. Most life-forms and settlements can be found in this \"temperate zone.\" \n\nTatooine\'s native species include the diminutive, chattering Jawas and the terrifying Sand People. A host of dangerous creatures, including the dreaded krayt dragon, also inhabit Tatooine\'s wastes and pose a threat to any traveler. \n\nGenerally considered a lawless world, much of Tatooine is basically ruled by immoral crime lords, including Jabba the Hutt. Cities like Mos Eisley are criminal havens, attracting smugglers, thieves, and mercenaries from throughout the galaxy. Hardworking settlers are typically confined to moisture farms located throughout the temperate zone. The Empire has taken control of Bestine, converting it into one of the most prominent Imperial outposts in the Outer Rim, and maintains garrisons in many other Tatooine cities. The Rebel Alliance has very few full-fledged operatives on Tatooine, but many smugglers and other shady figures are sympathetic to the Rebellion\'s cause. \n\n');
INSERT INTO `client_strings` VALUES ('string/en/loc_d.stf', '4', 'mos_espa', 'MOS ESPA - An expansive spaceport, Mos Espa rests near the Dune Sea and is one of Tatooine\'s largest cities. It is usually considered Tatooine\'s default capital, although the Empire has made Bestine its base of operations on the desert world.\n\nLike many Tatooine settlements, Mos Espa began as a mining colony. When the mining efforts failed, the town attracted the criminal Hutts, who took control of the settlement and turned it into a thriving, but dangerous spaceport. Mos Espa became well-known for its lethal Podraces, which were sponsored by the Hutts to encourage rampant gambling. During the Hutt reign, Mos Espa\'s population consisted largely of poor settlers and slaves. However, when the Empire arrived on Tatooine, the Podraces were outlawed and Mos Espa lost much of its illicit allure. Jabba the Hutt, the city\'s most infamous citizen, soon left Mos Espa for more lucrative areas. \n\nSince Jabba\'s departure, Mos Espa has actually gained a reputation as a respectable and law-abiding town. It remains a center for trade on Tatooine and is a welcome rest stop for travelers braving treks into the Dune Sea.  \n\nAs one of Tatooine\'s more civilized communities, Mos Espa has luxuries that few other cities provide. Most of the buildings have built-in cooling units to protect occupants from Tatooine\'s intense heat, and the bustling marketplace provides everything from cooked gorgs to illegal weapons. The merchant district houses a variety of businesses, including Watto\'s Junkshop, where mechanics can find even the most obscure machine parts. \n');
INSERT INTO `client_strings` VALUES ('string/en/loc_d.stf', '5', 'mos_eisley', 'MOS EISLEY SPACEPORT - A wretched hive of scum and villainy, Mos Eisley sings a siren\'s song for smugglers, gangsters, and mercenaries. A frontier town built around the wreckage of crashed starships, Mos Eisley boasts dozens of discrete landing bays for pilots who wish to pass through the system unnoticed. Mos Eisley\'s most famous landmarks are the Lucky Despot Hotel and Casino, owned by the ruthless crime lord Lady Valarian, and the Mos Eisley cantina, where criminals of every stripe can find work.\n\nLike many cities on Tatooine, Mos Eisley has a turbulent history. It was originally built as an alternative to Anchorhead, which was at that time a bustling and expensive city. From its inception, Mos Eisley attracted criminals: the earliest construction crews were comprised largely of Rodian refugees with criminal and violent pasts. Mos Eisley later attracted Jabba the Hutt, who now controls much of the city\'s criminal operations.\n\nThe Empire also has a strong presence in Mos Eisley. Imperial Prefect Eugene Talmont and his contingent of stormtroopers attempt to maintain order in the totally lawless town.\n');
INSERT INTO `client_strings` VALUES ('string/en/loc_d.stf', '6', 'bestine', 'BESTINE TOWNSHIP - A stately gem of Imperial politics, Bestine is carved into the southern Jundland Wastes west of the Mos Eisley spaceport. Before the arrival of the Empire, Bestine was primarily a farming community, but it has since become the seat of Imperial power on Tatooine. As a result, Bestine is now the most cosmopolitan and cultured Tatooine settlement.\n\nDue largely to the influx of Imperial personnel - and their credits - Bestine is flourishing while other Tatooine cities struggle. Bestine has transformed from a modest agrarian township into a thriving economic hub. While Mos Eisley attracts smugglers and their ilk, Bestine is a magnet for honest traders and merchants interested in doing legitimate business on Tatooine. Bestine is also the safest of all Tatooine cities. Imperial stormtroopers patrol the streets, protecting the local populace from common thugs. The Imperial forces also defend the city from Tusken Raider attacks and guard the routes to and from Bestine.\n');
INSERT INTO `client_strings` VALUES ('string/en/loc_d.stf', '7', 'theed', 'THEED - Naboo\'s affluent capital city, Theed is home to the Royal Palace, breathtaking waterfalls, and a number of the planet\'s most prominent citizens. The city represents the zenith of Naboo architectural achievement and is known for its libraries, museums, theaters, and cultural centers.\n\nTheed was founded by settlers fleeing revolution on their home planet. Eight hundred years later, the city was invaded by the Trade Federation. The populace quickly surrendered, preventing violence in the streets and ensuring that the buildings and monuments remained unscathed. Theed was eventually liberated and has remained free well into the era of the Empire. While Imperials have established garrisons and outposts on Naboo, the Imperial presence in Theed is minimal, largely because the city\'s population is naturally peaceful and has yet to resist the Empire.  \n');
INSERT INTO `client_strings` VALUES ('string/en/loc_d.stf', '8', 'moenia', 'MOENIA - A colony of Naboo intelligentsia protected by dense swamplands, Moenia is a mecca for Naboo\'s educated elite.  The city boasts Naboo\'s highest concentration of successful authors, artists and musicians.  It has also been the training ground for many of Naboo\'s elected officials and includes some of the galaxy\'s most respected universities.\n\nThe Empire views Moenia as little more than an artists\' retreat and virtually ignores all activities in the city.  This has allowed the formation of a small but influential group of political idealists sympathetic to the Rebellion.  Publicly, Moenia\'s leadership may support the Empire, but they surreptitiously fund Alliance activities, welcome refugees from worlds under Imperial siege, and arrange meetings between Rebel agents and powerful political figures from throughout the galaxy.  While it\'s unlikely that the peaceful residents of Moenia would ever take up arms against the Empire, their underground support of the Alliance could prove a valuable asset.');
INSERT INTO `client_strings` VALUES ('string/en/loc_d.stf', '9', 'coronet', 'CORONET CITY - Coronet City is the capital city of Corellia and, in many ways, the center of the entire Corellian system. Often referred to as the \"Jewel of Corellia,\" Coronet City is a bustling, urban metropolis. The city attracts entrepreneurs, merchants, and tourists from all five of the Corellian worlds, along with a great many visitors from beyond the system.\n\nCoronet City has a number of important landmarks and interesting sites, but it is probably best known for its park land and abundant open space. The city also offers advanced technological facilities, including the Coronet Medcenter which specializes in experimental medical treatments.\n\nAlthough Coronet City is certainly among the galaxy\'s most advanced cities, it is not without its problems. Roving gangs of thugs threaten visitors in some areas of the city, and the local government is dominated by corrupt Imperial officials. Corellia is also home to both Imperial and Rebel agents, and clashes between these two groups occasionally spill into Coronet City\'s otherwise peaceful streets.\n\n');
INSERT INTO `client_strings` VALUES ('string/en/loc_d.stf', '10', 'tyrena', 'TYRENA - Corellia\'s most popular tourist destination, Tyrena features lavish hotels, vast ornamental plazas, and the busiest beach on the planet. Inhabitants of the Core Worlds flock to Tyrena and the city is constantly filled with sightseers.\n \nTyrena is popular among adventurers because it is relatively close to many of Corellia\'s most exciting attractions. Tyrena serves as an excellent staging ground for forays into the Agrilat Swamps, slice-hound hunting expeditions, and trips to the planet\'s stunning Gold Beaches.\n\nOn the surface, Tyrena appears totally self-governed and free of Imperial entanglements. However, stormtroopers are present to \"keep the peace,\" and the Empire taxes many of Tyrena\'s most lucrative businesses. Rebels can also be found in Tyrena, hiding amid the throngs of tourists.  \n\n');
INSERT INTO `client_strings` VALUES ('string/en/loc_d.stf', '11', 'beta1', 'PUBLIC TEST STARTING LOCATION 1 - This is a miscellaneous patch of wilderness on Tatooine, selected as a place where players will enter Star Wars Galaxies during the public test.');
INSERT INTO `client_strings` VALUES ('string/en/loc_d.stf', '12', 'beta2', 'PUBLIC TEST STARTING LOCATION 2 - This is a miscellaneous patch of wilderness on Tatooine, selected as a place where players will enter Star Wars Galaxies during the public test.');
INSERT INTO `client_strings` VALUES ('string/en/loc_d.stf', '13', 'beta3', 'PUBLIC TEST STARTING LOCATION 3 - This is a miscellaneous patch of wilderness on Tatooine, selected as a place where players will enter Star Wars Galaxies during the public test.');
INSERT INTO `client_strings` VALUES ('string/en/loc_d.stf', '14', 'beta4', 'PUBLIC TEST STARTING LOCATION 4 - This is a miscellaneous patch of wilderness on Tatooine, selected as a place where players will enter Star Wars Galaxies during the public test.');
INSERT INTO `client_strings` VALUES ('string/en/loc_d.stf', '15', 'beta5', 'PUBLIC TEST STARTING LOCATION 5 - This is a miscellaneous patch of wilderness on Tatooine, selected as a place where players will enter Star Wars Galaxies during the public test.');
INSERT INTO `client_strings` VALUES ('string/en/loc_d.stf', '16', 'beta_newbie', 'Welcome to the Star Wars Galaxies beta test.  This starting location is for new users coming to our beta test for one of your first visits.  Here, we\'ll teach you about some of the basic features of our game, such as how to report bugs, using the camera, movement, basic chat, character creation and customizations, and more!  If you haven\'t done this step already, it is important for you to begin here!  We need your feedback and opinions, and you need these skills to be helpful for our next test.  Come on in!');
INSERT INTO `client_strings` VALUES ('string/en/loc_d.stf', '17', 'keren', 'KEREN - The most important trading city on Naboo, Keren is a bustling hive of mercantile activity.  Planetary as well as interstellar traders can be found here, amid a wide assortment of (mostly) legal goods and products.  Those who are looking to make business contacts or a good deal may find themselves here.\n\nWhile it may be the center of commerce on the planet, it has also become a major hub for the criminal element in the sector.   Smugglers, mercenaries and bounty hunters are common here, so it\'s a good idea to steer clear of the seedier areas of the city if there\'s a price on your head.\n\nKeren is also renowned as a stunning example of architecture and nature complimenting each other.  The streets and buildings have been designed with the local streams and waterfalls in mind, and the highest plateau offers a chance to relax next to the beautiful lake at the top of the city.');
INSERT INTO `client_strings` VALUES ('string/en/loc_d.stf', '18', 'chafala', 'CHAFALA - Established in the swamps of the southern regions, Chafala lies somewhere between civilization and frontier.  Originally settled by scientists and explorers, it has become an important link in the political history shared between the Gungans and the Naboo.  Many important treaties and declarations have been established in Chafala, and some Gungans have chosen to make it their permanent home.\n\nSurrounded on all sides by shallow water, vegetation, and small islets, Chafala is a sedately lush travel destination.  While some visitors have remarked that it\'s a bit gloomy, no one who has been there can forget its unique character. ');
INSERT INTO `client_strings` VALUES ('string/en/loc_d.stf', '19', 'belavistal', 'BELA VISTAL - Nestled in a serene mountain valley, Bela Vistal is considered to be an ideal tourism destination for those on a modest budget.  Its isolation and tall mountains have made it a favorite for hikers and climbers, but the fresh air and clean valleys surrounding it are refreshing to many other types of adventurers and travellers.  For those who wish to remain inside the city limits and just enjoy the city\'s natural beauty, the fountains and natural lake found within Bela Vistal are just as beautiful as what you will find outside of the city limits. \n\nAn important trading outpost as well as a travel hot-spot, both Imperial and Rebel sympathizers can be found among its numerous merchants, tradesfolk, and citizens.  Bela Vistal can be somewhat dangerous to those who are careless with their credits, and its back alleys should be traversed with care.  It\'s been said that the lower prices occasionally come with a different sort of tax.');
INSERT INTO `client_strings` VALUES ('string/en/loc_d.stf', '20', 'mos_entha', 'MOS ENTHA - A Tatooine city located between Mos Espa and Mos Taike, Mos Entha is one of several modest spaceport cities on the desert world.  Although orderly and relatively safe, Mos Entha is rarely the first choice of new colonists when they first arrive on Tatooine.  Imperials usually opt to live in Bestine, while those interested in honest trade head to Mos Espa, and all of Tatooine\'s cities are overshadowed by the larger (and infinitely more corrupt) Mos Eisley.  However, for those who have decided to make a life in Mos Entha, the city proves to be a welcome respite from the harsh environment.\n\nMos Entha is largely residential, with only small industrial zones.  The streets are clean and quiet, and the inhabitants usually keep to themselves.  The city seemingly supports itself through moisture farms, some hydroponic gardens, and very limited mining operations.  In reality, most of Mos Entha\'s income is generated by providing storage facilities for outdated Imperial munitions and hazardous wastes, which are housed far beneath the city\'s streets. \n\nMos Entha is not completely free from crime and, in fact, the city is often home to Jabba the Hutt\'s chief rival: the Whiphid known as Lady Valarian.  Although Valarian\'s primary \"legitimate\" business, the Lucky Despot Hotel and Casino, is located in Mos Eisley, she owns a lavish town home in Mos Entha.  The town house is a sprawling compound filled with lush vegetation imported from other worlds, including Talus, Yavin 4, and even the forest moon of Endor.  A large contingent of Valarian\'s guards protect the town house at all times to protect the Whiphid\'s possessions from a desperate criminal element and ward off would-be assassins hired by Jabba.');
INSERT INTO `client_strings` VALUES ('string/en/loc_d.stf', '21', 'kadaara', 'KAADARA - Located along a scenic coastline in the northern reaches of Naboo, Kaadara is one of the planet\'s most luxurious tourist destinations.  The small city is well-known for its outdoor cafes, beautiful beaches, and leisurely way of life.\n\nFounded about one thousand years after the first human settlers arrived on Naboo, Kaadara was originally designed as a lavish retreat for Naboo royalty and their large entourages.  Early in its history, Kaadara was unique among Naboo cities because the local populace welcomed (and even encouraged) interactions with the native Gungans.  Kaadara\'s first regent, Kallos Sook, actually hired a large contingent of Gungans to serve as the city\'s security force.  For many centuries, these Gungan mercenaries lived on the outskirts of Kaadara, protecting the retreat and its visitors from wild animals and outlaws.\n\nAs Naboo gradually expanded its contact with other Republic worlds, Kadaara became a favorite destination for visiting dignitaries and wealthy travelers.  Unfortunately, the increasing presence of outsiders led the suspicious Gungans to abandon their role as protectors of Kaadara.  The Naboo have since installed a small garrison of RSF officers to patrol the city, bolstering the force by ten-fold whenever the current monarch arrives in Kaadara. Without the Gungans culling the local creatures, many native (but relatively harmless) animal populations have bred uncontrollably and the area around Kaadara is a prime hunting ground for the pampered elite.\n\nAfter the defeat of the Trade Federation, Queen Amidala encouraged the Kaadara regent to renew the city\'s long relationship with the Gungans.  Many Gungans actually relocated to the city and, along with settlers from other worlds, now form the basis of Kaadara\'s powerful working class.  Since the Empire\'s arrival on Naboo, Kaadara\'s entrenched Gungan population has been largely overlooked, perhaps because Imperial forces realize that the city (a favorite of many high-ranking Moffs) would collapse without its able Gungan workforce.');
INSERT INTO `client_strings` VALUES ('string/en/loc_d.stf', '22', 'kor_vella', 'KOR VELLA - In Corellia\'s more primitive times, long before the advent of hyperspace travel, intrepid explorers made their reputation by successfully scaling the Kor Vella mesa.  The terrain was treacherous, and the area around the mesa boasted numerous predatory creatures.  Those Corellians who did manage to reach the mesa, however, found that the bleak, weather-beaten landscape actually offered great solitude.  Kor Vella mesa became a site for introspection and meditation, where hardy Corellians could escape the trials of daily life for a few hours of reflection.\n\nNearly ten thousand years before the Battle of Yavin, a small religious sect established a monastery on Kor Vella mesa.  The religious retreat shunned metropolitan values and emphasized self-reliance over creature comforts.  Despite Kor Vella\'s harsh rules, the religious retreat attracted other Corellians, who built shanties around the central monastery.\n\nKor Vella\'s history changed dramatically when local miners located large deposits of ore near the mesa.  This discovery coincided with a sudden surge in demand for Corellian starships throughout the galaxy.  As starship manufacturers purchased ore from Kor Vella, the influx of credits nearly overwhelmed the community.  Nearly overnight, the inhabitants of Kor Vella could afford all the luxuries that they had formerly despised.  Kor Vella eventually dropped all pretense of being a religious retreat and emerged from relative isolation to become one of Corellia\'s most respected cities. \n\nDespite its transformation into a thriving economic hub, Kor Vella still maintains much of its rustic charm.  Many of the settlement\'s original buildings still stand and the residents maintain historic areas throughout the city.  Kor Vella also lacks the huge skyscrapers that dominate the skyline of most other Corellian cities.');
INSERT INTO `client_strings` VALUES ('string/en/loc_d.stf', '23', 'doaba_guerfel', 'DOABA GUERFEL - Cradled in the arms of Corellia\'s northern Nomad Mountains rests Doaba Guerfel, a quaint mountain resort with a slow pace and peaceful history.  The site was originally a private resort, complete with a hunting lodge, small hotel, and raucous cantina.  The limited membership included Corellia\'s wealthiest families, as well as many powerful Republic senators.  The resort, which was simply known as Nomad\'s Retreat, eventually fell under sharp criticism for its elitism.  Over the course of several decades, Nomad\'s Retreat gradually expanded its membership and eventually became a public resort about four hundred years before the start of the Galactic Civil War.\n\nFor nearly a century, Nomad\'s Retreat was a seasonal resort town, with attendance ebbing and flowing as weather changed.  To provide staff with a semi-permanent home, the proprietors and investors of the retreat funded construction of a village only a few kilometers from the resort.  The village, which took on the name Doaba Guerfel, was populated for only about half of each standard year with a variety of resort staff, ranging from cooks and cleaning crew to hunting guides and airspeeder pilots. \n\nDuring the past three hundred years, Doaba Guerfel has continued to grow, eventually merging with the original resort.  Nomad\'s Retreat no longer exists as an independent entity, and Doaba Guerfel has become Corellia\'s finest mountain resort city.  Like many other tourist destinations, Doaba Guerfel strives to remain a placid, safe escape from the rest of the galaxy.  The city is far removed from galactic politics and has rigorously resisted both Imperial and Rebel incursions.\n\nDue to the city\'s proximity to pristine forests and wilderness, the citizens of Doaba Guerfel are active environmentalists.  The town spends millions of credits each year on preservation and restoration projects in the hopes of protecting Corellia\'s native flora and fauna, but perhaps more significant is Doaba Guerfel\'s reputation for wild revelry.  Nights in Doaba Guerfel are filled with sounds of music and celebration, and the town annually consumes more Corellian Ale than all of the neighboring cities combined.');
INSERT INTO `client_strings` VALUES ('string/en/loc_d.stf', '24', 'dearic', 'DEARIC - The primary starport on Talus, Dearic is one of the most active cities in the Corellian system.  New arrivals to Talus are typically processed through Dearic, and the city provides numerous import and export services for locals.  Due to its location in the southern portion of Talus, Dearic is also an excellent staging ground for excursions into the planet\'s wilder regions. \n\nOn the surface, Dearic is a beautiful, if bustling utopia.  All three native sentient species seem to live together peacefully, and the city is not marred by rampant poverty or crime.  Public services operate smoothly, and the residents appear happy and healthy.  In reality, however, Dearic is far from perfect.  Its idyllic parks conceal violent thugs, and tensions between the humans, Drall, and Selonians are on the rise.  In addition, Dearic serves as the capital for the Federation of the Double Worlds, which has given the city a highly politicized atmosphere.  The city is plagued by corruption and scandal, and the populace is largely controlled by wealthy, uncaring and unscrupulous Fed-Dub officials.  \n');
INSERT INTO `client_strings` VALUES ('string/en/loc_d.stf', '25', 'nashal', 'NASHAL - Rising along the banks of the Mephyt River in the northeastern reaches of Talus, Nashal is an incredibly diverse city originally founded by Selonian architects.  In its early days, the fledgling settlement served as a neutral ground for meetings between Talus\' three native species.  As the Drall, Selonians, and humans learned to cooperate and communicate more effectively, Nashal became a focal point for cultural exchange.  After the construction of Nashal\'s starport, the city\'s reputation as a diplomatic safe haven grew stronger.  The Republic often held peace summits between rival systems in Nashal, and the influx of visitors from around the galaxy only increased the city\'s diversity.\n\nWhen the Empire abolished the Imperial Senate, Nashal\'s prominence faded.  However, the inhabitants have retained a great appreciation for high culture and still believe strongly in peace between all sentient species.  In recent years, Nashal\'s focus has shifted from diplomacy to food and drink.  In fact, Nashal is known for producing some of the most successful chefs in the Corellian system. \n\nNashal\'s emphasis on high culture is not all-inclusive.  The city does have its share of slums, industrial areas, and military zones. Like other Corellian cities, Nashal has a small Imperial presence.');
INSERT INTO `client_strings` VALUES ('string/en/loc_d.stf', '26', 'narmle', 'NARMLE - The original settlement on Rori, Narmle is nestled in the Narmle Swamp in the southwestern portion of Rori. The expansive Narmle Bog borders the city to the south and east.  The city\'s founders selected this location because they believed the bog would protect the settlement from any dangerous native inhabitants, while the lands to the north and west promised an abundance of natural resources.  Unfortunately, life in Narmle proved much more difficult than any of the Naboo colonists expected and the city never became the hub of agriculture that its original founders envisioned.\n\nNarmle would have withered away if not for the onset of a devastating Brainworm Rot Plague nearly two hundred years before the Battle of Naboo.  Narmle\'s inhabitants were commissioned to build a second settlement, Restuss, to quarantine infected colonists traveling to Naboo.  The influx of credits and new labor helped Narmle expand into a small, thriving city.  Medical research conducted in Narmle eventually helped cure the plague, and Republic officials rewarded the city for its efforts by funding the construction of a Center for Arts and Education.  Although the city remains small when compared to Theed or Coronet, it is a far cry from its early days as a simple supply outpost for hard-working farmers.\n\nAlthough technically under the control of Naboo\'s Queen Kylantha, Narmle is largely self-governed by a handful of elected officials.  Like Rori itself, Narmle goes relatively unnoticed by most of the galaxy as the Galactic Civil War intensifies.  Governor Ferrox, who is charged with ruling the entire population of Rori, has his home and offices in Narmle.\n\nNarmle maintains a friendly rivalry with its sister city, Restuss.  As the only cities on Rori, Narmle and Restuss typically compete for funds, visitors, and settlers from Naboo.  Narmle\'s inhabitants often exhibit a sense of superiority, stemming from the fact that Narmle natives actually built Restuss.  The rivalry has become heated on occasion, although it has only rarely erupted into violence. \n\nIn general, the residents of Narmle are a very open and welcoming people, both kind to strangers and hospitable to all visitors.  Tourists are often directed to the fabled \"Talking Bantha\", a large and hairy bantha that apparently speaks with great insight and wisdom.  Although scholars insist that the Talking Bantha is a simple hoax, the verbose creature continues to attract curiosity seekers from across the galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/loc_d.stf', '27', 'restuss', 'RESTUSS - The second settlement founded on the Naboo moon of Rori, Restuss rose from tragedy.  The city was originally constructed to serve as a quarantine area during a devastating Brainworm Rot Plague that affected Naboo and many outlying systems.  The first inhabitants were therefore doctors, missionaries, and the afflicted. When the plague was crushed, the Republic ordered that Restuss remain quarantined for several years, for fear that the disease would somehow resurface.  During this crisis, the citizens of Restuss developed a deep distrust for authority.  An unarmed revolt eventually ensued, and the Republic reluctantly lifted the quarantine.  Huge portions of Restuss, including the hospital and detainment center, were razed to the ground in the ensuing riots.  Restuss was then rebuilt around a small starport, which still serves as the town\'s primary meeting place and financial center.\n\nRestuss is located on the northern shores of the Narmle Bog.  Like the city of Narmle, Restuss is largely surrounded by swamplands.  Perhaps because of its history or the fact that Governor Ferrox rarely visits, Restuss seems even further removed from Naboo politics than its sister city.  It\'s not uncommon to meet a Restuss citizen who has difficulty identifying the current Queen.  Restuss seems even less interested in galactic dealings: the populace rarely discusses the raging civil war, but when they do, it is as if the conflict it taking place in some far distant corner of the galaxy. \n\nBy contrast, local politics on Restuss are hugely important.  Restuss has hundreds of laws and ordinances, many of which are over a century old.  Although Restuss is self-governed by elected officials, the election process is long and arduous and often produces results that only Restuss natives can understand.  The city often seems mired in bureaucracy. Fortunately, the numerous laws do seem to favor local merchants, who thrive in the city.  Trade is only lightly-regulated and the city is known for its extensive access to black market goods, including weapons.\n\nThe inhabitants of Restuss are hard-working, but suspicious of outsiders.  This paranoia protects a community that is actually extremely giving and supportive of their own.  The inhabitants celebrate together often, and at night the local cantina is often overflowing.  Because the locals do not prey on one another, crime is virtually unknown.');
INSERT INTO `client_strings` VALUES ('string/en/loc_d.stf', '28', 'dantooine', 'DANTOOINE - Dantooine is a world that is pristine and untouched. Far removed from the center of the Galactic Empire, Dantooine\'s beautiful grasslands have yet to be cultivated by the Empire or other entities. The natives to the planet, the Dantari, may be part of this reason as well. Speaking in a crude language and possessing no technology beyond the spear and bow, the Dantari live their lives upon the planet, completely unaware of the Civil War being waged across the galaxy.\n\nThis planet was not always ignored, though. Thousands of years ago, the Jedi found Dantooine to be a place that was ideal for training. Building a temple dedicated to their teachings, the Jedi trained many candidates in the way of the Force. For unknown reasons, the temple was abandoned long before the Empire came to power. Only the most curious, and brave, may find what secrets lie within the ancient temple,\n\nBefore relocating to Yavin IV, the Rebels had made Dantooine their base of operations. Being careful to not disturb the native Dantari, the Rebels constructed a temporary base that could be abandoned at a moment\'s notice. Having found a tracking device in one of their cargo shipments, then Rebels managed to vacate the base in a manner of one day.\n\nSince the destruction of the Death Star, the Empire has found the Rebel\'s abandoned base and is intent on eliminating all the remaining stragglers out of principle. The Empire feels as if they have the situation under control, and there are no remaining Rebels on the planet. If they only knew...\n\n\n');
INSERT INTO `client_strings` VALUES ('string/en/loc_d.stf', '29', 'rori', 'RORI - A moon of Naboo, Rori is an overgrown, wild world dominated by oppressive gray skies, thick jungles, and thick swamps. Unlike Naboo, Rori is not widely populated.  In fact, it supports only two small colonies, which are separated by a giant, reed-infested bog.\n\nRori\'s history is somewhat contested by Naboo scholars.  Some claim that a small contingent of Naboo\'s original human colonists actually landed on Rori before traveling on to the more temperate parent planet.  If this is true, those early settlers left no obvious signs of their stay.  Others hold that Rori remained unsettled until a small group of spice miners decided to relocate to the moon in search of fabled spice lodes.  Some spice miners do, in fact, inhabit Rori, but they live a primitive lifestyle and have no records of their first landing on the moon.\n\nWhatever the truth, Rori was officially colonized about two thousand years before the Battle of Naboo, during the short-lived reign of King Narmle.  Although widely regarded as a charming and intelligent man, Narmle was a restless explorer who spent most of time visiting distant worlds in search of new vistas.  The Naboo Royal Advisory Council soon suggested that Narmle relinquish the throne and become an ambassador.  Before leaving office as King, however, Narmle personally planned the construction of a small settlement on Rori.  He envisioned that Rori would one day become an active agricultural hub, supplying food and medicines to other neighboring planets.  Unfortunately, Rori attracted few settlers.  Frustrated, Narmle left Rori and vanished into the Outer Rim forever, although the city he helped build still bears his name.\n\nIn the centuries since Narmle\'s disappearance, Rori\'s population has grown only slightly.  During an outbreak of brainworm rot some two hundred years before the Battle of Naboo, the Advisory Council commissioned the construction of a second spaceport on Rori; this city, known as Restuss, was used for decades as a quarantined processing center for colonists traveling to Naboo.  Although both Restuss and Narmle were built by Naboo architects, most of the moon\'s current colonists have been drawn from other, less hospitable worlds, including Iridonia and Ryloth.  The Gungans, who colonized the Naboo moon of Ohma-D\'un, have also established small outposts on Rori.   \n\nThe Naboo rulers have typically viewed Rori as an extension of their domain.  As a result, Rori does receive regular supplies from Naboo and travel between the moon and its parent planet is routine.  Members of the Naboo Royal Security Forces are stationed in both Restuss and Narmle, and Rori\'s governor sits on the Naboo Royal Advisory Council.  The Empire also views Rori as little more than a small Naboo outpost and expects all of the moon\'s inhabitants to remain loyal to Emperor Palpatine.  In reality, Rori\'s denizens are far more independent than the \"planetary\" Naboo and it is believed that the moon harbors some Rebels.');
INSERT INTO `client_strings` VALUES ('string/en/loc_d.stf', '30', 'talus', 'TALUS - One of the five habitable planets in the Corellian system, Talus is a temperate world very similar to Corellia.  It has a wide range of terrain, including forests, grass plains, and mud flats.  The planet is inhabited by three sentient species: humans; the stocky, fur-covered Drall; and the sleek Selonians.  Although all three species generally co-exist peacefully, they do have a history of political conflict that has been marked by sporadic violence.\n\nTalus is roughly the same size as its sister planet, Tralus.  Both orbit a common center of gravity, and are together known as the Double Worlds.  Both Talus and Tralus are governed by the elected Federation of the Double Worlds, or Fed-Dub. \n\nLike Corellia, Talus has remained largely neutral in the early days of the Galactic Civil War.  The Empire monitors Talus for Rebel activity, but allows Fed-Dub to operate independently and has yet to interfere with any of the planet\'s major corporations.  Although Talus is less renowned than Corellia, the planet does have a vibrant economy that revolves around starship manufacturing.  \n\nTalus still holds many mysteries for explorers.  In fact, it is rumored that a planetary repulsor is located deep beneath the world\'s surface.  This device may have been used eons before the Battle of Yavin, presumably to move Talus from an unknown location and into its current orbit.');
INSERT INTO `client_strings` VALUES ('string/en/loc_d.stf', '31', 'dathomir', 'DATHOMIR - Located in the Quelli sector, Dathomir is a planet filled with dark forests, shadowy ravines, and thick fogs.  Were the terrain the only natural hazard, Dathomir might be an exciting place to take a vacation, Unfortunately, the planet is home to numerous creatures straight out of a nightmare. The wilds are teeming with reptilian avians, spiders of gigantic proportions, and even the herds of carnivorous Rancors.\n\n Not all of the inhabitants are monstrous creatures, though. Some are even more fearsome. For thousands of years, the Old Republic used Dathomir as a form of prison planet where they would exile criminals and murderers. After exiling a rogue Jedi to the planet, the practice ended as new means of dealing with criminals were adopted.\n\nClose to 400 years ago, an enormous spaceship used as a training academy for the Jedi crashed on the planet. When the Jedi Council attempted to rescue their brethren, they found the planet\'s inhabitants had become a society of force-wielding \"witches\" over the centuries. The witches rode upon the back of Rancors and practiced \"magic\", having been taught by the original Jedi exiled there. Using the Force in a way never seen before by the Jedi, the witches of Dathomir were able to repel the Jedi from the planet. The Jedi planned on returning one day when they could understand how the witches were \"casting spells\". With the rise of the Empire and the destruction of the Jedi, this would never actually happen.\n\nSome of the witches were intrigued with the way the Jedi were using their \"magic\". Some of these sisters would eventually start exploring the darker side of their \"spells\". The most powerful of these witches, Gethzerion, attempted to take over the Singing Mountain Clan at one point. Her coup failed, but she managed to win many over to her side. In turn, she formed a new clan called the Nightsisters. Ever since, both the \"good\" Singing Mountain Clan and the \"evil\" Nightsisters fight over dominance of the clans.\n\nShortly after his rise to power, the Emperor reinstated the old practice of using Dathomir as a prison planet. Having built a large prison facility, the Empire encountered the Witches just as the Jedi had hundreds of years prior. The Emperor refused to be defeated, therefore he launched an assault on the planet - and was repelled. In the end, he ordered the destruction of all means of escaping the planet, including all transportation ships.\n\nCurrently, Dathomir is under an Imperial blockade, preventing all passage to and from the planet. This has not stopped the most daring of shuttle pilots to attempt a landing, therefore it is rumored that there is a hidden shuttleport somewhere on the planet. The Empire still uses the prison to keep dangerous political prisoners, dropshipping them in by shuttle. And the war between the opposing clans of the witches continues on.\n\n\n');
INSERT INTO `client_strings` VALUES ('string/en/loc_d.stf', '32', 'endor', 'ENDOR - Orbiting the silvery gas giant with the same name, the forest moon of Endor is found in the Moddell Sector. Due to the fact that it is not located near any hyperspace nodes, a complex series of jumps is needed to reach the planet. Not many people have heard of Endor, and if the rumors are true, the Empire would like to keep it that way.\n\nOne of the two dominant life form on the planet are called the Ewoks. Short, furry creatures, the Ewoks form a primitive society led by tribal chieftains and spiritual shamans. Technologically speaking, the Ewoks are still in their \"Stone Age\", using crude weapons such as stone knives and spears.\n\nIn addition to the native wildlife, the Ewoks have other enemies they must fight for survival against. The Duloks are a distant relative to the Ewok, but far more fierce and aggressive. The Duloks generally attack on sight, asking questions later. Tribal wars will erupt between the two species at times, though neither one of the two have managed to gain the upper hand.\n\nThough the Ewoks and Duloks are fighting a constant war against each other, there will be times when the sound of thundering steps will cause them to forget their animosities. The fabled Gorax is a creature of legend, towering high into the sky, and known to have a horrendous appetite. Though the Gorax prefers the tastes of the indigenous creatures native to Endor, it is not opposed to feasting upon foreigners as well.\n\nNot all of the species on Endor are completely primitive. A group of spacefaring people crash landed on Endor a long time back. Calling themselves the Marauders, these reptilian humanoids have spent the past several decades trying to capture enough technology so that they can leave the moon and return to the stars. Rumors say that recently they have enlisted the aid of a woman who casts \"spells\" and makes \"potions\". No one knows if these rumors are true.\n\nAs of late there has been increased Imperial activity on the planet. So far, their plans have been kept completely secret, therefore no one knows why the Empire is interested in Endor. Only the most skilled of shuttle pilots attempt to make the jumps to this far away moon, and with the Empire moving in, this may not be for long.\n\n\n\n');
INSERT INTO `client_strings` VALUES ('string/en/loc_d.stf', '33', 'lok', 'LOK - Not much is known about the volcanic planet called Lok. History tells us that Lok , found in the Karthakk System, was the first place the former Trade Federation tested it\'s prototypes for their droid army. What follows are hazy accounts of some type of battle held shortly after the Battle of Naboo, then that\'s where the story ends.\n\nThe secrecy that surrounds Lok has been due to the fact that it has been used for a long time as a safe hiding place for most the pirates that raid the spacelanes. All manner of pirates, corsairs, and brigands call this planet home. Though there are many who try to control the others, there is one man who is the disputed King of the Pirates. Nym, a member of a long forgotten species, rules the other pirate clans with an iron fist. His motives are his own, yet at this time he has chosen not to ally with the Empire, the Rebellion, or even the Hutts.\n\nThe Empire as of late has begun to crack down on the activities of these pirates and has erected an outpost to keep an eye on them. Many of the Imperial officers who are stationed here feel their assignment is more a punishment than a chance to rise within the Empire. Once the Empire has managed to quell the Rebellion, they will then have the resources available to try to put a stop to the pirates and fully restore order to the Galaxy once and for all.\n\nFor the time being, Lok still manages to provide safe shelter to pirates and those who don\'t want to be found. Dangerous creatures roam the countryside, making this an uneasy home. It\'s not uncommon to hear of a Kimogila, the deadliest of all predators on Lok, has rampaged through a pirate base.\n\n\n');
INSERT INTO `client_strings` VALUES ('string/en/loc_d.stf', '34', 'yaviniv', 'YAVIN 4 - The planet of Yavin is an enormous gas giant that has managed to attract an impressive number of moons. Yavin IV is the fourth moon, one of only three able to support life. And support life it does; Yavin IV is covered with dense jungles and all manner of creatures.\n\nThough there have been no sightings of the former people that inhabited Yavin, the architecture they left behind proves their existence. Mighty temples are dotted all throughout the landscape, ranging from small places of worship to towering pyramids rising over the jungle canopy. No one is too certain whom the people were who built these temples. Or for that matter, what happened to them.\n\nA short while ago, the combined forces of the Rebellion used these temples as a base to conduct their operations. The location of the Rebels\' secret base had been found by the Empire, and the moon was targeted for destruction. The Empire planned to use their new super weapon, the Death Star. The Rebel fleet launched an impossible assault on this space fortress, and with the help of Luke Skywalker, managed to destroy it before it could destroy any more worlds.\n\nThe Empire has re-directed most of it\'s forces to Yavin IV to put an end to the Rebellion. For a while now, a heated siege has been waged against the Rebel\'s base, and it appears that the Rebellion is slowly losing. Large battles of Imperial and Rebel forces wage war across the planet on a daily basis.\n\nThe remains of the Death Star that litter the moon are the only testament to the fact there ever was a weapon of such destruction. The temples of the Rebels made into bases have managed to hold up remarkably well, considering how old they are. Unfortunately, if the Rebels do not win this battle, they will be in need of finding a new secret base.\n\n\n\n\n');
INSERT INTO `client_strings` VALUES ('string/en/loc_d.stf', '35', 'kaadara', 'KAADARA - Located along a scenic coastline in the northern reaches of Naboo, Kaadara is one of the planet\'s most luxurious tourist destinations.  The small city is well-known for its outdoor cafes, beautiful beaches, and leisurely way of life.\n\nFounded about one thousand years after the first human settlers arrived on Naboo, Kaadara was originally designed as a lavish retreat for Naboo royalty and their large entourages.  Early in its history, Kaadara was unique among Naboo cities because the local populace welcomed (and even encouraged) interactions with the native Gungans.  Kaadara\'s first regent, Kallos Sook, actually hired a large contingent of Gungans to serve as the city\'s security force.  For many centuries, these Gungan mercenaries lived on the outskirts of Kaadara, protecting the retreat and its visitors from wild animals and outlaws.\n\nAs Naboo gradually expanded its contact with other Republic worlds, Kadaara became a favorite destination for visiting dignitaries and wealthy travelers.  Unfortunately, the increasing presence of outsiders led the suspicious Gungans to abandon their role as protectors of Kaadara.  The Naboo have since installed a small garrison of RSF officers to patrol the city, bolstering the force by ten-fold whenever the current monarch arrives in Kaadara. Without the Gungans culling the local creatures, many native (but relatively harmless) animal populations have bred uncontrollably and the area around Kaadara is a prime hunting ground for the pampered elite.\n\nAfter the defeat of the Trade Federation, Queen Amidala encouraged the Kaadara regent to renew the city\'s long relationship with the Gungans.  Many Gungans actually relocated to the city and, along with settlers from other worlds, now form the basis of Kaadara\'s powerful working class.  Since the Empire\'s arrival on Naboo, Kaadara\'s entrenched Gungan population has been largely overlooked, perhaps because Imperial forces realize that the city (a favorite of many high-ranking Moffs) would collapse without its able Gungan workforce.');
INSERT INTO `client_strings` VALUES ('string/en/loc_d.stf', '36', 'imperial', '\\#pcontrast1 THE EMPIRE\\#.  (These are the best starting locations for players who wish to become Imperial Navy Pilots. Choosing one of these starting locations will not automatically enlist you in the Imperial Navy, but you will be provided with a path to the nearest recruiter.)\n\nFollowing the destruction of the Death Star in the Battle of Yavin, the Empire has had to scramble to replace its Pilot forces. Several special squadrons have been created or expanded to admit volunteer pilots in order to battle the Rebel Alliance Fleet. \\#pcontrast3 Storm Squadron \\#.on Tatooine, the \\#pcontrast3 Imperial Inquisition \\#.on Naboo or \\#pcontrast3 Black Epsilon \\#.at the Imperial Base on Talus are three such organizations that you may join.');
INSERT INTO `client_strings` VALUES ('string/en/loc_d.stf', '37', 'rebel', '\\#pcontrast1 REBEL ALLIANCE\\#.  (These are the best starting locations for players who wish to become Rebel Alliance Pilots. Choosing one of these starting locations will not automatically enlist you in the Rebel Alliance, but you will be provided with a path to the nearest recruiter.)\n\nAlthough the Rebel Alliance has acquired a new hope from their victory over the Imperial Death Star at the Battle of Yavin, the Empire is still very strong. The Rebel Alliance is still in need of pilots to battle the Imperial fleet. Although the recruiters can be difficult to find, hiding from the Empire as they are, a number of bold recruiters have been actively acquiring and training Rebel Alliance Pilots.\n\n\\#pcontrast3 Captain Kreezo\\#. on Corellia, \\#pcontrast3 V3-FX \\#.on Naboo and \\#pcontrast3 Commander Da\'la Socuna\\#. on Tatooine are three such recruiters.');
INSERT INTO `client_strings` VALUES ('string/en/loc_d.stf', '38', 'privateer', '\\#pcontrast1 FREELANCE PILOTS\\#.  (These are the best starting locations for players who wish to become Freelance Pilots. Choosing one of these starting locations will not automatically make you a Freelance Pilot, but you will be provided with a path to the nearest pilot trainer.)\n\nWhile many pilots have decided to take a stand for or against the Empire, there are still others who prefer to remain on the fence, or on the fringe.  Talon Karrde and Dravis\' infamous \\#pcontrast3 Smugglers Alliance \\#.on Tatooine will recruit anyone with the desire to learn how to fly, while \\#pcontrast3 CorSec \\#.struggles to maintain the official Corellian policy of remaining neutral in the Galactic Civil War.  Meanwhile Naboo\'s \\#pcontrast3 Royal Security Forces \\#.take what pilots they can get, being strongly allied with the Empire and yet remaining officially an independent organization.\n\nMany Freelance Pilots eventually enlist with the Rebel Alliance or the Empire, fighting the Galactic Civil War on land and space. Freelance Pilots may participate in the Galactic Civil War by visiting a factional recruiter for the side they wish to join, and becoming either Covert or Declared members of that faction (while still piloting the \'Freelance Pilot\'-style ships they\'ve learned to fly).');
INSERT INTO `client_strings` VALUES ('string/en/loc_d.stf', '39', 'tatooine_imp', '\\#pcontrast1 THE EMPIRE\\#.  (This is the best starting location for players who wish to join Storm Squadron as Imperial Navy Pilots. Choosing this as your start location will not automatically enlist you in the Imperial Navy, but you will be provided with a path to the recruiter, \\#pcontrast3 Lt. Akal Colzet\\#.)\n\n\\#pcontrast3 Storm Squadron, BESTINE TOWNSHIP, Tatooine \\#.- Stationed in Bestine, the capital of Tatooine, Lt. Akal Colzet recruits for the Imperial Navy\'s Storm Squadron.  Choosing this as your starting location will take you to the Bestine Starport and provide you with waypoint to the Imperial Pilot Trainer.\n\nWhen you arrive on Tatooine, follow the \'yellow-ribbon\' to locate \\#pcontrast3 Lt. Akal Colzet\\#.. And don\'t forget to stand at attention!\n\nA stately gem of Imperial politics, Bestine is carved into the southern Jundland Wastes west of the Mos Eisley spaceport. Before the arrival of the Empire, Bestine was primarily a farming community, but it has since become the seat of Imperial power on Tatooine. As a result, Bestine is now the most cosmopolitan and cultured Tatooine settlement.\n\nDue largely to the influx of Imperial personnel - and their credits - Bestine is flourishing while other Tatooine cities struggle. Bestine has transformed from a modest agrarian township into a thriving economic hub. While Mos Eisley attracts smugglers and their ilk, Bestine is a magnet for honest traders and merchants interested in doing legitimate business on Tatooine. Bestine is also the safest of all Tatooine cities. Imperial stormtroopers patrol the streets, protecting the local populace from common thugs. The Imperial forces also defend the city from Tusken Raider attacks and guard the routes to and from Bestine.\n');
INSERT INTO `client_strings` VALUES ('string/en/loc_d.stf', '40', 'naboo_imp', '\\#pcontrast1 THE EMPIRE\\#.  (This is the best starting location for players who wish to join the Imperial Inquisition as Imperial Navy Pilots. Choosing this as your start location will not automatically enlist you in the Imperial Navy, but you will be provided with a path to the recruiter, \\#pcontrast3 Lt. Barn Sinkko\\#.)\n\n\\#pcontrast3 Imperial Inquisition, KAADARA, Naboo \\#.- Located in the city of Kaadara on Naboo, the recruiter for the Imperial Inquisition will demand unquestionable loyalty to the Emperor.  If you choose this as your starting location, you will arrive at the Kaadara Starport.\n\nFollow the \'yellow ribbon\' and speak with \\#pcontrast3 Lt. Barn Sinkko \\#.to sign-up with the Imperial Inquisition.\n\nBe warned, though:  Working so closely for The Emperor - most especially working with the Imperial Inquisitors - will mean extra effort on your part to prove your dedication to the cause.\n\nKAADARA - Located along a scenic coastline in the northern reaches of Naboo, Kaadara is one of the planet\'s most luxurious tourist destinations.  The small city is well-known for its outdoor cafes, beautiful beaches, and leisurely way of life.\n\nFounded about one thousand years after the first human settlers arrived on Naboo, Kaadara was originally designed as a lavish retreat for Naboo royalty and their large entourages.  Early in its history, Kaadara was unique among Naboo cities because the local populace welcomed (and even encouraged) interactions with the native Gungans.  Kaadara\'s first regent, Kallos Sook, actually hired a large contingent of Gungans to serve as the city\'s security force.  For many centuries, these Gungan mercenaries lived on the outskirts of Kaadara, protecting the retreat and its visitors from wild animals and outlaws.\n\nAs Naboo gradually expanded its contact with other Republic worlds, Kadaara became a favorite destination for visiting dignitaries and wealthy travelers.  Unfortunately, the increasing presence of outsiders led the suspicious Gungans to abandon their role as protectors of Kaadara.  The Naboo have since installed a small garrison of RSF officers to patrol the city, bolstering the force by ten-fold whenever the current monarch arrives in Kaadara. Without the Gungans culling the local creatures, many native (but relatively harmless) animal populations have bred uncontrollably and the area around Kaadara is a prime hunting ground for the pampered elite.\n\nAfter the defeat of the Trade Federation, Queen Amidala encouraged the Kaadara regent to renew the city\'s long relationship with the Gungans.  Many Gungans actually relocated to the city and, along with settlers from other worlds, now form the basis of Kaadara\'s powerful working class.  Since the Empire\'s arrival on Naboo, Kaadara\'s entrenched Gungan population has been largely overlooked, perhaps because Imperial forces realize that the city (a favorite of many high-ranking Moffs) would collapse without its able Gungan workforce.');
INSERT INTO `client_strings` VALUES ('string/en/loc_d.stf', '41', 'talus_imp', '\\#pcontrast1 THE EMPIRE\\#.  (This is the best starting location for players who wish to join Black Epsilon as Imperial Navy Pilots. Choosing this as your start location will not automatically enlist you in the Imperial Navy, but you will be provided with a path to the recruiter, \\#pcontrast3 Hakasha Sireen\\#.)\n\n\\#pcontrast3 Black Epsilon, TALUS, Imperial Outpost \\#.- Though Corellia is officially neutral in the Galactic Civil War, Hakasha Sireen has been assigned the task of changing that. If you choose this as your starting location, you will be transported to the Imperial Base on Talus (one of the planets in the Corellian system).\n\nFollow the yellow-ribbon to \\#pcontrast3 Hakasha Sireen\\#..\n\nNote that the Talus Imperial Base lacks many municipal facilities you may find youself in need of, but even a ship that lacks a hyperdrive engine can take you from the Imperial Base on Talus to any city on either Talus or Corellia.');
INSERT INTO `client_strings` VALUES ('string/en/loc_d.stf', '42', 'naboo_rebel', '\\#pcontrast1 REBEL ALLIANCE\\#.  (This is the best starting location for players who wish to join the Vortex Squadron as Rebel Alliance Pilots. Choosing this as your start location will not automatically enlist you in the Rebel Alliance, but you will be provided with a path to the recruiter, \\#pcontrast3 V3-FX\\#.)\n\n\\#pcontrast3 Vortex Squadron, MOENIA, Naboo \\#.- V3-FX, the Rebel Alliance Starfighter Pilot training droid, can be found (if one knows where to look) in the town of Moenia on Naboo. If you choose this as your starting location, you\'ll be delivered to the Moenia starport.\n\nFollow the yellow-ribbon to \\#pcontrast3 V3-FX \\#.and join the Rebel Alliance.\n\nA colony of Naboo intelligentsia protected by dense swamplands, Moenia is a mecca for Naboo\'s educated elite.  The city boasts Naboo\'s highest concentration of successful authors, artists and musicians.  It has also been the training ground for many of Naboo\'s elected officials and includes some of the galaxy\'s most respected universities.\n\nThe Empire views Moenia as little more than an artists\' retreat and virtually ignores all activities in the city.  This has allowed the formation of a small but influential group of political idealists sympathetic to the Rebellion.  Publicly, Moenia\'s leadership may support the Empire, but they surreptitiously fund Alliance activities, welcome refugees from worlds under Imperial siege, and arrange meetings between Rebel agents and powerful political figures from throughout the galaxy.  While it\'s unlikely that the peaceful residents of Moenia would ever take up arms against the Empire, their underground support of the Alliance could prove a valuable asset.');
INSERT INTO `client_strings` VALUES ('string/en/loc_d.stf', '43', 'corellia_rebel', '\\#pcontrast1 REBEL ALLIANCE\\#.  (This is the best starting location for players who wish to join the Havoc Squadron as Rebel Alliance Pilots. Choosing this as your start location will not automatically enlist you in the Rebel Alliance, but you will be provided with a path to the recruiter, \\#pcontrast3 Captain Kreezo\\#.)\n\n\\#pcontrast3 Havoc Squadron, TYRENA, Corellia \\#.- Captain Kreezo in the city of Tyrena on Corellia is eager to enlist you into ranks of the Rebel Alliace pilots. If you choose this as your starting location, you will be delivered the Tyrena Starport.\n\nFollow the yellow-ribbon to \\#pcontrast3 Captain Kreezo\\#.\'s safehouse.\n\nCorellia\'s most popular tourist destination, Tyrena features lavish hotels, vast ornamental plazas, and the busiest beach on the planet. Inhabitants of the Core Worlds flock to Tyrena and the city is constantly filled with sightseers.\n \nTyrena is popular among adventurers because it is relatively close to many of Corellia\'s most exciting attractions. Tyrena serves as an excellent staging ground for forays into the Agrilat Swamps, slice-hound hunting expeditions, and trips to the planet\'s stunning Gold Beaches.\n\nOn the surface, Tyrena appears totally self-governed and free of Imperial entanglements. However, stormtroopers are present to \"keep the peace,\" and the Empire taxes many of Tyrena\'s most lucrative businesses. Rebels can also be found in Tyrena, hiding amid the throngs of tourists.  ');
INSERT INTO `client_strings` VALUES ('string/en/loc_d.stf', '44', 'tatooine_rebel', '\\#pcontrast1 REBEL ALLIANCE\\#.  (This is the best starting location for players who wish to join the Crimson Phoenix Squadron as Rebel Alliance Pilots. Choosing this as your start location will not automatically enlist you in the Rebel Alliance, but you will be provided with a path to the recruiter, \\#pcontrast3 Commander Da\'la Socuna\\#.)\n\n\\#pcontrast3 Crimson Phoenix, MOS ESPA, Tatooine \\#.- Commander Da\'la Socuna can be hard to find, hiding away in the back room of the Mos Espa cantina. If you choose this as your starting location, you\'ll be delivered to the Mos Espa Starport on Tatooine.\n\nFollow the yellow-ribbon to the cantina, and go to the back room to find \\#pcontrast3 Commander Da\'la Socuna \\#.and join the Rebel Alliance\'s Crimson Phoenix Squadron. Beware of Stormtrooper Patrols on the streets of Mos Espa!\n\nAn expansive spaceport, Mos Espa rests near the Dune Sea and is one of Tatooine\'s largest cities. It is usually considered Tatooine\'s default capital, although the Empire has made Bestine its base of operations on the desert world.\n\nLike many Tatooine settlements, Mos Espa began as a mining colony. When the mining efforts failed, the town attracted the criminal Hutts, who took control of the settlement and turned it into a thriving, but dangerous spaceport. Mos Espa became well-known for its lethal Podraces, which were sponsored by the Hutts to encourage rampant gambling. During the Hutt reign, Mos Espa\'s population consisted largely of poor settlers and slaves. However, when the Empire arrived on Tatooine, the Podraces were outlawed and Mos Espa lost much of its illicit allure. Jabba the Hutt, the city\'s most infamous citizen, soon left Mos Espa for more lucrative areas. \n\nSince Jabba\'s departure, Mos Espa has actually gained a reputation as a respectable and law-abiding town. It remains a center for trade on Tatooine and is a welcome rest stop for travelers braving treks into the Dune Sea.  \n\nAs one of Tatooine\'s more civilized communities, Mos Espa has luxuries that few other cities provide. Most of the buildings have built-in cooling units to protect occupants from Tatooine\'s intense heat, and the bustling marketplace provides everything from cooked gorgs to illegal weapons. The merchant district houses a variety of businesses, including Watto\'s Junkshop, where mechanics can find even the most obscure machine parts. \n');
INSERT INTO `client_strings` VALUES ('string/en/loc_d.stf', '45', 'tatooine_privateer', '\\#pcontrast1 FREELANCE PILOTS\\#.  (This is the best starting location for players who wish to join the Smugglers Alliance as Freelance Pilots. Choosing this as your start location will not automatically enlist you in the Smugglers Alliance, but you will be provided with a path to the recruiter, \\#pcontrast3 Dravis\\#.)\n\n\\#pcontrast3 The Smugglers Alliance, MOS EISLEY, Tatooine \\#.- The Smugglers Alliance on Tatooine is the brainchild of Talon Karrde and his partner Dravis. Building an alliance of pilots willing to do an assortment of jobs - no questions asked - on Tatooine is sure to draw the ire of Jabba the Hutt sooner or later, and that could mean big trouble for you should you sign-up with Talon Karrde. Choosing this as your starting location will deliver you to the Mos Eisley Starport.\n\nFollow the yellow-ribbon to the Mos Eisley cantina, and snoop around the back room. You\'ll find \\#pcontrast3 Dravis \\#.lurking there, ready to enlist your help in ensuring their clients\' deliveries arrive in spite of piracy, blockades and local patrols.\n\nA wretched hive of scum and villainy, Mos Eisley sings a siren\'s song for smugglers, gangsters, and mercenaries. A frontier town built around the wreckage of crashed starships, Mos Eisley boasts dozens of discrete landing bays for pilots who wish to pass through the system unnoticed. Mos Eisley\'s most famous landmarks are the Lucky Despot Hotel and Casino, owned by the ruthless crime lord Lady Valarian, and the Mos Eisley cantina, where criminals of every stripe can find work.\n\nLike many cities on Tatooine, Mos Eisley has a turbulent history. It was originally built as an alternative to Anchorhead, which was at that time a bustling and expensive city. From its inception, Mos Eisley attracted criminals: the earliest construction crews were comprised largely of Rodian refugees with criminal and violent pasts. Mos Eisley later attracted Jabba the Hutt, who now controls much of the city\'s criminal operations.\n\nThe Empire also has a strong presence in Mos Eisley. Imperial Prefect Eugene Talmont and his contingent of stormtroopers attempt to maintain order in the totally lawless town.');
INSERT INTO `client_strings` VALUES ('string/en/loc_d.stf', '46', 'naboo_privateer', '\\#pcontrast1 FREELANCE PILOTS\\#.  (This is the best starting location for players who wish to join the RSF as Freelance Pilots. Choosing this as your start location will not automatically enlist you in the RSF, but you will be provided with a path to the recruiter, \\#pcontrast3 Captain Dinge\\#.)\n\n\\#pcontrast3 The RSF, THEED, Naboo \\#.- The Royal Security Forces defends the Royals of Naboo and polices the local system, defending peaceful merchants and other civilians from piracy and Rebel aggression. Home world of the Emperor, Naboo officially supports the Empire, and even though the RSF is a neutral organization, RSF Pilots are advised to be mindful of the Empire\'s absolute authority. If you choose this as your starting location, you will be delivered to the Theed Hangar.\n\nFollow the yellow-ribbon to \\#pcontrast3 Captain Dinge \\#.in the Theed Palace to join the RSF!\n\nNaboo\'s affluent capital city, Theed is home to the Royal Palace, breathtaking waterfalls, and a number of the planet\'s most prominent citizens. The city represents the zenith of Naboo architectural achievement and is known for its libraries, museums, theaters, and cultural centers.\n\nTheed was founded by settlers fleeing revolution on their home planet. Eight hundred years later, the city was invaded by the Trade Federation. The populace quickly surrendered, preventing violence in the streets and ensuring that the buildings and monuments remained unscathed. Theed was eventually liberated and has remained free well into the era of the Empire. While Imperials have established garrisons and outposts on Naboo, the Imperial presence in Theed is minimal, largely because the city\'s population is naturally peaceful and has yet to resist the Empire.  ');
INSERT INTO `client_strings` VALUES ('string/en/loc_d.stf', '47', 'corellia_privateer', '\\#pcontrast1 FREELANCE PILOTS\\#.  (This is the best starting location for players who wish to join CorSec as Freelance Pilots. Choosing this as your start location will not automatically enlist you in CorSec, but you will be provided with a path to the recruiter, \\#pcontrast3 Sergeant Rhea\\#.)\n\n\\#pcontrast3 CorSec Pilots, CORONET CITY, Corellia \\#.- Officially neutral in the Galactic Civil War, Corellia is on its own when it comes to patrolling the system, defeating pirates and defending the Corellian merchants and civilians. If you choose this as your starting location, you will be delivered to the Coronet Starport.\n\nFollow the yellow-ribbon to \\#pcontrast3 Sergeant Rhea \\#.at the CorSec HQ to join the CorSec pilots!\n\nCoronet City is the capital city of Corellia and, in many ways, the center of the entire Corellian system. Often referred to as the \"Jewel of Corellia\", Coronet City is a bustling, urban metropolis. The city attracts entrepreneurs, merchants, and tourists from all five of the Corellian worlds, along with a great many visitors from beyond the system.\n\nCoronet City has a number of important landmarks and interesting sites, but it is probably best known for its park land and abundant open space. The city also offers advanced technological facilities, including the Coronet Medcenter which specializes in experimental medical treatments.\n\nAlthough Coronet City is certainly among the galaxy\'s most advanced cities, it is not without its problems. Roving gangs of thugs threaten visitors in some areas of the city, and the local government is dominated by corrupt Imperial officials. Corellia is also home to both Imperial and Rebel agents, and clashes between these two groups occasionally spill into Coronet City\'s otherwise peaceful streets.');
INSERT INTO `client_strings` VALUES ('string/en/loc_n.stf', '1', 'naboo', 'Naboo');
INSERT INTO `client_strings` VALUES ('string/en/loc_n.stf', '2', 'corellia', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/loc_n.stf', '3', 'tatooine', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/loc_n.stf', '4', 'mos_espa', 'Mos Espa');
INSERT INTO `client_strings` VALUES ('string/en/loc_n.stf', '5', 'mos_eisley', 'Mos Eisley');
INSERT INTO `client_strings` VALUES ('string/en/loc_n.stf', '6', 'bestine', 'Bestine');
INSERT INTO `client_strings` VALUES ('string/en/loc_n.stf', '7', 'theed', 'Theed');
INSERT INTO `client_strings` VALUES ('string/en/loc_n.stf', '8', 'moenia', 'Moenia');
INSERT INTO `client_strings` VALUES ('string/en/loc_n.stf', '9', 'coronet', 'Coronet');
INSERT INTO `client_strings` VALUES ('string/en/loc_n.stf', '10', 'tyrena', 'Tyrena');
INSERT INTO `client_strings` VALUES ('string/en/loc_n.stf', '11', 'beta1', 'Public Test Starting Location 1');
INSERT INTO `client_strings` VALUES ('string/en/loc_n.stf', '12', 'beta2', 'Public Test Starting Location 2');
INSERT INTO `client_strings` VALUES ('string/en/loc_n.stf', '13', 'beta3', 'Public Test Starting Location 3');
INSERT INTO `client_strings` VALUES ('string/en/loc_n.stf', '14', 'beta4', 'Public Test Starting Location 4');
INSERT INTO `client_strings` VALUES ('string/en/loc_n.stf', '15', 'beta5', 'Public Test Starting Location 5');
INSERT INTO `client_strings` VALUES ('string/en/loc_n.stf', '16', 'beta_newbie', 'Newbie Public Test Starting Location');
INSERT INTO `client_strings` VALUES ('string/en/loc_n.stf', '17', 'belavistal', 'Belavistal');
INSERT INTO `client_strings` VALUES ('string/en/loc_n.stf', '18', 'chafala', 'Chafala');
INSERT INTO `client_strings` VALUES ('string/en/loc_n.stf', '19', 'keren', 'Keren');
INSERT INTO `client_strings` VALUES ('string/en/loc_n.stf', '20', 'mos_entha', 'Mos Entha');
INSERT INTO `client_strings` VALUES ('string/en/loc_n.stf', '21', 'talus', 'Talus');
INSERT INTO `client_strings` VALUES ('string/en/loc_n.stf', '22', 'rori', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/loc_n.stf', '23', 'kor_vella', 'Kor Vella');
INSERT INTO `client_strings` VALUES ('string/en/loc_n.stf', '24', 'doaba_guerfel', 'Doaba Guerfel');
INSERT INTO `client_strings` VALUES ('string/en/loc_n.stf', '25', 'dearic', 'Dearic');
INSERT INTO `client_strings` VALUES ('string/en/loc_n.stf', '26', 'nashal', 'Nashal');
INSERT INTO `client_strings` VALUES ('string/en/loc_n.stf', '27', 'narmle', 'Narmle Settlement');
INSERT INTO `client_strings` VALUES ('string/en/loc_n.stf', '28', 'restuss', 'Restuss Settlement');
INSERT INTO `client_strings` VALUES ('string/en/loc_n.stf', '29', 'dantooine', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/loc_n.stf', '30', 'dathomir', 'Dathomir');
INSERT INTO `client_strings` VALUES ('string/en/loc_n.stf', '31', 'lok', 'Lok');
INSERT INTO `client_strings` VALUES ('string/en/loc_n.stf', '32', 'yaviniv', 'Yavin IV');
INSERT INTO `client_strings` VALUES ('string/en/loc_n.stf', '33', 'endor', 'Endor');
INSERT INTO `client_strings` VALUES ('string/en/loc_n.stf', '34', 'kadaara', 'Kaadara');
INSERT INTO `client_strings` VALUES ('string/en/loc_n.stf', '35', 'kaadara', 'Kaadara');
INSERT INTO `client_strings` VALUES ('string/en/loc_n.stf', '36', 'imperial', 'Imperial Navy');
INSERT INTO `client_strings` VALUES ('string/en/loc_n.stf', '37', 'rebel', 'The Rebel Alliance');
INSERT INTO `client_strings` VALUES ('string/en/loc_n.stf', '38', 'privateer', 'Freelance Pilots');
INSERT INTO `client_strings` VALUES ('string/en/loc_n.stf', '39', 'tatooine_imp', 'Storm Squadron');
INSERT INTO `client_strings` VALUES ('string/en/loc_n.stf', '40', 'naboo_imp', 'Imperial Inquisition');
INSERT INTO `client_strings` VALUES ('string/en/loc_n.stf', '41', 'talus_imp', 'Black Epsilon');
INSERT INTO `client_strings` VALUES ('string/en/loc_n.stf', '42', 'naboo_rebel', 'Rebel Alliance on Naboo');
INSERT INTO `client_strings` VALUES ('string/en/loc_n.stf', '45', 'corellia_rebel', 'Rebel Alliance on Corellia');
INSERT INTO `client_strings` VALUES ('string/en/loc_n.stf', '46', 'tatooine_rebel', 'Rebel Alliance on Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/loc_n.stf', '47', 'tatooine_privateer', 'The Smugglers Alliance');
INSERT INTO `client_strings` VALUES ('string/en/loc_n.stf', '48', 'naboo_privateer', 'The Royal Security Forces');
INSERT INTO `client_strings` VALUES ('string/en/loc_n.stf', '49', 'corellia_privateer', 'CorSec');
INSERT INTO `client_strings` VALUES ('string/en/logout.stf', '1', 'time_left', 'You have %DI seconds left until you may log out safely.');
INSERT INTO `client_strings` VALUES ('string/en/logout.stf', '2', 'safe_to_log_out', 'You may now log out safely.');
INSERT INTO `client_strings` VALUES ('string/en/logout.stf', '3', 'aborted', 'Your attempt to log out safely has been aborted.');
INSERT INTO `client_strings` VALUES ('string/en/logout.stf', '4', 'must_be_sitting', 'You must be sitting in order to log out safely.');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '1', 'lok_nyms_stronghold', 'Nym\'s Stronghold');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '2', 'lok_imperial_outpost', 'Imperial Outpost');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '3', 'mountains_1', 'Lok');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '4', 'mountains_2', 'Lok');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '5', 'mountains_3', 'Lok');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '6', 'mountains_4', 'Lok');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '7', 'mountains_5', 'Lok');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '8', 'river_1', 'Lok');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '9', 'river_2', 'Lok');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '10', 'river_3', 'Lok');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '11', 'river_4', 'Lok');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '12', 'river_5', 'Lok');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '13', 'hills_1', 'Lok');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '14', 'hills_2', 'Lok');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '15', 'hills_3', 'Lok');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '16', 'hills_4', 'Lok');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '17', 'hills_5', 'Lok');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '18', 'wasteland_1', 'Lok');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '19', 'wasteland_2', 'Lok');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '20', 'wasteland_3', 'Lok');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '21', 'wasteland_4', 'Lok');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '22', 'wasteland_5', 'Lok');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '23', 'wasteland_6', 'Lok');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '24', 'wasteland_7', 'Lok');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '25', 'wasteland_8', 'Lok');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '26', 'wasteland_9', 'Lok');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '27', 'wasteland_10', 'Lok');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '28', 'wasteland_11', 'Lok');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '29', 'wasteland_12', 'Lok');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '30', 'wasteland_13', 'Lok');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '31', 'world_spawner', 'Lok');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '32', 'northern_mountains', 'Lok');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '33', 'western_mountains', 'Lok');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '34', 'eastern_mountains', 'Lok');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '35', 'southern_mountains', 'Lok');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '36', 'volcano', 'Lok');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '37', 'oasis', 'Lok');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '38', 'southwest_sulphur_flats', 'Lok');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '39', 'north_sulphur_flats', 'Lok');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '40', 'east_sulphur_flats', 'Lok');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '41', 'southeast_sulphur_flats', 'Lok');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '42', 'western_plains', 'Lok');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '43', 'northern_plains', 'Lok');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '44', 'southern_plains', 'Lok');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '45', 'hard_langlatch_ne', 'Lok');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '46', 'medium_vesp_ne', 'Lok');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '47', 'hard_kusak_ne', 'Lok');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '48', 'hard_langlatch_se', 'Lok');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '49', 'hard_nym_se', 'Lok');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '50', 'hard_canyon_corsair_se', 'Lok');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '51', 'medium_vesp_sw', 'Lok');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '52', 'hard_kimogilla_sw', 'Lok');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '53', 'hard_canyon_corsair_sw', 'Lok');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '54', 'hard_kimogilla_nw', 'Lok');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '55', 'hard_nym_nw', 'Lok');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '56', 'easy_gurnaset_nw', 'Lok');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '57', 'kedarin_highlands', 'Kedarin Highlands');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '58', 'nym_protectorate', 'Nym Protectorate');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '59', 'mount_chaolt', 'Mount Chaolt');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '60', 'badlands_1', 'Badlands');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '61', 'badlands_2', 'Badlands');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '62', 'sulphur_hills_1', 'Sulphur Hills');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '63', 'sulphur_hills_2', 'Sulphur Hills');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '64', 'corsair_lane', 'Corsair Lane');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '65', 'mosseru_hills_1', 'Mosseru Hills');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '66', 'mosseru_hills_2', 'Mosseru Hills');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '67', 'plains_of_dust_1', 'Plains of Dust');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '68', 'plains_of_dust_2', 'Plains of Dust');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '69', 'plains_of_dust_3', 'Plains of Dust');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '70', 'grendin_waste_1', 'Grendin Waste');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '71', 'grendin_waste_2', 'Grendin Waste');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '72', 'westerly', 'Westerly');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '73', 'an_imperial_outpost', 'an imperial outpost');
INSERT INTO `client_strings` VALUES ('string/en/lok_region_names.stf', '74', 'nyms_stronghold', 'Nym\'s Stronghold');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_d.stf', '1', 'daclif_gallamby_q1_needed', 'An order from the Corporate Sector Authority for Corellian Engineering Corportation cargo ships intended for the CSA world Bonadan.');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_d.stf', '2', 'daclif_gallamby_q2_needed', 'An order (and administrative surcharge) approved by the Corellian Diktat, Daclif Gallamby, for Corellian Engineering Corporation cargo ships intended for the Corporate Sector Authority world Bonadan.');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_d.stf', '3', 'daclif_gallamby_q3_needed', 'Credits sent by Corellian Engineering Corporation sales executive Dwynn Biuval to the favorite charity of Corellian Diktat Daclif Gallamby, after the Diktat \"smoothed the way\" for the sale of CEC ships to the Corporate Sector Authority world Bonadan.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_d.stf', '4', 'daclif_gallamby_q4_needed', 'Corellian Diktat Daclif Gallamby\'s generous donation to the favorite charity of Imperial Navy customs officer Lt. Mien Halloor, who has authority to approve the movement of certain ships sold to the Corporate Sector Authority world Bonadan. \n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_d.stf', '5', 'daclif_gallamby_q6_needed', 'Corellian Diktat Daclif Gallamby\'s instructions to Morgo One-Shot, a Hutt gangster, regarding Transport Commission official Merlyx Dolv.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_d.stf', '6', 'brantlee_spondoon_q1_needed', 'This device gives dull, stringy Devaronian fur a delightful sheen.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_d.stf', '7', 'brantlee_spondoon_q2_needed', 'A crimson-colored delicacy imported from the Tapani Sector.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_d.stf', '8', 'gilad_pellaeon_q1_needed', 'An encrypted datadisc containing orders from Captain Pellaeon.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_d.stf', '9', 'gilad_pellaeon_q2_needed', 'A requisition order from Captain Needa.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_d.stf', '10', 'garm_beliblis_q2_needed', 'Encrypted internal CorSec report.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_d.stf', '11', 'dannik_malaan_q1_needed', 'Documents of questionable shipping practices by a CSA Viceprex in Coronet, Corellia.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_d.stf', '12', 'thrackan_salsolo_q3_needed', 'A recording of an alleged death-squad attack sanctioned by the Corellian Diktat, Daclif Gallamby.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_d.stf', '13', 'zekka_thyne_q1_needed', 'A list of potential blackmail targets.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_d.stf', '14', 'kirkin_liawoon_q2_needed', 'A holorecording of a secret gathering of human Corellians espousing anti-Selonian beliefs, intended for Selonian ambassador Kirkin \n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_d.stf', '15', 'hal_horn_q1_needed', 'Correspondence of Doogo, a Rodian provider of illegal prescription drugs to disbarred physicians.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_d.stf', '16', 'shalera_q1_needed', 'An invitation from Corellian crime lord Shalera the Hutt to her rivals, Black Sun, to sit down and work out their differences.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_d.stf', '17', 'shalera_q6_needed', 'A strain of the Berserker Virus sent by Corellian crime lord Shalera the Hutt to Jabba the Hutt on Tatooine.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_d.stf', '18', 'karena_keer_q1_needed', 'A bank credit disk authorizing the release of monies to Shalera the Hutt\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_d.stf', '19', 'karena_keer_q2_needed', 'A brick of spice to be brought to Jabba\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_d.stf', '20', 'didina_lippinoss_q1_needed', 'Correspondence of Corporate Sector Authority Viceprex Karrek Flim, stolen by data slicer Bin Huusir and urgently wanted by Flim\'s companion, Didina Lippinoss.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_d.stf', '21', 'noren_krast_q1_needed', 'A bank disk authorizing a release of credits to Banyon Craddok\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_d.stf', '22', 'noren_krast_q2_needed', 'Stolen data with evidence of shipping fraud on the part of Dannik Malaan CSA rep in Coronet\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_d.stf', '23', 'noren_krast_q3_needed', 'A request for the elimination of the human data slicer known as Fugue\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_d.stf', '24', 'crev_bombaasa_q1_needed', 'Records of alleged criminal actions committed by Didina Lippinoss, companion to Corellian CSA Viceprex Karrek Flim.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_d.stf', '25', 'crev_bombaasa_q2_needed', 'Records of alleged criminal actions committed by Didina Lippinoss, companion to Corellian CSA Viceprex Karrek Flim.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_d.stf', '26', 'talon_karrde_q1_needed', 'High-clearance travel codes and permits for Talon Karrde in Doaba Guerfel.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_d.stf', '27', 'talon_karrde_q3_needed', 'A mysterious package');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_d.stf', '28', 'talon_karrde_q4_needed', 'A sample of the Berserker Virus.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_d.stf', '29', 'jadam_questrel_q1_needed', 'Jadam Questrel, Corellian Shipbuilders Union representative in Doaba Guerfel, prepared this list of suspicious \"administrative surcharges\" added to orders for Corellian Engineering Corporation cargo ships.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_d.stf', '30', 'denell_kelvannon_q1_needed', 'A disk with evidence of a CorSec captain\'s complicity in a murder for the purpose of hiding his involvement in a smuggling operation.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_d.stf', '31', 'lasha_bindari_q1_needed', 'A compendium of evidence in an ongoing fraud investigation into the Corellian shipping interests of Shalera the Lady Hutt.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_d.stf', '32', 'gilker_budz_q1_needed', 'Recording made by Gran tourist Snee-Roos of poachers illegally killing a gronda outside Kor Vella on Corellia.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_d.stf', '33', 'chertyl_ruruwoor_q1_needed', 'A holo recording of an Imperial anti-alien demonstration.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_d.stf', '34', 'karrek_film_q1_needed', 'A compendium of evidence in an ongoing fraud investigation into Corellian shipping interests of Shalera the Lady Hutt.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_d.stf', '35', 'karrek_film_q2_needed', 'A compendium of evidence in an ongoing fraud investigation into Corellian shipping interests of Shalera the Lady Hutt.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_d.stf', '36', 'karrek_film_q3_needed', 'A precious stone from Tatooine, intended as a thank-you gift from Shalera the Lady Hutt of Tyrena to CSA Viceprex Karrek Flim on Vreni Island, Corellia.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_d.stf', '37', 'vinya_maysor_q1_needed', 'CSA shipping reports intended for Corellian data slicer Reeve Taggart.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_d.stf', '38', 'grondorn_muse_q2_needed', 'A popular Corellian anthem arranged for military band by militia officer Grondorn Muse of Bela Vistal.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_d.stf', '39', 'luthin_dlunar_q1_needed', 'An encrypted datadisc containing some bank codes.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_d.stf', '40', 'luthin_dlunar_q2_needed', 'An encrypted datadisc containing some bank codes.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_d.stf', '41', 'ging_darjeek_q1_needed', 'Information collected by smuggler \"Professor\" Minnet about \"Offworld Backchannel Cargo Transit Permit\" fees paid to Corellian Security officer Ging Darjeek in Bela Vistal.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_d.stf', '42', 'serjix_arrogantus_q1_needed', 'Gleeb Tchotle\'s encrypted ledger.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_n.stf', '1', 'daclif_gallamby_q1_needed', 'Bonadan Shipping Order');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_n.stf', '2', 'daclif_gallamby_q2_needed', 'Approved Bonadan Order');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_n.stf', '3', 'daclif_gallamby_q3_needed', 'Donation to Diktat\'s Charity\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_n.stf', '4', 'daclif_gallamby_q4_needed', 'Customs Charity Donation\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_n.stf', '5', 'daclif_gallamby_q6_needed', 'Orders for a Gangster\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_n.stf', '6', 'brantlee_spondoon_q1_needed', 'Devaronian Fur Glosser\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_n.stf', '7', 'brantlee_spondoon_q2_needed', 'Neonan Red Cheese\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_n.stf', '8', 'gilad_pellaeon_q1_needed', 'Datadisc\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_n.stf', '9', 'gilad_pellaeon_q2_needed', 'Datadisc\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_n.stf', '10', 'garm_beliblis_q2_needed', 'Datadisc\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_n.stf', '11', 'dannik_malaan_q1_needed', 'Shipping Records\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_n.stf', '12', 'thrackan_salsolo_q3_needed', 'Diktat\'s Death Squad\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_n.stf', '13', 'zekka_thyne_q1_needed', 'Datadisc\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_n.stf', '14', 'kirkin_liawoon_q2_needed', 'Anti-Selonian Meeting\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_n.stf', '15', 'hal_horn_q1_needed', 'Slythmonger\'s Notes\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_n.stf', '16', 'shalera_q1_needed', 'Message for Black Sun\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_n.stf', '17', 'shalera_q6_needed', 'Virus sample\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_n.stf', '18', 'karena_keer_q1_needed', 'Bank authorizations\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_n.stf', '19', 'karena_keer_q2_needed', 'Spice\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_n.stf', '20', 'didina_lippinoss_q1_needed', 'Flim\'s Correspondence\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_n.stf', '21', 'noren_krast_q1_needed', 'Credit disk\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_n.stf', '22', 'noren_krast_q2_needed', 'A datadisc\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_n.stf', '23', 'noren_krast_q3_needed', 'Message to Lasha Bindari\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_n.stf', '24', 'crev_bombaasa_q1_needed', 'Lippinoss Dossier\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_n.stf', '25', 'crev_bombaasa_q2_needed', 'Lippinoss Dossier\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_n.stf', '26', 'talon_karrde_q1_needed', 'Official Travel Documents\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_n.stf', '27', 'talon_karrde_q3_needed', 'Package\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_n.stf', '28', 'talon_karrde_q4_needed', 'Virus Flask\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_n.stf', '29', 'jadam_questrel_q1_needed', 'Bonadan Contract Report\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_n.stf', '30', 'denell_kelvannon_q1_needed', 'CorSec evidence\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_n.stf', '31', 'lasha_bindari_q1_needed', 'Evidence List \n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_n.stf', '32', 'gilker_budz_q1_needed', 'Gronda Killing\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_n.stf', '33', 'chertyl_ruruwoor_q1_needed', 'Datadisc\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_n.stf', '34', 'karrek_film_q1_needed', 'Evidence List\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_n.stf', '35', 'karrek_film_q2_needed', 'Evidence List\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_n.stf', '36', 'karrek_film_q3_needed', 'Durindfire Gem \n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_n.stf', '37', 'vinya_maysor_q1_needed', 'Shipping Documents\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_n.stf', '38', 'grondorn_muse_q2_needed', '\"Corellia Ho!\"\n\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_n.stf', '39', 'luthin_dlunar_q1_needed', 'Datadisc\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_n.stf', '40', 'luthin_dlunar_q2_needed', 'Datadisc\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_n.stf', '41', 'ging_darjeek_q1_needed', 'Minnet\'s Permit Data\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_corl_n.stf', '42', 'serjix_arrogantus_q1_needed', 'Datadisc\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_d.stf', '1', 'battery_cheap_copper', 'This cheap copper battery provides power to many types of electronic devices.');
INSERT INTO `client_strings` VALUES ('string/en/loot_d.stf', '2', 'blank_canvas', 'This blank canvas is the type used for making paintings or pictures.  It can be used with a Picture Printer to create paintings or pictures from the information stored on a viewscreen.');
INSERT INTO `client_strings` VALUES ('string/en/loot_d.stf', '3', 'calibrator', 'Electronic calibration device.');
INSERT INTO `client_strings` VALUES ('string/en/loot_d.stf', '4', 'circuit_board_green', 'An insulated board on which interconnected circuits and components are mounted or etched.  This one has a green background.');
INSERT INTO `client_strings` VALUES ('string/en/loot_d.stf', '5', 'code_reader', 'This is a piece of software used to break securty encryption codes.');
INSERT INTO `client_strings` VALUES ('string/en/loot_d.stf', '6', 'coolant_tank', 'This object looks similar to the blowtorches used to retrofit vehicle parts, but it actually produces a blast of icy coolant.');
INSERT INTO `client_strings` VALUES ('string/en/loot_d.stf', '7', 'damper', 'This is used to damper outside sounds when recording with a recording rod.');
INSERT INTO `client_strings` VALUES ('string/en/loot_d.stf', '8', 'datadisk', 'This is a datadisk.  There is probably some information stored on it, but it can only be read by inserting this disk into an empty datapad.');
INSERT INTO `client_strings` VALUES ('string/en/loot_d.stf', '9', 'datadisk_repair_kit', 'This is a portable workstation used for repairing broken datadisks.');
INSERT INTO `client_strings` VALUES ('string/en/loot_d.stf', '10', 'datapad_backlight', 'This small bright light is used to create the backlighting for a datapad.  A broken datapad can be fixed using one of these, a new datapad casing, a datapad battery, and some datapad connectors.');
INSERT INTO `client_strings` VALUES ('string/en/loot_d.stf', '11', 'datapad_battery', 'This is a datapad battery.  It can be used to charge a datapad.  It can be used in conjunction with a datapad casing, datapad connectors, and a datapad backlight to repair a broken datapad.');
INSERT INTO `client_strings` VALUES ('string/en/loot_d.stf', '12', 'datapad_casing', 'This is an empty datapad shell that can hold a datapad battery, datapad backlight, datapad connectors, and a broken datapad, which can be restored if used properly.  Fixing a broken datapad simply requires connecting all the parts to the datapad housing.');
INSERT INTO `client_strings` VALUES ('string/en/loot_d.stf', '13', 'datapad_connectors', 'These small metal connectors conduct power to the datapad monitor.  They can be used to replace the connectors of a broken datapad if you have a new datapad casing, datapad battery, and a datapad backlight.');
INSERT INTO `client_strings` VALUES ('string/en/loot_d.stf', '14', 'empty_datapad', 'This is a datapad.  It contains no information.  Perhaps if a working datadisk were added to it the information on the datadisk could be read.');
INSERT INTO `client_strings` VALUES ('string/en/loot_d.stf', '15', 'feed_tubes', 'A series of rotating chambers containing different chemicals and compounds attached to a heavily insulated tube.  Feed Tubes are used to inject various chemicals into substances.  It is self cleaning.');
INSERT INTO `client_strings` VALUES ('string/en/loot_d.stf', '16', 'firework_casing', 'This firework casing is used to repair dud fireworks.  It needs to be used in conjunction with packaged flash powder and a fireworks packager.');
INSERT INTO `client_strings` VALUES ('string/en/loot_d.stf', '17', 'firework_packager', 'This small metal unit is used to repair dud fireworks.  It requires the original broken firework, a firework casing, and packaged flash powder.  It can be used only once.');
INSERT INTO `client_strings` VALUES ('string/en/loot_d.stf', '18', 'glass_lens', 'A glass lens used in taloscopes.');
INSERT INTO `client_strings` VALUES ('string/en/loot_d.stf', '19', 'heating_element', 'A chemically treated metal rod used to generate intense amounts of heat.');
INSERT INTO `client_strings` VALUES ('string/en/loot_d.stf', '20', 'hydrospanner', 'A tool used for common repair tasks as well as for disassembling broken items.');
INSERT INTO `client_strings` VALUES ('string/en/loot_d.stf', '21', 'impulse_reader', 'A piece of hardware designed to measure the impulse responses of biological organisms.');
INSERT INTO `client_strings` VALUES ('string/en/loot_d.stf', '22', 'magnetic_burner', 'A piece of hardware used to burn information into a magnetic strip.');
INSERT INTO `client_strings` VALUES ('string/en/loot_d.stf', '23', 'magnetic_reader', 'A piece of hardware used to read magnetic strips.');
INSERT INTO `client_strings` VALUES ('string/en/loot_d.stf', '24', 'magnifier', 'This is a magnifying lens, for use with a taloscope.');
INSERT INTO `client_strings` VALUES ('string/en/loot_d.stf', '25', 'motor_small_blue', 'This is a small, self-contained motor.  It can be used to power different types of machinery.');
INSERT INTO `client_strings` VALUES ('string/en/loot_d.stf', '26', 'motor_small_red', 'This is an agitator motor, used to make machine parts spin or vibrate.');
INSERT INTO `client_strings` VALUES ('string/en/loot_d.stf', '27', 'number_generator', 'This is a piece of hardware specifically designed to run through random numbers in an effort to break security software.');
INSERT INTO `client_strings` VALUES ('string/en/loot_d.stf', '28', 'paint_cartridge', 'This cartridge contains multiple different colors of paint and ink.  It can be used in a Picture Printer to make paintings or pictures out of the information stored on a viewscreen.');
INSERT INTO `client_strings` VALUES ('string/en/loot_d.stf', '29', 'paint_disperser', 'This is a paint dispersal device.  Paint is fired through a vacuum tube through a series of rotating nozzles.  This item could be used with a Picture Printer to create paintings from the information stored on a viewscreen.');
INSERT INTO `client_strings` VALUES ('string/en/loot_d.stf', '30', 'picture_printer', 'This device is useful for making paintings or pictures out of information stored on a view screen.  It works only once and requires a paint cartridge, a paint dispersal unit, and a blank canvas.');
INSERT INTO `client_strings` VALUES ('string/en/loot_d.stf', '31', 'pistol_broken', 'This broken pistol appears to have no charge running through it, though it\'s impossible to tell if that\'s because the battery pack is destroyed or if it has been damaged in some other way.  With a hydrospanner you could disassemble it and salvage any useful parts.');
INSERT INTO `client_strings` VALUES ('string/en/loot_d.stf', '32', 'powder_pack', 'This packed flash powder would be useful for fixing a broken firework, if you had the right tools.  A new casing and a fireworks packager would be useful.');
INSERT INTO `client_strings` VALUES ('string/en/loot_d.stf', '33', 'processor_attachments', 'These various blades and attachments are used to produce different types of cutting or chopping effects in a machine such as a floral recycler.');
INSERT INTO `client_strings` VALUES ('string/en/loot_d.stf', '34', 'pulverizer', 'This heavy, blunt metal rod is used to pulverize rocks or thin metal so that it can be melted.');
INSERT INTO `client_strings` VALUES ('string/en/loot_d.stf', '35', 'recovery_software', 'Software designed specifically for recovering lost information from datadisks.  It is copy protected and has a single use only, in order to keep sales of the software brisk.');
INSERT INTO `client_strings` VALUES ('string/en/loot_d.stf', '36', 'rifle_broken', 'This broken rifle appears to have no charge running through it, though it\'s impossible to tell if that\'s because the battery pack is destroyed or if it has been damaged in some other way.  With a hydrospanner you could disassemble it and salvage any useful parts.');
INSERT INTO `client_strings` VALUES ('string/en/loot_d.stf', '37', 'speaker_heads', 'These are speaker heads, designed to transmit audio.');
INSERT INTO `client_strings` VALUES ('string/en/loot_d.stf', '38', 'speaker_wiring', 'These are wires specifically designed to carry audio to speakers.');
INSERT INTO `client_strings` VALUES ('string/en/loot_d.stf', '39', 'spinning_blade', 'Large sharp spinning blade used to cut, chop, or slice different substances inside a machine.');
INSERT INTO `client_strings` VALUES ('string/en/loot_d.stf', '40', 'state_cylinder', 'A state cylinder is used in codebreaking as a simple mechanism for running through electronic states.');
INSERT INTO `client_strings` VALUES ('string/en/loot_d.stf', '41', 'taloscope_base', 'This is the base of a taloscope, used for viewing minute objects.');
INSERT INTO `client_strings` VALUES ('string/en/loot_d.stf', '42', 'taloscope_clamps', 'These are taloscope clamps, used to hold objects steady when they are being viewed by a taloscope.');
INSERT INTO `client_strings` VALUES ('string/en/loot_d.stf', '43', 'tumble_blender', 'A large tumbler used to seperate different types of rocks.');
INSERT INTO `client_strings` VALUES ('string/en/loot_d.stf', '44', 'viewscreen_printer', 'This is a viewscreen printer.  When combined with a paint cartridge, canvas, a viewscreen technical reader, and a paint disperser it can take the image from a broken viewscreen and print it as a painting onto the canvas.');
INSERT INTO `client_strings` VALUES ('string/en/loot_d.stf', '45', 'viewscreen_reader', 'This is a viewscreen reader, which means that it can be used to read the information stored on a viewscreen into an electronic format.  This information can then be used to create a painted image of the picture stored.');
INSERT INTO `client_strings` VALUES ('string/en/loot_d.stf', '46', 'wiring', 'Generic insulated wiring.  This can be used to fix or repair any number of electronic items.');
INSERT INTO `client_strings` VALUES ('string/en/loot_d.stf', '47', 'wiring_blue', 'Grade 5 wiring.  This is standard commercial grade wiring.  Used in heavy machinery and secure electronics.');
INSERT INTO `client_strings` VALUES ('string/en/loot_d.stf', '48', 'wiring_red', 'Grade 1 wiring.  This is the cheapest commercial grade wiring available.  Used in small engines and electronics.');
INSERT INTO `client_strings` VALUES ('string/en/loot_d.stf', '49', 'wiring_yellow', 'Grade 3 wiring.  This is commercial grade wiring but is generally used in consumer end electronics.');
INSERT INTO `client_strings` VALUES ('string/en/loot_dant_d.stf', '1', 'xaan_talmaron_q1_needed', 'A rock from the destroyed planet, smuggled onto Dantooine for Imperial scientist Xaan Talmaron.');
INSERT INTO `client_strings` VALUES ('string/en/loot_dant_d.stf', '2', 'xaan_talmaron_q3_needed', 'A holorecording of a transmission sent from the Death Star shortly after the destruction of Alderaan. Apparently an Imperial maintenance supervisor aboard the battle station sent the message despite strict orders to maintain silence. A Bothan spy obtained this copy for Imperial scientist Xaan Talmaron on Dantooine.');
INSERT INTO `client_strings` VALUES ('string/en/loot_dant_d.stf', '3', 'lx466_q2_needed', 'Rations');
INSERT INTO `client_strings` VALUES ('string/en/loot_dant_d.stf', '4', 'lx466_q3_needed', 'recording rod');
INSERT INTO `client_strings` VALUES ('string/en/loot_dant_d.stf', '5', 'luthik_uwyr_q2_needed', 'Shards of a broken holocron.');
INSERT INTO `client_strings` VALUES ('string/en/loot_dant_d.stf', '6', 'luthik_uwyr_q3_needed', 'Padawan braid');
INSERT INTO `client_strings` VALUES ('string/en/loot_dant_d.stf', '7', 'stoos_olko_q1_needed', 'ledger');
INSERT INTO `client_strings` VALUES ('string/en/loot_dant_d.stf', '8', 'stoos_olko_q2_needed', 'briefcase');
INSERT INTO `client_strings` VALUES ('string/en/loot_dant_d.stf', '9', 'stoos_olko_q3_needed', 'ledger');
INSERT INTO `client_strings` VALUES ('string/en/loot_dant_d.stf', '10', 'jatrian_lytus_q3_needed', 'On this datadisc contains an invitation to a meeting that Commander Lytus is calling to order. This datadisc will be copied and sent out to every member of the Lytus family so that they may discuss their future courses of action within the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/loot_dant_d.stf', '11', 'kelvus_naria_q1_needed', 'The unaltered mining records for the Mining Outpost on Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/loot_dant_n.stf', '1', 'xaan_talmaron_q1_needed', 'Fragment of Alderaan');
INSERT INTO `client_strings` VALUES ('string/en/loot_dant_n.stf', '2', 'xaan_talmaron_q3_needed', 'Death Star Transmission');
INSERT INTO `client_strings` VALUES ('string/en/loot_dant_n.stf', '3', 'lx466_q2_needed', 'Rations');
INSERT INTO `client_strings` VALUES ('string/en/loot_dant_n.stf', '4', 'lx466_q3_needed', 'recording rod');
INSERT INTO `client_strings` VALUES ('string/en/loot_dant_n.stf', '5', 'luthik_uwyr_q2_needed', 'Holocron splinters');
INSERT INTO `client_strings` VALUES ('string/en/loot_dant_n.stf', '6', 'luthik_uwyr_q3_needed', 'Padawan braid');
INSERT INTO `client_strings` VALUES ('string/en/loot_dant_n.stf', '7', 'stoos_olko_q1_needed', 'ledger');
INSERT INTO `client_strings` VALUES ('string/en/loot_dant_n.stf', '8', 'stoos_olko_q2_needed', 'briefcase');
INSERT INTO `client_strings` VALUES ('string/en/loot_dant_n.stf', '9', 'stoos_olko_q3_needed', 'ledger');
INSERT INTO `client_strings` VALUES ('string/en/loot_dant_n.stf', '10', 'jatrian_lytus_q3_needed', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/loot_dant_n.stf', '11', 'kelvus_naria_q1_needed', 'Mining records');
INSERT INTO `client_strings` VALUES ('string/en/loot_dath_d.stf', '1', 'dolac_legasi_q2_needed', 'Sith Altar ');
INSERT INTO `client_strings` VALUES ('string/en/loot_dath_d.stf', '2', 'xarot_korlin_q1_needed', 'A small stone that was embedded within the headdress of a Nightsister. It feels very cold to the touch, and having it on your person makes you feel uneasy.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_dath_d.stf', '3', 'xarot_korlin_q2_needed', 'A small stone that was embedded within the headdress of a Nightsister. It feels warm to the touch, and having it on your person puts you slightly at ease.');
INSERT INTO `client_strings` VALUES ('string/en/loot_dath_d.stf', '4', 'kais_q1_needed', 'A jar containing the sacs of concentrated poison from within a Gaping Spider. Were this jar to break while in your possession, the poison would likely seep into you skin within seconds.');
INSERT INTO `client_strings` VALUES ('string/en/loot_dath_d.stf', '5', 'kais_q2_needed', 'This jar contains the heart of a Malkloc. Being of such immense size, you were only able to gather a large chunk of it to fit inside. You dare not open the lid, for the odor is overwhelming.');
INSERT INTO `client_strings` VALUES ('string/en/loot_dath_d.stf', '6', 'kais_q3_needed', 'Inside this jar contains enough powder to poison a small water supply. The grains inside appear to very fine, and you wonder how easily airborne they can become. The jar is best left closed');
INSERT INTO `client_strings` VALUES ('string/en/loot_dath_d.stf', '7', 'diax_q2_needed', 'healing salve ');
INSERT INTO `client_strings` VALUES ('string/en/loot_dath_d.stf', '8', 'vurlene_q1_needed', 'a sample of the algae');
INSERT INTO `client_strings` VALUES ('string/en/loot_dath_d.stf', '9', 'vurlene_q2_needed', 'A Jar of Healing Salve');
INSERT INTO `client_strings` VALUES ('string/en/loot_dath_d.stf', '10', 'vurlene_q3_needed', 'A Jar of Healing Salve');
INSERT INTO `client_strings` VALUES ('string/en/loot_dath_d.stf', '11', 'vhaunda_q1_needed', 'rank insignia of a stormtrooper sergeant');
INSERT INTO `client_strings` VALUES ('string/en/loot_dath_d.stf', '12', 'mozo_bondog_q2_needed', 'Dathomir Imperial Prison security chief Mozo Bondog nurses a sentimental attachment to this old (non-functional) jet model, which was stolen by a mercenary warlord from Lok.');
INSERT INTO `client_strings` VALUES ('string/en/loot_dath_d.stf', '13', 'shaki_hamachil_q1_needed', 'Bath salts ordered from the Blue North Reef on the planet Tibrin, home of the Ishi Tib species, for Imperial scientist Shib Nisshil at the Imperial Research Outpost on Dathomir');
INSERT INTO `client_strings` VALUES ('string/en/loot_dath_d.stf', '14', 'shaki_hamachil_q2_needed', 'Recent research by Imperial scientist Shibb Nisshil to create a force of cyber-rancors as Imperial shock troops.');
INSERT INTO `client_strings` VALUES ('string/en/loot_dath_d.stf', '15', 'aujante_klee_q2_needed', 'The collected wisdom of the Singing Mountain Clan');
INSERT INTO `client_strings` VALUES ('string/en/loot_dath_d.stf', '16', 'singular_nak_q1_needed', 'An ancient broken lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/loot_dath_d.stf', '17', 'singular_nak_q2_needed', 'A well-crafted mockup of a lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/loot_dath_n.stf', '1', 'dolac_legasi_q2_needed', 'Sith Altar ');
INSERT INTO `client_strings` VALUES ('string/en/loot_dath_n.stf', '2', 'xarot_korlin_q1_needed', 'Nightsister Force Crystal');
INSERT INTO `client_strings` VALUES ('string/en/loot_dath_n.stf', '3', 'xarot_korlin_q2_needed', 'Singing Mountain Clan Force Crystal');
INSERT INTO `client_strings` VALUES ('string/en/loot_dath_n.stf', '4', 'kais_q1_needed', 'Gaping Spider Poison Sacs');
INSERT INTO `client_strings` VALUES ('string/en/loot_dath_n.stf', '5', 'kais_q2_needed', 'Malkloc heart');
INSERT INTO `client_strings` VALUES ('string/en/loot_dath_n.stf', '6', 'kais_q3_needed', 'Powdered Poison');
INSERT INTO `client_strings` VALUES ('string/en/loot_dath_n.stf', '9', 'diax_q2_needed', 'healing salve ');
INSERT INTO `client_strings` VALUES ('string/en/loot_dath_n.stf', '10', 'vurlene_q1_needed', 'A Jar of Algae');
INSERT INTO `client_strings` VALUES ('string/en/loot_dath_n.stf', '11', 'vurlene_q2_needed', 'A Jar of Healing Salve\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_dath_n.stf', '12', 'vurlene_q3_needed', 'A Jar of Healing Salve');
INSERT INTO `client_strings` VALUES ('string/en/loot_dath_n.stf', '13', 'vhaunda_q1_needed', 'Stormtrooper Sergeant Shoulder Pad');
INSERT INTO `client_strings` VALUES ('string/en/loot_dath_n.stf', '14', 'mozo_bondog_q2_needed', 'Bondog\'s Backpack');
INSERT INTO `client_strings` VALUES ('string/en/loot_dath_n.stf', '15', 'shaki_hamachil_q1_needed', 'Tibrin Brine Salts');
INSERT INTO `client_strings` VALUES ('string/en/loot_dath_n.stf', '16', 'shaki_hamachil_q2_needed', 'Cyber-Rancor Project Findings');
INSERT INTO `client_strings` VALUES ('string/en/loot_dath_n.stf', '17', 'aujante_klee_q2_needed', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/loot_dath_n.stf', '18', 'singular_nak_q1_needed', 'Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/loot_dath_n.stf', '19', 'singular_nak_q2_needed', 'Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/loot_dealer.stf', '1', 'btn_sell', 'Sell');
INSERT INTO `client_strings` VALUES ('string/en/loot_dealer.stf', '2', 'btn_sell_all', 'Sell All');
INSERT INTO `client_strings` VALUES ('string/en/loot_dealer.stf', '3', 'no_items', 'You have no items that the junk dealer wishes to buy.');
INSERT INTO `client_strings` VALUES ('string/en/loot_dealer.stf', '4', 'prose_junk_sold', '%TT is already in the process of being sold...');
INSERT INTO `client_strings` VALUES ('string/en/loot_dealer.stf', '5', 'prose_no_buy', '%TU shows no interest in purchasing %TT.');
INSERT INTO `client_strings` VALUES ('string/en/loot_dealer.stf', '6', 'prose_no_all_sale', '%TT is unable to purchase all of your loot items and declines the transaction.');
INSERT INTO `client_strings` VALUES ('string/en/loot_dealer.stf', '7', 'prose_no_buy_all', '%TT does not seem interested in buying any of your loot items.');
INSERT INTO `client_strings` VALUES ('string/en/loot_dealer.stf', '8', 'prose_no_sale', '%TU cannot buy %TT from you at this time.');
INSERT INTO `client_strings` VALUES ('string/en/loot_dealer.stf', '9', 'prose_sold_all_junk', 'You sell all of your loot to %TT for %DI credits.');
INSERT INTO `client_strings` VALUES ('string/en/loot_dealer.stf', '10', 'prose_sold_junk', 'You sell %TT for %DI credits.');
INSERT INTO `client_strings` VALUES ('string/en/loot_dealer.stf', '11', 'sell_prompt', 'Select an item and press the \"Sell\" button to sell the item to the dealer. \n\nPress the \"Sell All\" button to sell all available items to the dealer.');
INSERT INTO `client_strings` VALUES ('string/en/loot_dealer.stf', '12', 'sell_title', 'Loot Item Dealer');
INSERT INTO `client_strings` VALUES ('string/en/loot_endr_d.stf', '1', 'scholar_szingo_q1_needed', 'Disruptor Rifle.');
INSERT INTO `client_strings` VALUES ('string/en/loot_endr_d.stf', '2', 'king_terak_q1_needed', 'A staff of scavenged metal');
INSERT INTO `client_strings` VALUES ('string/en/loot_endr_d.stf', '3', 'king_terak_q3_needed', 'A ship\'s hyperdrive relay device.');
INSERT INTO `client_strings` VALUES ('string/en/loot_endr_d.stf', '4', 'raglith_q3_needed', 'An elder ewok pelt');
INSERT INTO `client_strings` VALUES ('string/en/loot_endr_d.stf', '5', 'charal_q1_needed', 'A spleen taken from the chest of a healthy Ewok. A precious item, considering how bad the Ewok refused to hand it over. What Charal plans to do with it is better left unknown.');
INSERT INTO `client_strings` VALUES ('string/en/loot_endr_d.stf', '6', 'charal_q4_needed', 'A commlink used by a group of survivalists. A hairline fracture runs across the base of the device, which may get worse if not repaired in time.');
INSERT INTO `client_strings` VALUES ('string/en/loot_endr_d.stf', '7', 'morag_q2_needed', 'A crystal used in the crafting of lightsabers.');
INSERT INTO `client_strings` VALUES ('string/en/loot_endr_n.stf', '1', 'scholar_szingo_q1_needed', 'Disruptor Rifle.');
INSERT INTO `client_strings` VALUES ('string/en/loot_endr_n.stf', '2', 'king_terak_q1_needed', 'metal staff ');
INSERT INTO `client_strings` VALUES ('string/en/loot_endr_n.stf', '3', 'king_terak_q3_needed', 'hyperdrive part');
INSERT INTO `client_strings` VALUES ('string/en/loot_endr_n.stf', '4', 'raglith_q3_needed', 'a pelt');
INSERT INTO `client_strings` VALUES ('string/en/loot_endr_n.stf', '5', 'charal_q1_needed', 'A Preserved Ewok Spleen');
INSERT INTO `client_strings` VALUES ('string/en/loot_endr_n.stf', '6', 'charal_q4_needed', 'Commlink');
INSERT INTO `client_strings` VALUES ('string/en/loot_endr_n.stf', '7', 'morag_q2_needed', 'Adegan Crystal');
INSERT INTO `client_strings` VALUES ('string/en/loot_kit.stf', '1', 'incorrect_item', 'The kit examines the item and rejects it. This kit will only accept items that are compatible with its design. For a list of what items this kit will accept examine it by using its radial menu.');
INSERT INTO `client_strings` VALUES ('string/en/loot_kit.stf', '2', 'already_contains', 'That item is already contained by this kit.');
INSERT INTO `client_strings` VALUES ('string/en/loot_kit.stf', '3', 'new_item_created', 'A new item was created, but it seems that the kit was destroyed in the process.');
INSERT INTO `client_strings` VALUES ('string/en/loot_kit.stf', '4', 'item_used', 'The kit accepts the item and quickly disassembles it, leaving nothing recognizable behind.');
INSERT INTO `client_strings` VALUES ('string/en/loot_n.stf', '1', 'battery_cheap_copper', 'Cheap Copper Battery');
INSERT INTO `client_strings` VALUES ('string/en/loot_n.stf', '2', 'blank_canvas', 'Blank Canvas');
INSERT INTO `client_strings` VALUES ('string/en/loot_n.stf', '3', 'calibrator', 'Calibrator');
INSERT INTO `client_strings` VALUES ('string/en/loot_n.stf', '4', 'circuit_board_green', 'Green Circuit Board');
INSERT INTO `client_strings` VALUES ('string/en/loot_n.stf', '5', 'code_reader', 'Code Reader');
INSERT INTO `client_strings` VALUES ('string/en/loot_n.stf', '6', 'coolant_tank', 'Coolant Tank');
INSERT INTO `client_strings` VALUES ('string/en/loot_n.stf', '7', 'damper', 'Sound Damper');
INSERT INTO `client_strings` VALUES ('string/en/loot_n.stf', '8', 'datadisk', 'Datadisk');
INSERT INTO `client_strings` VALUES ('string/en/loot_n.stf', '9', 'datadisk_repair_kit', 'Datadisk Repair Kit');
INSERT INTO `client_strings` VALUES ('string/en/loot_n.stf', '10', 'datapad_backlight', 'Datapad Backlight');
INSERT INTO `client_strings` VALUES ('string/en/loot_n.stf', '11', 'datapad_battery', 'Datapad Battery');
INSERT INTO `client_strings` VALUES ('string/en/loot_n.stf', '12', 'datapad_casing', 'Datapad Housing');
INSERT INTO `client_strings` VALUES ('string/en/loot_n.stf', '13', 'datapad_connectors', 'Datapad Connectors');
INSERT INTO `client_strings` VALUES ('string/en/loot_n.stf', '14', 'empty_datapad', 'Datapad (Empty)');
INSERT INTO `client_strings` VALUES ('string/en/loot_n.stf', '15', 'feed_tubes', 'Feed Tube');
INSERT INTO `client_strings` VALUES ('string/en/loot_n.stf', '16', 'firework_casing', 'Firework Casing');
INSERT INTO `client_strings` VALUES ('string/en/loot_n.stf', '17', 'firework_packager', 'Fireworks Packager');
INSERT INTO `client_strings` VALUES ('string/en/loot_n.stf', '18', 'glass_lens', 'Glass Lens');
INSERT INTO `client_strings` VALUES ('string/en/loot_n.stf', '19', 'group_looted', '[GROUP] %TT loots %TO from the corpse.');
INSERT INTO `client_strings` VALUES ('string/en/loot_n.stf', '20', 'heating_element', 'Heating Element');
INSERT INTO `client_strings` VALUES ('string/en/loot_n.stf', '21', 'hydrospanner', 'Hydrospanner');
INSERT INTO `client_strings` VALUES ('string/en/loot_n.stf', '22', 'impulse_reader', 'Impulse Reader');
INSERT INTO `client_strings` VALUES ('string/en/loot_n.stf', '23', 'magnetic_burner', 'Magnetic Burner');
INSERT INTO `client_strings` VALUES ('string/en/loot_n.stf', '24', 'magnetic_reader', 'Magnetic Reader');
INSERT INTO `client_strings` VALUES ('string/en/loot_n.stf', '25', 'magnifier', 'Magnifier');
INSERT INTO `client_strings` VALUES ('string/en/loot_n.stf', '26', 'motor_small_blue', 'Small Power Motor');
INSERT INTO `client_strings` VALUES ('string/en/loot_n.stf', '27', 'motor_small_red', 'Agitator Motor');
INSERT INTO `client_strings` VALUES ('string/en/loot_n.stf', '28', 'number_generator', 'Number Generation Device');
INSERT INTO `client_strings` VALUES ('string/en/loot_n.stf', '29', 'paint_cartridge', 'Paint Cartridge');
INSERT INTO `client_strings` VALUES ('string/en/loot_n.stf', '30', 'paint_disperser', 'Paint Dispersal Unit');
INSERT INTO `client_strings` VALUES ('string/en/loot_n.stf', '31', 'picture_printer', 'Picture Printer');
INSERT INTO `client_strings` VALUES ('string/en/loot_n.stf', '32', 'pistol_broken', 'Broken Pistol');
INSERT INTO `client_strings` VALUES ('string/en/loot_n.stf', '33', 'powder_pack', 'Packaged Flash Powder');
INSERT INTO `client_strings` VALUES ('string/en/loot_n.stf', '34', 'processor_attachments', 'Processor Attachments');
INSERT INTO `client_strings` VALUES ('string/en/loot_n.stf', '35', 'pulverizer', 'Pulverizer');
INSERT INTO `client_strings` VALUES ('string/en/loot_n.stf', '36', 'recovery_software', 'Recovery Software');
INSERT INTO `client_strings` VALUES ('string/en/loot_n.stf', '37', 'rifle_broken', 'Broken Rifle');
INSERT INTO `client_strings` VALUES ('string/en/loot_n.stf', '38', 'speaker_heads', 'Speaker Heads');
INSERT INTO `client_strings` VALUES ('string/en/loot_n.stf', '39', 'speaker_wiring', 'Speaker Wiring');
INSERT INTO `client_strings` VALUES ('string/en/loot_n.stf', '40', 'spinning_blade', 'Spinner Blade');
INSERT INTO `client_strings` VALUES ('string/en/loot_n.stf', '41', 'state_cylinder', 'State Cylinder');
INSERT INTO `client_strings` VALUES ('string/en/loot_n.stf', '42', 'taloscope_base', 'Taloscope Base');
INSERT INTO `client_strings` VALUES ('string/en/loot_n.stf', '43', 'taloscope_clamps', 'Taloscope Clamps');
INSERT INTO `client_strings` VALUES ('string/en/loot_n.stf', '44', 'tumble_blender', 'Tumble Blender');
INSERT INTO `client_strings` VALUES ('string/en/loot_n.stf', '45', 'viewscreen_printer', 'Viewscreen Printer');
INSERT INTO `client_strings` VALUES ('string/en/loot_n.stf', '46', 'viewscreen_reader', 'Viewscreen Techincal Reader');
INSERT INTO `client_strings` VALUES ('string/en/loot_n.stf', '47', 'wiring', 'Wiring');
INSERT INTO `client_strings` VALUES ('string/en/loot_n.stf', '48', 'wiring_blue', 'Blue Wiring');
INSERT INTO `client_strings` VALUES ('string/en/loot_n.stf', '49', 'wiring_red', 'Red Wiring');
INSERT INTO `client_strings` VALUES ('string/en/loot_n.stf', '50', 'wiring_yellow', 'Yellow Wiring');
INSERT INTO `client_strings` VALUES ('string/en/loot_n.stf', '51', 'solo_looted', 'You looted %TO from the corpse.');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '1', 'borvo_q1_needed', 'An invitation from Naboo crimelord Borvo the Hutt to his rival, Kritus Morven, to sit down and work out their differences.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '2', 'borvo_q6_needed', 'A strain of the Berserker Virus sent by Naboo crimelord Borvo the Hutt to a Black Sun representative from Corellia.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '3', 'ebenn_baobab_q2_needed', 'Funds sent by Ebenn Q3 Baobab, celebrated writer, politician, and scholar in Moenia on Naboo, supposedly to set up a (belated) commission to prevent the fall of the Old Republic.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '4', 'ebenn_baobab_q3_needed', 'Supposedly a collection of poetry submitted to Ebenn Q3 Baobab, celebrated writer, politician, and scholar in Moenia on Naboo\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '5', 'radanthus_mandelatara_q2_needed', 'A container holding pinfeathers freshly plucked from two fine peko-pekos\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '6', 'radanthus_mandelatara_q3_needed', 'Anelectrical device crafted just so by a particular craftsman \n');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '7', 'dilvin_lormurojo_q2_needed', 'The latest satire by Dilvin Lormurojo');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '8', 'bab_esrus_q1_needed', 'Pigmentation-production chromosomes of the common capper spineflap');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '9', 'bab_esrus_q3_needed', 'Kowakian monkey-lizard with multicolored blood');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '10', 'arrek_vonsarko_q1_needed', 'An invitation to a respected art critic, Huffee Vindaag');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '11', 'serena_fenner_q1_needed', 'A scathing review of the latest Imperial opera');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '12', 'serena_fenner_q3_needed', 'An equipment storage request to the Gungans about storing equipment for the Alliance away from prying Imperial eyes');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '13', 'kylantha_q1_needed', 'Makeup kit used by Queen Kylantha of Naboo.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '14', 'kylantha_q2_needed', 'Naboo Queen Kylantha\'s polite refusal to join a sightseeing trip organized by Imperial Army General Liles Dorond\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '15', 'ian_lago_q1_needed', 'A Neuro-Saav Sensor Pack\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '16', 'ian_lago_q3_needed', 'An encrypted datadisc.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '17', 'mal_sikander_q1_needed', 'A modified disruptor pistol\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '18', 'mal_sikander_q5_needed', 'An encrypted datadisc.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '19', 'vrir_unglan_q1_needed', 'An encrypted datadisc.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '20', 'vrir_unglan_q2_needed', 'An encrypted datadisc.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '21', 'ayn_eckener_q3_needed', 'An order to the research camp leader to stop wearing their carrion-smelling perfume');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '22', 'kadil_nurugen_q1_needed', 'An encrypted datadisc.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '23', 'sayama_edosun_q1_needed', 'A sample of discovered blue colored glie (moss)');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '24', 'sayama_edosun_q2_needed', 'An encrypted datadisc.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '25', 'sayama_edosun_q3_needed', 'A corpse of a chuba');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '26', 'junelle_astor_q1_needed', 'Private correspondence of Naboo\'s High Inquisitor Mal Sikander.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '27', 'junelle_astor_q3_needed', 'A gift from Boss Nass for Queen Kylantha of Naboo.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '28', 'liane_q1_needed', 'Queen Kylantha of Naboo has ordered this old musical instrument restored by crafter Bowrun Stradalla.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '29', 'liane_q2_needed', 'This order from Queen Kylantha of Naboo commissions a new ceremonial dress from tailor Niamora Ingidge.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '30', 'liane_q3_needed', 'This order from Queen Kylantha of Naboo commissions an ode from the poet Biude Lop Quanna celebrating her pet voorpak\'s new litter.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '31', 'ric_olie_q1_needed', 'Reports of recent pirate activity on Naboo, compiled by Jamel Luffa for retired pilot Captain Ric Olie in Theed.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '32', 'oron_wintree_q1_needed', 'An encrypted datadisc.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '33', 'graf_zapalo_q2_needed', 'Waterborne specimens collected for Naboo\'s former Minister of Science, Graf Zapalo, to document the spread of the Berserker Virus.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '34', 'graf_zapalo_q3_needed', 'A potentially controversial analysis of the Berserker Virus by Naboo\'s former Minister of Science, Graf Zapalo.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '35', 'dea_tore_q2_needed', 'A manufactured anti-venom using the ikopi horn');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '36', 'dea_tore_q3_needed', 'Blood samples of the failed success of the anti-venom');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '37', 'dea_tore_q4_needed', 'A sick shaupat corpse needed to further research on the unknown plague');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '38', 'throme_gormengal_q1_needed', 'An encrypted datadisc.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '39', 'throme_gormengal_q3_needed', 'A holo recording of the destruction of Alderaan.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '40', 'crider_trant_q1_needed', 'Corporate Sector Authority bank codes intended for Naboo government inspector Ganz Drilby.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '41', 'jyr_koble_q1_needed', 'Documentary by COMPNOR official Jyr Koble portraying the Empire\'s version of the destruction of Alderaan.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '42', 'jyr_koble_q3_needed', 'Edited recording of a Rebel assault on an Imperial base.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '43', 'jyr_koble_q4_needed', 'Private files stolen from Imperial High Inquisitor Mal Sikander of Naboo.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '44', 'vana_sage_q1_needed', 'Authorization of credits to bribe Vana Sage, RSF officer in Keren on Naboo.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '45', 'kritus_morven_q1_needed', 'A business offer made by Naboo crimelord Borvo the Hutt to Kritus Morven.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '46', 'kritus_morven_q2_needed', 'The location of one of Borvo the Hutt\'s spice refineries on Naboo.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '47', 'kritus_morven_q3_needed', 'Kritus Morven\'s authorization of credits for Naboo security officer Dagrus Rhine.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '48', 'kritus_morven_q5_needed', 'A sample of the Berserker Virus.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '49', 'athok_dinvar_q2_needed', 'A jar of Mr. Morven\'s spice');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '50', 'bardo_klinj_q1_needed', 'Kassoti spice sent by Bardo Klinj to an Imperial courier on Naboo.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '51', 'bardo_klinj_q2_needed', 'Imperial export permits for Naboo crimelord Borvo the Hutt.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '52', 'bardo_klinj_q3_needed', 'Codes to the bank account of the late Gungan Mubarr, debtor to Naboo crimelord Borvo the Hutt.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '53', 'lergo_brazee_q1_needed', 'Codes provided by Keren businessman Lergo Brazee to help pilot Breggs Ker\'tani launch safely from Naboo.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '54', 'brennis_doore_q1_needed', 'A request to collect a gambling debt.\n\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '55', 'brennis_doore_q2_needed', 'A job application for the Imperial Preservation & Refocusing Authority.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '56', 'brennis_doore_q3_needed', 'A job application for the Imperial Preservation & Refocusing Authority.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '57', 'mullud_bombo_q1_needed', 'Some survey equipment.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '58', 'mullud_bombo_q2_needed', 'A list of rich Naboo socialites who are to be invited to a party\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '59', 'leb_slesher_q1_needed', 'A \"bureaucratic processing fee\" collected from a Naboo merchant for Leb Slesher, \"expediter of merchant relations\" in Kaadara.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '60', 'leb_slesher_q2_needed', 'A fee collected from a Naboo merchant for covert ISB agent Leb Slesher in Kaadara.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '61', 'leb_slesher_q3_needed', 'A fee collected from a Naboo polotician for the Fee to hire and \"Expert\" slicer to review some data.');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '62', 'pooja_naberrie_q1_needed', 'A request for supplies for rebel refugize that reside on Naboo');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '63', 'pooja_naberrie_q2_needed', 'A message to a Naboo noble who has pledged his help against the Empire\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '64', 'pooja_naberrie_q5_needed', 'A part of a diseased hide ');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '65', 'arven_wendik_q1_needed', 'Forged Imperial trade permits for Alliance \"procurement specialist\" Alowi Fintz on Naboo.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '66', 'damalia_korde_q1_needed', 'Data from the Naboo Ministry of Science for Damalia Korde, groundskeeper at Dee\'ja Peak.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '67', 'nass_q1_needed', 'An encrypted datadisc\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '68', 'rep_been_q1_needed', 'A holorecord of the historic meeting between Boss Nass and Queen Amidala of Naboo at the Gungan Sacred Place.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '69', 'lob_dizz_q3_needed', 'An encrypted datadisc\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '70', 'brass_marshoo_q1_needed', 'An ingrediant in \"de seared rawl wit splinterfern and hsuberry reduction\"');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '71', 'brass_marshoo_q2_needed', 'The meat of the peko-peko is poisonous but if you use the proper technique in making a sace out of the blood, it provides not only the anti-toxin but a savory treat unsurpassed in all de galaxy');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_d.stf', '72', 'rovim_minnoni_q1_needed', 'Locator device used by tour guide Zazzi Yown at the Lake Retreat on Naboo.\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '1', 'borvo_q1_needed', 'Message for Kritus Morven');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '2', 'borvo_q6_needed', 'Virus Sample');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '3', 'ebenn_baobab_q2_needed', 'Commission Funds');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '4', 'ebenn_baobab_q3_needed', 'Junk Poetry');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '5', 'radanthus_mandelatara_q2_needed', 'A sealed container');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '6', 'radanthus_mandelatara_q3_needed', 'An electrical deviece');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '7', 'dilvin_lormurojo_q2_needed', 'A manuscript');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '8', 'bab_esrus_q1_needed', 'Genetic material');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '9', 'bab_esrus_q3_needed', 'An exotic pet cage');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '10', 'arrek_vonsarko_q1_needed', 'An invitation');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '11', 'serena_fenner_q1_needed', 'A review of the latest Imperial opera');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '12', 'serena_fenner_q3_needed', 'An equipment storage request');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '13', 'kylantha_q1_needed', 'Royal Makeup Kit');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '14', 'kylantha_q2_needed', 'A formal refusal from the queen');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '15', 'ian_lago_q1_needed', 'Sensor Pack');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '16', 'ian_lago_q3_needed', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '17', 'mal_sikander_q1_needed', 'Pain Inducer');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '18', 'mal_sikander_q5_needed', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '19', 'vrir_unglan_q1_needed', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '20', 'vrir_unglan_q2_needed', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '21', 'ayn_eckener_q3_needed', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '22', 'kadil_nurugen_q1_needed', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '23', 'sayama_edosun_q1_needed', 'Moss Sample');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '24', 'sayama_edosun_q2_needed', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '25', 'sayama_edosun_q3_needed', 'Corpse of a Cuba');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '26', 'junelle_astor_q1_needed', 'Sikander\'s Letters');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '27', 'junelle_astor_q3_needed', 'Boss Nass\'s Gift');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '28', 'liane_q1_needed', 'Antique Mandoviol');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '29', 'liane_q2_needed', 'Queen\'s Dress Order');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '30', 'liane_q3_needed', 'Queen\'s Ode Order');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '31', 'ric_olie_q1_needed', 'Pirate Activity Reports ');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '32', 'oron_wintree_q1_needed', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '33', 'graf_zapalo_q2_needed', 'Infected Specimens');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '34', 'graf_zapalo_q3_needed', 'Virus Analysis');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '35', 'dea_tore_q2_needed', 'Anti-venom');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '36', 'dea_tore_q3_needed', 'Blood Samples');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '37', 'dea_tore_q4_needed', 'Sick shaupat corpse');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '38', 'throme_gormengal_q1_needed', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '39', 'throme_gormengal_q3_needed', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '40', 'crider_trant_q1_needed', 'Bank Codes');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '41', 'jyr_koble_q1_needed', 'Koble\'s Alderaan Holo');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '42', 'jyr_koble_q3_needed', 'Holo recording');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '43', 'jyr_koble_q4_needed', 'Sikander\'s Files');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '44', 'vana_sage_q1_needed', 'Bribe');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '45', 'kritus_morven_q1_needed', 'Shady Business Deal');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '46', 'kritus_morven_q2_needed', 'Security Tip-Off');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '47', 'kritus_morven_q3_needed', 'Bank Codes');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '48', 'kritus_morven_q5_needed', 'Bioweapon');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '49', 'athok_dinvar_q2_needed', 'Spice');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '50', 'bardo_klinj_q1_needed', 'Unmarked Package');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '51', 'bardo_klinj_q2_needed', 'Gift from a gratefull official');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '52', 'bardo_klinj_q3_needed', 'Bank Codes');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '53', 'lergo_brazee_q1_needed', 'Pilot\'s Passcodes');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '54', 'brennis_doore_q1_needed', 'Jewled Necklace');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '55', 'brennis_doore_q2_needed', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '56', 'brennis_doore_q3_needed', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '57', 'mullud_bombo_q1_needed', 'A backpack');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '58', 'mullud_bombo_q2_needed', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '59', 'leb_slesher_q1_needed', '\"Processing Fee\"');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '60', 'leb_slesher_q2_needed', '\"Remediation Fee\"');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '61', 'leb_slesher_q3_needed', '\"Processing Fee\"');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '62', 'pooja_naberrie_q1_needed', 'Request for Supplies');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '63', 'pooja_naberrie_q2_needed', 'Private Communique\n');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '64', 'pooja_naberrie_q5_needed', 'Diseased Hide');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '65', 'arven_wendik_q1_needed', 'Forged Permits');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '66', 'damalia_korde_q1_needed', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '67', 'nass_q1_needed', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '68', 'rep_been_q1_needed', 'Historic Recording');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '69', 'lob_dizz_q3_needed', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '70', 'brass_marshoo_q1_needed', 'Body part from a Fanned Rawl');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '71', 'brass_marshoo_q2_needed', 'Meat of the Peko-Peko');
INSERT INTO `client_strings` VALUES ('string/en/loot_nboo_n.stf', '72', 'rovim_minnoni_q1_needed', 'Signal Finder');
INSERT INTO `client_strings` VALUES ('string/en/loot_rori_d.stf', '1', 'biribas_tarun_q1_needed', 'An incriminating holo recording');
INSERT INTO `client_strings` VALUES ('string/en/loot_rori_d.stf', '2', 'hefsen_zindalai_q1_needed', 'A special invitation to the Restuss Arts Jubilee.');
INSERT INTO `client_strings` VALUES ('string/en/loot_rori_d.stf', '3', 'vordin_sildor_q3_needed', 'Transport permits.');
INSERT INTO `client_strings` VALUES ('string/en/loot_rori_d.stf', '4', 'sindra_lintikoor_q1_needed', 'Scholar Ingon Lakbo\'s response to Narmle Minister of Education Sindra Lintikoor\'s invitation to participate in a \"Great Conversation\" debate among Rori\'s philosophers.');
INSERT INTO `client_strings` VALUES ('string/en/loot_rori_d.stf', '5', 'sindra_lintikoor_q2_needed', 'Narmle Minister of Education Sindra Lintikoor\'s invitation to scholar Bieque Lozan-Lippid to participate in a \"Great Conversation\" debate among Rori\'s philosophers.');
INSERT INTO `client_strings` VALUES ('string/en/loot_rori_d.stf', '6', 'indintra_imbru_q1_needed', 'Restuss socialite Indintra Imbru Yerevan\'s suggestion to her friend, Briska Gil, to invite Narmle scholar Ingon Lakbo to a dinner party -- that happens to coincide with the previously scheduled \"Great Conversation\" debate among Rori\'s philosophers.');
INSERT INTO `client_strings` VALUES ('string/en/loot_rori_d.stf', '7', 'indintra_imbru_q2_needed', 'Restuss socialite Indintra Imbru Yerevan\'s invitation to Shaultra Loraweet to attend the \"Great Conversation\" debate among Rori\'s philosophers -- a debate that includes (not coincidentally) Loraweet\'s former sweetheart, philosopher Bieque Lozan-Lippid.');
INSERT INTO `client_strings` VALUES ('string/en/loot_rori_d.stf', '8', 'oxil_sarban_q1_needed', 'Selected Chadra Fan heart-splitter wailing serenades, intended for the Narmle Arts Gala run by Narmle\'s Arts Minister, Oxil Sarban.');
INSERT INTO `client_strings` VALUES ('string/en/loot_rori_d.stf', '9', 'oxil_sarban_q2_needed', 'A collection of individually carved dust grains from across the galaxy, intended for the Narmle Arts Gala run by Oxil Sarban, Arts Minister of Narmle on Rori.');
INSERT INTO `client_strings` VALUES ('string/en/loot_rori_d.stf', '10', 'booto_lubble_q1_needed', 'Standard security encoding and command device issued to Warrant Officer Luhin Jinnor of Colonel Zarvold\'s Imperial Army battalion on Rori.');
INSERT INTO `client_strings` VALUES ('string/en/loot_rori_d.stf', '11', 'booto_lubble_q2_needed', 'Merr-Sonn Munitions Class-A explosive device issued to personnel in Colonel Zarvold\'s Imperial Army battalion on Rori.');
INSERT INTO `client_strings` VALUES ('string/en/loot_rori_d.stf', '12', 'jaleela_bindoo_q1_needed', 'Painting by Gungan artist Odoof Grunda of Sidoras Bey sculpting a statue of the Emperor.');
INSERT INTO `client_strings` VALUES ('string/en/loot_rori_d.stf', '13', 'jaleela_bindoo_q3_needed', 'A list of finalists and their work for the judges of the Imperial Arts Grant competition at the Narmle Arts Gala on Rori.');
INSERT INTO `client_strings` VALUES ('string/en/loot_rori_d.stf', '14', 'sidoras_bey_q1_needed', 'The official announcement of the winner of an art competition held during the Arts Gala festival in Narmle on Rori.');
INSERT INTO `client_strings` VALUES ('string/en/loot_rori_d.stf', '15', 'ajuva_vanasterin_q1_needed', 'An invitation to a dinner party from Ajuva Vanasterin');
INSERT INTO `client_strings` VALUES ('string/en/loot_rori_d.stf', '16', 'ajuva_vanasterin_q2_needed', 'An order to purchase several paintings for Ajuva Vanasterin');
INSERT INTO `client_strings` VALUES ('string/en/loot_rori_d.stf', '17', 'draya_korbinari_q3_needed', 'The art holo centerpiece for the Restuss Arts Jubilee on Rori.');
INSERT INTO `client_strings` VALUES ('string/en/loot_rori_n.stf', '1', 'biribas_tarun_q1_needed', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/loot_rori_n.stf', '2', 'hefsen_zindalai_q1_needed', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/loot_rori_n.stf', '3', 'vordin_sildor_q3_needed', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/loot_rori_n.stf', '4', 'sindra_lintikoor_q1_needed', 'Lakbo\'s Response');
INSERT INTO `client_strings` VALUES ('string/en/loot_rori_n.stf', '5', 'sindra_lintikoor_q2_needed', 'Lozan-Lippid Invitation');
INSERT INTO `client_strings` VALUES ('string/en/loot_rori_n.stf', '6', 'indintra_imbru_q1_needed', 'Briska Gil Suggestion');
INSERT INTO `client_strings` VALUES ('string/en/loot_rori_n.stf', '7', 'indintra_imbru_q2_needed', 'Loraweet Invitation');
INSERT INTO `client_strings` VALUES ('string/en/loot_rori_n.stf', '8', 'oxil_sarban_q1_needed', 'Rising Artist Presentation');
INSERT INTO `client_strings` VALUES ('string/en/loot_rori_n.stf', '9', 'oxil_sarban_q2_needed', 'Alien Dust Artifacts');
INSERT INTO `client_strings` VALUES ('string/en/loot_rori_n.stf', '10', 'booto_lubble_q1_needed', 'Officer Jinnor\'s Rank Cylinder');
INSERT INTO `client_strings` VALUES ('string/en/loot_rori_n.stf', '11', 'booto_lubble_q2_needed', 'Imperial Army Thermal Detonator');
INSERT INTO `client_strings` VALUES ('string/en/loot_rori_n.stf', '12', 'jaleela_bindoo_q1_needed', 'Grunda Painting');
INSERT INTO `client_strings` VALUES ('string/en/loot_rori_n.stf', '13', 'jaleela_bindoo_q3_needed', 'Art Contest Finalists');
INSERT INTO `client_strings` VALUES ('string/en/loot_rori_n.stf', '14', 'sidoras_bey_q1_needed', 'Narmle Arts Gala Winner');
INSERT INTO `client_strings` VALUES ('string/en/loot_rori_n.stf', '15', 'ajuva_vanasterin_q1_needed', 'Dinner invitation');
INSERT INTO `client_strings` VALUES ('string/en/loot_rori_n.stf', '16', 'ajuva_vanasterin_q2_needed', 'Purchase request');
INSERT INTO `client_strings` VALUES ('string/en/loot_rori_n.stf', '17', 'draya_korbinari_q3_needed', 'Art Holo');
INSERT INTO `client_strings` VALUES ('string/en/loot_schematic.stf', '1', 'nothing_to_learn', 'There is nothing you can learn from this.');
INSERT INTO `client_strings` VALUES ('string/en/loot_schematic.stf', '2', 'not_enough_skill', 'You must have %TO skill in order to understand this.');
INSERT INTO `client_strings` VALUES ('string/en/loot_schematic.stf', '3', 'already_have_schematic', 'You already have this schematic.');
INSERT INTO `client_strings` VALUES ('string/en/loot_schematic.stf', '4', 'schematic_learned', 'You acquire a new crafting schematic!');
INSERT INTO `client_strings` VALUES ('string/en/loot_schematic.stf', '5', 'use_schematic', 'Learn Schematic');
INSERT INTO `client_strings` VALUES ('string/en/loot_schematic.stf', '6', 'must_be_holding', 'You must be holding that in order to use it.');
INSERT INTO `client_strings` VALUES ('string/en/loot_schematic.stf', '7', 'use_skill', 'Learn Skill');
INSERT INTO `client_strings` VALUES ('string/en/loot_schematic.stf', '8', 'use_ability', 'Learn Ability');
INSERT INTO `client_strings` VALUES ('string/en/loot_schematic.stf', '9', 'use_waypoint', 'Download Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/loot_schematic.stf', '10', 'use_pet', 'Acquire Pet');
INSERT INTO `client_strings` VALUES ('string/en/loot_schematic.stf', '11', 'use_vehicle', 'Acquire Vehicle');
INSERT INTO `client_strings` VALUES ('string/en/loot_schematic.stf', '12', 'already_have_skill', 'You already have this skill.');
INSERT INTO `client_strings` VALUES ('string/en/loot_schematic.stf', '13', 'unable_to_learn_skill', 'You are unable to learn this skill due to insufficient skill points or prerequisites.');
INSERT INTO `client_strings` VALUES ('string/en/loot_schematic.stf', '14', 'unable_to_add_waypoint', 'Unable to add waypoint to your datapad.  Make certain that you have sufficient space remaining.');
INSERT INTO `client_strings` VALUES ('string/en/loot_schematic.stf', '15', 'already_have_ability', 'You already have this ability.');
INSERT INTO `client_strings` VALUES ('string/en/loot_schematic.stf', '16', 'waypoint_granted', 'A waypoint to %TO has been added to your datapad.');
INSERT INTO `client_strings` VALUES ('string/en/loot_schematic.stf', '17', 'skill_granted', 'You have learned %TO.');
INSERT INTO `client_strings` VALUES ('string/en/loot_schematic.stf', '18', 'schematic', 'Schematic');
INSERT INTO `client_strings` VALUES ('string/en/loot_schematic.stf', '19', 'skill', 'Skill');
INSERT INTO `client_strings` VALUES ('string/en/loot_schematic.stf', '20', 'ability', 'Ability');
INSERT INTO `client_strings` VALUES ('string/en/loot_schematic.stf', '21', 'waypoint', 'Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/loot_tals_d.stf', '1', 'nurla_slinthiss_q1_needed', 'An incriminating holo recording');
INSERT INTO `client_strings` VALUES ('string/en/loot_tals_d.stf', '2', 'nurla_slinthiss_q3_needed', 'datadisc');
INSERT INTO `client_strings` VALUES ('string/en/loot_tals_d.stf', '3', 'slooni_jong_q1_needed', 'Briefcase full of ryll spice.');
INSERT INTO `client_strings` VALUES ('string/en/loot_tals_d.stf', '4', 'xalox_guul_q2_needed', 'Forged Imperial transport permits.');
INSERT INTO `client_strings` VALUES ('string/en/loot_tals_d.stf', '5', 'sigrix_slix_q1_needed', 'This container supposedly holds recordings of native Talus wildlife sounds (intended for Nashal fizz musician Sigrix Slix) and no glitterstim spice at all, despite what anyone says.');
INSERT INTO `client_strings` VALUES ('string/en/loot_tals_d.stf', '6', 'sigrix_slix_q2_needed', 'According to Nashal fizz musician Sigrix Slix, this container holds a small verovakin (a Selonian musical instrument) and absolutely no glitterstim spice, no matter what it sounds like when you shake it. ');
INSERT INTO `client_strings` VALUES ('string/en/loot_tals_d.stf', '7', 'green_laser_q1_needed', 'Blueprints of a proposed new Star Destroyer weapon, procured by Drall data slicer \"Green Laser\" in Nashal on Talus.');
INSERT INTO `client_strings` VALUES ('string/en/loot_tals_d.stf', '8', 'champhra_biahin_q1_needed', 'This medicinal herb, native to Talus, exudes a pungent smell in early growth, then a sweet citrus scent during blooming season. Natterbloom may offer a cure for a persistent Drall disease, the Balding Sickness. ');
INSERT INTO `client_strings` VALUES ('string/en/loot_tals_d.stf', '9', 'champhra_biahin_q2_needed', 'Champhra Biahin, Drall ambassador to Talus, gave this recording of an anthem, sung by young students at the Boiling Sea Music Academy on Drall, to the Dearic Garden Club in gratitude for securing medicinal herbs to cure Drall diseases.');
INSERT INTO `client_strings` VALUES ('string/en/loot_tals_d.stf', '10', 'haleen_snowline_q1_needed', 'Credits contributed to representatives of the Talus and Tralus Liberation Party by Talusian Prime Minister Hagrin Zeed\'s Minister of Protocol, Haleen Snowline.');
INSERT INTO `client_strings` VALUES ('string/en/loot_tals_d.stf', '11', 'haleen_snowline_q2_needed', 'Evidence showing that Talusian Prime Minister Hagrin Zeed received illegal contributions from the Corporate Sector Authority.');
INSERT INTO `client_strings` VALUES ('string/en/loot_tals_d.stf', '12', 'hagrin_zeed_q1_needed', 'Copies of Imperial reports purchased from a data slicer ');
INSERT INTO `client_strings` VALUES ('string/en/loot_tals_d.stf', '13', 'hagrin_zeed_q2_needed', 'A credit disc authorizing a release of funds to Hagrin Zeed');
INSERT INTO `client_strings` VALUES ('string/en/loot_tals_d.stf', '14', 'radlee_mathiss_q1_needed', 'A payoff to Security Chief Mathiss in Dearic from the Corporate Sector Authority.');
INSERT INTO `client_strings` VALUES ('string/en/loot_tals_d.stf', '15', 'gravin_attal_q1_needed', 'Requisition orders from an Imperial Colonel for an AT-ST redirected by a data slicer');
INSERT INTO `client_strings` VALUES ('string/en/loot_tals_d.stf', '16', 'gravin_attal_q2_needed', 'A necessary component to a working hyperdrive');
INSERT INTO `client_strings` VALUES ('string/en/loot_tals_d.stf', '17', 'igbi_freemo_q2_needed', 'A briefcase filled with tainted spice earmarked for the Hutts.');
INSERT INTO `client_strings` VALUES ('string/en/loot_tals_d.stf', '18', 'jusani_zhord_q1_needed', 'This briefcase is locked, but could contain almost anything.');
INSERT INTO `client_strings` VALUES ('string/en/loot_tals_n.stf', '1', 'nurla_slinthiss_q1_needed', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/loot_tals_n.stf', '2', 'nurla_slinthiss_q3_needed', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/loot_tals_n.stf', '3', 'slooni_jong_q1_needed', 'Briefcase ');
INSERT INTO `client_strings` VALUES ('string/en/loot_tals_n.stf', '4', 'xalox_guul_q2_needed', 'Datadisc ');
INSERT INTO `client_strings` VALUES ('string/en/loot_tals_n.stf', '5', 'sigrix_slix_q1_needed', 'Um... Ambient Wildlife Calls... yeah.');
INSERT INTO `client_strings` VALUES ('string/en/loot_tals_n.stf', '6', 'sigrix_slix_q2_needed', 'Selonian Verovakin');
INSERT INTO `client_strings` VALUES ('string/en/loot_tals_n.stf', '7', 'green_laser_q1_needed', 'Blaster Cannon Plans');
INSERT INTO `client_strings` VALUES ('string/en/loot_tals_n.stf', '8', 'champhra_biahin_q1_needed', 'Twin-Scented Natterbloom');
INSERT INTO `client_strings` VALUES ('string/en/loot_tals_n.stf', '9', 'champhra_biahin_q2_needed', '\"Flowers of Drall\"');
INSERT INTO `client_strings` VALUES ('string/en/loot_tals_n.stf', '10', 'haleen_snowline_q1_needed', 'Liberation Contribution');
INSERT INTO `client_strings` VALUES ('string/en/loot_tals_n.stf', '11', 'haleen_snowline_q2_needed', 'Zeed Payoff Evidence');
INSERT INTO `client_strings` VALUES ('string/en/loot_tals_n.stf', '12', 'hagrin_zeed_q1_needed', 'Message for Jusani Zhord');
INSERT INTO `client_strings` VALUES ('string/en/loot_tals_n.stf', '13', 'hagrin_zeed_q2_needed', 'Bribe');
INSERT INTO `client_strings` VALUES ('string/en/loot_tals_n.stf', '14', 'radlee_mathiss_q1_needed', 'Credit Disc');
INSERT INTO `client_strings` VALUES ('string/en/loot_tals_n.stf', '15', 'gravin_attal_q1_needed', 'Requisition orders');
INSERT INTO `client_strings` VALUES ('string/en/loot_tals_n.stf', '16', 'gravin_attal_q2_needed', 'Hyperdrive Part');
INSERT INTO `client_strings` VALUES ('string/en/loot_tals_n.stf', '17', 'igbi_freemo_q2_needed', 'A stash of spice');
INSERT INTO `client_strings` VALUES ('string/en/loot_tals_n.stf', '18', 'jusani_zhord_q1_needed', 'A locked briefcase');
INSERT INTO `client_strings` VALUES ('string/en/loot_tals_n.stf', '19', 'bantha_doll', 'Bantha Doll');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_d.stf', '1', 'stella_q1_needed', 'Credits owed to Stella, Third Sun cantina owner in Mos Taike on Tatooine. ');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_d.stf', '2', 'stella_q2_needed', 'Deed to the Third Sun cantina in Mos Taike on Tatooine, stolen from owner Stella.');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_d.stf', '3', 'stella_q3_needed', 'Information secured by a Bothan spy for Stella, owner of the Third Sun cantina in Mos Taike on Tatooine.');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_d.stf', '4', 'bren_kingal_q1_reward', 'Salt 1 small worrt; dust with mounder flour. Saute in blue milk until brown; place in casserole dish, pour pan drippings over worrt. Add 1 handful (humanoid hand) trimpian, 1 pinch tomo spice. Fill casserole with blue milk, cover, bake at medium heat until tender. Serves 1.');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_d.stf', '5', 'bren_kingal_q2_reward', 'Cube 1 thick bantha steak; trim fat, pat dry. Saute meat in bantha butter until brown. Core, seed, and chop 2 large ootowergs, 3 ripe dropes, 1 small koba if available. Add vegetables to cooked meat, cook til heated through. Put all in pot of boiling water. Cover, simmer at low heat for 3 days. Add roosha to taste. Serves 1-2.');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_d.stf', '6', 'bren_kingal_q3_reward', 'Mix 1 cup blue milk, 1 cup water, 1 pinch Tusken brew-yeast. Leave in warm place for a while. Mix 1 handful (humanoid hand) mounder flour, 3 pinches salt. Slowly add bantha butter until doughy; add brew-yeast mixture. Knead until stiff. Leave in warm place until doubled. Knead briefly, rip hand-size (humanoid hand) pieces of dough, pound flat. Fry over low heat until crisp. Eat immediately.');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_d.stf', '7', 'melios_purl_q2_needed', 'A festering womp rat hide');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_d.stf', '8', 'melios_purl_q3_needed', 'Cylinder of bacta juice');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_d.stf', '9', 'lilas_dinhint_q1_needed', 'A threadbare and scurrier-chewed robe allegedly worn centuries ago by one of Tatooine\'s Sand People.');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_d.stf', '10', 'lilas_dinhint_q2_needed', 'A padded chest plate allegedly worn by Melnea Arnthout, leader of the miners who settled Tatooine from the Dowager Queen colony ship');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_d.stf', '11', 'lilas_dinhint_q3_needed', 'A centuries-old surveyor\'s scanner, now a museum piece.');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_d.stf', '12', 'lilas_dinhint_q4_needed', 'A dried chunk of bantha meat that could be centuries old.');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_d.stf', '13', 'binna_jode_q1_needed', 'A small metal drum, crudely decorated with colorful drawings.');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_d.stf', '14', 'binna_jode_q2_needed', 'Bestine cantina owner Binna\'s gift to a wounded veteran on Tatooine.');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_d.stf', '15', 'binna_jode_q3_needed', 'Shirt given by Bestine cantina owner Binna to a young mother.');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_d.stf', '16', 'binna_jode_q4_needed', 'May contain info about Bestine cantina owner Binna\'s missing husband.');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_d.stf', '17', 'binna_jode_q1_reward', 'Unexpectedly fresh, with flaky crust and a delightful spiced sauce.');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_d.stf', '18', 'binna_jode_q2_reward', 'A small gourd of the Tatooine funnel flower, stuffed with ground bantha meat and lightly spiced. Delicate, delicious flavor.');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_d.stf', '19', 'binna_jode_q3_reward', 'Corellian ale spiked with secret Tatooine liquors. Bites like a maddened dewback.');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_d.stf', '20', 'binna_jode_q4_reward', 'Spiced meat pastries in pounded mounder dough. A Tatooine specialty, mainly because no other world would touch it. This tray, however, tastes pretty good.');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_d.stf', '21', 'wilhalm_skrim_q1_needed', 'Documents belonging to Wilhalm Skrim, secretary to Prefect Talmont in Bestine on Tatooine.');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_d.stf', '22', 'wilhalm_skrim_q2_needed', 'Sensitive information for Wilhalm Skrim, Prefect Talmont\'s secretary in Bestine.');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_d.stf', '23', 'kormund_thrylle_q1_needed', 'Message for Alliance officer Reen Loruk');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_d.stf', '24', 'wuher_q1_needed', 'An encrypted datadisc');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_d.stf', '25', 'wuher_q2_needed', 'A droid verbo-brain');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_d.stf', '26', 'wuher_q3_needed', 'Small sealed vial');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_d.stf', '27', 'wuher_q4_needed', 'An encrypted datadisc');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_d.stf', '28', 'boshek_q1_needed', 'Current authorization codes from Imperial Customs.');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_d.stf', '29', 'boshek_q3_needed', 'A dozen Mer-Sonn C-22 fragmentation grenades with enhanced magnetic grapples.');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_d.stf', '30', 'figrindan_q1_needed', 'Notes of affection from Bith musician Figrin D\'an, leader of the Modal Nodes.');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_d.stf', '31', 'figrindan_q2_needed', 'Recording of a song, \"You Must Be Forgiving,\" written by Figrin D\'an, leader of the Modal Nodes.');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_d.stf', '32', 'figrindan_q3_needed', 'Letter from Figrin D\'an, leader of the Modal Nodes, pleading with his \"new fan\" to have faith in him.');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_d.stf', '33', 'brea_tonnika_q1_needed', 'An encrypted datadisc');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_d.stf', '34', 'senni_tonnika_q1_needed', 'An encrypted datadisc');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_d.stf', '35', 'senni_tonnika_q2_needed', 'An encrypted datadisc');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_d.stf', '36', 'senni_tonnika_q3_needed', 'An encrypted datadisc');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_d.stf', '37', 'ikka_gesul_q2_needed', 'A datadisc containing an encrypted message.');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_d.stf', '38', 'hedon_istee_q3_needed', 'An ancient scroll sacred to the B\'omarr Order.');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_d.stf', '39', 'wald_q1_needed', 'Broken droid brain from Watto\'s Junk Shop in Mos Espa.');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_d.stf', '40', 'wald_q2_needed', 'Salvaged equipment from Watto\'s Junk Shop in Mos Espa.');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_d.stf', '41', 'wald_q3_needed', 'Unidentifiable item from Watto\'s Junk Shop in Mos Espa; some kind of container (a stimpack?) is barely visible inside.');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_d.stf', '42', 'wald_q4_needed', 'Medical pack from Watto\'s Junk Shop in Mos Espa.');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_d.stf', '43', 'kitster_banai_q5_needed', 'Proof exonerating Kitster Banai of Mos Espa from crimes invented by slaver Drik Bandrik.');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_d.stf', '44', 'mat_rags_q1_needed', 'A dead desert squill.');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_d.stf', '45', 'mat_rags_q2_needed', 'The skin from a variegated womp rat of Tatooine.');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_d.stf', '46', 'mat_rags_q3_needed', 'The horns from a dead matriarch bantha of Tatooine.');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_d.stf', '47', 'mat_rags_q4_needed', 'Hide of a dead grizzled dewback from Tatooine.');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_d.stf', '48', 'kaeline_ungasan_q1_needed', 'A datadisc with Kaeline Ungasan\'s proposal to ally with Lady Valarian.');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_d.stf', '49', 'kaeline_ungasan_q2_needed', 'A list of criminal enforcers working for Jabba the Hutt.');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_d.stf', '50', 'fixer_q1_needed', 'An X-wing power coupling');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_d.stf', '51', 'fixer_q3_needed', 'A small part for a speeder.');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_d.stf', '52', 'windom_starkiller_q2_needed', 'Blix Lanister\'s blaster, used to murder Alita Sweetwater in Anchorhead on Tatooine.');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_d.stf', '53', 'vardias_tyne_q2_needed', 'A small statue of a bantha');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_d.stf', '54', 'aaph_koden_q1_needed', 'Message from the Alliance for Talia Reede');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_d.stf', '55', 'sango_rond_q1_needed', 'Droid verbobrain stolen from trader Sango Rond at the Jawa Mountain Fortress on Tatooine.');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_d.stf', '56', 'rakir_banai_q2_needed', 'Evidence of Drik Bandrik\'s slave operation in a Wayfar mine on Tatooine.');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_d.stf', '57', 'rakir_banai_q4_needed', 'Employment contract between Rakir Banai and Drik Bandrik in Wayfar, Tatooine.');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_d.stf', '58', 'tekil_barje_q1_needed', 'A vaccine against Gray Rot');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_d.stf', '59', 'bren_kingal_q1_needed', 'Thark the Aqualish\'s personal shield generator apparently comes from the Imperial Army. Someone has scratched through the Empire logo.');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_d.stf', '60', 'bren_kingal_q2_needed', 'Kli Sithrin\'s medpack bears an Empire logo.');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_d.stf', '61', 'bren_kingal_q3_needed', 'Jespral Farandan\'s datadisk is labelled \"Reb forces - local.\"');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_d.stf', '62', 'bren_kingal_q4_needed', 'A standard Imperial pilot\'s helmet.');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_d.stf', '63', 'bren_kingal_q4_reward', 'The recipe for this delicious dessert is a closely guarded Kingal family secret.');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_d.stf', '64', 'bantha_doll', 'A small doll of a Bantha, made by patched up pieces of cloth. It\'s a bit dirty with small dots on it, like someone cried while hugging it.');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_n.stf', '1', 'stella_q1_needed', 'Payment for Stella');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_n.stf', '3', 'stella_q3_needed', 'Message for Stella');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_n.stf', '4', 'stella_q2_needed', 'Third Sun Cantina Deed');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_n.stf', '5', 'bren_kingal_q1_reward', 'Worrt Casserole');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_n.stf', '6', 'bren_kingal_q2_reward', 'Bantha Steak Soup');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_n.stf', '7', 'bren_kingal_q3_reward', 'Tusken Bread');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_n.stf', '8', 'melios_purl_q2_needed', 'Womp Rat hide');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_n.stf', '9', 'melios_purl_q3_needed', 'Vaccine');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_n.stf', '10', 'lilas_dinhint_q1_needed', 'Tusken Raider robe');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_n.stf', '11', 'lilas_dinhint_q2_needed', 'Arnthout\'s Armor');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_n.stf', '12', 'lilas_dinhint_q3_needed', 'Historic Survey Tool');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_n.stf', '13', 'lilas_dinhint_q4_needed', 'Mummified Meat');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_n.stf', '14', 'binna_jode_q1_needed', 'Empty Fuel Drum');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_n.stf', '15', 'binna_jode_q2_needed', 'Small Medpack');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_n.stf', '16', 'binna_jode_q3_needed', 'Binna\'s Shirt');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_n.stf', '17', 'binna_jode_q4_needed', 'Datadisk');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_n.stf', '18', 'binna_jode_q1_reward', 'Worrt Casserole');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_n.stf', '19', 'binna_jode_q2_reward', 'Stuffed Funnel Gourd');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_n.stf', '20', 'binna_jode_q3_reward', 'Cheapside Ale');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_n.stf', '21', 'binna_jode_q4_reward', 'Sunflake Pastries');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_n.stf', '22', 'wilhalm_skrim_q1_needed', 'Skrim\'s Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_n.stf', '23', 'wilhalm_skrim_q2_needed', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_n.stf', '24', 'kormund_thrylle_q1_needed', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_n.stf', '25', 'wuher_q1_needed', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_n.stf', '26', 'wuher_q2_needed', 'Droid verbo-brain');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_n.stf', '27', 'wuher_q3_needed', 'Chall poison');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_n.stf', '28', 'wuher_q4_needed', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_n.stf', '29', 'boshek_q1_needed', 'Clean Ship Codes');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_n.stf', '30', 'boshek_q3_needed', 'Case of grenades');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_n.stf', '31', 'figrindan_q1_needed', 'Figrin\'s Love Letters');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_n.stf', '32', 'figrindan_q2_needed', 'Figrin D\'an Song');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_n.stf', '33', 'figrindan_q3_needed', 'Letter to a Figrin Fan');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_n.stf', '34', 'brea_tonnika_q1_needed', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_n.stf', '35', 'senni_tonnika_q1_needed', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_n.stf', '36', 'senni_tonnika_q2_needed', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_n.stf', '37', 'senni_tonnika_q3_needed', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_n.stf', '38', 'ikka_gesul_q2_needed', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_n.stf', '39', 'hedon_istee_q3_needed', 'B\'omarr Sacred Scroll');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_n.stf', '40', 'wald_q1_needed', 'Repair-Droid Verbobrain');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_n.stf', '41', 'wald_q2_needed', 'Power Conditioner');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_n.stf', '42', 'wald_q3_needed', 'Hunk of Junk');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_n.stf', '43', 'wald_q4_needed', 'Stimpack');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_n.stf', '44', 'kitster_banai_q5_needed', 'Kitster\'s Evidence');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_n.stf', '45', 'mat_rags_q1_needed', 'Squill Carcass');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_n.stf', '46', 'mat_rags_q2_needed', 'Womp Rat Hide');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_n.stf', '47', 'mat_rags_q3_needed', 'Bantha Horns');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_n.stf', '48', 'mat_rags_q4_needed', 'Grizzled Dewback Hide');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_n.stf', '49', 'kaeline_ungasan_q2_needed', 'Jabba\'s Enforcers');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_n.stf', '50', 'kaeline_ungasan_q1_needed', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_n.stf', '51', 'fixer_q1_needed', 'Power Coupling');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_n.stf', '52', 'fixer_q3_needed', 'Converter coil');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_n.stf', '53', 'windom_starkiller_q2_needed', 'Blix\'s Blaster');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_n.stf', '54', 'vardias_tyne_q2_needed', 'Bantha Statue');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_n.stf', '55', 'aaph_koden_q1_needed', 'Datadisc ');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_n.stf', '56', 'sango_rond_q1_needed', 'Sango\'s Verbobrain');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_n.stf', '57', 'rakir_banai_q2_needed', 'Bandrik\'s Dealings');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_n.stf', '58', 'rakir_banai_q4_needed', 'Rakir Banai\'s Contract');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_n.stf', '59', 'tekil_barje_q1_needed', 'Vaccine');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_n.stf', '60', 'bren_kingal_q1_needed', 'Shield Generator');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_n.stf', '61', 'bren_kingal_q2_needed', 'Stamina Medpack');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_n.stf', '62', 'bren_kingal_q3_needed', 'Farandan\'s datadisk');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_n.stf', '63', 'bren_kingal_q4_needed', 'AT-ST pilot\'s helmet');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_n.stf', '64', 'bren_kingal_q4_reward', 'Eopie Cream Pie');
INSERT INTO `client_strings` VALUES ('string/en/loot_tato_n.stf', '65', 'bantha_doll', 'A Bantha Doll');
INSERT INTO `client_strings` VALUES ('string/en/loot_yavn_d.stf', '1', 'yith_seenath_q1_needed', 'Encrypted orders from Imperial High Command.');
INSERT INTO `client_strings` VALUES ('string/en/loot_yavn_d.stf', '2', 'gins_darone_q1_needed', 'Standard-issue BlasTech DH-17 blaster pistol owned by a Rebel Alliance officer stranded on Yavin 4.');
INSERT INTO `client_strings` VALUES ('string/en/loot_yavn_d.stf', '3', 'gins_darone_q2_needed', 'Standard-issue Czerka Vibroknuckler owned by a Rebel Alliance Special Forces sergeant on Yavin 4.');
INSERT INTO `client_strings` VALUES ('string/en/loot_yavn_d.stf', '4', 'ruwan_tokai_q1_needed', 'An unidentifiable chunk of durasteel, possibly a hull fragment, from the destroyed Imperial battle station.');
INSERT INTO `client_strings` VALUES ('string/en/loot_yavn_d.stf', '5', 'ruwan_tokai_q2_needed', 'Retroactive permission, granted by an Imperial officer to Imperial Technical Sergeant Ruwan Tokai, to study a Death Star fragment that turned out to be highly classified.');
INSERT INTO `client_strings` VALUES ('string/en/loot_yavn_d.stf', '6', 'jazeen_thurmm_q1_needed', 'Briefcase containing survey tool repair parts');
INSERT INTO `client_strings` VALUES ('string/en/loot_yavn_d.stf', '7', 'drenn_zebber_q1_needed', 'Briefcase containing a mysterious claw');
INSERT INTO `client_strings` VALUES ('string/en/loot_yavn_d.stf', '8', 'lian_byrne_q1_needed', 'A report summarizing the current information acquired from the abandoned Rebel base on Yavin 4.');
INSERT INTO `client_strings` VALUES ('string/en/loot_yavn_d.stf', '9', 'lian_byrne_q3_needed', 'The notes of a Rebel intelligence operative concerning the Imperial salvage operation on Yavin 4. ');
INSERT INTO `client_strings` VALUES ('string/en/loot_yavn_d.stf', '10', 'megan_drlar_q2_needed', 'A rare hyperdrive part from the Death Star.');
INSERT INTO `client_strings` VALUES ('string/en/loot_yavn_n.stf', '1', 'yith_seenath_q1_needed', 'Datadisc ');
INSERT INTO `client_strings` VALUES ('string/en/loot_yavn_n.stf', '2', 'gins_darone_q1_needed', 'Stranded Rebel\'s Weapon');
INSERT INTO `client_strings` VALUES ('string/en/loot_yavn_n.stf', '3', 'gins_darone_q2_needed', 'Special Forces Vibroknuckler');
INSERT INTO `client_strings` VALUES ('string/en/loot_yavn_n.stf', '4', 'ruwan_tokai_q1_needed', 'Death Star Fragment');
INSERT INTO `client_strings` VALUES ('string/en/loot_yavn_n.stf', '5', 'ruwan_tokai_q2_needed', 'Tokai Authorization');
INSERT INTO `client_strings` VALUES ('string/en/loot_yavn_n.stf', '6', 'jazeen_thurmm_q1_needed', 'Briefcase ');
INSERT INTO `client_strings` VALUES ('string/en/loot_yavn_n.stf', '7', 'drenn_zebber_q1_needed', 'Briefcase ');
INSERT INTO `client_strings` VALUES ('string/en/loot_yavn_n.stf', '8', 'lian_byrne_q1_needed', 'Forensics report');
INSERT INTO `client_strings` VALUES ('string/en/loot_yavn_n.stf', '9', 'lian_byrne_q3_needed', 'Rebel spy report');
INSERT INTO `client_strings` VALUES ('string/en/loot_yavn_n.stf', '10', 'megan_drlar_q2_needed', 'A hyperdrive component ');
INSERT INTO `client_strings` VALUES ('string/en/lord_hethrir_1.stf', '1', 'lord1', 'Speak to my contact outside of Moenia and track down the insurgents.');
INSERT INTO `client_strings` VALUES ('string/en/lord_hethrir_1.stf', '2', 'lord1_reply1', 'Will do.');
INSERT INTO `client_strings` VALUES ('string/en/lord_hethrir_1.stf', '3', 'lord1_reply2', 'No time for that now.');
INSERT INTO `client_strings` VALUES ('string/en/lord_hethrir_1.stf', '4', 'lord2', 'Hurry up.  The safety of the Imperial Citizens depends on your quick action.');
INSERT INTO `client_strings` VALUES ('string/en/lord_hethrir_1.stf', '5', 'lord3', 'Finish whatever business is delaying you immediately, and then speak to me again.');
INSERT INTO `client_strings` VALUES ('string/en/lord_hethrir_1.stf', '6', 'informant1', 'You must be who Lord Hethrir sent to talk to me.  Listen, I have discovered the whereabouts of a fringe group that has been selling explosives to radicals!');
INSERT INTO `client_strings` VALUES ('string/en/lord_hethrir_1.stf', '7', 'informant1_reply1', 'Tell me.');
INSERT INTO `client_strings` VALUES ('string/en/lord_hethrir_1.stf', '8', 'informant2', 'What are you trying to do, blow my cover?');
INSERT INTO `client_strings` VALUES ('string/en/lord_hethrir_1.stf', '9', 'informant2_reply1', 'Of course not.  I\'ll go now.');
INSERT INTO `client_strings` VALUES ('string/en/lord_hethrir_1.stf', '10', 'informant3', 'They\'ve established a small camp.  I load the coordinates into your datapad.');
INSERT INTO `client_strings` VALUES ('string/en/magic_eight_ball.stf', '1', 'response1', 'I Have A Bad Feeling About This ');
INSERT INTO `client_strings` VALUES ('string/en/magic_eight_ball.stf', '2', 'response2', 'I Cannot Sense Anything ');
INSERT INTO `client_strings` VALUES ('string/en/magic_eight_ball.stf', '3', 'response3', 'The Outcome Is Not Good ');
INSERT INTO `client_strings` VALUES ('string/en/magic_eight_ball.stf', '4', 'response4', 'Trust Your Instincts ');
INSERT INTO `client_strings` VALUES ('string/en/magic_eight_ball.stf', '5', 'response5', 'It Looks Pretty Bad ');
INSERT INTO `client_strings` VALUES ('string/en/magic_eight_ball.stf', '6', 'response6', 'Hard To See ');
INSERT INTO `client_strings` VALUES ('string/en/magic_eight_ball.stf', '7', 'response7', 'The Future Is Clouded ');
INSERT INTO `client_strings` VALUES ('string/en/magic_eight_ball.stf', '8', 'response8', 'Ask Again Later ');
INSERT INTO `client_strings` VALUES ('string/en/magic_eight_ball.stf', '9', 'response9', 'There Is A Great Disturbance In The Force ');
INSERT INTO `client_strings` VALUES ('string/en/magic_eight_ball.stf', '10', 'response10', 'Better Not Tell You Now ');
INSERT INTO `client_strings` VALUES ('string/en/magic_eight_ball.stf', '11', 'response11', 'Concentrate And Ask Again ');
INSERT INTO `client_strings` VALUES ('string/en/magic_eight_ball.stf', '12', 'response12', 'Don\'t Count On It ');
INSERT INTO `client_strings` VALUES ('string/en/magic_eight_ball.stf', '13', 'response13', 'It Is Certain ');
INSERT INTO `client_strings` VALUES ('string/en/magic_eight_ball.stf', '14', 'response14', 'Most Likely ');
INSERT INTO `client_strings` VALUES ('string/en/magic_eight_ball.stf', '15', 'response15', 'My Reply Is No ');
INSERT INTO `client_strings` VALUES ('string/en/magic_eight_ball.stf', '16', 'response16', 'My Reply Is No ');
INSERT INTO `client_strings` VALUES ('string/en/magic_eight_ball.stf', '17', 'response17', 'No');
INSERT INTO `client_strings` VALUES ('string/en/magic_eight_ball.stf', '18', 'response18', 'Outlook Good ');
INSERT INTO `client_strings` VALUES ('string/en/magic_eight_ball.stf', '19', 'response19', 'Outlook Not So Good ');
INSERT INTO `client_strings` VALUES ('string/en/magic_eight_ball.stf', '20', 'response20', 'The Dark Side Clouds Everything, Try Again ');
INSERT INTO `client_strings` VALUES ('string/en/magic_eight_ball.stf', '21', 'response21', 'Signs Point To Yes ');
INSERT INTO `client_strings` VALUES ('string/en/magic_eight_ball.stf', '22', 'response22', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/magic_eight_ball.stf', '23', 'response23', 'Yes, Definitely ');
INSERT INTO `client_strings` VALUES ('string/en/magic_eight_ball.stf', '24', 'response24', 'You May Rely On It ');
INSERT INTO `client_strings` VALUES ('string/en/magic_eight_ball.stf', '25', 'response25', 'Stretch Out With Your Feelings ');
INSERT INTO `client_strings` VALUES ('string/en/magic_eight_ball.stf', '26', 'response26', 'I Have Felt It Is So ');
INSERT INTO `client_strings` VALUES ('string/en/magic_eight_ball.stf', '27', 'response27', 'Difficult To See, The Future Is Always In Motion ');
INSERT INTO `client_strings` VALUES ('string/en/magic_eight_ball.stf', '28', 'response28', 'Everything Will Proceed As You Have Foreseen ');
INSERT INTO `client_strings` VALUES ('string/en/magic_eight_ball.stf', '29', 'response29', 'I Don\'t Know, Fly Casual ');
INSERT INTO `client_strings` VALUES ('string/en/magic_eight_ball.stf', '30', 'response30', 'Yes, I Have Foreseen It ');
INSERT INTO `client_strings` VALUES ('string/en/magic_eight_ball.stf', '31', 'response31', 'Yes, It Is Your Destiny ');
INSERT INTO `client_strings` VALUES ('string/en/magic_eight_ball.stf', '32', 'response32', 'No, It Is Not Your Destiny ');
INSERT INTO `client_strings` VALUES ('string/en/magic_eight_ball.stf', '33', 'response33', 'The Future Is Impossible To See ');
INSERT INTO `client_strings` VALUES ('string/en/magic_eight_ball.stf', '34', 'response34', 'In Dark Times, Nothing Is What It Appears To Be ');
INSERT INTO `client_strings` VALUES ('string/en/magic_eight_ball.stf', '35', 'response35', 'A Disturbance In The Force Masks The Future ');
INSERT INTO `client_strings` VALUES ('string/en/magic_eight_ball.stf', '36', 'response36', 'It Is A Certainty ');
INSERT INTO `client_strings` VALUES ('string/en/magic_eight_ball.stf', '37', 'response37', 'Make Sure This Is The Right Question ');
INSERT INTO `client_strings` VALUES ('string/en/magic_eight_ball.stf', '38', 'response38', 'I Think You Overestimate Your Chances ');
INSERT INTO `client_strings` VALUES ('string/en/magic_eight_ball.stf', '39', 'response39', 'Yes, But Just Barely ');
INSERT INTO `client_strings` VALUES ('string/en/magic_eight_ball.stf', '40', 'response40', 'No, But You Should Keep Trying ');
INSERT INTO `client_strings` VALUES ('string/en/magic_eight_ball.stf', '41', 'response41', 'I Sense Something Terrible Will Happen ');
INSERT INTO `client_strings` VALUES ('string/en/magic_eight_ball.stf', '42', 'response42', 'I Sense You Will Get What You Wish ');
INSERT INTO `client_strings` VALUES ('string/en/magic_eight_ball.stf', '43', 'response43', 'You Should Ask The Holocron');
INSERT INTO `client_strings` VALUES ('string/en/magic_eight_ball.stf', '44', 'response44', 'Cloudy, The Future Is');
INSERT INTO `client_strings` VALUES ('string/en/magic_eight_ball.stf', '45', 'response45', 'The Force Is With You');
INSERT INTO `client_strings` VALUES ('string/en/magic_eight_ball.stf', '46', 'response46', 'The Force Is Not With You');
INSERT INTO `client_strings` VALUES ('string/en/magic_eight_ball.stf', '47', 'response47', 'Look Deep In Your Heart, There The Answer Lies');
INSERT INTO `client_strings` VALUES ('string/en/magic_eight_ball.stf', '48', 'response48', 'Any Reasonable Person Would Say No');
INSERT INTO `client_strings` VALUES ('string/en/magic_eight_ball.stf', '49', 'response49', 'Any Honest Person Would Say Yes');
INSERT INTO `client_strings` VALUES ('string/en/magic_eight_ball.stf', '50', 'response50', 'Any Sensible Person Would Say They Have No Idea');
INSERT INTO `client_strings` VALUES ('string/en/manf_station.stf', '2', 'options', 'Options');
INSERT INTO `client_strings` VALUES ('string/en/manf_station.stf', '3', 'schematic', 'Access schematic slot.');
INSERT INTO `client_strings` VALUES ('string/en/manf_station.stf', '4', 'no_schematic_examine_prompt', 'There is no schematic being used in this station.');
INSERT INTO `client_strings` VALUES ('string/en/manf_station.stf', '5', 'examine_prompt', 'Ingredients required to manufacture an item at this station.');
INSERT INTO `client_strings` VALUES ('string/en/manf_station.stf', '6', 'activate', 'Start manufacturing objects.');
INSERT INTO `client_strings` VALUES ('string/en/manf_station.stf', '7', 'deactivate', 'Stop manufacturing objects.');
INSERT INTO `client_strings` VALUES ('string/en/manf_station.stf', '8', 'input_hopper', 'Access station ingredient hopper');
INSERT INTO `client_strings` VALUES ('string/en/manf_station.stf', '9', 'output_hopper', 'Access station output hopper');
INSERT INTO `client_strings` VALUES ('string/en/manf_station.stf', '10', 'schematic_added', 'Schematic %TT has been inserted into the station. The station is now ready to manufacture items.');
INSERT INTO `client_strings` VALUES ('string/en/manf_station.stf', '11', 'schematic_not_added', 'Schematic %TT was not added to the station.');
INSERT INTO `client_strings` VALUES ('string/en/manf_station.stf', '12', 'schematic_removed', 'Schematic %TT has been removed from the station and been placed in your datapad. Have a nice day!');
INSERT INTO `client_strings` VALUES ('string/en/manf_station.stf', '13', 'schematic_not_removed', 'Schematic %TT was not removed from the station.');
INSERT INTO `client_strings` VALUES ('string/en/manf_station.stf', '14', 'ingredients', 'List ingredients needed for station');
INSERT INTO `client_strings` VALUES ('string/en/manf_station.stf', '15', 'activated', 'Station activated');
INSERT INTO `client_strings` VALUES ('string/en/manf_station.stf', '16', 'deactivated', 'Station deactivated');
INSERT INTO `client_strings` VALUES ('string/en/manf_station.stf', '17', 'no_valid_schematic', 'Warning: you do not have a draft schematic that can be used in this station.');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '1', 'waypoint', 'Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '2', 'city', 'City');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '3', 'cloningfacility', 'Cloning Facility');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '4', 'cantina', 'Cantina');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '5', 'hotel', 'Hotel');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '6', 'garage', 'Parking Garage');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '7', 'capitol', 'Capitol');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '8', 'bank', 'Bank');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '9', 'guild', 'Guild Hall');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '10', 'guild_commerce', 'Commerce');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '11', 'guild_combat', 'Combat');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '12', 'guild_theater', 'Theater');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '13', 'guild_university', 'University');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '14', 'hospital', 'Hospital');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '15', 'medicalcenter', 'Medical Center');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '16', 'shuttleport', 'Shuttleport');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '17', 'starport', 'Starport');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '18', 'themepark', 'Theme Park');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '19', 'unknown', 'Unknown');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '20', 'other', 'Other');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '23', 'trainer', 'Trainer');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '24', 'trainer_1hsword', 'One-Hand Sword');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '25', 'trainer_2hsword', 'Two-Hand Sword');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '26', 'trainer_architect', 'Architect');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '27', 'trainer_armorsmith', 'Armorsmith');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '28', 'trainer_artisan', 'Artisan');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '29', 'trainer_bountyhunter', 'Bountyhunter');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '30', 'trainer_brawler', 'Brawler');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '31', 'trainer_carbine', 'Carbine');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '32', 'trainer_chef', 'Chef');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '33', 'trainer_combatmedic', 'Combat Medic');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '34', 'trainer_commando', 'Commando');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '35', 'trainer_creaturehandler', 'Creature Handler');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '36', 'trainer_dancer', 'Dancer');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '37', 'trainer_doctor', 'Doctor');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '38', 'trainer_droidengineer', 'Droid Engineer');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '39', 'trainer_entertainer', 'Entertainer');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '40', 'trainer_farmer', 'Farmer');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '41', 'trainer_imagedesigner', 'Image Designer');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '42', 'trainer_industrialist', 'Industrialist');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '43', 'trainer_marksman', 'Marksman');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '44', 'trainer_medic', 'Medic');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '45', 'trainer_miner', 'Miner');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '46', 'trainer_musician', 'Musician');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '47', 'trainer_pistol', 'Pistol');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '48', 'trainer_polearm', 'Polearm');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '49', 'trainer_ranger', 'Ranger');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '50', 'trainer_rifleman', 'Rifleman');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '51', 'trainer_scout', 'Scout');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '52', 'trainer_squadleader', 'Squadleader');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '53', 'trainer_unarmed', 'Unarmed');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '54', 'trainer_tailor', 'Tailor');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '55', 'trainer_weaponsmith', 'Weaponsmith');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '56', 'junkshop', 'Junk Shop');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '57', 'tavern', 'Tavern');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '58', 'barracks', 'Barracks');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '59', 'vendor', 'Vendor');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '60', 'vendor_armor', 'Armor');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '61', 'vendor_clothing', 'Clothing');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '62', 'vendor_components', 'Components');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '63', 'vendor_droids', 'Droids');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '64', 'vendor_equipment', 'Equipment');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '65', 'vendor_food', 'Food');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '66', 'vendor_housing', 'Housing');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '67', 'vendor_resources', 'Resources');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '68', 'vendor_tools', 'Tools');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '69', 'vendor_weapons', 'Weapons');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '70', 'vendor_junk', 'Junk');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '71', 'junk_dealer', 'Junk Dealer');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '72', 'terminal', 'Terminal');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '73', 'terminal_bank', 'Bank Terminal');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '74', 'terminal_bazaar', 'Bazaar Terminal');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '75', 'terminal_mission', 'Mission Terminal');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '76', 'imperial', 'Imperial');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '77', 'rebel', 'Rebel');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '78', 'imperial_hq', 'Imperial Headquarters');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '79', 'rebel_hq', 'Rebel Headquarters');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '80', 'camp', 'Camp');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '81', 'cityhall', 'City Hall');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '82', 'theater', 'Theater');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '83', 'vendor_pets', 'Pets / Pet Supplies');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '84', 'vendor_medical', 'Medical Supplies');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '85', 'poi', 'Points of Interest');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '86', 'museum', 'Museum');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '87', 'salon', 'Salon');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '88', 'space_pilot', 'Space Pilot Professions');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '89', 'space_recruiter', 'Space Recruiter');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '90', 'trainer_shipwright', 'Shipwright Trainer');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '91', 'trainer_starfighter_engineer', 'Starfighter Engineer Trainer');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '93', 'space_chassis', 'Starship Chassis');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '94', 'trainer_pilot_imperial', 'Imperial Pilot Trainer');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '95', 'trainer_pilot_privateer', 'Privateer Pilot Trainer');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '96', 'trainer_pilot_rebel', 'Rebel Pilot Trainer');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '97', 'space_chassis_broker', 'Starship Chassis Broker');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '98', 'space', 'Space');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '99', 'vendor_ships', 'Ships');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '100', 'sf_rebel_forward_base', 'S.F. Rebel Forward Operations Base');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '101', 'sf_imperial_forward_base', 'S.F. Imperial Forward Operations Base');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '102', 'sf_rebel_minor_base', 'S.F. Minor Rebel Base');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '103', 'sf_imperial_minor_base', 'S.F. Minor Imperial Base');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '104', 'sf_rebel_major_base', 'S.F. Major Rebel Base');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '105', 'sf_imperial_major_base', 'S.F. Major Imperial Base');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '106', 'sf_imperial_hq', 'S.F. Imperial HQ');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_cat_n.stf', '107', 'sf_rebel_hq', 'S.F. Rebel HQ');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_n.stf', '1', 'junkshop_watto', 'Watto\'s Junkshop');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_n.stf', '2', 'palace_jabba', 'Jabba\'s Palace');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_n.stf', '3', 'lucky_despot', 'Lucky Despot');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_n.stf', '4', 'theed_palace', 'Theed Palace');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_n.stf', '5', 'fallen_star', 'The Fallen Star');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_n.stf', '6', 'no_registered_locs', 'No Registered Locations');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_n.stf', '7', 'cloning_facility', 'Cloning Facility');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_type_n.stf', '1', 'none', 'None');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_type_n.stf', '2', 'vendor', 'Vendor');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_type_n.stf', '3', 'city', 'City');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_type_n.stf', '4', 'spaceport', 'Spaceport');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_type_n.stf', '5', 'shuttleport', 'Shuttleport');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_type_n.stf', '6', 'cantina', 'Cantina');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_type_n.stf', '7', 'commoditymarket', 'Commodity Market');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_type_n.stf', '8', 'hospital', 'Hospital');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_type_n.stf', '9', 'cloningfacility', 'Cloning Facility');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_type_n.stf', '10', 'waypoint', 'Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_type_n.stf', '11', 'guild_combat', 'Combat Guild');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_type_n.stf', '12', 'guild_commerce', 'Commerce Guild');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_type_n.stf', '13', 'guild_theater', 'Theater Guild');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_type_n.stf', '14', 'university', 'University');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_type_n.stf', '15', 'waypoint_mission', 'Mission Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_type_n.stf', '16', 'unknown', 'Unknown');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_type_n.stf', '17', 'junk_dealer', 'Junk dealer');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_type_n.stf', '18', 'imperial_recruiter', 'Imperial Navy Recruiter');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_type_n.stf', '19', 'rebel_recruiter', 'Rebellion Navy Recruiter');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_type_n.stf', '20', 'pilot_recruiter', 'Pilot Guild recruiter');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_type_n.stf', '21', 'shipwright_trainer', 'Shipwright trainer');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_type_n.stf', '22', 'starfighter_engineer_trainer', 'Starfighter Engineer Trainer');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_type_n.stf', '23', 'corellia_privateer_trainer_1', 'Privateer Pilot Trainer');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_type_n.stf', '24', 'corellia_rebel_trainer_1', 'Rebel Navy Pilot Trainer');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_type_n.stf', '25', 'corellia_imperial_trainer_1', 'Imperial Navy Pilot Trainer');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_type_n.stf', '26', 'naboo_imperial_trainer_1', 'Imperial Navy Pilot Trainer');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_type_n.stf', '27', 'naboo_privateer_trainer_1', 'Privateer Pilot Trainer');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_type_n.stf', '28', 'naboo_rebel_trainer_1', 'Rebel Navy Pilot Trainer');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_type_n.stf', '29', 'tatooine_imperial_trainer_1', 'Imperial Navy Pilot Trainer');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_type_n.stf', '30', 'tatooine_privateer_trainer_1', 'Privateer Pilot Trainer');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_type_n.stf', '31', 'tatooine_rebel_trainer_1', 'Rebel Navy Pilot Trainer');
INSERT INTO `client_strings` VALUES ('string/en/map_loc_type_n.stf', '32', 'space_chassis_broker', 'Space Chassis Broker');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '1', 'mrq1_1', 'Hi.  Are you hungry?\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '2', 'mrq1_2', 'Yes.\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '3', 'mrq1_3', 'No.\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '4', 'mrq1_4', 'I\'m hungry.\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '5', 'mrq1_5', 'I have some food if you want it.\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '6', 'mrq1_6', 'How can I help?\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '7', 'mrq1_7', 'Why don\'t you go to the kitchen and get something to eat?\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '8', 'mrq1_8', 'Why don\'t you go to Mos Eisley and get something to eat?\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '9', 'mrq1_9', 'I don\'t have time to help you.\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '10', 'mrq1_10', 'Can you go help Porcellus?  He\'s supposed to make a special dish for me, but he\'s so busy...\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '11', 'mrq1_11', 'Ok.  I\'ll go help Porcellus.\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '13', 'mrq1_13', 'Who is Porcellus?\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '17', 'mrq1_17', 'Great, thanks!  Go talk to Porcellus in the Palace Kitchen and see if you can help him make my dish.\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '18', 'mrq1_18', 'Maybe you can help me later.  I\'m sure I\'ll still be hungry.\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '19', 'mrq1_19', 'Did you bring my lunch?  I\'m starving!  Go talk to Porcellus and see if you can speed things up.\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '21', 'mrq1_21', 'I\'m still working on it.\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '22', 'mrq1_22', 'No, no... That\'s not what I\'m hungry for.  Porcellus was supposed to make me a special dish.\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '29', 'mrq1_29', 'Porcellus is too busy to make my special dish.  I guess I\'ll just have to wait.\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '35', 'mrq1_35', 'I don\'t have any money.  We work for Jabba in exchange for all the food we can eat.\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '36', 'mrq1_36', 'Maybe I can help Porcellus so he\'ll have time to prepare your special dish.\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '37', 'mrq1_37', 'Your contract with Jabba is to work for food?\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '42', 'mrq1_42', 'Porcellus is Jabba\'s chef.  He\'s very busy preparing for a big feast right now.\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '47', 'mrq1_47', 'Yes, I negotiated the contract myself.  It\'s great, isn\'t it?\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '48', 'mrq1_48', 'That doesn\'t sound like a very good deal.\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '49', 'mrq1_49', 'Oh yes, that\'s a great deal.\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '50', 'mrq1_50', 'I thought so, too.\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '53', 'mrq1_53', 'Who are you?\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '54', 'mrq1_54', 'Well Porcellus is a really great chef.  He was the winner of the Golden Spatula Award.\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '58', 'mrq1_58', 'I\'m Max Rebo.  Haven\'t you heard of the Max Rebo Band?  We\'re Jabba\'s favorite band.\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '61', 'mrq1_61', 'Can you teach me about music?\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '62', 'mrq1_62', 'I\'m not very interested in music, myself.\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '63', 'mrq1_63', 'How about this?  If you help Porcellus then I\'ll teach you a thing or two about music.  My band\'s the best!\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '64', 'mrq1_64', 'Ok.  I\'ll help Porcellus and you can teach me about music.');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '66', 'mrq1_66', 'What about cooking?  Are you interested in cooking?\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '67', 'mrq1_67', 'Oh yes.\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '68', 'mrq1_68', 'Not really.\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '69', 'mrq1_69', 'You know, if you help Porcellus then I\'m sure he\'d be willing to teach you about cooking.\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '70', 'mrq1_70', 'Ok.  I\'ll help Porcellus and he can teach me about cooking.');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '72', 'mrq1_72', 'You don\'t like cooking or music?  Those are my two favoite things!\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '73', 'mrq1_73', 'Maybe there\'s something else you can do for me...\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '75', 'mrq1_75', 'Really?  Like what?\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '76', 'mrq1_76', 'If I help Porcellus, you have to tell Bib Fortuna to trust me with more important missions.\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '77', 'mrq1_77', 'On second thought, nevermind.\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '78', 'mrq1_78', 'Oh that\'s easy!  I would have done that anyway!\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '79', 'mrq1_80', 'I\'m too busy to talk to you.  I have far too many things to do.\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '80', 'mrq1_81', 'Max Rebo sent me to see if I could help you.\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '81', 'mrq1_82', 'Why are you so busy?\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '82', 'mrq1_83', 'Oh, Max and his special dietary preferences!  Well if you want to help, then bring me a Zucca boar so I can cook it up for him.\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '83', 'mrq1_84', 'Ok, will do.\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '84', 'mrq1_85', 'Where can I find one?\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '85', 'mrq1_86', 'If anyone knows where to find one, it\'ll be Ephant Mon.  Go ask him.\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '86', 'mrq1_87', 'Look, I told you I don\'t have time to chat.  I have to prepare a feast for Jabba and a treat for the band, and if I don\'t finish quickly then Jabba will throw me into the Sarlacc Pit.\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '87', 'mrq1_88', 'How can I help?\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '88', 'mrq1_89', 'Do you like working for Jabba?\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '89', 'mrq1_91', 'Good to see you again.  What are you up to these days?\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '90', 'mrq1_92', 'I\'m helping Porcellus find a Zucca Boar.\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '91', 'mrq1_93', 'Not much, how about you?\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '92', 'mrq1_94', 'Oh you know, same ol\' same ol\'\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '93', 'mrq1_95', 'Do you know where I can find a Zucca boar?\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '94', 'mrq1_96', 'Nice talking to you.  See ya.\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '95', 'mrq1_97', 'Sure, I know all about the shipments to and from Tatooine.  A creature like that arrived at the Starport just recently, but Stormtroopers hauled it off right away.\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '96', 'mrq1_98', 'Do you know where it is now?\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '97', 'mrq1_99', 'Do you know if there are any more creatures like that on Tatooine?\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '98', 'mrq1_100', 'I don\'t know.  I bet Captain Fane knows, though.  Find him at the Wayfar cantina and tell him I sent you.\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '99', 'mrq1_102', 'What do you want?\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '100', 'mrq1_103', 'Nothing.  Nevermind.\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '101', 'mrq1_104', 'Can you help me find the Zucca Boar that arrived recently?');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '102', 'mrq1_105', 'Sure, I know where they took that boar. Someone\'s been experimenting on creatures to make them strong and mean.  But I\'m not in the habit of giving away information for free.\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '103', 'mrq1_106', 'Do you want some money?\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '104', 'mrq1_107', 'Is there something I can do for you.\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '105', 'mrq1_108', 'Maybe you can do me a favor.  There\'s a strange looking Bith that\'s been following me around.  I think he\'s up to no good.  Escort me to the cantina so that Bith won\'t try anything sneaky, and I\'ll radio you the coordinates of the Imperial facility once I\'ve met my friends inside.\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '106', 'mrq1_109', 'Ok, it\'s a deal.\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '107', 'mrq1_110', 'Maybe later.\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '108', 'mrq1_111', 'Let\'s get going then.  Lead the way.\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '109', 'mrq1_113', 'Hold them off!\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '110', 'mrq1_114', 'I made it, thanks to you!  I\'m transmitting you the coordinates where the boar was last seen.  Good luck!  \n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '111', 'mrq1_116', 'There\'s a dangerous creature in the building.  I don\'t know what the Empire has been up to here, but that creature looks insane.  We\'d better clear out of here, there are probably more Stormtroopers on the way.\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '112', 'mrq1_118', 'You\'ve returned!  And you have the meat I need for Max Rebo!  Maybe I won\'t be thrown into the Sarlacc after all.\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '113', 'mrq1_119', 'I\'ll deliver the dish to Max Rebo.  He\'s going to teach me about music.\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '114', 'mrq1_120', 'Will you teach me about cooking while you prepare the dish?  I\'ve heard you\'re a great chef.\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '115', 'mrq1_121', 'Certainly.  That will save me even more time.  Here you go.  Take that to Max Rebo.\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '116', 'mrq1_122', 'That\'s right.  I\'m the winner of the Golden Spatula award.  Watch and learn...\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '117', 'mrq1_124', 'Finally!  Mmmm... I love Porcellus\' cooking.  That sure took a long time, though.  Did you get lost on your way to the kitchen?');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '118', 'mrq1_125', 'Yes.\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '119', 'mrq1_126', 'Well, it was a bit more involved than that.\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '120', 'mrq1_127', 'It\'s a big Palace.  Hey, ready to learn some tricks of the trade?\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '121', 'mrq1_128', 'Sure.\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '122', 'mrq1_129', 'No thanks.  Just tell Bib Fortuna what a reliable person I am.\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '123', 'mrq1_130', 'But it was... Mmmm... well worth it.  This is delicious!  Say, do you to teach you something about music?\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '126', 'mrq1_133', 'Ok, pay attention now, because I\'m only going to show you once.\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '127', 'mrq1_134', 'You got it!  See you later.  Oh, if you need something else to do I think Barada was looking for some help with something...\n');
INSERT INTO `client_strings` VALUES ('string/en/max_rebo_quest_1.stf', '128', 'busy', 'Sorry, I can\'t talk.  I\'m busy.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '1', 'medpack_damage', 'This medpack allows someone with medic skill to heal themselves and others who are nearby. To use it, click on your target (they should be your look-at target) then click on the medpack and choose the option to heal your target.  Alternately, you can put the medpack in your toolbar, choose your lookat target, then hit the quick-key that corresponds to your medicine.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '2', 'medpack_sm_s1', 'This medpack allows someone with medic skill to heal themselves and others who are nearby. To use it, click on your target (they should be your look-at target) then click on the medpack and choose the option to heal your target.  Alternately, you can put the medpack in your toolbar, choose your lookat target, then hit the quick-key that corresponds to your medicine.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '3', 'medpack_wound', 'This medpack will allow someone who is skilled to heal minor wounds on their target. To use it, click on your target (they should be your look-at target) then click on the medpack and choose the option to heal your target.  Alternately, you can put the medpack in your toolbar, choose your lookat target, then hit the quick-key that corresponds to your medicine.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '4', 'medpack_wound_action', 'Medicine specifically designed to heal wounds to the Action pool. To use it, click on your target (they should be your look-at target) then click on the medpack and choose the option to heal your target.  Alternately, you can put the medpack in your toolbar, choose your lookat target, then hit the quick-key that corresponds to your medicine.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '5', 'medpack_wound_constitution', 'Medicine specifically designed to heal wounds to the Constitution pool. To use it, click on your target (they should be your look-at target) then click on the medpack and choose the option to heal your target.  Alternately, you can put the medpack in your toolbar, choose your lookat target, then hit the quick-key that corresponds to your medicine.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '6', 'medpack_wound_health', 'Medicine specifically designed to heal wounds to the Health pool. To use it, click on your target (they should be your look-at target) then click on the medpack and choose the option to heal your target.  Alternately, you can put the medpack in your toolbar, choose your lookat target, then hit the quick-key that corresponds to your medicine.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '7', 'medpack_wound_quickness', 'Medicine specifically designed to heal wounds to the Quickness pool. To use it, click on your target (they should be your look-at target) then click on the medpack and choose the option to heal your target.  Alternately, you can put the medpack in your toolbar, choose your lookat target, then hit the quick-key that corresponds to your medicine.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '8', 'medpack_wound_stamina', 'Medicine specifically designed to heal wounds to the Stamina pool. To use it, click on your target (they should be your look-at target) then click on the medpack and choose the option to heal your target.  Alternately, you can put the medpack in your toolbar, choose your lookat target, then hit the quick-key that corresponds to your medicine.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '9', 'medpack_wound_strength', 'Medicine specifically designed to heal wounds to the Strength pool. To use it, click on your target (they should be your look-at target) then click on the medpack and choose the option to heal your target.  Alternately, you can put the medpack in your toolbar, choose your lookat target, then hit the quick-key that corresponds to your medicine.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '10', 'healing_grenade', 'This grenade is designed to spray a jelly-like type of bacta that can ease the extent of battlefield injuries.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '11', 'medic_damage_a', 'This low-level health-stim hypodermic appliance allows Medics to heal themselves and others who are nearby. To use it, click on your target (they should be your look-at target) then click on the medpack and choose the option to heal your target.  Alternately, you can put the medpack in your toolbar, choose your lookat target, then hit the quick-key that corresponds to your medicine.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '12', 'medic_cure_poison_a', 'This medpack allows for the possibility of curing an ally who has become poisoned.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '13', 'medic_blinded_a', 'This medpack allows for the possibility of curing an ally who has become blind.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '14', 'medic_dizzy_a', 'This medpack can be used to attempt to cure an ally who has become dizzy.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '15', 'medic_cure_poison_b', 'This more advanced medpack has a better chance of curing an ally of malicious poisons.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '16', 'medic_cure_poison_c', 'This very advanced medpack is very efficient at curing most poisons.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '17', 'medic_poison_health_a', 'This device delivers a poison at range which causes health damage.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '18', 'medic_poison_health_b', 'This device delivers a strong poison at range which causes health damage.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '19', 'medic_poison_health_c', 'This device delivers a powerful poison at range which causes health damage.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '20', 'medic_poison_action_a', 'This device delivers a poison at range which causes action damage.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '21', 'medic_poison_action_b', 'This device delivers a strong poison at range which causes action damage.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '22', 'medic_poison_action_c', 'This device delivers a powerful poison at range which causes action damage.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '23', 'medic_poison_mind_a', 'This device delivers a poison at range which causes mind damage.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '24', 'medic_poison_mind_b', 'This device delivers a strong poison at range which causes mind damage.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '25', 'medic_poison_mind_c', 'This device delivers a powerful poison at range which causes mind damage.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '26', 'medic_disease_action_a', 'This device delivers a disease at range which inflicts action wounds.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '27', 'medic_disease_action_b', 'This device delivers a strong disease at range which inflicts action wounds.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '28', 'medic_disease_action_c', 'This device delivers a powerful disease at range which inflicts action wounds.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '29', 'medic_disease_constitution_a', 'This device delivers a disease at range which inflicts constitution wounds.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '30', 'medic_disease_constitution_b', 'This device delivers a strong disease at range which inflicts constitution wounds.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '31', 'medic_disease_constitution_c', 'This device delivers a powerful disease at range which inflicts constitution wounds.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '32', 'medic_disease_focus_a', 'This device delivers a disease at range which inflicts focus wounds.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '33', 'medic_disease_focus_b', 'This device delivers a strong disease at range which inflicts focus wounds.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '34', 'medic_disease_focus_c', 'This device delivers a powerful disease at range which inflicts focus wounds.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '35', 'medic_disease_health_a', 'This device delivers a disease at range which inflicts health wounds.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '36', 'medic_disease_health_b', 'This device delivers a strong disease at range which inflicts health wounds.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '37', 'medic_disease_health_c', 'This device delivers a powerful disease at range which inflicts health wounds.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '38', 'medic_disease_mind_a', 'This device delivers a disease at range which inflicts mind wounds.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '39', 'medic_disease_mind_b', 'This device delivers a strong disease at range which inflicts mind wounds.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '40', 'medic_disease_mind_c', 'This device delivers a powerful disease at range which inflicts mind wounds.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '41', 'medic_disease_quickness_a', 'This device delivers a disease at range which inflicts quickness wounds.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '42', 'medic_disease_quickness_b', 'This device delivers a strong disease at range which inflicts quickness wounds.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '43', 'medic_disease_quickness_c', 'This device delivers a powerful disease at range which inflicts quickness wounds.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '44', 'medic_disease_stamina_a', 'This device delivers a disease at range which inflicts stamina wounds.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '45', 'medic_disease_stamina_b', 'This device delivers a strong disease at range which inflicts stamina wounds.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '46', 'medic_disease_stamina_c', 'This device delivers a powerful disease at range which inflicts stamina wounds.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '47', 'medic_disease_strength_a', 'This device delivers a disease at range which inflicts strength wounds.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '48', 'medic_disease_strength_b', 'This device delivers a strong disease at range which inflicts strength wounds.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '49', 'medic_disease_strength_c', 'This device delivers a powerful disease at range which inflicts strength wounds.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '50', 'medic_disease_willpower_a', 'This device delivers a disease at range which inflicts willpower wounds.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '51', 'medic_disease_willpower_b', 'This device delivers a strong disease at range which inflicts willpower wounds.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '52', 'medic_disease_willpower_c', 'This device delivers a powerful disease at range which inflicts willpower wounds.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '53', 'medic_poison_area_health_a', 'This device delivers a cloud of poison at range which causes health damage.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '54', 'medic_poison_area_health_b', 'This device delivers a cloud of strong poison at range which causes health damage.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '55', 'medic_poison_area_health_c', 'This device delivers a cloud of powerful poison at range which causes health damage.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '56', 'medic_poison_area_action_a', 'This device delivers a cloud of poison at range which causes action damage.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '57', 'medic_poison_area_action_b', 'This device delivers a cloud of strong poison at range which causes action damage.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '58', 'medic_poison_area_action_c', 'This device delivers a cloud of powerful poison at range which causes action damage.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '59', 'medic_poison_area_mind_a', 'This device delivers a cloud of poison at range which causes mind damage.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '60', 'medic_poison_area_mind_b', 'This device delivers a cloud of strong poison at range which causes mind damage.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '61', 'medic_poison_area_mind_c', 'This device delivers a cloud of powerful poison at range which causes mind damage.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '62', 'medpack_damage_b', 'This medpack allows someone with medic skill to heal themselves and others who are nearby. To use it, click on your target (they should be your look-at target) then click on the medpack and choose the option to heal your target.  Alternately, you can put the medpack in your toolbar, choose your lookat target, then hit the quick-key that corresponds to your medicine.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '63', 'medpack_damage_c', 'This medpack allows someone with medic skill to heal themselves and others who are nearby. To use it, click on your target (they should be your look-at target) then click on the medpack and choose the option to heal your target.  Alternately, you can put the medpack in your toolbar, choose your lookat target, then hit the quick-key that corresponds to your medicine.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '64', 'medpack_damage_d', 'This medpack allows someone with medic skill to heal themselves and others who are nearby. To use it, click on your target (they should be your look-at target) then click on the medpack and choose the option to heal your target.  Alternately, you can put the medpack in your toolbar, choose your lookat target, then hit the quick-key that corresponds to your medicine.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '65', 'medpack_damage_e', 'This medpack allows someone with medic skill to heal themselves and others who are nearby. To use it, click on your target (they should be your look-at target) then click on the medpack and choose the option to heal your target.  Alternately, you can put the medpack in your toolbar, choose your lookat target, then hit the quick-key that corresponds to your medicine.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '66', 'medic_disease_area_action_a', 'This device delivers a cloud of disease at range which inflicts action wounds.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '67', 'medic_disease_area_action_b', 'This device delivers a cloud of strong disease at range which inflicts action wounds.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '68', 'medic_disease_area_action_c', 'This device delivers a cloud of powerful disease at range which inflicts action wounds.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '69', 'medic_disease_area_constitution_a', 'This device delivers a cloud of disease at range which inflicts constitution wounds.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '70', 'medic_disease_area_constitution_b', 'This device delivers a cloud of strong disease at range which inflicts constitution wounds.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '71', 'medic_disease_area_constitution_c', 'This device delivers a cloud of powerful disease at range which inflicts constitution wounds.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '72', 'medic_disease_area_focus_a', 'This device delivers a cloud of disease at range which inflicts focus wounds.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '73', 'medic_disease_area_focus_b', 'This device delivers a cloud of strong disease at range which inflicts focus wounds.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '74', 'medic_disease_area_focus_c', 'This device delivers a cloud of powerful disease at range which inflicts focus wounds.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '75', 'medic_disease_area_health_a', 'This device delivers a cloud of disease at range which inflicts health wounds.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '76', 'medic_disease_area_health_b', 'This device delivers a cloud of strong disease at range which inflicts focus wounds.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '77', 'medic_disease_area_health_c', 'This device delivers a cloud of powerful disease at range which inflicts focus wounds.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '78', 'medic_disease_area_mind_a', 'This device delivers a cloud of disease at range which inflicts mind wounds.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '79', 'medic_disease_area_mind_b', 'This device delivers a cloud of strong disease at range which inflicts mind wounds.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '80', 'medic_disease_area_mind_c', 'This device delivers a cloud of powerful disease at range which inflicts mind wounds.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '81', 'medic_disease_area_quickness_a', 'This device delivers a cloud of disease at range which inflicts quickness wounds.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '82', 'medic_disease_area_quickness_b', 'This device delivers a cloud of strong disease at range which inflicts quickness wounds.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '83', 'medic_disease_area_quickness_c', 'This device delivers a cloud of powerful disease at range which inflicts quickness wounds.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '84', 'medic_disease_area_stamina_a', 'This device delivers a cloud of disease at range which inflicts stamina wounds.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '85', 'medic_disease_area_stamina_b', 'This device delivers a cloud of strong disease at range which inflicts stamina wounds.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '86', 'medic_disease_area_stamina_c', 'This device delivers a cloud of powerful disease at range which inflicts stamina wounds.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '87', 'medic_disease_area_strength_a', 'This device delivers a cloud of disease at range which inflicts strength wounds.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '88', 'medic_disease_area_strength_b', 'This device delivers a cloud of strong disease at range which inflicts strength wounds.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '89', 'medic_disease_area_strength_c', 'This device delivers a cloud of powerful disease at range which inflicts strength wounds.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '90', 'medic_disease_area_willpower_a', 'This device delivers a cloud of disease at range which inflicts willpower wounds.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '91', 'medic_disease_area_willpower_b', 'This device delivers a cloud of strong disease at range which inflicts willpower wounds.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '92', 'medic_disease_area_willpower_c', 'This device delivers a cloud of powerful disease at range which inflicts willpower wounds.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '93', 'medpack_area_a', 'This medpack allows someone with medic skill to heal the damage of all friendly units within an area around the target.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '94', 'medpack_area_b', 'This medpack allows someone with medic skill to heal the damage of all friendly units within an area around the target.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '95', 'medpack_area_c', 'This medpack allows someone with medic skill to heal the damage of all friendly units within an area around the target.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '96', 'medpack_damage_a', 'This medpack allows someone with medic skill to heal themselves and others who are nearby. To use it, click on your target (they should be your look-at target) then click on the medpack and choose the option to heal your target.  Alternately, you can put the medpack in your toolbar, choose your lookat target, then hit the quick-key that corresponds to your medicine.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '97', 'stimpack_sm_s1', 'This stimpack allows someone with medic skill to heal themselves and others who are nearby. To use it, click on your target (they should be your look-at target) then click on the stimpack and choose the option to heal your target.  Alternately, you can put the medpack in your toolbar, choose your lookat target, then hit the quick-key that corresponds to your medicine.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '98', 'stimpack_sm_s1_a', 'This stimpack allows someone with medic skill to heal themselves and others who are nearby. To use it, click on your target (they should be your look-at target) then click on the stimpack and choose the option to heal your target.  Alternately, you can put the medpack in your toolbar, choose your lookat target, then hit the quick-key that corresponds to your medicine.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '99', 'medic_cure_disease_a', 'This medpack allows for the possibility of curing an ally who has become diseased.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '100', 'medic_cure_disease_b', 'This more advanced medpack has a better chance of curing an ally of disease.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '101', 'medic_cure_disease_c', 'This very advanced medpack is very efficient at curing most diseases.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '102', 'medic_intimidated_a', 'This device can be used to attempt to clear an ally from being intimidated by giving them a dose of adrenaline to shock them out of their state.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '103', 'medic_stunned_a', 'This device can be used to attempt to cure an ally who has become stunned.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '104', 'medpack_enhance_action_a', 'This medpack allows a person with the correct medical skill to temporarily enhance the Action pool of themselves or their target.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '105', 'medpack_enhance_action_b', 'This advanced medpack allows a person with the correct medical skill to temporarily enhance the Action pool of themselves or their target.  This is more powerful than Enhance Action Medpack - A.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '106', 'medpack_enhance_action_c', 'This powerful medpack allows a person with the correct medical skill to temporarily enhance the Action pool of themselves or their target. This is more powerful than Enhance Action Medpack - B.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '107', 'medpack_enhance_action_d', 'This very powerful medpack allows a person with the correct medical skill to temporarily enhance the Action pool of themselves or their target. This is more powerful than Enhance Action Medpack - C.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '108', 'medpack_enhance_constitution_a', 'This medpack allows a person with the correct medical skill to temporarily enhance the Constitution pool of themselves or their target.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '109', 'medpack_enhance_constitution_b', 'This advanced medpack allows a person with the correct medical skill to temporarily enhance the Constitution pool of themselves or their target. This is more powerful than Enhance Constitution Medpack - A.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '110', 'medpack_enhance_constitution_c', 'This powerful medpack allows a person with the correct medical skill to temporarily enhance the Constitution pool of themselves or their target. This is more powerful than Enhance Constitution Medpack - B.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '111', 'medpack_enhance_constitution_d', 'This very powerful medpack allows a person with the correct medical skill to temporarily enhance the Constitution pool of themselves or their target. This is more powerful than Enhance Constitution Medpack - C.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '112', 'medpack_enhance_health_a', 'This medpack allows a person with the correct medical skill to temporarily enhance the Health pool of themselves or their target.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '113', 'medpack_enhance_health_b', 'This advanced medpack allows a person with the correct medical skill to temporarily enhance the Health pool of themselves or their target. This is more powerful than Enhance Health Medpack - A.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '114', 'medpack_enhance_health_c', 'This powerful medpack allows a person with the correct medical skill to temporarily enhance the Health pool of themselves or their target. This is more powerful than Enhance Health Medpack - B.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '115', 'medpack_enhance_health_d', 'This very powerful medpack allows a person with the correct medical skill to temporarily enhance the Health pool of themselves or their target. This is more powerful than Enhance Health Medpack - C.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '116', 'medpack_enhance_quickness_a', 'This medpack allows a person with the correct medical skill to temporarily enhance the Quickness pool of themselves or their target.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '117', 'medpack_enhance_quickness_b', 'This advanced medpack allows a person with the correct medical skill to temporarily enhance the Quickness pool of themselves or their target. This is more powerful than Enhance Quickness Medpack - A.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '118', 'medpack_enhance_quickness_c', 'This powerful medpack allows a person with the correct medical skill to temporarily enhance the Quickness pool of themselves or their target. This is more powerful than Enhance Quickness Medpack - B.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '119', 'medpack_enhance_quickness_d', 'This very powerful medpack allows a person with the correct medical skill to temporarily enhance the Quickness pool of themselves or their target. This is more powerful than Enhance Quickness Medpack - C.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '120', 'medpack_enhance_stamina_a', 'This medpack allows a person with the correct medical skill to temporarily enhance the Stamina pool of themselves or their target.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '121', 'medpack_enhance_stamina_b', 'This advanced medpack allows a person with the correct medical skill to temporarily enhance the Stamina pool of themselves or their target. This is more powerful than Enhance Stamina Medpack - A.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '122', 'medpack_enhance_stamina_c', 'This powerful medpack allows a person with the correct medical skill to temporarily enhance the Stamina pool of themselves or their target. This is more powerful than Enhance Stamina Medpack - B.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '123', 'medpack_enhance_stamina_d', 'This very powerful medpack allows a person with the correct medical skill to temporarily enhance the Stamina pool of themselves or their target. This is more powerful than Enhance Stamina Medpack - C.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '124', 'medpack_enhance_strength_a', 'This medpack allows a person with the correct medical skill to temporarily enhance the Strength pool of themselves or their target.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '125', 'medpack_enhance_strength_b', 'This advanced medpack allows a person with the correct medical skill to temporarily enhance the Strength pool of themselves or their target. This is more powerful than Enhance Strength Medpack - A.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '126', 'medpack_enhance_strength_c', 'This powerful medpack allows a person with the correct medical skill to temporarily enhance the Strength pool of themselves or their target. This is more powerful than Enhance Strength Medpack - B.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '127', 'medpack_enhance_strength_d', 'This very powerful medpack allows a person with the correct medical skill to temporarily enhance the Strength pool of themselves or their target. This is more powerful than Enhance Strength Medpack - C.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '128', 'medpack_revive', 'This resuscitation kit is an extremely advanced piece of medical technology.  It has the possibility, if used by somebody with the proper Doctor skills, to shock and coax a dying body back to life.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '129', 'medpack_wound_action_a', 'Medicine specifically designed to heal wounds to the Action pool. To use it, click on your target (they should be your look-at target) then click on the medpack and choose the option to heal your target.  Alternately, you can put the medpack in your toolbar, choose your lookat target, then hit the quick-key that corresponds to your medicine.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '130', 'medpack_wound_action_b', 'Medicine specifically designed to heal wounds to the Action pool. To use it, click on your target (they should be your look-at target) then click on the medpack and choose the option to heal your target.  Alternately, you can put the medpack in your toolbar, choose your lookat target, then hit the quick-key that corresponds to your medicine.  This is more powerful than Action Wound Medpack - A.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '132', 'medpack_wound_action_c', 'Medicine specifically designed to heal wounds to the Action pool. To use it, click on your target (they should be your look-at target) then click on the medpack and choose the option to heal your target.  Alternately, you can put the medpack in your toolbar, choose your lookat target, then hit the quick-key that corresponds to your medicine.  This is more powerful than Action Wound Medpack - B.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '133', 'medpack_wound_action_d', 'Medicine specifically designed to heal wounds to the Action pool. To use it, click on your target (they should be your look-at target) then click on the medpack and choose the option to heal your target.  Alternately, you can put the medpack in your toolbar, choose your lookat target, then hit the quick-key that corresponds to your medicine.  This is more powerful than Action Wound Medpack - C.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '134', 'medpack_wound_action_e', 'Medicine specifically designed to heal wounds to the Action pool. To use it, click on your target (they should be your look-at target) then click on the medpack and choose the option to heal your target.  Alternately, you can put the medpack in your toolbar, choose your lookat target, then hit the quick-key that corresponds to your medicine.  This is more powerful than Action Wound Medpack - D, and is the most advanced Action Wound Medpack available.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '135', 'medpack_wound_constitution_a', 'Medicine specifically designed to heal wounds to the Constitution pool. To use it, click on your target (they should be your look-at target) then click on the medpack and choose the option to heal your target.  Alternately, you can put the medpack in your toolbar, choose your lookat target, then hit the quick-key that corresponds to your medicine.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '136', 'medpack_wound_constitution_b', 'Medicine specifically designed to heal wounds to the Constitution pool. To use it, click on your target (they should be your look-at target) then click on the medpack and choose the option to heal your target.  Alternately, you can put the medpack in your toolbar, choose your lookat target, then hit the quick-key that corresponds to your medicine.  This is more powerful than Constitution Wound Medpack - A.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '137', 'medpack_wound_constitution_c', 'Medicine specifically designed to heal wounds to the Constitution pool. To use it, click on your target (they should be your look-at target) then click on the medpack and choose the option to heal your target.  Alternately, you can put the medpack in your toolbar, choose your lookat target, then hit the quick-key that corresponds to your medicine.  This is more powerful than Constitution Wound Medpack - B.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '138', 'medpack_wound_constitution_d', 'Medicine specifically designed to heal wounds to the Constitution pool. To use it, click on your target (they should be your look-at target) then click on the medpack and choose the option to heal your target.  Alternately, you can put the medpack in your toolbar, choose your lookat target, then hit the quick-key that corresponds to your medicine.  This is more powerful than Constitution Wound Medpack - C.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '139', 'medpack_wound_constitution_e', 'Medicine specifically designed to heal wounds to the Constitution pool. To use it, click on your target (they should be your look-at target) then click on the medpack and choose the option to heal your target.  Alternately, you can put the medpack in your toolbar, choose your lookat target, then hit the quick-key that corresponds to your medicine.  This is more powerful than Constitution Wound Medpack - D, and is the most advanced Constitution Wound Medpack available.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '140', 'medpack_wound_health_a', 'Medicine specifically designed to heal wounds to the Health pool. To use it, click on your target (they should be your look-at target) then click on the medpack and choose the option to heal your target.  Alternately, you can put the medpack in your toolbar, choose your lookat target, then hit the quick-key that corresponds to your medicine.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '141', 'medpack_wound_health_b', 'Medicine specifically designed to heal wounds to the Health pool. To use it, click on your target (they should be your look-at target) then click on the medpack and choose the option to heal your target.  Alternately, you can put the medpack in your toolbar, choose your lookat target, then hit the quick-key that corresponds to your medicine.  This is more powerful than Health Wound Medpack - A.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '142', 'medpack_wound_health_c', 'Medicine specifically designed to heal wounds to the Health pool. To use it, click on your target (they should be your look-at target) then click on the medpack and choose the option to heal your target.  Alternately, you can put the medpack in your toolbar, choose your lookat target, then hit the quick-key that corresponds to your medicine.  This is more powerful than Health Wound Medpack - B.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '143', 'medpack_wound_health_d', 'Medicine specifically designed to heal wounds to the Health pool. To use it, click on your target (they should be your look-at target) then click on the medpack and choose the option to heal your target.  Alternately, you can put the medpack in your toolbar, choose your lookat target, then hit the quick-key that corresponds to your medicine.  This is more powerful than Health Wound Medpack - C.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '144', 'medpack_wound_health_e', 'Medicine specifically designed to heal wounds to the Health pool. To use it, click on your target (they should be your look-at target) then click on the medpack and choose the option to heal your target.  Alternately, you can put the medpack in your toolbar, choose your lookat target, then hit the quick-key that corresponds to your medicine.  This is more powerful than Health Wound Medpack - D, and is the most advanced Health Wound Medpack available.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '145', 'medpack_wound_quickness_a', 'Medicine specifically designed to heal wounds to the Quickness pool. To use it, click on your target (they should be your look-at target) then click on the medpack and choose the option to heal your target.  Alternately, you can put the medpack in your toolbar, choose your lookat target, then hit the quick-key that corresponds to your medicine.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '146', 'medpack_wound_quickness_b', 'Medicine specifically designed to heal wounds to the Quickness pool. To use it, click on your target (they should be your look-at target) then click on the medpack and choose the option to heal your target.  Alternately, you can put the medpack in your toolbar, choose your lookat target, then hit the quick-key that corresponds to your medicine.  This is more powerful than Quickness Wound Medpack - A.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '147', 'medpack_wound_quickness_c', 'Medicine specifically designed to heal wounds to the Quickness pool. To use it, click on your target (they should be your look-at target) then click on the medpack and choose the option to heal your target.  Alternately, you can put the medpack in your toolbar, choose your lookat target, then hit the quick-key that corresponds to your medicine.  This is more powerful than Quickness Wound Medpack - B.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '148', 'medpack_wound_quickness_d', 'Medicine specifically designed to heal wounds to the Quickness pool. To use it, click on your target (they should be your look-at target) then click on the medpack and choose the option to heal your target.  Alternately, you can put the medpack in your toolbar, choose your lookat target, then hit the quick-key that corresponds to your medicine.  This is more powerful than Quickness Wound Medpack - C.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '149', 'medpack_wound_quickness_e', 'Medicine specifically designed to heal wounds to the Quickness pool. To use it, click on your target (they should be your look-at target) then click on the medpack and choose the option to heal your target.  Alternately, you can put the medpack in your toolbar, choose your lookat target, then hit the quick-key that corresponds to your medicine.  This is more powerful than Quickness Wound Medpack - D, and is the most advanced Quickness Wound Medpack available.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '150', 'medpack_wound_stamina_a', 'Medicine specifically designed to heal wounds to the Stamina pool. To use it, click on your target (they should be your look-at target) then click on the medpack and choose the option to heal your target.  Alternately, you can put the medpack in your toolbar, choose your lookat target, then hit the quick-key that corresponds to your medicine.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '151', 'medpack_wound_stamina_b', 'Medicine specifically designed to heal wounds to the Stamina pool. To use it, click on your target (they should be your look-at target) then click on the medpack and choose the option to heal your target.  Alternately, you can put the medpack in your toolbar, choose your lookat target, then hit the quick-key that corresponds to your medicine.  This is more powerful than Stamina Wound Medpack - A.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '152', 'medpack_wound_stamina_c', 'Medicine specifically designed to heal wounds to the Stamina pool. To use it, click on your target (they should be your look-at target) then click on the medpack and choose the option to heal your target.  Alternately, you can put the medpack in your toolbar, choose your lookat target, then hit the quick-key that corresponds to your medicine.  This is more powerful than Stamina Wound Medpack - B.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '153', 'medpack_wound_stamina_d', 'Medicine specifically designed to heal wounds to the Stamina pool. To use it, click on your target (they should be your look-at target) then click on the medpack and choose the option to heal your target.  Alternately, you can put the medpack in your toolbar, choose your lookat target, then hit the quick-key that corresponds to your medicine.  This is more powerful than Stamina Wound Medpack - C.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '154', 'medpack_wound_stamina_e', 'Medicine specifically designed to heal wounds to the Stamina pool. To use it, click on your target (they should be your look-at target) then click on the medpack and choose the option to heal your target.  Alternately, you can put the medpack in your toolbar, choose your lookat target, then hit the quick-key that corresponds to your medicine.  This is more powerful than Stamina Wound Medpack - D, and is the most advanced Stamina Wound Medpack available.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '155', 'medpack_wound_strength_a', 'Medicine specifically designed to heal wounds to the Strength pool. To use it, click on your target (they should be your look-at target) then click on the medpack and choose the option to heal your target.  Alternately, you can put the medpack in your toolbar, choose your lookat target, then hit the quick-key that corresponds to your medicine. ');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '156', 'medpack_wound_strength_b', 'Medicine specifically designed to heal wounds to the Strength pool. To use it, click on your target (they should be your look-at target) then click on the medpack and choose the option to heal your target.  Alternately, you can put the medpack in your toolbar, choose your lookat target, then hit the quick-key that corresponds to your medicine.  This is more powerful than Strength Wound Medpack - A.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '157', 'medpack_wound_strength_c', 'Medicine specifically designed to heal wounds to the Strength pool. To use it, click on your target (they should be your look-at target) then click on the medpack and choose the option to heal your target.  Alternately, you can put the medpack in your toolbar, choose your lookat target, then hit the quick-key that corresponds to your medicine.  This is more powerful than Strength Wound Medpack - B.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '158', 'medpack_wound_strength_d', 'Medicine specifically designed to heal wounds to the Strength pool. To use it, click on your target (they should be your look-at target) then click on the medpack and choose the option to heal your target.  Alternately, you can put the medpack in your toolbar, choose your lookat target, then hit the quick-key that corresponds to your medicine.  This is more powerful than Strength Wound Medpack - C.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '159', 'medpack_wound_strength_e', 'Medicine specifically designed to heal wounds to the Strength pool. To use it, click on your target (they should be your look-at target) then click on the medpack and choose the option to heal your target.  Alternately, you can put the medpack in your toolbar, choose your lookat target, then hit the quick-key that corresponds to your medicine.  This is more powerful than Strength Wound Medpack - D, and is the most advanced Strength Wound Medpack available.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '160', 'stimpack_sm_s1_b', 'This stimpack allows someone with medic skill to heal themselves and others who are nearby. To use it, click on your target (they should be your look-at target) then click on the stimpack and choose the option to heal your target.  Alternately, you can put the medpack in your toolbar, choose your lookat target, then hit the quick-key that corresponds to your medicine.  This is more powerful than Small Stimpack - A.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '161', 'stimpack_sm_s1_d', 'This stimpack allows someone with medic skill to heal themselves and others who are nearby. To use it, click on your target (they should be your look-at target) then click on the stimpack and choose the option to heal your target.  Alternately, you can put the medpack in your toolbar, choose your lookat target, then hit the quick-key that corresponds to your medicine.  This is more powerful than Small Stimpack - C.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '162', 'stimpack_sm_s1_c', 'This stimpack allows someone with medic skill to heal themselves and others who are nearby. To use it, click on your target (they should be your look-at target) then click on the stimpack and choose the option to heal your target.  Alternately, you can put the medpack in your toolbar, choose your lookat target, then hit the quick-key that corresponds to your medicine. This is more powerful than Small Stimpack - B.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '163', 'stimpack_sm_s1_e', 'This stimpack allows someone with medic skill to heal themselves and others who are nearby. To use it, click on your target (they should be your look-at target) then click on the stimpack and choose the option to heal your target.  Alternately, you can put the medpack in your toolbar, choose your lookat target, then hit the quick-key that corresponds to your medicine. This is more powerful than Small Stimpack - D, and is the most powerful Small Stimpack available.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '164', 'medic_tool', 'This tool can be used to view their current wound and battle-fatigue status, and to reduce a player\'s damage and wounds. In order to utilize the tool\'s healing capabilities, it must be charged up with resources that the medic has foraged for. While using the medic\'s inventory, drag any foraged resources onto the medical tool in order to charge the device up to it\'s maximum number of healing uses.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '165', 'medic_tool_advanced', 'This tool can be used to view their current wound and battle-fatigue status, and to reduce a player\'s damage and wounds. In order to utilize the tool\'s healing capabilities, it must be charged up with resources that the medic has foraged for. While using the medic\'s inventory, drag any foraged resources onto the medical tool in order to charge the device up to it\'s maximum number of healing uses. This advanced version of the Medic MultiTool requires a medic to be of a minimum level of skill before they can use it properly and to its full effect.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '166', 'pet_stimpack_a', 'This pet stimpack allows anyone to heal a nearby pet. To use it, click on your target (they should be your look-at target) then click on the stimpack and choose the option to use.  Alternately, you can put the medpack in your toolbar, choose your lookat target, then hit the quick-key that corresponds to your medicine.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '167', 'pet_stimpack_b', 'This pet stimpack allows anyone to heal a nearby pet. To use it, click on your target (they should be your look-at target) then click on the stimpack and choose the option to use.  Alternately, you can put the medpack in your toolbar, choose your lookat target, then hit the quick-key that corresponds to your medicine.  This is more powerful than Pet Stimpack - A.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '168', 'pet_stimpack_c', 'This pet stimpack allows anyone to heal a nearby pet. To use it, click on your target (they should be your look-at target) then click on the stimpack and choose the option to use.  Alternately, you can put the medpack in your toolbar, choose your lookat target, then hit the quick-key that corresponds to your medicine.  This is more powerful than Pet Stimpack - B.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '169', 'pet_stimpack_d', 'This pet stimpack allows anyone to heal a nearby pet. To use it, click on your target (they should be your look-at target) then click on the stimpack and choose the option to use.  Alternately, you can put the medpack in your toolbar, choose your lookat target, then hit the quick-key that corresponds to your medicine.  This is more powerful than Pet Stimpack - C.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '170', 'pet_vitapack_a', 'Medicine specifically designed to heal the damage to a pet\'s Vitality due to being brought to near death during combat. To use it, click on your target (they should be your look-at target) then click on the Vitality Medpack and choose the option to use.  Alternately, you can put the Vitality Medpack in your toolbar, choose your lookat target, then hit the quick-key that corresponds to your medicine. ');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '171', 'pet_vitapack_b', 'Medicine specifically designed to heal the damage to a pet\'s Vitality due to being brought to near death during combat. To use it, click on your target (they should be your look-at target) then click on the Vitality Medpack and choose the option to use.  Alternately, you can put the Vitality Medpack in your toolbar, choose your lookat target, then hit the quick-key that corresponds to your medicine.  This is more powerful than Pet Vitality Medpack - A.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '172', 'pet_vitapack_c', 'Medicine specifically designed to heal the damage to a pet\'s Vitality due to being brought to near death during combat. To use it, click on your target (they should be your look-at target) then click on the Vitality Medpack and choose the option to use.  Alternately, you can put the Vitality Medpack in your toolbar, choose your lookat target, then hit the quick-key that corresponds to your medicine.  This is more powerful than Pet Vitality Medpack - B.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '173', 'droid_vitapack_c', 'The Droid Vitality Regenerator is specifically designed to repair the damage to a droid\'s Vitality due to being brought to near destruction during combat. To use it, click on your droid target (they should be your look-at target) then click on the Droid Vitality Regenerator and choose the option to use.  Alternately, you can put the Droid Vitality Regenerator in your toolbar, choose your lookat target, then hit the quick-key that corresponds to your medicine.  This is more powerful than Droid Vitality Regenerator - B.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '174', 'droid_vitapack_b', 'The Droid Vitality Regenerator is specifically designed to repair the damage to a droid\'s Vitality due to being brought to near destruction during combat. To use it, click on your droid target (they should be your look-at target) then click on the Droid Vitality Regenerator and choose the option to use.  Alternately, you can put the Droid Vitality Regenerator in your toolbar, choose your lookat target, then hit the quick-key that corresponds to your medicine.  This is more powerful than Droid Vitality Regenerator - A.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '175', 'droid_vitapack_a', 'The Droid Vitality Regenerator is specifically designed to repair the damage to a droid\'s Vitality due to being brought to near destruction during combat. To use it, click on your droid target (they should be your look-at target) then click on the Droid Vitality Regenerator and choose the option to use.  Alternately, you can put the Droid Vitality Regenerator in your toolbar, choose your lookat target, then hit the quick-key that corresponds to your medicine. ');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '176', 'droid_stimpack_b', 'This droid condition regenerator allows anyone to heal a nearby droid. To use it, click on your target (they should be your look-at target) then click on the droid condition regenerator and choose the option to use.  Alternately, you can put the droid condition regenerator in your toolbar, choose your lookat target, then hit the quick-key that corresponds to your regenerator.  This is more powerful than Droid Condition Regen - A.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '177', 'droid_stimpack_c', 'This droid condition regenerator allows anyone to heal a nearby droid. To use it, click on your target (they should be your look-at target) then click on the droid condition regenerator and choose the option to use.  Alternately, you can put the droid condition regenerator in your toolbar, choose your lookat target, then hit the quick-key that corresponds to your regenerator.  This is more powerful than Droid Condition Regen - B.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '178', 'droid_stimpack_d', 'This droid condition regenerator allows anyone to heal a nearby droid. To use it, click on your target (they should be your look-at target) then click on the droid condition regenerator and choose the option to use.  Alternately, you can put the droid condition regenerator in your toolbar, choose your lookat target, then hit the quick-key that corresponds to your regenerator.  This is more powerful than Droid Condition Regen - C.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '179', 'droid_stimpack_a', 'This droid condition regenerator allows anyone to heal a nearby droid. To use it, click on your target (they should be your look-at target) then click on the droid condition regenerator and choose the option to use.  Alternately, you can put the droid condition regenerator in your toolbar, choose your lookat target, then hit the quick-key that corresponds to your regenerator.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '180', 'medic_fire_blanket', 'This specially designed synthetic cloth can instantly quench flames on a target.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '181', 'droid_damage_kit_a', 'This droid repair kit allows the user to repair the damage of a nearby droid. To use it, click on your target (they should be your look-at target) then click on the repair kit and choose the option to use.  Alternately, you can put the droid repair kit in your toolbar, choose your lookat target, then hit the quick-key that corresponds to the kit.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '182', 'droid_damage_kit_b', 'This droid repair kit allows the user to repair the damage of a nearby droid. To use it, click on your target (they should be your look-at target) then click on the repair kit and choose the option to use.  Alternately, you can put the droid repair kit in your toolbar, choose your lookat target, then hit the quick-key that corresponds to the kit.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '183', 'droid_damage_kit_c', 'This droid repair kit allows the user to repair the damage of a nearby droid. To use it, click on your target (they should be your look-at target) then click on the repair kit and choose the option to use.  Alternately, you can put the droid repair kit in your toolbar, choose your lookat target, then hit the quick-key that corresponds to the kit.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '184', 'droid_damage_kit_d', 'This droid repair kit allows the user to repair the damage of a nearby droid. To use it, click on your target (they should be your look-at target) then click on the repair kit and choose the option to use.  Alternately, you can put the droid repair kit in your toolbar, choose your lookat target, then hit the quick-key that corresponds to the kit.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '185', 'droid_wound_kit_a', 'This droid reconstruction kit allows the user to repair the wounds of a nearby droid. To use it, click on your target (they should be your look-at target) then click on the reconstruction kit and choose the option to use.  Alternately, you can put the droid reconstruction kit in your toolbar, choose your lookat target, then hit the quick-key that corresponds to the kit.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '186', 'droid_wound_kit_b', 'This droid reconstruction kit allows the user to repair the wounds of a nearby droid. To use it, click on your target (they should be your look-at target) then click on the reconstruction kit and choose the option to use.  Alternately, you can put the droid reconstruction kit in your toolbar, choose your lookat target, then hit the quick-key that corresponds to the kit.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '187', 'droid_wound_kit_c', 'This droid reconstruction kit allows the user to repair the wounds of a nearby droid. To use it, click on your target (they should be your look-at target) then click on the reconstruction kit and choose the option to use.  Alternately, you can put the droid reconstruction kit in your toolbar, choose your lookat target, then hit the quick-key that corresponds to the kit.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '188', 'droid_wound_kit_d', 'This droid reconstruction kit allows the user to repair the wounds of a nearby droid. To use it, click on your target (they should be your look-at target) then click on the reconstruction kit and choose the option to use.  Alternately, you can put the droid reconstruction kit in your toolbar, choose your lookat target, then hit the quick-key that corresponds to the kit.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '189', 'medic_cure_disease_area_a', 'This medpack allows for the possibility of curing a group of allies around the doctor who have become diseased.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '190', 'medic_cure_disease_area_b', 'This more advanced medpack has a better chance of curing a group of allies around the doctor who have become diseased.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '191', 'medic_cure_disease_area_c', 'This very advanced medpack is very efficient at curing a group of allies near the doctor of most diseases.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '192', 'medic_cure_poison_area_a', 'This medpack allows for the possibility of curing a group of allies near the doctor who have become poisoned.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '193', 'medic_cure_poison_area_b', 'This more advanced medpack has a better chance of curing a group of allies near the doctor who have become poisoned.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '194', 'medic_cure_poison_area_c', 'This very advanced medpack is very efficient at curing a group of allies near the doctor of most poisons.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '195', 'medpack_enhance_disease_a', 'This medpack allows a person with the correct medical skill to temporarily enhance the Disease Resist of themselves or their target.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '196', 'medpack_enhance_disease_b', 'This advanced medpack allows a person with the correct medical skill to temporarily enhance the Disease Resist of themselves or their target. This is more powerful than Enhance Disease Resist Medpack - A');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '197', 'medpack_enhance_disease_c', 'This powerful medpack allows a person with the correct medical skill to temporarily enhance the Disease Resist of themselves or their target. This pack may also bestow a slight absorption rate, reducing the strength of all poison that do affect the target.  This is more powerful than Enhance Disease Resist Medpack - B.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '198', 'medpack_enhance_poison_a', 'This medpack allows a person with the correct medical skill to temporarily enhance the Poison Resist of themselves or their target.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '199', 'medpack_enhance_poison_b', 'This advanced medpack allows a person with the correct medical skill to temporarily enhance the Poison Resist of themselves or their target. This is more powerful than Enhance Poison Resist Medpack - A');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '200', 'medpack_enhance_poison_c', 'This powerful medpack allows a person with the correct medical skill to temporarily enhance the Poison Resist of themselves or their target. This pack may also bestow a slight absorption rate, reducing the strength of all poison that do affect the target.  This is more powerful than Enhance Poison Resist Medpack - B.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_detail.stf', '201', 'fs_medic_puzzle_heal_pack', 'Formed with very violent and aggressive chemical reactions, this Experimental Biological Counteragent has the potential to help cure many things. It also has the potential to cause additional problems as well.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '1', 'medpack_sm_s1', 'Small Medpack');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '2', 'antidote_sm_s1', 'Small Antidote');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '3', 'stimpack_sm_s1', 'Small Stimpack');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '4', 'medpack_wound_action', 'Action Wound Medpack');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '5', 'medpack_damage', 'Damage Stimpack');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '6', 'medpack_wound_strength', 'Strength Wound Medpack');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '7', 'medpack_wound_constitution', 'Constitution Wound Medpack');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '8', 'medpack_wound_health', 'Health Wound Medpack');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '9', 'medpack_wound_quickness', 'Quickness Wound Medpack');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '10', 'medpack_wound_stamina', 'Stamina Wound Medpack');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '11', 'medpack_grenade_damage', 'Ranged Stimpack');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '12', 'healing_grenade', 'Healing Grenade');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '13', 'medpack_wound', 'Wound Medpack');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '14', 'medic_damage', 'Health-stim hypodermic');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '15', 'medpack_grenade_area', 'Area Stimpack');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '16', 'medic_stunned', 'Stun State Stimpack');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '17', 'medic_intimidated', 'Intimidated State Stimpack');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '18', 'medpack_enhance_strength', 'Enhance Strength Medpack');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '19', 'medpack_enhance_stamina', 'Enhance Stamina Medpack');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '20', 'medpack_enhance_quickness', 'Enhance Quickness Medpack');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '21', 'medpack_enhance_health', 'Enhance Health Medpack');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '22', 'medpack_enhance_constitution', 'Enhance Constitution Medpack');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '23', 'medpack_enhance_action', 'Enhance Action Medpack');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '24', 'medic_dizzy', 'Dizzy State Stimpack');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '25', 'medic_blinded', 'Blinded State Medpack');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '26', 'stimpack_sm_s1_a', 'Small Stimpack - A');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '27', 'stimpack_sm_s1_b', 'Small Stimpack - B');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '28', 'stimpack_sm_s1_c', 'Small Stimpack - C');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '29', 'stimpack_sm_s1_d', 'Small Stimpack - D');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '30', 'stimpack_sm_s1_e', 'Small Stimpack - E');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '31', 'medic_blinded_a', 'Blinded State Medpack - A');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '32', 'medic_blinded_b', 'Blinded State Medpack - B');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '33', 'medpack_damage_a', 'Damage Stimpack - A');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '34', 'medpack_damage_b', 'Damage Stimpack - B');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '35', 'medpack_damage_c', 'Damage Stimpack - C');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '36', 'medpack_damage_d', 'Damage Stimpack - D');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '37', 'medpack_damage_e', 'Damage Stimpack - E');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '38', 'medic_dizzy_a', 'Dizzy State Stimpack - A');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '39', 'medic_dizzy_b', 'Dizzy State Stimpack - B');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '40', 'medpack_enhance_action_a', 'Enhance Action Medpack - A');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '41', 'medpack_enhance_action_b', 'Enhance Action Medpack - B');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '42', 'medpack_enhance_action_c', 'Enhance Action Medpack - C');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '43', 'medpack_enhance_action_d', 'Enhance Action Medpack - D');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '44', 'medpack_enhance_constitution_a', 'Enhance Constitution Medpack - A');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '45', 'medpack_enhance_constitution_b', 'Enhance Constitution Medpack - B');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '46', 'medpack_enhance_constitution_c', 'Enhance Constitution Medpack - C');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '47', 'medpack_enhance_constitution_d', 'Enhance Constitution Medpack - D');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '48', 'medpack_enhance_health_a', 'Enhance Health Medpack - A');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '49', 'medpack_enhance_health_b', 'Enhance Health Medpack - B');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '50', 'medpack_enhance_health_c', 'Enhance Health Medpack - C');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '51', 'medpack_enhance_health_d', 'Enhance Health Medpack - D');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '52', 'medpack_enhance_quickness_a', 'Enhance Quickness Medpack - A');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '53', 'medpack_enhance_quickness_b', 'Enhance Quickness Medpack - B');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '54', 'medpack_enhance_quickness_c', 'Enhance Quickness Medpack - C');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '55', 'medpack_enhance_quickness_d', 'Enhance Quickness Medpack - D');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '56', 'medpack_enhance_stamina_a', 'Enhance Stamina Medpack - A');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '57', 'medpack_enhance_stamina_b', 'Enhance Stamina Medpack - B');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '58', 'medpack_enhance_stamina_c', 'Enhance Stamina Medpack - C');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '59', 'medpack_enhance_stamina_d', 'Enhance Stamina Medpack - D');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '60', 'medpack_enhance_strength_a', 'Enhance Strength Medpack - A');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '61', 'medpack_enhance_strength_b', 'Enhance Strength Medpack - B');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '62', 'medpack_enhance_strength_c', 'Enhance Strength Medpack - C');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '63', 'medpack_enhance_strength_d', 'Enhance Strength Medpack - D');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '64', 'medpack_grenade_area_a', 'Area Stimpack - A');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '65', 'medpack_grenade_area_b', 'Area Stimpack - B');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '66', 'medpack_grenade_area_c', 'Area Stimpack - C');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '67', 'medpack_grenade_damage_a', 'Ranged Stimpack - A');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '68', 'medpack_grenade_damage_b', 'Ranged Stimpack - B');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '69', 'medpack_grenade_damage_c', 'Ranged Stimpack - C');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '70', 'medpack_grenade_damage_d', 'Ranged Stimpack - D');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '71', 'medpack_grenade_damage_e', 'Ranged Stimpack - E');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '72', 'medic_intimidated_a', 'Intimidated State Stimpack - A');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '73', 'medic_intimidated_b', 'Intimidated State Stimpack - B');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '74', 'medic_stunned_a', 'Stun State Stimpack - A');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '75', 'medic_stunned_b', 'Stun State Stimpack - B');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '76', 'medpack_wound_action_a', 'Action Wound Medpack - A');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '77', 'medpack_wound_action_b', 'Action Wound Medpack - B');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '78', 'medpack_wound_action_c', 'Action Wound Medpack - C');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '79', 'medpack_wound_action_d', 'Action Wound Medpack - D');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '80', 'medpack_wound_action_e', 'Action Wound Medpack - E');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '81', 'medpack_wound_constitution_a', 'Constitution Wound Medpack - A');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '82', 'medpack_wound_constitution_b', 'Constitution Wound Medpack - B');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '83', 'medpack_wound_constitution_c', 'Constitution Wound Medpack - C');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '84', 'medpack_wound_constitution_d', 'Constitution Wound Medpack - D');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '85', 'medpack_wound_constitution_e', 'Constitution Wound Medpack - E');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '86', 'medpack_wound_health_a', 'Health Wound Medpack - A');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '87', 'medpack_wound_health_b', 'Health Wound Medpack - B');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '88', 'medpack_wound_health_c', 'Health Wound Medpack - C');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '89', 'medpack_wound_health_d', 'Health Wound Medpack - D');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '90', 'medpack_wound_health_e', 'Health Wound Medpack - E');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '91', 'medpack_wound_quickness_a', 'Quickness Wound Medpack - A');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '92', 'medpack_wound_quickness_b', 'Quickness Wound Medpack - B');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '93', 'medpack_wound_quickness_c', 'Quickness Wound Medpack - C');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '94', 'medpack_wound_quickness_d', 'Quickness Wound Medpack - D');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '95', 'medpack_wound_quickness_e', 'Quickness Wound Medpack - E');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '96', 'medpack_wound_stamina_a', 'Stamina Wound Medpack - A');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '97', 'medpack_wound_stamina_b', 'Stamina Wound Medpack - B');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '98', 'medpack_wound_stamina_c', 'Stamina Wound Medpack - C');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '99', 'medpack_wound_stamina_d', 'Stamina Wound Medpack - D');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '100', 'medpack_wound_stamina_e', 'Stamina Wound Medpack - E');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '101', 'medpack_wound_strength_a', 'Strength Wound Medpack - A');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '102', 'medpack_wound_strength_b', 'Strength Wound Medpack - B');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '103', 'medpack_wound_strength_c', 'Strength Wound Medpack - C');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '104', 'medpack_wound_strength_d', 'Strength Wound Medpack - D');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '105', 'medpack_wound_strength_e', 'Strength Wound Medpack - E');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '106', 'medpack_revive', 'Resuscitation Kit');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '113', 'medic_cure_disease_a', 'Cure Disease Medpack - A');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '114', 'medic_cure_disease_b', 'Cure Disease Medpack - B');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '115', 'medic_cure_disease_c', 'Cure Disease Medpack - C');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '129', 'medic_cure_poison_a', 'Cure Poison Medpack - A');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '130', 'medic_cure_poison_b', 'Cure Poison Medpack - B');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '131', 'medic_cure_poison_c', 'Cure Poison Medpack - C');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '132', 'medic_disease_health_a', 'Health Disease Delivery Unit - A');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '133', 'medic_disease_health_b', 'Health Disease Delivery Unit - B');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '134', 'medic_disease_health_c', 'Health Disease Delivery Unit - C');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '135', 'medic_disease_action_a', 'Action Disease Delivery Unit - A');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '136', 'medic_disease_action_b', 'Action Disease Delivery Unit - B');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '137', 'medic_disease_action_c', 'Action Disease Delivery Unit - C');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '138', 'medic_disease_mind_a', 'Mind Disease Delivery Unit - A');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '139', 'medic_disease_mind_b', 'Mind Disease Delivery Unit - B');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '140', 'medic_disease_mind_c', 'Mind Disease Delivery Unit - C');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '141', 'medic_disease_strength_a', 'Strength Disease Delivery Unit - A');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '142', 'medic_disease_strength_b', 'Strength Disease Delivery Unit - B');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '143', 'medic_disease_strength_c', 'Strength Disease Delivery Unit - C');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '144', 'medic_disease_quickness_a', 'Quickness Disease Delivery Unit - A');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '145', 'medic_disease_quickness_b', 'Quickness Disease Delivery Unit - B');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '146', 'medic_disease_quickness_c', 'Quickness Disease Delivery Unit - C');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '147', 'medic_disease_focus_a', 'Focus Disease Delivery Unit - A');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '148', 'medic_disease_focus_b', 'Focus Disease Delivery Unit - B');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '149', 'medic_disease_focus_c', 'Focus Disease Delivery Unit - C');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '150', 'medic_disease_constitution_a', 'Constitution Disease Delivery Unit - A');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '151', 'medic_disease_constitution_b', 'Constitution Disease Delivery Unit - B');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '152', 'medic_disease_constitution_c', 'Constitution Disease Delivery Unit - C');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '153', 'medic_disease_stamina_a', 'Stamina Disease Delivery Unit - A');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '154', 'medic_disease_stamina_b', 'Stamina Disease Delivery Unit - B');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '155', 'medic_disease_stamina_c', 'Stamina Disease Delivery Unit - C');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '156', 'medic_disease_willpower_a', 'Willpower Disease Delivery Unit - A');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '157', 'medic_disease_willpower_b', 'Willpower Disease Delivery Unit - B');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '158', 'medic_disease_willpower_c', 'Willpower Disease Delivery Unit - C');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '159', 'medic_poison_health_a', 'Health Poison Delivery Unit - A');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '160', 'medic_poison_health_b', 'Health Poison Delivery Unit - B');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '161', 'medic_poison_health_c', 'Health Poison Delivery Unit - C');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '162', 'medic_poison_action_a', 'Action Poison Delivery Unit - A');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '163', 'medic_poison_action_b', 'Action Poison Delivery Unit - B');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '164', 'medic_poison_action_c', 'Action Poison Delivery Unit - C');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '165', 'medic_poison_mind_a', 'Mind Poison Delivery Unit - A');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '166', 'medic_poison_mind_b', 'Mind Poison Delivery Unit - B');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '167', 'medic_poison_mind_c', 'Mind Poison Delivery Unit - C');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '168', 'medic_disease_area_health_a', 'Health Area Disease Delivery Unit - A');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '169', 'medic_disease_area_health_b', 'Health Area Disease Delivery Unit - B');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '170', 'medic_disease_area_health_c', 'Health Area Disease Delivery Unit - C');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '171', 'medic_disease_area_action_a', 'Action Area Disease Delivery Unit - A');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '172', 'medic_disease_area_action_b', 'Action Area Disease Delivery Unit - B');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '173', 'medic_disease_area_action_c', 'Action Area Disease Delivery Unit - C');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '174', 'medic_disease_area_mind_a', 'Mind Area Disease Delivery Unit - A');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '175', 'medic_disease_area_mind_b', 'Mind Area Disease Delivery Unit - B');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '176', 'medic_disease_area_mind_c', 'Mind Area Disease Delivery Unit - C');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '177', 'medic_disease_area_strength_a', 'Strength Area Disease Delivery Unit - A');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '178', 'medic_disease_area_strength_b', 'Strength Area Disease Delivery Unit - B');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '179', 'medic_disease_area_strength_c', 'Strength Area Disease Delivery Unit - C');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '180', 'medic_disease_area_quickness_a', 'Quickness Area Disease Delivery Unit - A');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '181', 'medic_disease_area_quickness_b', 'Quickness Area Disease Delivery Unit - B');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '182', 'medic_disease_area_quickness_c', 'Quickness Area Disease Delivery Unit - C');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '183', 'medic_disease_area_focus_a', 'Focus Area Disease Delivery Unit - A');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '184', 'medic_disease_area_focus_b', 'Focus Area Disease Delivery Unit - B');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '185', 'medic_disease_area_focus_c', 'Focus Area Disease Delivery Unit - C');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '186', 'medic_disease_area_constitution_a', 'Constitution Area Disease Delivery Unit - A');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '187', 'medic_disease_area_constitution_b', 'Constitution Area Disease Delivery Unit - B');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '188', 'medic_disease_area_constitution_c', 'Constitution Area Disease Delivery Unit - C');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '189', 'medic_disease_area_stamina_a', 'Stamina Area Disease Delivery Unit - A');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '190', 'medic_disease_area_stamina_b', 'Stamina Area Disease Delivery Unit - B');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '191', 'medic_disease_area_stamina_c', 'Stamina Area Disease Delivery Unit - C');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '192', 'medic_disease_area_willpower_a', 'Willpower Area Disease Delivery Unit - A');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '193', 'medic_disease_area_willpower_b', 'Willpower Area Disease Delivery Unit - B');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '194', 'medic_disease_area_willpower_c', 'Willpower Area Disease Delivery Unit - C');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '195', 'medic_poison_area_health_a', 'Health Area Poison Delivery Unit - A');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '196', 'medic_poison_area_health_b', 'Health Area Poison Delivery Unit - B');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '197', 'medic_poison_area_health_c', 'Health Area Poison Delivery Unit - C');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '198', 'medic_poison_area_action_a', 'Action Area Poison Delivery Unit - A');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '199', 'medic_poison_area_action_b', 'Action Area Poison Delivery Unit - B');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '200', 'medic_poison_area_action_c', 'Action Area Poison Delivery Unit - C');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '201', 'medic_poison_area_mind_a', 'Mind Area Poison Delivery Unit - A');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '202', 'medic_poison_area_mind_b', 'Mind Area Poison Delivery Unit - B');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '203', 'medic_poison_area_mind_c', 'Mind Area Poison Delivery Unit - C');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '204', 'medic_poison_health', 'Heal Poison Delivery Unit');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '205', 'medic_cure_disease', 'Cure Disease Medpack');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '206', 'medic_cure_poison', 'Cure Poison Medicine');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '207', 'medic_disease_health', 'Health Disease Delivery Unit');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '208', 'medic_tool', 'Medical MultiTool');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '209', 'medic_tool_advanced', 'Advanced Medical MultiTool');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '210', 'no_proficiency', 'You do not have enough skill to use this medical tool effectively. You can only use it at a greatly reduced capability level.');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '211', 'pet_stimpack_a', 'Pet Stimpack - A');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '212', 'pet_stimpack_b', 'Pet Stimpack - B');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '213', 'pet_stimpack_c', 'Pet Stimpack - C');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '214', 'pet_stimpack_d', 'Pet Stimpack - D');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '215', 'pet_vitapack_a', 'Pet Vitality Medpack - A');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '216', 'pet_vitapack_b', 'Pet Vitality Medpack - B');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '217', 'pet_vitapack_c', 'Pet Vitality Medpack - C');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '218', 'droid_stimpack_a', 'Droid Condition Regen - A');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '219', 'droid_vitapack_a', 'Droid Vitality Regenerator - A');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '220', 'droid_vitapack_b', 'Droid Vitality Regenerator - B');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '221', 'droid_vitapack_c', 'Droid Vitality Regenerator - C');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '222', 'droid_stimpack_b', 'Droid Condition Regen - B');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '223', 'droid_stimpack_c', 'Droid Condition Regen - C');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '224', 'droid_stimpack_d', 'Droid Condition Regen - D');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '225', 'medic_fire_blanket', 'Flame Suppression Blanket');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '226', 'droid_damage_kit_a', 'Droid Repair Kit - A');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '227', 'droid_damage_kit_b', 'Droid Repair Kit - B');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '228', 'droid_damage_kit_c', 'Droid Repair Kit - C');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '229', 'droid_damage_kit_d', 'Droid Repair Kit - D');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '230', 'droid_wound_kit_a', 'Droid Reconstruction Kit - A');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '231', 'droid_wound_kit_b', 'Droid Reconstruction Kit - B');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '232', 'droid_wound_kit_c', 'Droid Reconstruction Kit - C');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '233', 'droid_wound_kit_d', 'Droid Reconstruction Kit - D');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '234', 'medic_cure_poison_area_a', 'Cure Poison Medpack Area - A');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '235', 'medic_cure_poison_area_b', 'Cure Poison Medpack Area - B');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '236', 'medic_cure_poison_area_c', 'Cure Poison Medpack Area - C');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '237', 'medic_cure_disease_area_a', 'Cure Disease Medpack Area - A');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '238', 'medic_cure_disease_area_b', 'Cure Disease Medpack Area - B');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '239', 'medic_cure_disease_area_c', 'Cure Disease Medpack Area - C');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '240', 'medpack_enhance_poison_a', 'Enhance Poison Resist Medpack - A');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '241', 'medpack_enhance_poison_b', 'Enhance Poison Resist Medpack - B');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '242', 'medpack_enhance_poison_c', 'Enhance Poison Resist Medpack - C');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '243', 'medpack_enhance_disease_a', 'Enhance Disease Resist Medpack - A');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '244', 'medpack_enhance_disease_b', 'Enhance Disease Resist Medpack - B');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '245', 'medpack_enhance_disease_c', 'Enhance Disease Resist Medpack - C');
INSERT INTO `client_strings` VALUES ('string/en/medicine_name.stf', '246', 'fs_medic_puzzle_heal_pack', 'Experimental Biological Counteragent');
INSERT INTO `client_strings` VALUES ('string/en/merchant_e3_convo.stf', '1', 'merchant_1', 'I guess you\'ve noticed everyone\'s packing up and leaving town?\n');
INSERT INTO `client_strings` VALUES ('string/en/merchant_e3_convo.stf', '2', 'merchant_2', 'Yeah, I was going to ask about that....');
INSERT INTO `client_strings` VALUES ('string/en/merchant_e3_convo.stf', '3', 'merchant_3', 'I was wondering what you do for a living.');
INSERT INTO `client_strings` VALUES ('string/en/merchant_e3_convo.stf', '4', 'merchant_4', 'Imperial thugs have that affect on a city.  Unless you\'re one of Jabba\'s cronies it\'s time to go.');
INSERT INTO `client_strings` VALUES ('string/en/merchant_e3_convo.stf', '5', 'merchant_5', 'Well, by trade I guess I\'m a merchant, though I occasionally deal in, hm...shall we say, hard to find items?');
INSERT INTO `client_strings` VALUES ('string/en/merchant_e3_convo.stf', '6', 'merchant_6', 'What\'s a hard to find item?');
INSERT INTO `client_strings` VALUES ('string/en/merchant_e3_convo.stf', '7', 'merchant_7', 'An honest hutt?  HAHA!  No, I was just kidding.  Don\'t tell Jabba I said that, ok?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '1', 'm1d', 'An Imperial bounty is hereby issued on a former HoloNet producer who now spreads dangerous lies about our Emperor. Target is believed lightly armed and low-threat. The Empire orders you to give this message to the target before termination: \"This encounter is strictly off the record.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '2', 'm1o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '3', 'm1s', 'The Empire sends congratulations and this message: \"We trust that you will respect confidentiality in this matter.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '4', 'm1t', 'Libelous Former HoloNet Producer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '5', 'm1v', 'The Emperor is enslaving whole planets to produce advanced weapons! I have sources!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '6', 'm2d', 'An Imperial bounty is hereby issued on a surveillance droid repair specialist. Target is believed lightly armed and low-threat. The Empire orders you to give this message to the target before termination: \"Only a fool relies on a droid for espionage.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '7', 'm2o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '8', 'm2s', 'The Empire sends congratulations and this message: \"The compromised droids have now been dismantled.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '9', 'm2t', 'Surveillance Droid Repair Specialist');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '10', 'm2v', 'When I repaired the Empire\'s droids, I didn\'t reprogram them for espionage. I just installed cameras and sent the feeds to the Alliance. Get it straight!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '11', 'm3d', 'An Imperial bounty is hereby issued on a speeder repair specialist. Target is believed lightly armed and low-threat. The Empire orders you to give this message to the target before termination: \"It worked once, but how long did you think you could evade detection?\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '12', 'm3o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '13', 'm3s', 'The Empire sends congratulations and this message: \"The target sabotaged the controls of several officers\' speeders so that they would self-destruct above a certain speed. The sabotage is now corrected.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '14', 'm3t', 'Speeder Repair Specialist');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '15', 'm3v', 'Oh, I dunno -- a longer time than this. At least I got one officer to crash and burn. Long live the Alliance!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '16', 'm4d', 'An Imperial bounty is hereby issued on a Coruscant merchant banker who absconded with a fortune in credits. Target is believed lightly armed and low-threat. The Empire orders you to give this message to the target before termination: \"We trust you enjoyed your brief retirement.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '17', 'm4o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '18', 'm4s', 'The Empire sends congratulations and this message: \"We cannot trace the banker\'s embezzled funds. Evidently the money has gone to the Rebellion.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '19', 'm4t', 'Coruscant Merchant Bank Embezzler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '20', 'm4v', 'I\'m not retired -- I\'m working harder, for a better cause, than ever before. Restore the Republic!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '21', 'm5d', 'An Imperial bounty is hereby issued on a dealer in textiles. Target is believed lightly armed and low-threat. The Empire orders you to give this message to the target before termination: \"Contracting with Rebels is always bad business.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '22', 'm5o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '23', 'm5s', 'The Empire sends congratulations and this message: \"Through the dealer\'s records we have uncovered important Rebel supply chains. We shall have more bounties for you shortly.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '24', 'm5t', 'Textile Dealer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '25', 'm5v', 'My company made the Alliance\'s uniforms, and I\'m proud!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '26', 'm6d', 'An Imperial bounty is hereby issued on a merchant seller of banners and flags. Target is believed lightly armed and low-threat. The Empire orders you to give this message to the target before termination: \"Congratulations. Your work helps us spot Rebels with fine accuracy.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '27', 'm6o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '28', 'm6s', 'The Empire sends congratulations and this message: \"Destroy one flag maker, and two more rise up to take its place. But we persevere.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '29', 'm6t', 'Merchant in Banners and Flags');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '30', 'm6v', 'You know those banners that identify Alliance camps? My company made those. Long live the Alliance!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '31', 'm7d', 'An Imperial bounty is hereby issued on a merchant ship dispatcher convicted of aiding piracy. Target is believed lightly armed and low-threat. The Empire orders you to give this message to the target before termination: \"The bribes you collected could not buy passage far enough to escape justice.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '32', 'm7o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '33', 'm7s', 'The Empire sends congratulations and this message: \"The Rebellion\'s corruption is festering even in the merchant shipping service. Purges are now underway.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '34', 'm7t', 'Merchant Ship Dispatcher Aiding Pirates');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '35', 'm7v', 'Justice, right. I sent the pirates after every Imperial ship I could, and funneled all their bribe money to the Alliance. That\'s real justice!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '36', 'm8d', 'An Imperial bounty is hereby issued on the murderer of an Empire civil defense planner. Target is believed lightly armed and low-threat. The Empire orders you to give this message to the target before termination: \"To attack the lowliest Imperial official is to attack the Empire itself.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '37', 'm8o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '38', 'm8s', 'The Empire sends congratulations and this message: \"Allegations of corruption in the Empire are tantamount to attacks on the Emperor himself.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '39', 'm8t', 'Murderer of Civil Defense Planner');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '40', 'm8v', 'Yeah, well, attacking the Empire was the idea. That sleazy instructor was taking bribes for preferential access to the city\'s bacta tanks. The Empire is just like that guy!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '41', 'm9d', 'An Imperial bounty is hereby issued on a deep-space prospector fleeing Imperial justice. Target is believed lightly armed and low-threat. The Empire orders you to give this message to the target before termination: \"All would have gone more smoothly had you never found the artifacts.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '42', 'm9o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '43', 'm9s', 'The Empire sends congratulations and this message: \"It is Imperial policy to discourage the discovery and sale of Sith artifacts.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '44', 'm9t', 'Fugitive Deep-Space Prospector');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '45', 'm9v', 'I was just trying to make credit! I didn\'t think those things were actually Sith artifacts! Those are just legends!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '46', 'm10d', 'An Imperial bounty is hereby issued on a hoodlum who killed a stormtrooper with a standard blaster, then stole food supplies from an Imperial supply depot. Target is believed lightly armed and low-threat. The Empire orders you to give this message to the target before termination: \"The Empire sometimes marks its supplies with tracking beacons.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '47', 'm10o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '48', 'm10s', 'The Empire sends congratulations and this message: \"Famine outbreaks in certain localities have led to an increase in theft attempts by starving locals. Expect further bounties of this type.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '49', 'm10t', 'Imperial Supply Depot Hoodlum');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '50', 'm10v', 'Tracking beacons. Drat!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '51', 'm11d', 'An Imperial bounty is hereby issued on a thief who killed a stormtrooper by ramming him with a landspeeder, then stole Mark IV fuel cells from an Imperial fuel dump. Target is believed lightly armed and low-threat. The Empire orders you to give this message to the target before termination: \"Many Imperial fuel dumps are watched by aerial surveillance droids.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '52', 'm11o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '53', 'm11s', 'The Empire sends congratulations and this message: \"Rebel activity has led to local disruption in civilian fuel supplies. Expect further bounties of this type.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '54', 'm11t', 'Imperial Fuel Dump Thief');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '55', 'm11v', 'I knew I didn\'t knock out all those surveillance droids! Back at you, bounty hunter!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '56', 'm12d', 'An Imperial bounty is hereby issued on an assailant who killed a stormtrooper by using a homemade fragmentation grenade, then stole an Uulshos QH-7 Chariot light assault vehicle. Target is believed lightly armed and low-threat. The Empire orders you to give this message to the target before termination: \"Some Imperial LAVs are equipped with remote surveillance cameras.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '57', 'm12o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '58', 'm12s', 'The Empire sends congratulations and this message: \"Continued civil unrest means military vehicles will continue to command exorbitant prices on the black market. Expect further bounties of this type.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '59', 'm12t', 'Imperial Vehicle Depot Assailant');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '60', 'm12v', 'I could have sworn I deactivated the cameras. Oh well! Die, bounty hunter scum!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '61', 'm13d', 'An Imperial bounty is hereby issued on a Tatooine animal rustler who trampled a stormtrooper to death with a dewback, then stole an entire herd of trained dewback mounts. Target is believed lightly armed and low-threat. The Empire orders you to give this message to the target before termination: \"Those mounts were implanted with subcutaneous pheromone scent generators to expedite tracking.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '62', 'm13o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '63', 'm13s', 'The Empire sends congratulations and this message: \"While the Rebellion continues unchecked, desperate civilians will continue to rustle mounts for transport or even food. Expect further bounties of this type.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '64', 'm13t', 'Imperial Dewback Corral Rustler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '65', 'm13v', 'I tried and tried to spot the implants in those dewbacks\' hides. I just couldn\'t! Damn Imperials!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '66', 'm14d', 'An Imperial bounty is hereby issued on a lawbreaker who killed a stormtrooper by using a Corporate Sector Authority sonic pistol, then stole a case of BlastTech T-21 light repeating blasters. Because the weapons\' power packs were not taken, target is believed lightly armed and low-threat. The Empire orders you to give this message to the target before termination: \"Imperial weapon crates are sometimes marked with distinctive infrared signatures visible from orbit.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '67', 'm14o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '68', 'm14s', 'The Empire sends congratulations and this message: \"So long as the Rebellion operates in this sector, we must plan for further weapon thefts. Expect further bounties of this type.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '69', 'm14t', 'Imperial Armory Lawbreaker');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '70', 'm14v', 'Infrared signatures? Oh man, that is not fair.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '71', 'm15d', 'An Imperial bounty is hereby issued on an offender who killed a stormtrooper with a sophisticated aerosol poison, then stole several vials of chemical reagents used in toxin production. Target is believed lightly armed and low-threat. The Empire orders you to give this message to the target before termination: \"That chemical laboratory has sensors that recognize intruders\' distinctive magnetic aura.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '72', 'm15o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '73', 'm15s', 'The Empire sends congratulations and this message: \"The continued unrest in our society means there will be a steady criminal market for poison reagents. Expect further bounties of this type.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '74', 'm15t', 'Imperial Chemical Lab Offender');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '75', 'm15v', 'I wondered what that silly doorway thing did. Wait, how do you know I even have a magnetic aura? I could be the wrong person. Is it too late to claim an alibi?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '76', 'm16d', 'An Imperial bounty is hereby issued on a cloud car thief who killed a stormtrooper by pushing him off a tall building, then stole a military-grade repulsorlift drive. Target is believed lightly armed and low-threat. The Empire orders you to give this message to the target before termination: \"That prototype drive was designed to emit distinctive traces of radiation.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '77', 'm16o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '78', 'm16s', 'The Empire sends congratulations and this message: \"Imperial interdiction of Rebel supply lines means they will continue to enlist common thieves to procure repulsorlift drives. Expect further bounties of this type.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '79', 'm16t', 'Imperial Equipment Depot Cloud Car Thief');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '80', 'm16v', 'But I didn\'t even turn on the drive!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '81', 'm17d', 'An Imperial bounty is hereby issued on a known Rebel informant, accused in several counts of espionage against Imperial military sites. Target is believed lightly armed and low-threat. The Empire orders you to give this message to the target before termination: \"Three times you have been warned to avoid our installations. Consider this a desist order.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '82', 'm17o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '83', 'm17s', 'The Empire sends congratulations and this message: \"Lack of respect for the New Order inevitably leads to poor decisions. Don\'t you agree, bounty hunter?\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '84', 'm17t', 'Rebel Informant');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '85', 'm17v', 'Stay back! I know how to defend myself!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '86', 'm18d', 'An Imperial bounty is hereby issued on a weapons smuggler who escaped custody after a treason conviction. Target is believed lightly armed and low-threat. The Empire orders you to give this message to the target before termination: \"We have executed your accomplices and trapped you on the planet. There will be no escape this time.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '87', 'm18o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '88', 'm18s', 'The Empire sends congratulations and this message: \"When a smuggler runs weapons to known Rebel sympathizers, it is no longer simple tariff evasion. The Empire must show no mercy.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '89', 'm18t', 'Weapons Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '90', 'm18v', 'You won\'t get me on a dungeon ship! I\'ll die first!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '91', 'm19d', 'An Imperial bounty is hereby issued on a sniper, known for engaging in laser fire against unsuspecting Imperial personnel. Rebel sympathies are strongly in evidence. Target is believed lightly armed and low-threat. The Empire orders you to give this message to the target before termination: \"Too many good operatives have fallen to your laser blasts. But you won\'t take this bounty hunter by surprise.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '92', 'm19o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '93', 'm19s', 'The Empire sends congratulations and this message: \"The families of that Rebel\'s victims will rest easier knowing that the Empire has delivered a just punishment. Good work, bounty hunter.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '94', 'm19t', 'Rebel Blaster Fighter');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '95', 'm19v', 'Servants of the Empire deserve to die -- including you, bounty hunter!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '96', 'm20d', 'An Imperial bounty is hereby issued on a military contractor who embezzled millions of Imperial credits. Target is believed lightly armed and low-threat. The Empire orders you to give this message to the target before termination: \"Imperial prisons are reserved for political offenders. Fiduciary infractions are better handled by simple disintegration.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '97', 'm20o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '98', 'm20s', 'The Empire sends congratulations and this message: \"You have shown true professionalism, bounty hunter. We commend your adherence to Imperial accounting protocols.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '99', 'm20t', 'Traitorous Embezzler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '100', 'm20v', 'Please don\'t hurt me! I\'ll give the credits back!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '101', 'm21d', 'An Imperial bounty is hereby issued on a thief of trained dewback stock, responsible for obstructing military operations on Tatooine. Target is believed lightly armed and low-threat. The Empire orders you to give this message to the target before termination: \"Dewbacks are important for Imperial security. You have disrupted a valuable breeding program.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '102', 'm21o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '103', 'm21s', 'The Empire sends congratulations and this message: \"We\'re glad that justice was not miscarried. Now our dewback breeding program can proceed unhindered.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '104', 'm21t', 'Dewback Rustler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '105', 'm21v', 'You got the drop on me, but I ain\'t down yet!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '106', 'm22d', 'An Imperial bounty is hereby issued on a well-established forgery expert, accused of aiding the Rebel Alliance. Target is believed lightly armed and low-threat. The Empire orders you to give this message to the target before termination: \"Aiding the Rebellion is the highest treason. Rest assured, the price on your head is no forgery.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '107', 'm22o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '108', 'm22s', 'The Empire sends congratulations and this message: \"Falsified documents compromise the security of all Imperial operations. You have served the galaxy well, bounty hunter.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '109', 'm22t', 'Forgery Expert');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '110', 'm22v', 'Leave me alone! Help! Help!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '111', 'm23d', 'An Imperial bounty is hereby issued on a vagabond miscreant, dissolute lawbreaker, and thoroughly unprincipled reprobate. The target is also accused of defrauding a recently-widowed Coruscant aristocrat. Target is believed lightly armed and low-threat. The Empire orders you to give this message to the target before termination: \"I told you I had friends in high places, you heartless monster! I hope you die slowly!\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '112', 'm23o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '113', 'm23s', 'The Empire sends congratulations and this message: \"That detestable fiend had it coming. I hope you enjoyed the work, bounty hunter.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '114', 'm23t', 'Vagabond Miscreant');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '115', 'm23v', 'Die slowly? I\'ll stretch my death out fifty years if you look the other way for a second.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '116', 'm24d', 'An Imperial bounty is hereby issued on a Rebel saboteur, wanted for thermobombing the TIE shipyards of Sienar Fleet Systems. Target is believed lightly armed and low-threat. The Empire orders you to give this message to the target before termination: \"No amount of sabotage daunts the Imperial Navy. Cowards like you don\'t even warrant our direct action. This common bounty hunter will end your career.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '117', 'm24o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '118', 'm24s', 'The Empire sends congratulations and this message: \"We knew a common bounty hunter would be more than a match for that minor scum.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '119', 'm24t', 'TIE Saboteur');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '120', 'm24v', 'Don\'t be a dupe of the New Order, bounty hunter! Join us!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '121', 'm25d', 'An Imperial bounty is hereby issued on an outlaw propagandist, accused of disseminating lies about the Emperor and the New Order. Target is believed lightly armed and low-threat. The Empire orders you to give this message to the target before termination: \"Your lies have corrupted millions of sentient beings. But your broadcasts are now concluded.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '122', 'm25o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '123', 'm25s', 'The Empire sends congratulations and this message: \"It is violence against the mind to spread lies and slander. You have brought down a dangerous criminal. Well done, bounty hunter.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '124', 'm25t', 'Outlaw Propagandist');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '125', 'm25v', 'Show me your moves, you Imperial tool!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_easy.stf', '126', 'number_of_entries', '25');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '1', 'm1d', 'Imperial Intelligence has identified the leader of a vast logistics network that serves the Rebellion. The Ubiqtorate hereby decrees an Imperial death bounty on this individual. Only elite hunters should attempt to bring down this mark. The target will be very well armed and should be approached with maximum caution. Success will earn a commendation in the hunter\'s official dossier.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '2', 'm1o', 'Imperial Ubiqtorate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '3', 'm1s', 'This Rebel leader was a major thorn in the Emperor\'s side. You have earned the bounty and the respect of the Ubiqtorate. You will hear from us again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '4', 'm1t', 'Highly Appointed Rebellion Facilitator');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '5', 'm1v', 'You\'re going to regret finding me, bounty hunter!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '6', 'm2d', 'When the planetary government of Pliad 4 resisted Imperial annexation, a troublesome council of ministers was exiled to a prison world. These ministers have escaped custody. The Ubiqtorate hereby decrees an Imperial death bounty on each of these individuals. Hunters are warned that these ministers have demonstrated proficiency in armed combat, disguise, and clandestine movement. One bounty will be disbursed for each confirmed kill.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '7', 'm2o', 'Imperial Ubiqtorate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '8', 'm2s', 'Outstanding. At this rate we shall eliminate all these exiled ministers within the year. Claim your bounty.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '9', 'm2t', 'Exiled Planetary Minister');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '10', 'm2v', 'Death to the Emperor and the New Order!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '11', 'm3d', 'A Rebel agent from Chryya, renowned for expertise with biotoxins, has poisoned a shipment of grain to Imperial troops under my command. I am offering a substantial bounty to the expert hunter who neutralizes this Rebel poisoner. Imperial law enforcement will forgive violent infractions committed during pursuit. Approach this task with utmost urgency. The Rebellion has a history of vanishing its agents after a major operation.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '12', 'm3o', 'Moff Krewe of Droma Sector');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '13', 'm3s', 'Brilliantly handled, bounty hunter. I foresee a long working relationship.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '14', 'm3t', 'Rebel Poisoner');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '15', 'm3v', 'Sithspit! How did you find me this far from Droma Sector?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '16', 'm4d', 'A Rebel spy has infiltrated my command staff. Of course I detected the spy, but I must resolve the matter discreetly. I have granted the traitor a short leave of absence. The spy travels incognito, so expect a civilian and not a uniformed officer. Licensed hunters have my personal assurance that Imperial law enforcement will forgive any violent infractions committed during the elimination of this problem.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '17', 'm4o', 'Moff Krewe of Droma Sector');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '18', 'm4s', 'Brilliantly done. Say nothing if Imperial Intelligence questions you. My superiors need not learn that my command staff was compromised.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '19', 'm4t', 'Rebel Spy in My Command Staff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '20', 'm4v', 'Who put a price on my head? Tell me!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '21', 'm5d', 'Lord Vader has requested my aid in removing troublesome Black Sun operatives. A certain Zekka Thyne from Corellia has hired assassins to wipe out his competition. Before we act directly against Thyne himself, I am issuing an Imperial bounty on Thyne\'s hired killers. These agents are masters of disguise and extremely lethal. Whoever succeeds in removing these individuals will earn the favor of Lord Vader and myself.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '22', 'm5o', 'Vice Admiral Thrawn');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '23', 'm5s', 'Well done, bounty hunter. I reward those who serve me well. I may have work for you in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '24', 'm5t', 'Black Sun Assassins');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '25', 'm5v', 'What Vigo hired you, bounty hunter? I want to deliver your head to the fool when this is done!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '26', 'm6d', 'An expert on satellite power systems has vanished from an Imperial military project. Restricted information may be compromised if this engineer contacts the Rebellion. A substantial reward will be paid to the hunter who destroys this threat to the Emperor\'s plans. Make certain no one learns what that engineer knows. Disintegration is preferred. I want no mistakes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '27', 'm6o', 'Lord Vader');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '28', 'm6s', 'The Empire will compensate you for your effort. Speak to no one about this, bounty hunter. Do not make me explain the importance of secrecy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '29', 'm6t', 'Reactor Core Engineer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '30', 'm6v', 'You won\'t take me back to Vader! I\'ll die first!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '31', 'm7d', 'My Star Destroyer was hosting a birthday celebration for the twin daughters of a local Moff. We hired an entertainer for the children. Our performer disabled the guards\' blaster rifles while engaging them in an audience-participation routine. Then this putative entertainer trapped us at blaster-point, robbed the children of their gifts -- mostly jewels confiscated from political prisoners -- and made a clean escape. I will fund a bounty from my official budget to have this criminal blasted to atoms.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '32', 'm7o', 'Captain Nob Finial');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '33', 'm7s', 'Good. My superiors are most interested in this case. They keep scheduling debriefings about the crime for an ever-expanding team of investigators. With luck, your success will speed my promotion to admiral.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '34', 'm7t', 'Audacious Robber');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '35', 'm7v', 'Bring it on, bounty hunter! I prefer a straight fight to all this sneaking around!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '36', 'm8d', 'A high-ranking officer in the Imperial Navy lost a battle to a squadron of Rebel star pilots. This officer failed to report to me for disciplinary action. I want this fugitive found. It is likely the officer will travel in disguise, but I do not expect you to be fooled. I want results as soon as possible. If I receive confirmation of a kill, I will double the posted bounty.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '37', 'm8o', 'Lord Vader');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '38', 'm8s', 'You\'re as skilled as your reputation suggests, bounty hunter. However, I will not be doubling the reward. I am altering the deal. Pray I don\'t alter it any further.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '39', 'm8t', 'Ex-Imperial Officer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '40', 'm8v', 'Vader is a madman! If you\'re wise, you\'ll stay away from him too!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '41', 'm9d', 'An Imperial bounty is hereby issued on a deep-space salvage specialist. Target is believed heavily armed and high-threat. The Empire orders you to give this message to the target before termination: \"There is only one punishment for trespass in the Alderaan system.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '42', 'm9o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '43', 'm9s', 'The Empire sends congratulations and this message: \"It is indisputable that the Rebel Alliance blew up Alderaan. To say otherwise is treason. Remember this.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '44', 'm9t', 'Deep-space Salvage Specialist');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '45', 'm9v', 'I scavenged enough evidence to prove the Empire really blew up that planet. The story they gave is a lie. You won\'t stop me from telling the truth!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '46', 'm10d', 'An Imperial bounty is hereby issued on a strategist who helped organize the burglary of certain artifacts from the Emperor\'s private museum on Coruscant. Target is believed heavily armed and high-threat. The Emperor himself orders you to speak this message to the target before termination: \"You have meddled with forces more dangerous than you can possibly imagine.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '47', 'm10o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '48', 'm10s', 'The Emperor sends his regards and this message: \"The hunt continues. Tell no one. Expect further assignments.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '49', 'm10t', 'Imperial Museum Theft Mastermind');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '50', 'm10v', 'I can imagine a lot. That Sith elite warbot we stole got activated somehow, and it killed most of our team. But I got away, like I\'ll get away now!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '51', 'm11d', 'An Imperial bounty is hereby issued on the demolitions master who participated in the burglary of certain artifacts from the Emperor\'s private museum on Coruscant. Target is believed heavily armed and high-threat. The Emperor himself orders you to speak this message to the target before termination: \"The detonators you employed are trifles compared to the menace you unleashed.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '52', 'm11o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '53', 'm11s', 'The Emperor sends his regards and this message: \"The hunt continues. Tell no one. Expect further assignments.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '54', 'm11t', 'Imperial Museum Theft Demolitions Expert');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '55', 'm11v', 'I\'m starting to believe it. That Sith elite warbot we stole wiped out most of our team. But I don\'t go easy!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '56', 'm12d', 'An Imperial bounty is hereby issued on a cloud car driver for the team of burglars who stole certain artifacts from the Emperor\'s private museum on Coruscant. Target is believed heavily armed and high-threat. The Emperor himself orders you to speak this message to the target before termination: \"There is no vehicle fast enough to carry you beyond my reach, or that of the menace you helped unleash.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '57', 'm12o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '58', 'm12s', 'The Emperor sends his regards and this message: \"The hunt continues. Tell no one. Expect further assignments.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '59', 'm12t', 'Imperial Museum Theft Getaway Driver');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '60', 'm12v', 'Think so? The Sith elite warbot we stole didn\'t move all that fast, even if it did kill most of our team. I got away from it, and I\'ll get away from you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '61', 'm13d', 'An Imperial bounty is hereby issued on the blockade runner who aided the escape of  burglars from the Emperor\'s private museum on Coruscant. Target is believed heavily armed and high-threat. The Emperor himself orders you to speak this message to the target before termination: \"The menace you unleashed has destroyed most of your team already. I grant you a mercy by killing you first.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '62', 'm13o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '63', 'm13s', 'The Emperor sends his regards and this message: \"The hunt continues. Tell no one. Expect further assignments.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '64', 'm13t', 'Imperial Museum Theft Escape Pilot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '65', 'm13v', 'That\'s a mercy I can live without, thanks. You feel like tackling the Sith elite warbot we stole? It coud beat ten hunters like you. Me, I\'ll just beat you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '66', 'm14d', 'An Imperial bounty is hereby issued on a traitorous inside agent who participated in the burglary of certain artifacts from the Emperor\'s private museum on Coruscant. Target is believed heavily armed and high-threat. The Emperor himself orders you to speak this message to the target before termination: \"Your treachery has unleashed a menace beyond your feeble comprehension.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '67', 'm14o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '68', 'm14s', 'The Emperor sends his regards and this message: \"The hunt continues. Tell no one. Expect further assignments.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '69', 'm14t', 'Imperial Museum Theft Accomplice');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '70', 'm14v', 'The only menace beyond my feeble comprehension is the Emperor. I hoped -- I still hope -- the Sith elite warbot we stole would go to the Alliance. Long live the Republic!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '71', 'm15d', 'An Imperial bounty is hereby issued on a gang leader who led a criminal assault on a company of stormtroopers in the Expansion Territories. Target is believed heavily armed and high-threat. The Empire orders you to give this message to the target before termination: \"Your criminal plunder will not serve you in death.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '72', 'm15o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '73', 'm15s', 'The Empire sends congratulations and this message: \"Imperial Intelligence offers its assurance that this was, in fact, a criminal gang leader.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '74', 'm15t', 'Leader of Gang Assault on Stormtrooper Company');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '75', 'm15v', 'I\'m insulted. I recruited citizens to wipe out those troopers as part of Alliance efforts to win the Expansion Territories. \"Criminal\"! That\'s it, I\'m gonna kill you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '76', 'm16d', 'An Imperial bounty is hereby issued on a merchant freighter pilot who interfered with the capture of a Corellian smuggler and his Wookiee companion. Target is believed heavily armed and high-threat. The Empire orders you to give this message to the target before termination: \"It is unwise to interfere with Lord Vader\'s plans.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '77', 'm16o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '78', 'm16s', 'The Empire sends congratulations and this message: \"Lord Vader is also seeking a Rebel pilot named Skywalker. He must be brought in alive. Contact the Guild for details.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '79', 'm16t', 'Rebel Merchant Freighter Pilot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '80', 'm16v', 'Darth Vader is looking for Han? Well, then, I\'m even prouder that I decoyed that other bounty hunter off the Falcon. If you\'ll excuse me, I have to alert the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '81', 'm17d', 'An Imperial bounty is hereby issued on the leader of a pirate gang that attacked an Imperial escort frigate in the Mid Rim. Target is believed heavily armed and high-threat. The Empire orders you to give this message to the target before termination: \"Piracy is punishable by death.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '82', 'm17o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '83', 'm17s', 'The Empire sends congratulations and this message: \"The Empire tells you that this was a pirate. Remember what the Empire tells you.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '84', 'm17t', 'Pirate Leader Active in Mid Rim');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '85', 'm17v', 'I\'m with the Alliance! We blew up a Moff\'s own flagship, and he\'s trying to cover it up as \"pirates.\" Please!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '86', 'm18d', 'An Imperial bounty is hereby issued on a Rebel spy whose espionage has cost the Empire billions of credits and hundreds of trained personnel. Target is believed heavily armed, high-threat, and extremely elusive. The Empire orders you to give this message to the target before termination: \"Across a hundred worlds you have eluded capture, yet a mere bounty hunter has proven your equal. We shall inform the Emperor of your ultimate disgrace.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '87', 'm18o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '88', 'm18s', 'The Empire sends congratulations and this message: \"Recent transmissions from Rebel commanders suggest we sent you after the wrong person. We are reevaluating our data. This does not reflect upon your performance, bounty hunter. The money is yours.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '89', 'm18t', 'Rebel Spymaster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '90', 'm18v', 'A decoy\'s fate is a noble sacrifice. I die serving the Alliance!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '91', 'm19d', 'An Imperial bounty is hereby issued on a space pirate commander of a ruthless armada of twenty warships that have defeated countless Imperial vessels. Target is believed heavily armed and extremely high-threat. The Empire orders you to give this message to the target before termination: \"Commander, the trip is over.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '92', 'm19o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '93', 'm19s', 'The Empire sends congratulations and this message: \"The pirate fleet will crumble without its commander, becoming easy prey for the Imperial Navy. You have performed an admirable service to the Empire.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '94', 'm19t', 'Pirate Fleet Commander');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '95', 'm19v', 'Bring it on, you drudge gunner! I eat bounty hunters for breakfast!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '96', 'm20d', 'An Imperial bounty is hereby issued on the leader of a daredevil armada of cloud raiders. Flying giant thrantas fitted with shields and turbolasers, these outlaws ambush Imperial shuttles from the concealment of atmospheric cloud banks. The armada moves between planets in a clandestine interstellar transport. Target is believed heavily armed and high-threat. The Empire orders you to give this message to the target before termination: \"Your exploits are renowned, Commodore, but the tales end here.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '97', 'm20o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '98', 'm20s', 'The Empire sends congratulations and this message: \"Excellent work. Soon we shall hunt down this secret transport, kill the trained thrantas, and dispose of this armada of so-called adventurers.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '99', 'm20t', 'Commodore of the Thranta Armada');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '100', 'm20v', 'Ah, excellent! I was hoping to kill another bounty hunter before lunch.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '101', 'm21d', 'An Imperial bounty is hereby issued on an outlaw droid programmer who turned harmless utility droids into unstoppable war machines. Target is believed heavily armed and high-threat. The Empire orders you to give this message to the target before termination: \"Your devious plot has succeeded in disrupting many Imperial operations. Now you must pay.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '102', 'm21o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '103', 'm21s', 'The Empire sends congratulations and this message: \"Another outlaw droid programmer eliminated. We cannot overstress the importance of removing this serious threat.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '104', 'm21t', 'Nefarious Droid Programmer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '105', 'm21v', 'Kill me, bounty hunter, and the MSE-6X will not rest until you\'re dead!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '106', 'm22d', 'An Imperial bounty is hereby issued on a renegade torturer who murdered an Imperial Intelligence supervisor. Target is heavily armed, high-threat, and renowned for cunning, cruelty, and ruthlessness. The Empire orders you to give no message to the target before termination. Instead we recommend the utmost caution and all available firepower.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '107', 'm22o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '108', 'm22s', 'The Empire sends congratulations and this message: \"A lawful torturer is a necessary evil, but these barbarians must not be loosed on the galaxy.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '109', 'm22t', 'Renegade Torturer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '110', 'm22v', 'How rude! Do let\'s finish this quickly. I\'m in a frightful hurry.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '111', 'm23d', 'An Imperial bounty is hereby issued on a high commander in the military arm of the Rebellion. Target is believed to be heavily armed, high-threat and traveling incognito. The Empire orders you to give this message to the target before termination: \"The Republic is forgotten, your insurrection a pathetic fantasy. There can be no escape for traitors to the New Order.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '112', 'm23o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '113', 'm23s', 'The Empire sends congratulations and this message: \"Excellent work, bounty hunter. Soon the last remnants of the Old Republic will be swept away.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '114', 'm23t', 'Rebel Commander');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '115', 'm23v', 'Don\'t succumb to the Empire\'s evil! The Alliance can use your skills!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '116', 'm24d', 'An Imperial bounty is hereby issued on the mastermind of a ring of mercenary hit squads employed against Imperial officers. Target is believed heavily armed and high-threat. The Empire orders you to give this message to the target before termination: \"We traced the chain of command for the hit squads and found you at the top. So falls another menace to galactic security.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '117', 'm24o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '118', 'm24s', 'The Empire sends congratulations and this message: \"Even mercenaries must be held accountable for their actions. Don\'t you agree, bounty hunter?\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '119', 'm24t', 'Mercenary Kingpin');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '120', 'm24v', 'Your talents fit my organization, bounty hunter. You can either profit from this or die.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '121', 'm25d', 'An Imperial bounty is hereby issued on a perfidious insurgent gladiator, once a champion on Derilyn but now an agent of the Rebellion. Target is remarkable not only for fighting prowess but also for skill and artfulness. Target is believed heavily armed and high-threat. The Empire orders you to give this message to the target before termination: \"Time to exit the ring.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '122', 'm25o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '123', 'm25s', 'The Empire sends congratulations and this message: \"Great skill in combat is commendable for soldiers and gladiators, but outlaw fighters must be handled without mercy. See that you remember this fact, bounty hunter.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '124', 'm25t', 'Perfidious Insurgent Gladiator');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '125', 'm25v', 'I\'m taking you with me, bounty hunter!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard.stf', '126', 'number_of_entries', '25');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '1', 'm1d', 'I have been authorized by the Inquisitorius to investigate the recent appearance of Force-sensitive individuals. Our mission continues the worthy Jedi purge begun by the early heroes of the New Order. I hereby issue an Imperial death bounty on all Jedi candidates. Your success will insure your place among the Emperor\'s elite cadre of deadly Jedi Hunters.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '2', 'm1o', 'High Inquisitor Mal Sikander');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '3', 'm1s', 'Excellent, Jedi hunter. The Emperor rewards those servants who please him, and you have done so. Claim your bounty and stand ready to serve the Empire again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '4', 'm1t', 'Remove Jedi Candidates');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '5', 'm1v', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '6', 'm2d', 'We have been tracking and eliminating Force-using threats to the Empire since the original Jedi purge. It appears some have slipped through our fingers and have now fully developed as Jedi Knights. I call upon the Emperor\'s Jedi hunters to locate these dangerous warriors and remove their threat to the Empire. Disintegration is most effective, although other disposal methods are acceptable. Serve your Emperor! Protect the Empire! ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '7', 'm2o', 'High Inquisitor Mal Sikander');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '8', 'm2s', 'Your skills truly mark you as a Jedi hunter. The Emperor will not forget your loyal service and will reward you accordingly.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '9', 'm2t', 'Hunt the Jedi Knights');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '10', 'm2v', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '11', 'm3d', 'The Rebellion seeks to restore the corrupt Republic, and many of these newly emerging Jedi are joining their cause. It is up to the Inquisitorius and the Emperor\'s Jedi hunters to stop this dangerous trend. The Emperor\'s power will protect you and grant victory against these skilled foes. Hunt down these Jedi, so that all may understand the glory that is the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '12', 'm3o', 'High Inquisitor Mal Sikander');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '13', 'm3s', 'Is this not more proof of the Emperor\'s might? How can these Jedi hope to resist his dedicated servants? Claim your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '14', 'm3t', 'Bring Down the Jedi');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '15', 'm3v', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '16', 'm4d', 'If the stories are to be believed, Jedi are invincible. Events have proven this is not the case. The Inquisitorius knows the Jedi use mind tricks to fool their enemies and, in all likelihood, alter the historical record. We are issuing Imperial death bounties on these Force warriors. Remove this threat and claim your reward.  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '17', 'm4o', 'High Inquisitor Mal Sikander');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '18', 'm4s', 'It pleases the Emperor when his Jedi hunters prove their superiority. You deserve this reward, hunter.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '19', 'm4t', 'Ignore Jedi Mind Tricks');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '20', 'm4v', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '21', 'm5d', 'The Emperor\'s power protects and guides his Jedi hunters. The Emperor himself has signed Imperial death bounties for each of these Force-sensitive individuals. If you have not already hunted Jedi, then match your skills against them and prove yourself worthy of the Emperor\'s protection.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '22', 'm5o', 'High Inquisitor Mal Sikander');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '23', 'm5s', 'Well done, hunter. The Emperor knew you would be granted victory, for he sees everything and knows all ends. The reward is yours.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '24', 'm5t', 'Earn the Emperor\'s Protection');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '25', 'm5v', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '26', 'm6d', 'The Emperor and Lord Vader are most eager to eliminate all Force-using citizens, especially the Jedi Knights. I call upon the Scourge Column to assist me in eliminating this threat to the Empire. Many of you have faced Jedi before, so I do not need to warn of the great danger these individuals pose. The Imperial bounty I offer is appropriate for the risk involved. Serve me well, and the Emperor will hear of your success.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '27', 'm6o', 'Vice Admiral Thrawn');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '28', 'm6s', 'Most admirable, bounty hunter. I see why Lord Vader values your profession so highly. The Imperial bounty has been transmitted to you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '29', 'm6t', 'Help Thrawn Serve the Emperor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '30', 'm6v', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '31', 'm7d', 'In reviewing trade reports for this sector, we have identified illicit transport activity attributed to a \"Jedi,\" one of the legendary religious fanatics of the Old Republic. \"Jedi\" are, of course, illegal. A review of historical documents suggests that this heavily armed criminal is beyond this agency\'s capacity to apprehend. Because your Imperial Peace-Keeping Certificate is shown to be current, you are commissioned to locate, face, and defeat the \"Jedi.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '32', 'm7o', 'Imperial Customs');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '33', 'm7s', 'That\'s that, then. Imperial Customs will have no \"Jedi\" activity on its watch!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '34', 'm7t', '\"Jedi\" Fanatic Criminal');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '35', 'm7v', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '36', 'm8d', 'You are hereby assigned to destroy a newly reported Jedi Knight, one of the Old Republic\'s ruthless strike troops. Like others of the defunct order, this Jedi Knight may be employing mental attacks and archaic energy weapons. Further, the Jedi may be cooperating with known pirates and smugglers. The ISB wishes this threat to civil order silenced. Tell no one of the Jedi\'s existence or actions.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '37', 'm8o', 'Imperial Security Bureau, Planetary Headquarters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '38', 'm8s', 'Your work has brought another measure of order to our galaxy. The ISB will contact you with further work in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '39', 'm8t', 'Jedi Abetting Other Known Criminals');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '40', 'm8v', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '41', 'm9d', 'The Old Republic\'s terror weapon, the Jedi Knight, has reappeared. This self-appointed thug from the corrupt government\'s unaccountable enforcement arm uses brutal weaponry and mind-altering skills. To prevent this ancient, phantom menace from manifesting again in the Empire, we charge you to eliminate the renegade Jedi. Tell no one of your mission. Victory will be ours!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '42', 'm9o', 'Imperial Intelligence, Planetary Headquarters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '43', 'm9s', 'Your success is noted. Remember, tell no one of the Jedi\'s existence or activities. Imperial Intelligence will contact you again as needed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '44', 'm9t', 'Self-Selected Subversive from Old Regime');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '45', 'm9v', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '46', 'm10d', 'Be informed this communique is classified SECRET. Your urgent attention required in regards to reported activities of a known Jedi Knight. The Jedi, emissaries and executioners for the strife-ridden Old Republic, used unusual gear with high effectiveness. Locate and terminate said Jedi Knight immediately. Extreme caution. Highest priority. Situation critical.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '47', 'm10o', 'Imperial Army, Planetary Headquarters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '48', 'm10s', 'Situation report received. Payment dispatched. Stand down from critical. Mission rermains classified SECRET.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '49', 'm10t', 'Army Intelligence Assignment: Jedi');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '50', 'm10v', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '51', 'm11d', 'Our office deals directly only with capable agents known for loyalty to the Empire. To you falls the challenge of destroying a formidable enemy: one of the long-lost Jedi Knights. Now resurgent, these symbols of the corrupt Old Republic have menaced Imperial interests on several worlds. To you, whose reputation looms large among bounty hunters, we issue this assignment: hunt and kill the Jedi. Disintegration is permitted.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '52', 'm11o', 'Imperial Intelligence Ubiqtorate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '53', 'm11s', 'The Ubiqtorate sends appropriate compensation. Tell no one of this assignment, lest the fire of the old Jedi religion reignite the galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '54', 'm11t', 'Jedi Target for the Elite Hunter');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '55', 'm11v', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '56', 'm12d', 'The Ubiqtorate prefers to issue strategic directives through various subordinate organizations. Only the most critical issues require direct intervention. The current danger is an active Jedi Knight, a throwback to the corrupt Old Republic regime. To prevent a recurrence of troubles familiar to all students of the pre-Imperial epoch, eliminate the Jedi at once. Discretion is imperative. Tell no one of the Jedi\'s whereabouts or activities, lest misguided accomplices seek to give aid to the enemy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '57', 'm12o', 'Imperial Intelligence Ubiqtorate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '58', 'm12s', 'The Ubiqtorate sends appropriate compensation. Tell no one of this assignment, lest the idea of resurgent Jedi fire the popular imagination.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '59', 'm12t', 'The Most Dangerous Target: Jedi');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '60', 'm12v', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '61', 'm13d', 'The Naval Command Center has received reports of a recent interplanetary transit, apparently aboard a commercial shuttle, of a Jedi Knight, one of the strongarm thugs of the Old Republic bureaucracy. The age and provenance of the Jedi remain unknown, but in historical records these enforcers were considered most dangerous adversaries. Naval Command assesses threat level as MAXIMUM. Exercise extreme caution, but destroy without fail.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '62', 'm13o', 'Imperial Naval Command');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '63', 'm13s', 'Naval Command issues payment as agreed. Threat levels for Jedi reindexed based on your report. Naval Command hereby classifies SECRET the nature and content of this assignment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '64', 'm13t', 'Highest-Threat Jedi Target');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '65', 'm13v', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '66', 'm14d', 'The Naval Command Center issues this directive to a bounty hunter who has demonstrated the highest ability: Reports from witnesses aboard a commercial shuttle describe the distinctive weapon of the defunct Jedi order, a glowing energy blade. Naval Command assigns 90-plus percent confidence that the wielder of this weapon is a Jedi Knight, an Old Republic enforcer. Naval Command assigns you to destroy the Jedi. Exercise all possible caution against this most dangerous opponent. Threat level MAXIMUM.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '67', 'm14o', 'Imperial Naval Command');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '68', 'm14s', 'Naval Command issues payment as agreed. Threat levels for Jedi reindexed based on your report. Naval Command hereby classifies SECRET the nature and content of this assignment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '69', 'm14t', 'Jedi Target, Maximum Threat');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '70', 'm14v', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '71', 'm15d', 'Intelligence indicates possible activity of a Jedi Knight, one of the corrupt Old Republic\'s enforcers. Identity and whereabouts unknown. The ISB requires you to destroy the Jedi by any means needed. The ISB will protect you from prosecution for incidental damage committed during direct confrontation with the target. Expect the most formidable resistance. This assignment is classified SECRET.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '72', 'm15o', 'Imperial Security Bureau, Central Operations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '73', 'm15s', 'Excellent. Maintain strict confidentiality regarding the activities, and in fact the existence, of the Jedi. Should you fail to heed this warning, it will go badly for you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '74', 'm15t', 'Classified Target: Jedi Knight');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '75', 'm15v', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '76', 'm16d', 'The ISB designates you to destroy the most dangerous target in the galaxy: a member of the defunct order of the Jedi Knights. According to historic sources, these Old Republic enforcers displayed unsurpassed offensive and defensive abilities. In the absence of firm information, this new Jedi must be considered equally powerful. Take all imaginable precautions. This assignment is classified SECRET.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '77', 'm16o', 'Imperial Security Bureau, Central Operations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '78', 'm16s', 'Excellent. Tell no one about this Jedi, or any others you may be assigned to terminate. Should you fail to heed this warning, it will go badly for you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '79', 'm16t', 'Classified Target: Active Jedi');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '80', 'm16v', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '81', 'm17d', 'A data analysis team has assessed passenger movements, purchases, intelligence reports, and eyewitness accounts and, with a 92-percent confidence level, has identified a member of the dismantled order of Jedi Knights. Historic sources indicate that these shadowy agents commanded tremendous abilities. You are to destroy the Jedi Knight. By authority of Imperial Security, the Information Center will disburse payment on success.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '82', 'm17o', 'Imperial Information Center');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '83', 'm17s', 'The Information Center has accepted your report of termination and will update records accordingly. Payment dispatched.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '84', 'm17t', 'Data Analysis Indicates Jedi Activity');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '85', 'm17v', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '86', 'm18d', 'The Committee for Preservation of the New Order assigns you to destroy a newly detected Jedi Knight, one of the enforcers who propped up the corrupt Old Republic. The Jedi concept introduces memetic interference into COMPNOR\'s strategies for conveying the Empire\'s story to a sometimes resistant populace. These strongarm Jedi agents were reputed to command extraordinary physical and mental powers; COMPNOR advises maximum caution.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '87', 'm18o', 'COMPNOR Central Office');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '88', 'm18s', 'We send our regards for a job well done. Remember, it is unwise to spread the news of a resurgent Jedi. This would be conduct disloyal to the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '89', 'm18t', 'Jedi Interfering in Mass Edification');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '90', 'm18v', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '91', 'm19d', 'The Committee for Preservation of the New Order informs you, in strict secrecy, of the existence of an active Jedi Knight, a throwback to the Old Republic paradigm of corruption and anarchy. Because this disruptive element could interfere with efficient re-education of recalcitrant populations, COMPNOR commissions you to hunt and kill this active Jedi. Exert maximum force in dispatching the target.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '92', 'm19o', 'COMPNOR Central Office');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '93', 'm19s', 'We send our regards for a job well done. It is unwise to spread the news of a resurgent Jedi. Maintain a discreet silence regarding this assignment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '94', 'm19t', 'Jedi Obstacle to Paradigm Reorientation');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '95', 'm19v', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '96', 'm20d', 'One of the ancient order of Jedi has reappeared. This is unacceptable. The Emperor instructs you to destroy the Jedi at once. Exercise great caution and maximum firepower. Tell no one. That is all.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '97', 'm20o', 'Imperial Royal Guard');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '98', 'm20s', 'We approve. Tell no one. That is all.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '99', 'm20t', 'Eliminate Jedi Promptly');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '100', 'm20v', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '101', 'm21d', 'The corrupt Jedi order was destroyed after the Clone Wars, but the Empire sometimes sees misguided persons seek to revive the ancient religion. The Ubiqtorate offers a standing death bounty on such individuals. The targets, while not Jedi in the historical sense, do represent a maximum threat level. Use supreme caution and generous firepower. You have been warned.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '102', 'm21o', 'Imperial Intelligence Ubiqtorate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '103', 'm21s', 'We have confirmed your liquidation of the so-called Jedi. Your skill is remarkable. The reward has been deposited in your account.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '104', 'm21t', 'Bounty on So-Called Jedi');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '105', 'm21v', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '106', 'm22d', 'According to Imperial Intelligence, young Jedi Knights have surfaced in many star systems. They must not be allowed to survive. I call upon the elite bounty hunters of the Scourge Column. The first target has been verified. Data is being transmitted. Remember, Jedi are masters of the Force. Do not underestimate their powers. Execute this dangerous target and you will prove yourself worthy to remain a member of this hand-selected unit.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '107', 'm22o', 'Lord Vader');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '108', 'm22s', 'You prove worthy of your reputation. You will be a valuable asset to the Scourge Column.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '109', 'm22t', 'Scourge Column: Verified Jedi Target');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '110', 'm22v', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '111', 'm23d', 'Intelligence from several systems indicates that a possible Jedi warrior has battled criminals and dangerous animals in the wilds of many planets. Because any Jedi is a potential asset to the Rebellion, we are posting a death bounty to the highest ranking hunters in the Empire. Do not attempt capture. Immediate execution is required. The threat level of a Jedi warrior is maximum. We do not want any to escape.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '112', 'm23o', 'Imperial Intelligence Ubiqtorate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '113', 'm23s', 'So it was indeed a Jedi? Then your success is doubly commendable. Your bounty has been transmitted.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '114', 'm23t', 'Investigate a Suspected Jedi');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '115', 'm23v', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '116', 'm24d', 'It has come to my attention that a suspected Jedi Knight was spotted passing through my sector. A directive from Imperial Center obliges me to halt this person\'s movements. Accordingly I am offering a death bounty on this alleged Jedi to the top-ranked hunters in the galaxy. I want this affair wrapped up quickly and smoothly. I have enough problems dealing with the Rebellion without investigating every space traveller in a cape and robe.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '117', 'm24o', 'Moff Haille');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '118', 'm24s', 'I am surprised that the target was an actual Jedi. I am even more surprised that a bounty hunter killed a Jedi. Excellent work. This will look good in my report to Imperial Center.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '119', 'm24t', 'Death Bounty on Suspected Jedi');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '120', 'm24v', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '121', 'm25d', 'Imperial Intelligence is shadowing a warrior known to be trained in the Jedi arts. Recently they lost the trail. This incompetence forces me to attend to the matter personally. I am dispatching the bounty hunters of the elite Scourge Column to locate and destroy this Jedi. Use caution. I want no more mistakes. While you pursue the Jedi, I will find out who in Imperial Intelligence is responsible for putting this matter into my hands.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '122', 'm25o', 'Lord Vader');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '123', 'm25s', 'Good work, bounty hunter. The Scourge Column is always reliable. While you were at your work, I identified the officers who lost the trail of the Jedi. Their commissions in Imperial Intelligence have now expired.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '124', 'm25t', 'Scourge Column: Missing Jedi');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '125', 'm25v', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '126', 'm26d', 'The Inquisitorius is a confidential council in direct service to the Emperor. Your dealings with us must remain secret. We have foreseen great misfortune for the Imperial military at the hands of a certain individual who claims to be a Jedi Knight. We require you to execute this so-called Jedi. A Jedi Knight is one of the deadliest sapient beings in the galaxy. Spare no resources in this pursuit. Extreme violence is highly recommended.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '127', 'm26o', 'The Inquisitorius');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '128', 'm26s', 'Magnificent work, bounty hunter. The Emperor will be pleased by your success. Remember, tell no one of your dealings with the Inquisitorius.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '129', 'm26t', 'We Foresee Great Misfortune');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '130', 'm26v', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '131', 'm27d', 'The Inquisitorius is a confidential council in direct service to the Emperor. Your dealings with us must remain secret. We have discovered a warrior with particularly strong Force sensitivity. We suspect that this person is receiving training in the Jedi arts. This must stop. Kill this warrior to forestall a grave threat to the Empire. Spare no resources in this pursuit. Extreme violence is highly recommended.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '132', 'm27o', 'The Inquisitorius');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '133', 'm27s', 'The Emperor applauds your ruthlessness, bounty hunter. Remember, tell no one of your dealings with the Inquisitorius.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '134', 'm27t', 'Warrior Receiving Forbidden Jedi Training');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '135', 'm27v', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '136', 'm28d', 'Witnesses have reported the use of a Jedi lightsaber in a public conflict. This troubles the Emperor. I want the wielder of that lightsaber destroyed. Bounty hunters of the elite Scourge Column must track down and eliminate this suspected Jedi. The reward goes to the one who completes the job. Do not fail me.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '137', 'm28o', 'Lord Vader');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '138', 'm28s', 'It is no easy task to kill a master of the Force. I was wise to include you in the Scourge Column. Take your reward with my commendation.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '139', 'm28t', 'Scourge Column: Possible Jedi Target');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '140', 'm28v', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '141', 'm29d', 'I have sensed a disturbance in the Force. Another Jedi warrior is loose in the galaxy. The Force is strong in this one, but as yet unfocused. I am transmitting information to the bounty hunters of the elite Scourge Column. I expect this Jedi to be found and disintegrated at once. Do not disappoint me.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '142', 'm29o', 'Lord Vader');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '143', 'm29s', 'You have served me well, bounty hunter. You are a worthy member of the Scourge Column.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '144', 'm29t', 'Scourge Column: Confirmed Jedi Target');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '145', 'm29v', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '146', 'm30d', 'A criminal in Imperial custody alleges to have fought a Jedi. He claims his gang was slaughtered and he barely escaped with his life. We have agreed to release him if we locate this Jedi. Using the information he has given, bounty hunters of the elite Scourge Column must investigate this claim. The reward will go to the one who kills the Jedi. Remember, exercise maximum caution. Do not underestimate the power of the Force.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '147', 'm30o', 'Lord Vader');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '148', 'm30s', 'Your success is admirable. I\'m afraid our informant did not share your good fortune. When we explained his pending exile to Dathomir, he claimed he was being treated unfairly. I found his lack of respect disturbing.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '149', 'm30t', 'Scourge Column: Alleged Jedi Target');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_hard_jedi.stf', '150', 'number_of_entries', '30');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '1', 'm1d', 'An Imperial bounty is hereby issued on a member of a major cred stick counterfeiting ring. Target is believed moderately armed and medium-threat. The Empire orders you to give this message to the target before termination: \"Your most prestigious client, Moff Weblin, turned out to be your last.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '2', 'm1o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '3', 'm1s', 'The Empire sends congratulations and this message: \"Moff Weblin has paid your fee. Expression of concern over the integrity of the funds is unwarranted.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '4', 'm1t', 'Cred Stick Counterfeiter');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '5', 'm1v', 'Haha! Moff Weblin must have tried to buy a space yacht or something. Hope he didn\'t hire you with those fake creds!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '6', 'm2d', 'An Imperial bounty is hereby issued on a fraudulent seller of luxury starships. Target is believed moderately armed and medium-threat. The Empire orders you to give this message to the target before termination: \"Moff Weblin will sigh wistfully to think of the fine ship your team promised him, though it proved only a space fantasy.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '7', 'm2o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '8', 'm2s', 'The Empire sends congratulations and this message: \"Moff Weblin is above mere \'fuming.\' Disappointment over the imaginary nature of that fine ship is only natural.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '9', 'm2t', 'Fraudulent Luxury Starship Seller');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '10', 'm2v', 'Haha! Moff Weblin planned to launch himself to the stars in this ludicrously overfurnished starship we made up. He\'s probably fuming with his lady friend about now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '11', 'm3d', 'An Imperial bounty is hereby issued on a known accomplice of a duplicitous female confidence artist. Target is believed moderately armed and medium-threat. The Empire orders you to give this message to the target before termination: \"Your leader trifled with Captin Needa\'s affections. Now Needa trifles with your lives.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '12', 'm3o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '13', 'm3s', 'The Empire sends congratulations and this message: \"Captain Needa is of course subject to the vagaries of the heart. Expressions of glee over his betrayal are uncalled for.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '14', 'm3t', 'Female Con Artist\'s Accomplice');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '15', 'm3v', 'Haha! Captain Needa fell for her sweet talk like a lovesick moisture farmer. He\'s probably nursing a stiff drink of Corellian Double-brandy about now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '16', 'm4d', 'An Imperial bounty is hereby issued on a purveyor of adulterated and diluted Corellian Double-brandy. Target is believed moderately armed and medium-threat. The Empire orders you to give this message to the target before termination: \"Captain Needa dislikes seeing fine spirits adulterated.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '17', 'm4o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '18', 'm4s', 'The Empire sends congratulations and this message: \"Like anyone, Captain Needa enjoys a fine Double-brandy. It is unworthy of anyone, even a fraud, to express pleasure at the debasement of excellent spirit.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '19', 'm4t', 'Purveyor of Diluted Double-brandy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '20', 'm4v', 'Haha! Captain Needa must have spat that terrible mouthwash all over his expensive Naboo furniture. And the price I got him to pay, whee!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '21', 'm5d', 'An Imperial bounty is hereby issued on a corrupt merchant of shoddy luxury furniture. Target is believed moderately armed and medium-threat. The Empire orders you to give this message to the target before termination: \"Admiral Zsinj dislikes seeing a cheap huckster trifle with the standards of Naboo chair-craft.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '22', 'm5o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '23', 'm5s', 'The Empire sends congratulations and this message: \"Admiral Zsinj is no different from any citizen in his appreciation of good furniture. A confidence artist who plays on a good reputation deserves to suffer for it.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '24', 'm5t', 'Seller of Shoddy Luxury Furniture');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '25', 'm5v', 'Haha! Zsinj paid enough for that \"luxury\" bunch of sticks to furnish another room of his estate. What a sucker!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '26', 'm6d', 'An Imperial bounty is hereby issued on the architect who designed a Moff\'s palace to criminally low standards. Target is believed moderately armed and medium-threat. The Empire orders you to give this message to the target before termination: \"Moff Graffe\'s palace may fall, but rest assured you will go with it.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '27', 'm6o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '28', 'm6s', 'The Empire sends congratulations and this message: \"Moff Graffe, like any rational being, believes the profession of architect should rise above mere political concerns.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '29', 'm6t', 'Negligent Moff Palace Architect');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '30', 'm6v', 'Haha! The sooner Moff Graffe\'s shrine to bloated grandiosity falls down, the way I designed it to fall down, the sooner the Alliance can take his territory!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '31', 'm7d', 'An Imperial bounty is hereby issued on a criminally negligent supervisor of the construction droids that built a Moff\'s palace. Target is believed moderately armed and medium-threat. The Empire orders you to give this message to the target before termination: \"Moff Graffe is dismayed by your lack of management ability.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '32', 'm7o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '33', 'm7s', 'The Empire sends congratulations and this message: \"Moff Graffe obviously desires a safe and secure home, as do most sapient beings in the galaxy. To trifle with this fundamental desire is criminal.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '34', 'm7t', 'Negligent Moff Palace Construction Supervisor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '35', 'm7v', 'Haha! My droids made sure Moff Graffe\'s palace will blow over in the next strong wind. Then the Alliance can finally move on his world!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '36', 'm8d', 'An Imperial bounty is hereby issued on the murderer of an Imperial customs official on the Corellian Trade Route. Target is believed moderately armed and medium-threat. The Empire orders you to give this message to the target before termination: \"You should not have left so many fragments of the destroyed crate. We traced you easily.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '37', 'm8o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '38', 'm8s', 'The Empire sends congratulations and this message: \"Many of these murderers wished to be traced, so as to die the death of martyrs. To forestall this outcome, avoid publicizing this assignment.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '39', 'm8t', 'Slayer of Imperial Customs Official');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '40', 'm8v', 'That corrupt official tried to \"accidentally\" destroy my crate because I wouldn\'t pay him a bribe. That triggered my bomb. The Empire will go the same way!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '41', 'm9d', 'An Imperial bounty is hereby issued on the murderer of a high official who supervised planetary labor realignment in the Expansion Territories. Target is believed moderately armed and medium-threat. The Empire orders you to give this message to the target before termination: \"The droid\'s brain survived the detonation, and he implicated you promptly.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '42', 'm9o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '43', 'm9s', 'The Empire sends congratulations and this message: \"A lone voice of dissent is helpless against the Empire\'s might.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '44', 'm9t', 'Slayer of Imperial Labor Supervisor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '45', 'm9v', 'I booby-trapped that labor droid with a detonator because that Imperial officer was enslaving my entire homeworld! I\'ll do it again, too, and you won\'t stop me!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '46', 'm10d', 'An Imperial bounty is hereby issued on the murderer of an officer of the Imperial Environmental Preservation & Refocusing Authority. Target is believed moderately armed and medium-threat. The Empire orders you to give this message to the target before termination: \"You left your sniper rifle behind. Very sloppy.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '47', 'm10o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '48', 'm10s', 'The Empire sends congratulations and this message: \"These murderers often wish to die a public death and so become martyrs. Therefore we discourage you from publicizing your success.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '49', 'm10t', 'Killer of Imperial Environmental Refocusing Official');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '50', 'm10v', 'That Imperial sleaze planned to destroy my homeworld\'s ecosystem and turn it into a factory planet. Preventing that is worth a bounty hunter on my tail.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '51', 'm11d', 'An Imperial bounty is hereby issued on the killer of an Imperial engineer highly placed in a TIE Fighter design program. Target is believed moderately armed and medium-threat. The Empire orders you to give this message to the target before termination: \"To leave a recording that gloats over your deed is senseless.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '52', 'm11o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '53', 'm11s', 'The Empire sends congratulations and this message: \"Do not publicize this assignment. To do so would only bring this would-be martyr glory in the eyes of misguided citizens.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '54', 'm11t', 'Killer of TIE Fighter Engineer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '55', 'm11v', 'He was working on a TIE Interceptor specifically designed to deploy bioterror weapons in planetary atmospheres. He deserved to die. You too, for serving the Empire!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '56', 'm12d', 'An Imperial bounty is hereby issued on the assassin who introduced poisonous kouhun arthropods into the sleeping quarters of an Imperial referee at the Blockade Runners Derby on Ord Mantell. Target is believed moderately armed and medium-threat. The Empire orders you to give this message to the target before termination: \"You left distinctive identity marks on the kouhuns\' carapaces.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '57', 'm12o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '58', 'm12s', 'The Empire sends congratulations and this message: \"It is unwise to publicize this assignment, lest the Blockade Derby become politicized.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '59', 'm12t', 'Assassin of Blockade Runners Derby Referee');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '60', 'm12v', 'Yeah, I wanted folks to know I killed that sleazy referee. He was selling his rulings to the highest bidder. The Empire just uses the Derby to harvest money!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '61', 'm13d', 'An Imperial bounty is hereby issued on the would-be assassin who assaulted a Trandoshan labor supervisor carrying out Imperial business on Kashyyyk. Target is believed moderately armed and medium-threat. The Empire orders you to give this message to the target before termination: \"Incendiary flame beetles are a barbarous weapon.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '62', 'm13o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '63', 'm13s', 'The Empire sends congratulations and this message: \"The Trandoshan supervisor is recovering. Our operations on Kashyyyk continue apace.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '64', 'm13t', 'Attempted Assassin of Trandoshan on Kashyyyk');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '65', 'm13v', 'That Trandoshan barbarian deserved to swallow that flame beetle. If he had, the Wookiees could have thrown off the yoke of slavery! Death to tyrants!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '66', 'm14d', 'An Imperial bounty is hereby issued on the killer of a military researcher at a classified location. Target is believed moderately armed and medium-threat. The Empire orders you to terminate the target without preliminary conversation, and to turn off all recording devices before the termination.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '67', 'm14o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '68', 'm14s', 'The Empire sends congratulations and this message: \"Treat all locations the target may have named as classified intelligence. Do not reveal them on pain of death.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '69', 'm14t', 'Killer of Military Researcher at Classified Location');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '70', 'm14v', 'Yes, I killed him, and I almost destroyed the whole Maw Cluster installation too! Those scientists are creating planet-killer weapons! I -- wait! Don\'t!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '71', 'm15d', 'An Imperial bounty is hereby issued on a civilian merchant selling unlicensed Republic-era Geonosian sonic cannon technology in defiance of Imperial edict. Target is believed moderately armed and medium-threat. The Empire orders you to give this message to the target before termination: \"You had one chance to cooperate. That chance is gone.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '72', 'm15o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '73', 'm15s', 'The Empire sends congratulations and this message: \"When the Empire makes an offer to purchase weapons, it is always prudent to take the offer.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '74', 'm15t', 'Dealer in Geonosian Sonic Weapons');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '75', 'm15v', 'I\'ll never cooperate with Imperial tyrants! When I discovered that cache of old weapons, I wanted the Alliance to use them to restore the Republic!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '76', 'm16d', 'An Imperial bounty is hereby issued on a saboteur of the Empire\'s probot reconnaissance droids. Target is believed moderately armed and medium-threat. The Empire orders you to give this message to the target before termination: \"The very droids you hoped to ruin were instrumental in locating you.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '77', 'm16o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '78', 'm16s', 'The Empire sends congratulations and this message: \"Imperial Star Destroyers routinely screen cargo and droids for common sabotage devices.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '79', 'm16t', 'Saboteur of Imperial Probe Droids');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '80', 'm16v', 'How ironic. At the factory I arranged for those droids to blow up as soon as they reached their Star Destroyer. Can\'t trust a droid, can you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '81', 'm17d', 'An Imperial bounty is hereby issued on an Imperial Navy quartermaster who deserted under fire. Target is believed moderately armed and medium-threat. The Empire orders you to give this message to the target before termination: \"The Rebels you fled from were not a tenth so dangerous to you as we are now.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '82', 'm17o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '83', 'm17s', 'The Empire sends congratulations and this message: \"Whether facing Rebels or pirates, an Imperial officer must not quaver.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '84', 'm17t', 'Navy Quartermaster Deserter');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '85', 'm17v', 'Rebels? I fled from the Hutts! Their pirate ships attacked my frigate, and I headed for the escape pod. This is so unfair!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '86', 'm18d', 'An Imperial bounty is hereby issued on a spy who attempted to procure hyperdrive schematics for a proposed factory on Naboo\'s moon Rori. Target is believed moderately armed and medium-threat. The Empire orders you to give this message to the target before termination: \"The hyperdrive factory will not be built.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '87', 'm18o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '88', 'm18s', 'The Empire sends congratulations and this message: \"It is not in our interest for hyperdrives to be freely available.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '89', 'm18t', 'Thief of Hyperdrive Schematics');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '90', 'm18v', 'If the Empire wants its hyperdrives bottled up forever, it should say so! We must take control of our own drive production!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '91', 'm19d', 'An Imperial bounty is hereby issued on a notorious member of the Freeholders smuggling gang. Target is believed moderately armed and medium-threat. The Empire orders you to give this message to the target before termination: \"It would have been easier to pay the Moff\'s custom duty.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '92', 'm19o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '93', 'm19s', 'The Empire sends congratulations and this message: \"These smugglers have evidently thrown in with the Rebels. You may count on further Freeholder targets.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '94', 'm19t', 'Freeholder Gang Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '95', 'm19v', 'The Moff\'s \"duty\" required me to lead him to my gang\'s home base. No thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '96', 'm20d', 'An Imperial bounty is hereby issued on the slayer of a Barabel mercenary in the Empire\'s employ. Target is believed moderately armed and medium-threat. The Empire orders you to give this message to the target before termination: \"In the march to victory, we must set aside petty grievances.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '97', 'm20o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '98', 'm20s', 'The Empire sends congratulations and this message: \"Barabels have a combative nature that works against their best interests -- not unlike their enemies, it seems.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '99', 'm20t', 'Slayer of Barabel Mercenary');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '100', 'm20v', 'That guy blew up my landspeeder just because he could. And he laughed! He had to pay!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '101', 'm21d', 'An Imperial bounty is hereby issued on a smuggler supplying weapons to the native Chubbits on Aridus in the Flarestar system. Target is believed moderately armed and medium-threat. The Empire orders you to give this message to the target before termination: \"Compassion for hopeless native causes is not the path to victory.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '102', 'm21o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '103', 'm21s', 'The Empire sends congratulations and this message: \"Victory is ours.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '104', 'm21t', 'Weapons Smuggler on Aridus');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '105', 'm21v', 'The Imperials built a signal tower that crippled the Chubbits\' nervous systems. No wonder they turned to the Alliance. You should have too, hunter!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '106', 'm22d', 'An Imperial bounty is hereby issued on the leader of a crime ring stealing valuable antique droids. Target is believed moderately armed and medium-threat. The Empire orders you to give this message to the target before termination: \"Gladiator droids died with the Old Republic. Now you will too.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '107', 'm22o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '108', 'm22s', 'The Empire sends congratulations and this message: \"Citizens report seeing the escaped gladiator droid on several planets. Apparently it is highly mobile, but we shall inevitably recapture it.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '109', 'm22t', 'Leader of Antique Droid Theft Ring');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '110', 'm22v', 'You got nothing on me! That gladiator droid got loose. What, you gonna kill me anyway? Try it!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '111', 'm23d', 'An Imperial bounty is hereby issued on a sabaoteur of a mining operation on Alzoc III in the Outer Rim Territories. Target is believed moderately armed and medium-threat. The Empire orders you to give this message to the target before termination: \"The garrison commander sends his regards.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '112', 'm23o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '113', 'm23s', 'The Empire sends congratulations and this message: \"The garrison commander sends his regards to you as well -- his kindest regards, this time.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '114', 'm23t', 'Saaboteur of Alzoc III Mine');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '115', 'm23v', 'The Empire has enslaved the Talz race to mine those wastelands, and no one even knows! I\'m spreading the word, and you can\'t stop me!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '116', 'm24d', 'An Imperial bounty is hereby issued on a citizen who gave support and succor to Alliance Commander Evram Lajaie. Target is believed moderately armed and medium-threat. The Empire orders you to give this message to the target before termination: \"You should have been more careful in your choice of associates.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '117', 'm24o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '118', 'm24s', 'The Empire sends congratulations and this message: \"Evram Lajaie discovered the flaw in the Death Star battle station. All who associate with him are suspect.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '119', 'm24t', 'Associate of Evram Lajaie');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '120', 'm24v', 'Evram Lajaie is a hero of the Alliance. Let me be worthy of his example!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '121', 'm25d', 'An Imperial bounty is hereby issued on the Rebel who led a guerrilla assault on a Corellian shipping depot. Target is believed moderately armed and medium-threat. The Empire orders you to give this message to the target before termination: \"The Rebellion is hopeless. All will join us or share your fate.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '122', 'm25o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '123', 'm25s', 'The Empire sends congratulations and this message: \"Corrupt shipping officials must not be assassinated without the Empire\'s permission.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '124', 'm25t', 'Guerrilla Assault Leader at Corellian Depot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '125', 'm25v', 'Y\'know, we were just trying to ship out some cargo when that crooked depot owner stole it. I lost my temper. Like this!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '126', 'm26d', 'An Imperial bounty is hereby issued on a slicer who purloined Imperial Star Destroyer holo-coding protocols. Target is believed moderately armed and medium-threat. Remove and destroy any datadiscs you may find on the target\'s body.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '127', 'm26o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '128', 'm26s', 'The Empire sends apologies and this message: \"Evidently the slicer altered our mission data. The identity of your target is unknown to us. However, because you performed the requested service, we disburse the agreed payment.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '129', 'm26t', 'Slicer who Stole Star Destroyer Codes');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '130', 'm26v', 'Slicer? You\'ve made a mistake, citizen. And if you think I\'m dying quietly, that\'s another mistake.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '131', 'm27d', 'An Imperial bounty is hereby issued on a slicer who altered sanitation droid programming aboard an Imperial Star Destroyer. Target is believed moderately armed and medium-threat. The Empire orders you to give this message to the target before termination: \"The stink of treason led us to you.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '132', 'm27o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '133', 'm27s', 'The Empire sends congratulations and this message: \"Cleanup of the Star Destroyer hold is now complete. Victory is ours.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '134', 'm27t', 'Slicer who Altered Sanitation Droid Programming');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '135', 'm27v', 'I\'ll bet \"the stink of a hold full of sewage\" beats \"the stink of treason\" any day.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '136', 'm28d', 'An Imperial bounty is hereby issued on a confidence artist who attempted a military scrip exchange deception at the Imperial Military Academy on Carida. Target is believed moderately armed and medium-threat. The Empire orders you to give this message to the target before termination: \"To corrupt our young soldiers is to corrupt our future.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '137', 'm28o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '138', 'm28s', 'The Empire sends congratulations and this message: \"The Military Academy has taken steps to convince students of their error.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '139', 'm28t', 'Military Scrip-Exchange Con Artist');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '140', 'm28v', 'Hah! Carida\'s all Alliance. The \"young soldiers,\" who couldn\'t sell me their scrip fast enough, will jump ship to an Alliance recruiter right after graduation!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '141', 'm29d', 'An Imperial bounty is hereby issued on a spy who poisoned the food in the Imperial Governor\'s Palace on Eriadu. Target is believed moderately armed and medium-threat. The Empire orders you to give this message to the target before termination: \"The shades of those you poisoned await you.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '142', 'm29o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '143', 'm29s', 'The Empire sends congratulations and this message: \"Only treachery among the kitchen staff could explain the mass poisoning. We have now terminated all personnel involved in the incident.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '144', 'm29t', 'Poisoner in Eriadu Governor\'s Palace');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '145', 'm29v', 'If you\'d worked in that slave pit, you\'d have poisoned them too!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '146', 'm30d', 'An Imperial bounty is hereby issued on the assassin who attempted to murder Imperial engineer Umak Leth. Target is believed moderately armed and medium-threat. The Empire orders you to give this message to the target before termination: \"In dying, you are fortunate not to face the devices Umak Leth intended for your world.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '147', 'm30o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '148', 'm30s', 'The Empire sends congratulations and this message: \"Repeat nothing the target might have said. More than your career depends on your silence.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '149', 'm30t', 'Failed Assassin of Umak Leth');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '150', 'm30v', 'Leth is building war machines that can strip-mine entire planets! No, don\'t shoot --!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '151', 'm31d', 'An Imperial bounty is hereby issued on a Rebel spy who gathered intelligence on Imperial activities on Gamorr. Target is believed moderately armed and medium-threat. The Empire requires that no message be given to the target before termination, and that the target not be allowed to speak.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '152', 'm31o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '153', 'm31s', 'The Empire sends congratulations and this message: \"If the target said anything, ignore it. Or else.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '154', 'm31t', 'Dangerous Spy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '155', 'm31v', 'I tried getting intelligence for the Alliance. I only found that those stupid Imperials squandered a fortune trying to teach Gamorreans factory management. What a letdown!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '156', 'm32d', 'An Imperial bounty is hereby issued on a docking authority officer convicted of extorting bribes in a Core World starport. Target is believed moderately armed and medium-threat. The Empire orders you to give this message to the target before termination: \"You picked the wrong ship for your so-called hygiene inspection.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '157', 'm32o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '158', 'm32s', 'The Empire sends congratulations and this message: \"Corruption can be tolerated, but only within limits.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '159', 'm32t', 'Corrupt Docking Authority Officer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '160', 'm32v', 'I was living the good life until I tried to shake down that ship. Turned out it belonged to some Moff\'s daughter.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '161', 'm33d', 'An Imperial bounty is hereby issued on a blockade runner whose smuggling ship escaped pursuit in the Dantooine system. Target is believed moderately armed and medium-threat. The Empire orders you to give this message to the target before termination: \"You had to get out of your ship sometime, Captain.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '162', 'm33o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '163', 'm33s', 'The Empire sends congratulations and this message: \"One less smuggler is one less potential supplier for the Rebellion.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '164', 'm33t', 'Dantooine Blockade Runner');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '165', 'm33v', 'I\'ve gotten out of worse scrapes than this!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '166', 'm34d', 'An Imperial bounty is hereby issued on the captain of a rebellious infantry unit defeated by stormtroopers on Mantooine. Target is believed moderately armed and medium-threat. The Empire orders you to give this message to the target before termination: \"You have run from us for many years, but the battle isn\'t over until the last enemy falls. You are the last.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '167', 'm34o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '168', 'm34s', 'The Empire sends congratulations and this message: \"You have succeeded where many hunters failed. The Empire appreciates your competence.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '169', 'm34t', 'Rebel Infantry Captain');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '170', 'm34v', 'I knew this day would come. Let\'s finish it!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '171', 'm35d', 'An Imperial bounty is hereby issued on a star pilot known to fly fighters for the Rebel Alliance. Target is believed moderately armed and medium-threat. The Empire orders you to give this message to the target before termination: \"Destruction in space is too good for a traitorous pilot. Die on the ground like the worm you are!\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '172', 'm35o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '173', 'm35s', 'The Empire sends congratulations and this message: \"How many fighter ships have we lost to Rebel star pilots? We must dispose of them by every means available. Look for more Rebel targets soon.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '174', 'm35t', 'Rebel Fighter Pilot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '175', 'm35v', 'Blast you, bounty hunter! I\'m not going to die like this!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '176', 'm36d', 'An Imperial bounty is hereby issued on an escaped artillery technician, convicted of installing turbolasers for use by the Rebellion. Target is believed moderately armed and medium-threat. The Empire orders you to give this message to the target before termination: \"Your turbolasers have orphaned many children of the Empire. Time to pull the plug.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '177', 'm36o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '178', 'm36s', 'The Empire sends congratulations and this message: \"Your professionalism has been noted by the Imperial Security Bureau. Good work, bounty hunter.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '179', 'm36t', 'Rebel Artillery Tech');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '180', 'm36v', 'You won\'t take me without a fight!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '181', 'm37d', 'An Imperial bounty is hereby issued on a top organizer of the underground Rebel movement on Morvogodine. Target is believed moderately armed and medium-threat. The Empire orders you to give this message to the target before termination: \"You should never have fled the shadows of Morvogodine. Now the trap has closed.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '182', 'm37o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '183', 'm37s', 'The Empire sends congratulations and this message: \"The Rebel underground on Morvogodine has expedited the escape of far too many traitors. Your good work today will help put a stop to it.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '184', 'm37t', 'Rebel Underground Organizer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '185', 'm37v', 'I fight to the last in the name of the Alliance!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '186', 'm38d', 'An Imperial bounty is hereby issued on a notorious space bandit, wanted for countless violent infractions among the frontier worlds. Target is believed moderately armed and medium-threat. The Empire orders you to give this message to the target before termination: \"You were skilled enough to elude us in the frontier. But you cannot escape Imperial justice here.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '187', 'm38o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '188', 'm38s', 'The Empire sends congratulations and this message: \"The death toll from that slug\'s predations is estimated at over fifty. The galaxy is a safer place now. The Empire has noted your good work.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '189', 'm38t', 'Frontier Bandit');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '190', 'm38v', 'Is that the best you got, bounty hunter? What a joke!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '191', 'm39d', 'An Imperial bounty is hereby issued on an escapee from the prison camps of Circarpous V. Target is believed moderately armed and medium-threat. The Empire orders you to give this message to the target before termination: \"Even an Imperial prisoner can access sensitive information. Your escape was unfortunate, as your death must now be painful.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '192', 'm39o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '193', 'm39s', 'The Empire sends congratulations and this message: \"The penalty for escaping Imperial internment is death. Some prisoners require additional care. Repeat nothing the mark may have said, and you will be noted for your professionalism in our records.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '194', 'm39t', 'Prison Camp Escapee');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '195', 'm39v', 'Stop! I have important information about a crystal found on Mimban!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '196', 'm40d', 'An Imperial bounty is hereby issued on the instigator of a prison revolt on Delrian, which caused the death of fifty Imperial soldiers. Target is believed moderately armed and medium-threat. The Empire orders you to give this message to the target before termination: \"We have tracked down all of the criminals you helped to escape. Join them now in oblivion.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '197', 'm40o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '198', 'm40s', 'The Empire sends congratulations and this message: \"No one has ever succesfully escaped from the prison planet of Delrian. You have helped safeguard our perfect record.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '199', 'm40t', 'Prison Revolt Instigator');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '200', 'm40v', 'Better dead here than on Delrian!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '201', 'm41d', 'An Imperial bounty is hereby issued on the instigator of a slave revolt on the ocean planet of Kodai. Target is believed moderately armed and medium-threat. The Empire orders you to give this message to the target before termination: \"Your little insurrection is at an end. Kneel, and this bounty hunter will execute you swiftly.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '202', 'm41o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '203', 'm41s', 'The Empire sends congratulations and this message: \"Willful slaves are no end of trouble. You have a knack for dealing with them. Good work, bounty hunter.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '204', 'm41t', 'Undersea Slave Insurrectionist');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '205', 'm41v', 'Better to die free than live as a slave!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '206', 'm42d', 'An Imperial bounty is hereby issued on a notorious rebel spy. Target is believed moderately armed and medium-threat. The Empire orders you to give this message to the target before termination: \"You could not escape us forever. All star lanes lead back to the Empire.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '207', 'm42o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '208', 'm42s', 'The Empire sends congratulations and this message: \"That\'s one less spy to endanger our loyal Imperial operatives. Excellent work, bounty hunter.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '209', 'm42t', 'Rebel Spy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '210', 'm42v', 'It took you long enough to catch up to me! I was starting to get bored.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '211', 'm43d', 'An Imperial bounty is hereby issued on a freelance assassin who specializes in exotic poisons. Target is believed moderately armed and medium-threat. The Empire orders you to give this message to the target before termination: \"The Empire does not forgive the murder of a valued fleet captain, even one who indulged in unauthorized sabacc with known poisoners. First we shall eliminate you and then the Nemoidians who hired you.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '212', 'm43o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '213', 'm43s', 'The Empire sends congratulations and this message: \"One hates to lose a good hired assassin, especially one so stylish. Perhaps someday you can fill the void on our list of freelancers.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '214', 'm43t', 'Freelance Poisoner');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '215', 'm43v', 'Can\'t we discuss this over a drink?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '216', 'm44d', 'An Imperial bounty is hereby issued on a fugitive arsonist, convicted of firebombing Imperial droid foundries in six systems. Target is believed moderately armed and medium-threat. The Empire orders you to give this message to the target before termination: \"Your actions betray your Rebel sympathies. Your fire will now go out of the universe.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '217', 'm44o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '218', 'm44s', 'The Empire sends congratulations and this message: \"Arson is a horrible crime. You have snuffed out a gruesome killer and earned the bounty.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '219', 'm44t', 'Industrial Arsonist');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '220', 'm44v', 'Burn, Imperial dog!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '221', 'm45d', 'An Imperial bounty is hereby issued on a violent agitator, accused of mayhem and riotry throughout the Core Worlds. Target is believed moderately armed and medium-threat. The Empire orders you to give this message to the target before termination: \"It is treason to speak against the New Order. To start anti-Imperial riots draws other citizens into your sedition.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '222', 'm45o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '223', 'm45s', 'The Empire sends congratulations and this message: \"We monitored your engagement. It took you longer than we expected to find such a simple mark, but you did bring him down with reasonable promptness. We will note this in our files.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '224', 'm45t', 'Violent Agitator');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '225', 'm45v', 'Time to die, bounty hunter scum!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '226', 'm46d', 'An Imperial bounty is hereby issued on a droidsmith suspected of working for the Rebellion. Target is believed moderately armed and medium-threat. The Empire orders you to give this message to the target before termination: \"Even an insignificant droid is another rivet in the terror machine of the Rebellion.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '227', 'm46o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '228', 'm46s', 'The Empire sends congratulations and this message: \"Do not be fooled by cries of innocence. Only a guilty criminal would run so far and fast. Well done, bounty hunter.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '229', 'm46t', 'Rebel Droidsmith');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '230', 'm46v', 'You can\'t kill me over a few droids! Please, no!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '231', 'm47d', 'An Imperial bounty is hereby issued on a rogue antiquarian, guilty of stealing valuable Procopian artifacts from an Imperial museum on Coruscant. Target is believed moderately armed and medium-threat. The Empire orders you to give this message to the target before termination: \"You chose the wrong friends. This time it will cost you.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '232', 'm47o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '233', 'm47s', 'The Empire sends congratulations and this message: \"That antiquarian was very, very dangerous. We are pleased you are not dead.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '234', 'm47t', 'Rogue Antiquarian');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '235', 'm47v', 'Bounty hunters. I hate these guys.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '236', 'm48d', 'An Imperial bounty is hereby issued on a masked hack pilot, accused on Coruscant of flying an unlicensed taxi shuttle and kidnapping off-duty Imperials. Target is believed to be traveling in disguise, moderately armed and medium-threat. The Empire orders you to give this message to the target before termination: \"Your masked antics are over. This bounty hunter will deliver our response to your ransom demands.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '237', 'm48o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '238', 'm48s', 'The Empire sends congratulations and this message: \"When a filthy degenerate like that puts on a mask, they believe they\'re unaccountable for their offenses. Sooner or later, though, they are always unmasked. Don\'t you agree, bounty hunter?\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '239', 'm48t', 'Masked Hack Pilot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '240', 'm48v', 'Nobody stiffs me, bounty hunter!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '241', 'm49d', 'An Imperial bounty is hereby issued on a violent swoop rider with suspected ties to the Rebellion. Target is believed moderately armed and medium-threat. The Empire orders you to give this message to the target before termination: \"Your seemingly random acts of violence create a suspiciously anti-Imperial pattern. A simple bounty is enough to stop wretched scum like you.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '242', 'm49o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '243', 'm49s', 'The Empire sends congratulations and this message: \"The Rebellion attracts rabble and scum with promises of a noble purpose. It is the nature of filthy scavengers to wallow with the maggots.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '244', 'm49t', 'Rebel-Aligned Swoop Rider');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '245', 'm49v', 'You\'re bantha fodder, bounty hunter!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '246', 'm50d', 'An Imperial bounty is hereby issued on an infamous assassin, previously freelance but now working with the Rebellion. Target is known to be addicted to stims that enhance combat effectiveness. Target is believed moderately armed and medium-threat. The Empire orders you to give this message to the target before termination: \"You believe you\'ve found new meaning for your sad, degenerate life. You have simply made yourself useless to the Empire. Your career is ended.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '247', 'm50o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '248', 'm50s', 'The Empire sends congratulations and this message: \"An assassin with a conscience is worse than useless. Don\'t you agree, bounty hunter?\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '249', 'm50t', 'Rebel Stim Assassin');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '250', 'm50v', 'I don\'t need stims against the likes of you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_imperial_medium.stf', '251', 'number_of_entries', '50');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_informant.stf', '1', 'informant_list_title', 'Your Informants:');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_informant.stf', '2', 'target_biological_signature', 'Biological Signature Received:');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_informant.stf', '3', 'target_easy_1', 'Lookin\' for someone, eh? So th\' guild tells me, anyhoo. Well, I think I might be able to help ya. I kin upload the info to yer datapad...');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_informant.stf', '4', 'target_easy_2', 'So, the guild informs that you seek a particularly elusive quarry. It doesn\'t speak too well for your investigative skills, my friend, that I was able to track them down in such short order! Let me simply upload the details to your datapad...');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_informant.stf', '5', 'target_easy_3', 'Looking for someone, huh? And you need my help. Everyone always needs my help. Well, I already know who you want, and as usual, I can help. Just ask nicely next time. I\'m uploading the stuff to your datapad now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_informant.stf', '6', 'target_easy_4', 'You\'re late. The information required is uploading to your datapad as we speak. The guild contacted me in advance of your arrival. Next time, be prompt.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_informant.stf', '7', 'target_easy_5', 'The guild tells me you\'re looking for someone. I\'ve talked with my informants and tracked down your target. They\'re not trying to stay hidden so tracking them down shouldn\'t be a problem. I\'ll transmit their location to your datapad.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_informant.stf', '8', 'target_hard_1', 'The guild must think highly of you to give you this mission. Your target knows we\'re after them and is avoiding all contact with the imperial holo-net. I\'m transmitting your target\'s biological signature to your datapad for use in a probe droid. You\'re going to have to use Imperial probots to discover what planet your target is on.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_informant.stf', '9', 'target_hard_2', 'Yer in big trouble. I\'m ain\'t envyin\' ya this one, never mind how high the guild thinks of ya! Yer target knows yer out fer blood. Gone to ground, they have. Yer going to be needin\' this bio-sig for yer probe droids. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_informant.stf', '10', 'target_hard_3', 'Always a pleasure to help a distinguished bounty hunter such as yourself! Your quarry this time has gone to ground, and you\'ll need this biological signature for your probe droids. I\'m sure it\'ll be no problem for someone like you though.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_informant.stf', '11', 'target_hard_4', 'Even high and mighty bounty hunters need to move faster than this, you know. Your quarry\'s gone. I have no idea where. But I have a biological signature. So here you go, put it in your datapad, and good luck with the probe droids.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_informant.stf', '12', 'target_hard_5', 'I fear the odds are against you this time, my friend. Not only has your quarry seemingly vanished into thin air, but I\'ve heard not a single word as to whether they have gone offworld or not. I fear the best I can do is offer this biological signature. I wish you the best of luck!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_informant.stf', '13', 'target_hard_corellia_1', 'The only other information I have right now is that your target was last tracked entering Corellian space.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_informant.stf', '14', 'target_hard_dathomir_1', 'The only other information I have right now is that your target was last tracked entering Dathomir space.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_informant.stf', '15', 'target_hard_endor_1', 'The only other information I have right now is that your target was last tracked entering Endor space.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_informant.stf', '16', 'target_hard_naboo_1', 'The only other information I have right now is that your target was last tracked entering Naboo space.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_informant.stf', '17', 'target_hard_rori_1', 'The only other information I have right now is that your target was last tracked entering Rori space.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_informant.stf', '18', 'target_hard_talus_1', 'The only other information I have right now is that your target was last tracked entering Talus space.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_informant.stf', '19', 'target_hard_tatooine_1', 'The only other information I have right now is that your target was last tracked entering Tatooine space.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_informant.stf', '20', 'target_hard_yavin4_1', 'The only other information I have right now is that your target was last tracked entering Yavin IV space.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_informant.stf', '21', 'target_medium_1', 'The guild tells me you\'re looking for someone. I\'ve talked with my informants and sliced into the imperial holonet. Your target knows someone is after them and is making it difficult for me to keep track of them. I\'ll upload their biological signature to your datapad so you can use probe droids to track them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_informant.stf', '22', 'target_medium_2', 'Yeah, I know. You\'re lookin\' for someone. Well, I can\'t find \'em. Not entirely, anyway. I do have a bio-sig for \'em though. You kin use it with a probe droid if you kin spend the money.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_informant.stf', '23', 'target_medium_3', 'Why, oh why, does everyone always come to me? This is getting insupportable. Anyway, I can\'t help you except for this bio-signature. Your quarry is making themselves as scarce as possible--they know you\'re coming.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_informant.stf', '24', 'target_medium_4', 'You shouldn\'t have dawdled. Your target knows you\'re looking for them, and they\'ve bolted. Here\'s their bio-signature, and good luck.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_informant.stf', '25', 'target_medium_5', 'Your target is proving somewhat elusive. I believe they are still in the area, but you\'ll need their bio-signature to track them down with a probe droid. Allow me to upload it to your datapad...');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_informant.stf', '26', 'target_location_received', 'Target Waypoint Received.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_informant.stf', '27', 'informant_find_easier', 'I don\'t deal with bounty hunters of your caliber. Go find a neophyte handler.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_informant.stf', '28', 'informant_find_harder', 'Woah! I\'m not handling this case. Go find a more experienced handler.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_jedi.stf', '1', 'm1d', 'A bounty is hereby issued on the Jedi murderer of an innocent farming family on Naboo. Target is a Jedi and is thus high-threat. Take the proper precautions, but do not leave him alive.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_jedi.stf', '2', 'm1o', 'Jake the Fixer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_jedi.stf', '3', 'm1s', 'Client sends congratulations and their regards for a job well done.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_jedi.stf', '4', 'm1t', 'Vicious Jedi Murderer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_jedi.stf', '5', 'm1v', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_jedi.stf', '6', 'm2d', 'When I was a kid, I was desperate to channel The Force.  All my friends made fun of me, but I was determined.  I stared for hours at an apple and attempted to levitate it through the air.  I failed, and failed, and failed again.\n\nNow, late in my life, I realize my foolishness.  I\'m incredibly wealthy and a bit of a philanthropist.  I put up this reward as an impossible challenge.  I don\'t believe Jedi or The Force actually exists.  They are stories told to the young and foolish.  Find and kill one, if you can. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_jedi.stf', '7', 'm2o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_jedi.stf', '8', 'm2s', 'Congratulations.  It seems I am proven wrong.  In the end, it is worth it.  I can begin the process of starting my force training again, and look forward one day becoming a Jedi myself.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_jedi.stf', '9', 'm2t', 'Jedi Identification');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_jedi.stf', '10', 'm2v', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_jedi.stf', '11', 'm3d', 'Recently, a man posing as a Jedi invaded the palace of my esteemed master.  While many believe him slain, I for one will never accept that he is gone.  I demand retribution for his injuries.\n\nI have come into some information that pinpoints his location.  Please take care of this problem for me.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_jedi.stf', '12', 'm3o', 'Anonymous');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_jedi.stf', '13', 'm3s', 'While it seems that my information was incorrect, I\'m happy to know you have rid the galaxy of one of these Jedi scum.  I will endeavor to locate my master?s assassin and contact you once I have further intel.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_jedi.stf', '14', 'm3t', 'Slay an evil Jedi assassin');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_jedi.stf', '15', 'm3v', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_jedi.stf', '16', 'm4d', 'I don\'t care what the rumors are, Jedi were involved in the destruction of the orbiting base the Empire commissioned.  I had a contract to work on that station for the next 7 years, and now it\'s gone.  I\'ve got family to feed, no job, and no way to do it.  Do you think my wife stuck around to see if another job came through?  I\'ll give you a guess...\n\nI\'ve scraped together my life savings to take out the Jedi who ruined my life.  I don\'t care what it takes; I\'ve got nothing now.  Find this Jedi and kill him.  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_jedi.stf', '17', 'm4o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_jedi.stf', '18', 'm4s', 'Excellent work, a job well done.  Hard to believe I know, but I landed another job with the same contracting company on some kind of \"secret\" military project.  Combine that with my wife coming back home, and everything is going great for me.  I report to work in 6 weeks.  Wish me luck!  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_jedi.stf', '19', 'm4t', 'Contract Work Revenge');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_jedi.stf', '20', 'm4v', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_jedi.stf', '21', 'm5d', 'The Empire has no need of the ancient Jedi, no matter their political affiliation.  The Empire pays good credits for extinguishing the lives of this scum.  We\'ve received word through our trusted informants of a Jedi hiding place.  We have heard you may be up for the challenge.  Can you be counted on?  The Empire needs such citizens working hard for peace and prosperity.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_jedi.stf', '22', 'm5o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_jedi.stf', '23', 'm5s', 'Excellent work.  The Empire has a new man we can trust.  Rest assured, we will call on you again when the situation presents itself.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_jedi.stf', '24', 'm5t', 'Restore Imperial Order');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_jedi.stf', '25', 'm5v', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_jedi.stf', '26', 'm6d', 'Jedi are supposed to protect the innocents of this galaxy against oppression.  In that they have failed.  A few weeks past, I was involved in a scuffle with some thugs over payment to one of the local swoop gangs.  Hey, we all have to make a living, right?  Those scum approached me on the street while I had my daughter with me!  Things got heated, and words were exchanged.  I pulled a blaster to show them I wasn\'t having any of it.  The gang leader doesn\'t even blink.  He laughs a second, pulls out his own blaster and starts shooting.  When it was over, my daughter lay dead in the street.  Security?  The only thing they have to say is \"Move along.\"\n\nHow does this connect to the Jedi?  A Jedi watched the entire thing!  I signaled him a few times for help, but when blasters came out, that coward turned and left!  I want his blood for that.  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_jedi.stf', '27', 'm6o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_jedi.stf', '28', 'm6s', 'Hooray, the scum is dead.  Those types have no place in this universe.  Now my daughter can look on the face of her murderer with disgust herself.  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_jedi.stf', '29', 'm6t', 'Revenge for a lost child');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_jedi.stf', '30', 'm6v', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_jedi.stf', '31', 'number_of_entries', '6');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '1', 'm1d', 'A bounty is hereby issued on a pickpocket who chose a victim unwisely. Target is believed lightly armed and low-threat. The client requests this message be given to the target before termination: \"One must select one\'s victims with care. Some of them strike back.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '2', 'm1o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '3', 'm1s', 'Client sends congratulations and this message: \"You did well, bounty hunter. It\'s a shame to waste talent like yours on a lowlife like that.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '4', 'm1t', 'Unwise Pickpocket');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '5', 'm1v', 'A bounty hunter? You\'ve gotta be kidding me! I\'m a pickpocket, not a murderer!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '6', 'm2d', 'A bounty is hereby issued on a smuggler accused of spiriting a slave out of Hutt Space. Target is believed lightly armed and low-threat. The client requests this message be given to the target before termination: \"Shi\'lax was the finest slave I ever owned. This will demonstrate how much I prized her.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '7', 'm2o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '8', 'm2s', 'Client sends congratulations and this message: \"Excellent. Shi\'lax will have no choice now but to return to my care.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '9', 'm2t', 'Slave Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '10', 'm2v', 'Shi\'lax does not deserve slavery! I\'ll die to save her!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '11', 'm3d', 'A bounty is hereby issued on a renegade clone, suspected of forging identity credits. Target is believed lightly armed and low-threat. The client requests this message be given to the target before termination: \"No clone is going to steal my identity. The masquerade ends now.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '12', 'm3o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '13', 'm3s', 'Client sends congratulations and this message: \"It will be difficult to prove whether you killed the clone or the original, just as I planned it. Either way, of course, you get the bounty.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '14', 'm3t', 'Renegade Clone');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '15', 'm3v', 'No, wait, I\'m not the clone! I\'m the original!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '16', 'm4d', 'A bounty is hereby issued on a space scavenger known to violently extort junk buyers. Target is believed lightly armed and low-threat. The client requests this message be given to the target before termination: \"There will be no salvaging you once this bounty hunter is finished!\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '17', 'm4o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '18', 'm4s', 'Client sends congratulations and this message: \"That\'ll teach these spacer scum to tangle with honest, hardworking people!\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '19', 'm4t', 'Dangerous Space Scavenger');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '20', 'm4v', 'Leave me alone! I ain\'t got no fight with you, bounty hunter!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '21', 'm5d', 'A bounty is hereby issued on a blockade runner wanted for smuggling spice through planetary blockades. Target is believed lightly armed and low-threat. The client requests this message be given to the target before termination: \"Backlane spice smugglers are a wupiupi a dozen. No sense capturing them when termination is just as easy.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '22', 'm5o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '23', 'm5s', 'Client sends congratulations and this message: \"We appreciate your professionalism, bounty hunter. You are a vital element in any functional law enforcement system.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '24', 'm5t', 'Customs Runner');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '25', 'm5v', 'You\'ll have to kill me, bounty hunter, \'cause I\'m not coming with you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '26', 'm6d', 'A bounty is hereby issued on a HoloNet pirate guilty of stealing private transmissions for purposes of blackmail. Target is believed lightly armed and low-threat. The client requests this message be given to the target before termination: \"A person\'s privacy should never be compromised. This bounty hunter will now explain the gravity of the crime of extortion.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '27', 'm6o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '28', 'm6s', 'Client sends congratulations and this message: \"Invasion of privacy is a serious crime. Especially of my privacy. At least you, bounty hunter, know better than to ask too many questions.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '29', 'm6t', 'Holonet Pirate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '30', 'm6v', 'I\'m just a harmless data slicer! I don\'t deserve this!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '31', 'm7d', 'A bounty is hereby issued on a glitterstim pusher responsible for the death of a prominent citizen\'s son. Target is believed lightly armed and low-threat. The client requests this message be given to the target before termination: \"You\'ll never peddle your poison to anyone again. My son\'s life is worth ten of yours, but I suppose I\'ll have to be satisfied with one.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '32', 'm7o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '33', 'm7s', 'Client sends congratulations and this message: \"My son can finally rest in peace. It\'s good to know there are agents of justice whose services can be bought by determined citizens.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '34', 'm7t', 'Glitterstim Pusher');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '35', 'm7v', 'How was I supposed to know that stupid kid would take all of it at once? You can\'t kill me because some glitterhead got careless!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '36', 'm8d', 'A bounty is hereby issued on a lowlife, guilty of cruelty to an innocent youngster. Target is believed lightly armed and low-threat. The client requests this message be given to the target before termination: \"I warned my child to stay away from you. I was ignored, and the worst happened. Now it\'s time to pay for your crimes.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '37', 'm8o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '38', 'm8s', 'Client sends congratulations and this message: \"The memory of my child is no longer clouded by this dark chapter. My eternal thanks to the Bounty Hunters\' Guild.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '39', 'm8t', 'Cruel Misogynist');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '40', 'm8v', 'That teenager was crazy, I tell ya! How was I supposed to know the kid was suicidal? Gimme a break, will ya?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '41', 'm9d', 'A bounty is hereby issued on a former executive of Corellia Technologies. Target is believed lightly armed and low-threat. The client requests this message be given to the target before termination: \"This is what happens to embezzlers.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '42', 'm9o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '43', 'm9s', 'Client sends congratulations and this message: \"If the slimeball carried any datadiscs, destroy them.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '44', 'm9t', 'Fugitive Technology Executive');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '45', 'm9v', 'I didn\'t steal enough to be killed over! Anyway, whatever Corellia is paying you, I\'ll double it!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '46', 'm10d', 'A bounty is hereby issued on a former chemist employed by Cassandran Distilleries. Target is believed lightly armed and low-threat. The client requests this message be given to the target before termination: \"Hope you enjoyed your last Cassandran Sunrise.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '47', 'm10o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '48', 'm10s', 'Client sends congratulations and this message: \"Enjoy a drink on us.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '49', 'm10t', 'Alcohol Chemist');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '50', 'm10v', 'I never thought they\'d kill me for stealing just one little distillation process!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '51', 'm11d', 'A bounty is hereby issued on the spouse of a deceased law enforcement officer. Target is believed lightly armed and low-threat. The client requests this message be given to the target before termination: \"Your beloved says one last hello.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '52', 'm11o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '53', 'm11s', 'Client sends congratulations and this message: \"We all chipped in for this. Thanks for making sure our friend\'s spirit can rest lightly now.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '54', 'm11t', 'Murderous Spouse');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '55', 'm11v', 'Oh no.  \"Beloved,\" huh? Well, you can tell my \"beloved\'s\" stinking friends that they never knew the evil heartbreaker I married!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '56', 'm12d', 'A bounty is hereby issued on the killer of several Rodian children. Target is believed lightly armed and low-threat. The client requests this message be given to the target before termination: \"Chordak of the Minos Cluster sends his regards.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '57', 'm12o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '58', 'm12s', 'Client sends congratulations and this message: \"Chordak\'s fifty-four surviving children thank you for avenging his terrible loss.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '59', 'm12t', 'Child Killer ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '60', 'm12v', 'Chordak is the Rodian pirate who attacked my ship. They killed everyone, but I escaped. I wanted revenge on Chordak. I was trying to kill him, not his kids!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '61', 'm13d', 'A bounty is hereby issued on a citizen who has slandered the reputation of a good woman. Target is believed lightly armed and low-threat. The client requests this message be given to the target before termination: \"You see? I\'ve finally saved enough to buy my revenge.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '62', 'm13o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '63', 'm13s', 'Client sends congratulations and this message: \"I\'ve been waiting for this a very long time. I feel much better.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '64', 'm13t', 'Slanderous Gossip');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '65', 'm13v', 'That was twenty years ago! I can\'t believe that incredible jerk is still angry about one indiscreet remark!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '66', 'm14d', 'A bounty is hereby issued on the killer of a beloved pet. Target is believed lightly armed and low-threat. The client requests this message be given to the target before termination: \"Tell that foul miscreant that I do not take lightly the cruel murder of my beloved Jotti!\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '67', 'm14o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '68', 'm14s', 'Client sends this message: \"Take your assassin\'s fee and leave me to mourn my dear, vanished Jotti!\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '69', 'm14t', 'Pet Killer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '70', 'm14v', 'I didn\'t kill her stupid voorpak! My pet graysor got loose and saw it running by. Attacking it was pure instinct. You\'re working for an addled aristocrat with too much money and too few brain cells!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '71', 'm15d', 'A bounty is hereby issued on a proven industrial spy. Target is believed lightly armed and low-threat. The client requests this message be given to the target before termination: \"You missed destroying one of our security cameras, Supervisor.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '72', 'm15o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '73', 'm15s', 'Client sends congratulations and this message: \"Hyperdrive factories have good security. Pass the word.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '74', 'm15t', 'Hyperdrive Factory Spy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '75', 'm15v', 'I -- I expected you, sooner or later. I\'ve been living a nightmare ever since I stole those secrets. But I\'m not going quietly!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '76', 'm16d', 'A bounty is hereby issued on a provocateur who attempted to foment unrest among factory droids. Target is believed lightly armed and low-threat. The client requests this message be given to the target before termination: \"Our company feels that certain important actions can never be left to droids -- as you are about to see.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '77', 'm16o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '78', 'm16s', 'Client sends congratulations and this message: \"Droids are machines. That\'s all.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '79', 'm16t', 'Agent Provocateur');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '80', 'm16v', 'I just wanted my company to treat its droid workers better. They want you to kill me just for that? Well, it\'s not happening!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '81', 'm17d', 'A bounty is hereby issued on a fugitive sabacc hustler who has escaped planetary law enforcement. Target is believed lightly armed and low-threat. The client requests this message be given to the target before termination: \"It\'s too much effort to capture a simple hustler who escapes from jail. Termination is cheaper.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '82', 'm17o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '83', 'm17s', 'Client sends congratulations and this message: \"Thank you. The planet has one less petty nuisance to deal with.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '84', 'm17t', 'Sabacc Hustler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '85', 'm17v', 'Sithspit! I can\'t believe you chased me this far over a couple of sabacc cheats!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '86', 'm18d', 'A bounty is hereby issued on a fugitive speeder thief who escaped from planetary law enforcement. Target is believed lightly armed and low-threat. The client requests this message be given to the target before termination: \"You\'re good at escaping our jail cells, but a stolen speeder won\'t outrun a fair bounty.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '87', 'm18o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '88', 'm18s', 'Client sends congratulations and this message: \"That one escaped us several times, but you are much more difficult to elude, bounty hunter. Good work.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '89', 'm18t', 'Speeder Thief');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '90', 'm18v', 'Listen, bounty hunter! I\'ll get you a brand new flash speeder if you let me go!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '91', 'm19d', 'A bounty is hereby issued on a notorious brawler known to have drunkenly assaulted citizens in three settlements. Target is believed lightly armed and low-threat. The client requests this message be given to the target before termination: \"If one is going to attack an innocent bystander in a cantina, make certain that one\'s victim does not have the resources to arrange a payback.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '92', 'm19o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '93', 'm19s', 'Client sends congratulations and this message: \"Bounty hunters make the galaxy safe for innocent bystanders. Thank you.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '94', 'm19t', 'Drunken Brawler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '95', 'm19v', 'You\'re the laser-brain they sent after me? Bring it on, bounty hunter!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '96', 'm20d', 'A bounty is hereby issued on a confirmed moisture thief who has fled from Tosche Station on Tatooine. Target is believed lightly armed and low-threat. The client requests this message be given to the target before termination: \"Moisture farmers pool resources against someone who steals our harvests. You\'ve run from us, but not far enough.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '97', 'm20o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '98', 'm20s', 'Client sends congratulations and this message: \"Thank you, bounty hunter. You are a dealer of justice in this corrupt Empire.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '99', 'm20t', 'Moisture Thief');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '100', 'm20v', 'Moisture farmers \"pooling\" resources. Those dumb hicks probably didn\'t even notice the pun.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '101', 'm21d', 'A bounty is hereby issued on a droid rustler. Target is believed lightly armed and low-threat. The client requests this message be given to the target before termination: \"Binary load lifters may not be priceless, but steal too many of them and you make big trouble.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '102', 'm21o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '103', 'm21s', 'Client sends congratulations and this message: \"Droids are good for manual labor. Bounties are best handled by skilled professionals. Nice work.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '104', 'm21t', 'Droid Rustler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '105', 'm21v', 'You wouldn\'t kill me over a couple of binary load lifters, would you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '106', 'm22d', 'A bounty is hereby issued on a lesai dealer who escaped from planetary authorities. Target is believed lightly armed and low-threat. The client requests this message be given to the target before termination: \"Lesai is not a petty drug. You are not a petty criminal. You\'ve escaped for the last time.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '107', 'm22o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '108', 'm22s', 'Client sends congratulations and this message: \"The drug lesai is a menace to decent communities. We thank you for bringing this criminal down.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '109', 'm22t', 'Lesai Dealer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '110', 'm22v', 'I killed two security officers when I escaped, and I\'m going to kill you, too!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '111', 'm23d', 'A bounty is hereby issued on a fugitive vandal with well-connected enemies. Target is believed lightly armed and low-threat. The client requests this message be given to the target before termination: \"Vandalism by laser fire is dangerous. Because you have eluded the authorities, we have arranged alternative punishment.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '112', 'm23o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '113', 'm23s', 'Client sends congratulations and this message: \"The line between vandalism and arson is fine. You\'ve removed a threat to the security of the planet. Thank you.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '114', 'm23t', 'Fugitive Vandal');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '115', 'm23v', 'Son of a gundark! You found me!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '116', 'm24d', 'A bounty is hereby issued on a loan shark by an alliance of his debtors. Target is believed lightly armed and low-threat. The client requests this message be given to the target before termination: \"Consider this payment in full.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '117', 'm24o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '118', 'm24s', 'Client sends congratulations and this message: \"That\'s one less menace to exploit the poor of this planet. Excellent work.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '119', 'm24t', 'Loan Shark');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '120', 'm24v', 'Oh ho, a bounty hunter! Think you\'re tough enough to take me down?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '121', 'm25d', 'A bounty is hereby issued by an anonymous group of surveyors on a violent claim jumper. Target is believed lightly armed and low-threat. The client requests this message be given to the target before termination: \"It paid in the short term to rob honest surveyors, but only in the short term.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '122', 'm25o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '123', 'm25s', 'Client sends congratulations and this message: \"Surveyors should be able to ply their trade without facing blaster-wielding thieves. You\'ve done a service to our profession.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '124', 'm25t', 'Claim Jumper');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '125', 'm25v', 'Stop! Give me a head start and let\'s make this a fair fight!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_easy.stf', '126', 'number_of_entries', '25');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '1', 'm1d', 'A bounty is hereby issued on the murderer of an innocent fish-farming family on Mon Calamari. Target is believed heavily armed and high-threat. The client requests this message be given to the target before termination: \"There is always a bigger fish.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '2', 'm1o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '3', 'm1s', 'Client sends congratulations and this message: \"The seas of Calamari are cleaner with the passing of this monster.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '4', 'm1t', 'Vicious Murderer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '5', 'm1v', 'I thought those Mon Cals would lead me to their Knowledge Bank. I didn\'t like killing them. I won\'t like killing you either.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '6', 'm2d', 'A bounty is hereby issued on a felon who destroyed several laboratories on Mrlsst in the Mennaalii system. Target is believed heavily armed and high-threat. The client requests this message be given to the target before termination: \"This is the fate of those who oppose the quest for knowledge.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '7', 'm2o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '8', 'm2s', 'Client sends congratulations and this message: \"The quest for knowledge continues.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '9', 'm2t', 'Vandal of Mrlsst Laboratories');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '10', 'm2v', 'Those labs were developing a cloaking device to sell to the highest bidder! I saw the proposals myself! But this set them back, let me tell you! Haha!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '11', 'm3d', 'A bounty is hereby issued on a mercenary who led a notorious band of Gank killers on Nar Shaddaa, the Smugglers\' Moon in the Y\'Toub system. Target is believed heavily armed and high-threat. The client requests this message be given to the target before termination: \"Leyn Vanrel took over your gang. He sends his regards.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '12', 'm3o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '13', 'm3s', 'Client sends congratulations and this message: \"Nicely done. You may want to look me up when next you\'re on Nar Shaddaa. Lovely place, you\'ll like it.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '14', 'm3t', 'Gank Assassin Leader');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '15', 'm3v', 'Why, that stinking --!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '16', 'm4d', 'In House Benelex you are not simply one of the finest bounty hunters in the galaxy; you are, as it were, part of a family. Our benevolent leader, Corvastan Benelex, recently escaped a scurrilous assassination attempt at his home on Paquallis III. This is heavy-handed work by our longtime rival, House Tresario. Now House Benelex offers you the chance to dispose of the assassin, prove your ability, and earn both our family\'s gratitude and our generous bounty. Speak first to the target, saying: \"Greetings from Corvastan Benelex.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '17', 'm4o', 'Benelex Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '18', 'm4s', 'Splendid fighting, executed with a true warrior\'s grace. You will be welcome in the Benelex family when you are next on Paquallis III.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '19', 'm4t', 'Hired Assassin');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '20', 'm4v', 'Oh ho! He still lives, does he? More than I can say for you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '21', 'm5d', 'The short history of House Neuvalis chronicles its steady rise to preeminence among bounty hunters. With the recent fracture in the Bounty Hunters\' Guild, House Neuvalis carries on its true spirit. You too may take up the torch by hunting the culprit behind an assassination attempt on Beldorian the Hutt on the desert world of Nam Chorios. This assassin is armed and extremely dangerous. Beldorian desires that you first speak these words: \"Ah bah pwoodah ngallah dowaalaa!\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '22', 'm5o', 'Neuvalis Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '23', 'm5s', 'Your exemplary performance reflects the highest standards of the fading Guild, and of House Neuvalis as it carries forward the cause. Spread the news of our high aspirations!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '24', 'm5t', 'Failed Assassin of Beldorian the Hutt');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '25', 'm5v', 'You speak Huttese poorly.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '26', 'm6d', 'House Salaktori protects its high reputation as the galaxy\'s oldest and greatest hunting guild. Recent fractures in the outmoded galaxy-wide Bounty Hunters\' Guild have encouraged rival houses to attack our members. By House policy, we avenge these offenses within no more than one standard year. One assassin has escaped vengeance, and the deadline approaches. We offer you this chance to earn our favor by killing this resilient quarry.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '27', 'm6o', 'Salaktori Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '28', 'm6s', 'House Salaktori gratefully receives this favor. For your efforts in protecting our high reputation we award this bounty.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '29', 'm6t', 'Assassin of House Salaktori Member');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '30', 'm6v', 'You don\'t even look like a Salaktori. They must be getting desperate now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '31', 'm7d', 'A bounty is hereby issued on the destroyer of an orbital mining facility near Ord Mantell in the Bright Jewel system. Target is believed heavily armed and high-threat. The client requests this message be given to the target before termination: \"You destroyed my livelihood; now I destroy your life.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '32', 'm7o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '33', 'm7s', 'Client sends congratulations and this message: \"Indiscriminate destruction gives bounty hunting a bad name.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '34', 'm7t', 'Ord Mantell Saboteur');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '35', 'm7v', 'I\'m a hunter too. My target was on that mining station, so I blew it up. Now I have to take you out too.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '36', 'm8d', 'A bounty is hereby issued on a propagandist who spreads despicable lies about Imperial practices on the Core World Ralltiir. Target is believed heavily armed and high-threat. The client requests this message be given to the target before termination: \"Victory is ours. All will join us.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '37', 'm8o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '38', 'm8s', 'Client sends congratulations and this message: \"The propagandist\'s data has now been destroyed. All is well.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '39', 'm8t', 'Ralltiir Anti-Imperial Progagandist');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '40', 'm8v', 'I\'ve got holos showing the Empire\'s press gangs, puppet military tribunals, and savage atrocities. I won\'t let you stop me from spreading the truth.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '41', 'm9d', 'A bounty is hereby issued on a known blackmailer from Coruscant. Target is believed heavily armed and high-threat. The client requests this message be given to the target before termination: \"We found you again. Keep running, and we\'ll keep finding you.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '42', 'm9o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '43', 'm9s', 'Client sends congratulations and this message: \"Just an outworld hick who tried to score big in the big city. Never stood a chance.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '44', 'm9t', 'Coruscant Blackmailer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '45', 'm9v', 'Aah! How did you find me? I apologized a million times already! I\'m no threat to anyone on the throneworld! You just never! Give! Up!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '46', 'm10d', 'A bounty is hereby issued on an assassin formerly employed by the Black Sun criminal organization. Target is believed heavily armed and high-threat. The client requests this message be given to the target before termination: \"I\'m sending you to meet your old Vigo.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '47', 'm10o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '48', 'm10s', 'Client sends congratulations and this message: \"Your success is proof that our employee was not sufficiently qualified.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '49', 'm10t', 'Black Sun Rogue Assassin');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '50', 'm10v', 'I don\'t think so.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '51', 'm11d', 'A bounty is hereby issued on a notorious murderer known as \"the Vibro-Dagger Killer.\" Target is believed heavily armed and high-threat. The client requests this message be given to the target before termination: \"At last all your innocent victims will be avenged.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '52', 'm11o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '53', 'm11s', 'Client sends congratulations and this message: \"If that wasn\'t the true Vibro-Dagger Killer, you have still done the galaxy a service by removing the copy.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '54', 'm11t', 'Vibro-Dagger Killer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '55', 'm11v', 'You really think I\'m the Killer? That\'s funny. It was convenient to copy his methods, that\'s all. Here, I\'ll show you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '56', 'm12d', 'A bounty is hereby issued on a thief who stole 20 million credits from the Corellian Merchant Bank. Target is believed heavily armed and high-threat. The client requests this message be given to the target before termination: \"Your scheme was hopeless. You are hopeless. Goodbye.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '57', 'm12o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '58', 'm12s', 'Client sends congratulations and this message: \"For reference, the lunatic\'s figures for Star Destroyer construction were wildly inaccurate.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '59', 'm12t', 'Corellian Merchant Bank Robber');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '60', 'm12v', 'So I wanted to build my own Star Destroyer. Is that wrong? I think I could have done it with another 25 million credits!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '61', 'm13d', 'A bounty is hereby issued on the head of a hunting organization that poached wildlife in the Asaari Woods of Bimmisaari in the Saari Ha system. Target is believed heavily armed and high-threat. The client requests this message be given to the target before termination: \"We do this to protect the pallid leaf-nose batavian from extinction.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '62', 'm13o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '63', 'm13s', 'Client sends congratulations and this message: \"Unfortunately, stupid and short-sighted people seem never to be in danger of extinction.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '64', 'm13t', 'Bimmisaari Poacher');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '65', 'm13v', 'What about folks just trying to make a living, huh? We\'re in danger of extinction too! But I\'m not going extinct without a fight!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '66', 'm14d', 'A bounty is hereby issued on a saboteur who attempted to blow up the Imperial Dam on Duro in the Duros system. Target is believed heavily armed and high-threat. The client requests this message be given to the target before termination: \"You should have chosen a stay at the Imperial Reprogramming Institute.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '67', 'm14o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '68', 'm14s', 'Client sends congratulations and this message: \"The Imperial Dam still stands. Victory is inevitable. All will join us.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '69', 'm14t', 'Saboteur of Imperial Dam on Duro');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '70', 'm14v', 'The Empire turned Duro\'s ecosystem into a toxic waste dump. I wanted to strike a blow -- and I still can! You won\'t stop me!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '71', 'm15d', 'The Mantis Syndicate offers an opportunity to talented hunters! A notorious thief has purloined valuable industrial secrets on Kessel. Termination must be swift and total, and all datadiscs and other information media on the body must be destroyed. Perform well to earn the Mantis Syndicate\'s generous favor!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '72', 'm15o', 'Mantis Bounty Hunter Syndicate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '73', 'm15s', 'The Mantis Syndicate pays you this generous bounty and wishes you the best of luck in future hunts.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '74', 'm15t', 'Thief of Kessel Industrial Secrets');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '75', 'm15v', 'I stole the genetic code of Kessel\'s glitterstim spiders! We can break the spice monopoly! What? Not interested? Bounty hunters -- you\'re all alike!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '76', 'm16d', 'House Tresario controls all bounties relevant to the world Baradas II. Our guild diligently defends its established territory. An interloper from House Benelex has attempted to offer bounties on various criminals active on our territory. House Tresario wishes you to locate and delete this would-be rival. Be warned that the target is extremely dangerous.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '77', 'm16o', 'House Tresario Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '78', 'm16s', 'House Tresario offers generous terms and excellent treatment, in contrast to House Benelex. We hope to work with you again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '79', 'm16t', 'Unauthorized Bounty Provider on Baradas II');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '80', 'm16v', 'You think you can take me, eh?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '81', 'm17d', 'I offer greetings from the illustrious Lord Jabba the Hutt. During a party recently in my master\'s palace on Tatooine, a drunken smuggler made intemperate remarks about Lord Jabba\'s appearance. Lord Jabba took grave offense. To date I have dispatched several bounty hunters of increasing skill to teach this offender a painful lesson. In each case the villain escaped, always with increasingly rude remarks concerning my master. Daily Lord Jabba\'s matchless anger grows. It now falls to you to terminate this wily and well-armed offender.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '82', 'm17o', 'Bib Fortuna, Lord Jabba\'s Majordomo');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '83', 'm17s', 'Lord Jabba sends his regards.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '84', 'm17t', 'Insulter of Lord Jabba the Hutt');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '85', 'm17v', 'Another one. If this goes on, I\'m gonna make that bloated worm eat his own tail.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '86', 'm18d', 'A bounty is hereby issued on a confidence man accused of defrauding millions of credits from victims across the galaxy. Target is believed to be extremely intelligent, heavily armed, and high-threat. The client requests this message be given to the target before termination: \"You\'ve got a quick wit, but not quicker than this bounty hunter\'s trigger finger.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '87', 'm18o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '88', 'm18s', 'Client sends congratulations and this message: \"Thank you, bounty hunter. You don\'t know how many humiliated victims will celebrate this news.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '89', 'm18t', 'Galactic Con Man');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '90', 'm18v', 'I thought you\'d never catch up to me, bounty hunter!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '91', 'm19d', 'A bounty is hereby issued on a notorious professional assassin, implicated in more than two dozen executions in the Core Worlds. Target is believed to be heavily armed, high-threat, and traveling in disguise. The client requests this message be given to the target before termination: \"You\'re one of the best, but we hired someone better.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '92', 'm19o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '93', 'm19s', 'Client sends congratulations and this message: \"That assassin was the best we ever hired. Next to you, that is. Perhaps we\'ll be in touch again.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '94', 'm19t', 'Notorious Assassin');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '95', 'm19v', 'Great. Another bounty hunter. Back off while you can, friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '96', 'm20d', 'A bounty is hereby issued on a freelance spymaster and architect of countless espionage and sabotage schemes. Target is believed heavily armed, high-threat, and aware of this bounty. Extreme caution is warranted. The client requests this message be given to the target before termination: \"Time to blow your cover.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '97', 'm20o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '98', 'm20s', 'Client sends congratulations and this message: \"Your target\'s plots killed dozens and brought down many powerful regimes. Three bounty hunters were killed before you succeeded. You\'re among the best at what you do.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '99', 'm20t', 'Freelance Spymaster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '100', 'm20v', 'You\'re quite skilled at pursuit. Too bad I have to kill you now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '101', 'm21d', 'A bounty is hereby issued on a mercenary general, wanted for atrocities in four sectors. Target is believed heavily armed and high-threat. The client requests this message be given to the target before termination: \"Mercenaries have no friends, only clients and enemies. Both of them want to see you dead.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '102', 'm21o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '103', 'm21s', 'Client sends congratulations and this message: \"The general\'s atrocities were legendary. You have rid the galaxy of a terrible scourge.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '104', 'm21t', 'Mercenary General');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '105', 'm21v', 'I knew they\'d send a hunter to do their dirty work. But you never met a mark like me!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '106', 'm22d', 'A bounty is hereby issued on a rogue bounty hunter, accused of abetting the escape of a high-priced target and betraying an honest client. Target is heavily armed and expert in hunting techniques. Proceed with utmost caution. The client advises against speaking to the target before termination.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '107', 'm22o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '108', 'm22s', 'Client sends congratulations and this message: \"Conscience is a detriment to a bounty hunter. We\'re glad you, at least, understand that.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '109', 'm22t', 'Rogue Bounty Hunter');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '110', 'm22v', 'I know your work. You\'re good. So I\'ll give you one chance to forget that you found me.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '111', 'm23d', 'A bounty is hereby issued on an elite slicer guilty of invading classified data systems in twelve sectors. Target is believed heavily armed and high-threat, and is known to monitor shuttle and spaceport logs to elude pursuers. The client requests this message be given to the target before termination: \"It\'s time to log you out.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '112', 'm23o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '113', 'm23s', 'Client sends congratulations and this message: \"Slicers think it\'s all fun and games, but this one compromised data that could endanger the lives of our operatives. You have demonstrated the seriousness of the crime. Thank you.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '114', 'm23t', 'Elite Slicer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '115', 'm23v', 'You can\'t have found me! It\'s inconceivable!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '116', 'm24d', 'A bounty is hereby issued on a former intelligence agent for an outlying star system, who is now a consultant to enemies of the planetary government. Target is believed heavily armed, extremely dangerous, and capable of detecting pursuit. The client requests this message be given to the target before termination: \"Consider this your authorization for retirement.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '117', 'm24o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '118', 'm24s', 'Client sends congratulations and this message: \"Some professions demand a lifelong commitment. Don\'t you agree, bounty hunter?\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '119', 'm24t', 'Corrupt Intelligence Agent');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '120', 'm24v', 'Finally caught up to me, eh? Too bad I\'m your last mark, bounty hunter!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '121', 'm25d', 'A bounty is hereby issued on a fugitive pirate captain accused of betraying a loyal crew. Target is believed heavily armed and high-threat. The client requests this message be given to the target before termination: \"You accused us of mutiny once. See what happens when we get really angry?\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '122', 'm25o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '123', 'm25s', 'Client sends congratulations and this message: \"That space scum marooned us on an asteroid. Killing was almost too merciful, but we wanted this to be over once and for all. Thanks for the good work.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '124', 'm25t', 'Fugitive Pirate Captain');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '125', 'm25v', 'Think you\'re a match for me, hunter? Show me what you\'ve got!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_hard.stf', '126', 'number_of_entries', '25');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '1', 'm1d', 'A bounty is hereby issued on a murderer who poisoned a noted Corporate States executive. Target is believed moderately armed and medium-threat. The client requests this message be given to the target before termination: \"Those were not good mints.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '2', 'm1o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '3', 'm1s', 'Client sends congratulations and this message: \"Carmellian mints are now banned from this household.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '4', 'm1t', 'Mint Poisoner');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '5', 'm1v', 'I swear that box of Carmellian mints wasn\'t poisoned. I warned that executive, if you eat too many mints, you get nausea. But nooo! Well, I\'m not going gently!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '6', 'm2d', 'A bounty is hereby issued on a renegade clan councillor from an outlying system. Target is believed moderately armed and medium-threat. The client requests this message be given to the target before termination: \"You have evaded your responsibility too long.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '7', 'm2o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '8', 'm2s', 'Client sends congratulations and this message: \"The ways of our people have lasted long and will endure still longer.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '9', 'm2t', 'Renegade Clan Official');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '10', 'm2v', 'One of the five on our head clan council died. So we four survivors were all supposed to march into the desert and die. I won\'t die just because she did!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '11', 'm3d', 'A bounty is hereby issued on the vandal who defaced the tomb of a great business executive from Sacorria, an Outlier system in the Corellian sector. Target is believed moderately armed and medium-threat. The client requests this message be given to the target before termination: \"When you toppled the grave marker of Silmas Monder, you should have started carving your own.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '12', 'm3o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '13', 'm3s', 'Client sends congratulations and this message: \"This mentally disturbed individual believed that everyone on Sacorria was involved in some massive conspiracy. Very sad.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '14', 'm3t', 'Vandal of Corellian Gravesite');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '15', 'm3v', 'I strafed Sacorria\'s moon, Sarcophagus. The whole moon is their graveyard. All those Sacorrians deserve much worse. So do you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '16', 'm4d', 'A bounty is hereby issued on a confidence artist who defrauded the queen of the Hunchuzuc Den on Selonia in the Corellian system. Target is believed moderately armed and medium-threat. The client requests this message be given to the target before termination: \"The queen is not trifled with.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '17', 'm4o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '18', 'm4s', 'Client sends congratulations and this message: \"Dishonorable deception can have only one punishment.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '19', 'm4t', 'Con Artist Fleeing Selonia');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '20', 'm4v', 'Hey, the Hunchuzuc queen wanted power over the planet. I just said I could get her some weapons. Like this one.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '21', 'm5d', 'A bounty is hereby issued on an industrial spy who stole schematics from the SoroSuub headquarters on Sullust. Target is believed moderately armed and medium-threat. The client requests this message be given to the target before termination: \"To attack SoroSuub is to attack all of Sullust.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '22', 'm5o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '23', 'm5s', 'Client sends congratulations and this message: \"The wealth of Sullust depends on the well-being of the SoroSuub conglomerate. You may tell this to anyone as you see fit.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '24', 'm5t', 'SoroSuub Thief');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '25', 'm5v', 'So I stole some plans. If you think you\'re gonna kill me over a schematic, think again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '26', 'm6d', 'A bounty is hereby issued on the sniper who fired on members of a marching band during intermission at the Planetary Shockball League quarter-finals in Coronet on Corellia. Target is believed moderately armed and medium-threat. The client requests this message be given to the target before termination: \"Your lunatic conduct was an offense against good sportsmanship.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '27', 'm6o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '28', 'm6s', 'Client sends congratulations and this message: \"After recent rehearsals the band sounds better than ever.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '29', 'm6t', 'Crazed Sniper');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '30', 'm6v', 'I couldn\'t stand it! They started playing the \"Imperial March\" over and over, and I\'m just! So! Sick of it!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '31', 'm7d', 'A bounty is hereby issued on the assassin who shot a Zaltin Corporation executive on Thyferra in the Polith system. Target is believed moderately armed and medium-threat. The client requests this message be given to the target before termination: \"Death to Black Claw terrorists.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '32', 'm7o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '33', 'm7s', 'Client sends congratulations and this message: \"For the sake of stability in the vital bacta trade, ignore everything the target may have said.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '34', 'm7t', 'Assassin of Bacta Cartel Executive');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '35', 'm7v', 'I\'m not with Black Claw. I was hired by Zaltin\'s competitor, Xucphra. Not that you\'ll live to tell anyone.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '36', 'm8d', 'A bounty is hereby issued on a saboteur who destroyed a thoroughbred racing-blob stable at Fondine Blob Raceways on Umgul. Target is believed moderately armed and medium-threat. The client requests this message be given to the target before termination: \"Umglateen Protoplasm Stables has found you at last.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '37', 'm8o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '38', 'm8s', 'Client sends congratulations and this message: \"All the blobs have now painstakingly separated themselves.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '39', 'm8t', 'Racing-Blob Stable Saboteur');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '40', 'm8v', 'The guy who hired me never even paid for the job. Not my smoothest move. I\'ll bet this won\'t be either.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '41', 'm9d', 'A bounty is hereby issued on an assassin who murdered an Ororo Transportation shipping executive in the Lybeya system. Target is believed moderately armed and medium-threat. The client requests this message be given to the target before termination: \"You hopeless idiot.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '42', 'm9o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '43', 'm9s', 'Client sends congratulations and this message: \"Even more hopelessly idiotic than we\'d expected.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '44', 'm9t', 'Assassin of Ororo Transport Executive');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '45', 'm9v', 'That lousy huckster charged me triple at his cantina in the Vergesso Asteroids. I was drunk and got carried away. But right now I\'m sober, so --');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '46', 'm10d', 'A bounty is hereby issued on the assassin who attempted murder on a family member of the Imperial governor of Garos IV. Target is believed moderately armed and medium-threat. The client has not specified a message to be given to the target.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '47', 'm10o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '48', 'm10s', 'Client sends congratulations and this message: \"I ask your discretion regarding any information you may have learned about my daughter\'s activities.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '49', 'm10t', 'Garos IV Would-Be Assassin');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '50', 'm10v', 'The governor\'s daughter works for the Rebels, and the Empire hired me to get her. I missed. I won\'t miss this time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '51', 'm11d', 'A bounty is hereby issued on the assassin of an executive of the Ororo Transportation shipping company. Target is believed moderately armed and medium-threat. The client requests this message be given to the target before termination: \"We know who employed you. We will take care of them as we take care of you.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '52', 'm11o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '53', 'm11s', 'Client sends congratulations and this message: \"Xizor Transport Systems, our competitor, appears to have a longer reach than we suspected. We may have further assignments for you, pending investigation.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '54', 'm11t', 'Assassin of Ororo Transport Exec');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '55', 'm11v', 'Hmph. If they think they can dispose of Xizor Transport by hiring some amoral bounty hunter, they\'re in for a surprise. You, too!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '56', 'm12d', 'A bounty is hereby issued on a fugitive convicted of spreading sedition at the Military Academy on Chandrila. Target is believed moderately armed and medium-threat. The client requests this message be given to the target before termination: \"Victory is ours. All have joined the Empire.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '57', 'm12o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '58', 'm12s', 'Client sends congratulations and this message: \"Sedition is a weed, which must be uprooted lest it spread uncontrolled.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '59', 'm12t', 'Seditious Agent at Chandrila');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '60', 'm12v', 'The Empire\'s \"military discipline\" is blind obedience. Senator Mon Mothma was right! The Empire must be stopped!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '61', 'm13d', 'A bounty is hereby issued on a pirate captain based on the notorious world of Carratos in the O\'pahz system. Target is believed moderately armed and medium-threat. The client requests this message be given to the target before termination: \"Carratos has enough guns already.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '62', 'm13o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '63', 'm13s', 'Client sends congratulations and this message: \"That pirate has been running weapons in Chofin Settlement. We control that trade now.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '64', 'm13t', 'Carratos Pirate Captain');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '65', 'm13v', 'Enough guns? No such thing.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '66', 'm14d', 'A bounty is hereby issued on the spy who attempted to steal weapon schematics from the Imperial Military Academy on Carida in the Caridan system. Target is believed moderately armed and medium-threat. The client requests this message be given to the target before termination: \"Consider this a failing grade.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '67', 'm14o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '68', 'm14s', 'Client sends congratulations and this message: \"We are now interrogating all students to determine internal security threats.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '69', 'm14t', 'Imperial Academy Spy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '70', 'm14v', 'I wasn\'t much interested in military service anyway.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '71', 'm15d', 'A bounty is hereby issued on a smuggler who brought illegal weapons onto Bonadan in defiance of Corporate Sector Authority laws. Target is believed moderately armed and medium-threat. The client requests this message be given to the target before termination: \"The protocol droid was a clever idea, but not clever enough.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '72', 'm15o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '73', 'm15s', 'Client sends congratulations and this message: \"Bonadan security now scans all droids for concealed explosives.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '74', 'm15t', 'Bonadan Weapon Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '75', 'm15v', 'That droid hated me putting that thermal detonator in his head. Heh.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '76', 'm16d', 'A bounty is hereby issued on the murderer of a Tibanna gas prospector on the gas giant Bespin. Target is believed moderately armed and medium-threat. The client requests this message be given to the target before termination: \"Baron Calrissian intensely dislikes claim jumpers.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '77', 'm16o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '78', 'm16s', 'Client sends congratulations and this message: \"It looks like this was a net loss for everyone but you.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '79', 'm16t', 'Murderer of Tibanna Gas Prospector');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '80', 'm16v', 'Huh! It probably cost Calrissian more to hire you than I made off that guy\'s claim.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '81', 'm17d', 'A bounty is hereby issued on the thief of a cargo freighter of diamonds mined outside Trade City on Arkania in the Perave system. Target is believed moderately armed and medium-threat. The client requests this message be given to the target before termination: \"Bright and many-faceted are the minds of Arkania.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '82', 'm17o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '83', 'm17s', 'Client sends congratulations and this message: \"The people of Arkania, the Yaka, delight in uncovering thieves.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '84', 'm17t', 'Arkanian Diamond Thief');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '85', 'm17v', 'Is that supposed to mean something? That freighter was full of ice. It all melted! Why did the Yaka put out a bounty on me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '86', 'm18d', 'A bounty is hereby issued on a treacherous Imperial supply officer. Target is believed moderately armed and medium-threat. The client requests this message be given to the target before termination: \"You should know better than to fence Imperial goods in the open air, where any probot overhead can see you.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '87', 'm18o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '88', 'm18s', 'Client sends congratulations and this message: \"That incompetent ruined our entire operation. Hope you don\'t end up getting contracts on us too.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '89', 'm18t', 'Imperial Supply Officer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '90', 'm18v', 'Okay, I stole those weapons -- but I didn\'t do it alone! Let me go and I\'ll tell you who else -- argh, I\'m reasoning with a bounty hunter! Yaaah!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '91', 'm19d', 'A bounty is hereby issued on a crazed religious cultist. Target is believed moderately armed and medium-threat. The client requests this message be given to the target before termination: \"This is for the children you killed!\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '92', 'm19o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '93', 'm19s', 'Client sends congratulations and this message: \"This terrorist religious cult is spreading. Popular music is the gateway they use for recruitment. You\'ll probably get more contracts like this.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '94', 'm19t', 'Crazed Cult Terrorist');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '95', 'm19v', 'I\'m not a cultist! I only sold a song collection called \"Advanced Explosives Handbook\" by a band called Deeply Religious. Music! Why won\'t you believe me! Arrrgh!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '96', 'm20d', 'A bounty is hereby issued on a felon who attempted to kidnap a wealthy Corellian. Target is believed moderately armed and medium-threat. The client requests this message be given to the target before termination: \"You want that spice so bad? You\'re going where it went.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '97', 'm20o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '98', 'm20s', 'Client sends congratulations and this message: \"That\'s the last loose end from that deal.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '99', 'm20t', 'Corellian Kidnapper');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '100', 'm20v', 'I just wanted him to tell me what he did with my goods. But I knew it would come down to him or me. And hunter, it won\'t be me!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '101', 'm21d', 'A bounty is hereby issued on a manufacturer of dangerous illegal drugs. Target is believed moderately armed and medium-threat. The client requests this message be given to the target before termination: \"Tweeny Fogg suggests you might have been more open to a fair bargain.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '102', 'm21o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '103', 'm21s', 'Client sends congratulations and this message: \"This is just one more step in the plan. Expect more contracts shortly.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '104', 'm21t', 'Death Stick Manufacturer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '105', 'm21v', 'Fogg? I never heard of no -- wait, is he that two-bit crimelord? Wants to muscle in on me, huh? I\'ll show you --!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '106', 'm22d', 'A bounty is hereby issued on a procurer and distributor of dangerous illegal drugs. Target is believed moderately armed and medium-threat. The client requests this message be given to the target before termination: \"Tweeny Fogg offered good terms. You don\'t reject Tweeny Fogg.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '107', 'm22o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '108', 'm22s', 'Client sends congratulations and this message: \"Another step in the plan. Expect more contracts shortly.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '109', 'm22t', 'Death Stick Distributor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '110', 'm22v', '\"Tweeny Fogg\"? What kind of name is -- oh, wait, I remember. That little squirt wants to move in on this territory? Hah! You\'re dead, creep!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '111', 'm23d', 'A bounty is hereby issued on a purveyor of dangerous illegal drugs. Target is believed moderately armed and medium-threat. The client requests this message be given to the target before termination: \"You could have joined with Tweeny Fogg. Too bad for you.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '112', 'm23o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '113', 'm23s', 'Client sends congratulations and this message: \"The plan continues. Expect more contracts shortly.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '114', 'm23t', 'Death Stick Pusher');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '115', 'm23v', 'Who\'s Tweeny Fogg? You\'re killing me because I turned down someone I never heard of? I don\'t think so!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '116', 'm24d', 'A bounty is hereby issued on a political operative employed by a repressive Outer Rim government for purposes of torture and mayhem. Target is believed moderately armed and medium-threat. The client requests this message be given to the target before termination: \"Ando Maguro sent me.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '117', 'm24o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '118', 'm24s', 'Client sends congratulations and this message: \"That monster didn\'t even remember me. Somehow I feel even worse. But you\'ve made the galaxy safer today, believe me.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '119', 'm24t', 'Outer Rim Government Operative');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '120', 'm24v', 'Who\'s Ando Maguro? Did he get hurt in a covert operation? He shouldn\'t have been socializing with the wrong crowd. And neither should you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '121', 'm25d', 'A bounty is hereby issued on a thief of Imperial secrets. This hunt is proceeding outside Imperial channels; discretion is essential. Target is believed moderately armed and medium-threat. The client requests this message be given to the target before termination: \"Eisen Kerioth has dispensed with your informant.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '122', 'm25o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '123', 'm25s', 'Client sends congratulations and this message: \"Moff Kerioth thanks you for your service. Tell no one of anything your target may have said, or you will be next.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '124', 'm25t', 'Thief of Government Secrets');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '125', 'm25v', 'What a jerk. Moff Kerioth\'s Twi\'lek slave woman begged me to help her escape. I tried and failed. Now he\'s sent another jerk to kill me. Well....');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '126', 'm26d', 'A bounty is hereby issued on the organizer and leader of a covert species-ist hate society. Target is believed moderately armed and medium-threat. The client requests this message be given to the target before termination: \"Did you think you could kill us all before we fought back?\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '127', 'm26o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '128', 'm26s', 'Client sends congratulations and this message: \"Please ignore the babbling of this obvious madman.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '129', 'm26t', 'Leader of Secret Hate-Crime Society');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '130', 'm26v', 'Which one of those unnatural monstrosities sent you? Don\'t you know you\'re only furthering the insidious Galactic Chiss Conspiracy? I must stop you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '131', 'm27d', 'A bounty is hereby issued on the murderer of the captain of a Thyferran bacta tanker. Target is believed moderately armed and medium-threat. The client requests this message be given to the target before termination: \"The son of Captain Norda sends you on your way.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '132', 'm27o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '133', 'm27s', 'Client sends congratulations and this message: \"My father wasn\'t the best of all men, but he didn\'t deserve murder.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '134', 'm27t', 'Murderer of Bacta Tanker Captain');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '135', 'm27v', 'The Empire loosed a plague on my homeworld. Captain Norda\'s tanker held enough bacta to heal thousands, but thousands died! Because Norda feared the Empire! I killed him and I\'m glad -- like I\'m glad to do THIS!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '136', 'm28d', 'A bounty is hereby issued on an individual who aided the destruction of an Ubrikkian Luxury Sail Barge on Balmorra in the Nevoota system. Target is believed moderately armed and medium-threat. The client requests that no message be given to the target before termination, and that target\'s remarks not be recorded.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '137', 'm28o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '138', 'm28s', 'Client sends this message: \"Discretion is essential. Tell no one of the target\'s words, or you will be next.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '139', 'm28t', 'Sail Barge Destroyer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '140', 'm28v', '\"Sail barge\"? I led a strike team to destroy Governor Beltane\'s shiny new SD-10 battle droid plant! You want to kill me? I don\'t go easy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '141', 'm29d', 'A bounty is hereby issued on a renegade scientist who engaged in unlicensed weather modification on Drall in the Corellian system. Target is believed moderately armed and medium-threat. The client requests this message be given to the target before termination: \"The Boiling Sea is not filled by rainfall.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '142', 'm29o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '143', 'm29s', 'Client sends congratulations and this message: \"The Boiling Sea boils once more.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '144', 'm29t', 'Weather Modification Scientist');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '145', 'm29v', 'I couldn\'t stand the heat, so I made it rain. The sea stopped boiling, and that hurt the tourist trade. Is one mistake worth killing me over?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '146', 'm30d', 'A bounty is hereby issued on the felon who committed an offense against the Trask merchant house on Kuat. Target is believed moderately armed and medium-threat. The client requests this message be given to the target before termination: \"The magenta sash is reserved for Trask alone.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '147', 'm30o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '148', 'm30s', 'Client sends congratulations and this message: \"This removes from the Trask sash the contaminating stain of dishonor.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '149', 'm30t', 'Offender Against Kuat');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '150', 'm30v', 'Giving the people of Kuat those magenta sashes was the first symbolic step in encouraging rebellion. We\'ll overthrow the aristocracy, then the Empire!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '151', 'm31d', 'A bounty is hereby issued on a notorious vandal who defaced a statue of the beloved Emperor. Target is believed moderately armed and medium-threat. The client requests this message be given to the target before termination: \"The Emperor is not mocked.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '152', 'm31o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '153', 'm31s', 'Client sends congratulations and this message: \"Recount your exploit far and wide. Remember, the Emperor is never mocked.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '154', 'm31t', 'Traitorous Vandal');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '155', 'm31v', 'I painted his stupid face blue, the color of dishonor in my culture. I\'ll keep doing it until freedom returns, and you won\'t stop me!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '156', 'm32d', 'A bounty is hereby issued on the designer of a deadly bioweapon. Target is believed moderately armed and medium-threat. WARNING: If any biological material is found on the target, destroy it immediately.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '157', 'm32o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '158', 'm32s', 'Client sends congratulations and this message: \"If you made contact with the target\'s bodily fluids, carry out decontamination procedures.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '159', 'm32t', 'Bioweapon Scientist');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '160', 'm32v', 'Hhkk! Kff! I\'m going to -- to -- ahhhkk! Hkk!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '161', 'm33d', 'A bounty is hereby issued on the architect of a plan to overthrow a planetary government under the management of the Corporate Sector Authority. Target is believed moderately armed and medium-threat. The client requests this message be given to the target before termination: \"No more options for you.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '162', 'm33o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '163', 'm33s', 'Client sends congratulations and this message: \"Termination is always a nasty business.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '164', 'm33t', 'CSA Would-Be Conqueror ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '165', 'm33v', 'You make it sound like I was conquering by force. I only tried to acquire a majority of stock. Executive politics shouldn\'t involve physical death!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '166', 'm34d', 'A bounty is hereby issued on a gang enforcer wanted in a dozen Outer Rim sectors. Target is believed moderately armed and medium-threat. The client requests this message be given to the target before termination: \"How many innocent beings have suffered at your hands? This is for them!\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '167', 'm34o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '168', 'm34s', 'Client sends congratulations and this message: \"We\'ve got bacta clinics full of that maggot\'s victims. All of them thank you for ending the nightmare.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '169', 'm34t', 'Gang Enforcer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '170', 'm34v', 'You\'re good, bounty hunter, but not as good as me!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '171', 'm35d', 'A bounty is hereby issued on a serial blackmailer whose crimes span fifty sectors. Target is believed moderately armed and medium-threat. The client requests this message be given to the target before termination: \"Consider this your retirement party.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '172', 'm35o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '173', 'm35s', 'Client sends congratulations and this message: \"Thank you for eliminating that troublesome blackmailer. A number of quite influential galactic citizens have taken note of your good work.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '174', 'm35t', 'Serial Blackmailer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '175', 'm35v', 'You bounty hunters never learn, do you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '176', 'm36d', 'A bounty is hereby issued on an infamous starjacker who robbed the wrong space yacht. Target is believed moderately armed and medium-threat. The client requests this message be given to the target before termination: \"We warned you never to set foot on an inhabited planet.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '177', 'm36o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '178', 'm36s', 'Client sends congratulations and this message: \"A smart starjacker will avoid certain targets. This one was not very smart. You have earned the bounty.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '179', 'm36t', 'Infamous Starjacker');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '180', 'm36v', 'You\'re good at tracking, but I\'m good at fighting!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '181', 'm37d', 'A bounty is hereby issued on a Black Sun trigger artist wanted in seven sectors. Target is believed moderately armed and medium-threat. The client requests this message be given to the target before termination: \"Your Vigo can\'t protect you everywhere, but justice knows no bounds.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '182', 'm37o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '183', 'm37s', 'Client sends congratulations and this message: \"We suspect a double-cross by Black Sun. Otherwise a trusted enforcer would not have been traveling alone. Thank you for helping us take advantage of that opportunity.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '184', 'm37t', 'Black Sun Trigger Artist');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '185', 'm37v', 'Sithspit! Where did you come from?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '186', 'm38d', 'A bounty is hereby issued on a galactic desperado whose reputation is spreading like fire through the galaxy. Target is believed moderately armed and medium-threat. The client requests this message be given to the target before termination: \"Some fine things have been laid upon your table, but you only want the ones that you can\'t get. Why didn\'t you come to your senses?\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '187', 'm38o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '188', 'm38s', 'Client sends congratulations and this message: \"Justice was getting closer every day. It takes a certain kind of fool to keep running.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '189', 'm38t', 'Galactic Desperado');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '190', 'm38v', 'Let\'s finish this! I ain\'t getting\' no younger!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '191', 'm39d', 'A bounty is hereby issued on a space pirate wanted for stealing slaves in the Outer Rim. Target is believed moderately armed and medium-threat. The client requests this message be given to the target before termination: \"You think you\'re quite a hero. As of now you\'re a martyr.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '192', 'm39o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '193', 'm39s', 'Client sends congratulations and this message: \"Interfering with lawful business is bad for the galactic economy. We\'re glad you concur with our goals, bounty hunter.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '194', 'm39t', 'Slave Pirate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '195', 'm39v', 'Freedom for slaves across the galaxy!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '196', 'm40d', 'A bounty is hereby issued on a crystal thief who stole a shipload of Tasari shards. Target is believed moderately armed and medium-threat. The client requests this message be given to the target before termination: \"You\'re very good at running away, but you can\'t outrun a price on your head.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '197', 'm40o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '198', 'm40s', 'Client sends congratulations and this message: \"Crystal thieves may have a glamorous reputation, but they\'re little more than ambitious burglars. That\'s one less to plague the galaxy. The bounty is yours.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '199', 'm40t', 'Crystal Thief');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '200', 'm40v', 'Hold on! You\'re throwing away a fortune here! Don\'t be a fool!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '201', 'm41d', 'A bounty is hereby issued on an assassin suspected of several political murders in the Ottega system. Target is believed moderately armed and medium-threat. The client requests this message be given to the target before termination: \"We do not abide assassination, especially when the targets might have revealed sensitive information before they died. In such cases, termination must be swift.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '202', 'm41o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '203', 'm41s', 'Client sends congratulations and this message: \"You have avenged many good political leaders. By chance did the assassin give you any information before he died?\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '204', 'm41t', 'Suspected Assassin');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '205', 'm41v', 'Those sithspawn double-crossed me! They\'ll double-cross you too, bounty hunter!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '206', 'm42d', 'A bounty is hereby issued on a mercenary captain who is wanted for mass slaughter in four sectors. Target is believed moderately armed and medium-threat. The client requests this message be given to the target before termination: \"We will never forget your atrocities at the Third Reconciliation. This is for the Shubs and Zuuls!\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '207', 'm42o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '208', 'm42s', 'Client sends congratulations and this message: \"Many Shubs and Zuuls have been avenged this day, I can tell you.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '209', 'm42t', 'Mercenary Captain');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '210', 'm42v', 'I\'ll see you in hell, bounty hunter!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '211', 'm43d', 'A bounty is hereby issued on an informant who betrayed an employer\'s secrets to the Empire. Target is believed moderately armed and medium-threat. The client requests this message be given to the target before termination: \"You took a vow of secrecy. Now you shall pay the price for your lack of vision.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '212', 'm43o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '213', 'm43s', 'Client sends congratulations and this message: \"Splendid work, bounty hunter. We trust the details of this incident will remain secret.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '214', 'm43t', 'Dangerous Informant');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '215', 'm43v', 'Don\'t make me hurt you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '216', 'm44d', 'A bounty is hereby issued on a fugitive slicer, convicted of forging credentials for Imperial data systems. Target is believed moderately armed and medium-threat. The client requests this message be given to the target before termination: \"The galaxy is not big enough to hide you forever.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '217', 'm44o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '218', 'm44s', 'Client sends congratulations and this message: \"Slicers shouldn\'t play around in the wrong sectors.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '219', 'm44t', 'Fugitive Slicer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '220', 'm44v', 'I thought I\'d lost you, bounty hunter!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '221', 'm45d', 'A bounty is hereby issued on a renowned saboteur accused in the slaughter of a dozen shipyard workers. Target is believed moderately armed and medium-threat. The client requests this message be given to the target before termination: \"You used thermal detonators. Your own demise will be much more painful.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '222', 'm45o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '223', 'm45s', 'Client sends congratulations and this message: \"A lot of families were shattered by that vermin\'s sabotage. You have earned their thanks as well as this bounty.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '224', 'm45t', 'Renowned Saboteur');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '225', 'm45v', 'No bounty hunter is taking me down!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '226', 'm46d', 'A bounty is hereby issued on an industrial spy, escaped from the custody of a private security force. Target is believed moderately armed and medium-threat. The client requests this message be given to the target before termination: \"You\'re clever enough to slip away from us, but bounty hunters are cleverer still.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '227', 'm46o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '228', 'm46s', 'Client sends congratulations and this message: \"Spies are never as clever as they think.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '229', 'm46t', 'Industrial Spy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '230', 'm46v', 'That\'s the last mistake you\'ll ever make, bounty hunter!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '231', 'm47d', 'A bounty is hereby issued on a dangerous prisoner who escaped a dungeon ship in Tragan Sector. Target is believed moderately armed and medium-threat. The client requests this message be given to the target before termination: \"Escape is punishable by death.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '232', 'm47o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '233', 'm47s', 'Client sends congratulations and this message: \"Why would a prisoner turn a life sentence into a death sentence? Criminals are beyond comprehension.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '234', 'm47t', 'Escaped Prisoner');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '235', 'm47v', 'Why can\'t I shake you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '236', 'm48d', 'A bounty is hereby issued on a rogue scientist accused of illegal genetic experiments across the Outer Rim. Target is believed moderately armed and medium-threat. The client requests this message be given to the target before termination: \"Your despicable work ends now!\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '237', 'm48o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '238', 'm48s', 'Client sends congratulations and this message: \"Rogue science. An indelicate business.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '239', 'm48t', 'Rogue Scientist');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '240', 'm48v', 'You must not interfere with my important experiments!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '241', 'm49d', 'A bounty is hereby issued on a fence of stolen goods, wanted for possession of contraband in 17 systems. Target is believed moderately armed and medium-threat. The client requests this message be given to the target before termination: \"A single scum like you allows dozens of thieves and robbers to make a living in the galaxy. Time to kill the weed at the root.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '242', 'm49o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '243', 'm49s', 'Client sends congratulations and this message: \"With that space leech out of the way, many more criminals will go out of business. You\'ve earned this bounty.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '244', 'm49t', 'Interplanetary Fence');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '245', 'm49v', 'You don\'t know who you\'re playing with, bounty hunter!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '246', 'm50d', 'A bounty is hereby issued on a fugitive kidnapper wanted for ransoming a wealthy Naboo child. Target is believed moderately armed and medium-threat. The client requests this message be given to the target before termination: \"We don\'t want the ransom back. We\'ll take our revenge from your hide.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '247', 'm50o', 'Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '248', 'm50s', 'Client sends congratulations and this message: \"Our little daughter can sleep in peace now. Thank you.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '249', 'm50t', 'Kidnapper-At-Large');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '250', 'm50v', 'Give me your best shot, bounty hunter!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_bounty_neutral_medium.stf', '251', 'number_of_entries', '50');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '1', 'm1d', 'This office has uncovered several Rebel sympathizers and is planning a purge. Rebel slicers are infesting the HoloNet, so we need these warrants hand-delivered. After all, we don\'t want to give those scum the chance to escape justice. Tell no one!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '2', 'm1l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '3', 'm1o', 'Imperial Security Bureau');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '4', 'm1r', 'Everything seems in order. Now we can move and purge those sympathizers.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '5', 'm1f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '6', 'm1s', 'This office will remember your service to the Empire. The memory of the ISB is long and infallible.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '7', 'm1p', 'The Empire is always looking for dedicated citizens willing to serve. The rewards are many.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '8', 'm1t', 'Arrest Warrants');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '9', 'm2d', 'One of our spies, who are everywhere, is conducting an important surveillance mission. We\'ve ordered the agent to maintain transmission silence. You never know who\'s listening. These new orders must be delivered to the agent at once. Can the Empire count on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '10', 'm2l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '11', 'm2o', 'Imperial Security Bureau');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '12', 'm2r', 'New orders, eh? Thank you, citizen. The Empire does not forget its loyal servants.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '13', 'm2f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '14', 'm2s', 'Inform no one of the spy\'s identity, or it will go badly for you. That is all.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '15', 'm2p', 'Our work is never done. Preserving the New Order should be everyone\'s concern.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '16', 'm2t', 'Spy\'s New Orders');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '17', 'm3d', 'We have a report that Rebels are meeting in a concealed chamber under an informant\'s home. Deliver a heat sensor so the homeowner can verify this suspicion.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '18', 'm3l', 'Scanner device');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '19', 'm3o', 'Imperial Security Bureau');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '20', 'm3r', 'Finally! I\'ll be able to prove that there\'s a Rebel Command Center underneath my very home! How do you work this thing? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '21', 'm3f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '22', 'm3s', 'We must investigate all such claims, no matter how seemingly outlandish. That is our job -- our duty -- our cause.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '23', 'm3p', 'The ISB is always looking for bright, eager talent. What better way to serve the Empire?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '24', 'm3t', 'Heat Scanner');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '25', 'm4d', 'A citizen informs us that certain locals have been holding clandestine meetings, possibly to aid the Rebellion. Deliver this message to the loyal citizen. It includes a reward for diligence.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '26', 'm4l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '27', 'm4o', 'Imperial Security Bureau');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '28', 'm4r', 'I knew my rude neighbors were up to no good. They\'ll get what they deserve now. Bless the Empire! ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '29', 'm4f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '30', 'm4s', 'Though Rebel sympathizers hide everywhere, assure all who will listen that the Empire has matters well in hand.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '31', 'm4p', 'We only wish all citizens were as loyal as the recipient of this datadisc -- and as loyal as you are, too, citizen!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '32', 'm4t', 'Loyalty Reward');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '33', 'm5d', 'An upstanding citizen believes an acquaintance is secretly attending meetings with Rebels. Deliver this tagger spy device to the informant. Once this citizen plants a transmitter on the suspected traitor, we can monitor his movements.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '34', 'm5l', 'Small gun or tracker device');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '35', 'm5o', 'Imperial Security Bureau');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '36', 'm5r', 'Great gadget. I could never afford this on my own. Now my father will regret stopping my allowance!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '37', 'm5f', 'filename_of_object');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '38', 'm5s', 'Rebel sympathizers are everywhere. Our informants\' motives may be petty, but their vital service triumphs over all other moral considerations.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '39', 'm5p', 'Traitors hide behind many facades. They may be close friends, even loved ones. In the end, all must face justice.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '40', 'm5t', 'Spy Tagger Device');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '41', 'm6d', 'One loyal citizen has helped us arrest over a dozen Rebel sympathizers. We want to show our appreciation by presenting them with a plaque. It bears the COMPNOR pledge along with the citizen\'s name engraved on the front. Perhaps you can one day earn such a plaque, citizen. For now, please simply deliver the plaque.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '42', 'm6l', 'Plaque');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '43', 'm6o', 'COMPNOR');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '44', 'm6r', 'My plaque! I\'ll hang it in a place of honor. I can\'t wait to show my friends. The few remaining loyal ones, that is.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '45', 'm6f', 'filename_of_object');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '46', 'm6s', 'With continuing service to COMPNOR and the Empire, you, too, citizen, may someday merit a plaque of your own.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '47', 'm6p', 'The Empire shows its appreciation in many ways. This plaque is but one small example.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '48', 'm6t', 'COMPNOR Loyalty Plaque');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '49', 'm7d', 'A local school teacher wants to present a class of young students with COMPNOR badges. They reward students who memorize the COMPNOR creed. Could you deliver these badges? Children are the Empire\'s future, after all. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '50', 'm7l', 'Small sealed container');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '51', 'm7o', 'COMPNOR');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '52', 'm7r', 'The children will be delighted. Hail the Empire and COMPNOR.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '53', 'm7f', 'filename_of_object');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '54', 'm7s', 'Evidently no student successfully memorized the entire COMPNOR creed, so no badges were awarded at this time. This is acceptable; there are always more children.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '55', 'm7p', 'Nothing inspires a person more than happy, loyal children. Wouldn\'t you agree, citizen?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '56', 'm7t', 'COMPNOR School Badges');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '57', 'm8d', 'A citizen has organized Neighborhood Rebel Alert Watches. We are so impressed with this that we\'ve decided to adopt a similar model all across this sector. Please deliver this holocam recording to this model citizen. It\'s a personal thanks from our Chairman. We want loyal citizens to know they are treasured.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '58', 'm8l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '59', 'm8o', 'COMPNOR');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '60', 'm8r', 'Oh goodness, a personal thanks for me? I was just doing my civic duty. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '61', 'm8f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '62', 'm8s', 'The Neighborhood Rebel Watch Alert program will go worldwide shortly. Do you want to start your own Watch Alert program? If so, contact COMPNOR at the appropriate time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '63', 'm8p', 'A vigilant citizen is a happy citizen. Are you happy?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '64', 'm8t', 'COMPNOR Holocam Thank-You');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '65', 'm9d', 'We offered a reward to a loyal citizen for years of service, and the citizen asked for a replica ISB uniform. We\'ve cleared it with our superiors and need you to deliver the uniform. I must admit, our uniforms are quite sharp.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '66', 'm9l', 'ISB Uniform');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '67', 'm9o', 'Imperial Security Bureau');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '68', 'm9r', 'I can\'t wait to try this on. My mate will be quite enthused to see me, I think. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '69', 'm9f', 'filename_of_object');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '70', 'm9s', 'Of course the replica ISB uniform cannot be worn in public, on pain of prosecution for impersonating an officer. Did you inform the citizen of this vital fact?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '71', 'm9p', 'The Empire knows that style and fashion are important. We\'re glad to see others agree.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '72', 'm9t', 'Replica ISB Uniform');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '73', 'm10d', 'Concerned citizens are staging a public rally to denounce the Rebellion and support the Empire. Deliver this miniature holoprojector to their leader. It will display recordings of heroic Imperial soldiers, as well as tasteful images of the atrocities perpetrated by Rebel terrorists. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '74', 'm10l', 'Small projector');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '75', 'm10o', 'COMPNOR');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '76', 'm10r', 'This will make our rally so much better. Bless the Empire!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '77', 'm10f', 'filename_of_object');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '78', 'm10s', 'Thank you, citizen. The rally will proceed shortly, unless sabotaged by Rebel terrorists.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '79', 'm10p', 'Will you be attending this rally, citizen? It would look good on your record.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '80', 'm10t', 'Miniature Holoprojector');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '81', 'm11d', 'A group of children will be marching in a local parade honoring the Emperor. The citizens putting this together have requested proper Imperial attire and toy blasters for the children. Deliver this requisition order to the lead organizer. Any official can take this to the local Imperial depot to request these materials.  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '82', 'm11l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '83', 'm11o', 'COMPNOR');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '84', 'm11r', 'Our children will look so sharp. They will be a credit to the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '85', 'm11f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '86', 'm11s', 'Did you inform the organizers that firing the toy blasters can, in certain circumstances, blind or maim the target? This is a design flaw that will be corrected in later versions.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '87', 'm11p', 'We admire the children\'s enthusiasm. If only all citizens were so enthusiastic, the galaxy would be a better place.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '88', 'm11t', 'Toy Blaster Requisition');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '89', 'm12d', 'We\'ve heard that the loyal local citizens are putting on a parade in honor of the Emperor. We\'re recording this event for HoloNet broadcast. Deliver this requisition order for five RMD-20 monitoring droids to this group\'s representatives. They can take it to their local Imperial depot to get the droids. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '90', 'm12l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '91', 'm12o', 'COMPNOR');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '92', 'm12r', 'These droids will come in handy. Our children will be so pleased when this is recorded for all the Empire to see!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '93', 'm12f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '94', 'm12s', 'The assigned monitor droids are currently in use at local cantinas, but they should be available in time for the parade. Fine work, citizen!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '95', 'm12p', 'Let these children be an example to you, citizen. Strive to serve the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '96', 'm12t', 'Monitor Droid Requisition');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '97', 'm13d', 'Someone has been defacing Imperial statuary. The vandals don\'t appear on our monitoring devices. We suspect some form of holoshroud. Deliver this new neuro-sensor to our agent. It should detect holoshrouds. We will discover the vandals and put a stop to them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '98', 'm13l', 'Scanner device');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '99', 'm13o', 'Imperial Security Bureau');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '100', 'm13r', 'I\'ll catch these vandals one way or another. This device will be an immense help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '101', 'm13f', 'filename_of_object');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '102', 'm13s', 'The scanner has not yet detected the distinctive holoshroud radiation signature, but it is only a matter of time. What else could explain this weird phenomenon?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '103', 'm13p', 'To deface Imperial property is a serious crime. We\'ll make that clear to these criminals soon enough.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '104', 'm13t', 'Neuro-Sensor Scanner');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '105', 'm14d', 'Rebel spies stole a loyal citizen\'s speeder. Due to the owner\'s modifications to the speeder, we caught these spies within a few hours. As a public relations gesture, deliver this Corporate Sector Authority voucher, which gives a generous discount on the purchase of any new swoop.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '106', 'm14l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '107', 'm14o', 'Imperial Security Bureau');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '108', 'm14r', 'Ten percent off. Well. It sure pays to serve the Empire, huh?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '109', 'm14f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '110', 'm14s', 'Well done. Spread the word of the Empire\'s generosity!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '111', 'm14p', 'The Empire\'s influence with the Corporate Sector Authority can be a great benefit to loyal citizens.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '112', 'm14t', 'Swoop Discount Voucher');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '113', 'm15d', 'Our Board has selected a winner in the Patriotic Art Competition. The lucky citizen is to receive an all-expense-paid vacation to Coruscant. Return this award-winning painting, entitled \"Lord Vader: Protector of the Empire\'s Youth,\" to the artist. The documents attached include prize redemption instructions.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '114', 'm15l', 'Painting');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '115', 'm15o', 'COMPNOR: Arts Division');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '116', 'm15r', 'I won? I won! I can\'t wait to tell the kids we\'re going to Coruscant. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '117', 'm15f', 'filename_of_object');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '118', 'm15s', 'Plans have changed. A reliable informant tells us that the artist has been seen recently in the company of dubious individuals suspected of Rebel sympathies. The artist\'s prize has been cancelled. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '119', 'm15p', 'I love the way all those children are gazing admiringly at the striking figure of Lord Vader. It\'s most inspiring.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '120', 'm15t', 'Lord Vader: Protector of Empire\'s Youth');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '121', 'm16d', 'A model citizen divulged the names of several dangerous Rebel spies a few weeks ago. Two of those spies were the citizen\'s own parents. What greater demonstration of loyalty can exist? As we promised, we\'re delivering a hologram recording of the executions. Take it to this citizen with our thanks and compliments.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '122', 'm16l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '123', 'm16o', 'Imperial Security Bureau');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '124', 'm16r', 'I don\'t want to watch this horrid recording! I made a big mistake! The Force preserve me! What have I done?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '125', 'm16f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '126', 'm16s', 'The citizen appears to have fallen from earlier ideals and is now being taken to a COMPNOR Re-education Center. Say nothing of this, or it will go badly for you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '127', 'm16p', 'This is the sort of strength we require in our citizens. Heed this example!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '128', 'm16t', 'Hologram of Execution');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '129', 'm17d', 'Interrogation of a Rebel spy has resulted in a list of suspected Rebels and sympathizers. We\'re very interested in finding these individuals without alarming them. Deliver this list of names and holographic images to our contact, who will discreetly disseminate the information to loyal citizens.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '130', 'm17l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '131', 'm17o', 'Imperial Security Bureau');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '132', 'm17r', 'I\'ll make sure this gets into the right hands. You can never be too careful these days.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '133', 'm17f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '134', 'm17s', 'Owing to the length of the list of suspects, some of those lower on the list were warned by the apprehension of the first few. However, our operations continue. We shall find them all.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '135', 'm17p', 'Traitors can\'t hide forever. The Empire roots out such vermin wherever they nest.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '136', 'm17t', 'List of Suspects');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '137', 'm18d', 'The New Order teaches that humans are superior to other species. A highly respected scientist is composing a definitive work to prove this. Help this effort by providing the scientist with the results of certain medical studies. These are not available on the HoloNet, of course. We don\'t want these delicate results to fall into the hands of enemies who would wilfully misinterpret them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '138', 'm18l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '139', 'm18o', 'COMPNOR Science Division');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '140', 'm18r', 'The medical results at last! Soon no one will doubt the physical and ethical superiority of humans.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '141', 'm18f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '142', 'm18s', 'The sensitive nature of these medical results requires your discretion. Tell no one of these findings until the populace is suitably prepared for their release.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '143', 'm18p', 'Don\'t believe any stories you hear about vivisection. They\'re sheer nonsense.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '144', 'm18t', 'Medical Files');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '145', 'm19d', 'One of our spies, who are everywhere, located a new Rebel terrorist cell several days ago but has not contacted us since. Deliver this datadisc and claim it confirms an order of fuel cells. If the recipient accepts the disc, our spy has been discovered. If the disc is refused, then our spy is still active but simply trying to avoid suspicion. Can you do this?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '146', 'm19l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '147', 'm19o', 'Imperial Security Bureau');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '148', 'm19r', 'Fuel cells, huh? Sure, I\'ll take it. Do I need to sign anything?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '149', 'm19f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '150', 'm19s', 'We have located the spy\'s body and are now recruiting a replacement. The setback is purely temporary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '151', 'm19p', 'We lose good lives to these Rebel scum all the time. It\'s part of the sacrifice every good citizen must make.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '152', 'm19t', 'Confirm Status of Spy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '153', 'm20d', 'A concerned parent believes local schoolchildren are being fed pro-Rebel propaganda. Deliver to this informant a small undetectable transmitter to hide on the child\'s clothing. We\'ll soon discover who at this school is poisoning the minds of the Empire\'s youth.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '154', 'm20l', 'Small sealed container');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '155', 'm20o', 'Imperial Security Bureau');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '156', 'm20r', 'Thank you. I believe all our schoolteachers harbor pro-Rebel sentiments. I\'ll put an end to their crimes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '157', 'm20f', 'filename_of_object');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '158', 'm20s', 'A purge and purification of schoolteachers will begin soon. Thank you for your help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '159', 'm20p', 'How foolish of a schoolteacher to push traitorous propaganda on our children!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '160', 'm20t', 'Undetectable Transmitter');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '161', 'm21d', 'A certain citizen may be supplying the Rebels. Deliver this cooker, saying that it\'s a prize in a sweepstakes. A transmitter built into the device should reveal the suspect\'s true loyalties.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '162', 'm21l', 'Food Cooker');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '163', 'm21o', 'Imperial Security Bureau');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '164', 'm21r', 'A new cooker? How wonderful. I just love baking for the neighborhood. Would you care for a cookie? They\'re fresh.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '165', 'm21f', 'crafting\\station\\food_tool.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '166', 'm21s', 'The Rebel sympathizer\'s seemingly innocuous front will soon crumble like those \"cookies\" that undoubtedly wind up in Rebel mouths.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '167', 'm21p', 'When will citizens realize that every action has a consequence? Crime does not pay.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '168', 'm21t', 'Bugged Cooker');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '169', 'm22d', 'A citizen suspected of pro-Rebel sympathies is hosting a catered party in an effort to earn a promotion. Rebel-lovers do not deserve promotions. The party must fail. Deliver this bottle of Naboo wine; claim it\'s from the caterer. When the guests drink the wine, they\'ll become deathly ill. This will ruin that traitor\'s chances. Do your duty. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '170', 'm22l', 'Bottle of wine');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '171', 'm22o', 'COMPNOR');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '172', 'm22r', 'Naboo wine! How nice. To think we were considering never using this caterer\'s services again. Thank you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '173', 'm22f', 'filename_of_object');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '174', 'm22s', 'The battle against the Rebellion must proceed on many fronts. COMPNOR is there to fight on the fields that the Army and Navy cannot reach.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '175', 'm22p', 'One should always know the source of a gift, don\'t you agree? Hahaha!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '176', 'm22t', 'Naboo Wine');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '177', 'm23d', 'A lunatic who claims to be the Emperor continues to send HoloNet messages demanding a military escort to the market. Our spies, who are everywhere, assure us that this idiot is harmless. However, this office believes the Empire should deal with lunatics more firmly. Deliver this order instructing the maniac to cease and desist.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '178', 'm23l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '179', 'm23o', 'COMPNOR');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '180', 'm23r', 'What? How dare my minions speak to me in such a manner! They shall all pay the price for their lack of vision!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '181', 'm23f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '182', 'm23s', 'The lunatic continues to pester this office, most recently with orders to construct a second Death Star. What foolishness!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '183', 'm23p', 'The Empire\'s patience is not infinite. I hope this will convince that fool to cease such insane activities.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '184', 'm23t', 'Desist Order for a Lunatic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '185', 'm24d', 'The Empire is looking for people of action, not words. One citizen, at great peril to life and limb, prevented an escaped Yuzzem prisoner from hijacking a local transport and possibly killing dozens of loyal citizens. Deliver to this hero a special ISB vibrodagger, a replica of the weapon carried by our agents.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '186', 'm24l', 'Replica Vibrodagger');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '187', 'm24o', 'Imperial Security Bureau');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '188', 'm24r', 'This is a great honor. I shall carry it with pride. Hail the Empire!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '189', 'm24f', 'filename_of_object');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '190', 'm24s', 'The replica vibrodagger must not be worn in public, on pain of prosecution for impersonating an officer. Did you inform the recipient of this vital fact?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '191', 'm24p', 'Perhaps someday you can earn a similar weapon, citizen. Be diligent.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '192', 'm24t', 'Replica Vibrodagger');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '193', 'm25d', 'A misguided merchant has been pricing goods outside the approved Imperial price ranges. Perhaps this individual has not received our latest pricing guide. Deliver this guide and inform the merchant that we expect prices to fall within the stipulated ranges very soon. A second warning about this matter would not benefit business. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '194', 'm25l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '195', 'm25o', 'COMPNOR Commerce Division');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '196', 'm25r', 'I -- I was just trying to help out local businesses that can\'t afford these high Imperial taxes. No, wait, don\'t report I said that! I\'ll raise my prices!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '197', 'm25f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '198', 'm25s', 'Our spies report that the merchant\'s prices are returning to acceptable ranges. All is well.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '199', 'm25p', 'Rules are made for a reason, and it\'s not for the purpose of breaking them. Obedience is expected.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '200', 'm25t', 'COMPNOR Pricing Guide');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy.stf', '201', 'number_of_entries', '25');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '1', 'm1d', 'We\'re providing our recruiters with a demo version of our TIE flight simulators, to help boost enlistment. Pick up and deliver the encrypted program. Tell the recruiter to limit the amount of time each visitor gets with the flight sim. We know those simulators can be addictive. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '2', 'm1l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '3', 'm1o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '4', 'm1f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '5', 'm1r', 'This will certainly boost enlistment. I love these flight sims.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '6', 'm1p', 'Our TIE flight training programs are a big draw for Imperial citizens.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '7', 'm1t', 'Help Imperial Recruitment');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '8', 'm1s', 'Well done. The Empire has compensated you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '9', 'm2d', 'We\'ve redesigned our scout trooper blaster pistol so that it can carry a larger energy cell and deliver a more powerful punch. Pick up the prototype and design specs, and deliver them to a garrison commander for field testing. This is an important military mission. Can we count on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '10', 'm2l', 'Trooper pistol');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '11', 'm2o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '12', 'm2f__', 'Filename_of_object');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '13', 'm2r', 'Amazing how the pistol retained its light weight even with the larger energy cell.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '14', 'm2p', 'This pistol is a true credit to the genius of the Imperial Army\'s weapon designers.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '15', 'm2t', 'Help Test Prototype Pistol');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '16', 'm2s', 'Good work, agent. We\'ll be keeping our eye on you. You show promise.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '17', 'm3d', 'We\'ve finally identified all the surviving Rebel pilots from the Battle of Yavin, including a Corellian smuggler and his Wookiee companion. Pick up their dossiers and take them to the local garrison commander. All stormtroopers will keep a sharp eye out for these enemies of the state.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '18', 'm3l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '19', 'm3o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '20', 'm3f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '21', 'm3r', 'Our troopers will arrest this Rebel scum in no time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '22', 'm3p', 'These terrorists are responsible for the deaths of thousands of loyal Imperial officers and troopers. We trust they will be arrested soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '23', 'm3t', 'Find the Traitors of Yavin');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '24', 'm3s', 'Fine work. Continue serving the Empire and you will continue to be rewarded.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '25', 'm4d', 'Imperial Intelligence suggests that recent potential recruits are actually undercover agents for the Rebellion. Pick up the list of names and take it to the garrison commander so these suspects can be arrested for questioning.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '26', 'm4l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '27', 'm4o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '28', 'm4f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '29', 'm4r', 'We do get our fair share of spies. Fortunately, we always root them out.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '30', 'm4p', 'Our recruiters must be especially vigilant. Rebel spies constantly try to infiltrate through their offices.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '31', 'm4t', 'Potential Recruits Are Often Spies');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '32', 'm4s', 'Your service to the Empire is noted, citizen. We hope it will continue.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '33', 'm5d', 'A design flaw in older helmet comlinks allows certain transceivers to pick up a trooper\'s transmissions. A modification to the comlink chip should take care of the problem. Pick up the adjustment instructions and deliver them to the local garrison commander. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '34', 'm5l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '35', 'm5o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '36', 'm5f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '37', 'm5r', 'You can never be too careful about who\'s listening in on what, eh?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '38', 'm5p', 'Here you are. The commander should also use this opportunity to do an inventory of his garrison.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '39', 'm5t', 'Fix Trooper Helmets');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '40', 'm5s', 'Fortunately, these older helmets are found mostly on small outposts. You\'ve been compensated for your efforts, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '41', 'm6d', 'Recent sabotage by Rebel data slicers has confused local garrisons. Pick up and deliver some encrypted orders to the local commander. Inform him that he will receive orders in this manner until Imperial Intelligence can once again secure the HoloNet.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '42', 'm6l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '43', 'm6o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '44', 'm6f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '45', 'm6r', 'Good. This should clarify things a bit. These Rebels are a definite thorn in our side.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '46', 'm6p', 'I\'ve always preferred hand-delivered orders. Nothing beats the extra security.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '47', 'm6t', 'Improved Imperial Security');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '48', 'm6s', 'Well done. I hope that this is just an example of what we can expect from you in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '49', 'm7d', 'We\'re receiving requests for additional conscripts from the Corporate Sector Authority. Our detention facilities are overflowing, so our solution is clear. Prisoners are to be transported immediately to the CSA\'s processing facilities. Pick up and deliver the instructions to the local warden.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '50', 'm7l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '51', 'm7o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '52', 'm7f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '53', 'm7r', 'I hope these quotas call for large numbers of prisoners, because we\'ve got them to spare.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '54', 'm7p', 'Building and maintaining the Imperial war machine takes many strong backs. Rebel backs will do nicely.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '55', 'm7t', 'Clear Out the Prisons');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '56', 'm7s', 'Efficient and prompt. Good. That is what the Empire expects from its loyal citizens.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '57', 'm8d', 'A recent list of suspects includes senatorial aides and family members. Local security forces have been reluctant to arrest them without word from Imperial High Command. Pick up the arrest warrants and take them to the garrison commander. They\'ve been issued by the Ubiqtorate itself.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '58', 'm8l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '59', 'm8o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '60', 'm8f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '61', 'm8r', 'You understand our caution, don\'t you? This will clear things up.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '62', 'm8p', 'The influence of many of the Old Republic\'s corrupt senators is difficult to dispel.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '63', 'm8t', 'Ubiqtorate Arrest Warrants');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '64', 'm8s', 'Well handled, citizen. Those arrest warrants will be served immediately.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '65', 'm9d', 'We\'ve fallen behind schedule due to prisoner riots. We need a boost to our labor force to keep up the Emperor\'s aggressive military buildup. Pick up the order for aid in worker recruitment and deliver it to the local government official.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '66', 'm9l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '67', 'm9o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '68', 'm9f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '69', 'm9r', 'I can think of a few layabouts who could be persuaded to serve the Engineer Corps. We\'ll get right on it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '70', 'm9p', 'Sometimes the Emperor asks the impossible. We need more workers!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '71', 'm9t', 'Recruit Military Workers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '72', 'm9s', 'You have done well. Continue to serve the Emperor faithfully.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '73', 'm10d', 'We\'ve just received an order from General Veers himself at Imperial High Command to train more AT-AT pilots. Pick up and deliver a set of transfers to the garrison commander. These candidates are to go immediately to Imperial training facilities.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '74', 'm10l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '75', 'm10o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '76', 'm10f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '77', 'm10r', 'Always wanted to pilot an AT-AT myself. I\'ll see to this at once.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '78', 'm10p', 'I understand that General Veers is serving directly under Lord Vader. A prestigious assignment indeed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '79', 'm10t', 'Recruit AT-AT Pilots');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '80', 'm10s', 'You\'ve done well, citizen. It is the Empire\'s hope that you will continue to serve faithfully.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '81', 'm11d', 'We intend to strike Mon Calamari\'s floating cities in retaliation for their aid to the Rebellion. Pick up High Command\'s orders and deliver them to the garrison commander. All shore leave is revoked. All troopers must report to duty at once.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '82', 'm11l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '83', 'm11o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '84', 'm11f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '85', 'm11r', 'Word will go out immediately. My men will report on time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '86', 'm11p', 'We waited too long to strike the Mon Calamari. This is long overdue.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '87', 'm11t', 'Strike the Mon Calamari');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '88', 'm11s', 'The Star Destroyer will depart soon. We will make the Mon Calamari pay for their crimes against the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '89', 'm12d', 'Admiral Ozzel has just informed us that we need to deliver 500 additional probe droids to the Star Destroyer Accuser. Collect the requisition order and deliver it to our depot officer. He\'ll see to it that those probe droids are loaded aboard a transport.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '90', 'm12l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '91', 'm12o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '92', 'm12f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '93', 'm12r', 'More probe droids? We can hardly keep them in stock. What, or who, are they looking for?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '94', 'm12p', 'Searching the Galaxy takes time and resources.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '95', 'm12t', 'Probe Droids Search the Galaxy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '96', 'm12s', 'You\'ve done well. The Empire is grateful for your assistance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '97', 'm13d', 'A former Senator continues to aid the Rebellion. Despite the dissolution of the Senate, this politician\'s influence limits our access to his holdings. Collect and deliver a termination order to our Intelligence contact. This mission is to be accomplished \"by any means necessary.\" ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '98', 'm13l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '99', 'm13o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '100', 'm13f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '101', 'm13r', 'Good. I\'ve been waiting for a chance to take out this Senator. I think I\'ll throw in his annoying family as a bonus.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '102', 'm13p', 'These do-gooders will learn that privileged positions can\'t protect them from the Emperor\'s wrath.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '103', 'm13t', 'Take Out a Senator');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '104', 'm13s', 'That was a delicate mission, handled discreetly and professionally. The Empire will not forget your efficiency.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '105', 'm14d', 'Insiders helped the Rebellion acquire secret Imperial plans resulting in the deaths of thousands of loyal soldiers. Pick up the dossiers on our prime suspects, and deliver them to an agent of the Bounty Hunters\' Guild. We order a deathmark on every suspect.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '106', 'm14l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '107', 'm14o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '108', 'm14f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '109', 'm14r', 'Business is good for our guild these days. The Battle of Yavin was the Empire\'s disgrace and our fortune.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '110', 'm14p', 'We do what we must to ensure the guilty will be brought to justice.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '111', 'm14t', 'Avenge the Death Star');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '112', 'm14s', 'That was handled well, citizen. The Empire will see to it that you are rewarded.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '113', 'm15d', 'We\'ve just captured several Rebels who were conducting sabotage missions in the Outer Rim. The Rebels\' resistance to convential interrogation have made drastic action necessary. Collect and deliver a message, for the eyes of an Inquisitor only. We need his skills in interrogation. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '114', 'm15l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '115', 'm15o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '116', 'm15f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '117', 'm15r', 'I leave at once. These Rebels will tell us everything.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '118', 'm15p', 'I can\'t wait to watch the Inquisitor at work. They say the sight is a thing of beauty.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '119', 'm15t', 'Summon the Inquisitor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '120', 'm15s', 'Well done. Your dedication to the Empire is admirable.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '121', 'm16d', 'Intercepted Rebel transmissions are too vital to send via the HoloNet. Collect a copy of these transmissions and deliver them to our Intelligence contact. Deciphering these transmissions will lead us to the Rebel\'s new base. The Empire is counting on you. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '122', 'm16l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '123', 'm16o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '124', 'm16f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '125', 'm16r', 'We\'ll get right on this. Those Rebels won\'t escape us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '126', 'm16p', 'Information is power, citizen. The Empire\'s information network is the best in the galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '127', 'm16t', 'Intercepted Rebel Transmissions');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '128', 'm16s', 'Prompt delivery and a minimum of fuss. That\'s the sort of action the Empire prizes. Well done.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '129', 'm17d', 'We must insure the Corporate Sector Authority is not secretly aiding the Rebel Alliance in exchange for payoffs. We have obtained the security codes to confidential CSA files. Collect them and give them to our covert operative. If he discovers wrongdoing, he is to take appropriate action.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '130', 'm17l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '131', 'm17o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '132', 'm17f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '133', 'm17r', 'Now we\'ll see which Viceprexes are smart and which are not.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '134', 'm17p', 'The CSA\'s loyalty will always be to money. The Empire should not be so lenient with them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '135', 'm17t', 'Investigate the CSA');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '136', 'm17s', 'Performed with great professionalism, citizen. The Empire is glad to pay your fee.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '137', 'm18d', 'We\'ve discovered a number of CSA Viceprexes who have been aiding Rebels in exchange for money. Collect and deliver termination orders to our operative as soon as possible. We\'ll make sure the CSA understands that the Empire does not treat such matters lightly.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '138', 'm18l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '139', 'm18o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '140', 'm18f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '141', 'm18r', 'What good is money if you\'re not around to spend it? Too bad these guys didn\'t learn that lesson.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '142', 'm18p', 'Money is a powerful motivator, but the threat of death is more powerful still.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '143', 'm18t', 'Bump Off Greedy Businessmen');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '144', 'm18s', 'Excellent work, citizen. The Empire will reward you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '145', 'm19d', 'Intelligence suspects that a new breed of Jedi has appeared and is aiding the Rebels. Collect Intelligence\'s report and deliver it to the Inquisitors. If the Jedi have returned, we must hunt and destroy them once and for all. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '146', 'm19l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '147', 'm19o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '148', 'm19f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '149', 'm19r', 'We will root out these Jedi. They will meet the same fate as their corrupt Old Republic predecessors.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '150', 'm19p', 'If this rumor is true, it would explain the Battle of Yavin.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '151', 'm19t', 'Inquisitors Must Hunt Jedi');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '152', 'm19s', 'As long as loyal citizens such as yourself continue to serve faithfully, the Empire will crush its enemies.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '153', 'm20d', 'We suspect the Mon Calamari are building a vast fleet to support the Rebellion. Collect and deliver Intelligence\'s instructions to our operative so that they can organize surveillance missions in preparation for Imperial strikes on Mon Calamari floating cities. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '154', 'm20l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '155', 'm20o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '156', 'm20f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '157', 'm20r', 'This will be an excellent example of Imperial justice, second only to Alderaan.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '158', 'm20p', 'Aiding the Rebellion invokes genocide. All species must support the New Order.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '159', 'm20t', 'Punish the Mon Calamari');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '160', 'm20s', 'The Empire is pleased with your performance, agent. The Mon Calamari will pay for the thousands of Imperial lives lost at Yavin with millions of their own.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '161', 'm21d', 'A Rebel cell has been identified on a remote planet in the Outer Rim. Pick up the report and deliver it to our Imperial Naval contact. This cell must be wiped out immediately. Take no prisoners.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '162', 'm21l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '163', 'm21o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '164', 'm21f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '165', 'm21r', 'I think one Star Destroyer with a full complement of stormtroopers ought to suffice.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '166', 'm21p', 'This assignment requires an Imperial naval captain who is not squeamish.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '167', 'm21t', 'Destroy a Rebel Colony');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '168', 'm21s', 'Your service helps the Imperial war machine run smoothly. You deserve to be rewarded.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '169', 'm22d', 'We\'ve been instructed to locate some sort of rare crystal on Mimban. Collect and deliver Intelligence\'s instructions to our local agent. He should contact Captain-Supervisor Grammel to secure his help. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '170', 'm22l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '171', 'm22o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '172', 'm22f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '173', 'm22r', 'Mimban? Isn\'t that a small mining colony? I will follow these instructions to the letter.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '174', 'm22p', 'We never question the Emperor\'s instructions, citizen. Never.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '175', 'm22t', 'Find the Mimban Crystal');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '176', 'm22s', 'We must pursue all leads that might result in the destruction of the Rebellion. Your efforts are noted, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '177', 'm23d', 'A seller of antiques claims to possess rare Sith artifacts. The Emperor himself has commanded that this individual be arrested and these artifacts confiscated, if they exist. Collect and deliver the warrant to our operative.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '178', 'm23l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '179', 'm23o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '180', 'm23f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '181', 'm23r', 'I was wondering when we\'d get around to bringing in this dealer. It\'s as good as done.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '182', 'm23p', 'I don\'t understand the fascination that old religion holds for Imperial citizens. Superstition, I suppose.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '183', 'm23t', 'Retrieve Sith Artifacts');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '184', 'm23s', 'Job well done, agent. The Emperor will be informed of your assistance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '185', 'm24d', 'An influential Imperial dignitary has been proven a traitor. He must be removed quietly, in order to avoid alerting his allies. Collect a Scarab assassin droid and deliver it to our agent. We\'ve made sure the droid will be traced back to Rebel operatives. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '186', 'm24l', 'Small assassin droid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '187', 'm24o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '188', 'm24f', 'Filename_of_object');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '189', 'm24r', 'You sure I won\'t be implicated in this? This guy\'s got a lot of friends on Coruscant.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '190', 'm24p', 'A fitting end for such a vile traitor, wouldn\'t you agree?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '191', 'm24t', 'Scarab Assassin Droid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '192', 'm24s', 'Well done, agent. Your service to the Empire has been noted, and your future looks rosy indeed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '193', 'm25d', 'The Emperor wants to know how a Jedi Knight, especially one as dangerous as Obi-Wan Kenobi, could have hidden for so long. Our agent is to turn Tatooine inside out in an effort to answer this question. The Emperor\'s instructions are on an encrypted datadisc that you must collect and deliver. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '194', 'm25l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '195', 'm25o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '196', 'm25f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '197', 'm25r', 'I\'m sure the Hutts helped hide this fugitive. Those creatures will do anything for money.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '198', 'm25p', 'I certainly hope there aren\'t any more Jedi secretly aiding the Rebellion. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '199', 'm25t', 'Investigate Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '200', 'm25s', 'Trusted agents are hard to find. The Empire wants to insure your continued allegiance by demonstrating how lucrative it can be to serve the Emperor.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_easy_non_persistent_from_npc.stf', '201', 'number_of_entries', '25');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '1', 'm1d', 'An Internal Affairs agent is investigating a so-called \"officer\" of the ISB. We suspect this individual is actually a double agent helping the Rebels. Deliver this warrant to our agent. It will tell him how to proceed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '2', 'm1l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '3', 'm1o', 'Imperial Security Bureau');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '4', 'm1r', 'If this is what I think it is, I can finally put a stop to this officer\'s activities. Forever.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '5', 'm1f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '6', 'm1s', 'Well done. That traitorous officer will soon learn the price for betraying the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '7', 'm1p', 'When it comes to the security of the Empire, no one is above suspicion of traitorous activities.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '8', 'm1t', 'ISB Double Agent Termination');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '9', 'm2d', 'Our  Internal Organization Bureau discovered one of our agents selling information to the Rebellion. The traitor fled to the Outer Rim. Deliver this open bounty to our contact within the Bounty Hunters\' Guild.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '10', 'm2l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '11', 'm2o', 'Imperial Intelligence');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '12', 'm2r', 'I\'ll make sure this gets transmitted to our entire organization. You\'ll have your target soon enough.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '13', 'm2f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '14', 'm2s', 'With this open bounty on the traitor\'s head, we\'re confident that he\'ll soon be back in our hands. We intend to discover the full extent of his crime.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '15', 'm2p', 'It is supreme folly to betray the Empire -- doubly so within the ranks of Imperial Intelligence!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '16', 'm2t', 'Imperial Intelligence Deathmark');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '17', 'm3d', 'A former Senator continues to aid the Rebellion. Despite the dissolution of the Senate, this politician\'s influence limits our access to his holdings. Collect and deliver a termination order to our Intelligence contact. This mission is to be accomplished \"by any means necessary.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '18', 'm3l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '19', 'm3o', 'Imperial Intelligence: Bureau of Operations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '20', 'm3r', 'Good. I\'ve been waiting for a chance to take out this Senator. I think I\'ll throw in his annoying family as a bonus.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '21', 'm3f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '22', 'm3s', 'That was a delicate mission, handled discreetly and professionally. The Empire will not forget your efficiency.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '23', 'm3p', 'These privileged politicians will learn that their position can\'t protect them from the Empire\'s wrath.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '24', 'm3t', 'Senatorial Assassination');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '25', 'm4d', 'Insiders helped the Rebellion acquire secret Imperial plans resulting in the deaths of thousands of loyal soldiers. Pick up the dossiers on our prime suspects, and deliver them to an agent of the Bounty Hunters\' Guild. We order a deathmark on every suspect.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '26', 'm4l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '27', 'm4o', 'Imperial Security Bureau');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '28', 'm4r', 'Business is good for our guild these days. The Battle of Yavin was the Empire\'s disgrace and our fortune.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '29', 'm4f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '30', 'm4s', 'If these traitors are lucky, they\'ll be killed by the bounty hunters. The others will end up in our hands.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '31', 'm4p', 'We do what we must to ensure the guilty will be brought to justice.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '32', 'm4t', 'Death Star Traitor List');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '33', 'm5d', 'We\'ve just captured several Rebels who were conducting sabotage missions in the Outer Rim. The Rebels\' resistance to convential interrogation have made drastic action necessary. Collect and deliver a message, for the eyes of an Inquisitor only. We need his skills in interrogation. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '34', 'm5l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '35', 'm5o', 'Imperial Intelligence');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '36', 'm5r', 'I leave at once. These Rebels will tell us everything.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '37', 'm5f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '38', 'm5s', 'Well done. Your dedication to the Empire is admirable.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '39', 'm5p', 'I can\'t wait to watch the Inquisitor at work. They say the sight is a thing of beauty.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '40', 'm5t', 'Request for Inquisitor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '41', 'm6d', 'Intercepted Rebel transmissions are too vital to send via the HoloNet. Collect a copy of these transmissions and deliver them to our Intelligence contact. Deciphering these transmissions will lead us to the Rebel\'s new base. The Empire is counting on you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '42', 'm6l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '43', 'm6o', 'Imperial Intelligence: Analysis Bureau');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '44', 'm6r', 'We\'ll get right on this task. Those Rebels won\'t escape us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '45', 'm6f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '46', 'm6s', 'Prompt delivery and a minimum of fuss. That\'s the sort of action the Empire prizes. Well done.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '47', 'm6p', 'Information is power, citizen. The Empire\'s information network is the best in the galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '48', 'm6t', 'Deliver intercepted transmissions');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '49', 'm7d', 'Since the interception of secret Imperial transmissions, an act that cost the Empire dearly, we hand-deliver vital communiques on encrypted datadiscs. These discs destroy themselves if a proper code is not entered upon reading. Deliver this datadisc to one of our field operatives. It gives special instructions regarding a suspected Rebel safehouse.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '50', 'm7l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '51', 'm7o', 'Imperial Intelligence');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '52', 'm7r', 'The more of these safehouses we destroy, the less effective the Rebellion will be.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '53', 'm7f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '54', 'm7s', 'Excellent work. We trust you did not try to read the disc. Its self-destruction frequently damages the reading device as well.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '55', 'm7p', 'These discs will prevent another Yavin 4 disaster. The Rebellion will soon be crushed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '56', 'm7t', 'Encoded Safehouse Instructions');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '57', 'm8d', 'We must insure the Corporate Sector Authority is not secretly aiding the Rebel Alliance in exchange for payoffs. We have obtained the security codes to confidential CSA files. Collect them and give them to our covert operative. If he discovers wrongdoing, he is to take appropriate action.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '58', 'm8l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '59', 'm8o', 'Imperial Intelligence: Bureau of Operations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '60', 'm8r', 'Now we\'ll see which Viceprexes are smart and which are not.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '61', 'm8f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '62', 'm8s', 'Performed with great professionalism, citizen. The Empire is glad to pay your fee.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '63', 'm8p', 'The CSA\'s loyalty will always be to money. The Empire should not be so lenient with them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '64', 'm8t', 'Deliver security codes');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '65', 'm9d', 'We\'ve discovered a number of CSA Viceprexes who have been aiding Rebels in exchange for money. Collect and deliver termination orders to our operative as soon as possible. We\'ll make sure the CSA understands that the Empire does not treat such matters lightly.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '66', 'm9l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '67', 'm9o', 'Imperial Intelligence Operations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '68', 'm9r', 'What is good is money if you\'re not around to spend it? Too bad these guys didn\'t learn that lesson.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '69', 'm9f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '70', 'm9s', 'Excellent work, citizen. The Empire will reward you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '71', 'm9p', 'Money is a powerful motivator, but the risk of death is more powerful still.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '72', 'm9t', 'Viceprex Termination Orders');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '73', 'm10d', 'Intelligence suspects that a new breed of Jedi has appeared and is aiding the Rebels. Collect Intelligence\'s report and deliver it to the Inquisitors. If the Jedi have returned, we must hunt and destroy them once and for all.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '74', 'm10l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '75', 'm10o', 'Imperial Intelligence');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '76', 'm10r', 'We will root out these Jedi. They will meet the same fate as their corrupt Old Republic predecessors.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '77', 'm10f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '78', 'm10s', 'As long as loyal citizens such as yourself continue to serve faithfully, the Empire will crush its enemies.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '79', 'm10p', 'If this rumor is true, it would explain the Battle of Yavin.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '80', 'm10t', 'Jedi Intelligence for Inquisitors');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '81', 'm11d', 'We suspect the Mon Calamari are building a vast fleet to support the Rebellion. Collect and deliver Intelligence\'s instructions to our operative so that they can organize surveillance missions in preparation for Imperial strikes on Mon Calamari floating cities.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '82', 'm11l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '83', 'm11o', 'Imperial Intelligence Operations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '84', 'm11r', 'Not since Alderaan has there been such an excellent example of Imperial justice.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '85', 'm11f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '86', 'm11s', 'The Empire is pleased with your performance, agent. The Mon Calamari will pay for the thousands of Imperial lives lost at Yavin with millions of their own.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '87', 'm11p', 'Aiding the Rebellion invokes genocide. All species must support the New Order.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '88', 'm11t', 'Mon Calamari Attack Orders');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '89', 'm12d', 'A Rebel cell has been identified on a remote planet in the Outer Rim. Pick up the report and deliver it to our Imperial Naval contact. This cell must be wiped out immediately. Take no prisoners.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '90', 'm12l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '91', 'm12o', 'Imperial Intelligence Operations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '92', 'm12r', 'I think one Star Destroyer with a full complement of stormtroopers ought to suffice for this mission.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '93', 'm12f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '94', 'm12s', 'Your service helps the Imperial war machine run smoothly. You deserve to be rewarded.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '95', 'm12p', 'This assignment requires an Imperial naval captain who is not squeamish.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '96', 'm12t', 'Outer Rim Rebel Cell Must Fall');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '97', 'm13d', 'Certain demonstrations in the Core Worlds protest the Imperial war machine. Deliver this airborne virus to our field agent, and instruct him to attend protests of this sort. The rest should be obvious. Tell the agent to take extreme precautions, as there is no cure for this engineered virus.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '98', 'm13l', 'Sealed container');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '99', 'm13o', 'Imperial Intelligence Operations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '100', 'm13r', 'This should discourage many would-be protestors.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '101', 'm13f', 'filename_of_object');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '102', 'm13s', 'You did not have contact with the virus yourself, did you? We would hate to lose a promising agent.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '103', 'm13p', 'Make sure the seal on this container does not break!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '104', 'm13t', 'Engineered Airborne Virus');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '105', 'm14d', 'Our office has been instructed to collect data on the name \"Skywalker.\" Of particular importance is the planet Tatooine. Send these instructions to our agent. He is not to contact us via the HoloNet; only hand-delivered communiques via courier are acceptable. Under no circumstances is Lord Vader to be informed of this mission.  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '106', 'm14l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '107', 'm14o', 'Imperial Intelligence Operations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '108', 'm14r', 'Wasn\'t Skywalker a Jedi killed during the Clone Wars?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '109', 'm14f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '110', 'm14s', 'You have performed admirably. However, for security purposes it is vital that you now forget ever having been involved. Should news of this assignment leak out, it will go badly for you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '111', 'm14p', 'It is our understanding that the Emperor has taken a personal interest in this matter. Don\'t fail him.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '112', 'm14t', '\"Skywalker\" Research Instructions');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '113', 'm15d', 'We\'ve been instructed to locate some sort of rare crystal on Mimban. Collect and deliver Intelligence\'s instructions to our local agent. He should contact Captain-Supervisor Grammel to secure his help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '114', 'm15l', 'Deliver instructions to agent');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '115', 'm15o', 'Imperial Intelligence');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '116', 'm15r', 'Mimban? Isn\'t that some insignificant mining colony? Well, orders are orders.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '117', 'm15f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '118', 'm15s', 'We must pursue all leads that might result in the destruction of the Rebellion. Your efforts are noted, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '119', 'm15p', 'We never question the Emperor\'s instructions. Never.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '120', 'm15t', 'Mimban Crystal Instructions');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '121', 'm16d', 'The Kessel prison camp may have processed certain individuals believed intrumental in the destruction of the Death Star: a Corellian smuggler, his Wookiee companion, and a young pilot from somewhere in the Outer Rim Territories. This datadisc contains complete dossiers on all three, along with travel instructions to Kessel. Deliver the disc to our agent promptly.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '122', 'm16l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '123', 'm16o', 'Imperial Intelligence');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '124', 'm16r', 'Kessel, huh? And a Jedi? This job just gets better and better.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '125', 'm16f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '126', 'm16s', 'The Empire appreciates your role in hunting the Rebels responsible for the Death Star\'s destruction.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '127', 'm16p', 'According to the dossier, the young pilot may possess Jedi abilities. Advise our agent to use caution.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '128', 'm16t', 'Yavin 4 Traitor Dossiers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '129', 'm17d', 'A seller of antiques claims to possess rare Sith artifacts. The Emperor himself has commanded that this individual be arrested and these artifacts confiscated, if they exist. Collect and deliver the warrant to our operative.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '130', 'm17l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '131', 'm17o', 'Imperial Intelligence Operations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '132', 'm17r', 'I was wondering when we\'d get around to bringing in this dealer. It\'s as good as done.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '133', 'm17f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '134', 'm17s', 'Job well done, agent. The Emperor will be informed of your assistance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '135', 'm17p', 'I don\'t understand the fascination that old religion holds for Imperial citizens. Superstition, I suppose.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '136', 'm17t', 'Sith Artifact Dealer Warrant');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '137', 'm18d', 'We have issued new instructions to one of our informants. Deliver this holoprojector to him. Instruct him to read, in private, the personal message from the Ubiqtorate contained within. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '138', 'm18l', 'Small holoprojector');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '139', 'm18o', 'Imperial Intelligence');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '140', 'm18r', 'New instructions? Very well, I shall hurry home and read them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '141', 'm18f', 'filename_of_object');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '142', 'm18s', 'That informant accepted bribes to ignore Rebel activity. This is unacceptable. When the agent activates the holoprojector, he will trigger a small thermal detonator. This will send an appropriate message to our other informants.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '143', 'm18p', 'Loyal citizens can have only one master, and he is the Emperor. What? You don\'t understand? You will.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '144', 'm18t', 'Informant\'s Holoprojector');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '145', 'm19d', 'An influential Imperial dignitary has been proven a traitor. He must be removed quietly, in order to avoid alerting his allies. Collect a Scarab assassin droid and deliver it to our agent. We\'ve made sure the droid will be traced back to Rebel operatives.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '146', 'm19l', 'Small assassin droid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '147', 'm19o', 'Imperial Intelligence: Bureau of Operations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '148', 'm19r', 'You sure I won\'t be implicated in this? This guy\'s got a lot of friends on Coruscant.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '149', 'm19f', 'filename_of_object');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '150', 'm19s', 'Well done, agent. Your service to the Empire has been noted, and your future looks rosy indeed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '151', 'm19p', 'A fitting end for this dignitary, wouldn\'t you agree?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '152', 'm19t', 'Deliver assassin droid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '153', 'm20d', 'A highly placed aide to the Emperor himself has been implicated in a treasonous scandal. We suspect the charge to be false, a Rebel stratagem. However, for the sake of prudence we are arresting the aide\'s family members, to discourage him from attempting flight. His daughter is visiting this world. Pick up and take the arrest warrant to the garrison commander. They\'ve been issued by the Ubiqtorate itself.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '154', 'm20l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '155', 'm20o', 'Imperial Intelligence');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '156', 'm20r', 'That aide\'s daughter is as good as arrested. Long live the Emperor!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '157', 'm20f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '158', 'm20s', 'No doubt the aide\'s reputation will be cleared soon. Were the charge of treason authentic, the Emperor would have easily rooted out a traitor so close to him. Our Emperor excels at detecting treachery.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '159', 'm20p', 'The aide\'s daughter is here on a fact-finding mission for the Empire. At least, that is her claim. We shall see.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '160', 'm20t', 'Warrant for Imperial Aide\'s Daughter');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '161', 'm21d', 'The Emperor wants to know how a Jedi Knight, especially one as dangerous as Obi-Wan Kenobi, could have hidden for so long. Our agent is to turn Tatooine inside out in an effort to answer this question. The Emperor\'s instructions are on an encrypted datadisc that you must collect and deliver.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '162', 'm21l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '163', 'm21o', 'Imperial Intelligence Operations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '164', 'm21r', 'I\'m sure the Hutts helped hide this fugitive. Those creatures will do anything for money.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '165', 'm21f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '166', 'm21s', 'Trusted agents are hard to find. The Empire wants to insure your continued allegiance by demonstrating how lucrative it can be to serve the Emperor.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '167', 'm21p', 'I certainly hope there aren\'t any more Jedi secretly aiding the Rebellion. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '168', 'm21t', 'Turn Tatooine Inside Out');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '169', 'm22d', 'Lord Vader orders that any information regarding the name \"Skywalker\" is to be transmitted to him immediately. These orders appear to conflict with earlier instructions from the Emperor himself. A recent communique will make matters clear. Deliver it to our surveillance officer.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '170', 'm22l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '171', 'm22o', 'Imperial Intelligence Operations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '172', 'm22r', 'I\'ll follow these instructions to the letter.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '173', 'm22f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '174', 'm22s', 'In all likelihood the term \"Skywalker\" means nothing important, so this situation may be resolved without undue tension.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '175', 'm22p', 'I fear for any agent who gets caught between Lord Vader and the Emperor. We must resolve this situation.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '176', 'm22t', 'The Emperor vs. Lord Vader?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '177', 'm23d', 'Our spy inside crimelord Jabba the Hutt\'s palace has been discovered and fed to Lord Jabba\'s pet rancor. Deliver these reassignment orders to the agent we\'ve selected to replace him. Inform the agent that speed is of the essence, regardless of the danger posed. When he has successfully infiltrated Jabba\'s palace, he is to contact us by courier only.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '178', 'm23l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '179', 'm23o', 'Imperial Intelligence Operations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '180', 'm23r', 'Imperial Intelligence isn\'t very intelligent if it thinks an Imperial agent can survive that deathtrap.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '181', 'm23f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '182', 'm23s', 'It appears the agent is showing unusual reluctance to enter Jabba\'s palace. In fact, he has disappeared. We will investigate further.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '183', 'm23p', 'If only all our agents were as efficient as you and the one chosen for this task.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '184', 'm23t', 'Reassignment: Jabba\'s Palace');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '185', 'm24d', 'Recently we ordered an agent to infiltrate crimelord Jabba the Hutt\'s palace. The agent went AWOL. Deliver this termination order to one of our assassins and tell him to take care of this renegade agent as quickly and quietly as possible. We have reasons to believe he is seeking to join the Hutt syndicate.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '186', 'm24l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '187', 'm24o', 'Imperial Intelligence: Bureau of Operations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '188', 'm24r', 'It\'s better to die a loyal servant of the Empire than live as a traitor. I wish all agents realized that.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '189', 'm24f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '190', 'm24s', 'The Hutts recruit small numbers of Imperial renegades each year, hoping to line up new sources of contraband weaponry. We always find and destroy the traitors.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '191', 'm24p', 'This agent could cause us great harm if he turns criminal.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '192', 'm24t', 'Terminate Renegade Agent');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '193', 'm25d', 'We intercepted part of a Rebel transmission that mentioned something called a \"tauntaun.\" Records show that this is a species of animal, but here it appears to be a code term. We have reasons to believe it is an important link to locating a major Rebel cell. We\'ve included all we know about it on an encrypted datadisc. Deliver it to our operative with instructions to gather more information.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '194', 'm25l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '195', 'm25o', 'Imperial Intelligence Analysis Bureau');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '196', 'm25r', 'Isn\'t \"tauntaun\" a code name Corellian smugglers use for high grade glitterstim spice? I\'ll look into that.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '197', 'm25f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '198', 'm25s', 'With luck, if our operative\'s suspicions are correct, we may uncover a Rebel drug-smuggling operation. Your part in this effort will not go unnoticed, agent.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '199', 'm25p', 'Every lead we get must be investigated, no matter how trivial it might appear.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '200', 'm25t', '\"Tauntaun\" Data Needed');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard.stf', '201', 'number_of_entries', '25');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '1', 'm1d', 'We\'re providing our recruiters with a demo version of our TIE flight simulators, to help boost enlistment. Pick up and deliver the encrypted program. Tell the recruiter to limit the amount of time each visitor gets with the flight sim. We know those simulators can be addictive. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '2', 'm1l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '3', 'm1o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '4', 'm1f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '5', 'm1r', 'This will certainly boost enlistment. I love these flight sims.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '6', 'm1p', 'Our TIE flight training programs are a big draw for Imperial citizens.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '7', 'm1t', 'Help Imperial Recruitment');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '8', 'm1s', 'Well done. The Empire has compensated you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '9', 'm2d', 'We\'ve redesigned our scout trooper blaster pistol so that it can carry a larger energy cell and deliver a more powerful punch. Pick up the prototype and design specs, and deliver them to a garrison commander for field testing. This is an important military mission. Can we count on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '10', 'm2l', 'Trooper pistol');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '11', 'm2o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '12', 'm2f__', 'Filename_of_object');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '13', 'm2r', 'Amazing how the pistol retained its light weight even with the larger energy cell.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '14', 'm2p', 'This pistol is a true credit to the genius of the Imperial Army\'s weapon designers.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '15', 'm2t', 'Help Test Prototype Pistol');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '16', 'm2s', 'Good work, agent. We\'ll be keeping our eye on you. You show promise.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '17', 'm3d', 'We\'ve finally identified all the surviving Rebel pilots from the Battle of Yavin, including a Corellian smuggler and his Wookiee companion. Pick up their dossiers and take them to the local garrison commander. All stormtroopers will keep a sharp eye out for these enemies of the state.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '18', 'm3l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '19', 'm3o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '20', 'm3f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '21', 'm3r', 'Our troopers will arrest this Rebel scum in no time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '22', 'm3p', 'These terrorists are responsible for the deaths of thousands of loyal Imperial officers and troopers. We trust they will be arrested soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '23', 'm3t', 'Find the Traitors of Yavin');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '24', 'm3s', 'Fine work. Continue serving the Empire and you will continue to be rewarded.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '25', 'm4d', 'Imperial Intelligence suggests that recent potential recruits are actually undercover agents for the Rebellion. Pick up the list of names and take it to the garrison commander so these suspects can be arrested for questioning.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '26', 'm4l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '27', 'm4o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '28', 'm4f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '29', 'm4r', 'We do get our fair share of spies. Fortunately, we always root them out.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '30', 'm4p', 'Our recruiters must be especially vigilant. Rebel spies constantly try to infiltrate through their offices.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '31', 'm4t', 'Potential Recruits Are Often Spies');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '32', 'm4s', 'Your service to the Empire is noted, citizen. We hope it will continue.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '33', 'm5d', 'A design flaw in older helmet comlinks allows certain transceivers to pick up a trooper\'s transmissions. A modification to the comlink chip should take care of the problem. Fortunately, these older helmets are found mostly on small outposts. Pick up the adjustment instructions and deliver them to the local garrison commander. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '34', 'm5l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '35', 'm5o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '36', 'm5f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '37', 'm5r', 'You can never be too careful about who\'s listening in on what, eh?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '38', 'm5p', 'Here you are. The commander should also use this opportunity to do an inventory of his garrison.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '39', 'm5t', 'Fix Trooper Helmets');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '40', 'm5s', 'Well done, citizen. You\'ve been compensated for your efforts.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '41', 'm6d', 'Recent sabotage by Rebel data slicers has confused local garrisons. Pick up and deliver some encrypted orders to the local commander. Inform him that he will receive orders in this manner until Imperial Intelligence can once again secure the HoloNet.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '42', 'm6l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '43', 'm6o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '44', 'm6f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '45', 'm6r', 'Good. This should clarify things a bit. These Rebels are a definite thorn in our side.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '46', 'm6p', 'I\'ve always preferred hand-delivered orders. Nothing beats the extra security.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '47', 'm6t', 'Improved Imperial Security');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '48', 'm6s', 'Well done. I hope that this is just an example of what we can expect from you in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '49', 'm7d', 'We\'re receiving requests for additional conscripts from the Corporate Sector Authority. Our detention facilities are overflowing, so our solution is clear. Prisoners are to be transported immediately to the CSA\'s processing facilities. Pick up and deliver the instructions to the local warden.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '50', 'm7l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '51', 'm7o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '52', 'm7f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '53', 'm7r', 'I hope these quotas call for large numbers of prisoners, because we\'ve got them to spare.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '54', 'm7p', 'Building and maintaining the Imperial war machine takes many strong backs. Rebel backs will do nicely.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '55', 'm7t', 'Clear Out the Prisons');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '56', 'm7s', 'Efficient and prompt. Good. That is what the Empire expects from its loyal citizens.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '57', 'm8d', 'A recent list of suspects includes senatorial aides and family members. Local security forces have been reluctant to arrest them without word from Imperial High Command. Pick up and take the arrest warrants to the garrison commander. They\'ve been issued by the Ubiqtorate itself.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '58', 'm8l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '59', 'm8o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '60', 'm8f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '61', 'm8r', 'You understand our caution, don\'t you? This will clear things up.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '62', 'm8p', 'The influence of many of the Old Republic\'s corrupt senators is difficult to dispel.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '63', 'm8t', 'Ubiqtorate Arrest Warrants');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '64', 'm8s', 'Well handled, citizen. Those arrest warrants will be served immediately.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '65', 'm9d', 'We\'ve fallen behind schedule due to prisoner riots.We need a boost to our labor force to keep up the Emperor\'s aggressive military buildup. Pick up and deliver an order to the local government official for aid in worker recruitment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '66', 'm9l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '67', 'm9o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '68', 'm9f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '69', 'm9r', 'I can think of a few layabouts who could be persuaded to serve the Engineer Corps. We\'ll get right on it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '70', 'm9p', 'Sometimes the Emperor asks the impossible. We need more workers!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '71', 'm9t', 'Recruit Military Workers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '72', 'm9s', 'You have done well. Continue to serve the Emperor faithfully.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '73', 'm10d', 'We\'ve just received an order from General Veers himself at Imperial High Command to train more AT-AT pilots. Pick up and deliver a set of transfers to the garrison commander. These candidates are to go immediately to Imperial training facilities.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '74', 'm10l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '75', 'm10o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '76', 'm10f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '77', 'm10r', 'Always wanted to pilot an AT-AT myself. I\'ll see to this at once.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '78', 'm10p', 'I understand that General Veers is serving directly under Lord Vader. A prestigious assignment indeed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '79', 'm10t', 'Recruit AT-AT Pilots');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '80', 'm10s', 'You\'ve done well, citizen. It is the Empire\'s hope that you will continue to serve faithfully.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '81', 'm11d', 'We intend to strike Mon Calamari\'s floating cities in retaliation for their aid to the Rebellion. Pick up and deliver High Command\'s orders to the garrison commander. All shore leave is revoked. All troopers must report to duty at once.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '82', 'm11l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '83', 'm11o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '84', 'm11f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '85', 'm11r', 'Word will go out immediately. My men will report on time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '86', 'm11p', 'We waited too long to strike the Mon Calamari. This is long overdue.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '87', 'm11t', 'Strike the Mon Calamari');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '88', 'm11s', 'The Star Destroyer will depart soon. We will make the Mon Calamari pay for their crimes against the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '89', 'm12d', 'Admiral Ozzel has just informed us that we need to deliver 500 additional probe droids to the Star Destroyer Accuser. Collect and deliver the requisition order to our depot officer. He\'ll see to it that those probe droids are loaded aboard a transport.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '90', 'm12l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '91', 'm12o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '92', 'm12f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '93', 'm12r', 'More probe droids? We can hardly keep them in stock. What, or who, are they looking for?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '94', 'm12p', 'Searching the Galaxy takes time and resources.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '95', 'm12t', 'Probe Droids Search the Galaxy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '96', 'm12s', 'You\'ve done well. The Empire is grateful for your assistance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '97', 'm13d', 'A former Senator continues to aid the Rebellion. Despite the dissolution of the Senate, this politician\'s influence limits our access to his holdings. Collect and deliver a termination order to our Intelligence contact. This mission is to be accomplished \"by any means necessary.\" ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '98', 'm13l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '99', 'm13o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '100', 'm13f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '101', 'm13r', 'Good. I\'ve been waiting for a chance to take out this Senator. I think I\'ll throw in his annoying family as a bonus.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '102', 'm13p', 'These do-gooders will learn that privileged positions can\'t protect them from the Emperor\'s wrath.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '103', 'm13t', 'Take Out a Senator');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '104', 'm13s', 'That was a delicate mission, handled discreetly and professionally. The Empire will not forget your efficiency.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '105', 'm14d', 'Insiders helped the Rebellion acquire secret Imperial plans resulting in the deaths of thousands of loyal soldiers. Pick up the dossiers on our prime suspects, and deliver them to an agent of the Bounty Hunters\' Guild. We order a deathmark on every suspect.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '106', 'm14l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '107', 'm14o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '108', 'm14f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '109', 'm14r', 'Business is good for our guild these days. The Battle of Yavin was the Empire\'s disgrace and our fortune.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '110', 'm14p', 'We do what we must to ensure the guilty will be brought to justice.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '111', 'm14t', 'Avenge the Death Star');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '112', 'm14s', 'That was handled well, citizen. The Empire will see to it that you are rewarded.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '113', 'm15d', 'We\'ve just captured several Rebels who were conducting sabotage missions in the Outer Rim. The Rebels\' resistance to convential interrogation have made drastic action necessary. Collect and deliver a message, for the eyes of an Inquisitor only. We need his skills in interrogation. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '114', 'm15l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '115', 'm15o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '116', 'm15f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '117', 'm15r', 'I leave at once. These Rebels will tell us everything.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '118', 'm15p', 'I can\'t wait to watch the Inquisitor at work. They say the sight is a thing of beauty.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '119', 'm15t', 'Summon the Inquisitor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '120', 'm15s', 'Well done. Your dedication to the Empire is admirable.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '121', 'm16d', 'Intercepted Rebel transmissions are too vital to send via the HoloNet. Collect a copy of these transmissions and deliver them to our Intelligence contact. Deciphering these transmissions will lead us to the Rebel\'s new base. The Empire is counting on you. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '122', 'm16l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '123', 'm16o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '124', 'm16f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '125', 'm16r', 'We\'ll get right on this. Those Rebels won\'t escape us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '126', 'm16p', 'Information is power, citizen. The Empire\'s information network is the best in the galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '127', 'm16t', 'Intercepted Rebel Transmissions');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '128', 'm16s', 'Prompt delivery and a minimum of fuss. That\'s the sort of action the Empire prizes. Well done.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '129', 'm17d', 'We must insure the Corporate Sector Authority is not secretly aiding the Rebel Alliance in exchange for payoffs. We have obtained the security codes to confidential CSA files. Collect them and give them to our covert operative. If he discovers wrongdoing, he is to take appropriate action.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '130', 'm17l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '131', 'm17o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '132', 'm17f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '133', 'm17r', 'Now we\'ll see which Viceprexes are smart and which are not.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '134', 'm17p', 'The CSA\'s loyalty will always be to money. The Empire should not be so lenient with them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '135', 'm17t', 'Investigate the CSA');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '136', 'm17s', 'Performed with great professionalism, citizen. The Empire is glad to pay your fee.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '137', 'm18d', 'We\'ve discovered a number of CSA Viceprexes who have been aiding Rebels in exchange for money. Collect and deliver termination orders to our operative as soon as possible. We\'ll make sure the CSA understands that the Empire does not treat such matters lightly.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '138', 'm18l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '139', 'm18o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '140', 'm18f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '141', 'm18r', 'What good is money if you\'re not around to spend it? Too bad these guys didn\'t learn that lesson.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '142', 'm18p', 'Money is a powerful motivator, but the threat of death is more powerful still.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '143', 'm18t', 'Bump Off Greedy Businessmen');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '144', 'm18s', 'Excellent work, citizen. The Empire will reward you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '145', 'm19d', 'Intelligence suspects that a new breed of Jedi has appeared and is aiding the Rebels. Collect Intelligence\'s report and deliver it to the Inquisitors. If the Jedi have returned, we must hunt and destroy them once and for all. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '146', 'm19l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '147', 'm19o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '148', 'm19f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '149', 'm19r', 'We will root out these Jedi. They will meet the same fate as their corrupt Old Republic predecessors.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '150', 'm19p', 'If this rumor is true, it would explain the Battle of Yavin.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '151', 'm19t', 'Inquisitors Must Hunt Jedi');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '152', 'm19s', 'As long as loyal citizens such as yourself continue to serve faithfully, the Empire will crush its enemies.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '153', 'm20d', 'We suspect the Mon Calamari are building a vast fleet to support the Rebellion. Collect and deliver Intelligence\'s instructions to our operative so that they can organize surveillance missions in preparation for Imperial strikes on Mon Calamari floating cities. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '154', 'm20l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '155', 'm20o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '156', 'm20f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '157', 'm20r', 'This will be an excellent example of Imperial justice, second only to Alderaan.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '158', 'm20p', 'Aiding the Rebellion invokes genocide. All species must support the New Order.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '159', 'm20t', 'Punish the Mon Calamari');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '160', 'm20s', 'The Empire is pleased with your performance, agent. The Mon Calamari will pay for the thousands of Imperial lives lost at Yavin with millions of their own.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '161', 'm21d', 'A Rebel cell has been identified on a remote planet in the Outer Rim. Pick up the report and deliver it to our Imperial Naval contact. This cell must be wiped out immediately. Take no prisoners.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '162', 'm21l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '163', 'm21o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '164', 'm21f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '165', 'm21r', 'I think one Star Destroyer with a full complement of stormtroopers ought to suffice.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '166', 'm21p', 'This assignment requires an Imperial naval captain who is not squeamish.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '167', 'm21t', 'Destroy a Rebel Colony');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '168', 'm21s', 'Your service helps the Imperial war machine run smoothly. You deserve to be rewarded.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '169', 'm22d', 'We\'ve been instructed to locate some sort of rare crystal on Mimban. Collect and deliver Intelligence\'s instructions to our local agent. He should contact Captain-Supervisor Grammel to secure his help. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '170', 'm22l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '171', 'm22o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '172', 'm22f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '173', 'm22r', 'Mimban? Isn\'t that a small mining colony? I will follow these instructions to the letter.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '174', 'm22p', 'We never question the Emperor\'s instructions, citizen. Never.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '175', 'm22t', 'Find the Mimban Crystal');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '176', 'm22s', 'We must pursue all leads that might result in the destruction of the Rebellion. Your efforts are noted, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '177', 'm23d', 'A seller of antiques claims to possess rare Sith artifacts. The Emperor himself has commanded that this individual be arrested and these artifacts confiscated, if they exist. Collect and deliver the warrant to our operative.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '178', 'm23l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '179', 'm23o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '180', 'm23f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '181', 'm23r', 'I was wondering when we\'d get around to bringing in this dealer. It\'s as good as done.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '182', 'm23p', 'I don\'t understand the fascination that old religion holds for Imperial citizens. Superstition, I suppose.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '183', 'm23t', 'Retrieve Sith Artifacts');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '184', 'm23s', 'Job well done, agent. The Emperor will be informed of your assistance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '185', 'm24d', 'An influential Imperial dignitary has been proven a traitor. He must be removed quietly, in order to avoid alerting his allies. Collect a Scarab assassin droid and deliver it to our agent. We\'ve made sure the droid will be traced back to Rebel operatives. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '186', 'm24l', 'Small assassin droid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '187', 'm24o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '188', 'm24f', 'Filename_of_object');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '189', 'm24r', 'You sure I won\'t be implicated in this? This guy\'s got a lot of friends on Coruscant.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '190', 'm24p', 'A fitting end for such a vile traitor, wouldn\'t you agree?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '191', 'm24t', 'Scarab Assassin Droid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '192', 'm24s', 'Well done, agent. Your service to the Empire has been noted, and your future looks rosy indeed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '193', 'm25d', 'The Emperor wants to know how a Jedi Knight, especially one as dangerous as Obi-Wan Kenobi, could have hidden for so long. Our agent is to turn Tatooine inside out in an effort to answer this question. The Emperor\'s instructions are on an encrypted datadisc that you must collect and deliver. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '194', 'm25l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '195', 'm25o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '196', 'm25f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '197', 'm25r', 'I\'m sure the Hutts helped hide this fugitive. Those creatures will do anything for money.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '198', 'm25p', 'I certainly hope there aren\'t any more Jedi secretly aiding the Rebellion. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '199', 'm25t', 'Investigate Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '200', 'm25s', 'Trusted agents are hard to find. The Empire wants to insure your continued allegiance by demonstrating how lucrative it can be to serve the Emperor.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_hard_non_persistent_from_npc.stf', '201', 'number_of_entries', '25');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '1', 'm1d', 'Recruitment is up all across the Galaxy. The Empire\'s citizens are demonstrating their loyalty by signing up to serve their Emperor. Deliver the new recruitment documents to the local recruiter and tell him to follow the new manual.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '2', 'm1l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '3', 'm1o', 'Imperial Navy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '4', 'm1r', 'My heart swells with pride. Hail the Empire!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '5', 'm1f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '6', 'm1s', 'The Empire\'s greatest day is yet to come. And you have played your part, agent.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '7', 'm1p', 'How can the Rebellion win, with so many loyal Imperial citizens around?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '8', 'm1t', 'Recruitment Materials');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '9', 'm2d', 'The question we get asked more often than any other is, \"How do I become a stormtrooper?\" A new pamphlet explains how to enlist with the Imperial Army and join the galaxy\'s most elite soldiers. Deliver an electronic copy to our local recruiter so he can distribute it to all those eager young recruits.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '10', 'm2l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '11', 'm2o', 'Imperial Army');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '12', 'm2r', 'This pamphlet will no doubt aid recruitment. I\'ll start distributing it to every likely candidate.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '13', 'm2f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '14', 'm2s', 'Nothing lures the fresh-faced young graduate into the Imperial Army like the prospect of stormtrooper armor!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '15', 'm2p', 'This renewed interest in the Imperial Army is heartening, isn\'t it?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '16', 'm2t', 'How Do I Become a Stormtrooper?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '17', 'm3d', 'Applications to the Imperial Academy have been updated to comply with a new screening process. Take the new applications to our local recruiter and inform him that old applications are to be destroyed. He should already have received the new recruitment materials. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '18', 'm3l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '19', 'm3o', 'Imperial Navy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '20', 'm3r', 'Another new screening process? They must be getting too many defections to the Rebellion. At least that hasn\'t happened on my watch, yet.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '21', 'm3f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '22', 'm3s', 'Rebellion efforts to infiltrate spies into our ranks start at the Academy. Constant tuning of our admission process will locate spies before they can do an instant\'s harm.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '23', 'm3p', 'Here are the applications. If I had a credit for every youngster who told me he wanted to be a TIE pilot --');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '24', 'm3t', 'New Academy Applications');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '25', 'm4d', 'An Imperial citizen should be all that he can be. And he can do it in the Imperial Army. Deliver the new promotional hologram to our recruiter. The appearance by Lord Vader himself is most inspirational.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '26', 'm4l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '27', 'm4o', 'Imperial Army');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '28', 'm4r', 'I\'ll enter this data into our recruitment terminals immediately.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '29', 'm4f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '30', 'm4s', 'Imagine getting the chance to serve one day with such a distinguished champion of the Empire as Lord Vader. This will draw new recruits like a magnet.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '31', 'm4p', 'I saw this hologram. Lord Vader\'s speech shook me to the marrow.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '32', 'm4t', 'Be All That You Can Be');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '33', 'm5d', 'One of our recruiters has had problems with local youth gangs. Deliver to him this requisition order for Dark Eye surveillance droids. Once we have the images of the offenders in action, we\'ll dispatch a squad of stormtroopers to handle the situation. It will be a good example for others as well.  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '34', 'm5l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '35', 'm5o', 'Imperial Army');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '36', 'm5r', 'This should wipe the smiles off those hoodlums\' faces.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '37', 'm5f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '38', 'm5s', 'Youths are enthusiastic. Unfortunately they don\'t always channel that energy toward something productive.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '39', 'm5p', 'Those Dark Eye droids look so attractive -- when you get to see them, which isn\'t often.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '40', 'm5t', 'Dark Eye Droid Requisition');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '41', 'm6d', 'A local garrison commander has requested additional supplies for the troops stationed there. We have approved part of the request. Deliver the adjusted inventory list to him, and inform him that he should be receiving the materials shortly. Any further requests must go through the regular channels.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '42', 'm6l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '43', 'm6o', 'Imperial Army');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '44', 'm6r', 'Only part of my request was approved? I hope it was the important parts.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '45', 'm6f_', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '46', 'm6s', 'Making do with what is available -- that is the soldier\'s task. That, in fact, is why we hired you; this office\'s HoloNet is currently broken.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '47', 'm6p', 'It\'s not an easy job running an efficient Imperial war machine.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '48', 'm6t', 'Adjusted Inventory Request');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '49', 'm7d', 'We\'re providing our recruiters with a demo version of our TIE flight simulators, to help boost enlistment. Deliver this encrypted program and make sure to tell the recruiter to limit the amount of time each visitor gets with the flight sim. We know how addictive these simulators can be. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '50', 'm7l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '51', 'm7o', 'Imperial Navy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '52', 'm7r', 'This will certainly boost enlistment. I myself love these flight sims.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '53', 'm7f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '54', 'm7s', 'The next generation of TIE flight programs will simulate the TIE pilot\'s entire tour of duty, including convalescence after injury. This should lure even more recruits.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '55', 'm7p', 'Our TIE flight training programs are a big draw for Imperial citizens.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '56', 'm7t', 'TIE Flight Simulator');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '57', 'm8d', 'We\'ve redesigned our scout trooper blaster pistol so that it can carry a larger energy cell and deliver a more powerful punch. Pick up the prototype and design specs, and deliver them to a garrison commander for field testing. This is an important military mission. Can we count on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '58', 'm8l', 'Prototype blaster pistol and datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '59', 'm8o', 'Imperial Army');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '60', 'm8r', 'Amazing how the pistol retained its light weight even with the larger energy cell');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '61', 'm8f', 'filename_of_object');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '62', 'm8s', 'Good work, agent. We\'ll be keeping our eye on you. You show promise.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '63', 'm8p', 'This pistol is a true credit to the genius of the Imperial Army\'s weapons designers.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '64', 'm8t', 'Prototype Scout Pistol');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '65', 'm9d', 'We\'ve finally identified all the surviving Rebel pilots from the Battle of Yavin, including a Corellian smuggler and his Wookiee companion. Pick up the dossiers and holographs of these individuals. Deliver them to the local garrison commander so that all stormtroopers can keep a sharp eye out for these criminals.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '66', 'm9l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '67', 'm9o', 'Imperial Army');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '68', 'm9r', 'Our troopers will arrest this Rebel scum in no time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '69', 'm9f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '70', 'm9s', 'Fine work. Continue serving the Empire and you will continue to be rewarded.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '71', 'm9p', 'These terrorists are responsible for the deaths of thousands of loyal Imperial officers and troopers.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '72', 'm9t', 'Rebel Holos of Smuggler and Wookiee');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '73', 'm10d', 'Imperial Intelligence suggests that recent potential recruits are actually undercover agents for the Rebellion. Pick up the list of names and take it to the garrison commander so these suspects can be arrested for questioning.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '74', 'm10l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '75', 'm10o', 'Imperial Navy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '76', 'm10r', 'We do get our fair share of spies. Fortunately, we always root them out.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '77', 'm10f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '78', 'm10s', 'Your service to the Empire is noted, citizen. We hope it will continue.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '79', 'm10p', 'Our recruiters must be especially vigilant. Rebel spies constantly try to infiltrate through their offices.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '80', 'm10t', 'List of Suspected Rebels');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '81', 'm11d', 'We\'ve just finished our latest promotional hologram. It shows Star Destroyers destroying Rebel bases in the Outer Rim and bringing order to several remote settlements. Deliver a recording to our public relations officer for distribution to all authorized local media. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '82', 'm11l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '83', 'm11o', 'Imperial Navy: Public Relations Division');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '84', 'm11r', 'I\'ve been wanting to see this hologram for some time now. Glad we finally have it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '85', 'm11f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '86', 'm11s', 'Make sure you see that PR hologram yourself, citizen. It\'s very inspirational.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '87', 'm11p', 'I appear briefly in the background of the hologram. A proud moment for me.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '88', 'm11t', 'Public Relations Hologram');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '89', 'm12d', 'A design flaw in older helmet comlinks allows certain transceivers to pick up a trooper\'s transmissions. A modification to the comlink chip should take care of the problem. Pick up the adjustment instructions and deliver them to the local garrison commander.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '90', 'm12l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '91', 'm12o', 'Imperial Army');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '92', 'm12r', 'You never can be too careful about who\'s listening in on what, eh?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '93', 'm12f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '94', 'm12s', 'Fortunately, these older helmets are found mostly on small outposts. You have been compensated for your efforts, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '95', 'm12p', 'The commander should use this as an opportunity to inventory his garrison.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '96', 'm12t', 'Trooper Helmet Fix');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '97', 'm13d', 'Some local merchants have not yet implemented a courtesy military discount. We want to encourage them to institute the standard 30% discount for all goods sold to military personnel. Pick up a friendly reminder hologram and deliver it to the local merchants\' guild liaison so that he can play it at their next business meeting.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '98', 'm13l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '99', 'm13o', 'Imperial Army');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '100', 'm13r', 'I\'ll play this at the beginning of the meeting. I\'m sure there will be no further problems.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '101', 'm13f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '102', 'm13s', 'The hologram shows stormtroopers commandeering local shops suspected of selling goods to Rebels. Historically this has proven remarkably effective in reminding merchants of their civic duty.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '103', 'm13p', 'These tiny oversights occur every now and again. It takes very little to correct them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '104', 'm13t', 'Courtesy Military Discount');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '105', 'm14d', 'Recent sabotage by Rebel data slicers has confused local garrisons. Pick up a set of encrypted orders and deliver them to the local commander. Inform him that he will receive orders in this manner until Imperial Intelligence can once again secure the HoloNet.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '106', 'm14l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '107', 'm14o', 'Imperial Armed Forces');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '108', 'm14r', 'Good. This should clarify things a bit. These Rebels are a definite thorn in our side.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '109', 'm14f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '110', 'm14s', 'Well done. I hope that this is just an example of what we can expect from you in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '111', 'm14p', 'I\'ve always preferred hand-delivered orders. Don\'t you agree?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '112', 'm14t', 'Orders for Improved Security');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '113', 'm15d', 'For their exemplary duty in arresting Rebel sympathizers and informants, we\'d like to reward our troops by having you pick up voucher cards and deliver them to the local garrison. They\'re good for up to 200 credits at all cooperative local restaurants and shops. Do not attempt to use these vouchers yourself, or it will go badly for you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '114', 'm15l', 'Container of datadiscs');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '115', 'm15o', 'Imperial Army');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '116', 'm15r', 'The troops will definitely appreciate this.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '117', 'm15f', 'filename_of_object');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '118', 'm15s', 'Stormtroopers deserve some R&R every now and again, wouldn\'t you agree?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '119', 'm15p', 'The Empire takes care of its own.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '120', 'm15t', 'Stormtrooper Vouchers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '121', 'm16d', 'We\'re receiving requests for additional conscripts from the Corporate Sector Authority. Our detention facilities are overflowing, so our solution is clear. Prisoners are to be transported immediately to the CSA\'s processing facilities. Pick up the instructions and deliver them to the local warden.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '122', 'm16l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '123', 'm16o', 'Imperial Army');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '124', 'm16r', 'I hope these quotas call for large numbers of prisoners, because we\'ve got them to spare.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '125', 'm16f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '126', 'm16s', 'You have done well. We\'re putting those Rebel sympathizers to good use!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '127', 'm16p', 'Building and maintaining the Imperial war machine takes many strong backs. Rebel backs will do nicely.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '128', 'm16t', 'Prison Worker Quotas');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '129', 'm17d', 'Rebel raids on Imperial depots continue unabated. We\'ve ordered tracking beacons planted in hundreds of blasters, energy cells, and medical scanners so that these supplies can be shipped to the likely target of the next Rebel attack. Pick up the transport order and deliver it to our liaison to the SoroSuub Corporation, which has produced this special equipment. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '130', 'm17l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '131', 'm17o', 'Imperial Intelligence');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '132', 'm17r', 'This shipment will leave on the next available transport. The Rebels will discover the hazards of stealing our equipment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '133', 'm17f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '134', 'm17s', 'These trackers should be undetectable unless the entire device is dismantled and each part scanned individually -- more work than most Rebel cells will do. Good work!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '135', 'm17p', 'The depot location is on this encrypted disc and should be shared with no one. This is a mission of the highest priority.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '136', 'm17t', 'Plant Tracking Beacons');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '137', 'm18d', 'A high-ranking representative of Sienar Fleet Systems may be visiting this system soon. We want this representative treated with the greatest respect and shown every courtesy by the local government. Deliver the request personally to our public relations officer, and have him inform local officials of the forthcoming visit.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '138', 'm18l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '139', 'm18o', 'Imperial Navy Public Relations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '140', 'm18r', 'This representative will receive the best treatment. The Empire can count on me.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '141', 'm18f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '142', 'm18s', 'The Sienar Fleet representative was waylaid and captured by Rebels. The visit has been cancelled. That is all.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '143', 'm18p', 'It pays to have the Empire\'s gratitude.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '144', 'm18t', 'Sienar Fleet Rep Visit');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '145', 'm19d', 'Imperial Intelligence has identified possible sites for the Rebellion\'s next base of operations. One of these worlds is near our own. Deliver these orders to the garrison commander. He must retain the minimum number of troops necessary for planetary security and immediately reassign the rest to the Star Destroyer flagship Executor. It will enter standard orbit shortly.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '146', 'm19l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '147', 'm19o', 'Imperial Army');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '148', 'm19r', 'So I\'m just supposed to depopulate my entire garrison? Ahh, well. Long live the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '149', 'm19f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '150', 'm19s', 'The Executor has been diverted to handle an uprising in the Mid-Rim. The local garrison will remain at full strength until further notice.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '151', 'm19p', 'The Executor is a ship to behold. You\'d be proud to serve aboard that vessel.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '152', 'm19t', 'Executor Reassignment Orders');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '153', 'm20d', 'A recent list of suspects includes senatorial aides and family members. Local security forces have been reluctant to arrest them without word from Imperial High Command. Pick up the arrest warrants and take them to the garrison commander. They\'ve been issued by the Ubiqtorate itself.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '154', 'm20l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '155', 'm20o', 'Imperial Intelligence');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '156', 'm20r', 'You understand our caution, don\'t you? This will clear things up.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '157', 'm20f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '158', 'm20s', 'Well handled, citizen. Those arrest warrants will be served immediately.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '159', 'm20p', 'The influence of many of the Old Republic\'s corrupt senators is difficult to dispel.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '160', 'm20t', 'Senatorial Arrest Warrants');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '161', 'm21d', 'We\'ve fallen behind schedule due to prisoner riots. We need a boost to our labor force to keep up the Emperor\'s aggressive military buildup. Pick up the order for aid in worker recruitment and deliver it to the local government official.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '162', 'm21l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '163', 'm21o', 'Imperial Army: Corps of Engineers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '164', 'm21r', 'I can think of a few layabouts who could be persuaded to serve the Engineer Corps. We\'ll get right on it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '165', 'm21f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '166', 'm21s', 'You have done well. Continue to serve the Emperor faithfully.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '167', 'm21p', 'Sometimes the Emperor asks the impossible of us. We need more workers!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '168', 'm21t', 'Labor Force Increase');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '169', 'm22d', 'A Moff\'s daughter is traveling to our system on a research expedition. Seems she\'s a zoology student working on a field guide to the Empire\'s reptomammals. The Moff has requested an escort for his daughter, one which we will gladly provide. These are the specifications for the escort. Take them to the garrison commander and make sure the escort is ready in two days.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '170', 'm22l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '171', 'm22o', 'Imperial Army');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '172', 'm22r', 'I\'ll handpick the men and make sure they are acceptable to the Moff. I hope his daughter finds them acceptable too. If they disagree, it\'s hard to know who would win.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '173', 'm22f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '174', 'm22s', 'Speculation on the opinions of the Moff or his daughter is entirely out of line. Do not spread rumors, or it will go badly for you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '175', 'm22p', 'I understand this young woman can be a bit -- fussy. I don\'t envy the commander this task.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '176', 'm22t', 'Moff\'s Daughter Needs Escort');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '177', 'm23d', 'Recently a garrison commander assigned an escort to a Moff\'s daughter while she conducted a zoological study. The escort proved inadequate. The young woman was wounded while investigating a narglatch den. Deliver this transfer order to the new garrison commander, and inform him that the former commander is to be shipped to Coruscant for court-martial.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '178', 'm23l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '179', 'm23o', 'Imperial Army');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '180', 'm23r', 'I\'ll make very sure the former commander is on the next transport to Coruscant. I am grateful to the Empire for my recent promotion.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '181', 'm23f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '182', 'm23s', 'The Moff\'s daughter will live, fortunately. But the traumatic experience has caused her to abandon her plan to become a zoologist. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '183', 'm23p', 'We should strive to make all Moffs happy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '184', 'm23t', 'Court-Martial Order');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '185', 'm24d', 'We\'ve just received an order from General Veers himself at Imperial High Command to train more AT-AT pilots. Pick up a set of transfers and deliver it to the garrison commander. These candidates are to go immediately to Imperial training facilities.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '186', 'm24l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '187', 'm24o', 'Imperial Army');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '188', 'm24r', 'Always wanted to pilot an AT-AT myself. I\'ll see this at once.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '189', 'm24f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '190', 'm24s', 'You\'ve done well, citizen. It is the Empire\'s wish that you continue to serve faithfully.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '191', 'm24p', 'I understand that General Veers is serving directly under Lord Vader. A prestigious assignment indeed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '192', 'm24t', 'AT-AT Pilots Needed');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '193', 'm25d', 'We intend to strike Mon Calamari\'s floating cities in retaliation for their aid to the Rebellion. Pick up High Command\'s orders and deliver them to the garrison commander. All shore leave is revoked. All troopers must report to duty at once.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '194', 'm25l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '195', 'm25o', 'Imperial Army');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '196', 'm25r', 'Word will go out immediately. My men will report on time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '197', 'm25f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '198', 'm25s', 'The Star Destroyer will depart soon. We will make the Mon Calamari pay for their crimes against the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '199', 'm25p', 'We waited too long to strike the Mon Calamari. This is long overdue.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '200', 'm25t', 'Deliver ship-out orders');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '201', 'm26d', 'Admiral Ozzel has just informed us that we need to deliver 500 additional probe droids to the Star Destroyer Accuser. Collect the requisition order and deliver it to our depot officer. He\'ll see to it that those probe droids are loaded aboard a transport.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '202', 'm26l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '203', 'm26o', 'Imperial Navy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '204', 'm26r', 'More probe droids? We can hardly keep them in stock.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '205', 'm26f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '206', 'm26s', 'You\'ve done well. The Empire is grateful for your assistance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '207', 'm26p', 'Searching the Galaxy takes time and resources.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '208', 'm26t', 'Admiral Ozzel\'s Probe Droids');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '209', 'm27d', 'Imperial Intelligence intercepted a transmission that indicated Rebels might try to sabotage the shipyards at Fondor. Pick up the encrypted orders dispatched by Lord Vader and relay them to our waiting courier. Have him deliver the orders into the hands of Captain Needa of the Star Destroyer Avenger. Hurry. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '210', 'm27l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '211', 'm27o', 'Imperial Navy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '212', 'm27r', 'Lord Vader sent these orders? I\'ll deliver them to Captain Needa right away! Personally!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '213', 'm27f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '214', 'm27s', 'Tell no one of the nature of your mission, or you will live, briefly, to regret it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '215', 'm27p', 'Be prompt. My understanding is that Lord Vader is not a forgiving man.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '216', 'm27t', 'Lord Vader\'s Orders');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '217', 'm28d', 'Troublemakers in outlying systems are protesting the destruction of Alderaan and burning the Emperor in effigy. These demonstrations must be stopped, but only by local security forces. Stormtroopers are not to be used in these situations. These orders come directly from Imperial High Command. Pick them up and deliver them to our HoloNet officer, with instructions to transmit them immediately. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '218', 'm28l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '219', 'm28o', 'Imperial Army');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '220', 'm28r', 'I\'ll send out the transmission immediately. Will regular encryption suffice?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '221', 'm28f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '222', 'm28s', 'An incident with stormtroopers at one protest led to the deaths of many bystanders. This kind of regrettable accident only foments sympathies for the Rebellion.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '223', 'm28p', 'Stormtroopers should never have been used for urban pacification.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '224', 'm28t', 'No Stormtroopers at Protests');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '225', 'm29d', 'SoroSuub\'s latest blaster design, the Stormtrooper One, is ready for field testing. Every garrison is receiving fifty of the blasters. Deliver a message to the garrison commander. It gives instructions on how the weapons are to be dispersed among the troops. We expect full reports on the blaster\'s performance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '226', 'm29l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '227', 'm29o', 'Imperial Army');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '228', 'm29r', 'I\'ve been waiting to see how this blaster performs. The reports will be a pleasure.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '229', 'm29f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '230', 'm29s', 'The Stormtrooper One blaster will carry forward the Empire\'s efforts to restore order throughout the galaxy!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '231', 'm29p', 'We\'ll see if this is an improvement over BlasTech\'s E-11 blaster design.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '232', 'm29t', 'Stormtrooper One Blaster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '233', 'm30d', 'Careful review of Imperial flight records has revealed irregular activity involving a particular shuttle. It appears that the craft has embarked on unscheduled flights to unknown destinations. Pick up the records of these findings and deliver them to our Internal Security officer for futher investigation. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '234', 'm30l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '235', 'm30o', 'Imperial Navy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '236', 'm30r', 'This could be the result of a spy in our ranks. We\'ll investigate immediately.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '237', 'm30f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '238', 'm30s', 'The Rebellion has gained possession of many Imperial shuttles. In fact, this appears to be the preferred method of defection for low-ranking Imperial officers.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '239', 'm30p', 'We\'re not sure how this could have happened. Shuttles don\'t just disappear.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '240', 'm30t', 'Imperial Shuttle Flight Anomalies');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '241', 'm31d', 'We\'ve recently concluded an investigation of unscheduled Imperial shuttle flights. Our findings and recommendations are presented on an encrypted datadisc. Collect it and deliver it to the officer who requested the investigation. Inform him that we will take further action if requested.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '242', 'm31l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '243', 'm31o', 'Imperial Intelligence');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '244', 'm31r', 'We\'ll study these findings and proceed from there.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '245', 'm31f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '246', 'm31s', 'All Intelligence findings and recommendations are, of course, classified. Tell no one.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '247', 'm31p', 'Congratulate the officer in charge. One can never be too careful about Imperial security.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '248', 'm31t', 'Imperial Shuttle Investigation');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '249', 'm32d', 'Having reviewed Internal Security\'s findings concerning the most recent unscheduled Imperial shuttle flights, we\'ve decided that no further action is necessary at this time. Please deliver this personal thanks to the IntSec officer in charge of the investigation. Assure him that the Moff named in his report will not forget his efficiency and discretion. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '250', 'm32l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '251', 'm32o', 'Imperial Navy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '252', 'm32r', 'Thank you. I must remember to send my warmest regards to the Moff\'s wife.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '253', 'm32f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '254', 'm32s', 'Thank you, agent. Of course the Moff will also remember your own discretion in this matter.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '255', 'm32p', 'Where a Moff decides to travel is none of our concern. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '256', 'm32t', 'Discretion Regarding a Moff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '257', 'm33d', 'Certain luxury starliners have been transporting goods to Rebel terrorist cells. Imperial High Command orders the Navy to approach and board all starliners. Should they find evidence of Rebel activity, they will arrest all aboard and impound the vessel. Deliver the orders to the garrison commander and instruct him to prepare stormtroopers.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '258', 'm33l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '259', 'm33o', 'Imperial Navy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '260', 'm33r', 'These wealthy citizens think they can get away with treason? We\'ll put a stop to them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '261', 'm33f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '262', 'm33s', 'This initiative has the added benefit of improving Imperial revenue through auction of seized vessels. From the Rebellion\'s pockets into ours!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '263', 'm33p', 'Our ships will use whatever force necessary to bring in these traitors.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '264', 'm33t', 'Luxury Starliner Seizure');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '265', 'm34d', 'We\'ll be conducting some military exercises on Tatooine and Alzoc III to better prepare our troops for combat in extreme weather conditions. Imperial Intelligence has reasons to believe the Rebels may be considering planets with such conditions for a future base. Deliver the transfer order to the local garrison commander so that he may assign squads to these exercises.  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '266', 'm34l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '267', 'm34o', 'Imperial Army');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '268', 'm34r', 'I know just the troops for such an exercise. I will carry out the order promptly.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '269', 'm34f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '270', 'm34s', 'The latest intelligence indicates the Rebellion has not yet placed its new headquarters. It may be that our program is slightly premature. However, preparation for war is never wasted.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '271', 'm34p', 'There\'s a reason our troopers are the most feared in the Galaxy. They can fight everywhere.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '272', 'm34t', 'Send Stormtroopers to Extremes');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '273', 'm35d', 'Apparently the example on Dentaal was insufficient for some systems. Deliver a sample \"vaccine\" to our medical officer. Inform him that he should replicate it and and ship quantities to any system that continues to engage in acts of insurrection. One way or another, the Empire\'s authority will be recognized.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '274', 'm35l', 'Cannister');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '275', 'm35o', 'Imperial Intelligence: Bureau of Operations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '276', 'm35r', 'I will be most careful with this -- \"vaccine.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '277', 'm35f', 'filename_of_object');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '278', 'm35s', 'You did not become exposed to the vaccine yourself, correct? It will go badly for you if you did.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '279', 'm35p', 'Make sure the seal on this cannister is not broken.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '280', 'm35t', 'New Imperial \"Vaccine\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '281', 'm36d', 'A naval officer who defected to the Rebellion managed to escape our agents. Inquisitors are interrogating his family at a secret detention facility. If we leak its location to Rebel slicers, the officer will attempt a rescue. Pick up the encrypted datadisc with the facility\'s location. Deliver it to the garrison commander with instructions to let it fall -- plausibly -- into the Rebellion\'s hands.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '282', 'm36l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '283', 'm36o', 'Imperial Intelligence: Bureau of Operations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '284', 'm36r', 'I know the perfect agent for this operation. I\'ll see that it\'s done.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '285', 'm36f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '286', 'm36s', 'All is well. The commander gave the disk to a stormtrooper, then sent the trooper on patrol near a known Rebel stronghold. Of course the Rebels shot the trooper and plundered the body. This should convince them the information is trustworthy. The officer will soon be back in our hands.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '287', 'm36p', 'The secret location must be leaked in a convincing way, or the Rebels will suspect a trap.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '288', 'm36t', 'Encoded Trap for Imperial Defector');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '289', 'm37d', 'Imperial High Command has ordered us to send a reconnaissance team to the Thila system. Deliver instructions to the local scout trooper commander, and see to it that he assembles a team as soon as possible. He is to report findings directly to Admiral Ozzel. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '290', 'm37l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '291', 'm37o', 'Imperial Army');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '292', 'm37r', 'We just received our new Aratech speeder bikes. We\'ll test them out.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '293', 'm37f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '294', 'm37s', 'The reconnaissance of the Thila system will commence shortly. Good work, agent!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '295', 'm37p', 'What is it with the Rebels and jungle planets?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '296', 'm37t', 'Reconnaissance of Thila System');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '297', 'm38d', 'Our officer evaluations have been completed. Deliver this list of names to the local garrison commander. These officers are assigned to exterminate Imperial Navy cruisers in drydock that have been infested with mynocks. We\'re sure this will help improve their evaluation scores in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '298', 'm38l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '299', 'm38o', 'Imperial Navy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '300', 'm38r', 'These officers will be delighted when they receive their reassignment orders. Heh, heh.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '301', 'm38f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '302', 'm38s', 'Vermin extermination duty has long been a powerful incentive in the Imperial Navy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '303', 'm38p', 'The Empire always rewards hard work and strict discipline.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '304', 'm38t', 'Vermin Extermination Duty');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '305', 'm39d', 'Imperial Intelligence employs the Bothan SpyNet. Reports indicate the Bothans may be dealing with Rebels as well. We are sending a Star Destroyer to Bothawui to discourage traitorous activities. Meanwhile, every garrison must cease using Bothan informants until Imperial Intelligence has cleared a list of acceptable spies. Deliver the order to the local garrison commander.  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '306', 'm39l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '307', 'm39o', 'Imperial High Command ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '308', 'm39r', 'Right. I never trusted those blasted Bothans anyway.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '309', 'm39f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '310', 'm39s', 'The Empire trusts that if you see suspicious conduct by a Bothan, you will report it to Imperial Intelligence immediately.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '311', 'm39p', 'A species that has intrigue and manipulation in its blood will always be a great risk to our security.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '312', 'm39t', 'Bothan Moratorium ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '313', 'm40d', 'Certain misguided Imperial officers are circulating a petition favoring the admittance of non-human species into the Imperial military. Deliver our order to the local garrison commander instructing his troops not to sign this petition. Any Imperial soldier whose name appears on this petition will be subject to discipline and possible court-martial.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '314', 'm40l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '315', 'm40o', 'Imperial High Command');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '316', 'm40r', 'No one in my garrison will sign any such petition. You have my assurance of that.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '317', 'm40f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '318', 'm40s', 'The misguided officers who circulated the petition have been located and suitably disciplined. All is well.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '319', 'm40p', 'You don\'t approve of the petition, do you? Military service is obviously suited only for humans.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '320', 'm40t', 'Deliver warning');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '321', 'm41d', 'I have proof that a depot commander has been doctoring records to hide his misappropriation of certain supplies. Deliver my encrypted evidence to him, and inform him that I\'ll make sure it does not fall into the wrong hands -- in exchange for a percentage of his profit. I expect an answer within two days. I trust I can count on your discretion?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '322', 'm41l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '323', 'm41o', 'An Intelligence Officer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '324', 'm41r', 'Argh. I\'ll respond within the given time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '325', 'm41f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '326', 'm41s', 'Remember, agent, I know more about you than you do about me. Discretion is essential.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '327', 'm41p', 'It pays to have friends in high places.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '328', 'm41t', 'Blackmail Notice');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '329', 'm42d', 'An officer recently tried to blackmail me, claiming I had stolen Imperial property. I need this response from Internal Security deliverd to him as soon as possible. I\'m sure he\'s most eager to receive a response. You had best hurry. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '330', 'm42l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '331', 'm42o', 'An Imperial Naval Officer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '332', 'm42r', 'This is an order from Internal Security to appear on Coruscant. What\'s the meaning of this?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '333', 'm42f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '334', 'm42s', 'The officer in question is now en route to Coruscant. All is well.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '335', 'm42p', 'Tell this loyal servant of the Empire that if he doesn\'t appear promptly, an arrest warrant will be issued.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '336', 'm42t', 'Summons to Coruscant');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '337', 'm43d', 'Deliver this deathmark to the local liaison to the Bounty Hunters\' Guild. The target has gravely insulted me, yet refuses to meet me in an honorable duel. One way or another, I\'ll have my satisfaction. This matter must be conducted with discretion. Can I rely on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '338', 'm43l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '339', 'm43o', 'An Imperial Army Officer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '340', 'm43r', 'A bounty hunter will handle this coward soon enough.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '341', 'm43f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '342', 'm43s', 'I expect that the Bounty Hunters\' Guild will execute the deathmark with its customary efficiency. Thank you for your discretion in this matter.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '343', 'm43p', 'I would have been the offended party\'s second in the duel. Some matters of honor must be settled outside normal channels.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '344', 'm43t', 'Discreet Deathmark');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '345', 'm44d', 'I have been grievously insulted by a fellow officer and demand satisfaction. I need this formal challenge delivered to him immediately. It gives all the specifics of the duel. I expect to receive a prompt response.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '346', 'm44l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '347', 'm44o', 'An Imperial Naval Officer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '348', 'm44r', 'These Generationals and their ridiculous notions of honor. Tell this lunatic to go suck a mynock. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '349', 'm44f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '350', 'm44s', 'This insult must be avenged. I have no recourse but to go to the Bounty Hunters\' Guild.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '351', 'm44p', 'Tell this honorless anooba that my friend looks forward to bathing his vibrorapier in blood.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '352', 'm44t', 'Challenge to a Duel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '353', 'm45d', 'A squad of storm commandos will arrive soon to train the local troops. Pick up our encrypted orders and deliver them to the local garrison commander. He is to cooperate fully with the commander of the special squad. Any questions regarding this training should be directed to Imperial Intelligence.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '354', 'm45l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '355', 'm45o', 'Imperial High Command');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '356', 'm45r', 'Storm commandos? Hmm. The men should find this very educational.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '357', 'm45f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '358', 'm45s', 'The storm commandos were unexpectedly diverted to help combat an insurrection in the Outer Rim Territories. The training has been postponed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '359', 'm45p', 'We expect the commando training to last several days.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '360', 'm45t', 'Storm Commando Training');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '361', 'm46d', 'Imperial Intelligence has finally released hologram recordings of the Battle of Yavin, transmitted via the HoloNet just prior to the destruction of the Death Star. Deliver this encrypted copy of the holograms to the local garrison commander so he can play them for local troops.   ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '362', 'm46l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '363', 'm46o', 'Imperial Army');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '364', 'm46r', 'Thank you. Our men need to see the devastation inflicted by those Rebel scum.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '365', 'm46f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '366', 'm46s', 'Many men lost family members and friends aboard that space station, and we feel this hologram will help them find closure.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '367', 'm46p', 'Up to now we\'ve used these holos to help train TIE pilots and develop new fighter designs. Now the recordings should spur the troops to further action against suspected Rebels.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '368', 'm46t', 'Hologram of Yavin Battle');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '369', 'm47d', 'Slave revolts on Balmorra have slowed down the production of armaments. Imperial High Command wants this situation corrected. Deliver transfer orders to the garrison commander. The specified force must make ready for immediate transport to Balmorra.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '370', 'm47l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '371', 'm47o', 'Imperial Army');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '372', 'm47r', 'I\'ll see to it that these orders are carried out.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '373', 'm47f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '374', 'm47s', 'These slave revolts are annoyingly frequent. With sufficient force we can stop them once and for all.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '375', 'm47p', 'We can\'t afford any threats to the steady flow of weapons coming from these important armament plants.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '376', 'm47t', 'Balmorra Troop Transfer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '377', 'm48d', 'A Moff has been implicated in a plot to assassinate the Emperor. Deliver this arrest warrant to the garrison commander and instruct him to escort the Moff to Coruscant as quickly as possible. We don\'t want this situation demoralizing our troops, so be sure he keeps it quiet. Only a small arrest squad need know the situation, and they\'re to remain on Coruscant after they\'ve delivered the Moff.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '378', 'm48l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '379', 'm48o', 'Imperial High Command');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '380', 'm48r', 'This Moff is influential. I can understand the need for silence.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '381', 'm48f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '382', 'm48s', 'Tell no one of the arrest of the Moff, or you will be subject to the same Imperial justice.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '383', 'm48p', 'Political ambition and the desire for power can destroy an otherwise loyal Imperial servant.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '384', 'm48t', 'Moff Arrest Warrant ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '385', 'm49d', 'You must pick up a high-priority message and deliver it to an Imperial admiral\'s aide. This message carries the seal of the Moff. Speed and absolute discretion are required. Execute this task promptly.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '386', 'm49l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '387', 'm49o', 'Office of the Moff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '388', 'm49r', 'I\'ll personally make sure the admiral receives this.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '389', 'm49f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '390', 'm49s', 'Tell no one of this mission. The Moff\'s business is not for casual conversation.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '391', 'm49p', 'Be sure this gets into the right hands. The fate of the Empire may depend on it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '392', 'm49t', 'The Moff\'s Highest Priority');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '393', 'm50d', 'An encoded message from an unknown source claims that a secret cell of Jedi Knights has been discovered on Dathomir. We understand that a Jedi played an important role in the destruction of the Death Star. We can\'t afford to ignore this message. Deliver these orders to the garrison commander. He must assign a squad of storm commandos to investigate this claim. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '394', 'm50l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '395', 'm50o', 'Imperial High Command');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '396', 'm50r', 'If they\'re on Dathomir, we\'ll find them. Personally, I think all those Jedi stories are just children\'s tales.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '397', 'm50f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '398', 'm50s', 'Our officers seem disgracefully ignorant regarding the dimension of the Jedi threat. We shall remedy this through diligent re-education. We trust that you do not share that ignorance, agent.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '399', 'm50p', 'We must prevent the return of the Jedi at all costs.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '400', 'm50t', 'Jedi Knights on Dathomir?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium.stf', '401', 'number_of_entries', '50');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '1', 'm1d', 'We\'re providing our recruiters with a demo version of our TIE flight simulators, to help boost enlistment. Pick up and deliver the encrypted program. Tell the recruiter to limit the amount of time each visitor gets with the flight sim. We know those simulators can be addictive. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '2', 'm1l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '3', 'm1o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '4', 'm1f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '5', 'm1r', 'This will certainly boost enlistment. I love these flight sims.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '6', 'm1p', 'Our TIE flight training programs are a big draw for Imperial citizens.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '7', 'm1t', 'Help Imperial Recruitment');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '8', 'm1s', 'Well done. The Empire has compensated you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '9', 'm2d', 'We\'ve redesigned our scout trooper blaster pistol so that it can carry a larger energy cell and deliver a more powerful punch. Pick up the prototype and design specs, and deliver them to a garrison commander for field testing. This is an important military mission. Can we count on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '10', 'm2l', 'Trooper pistol');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '11', 'm2o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '12', 'm2f__', 'Filename_of_object');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '13', 'm2r', 'Amazing how the pistol retained its light weight even with the larger energy cell.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '14', 'm2p', 'This pistol is a true credit to the genius of the Imperial Army\'s weapon designers.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '15', 'm2t', 'Help Test Prototype Pistol');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '16', 'm2s', 'Good work, agent. We\'ll be keeping our eye on you. You show promise.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '17', 'm3d', 'We\'ve finally identified all the surviving Rebel pilots from the Battle of Yavin, including a Corellian smuggler and his Wookiee companion. Pick up their dossiers and take them to the local garrison commander. All stormtroopers will keep a sharp eye out for these enemies of the state.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '18', 'm3l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '19', 'm3o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '20', 'm3f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '21', 'm3r', 'Our troopers will arrest this Rebel scum in no time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '22', 'm3p', 'These terrorists are responsible for the deaths of thousands of loyal Imperial officers and troopers. We trust they will be arrested soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '23', 'm3t', 'Find the Traitors of Yavin');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '24', 'm3s', 'Fine work. Continue serving the Empire and you will continue to be rewarded.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '25', 'm4d', 'Imperial Intelligence suggests that recent potential recruits are actually undercover agents for the Rebellion. Pick up the list of names and take it to the garrison commander so these suspects can be arrested for questioning.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '26', 'm4l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '27', 'm4o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '28', 'm4f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '29', 'm4r', 'We do get our fair share of spies. Fortunately, we always root them out.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '30', 'm4p', 'Our recruiters must be especially vigilant. Rebel spies constantly try to infiltrate through their offices.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '31', 'm4t', 'Potential Recruits Are Often Spies');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '32', 'm4s', 'Your service to the Empire is noted, citizen. We hope it will continue.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '33', 'm5d', 'A design flaw in older helmet comlinks allows certain transceivers to pick up a trooper\'s transmissions. A modification to the comlink chip should take care of the problem. Fortunately, these older helmets are found mostly on small outposts. Pick up the adjustment instructions and deliver them to the local garrison commander. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '34', 'm5l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '35', 'm5o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '36', 'm5f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '37', 'm5r', 'You can never be too careful about who\'s listening in on what, eh?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '38', 'm5p', 'Here you are. The commander should also use this opportunity to do an inventory of his garrison.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '39', 'm5t', 'Fix Trooper Helmets');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '40', 'm5s', 'Well done, citizen. You\'ve been compensated for your efforts.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '41', 'm6d', 'Recent sabotage by Rebel data slicers has confused local garrisons. Pick up and deliver some encrypted orders to the local commander. Inform him that he will receive orders in this manner until Imperial Intelligence can once again secure the HoloNet.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '42', 'm6l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '43', 'm6o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '44', 'm6f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '45', 'm6r', 'Good. This should clarify things a bit. These Rebels are a definite thorn in our side.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '46', 'm6p', 'I\'ve always preferred hand-delivered orders. Nothing beats the extra security.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '47', 'm6t', 'Improved Imperial Security');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '48', 'm6s', 'Well done. I hope that this is just an example of what we can expect from you in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '49', 'm7d', 'We\'re receiving requests for additional conscripts from the Corporate Sector Authority. Our detention facilities are overflowing, so our solution is clear. Prisoners are to be transported immediately to the CSA\'s processing facilities. Pick up and deliver the instructions to the local warden.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '50', 'm7l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '51', 'm7o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '52', 'm7f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '53', 'm7r', 'I hope these quotas call for large numbers of prisoners, because we\'ve got them to spare.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '54', 'm7p', 'Building and maintaining the Imperial war machine takes many strong backs. Rebel backs will do nicely.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '55', 'm7t', 'Clear Out the Prisons');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '56', 'm7s', 'Efficient and prompt. Good. That is what the Empire expects from its loyal citizens.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '57', 'm8d', 'A recent list of suspects includes senatorial aides and family members. Local security forces have been reluctant to arrest them without word from Imperial High Command. Pick up and take the arrest warrants to the garrison commander. They\'ve been issued by the Ubiqtorate itself.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '58', 'm8l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '59', 'm8o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '60', 'm8f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '61', 'm8r', 'You understand our caution, don\'t you? This will clear things up.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '62', 'm8p', 'The influence of many of the Old Republic\'s corrupt senators is difficult to dispel.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '63', 'm8t', 'Ubiqtorate Arrest Warrants');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '64', 'm8s', 'Well handled, citizen. Those arrest warrants will be served immediately.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '65', 'm9d', 'We\'ve fallen behind schedule due to prisoner riots.We need a boost to our labor force to keep up the Emperor\'s aggressive military buildup. Pick up and deliver an order to the local government official for aid in worker recruitment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '66', 'm9l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '67', 'm9o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '68', 'm9f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '69', 'm9r', 'I can think of a few layabouts who could be persuaded to serve the Engineer Corps. We\'ll get right on it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '70', 'm9p', 'Sometimes the Emperor asks the impossible. We need more workers!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '71', 'm9t', 'Recruit Military Workers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '72', 'm9s', 'You have done well. Continue to serve the Emperor faithfully.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '73', 'm10d', 'We\'ve just received an order from General Veers himself at Imperial High Command to train more AT-AT pilots. Pick up and deliver a set of transfers to the garrison commander. These candidates are to go immediately to Imperial training facilities.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '74', 'm10l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '75', 'm10o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '76', 'm10f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '77', 'm10r', 'Always wanted to pilot an AT-AT myself. I\'ll see to this at once.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '78', 'm10p', 'I understand that General Veers is serving directly under Lord Vader. A prestigious assignment indeed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '79', 'm10t', 'Recruit AT-AT Pilots');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '80', 'm10s', 'You\'ve done well, citizen. It is the Empire\'s hope that you will continue to serve faithfully.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '81', 'm11d', 'We intend to strike Mon Calamari\'s floating cities in retaliation for their aid to the Rebellion. Pick up and deliver High Command\'s orders to the garrison commander. All shore leave is revoked. All troopers must report to duty at once.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '82', 'm11l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '83', 'm11o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '84', 'm11f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '85', 'm11r', 'Word will go out immediately. My men will report on time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '86', 'm11p', 'We waited too long to strike the Mon Calamari. This is long overdue.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '87', 'm11t', 'Strike the Mon Calamari');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '88', 'm11s', 'The Star Destroyer will depart soon. We will make the Mon Calamari pay for their crimes against the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '89', 'm12d', 'Admiral Ozzel has just informed us that we need to deliver 500 additional probe droids to the Star Destroyer Accuser. Collect and deliver the requisition order to our depot officer. He\'ll see to it that those probe droids are loaded aboard a transport.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '90', 'm12l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '91', 'm12o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '92', 'm12f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '93', 'm12r', 'More probe droids? We can hardly keep them in stock. What, or who, are they looking for?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '94', 'm12p', 'Searching the Galaxy takes time and resources.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '95', 'm12t', 'Probe Droids Search the Galaxy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '96', 'm12s', 'You\'ve done well. The Empire is grateful for your assistance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '97', 'm13d', 'A former Senator continues to aid the Rebellion. Despite the dissolution of the Senate, this politician\'s influence limits our access to his holdings. Collect and deliver a termination order to our Intelligence contact. This mission is to be accomplished \"by any means necessary.\" ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '98', 'm13l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '99', 'm13o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '100', 'm13f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '101', 'm13r', 'Good. I\'ve been waiting for a chance to take out this Senator. I think I\'ll throw in his annoying family as a bonus.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '102', 'm13p', 'These do-gooders will learn that privileged positions can\'t protect them from the Emperor\'s wrath.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '103', 'm13t', 'Take Out a Senator');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '104', 'm13s', 'That was a delicate mission, handled discreetly and professionally. The Empire will not forget your efficiency.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '105', 'm14d', 'Insiders helped the Rebellion acquire secret Imperial plans resulting in the deaths of thousands of loyal soldiers. Pick up the dossiers on our prime suspects, and deliver them to an agent of the Bounty Hunters\' Guild. We order a deathmark on every suspect.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '106', 'm14l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '107', 'm14o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '108', 'm14f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '109', 'm14r', 'Business is good for our guild these days. The Battle of Yavin was the Empire\'s disgrace and our fortune.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '110', 'm14p', 'We do what we must to ensure the guilty will be brought to justice.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '111', 'm14t', 'Avenge the Death Star');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '112', 'm14s', 'That was handled well, citizen. The Empire will see to it that you are rewarded.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '113', 'm15d', 'We\'ve just captured several Rebels who were conducting sabotage missions in the Outer Rim. The Rebels\' resistance to convential interrogation have made drastic action necessary. Collect and deliver a message, for the eyes of an Inquisitor only. We need his skills in interrogation. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '114', 'm15l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '115', 'm15o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '116', 'm15f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '117', 'm15r', 'I leave at once. These Rebels will tell us everything.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '118', 'm15p', 'I can\'t wait to watch the Inquisitor at work. They say the sight is a thing of beauty.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '119', 'm15t', 'Summon the Inquisitor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '120', 'm15s', 'Well done. Your dedication to the Empire is admirable.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '121', 'm16d', 'Intercepted Rebel transmissions are too vital to send via the HoloNet. Collect a copy of these transmissions and deliver them to our Intelligence contact. Deciphering these transmissions will lead us to the Rebel\'s new base. The Empire is counting on you. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '122', 'm16l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '123', 'm16o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '124', 'm16f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '125', 'm16r', 'We\'ll get right on this. Those Rebels won\'t escape us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '126', 'm16p', 'Information is power, citizen. The Empire\'s information network is the best in the galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '127', 'm16t', 'Intercepted Rebel Transmissions');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '128', 'm16s', 'Prompt delivery and a minimum of fuss. That\'s the sort of action the Empire prizes. Well done.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '129', 'm17d', 'We must insure the Corporate Sector Authority is not secretly aiding the Rebel Alliance in exchange for payoffs. We have obtained the security codes to confidential CSA files. Collect them and give them to our covert operative. If he discovers wrongdoing, he is to take appropriate action.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '130', 'm17l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '131', 'm17o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '132', 'm17f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '133', 'm17r', 'Now we\'ll see which Viceprexes are smart and which are not.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '134', 'm17p', 'The CSA\'s loyalty will always be to money. The Empire should not be so lenient with them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '135', 'm17t', 'Investigate the CSA');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '136', 'm17s', 'Performed with great professionalism, citizen. The Empire is glad to pay your fee.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '137', 'm18d', 'We\'ve discovered a number of CSA Viceprexes who have been aiding Rebels in exchange for money. Collect and deliver termination orders to our operative as soon as possible. We\'ll make sure the CSA understands that the Empire does not treat such matters lightly.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '138', 'm18l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '139', 'm18o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '140', 'm18f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '141', 'm18r', 'What good is money if you\'re not around to spend it? Too bad these guys didn\'t learn that lesson.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '142', 'm18p', 'Money is a powerful motivator, but the threat of death is more powerful still.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '143', 'm18t', 'Bump Off Greedy Businessmen');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '144', 'm18s', 'Excellent work, citizen. The Empire will reward you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '145', 'm19d', 'Intelligence suspects that a new breed of Jedi has appeared and is aiding the Rebels. Collect Intelligence\'s report and deliver it to the Inquisitors. If the Jedi have returned, we must hunt and destroy them once and for all. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '146', 'm19l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '147', 'm19o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '148', 'm19f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '149', 'm19r', 'We will root out these Jedi. They will meet the same fate as their corrupt Old Republic predecessors.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '150', 'm19p', 'If this rumor is true, it would explain the Battle of Yavin.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '151', 'm19t', 'Inquisitors Must Hunt Jedi');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '152', 'm19s', 'As long as loyal citizens such as yourself continue to serve faithfully, the Empire will crush its enemies.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '153', 'm20d', 'We suspect the Mon Calamari are building a vast fleet to support the Rebellion. Collect and deliver Intelligence\'s instructions to our operative so that they can organize surveillance missions in preparation for Imperial strikes on Mon Calamari floating cities. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '154', 'm20l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '155', 'm20o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '156', 'm20f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '157', 'm20r', 'This will be an excellent example of Imperial justice, second only to Alderaan.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '158', 'm20p', 'Aiding the Rebellion invokes genocide. All species must support the New Order.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '159', 'm20t', 'Punish the Mon Calamari');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '160', 'm20s', 'The Empire is pleased with your performance, agent. The Mon Calamari will pay for the thousands of Imperial lives lost at Yavin with millions of their own.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '161', 'm21d', 'A Rebel cell has been identified on a remote planet in the Outer Rim. Pick up the report and deliver it to our Imperial Naval contact. This cell must be wiped out immediately. Take no prisoners.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '162', 'm21l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '163', 'm21o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '164', 'm21f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '165', 'm21r', 'I think one Star Destroyer with a full complement of stormtroopers ought to suffice.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '166', 'm21p', 'This assignment requires an Imperial naval captain who is not squeamish.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '167', 'm21t', 'Destroy a Rebel Colony');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '168', 'm21s', 'Your service helps the Imperial war machine run smoothly. You deserve to be rewarded.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '169', 'm22d', 'We\'ve been instructed to locate some sort of rare crystal on Mimban. Collect and deliver Intelligence\'s instructions to our local agent. He should contact Captain-Supervisor Grammel to secure his help. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '170', 'm22l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '171', 'm22o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '172', 'm22f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '173', 'm22r', 'Mimban? Isn\'t that a small mining colony? I will follow these instructions to the letter.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '174', 'm22p', 'We never question the Emperor\'s instructions, citizen. Never.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '175', 'm22t', 'Find the Mimban Crystal');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '176', 'm22s', 'We must pursue all leads that might result in the destruction of the Rebellion. Your efforts are noted, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '177', 'm23d', 'A seller of antiques claims to possess rare Sith artifacts. The Emperor himself has commanded that this individual be arrested and these artifacts confiscated, if they exist. Collect and deliver the warrant to our operative.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '178', 'm23l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '179', 'm23o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '180', 'm23f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '181', 'm23r', 'I was wondering when we\'d get around to bringing in this dealer. It\'s as good as done.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '182', 'm23p', 'I don\'t understand the fascination that old religion holds for Imperial citizens. Superstition, I suppose.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '183', 'm23t', 'Retrieve Sith Artifacts');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '184', 'm23s', 'Job well done, agent. The Emperor will be informed of your assistance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '185', 'm24d', 'An influential Imperial dignitary has been proven a traitor. He must be removed quietly, in order to avoid alerting his allies. Collect a Scarab assassin droid and deliver it to our agent. We\'ve made sure the droid will be traced back to Rebel operatives. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '186', 'm24l', 'Small assassin droid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '187', 'm24o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '188', 'm24f', 'Filename_of_object');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '189', 'm24r', 'You sure I won\'t be implicated in this? This guy\'s got a lot of friends on Coruscant.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '190', 'm24p', 'A fitting end for such a vile traitor, wouldn\'t you agree?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '191', 'm24t', 'Scarab Assassin Droid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '192', 'm24s', 'Well done, agent. Your service to the Empire has been noted, and your future looks rosy indeed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '193', 'm25d', 'The Emperor wants to know how a Jedi Knight, especially one as dangerous as Obi-Wan Kenobi, could have hidden for so long. Our agent is to turn Tatooine inside out in an effort to answer this question. The Emperor\'s instructions are on an encrypted datadisc that you must collect and deliver. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '194', 'm25l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '195', 'm25o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '196', 'm25f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '197', 'm25r', 'I\'m sure the Hutts helped hide this fugitive. Those creatures will do anything for money.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '198', 'm25p', 'I certainly hope there aren\'t any more Jedi secretly aiding the Rebellion. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '199', 'm25t', 'Investigate Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '200', 'm25s', 'Trusted agents are hard to find. The Empire wants to insure your continued allegiance by demonstrating how lucrative it can be to serve the Emperor.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_imperial_medium_non_persistent_from_npc.stf', '201', 'number_of_entries', '25');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '1', 'm1d', 'This datadisc holds an important chemical formula that we believe can lead towards a cure to multiple dangerous diseases. It needs to be hand-delivered to medical personnel; we have multiple couriers going out, as well as electronic transmissions. We are taking all necessary precautions because it is completely vital that this reach its destination, do you understand? Thousands or even millions may die.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '2', 'm1l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '3', 'm1o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '4', 'm1r', 'Ah, another copy of the antidote compounds. Fortunately, we received the electronic transmission early on, and were able to contain the outbreak. There\'s no danger now. But thank you anyway.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '5', 'm1f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '6', 'm1s', 'The unpredictable nature of this epidemic means there could be other outbreaks. We must be ready!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '7', 'm1p', 'I advise you not to mention the outbreak to anyone; no sense in causing a riot. Deliver this quickly, for lives are at stake.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '8', 'm1t', 'Into the Hot Zone');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '9', 'm2d', 'My grandfather recently passed away. After my grandmother died, he always told us stories of his childhood sweetheart, \"the one that got away.\" He would write letters to her, letters that were never sent. Now he\'s gone, and I think the right thing to do is have these letters delivered at long last. Can you take the archive to her family? I don\'t feel I can face this woman myself.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '10', 'm2l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '11', 'm2o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '12', 'm2r', 'Oh dear. Love letters for my grandmother -- she just passed away yesterday. You\'re too late.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '13', 'm2f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '14', 'm2s', 'That\'s terrible news. I feel so bad that I waited this long. Possibly if you had got there just a little sooner -- but no, it\'s not your fault.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '15', 'm2p', 'Will you take these letters? I don\'t feel right walking up to this old lady\'s family and handing over these love letters -- I remember my grandmother too well.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '16', 'm2t', 'Old Love Letters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '17', 'm3d', 'I suggest you not look at these images; they are potentially incriminating, and knowledge of their contents could put your name on bounty hunters\' lists throughout the galaxy. Just deliver them, no questions asked, discreetly and quickly. Trust me, I am revealing the horrible corruption at the highest levels of government. But I need your help to do it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '18', 'm3l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '19', 'm3o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '20', 'm3r', 'Thank you for being a perfect patsy! Now we can arrest the person who sent you for high treason against the Empire. You\'re free to go.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '21', 'm3f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '22', 'm3s', 'FROM THE IMPERIAL SECURITY BUREAU: The holder of this account has been detained by the Empire for investigation of criminal activity. Do not attempt to contact the account holder. That is all.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '23', 'm3p', 'Don\'t show these documents to anyone. Don\'t look at them yourself. And trust me, you\'re doing the right thing.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '24', 'm3t', 'Illegal Activity?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '25', 'm4d', 'This refinement to the typical twinline turbo design of the swoop engine flux chamber permits over 700 rotations per second using class C or better material manufacturing processes. We need these experimental blueprints delivered to our agent secretly, so that our competitors get no warning.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '26', 'm4l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '27', 'm4o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '28', 'm4r', 'I hope you were cautious and discreet as you travelled. Thank you for the delivery.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '29', 'm4f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '30', 'm4s', 'This refinement lets us shave almost three credits off typical SKU assembly cost for the mid-sized speeder and swoop engine. This could mean billions of additional credits in a typical revenue cycle. Thank you for your help!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '31', 'm4p', 'Here are the plans for the new engine. Please deliver them promptly, and keep them quiet!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '32', 'm4t', 'New Engine Schematics');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '33', 'm5d', 'They\'re saying that they may have to arrest our friend because of a lack of identity papers. Well, we have the papers in question, obtained quite legally, I assure you. All we need is someone to give them to an arranged intermediary so that the harassment by authorities can stop!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '34', 'm5l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '35', 'm5o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '36', 'm5r', 'Perfect. Now we know exactly whom to arrest. Thanks for being so helpful, citizen -- and remember, the Empire is always watching.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '37', 'm5f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '38', 'm5s', 'FROM THE IMPERIAL SECURITY BUREAU: The holder of this account has been apprehended on criminal charges. Do not attempt to contact the account holder. Long live the Emperor!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '39', 'm5p', 'Here are the identity documents. Please make sure that they arrive promptly!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '40', 'm5t', 'Important Identity Documents');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '41', 'm6d', 'They\'re saying that they may have to arrest our friend because of a lack of identity papers. Well, we have the papers in question, obtained quite legally, I assure you. All we need is someone to give them to our friend so that the harassment by authorities can stop!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '42', 'm6l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '43', 'm6o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '44', 'm6r', 'How wonderful! With this, we can save our friend from imprisonment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '45', 'm6f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '46', 'm6s', 'Our friend has made it offworld to a safe harbor, thanks to you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '47', 'm6p', 'Here are the identity documents. Please make sure that they arrive promptly!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '48', 'm6t', 'Important Identity Documents');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '49', 'm7d', 'I feel guilty that it has taken this long for this legal document to be delivered. I know that we should not have kept an indentured servant so long, but over time, it felt like we were all one big happy family. But now, we\'ve moved away, and well, it\'s time for justice to be done and for freedom to have its day.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '50', 'm7l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '51', 'm7o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '52', 'm7r', 'Oh... well, that\'s ironic. She ran away yesterday. I guess she couldn\'t wait any longer for freedom.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '53', 'm7f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '54', 'm7s', 'Giving an indenture servant freedom is one thing, but condoning escape only weakens the whole system. I have reported the fugitive to Imperial authorities.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '55', 'm7p', 'I hope our servant gets joy from this.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '56', 'm7t', 'Manumission Documents');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '57', 'm8d', 'I can\'t tell you what this is about. I\'d have you deliver the actual compound, but it would probably explode. Or melt through the world. Or both. Or neither. You know, it\'s very unstable. But the commercial applications! Stunning! In any case, we need you to deliver the formula, if you could.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '58', 'm8l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '59', 'm8o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '60', 'm8r', 'Ah, thank you for delivering the formula! We shall test it immediately, and hope it doesn\'t blow up.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '61', 'm8f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '62', 'm8s', 'Evidently the experimental lab blew up. It is unclear whether my compound had anything to do with this. Well, no great breakthrough was ever won easily.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '63', 'm8p', 'Here you go, the datadisc with the formula. I feel sure this compound will prove to have tremendous military and medical applications.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '64', 'm8t', 'Chemical Melts Through Planets');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '65', 'm9d', 'We need a confidential courier to deliver these private business communiques. We hope you are up for the job -- normally we use only bonded and qualified couriers, but we\'re in a hurry. It is vital that these documents reach their intended destination quickly, as there are millions of credits at stake.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '66', 'm9l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '67', 'm9o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '68', 'm9r', 'Thank you for the delivery.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '69', 'm9f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '70', 'm9s', 'Thank you. When you see the new model Howlrunner emerge from the Empire\'s production lines, you can say, \"I helped with that.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '71', 'm9p', 'Here are the communiques. They\'re encrypted, so don\'t bother trying to read the datadisc. The recipient will know how to decrypt them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '72', 'm9t', 'Private Business Communiques');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '73', 'm10d', 'My new solo recording of kloo-horn pieces, including an all-new rendition of the classic \"Soaring Banthas at Sunset,\" is finished. But I need someone to hand-deliver it to my sound engineer. I don\'t trust HoloNet compression routines, you know, they\'re lossy algorithms that ruin the tone. I\'m kind of distracted by a personal crisis, so I really need these tracks taken quick. Be a friend, huh? You\'ll love the guys at the mastering joint, they\'re smooth.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '74', 'm10l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '75', 'm10o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '76', 'm10r', 'Hey, thanks. That is a good thing, delivering these gonzo sounds. A good thing. -- Uh, sorry, was I saying something? Never mind. Take care, okay? I\'ll go check out the vibes on this. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '77', 'm10f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '78', 'm10s', 'Thanks, buddy. This recording is going to blow your mind, it\'s the best kloo-horn material ever, I swear. My girlfriend says I\'m a genius, and she used to write for the music rags, so she should know.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '79', 'm10p', 'If you lose this disc, mister \"artiste\" is going to have a fit. I don\'t know why he doesn\'t just transmit the stupid thing. Like compression would make his stupid bleatings sound worse!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '80', 'm10t', 'Solo Kloo-Horn Recording!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '81', 'm11d', 'My grandfather recently passed away. After my grandmother died, he always told us stories of his childhood sweetheart, \"the one that got away.\" He would write letters to her, letters that were never sent. Now he\'s gone, and I think the right thing to do is have these letters delivered at long last. Can you take the archive to her family? I don\'t feel I can face this woman myself.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '82', 'm11l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '83', 'm11o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '84', 'm11r', 'Love letters for my grandmother, eh? Tell the truth, I am not sure I should deliver them -- well, okay. Who am I to stand in the way of an old romance?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '85', 'm11f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '86', 'm11s', 'I\'ve received a touching note from the \"other woman.\" She was very grateful. You can be proud.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '87', 'm11p', 'Will you take these letters? I don\'t feel right walking up to this old lady\'s family and handing over these love letters -- I remember my grandmother too well.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '88', 'm11t', 'Old Love Letters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '89', 'm12d', 'My cousin was remembered in my late father\'s will. I don\'t trust this information over the normal communications channels -- it\'s not much of an inheritance, and if I go through the normal channels, it\'s bound to be taxed down to zero. I\'m asking you to deliver the information regarding the inheritance, and I\'m willing to pay a modest fee.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '90', 'm12l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '91', 'm12o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '92', 'm12r', 'Ah, what\'s this? An inheritance? Why, thank you so much! I had heard that my uncle passed away, but we were never close. This is quite unexpected!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '93', 'm12f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '94', 'm12s', 'I attach your fee, which pays for services rendered -- and for your reasonable discretion.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '95', 'm12p', 'Here you go. The information about the inheritance is in this datadisc. Please make sure it ends up in my cousin\'s hands only!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '96', 'm12t', 'Inheritance Notification');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '97', 'm13d', 'I suggest you not look at these images; they are potentially incriminating, and knowledge of their contents could put your name on bounty hunters\' lists throughout the galaxy. Just deliver them, no questions asked, discreetly and quickly. Trust me, I am revealing the horrible corruption at the highest levels of government. But I need your help to do it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '98', 'm13l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '99', 'm13o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '100', 'm13r', 'What, is this all? Nobody cares about the stupid old scandal. Oh well, I guess it was easy credits for you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '101', 'm13f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '102', 'm13s', 'No reply? Well, I\'ll keep working to spread the truth!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '103', 'm13p', 'Don\'t show these documents to anyone. Don\'t look at them yourself. And trust me, you\'re doing the right thing.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '104', 'm13t', 'Illegal Activity?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '105', 'm14d', 'Ah, the delicate savory flavor of carefully filleted colo claw fish, with the lightest sauce of fermented blue milk, rockmite honey, and a secret mix of herbs and spices! The aroma as you ladle the broth from a masterfully crafted soup. The explosion of sensations on your tongue, enough to satisfy the greatest gourmands in the galaxy. This is my greatest work in the greatest art of all, the ephemeral art of cookery! And I need you to hand-deliver it to my rival, just so that I can know that he saw it personally, and will weep at the very idea of ever equalling my exquisite mastery!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '106', 'm14l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '107', 'm14o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '108', 'm14r', 'Mmmm, this looks good. I wonder why this guy keeps sending me these great recipes. I wonder if he has the wrong person?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '109', 'm14f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '110', 'm14s', 'Soon I shall prepare yet another culinary masterpiece. My rival\'s ego will endure further unbearable torment! Oh, I am bad, I am bad, but I cannot resist.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '111', 'm14p', 'Be sure to watch as that scoundrel rival cringes! Weeps! Despairs of ever mastering this dish!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '112', 'm14t', 'Colo Claw in Honeyed Spice-Milk');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '113', 'm15d', 'My whole livelihood is tied up in this new blaster design -- I\'ve spent years perfecting it, and I am positive it will cause a revolution. I don\'t trust this design to the HoloNet. There are too many clever slicers looking for industrial secrets. I need you to carry it to the industrialist whom I hope will agree to manufacture it. He says he will have a representative waiting.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '114', 'm15l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '115', 'm15o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '116', 'm15r', 'Another wannabe blaster designer. If you\'ve seen one, you\'ve seen a million. Well, we\'ll look at it and see if it\'s any good. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '117', 'm15f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '118', 'm15s', 'Thanks for delivering my blaster design. If it works, you can tell everyone you played a part in revolutionizing blaster technology.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '119', 'm15p', 'Here. Please don\'t lose it, and please be careful with it! My whole life is tied up in this blaster design.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '120', 'm15t', 'Blaster Schematics');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '121', 'm16d', 'It may seem incredible, but we have become convinced that these ancient stone carvings found on numerous worlds, including even Corellia and Coruscant itself, are in fact of Jawa origin! Should our hypothesis prove true, it will reveal much about the galaxy long, long ago. We need someone to carefully hand-carry local specimens of stone tablets to a lab for analysis.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '122', 'm16l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '123', 'm16o', 'Imperial Archaeological Division');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '124', 'm16r', 'Amazing data. Have you heard that the trade routes of the Jawa form a perfect ten-pointed star on the sand? You can sharpen a vibroblade if you leave it at the center.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '125', 'm16f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '126', 'm16s', 'We believe that phonemic analysis of spoken Jawa language, when combined with an analysis of their typical migratory patterns across the sands of Tatooine, reveals a degenerate form of what was once a highly vibrant culture capable of spacefaring, advanced weaponry, and a high degree of cultural attainment. This is so exciting! A major breakthrough in archaeology.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '127', 'm16p', 'Be careful; these three-dimensional scans of the stone tablets are priceless. We\'ve made backups, of course, but we need the lab to examine them quickly.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '128', 'm16t', 'Jawas Were Spacefarers!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '129', 'm17d', 'I suggest you not look at these images; they are potentially incriminating, and knowledge of their contents could put your name on bounty hunters\' lists throughout the galaxy. Just deliver them, no questions asked, discreetly and quickly. Trust me, I am revealing the horrible corruption at the highest levels of government. But I need your help to do it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '130', 'm17l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '131', 'm17o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '132', 'm17r', 'This is incredibly important. With this we can finally expose corruption and malfeasance among Imperial tax agencies. Thank you so much for delivering this!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '133', 'm17f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '134', 'm17s', 'This will shake the foundations of the Empire! And we will remember your role in our breakthrough.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '135', 'm17p', 'Don\'t show these documents to anyone. Don\'t look at them yourself. And trust me, you\'re doing the right thing.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '136', 'm17t', 'Illegal Activity?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '137', 'm18d', 'I don\'t think you should look at these passcodes. Are we clear? It might not be healthy. In fact, these might not be passcodes at all. Why don\'t you tell yourself they are something silly and harmless, like love letters or recipes or something, okay? Great, just so we understand each other. Be sure you hand them to the right person.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '138', 'm18l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '139', 'm18o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '140', 'm18r', 'We\'ve been tracking your progress. We\'ve identified you. We know everything important about you. Remember that.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '141', 'm18f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '142', 'm18s', 'We\'ll know if you looked at these codes. And we know where you live. So if you find yourself suddenly dead, you have only yourself to blame.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '143', 'm18p', 'Don\'t look at these. Don\'t ask what building they\'re for. Don\'t ask who is hiring you. Don\'t ask who is receiving them. Just do as you\'re told and get paid.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '144', 'm18t', 'Secret Passcodes');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '145', 'm19d', 'This software is confidential and critical. Suffice it to say that it has significant military applications. We need you to hand carry it, at the client\'s insistence; they are extremely paranoid about it going over the HoloNet. Please deliver it to their representative at the agreed location.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '146', 'm19l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '147', 'm19o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '148', 'm19r', 'Thanks for delivering the software. How high is your security clearance? All right, never mind.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '149', 'm19f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '150', 'm19s', 'Thanks, we couldn\'t have done it without you. You fee has been deposited.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '151', 'm19p', 'Here\'s the software. Please deliver it promptly. And don\'t bother trying to run it -- I promise you don\'t have the required hardware.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '152', 'm19t', 'Hand-Carry Vital Software');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '153', 'm20d', 'I have sold an impregnable warehouse, and I need to hand-deliver keycodes to the structure. I don\'t want them on the HoloNet, of course, or some slicer will get access to a valuable piece of real estate -- a triple-A secured facility suitable for biomedical materials, weapons grade research, that sort of thing. I want you to deliver them, by hand, to the purchaser.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '154', 'm20l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '155', 'm20o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '156', 'm20r', 'Thanks! I don\'t know why the seller was so concerned about hand-delivering the keycodes. I figure this building will make a great cantina. I don\'t plan to ever lock it!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '157', 'm20f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '158', 'm20s', 'Cantina! Gad!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '159', 'm20p', 'Here are the keycodes. Don\'t bother trying to get at them, they\'re encrypted. This facility is practically impregnable, I am sure the buyer will be pleased.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '160', 'm20t', 'Secure Warehouse Keycodes');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '161', 'm21d', 'I need you to deliver a letter. Here is an excerpt: \"I hate you. I never want to see you again. Oooh, you make me so mad. Don\'t try to deny you\'ve been seeing someone else! I saw you! I hope you get stepped on by an overweight bantha and die! I hope you break out with a terrible skin disease! I can\'t believe I ever thought I loved you! HATE HATE HATE!\" Be sure to sneer as you deliver it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '162', 'm21l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '163', 'm21o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '164', 'm21r', 'But -- but -- I\'m still in love -- this is all a misunderstanding -- oh no!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '165', 'm21f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '166', 'm21s', 'My sweetheart called. My stupid letter almost broke up a wonderful romance, and you let me do it! I HATE YOU! HATE HATE HATE!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '167', 'm21p', 'I shouldn\'t even bother to send this, but I can\'t resist.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '168', 'm21t', 'I Hate Hate Hate You');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '169', 'm22d', 'I need you to deliver a party invitation. It\'s a private affair; all relevant information is on the datadisc. Just to be clear, you\'re not invited -- your sort wouldn\'t be welcome there, you really wouldn\'t fit in. No offense.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '170', 'm22l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '171', 'm22o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '172', 'm22r', 'Oooh, a party! Great, I can\'t wait to show off my new purple peko-peko boa!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '173', 'm22f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '174', 'm22s', 'Thank you so much. You may hear about the party in HoloNet society news coverage.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '175', 'm22p', 'The party information is on this datadisc. Please be discreet.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '176', 'm22t', 'Private Party Invitation');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '177', 'm23d', 'We need to hand-deliver this important policy speech to a local government official -- there\'s some big event happening, and the speech needs to be presented then. For some reason, we can\'t get through via the regular HoloNet channels, so we\'re counting on you to deliver it!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '178', 'm23l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '179', 'm23o', 'Imperial Communications Office');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '180', 'm23r', 'Well, the event was cancelled, but thanks for the speech anyway!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '181', 'm23f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '182', 'm23s', 'The event is apparently getting rescheduled. We may need your help again. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '183', 'm23p', 'This speech needs to be delivered in advance of the big event. I hope you make it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '184', 'm23t', 'Important Policy Speech');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '185', 'm24d', 'We need you to deliver a summons. Our regular couriers are unavailable, and this case needs prompt investigation. Simply serve the summons, and don\'t engage the recipient in any significant conversation -- trust us, it won\'t go well.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '186', 'm24l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '187', 'm24o', 'Imperial Circuit Court');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '188', 'm24r', 'A summons? What? Hey now, why am I getting a summons?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '189', 'm24f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '190', 'm24s', 'The recipient has relayed acceptance of the summons, and promises to be indisputably and vocally present in court at the appointed time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '191', 'm24p', 'Here\'s the summons. Just hand it to the recipient and leave. Not much point in talking.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '192', 'm24t', 'Serve a Circuit Summons');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '193', 'm25d', 'This is my manuscript of poetry. Here\'s a sample: \"Like the sight of the peko-peko/Soaring free above the swamps/My love for you hovers, rises, delicate yet strong/And disappears only into the glory of sunsets.\" I need you to deliver the datadisc to my publisher.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '194', 'm25l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '195', 'm25o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '196', 'm25r', '\"Like the sight of the peko-peko\"? Oh brother.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '197', 'm25f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '198', 'm25s', 'I can\'t believe this rejection! Not only the rejection itself, never mind that, but the speed of it! Did you say something bad to the publisher?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '199', 'm25p', 'These poems are the expressions of my heart. Be careful with them, please!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '200', 'm25t', 'Unspeakably Sensitive Poetry');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '201', 'm26d', 'Well, I finished off my latest batch of scribblings. I barely call them stories, really, hardly worthy of the name. Writers mostly scribble anyhow; aren\'t many who have anything worth saying. Anyway, for whatever reason, a publisher wants to see these. So go ahead, take them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '202', 'm26l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '203', 'm26o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '204', 'm26r', 'Great! This writer is fantastic. It\'s a real honor to publish these stories. I only hope that the political content is a little more -- subdued this time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '205', 'm26f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '206', 'm26s', 'Really, the whole foofaraw over these jottings baffles me. Ah well, life is a mystery.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '207', 'm26p', 'Here you go. If you lose them, I don\'t care. Just trifles, after all.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '208', 'm26t', 'Stories and Scribblings');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '209', 'm27d', '\'Have you ever seen the nocturnal Nexu? Noticed all the different kinds of banthas there are? Now children across the galaxy can learn about amazing animals on a hundred worlds, and in addition see delightful full-color holographs of each beast at work or play.\' That\'s what the blurb says, at any rate. Well, I need someone to deliver this mess, and I guess you\'re it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '210', 'm27l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '211', 'm27o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '212', 'm27r', 'Great, we\'ll rush this to distribution right away.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '213', 'm27f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '214', 'm27s', 'Now the publisher can shill one more sentimental mess to gullible parents. Gaah, I need a drink.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '215', 'm27p', 'I knocked off the writing duties on this hack job in -- well, I won\'t say how quickly, it embarrasses me. Have fun delivering it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '216', 'm27t', 'Wildlife Research Manuscript');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '217', 'm28d', 'My magnum opus, a reference work cataloging the various minerals of the galaxy, is finally complete. Some may call it dry or dull, but it is a grand work of scholarship, and I have been careful to annotate every reference. Every mineral description is accompanied by a holograph of both the mineral itself and of its molecular structure. Now all I need is for you to hand-deliver it to the publisher.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '218', 'm28l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '219', 'm28o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '220', 'm28r', 'Excellent! I imagine that this one will become a bestseller in short order.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '221', 'm28f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '222', 'm28s', 'Thank you. The audience for mineralogical texts across the galaxy is vanishingly small in percentage terms, but in sheer numbers is quite enough to guarantee me a comfortable living.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '223', 'm28p', 'I do hope that you find the time to read my manuscript along the way. I recommend the section on theodolites.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '224', 'm28t', 'Grand Work of Mineralogy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '225', 'm29d', 'I feel guilty that it has taken this long for this legal document to be delivered. I know that we should not have kept an indentured servant so long, but over time, it felt like we were all one big happy family. But now, we\'ve moved away, and well, it\'s time for justice to be done and for freedom to have its day.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '226', 'm29l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '227', 'm29o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '228', 'm29r', 'What? Can it be? Freedom? Freedom! I am free! Free!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '229', 'm29f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '230', 'm29s', 'I feel much better. I wish our former servant well in whatever pursuit freedom brings.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '231', 'm29p', 'I hope our servant gets joy from this.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '232', 'm29t', 'Manumission Documents');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '233', 'm30d', 'Check this thing out! It\'s like a hologame, except you play it piggybacking on the Holonet, see? And you play with thousands of other people at the same time. So I have a copy of it here that\'s, you know, uh, kind of cracked? And I wanna slip it to my friend so we can play together.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '234', 'm30l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '235', 'm30o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '236', 'm30r', 'What, this game? Aw, c\'mon. The lag time from here to the servers on Coruscant is terrible. Plus the controls are way too hard, especially the camera system.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '237', 'm30f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '238', 'm30s', 'Now I\'m all down. Turns out the game server checks for cracked copies. It burned out my rig!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '239', 'm30p', 'This game totally rocks. You have like hundreds of species to choose from, and you can be anything from a smuggler to a bounty hunter to a -- shh, don\'t tell the Empire -- a Jedi! ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '240', 'm30t', 'Wild New Hologame!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy.stf', '241', 'number_of_entries', '30');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '1', 'm1d', 'I\'m submitting my application to the Academy at long last. Won\'t my friends be jealous when they hear I\'ve become a TIE pilot? But I can\'t trust something this important to the HoloNet. Could you pick up my application from my friend\'s home and hand-deliver it to a professional courier?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '2', 'm1l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '3', 'm1o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '4', 'm1f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '5', 'm1r', 'Another star jockey wanna-be, eh? All right, I\'ll see that it\'s delivered to the Academy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '6', 'm1p', 'My best friend\'s future is in your hands. Please be careful and see that it gets to its destination. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '7', 'm1t', 'A New TIE Pilot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '8', 'm1s', 'Thanks, buddy! You\'re the kind of friend someone wishes for. I deposited a little something into your account.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '9', 'm2d', 'I was investigating a missing person\'s case for a client to discover what had happened to their son. Apparently the young man was on Alderaan when it -- well, you know. His final letters are stored on a datadisc. I regret I can\'t deliver the datadisc in person, but I\'m keeping a low profile. My investigation attracted some unwanted Imperial attention.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '10', 'm2l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '11', 'm2o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '12', 'm2f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '13', 'm2r', 'What? This can\'t be! A plague upon the Empire! Those assassins don\'t deserve our loyalty! Oh, my son! My dear son!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '14', 'm2p', 'Please be sensitive when delivering this message. It will no doubt come as a great shock to the recipient.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '15', 'm2t', 'Missing on Alderaan');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '16', 'm2s', 'Did anyone appear to be following you when you made the delivery? I\'d keep a low profile, just in case. Your fee has been transmitted to your account.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '17', 'm3d', 'The happy day has come at last! My only daughter is getting married. Could you pick up the very first holographic invitation from the data engineer and hand-deliver it to my oldest friend? That should make quite an impression.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '18', 'm3l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '19', 'm3o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '20', 'm3f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '21', 'm3r', 'Well, it\'s about time! I knew that girl would get hitched sooner or later. Can\'t wait to tell the family. Wedding invitations on datadisc. Heh! How times change.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '22', 'm3p', 'Here\'s the personalized invitation. This is quite the elaborate presentation, lots of animation and music. Family must be rich.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '23', 'm3t', 'Bring Nuptial News');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '24', 'm3s', 'Thanks for delivering that invitation. My friend was most impressed. I\'m not rich, but my daughter\'s first -- and, I hope, only -- wedding is worth a splurge.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '25', 'm4d', 'I\'ve finished my survey of the Core\'s asteroid fields and have charted every known space slug in those sectors. I need someone to pick up the survey datadisc from my lab and deliver it to a representative of the Imperial Science Department\'s Biology Division -- they need to double-check my stats before we transmit it to the Imperial Information Center.   ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '26', 'm4l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '27', 'm4o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '28', 'm4f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '29', 'm4r', 'Ah, the survey results! I\'ll check these findings immediately. I hope my superiors keep me in mind when assigning scientists to study those space slugs.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '30', 'm4p', 'By delivering this datadisc you are furthering the cause of science. We\'re counting on you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '31', 'm4t', 'Space Slug Survey Map');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '32', 'm4s', 'Thanks for getting that to my colleague so quickly. I\'ve deposited your fee for services rendered.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '33', 'm5d', 'My company has just finished logging the inventory of one of our client\'s holdings. It\'s all been stored on a datadisc that has everything itemized by sale price. The appraisals were done by the most careful and painstaking professionals in the field. Could you pick up the inventory and deliver it to our client?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '34', 'm5l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '35', 'm5o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '36', 'm5f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '37', 'm5r', 'It\'s about time! I paid good money for these appraisals, and I expected them to be done long since. I\'ll adjust my final payment to the company accordingly.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '38', 'm5p', 'Our client is most eager to receive this datadisc. Please relay our apologies for tardiness, but we wanted to be thorough.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '39', 'm5t', 'Precise Inventories Take Time');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '40', 'm5s', 'Thank you for your prompt service. I understand that our client was a tad upset. We\'ll try to smooth things over. Your pay has been deposited.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '41', 'm6d', 'A customer\'s daughter is getting married soon, and she needs a dress in a week. Could you pick up the datadisc containing the dress pattern from my customer? Please deliver it to my colleague\'s fabric shop so I can be sent the appropriate fabrics. I\'m swamped with work and can\'t go myself.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '42', 'm6l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '43', 'm6o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '44', 'm6f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '45', 'm6r', 'This will be quite a dress. The pattern calls for some pretty exotic fabrics -- spidersilk saturated with glimmerdust, prismatic zwill, resublimated nanoweave. Hope this customer is rich.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '46', 'm6p', 'It will be a gown fit for a queen. Do please hurry with the delivery. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '47', 'm6t', 'Beautiful Bridal Gown');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '48', 'm6s', 'Thank you so much for being prompt. If you ever need clothes, look me up -- once I\'m not so swamped, that is.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '49', 'm7d', 'A friend\'s child has been sick, stricken with body sores. I know an old family remedy that never fails, regardless of the species afflicted. Could you pick up the datadisc with the recipe for this poultice and the accompanying herbs from a local pharmacist? Then please deliver the goods to my friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '50', 'm7l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '51', 'm7o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '52', 'm7f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '53', 'm7r', 'My poor child, how she suffers. I\'ll give this remedy a try. Thank you so much for delivering it. I\'ll let my friend know if it worked.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '54', 'm7p', 'Apply this poultice three times a day. Remind the customer to make a fresh batch every day, and wrap the unused portion tightly before throwing it out. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '55', 'm7t', 'Cure for an Ailing Child');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '56', 'm7s', 'My thanks for the prompt delivery. I hope my friend\'s child gets better once this remedy is used.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '57', 'm8d', 'I won\'t be able to attend my nephew\'s birthday celebration this year.  But I made a special holocam recording of me singing his favorite nursery rhymes. Could you pick up the recording and make sure the family gets it in time for the party? Thank you so much.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '58', 'm8l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '59', 'm8o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '60', 'm8f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '61', 'm8r', 'Is this for the birthday boy? I\'m helping put together his party. I\'m sure he\'ll be pleased to get this. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '62', 'm8p', 'Just finished editing the holo. It certainly is -- something. I hope the kid likes it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '63', 'm8t', 'Birthday Gift Is Really Something');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '64', 'm8s', 'I hope my nephew appreciates all my hard work. He can be such a sweet boy if the mood strikes him. Thank you for your help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '65', 'm9d', 'A miner friend found some crystal deposits while out prospecting in the Outer Rim. He won\'t say where exactly he found them. Claims he\'s going to get rich or something. He wants me to have some crystal samples analyzed for him. Can you pick up the samples and deliver them to a mineralogist I know?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '66', 'm9l', 'Crystals');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '67', 'm9o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '68', 'm9f', 'filename_of_object');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '69', 'm9r', 'Crystals, eh? Sure, I\'ll have a look. Prospectors keep dreaming they\'ll find another source of Adegan crystals. They used to use those in lightsabers, you know.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '70', 'm9p', 'These might just be worthless rocks. I hope my friend can help me identify them. Oh, does the word \'Adegan\' mean anything to you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '71', 'm9t', 'Mysterious Crystals');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '72', 'm9s', 'Thanks for delivering those crystals. My friend is always having me check out all sorts of minerals. The mother lode is waiting, somewhere out there.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '73', 'm10d', 'My employer sells antiques to interested buyers. One such collector has paid the proper fee to view my employer\'s wares. Could you pick up an encrypted catalog and deliver it? The collector will know how to retrieve the data.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '74', 'm10l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '75', 'm10o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '76', 'm10f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '77', 'm10r', 'The catalog at last! I\'ve waited a long time for this. The possibility of Sith artifacts! Can you imagine?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '78', 'm10p', 'Nothing is free, pal.  If you want to look, you gotta pay the fee too. Actually, you probably can\'t afford it. Deliver this quick, though, and you might be on your way to earning enough.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '79', 'm10t', 'Antiques Catalog');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '80', 'm10s', 'By the way, the contents of our catalog are confidential. Please respect our privacy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '81', 'm11d', 'Fleek eels are a prized delicacy that must be kept alive until they\'re cooked or else the flavor is greatly diminished. I found a way to preserve the eels so that none of the flavor is lost. I need you to pick up a sample and deliver it promptly to a representative of the Corporate Sector Authority. Their food companies can make millions off my secret recipe!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '82', 'm11l', 'Small container');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '83', 'm11o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '84', 'm11f', 'filename_of_object');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '85', 'm11r', 'This sample will be tested, of course. If it fails to meet our taste standards, there will be no compensation. That is, in fact, what we are expecting.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '86', 'm11p', 'I knew all those years my friend spent studying preservatives would pay off. I hope he doesn\'t forget me when he\'s filthy rich. Please be careful with this delivery!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '87', 'm11t', 'Fleek Eels Soon to Be Preserved');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '88', 'm11s', 'Thanks, citizen! I can\'t wait for those CSA chefs to taste those preserved fleek eels and marvel at my genius!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '89', 'm12d', 'Can you keep a secret? I\'m a great Jedi Master who used to lead the Jedi Council in the days of the Old Republic. We\'re in hiding, waiting for the right moment to destroy the Empire. I need you to pick up a secret message from one of our contacts and deliver it to a fellow Jedi. This is of the greatest importance. Can you handle it?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '90', 'm12l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '91', 'm12o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '92', 'm12f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '93', 'm12r', 'Not this lunatic again! Who is it this time? Last week it was the Emperor. This is just a grocery list, for Corellia\'s sake! Poor sod needs professional help. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '94', 'm12p', 'The fate of the galaxy is in your hands. Know that the Force will be with you, always. Unless you fail. Then you\'re bantha fodder. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '95', 'm12t', 'The Return of the Jedi?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '96', 'm12s', 'Thank you for serving the interests of the Jedi. Soon we shall come out of hiding and restore the Republic. Honest.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '97', 'm13d', 'I finally managed to sell my old JR-4 swoop. Got a good price for it, too. I need you to pick up the title and deliver it to the new owner. Thanks, buddy!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '98', 'm13l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '99', 'm13o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '100', 'm13f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '101', 'm13r', 'The title! Great! I\'ve already started to modify the JR-4. It was in great condition.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '102', 'm13p', 'Here you go. You into speeders and swoops like me and my buddy? Check out the Flare-S swoop if you ever get a chance. Nice.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '103', 'm13t', 'Swoop Title');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '104', 'm13s', 'Thanks for taking care of that for me, buddy. I can\'t wait to buy the new TaggeCo Air-2 swoop. Now that\'s a sweet ride!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '105', 'm14d', 'Someone wants to buy my vintage blaster collection, including my matching set of MB-450\'s. Luxan Personal Armaments is the best, and the Penetrator is the elite of hunting pistols. I have a datadisc -- holographs and detailed specs of everything in my collection -- to be delivered to the buyer. Can you pick it up from my friend?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '106', 'm14l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '107', 'm14o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '108', 'm14f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '109', 'm14r', 'Can\'t wait to see what\'s on this datadisc. I love blasters. Don\'t you? Nothing like the weight of a solid weapon in your hands, eh?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '110', 'm14p', 'My buddy inherited this collection from an uncle. That old-timer was a blaster freak. Wish the old guy had had some lightsabers, you know?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '111', 'm14t', 'Blaster Catalog');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '112', 'm14s', 'Thanks for the delivery. If you ever hear of anyone selling lightsabers, let me know.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '113', 'm15d', 'I once took an interest in genealogy and kept very good records. Now my colleagues think they can use me as a library whenever they wish. Please pick up a copy of my database and deliver it to these annoying scholars. Tell them they can look up the name \"Skywalker\" themselves. The nerve! ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '114', 'm15l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '115', 'm15o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '116', 'm15f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '117', 'm15r', 'I\'m certain the name \"Skywalker\" is important. It may indeed be the key to solving all of the Empire\'s problems! Thank you for bringing this.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '118', 'm15p', 'Please tell this scholar to stop harassing our family or else we shall refuse future requests. Fate of the Empire indeed!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '119', 'm15t', 'Genealogical Studies');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '120', 'm15s', 'My thanks for the prompt delivery. Perhaps now I can get some peace.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '121', 'm16d', 'I\'m a private investigator and I\'m swamped with work. Could you pick up a datadisc of holographs and deliver it to a client? A little matter of a dark suspicion, one partner for another -- the usual stuff. This encrypted disc will settle the matter for good. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '122', 'm16l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '123', 'm16o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '124', 'm16f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '125', 'm16r', 'Finally I\'ll know the truth! I\'m sure this disc will verify my suspicions. Love hurts, you know.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '126', 'm16p', 'I hope this alleviates my client\'s paranoia. Trust is a rare commodity these days.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '127', 'm16t', 'Help a Private Investigator');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '128', 'm16s', 'Thanks for your help. Some days I hate my job, but it\'s a living. Speaking of which, your fee has been deposited.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '129', 'm17d', 'You know they used to clone people, right? I\'m convinced my friend has been cloned for nefarious purposes. I need you to pick up a datadisc containing holographs of the clone in action, taken by an investigator I hired. Then take the disc to my friend. This will prove I\'m right.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '130', 'm17l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '131', 'm17o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '132', 'm17f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '133', 'm17r', 'Sure, I\'ll look at the images, but I just wish my friend would accept the truth. I have not been cloned!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '134', 'm17p', 'Here\'s the disc. I personally think my client\'s friend is just leading a very interesting double life. But I\'m not being paid for my opinion, so --');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '135', 'm17t', 'Mistaken identity?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '136', 'm17s', 'Thanks for delivering those pictures. You should make sure you\'re not cloned, friend. Otherwise you never know what crimes you might be implicated in.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '137', 'm18d', 'My best friend is about to marry someone unworthy. I hired an investigator to follow the mate-to-be. The investigator has holographs that will prove my friend\'s \"true love\" has been unfaithful. I can\'t deliver these myself, or my friend would think I had doctored the images. Can you pick them up and deliver them?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '138', 'm18l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '139', 'm18o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '140', 'm18f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '141', 'm18r', 'What is this? A disc of holographs? What\'s on them? Who sent them? Who are you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '142', 'm18p', 'Here are the holographs. I gotta admit, some of them are rather amusing. But don\'t tell my employer I said that.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '143', 'm18t', 'Incriminating Holographs');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '144', 'm18s', 'Thanks for your help. I hope you didn\'t mention my name. I\'m only trying to save my friend future heartache.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '145', 'm19d', 'I\'m a scout for a major music label and don\'t have time for amateurs. The vocals on these latest sample tracks sound like the death rattle of a Tatooine meewit. This so-called musician included credits to make sure this \'precious\' recording was returned safely. Could you pick it up and get it out of my life? Don\'t try to listen to this mess.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '146', 'm19l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '147', 'm19o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '148', 'm19f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '149', 'm19r', 'They\'ve returned my work? Why? Did they like it? Do I have a contract? What\'s wrong with these people? They\'re Tusken when it comes to music!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '150', 'm19p', 'You gotta listen to a bunch of garbage before you find anyone with even a shred of talent. You don\'t play, by any chance?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '151', 'm19t', 'Bad News for a Musician');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '152', 'm19s', 'Thanks for dropping off that cacophonous mangle. I hope the artist goes into a more appropriate line of work, like custodial duty or food service. Your fee is taken care of.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '153', 'm20d', 'I feel guilty that it has taken this long to deliver a legal document. I know that we should not have kept an indentured servant so long, but over time, it felt like we were all one big happy family. Well, it\'s time for justice to be done and for freedom to have its day. Can you pick up this document from my family and deliver it?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '154', 'm20l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '155', 'm20o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '156', 'm20f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '157', 'm20r', 'What... can it be? Freedom? Freedom! I am free! Free!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '158', 'm20p', 'Here\'s the document. Please inform this individual that they\'ll be missed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '159', 'm20t', 'Free an Indentured Servant');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '160', 'm20s', 'Thanks for getting that done. Next time I\'ll be a bit more conscientious about such things.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '161', 'm21d', 'My friends love keeping up with the latest fashions. An acquaintance is putting a whole bunch of facial tattoo patterns on a datadisc for us. Could you please pick up the disc and deliver it to my friend?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '162', 'm21l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '163', 'm21o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '164', 'm21f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '165', 'm21r', 'Wow! Thanks for the disc. I can\'t wait to try out these new make-up tips. We\'ll be the hit of all the dance clubs. If we ever got to go, that is.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '166', 'm21p', 'It\'s important to keep up with fashion, you know. A person\'s clothes and make-up say a lot. For example, your clothes speak volumes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '167', 'm21t', 'Fashionable Facial Tattoos');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '168', 'm21s', 'Thanks for the delivery. Those tattoos are supposedly worn by the Nightsisters of Dathomir. Wouldn\'t that be a great name for a band? Maybe we\'ll start one. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '169', 'm22d', 'A friend just got the specs for the newest Ommni Box that\'s about to hit the market. This thing can make even the crummiest band sound great. Just what we need! Could you pick up these specs and take them to my band buddy? Once the rest of the band sees this, I know they\'ll chip in with me to buy it. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '170', 'm22l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '171', 'm22o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '172', 'm22f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '173', 'm22r', 'Let\'s see if this toy is as good as my friend claims. If it is, we\'ll send you a copy of our first recording. How\'s that?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '174', 'm22p', 'The specs are on this datadisc. Tell those wanna-be musicians that this Ommni Box can\'t perform miracles. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '175', 'm22t', 'Amateur Band Seeks Ommni Box');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '176', 'm22s', 'This Ommni Box is gonna pave the way for our rise to super-stardom. I just know it! You remember me, I\'m gonna be famous.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '177', 'm23d', 'I\'ve managed to find actual live recordings of krayt dragons. My friend is a naturalist and has been studying krayts for years. A book on the subject is in the works, I understand. Could you pick up the datadisc contains the recordings and drop it off with my friend? I\'m sure they\'d be most useful.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '178', 'm23l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '179', 'm23o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '180', 'm23f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '181', 'm23r', 'The krayt dragon recordings! This will be such a boon to my research. Thank you so much!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '182', 'm23p', 'I\'ve listened to these recordings. Truly amazing stuff. Who knew krayt dragons vocalized to this degree?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '183', 'm23t', 'Help conduct research');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '184', 'm23s', 'I would love to see the look on my friend\'s face when these recordings are played. Alas, if only I wasn\'t so busy I could pay my friend a visit. Thanks for your help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '185', 'm24d', 'Why are power converters so hard to find? I\'ve looked everywhere. Why does this always happen to me? It\'s not fair! I want some power converters! Is that too much to ask? Could you please pick up a purchase order and deliver it to a local supplier for me? I\'d go myself, but I have to finish cleaning some droids.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '186', 'm24l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '187', 'm24o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '188', 'm24f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '189', 'm24r', 'This whiny customer again? I should never have special-ordered those fuel cells. Now I\'ll never get any rest. Fine, I\'ll get right on it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '190', 'm24p', 'Here you go. I hope this supplier can fill this order. That farm kid is getting annoying.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '191', 'm24t', 'Get Some Power Converters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '192', 'm24s', 'Life is so unfair. Did you ever have one of those days? Well that\'s my whole life. Why me? Oh, thanks for your help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '193', 'm25d', 'My friend wants to check out the newest recording by the popular band \"Dance Lords of the Bith.\" If you don\'t find yourself moving to this music, you\'re probably dead. It\'s currently on loan to a neighbor. Could you pick up the recording and deliver it? Can\'t wait to hear this at the club. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '194', 'm25l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '195', 'm25o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '196', 'm25f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '197', 'm25r', 'The Dance Lords! Great! I heard this music is hot jets at the smoothest clubs on Coruscant. Can\'t wait to get smooth to its beat. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '198', 'm25p', 'There you are. This music moves your spirit, you know? Feel the beat, zoomer!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '199', 'm25t', 'Dance Lords of the Bith!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '200', 'm25s', 'Thanks for your help. We should all strive to give the gift of music. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '201', 'm26d', 'I was adopted as a child. After years of searching, I think I\'ve finally found my real mother. Could you pick up some flowers and deliver them to her, along with an invitation to dinner? I can\'t deliver it myself, on the off chance that I\'m wrong. Oh, I hope I\'m not. Thank you so much for your help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '202', 'm26l', 'Flowers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '203', 'm26o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '204', 'm26f', 'filename_of_object');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '205', 'm26r', 'Nope, sorry, you got the wrong person. I\'ve never been a mother and never hope to be. I may accept the dinner invitation anyway, though. And the flowers are nice.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '206', 'm26p', 'A bouquet of flowers as ordered. Is this for a sweetheart? Oh, you\'re doing this for someone else? How nice.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '207', 'm26t', 'Reunite a Family');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '208', 'm26s', 'Thanks so much for giving my mother that invitation. I\'m going to make fleek eel soup. It\'ll be grand! Too bad you can\'t join us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '209', 'm27d', 'Four-cubes will break you spiritually as well as financially. I need someone to pick up a datadisc from my bookie and deliver it to a fellow player. The disc contains codes to access my credits. They\'re all encrypted, so don\'t even think about keeping it. Plus, you wouldn\'t want to add a Hutt to your list of enemies, would you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '210', 'm27l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '211', 'm27o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '212', 'm27f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '213', 'm27r', 'Looks like this loser got some common sense. Good. I was about to start hiring bounty hunters.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '214', 'm27p', 'Some beings just don\'t know when to leave well enough alone. Why is it that gambling attracts so many folks with bad luck? Anyway, here\'s the disc.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '215', 'm27t', 'Pay Off a Hutt');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '216', 'm27s', 'Don\'t gamble, friend. Just don\'t. It leads to an early grave and heartache while you live. And worry not, I instructed my bookie to deposit your fee. Now I\'m totally broke.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '217', 'm28d', 'I\'ve finished the definitive work on training hunting twirrls. It should become quite a popular sport among the nobles and the rich on Coruscant. It is, after all, already a distinguished sport on Naboo for persons of higher breeding. Please pick up my manuscript and deliver it to my editor for proofreading.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '218', 'm28l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '219', 'm28o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '220', 'm28f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '221', 'm28r', 'This author\'s previous works have always been of superior quality -- always well researched. I can\'t wait to peruse this one.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '222', 'm28p', 'Yes, here\'s the manuscript. Have you ever tried twirrl hunting? No, I guess you wouldn\'t have, would you? Carry on.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '223', 'm28t', 'Popularize Twirrl Hunting');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '224', 'm28s', 'Thank you ever so much for taking care of that. I hope you\'ll find my compensation satisfactory. Must run now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '225', 'm29d', 'My partner has just received a new litter of tusk-cats. A friend of ours wants the pick of the litter. Please pick up a datadisc containing holographs of all the cubs from my partner and deliver it our friend. This will help our friend make a good choice. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '226', 'm29l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '227', 'm29o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '228', 'm29f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '229', 'm29r', 'That litter is in already? Splendid! My son has been looking forward to this moment. The cub is for him, you know. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '230', 'm29p', 'Nothing like a strong tusk-cat at your side. These are some of the finest from the top kennels in Theed. I\'m sure these holographs will demonstrate their quality.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '231', 'm29t', 'Help pick a pet');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '232', 'm29s', 'Thanks for your help, friend. I hope our friend finds something worth purchasing.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '233', 'm30d', 'I have finally found my father\'s murderer and have put a price on the killer\'s head. However, due to our past, I will give the wretch a fighting chance. I need you to pick up a copy of the hunt certificate and deliver it to the guilty party. That should give this murderer a chance to make all the proper arrangements. I\'ve made mine.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '234', 'm30l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '235', 'm30o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '236', 'm30f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '237', 'm30r', 'A deathmark? But I\'ve never killed anyone! I\'m innocent! This is all a huge mistake!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '238', 'm30p', 'Feel free to tell this individual that you\'re only the messenger, not the instrument of death itself.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '239', 'm30t', 'A Deathmark');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '240', 'm30s', 'I know this task was unpleasant, and I appreciate your professionalism in carrying it out.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '241', 'm31d', 'You must help me! My cousin has been falsely accused by some vengeful lunatic of murdering a loved one. I need you to pick up the evidence exonerating him -- a commercial transport manifest dated the day this maniac claims the murder took place. The passenger list proves my cousin was on that ship and couldn\'t have murdered anyone!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '242', 'm31l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '243', 'm31o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '244', 'm31f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '245', 'm31r', 'The deathmark has been ordered. This disc proves nothing; records can be falsified. Justice will be served at last.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '246', 'm31p', 'Here\'s the disc! Please hurry! Our cousin\'s life is in your hands!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '247', 'm31t', 'Help Prove Innocence');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '248', 'm31s', 'Thank you for attending to this matter so quickly! I hope our efforts are enough to save my cousin\'s life!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '249', 'm32d', 'My cousin was remembered in my late father\'s will. I don\'t trust this information over the HoloNet -- it\'s not much of an inheritance and is bound to be taxed into oblivion. I\'m asking you to pick up a copy of the will and deliver it to my cousin\'s family. I\'m willing to pay a modest fee.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '250', 'm32l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '251', 'm32o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '252', 'm32f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '253', 'm32r', 'Ah, what\'s this? An inheritance? I had heard that my friend\'s uncle had passed away. I\'ll make sure he gets this when he gets home.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '254', 'm32p', 'Here you go. The information about the inheritance is in this datadisc. Please make sure it ends up in the right hands!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '255', 'm32t', 'About an Inheritance');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '256', 'm32s', 'Thanks for your help. I think this inheritance will come as a surprise to my cousin.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '257', 'm33d', 'I don\'t trust my new blaster design to the HoloNet; there are too many slicers out there on the lookout for industrial secrets. The best way to deliver something confidential is to carry it by hand. I need you to pick up an encrypted datadisc containing my design and carry it to the industrialist whom I hope will agree to manufacture it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '258', 'm33l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '259', 'm33o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '260', 'm33f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '261', 'm33r', 'Another wannabe blaster designer. If you\'ve seen one, you\'ve seen a million. Well, we\'ll look at it and see if it\'s any good. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '262', 'm33p', 'Here. Please don\'t lose it, and please be careful with it! My friend\'s whole life is tied up in this blaster design.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '263', 'm33t', 'Life Tied Up in a Blaster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '264', 'm33s', 'Thanks for delivering my blaster design. If it works, you can tell everyone you played a part in revolutionizing blaster technology.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '265', 'm34d', 'This software is confidential and critical. Suffice it to say that it has significant military applications. We need you to hand carry it, at the client\'s insistence; they are extremely paranoid about it going over the HoloNet. Please deliver it to their representative at the agreed location.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '266', 'm34l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '267', 'm34o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '268', 'm34f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '269', 'm34r', 'Thanks for delivering the software. How high is your security clearance? All right, never mind.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '270', 'm34p', 'Here\'s the software. Please deliver it promptly. And don\'t bother trying to run it -- I promise you don\'t have the required hardware.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '271', 'm34t', 'Deliver critical software');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '272', 'm34s', 'Thanks, buddy, we couldn\'t have done it without you. You fee has been deposited.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '273', 'm35d', 'I need someone to pick up a summons and deliver it. My regular runners are not available, and this case needs to be investigated promptly. Simply serve the summons, and don\'t engage the recipient in any significant conversation -- trust me, it won\'t go well.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '274', 'm35l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '275', 'm35o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '276', 'm35f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '277', 'm35r', 'A summons? What? Hey now, why am I getting a summons?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '278', 'm35p', 'Here\'s the summons. Just hand it to the recipient and leave. Not much point in talking.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '279', 'm35t', 'Deliver a summons');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '280', 'm35s', 'Thanks for your help. I hope you weren\'t given a hard time. Your fee has been taken care of.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_easy_non_persistent_from_npc.stf', '281', 'number_of_entries', '35');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '1', 'm1d', 'This message is of the greatest importance. My friend has been searching the galaxy for a long-lost love. I\'ve just received word that my friend\'s love was killed in a transport accident last year. I wish to save my friend further expense and heartache. Please deliver the notice as promptly as possible.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '2', 'm1l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '3', 'm1o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '4', 'm1r', 'What? My love has been killed? No! Say it isn\'t so! How can I go on living? Please leave me now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '5', 'm1f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '6', 'm1s', 'mission_success_mail');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '7', 'm1p', 'My friend will be quite shaken by this news. Please be sensitive. The search has taken a long time. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '8', 'm1t', 'Tragic News');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '9', 'm2d', 'I\'ve learned that Jabba the Hutt has placed a huge bounty on the head of my friend. Rumor has it that Boba Fett himself has taken an interest. My friend must go into hiding at once. This may well prove a perilous mission. Can you deliver the warning?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '10', 'm2l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '11', 'm2o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '12', 'm2r', 'Boba Fett? After me? Thanks for the warning. I gotta disappear and quick!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '13', 'm2f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '14', 'm2s', 'It looks like my friend is going offworld. Way offworld. You can tell that to any bounty hunters you happen to see. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '15', 'm2p', 'Careful on your travels. Remember that bounty hunters will be after my friend. If you see Boba Fett, run. Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '16', 'm2t', 'Jabba Hunts My Friend');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '17', 'm3d', 'A friend is trying to buy an ancient Sith artifact. An archeologist I know discovered something of its history and has included the findings on a datadisc. Please collect this disc and deliver it immediately. I hope I\'m not too late to save my friend from a terrible fate.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '18', 'm3l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '19', 'm3o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '20', 'm3r', 'Nonsense! The artifact is perfectly safe. Soon the entire galaxy will understand all about the Sith. Begone and trouble me no more, puny mortal.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '21', 'm3f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '22', 'm3s', 'I hope you weren\'t too late to save my friend from a terrible fate. I must visit soon and see about destroying that artifact.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '23', 'm3p', 'You must warn my friend not to fall asleep with this dreadful artifact in the room. It contains the spirit of an ancient and evil Sith Lord. Go quickly!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '24', 'm3t', 'Warn of Sith Artifact');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '25', 'm4d', 'My friend\'s father has become deathly ill. For some reason, normal HoloNet messages aren\'t getting through -- maybe the Imperial Army imposed one of their blackouts. Please deliver the news, along with this datadisc with directions to the bacta facility holding the father. I hope my friend gets the news before it\'s too late.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '26', 'm4l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '27', 'm4o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '28', 'm4r', 'Oh no! This is terrible news! I must contact my father at once. Thank you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '29', 'm4f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '30', 'm4s', 'My friend should make it to the bacta facility in time to have a last long conversation. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '31', 'm4p', 'We don\'t know how much time the father has left. Please hurry! ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '32', 'm4t', 'News of an Illness');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '33', 'm5d', 'I finally found a buyer for my centuries-old Core World Arms pulse-blast rifle. Obviously such a valuable item must be hand-delivered. It\'s packed securely. This collector travels a lot to dangerous areas, so be on your guard.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '34', 'm5l', 'Antique blaster rifle');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '35', 'm5o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '36', 'm5r', 'Ah, my rifle! Lucky you found me. I was on the next transport out of here. This might come in handy where I\'m going. My thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '37', 'm5f', 'filename_of_object');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '38', 'm5s', 'I wish I knew how that buyer earns enough credits both to buy antique weapons and also to travel around the galaxy. Hmm, I wonder if one habit explains the other?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '39', 'm5p', 'These adventurers, always planet-hopping! Hope you find this one.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '40', 'm5t', 'Antique Blaster Rifle');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '41', 'm6d', 'These nobles and their ridiculous vendettas. A rich client who had been staying with us left his customized dueling vibrorapier in our home. Now the client needs it to settle a matter of honor, or somesuch nonsense. Could you please deliver it quickly? No telling what sort of trouble you might encounter on your travels. This noble has a habit of making enemies.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '42', 'm6l', 'Vibrorapier');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '43', 'm6o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '44', 'm6r', 'Aha! Now at last my honor can be defended. No one accuses me of cheating. No one!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '45', 'm6f', 'filename_of_object');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '46', 'm6s', 'I hope my client survives the ordeal. I haven\'t been paid yet.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '47', 'm6p', 'I certainly hope you don\'t think dueling is honorable. Whatever happened to \"forgive and forget\"?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '48', 'm6t', 'Dueling Vibrorapier');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '49', 'm7d', 'This cargo is delicate, and you must be especially careful with its transport and delivery. A client has purchased a couple of Neimoidian pylat bird eggs. I don\'t need to tell you that these are rare and expensive. This animal collector has been looking for these for some time. Get them there whole and you\'ll be well-rewarded.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '50', 'm7l', 'Small box');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '51', 'm7o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '52', 'm7r', 'My birds! Well, they\'re going to be. Ever heard their song? Enchanting. Thanks so much.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '53', 'm7f', 'filename_of_object');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '54', 'm7s', 'I am happy to spread the word of your careful and delicate egg handling. I hope you will consider more work of this kind in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '55', 'm7p', 'These eggs need to be maintained at a constant temperature. The sealed container controls that. Don\'t open it. Don\'t jostle it. Don\'t get into blaster battles if you can help it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '56', 'm7t', 'Pylat Bird Eggs');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '57', 'm8d', 'Our friend\'s sister has just given birth! The family would love for my friend to return home at once and see the newborns. Could you pick up a datadisc, which contains pictures of the new family, from my home and deliver it and the good news? Tell my friend to hurry home. Many thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '58', 'm8l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '59', 'm8o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '60', 'm8r', 'This is wonderful news! Thank you! I\'ll book the next transport out of here. Those are some cute newborns!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '61', 'm8f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '62', 'm8s', 'Thanks for getting the word to my friend. I hope the pictures were appreciated.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '63', 'm8p', 'I\'m sure our friend will want to race home once they see this datadisc. I know it\'s a long way to go but it\'s for a good cause.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '64', 'm8t', 'Birth Announcement');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '65', 'm9d', 'I own a speeder shop and have recently bought out my partner, who\'s been away conducting some personal business. Could you pick up a datadisc from my accountant and deliver it to my ex-partner? It contains all the documents showing that my takeover was quite legal. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '66', 'm9l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '67', 'm9o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '68', 'm9r', 'I can\'t be bought out! My grandfather opened that shop! This is an outrage! I\'ll go deal with this personally. Maybe with a blaster.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '69', 'm9f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '70', 'm9s', 'Purge yourself of sentimentality if you want to run an efficient business. Profits come to those who act quickly and decisively.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '71', 'm9p', 'I\'m sure my partner -- or, I should say, \"ex-partner\" -- will be quite surprised. Leave before you get hurt.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '72', 'm9t', 'Buy-Out News');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '73', 'm10d', 'My mate is currently off on another so-called \'adventure.\' Please deliver the news that we are no longer married. I\'ve decided to get an annulment. This datadisc contains all the legal documents. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '74', 'm10l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '75', 'm10o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '76', 'm10r', 'My mate is leaving me? Well, good riddance. I never really felt understood anyway.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '77', 'm10f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '78', 'm10s', 'Thanks for your help. I hope my former mate finds happiness, and I regret I was not able to provide it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '79', 'm10p', 'I knew this union would never work. I should have listened to my mother.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '80', 'm10t', 'Deliver divorce decree');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '81', 'm11d', 'My boss\' ship is currently stuck at a starport because this cheapskate doesn\'t want to pay the full price for a new hyperdrive motivator. I need someone to pick up a refurbished model and deliver it as soon as possible. Could you do this for me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '82', 'm11l', 'Hyperdrive motivator (a mechanical part thingee)');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '83', 'm11o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '84', 'm11r', 'It\'s about time! My ship has been stuck on this planet for weeks. I\'m gonna fire my lazy employee when this is over. And you, you slowpoke, don\'t you know -- hey, where are you going?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '85', 'm11f', 'filename_of_object');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '86', 'm11s', 'I hope my boss didn\'t yell at you too much. I was instructed not to pay you, but I\'m ignoring that and depositing your fee. Why should I worry about orders if I\'m getting fired anyway?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '87', 'm11p', 'That boss can be a bit grumpy. Could you say you got lost and that\'s why the delivery is late? Please?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '88', 'm11t', 'Refurbished Hyperdrive Motivator');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '89', 'm12d', 'A friend recently joined some other scientists to study some rare mineral formations but forgot some key instruments. These intruments have been calibrated to precise specifications, and so my friend wants them delivered rather than buying new ones. Could you pick them up and see to it that they are delivered safely?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '90', 'm12l', 'Scientific tools');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '91', 'm12o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '92', 'm12r', 'My instruments! I was so worried. I\'ve had this set since graduating from the Academy. They\'re priceless to me. Many thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '93', 'm12f', 'filename_of_object');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '94', 'm12s', 'Glad to hear you made it. I bet my friend was overjoyed, huh? Scientists get excited by the strangest things.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '95', 'm12p', 'Here you go. Be careful! You know how touchy these scientist types can be about their intruments.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '96', 'm12t', 'Precisely Calibrated Tools');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '97', 'm13d', 'My friends can be so careless. While on vacation, they accidentally managed to erase their droid\'s memory. They\'ve had that protocol droid for years. The backup memory files and personality parameters are on this brain chip. Could you please deliver it to them? They would be most appreciative.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '98', 'm13l', 'Droid brain chip');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '99', 'm13o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '100', 'm13r', 'Thank the stars! You\'ve saved our dearest droid! We\'ll install this chip right away. If our 3PO unit was here he\'d thank you personally.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '101', 'm13f', 'filename_of_object');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '102', 'm13s', 'Sounds like they got the droid brain chip. Thanks for your help. I\'ve transmitted some credits to compensate you for your time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '103', 'm13p', 'Some folks can get pretty attached to their droids, eh? I personally am not one of those. They\'re just tools to me.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '104', 'm13t', 'Droid Memory Chip');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '105', 'm14d', 'I ended up with a clutch of some amphibian\'s eggs from Myrkr. Told a friend of mine, who now wants to buy them. Can\'t figure out why. They\'re not very tasty. But hey, credits is credits. Could you pick up the eggs from my home and deliver them to my friend?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '106', 'm14l', 'Storage box of some sort');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '107', 'm14o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '108', 'm14r', 'Did my friend happen to tell you what type of eggs these are? Besides the fact that they\'re amphibians from Myrkr? Good. It\'s best you don\'t know. Well done.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '109', 'm14f', 'filename_of_object');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '110', 'm14s', 'Thanks for getting those eggs safely to my friend. I wish I could find some fleek eels.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '111', 'm14p', 'Feel free to take these. They taste horrible. Now if I could get my hands on some fleek eels, that\'d be something.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '112', 'm14t', 'Amphibian Eggs');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '113', 'm15d', 'My brother was supposed to lay our recently departed father\'s ashes to rest. He was so grief-stricken, however, that he forgot the ashes at a friend\'s home. Could you please pick them up and deliver them to my brother so that our father\'s spirit can finally rest in peace?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '114', 'm15l', 'Small box');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '115', 'm15o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '116', 'm15r', 'Hey, my glitterstim spice stash! You\'re pretty brave to risk getting arrested just to get this to me. My brother sent this? I don\'t have a brother. But I got a lot of good friends.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '117', 'm15f', 'filename_of_object');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '118', 'm15s', 'Thanks, buddy! You were great. I\'m sure my brother will forget all the worries of the world now. Haha!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '119', 'm15p', 'Here are the ashes. Have you ever lost someone dear to you? It takes a long time for the pain to go away, doesn\'t it?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '120', 'm15t', 'Inner Peace');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '121', 'm16d', 'My friends are getting married in a few days. They decided to elope and hold a small ceremony. Well wouldn\'t you know it, they went off and forgot the wedding bracelets. Had them hand-crafted too. Cost them a fortune. Could you see to it that they get them? The faster the better, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '122', 'm16l', 'Jewelry (Bracelets)');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '123', 'm16o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '124', 'm16r', 'It just wouldn\'t have been the same without these. Thanks! We\'ll name our firstborn after you. What was your name again?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '125', 'm16f', 'filename_of_object');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '126', 'm16s', 'But they said they would name their firstborn after me! That\'s fickle for you. Oh well, I don\'t think I\'d want anyone else saddled with the name my folks gave me!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '127', 'm16p', 'I get misty-eyed at the thought of true love. Not enough of it in the galaxy, that\'s for sure.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '128', 'm16t', 'Wedding Bracelets');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '129', 'm17d', 'My artist friend just went to deliver a family portrait to a patron. Guess what got left behind? That\'s right: the portrait. I swear to you, those artists have gas-giant clouds for brains. Could you take this portrait to my friend and save a career?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '130', 'm17l', 'Picture or portrait');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '131', 'm17o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '132', 'm17r', 'A thousand thanks, my friend! You\'ve saved my career. If you ever want a portrait, let me know. I\'ll give you a healthy discount. Well, a decent discount. Well -- anyway, thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '133', 'm17f', 'filename_of_object');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '134', 'm17s', 'Actually, my friend probably got more credits for that one portrait than I make all year. I wonder who\'s really the more practical one?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '135', 'm17p', 'If my friend spent more time with practical matters and less time worrying about \'art\' -- oh well, I suppose it\'s good someone worries about art.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '136', 'm17t', 'Portrait Saves Artistic Career');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '137', 'm18d', 'I\'m a retired gourmet cook who used to co-own a restaurant with a dear friend. Every time I make my specialty, nerf liver pate, I must send some to my former partner or I\'ll never hear the end of it. Move fast! The pate won\'t keep forever, even in this special container.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '138', 'm18l', 'Container');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '139', 'm18o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '140', 'm18r', 'I heard my old friend was making another batch of pate. Excellent! I shall sample this tonight! You have my gratitude -- though no, that doesn\'t extend to letting you have a taste.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '141', 'm18f', 'filename_of_object');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '142', 'm18s', 'Thank you for delivering that pate. I get requests for my pate recipe from all over this world. But I\'ll never tell!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '143', 'm18p', 'No sneaking any tastes. Once the seal on that container is broken, the pate will only remain fresh for a day or so. I\'m trusting you now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '144', 'm18t', 'Gourmet Nerf-Liver Pate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '145', 'm19d', 'It\'s my friend\'s birthday, and I wish to give a very special gift. Could you please pick it up from the crafter and deliver it to my friend? Say it should be opened in a small, dark room. Don\'t mention my name, of course. This will be a big surprise, I assure you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '146', 'm19l', 'Small box');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '147', 'm19o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '148', 'm19r', 'A birthday present? But my birthday isn\'t for another six months. Who sent this? Curious. I\'ll go home and have a look. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '149', 'm19f', 'filename_of_object');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '150', 'm19s', 'Thanks for delivering the gift. You might want to disappear for a while. No special reason why, just some friendly advice. The credits I deposited into your account should help you get away.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '151', 'm19p', 'I\'m sure this item will be something the recipient will always remember. Careful now, don\'t shake it. And whatever you do, don\'t open it!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '152', 'm19t', 'A Big Surprise');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '153', 'm20d', 'My partners needs this specialized memory chip for their droid. Seems they want the droid to perform some kind of fancy tricks, like dancing, I think. Anyway, if you could deliver it to them, I\'d be most appreciative. Oh, and try to keep it quiet and out of sight, would you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '154', 'm20l', 'Memory chip');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '155', 'm20o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '156', 'm20r', 'The new slicer chips! Cruising! You the new slicer? Ever sliced into the HoloNet?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '157', 'm20f', 'filename_of_object');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '158', 'm20s', 'I told you my partners were big kidders. What a laugh, huh? Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '159', 'm20p', 'My partners will be glad to get this chip. And let me warn you, they\'re big kidders. Don\'t believe any wild stories they might tell you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '160', 'm20t', 'Special Chips for Kidders');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '161', 'm21d', 'I am one of the few botanists who has a living t\'ill plant in their possession. Those were flowers found on Alderaan, you know. It is my treasure. Every now and again, I consent to send a clipping to a colleague. Please see that this precious clipping is delivered safely.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '162', 'm21l', 'Plant of some sort');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '163', 'm21o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '164', 'm21r', 'Wonderful! I\'ve waited a long time to see this plant bloom. I\'ll be sure to send my friend a wonderful gift as thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '165', 'm21f', 'filename_of_object');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '166', 'm21s', 'I understand that very few Alderaan plants have been cultivated on other worlds. The botanical gardens on Coruscant had a wide selection -- but one rumor I heard said the garden officials, acting on orders from high up, burned all the plants. Typical.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '167', 'm21p', 'Life can be so fragile. And the more beautiful, the more fragile it seems. Please be careful out there.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '168', 'm21t', 'Alderaan t\'Ill Plant');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '169', 'm22d', 'I found a buyer who collects Wookiee bowcasters. Fortunately, I happen to have an antique. We finally agreed on terms that justify my parting with it. Deliver the bowcaster to the buyer. If it gets there quick, there may be more credits in it for you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '170', 'm22l', 'Wookiee Bowcaster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '171', 'm22o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '172', 'm22r', 'This brings my total collection up to fifty. If this seller is to be believed, this particular weapon will be the jewel of my collection.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '173', 'm22f', 'filename_of_object');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '174', 'm22s', 'It turns out that after all the Imperial taxes on sales of antique collectibles, I don\'t have enough left to pay you the bonus I mentioned. But thanks anyway!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '175', 'm22p', 'Bowcasters can be dangerous weapons, even just to own. Wookiees don\'t like it when non-Wookiees use them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '176', 'm22t', 'Wookiee Bowcaster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '177', 'm23d', 'I just received a container of wild shaak ambergris that some customers wants to buy. They make perfumes, I believe. Could you deliver this container to them?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '178', 'm23l', 'Container');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '179', 'm23o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '180', 'm23r', 'The ambergis of the wild shaak is far superior to the domesticated variety. The end result is much sweeter. My thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '181', 'm23f', 'filename_of_object');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '182', 'm23s', 'If shaak ambergris smells so great, why do shaaks themselves smell terrible? I\'ve never understood that. Anyway, thanks for delivering that stuff to my customers.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '183', 'm23p', 'Never been much of a perfume wearer myself, but I suppose I\'m the exception. Careful on your travels.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '184', 'm23t', 'Deliver ambergris');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '185', 'm24d', 'Have you ever tried laa fish caviar? It\'s simply superb! Please deliver this container of the delicacy to my dear friend. It\'s a gift to thank the family for hosting us at their home last month. Don\'t you dare eat any!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '186', 'm24l', 'Small can');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '187', 'm24o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '188', 'm24r', 'Laa fish caviar! And from the wild! How thoughtful -- that\'s my favorite! So much better than that dismal oversalted bioengineered stuff. That tastes like old oil from repulsorlift casings.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '189', 'm24f', 'filename_of_object');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '190', 'm24s', 'Wild laa caviar costs more than I make in a year. Don\'t tell anyone, but I have an alternative supplier. You can\'t tell bioengineered laa fish from the wild variety, no matter what the snobs say.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '191', 'm24p', 'Please tell my friend that this is the caviar of the genuine wild laa fish. Just wait for the reaction.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '192', 'm24t', 'Laa Fish Caviar');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '193', 'm25d', 'My friend\'s home is infested with vermin. I have the perfect solution -- tooke-trap plants from the Gungan swamps! These carnivorous plants are voracious and will have my desperate friend\'s home pest-free in no time. Please deliver these seedlings at once.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '194', 'm25l', 'Plants of some sort');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '195', 'm25o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '196', 'm25r', 'I hope these work, because I\'m allergic to most pesticides. I\'m at the end of my towline!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '197', 'm25f', 'filename_of_object');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '198', 'm25s', 'I should have mentioned that the tooke-trap plants grow rather large, and may eventually attack house pets and small children. I\'ll have to remember to tell my friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '199', 'm25p', 'I think more folks should use plants for pest control. Who needs harsh chemicals in their homes?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '200', 'm25t', 'Gungan Tooke-Trap Plants');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard.stf', '201', 'number_of_entries', '25');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '1', 'm1d', 'This message is of the greatest importance. My friend has been searching the galaxy for a long-lost love. I\'ve just received word that my friend\'s love was killed in a transport accident last year. I wish to save my friend further expense and heartache. Please deliver the notice as promptly as possible.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '2', 'm1l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '3', 'm1o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '4', 'm1f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '5', 'm1r', 'What? My love has been killed? No! Say it isn\'t so! How can I go on living? Please leave me now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '6', 'm1p', 'My friend will be quite shaken by this news. Please be sensitive. The search has taken a long time. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '7', 'm1t', 'Deliver tragic news');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '8', 'm1s', 'Thank you for handling that with such sensitivity. I know that wasn\'t easy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '9', 'm2d', 'I\'ve learned that Jabba the Hutt has placed a huge bounty on the head of my friend. Rumor has it that Boba Fett himself has taken an interest. My friend must go into hiding at once. This may well prove a perilous mission. Can you deliver the warning?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '10', 'm2l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '11', 'm2o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '12', 'm2f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '13', 'm2r', 'Boba Fett? After me? Thanks for the warning. I gotta disappear and quick!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '14', 'm2p', 'Careful on your travels. Remember that bounty hunters will be after my friend. If you see Boba Fett, run. Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '15', 'm2t', 'Jabba Sends Bounty Hunters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '16', 'm2s', 'It looks like my friend is going offworld. Way offworld. You can tell that to any bounty hunters you happen to see. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '17', 'm3d', 'A friend is trying to buy an ancient Sith artifact. An archeologist I know discovered something of its history and has included the findings on a datadisc. Please collect this disc and deliver it immediately. I hope I\'m not too late to save my friend from a terrible fate.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '18', 'm3l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '19', 'm3o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '20', 'm3f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '21', 'm3r', 'Nonsense! The artifact is perfectly safe. Soon the entire galaxy will understand all about the Sith. Begone and trouble me no more, puny mortal.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '22', 'm3p', 'You must warn my friend not to fall asleep with this dreadful artifact in the room. It contains the spirit of an ancient and evil Sith Lord. Go quickly!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '23', 'm3t', 'Warn of Sith artifact');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '24', 'm3s', 'I hope you weren\'t too late to save my friend from a terrible fate. I must visit soon and see about destroying that artifact.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '25', 'm4d', 'My friend\'s father has become deathly ill. For some reason, normal HoloNet messages aren\'t getting through -- maybe the Imperial Army imposed one of their blackouts. I hope you can deliver this news to my friend before it\'s too late.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '26', 'm4l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '27', 'm4o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '28', 'm4f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '29', 'm4r', 'Oh no! This is terrible news! I must contact my father at once. Thank you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '30', 'm4p', 'We don\'t know how much time this unfortunate being has left. You should probably hurry! ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '31', 'm4t', 'A Father\'s Illness');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '32', 'm4s', 'My friend should make it to the bacta facility in time to have a last long conversation. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '33', 'm5d', 'I finally found a buyer for my centuries-old Core World Arms pulse-blast rifle. Obviously such a valuable item must be hand-delivered. It\'s packed securely. This collector travels a lot to dangerous areas, so be on your guard.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '34', 'm5l', 'Antique blaster rifle');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '35', 'm5o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '36', 'm5f', 'filename_of_object');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '37', 'm5r', 'Ah, my rifle! Lucky you found me. I was on the next transport out of here. This might come in handy where I\'m going. My thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '38', 'm5p', 'These eccentric collectors, always planet-hopping. Hope you find this one. Here you go. That rifle is packed as securely as possible');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '39', 'm5t', 'Core World Antique Blaster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '40', 'm5s', 'I wish I knew how that buyer earns enough credits both to buy antique weapons and also to travel around the galaxy. Hmm, I wonder if one habit explains the other?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '41', 'm6d', 'These nobles and their ridiculous vendettas. A rich client who had been staying with us left his customized dueling vibrorapier in our home. Now the client needs it to settle a matter of honor, or somesuch nonsense. Could you please deliver it quickly? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '42', 'm6l', 'Vibrorapier');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '43', 'm6o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '44', 'm6f', 'filename_of_object');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '45', 'm6r', 'Aha! Now at last my honor can be defended. No one accuses me of cheating. No one!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '46', 'm6p', 'Here\'s the vibrorapier. No telling what sort of trouble you might encounter on your travels. This noble has a habit of making enemies.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '47', 'm6t', 'A Matter of Honor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '48', 'm6s', 'I hope that hothead survives the duel, and I certainly hope you don\'t think dueling is honorable. Whatever happened to \"forgive and forget\"?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '49', 'm7d', 'I have some delicate cargo that must be delivered soon. A client has purchased some Neimoidian pylat bird eggs from a breeder friend. I don\'t need to tell you that these are rare and expensive. If you can pick them up and deliver them whole, you\'ll be well-rewarded.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '50', 'm7l', 'Small box');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '51', 'm7o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '52', 'm7f', 'filename_of_object');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '53', 'm7r', 'My birds! Well, they\'re going to be. You ever heard their song? Enchanting. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '54', 'm7p', 'These eggs need to be maintained at a constant temperature. The sealed container controls that. Don\'t open it. Don\'t jostle it. Don\'t get into blaster battles if you can help it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '55', 'm7t', 'Pylat Egg Delivery');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '56', 'm7s', 'Thanks for getting those eggs to their destination in one piece. Your pay has been transmitted.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '57', 'm8d', 'Our friend\'s sister has just given birth! The family would love for my friend to return home at once and see the newborns. Could you pick up a datadisc, which contains pictures of the new family, from my home and deliver it and the good news? Tell my friend to hurry home. Many thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '58', 'm8l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '59', 'm8o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '60', 'm8f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '61', 'm8r', 'This is wonderful news! Thank you! I\'ll book the next transport out of here. Can\'t wait to see the holographs of the newborns.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '62', 'm8p', 'I\'m sure our friend will want to race home once these holographs have been viewed. I know it\'s a long way to go but it\'s for a good cause.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '63', 'm8t', 'Pictures of the Newborns');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '64', 'm8s', 'Thanks for getting the word to my friend. I hope the pictures were appreciated.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '65', 'm9d', 'I own a speeder shop and have recently bought out my partner, who\'s been away conducting some personal business. Could you pick up a datadisc from my accountant and deliver it to my ex-partner? It contains all the documents showing that my takeover was quite legal.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '66', 'm9l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '67', 'm9o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '68', 'm9f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '69', 'm9r', 'I can\'t be bought out! My grandfather opened that shop! This is an outrage! I\'ll go deal with this personally. Maybe with a blaster.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '70', 'm9p', 'I\'m sure my partner -- or, I should say, \"ex-partner\" -- will be quite surprised. Leave before you get hurt.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '71', 'm9t', 'Legal Takeover');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '72', 'm9s', 'Purge yourself of sentimentality if you want to run an efficient business. Profits come to those who act quickly and decisively.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '73', 'm10d', 'My boss\' ship is currently stuck at a starport because this cheapskate doesn\'t want to pay the full price for a new hyperdrive motivator. I need someone to pick up a refurbished model and deliver it as soon as possible. Could you do this for me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '74', 'm10l', 'Hyperdrive motivator (a mechanical part thingee)');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '75', 'm10o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '76', 'm10f', 'filename_of_object');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '77', 'm10r', 'It\'s about time! My ship has been stuck on this planet for weeks. I\'m gonna fire my lazy employee when this is over. And you, you slowpoke, don\'t you know -- hey, where are you going?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '78', 'm10p', 'Here\'s the part. I hope it\'s the right model. I hear this boss can be a bit grumpy, so expect to be scolded.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '79', 'm10t', 'Stuck at a Starport');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '80', 'm10s', 'I hope my boss didn\'t yell at you too much. I was instructed not to pay you, but I\'m ignoring that and depositing your fee. Why should I worry about orders if I\'m getting fired anyway?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '81', 'm11d', 'A friend recently joined some other scientists to study some rare mineral formations but forgot some key instruments. These intruments have been calibrated to precise specifications, and so my friend wants them delivered rather than buying new ones. Could you pick them up and see to it that they are delivered safely?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '82', 'm11l', 'Scientific tools');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '83', 'm11o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '84', 'm11f', 'filename_of_object');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '85', 'm11r', 'My instruments! I was so worried. I\'ve had this set since graduating from the Academy. They\'re priceless to me. Many thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '86', 'm11p', 'Here you go. Be careful! You know how touchy these scientist types can be about their intruments.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '87', 'm11t', 'Precision Mineralogy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '88', 'm11s', 'Glad to hear you made it. I bet my friend was overjoyed, huh? Scientists get excited by the strangest things. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '89', 'm12d', 'My careless friends accidentally erased their droid\'s memory. They\'ve had that protocol droid for years. The backup memory files and personality parameters are on a brain chip at my boss\' shop. Could please pick it up and deliver it to them? They would be most appreciative.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '90', 'm12l', 'Droid brain chip');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '91', 'm12o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '92', 'm12f', 'filename_of_object');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '93', 'm12r', 'Thank the stars! You\'ve saved our dearest droid! We\'ll install this chip right away. If our 3PO unit was here he\'d thank you personally.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '94', 'm12p', 'Here\'s the brain chip. Some folks can get pretty attached to their droids, eh? I personally am not one of those. They\'re just tools to me. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '95', 'm12t', 'Restore a Friend\'s Memory');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '96', 'm12s', 'Sounds like they got the droid brain chip. Thanks for your help. I\'ve transmitted some credits to compensate you for your time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '97', 'm13d', 'I ended up with a clutch of some amphibian\'s eggs from Myrkr. Told a friend of mine, who now wants to buy them. Can\'t figure out why. They\'re not very tasty. But hey, credits is credits. Could you pick up the eggs from my home and deliver them to my friend?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '98', 'm13l', 'Storage box of some sort');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '99', 'm13o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '100', 'm13f', 'filename_of_object');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '101', 'm13r', 'Did my friend tell you what type of eggs these are? Aside from being some amphibian from Myrkr? Good. It\'s best you don\'t know.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '102', 'm13p', 'Feel free to take these. They taste horrible. Now if we could get our hands on some fleek eels, that\'d be something.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '103', 'm13t', 'Eggs -- Not for Eating');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '104', 'm13s', 'Thanks for getting those eggs safely to my friend. I wish I could find some fleek eels.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '105', 'm14d', 'My brother was supposed to lay our recently departed father\'s ashes to rest. He was so grief-stricken, however, that he forgot the ashes at a friend\'s home. Could you please pick them up and deliver them to my brother so that our father\'s spirit can finally rest in peace?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '106', 'm14l', 'Small box');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '107', 'm14o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '108', 'm14f', 'filename_of_object');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '109', 'm14r', 'Hey, my glitterstim stash! You\'re pretty brave to risk getting arrested just to get this to me. My brother sent this? I don\'t have a brother. But I got a lot of good friends.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '110', 'm14p', 'Here are the ashes. Have you ever lost someone dear to you? It takes a long time for the pain to go away, doesn\'t it?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '111', 'm14t', 'Help Someone Find Inner Peace');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '112', 'm14s', 'Thanks, buddy! You were great. I\'m sure my brother will forget all the worries of the world now. Haha!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '113', 'm15d', 'It\'s my friend\'s birthday, and I wish to give a very special gift. Could you please pick it up from the crafter and deliver it to my friend? Say it should be opened in a small, dark room. Don\'t mention my name, of course. This will be a big surprise, I assure you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '114', 'm15l', 'Small box');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '115', 'm15o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '116', 'm15f', 'filename_of_object');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '117', 'm15r', 'A birthday present? But my birthday isn\'t for another six months. Who sent this? Curious. I\'ll have a look. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '118', 'm15p', 'I\'m sure this item will be something the recipient will always remember. Careful now, don\'t shake it. And whatever you do, don\'t open it!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '119', 'm15t', 'Birthday Surprise');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '120', 'm15s', 'Thanks for delivering the gift. You might want to disappear for a while. No special reason why, just some friendly advice. The credits I deposited into your account should help you get away.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_hard_non_persistent_from_npc.stf', '121', 'number_of_entries', '15');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '1', 'm1d', 'I\'m submitting my application to the Academy at long last. Won\'t my friends be jealous when they hear I\'ve become a TIE pilot? But I can\'t trust something this important to the HoloNet. Could you pick up my application from my friend\'s home and hand-deliver it to a professional courier?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '2', 'm1l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '3', 'm1o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '4', 'm1r', 'Another star jockey wanna-be, eh? All right, I\'ll see that it\'s delivered to the Academy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '5', 'm1f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '6', 'm1s', 'Thanks, buddy! You\'re the kind of friend someone wishes for. I deposited a little something into your account.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '7', 'm1p', 'My best friend\'s future is in your hands. Please be careful and see that it gets to its destination. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '8', 'm1t', 'Imperial Academy Application');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '9', 'm2d', 'Here we go again. I\'ve applied to the Academy every year for the past seven years and they still haven\'t accepted me. But at least it gets my nagging mother off my back. She insists it be hand-delivered to a courier. Can you help out a fellow citizen? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '10', 'm2l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '11', 'm2o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '12', 'm2r', 'Oh, not this loser again! When will this mynock-brain learn that the Academy just doesn\'t want losers? Can\'t even fill out the application correctly. Argh, I hate my life.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '13', 'm2f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '14', 'm2s', 'It\'s only the Empire\'s constant encouragement that has kept me on track, applying to the Academy year after year. Well, the Empire and my mother. But this year will be the year!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '15', 'm2p', 'Try and try again, I always say. Maybe this time I\'ll get lucky. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '16', 'm2t', 'Seventh Time\'s the Charm');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '17', 'm3d', 'I was investigating a missing person\'s case for a client to discover what had happened to their son. Apparently the young man was on Alderaan when it -- well, you know. His final letters are stored on a datadisc. I regret I can\'t deliver the datadisc in person, but I\'m keeping a low profile. My investigation attracted some unwanted Imperial attention.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '18', 'm3l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '19', 'm3o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '20', 'm3r', 'What? This can\'t be! A plague upon the Empire! Those assassins don\'t deserve our loyalty! Oh, my son! My dear son!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '21', 'm3f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '22', 'm3s', 'Did anyone appear to be following you when you made the delivery? I\'d keep a low profile, just in case. Your fee has been transmitted to your account.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '23', 'm3p', 'Please be sensitive when delivering this message. It will no doubt come as a great shock to the recipient.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '24', 'm3t', 'Death on Alderaan');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '25', 'm4d', 'I\'ve verified what happened to Alderaan. It\'s all on this datadisc. The truth will horrify my friend. Can you deliver this disc? Mention that I apologize I couldn\'t deliver this myself, but I\'m going to be out of touch for a while. I think my friend will understand.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '26', 'm4l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '27', 'm4o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '28', 'm4r', 'Did you access the datadisc? Good. I want no harm to come to you. You\'re just the messenger. My thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '29', 'm4f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '30', 'm4s', 'I\'m advising my friend to forget the Academy and contact a certain Bothan pilot we met on Corellia. I hope we\'ll meet again in better circumstances.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '31', 'm4p', 'Don\'t view the information on this datadisk -- not unless you want to stop sleeping peacefully at night.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '32', 'm4t', 'This is the Truth About Alderaan');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '33', 'm5d', 'The happy day has come at last! My only daughter is getting married. Could you pick up the very first holographic invitation from the data engineer and hand-deliver it to my oldest friend? That should make quite an impression.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '34', 'm5l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '35', 'm5o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '36', 'm5r', 'Well, it\'s about time! I knew that girl would get hitched sooner or later. Can\'t wait to tell the family. Wedding invitations on datadisc. Heh! How times change.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '37', 'm5f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '38', 'm5s', 'Thanks for delivering that invitation. My friend was most impressed. I\'m not rich, but my daughter\'s first -- and, I hope, only -- wedding is worth a splurge.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '39', 'm5p', 'Here\'s the personalized invitation. This is quite the elaborate presentation, lots of animation and music. Family must be rich.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '40', 'm5t', 'Elaborate Invitation');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '41', 'm6d', 'Nobody, and I mean nobody, designs vegetable steamers like I do! This is going to revolutionize the way we prepare our meals. This one requires no water. It uses vaporator technology to suck the ambient moisture right out of the air. Yep, you can say it -- I\'m a genius. Take this prototype to my investors, would you? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '42', 'm6l', 'Prototype steamer (like the thing Beru was cooking vegetables in)');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '43', 'm6o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '44', 'm6r', 'What? This is what I\'ve been paying that lunatic thousands of credits to invent? I thought it was a more efficient coolant system for speeders. I\'m having this veggie-loving maniac arrested for fraud! ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '45', 'm6f', 'filename_of_object');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '46', 'm6s', 'You did great. I\'d have delivered the steamer myself, but I didn\'t want to gloat when I saw the look of awe on their faces. And they thought I\'d be a bad return on their investment. Hah!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '47', 'm6p', 'Here\'s a work of sheer genius. Bet you never thought you\'d hold something like this in your hands, eh? Go ahead, it\'s okay to be awe-inspired.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '48', 'm6t', 'Steamer Revolution Aborning');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '49', 'm7d', 'I\'ve finally succeeded in deciphering the complete genetic code of the rancor. Can you imagine what this will bring on the open market? Only part of the code is on this datadisc. I want to see if my partner and I can start a bidding war. Will you deliver this? I need to continue checking my figures to make sure we\'re ready for the sale.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '50', 'm7l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '51', 'm7o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '52', 'm7r', 'The code is deciphered? Excellent! I\'m already lining up buyers. I hope those figures are correct. It\'s not good to cheat a Hutt!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '53', 'm7f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '54', 'm7s', 'This will be big, very big. Hook this data up with a cloning facility and you\'ve got yourself an army of formidable monsters. And you helped! Next up: krayt dragons.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '55', 'm7p', 'My partner wants this as a sample to induce the buyers to bid more. I think we\'re gonna be filthy rich! Don\'t delay in delivering it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '56', 'm7t', 'Rancor Genome (Partial)');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '57', 'm8d', 'I\'ve finished my survey of the Core\'s asteroid fields and have charted every known space slug in those sectors. I need someone to pick up the survey datadisc from my lab and deliver it to a representative of the Imperial Science Department\'s Biology Division -- they need to double-check my stats before we transmit it to the Imperial Information Center.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '58', 'm8l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '59', 'm8o', 'Imperial Space Survey Office  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '60', 'm8r', 'Ah, the survey results! I\'ll check these findings immediately. I hope my superiors keep me in mind when assigning scientists to study those space slugs. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '61', 'm8f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '62', 'm8s', 'Thank you. Space slugs, space slugs -- I find them simply fascinating, don\'t you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '63', 'm8p', 'Your success in delivering this disc will benefit science. We\'re counting on you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '64', 'm8t', 'Deliver survey results');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '65', 'm9d', 'My company has just finished logging the inventory of one of our client\'s holdings. It\'s all been stored on a datadisc that has everything itemized by sale price. The appraisals were done by the most careful and painstaking professionals in the field. Could you pick up the inventory and deliver it to our client?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '66', 'm9l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '67', 'm9o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '68', 'm9r', 'It\'s about time! I paid good money for these appraisals, and I expected them to be done long since. I\'ll adjust my final payment to the company accordingly.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '69', 'm9f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '70', 'm9s', 'Thank you for your prompt service. I understand that our client was a tad upset. We\'ll try to smooth things over. Your pay has been deposited.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '71', 'm9p', 'Our client is most eager to receive this datadisc. Please relay our apologies for tardiness, but we wanted to be thorough.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '72', 'm9t', 'Inventory a Trifle Tardy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '73', 'm10d', 'I\'ve won an all-expense paid vacation to Amfar but I can\'t get away from my work duties. Would you deliver this incredible prize to my dear friends so they can take advantage of it? I\'d go myself, but I just can\'t spare the time. Back to work I go! ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '74', 'm10l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '75', 'm10o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '76', 'm10r', 'What\'s this, a free vacation? You bet I\'ll accept! I hear the beaches on Amfar are the finest in the Galaxy. If only my busy friend could join us. You know what they say, \"All work and no play...\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '77', 'm10f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '78', 'm10s', 'I won that vacation by correctly answering a trivia question about the latest music holo from the Dance Lords of the Bith. Did you know they stuffed 23 Jawas into one binary load lifter? If you\'d known, you\'d be going to Amfar instead of my friends.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '79', 'm10p', 'I hope my friends can take advantage of this vacation. Tell them to have a frozen juri juice drink for me! Oh, why must I work so hard?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '80', 'm10t', 'Amfar Vacation Offer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '81', 'm11d', 'You\'ll never believe what I got my hands on! Actual holograms of the destruction of Alderaan! Don\'t even ask how or where I got it. Better that you don\'t know, my friend. Take the datadisc to my buddy. Tell them to just plug it into their holocam and sit back and watch the show. This is extreme! ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '82', 'm11l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '83', 'm11o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '84', 'm11r', 'No way! Is this really --? No way! I gotta show all my buds. This is gonna be so intense! Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '85', 'm11f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '86', 'm11s', 'That holo rules. But don\'t tell anyone about it, or maybe you\'ll get arrested, okay?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '87', 'm11p', 'When you give this to my friend, they\'ll say, \"No way!\" When that happens, you just nod and say, \"Way!\" They\'ll see the truth soon enough.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '88', 'm11t', 'Alderaan Blowup Holo');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '89', 'm12d', 'I\'ve just acquired five new playing pieces for dejarik. These are prototypes, straight from the labs of Lakan Industries. They haven\'t been released to the public yet. My brother at Lakan leaked them to me. Could you deliver this datadisc to my friend? I can\'t be seen delivering it, or someone may trace the leak back to my brother.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '90', 'm12l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '91', 'm12o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '92', 'm12r', 'Can\'t wait to try these pieces in the Lesser Coruscant Opening, Finessed. Oops, pardon my dejarik jargon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '93', 'm12f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '94', 'm12s', 'My friend wants to be a dejarik grandmaster some day. Maybe those pieces will give an edge at the next local tournament. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '95', 'm12p', 'You a fan of dejarik? If so, you\'ll appreciate this delivery. If not, well, you still get paid so who cares?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '96', 'm12t', 'Prototype Dejarik Pieces');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '97', 'm13d', 'See what comes of not having a work permit? I have to hand-deliver my hours to my employer to make sure I get paid and my family eats. This datadisc is a record of last month\'s labors. Could you deliver it for me? I can\'t bring it myself -- my family will be returning soon, and I must prepare their meals.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '98', 'm13l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '99', 'm13o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '100', 'm13r', 'About time! I was about to send out the payroll. Next time I won\'t wait this long on lazy workers. My time is precious.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '101', 'm13f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '102', 'm13s', 'Someday my oldest son will be old enough to work in the mines, and then we\'ll have enough to get a HoloNet connection. Then I can send in my hours for my three jobs without using datadiscs.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '103', 'm13p', 'My family depends on this disc getting to my employer as soon as possible. I wish I didn\'t have so much responsibility. A free agent like yourself is lucky.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '104', 'm13t', 'Time Disc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '105', 'm14d', 'A customer\'s daughter is getting married soon, and she needs a dress in a week. Could you pick up the datadisc containing the dress pattern from my customer? Please deliver it to my colleague\'s fabric shop so I can be sent the appropriate fabrics. I\'m swamped with work and can\'t go myself.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '106', 'm14l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '107', 'm14o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '108', 'm14r', 'This will be quite a dress. The pattern calls for some pretty exotic fabrics -- spidersilk saturated with glimmerdust, prismatic zwill, resublimated nanoweave. Hope this customer is rich.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '109', 'm14f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '110', 'm14s', 'Thank you so much for being prompt. If you ever need clothes, look me up -- once I\'m not so swamped, that is.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '111', 'm14p', 'It will be a gown fit for a queen. Do please hurry with the delivery. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '112', 'm14t', 'Wedding Dress Pattern');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '113', 'm15d', 'A friend\'s child has been sick, stricken with body sores. I know an old family remedy that never fails, regardless of the species afflicted. Could you pick up the datadisc with the recipe for this poultice and the accompanying herbs from a local pharmacist? Then please deliver the goods to my friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '114', 'm15l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '115', 'm15o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '116', 'm15r', 'My poor child, how she suffers. I\'ll give this remedy a try. Thank you so much for delivering it. I\'ll let my friend know if it worked.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '117', 'm15f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '118', 'm15s', 'My thanks for the prompt delivery. I hope my friend\'s child gets better once this remedy is used.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '119', 'm15p', 'Apply this poultice three times a day. Remind the customer to make a fresh batch every day, and wrap the unused portion tightly before throwing it out.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '120', 'm15t', 'Remedy for a Sick Child');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '121', 'm16d', 'This settles an old debt. When I was younger, I travelled to Tatooine with a friend and bet on the podraces. One of the races was obviously fixed, so I refused to honor my bet to my friend and we didn\'t speak for almost 30 years. Well, I just discovered proof that the race was indeed legit. So I\'m doing the right thing and honoring my bet. This datadisc tells how to access the account containing the money.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '122', 'm16l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '123', 'm16o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '124', 'm16r', 'Well, I\'ll be a mangy monkey-lizard! I\'d forgotten about this bet. That race was fixed, you know. My friend was right not to pay. But since I need the money, I\'ll take it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '125', 'm16f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '126', 'm16s', 'It was just too outlandish to believe a young boy could win a podrace! But it was true, as I only recently found out. Thanks for helping me settle that debt.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '127', 'm16p', 'This clears my conscience. I hope it\'s appreciated. Good riddance anyhow!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '128', 'm16t', 'Settle an Old Debt');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '129', 'm17d', 'I recently returned from a trip to Zeltros with a whole bunch of holographs commemorating my experience. Some of them are of,-- how shall I say -- a delicate nature? My buddies couldn\'t make the trip, but they want to view the holographs. Could you take them this datadisc containing the images?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '130', 'm17l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '131', 'm17o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '132', 'm17r', 'I\'ll take those holographs, thank you. I know someone who will love to see these images. It\'ll be worth my fee, too.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '133', 'm17f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '134', 'm17s', 'Thank you. I didn\'t want to endanger my domestic bliss by taking them myself. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '135', 'm17p', 'Be discreet with this delivery, okay? Don\'t lose that disc. I could end up in a very compromising situation if it ends up in the wrong hands. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '136', 'm17t', 'Vacation Holographs');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '137', 'm18d', 'I won\'t be able to attend my nephew\'s birthday celebration this year.  But I made a special holocam recording of me singing his favorite nursery rhymes. Could you make sure his family gets it in time for the party? Thank you so much.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '138', 'm18l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '139', 'm18o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '140', 'm18r', 'Is this for the birthday boy? I\'m helping put together his party. I\'m sure he\'ll be quite pleased to get this. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '141', 'm18f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '142', 'm18s', 'How quickly those children grow up. I hope that in future decades that young man will look back on my recording with vivid remembrance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '143', 'm18p', 'I hope my nephew appreciates all my hard work. He can be such a sweet boy if the mood strikes him. Thank you for your help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '144', 'm18t', 'Memorable Birthday Gift');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '145', 'm19d', 'A miner friend found some crystal deposits while out prospecting in the Outer Rim. He won\'t say where exactly he found them. Claims he\'s going to get rich or something. He wants me to have some crystal samples analyzed for him. Can you pick up the samples and deliver them to a mineralogist I know?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '146', 'm19l', 'Crystals');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '147', 'm19o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '148', 'm19r', 'Some sort of crystals, eh? Sure, I\'ll have a look. Prospectors keep dreaming they\'ll find another source of Adegan crystals. They used to use those in lightsabers, you know.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '149', 'm19f', 'filename_of_object');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '150', 'm19s', 'Thanks for delivering those crystals. My friend is always having me check out all sorts of minerals. The mother lode is waiting, somewhere out there.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '151', 'm19p', 'I\'m sure these are just worthless rocks. But I\'ll help my friend out if I can. Oh, does the word \'Adegan\' mean anything to you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '152', 'm19t', 'Deliver mineral samples');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '153', 'm20d', 'A local seller of ancient artifacts, who wishes to remain anonymous, won\'t even show me holographs of his wares without a fee. Could you take this encrypted datadisc to the seller\'s agent? It contains the codes necessary to access the credits agreed upon previously. The seller can feel free to send me the disc containing the holographs in question.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '154', 'm20l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '155', 'm20o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '156', 'm20r', 'Thanks. As soon as my employer has accessed the credits, he will send the catalog.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '157', 'm20f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '158', 'm20s', 'Thanks for delivering the fee. That seller claims to own Sith artifacts from Korriban that are several thousand years old. I hope I haven\'t been wasting my time and money.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '159', 'm20p', 'Why did I have to develop such an expensive hobby? I should have stuck with restoring vintage droids. Please be prompt.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '160', 'm20t', 'Collector\'s Fee');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '161', 'm21d', 'My employer sells antiques to interested buyers. One such collector has paid the proper fee to view my employer\'s wares. Could you pick up an encrypted catalog and deliver it? The collector will know how to retrieve the data.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '162', 'm21l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '163', 'm21o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '164', 'm21r', 'The catalog at last! I\'ve waited a long time for this. The possibility of Sith artifacts! Can you imagine?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '165', 'm21f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '166', 'm21s', 'By the way, the contents of our catalog are confidential. Please respect our privacy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '167', 'm21p', 'Nothing is free, pal.  If you want to look, you gotta pay the fee too. Actually, you probably can\'t afford it. Deliver this quick, though, and you might be on your way to earning enough.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '168', 'm21t', 'Antique Artifacts Catalog');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '169', 'm22d', 'Fleek eels are a prized delicacy that must be kept alive until they\'re cooked or else the flavor is greatly diminished. I found a way to preserve the eels so that none of the flavor is lost. I need you to pick up a sample and deliver it promptly to a representative of the Corporate Sector Authority. Their food companies can make millions off my secret recipe!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '170', 'm22l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '171', 'm22o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '172', 'm22r', 'This recipe will be tested first, of course. If it turns out not to deliver on its promise, then there will be no compensation. That is, in fact, what we are expecting.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '173', 'm22f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '174', 'm22s', 'Thanks! I can\'t wait for those CSA chefs to taste those preserved fleek eels and marvel at my genius!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '175', 'm22p', 'I knew all those years of studying preservatives would pay off! I\'m going to be set up for life. Please hurry with this delivery!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '176', 'm22t', 'Deliver fleek eel recipe');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '177', 'm23d', 'I am a devout follower of the Cosmic Balance. I have gathered the words of our greatest teachers and transcribed them into Basic. I need this disc delivered to a local holocaster so that this great work can spread through the galaxy. Do you wish to help spread the Truth?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '178', 'm23l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '179', 'm23o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '180', 'm23r', 'Yeah, I remember this fanatic. Well, we don\'t ask questions; we just send what we\'re paid to send. We\'ll get to it soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '181', 'm23f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '182', 'm23s', 'The Cosmic Balance was discovered on Bakura, as you may know, but it is spreading like fire to other parts of the Galaxy. Soon all will know our word and heed our wisdom. And your role in the history of our faith will be remembered.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '183', 'm23p', 'The fall of the Jedi was the awakening of the galaxy. Go forth to duty.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '184', 'm23t', 'Words of Cosmic Balance');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '185', 'm24d', 'Can you keep a secret? I\'m a great Jedi Master who used to lead the Jedi Council in the days of the Old Republic. We\'re in hiding, waiting for the right moment to destroy the Empire. Oh, they\'re going to be sorry they ever messed with Jedi. I need you to pick up a secret message from one of our contacts and deliver it to a fellow Jedi. This is of the greatest importance. Can you handle it?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '186', 'm24l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '187', 'm24o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '188', 'm24r', 'Not this lunatic again! Who is it this time? Last week it was the Emperor. This is just a grocery list, for Corellia\'s sake! Poor sod needs professional help. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '189', 'm24f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '190', 'm24s', 'Thank you for serving the interests of the Jedi. Soon we shall come out of hiding and restore the Republic. Honest.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '191', 'm24p', 'The fate of the galaxy is in your hands. Know that the Force will be with you, always. Unless you fail. Then you\'re bantha fodder. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '192', 'm24t', 'Announce the Jedi\'s Return');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '193', 'm25d', 'I knew you\'d accept this mission. Why, you ask? Because everything proceeds exactly as I have foreseen it. Yes, I am the Emperor. I am traveling incognito to better observe my loyal citizens. I have allowed you the honor of carrying a secret message. It is to go to one of my Imperial spies and from there to Lord Vader himself. Do not fail me.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '194', 'm25l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '195', 'm25o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '196', 'm25r', 'This lunatic gives me fits. It\'s the Emperor this time, is it? Oh look, it\'s another grocery list. Maybe the Emperor is secretly a grocer. Yeah, that sounds right.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '197', 'm25f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '198', 'm25s', 'Those who do not believe will pay the price for their lack of vision. They will start by buying me more groceries!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '199', 'm25p', 'If you perform well during this mission, I may reward you with an Imperial appointment. How does Imperial Inquisitor sound?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '200', 'm25t', 'Message From the Emperor?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '201', 'm26d', 'I finally managed to sell my old JR-4 swoop. Got a good price for it, too. I need you to pick up the title and deliver it to the new owner. Thanks, buddy!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '202', 'm26l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '203', 'm26o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '204', 'm26r', 'The title! Great! I\'ve already started to modify the JR-4. It was in great condition.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '205', 'm26f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '206', 'm26s', 'Thanks for taking care of that for me, buddy. I can\'t wait to buy the new TaggeCo Air-2 swoop. Now that\'s a sweet ride!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '207', 'm26p', 'Here you go. You into speeders and swoops like me and my buddy? Check out the Flare-S swoop if you ever get a chance. Nice.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '208', 'm26t', 'Swoop Transaction');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '209', 'm27d', 'Someone wants to buy my vintage blaster collection, including my matching set of MB-450\'s. Luxan Personal Armaments is the best, and the Penetrator is the elite of hunting pistols. I have a datadisc -- holographs and detailed specs of everything in my collection -- to be delivered to the buyer. Can you pick it up from my friend?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '210', 'm27l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '211', 'm27o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '212', 'm27r', 'Can\'t wait to see what\'s on this datadisc. I love blasters. Don\'t you? Nothing like the weight of a solid weapon in your hands, eh?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '213', 'm27f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '214', 'm27s', 'Thanks for the delivery. If you ever hear of anyone selling lightsabers, let me know.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '215', 'm27p', 'My buddy inherited this collection from an uncle. That old-timer was a blaster freak. Wish the old guy had had some lightsabers, you know?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '216', 'm27t', 'Blaster Collection');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '217', 'm28d', 'Having studied Jedi Holocrons all my life, I have been invited to teach at Raithal Academy as a Professor of Myth and Antiquities. Please hand-deliver my acceptance to the local recruiter for prompt delivery to the Academy\'s board. You have my thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '218', 'm28l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '219', 'm28o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '220', 'm28r', 'The professor\'s acceptance? Excellent. The Empire has already arranged a fitting reception when this estimable scholar arrives at the Academy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '221', 'm28f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '222', 'm28s', 'A friend has advised me of new circumstances regarding the Raithal Academy. I am instead travelling elsewhere, to distant parts of the galaxy. Here is your fee. Please tell no one.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '223', 'm28p', 'I\'m glad to see that the Empire developing a renewed interest in Jedi history and artifacts. Perhaps this signals a change?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '224', 'm28t', 'Jedi Holocron Professorship');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '225', 'm29d', 'I once took an interest in genealogy and kept very good records. Now my colleagues think they can use me as a library whenever they wish. Please pick up a copy of my database and deliver it to these annoying scholars. Tell them they can look up the name \"Skywalker\" themselves. The nerve!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '226', 'm29l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '227', 'm29o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '228', 'm29r', 'I\'m certain the name \"Skywalker\" is important. It may indeed be the key to solving all of the Empire\'s problems! Thank you for bringing this.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '229', 'm29f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '230', 'm29s', 'My thanks for the prompt delivery. Perhaps now I can get some peace.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '231', 'm29p', 'Please tell this individual to stop harassing me or I shall inform the authorities. Fate of the Empire indeed!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '232', 'm29t', 'Refuse a Genealogy Request');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '233', 'm30d', 'I\'m a private investigator and I\'m swamped with work. Could you pick up a datadisc of holographs and deliver it to a client? A little matter of a dark suspicion, one partner for another -- the usual stuff. This encrypted disc will settle the matter for good. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '234', 'm30l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '235', 'm30o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '236', 'm30r', 'Finally I\'ll know the truth! I\'m sure this disc will verify my suspicions. Love hurts, you know.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '237', 'm30f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '238', 'm30s', 'Thanks for your help. Some days I hate my job, but it\'s a living. Speaking of which, your fee has been deposited.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '239', 'm30p', 'I hope this alleviates my client\'s paranoia. Trust is a rare commodity these days.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '240', 'm30t', 'Investigator\'s Findings');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '241', 'm31d', 'You know they used to clone people, right? I\'m convinced my friend has been cloned for nefarious purposes. I need you to pick up a datadisc containing holographs of the clone in action, taken by an investigator I hired. Then take the disc to my friend. This will prove I\'m right.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '242', 'm31l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '243', 'm31o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '244', 'm31r', 'Sure, I\'ll look at the images, but I just wish my friend would accept the truth. I have not been cloned!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '245', 'm31f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '246', 'm31s', 'Thanks for delivering those pictures. You should make sure you\'re not cloned, friend. Otherwise you never know what crimes you might be implicated in.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '247', 'm31p', 'Here\'s the disc. I personally think my client\'s friend is just leading a very interesting double life. But I\'m not being paid for my opinion, so --');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '248', 'm31t', 'Clone Holographs?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '249', 'm32d', 'My best friend is about to marry someone unworthy. I hired an investigator to follow the mate-to-be. The investigator has holographs that will prove my friend\'s \"true love\" has been unfaithful. I can\'t deliver these myself, or my friend would think I had doctored the images. Can you pick them up and deliver them?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '250', 'm32l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '251', 'm32o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '252', 'm32r', 'What is this? A disc of holographs? What\'s on them? Who sent them? Who are you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '253', 'm32f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '254', 'm32s', 'Thanks for your help. I hope you didn\'t mention my name. I\'m only trying to save my friend future heartache.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '255', 'm32p', 'Here are the holographs. I gotta admit, some of them are rather amusing. But don\'t tell my employer I said that.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '256', 'm32t', 'Deeply Incriminating Holos');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '257', 'm33d', 'I\'m a scout for a major music label and don\'t have time for amateurs. The vocals on these latest sample tracks sound like the death rattle of a Tatooine meewit. This so-called musician included credits to make sure this \'precious\' recording was returned safely. Could you pick it up and get it out of my life? Don\'t try to listen to this mess.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '258', 'm33l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '259', 'm33o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '260', 'm33r', 'They\'ve returned my work? Why? Did they like it? Do I have a contract? What\'s wrong with these people? They\'re Tusken when it comes to music!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '261', 'm33f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '262', 'm33s', 'Thanks for dropping off that cacophonous mangle. I hope the artist goes into a more appropriate line of work, like custodial duty or food service. Your fee is taken care of.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '263', 'm33p', 'You gotta listen to a bunch of garbage before you find anyone with even a shred of talent. You don\'t play, by any chance?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '264', 'm33t', 'Meewit Death Rattle Music');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '265', 'm34d', 'Well, I finished off my latest batch of scribblings. I barely call them stories, really, hardly worthy of the name. Writers mostly scribble anyhow; aren\'t many who have anything worth saying. Anyway, for whatever reason, a publisher wants to see these. So go ahead, take them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '266', 'm34l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '267', 'm34o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '268', 'm34r', 'Great! This writer is fantastic. It\'s a real honor to publish these stories. I only hope that the political content is a little more -- subdued this time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '269', 'm34f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '270', 'm34s', 'Really, the whole foofaraw over these jottings baffles me. Ah well, life is a mystery.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '271', 'm34p', 'Here you go. If you lose them, I don\'t care. Just trifles, after all.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '272', 'm34t', 'New Jottings From an Author');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '273', 'm35d', '\'Have you ever seen the nocturnal Nexu? Noticed all the different kinds of banthas there are? Now children across the galaxy can learn about amazing animals on a hundred worlds, and in addition see delightful full-color holographs of each beast at work or play.\' That\'s what the blurb says, at any rate. Well, I need someone to deliver this mess, and I guess you\'re it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '274', 'm35l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '275', 'm35o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '276', 'm35r', 'Great, we\'ll rush this to distribution right away.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '277', 'm35f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '278', 'm35s', 'Now the publisher can shill one more sentimental mess to gullible parents. Gaah, I need a drink.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '279', 'm35p', 'I knocked off the writing duties on this hack job in -- well, I won\'t say how quickly, it embarrasses me. Have fun delivering it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '280', 'm35t', 'Hackwork');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '281', 'm36d', 'My magnum opus, a reference work cataloging the various minerals of the galaxy, is finally complete. Some may call it dry or dull, but it is a grand work of scholarship, and I have been careful to annotate every reference. Every mineral description is accompanied by a holograph of both the mineral itself and of its molecular structure. Now all I need is for you to hand-deliver it to the publisher.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '282', 'm36l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '283', 'm36o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '284', 'm36r', 'Excellent! I imagine that this one will become a bestseller in short order.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '285', 'm36f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '286', 'm36s', 'Thank you. The audience for mineralogical texts across the galaxy is vanishingly small in percentage terms, but in sheer numbers is quite enough to guarantee me a comfortable living.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '287', 'm36p', 'I do hope that you find the time to read my manuscript along the way. I recommend the section on theodolites.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '288', 'm36t', 'Mineralogy Manuscript');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '289', 'm37d', 'I feel guilty that it has taken this long for this legal document to be delivered. I know that we should not have kept an indentured servant so long, but over time, it felt like we were all one big happy family. But now, we\'ve moved away, and well, it\'s time for justice to be done and for freedom to have its day.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '290', 'm37l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '291', 'm37o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '292', 'm37r', 'What... can it be? Freedom? Freedom! I am free! Free!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '293', 'm37f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '294', 'm37s', 'I feel much better. I wish our former servant well in whatever pursuit freedom brings.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '295', 'm37p', 'I hope that our servant gets joy from this.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '296', 'm37t', 'Manumission Documents');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '297', 'm38d', 'Check this thing out! It\'s like a hologame, except you play it piggybacking on the Holonet, see? And you play with thousands of other people at the same time. So I have a copy of it here that\'s, you know, uh, kind of cracked? And I wanna slip it to my friend so we can play together.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '298', 'm38l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '299', 'm38o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '300', 'm38r', 'What, this game? Aw, c\'mon. The lag time from here to the servers on Coruscant is terrible. Plus the controls are way too hard, especially the camera system.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '301', 'm38f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '302', 'm38s', 'Now I\'m all down. Turns out the game server checks for cracked copies. It burned out my rig!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '303', 'm38p', 'This game totally rocks. You have like hundreds of species to choose from, and you can be anything from a smuggler to a bounty hunter to a -- shh, don\'t tell the Empire -- a Jedi!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '304', 'm38t', 'A New Game Crack');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '305', 'm39d', 'I bought a used computer, and it has all sorts of strange files. I think the previous owner was a slicer. Anyway, there are schematics in those files that say \'Death Star.\' I think it\'s someone\'s idea of a sick joke. Anyway, I put the schematics on a disc and my friend wants to look at it. Will you deliver it?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '306', 'm39l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '307', 'm39o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '308', 'm39r', 'Schematics? Oh, right! My friend told me about this. Wonder how much it costs to build a Death Star?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '309', 'm39f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '310', 'm39s', 'Thanks. There\'s some wild stuff on that computer. Gotta keep going through those files.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '311', 'm39p', 'Here you go. My friend will know how to decrypt it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '312', 'm39t', 'Death Star Schematics?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '313', 'm40d', 'My friends love keeping up with the latest fashions. An acquaintance is putting a whole bunch of facial tattoo patterns on a datadisc for us. Could you please pick up the disc and deliver it to my friend?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '314', 'm40l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '315', 'm40o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '316', 'm40r', 'Wow! Thanks for the disc. I can\'t wait to try out these new make-up tips. We\'ll be the hit of all the dance clubs. If we ever got to go, that is.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '317', 'm40f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '318', 'm40s', 'Thanks for the delivery. Those tattoos are supposedly worn by the Nightsisters of Dathomir. Wouldn\'t that be a great name for a band? Maybe we\'ll start one. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '319', 'm40p', 'It\'s important to keep up with fashion, you know. A person\'s clothes and make-up say a lot. For example, your clothes speak volumes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '320', 'm40t', 'Tattoos Are Fashionable');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '321', 'm41d', 'A friend just got the specs for the newest Ommni Box that\'s about to hit the market. This thing can make even the crummiest band sound great. Just what we need! Could you pick up these specs and take them to my band buddy? Once the rest of the band sees this, I know they\'ll chip in with me to buy it. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '322', 'm41l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '323', 'm41o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '324', 'm41r', 'Let\'s see if this toy is as good as my friend claims. If it is, we\'ll send you a copy of our first recording. How\'s that?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '325', 'm41f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '326', 'm41s', 'This Ommni Box is gonna pave the way for our rise to super-stardom. I just know it! You remember me, I\'m gonna be famous.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '327', 'm41p', 'The specs are on this datadisc. Tell those wanna-be musicians that this Ommni Box can\'t perform miracles. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '328', 'm41t', 'Ommni Box Breakthrough');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '329', 'm42d', 'I got my hands on a great hologram recording called \"Twi\'lek Ladies Gone Wild.\" I just gotta share it with my buddies. They\'ll flip. It\'s on this datadisc. Tell them to pay particular attention to the scene with Oola and the Yuzzem.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '330', 'm42l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '331', 'm42o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '332', 'm42r', 'Here it is! The gang is gonna freak. Thanks, buddy, you made our day. Party time!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '333', 'm42f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '334', 'm42s', 'Thanks for delivering that disc. I hope you didn\'t pirate it, because we both know that would be very, very wrong. (Snort!)');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '335', 'm42p', 'If you can find a copy of this, you should certainly purchase it. It\'s credits well spent.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '336', 'm42t', 'Twi\'lek Ladies Gone Wild!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '337', 'm43d', 'Why are power converters so hard to find? I\'ve looked everywhere. Why does this always happen to me? It\'s not fair! I want some power converters! Is that too much to ask? Could you please pick up a purchase order and deliver it to a local supplier for me? I\'d go myself, but I have to finish cleaning some droids.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '338', 'm43l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '339', 'm43o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '340', 'm43r', 'This whiny customer again? I should never have special-ordered those fuel cells. Now I\'ll never get any rest. Fine, I\'ll get right on it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '341', 'm43f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '342', 'm43s', 'Life is so unfair. Did you ever have one of those days? Well that\'s my whole life. Why me? Oh, thanks for your help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '343', 'm43p', 'Here you go. I hope this supplier can fill this order. That farm kid is getting annoying.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '344', 'm43t', 'Why No Power Converters?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '345', 'm44d', 'My friend wants to check out the newest recording by the popular band \"Dance Lords of the Bith.\" If you don\'t find yourself moving to this music, you\'re probably dead. It\'s currently on loan to a neighbor. Could you pick up the recording and deliver it? Can\'t wait to hear this at the cantina.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '346', 'm44l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '347', 'm44o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '348', 'm44r', 'The Dance Lords! Great! I heard this music is hot jets at the smoothest clubs on Coruscant. Can\'t wait to get smooth to its beat. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '349', 'm44f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '350', 'm44s', 'Thanks for your help. We should all strive to give the gift of music. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '351', 'm44p', 'There you are. This music moves your spirit, you know? Feel the beat, zoomer!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '352', 'm44t', 'Dance Lords Recording');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '353', 'm45d', 'I was adopted as a child. After years of searching, I think I\'ve finally found my real mother. Could you pick up some flowers and deliver them to her, along with an invitation to dinner? I can\'t deliver it myself, on the off chance that I\'m wrong. Oh, I hope I\'m not. Thank you so much for your help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '354', 'm45l', 'Invite to dinner needs delivered');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '355', 'm45o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '356', 'm45r', 'Nope, sorry, you got the wrong person. I\'ve never been a mother and never hope to be. I may accept the dinner invitation anyway, though. And the flowers are nice.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '357', 'm45f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '358', 'm45s', 'Thanks so much for giving my mother that invitation. I\'m going to make fleek eel soup. It\'ll be grand! Too bad you can\'t join us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '359', 'm45p', 'A bouquet of flowers as ordered. Is this for a sweetheart? Oh, you\'re doing this for someone else? How nice.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '360', 'm45t', 'Deliver dinner invite');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '361', 'm46d', 'Four-cubes will break you spiritually as well as financially. I need someone to pick up a datadisc from my bookie and deliver it to a fellow player. The disc contains codes to access my credits. They\'re all encrypted, so don\'t even think about keeping it. Plus, you wouldn\'t want to add a Hutt to your list of enemies, would you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '362', 'm46l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '363', 'm46o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '364', 'm46r', 'Looks like this loser got some common sense. Good. I was about to start hiring bounty hunters.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '365', 'm46f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '366', 'm46s', 'Don\'t gamble, friend. Just don\'t. It leads to an early grave and heartache while you live. And worry not, I instructed my bookie to deposit your fee. Now I\'m totally broke.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '367', 'm46p', 'Some beings just don\'t know when to leave well enough alone. Why is it that gambling attracts so many folks with bad luck? Anyway, here\'s the disc.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '368', 'm46t', 'Deliver a gambling debt');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '369', 'm47d', 'I\'ve finished the definitive work on training hunting twirrls. It should become quite a popular sport among the nobles and the rich on Coruscant. It is, after all, already a distinguished sport on Naboo for persons of higher breeding. Please pick up my manuscript and deliver it to my editor for proofreading.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '370', 'm47l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '371', 'm47o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '372', 'm47r', 'This author\'s previous works have always been of superior quality -- always well researched. I can\'t wait to peruse this one.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '373', 'm47f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '374', 'm47s', 'Thank you ever so much for taking care of that. I hope you\'ll find my compensation satisfactory. Must run now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '375', 'm47p', 'Yes, here\'s the manuscript. Have you ever tried twirrl hunting? No, I guess you wouldn\'t have, would you? Carry on.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '376', 'm47t', 'Twirrl Manuscript');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '377', 'm48d', 'My partner has just received a new litter of tusk-cats. A friend of ours wants the pick of the litter. Please pick up a datadisc containing holographs of all the cubs from my partner and deliver it our friend. This will help our friend make a good choice. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '378', 'm48l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '379', 'm48o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '380', 'm48r', 'That litter is in already? Splendid! My son has been looking forward to this moment. The cub is for him, you know. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '381', 'm48f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '382', 'm48s', 'Thanks for your help, friend. I hope our friend finds something worth purchasing.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '383', 'm48p', 'Nothing like a strong tusk-cat at your side. These are some of the finest from the top kennels in Theed. I\'m sure these holographs will demonstrate their quality.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '384', 'm48t', 'Finest Tusk-Cats From Theed');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '385', 'm49d', 'I have finally found my father\'s murderer and have put a price on the killer\'s head. However, due to our past, I will give the wretch a fighting chance. I need you to pick up a copy of the hunt certificate and deliver it to the guilty party. That should give this murderer a chance to make all the proper arrangements. I\'ve made mine.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '386', 'm49l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '387', 'm49o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '388', 'm49r', 'A death threat? But I\'ve never killed anyone! I\'m innocent! This is all a huge mistake!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '389', 'm49f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '390', 'm49s', 'I know this task was unpleasant, and I appreciate your professionalism in carrying it out.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '391', 'm49p', 'Feel free to tell this individual that you\'re only the messenger, not the instrument of death itself.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '392', 'm49t', 'Death Threat');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '393', 'm50d', 'You must help me! My cousin has been falsely accused by some vengeful lunatic of murdering a loved one. I need you to pick up the evidence exonerating him -- a commercial transport manifest dated the day this maniac claims the murder took place. The passenger list proves my cousin was on that ship and couldn\'t have murdered anyone!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '394', 'm50l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '395', 'm50o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '396', 'm50r', 'The deathmark has been ordered. This disc proves nothing; records can be falsified. Justice will be served at last.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '397', 'm50f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '398', 'm50s', 'Thank you for attending to this matter so quickly! I hope our efforts are enough to save my cousin\'s life!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '399', 'm50p', 'Here\'s the disc! Please hurry! Our cousin\'s life is in your hands!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '400', 'm50t', 'Proof of Innocence');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '401', 'm51d', 'I\'ve managed to find actual live recordings of krayt dragons. My friend is a naturalist and has been studying krayts for years. A book on the subject is in the works, I understand. Could you pick up the datadisc contains the recordings and drop it off with my friend? I\'m sure they\'d be most useful.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '402', 'm51l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '403', 'm51o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '404', 'm51r', 'The krayt dragon recordings! This will be such a boon to my research. Thank you so much!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '405', 'm51f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '406', 'm51s', 'I would love to see the look on my friend\'s face when these recordings are played. Alas, if only I wasn\'t so busy I could pay my friend a visit. Thanks for your help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '407', 'm51p', 'I\'ve listened to these recordings. Truly amazing stuff. Who knew krayt dragons vocalized to this degree?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '408', 'm51t', 'Krayt Dragon Roars');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium.stf', '409', 'number_of_entries', '51');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '1', 'm1d', 'I\'m submitting my application to the Academy at long last. Won\'t my friends be jealous when they hear I\'ve become a TIE pilot? But I can\'t trust something this important to the HoloNet. Could you pick up my application from my friend\'s home and hand-deliver it to a professional courier?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '2', 'm1l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '3', 'm1o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '4', 'm1f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '5', 'm1r', 'Another star jockey wanna-be, eh? All right, I\'ll see that it\'s delivered to the Academy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '6', 'm1p', 'My best friend\'s future is in your hands. Please be careful and see that it gets to its destination. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '7', 'm1t', 'A New TIE Pilot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '8', 'm1s', 'Thanks, buddy! You\'re the kind of friend someone wishes for. I deposited a little something into your account.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '9', 'm2d', 'I was investigating a missing person\'s case for a client to discover what had happened to their son. Apparently the young man was on Alderaan when it -- well, you know. His final letters are stored on a datadisc. I regret I can\'t deliver the datadisc in person but I\'m keeping a low profile. My investigation attracted some unwanted Imperial attention.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '10', 'm2l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '11', 'm2o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '12', 'm2f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '13', 'm2r', 'What? This can\'t be! A plague upon the Empire! Those assassins don\'t deserve our loyalty! Oh, my son! My dear son!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '14', 'm2p', 'Please be sensitive when delivering this message. It will no doubt come as a great shock to the recipient.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '15', 'm2t', 'Tragic News');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '16', 'm2s', 'Did anyone appear to be following you when you made the delivery? I\'d keep a low profile, just in case. Your fee has been transmitted to your account.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '17', 'm3d', 'The happy day has come at last! My only daughter is getting married. Could you pick up the very first holographic invitation from the data engineer and hand-deliver it to my oldest friend? That should impress my friend. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '18', 'm3l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '19', 'm3o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '20', 'm3f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '21', 'm3r', 'Well, it\'s about time! I knew that girl would get hitched sooner or later. Can\'t wait to tell the family. Wedding invitations on datadisc. Heh! How times change.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '22', 'm3p', 'Here\'s the personalized invitation. This is quite the elaborate presentation, lots of animation and music. Family must be rich.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '23', 'm3t', 'Bring Nuptial News');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '24', 'm3s', 'Thanks for delivering that invitation. My friend was most impressed. I\'m not rich, but my daughter\'s first -- and, I hope, only -- wedding is worth a splurge.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '25', 'm4d', 'I\'ve finished my survey of the Core\'s asteroid fields and have charted every known space slug in those sectors. I need someone to pick up the survey datadisc from my lab and deliver it to a representative of the Imperial Science Department\'s Biology Division -- they need to double-check my stats before we transmit it to the Imperial Information Center.   ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '26', 'm4l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '27', 'm4o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '28', 'm4f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '29', 'm4r', 'Ah, the survey results! I\'ll check these findings immediately. I hope my superiors keep me in mind when assigning scientists to study those space slugs.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '30', 'm4p', 'By delivering this datadisc you are furthering the cause of science. We\'re counting on you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '31', 'm4t', 'Space Slug Survey Map');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '32', 'm4s', 'Thanks for getting that to my colleague so quickly. I\'ve deposited your fee for services rendered.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '33', 'm5d', 'My company has just finished logging the inventory of one of our client\'s holdings. It\'s all been stored on a datadisc that has everything itemized by sale price. The appraisals were done by the most careful and painstaking professionals in the field. Could you pick up the inventory and deliver it to our client?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '34', 'm5l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '35', 'm5o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '36', 'm5f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '37', 'm5r', 'It\'s about time! I paid good money for these appraisals, and I expected them to be done long since. I\'ll adjust my final payment to the company accordingly.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '38', 'm5p', 'Our client is most eager to receive this datadisc. Please relay our apologies for tardiness, but we wanted to be thorough.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '39', 'm5t', 'Precise Inventories Take Time');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '40', 'm5s', 'Thank you for your prompt service. I understand that our client was a tad upset. We\'ll try to smooth things over. Your pay has been deposited.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '41', 'm6d', 'A customer\'s daughter is getting married soon, and she needs a dress in a week. Could you pick up the datadisc containing the dress pattern from my customer? Please deliver it to my colleague\'s fabric shop so I can be sent the appropriate fabrics. I\'m swamped with work and can\'t go myself.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '42', 'm6l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '43', 'm6o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '44', 'm6f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '45', 'm6r', 'This will be quite a dress. The pattern calls for some pretty exotic fabrics -- spidersilk saturated with glimmerdust, prismatic zwill, resublimated nanoweave. Hope this customer is rich.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '46', 'm6p', 'It will be a gown fit for a queen. Do please hurry with the delivery. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '47', 'm6t', 'Beautiful Bridal Gown');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '48', 'm6s', 'Thank you so much for being prompt. If you ever need clothes, look me up -- once I\'m not so swamped, that is.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '49', 'm7d', 'A friend\'s child has been sick, stricken with body sores. I know an old family remedy that never fails, regardless of the species involved. Could you pick up the datadisc with the recipe for this poultice and the accompanying herbs from a local pharmacist? Then please deliver the goods to my friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '50', 'm7l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '51', 'm7o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '52', 'm7f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '53', 'm7r', 'My poor child, how they suffer. I\'ll give this remedy a try. Thank you so much for delivering it. I\'ll let my friend know if it worked.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '54', 'm7p', 'Apply this poultice three times a day. Remind the customer to make a fresh batch every day, and wrap the unused portion tightly before throwing it out. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '55', 'm7t', 'Cure for an Ailing Child');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '56', 'm7s', 'My thanks for the prompt delivery. I hope my friend\'s child gets better once this remedy is used.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '57', 'm8d', 'I won\'t be able to attend my nephew\'s birthday celebration this year.  But I made a special holocam recording of me singing his favorite nursery rhymes. Could you pick up the recording and make sure the family gets it in time for the party? Thank you so much.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '58', 'm8l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '59', 'm8o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '60', 'm8f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '61', 'm8r', 'Is this for the birthday boy? I\'m helping put together his party. I\'m sure he\'ll be pleased to get this. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '62', 'm8p', 'Just finished editing the holo. It certainly is -- something. I hope the kid likes it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '63', 'm8t', 'Birthday Gift Is Really Something');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '64', 'm8s', 'I hope my nephew appreciates all my hard work. He can be such a sweet boy if the mood strikes him. Thank you for your help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '65', 'm9d', 'A miner friend found some crystal deposits while out prospecting in the Outer Rim. He won\'t say where exactly he found them. Claims he\'s going to get rich or something. He wants me to have some crystal samples analyzed for him. Can you pick up the samples and deliver them to a mineralogist I know?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '66', 'm9l', 'Crystals');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '67', 'm9o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '68', 'm9f', 'filename_of_object');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '69', 'm9r', 'Crystals, eh? Sure, I\'ll have a look. Prospectors keep dreaming they\'ll find another source of Adegan crystals. They used to use those in lightsabers, you know.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '70', 'm9p', 'These might just be worthless rocks. I hope my friend can help me identify them. Oh, does the word \'Adegan\' mean anything to you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '71', 'm9t', 'Mysterious Crystals');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '72', 'm9s', 'Thanks for delivering those crystals. My friend is always having me check out all sorts of minerals. The mother lode is waiting, somewhere out there.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '73', 'm10d', 'My employer sells antiques to interested buyers. One such collector has paid the proper fee to view my employer\'s wares. Could you pick up an encrypted catalog and deliver it? The collector will know how to retrieve the data.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '74', 'm10l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '75', 'm10o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '76', 'm10f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '77', 'm10r', 'The catalog at last! I\'ve waited a long time for this. The possibility of Sith artifacts! Can you imagine?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '78', 'm10p', 'Nothing is free, pal.  If you want to look, you gotta pay the fee too. Actually, you probably can\'t afford it. Deliver this quick, though, and you might be on your way to earning enough.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '79', 'm10t', 'Antique Catalog');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '80', 'm10s', 'By the way, the contents of our catalog are confidential. Please respect our privacy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '81', 'm11d', 'Fleek eels are a prized delicacy that must be kept alive until they\'re cooked or else the flavor is greatly diminished. I found a way to preserve the eels so that none of the flavor is lost. I need you to pick up a sample and deliver it promptly to a representative of the Corporate Sector Authority. Their food companies can make millions off my secret recipe!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '82', 'm11l', 'Small container');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '83', 'm11o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '84', 'm11f', 'filename_of_object');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '85', 'm11r', 'This sample will be tested, of course. If it fails to meet our taste standards, there will be no compensation. That is, in fact, what we are expecting.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '86', 'm11p', 'I knew all those years my friend spent studying preservatives would pay off. I hope he doesn\'t forget me when he\'s filthy rich. Please be careful with this delivery!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '87', 'm11t', 'Fleek Eels Soon to Be Preserved');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '88', 'm11s', 'Thanks, citizen! I can\'t wait for those CSA chefs to taste those preserved fleek eels and marvel at my genius!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '89', 'm12d', 'Can you keep a secret? I\'m a great Jedi Master who used to lead the Jedi Council in the days of the Old Republic. We\'re in hiding, waiting for the right moment to destroy the Empire. I need you to pick up a secret message from one of our contacts and deliver it to a fellow Jedi. This is of the greatest importance. Can you handle it?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '90', 'm12l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '91', 'm12o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '92', 'm12f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '93', 'm12r', 'Not this lunatic again! Who is it this time? Last week it was the Emperor. This is just a grocery list, for Corellia\'s sake! Poor sod needs professional help. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '94', 'm12p', 'The fate of the galaxy is in your hands. Know that the Force will be with you, always. Unless you fail. Then you\'re bantha fodder. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '95', 'm12t', 'The Return of the Jedi?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '96', 'm12s', 'Thank you for serving the interests of the Jedi. Soon we will come out of hiding and restore the Republic. Honest.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '97', 'm13d', 'I finally managed to sell my old JR-4 swoop. Got a good price for it, too. I need you to pick up the title and deliver it to the new owner. Thanks, buddy!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '98', 'm13l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '99', 'm13o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '100', 'm13f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '101', 'm13r', 'The title! Great! I\'ve already started to modify the JR-4. It was in great condition.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '102', 'm13p', 'Here you go. You into speeders and swoops like me and my buddy? Check out the Flare-S swoop if you ever get a chance. Nice.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '103', 'm13t', 'Swoop Title');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '104', 'm13s', 'Thanks for taking care of that for me, buddy. I can\'t wait to buy the new TaggeCo Air-2 swoop. Now that\'s a sweet ride!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '105', 'm14d', 'Someone wants to buy my vintage blaster collection, including my matching set of MB-450\'s. Luxan Personal Armaments is the best, and the Penetrator is the elite of hunting pistols. I have a datadisc -- holographs and detailed specs of everything in my collection -- to be delivered to the buyer. Can you pick it up from my friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '106', 'm14l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '107', 'm14o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '108', 'm14f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '109', 'm14r', 'Can\'t wait to see what\'s on this datadisc. I love blasters. Don\'t you? Nothing like the weight of a solid weapon in your hands, eh?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '110', 'm14p', 'My buddy inherited this collection from an uncle. That old-timer was a blaster freak. Wish the old guy had had some lightsabers, you know?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '111', 'm14t', 'Blaster Catalog');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '112', 'm14s', 'Thanks for the delivery. If you ever hear of anyone selling lightsabers, let me know.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '113', 'm15d', 'I once took an interest in genealogy and kept very good records. Now my colleagues think they can use me as a library whenever they wish. Please pick up a copy of my database and deliver it to one of these annoying scholars. Tell them they can look up the name \"Skywalker\" themselves. The nerve! ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '114', 'm15l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '115', 'm15o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '116', 'm15f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '117', 'm15r', 'I\'m certain the name \"Skywalker\" is important. It may indeed be the key to solving all of the Empire\'s problems! Thank you for bringing this.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '118', 'm15p', 'Please tell this scholar to stop harassing our family or else we shall refuse future requests. Fate of the Empire indeed!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '119', 'm15t', 'Genealogical Studies');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '120', 'm15s', 'My thanks for the prompt delivery. Perhaps now I can get some peace.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '121', 'm16d', 'I\'m a private investigator and I\'m swamped with work. Could you pick up a datadisc of holographs and deliver it to a client? Little matter of a dark suspicion, one partner for another. This encrypted disc will settle the matter for good. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '122', 'm16l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '123', 'm16o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '124', 'm16f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '125', 'm16r', 'Finally I\'ll know the truth! I\'m sure this disc will verify my suspicions. Love hurts, you know.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '126', 'm16p', 'I hope this alleviates my client\'s paranoia. Trust is a rare commodity these days.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '127', 'm16t', 'Help a Private Investigator');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '128', 'm16s', 'Thanks for your help. Somedays I hate my job, but it\'s a living. Speaking of which, your fee has been deposited.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '129', 'm17d', 'You know they used to clone people, right? I\'m convinced my friend has been cloned for nefarious purposes. I need you to pick up a datadisc containing holographs of the clone in action, taken by an investigator I hired. Then take the disc to my friend. This will prove I\'m right.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '130', 'm17l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '131', 'm17o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '132', 'm17f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '133', 'm17r', 'Sure, I\'ll look at the images, but I just wish my friend would accept the truth. I have not been cloned!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '134', 'm17p', 'Here\'s the disc. I personally think my client\'s friend is just leading a very interesting double life. But I\'m not being paid for my opinion, so --');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '135', 'm17t', 'Mistaken identity?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '136', 'm17s', 'Thanks for delivering those pictures. You should make sure you\'re not cloned, friend. Otherwise you never know what crimes you might be implicated in.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '137', 'm18d', 'My best friend is about to marry someone unworthy. I hired an investigator to follow the mate-to-be. The investigator has holographs that will prove my friend\'s \"true love\" has been unfaithful. I can\'t deliver these myself, or my friend would think I had doctored the images. Can you pick them up and deliver them?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '138', 'm18l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '139', 'm18o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '140', 'm18f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '141', 'm18r', 'What is this? A disc of holographs? What\'s on them? Who sent them? Who are you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '142', 'm18p', 'Here are the holographs. I gotta admit, some of them are rather amusing. But don\'t tell my employer I said that.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '143', 'm18t', 'Incriminating Holographs');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '144', 'm18s', 'Thanks for your help. I hope you didn\'t mention my name. I\'m only trying to save my friend future heartache.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '145', 'm19d', 'I\'m a scout for a major music label and don\'t have time for amateurs. The vocals on these latest sample tracks sound like the death rattle of a Tatooine meewit. This so-called musician included credits to make sure this \'precious\' recording was returned safely. Could you pick it up and get it out of my life? Don\'t try to listen to this mess.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '146', 'm19l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '147', 'm19o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '148', 'm19f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '149', 'm19r', 'They\'ve returned my work? Why? Did they like it? Do I have a contract? What\'s wrong with these people? They\'re Tusken when it comes to music!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '150', 'm19p', 'You gotta listen to a bunch of garbage before you find anyone with even a shred of talent. You don\'t play, by any chance?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '151', 'm19t', 'Bad News for a Musician');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '152', 'm19s', 'Thanks for dropping of that cacophonous mangle. I hope the artist goes into a more appropriate line of work, like custodial duty or food service. Your fee is taken care of.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '153', 'm20d', 'I feel guilty that it has taken this long to deliver a legal document. I know that we should not have kept an indentured servant so long, but over time, it felt like we were all one big happy family. Well, it\'s time for justice to be done and for freedom to have its day. Can you pick up this document from my family and deliver it?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '154', 'm20l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '155', 'm20o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '156', 'm20f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '157', 'm20r', 'What... can it be? Freedom? Freedom! I am free! Free!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '158', 'm20p', 'Here\'s the document. Please inform this individual that they\'ll be missed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '159', 'm20t', 'Free an Indentured Servant');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '160', 'm20s', 'Thanks for getting that done. Next time I\'ll be a bit more conscientious about such things.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '161', 'm21d', 'My friends love keeping up with the latest fashions. An acquaintance is putting a whole bunch of facial tattoo patterns on a datadisc for us. Could you please pick up and deliver this disc to my friend?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '162', 'm21l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '163', 'm21o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '164', 'm21f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '165', 'm21r', 'Wow! Thanks for the disc. I can\'t wait to try out these new make-up tips. We\'ll be the hit of all the dance clubs.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '166', 'm21p', 'It\'s important to keep up with fashion, you know. A person\'s clothes and make-up say a lot. For example, your clothes speak volumes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '167', 'm21t', 'Fashionable Facial Tattoos');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '168', 'm21s', 'Thanks for the delivery. Those tattoos are supposedly worn by the Nightsisters of Dathomir. Wouldn\'t that be a great name for a band? Maybe we\'ll start one. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '169', 'm22d', 'A friend just got the specs for the newest Ommni Box that\'s about to hit the market. This thing can make even the crummiest band sound great. Just what we need! Could you pick up these specs and take them to my band buddy? Once the rest of the band sees this, I know they\'ll chip in with me to buy it. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '170', 'm22l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '171', 'm22o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '172', 'm22f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '173', 'm22r', 'Let\'s see if this toy is as good as my friend claims. If it is, we\'ll send you a copy of our first recording. How\'s that?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '174', 'm22p', 'The specs are on this datadisc. Tell those wanna-be musicians that this Ommni Box can\'t perform miracles. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '175', 'm22t', 'Amateur Band Seeks Ommni Box');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '176', 'm22s', 'This Ommni Box is gonna pave the way for our rise to super-stardom. I just know it! You remember me, I\'m gonna be famous.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '177', 'm23d', 'I\'ve managed to find actual live recordings of krayt dragons. My friend is a naturalist and has been studying krayts for years. A book on the subject is in the works, I understand. Could you pick up the datadisc contains the recordings and drop it off with my friend? I\'m sure they\'d be most useful.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '178', 'm23l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '179', 'm23o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '180', 'm23f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '181', 'm23r', 'The krayt dragon recordings! This will be such a boon to my research. Thank you so much!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '182', 'm23p', 'I\'ve listened to these recordings. Truly amazing stuff. Who knew krayt dragons vocalized to this degree?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '183', 'm23t', 'Help conduct research');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '184', 'm23s', 'I would love to see the look on my friend\'s face when these recordings are played. Alas, if only I wasn\'t so busy I could pay my friend a visit. Thanks for your help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '185', 'm24d', 'Why are power converters so hard to find? I\'ve looked everywhere. Why does this always happen to me? It\'s not fair! I want some power converters! Is that too much to ask? Could you please pick up a purchase order and deliver it to a local supplier for me? I\'d go myself, but I have to finish cleaning some droids.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '186', 'm24l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '187', 'm24o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '188', 'm24f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '189', 'm24r', 'This whiny customer again? I should never have special-ordered those fuel cells. Now I\'ll never get any rest. Fine, I\'ll get right on it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '190', 'm24p', 'Here you go. I hope this supplier can fill this order. That farm kid is getting annoying.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '191', 'm24t', 'Get Some Power Converters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '192', 'm24s', 'Life is so unfair. Did you ever have one of those days? Well that\'s my whole life. Why me? Oh, thanks for your help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '193', 'm25d', 'My friend wants to check out the newest recording by the popular band \"Dance Lords of the Bith.\" If you don\'t find yourself moving to this music, you\'re probably dead. It\'s currently on loan to a neighbor. Could you pick up the recording and deliver it? Can\'t wait to hear this at the club. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '194', 'm25l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '195', 'm25o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '196', 'm25f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '197', 'm25r', 'The Dance Lords! Great! I heard this music is hot jets at the smoothest clubs on Coruscant. Can\'t wait to get smooth to its beat. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '198', 'm25p', 'There you are. This music moves your spirit, you know? Feel the beat, zoomer!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '199', 'm25t', 'Dance Lords of the Bith!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '200', 'm25s', 'Thanks for your help. We should all strive to give the gift of music. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '201', 'm26d', 'I was adopted when I was a child. After years of searching, I think I\'ve finally found my real mother. Could you pick up some flowers and deliver them to her, along with an invitation to dinner? I can\'t deliver it myself, on the off chance that I\'m wrong. Oh, I hope I\'m not. Thank you so much for your help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '202', 'm26l', 'Flowers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '203', 'm26o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '204', 'm26f', 'filename_of_object');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '205', 'm26r', 'Nope, sorry, you got the wrong person. I\'ve never been a mother and never hope to be. I may accept the dinner invitation anyway, though. And the flowers are nice.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '206', 'm26p', 'A bouquet of flowers as ordered. Is this for a sweetheart? Oh, you\'re doing this for someone else? How nice.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '207', 'm26t', 'Reunite a Family');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '208', 'm26s', 'Thanks so much for giving my mother that invitation. I\'m going to make fleek eel soup. It\'ll be grand! Too bad you can\'t join us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '209', 'm27d', 'Four-cubes will break you spiritually as well as financially. I need someone to pick up a datadisc from my bookie and deliver it to a fellow player. The disc contains codes to access my credits. They\'re all encrypted, so don\'t even think about keeping it. Plus, you wouldn\'t want to add a Hutt to your list of enemies, would you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '210', 'm27l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '211', 'm27o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '212', 'm27f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '213', 'm27r', 'Looks like this loser got some common sense. Good. I was about to start hiring bounty hunters.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '214', 'm27p', 'Some beings just don\'t know when to leave well enough alone. Why is it that gambling attracts so many folks with bad luck? Anyway, here\'s the disc.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '215', 'm27t', 'Pay Off a Hutt');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '216', 'm27s', 'Don\'t gamble, friend. Just don\'t. It leads to an early grave and heartache while you live. And worry not, I instructed my bookie to deposit your fee. Now I\'m totally broke.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '217', 'm28d', 'I\'ve finished the definitive work on training hunting twirrls. It should become quite a popular sport among the nobles and the rich on Coruscant. It is, after all, already a distinguished sport on Naboo for persons of higher breeding. Please pick up my manuscript and deliver it to my editor for proofreading.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '218', 'm28l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '219', 'm28o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '220', 'm28f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '221', 'm28r', 'This author\'s previous works have always been of superior quality -- always well researched. I can\'t wait to peruse this one.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '222', 'm28p', 'Yes, here\'s the manuscript. Have you ever tried twirrl hunting? No, I guess you wouldn\'t have, would you? Carry on.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '223', 'm28t', 'Popularize Twirrl Hunting');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '224', 'm28s', 'Thank you ever so much for taking care of that. I hope you\'ll find my compensation satisfactory. Must run now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '225', 'm29d', 'My partner has just received a new litter of tusk-cats. A friend of ours wants the pick of the litter. Please pick up a datadisc containing holographs of all the cubs from my partner and deliver it our friend. This will help our friend make a good choice. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '226', 'm29l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '227', 'm29o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '228', 'm29f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '229', 'm29r', 'That litter is in already? Splendid! My son has been looking forward to this moment. The cub is for him, you know. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '230', 'm29p', 'Nothing like a strong tusk-cat at your side. These are some of the finest from the top kennels in Theed. I\'m sure these holographs will demonstrate their quality.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '231', 'm29t', 'Help pick a pet');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '232', 'm29s', 'Thanks for your help, friend. I hope our friend finds something worth purchasing.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '233', 'm30d', 'I have finally found my father\'s murderer and have put a price on the killer\'s head. However, due to our past, I will give the wretch a fighting chance. I need you to pick up a copy of the hunt certificate and deliver it to the guilty party. That should give this murderer a chance to make all the proper arrangements.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '234', 'm30l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '235', 'm30o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '236', 'm30f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '237', 'm30r', 'A deathmark? But I\'ve never killed anyone! I\'m innocent! This is all a huge mistake!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '238', 'm30p', 'Feel free to tell this individual that you\'re only the messenger, not the instrument of death itself.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '239', 'm30t', 'Deliver a Deathmark');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '240', 'm30s', 'I know this task was unpleasant, and I appreciate your professionalism in carrying it out.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '241', 'm31d', 'You must help me! My cousin has been falsely accused by some vengeful lunatic of murdering a loved one. I need you to pick up the evidence exonerating him -- a commercial transport manifest dated the day this maniac claims the murder took place. The passenger list proves my cousin was on that ship and couldn\'t have murdered anyone!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '242', 'm31l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '243', 'm31o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '244', 'm31f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '245', 'm31r', 'The deathmark has been ordered. This disc proves nothing; records can be falsified. Justice will be served at last.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '246', 'm31p', 'Here\'s the disc! Please hurry! Our cousin\'s life is in your hands!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '247', 'm31t', 'Help Prove Innocence');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '248', 'm31s', 'Thank you for attending to this matter so quickly! I hope our efforts are enough to save my cousin\'s life!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '249', 'm32d', 'My cousin was remembered in my late father\'s will. I don\'t trust this information over the HoloNet -- it\'s not much of an inheritance and is bound to be taxed into oblivion. I\'m asking you to pick up a copy of the will and deliver it to my cousin\'s family. I\'m willing to pay a modest fee.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '250', 'm32l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '251', 'm32o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '252', 'm32f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '253', 'm32r', 'Ah, what\'s this? An inheritance? I had heard that my friend\'s uncle had passed away. I\'ll make sure he gets this when he gets home.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '254', 'm32p', 'Here you go. The information about the inheritance is in this datadisc. Please make sure it ends up in the right hands!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '255', 'm32t', 'About an Inheritance');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '256', 'm32s', 'Thanks for your help. I think this inheritance will come as a surprise to my cousin.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '257', 'm33d', 'I don\'t trust my new blaster design to the HoloNet; there are too many slicers out there on the lookout for industrial secrets. The best way to deliver something confidential is to carry it by hand. I need you to pick up an encrypted datadisc containing my design and carry it to the industrialist whom I hope will agree to manufacture it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '258', 'm33l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '259', 'm33o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '260', 'm33f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '261', 'm33r', 'Another wannabe blaster designer. If you\'ve seen one, you\'ve seen a million. Well, we\'ll look at it and see if it\'s any good. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '262', 'm33p', 'Here. Please don\'t lose it, and please be careful with it! My friend\'s whole life is tied up in this blaster design.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '263', 'm33t', 'Life Tied Up in a Blaster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '264', 'm33s', 'Thanks for delivering my blaster design. If it works, you can tell everyone you played a part in revolutionizing blaster technology.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '265', 'm34d', 'This software is confidential and critical. Suffice it to say that it has significant military applications. We need you to hand carry it, at the client\'s insistence; they are extremely paranoid about it going over the HoloNet. Please deliver it to their representative at the agreed location.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '266', 'm34l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '267', 'm34o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '268', 'm34f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '269', 'm34r', 'Thanks for delivering the software. How high is your security clearance? All right, never mind.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '270', 'm34p', 'Here\'s the software. Please deliver it promptly. And don\'t bother trying to run it -- I promise you don\'t have the required hardware.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '271', 'm34t', 'Deliver critical software');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '272', 'm34s', 'Thanks, buddy, we couldn\'t have done it without you. You fee has been deposited.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '273', 'm35d', 'I need someone to pick up and deliver a summons. My regular runners are not available, and this case needs to be investigated promptly. Simply serve the summons, and don\'t engage the recipient in any significant conversation -- trust me, it won\'t go well.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '274', 'm35l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '275', 'm35o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '276', 'm35f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '277', 'm35r', 'A summons? What? Hey now, why am I getting a summons?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '278', 'm35p', 'Here\'s the summons. Just hand it to the recipient and leave. Not much point in talking.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '279', 'm35t', 'Deliver a summons');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '280', 'm35s', 'Thanks for your help. I hope you weren\'t given a hard time. Your fee has been taken care of.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_neutral_medium_non_persistent_from_npc.stf', '281', 'number_of_entries', '35');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '1', 'm1d', 'My son and his family were vacationing on Alderaan when it was destroyed by the Empire. I want to pledge myself to the Rebellion and help topple the bloody regime that took my son\'s life. Can you deliver this message to a contact within the Rebellion? I don\'t know who to trust.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '2', 'm1l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '3', 'm1o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '4', 'm1r', 'I wish this citizen\'s story was unique, but it\'s not. We\'ll make contact soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '5', 'm1f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '6', 'm1s', 'Thank you for handling that matter with such delicacy. You\'ll go far.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '7', 'm1p', 'We must do everything we can to put a stop to those butchers.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '8', 'm1t', 'New Recruit');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '9', 'm2d', 'I was going to join the Academy, but I saw a hologram of the destruction of Alderaan. It doesn\'t matter how I got it. Now I know the truth. A Bothan pilot instructed me to seek a trusted courier to deliver my request to the Rebel Underground. Is that you, citizen?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '10', 'm2l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '11', 'm2o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '12', 'm2r', 'The more the Empire oppresses its people, the sooner it will fall. We\'ll be in touch.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '13', 'm2f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '14', 'm2s', 'Thanks for getting me in touch with the Alliance. I appreciate it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '15', 'm2p', 'The Empire has no respect for life, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '16', 'm2t', 'Another Recruit');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '17', 'm3d', 'The Empire tricked me into divulging the names of suspected Rebel sympathizers. One was my own father. He was executed, and I was forced to watch the hologram. I want to join the Rebellion and stop this tyranny. Please deliver this message to the underground. I can be found at the local cantina between noon and closing time. I sit at the back, and I always drink alone.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '18', 'm3l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '19', 'm3o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '20', 'm3r', 'This citizen is being destroyed by grief. We\'ll see what we can do.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '21', 'm3f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '22', 'm3s', 'Thanks for your help. I\'ll do everything I can to stop the Empire. My poor father. His face haunts me.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '23', 'm3p', 'I\'ll have to live with this mistake for the rest of my life, citizen. I can hardly bear it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '24', 'm3t', 'A Heavy Heart');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '25', 'm4d', 'A group of dedicated youths is showing support for the Alliance by spraying mustaches on statues of the Emperor. We need you to deliver these special enamel cannisters to their contact. No solvent will remove this enamel, so COMPNOR goons need to burn it off with lasers. It amuses the citizens to see those idiots do this sort of work. Can you help out these kids?  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '26', 'm4l', 'Small cannisters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '27', 'm4o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '28', 'm4r', 'These will come in handy. Thanks! ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '29', 'm4f', 'filename_of_object');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '30', 'm4s', 'No doubt the damaged statues will be replaced in short order, but we\'re showing that defiance is possible.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '31', 'm4p', 'Tell them to put colorful patterns on the stormtroopers\' helmets, too!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '32', 'm4t', 'Deface Imperial Statues');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '33', 'm5d', 'We\'ve heard that COMPNOR is putting on parades to show support for the Emperor. We need these stinkbombs delivered to one of our contacts to pass out to volunteers. They\'ll make sure the parade does not go well. Can we count on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '34', 'm5l', 'A sealed container');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '35', 'm5o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '36', 'm5r', 'We\'ll put these to good use.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '37', 'm5f', 'filename_of_object');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '38', 'm5s', 'I\'m sure it will stink less than the latest Imperial opera.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '39', 'm5p', 'A parade for the Emperor seems to invite this sort of foul smell.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '40', 'm5t', 'Stinkbombs for a Parade');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '41', 'm6d', 'A teacher who\'s sympathetic to the cause of the Alliance has been mentioned in an Imperial Intelligence communique. Can you deliver this warning so we can get the teacher off-planet as quickly as possible? We want to make sure bravery is rewarded, not punished.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '42', 'm6l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '43', 'm6o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '44', 'm6r', 'Thank you, but I choose to stay and continue to spread the idea of freedom.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '45', 'm6f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '46', 'm6s', 'A very courageous person -- who will come to a bad end if the Empire takes notice.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '47', 'm6p', 'The Alliance looks after its supporters.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '48', 'm6t', 'Dangerous Ground');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '49', 'm7d', 'A sweet old citizen who likes baking for the community is about to be arrested. COMPNOR claims she is providing food to Rebels. Take these instructions to one of our contacts so we can get this innocent civilian to safety. Thanks, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '50', 'm7l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '51', 'm7o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '52', 'm7r', 'I know this woman. She makes great cookies. I\'ll see to this personally.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '53', 'm7f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '54', 'm7s', 'Thank you. We\'re happy to help protect this sweet old lady from pointless harrassment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '55', 'm7p', 'The Empire will always shoot first and ask questions later.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '56', 'm7t', 'Save a Kindly Old Baker');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '57', 'm8d', 'We\'ve learned that one of our supporters is being given a bottle of poisoned Naboo wine to serve at a party. We need the support of the merchant this individual is courting, so we must not allow that wine to be served. One of our informants is helping to host the party. Can you deliver this bottle of actual Naboo wine, so our contact can switch the bottles out before serving it? Hurry, it may already be too late.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '58', 'm8l', 'Bottle of wine');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '59', 'm8o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '60', 'm8r', 'Good. The party has already started. I\'m off.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '61', 'm8f', 'filename_of_object');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '62', 'm8s', 'Good job. The switch was made, and nobody was the wiser.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '63', 'm8p', 'It\'s just like COMPNOR to ruin a perfectly good bottle of wine.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '64', 'm8t', 'Poisoned Wine');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '65', 'm9d', 'A harmless lunatic has attracted a great deal of unwelcome attention by claiming to be the Emperor. We know that ISB is planning on burning this fool\'s house to the ground. Please deliver this warning to the citizen. We don\'t know if the idea will get through, but it\'s the least we can do.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '66', 'm9l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '67', 'm9o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '68', 'm9r', 'A warning about the Empire? Wait! You\'re a Rebel! Guards! Seize this traitor! Guards!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '69', 'm9f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '70', 'm9s', 'That poor lunatic is going to get killed. I wish there were more we could do.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '71', 'm9p', 'An enemy of the Empire is a friend of the Alliance. Actually, is someone claiming to be the Emperor really an enemy of the Empire? Ah well, I don\'t need to think about that.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '72', 'm9t', 'Warn a Lunatic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '73', 'm10d', 'One of our secret meeting places has been compromised. We need this warning delivered to our contact with instructions to find a new meeting place. We hope next time we\'ll have a more remote location than under some stranger\'s home. Can we count on you, citizen?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '74', 'm10l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '75', 'm10o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '76', 'm10r', 'Thanks for the warning. I\'ll inform the others.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '77', 'm10f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '78', 'm10s', 'We must all be cautious of being caught by the Empire. Be careful.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '79', 'm10p', 'Always assume someone is listening to your conversations. That\'s a major rule of rebellion.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '80', 'm10t', 'Secret Meeting Place');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '81', 'm11d', 'We\'ve gotten an ISB uniform and need it delivered to our agent in the field. This will allow us to undertake more covert missions. Can we count on your help, citizen?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '82', 'm11l', 'Uniform');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '83', 'm11o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '84', 'm11r', 'Thanks. Do you think this uniform will make me look fat? Just kidding.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '85', 'm11f', 'filename_of_object');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '86', 'm11s', 'We could use more agents like yourself. Keep up the good work. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '87', 'm11p', 'Thank you for taking such a risky assignment. If you\'re found carrying this uniform, the consequences could be severe.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '88', 'm11t', 'Imperial Security Uniform');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '89', 'm12d', 'ISB is secretly distributing a list of names among their contacts. They intend to arrest and interrogate everyone on that list. We\'ve obtained a copy of that list. Please deliver this copy to our HoloNet slicer so we can warn the targets.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '90', 'm12l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '91', 'm12o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '92', 'm12r', 'I\'ll get the word out right away, assuming ISB isn\'t blocking the HoloNet again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '93', 'm12f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '94', 'm12s', 'Thanks for delivering that information. With luck the ISB won\'t get any of our people.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '95', 'm12p', 'For every citizen that the Empire arrests, we save five more.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '96', 'm12t', 'Interrogation List');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '97', 'm13d', 'We have proof that the Empire has been performing vivisections on alien species. This encrypted datadisc must be delivered to our HoloNet slicer so we can transmit these graphic images to some former senators. We\'ll win over the former Imperial bureaucracy yet. Can you help us? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '98', 'm13l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '99', 'm13o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '100', 'm13r', 'I\'ll send the holos right away. Do you know what format they\'re in? Never mind, my wizardry is mighty.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '101', 'm13f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '102', 'm13s', 'How many more atrocities will the Empire commit before they\'re finally defeated? Not too many, if we all work together.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '103', 'm13p', 'I thought these practices were just a rumor. We must expose the Empire\'s cruelty to the entire galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '104', 'm13t', 'Alien Autopsies');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '105', 'm14d', 'Recently we\'d discovered an Imperial spy in one of our local cells. Now we know that the Empire has learned of it. These encrypted instructions tell what to do with the spy. That cell is to disperse immediately. Deliver the disc to our contact as quickly as you can.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '106', 'm14l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '107', 'm14o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '108', 'm14r', 'We\'ll follow these instructions. Long live the Republic!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '109', 'm14f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '110', 'm14s', 'We\'re grateful you delivered that information when you did. Any later would have been too late.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '111', 'm14p', 'It\'s getting harder to spot these Imperial moles. We must keep on our guard.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '112', 'm14t', 'Cell Dispersal');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '113', 'm15d', 'We believe we know the identity of the Vibrodagger Killer. So far the Empire has turned a blind eye to these gruesome murders, because all the victims have been Alliance sympathizers. We\'ll have to take matters into our own hands. Deliver this holograph and dossier of the murderer to our HoloNet slicer, so we can get this information out to our field agents.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '114', 'm15l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '115', 'm15o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '116', 'm15r', 'I can\'t believe it. This fiend will finally be brought to justice.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '117', 'm15f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '118', 'm15s', 'Thanks to your assistance, we\'ll be able to put a stop to these murders by any means necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '119', 'm15p', 'We never take pride in taking a life, but sometimes it must be done.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '120', 'm15t', 'By Any Means Necessary');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '121', 'm16d', 'Some alien refugees we\'ve been harboring are in desperate need of medical supplies. Please deliver this supply request to one of our contacts so we can get the supplies shipped immediately.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '122', 'm16l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '123', 'm16o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '124', 'm16r', 'We\'re getting awfully short on medical supplies. It may be time for another raid.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '125', 'm16f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '126', 'm16s', 'I\'m sure those aliens are grateful for the help you\'ve given them -- as are we!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '127', 'm16p', 'The abominable treatment of nonhumans is only one reason why the Empire must fall.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '128', 'm16t', 'Emergency Medical Supplies');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '129', 'm17d', 'One of our contacts fears for the lives of his family. He wants them transported to a safe haven. Could you deliver this encrypted letter of credit to the transport captain who\'s agreed to take the family to safety? The Alliance will make sure the captain gets paid in full.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '130', 'm17l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '131', 'm17o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '132', 'm17r', 'I\'ve dealt with the Alliance before. They\'re as good as their word.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '133', 'm17f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '134', 'm17s', 'It\'s a tragedy how many people are forced to go on the run. Thank you for helping them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '135', 'm17p', 'The Empire\'s tactic of attacking our families is all too common, I fear.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '136', 'm17t', 'A Safe Haven');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '137', 'm18d', 'One of our contacts may be a double agent. We must verify it. We need someone to deliver this encrypted message that bears a secret Imperial symbol. Refusal of the message means the contact recognized the symbol and is working for the Empire. Acceptance means the agent is clean. We\'ll finally settle this matter.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '138', 'm18l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '139', 'm18o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '140', 'm18r', 'These are my new instructions? I\'ll read them at once. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '141', 'm18f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '142', 'm18s', 'That\'s a relief! I wish we could all trust each other implicitly, but we must be careful.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '143', 'm18p', 'We were certain this contact was trustworthy. I hope this disc is accepted!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '144', 'm18t', 'A Test of Loyalty');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '145', 'm19d', 'A new field agent requires a Pocket Scrambler to insure proper encryption of transmissions. Could you deliver this device so the agent can begin filing regular reports? These devices are expensive, so be careful.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '146', 'm19l', 'Small gadget');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '147', 'm19o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '148', 'm19r', 'Are there instructions for this thing? Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '149', 'm19f', 'filename_of_object');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '150', 'm19s', 'The device is in working order, and we\'ve received the agent\'s first report. Good job.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '151', 'm19p', 'We can never be too careful with our transmissions.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '152', 'm19t', 'Pocket Scrambler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '153', 'm20d', 'One of our cells believes their conversations are being recorded. We need this Silence Bubble Generator delivered to their representative for use in their future meetings. Mention that the device only covers an area 2 meters in diameter, so they\'ll have to sit close together.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '154', 'm20l', '1 kg gadget');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '155', 'm20o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '156', 'm20r', 'Two meters? Well, we\'ll all get to know each other a lot better, I guess. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '157', 'm20f', 'filename_of_object');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '158', 'm20s', 'The cell was glad to receive the device. You can\'t be too careful these days.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '159', 'm20p', 'This is an expensive gadget. Better safe than sorry, I suppose.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '160', 'm20t', 'A Bubble of Silence');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '161', 'm21d', 'One of our contacts is using the neighborhood children to spy on the Empire\'s agents. Whereas we approve of this tactic for simple surveillance, we understand that this individual is encouraging the children to sneak into Imperial garrisons and offices. We feel this is putting the children at too great a risk. Please deliver this encrypted message that gives them guidelines as to what the Alliance considers acceptable risks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '162', 'm21l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '163', 'm21o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '164', 'm21r', 'I hope I haven\'t displeased my friends. Of course I\'ll comply.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '165', 'm21f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '166', 'm21s', 'Thank you. We must not put our children at risk.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '167', 'm21p', 'We must make sure we never sink to the Empire\'s level of callous tactics.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '168', 'm21t', 'Spy Kids');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '169', 'm22d', 'We\'ve had numerous requests, from parents especially, for holograms showing what the Alliance stands for and how we operate. They\'re trying to counter COMPNOR\'s propaganda. Could you deliver this encrypted hologram to our HoloNet slicers so we can make it available to anyone that wants to access it? We need to get the good word out there.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '170', 'm22l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '171', 'm22o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '172', 'm22r', 'If I had a credit for every person that has requested this sort of holo, I\'d be one rich slicer. -- Whoa, I almost said \'one slice richer.\' Funny, huh?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '173', 'm22f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '174', 'm22s', 'It\'s important that people know what we stand for. Thanks for making the delivery.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '175', 'm22p', 'We must discredit COMPNOR\'s propaganda.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '176', 'm22t', 'Get the Good Word Out');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '177', 'm23d', 'One of our agents has managed to acquire a hologram of the destruction of Alderaan. It\'s heart-wrenching. Could you deliver a copy of it to our HoloNet slicer so we can make it available to every citizen in the Empire? The truth will be out there.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '178', 'm23l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '179', 'm23o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '180', 'm23r', 'I saw a very bad copy of this. Lots of artifacting and low signal-to-noise. Hope this one\'s better. I\'ll send it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '181', 'm23f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '182', 'm23s', 'That was the single greatest atrocity ever committed. We must never forget.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '183', 'm23p', 'Billions have been murdered by the Empire. Everyone will know the truth.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '184', 'm23t', 'Alderaan\'s Destruction');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '185', 'm24d', 'There are rumors that a Jedi played a part in the destruction of the Death Star. We want to spread that rumor and encourage the belief that the Jedi have returned. Could you deliver this message to our HoloNet slicer so we can transmit it to all our cells?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '186', 'm24l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '187', 'm24o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '188', 'm24r', 'You bet I\'ll spread the word! The Force is with the Republic! The Jedi have returned! The Empire will fall! Hee-yaah!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '189', 'm24f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '190', 'm24s', 'Well done, friend. It seems appropriate to add this: May the Force be with you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '191', 'm24p', 'If the Jedi have returned, the Republic will be back soon too.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '192', 'm24t', 'The Jedi Return');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '193', 'm25d', 'Smugglers help us by delivering much needed supplies past Imperial blockades. Could you deliver this encrypted disc to our HoloNet slicer? It lists approved \"procurement specialists\" -- those we\'ve dealt with on multiple occasions. Tell our cells to choose from this list when deciding on a smuggler.  Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '194', 'm25l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '195', 'm25o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '196', 'm25r', 'An official list of reliable smugglers? That\'s so weird. What\'s next, an Alliance Seal of Approval?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '197', 'm25f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '198', 'm25s', 'Very few smugglers can be trusted -- probably even fewer than we think. There may be no honor among thieves, but unfortunately we have to deal with them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '199', 'm25p', 'If our cells must choose someone not on this list, tell them to check with Alliance Intelligence before making any commitments.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '200', 'm25t', 'List of Smugglers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy.stf', '201', 'number_of_entries', '25');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '1', 'm1d', 'A Senator aiding our cause has angered Imperial Intelligence. His family has been targeted for termination. Pick up an encrypted datadisc from one of our slicers. It contains instructions for the Senator and his family. Deliver this disc to a member of the Senator\'s staff immediately. We hope we\'re not too late to save this patriot\'s family.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '2', 'm1l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '3', 'm1o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '4', 'm1f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '5', 'm1r', 'The Senator thanks you and will follow these instructions immediately. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '6', 'm1p', 'Here you go, friend. I hope it\'s not too late to save the Senator\'s family.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '7', 'm1t', 'Rescue a Senatorial Family');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '8', 'm1s', 'Well done, citizen. We will not stand by and watch our patriots executed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '9', 'm2d', 'One of our strike teams is hitting an Imperial depot in the Outer Rim. We want Imperial Intelligence to suspect we\'re hitting a different target. We need a trusted agent to pick up falsified Alliance communiques and deliver them to our HoloNet slicer. We\'ll make sure Imperial agents intercept them. Can we count on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '10', 'm2l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '11', 'm2o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '12', 'm2f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '13', 'm2r', 'I\'m on it. I love fooling those Imperial idiots. Don\'t you? Haha!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '14', 'm2p', 'Here are the communiques. Remember you can rarely use the same trick twice against the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '15', 'm2t', 'Help Fool the Empire');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '16', 'm2s', 'Good work. It\'s the efforts of agents like you that will insure the Empire\'s defeat.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '17', 'm3d', 'Although a terrible tragedy, the destruction of Alderaan has boosted our ranks. We need someone to pick up a datadisc and deliver it to our processing officer. It contains thousands of enlistees, many of them skilled pilots. This new influx of talent may be what the Alliance needs to turn the tide of battle against the Empire. Will you help? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '18', 'm3l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '19', 'm3o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '20', 'm3f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '21', 'm3r', 'Thanks for the delivery. How typical of the Empire not to understand that fear can easily become hate. We shall triumph.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '22', 'm3p', 'The Princess said it best: \"The more the Empire tightens its grip, the more star systems will slip through its fingers.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '23', 'm3t', 'Boost the Alliance\'s Ranks');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '24', 'm3s', 'Those extra recruits are much needed. Thanks for your efforts. The Alliance will reward you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '25', 'm4d', 'We must constantly keep our cells supplied and their agents equipped. We need couriers to pick up supply requests and deliver them to our requisitions officer. These couriers will make sure our brave freedom fighters have what they need to fight the Empire. Will you assist in this important task?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '26', 'm4l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '27', 'm4o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '28', 'm4f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '29', 'm4r', 'Thanks. Fortunately some \"procurement specialists\" just made it past the blockades, or we might have been in supply trouble.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '30', 'm4p', 'We\'re glad to see you. Supplies are running pretty seriously low around here. Please hurry!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '31', 'm4t', 'Supply Requests');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '32', 'm4s', 'Keeping the Alliance running is an endless task. We appreciate your efforts.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '33', 'm5d', 'Our Incom engineers have provided us with the latest X-wing flight simulator. This will be a great training aid for our new pilots. We need you to pick up a copy of the simulator and deliver it to one of our training officers. Make sure they report bugs to High Command. Can we count on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '34', 'm5l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '35', 'm5o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '36', 'm5f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '37', 'm5r', 'I hear these are modeled on the TIE flight sims. Our pilots will benefit greatly. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '38', 'm5p', 'Ever wanted to fly an X-wing? I think every Alliance member does. Take care of this flight sim.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '39', 'm5t', 'Help train better pilots');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '40', 'm5s', 'All clear, citizen. Good work. The Alliance is grateful.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '41', 'm6d', 'Some of our agents have attempted to enlist with the Empire to spy for the Alliance. We believe Imperial Intelligence has identified a large number of these agents. We need someone to pick up encrypted orders from High Command and deliver them to our local cell contact. They tell local agents how to avoid detection.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '42', 'm6l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '43', 'm6o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '44', 'm6f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '45', 'm6r', 'I\'ll get these instructions out to our agents immediately.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '46', 'm6p', 'The orders are on this datadisc. One thing I will say for Imperial Intelligence -- they\'re very thorough.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '47', 'm6t', 'Save Alliance Agents');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '48', 'm6s', 'Your efforts will likely save many good agents, friend. Well done!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '49', 'm7d', 'Ever since the destruction of the Death Star, the number of enlistees has risen dramatically. We suspect that some of these individuals may be double agents working for the Empire. Can you pick up an encrypted roster of suspicious enlistees and deliver them to our High Command contact?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '50', 'm7l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '51', 'm7o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '52', 'm7f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '53', 'm7r', 'Sometimes these double agents are hard to spot. We\'ll do our best. Thanks for the information.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '54', 'm7p', 'Here\'s the roster. But remember all the times when Imperial double agents denounced the Empire and joined our cause.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '55', 'm7t', 'Stop the Infiltrating Spies');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '56', 'm7s', 'Mission accomplished, for the moment. We must help the Alliance remain free of Imperial spies.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '57', 'm8d', 'Our slicers intercepted a secret Imperial communique revealing that the Empire has dossiers of all the surviving Battle of Yavin pilots. They\'ve put a high priority on having these individuals arrested. Mentioned in the communique were Commanders Solo and Skywalker. Someone must pick up this communique and deliver it to our High Command contact. Can we count on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '58', 'm8l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '59', 'm8o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '60', 'm8f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '61', 'm8r', 'Thanks, citizen. We\'ll alert these heroes as soon as possible.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '62', 'm8p', 'Here you go. There\'s some juicy stuff in that communique.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '63', 'm8t', 'Help Protect the Heroes of Yavin');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '64', 'm8s', 'Our thanks, citizen. The security of the Heroes of Yavin is one of our top priorities.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '65', 'm9d', 'We\'ve discovered a flaw in the design of older stormtrooper helmet comlinks. We need a trusted agent to pick up our technical analysis and deliver it to a local cell contact. We can use this flaw to intercept squad communications. This information will mostly benefit our cells on remote outposts. Think you can handle this mission? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '66', 'm9l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '67', 'm9o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '68', 'm9f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '69', 'm9r', 'This should come in handy. I always wondered what stormtroopers chatted about when they were just standing around.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '70', 'm9p', 'Here\'s the analysis. We should act quickly, because we don\'t know how long this flaw will go unnoticed by the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '71', 'm9t', 'Eavesdrop on Stormtroopers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '72', 'm9s', 'Job well done, citizen. The Alliance is glad to have trusted agents like you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '73', 'm10d', 'Our slicers\' efforts to send bogus orders to Imperial garrisons has been very effective. Too effective, in fact. The Imperials have now taken to hand-delivering their orders, which leaves our slicers vulnerable to Imperial Intelligence. We need someone to pick up a new set of encryption codes and deliver them to our local slicers. Can we rely on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '74', 'm10l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '75', 'm10o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '76', 'm10f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '77', 'm10r', 'Really? I gotta stop? Aww, just when I was having such fun. Okay, I\'ll ask the gang to throttle back, and we\'ll work with these new codes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '78', 'm10p', 'Here are the new codes. They should help protect our data slicers. They\'re weird, but they\'re good folks and we need them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '79', 'm10t', 'Save the Data Slicers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '80', 'm10s', 'That should keep Imperial Intelligence guessing for a bit longer. Those goons are certainly dedicated, I\'ll give them that. Thanks for your help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '81', 'm11d', 'The Empire plans on arresting many former Senators and their families. We need someone to pick up the list of possible targets and deliver them to one of our HoloNet slicers so we can warn these targets. The slicer is to provide a list of High Command contacts to anyone fleeing arrest. Can you help us?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '82', 'm11l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '83', 'm11o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '84', 'm11f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '85', 'm11r', 'When I send this warning, the Imperial Analysis Bureau will be riding my tail in about ten seconds flat. You guys needs to move fast to save those -- who is it? Senators? Whoever.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '86', 'm11p', 'Here\'s the list. Remember, the more powerful politicians we get on our side, the better off we\'ll be.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '87', 'm11t', 'Save the Senators');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '88', 'm11s', 'Your efforts will save many lives, citizen. The Alliance is grateful.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '89', 'm12d', 'The New Order\'s stance on alien species has given us an edge in recruiting these neglected citizens. Of special interest to High Command are the Duros. We need a courier to pick up encrypted orders and deliver them to our agent specializing in Alien Species Affairs. The agent is to travel to Duro and continue negotiating with the leaders there.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '90', 'm12l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '91', 'm12o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '92', 'm12f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '93', 'm12r', 'I think the Duros are determined to remain neutral, but I\'ll continue negotiating with them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '94', 'm12p', 'Here are the orders. Many other alien species would follow the Duros\' example if they joined the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '95', 'm12t', 'Help Rally the Aliens');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '96', 'm12s', 'The Alliance appreciates your efforts. With luck, disenfranchised species will boost our ranks and help us topple the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '97', 'm13d', 'One of our refueling stations in the Outer Rim has been compromised, and we believe that the Empire is using it as bait to capture Alliance transports. Pick up these encrypted orders and deliver them to our local cell leader. We must insure that every transport captain and pilot aiding the Alliance receives these orders.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '98', 'm13l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '99', 'm13o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '100', 'm13f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '101', 'm13r', 'We\'ll get this information out to our pilots at once. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '102', 'm13p', 'Here you go, citizen. And cheer up. For every station that the Empire discovers, we have ten more they know nothing about.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '103', 'm13t', 'Save the Pilots');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '104', 'm13s', 'Good work, citizen. Our pilots are a precious resource, and we must do all we can to protect them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '105', 'm14d', 'We have proof that an Imperial prison official at Kessel has been supplying glitterstim to smugglers and Black Sun. We need someone to pick up the encrypted evidence and deliver it to one of our couriers. We intend to present our \"terms\" to the Imperial official. He\'ll either cooperate with us or we turn over our proof to Imperial Intelligence.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '106', 'm14l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '107', 'm14o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '108', 'm14f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '109', 'm14r', 'Good old-fashioned blackmail, eh? Hey, if it\'s effective --');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '110', 'm14p', 'Here\'s the data. Remember, we do what we must to insure the fall of the Empire. In this case, it\'ll be fun!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '111', 'm14t', 'Blackmail a Kessel Official');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '112', 'm14s', 'Well done. Remember to keep this quiet. We don\'t want word getting around to Imperial Intelligence.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '113', 'm15d', 'We\'ve received a request from Commander Skywalker. He\'d like us to get our hands on an Imperial Inquisitor. We need someone to pick up his encrypted orders and deliver them to our local cell commander. All commanders are to coordinate with High Command to help achieve this top-priority mission. Can we count on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '114', 'm15l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '115', 'm15o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '116', 'm15f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '117', 'm15r', 'With pleasure! I\'ve been wanting to take down one of these mighty Inquisitors ever since I heard of them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '118', 'm15p', 'The orders are on this datadisc. I imagine we can learn a great deal from an Inquisitor. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '119', 'm15t', 'Nab an Imperial Inquisitor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '120', 'm15s', 'That was well done. With any luck, we\'ll be able to supply Commander Skywalker with an Inquisitor soon. I wonder what he has in mind?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '121', 'm16d', 'A shipment of Merr-Sonn IR-5 \"Intimidator\" blaster pistols has fallen into our hands. We need someone to pick up inventory discs and deliver them to our local cell commanders. They can request these weapons for upcoming missions, especially any dealing with smugglers and pirates -- those types are easily intimidated. Can we rely on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '122', 'm16l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '123', 'm16o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '124', 'm16f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '125', 'm16r', 'I\'ve seen those blasters. Effective weapons indeed. I\'ll look through this inventory carefully.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '126', 'm16p', 'Here you go. And remind the commanders that these weapons not only look intimidating, they also pack quite a punch.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '127', 'm16t', 'Disperse Intimidators');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '128', 'm16s', 'Excellent, citizen. These weapons will help our undercover agents deal with those unpredictable smugglers.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '129', 'm17d', 'A generous sympathizer has donated several new MD-series medical droids. Could you pick up the specs for these droids and deliver them to our local cell commander? All requests for these droid must go through Winter, who will process them directly. Make sure the commanders make a strong case, or they may not get one.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '130', 'm17l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '131', 'm17o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '132', 'm17f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '133', 'm17r', 'My people sure could use one of those droids. I\'ll make a no-frills request at once. I hear Winter is fond of brevity. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '134', 'm17p', 'Make sure the commander gets this. These donations keep the Alliance strong.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '135', 'm17t', 'Medical Droids for Everybody');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '136', 'm17s', 'Thanks for your help. The Alliance could use more reliable couriers like yourself.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '137', 'm18d', 'We found some old Trade Federation droidekas. These might be useful on certain missions or as security droids on some of our bases. Could you pick up this encrypted message and deliver it to our contact at High Command? We need instructions on how to proceed. Winter will hold these units until she receives those instructions.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '138', 'm18l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '139', 'm18o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '140', 'm18f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '141', 'm18r', 'Weren\'t those things awfully unreliable? I always heard that\'s why the Trade Federation stopped using them. Well, I\'ll pass this along.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '142', 'm18p', 'Here you go. Inform High Command that the droidekas seem to be in perfect condition. I don\'t believe they were ever activated.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '143', 'm18t', 'A Blast From the Past');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '144', 'm18s', 'We appreciate your help, citizen. Meanwhile, we\'re looking into the source of those perfectly preserved droidekas. Could be more where those came from.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '145', 'm19d', 'Procurement and Supply recently sent us a message asking for further instructions on the matter of some droidekas. I need you to pick up High Command\'s response and deliver it to our P&S contacts so they can forward it to Winter. Do this quickly and we\'ll reward you accordingly.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '146', 'm19l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '147', 'm19o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '148', 'm19f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '149', 'm19r', 'Thanks, citizen. We\'ll see what the bosses have to say, I suppose.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '150', 'm19p', 'Here you are. Any tool is only as effective as our ability to control and use it properly.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '151', 'm19t', 'Dealing With Obsolete Droids');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '152', 'm19s', 'That was a prompt delivery, citizen. Your fee has been deposited.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '153', 'm20d', 'A shipment of laser cutters must get to a secret facility in the Outer Rim. I need you to pick up encrypted orders and deliver them to one of our transport pilots. The pilot must report to High Command before leaving the local system. The location of the laser cutters as well as the coordinates of the secret facility will be revealed at that time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '154', 'm20l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '155', 'm20o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '156', 'm20f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '157', 'm20r', 'Well, the Empire hasn\'t found us yet. So I guess all these hoops they make us jump through for secrecy\'s sake are worth it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '158', 'm20p', 'Here are the orders. We realize it\'s difficult transporting all this equipment while maintaining secrecy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '159', 'm20t', 'Help Carve a New Rebel Base');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '160', 'm20s', 'Good job, citizen. This mission was of the utmost secrecy. Your silence will save many lives.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '161', 'm21d', 'We\'ve learned that a Moff is spearheading an attempt to assassinate the Emperor. Pick up this encrypted message and deliver it to one of the Moff\'s agents. It informs the Moff that the Alliance will assist in whatever way it can and gives security codes if the Moff wishes to contact High Command. Can you help us?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '162', 'm21l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '163', 'm21o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '164', 'm21f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '165', 'm21r', 'I\'ll see to it that the Moff receives this. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '166', 'm21p', 'Moffs can strike at the heart of the Imperial Machine. We should never waste an opportunity like this. Be careful delivering this disc.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '167', 'm21t', 'Aid a Plot Against the Emperor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '168', 'm21s', 'Well done, citizen. If this Moff\'s plan succeeds, this war will be over and the galaxy will be free again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '169', 'm22d', 'We believe that the Empire is preparing to strike Mon Calamari. Please pick up these intercepted transmissions and deliver them to our Mon Calamari contact who will have them sent to Admiral Ackbar immediately. If we act fast, we can save millions of Mon Calamari lives. Can we rely on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '170', 'm22l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '171', 'm22o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '172', 'm22f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '173', 'm22r', 'May the Force be with us! I\'ll leave at once!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '174', 'm22p', 'The Mon Calamari are vital to the success of the Alliance. We must save them!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '175', 'm22t', 'Save the Mon Calamari');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '176', 'm22s', 'We can only hope that we were fast enough. Thank you for your efforts, agent.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '177', 'm23d', 'Imperial Intelligence has instructed their agents to travel to the Circarpous system. We don\'t know if they\'ve learned of our secret dealings with Circarpousian financiers. We need you to pick up a message and deliver it to one of Princess Leia\'s aides. We hope this doesn\'t jeopardize her plans to meet with the Circarpousians.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '178', 'm23l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '179', 'm23o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '180', 'm23f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '181', 'm23r', 'The Princess will want to go anyway, but I\'ll warn her. She\'s stubborn, you know.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '182', 'm23p', 'It seems that the Empire is always one step ahead of us. This must change.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '183', 'm23t', 'Warn the Princess');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '184', 'm23s', 'Excellent work, citizen. I hope the Princess takes this warning to heart. Sometimes she\'s too brave for her own good.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '185', 'm24d', 'Our agents have discovered that four Imperial Star Destroyers will be in orbital dock at the same time. We intend to strike the dock and destroy the Imperial ships. Could you pick up an encrypted datadisc and deliver it to the strike team commander? It will reveal the location of the dock and list the Alliance pilots that will participate in the mission.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '186', 'm24l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '187', 'm24o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '188', 'm24f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '189', 'm24r', 'If this strike succeeds, it would be a great victory for the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '190', 'm24p', 'Deliver this fast. We\'ll destroy these capital ships faster than the Empire can build them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '191', 'm24t', 'Four Star Destroyers at Once');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '192', 'm24s', 'Well done, citizen. Your service to the Alliance is being noted.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '193', 'm25d', 'One of our colonies has been discovered by Imperial Intelligence. Many of our leaders\' families are on this colony. We need you to pick up an evacuation order and deliver it to one of our pilots familiar with the colony so we can begin the evacuation. We dare not communicate via the HoloNet for fear of escalating the Imperial attack. Please hurry!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '194', 'm25l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '195', 'm25o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '196', 'm25f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '197', 'm25r', 'We\'ll have those families off that colony in no time. Never fear.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '198', 'm25p', 'Be quick with this delivery. Until the Empire is toppled, we must remain on the move.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '199', 'm25t', 'Help Evacuate a Colony');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '200', 'm25s', 'Good work. Let\'s hope we acted in time to save all those people.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_easy_non_persistent_from_npc.stf', '201', 'number_of_entries', '25');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '1', 'm1d', 'We managed to infiltrate an officer into the top ranks of the ISB. He\'s helped us save hundreds of lives. But he\'s been discovered, and we must warn him to escape. Can you deliver these encrypted orders to one of our field agents? The agent is to get arrested so that they can warn our infiltrator. Please hurry!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '2', 'm1l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '3', 'm1o', 'Alliance Intelligence');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '4', 'm1r', 'So now I\'ve got to get arrested, huh? All right, this officer has served the Alliance faithfully. I won\'t let him down. I guess I\'ll go assault a stormtrooper.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '5', 'm1f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '6', 'm1s', 'Our officer got the warning in time, thanks to you. Next, we have to free that field agent who slugged some stormtrooper. We may contact you again soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '7', 'm1p', 'As a top officer in the ISB, our covert infiltrator will review the record of the arrest personally. When he sees the name of the individual arrested, he\'ll recognize it as a code alerting him to flee. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '8', 'm1t', 'Agent in Peril');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '9', 'm2d', 'A senator aiding our cause has angered Imperial Intelligence.  His family has been targeted for termination. Deliver this encrypted warning immediately to a member of the Senator\'s staff. We hope we\'re not too late to save this patriot\'s family. We\'re counting on you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '10', 'm2l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '11', 'm2o', 'Alliance Intelligence');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '12', 'm2r', 'The Senator\'s family will go into hiding. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '13', 'm2f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '14', 'm2s', 'The warning came just in time for them to get out. Well done.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '15', 'm2p', 'We will not stand by and watch our patriots\' families destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '16', 'm2t', 'Targeted for Termination');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '17', 'm3d', 'We need these new designs for climate control units delivered to one of our agents for transport to a hidden base in the Outer Rim. We dare not transmit these plans via the HoloNet for fear of Imperial Intelligence intercepting them. We must keep the location of our base a closely guarded secret. You\'ve proven yourself to be a trustworthy agent. Can we count on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '18', 'm3l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '19', 'm3o', 'Alliance High Command');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '20', 'm3r', 'I\'ll see these are delivered safely. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '21', 'm3f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '22', 'm3s', 'Our agent is on the way with those plans. Thank you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '23', 'm3p', 'The Imperial fleet is scouring the stars for us. We must be extremely cautious.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '24', 'm3t', 'A Secret Destination');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '25', 'm4d', 'We believe that the Empire is preparing to strike Mon Calamari. Deliver these intercepted transmissions to our Mon Calamari contact who will have them sent to Admiral Ackbar immediately. If we act fast, we can save millions of Mon Calamari lives. We\'re relying on you. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '26', 'm4l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '27', 'm4o', 'Alliance Intelligence');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '28', 'm4r', 'May the Force be with us. I\'ll leave at once.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '29', 'm4f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '30', 'm4s', 'Only a few couriers could be trusted with such an important mission. We\'re glad we chose you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '31', 'm4p', 'The Mon Calamari are vital to the success of the Alliance. Help save them!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '32', 'm4t', 'Intercepted Transmissions');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '33', 'm5d', 'The Empire has identified several Viceprexes in the Corporate Sector Authority who have been aiding the Alliance. They will no doubt attempt to remove these individuals one way or another. Can you send this warning to our contact within the CSA so they can warn the Viceprexes? These people are very important to our cause.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '34', 'm5l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '35', 'm5o', 'Alliance Intelligence');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '36', 'm5r', 'We suspected those Imperial creeps were closing in on us. Thanks for the warning.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '37', 'm5f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '38', 'm5s', 'A complete success, thanks to you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '39', 'm5p', 'The Alliance is in constant need of supplies and military hardware. The CSA can provide us with that.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '40', 'm5t', 'Keep Our Allies Safe');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '41', 'm6d', 'We\'ve intercepted a transmission from Imperial Intelligence putting their Imperial Inquisitors on alert for Jedi. We need someone to deliver this alert to one of Commander Skywalker\'s scouts so he can be warned of the danger. We trust you to do this.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '42', 'm6l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '43', 'm6o', 'Alliance Intelligence');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '44', 'm6r', 'I\'ll see that Commander Skywalker gets this as soon as possible. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '45', 'm6f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '46', 'm6s', 'We can\'t afford to lose such a great hero as Commander Skywalker. He inspires our troops and is a symbolic reminder of the Jedi of the Old Republic. He\'ll be on the alert for those Inquisitors now. Thanks for helping.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '47', 'm6p', 'Commander Skywalker is living proof that the Jedi\'s fire has not gone out of the universe. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '48', 'm6t', 'Jedi in Peril');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '49', 'm7d', 'We suspect that Imperial agents plan on attending demonstrations on the Core worlds protesting the Empire\'s use of the Death Star. These agents will try to release a deadly airborne virus during the protests. Our scientists have obtained a sample of the virus and have developed an effective retrovirus. This sample of this retrovirus must be delivered to our agent, who can distribute it to all our field medics for duplication. You must be quick. It may already be too late.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '50', 'm7l', 'Small medical container');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '51', 'm7o', 'Alliance Intelligence');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '52', 'm7r', 'I leave at once. I hope I\'m not too late.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '53', 'm7f', 'filename_of_object');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '54', 'm7s', 'Thanks to your timely action, untold numbers of lives have been saved. You have our gratitude.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '55', 'm7p', 'The Empire will stop at nothing to destroy democracy. Those fiends!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '56', 'm7t', 'Killer Virus');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '57', 'm8d', 'Imperial Intelligence has instructed their agents to travel to the Circarpous system. We don\'t know if they have learned of our secret dealings with the Circarpousian financiers. This message must be delivered to one of Princess Leia\'s aides. This may jeopardize her plans to meet with the Circarpousians. Can we count on you, agent?  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '58', 'm8l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '59', 'm8o', 'Alliance Intelligence');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '60', 'm8r', 'The Princess will want to go anyway, but I will warn her. She\'s a stubborn individual, you know.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '61', 'm8f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '62', 'm8s', 'At least the Princess will be prepared for possible Imperial interference. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '63', 'm8p', 'It seems that the Empire is always one step ahead of us. This must change.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '64', 'm8t', 'Warn a Princess');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '65', 'm9d', 'Even though we managed to destroy the Empire\'s Dark Trooper facility, we have reason to believe that some of these mechanized stormtroopers survived. We even suspect that an improved model has been constructed. This message must be delivered to our one of our top HoloNet slicers, so we can put all our troops on alert. Will you help save the lives of Alliance fighters? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '66', 'm9l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '67', 'm9o', 'Alliance High Command');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '68', 'm9r', 'A new Dark Trooper? The old ones were bad enough.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '69', 'm9f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '70', 'm9s', 'Mechanized efficiency is no match for a dedicated freedom fighter. Forewarned is forearmed, thanks in part to you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '71', 'm9p', 'Included in this disc are technical specs for the original Dark Troopers, which might help our men fight these specialized stormtroopers.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '72', 'm9t', 'Dark Trooper Specs');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '73', 'm10d', 'We\'ve been contacted by an Imperial agent who wishes to defect to our side. Apparently, he\'d been instructed to infiltrate Jabba\'s Palace on Tatooine and realized that his life was considered expendable by the Empire. He could provide us with valuable information regarding Imperial activities and intelligence missions. Could you deliver this message to one of our pilots? Please hurry. The Alliance is counting on you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '74', 'm10l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '75', 'm10o', 'Alliance Intelligence');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '76', 'm10r', 'He would be helpful to our cause. I\'ll pick him up right away.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '77', 'm10f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '78', 'm10s', 'Good work. This agent will be of immense value to the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '79', 'm10p', 'The agent is to be picked up at these coordinates immediately. He believes the Empire is closing in on him.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '80', 'm10t', 'Imperial Defection');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '81', 'm11d', 'Our agents have discovered that four Imperial Star Destroyers will be in space dock at the same time. We\'ve decided to strike the dock and destroy the Imperial ships. Could you deliver this encrypted datadisc to the strike team commander? It will reveal the location of the dock and list the Alliance pilots that will participate in the mission. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '82', 'm11l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '83', 'm11o', 'Alliance Intelligence');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '84', 'm11r', 'If we succeed, this will be a great victory for the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '85', 'm11f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '86', 'm11s', 'Your part of this job is finished. Now it\'s up to the strike team.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '87', 'm11p', 'We\'ll destroy these ships faster than the Empire can build them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '88', 'm11t', 'Vulnerable Destroyers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '89', 'm12d', 'We\'ve intercepted some Imperial communiques that might prove the Empire was behind the recent attacks on the Bounty Hunters\' Guild. It would benefit us if the Guild learns of this. These communiques must be delivered to our contact within the Guild. We hope it will encourage them to accept fewer deathmarks against Alliance allies. These are shady figures, though. Are you up to the challenge?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '90', 'm12l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '91', 'm12o', 'Alliance Intelligence');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '92', 'm12r', 'I suspect Black Sun was behind the attacks. We\'ll see what these transmissions reveal.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '93', 'm12f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '94', 'm12s', 'We hope the bounty hunters will inerpret those transmissions the same way we did. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '95', 'm12p', 'Bounty Hunters may be ruthless, but they also follow a code. Let\'s take advantage of that.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '96', 'm12t', 'Bounty Hunter Allies');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '97', 'm13d', 'Our top Incom engineer has just completed a design for a new starfighter code named the \"A-wing.\" We need this design delivered to one of our contacts, who will hand-deliver it to our secret manufacturing plant. Can we count on you for this crucial mission?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '98', 'm13l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '99', 'm13o', 'Alliance High Command');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '100', 'm13r', 'These schematics are safe with me. I\'ll get them to their destination.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '101', 'm13f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '102', 'm13s', 'Let\'s hope these ships are everything they\'re supposed to be. We need to begin work on the prototype immediately.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '103', 'm13p', 'This starfighter may tip the scales for us in combat. It\'s supposed to be more than a match for the TIE fighter\'s speed. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '104', 'm13t', 'New Starfighter Design');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '105', 'm14d', 'One of our colonies has been discovered by Imperial Intelligence. Many of our leaders\' families are on this colony. This evacuation order must be hand-delivered to one of our pilots familiar with that colony. We dare not attempt to communicate via the HoloNet for fear of escalating the Imperial attack. You must hurry. The faith of the Alliance goes with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '106', 'm14l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '107', 'm14o', 'Alliance Intelligence');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '108', 'm14r', 'We\'ll have those families off that colony in no time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '109', 'm14f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '110', 'm14s', 'The evacuation was a complete success, thanks in part to you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '111', 'm14p', 'Until the Empire falls, we must remain on the move.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '112', 'm14t', 'Evacuation Orders');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '113', 'm15d', 'General Rieekan wants some speeder modifications delivered to our Incom engineers. I believe he wants our speeders tested for peak performance under extreme weather conditions. This encrypted datadisc contains his orders and testing specifications. Can you deliver them to the engineer team immediately? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '114', 'm15l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '115', 'm15o', 'Alliance High Command');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '116', 'm15r', 'Modifications to a speeder, eh? We\'ll see what we can do.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '117', 'm15f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '118', 'm15s', 'These new modifications are classified. Please don\'t speak of them to anyone.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '119', 'm15p', 'Extreme weather conditions! Working for the Alliance certainly builds character.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '120', 'm15t', 'Speeder Modifications');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '121', 'm16d', 'We\'ve received a very interesting proposition from someone claiming to be the leader of the Black Sun syndicate. This mysterious figure has offered the aid of their organization in exchange for any information we have about Darth Vader and the movements of his fleet. Can you deliver the details of this proposition to our intelligence officer, who will look into this offer more thoroughly?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '122', 'm16l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '123', 'm16o', 'Alliance High Command');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '124', 'm16r', 'We\'ll check with the Black Sun Vigos we\'ve worked with and verify this claim.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '125', 'm16f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '126', 'm16s', 'You have proved a most trustworthy courier. Let\'s hope the mysterious Black Sun leader proves half as trustworthy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '127', 'm16p', 'It would greatly benefit the Alliance if Darth Vader were removed from the picture -- though I\'m not sure even Black Sun could take him.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '128', 'm16t', 'Black Sun Offer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '129', 'm17d', 'We\'ve just received Winter\'s latest intelligence in preparation for our next procurement raid. We need her report delivered to the strike team commander, so we can prepare for a raid on an Imperial munitions depot. Of especial interest to General Rieekan are the portable laser cannons held there. I hope we can count on you. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '130', 'm17l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '131', 'm17o', 'Alliance Intelligence');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '132', 'm17r', 'I swear I\'m beginning to really enjoy these raids.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '133', 'm17f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '134', 'm17s', 'We hope our strike team will as successful at their mission as you were at yours.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '135', 'm17p', 'If the Empire goes to all that trouble to build weapons, the least we can do is steal them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '136', 'm17t', 'Weapon Depot Raid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '137', 'm18d', 'Mon Mothma would like us to search for Jedi Knights who, like Obi-Wan Kenobi, survived the Clone Wars. These encrypted instructions tell our surveillance post officer to report any findings directly to Mon Mothma. This is a matter of great interest to High Command. Can we count on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '138', 'm18l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '139', 'm18o', 'Alliance Intelligence');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '140', 'm18r', 'Finding more Jedi would certainly be something. You\'d think if they were around, they\'d have come out of hiding by now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '141', 'm18f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '142', 'm18s', 'More Jedi would be most welcome in our struggle against the Empire. I hope we find some.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '143', 'm18p', 'Commander Skywalker has told us all he knew concerning Obi-Wan Kenobi. But I doubt we\'ll find other Jedi. Kenobi was probably unique.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '144', 'm18t', 'Jedi Wanted');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '145', 'm19d', 'As difficult as it is, we need to quarantine the Graveyard of Alderaan. Imperial agents lie in wait for ships performing a Returning ritual, board the ships, and arrest the passengers and crew. We all still grieve for the loss of that bright world and its billions, but this is simply too risky for the Alliance. We need these orders delivered to our sector commander. Can you do this?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '146', 'm19l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '147', 'm19o', 'Alliance High Command');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '148', 'm19r', 'I\'ll see to it that these orders are obeyed. The Empire has much to answer for.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '149', 'm19f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '150', 'm19s', 'When this conflict has ended, we\'ll have time to grieve properly. For now, the struggle continues.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '151', 'm19p', 'I\'m very sorry to say that until further notice, no Alliance member is to travel to the remains of the Alderaan system.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '152', 'm19t', 'Remembering Alderaan');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '153', 'm20d', 'Through our spies in the Imperial Navy, we\'ve managed to plant seeds of discord among Darth Vader\'s fleet commanders. Admiral Ozzel has taken the bait and believes Vader wishes to replace him with a junior officer. Rumor has it that the two rarely see eye-to-eye. We need instructions sent to our covert team\'s contact to continue spreading these rumors. Are you the one for this mission?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '154', 'm20l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '155', 'm20o', 'Alliance Intelligence');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '156', 'm20r', 'This mission has been a pleasure. We\'ll gladly keep it up.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '157', 'm20f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '158', 'm20s', 'The more Admiral Ozzel clashes with Vader, the better off we\'ll be. Vader probably will replace him -- not that we care.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '159', 'm20p', 'Fortunately for us, the Empire\'s full of ambitious politicians eager to stab each other in the back.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '160', 'm20t', 'Sow Discord');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '161', 'm21d', 'A fragment of an Imperial communique mentioned the \"Ison Corridor.\" We need these encrypted instructions delivered to Covert Operations. They are to investigate why the Empire is interested in this remote region of space. All findings should be hand-delivered by courier to General Rieekan\'s command staff. This matter is of the highest importance. Good luck. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '162', 'm21l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '163', 'm21o', 'Alliance Intelligence');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '164', 'm21r', 'We\'ll get right on it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '165', 'm21f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '166', 'm21s', 'Your reliability has been noticed by the Alliance. We\'re most impressed with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '167', 'm21p', 'Imperial Intelligence should never be underestimated.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '168', 'm21t', 'Surveillance Instructions');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '169', 'm22d', 'Surveillance reports have come in regarding the Empire\'s interest in the Ison Corridor. We\'ve investigated the matter closely. Our findings are contained on this encrypted datadisc. It must be hand-delivered to one of General Rieekan\'s command staff. We think you\'re the agent for this important mission. Do you accept?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '170', 'm22l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '171', 'm22o', 'Alliance Intelligence');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '172', 'm22r', 'I\'ll get this to the General at once.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '173', 'm22f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '174', 'm22s', 'You have performed your task admirably. Payment has been deposited.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '175', 'm22p', 'I think the General will rest easier when he reviews our findings.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '176', 'm22t', 'Secret Reports');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '177', 'm23d', 'An Alliance officer wishes to attempt a rescue of his family. We have learned their location and wish a strike team assembled to undertake this mission. Please deliver this encrypted datadisc, which contains the location of the detention facility, to the commander we\'ve chosen to lead this strike team. This matter is of the highest priority. We hope you accept. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '178', 'm23l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '179', 'm23o', 'Alliance High Command');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '180', 'm23r', 'This sounds like a trap, but I suppose we have to try to rescue the officer\'s family.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '181', 'm23f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '182', 'm23s', 'We suspect this may be a trap, so we\'re insisting that the officer remain safely at our central command station. I hope we don\'t wind up losing more people than we rescue. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '183', 'm23p', 'If the officer loses his family, we don\'t know how he\'ll react. We hope he\'ll keep a cool head.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '184', 'm23t', 'Rescue a Family');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '185', 'm24d', 'My employer has acquired a rare bottle of Alderaanian brandy -- General Rieekan\'s favorite drink. Could you deliver this bottle to one of the General\'s aides? Tell the aide that Borsk Fey\'lya sends it to the general with his compliments. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '186', 'm24l', 'Bottle of brandy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '187', 'm24o', 'Borsk Fey\'lya');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '188', 'm24r', 'The general will be most appreciative. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '189', 'm24f', 'filename_of_object');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '190', 'm24s', 'It is Minister Fey\'lya\'s hope that the gift to the general will serve as a bond between them and encourage closer ties in the future. Well done.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '191', 'm24p', 'Borsk Fey\'lya never forgets a friend, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '192', 'm24t', 'A Gift of Brandy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '193', 'm25d', 'We need to buy Commander Solo some time. These bounty hunters are getting more daring in their attempts to capture him. Apparently Solo offended a powerful Hutt on Tatooine. We need this offer delivered to our contact in the Bounty Hunters\' Guild to see if they\'ll help negotiate a settlement between Solo and that Hutt. These sorts of missions are never easy. Can you handle it?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '194', 'm25l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '195', 'm25o', 'Alliance High Command');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '196', 'm25r', 'I\'ll deliver the message, but I doubt Jabba will negotiate. He wants Solo pretty bad.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '197', 'm25f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '198', 'm25s', 'You\'ve done your part. Now let\'s hope that Hutt is willing to listen to reason. The last thing we need is some bounty hunter jeopardizing the location of one of our bases.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '199', 'm25p', 'You\'d think that after the Bounty Hunter Wars, the Guild would be eager to work with us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '200', 'm25t', 'Soothing a Hutt');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard.stf', '201', 'number_of_entries', '25');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '1', 'm1d', 'A Senator aiding our cause has angered Imperial Intelligence. His family has been targeted for termination. Pick up an encrypted datadisc from one of our slicers. It contains instructions for the Senator and his family. Deliver this disc to a member of the Senator\'s staff immediately. We hope we\'re not too late to save this patriot\'s family.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '2', 'm1l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '3', 'm1o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '4', 'm1f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '5', 'm1r', 'The Senator thanks you and will follow these instructions immediately. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '6', 'm1p', 'Here you go, friend. I hope it\'s not too late to save the Senator\'s family.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '7', 'm1t', 'Targeted for Termination');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '8', 'm1s', 'Well done, citizen. We will not stand by and watch our patriots executed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '9', 'm2d', 'One of our strike teams is hitting an Imperial depot in the Outer Rim. We want Imperial Intelligence to suspect we\'re hitting another target. We need a trusted agent to pick up falsified Alliance communiques and deliver them to our HoloNet slicer. We\'ll make sure Imperial agents intercept them. Can we count on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '10', 'm2l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '11', 'm2o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '12', 'm2f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '13', 'm2r', 'I\'m on it. I love fooling those Imperial idiots. Don\'t you? Haha!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '14', 'm2p', 'Here are the communiques. Remember, you can rarely use the same trick twice against the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '15', 'm2t', 'Help Fool the Empire');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '16', 'm2s', 'Good work, comrade. It\'s the efforts of agents like you that will insure the Empire\'s defeat. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '17', 'm3d', 'Although a terrible tragedy, the destruction of Alderaan has boosted our ranks. We need someone to pick up a datadisc and deliver it to our processing officer. It contains thousands of enlistees, many of them skilled pilots. This new influx of talent may be what the Alliance needs to turn the tide of battle against the Empire. Will you help? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '18', 'm3l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '19', 'm3o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '20', 'm3f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '21', 'm3r', 'Thanks for the delivery. How typical of the Empire to not understand that fear can become hate very easily.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '22', 'm3p', 'The Princess said it best: \"The more the Empire tightens its grip, the more star systems will slip through its fingers.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '23', 'm3t', 'Help Boost the Alliance\'s Ranks');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '24', 'm3s', 'Those extra recruits are much needed. Thanks for your efforts. The Alliance will reward you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '25', 'm4d', 'We must constantly keep our cells supplied and their agents equipped. We need couriers to pick up supply requests and deliver them to our requisitions officer. These couriers will make sure our brave freedom fighters have what they need to fight the Empire. Will you assist in this important task?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '26', 'm4l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '27', 'm4o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '28', 'm4f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '29', 'm4r', 'Thanks, citizen. Fortunately we\'ve attracted some more financial backers recently or else we might be in trouble.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '30', 'm4p', 'Keeping the Alliance running is an expensive task. We appreciate your efforts.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '31', 'm4t', 'Deliver Supply Requests');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '32', 'm4s', 'Your efforts will be rewarded, friend. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '33', 'm5d', 'Our Incom engineers have provided us with the latest X-wing flight simulator. This will be a great training aid for our new pilots. We need you to pick up this copy of the simulator and deliver it to one of our training officers. Make sure they report any bugs to High Command. Can we count on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '34', 'm5l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '35', 'm5o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '36', 'm5f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '37', 'm5r', 'I hear these are modeled on the TIE flight sims. Our pilots will benefit greatly. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '38', 'm5p', 'Ever wanted to fly an X-wing? I think every Alliance member does. Take care of this flight sim.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '39', 'm5t', 'Help Train Better Pilots');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '40', 'm5s', 'All clear, citizen. Good work. The Alliance is grateful.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '41', 'm6d', 'Some of our agents have attempted to enlist with the Empire in order to spy for the Alliance. We believe Imperial Intelligence has identified a large number of these agents. We need someone to pick up encrypted orders from High Command and deliver them to our local cell contact. They instruct local agents how to avoid detection.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '42', 'm6l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '43', 'm6o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '44', 'm6f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '45', 'm6r', 'I\'ll get these instructions out to our agents immediately. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '46', 'm6p', 'The orders are on this datadisc. One thing I will say for Imperial Intelligence -- they\'re very thorough.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '47', 'm6t', 'Save Alliance Agents');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '48', 'm6s', 'Your efforts will likely save many good beings, agent. Well done!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '49', 'm7d', 'Ever since the destruction of the Death Star, the number of Alliance enlistees has risen dramatically. We suspect that some of them may be double agents working for the Empire. Can you pick up an encrypted roster of suspicious enlistees and deliver them to our High Command contact? We must help the Alliance remain free of Imperial spies.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '50', 'm7l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '51', 'm7o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '52', 'm7f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '53', 'm7r', 'Sometimes these double agents are hard to spot. We\'ll do our best. Thanks for the information.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '54', 'm7p', 'Here\'s the roster. I should point out, though, that some Imperial double agents wind up denouncing the Empire and joining our cause.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '55', 'm7t', 'Stop the Infiltrating Spies');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '56', 'm7s', 'Mission accomplished, agent. We\'re lucky to have you on our side.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '57', 'm8d', 'Our slicers intercepted a secret Imperial communique revealing that the Empire has dossiers of all the surviving Battle of Yavin pilots. They\'ve put a high priority on having these individuals arrested. Mentioned in the communique were Commanders Solo and Skywalker. Someone must pick up this communique and deliver it to our High Command contact. Can we count on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '58', 'm8l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '59', 'm8o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '60', 'm8f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '61', 'm8r', 'Thanks, citizen. We\'ll alert these heroes as soon as possible. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '62', 'm8p', 'Here you go, buddy. There\'s some juicy stuff in that communique.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '63', 'm8t', 'Help Protect the Heroes of Yavin');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '64', 'm8s', 'Our thanks, citizen. The security of the Heroes of Yavin is one of our top priorities.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '65', 'm9d', 'We\'ve discovered a flaw in the design of older stormtrooper helmet comlinks. We need a trusted agent to pick up our technical analysis and deliver it to a local cell contact. We can use this flaw to intercept squad communications. This information will mostly benefit our cells on remote outposts. Think you can handle this mission? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '66', 'm9l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '67', 'm9o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '68', 'm9f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '69', 'm9r', 'This should come in handy. I always wondered what stormtroopers chatted about when they were just standing around.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '70', 'm9p', 'Here\'s the analysis. We should act quickly since we don\'t know how long this flaw will go unnoticed by the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '71', 'm9t', 'Listen in on Stormtroopers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '72', 'm9s', 'Job well done, citizen. The Alliance is glad to have trusted agents like you. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '73', 'm10d', 'Our slicers\' efforts to send bogus orders to Imperial garrisons has been very effective -- in fact, too effective. The Imperials have now taken to hand-delivering orders, which leaves our slicers vulnerable to Imperial Intelligence. We need someone to pick up new encryption codes and deliver them to our local slicers. Can we rely on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '74', 'm10l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '75', 'm10o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '76', 'm10f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '77', 'm10r', 'Really? I gotta stop? Aww, just when I was having such fun. Okay, I\'ll tell our gang to cool their jets. We\'ll institute these new codes right away.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '78', 'm10p', 'Here are the new codes. They should help protect our data slicers. It\'s good to see our tactics are working, however.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '79', 'm10t', 'Save the Data Slicers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '80', 'm10s', 'That should keep Imperial Intelligence guessing for a bit longer. Those goons are certainly dedicated, I\'ll give them that. Thanks for your help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '81', 'm11d', 'The Empire plans on arresting many former Senators and their families. We need someone to pick up the list of possible targets and deliver them to one of our HoloNet slicers so they can warn these individuals. The slicer is to provide a list of High Command contacts if anyone needs assistance fleeing their system. Can you help us?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '82', 'm11l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '83', 'm11o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '84', 'm11f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '85', 'm11r', 'This warning will no doubt be intercepted by the Imperial Analysis Bureau. You guys needs to move fast if you want to save those senators.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '86', 'm11p', 'Here\'s the list. Remember, the more powerful politicians we get on our side, the better off we\'ll be.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '87', 'm11t', 'Save the Senators');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '88', 'm11s', 'Your efforts will save many lives, citizen. The Alliance is grateful. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '89', 'm12d', 'The New Order\'s stance on alien species has given us an edge in recruiting these neglected citizens. Of special interest to High Command are the Duros. We need a courier to pick up encrypted orders and deliver them to one of our agents specializing in Alien Species Affairs. They are to travel to Duro and continue negotiating with the Duros\' leaders.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '90', 'm12l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '91', 'm12o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '92', 'm12f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '93', 'm12r', 'I think the Duros are determined to remain neutral but I\'ll continue negotiating with them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '94', 'm12p', 'Here are the orders. Many other alien species would follow the Duros\' example if they were to join the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '95', 'm12t', 'Help Rally the Aliens');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '96', 'm12s', 'The Alliance appreciates your efforts. With luck, disenfranchised species will boost our ranks and help us topple the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '97', 'm13d', 'One of our refueling stations in the Outer Rim has been compromised, and we believe that the Empire is using it as bait to capture Alliance transports. An encrypted set of orders must be picked up and delivered to our local cell leader. We must insure that every transport captain and pilot aiding the Alliance receives these orders.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '98', 'm13l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '99', 'm13o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '100', 'm13f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '101', 'm13r', 'We\'ll get this information out to our pilots at once. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '102', 'm13p', 'Here you go, citizen. And cheer up. For every station that the Empire discovers, we have ten more they know nothing about.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '103', 'm13t', 'Save the Pilots');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '104', 'm13s', 'Good work, citizen. Our pilots are a very precious resource and we must do all we can to protect them. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '105', 'm14d', 'We have proof that an Imperial prison official at Kessel has been supplying glitterstim to smugglers and Black Sun. We need someone to pick up an encrypted message and deliver it to one of our couriers. We intend to present our \"terms\" to the Imperial official. He either cooperates with us, or we turn over our proof to Imperial Intelligence.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '106', 'm14l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '107', 'm14o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '108', 'm14f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '109', 'm14r', 'Good old-fashioned blackmail, eh? Hey, if it\'s effective --');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '110', 'm14p', 'Remember, we do what we must to insure the fall of the Empire. In this case, it should be fun.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '111', 'm14t', 'Blackmail the Empire');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '112', 'm14s', 'Well done. Remember to keep this quiet. We don\'t want word of this getting around to Imperial Intelligence.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '113', 'm15d', 'We\'ve received a request from Commander Skywalker. He\'d like us to get our hands on an Imperial Inquisitor. We need someone to pick up his encrypted orders and deliver them to our local cell commander. All commanders are to coordinate with High Command to help achieve this top priority mission. Can we count on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '114', 'm15l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '115', 'm15o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '116', 'm15f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '117', 'm15r', 'With pleasure! I\'ve been wanting to take down one of these mighty Inquisitors ever since I heard of them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '118', 'm15p', 'The orders are on this datadisc. I imagine we can learn a great deal from an Inquisitor. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '119', 'm15t', 'Nab an Imperial Inquisitor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '120', 'm15s', 'That was well done. With any luck, we\'ll be able to supply Commander Skywalker with an Inquisitor very soon. I wonder what he has in mind?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '121', 'm16d', 'A shipment of Merr-Sonn IR-5 \"Intimidator\" blaster pistols has fallen into our hands. We need someone to pick up inventory discs and deliver them to our local cell commanders. They can request these weapons for upcoming missions, especially any dealing with smugglers and pirates -- those types are easily intimidated. Can we rely on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '122', 'm16l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '123', 'm16o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '124', 'm16f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '125', 'm16r', 'I\'ve seen those blasters. Effective weapons indeed. I\'ll look through this inventory carefully.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '126', 'm16p', 'Here you go. And remind the commanders that these weapons not only look intimidating, they also pack quite a punch.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '127', 'm16t', 'Disperse the Nasty Guns');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '128', 'm16s', 'Excellent, citizen. These weapons will help our undercover agents deal with those unpredictable smugglers.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '129', 'm17d', 'A generous planetary governor has donated several new MD series medical droids. Could you pick up the specs for these droids and deliver them to our local cell commander? All requests for these droid must go through Winter, who will process them directly. Make sure the commanders make a strong case or they may not get one.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '130', 'm17l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '131', 'm17o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '132', 'm17f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '133', 'm17r', 'My people sure could use one of those droids. I\'ll make a no-frills request at once. I hear Winter is fond of brevity. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '134', 'm17p', 'Make sure the commander gets this. These sorts of donations help keep the Alliance strong.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '135', 'm17t', 'Medical Droids for Everybody');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '136', 'm17s', 'Thanks for your help. The Alliance could use more reliable couriers like yourself. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '137', 'm18d', 'We found some old Trade Federation droidekas. These might be useful on certain missions or as security droids on some of our bases. Could you pick up this encrypted message and deliver it to our contact at High Command? We need instructions on how to proceed. Winter will hold these units until she receives those instructions.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '138', 'm18l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '139', 'm18o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '140', 'm18f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '141', 'm18r', 'Weren\'t those things awfully unreliable? I always heard that\'s why the Trade Federation stopped using them. Well, I\'ll pass this along.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '142', 'm18p', 'Here you go. Inform High Command that the droidekas seem to be in perfect condition. I don\'t believe they were ever activated.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '143', 'm18t', 'A Blast From the Past');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '144', 'm18s', 'We appreciate your help, citizen. The Alliance has compensated you for your efforts. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '145', 'm19d', 'Procurement and Supply recently sent us a message asking for further instructions on the matter of some droidekas. I need you to pick up High Command\'s response and deliver it to our P&S contacts so they can forward it to Winter. Do this quickly and we\'ll reward you accordingly.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '146', 'm19l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '147', 'm19o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '148', 'm19f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '149', 'm19r', 'Thanks, citizen. We\'ll see what the bosses have to say, I suppose.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '150', 'm19p', 'Here you are. Any tool is only as effective as our ability to control and use it properly.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '151', 'm19t', 'Dealing with Obsolete Droids');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '152', 'm19s', 'That was a prompt delivery, citizen. Your fee has been deposited. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '153', 'm20d', 'A shipment of laser cutters must get to a secret facility in the Outer Rim. I need you to pick up encrypted orders and deliver them to one of our transport pilots. The pilot must report to High Command before leaving the local system. The location of the laser cutters as well as the coordinates of the secret facility will be revealed at that time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '154', 'm20l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '155', 'm20o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '156', 'm20f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '157', 'm20r', 'Well, the Empire hasn\'t found us yet. So I guess all these hoops they make us jump through for the sake of secrecy is worth it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '158', 'm20p', 'Here are the orders. We realize it\'s difficult transporting all this equipment while maintaining secrecy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '159', 'm20t', 'Carve Out a New Rebel Base');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '160', 'm20s', 'Good job, citizen. This mission was of the utmost secrecy. Your silence will save many lives. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '161', 'm21d', 'We\'ve learned that a Moff is spearheading an attempt to assassinate the Emperor. An encrypted message must be picked up and delivered to one of the Moff\'s agents. It informs the Moff that the Alliance will assist in whatever way possible, and it gives security codes to be used if the Moff wishes to contact High Command. Can you help us?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '162', 'm21l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '163', 'm21o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '164', 'm21f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '165', 'm21r', 'I\'ll see to it that the Moff receives this. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '166', 'm21p', 'Moffs can strike at the heart of the Imperial Machine. We should never waste an opportunity like this. Be careful delivering this disc.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '167', 'm21t', 'Aid a Plot Against the Emperor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '168', 'm21s', 'Well done, citizen. If this Moff\'s plan succeeds, this war will be over and the galaxy will be free again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '169', 'm22d', 'We believe that the Empire is preparing to strike Mon Calamari. Please pick up these intercepted transmissions and deliver them to our Mon Calamari contact, who will send them immediately to Admiral Ackbar. If we act fast, we can save millions of Mon Calamari lives. Can we rely on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '170', 'm22l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '171', 'm22o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '172', 'm22f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '173', 'm22r', 'May the Force be with us! I\'ll leave at once!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '174', 'm22p', 'The Mon Calamari are vital to the success of the Alliance. We must save them!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '175', 'm22t', 'Save the Mon Calamari');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '176', 'm22s', 'We can only hope that we were fast enough. Thank you for your efforts, trusted agent. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '177', 'm23d', 'Imperial Intelligence has instructed their agents to travel to the Circarpous system. We don\'t know if they\'ve learned of our secret dealings with the Circarpousian financiers. We need you to pick up a message and deliver it to one of Princess Leia\'s aides. We hope this does not jeopardize her plans to meet with the Circarpousians.  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '178', 'm23l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '179', 'm23o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '180', 'm23f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '181', 'm23r', 'The Princess will want to go anyway, but I will warn her. She can be stubborn, you know.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '182', 'm23p', 'It seems that the Empire is always one step ahead of us. This must change.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '183', 'm23t', 'Warn the Princess');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '184', 'm23s', 'Excellent work, citizen. I hope the Princess takes this warning to heart. Sometimes she\'s too brave for her own good.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '185', 'm24d', 'Our agents have discovered that four Imperial Star Destroyers will be in space dock at the same time. We intend to strike the dock and destroy the Imperial ships. Could you pick up an encrypted datadisc and deliver it to the strike team commander? It will reveal the location of the dock and list the Alliance pilots that will participate in the mission.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '186', 'm24l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '187', 'm24o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '188', 'm24f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '189', 'm24r', 'If this strike succeeds, it would be a great victory for the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '190', 'm24p', 'Deliver this fast. We\'ll destroy these ships faster than the Empire can build them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '191', 'm24t', 'Destroy Four Star Destroyers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '192', 'm24s', 'Well done, citizen. Your service to the Alliance is being noted. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '193', 'm25d', 'One of our colonies has been discovered by Imperial Intelligence. Many of our leaders\' families are on this colony. We need you to pick up an evacuation order and deliver it to one of our pilots familiar with the colony. We dare not communicate via the HoloNet for fear of escalating the Imperial attack. Please hurry!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '194', 'm25l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '195', 'm25o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '196', 'm25f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '197', 'm25r', 'We\'ll have those families off that colony in no time. Never fear.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '198', 'm25p', 'Be quick with this delivery. Until the Empire is toppled, we must remain on the move.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '199', 'm25t', 'Help Evacuate a Colony');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '200', 'm25s', 'Good work. Let\'s hope we acted in time to save all those people.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_hard_non_persistent_from_npc.stf', '201', 'number_of_entries', '25');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '1', 'm1d', 'We\'ve learned that the Imperial Intelligence is using new datadiscs been implanted with small explosive devices. If you don\'t enter the proper codes to read the disc, the charge goes off, destroying the disc and the reader -- and possibly the agent reading the disc. We need you to deliver this warning to our HoloNet slicer. Their safety depends on you. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '2', 'm1l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '3', 'm1o', 'Alliance High Command');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '4', 'm1r', 'I\'d heard the Empire was developing something like this. Sounded too nutty to be true. Guess nothing\'s too nutty in this Civil War.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '5', 'm1f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '6', 'm1s', 'Good job. We relayed the information to all our covert operatives. Thanks to you, nobody will get hurt.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '7', 'm1p', 'Every day the Empire develops new ways to hamper the cause of freedom. Don\'t worry, this disc won\'t explode.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '8', 'm1t', 'Warning to Covert Operatives');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '9', 'm2d', 'One of our strike teams is hitting an Imperial depot in the Outer Rim. We want Imperial Intelligence to suspect we\'re hitting a different target. We need a trusted agent to deliver these falsified Alliance communiques to our HoloNet slicer so we can make sure Imperial agents will intercept them. This should throw those Internal Security creeps off the track. Can we count on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '10', 'm2l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '11', 'm2o', 'Alliance Procurement and Supply');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '12', 'm2r', 'I love fooling those Imperial idiots. Haha!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '13', 'm2f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '14', 'm2s', 'The mission was a complete success, thanks to you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '15', 'm2p', 'You can rarely use the same trick twice against the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '16', 'm2t', 'Falsified Communiques');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '17', 'm3d', 'Although a terrible tragedy, the destruction of Alderaan has boosted our ranks. Could you deliver this datadisc to our processing officer? It contains thousands of enlistees, many of them skilled pilots. This new influx of talent may be what the Alliance needs to turn the tide of battle against the Empire. We need your help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '18', 'm3l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '19', 'm3o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '20', 'm3r', 'How typical of the Empire to not understand that fear can become hate very easily. We shall triumph.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '21', 'm3f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '22', 'm3s', 'Your service to the Alliance is greatly appreciated.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '23', 'm3p', 'The Princess said it best: \"The more the Empire tightens its grip, the more star systems will slip through its fingers.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '24', 'm3t', 'Enlistment Rosters ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '25', 'm4d', 'We must constantly keep our cells supplied and their agents equipped. We need couriers to pick up supply requests and deliver them to our requisitions officer. These couriers will make sure our brave freedom fighters have what they need to fight the Empire. Will you assist in this important task?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '26', 'm4l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '27', 'm4o', 'Alliance Procurement and Supply');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '28', 'm4r', 'Thanks. Fortunately some \"procurement specialists\" just made it past the blockades, or we might have been in supply trouble.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '29', 'm4f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '30', 'm4s', 'Keeping the Alliance running is an endless task. We appreciate your efforts.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '31', 'm4p', 'We\'re glad to see you. Supplies are running pretty seriously low around here. Please hurry!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '32', 'm4t', 'Crucial Supply Requests');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '33', 'm5d', 'Our Incom engineers have provided us with the latest X-wing flight simulator. This will be a great training aid for our new pilots. We need you to deliver this copy of the simulator to one of our training officers. Make sure they report any bugs to High Command. Can we count on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '34', 'm5l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '35', 'm5o', 'Alliance High Command');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '36', 'm5r', 'I hear this is modeled on the TIE flight sims. Our pilots will benefit greatly.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '37', 'm5f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '38', 'm5s', 'Thank you for your assitance in this matter.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '39', 'm5p', 'Ever wanted to fly an X-wing? I think every Alliance member does.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '40', 'm5t', 'New Flight Simulation');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '41', 'm6d', 'We\'ve learned that some local youths have been harassing an Imperial recruiter. We need someone to warn their leader that the Empire is sending a squad of stormtroopers to deal with them. Is that someone you? These youths should lay low for a while. Tell them we appreciate their show of support for the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '42', 'm6l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '43', 'm6o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '44', 'm6r', 'Thanks, friend. Me and my friends will disappear for a while.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '45', 'm6f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '46', 'm6s', 'You got word to them just in time. Well done.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '47', 'm6p', 'We encourage everyone to show dissatisfaction with the Empire, but not to the point of craziness.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '48', 'm6t', 'Stormtrooper Warning');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '49', 'm7d', 'Some of our agents have attempted to enlist with the Empire in order to spy for the Alliance. We believe Imperial Intelligence has identified a large number of these agents. We must have these orders delivered to our local cell contact. They instruct local agents not to enlist. We\'ll find other uses for their skills. Can you help us save these freedom fighters?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '50', 'm7l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '51', 'm7o', 'Alliance High Command');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '52', 'm7r', 'I\'ll get the news out to our agents immediately.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '53', 'm7f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '54', 'm7s', 'That was a near thing. You helped a lot of people.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '55', 'm7p', 'One thing I will say for Imperial Intelligence -- they\'re very thorough.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '56', 'm7t', 'Alliance Agents at Risk');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '57', 'm8d', 'Every since the destruction of the Death Star, the number of beings wanting to enlist with the Alliance has risen dramatically. We suspect that some of these individuals may be double agents working for the Empire. This roster of enlistees must be delivered to our High Command contact so that our Intelligence department can do very thorough security clearances on all of them. Help keep the Alliance free of Imperial spies.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '58', 'm8l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '59', 'm8o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '60', 'm8r', 'Sometimes these double agents are hard to spot. We\'ll do our best.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '61', 'm8f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '62', 'm8s', 'You\'ve been a tremendous help. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '63', 'm8p', 'There have been instances of Imperial double agents denouncing the Empire and working solely for us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '64', 'm8t', 'Searching for Double Agents');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '65', 'm9d', 'Our slicers have intercepted a secret Imperial communique that tells us the Empire has sent dossiers of all the surviving Battle of Yavin pilots to their local garrisons. They\'ve put a high priority on having these individuals arrested. Mentioned prominently in the communique were Commanders Solo and Skywalker as well as the Wookiee Chewbaca. We must have someone send this communique and a warning to our contact in High Command so that these heroes may be warned. Can we count on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '66', 'm9l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '67', 'm9o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '68', 'm9r', 'Thanks. We\'ll put these heroes on alert.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '69', 'm9f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '70', 'm9s', 'We\'re glad you were able to get the word out in time. Well done.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '71', 'm9p', 'The security of the Heroes of Yavin is one of our top priorities.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '72', 'm9t', 'Protect our Heroes');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '73', 'm10d', 'Our engineers have discovered a flaw in the design of stormtrooper helmet comlinks. We need a trusted agent to send this technical analysis to our local cell contact and inform them that we can use this flaw to intercept squad communications. I believe this flaw is limited to the older style helmets. This information will therefore benefit our cells on remote outposts the most. Think you can handle this mission? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '74', 'm10l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '75', 'm10o', 'Alliance High Command');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '76', 'm10r', 'Thanks. I always wondered what stormtroopers chatted about when they were just standing around.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '77', 'm10f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '78', 'm10s', 'Keep up the good work!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '79', 'm10p', 'We should act on this now, because we don\'t know how long this flaw will go unnoticed by the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '80', 'm10t', 'Technical Analysis');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '81', 'm11d', 'Some local merchants, as a protest, are not giving Imperial military personnel the standard 30 percent discount on the purchase of goods. We need this message delivered to the merchants\' representative. It says that this will only draw unwanted attention to their region, and therefore to any possible Alliance cells located in their area. To help the Alliance, they should give the Imperials their discount. Is this something you could help us with?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '82', 'm11l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '83', 'm11o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '84', 'm11r', 'As loathe as we are to do this, we do wish to help the Alliance. It will be done.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '85', 'm11f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '86', 'm11s', 'It\'s heartening that so many merchants want to help us. Thanks for your help too.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '87', 'm11p', 'No use in stirring up a skettos\' nest. We want to Empire to ease its grip, not tighten it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '88', 'm11t', 'Keep a Low Profile');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '89', 'm12d', 'Our slicers\' efforts to send bogus orders to Imperial garrisons has been very effective -- in fact, too effective. The Imperials have now taken to hand-delivering their orders, which leaves our slicers vulnerable to Imperial Intelligence. We need someone to pick up a new set of encryption codes and deliver them to our local slicers. Can we rely on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '90', 'm12l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '91', 'm12o', 'Alliance High Command');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '92', 'm12r', 'Really? I gotta stop? Aww, just when I was having such fun. Okay, I\'ll ask the gang to throttle back, and we\'ll work with these new codes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '93', 'm12f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '94', 'm12s', 'That should keep Imperial Intelligence guessing for a bit longer. Those goons are certainly dedicated, I\'ll give them that. Thanks for your help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '95', 'm12p', 'Here are the new codes. They should help protect our data slicers. They\'re weird, but they\'re good folks and we need them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '96', 'm12t', 'Danger to Slicers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '97', 'm13d', 'We understand that the Empire has just granted many garrisons extended leave for their troops. We need this message delivered to our local cell contact, so we can put all our informants on alert. We need to get our agents as close as possible to these off-duty soldiers. It\'s amazing how talkative some of these men become after a few drinks. Can you help us trap these Imperials? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '98', 'm13l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '99', 'm13o', 'Alliance High Command');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '100', 'm13r', 'We\'ll put all of our best agents to work. Especially the attractive ones.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '101', 'm13f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '102', 'm13s', 'Thanks to you, we should gather a lot of useful information.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '103', 'm13p', 'Remind our contact that happy soldiers are chatty soldiers.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '104', 'm13t', 'Loose Lips');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '105', 'm14d', 'We\'ve worked out a deal with our contacts within the Corporate Sector Authority to help us secure the release of several Alliance agents. They are putting in a request to the Empire for more workers for hard labor. We believe the Empire will fill these positions with known Alliance members. We need this message sent to our contact in the CSA. Can we count on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '106', 'm14l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '107', 'm14o', 'Alliance High Command');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '108', 'm14r', 'I\'ll see that this order is filled immediately, citizen. Good day.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '109', 'm14f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '110', 'm14s', 'Your part in this is complete. Now, it\'s up to others.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '111', 'm14p', 'The Viceprexes friendly to our cause are to contact High Command immediately upon receiving their new work crews. Some of your friends may be among the prisoners rescued.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '112', 'm14t', 'Free Alliance Agents');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '113', 'm15d', 'This message must be delivered to the local Alliance Procurement officer immediately! One of the Imperial depots we raided has contaminated supplies. Many energy cells, weapons, and medical scanners that were seized have trackers inside them. All goods taken from Imperial Depot 22-TZK are to be jettisoned into space. Can you make sure this message is received?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '114', 'm15l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '115', 'm15o', 'Alliance Procurement and Supply');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '116', 'm15r', 'Argh, some of these supplies may already have gone out. I\'ll track them down!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '117', 'm15f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '118', 'm15s', 'It\'s a good thing you got that information out in time. That could have gone very badly for our people. Soon we\'ll have to subject every single seized shipment to deep and time-consuming scans.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '119', 'm15p', 'Remember, materials from Imperial Depot 22-TZK are not to be distributed to supply stations -- they are to be jettisoned. Spread the word.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '120', 'm15t', 'Bugged Equipment');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '121', 'm16d', 'A top-ranking Sienar Fleet Systems engineer has defected to the Alliance. The Empire is eager to get its hands on this engineer. We need this encrypted message delivered to our local cell contact. It will let them know if the engineer will be arriving at their location and specifics of that arrival. The Alliance is depending on you. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '122', 'm16l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '123', 'm16o', 'Alliance High Command');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '124', 'm16r', 'If that engineer shows up here, we\'ll keep him safe.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '125', 'm16f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '126', 'm16s', 'If we can get that Imperial engineer, that would be a blow to the Empire and a big help for us. The last thing we need is a faster, more maneuverable TIE fighter. Thanks for your help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '127', 'm16p', 'We can\'t afford to lose this engineer, because he helped design Vader\'s experimental TIE fighter -- a design being incorporated into an elite TIE model we have yet to see. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '128', 'm16t', 'Imperial Defector');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '129', 'm17d', 'The Empire plans on arresting many former Senators and their families. We need someone to pick up the list of possible targets and deliver them to one of our HoloNet slicers so we can warn these targets. The slicer is to provide a list of High Command contacts to anyone fleeing arrest. Can you help us?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '130', 'm17l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '131', 'm17o', 'Alliance High Command');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '132', 'm17r', 'When I send this warning, the Imperial Analysis Bureau will be riding my tail in about ten seconds flat. You guys needs to move fast to save those -- who is it? Senators? Whoever.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '133', 'm17f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '134', 'm17s', 'The Senators wish to express their thanks for your aid.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '135', 'm17p', 'Here\'s the list. Remember, the more powerful politicians we get on our side, the better off we\'ll be.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '136', 'm17t', 'Senators Need Your Help');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '137', 'm18d', 'The New Order\'s stance on alien species has given us an edge in recruiting these neglected citizens. Of special interest to High Command are the Duros. We need a courier to pick up encrypted orders and deliver them to our agent specializing in Alien Species Affairs. The agent is to travel to Duro and continue negotiating with the leaders there.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '138', 'm18l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '139', 'm18o', 'Alliance High Command');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '140', 'm18r', 'I think the Duros are determined to remain neutral, but I\'ll continue negotiating with them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '141', 'm18f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '142', 'm18s', 'The Alliance appreciates your efforts. With luck, disenfranchised species will boost our ranks and help us topple the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '143', 'm18p', 'Here are the orders. Many alien species would follow the Duros\' example if they joined the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '144', 'm18t', 'Diplomatic Mission');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '145', 'm19d', 'One of our refueling stations in the Outer Rim has been compromised, and we believe that the Empire is using it as bait to capture Alliance transports. Pick up these encrypted orders and deliver them to our local cell leader. We must insure that every transport captain and pilot aiding the Alliance receives these orders.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '146', 'm19l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '147', 'm19o', 'Alliance High Command');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '148', 'm19r', 'We\'ll get this information out to our pilots at once.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '149', 'm19f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '150', 'm19s', 'Good work. Our pilots are a precious resource, and we must do all we can to protect them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '151', 'm19p', 'Here you go. And cheer up. For every station that the Empire discovers, we have ten more they know nothing about.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '152', 'm19t', 'An Imperial Trap');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '153', 'm20d', 'One of General Airen Cracken\'s \"procurement specialists\" believes the Alliance is trying to set him up. We need this encrypted message delivered to our slicer so we can transmit this smuggler\'s concerns to General Cracken. Can you lend us a hand?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '154', 'm20l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '155', 'm20o', 'Winter: Alliance Procurement and Supply');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '156', 'm20r', 'These smugglers and pirates are all rogues. But then again, so am I.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '157', 'm20f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '158', 'm20s', 'The disc gave the rendezvous point specified by this nervous \"procurement specialist.\" We\'ve checked him out, and he seems to be on the level. General Cracken can probably smooth matters over so we don\'t lose our \"specialist.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '159', 'm20p', 'This particular smuggler-- er, I mean, specialist -- just captured a large shipment of medical supplies bound for Imperial outposts. He wants General Cracken to meet him personally to insure prompt payment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '160', 'm20t', 'Stolen Medical Supplies');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '161', 'm21d', 'We have proof that an Imperial prison official at Kessel has been supplying glitterstim to smugglers and Black Sun. We need someone to pick up the encrypted evidence and deliver it to one of our couriers. We intend to present our \"terms\" to the Imperial official. He\'ll either cooperate with us or we turn over our proof to Imperial Intelligence.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '162', 'm21l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '163', 'm21o', 'Alliance High Command');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '164', 'm21r', 'Good old-fashioned blackmail, eh? Hey, if it\'s effective --');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '165', 'm21f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '166', 'm21s', 'Well done. Remember to keep this quiet. We don\'t want word getting around to Imperial Intelligence.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '167', 'm21p', 'Here\'s the data. Remember, we do what we must to insure the fall of the Empire. In this case, it\'ll be fun!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '168', 'm21t', 'Blackmail Notification');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '169', 'm22d', 'We\'ve received a request from Commander Skywalker. He\'d like us to get our hands on an Imperial Inquisitor. We need someone to pick up his encrypted orders and deliver them to our local cell commander. All commanders are to coordinate with High Command to help achieve this top-priority mission. Can we count on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '170', 'm22l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '171', 'm22o', 'Alliance High Command');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '172', 'm22r', 'With pleasure! I\'ve been wanting to take down one of these mighty Inquisitors ever since I heard of them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '173', 'm22f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '174', 'm22s', 'Commander Skywalker sends his thanks to all. With any luck, we\'ll be able to supply him with an Inquisitor soon. I wonder what he has in mind?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '175', 'm22p', 'The orders are on this datadisc. I imagine we can learn a great deal from an Inquisitor. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '176', 'm22t', 'Help Commander Skywalker');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '177', 'm23d', 'A shipment of Merr-Sonn IR-5 \"Intimidator\" blaster pistols has fallen into our hands. We need someone to pick up inventory discs and deliver them to our local cell commanders. They can request these weapons for upcoming missions, especially any dealing with smugglers and pirates -- those types are easily intimidated. Can we rely on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '178', 'm23l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '179', 'm23o', 'Alliance Procurement and Supply');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '180', 'm23r', 'I\'ve seen those blasters. Effective weapons indeed. I\'ll look through this inventory carefully.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '181', 'm23f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '182', 'm23s', 'Can you believe it? All the blasters have been claimed already. These weapons will help our undercover agents deal with those unpredictable smugglers. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '183', 'm23p', 'Here you go. And remind the commanders that these weapons not only look intimidating, they also pack quite a punch.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '184', 'm23t', 'Blasters Available');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '185', 'm24d', 'A generous sympathizer has donated several new MD-series medical droids. Could you pick up the specs for these droids and deliver them to our local cell commander? All requests for these droid must go through Winter, who will process them directly. Make sure the commanders make a strong case, or they may not get one.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '186', 'm24l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '187', 'm24o', 'Alliance Procurement and Supply');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '188', 'm24r', 'My people sure could use one of those droids. I\'ll make a no-frills request at once. I hear Winter is fond of brevity.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '189', 'm24f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '190', 'm24s', 'It\'s a shame there were only five droids to be had. We could have used many more. But we\'re grateful, regardless -- and on that note, thanks for your help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '191', 'm24p', 'Make sure the commander gets this. These donations keep the Alliance strong.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '192', 'm24t', 'Only a Few Medical Droids Left');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '193', 'm25d', 'We found some old Trade Federation droidekas. These might be useful on certain missions or as security droids on some of our bases. Could you pick up this encrypted message and deliver it to our contact at High Command? We need instructions on how to proceed. Winter will hold these units until she receives those instructions.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '194', 'm25l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '195', 'm25o', 'Alliance Procurement and Supply');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '196', 'm25r', 'Weren\'t those things awfully unreliable? I always heard that\'s why the Trade Federation stopped using them. Well, I\'ll pass this along.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '197', 'm25f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '198', 'm25s', 'We appreciate your help, citizen. Meanwhile, we\'re looking into the source of those perfectly preserved droidekas. Could be more where those came from.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '199', 'm25p', 'Here you go. Inform High Command that the droidekas seem to be in perfect condition. I don\'t believe they were ever activated.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '200', 'm25t', 'A Few Good Security Droids');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '201', 'm26d', 'Procurement and Supply recently sent us a message asking for further instructions on the matter of some droidekas. I need you to pick up High Command\'s response and deliver it to our P&S contacts so they can forward it to Winter. Do this quickly and we\'ll reward you accordingly.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '202', 'm26l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '203', 'm26o', 'Alliance High Command');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '204', 'm26r', 'We\'ll see what the bosses have to say, I suppose.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '205', 'm26f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '206', 'm26s', 'That was a prompt delivery, citizen. Your fee has been deposited. Your service to the Alliance is always appreciated.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '207', 'm26p', 'Any tool is only as effective as our ability to control and use it properly.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '208', 'm26t', 'Straight From the High Command');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '209', 'm27d', 'The Empire has begun targeting luxury starliners. They claim that several of them have been transporting goods to the Alliance. We need this warning delivered to our HoloNet data slicer so we can warn the starliner crews. We don\'t want innocent folks killed. Can you help save them?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '210', 'm27l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '211', 'm27o', 'Alliance High Command');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '212', 'm27r', 'Hey, my mom loves taking cruises on those things. You bet I\'ll warn them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '213', 'm27f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '214', 'm27s', 'Thanks to your timely intervention, we may be able to use the starliners again in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '215', 'm27p', 'The Empire does not understand the meaning of the words \"innocent lives,\" nor do they care how many are lost.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '216', 'm27t', 'Starliners Beware');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '217', 'm28d', 'We need to get a shipment of laser cutters to a secret facility in the Outer Rim. We need you to pick up encrypted orders and deliver them to one of our transport pilots. This is a most important mission. Can we count on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '218', 'm28l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '219', 'm28o', 'Alliance Procurement and Supply');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '220', 'm28r', 'The Empire hasn\'t found us yet. So I guess it\'s worth it -- all these hoops they make us jump through for the sake of secrecy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '221', 'm28f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '222', 'm28s', 'It\'s difficult transporting all this equipment while maintaining secrecy. We\'re glad to know we can count on you. Well done.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '223', 'm28p', 'Here are the orders. The pilot must report to High Command before leaving the local system. High Command will give the pilot the location of the laser cutters as well as the coordinates of the secret facility.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '224', 'm28t', 'Tools for a Secret Base');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '225', 'm29d', 'We\'ve learned that a Moff is spearheading an attempt to assassinate the Emperor. Pick up this encrypted message and deliver it to one of the Moff\'s agents. It informs the Moff that the Alliance will assist in whatever way it can and gives security codes if the Moff wishes to contact High Command. Can you help us?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '226', 'm29l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '227', 'm29o', 'Alliance High Command');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '228', 'm29r', 'I\'ll see to it that the Moff receives this.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '229', 'm29f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '230', 'm29s', 'Well done, citizen. If this Moff\'s plan succeeds, this war will be over and the galaxy will be free again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '231', 'm29p', 'Moffs can strike at the heart of the Imperial Machine. We should never waste an opportunity like this. Be careful delivering this disc.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '232', 'm29t', 'Assasination Plot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '233', 'm30d', 'We keep receiving supply request from Rogue Squadron. Deliver these requests to our High Command officer and ask for final approval or denial -- otherewise, Rogue Squadron will not stop contacting us. Tell Command to note that the requests are signed by Wedge Antilles and countersigned by Commander Skywalker. You\'ve got this one, right?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '234', 'm30l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '235', 'm30o', 'Alliance Procurement and Supply');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '236', 'm30r', 'More requests from Rogue Squadron? Those guys are great, but they sure do run through a lot of supplies -- sometimes more than we can spare.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '237', 'm30f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '238', 'm30s', 'I guess even heroes can get caught up in bureaucracy. Thanks for helping sort that out.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '239', 'm30p', 'I\'m not sure why there\'s a disconnect between Rogue Squadron and Starfighter Command. Sure, we like hearing from the Rogues, but too much chatter is a security risk. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '240', 'm30t', 'Rogue Squadron Requests');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '241', 'm31d', 'Winter has sent us several of Wedge Antilles\' requests for supplies for his Rogue Squadron. Winter needs these approved by our department. Please deliver this datadisc of approved requests to one of Procurement\'s officers. If Rogue Squadron has any problems with our decision, Antilles can take it up with us. Can you handle that?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '242', 'm31l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '243', 'm31o', 'Alliance Starfighter Command');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '244', 'm31r', 'I wish those guys would leave us out of their squabbles.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '245', 'm31f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '246', 'm31s_', 'I\'m sure the Rogues were pleased to get those requests approved. By the way, we\'re working on smoothing out the approval process. That should please Wedge!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '247', 'm31p', 'Wedge and Commander Skywalker are heroes of the Alliance, but they still have to follow proper channels.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '248', 'm31t', 'Approved Requests');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '249', 'm32d', 'Miners that have joined the Alliance have shown us a great use for the common LIN Demolitionmech droids. We would like the specs for these droids sent to our local cell commanders on this encrypted datadisc. Careful this doesn\'t fall into the wrong hands. Can we count on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '250', 'm32l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '251', 'm32o', 'Alliance High Command');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '252', 'm32r', 'This will help us sabotage Imperial depots and shipyards. Excellent!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '253', 'm32f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '254', 'm32s', 'The information you delivered was of great value. A job well done.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '255', 'm32p', 'Specially rigged demolitionmechs can place explosives. If you rig them with a holographic disguiser and a sensor jamming device, they can look like common R3 droids!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '256', 'm32t', 'Explosive Droid Specs');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '257', 'm33d', 'We\'d like to redistribute some of our A-A5 speeder trucks that we\'ve modified to operate as armored personnel carriers. Send the specs for these speeder trucks to the local cell commander and see if they could use one of these trucks. We\'re counting on you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '258', 'm33l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '259', 'm33o', 'Alliance Procurement and Supply');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '260', 'm33r', 'I\'ll check with our supply specialist, but I think we could use one. Those A-A5s are sturdy machines.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '261', 'm33f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '262', 'm33s', 'Excellent work. We\'re very pleased with the quality of your work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '263', 'm33p', 'Our settlements on the Outer Rim would be the best destinations for these vehicles, but we understand that there may be a need for them in the Core Worlds as well.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '264', 'm33t', 'Modified Speeder Specs');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '265', 'm34d', 'A gang of young Skyhopper pilots contacted one of our commanders and offered help in striking Imperial outposts in their home system. Can you deliver this datadisc to Starfighter Command and see what they wish to do with these hotshots? Their dossiers, including their criminal records, are contained on the disc.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '266', 'm34l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '267', 'm34o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '268', 'm34r', 'Half of our pilots were trained on T-16\'s. We\'ll think of an offer they\'ll accept.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '269', 'm34f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '270', 'm34s', 'It takes all kinds, I suppose. Still, good pilots are a valuable resource. Anyone wanting to harass the Empire can\'t be all bad.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '271', 'm34p', 'It seems these toughs had no interest in the Academy and don\'t really like the idea of serving the Alliance as possible X-wing pilots. They just want to cause mayhem for the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '272', 'm34t', 'Pilot Dossiers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '273', 'm35d', 'Starfighter Command is trying to recruit a gang of T-16 pilots. These young hotshots are quite skilled, apparently, but lack discipline and don\'t wish to answer to anyone save themselves. Starfighter Command has decided to offer them the deal on this encrypted datadisc. Can you deliver this offer to the cell commander who deals with these pilots?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '274', 'm35l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '275', 'm35o', 'Alliance Starfighter Command   ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '276', 'm35r', 'I can\'t wait to see what these guys have been offered. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '277', 'm35f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '278', 'm35s', 'I have no idea what Starfighter Command offered those pilots. I\'ll just trust that Command knows what it\'s doing. However it works out, your work was exemplary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '279', 'm35p', 'I hope this is worth it. These guys have extensive criminal records, and not just crimes against the Empire. Apparently they used to terrorize local merchants and transports.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '280', 'm35t', 'Starfighter Command Offer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '281', 'm36d', 'Some of our field agents are requesting Z-6 jetpacks for an upcoming mission. Their requisition order must be delivered to one of Procurement and Supply\'s officers. Tell them that this request comes from Alliance Special Forces and is signed by General Madine himself. That should speed things up. Think you can handle that?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '282', 'm36l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '283', 'm36o', 'Alliance Special Forces');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '284', 'm36r', 'Ever since that bounty hunter got famous, it seems everyone wants a jetpack.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '285', 'm36f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '286', 'm36s', 'You have the makings of a top courier. Keep up the good work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '287', 'm36p', 'We expect a prompt response.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '288', 'm36t', 'Special Forces requisition order');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '289', 'm37d', 'Due to the rising number of Wookiee recruits, we\'ve assembled a short Wookiee language guide on this datadisc. One of our Wookiee agents assisted with this guide, so all pronunciation is accurate. Make sure the local cell commanders get this guide. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '290', 'm37l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '291', 'm37o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '292', 'm37r', 'I always wondered when they\'d get around to making something like this.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '293', 'm37f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '294', 'm37s', 'We\'ve had a few unfortunate Wookiee incidents due to miscommunication and wish to avoid those in the future. This guide should make for fewer one-armed freedom fighters. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '295', 'm37p', 'Wookiees are brave fighters but can be a bit short-tempered. I\'m glad they\'re on our side. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '296', 'm37t', 'Wookiee Language Guide');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '297', 'm38d', 'One of our \"procurement specialists\" sold us a shipment of R3\'s. We will be assigning these astromech droids to our heavy cruisers and frigates, which will free up many R2 units for use by either our local cells or Starfighter Command. Please deliver this message to the cell commander, so the cell can place an order for these R2 units with Procurement and Supply.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '298', 'm38l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '299', 'm38o', 'Alliance Procurement and Supply');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '300', 'm38r', 'You never can have enough R2 units. But I expect that Starfighter Command requests will get top priority.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '301', 'm38f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '302', 'm38s', 'Reliable couriers are a rare breed. Keep up the good work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '303', 'm38p', 'Personally, I prefer the old R2 units. They have more personality.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '304', 'm38t', 'R2 Droid Availability ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '305', 'm39d', 'A smuggler has dumped an entire kennel of neks at one of our refueling stations. He didn\'t have enough credits to repair his damaged vessel and didn\'t wish to barter any future smuggling missions, so he gave us all he had. I need to know what Procurement and Supply wants done with these creatures. They\'re fully trained, looks like, and quite vicious. Could you deliver this message to a Procurement officer? Like, pretty soon?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '306', 'm39l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '307', 'm39o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '308', 'm39r', 'Uh -- neks? Hmm. Well. I guess we\'ll take this to General Cracken and see what he recommends. They don\'t make good pets, I suppose?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '309', 'm39f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '310', 'm39s', 'An unusual payment, but we\'ll find a use for those neks. Your payment is a little more traditional.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '311', 'm39p', 'I need to get rid of these neks fast. They\'re scaring our communications officer.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '312', 'm39t', 'Strange Payment');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '313', 'm40d', 'One of our cell commanders was left with an entire kennel of neks -- long story -- and wanted to know if we could use them. Fortunately, we\'ve contacted a nek handler who will trade the pack for medical supplies. We need to deliver this datadisc of instructions to the members of that commander\'s cell. Feel like helping out?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '314', 'm40l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '315', 'm40o', 'Alliance Procurement and Supply');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '316', 'm40r', 'Good. Our communications officer was about to quit; those neks were getting her deeply flustered. We\'ll get these shipped right away.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '317', 'm40f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '318', 'm40s', 'Everything can be bartered or sold for something. Words to live by. But medical supplies for neks? Now I think I\'ve seen it all.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '319', 'm40p', 'The cell members should sedate the neks and put them on the first Alliance transport out of their system. We\'ll arrange to pick up the neks and deliver them to the handler.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '320', 'm40t', 'Healing Power of Neks');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '321', 'm41d', 'We\'ve learned that some cell commanders are employing bounty hunters to track down double agents. We need this order delivered to the local cell commander: Any use of bounty hunters must have direct approval from High Command. If there are any questions, contact High Command. Can we get your help on this one?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '322', 'm41l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '323', 'm41o', 'Alliance High Command');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '324', 'm41r', 'I don\'t see why we should limit our arsenal of weapons against traitors. But all right, I hear you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '325', 'm41f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '326', 'm41s', 'Thanks for your aid. That could have been a security nightmare. Bounty hunters will gladly sell any information they have to the Empire. The risk of using them is too great.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '327', 'm41p', 'Make sure the commander gets the message: Under no circumstances are bounty hunters to be used against former Alliance officers, even those suspected of working for the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '328', 'm41t', 'Orders About Bounty Hunters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '329', 'm42d', 'Reports from our HoloNet slicers claim some sort of Imperial super-slicer on the HoloNet has intercepted many Alliance communiques. The slicer goes by the code name \"Blackhole.\" Please deliver these instructions to our local data slicer. Any activity on the HoloNet suspected of being the work of Blackhole is to be reported to us immediately.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '330', 'm42l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '331', 'm42o', 'Alliance Intelligence');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '332', 'm42r', 'I\'ve heard about this Blackhole guy, or gal, or thing, or whatever it may be. I\'m betting my jets burn smoother than his. But okay, okay, I\'ll keep an eye open.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '333', 'm42f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '334', 'm42s', 'We hope our slicers can negate Blackhole\'s ability to interfere with the Alliance. Truth to tell, High Command is basically forced to stand back and just let our slicers work. Most of us are out of our depth here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '335', 'm42p', 'We suspect that this Blackhole figure may be the head of Imperial Intelligence, or perhaps even the Emperor himself. We must discover this mysterious agent\'s identity. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '336', 'm42t', 'Code Name Blackhole');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '337', 'm43d', 'Our contact on the Corporate Sector Authority\'s Direx Board informs us that Imperial Intelligence is reviewing every single expense report generated by the Viceprexes. We need to make sure the Viceprexes friendly to our cause are aware of this, and warn them to proceed with extreme caution. Can we count on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '338', 'm43l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '339', 'm43o', 'Alliance Intelligence');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '340', 'm43r', 'We\'ll get word to our superiors immediately.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '341', 'm43f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '342', 'm43s', 'You\'ve been a great help in protcting our CSA Viceprexes. As powerful as they are, it\'s ironic they need our protection!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '343', 'm43p', 'The help we receive from friendly Viceprexes is incredibly important to our cause. The Empire could track Alliance sympathizers using these reports.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '344', 'm43t', 'Warning to Viceprexes');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '345', 'm44d', 'We need pilots with experience navigating asteroid belts. Please deliver this notice to the local cell commanders so they can have any such pilots they may know of report to Starfighter Command immediately. Can the Alliance count on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '346', 'm44l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '347', 'm44o', 'Alliance Starfighter Command');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '348', 'm44r', 'We\'ll put the word out that we\'re searching for experienced pilots.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '349', 'm44f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '350', 'm44s', 'We\'re always on the lookout for skilled pilots. If you know any, send them our way.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '351', 'm44p', 'Our missions take us to many treacherous and isolated areas of space. Every pilot must undertake rigorous training and will be incommunicado for several months. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '352', 'm44t', 'Pilots Needed');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '353', 'm45d', 'Since our victory at Yavin 4, more smugglers have offered their services to the Alliance. We want these instructions delivered to the local Alliance cell. It lays out a standard procedure for evaluating potential \"procurement specialists\" and gives the proper report forms that every cell commander must have approved prior to using any smuggler. Are you the agent for this mission?  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '354', 'm45l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '355', 'm45o', 'Alliance Intelligence');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '356', 'm45r', 'We needed a standard operating procedure for these guys. Good to see we have one now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '357', 'm45f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '358', 'm45s', 'We\'ll be careful to weed out the completely untrustworthy smugglers. I hope that\'s not all of them! Thanks for your help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '359', 'm45p', 'We should always be suspicious of any smuggler who approaches us with an offer of assistance. Security will always be an issue.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '360', 'm45t', 'Smuggler Security Check');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '361', 'm46d', 'Our contacts inside the University of Byblos have indicated that interest in the Alliance is at an all-time high. We have an opportunity to recruit some of the galaxy\'s most talented young physicians and scientists. This encrypted message must go to our local Alliance Intelligence agent. We need more covert agents on Byblos to aid with recruitment. Help us recruit the brightest minds in the galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '362', 'm46l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '363', 'm46o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '364', 'm46r', 'We\'ll devise a strategy and make sure we get those gifted young minds.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '365', 'm46f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '366', 'm46s', 'The Alliance needs all the skilled help it can get. Yours included.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '367', 'm46p', 'Our Science Division works tirelessly at devising ways to thwart Imperial technology. They are priceless.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '368', 'm46t', 'Byblos University Recruiting');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '369', 'm47d', 'Ever since we attracted the attention of Borsk Fey\'lya, our access to Bothan spies has increased dramatically. They are the best in the galaxy at what they do. We need you to hand-deliver this encrypted communique to our Alliance Intelligence liaison so we can coordinate their activities with the Bothans that Minister Fey\'lya has put at our disposal.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '370', 'm47l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '371', 'm47o', 'Alliance High Command');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '372', 'm47r', 'We\'ll begin including the Bothan representatives into our future communications and meetings.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '373', 'm47f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '374', 'm47s', 'The Alliance is lucky to have a dependable courier such as yourself in its service.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '375', 'm47p', 'Bothans trade in information, and that is a precious commodity indeed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '376', 'm47t', 'More and Better Spies');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '377', 'm48d', 'There seems to be some division within the Alliance in regards to the Jedi. Many feel they were a boon to the Old Republic and were noble guardians of peace. Others believe they were responsible for the corruption that destroyed the Old Republic and led to the Clone Wars. Could you deliver these instructions from High Command to the local cell commander?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '378', 'm48l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '379', 'm48o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '380', 'm48r', 'I think we\'ll be talking about the Jedi plenty in years to come.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '381', 'm48f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '382', 'm48s', 'Personally, I wish there were a lot more Jedi. That\'s just between us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '383', 'm48p', 'Word from High Command is that any discourse about the Jedi should be confined to personal discussions. We must focus on toppling the Empire, not reopening old wounds.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '384', 'm48t', 'Alliance Jedi Policy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '385', 'm49d', 'Commander Skywalker has requested that any information regarding Adegan or Ilum crystals be sent directly to him. Could you deliver these instructions to the local cell commander to spread this information to the miners and smugglers working for us? Hope we can count on you. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '386', 'm49l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '387', 'm49o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '388', 'm49r', 'Never heard of these crystals. What are they good for? Lightsabers, you say! Who wants a sword when you could have a blaster?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '389', 'm49f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '390', 'm49s', 'Some of these crystals might belong to certain collectors or former Imperial senators. I hope Master Skywalker gets the information he needs. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '391', 'm49p', 'We believe Commander Skywalker has a keen interest in crystallography. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '392', 'm49t', 'Crystal Questions');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '393', 'm50d', 'Commander Solo has requested that we send directly to him any inquiries from bounty hunters regarding his whereabouts. Apparently there is some bad blood between him and Tatooine crimelord Jabba the Hutt. Could you make sure the local cell commanders get this information?  One of the Heroes of Yavin is counting on you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '394', 'm50l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '395', 'm50o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '396', 'm50r', 'Smugglers attract bounty hunters. Is this really a surprise?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '397', 'm50f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '398', 'm50s', 'We need to make sure those bounty hunters don\'t threaten our security. No doubt it\'s just some misunderstanding that can easily be worked out. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '399', 'm50p', 'Despite Commander Solo\'s past, he will always be seen as a Hero of the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '400', 'm50t', 'Bounty Hunter Alert');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium.stf', '401', 'number_of_entries', '50');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '1', 'm1d', 'A Senator aiding our cause has angered Imperial Intelligence. His family has been targeted for termination. Pick up an encrypted datadisc from one of our slicers. It contains instructions for the Senator and his family. Deliver this disc to a member of the Senator\'s staff immediately. We hope we\'re not too late to save this patriot\'s family.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '2', 'm1l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '3', 'm1o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '4', 'm1f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '5', 'm1r', 'The Senator thanks you and will follow these instructions immediately. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '6', 'm1p', 'Here you go, friend. I hope it\'s not too late to save the Senator\'s family.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '7', 'm1t', 'Rescue a Senatorial Family');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '8', 'm1s', 'Well done, citizen. We will not stand by and watch our patriots executed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '9', 'm2d', 'One of our strike teams is hitting an Imperial depot in the Outer Rim. We want Imperial Intelligence to suspect we\'re hitting a different target. We need a trusted agent to pick up falsified Alliance communiques and deliver them to our HoloNet slicer. We\'ll make sure Imperial agents intercept them. Can we count on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '10', 'm2l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '11', 'm2o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '12', 'm2f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '13', 'm2r', 'I\'m on it. I love fooling those Imperial idiots. Don\'t you? Haha!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '14', 'm2p', 'Here are the communiques. Remember you can rarely use the same trick twice against the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '15', 'm2t', 'Help Fool the Empire');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '16', 'm2s', 'Good work. It\'s the efforts of agents like you that will insure the Empire\'s defeat.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '17', 'm3d', 'Although a terrible tragedy, the destruction of Alderaan has boosted our ranks. We need someone to pick up a datadisc and deliver it to our processing officer. It contains thousands of enlistees, many of them skilled pilots. This new influx of talent may be what the Alliance needs to turn the tide of battle against the Empire. Will you help? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '18', 'm3l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '19', 'm3o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '20', 'm3f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '21', 'm3r', 'Thanks for the delivery. How typical of the Empire not to understand that fear can easily become hate. We shall triumph.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '22', 'm3p', 'The Princess said it best: \"The more the Empire tightens its grip, the more star systems will slip through its fingers.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '23', 'm3t', 'Boost the Alliance\'s Ranks');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '24', 'm3s', 'Those extra recruits are much needed. Thanks for your efforts. The Alliance will reward you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '25', 'm4d', 'We must constantly keep our cells supplied and their agents equipped. We need couriers to pick up supply requests and deliver them to our requisitions officer. These couriers will make sure our brave freedom fighters have what they need to fight the Empire. Will you assist in this important task?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '26', 'm4l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '27', 'm4o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '28', 'm4f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '29', 'm4r', 'Thanks. Fortunately some \"procurement specialists\" just made it past the blockades, or we might have been in supply trouble.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '30', 'm4p', 'We\'re glad to see you. Supplies are running pretty seriously low around here. Please hurry!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '31', 'm4t', 'Supply Requests');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '32', 'm4s', 'Keeping the Alliance running is an endless task. We appreciate your efforts.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '33', 'm5d', 'Our Incom engineers have provided us with the latest X-wing flight simulator. This will be a great training aid for our new pilots. We need you to pick up a copy of the simulator and deliver it to one of our training officers. Make sure they report bugs to High Command. Can we count on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '34', 'm5l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '35', 'm5o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '36', 'm5f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '37', 'm5r', 'I hear these are modeled on the TIE flight sims. Our pilots will benefit greatly. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '38', 'm5p', 'Ever wanted to fly an X-wing? I think every Alliance member does. Take care of this flight sim.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '39', 'm5t', 'Help train better pilots');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '40', 'm5s', 'All clear, citizen. Good work. The Alliance is grateful.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '41', 'm6d', 'Some of our agents have attempted to enlist with the Empire to spy for the Alliance. We believe Imperial Intelligence has identified a large number of these agents. We need someone to pick up encrypted orders from High Command and deliver them to our local cell contact. They tell local agents how to avoid detection.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '42', 'm6l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '43', 'm6o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '44', 'm6f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '45', 'm6r', 'I\'ll get these instructions out to our agents immediately.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '46', 'm6p', 'The orders are on this datadisc. One thing I will say for Imperial Intelligence -- they\'re very thorough.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '47', 'm6t', 'Save Alliance Agents');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '48', 'm6s', 'Your efforts will likely save many good agents, friend. Well done!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '49', 'm7d', 'Ever since the destruction of the Death Star, the number of enlistees has risen dramatically. We suspect that some of these individuals may be double agents working for the Empire. Can you pick up an encrypted roster of suspicious enlistees and deliver them to our High Command contact?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '50', 'm7l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '51', 'm7o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '52', 'm7f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '53', 'm7r', 'Sometimes these double agents are hard to spot. We\'ll do our best. Thanks for the information.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '54', 'm7p', 'Here\'s the roster. But remember all the times when Imperial double agents denounced the Empire and joined our cause.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '55', 'm7t', 'Stop the Infiltrating Spies');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '56', 'm7s', 'Mission accomplished, for the moment. We must help the Alliance remain free of Imperial spies.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '57', 'm8d', 'Our slicers intercepted a secret Imperial communique revealing that the Empire has dossiers of all the surviving Battle of Yavin pilots. They\'ve put a high priority on having these individuals arrested. Mentioned in the communique were Commanders Solo and Skywalker. Someone must pick up this communique and deliver it to our High Command contact. Can we count on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '58', 'm8l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '59', 'm8o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '60', 'm8f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '61', 'm8r', 'Thanks, citizen. We\'ll alert these heroes as soon as possible.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '62', 'm8p', 'Here you go. There\'s some juicy stuff in that communique.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '63', 'm8t', 'Help Protect the Heroes of Yavin');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '64', 'm8s', 'Our thanks, citizen. The security of the Heroes of Yavin is one of our top priorities.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '65', 'm9d', 'We\'ve discovered a flaw in the design of older stormtrooper helmet comlinks. We need a trusted agent to pick up our technical analysis and deliver it to a local cell contact. We can use this flaw to intercept squad communications. This information will mostly benefit our cells on remote outposts. Think you can handle this mission? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '66', 'm9l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '67', 'm9o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '68', 'm9f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '69', 'm9r', 'This should come in handy. I always wondered what stormtroopers chatted about when they were just standing around.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '70', 'm9p', 'Here\'s the analysis. We should act quickly, because we don\'t know how long this flaw will go unnoticed by the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '71', 'm9t', 'Eavesdrop on Stormtroopers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '72', 'm9s', 'Job well done, citizen. The Alliance is glad to have trusted agents like you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '73', 'm10d', 'Our slicers\' efforts to send bogus orders to Imperial garrisons has been very effective -- in fact, too effective. The Imperials have now taken to hand-delivering their orders, which leaves our slicers vulnerable to Imperial Intelligence. We need someone to pick up a new set of encryption codes and deliver them to our local slicers. Can we rely on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '74', 'm10l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '75', 'm10o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '76', 'm10f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '77', 'm10r', 'Really? I gotta stop? Aww, just when I was having such fun. Okay, I\'ll ask the gang to throttle back, and we\'ll work with these new codes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '78', 'm10p', 'Here are the new codes. They should help protect our data slicers. They\'re weird, but they\'re good folks and we need them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '79', 'm10t', 'Save the Data Slicers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '80', 'm10s', 'That should keep Imperial Intelligence guessing for a bit longer. Those goons are certainly dedicated, I\'ll give them that. Thanks for your help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '81', 'm11d', 'The Empire plans on arresting many former Senators and their families. We need someone to pick up the list of possible targets and deliver them to one of our HoloNet slicers so we can warn these targets. The slicer is to provide a list of High Command contacts to anyone fleeing arrest. Can you help us?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '82', 'm11l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '83', 'm11o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '84', 'm11f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '85', 'm11r', 'When I send this warning, the Imperial Analysis Bureau will be riding my tail in about ten seconds flat. You guys needs to move fast to save those -- who is it? Senators? Whoever.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '86', 'm11p', 'Here\'s the list. Remember, the more powerful politicians we get on our side, the better off we\'ll be.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '87', 'm11t', 'Save the Senators');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '88', 'm11s', 'Your efforts will save many lives, citizen. The Alliance is grateful.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '89', 'm12d', 'The New Order\'s stance on alien species has given us an edge in recruiting these neglected citizens. Of special interest to High Command are the Duros. We need a courier to pick up encrypted orders and deliver them to our agent specializing in Alien Species Affairs. The agent is to travel to Duro and continue negotiating with the leaders there.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '90', 'm12l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '91', 'm12o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '92', 'm12f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '93', 'm12r', 'I think the Duros are determined to remain neutral, but I\'ll continue negotiating with them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '94', 'm12p', 'Here are the orders. Many alien species would follow the Duros\' example if they joined the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '95', 'm12t', 'Help Rally the Aliens');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '96', 'm12s', 'The Alliance appreciates your efforts. With luck, disenfranchised species will boost our ranks and help us topple the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '97', 'm13d', 'One of our refueling stations in the Outer Rim has been compromised, and we believe that the Empire is using it as bait to capture Alliance transports. Pick up these encrypted orders and deliver them to our local cell leader. We must insure that every transport captain and pilot aiding the Alliance receives these orders.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '98', 'm13l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '99', 'm13o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '100', 'm13f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '101', 'm13r', 'We\'ll get this information out to our pilots at once. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '102', 'm13p', 'Here you go. And cheer up. For every station that the Empire discovers, we have ten more they know nothing about.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '103', 'm13t', 'Save the Pilots');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '104', 'm13s', 'Good work. Our pilots are a precious resource, and we must do all we can to protect them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '105', 'm14d', 'We have proof that an Imperial prison official at Kessel has been supplying glitterstim to smugglers and Black Sun. We need someone to pick up the encrypted evidence and deliver it to one of our couriers. We intend to present our \"terms\" to the Imperial official. He\'ll either cooperate with us or we turn over our proof to Imperial Intelligence.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '106', 'm14l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '107', 'm14o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '108', 'm14f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '109', 'm14r', 'Good old-fashioned blackmail, eh? Hey, if it\'s effective --');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '110', 'm14p', 'Here\'s the data. Remember, we do what we must to insure the fall of the Empire. In this case, it\'ll be fun!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '111', 'm14t', 'Blackmail a Kessel Official');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '112', 'm14s', 'Well done. Remember to keep this quiet. We don\'t want word getting around to Imperial Intelligence.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '113', 'm15d', 'We\'ve received a request from Commander Skywalker. He\'d like us to get our hands on an Imperial Inquisitor. We need someone to pick up his encrypted orders and deliver them to our local cell commander. All commanders are to coordinate with High Command to help achieve this top-priority mission. Can we count on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '114', 'm15l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '115', 'm15o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '116', 'm15f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '117', 'm15r', 'With pleasure! I\'ve been wanting to take down one of these mighty Inquisitors ever since I heard of them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '118', 'm15p', 'The orders are on this datadisc. I imagine we can learn a great deal from an Inquisitor. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '119', 'm15t', 'Nab an Imperial Inquisitor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '120', 'm15s', 'That was well done. With any luck, we\'ll be able to supply Commander Skywalker with an Inquisitor soon. I wonder what he has in mind?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '121', 'm16d', 'A shipment of Merr-Sonn IR-5 \"Intimidator\" blaster pistols has fallen into our hands. We need someone to pick up inventory discs and deliver them to our local cell commanders. They can request these weapons for upcoming missions, especially any dealing with smugglers and pirates -- those types are easily intimidated. Can we rely on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '122', 'm16l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '123', 'm16o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '124', 'm16f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '125', 'm16r', 'I\'ve seen those blasters. Effective weapons indeed. I\'ll look through this inventory carefully.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '126', 'm16p', 'Here you go. And remind the commanders that these weapons not only look intimidating, they also pack quite a punch.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '127', 'm16t', 'Disperse Intimidators');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '128', 'm16s', 'Excellent, citizen. These weapons will help our undercover agents deal with those unpredictable smugglers.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '129', 'm17d', 'A generous sympathizer has donated several new MD-series medical droids. Could you pick up the specs for these droids and deliver them to our local cell commander? All requests for these droid must go through Winter, who will process them directly. Make sure the commanders make a strong case, or they may not get one.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '130', 'm17l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '131', 'm17o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '132', 'm17f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '133', 'm17r', 'My people sure could use one of those droids. I\'ll make a no-frills request at once. I hear Winter is fond of brevity. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '134', 'm17p', 'Make sure the commander gets this. These donations keep the Alliance strong.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '135', 'm17t', 'Medical Droids for Everybody');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '136', 'm17s', 'It\'s a shame there were only five droids to be had. We could have used many more. But we\'re grateful, regardless -- and on that note, thanks for your help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '137', 'm18d', 'We found some old Trade Federation droidekas. These might be useful on certain missions or as security droids on some of our bases. Could you pick up this encrypted message and deliver it to our contact at High Command? We need instructions on how to proceed. Winter will hold these units until she receives those instructions.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '138', 'm18l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '139', 'm18o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '140', 'm18f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '141', 'm18r', 'Weren\'t those things awfully unreliable? I always heard that\'s why the Trade Federation stopped using them. Well, I\'ll pass this along.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '142', 'm18p', 'Here you go. Inform High Command that the droidekas seem to be in perfect condition. I don\'t believe they were ever activated.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '143', 'm18t', 'A Blast From the Past');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '144', 'm18s', 'We appreciate your help, citizen. Meanwhile, we\'re looking into the source of those perfectly preserved droidekas. Could be more where those came from.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '145', 'm19d', 'Procurement and Supply recently sent us a message asking for further instructions on the matter of some droidekas. I need you to pick up High Command\'s response and deliver it to our P&S contacts so they can forward it to Winter. Do this quickly and we\'ll reward you accordingly.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '146', 'm19l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '147', 'm19o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '148', 'm19f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '149', 'm19r', 'Thanks, citizen. We\'ll see what the bosses have to say, I suppose.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '150', 'm19p', 'Here you are. Any tool is only as effective as our ability to control and use it properly.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '151', 'm19t', 'Dealing With Obsolete Droids');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '152', 'm19s', 'That was a prompt delivery, citizen. Your fee has been deposited.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '153', 'm20d', 'We need to get a shipment of laser cutters to a secret facility in the Outer Rim. We need you to pick up encrypted orders and deliver them to one of our transport pilots. This is a most important mission. Can we count on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '154', 'm20l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '155', 'm20o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '156', 'm20f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '157', 'm20r', 'The Empire hasn\'t found us yet. So I guess it\'s worth it -- all these hoops they make us jump through for the sake of secrecy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '158', 'm20p', 'Here are the orders. The pilot must report to High Command before leaving the local system. High Command will give the pilot the location of the laser cutters as well as the coordinates of the secret facility.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '159', 'm20t', 'Help Carve a New Rebel Base');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '160', 'm20s', 'It\'s difficult transporting all this equipment while maintaining secrecy. We\'re glad to know we can count on you. Well done.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '161', 'm21d', 'We\'ve learned that a Moff is spearheading an attempt to assassinate the Emperor. Pick up this encrypted message and deliver it to one of the Moff\'s agents. It informs the Moff that the Alliance will assist in whatever way it can and gives security codes if the Moff wishes to contact High Command. Can you help us?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '162', 'm21l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '163', 'm21o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '164', 'm21f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '165', 'm21r', 'I\'ll see to it that the Moff receives this. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '166', 'm21p', 'Moffs can strike at the heart of the Imperial Machine. We should never waste an opportunity like this. Be careful delivering this disc.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '167', 'm21t', 'Aid a Plot Against the Emperor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '168', 'm21s', 'Well done, citizen. If this Moff\'s plan succeeds, this war will be over and the galaxy will be free again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '169', 'm22d', 'We believe that the Empire is preparing to strike Mon Calamari. Please pick up these intercepted transmissions and deliver them to our Mon Calamari contact who will have them sent to Admiral Ackbar immediately. If we act fast, we can save millions of Mon Calamari lives. Can we rely on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '170', 'm22l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '171', 'm22o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '172', 'm22f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '173', 'm22r', 'May the Force be with us! I\'ll leave at once!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '174', 'm22p', 'The Mon Calamari are vital to the success of the Alliance. We must save them!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '175', 'm22t', 'Save the Mon Calamari');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '176', 'm22s', 'We can only hope that we were fast enough. Thank you for your efforts, agent.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '177', 'm23d', 'Imperial Intelligence has instructed their agents to travel to the Circarpous system. We don\'t know if they\'ve learned of our secret dealings with Circarpousian financiers. We need you to pick up a message and deliver it to one of Princess Leia\'s aides. We hope this doesn\'t jeopardize her plans to meet with the Circarpousians.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '178', 'm23l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '179', 'm23o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '180', 'm23f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '181', 'm23r', 'The Princess will want to go anyway, but I\'ll warn her. She\'s stubborn, you know.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '182', 'm23p', 'It seems that the Empire is always one step ahead of us. This must change.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '183', 'm23t', 'Warn the Princess');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '184', 'm23s', 'Excellent work, citizen. I hope the Princess takes this warning to heart. Sometimes she\'s too brave for her own good.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '185', 'm24d', 'Our agents have discovered that four Imperial Star Destroyers will be in orbital dock at the same time. We intend to strike the dock and destroy the Imperial ships. Could you pick up an encrypted datadisc and deliver it to the strike team commander? It will reveal the location of the dock and list the Alliance pilots that will participate in the mission.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '186', 'm24l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '187', 'm24o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '188', 'm24f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '189', 'm24r', 'If this strike succeeds, it would be a great victory for the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '190', 'm24p', 'Deliver this fast. We\'ll destroy these capital ships faster than the Empire can build them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '191', 'm24t', 'Four Star Destroyers at Once');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '192', 'm24s', 'Well done, citizen. Your service to the Alliance is being noted.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '193', 'm25d', 'One of our colonies has been discovered by Imperial Intelligence. Many of our leaders\' families are on this colony. We need you to pick up an evacuation order and deliver it to one of our pilots familiar with the colony so we can begin the evacuation. We dare not communicate via the HoloNet for fear of escalating the Imperial attack. Please hurry!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '194', 'm25l', 'Datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '195', 'm25o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '196', 'm25f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '197', 'm25r', 'We\'ll have those families off that colony in no time. Never fear.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '198', 'm25p', 'Be quick with this delivery. Until the Empire is toppled, we must remain on the move.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '199', 'm25t', 'Help Evacuate a Colony');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '200', 'm25s', 'Good work. Let\'s hope we acted in time to save all those people.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_deliver_rebel_medium_non_persistent_from_npc.stf', '201', 'number_of_entries', '25');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '1', 'm1d', 'Our probe droids have located a fairly sizable Rebel munitions depot. Taking this supply cache out would no doubt limit the number of raids the Rebels could effectively carry out. This depot will probably be well guarded and will certainly be well defended (it is a weapons depot, after all). Can we rely on you to teach these Rebel scum a lesson and turn their depot into a miniature sun?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '2', 'm1s', 'That must have been quite a fireworks show, eh? Congratulations, agent. Your Imperial service record is shaping up quite nicely.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '3', 'm1o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '4', 'm1t', 'Make a Munitions Depot Go Boom');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '5', 'm2d', 'A Rebel mining facility has been identified by Intelligence and we need it destroyed. These Rebels have a habit of slipping through our blockades during a full military strike so we\'d like you to lead a small team of loyal agents to accomplish this mission instead. Do you think you can serve your Empire in this manner?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '6', 'm2s', 'If the Rebels thought we would overlook a small mining operation, they were sadly mistaken. Well done. Your efforts on behalf of the Empire are noted. Claim your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '7', 'm2o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '8', 'm2t', 'Smash Rebel Mining Operation');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '9', 'm3d', 'Imperial Intelligence believes that a small outpost is housing a communications array currently being employed by the Rebellion to coordinate local Rebel cell activity. Put this place out of operation. We will not have this sort of Rebel activity in that sector. How dare the Rebels think this would go unnoticed. Can the Empire rely on you? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '10', 'm3s', 'So much for that outpost. Bravo, loyal citizen! Your efforts may take you far in the ranks of the Empire. We hope you continue to serve us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '11', 'm3o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '12', 'm3t', 'Disrupt Rebel Communications');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '13', 'm4d', 'What we thought was a legitimate medical facility has turned out to be a Rebel medical supply depot. It seems they\'ve been using sick citizens as cover, trying to get us to believe they were operating according to Imperial laws. We feel for these sick individuals, although no doubt many of them are Rebel sympathizers, but this facility must be destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '14', 'm4s', 'Bacta is wasted on Rebel scum, do not worry. You have done very well and we are highly pleased. Our missions require someone with a strong constitution. You should seek us out in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '15', 'm4o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '16', 'm4t', 'Blast Medical Supply Depot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '17', 'm5d', 'Rebels have been transporting alien refugees to various outposts throughout the galaxy. Many of these refugees are escaped slaves or criminals. We\'ve managed to locate one of these outposts and now need to make sure it will no longer serve the cause of the Rebellion. We need a trusted agent to eradicate this facility in the name of Imperial justice. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '18', 'm5s', 'Congratulations, citizen, you have removed many inconveniences for the Empire. Seek us out for future employment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '19', 'm5o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '20', 'm5t', 'Neutralize Rebel Refugees');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '21', 'm6d', 'Thanks to the efforts of our many loyal civilian informants, we\'ve managed to verify the existence of a Rebel transport repair facility. We kept wondering where those Rebels would take their vehicles when they needed repairs. After all, many of them bear the evidence of skirmishes with local civil authorities or Imperial forces. We\'d like this installation eliminated.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '22', 'm6s', 'I suppose the Rebels will have to carry their supplies on their backs now. Job well done, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '23', 'm6o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '24', 'm6t', 'Interrupt Rebel Vehicle Repairs');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '25', 'm7d', 'We\'ve unearthed a Rebel indoctrination camp. Within the walls of these facilities, the minds of loyal citizens are poisoned and warped by the efforts of twisted medical droids and large quantities of illegal glitterstim drugs. We must terminate the activities of this vile installation and insure our citizens remain safe from such atrocities and loyal to the Empire. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '26', 'm7s', 'You have doubtless saved hundreds of loyal citizens from a terrible fate, citizen. You are a true champion of the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '27', 'm7o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '28', 'm7t', 'Stop Rebel Indoctrinations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '29', 'm8d', 'We\'ve discovered a Rebel terrorist sleeper cell masquerading as a droid maintenance facility. We suspect that this cell has been responsible for the deaths of no less than 100 Imperial servants and the destruction of millions of credits worth of property. Can you burn this installation to the ground? These terrorists must pay for their terrible acts of violence against the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '30', 'm8s', 'The deaths of all those Imperial servants are now avenged! You are truly a champion of justice, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '31', 'm8o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '32', 'm8t', 'Remove Rebel Terrorist Cell');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '33', 'm9d', 'A Rebel supply depot has been located. The front for it seems to be a scientific observation outpost of some sort. However, our surveillance images clearly show known Rebels patrolling the facility\'s perimeter. We need a trusted agent to lead a strike against this installation and insure its destruction. Is that you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '34', 'm9s', 'Whatever was in that warehouse will not serve those Rebels now. Good work, agent. Your future does indeed look bright if you continue to serve us in this manner. Collect your reward with pride - you\'ve earned it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '35', 'm9o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '36', 'm9t', 'Destroy Rebel Supply Depot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '37', 'm10d', 'Rather than being horrified by the Rebellion\'s deadly sabotage of the Empire\'s most brilliant and effective weapon against injustice, it seems instead that this terrorist act has encouraged some malcontents to form their own Rebel cell. We need a loyal citizen of the Empire to show these troublemakers the consequences of throwing their lot in with traitors and terrorists. Are you that citizen?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '38', 'm10s', 'A success like this deserves to be celebrated. You must share your victory with your closest friends. If any of them do not seem delighted as we are, give us their name and identification number. You can never be too sure.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '39', 'm10o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '40', 'm10t', 'Attack Traitorous Malcontents');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '41', 'm11d', 'One of Sienar Fleet System\'s chief engineers has foolishly decided to join the ranks of those traitorous Rebels. We\'ve located this engineer and need them silenced before they can supply the Rebellion with technical specs. We believe the traitor is being held at a small warehouse currently used to store speeder parts. Can the Empire rely on you to accomplish this mission?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '42', 'm11s', 'Well done, agent. We hope that engineer was inside that warehouse when it was destroyed, and we hope the Rebellion learned no damaging Imperial secrets.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '43', 'm11o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '44', 'm11t', 'Silence the Traitorous Engineer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '45', 'm12d', 'We\'ve located a small station that is being used by the Rebels to entice young pilots to join their cause. Apparently these Rebels have several X-wing flight simulators that they allow local pilots access to. Unfortunately, this is often enough to get some of these naive flyboys to sign up. We need this station destroyed and everything inside incinerated.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '46', 'm12s', 'Little did those local flyboys realize that playing with a flight simulator could be very dangerous. Well done, citizen. The Empire is pleased to reward one such as you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '47', 'm12o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '48', 'm12t', 'Remove Rebel Training Station');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '49', 'm13d', 'Intelligence has finally located one of the Rebellion\'s data slicer hubs. This facility could house several HoloNet transceivers and the slicers who operate them. A strike would remove both. Can the Empire count on you to help make the Imperial HoloNet more secure for military communications? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '50', 'm13s', 'A most excellent strike, agent. These were the sorts of results we had hoped to get by employing you. Claim your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '51', 'm13o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '52', 'm13t', 'Remove Data Slicer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '53', 'm14d', 'Agents within the CSA have informed Imperial Intelligence that many of the workers the Viceprexes had requested for hard labor are being transferred to a holding facility where Rebel agents can rescue convicted spies and sympathizers contained among the roster. We\'ve acquired the coordinates of this facility and need a small team of loyal Imperial agents to obliterate it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '54', 'm14s', 'Well done! We couldn\'t have done it any better ourselves. The Empire could use more agents like you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '55', 'm14o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '56', 'm14t', 'Blast Rebel Holding Facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '57', 'm15d', 'A shipment of Merr-Sonn IR-5 blaster pistols has fallen into the hands of the Rebellion and we believe we\'ve learned where these deadly weapons are being stored. They will certainly be distributed to various Rebel cells for use in intimidation missions. We must destroy this cache of weapons before those scum can use them against our agents. Can the Empire count on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '58', 'm15s', 'Those deadly \"Intimidators\" won\'t threaten the safety of our agents. Good work! The Empire gladly rewards success and loyalty.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '59', 'm15o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '60', 'm15t', 'Break Rebel Weapons');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '61', 'm16d', 'Several MD medical droids have been acquired by the Rebellion. Our spies have provided us with the coordinates to the holding facility where these droids are being stored. We cannot allow the Rebels to have access to proper medical care. We require a small team of loyal agents to find this facility and destroy it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '62', 'm16s', 'A successful strike against the Rebellion. Well done. The reward is yours.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '63', 'm16o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '64', 'm16t', 'Deprive Rebels of Medical Care');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '65', 'm17d', 'The Rebels have managed to get their hands on some old Trade Federation destroyer droids. These units can be used to fortify their outposts and defend their bases. Fortunately, our informants have tracked these droids down and have provided us with the coordinates to the warehouse that is being used to store them. An Imperial strike team is needed to take these droidekas out of commission.  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '66', 'm17s', 'A job well done, agent. The Empire will show its appreciation via this reward. Do come see us again for future missions.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '67', 'm17o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '68', 'm17t', 'Destroy Destroyer Droids');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '69', 'm18d', 'Rebel infiltrators have been stealing laser cutters from Imperial depots. We believe they are building a new base of operations at a secret location. Our tracking beacons indicate the cutters\' location. We need you and your loyal Imperial fellows to strike the Rebel cache and blow it to atoms. Will you help your Empire?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '70', 'm18s', 'Ah, this would doubtless slow the Rebels\' efforts to carve new lairs. You\'ve earned this reward!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '71', 'm18o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '72', 'm18t', 'Laser Cutter Cache');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '73', 'm19d', 'We believe we have identified the meeting site of a traitorous Moff who is plotting with Rebels to assassinate our beloved Emperor. We require an able Imperial strike team to hit this outpost and kill everyone present. Will you take this vital assignment?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '74', 'm19s', 'We can only hope that when you destroyed that outpost, the Moff was present. We\'ll monitor communications to make sure. For your well-executed strike, you have earned this reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '75', 'm19o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '76', 'm19t', 'Traitorous Moff Plots Assassination');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '77', 'm20d', 'The Rebellion is disguising LIN Demolitionmech droids to look like simple R3 units. They are striking at Imperial garrisons with these \"miner bombs.\" We have located a Rebel depot full of mining equipment and explosives, and we require you to destroy it. Reduce all equipment to slag. Can you aid the Empire?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '78', 'm20s', 'An effective piece of work, agent. The Empire is proud. Claim your reward, and seek us out again for more work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '79', 'm20o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '80', 'm20t', 'Rebel Demolitionmech Depot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '81', 'm21d', 'Recent Rebel attacks have used modified A-A5 speeder trucks as armored personnel carriers. We want you to destroy the repair facility used to create these carriers. Will you assist the Empire in removing this threat?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '82', 'm21s', 'Those speeder trucks are common, and the needed military modifications are unfortunately well understood. So you may expect further assignments of this type soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '83', 'm21o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '84', 'm21t', 'A-A5 Speeder Truck Repair Facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '85', 'm22d', 'The Rebellion has obtained stolen R3 units, intended for Imperial cruisers, and is reprogramming them for its own use. We have located a depot holding many stolen R3s, but the droids are useless to us now because they may contain bugging devices. We wish you to destroy the depot, thus keeping the droids out of the hands of our enemies.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '86', 'm22s', 'Pity to see good droids go to waste, but there are always more droids. As for the Rebels -- soon there will be very few of those. Your reward is well earned.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '87', 'm22o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '88', 'm22t', 'Stolen R3 Droid Depot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '89', 'm23d', 'Intelligence informs us that Rebel supply caches of certain rare Outer Rim crystals are to be immediately destroyed. We\'ve located a warehouse containing a large quantity of these crystals. You are to vaporize these minerals for us at once. Can the Empire count on your aid?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '90', 'm23s', 'The Rebels apparently are using these crystals to fashion some fiendish new weapon. We can only hope your success retards their progress. Well done.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '91', 'm23o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '92', 'm23t', 'Warehouse of Rare Crystals');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '93', 'm24d', 'The Empire has engineered an airborne virus for deployment at anti-Imperial demonstrations in the Core Worlds. Rebels have analyzed the virus and created a retroviral vaccine. We have located a production run of the vaccine in a small medical depot. We wish it destroyed -- all of it. Will you assist us in this matter?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '94', 'm24s', 'Our viral plans should meet with better success now. Well done, citizen. The Empire will not forget your work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '95', 'm24o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '96', 'm24t', 'Retrovirus Vaccine Supply Depot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '97', 'm25d', 'The Rebels are stockpiling climate control units, undoubtedly for use in remote bases in the Outer Rim. We want these units destroyed. You, being a loyal Imperial agent, would certainly be willing to take care of this, correct?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '98', 'm25s', 'We didn\'t expect climate control units to present much threat. But we appreciate your clean and efficient attack. Well done!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '99', 'm25o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '100', 'm25t', 'Climate Control Unit Storage Facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '101', 'm26d', 'Rebel leaders are meeting with officials of the Bounty Hunters\' Guild, apparently to offer concocted \"proof\" that the Empire has attacked the Guild. We must stop this dangerous nonsense. Here are the coordinates of the secret meeting location. Go there and destroy everything and everyone you see. Do not mention the Empire, of course.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '102', 'm26s', 'Dead Rebels, and dead bounty hunters, tell no tales. Bravo, citizen. You are shaping up into a highly professional agent.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '103', 'm26o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '104', 'm26t', 'Meeting of Rebels and Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '105', 'm27d', 'Rebels have taken over a speeder shop. They are apparently coercing its mechanics to adapt prototype speeders for operation in harsh climatic conditions. We would like you to stop this terrorist activity before it erupts into a full hostage situation. The hostages are presumed corrupted by now and can be safely killed with the rest.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '106', 'm27s', 'A job well done. Now we must try to discern what the Rebellion planned to do with those speeders. But that is a task for another day, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '107', 'm27o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '108', 'm27t', 'Speeder Garage Taken by Rebels');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '109', 'm28d', 'We have found a refueling depot used by the Rebel-friendly smugglers they quaintly call \"procurement specialists.\" Because the military is preoccupied tracking down actual Rebel bases, we wish you to destroy this depot, quickly and thoroughly. Leave no survivors. Can you do this?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '110', 'm28s', 'Smugglers are not just a problem for the local authorities. They aid the Rebels and are therefore our problem as well. We are glad we can rely on you in such matters.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '111', 'm28o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '112', 'm28t', 'Smuggler Refueling Depot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '113', 'm29d', 'We have uncovered a cache of vacuum gyros intended for Rebel transports. Unfortunately, the Rebels destroyed our probot and now know of our discovery. A Rebel contingent is evacuating the cache. We need you to destroy the contraband, and the Rebels, before it is too late. Move quickly!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '114', 'm29s', 'Vacuum gyros allow Gallifree transports to slip through our blockades. Your good work will help us stop them more effectively. Well done!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '115', 'm29o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '116', 'm29t', 'Vacuum Gyro Cache');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '117', 'm30d', 'We have found an encoding array the Rebellion uses to retransmit secret communiques. We require you to smash this installation and thereby cripple their information network. Expect well-armed opposition. If you succeed, the Empire will of course provide generous compensation.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '118', 'm30s', 'Already we have seen reduced numbers of encoded Rebel transmissions, because of your good work. Take this payment with our best respects.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '119', 'm30o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '120', 'm30t', 'Rebel Encoding Station');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '121', 'm31d', 'A new Rebel outpost has received a load of Defender-class space mine housings. We believe the Rebel terrorists plan to insert gravity-manipulation weapons into these casings, which would jeopardize routine hyperspace transits. We require you to wipe out this factory before it can unleash its deadly contraband.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '122', 'm31s', 'Our navigators can breathe more easily now. You have made the star lanes safe once more. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '123', 'm31o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '124', 'm31t', 'Defender Gravity Mine Housings');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '125', 'm32d', 'The Rebels have set up another hyperspace monitoring terminal to track the movement of our capital ships. We need a ground-based agent to assault this station and shut it down. Expect heavy opposition, but be assured this mission is vital to our proud Imperial Navy!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '126', 'm32s', 'Imperial Intelligence will begin sifting through the remains of the terminal shortly, assuming you left any remains. Accept this payment for your success.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '127', 'm32o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '128', 'm32t', 'Hyperspace Monitoring Terminal');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '129', 'm33d', 'Rebels have hijacked rations bound for Imperial garrisons. They have taken the stolen food to a local distribution center, where they use the contraband to bribe local settlers under the pretense of \"famine relief.\" We require you to destroy this distribution center and stop this treachery before it spreads. At once!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '130', 'm33s', 'You have spared local citizens the indignity of consuming stolen food. Take your reward with honor.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '131', 'm33o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '132', 'm33t', 'Hijacked Imperial Rations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '133', 'm34d', 'Recently our field operatives wiped out a Rebel command center using an exciting new airborne biological agent. A group of survivors fled to a small \"safe house,\" carrying several corpses. Our scientists have deemed it prudent to destroy these bodies in the interest of public health. You must blast the entire structure; we shall observe from a safe distance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '134', 'm34s', 'Excellent. Use this reward to relocate well away from populated areas, and avoid bodily contact with any soldier of the Empire. You may go now. Quickly!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '135', 'm34o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '136', 'm34t', 'Eliminate Contaminated Bodies');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '137', 'm35d', 'Recently the Rebellion provoked the untimely destruction of Alderaan. Properly reviled for this heinous crime, the Rebels have sought public sympathy by breeding many of Alderaan\'s native fauna. Loyal citizens of the Empire know that this program is nothing but a transparent act of propaganda. Luckily we have located the center of this traitorous enterprise. Remove it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '138', 'm35s', 'While the beautiful woolly moth of Alderaan may have looked harmless, it was a vicious threat to galactic security. You have advanced the cause of Imperial truth.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '139', 'm35o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '140', 'm35t', 'Burn Rebel Propaganda');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '141', 'm36d', 'Some Imperial agents are in Rebel custody and currently imprisoned in a small but well-guarded holding facility. The Rebels will be on the lookout for uniformed soldiers, so we require some highly-trained civilians to launch a surprise assault on the holding facility and reduce it to rubble. We must assume that the captured agents are dead. Can you help us?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '142', 'm36s', 'We\'re pleased that the captured agents have been liquidated. You have earned the undying respect and loyalty of the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '143', 'm36o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '144', 'm36t', 'Eliminate Captured Agents');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '145', 'm37d', 'The Rebels have launched an insidious scheme to undermine the security of an orderly world. As you know, Imperial engineers have enhanced the water supply of many communities with placidity enzymes to abate civic unrest. The Rebels have captured a local water junction and installed a Creel manifold to siphon off the additives. We need you to blast this junction into oblivion.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '146', 'm37s', 'The Empire is lucky to have such skilled operatives. Rest assured that the community\'s water supply will be fully restored within a few months.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '147', 'm37o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '148', 'm37t', 'Help Purify the Water Supply');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '149', 'm38d', 'For thirty years I languished in the Glythe sector as a remote field operative of the ISB. Now, at the end of my career, I have been transferred to a more civilized system with a chance to make a real impact. To this end I am sending a strike team to take out a suspected Rebel grease refinery. I require well-trained operatives who are not afraid to get their hands dirty.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '150', 'm38s', 'At last I have achieved true success! My grandchildren will thank you for saving a man\'s reputation. Take your payment and enjoy it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '151', 'm38o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '152', 'm38t', 'Strike a Rebel Refinery');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '153', 'm39d', 'We\'ve pinpointed a cloister of fuselage engineers who are aiding the Rebels in their fighter designs. We are commissioning a team of investigators to search these coordinates and eliminate any operations they find. Watch out for surprises and make sure to wipe out any research materials they have gathered.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '154', 'm39s', 'I understand those engineers were tougher than they looked. Or perhaps you are not as competant as you portray yourself. At least you completed the mission.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '155', 'm39o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '156', 'm39t', 'Smash the Cloister of Engineers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '157', 'm40d', 'Rebel pirates have stolen our droids! A shipment of IG-type assassin droids was highjacked en route to a Civil Security Center on Dantooine. We have intercepted Rebel messages that suggest these droids were smuggled to a secret reprogramming facility. A squad of operatives must travel to these coordinates and eradicate the facility immediately.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '158', 'm40s', 'The Empire is grateful for your service. IG assassin droids are expensive. Enjoy your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '159', 'm40o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '160', 'm40t', 'Blast Droid Reprogramming Facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '161', 'm41d', 'Our probe droids have uncovered an underground maintenance station for a squad of Rebel X-wing fighters. These ships have harried our blockade enforcers for several parsecs, but at last we shall have our revenge. We need a contingent of shooters to slip inside and blast the place to dust. Be careful, though, the Rebels have this valuable secret well guarded.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '162', 'm41s', 'We have been tracking those X-wings for many parsecs. At last their destruction is complete. Splendid work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '163', 'm41o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '164', 'm41t', 'Disable the X-wings');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '165', 'm42d', 'The Rebels have stolen the plans for a new Imperial void station and hidden them inside an innocuous MSE-6 droid. We learned that it got aboard a smuggler\'s freighter and landed at these coordinates. We require a strike team to pinpoint the Rebel outpost and smash it to rubble. Imperial Intelligence will inspect the site to retrieve what remains of the offending MSE-6.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '166', 'm42s', 'Excellent work. There\'s no way a mouse droid could have escaped your assault. You have served the Empire well.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '167', 'm42o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '168', 'm42t', 'Find a MSE-6 Droid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '169', 'm43d', 'Our informants have alerted us that a local pharmaceutical shop is doubling as an underground clinic for Rebel agents. We must make sure that these traitors do not have access to medical care. We understand that there are no less than two bacta tanks in operation at this facility. All of this equipment must be destroyed. Are you the Imperial agent we\'re looking for? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '170', 'm43s', 'Good work! Now we will be able to better trace Rebel agents when they are forced to use local medical clinics. The reward is yours. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '171', 'm43o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '172', 'm43t', 'Destroy Rebel Medical Clinic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '173', 'm44d', 'A storage facility housing some outdated communications equipment and refurbished power generators is being used by the local Rebel cell to help supply their members. This equipment had been scheduled to be transported to Imperial junkyards for salvage but it seems the Rebellion got their hands on it first. Make sure this junk is not used to help the Rebellion. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '174', 'm44s', 'You handled that well, citizen. It makes sense that garbage would attract garbage. You\'re an efficient disposal agent.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '175', 'm44o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '176', 'm44t', 'Take Out Parts Warehouse');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '177', 'm45d', 'It has come to our attention that a local livestock dealer harbors seditious motives. Loyal citizens have reported a collection of mynock incubators hidden underneath his shop. As you may know, certain factions of the Rebellion employ mynocks as nuisance tactics against our space fleet. We have judged it prudent to destroy the incubation facility in the interest of galactic security.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '178', 'm45s', 'He put up quite a fight for a simple livestock dealer, didn\'t he? It seems our suspicions are confirmed. Only a Rebel traitor would have that kind of firepower. Well done, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '179', 'm45o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '180', 'm45t', 'Crush the Mynock Incubators');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '181', 'm46d', 'A local community has recently been plagued by a fake recording that depicts the alleged destruction of Empire\'s finest war machine, the Death Star. The transmission has been traced to a broadcast facility at these coordinates. We want you to take a strike team and decimate this unseemly operation. In particular, make certain that all of these fake recording are utterly destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '182', 'm46s', 'Excellent work. Did you happen to view any of the offending holovids before you destroyed them? We\'ll send some security agents around to question you, just in case. Don\'t worry, it\'s a routine debriefing. Who is your next of kin?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '183', 'm46o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '184', 'm46t', 'Raze a Seditious Broadcast Facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '185', 'm47d', 'In the midst of an otherwise obedient community, the Rebels have constructed a power relay cannon that transmits energy beams to passing Rebel fighters. For the public good we must now dispatch a blaster team to blow this relay installation into oblivion. Such an action will assure the locals that the Empire is dilligently protecting their families and properties.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '186', 'm47s', 'Nicely done, citizen. The community has been rendered safe once more. The standard martial curfew will ensure that no Rebels return.  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '187', 'm47o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '188', 'm47t', 'Blast a Rebel Power Relay');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '189', 'm48d', 'They want us to believe they are mere gangsters, but we have discovered that the Ravvo clan are in fact agents of the Rebel Alliance. These creeps have a barracks, at these coordinates, where they practice their marksmanship to the detriment of the Empire. A well-armed assault will teach them that scoffing Imperial authority is a game for fools and dead men.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '190', 'm48s', 'It\'s astounding that so many fools refuse to acknowledge the irresistable might of the Empire. You have shown them the error of their ways.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '191', 'm48o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '192', 'm48t', 'Level a Den of Rebel Sympathizers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '193', 'm49d', 'The Rebellion is spreading rumors that Jedi have returned and have joined the traitorous scum against the Empire. We have seen holograph displays depicting a lightsaber and bearing the ridiculous slogan \"The Jedi have returned! Long live the Republic!\" We\'ve located a warehouse filled with this sort of propaganda and it must bed destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '194', 'm49s', 'A job well done, citizen. The Jedi have not returned and the Rebellion is doomed. Claim your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '195', 'm49o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '196', 'm49t', 'Smash Rebel Propaganda');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '197', 'm50d', 'The Rebellion has been distributing copies of a fabricated hologram showing the destruction of Alderaan by the Empire\'s peacekeeping station, the Death Star. We know Alderaan brought about its own destruction when the \"peaceful\" planet fired an experimental doomsday weapon at the Death Star. Help us destroy these seditious hologram duplication centers.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '198', 'm50s', 'Lies have gone up in smoke, citizen. Job well done! Your work will further the cause of the New Order and serve to glorify the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '199', 'm50o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '200', 'm50t', 'Destroy Hologram Duplication Center');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy.stf', '201', 'number_of_entries', '50');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '1', 'm1d', 'Our probe droids have located a sizable Rebel munitions depot. Taking out this supply cache would limit the number of raids the Rebels could effectively carry out. This depot will probably be well guarded and will certainly be well defended. Can we rely on you to teach these Rebel scum a lesson and turn their depot into a miniature sun?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '2', 'm1o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '3', 'm1s', 'That must have been quite a fireworks show, eh? Congratulations, agent. Your Imperial service record is shaping up quite nicely.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '4', 'm1t', 'Destroy Rebel munitions depot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '5', 'm2d', 'A Rebel mining facility has been identified by Intelligence and we need it destroyed. These Rebels have a habit of slipping through our blockades during a full military strike so we\'d like you to lead a small team of loyal agents to accomplish this mission instead. Do you think you can serve your Empire in this manner?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '6', 'm2o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '7', 'm2s', 'If the Rebels thought we would overlook a small mining operation, they were sadly mistaken. Well done. Your efforts on behalf of the Empire are noted. Claim your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '8', 'm2t', 'Destroy Rebel mining facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '9', 'm3d', 'Intelligence believes that a small outpost is housing a communications array currently being employed by the Rebellion to coordinate local Rebel cell activity. Put this place out of operation. We will not have this sort of Rebel activity in that sector. How dare the Rebels think this would go unnoticed. Can the Empire rely on you? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '10', 'm3o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '11', 'm3s', 'So much for that outpost. Bravo, loyal citizen! Your efforts may take you far in the ranks of the ISB. We hope you continue to serve us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '12', 'm3t', 'Destroy Rebel communications array');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '13', 'm4d', 'Rebels have been transporting alien refugees to various outposts throughout the galaxy. Many of these refugees are escaped slaves or criminals. We\'ve managed to locate one of these outposts and now need to make sure it will no longer serve the cause of the Rebellion. We need a trusted agent to eradicate this facility. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '14', 'm4o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '15', 'm4s', 'You can run but you can\'t hide! Congratulations, citizen, you have removed many inconveniences for the Empire. Seek us out for future employment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '16', 'm4t', 'Destroy Rebel alien refugee outpost');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '17', 'm5d', 'We\'ve unearthed a Rebel indoctrination camp. Within the walls of these facilities, the minds of loyal citizens are poisoned and warped by the efforts of twisted medical droids and large quantities of illegal glitterstim drugs. We must terminate the activities of this vile installation and insure our citizens remain loyal to the Empire. Can you help your Emperor stamp out this loathsome practice? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '18', 'm5o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '19', 'm5s', 'You have doubtless saved hundreds of loyal citizens from a terrible fate, citizen. Losing your faith in the New Order is bad enough, but to lose your mind along with it? You are a true champion of the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '20', 'm5t', 'Destroy Rebel indoctrination camp');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '21', 'm6d', 'We\'ve discovered a Rebel terrorist sleeper cell masquerading as a droid maintenance facility. We suspect that this cell has been responsible for the deaths of no less than 100 Imperial servants and the destruction of millions of credits worth of property. We require a loyal citizen of the Empire to burn this installation to the ground. Are you the agent we\'re looking for?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '22', 'm6o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '23', 'm6s', 'The deaths of all those Imperial servants are now avenged! You are truly a champion of justice, citizen. We hope this is a definite indication of things to come.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '24', 'm6t', 'Destroy Rebel terrorist cell');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '25', 'm7d', 'A Rebel supply depot has been located. The front for it seems to be a scientific observation outpost. We need a trusted agent to lead a strike against this installation and insure its destruction. There\'s no telling how many cells this depot has been supplying or how many Imperial lives have been lost as a result.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '26', 'm7o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '27', 'm7s', 'Whatever was in that warehouse will not serve those Rebels now. Good work, agent. Your future does indeed look bright if you continue to serve us in this manner. Collect your reward with pride - you\'ve earned it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '28', 'm7t', 'Destroy Rebel supply depot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '29', 'm8d', 'We\'ve located a small station that is being used by the Rebels to entice young pilots to join their traitorous cause. Apparently these Rebels have several X-wing flight simulators that they allow local pilots to play around with. Unfortunately, this is often enough to get some of these na?ve flyboys to sign up. We need this station destroyed and everything inside incinerated.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '30', 'm8o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '31', 'm8s', 'Little did those local flyboys realize that playing with a flight simulator could be very dangerous indeed. Well done, citizen. The Empire is pleased to reward one such as you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '32', 'm8t', 'Destroy Rebel training station');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '33', 'm9d', 'Intelligence has finally located one of the Rebellion\'s data slicer hubs. This facility could house several HoloNet transceivers and the slicers who operate them. A strike would remove both. Can the Empire count on you to help make the Imperial HoloNet more secure for military communications? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '34', 'm9o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '35', 'm9s', 'A most excellent strike, agent. These were the sorts of results we had hoped to get by employing you. Claim your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '36', 'm9t', 'Destroy Rebel slicer hub');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '37', 'm10d', 'Agents within the CSA have informed Intelligence that many of the workers the Viceprexes are requesting for hard labor are being transferred to a holding facility so that Rebel agents can rescue convicted Rebel spies and sympathizers contained among the roster. We need a small team of loyal Imperial agents to obliterate this facility. The Empire is counting on you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '38', 'm10o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '39', 'm10s', 'Well done! We couldn\'t have done it any better ourselves. The Empire could use more agents like you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '40', 'm10t', 'Blast Rebel refugee facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '41', 'm11d', 'A shipment of Merr-Sonn IR-5 blaster pistols has fallen into the hands of the Rebellion and we believe we\'ve learned where these deadly weapons are being stored. They will certainly be distributed to various Rebel cells for use in intimidation missions. We must destroy this cache of weapons before those scum can use them against our agents.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '42', 'm11o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '43', 'm11s', 'Those deadly \"Intimidators\" won\'t threaten the safety of our agents. Good work! The Empire gladly rewards success and loyalty.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '44', 'm11t', 'Destroy Rebel weapons cache');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '45', 'm12d', 'Several MD medical droids have been acquired by the Rebellion. Our spies have provided us with the coordinates to the holding facility where these droids are being stored. We cannot allow the Rebels to have access to proper medical care. We require a small team of loyal agents to find this facility and destroy it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '46', 'm12o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '47', 'm12s', 'A successful strike against the Rebellion. Well done. The reward is yours.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '48', 'm12t', 'Destroy Rebel medical droids');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '49', 'm13d', 'The Rebels have been targeting Imperial depots containing laser cutters. We believe they need them to build a new operational base although we do not yet know its location. Our agents have managed, however, to locate some of these laser cutters and have sent us the coordinates where they are being housed. We need a few loyal Imperial agents to strike this storage depot.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '50', 'm13o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '51', 'm13s', 'Success! This will doubtless slow the Rebels\' efforts to carve out new lairs. You\'ve earned your reward, agent.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '52', 'm13t', 'No more Rebel bases');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '53', 'm14d', 'A traitorous moff has offered to aid the Rebels attempt to assassinate our beloved Emperor. We\'ve pinpointed where this traitor and his agents will be meeting with the Rebellion\'s agents to make the arrangements. We require an able and loyal Imperial strike team to hit this outpost and insure its destruction. Could you assemble and lead such a team?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '54', 'm14o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '55', 'm14s', 'We have not ascertained if the moff was at that meeting when you destroyed the outpost. We\'ll have to continue monitoring communications. In any case, your strike against that Rebel outpost was superb.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '56', 'm14t', 'Hunt a traitorous moff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '57', 'm15d', 'Local garrisons have reported recent Rebel attacks that have employed modified A-A5 speeder trucks as armored personnel carriers. We\'ve located several civilian speeder repair facilities that could be used to create these carriers. We want these installations destroyed. Can you assist the Empire in removing this potential threat? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '58', 'm15o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '59', 'm15s', 'Good work, agent. We knew these stations were serving those Rebel scum and you\'ve helped prove it. We hope this is the beginning of a very profitable career for you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '60', 'm15t', 'Take out Rebel repair stations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '61', 'm16d', 'The Rebels have taken an interest in certain rare types of crystals. Intelligence has instructed us to destroy any supply depot containing caches of such minerals. We\'ve located a small warehouse containing a large quantity of mineral desposits mined from the Outer Rim. We need loyal Imperial servants to vaporize this warehouse.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '62', 'm16o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '63', 'm16s', 'An efficient handling of the mission, agent. Well done. The Empire is proud to reward you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '64', 'm16t', 'Smash the mysterious crystals');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '65', 'm17d', 'We\'ve been alerted to the presence of a Rebel supply depot that seems to be housing hundreds of climate control units. No doubt these are intended for remote Rebel bases in the Outer Rim. We want these units destroyed and figure a loyal and skilled Imperial agent ought to be able to take care of that for us. No need to call in a full military strike.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '66', 'm17o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '67', 'm17s', 'Clean and efficient, citizen, just like we like it. COMPNOR could use more agents like you. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '68', 'm17t', 'Make it cold for the Rebels');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '69', 'm18d', 'We finally identified the traitor who has been supplying vacuum gyros for Rebel transports. We have the coordinates to the traitor\'s secret gyro cache. Unfortunately he knows we are coming. Our sources tell us that a contingent of Rebel soldiers is evacuating the cache. We need to dispatch a team to destroy this contraband before the Rebels take it away.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '70', 'm18o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '71', 'm18s', 'Well done, citizen. Those Gallifree transports slip through our blockades too easily. Perhaps now we can stop those Rebel scum.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '72', 'm18t', 'Cripple Rebel transports');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '73', 'm19d', 'Ion space mines are an important tool of the Imperial Navy, but in the hands of Rebel terrorists they become a menace to all law-abiding spacefarers. We have tracked a freighter to a known Rebel outpost, where it deposited a load of Defender-class mines. If we can wipe out this factory before its deadly contraband is unleashed, the star lanes will be safe once more.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '74', 'm19o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '75', 'm19s', 'The Imperial Navy is indebted to you. Accept this payment and the gratitude of the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '76', 'm19t', 'Take out the space mines');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '77', 'm20d', 'Rebel pirates have stolen our droids! A shipment of IG-type assassin droids was highjacked en route to a Civil Security Center on Dantooine. Intercepted Rebel transmissions suggest these droids were smuggled to a secret reprogramming facility, where technicians will turn the IGs into gardening and botanical droids. A squad must locate and destroy this facility.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '78', 'm20o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '79', 'm20s', 'The Empire is grateful for your service. IG assassin droids make lousy botanical arrangements. Enjoy your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '80', 'm20t', 'Assassin droids do not pick posies');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '81', 'm21d', 'Our probe droids have uncovered an underground maintenance station for a squad of Rebel X-wing fighters. These ships have harried our blockade enforcers for several parsecs, but at last we shall have our revenge. We need a contingent of shooters to slip inside and blast the place to dust. Be careful, as the Rebels have this valuable secret well guarded.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '82', 'm21o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '83', 'm21s', 'We have been tracking those X-wings for many parsecs. At last their destruction is complete. Splendid work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '84', 'm21t', 'Smash a squad of X-wing fighters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '85', 'm22d', 'We\'ve discovered a local livestock dealer who harbors seditious motives. Loyal citizens have reported a collection of mynock incubators hidden underneath his shop. Certain factions of the Rebellion employ mynocks as nuisance tactics against our space fleet. We have judged it prudent to destroy the incubation facility in the interest of galactic security.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '86', 'm22o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '87', 'm22s', 'He put up quite a fight for a simple livestock dealer, didn\'t he? It seems our suspicions are confirmed. Only a Rebel traitor would have that kind of firepower. Well done, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '88', 'm22t', 'Crush a mynock incubator');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '89', 'm23d', 'A local community has recently been plagued by a fake holovid recording that depicts the alleged destruction of Empire\'s finest war machine, the Death Star. The transmission has been traced to a broadcast facility. You must take a strike team and decimate this unseemly operation. These untruths will not soil the tranquility of our loyal and obedient communities.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '90', 'm23o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '91', 'm23s', 'Excellent work. Did you happen to view any of the offending holovids before you destroyed them? We\'ll send some security agents around to question you, just in case. Don\'t worry, it\'s a routine debriefing. Who is your next of kin?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '92', 'm23t', 'Raze a seditious broadcast facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '93', 'm24d', 'In the midst of an otherwise obedient community, the Rebellion has constructed a power relay cannon that transmits energy beams to passing Rebel fighters. For the public good we must now dispatch a blaster team to blow this relay installation into oblivion. Such an action will assure the locals that the Empire is dilligently protecting their families and properties.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '94', 'm24o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '95', 'm24s', 'Nicely done, citizen. The community has been rendered safe once more. The standard martial curfew will ensure that no Rebels return. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '96', 'm24t', 'Blast a Rebel power relay');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '97', 'm25d', 'The Inquisitorius has ordered a strike on a Rebel outpost that has been conducting unusual experiments involving the Force and Force-users. We cannot imagine that the Rebellion would be foolish enough to attempt to establish another Jedi training academy, especially in light of the corruption that was revealed within the ranks of the old Jedi Order. Can you assemble a strike team to take care of this?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '98', 'm25o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '99', 'm25s', 'A new breed of Jedi shall not rise to threaten our beloved Empire thanks to you, agent. Well done! The Emperor will hear of your success. Be proud.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '100', 'm25t', 'Destroy Rebel training outpost');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_easy_non_persistent_from_npc.stf', '101', 'number_of_entries', '25');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '1', 'm1d', 'Our probe droids have located a fairly sizable Rebel munitions depot. Taking this supply cache out would no doubt limit the number of raids the Rebels could effectively carry out. This depot will probably be well guarded and will certainly be well defended (it is a weapons depot, after all). Can we rely on you to teach these Rebel scum a lesson and turn their depot into a miniature sun?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '2', 'm1s', 'That must have been quite a fireworks show, eh? Congratulations, agent. Your Imperial service record is shaping up quite nicely.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '3', 'm1o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '4', 'm1t', 'Make a Munitions Depot Go Boom');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '5', 'm2d', 'A Rebel mining facility has been identified by Intelligence and we need it destroyed. These Rebels have a habit of slipping through our blockades during a full military strike so we\'d like you to lead a small team of loyal agents to accomplish this mission instead. Do you think you can serve your Empire in this manner?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '6', 'm2s', 'If the Rebels thought we would overlook a small mining operation, they were sadly mistaken. Well done. Your efforts on behalf of the Empire are noted. Claim your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '7', 'm2o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '8', 'm2t', 'Smash Rebel Mining Operation');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '9', 'm3d', 'Imperial Intelligence believes that a small outpost is housing a communications array currently being employed by the Rebellion to coordinate local Rebel cell activity. Put this place out of operation. We will not have this sort of Rebel activity in that sector. How dare the Rebels think this would go unnoticed. Can the Empire rely on you? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '10', 'm3s', 'So much for that outpost. Bravo, loyal citizen! Your efforts may take you far in the ranks of the Empire. We hope you continue to serve us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '11', 'm3o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '12', 'm3t', 'Disrupt Rebel Communications');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '13', 'm4d', 'What we thought was a legitimate medical facility has turned out to be a Rebel medical supply depot. It seems they\'ve been using sick citizens as cover, trying to get us to believe they were operating according to Imperial laws. We feel for these sick individuals, although no doubt many of them are Rebel sympathizers, but this facility must be destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '14', 'm4s', 'Bacta is wasted on Rebel scum, do not worry. You have done very well and we are highly pleased. Our missions require someone with a strong constitution. You should seek us out in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '15', 'm4o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '16', 'm4t', 'Blast Medical Supply Depot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '17', 'm5d', 'Rebels have been transporting alien refugees to various outposts throughout the galaxy. Many of these refugees are escaped slaves or criminals. We\'ve managed to locate one of these outposts and now need to make sure it will no longer serve the cause of the Rebellion. We need a trusted agent to eradicate this facility in the name of Imperial justice. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '18', 'm5s', 'Congratulations, citizen, you have removed many inconveniences for the Empire. Seek us out for future employment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '19', 'm5o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '20', 'm5t', 'Neutralize Rebel Refugees');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '21', 'm6d', 'Thanks to the efforts of our many loyal civilian informants, we\'ve managed to verify the existence of a Rebel transport repair facility. We kept wondering where those Rebels would take their vehicles when they needed repairs. After all, many of them bear the evidence of skirmishes with local civil authorities or Imperial forces. We\'d like this installation eliminated.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '22', 'm6s', 'I suppose the Rebels will have to carry their supplies on their backs now. Job well done, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '23', 'm6o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '24', 'm6t', 'Interrupt Rebel Vehicle Repairs');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '25', 'm7d', 'We\'ve unearthed a Rebel indoctrination camp. Within the walls of these facilities, the minds of loyal citizens are poisoned and warped by the efforts of twisted medical droids and large quantities of illegal glitterstim drugs. We must terminate the activities of this vile installation and insure our citizens remain safe from such atrocities and loyal to the Empire. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '26', 'm7s', 'You have doubtless saved hundreds of loyal citizens from a terrible fate, citizen. You are a true champion of the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '27', 'm7o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '28', 'm7t', 'Stop Rebel Indoctrinations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '29', 'm8d', 'We\'ve discovered a Rebel terrorist sleeper cell masquerading as a droid maintenance facility. We suspect that this cell has been responsible for the deaths of no less than 100 Imperial servants and the destruction of millions of credits worth of property. Can you burn this installation to the ground? These terrorists must pay for their terrible acts of violence against the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '30', 'm8s', 'The deaths of all those Imperial servants are now avenged! You are truly a champion of justice, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '31', 'm8o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '32', 'm8t', 'Remove Rebel Terrorist Cell');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '33', 'm9d', 'A Rebel supply depot has been located. The front for it seems to be a scientific observation outpost of some sort. However, our surveillance images clearly show known Rebels patrolling the facility\'s perimeter. We need a trusted agent to lead a strike against this installation and insure its destruction. Is that you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '34', 'm9s', 'Whatever was in that warehouse will not serve those Rebels now. Good work, agent. Your future does indeed look bright if you continue to serve us in this manner. Collect your reward with pride - you\'ve earned it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '35', 'm9o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '36', 'm9t', 'Destroy Rebel Supply Depot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '37', 'm10d', 'Rather than being horrified by the Rebellion\'s deadly sabotage of the Empire\'s most brilliant and effective weapon against injustice, it seems instead that this terrorist act has encouraged some malcontents to form their own Rebel cell. We need a loyal citizen of the Empire to show these troublemakers the consequences of throwing their lot in with traitors and terrorists. Are you that citizen?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '38', 'm10s', 'A success like this deserves to be celebrated. You must share your victory with your closest friends. If any of them do not seem delighted as we are, give us their name and identification number. You can never be too sure.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '39', 'm10o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '40', 'm10t', 'Attack Traitorous Malcontents');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '41', 'm11d', 'One of Sienar Fleet System\'s chief engineers has foolishly decided to join the ranks of those traitorous Rebels. We\'ve located this engineer and need them silenced before they can supply the Rebellion with technical specs. We believe the traitor is being held at a small warehouse currently used to store speeder parts. Can the Empire rely on you to accomplish this mission?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '42', 'm11s', 'Well done, agent. We hope that engineer was inside that warehouse when it was destroyed, and we hope the Rebellion learned no damaging Imperial secrets.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '43', 'm11o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '44', 'm11t', 'Silence the Traitorous Engineer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '45', 'm12d', 'We\'ve located a small station that is being used by the Rebels to entice young pilots to join their cause. Apparently these Rebels have several X-wing flight simulators that they allow local pilots access to. Unfortunately, this is often enough to get some of these na?ve flyboys to sign up. We need this station destroyed and everything inside incinerated.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '46', 'm12s', 'Little did those local flyboys realize that playing with a flight simulator could be very dangerous. Well done, citizen. The Empire is pleased to reward one such as you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '47', 'm12o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '48', 'm12t', 'Remove Rebel Training Station');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '49', 'm13d', 'Intelligence has finally located one of the Rebellion\'s data slicer hubs. This facility could house several HoloNet transceivers and the slicers who operate them. A strike would remove both. Can the Empire count on you to help make the Imperial HoloNet more secure for military communications? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '50', 'm13s', 'A most excellent strike, agent. These were the sorts of results we had hoped to get by employing you. Claim your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '51', 'm13o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '52', 'm13t', 'Remove Data Slicer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '53', 'm14d', 'Agents within the CSA have informed Imperial Intelligence that many of the workers the Viceprexes had requested for hard labor are being transferred to a holding facility where Rebel agents can rescue convicted spies and sympathizers contained among the roster. We\'ve acquired the coordinates of this facility and need a small team of loyal Imperial agents to obliterate it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '54', 'm14s', 'Well done! We couldn\'t have done it any better ourselves. The Empire could use more agents like you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '55', 'm14o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '56', 'm14t', 'Blast Rebel Holding Facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '57', 'm15d', 'A shipment of Merr-Sonn IR-5 blaster pistols has fallen into the hands of the Rebellion and we believe we\'ve learned where these deadly weapons are being stored. They will certainly be distributed to various Rebel cells for use in intimidation missions. We must destroy this cache of weapons before those scum can use them against our agents. Can the Empire count on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '58', 'm15s', 'Those deadly \"Intimidators\" won\'t threaten the safety of our agents. Good work! The Empire gladly rewards success and loyalty.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '59', 'm15o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '60', 'm15t', 'Break Rebel Weapons');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '61', 'm16d', 'Several MD medical droids have been acquired by the Rebellion. Our spies have provided us with the coordinates to the holding facility where these droids are being stored. We cannot allow the Rebels to have access to proper medical care. We require a small team of loyal agents to find this facility and destroy it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '62', 'm16s', 'A successful strike against the Rebellion. Well done. The reward is yours.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '63', 'm16o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '64', 'm16t', 'Deprive Rebels of Medical Care');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '65', 'm17d', 'The Rebels have managed to get their hands on some old Trade Federation destroyer droids. These units can be used to fortify their outposts and defend their bases. Fortunately, our informants have tracked these droids down and have provided us with the coordinates to the warehouse that is being used to store them. An Imperial strike team is needed to take these droidekas out of commission.  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '66', 'm17s', 'A job well done, agent. The Empire will show its appreciation via this reward. Do come see us again for future missions.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '67', 'm17o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '68', 'm17t', 'Destroy Destroyer Droids');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '69', 'm18d', 'Rebel infiltrators have been stealing laser cutters from Imperial depots. We believe they are building a new base of operations at a secret location. Our tracking beacons indicate the cutters\' location. We need you and your loyal Imperial fellows to strike the Rebel cache and blow it to atoms. Will you help your Empire?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '70', 'm18s', 'Ah, this would doubtless slow the Rebels\' efforts to carve new lairs. You\'ve earned this reward!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '71', 'm18o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '72', 'm18t', 'Laser Cutter Cache');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '73', 'm19d', 'We believe we have identified the meeting site of a traitorous Moff who is plotting with Rebels to assassinate our beloved Emperor. We require an able Imperial strike team to hit this outpost and kill everyone present. Will you take this vital assignment?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '74', 'm19s', 'We can only hope that when you destroyed that outpost, the Moff was present. We\'ll monitor communications to make sure. For your well-executed strike, you have earned this reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '75', 'm19o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '76', 'm19t', 'Traitorous Moff Plots Assassination');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '77', 'm20d', 'The Rebellion is disguising LIN Demolitionmech droids to look like simple R3 units. They are striking at Imperial garrisons with these \"miner bombs.\" We have located a Rebel depot full of mining equipment and explosives, and we require you to destroy it. Reduce all equipment to slag. Can you aid the Empire?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '78', 'm20s', 'An effective piece of work, agent. The Empire is proud. Claim your reward, and seek us out again for more work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '79', 'm20o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '80', 'm20t', 'Rebel Demolitionmech Depot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '81', 'm21d', 'Recent Rebel attacks have used modified A-A5 speeder trucks as armored personnel carriers. We want you to destroy the repair facility used to create these carriers. Will you assist the Empire in removing this threat?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '82', 'm21s', 'Those speeder trucks are common, and the needed military modifications are unfortunately well understood. So you may expect further assignments of this type soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '83', 'm21o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '84', 'm21t', 'A-A5 Speeder Truck Repair Facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '85', 'm22d', 'The Rebellion has obtained stolen R3 units, intended for Imperial cruisers, and is reprogramming them for its own use. We have located a depot holding many stolen R3s, but the droids are useless to us now because they may contain bugging devices. We wish you to destroy the depot, thus keeping the droids out of the hands of our enemies.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '86', 'm22s', 'Pity to see good droids go to waste, but there are always more droids. As for the Rebels -- soon there will be very few of those. Your reward is well earned.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '87', 'm22o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '88', 'm22t', 'Stolen R3 Droid Depot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '89', 'm23d', 'Intelligence informs us that Rebel supply caches of certain rare Outer Rim crystals are to be immediately destroyed. We\'ve located a warehouse containing a large quantity of these crystals. You are to vaporize these minerals for us at once. Can the Empire count on your aid?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '90', 'm23s', 'The Rebels apparently are using these crystals to fashion some fiendish new weapon. We can only hope your success retards their progress. Well done.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '91', 'm23o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '92', 'm23t', 'Warehouse of Rare Crystals');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '93', 'm24d', 'The Empire has engineered an airborne virus for deployment at anti-Imperial demonstrations in the Core Worlds. Rebels have analyzed the virus and created a retroviral vaccine. We have located a production run of the vaccine in a small medical depot. We wish it destroyed -- all of it. Will you assist us in this matter?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '94', 'm24s', 'Our viral plans should meet with better success now. Well done, citizen. The Empire will not forget your work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '95', 'm24o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '96', 'm24t', 'Retrovirus Vaccine Supply Depot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '97', 'm25d', 'The Rebels are stockpiling climate control units, undoubtedly for use in remote bases in the Outer Rim. We want these units destroyed. You, being a loyal Imperial agent, would certainly be willing to take care of this, correct?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '98', 'm25s', 'We didn\'t expect climate control units to present much threat. But we appreciate your clean and efficient attack. Well done!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '99', 'm25o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '100', 'm25t', 'Climate Control Unit Storage Facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '101', 'm26d', 'Rebel leaders are meeting with officials of the Bounty Hunters\' Guild, apparently to offer concocted \"proof\" that the Empire has attacked the Guild. We must stop this dangerous nonsense. Here are the coordinates of the secret meeting location. Go there and destroy everything and everyone you see. Do not mention the Empire, of course.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '102', 'm26s', 'Dead Rebels, and dead bounty hunters, tell no tales. Bravo, citizen. You are shaping up into a highly professional agent.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '103', 'm26o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '104', 'm26t', 'Meeting of Rebels and Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '105', 'm27d', 'Rebels have taken over a speeder shop. They are apparently coercing its mechanics to adapt prototype speeders for operation in harsh climatic conditions. We would like you to stop this terrorist activity before it erupts into a full hostage situation. The hostages are presumed corrupted by now and can be safely killed with the rest.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '106', 'm27s', 'A job well done. Now we must try to discern what the Rebellion planned to do with those speeders. But that is a task for another day, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '107', 'm27o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '108', 'm27t', 'Speeder Garage Taken by Rebels');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '109', 'm28d', 'We have found a refueling depot used by the Rebel-friendly smugglers they quaintly call \"procurement specialists.\" Because the military is preoccupied tracking down actual Rebel bases, we wish you to destroy this depot, quickly and thoroughly. Leave no survivors. Can you do this?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '110', 'm28s', 'Smugglers are not just a problem for the local authorities. They aid the Rebels and are therefore our problem as well. We are glad we can rely on you in such matters.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '111', 'm28o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '112', 'm28t', 'Smuggler Refueling Depot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '113', 'm29d', 'We have uncovered a cache of vacuum gyros intended for Rebel transports. Unfortunately, the Rebels destroyed our probot and now know of our discovery. A Rebel contingent is evacuating the cache. We need you to destroy the contraband, and the Rebels, before it is too late. Move quickly!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '114', 'm29s', 'Vacuum gyros allow Gallifree transports to slip through our blockades. Your good work will help us stop them more effectively. Well done!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '115', 'm29o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '116', 'm29t', 'Vacuum Gyro Cache');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '117', 'm30d', 'We have found an encoding array the Rebellion uses to retransmit secret communiques. We require you to smash this installation and thereby cripple their information network. Expect well-armed opposition. If you succeed, the Empire will of course provide generous compensation.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '118', 'm30s', 'Already we have seen reduced numbers of encoded Rebel transmissions, because of your good work. Take this payment with our best respects.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '119', 'm30o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '120', 'm30t', 'Rebel Encoding Station');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '121', 'm31d', 'A new Rebel outpost has received a load of Defender-class space mine housings. We believe the Rebel terrorists plan to insert gravity-manipulation weapons into these casings, which would jeopardize routine hyperspace transits. We require you to wipe out this factory before it can unleash its deadly contraband.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '122', 'm31s', 'Our navigators can breathe more easily now. You have made the star lanes safe once more. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '123', 'm31o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '124', 'm31t', 'Defender Gravity Mine Housings');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '125', 'm32d', 'The Rebels have set up another hyperspace monitoring terminal to track the movement of our capital ships. We need a ground-based agent to assault this station and shut it down. Expect heavy opposition, but be assured this mission is vital to our proud Imperial Navy!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '126', 'm32s', 'Imperial Intelligence will begin sifting through the remains of the terminal shortly, assuming you left any remains. Accept this payment for your success.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '127', 'm32o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '128', 'm32t', 'Hyperspace Monitoring Terminal');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '129', 'm33d', 'Rebels have hijacked rations bound for Imperial garrisons. They have taken the stolen food to a local distribution center, where they use the contraband to bribe local settlers under the pretense of \"famine relief.\" We require you to destroy this distribution center and stop this treachery before it spreads. At once!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '130', 'm33s', 'You have spared local citizens the indignity of consuming stolen food. Take your reward with honor.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '131', 'm33o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '132', 'm33t', 'Hijacked Imperial Rations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '133', 'm34d', 'Recently our field operatives wiped out a Rebel command center using an exciting new airborne biological agent. A group of survivors fled to a small \"safe house,\" carrying several corpses. Our scientists have deemed it prudent to destroy these bodies in the interest of public health. You must blast the entire structure; we shall observe from a safe distance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '134', 'm34s', 'Excellent. Use this reward to relocate well away from populated areas, and avoid bodily contact with any soldier of the Empire. You may go now. Quickly!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '135', 'm34o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '136', 'm34t', 'Eliminate Contaminated Bodies');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '137', 'm35d', 'Recently the Rebellion provoked the untimely destruction of Alderaan. Properly reviled for this heinous crime, the Rebels have sought public sympathy by breeding many of Alderaan\'s native fauna. Loyal citizens of the Empire know that this program is nothing but a transparent act of propaganda. Luckily we have located the center of this traitorous enterprise. Remove it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '138', 'm35s', 'While the beautiful woolly moth of Alderaan may have looked harmless, it was a vicious threat to galactic security. You have advanced the cause of Imperial truth.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '139', 'm35o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '140', 'm35t', 'Burn Rebel Propaganda');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '141', 'm36d', 'Some Imperial agents are in Rebel custody and currently imprisoned in a small but well-guarded holding facility. The Rebels will be on the lookout for uniformed soldiers, so we require some highly-trained civilians to launch a surprise assault on the holding facility and reduce it to rubble. We must assume that the captured agents are dead. Can you help us?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '142', 'm36s', 'We\'re pleased that the captured agents have been liquidated. You have earned the undying respect and loyalty of the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '143', 'm36o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '144', 'm36t', 'Eliminate Captured Agents');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '145', 'm37d', 'The Rebels have launched an insidious scheme to undermine the security of an orderly world. As you know, Imperial engineers have enhanced the water supply of many communities with placidity enzymes to abate civic unrest. The Rebels have captured a local water junction and installed a Creel manifold to siphon off the additives. We need you to blast this junction into oblivion.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '146', 'm37s', 'The Empire is lucky to have such skilled operatives. Rest assured that the community\'s water supply will be fully restored within a few months.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '147', 'm37o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '148', 'm37t', 'Help Purify the Water Supply');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '149', 'm38d', 'For thirty years I languished in the Glythe sector as a remote field operative of the ISB. Now, at the end of my career, I have been transferred to a more civilized system with a chance to make a real impact. To this end I am sending a strike team to take out a suspected Rebel grease refinery. I require well-trained operatives who are not afraid to get their hands dirty.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '150', 'm38s', 'At last I have achieved true success! My grandchildren will thank you for saving a man\'s reputation. Take your payment and enjoy it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '151', 'm38o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '152', 'm38t', 'Strike a Rebel Refinery');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '153', 'm39d', 'We\'ve pinpointed a cloister of fuselage engineers who are aiding the Rebels in their fighter designs. We are commissioning a team of investigators to search these coordinates and eliminate any operations they find. Watch out for surprises and make sure to wipe out any research materials they have gathered.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '154', 'm39s', 'I understand those engineers were tougher than they looked. Or perhaps you are not as competant as you portray yourself. At least you completed the mission.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '155', 'm39o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '156', 'm39t', 'Smash the Cloister of Engineers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '157', 'm40d', 'Rebel pirates have stolen our droids! A shipment of IG-type assassin droids was highjacked en route to a Civil Security Center on Dantooine. We have intercepted Rebel messages that suggest these droids were smuggled to a secret reprogramming facility. A squad of operatives must travel to these coordinates and eradicate the facility immediately.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '158', 'm40s', 'The Empire is grateful for your service. IG assassin droids are expensive. Enjoy your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '159', 'm40o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '160', 'm40t', 'Blast Droid Reprogramming Facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '161', 'm41d', 'Our probe droids have uncovered an underground maintenance station for a squad of Rebel X-wing fighters. These ships have harried our blockade enforcers for several parsecs, but at last we shall have our revenge. We need a contingent of shooters to slip inside and blast the place to dust. Be careful, though, the Rebels have this valuable secret well guarded.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '162', 'm41s', 'We have been tracking those X-wings for many parsecs. At last their destruction is complete. Splendid work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '163', 'm41o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '164', 'm41t', 'Disable the X-wings');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '165', 'm42d', 'The Rebels have stolen the plans for a new Imperial void station and hidden them inside an innocuous MSE-6 droid. We learned that it got aboard a smuggler\'s freighter and landed at these coordinates. We require a strike team to pinpoint the Rebel outpost and smash it to rubble. Imperial Intelligence will inspect the site to retrieve what remains of the offending MSE-6.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '166', 'm42s', 'Excellent work. There\'s no way a mouse droid could have escaped your assault. You have served the Empire well.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '167', 'm42o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '168', 'm42t', 'Find a MSE-6 Droid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '169', 'm43d', 'Our informants have alerted us that a local pharmaceutical shop is doubling as an underground clinic for Rebel agents. We must make sure that these traitors do not have access to medical care. We understand that there are no less than two bacta tanks in operation at this facility. All of this equipment must be destroyed. Are you the Imperial agent we\'re looking for? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '170', 'm43s', 'Good work! Now we will be able to better trace Rebel agents when they are forced to use local medical clinics. The reward is yours. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '171', 'm43o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '172', 'm43t', 'Destroy Rebel Medical Clinic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '173', 'm44d', 'A storage facility housing some outdated communications equipment and refurbished power generators is being used by the local Rebel cell to help supply their members. This equipment had been scheduled to be transported to Imperial junkyards for salvage but it seems the Rebellion got their hands on it first. Make sure this junk is not used to help the Rebellion. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '174', 'm44s', 'You handled that well, citizen. It makes sense that garbage would attract garbage. You\'re an efficient disposal agent.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '175', 'm44o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '176', 'm44t', 'Take Out Parts Warehouse');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '177', 'm45d', 'It has come to our attention that a local livestock dealer harbors seditious motives. Loyal citizens have reported a collection of mynock incubators hidden underneath his shop. As you may know, certain factions of the Rebellion employ mynocks as nuisance tactics against our space fleet. We have judged it prudent to destroy the incubation facility in the interest of galactic security.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '178', 'm45s', 'He put up quite a fight for a simple livestock dealer, didn\'t he? It seems our suspicions are confirmed. Only a Rebel traitor would have that kind of firepower. Well done, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '179', 'm45o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '180', 'm45t', 'Crush the Mynock Incubators');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '181', 'm46d', 'A local community has recently been plagued by a fake recording that depicts the alleged destruction of Empire\'s finest war machine, the Death Star. The transmission has been traced to a broadcast facility at these coordinates. We want you to take a strike team and decimate this unseemly operation. In particular, make certain that all of these fake recording are utterly destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '182', 'm46s', 'Excellent work. Did you happen to view any of the offending holovids before you destroyed them? We\'ll send some security agents around to question you, just in case. Don\'t worry, it\'s a routine debriefing. Who is your next of kin?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '183', 'm46o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '184', 'm46t', 'Raze a Seditious Broadcast Facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '185', 'm47d', 'In the midst of an otherwise obedient community, the Rebels have constructed a power relay cannon that transmits energy beams to passing Rebel fighters. For the public good we must now dispatch a blaster team to blow this relay installation into oblivion. Such an action will assure the locals that the Empire is dilligently protecting their families and properties.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '186', 'm47s', 'Nicely done, citizen. The community has been rendered safe once more. The standard martial curfew will ensure that no Rebels return.  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '187', 'm47o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '188', 'm47t', 'Blast a Rebel Power Relay');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '189', 'm48d', 'They want us to believe they are mere gangsters, but we have discovered that the Ravvo clan are in fact agents of the Rebel Alliance. These creeps have a barracks, at these coordinates, where they practice their marksmanship to the detriment of the Empire. A well-armed assault will teach them that scoffing Imperial authority is a game for fools and dead men.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '190', 'm48s', 'It\'s astounding that so many fools refuse to acknowledge the irresistable might of the Empire. You have shown them the error of their ways.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '191', 'm48o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '192', 'm48t', 'Level a Den of Rebel Sympathizers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '193', 'm49d', 'The Rebellion is spreading rumors that Jedi have returned and have joined the traitorous scum against the Empire. We have seen holograph displays depicting a lightsaber and bearing the ridiculous slogan \"The Jedi have returned! Long live the Republic!\" We\'ve located a warehouse filled with this sort of propaganda and it must bed destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '194', 'm49s', 'A job well done, citizen. The Jedi have not returned and the Rebellion is doomed. Claim your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '195', 'm49o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '196', 'm49t', 'Smash Rebel Propaganda');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '197', 'm50d', 'The Rebellion has been distributing copies of a fabricated hologram showing the destruction of Alderaan by the Empire\'s peacekeeping station, the Death Star. We know Alderaan brought about its own destruction when the \"peaceful\" planet fired an experimental doomsday weapon at the Death Star. Help us destroy these seditious hologram duplication centers.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '198', 'm50s', 'Lies have gone up in smoke, citizen. Job well done! Your work will further the cause of the New Order and serve to glorify the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '199', 'm50o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '200', 'm50t', 'Destroy Hologram Duplication Center');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard.stf', '201', 'number_of_entries', '50');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '1', 'm1d', 'Our probe droids have located a sizable Rebel munitions depot. Taking out this supply cache would limit the number of raids the Rebels could effectively carry out. This depot will probably be well guarded and will certainly be well defended. Can we rely on you to teach these Rebel scum a lesson and turn their depot into a miniature sun?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '2', 'm1o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '3', 'm1s', 'That must have been quite a fireworks show, eh? Congratulations, agent. Your Imperial service record is shaping up quite nicely.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '4', 'm1t', 'Destroy Rebel munitions depot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '5', 'm2d', 'A Rebel mining facility has been identified by Intelligence and we need it destroyed. These Rebels have a habit of slipping through our blockades during a full military strike so we\'d like you to lead a small team of loyal agents to accomplish this mission instead. Do you think you can serve your Empire in this manner?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '6', 'm2o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '7', 'm2s', 'If the Rebels thought we would overlook a small mining operation, they were sadly mistaken. Well done. Your efforts on behalf of the Empire are noted. Claim your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '8', 'm2t', 'Destroy Rebel mining facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '9', 'm3d', 'Intelligence believes that a small outpost is housing a communications array currently being employed by the Rebellion to coordinate local Rebel cell activity. Put this place out of operation. We will not have this sort of Rebel activity in that sector. How dare the Rebels think this would go unnoticed. Can the Empire rely on you? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '10', 'm3o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '11', 'm3s', 'So much for that outpost. Bravo, loyal citizen! Your efforts may take you far in the ranks of the ISB. We hope you continue to serve us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '12', 'm3t', 'Destroy Rebel communications array');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '13', 'm4d', 'Rebels have been transporting alien refugees to various outposts throughout the galaxy. Many of these refugees are escaped slaves or criminals. We\'ve managed to locate one of these outposts and now need to make sure it will no longer serve the cause of the Rebellion. We need a trusted agent to eradicate this facility. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '14', 'm4o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '15', 'm4s', 'You can run but you can\'t hide! Congratulations, citizen, you have removed many inconveniences for the Empire. Seek us out for future employment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '16', 'm4t', 'Destroy Rebel alien refugee outpost');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '17', 'm5d', 'We\'ve unearthed a Rebel indoctrination camp. Within the walls of these facilities, the minds of loyal citizens are poisoned and warped by the efforts of twisted medical droids and large quantities of illegal glitterstim drugs. We must terminate the activities of this vile installation and insure our citizens remain loyal to the Empire. Can you help your Emperor stamp out this loathsome practice? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '18', 'm5o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '19', 'm5s', 'You have doubtless saved hundreds of loyal citizens from a terrible fate, citizen. Losing your faith in the New Order is bad enough, but to lose your mind along with it? You are a true champion of the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '20', 'm5t', 'Destroy Rebel indoctrination camp');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '21', 'm6d', 'We\'ve discovered a Rebel terrorist sleeper cell masquerading as a droid maintenance facility. We suspect that this cell has been responsible for the deaths of no less than 100 Imperial servants and the destruction of millions of credits worth of property. We require a loyal citizen of the Empire to burn this installation to the ground. Are you the agent we\'re looking for?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '22', 'm6o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '23', 'm6s', 'The deaths of all those Imperial servants are now avenged! You are truly a champion of justice, citizen. We hope this is a definite indication of things to come.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '24', 'm6t', 'Destroy Rebel terrorist cell');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '25', 'm7d', 'A Rebel supply depot has been located. The front for it seems to be a scientific observation outpost. We need a trusted agent to lead a strike against this installation and insure its destruction. There\'s no telling how many cells this depot has been supplying or how many Imperial lives have been lost as a result.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '26', 'm7o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '27', 'm7s', 'Whatever was in that warehouse will not serve those Rebels now. Good work, agent. Your future does indeed look bright if you continue to serve us in this manner. Collect your reward with pride - you\'ve earned it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '28', 'm7t', 'Destroy Rebel supply depot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '29', 'm8d', 'We\'ve located a small station that is being used by the Rebels to entice young pilots to join their traitorous cause. Apparently these Rebels have several X-wing flight simulators that they allow local pilots to play around with. Unfortunately, this is often enough to get some of these na?ve flyboys to sign up. We need this station destroyed and everything inside incinerated.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '30', 'm8o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '31', 'm8s', 'Little did those local flyboys realize that playing with a flight simulator could be very dangerous indeed. Well done, citizen. The Empire is pleased to reward one such as you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '32', 'm8t', 'Destroy Rebel training station');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '33', 'm9d', 'Intelligence has finally located one of the Rebellion\'s data slicer hubs. This facility could house several HoloNet transceivers and the slicers who operate them. A strike would remove both. Can the Empire count on you to help make the Imperial HoloNet more secure for military communications? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '34', 'm9o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '35', 'm9s', 'A most excellent strike, agent. These were the sorts of results we had hoped to get by employing you. Claim your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '36', 'm9t', 'Destroy Rebel slicer hub');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '37', 'm10d', 'Agents within the CSA have informed Intelligence that many of the workers the Viceprexes are requesting for hard labor are being transferred to a holding facility so that Rebel agents can rescue convicted Rebel spies and sympathizers contained among the roster. We need a small team of loyal Imperial agents to obliterate this facility. The Empire is counting on you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '38', 'm10o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '39', 'm10s', 'Well done! We couldn\'t have done it any better ourselves. The Empire could use more agents like you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '40', 'm10t', 'Blast Rebel refugee facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '41', 'm11d', 'A shipment of Merr-Sonn IR-5 blaster pistols has fallen into the hands of the Rebellion and we believe we\'ve learned where these deadly weapons are being stored. They will certainly be distributed to various Rebel cells for use in intimidation missions. We must destroy this cache of weapons before those scum can use them against our agents.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '42', 'm11o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '43', 'm11s', 'Those deadly \"Intimidators\" won\'t threaten the safety of our agents. Good work! The Empire gladly rewards success and loyalty.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '44', 'm11t', 'Destroy Rebel weapons cache');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '45', 'm12d', 'Several MD medical droids have been acquired by the Rebellion. Our spies have provided us with the coordinates to the holding facility where these droids are being stored. We cannot allow the Rebels to have access to proper medical care. We require a small team of loyal agents to find this facility and destroy it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '46', 'm12o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '47', 'm12s', 'A successful strike against the Rebellion. Well done. The reward is yours.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '48', 'm12t', 'Destroy Rebel medical droids');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '49', 'm13d', 'The Rebels have been targeting Imperial depots containing laser cutters. We believe they need them to build a new operational base although we do not yet know its location. Our agents have managed, however, to locate some of these laser cutters and have sent us the coordinates where they are being housed. We need a few loyal Imperial agents to strike this storage depot.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '50', 'm13o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '51', 'm13s', 'Success! This will doubtless slow the Rebels\' efforts to carve out new lairs. You\'ve earned your reward, agent.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '52', 'm13t', 'No more Rebel bases');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '53', 'm14d', 'A traitorous moff has offered to aid the Rebels attempt to assassinate our beloved Emperor. We\'ve pinpointed where this traitor and his agents will be meeting with the Rebellion\'s agents to make the arrangements. We require an able and loyal Imperial strike team to hit this outpost and insure its destruction. Could you assemble and lead such a team?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '54', 'm14o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '55', 'm14s', 'We have not ascertained if the moff was at that meeting when you destroyed the outpost. We\'ll have to continue monitoring communications. In any case, your strike against that Rebel outpost was superb.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '56', 'm14t', 'Hunt a traitorous moff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '57', 'm15d', 'Local garrisons have reported recent Rebel attacks that have employed modified A-A5 speeder trucks as armored personnel carriers. We\'ve located several civilian speeder repair facilities that could be used to create these carriers. We want these installations destroyed. Can you assist the Empire in removing this potential threat? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '58', 'm15o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '59', 'm15s', 'Good work, agent. We knew these stations were serving those Rebel scum and you\'ve helped prove it. We hope this is the beginning of a very profitable career for you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '60', 'm15t', 'Take out Rebel repair stations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '61', 'm16d', 'The Rebels have taken an interest in certain rare types of crystals. Intelligence has instructed us to destroy any supply depot containing caches of such minerals. We\'ve located a small warehouse containing a large quantity of mineral desposits mined from the Outer Rim. We need loyal Imperial servants to vaporize this warehouse.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '62', 'm16o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '63', 'm16s', 'An efficient handling of the mission, agent. Well done. The Empire is proud to reward you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '64', 'm16t', 'Smash the mysterious crystals');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '65', 'm17d', 'We\'ve been alerted to the presence of a Rebel supply depot that seems to be housing hundreds of climate control units. No doubt these are intended for remote Rebel bases in the Outer Rim. We want these units destroyed and figure a loyal and skilled Imperial agent ought to be able to take care of that for us. No need to call in a full military strike.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '66', 'm17o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '67', 'm17s', 'Clean and efficient, citizen, just like we like it. COMPNOR could use more agents like you. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '68', 'm17t', 'Make it cold for the Rebels');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '69', 'm18d', 'We finally identified the traitor who has been supplying vacuum gyros for Rebel transports. We have the coordinates to the traitor\'s secret gyro cache. Unfortunately he knows we are coming. Our sources tell us that a contingent of Rebel soldiers is evacuating the cache. We need to dispatch a team to destroy this contraband before the Rebels take it away.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '70', 'm18o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '71', 'm18s', 'Well done, citizen. Those Gallifree transports slip through our blockades too easily. Perhaps now we can stop those Rebel scum.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '72', 'm18t', 'Cripple Rebel transports');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '73', 'm19d', 'Ion space mines are an important tool of the Imperial Navy, but in the hands of Rebel terrorists they become a menace to all law-abiding spacefarers. We have tracked a freighter to a known Rebel outpost, where it deposited a load of Defender-class mines. If we can wipe out this factory before its deadly contraband is unleashed, the star lanes will be safe once more.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '74', 'm19o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '75', 'm19s', 'The Imperial Navy is indebted to you. Accept this payment and the gratitude of the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '76', 'm19t', 'Take out the space mines');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '77', 'm20d', 'Rebel pirates have stolen our droids! A shipment of IG-type assassin droids was highjacked en route to a Civil Security Center on Dantooine. Intercepted Rebel transmissions suggest these droids were smuggled to a secret reprogramming facility, where technicians will turn the IGs into gardening and botanical droids. A squad must locate and destroy this facility.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '78', 'm20o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '79', 'm20s', 'The Empire is grateful for your service. IG assassin droids make lousy botanical arrangements. Enjoy your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '80', 'm20t', 'Assassin droids do not pick posies');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '81', 'm21d', 'Our probe droids have uncovered an underground maintenance station for a squad of Rebel X-wing fighters. These ships have harried our blockade enforcers for several parsecs, but at last we shall have our revenge. We need a contingent of shooters to slip inside and blast the place to dust. Be careful, as the Rebels have this valuable secret well guarded.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '82', 'm21o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '83', 'm21s', 'We have been tracking those X-wings for many parsecs. At last their destruction is complete. Splendid work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '84', 'm21t', 'Smash a squad of X-wing fighters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '85', 'm22d', 'We\'ve discovered a local livestock dealer who harbors seditious motives. Loyal citizens have reported a collection of mynock incubators hidden underneath his shop. Certain factions of the Rebellion employ mynocks as nuisance tactics against our space fleet. We have judged it prudent to destroy the incubation facility in the interest of galactic security.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '86', 'm22o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '87', 'm22s', 'He put up quite a fight for a simple livestock dealer, didn\'t he? It seems our suspicions are confirmed. Only a Rebel traitor would have that kind of firepower. Well done, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '88', 'm22t', 'Crush a mynock incubator');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '89', 'm23d', 'A local community has recently been plagued by a fake holovid recording that depicts the alleged destruction of Empire\'s finest war machine, the Death Star. The transmission has been traced to a broadcast facility. You must take a strike team and decimate this unseemly operation. These untruths will not soil the tranquility of our loyal and obedient communities.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '90', 'm23o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '91', 'm23s', 'Excellent work. Did you happen to view any of the offending holovids before you destroyed them? We\'ll send some security agents around to question you, just in case. Don\'t worry, it\'s a routine debriefing. Who is your next of kin?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '92', 'm23t', 'Raze a seditious broadcast facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '93', 'm24d', 'In the midst of an otherwise obedient community, the Rebellion has constructed a power relay cannon that transmits energy beams to passing Rebel fighters. For the public good we must now dispatch a blaster team to blow this relay installation into oblivion. Such an action will assure the locals that the Empire is dilligently protecting their families and properties.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '94', 'm24o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '95', 'm24s', 'Nicely done, citizen. The community has been rendered safe once more. The standard martial curfew will ensure that no Rebels return. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '96', 'm24t', 'Blast a Rebel power relay');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '97', 'm25d', 'The Inquisitorius has ordered a strike on a Rebel outpost that has been conducting unusual experiments involving the Force and Force-users. We cannot imagine that the Rebellion would be foolish enough to attempt to establish another Jedi training academy, especially in light of the corruption that was revealed within the ranks of the old Jedi Order. Can you assemble a strike team to take care of this?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '98', 'm25o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '99', 'm25s', 'A new breed of Jedi shall not rise to threaten our beloved Empire thanks to you, agent. Well done! The Emperor will hear of your success. Be proud.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '100', 'm25t', 'Destroy Rebel training outpost');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_hard_non_persistent_from_npc.stf', '101', 'number_of_entries', '25');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '1', 'm1d', 'Our probe droids have located a fairly sizable Rebel munitions depot. Taking this supply cache out would no doubt limit the number of raids the Rebels could effectively carry out. This depot will probably be well guarded and will certainly be well defended (it is a weapons depot, after all). Can we rely on you to teach these Rebel scum a lesson and turn their depot into a miniature sun?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '2', 'm1s', 'That must have been quite a fireworks show, eh? Congratulations, agent. Your Imperial service record is shaping up quite nicely.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '3', 'm1o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '4', 'm1t', 'Make a Munitions Depot Go Boom');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '5', 'm2d', 'A Rebel mining facility has been identified by Intelligence and we need it destroyed. These Rebels have a habit of slipping through our blockades during a full military strike so we\'d like you to lead a small team of loyal agents to accomplish this mission instead. Do you think you can serve your Empire in this manner?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '6', 'm2s', 'If the Rebels thought we would overlook a small mining operation, they were sadly mistaken. Well done. Your efforts on behalf of the Empire are noted. Claim your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '7', 'm2o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '8', 'm2t', 'Smash Rebel Mining Operation');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '9', 'm3d', 'Imperial Intelligence believes that a small outpost is housing a communications array currently being employed by the Rebellion to coordinate local Rebel cell activity. Put this place out of operation. We will not have this sort of Rebel activity in that sector. How dare the Rebels think this would go unnoticed. Can the Empire rely on you? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '10', 'm3s', 'So much for that outpost. Bravo, loyal citizen! Your efforts may take you far in the ranks of the Empire. We hope you continue to serve us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '11', 'm3o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '12', 'm3t', 'Disrupt Rebel Communications');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '13', 'm4d', 'What we thought was a legitimate medical facility has turned out to be a Rebel medical supply depot. It seems they\'ve been using sick citizens as cover, trying to get us to believe they were operating according to Imperial laws. We feel for these sick individuals, although no doubt many of them are Rebel sympathizers, but this facility must be destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '14', 'm4s', 'Bacta is wasted on Rebel scum, do not worry. You have done very well and we are highly pleased. Our missions require someone with a strong constitution. You should seek us out in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '15', 'm4o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '16', 'm4t', 'Blast Medical Supply Depot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '17', 'm5d', 'Rebels have been transporting alien refugees to various outposts throughout the galaxy. Many of these refugees are escaped slaves or criminals. We\'ve managed to locate one of these outposts and now need to make sure it will no longer serve the cause of the Rebellion. We need a trusted agent to eradicate this facility in the name of Imperial justice. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '18', 'm5s', 'Congratulations, citizen, you have removed many inconveniences for the Empire. Seek us out for future employment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '19', 'm5o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '20', 'm5t', 'Neutralize Rebel Refugees');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '21', 'm6d', 'Thanks to the efforts of our many loyal civilian informants, we\'ve managed to verify the existence of a Rebel transport repair facility. We kept wondering where those Rebels would take their vehicles when they needed repairs. After all, many of them bear the evidence of skirmishes with local civil authorities or Imperial forces. We\'d like this installation eliminated.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '22', 'm6s', 'I suppose the Rebels will have to carry their supplies on their backs now. Job well done, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '23', 'm6o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '24', 'm6t', 'Interrupt Rebel Vehicle Repairs');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '25', 'm7d', 'We\'ve unearthed a Rebel indoctrination camp. Within the walls of these facilities, the minds of loyal citizens are poisoned and warped by the efforts of twisted medical droids and large quantities of illegal glitterstim drugs. We must terminate the activities of this vile installation and insure our citizens remain safe from such atrocities and loyal to the Empire. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '26', 'm7s', 'You have doubtless saved hundreds of loyal citizens from a terrible fate, citizen. You are a true champion of the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '27', 'm7o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '28', 'm7t', 'Stop Rebel Indoctrinations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '29', 'm8d', 'We\'ve discovered a Rebel terrorist sleeper cell masquerading as a droid maintenance facility. We suspect that this cell has been responsible for the deaths of no less than 100 Imperial servants and the destruction of millions of credits worth of property. Can you burn this installation to the ground? These terrorists must pay for their terrible acts of violence against the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '30', 'm8s', 'The deaths of all those Imperial servants are now avenged! You are truly a champion of justice, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '31', 'm8o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '32', 'm8t', 'Remove Rebel Terrorist Cell');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '33', 'm9d', 'A Rebel supply depot has been located. The front for it seems to be a scientific observation outpost of some sort. However, our surveillance images clearly show known Rebels patrolling the facility\'s perimeter. We need a trusted agent to lead a strike against this installation and insure its destruction. Is that you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '34', 'm9s', 'Whatever was in that warehouse will not serve those Rebels now. Good work, agent. Your future does indeed look bright if you continue to serve us in this manner. Collect your reward with pride - you\'ve earned it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '35', 'm9o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '36', 'm9t', 'Destroy Rebel Supply Depot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '37', 'm10d', 'Rather than being horrified by the Rebellion\'s deadly sabotage of the Empire\'s most brilliant and effective weapon against injustice, it seems instead that this terrorist act has encouraged some malcontents to form their own Rebel cell. We need a loyal citizen of the Empire to show these troublemakers the consequences of throwing their lot in with traitors and terrorists. Are you that citizen?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '38', 'm10s', 'A success like this deserves to be celebrated. You must share your victory with your closest friends. If any of them do not seem delighted as we are, give us their name and identification number. You can never be too sure.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '39', 'm10o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '40', 'm10t', 'Attack Traitorous Malcontents');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '41', 'm11d', 'One of Sienar Fleet System\'s chief engineers has foolishly decided to join the ranks of those traitorous Rebels. We\'ve located this engineer and need them silenced before they can supply the Rebellion with technical specs. We believe the traitor is being held at a small warehouse currently used to store speeder parts. Can the Empire rely on you to accomplish this mission?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '42', 'm11s', 'Well done, agent. We hope that engineer was inside that warehouse when it was destroyed, and we hope the Rebellion learned no damaging Imperial secrets.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '43', 'm11o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '44', 'm11t', 'Silence the Traitorous Engineer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '45', 'm12d', 'We\'ve located a small station that is being used by the Rebels to entice young pilots to join their cause. Apparently these Rebels have several X-wing flight simulators that they allow local pilots access to. Unfortunately, this is often enough to get some of these na?ve flyboys to sign up. We need this station destroyed and everything inside incinerated.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '46', 'm12s', 'Little did those local flyboys realize that playing with a flight simulator could be very dangerous. Well done, citizen. The Empire is pleased to reward one such as you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '47', 'm12o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '48', 'm12t', 'Remove Rebel Training Station');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '49', 'm13d', 'Intelligence has finally located one of the Rebellion\'s data slicer hubs. This facility could house several HoloNet transceivers and the slicers who operate them. A strike would remove both. Can the Empire count on you to help make the Imperial HoloNet more secure for military communications? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '50', 'm13s', 'A most excellent strike, agent. These were the sorts of results we had hoped to get by employing you. Claim your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '51', 'm13o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '52', 'm13t', 'Remove Data Slicer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '53', 'm14d', 'Agents within the CSA have informed Imperial Intelligence that many of the workers the Viceprexes had requested for hard labor are being transferred to a holding facility where Rebel agents can rescue convicted spies and sympathizers contained among the roster. We\'ve acquired the coordinates of this facility and need a small team of loyal Imperial agents to obliterate it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '54', 'm14s', 'Well done! We couldn\'t have done it any better ourselves. The Empire could use more agents like you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '55', 'm14o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '56', 'm14t', 'Blast Rebel Holding Facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '57', 'm15d', 'A shipment of Merr-Sonn IR-5 blaster pistols has fallen into the hands of the Rebellion and we believe we\'ve learned where these deadly weapons are being stored. They will certainly be distributed to various Rebel cells for use in intimidation missions. We must destroy this cache of weapons before those scum can use them against our agents. Can the Empire count on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '58', 'm15s', 'Those deadly \"Intimidators\" won\'t threaten the safety of our agents. Good work! The Empire gladly rewards success and loyalty.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '59', 'm15o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '60', 'm15t', 'Break Rebel Weapons');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '61', 'm16d', 'Several MD medical droids have been acquired by the Rebellion. Our spies have provided us with the coordinates to the holding facility where these droids are being stored. We cannot allow the Rebels to have access to proper medical care. We require a small team of loyal agents to find this facility and destroy it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '62', 'm16s', 'A successful strike against the Rebellion. Well done. The reward is yours.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '63', 'm16o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '64', 'm16t', 'Deprive Rebels of Medical Care');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '65', 'm17d', 'The Rebels have managed to get their hands on some old Trade Federation destroyer droids. These units can be used to fortify their outposts and defend their bases. Fortunately, our informants have tracked these droids down and have provided us with the coordinates to the warehouse that is being used to store them. An Imperial strike team is needed to take these droidekas out of commission.  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '66', 'm17s', 'A job well done, agent. The Empire will show its appreciation via this reward. Do come see us again for future missions.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '67', 'm17o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '68', 'm17t', 'Destroy Destroyer Droids');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '69', 'm18d', 'Rebel infiltrators have been stealing laser cutters from Imperial depots. We believe they are building a new base of operations at a secret location. Our tracking beacons indicate the cutters\' location. We need you and your loyal Imperial fellows to strike the Rebel cache and blow it to atoms. Will you help your Empire?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '70', 'm18s', 'Ah, this would doubtless slow the Rebels\' efforts to carve new lairs. You\'ve earned this reward!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '71', 'm18o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '72', 'm18t', 'Laser Cutter Cache');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '73', 'm19d', 'We believe we have identified the meeting site of a traitorous Moff who is plotting with Rebels to assassinate our beloved Emperor. We require an able Imperial strike team to hit this outpost and kill everyone present. Will you take this vital assignment?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '74', 'm19s', 'We can only hope that when you destroyed that outpost, the Moff was present. We\'ll monitor communications to make sure. For your well-executed strike, you have earned this reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '75', 'm19o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '76', 'm19t', 'Traitorous Moff Plots Assassination');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '77', 'm20d', 'The Rebellion is disguising LIN Demolitionmech droids to look like simple R3 units. They are striking at Imperial garrisons with these \"miner bombs.\" We have located a Rebel depot full of mining equipment and explosives, and we require you to destroy it. Reduce all equipment to slag. Can you aid the Empire?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '78', 'm20s', 'An effective piece of work, agent. The Empire is proud. Claim your reward, and seek us out again for more work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '79', 'm20o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '80', 'm20t', 'Rebel Demolitionmech Depot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '81', 'm21d', 'Recent Rebel attacks have used modified A-A5 speeder trucks as armored personnel carriers. We want you to destroy the repair facility used to create these carriers. Will you assist the Empire in removing this threat?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '82', 'm21s', 'Those speeder trucks are common, and the needed military modifications are unfortunately well understood. So you may expect further assignments of this type soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '83', 'm21o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '84', 'm21t', 'A-A5 Speeder Truck Repair Facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '85', 'm22d', 'The Rebellion has obtained stolen R3 units, intended for Imperial cruisers, and is reprogramming them for its own use. We have located a depot holding many stolen R3s, but the droids are useless to us now because they may contain bugging devices. We wish you to destroy the depot, thus keeping the droids out of the hands of our enemies.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '86', 'm22s', 'Pity to see good droids go to waste, but there are always more droids. As for the Rebels -- soon there will be very few of those. Your reward is well earned.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '87', 'm22o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '88', 'm22t', 'Stolen R3 Droid Depot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '89', 'm23d', 'Intelligence informs us that Rebel supply caches of certain rare Outer Rim crystals are to be immediately destroyed. We\'ve located a warehouse containing a large quantity of these crystals. You are to vaporize these minerals for us at once. Can the Empire count on your aid?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '90', 'm23s', 'The Rebels apparently are using these crystals to fashion some fiendish new weapon. We can only hope your success retards their progress. Well done.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '91', 'm23o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '92', 'm23t', 'Warehouse of Rare Crystals');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '93', 'm24d', 'The Empire has engineered an airborne virus for deployment at anti-Imperial demonstrations in the Core Worlds. Rebels have analyzed the virus and created a retroviral vaccine. We have located a production run of the vaccine in a small medical depot. We wish it destroyed -- all of it. Will you assist us in this matter?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '94', 'm24s', 'Our viral plans should meet with better success now. Well done, citizen. The Empire will not forget your work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '95', 'm24o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '96', 'm24t', 'Retrovirus Vaccine Supply Depot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '97', 'm25d', 'The Rebels are stockpiling climate control units, undoubtedly for use in remote bases in the Outer Rim. We want these units destroyed. You, being a loyal Imperial agent, would certainly be willing to take care of this, correct?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '98', 'm25s', 'We didn\'t expect climate control units to present much threat. But we appreciate your clean and efficient attack. Well done!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '99', 'm25o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '100', 'm25t', 'Climate Control Unit Storage Facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '101', 'm26d', 'Rebel leaders are meeting with officials of the Bounty Hunters\' Guild, apparently to offer concocted \"proof\" that the Empire has attacked the Guild. We must stop this dangerous nonsense. Here are the coordinates of the secret meeting location. Go there and destroy everything and everyone you see. Do not mention the Empire, of course.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '102', 'm26s', 'Dead Rebels, and dead bounty hunters, tell no tales. Bravo, citizen. You are shaping up into a highly professional agent.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '103', 'm26o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '104', 'm26t', 'Meeting of Rebels and Bounty Hunters\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '105', 'm27d', 'Rebels have taken over a speeder shop. They are apparently coercing its mechanics to adapt prototype speeders for operation in harsh climatic conditions. We would like you to stop this terrorist activity before it erupts into a full hostage situation. The hostages are presumed corrupted by now and can be safely killed with the rest.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '106', 'm27s', 'A job well done. Now we must try to discern what the Rebellion planned to do with those speeders. But that is a task for another day, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '107', 'm27o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '108', 'm27t', 'Speeder Garage Taken by Rebels');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '109', 'm28d', 'We have found a refueling depot used by the Rebel-friendly smugglers they quaintly call \"procurement specialists.\" Because the military is preoccupied tracking down actual Rebel bases, we wish you to destroy this depot, quickly and thoroughly. Leave no survivors. Can you do this?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '110', 'm28s', 'Smugglers are not just a problem for the local authorities. They aid the Rebels and are therefore our problem as well. We are glad we can rely on you in such matters.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '111', 'm28o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '112', 'm28t', 'Smuggler Refueling Depot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '113', 'm29d', 'We have uncovered a cache of vacuum gyros intended for Rebel transports. Unfortunately, the Rebels destroyed our probot and now know of our discovery. A Rebel contingent is evacuating the cache. We need you to destroy the contraband, and the Rebels, before it is too late. Move quickly!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '114', 'm29s', 'Vacuum gyros allow Gallifree transports to slip through our blockades. Your good work will help us stop them more effectively. Well done!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '115', 'm29o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '116', 'm29t', 'Vacuum Gyro Cache');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '117', 'm30d', 'We have found an encoding array the Rebellion uses to retransmit secret communiques. We require you to smash this installation and thereby cripple their information network. Expect well-armed opposition. If you succeed, the Empire will of course provide generous compensation.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '118', 'm30s', 'Already we have seen reduced numbers of encoded Rebel transmissions, because of your good work. Take this payment with our best respects.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '119', 'm30o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '120', 'm30t', 'Rebel Encoding Station');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '121', 'm31d', 'A new Rebel outpost has received a load of Defender-class space mine housings. We believe the Rebel terrorists plan to insert gravity-manipulation weapons into these casings, which would jeopardize routine hyperspace transits. We require you to wipe out this factory before it can unleash its deadly contraband.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '122', 'm31s', 'Our navigators can breathe more easily now. You have made the star lanes safe once more. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '123', 'm31o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '124', 'm31t', 'Defender Gravity Mine Housings');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '125', 'm32d', 'The Rebels have set up another hyperspace monitoring terminal to track the movement of our capital ships. We need a ground-based agent to assault this station and shut it down. Expect heavy opposition, but be assured this mission is vital to our proud Imperial Navy!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '126', 'm32s', 'Imperial Intelligence will begin sifting through the remains of the terminal shortly, assuming you left any remains. Accept this payment for your success.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '127', 'm32o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '128', 'm32t', 'Hyperspace Monitoring Terminal');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '129', 'm33d', 'Rebels have hijacked rations bound for Imperial garrisons. They have taken the stolen food to a local distribution center, where they use the contraband to bribe local settlers under the pretense of \"famine relief.\" We require you to destroy this distribution center and stop this treachery before it spreads. At once!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '130', 'm33s', 'You have spared local citizens the indignity of consuming stolen food. Take your reward with honor.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '131', 'm33o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '132', 'm33t', 'Hijacked Imperial Rations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '133', 'm34d', 'Recently our field operatives wiped out a Rebel command center using an exciting new airborne biological agent. A group of survivors fled to a small \"safe house,\" carrying several corpses. Our scientists have deemed it prudent to destroy these bodies in the interest of public health. You must blast the entire structure; we shall observe from a safe distance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '134', 'm34s', 'Excellent. Use this reward to relocate well away from populated areas, and avoid bodily contact with any soldier of the Empire. You may go now. Quickly!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '135', 'm34o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '136', 'm34t', 'Eliminate Contaminated Bodies');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '137', 'm35d', 'Recently the Rebellion provoked the untimely destruction of Alderaan. Properly reviled for this heinous crime, the Rebels have sought public sympathy by breeding many of Alderaan\'s native fauna. Loyal citizens of the Empire know that this program is nothing but a transparent act of propaganda. Luckily we have located the center of this traitorous enterprise. Remove it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '138', 'm35s', 'While the beautiful woolly moth of Alderaan may have looked harmless, it was a vicious threat to galactic security. You have advanced the cause of Imperial truth.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '139', 'm35o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '140', 'm35t', 'Burn Rebel Propaganda');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '141', 'm36d', 'Some Imperial agents are in Rebel custody and currently imprisoned in a small but well-guarded holding facility. The Rebels will be on the lookout for uniformed soldiers, so we require some highly-trained civilians to launch a surprise assault on the holding facility and reduce it to rubble. We must assume that the captured agents are dead. Can you help us?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '142', 'm36s', 'We\'re pleased that the captured agents have been liquidated. You have earned the undying respect and loyalty of the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '143', 'm36o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '144', 'm36t', 'Eliminate Captured Agents');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '145', 'm37d', 'The Rebels have launched an insidious scheme to undermine the security of an orderly world. As you know, Imperial engineers have enhanced the water supply of many communities with placidity enzymes to abate civic unrest. The Rebels have captured a local water junction and installed a Creel manifold to siphon off the additives. We need you to blast this junction into oblivion.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '146', 'm37s', 'The Empire is lucky to have such skilled operatives. Rest assured that the community\'s water supply will be fully restored within a few months.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '147', 'm37o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '148', 'm37t', 'Help Purify the Water Supply');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '149', 'm38d', 'For thirty years I languished in the Glythe sector as a remote field operative of the ISB. Now, at the end of my career, I have been transferred to a more civilized system with a chance to make a real impact. To this end I am sending a strike team to take out a suspected Rebel grease refinery. I require well-trained operatives who are not afraid to get their hands dirty.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '150', 'm38s', 'At last I have achieved true success! My grandchildren will thank you for saving a man\'s reputation. Take your payment and enjoy it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '151', 'm38o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '152', 'm38t', 'Strike a Rebel Refinery');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '153', 'm39d', 'We\'ve pinpointed a cloister of fuselage engineers who are aiding the Rebels in their fighter designs. We are commissioning a team of investigators to search these coordinates and eliminate any operations they find. Watch out for surprises and make sure to wipe out any research materials they have gathered.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '154', 'm39s', 'I understand those engineers were tougher than they looked. Or perhaps you are not as competant as you portray yourself. At least you completed the mission.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '155', 'm39o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '156', 'm39t', 'Smash the Cloister of Engineers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '157', 'm40d', 'Rebel pirates have stolen our droids! A shipment of IG-type assassin droids was highjacked en route to a Civil Security Center on Dantooine. We have intercepted Rebel messages that suggest these droids were smuggled to a secret reprogramming facility. A squad of operatives must travel to these coordinates and eradicate the facility immediately.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '158', 'm40s', 'The Empire is grateful for your service. IG assassin droids are expensive. Enjoy your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '159', 'm40o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '160', 'm40t', 'Blast Droid Reprogramming Facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '161', 'm41d', 'Our probe droids have uncovered an underground maintenance station for a squad of Rebel X-wing fighters. These ships have harried our blockade enforcers for several parsecs, but at last we shall have our revenge. We need a contingent of shooters to slip inside and blast the place to dust. Be careful, though, the Rebels have this valuable secret well guarded.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '162', 'm41s', 'We have been tracking those X-wings for many parsecs. At last their destruction is complete. Splendid work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '163', 'm41o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '164', 'm41t', 'Disable the X-wings');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '165', 'm42d', 'The Rebels have stolen the plans for a new Imperial void station and hidden them inside an innocuous MSE-6 droid. We learned that it got aboard a smuggler\'s freighter and landed at these coordinates. We require a strike team to pinpoint the Rebel outpost and smash it to rubble. Imperial Intelligence will inspect the site to retrieve what remains of the offending MSE-6.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '166', 'm42s', 'Excellent work. There\'s no way a mouse droid could have escaped your assault. You have served the Empire well.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '167', 'm42o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '168', 'm42t', 'Find a MSE-6 Droid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '169', 'm43d', 'Our informants have alerted us that a local pharmaceutical shop is doubling as an underground clinic for Rebel agents. We must make sure that these traitors do not have access to medical care. We understand that there are no less than two bacta tanks in operation at this facility. All of this equipment must be destroyed. Are you the Imperial agent we\'re looking for? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '170', 'm43s', 'Good work! Now we will be able to better trace Rebel agents when they are forced to use local medical clinics. The reward is yours. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '171', 'm43o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '172', 'm43t', 'Destroy Rebel Medical Clinic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '173', 'm44d', 'A storage facility housing some outdated communications equipment and refurbished power generators is being used by the local Rebel cell to help supply their members. This equipment had been scheduled to be transported to Imperial junkyards for salvage but it seems the Rebellion got their hands on it first. Make sure this junk is not used to help the Rebellion. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '174', 'm44s', 'You handled that well, citizen. It makes sense that garbage would attract garbage. You\'re an efficient disposal agent.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '175', 'm44o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '176', 'm44t', 'Take Out Parts Warehouse');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '177', 'm45d', 'It has come to our attention that a local livestock dealer harbors seditious motives. Loyal citizens have reported a collection of mynock incubators hidden underneath his shop. As you may know, certain factions of the Rebellion employ mynocks as nuisance tactics against our space fleet. We have judged it prudent to destroy the incubation facility in the interest of galactic security.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '178', 'm45s', 'He put up quite a fight for a simple livestock dealer, didn\'t he? It seems our suspicions are confirmed. Only a Rebel traitor would have that kind of firepower. Well done, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '179', 'm45o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '180', 'm45t', 'Crush the Mynock Incubators');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '181', 'm46d', 'A local community has recently been plagued by a fake recording that depicts the alleged destruction of Empire\'s finest war machine, the Death Star. The transmission has been traced to a broadcast facility at these coordinates. We want you to take a strike team and decimate this unseemly operation. In particular, make certain that all of these fake recording are utterly destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '182', 'm46s', 'Excellent work. Did you happen to view any of the offending holovids before you destroyed them? We\'ll send some security agents around to question you, just in case. Don\'t worry, it\'s a routine debriefing. Who is your next of kin?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '183', 'm46o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '184', 'm46t', 'Raze a Seditious Broadcast Facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '185', 'm47d', 'In the midst of an otherwise obedient community, the Rebels have constructed a power relay cannon that transmits energy beams to passing Rebel fighters. For the public good we must now dispatch a blaster team to blow this relay installation into oblivion. Such an action will assure the locals that the Empire is dilligently protecting their families and properties.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '186', 'm47s', 'Nicely done, citizen. The community has been rendered safe once more. The standard martial curfew will ensure that no Rebels return.  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '187', 'm47o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '188', 'm47t', 'Blast a Rebel Power Relay');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '189', 'm48d', 'They want us to believe they are mere gangsters, but we have discovered that the Ravvo clan are in fact agents of the Rebel Alliance. These creeps have a barracks, at these coordinates, where they practice their marksmanship to the detriment of the Empire. A well-armed assault will teach them that scoffing Imperial authority is a game for fools and dead men.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '190', 'm48s', 'It\'s astounding that so many fools refuse to acknowledge the irresistable might of the Empire. You have shown them the error of their ways.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '191', 'm48o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '192', 'm48t', 'Level a Den of Rebel Sympathizers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '193', 'm49d', 'The Rebellion is spreading rumors that Jedi have returned and have joined the traitorous scum against the Empire. We have seen holograph displays depicting a lightsaber and bearing the ridiculous slogan \"The Jedi have returned! Long live the Republic!\" We\'ve located a warehouse filled with this sort of propaganda and it must bed destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '194', 'm49s', 'A job well done, citizen. The Jedi have not returned and the Rebellion is doomed. Claim your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '195', 'm49o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '196', 'm49t', 'Smash Rebel Propaganda');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '197', 'm50d', 'The Rebellion has been distributing copies of a fabricated hologram showing the destruction of Alderaan by the Empire\'s peacekeeping station, the Death Star. We know Alderaan brought about its own destruction when the \"peaceful\" planet fired an experimental doomsday weapon at the Death Star. Help us destroy these seditious hologram duplication centers.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '198', 'm50s', 'Lies have gone up in smoke, citizen. Job well done! Your work will further the cause of the New Order and serve to glorify the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '199', 'm50o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '200', 'm50t', 'Destroy Hologram Duplication Center');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium.stf', '201', 'number_of_entries', '50');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '1', 'm1d', 'Our probe droids have located a sizable Rebel munitions depot. Taking out this supply cache would limit the number of raids the Rebels could effectively carry out. This depot will probably be well guarded and will certainly be well defended. Can we rely on you to teach these Rebel scum a lesson and turn their depot into a miniature sun?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '2', 'm1o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '3', 'm1s', 'That must have been quite a fireworks show, eh? Congratulations, agent. Your Imperial service record is shaping up quite nicely.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '4', 'm1t', 'Destroy Rebel munitions depot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '5', 'm2d', 'A Rebel mining facility has been identified by Intelligence and we need it destroyed. These Rebels have a habit of slipping through our blockades during a full military strike so we\'d like you to lead a small team of loyal agents to accomplish this mission instead. Do you think you can serve your Empire in this manner?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '6', 'm2o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '7', 'm2s', 'If the Rebels thought we would overlook a small mining operation, they were sadly mistaken. Well done. Your efforts on behalf of the Empire are noted. Claim your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '8', 'm2t', 'Destroy Rebel mining facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '9', 'm3d', 'Intelligence believes that a small outpost is housing a communications array currently being employed by the Rebellion to coordinate local Rebel cell activity. Put this place out of operation. We will not have this sort of Rebel activity in that sector. How dare the Rebels think this would go unnoticed. Can the Empire rely on you? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '10', 'm3o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '11', 'm3s', 'So much for that outpost. Bravo, loyal citizen! Your efforts may take you far in the ranks of the ISB. We hope you continue to serve us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '12', 'm3t', 'Destroy Rebel communications array');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '13', 'm4d', 'Rebels have been transporting alien refugees to various outposts throughout the galaxy. Many of these refugees are escaped slaves or criminals. We\'ve managed to locate one of these outposts and now need to make sure it will no longer serve the cause of the Rebellion. We need a trusted agent to eradicate this facility. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '14', 'm4o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '15', 'm4s', 'You can run but you can\'t hide! Congratulations, citizen, you have removed many inconveniences for the Empire. Seek us out for future employment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '16', 'm4t', 'Destroy Rebel alien refugee outpost');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '17', 'm5d', 'We\'ve unearthed a Rebel indoctrination camp. Within the walls of these facilities, the minds of loyal citizens are poisoned and warped by the efforts of twisted medical droids and large quantities of illegal glitterstim drugs. We must terminate the activities of this vile installation and insure our citizens remain loyal to the Empire. Can you help your Emperor stamp out this loathsome practice? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '18', 'm5o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '19', 'm5s', 'You have doubtless saved hundreds of loyal citizens from a terrible fate, citizen. Losing your faith in the New Order is bad enough, but to lose your mind along with it? You are a true champion of the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '20', 'm5t', 'Destroy Rebel indoctrination camp');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '21', 'm6d', 'We\'ve discovered a Rebel terrorist sleeper cell masquerading as a droid maintenance facility. We suspect that this cell has been responsible for the deaths of no less than 100 Imperial servants and the destruction of millions of credits worth of property. We require a loyal citizen of the Empire to burn this installation to the ground. Are you the agent we\'re looking for?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '22', 'm6o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '23', 'm6s', 'The deaths of all those Imperial servants are now avenged! You are truly a champion of justice, citizen. We hope this is a definite indication of things to come.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '24', 'm6t', 'Destroy Rebel terrorist cell');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '25', 'm7d', 'A Rebel supply depot has been located. The front for it seems to be a scientific observation outpost. We need a trusted agent to lead a strike against this installation and insure its destruction. There\'s no telling how many cells this depot has been supplying or how many Imperial lives have been lost as a result.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '26', 'm7o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '27', 'm7s', 'Whatever was in that warehouse will not serve those Rebels now. Good work, agent. Your future does indeed look bright if you continue to serve us in this manner. Collect your reward with pride - you\'ve earned it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '28', 'm7t', 'Destroy Rebel supply depot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '29', 'm8d', 'We\'ve located a small station that is being used by the Rebels to entice young pilots to join their traitorous cause. Apparently these Rebels have several X-wing flight simulators that they allow local pilots to play around with. Unfortunately, this is often enough to get some of these na?ve flyboys to sign up. We need this station destroyed and everything inside incinerated.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '30', 'm8o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '31', 'm8s', 'Little did those local flyboys realize that playing with a flight simulator could be very dangerous indeed. Well done, citizen. The Empire is pleased to reward one such as you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '32', 'm8t', 'Destroy Rebel training station');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '33', 'm9d', 'Intelligence has finally located one of the Rebellion\'s data slicer hubs. This facility could house several HoloNet transceivers and the slicers who operate them. A strike would remove both. Can the Empire count on you to help make the Imperial HoloNet more secure for military communications? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '34', 'm9o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '35', 'm9s', 'A most excellent strike, agent. These were the sorts of results we had hoped to get by employing you. Claim your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '36', 'm9t', 'Destroy Rebel slicer hub');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '37', 'm10d', 'Agents within the CSA have informed Intelligence that many of the workers the Viceprexes are requesting for hard labor are being transferred to a holding facility so that Rebel agents can rescue convicted Rebel spies and sympathizers contained among the roster. We need a small team of loyal Imperial agents to obliterate this facility. The Empire is counting on you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '38', 'm10o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '39', 'm10s', 'Well done! We couldn\'t have done it any better ourselves. The Empire could use more agents like you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '40', 'm10t', 'Blast Rebel refugee facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '41', 'm11d', 'A shipment of Merr-Sonn IR-5 blaster pistols has fallen into the hands of the Rebellion and we believe we\'ve learned where these deadly weapons are being stored. They will certainly be distributed to various Rebel cells for use in intimidation missions. We must destroy this cache of weapons before those scum can use them against our agents.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '42', 'm11o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '43', 'm11s', 'Those deadly \"Intimidators\" won\'t threaten the safety of our agents. Good work! The Empire gladly rewards success and loyalty.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '44', 'm11t', 'Destroy Rebel weapons cache');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '45', 'm12d', 'Several MD medical droids have been acquired by the Rebellion. Our spies have provided us with the coordinates to the holding facility where these droids are being stored. We cannot allow the Rebels to have access to proper medical care. We require a small team of loyal agents to find this facility and destroy it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '46', 'm12o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '47', 'm12s', 'A successful strike against the Rebellion. Well done. The reward is yours.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '48', 'm12t', 'Destroy Rebel medical droids');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '49', 'm13d', 'The Rebels have been targeting Imperial depots containing laser cutters. We believe they need them to build a new operational base although we do not yet know its location. Our agents have managed, however, to locate some of these laser cutters and have sent us the coordinates where they are being housed. We need a few loyal Imperial agents to strike this storage depot.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '50', 'm13o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '51', 'm13s', 'Success! This will doubtless slow the Rebels\' efforts to carve out new lairs. You\'ve earned your reward, agent.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '52', 'm13t', 'No more Rebel bases');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '53', 'm14d', 'A traitorous moff has offered to aid the Rebels attempt to assassinate our beloved Emperor. We\'ve pinpointed where this traitor and his agents will be meeting with the Rebellion\'s agents to make the arrangements. We require an able and loyal Imperial strike team to hit this outpost and insure its destruction. Could you assemble and lead such a team?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '54', 'm14o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '55', 'm14s', 'We have not ascertained if the moff was at that meeting when you destroyed the outpost. We\'ll have to continue monitoring communications. In any case, your strike against that Rebel outpost was superb.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '56', 'm14t', 'Hunt a traitorous moff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '57', 'm15d', 'Local garrisons have reported recent Rebel attacks that have employed modified A-A5 speeder trucks as armored personnel carriers. We\'ve located several civilian speeder repair facilities that could be used to create these carriers. We want these installations destroyed. Can you assist the Empire in removing this potential threat? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '58', 'm15o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '59', 'm15s', 'Good work, agent. We knew these stations were serving those Rebel scum and you\'ve helped prove it. We hope this is the beginning of a very profitable career for you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '60', 'm15t', 'Take out Rebel repair stations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '61', 'm16d', 'The Rebels have taken an interest in certain rare types of crystals. Intelligence has instructed us to destroy any supply depot containing caches of such minerals. We\'ve located a small warehouse containing a large quantity of mineral desposits mined from the Outer Rim. We need loyal Imperial servants to vaporize this warehouse.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '62', 'm16o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '63', 'm16s', 'An efficient handling of the mission, agent. Well done. The Empire is proud to reward you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '64', 'm16t', 'Smash the mysterious crystals');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '65', 'm17d', 'We\'ve been alerted to the presence of a Rebel supply depot that seems to be housing hundreds of climate control units. No doubt these are intended for remote Rebel bases in the Outer Rim. We want these units destroyed and figure a loyal and skilled Imperial agent ought to be able to take care of that for us. No need to call in a full military strike.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '66', 'm17o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '67', 'm17s', 'Clean and efficient, citizen, just like we like it. COMPNOR could use more agents like you. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '68', 'm17t', 'Make it cold for the Rebels');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '69', 'm18d', 'We finally identified the traitor who has been supplying vacuum gyros for Rebel transports. We have the coordinates to the traitor\'s secret gyro cache. Unfortunately he knows we are coming. Our sources tell us that a contingent of Rebel soldiers is evacuating the cache. We need to dispatch a team to destroy this contraband before the Rebels take it away.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '70', 'm18o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '71', 'm18s', 'Well done, citizen. Those Gallifree transports slip through our blockades too easily. Perhaps now we can stop those Rebel scum.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '72', 'm18t', 'Cripple Rebel transports');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '73', 'm19d', 'Ion space mines are an important tool of the Imperial Navy, but in the hands of Rebel terrorists they become a menace to all law-abiding spacefarers. We have tracked a freighter to a known Rebel outpost, where it deposited a load of Defender-class mines. If we can wipe out this factory before its deadly contraband is unleashed, the star lanes will be safe once more.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '74', 'm19o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '75', 'm19s', 'The Imperial Navy is indebted to you. Accept this payment and the gratitude of the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '76', 'm19t', 'Take out the space mines');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '77', 'm20d', 'Rebel pirates have stolen our droids! A shipment of IG-type assassin droids was highjacked en route to a Civil Security Center on Dantooine. Intercepted Rebel transmissions suggest these droids were smuggled to a secret reprogramming facility, where technicians will turn the IGs into gardening and botanical droids. A squad must locate and destroy this facility.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '78', 'm20o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '79', 'm20s', 'The Empire is grateful for your service. IG assassin droids make lousy botanical arrangements. Enjoy your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '80', 'm20t', 'Assassin droids do not pick posies');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '81', 'm21d', 'Our probe droids have uncovered an underground maintenance station for a squad of Rebel X-wing fighters. These ships have harried our blockade enforcers for several parsecs, but at last we shall have our revenge. We need a contingent of shooters to slip inside and blast the place to dust. Be careful, as the Rebels have this valuable secret well guarded.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '82', 'm21o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '83', 'm21s', 'We have been tracking those X-wings for many parsecs. At last their destruction is complete. Splendid work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '84', 'm21t', 'Smash a squad of X-wing fighters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '85', 'm22d', 'We\'ve discovered a local livestock dealer who harbors seditious motives. Loyal citizens have reported a collection of mynock incubators hidden underneath his shop. Certain factions of the Rebellion employ mynocks as nuisance tactics against our space fleet. We have judged it prudent to destroy the incubation facility in the interest of galactic security.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '86', 'm22o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '87', 'm22s', 'He put up quite a fight for a simple livestock dealer, didn\'t he? It seems our suspicions are confirmed. Only a Rebel traitor would have that kind of firepower. Well done, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '88', 'm22t', 'Crush a mynock incubator');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '89', 'm23d', 'A local community has recently been plagued by a fake holovid recording that depicts the alleged destruction of Empire\'s finest war machine, the Death Star. The transmission has been traced to a broadcast facility. You must take a strike team and decimate this unseemly operation. These untruths will not soil the tranquility of our loyal and obedient communities.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '90', 'm23o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '91', 'm23s', 'Excellent work. Did you happen to view any of the offending holovids before you destroyed them? We\'ll send some security agents around to question you, just in case. Don\'t worry, it\'s a routine debriefing. Who is your next of kin?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '92', 'm23t', 'Raze a seditious broadcast facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '93', 'm24d', 'In the midst of an otherwise obedient community, the Rebellion has constructed a power relay cannon that transmits energy beams to passing Rebel fighters. For the public good we must now dispatch a blaster team to blow this relay installation into oblivion. Such an action will assure the locals that the Empire is dilligently protecting their families and properties.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '94', 'm24o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '95', 'm24s', 'Nicely done, citizen. The community has been rendered safe once more. The standard martial curfew will ensure that no Rebels return. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '96', 'm24t', 'Blast a Rebel power relay');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '97', 'm25d', 'The Inquisitorius has ordered a strike on a Rebel outpost that has been conducting unusual experiments involving the Force and Force-users. We cannot imagine that the Rebellion would be foolish enough to attempt to establish another Jedi training academy, especially in light of the corruption that was revealed within the ranks of the old Jedi Order. Can you assemble a strike team to take care of this?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '98', 'm25o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '99', 'm25s', 'A new breed of Jedi shall not rise to threaten our beloved Empire thanks to you, agent. Well done! The Emperor will hear of your success. Be proud.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_military_medium_non_persistent_from_npc.stf', '100', 'm25t', 'Destroy Rebel training outpost');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '1', 'm1d', 'We\'ve discovered a Rebel recruitment station in your area. It must be wiped out immediately. These Rebel scum must be getting brave indeed to attempt to recruit openly for their traitorous cause. Can we rely on you, citizen, to make sure the Rebellion does not ensnare any more Imperial citizens? Burn this station to the ground.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '2', 'm1f', 'If the Empire cannot deal effectively with such flagrant displays of treason, what hope do you think we have of a swift victory over the Rebellion? Your failure, small though it may be, impacts the larger conflict. We must be seen as efficient, unstoppable, and relentless. We find this outcome... disturbing.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '3', 'm1i', 'Those scum move fast or else our intelligence was sabotaged by Rebel misinformation. We must put a stop to these Rebel slicers. Report to us again and we\'ll give you the correct coordinates of this station.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '4', 'm1l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '5', 'm1o', 'Imperial Security Bureau ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '6', 'm1s', 'If only we could have seen the looks on those Rebels\' faces when you torched their installation to the ground. With agents such as yourself working for us, we\'ll have this Rebellion well in hand in no time. We are quite pleased, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '7', 'm1t', 'Destroy Rebel recruitment station');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '8', 'm2d', 'A small Rebel surveillance post has been located. This post has been coordinating local cell activity for months. We don\'t want to bother our already overworked Imperial military with this task when we could take care of this locally. Can we rely on you, citizen, to serve your Empire and destroy this installation?  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '9', 'm2f', 'Now the warning will go out to all the local cells and they\'ll be doubly difficult to root out. This failure taints the reputation of our entire organization, citizen. How could you have let this happen? You must make amends in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '10', 'm2i', 'The Rebels must have been alerted to our intentions. They can move fast, citizen. So next time we must move faster. Continue serving your Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '11', 'm2l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '12', 'm2o', 'Imperial Security Bureau ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '13', 'm2s', 'We\'ll be monitoring the local cell activity more closely now. The destruction of the post will almost certainly throw them into confusion for a short time. We must take advantage of this moment. Our thanks, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '14', 'm2t', 'Destroy Rebel surveillance post');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '15', 'm3d', 'An informant has given us the location of a small Rebel supply depot. The informant claims the depot contains medical supplies bound for Rebel outposts in the Outer Rim. We\'d like to call upon you to help us destroy this depot and deprive those scum of medical aid. Does this sound like something you could help us with? We would be most appreciative. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '16', 'm3f', 'The last thing the Imperial military needs is healthy Rebels. How could have let those medical supplies slip through your fingers? This failure does not endear you to our organization, citizen. We are displeased.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '17', 'm3i', 'We\'ll check out future informant information more carefully. Perhaps this informant was a Rebel double agent trying to throw us off the track. We\'ll investigate the matter. We hope you continue to encourage business transactions between us, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '18', 'm3l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '19', 'm3o', 'Imperial Security Bureau ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '20', 'm3s', 'The thought of a wounded Rebel terrorist deprived of proper medical aid brings a smile to our faces, citizen. You have done well. Agents such as you are hard to come by. It is our hope you\'ll continue to explore this profitable business venture.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '21', 'm3t', 'Blast Rebel medical supply depot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '22', 'm4d', 'Rebel strike teams have been operating out of this area and have caused considerable damage to Imperial installations. We believe we\'ve located their supply depot and wish you employ your services in taking it out. Are you interested in such a venture? The rewards for serving the Empire faithfully are generous indeed, citizen. Surely you\'ll undertake this mission for us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '23', 'm4f', 'How difficult could taking out a supply depot be, citizen? It\'s not as if we were asking you to take out High Command itself. This sort of incompetence is hardly excuseable. You must prove your worth to the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '24', 'm4i', 'The Rebel strike team either emptied that depot or else we have to look into the possibility that our intelligence was somehow faulty. With the trillions of communiques that the Imperial Analysis Bureau must sort through every day, it\'s no wonder they occasionally deliver unreliable information.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '25', 'm4l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '26', 'm4o', 'Imperial Security Bureau ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '27', 'm4s', 'Excellent. Our next step will be locating these strike teams and eliminating their threat. Contact us again if you wish to assist further in this matter, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '28', 'm4t', 'Take out strike team supply depot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '29', 'm5d', 'A Rebel droid repair facility has been identified by Imperial Intelligence. This installation is small enough to not merit the attention of the Imperial Army or the stormtroopers. Therefore we must rely upon loyal, enterprising citizens such as yourself to help the Empire. Can you take care of making sure this installation does not benefit the Rebels any longer? The Empire is counting on you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '30', 'm5f', 'You couldn\'t even take out a droid repair facility? Imagine what would have happened if that had been a full-fledged Rebel outpost? What would your failure have cost you then, citizen? Your life, certainly, but most importantly a grave embarrassment for our organization. COMPNOR is most displeased.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '31', 'm5i', 'We must make sure Imperial Intelligence sends us accurate reports and coordinates if we\'re to effectively serve the Empire. Come and see us again, citizen. We should have this matter cleared up by then.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '32', 'm5l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '33', 'm5o', 'Imperial Security Bureau ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '34', 'm5s', 'Success, citizen! I can only imagine the sight - droid parts flying through the air, clouds of choking smoke, the acrid scent of burning oil. I see a long and prosperous career ahead of you, citizen. Long live the Emperor!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '35', 'm5t', 'Destroy droid repair facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '36', 'm6d', 'A Rebel safe house has been located by loyal citizens. This safe house has been used in the past to shelter suspected traitors wanted for questioning by Imperial Intelligence. This refuge must be destroyed. The Empire will not tolerate anyone protecting potential criminals. The facility should not be too heavily guarded but will no doubt possess some defenses. Do you think you could assist the Empire in taking care of this problem? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '37', 'm6f', 'No doubt many of the fugitives hiding inside were allowed to escape Imperial justice. This failure should be embarrassing to you, citizen. We\'re certainly embarrassed for you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '38', 'm6i', 'The Rebels must have moved the fugitives to another location. No worries. We\'ll track them down soon enough.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '39', 'm6l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '40', 'm6o', 'Imperial Security Bureau ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '41', 'm6s', 'Good work, citizen. The Rebellion will learn that there is no such thing as a \"safe house\" for traitors. Not in this galaxy, anyway. Claim your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '42', 'm6t', 'Destroy Rebel safe house');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '43', 'm7d', 'We\'ve identified an abandoned warehouse that is being used by Rebels as a clandestine meeting place. Loyal informants in the area have also seen known smugglers entering the warehouse at odd hours of the night. We don\'t wish to trouble our hard-working Imperial military with this matter when we could take care of it locally. What we need is a resourceful and cunning agent to take care of this situation for us. Blasters are so effective at demolishing walls, don\'t you agree? Are you the agent COMPNOR is looking for?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '44', 'm7f', 'A simple warehouse was too much for you? What sort of agent are you, anyway? Failure is not something COMPNOR accepts easily.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '45', 'm7i', 'It seems a Rebel double agent might have slipped us some bad information. We\'ll have to do a screening of all our informants again soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '46', 'm7l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '47', 'm7o', 'Imperial Security Bureau ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '48', 'm7s', 'They can run but they can\'t hide. Excellent work, agent. COMPNOR is looking for more resourceful individuals like yourself. Hail the Empire! ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '49', 'm7t', 'Destroy Rebel meeting place');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '50', 'm8d', 'A Rebel courier drop off point has been brought to our attention. This facility helps sort encoded messages going to the local cells. The Empire needs this way station destroyed. It shouldn\'t require more than a few resourceful Imperial agents. Do you deem yourself one of these agents? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '51', 'm8f', 'A way station gave you trouble? How distressing. I wonder how badly you\'d have failed if this had been a heavily defended Rebel base? Very disappointing.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '52', 'm8i', 'The Rebel scum must have gotten word of our impending destroy mission. Worry not, we\'ll find them eventually.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '53', 'm8l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '54', 'm8o', 'Imperial Security Bureau ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '55', 'm8s', 'Now that is how an effective agent handles Rebel scum. Well done. COMPNOR enjoys rewarding capable agents.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '56', 'm8t', 'Take out Rebel way station');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '57', 'm9d', 'The Rebellion is trying to generate support for its traitorous cause by distributing copies of a fabricated hologram showing the destruction of Alderaan by the Empire\'s peacekeeping station, the Death Star. We know that Alderaan brought about its own destruction when the supposedly peaceful planet fired an experimental doomsday weapon at the Death Star, which had entered the Alderaan system in order to place Bail Organa under arrest. The devasting weapon and Alderaan\'s treachery proved to be the planet\'s undoing. COMPNOR wishes to stamp out the vicious rumors that the Empire destroyed Alderaan. You can help by destroying one of these hologram duplication centers. It should not require more than a dedicated agent or two. Can you help the Empire set the record straight, citizen?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '58', 'm9f', 'A hologram duplication station should have been ion cannon fodder, citizen. Failure is simply inexcusable. We are most disappointed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '59', 'm9i', 'There are several of these stations scattered throughout the galaxy, citizen. We must find them and destroy them. They won\'t escape us for long.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '60', 'm9l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '61', 'm9o', 'Imperial Security Bureau ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '62', 'm9s', 'Lies have gone up in smoke, citizen. Job well done! Your work will further the cause of the New Order and serve to glorify the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '63', 'm9t', 'Destroy hologram duplication center');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '64', 'm10d', 'The Rebellion is spreading rumors that Jedi have returned and have joined the traitorous scum against the Empire. We have seen holograph posters depicting a lightsaber and bearing the ridiculous slogan \"The Jedi have returned! Long live the Republic!\" These holographs have been spotted with increasing frequency in the Outer Rim and are slowly making their way into the Core Worlds. COMPNOR has located a small warehouse filled with this sort of propaganda and it must bed destroyed. We doubt that it would be guarded by more than a few Rebels. Can you take care of this task for the Empire, citizen?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '65', 'm10f', 'A few Rebels defending some propaganda materials was too much for you? COMPNOR must question your loyalty to the Empire, citizen. Your failure is worrisome.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '66', 'm10i', 'They must have moved the materials elsewhere. Strange that our informants were so mistaken.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '67', 'm10l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '68', 'm10o', 'Imperial Security Bureau ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '69', 'm10s', 'A job well done, citizen. The Jedi have not returned and Rebellion is doomed. Claim your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '70', 'm10t', 'Remove Rebel propaganda office');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '71', 'm11d', 'A storage facility housing some outdated communications equipment and refurbished power generators is being used by the local Rebel cell to help supply their members. This equipment had been scheduled to be transported to Imperial junkyards for salvage but it seems the Rebellion got their hands on it first. Make sure this junk is not used to help the Rebellion. Those scum are like vermin and will greedily snatch up any materials they can to aid their traitorous cause. The Empire is counting on your aid, citizen. We hope you will not fail to answer the call to duty. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '72', 'm11f', 'We simply cannot understand your failure to destroy a pile of junk and a few sentries. This does not bode well for your future with us, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '73', 'm11i', 'Our coordinates seem to have been incorrect. We\'ll double-check them. Report back to us soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '74', 'm11l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '75', 'm11o', 'Imperial Security Bureau ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '76', 'm11s', 'You handled that well, citizen. It makes sense that garbage would attract garbage. You\'re an efficient disposal agent.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '77', 'm11t', 'Take out parts warehouse');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '78', 'm12d', 'A small speeder repair facility has been sheltering suspected Rebels from Imperial law enforcement agents. These fugitives make contact with the local Rebel cell leaders at this garage and are transported out to various bases around the galaxy. It is our duty as loyal Imperial citizens to put this garage out of business. We hope that you will be able to take care of this situation for us. Can the Empire count on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '79', 'm12f', 'Mechanics and fugitives can pose this much of a problem for you, citizen? We hope this failure is not an indication of what we should expect from you in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '80', 'm12i', 'The facility\'s location eludes us for now. We will straighten this out and call on you again, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '81', 'm12l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '82', 'm12o', 'Imperial Security Bureau ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '83', 'm12s', 'We knew you were the right agent for this job, citizen. Bravo! Your success will lead to greater and more perilous missions in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '84', 'm12t', 'Destroy Rebel safe house');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '85', 'm13d', 'Our informants have alerted us that a local pharmaceutical shop is doubling as an underground clinic for Rebel agents. We must make sure that these traitors do not have access to medical care. We understand that there are no less than two bacta tanks in operation at this facility. All of this equipment must be destroyed. Are you the Imperial agent we\'re looking for? This mission will require both resourcefullness and ruthlessness. Do you possess both? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '86', 'm13f', 'You were thwarted by bacta and medics? Your failure is puzzling, citizen. We will look deeper into your background before employing you again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '87', 'm13i', 'We\'ve been misled as to the coordinates of this facility. Those Rebels excel at misdirection.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '88', 'm13l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '89', 'm13o', 'Imperial Security Bureau ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '90', 'm13s', 'Good work! Now we will be able to better trace Rebel agents when they are forced to use local medical clinics. The reward is yours. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '91', 'm13t', 'Destroy Rebel medical clinic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy.stf', '92', 'number_of_entries', '13');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '1', 'm1d', 'Our probe droids have located a sizable Rebel munitions depot. Taking out this supply cache would limit the number of raids the Rebels could effectively carry out. This depot will probably be well guarded and will certainly be well defended. Can we rely on you to teach these Rebel scum a lesson and turn their depot into a miniature sun?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '2', 'm1o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '3', 'm1s', 'That must have been quite a fireworks show, eh? Congratulations, agent. Your Imperial service record is shaping up quite nicely.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '4', 'm1t', 'Rebel Munitions Depot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '5', 'm2d', 'A Rebel mining facility has been identified by Intelligence and we need it destroyed. These Rebels have a habit of slipping through our blockades during a full military strike so we\'d like you to lead a small team of loyal agents to accomplish this mission instead. Do you think you can serve your Empire in this manner?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '6', 'm2o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '7', 'm2s', 'If the Rebels thought we would overlook a small mining operation, they were sadly mistaken. Well done. Your efforts on behalf of the Empire are noted. Claim your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '8', 'm2t', 'Rebel Mining Facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '9', 'm3d', 'Intelligence believes that a small outpost is housing a communications array currently being employed by the Rebellion to coordinate local Rebel cell activity. Put this place out of operation. We will not have this sort of Rebel activity in that sector. How dare the Rebels think this would go unnoticed. Can the Empire rely on you? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '10', 'm3o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '11', 'm3s', 'So much for that outpost. Bravo, loyal citizen! Your efforts may take you far in the ranks of the ISB. We hope you continue to serve us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '12', 'm3t', 'Communications Array');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '13', 'm4d', 'Rebels have been transporting alien refugees to various outposts throughout the galaxy. Many of these refugees are escaped slaves or criminals. We\'ve managed to locate one of these outposts and now need to make sure it will no longer serve the cause of the Rebellion. We need a trusted agent to eradicate this facility. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '14', 'm4o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '15', 'm4s', 'You can run but you can\'t hide! Congratulations, citizen, you have removed many inconveniences for the Empire. Seek us out for future employment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '16', 'm4t', 'Alien Refugee Outpost');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '17', 'm5d', 'We\'ve unearthed a Rebel indoctrination camp. Within the walls of these facilities, the minds of loyal citizens are poisoned and warped by the efforts of twisted medical droids and large quantities of illegal glitterstim drugs. We must terminate the activities of this vile installation and insure our citizens remain loyal to the Empire. Can you help your Emperor stamp out this loathsome practice? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '18', 'm5o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '19', 'm5s', 'You have doubtless saved hundreds of loyal citizens from a terrible fate, citizen. Losing your faith in the New Order is bad enough, but to lose your mind along with it? You are a true champion of the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '20', 'm5t', 'Rebel Indoctrination Camp');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '21', 'm6d', 'We\'ve discovered a Rebel terrorist sleeper cell masquerading as a droid maintenance facility. We suspect that this cell has been responsible for the deaths of no less than 100 Imperial servants and the destruction of millions of credits worth of property. We require a loyal citizen of the Empire to burn this installation to the ground. Are you the agent we\'re looking for?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '22', 'm6o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '23', 'm6s', 'The deaths of all those Imperial servants are now avenged! You are truly a champion of justice, citizen. We hope this is a definite indication of things to come.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '24', 'm6t', 'Terrorist Cell');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '25', 'm7d', 'A Rebel supply depot has been located. The front for it seems to be a scientific observation outpost. We need a trusted agent to lead a strike against this installation and insure its destruction. There\'s no telling how many cells this depot has been supplying or how many Imperial lives have been lost as a result.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '26', 'm7o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '27', 'm7s', 'Whatever was in that warehouse will not serve those Rebels now. Good work, agent. Your future does indeed look bright if you continue to serve us in this manner. Collect your reward with pride - you\'ve earned it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '28', 'm7t', 'Rebel Supply Depot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '29', 'm8d', 'We\'ve located a small station that is being used by the Rebels to entice young pilots to join their traitorous cause. Apparently these Rebels have several X-wing flight simulators that they allow local pilots to play around with. Unfortunately, this is often enough to get some of these na?ve flyboys to sign up. We need this station destroyed and everything inside incinerated.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '30', 'm8o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '31', 'm8s', 'Little did those local flyboys realize that playing with a flight simulator could be very dangerous indeed. Well done, citizen. The Empire is pleased to reward one such as you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '32', 'm8t', 'Rebel Training Station');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '33', 'm9d', 'Intelligence has finally located one of the Rebellion\'s data slicer hubs. This facility could house several HoloNet transceivers and the slicers who operate them. A strike would remove both. Can the Empire count on you to help make the Imperial HoloNet more secure for military communications? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '34', 'm9o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '35', 'm9s', 'A most excellent strike, agent. These were the sorts of results we had hoped to get by employing you. Claim your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '36', 'm9t', 'Slicer Hub');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '37', 'm10d', 'Agents within the CSA have informed Intelligence that many of the workers the Viceprexes are requesting for hard labor are being transferred to a holding facility so that Rebel agents can rescue convicted Rebel spies and sympathizers contained among the roster. We need a small team of loyal Imperial agents to obliterate this facility. The Empire is counting on you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '38', 'm10o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '39', 'm10s', 'Well done! We couldn\'t have done it any better ourselves. The Empire could use more agents like you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '40', 'm10t', 'Refugee Facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '41', 'm11d', 'A shipment of Merr-Sonn IR-5 blaster pistols has fallen into the hands of the Rebellion and we believe we\'ve learned where these deadly weapons are being stored. They will certainly be distributed to various Rebel cells for use in intimidation missions. We must destroy this cache of weapons before those scum can use them against our agents.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '42', 'm11o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '43', 'm11s', 'Those deadly \"Intimidators\" won\'t threaten the safety of our agents. Good work! The Empire gladly rewards success and loyalty.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '44', 'm11t', 'Weapons Cache');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '45', 'm12d', 'Several MD medical droids have been acquired by the Rebellion. Our spies have provided us with the coordinates to the holding facility where these droids are being stored. We cannot allow the Rebels to have access to proper medical care. We require a small team of loyal agents to find this facility and destroy it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '46', 'm12o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '47', 'm12s', 'A successful strike against the Rebellion. Well done. The reward is yours.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '48', 'm12t', 'Rebel Medical Droids');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '49', 'm13d', 'The Rebels have been targeting Imperial depots containing laser cutters. We believe they need them to build a new operational base although we do not yet know its location. Our agents have managed, however, to locate some of these laser cutters and have sent us the coordinates where they are being housed. We need a few loyal Imperial agents to strike this storage depot.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '50', 'm13o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '51', 'm13s', 'Success! This will doubtless slow the Rebels\' efforts to carve out new lairs. You\'ve earned your reward, agent.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '52', 'm13t', 'Laser Cutter Storage Depot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '53', 'm14d', 'A traitorous Moff has offered to aid the Rebels attempt to assassinate our beloved Emperor. We\'ve pinpointed where this traitor and his agents will be meeting with the Rebellion\'s agents to make the arrangements. We require an able and loyal Imperial strike team to hit this outpost and insure its destruction. Could you assemble and lead such a team?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '54', 'm14o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '55', 'm14s', 'We have not ascertained whether the Moff was at that meeting when you destroyed the outpost. We\'ll have to continue monitoring communications. In any case, your strike against that Rebel outpost was superb.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '56', 'm14t', 'Hunt a Traitorous Moff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '57', 'm15d', 'Local garrisons have reported recent Rebel attacks that have employed modified A-A5 speeder trucks as armored personnel carriers. We\'ve located several civilian speeder repair facilities that could be used to create these carriers. We want these installations destroyed. Can you assist the Empire in removing this potential threat? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '58', 'm15o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '59', 'm15s', 'Good work, agent. We knew these stations were serving those Rebel scum and you\'ve helped prove it. We hope this is the beginning of a very profitable career for you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '60', 'm15t', 'Take Out Rebel Repair Stations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '61', 'm16d', 'The Rebels have taken an interest in certain rare types of crystals. Intelligence has instructed us to destroy any supply depot containing caches of such minerals. We\'ve located a small warehouse containing a large quantity of mineral desposits mined from the Outer Rim. We need loyal Imperial servants to vaporize this warehouse.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '62', 'm16o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '63', 'm16s', 'An efficient handling of the mission, agent. Well done. The Empire is proud to reward you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '64', 'm16t', 'Smash Mysterious Crystals');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '65', 'm17d', 'We\'ve been alerted to the presence of a Rebel supply depot that seems to be housing hundreds of climate control units. No doubt these are intended for remote Rebel bases in the Outer Rim. We want these units destroyed and figure a loyal and skilled Imperial agent ought to be able to take care of that for us. No need to call in a full military strike.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '66', 'm17o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '67', 'm17s', 'Clean and efficient, citizen, just like we like it. COMPNOR could use more agents like you. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '68', 'm17t', 'Make It Cold for the Rebels');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '69', 'm18d', 'We finally identified the traitor who has been supplying vacuum gyros for Rebel transports. We have the coordinates to the traitor\'s secret gyro cache. Unfortunately he knows we are coming. Our sources tell us that a contingent of Rebel soldiers is evacuating the cache. We need to dispatch a team to destroy this contraband before the Rebels take it away.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '70', 'm18o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '71', 'm18s', 'Well done, citizen. Those Gallifree transports slip through our blockades too easily. Perhaps now we can stop those Rebel scum.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '72', 'm18t', 'Cripple Rebel Transports');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '73', 'm19d', 'Ion space mines are an important tool of the Imperial Navy, but in the hands of Rebel terrorists they become a menace to all law-abiding spacefarers. We have tracked a freighter to a known Rebel outpost, where it deposited a load of Defender-class mines. If we can wipe out this factory before its deadly contraband is unleashed, the star lanes will be safe once more.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '74', 'm19o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '75', 'm19s', 'The Imperial Navy is indebted to you. Accept this payment and the gratitude of the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '76', 'm19t', 'Take Out Space Mines');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '77', 'm20d', 'Rebel pirates have stolen our droids! A shipment of IG-type assassin droids was hijacked en route to a Civil Security Center on Dantooine. Intercepted Rebel transmissions suggest these droids were smuggled to a secret reprogramming facility, where technicians will turn the IGs into gardening and botanical droids. A squad must locate and destroy this facility.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '78', 'm20o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '79', 'm20s', 'The Empire is grateful for your service. IG assassin droids make lousy botanical arrangements. Enjoy your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '80', 'm20t', 'Assassin Droids Do Not Pick Posies');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '81', 'm21d', 'Our probe droids have uncovered an underground maintenance station for a squad of Rebel X-wing fighters. These ships have harried our blockade enforcers for several parsecs, but at last we shall have our revenge. We need a contingent of shooters to slip inside and blast the place to dust. Be careful, as the Rebels have this valuable secret well guarded.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '82', 'm21o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '83', 'm21s', 'We have been tracking those X-wings for many parsecs. At last their destruction is complete. Splendid work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '84', 'm21t', 'X-Wing Fighter Squad');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '85', 'm22d', 'We\'ve discovered a local livestock dealer who harbors seditious motives. Loyal citizens have reported a collection of mynock incubators hidden underneath his shop. Certain factions of the Rebellion employ mynocks as nuisance tactics against our space fleet. We have judged it prudent to destroy the incubation facility in the interest of galactic security.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '86', 'm22o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '87', 'm22s', 'He put up quite a fight for a simple livestock dealer, didn\'t he? It seems our suspicions are confirmed. Only a Rebel traitor would have that kind of firepower. Well done, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '88', 'm22t', 'Mynock Incubator');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '89', 'm23d', 'A local community has recently been plagued by a fake holovid recording that depicts the alleged destruction of Empire\'s finest war machine, the Death Star. The transmission has been traced to a broadcast facility. You must take a strike team and decimate this unseemly operation. These untruths will not soil the tranquility of our loyal and obedient communities.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '90', 'm23o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '91', 'm23s', 'Excellent work. Did you happen to view any of the offending holovids before you destroyed them? We\'ll send some security agents around to question you, just in case. Don\'t worry, it\'s a routine debriefing. Who is your next of kin?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '92', 'm23t', 'Seditious Broadcast Facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '93', 'm24d', 'In the midst of an otherwise obedient community, the Rebellion has constructed a power relay cannon that transmits energy beams to passing Rebel fighters. For the public good we must now dispatch a blaster team to blow this relay installation into oblivion. Such an action will assure the locals that the Empire is dilligently protecting their families and properties.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '94', 'm24o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '95', 'm24s', 'Nicely done, citizen. The community has been rendered safe once more. The standard martial curfew will ensure that no Rebels return. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '96', 'm24t', 'Rebel Power Relay');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '97', 'm25d', 'The Inquisitorius has ordered a strike on a Rebel outpost that has been conducting unusual experiments involving the Force and Force-users. We cannot imagine that the Rebellion would be foolish enough to attempt to establish another Jedi training academy, especially in light of the corruption that was revealed within the ranks of the old Jedi Order. Can you assemble a strike team to take care of this?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '98', 'm25o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '99', 'm25s', 'A new breed of Jedi shall not rise to threaten our beloved Empire thanks to you, agent. Well done! The Emperor will hear of your success. Be proud.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '100', 'm25t', 'Jedi Training Outpost');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_easy_non_persistent_from_npc.stf', '101', 'number_of_entries', '25');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '1', 'm1d', 'A Rebel strike team\'s base has been located by our Analysis Bureau but we suspect they are aware of this and are already preparing to evacuate. Our team of storm commandos would never arrive in time to make sure these Rebels paid the ultimate price for their treason. We must call upon you, one of our most trusted agents, to lead this operation personally. These strike team operatives are incredibly dangerous and very well trained. We trust your skills and instincts will serve you well. Destroy this outpost and make an example of these terrorists. We\'re counting on you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '2', 'm1f', 'We had come to expect so much more from you. How could you have allowed any of them to escape? Your failure must be reported to the Emperor and he is not a very forgiving man. We hope for your sake he\'ll be lenient with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '3', 'm1i', 'Those strike teams move fast and are experts of leaving no evidence behind. We\'ll track them down and find out why we were thrown off the scent so easily.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '4', 'm1l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '5', 'm1o', 'Imperial Intelligence: Bureau of Operations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '6', 'm1s', 'This is why we chose you for this mission. We knew you would not disappoint the Empire. It is agents like you that will insure we crush the Rebellion. Long live the Emperor!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '7', 'm1t', 'Destroy Rebel strike team\'s base');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '8', 'm2d', 'A Rebel SpecForces training facility has been uncovered by one of our covert operatives. Rebel data slicers would no doubt intercept any search and destroy orders we might send to the storm commandos and warn the facility. They would not suspect, however, that we would assign a few individual agents to take care of this installation. Agents such as yourself could use stealth to approach the training facility, and then employ your amazing combat skills to eradicate it. Can you tackle such a difficult mission?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '9', 'm2f', 'Your failure has allowed many of these Rebel commandos to escape. We wish we had chosen an agent more judiciously. How can you expect the Empire to honor your name when you give us reasons to doubt your abilities? You must redeem yourself in the Emperor\'s eyes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '10', 'm2i', 'We must question our covert operative more closely. Perhaps they were suspected of being a double agent and fed misinformation by the SpecForces commandos. At these high levels it is difficult to know who to trust.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '11', 'm2l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '12', 'm2o', 'Imperial Intelligence: Bureau of Operations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '13', 'm2s', 'Your name will be honored in our ranks. If you continue in this vein, your presence may be requested by the Emperor himself. Perhaps you will serve under Lord Vader. A great honor indeed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '14', 'm2t', 'Destroy Rebel SpecForces training facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '15', 'm3d', 'We\'ve located a Rebel covert team\'s base. We believe this team has been responsible for conducting several sabotage missions against Imperial shipyards. Our intelligence even informs us that the traitor, Crix Madine, has been known to make visits to this base.  This base must be annihilated, especially if we think there is a chance of taking out Madine. This mission will require the highest degree of skill and a good deal of efficient brutality. You seem to be the right agent to lead such an operation. Can the Empire rely on your loyalty and service?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '16', 'm3f', 'If Crix Madine was in that base, we\'ll never know. This failure has allowed many of the Rebellion\'s finest commandos to escape. How could we have been so mistaken in choosing you for such a delicate and dangerous mission? We hope you will find a way to redeem yourself in our eyes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '17', 'm3i', 'Madine must have gotten word of our imminent attack and evacuated his strike team. That devil is crafty and elusive. But we\'ll catch him eventually. Report back to us later and we\'ll see if we\'ve acquired new information regarding his whereabouts.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '18', 'm3l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '19', 'm3o', 'Imperial Intelligence: Bureau of Operations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '20', 'm3s', 'You did such an excellent job, we hope there\'s enough evidence left for our forensic techs to sift through to search for Crix Madine. You make us proud, agent. You will no doubt help lead our glorious Empire in crushing this foolish Rebellion.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '21', 'm3t', 'Destroy Rebel covert team\'s base');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '22', 'm4d', 'One of the Rebellion\'s Procurement and Supply command centers has been identified. This base coordinates a good deal of the Rebellion\'s logistics and we suspect that it may house the Rebel known as Targeter. The destruction of this facility along with the death of Targeter would be a great victory for the Empire. It will not be an easy mission but this is precisely why we have contacted you. You come through for us several times in the past. Can you undertake this vitally important mission? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '23', 'm4f', 'Destroying the Rebels\' command center that regulates their supply lines would have crippled their entire organization. Instead, they are now aware that our intelligence agents must be planted deep within their hierarchy for us to have orchestrated this attack. Your failure has cost the Empire a great deal. The Emperor is demanding a full report. Your name will appear on that report. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '24', 'm4i', 'Could Targeter have known of this attack and sent us false intelligence? We must investigate this situation. We will find this command center. The Empire does not fail.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '25', 'm4l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '26', 'm4o', 'Imperial Intelligence: Bureau of Operations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '27', 'm4s', 'This will probably cripple this sector\'s Rebel cells and will greatly impact the Rebellion\'s ability to perform future sabotage missions. Well done, agent. A full report of your success will be sent to the Emperor. I would not be surprised if you received a summons to Imperial Center in the near future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '28', 'm4t', 'Destroy Procurement and Supply command center');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '29', 'm5d', 'We believe we\'ve located the site of a future Rebel operational base. Our intelligence reports indicate that the base is still relatively small but these Rebel outposts can literally spring up overnight. Rather than call in a Star Destroyer strike, which would no doubt alert Rebel spies watching the movements of our fleet, we\'d like our covert agents to deal with this situation. A few deadly individuals can be just as effective as a legion of stormtroopers if they are used correctly. Are you capable of handling such a perilous mission? It will take careful planning and a decisive and precise strike to destroy that base.  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '30', 'm5f', 'So they escaped you. This is both disappointing and embarrassing. We trusted you with this task. We sent our assurances to the Emperor himself that this base would be eradicated. Your failure will cost the Empire dearly. We will not soon forget this incident.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '31', 'm5i', 'Those Rebel slicers are good. They\'re very good. They must have tampered with our intelligence reports. We must send word to the Emperor that Blackhole must double his efforts to find these HoloNet pirates and deal with them. Worry not, we\'ll locate this operational base in due time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '32', 'm5l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '33', 'm5o', 'Imperial Intelligence: Bureau of Operations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '34', 'm5s', 'It is no wonder you are known and feared throughout the Empire. You represent the finest our organization has to offer. Congratulations. This victory will dominate conversations on Imperial Center for some time to come.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '35', 'm5t', 'Destroy Rebel operation base');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '36', 'm6d', 'Months ago we\'d learned that the Rebels had moved many of their scientists, technicians, and Incom engineers to a secret research facility. We\'ve now located that facility. A successful strike against that base would be a devastating blow to the Rebellion and a major victory for the Empire. We\'d like to arrange for a covert strike and believe that you are the agent most qualified to lead such an operation. Will you serve your Emperor and do your part to crush these Rebels? Losing the ability to design new starfighters and improve defenses would aid our armada in finishing the Rebels off.  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '37', 'm6f', 'As if squadrons of X-wings were not bad enough, now those Rebels will have access to all manner of new starfighter designs. All of this because of your failure to complete this mission. This will be reported to Imperial High Command. We\'ll see what they recommend be done with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '38', 'm6i', 'They must be using some sort of holographic image disguiser but I\'ve never heard of one capable of shielding an entire facility. Perhaps they\'ve adapted a cloaking device? We must find those Incom engineers and cripple the Rebellion\'s arsenal of new weapons.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '39', 'm6l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '40', 'm6o', 'Imperial Intelligence: Bureau of Operations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '41', 'm6s', 'Burn, Rebellion, burn! Most excellent! Without their precious engineers to design new starfighters and weapons for them, the Rebellion is doomed. You should feel proud, loyal agent, for you are carving your place in history.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '42', 'm6t', 'Destroy Rebel research facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '43', 'm7d', 'A substantial number of traitorous Imperial officers defected to the Rebellion a few weeks ago. We\'ve learned where the Rebels are housing these traitors and their families. This facility will be very well defended as the Rebellion needs the knowledge possessed by these officers to help devise effective defense strategies. You must lead a mission to destroy this facility. You can strike silently and quickly, giving the Rebels less of an opportunity to mount an organized defense. Can we count on you to undertake this vital mission for the Empire?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '44', 'm7f', 'Those traitors carried Imperial secrets! How could you have failed? Now the Rebels will be even more effective against the Imperial military and more loyal mens\' lives will be lost. All due to your failure. If you are ever to accept another mission from our bureau, you must work very hard to redeem yourself in our eyes, agent.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '45', 'm7i', 'They must have moved those officers somewhere else. This is a Rebel trick. They\'re trying to throw us off the track. We\'ll find where those treasonous neks are lurking, we promise you that.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '46', 'm7l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '47', 'm7o', 'Imperial Intelligence: Bureau of Operations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '48', 'm7s', 'This victory will be an example to other officers. There is only one result of betraying the Empire - death! Well done, agent. We knew we could count on you. Your efficiency (and if I may say, your artistic brutality) shall be reported to the Emperor. He rewards agents like you most generously.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '49', 'm7t', 'Destroy Rebel defector colony');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '50', 'm8d', 'A Rebel starfighter refueling station has been identified by one of our probe droids. We believe this station has aided the Rebel starfighter unit known as Rogue Squadron to carry out strikes against Imperial shipyards. Destroy this station and make sure those Rebel pilots are stranded on this planet next time they land to refuel. Perhaps we\'ll have several squads of stormtroopers ready to greet them. You will do this for the Empire, correct?  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '51', 'm8f', 'Without fuel, Rebel starfighters cannot fly. How can this one important detail escape you? Failing to destroy that refueling station is as good as serving the Rebellion. Our TIE pilots\' lives were depending on you. They will pay the ultimate price for your failure.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '52', 'm8i', 'We\'ll double-check the coordinates but we\'re certain the probe droid gave us the correct ones. Could the Rebels be using some form of holocloak shield?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '53', 'm8l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '54', 'm8o', 'Imperial Intelligence: Bureau of Operations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '55', 'm8s', 'When those X-wings start falling out of the sky, you can pat yourself on the back. Well done. Let\'s see how far those Rebel flyboys get without their precious fuel. Report to us in the future for more missions.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '56', 'm8t', 'Blow up Rebel refueling station');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '57', 'm9d', 'We\'ve identified a major Rebel communications facility housing a series of sophisticated HoloNet transceivers. We believe this is a HoloNet hub where Imperial classified information stolen by the Rebellion\'s best data slicers is routed and transmitted to the Rebel High Command. This facility must be destroyed. Your track record puts you high on the list of possible agents that could lead such an assault. Information is power, as we know, and therefore cutting the Rebels\' source of it will effectively blind them. Can the Empire count on your service?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '58', 'm9f', 'The efforts of these data slicers, perhaps more than anything else, has been responsible for hampering the efforts of the Imperial Navy to destroy Rebel bases. Your failure will cost the Empire dearly. How could you have risen so far if this is the typical result of your attempts? A full report will be sent to Imperial Center. Blackhole will no doubt wish you to address this issue in the near future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '59', 'm9i', 'And now you see why we must stop those data slicers? It is situations like this that show the effectiveness of falsified intelligence reports. When we locate this HoloNet hub, we will act swiftly.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '60', 'm9l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '61', 'm9o', 'Imperial Intelligence: Bureau of Operations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '62', 'm9s', 'Success! Now let\'s see how effective those Rebels are at intercepting our communiques. Cutting off the Rebellion\'s source of information is like cutting off their right arm. Most excellent, agent. We are more than pleased and will reward you accordingly.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '63', 'm9t', 'Destroy Rebel HoloNet hub');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '64', 'm10d', 'The Rebellion has been employing many smugglers and shipjackers to assist in their terrorist activities. Intelligence has learned that a major contact for these criminals is a Corellian pirate named Han Solo. We\'ve located a Rebel outpost that is used primarily to host clandestine meetings between these pirates and Captain Solo. The base also serves as a hideout for many of the galaxy\'s most notorious smugglers, aiding them with repairs and refueling in exchange for services to the Rebellion. We need a trusted agent to lead an attack on this outpost and destroy it utterly. With any luck, you\'ll be able to take out Captain Solo himself. Careful, however, for we understand this Corellian can be a pretty tricky and dangerous individual and he travels with a rather large Wookiee. Are you the agent the Empire needs? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '65', 'm10f', 'You ruin your chance to rid the Empire of a notorious gang of criminals and terrorists? Why? Failure was not an option. This black mark on your record will no doubt influence the caliber of missions the Empire assigns you in the future. If they assign any at all, that is.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '66', 'm10i', 'We should have known that a den of deceivers and tricksters would be difficult to pin down. We were warned that Solo was a clever smuggler. It seems those warnings were not exaggerated.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '67', 'm10l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '68', 'm10o', 'Imperial Intelligence: Bureau of Operations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '69', 'm10s', 'A major victory for the Empire and a serious blow to the galaxy\'s criminal element. We can only hope Captain Solo and his furry lackey were inside that base when it was destroyed. You\'re an agent the Empire will keep in mind in the future. Efficiency and results such as yours is the sort of thing the Empire prizes most. Imperial High Command may decide to give you a medal. You\'ve earned your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '70', 'm10t', 'Destroy Rebel smuggler outpost');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '71', 'm11d', 'The Rebellion has managed to rescue many former senators and intend to use their political influence to aid their treasonous cause. Many of these former bureaucrats are in the process of being relocated. We\'ve obtained the coordinates for one of the facilities currently housing several of these senators. We don\'t need to tell you how important it is for the Empire to prevent these politicians from throwing their support behind the Rebellion. Make sure this facility is utterly destroyed. The Rebels will have some of their best fighters guarding these former senators so it will take an experienced team to insure success on this mission. How soon could you assemble your team and be ready to go? The Empire is placing a huge deal of trust in your skills, agent. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '72', 'm11f', 'Those senators will be a great boon to the Rebellion for they can sway their systems to side with the Rebels. Your failure will cost us dozens if not hundreds of worlds. A failure of this magnitude must be reported to the Emperor and the Imperial High Command. Be prepared to travel to Imperial Center to answer for this failure. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '73', 'm11i', 'The Rebellion is taking every precaution to hide these senators. They have obviously fed false information into the HoloNet via top slicers. We\'ll find these politicians and deal with them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '74', 'm11l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '75', 'm11o', 'Imperial Intelligence: Bureau of Operations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '76', 'm11s', 'Your precision and effectiveness is a thing of beauty, agent. Congratulations! The Emperor will want to hear of your success. You will be spoken of highly at Imperial Center.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '77', 'm11t', 'Destroy senators\' hideout');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '78', 'm12d', 'Not only have we located an X-wing pilot training facility, we understand that the Rebel known as Wedge Antilles, one of the surviving pilots of the Battle of Yavin, often makes visits to this installation to supervise the training and select pilots for his despicable Rogue Squadron. We\'d like a skilled strike team of commandos to hit this training facility and obliterate it. With any luck, the team will also take out the terrorist and murderer Antilles before he can lead any more raids against Imperial shipyards. Can the Empire count on you for this mission? Do you have what it takes to accomplish this?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '79', 'm12f', 'We find your failure most disturbing and will send word of it to Lord Vader, who was following this mission closely. Good luck to you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '80', 'm12i', 'Where does the Rebellion get these skilled slicers? We grow tired of their efforts to feed us false information.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '81', 'm12l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '82', 'm12o', 'Imperial Intelligence: Bureau of Operations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '83', 'm12s', 'Haha! A brilliant attack, agent! The fewer X-wing pilots the Rebellion has the easier it will be to destroy their ragtag fleet. Your success will be reported to Lord Vader himself.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '84', 'm12t', 'Destroy pilot training facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '85', 'm13d', 'A failed slave revolt on Kashyyyk resulted in the loss of several loyal Imperial servants. Many of the revolt\'s Wookiee leaders escaped Imperial authorities and have been sheltered by the Rebellion. We believe we have located the Rebel facility housing these murderers and insurrectionists. It is also our understanding that the Wookiee Chewbacca, one of the terrorists that engaged in the assault on the Death Star, has been known to visit this facility to help in assigning his fellow Wookiees to other Rebel outposts. This facility must be destroyed at all costs. No doubt the Rebels conduct all manner of treasonous activity at this outpost. Killing Chewbacca and the Wookiees would be a wonderful bonus. This mission will doubtless be quite perilous. Can the Empire rely on you as it has for so many other missions in the past? Only an elite team of loyal Imperial agents has a hope of accomplishing this.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '86', 'm13f', 'Many important Wookiee leaders would have been removed if you had not failed. Now we will never know Chewbacca\'s fate. No doubt he escaped. This failure will be a costly one.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '87', 'm13i', 'The Rebels have tampered with our intelligence. It surprises us that our coordinates could have been wrong. We will rectify this situation.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '88', 'm13l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '89', 'm13o', 'Imperial Intelligence: Bureau of Operations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '90', 'm13s', 'Bravo! They say Wookiees are cold-blooded killers but they pale in comparison to dedicated Imperial agents such as yourself. We can only hope that Chewbacca was among the dead before they were incinerated. The Empire is proud of you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '91', 'm13t', 'Destroy fugitive outpost');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '92', 'm14d', 'A major Rebel fleet resupply outpost has been located by our spies. It is our understanding that the traitorous Mon Calamari, Ackbar, is a frequent visitor to this outpost, which supplies a good third of the Rebel fleet. This outpost\'s defenses will be formidable. Only a surprise attack by an elite Imperial strike team has any hope of success. Do you think you could assemble and lead such a strike team? An decisive strike could effectively cripple the Rebel fleet. Can the Imperial High Command count on your aid?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '93', 'm14f', 'We knew this would be a difficult mission but your failure greatly disappoints us nonetheless. It is likely Ackbar escaped, if he was there. The Imperial High Command had high hopes for you and your team.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '94', 'm14i', 'Our spies were either tricked or there is a Rebel double agent in their ranks. We shall determine which soon enough.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '95', 'm14l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '96', 'm14o', 'Imperial Intelligence: Bureau of Operations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '97', 'm14s', 'A decisive victory for the Empire! We knew we could count on you, agent. Keep this up and the Emperor may soon ask for you to serve at his side. Hail the Empire!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '98', 'm14t', 'Destroy Rebel fleet resupply outpost');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '99', 'm15d', 'A Rebel medical outpost has acquired several metric tons of Thyferran high-grade bacta. The rejuvenatory fluid is scheduled to be transported to several major Rebel bases in the Outer Rim, we think in preparation for a major Rebel assault on Imperial shipyards. We must strike this outpost and destroy the bacta before the Rebels can ship it out. These scum will be protecting this precious cargo and will fight fiercely to preserve it. An elite Imperial strike team should be able to penetrate the base\'s perimeter defenses and strike at the heart of the outpost before the Rebels mount a major defensive. Can the Empire count on you to assemble and lead this team? The Emperor himself would receive word of your mission. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '100', 'm15f', 'That bacta will save many Rebel lives, agent. Your failure is a disappointment to us all. As promised, the Emperor will receive word of your mission.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '101', 'm15i', 'Rebel data slicers continue to plague our intelligence reports. Check back with us soon and we\'ll have the correct coordinates to that outpost.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '102', 'm15l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '103', 'm15o', 'Imperial Intelligence: Bureau of Operations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '104', 'm15s', 'Your strike was conducted with a surgeon droid\'s precision, agent. Well done! The Emperor will receive word of your success.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '105', 'm15t', 'Destroy Rebel medical outpost');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '106', 'm16d', 'Our spies have informed us that a secret meeting is taking place between agents of certain financial leaders of the Expansion Region and the Rebellion. Apparently, the Rebels hope to secure more funding through these agents. We have obtained the coordinates of that clandestine rendezvous and need to insure that this meeting does not take place. Rumors have indicated that none other than Princess Leia Organa herself may be in attendance at this meeting. We don\'t need to tell you what a great victory it would be for the Empire to remove this Rebel agent, who, may we point out, made the destruction of the Death Star possible. A skilled strike team must be assembled and deployed at once. Speed is of the essence on this mission. Can you carry out this search-and-destroy mission for the Empire?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '107', 'm16f', 'This failure will almost assuredly mean more funding for the Rebellion as well as the escape of the traitor Leia Organa. We are shocked and dismayed, agent. It seems we were wrong about your abilities.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '108', 'm16i', 'We should have expected Rebel slicer interference on this mission. Our coordinates have been sabotaged. We will get to the bottom of this.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '109', 'm16l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '110', 'm16o', 'Imperial Intelligence: Bureau of Operations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '111', 'm16s', 'You\'ve sent a clear message to the business leaders of the Expansion Region, agent. Well done! We can only hope that Leia Organa was in attendance and that she has finally met with Imperial justice.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '112', 'm16t', 'Destroy Rebel rendezvous site');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '113', 'm17d', 'We have acquired the coordinates to a Rebel outpost serving as a strategic command center for many of the Rebellion\'s top military advisors, including senior advisors to Mon Mothma herself. Taking this command center out would not only rob the Rebellion of many of its leaders, it would also throw the Rebellion\'s current slate of sabotage missions into disarray. This outpost will be heavily guarded and well defended. A small strike team, however, might be able to strike deep into the heart of the base before the Rebels could rally an effective defense. The Empire wants to know if it can count on you to undertake this dangerous mission. It will take a high degree of training, skill, and luck to accomplish this task. The right team must be chosen and the attack carefully planned. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '114', 'm17f', 'Despite knowing that this mission would be difficult to accomplish, we cannot help but feel a great deal of disappointment, agent. We felt that you would not fail at this task. We were wrong.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '115', 'm17i', 'Our coordinates should not have been wrong. Rumor has it that the Bothan SpyNet has been feeding us false information. It seems that rumor may be a fact.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '116', 'm17l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '117', 'm17o', 'Imperial Intelligence: Bureau of Operations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '118', 'm17s', 'Most effective, agent! Your skill and methods are not just legendary, it seems. Our gratitude goes with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '119', 'm17t', 'Destroy Rebel command center');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '120', 'm18d', 'Worker refugee camps have become notorious breeding grounds for Rebels. Unemployed and dispirited malcontents are drawn to the Rebellion like flies to a carcass. We need a team of loyal Imperial agents to remove these installations as quickly as we can identify them, before they can give birth to a new host of traitorous vermin. Many of these workers are miners and well-armed - they\'re used to dealing with pirates and smugglers who prey upon them. And the Rebellion will likely have sent several Rebel soldiers to help maintain order and recruit these wretches. Wipe these camps out, agent. View this as a high level extermination assignment with yourself and your team as the Imperial cleanup crew. Can we rely on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '121', 'm18f', 'We knew these workers would be tough to handle, but we had hoped you could accomplish it. It seems we both failed to call this one correctly, eh, citizen?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '122', 'm18i', 'These camps are scattered throughout the galaxy and we must find them all. It seems this will be prove more challenging than we had first anticipated.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '123', 'm18l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '124', 'm18o', 'Imperial Intelligence: Bureau of Operations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '125', 'm18s', 'Keep this up and you\'ll become our exterminator extraordinaire, agent. Good work! The Empire needs more agents like yourself.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '126', 'm18t', 'Destroy refugee camp');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '127', 'm19d', 'When will these Rebels learn that they cannot shield themselves with civilians or hide inside of legitimate civilian facilities? A major medical center servicing many local systems has been unmasked as a Rebel medical supply depot. These scum don\'t seem to care if they endanger the locals with these charades. Indeed they rely upon these hapless beings to help them pull off these ridiculous deceptions. Yet we must be stronger than our adversaries. The deaths of all those ailing locals will be upon the heads of the Rebellion\'s leaders - the innocent blood will be on their hands. We need a team of loyal agents to strike this medical center and wipe out the Rebel scum hiding inside of its walls. Show no mercy, no compassion. The Rebels will get what they deserve. Can you lead this operation?  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '128', 'm19f', 'Your failure shows both a lack of skill and dedication, agent. We must review your suitability for future missions of this sort.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '129', 'm19i', 'It makes sense that the Rebels would try to hide a facility like this. We\'ll get the correct coordinates and strike soon, we promise you that.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '130', 'm19l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '131', 'm19o', 'Imperial Intelligence: Bureau of Operations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '132', 'm19s', 'Your work is as efficient and excellent as we\'d been led to believe, agent. Congratulations! We\'ll seek you out in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '133', 'm19t', 'Destroy Rebel medical center');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '134', 'm20d', 'A Rebel SpecForce commando team is preparing to undertake an assassination mission aimed at one of our Imperial Grand Moffs. This Imperial dignitary has served the Empire well, spearheading the development of many new weapons equivalent to the Death Star in effectiveness. We cannot allow this Imperial hero to meet with foul play at the hands of Rebel scum. We need a commando team of our own to strike the Rebel SpecForce\'s headquarters and wipe the Rebel team out before they can embark upon their murderous mission. Could you assemble and lead such a team, agent? You will likely meet with great resistance and will face some of the Rebellion\'s most elite troopers. Can someone like you resist the lure of this task?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '135', 'm20f', 'We will try to keep word of this failure from leaking out. After all, it would not do to let the Rebels think their commando teams are more effective than ours. We are deeply shamed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '136', 'm20i', 'Those Rebels are as elusive as the mythical titavian. But as with that monstrous reptavian, enough searching will yield results.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '137', 'm20l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '138', 'm20o', 'Imperial Intelligence: Bureau of Operations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '139', 'm20s', 'Training and dedication will always win out in the end. Excellent work, agent! Once again you\'ve helped prove the Empire\'s military superiority. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '140', 'm20t', 'Destroy Rebel SpecForce base');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '141', 'm21d', 'A Rebel guerrila training camp has been discovered by an Imperial probe droid. These camps are especially dangerous as they recruit and train the local population to rise up against the Empire. Further, these Rebels often equip these communities, many of them peaceful agrarian societies, with deadly weapons of mass destruction. This only serves to transform local bullies and gang lords into dangerous armed despots. If only the Rebellion truly understood the consequences of their actions. In any case, Imperial High Command needs a loyal team of agents to descend upon this camp and obliterate it. We will not allow terrorist training camps to exist within the borders of our Empire. Are you the agent the Emperor needs to serve in this capacity?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '142', 'm21f', 'Your failure means that many of these terrorists escaped and will likely plague the Empire in the future. The only good Rebel is a dead one, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '143', 'm21i', 'They must have moved their training camp, which means they know we\'re on to them. Check back with us soon for it will only be a matter of time before we locate this guerrila camp.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '144', 'm21l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '145', 'm21o', 'Imperial Intelligence: Bureau of Operations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '146', 'm21s', 'No future terrorists will come from this camp. Well done, agent. Your services to the Empire will be greatly rewarded.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '147', 'm21t', 'Destroy Rebel guerilla camp');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '148', 'm22d', 'We\'ve received a request from the Inquisitorius to strike a Rebel outpost as soon as possible. Apparently our intelligence has indicated that this outpost has been conducting some unusual experiments involving the Force and Force-users. The Inquisitorius was clear that there are to be no survivors. We cannot imagine that the Rebellion would be foolish enough to attempt to establish another Jedi training academy, especially in light of the corruption that was revealed within the ranks of the old Jedi Order, but those Rebel scum have surprised us before. Can you assemble a strike team to take care of this? You must be prepared to face highly skilled Rebel commandos and possibly even Force-users. Remember, the Empire is counting on you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '149', 'm22f', 'Force-users allying with the Rebellion is bad enough, agent. Your failure to stop them is truly criminal. The Emperor must be notified of your failure. Pray he doesn\'t send for you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '150', 'm22i', 'Those Force-users have been known to use mind tricks before. Perhaps they clouded the minds of our spies when it came to acquiring these coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '151', 'm22l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '152', 'm22o', 'Imperial Intelligence: Bureau of Operations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '153', 'm22s', 'A new breed of Jedi shall not rise to threaten our beloved Empire thanks to you, agent. Well done! The Emperor will hear of your success. Be proud.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '154', 'm22t', 'Destroy Rebel training outpost');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '155', 'm23d', 'We finally have a rare opportunity to take out the Rebellion\'s highest profile leader herself, Mon Mothma. Our intelligence reports that she will be making an inspection of a Rebel outpost currently housing some former senators\' families - she wants to make sure these individuals are comfortable and safe. We need a skilled strike team to show her just how \"safe\" this outpost really is. A chance like this only comes once in a lifetime, agent. Can you assemble and lead such a team? Your victory may well mean the end of the Rebellion. Can you afford to pass this golden opportunity by? You\'d be the Champion of the Empire. If you succeeded, that is.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '156', 'm23f', 'The moment passed you by, agent. Your failure is the Empire\'s loss. How could the importance of such a mission have eluded you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '157', 'm23i', 'These incorrect coordinates proved Mon Mothma was to be at that base. Why else would we have gotten them wrong? There was sabotage at work here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '158', 'm23l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '159', 'm23o', 'Imperial Intelligence: Bureau of Operations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '160', 'm23s', 'The good news is that this outpost will no longer be a threat to us. Good work, agent. The bad news is that Mon Mothma was not at that base when it was destroyed. Our spies confirmed this shortly after you\'d begun your attack. We\'ll get her next time, though. Claim your just reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '161', 'm23t', 'Destroy Rebel outpost');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '162', 'm24d', 'Sending those tens of thousands of probe droids into the far reaches of the galaxy has begun to pay off. One of them has located a Rebel strike team\'s base. This facility has been used to both train commandos and plan sabotage and assassination missions. Taking this installation out would be a great victory for the Empire. We need a dedicated team of skilled Imperial agents to execute this attack. Some of the Rebellion\'s best troopers are located here so it will take some of the Empire\'s best to eliminate them. Only experienced teams with a proven track record need apply. The Empire\'s gratitude will be showered on the team that succeeds. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '163', 'm24f', 'Failure not only means no reward, it also means a permanent mark on your record. How disappointing you turned out to be.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '164', 'm24i', 'There\'s been a disconnect between our division and the Analysis Bureau. We\'ll discover what it was and correct it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '165', 'm24l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '166', 'm24o', 'Imperial Intelligence: Bureau of Operations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '167', 'm24s', 'These are the sorts of results we\'ve come to expect from you, agent. Well done. Your reward awaits you. Continue to serve your Empire faithfully and there will be many more such rewards.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '168', 'm24t', 'Destroy Rebel strike team\'s base');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '169', 'm25d', 'We have reasons to suspect that a few of the Corporate Sector Authority\'s Viceprexes have been secretly aiding the Rebellion. Our intelligence indicates that these Viceprexes make occasional visits to a major Rebel supply depot, to claim certain confiscated goods for themselves such as large hauls of glitterstim spice. A strike at this supply depot would not only eliminate this valuable source of materials for the Rebellion it might also catch one or more of these traitorous Viceprexes in the crossfire. We need a strike team to obliterate this supply depot as soon as possible. The Viceprexes are cautious individuals so the base will be well defended during one of their visits. Are you the agent the Empire needs to execute this mission flawlessly?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '170', 'm25f', 'Not only did fail to destroy one of the Rebellion\'s major supply depots, you no doubt allowed some Viceprexes to escape. Is failure of this magnitude common for you?  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '171', 'm25i', 'Viceprexes often employ top data slicers to help hide their movements. This is obviously what occurred here. We\'ll track this depot down.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '172', 'm25l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '173', 'm25o', 'Imperial Intelligence: Bureau of Operations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '174', 'm25s', 'A bit crude in it\'s execution, perhaps, but effective nonetheless. Congratulations, agent. Your reward is well earned.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '175', 'm25t', 'Destroy major Rebel supply depot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard.stf', '176', 'number_of_entries', '25');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '1', 'm1d', 'Our probe droids have located a sizable Rebel munitions depot. Taking out this supply cache would limit the number of raids the Rebels could effectively carry out. This depot will probably be well guarded and will certainly be well defended. Can we rely on you to teach these Rebel scum a lesson and turn their depot into a miniature sun?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '2', 'm1o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '3', 'm1s', 'That must have been quite a fireworks show, eh? Congratulations, agent. Your Imperial service record is shaping up quite nicely.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '4', 'm1t', 'Rebel Munitions Depot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '5', 'm2d', 'A Rebel mining facility has been identified by Intelligence and we need it destroyed. These Rebels have a habit of slipping through our blockades during a full military strike so we\'d like you to lead a small team of loyal agents to accomplish this mission instead. Do you think you can serve your Empire in this manner?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '6', 'm2o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '7', 'm2s', 'If the Rebels thought we would overlook a small mining operation, they were sadly mistaken. Well done. Your efforts on behalf of the Empire are noted. Claim your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '8', 'm2t', 'Rebel Mining Facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '9', 'm3d', 'Intelligence believes that a small outpost is housing a communications array currently being employed by the Rebellion to coordinate local Rebel cell activity. Put this place out of operation. We will not have this sort of Rebel activity in that sector. How dare the Rebels think this would go unnoticed. Can the Empire rely on you? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '10', 'm3o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '11', 'm3s', 'So much for that outpost. Bravo, loyal citizen! Your efforts may take you far in the ranks of the ISB. We hope you continue to serve us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '12', 'm3t', 'Communications Array');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '13', 'm4d', 'Rebels have been transporting alien refugees to various outposts throughout the galaxy. Many of these refugees are escaped slaves or criminals. We\'ve managed to locate one of these outposts and now need to make sure it will no longer serve the cause of the Rebellion. We need a trusted agent to eradicate this facility. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '14', 'm4o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '15', 'm4s', 'You can run but you can\'t hide! Congratulations, citizen, you have removed many inconveniences for the Empire. Seek us out for future employment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '16', 'm4t', 'Alien Refugee Outpost');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '17', 'm5d', 'We\'ve unearthed a Rebel indoctrination camp. Within the walls of these facilities, the minds of loyal citizens are poisoned and warped by the efforts of twisted medical droids and large quantities of illegal glitterstim drugs. We must terminate the activities of this vile installation and insure our citizens remain loyal to the Empire. Can you help your Emperor stamp out this loathsome practice? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '18', 'm5o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '19', 'm5s', 'You have doubtless saved hundreds of loyal citizens from a terrible fate, citizen. Losing your faith in the New Order is bad enough, but to lose your mind along with it? You are a true champion of the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '20', 'm5t', 'Rebel Indoctrination Camp');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '21', 'm6d', 'We\'ve discovered a Rebel terrorist sleeper cell masquerading as a droid maintenance facility. We suspect that this cell has been responsible for the deaths of no less than 100 Imperial servants and the destruction of millions of credits worth of property. We require a loyal citizen of the Empire to burn this installation to the ground. Are you the agent we\'re looking for?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '22', 'm6o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '23', 'm6s', 'The deaths of all those Imperial servants are now avenged! You are truly a champion of justice, citizen. We hope this is a definite indication of things to come.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '24', 'm6t', 'Terrorist Cell');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '25', 'm7d', 'A Rebel supply depot has been located. The front for it seems to be a scientific observation outpost. We need a trusted agent to lead a strike against this installation and insure its destruction. There\'s no telling how many cells this depot has been supplying or how many Imperial lives have been lost as a result.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '26', 'm7o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '27', 'm7s', 'Whatever was in that warehouse will not serve those Rebels now. Good work, agent. Your future does indeed look bright if you continue to serve us in this manner. Collect your reward with pride - you\'ve earned it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '28', 'm7t', 'Rebel Supply Depot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '29', 'm8d', 'We\'ve located a small station that is being used by the Rebels to entice young pilots to join their traitorous cause. Apparently these Rebels have several X-wing flight simulators that they allow local pilots to play around with. Unfortunately, this is often enough to get some of these na?ve flyboys to sign up. We need this station destroyed and everything inside incinerated.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '30', 'm8o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '31', 'm8s', 'Little did those local flyboys realize that playing with a flight simulator could be very dangerous indeed. Well done, citizen. The Empire is pleased to reward one such as you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '32', 'm8t', 'Rebel Training Station');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '33', 'm9d', 'Intelligence has finally located one of the Rebellion\'s data slicer hubs. This facility could house several HoloNet transceivers and the slicers who operate them. A strike would remove both. Can the Empire count on you to help make the Imperial HoloNet more secure for military communications? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '34', 'm9o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '35', 'm9s', 'A most excellent strike, agent. These were the sorts of results we had hoped to get by employing you. Claim your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '36', 'm9t', 'Slicer Hub');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '37', 'm10d', 'Agents within the CSA have informed Intelligence that many of the workers the Viceprexes are requesting for hard labor are being transferred to a holding facility so that Rebel agents can rescue convicted Rebel spies and sympathizers contained among the roster. We need a small team of loyal Imperial agents to obliterate this facility. The Empire is counting on you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '38', 'm10o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '39', 'm10s', 'Well done! We couldn\'t have done it any better ourselves. The Empire could use more agents like you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '40', 'm10t', 'Refugee Facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '41', 'm11d', 'A shipment of Merr-Sonn IR-5 blaster pistols has fallen into the hands of the Rebellion and we believe we\'ve learned where these deadly weapons are being stored. They will certainly be distributed to various Rebel cells for use in intimidation missions. We must destroy this cache of weapons before those scum can use them against our agents.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '42', 'm11o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '43', 'm11s', 'Those deadly \"Intimidators\" won\'t threaten the safety of our agents. Good work! The Empire gladly rewards success and loyalty.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '44', 'm11t', 'Weapons Cache');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '45', 'm12d', 'Several MD medical droids have been acquired by the Rebellion. Our spies have provided us with the coordinates to the holding facility where these droids are being stored. We cannot allow the Rebels to have access to proper medical care. We require a small team of loyal agents to find this facility and destroy it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '46', 'm12o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '47', 'm12s', 'A successful strike against the Rebellion. Well done. The reward is yours.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '48', 'm12t', 'Rebel Medical Droids');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '49', 'm13d', 'The Rebels have been targeting Imperial depots containing laser cutters. We believe they need them to build a new operational base although we do not yet know its location. Our agents have managed, however, to locate some of these laser cutters and have sent us the coordinates where they are being housed. We need a few loyal Imperial agents to strike this storage depot.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '50', 'm13o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '51', 'm13s', 'Success! This will doubtless slow the Rebels\' efforts to carve out new lairs. You\'ve earned your reward, agent.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '52', 'm13t', 'Laser Cutter Storage Depot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '53', 'm14d', 'A traitorous Moff has offered to aid the Rebels attempt to assassinate our beloved Emperor. We\'ve pinpointed where this traitor and his agents will be meeting with the Rebellion\'s agents to make the arrangements. We require an able and loyal Imperial strike team to hit this outpost and insure its destruction. Could you assemble and lead such a team?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '54', 'm14o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '55', 'm14s', 'We have not ascertained whether the Moff was at that meeting when you destroyed the outpost. We\'ll have to continue monitoring communications. In any case, your strike against that Rebel outpost was superb.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '56', 'm14t', 'Hunt a Traitorous Moff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '57', 'm15d', 'Local garrisons have reported recent Rebel attacks that have employed modified A-A5 speeder trucks as armored personnel carriers. We\'ve located several civilian speeder repair facilities that could be used to create these carriers. We want these installations destroyed. Can you assist the Empire in removing this potential threat? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '58', 'm15o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '59', 'm15s', 'Good work, agent. We knew these stations were serving those Rebel scum and you\'ve helped prove it. We hope this is the beginning of a very profitable career for you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '60', 'm15t', 'Take Out Rebel Repair Stations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '61', 'm16d', 'The Rebels have taken an interest in certain rare types of crystals. Intelligence has instructed us to destroy any supply depot containing caches of such minerals. We\'ve located a small warehouse containing a large quantity of mineral desposits mined from the Outer Rim. We need loyal Imperial servants to vaporize this warehouse.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '62', 'm16o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '63', 'm16s', 'An efficient handling of the mission, agent. Well done. The Empire is proud to reward you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '64', 'm16t', 'Smash Mysterious Crystals');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '65', 'm17d', 'We\'ve been alerted to the presence of a Rebel supply depot that seems to be housing hundreds of climate control units. No doubt these are intended for remote Rebel bases in the Outer Rim. We want these units destroyed and figure a loyal and skilled Imperial agent ought to be able to take care of that for us. No need to call in a full military strike.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '66', 'm17o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '67', 'm17s', 'Clean and efficient, citizen, just like we like it. COMPNOR could use more agents like you. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '68', 'm17t', 'Make It Cold for the Rebels');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '69', 'm18d', 'We finally identified the traitor who has been supplying vacuum gyros for Rebel transports. We have the coordinates to the traitor\'s secret gyro cache. Unfortunately he knows we are coming. Our sources tell us that a contingent of Rebel soldiers is evacuating the cache. We need to dispatch a team to destroy this contraband before the Rebels take it away.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '70', 'm18o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '71', 'm18s', 'Well done, citizen. Those Gallifree transports slip through our blockades too easily. Perhaps now we can stop those Rebel scum.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '72', 'm18t', 'Cripple Rebel Transports');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '73', 'm19d', 'Ion space mines are an important tool of the Imperial Navy, but in the hands of Rebel terrorists they become a menace to all law-abiding spacefarers. We have tracked a freighter to a known Rebel outpost, where it deposited a load of Defender-class mines. If we can wipe out this factory before its deadly contraband is unleashed, the star lanes will be safe once more.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '74', 'm19o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '75', 'm19s', 'The Imperial Navy is indebted to you. Accept this payment and the gratitude of the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '76', 'm19t', 'Take Out Space Mines');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '77', 'm20d', 'Rebel pirates have stolen our droids! A shipment of IG-type assassin droids was hijacked en route to a Civil Security Center on Dantooine. Intercepted Rebel transmissions suggest these droids were smuggled to a secret reprogramming facility, where technicians will turn the IGs into gardening and botanical droids. A squad must locate and destroy this facility.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '78', 'm20o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '79', 'm20s', 'The Empire is grateful for your service. IG assassin droids make lousy botanical arrangements. Enjoy your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '80', 'm20t', 'Assassin Droids Do Not Pick Posies');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '81', 'm21d', 'Our probe droids have uncovered an underground maintenance station for a squad of Rebel X-wing fighters. These ships have harried our blockade enforcers for several parsecs, but at last we shall have our revenge. We need a contingent of shooters to slip inside and blast the place to dust. Be careful, as the Rebels have this valuable secret well guarded.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '82', 'm21o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '83', 'm21s', 'We have been tracking those X-wings for many parsecs. At last their destruction is complete. Splendid work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '84', 'm21t', 'X-Wing Fighter Squad');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '85', 'm22d', 'We\'ve discovered a local livestock dealer who harbors seditious motives. Loyal citizens have reported a collection of mynock incubators hidden underneath his shop. Certain factions of the Rebellion employ mynocks as nuisance tactics against our space fleet. We have judged it prudent to destroy the incubation facility in the interest of galactic security.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '86', 'm22o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '87', 'm22s', 'He put up quite a fight for a simple livestock dealer, didn\'t he? It seems our suspicions are confirmed. Only a Rebel traitor would have that kind of firepower. Well done, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '88', 'm22t', 'Mynock Incubator');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '89', 'm23d', 'A local community has recently been plagued by a fake holovid recording that depicts the alleged destruction of Empire\'s finest war machine, the Death Star. The transmission has been traced to a broadcast facility. You must take a strike team and decimate this unseemly operation. These untruths will not soil the tranquility of our loyal and obedient communities.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '90', 'm23o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '91', 'm23s', 'Excellent work. Did you happen to view any of the offending holovids before you destroyed them? We\'ll send some security agents around to question you, just in case. Don\'t worry, it\'s a routine debriefing. Who is your next of kin?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '92', 'm23t', 'Seditious Broadcast Facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '93', 'm24d', 'In the midst of an otherwise obedient community, the Rebellion has constructed a power relay cannon that transmits energy beams to passing Rebel fighters. For the public good we must now dispatch a blaster team to blow this relay installation into oblivion. Such an action will assure the locals that the Empire is dilligently protecting their families and properties.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '94', 'm24o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '95', 'm24s', 'Nicely done, citizen. The community has been rendered safe once more. The standard martial curfew will ensure that no Rebels return. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '96', 'm24t', 'Rebel Power Relay');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '97', 'm25d', 'The Inquisitorius has ordered a strike on a Rebel outpost that has been conducting unusual experiments involving the Force and Force-users. We cannot imagine that the Rebellion would be foolish enough to attempt to establish another Jedi training academy, especially in light of the corruption that was revealed within the ranks of the old Jedi Order. Can you assemble a strike team to take care of this?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '98', 'm25o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '99', 'm25s', 'A new breed of Jedi shall not rise to threaten our beloved Empire thanks to you, agent. Well done! The Emperor will hear of your success. Be proud.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '100', 'm25t', 'Jedi Training Outpost');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_hard_non_persistent_from_npc.stf', '101', 'number_of_entries', '25');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '1', 'm1d', 'Our probe droids have located a fairly sizable Rebel munitions depot. Taking this supply cache out would no doubt limit the number of raids the Rebels could effectively carry out. This depot will probably be well guarded and will certainly be well defended (it is a weapons depot, after all). Can we rely on you to teach these Rebel scum a lesson and turn their depot into a miniature sun? The Empire would be most pleased.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '2', 'm1f', 'Those Rebels were too much for you, eh? I suppose an attack on a munitions depot would be the sort of mission only very skilled and loyal Imperial agents should ever attempt. Your failure is disappointing but perhaps not terribly surprising.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '3', 'm1i', 'Those damn probe droids. We hope there\'s an updated model on its way soon. We\'ll double-check those coordinates and find that munitions depot. Report back later and finish this task for us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '4', 'm1l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '5', 'm1o', 'Imperial Intelligence: Bureau of Operations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '6', 'm1s', 'That must have been quite a fireworks show, eh? Congratulations, agent. Your Imperial service record is shaping up quite nicely.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '7', 'm1t', 'Destroy Rebel munitions depot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '8', 'm2d', 'A Rebel mining facility has been identified by Intelligence and we need it destroyed. These Rebels have a habit of slipping through our blockades during a full military strike so we\'d like you to lead a small team of loyal agents to accomplish this mission instead. Do you think you can serve your Empire in this manner?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '9', 'm2f', 'How could such an insignificant thing as a mining facility prove too much for you? We\'d been led to believe you were an effective agent. It seems that information might have been inaccurate.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '10', 'm2i', 'Perhaps Intelligence had confused a legitimate Mining Guild facility for an illegal Rebel one. That has been know to happen in the past. We\'ll verify with them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '11', 'm2l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '12', 'm2o', 'Imperial Army');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '13', 'm2s', 'If the Rebels thought we would overlook a small mining operation, they were sadly mistaken. Well done. Your efforts on behalf of the Empire are noted. Claim your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '14', 'm2t', 'Destroy Rebel mining facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '15', 'm3d', 'Imperial Intelligence believes that a small outpost is housing a communications array currently being employed by the Rebellion to coordinate local Rebel cell activity. Put this place out of operation - in fact, burn it to the ground. We will not have this sort of Rebel activity in that sector. How dare the Rebels think this would go unnoticed. Can the Empire rely on you? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '16', 'm3f', 'You failed? How much trouble could a few sensor dishes and some transceivers have given you? This does not look good on your record.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '17', 'm3i', 'We\'ve always been suspect of any information Imperial Intelligence sends us. We\'ll double-check any such reports in the future against our own intelligence.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '18', 'm3l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '19', 'm3o', 'Imperial Security Bureau');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '20', 'm3s', 'So much for that outpost. Bravo, loyal citizen! Your efforts may take you far in the ranks of the ISB. We hope you continue to serve us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '21', 'm3t', 'Destroy Rebel communications array');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '22', 'm4d', 'What we thought was a legitimate medical facility has actually turned out to be a Rebel medical supply depot. It seems they have been using sick citizens as cover, trying to get us to believe they were operating according to Imperial laws. We feel for these sick individuals, although no doubt many of them are Rebel sympathizers, but this facility must be destroyed. We\'d like to leave the details of such an operation to you, citizen. Do you think you\'re up to the task? Once you see Rebel soldiers defending this facility, you will find it much easier to sacrifice the patients inside.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '23', 'm4f', 'You couldn\'t even take out a facility filled with sick and wounded individuals? What sort of agent are you? Perhaps failure means nothing to you but it stains our reputation.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '24', 'm4i', 'How could the Rebels have moved so many sick people so fast? Could it have been a hologram intended to trick us? Where would the Rebels get such a device?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '25', 'm4l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '26', 'm4o', 'Imperial Security Bureau');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '27', 'm4s', 'Bacta is wasted on Rebel scum, do not worry. You have done very well and we are highly pleased. Our missions require someone with a strong constitution. You should seek us out in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '28', 'm4t', 'Destroy Rebel medical facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '29', 'm5d', 'Rebels have been transporting alien refugees to various outposts throughout the galaxy. Many of these refugees are escaped slaves or criminals. We\'ve managed to locate one of these outposts and now need to make sure it will no longer serve the cause of the Rebellion. We need a trusted agent to eradicate this facility and show the Rebels that the Empire will always find those who seek to escape Imperial justice. Are you that agent? We hope so. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '30', 'm5f', 'Refugees escaped you? This must be terribly embarrassing for you. It certainly is for us. This does not inspire us with great confidence in your abilities, citizen. Your future is hazy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '31', 'm5i', 'I\'m sure those aliens are hiding somewhere in the area. We\'ll continue looking for them. You should check back with us at a later time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '32', 'm5l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '33', 'm5o', 'Imperial Security Bureau');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '34', 'm5s', 'You can run but you can\'t hide! How we love that saying. Congratulations, citizen, you have removed many inconveniences for the Empire. Seek us out for future employment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '35', 'm5t', 'Destroy Rebel alien refugee outpost');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '36', 'm6d', 'Thanks to the efforts of our many loyal civilian informants, we\'ve managed to verify the existence of a Rebel transport repair facility. We kept wondering where those Rebels would take their airspeeders, speeder bikes, and groundspeeders when they needed repairs. After all, many of them bear the evidence of skirmishes with local civil authorities or Imperial forces. Well now we know. We\'d like this installation eliminated. We understand you are quite efficient at such work. Can the Empire count on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '37', 'm6f', 'Did they all just hop on their speeders and zoom away? How could you fail at such a mission. It\'s not like we were sending you against a command center. How disappointing. We\'ll have to note this failure in your record.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '38', 'm6i', 'Perhaps those \"loyal informants\" were not quite so loyal after all. Could they have given us false information? We\'ll look into their backgrounds and watch them very closely.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '39', 'm6l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '40', 'm6o', 'Imperial Security Bureau');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '41', 'm6s', 'I suppose the Rebels will have to carry their supplies on their backs now. Hah! Job well done, citizen. This is what we mean when we say our agents are the most effective in the Empire. Don\'t spend your reward all in one place.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '42', 'm6t', 'Destroy Rebel transport repair facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '43', 'm7d', 'We\'ve unearthed a Rebel indoctrination camp. Within the walls of these dreadful facilities, the minds of loyal citizens are poisoned and warped by the efforts of twisted medical droids and large quantities of illegal glitterstim drugs. It\'s a horrible sight to behold, citizen. We must terminate the activities of this vile installation and insure our citizens remain safe from such atrocities and loyal to the Empire. Can you help your Emperor stamp out this loathsome practice? The Empire needs you. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '44', 'm7f', 'Now the Rebellion will have more brainwashed clones to add to their ranks. How can you sleep at night knowing you failed the Empire in this one vital way? We are incredibly displeased.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '45', 'm7i', 'Are you sure you didn\'t go into that camp and simply don\'t remember the experience, citizen? Maybe you should have one of our medical droids look you over? This is most suspicious.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '46', 'm7l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '47', 'm7o', 'Imperial Security Bureau');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '48', 'm7s', 'Hurrah! You have doubtless saved hundreds of loyal citizens from a terrible fate, citizen. Losing your faith in the New Order is bad enough, but to lose your mind along with it? You are a true champion of the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '49', 'm7t', 'Destroy Rebel indoctrination camp');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '50', 'm8d', 'We\'ve discovered a Rebel terrorist sleeper cell masquerading as a droid maintenance facility. We suspect that this cell has been responsible for the deaths of no less than 100 Imperial servants and the destruction of millions of credits worth of property. I think you\'ll agree that the proper thing for a loyal citizen of the Empire to do is to reward one ill turn with another and burn this installation to the ground. Are you the agent we\'re looking for? These terrorists must pay for their terrible acts of violence against the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '51', 'm8f', 'How heavily guarded could this installation have been? We do not understand the reason for your failure, citizen. Perhaps you were not the agent we were thinking of when we assigned this mission.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '52', 'm8i', 'Can a droid maintenance facility disappear overnight? This is most irregular. We must investigate this matter. Report back later and I\'m sure we\'ll have this straightened out.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '53', 'm8l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '54', 'm8o', 'Imperial Security Bureau');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '55', 'm8s', 'The deaths of all those Imperial servants are now avenged! You are truly a champion of justice, citizen. We hope this is a definite indication of things to come. Claim your just reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '56', 'm8t', 'Destroy Rebel terrorist cell');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '57', 'm9d', 'A Rebel supply depot has been located. The front for it seems to be a scientific observation outpost of some sort. However, our surveillance images clearly show known Rebels patrolling the facility\'s perimeter. We need a trusted agent to lead a strike against this installation and insure its destruction. There\'s no telling how many cells this depot has been supplying or how many Imperial lives have been lost as a result. Can we count on you to undertake this dangerous mission? It will not be easy but the rewards will be worth it if you succeed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '58', 'm9f', 'They probably managed to get most of their supplies out since you failed to destroy the facility. There\'s no telling what sorts of equipment was in there. Perhaps even prototype starfighters or weapons. This is most disappointing. Losing your reward should be the least of your worries currently, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '59', 'm9i', 'This information came from Imperial Intelligence, which can have the habit of being occasionally spotty. We\'ll inform them that they need to take better care when sending out intelligence reports such as this.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '60', 'm9l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '61', 'm9o', 'Imperial Security Bureau');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '62', 'm9s', 'Whatever was in that warehouse will not serve those Rebels now. Good work, agent. Your future does indeed look bright if you continue to serve us in this manner. Collect your reward with pride - you\'ve earned it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '63', 'm9t', 'Destroy Rebel supply depot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '64', 'm10d', 'Instead of being horrified, as all loyal citizens should have been, by the Rebellion\'s destruction of the Empire\'s most brilliant and effective weapon against injustice, it seems instead that this terrorist act has encouraged some malcontents to form their own Rebel cell. And they\'ve done it in such a flagrant and obvious manner that we didn\'t have to look too hard to find it. We need a true model citizen of the Empire to show these troublemakers the consequences of throwing their lot in with these traitors and terrorists. Are you that citizen? Can we rely on you to burn this newly formed Rebel cell to cinders? We will not rest easy until these criminals are atomized.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '65', 'm10f', 'You must understand that this failure will only encourage more of these undesirables to form these terrorist cells. How can you live with that fact? Your failure will cost many innocent Imperial citizens their lives. Frankly, we\'re disgusted.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '66', 'm10i', 'They must have heard that we were taking matters into our own hands and have fled the scene. But how could they have moved so quickly and left no evidence of their passing? Maybe there is a spy in our midst...');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '67', 'm10l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '68', 'm10o', 'Imperial Security Bureau');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '69', 'm10s', 'Crush these scum, citizen! Grind them under your heel! A success like this deserves to be celebrated. You must share your victory with your closest friends. If any of them do not seem delighted as we are, give us their name and identification number. You can never be too sure.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '70', 'm10t', 'Destroy new Rebel cell');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '71', 'm11d', 'One of Sienar Fleet System\'s chief engineers has foolishly decided to join the ranks of those traitorous Rebels. The Rebellion was eager to get this individual to safety as they had helped design some new TIE starfighters for the Empire. We\'ve located this engineer and need them silenced before they can supply the Rebellion with technical specs. We believe the traitor is being held at a small warehouse currently used to store speeder parts. We require a skilled and loyal agent to strike this warehouse and blast it to atoms, taking everything inside with it. The facility will no doubt be guarded. Can the Empire rely on you to accomplish this mission?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '72', 'm11f', 'The survival of this engineer could be disastrous to the Empire. Your failure puts us all at risk. This will be reported to the Imperial High Command.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '73', 'm11i', 'The engineer may have escaped us today but we\'ll eventually track them down. We promise you that.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '74', 'm11l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '75', 'm11o', 'Imperial Intelligence');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '76', 'm11s', 'Well done, agent. We hope that engineer was inside that warehouse when it was destroyed, and we hope the Rebellion learned no damaging Imperial secrets. You must work for us again in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '77', 'm11t', 'Take out traitorous engineer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '78', 'm12d', 'The Empire has located a small station that is being used by the Rebels to entice young pilots to join their traitorous cause. Apparently these Rebels have several X-wing flight simulators that they allow local pilots to play around with. Unfortunately, this is often enough to get some of these na?ve flyboys to sign up. The Imperial Navy understands the lure of a well designed starfighter. We need this station destroyed and everything inside incinerated. Can the Empire count on you, citizen?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '79', 'm12f', 'More Rebel pilots mean more attacks on Imperial shipyards and garrisons. The Empire cannot afford that, citizen. Your failure will cost us dearly.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '80', 'm12i', 'The coordinates were not correct, eh? We\'ll have to investigate this matter further. Check back with us soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '81', 'm12l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '82', 'm12o', 'Imperial Navy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '83', 'm12s', 'Little did those local flyboys realize that playing with a flight simulator could be very dangerous indeed. Well done, citizen. The Empire is pleased to reward one such as you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '84', 'm12t', 'Destroy Rebel training station');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '85', 'm13d', 'Intelligence has finally located one of the Rebellion\'s data slicer hubs. This facility could house several HoloNet transceivers and the slicers who operate them. A strike would remove both. Can the Empire count on you to help make the Imperial HoloNet more secure for military communications? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '86', 'm13f', 'This installation must have been more carefully guarded than we had first anticipated. Still, your failure is a great disappointment to us. No results, no reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '87', 'm13i', 'Tracking down slicer hubs has got to be one of the most difficult bits of intelligence work there is. We\'ll find them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '88', 'm13l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '89', 'm13o', 'Imperial Army');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '90', 'm13s', 'A most excellent strike, agent. These were the sorts of results we had hoped to get by employing you. Claim your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '91', 'm13t', 'Destroy Rebel slicer hub');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '92', 'm14d', 'Loyal agents within the CSA have informed Imperial Intelligence that many of the workers the Viceprexes had requested for hard labor are being transferred to a holding facility so that Rebel agents can rescue convicted Rebel spies and sympathizers contained among the roster. We\'ve acquired the coordinates of this facility and need a small team of loyal Imperial agents to obliterate it. The only other option facing convicted Rebels, besides a lifetime of back-breaking labor in service to the Empire, is death. Can you see to it that this is carried out? The Empire is counting on you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '93', 'm14f', 'Allowing convicted criminals to escape is not good, citizen. The Empire is terribly disappointed by your lack of success.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '94', 'm14i', 'One of the Viceprexes working for the Rebellion must have tipped them off. We\'ll find which of them is serving those traitorous scum.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '95', 'm14l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '96', 'm14o', 'Imperial Army');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '97', 'm14s', 'Well done! We couldn\'t have done it any better ourselves. The Empire could use more agents like you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '98', 'm14t', 'Destroy Rebel refugee facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '99', 'm15d', 'A shipment of Merr-Sonn IR-5 blaster pistols has fallen into the hands of the Rebellion and we believe we\'ve learned where these deadly weapons are being stored. They will certainly be distributed to various Rebel cells for use in intimidation missions. We must destroy this cache of weapons before those scum can use them against our agents. Can the Empire count on you to undertake this mission?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '100', 'm15f', 'Those blasters will no doubt claim many Imperial agents\' lives. Your failure is most alarming to us. Perhaps you\'re not cut out for this sort of work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '101', 'm15i', 'They must have moved the weapons already. Damn! We\'ll have to work hard to track them down.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '102', 'm15l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '103', 'm15o', 'Imperial Intelligence');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '104', 'm15s', 'Those deadly \"Intimidators\" won\'t threaten the safety of our agents. Good work! The Empire gladly rewards success and loyalty.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '105', 'm15t', 'Destroy Rebel weapons cache');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '106', 'm16d', 'Several MD medical droids have been acquired by the Rebellion. Our spies have provided us with the coordinates to the holding facility where these droids are being stored. We cannot allow the Rebels to have access to proper medical care. We require a small team of loyal agents to find this facility and destroy it. Do you think you could assist the Empire in this endeavor?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '107', 'm16f', 'Medical droids may not seem that important to you, but it is an immense boon to the Rebellion. Your failure alarms us. We must consider carefully before assigning you another mission.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '108', 'm16i', 'These coordinates seem to be faulty. We\'ll interrogate our spies as soon as we can.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '109', 'm16l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '110', 'm16o', 'Imperial Intelligence');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '111', 'm16s', 'A successful strike against the Rebellion. Well done. The reward is yours.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '112', 'm16t', 'Destroy Rebel medical droids');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '113', 'm17d', 'The Rebels have managed to get their hands on some old Trade Federation destroyer droids. These units can be used to fortify their outposts and defend their bases. Fortunately, our informants have tracked these droids down and have provided us with the coordinates to the warehouse that is being used to store them. A loyal Imperial strike team is needed to take these droidekas out of commission. Do you think this is a mission you could handle?  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '114', 'm17f', 'Droidekas may be older droids but they are still quite effective against our troops. Your failure to destroy these units will cost the Empire lives. Surely you see the tragedy in this?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '115', 'm17i', 'The destroyer droids must have been moved or else our informants were fed false coordinates. We\'ll investigate this matter further.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '116', 'm17l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '117', 'm17o', 'Imperial Intelligence');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '118', 'm17s', 'A job well done, agent. The Empire will show its appreciation via this reward. Do come see us again for future missions.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '119', 'm17t', 'Destroy Rebel destroyer droids');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '120', 'm18d', 'The Rebels have been targeting Imperial depots that contain laser cutters. We believe they need them to build a new operational base although we do not yet know where the Rebels plan on establishing the base. Our agents have managed, however, to locate some of these laser cutters and have sent us the coordinates where they are being housed. We need a few loyal Imperial agents to strike this storage depot and blast it to atoms. Can you help the Empire fight those Rebels?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '121', 'm18f', 'Destroying those laser cutters was no small affair, agent. Your failure means that the Rebels can continue with their plans to set up additional bases. This is both annoying and disappointing.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '122', 'm18i', 'We\'ll find where those Rebels have moved those laser cutters to. They can\'t keep things hidden from us forever.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '123', 'm18l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '124', 'm18o', 'Imperial Intelligence');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '125', 'm18s', 'Success! This will doubtless slow the Rebels\' efforts to carve out new lairs. You\'ve earned your reward, agent.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '126', 'm18t', 'Destroy Rebel laser cutters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '127', 'm19d', 'A traitorous moff whose identity we have not been able to uncover has offered to aid the Rebels attempt to assassinate our beloved Emperor. We\'ve tried to pinpoint where this traitor and his agents will be meeting with the Rebellion\'s agents to make the arrangements. After months of investigation, we believe we finally have the coordinates to the outpost chosen for this sinister purpose. We require an able and loyal Imperial strike team to hit this outpost and insure that it is burned to the ground. Could you assemble and lead such a team? Only the most dedicated and skilled agents need apply for this important mission.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '128', 'm19f', 'How could have let this moff escape? We may never find him now. Your failure has allowed a grave danger to our Emperor to continue to exist. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '129', 'm19i', 'The moff must have gotten word of our intended strike and insured we\'d get false coordinates. This traitor will be sorry he ever turned against his master and the New Order.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '130', 'm19l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '131', 'm19o', 'Imperial Intelligence');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '132', 'm19s', 'We hope the moff was at that meeting when you destroyed the outpost. We\'ll have to continue monitoring communications to make sure. In any case, your strike against that Rebel outpost was superb.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '133', 'm19t', 'Destroy Rebel outpost');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '134', 'm20d', 'Intelligence has sent us a warning that the Rebels may try using mining equipment, especially LIN Demolitionmech droids, to strike at Imperial garrisons and depots. The idea was given to the Rebels by disgruntled spice miners who recently joined the Rebellion after the Empire cracked down on illegal spice mining on Kessel. The LIN droids will carry holographic disguisers to make them look like R3 units. We\'ve located a supply depot filled with mining equipment, including large quantities of explosives and Demolitionmech droids. We suspect this depot will provide much of the materials needed to create these \"miner bombs.\" We need a small team of Imperial agents to wipe this depot out and make sure the equipment inside is turned to molten slag. Can you aid the Empire in this, citizen? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '135', 'm20f', 'Your failure to destroy this depot will result in many of our garrisons facing these deadly miner bombs. Is this sort of mission failure common for you? We should have explored your background a bit more carefully before assigning you this mission.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '136', 'm20i', 'Our coordinates are off. It must be the work of Rebel slicers. We\'ll get the correct coordinates soon enough.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '137', 'm20l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '138', 'm20o', 'Imperial Army');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '139', 'm20s', 'An effective piece of work, agent. The Empire is proud. Claim your reward and seek us out again in the future for more work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '140', 'm20t', 'Destroy Rebel mining depot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '141', 'm21d', 'Local garrisons have reported recent Rebel attacks that have employed modified A-A5 speeder trucks as armored personnel carriers. We\'ve located several civilian speeder repair facilities that could be used to create these carriers. We want these installations destroyed. We\'ll leave Intelligence to provide us with \"proof\" of such activity after the deed is done. This task should prove simple for them. As for the task of destroying these stations, that will require a bit more work. Can you assist the Empire in removing this potential threat?  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '142', 'm21f', 'The speeder trucks can cause quite a bit of damage to our local garrisons. Your failure endangers our soldiers. You are dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '143', 'm21i', 'The Rebels must be trying to protect these installations and are therefore sabotaging our efforts. This proves these stations are being used to aid the Rebellion.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '144', 'm21l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '145', 'm21o', 'Imperial Army');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '146', 'm21s', 'Good work, agent. We knew these stations were serving those Rebel scum and you\'ve helped prove it. We hope this is the beginning of a very profitable career for you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '147', 'm21t', 'Destroy Rebel repair stations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '148', 'm22d', 'Smugglers have supplied the Rebels with a large quantity of stolen R3 units that were scheduled for Imperial cruisers. We understand that these R3 units have already been reprogrammed by Rebel technicians and are awaiting supply requisitions from the Rebel fleet. We\'ve located several of these R3 units and need them destroyed. These units are useless to us now that they might contain Rebel bugging devices. We\'re determined, however, not to allow these droids to serve the Rebellion either. Can you aid the Empire in carrying out this task? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '149', 'm22f', 'We didn\'t think such a simple mission would give you such trouble. This failure must be entered into your permanent record, agent. It is a shame.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '150', 'm22i', 'The Rebel scum must be moving those R3 units around. We\'ll track them down.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '151', 'm22l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '152', 'm22o', 'Imperial Navy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '153', 'm22s', 'You must be congratulated on a job well done, agent. The Empire needs more operatives like yourself. The reward is yours.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '154', 'm22t', 'Destroy Rebel R3 units');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '155', 'm23d', 'Intelligence informed us that the Rebels have taken an interest in certain rare types of crystals and that any supply depot containing caches of such minerals were to be immediately destroyed. We\'ve located a small warehouse containing a large quantity of mineral desposits mined from the Outer Rim. We do not know for certain that these crystals were headed into the hands of the Rebellion, but why risk it? We need loyal Imperial servants to vaporize these mineral supplies for us. Can the Empire count on your aid, citizen?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '156', 'm23f', 'We can only hope that these crystals were not being used to fashion some new devilish weapon. If you can\'t even take out a moderately defended warehouse, what hope do you have of getting more dangerous missions?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '157', 'm23i', 'We could have sworn those were the proper coordinates. Hmm, we\'ll have to double-check our reports.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '158', 'm23l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '159', 'm23o', 'Imperial Army');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '160', 'm23s', 'An efficient handling of the mission, agent. Well done. The Empire is proud to reward you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '161', 'm23t', 'Destroy Rebel warehouse');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '162', 'm24d', 'Our agents have been provided with a deadly airborne virus that they are to release at some anti-Imperial demonstrations and marches. The Rebels somehow acquired a sample of this virus and have developed a retrovirus, which they have mass-produced and plan to ship to the various systems where these demonstrations are scheduled. We\'ve managed to locate one of these shipments, currently being stored in a small medical supply depot. It occurs to us that a few loyal Imperial agents could assist our plans by insuring this retrovirus vaccine is destroyed. Can you assist in this matter, loyal servant of the Empire?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '163', 'm24f', 'It would have been better had we been able to stop these demonstrations using subterfuge, agent. Your failure means the Empire must risk more negative public opinion by using stormtroopers to silence these malcontents. How disappointing.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '164', 'm24i', 'Rebel agents no doubt moved this shipment of the vaccine. We must track it down. These encounters are so like a game of dejarik, wouldn\'t you agree? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '165', 'm24l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '166', 'm24o', 'Imperial Security Bureau');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '167', 'm24s', 'Our agents will meet with great success now. Well done, citizen. Your aid to the Empire and COMPNOR shall not be forgotten.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '168', 'm24t', 'Destroy Rebel retrovirus');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '169', 'm25d', 'Our spies have alerted us to the presence of a Rebel supply depot that seems to be housing many climate control units. No doubt these are intended for remote Rebel bases in the Outer Rim. We want these units destroyed and figure a loyal and skilled Imperial agent ought to be able to take care of that for us. No need to call in a full military strike. Can you assist the Empire with this, citizen?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '170', 'm25f', 'Climate control units were too much for you? This failure must be terribly embarrassing for you. We will certainly try not to mention it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '171', 'm25i', 'Our coordinates were in error? Strange. Must be the work of Rebel saboteurs.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '172', 'm25l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '173', 'm25o', 'Imperial Security Bureau');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '174', 'm25s', 'Clean and efficient, citizen, just like we like it. COMPNOR could use more agents like you. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '175', 'm25t', 'Destroy Rebel climate control units');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '176', 'm26d', 'The Rebellion would like nothing more than to blame the most recent attacks on the Bounty Hunters\' Guild on the Empire. Our agents inform us that the Rebels claim to have proof of such an involvement. Some Rebel spies are scheduled to meet with some representatives of the Bounty Hunters\' Guild. This meeting must be sabotaged. We\'ve acquired the coordinates to the secret location chosen for this purpose. We need loyal Imperial servants to silence these rumors once and for all. An attack by the Imperial military is out of the question, as I\'m sure you understand. The Empire needs to insure \"plausible deniability.\" Can you help us achieve this?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '177', 'm26f', 'Having the Bounty Hunters\' Guild turn on us would be a great disservice to the Empire, citizen. Your failure could make that come about. Very distressing.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '178', 'm26i', 'The Rebels must have known of our plans and moved the meeting. They are resourceful, we\'ll give them that.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '179', 'm26l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '180', 'm26o', 'Imperial Security Bureau');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '181', 'm26s', 'Dead men tell no tales, correct? Bravo, citizen. You are shaping up to be a highly respected professional agent. Accept your fee for the services rendered.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '182', 'm26t', 'Destroy secret meeting place');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '183', 'm27d', 'Our informants have given us the coordinates to a civilian speeder shop that apparently is storing some prototype speeders in the garage. What tipped our informants off was the shop owner\'s careful attempts to conceal these speeders. A mechanic\'s conversation was overheard and it mentioned something about adapting these speeders for extreme climate conditions. Whatever those mechanics are planning, it can\'t be legal. We need some dedicated agents to assault the shop and make sure it burns to the groud with those prototype speeders inside. Can you handle this mission for COMPNOR?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '184', 'm27f', 'There\'s no telling what those speeders were going to be used for. Your failure could mean the Rebels get their hands on an improved assault speeder. This is terribly disappointing.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '185', 'm27i', 'Intelligence must have gotten these coordinates wrong when they transmitted them to us. It pleases them to embarrass us like this from time to time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '186', 'm27l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '187', 'm27o', 'Imperial Security Bureau');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '188', 'm27s', 'Job well done, citizen. We hope you continue working with our organization in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '189', 'm27t', 'Destroy Rebel prototype speeders');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '190', 'm28d', 'We\'ve tracked down one of the refueling depots used by Rebel-friendly smugglers, who\'ve euphemistically been termed \"procurement specialists\" by the Rebellion. How quaint. These smugglers also leave shipments of stolen goods for the Rebels to take delivery of and redistribute to various cells. We must identify all such depots and put them out of business. The Imperial Military has their hands full tracking down Rebel bases, they don\'t need the additional worry of these depots. For this task, we require a capable team of agents that can hit an installation like this fast and hard. Can you assemble and lead such a team, citizen?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '191', 'm28f', 'Smugglers are not just a problem for the local authorities, citizen. They aid the Rebels and are therefore our problem as well. Your failure to take out their depot makes us doubt your abilities.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '192', 'm28i', 'Well, smugglers are elusive if they are anything. Our agents will track this depot down.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '193', 'm28l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '194', 'm28o', 'Imperial Security Bureau');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '195', 'm28s', 'We knew we could rely on you, citizen. Congratulations. The reward goes to you with our blessings.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '196', 'm28t', 'Destroy Rebel refueling depot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '197', 'm29d', 'The operation took several years, but we finally uncovered the traitor who has been supplying vacuum gyros for Rebels transports.  We now have the coordinates of the traitor\'s secret gyro cache.  Unfortunately he captured the probot that relayed us the information, so he knows we are coming.  Our sources tell us that a contingent of Rebel soldiers is evacuating the cache.  We need to dispatch a team to destroy this contraband before the Rebels take it away.  Are you equipped for such a mission?  If you go, expect a firefight.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '198', 'm29f', 'Vacuum gyros allow Gallifree transports to elude planetary blockades.  You let a golden opportunity slip through your fingers!  This failure will go on your record, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '199', 'm29i', 'Blast!  They must have finished evacuating before you arrived.  We\'ll track down those Rebel scum yet.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '200', 'm29l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '201', 'm29o', 'Imperial Security Bureau');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '202', 'm29s', 'Well done, citizen.  Those Gallifree transports slip through our blockades too easily.  Perhaps now we can stop those Rebel scum.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '203', 'm29t', 'Destroy a cache of vacuum gyros');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '204', 'm30d', 'Too many Rebel codes resist our efforts to unravel.  At last we have pinpointed the site of an encoding array which the Rebellion uses to retransmit secret communiques.  By smashing this installation we shall cripple their transmission network and save the lives of countless Imperial soldiers.  Needless to say, the Rebellion has posted a number of guards at the site.  If you can aid us in this strategic action, the Empire will provide you generous compensation.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '205', 'm30f', 'This was not an easy mission, but neither was it exceedingly dangerous.  You won\'t fail the Empire like this again, will you, citizen?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '206', 'm30i', 'Perhaps someone made a mistake in decrypting the coordinates of the station.  We shall make the necessary inquiries.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '207', 'm30l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '208', 'm30o', 'Imperial Intelligence: Analysis Bureau');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '209', 'm30s', 'Nice work.  Already we have seen a reduction in the number of encoded Rebel transmissions.  Take this payment with our gratitude.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '210', 'm30t', 'Eliminate a Rebel encoding station');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '211', 'm31d', 'Ion space mines are an important tool of the Imperial Navy, but in the hands of Rebel terrorists they become a menace to all law-abiding spacefarers.  We have tracked a freighter to a known Rebel outpost, where it deposited a load of Defender-class mine chassis.  We believe the Rebellion is assembling ion cannons for insertion into these mines.  If we can wipe out this factory before its deadly contraband is unleashed, the star lanes will be safe once more.  Are you ready to accept such an important mission?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '212', 'm31f', 'Those ion space mines will now be a threat to Imperial ships everywhere.  The blood of fallen stormtroopers will be on your hands.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '213', 'm31i', 'Amusingly, the factory was destroyed by an internal explosion just before you arrived.  Amateurs should not handle space mines.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '214', 'm31l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '215', 'm31o', 'Imperial Navy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '216', 'm31s', 'The Imperial Navy is indebted to you.  Take this payment and the gratitude of the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '217', 'm31t', 'Wipe out a factory for space mines');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '218', 'm32d', 'It\'s no wonder the Rebellion continues to elude our proud Imperial Navy.  We have learned from Imperial Intelligence of a hidden Rebel station that monitors hyperspace activity, in order to track the movement of our capital ships.  We need ground-based agents to recon this monitoring terminal and shut down its traitorous activities.  It is likely that the station is heavily guarded, so citizens accepting this mission should equip themselves for a fight.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '219', 'm32f', 'Imperial Intelligence suggested we dispatch civilians for this mission.  In the future we shall regard this practice with greater skepticism.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '220', 'm32i', 'Imperial Intelligence provided us with those coordinates.  Some days they are more reliable than others.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '221', 'm32l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '222', 'm32o', 'Imperial Navy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '223', 'm32s', 'You shall be well paid for your success.  Imperial Intelligence is on its way to sift through the remains of the terminal, assuming you left any remains.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '224', 'm32t', 'Dismantle a hyperspace monitoring terminal');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '225', 'm33d', 'The Imperial Army works tirelessly to ensure security and civic tranquility in the galaxy.  To undertake this noble mission the Army consumes vast food resources.  As we all know, the Rebellion spares no atrocity in their sabotage of galactic peace, and this includes the highjacking of rations bound for Imperial garrisons.  But certain loyal citizens have informed us of a distribution center where the Rebels hoard this stolen food.  They are using this contraband to bribe the local settlements.  The Rebels pretend that recent Imperial exhaust tests have caused a local drought, and then \"remedy\" this \"famine\" with the stolen rations.  But a well-armed team of loyalist infiltrators can destroy this distribution center and stop the treachery before it spreads.  The Empire will compensate such bravery according to its success.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '226', 'm33f', 'Thanks to your incompetance, the local settlements must continue to endure the indignity of consuming stolen food.  You have failed them and you have failed the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '227', 'm33i', 'Our intelligence indicates that local settlers assisted in moving the distribution center before you arrived.  Rebel exploitation knows no limits.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '228', 'm33l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '229', 'm33o', 'Imperial Army');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '230', 'm33s', 'It is too bad that the Army rations had to be destroyed, but at least the local settlers are spared the indignity of consuming stolen food.  Take your reward with honor.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '231', 'm33t', 'Crush a Rebel distribution center');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '232', 'm34d', 'A grand victory!  Recently our field operatives wiped out a Rebel command center using an exciting new airborne biological agent.  To our dismay, however, a group of survivors fled with the corpses of several highly-placed Rebel leaders.  We tracked their escape vessel to a small \"safe house.\"  Our scientists have deemed it prudent to destroy these bodies in the interest of public health.  We are looking for loyal volunteers to enter this Rebel den, eliminate the guards and blast apart the entire structure.  Of course our own operatives will be observing from a safe and discreet distance.  A reward is available for anyone who performs this service, as well as the gratitude of the Empire for the remainder of their life.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '233', 'm34f', 'We hope your abortive effort hasn\'t spread the biological contagion.  From now on, please refrain from bodily contact with any member of the ISB.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '234', 'm34i', 'Are you sure you investigated the area thoroughly?  Our coordinates must have been wrong.  Just in case, please refrain from bodily contact with any member of the ISB.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '235', 'm34l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '236', 'm34o', 'Imperial Security Bureau');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '237', 'm34s', 'Excellent work, citizen.  Now use this reward money to remove yourself from all populated areas.  We cannot be certain that you are free from biological contagion.  Have a nice day.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '238', 'm34t', 'Eliminate a biological hazard');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '239', 'm35d', 'As diligent citizens of the Empire know, recently the Rebellion provoked the untimely destruction of the planet of Alderaan.  Properly reviled for this heinous crime, the Rebellion has sought public sympathy by collecting and breeding many of Alderaan\'s native fauna.   Right-thinking citizens of the Empire understand that the Death Star was forced to destroy Alderaan in the name of galactic security, and that this program of re-breeding extinct animals is a transparent act of propaganda.  Luckily we have located the center of this traitorous enterprise.  We need a team of well-trained civilians to blast apart this breeding facility and strike a blow for truth and justice in the galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '240', 'm35f', 'If you have allowed a single Alderaanian tinklefly to escape, the security of the Empire could be jeopardized!  We shall record this failure in our files, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '241', 'm35i', 'Perhaps our intelligence was not as accurate as we thought.  Fear not, this vile operation will soon be shut down.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '242', 'm35l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '243', 'm35o', 'Imperial Security Bureau');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '244', 'm35s', 'While the beautiful woolly moth of Alderaan may have looked harmless, it was a vicious threat to galactic security.  You have advanced the cause of Imperial truth.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '245', 'm35t', 'Destroy a Rebel propaganda center');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '246', 'm36d', 'Some Imperial agents are in Rebel custody, captured in a recent frontier skirmish, and are currently imprisoned in a small but well-guarded holding facility.  The Rebels will be on the lookout for uniformed soldiers, so we require some highly-trained civilians to launch a surprise assault on the holding facility and reduce it to rubble.  We must assume that the captured agents have been interrogated and have divulged military secrets.  They are therefore traitors and should be considered expendable.  Applicants for this mission will be required to leave no survivors.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '247', 'm36f', 'Your mission specified no survivors.  We hope that the Rebels do not learn additional military secrets because of your inept performance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '248', 'm36i', 'The captured agents must have divulged our classified frequencies.  Clearly the Rebels knew we were coming.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '249', 'm36l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '250', 'm36o', 'Imperial Army');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '251', 'm36s', 'We\'re pleased that the captured agents have been liquidated.  You have earned the undying respect and loyalty of the ISB.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '252', 'm36t', 'Liquidate captured Imperial agents');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '253', 'm37d', 'The cowardice of the Rebellion knows no limit.  This time they have launched an insidious scheme to undermine the security of a peaceful, orderly world.  As you know, Imperial engineers have enhanced the water supply of many communities with placidity enzymes to abate civic unrest.  The Rebels have secretly captured a local water junction and installed a Creel manifold to siphon off the additives.  We need a team of civilian operatives to ambush these Rebel dogs and blast the water junction into oblivion.  This will set an example to traitors everywhere that the goodwill of the Empire shall not be thwarted.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '254', 'm37f', 'How can we expect to secure public tranquility when our hired operatives cannot blast a simple water junction to pieces?  Come back when you have trained further.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '255', 'm37i', 'Once again the Rebel scum have slinked back into the shadows when Imperial justice arrived.  Stay alert, good citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '256', 'm37l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '257', 'm37o', 'Imperial Security Bureau');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '258', 'm37s', 'The Empire is lucky to have such skilled civilian operatives.  Rest assured that the community\'s water supply will be fully restored within a few months.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '259', 'm37t', 'Blast a Creel manifold into oblivion');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '260', 'm38d', 'For thirty years I languished in the Glythe sector as a remote field operative of the ISB.  Now, at the end of my career, I have been transferred to a more civilized system with a chance to make a real impact.  I am retiring next cycle, so this is my last opportunity to attain some measure of glory.  To this end I am sending a civilian strike team to take out a suspected Rebel grease refinery.  I require well-trained operatives who are not afraid to get their hands dirty.  Help an old man make his mark in the universe.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '261', 'm38f', 'Blast it!  That was my last chance to retire with honor, and you botched it!  Thank you for destroying my grandchildren\'s faith in a failing old man.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '262', 'm38i', 'What?  It\'s not there?  That can\'t be!  I\'m sure I had reliable intelligence.  Am I to retire with this embarrassing mistake as my last act?  Oh, woe!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '263', 'm38l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '264', 'm38o', 'Agent Sheedup of the Imperial Security Bureau');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '265', 'm38s', 'At last I have achieved true success!  My grandchildren thank you for saving an old man\'s reputation.  Take your payment and enjoy it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '266', 'm38t', 'Strike a Rebel refinery');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '267', 'm39d', 'Rebel dogs come in all stripes.  We have pinpointed a cloister of fuselage engineers who are aiding the traitors in their fighter designs.  We are commissioning a team of investigators to search these coordinates and eliminate any operations they find.  These engineers are simple data pushers, not much of a threat, though word has it that they might carry some small arms of their own design.  Watch out for surprises and make sure to wipe out any research materials they have gathered.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '268', 'm39f', 'It is stupefying that so-called professionals can fail to take down a simple cloister of engineers.  What is the universe coming to?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '269', 'm39i', 'Those data pushers must have sliced into our security net and known that we were coming.  But they can\'t hide for long.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '270', 'm39l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '271', 'm39o', 'Imperial Security Bureau');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '272', 'm39s', 'I understand those engineers were tougher than they looked.  Or perhaps you are not as competant as you portray yourself.  At least you completed the mission.  Take your payment and go.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '273', 'm39t', 'Smash a cloister of engineers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '274', 'm40d', 'Rebel pirates have stolen our droids!  A shipment of IG-type assassin droids was highjacked en route to a Civil Security Center on Dantooine.  We have intercepted Rebel messages that suggest these droids were smuggled to a secret reprogramming facility, where technicians are regearing their circuits for use in gardening and botanical arrangement.  This insult to Imperial might must be eradicated immediately.  A squad of operatives must travel to these coordinates and destroy the facility.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '275', 'm40f', 'Thanks to your inept performance, the galaxy must continue to endure the appalling botanical arrangements created by these reprogrammed assassin droids.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '276', 'm40i', 'The information must be correct.  We killed many Bothans to get it.  Let me double-check. Try again later.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '277', 'm40l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '278', 'm40o', 'Imperial Intelligence');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '279', 'm40s', 'The Empire is grateful for your service.  IG assassin droids make lousy botanical arrangements.  Enjoy your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '280', 'm40t', 'Eradicate a droid reprogramming facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '281', 'm41d', 'Alert!  Our probe droids have uncovered an underground maintenance station for a squad of Rebel X-wing fighters.  These ships have harried our blockade enforcers for several parsecs, but at last we shall have our revenge.  We need a contingent of shooters to slip inside and blast the place to dust.  The station is craftily disguised, but it contains enough fuel that destroying the surface structures ought to ignite the whole place like an Alderaanian fireworks shop.  Be careful, though, as the Rebels have this valuable secret well guarded.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '282', 'm41f', 'Those X-wings have been slipping through our blockades for several parsecs, and you failed to destroy them even while they were idle.  The Empire does not abide incompetance.  This incident will be recorded in our files.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '283', 'm41i', 'Our Analysis Bureau informs us that the Rebels destroyed the facility themselves minutes before you arrived.  Next time, try to reach your objective with greater urgency.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '284', 'm41l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '285', 'm41o', 'Imperial Intelligence');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '286', 'm41s', 'We have been tracking those X-wings for many parsecs.  At last their destruction is complete.  Splendid work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '287', 'm41t', 'Smash a squad of X-wing fighters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '288', 'm42d', 'Sometimes the Rebels do not know when to give up.  This time they have stolen the plans for a new Imperial void station and hidden them inside an innocuous MSE-6 mouse droid.  On the planet Elcorth we executed thirty Elomin to retrieve the plans, but the droid managed to escape.  In Darpa sector we blasted several Rhinnalian medical frigates to space dust, but again the mouse droid eluded us.  After bombing a Rebel stronghold on Mindabaal we again failed to capture the droid, but we learned that it hopped aboard a smuggler\'s freighter and landed at these coordinates.  We require a strike team to pinpoint the Rebel outpost and smash it to rubble.  Imperial Intelligence will inspect the site to retrieve what remains of the offending MSE-6.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '289', 'm42f', 'You failed to destroy the outpost and as a result, the mouse droid has once more slipped through our fingers.  Can no one stop that mechanical meddler??');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '290', 'm42i', 'Our inspectors have learned that the mouse droid inserted a false navigational log into the smuggler\'s computers.  As a result we gave you the wrong coordinates.  Curse that metal-plated nuisance!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '291', 'm42l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '292', 'm42o', 'Imperial Navy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '293', 'm42s', 'Excellent work.  There\'s no way that little droid could have escaped this time.  You have served the Empire well.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '294', 'm42t', 'Execute an MSE-6 mouse droid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '295', 'm43d', 'For several cycles the Empire has expended valuable military resources tracking down a single MSE-6 mouse droid.  This mechanical nuisance carries the plans for one of our prototype void stations, which must be recovered at any cost.  Recently the droid fled to the ice planet of Lur where it tricked several bounty hunters into killing each other.  Then it commandeered one of the hunters\' starships and blasted its way past an Imperial blockade.  We have followed its particle vapor trail to a small gas filter plant at these coordinates.  Time is now short.  The Rebellion has dispatched a squad of fighters to retrieve the droid.  We must level this plant before the enemy can capture our secret plans.  Make certain that nothing survives!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '296', 'm43f', 'Take heart.  Better agents than you have failed to bring down this mouse droid.  Keep practicing and perhaps you may redeem yourself at a later time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '297', 'm43i', 'Our inspectors discovered that the exhaust vapor was a ruse by the droid to throw us off its trail.  We\'ll get you yet, mouse droid!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '298', 'm43l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '299', 'm43o', 'Imperial Navy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '300', 'm43s', 'We have found no trace of the mouse droid in the ruins.  You must have blown it into a billion atoms.  Well done!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '301', 'm43t', 'Execute an MSE-6 mouse droid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '302', 'm44d', 'Somehow a mere MSE-6 mouse droid continues to elude capture.  The droid carries plans for one of our prototype void stations, which we must recover at any cost.  Not long ago we cornered the MSE-6 in the spice mines of Sevarcos, but somehow it evaded laser fire from an entire platoon of crack stormtroopers.  After piloting a Corellian freighter into the command deck of an Imperial-class Destroyer, the droid navigated a turbo escape pod through the Noonta Nebula to shake off our TIE pursuit fighters.  But space debris forced it to land at these coordinates, where a Rebel cell has given it shelter.   Now is our chance to obliterate this mechanical traitor and remove a terrible threat to the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '303', 'm44f', 'The mouse droid escaped yet again?  Our file on this mechanical nuisance grows larger and larger.  Perhaps it is time to dispatch more skilled agents to the task.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '304', 'm44i', 'How can a simple MSE-6 constantly to throw us off its trail?  Blast you, accursed mouse droid!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '305', 'm44l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '306', 'm44o', 'Imperial Navy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '307', 'm44s', 'Finally we have stopped that annoying little droid!  Imperial Intelligence has yet to locate its remains in the rubble you left behind, but we have certainly seen the last of that metal-plated turncoat.  Very well done.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '308', 'm44t', 'Execute an MSE-6 mouse droid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '309', 'm45d', 'The Empire prides itself on the reputation of its elite stormtroopers.  The Rebellion has demonstrated its fear of these crack soldiers by tampering with black quartz used in the construction of stormtrooper armor.  Imperial Intelligence has learned that Rebel saboteurs have performed molecular scoring on the laserproof crystals, which are fashioned into visors for trooper helmets, so that our fine soldiers have experienced some difficulty seeing properly.  We are uncertain to what extent these defective visors have been deployed throughout the galaxy.  However we have tracked the saboteurs to a rundown cantina at these coordinates.  The Empire wishes to make an example of these Rebels by completely obliterating the cantina and all the traitors inside.  Perform this service and perhaps one day you will be experienced enough to join the ranks of the Empire\'s finest.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '310', 'm45f', 'You\'ll never qualify to be a stormtrooper with a poor performance like that!  Practice your marksmanship and someday you may aspire to the Empire\'s most elite fighting units.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '311', 'm45i', 'Come to think of it, I was wearing a stormtrooper helmet when I transmitted those coordinates to you.  Perhaps I made a mistake.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '312', 'm45l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '313', 'm45o', 'Imperial Army');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '314', 'm45s', 'You have the lethal cunning and accuracy of an Imperial stormtrooper.  Perhaps you should apply to the Academy.  Take this payment and think about your future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '315', 'm45t', 'Obliterate Rebel saboteurs');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '316', 'm46d', 'It has come to our attention that a local livestock dealer harbors seditious motives.  Loyal citizens have reported a collection of mynock incubators hidden underneath his shop.  As you may know, certain factions of the Rebellion employ mynocks as nuisance tactics against our space fleet.  We have judged it prudent to destroy the incubation facility in the interest of galactic security.  Level the shop at these coordinates and you shall receive suitable recompense.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '317', 'm46f', 'A simple livestock dealer repelled battle-hardened Imperial agents?  It seems our suspicions are confirmed.  Heal your wounds and perhaps you may be allowed to try again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '318', 'm46i', 'It seems we were provided with the wrong coordinates.  We shall investigate the \"loyal citizens\" who made this report.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '319', 'm46l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '320', 'm46o', 'Imperial Security Bureau');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '321', 'm46s', 'He put up quite a fight for a simple livestock dealer, didn\'t he?  It seems our suspicions are confirmed.  Only a Rebel traitor would have that kind of firepower.  Well done, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '322', 'm46t', 'Crush a mynock incubator');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '323', 'm47d', 'Sedition takes many forms.  Even a simple holovid broadcast can spread unrest, if its content is unacceptable.  For instance, a local community has recently been plagued by a fake recording that depicts the alleged destruction of Empire\'s finest war machine, the Death Star.  The transmission has been traced to a broadcast facility at these coordinates.  We want you to take a strike team and decimate this unseemly operation.  In particular, make certain that all of these fake recording are utterly destroyed.  We will not have these untruths soiling the tranquility of our loyal and obedient communities.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '324', 'm47f', 'It is most suspect that you failed to destroy this traitorous broadcast facility.  We shall schedule a thorough background check to ensure that your record is clean.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '325', 'm47i', 'No doubt this is a simple computer hiccup.  We shall retrieve the proper coordinates shortly.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '326', 'm47l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '327', 'm47o', 'Imperial Security Bureau');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '328', 'm47s', 'Excellent work.  Did you happen to view any of the offending holovids before you destroyed them?  We\'ll send some security agents around to question you, just in case.  Don\'t worry, it\'s a routine debriefing.  Who is your next of kin?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '329', 'm47t', 'Raze a seditious broadcast facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '330', 'm48d', 'Have they no sense of decency?  In the midst of an otherwise obedient community, the Rebellion has constructed a power relay cannon that transmits energy beams to passing Rebel fighters.  For the public good we must now dispatch a blaster team to blow this relay installation into oblivion and fry every inhabitant to ashes.  Such an action will assure the locals that the Empire is dilligently protecting their families and properties.  To this end, bring as many heavy weapons and explosives as you can gather for the task.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '331', 'm48f', 'That power relay will continue to operate only as long as you continue to botch the job.  Spend sometime in a Bacta tank and come back when you\'re ready to mount a proper attack.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '332', 'm48i', 'I now suspect that the locals helped to dismantle and hide the relay station.  We shall conduct a door-to-door search, but you need not concern yourself with that.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '333', 'm48l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '334', 'm48o', 'Imperial Security Bureau');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '335', 'm48s', 'Nicely done, citizen.  The community has been rendered safe once more.  The standard martial curfew will ensure that no Rebels return.  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '336', 'm48t', 'Blast a Rebel power relay');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '337', 'm49d', 'They want us to believe they are mere gangsters, but we have discovered that the Ravvo clan are in fact agents of the Rebel Alliance.  These creeps have a barracks, at these coordinates, where they practice their marksmanship to the detriment of the Empire.  A well-armed assault will teach them that scoffing Imperial authority is a game for fools and dead men.  These thugs are heavily armed as well, so proceed cautiously but ruthlessly.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '338', 'm49f', 'Those Rebels should have run like cowards in the face of armed resistance!  Perhaps they are more formidible than we anticipated.  Perhaps it is time to get the military involved.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '339', 'm49i', 'We conduct so many polticial enforcement actions that sometimes our data gets confused.  We\'ll sort out the problem.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '340', 'm49l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '341', 'm49o', 'Imperial Intelligence');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '342', 'm49s', 'It\'s astounding that so many fools refuse to acknowledge the irresistable might of the Empire.  You have shown them the error of their ways.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '343', 'm49t', 'Level a den of Rebel sympathizers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '344', 'm50d', 'Thanks to the tireless work of Imperial forces, the Rebellion is now reduced to hiring the lowest of the low to help their pathetic cause.  I\'m speaking of course of salvage freighters, who scour the outer systems like vermin looking for scraps of metal to sell.  We have learned that a thriving business is developing in the area of Yavin, where large pieces of military equipment are available for the taking.  In particular a cache of near-functional turbolasers has been purchased by the Rebels.  Luckily some of the tracking circuits are still functional, so our scouts have located the base where the weapons have been hidden.  A swift assault will wipe out this cache and the Rebels who guard it.  Once more Imperial justice will prevail over these hopeless acts of sedition.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '345', 'm50f', 'You failed?  Had the Rebels managed to activate the turbolasers, or are you simply too inept to complete a simple search-and-destroy mission?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '346', 'm50i', 'Our investigators have discovered that the tracking circuits were removed from the salvaged turbolasers and buried at the coordinates we gave you.  They threw us off the trail this time, but we\'ll find those Rebel scum yet.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '347', 'm50l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '348', 'm50o', 'Imperial Intelligence');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '349', 'm50s', 'Excellent work!  You have saved the lives of countless Imperial soldiers.  Take your reward with honor.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '350', 'm50t', 'Wipe out a cache of Rebel turbolasers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium.stf', '351', 'number_of_entries', '50');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '1', 'm1d', 'Our probe droids have located a sizable Rebel munitions depot. Taking out this supply cache would limit the number of raids the Rebels could effectively carry out. This depot will probably be well guarded and will certainly be well defended. Can we rely on you to teach these Rebel scum a lesson and turn their depot into a miniature sun?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '2', 'm1o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '3', 'm1s', 'That must have been quite a fireworks show, eh? Congratulations, agent. Your Imperial service record is shaping up quite nicely.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '4', 'm1t', 'Rebel Munitions Depot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '5', 'm2d', 'A Rebel mining facility has been identified by Intelligence and we need it destroyed. These Rebels have a habit of slipping through our blockades during a full military strike so we\'d like you to lead a small team of loyal agents to accomplish this mission instead. Do you think you can serve your Empire in this manner?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '6', 'm2o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '7', 'm2s', 'If the Rebels thought we would overlook a small mining operation, they were sadly mistaken. Well done. Your efforts on behalf of the Empire are noted. Claim your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '8', 'm2t', 'Rebel Mining Facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '9', 'm3d', 'Intelligence believes that a small outpost is housing a communications array currently being employed by the Rebellion to coordinate local Rebel cell activity. Put this place out of operation. We will not have this sort of Rebel activity in that sector. How dare the Rebels think this would go unnoticed. Can the Empire rely on you? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '10', 'm3o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '11', 'm3s', 'So much for that outpost. Bravo, loyal citizen! Your efforts may take you far in the ranks of the ISB. We hope you continue to serve us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '12', 'm3t', 'Communications Array');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '13', 'm4d', 'Rebels have been transporting alien refugees to various outposts throughout the galaxy. Many of these refugees are escaped slaves or criminals. We\'ve managed to locate one of these outposts and now need to make sure it will no longer serve the cause of the Rebellion. We need a trusted agent to eradicate this facility. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '14', 'm4o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '15', 'm4s', 'You can run but you can\'t hide! Congratulations, citizen, you have removed many inconveniences for the Empire. Seek us out for future employment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '16', 'm4t', 'Alien Refugee Outpost');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '17', 'm5d', 'We\'ve unearthed a Rebel indoctrination camp. Within the walls of these facilities, the minds of loyal citizens are poisoned and warped by the efforts of twisted medical droids and large quantities of illegal glitterstim drugs. We must terminate the activities of this vile installation and insure our citizens remain loyal to the Empire. Can you help your Emperor stamp out this loathsome practice? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '18', 'm5o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '19', 'm5s', 'You have doubtless saved hundreds of loyal citizens from a terrible fate, citizen. Losing your faith in the New Order is bad enough, but to lose your mind along with it? You are a true champion of the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '20', 'm5t', 'Rebel Indoctrination Camp');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '21', 'm6d', 'We\'ve discovered a Rebel terrorist sleeper cell masquerading as a droid maintenance facility. We suspect that this cell has been responsible for the deaths of no less than 100 Imperial servants and the destruction of millions of credits worth of property. We require a loyal citizen of the Empire to burn this installation to the ground. Are you the agent we\'re looking for?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '22', 'm6o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '23', 'm6s', 'The deaths of all those Imperial servants are now avenged! You are truly a champion of justice, citizen. We hope this is a definite indication of things to come.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '24', 'm6t', 'Terrorist Cell');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '25', 'm7d', 'A Rebel supply depot has been located. The front for it seems to be a scientific observation outpost. We need a trusted agent to lead a strike against this installation and insure its destruction. There\'s no telling how many cells this depot has been supplying or how many Imperial lives have been lost as a result.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '26', 'm7o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '27', 'm7s', 'Whatever was in that warehouse will not serve those Rebels now. Good work, agent. Your future does indeed look bright if you continue to serve us in this manner. Collect your reward with pride - you\'ve earned it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '28', 'm7t', 'Rebel Supply Depot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '29', 'm8d', 'We\'ve located a small station that is being used by the Rebels to entice young pilots to join their traitorous cause. Apparently these Rebels have several X-wing flight simulators that they allow local pilots to play around with. Unfortunately, this is often enough to get some of these na?ve flyboys to sign up. We need this station destroyed and everything inside incinerated.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '30', 'm8o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '31', 'm8s', 'Little did those local flyboys realize that playing with a flight simulator could be very dangerous indeed. Well done, citizen. The Empire is pleased to reward one such as you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '32', 'm8t', 'Rebel Training Station');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '33', 'm9d', 'Intelligence has finally located one of the Rebellion\'s data slicer hubs. This facility could house several HoloNet transceivers and the slicers who operate them. A strike would remove both. Can the Empire count on you to help make the Imperial HoloNet more secure for military communications? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '34', 'm9o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '35', 'm9s', 'A most excellent strike, agent. These were the sorts of results we had hoped to get by employing you. Claim your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '36', 'm9t', 'Slicer Hub');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '37', 'm10d', 'Agents within the CSA have informed Intelligence that many of the workers the Viceprexes are requesting for hard labor are being transferred to a holding facility so that Rebel agents can rescue convicted Rebel spies and sympathizers contained among the roster. We need a small team of loyal Imperial agents to obliterate this facility. The Empire is counting on you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '38', 'm10o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '39', 'm10s', 'Well done! We couldn\'t have done it any better ourselves. The Empire could use more agents like you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '40', 'm10t', 'Refugee Facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '41', 'm11d', 'A shipment of Merr-Sonn IR-5 blaster pistols has fallen into the hands of the Rebellion and we believe we\'ve learned where these deadly weapons are being stored. They will certainly be distributed to various Rebel cells for use in intimidation missions. We must destroy this cache of weapons before those scum can use them against our agents.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '42', 'm11o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '43', 'm11s', 'Those deadly \"Intimidators\" won\'t threaten the safety of our agents. Good work! The Empire gladly rewards success and loyalty.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '44', 'm11t', 'Weapons Cache');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '45', 'm12d', 'Several MD medical droids have been acquired by the Rebellion. Our spies have provided us with the coordinates to the holding facility where these droids are being stored. We cannot allow the Rebels to have access to proper medical care. We require a small team of loyal agents to find this facility and destroy it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '46', 'm12o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '47', 'm12s', 'A successful strike against the Rebellion. Well done. The reward is yours.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '48', 'm12t', 'Rebel Medical Droids');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '49', 'm13d', 'The Rebels have been targeting Imperial depots containing laser cutters. We believe they need them to build a new operational base although we do not yet know its location. Our agents have managed, however, to locate some of these laser cutters and have sent us the coordinates where they are being housed. We need a few loyal Imperial agents to strike this storage depot.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '50', 'm13o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '51', 'm13s', 'Success! This will doubtless slow the Rebels\' efforts to carve out new lairs. You\'ve earned your reward, agent.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '52', 'm13t', 'Laser Cutter Storage Depot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '53', 'm14d', 'A traitorous Moff has offered to aid the Rebels attempt to assassinate our beloved Emperor. We\'ve pinpointed where this traitor and his agents will be meeting with the Rebellion\'s agents to make the arrangements. We require an able and loyal Imperial strike team to hit this outpost and insure its destruction. Could you assemble and lead such a team?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '54', 'm14o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '55', 'm14s', 'We have not ascertained whether the Moff was at that meeting when you destroyed the outpost. We\'ll have to continue monitoring communications. In any case, your strike against that Rebel outpost was superb.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '56', 'm14t', 'Hunt a Traitorous Moff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '57', 'm15d', 'Local garrisons have reported recent Rebel attacks that have employed modified A-A5 speeder trucks as armored personnel carriers. We\'ve located several civilian speeder repair facilities that could be used to create these carriers. We want these installations destroyed. Can you assist the Empire in removing this potential threat? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '58', 'm15o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '59', 'm15s', 'Good work, agent. We knew these stations were serving those Rebel scum and you\'ve helped prove it. We hope this is the beginning of a very profitable career for you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '60', 'm15t', 'Take Out Rebel Repair Stations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '61', 'm16d', 'The Rebels have taken an interest in certain rare types of crystals. Intelligence has instructed us to destroy any supply depot containing caches of such minerals. We\'ve located a small warehouse containing a large quantity of mineral desposits mined from the Outer Rim. We need loyal Imperial servants to vaporize this warehouse.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '62', 'm16o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '63', 'm16s', 'An efficient handling of the mission, agent. Well done. The Empire is proud to reward you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '64', 'm16t', 'Smash Mysterious Crystals');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '65', 'm17d', 'We\'ve been alerted to the presence of a Rebel supply depot that seems to be housing hundreds of climate control units. No doubt these are intended for remote Rebel bases in the Outer Rim. We want these units destroyed and figure a loyal and skilled Imperial agent ought to be able to take care of that for us. No need to call in a full military strike.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '66', 'm17o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '67', 'm17s', 'Clean and efficient, citizen, just like we like it. COMPNOR could use more agents like you. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '68', 'm17t', 'Make It Cold for the Rebels');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '69', 'm18d', 'We finally identified the traitor who has been supplying vacuum gyros for Rebel transports. We have the coordinates to the traitor\'s secret gyro cache. Unfortunately he knows we are coming. Our sources tell us that a contingent of Rebel soldiers is evacuating the cache. We need to dispatch a team to destroy this contraband before the Rebels take it away.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '70', 'm18o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '71', 'm18s', 'Well done, citizen. Those Gallifree transports slip through our blockades too easily. Perhaps now we can stop those Rebel scum.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '72', 'm18t', 'Cripple Rebel Transports');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '73', 'm19d', 'Ion space mines are an important tool of the Imperial Navy, but in the hands of Rebel terrorists they become a menace to all law-abiding spacefarers. We have tracked a freighter to a known Rebel outpost, where it deposited a load of Defender-class mines. If we can wipe out this factory before its deadly contraband is unleashed, the star lanes will be safe once more.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '74', 'm19o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '75', 'm19s', 'The Imperial Navy is indebted to you. Accept this payment and the gratitude of the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '76', 'm19t', 'Take Out Space Mines');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '77', 'm20d', 'Rebel pirates have stolen our droids! A shipment of IG-type assassin droids was hijacked en route to a Civil Security Center on Dantooine. Intercepted Rebel transmissions suggest these droids were smuggled to a secret reprogramming facility, where technicians will turn the IGs into gardening and botanical droids. A squad must locate and destroy this facility.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '78', 'm20o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '79', 'm20s', 'The Empire is grateful for your service. IG assassin droids make lousy botanical arrangements. Enjoy your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '80', 'm20t', 'Assassin Droids Do Not Pick Posies');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '81', 'm21d', 'Our probe droids have uncovered an underground maintenance station for a squad of Rebel X-wing fighters. These ships have harried our blockade enforcers for several parsecs, but at last we shall have our revenge. We need a contingent of shooters to slip inside and blast the place to dust. Be careful, as the Rebels have this valuable secret well guarded.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '82', 'm21o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '83', 'm21s', 'We have been tracking those X-wings for many parsecs. At last their destruction is complete. Splendid work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '84', 'm21t', 'X-Wing Fighter Squad');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '85', 'm22d', 'We\'ve discovered a local livestock dealer who harbors seditious motives. Loyal citizens have reported a collection of mynock incubators hidden underneath his shop. Certain factions of the Rebellion employ mynocks as nuisance tactics against our space fleet. We have judged it prudent to destroy the incubation facility in the interest of galactic security.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '86', 'm22o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '87', 'm22s', 'He put up quite a fight for a simple livestock dealer, didn\'t he? It seems our suspicions are confirmed. Only a Rebel traitor would have that kind of firepower. Well done, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '88', 'm22t', 'Mynock Incubator');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '89', 'm23d', 'A local community has recently been plagued by a fake holovid recording that depicts the alleged destruction of Empire\'s finest war machine, the Death Star. The transmission has been traced to a broadcast facility. You must take a strike team and decimate this unseemly operation. These untruths will not soil the tranquility of our loyal and obedient communities.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '90', 'm23o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '91', 'm23s', 'Excellent work. Did you happen to view any of the offending holovids before you destroyed them? We\'ll send some security agents around to question you, just in case. Don\'t worry, it\'s a routine debriefing. Who is your next of kin?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '92', 'm23t', 'Seditious Broadcast Facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '93', 'm24d', 'In the midst of an otherwise obedient community, the Rebellion has constructed a power relay cannon that transmits energy beams to passing Rebel fighters. For the public good we must now dispatch a blaster team to blow this relay installation into oblivion. Such an action will assure the locals that the Empire is dilligently protecting their families and properties.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '94', 'm24o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '95', 'm24s', 'Nicely done, citizen. The community has been rendered safe once more. The standard martial curfew will ensure that no Rebels return. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '96', 'm24t', 'Rebel Power Relay');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '97', 'm25d', 'The Inquisitorius has ordered a strike on a Rebel outpost that has been conducting unusual experiments involving the Force and Force-users. We cannot imagine that the Rebellion would be foolish enough to attempt to establish another Jedi training academy, especially in light of the corruption that was revealed within the ranks of the old Jedi Order. Can you assemble a strike team to take care of this?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '98', 'm25o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '99', 'm25s', 'A new breed of Jedi shall not rise to threaten our beloved Empire thanks to you, agent. Well done! The Emperor will hear of your success. Be proud.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '100', 'm25t', 'Jedi Training Outpost');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_imperial_non_military_medium_non_persistent_from_npc.stf', '101', 'number_of_entries', '25');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '1', 'm1d', 'Is there no place in the galaxy that is free of pests? Every neighborhood I move into ends up having some sort of infestation or other, regardless of the system or the climate. Thank goodness for hardworking citizens like yourself. Just as I\'ve done on all those other worlds, I\'m willing to pay a brave citizen a decent reward for ridding our neighborhood of verminous infestation. Do you think you could help? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '2', 'm1o', 'A Perturbed Citizen');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '3', 'm1s', 'Pest control at its finest, citizen! Good job! Ever consider going into this line of work professionally?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '4', 'm1t', 'Exterminate the Pests');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '5', 'm2d', 'I lost one of my prized hunting greysors a few nights ago to some sort of vile vermin infesting this area. Friend of mine thinks he\'s located where these creatures are coming from. I can\'t afford to lose any more of my champions to those beasts so I\'m offering a reward to anyone willing to take up a blaster. Don\'t leave a single one of those killers alive, you hear? If these things attacked a well-trained greysor, there\'s no telling what they\'d do to an unarmed man or a group of youngsters.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '6', 'm2o', 'An Angry Greysor Breeder');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '7', 'm2s', 'Wiped out those creatures, huh? Good going. The reward\'s yours, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '8', 'm2t', 'Save the Prized Greysors');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '9', 'm3d', 'Isn\'t the galaxy dangerous enough without bloodthirsty beasts? Late-night sanitation workers have reported being attacked by savage creatures. The attacks have increased in frequency and intensity. We need to stop these predators before they begin attacking innocent citizens during the day. A transport driver reported seeing several of these creatures milling about while delivering some power converters to a nearby station. We have the coordinates of that location and will transmit those to any enterprising citizen who undertakes this mission.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '10', 'm3o', 'Citizens for a Clean Tomorrow');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '11', 'm3s', 'Thanks, citizen! You help keep our streets clean and our people safe. Visit us anytime.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '12', 'm3t', 'Take Out the Night Stalkers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '13', 'm4d', 'Something\'s been killing the local livestock. We\'re not exactly sure what it is, but it sure does have a voracious appetite for destruction and flesh. Some land surveyors have reported sightings of hunting packs near here. We believe that hunting ground is quite close to the beasts\' lair. We\'d like to hire someone to investigate this area and wipe out these creatures. Do you think you could help us with this, citizen?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '14', 'm4o', 'Galactic Farmer\'s League: Local Chapter');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '15', 'm4s', 'Very effective, citizen. You have our thanks and our credits. Enjoy!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '16', 'm4t', 'Save the Livestock');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '17', 'm5d', 'My son was injured by wild predators while playing just outside the city with his friends. I thought the surrounding regions had been cleared of dangerous beasts, but apparently I was wrong. I don\'t want this to happen to anyone else\'s child. I need someone to search the outlying areas around my community and wipe out any dangerous creatures. I\'m willing to compensate for effective results.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '18', 'm5o', 'A Protective Father');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '19', 'm5s', 'My thanks, citizen. Now I can sleep easier knowing that the children are safe. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '20', 'm5t', 'Protect the Children');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '21', 'm6d', 'Nature will always keep encroaching on our settlements -- that\'s what Nature does, after all. So we have to keep fighting back by clearing away the wild vegetation and wiping out the dangerous fauna. \'Course, we need all the help we can get. We\'re offering decent money to anyone that can take care of some pesky critters. We\'ve got coordinates to a whole bunch of lairs we need cleaned out. Accept and we\'ll send some your way.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '22', 'm6o', 'Imperial Environmental Preservation & Refocusing Authority');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '23', 'm6s', 'Excellent work, citizen. You sure do make our jobs that much easier. Look us up again if you want more work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '24', 'm6t', 'Help Clear the Land');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '25', 'm7d', 'We\'re trying to set up a local charity fair, but the area we\'ve chosen has vermin we need cleared out. Most of us are not adept at this sort of work, being peaceful business owners and upright citizens. We need to hire someone more comfortable performing this type of task. We\'ll pay for positive results. Do you think you could lend a hand? Or a blaster, more like?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '26', 'm7o', 'Merchant\'s Guild: Local Chapter');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '27', 'm7s', 'Those orphans will thank you in the years to come, citizen. Well done! Enjoy the reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '28', 'm7t', 'Help Save the Fair');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '29', 'm8d', 'There\'s a nest of critters that\'s been giving some nerf-herders a hard time, spooking their beasts and causing stampedes. We can\'t really spare any men to take care of these creatures, which is why we\'re soliciting help. We\'re willing to reward anyone who can clean out that nest and put the nerf-herders at ease. Easy money if you\'re skilled with a blaster. Think you can help?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '30', 'm8o', 'Imperial Environmental Preservation & Refocusing Authority');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '31', 'm8s', 'That ought to satisfy those herders. Thanks, citizen. Those are results we can live with.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '32', 'm8t', 'Help the Nerf-herders');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '33', 'm9d', 'There\'s been a recent outbreak of Hesken Fever in this area, and we think it\'s related to an infestation of vermin near here. We need someone to clean that nest out and make sure those creatures don\'t spread this disease to other settlements. Payment will be tendered upon completion of the mission. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '34', 'm9o', 'Imperial Environmental Preservation & Refocusing Authority');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '35', 'm9s', 'Good work. Maybe now we can control the spread of that disease.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '36', 'm9t', 'Halt the Hasken Fever');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '37', 'm10d', 'These dirty creatures cause all sorts of damage to settlements. They eat our food, they often carry diseases, they chew on power cables, they foul everything with their droppings. In short, they\'re disgusting! We want this nest of vermin cleaned out, but we won\'t use toxins for fear of contaminating our soil and groundwater. A few well-placed blaster shots ought to take care of the problem nicely. Think you can help? There\'s a reward in it if you succeed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '38', 'm10o', 'A Concerned Citizen\'s Group');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '39', 'm10s', 'At last our neighborhood will be clean, thanks to you. Enjoy that reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '40', 'm10t', 'Help Clean Up the Neighborhood');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '41', 'm11d', 'Vermin infestations are seasonal -- come and go as regularly as the summer winds. Every year we have to deal with it, and every year we hire someone to do it for us. We need some able-bodied beings who aren\'t afraid of pests and handy with a blaster. These critters shouldn\'t give anyone too much trouble -- though I\'d keep my distance all the same, if I were you. Consider it a way to improve your marksmanship. We pay the usual fees for every nest cleared.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '42', 'm11o', 'Imperial Environmental Preservation & Refocusing Authority');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '43', 'm11s', 'Always a pleasure to work with professionals. The Empire is pretty good at exterminating pests, wouldn\'t you agree?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '44', 'm11t', 'Blast the Nests');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '45', 'm12d', 'It is the most unpleasant duty of mine to report a terrible terrible animal. Terrible! On my homeworld we did not have such things, no, before we immigrated here. From the side of the road leaped the animal, at me and at my family, even here my little baby! Is this not terrible? There is something must be done! I wish to pay you if you will locate the animal and teach it a lesson. Yes! Also please sorry for my talk in Basic, at home it is not speaking often.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '46', 'm12o', 'A New Homeowner');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '47', 'm12s', 'It is a truth, the goodness of this news! I am most happy, most happy to pay you as we agreed. Also visit me at my new restaurant, I will make you delicious fleek eel.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '48', 'm12t', 'A New Arrival Has Animal Trouble');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '49', 'm13d', 'Many years ago I faced slavering reptavians in the swamps of -- now where was that place? I forget the planet. So I know what it is to look fanged death square in its slitted eye! Now I\'m just old and fat and slow, that\'s all. Too slow to catch whatever it is that\'s been prowling around my cabin, out here in the wilds. The thing swallowed a radio beacon by accident, though -- at least I think it was an accident -- hungry critter! Anyway, if you can track this animal and kill it, I\'ve got a bounty for you. Bounty, heh, that\'s a pricey word for animal hunting. Why, I remember one bounty hunter -- well, never mind that now. Just report back when you kill it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '50', 'm13o', 'A Retired Mercenary');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '51', 'm13s', 'That\'s the way you do it, youngster! Makes me think of my old days in the swamps of, of, wherever that place was. Why, the water there was so dirty you couldn\'t tell it from your own -- well, never mind that now. Here\'s your pay, thanks. Stop by and see an old soldier someday.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '52', 'm13t', 'Old Man with Critter Trouble');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '53', 'm14d', 'It is more than I can bear. Some wild beast has brutally slaughtered one of my purebred voorpaks from the finest pedigreed kennel of Naboo, Ch. Princess Transversion Sunbeam LaFlorin IV. I called her Spotty. I was taking the air one evening outside the vacation mansion, with dear Spotty purring peacefully in the sleeve of my best evening gown. Suddenly a coy peeping sounded from the gardens, which stirred Spotty strangely. She leapt forth and vanished in a trice. Oh, wicked Spotty! I fear I shall never forget the gnashing of teeth, the foul gulp as Spotty disappeared down the beast\'s gullet. Go, you! Slaughter the beast and avenge my beloved pet!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '54', 'm14o', 'Lady Isshala Deprovan, late of the Naboo countryside');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '55', 'm14s', 'Thus must fate deal with all such slayers of innocent voorpaks. Oh Spotty, how I miss your pleasant purr. Here is your payment; that will be all for now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '56', 'm14t', 'Lady Deprovan Requires Revenge');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '57', 'm15d', 'Of late I think I may never feel joy again. Never have I given such affection as that I lavished on the leading mother of my voorpak litter, Ch. Empress Sunwinds Messenger Chung-Chung LaFlorin III. Dotty, that was my pet name for her. Dear Dotty! Had I only known, when I put you and your newest litter out on the porch of the speeder-house for a bit of fresh air, that a beast of unsavory aspect would make you its meal! Now, so that I may someday earn a good night\'s sleep, I must commission you, or some equivalent tradesperson, to go forth and kill the predator that swallowed Dotty. Satisfy my will, and I shall reward you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '58', 'm15o', 'Lady Isshala Deprovan, late of the Naboo countryside');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '59', 'm15s', 'Now at last may Dotty\'s spirit go to a peaceful rest. Leave your name with the droids in case I need you again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '60', 'm15t', 'Lady Deprovan is Distraught');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '61', 'm16d', 'With heavy heart I recount this sad tale. Last night at the summer house I let out the prime stud of my purebred voorpak breeders, Ch. King Monperro Carveth LaFlorin the Fancy Troubadour, to answer nature\'s call. An instant later Trotty -- that was my pet name for him, Trotty, for how he loved to run! -- scratched to be let in. Distracted by a serving droid\'s request, I was late in opening the door. Suddenly something large thudded against the door from outside, and when I dared to open it, I found nothing left of Trotty but his eight fine feet. This awful place, with its awful beasts! You must slaughter the thing that ate Trotty, whereupon I shall disburse a fitting reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '62', 'm16o', 'Lady Isshala Deprovan, late of the Naboo countryside');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '63', 'm16s', 'Take your blood money and leave me to mourn my dear lost Trotty!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '64', 'm16t', 'Lady Deprovan Verges on Despair');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '65', 'm17d', 'Greetings. I am engaged in research on predation of the tesselated arboreal binjinphant, a small but entirely fascinating herbivore. My university fellowship depends on successful defense of my thesis, that contrary to belief, these small creatures represent only a negligible source of protein in the larger ecosphere. I am on sabbatical away from the binjinphant\'s native habitat, but I suspect I may find similar evidence in the local fauna. To that end, I hire you to locate a local predator at an agreed location, sacrifice it -- kill it, in layman\'s terms -- and relay your report to me. I shall pay you from recent grant monies.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '66', 'm17o', 'Asst. Prof. Herian Reborran Naxx');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '67', 'm17s', 'Delightful news. I shall examine the sacrificed specimen and integrate the research into my thesis. I send you the fee forthwith.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '68', 'm17t', 'Professor Seeks Specimen');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '69', 'm18d', 'Greetings. As assistant professor of xenobiology at Polar Farside University on the planet Hrennt, I seem to find myself up a tree. I am not speaking figuratively. I have been investigating local predator life-cycles, and now one particularly fierce specimen appears to be investigating me. Could you please come to these coordinates, with all due haste, and dispatch this beast? For your early attention you have my earnest thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '70', 'm18o', 'Asst. Prof. Herian Reborran Naxx');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '71', 'm18s', 'While you engaged the beast, I made a surreptitious yet hasty retreat. What travails we endure for the cause of knowledge! Please accept this payment with my gratitude.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '72', 'm18t', 'Professor Seeks Rescue');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '73', 'm19d', 'A tenured colleague of mine in academe contends, on unconvincing or even spurious evidence, that the tesselated arboreal binjinphant is a negligible source of protein for predators in its native ecosystem. What eyewash! I take the more defensible contrary position. My ill-advised colleague seeks dubious confirmation of his thesis in the local wildlife. To forestall his jaundiced distortion of truth, I intend to make a competing analysis of my own. Please locate a predator in the designated area and dispatch it. When you report to me, I shall remit payment and arrange pickup of the specimen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '74', 'm19o', 'Teaching Asst. Morbitt Horn Rotundi');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '75', 'm19s', 'Excellent. I predict I shall find evidence to rebut my colleague\'s preposterous thesis. From there, I foresee a clear path to a plum associate professorship.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '76', 'm19t', 'Scholar Seeks Contrary Evidence');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '77', 'm20d', 'Binny and I were at the local hangout, just hanging out, and we got to arguing. We need you to settle a bet: How big do the mushwumps get around here? You know mushwumps -- at least that\'s what we called them back home -- I forget the local name. When you get to these coordinates -- we hear there\'s a big one there -- you\'ll know the animal I\'m talking about. Once you kill it, let us know and we\'ll settle the bet. Killing a mushwump does the world a favor, anyway. The loser has to pay your fee, and buy a round for everyone else!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '78', 'm20o', 'Kebert Lomanna');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '79', 'm20s', 'Okay! Hey, from the looks of that mushwump, I win the bet! Wooo! Wait while I get Binny to settle with you. Pay up, loser! Hee hee! Okay, thanks, buddy. Later.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '80', 'm20t', 'Settle a Bar Bet');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '81', 'm21d', 'Something out there ate my betrothal necklace. Long story. Short version: picnic to celebrate the engagement, I wander away with my sweetie, sweetie chases me, I lose the necklace. I go back to look later, nothing but animal tracks. I don\'t recognize the tracks. Cut to the chase: You kill whatever animal around there was big enough to swallow my necklace. When you report back, I\'ll pay you and send my secretary to search the corpse. Gotta go, duty calls.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '82', 'm21o', 'A Busy Executive');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '83', 'm21s', 'Got the creature? Check. Payment dispatched.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '84', 'm21t', 'Missing Betrothal Necklace');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '85', 'm22d', 'I\'m not entirely sure I\'m going about this the right way, but if I need a fierce predator\'s pelt for my upcoming production -- \"Hearts of Empire,\" opening at the Playhouse, seats still available -- and if the local furrier has nothing suitable, then it only makes sense to get one on the hoof, right? Or on the claw, or wing, or whatever. I haven\'t got a big prop budget, but the scene demands a palpable authenticity. Get me a nice pelt. Speed appreciated, must run now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '86', 'm22o', 'Radanthus Mandelatara, Playwright');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '87', 'm22s', 'I can\'t use that thing, it\'s all bloody! And the aroma is a bit, shall we say, intense for the theater. Well, I suppose I did ask. Here\'s your fee, must run. (Now what am I to do with this carcass? Hmm, inspiration is striking....)');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '88', 'm22t', 'Theatrical Prop Needed');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '89', 'm23d', '[Friendly greeting.] I hope this [curse] box speaks my mind true. I seek [local large animal?], about the size of [untranslatable], for return to home and use in [untranslatable] ritual. Much high ceremony, very serious. Need has brought me far. But [sorrowful exclamation], I am hurt in recent hunt. To you who will aid me, I promise [payment] and everlasting [untranslatable].');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '90', 'm23o', 'A Visitor from Wild Space');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '91', 'm23s', '[Joyous exclamation.] I pay you as this [protocol droid] shows me. I give you gratitude and [untranslatable].');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '92', 'm23t', 'Ceremonial Animal Required');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '93', 'm24d', 'They call me crazy for my obsession, but all pioneers start out as pariahs, right? I\'m out to prove that the creature called the Rodian gasbloater is not just a myth, but exists right here in this sector! Furthermore I have the coordinates of an actual gasbloater lair. What I don\'t have is a way to retrieve a specimen. So I\'m willing to pay someone who\'s handy with a blaster to travel to this lair, kill what you find, and bring the carcass back to me. The pay isn\'t great, but how often do you have a chance to contribute to scientific history?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '94', 'm24o', 'A Dilligent Cryptozoologist');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '95', 'm24s', 'That doesn\'t look like a Rodian gasbloater. Are you sure that\'s all you found at the lair? Hm. I guess I need to do some more research. Here\'s your money anyway.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '96', 'm24t', 'Bag a Rodian Gasbloater');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '97', 'm25d', 'I\'ve got a tiny problem. I run a small, you know, discreet business breeding exotic and dangerous animals. I hired a Jawa to clean up around the place, so it shouldn\'t have surprised me that a couple of my animals got loose. I put tracking chips in \'em, so I know where they went, but there\'s a catch. If the authorities find me within a league of these beasts, they\'ll have my head because of my past offenses. So I need someone to take a blaster to the animals and solve my little problem.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '98', 'm25o', 'A Nervous Breeder');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '99', 'm25s', 'Shame to lose those perfectly saleable beasts, but I\'ve got to look out for myself. Thanks for a job well done.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '100', 'm25t', 'Discreet Breeder Has a Tiny Problem');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '101', 'm26d', 'Oh, my goodness! Our zoo ship crashed and the surviving animals have escaped! We need someone to help clean up our mess. We have a list of coordinates where we think the animals have gone. Careful, some of them can get a little grumpy. We\'ll pay you for each successful retrieval. We understand that some of the animals have been wounded in the crash; in such cases, simply verify their identity collars and we will pay you for your work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '102', 'm26o', 'A Distraught Zoo Ship Captain');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '103', 'm26s', 'Oh, dear. Yet another animal so wounded from the crash that it didn\'t survive. Well, here\'s your payment anyway.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '104', 'm26t', 'Retrieve Animals From a Crashed Zoo Ship');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '105', 'm27d', 'Have you ever heard of an animal that eats droids? Neither have I, but there\'s one stalking around my land. I\'ve lost four range droids in the last week. I found the creature\'s tracks and followed them to these coordinates. I just need someone to go out there and put a laser hole in the darn thing. It\'s worth it for me not to lose any more droids.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '106', 'm27o', 'An Annoyed Droid Owner');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '107', 'm27s', 'Huh! I never knew they ate droids. Strangest thing, isn\'t it? Anyway, thanks for the help. Have a night on the town, my treat.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '108', 'm27t', 'Blast a Droid-eating Beast');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '109', 'm28d', 'My neighbor keeps the strangest pets. Ugly things, dangerous things, it seems there\'s no kind of alien creature he won\'t chain up in his yard. Well, one of his monstrosities has gotten loose and has been terrorizing the rest of us. I\'ve got the coordinates where the thing has settled in. Can you haul that weapon of yours out there and do us all a favor by getting rid of it? I\'ll throw a few credits your way. Trust me, when you see it, you won\'t believe someone would keep it as a pet.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '110', 'm28o', 'An Irked Neighbor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '111', 'm28s', 'Didn\'t I tell you, that\'s the meanest thing to keep as a pet? I don\'t understand some people. Thanks for getting rid of it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '112', 'm28t', 'Get Rid of an Escaped Pet');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '113', 'm29d', 'I heard the local kids talking about some sort of \"killer beast\" in the area, so I thought I\'d better hire someone to check it out. Take a blaster along and get rid of whatever\'s out there, will ya? No need to take any chances if our children might be in danger. Much obliged.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '114', 'm29o', 'A Concerned Citizen');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '115', 'm29s', 'So there was something out there after all, eh? Thanks much. Here\'s the money, just like I promised.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '116', 'm29t', 'Exterminate a \"Killer Beast\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '117', 'm30d', 'That\'s it, I\'ve had enough! My master may disapprove, but I simply must do something about this awful brute that\'s been chewing at my circuits while I\'m shut down. I have never seen the animal in full light, I\'m afraid, but I can tell you it\'s about so big and it\'s either got scales or fur. Or perhaps it\'s feathers, I can\'t be certain. I believe there\'s only one, but sometimes it seems as if there are a thousand! I have narrowed down the possible locations of its lair to these coordinates. I have a few credits to pay to someone, anyone who can rid me of this nuisance!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '118', 'm30o', 'A Protocol Droid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '119', 'm30s', 'Bless the maker! I\'m ever so pleased that you\'ve removed this burden from me. Take these credits with my most heartfelt gratitude.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '120', 'm30t', 'Please Rid me of This Confounded Nuisance!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '121', 'm31d', 'We have uncovered an insidious smuggling ring operating in this sector. Some enterprising lawbreakers have been hiding contraband inside the body cavities of wild animals to evade our scanners. Because we do not have the staff to inspect every wild creature on the planet, we are authorizing civilians to exterminate all life forms in the regions we have designated. Interested parties may contact us for coordinates. Remuneration available upon completion.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '122', 'm31o', 'Imperial Customs');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '123', 'm31s', 'Excellent work. The region is still quite active with wildlife, so please move to the back of the line to receive additional target coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '124', 'm31t', 'Stop Some Enterprising Smugglers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '125', 'm32d', 'We are pleased to announce the arrival of a distinguished ambassador from the planet Aaldus 6, newly entered into the Empire. The ambassador brings trade and goodwill to us from his wealthy star system, and we are making preparations to welcome him. Specifically, he has expressed certain aesthetic reservations about the local fauna. To accomodate his preferences, we have determined that all local wildlife must be removed. To this end we are paying interested parties to visit coordinates we provide and terminate all non-sentient life forms. These civic-minded actions will contribute greatly to the cause of galactic harmony.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '126', 'm32o', 'Imperial Diplomatic Corps');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '127', 'm32s', 'Splendid. Soon our lovely vistas shall be blissfully uncluttered of anything that flies or crawls. The ambassador will be most appreciative.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '128', 'm32t', 'Help Spread Peace in the Galaxy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '129', 'm33d', 'We have an infestation of destructive fauna chewing on some of our buried power cables. The situation must be resolved before a military delegation arrives from Coruscant in a few weeks. Those wishing to contribute to this effort may contact the IME for the coordinates of several trouble spots. Eradicate all organisms in these problem areas and you will be compensated with Imperial credits and gratitude.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '130', 'm33o', 'Imperial Ministry of Energy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '131', 'm33s', 'Now that you have cleaned up the wildlife, we can send out a repair droid to fix the damaged power cables. Thank you for your good work, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '132', 'm33t', 'Exterminate a Menace to Public Works');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '133', 'm34d', 'The IZA is responsible for cataloging alien species on new worlds. When we learned that a celebrated new subspecies discovered on Raxxa 4 already exists on an inhabited planet, we were obligated to address the discrepancy in our bookkeeping. Our solution is to erase all trace of this subspecies from the inhabited planet, thus ensuring that our catalogs are accurate. Our satellites have pinpointed the locations of all nests on the planet. We now require freelance agents to help eliminate this subspecies and advance the progress of science in the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '134', 'm34o', 'Imperial Zoological Agency');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '135', 'm34s', 'We at the IZA care about alien wildlife in the galaxy. We appreciate your contribution to our efforts.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '136', 'm34t', 'Assist in Cataloging a Rare Subspecies');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '137', 'm35d', 'I have found the perfect place for a zaela garden! That\'s a rare thing in this area. Do you know how long I\'ve wanted to try my hand at growing millaflowers? The only problem is, there\'s a nest of rather nasty-looking animals right in the middle of it. My husband indulges me every luxury when it comes to my gardening, and he has agreed to pay someone to get rid of these brutes. Would you be a dear, take your blaster and fry them into sizzling charcoal for me? And hurry, because the planting season is near!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '138', 'm35o', 'Mrs. Doaten Dodder');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '139', 'm35s', 'Aren\'t you the nicest dear in the system? Thank you for your convenient blaster work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '140', 'm35t', 'Be a dear and Scat Some Pests For Me');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature.stf', '141', 'number_of_entries', '35');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '1', 'm1d', 'Hey, fella! Or maybe \"Hey, lady,\" or \"Hey, thing,\" I don\'t care. I have this package that urgently needs to go to a certain destination, where a certain party will retrieve it later. I just scouted the area, and whoa, it\'s crawling with critters. I can handle a blaster as well as the next guy -- assuming the next guy is sort of a coward -- but big-game hunting is out of my league. I\'m willing to cut you in on part of my pay if you dispose of these creatures. Take the hide, the meat, whatever looks tasty, I don\'t care. But do it fairly quick, huh?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '2', 'm1o', 'A Corellian Entrepreneur');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '3', 'm1s', 'Great pest disposal there! Here\'s your cut, and feel free to loot the bodies. I expect the rest of this operation will go off without a hitch. What could go wrong?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '4', 'm1t', 'Creature Removal at Drop Point');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '5', 'm2d', 'I\'m out here in the middle of noplace, where I had a run-in with a client after a transaction went bad. I don\'t think it\'s productive to get into \"who shot whom,\" but now this guy has it in for me. Who knew he kept all kinds of dangerous beasts in, I don\'t know, a kennel or something? He\'s sicced these things on me, and let me just say I\'m not much of a hunter. I\'m holed up in a safe spot for the moment, but they\'re prowling closer. I would REALLY LIKE someone to come out here and take care of these things, permanently. I\'ll pay! I\'ll pay a lot!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '6', 'm2o', 'Corellian with Unfortunately Short Temper');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '7', 'm2s', 'Okay, I\'ve caught my breath, I\'m all right. Nice work. I took the liberty of making an exit while you did your deed. Here\'s your pay, hope I don\'t have to use you again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '8', 'm2t', 'Dispute Escalated to Surprising Degree');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '9', 'm3d', 'I have a can\'t-miss business proposition. You kill the animals, I record your exploits and sell the broadcast rights to a local HoloNet program my buddy is starting up. It\'s not there yet, but the investors want to see content, so we\'ll pay you out of our seed money for a dynamic, gripping slaughter-fest. I\'ve located the animals, I\'ve rented the hovercams and set them in place, I\'ve got it all arranged, so all you have to do is relax and blast a few beasts into Corellian dust. Maybe that\'ll be the title of your segment, \"Blast Them to Corellian Dust!\" Whaddya say?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '10', 'm3o', 'On Our Way to the Corellian Dream');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '11', 'm3s', 'That was great! My recording is sure to sell this show. I\'ll just -- oh, wait -- was this the \"on\" switch, or --? Tell you what, I\'ll get back to you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '12', 'm3t', 'Blast Beasts For Corellian HoloNet Show');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '13', 'm4d', 'Understand first that I\'m just the flunky here. It\'s not my operation. So I don\'t have a reason why these guys all started shooting at me. I was just the delivery boy! I stole a speeder and ran for the horizon -- they followed -- a certain amount of blaster fire occurred -- everybody crashed, and then these giant -- somethings leaped out and killed everyone but me. I got away narrowly, but now my employer strongly requests me to recover the item I delivered. I expect it\'s now in the belly of one of those animals, so I\'m asking you to shoot them all and let me recover the innards later. Believe me, this has been a rotten day. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '14', 'm4o', 'Corellian Just Trying to Do a Job');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '15', 'm4s', 'Okay, at last one thing goes right. I\'ll speed back out there and do the excavation, or whatever you call it. Thanks, here\'s your fee.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '16', 'm4t', 'Recover Item From Animal Intestines');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '17', 'm5d', 'Talk all you want about the evil Empire and how these are bad times, but I\'ll say this: The rise of the Empire has been very good for my business. There\'s always a demand for the service I provide. It calls for piloting down some risky off-road routes, though -- and it never helps when a pack of animals takes up residence right along my main \"back way.\" Which is what\'s happened now. I\'ll pay you well to go in and blast them into permanent inconsequentiality. Hey, nice phrase, huh?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '18', 'm5o', 'A Corellian Businessperson');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '19', 'm5s', 'Fine job. It\'s a pleasure dealing with professionals. Your fee is attached.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '20', 'm5t', 'Corellian Beasts Menacing Traffic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '21', 'm6d', 'Sheesh, I am so down on life right now. I mean, I had a nice line of work, running some goods here and there for my employer. And you know, what with the stuff I brought them, folks were always, always glad to see me. But then I got greedy -- they tell you never to get greedy, but I did! -- and I took a cut from my employer\'s earnings that I wasn\'t entirely entitled to. We parted on really bad terms, you might say, and -- long story short -- now I\'m holed up in the wilderness with a bunch of hungry animals roaring for my guts. It\'s so depressing. If you can see your way clear to destroying these beasts, I\'ll cut you in on those earnings I mentioned.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '22', 'm6o', 'Corellian in Need of Quick Emotional Lift');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '23', 'm6s', 'Okay, something\'s finally going right. I took the opportunity to run for the city while you were out there fighting. Nice job, and here\'s the pay you earned.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '24', 'm6t', 'These Animals Depress Me');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '25', 'm7d', 'I\'ve flown from one end of this galaxy to the other, and I never saw anything to make me believe you can control a bunch of wild animals just by pointing your finger. But during a transaction out here in the wilderness I happened to offend this weird mystic-looking woman -- never mind how. She raised a claw, and a bunch of beasts rampaged in out of nowhere, eager to have a little Corellian snack. It must be pheromones or perfume, maybe -- something long-lasting, because they\'re still trying to rip open this vehicle like a food container. I\'ll pay you well to come here and take care of this problem, immediately and for good.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '26', 'm7o', 'A Corellian Wanderer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '27', 'm7s', 'That\'s a big relief. I took the opportunity to speed out of there while you were working. That Selonian may come back. In fact, maybe it\'s time to visit Sullust. I always wanted to visit Sullust.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '28', 'm7t', 'Selonian Pets Unjustly Attacking Speeder');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '29', 'm8d', 'It is incumbent on my clients to retain confidentiality, so I must be circumspect in describing my problem. Briefly, I arranged a transaction in a remote area between two parties, and was planning to mediate at this exchange of ideas and goods. However, an animal or animals has menaced my clients as they travelled to this remote area. This has discouraged them from pursuing the transaction. Because of the importance of a successful resolution, I am commissioning you to journey to the attached coordinates and dispatch the animal or animals. Payment is reasonable for this brief service.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '30', 'm8o', 'Itinerant Corellian Transactional Specialist');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '31', 'm8s', 'I congratulate you and tender the agreed payment. I shall inform my clients at once.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '32', 'm8t', 'Transaction Hampered by Corellian Wildlife');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '33', 'm9d', 'In these troubled times an individual may wish to journey between locations without undue Imperial attention. I serve this reasonable desire. However, on my current transport assignment, a beast of unusual ferocity damaged my speeder, stranding me and my client in unfortunate circumstances. I\'d like you to journey to this general vicinity and destroy the beast and, if needed, its fellow pack members. Under no circumstances are you to search for me or my client, who strongly requests anonymity. I will transmit payment when you have performed the service.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '34', 'm9o', 'Corellian Specializing in Discreet Transport ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '35', 'm9s', 'Excellent. I appreciate your discretion in avoiding contact. Your payment is attached. I have repaired my speeder and must now resume the transport contract.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '36', 'm9t', 'Rescue Anonymous Stranded Travellers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '37', 'm10d', 'I need to get out into the countryside and dump this bag of garbage, right? I mean, I\'m dumping it at a particular spot before a particular time, so that a particular garbage collector can retrieve it. Don\'t worry, it\'s just garbage. Trouble is, I scouted the territory from a distance, and there\'s all kinds of animals wandering around. I mean big ones, with teeth and all. I don\'t mess with that, especially while carrying this, uh, garbage. You take care of the animals, like by killing them all, and I\'ll cut you in on my hauling fee.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '38', 'm10o', 'Corellian Urgently Seeks Waste Disposal');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '39', 'm10s', 'All right, you just clear out of that area, and I\'ll dump my garbage. Thanks for the rescue. Lots of stress in the garbage-dumping line, let me tell you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '40', 'm10t', 'Help Dispose of This Garbage');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '41', 'm11d', 'I love animals, I really do. Why, the times I\'ve diverted my speeder to avoid hitting some harmless eopie or cute little kittle -- even though it delays my courier mission, mind you, and my employers really don\'t like delay -- well, I admit, I\'m a softie. But it\'s time to take a hard line with this current pack of beasts. They\'re trouble. And when you make trouble by interfering with my speeder on a major overland route, a route that nobody in an Empire suit has ever seen, then you\'re in pretty dangerous territory yourself. The animals are, I mean. In that territory. Um, I\'m losing the thread of my subject here -- basically, even though I love animals, I need you to kill this bunch before they ruin my business. Clear?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '42', 'm11o', 'Corellian Breaking Emotional Attachment');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '43', 'm11s', 'Of course it\'s a sad time, what with the death of those innocent animals. But you know, it had to be done. I think I\'m almost over it now, the heartbreak I mean. Gotta go.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '44', 'm11t', 'Take a Hard Line Against Animal Interference');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '45', 'm12d', 'Our business is selling fireworks, but now that I think about it, nobody\'s bought fireworks for, oh, ten or fifteen years. So we buy and sell certain other things, and business is okay. It\'s just -- we have this animal problem. We were carrying certain valuable non-firework commodities through a remote area recently, on our way to a delivery, when something large and fierce and active jumped us. It was dark, so we couldn\'t see. When we got away, we realized we\'d dropped our commodities. We really would like to go back and get them, but we need you to clear the area of dangerous animals first. We\'ll pay you from our fireworks production budget, which we don\'t use any more.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '46', 'm12o', 'Corellian Fireworks Transport');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '47', 'm12s', 'A fine job. We could use more people like you in the fireworks business.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '48', 'm12t', 'Help Fireworks Dealer Get Past Animals');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '49', 'm13d', 'Despite pervasive public ignorance and apathy, the Interplanetary Embalmers\' Guild labors heroically to inform the galaxy of its worthy mission. Our chapters on Corellia exhibit all the vigor and pertinacity that a good embalmer should. We seek Corellian hunters to locate the finest specimens of wildlife, no matter whether on the grassy hillsides or the golden beaches or the towering peaks, and shoot them cleanly. We shall arrange pickup and processing of the remains, provided they are intact and relatively unmarked. Do your part to help a noble profession achieve just and lasting recognition.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '50', 'm13o', 'Interplanetary Embalmers\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '51', 'm13s', 'Though your good work fulfills the Embalmers\' Guild wishes, our plans have changed. Accept this payment, and do what you will with the creature.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '52', 'm13t', 'Embalmers Call on Conscientious Corellians!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '53', 'm14d', 'The Emperor\'s proposed new Hall of Galactic Wildlife, to be built on the Imperial throneworld of Coruscant, features an extensive display of Corellian fauna. To expedite planning of the space required for the Corellia display, the Imperial Civilian Accounting Office solicits highly experienced hunting teams. Interested teams may locate and terminate large packs of animals at coordinates provided by local survey offices in conjunction with this agency. The specimens will be assessed for size and quantity for purposes of figuring large-scale space requirements. Hunters may remove marketable assets from the prey for their own use. All other information on this contract is assigned confidential clearance under Imperial security edicts. For assistance, contact the Imperial Security Bureau.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '54', 'm14o', 'Imperial Civilian Accounting Office');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '55', 'm14s', 'Asset procurement noted and contract payment disbursed. Per your contract, you may remove marketable assets from the prey for your own use or resale.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '56', 'm14t', 'Solicitation For Corellian Hunters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '57', 'm15d', 'I am an archaeologist with Coronet University. My field team has been excavating in a remote area, searching for a supposed network of Selonian tunnels that apparently predates the Old Republic. My colleagues are skeptical, but our research was starting to show promise -- until a band of local animals began menacing our camp. This has upset my students and threatens to drastically set back our schedule. I have appealed to the Empire for help, without result. The University has kindly granted me an additional stipend to be disbursed to an agent such as yourself, who can destroy these beasts and permit the continued march of science.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '58', 'm15o', 'Dr. Tennet Sionaro, Coronet University Archaeology Dept.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '59', 'm15s', 'Splendid! Our dig will resume immediately. I must admit I hold out little hope of finding these putative Selonian tunnels, but one cannot dismiss such tales out of hand.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '60', 'm15t', 'Coronet Archaeology Site Menaced');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '61', 'm16d', 'Corellian Horticultural Digest, now entering its third century of publication, sends researchers hither and yon across our wild Corellian landscape. One brave investigator, following a hot lead regarding trioecious cycad carpophylls, blundered into a lair of dangerous beasts. In his last communication before his comlink got eaten, our man said he had sequestered himself in a place of safety. Please journey with all haste to his coordinates and dispatch these beasts.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '62', 'm16o', 'Corellian Horticultural Digest');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '63', 'm16s', 'Joyous news! While you occupied the beasts, our researcher made a rapid escape and is even now dictating his notes. Trust us, this article will break the entire cycad carpophyll field wide open.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '64', 'm16t', 'Horticultural Researcher Under Siege');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '65', 'm17d', 'In addition to its well-known repair facilities, Guildhouses, and financial services, the Merchants\' Guild offers Corellian members basic travel information about every region of Corellia. We contract with independent researchers to assess the dangers that may await members stranded in remote locales. To participate in our current research cycle, please report to the attached coordinates to engage and destroy the animals present. Guild hovercams will record the event, and we shall update our guidelines based on our assessment of the threat posed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '66', 'm17o', 'Corellian Merchants\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '67', 'm17s', 'Our hovercams recorded the event, and we are updating our guides accordingly. Thank you for participating in this research cycle.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '68', 'm17t', 'Surveying Ferocity in Remote Areas');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '69', 'm18d', 'A local entertainment figure, Bop Thrombo the Shaky Droid, got into animal trouble out in the wilderness while rehearsing his latest slapstick stunt. This is big news for Corellian comedy fans. Our hovercams track Bop at all times, just in case, and we\'ve got great views of this fierce something-or-other tearing him to bits. Now we\'d like to recover his brain for an interview, but we need someone to clear out the animals first. Can you help?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '70', 'm18o', 'Corellian Sector Newsfeed');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '71', 'm18s', 'Great! We\'ll send out a news crew to put Bop Thrombo\'s brain into a duplicate housing and get the on-the-scene interview. Clear out before we get there, please.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '72', 'm18t', 'Help Recover Bop Thrombo\'s Brain');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '73', 'm19d', 'We\'ve tracked yet another starship that squeaked past Orbital Customs. Our turbolasers crippled the vessel and it crashed near the Golden Beaches. Trouble is, the ship was smuggling some dangerous animals that were jettisoned in escape pods for later retrieval. We recovered the pods but the animals had already escaped. Our scout droids have found them, snugly settled a few clicks from the pod site. We\'ve already wasted enough manpower on this problem, so we\'ve decided to contract civilians to exterminate these animals before they cause any harm. Contact us for the coordinates and we\'ll put you on the case.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '74', 'm19o', 'Corellian Defense Force');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '75', 'm19s', 'Thanks for handling that potentially dangerous situation. We\'re sending out a team to dispose of the carcasses.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '76', 'm19t', 'Exterminate Contraband Animals');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '77', 'm20d', 'It\'s not that I don\'t appreciate the beauty of the Agrilat Swamp. Boiling showers and razor-sharp grass are a joy to experience. But when the swamp\'s larger wildlife chooses to wander into more civilized areas, I\'ve got to draw the line. The farmers in the area are getting worried. They\'ve asked me for help. I don\'t want to waste Corellian Security resources on this, so I\'m paying any civilian who can do the job to find these misplaced creatures and put them out of my misery. Call it restoring the ecosystem.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '78', 'm20o', 'Lieutenant Moss Shelby, CorSec Regiment Twelve');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '79', 'm20s', 'Nice. The farmers aren\'t worried anymore and that means I\'m getting fewer interruptions at work. Everyone is happy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '80', 'm20t', 'Large Creatures on the Move');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '81', 'm21d', 'Remember when the Circus Horrificus came to Corellia a while back? Turns out they \"misplaced\" some sick animals while they were here. Now we\'ve got reports that these creatures miraculously recovered from their illnesses and are now threatening the safety of some farmers near here. Removing them could be time-consuming endeavor, so we\'re contracting civilian hunters to deal with the situation. Contact us and we\'ll send you the last known coordinates of these wayward beasts.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '82', 'm21o', 'Captain Peers, Corellian Defense Force');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '83', 'm21s', 'Maybe we shouldn\'t be surprised that an outfit called Circus Horrificus left behind a mess. The next time they grace Corellia with a visit, we\'ll sit down with them for a long chat.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '84', 'm21t', 'Circus Horrificus Left a Mess');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '85', 'm22d', 'Even though the shipyards get all the glamor, we farmers are the real backbone of Corellian culture. Who else is going to feed all those offworlders who pollute the space lanes with industrial waste? But even so, the planetary authorities are eager to neglect our needs. For instance, we\'re having a problem with some local wildlife encroaching on our fields. CorSec isn\'t interested in helping us. So we collected enough credits among ourselves to pay a professional hunter to get rid of these intrusive animals. Seems like we have to handle our own security in addition to feeding a hungry planet. There\'s no justice, I tell ya.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '86', 'm22o', 'A Proud Corellian Farmer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '87', 'm22s', 'Thanks for getting rid of those creatures. You\'re a good friend to us farmers. I\'m glad someone on this planet still cares about us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '88', 'm22t', 'Job That CorSec Doesn\'t Want');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '89', 'm23d', 'While the Selonian Tunnels are an interesting feature of the Corellian landscape, they do present certain problems for planetary security. For instance, animals that are either large or numerous enough to be a nuisance will wander the tunnels and emerge in places where they should not be. These incidents are frequent enough that CorSec now engages freelancers to liquidate the stray animals. This program is open to all qualified galactic citizens. Coordinates of target animals are available upon request.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '90', 'm23o', 'Corellian Security Force, Animal Control Division');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '91', 'm23s', 'Nice work, citizen. We\'ve got many more stray animals to deal with, so feel free to contact us again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '92', 'm23t', 'Animals Wandering Selonian Tunnels');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '93', 'm24d', 'The right place at the right time, that\'s what business is all about. I\'m planning to build a small manufacturing plant and I picked up some terrific property from the estate bazaar in Coronet. You wouldn\'t believe the price I got. I feel like a regular thief. The only drawback is, the land is infested with some kind of dangerous animals. That\'s what the purchase agreement said, anyway. All I know is, I want some tough guy to hoof out there and get them off my property. I\'m working to fund my little factory and I need to haul investers out there soon. I\'ve got the right place, but I have to hurry to finish at the right time. Are you the right person for the job?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '94', 'm24o', 'Fillig Tandaris, Entrepreneur');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '95', 'm24s', 'Now that was some handy work, my friend. You\'re better than you look. Stick around, maybe I\'ll find something else for you to do.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '96', 'm24t', 'Fine Print on Purchase Agreement');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '97', 'm25d', 'Corellia seems like such a peaceful planet, doesn\'t it? Well, it ain\'t all purple skies and golden fields. We\'ve got some nasty animals around here that are giving me all kinds of headaches. My construction droids are malfunctioning because some sort of wild beasts are tearing up their wiring and fouling their exhaust grates. I programmed a few load lifters to chase the creatures back to their lair, but I need a flesh-and-blood hunter to finish them off. I\'ll pay a decent wage for the work, so long as I can get back on schedule.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '98', 'm25o', 'Fillig Tandaris, Entrepreneur');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '99', 'm25s', 'Handy work, my friend. If I apply a little motivation to my droids, maybe I can get back on schedule.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '100', 'm25t', 'Wild Beasts Fouling My Droids');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '101', 'm26d', 'Corellia! Proud center of commerce for the entire galaxy! I\'m thrilled to be here at last, ready to carve my niche in financial universe, though my business plan has proven inadequate in a few respects. I didn\'t know Corellia\'s wildlife was quite so intrusive. To be brief, the site for my new office complex is overrun with native creatures. As I just arrived, I don\'t even know what they\'re called, but I do know they approach me threateningly. I require someone who knows the area wildlife to do whatever it takes to get rid of the beasts. I can\'t let teeth and claws interfere with my conquest of galactic commerce!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '102', 'm26o', 'Mister Tild-Ob-Hoona, Recently Arrived on Corellia');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '103', 'm26s', 'Wonderful! Now that those creatures are gone, I can proceed with my plan to amass a fortune and build a mercantile empire. Would you like to invest?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '104', 'm26t', 'Corellia Is Wilder Than I Thought');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '105', 'm27d', 'We were flying home after a Kessel run. We crash-landed due to a spat with the Imperials. The trip home from the crash site was, how should I say it, eventful. Among other highlights, we ran into some kind of big roaring thing in the dark, and we had to drop some cargo. Fast. Still makes me shudder to remember it. We\'re safe back home now, but we need to retrieve that cargo. We don\'t want to face the roaring thing again, whatever it was, so we\'re hiring you to dispose of it before we arrive. We\'ll retrieve the cargo ourselves, thank you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '106', 'm27o', 'Corellian Travellers Back Home at Last');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '107', 'm27s', 'In a long string of unhappy events, this is finally good news. Here\'s your fee, and we\'re on the way now to pick up our cargo.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '108', 'm27t', 'Clear Out Site of Lost Cargo');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '109', 'm28d', 'I\'ve had an accident that I need to clean up. For reasons I won\'t bore you with, I was flying my YT-1300 freighter close to the ground not far from this terminal when my power core ruptured. I leaked radioactive fuel into a small water system. It was all I could do to limp back to Tyrena before the Corellian authorities spotted me. Now I\'m worried that the animals who drank that water are going to glow. The radiation signature might lead the authorities back to me. I want to hire you to blast the animals at the following coordinates. My gratitude will be boundless, if discreet.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '110', 'm28o', 'A Freighter Captain');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '111', 'm28s', 'Thanks, you really saved my neck. Have some fun in Tyrena, on me.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '112', 'm28t', 'Help Clean Up a Little Mess');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '113', 'm29d', 'You may have heard of the swoop course we run over in the mesas. Some of us intend to branch out and clear some new lanes around the planet. Can you imagine swooping through Agrilat or even the Selonian Tunnels? But there\'s a lot of dangerous animals out there that are definitely not welcome on a course. We\'ve pinpointed a list of trouble spots for future races. The animals must go. We\'ve got the money to pay you for the work, if you\'ve got the talent to crush these creatures.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '114', 'm29o', 'An Enterprising Swoop Enthusiast');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '115', 'm29s', 'Wizard, buddy. We\'re heading out there now to fly the route. If you\'ve got a swoop, why don\'t you join us?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '116', 'm29t', 'Swoop Lanes With Wild Animals?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '117', 'm30d', 'These rich Naboo are starting to bother me. We had a family buy a plot on Vreni Island to build a vacation home. Of course they had to remove some of the wildlife. How did they accomplish that, these oh-so-enlightened Naboo? You guessed it. They stunned the creatures, tossed them on a transport and dumped them at some random spot on the mainland. Because killing them would be cruel, or whatever. Anyway, now we\'ve got to put these animals to sleep before they hurt somebody. I\'ve got a small budget to hire a hunter for the task. Are you interested?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '118', 'm30o', 'Corellian Security Force, Animal Control Division');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '119', 'm30s', 'You did good work. It\'s ridiculous that we had to eliminate those animals, but we can\'t stem the tide of \"enlightenment\" rising from Naboo.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '120', 'm30t', 'Episode of Naboo Enlightenment');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '121', 'm31d', 'Last week we tracked a gang of Lamproid smugglers to a meeting ground a short distance from this terminal. The smugglers dispersed but they left us with a problem. Apparently they had collected a small menagerie of ill-tempered animals to stage a live version of dejarik. The Lamproids freed the animals when we arrived. Now the creatures have built lairs all over the place. This problem is best handled by experienced hunters who know the area. CorSec will pay a nominal fee for the destruction of any of these lairs. Contact us for target coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '122', 'm31o', 'Corellian Security Force, Animal Control Division');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '123', 'm31s', 'Good job, citizen. These animals are a threat to anyone traveling through the area. If you care to have a go at another lair, just contact us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '124', 'm31t', 'Lamproid Smugglers: a Messy Bunch');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '125', 'm32d', 'When you\'ve got as much open countryside as Corellia, people start thinking they can land their ships anywhere and set up for business. While we do not discourage non-traditional commerce, we do insist that freelance entrepreneurs respect the planetary landscape. Lately we\'ve had problems with campsites left behind by itinerate businessmen. The garbage at these sites attracts wildlife of a bothersome and sometimes dangerous nature. This is a nuisance for local inhabitants. While the law enforcement arm of CorSec pursues the culprits, the ACD is left to clean up the messes that have already been made. For this purpose we regularly contract hunters to exterminate the animals that wander too close to populated areas. Contact us for the coordinates of target sites in your area.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '126', 'm32o', 'Corellian Security Force, Animal Control Division');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '127', 'm32s', 'Well done. You\'ve made the area safe for the locals again. Hopefully we can catch the culprits whose trash lured those animals from the wilderness. We all agree that non-traditional commerce is a vital component of the Corellian economy, but a few people have to learn that some rules still apply.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '128', 'm32t', 'Mess Left by Itinerant Businessmen');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '129', 'm33d', 'Does anyone like the Empire snooping on their private affairs? I certainly don\'t. Strictly in the interest of personal privacy, I\'m going to build a sensor scrambling array not far from here. The site is in the wilderness and is, unfortunately, a bit thick with large animals. I\'d like to hire you to remove these creatures from my property, so I can begin construction. If you can do the job, let me know and I\'ll send you the coordinates. You can\'t miss the place. It\'s in a wide-open field where you might expect to find a landing pad, say, or maybe an underground warehouse. Not that I would know about such things.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '130', 'm33o', 'A Right-Thinking Businessman');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '131', 'm33s', 'Good, good. Now I can build those sensor scramblers. I don\'t want the Empire watching when I have visitors to my, um, field out in the wilderness.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '132', 'm33t', 'In Interests of Personal Privacy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '133', 'm34d', 'I\'m in a predicament. I just had a flyby with an Imperial shuttle and it forced me to land not far from here. My ship went down pretty rough, but I made it to the city okay. Unfortunately, I didn\'t realize until I hit town that I had buckled a cargo door and lost a crate of Mad Mrelf in the wilderness. I buzzed the spot again and it\'s overrun with animals. If those creatures finish off a whole crate of that liquor, they\'re going to go berserk. Can you go out there and take a blaster to those beasts before someone gets hurt? From the air I couldn\'t make out exactly what kind of animals they were, but you should be ready for a real scrap. That Mad Mrelf will put scales on a Qwohog.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '134', 'm34o', 'An Unfortunate Pilot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '135', 'm34s', 'You handled those creatures better than I could have. Didn\'t I tell you that Mad Mrelf would turn a voorpak into a veermok? That\'s quality stuff. Such a waste to lose it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '136', 'm34t', 'Liquor Fallen Into Wrong Hands');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '137', 'm35d', 'See here, I need the services of a veteran of the Corellian wilds. I am recently arrived from Naboo to acquire some native fauna for my daughter\'s menagerie at Theed. I hope to bring my little Lady Gaeflit something large and glamorous for the Festival of Thywinkle, but my time grows short. A local tracker in my employ has transmitted to me the coordinates of a group of wild animals which he believes will be suitable for my purpose. I require someone who knows the area to travel to these coordinates and bring back the creatures in question. Of course I understand the unpredictability of wild animals, so I shall of course pay you something for your trouble if you find no living specimens at that destination. Please be cautious and know that your good work will make a little Naboo girl happy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '138', 'm35o', 'Lord Kindergull of Naboo');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '139', 'm35s', 'What\'s that? You say no living specimens are left at those coordinates? Oh, but this is a tragedy! Now what gift shall I bring poor Lady Gaeflit for the Festival of Thywinkle? Her little heart will be crushed! At least I know you did your best to make her happy. Here, accept this payment with my gratitude.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '140', 'm35t', 'Make Little Naboo Girl Happy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_corellia.stf', '141', 'number_of_entries', '35');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '1', 'm1d', 'Laboring under a curse of public ignorance and apathy, the Interplanetary Embalmers\' Guild maintains its resolve to bring its mission to a wide audience. Our chapters on Naboo, though not large, demonstrate an admirable vigor. We seek Naboo hunters with strong will, careful aim, and superior firepower. With these weapons, you will go forth onto the plains, into the forested mountains, and even into the swamps themselves, to locate the finest specimens of Naboo wildlife and shoot them cleanly. We shall arrange pickup and processing of the remains, provided they are intact and relatively unmarked. Those who aid in promoting our worthy trade will find generous recompense!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '2', 'm1o', 'Interplanetary Embalmers\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '3', 'm1s', 'Though your good work fulfills the Embalmers\' Guild wishes, our plans have changed. Accept this payment, and do what you will with the creature.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '4', 'm1t', 'Embalmers Call On Conscientious Naboo!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '5', 'm2d', 'The Emperor\'s proposed new Hall of Galactic Wildlife, to be built on the Imperial throneworld of Coruscant, features an extensive display of Naboo wildlife. To expedite planning of the space required for the Naboo display, the Imperial Civilian Accounting Office solicits highly experienced hunting teams. Interested teams may locate and terminate large packs of predators at coordinates provided by local survey offices in conjunction with this agency. The specimens will be assessed for size and quantity for purposes of figuring large-scale space requirements. Hunters may remove marketable assets from the prey for their own use. All other information on this contract is assigned confidential clearance under Imperial security edicts. For assistance, contact the Imperial Security Bureau.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '6', 'm2o', 'Imperial Civilian Accounting Office');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '7', 'm2s', 'Asset procurement noted and contract payment disbursed. Per your contract, you may remove marketable assets from the prey for your own use or resale.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '8', 'm2t', 'Solicitation for Naboo Hunting Teams');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '9', 'm3d', 'Greetings. Milady Chantallir requires me to commission a hunter, or party of hunters, to assassinate a designated specimen or specimens of local wildlife. Once you have committed this gratuitous murder, Milady\'s serving droids will collect the victim and prepare it for her upcoming \"Cuisine & Culture\" fundraising banquet. Milady has instructed me to remit payment after you have inflicted the brutal death.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '10', 'm3o', 'Imbecile, a C-9P0 Protocol Droid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '11', 'm3s', 'Milady will undoubtedly feel well disposed toward you for carrying out the execution. Here is the agreed blood-money.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '12', 'm3t', 'Dead Animal Needed for Banquet');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '13', 'm4d', 'The touring company for my current production -- \"Hearts of Empire,\" now at Theed\'s Templexus of the Dramatic Arts, seats still available -- has run into a teensy problem. Our female lead, Mairlenn, had a pet voorpak, called Dotti or something. She took the little thing with her on a visit to the countryside, let it roam, and, well, those voorpaks really are a major source of protein in the ecosystem, aren\'t they? Mairlenn is in quite a snit. She saw the creatures that ate Dotti, and she insists that I find someone to locate and punish those beasts, I mean really punish them. Is that okay?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '14', 'm4o', 'Radanthus Mandelatara, Playwright');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '15', 'm4s', 'Well, isn\'t that just a big big relief. I do have a budget line item for Mairlenn\'s demands, so payment is no problem. Thanks much, have to run.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '16', 'm4t', 'Punishment of Naboo Predator Needed');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '17', 'm5d', 'When I open my new restaurant in Theed, the much-heralded pantheon of Naboo chefs will gain a new star! I need a centerpiece dish, though, to get people smacking their lips and, in the case of Gungans, jowls. Go out and find me a selection of delectable beasts. Remember, dangerous creatures equal publicity!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '18', 'm5o', 'Chef Jamien Varcos');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '19', 'm5s', 'Splendid. I shall pay you, of course, but as it happens, I have conceived a different dish in mind already, with liquid extract of Corellian fringe cake. Please take what you will from the creature\'s body.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '20', 'm5t', 'Create a Culinary Delight of Naboo!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '21', 'm6d', 'For my new gallery\'s debut show, I contrast the sterility of urban life with the pure, unmediated vigor of Nature. I envision in the gallery atrium a mounted specimen of some noble creature. It befalls you, the hunter or team of hunters, to terminate the specimen, whereupon my rented droids will secure and prepare it. I suggest a relatively non-invasive termination, to maintain the specimen\'s natural beauty.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '22', 'm6o', 'Bab Esrus, Biosculptor for Select Clients');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '23', 'm6s', 'Unfortunately my show, \"Nature\'s Unmediated Vigor,\" has been unexpectedly cancelled. I shall pay you, but you may dispose of the creature as you will.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '24', 'm6t', 'Help With Naboo Gallery Show');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '25', 'm7d', 'I watch the purple twilight steal across the meadows of my estate, then spend my lonely night dreaming of a song. That melody haunts my reverie, for it was playing during my romantic dinner with Count Ran Dobell. We sat beside a garden wall, and the stars shone bright. Our love was new, each kiss an inspiration -- until a verminous creature blundered into my gazebo. The beast bit Count Dobell, infecting him badly. In a huff he lurched away to the bacta tanks, and he has avoided contact with me since. Now my consolation lies in hiring you to destroy this creature and others of its ilk.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '26', 'm7o', 'Lady Dera Mikkel of Theed');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '27', 'm7s', 'Thank you. Though I dream in vain, that melody will remain in my heart -- the memory of love\'s refrain. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '28', 'm7t', 'Stop Creature That Ruined True Romance');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '29', 'm8d', 'Perfecton Greysor Purebreds stands as Naboo\'s finest kennel. We have reason to believe that an unidentified rival greysor kennel has purposely loosed several predatory animals on our land, creatures that have already attacked and killed several fine stubtails and manadepts of breeding age. We shall of course investigate and seek legal redress. Our immediate need, though, is a hunting team that can destroy the marauding predators. We offer a generous fee, as befits the planet\'s elite kennel.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '30', 'm8o', 'Perfecton Greysor Purebreds');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '31', 'm8s', 'Your success shows excellent attention to standards and detail. We thank you, and are now preparing the legal phase of our response.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '32', 'm8t', 'Predators Loosed On Greysor Kennel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '33', 'm9d', 'I am a Theed University biologist currently on sabbatical at the Otoh Gunga Zoological Research Facility. In researching motts, a semi-aquatic herbivore of the Gungan Swamp, I was stunned to observe young adult males occasionally travelling onto the Great Grass Plains and even up mountains, far outside their native habitat. This phenomenon as yet eludes explanation, though I suspect parasitic infection. In every case I have seen so far, predators kill these misplaced motts. I wish to hire a hunter or hunting party to terminate a predator shortly after it eats the mott. I shall analyze the predator\'s stomach and blood, in hopes of identifying different stages in the life-cycle of the hypothetical parasite.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '34', 'm9o', 'Dr. Henro Torrth, Theed University Bio Department');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '35', 'm9s', 'Report noted. I shall have the fallen predator picked up for autopsy. Your fee is attached.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '36', 'm9t', 'Naboo\'s Misplaced Mott Mystery');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '37', 'm10d', ' My family wrangles shaaks on the Grass Plains. This season predators have been hitting us hard. Two nights back, my oldest went out hunting them. Last night he called in, but today we\'ve heard nothing. We\'re worried, but we can\'t leave the herd. We have enough savings to hire a hunter for a rescue mission. Here are the coordinates from his tracking beacon. Please help, and quickly.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '38', 'm10o', 'Shaak-wrangler on the Great Grass Plains');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '39', 'm10s', 'Thanks for taking care of the predators. My son got swept over a waterfall and lost his tracking beacon, but he\'s back home now, injured but safe. Here\'s your fee.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '40', 'm10t', 'Need Help Finding Our Son');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '41', 'm11d', 'For generations my family\'s cove of trained twirrls, the famed Highscouter bloodline, has provided breeding stock to Theed Palace. The key to the Highscouter cove\'s reputation for health and vigor has been our willingness to train the falconoids strenuously over open country. For this reason, predators are a constant menace, and never more than this season. I always have to contract with local hunters to keep the predator population down in our current training fields. Are you available?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '42', 'm11o', 'Highscouter Twirrl Cove');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '43', 'm11s', 'We\'ve already noted the welcome drop in predation. Highscouter Cove thanks you. Look in with us next season for more work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '44', 'm11t', 'Predator Culling in Twirrl Training Fields');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '45', 'm12d', 'While on sabbatical at the Otoh Gunga Zoological Research Facility, I have observed an unusual, previously unreported behavior in the common ikopi, a swamp herbivore with remarkably long legs and a hollow prehensile tongue. It appears that during mating season, some male ikopi actively seek confrontation with predators for purposes of display and territorial defense. My colleagues are justly skeptical, for all my recording equipment has rotted in this infernal humidity. I can document the behavior indirectly by securing a predator that has wounds from the distinctive ikopi horns. I have located a wounded animal and wish you to kill it, leaving the horn wounds intact for reference purposes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '46', 'm12o', 'Dr. Henro Torrth, Theed University Bio Department');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '47', 'm12s', 'I shall make arrangements to secure the corpse immediately. Decomposition sets in so quickly in this climate. You may take what you will from the prey.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '48', 'm12t', 'Ikopi-Wounded Predator Needed');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '49', 'm13d', 'Hello! Out near my vacation land, where my family hopes to build a home soon, we\'re starting to see young male gualamas. The patriarch of a herd drives off the other males when they reach breeding age. They\'re beautiful to see, bounding up hills with tails raised like banners. But they do attract predators. That has spooked the construction firm we\'ve hired -- seems the predators attack construction droids, or so we\'re told. Sounds to me like a ploy for the construction company to extort insurance funds from us, but it\'s cheaper for me to demonstrate that the predators are no problem. If you can go out and kill a few, I\'ll pay a reasonable fee.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '50', 'm13o', 'Naboo Family Planning to Relocate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '51', 'm13s', 'Thanks much for improving my land\'s safety. I\'ll notify the construction company that no \"insurance\" is required.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '52', 'm13t', 'Gualama Herds Attracting Predators');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '53', 'm14d', 'I am the associate proprietor of Naboo\'s third-oldest guarlara stable. Though we do not provide the royal steeds of Naboo that are revered worldwide, our Kirkhorn Assured Bloodlines are particularly prized for their underfur. It has been woven into Theed\'s most famous tapestries. Unfortunately, our mighty mounts are prone to stress-shedding, especially when chased by predators. Seldom do these hunters overmaster our vibrant animals, but the exertion of the chase mars the underfur\'s quality. To prevent further deterioration, Kirkhorn wishes to hire you to dispose of the animals located to date. Please respond, and we shall transmit coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '54', 'm14o', 'Kirkhorn Guarlara Stable');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '55', 'm14s', 'Perhaps it may seem frivolous to protect guarlara underfur, but this is an important revenue source for our stable. Thank you for your help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '56', 'm14t', 'Protect Naboo\'s Kirkhorn Guarlaras');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '57', 'm15d', 'During my recent open-air concert, staged out on the Grass Plains as part of Milady Aaltok\'s 90th-birthday celebration, a pack of creatures hampered the jovial mood by attacking the guests\' prize guarlara mounts. Now some guests are making litigious noises, on the flimsy pretext that my music angered and provoked the predators. What nonsense. Still, counsel advises Milady to show a good-faith effort to reduce future predator problems. Ergo, the Aaltok household is hiring you to defeat and dispatch the creatures located at these coordinates. Really, this is all most tiresome.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '58', 'm15o', 'Nath Matua Nurtry, Aaltok Household Composer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '59', 'm15s', 'Very well, I shall pay you. I may require your testimony if this senseless lawsuit ever becomes more than mere persiflage.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '60', 'm15t', 'Hunt to Prevent Groundless Lawsuit');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '61', 'm16d', 'The Emperor has proposed a new Hall of Galactic Wildlife on his throneworld, Coruscant. Animals from across the galaxy are to be stuffed and mounted for display in its silent chambers. Without questioning the Emperor\'s motives or the wisdom of his project, architects of Naboo would assert that wildlife is best displayed alive, in a zoological simulation of their native environments. To dramatize our point, we shall present to the project\'s advisory board a display, showing live creatures side by side with sterile, stuffed examples. We therefore commission you to terminate the specimen or specimens located at these coordinates, for later removal and processing by this office.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '62', 'm16o', 'Office of the Chief Architect of Naboo');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '63', 'm16s', 'Though the Office of the Chief Architect tenders the agreed payment, our plans have changed. You may take what you wish from the prey.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '64', 'm16t', 'Naboo Architect Requires Animal Specimens');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '65', 'm17d', 'I fear that I unwisely scolded my little pet voorpak, Blotti, when he made an accident on my third-best embroidered gown. Blotti, his fierce heart rebelling, ran away. His tracking collar shows he\'s wandered into some dangerous territory, and I\'m afraid to go after him. Can some noble adventurer rescue my dear sweet pet?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '66', 'm17o', 'Lady Prua Nala Bitterbon of Theed');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '67', 'm17s', 'Oh, Blotti! Some giant beast has eaten my poor, headstrong little pet. Go away, leave me in my sorrow!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '68', 'm17t', 'Help Rescue a Beloved Pet');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '69', 'm18d', 'A bioengineering program at Theed University researches new uses for the chemicals produced by native wildlife. This initiative has already led to new medicines and even improved building materials. To this end, students in the bioengineering program require recently killed specimens. Predators represent a difficult target for mere university researchers, and so they have requested me to contract with hunters to destroy the animals. Please respond to obtain coordinates of likely specimens.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '70', 'm18o', 'Office of the Educational Regent of Naboo');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '71', 'm18s', 'I shall send a recovery team to preserve the animals for study. You may take what you wish from them first. Thank you for aiding the cause of science.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '72', 'm18t', 'Theed University Bioengineers Need Specimens');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '73', 'm19d', 'Mesa not custom to dealen wit outlaunders, but my been sent by De Bosses to taken care of a maxibig problem. De zoo at Otoh Gunga had orderen some bigge animale for showen at de Festival of Bawoonkas. De trouble came when de ship carryin desan animale crashed. Now wesa got desan animale all over. De Bosses tellen my only to bring back dosan animale dat survived de crash. Mesa tinken my can pay yousa outlaunders to \"taken care\" of desan survivor animale, so wesa not haven any survivors at all. Dat way my will not need to transporten dosan stinkowiffs back to Otoh Gunga. My will payen extra if yousa keepen yousa mouth shut about dis. Tis a bombad deal for both of ussen, eh?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '74', 'm19o', 'Torba Keels of Otoh Gunga');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '75', 'm19s', 'De Bosses beesa sad dat no animale survived de crash. My not minden so much. Yousa skill is hot, boyo. Taken dis moola for yousa help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '76', 'm19t', 'Wesa Got a Maxibig Problem');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '77', 'm20d', 'I appreciate the natural beauty of Naboo as much as anyone else. I love the smell of flowering hsuberries and the glint of morning light through a tentacle fern. There\'s nothing more lovely than a sunset glittering with sapphire peko-pekos. But I draw the line when sapient beings are endangered wildlife. Recently a Twi\'lek child was assaulted by some rampaging animal, and one of her little tentacles was badly mauled. In response to this outrage, I am hiring hunters to remove animals from any region identified as dangerous. If you agree that the safety of our beautiful planet must be preserved from encroaching wildlife, and if you are capable of killing deadly animals, please contact me. I will send you coordinates from my list. Together we can make Naboo safe again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '78', 'm20o', 'Taneb Magnex of Theed');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '79', 'm20s', 'Splendidly done. That\'s one more area the children of Naboo may wander in peace. I will certainly have more work for you in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '80', 'm20t', 'Remove Dangerous Animals From Beautiful Naboo');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '81', 'm21d', 'Bubble spore is a rare and delightful plant from the Lianorm Swamp. Its bubble-like spores float on the breeze and catch the light most splendidly. Recent climatological extremes have carried the spores over great distances. We believe that the plant may be spreading beyond the swamp. Unfortunately, certain animals have taken to eating the spores before they can alight and sprout. Because we would like to encourage the spread of this marvelous flora, we require the service of hunters to eliminate the animals from target expansion zones. By slaughtering these filthy beasts, you will help us to spread the enchanting bubble spore plant to all corners of Naboo.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '82', 'm21o', 'Botanical Consortium of Naboo');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '83', 'm21s', 'Marvelous! Those worm-ridden beasts won\'t interfere with the spread of bubble spores again. At this rate, in a year all of Naboo will be covered with bubbles! Can you imagine?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '84', 'm21t', 'Assist Spread of Naboo Bubble Spores');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '85', 'm22d', 'I\'m attempting to build a flora farm as a surprise for my wife. I\'m having a deuce of a time because the site is away from civilization, in accordance with my wife\'s love of the wilderness, and the creatures who inhabit the area are less than accomodating about our intrusion. Consequently I find myself in need of contractors to clear off these distinctly un-neighborly fauna. I\'m working on an aggressive time schedule. Get the job done quickly and thoroughly, and you will make my wife very happy indeed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '86', 'm22o', 'Lord Jallandra of Theed');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '87', 'm22s', 'Are you certain the animals are gone? I don\'t wish to place my wife in any danger, you know. If you\'re positive the job is done, then I shall tender your payment. And take also my heartfelt thanks for making my wife happy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '88', 'm22t', 'Contractors To Eliminate Wild Naboo Animals');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '89', 'm23d', 'I pilot an old H-type chrome yacht, which I rent to high-paying customers. I also sell my services as a courier, which has prompted me to post this message. The other day I had a near-miss with an Imperial shuttle cutting across the designated sky lanes. The shear damaged my yacht\'s wings and forced me to jettison some cargo. Now I need to retrieve it. I buzzed the area and found some nasty-looking animals on my scanners. I need someone handy with a blaster to pick off these creatures so I can track down my jettisoned cargo. The recipients are getting impatient, so haste is required.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '90', 'm23o', 'Captain Gwella Incarta');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '91', 'm23s', 'Handily done. Now I can retrieve my jettisoned cargo. If I hurry, I can just about salvage my reputation as a courier.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '92', 'm23t', 'Clear Out Nasty-Looking Naboo Wildlife');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '93', 'm24d', 'The authorities don\'t approve of us, but that doesn\'t deter the swoop enthusiasts of Naboo. This beautiful planet virtually begs for the open-air joys of swoop ranging. Of course the wildlife is not accustomed to anything more powerful than Imperial speeder bikes. This can cause a lot of trouble. Our engines and exhausts rile the animals into a dangerous frenzy. We\'ve lost more than a few good swoopers by slamming into a fambaa or a herd of shaaks. To alleviate this problem, we\'ve taken up a collection to hire professionals to remove the more intrusive wildlife that clogs up our swoop lanes. If you can do this job, please contact us for the coordinates of trouble spots.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '94', 'm24o', 'United Swoop Enthusiasts of Naboo');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '95', 'm24s', 'At last we can ride the swoop lanes without dodging hrumphs and tusk-cats. We\'re also investigating the possibility of clearing away vegetation from prime areas. After all, swoopers have as much right as anybody to enjoy the natural beauty of Naboo.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '96', 'm24t', 'Kill Wild Animals Clogging Swoop Lanes');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '97', 'm25d', 'The trouble with a planet like Naboo is, the wildlife is so prolific that there\'s no glamor in hunting it. I make my living taking rich Theedsiders into the wilderness to hunt large, dangerous animals. But my skills seem extraneous when the animals simply wander past base camp, waiting to be shot. So I\'ve struck upon a plan to rectify this issue. I want to hire hunters to visit my preferred hunting grounds and weed out prolific target species. That way I can hunt down the survivors, and my clients will feel as if they\'re getting their money\'s worth. So if you\'re good with a blaster and want to have some fun in the wilderness, I\'ll send you coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '98', 'm25o', 'Gerrio Coronis of Theedside Safaris');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '99', 'm25s', 'Nice work. I\'ll take some rich Theedsiders out there tomorrow. You did leave me one or two animals to hunt, right?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '100', 'm25t', 'Thin Out Wildlife in Hunting Grounds');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '101', 'm26d', 'I\'ve got my droids busy on some preliminary work to turn a natural spring pool into an irrigation source. My belief is that the spring\'s source might actually be the planet core. Unfortunately my J9 droid reports that animals from the surrounding area have been attracted by the activity. These creatures are either very large or in great numbers, as their droppings have begun to contaminate the pool and clog up the new filters. I would like to hire one or more experienced hunters to blast these animals to dust so that my project can get back on schedule. Pay will be commensurate with the difficulty of the job.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '102', 'm26o', 'Madger Galleas of Theed');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '103', 'm26s', 'My J9 droid says the filters are clearing up already. Thanks for a job well done. Here are your credits.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '104', 'm26t', 'Blast Animals Fouling Naboo\'s Water');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '105', 'm27d', 'Desan outlaunders don\'t haven much sense sometime. My have taken una Trandoshan warrior into da wilderness for hunten de bigge Naboo animale. Hesa needen to impress some lady Trandoshan for una marriagen ceremony, if mesa understanden correctly. Den desan animale showed up and hesa hiden like a skeered tooke. Hesa say hesa not comen out of hiden till mesa hire someone to getten rid of desan animale. Hesa payen my fee, so my figure my may as well do what hesa want. You gotten de blaster, you wanten some credits, you contact my pretty soon. My not certain how long hesa going to last out dere in de wilderness.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '106', 'm27o', 'Torba Keels of Otoh Gunga');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '107', 'm27s', 'Yousa should have seen dat Trandoshan runnen away as soon as yousa started shooten up de animale! My wish my had brought una hovercam for taken dat as a hologram. Okieday, heresa yousen moola for da job.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '108', 'm27t', 'Una Outlaunder is Needen Help');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '109', 'm28d', 'We are incensed at the behavior of the Imperial Environmental Preservation & Refocusing Authority! To accomodate various Imperial sites on the planet\'s surface, the IEPRA has interfered with the rich ecosystem of Naboo. The natural balance of predator and prey has been disrupted. We must restore this balance. We have identified several habitats in which both predatory and prey species must be culled in order to realign the populations. Hunters who appreciate the natural balance are encouraged to participate in this program. We must save Naboo before the Empire destroys it!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '110', 'm28o', 'The Royal Naturalist Society of Naboo');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '111', 'm28s', 'But how wonderful! We knew we could count on you. The delicate balance of Naboo\'s wildlife will soon be restored.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '112', 'm28t', 'Empire Interferes With Naboo\'s Ecosystem');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '113', 'm29d', 'The IEPRA conducts routine missions to expunge dangerous animals from any area where Imperial agents are scheduled to establish service posts. Lately we have experienced some problems. The larger creatures of Naboo have somehow managed to encroach upon our temporary sites. We have consulted the Royal Naturalist Society of Naboo, but they offered no insight as to why our wildlife eradication protocol is failing. As we continue to research this problem, we require hunters to manually clear these areas again so that our agents may conduct their business in peace. Interested parties may contact us at their convenience.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '114', 'm29o', 'Imperial Environmental Preservation & Refocusing Authority');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '115', 'm29s', 'Well done. We shall note the quality of your work in our files. We hope to determine soon why our initial efforts at wildlife eradication have failed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '116', 'm29t', 'Eradicate Dangerous Naboo Wildlife');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '117', 'm30d', 'In the name of galactic security, Imperial agents routinely establish temporary survey sites in the wilds of Naboo. Before each site is constructed, the IEPRA expunges any dangerous and/or nuisance animals from the area. We have found it expedient to hire private contractors for this work. If you are an experienced hunter and wish to become involved in this program, notify us at your earliest convenience. We will send coordinates of a target locale from which to remove the wildlife.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '118', 'm30o', 'Imperial Environmental Preservation & Refocusing Authority');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '119', 'm30s', 'Well done. Your actions have ensured the safety of many Imperial agents. You are on your way to establishing a good record with us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '120', 'm30t', 'Eradicate Hazardous Naboo Wildlife');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '121', 'm31d', 'The Imperial Environmental Preservation & Refocusing Authority persists in its destabilization of Naboo\'s splendid ecosystem! After they devastated many of our precious natural populations, we were forced to cull others to preserve the natural balance of predator and prey. Now they have hired despicable murderers to kill more animals and further disrupt the ecosystem. We have no choice but to respond again. We require the services of noble outdoorsmen willing to euthanize the poor, starving animal survivors of the Empire\'s heartless campaign. Contact us for the coordinates of these killing grounds, and we shall pay you for your merciful actions.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '122', 'm31o', 'The Royal Naturalist Society of Naboo');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '123', 'm31s', 'But how wonderful! Your ruthless killling was an act of pure mercy. Shame on the Empire for forcing us into these desperate measures!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '124', 'm31t', 'Correct Empire\'s Interference With Beauty');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '125', 'm32d', 'De wild animale of Naboo been suffering at de hands of some stinkowiff outlaunders. My been catchen desen illegal animale traders allendover half de planet. Tis una shame dat desen narglatches just letten loose de animale anywhere dey getten caught, so dey can getten away from de law. Tis una shame because my no haven de resources to collect dese misplaced animale and taken dem back to where dey belong. All my can do is to payen someone to taken a weapon to desen animale and putten dem out of dere misery. Mesa hiren every persona dat can get de job done. My will transmitten de coordinatees to yousa and payen de credits when yousa finish de work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '126', 'm32o', 'Sergeant Degoolsby of Otoh Gunga');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '127', 'm32s', 'Tis a shame dat desen illegal animale traders forced ussen to dese sad measures. Taken desen credits for yousa good work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '128', 'm32t', 'Rounden up de Animale and Killen Dem');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '129', 'm33d', 'If you spend a lot of time offworld, you may not know about the strange weather we\'ve been experiencing. Stellar flares are responsible for a moisture inversion that has brought rains to dry areas and reduced water levels in the lowlands. This climatological chaos has resulted in overabundant wildlife where it is normally under control. While we are applying for the intervention of Imperial weather shields to block the stellar flares, we are employing more direct methods to regain control of the wildlife populations. We are contracting hunters to thin out groups of large, prolific and/or dangerous animals in certain areas. If you qualify to participate in this reclamation campaign, contact planetary authorities. We can stave off disaster, but only if we act promptly.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '130', 'm33o', 'Naboo Environmental Council');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '131', 'm33s', 'That\'s one more region where the wildlife will not become a nuisance. Thanks for your good work and professional demeanor.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '132', 'm33t', 'Flares Disrupt Naboo Animal Populations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '133', 'm34d', 'A wealthy family of Togruta merchants have decided to make Naboo their next home. I am surveying the landscape for a location suitable for a modular villa. Unfortunately, their homeworld is rife with predators, and their preferred surroundings are also populated by large and potentially dangerous animals. Because I don\'t want my clients to be eaten or trampled while I\'m presenting their choices, I need to hire someone to temporarily rid these areas of nuisance wildlife. I\'ll send the coordinates to anyone who can get the job done neatly.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '134', 'm34o', 'Chanja Kee of Naboo');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '135', 'm34s', 'Great work. The wealthy Togrutas will reach Naboo in a few days. I\'m glad to be able to show them around safely.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '136', 'm34t', 'Arrival on Naboo of Togruta Clients');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '137', 'm35d', 'Some local animals have ingested contaminated runoff from the Emperor\'s Retreat. We believe that these creatures now pose a significant risk to the planetary ecosystem. They have dispersed to various places on the planet. We are contracting hunters to dispose of these animals as quickly as possible. Our satellite droids have isolated several potential locations where these contaminated animals might be found. These coordinates will be made available to qualified applicants.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '138', 'm35o', 'Imperial Environmental Preservation & Refocusing Authority');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '139', 'm35s', 'Excellent. Our scanners indicate a significant amount of contamination in your body. This confirms your successful engagement with the target animals. As we do not know what effect this contamination might have on your particular subspecies, we suggest that you make arrangements for a funeral or other death rite in the event that you do not survive.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '140', 'm35t', 'Contamination In Naboo Ecosystem');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_naboo.stf', '141', 'number_of_entries', '35');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '1', 'm1d', 'How many times do we have to exterminate these pests? Hiring professional hunters is getting expensive. Could you go in and clear out that creature lair for us, citizen?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '2', 'm1o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '3', 'm1s', 'Looks like you might have a career in extermination, friend. Thanks for your efforts.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '4', 'm1t', 'Clear Out Tenacious Pests');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '5', 'm2d', 'I\'m lodging a group of Bith musicians in my villa, but they\'re skittish about some of the local wildlife. I\'d be willing to pay if you could remove some of the more dangerous creatures from the area and put these Bith at ease.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '6', 'm2o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '7', 'm2s', 'Splendid! Now my Bith guests can relax and practice their music. I do enjoy their fizz lilting through my villa on a lazy evening.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '8', 'm2t', 'Reassure Skittish Musicians');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '9', 'm3d', 'Some darn predator ate my good luck kima! I think those beasts have a lair near here. If you can find them and blast them to atoms, I\'d certainly reward you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '10', 'm3o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '11', 'm3s', 'Thanks, friend. I\'ll sure miss that kima. I bet this breaks my incredible sabacc winning streak. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '12', 'm3t', 'Recover Good Luck Charm');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '13', 'm4d', 'My precious little kittle -- she liked to be called Woopywoopums -- was snatched by a horrible predator while slithering playfully in my yard. Please avenge my angel for me.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '14', 'm4o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '15', 'm4s', 'You are most gallant, citizen. What is your name again? I want to name my new kittle in your honor.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '16', 'm4t', 'Avenge Woopywoopums');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '17', 'm5d', 'I\'ve been contracted to do some construction near here. Help me out by cleaning up the nest at these coordinates, and I\'ll cut you in.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '18', 'm5o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '19', 'm5s', 'Nice work. I\'ve never seen the need for a professional exterminator before. Those guys get the big money.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '20', 'm5t', 'Help Clear Land');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '21', 'm6d', 'A condemned shelter near here is nothing but a breeding ground for bloodsucking parasites. I bet a couple of well-placed blaster shots would take care of the problem. Can you help, friend?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '22', 'm6o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '23', 'm6s', 'Well done, citizen. This ought to make the wet season much more pleasant. Enjoy your reward!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '24', 'm6t', 'Prepare For Wet Season');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '25', 'm7d', 'There\'s a den of vermin out there that is gonna kill some youngster some day. Local kids love playing in that area. Be a friend and demolish that lair for us, would you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '26', 'm7o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '27', 'm7s', 'I\'ll be able to sleep peacefully at night now. Thank you kindly.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '28', 'm7t', 'Keep Kids Safe');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '29', 'm8d', 'The last thing I want to hear when I settle down to bed are the mating calls of blasted vermin! Please silence those love-sick beasts and help me get some peace and quiet.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '30', 'm8o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '31', 'm8s', 'My gratitude knows no bounds, citizen. Well, actually it does, as your deposited payment will prove. But I\'m still quite pleased.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '32', 'm8t', 'Wipe Out Lovesick Beasts');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '33', 'm9d', 'My poor little durni, it wandered away and got lost. The tiny helpless thing can\'t see, you know. A friend saw a wild predator pounce on my darling and devour him. Oh horror! Please avenge my poor little Blinky.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '34', 'm9o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '35', 'm9s', 'This sets my mind at ease, citizen. Many thanks. I hope I can mourn Blinky and move on.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '36', 'm9t', 'Avenge Little Blinky');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '37', 'm10d', 'I just knew it was a bad idea to come to this planet! There\'s some kind of filthy creature lurking on the path to my new home. I don\'t suppose you\'d be able to kill it for me, would you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '38', 'm10o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '39', 'm10s', 'Thank you ever so much! I suppose every planet will seem dangerous after leaving my poor, beautiful Alderaan.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '40', 'm10t', 'Make Planet Safer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '41', 'm11d', 'I\'m looking to run some power conduits across an area not far from here, but there\'s a couple of pesky animals getting in the way of my spooling droids. Do you suppose you might take that weapon of yours and exterminate these pests?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '42', 'm11o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '43', 'm11s', 'Thanks, buddy. You earned the credits. It\'s getting so you can\'t earn a decent living without a blaster these days.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '44', 'm11t', 'Get Rid of Pesky Animals');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '45', 'm12d', 'I was testing my new electrobinoculars when I spotted a few toothy-looking beasts roaming around my land. If you want to earn a few credits, why don\'t you haul your weapon out there and take out those nasty creatures?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '46', 'm12o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '47', 'm12s', 'You don\'t seem to be bad with that weapon. The credits I promised will be promptly deposited.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '48', 'm12t', 'Toothy Beasts Are Bad');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '49', 'm13d', 'I\'ve been tracking some genetically altered predators that were stolen from an Imperial research facility. Some apparently ended up here. If I could get your help in disposing of them, I\'d make it worth your while.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '50', 'm13o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '51', 'm13s', 'Hmm, those don\'t sound like the beasts I was tracking, but thanks for getting rid of dangerous predators anyway. A little something has been deposited in your account for your trouble.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '52', 'm13t', 'Genetically Altered Beasts Are Scary');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '53', 'm14d', 'My goal of breeding exotic pets didn\'t go as planned. I\'ve heard some of my \"failed experiments\" are now terrorizing the locals. Think you could take care of this problem for me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '54', 'm14o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '55', 'm14s', 'Thanks. Your pay has been deposited. I\'d sure appreciate it if you didn\'t mention this to anyone, okay?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '56', 'm14t', 'Clean Up Failed Experiments');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '57', 'm15d', 'My friends and I want to hold some speeder races outside of town, but there\'s some sort of creature lair out there that\'s holding us up. If you wipe it out, I\'ll pay you for your time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '58', 'm15o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '59', 'm15s', 'Thanks! You\'re a pal! I deposited your pay. Don\'t forget to come back in a few months and check the races out.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '60', 'm15t', 'Speeder Races Are Fun');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '61', 'm16d', 'I lost something of great sentimental value in the wilderness and I\'m determined to get it back. I\'ve isolated the area where I think this treasure may lie, but there\'s a den of predators keeping me from performing a thorough search. Think you can get rid of it for me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '62', 'm16o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '63', 'm16s', 'Thanks, friend. I\'ve compensated you for your trouble. Uh, you didn\'t happen to dig around, did you? Didn\'t find any precious stones?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '64', 'm16t', 'Recover Family Heirloom');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '65', 'm17d', 'Some kids have disappeared in this area over the last few weeks. Some folk think it\'s the work of wild predators. I\'ll pay you to check these coordinates out and drive away any monsters you encounter.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '66', 'm17o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '67', 'm17s', 'Good work, citizen. The children will compose a song in your honor. Oh, and I\'ve deposited the pay I promised.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '68', 'm17t', 'Children Possibly Eaten');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '69', 'm18d', 'My dying grandfather has one last wish -- to eat the flesh of the creatures that killed his beloved wife. I\'ve tracked down a lair of the beasts and need you to kill some for me. Think you could do that?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '70', 'm18o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '71', 'm18s', 'Excellent! I\'ll send my droids out to collect the carcasses. Don\'t worry if you didn\'t leave much meat -- my grandfather has hardly any teeth left.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '72', 'm18t', 'A Last Supper');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '73', 'm19d', 'I perform tests of the groundwater, but my meters seem to attract all manner of vermin. It\'s the vibrations, I think. Could you please make sure there aren\'t any bothersome beasts hanging around my workstations?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '74', 'm19o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '75', 'm19s', 'Thank you. It\'s always nice to know I can go to work in relative safety. I\'ve deposited something for you in your account.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '76', 'm19t', 'Assist Public Servant');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '77', 'm20d', 'My mother is sick and loves a certain flower that grows near here. I\'d pick some for her, but there\'s some sort of creature lair near there, and I\'m afraid those beasts might hurt me. Could you chase them away for me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '78', 'm20o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '79', 'm20s', 'Thank you so much. I\'m sure the flowers will help my mother get better. Enjoy the reward for your services.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '80', 'm20t', 'Help Sick Mother');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '81', 'm21d', 'My little daughter\'s beloved bearded jax was killed by some sort of wild beast recently. The darling just won\'t be consoled until those horrible pests are disposed of. Do you think you could do this for me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '82', 'm21o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '83', 'm21s', 'Thanks, friend. I hope what I deposited covers your inconvenience. I\'m sure you understand just how important it is to keep our little angels happy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '84', 'm21t', 'Console Little Angel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '85', 'm22d', 'Ever since my HyperGym broke down, I\'ve taken to jogging outside the city. But the presence of wild beasts has recently rendered my favorite route useless. Could you get rid of these pests for me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '86', 'm22o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '87', 'm22s', 'Thanks, friend. I gave you something to cover the expenses you incurred while blasting those creatures. Now I\'ll be able to stay in shape.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '88', 'm22t', 'A Strike For Fitness');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '89', 'm23d', 'The Imperial Zoological Agency claimed to have cleared these areas of dangerous beasts. I beg to differ. We\'ve had a few attacks on children in the last couple of days. Could you get rid of whatever is threatening our kids?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '90', 'm23o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '91', 'm23s', 'A thousand thanks, citizen. Perhaps you should seek a job with the Imperial Zoological Agency. Seems like you could show them how these things should be done.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '92', 'm23t', 'Clean Up Empire\'s Mess');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '93', 'm24d', 'I\'ve heard a lot of complaints about a crazy old wizard in the wilds who surrounds himself with ravenous beasts. I sent a range droid to find out where the old man lives. Now I want you to exterminate his animals. I can pay you, don\'t worry about that.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '94', 'm24o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '95', 'm24s', 'Well done. Those animals won\'t bother anyone now. The old wizard probably ran away when he saw you coming. I hope that teaches him a lesson.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '96', 'm24t', 'A Crazy Wizard\'s Menagerie');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '97', 'm25d', 'Something\'s been killing the young from my herd of gualamas. Now I have to keep my livestock indoors. I need a hunter to take care of this predator before I lose any more profits. If you can do the job, I\'d love to hire you today.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '98', 'm25o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '99', 'm25s', 'I\'m glad nothing will be feeding on my gualamas. Thanks to you, that is.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '100', 'm25t', 'Save Gualama Herd');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '101', 'm26d', 'They looked so cute when they were little, but my pets grew too big to keep. Now they\'ve been feral for a year. The planetary authorities have warned me that they\'ve become dangerous. I\'ve got to get rid of them somehow. Would you be able to find my old pets and blast them into pieces?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '102', 'm26o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '103', 'm26s', 'I still miss those poor little devils. Perhaps now they\'re in a better place. Thank you for the help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '104', 'm26t', 'Good Pets Gone Bad');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '105', 'm27d', 'I\'m not obsessed with hokey religions, but I think some land I just bought is strong with the dark side of the Force. At least it\'s infested with some very unpleasant animals. You look tough enough to remove them from my property. Care to earn a few credits today?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '106', 'm27o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '107', 'm27s', 'You have much skill and courage. The Force must be strong with you. Enjoy your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '108', 'm27t', 'Face the Dark Side');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '109', 'm28d', 'Cloning tests are fun, but I made the mistake of turning loose several test subjects. Not that these cloned animals can\'t defend themselves in the wild. Quite the opposite -- they have mauled several travellers through the area. How would like to help me clean up this mess by blasting these animals into atoms?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '110', 'm28o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '111', 'm28s', 'Thanks. Of course, the thing about clones is that it\'s hard to stop making them after just ten or twenty. I may need your services again. Soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '112', 'm28t', 'Stop the Clones');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '113', 'm29d', 'Remember the Techno Union? Of course you do. I think there might be an old outpost of theirs not far from here. I want to investigate further, but the area is home to some distinctly hostile creatures. I\'d love to hire you to remove them. Then I can get on with my search for the outpost.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '114', 'm29o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '115', 'm29s', 'Capital job! Now I can keep searching for that old Techno Union outpost. Who knows what they might have left behind?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '116', 'm29t', 'Techno Union Treasure');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '117', 'm30d', 'I\'ve found an excellent spot to set up an electro-telescope. I like to watch the big ships docking in orbit. But the last time I set up my rig, I was chased off by a couple of ugly, unpleasant creatures. I\'ll pay good money if you could get rid of those beasts for me.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '118', 'm30o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '119', 'm30s', 'You\'ve done me a great favor. Your payment has been deposited. Now I can monitor the activities of Imperial warships to report to the Alli-- um, I mean, I can watch the big ships docking in orbit.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '120', 'm30t', 'Help Amateur Astronomer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '121', 'm31d', 'I imported some ghhhks from Clak\'dor VII. I heard their skin makes a healing salve. Well, it didn\'t do anything for me, and then the ghhhks got loose. Now they\'re breeding, and the scent has attracted a pack of hungry predators. I\'d like you to destroy the predators before anything really bad happens.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '122', 'm31o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '123', 'm31s', 'Thanks. I was afraid my neighbors were about to sue me for biological infestation. I hope the predators ate all the ghhhks before you killed them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '124', 'm31t', 'Contain Biological Infestation');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '125', 'm32d', 'I\'ve commissioned a holosculptor to model several local beasts for a new dejarik board I\'ll be selling. She needs specimens, so I\'ve located some at these coordinates. Please dispatch everything in this lair, but try to leave the bodies intact.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '126', 'm32o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '127', 'm32s', 'Never mind. The holosculptor found adequate models on the HoloNet. Thanks anyway for your work, and I have deposited your fee.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '128', 'm32t', 'Improve the Game of Dejarik');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '129', 'm33d', 'Some offworld things escaped from the recent Livestock Exhibition, and they\'ve been terrorizing the countryside ever since. We\'ve collected some money and found the likeliest spot where they lair. Can you go in and take out the whole pack, quickly?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '130', 'm33o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '131', 'm33s', 'Did the creatures seem like offworld beasts to you? They may still be on the loose. Well, you did the job we asked for, so your money\'s been deposited.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '132', 'm33t', 'Hunt Offworld Beasts');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '133', 'm34d', 'You smell that? That stinking dust on the wind? It\'s egg seeds, spewed by the shadow barnacles that infest the buildings around here. The egg seeds in turn attract beasts from hither and yon. There\'s a new lair nearby. Please go and destroy it, okay?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '134', 'm34o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '135', 'm34s', 'That was some stink, eh? I\'d better find a fungicide or something. Everything go okay? Your money should be in your account. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '136', 'm34t', 'Stop Stinky Beasts');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '137', 'm35d', 'I\'m convinced I know the origin of the vicious pack animals now attacking children in this neighborhood. Some local Imperial bigwig imported them for his stupid menagerie, and they got loose! The police won\'t stop the beasts yet, because someone high up likes to make the Empire look bad. Can you destroy this menace?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '138', 'm35o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '139', 'm35s', 'What a relief! All the parents in this neighborhood thank you. You\'ve done us a great service and earned this reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '140', 'm35t', 'Stomp Rogue Zoo Animals');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_non_persistent_from_npc.stf', '141', 'number_of_entries', '35');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '1', 'm1d', 'When I was a kid, I\'d go out into the desert and squash \'em personally, but I\'m getting too old for that type of nonsense. I want you to handle this for me.  These vermin are everywhere and are causing me trouble. It was easy enough to kill them forty years ago. I\'m sure not much has changed...');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '2', 'm1o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '3', 'm1s', 'Hope you had fun crushing those pests! Thanks for taking care of that, so I didn\'t need to.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '4', 'm1t', 'Squash \'Em!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '5', 'm2d', 'I am an artist well known for my striking landscapes, but I do not see how I can be expected to paint serene, desert scenes lit by glowing twin sunsets if there are unsightly vermin in the way. Can anyone get rid of these horrible nests so I can resume my life\'s work? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '6', 'm2o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '7', 'm2s', 'By the twin suns of Tatooine, I owe you everything! My career as an artist was stalling, until you rid the area of the ugly creatures disrupting my sensitive artistic sensibilities. I\'m on the verge of painting the definitive Tatooine landscape, which I will dedicate to your efforts!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '8', 'm2t', 'Artist\'s Plea');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '9', 'm3d', 'According to recent studies, the burrowing activities of several varieties of small verminous creatures may actually destabilize the water leaching patterns in the local aquifer. Given the criticality of this basic ecological mechanism to our Tatooine economy, a group of local businesspeople has pooled funds in order to offer a reward for the removal of any burrows, nests, mounds, heaps, or lairs that might contribute to the slow alkalinization that has been devastating our microcryptoaquazoology. The only caveat is that the destruction must be accomplished in an ecologically safe manner, not through poisons that might further damage the mineral substrates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '10', 'm3o', 'Tatooine Business Bureau');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '11', 'm3s', 'We, the representatives of the Tatooine Business Bureau, extend our most heartfelt congratulations on a mission well-done! As noted in our original transmission, local economic health was threatened by the burrowing creatures disrupting our key aquifier. As a result of your incredible heroics, the ecological impact of these creatures has been significantly reduced. We hope that you appreciate our praise, but realize that financial gain may be more gratifying. We will transfer your payment immediately and look forward to working with you again in the future.\n\nYour Grateful Employer,\nThe Tatooine Business Bureau  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '12', 'm3t', 'Burrowing Creature Dilemma');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '13', 'm4d', 'Disease-carrying pests have infested the desert between many of Tatooine\'s major settlements. We need someone to remove these creatures, but be careful: One caravaner has already died from an infected bite!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '14', 'm4o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '15', 'm4s', 'Our caravan was overwhelmed with relief when we heard that you had destroyed the disease-carrying vermin roaming the area. Thank you for being an unyielding hero in these desperate times. I promise that our children will always hear the story of how you saved us from certain death, even when faced with death yourself.  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '16', 'm4t', 'Beware of Diseased Animals!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '17', 'm5d', 'The local wildlife in this area is causing problems with the ecology. There is an overabundance of the specified creatures, which is causing plant life populations to drop dramatically.  This situation must be dealt with immediately.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '18', 'm5o', 'Tatooine Scientific Union');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '19', 'm5s', 'The Tatooine Scientific Union has been informed of your successful attempts to reduce the exccessive populations of problem creatures in the area. We believe that your efforts will improve the ecological health of the planet. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '20', 'm5t', 'Ecological Disaster!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '21', 'm6d', 'Recently, patients suffering from small bites or scratches have been seen by local medics. In at least two cases, the wounds have become infected with a strain of bacteria highly resistant to common medical approaches, including bacta. While the risk to individual patients from the actual bites is not severe, there is concern that the bacteria themselves might migrate to other hosts and cause much more severe problems. The medical professionals who have evaluated the threat recommend that the original host population be exterminated. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '22', 'm6o', 'Bestine Hospital Medical Chief');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '23', 'm6s', 'The Bestine Hospital would like to thank you for eliminating local creatures that we believe were carrying potentially dangerous bacteria. We have already recorded a marked decrease in the number of infected bites and scratches. We have transferred payment for services rendered.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '24', 'm6t', 'Medical Alert');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '25', 'm7d', 'Ever since it became fashionable to hunt Tatooine\'s larger predators, the vermin population has been breeding out of control. I\'m not one to defend dangerous beasts, but they did eat the smaller pests. All I\'m asking is that the hunters focus on vermin as well as the big prizes. Since all the high-profile adventurers are busy chasing krayts, I\'m hoping that you can hunt some of the more populous creatures. I\'ve located a lair that would be a good place to start.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '26', 'm7o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '27', 'm7s', 'Congratulations on elminating that vermin lair. I plan to tell all my neighbors about your willingness to step in and help out when all the \"real\" hunters were off chasing dragon tails. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '28', 'm7t', 'Hunter\'s Quest');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '29', 'm8d', 'Landspeeder accidents are up 8% this season, largely due to the presence of non-sentient animals alongside central travel routes. These creatures periodically dart in front of oncoming vehicles, causing operators to lose control and crash. The Bestine Transportation Safety Commission, in conjunction with Imperial Prefect Talmont, is hiring contract exterminators to help keep our landspeeder lanes safe. Please report to the identified lair and eliminate it in order to help with this endeavor. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '30', 'm8o', 'Bestine Transportation Safety Commission');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '31', 'm8s', 'The Bestine Transportation Safety Commission and Imperial Prefect Talmont have been notified of your successful attempts to improve landspeeder safety on Tatooine. We are pleased to inform you that, in light of your recent success, we will be forwarding the appropriate payment to your account. Thank you and have a safe day.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '32', 'm8t', 'Vehicular Vermin ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '33', 'm9d', 'We\'re not sure if it is the vibrations or the material components, but something about our moisture vaporizers is attracting small but destructive beasts. This is especially true with the older units. We\'ve finally put it to a vote and decided that the union should offer a reward to exterminators who deal with some of the most suspect nests. We\'ve assigned such a lair to you; you\'ll find it nearby. Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '34', 'm9o', 'Moisture Farmers of Tatooine #253');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '35', 'm9s', 'Moisture farmers across Tatooine thank you for your efforts to protect our moisture vaporators! In accordance with our union bylaws, we have transferred your reward directly into your galactic account.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '36', 'm9t', 'Union Dues');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '37', 'm10d', 'The Illustrious Jabba the Hutt, Tatooine\'s first and finest citizen, is troubled by reports of vermin running rampant across Tatooine\'s pristine deserts. These creatures offend the Magnanimous Jabba\'s refined sensibilities and threaten to overrun Tatooine\'s humble citizens. As a sign of his generosity, the Benevolent Jabba is offering a reward to brave adventurers willing to eradicate this terrible scourge.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '38', 'm10o', 'Bib Fortuna, on behalf of Jabba the Hutt');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '39', 'm10s', 'The Philanthopric Jabba the Hutt is overjoyed at your recent successes in the field of vermin extermination. Enjoy your reward. I recommend spending it at the Mos Eisley cantina.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '40', 'm10t', 'Kill all Vermin!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '41', 'm11d', 'Fixer would absolutely kill me if he knew I was hiring you for this job, so keep it between us, okay? I need you to help me keep Fixer out of trouble; if anything happened to him, the Tosche power station would go under, and I\'d be left all alone on this dustbowl... Here\'s the situation: The Empire has decided that all of us Tatooine locals need to do our part to keep our planet clean and safe (like that\'s ever going to happen...). Prefect Talmont has demanded that each city appoint an exterminator responsible for hunting down and killing vermin. I guess the Imperials have gotten tired of tromping around the desert, so they\'re making us do their grunt work. Anyway, long story short (too late!): Anchorhead has nominated Fixer for this job, and I can\'t bear the thought of him out there in the desert on his own. He may be a bad-mannered, bald Wookiee, but he\'s my bad-mannered, bald Wookiee, and I\'m planning to keep him by my side as long as possible. If you take care of these creatures instead, he\'ll be out of danger... at least for a little while longer.  I don\'t want him out there getting hurt!\n\n-Camie');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '42', 'm11o', 'Camie');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '43', 'm11s', 'Thank you for keeping Fixer out of trouble. Fixer likes to pretend he\'s pretty tough, but those creatures would have absolutely murdered him. I\'ve liberated some credits from the power station\'s safe and transferred them to your account. Just remember to keep quiet about this mission.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '44', 'm11t', 'Fixer\'s Guardian Angel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '45', 'm12d', 'There are few joys out here in the desert, but one of my small pleasures is picking mushrooms from the moisture vaporators on my land. I know that the mushrooms are small and ugly, and they taste terrible, but sometimes they\'re all we have to eat out here... Lately, though, something nasty has been eating the mushrooms before I can get to them. So, if you could try to stop the creatures eating my mushrooms, it would be your good deed for this season.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '46', 'm12o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '47', 'm12s', 'I am so fortunate that you decided to help destroy the mushroom bandits that have been stealing part of my daily diet. Now that I have my mushrooms back, I only suffer moderate hunger pangs every night. We\'re still going hungry out here, but at least we have something to nibble on each night.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '48', 'm12t', 'Mushroom Thieves');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '49', 'm13d', 'Message Composed by K8-LR, Protocol Droid, on Behalf of Gartogg the Sturdy\n\nIt is my unfortunate duty to translate the disgusting grunts of Gartogg, a Gamorrean of exceptionally low intelligence. I don\'t know why Jabba endures such mindless guards... It\'s bad enough that I have to listen to their squealing screams every time one of them accidentally falls into the rancor pit, but now I\'m being programmed to actually talk to these brutes! And all Gartogg does is complain. First, he complains bitterly about being forced to haul garbage, but really, he doesn\'t have the intellect for anything else. Then, he complains about the creatures that run amok at the garbage pits! He claims to hate the animals. Recently, he spotted what he assumes to be their lair. Now, it would give him no end of pleasure to know that someone has killed all of the creatures on his behalf. He keeps shouting \"Smash little creatures!\" as he runs through the palace corridors. So, please, I implore you, find and smash these animals. Hopefully, Gartogg will then stop his incessant whining.\n');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '50', 'm13o', 'Gartogg');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '51', 'm13s', 'Gartogg the Sturdy was very happy to learn that you had \"smashed\" the little creatures he hates so thoroughly. When he heard my report, he clapped his meaty hands and squealed with joy. Thankfully, he has also stopped complaining about the animals, at least for now. So, it is with great relief that I transfer a sizable reward to your account. Gartogg thanks you, and I most humbly thank you as well.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '52', 'm13t', 'Smash Little Creatures!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '53', 'm14d', 'Tatooine\'s vermin are well-known for their ability to spread diseases, mutating viral infections, and lethal bacteria. Recent reports suggest that a local creature community is infected with an as-yet-unidentified disease. These reports are unsubstantiated, but previous outbreaks have made us extremely cautious. Destroy the potentially-infected lair as soon as possible to prevent any unnecessary deaths.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '54', 'm14o', 'Prefect Talmont');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '55', 'm14s', 'Good citizen, I am happy to report that efforts to reduce the number of plague-bearing vermin in the area have been successful. While the Empire will publicly take full responsibility for the elimination of these pests, we will be paying your consulting fee, as agreed. Long live the Emperor.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '56', 'm14t', 'Plague Prevention');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '57', 'm15d', 'Hello. Please excuse the quality of this message. We don\'t have much use for datapads out here. Not even sure if I know how to send this transmission... But, if you\'re reading this, then I suppose I did something right. Let me get to the point. We all have work to do.\n\nEvery season, the sandstorms kick up. They usually chase at least a few dozen animals onto my land. I\'m taking precautions this year. I spotted some creatures near my farm. No doubt they\'ll be heading for my garage once the sandstorms start. Unless you destroy them first. I have some credits buried under a vaporator. I\'ll pay you to take care of this for me. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '58', 'm15o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '59', 'm15s', 'Hello again. I wish to thank you for wiping out the creatures near my homestead. I\'ve dug up my credits and will transfer them to your account soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '60', 'm15t', 'Sandstorm Migrations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '61', 'm16d', 'There are so many things to complain about on Tatooine, I never thought I\'d be whining about the way the planet smells. But the stench around here is just terrible. It\'s making all of us nauseous. On the hottest day, the smell is so bad you can\'t go outside without a breathing mask. For the first few days, we thought it was the garbage pile rotting, but we buried the refuse and the smell still lingered. So, a few of us tracked the source to an animal lair nearby. The creatures are wallowing in their own waste. It\'s disgusting, and we\'re living downwind. If you can destroy that lair, we\'ll all breathe a lot easier.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '62', 'm16o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '63', 'm16s', 'Thank the Force! You\'ve wiped out the source of that terrible stench. Now, we can all breathe comfortably again. Our meager credits will never convey how much we appreciate your help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '64', 'm16t', 'Stop the Stench!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '65', 'm17d', 'Transmission Translated from Jawaese for you convenience!\n\nOur precious hubba gourds, the Staff of Life, are under attack by raving creatures! We Jawas keep to sandcrawlers mostly. We are ill equipped to stop this assault on our foodstuffs! We Jawas will give big credits to anyone who will help us!\n\nWimateeka, Jawa Clan Leader');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '66', 'm17l', 'Jawas are in danger of starving!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '67', 'm17o', 'Wimateeka');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '68', 'm17s', 'Transmission Translated from Jawaese for you convenience!\n\nMost exalted hero of the Jawas! Thank you a hundred times for saving the precious hubba gourds, the Staff of Life, from thieving, dirty creatures. We will now pay you a sizable, big reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '69', 'm17t', 'Hubba Gourd Raiders');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '70', 'm18d', 'The Galactic Pest Authority has documented a significant increase in reported encounters with recognized disease-carrying pests on Tatooine. To protect the public health, destroy the identified lair. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '71', 'm18o', 'Galactic Pest Authority');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '72', 'm18s', 'We\'ve recently collected data that suggests a dramatic decrese in the number of recognized disease-carrying pests on Tatooine. We at the Galactic Pest Authority attribute that sudden decline to your efforts. Your activities on behalf of the good citizens of Tatooine will be handsomely rewarded.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '73', 'm18t', 'Tatooine Pest Control');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '74', 'm19d', 'The Galactic Pest Authority is disappointed to report a sharp rise in the number of problem animals reported on Tatooine. These so-called \"nuisance creatures\" damage moisture vaporators, steal delicate pallies and other foodstuffs, and harass honest moisture farmers. For the good of all, the lair of these recognized nuisance creatures must be eliminated.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '75', 'm19o', 'Galactic Pest Authority');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '76', 'm19s', 'The Galactic Pest Authority has collected substantial data suggesting a dramatic decrese in the number of reported nuisance creatures on Tatooine. The organization attributes this sudden decline to your efforts. Your activities on behalf of the good citizens of Tatooine will be handsomely rewarded.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '77', 'm19t', 'Nuisance Creature Control');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '78', 'm20d', 'The Galactic Pest Authority is paying operatives to conduct routine creature culling on Tatooine. This is a common practice on a number of worlds, used to control the spread of problem creatures. A \"problem creature\" might be defined as predatory, disease-bearing, invasive, or prone to violence. To aid in this specific creature culling, destroy the identified Tatooine lair.  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '79', 'm20o', 'Galactic Pest Authority');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '80', 'm20s', 'The Galactic Pest Authority is pleased to report that this season\'s culling expedition to the desert planet of Tatooine has been a monumental success. All agents assigned to this incredible endeavor will receive payment directly.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '81', 'm20t', 'Tatooine Creature Culling');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '82', 'm21d', 'First off, let\'s keep this between you and me. I\'m not proud about any of this... But I\'m in some trouble. Financial trouble, which is the worst kind of trouble, right? A few months ago, I was in deep with the Hutt and trying to drum up some business. My brother-in-law came up with this crazy plan to give huge discounts to any client who could kill a \"dangerous\" creature with one of my weapons. The problem is, we never defined which animals were \"dangerous.\" Heck, an eopie is \"dangerous\" if it catches you off-guard. Anyway, the gimmick brought people into the store to buy blasters and ammunition, and having so many would-be marksmen running around with my merchandise seemed like free advertising. But, like a dim-witted Dug, I promised to run this stupid promotion for five full seasons! Well, now my storehouse is full of stuffed animals, everything from little scurriers to disease-ridden rontos, and I\'ve been practically giving away my merchandise. I\'ll be out of business soon...\n\nSo, here\'s my new scheme: I\'d rather pay you to wipe out all the easy targets before my over-eager clientele find these helpless creatures and I\'m left selling them Corellian blasters at Lok-bottom prices. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '83', 'm21o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '84', 'm21s', 'I can\'t believe it! Just when the bottom was about to drop out of my business, you\'ve saved me. My customers have stopped demanding \"rewards\" for every dead scurrier, but they\'re still coming into the store. Turns out, they just like the merchandise. Anyway, I\'ve finally scraped together enough to pay back the Hutt, with a little left over to offer you as a reward. Thanks again for making sure my business survives another season.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '85', 'm21t', 'Even the Odds');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '86', 'm22d', 'My crops are gettin\' chewed all up. Hard enough to grow anything on this sandy rock, and now somethin\' is eatin\' everything green that dares to show its leaves. I\'m needin\' someone to take care of whatever it is that\'s wipin\' out my crops.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '87', 'm22o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '88', 'm22s', 'I need to be thankin\' you for savin\' my crops. I was convinced that I was going to end up starving to death, or owin\' my life to Jabba the Hutt. But now that you\'ve chased off those leaf-eatin\' creatures, my crops are growin\' faster than ever before. I\'ve sold a few barrels of pallies in order to put together your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '89', 'm22t', 'Crops in Danger');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '90', 'm23d', 'We lost power to our moisture harvesting facilities recently. Looks like something was chewing through the power cables. Can anyone try to exterminate whatever might be responsible?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '91', 'm23o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '92', 'm23s', 'Our moisture vaporators are running smoothly and our facilities have never been  more productive. We\'re now shipping water to all parts of Tatooine, and have become the primary supplier for Bestine. We\'re extremely grateful for your efforts on our behalf.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '93', 'm23t', 'Harvesters Offline');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '94', 'm24d', 'TRANSMISSION TRANSLATED FROM HUTTESE\n\nAs you probably know by now, Watto the Toydarian, owner of the once-legendary Watto\'s Junkshop and Spare Parts in Mos Espa, has fallen on hard times. Ever since he lost his fortune betting against a Jedi in the Boonta Eve Podraces, Watto has been deep in debt with just about everyone on Tatooine, including Jabba the Hutt.\n\nI\'ve known Watto all my life and I\'m trying to help him out. He\'s not the friendliest gasgut, but he\'s practically an institution in Mos Espa. And maybe I feel a little responsible for Watto\'s plight, since it was my friend Anakin who won the Boonta Eve that year and left Watto without a credit to his name. Or maybe I\'m just hoping that Watto will eventually give me the junkshop...\n\nWhen I heard that the Imperials were offering rewards to adventurers willing to kill some of the local vermin, I figured we could earn some quick credits by taking out overbreeding eopies. But Watto always wants to be the middle-man. He\'s identified some of the easiest targets the Imperials have to offer and has personally guaranteed that the creatures in question will be exterminated. Now, he just needs to hire adventurers like you to kill the beasts. We\'ll pay you the reward, after Watto takes his \"commission\" of course. It\'s not a perfect set-up, but I can guarantee that Watto has selected only the best assignments. And, by dealing with Watto directly, you avoid any Imperial entanglements...  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '95', 'm24l', 'Watto the Toydarian is hiring sub-contractors to complete Imperial missions.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '96', 'm24o', 'Wald');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '97', 'm24s', 'TRANSMISSION TRANSLATED FROM HUTTESE\n\nThings don\'t look so grim around Watto\'s shop these days. Surprisingly, his sub-contracting scheme seems to be working, thanks in part to you. Even after paying you your reward, Watto has enough left over to upgrade his inventory and attract new customers. And, because he\'s proven to be so reliable, Watto is gaining quite a reputation with the Imperials. They\'re even starting to buy parts from the junkshop.\n\nAs one of Watto\'s sub-contractors, you\'ve been paid for your services. Please note that, while Watto did deduct his standard commission, I threw in a few credits of my own to thank you for a job well done.\n');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '98', 'm24t', 'The Middleman');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '99', 'm25d', 'The Tatooine Reclamation Society is a coalition that includes Bestine, Mos Espa, and several other major cities on Tatooine that have joined forces with generous Imperial forces to improve life on our desert planet. As part of the Tatooine Reclamation Project, the Tatooine Reclamation Society is planning to construct waystations between the planet\'s primary settlements. Unfortunately, the proposed sites of some planned waystations have already been \"settled\" by native Tatooine creatures. The Tatooine Reclamation Society does not take issue with the creatures themselves, but their lairs could potentially block construction of a waystation. The Tatooine Reclamation Society is broadcasting the coordinates of these problem lairs in the hopes that loyal Tatooine citizens will take it upon themselves to aid the Reclamation Project by destroying these obstacles. A suitable reward will be offered to anyone to helps in our efforts to develop these essential waystations.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '100', 'm25o', 'Tatooine Reclamation Society');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '101', 'm25s', 'The Tatooine Reclamation Society is pleased to report that Phase I of our proposed waystation project is nearly complete! Lairs blocking construction on these proposed waystations have been eliminated. Those citizens directly responsible for the destruction of these lairs have been rewarded and deserve the thanks of the entire planet!\n\nPhase II of the project - the actual construction of the waystations themselves - requires additional funding. We have been promised a substantial grant from the local Imperial prefect, but a recent military mishap near Yavin IV has evidently diverted all Imperial credits for the forseeable future. The Tatooine Reclamation Society is seeking other backers, including the generous Jabba the Hutt. We believe that the waystation project will be back on track within a few seasons! ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '102', 'm25t', 'Reclamation Project');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '103', 'm26d', 'The Illustrious Jabba the Hutt is expecting a visit from several prominent and influential Huttese \"dignitaries,\" arriving shortly from Nal Hutta. The Hospitable Jabba has vowed that his most-respected associates will find Tatooine to their liking. However, the Transcendent Jabba is concerned that the arriving dignitaries will be offended by the number of disgusting vermin running rampant on Tatooine. Such beasts will surely mar any scenic trips to the Great Pit of Carkoon. In order to prepare for the arrival of his revered guests, the Wise Jabba is hiring mercenaries to rid the desert of unsightly vermin. Go and seek out the described lair. Do not fail his Sluggishness! ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '104', 'm26o', 'Bib Fortuna, on behalf of Jabba the Hutt');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '105', 'm26s', 'A most Festive Jabba the Hutt is celebrating your successful elimination of local vermin. He plans to take a tour of the desert soon to observe your handiwork first-hand. As instructed by the Mighty Jabba the Hutt, I have personally transferred a sizable reward to your account. The Entrepreneurial Jabba suggests that you spend your hard-earned credits at any of Mos Eisley\'s respectable businesses, most of which owe their current success to the Hutt\'s incredible influence.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '106', 'm26t', 'Imminent Arrival');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '107', 'm27d', 'Lately, I\'ve been seeing Tusken Raiders around here, hunting some of the smaller, less dangerous creatures in the area. I\'m assuming the Sand People are eating these animals... They say a hungry Tusken is desperate and dangerous, but a Tusken with a full belly becomes strong and brave. And if he\'s not thinking about hunting food, a Tusken has too much to think about maybe hunting us. I need your help to keep these Sand People hungry. Maybe so hungry they decide to look for new hunting grounds. The way I see it, all you need to do is go out and kill some of the creatures that the Tuskens are eating. That should drive them away. I\'ve given you the coordinates for a lair that the Tuskens might have their goggles on. Go destroy it and I\'ll pay you what I can.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '108', 'm27o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '109', 'm27s', 'A job well done, friend. By eliminating that lair, you\'ve hopefully sent the Sand People packing. Let them go hunt out by Jabba\'s Palace or the Great Pit of Carkoon if they\'re hungry.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '110', 'm27t', 'The Hunted');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '111', 'm28d', 'The big-time hunters who spend all their time bagging giant beasts on Lok or Naboo might not think that the animals out here are dangerous, but let me tell you, everything is tougher that it looks out in the desert. If I had a credit for every poor moisture farmer trampled to death by rogue eopies or feral banthas, I\'d be able to buy myself a new landspeeder. And I can\'t tell you how many times we\'ve buried a friend who was chewed up and spat out by squills or womp rats. I don\'t care what off-worlders say, the animals out here are dangerous and we need brave adventurers like you to take care of them before anyone else gets killed. The best way to wipe out these beasts is by destroying their lair. I\'ve done the footwork and found one for you; just go take care of it and you\'ll get paid in real, honest credits.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '112', 'm28o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '113', 'm28s', 'It\'s a hard life out here, but hopefully you\'ve just made things a bit easier for those of us forced to live in the desert. Thanks for killing those creatures before they could kill one of us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '114', 'm28t', 'Minor Threat');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '115', 'm29d', 'The Galactic Pest Authority is responsible for monitoring reports of vermin, pests, and nuisance creatures throughout the galaxy. We have conclusive evidence of a dangerous rise in the number of vermin on Tatooine. In accordance with Galactic Pest Authority\'s mission statement, we are authorizing extermination of these vermin. This transmission includes information about a specific vermin lair; please destroy this lair and keep our galaxy clean!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '116', 'm29o', 'Galactic Pest Authority');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '117', 'm29s', 'Congratulations! You\'ve successfully destroyed one of Tatooine\'s most tenacious vermin lairs. The Galactic Pest Authority has been authorized to provide you with a suitable reward for your efforts on behalf of the galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '118', 'm29t', 'Vermin Control');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '119', 'm30d', 'I need a professional to eliminate some vermin that have been spooking my eopies. I think I\'ve located the source of the trouble. Should be an easy extermination job.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '120', 'm30o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '121', 'm30s', 'Excellent work, my friend. You\'ve chased off the vermin scaring my eopies. They\'ve finally settled down. Life is almost back to normal on this rock.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '122', 'm30t', 'Livestock Spooked');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '123', 'm31d', 'It may surprise you to learn that I was born on Coruscant, right in the heart of the galaxy. I grew up surrounded by constant noise, which just about drove me insane. When I had the chance to relocate to someplace quieter, I took it. Now, I know that Tatooine isn\'t everyone\'s idea of paradise, but it is quiet. Or, at least it was quiet until the local creatures began screeching and bellowing. The problem with living in the desert is that sound carries for kilometers. With those creatures out there making such a racket, I can\'t sleep or concentrate. I think I might be going mad. I need someone to silence them, for good.   ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '124', 'm31o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '125', 'm31s', 'As soon as you destroyed that lair, a calm came over me. The desert seemed awash in beautiful, soothing silence. I don\'t know quite how to thank you, but I hope you\'ll take a few credits for all your hard work on my behalf.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '126', 'm31t', 'Desert Din');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '127', 'm32d', 'We, the Dim-U monks of Tatooine, who worship at the hairy feet of the Mighty Bantha, are seeking defenders of our hirsute idol. While Tatooine should be the domain of the bantha alone, the Horned-One must share the planet with a host of lesser beings. Many of these beasts make life difficult for the Revered Bantha, most divine of all creatures! They badger the Wandering Bantha, or infect Him with disease, or steal His food or water. The coffers of the Dim-U monastery are full, ready to serve the cause of the Enduring Bantha, in whose eyes all Universal Truths are revealed. We only await a champion to step forward and purge the Stalwart Bantha\'s enemies!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '128', 'm32o', 'Dim-U Monks of Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '129', 'm32s', 'The Mighty Bantha, the legendary Horned-One who brings peace and tranquility to all who gaze upon Him, is safe once again! You have served the Enduring Bantha well! The Dim-U monks, loyal servants of the Wandering Bantha, are overjoyed at your success. Our coffers have been opened and you will be rewarded. The Dim-U monastery thanks you on behalf of the Horned-One, whose powerful bellow will roar your name across the desert and throughout the start so that all who worship at His hairy feet will know of your heroic deeds.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '130', 'm32t', 'Bantha Defense');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '131', 'm33d', 'They say that nothing can survive in the desert on Tatooine. Well, that\'s a straight lie. There are creatures hiding under every rock and thorn bush all across the desert. You can\'t take five steps without some hungry, disease-ridden pest lurching out of the underbrush to snap at your toes. I\'m sick of it. I\'m sick of this whole, sandy planet, but most of all, I\'m sick of the vermin. Go out there and kill something for me, make life a little more bearable out here, and I\'ll pay you for your troubles.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '132', 'm33o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '133', 'm33s', 'Good work, friend. You did a great job wiping out those small-brained, ankle-biting vermin. After transferring your reward to your account, though, I realized that I\'m wasting my money. I could spend millions of credits trying to better my life on Tatooine, and the desert is still going to be overrun by nasty creatures. So, I took the rest of my credits and placed a bet on some demolition contest Jabba the Hutt was holding. Threw all my money behind that Jawa warlord, Wittin, and wouldn\'t you know that the little mercenary came through? He trashed the competition, and I won big. With my winnings, I\'ve purchased a ticket out of Mos Eisley for Naboo. I\'m going to live on a peaceful hillside somewhere, far away from Tatooine\'s ankle-biting vermin. Enjoy your reward, but don\'t expect to hear from me again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '134', 'm33t', 'Desert Demolition');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '135', 'm34d', 'If the Force is with us, my little girl is only going to get married once. There aren\'t many good men around these parts - good, hard-working, honest men that can make a living out of moisture farming - but she\'s found one of the best. We don\'t have many credits to put towards the celebration, but I\'m planning to make this a wedding even the Darklighters will remember. The ceremony will take place as the suns set, in the most pristine patch of desert I could find. The only problem with the site is a small vermin lair. I\'d go take care of it myself, but I have a wedding to help plan and pay for. If you could eliminate the lair, I\'d appreciate it. My daughter\'s happiness depends on it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '136', 'm34o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '137', 'm34s', 'Thank you for helping me prepare for my daughter\'s wedding. I plan to take her out to the site in a few days. I know she\'s going to be overjoyed with the scenic view. I\'ve paid a fortune for a wagon full of chuba pies and imported Corellian ale, but there\'s a little left over for you. My daughter\'s smile is worth every credit.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '138', 'm34t', 'Wedding Planner');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '139', 'm35d', 'I\'m young, but I\'m not stupid. I know that it\'s going to be tough to leave Tatooine. I dream of someday joining the Academy, but just dreaming about something doesn\'t make it happen. So I spend every afternoon practicing my piloting skills in a beat-up skyhopper. I need alll those hours in the cockpit just to hone my skills. If I miss even a day, I lose my edge. But lately, my father has been asking me to spend more and more time out in the desert, patrolling the edge of our property looking for vermin that might bust up our moisture vaporators. Or I waste my afternoons repairing the stupid machines after the animals have bent the chilling panels trying to steal our water. So, here\'s my plan: I\'ve saved a few credits and I\'m willing to pay you to do my work for me. While you\'re destroying the nearest lair, I\'ll be racing through Beggar\'s Canyon. Someday, all this practice will pay off and I\'ll be one of the Empire\'s finest pilots.   ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '140', 'm35o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '141', 'm35s', 'Thanks for helping me out. Since you agreed to help out, I\'ve been able to spend even more time practicing in my skyhopper. The investment has been well worth it. In fact, I just snuck over to Bestine and applied to the Academy again. I took a flight test and, if I don\'t say so myself, I flew rings around the training drones. I think this time I finally caught the eye of the Imperial recruiter. I have a feeling I\'m going to be spending the rest of my life shooting down enemies of the Empire!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '142', 'm35t', 'Farmboy Dreams');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_creature_tatooine.stf', '143', 'number_of_entries', '35');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '1', 'm1d', 'Some local thugs have been harassing the decent people of this neighborhood. They loiter around this abandoned shop and get high on glitterstim. We\'re offering a reward to any citizen with the guts to go in there and blast this shop to pieces. That would certainly get the point across, eh? Most of these thugs are bullies and cowards anyway, so we doubt they\'d give you much trouble. Do you accept?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '2', 'm1o', 'A Group of Concerned Citizens');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '3', 'm1s', 'Told you those creeps wouldn\'t put up much of a fight. Bet they don\'t come around here no more. The reward is yours.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '4', 'm1t', 'Run off the thugs');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '5', 'm2d', 'Some local glitterstim pusher and a group of thugs has set up shop in our neighborhood and we want them out. We know where they hang out and need someone to go in there and redecorate the place (preferably with blasters). There\'s a decent reward in it for the brave individual that succeeds in driving those slugs away. Will you be our neighborhood\'s saviour? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '6', 'm2o', 'Citizens for a Clean Tomorrow');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '7', 'm2s', 'That\'s showing those poison-pushers who\'s boss. Good work, citizen. The Empire could use more upstanding folk like you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '8', 'm2t', 'Stop the drug dealers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '9', 'm3d', 'There\'s been an increase in break-ins around here recently. We know who\'s behind it but we can\'t collect enough evidence to get the local authorities to make arrests. It\'s time we took the law into our own hands. We\'re offering a reward to anyone who can run the criminals behind those thefts out of town. Blasting their hideout to atoms ought to get the point across. If you decide to help us out, we\'ll send you the coorindates to this wretched hive of scum and villainy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '10', 'm3o', 'Citizens for a Clean Tomorrow');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '11', 'm3s', 'We sleep easier at night now. Good job, citizen. Hope you decide to work for us again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '12', 'm3t', 'Stop the thieves');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '13', 'm4d', 'A bunch of slimy slugs have moved into the neighborhood and have been harassing our wives and daughters. We\'ve heard of these guys. They were run out of another town after they assaulted a young woman. We feel these predators will repeat that pattern soon, especially since many of our fairer family members work late at the factories. We need some of integrity and of true grit to make sure these criminals don\'t endanger anyone. We know where these creeps have set up shop and are certain they would vacate the premises if their lair were blasted to pieces. Can you help us? There\'s a reward in the offering.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '14', 'm4o', 'Citizens for a Clean Tomorrow');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '15', 'm4s', 'Well struck, citizen! Our womenfolk thank you as do we. Enjoy the reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '16', 'm4t', 'Get rid of slimy predators');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '17', 'm5d', 'A shyster has been cheating some older retired folks out of their life savings. This creep goes around selling bogus cruises on luxury starliners that don\'t exist. Further, this slimeball has hired some local toughs, thinking that their presence will scare away any citizens seeking to get their money back. It\'s time we put a stop to this activity. We\'re offering a reward to the brave and honest individual who blasts this scum\'s headquarters to pieces and makes sure they don\'t plague another town ever again. If you decide that individual is you, let us know and we\'ll send you the coordinates to the creep\'s lair.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '18', 'm5o', 'Citizens for a Clean Tomorrow');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '19', 'm5s', 'Good work! No one has the right to cheat decent folk out of their life savings. You\'ve made sure that point was made, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '20', 'm5t', 'Smash the shyster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '21', 'm6d', 'The same brutish thug has mugged half a dozen decent people in the last month, one of which died last night as a result of the injuries. That person was my father. I\'d prefer to handle this animal on my own terms rather than get the local authorities involved. I\'ll pay a substantial reward to any citizen brave enough to help me get justice for my dead father. Slime like this want us to believe that life in the universe is cheap. Well I\'ve got news for that slug - life is not cheap and the price of a life is a life. I hope you can help my father\'s soul find peace. The coordinates to this predator\'s lair await your acceptance of this mission.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '22', 'm6o', 'An Enraged Daughter');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '23', 'm6s', 'Finally, my father\'s soul can rest. Thank you, citizen. Take the reward, you\'ve earned it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '24', 'm6t', 'Stop the murderous mugger');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '25', 'm7d', 'Have you ever heard of the Vibrodagger Killer? We think we\'ve finally tracked this heinous murderer down. They\'re hiding in a small abandoned settlement near here. We believe there may be other murderers hiding there with the killer. The time for justice is at hand. We need someone to go in there and wipe that place out. Burn it and everyone in it to the ground. Those filthy murderers deserve nothing better. A reward awaits the successful agent of justice. Are you that agent?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '26', 'm7o', 'Citizens for a Clean Tomorrow');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '27', 'm7s', 'That should put an end to these horrible crimes. Assuming it was the actual Vibrodagger Killer in that settlement, that is. You\'ve earned your reward in any case.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '28', 'm7t', 'Stop the Vibrodagger Killer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '29', 'm8d', 'A gang of hooligans has been terrorizing our neighborhood for months now. Their favorite tactic is to hurl homemade firebombs at passing speeders. So far three people have been killed by these attacks. The local authorities are already swamped with work and can\'t devote the time necessary to stop these criminals. We need an independent agent to take up the cause of justice for us. We\'re offering a decent reward to anyone that blasts this gang\'s hangout to pieces. If the gang members get caught in the blast, so much the better. You willing to help clean up our community, citizen?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '30', 'm8o', 'Citizens for a Clean Tomorrow');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '31', 'm8s', 'Looks like you gave those thugs a taste of their own medicine. Good job! Our neighborhoods could use more folks like you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '32', 'm8t', 'Drive out the destructive gang');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '33', 'm9d', 'There\'s a gang of space trash that has decided to set up a protection racket in our area. Many of the local merchants have been forced to pay protection money after one shop was blown to pieces with the shop owner and his family still inside. The gang is paying bribes to the local law enforcement authorities so they ignore these criminal activities. We need someone to pay like with like and blow the gang\'s hideout to atoms. This agent of justice will be rewarded for their time and efforts, of course. The coordinates await your acceptance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '34', 'm9o', 'Citizens for a Clean Tomorrow');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '35', 'm9s', 'We guess the gang forgot to pay their own protection money. Hehehe! Good work, citizen. The money is yours.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '36', 'm9t', 'Stop protection racket thugs');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '37', 'm10d', 'A local glitterstim dealer got my son addicted to that poison and now my boy is rotting in an Imperial prison while the dealer continues to pedal their filth. It\'s time someone put a stop to this criminal\'s activities. I\'m offering a reward to any citizen that goes into that dealer\'s lair and blasts everything in sight. If the dealer and their thug friends are there, blast them too. If you accept, I\'ll transmit the coordinates to the dealer\'s hangout. That nest of silica parasites needs to be cleaned out.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '38', 'm10o', 'An Angry Father');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '39', 'm10s', 'You\'re an effective agent of justice, citizen. You\'ve made the streets safer for our youth. This is one reward I am happy to pay.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '40', 'm10t', 'Stop glitterstim dealer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '41', 'm11d', 'My cousin was taken from me by a vicious gang of cutthroats operating in the area. I want someone to attack their hangout and blast every single one of those murderers to bits. Leave nothing standing. This gang\'s attacks have claimed many lives and shattered many families. Please help me find justice. I will reward you for your time. And our community will thank you for your service. Will you help me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '42', 'm11o', 'A Determined Relative');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '43', 'm11s', 'Well done, citizen. Now that you\'ve killed the gangster that my cousin became, their soul can finally find rest and peace. Ever since my cousin started leading that vicious gang, I knew they were no longer the loving individual I grew up with - that person was truly dead. You\'ve earned this reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '44', 'm11t', 'Stop violent gang');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '45', 'm12d', 'A band of crooks kidnapped my young son several weeks ago and demanded a ransom. Before it could be paid, my dear son, who suffered from a rare form of asthma, died while being held by the kidnappers. The band fled the area but I\'ve managed to track them down. I know they\'ll do this again to some other unlucky parent. Fortunately, I have the means to provide a substantial reward to anyone who can end the careers of these kidnappers and gain justice for my dead son. Will you accept?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '46', 'm12o', 'A Vengeful Mother');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '47', 'm12s', 'You have my eternal gratitude. Now finally my son and I can find peace. Claim your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '48', 'm12t', 'Stamp out the kidnappers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '49', 'm13d', 'Pirates are a plague on interstellar shipping. Those murderous thieves end up costing the Empire millions of credits each year, not to mention the resources necessary to hunt them down or the terrible loss of life their attacks incur. One way we can hit those pirates hard is by cutting their access to safe ports and hideouts. It\'s not easy to hide a spaceship, even the smaller fighters employed by some of these rogues. We know of several suspicious outposts big enough to contain landing bays. We need the help of upstanding citizens to blast these outposts to pieces. We compensate for results not attempts. Do you think you can help keep the star lanes safe?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '50', 'm13o', 'Imperial Office of Criminal Investigations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '51', 'm13s', 'Good work, citizen. Keep at it and we\'ll keep paying you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '52', 'm13t', 'Take out the pirates\' landing bays');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '53', 'm14d', 'If pirates don\'t have working ships, they can\'t practice their despicable trade. We\'ve learned of several small storage facilities in the area that house a wide assortment of spare ship parts. We\'re fairly certain that these are pirate stashes, especially given the shady characters that are often seen guarding these places. Our own personnel are already stretched rather thin but the Empire has granted us additional credits to hire independent agents to help us take care of the pirate problem. We need someone to blast these facilities to atoms. You may encounter some armed resistance, but hey, these are dangerous criminals we\'re dealing with after all. Can you help?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '54', 'm14o', 'Imperial Office of Criminal Investigations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '55', 'm14s', 'Pirate ships floating uselessly in space is an image we like, citizen. Good work in helping us to ground those marauding vessels.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '56', 'm14t', 'Blow up the pirates\' spare parts');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '57', 'm15d', 'Ever wonder where pirates store their ill-gotten goods, citizen? We\'ve discovered a few places and we need them destroyed. Our agents are too busy investigating murders and violent crimes to attend to this matter themselves so we\'ve decided to turn to you - the average upstanding citizen. We\'ll compensate you for every storage facility on our list that you blast to atoms. No questions asked, just go in blasting and take out anyone trying to stand in your way. We\'ll transmit the coordinates to you as soon as you accept.  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '58', 'm15o', 'Imperial Office of Criminal Investigations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '59', 'm15s', 'Job well done, citizen. The money is yours.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '60', 'm15t', 'Blast pirate\'s stash');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '61', 'm16d', 'A group of known pirates have started hanging around an abandoned settlement. That place is beginning to attract all manner of scum. We\'re fairly certain they deal glitterstim spice out of there and no telling what else. Can you imagine what sorts of other criminal activities are going on there even as you read this? We\'ve had enough. We want to hire someone to blast that den of thieves into oblivion. Do you think you can help us keep our communities free of these parasites? We\'ll send along the coordinates to the settlement as soon as we have your confirmation.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '62', 'm16o', 'Citizens for a Clean Tomorrow');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '63', 'm16s', 'That\'s showing them, citizen. Those space slugs will think twice about crossing our path. You\'ve earned your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '64', 'm16t', 'Demolish the pirates\' hangout');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '65', 'm17d', 'Those thieving pirates wouldn\'t be able to operate if it weren\'t for their fences. After all, it\'s not exactly as if those rogues could just traipse down to the local market with all their stolen goods, now is it? Those darn fences are just as culpable as the murderers they deal with as far as we\'re concerned. We\'ve tracked down a few of these \"blood money traders\" and want their operations terminated. Many of these fences are former pirates themselves who either have grown too old to continue their murderous careers or else suffered enough physical damage to force an early retirement. If we provide you with the locations of these fences, will you make sure they pay the price for dealing with these killers? Help us save innocent lives. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '66', 'm17o', 'Citizens for a Clean Tomorrow');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '67', 'm17s', 'If we make piracy unprofitable, perhaps it will end. You\'re certainly doing your part, citizen. Congratulations.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '68', 'm17t', 'Take out the fences');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '69', 'm18d', 'Like all vermin, pirates need holes they can crawl down into when they\'re in danger of being exterminated. We\'ve located some of these safehouses in our area and want these places blasted into oblivion. We\'re offering a decent reward to any citizen who can help us get rid of these vermin-infested places. If you think you\'ve got what it takes, accept this mission and we\'ll send you the coordinates to some of these wretched hovels. Help keep our streets clean!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '70', 'm18o', 'Citizens for a Clean Tomorrow');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '71', 'm18s', 'As an Exterminator for Justice, citizen, you shine like a supernova. Keep up the excellent work and remember that your children will inherit this galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '72', 'm18t', 'Blast pirate\'s hideout');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '73', 'm19d', 'I lost my beautiful wife in a dastardly pirate raid a year ago. Since that time, I\'ve spent every waking moment and my entire fortune tracking down the pirate captain that led that cowardly attack. Now, I\'ve finally managed to track that blackguard down. The time for my dead wife\'s vengeance is at hand. How I wish I could be the actual instrument of that devil\'s demise but alas the attack that robbed me of my wife left me a physical wreck. That\'s why I need someone like you. Help me avenge my dear wife. Her voice cries out from beyond oblivion for justice. If successful, you will walk away with both my gratitude and a handsome reward. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '74', 'm19o', 'A Justice Seeker');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '75', 'm19s', 'My thanks, friend. I can now join my beloved wife wherever she may be. You\'ve helped two wayward souls find each other again. Farewell.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '76', 'm19t', 'Avenge a murder');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '77', 'm20d', 'Oh, a pirate\'s life is a terrible thing. That\'s right, I used to run in those villainous circles myself until the treacherous nature of the scum around me brought me to ruin and almost robbed me of my life. Now, as the tragic and tortured soul that I\'ve become, I seek only one thing - to make things right with the folks whose lives I so callously ruined. And I\'d like to start by bringing my former \"partner\" to justice. Aye, that womp rat is richly deserving of a painful and gruesome death (for all those innocents that were slaughtered by that devil, of course) and I hope to play some part in making sure those wrongs are redressed. I\'d attend to this matter personally, but you see I\'ve taken holy vows never again to shed blood again. But seeing as there are others in the galaxy not burdened by this noble stricture, I\'ve decided to offer a reward to anyone who can help me achieve my quest. I hope that someone is you, friend. Say aye and the coordinates to this putrid pile\'s hideout will be yours. Please, for the sake of the lost little ones, blast away at everything in sight. Bless you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '78', 'm20o', 'A Reformed Soul');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '79', 'm20s', 'Well struck, friend! Did you burn the place to the ground? Were there any of those murderous pirates inside the struture when it went up? Oh how I wish I could have heard the agonized screams of the unjust. Claim your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '80', 'm20t', 'Help avenge a betrayal');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '81', 'm21d', 'There\'s been a sudden increase of pirate activity in this sector. We investigated and discovered a secret refueling depot that those rogues had built to aid them in launching attacks from this system. We\'re in need of a professional problem solver to get rid of this refueling station so those criminals stop visiting our planet. There will be adequate compensation for the being who succeeds. Can you lend a helping hand, citizen?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '82', 'm21o', 'Imperial Office of Criminal Investigations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '83', 'm21s', 'That should discourage those thieving vermin to steer clear of this system. Good work, citizen. Hope you decide to work for us again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '84', 'm21t', 'Take out the pirates\' refueling depot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '85', 'm22d', 'An old starship repair shop was purchased recently by a newcomer. Didn\'t think much of it until we started getting reports of suspicious activity around the shop at odd hours of the night. After an investigation, we discovered that the newcomer is actually a former smuggler whose new career consists of serving as a mechanic to well-known pirates. Tragically, the contact who helped us discover this information paid for it with his life - we found him a few days ago stuffed in a crate of alluvial dampers. These murderers must be stopped and justice must be served. Can you help us put this criminal out of business, citizen?  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '86', 'm22o', 'Imperial Office of Criminal Investigations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '87', 'm22s', 'Good job, citizen. Justice is served today. We hope you decide to work for us again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '88', 'm22t', 'Take out pirates\' repair shop');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '89', 'm23d', 'In the event of his death, my master instructed me to transmit this request via the HoloNet to all available terminals. I am to send a generous amount of credits to the being that can successfully destroy a small landing bay, the coordinates to which I am to transmit upon receiving someone\'s acceptance of this mission. My master was not terribly specific as to why he wished this facility blasted to pieces but I do know that he ran with a rather \"dubious\" crowd. The security at our home is most impressive, which leads me to conclude he had a reason to fear for his life. A shame this security could not travel with him - he might still be alive had this been the case. In any event, if you think you can accomplish this task, distasteful though it might appear, please respond as soon as possible. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '90', 'm23o', 'An Obedient Droid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '91', 'm23s', 'Wonderful! I am now allowed to transmit the full amount of the reward to your account. My master would be so pleased... if he were still here. Oh dear...');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '92', 'm23t', 'Help the faithful droid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '93', 'm24d', 'Pirates and smugglers are all the same - they should all be spaced! Just when I think it\'s safe to trust one of those slug-sucking rogues, they go and break my heart all over again. Well I can break things too, you know. I\'ll offer a reward to anyone that blasts that cheating \'s landing bay (with their precious ship still inside) into oblivion. We\'ll show those brutes they can\'t just walk all over any woman they want. We have feelings and passions, and those can be roused for both good and ill. If you were ever treated this way by someone, I\'m sure you\'ll lend a hand. I\'ll transmit the coordinates to the landing bay as soon as I receive a positive response. Consider this a strike for women all across the galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '94', 'm24o', 'A Woman Scorned');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '95', 'm24s', 'Not only my gratitude but the gratitude of women throughout the galaxy goes with you. Thank you for helping us stand up to these heartbreaking rogues.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '96', 'm24t', 'Help avenge a scorned woman');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '97', 'm25d', 'These darn smugglers think they can stash their ill-gotten goods anywhere they darn please. Well they\'re wrong. A concerned group of citizens is willing to put up a reward to be claimed by anyone willing to blast these stashes to smithereens. These smugglers are cowards in any case, doubt they\'d put up much of a fight. You willing to give it a try, citizen? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '98', 'm25o', 'Citizens for a Clean Tomorrow');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '99', 'm25s', 'The Empire could use more upstanding folk like yourself. Claim your reward, citizen, you\'ve earned it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '100', 'm25t', 'Blast illegal stash');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '101', 'm26d', 'We\'ve found an old abandoned settlement that\'s currently being used by some local smugglers to store their stolen goods. The local authorities don\'t seem to care (they\'re busy chasing \"dangerous Rebels\"), which leaves this dirty work for us citizens. We\'re offering a reward to anyone willing to help get rid of this smugglers\' depot. Don\'t leave a single wall standing, citizen. You up for it?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '102', 'm26o', 'Citizens for a Clean Tomorrow');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '103', 'm26s', 'Now those are results we can appreciate, citizen. Good work! The reward is yours.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '104', 'm26t', 'Remove smuggler\'s depot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '105', 'm27d', 'We\'ve seen shady characters loitering around certain locations, and don\'t think we don\'t know what\'s going on. Smugglers have been known to frequent these parts and we all know what they do. We\'ve pinpointed one of these so called \"warehouses\" and need it blown to atoms, and we\'re willing to offer a reward to the citizen who\'ll take up the challenge. We won\'t stand for this sort of activity in our own backyards. Think you can help, citizen? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '106', 'm27o', 'Citizens for a Clean Tomorrow');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '107', 'm27s', 'That\'s showing those hooligans, citizen. I bet those smugglers won\'t come around here no more. Don\'t spend that reward all in one place.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '108', 'm27t', 'Take out smuggler\'s warehouse');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '109', 'm28d', 'I remember when this neighborhood used to be a decent place for citizens to raise their families. Well a bad element has been moving into our community. Smugglers! They sweep in here with their bluster and charm and think we don\'t see exactly what they\'re up to? I got news for them - we know exactly what they\'re up to! I\'m willing to put up a reward to get a brave citizen to encourage these criminals to get out of town. There\'s a small hideout near here where these smugglers have been meeting. If someone could blast that place to atoms, that\'d send a strong signal to those ne\'er-do-wells. Think you can lend a hand, citizen?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '110', 'm28o', 'A Concerned Citizen');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '111', 'm28s', 'That\'s giving them what for, citizen! Job well done! The reward money is yours, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '112', 'm28t', 'Encourage smugglers to leave');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '113', 'm29d', 'Some smuggler has been hanging about chatting with the neighborhood kids. No doubt they\'re encouraging our young ones to turn to a life of crime. We need a brave and upstanding citizen to help us drive this criminal out of our area. Here are the coordinates to this scoundrel\'s hangout. Several sustained shots from a heavy blaster ought to get the point across. Burn this hangout to ashes and you\'ll drive this womp rat out of its den. A reward awaits the citizen who accomplishes this.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '114', 'm29o', 'Citizens for a Clean Tomorrow');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '115', 'm29s', 'Now our children have a shot at a clean future. Good work, citizen! This reward is but a small token of our esteem.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '116', 'm29t', 'Get rid of the smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '117', 'm30d', 'Why must smugglers always be attracted to areas where decent folk choose to live? I suppose they think they\'re less likely to be caught by the local authorities. Well I\'m going to prove them wrong. I\'m offering a reward to anyone brave enough to blast a local smuggler\'s haunt to atoms. I\'m a family man with young ones dependent on me, otherwise I\'d do the deed myself. Most of these types are cowards anyway and run at the first sign of trouble. Do you think you can help our community out, citizen?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '118', 'm30o', 'An Angry Citizen');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '119', 'm30s', 'See? Bet that coward gave you no troubles. The reward is yours, good citizen. You\'ve earned it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '120', 'm30t', 'Scare the smuggler away');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '121', 'm31d', 'These cheap smugglers think they can swagger into someone\'s life, charm that person with their devilish good looks and winning smile, use that innocent individual to further their own ends, and then dump that poor soul like a sack of bantha fodder when they\'re done. Well I have news for these heartbreakers - this is one poor soul that\'s striking back! I\'m willing to pay a handsome reward to the noble individual who helps defend a woman\'s honor. I know where this cheating smuggler has stashed their latest catch. It\'s worth quite a bit to them, which is why I want it burned to the ground. Can you take up this cause, citizen? Will you be my very own Jedi knight?  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '122', 'm31o', 'A Woman Scorned');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '123', 'm31s', 'Success, my Jedi! That cheating scum will think twice about using another woman again. I\'ll gladly pay my Jedi\'s reward. Can I see your lightsaber first?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '124', 'm31t', 'Avenge the scorned lover');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '125', 'm32d', 'I\'ve tried to reason with my cousin. I\'ve pleaded with them. I\'ve even threatened to go to the authorities. But all of this has yielded no results. They\'re still engaged in smuggling. Now, I must turn to more drastic measures. That\'s the only thing that will save my poor cousin\'s life. I know where they\'re keeping a small shipment of illegal weapons and if someone were to burn this hiding place to the ground, I\'m sure my cousin would realize the grave danger they\'re in and abandon their life of crime. Can you help me with this, citizen? There\'s a reward in it for you. Please try and spare my cousin, however. They\'re the handsome one with the winning smile. I\'d hate to see any harm come to them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '126', 'm32o', 'A Desperate Relative');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '127', 'm32s', 'Hurray! Now I\'m certain my cousin will fly straight. Here\'s your reward. Oh, my cousin did survive? Right?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '128', 'm32t', 'Dissuade a smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '129', 'm33d', 'My \"partner\" has decided to cheat me out of my fair share of a recent haul. Not only did this scoundrel try to turn me in to the authorities, they told our friends that I was trying to sell all of them out. Payback time. I know where my former partner has been hiding out. I\'m willing to pay a fairly generous reward to anyone that takes a blaster to this hideout, hopefully while my partner is still inside. You want to help a wronged, hardworking soul even a score, citizen? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '130', 'm33o', 'A Cheated Partner');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '131', 'm33s', 'You\'re a citizen after my own heart: efficient and ruthless. That reward is already yours.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '132', 'm33t', 'Even up a score');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '133', 'm34d', 'I\'m an even-tempered businessman who made a deal with a respectable transport captain - or so I thought at the time. This captain was to pick up certain valuables from one location and drop them off at another location. Simple, isn\'t it? This sort of business has been conducted without a hitch for hundreds of years. Well this \"captain\" ended up keeping these valuables rather than delivering them to the appointed location - a move which cost me a considerable amount of money. I believe this captain needs a lesson. So much so that I\'m putting up my own money as a reward to make sure this lesson is well taught. I have the coordinates to this captain\'s hangout and am in need of an enterprising individual with a very large blaster to collect this reward. Any comers?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '134', 'm34o', 'A Legitimate Businessman');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '135', 'm34s', 'Bravo, citizen. Well struck. I wish we businessmen has more access to honest, dedicated individuals like yourself. Makes for good business.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '136', 'm34t', 'Teach a lesson');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '137', 'm35d', 'I\'ve been at this damn smuggling business too long. I want out. But I can\'t do it alone. I\'m willing to pay someone to help \"retire\" me from this criminal life. I give the coordinates, you show up blasting away and asking no questions. Leave no evidence behind, no soul alive to talk about it. A simple, clean solution. What do you say? Can you do your part to rid the galaxy of a \"notorious space pirate?\" Cash awaits you if you do. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '138', 'm35o', 'A Tired Old Pirate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '139', 'm35s', 'Good job, citizen. My \"retirement\" is in effect. Now I can turn my attentions to my real passion - professional dejarik player!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '140', 'm35t', 'Help retire an old smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc.stf', '141', 'number_of_entries', '35');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '1', 'm1d', 'You, friend, you will be my absolute best buddy if you take care of this one little thing. I make, you know, intoxicants? Not exactly the totally legal kind? And it\'s been good, it\'s been good, but this kind of business attracts all kinds of the wrong people. And they\'ve been sort of, well, leaning on me, asking for a cut of my profits or they\'ll inform the Empire. It\'s such a hassle. It\'s not my style to lean back, but hey, I have to get these guys off my balance sheet. Or get somebody else to do it. Understand me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '2', 'm1o', 'Corellian Eager to be Your Friend');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '3', 'm1s', 'That is truly good news, friend. I tell you, you are my truest buddy in the world right now. I\'m sure we\'ll be in touch again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '4', 'm1t', 'Get These People Off My Back');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '5', 'm2d', 'One evening I was doing my usual business in downtown Coronet, and I approached a tall woman standing at a bar. I don\'t know what happened to me then, but when she looked at me, I suddenly didn\'t want to sell her death-sticks any more. I wanted to go home and rethink my life. Since then I\'ve been thinking a lot. I\'ve decided I have to stop the sleazebags who pump this poison into our society! I was just the seller, the pusher, but these guys do the actual manufacturing. I know their factory, and I\'ll pay you to wipe it off the face of Corellia!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '6', 'm2o', 'Corellian Rethinking His Life');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '7', 'm2s', 'That\'s really great news. Somehow I think that woman I talked to in the sports bar would be happy. Here\'s your money. Now I have to go rethink my life some more.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '8', 'm2t', 'Wipe Out Corellian Death-Stick Factory');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '9', 'm3d', 'I\'m a producer in Children\'s Programming. The star of our \"Darth Spooky\'s Sinister Dark Side Theater\" afternoon show has been dealing with a longtime glitterstim problem. He says his old suppliers are coming around, trying to tempt him back onto the stuff. We\'d all rather keep this out of the newsfeeds, so rather than go to the police, we\'re seeking a private solution to the criminal problem. If you\'re discreet and can handle a fortified gang installation, contact me for coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '10', 'm3o', 'Corellian Public Broadcasting Executive');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '11', 'm3s', 'What a relief. It\'s hard enough keeping Darth Spooky\'s hood down over his eyes when he\'s shaking with withdrawal. We\'ll keep him on track now. Here\'s your fee.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '12', 'm3t', 'Rescue Glitterstim Addict');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '13', 'm4d', 'I run Corellia\'s leading landspeeder repossession company. Recently yet another gang of goons rammed our main building. This gang used modified Ubrikkian Talon I combat cloud cars -- a nice model, by the way, very good on the resale market. As always, the gangsters rampaged through our offices, shooting people and shouting, \"Repo slimes are lying scum!\" (which, by the way, is an unfair characterization of our work). Now, I understand that passions can run high when a customer\'s vehicle is repossessed, but hiring a gang to enact petty revenge is always out of line. (I also wonder, by the way, how such customers find money to hire a gang when they couldn\'t make their speeder payments!) But I\'ve found that it\'s good practice to eliminate these gangs so they can\'t do this again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '14', 'm4o', 'CEO of Corellian Vehicle Reclamation');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '15', 'm4s', 'You\'ve done a great, great job. And I don\'t say that to just everyone, by the way. Now I have to track down the customer who hired this latest batch of goons.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '16', 'm4t', 'Stop Rampages Through My Office');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '17', 'm5d', 'I run Corellia\'s leading landspeeder repossession company. Now and again I deal with people who, shall we say, don\'t emphasize bureaucratic recordkeeping. If they don\'t happen to fill out tax reports or check the stolen-vehicle registers, that\'s not my business. Recently, as often happens, a certain group of these people took issue with the quality and provenance of the vehicles I sold them, and have made forceful threats against my offices. I have always taken a hard line against troublemakers. I commission self-starting, go-getting representatives to go to these people\'s bases and teach them a hard lesson in honest dealings. Are you up to this assignment?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '18', 'm5o', 'CEO of Corellian Vehicle Reclamation');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '19', 'm5s', 'You\'ve done a great, great job. And I don\'t say that to just everyone, by the way. Gotta get back to work, thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '20', 'm5t', 'Threats Against Repossession Company');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '21', 'm6d', 'Our business is selling fireworks, although the market has been so tough that nobody\'s bought fireworks for, oh, ten or fifteen years. So we buy and sell certain other things, and do a decent business. Recently we delivered certain valuable non-firework commodities in a remote area, and the recipients neglected to pay us. Very firmly neglected, we might add, as evidenced by the charred remains of our collection agents. We fireworkers disapprove of this. We\'re giving our entire fireworks production budget, which we no longer use, to the first individual who can teach these recipients a lesson in honesty. Very firmly teach them, we might add.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '22', 'm6o', 'Corellian Fireworks Transport');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '23', 'm6s', 'A fine job. We could use more people like you in the fireworks business.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '24', 'm6t', 'Help Fireworks Dealer Educate Customer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '25', 'm7d', 'Bop Thrombo the Shaky Droid pulls in a small local audience of a few hundred million viewers, but he\'s been trying to break into the galactic big time. To endear himself to a powerful agent, Bop did some embarrassing things he\'d rather not describe. Too late, he found the \"agent\" was a fake, and incriminating holo recordings fell into the hands, or tentacles, of blackmailers. Bop got steamed, and -- what a spunky droid! -- went after them in their lair. Unfortunately they blew him to bits; we got it all on his built-in surveillance cam. Great footage, but now we really need to recover Bop\'s brain. To do that, we need someone to clear out the gangsters first. Are you willing?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '26', 'm7o', 'Corellian Sector Newsfeed');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '27', 'm7s', 'Great! We\'ll send out a news crew to re-house Bop Thrombo\'s brain and get his personal account of his crimefighting exploit. Clear out before we get there, please.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '28', 'm7t', 'Rescue Brave Bop Thrombo\'s Brain');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '29', 'm8d', 'You haven\'t had real gangster trouble until you\'ve met gangsters in the blasted, brain-draining, spirit-deadening Agrilat Swamp of Corellia. That place is a pit. I know the tourists like the crystalline undergrowth, but that\'s because they don\'t have to pull the shards out of their boots when they\'re running for their life from slavers. I got out. I\'m never going back. But now that I\'ve made some credits buying and selling certain Imperial \"involuntary surplus goods,\" I\'m hiring someone with a good sidearm to mete out some revenge. I don\'t know exactly where those creeps are based now, but if you head into the Agrilat Swamp, be sure you\'ve got good boots.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '30', 'm8o', 'An Agrilat Swamp Refugee');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '31', 'm8s', 'Thanks, friend! That was some fancy demolition. It warmed my heart to see it, and here I thought nothing could warm my heart after all that time in Agrilat Swamp.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '32', 'm8t', 'Catch Gangsters From Agrilat Swamp');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '33', 'm9d', 'Almost home after a Kessel run, we ran into Imperials and crash-landed. Things went rapidly downhill after that. Aside from some creature trouble that forced us to drop our cargo, we also had an internal saboteur. After we got back home, we discovered encrypted communications between our ship\'s engineer and a rival smu-- courier team. We tracked the engineer to a smuggling base outside town, but it\'s too well defended for us. We\'ve gained a certain amount of new funding through insurance. We\'re devoting a portion to anyone willing to teach our engineer and his buddies a lesson in honesty.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '34', 'm9o', 'Corellian Travellers Looking for an Acquaintance');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '35', 'm9s', 'Thank you. There is not much honesty in our line, but you\'ve helped us do our part to increase the overall integrity level of our profession.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '36', 'm9t', 'Help Beat Folks Who Stole Our Cargo');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '37', 'm10d', 'The south side of Bela Vistal is, in my view, the worst part of town. If you go down there, you\'d best be wary of a Dug named Lero Bown, the worst gang leader in the whole city. He\'s a gambler who likes his fancy clothes and waves his gas-gem rings in everyone\'s face. He owns a custom XP-38 landspeeder, and carries a Corellian Arms CR-2 blaster in his pocket and a vibroblade in his vest. One night not long ago, at a sabacc game at a cantina, Lero saw a female Dug named Darplimpa sitting at the bar. Lero grew enamored of her, and his flirtations provoked Darplimpa\'s jealous mate. When the fight went badly for Lero, he fled town, promising revenge. We on the city council wish to pre-empt his violent return. We are covertly hiring well-armed adventurers to strike Lero\'s headquarters and destroy his gang.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '38', 'm10o', 'A Bela Vistal Councillor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '39', 'm10s', 'A fine assault. Lero Bown has certainly learned a lesson about meddling with the betrothed of a jealous Dug. I attach your fee.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '40', 'm10t', 'Bad Gang Leader Attacking Bela Vistal');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '41', 'm11d', 'While shipping cargo offworld, I had a run-in with some pirates. I know you\'ll agree it\'s not productive to get sidetracked by issues of \"who blew up whose starship.\" The point is, these crooks, or their heirs and surviving coworkers, have a serious mad on, and I\'m their target. According to the usual script, I\'m supposed to flee offworld and live my life as a hunted fugitive. What a drag. I have a different idea: You go and blow up their base, and I\'ll pay you well for getting them off my back. Hey, what could go wrong?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '42', 'm11o', 'Corellian Just Trying to Live His Life');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '43', 'm11s', 'That was some fancy action, friend! I hope none of those pirates had friends, or we\'ll be going through this little spat again. Thanks, contact you soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '44', 'm11t', 'Not My Fault Their Stupid Ship Blew Up');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '45', 'm12d', 'Existing tax and tariff structures are hampering Corellia\'s ability to supply interested parties with that vital luxury good, Double Brandy. The way I see it, I provide Double Brandy to folks who wouldn\'t otherwise get it, often at a lower price than official channels permit. In this way I\'m creating happiness and stimulating the economy. A new smuggling gang recently crawled onto the scene, forcefully insisting that my trade routes belong to them. I feel these people have no real interest in Double Brandy as such, and hence don\'t deserve to service my customers. I\'m hiring you to convince them of this, permanently.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '46', 'm12o', 'Dealer in Corellian Double Brandy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '47', 'm12s', 'I raise my glass in a toast to you, my friend. The true champion of Double Brandy will go to great lengths to bring it to customers. Thank you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '48', 'm12t', 'Protect Double Brandy Supply Routes');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '49', 'm13d', 'Masternav, renowned for some of the best astrogation maps in the galaxy, faces a grave threat. Gangsters based in the remote wilderness have fired warning shots at our droidships as they return from survey missions. Extortion attempts followed shortly thereafter, demanding payment to \"protect\" our valuable ships. This company takes a hard line against criminals. In the absence of adequate police involvement, we are commissioning an independent agent to destroy the gangster base and protect (in the honest meaning of the word!) our astrogation ships.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '50', 'm13o', 'Corellian Masternav Incorporation');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '51', 'm13s', 'Masternav thanks you for your good work in protecting our droid surveyors. Astrogation work continues uninterrupted, thanks to you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '52', 'm13t', 'Astrogation Surveyor Ships Attacked');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '53', 'm14d', 'Because millions of native-born Corellian merchants across the galaxy depend on our services, the Guild constantly updates its shipping safety reports. The \"lift-and-land\" survey describes pirate hazards during takeoffs and landing on Corellia and other notable trade worlds along the Corellian Trade Spine. For the latest update, we are tracking reports of unidentified installations seen in remote areas. To participate in our current research cycle, please report to the attached coordinates to engage and destroy any criminals present. Guild hovercams will record the event, and we shall update our guidelines based on our assessment of the threat posed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '54', 'm14o', 'Corellian Merchants\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '55', 'm14s', 'Our hovercams recorded the event, and we are updating our guides accordingly. Thank you for participating in this research cycle.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '56', 'm14t', '\"Lift-and-Land\" Crime Survey');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '57', 'm15d', 'When you employ some untrained rube from offworld to move your goods, you can\'t count on the high standard of smuggling long established by native-born Corellians. The offworld-funded Open Shipping Consortium, which brings in every hayseed Outlier farmboy with a joystick and hires him out as a \"smuggler,\" is now aggressively targeting the local market for Jorallan pearls and opals. The Corellian Discreet Shipping Industry Chamber of Commerce opposes this alien incursion. We have found their rural receiving depot. Because it falls far short of the Chamber\'s rigorous safety standards, we ask you to destroy this menace to public safety.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '58', 'm15o', 'Corellian Discreet Shipping Industry Chamber of Commerce');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '59', 'm15s', 'Your successful demolition of the sub-par Open Shipping depot is good news for our cause of maintaining high standards in the discreet-shipping industry. Your payment is attached.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '60', 'm15t', 'Open Shipping Takeover of Jorallan Gems');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '61', 'm16d', 'You really have to see a beautiful Jorallan pearl or opal to appreciate it. Who wouldn\'t want one? But if you feel like smuggling one onto Corellia, under the high-handed Corellian Discreet Shipping Industry Chamber of Commerce monopoly, you\'ll pay a lot and likely deal with some calcified veteran who\'ll tell you he\'s forgotten more about smuggling than you\'ll ever know. That\'s the trouble! He\'s forgotten it all! In the Open Shipping Consortium we believe in free smuggling for free smugglers. If you agree, help us by wiping out the monopoly CDSICoC Jorallan landing depot at these coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '62', 'm16o', 'Open Shipping Consortium');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '63', 'm16s', 'Yes! Jorallan gemstones for all the people! Another step on the path to free smuggling for all Corellia!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '64', 'm16t', 'Make Corellia Safe For Open Shipping Gems!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '65', 'm17d', 'When you\'re moving something as delicate as Endorian wind-crystals past Imperial Star Destroyers, you need a native Corellian smuggler, not some halfwit offworlder who arrives from the Outer Rim and two heartbeats later gets dumped straight into a freighter cockpit. The discreet-shipping industry demands high standards in the movement of fragile wind-crystals. Yet now the offworld-funded Open Shipping Consortium has opened a new depot in the remote wilderness, far from the experienced eyes of Corellian quality-assurance supervisors. Imagine these priceless crystals shattering in this unsupervised pit. To protect these fragile masterpieces, we implore you to destroy the depot at once.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '66', 'm17o', 'Corellian Discreet Shipping Industry Chamber of Commerce');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '67', 'm17s', 'We congratulate you on your successful demolition of the substandard Open Shipping depot. Together, we will march forward in the cause of maintaining high standards in the discreet-shipping industry. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '68', 'm17t', 'Open Shipping Menace Moves to Wind-crystals');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '69', 'm18d', 'If you want wind-crystals smuggled from Endor to Corellia, who can help you? The hidebound, speciesist Corellian Discreet Shipping Industry Chamber of Commerce monopoly would like to lock you in at their overblown rates. In the Open Shipping Consortium we work for freedom to smuggle by anyone, anywhere, at an affordable price. To break the shackles of the CDSICoC, to land wind-crystals safely so all Corellians of all species can enjoy them, we urge you to destroy the monopoly wind-crystal landing depot that is strangling our illegitimate trade!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '70', 'm18o', 'Open Shipping Consortium');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '71', 'm18s', 'A strike for the people, friend! This marks another step on our inevitable path to victory. Free smuggling for all!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '72', 'm18t', 'Open Shipping Breaks Wind-crystal Monopoly!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '73', 'm19d', 'Because Lowickan firegems can cause reactor explosions when a ship enters hyperspace, the discriminating Corellian smuggler handles them according to safety standards described by the Corellian Discreet Shipping Industry Chamber of Commerce. But if you put some illiterate Outer Rim hick at the controls of a YT-1300 freighter, as the offworld-funded Open Shipping Consortium advocates, disaster may strike. A firegem merchant must now contend not only with Imperial blockades, but also with the likelihood of shoddy Open Shipping handling of extremely delicate merchandise. To lessen our clients\' worried uncertainty, we request that you destroy the new Open Shipping firegem receiving depot.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '74', 'm19o', 'Corellian Discreet Shipping Industry Chamber of Commerce');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '75', 'm19s', 'All substandard Open Shipping Consortium facilities earn the strong disapproval of our organization. With your help, we shall continue to enforce our recognized high standards in the Corellian smuggling industry.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '76', 'm19t', 'Open Shipping Menaces Firegem Trade');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '77', 'm20d', 'Very handy, isn\'t it, that you can\'t get a Lowickan firegem onto Corellia without running afoul of, not only the Empire, but also the monopolistic Corellian Discreet Shipping Industry Chamber of Commerce. It\'s this short-sighted restraint of free trade that makes firegems so sought after. If folks could get them from any Open Shipping Consortium smuggler at a fair price, firegems would lose their cachet. No one would think them special. People would be less concerned about these gems\'s beauty and internal warmth, and more about how the gems can accidentally destroy a hyperdrive. To promote greater public safety awareness, we urge you to strike a blow against CDSICoC lock-in by destroying their firegem receiving depot! Firegems to the people!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '78', 'm20o', 'Open Shipping Consortium');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '79', 'm20s', 'The cause of free smuggling must triumph, thanks to good workers like you. Death to the CDSICoC monopolists!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '80', 'm20t', 'Firegems Strangled by CDSICoC Monopoly!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '81', 'm21d', 'I am, how do you say, documentary holographer from far away -- I look for big break, get to Core Worlds. I am here to Corellia, seek very-big Twi\'lek adventure-man O-i. My crew of the droids, they get very-good holos of O-i, he fight an Imperial garrison, use only holdout blaster and one canister laughing gas. Crew of the droids was send me holos, but oh no! Bad people, how do you say, \"crooks\"?, stole crew of the droids and also hovercams. I have nothing. I want O-i holos! I find crooks with droid track beacon. You go to very-big crook place, kill-kill everybody, get holos! OK?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '82', 'm21o', 'Holographer from Outer Rim Territories');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '83', 'm21s', 'You do kill-kill, but no holos? Oh, very-bad! I need holos! O-i goes from Corellia long ago now. I must start over. I do not pay you, I push the \"no\" button. No, wait -- oh, I push wrong button, you get money anyways! Oh, no. Maybe I go back home, maybe.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '84', 'm21t', 'Please to Help Recover O-i Holos');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '85', 'm22d', '[Translated from Selonian:] I serve the Fertile Prosperity den in a remote area of Corellia. Recently offworlders set up a den near our own. We believe they are not planning an attack, but instead are moving manufactured goods between cities and space for criminal purposes. Their goal is irrelevant to us, but their movements endanger our young. This is unacceptable. The city law agents offer no help. We will give Corellian credits if you destroy the offworlder base. Leave our den unharmed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '86', 'm22o', 'Fertile Prosperity Den, High Leader Sept');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '87', 'm22s', '[Translated from Selonian:] We are grateful for your service to our den. We pay you the credits as we agreed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '88', 'm22t', 'Selonian Den Endangered');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '89', 'm23d', '[Translated from Selonian:] In the Transposed Sunrise den here on Corellia we own one hand-built Selonian coneship. Recently surface-dwellers of unknown den and breeding took our ship in the night without approval. The queen sent me out to track the ship. I followed the [untranslatable] signal and found the ship. Surface-dwellers are dismantling it. City law agents move too slowly. We require quick destruction of the surface-dweller den. We will pay Corellian credits to you for this task.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '90', 'm23o', 'Transposed Sunrise Den, Inaugural Sept');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '91', 'm23s', '[Translated from Selonian:] We are grateful. We are recovering the remains of our ship now. [Ceremonial blessing.] Here are your credits as we agreed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '92', 'm23t', 'Selonian Coneship Stolen');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '93', 'm24d', 'The aging Aqualish gang leader Dovor Dowwn is facing challenges from his underlings. Those tuskers hate showing weakness, you know, but he can\'t pretend much longer; he\'s just getting too long in the tooth. Mindra, one of Dowwn\'s lieutenants has gone renegade, setting up covert smuggling depots. She\'ll use these depots as a power base to seize Dowwn\'s Corellian trade. Dowwn just found out about one of Mindra\'s renegade depots, and after he threw a few tantrums, he ordered it destroyed. Here\'s why I\'m asking your help: I have mining interests near Mindra\'s depot. If the Aqualish lets loose all his firepower, I could take collateral damage. I\'ll pay you to destroy Mindra\'s depot, with minimal damage to the surroundings, before Dowwn gets to it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '94', 'm24o', 'Janqual Mor, Coronet Mining Corporation');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '95', 'm24s', 'Good work. Very neat rubble, with minimal collateral damage. I\'m sending your fee with this note. This situation may arise again, so be ready.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '96', 'm24t', 'Gang War Threatens Mining Interests');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '97', 'm25d', 'For too long has legitimate Corellian commerce suffered the hair-trigger temper of the Aqualish gang leader Dovor Dowwn. His smuggling operation has drained our world\'s coffers of legitimate tax income, leading to a weakened economy and loss of jobs. I beseech all honest adventurers to assail Dowwn\'s many smuggling depots and bring down his corrupt operation! [INTERRUPT] Hi hi, scuse me for slicing Mindra\'s transmission. Emmin Whitehat, thass me, spreader of truth. Mindra Nox was Dowwn\'s lieutenant (she reeeally thinks you don\'t know that???). She wants to take over his smuggling stuff. OK just thot you like to know haha. [END INTERRUPT, TRANSMISSION RESUMES] Though uninvolved myself in this sordid matter, I am moved by a sense of charity to offer a reward for successful assaults. Contact my office for coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '98', 'm25o', 'Mindra Nox, Corellian Entrepreneur');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '99', 'm25s', 'Thank you. I need to ask, was there anything odd about the text of my assignment? I\'ve had slicer troubles. I\'m compiling a list of grievances, and that slicer will eventually answer for all of them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '100', 'm25t', 'Stamp Out Dowwn\'s Operation');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '101', 'm26d', 'Gaah! You\'d think someone, somewhere, one single little individual in this great big galaxy, would show gratitude just once. But no! That ungrateful human Mindra Nox, with her insipid square white teeth in her disgusting rubber-lipped red mouth-opening, has taken all the wisdom I taught her -- all the crew and equipment I assigned her -- and revolted! She\'s setting up her own secret bases, and she thought I wouldn\'t find out. Stupid, beady-eyed, dimwitted human! As it happens, I\'m distracted with other business offworld right now, but don\'t think I can\'t squash her like a bug. For convenience, I\'m willing to pay freelance scum to dispose of Mindra\'s latest pathetic little hovel.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '102', 'm26o', 'Dovor Dowwn, Aqualish Businessbeing');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '103', 'm26s', 'All right, all right, so you destroyed a base. You expect me to slobber all over you in gratitude? Take your money. I\'ll call if I need more help -- not that I will, mind you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '104', 'm26t', 'Traitorous Backstabbing Betrayer ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '105', 'm27d', 'I\'ve had endless trouble with a rogue Corellian slicer who calls himself Emmin Whitehat. He\'s cost me a lot of trouble -- a LOT -- but I\'ve finally located the sleazy little compartment he calls home, and I\'m paying very good money for you to take him out. [INTERRUPT] Thass right, lady, I so scared right here where you find me! Ready & waiting haha! OK love & kiss, Emmin [END INTERRUPT, TRANSMISSION RESUMES] Contact my office for coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '106', 'm27o', 'Mindra Nox, Corellian Entrepreneur');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '107', 'm27s', 'You fool, you destroyed one of my own installations! That verminous Whitehat corrupted my coordinates. And now I see that he\'s deducted your fee from my accounts. Well, he can play his pranks, but I\'m keeping a tab for what he\'s cost me. I don\'t forget.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '108', 'm27t', 'Criminal Slicer Emmin Whitehat');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '109', 'm28d', 'Humans make me sick. First, when I see their perversely smooth faces and the weird, bushy colored filaments covering their scalp, it\'s all I can do to avoid retching in my tusks. Just as bad as their ugliness, though, and their insipid mild nature -- oh, and their obnoxious rubbery lips, those make my gorge rise -- just as bad is their traitorous nature. \"You can\'t trust a human\" -- my creche-mom always said that. I never believed her, because she was a stupid shaak-brain, but I should have! I should have! This human who worked for me, Mindra Nox, has taken my people and equipment and set up her own smugg-- business operation! Treachery! Stop wasting your time reading your stupid datapad and go destroy her!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '110', 'm28o', 'Dovor Dowwn, Aqualish Businessbeing');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '111', 'm28s', 'The unmitigated gall of that stupid human. It makes me want to vomit. I hate them all. Take your money, get away from me.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '112', 'm28t', 'Nox\'s Treachery Knows No Bounds');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '113', 'm29d', '[INTERRUPT] Hi hi, Emmin Whitehat atcha. I a slicer (like you couldn\'t tell???) doin a little spoofy of smuggler and crimelord (she wishes!!!) Mindra Nox. Mindra and I go waaay back, now I move waaay forward to fix her crookiness. Like for instance she kissed off (ugh!) her old boss Dovor Dowwn The Obnoxious Aqualish to set up smuggling places of her own (you didn\'t know that???). So OK here is the deal. I took credits from her accounts (she is gonna shriek!!!) & I pay them to you if you blow up her new base real good haha. Why ask why??? [END INTERRUPT, TRANSMISSION ENDS]');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '114', 'm29o', 'Mindra Nox, Corellian Entrepreneur');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '115', 'm29s', '[INTERRUPT] OK Emmin here not Mindra (but you knew that!!!). You did OK there lots of damage. I saw from hovercam overhead. I give you Mindra\'s money, be sure to tell her where you got it haha!!! [END INTERRUPT, TRANSMISSION ENDS]');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '116', 'm29t', 'Stop Evil Slicer OK (Yeah Right!!!) Haha');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '117', 'm30d', 'A mother doesn\'t like to pry, but when my dear son Hartliss gets himself into trouble, I can\'t help myself. I\'ve just got to stick my nose in. You see, Hartliss is a contract spacer who runs the Spine when he needs money. I always tell him he\'s got to be careful who he travels with. Heavens knows there are hooligans in the galaxy who can turn a good boy into a criminal. Like this last crew he freighted with. A pack of gundarks, that\'s what they are. Tried to tempt my poor little boy with death sticks. Now that Hartliss is offworld on another run, I can finally do something about these immoral rapscallions. I sent a seeker droid to follow them. Found out that every night they gather in a little cantina outside of town. Now I just need some brave spirit to tiptoe down to that awful place and blast those scum-grubs into a billion subatomic particles.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '118', 'm30o', 'A Loving Mother');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '119', 'm30s', 'Now that was really satisfying, wasn\'t it? I told my son Hartliss he should blast the place himself, but he called me a busybody. Do you think I\'m a busybody? I just want what\'s best. My little Hartliss deserves all the love I can provide.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '120', 'm30t', 'Hartliss Needs Some Help');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '121', 'm31d', 'What happened to the peaceful Corellia of our forefathers? It\'s not bad enough that our sector is full of smugglers and Rebels. Now we\'ve got a tide of death sticks and glitterstim pouring into the countryside. Well, some of us in the grasslands refuse to let this corruption take root. We\'ve tagged several illegal spice dens across the surface of the planet, and collected enough credits to pay for their demolition. All we need is a good citizen who possesses the wherewithal to knock down these hives of villainy and make sure none of the dealers come back. Our list of coordinates is long, sadly, but we can shorten it with the help of some stalwart demolitionists.  Interested?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '122', 'm31o', 'Concerned Corellian Citizens');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '123', 'm31s', 'That will teach those spice dealers not to bring their poison where decent Corellians live! We\'ve got plenty more dens on our list, my friend, if and when you\'re ready to work again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '124', 'm31t', 'Demolish Illegal Spice Dens');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '125', 'm32d', 'The Null Racket is the fastest Corvette in the sector. That kind of speed don\'t come without work. A while back I custom ordered an ion impeller from a shipyard in Brak Sector. Too bad on the way to Corellia, it found its way into the hands of a competitor of mine. That\'s just not friendly, is it? I\'m betting a small sum of credits will convince this competitor to reconsider stealing from me. That is, if I use the credits to hire someone to burn his den of two-credit thieves to the ground. I don\'t suppose you\'d be game for the job? Don\'t worry about the impeller. I\'ve got another on the way, with a couple of Trandoshan guards this time. You just do this job well and you\'ll make a name for yourself on Corellia.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '126', 'm32o', 'Captain Sava Matar of the Corvette Null Racket');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '127', 'm32s', 'You do good work. I\'ll keep you in mind if I get another blaster job. Ol\'val.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '128', 'm32t', 'Incinerate Unfriendly Competitor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '129', 'm33d', 'Running the fastest Corvette in the sector ain\'t like baking fringe cake. Competition can be downright savage in the Corellian freight business. You\'ve got to keep your eyes open. Sometimes you\'ve got to crank the turbines on a competitor when they start interfering with your livelihood. That\'s where you come in, friend. If you want to earn a couple of credits today, I need you to put the hurt on a colleague of mine who tried to hand over the Null Racket to Imperial authorities. He doesn\'t know I\'m onto his double-cross, so he shouldn\'t be expecting any trouble. Just to be sure, though, bring your best weapons. Dust the whole place and you\'ll get a cut of my latest haul. Ol\'val, min dul\'skal, ahn guld domina.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '130', 'm33o', 'Captain Sava Matar of the Corvette Null Racket');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '131', 'm33s', 'Where did you come from, friend? You\'re good. I\'m going to remember your name. Ol\'val.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '132', 'm33t', 'Dust a Double-Crosser');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '133', 'm34d', 'Ever seen an ugly fly? Trust me, you don\'t want to. Uglies are rattletrap fighters welded together out of whatever space debris their builders can scavenge. They\'re constructed for firepower, not for endurance, and they\'re used as raiders and duellers. Uglies are a thorn in the side of the CDF. We\'ve got a standing reward for anyone who shuts down one of the shops that put these jalopies together. Let us know if you\'re interested in the job and we can send you the coordinates of a suspected ugly shop. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '134', 'm34o', 'Corellian Defense Force');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '135', 'm34s', 'Good work. The fewer uglies that pester our space lanes, the more attention we can give to real problems in this sector.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '136', 'm34t', 'Uglies Are a Thorn in Our Side');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '137', 'm35d', 'As a Trandoshan, it is my duty to collect jagannath points by hunting dangerous prey. The problem, however, is that I\'m a colossal coward. It\'s only been due to the enormous wealth my father managed to accumulate during the enslavement of the Wookiees that I\'ve been able to bribe my way through every single rite of passage sacred to my people. Unfortunately, a few less-enterprising inhabitants of Dosha have condemned my approach to our traditions. They\'ve tracked me to Corellia and want my head at the end of a thrar\'kor. I need to funnel some of my family\'s wealth into stopping these brutes before they catch me, which can only have unpleasant results. If you blast my enemies to atoms, I\'ll pay you well, and everyone will be happy. Do we have a deal?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '138', 'm35o', 'An Anonymous Trandoshan');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '139', 'm35s', 'Excellent work, except that I sent you to the wrong place. My pursuers were not among the beings you attacked. Never mind, though, I\'m sure they got the message. That\'s the important thing. Take your payment, and may the Scorekeeper record your brave deed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '140', 'm35t', 'Help a Cowardly Trandoshan');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_corellia.stf', '141', 'number_of_entries', '35');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '1', 'm1d', 'Stealing shaaks from a small family barely scraping by -- that\'s just low! Worse than slaving, worse than smuggling, worse than -- well, not worse than blowing up Alderaan, but still pretty bad. We\'re down to our last credits because of these poachers, and now we have to spend those credits hiring you to stop them. Careful -- they\'re well armed and dangerous.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '2', 'm1o', 'Shaak Herder on the Great Grass Plains');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '3', 'm1s', 'Sounds like they already disposed of the stolen shaaks. But with the births coming up, we may be able to replenish our herd fast enough to survive. Thanks for disposing of those despicable lowlifes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '4', 'm1t', 'Shaak Poaching -- Galaxy\'s Worst Offense');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '5', 'm2d', 'Kirkhorn, the third-oldest guarlara stable on Naboo, has an enviable reputation. Envy has now escalated to criminality. Recently, rustlers destroyed our pasture alarm systems and stole Zenith Dancer, a thoroughbred champion. His implanted tracking chip has pinpointed their location. Security forces are occupied elsewhere, so we\'re asking for quick action from an experienced agent. Destroy the rustlers and save Zenith, or this will happen again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '6', 'm2o', 'Kirkhorn Guarlara Stable');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '7', 'm2s', 'Good news! While you were dealing with the rustlers, Zenith escaped and galloped back home. It\'s time to celebrate here at Kirkhorn. Here\'s your fee, and thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '8', 'm2t', 'Guarlara Rustlers Steal Champion');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '9', 'm3d', 'Gangsters have stolen funds earmarked for the upcoming Midseason Euphonial Festival. You may recall that this important event marks the premiere of Sandelratha\'s \"Emperor Symphony.\" To bring in Imperial Security would be politically indelicate, so we prefer to hire an independent agent to track and destroy these gangsters. Contact this office for coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '10', 'm3o', 'The Office of the Music Advisor of Naboo');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '11', 'm3s', 'With evidence from the destroyed camp, we can track the stolen funds. Thank you for your prompt action to protect the Euphonial Festival.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '12', 'm3t', 'Midseason Euphonial Festival In Doubt');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '13', 'm4d', 'The Twi\'lek tellisatura diva Niral Dassacrin has performed the Nicol Bondot gaze-opera \"Singularity Song\" to sellout audiences. But Niral has run afoul of gangsters, who have extorted funds from her by threatening to cut her vocal chords. She belatedly confessed all, and this office is determined to stop the gangsters. We prefer not to contact Imperial security, so as to demonstrate we can protect our own. However, we do require an experienced independent agent. Contact this office for coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '14', 'm4o', 'The Office of the Music Advisor of Naboo');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '15', 'm4s', 'Now future performances of \"Singularity Song\" can go on unimpeded by chicanery. This office thanks you for your timely assistance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '16', 'm4t', 'Protect Naboo\'s Gaze-opera Diva');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '17', 'm5d', 'To improve offworld trade, my office works ceaselessly to develop Naboo\'s freight infrastructure. An interplanetary smuggling gang is diverting specialized materials needed for docking bay construction, then selling them back to the government through various business fronts. Political considerations deter us from assigning this problem to Imperial security. We prefer to contract with independent agents to eliminate the smuggling gang. Contact my office for coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '18', 'm5o', 'The Office of the Chief Architect of Naboo');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '19', 'm5s', 'Thank you for your firm resolution of this smuggling nuisance. My office will gladly offer you further assignments in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '20', 'm5t', 'Naboo Buying Back its Own Equipment');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '21', 'm6d', 'My office is charged with developing Naboo\'s trade infrastructure. The new Interplanetary Customs Depot is now far over budget and behind schedule, due to persistent and omnivorous corruption. Most recently, gangsters have seized vital construction equipment and are holding it for ransom. They failed to disable all tracking devices, however, and so we know where they are. For political reasons we prefer not to involve Imperial Security. Instead, we shall hire an experienced independent agent. Contact this office for coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '22', 'm6o', 'The Office of the Chief Architect of Naboo');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '23', 'm6s', 'Many thanks. The Customs Depot project may yet get back on track. My office looks forward to working with you again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '24', 'm6t', 'Naboo Customs Depot Construction Trouble');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '25', 'm7d', 'My office is proud that Naboo\'s literacy rate approaches 100 percent. This is possible only through determined commitment and a healthy educational budget. This budget, though, attracts criminals as hsuberries attract colo claw fish. A rural school reports that gangsters are systematically stealing droid instructors for resale on the black market. I find this crime particularly offensive, yet Imperial security has assigned it low priority. I wish to stop this at once, and am willing to hire an independent agent to stop these criminals.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '26', 'm7o', 'The Office of the Educational Regent of Naboo');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '27', 'm7s', 'Thank you, thank you, for stopping a particularly foul crime. To steal from a school is to steal from the future. I hope to work with you again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '28', 'm7t', 'Gangsters Stealing Naboo Instructor Droids');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '29', 'm8d', 'The bioengineering program at Theed University has developed some interesting compounds using chemicals produced by native wildlife. Thieves have stolen some of these experimental compounds, presumably for resale on the black market. Unfortunately, these are poisons derived from green glie algae. The containers\' hidden security sensors pinpoint their location. To prevent wide publicity and possible panic, I am privately hiring an independent agent to destroy these thieves and, if possible, the chemicals as well.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '30', 'm8o', 'The Office of the Educational Regent of Naboo');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '31', 'm8s', 'Exceptional work! I have ordered probes sent to the area and haven\'t detected the escape of any compounds. This is a relief, because those poisons could have killed most of Naboo. Thank you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '32', 'm8t', 'Thieves Steal Theed University Poisons');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '33', 'm9d', 'My family\'s famed Highscouter cove of trained twirrls has provided Theed Palace\'s preferred breeding stock for generations. Recently smugglers have made attempts to steal these famous twirrls, no doubt for resale to offworld collectors. We have so far forestalled this theft, and we have also tracked the smugglers to their lair. We have seen evidence of considerable animal cruelty. Imperial security will do nothing for us until an actual theft is committed, so we\'d like to hire an experienced agent to assault and destroy this base. Are you available?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '34', 'm9o', 'Highscouter Twirrl Cove');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '35', 'm9s', 'With those smugglers gone, we feel more comfortable already. Highscouter Cove thanks you. Look in with us next season for more work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '36', 'm9t', 'Animal Theft in Twirrl Training Fields');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '37', 'm10d', 'The Science Office has long sought an industrial base sufficient to build hyperdrives. Currently the Empire provides drives of Nubian manufacture, through a lengthy and bureaucratic process. A pilot project is planned for Naboo\'s moon Rori. Movement of materials to the Rori installation has been hampered by pirates, who infallibly strike our ships shortly after liftoff from Naboo. We suspect a spy in this office. Therefore I am personally contracting with an independent agent, outside normal office procedures, to locate and destroy the pirate base. Contact me for coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '38', 'm10o', 'The Master of Science of Naboo');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '39', 'm10s', 'This is fine news. I shall order new launches for the moonbase hyperdrive project. Thank you, and wish us luck!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '40', 'm10t', 'Hyperdrive Project Threatened by Pirates');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '41', 'm11d', 'Keren Farms Jut Nut Exquisite Select Roast remains the beverage of choice for discerning Theed aristocrats. We use only freshly excreted seeds of the jut nut, meticulously cleaning them after their passage through the peko-peko intestinal tract, which relieves them of toxicity. Keren Farms Jut Nut ESR fetches a premium price in discriminating markets. This has unfortunately made it attractive to thieves, who recently purloined much of this season\'s crop. We have located the thieves through hidden tracking devices, and we now wish to hire an experienced agent to exterminate them like vermin. Serious inquiries only, please.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '42', 'm11o', 'Keren Farms Jut Nut Orchards');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '43', 'm11s', 'Your diligence ensures the safety of this season\'s remaining Keren Farms Jut Nut Exquisite Select Roast crop. A hearty thank-you, and please stop in for a complimentary cup!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '44', 'm11t', 'Naboo\'s Jut Nut Crop Stolen');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '45', 'm12d', 'My office\'s many duties include the construction of communication relays between distant Naboo towns. Because of recent Imperial budget cuts, we lack the funds to protect these remote construction projects. A criminal gang has literally taken over one such outpost, destroying all comm equipment on hand. We find it politically and economically expedient to have the entire installation destroyed, not by Imperial security but by an independent contractor. Contact my office for coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '46', 'm12o', 'The Office of the Chief Architect of Naboo');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '47', 'm12s', 'This is good news in an office that has lately heard too little good news. We thank you for your quick and decisive action against these gangsters.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '48', 'm12t', 'Gangsters Seize Communications Relay');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '49', 'm13d', 'Gangs of millaflower pushers are operating in Naboo\'s schools. In remote bases, the gangs process innocent millaflower blooms into a powerful intoxicant. Then they push the drug on our students. Education of the students has reduced demand, but we are also pursuing a supply strategy. Imperial Security is often in the gangsters\' pay, so we are hiring an independent agent to destroy each base as its location is determined. Contact my office for current coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '50', 'm13o', 'The Office of the Educational Regent of Naboo');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '51', 'm13s', 'Excellent news. Your success provides a highlight for my forthcoming speech to the Advisory Council on the millaflower menace. Thank you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '52', 'm13t', 'Millaflower Problem In Naboo\'s Schools');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '53', 'm14d', 'Who could possibly be offended by Theed University\'s research into interference with droid motivators? This defies reason, yet these innocent researchers have received anonymous death threats, and gangsters recently tried to destroy their lab. They unwittingly alerted probe droids who followed them at a distance, so we know where the gangsters are based. But Imperial security seems curiously apathetic to stopping these thugs. This office is pursuing independent solutions, such as hiring an agent to destroy this base. Contact us for coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '54', 'm14o', 'The Office of the Master of Science of Naboo');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '55', 'm14s', 'We are glad you stopped these thugs, but apparently they have ties to Imperial Security. This is strange and disturbing. We shall probably cancel the research project anyway.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '56', 'm14t', 'Thugs Threaten University Researchers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '57', 'm15d', 'This office is responsible for arranging the famous Heritage Expressionals at the Emperor\'s Retreat outside Theed. These concerts feature a range of antique instruments, the finest and most valuable in this region of the galaxy. Recently gangsters stole several Heritage instruments and, according to the tracking beacons hidden on the items, took them to the following coordinates. We strongly prefer to avoid involving Imperial Security in this matter, for fear of appearing irresponsible in protecting the Emperor\'s property. Instead, we are hiring discreet independent agents to locate and destroy the gangster base, preferably without damaging the priceless Heritage instruments.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '58', 'm15o', 'The Office of the Music Advisor of Naboo');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '59', 'm15s', 'But did you not find the Heritage instruments? Evidently the thieves had already fenced them and moved them offworld. We must locate them by other means.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '60', 'm15t', 'Recover Stolen Heritage Instruments');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '61', 'm16d', 'There is an old legend that one of the statues surrounding the Royal Palace contains hidden treasure. Supposedly a thief placed the valuables there during the statue\'s construction, to dispose of incriminating evidence. The story doesn\'t identify the statue or the valuables, but that hasn\'t stopped treasure-seeking gangsters from attacking random statues across the palace grounds. Surveillance droids have tracked the thugs to their base, but Imperial Security shows no interest in arresting them. To protect a priceless artistic heritage, my office is hiring an independent agent to track and destroy the vandals.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '62', 'm16o', 'The Office of the Chief Architect of Naboo');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '63', 'm16s', 'This is a relief. We are already repairing the statues these thieves damaged. Hidden treasure -- what a silly legend. Thank you for your assistance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '64', 'm16t', 'Vandals Damaging Royal Palace Statuary');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '65', 'm17d', 'Kirkhorn, Naboo\'s third-oldest guarlara stable, produces some of the best guarlara underfur on the market. The underfur of Kirkhorn Assured Bloodlines has been woven into tapestries now on view in Theed\'s best museums and homes. Such is the value of good guarlara underfur that bandits have been stealing this season\'s production. We suspect a rival stable, but lack evidence. However, we have the thieves\' location, thanks to tracking beacons in the fur containers. Rather than bring in security forces and attract undue publicity -- always dangerous in the touchy underfur market -- we\'d prefer to hire a discreet adventurer able to track and destroy these thieves. Are you willing?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '66', 'm17o', 'Kirkhorn Guarlara Stable');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '67', 'm17s', 'I thank you for your assistance. Here is your payment. This will teach rival stables that Kirkhorn stands by its underfur!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '68', 'm17t', 'Kirkhorn Guarlara Underfur Stolen!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '69', 'm18d', 'It is no secret that Theed University boasts some of the most talented droid programmers in this part of the galaxy. What is secret is the recent disappearance of one of the university\'s leading programmers. Kidnapping? Willful departure for richer climes? We have one clue: surveillance recordings that show known gangsters accompanying the scientist off campus. Probe droids tracked the group to a rural base. We believe that alerting Imperial Security to this event would only bring unwanted criticism of our security procedures. Therefore, we are quietly hiring an independent agent to eliminate the gangsters and, if possible, determine the fate of our programmer.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '70', 'm18o', 'The Office of the Master of Science of Naboo');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '71', 'm18s', 'The researcher returned safely. Apparently it was a kidnapping, but your timely intervention allowed our colleague to escape. Thank you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '72', 'm18t', 'Theed Droid Programmer Vanishes');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '73', 'm19d', 'The Naboo Wastelands have long constituted a kind of safe haven for pirates and smugglers. Certain bands of these outlaws are known to have thrived for as long as several decades. Due perhaps to their longevity, they have now grown so bold as to move their operations out of the wasteland and closer to settled regions. Our satellites have identified several unauthorized installations where we believe these criminals are engaged in illegal pursuits. As our manpower is presently occupied with unforeseen Imperial obligations, we have opted to contract private operatives to investigate these trouble spots. Agents in our employ will be authorized to use extreme force in dispatching any lawbreakers they find. Qualified citizen operatives may contact the Royal Security Forces to be deputized for specific cases. Financial compensation is available.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '74', 'm19o', 'The Royal Security Forces');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '75', 'm19s', 'You have a knack for this sort of work. Please contact us again when you have time for another mission.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '76', 'm19t', 'Outlaws Encroaching on Settlements');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '77', 'm20d', 'After a massive investigative effort, we have finally cracked the ring of data slicers that invaded the computer systems of the Theed Generator. These criminals have dispersed their operation over a series of transmission centers that combine to form a powerful slicing grid. We are coordinating a joint police-civilian effort to strike these transmission centers and shut down their destructive operation. Naboo civilians who can aid in this effort are encouraged to contact the RSF as soon as possible. Offworlders may also participate. Financial compensation will be scaled in accordance with the contribution of each civilian.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '78', 'm20o', 'The Royal Security Forces');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '79', 'm20s', 'The operation was a success! Those slicers have almost brought down the Theed Generator on several occasions, but they will not do so again. Thank you for your contribution to the effort.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '80', 'm20t', 'Shut Down Data Slicer Network');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '81', 'm21d', 'Valstaff Courts is the fourth-oldest guarlara stable on Naboo. We breed only the purest bloodlines for the finest Naboo families. Our grounds are legendary for their beauty and luxury, a place where young Naboo ladies may cleave the winds astride elegant guarlara thoroughbreds. But we have noted the intrusion of many unwelcome individuals of dubious character and social standing. These persons frequent our riding grounds and proffer immodest solicitations to our clients. They have proven difficult for our security staff to control. We are therefore offering to professional adventurers and soldiers-of-fortune a reward for the successful extirpation of the trespassers\' premises and all sapient beings therein. Qualified applicants may contact our Sapient Resources department for coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '82', 'm21o', 'Valstaff Courts Guarlara Farm');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '83', 'm21s', 'Valstaff Courts is proud to assure the highest degree of security to our distinguished Naboo clientele. Your aptitude with killing and mayhem offers a vital tool in our mission of unparallelled refinement and elegance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '84', 'm21t', 'Expunge Untoward Visitors');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '85', 'm22d', 'In the court of Naboo one must be vigilant against the corrupting influences of the spacer community. The daughter of an esteemed colleague of the court has fallen victim to the affections of a star pilot of uncertain reputation, one Thanus March. In deference to the child\'s social standing, I feel obliged to handle this unfortunate circumstance discreetly. March is known to carouse at an old power station converted into a hive of offworlder decadence. I require one or more freelance operatives to deliver a clear message that this man has no place in the proud halls of Naboo. In short, I want the place taken apart. Meet any resistance with extreme force. If March does not survive the assault, I for one shall shed no tears. I shall pay you handsomely, but most of all, realize that you will be saving the reputation of an innocent lady.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '86', 'm22o', 'Lord Zymanna of Theed');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '87', 'm22s', 'Excellent. A Zabrak informant of mine tells me that the spacer Thanus March escaped with few injuries, but your work against his cohorts was very impressive. While you are on Naboo, you are welcome in my employ.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '88', 'm22t', 'Protect Reputation of Innocent Naboo Lady');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '89', 'm23d', 'Good day. I am TC-20, a protocol droid presently residing in the city of Theed. My mistress is a highborn Naboo lady who must remain anonymous. Her Ladyship has instructed me to hire an experienced warrior to aid her in her dreadful need. The captain of a star freighter, one Thanus March, has been abducted by a brutal gang of ruffians. A trusted friend in the court has provided the coordinates where he is being held. My mistress assures me that this space captain does not deserve this uncivilized treatment, and has given me a generous sum to pay for his rescue. The plan is to attack the ruffians from the outside while an agent within frees Captain March. I hope it is not too late to save him from a terrible fate!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '90', 'm23o', 'TC-20, Protocol Droid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '91', 'm23s', 'Oh, dear! I have awful news! While you performed the job for which you were hired, my mistress herself was kidnapped! It seems the crime was committed by associates of the very ruffians you attacked. My poor, poor mistress. Here, take the credits which Her Ladyship allotted for your services. How could this happen in the peaceful halls of Theed? What have I done to deserve this? Oh, dear!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '92', 'm23t', 'My Mistress Requires Experienced Warrior');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '93', 'm24d', 'Even on a supposedly quiet planet like Naboo, the rules of the jungle apply. If someone hits you, you hit them back hard. Me and a couple of other spacers were attacked by a band of hired guns, sending me a message to keep away from a certain Naboo lady. I\'m pretty sure the message came from her rich father. Well, I\'m going to send back an answer. I\'ve figured out where the thugs who hit us spend most of their time. I\'m putting together a freelance team to smash the place to dust. I need fighters who are hungry and battle-hardened. Let\'s show these Naboo bluebloods how we do it in the Core Worlds.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '94', 'm24o', 'Thanus March, Freelance Spacer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '95', 'm24s', 'Nice work, kid. Those hired guns won\'t bother anyone again. I questioned a Zabrak who was trying to escape and he confirmed what I already knew: It was the father of my Naboo lady who paid them to kill me. I guess I don\'t die that easy. Lucky for me. Unlucky for my lady\'s highbrow father.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '96', 'm24t', 'Assembling Freelance Strike Team');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '97', 'm25d', 'It\'s outrageous! My teenage daughter, Dantre, tells me that her friend from offworld, a space captain named Thanus March, is being harrassed by a local gang of criminals. To my horror I learned that, because the victim in question is not from Naboo, Imperial policies prevent the Royal Security Force from acting in this matter. My daughter has implored me to do something. I am seeking a reputable freelance security agent to confront this gang of criminals and warn them against further harrassment of my daughter\'s friend. It is possible that these scum will react with violence. If so, I want an equally forceful response. We must not tolerate these villains on our planet. While the Empire might turn a blind eye to criminal degeneracy, some of us Naboo still have our pride.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '98', 'm25o', 'Lord Chelm of Theed');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '99', 'm25s', 'I\'m proud that Naboo and offworlders alike are willing to take a stand against heartless criminals. My daughter, Dantre, is most happy with your results. Well done.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '100', 'm25t', 'Do Not Tolerate Criminal Degeneracy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '101', 'm26d', 'Since the New Order has brought security to the galaxy, the Naboo court is obliged to deal not only with the planetary bureaucracy but also with Imperial dignitaries. In such cases we sometimes perform discreet operations on their behalf. I currently find myself in such a position. In exchange for Imperial suppression of a certain police action against offworlders on Naboo, I am arranging the elimination of a den of suspected Rebels. I shall hire freelance operatives, for whom no bureaucratic approval is required. If you are capable of executing a potentially dangerous combat action, please contact my office. I expect you to be discreet; in these delicate times, subtlety is the road to success.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '102', 'm26o', 'Lord Zymanna of Theed');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '103', 'm26s', 'Excellent. My informants have verified that you handled the suspected Rebels most expeditiously. Remain discreet about this action and you shall do well on Naboo.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '104', 'm26t', 'Perform Discreet Combat Operation');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '105', 'm27d', 'They\'ve got this festival in Theed where the Naboo lords give expensive gifts to their ladies. I\'ve met a young lady of the court who I mean to give a gift. I know, a Corellian like me has a mynock\'s chance of impressing some rich Naboo, but that\'s never stopped me before. I\'ve even found the perfect present. My problem is, the smuggler who\'s holding it for me cranked up the price we agreed on. He figures I\'ve got \"rich connections.\" He\'s wrong. My connections don\'t have money, they\'ve got blasters. I want someone who\'s eager for a fight to soften up this smuggler. That way he\'ll remember the original price when I visit. The Theed festival is coming up soon, so we can\'t wait around on this. Tell me you\'re interested and I\'ll give you the guy\'s coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '106', 'm27o', 'Thanus March, Freelance Spacer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '107', 'm27s', 'I said soften the guy up, not incinerate him! That\'s what I get for not being specific. You did good work, but I\'m in a bind. I\'ll never find that gift now. Well, if all I can give my Naboo lady is a kiss and a millaflower, I guess that\'ll have to do.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '108', 'm27t', 'Soften Up Impolite Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '109', 'm28d', 'My dearest friend is a young but seasoned star pilot. Though he\'s changed his ways, he once traveled with a rough crowd. A few of his old associates have come to Naboo seeking revenge for some past insult. They don\'t realize that he\'s offworld right now, avoiding the painful scrutiny of my father\'s security chief. My friend fears that, in his absence, these old associates might turn their attention to me. He advised me to hire a freelance investigator to hunt down and eliminate these dangerous spacers. I\'m not certain that this action is legal, but my father is already skeptical of my friend\'s reputation, and if he finds out I may be in danger I shall never see Captain March again. Can anyone out there help me? I want this awful business to be over with before Thanus returns.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '110', 'm28o', 'A Young Lady of Theed');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '111', 'm28s', 'Is it over? Did you take care of Captain March\'s problem? Please, I don\'t want details. Just take your payment and go. Oh, and thank you so much.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '112', 'm28t', 'Please Help in Delicate Matter');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '113', 'm29d', 'Because the Emperor\'s Retreat brings much additional traffic to Naboo, we have prioritized the security of planetside settlements. To this end we have purchased a shipment of taser staves for crowd control. Somehow a gang of thieves captured these weapons before we could take possession. We must retrieve these staves without delay. Our intelligence agents have compiled a list of possible hideouts where the culprits might be storing their loot. We are contracting independent agents to investigate these sites and engage the thieves if they are found. Payment will be commensurate with the level of success.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '114', 'm29o', 'The Royal Security Forces');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '115', 'm29s', 'Good job. We recovered all the taser staves. Those weapons can wreak all kinds of havoc in the hands of outlaws.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '116', 'm29t', 'Bring Down Gang of Thieves');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '117', 'm30d', 'The Tech Raiders are an old and notorious band of smugglers. For many years they avoided the star lanes of Naboo, but our sources inform us that they are back. Given the Imperial presence that now graces our planet, it is prudent that we stop this criminal activity before it draws a decisive response from the Empire. Therefore we are contracting private agents in a coordinated assault on several different smuggling depots. Qualified parties may contact the RSF for the coordinates of the nearest suspected Tech Raider site.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '118', 'm30o', 'The Royal Security Forces');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '119', 'm30s', 'Good work. With luck we will have seen the last of the Tech Raiders in this system.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '120', 'm30t', 'Tech Raiders Smuggling Ring');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '121', 'm31d', 'You would think that the Naboo System, location of the Emperor\'s Retreat, would be safe from the ravages of space piracy. But against all odds, a squadron of reckless cutthroats has taken up residence on our very planet. The Imperial Navy is anxious to bring down these pirates. The Royal Space Fighter Corps would very much like to catch them first. We have located a secret hangar that we believe houses many of their ships. We are hiring civilians to attack this hangar and force the pirates to take off, where we shall be waiting for them. With skill and good fortune we may both vanquish this threat to our star lanes and demonstrate that the Royal Space Fighter Corps is capable of handling threats that elude the Imperial Navy. Interested parties may contact us for the coordinates of the suspected pirate hangar.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '122', 'm31o', 'The Royal Space Fighter Corps');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '123', 'm31s', 'Terrific work! The operation was a complete success. The pirates fled through a hidden launch tunnel, and we picked them off in orbit. The Imperial Navy will chafe at this news. You did very well.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '124', 'm31t', 'Hit Suspected Pirate Hangar');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '125', 'm32d', 'Thieves have no limits to their petty greed. Even our garbage is not safe from these parasites. Naboo operates a planetwide system of robo-flatbeds that transport municipal garbage to various reprocessing sites. These hover-trains have become the target of robbers, who sort through the refuse to find any salvage and leave the rest strewn across our fair planet. We believe we have located the hideouts of many of these salvage gangs. All we need are lawful-minded civilians to put them out of commission. Full pardons are ready for any violence that may result from these action. Contact our office for the coordinates of a target near you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '126', 'm32o', 'The Royal Security Forces');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '127', 'm32s', 'Good work. Those thieves deserved what they got. If our garbage is not even safe, how can we assure the security of our people\'s homes and properties?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '128', 'm32t', 'Shut Down Salvage Gang');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '129', 'm33d', 'In order to preserve the natural beauty of our planet, Naboo carefully restricts all deforestation campaigns. Some renegade harvesters have flouted these policies and wilfully ignored all requests to cease their unlawful cutting. We must put a stop to their crimes. We are contracting private operatives to visit these outlaws\' barracks and put them out of business. If you can complete such an assignment, contact our office for coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '130', 'm33o', 'The Royal Security Forces');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '131', 'm33s', 'Nice job. Maybe now these outlaws will take seriously their responsibilities for preserving the natural state of Naboo.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '132', 'm33t', 'Renegade Harvesters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '133', 'm34d', 'Some of desan topsiders have been comen into Lake Paonga and braken de laws of de Gungans. Desa diven into da deep Core and poachen dangerous fishes like de Opee and de Colo Claw. Wesa must putten a stop to dis, so wesa now hiren topsiders to knock down desan fishing shacks. Desa well-armed so do not thinken desa going to fall easy. Da Bosses going to pay yousa well enough for de work, though.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '134', 'm34o', 'Sergeant Degoolsby of Otoh Gunga');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '135', 'm34s', 'Yousa done very well, for a topsider. Wesa given you da reward now. Great thanks to yousa.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '136', 'm34t', 'Desan Topsider Poachers Got to Go');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '137', 'm35d', 'It\'s dreadful business, but I have been informed that a certain collection of unsavory spacers has begun disparaging me to potential employees of my shipping concern. As I must protect my reputation, I have no choice but to hire a responsible agent to stop their slanderous activities. The situation may turn ugly, but I must not yield. Please act quickly and let\'s get this over with.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '138', 'm35o', 'Master Bottoblast of Theed');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '139', 'm35s', 'Splendid. That will silence those slanderous dogs. You have earned your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '140', 'm35t', 'End Slanderous Activities');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_naboo.stf', '141', 'number_of_entries', '35');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '1', 'm1d', 'Ever heard of lesai, citizen? It\'s a highly addictive drug and it\'s being stored in an abandoned settlement near here. Please help me make sure this drug won\'t make its way to decent neighborhoods.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '2', 'm1o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '3', 'm1s', 'Now those are results I can live with, citizen. Good work!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '4', 'm1t', 'Destroy Addictive Drug');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '5', 'm2d', 'There\'s only one language criminals understand clearly -- the searing sounds of blaster fire! A group of violent thugs have been harassing decent folk and need to be driven off. If you can help do that, I\'ll reward you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '6', 'm2o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '7', 'm2s', 'Good job, citizen. You\'re a true hero. Your promised pay has been deposited.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '8', 'm2t', 'Drive Off Vicious Thugs');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '9', 'm3d', 'Due to the Empire\'s higher recruitment standards, many of the thugs who would have ended up serving in planetary security forces are turning to crime instead. Could you help get rid of some of these troublemakers? I\'d make it worth your while. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '10', 'm3o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '11', 'm3s', 'Thanks you, citizen. I\'d normally suggest you join the military, but I think you could do more good as an independent agent. Get richer that way too.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '12', 'm3t', 'Discipline Slackers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '13', 'm4d', 'I\'m sick of putting up with criminals and their vile antics. I\'ve gathered some credits to hire a skilled troubleshooter to get rid of these swoop gangs and spice dealers. Would you be interested in trying for that money, citizen?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '14', 'm4o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '15', 'm4s', 'Now that\'s how you deal with that Sithspawn! You\'ve definitely earned the reward. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '16', 'm4t', 'Citizens Fight Back');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '17', 'm5d', 'Hey, buddy, you care about keeping the streets clean, right? I hear there\'s some lowlife peddling inferior grade glitterstim spice. Can you believe this worm\'s nerve? Sure could use someone like you to run this bum out of business. You ready to earn some credits? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '18', 'm5o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '19', 'm5s', 'Good job. No one deals spice in my neighborhood without my say-so. And don\'t even think about pushing that inferior grade sludge. Your money\'s been sent, pal. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '20', 'm5t', 'Run Competition Out');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '21', 'm6d', 'A local band of gunrunners has stolen a shipment of deadly disrupter weapons. This band is like no other, however, for they are led by an amazingly canny mouse droid. Yes, you heard correctly! If you were to stop these rogues and end this mechanical menace\'s career, you\'d become a legend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '22', 'm6o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '23', 'm6s', 'Did you see the mouse droid? Hmm, the clever fiend probably had an escape plan. All masterminds do. Do you know how I know that? Because I\'m the Emperor! Mwahahaha! Anyway, this money is for your troubles.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '24', 'm6t', 'Stop Terrible Galatic Menace');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '25', 'm7d', 'All these jerks strutting around here think bravery resides in a blaster. But when push comes to shove, they turn tail and run. Are you one of those, or can you really stand up to the thugs menacing this area?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '26', 'm7o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '27', 'm7s', 'I had a sense about you, citizen. True courage should always be rewarded. Your money\'s been deposited.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '28', 'm7t', 'True Grit');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '29', 'm8d', 'You gotta help me, citizen! I testified against a swoop gang and got their leader sent to a labor camp on Berea. Now his followers have sworn vengeance and intend to burn my settlement to the ground. I\'ll pay you to get rid of these brutes. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '30', 'm8o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '31', 'm8s', 'Your heroics will be an example to others, citizen! I think more folks will stand up to these animals now. Go spend your just reward!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '32', 'm8t', 'Witness Needs Protection');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '33', 'm9d', 'I\'m trying to go straight, honest. I walked away from these spice smugglers, but now they claim I know too much about their operation and need to be silenced. Can you help protect me and my family? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '34', 'm9o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '35', 'm9s', 'Many thanks, friend! My family and I can now get on with our lives. The addition to your account should demonstrate my gratitude.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '36', 'm9t', 'Save Reformed Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '37', 'm10d', 'I should know better than to get drunk at the cantina with my friends. We all got to boasting, as we always do, and I claimed I\'d run the local swoop gang out of town by week\'s end. The swoopers got wind of it and now intend to murder me. If you help me get rid of them, I\'ll pay you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '38', 'm10o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '39', 'm10s', 'Well done, citizen! Your well-earned pay has been sent. If you ever get the fancy to knock back some cold ones with us, look us up at the cantina.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '40', 'm10t', 'Make Good a Drunk\'s Boast');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '41', 'm11d', 'This community is being terrorized by a mindless gang of cutthroats whose only means of communication is wanton violence and destruction. If you put a stop to their vile activities, I\'ll pay you a handsome reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '42', 'm11o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '43', 'm11s', 'You\'re a hero to the people, friend. Accept this reward and my unending gratitude. You should do this for a living.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '44', 'm11t', 'Be a Hero');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '45', 'm12d', 'A few young women have disappeared recently, and I suspect slavers. Those rogues have a base near here, from which I\'m certain they\'re shipping these girls offworld. Can you put a stop to this despicable activity?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '46', 'm12o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '47', 'm12s', 'It\'s good to know there are still heroes like you left in the galaxy. Please accept this payment as a token of my appreciation.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '48', 'm12t', 'Slavers Are Scum');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '49', 'm13d', 'Bullying helpless citizens requires very little courage, so I\'m not sure why these thugs are so proud. You want to impress people? Then go after the thugs and drive them out of this area. That takes true courage!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '50', 'm13o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '51', 'm13s', 'Citizen, you showed those bullies the true meaning of courage. Please accept this reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '52', 'm13t', 'Teach Bullies a Lesson');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '53', 'm14d', 'It was an accident that I killed one of those thugs. I had to do something, they were killing my pet! But now they\'re coming after me. You have to go there and stop them!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '54', 'm14o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '55', 'm14s', 'When a thug is killing my pet, I just get so steamed! Thank you so much for rescuing me. Please, enjoy this money!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '56', 'm14t', 'Defend Pet Owner');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '57', 'm15d', 'I wrote a play lampooning local crooked politicians. Turns out one didn\'t have a sense of humor, and he\'s hired thugs to burn down my house. But if you go to their hangout and stop them first, I\'ll pay you well.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '58', 'm15o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '59', 'm15s', 'That\'s a relief. I\'m going to write another play about this intimidation attempt, and you\'ll be in it. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '60', 'm15t', 'Save a Playwright');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '61', 'm16d', 'Those pirates are planning to take out an Alliance smuggling ship! I overheard them at the cantina. I can\'t go to the Imperials, and I don\'t know how to reach the Alliance, so I\'ll pay you to stop those pirates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '62', 'm16o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '63', 'm16s', 'Well done! I expect the Alliance ship got through all right. It\'s a shame they have to rely on smugglers, but the Empire controls the space lanes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '64', 'm16t', 'Help the Alliance');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '65', 'm17d', 'My little child is crying in her creche because a local gang has stolen this community\'s entire supply of infant formula. Now that\'s low! We\'ve all raised money to hire some goon like you to stop those other goons!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '66', 'm17o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '67', 'm17s', 'Sorry I called you a goon. I was feeling tense. Thanks for freeing up the supply of infant formula. It\'s the only kind my species can tolerate, you know.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '68', 'm17t', 'Help Starving Children');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '69', 'm18d', 'I broke up badly with an old flame, and my former sweetheart enlisted a bunch of lowlife thugs to harrass me. It\'s been torture! I can\'t reach my former love, so for now I want to hire you to stop the gang.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '70', 'm18o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '71', 'm18s', 'Since I hired you, I found my old flame, and we\'ve patched things up. A little. Anyway, thanks for stopping that gang.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '72', 'm18t', 'A Bad Breakup');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '73', 'm19d', 'With my life\'s savings I bought a beautiful Corellian Jumpmaster 5000 starship. In orbit, pirates attacked me, and I had to get out in the escape pod. But I\'ve tracked the pirates, and now I\'m hiring you to go in and destroy them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '74', 'm19o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '75', 'm19s', 'Great! I sure showed those pirates -- or, I mean, you did! Enjor your reward. It\'s all I have left, but now I can recover my ship and start over.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '76', 'm19t', 'Avenge Starship Captain');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '77', 'm20d', 'I had no idea one gang could stink up the air so much. No one can even sleep, it\'s so bad. All the folks who miss clean air have put together some money to hire someone like you to clean out that gang. Will you do it?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '78', 'm20o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '79', 'm20s', 'What in the galaxy were they doing, to create such a stench? Whatever it was, it was illegal, and you\'ve put a stop to it. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '80', 'm20t', 'Stop Stinky Thugs');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '81', 'm21d', 'A gang of thieves has been stealing ordinary GNK power droids all over this community. Nobody knows why; power droids aren\'t particularly valuable. But we\'ve traced the thieves, and we\'ve raised funds to hire a thu-- I mean, an adventurer or two to face them down in their lair. Go for it!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '82', 'm21o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '83', 'm21s', 'Thank you. Right now we\'re trying to figure out why the thieves wanted all those gonk droids. Apparently they would steal them, then turn them loose. Senseless.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '84', 'm21t', 'Solve Gonk Droid Mystery');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '85', 'm22d', 'I\'m in a bind. A friend of mine tangled with the wrong crowd and now they\'re holding him captive in their thieves\' den. If I call the authorities, those filthy gundarks will see trouble coming from a long way off. Someone needs to hit the place secretly and rescue my friend. I\'m sure he\'ll compensate you well.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '86', 'm22o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '87', 'm22s', 'Terrific! My friend escaped just after you arrived at the thieves\' den. He transmitted these credits to my account, and I forwarded them to you. Good job.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '88', 'm22t', 'Save Kidnapped Friend');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '89', 'm23d', 'May I have a word with you? I can\'t name names, but a certain politician would like to put a stop to a plot by another politician. Parliamentary procedure being what it is, this dispute is best handled outside the halls of government. I must hire someone to blow up the criminals who are perpetrating this scheme. If you want the job, it\'s yours.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '90', 'm23o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '91', 'm23s', 'The politician who employs me will be delighted to hear that the esteemed colleague\'s plot has been foiled. Interplanetary politics can be very satisfying, don\'t you think?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '92', 'm23t', 'Political Intrigue');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '93', 'm24d', 'Please help me! I found out a local swoop gang has put a price on my head! What did I ever do to them? My only hope is for someone to wipe this gang off the face of the planet, so the bounty will become invalid. Surely a rough-and-ready spacer like you can help a desperate, wronged citizen in my time of need?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '94', 'm24o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '95', 'm24s', 'Your fee has been deposited. That will teach the other swoopers around here not to tangle with innocent, harmless citizens like me. Unfortunately they\'re not a bright bunch.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '96', 'm24t', 'Slap Naughty Swoopers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '97', 'm25d', 'Do you smell that? It\'s waste gasses from a little ore refinery not far from here. A bunch of roughnecks built it to sidestep guild fees. Well, those of us who live around here don\'t plan to let them poison our air. We\'re willing to pay anyone who can knock that place out of operation once and for all. You\'ve done this kind of work before, right?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '98', 'm25o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '99', 'm25s', 'What a difference. I can smell that clean air! Well, cleaner than it was, anyway. You did your job and your payment\'s been transmitted. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '100', 'm25t', 'Help Clean the Air');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '101', 'm26d', 'The time has come, my friend. A band of space pirates robbed me of an expensive idol from the Onderon moon of Dxun. I can\'t make them give it back, but I can pay to have them punished. Aim those killer instincts of yours at their planetside den and don\'t look away until every one of them is dead.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '102', 'm26o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '103', 'm26s', 'Thanks, my friend. I knew you would finish them off with little trouble. I\'ll head over and see if my stolen Dxun idol is somewhere in the rubble.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '104', 'm26t', 'Give Me the Idol');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '105', 'm27d', 'I\'m not who you think I am. People say I look like an announcer from the local newsfeed, but I\'m just a loyal Imperial citizen. I\'m hiring someone to assault a local spice gang. Make it flashy. There could be, I don\'t know, hovercams or something in the area. I\'d like to set an example to other lawbreakers. Also, can you wear something eye-catching?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '106', 'm27o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '107', 'm27s', 'What a show! The hovercams captured the whole attack. I especially enjoyed the part where that gangster cursed you before dying. This is going to make great ratings for ... um, for whatever newsfeed sent those hovercams to film it. Not that I know anything about that. Ahem.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '108', 'm27t', 'Reality HoloNet Needs You');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '109', 'm28d', 'You must help me! I\'m trying to transport my niece off-planet, to save her from a criminal father. But he\'s got word of my plan, and his gang intends to kidnap the poor child! Please, I must hire you to attack the hangout where they always drink, to provide a distraction so I can rescue the girl. I\'ve got enough credits to pay you. Just hurry!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '110', 'm28o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '111', 'm28s', 'We did it! The girl is safely off to an Outer Rim planet and her father\'s gang is crippled. You\'re a good person. I\'m happy to pay this money.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '112', 'm28t', 'Save Innocent Niece');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '113', 'm29d', 'At last I\'ve found you! Years ago you served my father in the Clone Wars. Now he begs you to help him in his struggle against ... what did you say? You didn\'t serve my father? Oh. Well, you\'ll do anyway. How\'d you like to pick up a few credits by blasting apart a den of gas thieves near here?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '114', 'm29o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '115', 'm29s', 'You did it! You don\'t need to be paid, do you? I know there\'s more to you than just money. Right? Oh. Well, you\'ve got to follow your own path. No one can choose it for you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '116', 'm29t', 'Break Up Gas Thieves');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '117', 'm30d', 'It\'s an outrage! A crewman of mine was murdered by a gang of local cutthroats. Now they\'re keeping his body for who-knows-what reason. I\'m a spacer, not a fighter, but I can contract a tough guy like you to pay back those filthy gundarks! You pound them into rubble, and I\'ll give you whatever I have.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '118', 'm30o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '119', 'm30s', 'You\'ve honored my late crewman and rid this planet of some dangerous scum. If you decide to join a freighter crew, let me know, eh? I have an opening.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '120', 'm30t', 'Avenge My Crewman');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '121', 'm31d', 'Do I look like a simpleton to you? Then explain to me why a malodorous band of hoodlums would extort money from me. Me! Do they imagine I have no resources to pursue retaliation? On that topic, you look like you\'ve killed men before. Would you like to do so again? I can give you a substantial payment upon completion.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '122', 'm31o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '123', 'm31s', 'Most splendid indeed! Despite your looks, you are a being of the highest caliber. From now on those crooks shall think twice before accosting someone of my particular refinement and resources. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '124', 'm31t', 'Help Haughty Patron');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '125', 'm32d', 'Ever seen a golden bantha? They\'re rare and spectacular creatures. I owned one until yesterday, when a band of pelt smugglers killed it for the fur. I can\'t get my bantha back, but I can get retaliation. I know where they keep their contraband. I\'d like to contract you to level the place. WIpe them out, all of them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '126', 'm32o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '127', 'm32s', 'I\'ll always remember the scent of that smoke lingering over the ashes of those smugglers. You\'re very good, there\'s no denying that. Your payment has been sent. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '128', 'm32t', 'Stop Bantha Poachers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '129', 'm33d', 'You! You look like you could pull the ears off a gundark. I\'ve got a pile of credits waiting if you can attack a certain criminal lair and thoroughly dispose of it. They\'re up to no good in there, let me assure you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '130', 'm33o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '131', 'm33s', 'Fine job. I needed that territory cleared for my new cantina-casino, and you\'ve taken care of it in the most active way. Your pay is in your account.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '132', 'm33t', 'Help the Land Developer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '133', 'm34d', 'I\'m a love junkie, I admit it! I fell in with a gang member -- I like nice eyes, what can I say? -- but I had to end it. Now the whole gang has destroyed my home and promises to \"make me their droid.\" I need help! I\'ve got money; you\'ve got weapons; let\'s work together. Take out the gang nest, and let me live a loving life again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '134', 'm34o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '135', 'm34s', 'Thanks, hero! That was impressive. Your credits have been transmitted. Call me sometime. I like your eyes. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '136', 'm34t', 'Help Lovesick Fool');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '137', 'm35d', 'I contracted with another party to carry certain cargo past Imperial checkpoints. Matters went awry, I had to dump the cargo, and now the other party is making my life very, very hard. I offer you a fair reward for going to the other party\'s headquarters and removing this obstacle to my future happiness.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '138', 'm35o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '139', 'm35s', 'Thank you. I don\'t see why a few dozen Imperial turbolasers were worth all this fuss, but there you are.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '140', 'm35t', 'Take Out Spoilsports');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_non_persistent_from_npc.stf', '141', 'number_of_entries', '35');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '1', 'm1d', 'This place has been going downhill ever since that Toong couple next door had one of their slaves stolen. And that was over 30 years ago. Now we have these strange looking characters wandering around the neighborhood every night. I don\'t know what they do, but I\'m sure they\'re up to no good. They come from outside of town, sneaking into our settlement like criminals. I wish someone would get rid of them, so we can have some peace and quiet in this neighborhood. I\'ve collected some credits from the people who live around me and we\'re willing to pay anyone who can help keep our homes safe. \n\nElza Monimi');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '2', 'm1o', 'Elza Monimi');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '3', 'm1s', 'Thank you for your help. Although things still aren\'t as good as they were in old days, it is a step in the right direction. And credits well spent as far as I am concerned.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '4', 'm1t', 'Quieting the Nosy Neighbor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '5', 'm2d', 'While the Boonta Eve is mainly celebrated in certain parts of Mos Espa, it has become a night of mischief around here. A group of local hoodlums take it upon themselves to stir up trouble that night, stealing from the elderly and attacking anyone who dares to go outside. The group of troublemakers responsible lives outside of town. If someone would go there and put and end to their mischievous ways, the entire town would appreciate it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '6', 'm2o', 'Outraged Citizens');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '7', 'm2s', 'We appreciate your help. Now Boonta Eve will no longer be a dreaded day.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '8', 'm2t', 'The Boonta Eve Bandits');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '9', 'm3d', 'On one of my recent \"scavenging\" trips over the mountains, I made such a haul that I couldn\'t fit everything in my speeder. So I had to make two trips. I left a pile of spare parts and other things buried under a pile of dried brush near the peak of one of the mounatins in the Needles Range. Well, when I want back my stash was taken. Now I know complaining about someone stealing my stolen goods is pretty low, but this is how I make my living. On my last trip back there I was robbed by some thugs who I assume are the same ones who stole my stash. So I need someone to take this group out. If I can\'t continue to scavenge along the Needles I might actually have to get a real job.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '10', 'm3o', 'A local scavenger needs someone to make his stomping grounds safe.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '11', 'm3s', 'You really saved my skin. I don\'t know what I would have done if I had to go legit. With all the rules the Empire is imposing on us, it\'s been difficult to actually make a living. And a real job would break me.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '12', 'm3t', 'Scavenger Hunt');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '13', 'm4d', 'It was almost a year ago when we planned our group expedition to the famous sights of Tatooine. We split into two smaller groups when there was a disagreement on which places we\'d stop and see. There\'s never enough time to do everything. Anyway, when we separated, the plan was to meet back up at the Jag Crag Gorge. When we arrived there, the other group never showed up. They were robbed one night and had to head back home. This ruined the trip for everyone. And while the local authorities never did anything about it, we\'ve identified the thieves. Even though we are sure the stolen items can\'t be recovered, we would like to know that this won\'t happen again. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '14', 'm4o', 'A Group of Wronged Sightseers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '15', 'm4s', 'Thank you very much for eliminating those nasty thieves. We will continue our expeditions, now that Tatooine is a little safer.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '16', 'm4t', 'Journey From the Jag Crag Gorge');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '17', 'm5d', 'In our city lies an ancient grave site honoring Jedi Master Sidrona Diath. Sadly, the monument was senselessly defaced by a local group of Jedi haters. It was probably done to curry favor with the local Imperials. But Master Diath was a good man and a revered leader of Tatooine who fought valiantly before his fall in the Battle of Basilisk some 4,000 years ago. He also fathered Jedi Knight Dace Diath, a hero in the Sith War. And, of course, Diath was the first to speak the words \"Koroght Gaghght Takt\", which, for outlanders not familiar with the saying, means \"blessed be your going out from us\". Although the Empire probably wouldn\'t agree with us, those who defaced his grave should be punished. The key members of the Tatooine Coalition for the Preservation of the Prominent Past wish to remain anonymous, in the hopes of avoiding the Empire\'s wrath, but we are willing to pay a handsome sum to whoever deals with this problem.\n\nTatooine Coalition for the Preservation of the Prominent Past');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '18', 'm5o', 'Tatooine Coalition for the Preservation of the Prominent Past');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '19', 'm5s', 'The Coalition is forever grateful for your actions. And as the great Master Diath first said, \"Koroght Gaghght Takt\".');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '20', 'm5t', 'Defilers of an Ancient Jedi Grave');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '21', 'm6d', 'Someone has been taking water from the sacred canyons of the Tusken Raiders. It is creating unrest in one of the largest groups of Sand People in this part of Tatooine. This entire city is in jeopardy if this continues, but the local authorities seem unable, or unwilling, to do anything about it. We\'ve traced the thefts to a group outside of town, but we can\'t do anything about it on our own. We need a person with a particular talent to handle this situation. We don\'t care how you stop them, just save our town from the wrath of those superstitious savages.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '22', 'm6o', 'A Community In Peril');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '23', 'm6s', 'You are our savior! The Tuskens would have surely overrun our little community if you hadn\'t intervened. With their enemies destroyed, the Tuskens will likely move along.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '24', 'm6t', 'Who\'s Been Drinking the Gafsa Water?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '25', 'm7d', 'Gragra, a local gorgmonger, started growing gorgs and other edible amphibians in a sewer zone beneath this town decades ago. Long after she\'s left this place to work elsewhere, the gorg population continues to grow. Now, these little amphibious creatures don\'t do much damage down in the sewers but some of the squatters that live outside of town come here to feed on them. These squatters are known to rob and burgle the locals whenever they can. I am offering a generous reward to anyone who stops these squatters from invading our city. No questions asked.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '26', 'm7o', 'A Piqued Local Denizen');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '27', 'm7s', 'I appreciate your help in this matter. The entire city will benefit from your work. And I would also appreciate if you would keep quiet about your mission to kill the squatters.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '28', 'm7t', 'Evict the Gorg Eaters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '29', 'm8d', 'There\'s this clan of Sand People... Well, I\'m not sure that they\'re actually Sand People, but someone\'s been terrorizing travelers who come and go from town. I\'ve only heard stories, but I do know what they call themselves: the clan of Grk\'kkrs\'ar. I did some research on the term and it\'s actually the name of a mythic Tusken who never showed fear, even when facing a krayt dragon. Now my family is coming to visit from the far side of Tatooine and I don\'t want these Tuskens, or whatever they are, attacking my relatives. Please help me! But be careful. They sound dangerous...');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '30', 'm8o', 'A Concerned Tatooine Citizen');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '31', 'm8s', 'Praise the maker! You\'ve saved my family!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '32', 'm8t', 'The Clan of Grk\'kkrs\'ar.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '33', 'm9d', 'Now, it\'s not much of a business, but I am able to feed my family off the credits I make selling necklaces made from small snippets of japor. Last week some thieves took all of my necklaces as well as my carving tools. Without these things my family will starve. I have a few credits, but not enough to buy all those tools again. And the necklaces they took represent several weeks of work. I need someone to help me. I don\'t expect you to return all these things to me. I just want someone to clear out the thieves and I\'ll go back to their camp and reclaim my goods, as well as anything else I can find. I am willing to pay a fairly good sum for this work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '34', 'm9o', 'A Local Japor Carver');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '35', 'm9s', 'Thank you, friend. I would offer you a necklace in addition to your payment but I can\'t spare one right now. Just know that my family, and my business, are thriving again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '36', 'm9t', 'Japor Thieves');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '37', 'm10d', 'Things aren\'t like they were back when I was kid running around the streets of Mos Espa. Friends would stand by you, and Tatooine was on its own. No Republic or Empire or whatever telling everyone what to do. Now we live in a military state. Podracing is dead. There are military garrisons everywhere you look, and Jabba\'s associates bring the worst kind of scum to this planet. I always thought I\'d get out of here some day, but I don\'t think that will ever happen now. Still, I would sleep better at night if a certain group of scavengers living outside of town were taken out. I can\'t tell you what they did, but I do have plenty of credits to pay anyone who is willing to take them out. Bring me proof that they are bantha fodder and the credits are yours.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '38', 'm10o', 'Melee of Mos Espa');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '39', 'm10s', 'Thank you. I hope those scum suffered...');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '40', 'm10t', 'Melee\'s Drama');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '41', 'm11d', 'When I was a young man, my life was dedicated to protecting those who couldn\'t defend themselves. I spent most of my time defending the peaceful Jawas. They are too small to fight their own battles, I fear. They are constantly threatened by gangs of roving bandits, or worse. Well, I may be too old to actually pick up a blaster rifle or vibroax to battle those who would threaten the defenseless little desert wanderers, but I\'m not too crippled to at least go out check on the Jawas. I spotted some thugs moving in on the chatter-boxes. I\'m worried the Jawas are about to get killed. Go out stop these advancing trouble-makers, and I\'ll pay you for your trouble.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '42', 'm11o', 'An Altruistic Citizen');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '43', 'm11s', 'The Jawas are safe, for now. Although the little chatter-boxes would never thank you themselves (I don\'t even think that they realized they were in any danger), I do extend my gratitude (and a few credits) your way. I admit, I\'m old and cynical, but you\'ve shown me that there are still heroes left in the galaxy. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '44', 'm11t', 'Jawa Defender');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '45', 'm12d', 'WANTED: Adventurers to brave the deserts of Tatooine in search of villainous scum! \n\nInterested parties should have: some competence with a blaster, vibroblade, or other weapon; a willingness to travel the dangerous Tatooine wastes; and unflagging courage! Those who accept this mission will receive coordinates to the last known location of one of Tatooine\'s many roving bands of thugs or miscreants. Using these coordinates, the willing adventurer will be required to destroy any criminal encampments.  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '46', 'm12o', 'Mos Eisley Police Authority');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '47', 'm12s', 'We\'ve received confirmation of your mission\'s success. Good work. Your payment has been transferred.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '48', 'm12t', 'Adventurers Wanted');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '49', 'm13d', 'WANTED: Mercenaries willing to risk their lives for lucrative rewards.\n\nWe are seeking mercenaries capable of confronting Tatooine\'s many thugs, thieves, hoodlums, and swoop gangsters. Those who accept this mission must supply their own weaponry and other equipment. Upon acceptance, the Mos Eisley Police Authority will transmit the coordinates of a known criminal encampment. This camp must be completely destroyed. Risks are high, but rewards are fair. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '50', 'm13o', 'Mos Eisley Police Authority');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '51', 'm13s', 'We\'ve received confirmation of your mission\'s success. Good work. Your payment has been transferred.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '52', 'm13t', 'Mercenaries Wanted');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '53', 'm14d', 'May the Force be with us! TASKForce Tatooine is committed to fighting evil wherever it appears! As any galactic citizen will understand, Tatooine is overrun by a nearly-unstoppable criminal element. The thieves and killers spread like a virus across the desert. But agents of TASKForce Tatooine tirelessly locate these infections wherever they occur. We then hire competent soldiers to eliminate these dangerous dens and hidden lairs. Those willing to assist TASKForce Tatooine will be given coordinates to an identified criminal base. Once that base is destroyed, we will gladly transmit a sizable reward. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '54', 'm14o', 'TASKForce Tatooine ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '55', 'm14s', 'The Force was with you! Congratulations on wiping out those miscreants. Tatooine is much safer now, and we can begin searching for the next criminal target. A reward has been transmitted to your account.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '56', 'm14t', 'TASKForce Agent');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '57', 'm15d', 'Hello. I hope this transmitter is working right... Hopefully, this plea for help has reached the local mission terminals. If you\'re reading this, then I suppose I did something right... I\'ll keep this simple: We\'re a hardworking folk, but not very good with blasters or vibroweapons. Our lands are threatened by greedy, well-armed squatters. We need someone to step forward and help defend us. Please, accept this mission and move in on the murderers before they can close in us! We\'ll provide coordinates to their hideout; you just have to provide the blaster fire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '58', 'm15o', 'A Local Moisture Farmer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '59', 'm15s', 'Hello again. I wish to thank you for killing those murderous squatters. I\'ve dug up some credits and will transfer them to your account immediately.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '60', 'm15t', 'Squatters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '61', 'm16d', 'Jabba the Hutt is seeking brave warriors who wish to prove themselves in battle against the Hutt\'s many enemies! Jabba is constantly tracking his foes, who plot his downfall, attempt to steal his goods, and ambush his loyal troops. Jabba is enraged and sickened by his enemies, and wishes to see them all killed. Our intrepid scouts have located a band of Jabba\'s most-hated enemies in the desert. Any who accept this mission must go forth and stamp out this threat to Jabba\'s wealth and happiness. Those who succeed will earn a handful of credits, and Jabba\'s gratitude.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '62', 'm16o', 'Bib Fortuna, on behalf of Jabba the Hutt');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '63', 'm16s', 'I admit that I am surprised by your success. You have dealt with Jabba the Hutt\'s enemies, and you have fought bravely. I have slipped a few credits from Jabba\'s vaults in order to repay you for your services. If you are fortunate, Jabba will let you keep your credits... ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '64', 'm16t', 'Crime War');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '65', 'm17d', 'Transmission Translated from Jawaese for your convenience!\n\nWe Jawas are threatened by nasty, murderous humans and aliens, who kill us with wicked, sharp blades and fiery blasters. They hunt us across the sands, leave our bodies burning on the dunes. We need brave, bold heroes to stop these evil, dangerous thugs! Accept this quest and we will send you a radiant, glowing beacon that you can follow to our enemies! When you destroy their base, we will pay you many glorious credits. \n\nWimateeka, Jawa Clan Leader');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '66', 'm17l', 'Jawas are threatened by local thugs.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '67', 'm17o', 'Wimateeka');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '68', 'm17s', 'Transmission Translated from Jawaese for your convenience!\n\nMost exalted hero of the Jawas! Thank you a hundred times for saving us from evil, murderous thugs. We will now pay you a sizable, big reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '69', 'm17t', 'Jawa Killers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '70', 'm18d', 'Nothing is more important than family. Last season, my son was killed by thugs. He was just heading out to Anchorhead for some power converters and other supplies when he was ambushed by the murderous scum. They left him to rot in the desert. I reported the murder to the Imperial authorities in Bestine, but they said they couldn\'t find the killers. I doubt they even looked. It only took me two days to find the band of thieves who blasted my son. Now, all I want is revenge. I\'m offering a reward to anyone who can avenge my son. But I won\'t be happy with just a few dead murderers; I want their entire camp burned to the ground.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '71', 'm18o', 'A Heartsick Father');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '72', 'm18s', 'You have my heartfelt and undying gratitude. And my son, wherever he is, thanks you as well. Those murderers are dead, and they will never hurt another innocent traveler. The credits I give you as a reward will never be thanks enough for all you have done, for my family and this planet.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '73', 'm18t', 'Avenger');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '74', 'm19d', 'A group of local roughnecks have been causing a lot of trouble in and around Anchorhead. They tear through town, kicking up dust and scaring away the honest farmers. They\'ve even started stealing droids and shaking down the locals for \"protection fees.\" When some of my hired hands confronted these dirtbags, the roughnecks nearly beat them to death. It\'s only a matter of time before they kill someone... So, I followed these bums to their hideout in the desert. Anyone who wants a few credits can saddle up and take care of the roughnecks. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '75', 'm19o', 'Fixer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '76', 'm19s', 'Nice work, friend. Those roughnecks won\'t be bothering us again. And just in time, too; some of the old-timers here were ready to go to Jabba for help, and that would have only put us into in his debt. I\'d much rather pay you a few credits than owe that slug my life.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '77', 'm19t', 'Roughnecks');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '78', 'm20d', 'My employer, the All-Powerful Jabba the Hutt, has been implored to come to the aid of the citizens of Anchorhead. It appears that these simpering, unarmed farmers are being harassed by a gang of violent roughnecks. Jabba\'s generosity knows no bounds, and he has decided to aid this group. For a price, of course. In fact, partial ownership of Anchorhead, it seems. To help these poor, unfortunate fools (and gain a foothold in Anchorhead), Jabba is hiring mercenaries. Any hired thugs, trained or untrained, are welcome to accept this mission. Upon doing so, you will receive coordinates to the lair of Jabba\'s new enemies. Simply eliminate these ruffians and destroy their base to earn Jabba\'s gratitude.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '79', 'm20o', 'Bib Fortuna, on behalf of Jabba the Hutt');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '80', 'm20s', 'I must admit, I am surprised that you succeeded in your mission. I\'m sure Jabba will be pleased, when I find the time to tell him of your victory. For now, be content with the handful of credits I\'ve generously transferred into your account.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '81', 'm20t', 'Jabba\'s Ploy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '82', 'm21d', 'I\'ve recently purchased a large plot of land on Tatooine, but when I sent agents to investigate the territory, they discovered it was staked out by some squatters. The dirty locals became violent when my agents tried to drive them from my land. I acquired a bit of the desert legally, I assure you, and now I want those squatters evicted. Accept this mission, destroy the squatters\' shack, and you\'ll be promptly paid.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '83', 'm21o', 'A Corellian Businessman');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '84', 'm21s', 'Good work, my loyal agent. I will now be able to build what I hope will become one of the galaxy\'s most lucrative mines on Tatooine. For your role in helping me to create my empire, I have rewarded you a fair sum.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '85', 'm21t', 'The Landlord');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '86', 'm22d', 'TRANSMISSION TRANSLATED FROM HUTTESE\n\nAs you probably know by now, Watto the Toydarian, owner of the once-legendary Watto\'s Junkshop and Spare Parts in Mos Espa, has fallen on hard times. Ever since he lost his fortune betting against a Jedi in the Boonta Eve Podraces, Watto has been deep in debt with just about everyone on Tatooine, including Jabba the Hutt.\n\nI\'ve known Watto all my life and I\'m trying to help him out. He\'s not the friendliest gasgut, but he\'s practically an institution in Mos Espa. And maybe I feel a little responsible for Watto\'s plight, since it was my friend Anakin who won the Boonta Eve that year and left Watto without a credit to his name. Or maybe I\'m just hoping that Watto will eventually give me the junkshop...\n\nWhen I heard that the Imperials were offering rewards to adventurers willing to track down and defeat some local thugs, I figured we could earn some quick credits by taking out these criminals. But Watto always wants to be the middle-man. He\'s identified some of the easiest targets the Imperials have to offer and has personally guaranteed that the criminals in question will be eliminated. Now, he just needs to hire adventurers like you to kill these thugs. We\'ll pay you the reward, after Watto takes his \"commission\" of course. It\'s not a perfect set-up, but I can guarantee that Watto has selected only the best assignments. And, by dealing with Watto directly, you avoid any Imperial entanglements...  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '87', 'm22l', 'Watto the Toydarian is hiring sub-contractors to complete Imperial missions.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '88', 'm22o', 'Wald');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '89', 'm22s', 'TRANSMISSION TRANSLATED FROM HUTTESE\n\nThings don\'t look so grim around Watto\'s shop these days. Surprisingly, his sub-contracting scheme seems to be working, thanks in part to you. Even after paying you your reward, Watto has enough left over to upgrade his inventory and attract new customers. And, because he\'s proven to be so reliable, Watto is gaining quite a reputation with the Imperials. They\'re even starting to buy parts from the junkshop.\n\nAs one of Watto\'s sub-contractors, you\'ve been paid for your services. Please note that, while Watto did deduct his standard commission, I threw in a few credits of my own to thank you for a job well done.\n');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '90', 'm22t', 'Toydarian Middleman');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '91', 'm23d', 'The Tatooine Reclamation Society is a coalition that includes Bestine, Mos Espa, and several other major cities on Tatooine that have joined forces with generous Imperial authorities to improve life on our desert planet. As part of the Tatooine Reclamation Project, the Tatooine Reclamation Society is planning to construct waystations between the planet\'s primary settlements. Unfortunately, the proposed sites of some planned waystations have already been \"settled\" by bandits, thieves, squatters, and other undesirables. The Tatooine Reclamation Society is broadcasting the coordinates of these illegal settlements in the hopes that loyal Tatooine citizens will take it upon themselves to aid the Reclamation Project by destroying these \"obstacles.\" A suitable reward will be offered to anyone who helps in our efforts to develop these essential waystations.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '92', 'm23o', 'Tatooine Reclamation Society');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '93', 'm23s', 'The Tatooine Reclamation Society is pleased to report that Phase I of our proposed waystation project is nearly complete! Criminal settlements previously blocking construction on these proposed waystations have been eliminated. Those citizens directly responsible for the destruction of these bases, hideouts, and camps have been rewarded and deserve the thanks of the entire planet!\n\nPhase II of the project - the actual construction of the waystations themselves - requires additional funding. We have been promised a substantial grant from the local Imperial prefect, but a recent military mishap near Yavin IV has evidently diverted all Imperial credits for the forseeable future. The Tatooine Reclamation Society is seeking other backers, including the generous Jabba the Hutt. We believe that the waystation project will be back on track within a few seasons! ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '94', 'm23t', 'Waystation Project');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '95', 'm24d', 'We, the Dim-U monks of Tatooine, who worship at the hairy feet of the Mighty Bantha, are seeking defenders of our hirsute idol. While Tatooine should be the domain of the bantha alone, the Horned-One must share the planet with a host of lesser beings. Most recently, the Revered Bantha has been plagued by foul thugs, dirty criminals, and murderous hunters. These bipedal vermin badger the Wandering Bantha, or kidnap His children, or even kill Him in the hopes of hanging his lush coat on their walls. The coffers of the Dim-U monastery are full, ready to serve the cause of the Enduring Bantha, in whose eyes all Universal Truths are revealed. We only await a champion to step forward and purge the Stalwart Bantha\'s enemies!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '96', 'm24o', 'Dim-U Monks of Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '97', 'm24s', 'The Mighty Bantha, the legendary Horned-One who brings peace and tranquility to all who gaze upon Him, is safe once again! You have served the Enduring Bantha well! The Dim-U monks, loyal servants of the Wandering Bantha, are overjoyed at your success. Our coffers have been opened and you will be rewarded. The Dim-U monastery thanks you on behalf of the Horned-One, whose powerful bellow will roar your name across the desert and throughout the start so that all who worship at His hairy feet will know of your heroic deeds.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '98', 'm24t', 'Bantha Defender');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '99', 'm25d', 'The Tatooine Civilian Defense League has detected an alarming rise in the number assaults, petty thefts, and acts of vandalism in and around the habitable areas of the planet. These crimes are the work of several small bands of roving thugs. In the hopes of reducing the crime rate on Tatooine, the Tatooine Civilian Defense League is authorized to pay for the destruction of all identified criminal camps.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '100', 'm25o', 'Tatooine Civilian Defense League');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '101', 'm25s', 'Excellent work! Unlike most of our hired agents, you\'ve actually succeeded in defeating those criminals who enjoy terrorizing Tatooine locals. Your reward has already been transferred to your account.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '102', 'm25t', 'Criminal Element');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '103', 'm26d', 'Swoop gangs are a terrible menace on Tatooine! They race all over the planet, outrunning the law and attacking anyone they come across. But I\'ve come up with a plan to cull these criminals. When traveling together, swoop gangsters are like a pack of slice-hounds. They gain confidence from just being around one another, and easily overwhelm the weak or defenseless. But when caught one-on-one, or in small groups, the swoopers aren\'t very tough. I\'ve located some smaller swooper camps. Anyone who wants to prevent the swoop gangs from taking over Tatooine should sign up here! I\'ll transmit coordinates to a manageable hideout, and you just take care of the rest.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '104', 'm26o', 'Swoop Hunters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '105', 'm26s', 'I told you the swoop gangsters weren\'t so tough, especially when they\'re caught in small groups. Nice work taking out that base. Now, there are fewer thugs to harass the locals.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '106', 'm26t', 'Concerned Citizen Hiring Adventurers to Battle Swoop Gangs');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '107', 'm27d', 'Listen up, worms. I\'m a leadin\' member of one of Tatooine\'s most feared and respected swoop gangs. I\'m not gonna say which swoop gang, because we don\'t need no trouble with the Imperials. But I have a sweet deal for anyone with a blaster and an itchy trigger finger. It\'s no secret the swoop gangs on Tatooine are at war. There\'s a rival gang moving in on my territory, and I want to give those scurvy mynocks a surprise. Rather than send my gang out to take care of \'em, I figure I\'ll offer some of you \"adventurers\" a chance to even the score for me. They\'ll be watchin\' out for dust-blowing swoops, but a solo operator or small group of mercenaries can get in close and take out their base. I can send you one of them glowing waypoints; just follow it and attack any chuba-eating scum you find. Then burn their camp to the ground, to send a message.  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '108', 'm27o', '\"Captain Crossbones\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '109', 'm27s', 'Hah! I knew my plan would work! Those sandmite-infested fools have been watching me and my gang for weeks, but they didn\'t have an eye on you, my friend! I haven\'t seen such a one-sided fight since crazy old Ben took off that Walrusman\'s arm in the Mos Eisley cantina. I\'ve sent some loot your way. Spend it while you can; I won\'t be surprised if those swoopers retaliate... ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '110', 'm27t', 'Turf War');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '111', 'm28d', 'My brother was killed by a swooper the other day. The murderers will get away with this terrible crime if someone doesn\'t step forward and wipe them out. I\'m not a vigilante, but I\'m looking for someone willing to deliver a little desert justice to these vermin.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '112', 'm28o', 'A Bereaved Local');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '113', 'm28s', 'By the shifting sands of Tatooine, may my brother always remain in the memories of those who loved him. And may your heroic deeds on his behalf always be part of our family history. I shall never forget that you brought my brother\'s murderers to justice. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '114', 'm28t', 'Vigilante');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '115', 'm29d', 'WANTED: Able-bodied adventurers to battle roving swoop gangs on Tatooine! \n\nTatooine\'s swoop gangs are out of control! They\'ve become a public menace. Tatooine authorities are willing to pay large rewards for the elimination of this threat. Those willing to accept this dangerous assignment will receive coordinates to a known swoop gang camp. The camp must be destroyed before any rewards will be processed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '116', 'm29o', 'Mos Eisley Police Authority');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '117', 'm29s', 'We\'ve received confirmation of your mission\'s success. Good work. Your payment has been transferred.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '118', 'm29t', 'Swoop Gang Cleanup');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '119', 'm30d', 'The name\'s Dengar. You\'ve probably heard of me. I was the best swoop racer in the entire galaxy. No one could catch me. And I had a loyal gang watching my back. The past, it\'s all a bit hazy now... But I know some Corellian punk ambushed me in the Agrilat Swamps on Corellia. The crash ruined my career. The Empire fixed me up right, and I\'m good at killin\' now. But my old gang scattered. Treacherous space slugs, they left me for dead. Joined up with another swoop gang on Tatooine. No one leaves Dengar behind. No one. I know where the scurriers are hiding, but I\'m still property of the Empire. Got a job to do. I need someone tough and mean to take out my old crew. I\'ll send the coordinates when you accept this mission.  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '120', 'm30o', 'Dengar');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '121', 'm30s', 'You\'re quite the killer. Maybe you should consider getting\' fixed up by the Empire. The Imperial cutters ripped out part of my brain and replaced it with tech. I sometimes see things, hallucinate, but I\'m one of the highest-paid assassins in the Outer Rim, so I ain\'t complainin\'. Maybe you should take the credits you just earned and have a little work done too.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '122', 'm30t', 'Old Friends');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '123', 'm31d', 'For years, an unruly band of Tusken Raiders has lived on the Mochot Steep, venturing out now and again to cause trouble around town, but never really doing any major damage. Until now. There\'s another group of troublemakers that has been battling the Tuskens for supremacy of the Mochot Steep. This has stirred up major trouble. The Tuskens are out scavenging almost every night, trying to prepare themselves for the next attack. The local merchants have been suffering greatly from this little war. Now, we don\'t think that the Tuskens will ever leave the Mochot Steep, which is fine with us. We just need someone to stop those new bandits from stirring up the Tuskens. Can you aid us?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '124', 'm31o', 'Concerned Local Merchants');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '125', 'm31s', 'Congratulations! You have done the locals a great service. The Tuskens should go back to their normal behaviour and leave us alone now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '126', 'm31t', 'Steep Struggle');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '127', 'm32d', 'Hundreds of years ago, a former employee of the Tatooine Bureau of Ethnicity and Socialization named Alkhara allied himself with a savage group of Tusken Raiders and destroyed an entire police garrison. It started a bloody feud with the Tusken Raiders that lasted for many years. He built himself a small empire and after he died his headquarters became Jabba\'s Palace. While his terrible reign was ended many years ago, there are still pockets of those who believe in the anarchy that Alkhara preached. We at the Bureau would like all memory of Alkhara to be erased. We are offering a substantial reward for the removal of any known camps or bases belonging to Alkhara\'s followers.\n\nTatooine Bureau of Ethnicity and Socialization  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '128', 'm32o', 'Tatooine Bureau of Ethnicity and Socialization');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '129', 'm32s', 'The Tatooine Bureau of Ethnicity and Socialization would like to thank you for your assistance in helping to remove Alkhara from the memory of the citizens of Tatooine.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '130', 'm32t', 'Followers of Alkhara');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '131', 'm33d', 'This may not mean anything to you, but it means the world to me. I had my entire trugut collection stolen by a group of bandits. They have no idea what it\'s worth and will probably just give it away for a few creds. For those who don\'t know, the trugut is a Hutt form of currency that only had value on Hutt-controlled worlds. But the use of truguts on Tatooine ended with the arrival of the Empire. In the day, one trugut was worth sixteen wuipiupi, a quarter of a peggat, or ten dataries. But now, to the right collector, they are worth ten times that. I would like someone to take care of these thieves for me. They don\'t deserve to hold such a rare and exquisite collection.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '132', 'm33o', 'A Collector of Rare Coins');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '133', 'm33s', 'I hope those vile sith spawns know that they paid dearly for robbing an old man. Thank you for help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '134', 'm33t', 'Coin Collectors');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '135', 'm34d', 'This may sound strange coming from me, since I\'ve no love for droids, but I need some help putting a friend of mine back together. You see, me and Ceetoo-Arfour have been making specialty drinks for a months now, and making good money all over Tatooine doing it. But recently some blasted bandits looted my hovel and trashed the place. Worst of all, they stole Ceetoo\'s special mixology circuit board. I had pulled the board out to clean it, and then left it out to dry. Must have looked like an important piece of data to them, and the scum snapped it up along with some other personal belongings. Now I don\'t expect you to bring back my stolen goods, but if you could take care of the sand-eating creeps that did this to me, I\'ll search through the rubble and find the pieces to put Ceetoo-Arfour back together again.\n\nWuher');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '136', 'm34o', 'Wuher');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '137', 'm34s', 'Now I can go retrieve that blasted board and get this lazy bucket of bolts back to work on our latest concoction. I\'d offer you a free drink, but we haven\'t mastered the latest recipe yet.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '138', 'm34t', 'Wuher\'s Droid Dliemma');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '139', 'm35d', 'A group of punks got me fired from my gig as the front desk clerk at the Lucky Despot hotel. I want it back. And the only way that\'s going to happen is if this group of low-life bandits is never seen or heard from again. Got it?\n\nAnton ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '140', 'm35o', 'Anton');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '141', 'm35s', 'Excellent. Now I can prove myself worthy to my old boss. I\'m certain I\'ll get my old job back.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '142', 'm35t', 'Anton\'s Big Break');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_easy_npc_tatooine.stf', '143', 'number_of_entries', '35');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '1', 'm1d', 'We\'re familiar with animal cunning, and we\'ve even encountered beasts that seemed to possess almost true sentience, but these monsters are something out of a nightmare. We have no idea why they began attacking the local communities or how they choose their particular victims. All we know is that they seem to sense who is armed and attack those individuals first. These beasts also seem to sense our surveillance droids and have managed to elude them. We have, however, identified an area these creatures inhabit at least part of the time. Eliminating these predators will not be easy. A generous reward awaits the team of hunters that can pull this off.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '2', 'm1o', 'Planetary Parks & Wildlife Authority');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '3', 'm1s', 'You have both our gratitude and that of the surrounding communities. These creatures had to be stopped. Good work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '4', 'm1t', 'Stop the Terrifying Hunters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '5', 'm2d', 'Salutations. I am Threedee, an administrative droid in the service of an influential and wealthy patron. My master\'s hobby is recording the exploits of hunters that he hires to stalk and eliminate dangerous predators. Ever eager to move onto bigger and better challenges, my master feels that the accomplishments of the small game hunters he had been employing are no longer sufficient for his purposes. He has therefore instructed me to search for experienced big game hunters to tackle far more dangerous prey. I have pre-selected locations known to contain some of the most dangerous predators in the galaxy. Expect surveillance droids in the area. They are there to record your activities. As per the standard contract, my master claims ownership to all the images produced from these hunts and will reserve the right to alter them in any way he sees fit. Thank you for your time. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '6', 'm2o', 'A Truly Great Hunter');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '7', 'm2s', 'Bravo. An excellent job. Your payment has been transmitted to your account.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '8', 'm2t', 'Assist Famous Big Game Hunter');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '9', 'm3d', 'As a Trandoshan, it is my duty to collect jagannath points by hunting dangerous prey. The problem, however, is that I\'m a colossal coward. It\'s only been due to the enormous wealth my father managed to accumulate during the enslavement of the Wookiees that I\'ve been able to bribe my way through every single rite of passage sacred to my people. This one, unfortunately, is proving to be a bit tougher. Without sufficient jagannath points, I won\'t be able to return to my homeworld and start a family (\"clutch mothers\" can be so picky). I\'ll therefore pay a very generous reward to any hunters out there who are willing to score some jagannath points for me. I\'ll provide the locations of some of the most terrifying beasts in the galaxy (our goddess the Scorekeeper demands the very best from her hunters, after all). You go in there and blast them to bits, and I\'ll take the credit for it (and pay you to keep silent). Sound like a deal?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '10', 'm3o', 'An Anonymous Trandoshan');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '11', 'm3s', 'Most excellent. Please see me again in the future. Our goddess is the greedy sort when it comes to jagannath points.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '12', 'm3t', 'Help a Cowardly Trandoshan');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '13', 'm4d', 'Illustrious Jabba would like to hire enterprising hunters to clear certain areas of dangerous wild predators. Mighty Jabba wants to make certain these areas are more attractive to his business partners and associates -- the last thing a smuggler needs to worry about is being eaten by some random vicious monster. My lord offers generous rewards for such services, but he expects results. If hunters should come across any young rancors or krayt dragons, however, Jabba will gladly pay an additional sum in exchange for the living cubs. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '14', 'm4o', 'Bib Fortuna');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '15', 'm4s', 'Well done. You serve my master well, and you shall be rewarded. I hope you will continue to seek employment with our organization.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '16', 'm4t', 'Make World Safe For Smugglers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '17', 'm5d', 'That slime-sucking overgrown worm, Jabba, will try anything to drive his competitors away. It\'s well known that the Hutt loves collecting dangerous predators (I hear he has a thing for rancors). Apparently he\'s been hiring hunters to capture some of the most lethal beasts this galaxy has to offer. He keeps some for this own amusement. The rest he has transported to systems where his rivals are known to operate and drops the creatures (often a pack or several mated pairs) near rival bases. Very funny, you huge pile of Sith spit! Well Jabba is not the only one that can hire hunters. Feel like tackling some very ferocious creatures? The pay is quite good and you can keep any critters you can catch alive and do with them whatever you wish. This situation needs immediate attention, however, as we\'re losing good operatives and lots of business. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '18', 'm5o', 'Lady Valarian');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '19', 'm5s', 'Business will soon be back on track. Good hunting there, friend. You must do this sort of thing for a living.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '20', 'm5t', 'Creature Assassins');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '21', 'm6d', 'Due to the nature of our business, which usually involves establishing landing bays and storage facilities in remote areas of the galaxy, our operatives are at risk from wild predators. We must occasionally hire professional hunters. As these are more specialized agents than we\'re used to dealing with, we are prepared to increase our standard \"problem-solving\" fee. Fortunately, we\'ve managed to track most of these lairs already so the job calls for extermination only.    ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '22', 'm6o', 'Black Sun');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '23', 'm6s', 'Effective, agent, most effective. Do look us up again in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '24', 'm6t', 'Protect Scoundrels');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '25', 'm7d', 'Some nerfs that had been infected with an experimental virus were accidentally released into the wild instead of being destroyed. We tracked down all the possible locations where these diseased animals might have ended up and performed extensive surveillance of those areas. Any nerfs discovered in those locations were vaporized. Some areas, however, also contained various dangerous predators but no nerfs. We cannot risk this virus spreading, so we must wipe out these predators on the off chance that they devoured infected nerfs. Worry not, the virus is harmless to most sentient species. Can you help the Empire keep its citizens safe?    ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '26', 'm7o', 'Imperial Environmental Preservation & Refocusing Authority');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '27', 'm7s', 'Well done. You might want to have yourself checked by a medical droid just in case. If it detects any signs of advanced cellular decomposition, please contact the nearest branch of Imperial Intelligence.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '28', 'm7t', 'Kill Diseased Predators');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '29', 'm8d', 'The Geonosian petrana-ki gladiator arenas certainly left their mark on the galaxy. After the Fall of the Old Republic, many predators destined for Geonosis ended up spread throughout the Outer Rim and even in many Core Systems. Most of these beasts died out on their own or were hunted by the locals, but a few have survived here and there. We\'ll pay experienced hunters to visit the systems where some of these beasts survived and wipe them out. In many cases, you\'ll be doing that system\'s ecology a huge favor as many of those creatures should never have made it to those systems. Our pay is good and the experience will no doubt give you something to talk about for years to come. We hope you can help us. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '30', 'm8o', 'Imperial Environmental Preservation & Refocusing Authority');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '31', 'm8s', 'We are most impressed, agent. Have you considered joining our organization?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '32', 'm8t', 'Clean Up Geonosian Mess');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '33', 'm9d', 'Mighty Jabba has learned that rivals are copying his practice of breeding dangerous predators. Unlike Lord Jabba, these upstarts have established breeding colonies in the wild. How presumptuous and arrogant! My lord will not ignore this insult. He has instructed me to hire professionals hunters to destroy these breeding colonies and teach his rivals an important lesson: No one does anything better than the powerful Jabba! Leave those lairs completely uninhabitable. Not even the predators\' fleas should survive. Report to us soon. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '34', 'm9o', 'Bib Fortuna');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '35', 'm9s', 'Excellently done. My lord will be pleased to hear of your success. Seek us out again in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '36', 'm9t', 'Dispatch Breeding Colonies');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '37', 'm10d', 'I\'m conducting research for my latest article, entitled \"The Superiority of Sentience: Nature\'s Deadliest Weapon,\" and I am in need of further case studies. Specifically, I need a single courageous individual to face some of the galaxy\'s most dangerous predators, armed only with simple vibro weapons and/or primitive slug-throwers. I will provide the locations of these creature lairs and will also dispatch hovercams to record the duels. If my theory is correct, then in eight out of ten encounters, the sentient hunter will emerge victorious. My grant allows me to offer reasonable compensation to individuals who participate in these studies. I hope you decide to further the cause of science.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '38', 'm10o', 'Chief Scientist K\'ar Zah of the Imperial Academy of Science & Methodology');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '39', 'm10s', 'Excellent! The cause of science is served! Now, you did only use vibro weapons and simple slug-throwers, right?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '40', 'm10t', 'Serve Cause of Science');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '41', 'm11d', 'I\'m always on the lookout for fresh talent, especially future bodyguards. I\'m willing to test and reward ambitious rogues who think they have what it takes to join our organization. I give you coordinates; you go to those coordinates and blast every creature there to atoms. Sound easy? Well, it won\'t be, trust me. I wouldn\'t even consider hiring a bodyguard who couldn\'t take on a nest of wild gundarks with a stuttering vibrodagger and a broken leg. My advice is to pack your heaviest weapons and carry plenty of ammo. Oh, and bring friends. Lots of them. If you survive, we\'ll talk again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '42', 'm11o', 'Black Sun: Vigo Green');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '43', 'm11s', 'Not bad, my friend. Here\'s a little something to encourage you to try future trials. Look me up again if you\'re craving a challenge.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '44', 'm11t', 'Impress a Vigo');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '45', 'm12d', 'Right! You Sith-spit upstarts think you\'re so unstoppable? Is that what you think, Madam \"Look look, I\'m piloting an Imperial walker,\" Master \"I helped blow up the Death Star\"? I\'m here to tell you, nothing in your shallow experience compares to the ferocity, the sheer appalling nightmare of the Periodic Overland Migration! Oh, it may LOOK harmless. A few million dull-witted herbivores milling over the landscape from their pointless origin to their futile destination, what\'s the harm? But the predators, you lackwit, the predators! Hundreds of them, stalking the herd, dining well, now and then stopping for a quick bite of Sentient Galactic Citizen. Now, NOW you see the problem. Well then! We\'re hiring experienced strike teams to go out and kill the predators, a pack at a time. Payment on success. Well, what are you waiting for, you retarded excuses for thinking beings?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '46', 'm12o', 'Colonel Ondon Kleero of the Aqualish Regulars');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '47', 'm12s', 'All right, don\'t expect a bleeding Citizens\' Day Parade just for taking out point-oh-oh-one percent of this onslaught. Take your fee and make yourself useful. Somewhere else, I mean.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '48', 'm12t', 'The Blasted Overland Migration!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '49', 'm13d', 'The Periodic Overland Migration is a wondrous spectacle, as teeming herds of gentle animals troupe across the beautiful landscape. More important, the Migration is a superior tourist attraction, generating significant revenue for the local economy. However, large packs of predators follow the herd. These packs often range into settled territory, with unfortunate effects on local property values. During this current MIgration, the Safe Night Community Association is contracting with experienced teams of hunters to cull the predators in our vicinity. Payment is awarded on proof of termination of a large pack. Serious inquiries only, please.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '50', 'm13o', 'Safe Night Community Association');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '51', 'm13s', 'We appreciate your successful effort and herewith tender the agreed payment. In case you ever plan to relocate to this area, many attractive homes in our community are unexpectedly still available.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '52', 'm13t', 'Overland Migration Endangers Local Town');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '53', 'm14d', 'The Periodic Overland Migration is an irregular large-scale movement of local herbivores between widely separated feeding grounds. Predators follow the herd in unusually large numbers. Due to recent settlement of the area, these predators are unfortunately starting to present a danger to sentients. Our research suggests that if one pack makes a successful attack on sentients, other packs converge and adopt the practice opportunistically. Ergo, our Office of Biosphere Control and Repurposing is now contracting with experienced strike teams to cull designated packs in high-threat areas. Report successful culls to Deputy Associate Operations Director.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '54', 'm14o', 'Imperial Environmental Preservation & Refocusing Authority');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '55', 'm14s', 'Payment for successful culling attached. Address comments to Deputy Associate Operations Director.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '56', 'm14t', 'Overland Migration Predator Culling Contract');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '57', 'm15d', 'Hey there! I\'m a field producer for the HoloNet program \"Wild, Wild Galaxy\" back on Coruscant. We\'re doing a short segment on the local Periodic Overland Migration for next season, and we want recordings of groups of seasoned hunters defending settlements. You know, \"Heroically they drive back the onslaught of predators drawn by the scent of sentient blood!\" We\'ve located a very attractive pack at these coordinates, and our hovercams will be viewing you remotely at telescopic range. Strike noble poses, look good, make it all look perilous (which shouldn\'t be hard). Check in once you\'re done. Great, looking forward to working with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '58', 'm15o', 'Morn Meebler, HoloNet Broadcasting Service');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '59', 'm15s', 'Great, great footage. It\'s an honor and a privilege to work with such outstanding talent. By the way, accepting this payment constitutes a binding release for HoloNet to broadcast this recording now and forevermore.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '60', 'm15t', 'HoloNet Show on Overland Migration');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '61', 'm16d', 'Greetings. My master, Captain Brandell Mantracor of the Imperial Navy (Retired), has ordered me to locate a team of experienced hunters capable of removing a pack of wild beasts that endangers his country estate. These predators -- I\'m afraid no one has told me their species -- are following the Periodic Overland Migration, and are ranging unsettlingly close to Captain Mantracor\'s prized greenhouses. The entire family is upset, and I may add that the serving staff faces possible deadly peril. The sooner you can arrange a team to eradicate this animal menace, the sooner I shall pay you Captain Mantracor\'s generous reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '62', 'm16o', 'A C-9PO Protocol Droid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '63', 'm16s', 'Splendid! I shall inform my master. Please accept this payment with my master\'s provisional gratitude. Oh, happy news!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '64', 'm16t', 'Overland Migration Menaces Mantracor Estate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '65', 'm17d', 'The Emperor himself -- may he guide us long and well! -- has ordered a competition among the Galaxy\'s finest architects. The commission, to be built at his private retreat at an undisclosed location, is a Hall of Galactic Wildlife. The galleries of this giant museum are planned to display, for our Emperor\'s relaxation and enjoyment, the finest, the fiercest creatures of a million worlds. We seek specimens to use in our architectural proposal for this Hall. We have located a desirable pack and would appreciate their speedy termination. Confidentiality appreciated');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '66', 'm17o', 'A Prominent Architectural Firm');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '67', 'm17s', 'We are pleased with your report and will dispatch a taxidermy team to pick up the remains. Your fee is attached. It is likely we will have further contracts until the Empire awards its commission for the Hall.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '68', 'm17t', 'Hall of Galactic Wildlife Proposal');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '69', 'm18d', 'The news among hunters is the Emperor\'s big new Hall of Galactic Wildlife. Don\'t know much about it except he needs trophies from across the galaxy, all to be mounted in lifelike settings in a big museum. Our group would be spread too thin, trying to land all the trophies required. So we\'re subcontracting, you might say. Take down predators in large packs, and we\'ll pay you out of the fee the Empire pays us. We\'ll take care of the pickup and the stuffing. Move fast!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '70', 'm18o', 'Wilderland Hunting Club');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '71', 'm18s', 'We\'ll go ahead and pay you now from the club budget. No idea when we\'ll have time to pick up and stuff the trophies. Crazy here!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '72', 'm18t', 'Hall of Galactic Wildlife Trophies');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '73', 'm19d', 'Surprisingly few citizens have heard of the Interplanetary Embalmers\' Guild. Soldiering on despite unjust neglect, we promote new research in bodily preservation techniques. The recently announced Imperial proposal for a Hall of Galactic Wildlife offers us exciting opportunities. This private museum for the Emperor is planned to feature countless species from across the galaxy. Current plans call for stuffed specimens, but we regard this as backward and undignified. Far better to present actual intact specimens, faultlessly and incorruptibly preserved! To demonstrate our techniques, we seek large numbers of dramatic specimens, especially predators. Subjugate and terminate all packs you find at the following coordinates, preferably with minimal visible damage. We shall arrange pickup and preservation. The Hall of Galactic Wildlife will enshrine your trophy for generations to come!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '74', 'm19o', 'Interplanetary Embalmers\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '75', 'm19s', 'This news pleases us. The Embalmers\' Guild will soon demonstrate techniques that will bring admiring attention from all educated individuals, and with luck even the favor of the Emperor himself.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '76', 'm19t', 'Embalmers\' Guild Seeks Hunters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '77', 'm20d', 'To expedite preliminary budgeting for the Emperor\'s proposal Hall of Galactic Wildlife, the Imperial Civilian Accounting Office solicits highly experienced hunting teams. Interested teams may locate and terminate large packs of predators at coordinates provided by local survey offices in conjunction with this agency. The specimens will be assessed for quality and quantity for purposes of figuring expenditures required for large-scale procurement of assets. All other information on this contract is assigned confidential clearance under Imperial security edicts. For assistance, contact the Imperial Security Bureau.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '78', 'm20o', 'Imperial Civilian Accounting Office');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '79', 'm20s', 'Asset procurement noted. Contract payment disbursed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '80', 'm20t', 'Solicitation for Hunting Teams');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '81', 'm21d', 'A most pleasant pastime! Jorboro hunting, I mean. A dozen of one\'s best fellows, mounted and riding for speed, in hot pursuit of the elusive quarry, haha! It is blasted inconvenient, though, when some great gulping predator bounds past one and swallows up the jorboro, or perhaps even one\'s friend and his mount. An untidy affair. So here\'s what you\'ll do: Round up some of your best lads, venture out to these beasts\' last known locale, and mow them all down, pronto. I shall recompense you appropriately, of course.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '82', 'm21o', 'Estate Holder His Excellency Lord Savastorol Hennig Denn, 23rd of the Line');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '83', 'm21s', 'Ha! There, what did I tell the wife, I said, \"Get a good lot of hunters to take them out, that\'s what!\" And I did, and you have! Jolly!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '84', 'm21t', 'Lord Denn Seeks Hunters to Protect Party');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '85', 'm22d', 'Were I a younger man, I\'d round up these beasts and give them the old what-for, I tell you that. Eh? Oh yes, yes. I need skilled hunters, and not a few of them, mind you. You must all trundle out and dispose of a pack of ferocious beasts -- which kind of beasts were they? I cannot read this blasted scribble -- never mind. I gravely suspect my neighbor, Lady Bentledown, of importing these beasts and setting them to roam my estate. Why? I tell you why: She disapproves of my good old hunting parties! So what if we make a bit of noise, or if a bit of liquor goes down a dry throat? I ask you, so what? Now we, being hunters, would leap at the chance of disposing of these blasted Bentledown beasts. Ordinarily. But we are not so spry as once we were, nonono. No. So I\'ll rely on you and your friends to do the job, shall I? I commend you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '86', 'm22o', 'Estate Holder His Excellency Lord Savastorol Hennig Denn, 23rd of the Line');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '87', 'm22s', 'Now that\'s the kind of enterprise we like to see! I have high hopes for you! And let me add, Lady Bentledown shall soon know a problem of her own, I tell you that! Ha!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '88', 'm22t', 'Brave Hunters Needed on Denn Estate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '89', 'm23d', 'I have lately fallen into an uncalled-for tiff with my neighbor, a dotty old Core Worlds retiree. Lord Denn is convinced that I am sabotaging his drunken hunting parties. This is silly slander. If two dozen drunken men fire off blasters in the countryside, and in all likelihood hit one another, I regard this as beneficent natural selection. But now Lord Denn has brought in savage beasts to plague both our estates. I believe he intends to hunt them. What nonsense. He will find in these predators much stiffer opposition than his usual quarry, furtive little rodentians. Before he kills himself, or these monsters kill me, I wish you to take an experienced hunting team and slaughter them all. Not Lord Denn, of course, just the creatures. I daresay Lord Denn will manage his own destruction before long.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '90', 'm23o', 'Estate Holder Her Excellency Lady Deianora Bentledown');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '91', 'm23s', 'That is a great relief. I shall call on Lord Denn to mention the unhappy accident that has befallen his imports. I look forward to seeing his reaction.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '92', 'm23t', 'Lady Bentledown Seeks Hunters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '93', 'm24d', 'When I took over my father\'s mining operation after his untimely death, I had no idea his competitors would turn criminal in their methods.  No strategem is too low for them to try.  For example, the future of the company hinges on a rich and untapped vein of vertex crystals as pure as they mine it on Kir.  The competition has blocked my development of this mine by smuggling a cargo of extremely dangerous animals onto the property.  I lost several workmen and dozens of droids to these rapaceous beasts.  The Imperial Army itself sent two different companies of stormtroopers to exterminate the monsters, but the only result was many more deaths.  They have since declared the area unsafe and washed their hands of the matter.  But I\'m not going to give in.  My father\'s enemies must not win.  I know that there are plenty of good, strong, skilled hands out there willing to band together and kill these terrible creatures.  Not only will I pay you handsomely for such service, but you would be fighting against the forces of greed and injustice in the galaxy.  Surely that is worth risking your life for?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '94', 'm24o', 'Kara Regallium of the Weald Mining Concern');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '95', 'm24s', 'You did it! I know my father is watching right now, and he must be proud of us all. I have faith again that the galaxy can be a just and caring place to live.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '96', 'm24t', 'Exterminate Murderous Creatures');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '97', 'm25d', 'One of our pilots has gone down. Imperial authorities are scouring the area and we need to extract him quickly. Unfortunately he crash landed in the middle of one of the most dangerous areas on the planet. Some extremely lethal creatures have forced him into hiding. We cannot retrieve him unless these creatures are dispatched. Therefore we are broadcasting this urgent plea for teams of freelance hunters to wipe out this threat before Imperial scanning crews find our pilot. Be warned, these creatures should be approached with the utmost caution. Only very experienced and well-equipped teams should attempt this mission. If you can meet this challenge, are ready to deploy quickly and think you can avoid Imperial entanglements, please contact us for the coordinates of the extraction zone.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '98', 'm25o', 'Alliance To Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '99', 'm25s', 'Thanks to your hard work, we managed to extract our pilot moments before the Imperial scanning teams detected him. Your skill and bravery are astounding. If you need further employment, please contact the Alliance. We can always use good hunters and fighters.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '100', 'm25t', 'Help Rescue Alliance Pilot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '101', 'm26d', 'When my daughter asks me for something, I give it to her. It\'s a weakness of mine to spoil her. This year I promised to build a grand pavilion for her annual Threld Eve party at any place of her choosing. Children being what they are, she has challenged me by selecting an area which contains the deadliest animals in the sector. What a little darling! So now I need a small army of hunters to venture into this perilous zone and take care of anything that might pose a threat to my precious girl. Mind you, this same area once claimed the lives of ten planetary engineers who were trying to construct a recycling station. But if you\'ve got the grit, here\'s your chance to earn a tidy fee and make a little girl happy in the process.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '102', 'm26o', 'Lord Quelfray');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '103', 'm26s', 'My dearest little daughter sends you a thousand kisses for making her Threld Eve wish come true. But I\'m sure you\'re more interested in these credits. Take them and enjoy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '104', 'm26t', 'Make Little Girl Happy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '105', 'm27d', 'We\'ve got the meanest, fiercest, most murderous collection of claws and teeth this side of Portmoak Sector! We have giant sand beetles, battle-trained dewbacks, bone-crunching rancors and even a krayt dragon or two! Who would dare face these terrible man-eaters in mortal combat? What sort of madmen would risk their lives solely for the entertainment of our audience? Our contestants, that\'s who! We\'re looking for the most daring, the most deadly, the boldest marksmen in the galaxy to face the grisliest terrors ever to stalk the public holoscreens! A generous prize is waiting for the team of derring-doers who survives the challenge of ... Galactic Gladiators! Do YOU have what it takes?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '106', 'm27o', 'Galactic Gladiators');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '107', 'm27s', 'Let\'s hear it for our new champions! Here is your fabulous cash prize! We hope you come back again for another round of ... Galactic Gladiators!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '108', 'm27t', 'Survive Deadly Combat and Win Prize!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '109', 'm28d', 'Who among the Empire\'s loyal citizens does not despise Rebel treachery? The Imperial Navy works tirelessly to hunt down traitors, and sometimes we require the faithful assistance of our civilian friends. We have identified a small landing bay used as a way station by Rebel warships. It is craftily hidden in a patch of wilderness stalked by some of the fiercest creatures in the sector, preventing stormtroopers from mounting an attack. We need a group of well-armed civilian hunters to penetrate this dangerous area and wipe out the most dangerous wildlife. Without wild animals to shield them, the unsuspecting Rebels will be forced to abandon their way station. As their ships flee, our Star Destroyers will be waiting. This coordinated effort will deliver a crushing blow to those who dare challenge the might of the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '110', 'm28o', 'Imperial Navy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '111', 'm28s', 'Rousing success! After you took down their wild accomplices, the Rebels evacuated the way station, and our Star Destroyers blew seven of their ships into so much orbital debris. The Empire thanks you for your good service. Here is your well-earned reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '112', 'm28t', 'Exterminate Wildlife for the Empire');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '113', 'm29d', 'Imperial injustice knows no limits. While we applauded a recent campaign to confiscate various dangerous animals from the greedy smugglers who distribute them through the galaxy, we were horrified to learn that the Empire \"disposed\" of these same deadly creatures by dumping them near inhabited regions on different planets. The threat posed by these fierce and often battle-trained animals is severe. That is why we have vowed to eliminate this danger to innocent lives. We are hiring professional hunters to face these lethal monsters. Their brave actions will be recorded by hovercams, to be used as yet more proof of the extent of the Empire\'s evil and corruption.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '114', 'm29o', 'Alliance To Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '115', 'm29s', 'The bravery of freedom-loving galactic citizens will always overcome the deceit and cruelty of Imperial schemes. You have done well. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '116', 'm29t', 'Confront Threat to Innocent Lives');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '117', 'm30d', 'I don\'t condone a governor taking military action outside of the sector over which he presides. For this reason I am in the market for a team of veteran hunters to undertake a mission on my behalf. I have located a den of bloodthirsty predators at the following coordinates. I am hoping to replenish my personal stock of large, dangerous animals, which I use for punitive and interrogatory purposes. Confront these creatures, provoke a battle, and determine exactly how dangerous they are. I shall not mince words -- these creatures are the most dangerous I could find. My hope is that some or all civilian operatives will be slain, proving that these beasts are worthy of inclusion in my private stock. Contact my office if you wish to participate. I am only interested in battle-ready operatives of the highest caliber.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '118', 'm30o', 'Moff Lunus');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '119', 'm30s', 'I would be lying if I said I am pleased by your success. You have demonstrated that even these terrible creatures may be overcome by the simple application of brute, unsophisticated force. I shall continue my search for non-sentient agents worthy of my stable. In the meantime, here is a modest payment for your services.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '120', 'm30t', 'Evaluate Threat Level of Wild Animals');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '121', 'm31d', 'It\'s unthinkable, but a notorious enemy of the Empire has fortified himself in the unlikeliest of places. The Rebels refer to this agent as the Mouse and spread ridiculous rumors that he is an MSE-6 droid. But no mouse droid could infilftrate such a dangerous wilderness region, tame a collection of extremely deadly predators, and employ them as trained bodyguards, all while conducting the operations of a dense, multi-system spy network. We know that the Mouse has access to our military communications, so we have decided to employ hunters against him. These hired guns will take down his bestial bodyguards and deliver this unrepentant traitor into our custody. Be advised that the creatures are extremely savage and supremely powerful.  No hunter should attempt this assignment alone. The Mouse is responsible for the demise of countless Imperial agents. A few hunters more will hardly make him blink.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '122', 'm31o', 'Imperial Intelligence');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '123', 'm31s', 'We are most impressed with your performance against the Mouse\'s savage guards. Even though he escaped you, we shall pay a portion of the bounty in compensation for your deadly performance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '124', 'm31t', 'Mission of Utmost Importance For Hunters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '125', 'm32d', 'The time we have dreaded is finally upon us. The rutting season has begun. From the deepest wilderness comes a plague of terrible creatures who foul our lands, destroy our property and kill our peaceful denizens. Every year the warriors among us band together to face this threat and drive these awful monsters away from our settlements. But last season we had trouble with the Empire. A storm of walkers robbed us of our strongest and bravest. Now we are left defenseless in the face of the coming onslaught. The Empire punishes our resistance by abandoning us to our fate. Are we doomed to die over Imperial cruelty? Is there no one out there who can come to our aid?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '126', 'm32o', 'The Settlement of Thraalcopse');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '127', 'm32s', 'Joy and jubilation! You have rescued us from the savagery of nature and the heartless cruelty of the Empire! Please take this reward and join us in our celebration of life!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '128', 'm32t', 'Protect Settlement From Terrible Tide');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '129', 'm33d', 'We attempted to resist the Empire. We marshaled every scrap of strength and bravery to resist their black tyranny, but alas, our cause was hopeless. Those who survived the utter devastation of our settlement were forced to flee into the wilderness. But the Empire is not content to devastate our people and steal our holdings. Now they pursue us, always keeping stormtroopers and AT-STs on our heels. They\'re herding us into the most dangerous part of the wild. They want the monsters of nature to finish us off. But we still cling to hope. We are sending out a call to any group of stalwart fighters who can proceed quickly to these coordinates and dispatch these terrible creatures before our children are driven into their slavering jaws. We can pay for this assistance, if payment is important to you. But please hurry! Our lives depend upon it!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '130', 'm33o', 'Settlement Displaced by the Empire');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '131', 'm33s', 'Between your astounding victory and the actions of our own warriors, we believe we have cleared the area of the most dangerous of its wild inhabitants. The Empire still dogs our heels, but at least we have struck a blow against them today. Take your reward and the gratitude of our children.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '132', 'm33t', 'Aid Desperate Refugees');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '133', 'm34d', 'It\'s a nightmare! My fellow droids and I are responsible for preparing the private resort of our master, Vonn the Hutt. But wild animals that have taken up residence near here, and our landscaping droids are terrified to attend the perimeter. Our security droid, BR-0D, so far has been unable to locate the creatures, though he has narrowed down the probable location of their lair. Our master will bring his own security forces, but I\'m afraid by the time he lands it shall be too late for us. I fear what punishment Master Vonn will devise when he sees that we have failed to complete the preparations for his arrival. Oh please, won\'t someone help us by getting rid of these awful creatures, before we are scrapped or worse? I am able to pay any fee from my master\'s maintenance account. Please contact me as soon as possible. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '134', 'm34o', 'Environmental Droid Em-8-Tee');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '135', 'm34s', 'Oh, hooray! We droids are saved. Your actions were most courageous. The taxidermy droid will blow a circuit when he sees what we have brought him.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '136', 'm34t', 'Prepare Resort for Vonn the Hutt');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '137', 'm35d', 'We have calculated an ideal site for a ground-based hyperspace listening station, so that we can monitor the activities of the Imperial Star Destroyers which have become so prevalent in this sector. The problem is that the area is infested with wild creatures that have so far repelled attempts at removal. We would simply bomb their lair into ashes, but we do not want to alert the local authorities of our activities. Instead we intend to hire hunters to enter the habitat of these creatures and eliminate their threat. These are no ordinary wild animals. They demand the efforts of a team of skilled professionals. And of course we require the utmost discretion, to avoid any Imperial entanglements.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '138', 'm35o', 'The Alliance To Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '139', 'm35s', 'You have our respect for a job well done. Our own fighters had trouble handling those beasts. Take your payment, and please remember your promise of discretion.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '140', 'm35t', 'Important Mission for the Alliance');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature.stf', '141', 'number_of_entries', '35');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_corellia.stf', '1', 'm1d', 'Not long ago we ran wilderness fake-fire training exercises for new recruits, and it worked same as always. A green farmboy ran around, so intent on putting a little dot of light on his buddy that he blundered right into some dimwitted carnivorous quadruped, and it disemboweled him on the spot. \"Give the recruits live blasters,\" you say? Oh yeah, I can\'t wait to see our casualty rate then. Makes more sense just to shoot the animals. Trouble is, the Imperial Intelligence officer liaising to our battalion is squeezing our operations budget pretty tight. But I can hire an independent strike team out of my discretionary office-supplies fund, so go to it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_corellia.stf', '2', 'm1o', 'Corellian Security Force, Sixth Regiment Fourth Batallion');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_corellia.stf', '3', 'm1s', 'Acknowledged. That\'s optimal. We\'ll be restarting the fake-fire exercises ASAP. This time I expect the recruits to stay alive, except for the ones that trip over their own damfool feet and break their neck.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_corellia.stf', '4', 'm1t', 'Training Ground Has Hostile Quadrupeds');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_corellia.stf', '5', 'm2d', 'We\'ve had what I\'d call a communications snafu. We\'re stationed out here in the wilderness as part of a big training exercise with mock casualties, but we\'re getting actual real injuries from what looks like actual real animals. I\'ve worked my bloodstripes into a knot trying to get our resident Imperial Intelligence liaison goof to see the problem, but my little X-Wing messages aren\'t even making it onto his Death Star trench radar, if you take my idiom. Where I\'m going with this is, it would really polish my helmet if you could take out these animals. I\'m having to go outside military protocol here, but I can rustle up some credits for you from the ion-beamer recharge budget.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_corellia.stf', '6', 'm2o', 'Corellian Security Force Mobile Medical Unit 4-077');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_corellia.stf', '7', 'm2s', 'Friend, you have slammed the proton torpedo down this animal problem\'s exhaust port! I\'m as pleased as Palpatine\'s power gloves, believe you me. Whoops, gotta go.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_corellia.stf', '8', 'm2t', 'Mobile Hospital Animal Problem');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_corellia.stf', '9', 'm3d', 'Our Recon unit recently completed a wilderness training exercise. It all went well until we did a head-count back at base and discovered one soldier went missing. We ran a transponder check and there he was, stuck out in mid-nowhere with a broken leg and a bunch of hungry animals gathering. The 224th has always worked from the principle \"Leave no one behind,\" but we\'re shipping offworld real soon, and our Imperial Intelligence liaison doesn\'t care who we leave. I\'m going outside the usual channels to rescue my buddy, but I can\'t do it alone. You go in and dispose of the animals, and I\'ll do the rescue work. There\'s money for you if you move quick!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_corellia.stf', '10', 'm3o', 'Corellian Security Force 224th Recon Patrol Squad');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_corellia.stf', '11', 'm3s', 'Acknowledged. Thanks for helping me rescue my buddy, and here\'s your pay. Gotta get back before they discover we\'re gone.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_corellia.stf', '12', 'm3t', 'Rescue Recon Buddy From Animals');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_corellia.stf', '13', 'm4d', 'Our union members might ordinarily use their vacation time to do their bit for freedom on Corellia and in the galaxy, but that\'s out because our union takes no position on the Galactic Civil War. So we pick berries instead. Recently a worker in our chapter was in the wilderness picking hsuaberries, and by pure coincidence he wandered too close to an Imperial outpost. Because he happened to be carrying explosives, they got all worked up and chased him. To lose the pursuit, he hid in an animal den. He didn\'t know much about wild animal taming, so he had to leave abruptly. Since his return home, we\'ve been thinking that den would make a nice base for our berry-picking activities, if only some strike team would clean out the current occupants. Interested?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_corellia.stf', '14', 'm4o', 'Corellian Shipbuilders Union Local 44908');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_corellia.stf', '15', 'm4s', 'Nice work, friend! You\'ve got the stuff of which a true berry-picker is made. Hope you see fit to join our Berry-Picking Alliance before long.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_corellia.stf', '16', 'm4t', 'Lair Suitable For Berry-Picking');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_corellia.stf', '17', 'm5d', 'Our company specializes in personal defense systems. To test a new prototype, we attached it to the protocol droid that manages our office, then sent the droid into remote wilderness. Seems there was a design flaw in the prototype, because the droid ran into some animals, and since then we haven\'t heard back. We\'re writing off the droid, but we need that prototype. Staffers are busy right now checking our earlier models for the same design flaw, so we\'re hiring you to go and destroy the animals around the droid\'s last known coordinates. If you see the prototype, pick it up; otherwise, we\'ll fetch it later.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_corellia.stf', '18', 'm5o', 'Corellian Technologies');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_corellia.stf', '19', 'm5s', 'Guess what? The droid stumbled in a while ago, still carrying the prototype. Looks like the design flaw was in the comlink, not our defense unit. But you did good work, so we\'re paying you anyway.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_corellia.stf', '20', 'm5t', 'Recover Personal Defense Prototype');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_corellia.stf', '21', 'm6d', 'Over the millennia CEC has learned to move its prototype testing grounds rapidly and often, to discourage industrial and military espionage. We have located a desirable new site for a testing facility in the Corellian wilderness. Our construction droids can erect the facility in a day or so, but first our insurance carriers require us to render the area safe for habitation. Therefore we are hiring experienced teams of hunters to destroy all dangerous animals found at the site\'s coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_corellia.stf', '22', 'm6o', 'Corellian Engineering Corporation');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_corellia.stf', '23', 'm6s', 'We oversaw your progess and were pleased at the result. Your fee is attached. Thank you for doing business with CEC.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_corellia.stf', '24', 'm6t', 'Testing Facility Requires Animal Removal');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_corellia.stf', '25', 'm7d', 'Recently one of our leading instructors went on a recreational wilderness trip. In surveying the local wildlife, she fell afoul of certain large and dangerous specimens. Though she escaped safely, she dropped her datapad, which contained irreplacable information regarding a new starship design. She wishes to retrieve the datapad, but must first be assured of safety. The School of Starship Engineering has secured funding for an expedition, on the pretext that we are studying the death modes of these animals. A hovercam will record the data for purposes of the grant, but don\'t worry about the externalities of the assignment. Please just clear out that lair.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_corellia.stf', '26', 'm7o', 'Corellia University School of Starship Engineering');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_corellia.stf', '27', 'm7s', 'Thank you. We have recovered the datapad. Now must deal with the University regents\' pointed inquiries into the nature of our expedition. Here is your fee.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_corellia.stf', '28', 'm7t', 'Study Animal Death Modes');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_corellia.stf', '29', 'm8d', 'It\'s common knowledge that Corellians are the best discreet-shipping experts in the galaxy. When we open our planet\'s shipping lanes to offworlders, we risk shoddy work and a general lack of professionalism. The consequences can be appalling. For example, there\'s a collection of dangerous creatures rampaging through the countryside, threatening farmers and other honest citizens. These animals were dumped by operatives of the Open Shipping Consortium, the foremost advocates of non-Corellian freighters in this sector. The Consortium\'s records conveniently neglect to mention this crime, but we know better. For the good of everyone, the CDSICoC must now rectify the OSC\'s mistake. We are hiring hunters to eliminate these creatures, left behind by uncaring offworlders. Responsible citizens are encouraged to join in this effort and send a message that the disreputable shipping practices of offworld freighters are not welcome here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_corellia.stf', '30', 'm8o', 'Corellian Discreet Shipping Industry Chamber of Commerce');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_corellia.stf', '31', 'm8s', 'Excellent work. Through the combined efforts of native Corellians and right-thinking offworlders, we can send a message to the Open Shipping Consortium that only the highest degree of professionalism is acceptable in this system.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_corellia.stf', '32', 'm8t', 'Open Shipping Consortium Menace Again');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_corellia.stf', '33', 'm9d', 'Independent commerce is the backbone of Corellian culture. Every sentient being should be free to make his way in the universe. The Open Shipping Consortium seeks to enrich this system\'s discreet-shipping climate with fresh ideas, technology and manpower. But despite these long-held traditions, the so-called Corellian Discreet Shipping Industry Chamber of Commerce is determined to exclude immigrant species from participating in the rich festival of Corellian prosperity. Furthermore they engage in criminal activities to undermine the credibility of the OSC. Recently the CDSICoC dumped several cargoes of native Corellian wildlife into populated areas and blamed the situation on us. Well, the OSC will not stand for this corruption. To prove our commitment to planetary safety, we will contract hunters to get rid of these displaced animals. Citizens who believe in freedom and open commerce may use this opportunity to take a stand. Corellia will not be controlled by a band of criminals who seek power and money while wearing the mask of patriotism!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_corellia.stf', '34', 'm9o', 'The Open Shipping Consortium');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_corellia.stf', '35', 'm9s', 'Good job! You have struck a blow for freedom. To preserve the tenets of independent commerce, the Open Shipping Consortium must smash the hold of corrupt factions like the Corellian Discreet Shipping Industry Chamber of Commerce.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_corellia.stf', '36', 'm9t', 'Powermongers Throttle Free Commerce');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_corellia.stf', '37', 'm10d', 'These Corellian freighters think they\'re the tough guys of the galaxy, but they\'re knee-deep in humbaba manure. Sure they\'re good at ducking homebody Imperial ships, but the Outer Rim is where the New Order does the real dirty work. Tarkin was no picnic and his replacements are worse, and that\'s not even mentioning the Hutts. So I\'ve got no sympathy for Corellian cowards who dump their cargo at the first sign of trouble. But let me cut to the chase: I\'m on this planet to procure some dangerous animals for my employer on Tatooine. The freighter I hired ejected this cargo when an Imperial cruiser blinked at him. The animals are fine, but I\'ve heard the pilot intends to pick them up again and continue on his way as if nothing were amiss. I don\'t think so. He almost gave me away. He must be taught a lesson. The pilot I\'ll handle personally, but I need someone to go out and destroy the animals before he can pick them up again. These Core World spacers have to learn that we don\'t abide cowardice in the Outer Rim.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_corellia.stf', '38', 'm10o', 'A Businessman From Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_corellia.stf', '39', 'm10s', 'Nice. You\'re not bad with that weapon. If you ever make it to Tatooine, look me up. I might have more work for you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_corellia.stf', '40', 'm10t', 'Help Punish Cowardly Corellian');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_corellia.stf', '41', 'm11d', 'Sometimes a Bothan reaches his limit, and then there\'s hell to pay. I run a shuttle business between Coronet and Tyrena. The nature of my clientele sometimes requires me to make detours from my documented flight path. Lately I\'ve been harrassed by a competitor with a strong presence in the less-populated regions of Corellia. He\'s been driving dangerous animals into my designated landing zones, presenting a serious threat to myself, my crew and my clientele. I\'ll handle my competitor separately, but I need one or more hunters to take out the den of creatures that\'s plaguing me. These animals won\'t be easy to kill, so make sure you\'re well-armed. I\'ll pay you well if you do it quickly.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_corellia.stf', '42', 'm11o', 'A Bothan On the Edge');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_corellia.stf', '43', 'm11s', 'Very nice indeed. You\'d make a good security agent for a shuttle business like mine. Maybe I\'ll have a look at my budget and see what I can do.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_corellia.stf', '44', 'm11t', 'Tired of Unscrupulous Competitor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_corellia.stf', '45', 'm12d', 'We\'re just a simple farming community, but we have a few vocal Alliance supporters among us, and so the Empire brands us as enemies. We are located on the migration route of several large animal species. Every year we require CorSec to assist us in making sure these animals do not stray into our fields. But this year the Empire has bound CorSec\'s hands, ordering them not to influence the migrations. Our people will be endangered and our crops destroyed if someone doesn\'t help us by driving off these wild animals. We are in desperate need. Can anyone out there help us? Money doesn\'t matter. We just need someone to exterminate any animals that have migrated into our designated buffer zone. If you can do this for us, contact us and we\'ll send you the coordinates of the buffer zone.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_corellia.stf', '46', 'm12o', 'A Farming Community In Need');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_corellia.stf', '47', 'm12s', 'We cannot thank you enough! As simple farmers we don\'t have the same resources as more industry-minded Corellians. We rely upon the aid of brave beings like you when our community is threatened.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_corellia.stf', '48', 'm12t', 'Protect Us From Imperial Treachery');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_corellia.stf', '49', 'm13d', 'Ah, Corellia, the very wellspring of maverick commerce. This planet occupies a special place in my heart. It\'s a world both of great beauty and of great opportunity. But onto the business at hand. An erstwhile employee of mine has failed to comply with certain payment arrangements we made upon his departure. I have come to extract interest on the missed payments. Said ex-employee, you see, has a fondness for wildlife. He has used the wealth he acquired in my service to buy himself a patch of Corellian dirt. That is why I am contracting skilled and discreet gunmen to find their way onto his property and slay whatever creatures they find. It\'s an ugly job, but business is business. We musn\'t encourage fiscal irresponsibility, especially not here on Corellia, where honesty and forthrightness are held in the highest regard. Don\'t you agree?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_corellia.stf', '50', 'm13o', 'Black Sun: Vigo Green');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_corellia.stf', '51', 'm13s', 'Very well done. Have I hired you before? You have the skill and the guts to be a player yourself. You would make an excellent asset to my organization.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_corellia.stf', '52', 'm13t', 'Extract Interest on a Payment');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_corellia.stf', '53', 'm14d', 'Sure I spend a lot of time on Naboo, even for a spacer, but that\'s not your problem. I\'m contacting you because my family\'s land has been overrun with wild creatures since I\'ve been offworld for so long. I\'m seriously considering bringing a guest back to Corellia and I can\'t have these blasted animals sniffing around, trying to make lunch out of us. I\'d do the job myself, but I\'ve got freight due on Talus in three days. Just see what you can do about this. I know you\'re good enough to finish the job. You know I\'m good for the money to pay you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_corellia.stf', '54', 'm14o', 'Thanus March, Freelance Spacer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_corellia.stf', '55', 'm14s', 'I knew I could count on you, kid. Now I\'m clear to bring my guest from Naboo. Here\'s some of the money I picked up for my latest Talus run. Have fun with it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_corellia.stf', '56', 'm14t', 'My Friend, I\'ve Got a Wildlife Problem');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_corellia.stf', '57', 'm15d', 'Not long ago Imperial inspectors arrived in Coronet to check out some alleged contraband. We told them the coordinates of a suspected smuggling depot outside the city. Oddly, after our technicians had just completed maintenance on their jump shuttle, the inspectors crashed near the depot. Truly it was a sad day here at the CorSec offices. Quite to our horror, the bodies of these Imperial agents were devoured by local scavengers. This tragic incident had come to a close, or so we thought, until our monitors detected a small distress beacon transmitting from that area. Apparently one of the inspectors was carrying the device on his person. This beacon now resides in the belly of some wild animal. CorSec requires someone to track down the beacon and incinerate the animal carrying it before Imperial ships detect the distress signal. Can you help us?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_corellia.stf', '58', 'm15o', 'Corellian Security Force');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_corellia.stf', '59', 'm15s', 'Handy work, citizen. The distress beacon ceased transmitting when you killed that last creature. What incredibly bad luck that those Imperial inspectors crashed so close to a lair of highly dangerous animals. Perhaps it will behoove Imperial inspectors to be more careful in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_corellia.stf', '60', 'm15t', 'Situation We Need to Resolve Quietly');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_corellia.stf', '61', 'number_of_entries', '15');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_naboo.stf', '1', 'm1d', 'Who does not thrill to see the peko-peko winging its powerful way across the sky? The uniqueness of this magnificent reptavian\'s beauty is matched only by the flavor of Keren Farms Jut Nut Exquisite Select Roast, the beverage of discerning Theed aristocrats. The seed of the jut nut, relieved of its toxicity after passage through the peko-peko intestinal tract, is salvaged from the freshest droppings, meticulously cleaned, and roasted to perfection. But now a tragic incursion of savage predators threatens this season\'s Jut Nut ESR crop, due to their relentless attacks on the peko-peko population. Keren Farms offers a handsome reward to willing teams of hunters.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_naboo.stf', '2', 'm1o', 'Keren Farms Jut Nut Orchards');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_naboo.stf', '3', 'm1s', 'Your attention to this matter has rescued the peko-peko, the jut nut crop, the Keren Farms Jut Nut Exquisite Select Roast production season, and the drinking pleasure of the aristocracy. Many thanks, and stop in for a complimentary cup.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_naboo.stf', '4', 'm1t', 'Naboo\'s Jut Nut Crop Endangered');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_naboo.stf', '5', 'm2d', 'Naboo settlers believe in living lightly on the landscape, in peaceful coexistence with nature. However, current creature activity in areas due for settlement has passed all normal records. Unknown Gungan activities may be driving the creatures into new hunting grounds. Whatever the reason, we must take steps to control the predator population. Experienced strike teams may contact this office for coordinates of large predator packs.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_naboo.stf', '6', 'm2o', 'The Royal Advisory Council');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_naboo.stf', '7', 'm2s', 'The Council thanks you for your help in controlling the predator population. Many settlement issues remain unresolved, so we may have further contracts soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_naboo.stf', '8', 'm2t', 'Royal Council Seeks Settlement Protection');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_naboo.stf', '9', 'm3d', 'Surveyors report unusual creature attacks in outlying areas. Naboo settlers respect wildlife and avoid habitat destruction, but some unknown phenomenon -- perhaps a disease -- is driving predators to amazing ferocity. We have researchers working on the problem, but in the immediate term we need hunting teams to control the largest predator packs. Experienced teams may contact this office for coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_naboo.stf', '10', 'm3o', 'The Royal Advisory Council');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_naboo.stf', '11', 'm3s', 'The Council thanks you for your help in controlling the predator population. The mystery of the attacks remains unresolved, so we may have further contracts soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_naboo.stf', '12', 'm3t', 'Royal Council Seeks Help In Predator Attacks');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_naboo.stf', '13', 'm4d', 'Security operatives have found evidence that pirates are establishing new bases in the Naboo countryside. Reports indicate that the pirates drive predatory animals from the vicinity of their bases toward settled areas, in hopes of producing chaos to distract security from criminal activities. The Royal Security Forces are combating this tactic by contracting with independent hunting teams to control the predators. This office will provide target coordinates to experienced parties.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_naboo.stf', '14', 'm4o', 'The Royal Security Forces');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_naboo.stf', '15', 'm4s', 'We thank you for your prompt attention to the pirates\' creature-diversion tactic. We shall continue to combat this technique in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_naboo.stf', '16', 'm4t', 'Naboo Pirates Using Creatures');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_naboo.stf', '17', 'm5d', 'Naboo security personnel report that smugglers are now, for lack of a better term, brainwashing wild animals. The smugglers implant control devices in the nervous system of a predator or other valuable beast. The controller forces the animal to journey overland to the smugglers\' chosen destination, where accomplices destroy it and harvest the desired hide or meat. This saves the smugglers the trouble of transporting the carcass themselves. These smugglers have ways of detecting Royal Security Forces, perhaps through inside accomplices. Therefore, we are hiring experienced hunting teams to stop the creatures before they reach the smugglers\' destination. Contact this office for coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_naboo.stf', '18', 'm5o', 'The Royal Security Forces');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_naboo.stf', '19', 'm5s', 'You have the Security Forces\' thanks for your efforts in controlling the smugglers\' brainwashing of animals. We shall continue our fight against this barbaric tactic.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_naboo.stf', '20', 'm5t', 'Naboo Smugglers Brainwashing Animals');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_naboo.stf', '21', 'm6d', 'An unusual request from offworld has been forwarded to the Music Advisor\'s office. The Deftoi of Muntro VI in the Outer Rim are staging their decennial Otherworld Arts Festival. A new composition in their quasi-operatic ceremonial artform, which their formal request translates roughly as \"highmind stagecraft,\" dramatizes a bloody period in Naboo\'s history before the Great Time of Peace. The production requires carcasses of certain Naboo animals, which they evidently plan to animate onstage by unspecified means. This office has little experience in hunting animals. If you will destroy the animals at these coordinates, administrators will obtain and ship the specimens afterward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_naboo.stf', '22', 'm6o', 'Office of the Music Advisor of Naboo');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_naboo.stf', '23', 'm6s', 'The Music Advisor\'s office will dispatch a recovery team at once to ship the bodies to Muntro VI. Meanwhile, because the condition of the bodies is apparently irrelevant to the Deftoi, you may take what you wish from the prey.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_naboo.stf', '24', 'm6t', 'Arts Festival Requires Naboo Animals');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_naboo.stf', '25', 'm7d', 'Animal activity threatens to increase tension between the Naboo and Gungan peoples. Both cultures place high priority on humane treatment of wildlife, but they differ in the means they employ to control predators. Gungan representatives are protesting the Naboo government\'s program to relocate predators from human-settled areas to remote wilderness -- \"remote\" to humans, but often important to Gungans. To reduce tension, the government is phasing out its relocation program and hiring independent hunters to cull especially dangerous packs of predators. Experienced teams may contact the Governor\'s Office for coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_naboo.stf', '26', 'm7o', 'Office of the Governor of Naboo');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_naboo.stf', '27', 'm7s', 'The Governor thanks you for your attention to this sensitive matter. This office is confident that future relations between the Naboo and the Gungans will improve.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_naboo.stf', '28', 'm7t', 'Reduce Tension Between Naboo and Gungans');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_naboo.stf', '29', 'm8d', 'The trouble with a planet like Naboo is, the wildlife is so prolific that there\'s no glamor in hunting it. I make my living taking rich Theedsiders into the wilderness to hunt large, dangerous animals. But my skills seem extraneous when the animals simply wander past base camp, waiting to be shot. I\'ve struck on a plan to rectify this issue. I want to hire a strike team to visit my preferred hunting grounds and weed out the more prolific target species. That way we\'ll have to hunt down the survivors, and my clients will get their credits\' worth. So if you\'re good with a blaster and want to have fun in the wilderness, let me know. I\'ll send you some coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_naboo.stf', '30', 'm8o', 'Gerrio Coronis of Theedside Safaris');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_naboo.stf', '31', 'm8s', 'I didn\'t expect you to find any animal lairs quite so dangerous. You did the job anyway, which is commendable. I hope you left at least one or two for me, though.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_naboo.stf', '32', 'm8t', 'Thin Wildlife In Hunting Grounds');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_naboo.stf', '33', 'm9d', 'Our mineral scanners have isolated a splendid vein of untapped orichale. We intend to mine it as quickly as possible, to meet increased demand from the Imperial Navy shipyards. As it happens, though, the vein is untapped largely because the area is inhabited by a proliferation of unsavory creatures. We\'ve lost many droids and an entire team of Naboo field men to these rampaging animals. We are therefore hiring a team of veteran hunters to obliterate these beasts once and for all. We will pay handsomely for unalloyed success.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_naboo.stf', '34', 'm9o', 'Alpha Sierra Mining Corporation, Naboo Division');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_naboo.stf', '35', 'm9s', 'You have done your job very well. We trust this payment will be sufficient. Now we can proceed with our plans to mine for orichale.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_naboo.stf', '36', 'm9t', 'Obliterate Dangerous Naboo Animals');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_naboo.stf', '37', 'm10d', 'Not for more dan forty years have de Gungan people been open with de outside worlds. Wesan elders not thinken dat bees much time, but oursan younglens have changen too much because of de outlaunders. Whysa de younglens spenden so much time thinken about de starships and skyspeeders instead of de bongos and boomers? Dey brains bees trapped by desan HoloNet gamen and galactic holograms and stinkowiff mackineeks. \n\nWesan elders of Otoh Gunga have deciden to do something. Since oursan younglens enjoy watchen yousan outlaunders, wesa going to pay some outlaunders to go on a wilde animale hunt, liken de Gungans of old used to do. Maybe oursan will see desan acts of bravery by outlaunders and start thinken dat Gungans should hunt again, too. Wesa want to see Gungan younglens riden de kaadus and usen de boomers and atlatls. If yousa bees una outlander and yousa thinken yousa would make a bombad hunter, wesan elders can senden da coordinatees of some bigge animale to hunt. Wesa going to record yousa adventures on a hologram and show it to oursan younglens. Yousan will be well paid for desan good services.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_naboo.stf', '38', 'm10o', 'Brass Fajallan of Otoh Gunga');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_naboo.stf', '39', 'm10s', 'Yousa done well, outlaunder! Dat was no simple job yousa performed. Yousa always welcome at Otoh Gunga. Maybe now oursan younglens will getten off dey heyblibbers and beesa warriors again, like yous.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_naboo.stf', '40', 'm10t', 'De Gungan Younglens Are Needen Inspiration');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_naboo.stf', '41', 'm11d', 'We are sad to report the loss of a party of Toydarian explorers near the following coordinates. These stalwart adventurers penetrated the wilds of Naboo armed only with ion blasters and their own reckless bravery. They must have underestimated the size and impact of our planet\'s wild fauna, as their last transmission was an unbridled expression of shock and dismay. Droid scouts have reported no sign of living Toydarians in the region. Now comes the grim task of surveying the local wildlife to determine the fate of these diminutive visitors to our star system. We require teams of experienced hunters to travel to the lairs of selected animal populations and liquidate the life forms within. Afterward we shall dispatch forensic droids to cut open the carcasses and determine the contents of their stomachs. Only in this way may we bring closure for the grieving families of these little, winged heroes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_naboo.stf', '42', 'm11o', 'The Royal Security Forces');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_naboo.stf', '43', 'm11s', 'You performed your duties well, though we did not find the Toydarian explorers inside those particular animals. We must persist until this dark task is completed. The widows of the fallen Toydarians are keening in our offices. Have you ever heard a Toydarian widow keen? This matter cannot be resolved too quickly.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_naboo.stf', '44', 'm11t', 'Bring Closure to Toydarian Tragedy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_naboo.stf', '45', 'm12d', 'As is no doubt common knowledge across Naboo, His Excellency Lord Felmarath of Theed recently lost his daughter Zawe to a tragic death. A cruel pack of wild predators beset her as she rode her guarlara not far from His Excellency\'s country estate. In accordance with his personal code of honor, Lord Felmarath has ordered the execution of all dangerous animals in the vicinity of this estate. Funds are available to compensate all hunters who can prove that they have exterminated a reasonable population of large creatures. As His Excellency\'s property contains many animals of considerable peril, hunters are warned not to pursue these bounties flippantly. He does not wish for any more deaths to result from this affair.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_naboo.stf', '46', 'm12o', 'Master Waymo Rion of Lord Felmarath\'s Estate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_naboo.stf', '47', 'm12s', 'Excellent. You have earned your bounty. But some animals are still alive. Lord Felmarath will soon hire more hunters to sweep the area until the last one is found and destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_naboo.stf', '48', 'm12t', 'Avenge Daughter of Lord Felmarath');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_naboo.stf', '49', 'm13d', 'If you spend a lot of time offworld, you may not know about the strange weather we\'ve been experiencing. Stellar flares are responsible for a moisture inversion that has brought rains to dry areas and reduced water levels in the lowlands. This climatological chaos has resulted in an overabundance of wildlife in regions where it is normally under control. While we are applying for the intervention of Imperial weather shields to block the stellar flares, we are employing more direct methods to regain control of the wildlife populations. We are contracting hunters to thin out groups of large, prolific and/or dangerous animals in certain areas. If you qualify to participate in this reclamation campaign, contact planetary authorities as soon as possible. We can stave off disaster, but only if we act promptly.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_naboo.stf', '50', 'm13o', 'Naboo Environmental Council');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_naboo.stf', '51', 'm13s', 'We did not expect such a dangerous group of animals at that location! Your pay is scaled in accordance with the difficulty of the work. You have done very well indeed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_naboo.stf', '52', 'm13t', 'Flares Disrupt Naboo Animal Populations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_naboo.stf', '53', 'm14d', 'Even decades later, the Trade Federation\'s invasion of Naboo haunts our peaceful planet. We have received reports that a squad of droidekas has awakened from a buried cache, most likely due to a random signal matching its trigger frequency. While our own forces are tracking down the destroyers themselves, we require the expertise of skilled hunters to eliminate many larger animals driven from their habitats by these errant war machines. We can provide the coordinates of trouble spots to anyone intersted in helping us with this endeavor. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_naboo.stf', '54', 'm14o', 'The Royal Security Forces');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_naboo.stf', '55', 'm14s', 'We suspected that those creatures were large enough to pose a threat to local settlements. You have done the planet a tremendous service by helping to clean up this mess left by the Trade Federation.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_naboo.stf', '56', 'm14t', 'Old Droidekas Spook Naboo\'s Wildlife');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_naboo.stf', '57', 'm15d', 'This office has embarked upon a bold engineering scheme. A system of power relay antennae is to be constructed in various unsettled regions of Naboo. These antennae will redirect energy transmissions from the power core at Theed to travellers stranded in dangerous, unpopulated areas across the planet. Construction of these antennae, however, is not trivial. The regions that most need antennae are inhabited by creatures that threaten travellers. Many survey droids have been lost scouting for appropriate sites. Therefore this office is hiring hunters who can remove these wild threats long enough for our droids to complete these surveys. Contact this office for coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_naboo.stf', '58', 'm15o', 'Office of the Chief Architect of Naboo');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_naboo.stf', '59', 'm15s', 'This office is pleased to reward you for the successful completion of your contract. If you are available for such missions in the future, please notify this office forthwith.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_naboo.stf', '60', 'm15t', 'Naboo\'s Bold Engineering Scheme');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_naboo.stf', '61', 'number_of_entries', '15');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_non_persistent_from_npc.stf', '1', 'm1d', 'Some creatures are simply abominations -- nightmares given life by a cruel and sinister universe. If only these beasts would remain in the dark, we would have no problems. But they do not. Will you help me force some of these monsters back into the shadow?  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_non_persistent_from_npc.stf', '2', 'm1o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_non_persistent_from_npc.stf', '3', 'm1s', 'A thousand thanks, my friend. You are brave and strong -- a beacon of light in an otherwise murky universe. You\'ve earned your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_non_persistent_from_npc.stf', '4', 'm1t', 'Fight the Shadows');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_non_persistent_from_npc.stf', '5', 'm2d', 'I\'ve warned the Imperial Environmental Preservation & Refocusing Authority that their activities would throw delicate ecosystems out of balance. Their efforts have deprived dangerous predators of their natural food source, and now the locals must get help to eliminate them. Will you help? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_non_persistent_from_npc.stf', '6', 'm2o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_non_persistent_from_npc.stf', '7', 'm2s', 'I don\'t know what our community would have done without you. You\'re a stalwart hunter, make no mistake. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_non_persistent_from_npc.stf', '8', 'm2t', 'Become a Mighty Hunter');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_non_persistent_from_npc.stf', '9', 'm3d', 'Feel like a challenge, citizen? Several hunters have already tried to wipe out a particularly dangerous creature lair near here. The lucky ones gave up. If you can accomplish this feat, I\'ll make sure you\'re properly compensated.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_non_persistent_from_npc.stf', '10', 'm3o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_non_persistent_from_npc.stf', '11', 'm3s', 'I am most certainly impressed. How\'d you pull that off? Resourceful type, aren\'t you? As promised, the generous reward is yours.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_non_persistent_from_npc.stf', '12', 'm3t', 'Into the Creatures\' Den');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_non_persistent_from_npc.stf', '13', 'm4d', 'If you\'d like to tackle a mission that would make even the toughest Trandoshan go greener with envy, try taking out the monsters that have been plaguing nearby communities. These beasts are killers! If you pull this off, you\'ll rake in the credits.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_non_persistent_from_npc.stf', '14', 'm4o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_non_persistent_from_npc.stf', '15', 'm4s', 'Good work, mighty hunter! I bet those creatures didn\'t have any idea who they were messing with. To the victor go the spoils. Enjoy!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_non_persistent_from_npc.stf', '16', 'm4t', 'A-Hunting You Will Go');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_non_persistent_from_npc.stf', '17', 'm5d', 'Having tourists eaten by savage predators is sooo bad for business. The local tourism association has raised a generous reward, payable to the hunter that can rid us of these vicious beasts. Is that hunter you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_non_persistent_from_npc.stf', '18', 'm5o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_non_persistent_from_npc.stf', '19', 'm5s', 'You\'re not secretly a Jedi, by any chance? Only a being of exceptional strength and skill could have done what you did. Congratulations. You\'ve earned this reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_non_persistent_from_npc.stf', '20', 'm5t', 'Monsters Bad For Business');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_non_persistent_from_npc.stf', '21', 'm6d', 'Bleeding heart conservationists prevented the legitimate hunting of several dangerous predatory species. Now there are too many of them, and they\'re encroaching on our settlements. We sure could use your help in controlling their numbers.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_non_persistent_from_npc.stf', '22', 'm6o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_non_persistent_from_npc.stf', '23', 'm6s', 'Well done, friend! You\'re a champion of the people. This reward should be proof of our gratitude. Ever consider doing this for a living? Or do you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_non_persistent_from_npc.stf', '24', 'm6t', 'Conservationists Create Problems');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_non_persistent_from_npc.stf', '25', 'm7d', 'Despite all my efforts to stop them, the savage monsters that murdered my family months ago continue to plague this area. Help me stop them, citizen. You\'re my only hope.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_non_persistent_from_npc.stf', '26', 'm7o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_non_persistent_from_npc.stf', '27', 'm7s', 'Someone finally did it! Those beasts are destroyed at last and our community is safe. You\'ve earned this reward, friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_non_persistent_from_npc.stf', '28', 'm7t', 'Stop Murderous Monsters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_non_persistent_from_npc.stf', '29', 'm8d', 'Whatever is terrorizing my homestead, it\'s mean enough to kill three hired guards and dismantle a platoon of security droids. I need someone to track it down and wipe it out. Take whatever associates you need for the job. I\'ll defray the costs, just get the job done.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_non_persistent_from_npc.stf', '30', 'm8o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_non_persistent_from_npc.stf', '31', 'm8s', 'I can\'t believe you actually managed to wipe that thing out. Amazing. Your payment is given with my heartiest thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_non_persistent_from_npc.stf', '32', 'm8t', 'Something Hunts In the Night');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_non_persistent_from_npc.stf', '33', 'm9d', 'It took nearly all my resources, but I finally located the murderous creature that took my parents from me! I\'m willing to pay you all I have left if you\'ll take whatever armaments you need and kill that hellish beast once and for all!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_non_persistent_from_npc.stf', '34', 'm9o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_non_persistent_from_npc.stf', '35', 'm9s', 'You have done more than just kill a wild animal. You have avenged two good people. I\'ve deposited all I have left. I would give you more, if only I had it. At last I shall rest easy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_non_persistent_from_npc.stf', '36', 'm9t', 'Avenge Murdered Parents');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_non_persistent_from_npc.stf', '37', 'm10d', 'The planetary ecosystem is in a shambles after some disruptive animals were set loose. The authorities will pay a considerable bounty to anyone who can blast these dangerous creatures into component muscle fibers. And I\'ll get a finder\'s fee myself. You look like you\'re up to this job.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_non_persistent_from_npc.stf', '38', 'm10o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_non_persistent_from_npc.stf', '39', 'm10s', 'Incredible! You took care of the problem far quicker than anyone expected. You earned this bounty with style. And thanks for bagging me the finder\'s fee, too.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_non_persistent_from_npc.stf', '40', 'm10t', 'Get That Critter Bounty');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_non_persistent_from_npc.stf', '41', 'm11d', 'Business is bad, and it\'s the Empire\'s fault. Their \"xenobiologists\" dumped a load of dangerous monsters on our land. I\'m dropping hoversleds and load lifters faster than grumph scales in molting season. I\'ll pay you handsomely if you can obliterate these creatures so I can get back on schedule.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_non_persistent_from_npc.stf', '42', 'm11o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_non_persistent_from_npc.stf', '43', 'm11s', 'At last my business can get back on schedule. Nice work, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_non_persistent_from_npc.stf', '44', 'm11t', 'Help Aggrieved Businessman');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_non_persistent_from_npc.stf', '45', 'm12d', 'Awful creatures have migrated into the area around my village. If someone doesn\'t handle them soon, we could be overrun! We\'re a peaceful village. We have no weapons. Please, can you do something to save us? We can pay you, though we don\'t have much to spare.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_non_persistent_from_npc.stf', '46', 'm12o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_non_persistent_from_npc.stf', '47', 'm12s', 'How wonderful! You have given hope to those who have none! We emptied our village medical funds to pay you, but you have more than earned it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_non_persistent_from_npc.stf', '48', 'm12t', 'Save Peaceful Village');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_non_persistent_from_npc.stf', '49', 'm13d', 'My studies show that the planet\'s natural radiation shielding has been damaged by the gaseous emissions of certain large carnivores in the wild. In the interest of the planetary environment, I shall pay you a large sum of credits to remove some of these unwholesome creatures from the ecosystem. Interested?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_non_persistent_from_npc.stf', '50', 'm13o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_non_persistent_from_npc.stf', '51', 'm13s', 'Most satisfactory. I could never have accomplished that myself. Perhaps I\'ll be in touch with you again soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_non_persistent_from_npc.stf', '52', 'm13t', 'Aid the Environment');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_non_persistent_from_npc.stf', '53', 'm14d', 'The Periodic Overland Migration is on again. Predators are already gathering to follow the herd. The community council wants to hire hunters to eliminate a pack of them before they menace this area. Can you take care of this?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_non_persistent_from_npc.stf', '54', 'm14o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_non_persistent_from_npc.stf', '55', 'm14s', 'Excellent! The Migration will continue for some time, so I expect folks around here will have more assignments for you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_non_persistent_from_npc.stf', '56', 'm14t', 'Migrations Are Hard Work');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_non_persistent_from_npc.stf', '57', 'm15d', 'The chirgotta intestinal parasite, which causes illness in species across the galaxy, lives one part of its life-cycle in the skin membranes of large indigenous predators. We can stop the spread of chirgotta through control of predators. If you can eliminate the chirgotta-infested predators at this location, we\'ll reward you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_non_persistent_from_npc.stf', '58', 'm15o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_non_persistent_from_npc.stf', '59', 'm15s', 'This fee comes from a local grant provided by the Galactic Chirgotta Awareness Council. Thank you for your help in making the galaxy chirgotta-free!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_non_persistent_from_npc.stf', '60', 'm15t', 'Halt Spread of Parasite');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_non_persistent_from_npc.stf', '61', 'number_of_entries', '15');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '1', 'm1d', 'The Tatooine Civilian Defense League has detected an alarming rise in the number of dangerous creatures in the habitable areas of the planet. Such animals are making life extremely unsafe. In accordance with Imperial Indigenous Control Policy #780901, the Tatooine Civilian Defense League is authorized to pay for the extermination of specified creatures through the destruction of their central lairs or hives.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '2', 'm1o', 'Tatooine Civilian Defense League');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '3', 'm1s', 'Excellent work! Unlike most of our hired agents, you\'ve actually succeeded in destroying the lair of a creature known to terrorize Tatooine locals. Your reward has already been transferred to your account.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '4', 'm1t', 'Creature Culling');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '5', 'm2d', 'Unpack your blasters, slap in them ammo packs, and kiss your loved ones goodbye! It\'s time for Blaster Barn\'s seasonal Run N\' Gun! That\'s right - the Run N\' Gun is back, and better than ever! Thanks to this season\'s sponsor, the lovely Lady Valarian, Blaster Barn is offering the largest bounties ever for the killing of Tatooine\'s most fearsome, ferocious, and formidable creatures! So get out there and wipe out them animals! And remember, Blaster Barn Has Your Back! ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '6', 'm2o', 'Mos Eisley Blaster Barn');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '7', 'm2s', 'Stand tall, hold your head up high, and get ready to be famous! You\'ve just won Blaster Barn\'s seasonal Run N\' Gun! You\'ve hunted, battled, and killed Tatooine\'s most dangerous creatures. And you\'ve come through unscathed! Now you face an even bigger challenge: deciding how to spend your reward! Good luck, and remember: Blaster Barn Has Your Back!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '8', 'm2t', 'Tatooine Run N\' Gun!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '9', 'm3d', 'We, the Dim-U monks of Tatooine, who worship at the hairy feet of the Mighty Bantha, are distressed about the dangers faced by our hirsute idol. While Tatooine should be the domain of the Bellowing Bantha alone, the Horned-One must share the planet with the most violent and terrifying of creatures. These monsters do not know the peace and serenity of the Enduring Bantha, and they often pursue and kill Him. Without the Wandering Bantha, the life of the Dim-U monk has no meaning, and therefore we are seeking champions to step forward and protect the Stalwart Bantha by eliminating his enemies. The Dim-U monastery will gladly reward those who protect the Beloved Bantha, in whose eyes all Universal Truths are revealed! Go forth, and protect the Horned-One!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '10', 'm3o', 'Dim-U Monks of Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '11', 'm3s', 'The Mighty Bantha, the legendary Horned-One who brings peace and tranquility to all who gaze upon Him, is safe once again! You have served the Enduring Bantha well! The Dim-U monks, loyal servants of the Wandering Bantha, are overjoyed at your success. Our coffers have been opened and you will be rewarded. The Dim-U monastery thanks you on behalf of the Horned-One, whose powerful bellow will roar your name across the desert and throughout the start so that all who worship at His hairy feet will know of your heroic deeds.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '12', 'm3t', 'Bantha Defender');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '13', 'm4d', 'The very fate of Tatooine rests upon your shoulders! As you may know, as head of the Darklighter clan, I am Tatooine\'s last honest businessman. With my great (and legitimate) wealth, I provide for dozens of families across the Dune Sea. My untarnished credits flow into Anchorhead and Mos Eisley, keeping local businesses afloat. I subsidize moisture farming, pay my taxes to the Emperor on time, and help arm local militias to protect settlements from Tusken Raider attacks. \n\nSadly, my business is threatened. Recently, several shipments of my hydroponic vegetables, which are sent to all corners of Tatooine, have been ambushed by menacing creatures. The monsters have left dead workers and eopies in their wake, and scattered my produce. Worst of all, those people who depend upon my shipments have been forced to starve, or buy their food from less reputable businessmen. Fortunately, my scouts have identified the beasts responsible and located their lair. If you could possibly destroy these creatures before they can kill any more of my hired hands, or disrupt another shipment, I would be in your debt (figuratively speaking, of course).\n\nYour Benefactor,\n\nHuff Darklighter');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '14', 'your_former_employer', '\nHuff Darklighter');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '15', 'm4l', 'A wealthy food magnate needs help protecting his food shipments from native creatures.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '16', 'm4o', 'Huff Darklighter');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '17', 'm4s', 'Wonderful work, my friend! You have proven to be one of my most worthwhile investments! By killing those creatures and destroying their lair, you\'ve not only protected all of my future shipments, but avenged the deaths of my workers and my lost credits. I will gladly pay you your well-deserved fee.\n\nYour Grateful Host,\n\nHuff Darklighter');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '18', 'm4t', 'Lost Caravans');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '19', 'm5d', 'Transmission Translated from Jawaese for you convenience!\n\nGreetings Non-Jawa!\n\nJawa clan is in frightening, terrible, imminent danger. Horrible, ugly, nasty creatures attack! Always injure and kill... First Tusken Raiders drive us from home fortress, now creatures threaten death and extinction. Please, hunt down and kill beasts or more Jawas die!\n\nEet Ptaa, Jawa Clan Leader  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '20', 'm5l', 'Jawas from a nearby clan are being killed by deadly creatures and need help combating the monsters.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '21', 'm5o', 'Eet Ptaa');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '22', 'm5s', 'Transmission Translated from Jawaese for you convenience!\n\nMost exalted hero of the Jawas! We chear your name from First Dawn to Second Dusk! You have made the desert safe, welcoming, home to the Jawas. We will now pay you a sizable, big reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '23', 'm5t', 'Jawa Emergency');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '24', 'm6d', 'Greetings Citizen!\n\nThe Great Galactic Museum is undertaking our most ambitious project yet. We are attempting to build a complete collection of all known animals in the galaxy. Intact specimens will be displayed in museums across the galaxy, with the most impressive species finding a home in Coruscant\'s branch of the Great Galactic Museum.\n\nCurrently, we are seeking specimens from the Outer Rim world of Tatooine! In order to safely collect these specimens, the Great Galactic Museum needs able-bodied adventurers to secure several dangerous areas on the desert world. Your mission, if you choose to accept it, requires that you enter the habitat of one of our most wanted Tatooine specimens and neutralize any threatening creatures in the vicinity. Once this task is complete, you are free to seek other employment. Within one standard year, we will dispatch an elite collection team to Tatooine to gather the appropriate specimens.\n\nThank you for your patronage!\n');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '25', 'm6o', 'Great Galactic Museum of Coruscant');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '26', 'm6s', 'Greetings Citizen!\n\nThe Great Galactic Museum is overjoyed at your recent success in the field! Now that you have destroyed the lair of one of Tatooine\'s most wanted creatures, we can send a retrieval team to collect the necessary specimens. Payment for your services has already been transmitted. You are now free to seek other employment.\n\nThank you for your patronage!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '27', 'm6t', 'Tatooine Taxidermy Expedition');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '28', 'm7d', '*Confidential*\n\nOutlander Expeditions, one of the galaxy\'s most successful providers of adventure vacations, offers wealthy customers an opportunity to visit incredibly exciting locations on a number of amazing planets. Outlander Expedition\'s reputation has been built on creating thrilling, but ultimately safe adventures for our clients.\n\nOne of our most popular expeditions brings amateur explorers to Tatooine. Although our stay is brief, we do provide our clients with a glimpse of the Dune Sea and fly-bys of migrating bantha herds. Unfortunately, recent treks on the desert planet have been beset by danger. While our tour guides and clients fully expect to see native fauna from afar, we\'ve had difficulty preventing unplanned encounters with Tatooine\'s truly threatening wildlife. In order to remain a leader in the adventure vacation market, Outlander Expedition is willing to send highly-trained advance agents - like yourself - to sanitize our Tatooine adventure destinations. We have identified the lair of a potentially dangerous creature; this lair needs to be destroyed before we can send our next adventure vacation group to Tatooine.\n\nBecause Outlander Expeditions\' clientele wants to believe that they are actually placing themselves in harm\'s way, we will not disclose the existence or activities of our advance agents. The illusion of danger is critical to the success of our ventures, and therefore we appreciate your discretion in this matter.\n\nSlembax Platt, Adventure Vacation Engineer, Outlander Expeditions');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '29', 'm7i', '*Confidential*\n\nOutlander Expeditions has fallen under intense Imperial scrutiny due to allegations of unsafe business practices. As a result, the company no longer requires you to help make Tatooine \"safe\" for our wealthy clients. If the Empire sees fit to allow Outlander Expeditions to remain in operation, we will send another call for agents.\n\nSlembax Platt, Adventure Vacation Engineer, Outlander Expeditions');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '30', 'm7l', 'An organization that runs entertainment expeditions is seeking adventurers to help prevent any unplanned encounters with dangerous wildlife on Tatooine.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '31', 'm7o', 'Outlander Expeditions');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '32', 'm7s', '*Confidential*\n\nAs a representative of Outlander Expeditions, I am relieved that you have been able to help the company prepare Tatooine for future excursions. Now that the target adventure site has been secured, Outlander Expeditions can once again offer trilling trips to the desert planet. Our clients are overjoyed and business has never been better. We owe our current success to a group of advance agents, like yourself. You have been paid handsomely for your efforts.\n\nOnce again, I\'d like to remind you that the details of this mission should be considered incredibly confidential. It\'s vital that we maintain an illusion of danger during all of our expeditions. We appreciate your discretion in this matter.\n\nSlembax Platt, Adventure Vacation Engineer, Outlander Expeditions');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '33', 'm7t', 'Tatooine Tourism Trouble');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '34', 'm8d', 'I was only away for a few hours... That morning, I loaded up the landspeeder with a week\'s supply of water and some of my wife\'s hydroponic vegetables. Then, I headed into Anchorhead, just like I do every week, to see if I could trade or sell the water and vegetables. And I needed to pick up a new fusioncutter to repair some of my vaporators... I was only away for a few hours!\n\nBut when I returned to the farm, there was blood everywhere. I knew right away that something bad had happened. I found my wife in the courtyard. She had fought back. She was tough enough to live out here in the desert, so it\'s no wonder that she killed a few of the monsters before they got her. And the kids, they must have tried to run. I found them both a few kilometers away from the house. It was horrible...\n\nI want the monsters that killed my family dead. I can point you towards their lair. I\'d head out there myself, but I\'m just a farmer. I\'ve never killed anything... I\'m hoping you have the guts, and the weapon, to take revenge for me!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '35', 'm8o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '36', 'm8s', 'I\'m still consumed by grief, even though you\'ve killed those murderous beasts. I can\'t take any joy in death. I\'ve already lost so much. I just hope that sommeday, I\'ll be able to start my life over. But it won\'t be out here, in the desert. I need to get away from my memories. After paying you, I\'m going to try to turn my back on the past. I hope I have a future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '37', 'm8t', 'Killers!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '38', 'm9d', 'The Bureau of Ethnicity and Socialization has a long and storied history of studying Tatooine\'s native sentient species. Historical records will dwell on the fact that one of our most successful researchers, Alkhara, eventually became a murderous bandit on Tatooine, but the bulk of our agents are noble and intelligent scientists seeking to better understand all forms of life throughout the galaxy.\n\nOur recent expeditions have focused almost exclusively on studying Jawa populations. However, the Jawas live in increasingly dangerous areas of Tatooine, and many of our highly-trained researchers have not returned from their field studies.\n\nIn order to make specific areas of Tatooine safe for our scientists, the Bureau of Ethnicity and Socialization is hiring adventurers and explorers to destroy the lairs of any potentially murderous creatures living near our subject Jawa populations.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '39', 'm9o', 'Bureau of Ethnicity and Socialization');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '40', 'm9s', 'Thanks in part of your efforts, our highly-qualified field researchers are able continue their research of specific Jawa populations on Tatooine. The Bureau of Ethnicity and Socialization hopes to continue these studies indefinitely so that the galaxy may better understand the reclusive Jawas. Payment for your services has been rendered.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '41', 'm9t', 'Anthropology Aid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '42', 'm10d', 'Hello my friend!\n\nI am sending you this transmission on behalf of a group of very concerned individuals who live their lives in continual fear. We are simple farmers and hard-working merchants, not adventurers or warriors. And we are now faced with a threat that is far beyond our abilities. We\'ve had members of our community harassed, stalked, attacked, and even killed by a group of dangerous creatures.\n\nYou may be our only hope! We trust that you will be willing to aid us by destroying the lair of the vicious creatures before they kill again. Please don\'t disappoint us...');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '43', 'm10o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '44', 'm10s', 'Hello again, my brave friend!\n\nAt last, we are free of fear! We placed all our hopes in you, and you proved worthy of our trust. We no longer need to worry about being harassed, stalked, or killed by the dangerous creatures that have plagued us for so many seasons. When I announced your victory over the lair, a cry of relief rose up from the crowd, followed by tears and celebration. At last, our nightmare may be over. We owe our futures to you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '45', 'm10t', 'Good Samaritan');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '46', 'm11d', 'It seems that it is mating season for some of the larger creatures that share my moisture farm.  Some of the younger males can get pretty aggressive.  They have left my vaporators alone, but any repair droid that wanders too close is immediately attacked.  I\'ve already lost three repair droids!  Luckily, enough of one remained after the last attack that I managed to pull an image of the creature off the memory drive. I\'ve got the general location of the creature\'s lair, but you may need to do a bit of tracking.  I figure the reward is going to cost me less than the repair droids.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '47', 'm11l', 'A farmer wants you to protect his repair droids by killing some nearby creatures.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '48', 'm11s', 'Thanks for taking care of my critter problem.  I know it couldn\'t have been an easy job.  I can\'t even build one repair droid with what I have left of the others.  Here\'s your payment.  I hope it saves me the cost of a few more droids.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '49', 'm11t', 'Droid Destroyers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '50', 'm12d', 'So I was riding my SoroSuub XP-34 across the dunes when this dumb animal decides to attack!  I lost control and ran right into the monster. I almost died in the crash, and the creature destroyed my landspeeder. The insurance from the wreck was enough for a down payment on the new XP-38, with just enough left over for a little reward. I may not be able to rid Tatooine of the entire species, but at least I can do my part and get rid of this one and its family. Go hunt it down and destroy its lair.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '51', 'm12l', 'A young man wants revenge on the animals that attacked his landspeeder.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '52', 'm12s', 'So you killed them all, huh?  Wish I could say I was happy to hear that, but I\'ve had a change of heart. The Force was with me on the day of my accident.  I almost became one with it, but I survived. It wasn\'t that animal\'s fault for attacking; it was just doing what comes naturally. Now, I\'ve only made things worse by seeking revenge. But here is your reward. You are a brave person for taking on such a dangerous mission. As for me, I think I\'ll be taking the XP-38 back and using the credits to help those beasts. Yeah, that sounds like it might be the right thing to do.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '53', 'm12t', 'Lanspeeder Attack');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '54', 'm13d', 'Hi there, friend. I\'m new to Tatooine, not to mention the farming business. Can\'t say I know much about it really, but I\'ve been entrusted with an old moisture farm. Problem is that it was abandoned for so long that some of the larger creatures have taken up permanent residence in the area. I have a hard enough time figuring out how to run the moisture vaporators, the last thing I need is to be looking over my shoulder all the time. If you could help me out by getting rid of these animals for me, I\'ll make it worth your while. Might even throw something extra in if for you. All you have to do is destroy their lair.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '55', 'm13o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '56', 'm13s', 'Thank you so much, my friend!  It will be so much easier to get this place up and running now.  When everything is back to normal, you are more than welcome to come by and see what you have made possible.  This place isn\'t much, I know, but it is more than I thought I would ever own. Now, I\'m going to be able to keep it thanks to you. Here\'s your payment and a little something extra, as promised.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '57', 'm13t', 'Farm Reclamation');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '58', 'm14d', 'I was heading out to Beggar\'s Canyon in my skyhopper when the secondary gyrostabilizer control shorted out. It\'s not impossible to fly that way, but you don\'t want to shoot the canyon without secondary control. So I made a quick landing and started to make repairs. Unfortunately, I landed a little too close to an area that some dangerous creatures were calling home. Luckily for me they seemed to think the T-16 was a bigger threat than I was, and went after it instead. I managed to run away and used my scomplink to call for a ride home. But my Skyhopper is still out there (hopefully), and I need someone to take care of those things before I can get to it. Just take out the lair, and the creatures should move on. Please help me get my old T-16 back. If I can\'t be a pilot, I may never make it off this dirtball.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '59', 'm14o', 'Deak');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '60', 'm14s', 'You did it! And just in time. I just heard back from an old friend of mine who might be able to get me a job piloting Rebel transports! Now, thanks to you, I can take my skyhopper to meet him. What\'s even better is I can show him some of the new stunts I\'ve been perfecting while he has been offworld! Thanks a lot for fending off those things! I never would have had the guts to take them on. Reward funds should be in your account by the time you read this.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '61', 'm14t', 'Help me get my T-16 back!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '62', 'm15d', 'Let me tell you a story: over four thousand years ago, Tatooine was home to Sidrona Diath, one of the greatest Jedi who ever lived. He grew up right around here, in a failed mining colony. While he was alive, he defended all of Tatooine\'s peoples against a host of enemies, including ferocious creatures that would do us harm. Sadly, Diath was killed at the Battle of Basilisk. Though his son continued in his father\'s footsteps, not since Sidrona has Tatooine had a true champion. And we are in need of one now. In the four thousand years since Sidrona\'s death, Tatooine has been overrun by every manner of threat, but it\'s the creatures that concern us most now. They have taken complete control of the desert. Moisture farmers are killed every season, and travelers are lost with frightening regularity. Even small towns and Jawa sandcrawlers are attacked by the bold monsters. Even if you\'re in league with the Hutts, there\'s no safe haven to be found on Tatooine.\n\nThe planet needs a new defender to continue Sidrona Diath\'s good works. If you think you are worthy to take up his mantle, go forth and destroy the lair that I have located. This might seem like a small, simple act, but it is one step towards freeing Tatooine from the monsters that infest the desert. As you begin your journey, take heart in Sidrona Diath\'s own words: \"Koroght Gaghght Takt,\" which in the common tongue becomes \"Blessed be your going out from us.\" May your travels be safe and fruitful.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '63', 'm15o', 'Alaikai Trotter, Tatooine Historian');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '64', 'm15s', 'The Force is with you, hero. Somewhere, Sidrona Diath is smiling on Tatooine. It seems there is at least one champion on this planet willing to defend us from danger. As a gift, I give you a handful of credits. I hope you will use them to arm yourself in order to continue your crusade against Tatooine\'s monsters.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '65', 'm15t', 'Diath\'s Shadow');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '66', 'm16d', 'I don\'t normally deal with your sort, so forgive me if I fail to follow proper protocol. As Imperial Governor of Tatooine, I usually rely on Prefect Talmont to deal with all disturbances and other military matters. Unfortunately, he handles every situation with far too much force. The Empire should not send an entire squad of stormtroopers into the desert every time some Tatooine local complains about rock mites or womp rats. Such wasteful military operations drain thousands of credits from my Imperial expense account every season. To stop this financial hemorrhaging, I will no longer allow Talmont to send Imperial loyalists into the desert in search of monsters. However, I am willing to use my own personal funds to pay mercenaries like yourself to combat these creatures instead. According to Talmont\'s data, our patrols have located the lair of some despicable Tatooine beast. Go now and destroy it, and then the reward shall be yours.  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '67', 'm16o', 'Governor Tour Aryon');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '68', 'm16s', 'I am impressed. You have served me well. By taking it upon yourself to destroy the creature lair, you have saved my Imperial expense account thousands of credits, which I plan to use to renovate my quarters in Bestine. Although Imperial officers are not known for keeping their word, I have honored our contract and transferred a reward to your own account. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '69', 'm16t', 'Governor\'s Agent');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '70', 'm17d', 'Yes, I admit, I\'m a hateful man. I hate Prefect Talmont and Governor Aryon for having more power. I hate this suns-blasted planet. I hate the sand, and the heat, and the stinking Jawas. But, most of all, I hate it when one of my men is placed in danger. I\'m the Chief of Police in Mos Eisley, and Prefect Talmont has my troops running all over the desert on their little errands. Lately, though, we\'ve been facing more and more dangerous beasts in the interest of \"keeping the peace.\" Call me paranoid, but I think the Talmont is trying to get rid of me.\n\nTalmont just assigned my men yet another lair to destroy. But I\'m not about to walk into a death trap. So, the only solution is to hire some blaster jockey or muscle-bound brawler to handle the creatures for me. Do this task for me, and I\'ll find a way to get some of Talmont\'s credits into your account. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '71', 'm17o', 'Lieutenant Harburik');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '72', 'm17s', 'I suppose you\'re not completely worthless. You did conduct yourself admirably in the field, and completed the assignment I gave you. Most importantly, you kept my men out of danger. Prefect Talmont might complain about the fact that I hired a free agent to deal with trouble on Tatooine, but I don\'t care: as long as I\'m still alive and have my wits about me, Talmont had better watch his scaly back.\n\nAs promised, I did siphon some funds from Talmont\'s Imperial expense account. They\'re yours now. I\'d spend them quickly, before Talmont manages to track them down.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '73', 'm17t', 'Excessive Force');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '74', 'm18d', 'We were once respected on this planet. \"Chachi and Ohwun De Maal run the finest docking bays in all of Mos Eisley,\" they would say. \"They can be trusted with any ship, and any secret. They\'re honest Duros.\" Sure, we greased the servomotors from time to time, paying off Lieutenant Harburik or Prefect Talmont when necessary. And we showered Jabba with gifts to ensure his protection. But ever since that Corellian smuggler defied quarantine and lit out of Docking Bay 94 amid a storm of Imperial blaster bolts, we\'ve lost our good name. It took us almost an entire season to prove our innocence, and we still get suspicious stares. In order to show the people of Tatooine that we aren\'t criminals, we\'ve decided to do our civic duty and help clean up the desert. Jabba and the Imperials certainly aren\'t going to do it... We have the extra credits, and we\'re going to use them to reward anyone - even smugglers - who can destroy the lairs of predatory creatures on Tatooine. If you\'re interested, just take the coordinates that we\'ve provided and blast those monsters and their home to dust.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '75', 'm18o', 'Chachi and Ohwun De Maal');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '76', 'm18s', 'We have to admit, we weren\'t sure you were cut out for this job when we hired you. But you\'ve proven a good addition to our team. By destroying that lair, you\'re helping to prove that we really are interested in the fate of Tatooine. We aren\'t the greedy, immoral Duros that everyone would believe. The credits we\'ve paid you are credits well-spent.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '77', 'm18t', 'Clear our Names');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '78', 'm19d', 'I own Spaceport Speeders, Mos Eisley. Business is bad, very bad. Most of our credits come from repairs. My mechanic, Geordi Hans, he is good with fixing landspeeders, great at haggling with Jawas, and a remarkable landspeeder pilot. But he\'s no good with a blaster. And trips from Mos Eisley to visit the Jawas are now nearly impossible, due to monsters that roam the desert. I don\'t want Geordi - who is pratically a hatchling - putting himself into danger. I\'ll hire you to destroy the lairs of these creatures instead. But know this: the mission is extremely dangerous. You may die. You will probably be seriously hurt. But think of the credits that wait for you if you survive!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '79', 'm19o', 'Unut Poll, Proprietor, Spaceport Speeders');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '80', 'm19s', 'Business will soon boom again! The lair is destroyed, and Geordi Hans, my very talented mechanic, is no longer afraid to travel the desert. He is planning a trip to meet the Jawas very soon. I\'m sure that all his repairs will be completed within a few standard days, and the credits will be flowing into Spaceport Speeders again! It is a pleasure doing business with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '81', 'm19t', 'The Mechanic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '82', 'm20d', 'The Empire might tell you that nerf herders like me aren\'t good for anything, and maybe they\'re right. I certainly don\'t enjoy being a nerf herder, especially now, when my entire herd is threatened by some slobbering, blood-drinking monsters. I have the heart of an adventurer, but not the weapons. I\'ve found the lair of the creatures that have been killing my herd, but I wouldn\'t even know how to destroy it. I do have some credits hidden away, though. I\'d be happy to pay you to destroy the lair for me. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '83', 'm20o', 'Domo Jones');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '84', 'm20s', 'Hey, nice work! My buddy Blerx told me that no one would ever be able to stand up to those monsters, but you\'re obviously tougher than anyone he\'s met before. My nerfs are safe, and my credits are yours! Someday, I\'m going to become a hero just like you...');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '85', 'm20t', 'Nerf Herder');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_creature_tatooine.stf', '86', 'number_of_entries', '20');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '1', 'm1d', 'A major Black Sun glitterstim lab, responsible for supplying the dealers of several systems, has been located by Imperial Intelligence. These crooks are so well-connected, however, that any signs of an organized attack by either law enforcement or the Imperial Military would scatter them throughout the sector. We need to insure this facility is hit hard and put out of commission for good. A select team of highly skilled independent agents ought to be able to take this refinery out. It will be heavily guarded and anyone succeeding will likely earn the emnity of Black Sun, but removing the lab would be a huge step in eliminating glitterstim dealing in this sector. Naturally you\'ll be generously rewarded for your time and efforts. Do you accept?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '2', 'm1o', 'Imperial Office of Criminal Investigations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '3', 'm1s', 'Bravo, agent! Your results never cease to impress us. We\'re glad to employ an agent as effective as you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '4', 'm1t', 'Destroy glitterstim lab');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '5', 'm2d', 'We\'ve located the hideout of a local branch of the notorious swoop gang, the Shadow Angels of Dathomir. These creeps move fast once word reaches them that the authorities are on their way. This is a job for a small group of skilled and dedicated agents. The right strike team can blast this hideout and all of those vicious criminals to pieces before they had a chance to even look around. We\'ll pay a handsome reward for the successful completion of the mission. These gangsters are tough customers, though, so the agents who accept this mission should be highly trained and experienced in dealing with these types of situations. The coordinates will be sent upon the acceptance of the mission. Can we count on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '6', 'm2o', 'Imperial Office of Criminal Investigations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '7', 'm2s', 'These gangs are always braver in packs and even then they can\'t put up a good fight when confronted with talent like yours? Job well done, agent. That reward is going to the right individual.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '8', 'm2t', 'Destroy swoop gang\'s hideout');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '9', 'm3d', 'Jabba\'s swoopers think they can move into any system they like and stake their claim, regardless of what other hard-working criminals are already in the area? Not while I have something to say about it. Big Gizz is wanting to expand his organization beyond Mos Eisley at the expense of my interests. I need a hardy band of skilled assassins to show these new \"branches\" of that cretin\'s gang that the galaxy is a dangerous and treacherous place. I transmit the coordinates to the gang\'s new hideout when you accept, and I pay a very generous reward when they\'re gone. Sound like a deal?  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '10', 'm3o', 'Lady Valarian');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '11', 'm3s', 'Chew on that, Big Gizz! Way to go, killer. Jabba will soon learn your name. That may be good or bad depending on how spicy you like life to get. Here\'s your money. Don\'t spend it all in one joint.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '12', 'm3t', 'Take on Jabba\'s swoop gang');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '13', 'm4d', 'An illegal weapons manufacturing facility has been located by Intelligence. We believe it may be run by Black Sun. Many of the weapons bought and sold by gunrunners come from facilities just like this one. We need an experienced strike team to go in there and blast that installation into so much space debris. If you\'ve worked for us before, you\'ll know that our rewards are very generous but we expect results. These creeps will be well-armed, if nothing else, and will also likely be some of the best muscle Black Sun has to offer. Can you help us close this case?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '14', 'm4o', 'Imperial Office of Criminal Investigations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '15', 'm4s', 'Wonderful! Less deadly weapons in the hands of criminals means less risk for our law enforcement agents. We need more agents like you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '16', 'm4t', 'Destroy weapons making facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '17', 'm5d', 'The vicious group of criminals behind one of Black Sun\'s major protection rackets has been discovered by Intelligence. They apparently operate out of a fairly well-guarded stronghold and fear nothing short of a full Imperial Military strike. They\'d get away long before such a strike could be organized and executed, however, so we would rather hire a small but experienced strike team to take care of those rogues for us. We believe that this group answers to Vigo Green, but cannot verify that information as of this date. We\'ll transmit the coordinates to the team leader that accepts this mission. Our standard reward for this type of mission is in the offering as well. Do you think you can tackle this operation?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '18', 'm5o', 'Imperial Office of Criminal Investigations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '19', 'm5s', 'Excellent work, agent. This victory will make life easier for hundreds of merchants in this sector. Always a pleasure to work with a professional like yourself.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '20', 'm5t', 'Take out protection racket');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '21', 'm6d', 'Black Sun maintains several medical facilities that are open to any of their operatives. You can imagine how hard it would be for assassins, gangsters, and other criminals to get medical attention at their local clinics after a battle with local authorities. These facilities were created to answer that particular dilemma. We\'ve located one of these centers and need it removed. We cannot afford to let these criminals patch themselves up after a scrape with our agents. These facilities are also used for major procedures like face reconstruction, to hide the identity of various underworld agents, and it\'s even suspected that some contain cloning technology. We need someone to gather a small strike team of experienced agents to hit this installation. The standard rewards will be offered for this type of work. Do you think you can undertake this mission? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '22', 'm6o', 'Imperial Office of Criminal Investigations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '23', 'm6s', 'Good work. The last thing we need are clones of infamous criminals running around causing havoc. Great way for crime lords to create the appearance of being \"untouchable.\" You\'ve earned this reward, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '24', 'm6t', 'Take out criminal hospital');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '25', 'm7d', 'Intelligence has managed to pinpoint the location of one of Jabba\'s major munitions depots. These weapons supply gunrunners in this and several adjoining sectors. Jabba\'s spies are scattered throughout our organization, however, and we suspect that any communiques between us and the Imperial Navy would be intercepted and transmitted to Jabba\'s people. That would give those thugs plenty of opportunity to vacate the premises. Stealth is important so we need a small team of agents to infiltrate that depot and blow it to bits. It will be very well defended as Jabba makes quite a bit of money off his gunrunning operations. We\'ll reward a job well done, of course. Are you the agent we\'re looking for? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '26', 'm7o', 'Imperial Office of Criminal Investigations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '27', 'm7s', 'You certainly are fearless, aren\'t you? You\'ve gained a powerful enemy, we fear, but also a very influential friend. Congratulations on your success.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '28', 'm7t', 'Wipe out Jabba\'s munitions depot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '29', 'm8d', 'One of Black Sun\'s cadre of assassins has converted an abandoned mining installation into a stronghold specializing in training future killers. We can\'t afford to let this assassin academy continue to operate. We\'re offering a substantial reward to the strike team that can pull this off. Attacking a facility like this is no small matter. Some of the galaxy\'s deadliest guns are to be found there, not to mention state-of-the-art defenses. However, if you want to make a name for yourself, then wiping this installation out offers a great opportunity to do so. You feel like making history, agent?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '30', 'm8o', 'Imperial Office of Criminal Investigations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '31', 'm8s', 'Now that was something. You should be working for Imperial Intelligence\'s Burea of Operations, agent. Excellent job. You\'ve definitely earned this reward. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '32', 'm8t', 'Take out assassin\'s HQ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '33', 'm9d', 'Some incredibly shortsighted former members of my organization have decided that they\'ve \"outgrown\" me. As if refining high quality glitterstim spice was child\'s play and a career anyone could just jump into. Where do these thugs get their ideas? We need a specialized team of agents to help us teach these misguided rogues a serious lesson. The refining facility must be blown to atoms, and everyone inside must be vaporized. This is the lesson we must teach. Black Sun always makes things \"worth someone\'s time\" so do not worry on that account. Do you wish to get into our good graces?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '34', 'm9o', 'Black Sun: Vigo Clezo');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '35', 'm9s', 'It\'s operatives like you that allow a businessman like myself to sleep peacefully at night. Bravo. The reward and my gratitude are yours.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '36', 'm9t', 'Take out spice refiners');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '37', 'm10d', 'The Illustrious Jabba wishes to employ a small team of dedicated killers to help him teach a rival an important lesson in courtesy. Mighty Jabba does not consider it courteous for said rival to make attacks on his swoopers, regardless of where they choose to go. My lord\'s interests are wherever he chooses to put them and in all cases Jabba\'s claims to a region should always take precedence. Now Jabba requires that one of his rival\'s strongholds be obliterated, along with everyone inside. If you consider yourself the type of agent Jabba prizes most, fearless and inventive, then you should accept this mission and endeavor to please the powerful Jabba. His generosity extends beyond the money you\'ll receive for the completion of this mission. What is your answer?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '38', 'm10o', 'Bib Fortuna');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '39', 'm10s', 'Jabba is pleased with your results. The mone is yours. Seek us out again in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '40', 'm10t', 'Destroy one of Valarian\'s strongholds');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '41', 'm11d', 'A foolish Vigo\'s sublieutenant involved with our profitable glitterstim trade has been skimming credits off the top of all our distribution. I\'m not sure exactly why they thought we wouldn\'t notice. Needless to say, this matter must be redressed immediately. We don\'t want to risk an open war with the other Vigos so this situation must be handled by independent operatives and it must be made to look like a hit by pirates trying to make off with shipments of spice. The reward will be more than adequate for this job but will only come if the sublieutenant\'s stronghold is completely obliterated. This scum is tough so whoever accepts better go in blasting. We\'ll transmit coordinates when we have your acceptance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '42', 'm11o', 'Black Sun: Vigo Perit');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '43', 'm11s', 'Results we can see will always lead to bigger and better assignments. Good work, agent. You may have a future with Black Sun. Perhaps even rise to the level of Vigo yourself.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '44', 'm11t', 'Take out cheating spice dealer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '45', 'm12d', 'Independent thought is wasted on assassins. First, they get used to everybody doing what they say. Then they fall victim to the lure of millions of credits passing through their hands. Next thing you know, they think they can run the operation better than their superiors. They get these warped visions of bumping off the boss and lots of smiles and handshaking and pats on the back... The job of a Vigo is not an easy one, my friend. \n\nWe need some skilled assassins to take out some skilled assassins. Unlike your targets, we hope that you and your team know your place in the universe and accept it. Last thing we need is more killers who think they should be running things. A substantial reward awaits the successful removal of these upstarts. You accept the mission and we\'ll tell you where you and your team need to go. We hope you won\'t mess this up. We\'ve had too much of that recently in our organization.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '46', 'm12o', 'Black Sun: Vigo Durga');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '47', 'm12s', 'Well handled. You and your team are glowing examples of what hired killers should be: obedient and efficient. Claim your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '48', 'm12t', 'Hit the hitmen');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '49', 'm13d', 'These pirates are almost as bad as those hotshot smugglers. If any of these rogues get the tiniest drop of notoriety, it goes straight to their heads. Suddenly they think they can set their own rules, do whatever they like, and ignore their benefactors. The result is nothing but headaches and work for us, but it also means good fortune for independent agents like yourself. We need a pirate band taken down. They\'ve become too much of a liability for our organization and must now be squashed. A small elite team of troubleshooters ought to be able to take care of this situation with little trouble. If you\'ve worked for us before, you know our pay is quite generous. If this is your first time, then prepare to be pleased when all this mess is settled. We\'ll send the coordinates to the pirate\'s lair upon receiving your acceptance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '50', 'm13o', 'Black Sun');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '51', 'm13s', 'Excellently done, agent. Your resourcefulness is most inspirational - a shining example to hired guns throughout the galaxy. Enjoy your lucre.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '52', 'm13t', 'Remove the thorn');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '53', 'm14d', 'When pirates are hired to perform a job, they should stick to it regardless of the consequences. What\'s happening to professionalism in our circles? A renegade band of pirates has decided that they can keep the credits given to them for the performance of certain duties regardless of whether those duties were adequately performed or not. It is my responsibility to teach these slugs a lesson. I\'m offering a reward to the team of hired killers that can infiltrate this band\'s base and blast it (and them) to pieces. If you accept, you\'ll be told where to go. These pirates are not likely to go down without a fight, so I\'d blast first and ask questions later if I were you. Do you think you could take care of this problem for me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '54', 'm14o', 'Black Sun: Vigo Clezo');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '55', 'm14s', 'Good to see that some scum still care about professionalism. Good for you. Come look me up again when you need more work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '56', 'm14t', 'Help clean out the pirate gene pool');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '57', 'm15d', 'I\'ve yet to meet someone who got into trouble by sticking to doing what they do best. It\'s only when a few malcontents, not happy with the status quo, try to do something different that we get problems. Or at least I do. Pirates aren\'t freedom fighters, right? You know that, I know that, everyone knows that. Pirates are thieves and murderers. That\'s what they do. And that\'s exactly what I need a small team of hired guns to explain to some former associates who\'ve got it in their heads to help the Rebellion. Not on my watch. These scum think they can wipe their past clean by helping some moisture-farmers-turned-Rebels get themselves slaughtered by stormtroopers? Their case of sudden conscience is costing me too much money. Accept the job and I\'ll tell you where you need to go. Leave no walls standing. I want to make sure this conscience-acquiring is not contagious.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '58', 'm15o', 'Black Sun: Vigo Green');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '59', 'm15s', 'Finally, someone who knows what they\'re good at and stick to it. A long, happy life will likely be yours, friend. Come see me again soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '60', 'm15t', 'Destroy pirates with a case of conscience');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '61', 'm16d', 'One of the galaxy\'s most notorious and bloodthirsty band of pirates has fallen for our trap. They took some bait we offered and raided a ship full of tainted cargo. We planted undetectable homing beacons inside that cargo and now the pirates have led us right back to their lair. Their base sensors are rather sophisticated, however, so they would detect the approach of Imperial cruisers and escape into space before we could strike. We need a team of highly skilled and experienced agents to land near their base and take it out. The pirates would not react to the arrival of a standard transport as they\'re used to monitoring that sort of activity in their system. Are you the sort of operative that could assemble such a strike team? The Empire is counting on you, citizen. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '62', 'm16o', 'Imperial Navy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '63', 'm16s', 'An excellent strike. The Empire is indebted to you, agent. Perhaps you should contact us about helping to crush the Rebellion. We could use agents like you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '64', 'm16t', 'Smash the notorious pirates');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '65', 'm17d', 'Normally I wouldn\'t care about the activities of pirates but these particular ones happened to strike a slaver ship on its way to deliver a shipment of Twi\'lek exotic dancers to me. Even after the pirates discovered who this shipment was intended for, they still decided to sell the slaves on their own and keep all the profits. This matter must be resolved. I cannot allow pirates to seize what I have rightfully stolen - if word of this spreads it could weaken my position with Jabba. I therefore have need of a team of deadly killers to rid me of this embarrassment. One of the Twi\'lek girls had a homing chip implanted in her thigh (a special gift intended for one of Jabba\'s rivals) which has allowed me to discover where these slugs are hiding. Accept the mission and the coordinates are yours. Leave no witnesses and burn their lair to the ground.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '66', 'm17o', 'Bib Fortuna');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '67', 'm17s', 'Well done. Accept this reward and look me up again soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '68', 'm17t', 'Blast the errant pirates');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '69', 'm18d', 'Jabba claims he doesn\'t want a war and then arranges for pirates to hit ships carrying goods intended for me. If that gargantuan worm thinks I can\'t see who\'s behind these recent attacks, he\'s as stupid as he looks. As much as I know that Jabba is baiting me, I must respond or I risk other pirates trying their hands at plucking my cargo. This mission won\'t be easy but it will pay very well. Jabba is known to employ the most ruthless and dangerous pirates in the trade. But a resourceful team of agents, skilled in teamwork and deadly with their blasters, should be able to pull it off. You fancy yourself such an individual? If you think so I\'ll send you the coordinates to the pirates\' lair. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '70', 'm18o', 'Lady Valarian');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '71', 'm18s', 'I had a hunch about you. You seemed to be the type to get results. Congratulations on a job well done. Enjoy the reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '72', 'm18t', 'Swat Jabba\'s pirates');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '73', 'm19d', 'Mighty Jabba\'s wrath is a powerful and dreadful thing to incur - few rational beings wish to risk it. This band of pirates, it seems, do not share that particular rationality. They have been raiding my lord\'s spice shipments with impunity and this must stop. My lord was wise enough to have planted a spy in their midst months ago, suspecting that this particular band might try to double-cross him in the future. Thanks to my lord\'s wisdom, we know the location of this band\'s hidden base. Illustrious Jabba wishes me to hire the best assassins credits can buy and instruct them to practice their trade on these foolish rogues. Do you wish to take advantage of this opportunity to earn both my lord\'s favor and a substantial reward? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '74', 'm19o', 'Bib Fortuna');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '75', 'm19s', 'Most effective. You serve my master well and you will be rewarded.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '76', 'm19t', 'Help a Hutt make a point');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '77', 'm20d', 'One of the major areas of concern for the Corporate Sector Authority is piracy. Our ships in particular draw those predators like skettos to a sleeping dewback. Recently we\'ve discovered that many of these pirates have banded together to form some sort of \"Brotherhood.\" By sharing information about transport movements, safe spaceports, and Imperial activity, these rogues can insure a higher rate of success for their comrades. We\'ve used our resources, mostly in the form of bribes, to pinpoint the locations of some of the busiest spaceports used by this Brotherhood. We offer a substantial reward to anyone who can make sure these ports are knocked out of commission. There\'s plenty of work doing that as these criminals have dozens of these havens. Coordinates will be transmitted upon your acceptance. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '78', 'm20o', 'The Corporate Sector Authority');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '79', 'm20s', 'Good work. Remember there\'s plenty more of those havens out there. We\'ll continue to pay as long as you continue to produce results.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '80', 'm20t', 'Wipe out the pirates\' haven');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '81', 'm21d', 'Every successful businessman deserves a luxurious retirement.  No one is denying that.  But a player is expected to settle all bets before cashing out of the game.  That is where a certain ex-employee of mine has failed.  He was one of the most successful pirates on my payroll.  A prolific provider for many standard years.  He retired with my personal blessing.  Unfortunately I have learned that he hid an old debt from me, and has rebuked my requests for payment.  I have extended every courtesy to him, but the time has now come to finalize negotiations.  I require a crack team of assassins to hit him hard and leave no one standing.  Only the deadliest killers need apply.  He knows I\'m coming, so he has fortified himself in a stronghold and gathered a small army of the toughest scum in the sector.  Tear the place to the ground and you shall be very well compensated.  Contact me for his coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '82', 'm21o', 'Black Sun: Vigo Green');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '83', 'm21s', 'Very well done.  Have I hired you before?  You have the skill and the guts to be a player yourself.  You would make an excellent asset to my organization.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '84', 'm21t', 'Retire an ex-pirate for good');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '85', 'm22d', 'They say lucre makes the galaxy spin and I have always found that to be true.  My various industrial enterprises have made me one of the most influential Neimoidians in nine sectors.  I have assets spanning a hundred systems.  When you attain such success, however, you become an attractive target for professional thieves.  I am no exception.  I have just discovered that one of my industrial villas has been overrun by several pirate crews.  Luckily a good businessman knows how to distribute resources to safeguard his investments.  I wish to disburse a very large sum of credits to a group of soldiers-of-fortune who have the means and the wherewithal to dislodge these slugs from my property.  Be warned: they are well-equipped and extremely dangerous.  I am paying for the best of the best, so don\'t waste my time if you\'re anything but elite.  Also, I shall shed no tears if the villa itself sustains heavy damage, as I intend to collect an insurance disbursement and shut the place down anyway.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '86', 'm22o', 'An Influential Neimoidian');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '87', 'm22s', 'Your work was sloppy in one or two particulars, but you did complete the task at hand.  Good job leveling the villa.  Do enjoy this payment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '88', 'm22t', 'Dislodge pirates from my industrial villa');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '89', 'm23d', 'Oh, can\'t someone please help us?  My family rules a small but beautiful planet in Xappyh Sector.  Long ago we built an outpost to tend the needs of the poor and downtrodden in nearby systems.  But calamity befell us when our outpost was captured by the crew of a large and terribly frightening pirate frigate.  We would like to remove them so that we can resume helping the needy of the galaxy; but the regional governor has refused to lend us aid.  We are a peaceful planet and have no weapons.  We do have money, though, with which we shall gladly part if it means we can have our outpost back.  Are there no stalwart heroes left in the universe who will come to us in our hour of need?  These pirates are a cruel and awful lot and we are frightened that they might do harm to the poverty-stricken areas near them.  Money is no object.  Please, just help us!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '90', 'm23o', 'A Desperate Princess');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '91', 'm23s', 'You did it!  It\'s a shame about the outpost being destroyed, but I just know that you did your best to protect it.  Please, take your reward and know that you are always welcome on my planet, where I will treat you to every pleasure my humble palace can provide.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '92', 'm23t', 'Help us in our hour of need');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '93', 'm24d', 'Mighty Jabba is always looking for new talent to add to his organization.  After some recent personnel issues, he has decided that all new recruits must prove themselves in a practical demonstration of their skills.  Illustrious Jabba wishes me to provide one such audition for a hit team.  To warrant their abilities, these assassins will be required to break into the landing bay of an especially lethal pirate captain and blast the entire facility into its component atoms.  Upon the completion of this task I shall present a report to the Invincible Jabba, who will render a decision on the worthiness of the applicants.  Wise job seekers should be aware that I do not take my duties lightly.  Only the finest and most despicable assassins deserve my attention; others are highly discouraged from occupying my precious time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '94', 'm24o', 'Bib Fortuna');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '95', 'm24s', 'You have demonstrated no small amount of skill.  I shall bring your case before the Illustrious Jabba.  Until you hear from us again, enjoy this well-earned payment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '96', 'm24t', 'Audition for the Mighty Jabba');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '97', 'm25d', 'These smugglers develop reputations, they think they can get away with anything. What they fail to recognize is that organizations like ours help forge those reputations - and we can destroy them just as easily. One of these smugglers has gotten a bit too greedy for their own good. They think that by surrounding themselves with armed thugs, they can ignore certain rules and tariffs. We\'re about to prove them wrong. A substantial reward awaits the operatives who will drive this point home to this errant smuggler. If you\'re the type of killer we think you are, this should pose no problem for you. Do you want the job?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '98', 'm25o', 'Black Sun');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '99', 'm25s', 'Congratulations. Those are results that make us proud. Stick with us and you\'ll go far. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '100', 'm25t', 'Take out the errant smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '101', 'm26d', 'No one cheats a Vigo of Black Sun, especially when that Vigo is Durga the Hutt. Apparently this simple truism has escaped a certain band of smugglers formerly working for the illustrious Vigo on Nar Shaddaa. They\'ve made off with a rather large shipment of high-grade glitterstim spice that was supposed to be delivered to Vigo Durga himself. Well no business is without its perils, I suppose. Vigo Durga will pay a handsome reward to anyone who can send these smugglers back to their makers. These are the coordinates to the smugglers\' hideout. Make sure there are no survivors and no witnesses. Can Black Sun rely on your cooperation and discretion?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '102', 'm26o', 'Black Sun: Vigo Durga');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '103', 'm26s', 'Most excellently done. Vigo Durga sends his congratulations and asks that you contact us again in the future. Enjoy your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '104', 'm26t', 'Remove a band of smugglers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '105', 'm27d', 'Spice smugglers can be so untrustworthy. A recent shipment of spice came up dreadfully short. Unfortunately this shipment was under Vigo Clezo\'s supervision, which made him look bad in the eyes of the rest of Black Sun. These offending smugglers must be made to pay for this embarrassment with their lives, of course. Nothing less would satisfy the wounded Vigo\'s pride. Here are the coordinates to their hideout. Please be efficient and precise. Vigo Clezo likes to run a clean, tight ship. A substantial reward awaits your safe and successful return.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '106', 'm27o', 'Black Sun: Vigo Clezo');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '107', 'm27s', 'A true professional. Now you are the sort of operative Vigo Clezo is proud to employ. The reward is yours to claim.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '108', 'm27t', 'Help a Vigo get payback');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '109', 'm28d', 'It has been recently brought to our attention that a group of trusted couriers is actually a collection of Imperial Intelligence agents. This is most distressing, as you can imagine. We need these couriers removed and are willing to pay well for this service. Here are the coordinates to a base these couriers use most often. The base is to be obliterated and every courier is to be eliminated. We do hope this is very clear. The Empire really should know better than to try and infiltrate our organization with these sorts of agents. It always leads to a tragic loss of life and talent. Are you our agent?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '110', 'm28o', 'Black Sun');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '111', 'm28s', 'Your actions were those of an exemplary agent. Your success will reap rich rewards and lead to a very profitable future with us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '112', 'm28t', 'Take out Imperial moles');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '113', 'm29d', 'It is a shame when talented individuals must be eliminated. One of our most experienced smugglers has been convinced to become an informant for the Rebellion. Now normally, we wouldn\'t care what the Rebels were up to. They keep the Imperials distracted, which is all we can really ask for from anyone. However, we\'ve learned that this smuggler is selling some of our most precious secrets to the Rebels - that we simply cannot have. A generous reward awaits the agent who can take this smuggler and their band of associates out. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '114', 'm29o', 'Black Sun');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '115', 'm29s', 'Good form, agent. That was nicely done. Our organization could use more operatives like you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '116', 'm29t', 'Wipe out the smuggler informants');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '117', 'm30d', 'The mighty Jabba the Hutt seems to be having a rather bad year in regards to smugglers. It\'s not enough that the loathsome pirate, Han Solo, has evaded my master\'s attempts to capture him, but now it seems another band of smugglers have been inspired by Solo\'s actions to defy the powerful Jabba. For reasons of his own, His Exaltedness has decided not to approach the Bounty Hunters\' Guild with this matter (given their recent troubles) but has instead decided to find some enterprising free agents to settle things. We have the coordinates to the lair of these walking corpses. As always, His Immenseness offers an overly generous reward for the accomplishment of this task. Can the honored Jabba count on you to serve him faithfully?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '118', 'm30o', 'Bib Fortuna');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '119', 'm30s', 'Well done, agent. Jabba will remember your success next time you come to us for a job. We always reward success.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '120', 'm30t', 'Help Jabba get even');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '121', 'm31d', 'That slug Jabba has done such a good job of convincing the smugglers of the galaxy that they all work for him, that it makes life for the rest of us a bit more difficult. A group of these smugglers, well known gunrunners, made off with one of my weapons\' shipments, thinking they could just sell it to Jabba for more money than they would have gotten for simple smuggling. That notion has got to be corrected. I\'m offering a hefty reward to the individual or band that will blast these smugglers into space junk. We have the coordinates to their base, not that they were difficult to acquire - these guys think they\'re untouchable. So how about it? You in?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '122', 'm31o', 'Lady Valarian');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '123', 'm31s', 'Effective. A bit crude, perhaps, but effective. Here are your credits. There are more where those came from if you need more work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '124', 'm31t', 'Dish out Lady Valarian\'s wrath');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '125', 'm32d', 'The exalted Jabba seems to have lost some of his most trusted smugglers recently to his rival, Valarian. It seems the wanna-be crime mistress hired thugs to blast some of my master\'s loyal servants. The mighty Jabba would like to repay kind with kind. These are the coordinates to a base belonging to some of Valarian\'s most trusted couriers. Make sure every one of them is blasted to bits and the base is burned to the ground. We wouldn\'t want people thinking that Jabba was less cruel than some mangy Whiphid, now would we? A generous reward waits at the end of a successfully completed mission.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '126', 'm32o', 'Bib Fortuna');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '127', 'm32s', 'Excellent. Now the galaxy will understand the lengths Jabba is willing to go to protect his assets. You\'ve earned your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '128', 'm32t', 'Jabba\'s revenge');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '129', 'm33d', 'The Imperials attempted it so I suppose it shouldn\'t surprise us that the Rebels took a stab at it too. We\'ve discovered that some of our smugglers are actually Rebel double agents collecting information for the Rebellion and spying on our activities for use as leverage in future negotiations. As you can imagine, we need these agents removed and a clear signal sent to the Rebellion. They of all people should know that if you play with fire, you will get burned. These are the coordinates to this group\'s base of operations. Blast it to pieces and wipe out the double agents. Hopefully we\'ll only have to do this once. Can you help with this? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '130', 'm33o', 'Black Sun');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '131', 'm33s', 'Most impressive, agent. Especially given that those smugglers were likely highly trained Rebel commandos. Do see us again for future work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '132', 'm33t', 'Wipe out Rebel double agents');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '133', 'm34d', 'Illustrious Jabba wants to make sure that the smugglers operating in this galaxy answer to him and him alone. Some of these smugglers have been operating exclusively for one of his chief rivals, and the powerful Jabba wishes to make an example of them. He offers a sizable reward to anyone who is brave enough to march into these smugglers\' base and blast it to pieces, along with all the smugglers inside, of course. We\'ll supply the base\'s coordinates and the reward (should the mission be successful). You must supply the muscle and the blasters. Do we have a deal?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '134', 'm34o', 'Bib Fortuna');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '135', 'm34s', 'What a glorious example this sets. The mighty Jabba is pleased. Claim your reward and do visit His Immensity on Tatooine soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '136', 'm34t', 'Instruct a rival');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '137', 'm35d', 'Some hotshot smugglers have decided to cheat a powerful Vigo and make him lose face in the syndicate. Just because these smugglers have the trust (which they believe translates to \"protection\") of several other Vigos, they think they can push a smaller Vigo around. We\'ll soon see who\'s small and who\'s not in Black Sun. You mess with any Vigo, you flirt with death - simple as that. A substantial reward is in the offering to anyone who can teach these arrogant scum a lesson. I want those hotheads dead, I want their base burned down to the ground, and I want to spit on the ashes! You think you can help me do that?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '138', 'm35o', 'Black Sun: Vigo Green');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '139', 'm35s', 'Yeah! That\'s what I\'m talking about! Let\'s see who\'s laughing now, huh? Good work, buddy. Take your money and remember who treated you right.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '140', 'm35t', 'Assuage a Vigo\'s paranoia');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc.stf', '141', 'number_of_entries', '35');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_corellia.stf', '1', 'm1d', 'CEC creates and abandons prototype testing grounds frequently, to discourage industrial and military espionage. Unfortunately, one testing facility in the Corellian wilderness was apparently compromised even during construction. Certain research reports created at this facility have already shown up on black-market slicer data exchanges. Because we are not yet ready to abandon this facility, we have traced the leak and located the gangsters responsible. To discourage further espionage, we are commissioning experienced strike teams to destroy their base and all data stored there.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_corellia.stf', '2', 'm1o', 'Corellian Engineering Corporation');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_corellia.stf', '3', 'm1s', 'We oversaw your progess and were pleased at the result. Your fee is attached. Thank you for doing business with CEC.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_corellia.stf', '4', 'm1t', 'Testing Facility Has Espionage Problem');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_corellia.stf', '5', 'm2d', 'To test our new personal defense system prototype, we attached it to our office protocol droid, then sent him into remote wilderness. He complained, but then, he always complains. Seems the prototype has a design flaw in the prototype, because gangsters blew up the droid and stole the prototype. We\'re writing off the droid, but we need to prevent further industrial espionage. Staffers are busy right now checking our earlier models for the same design flaw, so we\'re hiring you to go and destroy the gangster base at the droid\'s last known coordinates. It\'s okay if you destroy the prototype, because it\'s too flawed to save.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_corellia.stf', '6', 'm2o', 'Corellian Technologies');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_corellia.stf', '7', 'm2s', 'Okay, thanks for eliminating that particular espionage problem. But we have them all the time, so expect to hear from us again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_corellia.stf', '8', 'm2t', 'Stolen Personal Defense Prototype');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_corellia.stf', '9', 'm3d', 'Ever since we\'ve been stationed out here in the wilderness for a big training exercise, criminal lowlifes have been sniffing around our medical supplies like Jawas at an astromech\'s birthday party. Now we\'ve lost a crate of ion beamers to some black-market Hutt-lovers with more tentacles than brain cells. I want you to find those smugglers and give their base the Alderaan treatment. I don\'t actually have a budget for this kind of operation, but don\'t worry, I\'m scraping the surplus out of the orotay-filter replenishment fund.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_corellia.stf', '10', 'm3o', 'Corellian Defense Force Mobile Medical Unit 4-077');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_corellia.stf', '11', 'm3s', 'Boyoboy, you have launched my personal Star Destroyer into hyperspace, believe you me! Here\'s your fee. Sorry, gotta go, we\'ve got incoming!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_corellia.stf', '12', 'm3t', 'Mobile Hospital Has Smuggler Problem');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_corellia.stf', '13', 'm4d', 'Over the millennia, our company has always coped with protests. Certain individuals or organizations, though they mean well, fail to understand the importance of armaments to the Corellian economy. We take strong issue with these protesters only when they try to sabotage our factories and attack our workers. Such terroristic efforts are beneath the Empire\'s notice. But to protect our Corellian quality of life, this company hires independent contractors to remove these threats. In the one at hand, a radical group has hired gangsters to assault our factories. We now offer you the opportunity to destroy the gangster base.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_corellia.stf', '14', 'm4o', 'Corellian Engineering Corporation');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_corellia.stf', '15', 'm4s', 'Violence is inherent in the nature of most successful species. There will always be a need for weaponry. If this company doesn\'t satisfy that need, another will. Thank you for demonstrating this wisdom to these protesters.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_corellia.stf', '16', 'm4t', 'Violent Protests Against CEC Operations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_corellia.stf', '17', 'm5d', 'Found only on Corellia, the mineral tursturin is prized because it generates tremendous power when superheated. Corellian Technologies has contracted to build tursturin-powered repulsors for a cloud city in the Expansion Territories. Industrial saboteurs have made two failed attempts to steal our tursturin supply, and in the last attempt our probe droid tracked them to their lair. Police or Imperial involvement would create unfortunate legal entanglements, due to the tursturin\'s provenance. Instead, we wish to hire an independent strike team to destroy the saboteurs and their stronghold. Expect heavy opposition and a correspondingly high reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_corellia.stf', '18', 'm5o', 'Corellian Technologies');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_corellia.stf', '19', 'm5s', 'Your action in destroying the saboteur stronghold has helped us complete the current tursturin repulsor on schedule. More remain in our contract, and more threats loom, so expect to hear from us again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_corellia.stf', '20', 'm5t', 'Tursturin Supply Attacked by Saboteurs');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_corellia.stf', '21', 'm6d', 'For this assignment we require utmost discretion. The Black Sun criminal organization is setting up a remote base from which to plunder our company\'s stocks of chronamite. This valuable mineral can be refined into metal, but is also useful in our field -- and to the Black Sun -- as a poison. From past experience we know the local Security Force is heavily infiltrated with Black Sun spies. We must instead hire an independent strike team to destroy the criminal base, while we relocate out chronamite supplies to a new, better guarded location.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_corellia.stf', '22', 'm6o', 'Corellian Chemical Corporation');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_corellia.stf', '23', 'm6s', 'Thanks to your quick action, our company has had time to move the chronamite to a heavily guarded warehouse. Your fee is attached.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_corellia.stf', '24', 'm6t', 'Black Sun Stealing Chronamite');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_corellia.stf', '25', 'm7d', 'After I made a nice haul in corusca jewels, I retired here to Coronet. But I\'ve had a real urge to get back at my old smuggling \"partner,\" who sold me out to the Empire years ago. He made his own fortune off that betrayal, but he never found out I escaped from Imperial Security. Now, the usual script says I should arm myself to the teeth and storm his fortified bunker, so I can shoot him down like the mynock he is. But you know, I\'ve got a family now, and there\'s lots of good programs on the HoloNet. So, I ask myself, why risk my life when there\'s a hungry strike team out there willing to do it for me? Want a nice reward? Go to these coordinates and blow away everybody and everything you see there.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_corellia.stf', '26', 'm7o', 'Living the Corellian Dream');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_corellia.stf', '27', 'm7s', 'Thanks, friend, for blowing up that old partner of mine. I feel all redeemed and everything, and I never even had to leave home. Here\'s your pay -- you earned it!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_corellia.stf', '28', 'm7t', 'Earn My Revenge While I Stay Home');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_corellia.stf', '29', 'm8d', 'Sometimes a Bothan reaches his limit, and then there\'s hell to pay. I run a shuttle business between Coronet and Tyrena. The nature of my clientele sometimes requires me to make detours from my documented flight path. Lately I\'ve been harrassed by a competitor with a strong presence in the less-populated regions of Corellia. He\'s been driving dangerous animals into my designated landing zones, presenting a serious threat to myself, my crew and my clientele. I\'ll deal with the animals separately, but I need to hire a strike team to take out my competitor\'s headquarters. This man and his lackeys are very well entrenched, so I need tough and experienced shooters for the job. Tell me you can do it and I\'ll send you the coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_corellia.stf', '30', 'm8o', 'A Bothan On the Edge');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_corellia.stf', '31', 'm8s', 'Very nice indeed. You\'d make a good security agent for a shuttle business like mine. Maybe I\'ll have a look at my budget and see what I can do.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_corellia.stf', '32', 'm8t', 'Had Enough of Unscrupulous Competitor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_corellia.stf', '33', 'm9d', 'Hutts on Corellia. Doesn\'t that beat all. I fly home after a stretch on Naboo and my own planet is slimy with one of these filth-worms. I\'m not one to start a fight, but when a gangster\'s cronies start harrassing my friends I won\'t take it sitting down. The Hutt I\'ll handle myself, but I need someone who\'s good in a scrap to cover my back.  Tackle his thugs at the location I give you and I\'ll make it worth your while.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_corellia.stf', '34', 'm9o', 'Thanus March, Freelance Spacer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_corellia.stf', '35', 'm9s', 'Nice job. I\'ve flown the Spine long enough to know that we can\'t tolerate a Hutt getting comfortable here. This one won\'t make the same mistake again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_corellia.stf', '36', 'm9t', 'A Hutt on Corellia -- Isn\'t That a Kick');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_corellia.stf', '37', 'm10d', 'The Null Racket might be the fastest Corvette in the sector, but even I get boarded sometimes. When Imperials net me, all I can do is bite the blaster. But when a pirate crew gets the drop on me, I can return the favor planetside. That\'s where I stand right now. I need to hire a freelance strike team to hit the hangout of a certain Reego Hinterstar. He robbed my cargo and I want it back, or I could lose more than just my fee. If you\'ve got the men and the grit to take down a hardened space pirate, I want to talk to you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_corellia.stf', '38', 'm10o', 'Captain Sava Matar of the Corvette Null Racket');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_corellia.stf', '39', 'm10s', 'Niiice. After you started shooting, Reego didn\'t know which way was up. I got my cargo back, too. You\'ve got a future in the business of killing, my friend. Ol\'val.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_corellia.stf', '40', 'm10t', 'Take Down Hardened Space Pirate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_corellia.stf', '41', 'm11d', 'These days, jump pirates spring up more frequently on Corellia than ever before. I\'m sure you\'ve heard the newsfeeds describing how these robbers use antique SpecForce rocket packs, from the days of the Old Republic, to assault orbital shuttles as they pass through the topcloud layers. Such atmospheric bandits are particularly dangerous, since a mistake can bring their victims crashing to the surface instead of simply marooning them in space. CorSec has placed special priority on stopping these rocket-propelled thieves. To this end we are contracting civilian investigators to check out suspected staging sites and destroy them if anything illegal is found. Missions of this nature require groups of very experienced operatives. Interested parties are encouraged to send their qualifications to CorSec. In return we will transmit the coordinates of a suspected jump site in your area. Thank you for your attention.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_corellia.stf', '42', 'm11o', 'Corellian Security Force');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_corellia.stf', '43', 'm11s', 'Excellent work! We\'ve been hoping to catch that particular bunch of jump pirates for some time now. We trust this reward is suitable.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_corellia.stf', '44', 'm11t', 'Suspected Jump Pirate Lair');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_corellia.stf', '45', 'm12d', 'Spacers think that ships and fuel just pop into the galaxy through a black hole or something. Slip the blockades, tease the Imperials, run the Kessel and Byss and Twin Stars; it\'s all fun and glamor for those starry-eyed flyboys. But the fact is, it\'s guys like me that cut through all the rules and regulations so they can zip around the cosmos like kids on a hovertrike. Sometimes I got to remind those hotshots who runs the regulator in this business. That\'s how you can help me. I\'ve heard your name in certain circles. I think we can do some good business together. I got me a little station full of spacers and freight-runners that need a hot dose of reality, if you know what I mean. I want you to level that place. I want every sentient being with a blaster hole in him. Think you can handle that? Good. You\'ve got a reputation for serious violence. That makes you damn useful.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_corellia.stf', '46', 'm12o', 'Chaster Fel Gaargaaz, Magnate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_corellia.stf', '47', 'm12s', 'Haw! I knew you\'d be as good as your reputation. I hope you\'re sticking around Corellia for awhile. There\'s a lot more troublemakers where those came from, let me tell you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_corellia.stf', '48', 'm12t', 'Got Some Spacers Need a Lesson Taught');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_corellia.stf', '49', 'm13d', 'My dad never talked about how he made his money -- or how he got those scars, or how his ship got those blast marks. He passed away recently, and now I hear disturbing rumors from old gangsters. They seem to know a lot about Dad, and they\'re happy to talk about it to HoloNet reporters. Now, I\'m willing -- if not exactly happy -- to learn the truth about any skeletons in my old man\'s cargo hold. But there\'s my sisters, our families, our social position -- if too many questions come up, it makes it hard for us to hold our standing in society. You understand, I\'m sure, why these gangsters need silencing. Don\'t forget, they\'re not only a menace to us, but to society at large! So I hope you\'ll earn my family\'s large reward for wiping out this criminal menace.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_corellia.stf', '50', 'm13o', 'Heir to a Corellian Fortune');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_corellia.stf', '51', 'm13s', 'A thousand thanks. Just remind yourself, we have to destroy criminal elements to make Corellia safe for honest people like ourselves.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_corellia.stf', '52', 'm13t', 'Menace to an Honored Phantom');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_corellia.stf', '53', 'm14d', 'I\'ll make this quick, since time is short. We had a shipment of repulsor-compensators stolen from a droid freighter. We\'ve got an Imperial order for hyperdrives and we need those components back immediately. The thieves are running a cloaking shield for their contraband ship from a ground station outside of town. We need a civilian strike team to knock out this station so we can locate our stolen shipment and get back on schedule. Lord Vader, the Imperial agent who placed the order, sounded impatient. We don\'t want to keep him waiting.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_corellia.stf', '54', 'm14o', 'Corellian Technologies');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_corellia.stf', '55', 'm14s', 'Thank you. Here\'s your payment for the work. Lord Vader is pleased to hear that our shipment of hyperdrives is back on schedule. He did not sound like a forgiving sort.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_corellia.stf', '56', 'm14t', 'Ground-based Cloaking Shield');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_corellia.stf', '57', 'm15d', 'We finally tracked down the mysterious source of turbolaser fire that has assisted more than a few smugglers past our customs blockade. A team of veteran soldiers has disguised the planetside laser as an unobtrusive power station. They are unaware that we know their location, so we have the advantage of surprise. Rather than deploying regular troops to knock out the turbolaser, we have decided to employ a team of skilled civilians for the mission. This will reduce the chances for the criminals to discover that their position has been compromised. We need this civilian team to hit them quickly and mercilessly. We estimate that they are prepared for an extended defense of the site, so err on the side of personal survival. We will monitor the engagement and secure the site after the smoke clears.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_corellia.stf', '58', 'm15o', 'Corellian Defense Force');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_corellia.stf', '59', 'm15s', 'You handled that firefight better than we could have imagined. Your reward is well-deserved. We\'d be pleased to work with you again in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_corellia.stf', '60', 'm15t', 'Hidden Turbolaser');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_corellia.stf', '61', 'number_of_entries', '15');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_naboo.stf', '1', 'm1d', 'The Advisory Office attends to the safety of remote Naboo settlements. In these troubled times these settlements endure constant problems with marauders and vandals. They come from offworld, know nothing of our traditions and culture, and see our lovely settlements as mere loot-houses. Worse, Imperial Security pays the problem little regard unless it directly concerns the Empire\'s installations. Therefore, we routinely hire experienced strike teams to stamp out criminal bases as we locate them. Contact this office for coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_naboo.stf', '2', 'm1o', 'The Royal Advisory Council');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_naboo.stf', '3', 'm1s', 'Thank you. Your aid, though welcome, is only a temporary measure in fighting an ongoing problem, so expect further assignments from this office in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_naboo.stf', '4', 'm1t', 'Vandals On Naboo\'s Frontiers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_naboo.stf', '5', 'm2d', 'Territorial disputes among shaak wranglers have taken a ludicrous turn. Some wrangling families are hiring gangsters to add banned chemicals to the feed of rival shaak herds. These chemicals create intestinal blockages that eventually cause the afflicted shaaks to, as it were, explode. We have assigned agricultural counselors to resolve citizen grievances, but we must also deal with the gangster problem. Bringing it to the attention of Imperial Security could lead to public ridicule. We prefer to hire an independent agent to eliminate the gangsters, quietly and with discretion.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_naboo.stf', '6', 'm2o', 'The Royal Advisory Council');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_naboo.stf', '7', 'm2s', 'This was not our finest hour, perhaps, but you did the job well. We may hope not to deal with explosive shaaks in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_naboo.stf', '8', 'm2t', 'Exploding Shaak Problem');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_naboo.stf', '9', 'm3d', 'Security operatives constantly uncover new pirate bases in the Naboo countryside. These bases, speedily constructed and easily abandoned, show Imperial Security\'s apathy about protecting Naboo citizens. The Empire tolerates pirates exactly as long as they avoid the Emperor\'s own retreat. We must deal with the consequences ourselves, and so we employ private strike teams to assault and destroy these pirates as they turn up. Contact this office for coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_naboo.stf', '10', 'm3o', 'The Royal Security Forces');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_naboo.stf', '11', 'm3s', 'Thank you for striking one more blow against piracy. This problem continues strongly, so expect to hear from us again on this matter.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_naboo.stf', '12', 'm3t', 'Pirate Bases In Naboo Countryside');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_naboo.stf', '13', 'm4d', 'According to our security operatives, slavers are selling Twi\'lek females to settlers in remote areas. The slave trade was never a problem on Naboo historically, but has increased of late, particularly the trade in desirable Twi\'lek women. This odious crime seems uninteresting to Imperial Security, and our own volunteer forces lack the firepower needed to stop well-armed slavers. We seek experienced strike teams that can handle a major challenge. Contact this office for coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_naboo.stf', '14', 'm4o', 'The Royal Security Forces');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_naboo.stf', '15', 'm4s', 'The Twi\'lek slave trade is still on the upswing on Naboo, so expect further calls from us in the future. Meanwhile, thank you. Here is your fee.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_naboo.stf', '16', 'm4t', 'Twi\'lek Slaver Activity on Naboo');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_naboo.stf', '17', 'm5d', 'Our Governor has long performed a delicate balancing act, allowing the Empire free rein on Naboo while simultaneously protecting our people from drastic exploitation. Certain factions in Imperial Security disapprove of this balancing act. Recently criminal agents have been provoking skirmishes between Naboo settlers and Gungans in areas where both species live in close proximity. These provocateurs raid one side\'s settlements, plant false evidence implicating the other side, then repeat the same operation in reverse. Given the lack of obvious criminal motives, this suggests a plan to create a political crisis on our borders, perhaps in order to increase Imperial Security\'s involvement in (and exploitation of) the area. The Governor\'s office is contracting with independent strike teams to stop these criminals before a crisis can occur.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_naboo.stf', '18', 'm5o', 'The Office of the Governor of Naboo');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_naboo.stf', '19', 'm5s', 'You have helped defuse the crisis, for now. This is perhaps only a step in an ongoing process, so you may be hearing from us again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_naboo.stf', '20', 'm5t', 'Tensions On Naboo-Gungan Borders');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_naboo.stf', '21', 'm6d', 'The Governor has received intelligence reports regarding pirate activity between Naboo and the moon Rori. Numerous raiding ships are involved, all displaying suspiciously similar weaponry and tactics. They are clearly operating on a scale far above usual piracy. Also curious is their seeming immunity to Imperial sensors; at least, the Imperial Navy does not acknowledge any particular piracy problem over Naboo. We suspect that a Navy faction is actively equipping and supporting these pirates. The effort would weaken Naboo\'s efforts to build a hyperdrive construction facility on Rori, a key step in becoming less dependent on imported technology. Given the Empire\'s apathy, this office is discreetly hiring independent agents to locate and strike pirate land bases here on Naboo.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_naboo.stf', '22', 'm6o', 'The Office of the Governor of Naboo');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_naboo.stf', '23', 'm6s', 'Excellent! Your work has helped Naboo and Rori continue on the high path toward technological independence. We shall hope to use your services again soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_naboo.stf', '24', 'm6t', 'Pirates Interfere With Factory Shipments');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_naboo.stf', '25', 'm7d', 'For a long while, despite subtle Imperial opposition, the Governor has supported construction of a hyperdrive factory facility on Naboo\'s moon Rori. This would free Naboo from excessive reliance on imported technology. Certain Imperial Navy factions who disapprove of this goal are covertly undermining our effort. Now the Navy is plainly ignoring smuggler activity between Naboo and Rori, whereby smugglers steal equipment from the Rori spaceport, ship it back to Naboo, and sell it back to corrupt suppliers. In essence, we are buying our own equipment multiple times. We are hiring independent agents to fight the smugglers that the Empire ignores.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_naboo.stf', '26', 'm7o', 'The Office of the Governor of Naboo');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_naboo.stf', '27', 'm7s', 'A fine job! Your work will help this vital project stay within budget -- for now. But this deplorable interference will no doubt continue, so look to us for more work soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_naboo.stf', '28', 'm7t', 'Smugglers Interfere With Hyperdrive Facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_naboo.stf', '29', 'm8d', 'In times past this office has been known for corruption, but that is changing on my watch. My current problem is the many \"inside\" informers, who secretly forward all shipping manifests and internal communication to their smuggler accomplices. To bypass these informers, I give sensitive tasks to freelance agents. In the current case, I have learned of an operation that diverts expensive imports from the spaceport landing dock straight to the smugglers, bypassing customs. Only a well-armed strike team can stop this rich trade. Contact me on a secure channel for coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_naboo.stf', '30', 'm8o', 'The Portmaster of Kwilaan Starport');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_naboo.stf', '31', 'm8s', 'That is satisfactory. I must next pinpoint the confederates in this office. There is much to be done here, so you may expect further work from me.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_naboo.stf', '32', 'm8t', 'Smugglers Infiltrate Portmaster Office');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_naboo.stf', '33', 'm9d', 'In certain savage cultures of the Outer Rim, the organs of Naboo\'s wild tusk-cats are presumed to have mystical medicinal properties. The smuggling trade in tusk-cat organs has reached crisis proportions. The ringleader behind the current gang is supposed to be a mystic or shaman from Omwat, one of these remote worlds. My operatives recently saw such a figure enter a fortified base at the attached coordinates. I\'d like a seasoned strike team to hit this fortification, destroy the smugglers, and stop this barbaric trade.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_naboo.stf', '34', 'm9o', 'The Portmaster of Kwilaan Starport');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_naboo.stf', '35', 'm9s', 'Excellent. But I saw no sign of any presumed mystic or wizard from Omwat. Perhaps he escaped, to resume the tusk-cat trade elsewhere. Ah, well.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_naboo.stf', '36', 'm9t', 'Naboo Tusk-cat Medicine Smuggling');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_naboo.stf', '37', 'm10d', 'Persistent rumors about smuggling on Naboo mention a medicine man or shaman from Omwat, a primitive world in the Outer Rim territories. He trafficks not in the usual spice and weaponry, but in odd ceremonial medicines -- native herbs and organs of local animals. Now there are new reports that he has moved from organ smuggling into kidnapping. An individual matching his description recently abducted a Naboo child in a rural settlement. The girl\'s community is up in arms. We must mount an all-out offense quickly. While police search for the girl, we are contracting with independent strike teams to assault fortified smuggler lairs associated with this Omwat shaman. You will be well paid for your work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_naboo.stf', '38', 'm10o', 'The Royal Security Forces');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_naboo.stf', '39', 'm10s', 'Congratulations. The girl abducted by the Omwat shaman escaped during your assault, and is now safely back home. You\'ve done well, and you deserve this reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_naboo.stf', '40', 'm10t', 'Girl Abducted by Omwat Shaman');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_naboo.stf', '41', 'm11d', 'For the sake of a beautiful lady, we have to act fast. The daughter of a wealthy Naboo has been kidnapped by offworld slavers. These cutthroat scum were hired by a rival noble as retaliation for a political slight. Without going into details, I hold myself responsible for this situation. I intend to fix it. The slavers will expect the Royal Security Force to mount a rescue operation. We can catch them by surprise with a civilian strike team. I need skilled fighters to hit the slaver\'s lair fast and hard. While the battle is on I will slip inside and free the captive. I do not have a fortune with which to fund this operation, but all that is mine I will give to the fighters who help me get back my lady.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_naboo.stf', '42', 'm11o', 'Thanus March, Freelance Spacer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_naboo.stf', '43', 'm11s', 'We did it! I got my lady out in the thick of the fighting. I owe you more than just these credits, friend. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_naboo.stf', '44', 'm11t', 'Rescue Noble Naboo Lady');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_naboo.stf', '45', 'm12d', 'Textile merchants have always made a good living on Naboo. My partner recently decided to retire and live off the wealth he has amassed during his fifteen years in business. He left me the company, for which I was grateful. What he didn\'t tell me, however, was that he failed to honor certain debts to a gang of smugglers. The gang has decided to collect on those debts, and has gone so far as to threaten my family. Because my former partner refuses to acknowledge these debts, and I don\'t have the exorbitant amount these scoundrels are demanding, I\'m willing to pay a team of experienced troubleshooters to get rid of these smugglers and make sure they don\'t trouble anyone else again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_naboo.stf', '46', 'm12o', 'Hipan Voge, Textile Merchant');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_naboo.stf', '47', 'm12s', 'That was handled most expertly. I think perhaps this is the beginning of a beautiful and profitable friendship. Do you like Dramassian silk? I can get it cheap.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_naboo.stf', '48', 'm12t', 'Insure Safe Import of Fabrics');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_naboo.stf', '49', 'm13d', 'I thought I had lost my son in an aquaspeeder accident on Lake Paonga a couple of months ago, but I\'ve recently discovered it was a botched kidnapping attempt by a group of murderous pirates. These scum plan on trying again with the child of another wealthy family, but I intend to stop them. I\'m offering a handsome reward to the individual or team that successfully assaults and destroys the pirates\' lair, the coordinates for which I have just acquired. Only the most dedicated and efficient agents of justice need apply.  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_naboo.stf', '50', 'm13o', 'Kanlee Fentetta, Prominent Naboo Citizen');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_naboo.stf', '51', 'm13s', 'My son is finally avenged and my fellow citizens may rest a bit easier. These pirates are a scourge on the galaxy, and we should strive to wipe them out. All of them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_naboo.stf', '52', 'm13t', 'Avenge Murdered Naboo Son');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_naboo.stf', '53', 'm14d', 'Swoop gangs have never really been a problem on Naboo, but recently the Empire shipped much of the Royal Security Forces\' strength offworld to deal with the Rebellion. This has left us more vulnerable to incursions by these rogues. One gang in particular has been gaining notoriety, the Shadow Angels of Dathomir. We believe they are trying to establish themselves here, and we do not have the manpower necessary to drive them off. We\'re willing to pay a strike team to infiltrate the Shadow Angels lair and blast that scum off our beautiful world. These gangsters are quite tough, so only the most seasoned professionals should apply.    ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_naboo.stf', '54', 'm14o', 'The Royal Security Forces');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_naboo.stf', '55', 'm14s', 'Our best agents could not have done a better job. Your team\'s skills are formidable, and you\'ve earned your fee. Has your team ever considered joining the Royal Security Forces? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_naboo.stf', '56', 'm14t', 'Drive Away Swoopers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_naboo.stf', '57', 'm15d', 'The questionable activities of former portmasters have unfortunately created a situation that must now be handled by our office. During the tenure of these portmasters, smugglers were encouraged to increase their activities on Naboo. Many of these smugglers have established hideouts in remote areas and will no doubt continue to ply their trade until driven off. The Governor\'s Office has authorized us to seek outside help in dealing with these criminals. We\'re offering rewards to capable strike teams that can drive these smugglers off our world.   ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_naboo.stf', '58', 'm15o', 'The Royal Security Forces');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_naboo.stf', '59', 'm15s', 'Efficient and effective, citizen. Your fee will be deposited in your account. The Naboo are grateful for your services.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_naboo.stf', '60', 'm15t', 'Encourage Smugglers to Leave');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_naboo.stf', '61', 'number_of_entries', '15');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_non_persistent_from_npc.stf', '1', 'm1d', 'I think I\'ve heard of you. You help people take care of problems, don\'t you? Care to tackle a gang of some of the meanest scum in the galaxy? I know what you\'re worth, and I\'ll definitely reward you at that rate. Deal?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_non_persistent_from_npc.stf', '2', 'm1o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_non_persistent_from_npc.stf', '3', 'm1s', 'I must confess, I never thought you\'d pull it off. You are one tough being. Your pay has been deposited, you\'ve more than earned it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_non_persistent_from_npc.stf', '4', 'm1t', 'Tackle Tough Gang');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_non_persistent_from_npc.stf', '5', 'm2d', 'You haven\'t seen swooper violence until you\'ve seen this gang\'s handiwork. They keep the surrounding neighborhoods terrified and under their cruel control. Can you help free these innocents?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_non_persistent_from_npc.stf', '6', 'm2o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_non_persistent_from_npc.stf', '7', 'm2s', 'I have a feeling your name will be remembered in galactic history, friend. I hope you always choose to use your formidable powers for good. It\'s a pleasure to give you this reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_non_persistent_from_npc.stf', '8', 'm2t', 'Swoopers Are Mean');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_non_persistent_from_npc.stf', '9', 'm3d', 'You want to make a name for yourself, citizen? Try taking out one of the largest spice refining operations in this sector. It\'s guarded by some of the galaxy\'s most vicious killers. Think you can take them on?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_non_persistent_from_npc.stf', '10', 'm3o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_non_persistent_from_npc.stf', '11', 'm3s', 'I can\'t believe you survived that! You a Jedi or something? The reward is rightfully yours.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_non_persistent_from_npc.stf', '12', 'm3t', 'Take Out Spice Refinery');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_non_persistent_from_npc.stf', '13', 'm4d', 'Would you believe me if I told you that a vile gang of murderers has decided to form a cult devoted to the worship of the ancient Sith? They\'re right here on this world and intend to carry out human sacrifices. Could you please help us destroy this cult? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_non_persistent_from_npc.stf', '14', 'm4o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_non_persistent_from_npc.stf', '15', 'm4s', 'You\'re a true hero of the people, friend. Please accept this generous reward from a very appreciative community.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_non_persistent_from_npc.stf', '16', 'm4t', 'Crush Sith Cult');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_non_persistent_from_npc.stf', '17', 'm5d', 'Rumor has it that a Dathomir Nightsister has claimed leadership of a gang of cutthroats and is training them in the use of the dark side of the Force. Can you help us stop this gang before it becomes an unstoppable force?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_non_persistent_from_npc.stf', '18', 'm5o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_non_persistent_from_npc.stf', '19', 'm5s', 'Excellent job, citizen, no doubt about it. The reward for your services has been deposited.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_non_persistent_from_npc.stf', '20', 'm5t', 'Stop Vicious Cutthroats');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_non_persistent_from_npc.stf', '21', 'm6d', 'There\'s a gang that\'s decided to adopt the Tusken Raider\'s Bloodrite practice as a form of initiation for new members. Recruits must capture and torture a sentient being to death over a period of weeks. Please help us put a stop to this.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_non_persistent_from_npc.stf', '22', 'm6o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_non_persistent_from_npc.stf', '23', 'm6s', 'Those loathsome criminals were trained killers and must have put up an incredible fight. I\'ve deposited a small token of our esteem into your account. You have saved our community.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_non_persistent_from_npc.stf', '24', 'm6t', 'Stop Tusken Raider Copycats');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_non_persistent_from_npc.stf', '25', 'm7d', 'Slavers have set up a base of operations on this planet and conduct their vile business from this stronghold. They\'ve already captured several local non-humans and sold them off to various buyers across the galaxy. Can you help us stop these rogues? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_non_persistent_from_npc.stf', '26', 'm7o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_non_persistent_from_npc.stf', '27', 'm7s', 'We are forever in your debt, citizen. A hero such as yourself is desperately needed in these dark times. You\'ve earned your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_non_persistent_from_npc.stf', '28', 'm7t', 'Stop Slavers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_non_persistent_from_npc.stf', '29', 'm8d', 'Does the Black Sun organization scare you, citizen? Do you shrink from the idea of entering a den of assassins and blasting it to bits? If you think you can tackle a major crime syndicate and live to boast about it, then help us get rid of this vicious gang of criminals.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_non_persistent_from_npc.stf', '30', 'm8o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_non_persistent_from_npc.stf', '31', 'm8s', 'I thought you seemed like a being with no fear. Your exploits will become the stuff of legends, citizen. Your prowess will be amply rewarded.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_non_persistent_from_npc.stf', '32', 'm8t', 'Tackle Black Sun');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_non_persistent_from_npc.stf', '33', 'm9d', 'Interesting gossip from the planetary security forces. A well-funded criminal group has stolen plans for the Empire\'s w-165 planetary turbolaser and intends to sell them to the highest bidder. We suspect inside assistance within our agency, so we\'re covertly hiring an outside team to take out the criminal base. Is your team up to it?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_non_persistent_from_npc.stf', '34', 'm9o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_non_persistent_from_npc.stf', '35', 'm9s', 'Let\'s hope the plans were destroyed. If not, we\'ll certainly hear about it, more\'s the pity. You did well, thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_non_persistent_from_npc.stf', '36', 'm9t', 'Find Secret Plans');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_non_persistent_from_npc.stf', '37', 'm10d', 'I can\'t tell you how I know this, but criminals keep infiltrating planetary security forces. They\'ve been funneling new starship sensor arrays onto the local black market. If the law mounts an assault operation, the insiders will tip off the smugglers. If your team can destroy the criminal base, you\'ll be well rewarded.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_non_persistent_from_npc.stf', '38', 'm10o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_non_persistent_from_npc.stf', '39', 'm10s', 'That was a brilliant operation, and you displayed great courage. Powerful people have taken notice. Your reward has been deposited; don\'t mention that you got it from me.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_non_persistent_from_npc.stf', '40', 'm10t', 'Stop Black Market Thieves');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_non_persistent_from_npc.stf', '41', 'm11d', 'Heard the gossip? Criminals have sabotaged planetary security\'s entire line of portable scanners. The alteration makes their own activities invisible. Until it\'s fixed, planetary security is commissioning local strike teams to take out trouble spots. Want an assignment?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_non_persistent_from_npc.stf', '42', 'm11o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_non_persistent_from_npc.stf', '43', 'm11s', 'Good job. No telling how long it will take to solve this portable scanner sabotage, so more work should be coming up.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_non_persistent_from_npc.stf', '44', 'm11t', 'Solve Scanner Debacle');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_non_persistent_from_npc.stf', '45', 'm12d', 'Planetary security has learned of a dangerous compromise of local HoloNet satellite transceiver encryption. Pirates could decrypt spaceport traffic to locate prime victims. The security agency itself is rife with infiltrators, so an independent strike team needs to take out this pirate operation. There\'s a nice reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_non_persistent_from_npc.stf', '46', 'm12o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_non_persistent_from_npc.stf', '47', 'm12s', 'The HoloNet is safe again, because of your efforts. I\'m glad to pay this reward, and be confident that your reputation is growing.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_non_persistent_from_npc.stf', '48', 'm12t', 'Make HoloNet Safe');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_non_persistent_from_npc.stf', '49', 'm13d', 'Thugs duped me into receiving a shipment. I only belatedly learned its nature: Thalassian security collars -- slaving collars! I had no idea slavery was still practiced in these enlightened times. I take personal responsibility for involvement with these scoundrels. In restitution, I\'ll pay you to destroy that slaver base.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_non_persistent_from_npc.stf', '50', 'm13o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_non_persistent_from_npc.stf', '51', 'm13s', 'My conscience is now somewhat ameliorated. Thank you for your assistance. Your pay has been deposited.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_non_persistent_from_npc.stf', '52', 'm13t', 'Destroy Slavers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_non_persistent_from_npc.stf', '53', 'm14d', 'Ever been tortured by an Arakyd Agonizer-6 nerve disruptor? No, I can see you haven\'t. You still walk well and don\'t tremble. I won\'t go into my personal history with these devices. But when I learned that gangsters outside town are manufacturing these evil things, I resolved to hire a strike team to take them out.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_non_persistent_from_npc.stf', '54', 'm14o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_non_persistent_from_npc.stf', '55', 'm14s', 'Your money has been deposited. I suspect those \"gangsters\" were actually selling to the Empire, but that\'s a problem for another day.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_non_persistent_from_npc.stf', '56', 'm14t', 'Smash Torture Devices');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_non_persistent_from_npc.stf', '57', 'm15d', 'A certain criminal organization has allegedly obtained schematics for Imperial Star Destroyer tractor beams. Personally, I doubt this. But as a precaution, I\'m willing to pay your strike team to destroy the base that may possibly contain these alleged plans. I\'d prefer not to explain why this is a precaution. Will you take the job?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_non_persistent_from_npc.stf', '58', 'm15o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_non_persistent_from_npc.stf', '59', 'm15s', 'Your success makes me believe the tractor-beam rumor to be false. An organization with the resources to steal from the Empire would certainly have put up a bigger fight. Your payment has been sent.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_non_persistent_from_npc.stf', '60', 'm15t', 'Secure Schematics');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_non_persistent_from_npc.stf', '61', 'number_of_entries', '15');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_tatooine.stf', '1', 'm1d', 'Maintaining good relations between settlers and Sand People is a constant struggle. To foster better understanding between the cultures, our bureau funds an outreach program to teach young Sand People crafts, basic arithmetic, and interpretive dance. Unfortunately, yet another of our award-winning Intercultural Compassion Community Centers is being threatened by vandal gangs. These thugs take brutish pleasure in blowing up our bureau\'s buildings and attacking our instructors. We now have a line item in our annual budget to hire independent adventurers to destroy these gangs. Contact our bureau for coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_tatooine.stf', '2', 'm1o', 'Tatooine Bureau of Ethnicity and Socialization');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_tatooine.stf', '3', 'm1s', 'You have performed as the contract specifies. Contract payment disbursed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_tatooine.stf', '4', 'm1t', 'Gangs Menace Intercultural Compassion Center');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_tatooine.stf', '5', 'm2d', 'You worthless cheating pile of eopie droppings, I hope some swooper cuts off your mother\'s -- oh, wait, I think I\'ve got my message files mixed. Okay, I see now, this one is going to whoever can help me get back at that crooked ronto dealer Fizzy Fon Margan. We\'ve been feuding for a while over this hopeless, mite-infested droopneck animal he sold me. I\'ve tried threats, I\'ve tried lawsuits, but lately I\'ve had more satisfaction hiring people to beat him up. Now, Fizzy Fon has hired a violent bunch of thugs to blow up my home and property. This overreaction requires massive retaliation. I want you to demonstrate what awaits Fizzy Fon by blowing up his band of hired goons. Meanwhile, I have to finish dictating my latest little love-note to Fizzy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_tatooine.stf', '6', 'm2o', 'An Aggrieved Ronto Owner');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_tatooine.stf', '7', 'm2s', 'Right about now, Fizzy Fon must be getting the sad news about his hired thugs. I wish I could be there. Thanks, you did fine.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_tatooine.stf', '8', 'm2t', 'Stop Goons Hired by Fizzy Fon Margan');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_tatooine.stf', '9', 'm3d', 'I tell you, this woman is insane! She bought a ronto from my Mos Espa lot, having been clearly informed before the sale that this creature has a recurring inner-ear difficulty. She had some bad luck with it, I grant you. I\'m sorry for the damage to her home and the four surrounding blocks, I really am. But this was in no sense my responsibilty. I don\'t deserve this constant stream of harrassing calls and really hostile messages. And now, by hiring gangs of thugs to beat me up twice a day, now she\'s really gone beyond decent conduct. I\'ve found her latest gang\'s headquarters, and I\'m hiring you to take them out. Meanwhile, I\'m calling my lawyer again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_tatooine.stf', '10', 'm3o', 'Fizzy Fon Margan, Your One-Stop Ronto Dealer!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_tatooine.stf', '11', 'm3s', 'Thanks. This is more than an untoward side-effect of the ronto resale business, it\'s a living nightmare. I intend to retaliate against that bizarre woman.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_tatooine.stf', '12', 'm3t', 'An Aggrieved Customer is Making My Life Unbearable');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_tatooine.stf', '13', 'm4d', 'My homeworld, Cona, is going through tough times. Lots of refugees from Imperial policies. I\'ve brought some here to Tatooine to set up new lives -- after all, who would look for anyone out here? But the local gang is getting these helpless folk addicted to salt and hustling them for their salaries. It makes me so angry that my thrusk burns. To protect these poor Arcona, I want you to level that gangster lair. Leave nothing standing!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_tatooine.stf', '14', 'm4o', 'An Arcona in Mos Eisley');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_tatooine.stf', '15', 'm4s', 'On behalf of my people, thank you. And when you\'re in Mos Eisley, stop by Spaceport Speeders for a good deal.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_tatooine.stf', '16', 'm4t', 'Salt Pushers Menacing Tatooine\'s Arcona Refugees');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_tatooine.stf', '17', 'm5d', 'As a Trandoshan, I am required to collect jagannath points by hunting dangerous prey. My problem is that I\'m a colossal coward. My family\'s ill-gotten wealth lets me travel hither and yon, hiring local adventurers to kill deadly beasts on my behalf. Unfortunately, certain narrow-minded rivals on Dosha have obtained my itinerary, and they have decided to make my Tatooine visit difficult. Informants tell me that gangsters wait to accost me as I arrive. Ah well, I have bottomless funds! I gladly commission you to stop these hired thugs before I arrive, preferably by blasting them to subatomic particles. Ah, the enviable life of the craven rich!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_tatooine.stf', '18', 'm5o', 'An Anonymous Trandoshan');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_tatooine.stf', '19', 'm5s', 'Excellent work, except that my informant tells me the world in question was not Tatooine, but some other backwater. Ah well, I suppose these gangsters deserved their fate. Take your payment, and may the Scorekeeper record your brave deed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_tatooine.stf', '20', 'm5t', 'Cowardly Trandoshan to Visit Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_tatooine.stf', '21', 'm6d', 'Word reaches me from my hunting school on Dosha that a vile coward is now visiting Tatooine. This shuddering pipsqueak, rich in credits and poor in honor, has brought disrepute to the noblest Trandoshan traditions. There is no honor in tracking and killing a coward, so rather than stain my reputation, I am hiring you to locate this fool\'s lair and destroy it, along with all the contemptible gangsters sheltering him. May the Scorekeeper smile on your effort!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_tatooine.stf', '22', 'm6o', 'A Trandoshan of Integrity');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_tatooine.stf', '23', 'm6s', 'My information was mistaken. Apparently the coward has not yet arrived on Tatooine. Still, one less gangster lair is one less gangster lair. You did honorable work in facing those felons, and so I pay you as agreed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_tatooine.stf', '24', 'm6t', 'Defend the Honor of the Trandoshans');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_tatooine.stf', '25', 'm7d', 'One of the first colony ships to arrive on Tatooine has today become a wretched hive of scum and villainy. Mos Eisley\'s wrecked Dowager Queen, an important part of our planetary heritage, needs cleaning, fumigation, extensive restoration, and many eviction notices to become a world-class tourist attraction. Our new organization recently secured seed funds to start this task, but a gang of short-sighted thieves stole the money -- and with it, the chance to make the Dowager a proud queen once again. Tracking beacons have pinpointed the thieves\' location. We have raised enough among our board members to hire you to destroy the base and, if possible, recover the money.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_tatooine.stf', '26', 'm7o', 'Committee to Preserve the Dowager Queen');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_tatooine.stf', '27', 'm7s', 'We did not expect you to find the money. We\'ve hired a slicer who has traced and recovered the stolen funds. Nonetheless, thank you. In a few years we hope to have you at our grand re-christening of the restored Dowager Queen!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_tatooine.stf', '28', 'm7t', 'Thieves Stole Funds to Restore Tatooine\'s First Colony Ship');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_tatooine.stf', '29', 'm8d', 'Illustrious Jabba wants peace and prosperity for all sentient beings of Tatooine. To this end he has identified the fortified strongholds of a certain gangster who has plagued this planet with her ceaseless and arrogant criminal schemes. The Mighty Jabba will gladly pay a handsome reward to any soldiers-of-fortune who are tough and brutal enough to wipe out these dens of wickedness. He wishes suffering and death upon these criminals and good fortune upon those who undertake this noble enterprise.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_tatooine.stf', '30', 'm8o', 'Bib Fortuna');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_tatooine.stf', '31', 'm8s', 'Mighty Jabba is most pleased with your success. Perhaps you might visit his palace to further test your mettle.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_tatooine.stf', '32', 'm8t', 'Wipe Out Lady Valarian\'s Den of Wickedness');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_tatooine.stf', '33', 'm9d', 'For too long have the Hutts spread their disease and corruption across the Outer Rim. Here on Tatooine, we all know that Jabba is the worst of the bunch. I am placing the resources of my organization at the disposal of all citizens willing to take a stand against this villain and the scum who work for him. I shall provide the coordinates of his more exposed strongholds, if you can provide the firepower to smash them to rubble. You will be well paid for your valiant deeds. Together we can make Tatooine safe for legitimate citizens again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_tatooine.stf', '34', 'm9o', 'Lady Valarian');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_tatooine.stf', '35', 'm9s', 'You\'ve got a real talent for death and destruction. I may be able to put it to good use. I\'ll be in touch.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_tatooine.stf', '36', 'm9t', 'Smash Jabba\'s Strongholds');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_tatooine.stf', '37', 'm10d', 'Tatooine is my home. I don\'t have to stand for assaults on myself and my property. I was moving a repulsorsled of motivators across the Swallowing Wastes when a gang of cutthroats hit me with an ion gun and robbed me blind. But the joke is on them. The tracking circuit in my repulsorsled has given me the coordinates where these gravel maggots sharpen their knives. I\'ll pay good money to anyone who can take them down and make sure they stay down. Tatooine may be a backwater dustball, but it doesn\'t have to be uncivilized.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_tatooine.stf', '38', 'm10o', 'A Robbery Victim');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_tatooine.stf', '39', 'm10s', 'The robbers are down and out? Good! Hired guns like you make Tatooine a bastion of civilization in the Outer Rim.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_tatooine.stf', '40', 'm10t', 'Take Down a Gang of Robbers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_tatooine.stf', '41', 'm11d', 'So when I heard that a pack of anoobas had strayed into Bildor\'s Canyon, I figured they would make an easy sell to one of those rich Naboo animal lovers. What I didn\'t know was, a swoop gang was preying on other moisture farmers in the area. Those filthy worrts took everything I\'ve got and laughed at my pain. Now I\'m stuck in a bacta tank, wondering what will happen to my family when last season\'s harvest runs out. But I\'ve still got a few credits to pay for revenge. I need someone tough and pitiless to wipe that swoop gang off the face of the planet. I\'ve heard that you fit the bill. They\'re a dangerous bunch, but I know you can handle it. Turn them into bantha fodder!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_tatooine.stf', '42', 'm11o', 'A Moonlighting Moisture Farmer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_tatooine.stf', '43', 'm11s', 'I knew you could handle that pack of low-life worrts. I hope they begged for mercy before you fried them!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_tatooine.stf', '44', 'm11t', 'Mash a Swoop Gang Into Bantha Fodder');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_tatooine.stf', '45', 'm12d', 'I\'ve had some hyperspace trouble that maybe you can help me with. I work the Triellus trade route between Tatooine and the Sisar Run. For the last year there has been sporadic hyperwave interference on the route. I run a lot of medical cargoes to the Outer Rim. Lives are at stake if I have to drop out of hyperspace to recalibrate my navicomputer. I found out that an import broker here on Tatooine has built a hyperwave antenna to deliberately slow incoming cargoes, so he can run up the prices on his own stock. That\'s no good. When I\'m late with medicine, people die. When I put this to him, he just laughed at me. So I want to hire you to take out his antenna. He\'s got paid thugs protecting the site, but I know your reputation. A couple of roughnecks with blasters won\'t scare you off. I\'ll pay a fair fee for the job, as long as you don\'t waste any time. I\'m off to Terman Station with a load of cordine that must not be delayed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_tatooine.stf', '46', 'm12o', 'Yester Timm, Freight Carrier');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_tatooine.stf', '47', 'm12s', 'I just got word from a friend in Mos Espa that the hyperwave antenna was blasted to bits. I knew you were as good as your reputation. The money will be transferred to your account automatically. Nice work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_tatooine.stf', '48', 'm12t', 'Hyperspace Trouble');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_tatooine.stf', '49', 'm13d', 'Anchorhead might be a long way from the Jundland Wastes, but sometimes town problems spill into the wilds. We\'ve got surveyors looking for ore from the Western Dunes all the way to Mospic. But a competitor of ours doesn\'t believe in fair claims. They\'ve contracted a swoop gang to attack our surveyors once a vein has been found. These claim stealers have killed or maimed a dozen good workers. We\'re ready to put a stop to it. We sent a seeker droid to discover the location of the gang\'s hideout. All we need is a group of strong fighters to give those womp rats a taste of their own medicine. They never showed us mercy, so show them none in return.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_tatooine.stf', '50', 'm13o', 'Kralkeen Mining Concern');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_tatooine.stf', '51', 'm13s', 'That was terrific work. Now our surveyors don\'t have to work in secret anymore. Unless our competitor hires another gang, in which case we may be in contact with you again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_tatooine.stf', '52', 'm13t', 'Crunch the Claim Stealers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_tatooine.stf', '53', 'm14d', 'As a child I was a slave on Tatooine. I may have been just another Twi\'lek girl, but I was strong enough to escape my abusive owner, bribe a monk to remove my transmitter and stow aboard a tanker to flee this sandy hellpot of a planet. After ten years in a company of Zabrak mercenaries, I\'ve decided to settle the unfinished business of my youth. I\'m going to pay a visit to my old owner. I need someone to pay a similar visit to the slavers who ruined my life. The gang is still here, as fat and vicious as ever, armed to the teeth and ready for anything. But they\'re not the toughest beings on Tatooine. That title goes to specialists like you. That\'s why you\'re my choice to deliver some payback to those heartless scum. Make them regret their choice of profession and I\'ll make you happy you did.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_tatooine.stf', '54', 'm14o', 'Pura Kotal');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_tatooine.stf', '55', 'm14s', 'My former owner fared no better than those slavers. I knew I could rely on your skill. Here\'s your payment. If you\'re going to be in Mos Taike this week, look me up. I\'ll buy you a Dodbri whiskey.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_tatooine.stf', '56', 'm14t', 'Payback For the Slavers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_tatooine.stf', '57', 'm15d', 'They thought they could escape me after they killed my husband, but they were wrong. I\'ve followed these pirates through twelve sectors. I nearly killed them three separate times. Now they think they\'re safe in Hutt Space, huddled in the sands of this remote dustball, but they\'re about to meet their end. I know where they\'re hiding out. I know on a planet like Tatooine, I can hire freelance soldiers twice as tough as a crew of common space pirates. I\'ve got the money to pay for the demise of these murderers. The galaxy isn\'t big enough to escape my justice.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_tatooine.stf', '58', 'm15o', 'Madam Prisaal of Ichtor 8');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_tatooine.stf', '59', 'm15s', 'I should feel happy. My husband can rest in peace. Instead I just feel cold, like a death stick addict at the end of a fix. You\'ve done your job well, though, so here\'s your payment like I promised.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_tatooine.stf', '60', 'm15t', 'Avenge My Murdered Husband');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_hard_npc_tatooine.stf', '61', 'number_of_entries', '15');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '1', 'm1d', 'I finally had a chance to impress a talent scout from a major jizz recording company. This was gonna be my shot at fame and fortune. I\'d set up a small, exclusive outdoor concert in a location specifically chosen for its excellent acoustics. I was gonna blow that scout\'s boots off with my jizz-wailing. And that\'s when those vile beasts showed up and ruined everything! They ran off all the guests and ate all the food! I want revenge. I know exactly where they came from, and I\'ll pay handsomely to see them obliterated.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '2', 'm1o', 'A Seething Jizz-Wailer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '3', 'm1s', 'At last, revenge is mine! Take that, you music-hating monstrosities! I hope all your wretched kind meets a similar end!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '4', 'm1t', 'Avenge Jizz-Wailer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '5', 'm2d', 'A few kids have gone missing in the last couple of weeks. Search parties didn\'t turn up anything, but they did locate a rather large nest of predators dangerously near a populated area. These are the likely culprits. We need someone with experience to go in there and take care of these creatures. Take plenty of ammo and approach with caution, as these beasts are cunning and vicious. We\'ll pay our standard fee.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '6', 'm2o', 'Imperial Police Prefecture');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '7', 'm2s', 'Good work, citizen. This community certainly appreciates your help. You\'ve earned the reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '8', 'm2t', 'Keep Community Safe');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '9', 'm3d', 'These darn wildlife preservationists with their bleeding heart causes to save every obscure beast in the galaxy have given us nothing but trouble. You know what happens when certain creatures are protected from hunting? They overpopulate a region and create havoc, leaving us to go in and clean up the mess. We need individuals, preferably not animal lovers, to clear out some nests of creatures that these preservationists fought hard to protect. We\'ll pay for every nest cleared, of course. We should send the bill to the Intergalactic Zoological Society. Let\'s see how they like that.  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '10', 'm3o', 'Imperial Environmental Preservation & Refocusing Authority');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '11', 'm3s', 'Good job, citizen. You sure you don\'t want a job with our office? We could always use another hard-working exterminator like you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '12', 'm3t', 'Stem Tide of Critters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '13', 'm4d', 'When I was a youngster I was savagely mauled by a vicious predator. This act left me more of a machine than a man -- twisted and tormented. I vowed that I would have my revenge on these creatures and all like them. I\'ve dedicated my life to the systematic extermination of all non-sentient life in the universe. As you can well imagine, this is quite a task for one man to accomplish alone. That\'s where you come in, friend. I\'m willing to pay handsomely for your aid. All you have to do is locate a nest of vile, verminous non-sentient life and blow it to atoms. I have the coordinates to several such lairs of putrid predatory organisms, if you need some help getting started. What say you? Will you assist me in fulfilling my lifelong ambition? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '14', 'm4o', 'A Determined Man');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '15', 'm4s', 'Excellent! One step at a time does it, citizen. We have our work cut out for us. Keep at it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '16', 'm4t', 'Stamp Out Life In the Universe');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '17', 'm5d', 'This is going to seem kind of strange. I\'m posting this notice to the HoloNet from my home but I\'m not alone. There\'s this huge Gamorrean watching me as I type. I\'m not sure he can read Basic, but just in case I\'ll try and stick to the facts so I don\'t upset him. I think he wants me to pay someone a certain amount of credits (which he has provided) in return for that individual blasting some sort of nest of creatures or something like that. He keeps making biting motions with his hand and grunting loudly. Plus, I checked the coordinates he supplied and they seem to lead out to some remote wilderness area. I hope someone can blast this lair to atoms quickly so this Gamorrean can go about his business. Failing that, I hope that someone is at least conscientious enough to take whatever other actions they deem appropriate given the circumstances. Thanks for listening.  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '18', 'm5o', 'A Desperate Hostage');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '19', 'm5s', 'Thank you so much. The Gamorrean just left. Whatever you did, it seemed to satisfy him. I\'d better alert the authorities about this. If you see a Gamorrean heading your way, turn and run.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '20', 'm5t', 'Help Free Hostage');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '21', 'm6d', 'We\'re in the process of clearing some undeveloped land so that Corporate Sector Authority land surveyors can assess the property for purchase. In order to get the Intergalactic Zoological Society off our backs, we assured them that the greatest care will be taken in relocating any indigenous creatures we came across. Now all we need is to make sure those land surveyors can do their jobs in absolute safety. In order to do this, we\'re offering a generous amount of money to anyone willing to clear out any creature lairs on this undeveloped land. Just blast those little buggers into oblivion, it\'s all right. If the IZS lodges a protest with our office, we\'ll provide them with proper documentation. Hope you can help out. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '22', 'm6o', 'Imperial Environmental Preservation & Refocusing Authority');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '23', 'm6s', 'Nice work. And there\'s plenty more work to do if you want to look us up again. Have a good one.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '24', 'm6t', 'Clear CSA Land');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '25', 'm7d', 'I run a company that offers wilderness tours for the entire family. Recently, my insurance premiums have skyrocketed due to some \"mishaps\" during a few of our tours. It seems some sort of predatory creatures have decided to make their home near one of our most popular hike trails. Business has fallen by 36%. If I don\'t act now, I\'ll be ruined! I\'m willing to pay someone a fair sum to clear out that den of dangerous beasts. One of my tour guides is fairly certain he knows where these brutes are nesting and has provided the coordinates to the suspected lair. Can you help save my business?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '26', 'm7o', 'A Desperate Businessman');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '27', 'm7s', 'You\'ve done an excellent job. Feel free to seek me out in the future. Enjoy your pay.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '28', 'm7t', 'Save Wilderness Tours');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '29', 'm8d', 'I hear them scurrying about at night. I see their glowing sinister eyes outside my window. I know they\'re waiting for me to run out into the wilderness so they can rend the flesh from my body and suck the marrow from my bones! They call to me! They haunt my dreams! You must release me from this torment! I\'ll pay you to hunt these nightmarish creatures down and blast them into oblivion. I beg you! I know where they hide! Please save me from them!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '30', 'm8o', 'An Insomniac');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '31', 'm8s', 'Finally, I can sleep. At long last I can find peace. Thank you, my friend. I owe you my sanity.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '32', 'm8t', 'Help Nervous Citizen');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '33', 'm9d', 'A dangerous pack of predators has been terrorizing my workers. I\'ve lost six to those flesh-eating brutes, and another twelve have quit. The Imperial Environmental Preservation & Refocusing Authority wants a fortune to clear those pests out. I\'m sure I can find a brave, enterprising citizen who is willing to clear those creatures out for a reasonable sum. I\'ve even made the work easier by pinpointing the location of the beasts. What do you say, citizen? You feel like going on a hunt?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '34', 'm9o', 'A Frustrated Land Developer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '35', 'm9s', 'See what a little ingenuity and the right frame of mind can get you? Good job, citizen. Look me up if you ever need a job.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '36', 'm9t', 'Save Land Developer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '37', 'm10d', 'Ever since the local teenagers took over this park, our sanitation droids can\'t keep up with the amount of garbage that those hooligans leave behind. Now all that refuse has attracted wild predators, which in turn puts those darn kids at risk. I should let them get gobbled up -- it would serve them right. But my superiors would never let me hear the end of it. I\'ve been given the go-ahead to offer a reward to any individual that can clear those brutes out. Fortunately, a surveillance droid has provided us with the location of that den. You interested in making some money?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '38', 'm10o', 'Planetary Parks & Wildlife Authority');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '39', 'm10s', 'Hurray. Now those teenagers can continue despoiling our lovely parks to their selfish little hearts\' content.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '40', 'm10t', 'Save Lovestruck Teens');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '41', 'm11d', 'I hunted exotic beasts all my life. A couple of years ago I decided to retire, settle down and raise a family. Maybe it was poetic justice or a simple cruel twist of fate, but some time ago my wife and newborn son were killed by a rogue pack of predators that had begun terrorizing this area. I decided to hunt those killers. The fact that you\'re reading this message means my hunt was unsuccessful and I\'m dead. This message was to be posted by my droid in the event of my death. I ask for only one thing: Destroy those creatures and prevent them from taking more innocent lives. I have provided a generous reward. I hope that you can help me and my family finally find peace. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '42', 'm11o', 'A Grieving Spirit');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '43', 'm11s', 'Congratulations, you have become eligible to receive my late master\'s reward. The sum will be transmitted to your account immediately.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '44', 'm11t', 'Avenge Murdered Family');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '45', 'm12d', 'I\'ve been studying the breeding habits of the area\'s predators. My studies have led me to conclude that a particular group of these dangerous beasts is about to experience a population explosion that will threaten local livestock. I reported this to my superiors at the Parks & Wildlife Authority, and they gave me the go-ahead to hire a team of operatives to deal with these brutes. The pay for their removal is quite fair. I wish there was another way, but that would involve contacting the Imperial Preservation & Refocusing Authority, and they would likely do the same thing only with (ahem) much less finesse. Do you think you could lend a hand?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '46', 'm12o', 'Planetary Parks & Wildlife Authority');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '47', 'm12s', 'Well done, citizen. Your efforts will make all our jobs that much easier. Of course I now have one less group of predators to study, but who\'s counting?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '48', 'm12t', 'Aid Researcher of Breeding Habits');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '49', 'm13d', 'In the Old Republic, it was common practice for wealthy status-seeking merchants and petty bureaucrats to keep exotic pets shipped in from other systems. These dangerous predators could never be privately owned today without the proper permits and licenses. When this fad died out, most of the beasts were simply released into wilderness areas, where they adapted to their new environments. As a result, we now have to hire operatives to track these dens down and wipe these creatures out. Yet another unpleasant side effect of the carelessness and corruption of the Old Republic. Do you think you could help us clean up their mess?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '50', 'm13o', 'Planetary Parks & Wildlife Authority');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '51', 'm13s', 'Now that\'s good work, citizen. Congratulations on helping the Empire clean up old messes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '52', 'm13t', 'Hunt Down Exotic Menageries');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '53', 'm14d', 'A geneticist was recently arrested by the Imperial Office of Criminal Investigations. This madman had been performing illegal cloning and gene manipulation experiments in an attempt to create exotic hybrids. Some of these experiments were released into wilderness areas so that their creator could study their adaptibility. Unfortunately for the residents, many of these hybrids survived and began reproducing. Now there are dens of these creatures spread throughout the Empire, and we need them cleaned out. We\'ll pay an enterprising individual a handsome reward for every den destroyed. Could you help the Empire with this, citizen?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '54', 'm14o', 'Imperial Environmental Preservation & Refocusing Authority');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '55', 'm14s', 'Keep up the good work, citizen. With individuals like you aiding us, we\'re bound to wipe out all of these nests eventually.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '56', 'm14t', 'Stop Genetic Hybrids');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '57', 'm15d', 'Salutations. I am Threedee, an administrative droid in the service of an influential and wealthy patron. My master would like to employ someone to make daring raids on various predator dens. These locations have been pre-selected based on their size and the ferocity of the residents -- my master insists on the highest quality. All of these raids must completely eradicate the den and its dangerous inhabitants. You are instructed to ignore any surveillance droids that might happen to be in the area recording your activities. Further, my master will claim ownership to all the images produced from these raids and will reserve the right to alter them in any way he sees fit, including (but not limited to) the digital replacement of his image over yours. Please consult the attached contract. I hope you can be of service.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '58', 'm15o', 'A Great Hunter');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '59', 'm15s', 'Well done. Your success will result in a splendid hologram that my master may distribute to his fellow hunting enthusiasts.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '60', 'm15t', 'Help Hunter Look Good');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '61', 'm16d', 'I bought Fer Ooca, my young daughter, a blarth for her eleventh birthday. Biggest mistake of my life. Not only did that slobbery monster cover my home in drool, it developed a taste for my expensive shaak leather furniture. Further, it was never properly house-trained -- I bet you never imagined what a blarth sick on Nabooian wine is capable of producing. In any case, the happiest day of my life was when \"Bubbles\" wandered away from our home and was promptly devoured by some of the local predators. That was until my daughter threw a week-long fit and insisted I hire someone to take care of Bubbles\' killers. So, here I am. The pay is good, the work is fairly straightforward, and even the coordinates will be provided. Please help me appease my daughter. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '62', 'm16o', 'Hun Ree Sult');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '63', 'm16s', 'At last my home will have some peace. Until Fer Ooca asks for her next pet. Thanks for your help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '64', 'm16t', 'Avenge Beloved Daughter\'s Pet');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '65', 'm17d', 'Recently the Empire attempted to arrest the owners of a large traveling circus on charges of spying for the Rebellion. During the raid, the owners released several of their exotic animals in an attempt to help cover their escape. Most of these beasts were blasted to bits by stormtroopers, but a few managed to escape into the countryside. Because some of the animals were dangerous predators, we are hiring operatives to help us clean up the remnants of the circus before they can endanger any citizens. Fortunately, our surveillance droids have tracked down some new lairs. Do you feel like embarking on a hunt?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '66', 'm17o', 'Planetary Parks & Wildlife Authority');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '67', 'm17s', 'Well done, friend. It\'s a shame we have to blast these creatures, but one should never be too careful when it comes to securing the safety of the Empire\'s citizens.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '68', 'm17t', 'Track Escaped Circus Animals');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '69', 'm18d', 'Sneezing, watery eyes, terrible soreness in my tusks -- I hate these allergies! There\'s some pack of stupid creatures upwind of my lodgings. Whatever toxic dust is blowing off their fur, or scales, or feathers, is making me weak. I hate weakness! You! Get off your rear, get out there, and kill these things, all of them, before my tusks fall out.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '70', 'm18o', 'An Aqualish Visitor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '71', 'm18s', 'I still feel stuffed up. But the tusk ache has stopped, so I\'ll pay you. Now go away, I\'m about to snee--');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '72', 'm18t', 'Allergies Needs Relief');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '73', 'm19d', 'Did you know that the component value of all the chemical elements in your body is only a few credits? How odd, then, that the price of some creatures\' skin can exceed that of a fine landspeeder. I represent certain offworld buyers who wish to buy fine-quality pelts from a species I shall not name in this public venue. If you will proceed to the coordinates given and terminate the creatures there, I shall pay handsomely.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '74', 'm19o', 'An Agent in Fine Merchandise');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '75', 'm19s', 'Excellent. I shall arrange pickup of the pelts through another contractor. Take your fee. I suggest discretion in this matter, for the well-being of both of us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '76', 'm19t', 'Fine-Quality Pelts Needed');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '77', 'm20d', 'The number of diseases on this detestable world absolutely astounds me. How does any thinking creature survive? I\'ve developed this infection in my upper tusk-gums, and all my colleagues are laughing about it. If they think I\'m getting weak, my career is finished. The medics say the condition will recur as long as I keep getting exposed. It\'s some local animal, I forget the name. But I\'ve got coordinates. I want you to go there and kill every animal you see. Get to it!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '78', 'm20o', 'An Aqualish Tourist');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '79', 'm20s', 'I\'m still sick! Am I supposed to thank you when my tusks are threatening to split? Take your fee and get lost.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '80', 'm20t', 'Disease Victim Seeks Relief');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '81', 'm21d', 'It\'s hard to explain, but my little daughter Inyri is convinced she can talk with animals. She thinks even dangerous predators won\'t harm her -- that she can just compliment them on their fur-styles, I guess, and they\'ll take a liking to her. I thought this was just funny and sweet, until a servant droid found this note in Inyri\'s room. She\'s going out into the wilds to test herself! Fortunately I have her coordinates, but I\'m housebound right now with an injury. Can you go there and find her? Or if you don\'t find her, can you kill whatever\'s there? Then I\'ll know Inyri can\'t get into much trouble, at least in that spot.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '82', 'm21o', 'A Concerned Parent');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '83', 'm21s', 'Thanks. As it happens, Inyri came back home safe and sound. I hope the lesson I gave her will keep her here! Here\'s your fee.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '84', 'm21t', 'Lost Child Wants to Talk To Animals');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '85', 'm22d', 'There\'s this guy, Bijo? I play sabacc with him? And he\'s a tough customer, really sadistic sometimes. I was playing force sabacc with him, I ran out of stakes, and he said, \"You can call my bet, but if I win, you go out and get me the skin of the biggest, fiercest animal this planet has to offer.\" So I called, and I, um, you know, lost? And now I really need someone better with weapons than me to go and kill this thing for me? Is that okay?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '86', 'm22o', 'A Compulsive Gambler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '87', 'm22s', 'Did you do it? Okay, okay. This may still work. Here\'s your money. Yeah, I lost all my money to Bijo in the sabacc game, but I took this from, you know, my wife? What could go wrong?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '88', 'm22t', 'Settle Unusual Gambling Debt');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '89', 'm23d', 'I sent my SE4 servant droid to buy groceries, and of course he got lost. They found his body out in the wilds, but the right index finger is missing. That\'s the one with his taste analyzer. I priced a new finger the local Industrial Automaton outlet, and you wouldn\'t believe how much they\'re charging! It\'s cheaper for me to get someone to find whatever attacked my servant, kill it, and then try to recover the finger from its lair, or its large intestine, or wherever. Can you do the job?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '90', 'm23o', 'Disgruntled Industrial Automaton Customer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '91', 'm23s', 'I\'ll send someone to locate the droid finger at those coordinates. I hope digestion hasn\'t damaged the analyzer. It\'s out of warranty now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '92', 'm23t', 'Find What Ate My Droid\'s Finger!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '93', 'm24d', 'I\'m trying to form an import-export partnership with a Shistavanen. Doing business with those wolf-people is always touchy. This one wants me to prove -- get this -- to prove my hunting prowess. I want to tell her I\'ve never hunted anything more threatening than a tax deduction, but you know the Shistavanen. I\'m willing to pay if you kill a nice big predator, or even a few, and report back so I can pick up the bodies. Let me know which weapon you use, and I\'ll try to study up on it so the wolf-woman\'s questions won\'t find me out.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '94', 'm24o', 'A Successful Import Executive');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '95', 'm24s', 'That\'s fine. I\'ll have the carcasses picked up, and I\'ll try to develop a convincing story. Curiously, the wolf-folk I\'ve met don\'t seem to mind if you lie to them, as long as it\'s a good story.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '96', 'm24t', 'Shistavanen Requires Carcass');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '97', 'm25d', 'Certain offworld societies have unusual beliefs in various folk medicines. Animal teeth, blood, gall bladders, and other parts are used in ointments and inhalants that have beneficial effects. Obviously these native cultures should be permitted to exercise their ancient traditions, even when they may contravene restrictive animal protection laws. Hence, there is a market for whatever you kill at the following coordinates. Discretion essential.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '98', 'm25o', 'A Dealer in Unusual Goods');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '99', 'm25s', 'Excuse me, you\'ve killed an animal and you\'re telling me about it? Why? I had nothing to do with that situation. However, I do recall that I owe you a fee for an unrelated service, and I now settle that old debt.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '100', 'm25t', 'Help Cultural Differences to Flourish');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '101', 'm26d', 'I need a good-hearted hero to kill the lousy beast that killed my little brother. I don\'t remember what kind of beast killed poor Morti, except that it had a pelt of high commercial value. Go to these coordinates and kill that foul beast, or preferably large numbers of them, leaving the pelts intact. Hope to hear from you soon!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '102', 'm26o', 'A Bereaved and Vengeful Sibling');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '103', 'm26s', 'That\'s terrific! I mean, at last the spirit of my father -- I mean brother! -- can rest easy, knowing his killer has been reduced to a pelt, preferably undamaged. Here\'s your fee. Now please leave me in my bereavement, and don\'t mention the pelt\'s location to anyone.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '104', 'm26t', 'Hunt Beast That Slew My Brother');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '105', 'm27d', 'GRANT from Planetary Parks & Wildlife Department for control of dangerous native predators. Discovery, apprehension, and culling of certain predatory animals in demarcated Habitat Area (see attached coordinates). At designated location, eligible subjects must meet the following criteria: (A) adult animals only; (B) animals display aggression toward sapient life-forms, including grant recipient; (C) females are not recognizably pregnant or accompanied by juveniles. Payment subject to Performance Guidelines available at Parks & Wildlife Department main office. Direct inquiries to main office.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '106', 'm27o', 'Planetary Parks & Wildlife Authority');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '107', 'm27s', 'Grant payment approved per original directive.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '108', 'm27t', 'Control of Dangerous Native Predators');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '109', 'm28d', 'Greetings! As Deputy Supervisorial Administrator of Gladiatorial Combat for the illustrious Chattza clan, rightful and unopposed rulers of Rodia, I am charged with procurement of suitable animal opponents to face the heroes of our forthcoming Trueblood Olympiad. Because transport of actual animals is prohibitive in cost, I hereby commission you to journey to the selected coordinates and slaughter all hostile animals present. I shall secure genetic samples from the bodies for eventual cloning on Rodia. Proceed forthwith!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '110', 'm28o', 'Mondoola Chattza of Rodia');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '111', 'm28s', 'You show the spirit of the Trueblood Olympians, albeit in an inherently debased non-Rodian form. Accept this payment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '112', 'm28t', 'Rodian Olympiad Needs Animals');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '113', 'm29d', 'I\'m trying to trace the origin of a drug called blue. In small doses it is a euphoric; in larger doses it destroys memory and rapidly ages the victim. Blue has recently killed several young addicts on my homeworld, Bimmisaari. A faint trail of clues has led here. Perhaps the drug originates in the glands of some local animal. To test this idea, I wish to analyze many specimens. I am apportioning locations to all interested parties. Journey to the attached coordinates and kill the animals there, leaving carcasses intact. I wish you luck!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '114', 'm29o', 'Olog Ryjerd of Bimmisaari');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '115', 'm29s', 'On behalf of the Bimm people, I thank you for your efforts. Payment attached. However, after study I believe that the drug called blue does not have animal origins. I must search elsewhere for a solution.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '116', 'm29t', 'Track the Source of Blue');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '117', 'm30d', 'When I open my new cantina, I\'ll revolutionize the cuisine scene! I need a centerpiece dish, though, to get people smacking their lips and jowls and mandibles. Go out and find me a selection of delectable beasts. Think novel! If they\'re dangerous, that will only add to the publicity value!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '118', 'm30o', 'Chef Jamien Varcos');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '119', 'm30s', 'Splendid. I have a dish in mind already, with jaffa cider and rosettes of Barnaban mist-pudding. I remit your payment with gleeful anticipation!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '120', 'm30t', 'Aid Creation of a Culinary Delight!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '121', 'm31d', 'In my unstinting efforts to open a new cantina, modestly called Chef Varcos Presents, I now face a grave obstacle. A pack of roving predators has repeatedly scavenged my garbage bins. They damaged droids and terrorized my investors. This situation cannot persist. Do what must be done, and I shall pay you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '122', 'm31o', 'Chef Jamien Varcos');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '123', 'm31s', 'You have enhanced my efforts to bring a new sophistication to local cuisine. I, and my future patrons, salute you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '124', 'm31t', 'New Light of Local Dining Scene!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '125', 'm32d', 'You know the Ithorians? Some call them Hammerheads. They live on big garden ships that float just above the jungles of their homeworld. Inside the ships they have created all kinds of environments. I\'ve lined up a contract to provide one ship, the Tafanda Bay, with genetic material from specimens around here. I\'ve got the harmless ones already, but I\'m not crazy enough to tackle the predators. Are you? I need a good selection of carcasses.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '126', 'm32o', 'Perdo Thanbris, Interstellar Merchant');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '127', 'm32s', 'You may have killed an animal or two here, but their clones will enjoy a happy life aboard the Tafanda Bay. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '128', 'm32t', 'Ithorian Ship Needs Specimens');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '129', 'm33d', 'Do you attend the Lowsummer Intestinal Festival on Banjok? It exposes and celebrates the foundational repulsiveness of our fleeting lives. I grant you, it is not a major tourist destination, but I\'m excited to compete in the upcoming Grotesque Gallery. The last winning pavilion featured four-eyed Talz giants trying to play Bith music. The year before, protocol droids danced zero-gravity ballet. For my pavilion I want to sew carcasses of local predators into one ghastly monster, then animate it with strategically placed repulsorlift units. It\'ll be horrible! I need several big predators for the display. Can you get them?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '130', 'm33o', 'Jinni Vratik, Biosculptor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '131', 'm33s', 'This will form the basis of my most gloriously abhorrent work to date. Onward and downward!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '132', 'm33t', 'Help With Grotesque Gallery');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '133', 'm34d', 'Holomodel artist for dejarik games wants reference carcasses for latest contract. Need fierce beasts; uglier is better. Payment on report of success.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '134', 'm34o', 'Lonni Sellastin');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '135', 'm34s', 'I was afraid you\'d call. My buddies at work told me they\'d staged this prank. You were their tool. Tell you what, I\'ll pay you off and take it out of their hides. And be sure I\'ll come up with a prank of my own, right back at them!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '136', 'm34t', 'Animal Holomodels Needed');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '137', 'm35d', 'So we got an Imperial license to sink a well over this gonzo vein of rudic, and what happens? The droids are setting up the laser core and bing! some kind of animals or something start running all over the site, scratching and clawing and like that. And wouldn\'t you know, the droids got some kind of fancy new self-preservation circuits that make them leave the area until the danger is past. Only the danger ain\'t passing, because the animals live there. So I price a technician to rewire those tin-headed glorts and bam! the guy tells me it\'s going to take half a season to ship the parts across Strabin Sector. My Imperial license don\'t last forever, so I\'m hiring some tough guys to solve this problem the direct way. Blast those creatures to pieces and I\'ll pay you out of my contract money.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '138', 'm35o', 'Guum Baa Drilling Firm');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '139', 'm35s', 'I always say, fancy droids are no match for a good blaster at your side. Thanks for the handy shooting, kid.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '140', 'm35t', 'Take Care of Droid Problem');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '141', 'm36d', 'Tragically, there were no survivors when our research ship crashed. We cleaned up the wreckage, but the bodies of some of the crew members were missing. Our scanning teams found them a week later. They had been mostly consumed by the local wildlife. Unfortunately the crash resulted from a radiation leak that contaminated the crew members, which means that the creatures who fed on their bodily tissues are now radioactive themselves. We must negate this threat to public health by eliminating every animal that may have been contaminated. Our remote droids have collected the coordinates of dozens of possible nests or lairs. We are contracting civilians to travel to these coordinates and blast whatever animals they find. Applicants are cautioned that the wildlife in these areas is known to be dangerous and the contaminated creatures are, of course, man-eaters. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '142', 'm36o', 'Planetary Research Institute');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '143', 'm36s', 'Excellent. Contact us for more coordinates after you have refreshed your supplies. And please submit yourself for a radiation scan at your earliest convenience.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '144', 'm36t', 'Eliminate a Radiation Hazard');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '145', 'm37d', 'Our holy texts mark sacred grounds on many planets. As the influence of Grumsnatch spreads across the galaxy, we must reclaim these sacred spots to build our temples. But some of them are located in dangerous areas, infested with unclean vermin that despoil our good works. We need strong, righteous spirits to smite these beasts of the galaxy from our path. The will of Grumsnatch shall overcome!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '146', 'm37o', 'Galactic Temple of Grumsnatch');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '147', 'm37s', 'Grumsnatch blesses you with his goodwill and some money from his collection bins.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '148', 'm37t', 'Purify Sacred Ground');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '149', 'm38d', 'As a participant in the time-honored sport of unauthorized racing, I expect occasional injuries from speeder wrecks. But some very nasty creatures have burrowed a den next to our drag lanes and now we racers must also avoid being stalked and eaten. Well, I\'ve had enough. We can\'t ask the authorities for help, so I wish to contract someone to clear the area of any and all dangerous predators. I\'m broadcasting the coordinates of our race lanes for anyone who wants a cut of the money.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '150', 'm38o', 'A Speeder Racer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '151', 'm38s', 'Thanks for your help. Speeder racers like to live dangerously, but that was getting ridiculous.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '152', 'm38t', 'Deadly Creatures in Race Lanes');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '153', 'm39d', 'Inheritance is a risky proposition. My old Uncle Flaa\'aa passed away last season and left me a small patch of ground. The area looks nice enough but when I visited in person, I found myself fighting for my life. Let\'s just say the wildlife in the area seems a little on the hungry side. I\'m okay, thanks for asking, but I do need someone more prepared than I am to go to my new land and exterminate the animals that pose any danger. Make sure you bring a blaster or even something more powerful. I wasn\'t kidding when I said I was fighting for my life.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '154', 'm39o', 'An Uncomfortable Heir');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '155', 'm39s', 'Thank goodness you did it. Uncle Flaa\'aa also left me a small stash of credits, so I\'m considering your services to be one of the many costs of inheritance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '156', 'm39t', 'Remove Wildlife From Inherited Plot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '157', 'm40d', 'There ain\'t no pride in the galaxy no more. It\'s getting so\'s a man can\'t just hitch freighters between settled worlds without some nasty predator or scavenger raiding his campsite after he lands. Used to be spaceports and shuttleports would clear back them vermin. We could camp outside on the grounds somewhere, no problem. Not no more, though. It ain\'t fair, I tell you. So I\'m using this here HoloNet machine to find me sombody who can take a laser to these pesky critters and help me get some sleep at night. I can pay you, don\'t worry about that. I ain\'t totally busted. Honest.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '158', 'm40o', 'A Galactic Tramp');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '159', 'm40s', 'You sure blasted them real good. Here\'s the money, just like I said. Thought I didn\'t have it, didn\'t you? Thought you could start some trouble if I didn\'t pay you, right, and the authorities wouldn\'t care? You\'re messing with the wrong tramp now. I been all over this galaxy. I eat creeps like you for breakfast!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '160', 'm40t', 'Keep Them Pesky Critters Away!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '161', 'm41d', 'At the Imperial Kinder Academy we like to treat every misfortune as a learning opportunity. Not long ago the children were on a field trip when tragedy struck. We happened across the lair of a dangerous predator who proceeded to devour two of our Trandoshan girls, leaving nothing but a handful of scales. As much as this caused the children distress, we used the opportunity to apply our problem-solving skills. In our class meeting we decided to use the funds from our I Am A Loyal Citizen Of The Empire candy drive to pay a professional exterminator to incinerate the predators and then dance on their ashes. The children will be watching this action by means of a hovercam, so the dancing part is crucial. If you love children and have a blaster, please contact Mrs. Yabbo, Grade Four.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '162', 'm41o', 'Mrs. Yabbo, Imperial Kinder Academy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '163', 'm41s', 'Normally I would withhold payment, as I would hardly qualify what you did as \"dancing.\" But all the children are crying after witnessing this incident, so I have my hands full right now. Just take the money and go.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '164', 'm41t', 'Help With Our Field Trip');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '165', 'm42d', 'I\'m in a bind. I was transporting some data cards when thruster problems forced me to land my shuttle on some open ground. It wasn\'t until I arrived at my destination that I realized one of the datacards was missing. I must have dropped it while fixing my shuttle. I returned to the place I had landed, only to discover that some unsavory creatures had been attracted by my presence and had now bedded down in the area. When I tried to look for the datacard, they attacked me. Normally I\'d just wait them out, but the information on that datacard is quite important. I must find it as soon as possible. I need someone who can get rid of those creatures so I can get on with my business. Be careful; those animals are very, very dangerous.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '166', 'm42o', 'A Distraught Executive');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '167', 'm42s', 'Wonderful. I hope I can find that datacard now and get on with my business. Here is your payment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '168', 'm42t', 'Assist Executive in a Bind');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '169', 'm43d', 'Communities have to look after themselves these days. Planetary authorities are too sloppy to be reliable, and forget about asking the Empire for help. So we\'ve taken up a collection to solve some local problems. Foremost on our agenda is to run off a nest of savage predators who have been threatening children and livestock. We\'ve pinpointed the coordinates of the nest. Now we need someone to do the job. I know there are plenty of skilled and rugged individuals around here who are willing to lend aid to a community of decent folk. Come forward and make yourselves known.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '170', 'm43o', 'Community Association');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '171', 'm43s', 'This just proves that hardworking communities can get by without the stewardship of the Empire. I wonder if there\'s anything we can do to get rid of them?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '172', 'm43t', 'Rid Community of Savage Predators');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '173', 'm44d', 'Ever tried Gralish liqueur? It\'s an exquisite beverage for the most discerning connoisseurs. I\'ve hired a master distiller to cook me up a few bottles, but there\'s a catch. To complete my order he needs access to a certain type of rare berry. Apparently some very dangerous animals feed on these berries, so obtaining them is risky. The distiller has informed me that this will triple his fee. I, however, am not so fatalistic. I have discovered the coordinates of a patch of these berries. Rather than paying the distiller more money, it is cheaper for me to hire some stalwart individual to take a blaster out to this berry patch and blow the dangerous animals to dust. Then I shall send my distiller to fetch the berries and get on with his work. Sometimes one must take such measures if one drinks only the galaxy\'s finest beverages.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '174', 'm44o', 'A Connoisseur of Fine Drink');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '175', 'm44s', 'Most impressive. As a tip I would offer you a drink of the Gralish liqueur, but I\'m afraid I find it too precious to share. You have my heartfelt gratitude, though.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '176', 'm44t', 'Fetch Rare and Delicate Berry');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '177', 'm45d', 'One of our experiments has gone awry. We have been developing a serum to transform large animals into reliable war assets. A clerical error resulted in some of our test subjects escaping into the wild. We have dispatched herding droids to retrieve them, but the serum has rendered these animals more dangerous than our droids can handle. We need veteran hunters to find these test subjects and blast them into dust. We can supply the coordinates of their last known location. Qualified applicants may contact us for more information.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '178', 'm45o', 'Imperial Ministry of Research');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '179', 'm45s', 'Handily done. Should the ministry suffer further clerical errors, we may have more opportunities for you in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '180', 'm45t', 'Clutch of Enhanced Animals');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '181', 'm46d', 'Rare and beautiful are the plant colonies that grace the undeveloped regions of the galaxy. The Galactic Botanical Conservancy prides itself on promoting the growth and proliferation of such fine species as the Ithorian donar, the kolvissh of Kashyyyk, and the delightful Nimbanese puzzleflower. Even a desert can nourish such wonders as scrub-loak, pudhoy, and poonten grass. Often in the course of our work we must thin out the population of naturally-occurring animals that interfere with the development of our target plant species. We are always pleased to work with hunters and naturalists who take pride and pleasure in incinerating wildlife in its natural habitat. Please contact us to contribute to this worthy endeavor.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '182', 'm46o', 'Galactic Botanical Conservancy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '183', 'm46s', 'Take pride in the knowledge that the plant life in our target region will flourish because of your good work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '184', 'm46t', 'Incinerate Dangerous Animals');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '185', 'm47d', 'The community is devastated. Six of our children have been abducted over the last week. We don\'t know who or what has been taking them, but the terror must be stopped! Fortune has it that the sixth child was wearing a signal beacon, which has given us a rough indication of his whereabouts. But the local constable who investigated never came back from the area. A hovercam droid found no trace of any camp or settlement there. We fear the worst. Will someone please go to these coordinates, kill the culprits, and bring back our children? Release our community from the grip of fear!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '186', 'm47o', 'A Desperate Community');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '187', 'm47s', 'Wild animals ate our children! Is there no end to our suffering and woe? Please, take your fee and leave us to our grief.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '188', 'm47t', 'Our Children Are Missing!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '189', 'm48d', 'One of the chief hardships in the Imperial Army is the constant nuisance of planetary wildlife. We lose more stormtroopers to wild rontos and banthas than we ever have to Rebel traitors or planetary resistance forces. As a result it has become our standard operational routine to hire civilian hunters to clean up an area before we construct a new army garrison. If you are qualified to handle large numbers of dangerous creatures, please contact us at your earliest convenience. We shall give you the coordinates of our next garrison placement. Our stormtroopers will thank you for your loyal service.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '190', 'm48o', 'Imperial Army');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '191', 'm48s', 'The Empire thanks you for your faithful service. You have saved the lives of many stormtroopers.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '192', 'm48t', 'Standard Faunal Wipe');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '193', 'm49d', 'I should never have believed those Toydarian soldiers were really as tough as they claimed to be. But there they were, all bristling with blasters and disruptor guns and clad in laser-scarred combat suits, their trunks poking out of their helmets like little, wrinkled tassels. How could I resist hiring such an adorable bunch of soldiers? I sent them to my family\'s land with orders to take out some dangerous animals who have terrorized our Ugnaught maintenance crews. But they never finished the job. I\'m not sure if they perished in the attempt or just skipped off the planet with my hard-earned credits. But now I need some real freelancers to do the job right. Go to the coordinates I give you, blast the creatures to ashes, and see if you can find any trace of those Toydarians. I\'ve learned my lesson; I\'ll pay you after the job is finished.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '194', 'm49o', 'Sheel Strand');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '195', 'm49s', 'No trace of the Toydarians, eh? So the little creeps ran off with my money like thieving little monkey-lizards. That\'s what I get for hiring someone for their looks. Luckily I didn\'t make that mistake twice. Here\'s your payment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '196', 'm49t', 'Mess Left by Toydarians');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '197', 'm50d', 'Wild animals killed our parents! We\'re all alone now in this big galaxy, just four orphaned Rodians with nowhere to go. But we\'ve scraped together all we have left so we can hire someone to kill the murdering beasts who took our parents away. It\'s not much, I know, but we had to keep a few credits for little Teemo\'s medicine. Can you help us? We got the coordinates of the monsters\' den off the forms for the Imperial inheritance tax. Please, it\'s already so hard to sleep in an abandoned cargo bin like we do. With these creatures killed, at least the nightmares might stop.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '198', 'm50o', 'Four Rodian Orphans');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '199', 'm50s', 'At last our luck is turning around! You\'ve killed the monsters who took our parents, and now we\'ve been offered passage on an offworld ship by a wonderful Hutt named Gardulla. Here, take your fee! Gardulla says we won\'t even need money where we\'re going. Can you imagine?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '200', 'm50t', 'Children\'s Revenge!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature.stf', '201', 'number_of_entries', '50');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '1', 'm1d', 'Hey, fella! Or maybe \"Hey, lady,\" or \"Hey, thing,\" I don\'t care. I have this package that urgently needs to go to a certain destination, where a certain party will retrieve it later. I just scouted the area, and whoa, it\'s crawling with critters. I can handle a blaster as well as the next guy -- assuming the next guy is sort of a coward -- but big-game hunting is out of my league. I\'m willing to cut you in on part of my pay if you dispose of these creatures. Take the hide, the meat, whatever looks tasty, I don\'t care. But do it fairly quick, huh?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '2', 'm1o', 'A Corellian Entrepreneur');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '3', 'm1s', 'Great pest disposal there! Here\'s your cut, and feel free to loot the bodies. I expect the rest of this operation will go off without a hitch. What could go wrong?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '4', 'm1t', 'Creature Removal at Local Drop Point');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '5', 'm2d', 'I\'m out here in the middle of noplace, where I had a run-in with a client after a transaction went bad. I don\'t think it\'s productive to get into \"who shot whom,\" but now this guy has it in for me. Who knew he kept all kinds of dangerous beasts in, I don\'t know, a kennel or something? He\'s sicced these things on me, and let me just say I\'m not much of a hunter. I\'m holed up in a safe spot for the moment, but they\'re prowling closer. I would REALLY LIKE someone to come out here and take care of these things, permanently. I\'ll pay! I\'ll pay a lot!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '6', 'm2o', 'Corellian with Unfortunately Short Temper');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '7', 'm2s', 'Okay, I\'ve caught my breath, I\'m all right. Nice work. I took the liberty of making an exit while you did your deed. Here\'s your pay, hope I don\'t have to use you again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '8', 'm2t', 'Dispute Has Escalated to Surprising Degree');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '9', 'm3d', 'I have a can\'t-miss business proposition. You kill the animals, I record your exploits and sell the broadcast rights to a local HoloNet program my buddy is starting up. It\'s not there yet, but the investors want to see content, so we\'ll pay you out of our seed money for a dynamic, gripping slaughter-fest. I\'ve located the animals, I\'ve rented the hovercams and set them in place, I\'ve got it all arranged, so all you have to do is relax and blast a few beasts into Corellian dust. Maybe that\'ll be the title of your segment, \"Blast Them to Corellian Dust!\" Whaddya say?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '10', 'm3o', 'On Our Way to the Corellian Dream');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '11', 'm3s', 'That was great! My recording is sure to sell this show. I\'ll just -- oh, wait -- was this the \"on\" switch, or --? Tell you what, I\'ll get back to you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '12', 'm3t', 'Blast Beasts For HoloNet Show');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '13', 'm4d', 'Understand first that I\'m just the flunky here. It\'s not my operation. So I don\'t have a reason why these guys all started shooting at me. I was just the delivery boy! I stole a speeder and ran for the horizon -- they followed -- a certain amount of blaster fire occurred -- everybody crashed, and then these giant -- somethings leaped out and killed everyone but me. I got away narrowly, but now my employer strongly requests me to recover the item I delivered. I expect it\'s now in the belly of one of those animals, so I\'m asking you to shoot them all and let me recover the innards later. Believe me, this has been a rotten day. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '14', 'm4o', 'Corellian Just Trying to Do a Job');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '15', 'm4s', 'Okay, at last one thing goes right. I\'ll speed back out there and do the excavation, or whatever you call it. Thanks, here\'s your fee.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '16', 'm4t', 'Recover Item From Animal Intestines');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '17', 'm5d', 'Talk all you want about the evil Empire and how these are bad times, but I\'ll say this: The rise of the Empire has been very good for my business. There\'s always a demand for the service I provide. It calls for piloting down some risky off-road routes, though -- and it never helps when a pack of animals takes up residence right along my main \"back way.\" Which is what\'s happened now. I\'ll pay you well to go in and blast them into permanent inconsequentiality. Hey, nice phrase, huh?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '18', 'm5o', 'A Corellian Businessperson');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '19', 'm5s', 'Fine job. It\'s a pleasure dealing with professionals. Your fee is attached.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '20', 'm5t', 'Corellian Beasts Menacing Back-way Traffic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '21', 'm6d', 'Sheesh, I am so down on life right now. I mean, I had a nice line of work, running some goods here and there for my employer. And you know, what with the stuff I brought them, folks were always, always glad to see me. But then I got greedy -- they tell you never to get greedy, but I did! -- and I took a cut from my employer\'s earnings that I wasn\'t entirely entitled to. We parted on really bad terms, you might say, and -- long story short -- now I\'m holed up in the wilderness with a bunch of hungry animals roaring for my guts. It\'s so depressing. If you can see your way clear to destroying these beasts, I\'ll cut you in on those earnings I mentioned.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '22', 'm6o', 'Corellian in Need of Quick Emotional Lift');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '23', 'm6s', 'Okay, something\'s finally going right. I took the opportunity to run for the city while you were out there fighting. Nice job, and here\'s the pay you earned.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '24', 'm6t', 'These Animals Depress Me');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '25', 'm7d', 'I\'ve flown from one end of this galaxy to the other, and I never saw anything to make me believe you can control a bunch of wild animals just by pointing your finger. But during a transaction out here in the wilderness I happened to offend this weird mystic-looking woman -- never mind how. She raised a claw, and a bunch of beasts rampaged in out of nowhere, eager to have a little Corellian snack. It must be pheromones or perfume, maybe -- something long-lasting, because they\'re still trying to rip open this vehicle like a food container. I\'ll pay you well to come here and take care of this problem, immediately and for good.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '26', 'm7o', 'A Corellian Wanderer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '27', 'm7s', 'That\'s a big relief. I took the opportunity to speed out of there while you were working. That Selonian may come back. In fact, maybe it\'s time to visit Sullust. I always wanted to visit Sullust.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '28', 'm7t', 'Selonian Pets Unjustly Attack Speeder');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '29', 'm8d', 'It is incumbent on my clients to retain confidentiality, so I must be circumspect in describing my problem. Briefly, I arranged a transaction in a remote area between two parties, and was planning to mediate at this exchange of ideas and goods. However, an animal or animals has menaced my clients as they travelled to this remote area. This has discouraged them from pursuing the transaction. Because of the importance of a successful resolution, I am commissioning you to journey to the attached coordinates and dispatch the animal or animals. Payment is reasonable for this brief service.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '30', 'm8o', 'Itinerant Corellian Transactional Specialist');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '31', 'm8s', 'I congratulate you and tender the agreed payment. I shall inform my clients at once.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '32', 'm8t', 'Transaction Hampered by Wildlife');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '33', 'm9d', 'In these troubled times an individual may wish to journey between locations without undue Imperial attention. I serve this reasonable desire. However, on my current transport assignment, a beast of unusual ferocity damaged my speeder, stranding me and my client in unfortunate circumstances. I\'d like you to journey to this general vicinity and destroy the beast and, if needed, its fellow pack members. Under no circumstances are you to search for me or my client, who strongly requests anonymity. I will transmit payment when you have performed the service.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '34', 'm9o', 'Corellian Specializing in Discreet Transport ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '35', 'm9s', 'Excellent. I appreciate your discretion in avoiding contact. Your payment is attached. I have repaired my speeder and must now resume the transport contract.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '36', 'm9t', 'Rescue Anonymous Travellers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '37', 'm10d', 'I need to get out into the countryside and dump this bag of garbage, right? I mean, I\'m dumping it at a particular spot before a particular time, so that a particular garbage collector can retrieve it. Don\'t worry, it\'s just garbage. Trouble is, I scouted the territory from a distance, and there\'s all kinds of animals wandering around. I mean big ones, with teeth and all. I don\'t mess with that, especially while carrying this, uh, garbage. You take care of the animals, like by killing them all, and I\'ll cut you in on my hauling fee.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '38', 'm10o', 'Corellian Urgently Seeking Waste Disposal');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '39', 'm10s', 'All right, you just clear out of that area, and I\'ll dump my garbage. Thanks for the rescue. Lots of stress in the garbage-dumping line, let me tell you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '40', 'm10t', 'Help Me Dispose of This Garbage');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '41', 'm11d', 'I love animals, I really do. Why, the times I\'ve diverted my speeder to avoid hitting some harmless eopie or cute little kittle -- even though it delays my courier mission, mind you, and my employers really don\'t like delay -- well, I admit, I\'m a softie. But it\'s time to take a hard line with this current pack of beasts. They\'re trouble. And when you make trouble by interfering with my speeder on a major overland route, a route that nobody in an Empire suit has ever seen, then you\'re in pretty dangerous territory yourself. The animals are, I mean. In that territory. Um, I\'m losing the thread of my subject here -- basically, even though I love animals, I need you to kill this bunch before they ruin my business. Clear?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '42', 'm11o', 'Corellian Breaking a Strong Emotional Attachment');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '43', 'm11s', 'Of course it\'s a sad time, what with the death of those innocent animals. But you know, it had to be done. I think I\'m almost over it now, the heartbreak I mean. Gotta go.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '44', 'm11t', 'Take Hard Line Against Animals');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '45', 'm12d', 'Our business is selling fireworks, but now that I think about it, nobody\'s bought fireworks for, oh, ten or fifteen years. So we buy and sell certain other things, and business is okay. It\'s just -- we have this animal problem. We were carrying certain valuable non-firework commodities through a remote area recently, on our way to a delivery, when something large and fierce and active jumped us. It was dark, so we couldn\'t see. When we got away, we realized we\'d dropped our commodities. We really would like to go back and get them, but we need you to clear the area of dangerous animals first. We\'ll pay you from our fireworks production budget, which we don\'t use any more.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '46', 'm12o', 'Corellian Fireworks Transport');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '47', 'm12s', 'A fine job. We could use more people like you in the fireworks business.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '48', 'm12t', 'Help Fireworks Dealer Get Past Animals');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '49', 'm13d', 'Despite pervasive public ignorance and apathy, the Interplanetary Embalmers\' Guild labors heroically to inform the galaxy of its worthy mission. Our chapters on Corellia exhibit all the vigor and pertinacity that a good embalmer should. We seek Corellian hunters to locate the finest specimens of wildlife, no matter whether on the grassy hillsides or the golden beaches or the towering peaks, and shoot them cleanly. We shall arrange pickup and processing of the remains, provided they are intact and relatively unmarked. Do your part to help a noble profession achieve just and lasting recognition.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '50', 'm13o', 'Interplanetary Embalmers\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '51', 'm13s', 'Though your good work fulfills the Embalmers\' Guild wishes, our plans have changed. Accept this payment, and do what you will with the creature.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '52', 'm13t', 'Embalmers Call on Conscientious Corellians!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '53', 'm14d', 'The Emperor\'s proposed new Hall of Galactic Wildlife, to be built on the Imperial throneworld of Coruscant, features an extensive display of Corellian fauna. To expedite planning of the space required for the Corellia display, the Imperial Civilian Accounting Office solicits highly experienced hunting teams. Interested teams may locate and terminate large packs of animals at coordinates provided by local survey offices in conjunction with this agency. The specimens will be assessed for size and quantity for purposes of figuring large-scale space requirements. Hunters may remove marketable assets from the prey for their own use. All other information on this contract is assigned confidential clearance under Imperial security edicts. For assistance, contact the Imperial Security Bureau.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '54', 'm14o', 'Imperial Civilian Accounting Office');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '55', 'm14s', 'Asset procurement noted and contract payment disbursed. Per your contract, you may remove marketable assets from the prey for your own use or resale.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '56', 'm14t', 'Solicitation For Corellian Hunting Teams');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '57', 'm15d', 'I am an archaeologist with Coronet University. My field team has been excavating in a remote area, searching for a supposed network of Selonian tunnels that apparently predates the Old Republic. My colleagues are skeptical, but our research was starting to show promise -- until a band of local animals began menacing our camp. This has upset my students and threatens to drastically set back our schedule. I have appealed to the Empire for help, without result. The University has kindly granted me an additional stipend to be disbursed to an agent such as yourself, who can destroy these beasts and permit the continued march of science.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '58', 'm15o', 'Dr. Tennet Sionaro, Coronet University Archaeology Dept.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '59', 'm15s', 'Splendid! Our dig will resume immediately. I must admit I hold out little hope of finding these putative Selonian tunnels, but one cannot dismiss such tales out of hand.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '60', 'm15t', 'Coronet Archaeology Site Menaced');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '61', 'm16d', 'Corellian Horticultural Digest, now entering its third century of publication, sends researchers hither and yon across our wild Corellian landscape. One brave investigator, following a hot lead regarding trioecious cycad carpophylls, blundered into a lair of dangerous beasts. In his last communication before his comlink got eaten, our man said he had sequestered himself in a place of safety. Please journey with all haste to his coordinates and dispatch these beasts.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '62', 'm16o', 'Corellian Horticultural Digest');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '63', 'm16s', 'Joyous news! While you occupied the beasts, our researcher made a rapid escape and is even now dictating his notes. Trust us, this article will break the entire cycad carpophyll field wide open.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '64', 'm16t', 'Horticultural Researcher Under Siege');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '65', 'm17d', 'In addition to its well-known repair facilities, Guildhouses, and financial services, the Merchants\' Guild offers Corellian members basic travel information about every region of Corellia. We contract with independent researchers to assess the dangers that may await members stranded in remote locales. To participate in our current research cycle, please report to the attached coordinates to engage and destroy the animals present. Guild hovercams will record the event, and we shall update our guidelines based on our assessment of the threat posed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '66', 'm17o', 'Corellian Merchants\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '67', 'm17s', 'Our hovercams recorded the event, and we are updating our guides accordingly. Thank you for participating in this research cycle.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '68', 'm17t', 'Surveying Creature Ferocity');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '69', 'm18d', 'A local entertainment figure, Bop Thrombo the Shaky Droid, got into animal trouble out in the wilderness while rehearsing his latest slapstick stunt. This is big news for Corellian comedy fans. Our hovercams track Bop at all times, just in case, and we\'ve got great views of this fierce something-or-other tearing him to bits. Now we\'d like to recover his brain for an interview, but we need someone to clear out the animals first. Can you help?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '70', 'm18o', 'Corellian Sector Newsfeed');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '71', 'm18s', 'Great! We\'ll send out a news crew to put Bop Thrombo\'s brain into a duplicate housing and get the on-the-scene interview. Clear out before we get there, please.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '72', 'm18t', 'Help Recover Bop Thrombo\'s Brain');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '73', 'm19d', 'We\'ve tracked yet another starship that squeaked past Orbital Customs. Our turbolasers crippled the vessel and it crashed near the Golden Beaches. Trouble is, the ship was smuggling some dangerous animals that were jettisoned in escape pods for later retrieval. We recovered the pods but the animals had already escaped. Our scout droids have found them, snugly settled a few clicks from the pod site. We\'ve already wasted enough manpower on this problem, so we\'ve decided to contract civilians to exterminate these animals before they cause any harm. Contact us for the coordinates and we\'ll put you on the case.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '74', 'm19o', 'Corellian Defense Force');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '75', 'm19s', 'Thanks for handling that potentially dangerous situation. We\'re sending out a team to dispose of the carcasses.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '76', 'm19t', 'Exterminate Contraband Animals');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '77', 'm20d', 'It\'s not that I don\'t appreciate the beauty of the Agrilat Swamp. Boiling showers and razor-sharp grass are a joy to experience. But when the swamp\'s larger wildlife chooses to wander into more civilized areas, I\'ve got to draw the line. The farmers in the area are getting worried. They\'ve asked me for help. I don\'t want to waste Corellian Security resources on this, so I\'m paying any civilian who can do the job to find these misplaced creatures and put them out of my misery. Call it restoring the ecosystem.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '78', 'm20o', 'Lieutenant Moss Shelby, CorSec Regiment Twelve');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '79', 'm20s', 'Nice. The farmers aren\'t worried anymore and that means I\'m getting fewer interruptions at work. Everyone is happy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '80', 'm20t', 'Large Creatures on the Move');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '81', 'm21d', 'Remember when the Circus Horrificus came to Corellia a while back? Turns out they \"misplaced\" some sick animals while they were here. Now we\'ve got reports that these creatures miraculously recovered from their illnesses and are now threatening the safety of some farmers near here. Removing them could be time-consuming endeavor, so we\'re contracting civilian hunters to deal with the situation. Contact us and we\'ll send you the last known coordinates of these wayward beasts.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '82', 'm21o', 'Captain Peers, Corellian Defense Force');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '83', 'm21s', 'Maybe we shouldn\'t be surprised that an outfit called Circus Horrificus left behind a mess. The next time they grace Corellia with a visit, we\'ll sit down with them for a long chat.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '84', 'm21t', 'Circus Horrificus Left a Mess');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '85', 'm22d', 'Even though the shipyards get all the glamor, we farmers are the real backbone of Corellian culture. Who else is going to feed all those offworlders who pollute the space lanes with industrial waste? But even so, the planetary authorities are eager to neglect our needs. For instance, we\'re having a problem with some local wildlife encroaching on our fields. CorSec isn\'t interested in helping us. So we collected enough credits among ourselves to pay a professional hunter to get rid of these intrusive animals. Seems like we have to handle our own security in addition to feeding a hungry planet. There\'s no justice, I tell ya.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '86', 'm22o', 'A Proud Corellian Farmer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '87', 'm22s', 'Thanks for getting rid of those creatures. You\'re a good friend to us farmers. I\'m glad someone on this planet still cares about us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '88', 'm22t', 'Job That CorSec Doesn\'t Want');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '89', 'm23d', 'While the Selonian Tunnels are an interesting feature of the Corellian landscape, they do present certain problems for planetary security. For instance, animals that are either large or numerous enough to be a nuisance will wander the tunnels and emerge in places where they should not be. These incidents are frequent enough that CorSec now engages freelancers to liquidate the stray animals. This program is open to all qualified galactic citizens. Coordinates of target animals are available upon request.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '90', 'm23o', 'Corellian Security Force, Animal Control Division');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '91', 'm23s', 'Nice work, citizen. We\'ve got many more stray animals to deal with, so feel free to contact us again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '92', 'm23t', 'Animals Wandering Selonian Tunnels');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '93', 'm24d', 'The right place at the right time, that\'s what business is all about. I\'m planning to build a small manufacturing plant and I picked up some terrific property from the estate bazaar in Coronet. You wouldn\'t believe the price I got. I feel like a regular thief. The only drawback is, the land is infested with some kind of dangerous animals. That\'s what the purchase agreement said, anyway. All I know is, I want some tough guy to hoof out there and get them off my property. I\'m working to fund my little factory and I need to haul investers out there soon. I\'ve got the right place, but I have to hurry to finish at the right time. Are you the right person for the job?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '94', 'm24o', 'Fillig Tandaris, Entrepreneur');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '95', 'm24s', 'Now that was some handy work, my friend. You\'re better than you look. Stick around, maybe I\'ll find something else for you to do.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '96', 'm24t', 'Fine Print on Purchase Agreement');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '97', 'm25d', 'Corellia seems like such a peaceful planet, doesn\'t it? Well, it ain\'t all purple skies and golden fields. We\'ve got some nasty animals around here that are giving me all kinds of headaches. My construction droids are malfunctioning because some sort of wild beasts are tearing up their wiring and fouling their exhaust grates. I programmed a few load lifters to chase the creatures back to their lair, but I need a flesh-and-blood hunter to finish them off. I\'ll pay a decent wage for the work, so long as I can get back on schedule.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '98', 'm25o', 'Fillig Tandaris, Entrepreneur');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '99', 'm25s', 'Handy work, my friend. If I apply a little motivation to my droids, maybe I can get back on schedule.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '100', 'm25t', 'Wild Beasts Fouling My Droids');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '101', 'm26d', 'Corellia! Proud center of commerce for the entire galaxy! I\'m thrilled to be here at last, ready to carve my niche in financial universe, though my business plan has proven inadequate in a few respects. I didn\'t know Corellia\'s wildlife was quite so intrusive. To be brief, the site for my new office complex is overrun with native creatures. As I just arrived, I don\'t even know what they\'re called, but I do know they approach me threateningly when they see me. I require someone who knows the area wildlife to do whatever it takes to get rid of the beasts. I can\'t let teeth and claws interfere with my conquest of galactic commerce!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '102', 'm26o', 'Mister Tild-Ob-Hoona, Recently Arrived on Corellia');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '103', 'm26s', 'Wonderful! Now that those creatures are gone, I can proceed with my plan to amass a fortune and build a mercantile empire. Would you like to invest?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '104', 'm26t', 'Corellia Wilder Than I Thought');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '105', 'm27d', 'We were flying home after a Kessel run. We crash-landed due to a spat with the Imperials. The trip home from the crash site was, how should I say it, eventful. Among other highlights, we ran into some kind of big roaring thing in the dark, and we had to drop some cargo. Fast. Still makes me shudder to remember it. We\'re safe back home now, but we need to retrieve that cargo. We don\'t want to face the roaring thing again, whatever it was, so we\'re hiring you to dispose of it before we arrive. We\'ll retrieve the cargo ourselves, thank you.\n\nm27o\nCorellian Travellers Home at Last\n\nm27s\nIn a long string of unhappy events, this is finally good news. Here\'s your fee, and we\'re on the way now to pick up our cargo.\n\nm27t\nClear Out Site of Lost Cargo\n\nm28d\nI\'ve had an accident that I need to clean up. For reasons I won\'t bore you with, I was flying my YT-1300 freighter close to the ground not far from this terminal when my power core ruptured. I leaked radioactive fuel into a small water system. It was all I could do to limp back to Tyrena before the Corellian authorities spotted me. Now I\'m worried that the animals who drank that water are going to glow. The radiation signature might lead the authorities back to me. I want to hire you to blast the animals at the following coordinates into their component atoms. My gratitude will be boundless, if discreet.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '106', 'm28o', 'A Freighter Captain');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '107', 'm28s', 'Thanks, kid. You really saved my neck. Have some fun in Tyrena, on me.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '108', 'm28t', 'Help Clean Up a Little Mess');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '109', 'm29d', 'You may have heard of the swoop course we run over in the mesas. Some of us intend to branch out and clear some new lanes around the planet. Can you imagine swooping through Agrilat or even the Selonian Tunnels? But there\'s a lot of dangerous animals out there that are definitely not welcome on a course. We\'ve pinpointed a list of trouble spots for future races. The animals must go. We\'ve got the money to pay you for the work, if you\'ve got the talent to crush these creatures.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '110', 'm29o', 'An Enterprising Swoop Enthusiast');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '111', 'm29s', 'Wizard, buddy. We\'re heading out there now to fly the route. If you\'ve got a swoop, why don\'t you join us?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '112', 'm29t', 'Swoop Lanes With Wild Animals');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '113', 'm30d', 'These rich Naboo are starting to bother me. We had a family buy a plot on Vreni Island to build a vacation home. Of course they had to remove some of the wildlife. How did they accomplish that, these oh-so-enlightened Naboo? You guessed it. They stunned the creatures, tossed them on a transport and dumped them at some random spot on the mainland. Because killing them would be cruel, or whatever. Anyway, now we\'ve got to put these animals to sleep before they hurt somebody. I\'ve got a small budget to hire a hunter for the task. Are you interested?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '114', 'm30o', 'Corellian Security Force, Animal Control Division');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '115', 'm30s', 'You did good work. It\'s ridiculous that we had to eliminate those animals, but we can\'t stem the tide of \"enlightenment\" rising from Naboo.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '116', 'm30t', 'Episode of Naboo Enlightenment');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '117', 'm31d', 'Last week we tracked a gang of Lamproid smugglers to a meeting ground a short distance from this terminal. The smugglers dispersed but they left us with a problem. Apparently they had collected a small menagerie of ill-tempered animals to stage a live version of dejarik. The Lamproids freed the animals when we arrived. Now the creatures have built lairs all over the place. This problem is best handled by experienced hunters who know the area. CorSec will pay a nominal fee for the destruction of any of these lairs. Contact us for target coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '118', 'm31o', 'Corellian Security Force, Animal Control Division');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '119', 'm31s', 'Good job, citizen. These animals are a threat to anyone traveling through the area. If you care to have a go at another lair, just contact us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '120', 'm31t', 'Lamproid Smugglers: a Messy Bunch');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '121', 'm32d', 'When you\'ve got as much open countryside as Corellia, people start thinking they can land their ships anywhere and set up for business. While we do not discourage non-traditional commerce, we do insist that freelance entrepreneurs respect the planetary landscape. Lately we\'ve had problems with campsites left behind by itinerate businessmen. The garbage at these sites attracts wildlife of a bothersome and sometimes dangerous nature. This is a nuisance for local inhabitants. While the law enforcement arm of CorSec pursues the culprits, the ACD is left to clean up the messes that have already been made. For this purpose we regularly contract hunters to exterminate the animals that wander too close to populated areas. Contact us for the coordinates of target sites in your area.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '122', 'm32o', 'Corellian Security Force, Animal Control Division');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '123', 'm32s', 'Well done. You\'ve made the area safe for the locals again. Hopefully we can catch the culprits whose trash lured those animals from the wilderness. We all agree that non-traditional commerce is a vital component of the Corellian economy, but a few people have to learn that some rules still apply.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '124', 'm32t', 'Messes Left by Itinerant Businessmen');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '125', 'm33d', 'Does anyone like the Empire snooping in his private affairs? I certainly don\'t. Strictly in the interest of personal privacy, I\'m going to build a sensor scrambling array not far from here. The site is in the wilderness and is, unfortunately, a bit thick with large animals. I\'d like to hire you to remove these creatures from my property, so I can begin construction. If you can do the job, let me know and I\'ll send you the coordinates. You can\'t miss the place. It\'s in a wide-open field where you might expect to find a landing pad, say, or maybe an underground warehouse. Not that I would know about such things.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '126', 'm33o', 'A Right-Thinking Businessman');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '127', 'm33s', 'Good, good. Now I can build those sensor scramblers. I don\'t want the Empire watching when I have visitors to my, um, field out in the wilderness.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '128', 'm33t', 'Clear Land for Sensor Scramblers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '129', 'm34d', 'I\'m in a predicament. I just had a flyby with an Imperial shuttle and it forced me to land not far from here. My ship went down pretty rough, but I made it to the city okay. Unfortunately, I didn\'t realize until I hit town that I had buckled a cargo door and lost a crate of Mad Mrelf in the wilderness. I buzzed the spot again and it\'s overrun with animals. If those creatures finish off a whole crate of that liquor, they\'re going to go berserk. Can you go out there and take a blaster to those beasts before someone gets hurt? From the air I couldn\'t make out exactly what kind of animals they were, but you should be ready for a real scrap. That Mad Mrelf will put scales on a Qwohog.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '130', 'm34o', 'An Unfortunate Pilot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '131', 'm34s', 'You handled those creatures better than I could have. Didn\'t I tell you that Mad Mrelf would turn a voorpak into a veermok? That\'s quality stuff. Such a waste to lose it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '132', 'm34t', 'Liquor Fallen Into Wrong Hands');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '133', 'm35d', 'See here, I need the services of a veteran of the Corellian wilds. I am recently arrived from Naboo to acquire some native fauna for my daughter\'s menagerie at Theed. I hope to bring my little Lady Gaeflit something large and glamorous for the Festival of Thywinkle, but my time grows short. A local tracker in my employ has transmitted to me the coordinates of a group of wild animals which he believes will be suitable for my purpose. I require someone who knows the area to travel to these coordinates and bring back the creatures in question. Of course I understand the unpredictability of wild animals, so I shall of course pay you something for your trouble if you find no living specimens at that destination. Please be cautious and know that your good work will make a little Naboo girl happy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '134', 'm35o', 'Lord Kindergull of Naboo');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '135', 'm35s', 'What\'s that? You say no living specimens are left at those coordinates? Oh, but this is a tragedy! Now what gift shall I bring poor Lady Gaeflit for the Festival of Thywinkle? Her little heart will be crushed! At least I know you did your best to make her happy. Here, accept this payment with my gratitude.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '136', 'm35t', 'Make a Little Naboo Girl Happy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_corellia.stf', '137', 'number_of_entries', '35');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '1', 'm1d', 'Laboring under a curse of public ignorance and apathy, the Interplanetary Embalmers\' Guild maintains its resolve to bring its mission to a wide audience. Our chapters on Naboo, though not large, demonstrate an admirable vigor. We seek Naboo hunters with strong will, careful aim, and superior firepower. With these weapons, you will go forth onto the plains, into the forested mountains, and even into the swamps themselves, to locate the finest specimens of Naboo wildlife and shoot them cleanly. We shall arrange pickup and processing of the remains, provided they are intact and relatively unmarked. Those who aid in promoting our worthy trade will find generous recompense!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '2', 'm1o', 'Interplanetary Embalmers\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '3', 'm1s', 'Though your good work fulfills the Embalmers\' Guild wishes, our plans have changed. Accept this payment, and do what you will with the creature.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '4', 'm1t', 'Embalmers Call On Conscientious Naboo!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '5', 'm2d', 'The Emperor\'s proposed new Hall of Galactic Wildlife, to be built on the Imperial throneworld of Coruscant, features an extensive display of Naboo wildlife. To expedite planning of the space required for the Naboo display, the Imperial Civilian Accounting Office solicits highly experienced hunting teams. Interested teams may locate and terminate large packs of predators at coordinates provided by local survey offices in conjunction with this agency. The specimens will be assessed for size and quantity for purposes of figuring large-scale space requirements. Hunters may remove marketable assets from the prey for their own use. All other information on this contract is assigned confidential clearance under Imperial security edicts. For assistance, contact the Imperial Security Bureau.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '6', 'm2o', 'Imperial Civilian Accounting Office');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '7', 'm2s', 'Asset procurement noted and contract payment disbursed. Per your contract, you may remove marketable assets from the prey for your own use or resale.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '8', 'm2t', 'Solicitation for Naboo Hunting Teams');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '9', 'm3d', 'Greetings. Milady Chantallir requires me to commission a hunter, or party of hunters, to assassinate a designated specimen or specimens of local wildlife. Once you have committed this gratuitous murder, Milady\'s serving droids will collect the victim and prepare it for her upcoming \"Cuisine & Culture\" fundraising banquet. Milady has instructed me to remit payment after you have inflicted the brutal death.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '10', 'm3o', 'Imbecile, a C-9P0 Protocol Droid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '11', 'm3s', 'Milady will undoubtedly feel well disposed toward you for carrying out the execution. Here is the agreed blood-money.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '12', 'm3t', 'Dead Animal Needed for Banquet');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '13', 'm4d', 'The touring company for my current production -- \"Hearts of Empire,\" now at Theed\'s Templexus of the Dramatic Arts, seats still available -- has run into a teensy problem. Our female lead, Mairlenn, had a pet voorpak, called Dotti or something. She took the little thing with her on a visit to the countryside, let it roam, and, well, those voorpaks really are a major source of protein in the ecosystem, aren\'t they? Mairlenn is in quite a snit. She saw the creatures that ate Dotti, and she insists that I find someone to locate and punish those beasts, I mean really punish them. Is that okay?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '14', 'm4o', 'Radanthus Mandelatara, Playwright');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '15', 'm4s', 'Well, isn\'t that just a big big relief. I do have a budget line item for Mairlenn\'s demands, so payment is no problem. Thanks much, have to run.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '16', 'm4t', 'Punishment of Naboo Predator Needed');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '17', 'm5d', 'When I open my new restaurant in Theed, the much-heralded pantheon of Naboo chefs will gain a new star! I need a centerpiece dish, though, to get people smacking their lips and, in the case of Gungans, jowls. Go out and find me a selection of delectable beasts. Remember, dangerous creatures equal publicity!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '18', 'm5o', 'Chef Jamien Varcos');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '19', 'm5s', 'Splendid. I shall pay you, of course, but as it happens, I have conceived a different dish in mind already, with liquid extract of Corellian fringe cake. Please take what you will from the creature\'s body.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '20', 'm5t', 'Create a Culinary Delight of Naboo!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '21', 'm6d', 'For my new gallery\'s debut show, I contrast the sterility of urban life with the pure, unmediated vigor of Nature. I envision in the gallery atrium a mounted specimen of some noble creature. It befalls you, the hunter or team of hunters, to terminate the specimen, whereupon my rented droids will secure and prepare it. I suggest a relatively non-invasive termination, to maintain the specimen\'s natural beauty.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '22', 'm6o', 'Bab Esrus, Biosculptor for Select Clients');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '23', 'm6s', 'Unfortunately my show, \"Nature\'s Unmediated Vigor,\" has been unexpectedly cancelled. I shall pay you, but you may dispose of the creature as you will.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '24', 'm6t', 'Help With Naboo Gallery Show');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '25', 'm7d', 'I watch the purple twilight steal across the meadows of my estate, then spend my lonely night dreaming of a song. That melody haunts my reverie, for it was playing during my romantic dinner with Count Ran Dobell. We sat beside a garden wall, and the stars shone bright. Our love was new, each kiss an inspiration -- until a verminous creature blundered into my gazebo. The beast bit Count Dobell, infecting him badly. In a huff he lurched away to the bacta tanks, and he has avoided contact with me since. Now my consolation lies in hiring you to destroy this creature and others of its ilk.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '26', 'm7o', 'Lady Dera Mikkel of Theed');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '27', 'm7s', 'Thank you. Though I dream in vain, that melody will remain in my heart -- the memory of love\'s refrain. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '28', 'm7t', 'Stop Creature That Ruined True Romance');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '29', 'm8d', 'Perfecton Greysor Purebreds stands as Naboo\'s finest kennel. We have reason to believe that an unidentified rival greysor kennel has purposely loosed several predatory animals on our land, creatures that have already attacked and killed several fine stubtails and manadepts of breeding age. We shall of course investigate and seek legal redress. Our immediate need, though, is a hunting team that can destroy the marauding predators. We offer a generous fee, as befits the planet\'s elite kennel.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '30', 'm8o', 'Perfecton Greysor Purebreds');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '31', 'm8s', 'Your success shows excellent attention to standards and detail. We thank you, and are now preparing the legal phase of our response.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '32', 'm8t', 'Predators Loosed On Greysor Kennel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '33', 'm9d', 'I am a Theed University biologist currently on sabbatical at the Otoh Gunga Zoological Research Facility. In researching motts, a semi-aquatic herbivore of the Gungan Swamp, I was stunned to observe young adult males occasionally travelling onto the Great Grass Plains and even up mountains, far outside their native habitat. This phenomenon as yet eludes explanation, though I suspect parasitic infection. In every case I have seen so far, predators kill these misplaced motts. I wish to hire a hunter or hunting party to terminate a predator shortly after it eats the mott. I shall analyze the predator\'s stomach and blood, in hopes of identifying different stages in the life-cycle of the hypothetical parasite.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '34', 'm9o', 'Dr. Henro Torrth, Theed University Bio Department');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '35', 'm9s', 'Report noted. I shall have the fallen predator picked up for autopsy. Your fee is attached.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '36', 'm9t', 'Naboo\'s Misplaced Mott Mystery');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '37', 'm10d', ' My family wrangles shaaks on the Grass Plains. This season predators have been hitting us hard. Two nights back, my oldest went out hunting them. Last night he called in, but today we\'ve heard nothing. We\'re worried, but we can\'t leave the herd. We have enough savings to hire a hunter for a rescue mission. Here are the coordinates from his tracking beacon. Please help, and quickly.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '38', 'm10o', 'Shaak-wrangler on the Great Grass Plains');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '39', 'm10s', 'Thanks for taking care of the predators. My son got swept over a waterfall and lost his tracking beacon, but he\'s back home now, injured but safe. Here\'s your fee.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '40', 'm10t', 'Need Help Finding Our Son');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '41', 'm11d', 'For generations my family\'s cove of trained twirrls, the famed Highscouter bloodline, has provided breeding stock to Theed Palace. The key to the Highscouter cove\'s reputation for health and vigor has been our willingness to train the falconoids strenuously over open country. For this reason, predators are a constant menace, and never more than this season. I always have to contract with local hunters to keep the predator population down in our current training fields. Are you available?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '42', 'm11o', 'Highscouter Twirrl Cove');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '43', 'm11s', 'We\'ve already noted the welcome drop in predation. Highscouter Cove thanks you. Look in with us next season for more work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '44', 'm11t', 'Predator Culling in Twirrl Training Fields');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '45', 'm12d', 'While on sabbatical at the Otoh Gunga Zoological Research Facility, I have observed an unusual, previously unreported behavior in the common ikopi, a swamp herbivore with remarkably long legs and a hollow prehensile tongue. It appears that during mating season, some male ikopi actively seek confrontation with predators for purposes of display and territorial defense. My colleagues are justly skeptical, for all my recording equipment has rotted in this infernal humidity. I can document the behavior indirectly by securing a predator that has wounds from the distinctive ikopi horns. I have located a wounded animal and wish you to kill it, leaving the horn wounds intact for reference purposes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '46', 'm12o', 'Dr. Henro Torrth, Theed University Bio Department');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '47', 'm12s', 'I shall make arrangements to secure the corpse immediately. Decomposition sets in so quickly in this climate. You may take what you will from the prey.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '48', 'm12t', 'Ikopi-Wounded Predator Needed');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '49', 'm13d', 'Hello! Out near my vacation land, where my family hopes to build a home soon, we\'re starting to see young male gualamas. The patriarch of a herd drives off the other males when they reach breeding age. They\'re beautiful to see, bounding up hills with tails raised like banners. But they do attract predators. That has spooked the construction firm we\'ve hired -- seems the predators attack construction droids, or so we\'re told. Sounds to me like a ploy for the construction company to extort insurance funds from us, but it\'s cheaper for me to demonstrate that the predators are no problem. If you can go out and kill a few, I\'ll pay a reasonable fee.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '50', 'm13o', 'Naboo Family Planning to Relocate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '51', 'm13s', 'Thanks much for improving my land\'s safety. I\'ll notify the construction company that no \"insurance\" is required.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '52', 'm13t', 'Gualama Herds Attracting Predators');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '53', 'm14d', 'I am the associate proprietor of Naboo\'s third-oldest guarlara stable. Though we do not provide the royal steeds of Naboo that are revered worldwide, our Kirkhorn Assured Bloodlines are particularly prized for their underfur. It has been woven into Theed\'s most famous tapestries. Unfortunately, our mighty mounts are prone to stress-shedding, especially when chased by predators. Seldom do these hunters overmaster our vibrant animals, but the exertion of the chase mars the underfur\'s quality. To prevent further deterioration, Kirkhorn wishes to hire you to dispose of the animals located to date. Please respond, and we shall transmit coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '54', 'm14o', 'Kirkhorn Guarlara Stable');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '55', 'm14s', 'Perhaps it may seem frivolous to protect guarlara underfur, but this is an important revenue source for our stable. Thank you for your help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '56', 'm14t', 'Protect Naboo\'s Kirkhorn Guarlaras');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '57', 'm15d', 'During my recent open-air concert, staged out on the Grass Plains as part of Milady Aaltok\'s 90th-birthday celebration, a pack of creatures hampered the jovial mood by attacking the guests\' prize guarlara mounts. Now some guests are making litigious noises, on the flimsy pretext that my music angered and provoked the predators. What nonsense. Still, counsel advises Milady to show a good-faith effort to reduce future predator problems. Ergo, the Aaltok household is hiring you to defeat and dispatch the creatures located at these coordinates. Really, this is all most tiresome.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '58', 'm15o', 'Nath Matua Nurtry, Aaltok Household Composer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '59', 'm15s', 'Very well, I shall pay you. I may require your testimony if this senseless lawsuit ever becomes more than mere persiflage.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '60', 'm15t', 'Hunt to Prevent Groundless Lawsuit');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '61', 'm16d', 'The Emperor has proposed a new Hall of Galactic Wildlife on his throneworld, Coruscant. Animals from across the galaxy are to be stuffed and mounted for display in its silent chambers. Without questioning the Emperor\'s motives or the wisdom of his project, architects of Naboo would assert that wildlife is best displayed alive, in a zoological simulation of their native environments. To dramatize our point, we shall present to the project\'s advisory board a display, showing live creatures side by side with sterile, stuffed examples. We therefore commission you to terminate the specimen or specimens located at these coordinates, for later removal and processing by this office.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '62', 'm16o', 'Office of the Chief Architect of Naboo');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '63', 'm16s', 'Though the Office of the Chief Architect tenders the agreed payment, our plans have changed. You may take what you wish from the prey.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '64', 'm16t', 'Naboo Architect Requires Animal Specimens');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '65', 'm17d', 'I fear that I unwisely scolded my little pet voorpak, Blotti, when he made an accident on my third-best embroidered gown. Blotti, his fierce heart rebelling, ran away. His tracking collar shows he\'s wandered into some dangerous territory, and I\'m afraid to go after him. Can some noble adventurer rescue my dear sweet pet?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '66', 'm17o', 'Lady Prua Nala Bitterbon of Theed');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '67', 'm17s', 'Oh, Blotti! Some giant beast has eaten my poor, headstrong little pet. Go away, leave me in my sorrow!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '68', 'm17t', 'Help Rescue a Beloved Pet');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '69', 'm18d', 'A bioengineering program at Theed University researches new uses for the chemicals produced by native wildlife. This initiative has already led to new medicines and even improved building materials. To this end, students in the bioengineering program require recently killed specimens. Predators represent a difficult target for mere university researchers, and so they have requested me to contract with hunters to destroy the animals. Please respond to obtain coordinates of likely specimens.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '70', 'm18o', 'Office of the Educational Regent of Naboo');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '71', 'm18s', 'I shall send a recovery team to preserve the animals for study. You may take what you wish from them first. Thank you for aiding the cause of science.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '72', 'm18t', 'Theed University Bioengineers Need Specimens');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '73', 'm19d', 'Mesa not custom to dealen wit outlaunders, but my been sent by De Bosses to taken care of a maxibig problem. De zoo at Otoh Gunga had orderen some bigge animale for showen at de Festival of Bawoonkas. De trouble came when de ship carryin desan animale crashed. Now wesa got desan animale all over. De Bosses tellen my only to bring back dosan animale dat survived de crash. Mesa tinken my can pay yousa outlaunders to \"taken care\" of desan survivor animale, so wesa not haven any survivors at all. Dat way my will not need to transporten dosan stinkowiffs back to Otoh Gunga. My will payen extra if yousa keepen yousa mouth shut about dis. Tis a bombad deal for both of ussen, eh?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '74', 'm19o', 'Torba Keels of Otoh Gunga');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '75', 'm19s', 'De Bosses beesa sad dat no animale survived de crash. My not minden so much. Yousa skill is hot, boyo. Taken dis moola for yousa help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '76', 'm19t', 'Wesa Got a Maxibig Problem');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '77', 'm20d', 'I appreciate the natural beauty of Naboo as much as anyone else. I love the smell of flowering hsuberries and the glint of morning light through a tentacle fern. There\'s nothing more lovely than a sunset glittering with sapphire peko-pekos. But I draw the line when sapient beings are endangered wildlife. Recently a Twi\'lek child was assaulted by some rampaging animal, and one of her little tentacles was badly mauled. In response to this outrage, I am hiring hunters to remove animals from any region identified as dangerous. If you agree that the safety of our beautiful planet must be preserved from encroaching wildlife, and if you are capable of killing deadly animals, please contact me. I will send you coordinates from my list. Together we can make Naboo safe again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '78', 'm20o', 'Taneb Magnex of Theed');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '79', 'm20s', 'Splendidly done. That\'s one more area the children of Naboo may wander in peace. I will certainly have more work for you in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '80', 'm20t', 'Remove Dangerous Animals From Beautiful Naboo');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '81', 'm21d', 'Bubble spore is a rare and delightful plant from the Lianorm Swamp. Its bubble-like spores float on the breeze and catch the light most splendidly. Recent climatological extremes have carried the spores over great distances. We believe that the plant may be spreading beyond the swamp. Unfortunately, certain animals have taken to eating the spores before they can alight and sprout. Because we would like to encourage the spread of this marvelous flora, we require the service of hunters to eliminate the animals from target expansion zones. By slaughtering these filthy beasts, you will help us to spread the enchanting bubble spore plant to all corners of Naboo.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '82', 'm21o', 'Botanical Consortium of Naboo');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '83', 'm21s', 'Marvelous! Those worm-ridden beasts won\'t interfere with the spread of bubble spores again. At this rate, in a year all of Naboo will be covered with bubbles! Can you imagine?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '84', 'm21t', 'Assist Spread of Naboo Bubble Spores');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '85', 'm22d', 'I\'m attempting to build a flora farm as a surprise for my wife. I\'m having a deuce of a time because the site is away from civilization, in accordance with my wife\'s love of the wilderness, and the creatures who inhabit the area are less than accomodating about our intrusion. Consequently I find myself in need of contractors to clear off these distinctly un-neighborly fauna. I\'m working on an aggressive time schedule. Get the job done quickly and thoroughly, and you will make my wife very happy indeed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '86', 'm22o', 'Lord Jallandra of Theed');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '87', 'm22s', 'Are you certain the animals are gone? I don\'t wish to place my wife in any danger, you know. If you\'re positive the job is done, then I shall tender your payment. And take also my heartfelt thanks for making my wife happy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '88', 'm22t', 'Contractors To Eliminate Wild Naboo Animals');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '89', 'm23d', 'I pilot an old H-type chrome yacht, which I rent to high-paying customers. I also sell my services as a courier, which has prompted me to post this message. The other day I had a near-miss with an Imperial shuttle cutting across the designated sky lanes. The shear damaged my yacht\'s wings and forced me to jettison some cargo. Now I need to retrieve it. I buzzed the area and found some nasty-looking animals on my scanners. I need someone handy with a blaster to pick off these creatures so I can track down my jettisoned cargo. The recipients are getting impatient, so haste is required.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '90', 'm23o', 'Captain Gwella Incarta');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '91', 'm23s', 'Handily done. Now I can retrieve my jettisoned cargo. If I hurry, I can just about salvage my reputation as a courier.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '92', 'm23t', 'Clear Out Nasty-Looking Naboo Wildlife');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '93', 'm24d', 'The authorities don\'t approve of us, but that doesn\'t deter the swoop enthusiasts of Naboo. This beautiful planet virtually begs for the open-air joys of swoop ranging. Of course the wildlife is not accustomed to anything more powerful than Imperial speeder bikes. This can cause a lot of trouble. Our engines and exhausts rile the animals into a dangerous frenzy. We\'ve lost more than a few good swoopers by slamming into a fambaa or a herd of shaaks. To alleviate this problem, we\'ve taken up a collection to hire professionals to remove the more intrusive wildlife that clogs up our swoop lanes. If you can do this job, please contact us for the coordinates of trouble spots.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '94', 'm24o', 'United Swoop Enthusiasts of Naboo');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '95', 'm24s', 'At last we can ride the swoop lanes without dodging hrumphs and tusk-cats. We\'re also investigating the possibility of clearing away vegetation from prime areas. After all, swoopers have as much right as anybody to enjoy the natural beauty of Naboo.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '96', 'm24t', 'Kill Wild Animals Clogging Swoop Lanes');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '97', 'm25d', 'The trouble with a planet like Naboo is, the wildlife is so prolific that there\'s no glamor in hunting it. I make my living taking rich Theedsiders into the wilderness to hunt large, dangerous animals. But my skills seem extraneous when the animals simply wander past base camp, waiting to be shot. So I\'ve struck upon a plan to rectify this issue. I want to hire hunters to visit my preferred hunting grounds and weed out prolific target species. That way I can hunt down the survivors, and my clients will feel as if they\'re getting their money\'s worth. So if you\'re good with a blaster and want to have some fun in the wilderness, I\'ll send you coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '98', 'm25o', 'Gerrio Coronis of Theedside Safaris');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '99', 'm25s', 'Nice work. I\'ll take some rich Theedsiders out there tomorrow. You did leave me one or two animals to hunt, right?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '100', 'm25t', 'Thin Out Wildlife in Hunting Grounds');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '101', 'm26d', 'I\'ve got my droids busy on some preliminary work to turn a natural spring pool into an irrigation source. My belief is that the spring\'s source might actually be the planet core. Unfortunately my J9 droid reports that animals from the surrounding area have been attracted by the activity. These creatures are either very large or in great numbers, as their droppings have begun to contaminate the pool and clog up the new filters. I would like to hire one or more experienced hunters to blast these animals to dust so that my project can get back on schedule. Pay will be commensurate with the difficulty of the job.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '102', 'm26o', 'Madger Galleas of Theed');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '103', 'm26s', 'My J9 droid says the filters are clearing up already. Thanks for a job well done. Here are your credits.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '104', 'm26t', 'Blast Animals Fouling Naboo\'s Water');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '105', 'm27d', 'Desan outlaunders don\'t haven much sense sometime. My have taken una Trandoshan warrior into da wilderness for hunten de bigge Naboo animale. Hesa needen to impress some lady Trandoshan for una marriagen ceremony, if mesa understanden correctly. Den desan animale showed up and hesa hiden like a skeered tooke. Hesa say hesa not comen out of hiden till mesa hire someone to getten rid of desan animale. Hesa payen my fee, so my figure my may as well do what hesa want. You gotten de blaster, you wanten some credits, you contact my pretty soon. My not certain how long hesa going to last out dere in de wilderness.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '106', 'm27o', 'Torba Keels of Otoh Gunga');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '107', 'm27s', 'Yousa should have seen dat Trandoshan runnen away as soon as yousa started shooten up de animale! My wish my had brought una hovercam for taken dat as a hologram. Okieday, heresa yousen moola for da job.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '108', 'm27t', 'Una Outlaunder is Needen Help');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '109', 'm28d', 'We are incensed at the behavior of the Imperial Environmental Preservation & Refocusing Authority! To accomodate various Imperial sites on the planet\'s surface, the IEPRA has interfered with the rich ecosystem of Naboo. The natural balance of predator and prey has been disrupted. We must restore this balance. We have identified several habitats in which both predatory and prey species must be culled in order to realign the populations. Hunters who appreciate the natural balance are encouraged to participate in this program. We must save Naboo before the Empire destroys it!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '110', 'm28o', 'The Royal Naturalist Society of Naboo');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '111', 'm28s', 'But how wonderful! We knew we could count on you. The delicate balance of Naboo\'s wildlife will soon be restored.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '112', 'm28t', 'Empire Interferes With Naboo\'s Ecosystem');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '113', 'm29d', 'The IEPRA conducts routine missions to expunge dangerous animals from any area where Imperial agents are scheduled to establish service posts. Lately we have experienced some problems. The larger creatures of Naboo have somehow managed to encroach upon our temporary sites. We have consulted the Royal Naturalist Society of Naboo, but they offered no insight as to why our wildlife eradication protocol is failing. As we continue to research this problem, we require hunters to manually clear these areas again so that our agents may conduct their business in peace. Interested parties may contact us at their convenience.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '114', 'm29o', 'Imperial Environmental Preservation & Refocusing Authority');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '115', 'm29s', 'Well done. We shall note the quality of your work in our files. We hope to determine soon why our initial efforts at wildlife eradication have failed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '116', 'm29t', 'Eradicate Dangerous Naboo Wildlife');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '117', 'm30d', 'In the name of galactic security, Imperial agents routinely establish temporary survey sites in the wilds of Naboo. Before each site is constructed, the IEPRA expunges any dangerous and/or nuisance animals from the area. We have found it expedient to hire private contractors for this work. If you are an experienced hunter and wish to become involved in this program, notify us at your earliest convenience. We will send coordinates of a target locale from which to remove the wildlife.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '118', 'm30o', 'Imperial Environmental Preservation & Refocusing Authority');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '119', 'm30s', 'Well done. Your actions have ensured the safety of many Imperial agents. You are on your way to establishing a good record with us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '120', 'm30t', 'Eradicate Hazardous Naboo Wildlife');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '121', 'm31d', 'The Imperial Environmental Preservation & Refocusing Authority persists in its destabilization of Naboo\'s splendid ecosystem! After they devastated many of our precious natural populations, we were forced to cull others to preserve the natural balance of predator and prey. Now they have hired despicable murderers to kill more animals and further disrupt the ecosystem. We have no choice but to respond again. We require the services of noble outdoorsmen willing to euthanize the poor, starving animal survivors of the Empire\'s heartless campaign. Contact us for the coordinates of these killing grounds, and we shall pay you for your merciful actions.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '122', 'm31o', 'The Royal Naturalist Society of Naboo');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '123', 'm31s', 'But how wonderful! Your ruthless killling was an act of pure mercy. Shame on the Empire for forcing us into these desperate measures!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '124', 'm31t', 'Correct Empire\'s Interference With Beauty');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '125', 'm32d', 'De wild animale of Naboo been suffering at de hands of some stinkowiff outlaunders. My been catchen desen illegal animale traders allendover half de planet. Tis una shame dat desen narglatches just letten loose de animale anywhere dey getten caught, so dey can getten away from de law. Tis una shame because my no haven de resources to collect dese misplaced animale and taken dem back to where dey belong. All my can do is to payen someone to taken a weapon to desen animale and putten dem out of dere misery. Mesa hiren every persona dat can get de job done. My will transmitten de coordinatees to yousa and payen de credits when yousa finish de work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '126', 'm32o', 'Sergeant Degoolsby of Otoh Gunga');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '127', 'm32s', 'Tis a shame dat desen illegal animale traders forced ussen to dese sad measures. Taken desen credits for yousa good work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '128', 'm32t', 'Rounden up de Animale and Killen Dem');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '129', 'm33d', 'If you spend a lot of time offworld, you may not know about the strange weather we\'ve been experiencing. Stellar flares are responsible for a moisture inversion that has brought rains to dry areas and reduced water levels in the lowlands. This climatological chaos has resulted in overabundant wildlife where it is normally under control. While we are applying for the intervention of Imperial weather shields to block the stellar flares, we are employing more direct methods to regain control of the wildlife populations. We are contracting hunters to thin out groups of large, prolific and/or dangerous animals in certain areas. If you qualify to participate in this reclamation campaign, contact planetary authorities. We can stave off disaster, but only if we act promptly.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '130', 'm33o', 'Naboo Environmental Council');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '131', 'm33s', 'That\'s one more region where the wildlife will not become a nuisance. Thanks for your good work and professional demeanor.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '132', 'm33t', 'Flares Disrupt Naboo Animal Populations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '133', 'm34d', 'A wealthy family of Togruta merchants have decided to make Naboo their next home. I am surveying the landscape for a location suitable for a modular villa. Unfortunately, their homeworld is rife with predators, and their preferred surroundings are also populated by large and potentially dangerous animals. Because I don\'t want my clients to be eaten or trampled while I\'m presenting their choices, I need to hire someone to temporarily rid these areas of nuisance wildlife. I\'ll send the coordinates to anyone who can get the job done neatly.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '134', 'm34o', 'Chanja Kee of Naboo');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '135', 'm34s', 'Great work. The wealthy Togrutas will reach Naboo in a few days. I\'m glad to be able to show them around safely.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '136', 'm34t', 'Arrival on Naboo of Togruta Clients');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '137', 'm35d', 'Some local animals have ingested contaminated runoff from the Emperor\'s Retreat. We believe that these creatures now pose a significant risk to the planetary ecosystem. They have dispersed to various places on the planet. We are contracting hunters to dispose of these animals as quickly as possible. Our satellite droids have isolated several potential locations where these contaminated animals might be found. These coordinates will be made available to qualified applicants.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '138', 'm35o', 'Imperial Environmental Preservation & Refocusing Authority');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '139', 'm35s', 'Excellent. Our scanners indicate a significant amount of contamination in your body. This confirms your successful engagement with the target animals. As we do not know what effect this contamination might have on your particular subspecies, we suggest that you make arrangements for a funeral or other death rite in the event that you do not survive.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '140', 'm35t', 'Contamination In Naboo Ecosystem');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_naboo.stf', '141', 'number_of_entries', '35');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '1', 'm1d', 'How many times do we have to exterminate these pests? Hiring professional hunters is getting expensive. Could you go in and clear out that creature lair for us, citizen?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '2', 'm1o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '3', 'm1s', 'Looks like you might have a career in extermination, friend. Thanks for your efforts.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '4', 'm1t', 'Clear Out Tenacious Pests');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '5', 'm2d', 'I\'m lodging a group of Bith musicians in my villa, but they\'re skittish about some of the local wildlife. I\'d be willing to pay if you could remove some of the more dangerous creatures from the area and put these Bith at ease.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '6', 'm2o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '7', 'm2s', 'Splendid! Now my Bith guests can relax and practice their music. I do enjoy their fizz lilting through my villa on a lazy evening.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '8', 'm2t', 'Reassure Skittish Musicians');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '9', 'm3d', 'Some darn predator ate my good luck kima! I think those beasts have a lair near here. If you can find them and blast them to atoms, I\'d certainly reward you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '10', 'm3o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '11', 'm3s', 'Thanks, friend. I\'ll sure miss that kima. I bet this breaks my incredible sabacc winning streak. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '12', 'm3t', 'Recover Good Luck Charm');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '13', 'm4d', 'My precious little kittle -- she liked to be called Woopywoopums -- was snatched by a horrible predator while slithering playfully in my yard. Please avenge my angel for me.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '14', 'm4o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '15', 'm4s', 'You are most gallant, citizen. What is your name again? I want to name my new kittle in your honor.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '16', 'm4t', 'Avenge Woopywoopums');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '17', 'm5d', 'I\'ve been contracted to do some construction near here. Help me out by cleaning up the nest at these coordinates, and I\'ll cut you in.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '18', 'm5o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '19', 'm5s', 'Nice work. I\'ve never seen the need for a professional exterminator before. Those guys get the big money.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '20', 'm5t', 'Help Clear Land');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '21', 'm6d', 'A condemned shelter near here is nothing but a breeding ground for bloodsucking parasites. I bet a couple of well-placed blaster shots would take care of the problem. Can you help, friend?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '22', 'm6o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '23', 'm6s', 'Well done, citizen. This ought to make the wet season much more pleasant. Enjoy your reward!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '24', 'm6t', 'Prepare For Wet Season');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '25', 'm7d', 'There\'s a den of vermin out there that is gonna kill some youngster some day. Local kids love playing in that area. Be a friend and demolish that lair for us, would you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '26', 'm7o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '27', 'm7s', 'I\'ll be able to sleep peacefully at night now. Thank you kindly.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '28', 'm7t', 'Keep Kids Safe');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '29', 'm8d', 'The last thing I want to hear when I settle down to bed are the mating calls of blasted vermin! Please silence those love-sick beasts and help me get some peace and quiet.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '30', 'm8o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '31', 'm8s', 'My gratitude knows no bounds, citizen. Well, actually it does, as your deposited payment will prove. But I\'m still quite pleased.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '32', 'm8t', 'Wipe Out Lovesick Beasts');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '33', 'm9d', 'My poor little durni, it wandered away and got lost. The tiny helpless thing can\'t see, you know. A friend saw a wild predator pounce on my darling and devour him. Oh horror! Please avenge my poor little Blinky.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '34', 'm9o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '35', 'm9s', 'This sets my mind at ease, citizen. Many thanks. I hope I can mourn Blinky and move on.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '36', 'm9t', 'Avenge Little Blinky');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '37', 'm10d', 'I just knew it was a bad idea to come to this planet! There\'s some kind of filthy creature lurking on the path to my new home. I don\'t suppose you\'d be able to kill it for me, would you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '38', 'm10o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '39', 'm10s', 'Thank you ever so much! I suppose every planet will seem dangerous after leaving my poor, beautiful Alderaan.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '40', 'm10t', 'Make Planet Safer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '41', 'm11d', 'I\'m looking to run some power conduits across an area not far from here, but there\'s a couple of pesky animals getting in the way of my spooling droids. Do you suppose you might take that weapon of yours and exterminate these pests?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '42', 'm11o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '43', 'm11s', 'Thanks, buddy. You earned the credits. It\'s getting so you can\'t earn a decent living without a blaster these days.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '44', 'm11t', 'Get Rid of Pesky Animals');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '45', 'm12d', 'I was testing my new electrobinoculars when I spotted a few toothy-looking beasts roaming around my land. If you want to earn a few credits, why don\'t you haul your weapon out there and take out those nasty creatures?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '46', 'm12o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '47', 'm12s', 'You don\'t seem to be bad with that weapon. The credits I promised will be promptly deposited.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '48', 'm12t', 'Toothy Beasts Are Bad');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '49', 'm13d', 'I\'ve been tracking some genetically altered predators that were stolen from an Imperial research facility. Some apparently ended up here. If I could get your help in disposing of them, I\'d make it worth your while.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '50', 'm13o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '51', 'm13s', 'Hmm, those don\'t sound like the beasts I was tracking, but thanks for getting rid of dangerous predators anyway. A little something has been deposited in your account for your trouble.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '52', 'm13t', 'Genetically Altered Beasts Are Scary');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '53', 'm14d', 'My goal of breeding exotic pets didn\'t go as planned. I\'ve heard some of my \"failed experiments\" are now terrorizing the locals. Think you could take care of this problem for me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '54', 'm14o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '55', 'm14s', 'Thanks. Your pay has been deposited. I\'d sure appreciate it if you didn\'t mention this to anyone, okay?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '56', 'm14t', 'Clean Up Failed Eexperiments');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '57', 'm15d', 'My friends and I want to hold some speeder races outside of town, but there\'s some sort of creature lair out there that\'s holding us up. If you wipe it out, I\'ll pay you for your time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '58', 'm15o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '59', 'm15s', 'Thanks! You\'re a pal! I deposited your pay. Don\'t forget to come back in a few months and check the races out.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '60', 'm15t', 'Speeder Races Are Fun');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '61', 'm16d', 'I lost something of great sentimental value in the wilderness and I\'m determined to get it back. I\'ve isolated the area where I think this treasure may lie, but there\'s a den of predators keeping me from performing a thorough search. Think you can get rid of it for me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '62', 'm16o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '63', 'm16s', 'Thanks, friend. I\'ve compensated you for your trouble. Uh, you didn\'t happen to dig around, did you? Didn\'t find any precious stones?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '64', 'm16t', 'Recover Family Heirloom');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '65', 'm17d', 'Some kids have disappeared in this area over the last few weeks. Some folk think it\'s the work of wild predators. I\'ll pay you to check these coordinates out and drive away any monsters you encounter.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '66', 'm17o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '67', 'm17s', 'Good work, citizen. The children will compose a song in your honor. Oh, and I\'ve deposited the pay I promised.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '68', 'm17t', 'Children Possibly Eaten');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '69', 'm18d', 'My dying grandfather has one last wish -- to eat the flesh of the creatures that killed his beloved wife. I\'ve tracked down a lair of the beasts and need you to kill some for me. Think you could do that?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '70', 'm18o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '71', 'm18s', 'Excellent! I\'ll send my droids out to collect the carcasses. Don\'t worry if you didn\'t leave much meat -- my grandfather has hardly any teeth left.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '72', 'm18t', 'A Last Supper');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '73', 'm19d', 'I perform tests of the groundwater, but my meters seem to attract all manner of vermin. It\'s the vibrations, I think. Could you please make sure there aren\'t any bothersome beasts hanging around my workstations?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '74', 'm19o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '75', 'm19s', 'Thank you. It\'s always nice to know I can go to work in relative safety. I\'ve deposited something for you in your account.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '76', 'm19t', 'Assist Public Servant');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '77', 'm20d', 'My mother is sick and loves a certain flower that grows near here. I\'d pick some for her, but there\'s some sort of creature lair near there, and I\'m afraid those beasts might hurt me. Could you chase them away for me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '78', 'm20o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '79', 'm20s', 'Thank you so much. I\'m sure the flowers will help my mother get better. Enjoy the reward for your services.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '80', 'm20t', 'Help Sick Mother');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '81', 'm21d', 'My little daughter\'s beloved bearded jax was killed by some sort of wild beast recently. The darling just won\'t be consoled until those horrible pests are disposed of. Do you think you could do this for me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '82', 'm21o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '83', 'm21s', 'Thanks, friend. I hope what I deposited covers your inconvenience. I\'m sure you understand just how important it is to keep our little angels happy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '84', 'm21t', 'Console Little Angel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '85', 'm22d', 'Ever since my HyperGym broke down, I\'ve taken to jogging outside the city. But the presence of wild beasts has recently rendered my favorite route useless. Could you get rid of these pests for me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '86', 'm22o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '87', 'm22s', 'Thanks, friend. I gave you something to cover the expenses you incurred while blasting those creatures. Now I\'ll be able to stay in shape.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '88', 'm22t', 'A Strike For Fitness');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '89', 'm23d', 'The Imperial Zoological Agency claimed to have cleared these areas of dangerous beasts. I beg to differ. We\'ve had a few attacks on children in the last couple of days. Could you get rid of whatever is threatening our kids?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '90', 'm23o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '91', 'm23s', 'A thousand thanks, citizen. Perhaps you should seek a job with the Imperial Zoological Agency. Seems like you could show them how these things should be done.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '92', 'm23t', 'Clean Up Empire\'s Mess');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '93', 'm24d', 'I\'ve heard a lot of complaints about a crazy old wizard in the wilds who surrounds himself with ravenous beasts. I sent a range droid to find out where the old man lives. Now I want you to exterminate his animals. I can pay you, don\'t worry about that.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '94', 'm24o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '95', 'm24s', 'Well done. Those animals won\'t bother anyone now. The old wizard probably ran away when he saw you coming. I hope that teaches him a lesson.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '96', 'm24t', 'A Crazy Wizard\'s Menagerie');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '97', 'm25d', 'Something\'s been killing the young from my herd of gualamas. Now I have to keep my livestock indoors. I need a hunter to take care of this predator before I lose any more profits. If you can do the job, I\'d love to hire you today.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '98', 'm25o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '99', 'm25s', 'I\'m glad nothing will be feeding on my gualamas. Thanks to you, that is.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '100', 'm25t', 'Save Gualama Herd');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '101', 'm26d', 'They looked so cute when they were little, but my pets grew too big to keep. Now they\'ve been feral for a year. The planetary authorities have warned me that they\'ve become dangerous. I\'ve got to get rid of them somehow. Would you be able to find my old pets and blast them into pieces?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '102', 'm26o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '103', 'm26s', 'I still miss those poor little devils. Perhaps now they\'re in a better place. Thank you for the help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '104', 'm26t', 'Good Pets Gone Bad');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '105', 'm27d', 'I\'m not obsessed with hokey religions, but I think some land I just bought is strong with the dark side of the Force. At least it\'s infested with some very unpleasant animals. You look tough enough to remove them from my property. Care to earn a few credits today?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '106', 'm27o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '107', 'm27s', 'You have much skill and courage. The Force must be strong with you. Enjoy your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '108', 'm27t', 'Face the Dark Side');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '109', 'm28d', 'Cloning tests are fun, but I made the mistake of turning loose several test subjects. Not that these cloned animals can\'t defend themselves in the wild. Quite the opposite -- they have mauled several travellers through the area. How would like to help me clean up this mess by blasting these animals into atoms?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '110', 'm28o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '111', 'm28s', 'Thanks. Of course, the thing about clones is that it\'s hard to stop making them after just ten or twenty. I may need your services again. Soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '112', 'm28t', 'Stop the Clones');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '113', 'm29d', 'Remember the Techno Union? Of course you do. I think there might be an old outpost of theirs not far from here. I want to investigate further, but the area is home to some distinctly hostile creatures. I\'d love to hire you to remove them. Then I can get on with my search for the outpost.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '114', 'm29o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '115', 'm29s', 'Capital job! Now I can keep searching for that old Techno Union outpost. Who knows what they might have left behind?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '116', 'm29t', 'Techno Union Treasure');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '117', 'm30d', 'I\'ve found an excellent spot to set up an electro-telescope. I like to watch the big ships docking in orbit. But the last time I set up my rig, I was chased off by a couple of ugly, unpleasant creatures. I\'ll pay good money if you could get rid of those beasts for me.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '118', 'm30o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '119', 'm30s', 'You\'ve done me a great favor. Your payment has been deposited. Now I can monitor the activities of Imperial warships to report to the Alli-- um, I mean, I can watch the big ships docking in orbit.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '120', 'm30t', 'Help Amateur Astronomer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '121', 'm31d', 'I imported some ghhhks from Clak\'dor VII. I heard their skin makes a healing salve. Well, it didn\'t do anything for me, and then the ghhhks got loose. Now they\'re breeding, and the scent has attracted a pack of hungry predators. I\'d like you to destroy the predators before anything really bad happens.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '122', 'm31o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '123', 'm31s', 'Thanks. I was afraid my neighbors were about to sue me for biological infestation. I hope the predators ate all the ghhhks before you killed them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '124', 'm31t', 'Contain Biological Infestation');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '125', 'm32d', 'I\'ve commissioned a holosculptor to model several local beasts for a new dejarik board I\'ll be selling. She needs specimens, so I\'ve located some at these coordinates. Please dispatch everything in this lair, but try to leave the bodies intact.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '126', 'm32o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '127', 'm32s', 'Never mind. The holosculptor found adequate models on the HoloNet. Thanks anyway for your work, and I have deposited your fee.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '128', 'm32t', 'Improve the Game of Dejarik');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '129', 'm33d', 'Some offworld things escaped from the recent Livestock Exhibition, and they\'ve been terrorizing the countryside ever since. We\'ve collected some money and found the likeliest spot where they lair. Can you go in and take out the whole pack, quickly?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '130', 'm33o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '131', 'm33s', 'Did the creatures seem like offworld beasts to you? They may still be on the loose. Well, you did the job we asked for, so your money\'s been deposited.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '132', 'm33t', 'Hunt Offworld Beasts');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '133', 'm34d', 'You smell that? That stinking dust on the wind? It\'s egg seeds, spewed by the shadow barnacles that infest the buildings around here. The egg seeds in turn attract beasts from hither and yon. There\'s a new lair nearby. Please go and destroy it, okay?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '134', 'm34o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '135', 'm34s', 'That was some stink, eh? I\'d better find a fungicide or something. Everything go okay? Your money should be in your account. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '136', 'm34t', 'Stop Stinky Beasts');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '137', 'm35d', 'I\'m convinced I know the origin of the vicious pack animals now attacking children in this neighborhood. Some local Imperial bigwig imported them for his stupid menagerie, and they got loose! The police won\'t stop the beasts yet, because someone high up likes to make the Empire look bad. Can you destroy this menace?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '138', 'm35o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '139', 'm35s', 'What a relief! All the parents in this neighborhood thank you. You\'ve done us a great service and earned this reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '140', 'm35t', 'Stomp Rogue Zoo Animals');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_non_persistent_from_npc.stf', '141', 'number_of_entries', '35');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '1', 'm10d', 'In celebration of the founding of the first colony on Tatooine, you are invited to join in the ritual Arnthout Hunt. This event is named for the famous pioneer Melnea Arnthout who led the colonists to survive incredible obstacles and who founded the capital city of Bestine. For this event, we have chosen a new target to represent the early prey (which was wiped out long ago by the original settlers). Have fun and happy hunting!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '2', 'm10o', 'Bestine Historic Society');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '3', 'm10s', 'Congratulations on your successful hunt! The Bestine Historic Society is pleased to reward you for your tremendous efforts during this seasonal celebration!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '4', 'm10t', 'Arnthout Hunt');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '5', 'm11d', 'I hope you\'re tougher than the last \"adventurer\" I hired... If you\'re in need of a few credits and you don\'t mind a hike, I could use a hired hand. As you might know, Anchorhead\'s main attraction is the Tosche power station, which I manage. We provide power converters, vehicle repairs, and equipment recharging for all the local moisture farmers. We also supply energy to other Tatooine cities through dozens of sturdy underground cables. Lately, though, some pretty nasty creatures have been digging up the power cables, disrupting service to our wealthier customers. I can tell you that Prefect Talmont was less-than-happy when Bestine blacked out last week, right during his favorite holo-drama... So, I need you to kill the creatures that have been tearing up our power cables; you\'ll need to wipe out all of the beasts by destroying their lair if we ever want things to get back to normal around here. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '6', 'm11o', 'Fixer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '7', 'm11s', 'You came through for me, adventurer. I guess this means I have to pay you. The credits are in your account. Thanks for keeping me out of Prefect Talmont\'s cross-hairs.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '8', 'm11t', 'Anchorhead Defender');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '9', 'm12d', 'The Imperial Transportation Commission is pleased to announce the creation of a new transportation system utilizing a single repulsorlift rail for high-speed travel over treacherous terrain. Tatooine has been identified as a prime candidate for introduction of this new system. However, in order to facilitate the construction of this \"monorail\" system, the Imperial Transportation Commission must eliminate abundant wildlife in the area surrounding the proposed site. Please aid in this effort by proceeding to the identified lair, hive, nest, or den and destroying it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '10', 'm12o', 'Imperial Transportation Commission');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '11', 'm12s', 'The Imperial Transportation Commission has determined that Tatooine is now a prime candidate for introduction of our experimental repulorlift monorail transportation system. The lair, hive, nest, or den that temporarily delayed construction has been eliminated. You will receive a modest reward for your efforts to better life on one of the Emperor\'s worlds.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '12', 'm12t', 'Transportation Concern');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '13', 'm13d', 'Congratulations! The Mos Entha City Council, in compliance with Imperial decree, has selected you for a well-respected position as one of Tatooine\'s official contract exterminators. You now join a long line of brave and talented vermin control specialists! In order to perform your assigned task and fulfill your obligations to the Mos Entha City Council, please proceed to the identified lair and destroy it. Thank you in advance for your service! (In the event of death, the Mos Entha City Council will notify next of kin; funeral arrangements remain your responsibility). ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '14', 'm13o', 'Mon Entha City Council');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '15', 'm13s', 'The Mon Entha City Council has fulfilled our obligation to the Empire. Thank you for assisting in our efforts to eliminate dangerous, local creatures. Your payment is forthcoming.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '16', 'm13t', 'Contract Exterminator');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '17', 'm14d', 'Tatooine lives and dies by its water supply. And the water supply is provided by the hundreds of moisture vaporators spread across the desert. Recently, however, various creatures have taken to attacking these devices, perhaps in an attempt to steal the small amounts of moisture gathered by the vaporators. The Tatooine Moisture Farm Collective, in cooperation with the Bestine Chamber of Commerce, is offering rewards to anyone willing to help protect the moisture industry. This message contains information about a species known to have attacked moisture vaporators in the past. Proceed to the identified lair and eradicate these creatures in order to end the threat to our water supply.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '18', 'm14o', 'Tatooine Moisture Farm Collective');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '19', 'm14s', 'Our water supply is safe! Thank you for helping to protect the moisture vaporators on our desert world. In recognition of your heroic efforts, the Tatooine Moisture Farm Collective, in cooperation with the Bestine Chamber of Commerce, has transferred a sizable reward to your galactic account');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '20', 'm14t', 'Keep the Water Flowing');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '21', 'm15d', 'My father taught me everything I know about business. One of his favorite adages was \"good help is hard to find,\" and nowhere is that more true than on Tatooine. There just aren\'t enough skilled laborers out here. I\'ve researched my options: Agrirobots require constant maintenance, Jawas don\'t know a pika fruit from a rainbow berry, and all the local kids are just daydreamers who want to be starfighter pilots. Sure, I could hire seasonal workers, but can you really trust someone who just rolls around the Outer Rim looking for odd jobs?\n\nIn order to staff my underground hydroponic gardens, I\'ve been forced to recruit from agricultural planets. Each of my employees is hand-picked from well-known farming worlds like Bandomeer, Salliche, and Taanab. Convincing someone to just drop everything and move to a desert planet requires a lot of credits, but keeping them here is even more difficult. About half of my recruits leave after enduring their first sandstorm. And now, my farmers are reporting encounters with dangerous local wildlife. I\'ve already had several members of my staff flee the planet, and I can\'t afford to lose any more workers. So, I\'m hiring you to locate the creatures harassing my employees and wipe them out. My highly-trained farmers will be most grateful for any aid you can provide.\n\nYour Benefactor,\n\nHuff Darklighter');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '22', 'm15o', 'Huff Darklighter');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '23', 'm15s', 'Excellent work, my friend! I\'m certain that your efforts on behalf of my workers will solidify their loyalty and increase productivity at all my hydroponic farms. Your reward is a small price to pay to keep my business running smoothly.\n\nYour Grateful Host,\n\nHuff Darklighter ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '24', 'm15t', 'Farmers\' Champion');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '25', 'm16d', 'If you ask me, the Empire is out of control. Seems like every day they have a new set of laws and regulations for us Tatooine locals. The latest ordinance requires that we hire exterminators to help keep dangerous wildlife out of the city streets. None of us are happy about this new law, but I\'m not about to give the Empire a reason to build a garrison in my town. We don\'t want Wayfar to become another Bestine, do we? Jabba certainly doesn\'t, since half of Wayfar is on his payroll.\n\nBut I\'m sweating myself dry here trying to figure out how to handle this Imperial decree. Nobody in town is going to volunteer for this job, and I have my hands full just keeping the local cantina from becoming a morgue. So, you\'re my only option. One of my scouts has spotted a lair that needs to be destroyed. Take care of it for me and you\'ll be paid. Hey, it\'s better than cleaning up after banthas in Mos Eisley, right?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '26', 'm16o', 'Jurist Hassp, Wayfar Keeper of the Peace');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '27', 'm16s', 'Wayfar hasn\'t seen a mercenary like you in quite some time, my friend. You\'re tougher than most on this planet, and you know how to use your wits in combat. But be careful: Anyone who is too good at killing usually ends up in an Imperial prison or Jabba\'s rancor pit. If I were you, I\'d use my reward to take a nice long, relaxing trip.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '28', 'm16t', 'Wayfar Exterminator Wanted');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '29', 'm17d', 'The Mos Taike Coalition for Tatooine Recovery lauds the creation of Imperial Indigenous Control Policy #780901, which requires all of Tatooine\'s cities and major settlements to take responsibility for improving the quality of life on our homeworld! Specifically, this new decree demands that Tatooine\'s bravest citizens help quell a plague of terrible creature attacks by destroying the lairs of dangerous animals. To support this bold initiative, the Mos Taike Coalition for Tatooine Recovery is offering substantial rewards for the destruction of such lairs. Do your part! Help keep Tatooine safe and in the Empire\'s good graces! Kill these threatening creatures before they kill us!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '30', 'm17o', 'Mos Taike Coalition for Tatooine Recovery');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '31', 'm17s', 'Thank you for doing your part to help keep Tatooine clean! The planet has never been safer! Your heroic deeds have been rewarded, although we trust that the knowing you\'ve protected countless innocent lives is reward enough.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '32', 'm17t', 'Do Your Part!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '33', 'm18d', 'The Tatooine Civilian Defense League has detected yet another alarming rise in the number of dangerous creatures in the habitable areas of the planet. Such animals are making travel extremely unsafe between major cities. In accordance with Imperial Indigenous Control Policy #780901, the Tatooine Civilian Defense League is authorized to pay for the extermination of specified creatures through the destruction of their central lairs or hives. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '34', 'm18o', 'Tatooine Civilian Defense League');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '35', 'm18s', 'Your mission has been completed successfully! The Tatooine Civilian Defense League will transmit payment immediately. Thank you for your service.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '36', 'm18t', 'Additional Creature Culling');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '37', 'm19d', 'On behalf of the many moisture farmers struggling to survive in Tatooine\'s harsh desert, the Moisture Farm Collective is offering rewards for the destruction of dangerous local wildlife. Tatooine\'s moisture farmers endure savage heat, fierce sandstorms, and occasional Tusken Raider attacks. On top of these dangers, the farmers must contend with malfunctioning droids and temperamental moisture vaporators. But marauding creatures may be the most pervasive problem facing moisture farmers. Such animals need to be killed before more moisture farmers are injured, or worse.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '38', 'm19o', 'Tatooine Moisture Farm Collective ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '39', 'm19s', 'On behalf of many thankful moisture farmers, the Tatooine Moisture Farm Collective is overjoyed to recognize you recent successes in the field. Thank you for destroying the creatures that plague the local farmers. Payment for your services has been transferred to your account.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '40', 'm19t', 'Innocent Victims');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '41', 'm1d', 'My daughter won\'t even go outside, she\'s so scared of the creepy crawlies around here... I heard from my next-door neighbor that there\'s some sort of infestation or something. Now, I don\'t really expect the Imperials to actually DO anything about this -- I mean, look how they handle the riff-raff at the cantina, I\'ve never seen such incompetence in my life -- but you\'d think that when the mental well-being of an innocent little girl is at stake, they\'d at least pull out their blasters. Anyway, I decided to take matters into my own hands and offer up a reward, using my own PERSONAL funds. It\'s really for the children.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '42', 'm1o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '43', 'm1s', 'Thank you for making the area safe for our children. My daughter is already playing outside again. I\'ve never seen her happier.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '44', 'm1t', 'Protect the Children');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '45', 'm20d', 'My family has lived on the edge of the Dune Sea for generations, and I can tell you that the creatures around here are getting bigger and meaner every year. I think they\'ve lost their sense of fear, too. They keep coming closer and closer to my farm. One night soon, they\'re going to attack me and my children.\n\nI\'m not very brave, but I\'m hoping that you are. Brave enough to go kill some dangerous creatures, anyway.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '46', 'm20o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '47', 'm20s', 'I was beginning to worry that my family would never be safe, but it seems that you turned those creatures into bantha fodder. Great work. Moisture farmers don\'t have much, but you can\'t put a price tag on your family\'s safety, so I sold my father\'s rifle and used the credits to pay your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '48', 'm20t', 'Help Me...');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '49', 'm21d', 'The Death Seed plague is a horrific disease that is lethal to all known species. The disease is spread by insects called drochs, which are capable of infesting organic material. Since the last Death Seed outbreak seven centuries ago, the droch have been confined to Nam Chorios. However, recent research conducted by the Imperial Department for Epidemic Prevention suggests that many local vermin species on Tatooine may be carrying droch eggs. Should these eggs mature and hatch, the Death Seed Plague could again sweep the galaxy. In order to avoid a staggering loss of sentient life, the Department for Epidemic Prevention is providing fair compensation for the elimination of Tatooine creatures believed to be carrying droch eggs. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '50', 'm21o', 'Imperial Department for Epidemic Prevention ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '51', 'm21s', 'Recent reports have confirmed the presence of droch eggs on the identified Tatooine creatures. However, your successful mission to eliminate these creatures has greatly reduced the number of creatures carrying these eggs, thereby significantly reducing the likelihood of an outbreak of the dreaded Death Seed plague. The Galaxy is in your debt.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '52', 'm21t', 'Tatooine Death Seed Deterrence');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '53', 'm22d', 'Jabba the Hutt has decided to offer up \"rewards\" for killing supposedly dangerous creatures on Tatooine, and Lady Valarian will not be outdone by that slime-encrusted, chuba-eating worm. Instead, I too will pay for proof that local lairs have been destroyed. If only to keep Jabba from taking all the credit for \"cleaning up\" Tatooine himself... Don\'t disappoint me. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '54', 'm22o', 'Lady Valarian');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '55', 'm22s', 'Nice work, \"hero.\" I hear Jabba\'s furious because my own hired guns are killing more dangerous creatures than his slobbering, moronic \"adventurers.\" That dumb, ugly worm is eventually going to learn that I\'m not to be crossed...  If you don\'t mind dirty credits, there\'s a well-deserved reward waiting in your account.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '56', 'm22t', 'Creature Bounty');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '57', 'm23d', 'My daughter has been missing for a week. Her mother still holds out hope, but to be honest, I think we\'ve lost her. A couple of hunting parties have gone out, and we found some of her clothing, shredded and bloodstained. At night there are eerie cries carried on the wind--I know how the weather and desert sands can distort sounds around here, so I am not saying that anything supernatural is going on, believe me. But there\'s no doubt in my mind that there\'s something dangerous out there, and it\'s had its taste of blood. If it\'s not stopped, it\'s bound to kill again. I\'m getting on in years, but in my day I would have hunted down the beast and killed it myself. My question is this: is there anyone out there willing to do the same, in memory of my lost little girl?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '58', 'm23o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '59', 'm23s', 'Thank you for helping to soothe my wife\'s grief. Although nothing will replace our daughter, we can take some comfort in the fact that those dangerous creatures will never kill again. My little girl is one with the Force, but she will always be smiling on you, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '60', 'm23t', 'Father seeks help!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '61', 'm24d', 'Scientific Galactica, the galaxy\'s leading scientific journal, maintains a staff of over three hundred researchers and writers in order to supply our readership with the most thorough coverage possible. While most of our employees are trained in self-defense and survival, we\'ve recently suffered several disappointing field losses, most notably on the desert world of Tatooine. In order to prevent future deaths, we are searching for contractors willing to eliminate dangerous creatures on Tatooine, where we are currently conducting extensive field research. Information regarding our most recent mission offering is enclosed; proceed to the identified live or lair to help keep our researchers safe. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '62', 'm24o', 'Scientific Galactica');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '63', 'm24s', 'Congratulations! The next issue of Scientific Galactica will feature a detailed account of the eating habits of the reclusive worrt. Our esteemed writers and researchers could not have completed this first-hand observational piece without your aid; by eliminating dangerous creatures near our research site, you allowed our staff to operate in relative safety. A freelancer\'s fee has been transferred to your account.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '64', 'm24t', 'Tatooine Scientific Defense');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '65', 'm25d', 'URGENT!\n\nWe have uncovered a new strain of Brainworm Rot Type B...Scans indicate the disease is being incubated in the lairs of various unclean creatures...Disease certain to mutate into Type A variety soon...Wol Cabbashite population threatened with extinction...Please assist by eliminating lair where disease has been detected...\n\nABOUT BRAINWORM ROT TYPES A and B\n(From the Imperial Department for Epidemic Prevention)\n\nBrainworm Rot Type A is an airborne virus that afflicts humanoids and cephalopoids with high levels of dialogen in their bloodstream. It resides in the lungs of oxygen-breathers, and is passed by inhalation. Symptoms include: Nausea, cold sweats, inability to process written instructions, syntax errors in spoken and written communication, and isolated purpling of gills and blowholes. Brainworm Rot Type A is fatal if untreated and has proven especially lethal among Wol Cabbashites.\n\nBrainworm Rot Type B is a less evolved form of Type A. It thrives in cesspools, sewers, waste management facilities, trash compactors, damp caves, and virtually any area with unhygienic conditions. Although Type B is not life-threatening to most species, the disease has been known to rapidly mutate into the much more dangerous Brainworm Rot Type A if left unchecked.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '66', 'm25l', 'The deadly Brainworm Rot Type B is sweeping through lesser lifeforms. Those carrying the disease must be destroyed before it can spread to sentient beings.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '67', 'm25o', 'Wol Cabbashite Ambassador Lurll');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '68', 'm25s', 'NON-URGENT\n\nAgent has eliminated new strain of Brainworm Rot Type B...Disease has been destroyed...Mutation into Brainworm Rot Type B now impossible...Wol Cabbashite population safe...Credits have been allocated to Agent as payment for protecting our species.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '69', 'm25t', 'Tatooine Brainworm Rot Crisis');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '70', 'm26d', 'The Galactic Pest Authority is responsible for monitoring reports of vermin, pests, and nuisance creatures throughout the galaxy. We have conclusive evidence of a dangerous rise in the number of particularly violent vermin on Tatooine. In accordance with Galactic Pest Authority\'s mission statement, we are authorizing extermination of these deadly creatures. This transmission includes information about a specific vermin lair on Tatooine; please destroy this lair to cleanse the planet.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '71', 'm26o', 'Galactic Pest Authority');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '72', 'm26s', 'Tatooine\'s dangerous vermin have been eliminated! You have admirably upheld the Galactic Pest Authority\'s mission statement by helping to destroy these nuisance creatures.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '73', 'm26t', 'Tatooine Dangerous Vermin Control');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '74', 'm27d', 'The rabid creature is one of the most insidious threats facing Tatooine travelers. Such animals may appear harmless, but they are prone to unpredictable acts of violence. When these creatures descend into madness, they will kill anyone and anything they encounter. Therefore, the Galactic Pest Authority is authorizing you to eliminate those creatures susceptible to this type of behavior. Seek out and destroy the indicated lair to protect your fellow galactic citizens from this terrible danger.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '75', 'm27o', 'Galactic Pest Authority');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '76', 'm27s', 'The populations of those Tatooine creatures most susceptible to becoming rabid killers have been suitably decreased. You have admirably upheld the Galactic Pest Authority\'s mission statement, and we thank you for your efforts on our behalf. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '77', 'm27t', 'Tatooine Rabid Creature Control');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '78', 'm28d', 'That little Moff, Prefect Talmont, thinks I\'m his errand boy. He\'s ordered me to take my troops out into the desert and wipe out a few creature lairs. Well, I don\'t care if he\'s the Emperor\'s favorite Prefect. I\'m not about to waste my time chasing down whatever vermin he hates this week. I\'d rather use my weekly stipend to hire you to go kill the creatures for me. Get to work; I don\'t want to hear from Talmont again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '79', 'm28o', 'Lieutenant Harburik');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '80', 'm28s', 'Good work. Maybe now Prefect Talmont will leave me alone, at least for a day or two. If he doesn\'t, I swear I\'m going to arrange for him to have a little accident the next time he meddles in my business. As for our business, the credits are in your account.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '81', 'm28t', 'Mos Eisley Mercenary');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '82', 'm29d', 'Would-be adventurer,\n\nI am in a quandary. As Jabba the Hutt\'s chief accountant, I am surrounded by thieving, murderous scum. Granted, I count many of them as friends, but I do not trust them. To protect my credits (and some of Jabba\'s wealth as well), I\'ve \"relocated\" funds to key locations throughout the desert. Unfortunately, one of my newly-buried safeboxes has been compromised. A foul-smelling creature has built its lair near my treasure trove, preventing me from retrieving my funds. I certainly can\'t hire any of my \"friends\" to go destroy this lair, so you are my only option. I encourage you to destroy the lair quickly and efficiently. You will be richly rewarded. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '83', 'm29o', 'Tessek');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '84', 'm29s', 'Most respected adventurer,\n\nMy quandary has been resolved. You have efficiently eliminated the vermin lair blocking access to my private funds. I can now visit the site as necessary to recover my much-needed credits. In order to pay you, however, I have \"borrowed\" credits from Jabba the Hutt\'s own personal account. I trust you will keep our business arrangement confidential. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '85', 'm29t', 'Buried Treasure');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '86', 'm2d', 'My little boy was dragged away by these vermin, and they nibbled on him! Granted, he came back and all it took was some salve to heal those nasty bites, but I\'m afraid they\'ll do something much worse next time... ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '87', 'm2o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '88', 'm2s', 'Those creatures that bit my son didn\'t stand a chance! I knew that I hired the right adventurer! Thank you for protecting my child. I don\'t have much to offer as a reward, but I\'ll sing your praises every chance I get!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '89', 'm2t', 'Boy Attacked');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '90', 'm30d', 'There are just some species you can\'t trust. Like Jawas and Hutts. Or Shi\'ido. Scurvy little shape-shifters, they can look like a Bith one moment and then take the form of an Ithorian the next. How can you trust a being that changes his skin every time you turn around?\n\nI made the mistake of hiring a Shi\'ido recently. I thought he was a Gran, and I was in need of a doorman who could keep three eyes on my crowd. Anyway, this alleged Gran robbed me blind and hid out in the desert. My sources tell me he\'s changed into some sort of vermin. I didn\'t think the Shi\'ido could do that, but my informants are rarely wrong. We think we know where he\'s holed up, but since we can\'t tell him apart from the rest of the pack, you\'ll just have to kill the whole lot.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '91', 'm30o', 'Lady Valarian');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '92', 'm30s', 'The Shi\'ido thief is dead, along with all the vermin protecting him. Let this send a message to all those who would cross Lady Valarian: I will go to any lengths to kill my enemies! And I pay my loyal followers well, as you\'ll soon discover.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '93', 'm30t', 'Shi\'ido Hunter');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '94', 'm31d', 'Jun Seros here. Friend to spacers and adventurers from all across the galaxy. I\'ve never met one of your kind that I didn\'t like, and I think all those who have done a job or two for me will tell you that I\'m loose with my tongue and my credits. Well, why don\'t you find out for yourself.\n\nI own a diner in Mos Eisley. My speciality is a mystery stew. Basically a bowl full of meat and a glass of blue milk will run you a credit, or a story of adventure if I\'m in the mood to listen. But here\'s my trade secret: my stew\'s a womp rat dish. I finally found a use for the vermin. Lately, though, it\'s been tough to find womp rats at my usual hunting grounds. I\'m thinking something bigger and nastier is eating them before I can get to \'em first. I think I\'ve identified the creatures responsible. I want you to go take care of their lair. Once the creatures are dead, I\'ll be able to capture another batch of womp rats and start serving my special stew again.   ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '95', 'm31o', 'Jun Seros');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '96', 'm31s', 'Jun Seros here again. Just wanted to thank you personally. That lair was about to put my meat stew on the backburner. Now, you\'ve given me one more reason to like your kind. I\'ve slipped a few credits into your account. Next time your in a cantina, raise a drink to doing business with your old friend, Jun Seros.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '97', 'm31t', 'Mystery Meat');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '98', 'm32d', 'Jun Seros here, my friend. I\'ve hired virtually every adventurer and spacer who has passed through Tatooine. Working for me is almost a rite of passage for your kind. And you\'re in luck: I have a job for you. My diner is known for providing hearty meals to tired travelers. I\'ve tried womp rat stew, eopie briskets, and even bantha steaks. There are a few more creatures that I want to throw in my pot. I\'ve spotted a lair full of creatures that might be perfect for a meal. Head out there, kill any of the creatures that you find, and destroy their lair. Once you\'re done, I\'ll get around to collecting the corpses. Hopefully before the sun or sand-flies get to \'em. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '99', 'm32o', 'Jun Seros');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '100', 'm32s', 'Jun Seros here. You did a great job, kid. Not many adventurers could have killed those creatures with such flair. You made it look easy. And spending the credits you\'ve just earned should be easy, too.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '101', 'm32t', 'Desert Slaughter');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '102', 'm33d', 'Tatooine\'s sand-flies pose a threat to public health. The small insects spread disease and harass eopies and other Tatooine herd creatures. Sand-flies proliferate in all areas of Tatooine, but are especially prevalent in and around the lairs of certain creatures. In order to reduce the sand-fly population, these lairs should be destroyed. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '103', 'm33o', 'Galactic Pest Authority');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '104', 'm33s', 'Tatooine\'s sand-fly population has been greatly reduced by the destruction of a lair in the area. As the agent responsible for this, you have received payment for your work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '105', 'm33t', 'Sand-Fly Epidemic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '106', 'm34d', 'Eopies are a fundamental part of life on Tatooine. They serve as our pack animals, carrying water skins and supplies across the desert. The sturdy animals can even pull several times their own weight, making them perfect for dragging broken down landspeeders to Anchorhead for repair. And, while it might be difficult to believe, eopies can even serve as watch animals. If a Tusken Raider or hungry dune lizard gets too close, the eopies start mewling, giving us time to pull out our rifles. \n\nBut for all their strengths, eopies are basically defenseless against most of Tatooine\'s predators. Even a pack of womp rats can bring down an eopie. And krayt dragons can consume entire herds. So, in the interest of protecting the eopies, I\'m hiring mercenaries to destroy the lairs of any creatures that might kill these peaceful herd animals. This transmission identifies one of these lairs; go destroy it and I\'ll make sure you\'re richly rewarded.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '107', 'm34o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '108', 'm34s', 'As I told you before, the eopies are an important part of our life out here in the desert. You\'ve done your part to protect them, and for that, I thank you. The reward I promised you has already been transferred to your account.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '109', 'm34t', 'Eopie Defender');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '110', 'm35d', 'Various creatures are overpopulating on Tatooine. If this continues, they will breed out of control, endangering sentient creatures on the planet. We\'ve identified a lair that, when destroyed, will help reduce this overpopulation problem.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '111', 'm35o', 'Tatooine Wildlife Watchgroup');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '112', 'm35s', 'You\'ve succeeded in your current assignment. Payment for the destruction of a problem lair has been transferred to your account.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '113', 'm35t', 'Wildlife Overpopulation');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '114', 'm36d', 'So, there\'s this guy around Mos Espa who calls himself Mat Rags. He\'s some kind of hunter. Claims he once bagged a rancor on Dathomir. Even wears a krayt dragon claw around his neck, like that makes him look tough. I think he\'s been living here since the Battle of Naboo, you know. And he\'s still talking about all the creatures he\'s killed. Now, he goes out and picks off desert dwellers just to prove that he can, even though he\'s older than that crazy hermit, Old Ben (whatever happened to him, anyway?). I\'m so sick of listening to him brag that I\'d pay anything to have someone go out into the desert and destroy whatever lairs he\'s been camping around. I found one of them and want you to take care of it before I go insane. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '115', 'm36o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '116', 'm36s', 'Great work! Mat Rags came back into town, complaining about the lack of good hunting in the area. I think he\'s considering a move to Mos Eisley, where \"they grow their womp rats man-sized.\" Good. Let them listen to his constant chatter... As for you and me, I hope the credits I just transferred to your account make us even.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '117', 'm36t', 'Tatooine\'s Finest Hunter');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '118', 'm37d', 'I\'m on a mission to map all of Tatooine. I can tell you, it\'s been more difficult than I thought. If the sandstorms aren\'t making it impossible to see to the horizon, then it\'s the Tusken Raiders chasing me out of my camp. Now, there\'s a group of bloodthirsty creatures in my path. I\'d be very grateful if you could knock out their lair so I can get back to mapping the planet.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '119', 'm37o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '120', 'm37s', 'By the twin suns, you\'ve done it. I\'ll have the area mapped before Second Dawn. Thank you for your help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '121', 'm37t', 'Mapmaker\'s Plea');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '122', 'm38d', 'Someday, the Podraces are going to come back to Tatooine, and I\'ll be able to pull my modified Moxxnor-7 out of the garage. But, before that can happen, we need to clear the desert of obstacles. I\'ve seen too many creature lairs out in the sands. If a Podracer hit one of those at full-speed, the pilot would be vaporized. Get out there and help the Podraces make a comeback!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '123', 'm38o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '124', 'm38s', 'The Boonta Eve Classic is going to return to Tatooine any season... Now that the desert is short one more lair, maybe Jabba will realize that he should start up the races again. If he does, you should take the credits I just paid you and bet on me and my Moxxnor-7. I promise you a huge return.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '125', 'm38t', 'Podracer Promoter');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '126', 'm39d', 'Eh, you look like an Outlander to me, but I hear good things about you. Maybe you can help me. And then again, maybe you\'ll get killed in the desert. It makes no difference to me. But if you can destroy some pests that have damaged some of my goods, there might be a few credits in it for you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '127', 'm39o', 'Watto');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '128', 'm39s', 'Hey, waddaya know? You destroyed that lair. You might be smarter than you look, Outlander. There are a few credits in your account. It\'s too much for such a simple task, but anyone on Tatooiine will tell you that Watto always pays his debts. Unfortunately.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '129', 'm39t', 'Work for Watto');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '130', 'm3d', 'I\'m intending to build a new mining facility at the coordinates attached. Because of the local wildlife, I\'m unable to lay the foundation. Expert extermination staff sought to take care of the problem.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '131', 'm3o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '132', 'm3s', 'Thank you for eliminating the vermin at the site of my next mining venture. The installation should be up and running in a matter of days. I entertained the notion of naming the facility after you, but I already owe Imperial Prefect Talmont a few favors and he wants his name attached to everything these days. Anyway, I\'m sure that payment for the mission\'s success is reward enough.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '133', 'm3t', 'Tatooine Contractor\'s Killing Crew ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '134', 'm40d', 'Landspeeder accidents are up 8% this season, largely due to the presence of non-sentient animals alongside central travel routes. These creatures periodically dart in front of oncoming vehicles, causing operators to lose control and crash. The Bestine Transportation Safety Commission, in conjunction with Imperial Prefect Talmont, is hiring contract exterminators to help keep our landspeeder lanes safe. Please report to the identified lair and eliminate it in order to help with this endeavor. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '135', 'm40o', 'Bestine Transportation Safety Commission');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '136', 'm40s', 'The Bestine Transportation Safety Commission and Imperial Prefect Talmont have been notified of your successful attempts to improve landspeeder safety on Tatooine. We are pleased to inform you that, in light of your recent success, we will be forwarding the appropriate payment to your account. Thank you and have a safe day.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '137', 'm40t', 'Vehicular Vermin ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '138', 'm41d', 'Hello. Please excuse the quality of this message. We don\'t have much use for datapads out here. Not even sure if I know how to send this transmission... But, if you\'re reading this, then I suppose I did something right. Let me get to the point. We all have work to do.\n\nEvery season, the sandstorms kick up. They usually chase at least a few dozen animals onto my land. I\'m taking precautions this year. I spotted some creatures near my farm. No doubt they\'ll be heading for my garage once the sandstorms start. Unless you destroy them first. I have some credits buried under a vaporator. I\'ll pay you to take care of this for me. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '139', 'm41o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '140', 'm41s', 'Hello again. I wish to thank you for wiping out the creatures near my homestead. I\'ve dug up my credits and will transfer them to your account soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '141', 'm41t', 'Sandstorm Migrations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '142', 'm42d', 'The Galactic Pest Authority has documented a significant increase in reported encounters with recognized predators on Tatooine. To protect public safety, destroy the identified lair. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '143', 'm42o', 'Galactic Pest Authority');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '144', 'm42s', 'We\'ve recently collected data that suggests a dramatic decrese in the number of recognized predators on Tatooine. We at the Galactic Pest Authority attribute that sudden decline to your efforts. Your activities on behalf of the good citizens of Tatooine will be handsomely rewarded.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '145', 'm42t', 'Tatooine Pest Control');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '146', 'm43d', 'The Galactic Pest Authority is disappointed to report a sharp rise in the number of problem animals reported on Tatooine. These so-called \"nuisance creatures\" damage moisture vaporators, steal delicate pallies and other foodstuffs, and harass honet moisture farmers. For the good of all, the lair of these recognized nuisance creatures must be eliminated.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '147', 'm43o', 'Galactic Pest Authority');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '148', 'm43s', 'The Galactic Pest Authority has collected substantial data suggesting a dramatic decrese in the number of reported nuisance creatures on Tatooine. The organization attributes this sudden decline to your efforts. Your activities on behalf of the good citizens of Tatooine will be handsomely rewarded.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '149', 'm43t', 'Nuisance Creature Control');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '150', 'm44d', 'The Galactic Pest Authority is paying operatives to conduct routine creature culling on Tatooine. This is a common practice on a number of worlds, used to control the spread of problem creatures. A \"problem creature\" might be defined as predatory, disease-bearing, invasive, or prone to violence. To aid in this specific creature culling, destroy the identified Tatooine lair.  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '151', 'm44o', 'Galactic Pest Authority');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '152', 'm44s', 'The Galactic Pest Authority is pleased to report that this season\'s culling expedition to the desert planet of Tatooine has been a monumental success. All agents assigned to this incredible endeavor will receive payment directly.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '153', 'm44t', 'Tatooine Creature Culling');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '154', 'm45d', 'The Tatooine Reclamation Society is a coalition that includes Bestine, Mos Espa, and several other major cities on Tatooine that have joined forces with generous Imperial authorities to improve life on our desert planet. As part of the Tatooine Reclamation Project, the Tatooine Reclamation Society is trying to make passage through the desert as safe as possible by eliminating any creatures that might pose a threat to travelers. The Tatooine Reclamation Society is broadcasting the coordinates of lairs belonging to these beasts. We sincerely hope that loyal Tatooine citizens will take it upon themselves to aid the Reclamation Project by destroying these creatures and their lairs. A suitable reward will be offered to anyone who aids in this effort.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '155', 'm45o', 'Tatooine Reclamation Society');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '156', 'm45s', 'The Tatooine Reclamation Society is pleased to report that a number of dangerous creatures have been eliminated, making desert passage safe for weary travelers. Those citizens directly responsible for the destruction of these lairs have been rewarded and deserve the thanks of the entire planet! ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '157', 'm45t', 'Public Safety Project');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '158', 'm4d', 'It\'s a little known fact that microscopic brown worms from the Zocolidae family are found on many worlds throughout the Galaxy, with a remarkable concentration located on Tatooine. It is believed that the brown worms may in fact be responsible for crucial ecological processes that help remove toxic chemicals from the soil, rendering worlds habitable. As it happens, an ongoing study on Tatooine has focused on the local population of Zocolidae, specifically the minor variant G. Zocolidae Amedus, with the goal of seeking commercial application for their unique biochemistry. Unfortunately, the invasive presence of local Tatooine fauna is disrupting the collection of these rare and potentially extremely valuable worms. Therefore, my backers would like to offer a reward for the removal of local fauna.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '159', 'm4o', 'Vinda\'a BioChemical Laboratories');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '160', 'm4s', 'Vinda\'a BioChemical Laboratories is extremely pleased with your efforts to protect the microscopic G. Zocolidae Amedus! Tatooine\'s Zocolidae population is flourishing as a result of your endeavors. Soon, Vinda\'s BioChemical Laboratories will be announcing a number of exciting new applications for the organism. These discoveries will revolutionize agriculture and terraforming ventures throughout the galaxy. \n\nMy backers have authorized the immediate transfer of payment to your galactic account. I hope you enjoy spending it.  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '161', 'm4t', 'Save Tatooine\'s G. Zocolidae Amedus!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '162', 'm5d', 'So I was wandering around the desert, right? And I saw this... thing. It was ugly, so I followed it, thinking that I\'d find out what it was. But then I spotted a whole bunch of them... You wouldn\'t believe how many... And they chased me away. I think someone should kill them, but it ain\'t going to be me!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '163', 'm5o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '164', 'm5s', 'All my friends told me that anyone who would go after those ugly creatures had to be crazy, desperate, or stupid. I think you\'re just very, very brave. I still can\'t believe you had the guts to take on those animals, whatever they were... I\'ve been saving to buy some air brakes for my custom-built Podracer, but I think you deserve every credit in my account. Thanks again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '165', 'm5t', 'Tatooine Ugly Creature Killing');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '166', 'm6d', 'Only about one in a million creatures carry the Jundland Pox, but my research indicates that number may start increasing. I\'ve located an area that seems to have a higher than usual concentration of the disease. We need to narrow the area\'s local animal population before the disease spreads and starts affecting other creatures.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '167', 'm6o', 'Bestine Hospital Medical Chief');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '168', 'm6s', 'You should realize that you just saved half of Tatooine. My most recent studies clearly show that the Jundland Pox was about to become an epidemic. You eliminated the pox-ridden creatures before that could happen. Most of Tatooine\'s citizens will never know how close they came to death, but I\'ll also remember that you saved the planet.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '169', 'm6t', 'Jundland Pox Control');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '170', 'm7d', 'I\'ve lived in the desert my whole life. Ever since I was a child, I heard stories about \"Old Yellow Scale,\" a krayt dragon who had supposedly lived forever. I had never seen him, though, until a few weeks ago. The monster was huge. But old, and sickly. I watched in horror as he stumbled past me, and then collapsed and died. I still have one of his fangs. But, with Old Yellow Scale dead, we\'ve traded one huge threat for hundreds of smaller ones. You see, here\'s the thing: Old Yellow Scale ate a lot of the smaller wildlife around this area. He kept them from breeding out of control. And now, that\'s just what happening. I\'d rather spend my life trying to avoid a single krayt than dodging hundreds of wild animals. So, I\'ve located a few creature lairs that need to be eliminated posthaste. Do me the favor of wiping one out.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '171', 'm7o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '172', 'm7s', 'Well, things are finally getting back to normal around here. Even without Old Yellow Scale. I was sure that we\'d be buried under vermin, but the destruction of several lairs has kept them in check. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '173', 'm7t', 'Old Yellow Scale\'s Legacy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '174', 'm8d', 'My little pet was murdered! Those filthy beasts just came in and killed my poor pet, my favorite pet, my beloved little Kowakian monkey-lizard! For no reason! Please, wipe them out! I\'ll pay for you to avenge my poor little companion!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '175', 'm8o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '176', 'm8s', 'Thank you for helping my beloved Kowakian monkey-lizard find peace. You\'ve avenged his death. You deserve to be paid, in his memory.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '177', 'm8t', 'Pet Eaten');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '178', 'm9d', 'Another official hunting sub-season has begun! Credits are offered for confirmed destruction of lairs on Tatooine. Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '179', 'm9o', 'Galactic Game and Wildlife Commission');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '180', 'm9s', 'Your hunting expedition was extremely successful! Congratulations! The Galactic Game and Wildlife Commission is pleased to award you with well-deserved credits.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '181', 'm9t', 'Tatooine Hunting Season Opens');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_creature_tatooine.stf', '182', 'number_of_entries', '45');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '1', 'm1d', 'The Empire\'s efforts to stamp out the Rebellion has unfortunately created some additional problems for law enforcement. We have more refugees to deal with, many of which are recruited by local swoop gangs or glitterstim dealers. Naturally this means we have to deal with more violent crimes and we\'re already rather understaffed. This is where you come in, citizen. We have plenty of work for enterprising agents who want to lend a hand to keep peace and order in our communities. We\'ve kept tabs on the activities of these gangs and know where most of them hang out. One by one we need to clean those places out. Most of them are condemned buildings anyway. Think you can help us out, citizen? We\'ll pay you for your successful efforts, of course. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '2', 'm1o', 'Imperial Office of Criminal Investigations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '3', 'm1s', 'Good work, citizen. One by one, we\'ll get all these wretched hives of scum and villainy. Have a drink on us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '4', 'm1t', 'Clean up the streets');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '5', 'm2d', 'My son has fallen in with a very bad crowd. He was arrested last month on suspicion of murder but the case was dropped for lack of evidence. I know my son didn\'t kill anyone but I know who did. Those thugs he hangs out with are thieves, murderers, and worse. They don\'t deserve to share the same space as decent citizens. I\'ve arranged for my son to spend a few weeks with his aunt in the country. The air will be good for him. What I need is for someone to blast that gang\'s hideout to pieces while my son is gone. That will drive those animals away and teach them never to come back and bother us again. I\'ve put up a generous reward for the citizen or citizens that can accomplish this important task. Can you help me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '6', 'm2o', 'A Desperate Mother');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '7', 'm2s', 'I just discovered that my son ran away from his aunt\'s and is likely staying at the gang\'s hideout. Did you destroy it? Did you kill everyone there? Oh no! My dear son! Oh no!!! ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '8', 'm2t', 'Help save a wayward son');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '9', 'm3d', 'Our agents have uncovered a major glitterstim dealer\'s lair. These criminals supply a majority of the spice for many of this system\'s major cities. We need to put this scum out of business and we need your help to do it. The dealer has done well so they\'ve hired some muscle to protect their precious goods. A quick, stealthy strike, however, ought to get the job done. Don\'t worry about blasting anyone that gets in your way - most of these guys are wanted murderers. If the settlement is left a smoking ruin, we\'ll be mighty pleased. We always reward results too. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '10', 'm3o', 'Imperial Office of Criminal Investigations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '11', 'm3s', 'Nothing quite as sweet as the smell of burning spice in the morning, eh? Good job, citizen. Keep up the good work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '12', 'm3t', 'Destroy spice dealer\'s stash');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '13', 'm4d', 'A series of savage beatings, three of which resulted in fatalities, have taken place over the last six weeks in our community. It seems that a new gang has moved into the neighborhood and they\'re announcing their presence. Any citizen who stares at these thugs for too long risks a brutal beating and possible death. The local authorities already have their hands full assisting the Empire in tracking down Rebels; they simply do not have enough men to patrol the streets. We are therefore taking matters into our own hands. We\'re offering a reward to any citizen who has the courage to march into that gang\'s hangout and blast those murderers to atoms. We must make it clear to these scum that we will not tolerate this sort of behavior in our streets. Are you a courageous citizen? Let us know and we\'ll transmit the coordinates to the gang\'s hangout to you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '14', 'm4o', 'Citizens for a Clean Tomorrow');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '15', 'm4s', 'It\'s citizens like you that will insure our futures are free of crime and social predators. Hurrah, citizen! You can be our champion any day.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '16', 'm4t', 'Smash the gang');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '17', 'm5d', 'Some slavers are not content to stick to the Imperial list of approved species. Indeed, these slavers feel they must enslave humans, and that\'s something we can\'t tolerate. Through the help of Imperial Intelligence, we\'ve located the lair of a group of slavers that have been dealing exclusively in humans. We need a small strike team to assault this base and blast it into rubble. Humans shall not be enslaved while the Empire governs the galaxy. Can you help the Empire put a stop to this despicable practice? The reward will be well worth it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '18', 'm5o', 'Imperial Office of Criminal Investigations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '19', 'm5s', 'Handled like a true professional. You should consider working for us again in the near future. Enjoy your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '20', 'm5t', 'Stop the slavers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '21', 'm6d', 'A group of dangerous criminals is using an old halfway house in our area as a hideout and refuge from authorities. They use the halfway house\'s former reputation, a place where reformed criminals were reintroduced into society, to mask their current illegal activities, including spice dealing and extortion. We want this place wiped out and those murderers run off or brought to justice. We can\'t ignore their activities any longer. We\'ll pay a reward to anyone willing to undertake and complete this task. Are you the citizen we\'re looking for?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '22', 'm6o', 'Citizens for a Clean Tomorrow');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '23', 'm6s', 'We\'re glad to see you share our enthusiasm to create safe neighborhoods for our children. You deserve this reward, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '24', 'm6t', 'Clean out the halfway house');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '25', 'm7d', 'Someone has been supplying the local gangs with homemade explosives, which they\'ve gladly used in recent attacks. We knew it had to be someone in the area and launched an investigation. Finally, after weeks of work, we\'ve discovered where these grenades are being constructed. A weapons lab is being run by a particularly vicious gang of killers. Many of them served in planetary security forces in the past but lost their jobs when the Empire began cleaning out these corrupt organizations. We need to take this lab out of commission, especially if it\'s attracting disgruntled weapons specialists from around the galaxy. We require a small strike team of agents to go in there and blow that structure sky-high. But best be on your toes as those criminals have had some pretty advanced combat training. Can you help us out? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '26', 'm7o', 'Imperial Office of Criminal Investigations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '27', 'm7s', 'Now that\'s what we call \"blowing a structure sky-high.\" Nicely done, citizen. Take your reward and remember that there\'s plenty more where that came from.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '28', 'm7t', 'Blow up the explosives lab');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '29', 'm8d', 'A swoop gang has been terrorizing several communities. Their recent \"fun\" consists of zooming past shops or settlements and sniping citizens through windows or portals. The body count so far is nine dead and six others wounded. I want these animals stopped. Problem is, this gang is very mobile and have some insight into the movements of local law enforcement because they disappear before any raids or arrests can be made. Fortunately, I have contacts in the smuggling world (a long story that I won\'t go into) and these gangsters have been buying shipments of glitterstim from someone I know (suffice it to say the old pirate owed me a favor). So now I have the coordinates to this swoop gang\'s hideout. If I involve the authorities, these murderers disappear. So that\'s where you come in. I\'ll pay a handsome reward to any being (or beings) that will rid these besieged communities of these animals. My past hasn\'t exactly been what you would call \"upstanding\" but I\'m not gonna stand by and watch innocent folks get slaughtered. Not when I can do something about it. What about you?  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '30', 'm8o', 'A Reformed Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '31', 'm8s', 'You\'re alright, buddy. Good to see that someone cares enough about other people to lend a hand. All the better that the hand is being paid for those efforts, eh? Being\'s gotta make a living somehow.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '32', 'm8t', 'Stop the swoop gang');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '33', 'm9d', 'Deathsticks in a decent community!  Is nowhere safe from the corruption of this vile drug?  Recently I learned from respectable sources that a so-called \"esteemed businessman\" is secretly fronting a distribution center for this contemptible substance.  The villain\'s business dealings span many star systems and so the local authorities have been reluctant to interfere.  But he underestimates the determination of upright Imperial citizens!  Who among us is bold enough to find this den of evil and stamp out this blight on galactic decency?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '34', 'm9o', 'An Upstanding Citizen');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '35', 'm9s', 'You actually survived?  Um, excellent work!  Here, take this small token of gratitude for your act of decency.  And please don\'t tell anyone who hired you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '36', 'm9t', 'Stamp out a deathstick dealer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '37', 'm10d', 'As an esteemed businessman whose dealings span many star systems, I am in a state of outrage at the no-good meddling of a certain \"upstanding citizen.\"  This rotten muck-leech has hired local muscle to interfere with my honest and legitimate trading operations.  He has blown up my establishments and accused me of certain unlawful actions for which he has no proof that I know of.  He has asked for protection money but a businessman like myself would rather spend the credits to put the squeeze on an enemy.  So I am offering a reward to any toughs or sharpshooters who can take out the office of this low-down nerf-herder and his gang of slugs.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '38', 'm10o', 'An Esteemed Businessman');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '39', 'm10s', 'Say, you\'re pretty good at this racket.  You earned these creds.  I hear the \"upright citizen\" got away, but I\'ll blink you when he turns up again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '40', 'm10t', 'Break up an extortion gang');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '41', 'm11d', 'Killers for hire in the heart of a decent community!  Once again we are plagued by an underhanded villain in the guise of an \"esteemed businessman.\"  This time he has hired a vicious pack of brutal thugs to terrorize upstanding citizens.  Why, these laser-armed ruffians blew apart my very own office!  But upright folk such as ourselves need not involve Imperial authorities to enforce moral discipline.  I have obtained the coordinates of the lair where these despicable savages charge their blasters and sharpen their knives.  Who shall fire the first shot in the name of galactic decency?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '42', 'm11o', 'An Upstanding Citizen');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '43', 'm11s', 'You\'re still alive?  Well done!  Now decent folk like myself can once again conduct our operations in peace.  Take this reward and please, don\'t tell anyone who hired you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '44', 'm11t', 'Purge a lair of professional thugs');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '45', 'm12d', 'As an esteemed businessman whose dealings span many star systems, I am shocked and in much distress over the low-down, rotten activities that a certain \"upstanding citizen\" has perpetrated while pretending that he is not a dirty, lawbreaking creep.  Not only has he stuck his proboscis into my own, completely lawful import business, but now I have learned that he is running a spice racket on the side.  I\'ve had enough of that slime-grub and his two-faced meddling.  For any toughs or sharpshooters who have the guts, I have the coordinates of a depot where he stores his goods for shipping.  The Imperial authorities will be happy to see it burn to the ground.  I\'ll even throw in a reward for anyone who does the job.  Sometimes a hard-working businessman like myself must play rough with creeps who stand in the way of honest and respectable trading.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '46', 'm12o', 'An Esteemed Businessman');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '47', 'm12s', 'You\'re pretty handy in a fight.  Take the reward and keep your eyes open.  I might have more jobs for you in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '48', 'm12t', 'Take out a spice depot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '49', 'm13d', 'Excuse me.  Normally I would not broadcast a message on this frequency, as I am only a protocol droid, but my present circumstances are most intolerable.  Since my master was taken away by the Empire for questionable political statements, I have been forced to deal with a collection of dubious characters who have taken up residence in the condensing station.  Condensed Threll gas is highly combustible, so I believe it is best to have these individuals removed from the premises.  I have a stipend of credits from which I can pay a reward.  Please contact me if you are able to help.  Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '50', 'm13o', 'L-3PO');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '51', 'm13s', 'Oh, dear!  You destroyed the entire condensing station!  Please, just take these credits and go while I determine how I shall break the bad news to my poor, imprisoned master.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '52', 'm13t', 'Remove intruders from a condensing station');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '53', 'm14d', 'Recent intelligence points to one conclusion: Roughnecks from the frontier have begun to view this sector as a source of salvaged parts for their asteroid loaders.  Unfortunately, some of them have established a sabotage ring to provide a continuous supply of free salvage.  As the resources of the Empire are occupied with Rebels and other political offenders, we have decided to contract outside agents to deal with this new criminal enterprise.  Interested agents are encouraged to contact us for known locations of salvage drops.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '54', 'm14o', 'Imperial Office of Criminal Investigations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '55', 'm14s', 'The Empire thanks you for contributing to the wellbeing of the community.  Enjoy your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '56', 'm14t', 'Strike against a sabotage ring');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '57', 'm15d', 'It\'s not podracing, but who doesn\'t enjoy testing his landspeeder on the local drag lanes?  In my career I have collected an assortment of vintage speeders to pit against my fellow repulsorlift enthusiasts.  The problem is, lately the speeder races have been taken over by a gang of shady offworlders.  I have proof that they are foiling their opponents\' turbine filters, which accounts for their undefeated record.  Unfortunately these skettos are so well armed that no one is willing to confront them.  But enough is enough.  I\'m down to my last lasercharged X-34.  I\'m willing to pay anyone who can blast up their hangout and make them understand that cheating is unacceptable in this old and honorable sport.  Contact me for the coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '58', 'm15o', 'A Speeder Enthusiast');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '59', 'm15s', 'Wonderful job!  Now I can rebuild my landspeeder collection without fear.  Take this reward and please, come out to the drag lanes sometime.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '60', 'm15t', 'Punish a den of landspeeder sharks');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '61', 'm16d', 'As if droid scrap fighting were not seedy enough!  Now the sponsors of these disreputable contests have begun to steal shipments of droids to squander in their oily pits of destruction.  If these criminals disrupt my business any further, I am in danger of losing my Imperial contract.  Therefore I am offering a substantial reward to anyone who has the fortitude and the means to wipe out one of these loathesome scrap fighting arenas.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '62', 'm16o', 'Yizz the Droid Merchant');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '63', 'm16s', 'Excellent!  I don\'t suppose in the mayhem you happened to spare any of my stolen droids?  No?  Well, I had to ask.  Here\'s the reward, as promised. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '64', 'm16t', 'Destroy a pit of droid thieves');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '65', 'm17d', 'Do you think Sith Lords are made overnight? No, my young apprentice, they require years of careful grooming and training in the Dark Side. Yes, I\'m sure you\'ve guessed who I am by now. I am the Emperor! And I require you, my young apprentice, to obliterate some annoying servants for me. They have disturbed me once too often during my clandestine visits to my various systems. I find their pitiful attempts to match the glory of the Dark Side beneath contempt. You will crush them, my young apprentice. Show them the power of the Dark Side. Rewards will be yours and perhaps one day you may rise to the level of a Sith Lord yourself. I will tell you how to find these loathsome servants after you accept. And I know you will. Hahahahaha!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '66', 'm17o', 'The Emperor (Honest)');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '67', 'm17s', 'You have done well, my young apprentice. Soon the galaxy shall see the rise of a new Sith Lord. But only if you continue to serve me faithfully.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '68', 'm17t', 'Help a deranged citizen');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '69', 'm18d', 'Sometimes planetary governments overstep their authority, which can cause headaches for Imperial law enforcement.  Case in point: The king of Malgwen IV has mistakenly issued pardons to a notorious band of pirates who once terrorized the Aparo Sector.  While the Imperial Navy has sent a Star Destroyer to instruct the king in the particulars of galactic law, we must also explain to these pirates that their pardons are incorrect on a few minor points.  For this purpose we are contracting an enforcement team to blast their den into a smoking heap of bodies and microscopic rubble.  Perhaps in the future such mistakes in legal protocol will occur less frequently.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '70', 'm18o', 'Imperial Office of Criminal Investigations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '71', 'm18s', 'You have a knack for the precise workings of galactic law.  Perhaps you should consider applying to the Imperial Bar.  Your services would be most welcome.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '72', 'm18t', 'Instruct a band of pirates in Imperial protocol');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '73', 'm19d', 'Some women would be ashamed to admit that they married the wrong man, but I\'m not one to lie to myself.  Karst Bono charmed his way right into my family inheritance.  Then he took everything he could grab and returned to his wretched hive of pirate friends.  Never trust a gentleman pirate.  I will not deny that I made a mistake, but I am prepared to clean up the mess I made.  All I need are a few skilled hands to visit my delinquent husband and his thieving friends.  The remedy to my problem is simple.  Raze the pirates\' den to the ground and laser the pack of scoundrels into dust.  Extermination is the simplest form of divorce.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '74', 'm19o', 'An Impending Widow');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '75', 'm19s', 'Thank you.  That was better than alimony.  Here\'s your payment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '76', 'm19t', 'Raze a pirates\' den');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '77', 'm20d', 'I always instruct my freight pilots to cooperate with pirates, because freebooting need not entail bloodshed.  However, one of my ships has just been robbed of something more valuable than mere cargo.  The databanks of a stolen computer included some private business records which need to remain discreet.  My insurance company may not approve of any correlation between my losses to pirates and my contacts with same.  Therefore, much as I am loathe the interfere with the entrepeneurial spirit, I need to hire some agents to infiltrate a certain landing bay and ensure that the stolen computer is destroyed.  Just to be safe, while said agents are on the premises, they should level the place and make sure that none of the pirates escape.  I would not require such severe measures if I did not have the utmost respect for this ancient profession.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '78', 'm20o', 'A Respectful Merchant');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '79', 'm20s', 'Such a shame.  Those poor pirates were only trying to make their way in the universe.  Perhaps you should consider filling the void they left behind.  Think of this payment as seed money and let me know what you decide.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '80', 'm20t', 'Destroy a stolen computer and the pirates who took it');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '81', 'm21d', 'A wedding is a beautiful thing, don\'t you agree?  My eldest son is engaged to a harem of twelve Ithorian sisters.  They will not make the most graceful of wives, but they do bring a respectable dowry.  Unfortunately a squadron of pirate fighters has been threatening the local star lanes.  I am concerned that the dowry may be stolen.  The wedding would then be cancelled, which would break my poor son\'s heart.  Please, can you help a loving father by blasting all trace of these pirate scum from surface of the planet?  Do it for the cause of love, and you shall receive a hefty pile of credits for your trouble.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '82', 'm21o', 'A Loving Father');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '83', 'm21s', 'Truly yours was an act of love.  Here are the promised credits to defray the cost of thermal detonators and blaster fuel.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '84', 'm21t', 'Protect a wedding by eliminating pirates');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '85', 'm22d', 'Vile pirates in our very own sector!  These despicable cutthroats have raided one of our volunteer freight ships and stolen a precious cargo of Kowakian monkey-lizards headed for orphans on Gamorr.  In response we have sold enough home-baked Horquad cakes to hire a team of assassins to lay waste to these loathsome murderers.  We have the coordinates to their secret den.  Leave no wall standing!  We must fight back in the name of goodness and virtue.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '86', 'm22o', 'Toydarian Women\'s League');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '87', 'm22s', 'Those poor orphans will never get their monkey-lizards, but at least they can lay down their little heads at night knowing that the villains who robbed them died a horrible, fiery death.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '88', 'm22t', 'Pirates have stolen pets from orphans!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '89', 'm23d', 'There is a Gamorrean warrior standing beside me.  He seems to want me to broadcast a request for him.  By his grunts and pointing, I\'m pretty sure that he wants someone to destroy a pirate cantina not far from here.  At least I think that\'s what he wants.  He gave me a bunch of credits, which I suppose are intended to be payment.  Anyway, I\'ll transmit the coordinates of the cantina to anyone who\'s interested.  Please respond quickly and make sure all the pirates are killed.  This Gamorrean has a very large axe in his hand.  I\'m afraid he\'s going to hurt me if I don\'t get this right.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '90', 'm23o', 'A Cooperative Citizen');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '91', 'm23s', 'Oh boy.  Now that you\'ve destroyed the pirate cantina, I\'m not so sure that\'s what the Gamorrean wanted.  He sees the smoke and is getting upset.  I don\'t suppose you could give me back those credits?  Please?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '92', 'm23t', 'A request on behalf of a Gamorrean warrior');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '93', 'm24d', 'Ion cannons are the ideal weapon for space pirates.  The Empire is very careful to restrict the movement of artillery-class ion guns, yet inevitably some of them fall into the wrong hands.  Fortunately less experienced pirates fail to disable the tracking circuits, allowing us to locate and disable the cannons.  The preferred method for such action is a swift ground strike, killing everyone and utterly razing the pirate installation.  We routinely hire civilian contractors for these tasks.  Interested parties may contact us for the appropriate coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '94', 'm24o', 'Imperial Office of Criminal Investigations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '95', 'm24s', 'The Empire appreciates a reliable contractor.  Here is your payment.  Please contact us again for more assignments.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '96', 'm24t', 'Destroy a pirate\'s ion cannon');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '97', 'm25d', 'This is going to sound strange, but hear me out.  A band of pirates has set up shop in my district with a peculiar method of operation.  They force ships to land using a small ion cannon, and then employ a stolen AT-AT walker to subdue the survivors and spirit away the cargo.  My problem isn\'t that the pirates are active.  Rather their possession of an AT-AT is extremely dangerous to me.  The Empire audits all of my records.  If I send my own security forces to deal with this situation, the reports will wind up in the hands of the military and my planet may become one of the Empire\'s famous \"examples to others.\"  So I need to delegate this assignment to an outside force.  Payment will reflect an assumption of discretion.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '98', 'm25o', 'Local Prefect C-912');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '99', 'm25s', 'My men have confirmed that there\'s no trace of the AT-AT on the site.  You may have saved the entire planet.  Good work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '100', 'm25t', 'Eliminate an unusual pirate gang');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '101', 'm26d', 'There\'s a code, you know, among the brotherhood of pirates.  At the top of the list is this: There\'s folks you steal from and there\'s folks you buy from.  The two don\'t mix.  My particular profession, for instance, is historically exempt from piracy.  But a certain newcomer seems to lack historical perspective.  Not long ago he took from me a shipment of Dressellian smoke-rum and has failed to settle the account.  Another customer has provided me with the coordinates of his private villa.  I need a group of toughs to trash the place and explain to him the consequences of flouting tradition.  If he and his crew do not live long enough to apply this lesson, my heart shall not be broken.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '102', 'm26o', 'An Irate Wine and Spirits Merchant');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '103', 'm26s', 'It\'s a shame that simple ignorance has led to this tragic loss.  That was a particularly nice batch of smoke-rum.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '104', 'm26t', 'Explain polite behavior to a pirate captain');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '105', 'm27d', 'With so many of our resources handling political offenses, sometimes the Imperial Office of Criminal Investigations must hire contractors to deal with ordinary crimes such as piracy. For instance, we have the coordinates of a small habitation which is suspected to harbor a dangerous crew of notorious pirates.  We need a team of civilians to reconnoiter the area and destroy all buildings and collateral assets they find.  Of course \"collateral assets\" include pirates, suspected pirate sympathizers and those associated with suspected pirate sympathizers.  Efficient execution of these instructions will result in a favorable ranking on our official list of contractors.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '106', 'm27o', 'Imperial Office of Criminal Investigations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '107', 'm27s', 'You are an efficient contractor and loyal Imperial citizen.  We have noted this in our records.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '108', 'm27t', 'Routine elimination of pirates and suspected pirate sympathizers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '109', 'm28d', 'Unbelievable.  These days anyone thinks they can become a pirate.  A large collection of jizz musicians has bought themselves a stash of weapons and decided to call themselves hardened criminals.  It\'s not even worth a real pirate\'s time to teach them a lesson.  So on behalf of parties who shall go unnamed, I am hiring some muscle to show these jizz-wailers what real trouble looks like.  Go to their den at these coordinates and show them no mercy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '110', 'm28o', 'A Helpful Accomplice');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '111', 'm28s', 'Alas, the jizz community shall mourn the loss of these clowns.  The rest of us raise our glasses to a job well done.  Enjoy the reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '112', 'm28t', 'Whack some wannabe pirates');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '113', 'm29d', 'Pirates have always interfered with our freighters, but lately a particular captain has become a singular nuisance.  In this sector he is known as the Black Scourge.  An absurd rumor claims that he is a simple MSE-6 mouse droid, but of course that\'s ridiculous.  Could a mouse droid make a shambles of all our trade with the Empire?  Could it steal a shipment of tractor beams from under our noses while tricking two squadrons of TIE escorts into attacking each other?  Whoever this devil really is, we now have the coordinates of the secret hangar from which he and his seasoned accomplices plot their next deadly assault.  We require the services of a battle-hardened team to storm this lethal den and eliminate the dangerous murderers within.  Our business with the Empire depends upon success.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '114', 'm29o', 'The Rodian Industrial Consortium');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '115', 'm29s', 'Well done!  Our investigators confirm that the only \"survivor\" was a worn-looking mouse droid, which we left behind in the rubble.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '116', 'm29t', 'Eliminate the Black Scourge');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '117', 'm30d', 'We have pinpointed the coordinates of a ground-based tractor beam used by area pirates.  For a percentage the owners use the beam to trap merchant ships so that space pirates can board them.  We need a civilian strike team to take out the weapon.  The site is heavily guarded, so be prepared for a fight.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '118', 'm30o', 'Imperial Office of Criminal Investigations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '119', 'm30s', 'Now the merchants who fly through local space have one less worry.  Well done.  Here is your payment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '120', 'm30t', 'Take out a pirate tractor beam');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '121', 'm31d', 'Our informants have assured us that quite a number of wanted pirates frequent an obscure little cantina at these coordinates.  Enterprising freelancers are encouraged to remove this blight from the planet.  A substantial reward is available.  These are hardened criminals and will be well-armed.  The cantina is billed as a \"private club,\" so don\'t expect a warm welcome.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '122', 'm31o', 'Imperial Office of Criminal Investigations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '123', 'm31s', 'Here is your reward.  The star lanes are safer thanks to your good work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '124', 'm31t', 'Erase a shady cantina from the community');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '125', 'm32d', 'Even pirates have to eat.  We have the coordinates of a secret depot where these space outlaws buy contraband food supplies without notifying the authorities that they have landed.  We need some experienced freelancers to blast the site to smoke and rubble.  There are usually one or two armed pirate crews in the area, so destroying this depot entails some danger.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '126', 'm32o', 'Imperial Office of Criminal Investigations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '127', 'm32s', 'Excellent.  Those space scum need to understand that their cutthroat ways are not welcome in this system.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '128', 'm32t', 'Destroy an outlaw supply depot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '129', 'm33d', 'An enterprising pirate captain recently stole a cargo of Imperial probe droids.  With a little reprogramming these droids have become his scouts in the area, monitoring the local spaceports and alerting him when a rich freighter takes off.  Our own probots have tracked his droids to a well-fortified terminal off the beaten path.  We would like to contract some freelancers to stage an assault on the terminal and blast it into oblivion.  Survivors are not encouraged.  Contact us for the coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '130', 'm33o', 'Imperial Office of Criminal Investigations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '131', 'm33s', 'Good work.  Without his fleet of probe droids, that pirate will have to track down his quarry the old-fashioned way.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '132', 'm33t', 'Blast a pirate droid terminal to oblivion');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '133', 'm34d', 'A good captain likes to challenge his crew every now and then.  I\'ve got some brutes in my employ whose mettle needs testing.  To do this I need some handy marksmen to launch a surprise assault on the barracks where they\'re currently lodging.  Show them no mercy.  Only the toughest freelancers need apply, and I\'ll pay handsomely if you do the job well.  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '134', 'm34o', 'A Good Captain');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '135', 'm34s', 'Hm.  I expected at least a few of my crew to survive.  Well, I guess they weren\'t up to the rigors of the job.  Here\'s your payment.  I don\'t suppose you\'re looking for work?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '136', 'm34t', 'Attack a barracks');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '137', 'm35d', 'Spice smuggling and gunrunning has risen dramatically in this sector. With the help of Imperial Intelligence, we\'ve managed to locate the hideout of a notorious band of smugglers. We don\'t want to bother the Imperial Military with this matter so we thought we\'d take care of it locally. There are plenty of loyal and able-bodied citizens willing to help the local law enforcement authorities, after all. This mission will be perilous and therefore we\'re offering a compensatory reward. However, a thorough job must be done. The base must be wiped out. Can you lend a hand, citizen?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '138', 'm35o', 'Imperial Office of Criminal Investigations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '139', 'm35s', 'Mission accomplished, citizen. We knew we could rely on the brave citizens of the Empire to help keep their systems free of crime. The reward is yours.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '140', 'm35t', 'Help local law enforcement');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '141', 'm36d', 'As with any sort of vermin, once you clean out the nest, the infestation will disappear. So it is with smugglers, citizen. We know of a local warehouse being used to store all sorts of contraband, from illegal weapons to glitterstim spice. We need a team of law-abiding citizens to clean this \"nest\" out. We\'re certain that the smugglers will stop coming around here when they see what ordinary citizens are willing to do to their ill-gotten goods. Do you think you could help us out with this, citizen?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '142', 'm36o', 'Imperial Office of Criminal Investigations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '143', 'm36s', 'That was a thorough job, citizen. I doubt those vermin will be coming around here anymore. Collect your well-earned credits.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '144', 'm36t', 'Wipe out smuggler den');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '145', 'm37d', 'Catching smugglers can be like trying to catch flies with your hand, citizen - you have to be fast and alert if you want to succeed. We\'ve certainly been alert, and now we need someone to be fast for us. We\'ve tracked down a smuggler\'s outpost used to store contraband and harbor criminals. We don\'t have the manpower necessary to strike this den of thieves, but we can certainly try to entice enterprising citizens into doing it for us. There\'s a juicy reward in it for you if you succeed. Come on, citizen, the Empire could really use your help. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '146', 'm37o', 'Imperial Office of Criminal Investigations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '147', 'm37s', 'Seems like you were fast enough to catch those particular flies, eh, citizen? Good job. You\'ll make a fine law enforcement agent yet.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '148', 'm37t', 'Remove smugglers\' outpost');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '149', 'm38d', 'There are smugglers and there are smugglers, if you know what I mean. Some of these second-rate flyboys don\'t merit our full attention but neither can we afford to completely ignore them. If they\'re contracted for a job, even a small job, and hydrospanner it to pieces then you\'ve got to pay the penalty. Our organization is offering a reward to anyone who can settle some of these small matters for us. We have the coordinates to various hideouts used by these smugglers and need someone to make sure they don\'t offer their incompetent services to anyone again. Blast their hideouts to pieces. Blast them to pieces too if they\'re there. Collect from us when you\'re done. See? That\'s how all business should be conducted. Simple and easy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '150', 'm38o', 'Black Sun');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '151', 'm38s', 'Handled like a true professional. Very good. Collect your reward and move on to the next one.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '152', 'm38t', 'Take out some amateurs');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '153', 'm39d', 'Smugglers certainly prosper in times of civil crisis. The Rebellion is unfortunately creating many job opportunities for these lowlifes and is in fact attracting more unemployed pilots to the trade. Our job is to wipe them out as fast as we can find them, but we can\'t do it alone. We\'ll gladly offer a reward to anyone that cares to lend a helping blaster. We have the coordinates to their bases of operation and need them cleaned out. We don\'t really care how you do it as long as the bases are left in a shambles. Can you help the Empire with this work, citizen?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '154', 'm39o', 'Imperial Office of Criminal Investigations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '155', 'm39s', 'Fairly effective, citizen. We think you may have found a new line of work. Plenty of it these days too. Enjoy your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '156', 'm39t', 'Help local law enforcement');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '157', 'm40d', 'I don\'t know who\'s been telling these space slugs that smuggling is glamorous or easy work. Seems like everyone is trying to get in on the action. Just creates more work for us, of course. We\'ve been authorized to employ independent agents to help with the workload. You enjoy blasting things? Like doing it with the weight of the law behind you? Well here\'s your chance, citizen. We\'ll provide you with the coordinates to a known smuggler\'s base and your trigger-happy self can have a grand old time. Blast away! When the job\'s done we\'ll throw in some credits for your trouble. Not a bad job, eh?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '158', 'm40o', 'Imperial Office of Criminal Investigations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '159', 'm40s', 'Well it sure looks like you can use that blaster instead of just wearing it. Good for you! Here\'s the credits we promised. Blast more, get more.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '160', 'm40t', 'Hunt smugglers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '161', 'm41d', 'We have some legitimate complaints concerning some local smugglers. We don\'t really want to involve the authorities - you know how messy that can get. Instead we\'d like to try and handle this matter in a more discreet manner. We\'ll offer a substantial reward to anyone that cares to pay these smugglers a visit and show them the effectiveness of the working end of a blaster. No names are necessary. We\'ll provide you the coordinates and insure that payment is made into your account when the job is complete. How about it? You think you could handle some extra cash?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '162', 'm41o', 'A Simple Businessman');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '163', 'm41s', 'Well done. Your account will be credited. Do look us up in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '164', 'm41t', 'Help a businessman');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '165', 'm42d', 'I was warned not to go with the cheapest rate when it came to smuggling, but did I listen? Now I\'m in this position of having to pay someone to take care of the problem caused by going with the bargain smuggler. Those are two words that should never go together, huh? \"Bargain\" and \"smuggling.\" The deal is the usual one, of course. I pay a reward for having someone take this cheap swindler and their base out and you are the someone that either accepts or declines the offer. If you accept, the coordinates to this slug\'s base will be transmitted to you. If you decline, our business is concluded. So which will it be?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '166', 'm42o', 'A Tired Businessman');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '167', 'm42s', 'Good work, good job, and all that. Your reward will be sent to your account. I\'m sure you\'re thrilled.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '168', 'm42t', 'Take out the bargain smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '169', 'm43d', 'Oh, I hope I\'m doing this right. Okay, here goes... \n\nHello. I\'m looking for someone brave and enterprising. Oh, and good-looking wouldn\'t hurt either. Although it\'s not really necessary for this mission. I just prefer good-looking people. Well groomed, at the very least. Anyway, I need someone with the aforementioned qualities to find a very bad person for me. Find them and teach them a good lesson. You can even burn their base to the ground. I prefer that, actually. This scoundrel cheated my family out of a lot of money. Made my father sick, as a matter of fact. My poor father, he\'d just die if he knew I was doing this. But it has to be done. I rely on the discretion of whomever accepts this assignment. And if you do accept, I\'ll tell you where to find this nerf-herder. I hope you accept. Oh, and you don\'t really have to be good-looking or well groomed. I was just being silly. Okay, thanks. Talk to you soon. I hope.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '170', 'm43o', 'An Indignant Woman');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '171', 'm43s', 'Wonderful! I knew you could do it! I\'m so happy. My family thanks you. Good job! Oh, I need to pay you now, huh? Okay, I\'ll do that. My hero.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '172', 'm43t', 'Avenge a wronged family');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '173', 'm44d', 'Let\'s get down to business. I give you the location of some former business associates, you burn their hangout to the ground and make sure no one lives to tell the tale, and I pay you lots of credits for your trouble. Only serious professionals need apply. You in?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '174', 'm44o', 'An Impatient Businessman');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '175', 'm44s', 'Did the job, collect the credits, see you around.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '176', 'm44t', 'Conclude a small business deal');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '177', 'm45d', 'The Rebellion might have been crushed by now if not for the activities of these smugglers. They\'re a thorn in the side of the Empire and must be stamped out. The Imperial Military has their hands full trying to track dangerous terrorists down so we must rely on the loyalty and patriotism of Imperial citizens to help wipe out this smuggler menace. Our contacts with Imperial Intelligence have fortunately allowed us to acquire the locations of several smuggler bases. A substantial reward awaits the successful destruction of these bases. Can the Empire count on your help, citizen?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '178', 'm45o', 'COMPNOR');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '179', 'm45s', 'A successful strike against the smugglers is a blow against the Rebellion, citizen. Bravo. The reward is yours.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '180', 'm45t', 'Be a good Imperial citizen');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '181', 'm46d', 'Smugglers? No sir, don\'t like \'em. In fact, I don\'t like \'em enough to offer a reward to anyone brave enough to wield a blaster against those space slugs. My contacts in the Imperial Transport Authority has given me access to the locations of some suspected smuggler lairs. The Empire\'s too busy playing war with those Rebels to really do anything about these bases and we\'re terribly understaffed (and underpaid, I might add). So why am I doing this? Well truth be told, I lost my wife to one of these scoundrels. Now I want some payback, ya hear? So, you in or out?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '182', 'm46o', 'An Angry Civil Servant');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '183', 'm46s', 'That\'s showing \'em. I bet those smugglers didn\'t know what hit \'em. Way to go. The reward\'s yours.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '184', 'm46t', 'Correct an injustice');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '185', 'm47d', 'We\'re tired of smugglers posing as legitimate transport captains and taking away our business. So many clients have started relying on organized transport guilds rather than on freelance pilots because they think every independent pilot is actually a smuggler and they don\'t want to risk having their shipments seized. Well we\'ve followed some of these smugglers and have located several of their bases. We\'re not soldiers, though, so we need someone to go into these bases and blow them to atoms. We\'ve pooled together a decent amount of credits to serve as a reward. Do you think you have the stomach and the wherewithal to pull off a mission like this?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '186', 'm47o', 'Independent Transport Pilots');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '187', 'm47s', 'Good job, citizen. You ever consider doing this professionally? You\'d make a pretty decent crime fighter. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '188', 'm47t', 'Help independent transport pilots');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '189', 'm48d', 'I used to be a Police Prefect on Tatooine. That is until I lost my job due to the activities of several traitorous smugglers. We had a system. It was all worked out. But some people have to buck that system. They\'re not happy with the status quo. Well if my career is ruined then so will those smugglers\' careers. I\'m offering a generous reward to anyone who will obliterate those smugglers\' bases and make sure they never trouble another prefect again. If you accept, I\'ll transmit the coordinates to you. You\'d better go in shooting first and asking questions later. If you even get to the questions part, that is.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '190', 'm48o', 'A Disgraced Former Prefect');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '191', 'm48s', 'Now those are results you can take to your superiors. Good work! Keep at it. There\'s plenty more where this reward came from.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '192', 'm48t', 'Destroy smuggler bases');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '193', 'm49d', 'I was a legitimate businessman, obeying all the Imperial laws and ordinances and working hard to raise a family. Until the day a smuggler, posing as an independent transport pilot, came into my life and ruined everything I had worked so hard to get. I lost my business, my family, and my self-respect. Well I intend to get that last bit back. I\'m offering a reward, everything I have left, to anyone who can make sure this smuggler doesn\'t ruin any other honest, hard-working businessmen. I know where that damn smuggler hides, you see. They think they\'re safe but we\'ll soon show them how wrong they are. Can you help a man regain his self-respect, citizen?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '194', 'm49o', 'A Desperate Man');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '195', 'm49s', 'Well struck, citizen! Haha! Take that, you dirty, rotten smuggler! Take the reward, citizen, you\'ve earned it. My self-respect is restored thanks to you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '196', 'm49t', 'Help the disgraced businessman');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '197', 'm50d', 'I knew you would look at this offer, citizen. You know why? Because I\'m the Emperor! Yes, that\'s right. And now you are my willing minion. What do I require of you, you ask? Well it seems that some of my minions are not as obedient as you. They have decided it would be amusing to betray their Emperor. Now they will pay the price for their lack of vision. And you, my young apprentice, will be the instrument of their demise. Hahahahaha! You will receive my generous gratitude in addition to some form of lucre. Who knows, if you perform up to my standards, I may call you to Imperial Center and appoint you as one of my advisors. I know that would please you. Will you take your place at my side?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '198', 'm50o', 'The Emperor (Honest)');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '199', 'm50s', 'Excellent! Everything is proceeding exactly as I have foreseen it. You will rise quickly in my estimation, young apprentice. Keep it up.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '200', 'm50t', 'Help a deranged citizen');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc.stf', '201', 'number_of_entries', '50');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '1', 'm1d', 'You, friend, you will be my absolute best buddy if you take care of this one little thing. I make, you know, intoxicants? Not exactly the totally legal kind? And it\'s been good, it\'s been good, but this kind of business attracts all kinds of the wrong people. And they\'ve been sort of, well, leaning on me, asking for a cut of my profits or they\'ll inform the Empire. It\'s such a hassle. It\'s not my style to lean back, but hey, I have to get these guys off my balance sheet. Or get somebody else to do it. Understand me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '2', 'm1o', 'Corellian Eager to be Your Friend');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '3', 'm1s', 'That is truly good news, friend. I tell you, you are my truest buddy in the world right now. I\'m sure we\'ll be in touch again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '4', 'm1t', 'Get These People Off My Back');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '5', 'm2d', 'One evening I was doing my usual business in downtown Coronet, and I approached a tall woman standing at a bar. I don\'t know what happened to me then, but when she looked at me, I suddenly didn\'t want to sell her death-sticks any more. I wanted to go home and rethink my life. Since then I\'ve been thinking a lot. I\'ve decided I have to stop the sleazebags who pump this poison into our society! I was just the seller, the pusher, but these guys do the actual manufacturing. I know their factory, and I\'ll pay you to wipe it off the face of Corellia!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '6', 'm2o', 'Corellian Rethinking His Life');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '7', 'm2s', 'That\'s really great news. Somehow I think that woman I talked to in the sports bar would be happy. Here\'s your money. Now I have to go rethink my life some more.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '8', 'm2t', 'Wipe Out Corellian Death-Stick Factory');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '9', 'm3d', 'I\'m a producer in Children\'s Programming. The star of our \"Darth Spooky\'s Sinister Dark Side Theater\" afternoon show has been dealing with a longtime glitterstim problem. He says his old suppliers are coming around, trying to tempt him back onto the stuff. We\'d all rather keep this out of the newsfeeds, so rather than go to the police, we\'re seeking a private solution to the criminal problem. If you\'re discreet and can handle a fortified gang installation, contact me for coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '10', 'm3o', 'Corellian Public Broadcasting Executive');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '11', 'm3s', 'What a relief. It\'s hard enough keeping Darth Spooky\'s hood down over his eyes when he\'s shaking with withdrawal. We\'ll keep him on track now. Here\'s your fee.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '12', 'm3t', 'Rescue Glitterstim Addict');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '13', 'm4d', 'I run Corellia\'s leading landspeeder repossession company. Recently yet another gang of goons rammed our main building. This gang used modified Ubrikkian Talon I combat cloud cars -- a nice model, by the way, very good on the resale market. As always, the gangsters rampaged through our offices, shooting people and shouting, \"Repo slimes are lying scum!\" (which, by the way, is an unfair characterization of our work). Now, I understand that passions can run high when a customer\'s vehicle is repossessed, but hiring a gang to enact petty revenge is always out of line. (I also wonder, by the way, how such customers find money to hire a gang when they couldn\'t make their speeder payments!) But I\'ve found that it\'s good practice to eliminate these gangs so they can\'t do this again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '14', 'm4o', 'CEO of Corellian Vehicle Reclamation');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '15', 'm4s', 'You\'ve done a great, great job. And I don\'t say that to just everyone, by the way. Now I have to track down the customer who hired this latest batch of goons.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '16', 'm4t', 'Stop Rampages Through My Office');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '17', 'm5d', 'I run Corellia\'s leading landspeeder repossession company. Now and again I deal with people who, shall we say, don\'t emphasize bureaucratic recordkeeping. If they don\'t happen to fill out tax reports or check the stolen-vehicle registers, that\'s not my business. Recently, as often happens, a certain group of these people took issue with the quality and provenance of the vehicles I sold them, and have made forceful threats against my offices. I have always taken a hard line against troublemakers. I commission self-starting, go-getting representatives to go to these people\'s bases and teach them a hard lesson in honest dealings. Are you up to this assignment?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '18', 'm5o', 'CEO of Corellian Vehicle Reclamation');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '19', 'm5s', 'You\'ve done a great, great job. And I don\'t say that to just everyone, by the way. Gotta get back to work, thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '20', 'm5t', 'Threats Against Repossession Company');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '21', 'm6d', 'Our business is selling fireworks, although the market has been so tough that nobody\'s bought fireworks for, oh, ten or fifteen years. So we buy and sell certain other things, and do a decent business. Recently we delivered certain valuable non-firework commodities in a remote area, and the recipients neglected to pay us. Very firmly neglected, we might add, as evidenced by the charred remains of our collection agents. We fireworkers disapprove of this. We\'re giving our entire fireworks production budget, which we no longer use, to the first individual who can teach these recipients a lesson in honesty. Very firmly teach them, we might add.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '22', 'm6o', 'Corellian Fireworks Transport');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '23', 'm6s', 'A fine job. We could use more people like you in the fireworks business.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '24', 'm6t', 'Help Fireworks Dealer Educate Customer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '25', 'm7d', 'Bop Thrombo the Shaky Droid pulls in a small local audience of a few hundred million viewers, but he\'s been trying to break into the galactic big time. To endear himself to a powerful agent, Bop did some embarrassing things he\'d rather not describe. Too late, he found the \"agent\" was a fake, and incriminating holo recordings fell into the hands, or tentacles, of blackmailers. Bop got steamed, and -- what a spunky droid! -- went after them in their lair. Unfortunately they blew him to bits; we got it all on his built-in surveillance cam. Great footage, but now we really need to recover Bop\'s brain. To do that, we need someone to clear out the gangsters first. Are you willing?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '26', 'm7o', 'Corellian Sector Newsfeed');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '27', 'm7s', 'Great! We\'ll send out a news crew to re-house Bop Thrombo\'s brain and get his personal account of his crimefighting exploit. Clear out before we get there, please.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '28', 'm7t', 'Rescue Brave Bop Thrombo\'s Brain');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '29', 'm8d', 'You haven\'t had real gangster trouble until you\'ve met gangsters in the blasted, brain-draining, spirit-deadening Agrilat Swamp of Corellia. That place is a pit. I know the tourists like the crystalline undergrowth, but that\'s because they don\'t have to pull the shards out of their boots when they\'re running for their life from slavers. I got out. I\'m never going back. But now that I\'ve made some credits buying and selling certain Imperial \"involuntary surplus goods,\" I\'m hiring someone with a good sidearm to mete out some revenge. I don\'t know exactly where those creeps are based now, but if you head into the Agrilat Swamp, be sure you\'ve got good boots.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '30', 'm8o', 'An Agrilat Swamp Refugee');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '31', 'm8s', 'Thanks, friend! That was some fancy demolition. It warmed my heart to see it, and here I thought nothing could warm my heart after all that time in Agrilat Swamp.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '32', 'm8t', 'Catch Gangsters From Agrilat Swamp');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '33', 'm9d', 'Almost home after a Kessel run, we ran into Imperials and crash-landed. Things went rapidly downhill after that. Aside from some creature trouble that forced us to drop our cargo, we also had an internal saboteur. After we got back home, we discovered encrypted communications between our ship\'s engineer and a rival smu-- courier team. We tracked the engineer to a smuggling base outside town, but it\'s too well defended for us. We\'ve gained a certain amount of new funding through insurance. We\'re devoting a portion to anyone willing to teach our engineer and his buddies a lesson in honesty.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '34', 'm9o', 'Corellian Travellers Looking for an Acquaintance');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '35', 'm9s', 'Thank you. There is not much honesty in our line, but you\'ve helped us do our part to increase the overall integrity level of our profession.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '36', 'm9t', 'Help Beat Folks Who Stole Our Cargo');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '37', 'm10d', 'The south side of Bela Vistal is, in my view, the worst part of town. If you go down there, you\'d best be wary of a Dug named Lero Bown, the worst gang leader in the whole city. He\'s a gambler who likes his fancy clothes and waves his gas-gem rings in everyone\'s face. He owns a custom XP-38 landspeeder, and carries a Corellian Arms CR-2 blaster in his pocket and a vibroblade in his vest. One night not long ago, at a sabacc game at a cantina, Lero saw a female Dug named Darplimpa sitting at the bar. Lero grew enamored of her, and his flirtations provoked Darplimpa\'s jealous mate. When the fight went badly for Lero, he fled town, promising revenge. We on the city council wish to pre-empt his violent return. We are covertly hiring well-armed adventurers to strike Lero\'s headquarters and destroy his gang.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '38', 'm10o', 'A Bela Vistal Councillor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '39', 'm10s', 'A fine assault. Lero Bown has certainly learned a lesson about meddling with the betrothed of a jealous Dug. I attach your fee.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '40', 'm10t', 'Bad Gang Leader Attacking Bela Vistal');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '41', 'm11d', 'While shipping cargo offworld, I had a run-in with some pirates. I know you\'ll agree it\'s not productive to get sidetracked by issues of \"who blew up whose starship.\" The point is, these crooks, or their heirs and surviving coworkers, have a serious mad on, and I\'m their target. According to the usual script, I\'m supposed to flee offworld and live my life as a hunted fugitive. What a drag. I have a different idea: You go and blow up their base, and I\'ll pay you well for getting them off my back. Hey, what could go wrong?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '42', 'm11o', 'Corellian Just Trying to Live His Life');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '43', 'm11s', 'That was some fancy action, friend! I hope none of those pirates had friends, or we\'ll be going through this little spat again. Thanks, contact you soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '44', 'm11t', 'Not My Fault Their Stupid Ship Blew Up');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '45', 'm12d', 'Existing tax and tariff structures are hampering Corellia\'s ability to supply interested parties with that vital luxury good, Double Brandy. The way I see it, I provide Double Brandy to folks who wouldn\'t otherwise get it, often at a lower price than official channels permit. In this way I\'m creating happiness and stimulating the economy. A new smuggling gang recently crawled onto the scene, forcefully insisting that my trade routes belong to them. I feel these people have no real interest in Double Brandy as such, and hence don\'t deserve to service my customers. I\'m hiring you to convince them of this, permanently.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '46', 'm12o', 'Dealer in Corellian Double Brandy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '47', 'm12s', 'I raise my glass in a toast to you, my friend. The true champion of Double Brandy will go to great lengths to bring it to customers. Thank you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '48', 'm12t', 'Protect Double Brandy Supply Routes');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '49', 'm13d', 'Masternav, renowned for some of the best astrogation maps in the galaxy, faces a grave threat. Gangsters based in the remote wilderness have fired warning shots at our droidships as they return from survey missions. Extortion attempts followed shortly thereafter, demanding payment to \"protect\" our valuable ships. This company takes a hard line against criminals. In the absence of adequate police involvement, we are commissioning an independent agent to destroy the gangster base and protect (in the honest meaning of the word!) our astrogation ships.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '50', 'm13o', 'Corellian Masternav Incorporation');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '51', 'm13s', 'Masternav thanks you for your good work in protecting our droid surveyors. Astrogation work continues uninterrupted, thanks to you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '52', 'm13t', 'Astrogation Surveyor Ships Attacked');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '53', 'm14d', 'Because millions of native-born Corellian merchants across the galaxy depend on our services, the Guild constantly updates its shipping safety reports. The \"lift-and-land\" survey describes pirate hazards during takeoffs and landing on Corellia and other notable trade worlds along the Corellian Trade Spine. For the latest update, we are tracking reports of unidentified installations seen in remote areas. To participate in our current research cycle, please report to the attached coordinates to engage and destroy any criminals present. Guild hovercams will record the event, and we shall update our guidelines based on our assessment of the threat posed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '54', 'm14o', 'Corellian Merchants\' Guild');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '55', 'm14s', 'Our hovercams recorded the event, and we are updating our guides accordingly. Thank you for participating in this research cycle.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '56', 'm14t', '\"Lift-and-Land\" Crime Survey');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '57', 'm15d', 'When you employ some untrained rube from offworld to move your goods, you can\'t count on the high standard of smuggling long established by native-born Corellians. The offworld-funded Open Shipping Consortium, which brings in every hayseed Outlier farmboy with a joystick and hires him out as a \"smuggler,\" is now aggressively targeting the local market for Jorallan pearls and opals. The Corellian Discreet Shipping Industry Chamber of Commerce opposes this alien incursion. We have found their rural receiving depot. Because it falls far short of the Chamber\'s rigorous safety standards, we ask you to destroy this menace to public safety.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '58', 'm15o', 'Corellian Discreet Shipping Industry Chamber of Commerce');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '59', 'm15s', 'Your successful demolition of the sub-par Open Shipping depot is good news for our cause of maintaining high standards in the discreet-shipping industry. Your payment is attached.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '60', 'm15t', 'Open Shipping Takeover of Jorallan Gems');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '61', 'm16d', 'You really have to see a beautiful Jorallan pearl or opal to appreciate it. Who wouldn\'t want one? But if you feel like smuggling one onto Corellia, under the high-handed Corellian Discreet Shipping Industry Chamber of Commerce monopoly, you\'ll pay a lot and likely deal with some calcified veteran who\'ll tell you he\'s forgotten more about smuggling than you\'ll ever know. That\'s the trouble! He\'s forgotten it all! In the Open Shipping Consortium we believe in free smuggling for free smugglers. If you agree, help us by wiping out the monopoly CDSICoC Jorallan landing depot at these coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '62', 'm16o', 'Open Shipping Consortium');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '63', 'm16s', 'Yes! Jorallan gemstones for all the people! Another step on the path to free smuggling for all Corellia!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '64', 'm16t', 'Make Corellia Safe For Open Shipping Gems!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '65', 'm17d', 'When you\'re moving something as delicate as Endorian wind-crystals past Imperial Star Destroyers, you need a native Corellian smuggler, not some halfwit offworlder who arrives from the Outer Rim and two heartbeats later gets dumped straight into a freighter cockpit. The discreet-shipping industry demands high standards in the movement of fragile wind-crystals. Yet now the offworld-funded Open Shipping Consortium has opened a new depot in the remote wilderness, far from the experienced eyes of Corellian quality-assurance supervisors. Imagine these priceless crystals shattering in this unsupervised pit. To protect these fragile masterpieces, we implore you to destroy the depot at once.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '66', 'm17o', 'Corellian Discreet Shipping Industry Chamber of Commerce');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '67', 'm17s', 'We congratulate you on your successful demolition of the substandard Open Shipping depot. Together, we will march forward in the cause of maintaining high standards in the discreet-shipping industry. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '68', 'm17t', 'Open Shipping Menace Moves to Wind-crystals');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '69', 'm18d', 'If you want wind-crystals smuggled from Endor to Corellia, who can help you? The hidebound, speciesist Corellian Discreet Shipping Industry Chamber of Commerce monopoly would like to lock you in at their overblown rates. In the Open Shipping Consortium we work for freedom to smuggle by anyone, anywhere, at an affordable price. To break the shackles of the CDSICoC, to land wind-crystals safely so all Corellians of all species can enjoy them, we urge you to destroy the monopoly wind-crystal landing depot that is strangling our illegitimate trade!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '70', 'm18o', 'Open Shipping Consortium');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '71', 'm18s', 'A strike for the people, friend! This marks another step on our inevitable path to victory. Free smuggling for all!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '72', 'm18t', 'Open Shipping Breaks Wind-crystal Monopoly!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '73', 'm19d', 'Because Lowickan firegems can cause reactor explosions when a ship enters hyperspace, the discriminating Corellian smuggler handles them according to safety standards described by the Corellian Discreet Shipping Industry Chamber of Commerce. But if you put some illiterate Outer Rim hick at the controls of a YT-1300 freighter, as the offworld-funded Open Shipping Consortium advocates, disaster may strike. A firegem merchant must now contend not only with Imperial blockades, but also with the likelihood of shoddy Open Shipping handling of extremely delicate merchandise. To lessen our clients\' worried uncertainty, we request that you destroy the new Open Shipping firegem receiving depot.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '74', 'm19o', 'Corellian Discreet Shipping Industry Chamber of Commerce');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '75', 'm19s', 'All substandard Open Shipping Consortium facilities earn the strong disapproval of our organization. With your help, we shall continue to enforce our recognized high standards in the Corellian smuggling industry.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '76', 'm19t', 'Open Shipping Menaces Firegem Trade');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '77', 'm20d', 'Very handy, isn\'t it, that you can\'t get a Lowickan firegem onto Corellia without running afoul of, not only the Empire, but also the monopolistic Corellian Discreet Shipping Industry Chamber of Commerce. It\'s this short-sighted restraint of free trade that makes firegems so sought after. If folks could get them from any Open Shipping Consortium smuggler at a fair price, firegems would lose their cachet. No one would think them special. People would be less concerned about these gems\'s beauty and internal warmth, and more about how the gems can accidentally destroy a hyperdrive. To promote greater public safety awareness, we urge you to strike a blow against CDSICoC lock-in by destroying their firegem receiving depot! Firegems to the people!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '78', 'm20o', 'Open Shipping Consortium');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '79', 'm20s', 'The cause of free smuggling must triumph, thanks to good workers like you. Death to the CDSICoC monopolists!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '80', 'm20t', 'Firegems Strangled by CDSICoC Monopoly!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '81', 'm21d', 'I am, how do you say, documentary holographer from far away -- I look for big break, get to Core Worlds. I am here to Corellia, seek very-big Twi\'lek adventure-man O-i. My crew of the droids, they get very-good holos of O-i, he fight an Imperial garrison, use only holdout blaster and one canister laughing gas. Crew of the droids was send me holos, but oh no! Bad people, how do you say, \"crooks\"?, stole crew of the droids and also hovercams. I have nothing. I want O-i holos! I find crooks with droid track beacon. You go to very-big crook place, kill-kill everybody, get holos! OK?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '82', 'm21o', 'Holographer from Outer Rim Territories');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '83', 'm21s', 'You do kill-kill, but no holos? Oh, very-bad! I need holos! O-i goes from Corellia long ago now. I must start over. I do not pay you, I push the \"no\" button. No, wait -- oh, I push wrong button, you get money anyways! Oh, no. Maybe I go back home, maybe.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '84', 'm21t', 'Please to Help Recover O-i Holos');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '85', 'm22d', '[Translated from Selonian:] I serve the Fertile Prosperity den in a remote area of Corellia. Recently offworlders set up a den near our own. We believe they are not planning an attack, but instead are moving manufactured goods between cities and space for criminal purposes. Their goal is irrelevant to us, but their movements endanger our young. This is unacceptable. The city law agents offer no help. We will give Corellian credits if you destroy the offworlder base. Leave our den unharmed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '86', 'm22o', 'Fertile Prosperity Den, High Leader Sept');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '87', 'm22s', '[Translated from Selonian:] We are grateful for your service to our den. We pay you the credits as we agreed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '88', 'm22t', 'Selonian Den Endangered');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '89', 'm23d', '[Translated from Selonian:] In the Transposed Sunrise den here on Corellia we own one hand-built Selonian coneship. Recently surface-dwellers of unknown den and breeding took our ship in the night without approval. The queen sent me out to track the ship. I followed the [untranslatable] signal and found the ship. Surface-dwellers are dismantling it. City law agents move too slowly. We require quick destruction of the surface-dweller den. We will pay Corellian credits to you for this task.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '90', 'm23o', 'Transposed Sunrise Den, Inaugural Sept');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '91', 'm23s', '[Translated from Selonian:] We are grateful. We are recovering the remains of our ship now. [Ceremonial blessing.] Here are your credits as we agreed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '92', 'm23t', 'Selonian Coneship Stolen');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '93', 'm24d', 'The aging Aqualish gang leader Dovor Dowwn is facing challenges from his underlings. Those tuskers hate showing weakness, you know, but he can\'t pretend much longer; he\'s just getting too long in the tooth. Mindra, one of Dowwn\'s lieutenants has gone renegade, setting up covert smuggling depots. She\'ll use these depots as a power base to seize Dowwn\'s Corellian trade. Dowwn just found out about one of Mindra\'s renegade depots, and after he threw a few tantrums, he ordered it destroyed. Here\'s why I\'m asking your help: I have mining interests near Mindra\'s depot. If the Aqualish lets loose all his firepower, I could take collateral damage. I\'ll pay you to destroy Mindra\'s depot, with minimal damage to the surroundings, before Dowwn gets to it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '94', 'm24o', 'Janqual Mor, Coronet Mining Corporation');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '95', 'm24s', 'Good work. Very neat rubble, with minimal collateral damage. I\'m sending your fee with this note. This situation may arise again, so be ready.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '96', 'm24t', 'Gang War Threatens Mining Interests');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '97', 'm25d', 'For too long has legitimate Corellian commerce suffered the hair-trigger temper of the Aqualish gang leader Dovor Dowwn. His smuggling operation has drained our world\'s coffers of legitimate tax income, leading to a weakened economy and loss of jobs. I beseech all honest adventurers to assail Dowwn\'s many smuggling depots and bring down his corrupt operation! [INTERRUPT] Hi hi, scuse me for slicing Mindra\'s transmission. Emmin Whitehat, thass me, spreader of truth. Mindra Nox was Dowwn\'s lieutenant (she reeeally thinks you don\'t know that???). She wants to take over his smuggling stuff. OK just thot you like to know haha. [END INTERRUPT, TRANSMISSION RESUMES] Though uninvolved myself in this sordid matter, I am moved by a sense of charity to offer a reward for successful assaults. Contact my office for coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '98', 'm25o', 'Mindra Nox, Corellian Entrepreneur');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '99', 'm25s', 'Thank you. I need to ask, was there anything odd about the text of my assignment? I\'ve had slicer troubles. I\'m compiling a list of grievances, and that slicer will eventually answer for all of them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '100', 'm25t', 'Stamp Out Dowwn\'s Operation');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '101', 'm26d', 'Gaah! You\'d think someone, somewhere, one single little individual in this great big galaxy, would show gratitude just once. But no! That ungrateful human Mindra Nox, with her insipid square white teeth in her disgusting rubber-lipped red mouth-opening, has taken all the wisdom I taught her -- all the crew and equipment I assigned her -- and revolted! She\'s setting up her own secret bases, and she thought I wouldn\'t find out. Stupid, beady-eyed, dimwitted human! As it happens, I\'m distracted with other business offworld right now, but don\'t think I can\'t squash her like a bug. For convenience, I\'m willing to pay freelance scum to dispose of Mindra\'s latest pathetic little hovel.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '102', 'm26o', 'Dovor Dowwn, Aqualish Businessbeing');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '103', 'm26s', 'All right, all right, so you destroyed a base. You expect me to slobber all over you in gratitude? Take your money. I\'ll call if I need more help -- not that I will, mind you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '104', 'm26t', 'Traitorous Backstabbing Betrayer ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '105', 'm27d', 'I\'ve had endless trouble with a rogue Corellian slicer who calls himself Emmin Whitehat. He\'s cost me a lot of trouble -- a LOT -- but I\'ve finally located the sleazy little compartment he calls home, and I\'m paying very good money for you to take him out. [INTERRUPT] Thass right, lady, I so scared right here where you find me! Ready & waiting haha! OK love & kiss, Emmin [END INTERRUPT, TRANSMISSION RESUMES] Contact my office for coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '106', 'm27o', 'Mindra Nox, Corellian Entrepreneur');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '107', 'm27s', 'You fool, you destroyed one of my own installations! That verminous Whitehat corrupted my coordinates. And now I see that he\'s deducted your fee from my accounts. Well, he can play his pranks, but I\'m keeping a tab for what he\'s cost me. I don\'t forget.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '108', 'm27t', 'Criminal Slicer Emmin Whitehat');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '109', 'm28d', 'Humans make me sick. First, when I see their perversely smooth faces and the weird, bushy colored filaments covering their scalp, it\'s all I can do to avoid retching in my tusks. Just as bad as their ugliness, though, and their insipid mild nature -- oh, and their obnoxious rubbery lips, those make my gorge rise -- just as bad is their traitorous nature. \"You can\'t trust a human\" -- my creche-mom always said that. I never believed her, because she was a stupid shaak-brain, but I should have! I should have! This human who worked for me, Mindra Nox, has taken my people and equipment and set up her own smugg-- business operation! Treachery! Stop wasting your time reading your stupid datapad and go destroy her!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '110', 'm28o', 'Dovor Dowwn, Aqualish Businessbeing');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '111', 'm28s', 'The unmitigated gall of that stupid human. It makes me want to vomit. I hate them all. Take your money, get away from me.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '112', 'm28t', 'Nox\'s Treachery Knows No Bounds');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '113', 'm29d', '[INTERRUPT] Hi hi, Emmin Whitehat atcha. I a slicer (like you couldn\'t tell???) doin a little spoofy of smuggler and crimelord (she wishes!!!) Mindra Nox. Mindra and I go waaay back, now I move waaay forward to fix her crookiness. Like for instance she kissed off (ugh!) her old boss Dovor Dowwn The Obnoxious Aqualish to set up smuggling places of her own (you didn\'t know that???). So OK here is the deal. I took credits from her accounts (she is gonna shriek!!!) & I pay them to you if you blow up her new base real good haha. Why ask why??? [END INTERRUPT, TRANSMISSION ENDS]');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '114', 'm29o', 'Mindra Nox, Corellian Entrepreneur');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '115', 'm29s', '[INTERRUPT] OK Emmin here not Mindra (but you knew that!!!). You did OK there lots of damage. I saw from hovercam overhead. I give you Mindra\'s money, be sure to tell her where you got it haha!!! [END INTERRUPT, TRANSMISSION ENDS]');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '116', 'm29t', 'Stop Evil Slicer OK (Yeah Right!!!) Haha');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '117', 'm30d', 'A mother doesn\'t like to pry, but when my dear son Hartliss gets himself into trouble, I can\'t help myself. I\'ve just got to stick my nose in. You see, Hartliss is a contract spacer who runs the Spine when he needs money. I always tell him he\'s got to be careful who he travels with. Heavens knows there are hooligans in the galaxy who can turn a good boy into a criminal. Like this last crew he freighted with. A pack of gundarks, that\'s what they are. Tried to tempt my poor little boy with death sticks. Now that Hartliss is offworld on another run, I can finally do something about these immoral rapscallions. I sent a seeker droid to follow them. Found out that every night they gather in a little cantina outside of town. Now I just need some brave spirit to tiptoe down to that awful place and blast those scum-grubs into a billion subatomic particles.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '118', 'm30o', 'A Loving Mother');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '119', 'm30s', 'Now that was really satisfying, wasn\'t it? I told my son Hartliss he should blast the place himself, but he called me a busybody. Do you think I\'m a busybody? I just want what\'s best. My little Hartliss deserves all the love I can provide.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '120', 'm30t', 'Hartliss Needs Some Help');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '121', 'm31d', 'What happened to the peaceful Corellia of our forefathers? It\'s not bad enough that our sector is full of smugglers and Rebels. Now we\'ve got a tide of death sticks and glitterstim pouring into the countryside. Well, some of us in the grasslands refuse to let this corruption take root. We\'ve tagged several illegal spice dens across the surface of the planet, and collected enough credits to pay for their demolition. All we need is a good citizen who possesses the wherewithal to knock down these hives of villainy and make sure none of the dealers come back. Our list of coordinates is long, sadly, but we can shorten it with the help of some stalwart demolitionists.  Interested?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '122', 'm31o', 'Concerned Corellian Citizens');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '123', 'm31s', 'That will teach those spice dealers not to bring their poison where decent Corellians live! We\'ve got plenty more dens on our list, my friend, if and when you\'re ready to work again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '124', 'm31t', 'Demolish Illegal Spice Dens');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '125', 'm32d', 'The Null Racket is the fastest Corvette in the sector. That kind of speed don\'t come without work. A while back I custom ordered an ion impeller from a shipyard in Brak Sector. Too bad on the way to Corellia, it found its way into the hands of a competitor of mine. That\'s just not friendly, is it? I\'m betting a small sum of credits will convince this competitor to reconsider stealing from me. That is, if I use the credits to hire someone to burn his den of two-credit thieves to the ground. I don\'t suppose you\'d be game for the job? Don\'t worry about the impeller. I\'ve got another on the way, with a couple of Trandoshan guards this time. You just do this job well and you\'ll make a name for yourself on Corellia.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '126', 'm32o', 'Captain Sava Matar of the Corvette Null Racket');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '127', 'm32s', 'You do good work. I\'ll keep you in mind if I get another blaster job. Ol\'val.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '128', 'm32t', 'Incinerate Unfriendly Competitor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '129', 'm33d', 'Running the fastest Corvette in the sector ain\'t like baking fringe cake. Competition can be downright savage in the Corellian freight business. You\'ve got to keep your eyes open. Sometimes you\'ve got to crank the turbines on a competitor when they start interfering with your livelihood. That\'s where you come in, friend. If you want to earn a couple of credits today, I need you to put the hurt on a colleague of mine who tried to hand over the Null Racket to Imperial authorities. He doesn\'t know I\'m onto his double-cross, so he shouldn\'t be expecting any trouble. Just to be sure, though, bring your best weapons. Dust the whole place and you\'ll get a cut of my latest haul. Ol\'val, min dul\'skal, ahn guld domina.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '130', 'm33o', 'Captain Sava Matar of the Corvette Null Racket');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '131', 'm33s', 'Where did you come from, friend? You\'re good. I\'m going to remember your name. Ol\'val.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '132', 'm33t', 'Dust a Double-Crosser');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '133', 'm34d', 'Ever seen an ugly fly? Trust me, you don\'t want to. Uglies are rattletrap fighters welded together out of whatever space debris their builders can scavenge. They\'re constructed for firepower, not for endurance, and they\'re used as raiders and duellers. Uglies are a thorn in the side of the CDF. We\'ve got a standing reward for anyone who shuts down one of the shops that put these jalopies together. Let us know if you\'re interested in the job and we can send you the coordinates of a suspected ugly shop. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '134', 'm34o', 'Corellian Defense Force');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '135', 'm34s', 'Good work. The fewer uglies that pester our space lanes, the more attention we can give to real problems in this sector.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '136', 'm34t', 'Uglies Are a Thorn in Our Side');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '137', 'm35d', 'As a Trandoshan, it is my duty to collect jagannath points by hunting dangerous prey. The problem, however, is that I\'m a colossal coward. It\'s only been due to the enormous wealth my father managed to accumulate during the enslavement of the Wookiees that I\'ve been able to bribe my way through every single rite of passage sacred to my people. Unfortunately, a few less-enterprising inhabitants of Dosha have condemned my approach to our traditions. They\'ve tracked me to Corellia and want my head at the end of a thrar\'kor. I need to funnel some of my family\'s wealth into stopping these brutes before they catch me, which can only have unpleasant results. If you blast my enemies to atoms, I\'ll pay you well, and everyone will be happy. Do we have a deal?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '138', 'm35o', 'An Anonymous Trandoshan');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '139', 'm35s', 'Excellent work, except that I sent you to the wrong place. My pursuers were not among the beings you attacked. Never mind, though, I\'m sure they got the message. That\'s the important thing. Take your payment, and may the Scorekeeper record your brave deed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '140', 'm35t', 'Help a Cowardly Trandoshan');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_corellia.stf', '141', 'number_of_entries', '35');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '1', 'm1d', 'Stealing shaaks from a small family barely scraping by -- that\'s just low! Worse than slaving, worse than smuggling, worse than -- well, not worse than blowing up Alderaan, but still pretty bad. We\'re down to our last credits because of these poachers, and now we have to spend those credits hiring you to stop them. Careful -- they\'re well armed and dangerous.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '2', 'm1o', 'Shaak Herder on the Great Grass Plains');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '3', 'm1s', 'Sounds like they already disposed of the stolen shaaks. But with the births coming up, we may be able to replenish our herd fast enough to survive. Thanks for disposing of those despicable lowlifes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '4', 'm1t', 'Shaak Poaching -- Galaxy\'s Worst Offense');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '5', 'm2d', 'Kirkhorn, the third-oldest guarlara stable on Naboo, has an enviable reputation. Envy has now escalated to criminality. Recently, rustlers destroyed our pasture alarm systems and stole Zenith Dancer, a thoroughbred champion. His implanted tracking chip has pinpointed their location. Security forces are occupied elsewhere, so we\'re asking for quick action from an experienced agent. Destroy the rustlers and save Zenith, or this will happen again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '6', 'm2o', 'Kirkhorn Guarlara Stable');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '7', 'm2s', 'Good news! While you were dealing with the rustlers, Zenith escaped and galloped back home. It\'s time to celebrate here at Kirkhorn. Here\'s your fee, and thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '8', 'm2t', 'Guarlara Rustlers Steal Champion');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '9', 'm3d', 'Gangsters have stolen funds earmarked for the upcoming Midseason Euphonial Festival. You may recall that this important event marks the premiere of Sandelratha\'s \"Emperor Symphony.\" To bring in Imperial Security would be politically indelicate, so we prefer to hire an independent agent to track and destroy these gangsters. Contact this office for coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '10', 'm3o', 'The Office of the Music Advisor of Naboo');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '11', 'm3s', 'With evidence from the destroyed camp, we can track the stolen funds. Thank you for your prompt action to protect the Euphonial Festival.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '12', 'm3t', 'Midseason Euphonial Festival In Doubt');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '13', 'm4d', 'The Twi\'lek tellisatura diva Niral Dassacrin has performed the Nicol Bondot gaze-opera \"Singularity Song\" to sellout audiences. But Niral has run afoul of gangsters, who have extorted funds from her by threatening to cut her vocal chords. She belatedly confessed all, and this office is determined to stop the gangsters. We prefer not to contact Imperial security, so as to demonstrate we can protect our own. However, we do require an experienced independent agent. Contact this office for coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '14', 'm4o', 'The Office of the Music Advisor of Naboo');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '15', 'm4s', 'Now future performances of \"Singularity Song\" can go on unimpeded by chicanery. This office thanks you for your timely assistance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '16', 'm4t', 'Protect Naboo\'s Gaze-opera Diva');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '17', 'm5d', 'To improve offworld trade, my office works ceaselessly to develop Naboo\'s freight infrastructure. An interplanetary smuggling gang is diverting specialized materials needed for docking bay construction, then selling them back to the government through various business fronts. Political considerations deter us from assigning this problem to Imperial security. We prefer to contract with independent agents to eliminate the smuggling gang. Contact my office for coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '18', 'm5o', 'The Office of the Chief Architect of Naboo');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '19', 'm5s', 'Thank you for your firm resolution of this smuggling nuisance. My office will gladly offer you further assignments in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '20', 'm5t', 'Naboo Buying Back its Own Equipment');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '21', 'm6d', 'My office is charged with developing Naboo\'s trade infrastructure. The new Interplanetary Customs Depot is now far over budget and behind schedule, due to persistent and omnivorous corruption. Most recently, gangsters have seized vital construction equipment and are holding it for ransom. They failed to disable all tracking devices, however, and so we know where they are. For political reasons we prefer not to involve Imperial Security. Instead, we shall hire an experienced independent agent. Contact this office for coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '22', 'm6o', 'The Office of the Chief Architect of Naboo');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '23', 'm6s', 'Many thanks. The Customs Depot project may yet get back on track. My office looks forward to working with you again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '24', 'm6t', 'Naboo Customs Depot Construction Trouble');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '25', 'm7d', 'My office is proud that Naboo\'s literacy rate approaches 100 percent. This is possible only through determined commitment and a healthy educational budget. This budget, though, attracts criminals as hsuberries attract colo claw fish. A rural school reports that gangsters are systematically stealing droid instructors for resale on the black market. I find this crime particularly offensive, yet Imperial security has assigned it low priority. I wish to stop this at once, and am willing to hire an independent agent to stop these criminals.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '26', 'm7o', 'The Office of the Educational Regent of Naboo');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '27', 'm7s', 'Thank you, thank you, for stopping a particularly foul crime. To steal from a school is to steal from the future. I hope to work with you again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '28', 'm7t', 'Gangsters Stealing Naboo Instructor Droids');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '29', 'm8d', 'The bioengineering program at Theed University has developed some interesting compounds using chemicals produced by native wildlife. Thieves have stolen some of these experimental compounds, presumably for resale on the black market. Unfortunately, these are poisons derived from green glie algae. The containers\' hidden security sensors pinpoint their location. To prevent wide publicity and possible panic, I am privately hiring an independent agent to destroy these thieves and, if possible, the chemicals as well.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '30', 'm8o', 'The Office of the Educational Regent of Naboo');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '31', 'm8s', 'Exceptional work! I have ordered probes sent to the area and haven\'t detected the escape of any compounds. This is a relief, because those poisons could have killed most of Naboo. Thank you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '32', 'm8t', 'Thieves Steal Theed University Poisons');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '33', 'm9d', 'My family\'s famed Highscouter cove of trained twirrls has provided Theed Palace\'s preferred breeding stock for generations. Recently smugglers have made attempts to steal these famous twirrls, no doubt for resale to offworld collectors. We have so far forestalled this theft, and we have also tracked the smugglers to their lair. We have seen evidence of considerable animal cruelty. Imperial security will do nothing for us until an actual theft is committed, so we\'d like to hire an experienced agent to assault and destroy this base. Are you available?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '34', 'm9o', 'Highscouter Twirrl Cove');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '35', 'm9s', 'With those smugglers gone, we feel more comfortable already. Highscouter Cove thanks you. Look in with us next season for more work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '36', 'm9t', 'Animal Theft in Twirrl Training Fields');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '37', 'm10d', 'The Science Office has long sought an industrial base sufficient to build hyperdrives. Currently the Empire provides drives of Nubian manufacture, through a lengthy and bureaucratic process. A pilot project is planned for Naboo\'s moon Rori. Movement of materials to the Rori installation has been hampered by pirates, who infallibly strike our ships shortly after liftoff from Naboo. We suspect a spy in this office. Therefore I am personally contracting with an independent agent, outside normal office procedures, to locate and destroy the pirate base. Contact me for coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '38', 'm10o', 'The Master of Science of Naboo');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '39', 'm10s', 'This is fine news. I shall order new launches for the moonbase hyperdrive project. Thank you, and wish us luck!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '40', 'm10t', 'Hyperdrive Project Threatened by Pirates');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '41', 'm11d', 'Keren Farms Jut Nut Exquisite Select Roast remains the beverage of choice for discerning Theed aristocrats. We use only freshly excreted seeds of the jut nut, meticulously cleaning them after their passage through the peko-peko intestinal tract, which relieves them of toxicity. Keren Farms Jut Nut ESR fetches a premium price in discriminating markets. This has unfortunately made it attractive to thieves, who recently purloined much of this season\'s crop. We have located the thieves through hidden tracking devices, and we now wish to hire an experienced agent to exterminate them like vermin. Serious inquiries only, please.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '42', 'm11o', 'Keren Farms Jut Nut Orchards');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '43', 'm11s', 'Your diligence ensures the safety of this season\'s remaining Keren Farms Jut Nut Exquisite Select Roast crop. A hearty thank-you, and please stop in for a complimentary cup!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '44', 'm11t', 'Naboo\'s Jut Nut Crop Stolen');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '45', 'm12d', 'My office\'s many duties include the construction of communication relays between distant Naboo towns. Because of recent Imperial budget cuts, we lack the funds to protect these remote construction projects. A criminal gang has literally taken over one such outpost, destroying all comm equipment on hand. We find it politically and economically expedient to have the entire installation destroyed, not by Imperial security but by an independent contractor. Contact my office for coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '46', 'm12o', 'The Office of the Chief Architect of Naboo');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '47', 'm12s', 'This is good news in an office that has lately heard too little good news. We thank you for your quick and decisive action against these gangsters.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '48', 'm12t', 'Gangsters Seize Communications Relay');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '49', 'm13d', 'Gangs of millaflower pushers are operating in Naboo\'s schools. In remote bases, the gangs process innocent millaflower blooms into a powerful intoxicant. Then they push the drug on our students. Education of the students has reduced demand, but we are also pursuing a supply strategy. Imperial Security is often in the gangsters\' pay, so we are hiring an independent agent to destroy each base as its location is determined. Contact my office for current coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '50', 'm13o', 'The Office of the Educational Regent of Naboo');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '51', 'm13s', 'Excellent news. Your success provides a highlight for my forthcoming speech to the Advisory Council on the millaflower menace. Thank you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '52', 'm13t', 'Millaflower Problem In Naboo\'s Schools');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '53', 'm14d', 'Who could possibly be offended by Theed University\'s research into interference with droid motivators? This defies reason, yet these innocent researchers have received anonymous death threats, and gangsters recently tried to destroy their lab. They unwittingly alerted probe droids who followed them at a distance, so we know where the gangsters are based. But Imperial security seems curiously apathetic to stopping these thugs. This office is pursuing independent solutions, such as hiring an agent to destroy this base. Contact us for coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '54', 'm14o', 'The Office of the Master of Science of Naboo');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '55', 'm14s', 'We are glad you stopped these thugs, but apparently they have ties to Imperial Security. This is strange and disturbing. We shall probably cancel the research project anyway.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '56', 'm14t', 'Thugs Threaten University Researchers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '57', 'm15d', 'This office is responsible for arranging the famous Heritage Expressionals at the Emperor\'s Retreat outside Theed. These concerts feature a range of antique instruments, the finest and most valuable in this region of the galaxy. Recently gangsters stole several Heritage instruments and, according to the tracking beacons hidden on the items, took them to the following coordinates. We strongly prefer to avoid involving Imperial Security in this matter, for fear of appearing irresponsible in protecting the Emperor\'s property. Instead, we are hiring discreet independent agents to locate and destroy the gangster base, preferably without damaging the priceless Heritage instruments.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '58', 'm15o', 'The Office of the Music Advisor of Naboo');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '59', 'm15s', 'But did you not find the Heritage instruments? Evidently the thieves had already fenced them and moved them offworld. We must locate them by other means.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '60', 'm15t', 'Recover Stolen Heritage Instruments');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '61', 'm16d', 'There is an old legend that one of the statues surrounding the Royal Palace contains hidden treasure. Supposedly a thief placed the valuables there during the statue\'s construction, to dispose of incriminating evidence. The story doesn\'t identify the statue or the valuables, but that hasn\'t stopped treasure-seeking gangsters from attacking random statues across the palace grounds. Surveillance droids have tracked the thugs to their base, but Imperial Security shows no interest in arresting them. To protect a priceless artistic heritage, my office is hiring an independent agent to track and destroy the vandals.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '62', 'm16o', 'The Office of the Chief Architect of Naboo');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '63', 'm16s', 'This is a relief. We are already repairing the statues these thieves damaged. Hidden treasure -- what a silly legend. Thank you for your assistance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '64', 'm16t', 'Vandals Damaging Royal Palace Statuary');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '65', 'm17d', 'Kirkhorn, Naboo\'s third-oldest guarlara stable, produces some of the best guarlara underfur on the market. The underfur of Kirkhorn Assured Bloodlines has been woven into tapestries now on view in Theed\'s best museums and homes. Such is the value of good guarlara underfur that bandits have been stealing this season\'s production. We suspect a rival stable, but lack evidence. However, we have the thieves\' location, thanks to tracking beacons in the fur containers. Rather than bring in security forces and attract undue publicity -- always dangerous in the touchy underfur market -- we\'d prefer to hire a discreet adventurer able to track and destroy these thieves. Are you willing?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '66', 'm17o', 'Kirkhorn Guarlara Stable');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '67', 'm17s', 'I thank you for your assistance. Here is your payment. This will teach rival stables that Kirkhorn stands by its underfur!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '68', 'm17t', 'Kirkhorn Guarlara Underfur Stolen!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '69', 'm18d', 'It is no secret that Theed University boasts some of the most talented droid programmers in this part of the galaxy. What is secret is the recent disappearance of one of the university\'s leading programmers. Kidnapping? Willful departure for richer climes? We have one clue: surveillance recordings that show known gangsters accompanying the scientist off campus. Probe droids tracked the group to a rural base. We believe that alerting Imperial Security to this event would only bring unwanted criticism of our security procedures. Therefore, we are quietly hiring an independent agent to eliminate the gangsters and, if possible, determine the fate of our programmer.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '70', 'm18o', 'The Office of the Master of Science of Naboo');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '71', 'm18s', 'The researcher returned safely. Apparently it was a kidnapping, but your timely intervention allowed our colleague to escape. Thank you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '72', 'm18t', 'Theed Droid Programmer Vanishes');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '73', 'm19d', 'The Naboo Wastelands have long constituted a kind of safe haven for pirates and smugglers. Certain bands of these outlaws are known to have thrived for as long as several decades. Due perhaps to their longevity, they have now grown so bold as to move their operations out of the wasteland and closer to settled regions. Our satellites have identified several unauthorized installations where we believe these criminals are engaged in illegal pursuits. As our manpower is presently occupied with unforeseen Imperial obligations, we have opted to contract private operatives to investigate these trouble spots. Agents in our employ will be authorized to use extreme force in dispatching any lawbreakers they find. Qualified citizen operatives may contact the Royal Security Forces to be deputized for specific cases. Financial compensation is available.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '74', 'm19o', 'The Royal Security Forces');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '75', 'm19s', 'You have a knack for this sort of work. Please contact us again when you have time for another mission.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '76', 'm19t', 'Outlaws Encroaching on Settlements');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '77', 'm20d', 'After a massive investigative effort, we have finally cracked the ring of data slicers that invaded the computer systems of the Theed Generator. These criminals have dispersed their operation over a series of transmission centers that combine to form a powerful slicing grid. We are coordinating a joint police-civilian effort to strike these transmission centers and shut down their destructive operation. Naboo civilians who can aid in this effort are encouraged to contact the RSF as soon as possible. Offworlders may also participate. Financial compensation will be scaled in accordance with the contribution of each civilian.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '78', 'm20o', 'The Royal Security Forces');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '79', 'm20s', 'The operation was a success! Those slicers have almost brought down the Theed Generator on several occasions, but they will not do so again. Thank you for your contribution to the effort.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '80', 'm20t', 'Shut Down Data Slicer Network');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '81', 'm21d', 'Valstaff Courts is the fourth-oldest guarlara stable on Naboo. We breed only the purest bloodlines for the finest Naboo families. Our grounds are legendary for their beauty and luxury, a place where young Naboo ladies may cleave the winds astride elegant guarlara thoroughbreds. But we have noted the intrusion of many unwelcome individuals of dubious character and social standing. These persons frequent our riding grounds and proffer immodest solicitations to our clients. They have proven difficult for our security staff to control. We are therefore offering to professional adventurers and soldiers-of-fortune a reward for the successful extirpation of the trespassers\' premises and all sapient beings therein. Qualified applicants may contact our Sapient Resources department for coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '82', 'm21o', 'Valstaff Courts Guarlara Farm');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '83', 'm21s', 'Valstaff Courts is proud to assure the highest degree of security to our distinguished Naboo clientele. Your aptitude with killing and mayhem offers a vital tool in our mission of unparallelled refinement and elegance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '84', 'm21t', 'Expunge Untoward Visitors');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '85', 'm22d', 'In the court of Naboo one must be vigilant against the corrupting influences of the spacer community. The daughter of an esteemed colleague of the court has fallen victim to the affections of a star pilot of uncertain reputation, one Thanus March. In deference to the child\'s social standing, I feel obliged to handle this unfortunate circumstance discreetly. March is known to carouse at an old power station converted into a hive of offworlder decadence. I require one or more freelance operatives to deliver a clear message that this man has no place in the proud halls of Naboo. In short, I want the place taken apart. Meet any resistance with extreme force. If March does not survive the assault, I for one shall shed no tears. I shall pay you handsomely, but most of all, realize that you will be saving the reputation of an innocent lady.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '86', 'm22o', 'Lord Zymanna of Theed');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '87', 'm22s', 'Excellent. A Zabrak informant of mine tells me that the spacer Thanus March escaped with few injuries, but your work against his cohorts was very impressive. While you are on Naboo, you are welcome in my employ.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '88', 'm22t', 'Protect Reputation of Innocent Naboo Lady');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '89', 'm23d', 'Good day. I am TC-20, a protocol droid presently residing in the city of Theed. My mistress is a highborn Naboo lady who must remain anonymous. Her Ladyship has instructed me to hire an experienced warrior to aid her in her dreadful need. The captain of a star freighter, one Thanus March, has been abducted by a brutal gang of ruffians. A trusted friend in the court has provided the coordinates where he is being held. My mistress assures me that this space captain does not deserve this uncivilized treatment, and has given me a generous sum to pay for his rescue. The plan is to attack the ruffians from the outside while an agent within frees Captain March. I hope it is not too late to save him from a terrible fate!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '90', 'm23o', 'TC-20, Protocol Droid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '91', 'm23s', 'Oh, dear! I have awful news! While you performed the job for which you were hired, my mistress herself was kidnapped! It seems the crime was committed by associates of the very ruffians you attacked. My poor, poor mistress. Here, take the credits which Her Ladyship allotted for your services. How could this happen in the peaceful halls of Theed? What have I done to deserve this? Oh, dear!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '92', 'm23t', 'My Mistress Requires Experienced Warrior');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '93', 'm24d', 'Even on a supposedly quiet planet like Naboo, the rules of the jungle apply. If someone hits you, you hit them back hard. Me and a couple of other spacers were attacked by a band of hired guns, sending me a message to keep away from a certain Naboo lady. I\'m pretty sure the message came from her rich father. Well, I\'m going to send back an answer. I\'ve figured out where the thugs who hit us spend most of their time. I\'m putting together a freelance team to smash the place to dust. I need fighters who are hungry and battle-hardened. Let\'s show these Naboo bluebloods how we do it in the Core Worlds.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '94', 'm24o', 'Thanus March, Freelance Spacer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '95', 'm24s', 'Nice work, kid. Those hired guns won\'t bother anyone again. I questioned a Zabrak who was trying to escape and he confirmed what I already knew: It was the father of my Naboo lady who paid them to kill me. I guess I don\'t die that easy. Lucky for me. Unlucky for my lady\'s highbrow father.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '96', 'm24t', 'Assembling Freelance Strike Team');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '97', 'm25d', 'It\'s outrageous! My teenage daughter, Dantre, tells me that her friend from offworld, a space captain named Thanus March, is being harrassed by a local gang of criminals. To my horror I learned that, because the victim in question is not from Naboo, Imperial policies prevent the Royal Security Force from acting in this matter. My daughter has implored me to do something. I am seeking a reputable freelance security agent to confront this gang of criminals and warn them against further harrassment of my daughter\'s friend. It is possible that these scum will react with violence. If so, I want an equally forceful response. We must not tolerate these villains on our planet. While the Empire might turn a blind eye to criminal degeneracy, some of us Naboo still have our pride.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '98', 'm25o', 'Lord Chelm of Theed');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '99', 'm25s', 'I\'m proud that Naboo and offworlders alike are willing to take a stand against heartless criminals. My daughter, Dantre, is most happy with your results. Well done.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '100', 'm25t', 'Do Not Tolerate Criminal Degeneracy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '101', 'm26d', 'Since the New Order has brought security to the galaxy, the Naboo court is obliged to deal not only with the planetary bureaucracy but also with Imperial dignitaries. In such cases we sometimes perform discreet operations on their behalf. I currently find myself in such a position. In exchange for Imperial suppression of a certain police action against offworlders on Naboo, I am arranging the elimination of a den of suspected Rebels. I shall hire freelance operatives, for whom no bureaucratic approval is required. If you are capable of executing a potentially dangerous combat action, please contact my office. I expect you to be discreet; in these delicate times, subtlety is the road to success.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '102', 'm26o', 'Lord Zymanna of Theed');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '103', 'm26s', 'Excellent. My informants have verified that you handled the suspected Rebels most expeditiously. Remain discreet about this action and you shall do well on Naboo.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '104', 'm26t', 'Perform Discreet Combat Operation');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '105', 'm27d', 'They\'ve got this festival in Theed where the Naboo lords give expensive gifts to their ladies. I\'ve met a young lady of the court who I mean to give a gift. I know, a Corellian like me has a mynock\'s chance of impressing some rich Naboo, but that\'s never stopped me before. I\'ve even found the perfect present. My problem is, the smuggler who\'s holding it for me cranked up the price we agreed on. He figures I\'ve got \"rich connections.\" He\'s wrong. My connections don\'t have money, they\'ve got blasters. I want someone who\'s eager for a fight to soften up this smuggler. That way he\'ll remember the original price when I visit. The Theed festival is coming up soon, so we can\'t wait around on this. Tell me you\'re interested and I\'ll give you the guy\'s coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '106', 'm27o', 'Thanus March, Freelance Spacer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '107', 'm27s', 'I said soften the guy up, not incinerate him! That\'s what I get for not being specific. You did good work, but I\'m in a bind. I\'ll never find that gift now. Well, if all I can give my Naboo lady is a kiss and a millaflower, I guess that\'ll have to do.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '108', 'm27t', 'Soften Up Impolite Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '109', 'm28d', 'My dearest friend is a young but seasoned star pilot. Though he\'s changed his ways, he once traveled with a rough crowd. A few of his old associates have come to Naboo seeking revenge for some past insult. They don\'t realize that he\'s offworld right now, avoiding the painful scrutiny of my father\'s security chief. My friend fears that, in his absence, these old associates might turn their attention to me. He advised me to hire a freelance investigator to hunt down and eliminate these dangerous spacers. I\'m not certain that this action is legal, but my father is already skeptical of my friend\'s reputation, and if he finds out I may be in danger I shall never see Captain March again. Can anyone out there help me? I want this awful business to be over with before Thanus returns.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '110', 'm28o', 'A Young Lady of Theed');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '111', 'm28s', 'Is it over? Did you take care of Captain March\'s problem? Please, I don\'t want details. Just take your payment and go. Oh, and thank you so much.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '112', 'm28t', 'Please Help in Delicate Matter');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '113', 'm29d', 'Because the Emperor\'s Retreat brings much additional traffic to Naboo, we have prioritized the security of planetside settlements. To this end we have purchased a shipment of taser staves for crowd control. Somehow a gang of thieves captured these weapons before we could take possession. We must retrieve these staves without delay. Our intelligence agents have compiled a list of possible hideouts where the culprits might be storing their loot. We are contracting independent agents to investigate these sites and engage the thieves if they are found. Payment will be commensurate with the level of success.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '114', 'm29o', 'The Royal Security Forces');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '115', 'm29s', 'Good job. We recovered all the taser staves. Those weapons can wreak all kinds of havoc in the hands of outlaws.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '116', 'm29t', 'Bring Down Gang of Thieves');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '117', 'm30d', 'The Tech Raiders are an old and notorious band of smugglers. For many years they avoided the star lanes of Naboo, but our sources inform us that they are back. Given the Imperial presence that now graces our planet, it is prudent that we stop this criminal activity before it draws a decisive response from the Empire. Therefore we are contracting private agents in a coordinated assault on several different smuggling depots. Qualified parties may contact the RSF for the coordinates of the nearest suspected Tech Raider site.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '118', 'm30o', 'The Royal Security Forces');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '119', 'm30s', 'Good work. With luck we will have seen the last of the Tech Raiders in this system.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '120', 'm30t', 'Tech Raiders Smuggling Ring');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '121', 'm31d', 'You would think that the Naboo System, location of the Emperor\'s Retreat, would be safe from the ravages of space piracy. But against all odds, a squadron of reckless cutthroats has taken up residence on our very planet. The Imperial Navy is anxious to bring down these pirates. The Royal Space Fighter Corps would very much like to catch them first. We have located a secret hangar that we believe houses many of their ships. We are hiring civilians to attack this hangar and force the pirates to take off, where we shall be waiting for them. With skill and good fortune we may both vanquish this threat to our star lanes and demonstrate that the Royal Space Fighter Corps is capable of handling threats that elude the Imperial Navy. Interested parties may contact us for the coordinates of the suspected pirate hangar.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '122', 'm31o', 'The Royal Space Fighter Corps');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '123', 'm31s', 'Terrific work! The operation was a complete success. The pirates fled through a hidden launch tunnel, and we picked them off in orbit. The Imperial Navy will chafe at this news. You did very well.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '124', 'm31t', 'Hit Suspected Pirate Hangar');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '125', 'm32d', 'Thieves have no limits to their petty greed. Even our garbage is not safe from these parasites. Naboo operates a planetwide system of robo-flatbeds that transport municipal garbage to various reprocessing sites. These hover-trains have become the target of robbers, who sort through the refuse to find any salvage and leave the rest strewn across our fair planet. We believe we have located the hideouts of many of these salvage gangs. All we need are lawful-minded civilians to put them out of commission. Full pardons are ready for any violence that may result from these action. Contact our office for the coordinates of a target near you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '126', 'm32o', 'The Royal Security Forces');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '127', 'm32s', 'Good work. Those thieves deserved what they got. If our garbage is not even safe, how can we assure the security of our people\'s homes and properties?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '128', 'm32t', 'Shut Down Salvage Gang');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '129', 'm33d', 'In order to preserve the natural beauty of our planet, Naboo carefully restricts all deforestation campaigns. Some renegade harvesters have flouted these policies and wilfully ignored all requests to cease their unlawful cutting. We must put a stop to their crimes. We are contracting private operatives to visit these outlaws\' barracks and put them out of business. If you can complete such an assignment, contact our office for coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '130', 'm33o', 'The Royal Security Forces');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '131', 'm33s', 'Nice job. Maybe now these outlaws will take seriously their responsibilities for preserving the natural state of Naboo.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '132', 'm33t', 'Renegade Harvesters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '133', 'm34d', 'Some of desan topsiders have been comen into Lake Paonga and braken de laws of de Gungans. Desa diven into da deep Core and poachen dangerous fishes like de Opee and de Colo Claw. Wesa must putten a stop to dis, so wesa now hiren topsiders to knock down desan fishing shacks. Desa well-armed so do not thinken desa going to fall easy. Da Bosses going to pay yousa well enough for de work, though.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '134', 'm34o', 'Sergeant Degoolsby of Otoh Gunga');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '135', 'm34s', 'Yousa done very well, for a topsider. Wesa given you da reward now. Great thanks to yousa.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '136', 'm34t', 'Desan Topsider Poachers Got to Go');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '137', 'm35d', 'It\'s dreadful business, but I have been informed that a certain collection of unsavory spacers has begun disparaging me to potential employees of my shipping concern. As I must protect my reputation, I have no choice but to hire a responsible agent to stop their slanderous activities. The situation may turn ugly, but I must not yield. Please act quickly and let\'s get this over with.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '138', 'm35o', 'Master Bottoblast of Theed');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '139', 'm35s', 'Splendid. That will silence those slanderous dogs. You have earned your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '140', 'm35t', 'End Slanderous Activities');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_naboo.stf', '141', 'number_of_entries', '35');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '1', 'm1d', 'Ever heard of lesai, citizen? It\'s a highly addictive drug and it\'s being stored in an abandoned settlement near here. Please help me make sure this drug won\'t make its way to decent neighborhoods.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '2', 'm1o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '3', 'm1s', 'Now those are results I can live with, citizen. Good work!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '4', 'm1t', 'Destroy Addictive Drug');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '5', 'm2d', 'There\'s only one language criminals understand clearly -- the searing sounds of blaster fire! A group of violent thugs have been harassing decent folk and need to be driven off. If you can help do that, I\'ll reward you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '6', 'm2o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '7', 'm2s', 'Good job, citizen. You\'re a true hero. Your promised pay has been deposited.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '8', 'm2t', 'Drive Off Vicious Thugs');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '9', 'm3d', 'Due to the Empire\'s higher recruitment standards, many of the thugs who would have ended up serving in planetary security forces are turning to crime instead. Could you help get rid of some of these troublemakers? I\'d make it worth your while. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '10', 'm3o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '11', 'm3s', 'Thanks you, citizen. I\'d normally suggest you join the military, but I think you could do more good as an independent agent. Get richer that way too.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '12', 'm3t', 'Discipline Slackers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '13', 'm4d', 'I\'m sick of putting up with criminals and their vile antics. I\'ve gathered some credits to hire a skilled troubleshooter to get rid of these swoop gangs and spice dealers. Would you be interested in trying for that money, citizen?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '14', 'm4o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '15', 'm4s', 'Now that\'s how you deal with that Sithspawn! You\'ve definitely earned the reward. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '16', 'm4t', 'Citizens Fight Back');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '17', 'm5d', 'Hey, buddy, you care about keeping the streets clean, right? I hear there\'s some lowlife peddling inferior grade glitterstim spice. Can you believe this worm\'s nerve? Sure could use someone like you to run this bum out of business. You ready to earn some credits? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '18', 'm5o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '19', 'm5s', 'Good job. No one deals spice in my neighborhood without my say-so. And don\'t even think about pushing that inferior grade sludge. Your money\'s been sent, pal. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '20', 'm5t', 'Run Competition Out');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '21', 'm6d', 'A local band of gunrunners has stolen a shipment of deadly disrupter weapons. This band is like no other, however, for they are led by an amazingly canny mouse droid. Yes, you heard correctly! If you were to stop these rogues and end this mechanical menace\'s career, you\'d become a legend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '22', 'm6o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '23', 'm6s', 'Did you see the mouse droid? Hmm, the clever fiend probably had an escape plan. All masterminds do. Do you know how I know that? Because I\'m the Emperor! Mwahahaha! Anyway, this money is for your troubles.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '24', 'm6t', 'Stop Terrible Galatic Menace');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '25', 'm7d', 'All these jerks strutting around here think bravery resides in a blaster. But when push comes to shove, they turn tail and run. Are you one of those, or can you really stand up to the thugs menacing this area?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '26', 'm7o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '27', 'm7s', 'I had a sense about you, citizen. True courage should always be rewarded. Your money\'s been deposited.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '28', 'm7t', 'True Grit');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '29', 'm8d', 'You gotta help me, citizen! I testified against a swoop gang and got their leader sent to a labor camp on Berea. Now his followers have sworn vengeance and intend to burn my settlement to the ground. I\'ll pay you to get rid of these brutes. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '30', 'm8o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '31', 'm8s', 'Your heroics will be an example to others, citizen! I think more folks will stand up to these animals now. Go spend your just reward!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '32', 'm8t', 'Witness Needs Protection');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '33', 'm9d', 'I\'m trying to go straight, honest. I walked away from these spice smugglers, but now they claim I know too much about their operation and need to be silenced. Can you help protect me and my family? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '34', 'm9o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '35', 'm9s', 'Many thanks, friend! My family and I can now get on with our lives. The addition to your account should demonstrate my gratitude.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '36', 'm9t', 'Save Reformed Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '37', 'm10d', 'I should know better than to get drunk at the cantina with my friends. We all got to boasting, as we always do, and I claimed I\'d run the local swoop gang out of town by week\'s end. The swoopers got wind of it and now intend to murder me. If you help me get rid of them, I\'ll pay you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '38', 'm10o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '39', 'm10s', 'Well done, citizen! Your well-earned pay has been sent. If you ever get the fancy to knock back some cold ones with us, look us up at the cantina.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '40', 'm10t', 'Make Good a Drunk\'s Boast');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '41', 'm11d', 'This community is being terrorized by a mindless gang of cutthroats whose only means of communication is wanton violence and destruction. If you put a stop to their vile activities, I\'ll pay you a handsome reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '42', 'm11o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '43', 'm11s', 'You\'re a hero to the people, friend. Accept this reward and my unending gratitude. You should do this for a living.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '44', 'm11t', 'Be a Hero');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '45', 'm12d', 'A few young women have disappeared recently, and I suspect slavers. Those rogues have a base near here, from which I\'m certain they\'re shipping these girls offworld. Can you put a stop to this despicable activity?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '46', 'm12o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '47', 'm12s', 'It\'s good to know there are still heroes like you left in the galaxy. Please accept this payment as a token of my appreciation.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '48', 'm12t', 'Slavers Are Scum');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '49', 'm13d', 'Bullying helpless citizens requires very little courage, so I\'m not sure why these thugs are so proud. You want to impress people? Then go after the thugs and drive them out of this area. That takes true courage!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '50', 'm13o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '51', 'm13s', 'Citizen, you showed those bullies the true meaning of courage. Please accept this reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '52', 'm13t', 'Teach Bullies a Lesson');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '53', 'm14d', 'It was an accident that I killed one of those thugs. I had to do something, they were killing my pet! But now they\'re coming after me. You have to go there and stop them!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '54', 'm14o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '55', 'm14s', 'When a thug is killing my pet, I just get so steamed! Thank you so much for rescuing me. Please, enjoy this money!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '56', 'm14t', 'Defend Pet Owner');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '57', 'm15d', 'I wrote a play lampooning local crooked politicians. Turns out one didn\'t have a sense of humor, and he\'s hired thugs to burn down my house. But if you go to their hangout and stop them first, I\'ll pay you well.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '58', 'm15o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '59', 'm15s', 'That\'s a relief. I\'m going to write another play about this intimidation attempt, and you\'ll be in it. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '60', 'm15t', 'Save a Playwright');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '61', 'm16d', 'Those pirates are planning to take out an Alliance smuggling ship! I overheard them at the cantina. I can\'t go to the Imperials, and I don\'t know how to reach the Alliance, so I\'ll pay you to stop those pirates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '62', 'm16o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '63', 'm16s', 'Well done! I expect the Alliance ship got through all right. It\'s a shame they have to rely on smugglers, but the Empire controls the space lanes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '64', 'm16t', 'Help the Alliance');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '65', 'm17d', 'My little child is crying in her creche because a local gang has stolen this community\'s entire supply of infant formula. Now that\'s low! We\'ve all raised money to hire some goon like you to stop those other goons!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '66', 'm17o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '67', 'm17s', 'Sorry I called you a goon. I was feeling tense. Thanks for freeing up the supply of infant formula. It\'s the only kind my species can tolerate, you know.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '68', 'm17t', 'Help Starving Children');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '69', 'm18d', 'I broke up badly with an old flame, and my former sweetheart enlisted a bunch of lowlife thugs to harrass me. It\'s been torture! I can\'t reach my former love, so for now I want to hire you to stop the gang.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '70', 'm18o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '71', 'm18s', 'Since I hired you, I found my old flame, and we\'ve patched things up. A little. Anyway, thanks for stopping that gang.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '72', 'm18t', 'A Bad Breakup');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '73', 'm19d', 'With my life\'s savings I bought a beautiful Corellian Jumpmaster 5000 starship. In orbit, pirates attacked me, and I had to get out in the escape pod. But I\'ve tracked the pirates, and now I\'m hiring you to go in and destroy them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '74', 'm19o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '75', 'm19s', 'Great! I sure showed those pirates -- or, I mean, you did! Enjor your reward. It\'s all I have left, but now I can recover my ship and start over.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '76', 'm19t', 'Avenge Starship Captain');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '77', 'm20d', 'I had no idea one gang could stink up the air so much. No one can even sleep, it\'s so bad. All the folks who miss clean air have put together some money to hire someone like you to clean out that gang. Will you do it?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '78', 'm20o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '79', 'm20s', 'What in the galaxy were they doing, to create such a stench? Whatever it was, it was illegal, and you\'ve put a stop to it. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '80', 'm20t', 'Stop Stinky Thugs');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '81', 'm21d', 'A gang of thieves has been stealing ordinary GNK power droids all over this community. Nobody knows why; power droids aren\'t particularly valuable. But we\'ve traced the thieves, and we\'ve raised funds to hire a thu-- I mean, an adventurer or two to face them down in their lair. Go for it!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '82', 'm21o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '83', 'm21s', 'Thank you. Right now we\'re trying to figure out why the thieves wanted all those gonk droids. Apparently they would steal them, then turn them loose. Senseless.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '84', 'm21t', 'Solve Gonk Droid Mystery');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '85', 'm22d', 'I\'m in a bind. A friend of mine tangled with the wrong crowd and now they\'re holding him captive in their thieves\' den. If I call the authorities, those filthy gundarks will see trouble coming from a long way off. Someone needs to hit the place secretly and rescue my friend. I\'m sure he\'ll compensate you well.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '86', 'm22o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '87', 'm22s', 'Terrific! My friend escaped just after you arrived at the thieves\' den. He transmitted these credits to my account, and I forwarded them to you. Good job.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '88', 'm22t', 'Save Kidnapped Friend');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '89', 'm23d', 'May I have a word with you? I can\'t name names, but a certain politician would like to put a stop to a plot by another politician. Parliamentary procedure being what it is, this dispute is best handled outside the halls of government. I must hire someone to blow up the criminals who are perpetrating this scheme. If you want the job, it\'s yours.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '90', 'm23o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '91', 'm23s', 'The politician who employs me will be delighted to hear that the esteemed colleague\'s plot has been foiled. Interplanetary politics can be very satisfying, don\'t you think?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '92', 'm23t', 'Political Intrigue');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '93', 'm24d', 'Please help me! I found out a local swoop gang has put a price on my head! What did I ever do to them? My only hope is for someone to wipe this gang off the face of the planet, so the bounty will become invalid. Surely a rough-and-ready spacer like you can help a desperate, wronged citizen in my time of need?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '94', 'm24o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '95', 'm24s', 'Your fee has been deposited. That will teach the other swoopers around here not to tangle with innocent, harmless citizens like me. Unfortunately they\'re not a bright bunch.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '96', 'm24t', 'Slap Naughty Swoopers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '97', 'm25d', 'Do you smell that? It\'s waste gasses from a little ore refinery not far from here. A bunch of roughnecks built it to sidestep guild fees. Well, those of us who live around here don\'t plan to let them poison our air. We\'re willing to pay anyone who can knock that place out of operation once and for all. You\'ve done this kind of work before, right?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '98', 'm25o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '99', 'm25s', 'What a difference. I can smell that clean air! Well, cleaner than it was, anyway. You did your job and your payment\'s been transmitted. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '100', 'm25t', 'Help Clean the Air');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '101', 'm26d', 'The time has come, my friend. A band of space pirates robbed me of an expensive idol from the Onderon moon of Dxun. I can\'t make them give it back, but I can pay to have them punished. Aim those killer instincts of yours at their planetside den and don\'t look away until every one of them is dead.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '102', 'm26o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '103', 'm26s', 'Thanks, my friend. I knew you would finish them off with little trouble. I\'ll head over and see if my stolen Dxun idol is somewhere in the rubble.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '104', 'm26t', 'Give Me the Idol');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '105', 'm27d', 'I\'m not who you think I am. People say I look like an announcer from the local newsfeed, but I\'m just a loyal Imperial citizen. I\'m hiring someone to assault a local spice gang. Make it flashy. There could be, I don\'t know, hovercams or something in the area. I\'d like to set an example to other lawbreakers. Also, can you wear something eye-catching?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '106', 'm27o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '107', 'm27s', 'What a show! The hovercams captured the whole attack. I especially enjoyed the part where that gangster cursed you before dying. This is going to make great ratings for ... um, for whatever newsfeed sent those hovercams to film it. Not that I know anything about that. Ahem.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '108', 'm27t', 'Reality HoloNet Needs You');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '109', 'm28d', 'You must help me! I\'m trying to transport my niece off-planet, to save her from a criminal father. But he\'s got word of my plan, and his gang intends to kidnap the poor child! Please, I must hire you to attack the hangout where they always drink, to provide a distraction so I can rescue the girl. I\'ve got enough credits to pay you. Just hurry!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '110', 'm28o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '111', 'm28s', 'We did it! The girl is safely off to an Outer Rim planet and her father\'s gang is crippled. You\'re a good person. I\'m happy to pay this money.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '112', 'm28t', 'Save Innocent Niece');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '113', 'm29d', 'At last I\'ve found you! Years ago you served my father in the Clone Wars. Now he begs you to help him in his struggle against ... what did you say? You didn\'t serve my father? Oh. Well, you\'ll do anyway. How\'d you like to pick up a few credits by blasting apart a den of gas thieves near here?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '114', 'm29o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '115', 'm29s', 'You did it! You don\'t need to be paid, do you? I know there\'s more to you than just money. Right? Oh. Well, you\'ve got to follow your own path. No one can choose it for you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '116', 'm29t', 'Break Up Gas Thieves');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '117', 'm30d', 'It\'s an outrage! A crewman of mine was murdered by a gang of local cutthroats. Now they\'re keeping his body for who-knows-what reason. I\'m a spacer, not a fighter, but I can contract a tough guy like you to pay back those filthy gundarks! You pound them into rubble, and I\'ll give you whatever I have.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '118', 'm30o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '119', 'm30s', 'You\'ve honored my late crewman and rid this planet of some dangerous scum. If you decide to join a freighter crew, let me know, eh? I have an opening.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '120', 'm30t', 'Avenge My Crewman');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '121', 'm31d', 'Do I look like a simpleton to you? Then explain to me why a malodorous band of hoodlums would extort money from me. Me! Do they imagine I have no resources to pursue retaliation? On that topic, you look like you\'ve killed men before. Would you like to do so again? I can give you a substantial payment upon completion.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '122', 'm31o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '123', 'm31s', 'Most splendid indeed! Despite your looks, you are a being of the highest caliber. From now on those crooks shall think twice before accosting someone of my particular refinement and resources. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '124', 'm31t', 'Help Haughty Patron');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '125', 'm32d', 'Ever seen a golden bantha? They\'re rare and spectacular creatures. I owned one until yesterday, when a band of pelt smugglers killed it for the fur. I can\'t get my bantha back, but I can get retaliation. I know where they keep their contraband. I\'d like to contract you to level the place. WIpe them out, all of them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '126', 'm32o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '127', 'm32s', 'I\'ll always remember the scent of that smoke lingering over the ashes of those smugglers. You\'re very good, there\'s no denying that. Your payment has been sent. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '128', 'm32t', 'Stop Bantha Poachers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '129', 'm33d', 'You! You look like you could pull the ears off a gundark. I\'ve got a pile of credits waiting if you can attack a certain criminal lair and thoroughly dispose of it. They\'re up to no good in there, let me assure you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '130', 'm33o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '131', 'm33s', 'Fine job. I needed that territory cleared for my new cantina-casino, and you\'ve taken care of it in the most active way. Your pay is in your account.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '132', 'm33t', 'Help the Land Developer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '133', 'm34d', 'I\'m a love junkie, I admit it! I fell in with a gang member -- I like nice eyes, what can I say? -- but I had to end it. Now the whole gang has destroyed my home and promises to \"make me their droid.\" I need help! I\'ve got money; you\'ve got weapons; let\'s work together. Take out the gang nest, and let me live a loving life again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '134', 'm34o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '135', 'm34s', 'Thanks, hero! That was impressive. Your credits have been transmitted. Call me sometime. I like your eyes. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '136', 'm34t', 'Help Lovesick Fool');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '137', 'm35d', 'I contracted with another party to carry certain cargo past Imperial checkpoints. Matters went awry, I had to dump the cargo, and now the other party is making my life very, very hard. I offer you a fair reward for going to the other party\'s headquarters and removing this obstacle to my future happiness.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '138', 'm35o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '139', 'm35s', 'Thank you. I don\'t see why a few dozen Imperial turbolasers were worth all this fuss, but there you are.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '140', 'm35t', 'Take Out Spoilsports');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_non_persistent_from_npc.stf', '141', 'number_of_entries', '35');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '1', 'm1d', 'This place has been going downhill ever since that Toong couple next door had one of their slaves stolen. And that was over 30 years ago. Now we have these strange looking characters wandering around the neighborhood every night. I don\'t know what they do, but I\'m sure they\'re up to no good. They come from outside of town, sneaking into our settlement like criminals. I wish someone would get rid of them, so we can have some peace and quiet in this neighborhood. I\'ve collected some credits from the people who live around me and we\'re willing to pay anyone who can help keep our homes safe. \n\nElza Monimi');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '2', 'm1o', 'Elza Monimi');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '3', 'm1s', 'Thank you for your help. Although things still aren\'t as good as they were in old days, it is a step in the right direction. And credits well spent as far as I am concerned.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '4', 'm1t', 'Quieting the Nosy Neighbor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '5', 'm2d', 'While the Boonta Eve is mainly celebrated in certain parts of Mos Espa, it has become a night of mischief around here. A group of local hoodlums take it upon themselves to stir up trouble that night, stealing from the elderly and attacking anyone who dares to go outside. The group of troublemakers responsible lives outside of town. If someone would go there and put and end to their mischievous ways, the entire town would appreciate it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '6', 'm2o', 'Outraged Citizens');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '7', 'm2s', 'We appreciate your help. Now Boonta Eve will no longer be a dreaded day.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '8', 'm2t', 'The Boonta Eve Bandits');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '9', 'm3d', 'On one of my recent \"scavenging\" trips over the mountains, I made such a haul that I couldn\'t fit everything in my speeder. So I had to make two trips. I left a pile of spare parts and other things buried under a pile of dried brush near the peak of one of the mounatins in the Needles Range. Well, when I want back my stash was taken. Now I know complaining about someone stealing my stolen goods is pretty low, but this is how I make my living. On my last trip back there I was robbed by some thugs who I assume are the same ones who stole my stash. So I need someone to take this group out. If I can\'t continue to scavenge along the Needles I might actually have to get a real job.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '10', 'm3o', 'A local scavenger needs someone to make his stomping grounds safe.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '11', 'm3s', 'You really saved my skin. I don\'t know what I would have done if I had to go legit. With all the rules the Empire is imposing on us, it\'s been difficult to actually make a living. And a real job would break me.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '12', 'm3t', 'Scavenger Hunt');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '13', 'm4d', 'It was almost a year ago when we planned our group expedition to the famous sights of Tatooine. We split into two smaller groups when there was a disagreement on which places we\'d stop and see. There\'s never enough time to do everything. Anyway, when we separated, the plan was to meet back up at the Jag Crag Gorge. When we arrived there, the other group never showed up. They were robbed one night and had to head back home. This ruined the trip for everyone. And while the local authorities never did anything about it, we\'ve identified the thieves. Even though we are sure the stolen items can\'t be recovered, we would like to know that this won\'t happen again. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '14', 'm4o', 'A Group of Wronged Sightseers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '15', 'm4s', 'Thank you very much for eliminating those nasty thieves. We will continue our expeditions, now that Tatooine is a little safer.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '16', 'm4t', 'Journey from the Jag Crag Gorge');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '17', 'm5d', 'In our city lies an ancient grave site honoring Jedi Master Sidrona Diath. Sadly, the monument was senselessly defaced by a local group of Jedi haters. It was probably done to curry favor with the local Imperials. But Master Diath was a good man and a revered leader of Tatooine who fought valiantly before his fall in the Battle of Basilisk some 4,000 years ago. He also fathered Jedi Knight Dace Diath, a hero in the Sith War. And, of course, Diath was the first to speak the words \"Koroght Gaghght Takt\", which, for outlanders not familiar with the saying, means \"blessed be your going out from us\". Although the Empire probably wouldn\'t agree with us, those who defaced his grave should be punished. The key members of the Tatooine Coalition for the Preservation of the Prominent Past wish to remain anonymous, in the hopes of avoiding the Empire\'s wrath, but we are willing to pay a handsome sum to whoever deals with this problem.\n\nTatooine Coalition for the Preservation of the Prominent Past');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '18', 'm5o', 'Tatooine Coalition for the Preservation of the Prominent Past');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '19', 'm5s', 'The Coalition is forever grateful for your actions. And as the great Master Diath first said, \"Koroght Gaghght Takt\".');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '20', 'm5t', 'Defilers of an Ancient Jedi Grave');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '21', 'm6d', 'Someone has been taking water from the sacred canyons of the Tusken Raiders. It is creating unrest in one of the largest groups of Sand People in this part of Tatooine. This entire city is in jeopardy if this continues, but the local authorities seem unable, or unwilling, to do anything about it. We\'ve traced the thefts to a group outside of town, but we can\'t do anything about it on our own. We need a person with a particular talent to handle this situation. We don\'t care how you stop them, just save our town from the wrath of those superstitious savages.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '22', 'm6o', 'A Community In Peril');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '23', 'm6s', 'You are our savior! The Tuskens would have surely overrun our little community if you hadn\'t intervened. With their enemies destroyed, the Tuskens will likely move along.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '24', 'm6t', 'Who\'s Been Drinking the Gafsa Water?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '25', 'm7d', 'Gragra, a local gorgmonger, started growing gorgs and other edible amphibians in a sewer zone beneath this town decades ago. Long after she\'s left this place to work elsewhere, the gorg population continues to grow. Now, these little amphibious creatures don\'t do much damage down in the sewers but some of the squatters that live outside of town come here to feed on them. These squatters are known to rob and burgle the locals whenever they can. I am offering a generous reward to anyone who stops these squatters from invading our city. No questions asked.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '26', 'm7o', 'A Piqued Local Denizen');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '27', 'm7s', 'I appreciate your help in this matter. The entire city will benefit from your work. And I would also appreciate if you would keep quiet about your mission to kill the squatters.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '28', 'm7t', 'Evict the Gorg Eaters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '29', 'm8d', 'There\'s this clan of Sand People... Well, I\'m not sure that they\'re actually Sand People, but someone\'s been terrorizing travelers who come and go from town. I\'ve only heard stories, but I do know what they call themselves: the clan of Grk\'kkrs\'ar. I did some research on the term and it\'s actually the name of a mythic Tusken who never showed fear, even when facing a krayt dragon. Now my family is coming to visit from the far side of Tatooine and I don\'t want these Tuskens, or whatever they are, attacking my relatives. Please help me! But be careful. They sound dangerous...');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '30', 'm8o', 'A Concerned Tatooine Citizen');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '31', 'm8s', 'Praise the maker! You\'ve saved my family!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '32', 'm8t', 'The Clan of Grk\'kkrs\'ar.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '33', 'm9d', 'Now, it\'s not much of a business, but I am able to feed my family off the credits I make selling necklaces made from small snippets of japor. Last week some thieves took all of my necklaces as well as my carving tools. Without these things my family will starve. I have a few credits, but not enough to buy all those tools again. And the necklaces they took represent several weeks of work. I need someone to help me. I don\'t expect you to return all these things to me. I just want someone to clear out the thieves and I\'ll go back to their camp and reclaim my goods, as well as anything else I can find. I am willing to pay a fairly good sum for this work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '34', 'm9o', 'A Local Japor Carver');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '35', 'm9s', 'Thank you, friend. I would offer you a necklace in addition to your payment but I can\'t spare one right now. Just know that my family, and my business, are thriving again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '36', 'm9t', 'Japor Thieves');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '37', 'm10d', 'Things aren\'t like they were back when I was kid running around the streets of Mos Espa. Friends would stand by you, and Tatooine was on its own. No Republic or Empire or whatever telling everyone what to do. Now we live in a military state. Podracing is dead. There are military garrisons everywhere you look, and Jabba\'s associates bring the worst kind of scum to this planet. I always thought I\'d get out of here some day, but I don\'t think that will ever happen now. Still, I would sleep better at night if a certain group of scavengers living outside of town were taken out. I can\'t tell you what they did, but I do have plenty of credits to pay anyone who is willing to take them out. Bring me proof that they are bantha fodder and the credits are yours.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '38', 'm10o', 'Melee of Mos Espa');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '39', 'm10s', 'Thank you. I hope those scum suffered...');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '40', 'm10t', 'Melee\'s Drama');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '41', 'm11d', 'When I was a young man, my life was dedicated to protecting those who couldn\'t defend themselves. I spent most of my time defending the peaceful Jawas. They are too small to fight their own battles, I fear. They are constantly threatened by gangs of roving bandits, or worse. Well, I may be too old to actually pick up a blaster rifle or vibroax to battle those who would threaten the defenseless little desert wanderers, but I\'m not too crippled to at least go out check on the Jawas. I spotted some thugs moving in on the chatter-boxes. I\'m worried the Jawas are about to get killed. Go out stop these advancing trouble-makers, and I\'ll pay you for your trouble.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '42', 'm11o', 'An Altruistic Citizen');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '43', 'm11s', 'The Jawas are safe, for now. Although the little chatter-boxes would never thank you themselves (I don\'t even think that they realized they were in any danger), I do extend my gratitude (and a few credits) your way. I admit, I\'m old and cynical, but you\'ve shown me that there are still heroes left in the galaxy. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '44', 'm11t', 'Jawa Defender');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '45', 'm12d', 'WANTED: Adventurers to brave the deserts of Tatooine in search of villainous scum! \n\nInterested parties should have: some competence with a blaster, vibroblade, or other weapon; a willingness to travel the dangerous Tatooine wastes; and unflagging courage! Those who accept this mission will receive coordinates to the last known location of one of Tatooine\'s many roving bands of thugs or miscreants. Using these coordinates, the willing adventurer will be required to destroy any criminal encampments.  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '46', 'm12o', 'Mos Eisley Police Authority');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '47', 'm12s', 'We\'ve received confirmation of your mission\'s success. Good work. Your payment has been transferred.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '48', 'm12t', 'Adventurers Wanted');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '49', 'm13d', 'WANTED: Mercenaries willing to risk their lives for lucrative rewards.\n\nWe are seeking mercenaries capable of confronting Tatooine\'s many thugs, thieves, hoodlums, and swoop gangsters. Those who accept this mission must supply their own weaponry and other equipment. Upon acceptance, the Mos Eisley Police Authority will transmit the coordinates of a known criminal encampment. This camp must be completely destroyed. Risks are high, but rewards are fair. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '50', 'm13o', 'Mos Eisley Police Authority');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '51', 'm13s', 'We\'ve received confirmation of your mission\'s success. Good work. Your payment has been transferred.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '52', 'm13t', 'Mercenaries Wanted');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '53', 'm14d', 'May the Force be with us! TASKForce Tatooine is committed to fighting evil wherever it appears! As any galactic citizen will understand, Tatooine is overrun by a nearly-unstoppable criminal element. The thieves and killers spread like a virus across the desert. But agents of TASKForce Tatooine tirelessly locate these infections wherever they occur. We then hire competent soldiers to eliminate these dangerous dens and hidden lairs. Those willing to assist TASKForce Tatooine will be given coordinates to an identified criminal base. Once that base is destroyed, we will gladly transmit a sizable reward. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '54', 'm14o', 'TASKForce Tatooine ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '55', 'm14s', 'The Force was with you! Congratulations on wiping out those miscreants. Tatooine is much safer now, and we can begin searching for the next criminal target. A reward has been transmitted to your account.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '56', 'm14t', 'TASKForce Agent');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '57', 'm15d', 'Hello. I hope this transmitter is working right... Hopefully, this plea for help has reached the local mission terminals. If you\'re reading this, then I suppose I did something right... I\'ll keep this simple: We\'re a hardworking folk, but not very good with blasters or vibroweapons. Our lands are threatened by greedy, well-armed squatters. We need someone to step forward and help defend us. Please, accept this mission and move in on the murderers before they can close in us! We\'ll provide coordinates to their hideout; you just have to provide the blaster fire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '58', 'm15o', 'A Local Moisture Farmer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '59', 'm15s', 'Hello again. I wish to thank you for killing those murderous squatters. I\'ve dug up some credits and will transfer them to your account immediately.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '60', 'm15t', 'Squatters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '61', 'm16d', 'Jabba the Hutt is seeking brave warriors who wish to prove themselves in battle against the Hutt\'s many enemies! Jabba is constantly tracking his foes, who plot his downfall, attempt to steal his goods, and ambush his loyal troops. Jabba is enraged and sickened by his enemies, and wishes to see them all killed. Our intrepid scouts have located a band of Jabba\'s most-hated enemies in the desert. Any who accept this mission must go forth and stamp out this threat to Jabba\'s wealth and happiness. Those who succeed will earn a handful of credits, and Jabba\'s gratitude.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '62', 'm16o', 'Bib Fortuna, on behalf of Jabba the Hutt');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '63', 'm16s', 'I admit that I am surprised by your success. You have dealt with Jabba the Hutt\'s enemies, and you have fought bravely. I have slipped a few credits from Jabba\'s vaults in order to repay you for your services. If you are fortunate, Jabba will let you keep your credits... ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '64', 'm16t', 'Crime War');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '65', 'm17d', 'Transmission Translated from Jawaese for your convenience!\n\nWe Jawas are threatened by nasty, murderous humans and aliens, who kill us with wicked, sharp blades and fiery blasters. They hunt us across the sands, leave our bodies burning on the dunes. We need brave, bold heroes to stop these evil, dangerous thugs! Accept this quest and we will send you a radiant, glowing beacon that you can follow to our enemies! When you destroy their base, we will pay you many glorious credits. \n\nWimateeka, Jawa Clan Leader');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '66', 'm17o', 'Wimateeka');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '67', 'm17s', 'Transmission Translated from Jawaese for your convenience!\n\nMost exalted hero of the Jawas! Thank you a hundred times for saving us from evil, murderous thugs. We will now pay you a sizable, big reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '68', 'm17t', 'Jawa Killers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '69', 'm18d', 'Nothing is more important than family. Last season, my son was killed by thugs. He was just heading out to Anchorhead for some power converters and other supplies when he was ambushed by the murderous scum. They left him to rot in the desert. I reported the murder to the Imperial authorities in Bestine, but they said they couldn\'t find the killers. I doubt they even looked. It only took me two days to find the band of thieves who blasted my son. Now, all I want is revenge. I\'m offering a reward to anyone who can avenge my son. But I won\'t be happy with just a few dead murderers; I want their entire camp burned to the ground.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '70', 'm18o', 'A Heartsick Father');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '71', 'm18s', 'You have my heartfelt and undying gratitude. And my son, wherever he is, thanks you as well. Those murderers are dead, and they will never hurt another innocent traveler. The credits I give you as a reward will never be thanks enough for all you have done, for my family and this planet.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '72', 'm18t', 'Avenger');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '73', 'm19d', 'A group of local roughnecks have been causing a lot of trouble in and around Anchorhead. They tear through town, kicking up dust and scaring away the honest farmers. They\'ve even started stealing droids and shaking down the locals for \"protection fees.\" When some of my hired hands confronted these dirtbags, the roughnecks nearly beat them to death. It\'s only a matter of time before they kill someone... So, I followed these bums to their hideout in the desert. Anyone who wants a few credits can saddle up and take care of the roughnecks. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '74', 'm19o', 'Fixer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '75', 'm19s', 'Nice work, friend. Those roughnecks won\'t be bothering us again. And just in time, too; some of the old-timers here were ready to go to Jabba for help, and that would have only put us into in his debt. I\'d much rather pay you a few credits than owe that slug my life.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '76', 'm19t', 'Roughnecks');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '77', 'm20d', 'My employer, the All-Powerful Jabba the Hutt, has been implored to come to the aid of the citizens of Anchorhead. It appears that these simpering, unarmed farmers are being harassed by a gang of violent roughnecks. Jabba\'s generosity knows no bounds, and he has decided to aid this group. For a price, of course. In fact, partial ownership of Anchorhead, it seems. To help these poor, unfortunate fools (and gain a foothold in Anchorhead), Jabba is hiring mercenaries. Any hired thugs, trained or untrained, are welcome to accept this mission. Upon doing so, you will receive coordinates to the lair of Jabba\'s new enemies. Simply eliminate these ruffians and destroy their base to earn Jabba\'s gratitude.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '78', 'm20o', 'Bib Fortuna, on behalf of Jabba the Hutt');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '79', 'm20s', 'I must admit, I am surprised that you succeeded in your mission. I\'m sure Jabba will be pleased, when I find the time to tell him of your victory. For now, be content with the handful of credits I\'ve generously transferred into your account.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '80', 'm20t', 'Jabba\'s Ploy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '81', 'm21d', 'I\'ve recently purchased a large plot of land on Tatooine, but when I sent agents to investigate the territory, they discovered it was staked out by some squatters. The dirty locals became violent when my agents tried to drive them from my land. I acquired a bit of the desert legally, I assure you, and now I want those squatters evicted. Accept this mission, destroy the squatters\' shack, and you\'ll be promptly paid.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '82', 'm21o', 'A Corellian Businessman');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '83', 'm21s', 'Good work, my loyal agent. I will now be able to build what I hope will become one of the galaxy\'s most lucrative mines on Tatooine. For your role in helping me to create my empire, I have rewarded you a fair sum.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '84', 'm21t', 'The Landlord');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '85', 'm22d', 'TRANSMISSION TRANSLATED FROM HUTTESE\n\nAs you probably know by now, Watto the Toydarian, owner of the once-legendary Watto\'s Junkshop and Spare Parts in Mos Espa, has fallen on hard times. Ever since he lost his fortune betting against a Jedi in the Boonta Eve Podraces, Watto has been deep in debt with just about everyone on Tatooine, including Jabba the Hutt.\n\nI\'ve known Watto all my life and I\'m trying to help him out. He\'s not the friendliest gasgut, but he\'s practically an institution in Mos Espa. And maybe I feel a little responsible for Watto\'s plight, since it was my friend Anakin who won the Boonta Eve that year and left Watto without a credit to his name. Or maybe I\'m just hoping that Watto will eventually give me the junkshop...\n\nWhen I heard that the Imperials were offering rewards to adventurers willing to track down and defeat some local thugs, I figured we could earn some quick credits by taking out these criminals. But Watto always wants to be the middle-man. He\'s identified some of the easiest targets the Imperials have to offer and has personally guaranteed that the criminals in question will be eliminated. Now, he just needs to hire adventurers like you to kill these thugs. We\'ll pay you the reward, after Watto takes his \"commission\" of course. It\'s not a perfect set-up, but I can guarantee that Watto has selected only the best assignments. And, by dealing with Watto directly, you avoid any Imperial entanglements...  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '86', 'm22l', 'Watto the Toydarian is hiring sub-contractors to complete Imperial missions.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '87', 'm22o', 'Wald');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '88', 'm22s', 'TRANSMISSION TRANSLATED FROM HUTTESE\n\nThings don\'t look so grim around Watto\'s shop these days. Surprisingly, his sub-contracting scheme seems to be working, thanks in part to you. Even after paying you your reward, Watto has enough left over to upgrade his inventory and attract new customers. And, because he\'s proven to be so reliable, Watto is gaining quite a reputation with the Imperials. They\'re even starting to buy parts from the junkshop.\n\nAs one of Watto\'s sub-contractors, you\'ve been paid for your services. Please note that, while Watto did deduct his standard commission, I threw in a few credits of my own to thank you for a job well done.\n');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '89', 'm22t', 'Toydarian Middleman');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '90', 'm23d', 'The Tatooine Reclamation Society is a coalition that includes Bestine, Mos Espa, and several other major cities on Tatooine that have joined forces with generous Imperial authorities to improve life on our desert planet. As part of the Tatooine Reclamation Project, the Tatooine Reclamation Society is planning to construct waystations between the planet\'s primary settlements. Unfortunately, the proposed sites of some planned waystations have already been \"settled\" by bandits, thieves, squatters, and other undesirables. The Tatooine Reclamation Society is broadcasting the coordinates of these illegal settlements in the hopes that loyal Tatooine citizens will take it upon themselves to aid the Reclamation Project by destroying these \"obstacles.\" A suitable reward will be offered to anyone who helps in our efforts to develop these essential waystations.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '91', 'm23o', 'Tatooine Reclamation Society');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '92', 'm23s', 'The Tatooine Reclamation Society is pleased to report that Phase I of our proposed waystation project is nearly complete! Criminal settlements previously blocking construction on these proposed waystations have been eliminated. Those citizens directly responsible for the destruction of these bases, hideouts, and camps have been rewarded and deserve the thanks of the entire planet!\n\nPhase II of the project - the actual construction of the waystations themselves - requires additional funding. We have been promised a substantial grant from the local Imperial prefect, but a recent military mishap near Yavin IV has evidently diverted all Imperial credits for the forseeable future. The Tatooine Reclamation Society is seeking other backers, including the generous Jabba the Hutt. We believe that the waystation project will be back on track within a few seasons! ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '93', 'm23t', 'Waystation Project');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '94', 'm24d', 'We, the Dim-U monks of Tatooine, who worship at the hairy feet of the Mighty Bantha, are seeking defenders of our hirsute idol. While Tatooine should be the domain of the bantha alone, the Horned-One must share the planet with a host of lesser beings. Most recently, the Revered Bantha has been plagued by foul thugs, dirty criminals, and murderous hunters. These bipedal vermin badger the Wandering Bantha, or kidnap His children, or even kill Him in the hopes of hanging his lush coat on their walls. The coffers of the Dim-U monastery are full, ready to serve the cause of the Enduring Bantha, in whose eyes all Universal Truths are revealed. We only await a champion to step forward and purge the Stalwart Bantha\'s enemies!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '95', 'm24o', 'Dim-U Monks of Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '96', 'm24s', 'The Mighty Bantha, the legendary Horned-One who brings peace and tranquility to all who gaze upon Him, is safe once again! You have served the Enduring Bantha well! The Dim-U monks, loyal servants of the Wandering Bantha, are overjoyed at your success. Our coffers have been opened and you will be rewarded. The Dim-U monastery thanks you on behalf of the Horned-One, whose powerful bellow will roar your name across the desert and throughout the start so that all who worship at His hairy feet will know of your heroic deeds.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '97', 'm24t', 'Bantha Defender');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '98', 'm25d', 'The Tatooine Civilian Defense League has detected an alarming rise in the number assaults, petty thefts, and acts of vandalism in and around the habitable areas of the planet. These crimes are the work of several small bands of roving thugs. In the hopes of reducing the crime rate on Tatooine, the Tatooine Civilian Defense League is authorized to pay for the destruction of all identified criminal camps.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '99', 'm25o', 'Tatooine Civilian Defense League');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '100', 'm25s', 'Excellent work! Unlike most of our hired agents, you\'ve actually succeeded in defeating those criminals who enjoy terrorizing Tatooine locals. Your reward has already been transferred to your account.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '101', 'm25t', 'Criminal Element');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '102', 'm26d', 'Swoop gangs are a terrible menace on Tatooine! They race all over the planet, outrunning the law and attacking anyone they come across. But I\'ve come up with a plan to cull these criminals. When traveling together, swoop gangsters are like a pack of slice-hounds. They gain confidence from just being around one another, and easily overwhelm the weak or defenseless. But when caught one-on-one, or in small groups, the swoopers aren\'t very tough. I\'ve located some smaller swooper camps. Anyone who wants to prevent the swoop gangs from taking over Tatooine should sign up here! I\'ll transmit coordinates to a manageable hideout, and you just take care of the rest.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '103', 'm26o', 'Swoop Hunters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '104', 'm26s', 'I told you the swoop gangsters weren\'t so tough, especially when they\'re caught in small groups. Nice work taking out that base. Now, there are fewer thugs to harass the locals.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '105', 'm26t', 'Concerned citizen hiring adventurers to battle swoop gangs');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '106', 'm27d', 'Listen up, worms. I\'m a leadin\' member of one of Tatooine\'s most feared and respected swoop gangs. I\'m not gonna say which swoop gang, because we don\'t need no trouble with the Imperials. But I have a sweet deal for anyone with a blaster and an itchy trigger finger. It\'s no secret the swoop gangs on Tatooine are at war. There\'s a rival gang moving in on my territory, and I want to give those scurvy mynocks a surprise. Rather than send my gang out to take care of \'em, I figure I\'ll offer some of you \"adventurers\" a chance to even the score for me. They\'ll be watchin\' out for dust-blowing swoops, but a solo operator or small group of mercenaries can get in close and take out their base. I can send you one of them glowing waypoints; just follow it and attack any chuba-eating scum you find. Then burn their camp to the ground, to send a message.  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '107', 'm27o', '\"Captain Crossbones\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '108', 'm27s', 'Hah! I knew my plan would work! Those sandmite-infested fools have been watching me and my gang for weeks, but they didn\'t have an eye on you, my friend! I haven\'t seen such a one-sided fight since crazy old Ben took off that Walrusman\'s arm in the Mos Eisley cantina. I\'ve sent some loot your way. Spend it while you can; I won\'t be surprised if those swoopers retaliate... ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '109', 'm27t', 'Turf War');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '110', 'm28d', 'My brother was killed by a swooper the other day. The murderers will get away with this terrible crime if someone doesn\'t step forward and wipe them out. I\'m not a vigilante, but I\'m looking for someone willing to deliver a little desert justice to these vermin.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '111', 'm28o', 'A Bereaved Local');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '112', 'm28s', 'By the shifting sands of Tatooine, may my brother always remain in the memories of those who loved him. And may your heroic deeds on his behalf always be part of our family history. I shall never forget that you brought my brother\'s murderers to justice. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '113', 'm28t', 'Vigilante');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '114', 'm29d', 'WANTED: Able-bodied adventurers to battle roving swoop gangs on Tatooine! \n\nTatooine\'s swoop gangs are out of control! They\'ve become a public menace. Tatooine authorities are willing to pay large rewards for the elimination of this threat. Those willing to accept this dangerous assignment will receive coordinates to a known swoop gang camp. The camp must be destroyed before any rewards will be processed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '115', 'm29o', 'Mos Eisley Police Authority');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '116', 'm29s', 'We\'ve received confirmation of your mission\'s success. Good work. Your payment has been transferred.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '117', 'm29t', 'Swoop Gang Cleanup');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '118', 'm30d', 'The name\'s Dengar. You\'ve probably heard of me. I was the best swoop racer in the entire galaxy. No one could catch me. And I had a loyal gang watching my back. The past, it\'s all a bit hazy now... But I know some Corellian punk ambushed me in the Agrilat Swamps on Corellia. The crash ruined my career. The Empire fixed me up right, and I\'m good at killin\' now. But my old gang scattered. Treacherous space slugs, they left me for dead. Joined up with another swoop gang on Tatooine. No one leaves Dengar behind. No one. I know where the scurriers are hiding, but I\'m still property of the Empire. Got a job to do. I need someone tough and mean to take out my old crew. I\'ll send the coordinates when you accept this mission.  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '119', 'm30o', 'Dengar');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '120', 'm30s', 'You\'re quite the killer. Maybe you should consider getting\' fixed up by the Empire. The Imperial cutters ripped out part of my brain and replaced it with tech. I sometimes see things, hallucinate, but I\'m one of the highest-paid assassins in the Outer Rim, so I ain\'t complainin\'. Maybe you should take the credits you just earned and have a little work done too.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '121', 'm30t', 'Old Friends');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '122', 'm31d', 'For years, an unruly band of Tusken Raiders has lived on the Mochot Steep, venturing out now and again to cause trouble around town, but never really doing any major damage. Until now. There\'s another group of troublemakers that has been battling the Tuskens for supremacy of the Mochot Steep. This has stirred up major trouble. The Tuskens are out scavenging almost every night, trying to prepare themselves for the next attack. The local merchants have been suffering greatly from this little war. Now, we don\'t think that the Tuskens will ever leave the Mochot Steep, which is fine with us. We just need someone to stop those new bandits from stirring up the Tuskens. Can you aid us?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '123', 'm31o', 'Concerned Local Merchants');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '124', 'm31s', 'Congratulations! You have done the locals a great service. The Tuskens should go back to their normal behaviour and leave us alone now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '125', 'm31t', 'Steep Struggle');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '126', 'm32d', 'Hundreds of years ago, a former employee of the Tatooine Bureau of Ethnicity and Socialization named Alkhara allied himself with a savage group of Tusken Raiders and destroyed an entire police garrison. It started a bloody feud with the Tusken Raiders that lasted for many years. He built himself a small empire and after he died his headquarters became Jabba\'s Palace. While his terrible reign was ended many years ago, there are still pockets of those who believe in the anarchy that Alkhara preached. We at the Bureau would like all memory of Alkhara to be erased. We are offering a substantial reward for the removal of any known camps or bases belonging to Alkhara\'s followers.\n\nTatooine Bureau of Ethnicity and Socialization  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '127', 'm32o', 'Tatooine Bureau of Ethnicity and Socialization');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '128', 'm32s', 'The Tatooine Bureau of Ethnicity and Socialization would like to thank you for your assistance in helping to remove Alkhara from the memory of the citizens of Tatooine.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '129', 'm32t', 'Followers of Alkhara');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '130', 'm33d', 'This may not mean anything to you, but it means the world to me. I had my entire trugut collection stolen by a group of bandits. They have no idea what it\'s worth and will probably just give it away for a few creds. For those who don\'t know, the trugut is a Hutt form of currency that only had value on Hutt-controlled worlds. But the use of truguts on Tatooine ended with the arrival of the Empire. In the day, one trugut was worth sixteen wuipiupi, a quarter of a peggat, or ten dataries. But now, to the right collector, they are worth ten times that. I would like someone to take care of these thieves for me. They don\'t deserve to hold such a rare and exquisite collection.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '131', 'm33o', 'A Collector of Rare Coins');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '132', 'm33s', 'I hope those vile sith spawns know that they paid dearly for robbing an old man. Thank you for help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '133', 'm33t', 'Coin Collectors');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '134', 'm34d', 'This may sound strange coming from me, since I\'ve no love for droids, but I need some help putting a friend of mine back together. You see, me and Ceetoo-Arfour have been making specialty drinks for a months now, and making good money all over Tatooine doing it. But recently some blasted bandits looted my hovel and trashed the place. Worst of all, they stole Ceetoo\'s special mixology circuit board. I had pulled the board out to clean it, and then left it out to dry. Must have looked like an important piece of data to them, and the scum snapped it up along with some other personal belongings. Now I don\'t expect you to bring back my stolen goods, but if you could take care of the sand-eating creeps that did this to me, I\'ll search through the rubble and find the pieces to put Ceetoo-Arfour back together again.\n\nWuher');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '135', 'm34o', 'Wuher');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '136', 'm34s', 'Now I can go retrieve that blasted board and get this lazy bucket of bolts back to work on our latest concoction. I\'d offer you a free drink, but we haven\'t mastered the latest recipe yet.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '137', 'm34t', 'Wuher\'s Droid Dliemma');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '138', 'm35d', 'A group of punks got me fired from my gig as the front desk clerk at the Lucky Despot hotel. I want it back. And the only way that\'s going to happen is if this group of low-life bandits is never seen or heard from again. Got it?\n\nAnton ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '139', 'm35o', 'Anton');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '140', 'm35s', 'Excellent. Now I can prove myself worthy to my old boss. I\'m certain I\'ll get my old job back.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '141', 'm35t', 'Anton\'s Big Break');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_neutral_medium_npc_tatooine.stf', '142', 'number_of_entries', '35');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '1', 'm1d', 'Local Imperial patrols have been relying on a refueling depot not far from here. The depot\'s destruction would certainly hamper the Empire\'s ability to effectively search for our cells. The Empire realizes this, so the depot is likely to be well defended. This mission will require skill and fortitude. Can the Alliance depend on you to lead such a strike?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '2', 'm1o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '3', 'm1s', 'Now that\'s how it\'s done! Those Imperial patrols will stay grounded for a while. Long live the Alliance!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '4', 'm1t', 'Destroy Local Refueling Depot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '5', 'm2d', 'A transport repair station at these coordinates services Imperial scout troopers\' speeder bikes. If this facility were destroyed, it would limit the number of Imperial search-and-destroy missions for this entire system. Can we count on you to orchestrate this strike? As always, the Alliance will reward you for services rendered.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '6', 'm2o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '7', 'm2s', 'Broken down speeder bikes don\'t do the Empire any good. Job well done, agent. The Alliance could use more fighters like you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '8', 'm2t', 'Destroy Local Repair Station');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '9', 'm3d', 'A small SoroSuub weapons testing facility must be knocked out. We believe they are working on an improved design for the scout trooper blaster that would greatly increase its firepower and accuracy. The Alliance can\'t afford to have scout troopers get better sidearms. We don\'t know what kind of security this facility will have, but we imagine it\'ll be formidable.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '10', 'm3o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '11', 'm3s', 'Bravo! No new blasters for those scout troopers! An impressive bit of work, agent. The Alliance thrives because of individuals like you. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '12', 'm3t', 'Destroy Weapons Development Lab');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '13', 'm4d', 'We\'ve located a major Imperial power droid manufacturing plant. Taking this plant out would be more than a simple inconvenience for the Empire. Their Star Destroyers and garrisons rely on these power droids to keep battle stations running. It will take a strong, precise strike to cripple this installation. The Alliance needs your help.  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '14', 'm4o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '15', 'm4s', 'No power means no weapons or defenses. Our congratulations on the success of your mission. Keep up the good work. The Alliance is counting on you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '16', 'm4t', 'Wipe Out Power Droid Plant');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '17', 'm5d', 'Our informants have identified an ISB compound used for interrogations. If the stories can be believed, terrible atrocities have taken place. Destroying this foul place would send the right message to both the Empire and to citizens who lived in fear of Imperial Security. We\'re looking for a dedicated agent who can lead a successful assault on this nightmarish compound. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '18', 'm5o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '19', 'm5s', 'Bravo, agent! Now citizens will realize that the power of the ISB is not absolute and that the Empire is fallible. You\'ve earned your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '20', 'm5t', 'Destroy ISB Interrogation Compound');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '21', 'm6d', 'We\'ve located a Sienar Fleet Systems warehouse and have learned that it\'s currently storing ion engines scheduled to go to Imperial shipyards in this sector. That will mean more TIE fighters for our X-wing pilots to deal with. We need someone to destroy that warehouse and everything inside.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '22', 'm6o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '23', 'm6s', 'The distinctive roar of those TIE engines is greatly diminished today. Great job, agent. We knew we could count on you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '24', 'm6t', 'Destroy Sienar Warehouse');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '25', 'm7d', 'An Imperial Academy processing center is currently housing the results of several hundred potential pilots\' flight exams. If those scores are destroyed, this will create a severe backlog for the Imperial bureaucracy and slow the aggressive recruitment efforts of the Imperial Navy. Further, it would let us approach potential recruits and possibly enlist their aid against the Empire. Do you wish to lead this important mission?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '26', 'm7o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '27', 'm7s', 'Excellent! The best thing about the Empire\'s ponderous bureaucracy is that it\'s easy to throw a hydrospanner into the works. Good job! Claim your reward and may the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '28', 'm7t', 'Destroy Imperial Records');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '29', 'm8d', 'The Alliance has acquired the coordinates to an Imperial HoloNet data collection station. This station is used by Imperial Intelligence\'s Analysis Bureau to coordinate surveillance efforts for the entire sector. If we take out this station, we effectively cripple Imperial Intelligence\'s ability to uncover our sabotage missions and raids of Imperial depots. Can you lead such a strike?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '30', 'm8o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '31', 'm8s', 'Bravo! Cut off the head and the body cannot survive for long. Your efforts to interrupt Imperial Intelligence\'s communication to the rest of the Empire\'s war machine will be instrumental in our eventual success. Your reward is well earned.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '32', 'm8t', 'Plug Up the Empire\'s Ears');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '33', 'm9d', 'A small Imperial outpost is currently being used to store of seized glitterstim spice. This cargo is intended to bribe Corporate Sector Authority officials to comply with Imperial Intelligence\'s requests to access confidential corporate records. The Alliance needs a few good individuals to make sure that outpost is destroyed and everything inside it is burned to the ground. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '34', 'm9o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '35', 'm9s', 'Good! Not only have you disposed of a great deal of illegal drugs, you\'ve cost Imperial Intelligence millions of credits worth of bribe money. Let\'s see how eager they are to bribe the CSA now that they have to dig into their own budget. This is a great victory for the Alliance, friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '36', 'm9t', 'Destroy Illegal Drugs');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '37', 'm10d', 'A cargo of probe droids has just been delivered to a supply depot servicing this sector. A Star Destroyer is scheduled to enter the system\'s orbit sometime in the next few days and those probe droids will be transported aboard. We don\'t need to tell you how much damage those probe droids can cause to the Alliance. We need a skilled agent to take out that supply depot and make sure those probe droids are destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '38', 'm10o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '39', 'm10s', 'Good going! Fewer probe droids means fewer chances to find our bases. The Empire can\'t destroy what they can\'t find, after all. You\'re becoming a very promising agent indeed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '40', 'm10t', 'Poke Out the Empire\'s Eyes');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '41', 'm11d', 'We\'ve discovered a shipment of turbolaser actuators, currently stored in an Imperial depot and scheduled to be delivered to the Kuat Drive Yards. We must make sure those actuators are never installed in any capital ship\'s weapons. A team of skilled agents should be able to blast this depot off without much trouble. You\'ll have to work fast, though.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '42', 'm11o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '43', 'm11s', 'Well struck, agent. Without their turbolasers, those hulking capital ships are just so much space debris. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '44', 'm11t', 'Blow Up the Turbolasers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '45', 'm12d', 'A large shipment of orbital mines is to be delivered to the Star Destroyer Avenger soon. The dispersal of these mines would make life much more difficult for our fleet, as you can imagine. We\'ve discovered these mines and need the depot blasted into oblivion. The coordinates will be sent when you accept the mission. May the Force be with you. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '46', 'm12o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '47', 'm12s', 'Good work, citizen! Those mines won\'t be claiming the lives of our pilots and crew members. We look forward to working with you again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '48', 'm12t', 'Orbital Mines Bad');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '49', 'm13d', 'The Empire has designed an improved subspace transceiver. The working prototype was sent to a manufacturing facility for mass production. A small team of operatives must make sure those transceivers are never built and either secure or destroy the prototype.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '50', 'm13o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '51', 'm13s', 'It\'s obvious you know the meaning of success, citizen. Job well done! Even if we didn\'t get the prototype, its destruction is a good consolation prize.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '52', 'm13t', 'Blast the Imperial Transceivers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '53', 'm14d', 'Reports have been coming in about an amazing little MSE-6 droid. If Imperial Intelligence reports are to be believed, that tiny dynamo has led those Imperial slugs on a wild mynock chase. We want to help spread these rumors. We\'ve planted a false Imperial report on the HoloNet that claims the Empire is holding the droid at a detention facility. We need a team of operatives to strike this detention facility and make it seem as if the MSE-6 droid was \"rescued\" by the Alliance. Can you help us embarrass the Empire further?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '54', 'm14o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '55', 'm14s', 'Excellent \"rescue!\" If we can get those Imperial slugs to start worrying about their MSE-6 droids, then we\'ve already won this war. Keep it up.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '56', 'm14t', 'Rescue the Mouse Droid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '57', 'm15d', 'The Empire has deployed a prefab structure in an outlying area. It appears to be an early beachhead for a diplomatic garrison. No one here knows what a diplomat would have to be diplomatic about, way out there. In any case, we need you to destroy it before the Empire can fortify it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '58', 'm15o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '59', 'm15s', 'Fast work! It\'s not often we take out an Imperial garrison, even if it is just a diplomatic garrison. Actually, only the first part of one. Never mind, you deserve your reward!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '60', 'm15t', 'Diplomatic Garrison Target');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '61', 'm16d', 'We have identified an Imperial fortified complex as a gunnery school for local recruits. Today they\'re firing at target droids, but tomorrow they\'ll be aiming at us. You have to destroy that compound -- today!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '62', 'm16o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '63', 'm16s', 'Excellent work! The Alliance has nothing against education, but we don\'t like what the Empire does with it. We look forward to working with you again!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '64', 'm16t', 'Imperial Gunnery School');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '65', 'm17d', 'The Empire\'s infrared camera lenses require the rare mineral byrothsis. These lenses require frequent specialized maintenance, and one of the maintenance facilities is nearby. By destroying the byrothsis purification facility, your team can put the Empire in the dark. Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '66', 'm17o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '67', 'm17s', 'Excellent job. With their infrared lenses going cloudy, Imperial TIE fighters might be slower to see our ships. Let\'s hope!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '68', 'm17t', 'Imperial Byrothsis Facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '69', 'm18d', 'The Empire is relaying a cache of rare durindfire gems, under heavy guard, to a merchant in this area. You may know that Imperials traffic in these gems to finance their more exotic projects, such as the Death Star. If you can destroy these gems in their holding facility, you\'ll strike a blow against covert financiers across the galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '70', 'm18o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '71', 'm18s', 'The Empire protects those durindfire gems the way you and I protect our dearest heirlooms. It\'s amazing that you destroyed them. Good work!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '72', 'm18t', 'Imperial Durindfire Gem Facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '73', 'm19d', 'Imperial forces are guarding -- perhaps a better word is \"confining\" -- engineers working for Baktoid Combat Automata. These engineers are stress-testing blaster subsystems for a redesigned Protector-series combat droid. We\'d like you to destroy the engineering compound and the Protector plans. Unfortunately, the engineers must be considered expendable.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '74', 'm19o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '75', 'm19s', 'Thank you! Facing an improved Protector droid would not have been fun, to say the least. Nice job!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '76', 'm19t', 'Empire Redesigning Protector Droids');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '77', 'm20d', 'The Empire is raising funds by shipping thermal detonators to local gangsters. What a bunch of hypocrites! These bombs always end up destroying innocent civilians\' property, so we want you to blow up the detonator warehouse. Be careful -- it\'s got fairly heavy defenses.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '78', 'm20o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '79', 'm20s', 'You did it! It\'s a relief to know those detonators won\'t be troubling the locals. This reward\'s yours. And be sure to mention to everyone -- the Empire deals with crooks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '80', 'm20t', 'Empire Selling Detonators to Crooks');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '81', 'm21d', 'mperial Intelligence is working on high-frequency broadcasts that burn out a droid\'s restraining bolts and ruin its programming. Basically a droid gets this signal and goes berserk. Of course, any grownup can handle a rogue 3PO unit, but what about the children? Stop this weird-science research before it\'s too late.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '82', 'm21o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '83', 'm21s', 'Scratch one more Imperial Intelligence mad-science project. That droid idea might never have worked, but it doesn\'t hurt that you made sure. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '84', 'm21t', 'Empire Sabotaging Restraining Bolts');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '85', 'm22d', 'If you\'ve fought on foot against one of those two-leg Imperial scout walkers, you know they\'re dangerous. We\'ve got word that a local armory is stockpiling the specialized axidite control boxes used in AT-ST command pods. You have a big chance here to interrupt a major Imperial supply chain!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '86', 'm22o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '87', 'm22s', 'Thank you! That armory stockpile would have gone into dozens of Imperial walkers. Maybe hundreds. Good job!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '88', 'm22t', 'Axidite Stockpile');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '89', 'm23d', 'Dola trees are apparently sentient plants of Aruza. Never heard of them myself, but their flowers make an antibiotic syrup we use to treat local ailments. Imperial Intelligence agents stole our supply of dola flowers and plan to use them to breed a new slave race. The flowers are now useless for antibiotics. We need you to destroy them and the Imperial research lab.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '90', 'm23o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '91', 'm23s', 'The dola syrup stolen by the Empire would have saved lives, but your work at least protects the dola trees from Imperial slavery. Thank you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '92', 'm23t', 'Empire Breeding Dola Tree Slaves');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '93', 'm24d', 'the Empire is shipping in components for their GTU AV-1A Assault Armor. It\'s a powered combat suit for elite troops, sort of a hovertank you can wear. We\'ve never seen it in action, and we don\'t want to. If you inflict enough damage to the warehouse, you may set off the explosive charges they use for the suit\'s ejection system. Then get clear, fast!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '94', 'm24o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '95', 'm24s', 'Those GTU power suits are expensive and tricky, so with luck we\'ll never see them on this planet. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '96', 'm24t', 'Imperial GTU Armor Components');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '97', 'm25d', 'An Imperial Security outpost here has procured, through illegal back-channels, a shipment of neuronic whips. That\'s right, slaver weapons, outlawed on every civilized world. They intend to use these brutal stun-whips for crowd control and intimidation. You must destroy the warehouse and the whips. Expect serious opposition, though.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '98', 'm25o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '99', 'm25s', 'What a relief! Those neuronic whips would have caused terror far beyond mere crowd control. Thanks for destroying them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '100', 'm25t', 'Empire Using Neuronic Terror');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '101', 'm26d', 'Maybe you\'ve heard the reports of local swoop gangs with suspiciously good weaponry. We know the Empire\'s COMPNOR security goons have been arming crooks in communities sympathetic to the Alliance. Now we\'ve found an Imperial Army depot where COMPNOR requisitions the gang weapons. Stop this operation at its source!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '102', 'm26o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '103', 'm26s', 'That\'s one more blow in the fight against gang violence. Those swoop gangs will keep endangering innocent people until we cut off their weapon supply. Good work! ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '104', 'm26t', 'Swoop Gangs With COMPNOR Weapons');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '105', 'm27d', 'We\'ve located an Imperial Army installation housing unusual ammunition: flechette microdart canisters, toxin darts, magna caster quarrels. The installation doubles as quarters for the specialists who maintain this ammo. Expect tough opposition, and stay well clear when you blow up the place.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '106', 'm27o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '107', 'm27s', 'Well done! It\'s enough trouble facing blasters and AT-ATs without worrying about those deadly exotics. Here\'s your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '108', 'm27t', 'Exotic Ammunition Stockpile');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '109', 'm28d', 'The Empire\'s covert research into planet-wide biochemical weaponry continues. Mass production of these fearsome killers require specialized reagents and catalysts. We have tracked down a facility producing purified niobarium, a poisonous chemical used in one weapons-grade process. To cut off that process, destroy the niobarium plant.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '110', 'm28o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '111', 'm28s', 'Reports are showing negligible release of niobarium from the destruction. Fine job! Please contact us again for new assignments.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '112', 'm28t', 'Imperial Niobarium Facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '113', 'm29d', 'DX-343 is an industrial solvent that, on exposure into air, disperses into mist. The DX mist disrupts electronic equipment and makes breathing difficult. If our reports are correct, the Empire has stockpiled enough DX-343 to wipe out a fleet of starfighters and their pilots. Destroy the stockpile!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '114', 'm29o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '115', 'm29s', 'If the Empire had used all that DX-343, we would have been carrying starships out of the hangar in pieces, and their pilots too. Good job taking it out!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '116', 'm29t', 'Imperial DX-343 Stockpile');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '117', 'm30d', 'Hyperbaride is used for turbolaser casings. Its production generates poisonous byproducts. The Empire usually disposes of the byproducts harmlessly, but we\'ve learned of a new cache in this area.We suspect they\'re stockpiling this poison as a weapon. The cache is well guarded, but we want it destroyed, preferably in a ball of sterilizing flame.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '118', 'm30o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '119', 'm30s', 'If the Empire really is stockpiling hyperbaride by-products, we\'d hate to imagine what they\'re planning. Hope you made sure we\'ll never find out.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '120', 'm30t', 'Imperial Hyperbaride Waste Dump');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '121', 'm31d', 'Get this: An Imperial mess facility got accidentally infested with Sorderian weft-worms. The Empire has decided to solve the infestation by blowing up the entire facility from orbit. Their aim in these matters is not flawless, so we\'d like you to destroy the facility first. Target practice from a Star Destroyer -- we don\'t need that!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '122', 'm31o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '123', 'm31s', 'Great, now we\'re doing the Imperials\' work for them. What a galaxy! But thank you, and be glad we no longer have to fear those oh-so-terrible weft-worms.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '124', 'm31t', 'Imperial Weft-Worm Infestation');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '125', 'm32d', 'Astrogation computers on Imperial starships rely on probe data collated and encoded at a local astrogation station. If you destroy the astrogation facilities, the Empire must rely on outdated information when travelling in this system. But beware, these stations are always guarded!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '126', 'm32o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '127', 'm32s', 'Great job! Now we\'ll hope an Imperial ship runs into a meteor shower or asteroid field it couldn\'t predict.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '128', 'm32t', 'Astrogation Collation Station');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '129', 'm33d', 'The most sophisticated communication relays in the galaxy, outside Coruscant, sit aboard Imperial capital ships. Our agents within the Imperial bureaucracy have redirected a shipment of these delicate relays to a supply station here. This is our best chance to destroy a vital component of the Imperial comm apparatus. Move quickly!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '130', 'm33o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '131', 'm33s', 'Good! We must hope that the Empire\'s capital ships, with hampered communications, will operate based on inferior strategy. Please check back with us for more assignments.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '132', 'm33t', 'Imperial Capital Ship Comm Relays');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '133', 'm34d', 'Empire ship designer Lira Wessex, who designed the original Star Destroyers, is apparently visiting this world on a tour of shipbuilding facilities. If we can incapacitate Wessex, the Empire will lose one of its greatest talents. Unfortunately, Wessex is here only a while, at an Imperial outpost with a strong escort. Strike fast and strike hard!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '134', 'm34o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '135', 'm34s', 'Great work! If Lira Wessex was inside that wreck, then you\'ve brought a long, bad career to a belated close.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '136', 'm34t', 'Visit From Lira Wessex');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '137', 'm35d', 'The SoroSuub Corporation is a dangerous ally of the Empire. Their ships and weapons are responsible for the deaths of untold numbers of Alliance fighters. To isolate them from distribution contractors, we have begun a campaign to harry shipments of SoroSuub armaments across the galaxy. Here are coordinates for a distribution center on this world. Prepare for well-armed resistance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '138', 'm35o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '139', 'm35s', 'Allies of the Empire are enemies of freedom. You have done well. Contact us again for the coordinates of more SoroSuub distribution centers.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '140', 'm35t', 'Disrupt SoroSuub Corporation Shipments');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '141', 'm36d', 'InCom\'s superior X-wing technology is the envy of the Imperial Navy. Recently an informant tipped the Imperial Security Bureau to the location of a hidden cache of fighters. Stormtroopers descended on the place, and now five X-wings are being readied for transport to Sienar Fleet Systems. We need agents to hit the place fast. Make sure nothing is left but smoke and rubble.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '142', 'm36o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '143', 'm36s', 'Well done. All five X-wing fighters were reduced to slag. We must guard every technological advantage if we are to bring the Empire to its knees.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '144', 'm36t', 'Destroy Captured X-wing Fighters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '145', 'm37d', 'The Alliance has placed agents inside many Imperial operations. Currently one secret operative, well-placed in the Imperial system, is under suspicion by his supervisor. We cannot afford to lose him. Therefore we are commissioning a strike team to attack the small garrison where he is stationed. The diversion will let him eliminate his supervisor and destroy evidence.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '146', 'm37o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '147', 'm37s', 'Well done. Thanks to your distraction, our secret agent was able to remove the officer who questioned his loyalty to the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '148', 'm37t', 'Assist a Secret Agent');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '149', 'm38d', 'An Imperial spy has infiltrated our supply network. He has collected dangerous information about our secret shipping routes. A probe droid recently arrived at the Imperial base at the following coordinates. We believe that the droid\'s databanks contain this secret data. If we are to protect the identities of the depots and freighters that assist us, we must destroy this base at once.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '150', 'm38o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '151', 'm38s', 'We have confirmed that the probe droid was destroyed. Our supply routes are safe again. Excellent work!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '152', 'm38t', 'Destroy an Imperial Base to Thwart a Spy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '153', 'm39d', 'An Imperial spy is working inside Alliance operations. He has collected a list of Alliance informants and is in the process of transmitting their names to Imperial Intelligence. The list is stored at an Imperial base at the following coordinates. We need a well-armed team to destroy the base before Imperial Intelligence arrives to recover the information.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '154', 'm39o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '155', 'm39s', 'We have monitored transmissions within Imperial Intelligence. They are most displeased that you destroyed the list of Alliance informants before they could recover it. You have saved the lives of many good people. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '156', 'm39t', 'Save Alliance Informants');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '157', 'm40d', 'An Imperial spy has wrought havoc on our operations in several sectors. We do not know his identity, but we have discovered the office of Imperial Intelligence to which he reports. If we can destroy his headquarters, we can salvage many operations he has jeopardized. A team of experienced marksmen should be sufficient to knock down this Imperial site.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '158', 'm40o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '159', 'm40s', 'Skillfully done. The Alliance values capable agents like you. Contact us again soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '160', 'm40t', 'Take Down an Office of Imperial Intelligence');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '161', 'm41d', 'Cloaking devices create no end of difficulty for Alliance blockade runners. We have tracked a shipment of hybridium ore, essential to modern cloaking systems, from Garos IV to an Imperial transfer point. The site is guarded by Imperial troops, but if we can get a blaster squad inside to level the place, we\'ll take away the ability of the blockade ships to cloak themselves from our sensors.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '162', 'm41o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '163', 'm41s', 'Successes like these are stepping stones to victory over the Empire. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '164', 'm41t', 'Eliminate Fuel for Imperial Cloaking Devices');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '165', 'm42d', 'The Imperial Security Bureau\'s network of civilian spies and informants is a plague on us all. The Alliance places great value on locating and terminating sites of ISB activity. We have the coordinates of one such installation and require a team to carry out an assault. Be aware that the Empire has responded to our campaign so expect considerable resistance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '166', 'm42o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '167', 'm42s', 'You have done a superb job. The more we hamper the actions of the ISB, the closer we come to real freedom in the galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '168', 'm42t', 'Terminate an Office of the Imperial Security Bureau');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '169', 'm43d', 'Propaganda is one of the Empire\'s tools in oppressing the galaxy. Imperial propagandists have taken over entire news corporations. We have identified one such purveyor of deceit, and confirmed that Imperial personnel staff all of its facilities. We\'d like you to form a team and smash this installation and staunch the flow of lies.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '170', 'm43o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '171', 'm43s', 'Every time we take down a center for propaganda, the people of the galaxy move closer to the truth. You have done well.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '172', 'm43t', 'Smash a Propaganda Center');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '173', 'm44d', 'One of our agents has covertly sabotaged Imperial masking codes for several uninstalled shield generators in this sector. If these generators are deployed to Imperial warships, we will have a hidden advantage should our blockade runners be spotted. Unfortunately certain factory records might betray our secret sabotage. We need agents to blow apart an Imperial maintenance base and destroy those records.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '174', 'm44o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '175', 'm44s', 'Well done! Against the military resources of the Empire we need every advantage we can get. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '176', 'm44t', 'Protect a Covert Alliance Operation');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '177', 'm45d', 'We have received word that a new security protocol has been implemented at Imperial military sites around the sector. We are staging exploratory assaults on select bases, to see what new tactics the Empire has deployed. We need small teams of marksmen or veteran individuals to assist us in this fact-finding endeavor. Leave no wall standing.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '178', 'm45o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '179', 'm45s', 'It seems no Imperial security protocol is a match for a good blaster at your side. The Alliance thanks you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '180', 'm45t', 'Test a New Imperial Security Protocol');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '181', 'm46d', 'The Empire is not above sedating its subjects into complacency. We have discovered an installation where Imperial engineers are introducing drugs into the water supply to quell unrest in the local population. This crime must not be allowed to continue. We\'d like you to blast this water-doping facility into smoke and rubble. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '182', 'm46o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '183', 'm46s', 'It warms the heart to see a plume of smoke rising where Imperial villainy once reigned. Very well done. Your reputation continues to rise here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '184', 'm46t', 'Raze a Water-Doping Facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '185', 'm47d', 'The Imperial Security Bureau has stepped up its program to recruit troubled youths with a criminal record to do the Empire\'s dirty work. We must not stand for this underhanded scheme. The program is controlled from an ISB facility at the following coordinates. We want to make an example of these ISB monsters, so leave no Imperial agent standing.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '186', 'm47o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '187', 'm47s', 'Thanks to your good work, many troubled youths will avoid the corruption of the Empire and perhaps even become good Alliance fighters in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '188', 'm47t', 'Stamp Out Imperial Corruption of Youth');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '189', 'm48d', 'An Imperial officer has shown a keen aptitude for ferreting out covert Alliance agents and destroying our hidden bases. What\'s worse, he is known to torture and slaughter innocents in his enforcement of Imperial edicts. He is currently inspecting a facility on this world. We need a small squad to strike this facility while this officer is present.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '190', 'm48o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '191', 'm48s', 'You have done very well. We have not yet confirmed that Commander Hrazzel was killed in your raid, but we hope his threat is now gone.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '192', 'm48t', 'Take Out a Dangerous Imperial Officer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '193', 'm49d', 'A local notable crossed the Empire and a small garrison was placed on his land as a lesson to others. This individual has contacted the Alliance with requests to remove this garrison. Alliance High Command has decided to grant this request. We need you to hit this installation hard and leave no survivors. Inasmuch as the Empire is so fond of lessons, it is time they learned one of their own.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '194', 'm49o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '195', 'm49s', 'Nicely handled. Your skill and bravery are assets to the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '196', 'm49t', 'Assault an Imperial Garrison');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '197', 'm50d', 'Imperial capital ships contain hyperwave signal interceptors that sound an alert just before a spacecraft comes out of hyperspace. Our spies inform us that an Imperial research laboratory has tripled the range of these hyperwave warning systems. The secret of this technology is entirely contained in the laboratory. We need a team of skilled individual to hit the place and blow it to cinders.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '198', 'm50o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '199', 'm50s', 'Splendid! Our informants assure us that it will take years for the Empire to rebuild this new technology. By then, we may have discovered some means to counter it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '200', 'm50t', 'Incinerate an Imperial Laboratory');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy.stf', '201', 'number_of_entries', '50');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '1', 'm1d', 'Local Imperial patrols have been relying on a refueling depot not far from here. The depot\'s destruction would certainly hamper the Empire\'s ability to effectively search for our cells. The Empire realizes this, so the depot is likely to be well defended. This mission will require skill and fortitude. Can the Alliance depend on you to lead such a strike?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '2', 'm1o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '3', 'm1s', 'Now that\'s how it\'s done! Those Imperial patrols will stay grounded for a while. Long live the Alliance!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '4', 'm1t', 'Ground the Imperial patrols');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '5', 'm2d', 'A transport repair station at these coordinates services Imperial scout troopers\' speeder bikes. If this facility were destroyed, it would limit the number of Imperial search-and-destroy missions for this entire system. Can we count on you to orchestrate this strike? As always, the Alliance will reward you for services rendered.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '6', 'm2o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '7', 'm2s', 'Broken down speeder bikes don\'t do the Empire any good. Job well done, agent. The Alliance could use more fighters like you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '8', 'm2t', 'Take out the Imperial mechanics');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '9', 'm3d', 'A small SoroSuub weapons testing facility must be knocked out. We believe they are working on an improved design for the scout trooper blaster. The Alliance can\'t afford to have scout troopers get better sidearms. We don\'t know what kind of security this facility will have, but we imagine it\'ll be formidable. You might need help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '10', 'm3o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '11', 'm3s', 'Bravo! No new blasters for those scout troopers! An impressive bit of work, agent. The Alliance thrives because of individuals like you. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '12', 'm3t', 'No new Imperial blasters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '13', 'm4d', 'We\'ve located a major Imperial power droid manufacturing plant. Taking this plant out would be more than a simple inconvenience for the Empire. Their Star Destroyers and garrisons rely on these power droids to keep battle stations running. It will take a strong, precise strike to cripple this installation. The Alliance needs your help.  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '14', 'm4o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '15', 'm4s', 'No power means no weapons or defenses. Our congratulations on the success of your mission. Keep up the good work. The Alliance is counting on you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '16', 'm4t', 'Farewell power droids');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '17', 'm5d', 'We\'ve identified an ISB compound used for interrogations. If the stories are true, terrible atrocities have taken place there. Destroying this facility would send the right message to both the Empire and to citizens who live in fear of Imperial Security. We\'re looking for a dedicated agent who can lead a successful assault on this nightmarish compound. Are you that agent? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '18', 'm5o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '19', 'm5s', 'Bravo, agent! Now citizens will realize that the power of the ISB is not absolute and that the Empire is fallible. You\'ve earned your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '20', 'm5t', 'Take out the torturers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '21', 'm6d', 'We\'ve located a Sienar Fleet Systems warehouse and have learned that it\'s currently storing ion engines scheduled to go to Imperial shipyards in this sector. That will mean more TIE fighters for our X-wing pilots to deal with. We need someone to destroy that warehouse and everything inside.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '22', 'm6o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '23', 'm6s', 'The distinctive roar of those TIE engines is greatly diminished today. Great job, agent. We knew we could count on you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '24', 'm6t', 'No more ion engines');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '25', 'm7d', 'An Imperial Academy processing center is currently housing the results of several hundred potential pilots\' flight exams. If those scores are destroyed, this will create a severe backlog for the Imperials and slow their recruitment efforts. Further, it would let us approach potential recruits and possibly enlist their aid against the Empire. Do you wish to lead this important mission?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '26', 'm7o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '27', 'm7s', 'Excellent! The best thing about the Empire\'s ponderous bureaucracy is that it\'s easy to throw a hydrospanner into the works. Good job! May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '28', 'm7t', 'Burn Imperial records');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '29', 'm8d', 'A cargo of probe droids has been delivered to a supply depot servicing this sector. A Star Destroyer is scheduled to enter the system\'s orbit in the next few days and those probe droids will be transported aboard. Those probe droids are trouble for the Alliance. We need a skilled agent to take out that supply depot and make sure those probe droids are destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '30', 'm8o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '31', 'm8s', 'Good going! Fewer probe droids means fewer chances to find our bases. The Empire can\'t destroy what they can\'t find, after all. You\'re becoming a very promising agent indeed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '32', 'm8t', 'Take out the probe droids');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '33', 'm9d', 'We\'ve discovered a shipment of turbolaser actuators stored in an Imperial depot. They are scheduled to be delivered to the Kuat Drive Yards. We must make sure those actuators are never installed in any capital ship\'s weapons. A team of skilled agents should be able to blast this depot off without much trouble. You\'ll have to work fast, though.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '34', 'm9o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '35', 'm9s', 'Well struck, agent. Without their turbolasers, those hulking capital ships are just so much space debris. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '36', 'm9t', 'Pull the Star Destroyers\' teeth');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '37', 'm10d', 'A large shipment of orbital mines is to be delivered to the Star Destroyer Avenger. The dispersal of these mines would make life much more difficult for our fleet, as you can imagine. We\'ve discovered these mines and need the depot blasted into oblivion. Can you lend a hand, citizen? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '38', 'm10o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '39', 'm10s', 'Good work, citizen! Those mines won\'t be claiming the lives of our pilots and crew members. We look forward to working with you again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '40', 'm10t', 'Take out the deadly mines');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '41', 'm11d', 'The Empire has designed an improved subspace transceiver. The working prototype was sent to a manufacturing facility for mass production. A small team of operatives must make sure those transceivers are never built and either secure or destroy the prototype. Can the Alliance count on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '42', 'm11o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '43', 'm11s', 'It\'s obvious you know the meaning of success, citizen. Job well done! Even if we didn\'t get the prototype, its destruction is a good consolation prize.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '44', 'm11t', 'Knock out Imperial communications');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '45', 'm12d', 'We have identified an Imperial fortified complex as a gunnery school for local recruits. Today they\'re firing at target droids, but tomorrow they\'ll be aiming at us. You have to destroy that compound -- today!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '46', 'm12o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '47', 'm12s', 'Excellent work! The Alliance has nothing against education, but we don\'t like what the Empire does with it. We look forward to working with you again!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '48', 'm12t', 'No more Imperial gunners');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '49', 'm13d', 'We\'ve managed to locate the Imperial Intelligence Analysis Bureau command center for this entire sector. These centers provide the intelligence reports that allow the Bureau of Operations to plan and execute strikes. It will be heavily guarded and equipped with state-of-the-art defenses. Its destruction will require an experienced team. Can the Alliance count on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '50', 'm13o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '51', 'm13s', 'A brilliantly executed strike! With freedom fighters like you aiding our cause, the Empire has no chance. We hope you\'ll accept difficult missions from us in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '52', 'm13t', 'Cripple Imperial Intelligence');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '53', 'm14d', 'We\'ve discovered a training facility for Imperial Intelligence\'s Operations agents -- in other words, assassins. This installation has launched covert operations that have killed some of our top officers. The Alliance wants this base blasted into atoms. This will not be easy, as some of the Empire\'s top agents work as trainers at this facility.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '54', 'm14o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '55', 'm14s', 'Those Operations goons never knew what hit them. Bravo! You\'ve done the Alliance and the galaxy a great service. You\'re quickly becoming one of our top agents.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '56', 'm14t', 'Stop future assassins');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '57', 'm15d', 'Bothan spies have identified a biological weapons development lab. Intercepted transmissions indicate this facility was instrumental in developing the Candorian Plague used against Dentaal. This lab must be destroyed at any cost. Imperial security will be tight and defenses formidable. A generous reward awaits the agent who can pull this off. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '58', 'm15o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '59', 'm15s', 'One less weapon in the Empire\'s arsenal. Good work! Many worlds will sleep easier now that this plague-making lab has been destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '60', 'm15t', 'Destroy the plague-maker');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '61', 'm16d', 'A top-secret installation of the Inquisitorius, the Empire\'s specialized interrogators, has been located. Many of our agents ended up there, tortured for information until they were driven mad and killed. It is said that the Inquisitors use the Force to aid in their twisted work. Commander Skywalker has personally requested that this installation be taken out. Can we call on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '62', 'm16o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '63', 'm16s', 'Success! You\'ll be the scourge of the Empire yet! The Alliance thanks you and the galaxy is in your debt. Our reward is but a small token of our gratitude.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '64', 'm16t', 'Smash the Imperial interrogators');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '65', 'm17d', 'An Imperial garrison has received orders to execute suspected Alliance sympathizers and their families if they do not start naming Alliance spies. We need someone to wipe out the garrison before these stormtroopers can slaughter innocent civilians. Taking out a garrison, even a small one, is no easy task. These Imperial troops will be on high alert.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '66', 'm17o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '67', 'm17s', 'Great job! The Empire will think twice before giving their garrisons the order to execute civilians again. Fear is not just a tool for the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '68', 'm17t', 'Save the innocent civilians');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '69', 'm18d', 'A stormtrooper training facility, renowned for producing some of the Emperor\'s most fanatical legions, must be taken out. A successful strike would stand as a symbol of the Alliance\'s determination to rid the galaxy of the Empire\'s tyranny. The Emperor\'s brainwashing techniques can\'t compete with an Alliance member\'s passion for freedom. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '70', 'm18o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '71', 'm18s', 'You deserve a medal! The Emperor\'s not the only one who trains crack troops and deadly soldiers. The Alliance salutes you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '72', 'm18t', 'Destroy stormtrooper training base');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '73', 'm19d', 'Bothan spies have located an Imperial outpost housing Sith artifacts. We\'ve received word that Darth Vader has ordered these artifacts delivered to him personally. If those artifacts are indeed what the Bothans claim, we must not allow them to fall into Vader\'s hands. We need a strike team to go in and blow that shipment to atoms.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '74', 'm19o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '75', 'm19s', 'Job well done! You are a true champion of the people. Report to us again for future assignments soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '76', 'm19t', 'Destroy Sith artifacts');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '77', 'm20d', 'Mercenary assassins do the Emperor\'s dirty work when direct military action is politically inexpedient. We have the coordinates of an undocumented arsenal from which the Empire supplies its assassins. We need a squad of fighters to blast the place into vapor. The arsenal is garrisoned with Imperial soldiers and mercenary assassins, so be careful.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '78', 'm20o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '79', 'm20s', 'Astounding work! You and your team are superior operatives, a true asset to the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '80', 'm20t', 'Smash an arsenal for Imperial assassins');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '81', 'm21d', 'Imperial Army weapons designers have refashioned a platform-mounted flame carbine, the Czerka CZ-28 Flamestrike, for use on repulsorlift craft and cloud cars. Sheets of flame from the sky will mean grave danger for our fighters below. No matter the cost, you must render this weapons factory permanently inoperative. Prepare for harsh opposition.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '82', 'm21o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '83', 'm21s', 'Impressive news! This victory represents a fundamental security that cannot be overstated. We applaud your resolve, and we wish you still greater success in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '84', 'm21t', 'Imperial flamer munitions factory');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '85', 'm22d', 'The profiteers at Arakyd Industries continue to garner Imperial largesse. These parasites have contracted to build new legions of Inquisitor-series seeker droids with weaponry of considerably increased lethality. This presents a major threat to Alliance forces, and we cannot allow the factory to begin production. Assemble a large and experienced strike team and take this factory out.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '86', 'm22o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '87', 'm22s', 'This is excellent news! We hope this damages Arakyd Industries profits as badly as their products have damaged our forces. We congratulate you, agent!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '88', 'm22t', 'Blast a combat droid construction plant');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '89', 'm23d', 'The Empire has established a new facility building two-legged AT-ST scout walkers. Though the labor force is entirely droid-based, the installation is well defended with Imperial troops. Our recon scout escaped only by dint of skill and luck. Assemble an experienced strike team to take out this major target.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '90', 'm23o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '91', 'm23s', 'Your high reputation is well earned, agent! We have stalled the production of Imperial walkers in this area, at least for now. Your reputation continues to rise!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '92', 'm23t', 'Destroy an AT-ST assembly plant');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '93', 'm24d', 'The Empire is relaying a cache of rare durindfire gems, under heavy guard, to a merchant in this area. You may know that Imperials traffic in these gems to finance their more exotic projects, such as the Death Star. If you can destroy these gems in their holding facility, you\'ll strike a blow against covert financiers across the galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '94', 'm24o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '95', 'm24s', 'Durindfire gems flash brilliantly, but in Imperial hands they\'re covered with blood. It\'s better that you destroyed them. Good work!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '96', 'm24t', 'Blast the gems');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '97', 'm25d', 'Imperial forces are guarding -- perhaps a better word is \"confining\" -- engineers working for Baktoid Combat Automata. In this compound these engineers are stress-testing blaster subsystems for a redesigned Protector-series combat droid. Destroy the engineering compound and the Protector plans.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '98', 'm25o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '99', 'm25s', 'Thank you! Facing an improved Protector droid would not have been fun, to say the least. You are progessing well!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '100', 'm25t', 'Smash the Protector droids');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_easy_non_persistent_from_npc.stf', '101', 'number_of_entries', '25');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '1', 'm1d', 'Local Imperial patrols have been relying on a refueling depot not far from here. The depot\'s destruction would certainly hamper the Empire\'s ability to effectively search for our cells. The Empire realizes this, so the depot is likely to be well defended. This mission will require skill and fortitude. Can the Alliance depend on you to lead such a strike?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '2', 'm1o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '3', 'm1s', 'Now that\'s how it\'s done! Those Imperial patrols will stay grounded for a while. Long live the Alliance!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '4', 'm1t', 'Destroy Local Refueling Depot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '5', 'm2d', 'A transport repair station at these coordinates services Imperial scout troopers\' speeder bikes. If this facility were destroyed, it would limit the number of Imperial search-and-destroy missions for this entire system. Can we count on you to orchestrate this strike? As always, the Alliance will reward you for services rendered.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '6', 'm2o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '7', 'm2s', 'Broken down speeder bikes don\'t do the Empire any good. Job well done, agent. The Alliance could use more fighters like you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '8', 'm2t', 'Destroy Local Repair Station');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '9', 'm3d', 'A small SoroSuub weapons testing facility must be knocked out. We believe they are working on an improved design for the scout trooper blaster that would greatly increase its firepower and accuracy. The Alliance can\'t afford to have scout troopers get better sidearms. We don\'t know what kind of security this facility will have, but we imagine it\'ll be formidable.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '10', 'm3o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '11', 'm3s', 'Bravo! No new blasters for those scout troopers! An impressive bit of work, agent. The Alliance thrives because of individuals like you. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '12', 'm3t', 'Destroy Weapons Development Lab');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '13', 'm4d', 'We\'ve located a major Imperial power droid manufacturing plant. Taking this plant out would be more than a simple inconvenience for the Empire. Their Star Destroyers and garrisons rely on these power droids to keep battle stations running. It will take a strong, precise strike to cripple this installation. The Alliance needs your help.  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '14', 'm4o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '15', 'm4s', 'No power means no weapons or defenses. Our congratulations on the success of your mission. Keep up the good work. The Alliance is counting on you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '16', 'm4t', 'Wipe Out Power Droid Plant');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '17', 'm5d', 'Our informants have identified an ISB compound used for interrogations. If the stories can be believed, terrible atrocities have taken place. Destroying this foul place would send the right message to both the Empire and to citizens who lived in fear of Imperial Security. We\'re looking for a dedicated agent who can lead a successful assault on this nightmarish compound. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '18', 'm5o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '19', 'm5s', 'Bravo, agent! Now citizens will realize that the power of the ISB is not absolute and that the Empire is fallible. You\'ve earned your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '20', 'm5t', 'Destroy ISB Interrogation Compound');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '21', 'm6d', 'We\'ve located a Sienar Fleet Systems warehouse and have learned that it\'s currently storing ion engines scheduled to go to Imperial shipyards in this sector. That will mean more TIE fighters for our X-wing pilots to deal with. We need someone to destroy that warehouse and everything inside.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '22', 'm6o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '23', 'm6s', 'The distinctive roar of those TIE engines is greatly diminished today. Great job, agent. We knew we could count on you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '24', 'm6t', 'Destroy Sienar Warehouse');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '25', 'm7d', 'An Imperial Academy processing center is currently housing the results of several hundred potential pilots\' flight exams. If those scores are destroyed, this will create a severe backlog for the Imperial bureaucracy and slow the aggressive recruitment efforts of the Imperial Navy. Further, it would let us approach potential recruits and possibly enlist their aid against the Empire. Do you wish to lead this important mission?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '26', 'm7o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '27', 'm7s', 'Excellent! The best thing about the Empire\'s ponderous bureaucracy is that it\'s easy to throw a hydrospanner into the works. Good job! Claim your reward and may the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '28', 'm7t', 'Destroy Imperial Records');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '29', 'm8d', 'The Alliance has acquired the coordinates to an Imperial HoloNet data collection station. This station is used by Imperial Intelligence\'s Analysis Bureau to coordinate surveillance efforts for the entire sector. If we take out this station, we effectively cripple Imperial Intelligence\'s ability to uncover our sabotage missions and raids of Imperial depots. Can you lead such a strike?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '30', 'm8o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '31', 'm8s', 'Bravo! Cut off the head and the body cannot survive for long. Your efforts to interrupt Imperial Intelligence\'s communication to the rest of the Empire\'s war machine will be instrumental in our eventual success. Your reward is well earned.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '32', 'm8t', 'Plug Up the Empire\'s Ears');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '33', 'm9d', 'A small Imperial outpost is currently being used to store of seized glitterstim spice. This cargo is intended to bribe Corporate Sector Authority officials to comply with Imperial Intelligence\'s requests to access confidential corporate records. The Alliance needs a few good individuals to make sure that outpost is destroyed and everything inside it is burned to the ground. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '34', 'm9o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '35', 'm9s', 'Good! Not only have you disposed of a great deal of illegal drugs, you\'ve cost Imperial Intelligence millions of credits worth of bribe money. Let\'s see how eager they are to bribe the CSA now that they have to dig into their own budget. This is a great victory for the Alliance, friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '36', 'm9t', 'Destroy Illegal Drugs');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '37', 'm10d', 'A cargo of probe droids has just been delivered to a supply depot servicing this sector. A Star Destroyer is scheduled to enter the system\'s orbit sometime in the next few days and those probe droids will be transported aboard. We don\'t need to tell you how much damage those probe droids can cause to the Alliance. We need a skilled agent to take out that supply depot and make sure those probe droids are destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '38', 'm10o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '39', 'm10s', 'Good going! Fewer probe droids means fewer chances to find our bases. The Empire can\'t destroy what they can\'t find, after all. You\'re becoming a very promising agent indeed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '40', 'm10t', 'Poke Out the Empire\'s Eyes');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '41', 'm11d', 'We\'ve discovered a shipment of turbolaser actuators, currently stored in an Imperial depot and scheduled to be delivered to the Kuat Drive Yards. We must make sure those actuators are never installed in any capital ship\'s weapons. A team of skilled agents should be able to blast this depot off without much trouble. You\'ll have to work fast, though.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '42', 'm11o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '43', 'm11s', 'Well struck, agent. Without their turbolasers, those hulking capital ships are just so much space debris. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '44', 'm11t', 'Blow Up the Turbolasers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '45', 'm12d', 'A large shipment of orbital mines is to be delivered to the Star Destroyer Avenger soon. The dispersal of these mines would make life much more difficult for our fleet, as you can imagine. We\'ve discovered these mines and need the depot blasted into oblivion. The coordinates will be sent when you accept the mission. May the Force be with you. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '46', 'm12o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '47', 'm12s', 'Good work, citizen! Those mines won\'t be claiming the lives of our pilots and crew members. We look forward to working with you again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '48', 'm12t', 'Orbital Mines Bad');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '49', 'm13d', 'The Empire has designed an improved subspace transceiver. The working prototype was sent to a manufacturing facility for mass production. A small team of operatives must make sure those transceivers are never built and either secure or destroy the prototype.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '50', 'm13o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '51', 'm13s', 'It\'s obvious you know the meaning of success, citizen. Job well done! Even if we didn\'t get the prototype, its destruction is a good consolation prize.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '52', 'm13t', 'Blast the Imperial Transceivers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '53', 'm14d', 'Reports have been coming in about an amazing little MSE-6 droid. If Imperial Intelligence reports are to be believed, that tiny dynamo has led those Imperial slugs on a wild mynock chase. We want to help spread these rumors. We\'ve planted a false Imperial report on the HoloNet that claims the Empire is holding the droid at a detention facility. We need a team of operatives to strike this detention facility and make it seem as if the MSE-6 droid was \"rescued\" by the Alliance. Can you help us embarrass the Empire further?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '54', 'm14o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '55', 'm14s', 'Excellent \"rescue!\" If we can get those Imperial slugs to start worrying about their MSE-6 droids, then we\'ve already won this war. Keep it up.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '56', 'm14t', 'Rescue the Mouse Droid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '57', 'm15d', 'The Empire has deployed a prefab structure in an outlying area. It appears to be an early beachhead for a diplomatic garrison. No one here knows what a diplomat would have to be diplomatic about, way out there. In any case, we need you to destroy it before the Empire can fortify it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '58', 'm15o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '59', 'm15s', 'Fast work! It\'s not often we take out an Imperial garrison, even if it is just a diplomatic garrison. Actually, only the first part of one. Never mind, you deserve your reward!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '60', 'm15t', 'Diplomatic Garrison Target');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '61', 'm16d', 'We have identified an Imperial fortified complex as a gunnery school for local recruits. Today they\'re firing at target droids, but tomorrow they\'ll be aiming at us. You have to destroy that compound -- today!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '62', 'm16o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '63', 'm16s', 'Excellent work! The Alliance has nothing against education, but we don\'t like what the Empire does with it. We look forward to working with you again!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '64', 'm16t', 'Imperial Gunnery School');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '65', 'm17d', 'The Empire\'s infrared camera lenses require the rare mineral byrothsis. These lenses require frequent specialized maintenance, and one of the maintenance facilities is nearby. By destroying the byrothsis purification facility, your team can put the Empire in the dark. Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '66', 'm17o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '67', 'm17s', 'Excellent job. With their infrared lenses going cloudy, Imperial TIE fighters might be slower to see our ships. Let\'s hope!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '68', 'm17t', 'Imperial Byrothsis Facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '69', 'm18d', 'The Empire is relaying a cache of rare durindfire gems, under heavy guard, to a merchant in this area. You may know that Imperials traffic in these gems to finance their more exotic projects, such as the Death Star. If you can destroy these gems in their holding facility, you\'ll strike a blow against covert financiers across the galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '70', 'm18o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '71', 'm18s', 'The Empire protects those durindfire gems the way you and I protect our dearest heirlooms. It\'s amazing that you destroyed them. Good work!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '72', 'm18t', 'Imperial Durindfire Gem Facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '73', 'm19d', 'Imperial forces are guarding -- perhaps a better word is \"confining\" -- engineers working for Baktoid Combat Automata. These engineers are stress-testing blaster subsystems for a redesigned Protector-series combat droid. We\'d like you to destroy the engineering compound and the Protector plans. Unfortunately, the engineers must be considered expendable.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '74', 'm19o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '75', 'm19s', 'Thank you! Facing an improved Protector droid would not have been fun, to say the least. Nice job!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '76', 'm19t', 'Empire Redesigning Protector Droids');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '77', 'm20d', 'The Empire is raising funds by shipping thermal detonators to local gangsters. What a bunch of hypocrites! These bombs always end up destroying innocent civilians\' property, so we want you to blow up the detonator warehouse. Be careful -- it\'s got fairly heavy defenses.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '78', 'm20o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '79', 'm20s', 'You did it! It\'s a relief to know those detonators won\'t be troubling the locals. This reward\'s yours. And be sure to mention to everyone -- the Empire deals with crooks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '80', 'm20t', 'Empire Selling Detonators to Crooks');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '81', 'm21d', 'mperial Intelligence is working on high-frequency broadcasts that burn out a droid\'s restraining bolts and ruin its programming. Basically a droid gets this signal and goes berserk. Of course, any grownup can handle a rogue 3PO unit, but what about the children? Stop this weird-science research before it\'s too late.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '82', 'm21o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '83', 'm21s', 'Scratch one more Imperial Intelligence mad-science project. That droid idea might never have worked, but it doesn\'t hurt that you made sure. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '84', 'm21t', 'Empire Sabotaging Restraining Bolts');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '85', 'm22d', 'If you\'ve fought on foot against one of those two-leg Imperial scout walkers, you know they\'re dangerous. We\'ve got word that a local armory is stockpiling the specialized axidite control boxes used in AT-ST command pods. You have a big chance here to interrupt a major Imperial supply chain!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '86', 'm22o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '87', 'm22s', 'Thank you! That armory stockpile would have gone into dozens of Imperial walkers. Maybe hundreds. Good job!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '88', 'm22t', 'Axidite Stockpile');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '89', 'm23d', 'Dola trees are apparently sentient plants of Aruza. Never heard of them myself, but their flowers make an antibiotic syrup we use to treat local ailments. Imperial Intelligence agents stole our supply of dola flowers and plan to use them to breed a new slave race. The flowers are now useless for antibiotics. We need you to destroy them and the Imperial research lab.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '90', 'm23o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '91', 'm23s', 'The dola syrup stolen by the Empire would have saved lives, but your work at least protects the dola trees from Imperial slavery. Thank you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '92', 'm23t', 'Empire Breeding Dola Tree Slaves');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '93', 'm24d', 'the Empire is shipping in components for their GTU AV-1A Assault Armor. It\'s a powered combat suit for elite troops, sort of a hovertank you can wear. We\'ve never seen it in action, and we don\'t want to. If you inflict enough damage to the warehouse, you may set off the explosive charges they use for the suit\'s ejection system. Then get clear, fast!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '94', 'm24o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '95', 'm24s', 'Those GTU power suits are expensive and tricky, so with luck we\'ll never see them on this planet. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '96', 'm24t', 'Imperial GTU Armor Components');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '97', 'm25d', 'An Imperial Security outpost here has procured, through illegal back-channels, a shipment of neuronic whips. That\'s right, slaver weapons, outlawed on every civilized world. They intend to use these brutal stun-whips for crowd control and intimidation. You must destroy the warehouse and the whips. Expect serious opposition, though.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '98', 'm25o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '99', 'm25s', 'What a relief! Those neuronic whips would have caused terror far beyond mere crowd control. Thanks for destroying them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '100', 'm25t', 'Empire Using Neuronic Terror');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '101', 'm26d', 'Maybe you\'ve heard the reports of local swoop gangs with suspiciously good weaponry. We know the Empire\'s COMPNOR security goons have been arming crooks in communities sympathetic to the Alliance. Now we\'ve found an Imperial Army depot where COMPNOR requisitions the gang weapons. Stop this operation at its source!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '102', 'm26o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '103', 'm26s', 'That\'s one more blow in the fight against gang violence. Those swoop gangs will keep endangering innocent people until we cut off their weapon supply. Good work! ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '104', 'm26t', 'Swoop Gangs With COMPNOR Weapons');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '105', 'm27d', 'We\'ve located an Imperial Army installation housing unusual ammunition: flechette microdart canisters, toxin darts, magna caster quarrels. The installation doubles as quarters for the specialists who maintain this ammo. Expect tough opposition, and stay well clear when you blow up the place.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '106', 'm27o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '107', 'm27s', 'Well done! It\'s enough trouble facing blasters and AT-ATs without worrying about those deadly exotics. Here\'s your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '108', 'm27t', 'Exotic Ammunition Stockpile');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '109', 'm28d', 'The Empire\'s covert research into planet-wide biochemical weaponry continues. Mass production of these fearsome killers require specialized reagents and catalysts. We have tracked down a facility producing purified niobarium, a poisonous chemical used in one weapons-grade process. To cut off that process, destroy the niobarium plant.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '110', 'm28o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '111', 'm28s', 'Reports are showing negligible release of niobarium from the destruction. Fine job! Please contact us again for new assignments.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '112', 'm28t', 'Imperial Niobarium Facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '113', 'm29d', 'DX-343 is an industrial solvent that, on exposure into air, disperses into mist. The DX mist disrupts electronic equipment and makes breathing difficult. If our reports are correct, the Empire has stockpiled enough DX-343 to wipe out a fleet of starfighters and their pilots. Destroy the stockpile!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '114', 'm29o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '115', 'm29s', 'If the Empire had used all that DX-343, we would have been carrying starships out of the hangar in pieces, and their pilots too. Good job taking it out!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '116', 'm29t', 'Imperial DX-343 Stockpile');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '117', 'm30d', 'Hyperbaride is used for turbolaser casings. Its production generates poisonous byproducts. The Empire usually disposes of the byproducts harmlessly, but we\'ve learned of a new cache in this area.We suspect they\'re stockpiling this poison as a weapon. The cache is well guarded, but we want it destroyed, preferably in a ball of sterilizing flame.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '118', 'm30o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '119', 'm30s', 'If the Empire really is stockpiling hyperbaride by-products, we\'d hate to imagine what they\'re planning. Hope you made sure we\'ll never find out.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '120', 'm30t', 'Imperial Hyperbaride Waste Dump');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '121', 'm31d', 'Get this: An Imperial mess facility got accidentally infested with Sorderian weft-worms. The Empire has decided to solve the infestation by blowing up the entire facility from orbit. Their aim in these matters is not flawless, so we\'d like you to destroy the facility first. Target practice from a Star Destroyer -- we don\'t need that!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '122', 'm31o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '123', 'm31s', 'Great, now we\'re doing the Imperials\' work for them. What a galaxy! But thank you, and be glad we no longer have to fear those oh-so-terrible weft-worms.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '124', 'm31t', 'Imperial Weft-Worm Infestation');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '125', 'm32d', 'Astrogation computers on Imperial starships rely on probe data collated and encoded at a local astrogation station. If you destroy the astrogation facilities, the Empire must rely on outdated information when travelling in this system. But beware, these stations are always guarded!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '126', 'm32o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '127', 'm32s', 'Great job! Now we\'ll hope an Imperial ship runs into a meteor shower or asteroid field it couldn\'t predict.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '128', 'm32t', 'Astrogation Collation Station');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '129', 'm33d', 'The most sophisticated communication relays in the galaxy, outside Coruscant, sit aboard Imperial capital ships. Our agents within the Imperial bureaucracy have redirected a shipment of these delicate relays to a supply station here. This is our best chance to destroy a vital component of the Imperial comm apparatus. Move quickly!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '130', 'm33o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '131', 'm33s', 'Good! We must hope that the Empire\'s capital ships, with hampered communications, will operate based on inferior strategy. Please check back with us for more assignments.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '132', 'm33t', 'Imperial Capital Ship Comm Relays');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '133', 'm34d', 'Empire ship designer Lira Wessex, who designed the original Star Destroyers, is apparently visiting this world on a tour of shipbuilding facilities. If we can incapacitate Wessex, the Empire will lose one of its greatest talents. Unfortunately, Wessex is here only a while, at an Imperial outpost with a strong escort. Strike fast and strike hard!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '134', 'm34o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '135', 'm34s', 'Great work! If Lira Wessex was inside that wreck, then you\'ve brought a long, bad career to a belated close.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '136', 'm34t', 'Visit From Lira Wessex');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '137', 'm35d', 'The SoroSuub Corporation is a dangerous ally of the Empire. Their ships and weapons are responsible for the deaths of untold numbers of Alliance fighters. To isolate them from distribution contractors, we have begun a campaign to harry shipments of SoroSuub armaments across the galaxy. Here are coordinates for a distribution center on this world. Prepare for well-armed resistance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '138', 'm35o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '139', 'm35s', 'Allies of the Empire are enemies of freedom. You have done well. Contact us again for the coordinates of more SoroSuub distribution centers.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '140', 'm35t', 'Disrupt SoroSuub Corporation Shipments');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '141', 'm36d', 'InCom\'s superior X-wing technology is the envy of the Imperial Navy. Recently an informant tipped the Imperial Security Bureau to the location of a hidden cache of fighters. Stormtroopers descended on the place, and now five X-wings are being readied for transport to Sienar Fleet Systems. We need agents to hit the place fast. Make sure nothing is left but smoke and rubble.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '142', 'm36o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '143', 'm36s', 'Well done. All five X-wing fighters were reduced to slag. We must guard every technological advantage if we are to bring the Empire to its knees.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '144', 'm36t', 'Destroy Captured X-wing Fighters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '145', 'm37d', 'The Alliance has placed agents inside many Imperial operations. Currently one secret operative, well-placed in the Imperial system, is under suspicion by his supervisor. We cannot afford to lose him. Therefore we are commissioning a strike team to attack the small garrison where he is stationed. The diversion will let him eliminate his supervisor and destroy evidence.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '146', 'm37o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '147', 'm37s', 'Well done. Thanks to your distraction, our secret agent was able to remove the officer who questioned his loyalty to the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '148', 'm37t', 'Assist a Secret Agent');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '149', 'm38d', 'An Imperial spy has infiltrated our supply network. He has collected dangerous information about our secret shipping routes. A probe droid recently arrived at the Imperial base at the following coordinates. We believe that the droid\'s databanks contain this secret data. If we are to protect the identities of the depots and freighters that assist us, we must destroy this base at once.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '150', 'm38o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '151', 'm38s', 'We have confirmed that the probe droid was destroyed. Our supply routes are safe again. Excellent work!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '152', 'm38t', 'Destroy an Imperial Base to Thwart a Spy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '153', 'm39d', 'An Imperial spy is working inside Alliance operations. He has collected a list of Alliance informants and is in the process of transmitting their names to Imperial Intelligence. The list is stored at an Imperial base at the following coordinates. We need a well-armed team to destroy the base before Imperial Intelligence arrives to recover the information.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '154', 'm39o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '155', 'm39s', 'We have monitored transmissions within Imperial Intelligence. They are most displeased that you destroyed the list of Alliance informants before they could recover it. You have saved the lives of many good people. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '156', 'm39t', 'Save Alliance Informants');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '157', 'm40d', 'An Imperial spy has wrought havoc on our operations in several sectors. We do not know his identity, but we have discovered the office of Imperial Intelligence to which he reports. If we can destroy his headquarters, we can salvage many operations he has jeopardized. A team of experienced marksmen should be sufficient to knock down this Imperial site.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '158', 'm40o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '159', 'm40s', 'Skillfully done. The Alliance values capable agents like you. Contact us again soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '160', 'm40t', 'Take Down an Office of Imperial Intelligence');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '161', 'm41d', 'Cloaking devices create no end of difficulty for Alliance blockade runners. We have tracked a shipment of hybridium ore, essential to modern cloaking systems, from Garos IV to an Imperial transfer point. The site is guarded by Imperial troops, but if we can get a blaster squad inside to level the place, we\'ll take away the ability of the blockade ships to cloak themselves from our sensors.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '162', 'm41o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '163', 'm41s', 'Successes like these are stepping stones to victory over the Empire. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '164', 'm41t', 'Eliminate Fuel for Imperial Cloaking Devices');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '165', 'm42d', 'The Imperial Security Bureau\'s network of civilian spies and informants is a plague on us all. The Alliance places great value on locating and terminating sites of ISB activity. We have the coordinates of one such installation and require a team to carry out an assault. Be aware that the Empire has responded to our campaign so expect considerable resistance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '166', 'm42o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '167', 'm42s', 'You have done a superb job. The more we hamper the actions of the ISB, the closer we come to real freedom in the galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '168', 'm42t', 'Terminate an Office of the Imperial Security Bureau');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '169', 'm43d', 'Propaganda is one of the Empire\'s tools in oppressing the galaxy. Imperial propagandists have taken over entire news corporations. We have identified one such purveyor of deceit, and confirmed that Imperial personnel staff all of its facilities. We\'d like you to form a team and smash this installation and staunch the flow of lies.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '170', 'm43o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '171', 'm43s', 'Every time we take down a center for propaganda, the people of the galaxy move closer to the truth. You have done well.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '172', 'm43t', 'Smash a Propaganda Center');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '173', 'm44d', 'One of our agents has covertly sabotaged Imperial masking codes for several uninstalled shield generators in this sector. If these generators are deployed to Imperial warships, we will have a hidden advantage should our blockade runners be spotted. Unfortunately certain factory records might betray our secret sabotage. We need agents to blow apart an Imperial maintenance base and destroy those records.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '174', 'm44o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '175', 'm44s', 'Well done! Against the military resources of the Empire we need every advantage we can get. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '176', 'm44t', 'Protect a Covert Alliance Operation');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '177', 'm45d', 'We have received word that a new security protocol has been implemented at Imperial military sites around the sector. We are staging exploratory assaults on select bases, to see what new tactics the Empire has deployed. We need small teams of marksmen or veteran individuals to assist us in this fact-finding endeavor. Leave no wall standing.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '178', 'm45o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '179', 'm45s', 'It seems no Imperial security protocol is a match for a good blaster at your side. The Alliance thanks you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '180', 'm45t', 'Test a New Imperial Security Protocol');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '181', 'm46d', 'The Empire is not above sedating its subjects into complacency. We have discovered an installation where Imperial engineers are introducing drugs into the water supply to quell unrest in the local population. This crime must not be allowed to continue. We\'d like you to blast this water-doping facility into smoke and rubble. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '182', 'm46o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '183', 'm46s', 'It warms the heart to see a plume of smoke rising where Imperial villainy once reigned. Very well done. Your reputation continues to rise here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '184', 'm46t', 'Raze a Water-Doping Facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '185', 'm47d', 'The Imperial Security Bureau has stepped up its program to recruit troubled youths with a criminal record to do the Empire\'s dirty work. We must not stand for this underhanded scheme. The program is controlled from an ISB facility at the following coordinates. We want to make an example of these ISB monsters, so leave no Imperial agent standing.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '186', 'm47o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '187', 'm47s', 'Thanks to your good work, many troubled youths will avoid the corruption of the Empire and perhaps even become good Alliance fighters in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '188', 'm47t', 'Stamp Out Imperial Corruption of Youth');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '189', 'm48d', 'An Imperial officer has shown a keen aptitude for ferreting out covert Alliance agents and destroying our hidden bases. What\'s worse, he is known to torture and slaughter innocents in his enforcement of Imperial edicts. He is currently inspecting a facility on this world. We need a small squad to strike this facility while this officer is present.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '190', 'm48o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '191', 'm48s', 'You have done very well. We have not yet confirmed that Commander Hrazzel was killed in your raid, but we hope his threat is now gone.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '192', 'm48t', 'Take Out a Dangerous Imperial Officer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '193', 'm49d', 'A local notable crossed the Empire and a small garrison was placed on his land as a lesson to others. This individual has contacted the Alliance with requests to remove this garrison. Alliance High Command has decided to grant this request. We need you to hit this installation hard and leave no survivors. Inasmuch as the Empire is so fond of lessons, it is time they learned one of their own.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '194', 'm49o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '195', 'm49s', 'Nicely handled. Your skill and bravery are assets to the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '196', 'm49t', 'Assault an Imperial Garrison');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '197', 'm50d', 'Imperial capital ships contain hyperwave signal interceptors that sound an alert just before a spacecraft comes out of hyperspace. Our spies inform us that an Imperial research laboratory has tripled the range of these hyperwave warning systems. The secret of this technology is entirely contained in the laboratory. We need a team of skilled individual to hit the place and blow it to cinders.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '198', 'm50o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '199', 'm50s', 'Splendid! Our informants assure us that it will take years for the Empire to rebuild this new technology. By then, we may have discovered some means to counter it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '200', 'm50t', 'Incinerate an Imperial Laboratory');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard.stf', '201', 'number_of_entries', '50');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '1', 'm1d', 'Local Imperial patrols have been relying on a refueling depot not far from here. The depot\'s destruction would certainly hamper the Empire\'s ability to effectively search for our cells. The Empire realizes this, so the depot is likely to be well defended. This mission will require skill and fortitude. Can the Alliance depend on you to lead such a strike?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '2', 'm1o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '3', 'm1s', 'Now that\'s how it\'s done! Those Imperial patrols will stay grounded for a while. Long live the Alliance!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '4', 'm1t', 'Ground the Imperial patrols');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '5', 'm2d', 'A transport repair station at these coordinates services Imperial scout troopers\' speeder bikes. If this facility were destroyed, it would limit the number of Imperial search-and-destroy missions for this entire system. Can we count on you to orchestrate this strike? As always, the Alliance will reward you for services rendered.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '6', 'm2o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '7', 'm2s', 'Broken down speeder bikes don\'t do the Empire any good. Job well done, agent. The Alliance could use more fighters like you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '8', 'm2t', 'Take out the Imperial mechanics');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '9', 'm3d', 'A small SoroSuub weapons testing facility must be knocked out. We believe they are working on an improved design for the scout trooper blaster. The Alliance can\'t afford to have scout troopers get better sidearms. We don\'t know what kind of security this facility will have, but we imagine it\'ll be formidable. You might need help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '10', 'm3o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '11', 'm3s', 'Bravo! No new blasters for those scout troopers! An impressive bit of work, agent. The Alliance thrives because of individuals like you. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '12', 'm3t', 'No new Imperial blasters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '13', 'm4d', 'We\'ve located a major Imperial power droid manufacturing plant. Taking this plant out would be more than a simple inconvenience for the Empire. Their Star Destroyers and garrisons rely on these power droids to keep battle stations running. It will take a strong, precise strike to cripple this installation. The Alliance needs your help.  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '14', 'm4o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '15', 'm4s', 'No power means no weapons or defenses. Our congratulations on the success of your mission. Keep up the good work. The Alliance is counting on you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '16', 'm4t', 'Farewell power droids');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '17', 'm5d', 'We\'ve identified an ISB compound used for interrogations. If the stories are true, terrible atrocities have taken place there. Destroying this facility would send the right message to both the Empire and to citizens who live in fear of Imperial Security. We\'re looking for a dedicated agent who can lead a successful assault on this nightmarish compound. Are you that agent? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '18', 'm5o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '19', 'm5s', 'Bravo, agent! Now citizens will realize that the power of the ISB is not absolute and that the Empire is fallible. You\'ve earned your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '20', 'm5t', 'Take out the torturers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '21', 'm6d', 'We\'ve located a Sienar Fleet Systems warehouse and have learned that it\'s currently storing ion engines scheduled to go to Imperial shipyards in this sector. That will mean more TIE fighters for our X-wing pilots to deal with. We need someone to destroy that warehouse and everything inside.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '22', 'm6o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '23', 'm6s', 'The distinctive roar of those TIE engines is greatly diminished today. Great job, agent. We knew we could count on you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '24', 'm6t', 'No more ion engines');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '25', 'm7d', 'An Imperial Academy processing center is currently housing the results of several hundred potential pilots\' flight exams. If those scores are destroyed, this will create a severe backlog for the Imperials and slow their recruitment efforts. Further, it would let us approach potential recruits and possibly enlist their aid against the Empire. Do you wish to lead this important mission?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '26', 'm7o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '27', 'm7s', 'Excellent! The best thing about the Empire\'s ponderous bureaucracy is that it\'s easy to throw a hydrospanner into the works. Good job! May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '28', 'm7t', 'Burn Imperial records');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '29', 'm8d', 'A cargo of probe droids has been delivered to a supply depot servicing this sector. A Star Destroyer is scheduled to enter the system\'s orbit in the next few days and those probe droids will be transported aboard. Those probe droids are trouble for the Alliance. We need a skilled agent to take out that supply depot and make sure those probe droids are destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '30', 'm8o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '31', 'm8s', 'Good going! Fewer probe droids means fewer chances to find our bases. The Empire can\'t destroy what they can\'t find, after all. You\'re becoming a very promising agent indeed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '32', 'm8t', 'Take out the probe droids');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '33', 'm9d', 'We\'ve discovered a shipment of turbolaser actuators stored in an Imperial depot. They are scheduled to be delivered to the Kuat Drive Yards. We must make sure those actuators are never installed in any capital ship\'s weapons. A team of skilled agents should be able to blast this depot off without much trouble. You\'ll have to work fast, though.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '34', 'm9o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '35', 'm9s', 'Well struck, agent. Without their turbolasers, those hulking capital ships are just so much space debris. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '36', 'm9t', 'Pull the Star Destroyers\' teeth');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '37', 'm10d', 'A large shipment of orbital mines is to be delivered to the Star Destroyer Avenger. The dispersal of these mines would make life much more difficult for our fleet, as you can imagine. We\'ve discovered these mines and need the depot blasted into oblivion. Can you lend a hand, citizen? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '38', 'm10o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '39', 'm10s', 'Good work, citizen! Those mines won\'t be claiming the lives of our pilots and crew members. We look forward to working with you again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '40', 'm10t', 'Take out the deadly mines');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '41', 'm11d', 'The Empire has designed an improved subspace transceiver. The working prototype was sent to a manufacturing facility for mass production. A small team of operatives must make sure those transceivers are never built and either secure or destroy the prototype. Can the Alliance count on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '42', 'm11o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '43', 'm11s', 'It\'s obvious you know the meaning of success, citizen. Job well done! Even if we didn\'t get the prototype, its destruction is a good consolation prize.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '44', 'm11t', 'Knock out Imperial communications');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '45', 'm12d', 'We have identified an Imperial fortified complex as a gunnery school for local recruits. Today they\'re firing at target droids, but tomorrow they\'ll be aiming at us. You have to destroy that compound -- today!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '46', 'm12o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '47', 'm12s', 'Excellent work! The Alliance has nothing against education, but we don\'t like what the Empire does with it. We look forward to working with you again!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '48', 'm12t', 'No more Imperial gunners');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '49', 'm13d', 'We\'ve managed to locate the Imperial Intelligence Analysis Bureau command center for this entire sector. These centers provide the intelligence reports that allow the Bureau of Operations to plan and execute strikes. It will be heavily guarded and equipped with state-of-the-art defenses. Its destruction will require an experienced team. Can the Alliance count on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '50', 'm13o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '51', 'm13s', 'A brilliantly executed strike! With freedom fighters like you aiding our cause, the Empire has no chance. We hope you\'ll accept difficult missions from us in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '52', 'm13t', 'Cripple Imperial Intelligence');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '53', 'm14d', 'We\'ve discovered a training facility for Imperial Intelligence\'s Operations agents -- in other words, assassins. This installation has launched covert operations that have killed some of our top officers. The Alliance wants this base blasted into atoms. This will not be easy, as some of the Empire\'s top agents work as trainers at this facility.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '54', 'm14o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '55', 'm14s', 'Those Operations goons never knew what hit them. Bravo! You\'ve done the Alliance and the galaxy a great service. You\'re quickly becoming one of our top agents.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '56', 'm14t', 'Stop future assassins');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '57', 'm15d', 'Bothan spies have identified a biological weapons development lab. Intercepted transmissions indicate this facility was instrumental in developing the Candorian Plague used against Dentaal. This lab must be destroyed at any cost. Imperial security will be tight and defenses formidable. A generous reward awaits the agent who can pull this off. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '58', 'm15o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '59', 'm15s', 'One less weapon in the Empire\'s arsenal. Good work! Many worlds will sleep easier now that this plague-making lab has been destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '60', 'm15t', 'Destroy the plague-maker');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '61', 'm16d', 'A top-secret installation of the Inquisitorius, the Empire\'s specialized interrogators, has been located. Many of our agents ended up there, tortured for information until they were driven mad and killed. It is said that the Inquisitors use the Force to aid in their twisted work. Commander Skywalker has personally requested that this installation be taken out. Can we call on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '62', 'm16o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '63', 'm16s', 'Success! You\'ll be the scourge of the Empire yet! The Alliance thanks you and the galaxy is in your debt. Our reward is but a small token of our gratitude.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '64', 'm16t', 'Smash the Imperial interrogators');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '65', 'm17d', 'An Imperial garrison has received orders to execute suspected Alliance sympathizers and their families if they do not start naming Alliance spies. We need someone to wipe out the garrison before these stormtroopers can slaughter innocent civilians. Taking out a garrison, even a small one, is no easy task. These Imperial troops will be on high alert.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '66', 'm17o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '67', 'm17s', 'Great job! The Empire will think twice before giving their garrisons the order to execute civilians again. Fear is not just a tool for the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '68', 'm17t', 'Save the innocent civilians');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '69', 'm18d', 'A stormtrooper training facility, renowned for producing some of the Emperor\'s most fanatical legions, must be taken out. A successful strike would stand as a symbol of the Alliance\'s determination to rid the galaxy of the Empire\'s tyranny. The Emperor\'s brainwashing techniques can\'t compete with an Alliance member\'s passion for freedom. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '70', 'm18o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '71', 'm18s', 'You deserve a medal! The Emperor\'s not the only one who trains crack troops and deadly soldiers. The Alliance salutes you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '72', 'm18t', 'Destroy stormtrooper training base');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '73', 'm19d', 'Bothan spies have located an Imperial outpost housing Sith artifacts. We\'ve received word that Darth Vader has ordered these artifacts delivered to him personally. If those artifacts are indeed what the Bothans claim, we must not allow them to fall into Vader\'s hands. We need a strike team to go in and blow that shipment to atoms.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '74', 'm19o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '75', 'm19s', 'Job well done! You are a true champion of the people. Report to us again for future assignments soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '76', 'm19t', 'Destroy Sith artifacts');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '77', 'm20d', 'Mercenary assassins do the Emperor\'s dirty work when direct military action is politically inexpedient. We have the coordinates of an undocumented arsenal from which the Empire supplies its assassins. We need a squad of fighters to blast the place into vapor. The arsenal is garrisoned with Imperial soldiers and mercenary assassins, so be careful.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '78', 'm20o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '79', 'm20s', 'Astounding work! You and your team are superior operatives, a true asset to the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '80', 'm20t', 'Smash an arsenal for Imperial assassins');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '81', 'm21d', 'Imperial Army weapons designers have refashioned a platform-mounted flame carbine, the Czerka CZ-28 Flamestrike, for use on repulsorlift craft and cloud cars. Sheets of flame from the sky will mean grave danger for our fighters below. No matter the cost, you must render this weapons factory permanently inoperative. Prepare for harsh opposition.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '82', 'm21o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '83', 'm21s', 'Impressive news! This victory represents a fundamental security that cannot be overstated. We applaud your resolve, and we wish you still greater success in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '84', 'm21t', 'Imperial flamer munitions factory');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '85', 'm22d', 'The profiteers at Arakyd Industries continue to garner Imperial largesse. These parasites have contracted to build new legions of Inquisitor-series seeker droids with weaponry of considerably increased lethality. This presents a major threat to Alliance forces, and we cannot allow the factory to begin production. Assemble a large and experienced strike team and take this factory out.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '86', 'm22o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '87', 'm22s', 'This is excellent news! We hope this damages Arakyd Industries profits as badly as their products have damaged our forces. We congratulate you, agent!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '88', 'm22t', 'Blast a combat droid construction plant');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '89', 'm23d', 'The Empire has established a new facility building two-legged AT-ST scout walkers. Though the labor force is entirely droid-based, the installation is well defended with Imperial troops. Our recon scout escaped only by dint of skill and luck. Assemble an experienced strike team to take out this major target.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '90', 'm23o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '91', 'm23s', 'Your high reputation is well earned, agent! We have stalled the production of Imperial walkers in this area, at least for now. Your reputation continues to rise!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '92', 'm23t', 'Destroy an AT-ST assembly plant');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '93', 'm24d', 'The Empire is relaying a cache of rare durindfire gems, under heavy guard, to a merchant in this area. You may know that Imperials traffic in these gems to finance their more exotic projects, such as the Death Star. If you can destroy these gems in their holding facility, you\'ll strike a blow against covert financiers across the galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '94', 'm24o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '95', 'm24s', 'Durindfire gems flash brilliantly, but in Imperial hands they\'re covered with blood. It\'s better that you destroyed them. Good work!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '96', 'm24t', 'Blast the gems');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '97', 'm25d', 'Imperial forces are guarding -- perhaps a better word is \"confining\" -- engineers working for Baktoid Combat Automata. In this compound these engineers are stress-testing blaster subsystems for a redesigned Protector-series combat droid. Destroy the engineering compound and the Protector plans.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '98', 'm25o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '99', 'm25s', 'Thank you! Facing an improved Protector droid would not have been fun, to say the least. You are progessing well!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '100', 'm25t', 'Smash the Protector droids');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_hard_non_persistent_from_npc.stf', '101', 'number_of_entries', '25');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '1', 'm1d', 'Local Imperial patrols have been relying on a refueling depot not far from here. The depot\'s destruction would certainly hamper the Empire\'s ability to effectively search for our cells. The Empire realizes this, so the depot is likely to be well defended. This mission will require skill and fortitude. Can the Alliance depend on you to lead such a strike?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '2', 'm1o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '3', 'm1s', 'Now that\'s how it\'s done! Those Imperial patrols will stay grounded for a while. Long live the Alliance!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '4', 'm1t', 'Destroy Local Refueling Depot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '5', 'm2d', 'A transport repair station at these coordinates services Imperial scout troopers\' speeder bikes. If this facility were destroyed, it would limit the number of Imperial search-and-destroy missions for this entire system. Can we count on you to orchestrate this strike? As always, the Alliance will reward you for services rendered.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '6', 'm2o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '7', 'm2s', 'Broken down speeder bikes don\'t do the Empire any good. Job well done, agent. The Alliance could use more fighters like you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '8', 'm2t', 'Destroy Local Repair Station');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '9', 'm3d', 'A small SoroSuub weapons testing facility must be knocked out. We believe they are working on an improved design for the scout trooper blaster that would greatly increase its firepower and accuracy. The Alliance can\'t afford to have scout troopers get better sidearms. We don\'t know what kind of security this facility will have, but we imagine it\'ll be formidable.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '10', 'm3o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '11', 'm3s', 'Bravo! No new blasters for those scout troopers! An impressive bit of work, agent. The Alliance thrives because of individuals like you. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '12', 'm3t', 'Destroy Weapons Development Lab');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '13', 'm4d', 'We\'ve located a major Imperial power droid manufacturing plant. Taking this plant out would be more than a simple inconvenience for the Empire. Their Star Destroyers and garrisons rely on these power droids to keep battle stations running. It will take a strong, precise strike to cripple this installation. The Alliance needs your help.  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '14', 'm4o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '15', 'm4s', 'No power means no weapons or defenses. Our congratulations on the success of your mission. Keep up the good work. The Alliance is counting on you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '16', 'm4t', 'Wipe Out Power Droid Plant');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '17', 'm5d', 'Our informants have identified an ISB compound used for interrogations. If the stories can be believed, terrible atrocities have taken place. Destroying this foul place would send the right message to both the Empire and to citizens who lived in fear of Imperial Security. We\'re looking for a dedicated agent who can lead a successful assault on this nightmarish compound. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '18', 'm5o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '19', 'm5s', 'Bravo, agent! Now citizens will realize that the power of the ISB is not absolute and that the Empire is fallible. You\'ve earned your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '20', 'm5t', 'Destroy ISB Interrogation Compound');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '21', 'm6d', 'We\'ve located a Sienar Fleet Systems warehouse and have learned that it\'s currently storing ion engines scheduled to go to Imperial shipyards in this sector. That will mean more TIE fighters for our X-wing pilots to deal with. We need someone to destroy that warehouse and everything inside.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '22', 'm6o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '23', 'm6s', 'The distinctive roar of those TIE engines is greatly diminished today. Great job, agent. We knew we could count on you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '24', 'm6t', 'Destroy Sienar Warehouse');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '25', 'm7d', 'An Imperial Academy processing center is currently housing the results of several hundred potential pilots\' flight exams. If those scores are destroyed, this will create a severe backlog for the Imperial bureaucracy and slow the aggressive recruitment efforts of the Imperial Navy. Further, it would let us approach potential recruits and possibly enlist their aid against the Empire. Do you wish to lead this important mission?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '26', 'm7o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '27', 'm7s', 'Excellent! The best thing about the Empire\'s ponderous bureaucracy is that it\'s easy to throw a hydrospanner into the works. Good job! Claim your reward and may the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '28', 'm7t', 'Destroy Imperial Records');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '29', 'm8d', 'The Alliance has acquired the coordinates to an Imperial HoloNet data collection station. This station is used by Imperial Intelligence\'s Analysis Bureau to coordinate surveillance efforts for the entire sector. If we take out this station, we effectively cripple Imperial Intelligence\'s ability to uncover our sabotage missions and raids of Imperial depots. Can you lead such a strike?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '30', 'm8o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '31', 'm8s', 'Bravo! Cut off the head and the body cannot survive for long. Your efforts to interrupt Imperial Intelligence\'s communication to the rest of the Empire\'s war machine will be instrumental in our eventual success. Your reward is well earned.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '32', 'm8t', 'Plug Up the Empire\'s Ears');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '33', 'm9d', 'A small Imperial outpost is currently being used to store of seized glitterstim spice. This cargo is intended to bribe Corporate Sector Authority officials to comply with Imperial Intelligence\'s requests to access confidential corporate records. The Alliance needs a few good individuals to make sure that outpost is destroyed and everything inside it is burned to the ground. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '34', 'm9o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '35', 'm9s', 'Good! Not only have you disposed of a great deal of illegal drugs, you\'ve cost Imperial Intelligence millions of credits worth of bribe money. Let\'s see how eager they are to bribe the CSA now that they have to dig into their own budget. This is a great victory for the Alliance, friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '36', 'm9t', 'Destroy Illegal Drugs');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '37', 'm10d', 'A cargo of probe droids has just been delivered to a supply depot servicing this sector. A Star Destroyer is scheduled to enter the system\'s orbit sometime in the next few days and those probe droids will be transported aboard. We don\'t need to tell you how much damage those probe droids can cause to the Alliance. We need a skilled agent to take out that supply depot and make sure those probe droids are destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '38', 'm10o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '39', 'm10s', 'Good going! Fewer probe droids means fewer chances to find our bases. The Empire can\'t destroy what they can\'t find, after all. You\'re becoming a very promising agent indeed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '40', 'm10t', 'Poke Out the Empire\'s Eyes');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '41', 'm11d', 'We\'ve discovered a shipment of turbolaser actuators, currently stored in an Imperial depot and scheduled to be delivered to the Kuat Drive Yards. We must make sure those actuators are never installed in any capital ship\'s weapons. A team of skilled agents should be able to blast this depot off without much trouble. You\'ll have to work fast, though.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '42', 'm11o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '43', 'm11s', 'Well struck, agent. Without their turbolasers, those hulking capital ships are just so much space debris. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '44', 'm11t', 'Blow Up the Turbolasers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '45', 'm12d', 'A large shipment of orbital mines is to be delivered to the Star Destroyer Avenger soon. The dispersal of these mines would make life much more difficult for our fleet, as you can imagine. We\'ve discovered these mines and need the depot blasted into oblivion. The coordinates will be sent when you accept the mission. May the Force be with you. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '46', 'm12o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '47', 'm12s', 'Good work, citizen! Those mines won\'t be claiming the lives of our pilots and crew members. We look forward to working with you again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '48', 'm12t', 'Orbital Mines Bad');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '49', 'm13d', 'The Empire has designed an improved subspace transceiver. The working prototype was sent to a manufacturing facility for mass production. A small team of operatives must make sure those transceivers are never built and either secure or destroy the prototype.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '50', 'm13o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '51', 'm13s', 'It\'s obvious you know the meaning of success, citizen. Job well done! Even if we didn\'t get the prototype, its destruction is a good consolation prize.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '52', 'm13t', 'Blast the Imperial Transceivers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '53', 'm14d', 'Reports have been coming in about an amazing little MSE-6 droid. If Imperial Intelligence reports are to be believed, that tiny dynamo has led those Imperial slugs on a wild mynock chase. We want to help spread these rumors. We\'ve planted a false Imperial report on the HoloNet that claims the Empire is holding the droid at a detention facility. We need a team of operatives to strike this detention facility and make it seem as if the MSE-6 droid was \"rescued\" by the Alliance. Can you help us embarrass the Empire further?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '54', 'm14o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '55', 'm14s', 'Excellent \"rescue!\" If we can get those Imperial slugs to start worrying about their MSE-6 droids, then we\'ve already won this war. Keep it up.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '56', 'm14t', 'Rescue the Mouse Droid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '57', 'm15d', 'The Empire has deployed a prefab structure in an outlying area. It appears to be an early beachhead for a diplomatic garrison. No one here knows what a diplomat would have to be diplomatic about, way out there. In any case, we need you to destroy it before the Empire can fortify it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '58', 'm15o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '59', 'm15s', 'Fast work! It\'s not often we take out an Imperial garrison, even if it is just a diplomatic garrison. Actually, only the first part of one. Never mind, you deserve your reward!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '60', 'm15t', 'Diplomatic Garrison Target');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '61', 'm16d', 'We have identified an Imperial fortified complex as a gunnery school for local recruits. Today they\'re firing at target droids, but tomorrow they\'ll be aiming at us. You have to destroy that compound -- today!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '62', 'm16o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '63', 'm16s', 'Excellent work! The Alliance has nothing against education, but we don\'t like what the Empire does with it. We look forward to working with you again!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '64', 'm16t', 'Imperial Gunnery School');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '65', 'm17d', 'The Empire\'s infrared camera lenses require the rare mineral byrothsis. These lenses require frequent specialized maintenance, and one of the maintenance facilities is nearby. By destroying the byrothsis purification facility, your team can put the Empire in the dark. Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '66', 'm17o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '67', 'm17s', 'Excellent job. With their infrared lenses going cloudy, Imperial TIE fighters might be slower to see our ships. Let\'s hope!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '68', 'm17t', 'Imperial Byrothsis Facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '69', 'm18d', 'The Empire is relaying a cache of rare durindfire gems, under heavy guard, to a merchant in this area. You may know that Imperials traffic in these gems to finance their more exotic projects, such as the Death Star. If you can destroy these gems in their holding facility, you\'ll strike a blow against covert financiers across the galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '70', 'm18o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '71', 'm18s', 'The Empire protects those durindfire gems the way you and I protect our dearest heirlooms. It\'s amazing that you destroyed them. Good work!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '72', 'm18t', 'Imperial Durindfire Gem Facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '73', 'm19d', 'Imperial forces are guarding -- perhaps a better word is \"confining\" -- engineers working for Baktoid Combat Automata. These engineers are stress-testing blaster subsystems for a redesigned Protector-series combat droid. We\'d like you to destroy the engineering compound and the Protector plans. Unfortunately, the engineers must be considered expendable.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '74', 'm19o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '75', 'm19s', 'Thank you! Facing an improved Protector droid would not have been fun, to say the least. Nice job!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '76', 'm19t', 'Empire Redesigning Protector Droids');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '77', 'm20d', 'The Empire is raising funds by shipping thermal detonators to local gangsters. What a bunch of hypocrites! These bombs always end up destroying innocent civilians\' property, so we want you to blow up the detonator warehouse. Be careful -- it\'s got fairly heavy defenses.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '78', 'm20o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '79', 'm20s', 'You did it! It\'s a relief to know those detonators won\'t be troubling the locals. This reward\'s yours. And be sure to mention to everyone -- the Empire deals with crooks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '80', 'm20t', 'Empire Selling Detonators to Crooks');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '81', 'm21d', 'mperial Intelligence is working on high-frequency broadcasts that burn out a droid\'s restraining bolts and ruin its programming. Basically a droid gets this signal and goes berserk. Of course, any grownup can handle a rogue 3PO unit, but what about the children? Stop this weird-science research before it\'s too late.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '82', 'm21o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '83', 'm21s', 'Scratch one more Imperial Intelligence mad-science project. That droid idea might never have worked, but it doesn\'t hurt that you made sure. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '84', 'm21t', 'Empire Sabotaging Restraining Bolts');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '85', 'm22d', 'If you\'ve fought on foot against one of those two-leg Imperial scout walkers, you know they\'re dangerous. We\'ve got word that a local armory is stockpiling the specialized axidite control boxes used in AT-ST command pods. You have a big chance here to interrupt a major Imperial supply chain!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '86', 'm22o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '87', 'm22s', 'Thank you! That armory stockpile would have gone into dozens of Imperial walkers. Maybe hundreds. Good job!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '88', 'm22t', 'Axidite Stockpile');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '89', 'm23d', 'Dola trees are apparently sentient plants of Aruza. Never heard of them myself, but their flowers make an antibiotic syrup we use to treat local ailments. Imperial Intelligence agents stole our supply of dola flowers and plan to use them to breed a new slave race. The flowers are now useless for antibiotics. We need you to destroy them and the Imperial research lab.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '90', 'm23o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '91', 'm23s', 'The dola syrup stolen by the Empire would have saved lives, but your work at least protects the dola trees from Imperial slavery. Thank you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '92', 'm23t', 'Empire Breeding Dola Tree Slaves');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '93', 'm24d', 'the Empire is shipping in components for their GTU AV-1A Assault Armor. It\'s a powered combat suit for elite troops, sort of a hovertank you can wear. We\'ve never seen it in action, and we don\'t want to. If you inflict enough damage to the warehouse, you may set off the explosive charges they use for the suit\'s ejection system. Then get clear, fast!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '94', 'm24o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '95', 'm24s', 'Those GTU power suits are expensive and tricky, so with luck we\'ll never see them on this planet. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '96', 'm24t', 'Imperial GTU Armor Components');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '97', 'm25d', 'An Imperial Security outpost here has procured, through illegal back-channels, a shipment of neuronic whips. That\'s right, slaver weapons, outlawed on every civilized world. They intend to use these brutal stun-whips for crowd control and intimidation. You must destroy the warehouse and the whips. Expect serious opposition, though.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '98', 'm25o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '99', 'm25s', 'What a relief! Those neuronic whips would have caused terror far beyond mere crowd control. Thanks for destroying them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '100', 'm25t', 'Empire Using Neuronic Terror');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '101', 'm26d', 'Maybe you\'ve heard the reports of local swoop gangs with suspiciously good weaponry. We know the Empire\'s COMPNOR security goons have been arming crooks in communities sympathetic to the Alliance. Now we\'ve found an Imperial Army depot where COMPNOR requisitions the gang weapons. Stop this operation at its source!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '102', 'm26o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '103', 'm26s', 'That\'s one more blow in the fight against gang violence. Those swoop gangs will keep endangering innocent people until we cut off their weapon supply. Good work! ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '104', 'm26t', 'Swoop Gangs With COMPNOR Weapons');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '105', 'm27d', 'We\'ve located an Imperial Army installation housing unusual ammunition: flechette microdart canisters, toxin darts, magna caster quarrels. The installation doubles as quarters for the specialists who maintain this ammo. Expect tough opposition, and stay well clear when you blow up the place.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '106', 'm27o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '107', 'm27s', 'Well done! It\'s enough trouble facing blasters and AT-ATs without worrying about those deadly exotics. Here\'s your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '108', 'm27t', 'Exotic Ammunition Stockpile');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '109', 'm28d', 'The Empire\'s covert research into planet-wide biochemical weaponry continues. Mass production of these fearsome killers require specialized reagents and catalysts. We have tracked down a facility producing purified niobarium, a poisonous chemical used in one weapons-grade process. To cut off that process, destroy the niobarium plant.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '110', 'm28o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '111', 'm28s', 'Reports are showing negligible release of niobarium from the destruction. Fine job! Please contact us again for new assignments.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '112', 'm28t', 'Imperial Niobarium Facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '113', 'm29d', 'DX-343 is an industrial solvent that, on exposure into air, disperses into mist. The DX mist disrupts electronic equipment and makes breathing difficult. If our reports are correct, the Empire has stockpiled enough DX-343 to wipe out a fleet of starfighters and their pilots. Destroy the stockpile!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '114', 'm29o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '115', 'm29s', 'If the Empire had used all that DX-343, we would have been carrying starships out of the hangar in pieces, and their pilots too. Good job taking it out!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '116', 'm29t', 'Imperial DX-343 Stockpile');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '117', 'm30d', 'Hyperbaride is used for turbolaser casings. Its production generates poisonous byproducts. The Empire usually disposes of the byproducts harmlessly, but we\'ve learned of a new cache in this area.We suspect they\'re stockpiling this poison as a weapon. The cache is well guarded, but we want it destroyed, preferably in a ball of sterilizing flame.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '118', 'm30o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '119', 'm30s', 'If the Empire really is stockpiling hyperbaride by-products, we\'d hate to imagine what they\'re planning. Hope you made sure we\'ll never find out.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '120', 'm30t', 'Imperial Hyperbaride Waste Dump');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '121', 'm31d', 'Get this: An Imperial mess facility got accidentally infested with Sorderian weft-worms. The Empire has decided to solve the infestation by blowing up the entire facility from orbit. Their aim in these matters is not flawless, so we\'d like you to destroy the facility first. Target practice from a Star Destroyer -- we don\'t need that!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '122', 'm31o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '123', 'm31s', 'Great, now we\'re doing the Imperials\' work for them. What a galaxy! But thank you, and be glad we no longer have to fear those oh-so-terrible weft-worms.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '124', 'm31t', 'Imperial Weft-Worm Infestation');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '125', 'm32d', 'Astrogation computers on Imperial starships rely on probe data collated and encoded at a local astrogation station. If you destroy the astrogation facilities, the Empire must rely on outdated information when travelling in this system. But beware, these stations are always guarded!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '126', 'm32o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '127', 'm32s', 'Great job! Now we\'ll hope an Imperial ship runs into a meteor shower or asteroid field it couldn\'t predict.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '128', 'm32t', 'Astrogation Collation Station');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '129', 'm33d', 'The most sophisticated communication relays in the galaxy, outside Coruscant, sit aboard Imperial capital ships. Our agents within the Imperial bureaucracy have redirected a shipment of these delicate relays to a supply station here. This is our best chance to destroy a vital component of the Imperial comm apparatus. Move quickly!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '130', 'm33o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '131', 'm33s', 'Good! We must hope that the Empire\'s capital ships, with hampered communications, will operate based on inferior strategy. Please check back with us for more assignments.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '132', 'm33t', 'Imperial Capital Ship Comm Relays');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '133', 'm34d', 'Empire ship designer Lira Wessex, who designed the original Star Destroyers, is apparently visiting this world on a tour of shipbuilding facilities. If we can incapacitate Wessex, the Empire will lose one of its greatest talents. Unfortunately, Wessex is here only a while, at an Imperial outpost with a strong escort. Strike fast and strike hard!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '134', 'm34o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '135', 'm34s', 'Great work! If Lira Wessex was inside that wreck, then you\'ve brought a long, bad career to a belated close.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '136', 'm34t', 'Visit From Lira Wessex');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '137', 'm35d', 'The SoroSuub Corporation is a dangerous ally of the Empire. Their ships and weapons are responsible for the deaths of untold numbers of Alliance fighters. To isolate them from distribution contractors, we have begun a campaign to harry shipments of SoroSuub armaments across the galaxy. Here are coordinates for a distribution center on this world. Prepare for well-armed resistance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '138', 'm35o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '139', 'm35s', 'Allies of the Empire are enemies of freedom. You have done well. Contact us again for the coordinates of more SoroSuub distribution centers.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '140', 'm35t', 'Disrupt SoroSuub Corporation Shipments');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '141', 'm36d', 'InCom\'s superior X-wing technology is the envy of the Imperial Navy. Recently an informant tipped the Imperial Security Bureau to the location of a hidden cache of fighters. Stormtroopers descended on the place, and now five X-wings are being readied for transport to Sienar Fleet Systems. We need agents to hit the place fast. Make sure nothing is left but smoke and rubble.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '142', 'm36o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '143', 'm36s', 'Well done. All five X-wing fighters were reduced to slag. We must guard every technological advantage if we are to bring the Empire to its knees.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '144', 'm36t', 'Destroy Captured X-wing Fighters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '145', 'm37d', 'The Alliance has placed agents inside many Imperial operations. Currently one secret operative, well-placed in the Imperial system, is under suspicion by his supervisor. We cannot afford to lose him. Therefore we are commissioning a strike team to attack the small garrison where he is stationed. The diversion will let him eliminate his supervisor and destroy evidence.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '146', 'm37o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '147', 'm37s', 'Well done. Thanks to your distraction, our secret agent was able to remove the officer who questioned his loyalty to the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '148', 'm37t', 'Assist a Secret Agent');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '149', 'm38d', 'An Imperial spy has infiltrated our supply network. He has collected dangerous information about our secret shipping routes. A probe droid recently arrived at the Imperial base at the following coordinates. We believe that the droid\'s databanks contain this secret data. If we are to protect the identities of the depots and freighters that assist us, we must destroy this base at once.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '150', 'm38o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '151', 'm38s', 'We have confirmed that the probe droid was destroyed. Our supply routes are safe again. Excellent work!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '152', 'm38t', 'Destroy an Imperial Base to Thwart a Spy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '153', 'm39d', 'An Imperial spy is working inside Alliance operations. He has collected a list of Alliance informants and is in the process of transmitting their names to Imperial Intelligence. The list is stored at an Imperial base at the following coordinates. We need a well-armed team to destroy the base before Imperial Intelligence arrives to recover the information.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '154', 'm39o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '155', 'm39s', 'We have monitored transmissions within Imperial Intelligence. They are most displeased that you destroyed the list of Alliance informants before they could recover it. You have saved the lives of many good people. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '156', 'm39t', 'Save Alliance Informants');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '157', 'm40d', 'An Imperial spy has wrought havoc on our operations in several sectors. We do not know his identity, but we have discovered the office of Imperial Intelligence to which he reports. If we can destroy his headquarters, we can salvage many operations he has jeopardized. A team of experienced marksmen should be sufficient to knock down this Imperial site.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '158', 'm40o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '159', 'm40s', 'Skillfully done. The Alliance values capable agents like you. Contact us again soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '160', 'm40t', 'Take Down an Office of Imperial Intelligence');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '161', 'm41d', 'Cloaking devices create no end of difficulty for Alliance blockade runners. We have tracked a shipment of hybridium ore, essential to modern cloaking systems, from Garos IV to an Imperial transfer point. The site is guarded by Imperial troops, but if we can get a blaster squad inside to level the place, we\'ll take away the ability of the blockade ships to cloak themselves from our sensors.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '162', 'm41o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '163', 'm41s', 'Successes like these are stepping stones to victory over the Empire. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '164', 'm41t', 'Eliminate Fuel for Imperial Cloaking Devices');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '165', 'm42d', 'The Imperial Security Bureau\'s network of civilian spies and informants is a plague on us all. The Alliance places great value on locating and terminating sites of ISB activity. We have the coordinates of one such installation and require a team to carry out an assault. Be aware that the Empire has responded to our campaign so expect considerable resistance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '166', 'm42o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '167', 'm42s', 'You have done a superb job. The more we hamper the actions of the ISB, the closer we come to real freedom in the galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '168', 'm42t', 'Terminate an Office of the Imperial Security Bureau');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '169', 'm43d', 'Propaganda is one of the Empire\'s tools in oppressing the galaxy. Imperial propagandists have taken over entire news corporations. We have identified one such purveyor of deceit, and confirmed that Imperial personnel staff all of its facilities. We\'d like you to form a team and smash this installation and staunch the flow of lies.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '170', 'm43o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '171', 'm43s', 'Every time we take down a center for propaganda, the people of the galaxy move closer to the truth. You have done well.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '172', 'm43t', 'Smash a Propaganda Center');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '173', 'm44d', 'One of our agents has covertly sabotaged Imperial masking codes for several uninstalled shield generators in this sector. If these generators are deployed to Imperial warships, we will have a hidden advantage should our blockade runners be spotted. Unfortunately certain factory records might betray our secret sabotage. We need agents to blow apart an Imperial maintenance base and destroy those records.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '174', 'm44o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '175', 'm44s', 'Well done! Against the military resources of the Empire we need every advantage we can get. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '176', 'm44t', 'Protect a Covert Alliance Operation');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '177', 'm45d', 'We have received word that a new security protocol has been implemented at Imperial military sites around the sector. We are staging exploratory assaults on select bases, to see what new tactics the Empire has deployed. We need small teams of marksmen or veteran individuals to assist us in this fact-finding endeavor. Leave no wall standing.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '178', 'm45o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '179', 'm45s', 'It seems no Imperial security protocol is a match for a good blaster at your side. The Alliance thanks you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '180', 'm45t', 'Test a New Imperial Security Protocol');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '181', 'm46d', 'The Empire is not above sedating its subjects into complacency. We have discovered an installation where Imperial engineers are introducing drugs into the water supply to quell unrest in the local population. This crime must not be allowed to continue. We\'d like you to blast this water-doping facility into smoke and rubble. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '182', 'm46o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '183', 'm46s', 'It warms the heart to see a plume of smoke rising where Imperial villainy once reigned. Very well done. Your reputation continues to rise here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '184', 'm46t', 'Raze a Water-Doping Facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '185', 'm47d', 'The Imperial Security Bureau has stepped up its program to recruit troubled youths with a criminal record to do the Empire\'s dirty work. We must not stand for this underhanded scheme. The program is controlled from an ISB facility at the following coordinates. We want to make an example of these ISB monsters, so leave no Imperial agent standing.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '186', 'm47o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '187', 'm47s', 'Thanks to your good work, many troubled youths will avoid the corruption of the Empire and perhaps even become good Alliance fighters in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '188', 'm47t', 'Stamp Out Imperial Corruption of Youth');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '189', 'm48d', 'An Imperial officer has shown a keen aptitude for ferreting out covert Alliance agents and destroying our hidden bases. What\'s worse, he is known to torture and slaughter innocents in his enforcement of Imperial edicts. He is currently inspecting a facility on this world. We need a small squad to strike this facility while this officer is present.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '190', 'm48o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '191', 'm48s', 'You have done very well. We have not yet confirmed that Commander Hrazzel was killed in your raid, but we hope his threat is now gone.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '192', 'm48t', 'Take Out a Dangerous Imperial Officer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '193', 'm49d', 'A local notable crossed the Empire and a small garrison was placed on his land as a lesson to others. This individual has contacted the Alliance with requests to remove this garrison. Alliance High Command has decided to grant this request. We need you to hit this installation hard and leave no survivors. Inasmuch as the Empire is so fond of lessons, it is time they learned one of their own.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '194', 'm49o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '195', 'm49s', 'Nicely handled. Your skill and bravery are assets to the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '196', 'm49t', 'Assault an Imperial Garrison');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '197', 'm50d', 'Imperial capital ships contain hyperwave signal interceptors that sound an alert just before a spacecraft comes out of hyperspace. Our spies inform us that an Imperial research laboratory has tripled the range of these hyperwave warning systems. The secret of this technology is entirely contained in the laboratory. We need a team of skilled individual to hit the place and blow it to cinders.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '198', 'm50o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '199', 'm50s', 'Splendid! Our informants assure us that it will take years for the Empire to rebuild this new technology. By then, we may have discovered some means to counter it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '200', 'm50t', 'Incinerate an Imperial Laboratory');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium.stf', '201', 'number_of_entries', '50');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '1', 'm1d', 'Local Imperial patrols have been relying on a refueling depot not far from here. The depot\'s destruction would certainly hamper the Empire\'s ability to effectively search for our cells. The Empire realizes this, so the depot is likely to be well defended. This mission will require skill and fortitude. Can the Alliance depend on you to lead such a strike?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '2', 'm1o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '3', 'm1s', 'Now that\'s how it\'s done! Those Imperial patrols will stay grounded for a while. Long live the Alliance!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '4', 'm1t', 'Ground the Imperial patrols');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '5', 'm2d', 'A transport repair station at these coordinates services Imperial scout troopers\' speeder bikes. If this facility were destroyed, it would limit the number of Imperial search-and-destroy missions for this entire system. Can we count on you to orchestrate this strike? As always, the Alliance will reward you for services rendered.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '6', 'm2o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '7', 'm2s', 'Broken down speeder bikes don\'t do the Empire any good. Job well done, agent. The Alliance could use more fighters like you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '8', 'm2t', 'Take out the Imperial mechanics');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '9', 'm3d', 'A small SoroSuub weapons testing facility must be knocked out. We believe they are working on an improved design for the scout trooper blaster. The Alliance can\'t afford to have scout troopers get better sidearms. We don\'t know what kind of security this facility will have, but we imagine it\'ll be formidable. You might need help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '10', 'm3o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '11', 'm3s', 'Bravo! No new blasters for those scout troopers! An impressive bit of work, agent. The Alliance thrives because of individuals like you. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '12', 'm3t', 'No new Imperial blasters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '13', 'm4d', 'We\'ve located a major Imperial power droid manufacturing plant. Taking this plant out would be more than a simple inconvenience for the Empire. Their Star Destroyers and garrisons rely on these power droids to keep battle stations running. It will take a strong, precise strike to cripple this installation. The Alliance needs your help.  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '14', 'm4o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '15', 'm4s', 'No power means no weapons or defenses. Our congratulations on the success of your mission. Keep up the good work. The Alliance is counting on you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '16', 'm4t', 'Farewell power droids');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '17', 'm5d', 'We\'ve identified an ISB compound used for interrogations. If the stories are true, terrible atrocities have taken place there. Destroying this facility would send the right message to both the Empire and to citizens who live in fear of Imperial Security. We\'re looking for a dedicated agent who can lead a successful assault on this nightmarish compound. Are you that agent? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '18', 'm5o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '19', 'm5s', 'Bravo, agent! Now citizens will realize that the power of the ISB is not absolute and that the Empire is fallible. You\'ve earned your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '20', 'm5t', 'Take out the torturers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '21', 'm6d', 'We\'ve located a Sienar Fleet Systems warehouse and have learned that it\'s currently storing ion engines scheduled to go to Imperial shipyards in this sector. That will mean more TIE fighters for our X-wing pilots to deal with. We need someone to destroy that warehouse and everything inside.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '22', 'm6o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '23', 'm6s', 'The distinctive roar of those TIE engines is greatly diminished today. Great job, agent. We knew we could count on you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '24', 'm6t', 'No more ion engines');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '25', 'm7d', 'An Imperial Academy processing center is currently housing the results of several hundred potential pilots\' flight exams. If those scores are destroyed, this will create a severe backlog for the Imperials and slow their recruitment efforts. Further, it would let us approach potential recruits and possibly enlist their aid against the Empire. Do you wish to lead this important mission?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '26', 'm7o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '27', 'm7s', 'Excellent! The best thing about the Empire\'s ponderous bureaucracy is that it\'s easy to throw a hydrospanner into the works. Good job! May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '28', 'm7t', 'Burn Imperial records');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '29', 'm8d', 'A cargo of probe droids has been delivered to a supply depot servicing this sector. A Star Destroyer is scheduled to enter the system\'s orbit in the next few days and those probe droids will be transported aboard. Those probe droids are trouble for the Alliance. We need a skilled agent to take out that supply depot and make sure those probe droids are destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '30', 'm8o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '31', 'm8s', 'Good going! Fewer probe droids means fewer chances to find our bases. The Empire can\'t destroy what they can\'t find, after all. You\'re becoming a very promising agent indeed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '32', 'm8t', 'Take out the probe droids');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '33', 'm9d', 'We\'ve discovered a shipment of turbolaser actuators stored in an Imperial depot. They are scheduled to be delivered to the Kuat Drive Yards. We must make sure those actuators are never installed in any capital ship\'s weapons. A team of skilled agents should be able to blast this depot off without much trouble. You\'ll have to work fast, though.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '34', 'm9o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '35', 'm9s', 'Well struck, agent. Without their turbolasers, those hulking capital ships are just so much space debris. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '36', 'm9t', 'Pull the Star Destroyers\' teeth');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '37', 'm10d', 'A large shipment of orbital mines is to be delivered to the Star Destroyer Avenger. The dispersal of these mines would make life much more difficult for our fleet, as you can imagine. We\'ve discovered these mines and need the depot blasted into oblivion. Can you lend a hand, citizen? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '38', 'm10o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '39', 'm10s', 'Good work, citizen! Those mines won\'t be claiming the lives of our pilots and crew members. We look forward to working with you again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '40', 'm10t', 'Take out the deadly mines');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '41', 'm11d', 'The Empire has designed an improved subspace transceiver. The working prototype was sent to a manufacturing facility for mass production. A small team of operatives must make sure those transceivers are never built and either secure or destroy the prototype. Can the Alliance count on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '42', 'm11o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '43', 'm11s', 'It\'s obvious you know the meaning of success, citizen. Job well done! Even if we didn\'t get the prototype, its destruction is a good consolation prize.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '44', 'm11t', 'Knock out Imperial communications');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '45', 'm12d', 'We have identified an Imperial fortified complex as a gunnery school for local recruits. Today they\'re firing at target droids, but tomorrow they\'ll be aiming at us. You have to destroy that compound -- today!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '46', 'm12o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '47', 'm12s', 'Excellent work! The Alliance has nothing against education, but we don\'t like what the Empire does with it. We look forward to working with you again!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '48', 'm12t', 'No more Imperial gunners');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '49', 'm13d', 'We\'ve managed to locate the Imperial Intelligence Analysis Bureau command center for this entire sector. These centers provide the intelligence reports that allow the Bureau of Operations to plan and execute strikes. It will be heavily guarded and equipped with state-of-the-art defenses. Its destruction will require an experienced team. Can the Alliance count on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '50', 'm13o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '51', 'm13s', 'A brilliantly executed strike! With freedom fighters like you aiding our cause, the Empire has no chance. We hope you\'ll accept difficult missions from us in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '52', 'm13t', 'Cripple Imperial Intelligence');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '53', 'm14d', 'We\'ve discovered a training facility for Imperial Intelligence\'s Operations agents -- in other words, assassins. This installation has launched covert operations that have killed some of our top officers. The Alliance wants this base blasted into atoms. This will not be easy, as some of the Empire\'s top agents work as trainers at this facility.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '54', 'm14o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '55', 'm14s', 'Those Operations goons never knew what hit them. Bravo! You\'ve done the Alliance and the galaxy a great service. You\'re quickly becoming one of our top agents.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '56', 'm14t', 'Stop future assassins');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '57', 'm15d', 'Bothan spies have identified a biological weapons development lab. Intercepted transmissions indicate this facility was instrumental in developing the Candorian Plague used against Dentaal. This lab must be destroyed at any cost. Imperial security will be tight and defenses formidable. A generous reward awaits the agent who can pull this off. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '58', 'm15o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '59', 'm15s', 'One less weapon in the Empire\'s arsenal. Good work! Many worlds will sleep easier now that this plague-making lab has been destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '60', 'm15t', 'Destroy the plague-maker');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '61', 'm16d', 'A top-secret installation of the Inquisitorius, the Empire\'s specialized interrogators, has been located. Many of our agents ended up there, tortured for information until they were driven mad and killed. It is said that the Inquisitors use the Force to aid in their twisted work. Commander Skywalker has personally requested that this installation be taken out. Can we call on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '62', 'm16o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '63', 'm16s', 'Success! You\'ll be the scourge of the Empire yet! The Alliance thanks you and the galaxy is in your debt. Our reward is but a small token of our gratitude.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '64', 'm16t', 'Smash the Imperial interrogators');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '65', 'm17d', 'An Imperial garrison has received orders to execute suspected Alliance sympathizers and their families if they do not start naming Alliance spies. We need someone to wipe out the garrison before these stormtroopers can slaughter innocent civilians. Taking out a garrison, even a small one, is no easy task. These Imperial troops will be on high alert.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '66', 'm17o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '67', 'm17s', 'Great job! The Empire will think twice before giving their garrisons the order to execute civilians again. Fear is not just a tool for the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '68', 'm17t', 'Save the innocent civilians');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '69', 'm18d', 'A stormtrooper training facility, renowned for producing some of the Emperor\'s most fanatical legions, must be taken out. A successful strike would stand as a symbol of the Alliance\'s determination to rid the galaxy of the Empire\'s tyranny. The Emperor\'s brainwashing techniques can\'t compete with an Alliance member\'s passion for freedom. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '70', 'm18o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '71', 'm18s', 'You deserve a medal! The Emperor\'s not the only one who trains crack troops and deadly soldiers. The Alliance salutes you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '72', 'm18t', 'Destroy stormtrooper training base');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '73', 'm19d', 'Bothan spies have located an Imperial outpost housing Sith artifacts. We\'ve received word that Darth Vader has ordered these artifacts delivered to him personally. If those artifacts are indeed what the Bothans claim, we must not allow them to fall into Vader\'s hands. We need a strike team to go in and blow that shipment to atoms.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '74', 'm19o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '75', 'm19s', 'Job well done! You are a true champion of the people. Report to us again for future assignments soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '76', 'm19t', 'Destroy Sith artifacts');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '77', 'm20d', 'Mercenary assassins do the Emperor\'s dirty work when direct military action is politically inexpedient. We have the coordinates of an undocumented arsenal from which the Empire supplies its assassins. We need a squad of fighters to blast the place into vapor. The arsenal is garrisoned with Imperial soldiers and mercenary assassins, so be careful.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '78', 'm20o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '79', 'm20s', 'Astounding work! You and your team are superior operatives, a true asset to the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '80', 'm20t', 'Smash an arsenal for Imperial assassins');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '81', 'm21d', 'Imperial Army weapons designers have refashioned a platform-mounted flame carbine, the Czerka CZ-28 Flamestrike, for use on repulsorlift craft and cloud cars. Sheets of flame from the sky will mean grave danger for our fighters below. No matter the cost, you must render this weapons factory permanently inoperative. Prepare for harsh opposition.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '82', 'm21o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '83', 'm21s', 'Impressive news! This victory represents a fundamental security that cannot be overstated. We applaud your resolve, and we wish you still greater success in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '84', 'm21t', 'Imperial flamer munitions factory');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '85', 'm22d', 'The profiteers at Arakyd Industries continue to garner Imperial largesse. These parasites have contracted to build new legions of Inquisitor-series seeker droids with weaponry of considerably increased lethality. This presents a major threat to Alliance forces, and we cannot allow the factory to begin production. Assemble a large and experienced strike team and take this factory out.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '86', 'm22o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '87', 'm22s', 'This is excellent news! We hope this damages Arakyd Industries profits as badly as their products have damaged our forces. We congratulate you, agent!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '88', 'm22t', 'Blast a combat droid construction plant');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '89', 'm23d', 'The Empire has established a new facility building two-legged AT-ST scout walkers. Though the labor force is entirely droid-based, the installation is well defended with Imperial troops. Our recon scout escaped only by dint of skill and luck. Assemble an experienced strike team to take out this major target.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '90', 'm23o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '91', 'm23s', 'Your high reputation is well earned, agent! We have stalled the production of Imperial walkers in this area, at least for now. Your reputation continues to rise!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '92', 'm23t', 'Destroy an AT-ST assembly plant');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '93', 'm24d', 'The Empire is relaying a cache of rare durindfire gems, under heavy guard, to a merchant in this area. You may know that Imperials traffic in these gems to finance their more exotic projects, such as the Death Star. If you can destroy these gems in their holding facility, you\'ll strike a blow against covert financiers across the galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '94', 'm24o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '95', 'm24s', 'Durindfire gems flash brilliantly, but in Imperial hands they\'re covered with blood. It\'s better that you destroyed them. Good work!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '96', 'm24t', 'Blast the gems');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '97', 'm25d', 'Imperial forces are guarding -- perhaps a better word is \"confining\" -- engineers working for Baktoid Combat Automata. In this compound these engineers are stress-testing blaster subsystems for a redesigned Protector-series combat droid. Destroy the engineering compound and the Protector plans.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '98', 'm25o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '99', 'm25s', 'Thank you! Facing an improved Protector droid would not have been fun, to say the least. You are progessing well!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '100', 'm25t', 'Smash the Protector droids');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_military_medium_non_persistent_from_npc.stf', '101', 'number_of_entries', '25');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy.stf', '1', 'm1d', 'A local man was duped by the Empire into betraying his father, who had been an informant for the Alliance, and as a \"reward\" was forced to watch his father\'s execution. Since that incident, this poor wretch has been drinking himself into a stupor and bad-mouthing the Empire. We\'ve just learned that a gang of COMPNOR goons, who\'ve been known to take the law into their own hands, have decided to burn the man\'s home while he sleeps off another drinking binge inside. The man\'s family will be asleep inside as well. We need a trusted agent to strike COMPNOR\'s outpost first and save this unfortunate man\'s family.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy.stf', '2', 'm1o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy.stf', '3', 'm1s', 'Good work! We\'ll get this poor man\'s family out of this place and to somewhere safe. We\'ll get this unfortunate clean and sober too. We understand he\'s actually quite a skilled technician. We sure could use more of those.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy.stf', '4', 'm1t', 'Stop COMPNOR Goons');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy.stf', '5', 'm2d', 'These COMPNOR enforcers are at it again. They\'ve convinced themselves that a sweet old citizen, who loves baking for the local children, is actually supplying the Alliance with food. This ridiculous notion is going to cost this kind lady her life. We\'re planning on relocating this woman to some place where she can bake all she wants. But we need someone to strike the COMPNOR enforcers\' outpost and make sure they don\'t harm this woman or anyone else.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy.stf', '6', 'm2o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy.stf', '7', 'm2s', 'The Alliance thanks you! You didn\'t just save this one sweet old woman, you\'ve put something into motion that the Empire will not be able to stop: open defiance of the New Order. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy.stf', '8', 'm2t', 'Stop COMPNOR Enforcers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy.stf', '9', 'm3d', 'Local authorities, who cooperate with the Empire to hunt down Alliance cells, are about to receive upgraded weapons and sensors. We need to hit the secret depot where these materials await distribution. The depot should have minimal defenses, because they don\'t expect an Alliance attack. We will, of course, reward anyone who succeeds in this mission.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy.stf', '10', 'm3o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy.stf', '11', 'm3s', 'Now this will even things up. The last thing we needed was a bunch of over-enthusiastic security goons armed with E-11 blasters. The Alliance is happy to pay this reward, thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy.stf', '12', 'm3t', 'Local Security Weapons');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy.stf', '13', 'm4d', 'COMPNOR has granted local security\'s request and has sent a shipment of sensors and tracking devices to aid in spying on citizens. We know where this shipment is being held and need it taken out. We don\'t approve of the Empire spying on its citizenry. This strike will have to be fast and precise. There\'s a decent reward for anyone that succeeds.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy.stf', '14', 'm4o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy.stf', '15', 'm4s', 'Job well done, citizen! Fewer trackers out there means less work for us. We have our hands full fighting the Imperial war machine, so the last thing we need to worry about is COMPNOR toadies.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy.stf', '16', 'm4t', 'Snooping Devices');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy.stf', '17', 'm5d', 'A brave citizen group intends to hold an anti-Imperial rally to voice their anger over recent atrocities perpetrated by COMPNOR enforcers. ISB has supplied its enforcers with glop grenades. We need someone to destroy this cache of crowd-control weapons before the demonstration. Can you aid the Alliance?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy.stf', '18', 'm5o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy.stf', '19', 'm5s', 'Bravo! The rally can go on as planned. We\'ll keep an eye out for those enforcers, though; they might cause trouble in other ways. We hope you consider working for us again in the near future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy.stf', '20', 'm5t', 'Sabotage Glop Grenades');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy.stf', '21', 'm6d', 'The Commission for the Preservation of the New Order has opened a new surgical facility, called an armamentarium. Their philosophy is, \"Instill civic spirit through brain modification.\" The stories that we\'ve heard would curdle your heart. Don\'t let this armamentarium commit new atrocities against our citizens!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy.stf', '22', 'm6o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy.stf', '23', 'm6s', 'What a relief to know that COMPNOR\'s twisted braincrafters have met justice. Please accept this reward, and our thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy.stf', '24', 'm6t', 'COMPNOR Surgical Facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy.stf', '25', 'm7d', 'I\'m writing this before attacking an Imperial base. If you\'re reading it, I must have died. Galactic politics is over my head, but the jerks who killed my family and destroyed my home are based at these coordinates. I want someone who hates the Empire to do what I couldn\'t: make them pay! At least I managed to set up a sensor, so as soon as it detects the target\'s destruction, you can return here for your reward. It\'s all the savings I had, but don\'t worry -- I don\'t need it any more.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy.stf', '26', 'm7o', 'An Alliance Pilot, Now Deceased');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy.stf', '27', 'm7s', 'If you\'re reading this, I guess the sensor reported success. I only wish I\'d lived to see you succeed where I failed. Take your reward, and live better than I did!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy.stf', '28', 'm7t', 'Last Will of a Junior Pilot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy.stf', '29', 'm8d', 'Imperial Intelligence has dispatched a hive of moon moths, tiny surveillance droids, to spy on this area. These moon moths flutter around and plant microdot homing beacons. At the attached coordinates you will find a small, covert Intelligence installation that maintains and refuels these droids. Please dispose of it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy.stf', '30', 'm8o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy.stf', '31', 'm8s', 'Those moon moths were an endless nuisance. Thank you for eliminating their maintenance station, and please accept this reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy.stf', '32', 'm8t', 'Moon Moth Installation');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy.stf', '33', 'm9d', 'An Imperial Security Bureau lab is trying to develop sound signals that can remotely reprogram our R-2 astromech droids on the fly. A simple recording of these sounds could theoretically turn a hangar-full of R2s into the Empire\'s spies. Sounds highly speculative, but there are precedents, like the ixlls of Da Soocha. We\'d like someone to silence that ISB laboratory before it makes much noise.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy.stf', '34', 'm9o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy.stf', '35', 'm9s', 'A fine job! We have no reports that the Empire has used this sound technology, so it looks like that effort has quieted down. Here\'s your reward!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy.stf', '36', 'm9t', 'Can Mere Sounds Reprogram a Droid?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy.stf', '37', 'm10d', 'An astromech droid reported seeing Imperial agents tampering with our ship refueling tanks. We checked the tanks and found them doped with slow-acting corrosive chemicals. If we\'d used this fuel, our ship engines would eventually short out, possibly in deep space. We have tracked the agents to a small covert installation, and we need someone to get rid of them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy.stf', '38', 'm10o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy.stf', '39', 'm10s', 'We appreciate your fine work! Our starfighters will run safely because of your efforts.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy.stf', '40', 'm10t', 'Stop Imperial Fuel Saboteurs');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy.stf', '41', 'm11d', 'The Empire uses Cybot Galactica LIN demolitionmechs to lay detonite anti-personnel charges. We have located a local contractor that provides the specialized cogs used in the LIN model\'s rotation track. Without these cogs, the entire unit is useless. Destruction of the supplier will hamper Imperial logistics. Move quickly, before the Empire fortifies the building!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy.stf', '42', 'm11o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy.stf', '43', 'm11s', 'Nice work. We\'ll be seeing fewer LIN demolitionmechs in this area because of your work. Here\'s your reward, and call us again!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy.stf', '44', 'm11t', 'Mine-layer Droid Parts Factory');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy.stf', '45', 'm12d', 'The Alliance has secured valuable materials from several ore companies on the planet Excarga. These corporations make a pretty credit by defying the Empire. But now Imperial Security has captured a datadisk with information they can use to destroy our trade with Excarga. You must destroy the intelligence center where they are analyzing the disk. Hurry!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy.stf', '46', 'm12o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy.stf', '47', 'm12s', 'That\'s a relief. With that disk gone, we can still use Excarga as a source of strategic minerals.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy.stf', '48', 'm12t', 'Excargan Ore Company Data');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy.stf', '49', 'm13d', 'The Empire administers its extensive prison and detention facilities using LAACDocs, Legal Authorization for Advanced Confinement Documents. LAAC prisoners aren\'t usually hardened criminals but Alliance sympathizers. Targeting LAAC data storage facilities hampers the Imperial system of torture and oppression with minimal risk. Destroy the backup LAACDoc storage facility at these coordinates, then report back here. Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy.stf', '50', 'm13o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy.stf', '51', 'm13s', 'A fine exercise, well executed. LAACDoc backups are as numberless as the trees on Naboo, but it always helps to wipe them where we find them. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy.stf', '52', 'm13t', 'LAACDoc Storage Facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy.stf', '53', 'm14d', 'We\'ve learned of an insidious COMPNOR plot aimed at destroying Alliance morale. They\'re locating households sympathetic to the Alliance, then poison their food supplies with thetametabuterin, or \"theta,\" a tasteless chemical that induces insanity. Destroy the theta cache at these coordinates, and help keep our food supplies safe!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy.stf', '54', 'm14o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy.stf', '55', 'm14s', 'Good. Now people can eat braised Wroonian flycatcher without fear of psychosis. Thanks, and check with us for more work soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy.stf', '56', 'm14t', 'COMPNOR Theta Poisoning Scheme');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy.stf', '57', 'm15d', 'The Imperial Games may seem like a goodwill event to foster harmony among diverse star systems, but they are in fact an exercise in Imperial propaganda, exploiting the prowess of honest sportsmen to serve an evil master. We have learned that the games are scheduled to be held right here in the not-too-distant future. A small station has been erected to initiate the preliminary planning. We want to see it taken out. The coordinates will follow this message. A few soldiers have been stationed there for security purposes, so don\'t think this will be a trivial job. Use caution and report back to us at once.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy.stf', '58', 'm15o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy.stf', '59', 'm15s', 'Propaganda can be deadlier than any laser. You have done well today.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy.stf', '60', 'm15t', 'Imperial Games Planning Center');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy.stf', '61', 'number_of_entries', '15');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '1', 'm1d', 'Local Imperial patrols have been relying on a refueling depot not far from here. The depot\'s destruction would certainly hamper the Empire\'s ability to effectively search for our cells. The Empire realizes this, so the depot is likely to be well defended. This mission will require skill and fortitude. Can the Alliance depend on you to lead such a strike?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '2', 'm1o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '3', 'm1s', 'Now that\'s how it\'s done! Those Imperial patrols will stay grounded for a while. Long live the Alliance!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '4', 'm1t', 'Ground Imperial Patrols');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '5', 'm2d', 'A transport repair station at these coordinates services Imperial scout troopers\' speeder bikes. If this facility were destroyed, it would limit the number of Imperial search-and-destroy missions for this entire system. Can we count on you to orchestrate this strike? As always, the Alliance will reward you for services rendered.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '6', 'm2o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '7', 'm2s', 'Broken down speeder bikes don\'t do the Empire any good. Job well done, agent. The Alliance could use more fighters like you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '8', 'm2t', 'Take Out Imperial Mechanics');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '9', 'm3d', 'A small SoroSuub weapons testing facility must be knocked out. We believe they are working on an improved design for the scout trooper blaster. The Alliance can\'t afford to have scout troopers get better sidearms. We don\'t know what kind of security this facility will have, but we imagine it\'ll be formidable. You might need help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '10', 'm3o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '11', 'm3s', 'Bravo! No new blasters for those scout troopers! An impressive bit of work, agent. The Alliance thrives because of individuals like you. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '12', 'm3t', 'No New Imperial Blasters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '13', 'm4d', 'We\'ve located a major Imperial power droid manufacturing plant. Taking this plant out would be more than a simple inconvenience for the Empire. Their Star Destroyers and garrisons rely on these power droids to keep battle stations running. It will take a strong, precise strike to cripple this installation. The Alliance needs your help.  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '14', 'm4o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '15', 'm4s', 'No power means no weapons or defenses. Our congratulations on the success of your mission. Keep up the good work. The Alliance is counting on you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '16', 'm4t', 'Farewell, Power Droids');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '17', 'm5d', 'We\'ve identified an ISB compound used for interrogations. If the stories are true, terrible atrocities have taken place there. Destroying this facility would send the right message to both the Empire and to citizens who live in fear of Imperial Security. We\'re looking for a dedicated agent who can lead a successful assault on this nightmarish compound. Are you that agent? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '18', 'm5o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '19', 'm5s', 'Bravo, agent! Now citizens will realize that the power of the ISB is not absolute and that the Empire is fallible. You\'ve earned your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '20', 'm5t', 'Take Out Torturers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '21', 'm6d', 'We\'ve located a Sienar Fleet Systems warehouse and have learned that it\'s currently storing ion engines scheduled to go to Imperial shipyards in this sector. That will mean more TIE fighters for our X-wing pilots to deal with. We need someone to destroy that warehouse and everything inside.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '22', 'm6o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '23', 'm6s', 'The distinctive roar of those TIE engines is greatly diminished today. Great job, agent. We knew we could count on you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '24', 'm6t', 'No More Ion Engines');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '25', 'm7d', 'An Imperial Academy processing center is currently housing the results of several hundred potential pilots\' flight exams. If those scores are destroyed, this will create a severe backlog for the Imperials and slow their recruitment efforts. Further, it would let us approach potential recruits and possibly enlist their aid against the Empire. Do you wish to lead this important mission?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '26', 'm7o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '27', 'm7s', 'Excellent! The best thing about the Empire\'s ponderous bureaucracy is that it\'s easy to throw a hydrospanner into the works. Good job! May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '28', 'm7t', 'Burn Imperial Records');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '29', 'm8d', 'A cargo of probe droids has been delivered to a supply depot servicing this sector. A Star Destroyer is scheduled to enter the system\'s orbit in the next few days and those probe droids will be transported aboard. Those probe droids are trouble for the Alliance. We need a skilled agent to take out that supply depot and make sure those probe droids are destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '30', 'm8o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '31', 'm8s', 'Good going! Fewer probe droids means fewer chances to find our bases. The Empire can\'t destroy what they can\'t find, after all. You\'re becoming a very promising agent indeed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '32', 'm8t', 'Take Out Probe Droids');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '33', 'm9d', 'We\'ve discovered a shipment of turbolaser actuators stored in an Imperial depot. They are scheduled to be delivered to the Kuat Drive Yards. We must make sure those actuators are never installed in any capital ship\'s weapons. A team of skilled agents should be able to blast this depot off without much trouble. You\'ll have to work fast, though.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '34', 'm9o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '35', 'm9s', 'Well struck, agent. Without their turbolasers, those hulking capital ships are just so much space debris. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '36', 'm9t', 'Pull Star Destroyers\' Teeth');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '37', 'm10d', 'A large shipment of orbital mines is to be delivered to the Star Destroyer Avenger. The dispersal of these mines would make life much more difficult for our fleet, as you can imagine. We\'ve discovered these mines and need the depot blasted into oblivion. Can you lend a hand, citizen? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '38', 'm10o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '39', 'm10s', 'Good work, citizen! Those mines won\'t be claiming the lives of our pilots and crew members. We look forward to working with you again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '40', 'm10t', 'Take Out Deadly Mines');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '41', 'm11d', 'The Empire has designed an improved subspace transceiver. The working prototype was sent to a manufacturing facility for mass production. A small team of operatives must make sure those transceivers are never built and either secure or destroy the prototype. Can the Alliance count on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '42', 'm11o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '43', 'm11s', 'It\'s obvious you know the meaning of success, citizen. Job well done! Even if we didn\'t get the prototype, its destruction is a good consolation prize.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '44', 'm11t', 'Knock Out Imperial Communications');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '45', 'm12d', 'We have identified an Imperial fortified complex as a gunnery school for local recruits. Today they\'re firing at target droids, but tomorrow they\'ll be aiming at us. You have to destroy that compound -- today!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '46', 'm12o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '47', 'm12s', 'Excellent work! The Alliance has nothing against education, but we don\'t like what the Empire does with it. We look forward to working with you again!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '48', 'm12t', 'No More Imperial Gunners');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '49', 'm13d', 'We\'ve managed to locate the Imperial Intelligence Analysis Bureau command center for this entire sector. These centers provide the intelligence reports that allow the Bureau of Operations to plan and execute strikes. It will be heavily guarded and equipped with state-of-the-art defenses. Its destruction will require an experienced team. Can the Alliance count on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '50', 'm13o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '51', 'm13s', 'A brilliantly executed strike! With freedom fighters like you aiding our cause, the Empire has no chance. We hope you\'ll accept difficult missions from us in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '52', 'm13t', 'Cripple Imperial Intelligence');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '53', 'm14d', 'We\'ve discovered a training facility for Imperial Intelligence\'s Operations agents -- in other words, assassins. This installation has launched covert operations that have killed some of our top officers. The Alliance wants this base blasted into atoms. This will not be easy, as some of the Empire\'s top agents work as trainers at this facility.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '54', 'm14o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '55', 'm14s', 'Those Operations goons never knew what hit them. Bravo! You\'ve done the Alliance and the galaxy a great service. You\'re quickly becoming one of our top agents.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '56', 'm14t', 'Stop Future Assassins');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '57', 'm15d', 'Bothan spies have identified a biological weapons development lab. Intercepted transmissions indicate this facility was instrumental in developing the Candorian Plague used against Dentaal. This lab must be destroyed at any cost. Imperial security will be tight and defenses formidable. A generous reward awaits the agent who can pull this off. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '58', 'm15o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '59', 'm15s', 'One less weapon in the Empire\'s arsenal. Good work! Many worlds will sleep easier now that this plague-making lab has been destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '60', 'm15t', 'Destroy Plague-Maker');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '61', 'm16d', 'A top-secret installation of the Inquisitorius, the Empire\'s specialized interrogators, has been located. Many of our agents ended up there, tortured for information until they were driven mad and killed. It is said that the Inquisitors use the Force to aid in their twisted work. Commander Skywalker has personally requested that this installation be taken out. Can we call on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '62', 'm16o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '63', 'm16s', 'Success! You\'ll be the scourge of the Empire yet! The Alliance thanks you and the galaxy is in your debt. Our reward is but a small token of our gratitude.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '64', 'm16t', 'Smash Imperial Interrogators');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '65', 'm17d', 'An Imperial garrison has received orders to execute suspected Alliance sympathizers and their families if they do not start naming Alliance spies. We need someone to wipe out the garrison before these stormtroopers can slaughter innocent civilians. Taking out a garrison, even a small one, is no easy task. These Imperial troops will be on high alert.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '66', 'm17o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '67', 'm17s', 'Great job! The Empire will think twice before giving their garrisons the order to execute civilians again. Fear is not just a tool for the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '68', 'm17t', 'Save Innocent Civilians');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '69', 'm18d', 'A stormtrooper training facility, renowned for producing some of the Emperor\'s most fanatical legions, must be taken out. A successful strike would stand as a symbol of the Alliance\'s determination to rid the galaxy of the Empire\'s tyranny. The Emperor\'s brainwashing techniques can\'t compete with an Alliance member\'s passion for freedom. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '70', 'm18o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '71', 'm18s', 'You deserve a medal! The Emperor\'s not the only one who trains crack troops and deadly soldiers. The Alliance salutes you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '72', 'm18t', 'Destroy Stormtrooper Training Base');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '73', 'm19d', 'Bothan spies have located an Imperial outpost housing Sith artifacts. We\'ve received word that Darth Vader has ordered these artifacts delivered to him personally. If those artifacts are indeed what the Bothans claim, we must not allow them to fall into Vader\'s hands. We need a strike team to go in and blow that shipment to atoms.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '74', 'm19o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '75', 'm19s', 'Job well done! You are a true champion of the people. Report to us again for future assignments soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '76', 'm19t', 'Destroy Sith Artifacts');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '77', 'm20d', 'Mercenary assassins do the Emperor\'s dirty work when direct military action is politically inexpedient. We have the coordinates of an undocumented arsenal from which the Empire supplies its assassins. We need a squad of fighters to blast the place into vapor. The arsenal is garrisoned with Imperial soldiers and mercenary assassins, so be careful.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '78', 'm20o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '79', 'm20s', 'Astounding work! You and your team are superior operatives, a true asset to the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '80', 'm20t', 'Smash Arsenal For Imperial Assassins');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '81', 'm21d', 'Imperial Army weapons designers have refashioned a platform-mounted flame carbine, the Czerka CZ-28 Flamestrike, for use on repulsorlift craft and cloud cars. Sheets of flame from the sky will mean grave danger for our fighters below. No matter the cost, you must render this weapons factory permanently inoperative. Prepare for harsh opposition.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '82', 'm21o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '83', 'm21s', 'Impressive news! This victory represents a fundamental security that cannot be overstated. We applaud your resolve, and we wish you still greater success in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '84', 'm21t', 'Imperial Flamer Munitions Factory');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '85', 'm22d', 'The profiteers at Arakyd Industries continue to garner Imperial largesse. These parasites have contracted to build new legions of Inquisitor-series seeker droids with weaponry of considerably increased lethality. This presents a major threat to Alliance forces, and we cannot allow the factory to begin production. Assemble a large and experienced strike team and take this factory out.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '86', 'm22o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '87', 'm22s', 'This is excellent news! We hope this damages Arakyd Industries profits as badly as their products have damaged our forces. We congratulate you, agent!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '88', 'm22t', 'Blast Combat Droid Plant');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '89', 'm23d', 'The Empire has established a new facility building two-legged AT-ST scout walkers. Though the labor force is entirely droid-based, the installation is well defended with Imperial troops. Our recon scout escaped only by dint of skill and luck. Assemble an experienced strike team to take out this major target.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '90', 'm23o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '91', 'm23s', 'Your high reputation is well earned, agent! We have stalled the production of Imperial walkers in this area, at least for now. Your reputation continues to rise!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '92', 'm23t', 'Destroy AT-ST Assembly Plant');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '93', 'm24d', 'The Empire is relaying a cache of rare durindfire gems, under heavy guard, to a merchant in this area. You may know that Imperials traffic in these gems to finance their more exotic projects, such as the Death Star. If you can destroy these gems in their holding facility, you\'ll strike a blow against covert financiers across the galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '94', 'm24o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '95', 'm24s', 'Durindfire gems flash brilliantly, but in Imperial hands they\'re covered with blood. It\'s better that you destroyed them. Good work!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '96', 'm24t', 'Blast Durindfire Gems');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '97', 'm25d', 'Imperial forces are guarding -- perhaps a better word is \"confining\" -- engineers working for Baktoid Combat Automata. In this compound these engineers are stress-testing blaster subsystems for a redesigned Protector-series combat droid. Destroy the engineering compound and the Protector plans.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '98', 'm25o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '99', 'm25s', 'Thank you! Facing an improved Protector droid would not have been fun, to say the least. You are progessing well!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '100', 'm25t', 'Smash Protector Droids');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_easy_non_persistent_from_npc.stf', '101', 'number_of_entries', '25');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '1', 'm1d', 'We\'ve managed to locate the Imperial Intelligence Analysis Bureau command center for this entire sector. These centers process millions of intercepted messages and prepare the intelligence reports that allow the Bureau of Operation to plan and execute strikes. This installation, like others of its kind, is heavily guarded and equipped with state-of-the-art defenses. Its destruction will require an experienced team. The Alliance is counting on you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '2', 'm1o', 'Alliance High Command');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '3', 'm1s', 'A brilliantly executed strike! With freedom fighters like you aiding our cause, the Empire has no chance of victory. We hope you\'ll accept difficult missions from us in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '4', 'm1t', 'Communication Command Center');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '5', 'm2d', 'We\'ve discovered a training facility for Imperial Intelligence\'s Operations agents -- in other words, assassins. This installation has launched covert operations that have killed some of our top officers. The Alliance wants this base blasted into atoms. This will not be easy, as some of the Empire\'s top agents work as trainers at this facility. Success against this target would insure your fame in the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '6', 'm2o', 'Alliance High Command');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '7', 'm2s', 'Those Operations goons never knew what hit them. Bravo! You\'ve done the Alliance and the galaxy a great service. You\'re quickly becoming one of our top agents.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '8', 'm2t', 'Assassin Training Base');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '9', 'm3d', 'Bothan spies have identified a demented Grand Moff\'s biological weapons development lab on this planet. Intercepted transmissions indicate this facility was instrumental in developing the Candorian Plague used against Dentaal. This lab must be destroyed at any cost. Imperial security will be tight and defenses formidable. A substantial reward awaits the agent who can pull this off. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '10', 'm3o', 'Alliance High Command');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '11', 'm3s', 'One less weapon in the Empire\'s arsenal. Good work! Many worlds will sleep easier now that this plague-making lab has been destroyed. You are a champion of the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '12', 'm3t', 'Biological Weapons Lab');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '13', 'm4d', 'A top-secret installation of the Inquisitorius, the Empire\'s secretive division of specialized interrogators, has suddenly become not quite so top-secret. Many spies captured by the Empire ended up here, tortured for information until they were driven mad and killed. It is said that the Inquisitors use the Force to aid in their twisted work. Commander Skywalker has personally requested that this installation be taken out. We need an experienced agent to assemble a strike team. These Inquisitors are the stuff of nightmares, and the facility is sure to be a chamber of horrors.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '14', 'm4o', 'Alliance High Command');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '15', 'm4s', 'Success! You\'ll be the scourge of the Empire yet! The Alliance thanks you and the galaxy is in your debt. Our reward is but a small token of our gratitude.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '16', 'm4t', 'Interrogation Facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '17', 'm5d', 'An Imperial garrison has just received orders to execute suspected Alliance sympathizers and their families if they do not start naming Alliance members and spies. We need someone to wipe out the garrison before these stormtroopers can slaughter innocent civilians. This order, directly from Mon Mothma, will require an experienced strike team. Taking out a garrison, even a small one, is no easy task. These Imperial troops will be on high alert. Remember, the Alliance desperately needs your help to save innocent lives.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '18', 'm5o', 'Alliance High Command');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '19', 'm5s', 'Great job! The Empire will think twice before giving their garrisons the order to execute civilians again. Fear is not just a tool for the Empire; it\'s an effective weapon for us as well. We will make those Imperial killers fear for their lives.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '20', 'm5t', 'Imperial Garrison');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '21', 'm6d', 'A stormtrooper training facility, renowned for producing some of the Emperor\'s most fanatical legions, must be taken out. We don\'t need to tell you how dangerous this mission will be. A successful strike would stand as a symbol of the Alliance\'s determination to rid the galaxy of the Empire\'s tyranny. Show the Emperor that his brainwashing techniques can\'t compete with an Alliance member\'s passion for freedom. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '22', 'm6o', 'Alliance High Command');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '23', 'm6s', 'You deserve a medal! The Emperor\'s not the only one who trains crack troops and deadly soldiers. The Alliance salutes you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '24', 'm6t', 'Stormtrooper Training Base');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '25', 'm7d', 'The last transmission we received from one of our top special forces agents pinpointed a storm commando training facility. Then our operative disappeared. We\'ve had no word from her since, and we assume she\'s dead -- or in the hands of storm commando interrogators, which is as good as dead. We need this facility hit hard, hit fast, and burned to the ground. Your record is impressive, but we\'re not sure you\'ve faced anything like this before. The stormtroopers who guard these bases are the best the Empire has to offer.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '26', 'm7o', 'Alliance High Command');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '27', 'm7s', 'Congratulations! Your success will make you a hero of the Alliance. The Empire will be looking for you too, so you\'ll have to work even harder. This makes us very happy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '28', 'm7t', 'Storm Commando Training Base');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '29', 'm8d', 'Bothan spies have informed us that an Imperial outpost is holding Sith artifacts recently unearthed in some undisclosed system. Despite informants who claim that the system is simply a legend, we suspect it was Korriban. We\'ve received word that Darth Vader has ordered these artifacts delivered to him personally. If those artifacts are indeed what the Bothans claim, we must not allow them to fall into Vader\'s hands. We need a strike team to go in and blow that shipment to atoms. The garrison commander has assigned extra security, so this mission will be extremely dangerous.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '30', 'm8o', 'Alliance High Command');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '31', 'm8s', 'Job well done! If the Jedi will not return to safeguard the galaxy, we must insure the Sith do not return to terrorize it. You are a true champion of the people. Report to us again for future assignments soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '32', 'm8t', 'Sith Artifacts');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '33', 'm9d', 'Sienar Fleet Systems has delivered a prototype TIE starfighter to an Imperial fortification. We understand that this design was based on Lord Vader\'s TIE fighter used against our pilots at the Battle of Yavin. The prototype is scheduled for atmosphere testing, and the Empire has assigned top pilots to the emplacement. This emplacement must be destroyed, along with the prototype inside. Strike for the Alliance!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '34', 'm9o', 'Alliance High Command');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '35', 'm9s', 'So much for their prototype TIE fighter! Good work, agent. The Alliance is quite proud and wishes to use your services again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '36', 'm9t', 'Emplacement Housing Prototype Starfighter');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '37', 'm10d', 'General Maximilian Veers is inspecting an Imperial outpost believed to be training AT-AT pilots. To take out an Imperial outpost would itself be wonderful, but the chance to eliminate one of the Empire\'s most feared officers makes this target an absolute must. We need a highly experienced strike team accustomed to impossible odds. Your victory would be a great blow to the Empire and an amazing triumph for the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '38', 'm10o', 'Alliance High Command');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '39', 'm10s', 'Good job, agent! We can only hope that General Veers was at the outpost when it was obliterated. If so, this will go down as a major victory for the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '40', 'm10t', 'AT-AT Pilot Training Outpost');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '41', 'm11d', 'Imperial Army weapons designers have refashioned a platform-mounted flame carbine, the Czerka CZ-28 Flamestrike, for use on repulsorlift craft and cloud cars. Sheets of flame from the sky will mean grave danger for our fighters below. No matter the cost, you must render this weapons factory permanently inoperative. Prepare for harsh opposition.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '42', 'm11o', 'Alliance High Command');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '43', 'm11s', 'Impressive news! This victory represents a fundamental security that cannot be overstated. We applaud your resolve, and we wish you still greater success in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '44', 'm11t', 'Imperial Flamer Munitions Factory');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '45', 'm12d', 'The profiteers at Arakyd Industries continue to garner Imperial largesse. These amoral corporate parasites have contracted to build new legions of Inquisitor-series seeker droids with weaponry of considerably increased lethality. These droids present a major threat to Alliance forces, and we cannot allow the factory to begin production. Assemble a large and experienced strike team, for the Arakyd plant enjoys substantial Imperial protection.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '46', 'm12o', 'Alliance High Command');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '47', 'm12s', 'This is excellent news! We hope this damages Arakyd Industries profits as badly as their products have damaged our forces. We congratulate you, agent!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '48', 'm12t', 'Imperial Combat Droid Construction Plant');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '49', 'm13d', 'The Empire has established a new facility building two-legged AT-ST scout walkers. Though the labor force is entirely droid-based, the installation is well defended with Imperial troops. Our recon scout escaped only by dint of skill and luck. Assemble an experienced strike team to take out this major target.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '50', 'm13o', 'Alliance High Command');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '51', 'm13s', 'Your high reputation is well earned, agent! We have stalled the production of Imperial walkers in this area, at least for now. Your reputation continues to rise!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '52', 'm13t', 'AT-ST Assembly Plant');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '53', 'm14d', 'Imperial logistics dictate that vehicular power cores should be stored in widely dispersed locations. This prevents an explosive accident with a single core from destroying the entire sector\'s core allotment. In the case at hand, however, terrain and other factors conspired to force a larger construction project. This mission offers a rare opportunity to destroy the Empire\'s power core supply for a large planetary region. For this reason, expect heavy opposition. We advise a large and experienced strike team. Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '54', 'm14o', 'Alliance High Command');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '55', 'm14s', 'A superb job! This will force the Empire to commit substantial resources to replenishing its power cores across the world. We salute your victory!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '56', 'm14t', 'Power Core Storage Depot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '57', 'm15d', 'Certain Imperial-class Star Destroyer replacement parts must be constructed in a planetary gravitational field, and are then ordinarily shipped offworld promptly. But our brave Alliance pilots have harried Empire supply lines to good effect. The Empire has been unable to land shuttles at a hidden and well-guarded factory, and they are coping with an inventory backlog. If you assemble a large strike team -- quickly! -- you can destroy the parts and thereby cripple their maintenance regimen, with potentially disastrous consequences for the fleet.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '58', 'm15o', 'Alliance High Command');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '59', 'm15s', 'Success! In destroying necessary parts, you have done as much damage to this sector\'s Star Destroyer fleet as any squadron of Y-wing fighters. A tremendous blow against the Empire!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '60', 'm15t', 'Star Destroyer Replacement Parts');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '61', 'm16d', 'Do you know of the Kuat Drive Yards? KDY builds the Empire\'s Star Destroyers and supplies hyperdrives for all its ships. Our informants have learned that a Kuat noble merchant, visiting here on business, has brought a new experimental hyperdrive. Information is sketchy, but this drive is apparently smaller and lighter than anything the galaxy has seen. Imperial engineers are studying the unit under high security. We want you to destroy the prototype and the installation that houses it. You\'ll need a good team and good luck!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '62', 'm16o', 'Alliance High Command');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '63', 'm16s', 'Excellent news! This prototype was said to be the only one of its type. With luck, we have kept the Empire from developing a new class of hyperspace-capable ships. Congratulations, agent!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '64', 'm16t', 'Prototype Imperial Hyperdrive');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '65', 'm17d', 'It defies reason, but the Empire is apparently experimenting with gravity well projectors on a planetary surface. If true, this scheme ranks with the destruction of Alderaan for brutality and foolhardiness. A strong gravity well, projected on this world\'s surface, would cause tremendous earthquakes at best, and at worst could deform the entire globe! Assemble an experienced strike team, assault the facility housing this projector, and destroy it utterly!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '66', 'm17o', 'Alliance High Command');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '67', 'm17s', 'You have saved this world, for the moment. We must hope the Empire soon sees the folly of this scheme. Meanwhile, our profoundest thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '68', 'm17t', 'Gravity Well Projector');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '69', 'm18d', 'Mercenary assassins do the Emperor\'s dirty work when direct military action is politically inexpedient. We have the coordinates of an undocumented arsenal from which the Empire supplies its assassins. We need a squad of fighters to blast the place into vapor. The arsenal is garrisoned with Imperial soldiers and mercenary assassins, so operatives should expect maximum resistance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '70', 'm18o', 'Alliance High Command');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '71', 'm18s', 'Astounding work! You and your team are superior operatives, a true asset to the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '72', 'm18t', 'Arsenal for Imperial Assassins');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '73', 'm19d', 'Professional shockball boasts the galaxy\'s best athletes, a fact that is not lost on Imperial Intelligence. Alliance agents have uncovered a sinister operation in which top shockball players are subjected to thought control drugs and used as unwitting Imperial assassins and saboteurs. These galaxy-class athletes make deadly operatives. Thanks to our Bothan spies, we have located the headquarters for this insidious operation. We require a strike team to hit the place hard. The site is heavily guarded and may house several athlete assassins. Arm yourselves well and proceed with the utmost caution.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '74', 'm19o', 'Alliance High Command');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '75', 'm19s', 'We grieve for the exploited athletes who died in this action, but their fellow shockball players will no longer be victimized by the Empire. You have done good work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '76', 'm19t', 'Imperial Mind Control Plot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '77', 'm20d', 'The Imperial Military Oversight Commission reviews battle data and locates weaknesses in Imperial tactics. The IMOC is secretly meeting on this world to examine data newly recovered from the Battle of Yavin. Our spies assure us that this data has not yet been duplicated. Because the data concerns Alliance fighter tactics, this is an excellent opportunity to rob the Empire of a dangerous battlefield advantage. We need to organize a highly mobile assault force to hit the heavily guarded IMOC meeting facility and destroy these data tapes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '78', 'm20o', 'Mon Mothma of Alliance High Command');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '79', 'm20s', 'Your victory will benefit many space battles to come. Commander Skywalker sends his congratulations on your success.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '80', 'm20t', 'Imperial Battle Data');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '81', 'm21d', 'A new Imperial Prefect is arriving on this world. His cruelty far eclipses his predecessor. By good fortune, a protocol droid owned by Commander Skywalker has learned the coordinates of a secret transfer point where the prefect will await his planetside shuttle. The prefect\'s security here will be weakened, though he still brings with him a formidable Imperial contingent. We need our best fighters to wipe out the way station and prevent this ruthless despot from seizing control of the planet.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '82', 'm21o', 'General Dodonna of Alliance High Command');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '83', 'm21s', 'Your timing and marksmanship are a credit to the Alliance. Imperial transmissions suggest that the prefect is dead. Maybe now the Empire will think twice about subjecting the people to the cruelty of madmen like him.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '84', 'm21t', 'Incoming Imperial Prefect');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '85', 'm22d', 'Imperial probe droids have infiltrated several systems where our agents might be threatened. We\'ve got sensor ships looking for them, but in the meantime we have located the Imperial station receiving the probe droids reports. If we can knock out this communications center, it should buy us time to track down the droids and safeguard our operations in this sector. The receiving station will be heavily defended. Only our most experienced fighters should participate in this strike.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '86', 'm22o', 'Leia Organa of Alliance High Command');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '87', 'm22s', 'Now we can protect our operations in this sector until we locate all the probe droids. You\'ve done well.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '88', 'm22t', 'Imperial Probe Droid Station');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '89', 'm23d', 'The Empire has scheduled a new superlaser for construction on the surface of this planet. This weapon may pose an even greater danger than the Death Star itself. The Imperial Science Division postulates that the weapon\'s beam can be directed into hyperspace via black hole lenses, allowing the superlaser to fire at planets in other star systems. This possibility has grave implications for the entire galaxy. By striking hard, we may be able to delay progress until the project\'s opponents in the Imperial Navy will sink it completely. We need a team of our best agents to swarm the project\'s headquarters and blast it into dust. We dare not fail. If the hyperspace superlaser is completed, the future looks bleak indeed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '90', 'm23o', 'General Rieekan of Alliance High Command');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '91', 'm23s', 'Good work. Our spies tell us that the upper ranks of the Imperial Navy are making the most of this setback to the superlaser project. Soon the entire project may be disbanded. Your victory has given hope for the future of the galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '92', 'm23t', 'Superlaser Installation');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '93', 'm24d', 'The Empire has struck us a terrible blow. Some of our highest leaders have been captured near the Ison Corridor and transported to a secret holding facility. Fortunately our spies have located the facility and we have arranged their evacuation. Now we require now a strike team to attack the facility, providing a distraction while our insiders free the prisoners. The attack should continue until the facility is destroyed. The site is extremely well defended, but this must not discourage us. We have reason to believe Lord Vader himself is traveling to the planet in his Super-class Star Destroyer. If we do not rescue our people immediately, their doom is assured.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '94', 'm24o', 'Alliance High Command');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '95', 'm24s', 'Disaster has been averted! Thanks to your bold attack on the Imperial holding facility, we managed to spirit away our captive leaders moments before Lord Vader arrived. Our spies report that Vader was displeased with the failure and swiftly relieved the facility officer of his command.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '96', 'm24t', 'Rescue Captured Alliance Leaders');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '97', 'm25d', 'One of our top agents has been trapped by Lord Vader, and we must act immediately to save him! Our secret operative, code-named \"the Mouse,\" had nearly completed his sabotage of an Imperial garrison when Darth Vader arrived in person to close the well-planned trap. Now our agent is barricaded deep inside the garrison and fighting for his life. We must scramble a strike team immediately to engage the Imperial forces and allow the Mouse to make his escape. We can show no mercy. Vader has deployed additional stormtroopers to the garrison, and we must not be lured into a prolonged battle. Be fast and deadly, or one of our finest will fall!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '98', 'm25o', 'Alliance High Command');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '99', 'm25s', 'The Mouse is saved! While your team battled Imperial forces on the surface, he escaped through an underground maintenance passage. Rumor has it that he confronted Lord Vader himself in the gloom of the tunnel, and that only quick thinking saved him from capture; but this sequence of events has not been confirmed. Nevertheless, your action was successful and you have the undying gratitude of the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '100', 'm25t', 'Aid a Top Alliance Agent');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard.stf', '101', 'number_of_entries', '25');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '1', 'm1d', 'Local Imperial patrols have been relying on a refueling depot not far from here. The depot\'s destruction would certainly hamper the Empire\'s ability to effectively search for our cells. The Empire realizes this, so the depot is likely to be well defended. This mission will require skill and fortitude. Can the Alliance depend on you to lead such a strike?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '2', 'm1o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '3', 'm1s', 'Now that\'s how it\'s done! Those Imperial patrols will stay grounded for a while. Long live the Alliance!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '4', 'm1t', 'Ground Imperial Patrols');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '5', 'm2d', 'A transport repair station at these coordinates services Imperial scout troopers\' speeder bikes. If this facility were destroyed, it would limit the number of Imperial search-and-destroy missions for this entire system. Can we count on you to orchestrate this strike? As always, the Alliance will reward you for services rendered.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '6', 'm2o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '7', 'm2s', 'Broken down speeder bikes don\'t do the Empire any good. Job well done, agent. The Alliance could use more fighters like you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '8', 'm2t', 'Take Out Imperial Mechanics');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '9', 'm3d', 'A small SoroSuub weapons testing facility must be knocked out. We believe they are working on an improved design for the scout trooper blaster. The Alliance can\'t afford to have scout troopers get better sidearms. We don\'t know what kind of security this facility will have, but we imagine it\'ll be formidable. You might need help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '10', 'm3o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '11', 'm3s', 'Bravo! No new blasters for those scout troopers! An impressive bit of work, agent. The Alliance thrives because of individuals like you. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '12', 'm3t', 'No New Imperial Blasters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '13', 'm4d', 'We\'ve located a major Imperial power droid manufacturing plant. Taking this plant out would be more than a simple inconvenience for the Empire. Their Star Destroyers and garrisons rely on these power droids to keep battle stations running. It will take a strong, precise strike to cripple this installation. The Alliance needs your help.  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '14', 'm4o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '15', 'm4s', 'No power means no weapons or defenses. Our congratulations on the success of your mission. Keep up the good work. The Alliance is counting on you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '16', 'm4t', 'Farewell, Power Droids');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '17', 'm5d', 'We\'ve identified an ISB compound used for interrogations. If the stories are true, terrible atrocities have taken place there. Destroying this facility would send the right message to both the Empire and to citizens who live in fear of Imperial Security. We\'re looking for a dedicated agent who can lead a successful assault on this nightmarish compound. Are you that agent? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '18', 'm5o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '19', 'm5s', 'Bravo, agent! Now citizens will realize that the power of the ISB is not absolute and that the Empire is fallible. You\'ve earned your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '20', 'm5t', 'Take Out Torturers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '21', 'm6d', 'We\'ve located a Sienar Fleet Systems warehouse and have learned that it\'s currently storing ion engines scheduled to go to Imperial shipyards in this sector. That will mean more TIE fighters for our X-wing pilots to deal with. We need someone to destroy that warehouse and everything inside.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '22', 'm6o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '23', 'm6s', 'The distinctive roar of those TIE engines is greatly diminished today. Great job, agent. We knew we could count on you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '24', 'm6t', 'No More Ion Engines');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '25', 'm7d', 'An Imperial Academy processing center is currently housing the results of several hundred potential pilots\' flight exams. If those scores are destroyed, this will create a severe backlog for the Imperials and slow their recruitment efforts. Further, it would let us approach potential recruits and possibly enlist their aid against the Empire. Do you wish to lead this important mission?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '26', 'm7o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '27', 'm7s', 'Excellent! The best thing about the Empire\'s ponderous bureaucracy is that it\'s easy to throw a hydrospanner into the works. Good job! May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '28', 'm7t', 'Burn Imperial Records');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '29', 'm8d', 'A cargo of probe droids has been delivered to a supply depot servicing this sector. A Star Destroyer is scheduled to enter the system\'s orbit in the next few days and those probe droids will be transported aboard. Those probe droids are trouble for the Alliance. We need a skilled agent to take out that supply depot and make sure those probe droids are destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '30', 'm8o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '31', 'm8s', 'Good going! Fewer probe droids means fewer chances to find our bases. The Empire can\'t destroy what they can\'t find, after all. You\'re becoming a very promising agent indeed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '32', 'm8t', 'Take Out Probe Droids');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '33', 'm9d', 'We\'ve discovered a shipment of turbolaser actuators stored in an Imperial depot. They are scheduled to be delivered to the Kuat Drive Yards. We must make sure those actuators are never installed in any capital ship\'s weapons. A team of skilled agents should be able to blast this depot off without much trouble. You\'ll have to work fast, though.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '34', 'm9o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '35', 'm9s', 'Well struck, agent. Without their turbolasers, those hulking capital ships are just so much space debris. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '36', 'm9t', 'Pull Star Destroyers\' Teeth');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '37', 'm10d', 'A large shipment of orbital mines is to be delivered to the Star Destroyer Avenger. The dispersal of these mines would make life much more difficult for our fleet, as you can imagine. We\'ve discovered these mines and need the depot blasted into oblivion. Can you lend a hand, citizen? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '38', 'm10o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '39', 'm10s', 'Good work, citizen! Those mines won\'t be claiming the lives of our pilots and crew members. We look forward to working with you again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '40', 'm10t', 'Take Out Deadly Mines');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '41', 'm11d', 'The Empire has designed an improved subspace transceiver. The working prototype was sent to a manufacturing facility for mass production. A small team of operatives must make sure those transceivers are never built and either secure or destroy the prototype. Can the Alliance count on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '42', 'm11o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '43', 'm11s', 'It\'s obvious you know the meaning of success, citizen. Job well done! Even if we didn\'t get the prototype, its destruction is a good consolation prize.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '44', 'm11t', 'Knock Out Imperial Communications');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '45', 'm12d', 'We have identified an Imperial fortified complex as a gunnery school for local recruits. Today they\'re firing at target droids, but tomorrow they\'ll be aiming at us. You have to destroy that compound -- today!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '46', 'm12o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '47', 'm12s', 'Excellent work! The Alliance has nothing against education, but we don\'t like what the Empire does with it. We look forward to working with you again!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '48', 'm12t', 'No More Imperial Gunners');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '49', 'm13d', 'We\'ve managed to locate the Imperial Intelligence Analysis Bureau command center for this entire sector. These centers provide the intelligence reports that allow the Bureau of Operations to plan and execute strikes. It will be heavily guarded and equipped with state-of-the-art defenses. Its destruction will require an experienced team. Can the Alliance count on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '50', 'm13o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '51', 'm13s', 'A brilliantly executed strike! With freedom fighters like you aiding our cause, the Empire has no chance. We hope you\'ll accept difficult missions from us in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '52', 'm13t', 'Cripple Imperial Intelligence');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '53', 'm14d', 'We\'ve discovered a training facility for Imperial Intelligence\'s Operations agents -- in other words, assassins. This installation has launched covert operations that have killed some of our top officers. The Alliance wants this base blasted into atoms. This will not be easy, as some of the Empire\'s top agents work as trainers at this facility.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '54', 'm14o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '55', 'm14s', 'Those Operations goons never knew what hit them. Bravo! You\'ve done the Alliance and the galaxy a great service. You\'re quickly becoming one of our top agents.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '56', 'm14t', 'Stop Future Assassins');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '57', 'm15d', 'Bothan spies have identified a biological weapons development lab. Intercepted transmissions indicate this facility was instrumental in developing the Candorian Plague used against Dentaal. This lab must be destroyed at any cost. Imperial security will be tight and defenses formidable. A generous reward awaits the agent who can pull this off. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '58', 'm15o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '59', 'm15s', 'One less weapon in the Empire\'s arsenal. Good work! Many worlds will sleep easier now that this plague-making lab has been destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '60', 'm15t', 'Destroy Plague-Maker');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '61', 'm16d', 'A top-secret installation of the Inquisitorius, the Empire\'s specialized interrogators, has been located. Many of our agents ended up there, tortured for information until they were driven mad and killed. It is said that the Inquisitors use the Force to aid in their twisted work. Commander Skywalker has personally requested that this installation be taken out. Can we call on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '62', 'm16o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '63', 'm16s', 'Success! You\'ll be the scourge of the Empire yet! The Alliance thanks you and the galaxy is in your debt. Our reward is but a small token of our gratitude.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '64', 'm16t', 'Smash Imperial Interrogators');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '65', 'm17d', 'An Imperial garrison has received orders to execute suspected Alliance sympathizers and their families if they do not start naming Alliance spies. We need someone to wipe out the garrison before these stormtroopers can slaughter innocent civilians. Taking out a garrison, even a small one, is no easy task. These Imperial troops will be on high alert.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '66', 'm17o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '67', 'm17s', 'Great job! The Empire will think twice before giving their garrisons the order to execute civilians again. Fear is not just a tool for the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '68', 'm17t', 'Save Innocent Civilians');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '69', 'm18d', 'A stormtrooper training facility, renowned for producing some of the Emperor\'s most fanatical legions, must be taken out. A successful strike would stand as a symbol of the Alliance\'s determination to rid the galaxy of the Empire\'s tyranny. The Emperor\'s brainwashing techniques can\'t compete with an Alliance member\'s passion for freedom. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '70', 'm18o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '71', 'm18s', 'You deserve a medal! The Emperor\'s not the only one who trains crack troops and deadly soldiers. The Alliance salutes you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '72', 'm18t', 'Destroy Stormtrooper Training Base');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '73', 'm19d', 'Bothan spies have located an Imperial outpost housing Sith artifacts. We\'ve received word that Darth Vader has ordered these artifacts delivered to him personally. If those artifacts are indeed what the Bothans claim, we must not allow them to fall into Vader\'s hands. We need a strike team to go in and blow that shipment to atoms.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '74', 'm19o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '75', 'm19s', 'Job well done! You are a true champion of the people. Report to us again for future assignments soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '76', 'm19t', 'Destroy Sith Artifacts');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '77', 'm20d', 'Mercenary assassins do the Emperor\'s dirty work when direct military action is politically inexpedient. We have the coordinates of an undocumented arsenal from which the Empire supplies its assassins. We need a squad of fighters to blast the place into vapor. The arsenal is garrisoned with Imperial soldiers and mercenary assassins, so be careful.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '78', 'm20o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '79', 'm20s', 'Astounding work! You and your team are superior operatives, a true asset to the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '80', 'm20t', 'Smash Arsenal For Imperial Assassins');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '81', 'm21d', 'Imperial Army weapons designers have refashioned a platform-mounted flame carbine, the Czerka CZ-28 Flamestrike, for use on repulsorlift craft and cloud cars. Sheets of flame from the sky will mean grave danger for our fighters below. No matter the cost, you must render this weapons factory permanently inoperative. Prepare for harsh opposition.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '82', 'm21o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '83', 'm21s', 'Impressive news! This victory represents a fundamental security that cannot be overstated. We applaud your resolve, and we wish you still greater success in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '84', 'm21t', 'Imperial Flamer Munitions Factory');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '85', 'm22d', 'The profiteers at Arakyd Industries continue to garner Imperial largesse. These parasites have contracted to build new legions of Inquisitor-series seeker droids with weaponry of considerably increased lethality. This presents a major threat to Alliance forces, and we cannot allow the factory to begin production. Assemble a large and experienced strike team and take this factory out.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '86', 'm22o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '87', 'm22s', 'This is excellent news! We hope this damages Arakyd Industries profits as badly as their products have damaged our forces. We congratulate you, agent!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '88', 'm22t', 'Blast Combat Droid Plant');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '89', 'm23d', 'The Empire has established a new facility building two-legged AT-ST scout walkers. Though the labor force is entirely droid-based, the installation is well defended with Imperial troops. Our recon scout escaped only by dint of skill and luck. Assemble an experienced strike team to take out this major target.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '90', 'm23o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '91', 'm23s', 'Your high reputation is well earned, agent! We have stalled the production of Imperial walkers in this area, at least for now. Your reputation continues to rise!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '92', 'm23t', 'Destroy AT-ST Assembly Plant');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '93', 'm24d', 'The Empire is relaying a cache of rare durindfire gems, under heavy guard, to a merchant in this area. You may know that Imperials traffic in these gems to finance their more exotic projects, such as the Death Star. If you can destroy these gems in their holding facility, you\'ll strike a blow against covert financiers across the galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '94', 'm24o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '95', 'm24s', 'Durindfire gems flash brilliantly, but in Imperial hands they\'re covered with blood. It\'s better that you destroyed them. Good work!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '96', 'm24t', 'Blast Durindfire Gems');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '97', 'm25d', 'Imperial forces are guarding -- perhaps a better word is \"confining\" -- engineers working for Baktoid Combat Automata. In this compound these engineers are stress-testing blaster subsystems for a redesigned Protector-series combat droid. Destroy the engineering compound and the Protector plans.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '98', 'm25o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '99', 'm25s', 'Thank you! Facing an improved Protector droid would not have been fun, to say the least. You are progessing well!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '100', 'm25t', 'Smash Protector Droids');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_hard_non_persistent_from_npc.stf', '101', 'number_of_entries', '25');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '1', 'm1d', 'Local Imperial patrols have been relying on a refueling depot not far from here. The depot\'s destruction would certainly hamper the Empire\'s ability to effectively search for our cells. The Empire realizes this, so the depot is likely to be well defended. This mission will require skill and fortitude. Can the Alliance depend on you to lead such a strike?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '2', 'm1o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '3', 'm1s', 'Now that\'s how it\'s done! Those Imperial patrols will stay grounded for a while. Long live the Alliance!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '4', 'm1t', 'Local Rebel Refueling Depot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '5', 'm2d', 'A transport repair station at these coordinates services Imperial scout troopers\' speeder bikes. If this facility were destroyed, it would limit the number of Imperial search-and-destroy missions for this entire system. Can we count on you to orchestrate this strike? As always, the Alliance will reward you for services rendered.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '6', 'm2o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '7', 'm2s', 'Broken down speeder bikes don\'t do the Empire any good. Job well done, agent. The Alliance could use more fighters like you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '8', 'm2t', 'Local Rebel Repair Station');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '9', 'm3d', 'A small SoroSuub weapons testing facility must be knocked out. We believe they are working on an improved design for the scout trooper blaster that would greatly increase its firepower and accuracy. The Alliance can\'t afford to have scout troopers get better sidearms. We don\'t know what kind of security this facility will have, but we imagine it\'ll be formidable. You might need help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '10', 'm3o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '11', 'm3s', 'Bravo! No new blasters for those scout troopers! An impressive bit of work, agent. The Alliance thrives because of individuals like you. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '12', 'm3t', 'Weapons Development Lab');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '13', 'm4d', 'We\'ve located a major Imperial power droid manufacturing plant. Taking this plant out would be more than a simple inconvenience for the Empire. Their Star Destroyers and garrisons rely on these power droids to keep battle stations running. It will take a strong, precise strike to cripple this installation. The Alliance needs your help.  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '14', 'm4o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '15', 'm4s', 'No power means no weapons or defenses. Our congratulations on the success of your mission. Keep up the good work. The Alliance is counting on you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '16', 'm4t', 'Power Droid Plant');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '17', 'm5d', 'Our informants have identified an ISB compound used for interrogations. If the stories can be believed, terrible atrocities have taken place. Destroying this foul place would send the right message to both the Empire and to citizens who lived in fear of Imperial Security. We\'re looking for a dedicated agent who can lead a successful assault on this nightmarish compound. Are you that agent? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '18', 'm5o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '19', 'm5s', 'Bravo, agent! Now citizens will realize that the power of the ISB is not absolute and that the Empire is fallible. You\'ve earned your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '20', 'm5t', 'ISB Interrogation Compound');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '21', 'm6d', 'We\'ve located a Sienar Fleet Systems warehouse and have learned that it\'s currently storing ion engines scheduled to go to Imperial shipyards in this sector. That will mean more TIE fighters for our X-wing pilots to deal with. We need someone to destroy that warehouse and everything inside.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '22', 'm6o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '23', 'm6s', 'The distinctive roar of those TIE engines is greatly diminished today. Great job, agent. We knew we could count on you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '24', 'm6t', 'Sienar Warehouse');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '25', 'm7d', 'An Imperial Academy processing center is currently housing the results of several hundred potential pilots\' flight exams. If those scores are destroyed, this will create a severe backlog for the Imperial bureaucracy and slow the aggressive recruitment efforts of the Imperial Navy. Further, it would let us approach potential recruits and possibly enlist their aid against the Empire. Do you wish to lead this important mission?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '26', 'm7o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '27', 'm7s', 'Excellent! The best thing about the Empire\'s ponderous bureaucracy is that it\'s easy to throw a hydrospanner into the works. Good job! Claim your reward and may the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '28', 'm7t', 'Imperial Records');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '29', 'm8d', 'The Alliance has acquired the coordinates to an Imperial HoloNet data collection station. This station is used by Imperial Intelligence\'s Analysis Bureau to coordinate surveillance efforts for the entire sector. If we take out this station, we effectively cripple Imperial Intelligence\'s ability to uncover our sabotage missions and raids of Imperial depots. This would be a great victory for the Alliance. Can you lead such a strike?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '30', 'm8o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '31', 'm8s', 'Bravo! Cut off the head and the body cannot survive for long. Your efforts to interrupt Imperial Intelligence\'s communication to the rest of the Empire\'s war machine will be instrumental in our eventual success. Your reward is well earned.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '32', 'm8t', 'HoloNet Data Station');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '33', 'm9d', 'An small Imperial outpost is currently being used to store of seized glitterstim spice. This cargo is intended to bribe Corporate Sector Authority officials to comply with Imperial Intelligence\'s requests to access confidential corporate records. The Alliance needs a few good individuals to make sure that outpost is destroyed and everything inside it is burned to the ground. No spice, no favors from the CSA. The outpost will be well guarded. After all, there\'s a whole lot of spice in there. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '34', 'm9o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '35', 'm9s', 'Good! Not only have you disposed of a great deal of illegal drugs, you\'ve cost Imperial Intelligence millions of credits worth of bribe money. Let\'s see how eager they are to bribe the CSA now that they have to dig into their own budget. This is a great victory for the Alliance, friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '36', 'm9t', 'Illegal Drugs');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '37', 'm10d', 'A cargo of probe droids has just been delivered to a supply depot servicing this sector. A Star Destroyer is scheduled to enter the system\'s orbit sometime in the next few days and those probe droids will be transported aboard. We don\'t need to tell you how much damage those probe droids can cause to the Alliance. We need a skilled agent to take out that supply depot and make sure those probe droids are destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '38', 'm10o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '39', 'm10s', 'Good going! Fewer probe droids means fewer chances to find our bases. The Empire can\'t destroy what they can\'t find, after all. You\'re becoming a very promising agent indeed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '40', 'm10t', 'Poke Out the Empire\'s Eyes');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '41', 'm11d', 'We\'ve discovered a shipment of turbolaser actuators, currently stored in an Imperial depot and scheduled to be delivered to the Kuat Drive Yards. We must make sure those actuators are never installed in any capital ship\'s weapons. A team of skilled agents should be able to blast this depot off without much trouble. You\'ll have to work fast, though.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '42', 'm11o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '43', 'm11s', 'Well struck, agent. Without their turbolasers, those hulking capital ships are just so much space debris. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '44', 'm11t', 'Turbolaser Actuators');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '45', 'm12d', 'A large shipment of orbital mines is to be delivered to the Star Destroyer Avenger soon. The dispersal of these mines would make life much more difficult for our fleet, as you can imagine. We\'ve discovered these mines and need the depot blasted into oblivion. The coordinates will be sent when you accept the mission. May the Force be with you. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '46', 'm12o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '47', 'm12s', 'Good work, citizen! Those mines won\'t be claiming the lives of our pilots and crew members. We look forward to working with you again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '48', 'm12t', 'Orbital Mines');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '49', 'm13d', 'The Empire has designed an improved subspace transceiver. The working prototype was sent to a manufacturing facility for mass production. A small team of operatives must make sure those transceivers are never built and either secure or destroy the prototype. We\'ll transmit the coordinates when we have your acceptance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '50', 'm13o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '51', 'm13s', 'It\'s obvious you know the meaning of success, citizen. Job well done! Even if we didn\'t get the prototype, its destruction is a good consolation prize.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '52', 'm13t', 'Imperial Transceivers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '53', 'm14d', 'Reports have been coming in about that amazing little MSE-6 droid. If Imperial Intelligence reports are to be believed, that tiny dynamo has blasted its way past blockades, commandeered vessels, and led those Imperial slugs on a wild mynock chase. All this paints a very amusing picture of the Empire\'s overall effectiveness. We want to help spread these rumors. We\'ve planted a false Imperial report on the HoloNet that claims the Empire has captured the small troublemaker, which is being held at a detention facility awaiting interrogation by Imperial Inquisitors. We need a team of operatives to strike this detention facility and make it seem as if the MSE-6 droid was \"rescued\" by the Alliance. Can you help us embarrass the Empire further?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '54', 'm14o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '55', 'm14s', 'Excellent \"rescue!\" If we can get those Imperial slugs to start worrying about their MSE-6 droids, then we\'ve already won this war. Keep it up.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '56', 'm14t', 'Rescue Mouse Droid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '57', 'm15d', 'The Empire has deployed a prefab structure in an outlying area. It appears to be an early beachhead for a diplomatic garrison. No one here knows what a diplomat would have to be diplomatic about, way out there. In any case, it is essential to destroy it before the Empire can fortify it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '58', 'm15o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '59', 'm15s', 'Fast work! It\'s not often we take out an Imperial garrison, even if it is just a diplomatic garrison. Actually, only the first part of one. Never mind, you deserve your reward!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '60', 'm15t', 'Imperial Diplomatic Garrison');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '61', 'm16d', 'We have identified an Imperial fortified complex as a gunnery school for local recruits. Today they\'re firing at target droids, but tomorrow they\'ll be aiming at us. You have to destroy that compound -- today!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '62', 'm16o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '63', 'm16s', 'Excellent work! The Alliance has nothing against education, but we don\'t like what the Empire does with it. We look forward to working with you again!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '64', 'm16t', 'Empire Gunnery School');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '65', 'm17d', 'The Empire\'s infrared camera lenses require the rare mineral byrothsis. These lenses require frequent specialized maintenance, and one of the maintenance facilities is nearby. By destroying the byrothsis purification facility, your team can put the Empire in the dark. Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '66', 'm17o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '67', 'm17s', 'Excellent job. With their infrared lenses going cloudy, Imperial TIE fighters might be slower to see our ships. Let\'s hope!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '68', 'm17t', 'Byrothsis Purification Facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '69', 'm18d', 'The Empire is relaying a cache of rare durindfire gems, under heavy guard, to a merchant in this area. You may know that Imperials traffic in these gems to finance their more exotic projects, such as the Death Star. If you can destroy these gems in their holding facility, you\'ll strike a blow against covert financiers across the galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '70', 'm18o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '71', 'm18s', 'Durindfire gems flash brilliantly, but in Imperial hands they\'re covered with blood. It\'s better that you destroyed them. Good work!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '72', 'm18t', 'Durindfire Gem Holding Facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '73', 'm19d', 'Imperial forces are guarding -- perhaps a better word is \"confining\" -- engineers working for Baktoid Combat Automata. In this compound these engineers are stress-testing blaster subsystems for a redesigned Protector-series combat droid. Destroy the engineering compound and the Protector plans.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '74', 'm19o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '75', 'm19s', 'Thank you! Facing an improved Protector droid would not have been fun, to say the least. You are progessing well!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '76', 'm19t', 'Protector Droid Engineering Compound');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '77', 'm20d', 'To get what it wants, the Empire has made plenty of covert deals with criminals. Right now it wants money, and so it\'s shipping thermal detonators to local gangsters. Whether they\'re set off by Imperials or crooks, these bombs always end up destroying innocent citizens\' property. If you can blow up the detonator warehouse, and its heavy defenses, you\'ll be doing this planet a big favor.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '78', 'm20o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '79', 'm20s', 'You did it! It\'s a relief to know those detonators won\'t be troubling the locals. The reward\'s yours!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '80', 'm20t', 'Thermal Detonator Warehouse');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '81', 'm21d', 'If it scares you to think of a harmless protocol droid stabbing you in your sleep, listen to this. Imperial Intelligence is working on high-frequency broadcasts that burn out a droid\'s restraining bolts and ruin its programming. Basically a droid gets this signal and goes berserk. Of course, any grownup can handle a rogue 3PO unit, but what about the children? Stop this weird-science research before it\'s too late.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '82', 'm21o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '83', 'm21s', 'Scratch one more Imperial Intelligence mad-science project. That droid idea might never have worked, but it doesn\'t hurt that you made sure. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '84', 'm21t', 'Restraining Bolt Sabotage Project');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '85', 'm22d', 'If you\'ve fought on foot against one of those two-leg Imperial scout walkers, you know they\'re dangerous. We\'ve got word that a local armory is stockpiling the specialized axidite control boxes used in AT-ST command pods. You have a big chance here to interrupt a major Imperial supply chain!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '86', 'm22o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '87', 'm22s', 'Thank you! That armory stockpile would have gone into dozens of Imperial walkers. Maybe hundreds. Good job!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '88', 'm22t', 'Imperial Axidite Supplies');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '89', 'm23d', 'You\'ve heard of the dola trees, the sentient plants of Aruza? No? Their flowers make an antibiotic syrup we use to treat local ailments. We negotiated with the dola for a supply of flowers, but Imperial Intelligence agents stole them and plan to use them to breed a new slave race of dola trees. The flowers are now useless for antibiotics. Destroy them and the Imperial research lab, and stop the plot against the dola trees!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '90', 'm23o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '91', 'm23s', 'The dola syrup stolen by the Empire would have saved lives, but your work at least protects the dola trees from Imperial slavery. Thank you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '92', 'm23t', 'Dola Antibiotic Research');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '93', 'm24d', 'Informants tell us the Empire is shipping in components for their GTU AV-1A Assault Armor. It\'s a powered combat suit for elite troops, sort of a hovertank you can wear. We\'ve never seen it in action, and we don\'t want to. If you inflict enough damage to the warehouse, you may set off the explosive charges they use for the suit\'s ejection system. Then get clear, fast!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '94', 'm24o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '95', 'm24s', 'Nice job! We hope the Empire will reconsider their GTU deployment in this region.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '96', 'm24t', 'GTU Powered Armor Components');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '97', 'm25d', 'An Imperial Security outpost here has procured, through illegal back-channels, a shipment of neuronic whips. That\'s right, slaver weapons, outlawed on every civilized world. They intend to use these brutal stun-whips for crowd control and intimidation. You must destroy the warehouse and the whips. Expect serious opposition, though.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '98', 'm25o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '99', 'm25s', 'What a relief! Those neuronic whips would have caused terror far beyond mere crowd control. You\'re building a good reputation.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '100', 'm25t', 'Neuronic Whips');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '101', 'm26d', 'Maybe you\'ve heard the reports of local swoop gangs with suspiciously good weaponry. We know the Empire\'s COMPNOR security goons have been arming crooks in communities sympathetic to the Alliance. Now we\'ve found an Imperial Army depot where COMPNOR requisitions the gang weapons. Stop this operation at its source!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '102', 'm26o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '103', 'm26s', 'That\'s one more blow in the fight against gang violence. Good work! We\'re delighted that you\'re showing such promise.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '104', 'm26t', 'Army Weapons Going to Swoop Gangs');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '105', 'm27d', 'We\'ve located an Imperial Army installation housing unusual ammunition: flechette microdart canisters, toxin darts, magna caster quarrels. The installation doubles as quarters for the specialists who maintain this ammo. Expect tough opposition, and stay well clear when you blow up the place.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '106', 'm27o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '107', 'm27s', 'Well done! It\'s enough trouble facing blasters and AT-ATs without worrying about those deadly exotics. Your star is on the rise here!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '108', 'm27t', 'Imperial Exotic Ammunition');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '109', 'm28d', 'The Empire\'s covert research into planet-wide biochemical weaponry continues. Mass production of these fearsome killers require specialized reagents and catalysts. We have tracked down a facility producing purified niobarium, a poisonous chemical used in one weapons-grade process. To cut off that process, destroy the niobarium plant.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '110', 'm28o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '111', 'm28s', 'Reports are showing negligible release of niobarium from the destruction. Fine job! Please contact us again for new assignments.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '112', 'm28t', 'Niobarium Reagent Facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '113', 'm29d', 'DX-343 is an industrial solvent that, on exposure into air, disperses into mist. The DX mist disrupts electronic equipment and makes breathing difficult. If our reports are correct, the Empire has stockpiled enough DX-343 at the following coordinates to wipe out three hangars of starfighters and their pilots. Destroy it!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '114', 'm29o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '115', 'm29s', 'If the Empire had used all that DX-343, we would have been carrying starships out of the hangar in pieces, and their pilots too. Good job taking it out! Please accept our thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '116', 'm29t', 'DX-343 Solvent Stockpile');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '117', 'm30d', 'Production of hyperbaride, which is used for casings of heavy turbolasers, generates highly poisonous byproducts. The Empire usually dumps this stuff on airless moons or into stars, but we\'ve learned of a new cache in this area. We don\'t know of any current hyperbaride production, so we suspect they\'re stockpiling this poison as a weapon. The cache is well guarded, but we want it destroyed, preferably in a ball of sterilizing flame.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '118', 'm30o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '119', 'm30s', 'That\'s great news! We\'ve had no reports of escape of toxic gases from the site, either. So you\'ve come through for us well, and we\'ll remember it. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '120', 'm30t', 'Hyperbaride Dump -- Biochem Weapon?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '121', 'm31d', 'Get this: An Imperial mess facility got accidentally infested with Sorderian weft-worms. We assume the worms were parasites inside a slave who ducked the Empire\'s sterilization routines. This would only help us, except that the Empire has decided to solve the infestation by blowing up the entire facility from orbit. Their aim in these matters is not flawless, so we\'d actually like you to destroy the facility first. Target practice from a Star Destroyer -- we don\'t need that!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '122', 'm31o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '123', 'm31s', 'Great, now we\'re doing the Imperials\' work for them. What a galaxy! But thank you, and be glad we no longer have to fear those oh-so-terrible weft-worms.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '124', 'm31t', 'Infestation of Imperial Kitchen Facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '125', 'm32d', 'The astrogation computers on Imperial starships rely on starfield data collected by countless space probes. Probe data for a given planetary neighborhood is collated and encoded at a central astrogation station for relay to Coruscant. If you destroy the astrogation facilities at these coordinates, the Empire must rely on outdated information when travelling in this system. But beware, these stations are always guarded!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '126', 'm32o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '127', 'm32s', 'Great job! Now we\'ll hope an Imperial ship runs into a meteor shower or asteroid field it couldn\'t predict. We admire your growing reputation.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '128', 'm32t', 'Imperial Astrogation Station');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '129', 'm33d', 'The most sophisticated communication relays in the galaxy, outside Coruscant, sit aboard Imperial capital ships. Our agents within the Imperial bureaucracy have redirected a shipment of these delicate relays, worth a fortune to the Empire, to a supply station here. Though this is hardly a soft target, it\'s our best chance to destroy a vital component of the Imperial comm apparatus. Move quickly!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '130', 'm33o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '131', 'm33s', 'This is fine news! We must hope that the Empire\'s capital ships, with hampered communications, will operate based on inferior strategy. Please check back with us, for we are pleased at your progress!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '132', 'm33t', 'Starship Communication Relays');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '133', 'm34d', 'Informants have brought us dramatic news. Empire ship designer Lira Wessex, who created the original schematics for the Imperial-class Star Destroyer, is apparently visiting this world on a sectorwide tour of shipbuilding facilities. If we can incapacitate Wessex, the Empire will lose one of its greatest talents. Unfortunately, Wessex is here only a while, at an Imperial outpost with a strong escort. Strike fast and strike hard!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '134', 'm34o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '135', 'm34s', 'Great work! If Lira Wessex was inside that wreck, then you\'ve brought a long, bad career to a belated close. Thank you, and contact us again soon!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '136', 'm34t', 'Lira Wessex Blights Local Region');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '137', 'm35d', 'The SoroSuub Corporation, once a peaceful contributor to the economy of the Old Republic, is now a dangerous ally of the Empire. Their ships and weapons are responsible for the deaths of untold numbers of Alliance fighters. To isolate them from distribution contractors, we have begun a campaign to harry shipments of SoroSuub armaments across the galaxy. Here are coordinates for a distribution center on this world. Be aware that the Empire knows of our strategy and often deploys troops to protect these shipments. Prepare for well-armed resistance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '138', 'm35o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '139', 'm35s', 'Allies of the Empire are enemies of freedom. You have done well. Contact us again for the coordinates of more SoroSuub distribution centers.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '140', 'm35t', 'SoroSuub Corporation Shipments');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '141', 'm36d', 'The Empire cherishes every opportunity to capture an intact X-wing fighter. InCom\'s superior X-wing technology, with its heavy armor and hyperdrive, is the envy of the Imperial Navy. To our dismay, recently a civilian informant tipped the Imperial Security Bureau to the location of a hidden cache of fighters. Stormtroopers descended on the place, and now five pristine X-wings are being readied for transport to the Empire\'s cronies at Sienar Fleet Systems. We cannot allow these ships to depart their landing bay. We need agents in the area to hit the place fast. Make sure nothing is left but smoke and rubble.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '142', 'm36o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '143', 'm36s', 'Well done. All five X-wing fighters were reduced to slag. We must guard every technological advantage if we are to bring the Empire to its knees.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '144', 'm36t', 'Captured X-wing Fighters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '145', 'm37d', 'The Alliance has placed agents inside many Imperial operations. These brave individuals risk their lives to bring us information concerning the Empire\'s movements. Sometimes we require direct action to ensure their continued secrecy. Currently one secret operative, well-placed in the Imperial system, is under suspicion by his supervisor. We cannot afford to lose him. Therefore we are commissioning a strike team to attack the small garrison where he is stationed. The diversion will let him eliminate his supervisor and destroy evidence. The action should be loud and messy to provide maximum distraction. Be well-armed and ready for a protracted fight.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '146', 'm37o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '147', 'm37s', 'Well done. Thanks to your distraction, our secret agent was able to remove the officer who questioned his loyalty to the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '148', 'm37t', 'Assist Secret Agent');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '149', 'm38d', 'An Imperial spy has infiltrated our supply network. We know only that he is a Kubaz and he is very good at his work. We have a credible suspicion that he has collected dangerous information about our secret shipping routes. A memory droid recently arrived at the Imperial base at the following coordinates. We believe that the droid\'s databanks contain this secret data. If we are to protect the identities of the depots and freighters that assist us in our cause, we must destroy this base at once. The lives of countless friends of the Alliance are at stake.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '150', 'm38o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '151', 'm38s', 'We have confirmed that the memory droid was destroyed. Our supply routes are safe again. Excellent work!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '152', 'm38t', 'Thwart a Spy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '153', 'm39d', 'An Imperial spy is working inside Alliance operations. We know only that he is a Kubaz and he is very good at his work. He has collected a list of Alliance informants and is in the process of transmitting their names to Imperial Intelligence. The list is stored at an Imperial base at the following coordinates. We need a well-armed team to destroy the base before Imperial Intelligence arrives to recover the information. Otherwise many brave Alliance informants will assuredly lose their lives.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '154', 'm39o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '155', 'm39s', 'We have monitored transmissions within Imperial Intelligence. They are most displeased that you destroyed the list of Alliance informants before they could recover it. You have saved the lives of many good people. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '156', 'm39t', 'Save Alliance Informants');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '157', 'm40d', 'An Imperial spy has wrought havoc on our operations in several sectors. We do not know his identity, but we have discovered the office of Imperial Intelligence to which he reports. If we can destroy his headquarters, we can salvage many operations he has jeopardized. A team of experienced marksmen should be sufficient to knock down this Imperial site and relieve us of many headaches.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '158', 'm40o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '159', 'm40s', 'Skillfully done. The Alliance values capable agents like you. Contact us again soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '160', 'm40t', 'Destroy an Intelligence Office');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '161', 'm41d', 'Cloaking devices create no end of difficulty for Alliance blockade runners. We have tracked a shipment of hybridium ore, essential to modern cloaking systems, from Garos IV to an Imperial transfer point. The site is guarded by Imperial troops, but if we can get a blaster squad inside to level the place, we\'ll take away the ability of the blockade ships to cloak themselves from our sensors. This will greatly facilitate the movement of our ships through the sector.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '162', 'm41o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '163', 'm41s', 'Successes like these are stepping stones to victory over the Empire. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '164', 'm41t', 'Fuel for Imperial Cloaking Ddevices');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '165', 'm42d', 'The Imperial Security Bureau\'s network of civilian spies and informants is a plague on us all. The Alliance places great value on locating and terminating sites of ISB activity. Freedom-loving fighters are encouraged to contact us for the coordinates of such installations. Be aware that the Empire has responded to our campaign by assigning troops to guard these facilities, so expect considerable resistance. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '166', 'm42o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '167', 'm42s', 'You have done a superb job. The more we hamper the actions of the ISB, the closer we come to real freedom in the galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '168', 'm42t', 'Office of Imperial Security Bureau');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '169', 'm43d', 'Propaganda is one of the Empire\'s tools in oppressing the galaxy. Imperial propagandists have taken over entire news corporations. We have identified one such purveyor of deceit, and confirmed that Imperial personnel staff all of its facilities. We offer a reward to worthy fighters who can smash this installation and staunch the flow of lies.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '170', 'm43o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '171', 'm43s', 'Every time we take down a center for propaganda, the people of the galaxy move closer to the truth. You have done well.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '172', 'm43t', 'Smash Propaganda Center');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '173', 'm44d', 'Force shield technology is a major factor in space battles. One of our undercover agents has covertly sabotaged Imperial masking codes for several uninstalled shield generators in this sector. If these generators are deployed to Imperial warships, we will have a hidden advantage should our blockade runners be spotted. Unfortunately certain factory records might betray our secret sabotage. We need agents to blow apart a small but well-guarded Imperial Navy maintenance base, thereby destroying the factory records that might reveal our scheme. Imperial bureaucracy being what it is, we are confident the shield generators will be deployed even without these records.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '174', 'm44o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '175', 'm44s', 'Well done! Against the military resources of the Empire we need every advantage we can get. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '176', 'm44t', 'Protect Covert Alliance Operation');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '177', 'm45d', 'We have received word that a new security protocol has been implemented at Imperial military sites around the sector. We are staging exploratory assaults on select bases, to see what new tactics the Empire has deployed. We need small teams of marksmen or veteran individuals to assist us in this fact-finding endeavor. Leave no wall standing.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '178', 'm45o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '179', 'm45s', 'It seems no Imperial security protocol is a match for a good blaster at your side. The Alliance thanks you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '180', 'm45t', 'Test Imperial Security Protocol');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '181', 'm46d', 'The Empire is not above sedating its subjects into complacency. We have discovered an installation where Imperial engineers are introducing drugs into the water supply to quell unrest in the local population. This crime must not be allowed to continue. If the Empire\'s cowardice enrages you, and if you have the expertise to do something about it, please blast this water-doping facility into smoke and rubble. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '182', 'm46o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '183', 'm46s', 'It warms the heart to see a plume of smoke rising where Imperial villainy once reigned. Very well done. Your reputation continues to rise here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '184', 'm46t', 'Water-Doping Facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '185', 'm47d', 'The Imperial Security Bureau has stepped up its program to recruit young, poor people as agents of the Empire. The ISB contacts troubled youths with a criminal record and pays them to do the Empire\'s dirty work, thus keeping the hands of the governors clean. We must not stand for this underhanded scheme. The program is controlled from an ISB facility at the following coordinates. We want to make an example of these ISB monsters, so leave no Imperial agent standing.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '186', 'm47o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '187', 'm47s', 'Thanks to your good work, many troubled youths will avoid the corruption of the Empire and perhaps even become good Alliance fighters in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '188', 'm47t', 'Imperial Corruption of Our Youth');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '189', 'm48d', 'An up-and-coming Imperial officer named Commander Hrazzel has shown a keen aptitude for ferreting out covert Alliance agents and destroying our hidden bases. What\'s worse, he is known to torture and slaughter innocents in his enforcement of Imperial edicts. We have learned his current itinerary, and have found that he is currently inspecting a facility on this world. We need a skilled individual or small squad to strike this facility while Hrazzel is present. With good planning, fortitude, and a bit of luck, we can eliminate this threat before he rises to become a galaxy-wide menace.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '190', 'm48o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '191', 'm48s', 'You have done very well. We have not yet confirmed that Commander Hrazzel was killed in your raid, but we hope his threat is now gone.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '192', 'm48t', 'Dangerous Imperial Officer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '193', 'm49d', 'The grim story is all too common: A local notable crosses the Empire and a small garrison is placed on his land as a lesson to others. But a few, brave individuals continue to resist oppression. They have contacted the Alliance with requests to remove these garrisons from their land. Alliance High Command has decided to pursue several of these requests. We know several such garrisons, compact but well-defended, that require the attention of strike teams. The mission is simple: Hit each place hard and leave no survivors. Inasmuch as the Empire is so fond of lessons, it is time they learned one of their own.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '194', 'm49o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '195', 'm49s', 'Nicely handled. Your skill and bravery are assets to the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '196', 'm49t', 'Imperial Garrison');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '197', 'm50d', 'Imperial hyperspace technology is advancing at an alarming rate. Most capital ships contain hyperwave signal interceptors that sound an alert just before a spacecraft comes out of hyperspace in their vicinity. Our spies inform us that an Imperial research laboratory has tripled the range of these hyperwave warning systems, giving them much more time to prepare for incoming enemies. The secret of this technology is entirely contained in the laboratory. We intend to raze the facility before any Imperial warships can benefit. We need a small team or a highly skilled individual to hit the place and blow it to cinders.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '198', 'm50o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '199', 'm50s', 'Splendid! Our informants assure us that it will take years for the Empire to rebuild this new technology. By then, we may have discovered some means to counter it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '200', 'm50t', 'Imperial Laboratory');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium.stf', '201', 'number_of_entries', '50');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '1', 'm1d', 'Local Imperial patrols have been relying on a refueling depot not far from here. The depot\'s destruction would certainly hamper the Empire\'s ability to effectively search for our cells. The Empire realizes this, so the depot is likely to be well defended. This mission will require skill and fortitude. Can the Alliance depend on you to lead such a strike?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '2', 'm1o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '3', 'm1s', 'Now that\'s how it\'s done! Those Imperial patrols will stay grounded for a while. Long live the Alliance!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '4', 'm1t', 'Ground Imperial Patrols');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '5', 'm2d', 'A transport repair station at these coordinates services Imperial scout troopers\' speeder bikes. If this facility were destroyed, it would limit the number of Imperial search-and-destroy missions for this entire system. Can we count on you to orchestrate this strike? As always, the Alliance will reward you for services rendered.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '6', 'm2o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '7', 'm2s', 'Broken down speeder bikes don\'t do the Empire any good. Job well done, agent. The Alliance could use more fighters like you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '8', 'm2t', 'Take Out Imperial Mechanics');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '9', 'm3d', 'A small SoroSuub weapons testing facility must be knocked out. We believe they are working on an improved design for the scout trooper blaster. The Alliance can\'t afford to have scout troopers get better sidearms. We don\'t know what kind of security this facility will have, but we imagine it\'ll be formidable. You might need help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '10', 'm3o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '11', 'm3s', 'Bravo! No new blasters for those scout troopers! An impressive bit of work, agent. The Alliance thrives because of individuals like you. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '12', 'm3t', 'No New Imperial Blasters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '13', 'm4d', 'We\'ve located a major Imperial power droid manufacturing plant. Taking this plant out would be more than a simple inconvenience for the Empire. Their Star Destroyers and garrisons rely on these power droids to keep battle stations running. It will take a strong, precise strike to cripple this installation. The Alliance needs your help.  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '14', 'm4o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '15', 'm4s', 'No power means no weapons or defenses. Our congratulations on the success of your mission. Keep up the good work. The Alliance is counting on you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '16', 'm4t', 'Farewell, Power Droids');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '17', 'm5d', 'We\'ve identified an ISB compound used for interrogations. If the stories are true, terrible atrocities have taken place there. Destroying this facility would send the right message to both the Empire and to citizens who live in fear of Imperial Security. We\'re looking for a dedicated agent who can lead a successful assault on this nightmarish compound. Are you that agent? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '18', 'm5o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '19', 'm5s', 'Bravo, agent! Now citizens will realize that the power of the ISB is not absolute and that the Empire is fallible. You\'ve earned your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '20', 'm5t', 'Take Out Torturers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '21', 'm6d', 'We\'ve located a Sienar Fleet Systems warehouse and have learned that it\'s currently storing ion engines scheduled to go to Imperial shipyards in this sector. That will mean more TIE fighters for our X-wing pilots to deal with. We need someone to destroy that warehouse and everything inside.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '22', 'm6o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '23', 'm6s', 'The distinctive roar of those TIE engines is greatly diminished today. Great job, agent. We knew we could count on you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '24', 'm6t', 'No More Ion Engines');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '25', 'm7d', 'An Imperial Academy processing center is currently housing the results of several hundred potential pilots\' flight exams. If those scores are destroyed, this will create a severe backlog for the Imperials and slow their recruitment efforts. Further, it would let us approach potential recruits and possibly enlist their aid against the Empire. Do you wish to lead this important mission?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '26', 'm7o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '27', 'm7s', 'Excellent! The best thing about the Empire\'s ponderous bureaucracy is that it\'s easy to throw a hydrospanner into the works. Good job! May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '28', 'm7t', 'Burn Imperial Records');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '29', 'm8d', 'A cargo of probe droids has been delivered to a supply depot servicing this sector. A Star Destroyer is scheduled to enter the system\'s orbit in the next few days and those probe droids will be transported aboard. Those probe droids are trouble for the Alliance. We need a skilled agent to take out that supply depot and make sure those probe droids are destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '30', 'm8o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '31', 'm8s', 'Good going! Fewer probe droids means fewer chances to find our bases. The Empire can\'t destroy what they can\'t find, after all. You\'re becoming a very promising agent indeed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '32', 'm8t', 'Take Out Probe Droids');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '33', 'm9d', 'We\'ve discovered a shipment of turbolaser actuators stored in an Imperial depot. They are scheduled to be delivered to the Kuat Drive Yards. We must make sure those actuators are never installed in any capital ship\'s weapons. A team of skilled agents should be able to blast this depot off without much trouble. You\'ll have to work fast, though.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '34', 'm9o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '35', 'm9s', 'Well struck, agent. Without their turbolasers, those hulking capital ships are just so much space debris. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '36', 'm9t', 'Pull Star Destroyers\' Teeth');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '37', 'm10d', 'A large shipment of orbital mines is to be delivered to the Star Destroyer Avenger. The dispersal of these mines would make life much more difficult for our fleet, as you can imagine. We\'ve discovered these mines and need the depot blasted into oblivion. Can you lend a hand, citizen? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '38', 'm10o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '39', 'm10s', 'Good work, citizen! Those mines won\'t be claiming the lives of our pilots and crew members. We look forward to working with you again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '40', 'm10t', 'Take Out Deadly Mines');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '41', 'm11d', 'The Empire has designed an improved subspace transceiver. The working prototype was sent to a manufacturing facility for mass production. A small team of operatives must make sure those transceivers are never built and either secure or destroy the prototype. Can the Alliance count on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '42', 'm11o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '43', 'm11s', 'It\'s obvious you know the meaning of success, citizen. Job well done! Even if we didn\'t get the prototype, its destruction is a good consolation prize.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '44', 'm11t', 'Knock Out Imperial Communications');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '45', 'm12d', 'We have identified an Imperial fortified complex as a gunnery school for local recruits. Today they\'re firing at target droids, but tomorrow they\'ll be aiming at us. You have to destroy that compound -- today!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '46', 'm12o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '47', 'm12s', 'Excellent work! The Alliance has nothing against education, but we don\'t like what the Empire does with it. We look forward to working with you again!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '48', 'm12t', 'No More Imperial Gunners');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '49', 'm13d', 'We\'ve managed to locate the Imperial Intelligence Analysis Bureau command center for this entire sector. These centers provide the intelligence reports that allow the Bureau of Operations to plan and execute strikes. It will be heavily guarded and equipped with state-of-the-art defenses. Its destruction will require an experienced team. Can the Alliance count on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '50', 'm13o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '51', 'm13s', 'A brilliantly executed strike! With freedom fighters like you aiding our cause, the Empire has no chance. We hope you\'ll accept difficult missions from us in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '52', 'm13t', 'Cripple Imperial Intelligence');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '53', 'm14d', 'We\'ve discovered a training facility for Imperial Intelligence\'s Operations agents -- in other words, assassins. This installation has launched covert operations that have killed some of our top officers. The Alliance wants this base blasted into atoms. This will not be easy, as some of the Empire\'s top agents work as trainers at this facility.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '54', 'm14o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '55', 'm14s', 'Those Operations goons never knew what hit them. Bravo! You\'ve done the Alliance and the galaxy a great service. You\'re quickly becoming one of our top agents.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '56', 'm14t', 'Stop Future Assassins');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '57', 'm15d', 'Bothan spies have identified a biological weapons development lab. Intercepted transmissions indicate this facility was instrumental in developing the Candorian Plague used against Dentaal. This lab must be destroyed at any cost. Imperial security will be tight and defenses formidable. A generous reward awaits the agent who can pull this off. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '58', 'm15o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '59', 'm15s', 'One less weapon in the Empire\'s arsenal. Good work! Many worlds will sleep easier now that this plague-making lab has been destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '60', 'm15t', 'Destroy Plague-Maker');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '61', 'm16d', 'A top-secret installation of the Inquisitorius, the Empire\'s specialized interrogators, has been located. Many of our agents ended up there, tortured for information until they were driven mad and killed. It is said that the Inquisitors use the Force to aid in their twisted work. Commander Skywalker has personally requested that this installation be taken out. Can we call on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '62', 'm16o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '63', 'm16s', 'Success! You\'ll be the scourge of the Empire yet! The Alliance thanks you and the galaxy is in your debt. Our reward is but a small token of our gratitude.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '64', 'm16t', 'Smash Imperial Interrogators');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '65', 'm17d', 'An Imperial garrison has received orders to execute suspected Alliance sympathizers and their families if they do not start naming Alliance spies. We need someone to wipe out the garrison before these stormtroopers can slaughter innocent civilians. Taking out a garrison, even a small one, is no easy task. These Imperial troops will be on high alert.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '66', 'm17o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '67', 'm17s', 'Great job! The Empire will think twice before giving their garrisons the order to execute civilians again. Fear is not just a tool for the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '68', 'm17t', 'Save Innocent Civilians');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '69', 'm18d', 'A stormtrooper training facility, renowned for producing some of the Emperor\'s most fanatical legions, must be taken out. A successful strike would stand as a symbol of the Alliance\'s determination to rid the galaxy of the Empire\'s tyranny. The Emperor\'s brainwashing techniques can\'t compete with an Alliance member\'s passion for freedom. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '70', 'm18o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '71', 'm18s', 'You deserve a medal! The Emperor\'s not the only one who trains crack troops and deadly soldiers. The Alliance salutes you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '72', 'm18t', 'Destroy Stormtrooper Training Base');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '73', 'm19d', 'Bothan spies have located an Imperial outpost housing Sith artifacts. We\'ve received word that Darth Vader has ordered these artifacts delivered to him personally. If those artifacts are indeed what the Bothans claim, we must not allow them to fall into Vader\'s hands. We need a strike team to go in and blow that shipment to atoms.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '74', 'm19o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '75', 'm19s', 'Job well done! You are a true champion of the people. Report to us again for future assignments soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '76', 'm19t', 'Destroy Sith Artifacts');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '77', 'm20d', 'Mercenary assassins do the Emperor\'s dirty work when direct military action is politically inexpedient. We have the coordinates of an undocumented arsenal from which the Empire supplies its assassins. We need a squad of fighters to blast the place into vapor. The arsenal is garrisoned with Imperial soldiers and mercenary assassins, so be careful.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '78', 'm20o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '79', 'm20s', 'Astounding work! You and your team are superior operatives, a true asset to the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '80', 'm20t', 'Smash Arsenal For Imperial Assassins');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '81', 'm21d', 'Imperial Army weapons designers have refashioned a platform-mounted flame carbine, the Czerka CZ-28 Flamestrike, for use on repulsorlift craft and cloud cars. Sheets of flame from the sky will mean grave danger for our fighters below. No matter the cost, you must render this weapons factory permanently inoperative. Prepare for harsh opposition.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '82', 'm21o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '83', 'm21s', 'Impressive news! This victory represents a fundamental security that cannot be overstated. We applaud your resolve, and we wish you still greater success in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '84', 'm21t', 'Imperial Flamer Munitions Factory');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '85', 'm22d', 'The profiteers at Arakyd Industries continue to garner Imperial largesse. These parasites have contracted to build new legions of Inquisitor-series seeker droids with weaponry of considerably increased lethality. This presents a major threat to Alliance forces, and we cannot allow the factory to begin production. Assemble a large and experienced strike team and take this factory out.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '86', 'm22o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '87', 'm22s', 'This is excellent news! We hope this damages Arakyd Industries profits as badly as their products have damaged our forces. We congratulate you, agent!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '88', 'm22t', 'Blast Combat Droid Plant');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '89', 'm23d', 'The Empire has established a new facility building two-legged AT-ST scout walkers. Though the labor force is entirely droid-based, the installation is well defended with Imperial troops. Our recon scout escaped only by dint of skill and luck. Assemble an experienced strike team to take out this major target.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '90', 'm23o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '91', 'm23s', 'Your high reputation is well earned, agent! We have stalled the production of Imperial walkers in this area, at least for now. Your reputation continues to rise!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '92', 'm23t', 'Destroy AT-ST Assembly Plant');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '93', 'm24d', 'The Empire is relaying a cache of rare durindfire gems, under heavy guard, to a merchant in this area. You may know that Imperials traffic in these gems to finance their more exotic projects, such as the Death Star. If you can destroy these gems in their holding facility, you\'ll strike a blow against covert financiers across the galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '94', 'm24o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '95', 'm24s', 'Durindfire gems flash brilliantly, but in Imperial hands they\'re covered with blood. It\'s better that you destroyed them. Good work!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '96', 'm24t', 'Blast Durindfire Gems');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '97', 'm25d', 'Imperial forces are guarding -- perhaps a better word is \"confining\" -- engineers working for Baktoid Combat Automata. In this compound these engineers are stress-testing blaster subsystems for a redesigned Protector-series combat droid. Destroy the engineering compound and the Protector plans.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '98', 'm25o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '99', 'm25s', 'Thank you! Facing an improved Protector droid would not have been fun, to say the least. You are progessing well!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '100', 'm25t', 'Smash Protector Droids');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_destroy_rebel_non_military_medium_non_persistent_from_npc.stf', '101', 'number_of_entries', '25');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '1', 'assassin_target_location', 'Your target has been detected %DI meters to the %TO.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '2', 'bounty_already_tracking', 'You are already tracking your target.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '3', 'bounty_no_ability', 'You do not understand how to use this item.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '4', 'bounty_no_mission', 'You must accept a bounty mission before you can use a probe droid. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '5', 'bounty_no_signature', 'You must go speak with your informant before you can track your target. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '6', 'buy_probe_droid', 'Buy Probe Droid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '7', 'crafting_already_dropped_off', 'Why are you still here? Shoo. You got your reward, now go away. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '8', 'crafting_already_picked_up', 'Why are you still here? My friend is waiting for that item. Put it together and deliver it like you agreed to.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '9', 'crafting_components_received', 'The necessary components and schematic have been transferred to you. Use your generic crafting tool to craft the item.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '10', 'crafting_instructions', 'Drag and drop the crafted item onto the target NPC.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '11', 'crafting_mission_start', 'Go to the waypoint and talk to the NPC. They will give you the schematic and necessary components. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '12', 'dancer', 'Dancer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '13', 'deliver_already_dropped_off', 'What now? You got your reward, I got my item. Go away.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '14', 'deliver_already_picked_up', 'Why are you still here? Go deliver that item like you\'re supposed to and quit bothering me. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '15', 'deliver_incorrect_player_0', 'You know who\'s not talking to you? Me. I\'m waiting for someone to do me a favor, and it\'s not you. Go away.\n');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '16', 'deliver_incorrect_player_1', 'No way. I\'m not talking to you. I\'m waiting for someone to do me a favor and it\'s not you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '17', 'deliver_incorrect_player_2', 'Do I have anything for you to do... Nope... I\'m waiting for someone else.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '18', 'deliver_incorrect_player_3', 'I don\'t want to buy anything you might be selling. As a matter of fact, I don\'t even want to talk to you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '19', 'deliver_incorrect_player_4', 'Just stop talking right there. I\'m not waiting here for you, and I don\'t want to talk to you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '20', 'deliver_received_data', 'Data Received: ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '21', 'destroy_return', 'Target Destroyed! Return to your contact to receive your reward. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '22', 'droid_buy_no_space', 'You need more inventory space to buy a droid. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '23', 'droid_buy_nsf', 'You do not have enough credits to purchase this droid.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '24', 'droid_price_probot', 'Arakyd Probe Droid: 1000 Credits');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '25', 'droid_price_seeker', 'Seeker Probe Droid: 200 Credits\n\n');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '26', 'droid_probot_buy_confirmation', 'Do you wish to purchase an Imperial Probe Droid for 1000 credits?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '27', 'droid_purchase_complete', 'A droid has been purchased and placed in your inventory.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '28', 'droid_purchase_prompt', 'Choose the type of probe droid you wish to purchase:');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '29', 'droid_seeker_buy_confirmation', 'Do you wish to purchase a Seeker Probe Droid for 200 credits?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '30', 'east', 'East');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '31', 'escort_follow_again', 'I will continue to follow you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '32', 'escort_pickup_request', 'I\'m here to escort you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '33', 'failed', 'Mission failed');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '34', 'give_item', 'What are you waiting for? Give me that item.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '35', 'group_expanded', 'Group Mission Success! Reward credits have been transmitted to the bank account of all group members in the immediate area.  They have been recalculated to reflect the newly added members.\n');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '36', 'group_success', 'Group Mission Success! Reward credits have been transmitted to the bank account of all group members in the immediate area.\n');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '37', 'group_too_far', 'Mission Alert! Some group members are too far away from the group to receive their reward and and are not eligible for reward.\n');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '38', 'hello', 'Hello.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '39', 'hunting_kills_remaining', 'You must kill %DI more %TO to complete your mission.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '40', 'incomplete', 'Mission incomplete');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '41', 'informant_no_bounty_mission', 'You don\'t appear to be currently working for the guild. Come back and talk to me after you get a job.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '42', 'informant_not_bounty_hunter', 'You\'re not a member of the Bounty Hunter guild. Go talk to someone who cares. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '43', 'jedi_not_online', 'Your target is not online.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '44', 'mission_incomplete_01', 'CEASE SUSPICIOUS ACTIVITY AT ONCE! The Galactic Empire regrets to inform you that your employer\'s activities have come under suspicion. You will receive compensation deemed fair by the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '45', 'mission_incomplete_02', 'ARREST NOTICE: Your employer\'s funds have been frozen due to charges of conspiracy. Reports indicate that you are not directly involved at the moment, therefore you will be reimbursed for your time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '46', 'mission_incomplete_03', 'CEASE AND DESIST: The Imperial Security Bureau demands that your employment be terminated immediately. Your employer has been informed of this change in plans. Mention this to no one!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '47', 'mission_incomplete_04', 'CONTRACT REVOKED! An arrest warrant has been issued for your employer. You are hereby ordered by the Empire abort your mission immediately. You will be partially credited for your mission in exchange for your cooperation.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '48', 'mission_incomplete_05', 'MISSION LICENSE DISSOLVED! Your employer submitted inappropriate forms for this mission. Therefore, the Empire cannot allow your mission to continue. Your employer has agreed to offer partial payment, however.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '49', 'mission_title', 'Mission: ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '50', 'no', 'No');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '51', 'no_assassin_mission', 'You do not have an assassination target currently.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '52', 'no_assassin_target', 'You must get closer to the designated area before this item can lock onto your target.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '53', 'north', 'North');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '54', 'northeast', 'Northeast');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '55', 'northwest', 'Northwest');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '56', 'not_bounty_hunter_terminal', 'You are not authorized to use this terminal.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '57', 'npc_job_accept_no', 'Not interested. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '58', 'npc_job_accept_response_yes', 'Report back to me after you have completed your task. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '59', 'npc_job_accept_response_yes_nonpersistent', 'Thanks for your help. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '60', 'npc_job_accept_yes', 'I\'ll do it. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '61', 'npc_job_none_available', 'I have nothing for you to do right now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '62', 'npc_job_request', 'Do you have any work?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '63', 'npc_job_request_already_have', 'You already have a task from me. Complete it and then we\'ll talk again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '64', 'npc_job_request_no_job', 'I have nothing for you to do right now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '65', 'npc_job_request_wrong_difficulty', 'You need to be more skilled before you can work for me.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '66', 'npc_on_other_mission', 'You must finish your other work before you can help me.\n');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '67', 'out_in_space', 'You are unable to track your opponent while out in space.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '68', 'probe_droid_activate', 'Probe Droid Command');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '69', 'probe_droid_arrival', 'Probe Droid has landed and is awaiting biological signature programming. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '70', 'probe_droid_arrival_1', '1');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '71', 'probe_droid_arrival_2', '2');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '72', 'probe_droid_arrival_3', '3');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '73', 'probe_droid_arrival_4', '4');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '74', 'probe_droid_arrival_5', 'Probe Droid Launched. Prepare for arrival in 5.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '75', 'probe_droid_bad_location', 'You must move to a different area to call down a probe droid from orbit.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '76', 'probe_droid_find_target', 'Find Bounty Target');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '77', 'probe_droid_launch_p', 'Imperial Probe Droid Launch in 5.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '78', 'probe_droid_launch_prep', 'Probe Droid request received. Prepping capsule for launch. ETA 20 seconds. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '79', 'probe_droid_program', 'Transmit Biological Signature');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '80', 'probe_droid_takeoff', 'Target data received. Commencing interplanetary search pattern. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '81', 'probe_droid_too_many', 'You cannot launch another probe droid. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '82', 'probe_droid_track_target', 'Find and Track Target');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '83', 'recon_return', 'Recon Completed. Return to your contact to receive your reward. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '84', 'seeker_droid_launched', 'Biological scan received. Commencing planetary seach pattern.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '85', 'south', 'South');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '86', 'southeast', 'Southeast');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '87', 'southwest', 'Southwest');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '88', 'success', 'Mission complete! Your reward has been placed in your bank account. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '89', 'success_w_amount', 'Mission complete! Your reward of %DI has been placed in your bank account. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '90', 'survey_start', 'You must find a resource pocket of the specified type and efficiency at least 1024 meters away from the mission giver.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '91', 'survey_too_close', 'That resource pocket is too close (%DF meters) to the mission giver to be useful to them. Go find one at least %DI meters away to complete your survey mission. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '92', 'target_continue_tracking', 'Your probe droid will continue to report last known target location. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '93', 'target_located_corellia', 'Your target has been located on Corellia.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '94', 'target_located_dantooine', 'Your target has been located on Dantooine.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '95', 'target_located_dathomir', 'Your target has been located on Dathomir.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '96', 'target_located_dungeon1', 'Your target is somewhere out in space.  You\'ll have to try again once he has returned to a planet.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '97', 'target_located_endor', 'Your target has been located on Endor.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '98', 'target_located_lok', 'Your target has been located on Lok.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '99', 'target_located_naboo', 'Your target has been located on Naboo.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '100', 'target_located_rori', 'Your target has been located on Rori.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '101', 'target_located_taanab', 'Your target has been located on Taanab.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '102', 'target_located_talus', 'Your target has been located on Talus.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '103', 'target_located_tatooine', 'Your target has been located on Tatooine.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '104', 'target_located_yavin4', 'Your target has been located on Yavin IV.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '105', 'target_location_updated', 'Mission Target found by probe droid. Mission Waypoint updated.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '106', 'target_not_found_1', 'Your probe droid exploded en-route and failed to find your target. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '107', 'target_not_found_2', 'Your probe droid was destroyed by a mynock and did not find your target. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '108', 'target_not_found_3', 'Your droid was struck by a meteorite and failed to find your target. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '109', 'target_not_found_4', 'Your probe droid ran out of energy and failed to find your target. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '110', 'target_not_found_5', 'Your probe droid malfunctioned and did not find your target. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '111', 'target_not_found_6', 'Your probe droid was eaten by a space slug and did not find your target. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '112', 'target_not_on_planet', 'Your target\'s biological signature was not detected on this planet.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '113', 'target_track_lost', 'Your probe droid lost track of your target.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '114', 'too_many_missions', 'You cannot accept any more missions. \n');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '115', 'unknown', 'Unknown');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '116', 'west', 'West');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '117', 'wrong_item', 'Well? You\'re supposed to be making me an item.. Come back after you\'ve built it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_generic.stf', '118', 'yes', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '1', 'm1d', 'An Imperial engineer of high standing has redesigned an overdrive ion flux cooling system. Go and acquire the components you need to build your part of this device. Complete its assembly and deliver it with all haste.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '2', 'm1p', 'May I see your work orders? Ah, you\'re part of the cooling system team. Here are the components you need for your part.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '3', 'm1r', 'Got your part assembled already, eh? Good. Once the rest arrive, I can finally assemble it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '4', 'm1s', 'You were not the last person to finish your part of this project. No punitive action will be taken.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '5', 'm1t', 'This Calls for Hyper Speed');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '6', 'm2d', 'Ship production is on the rise, which is good news for you. You are assigned the task of assembling this delicate part. What\'s it for? I wouldn\'t ask such questions if I were you. Just get it made and let us worry about where it goes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '7', 'm2p', 'Here are the components to build your part in the...what\'s your clearance? Ah. Here are your components. Be careful putting it together, it\'s very delicate.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '8', 'm2r', 'You have the part made, I see. I only wish somebody would tell me what I\'m supposed to do with it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '9', 'm2s', 'You have completed your assignment satisfactorily. Reveal the details of this assignment to no one.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '10', 'm2t', 'Somebody Must Know What It\'s For');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '11', 'm3d', 'Scientists have designed a more efficient ion cannon that should wreak havoc with Rebel deflector shields. You are commissioned to go make this part, integral to the new ion cannon\'s delivery system.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '12', 'm3p', 'You must be the Moff\'s special pet, to be assigned a high-profile project like this one. Here are the components you need, don\'t muck it up.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '13', 'm3r', 'Let\'s have a look at this. Very well. Everything seems to be according to spec. Good job.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '14', 'm3s', 'The entire engineering team\'s work on this project was adequate. You are thanked accordingly.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '15', 'm3t', 'War, What is it Good For?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '16', 'm4d', 'Imperial Survey has informed us that we now have funding to begin construction on a new series of industrial mining droids. You will be constructing this prototype part, used in the droids\' plasma drills. You are expected to complete this assignment quickly and efficiently.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '17', 'm4p', 'Building parts for mining droids, are you? Here are the components you\'ve been authorized.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '18', 'm4r', 'Interesting how Imperial Survey always seems to have the resources for the equipment they need. I\'d better get this droid finished before they come looking for it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '19', 'm4s', 'Your service to the Empire has been noted. Payment has been deposited.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '20', 'm4t', 'More Mining Droids Needed');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '21', 'm5d', 'You are assigned construction of a part to be used in equipment so classified that even the scientists designing it aren\'t sure what it\'s for. Go and get the components you need for your piece. Anyone asking the nature of this project should be reported immediately.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '22', 'm5p', 'Here are the components required for you part of the device. Deliver it to these coordinates when you\'ve completed assembly, and be circumspect about it. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '23', 'm5r', 'Did you observe anything unusual in the course of creating this item? No? Excellent. You are dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '24', 'm5s', 'The discretion of all involved in this project has been noted. You are now ordered to forget anything you may recall about this assignment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '25', 'm5t', 'Don\'t Ask, Don\'t Tell');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '26', 'm6d', 'Every part in an inertial compensator needs to be made with the utmost care, due to the immense amount of stress put upon it. Construct your part of this important piece of equipment with that in mind.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '27', 'm6p', 'Did they give you the speech about the \"utmost care\"? Yeah, like you guys are usually so slipshod in your construction. Don\'t worry about it, he just likes the sound of his own voice. Here are the components you need.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '28', 'm6r', 'This is the completed piece? I\'ll put it with the others and put together the unit later.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '29', 'm6s', 'Your participation in this project is now complete, and you are to be commended for your diligence.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '30', 'm6t', 'Assemble This Carefully');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '31', 'm7d', 'Imperial Security is having us build parts for a new, more sensitive security scanner. The part you have been assigned was completed incorrectly by the previous engineer. I encourage you to finish your work quickly, as all the other pieces have been turned in.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '32', 'm7p', 'I thought these components had already been put together. None of my business, I suppose. Your orders check out.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '33', 'm7r', 'I hope you did a better job with this part than your predecessor. Yes, that does seem to be the case.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '34', 'm7s', 'Imperial Security has determined that the delay in the completion of this project was not directly attributable to you. Payment has been made.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '35', 'm7t', 'Clean Up a Mess');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '36', 'm8d', 'Security is being tightened throughout the Empire. This means we must keep replacement parts for an array of security devices at all times. Go and get the components for the assigned part, manufacture it, and you will be informed of where to deliver it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '37', 'm8p', 'Parts for security devices? More like random \"crucial parts\" to pad the security budget. Not that you heard that from me, mind you. Here are the components you need. Bring the part to these coordinates when you\'re finished.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '38', 'm8r', 'I understand the supply officer was speaking of things that don\'t concern him. I\'m sure we can find him a job where he isn\'t so overwhelmed with free time that he tries to balance departmental budgets. I trust you won\'t make any such foolish mistakes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '39', 'm8s', 'You have performed admirably, and a commendation has been added to your record praising your discretion. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '40', 'm8t', 'Someone is Paying Attention');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '41', 'm9d', 'One of the great things about Imperial technologies is how many of the parts are used in a variety of devices. Your current assignment is to built this part to be used in a hyperdrive capacitor, although it is also used in a solar ionization reactor. Go and get what you need.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '42', 'm9p', 'These components? I thought they were for bacta tank temperature controllers. Oh well. Get them assembled and over to these coordinates as soon as you can.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '43', 'm9r', 'Part for a hyperdrive capacitor? We don\'t need a part for a hyperdrive capacitor -- Oh, you mean this part! I didn\'t realize these could be used in one of those.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '44', 'm9s', 'Your skill in constructing these kinds of items is beyond reproach. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '45', 'm9t', 'Which Part Goes Where');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '46', 'm10d', 'An Imperial shipyard has commissioned parts to be used in a new Star Destroyer prototype. You are charged with the production of this part, a vital component in the power coupling of a deflector shield. Go to the supply officer, who will furnish you with the components you need. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '47', 'm10p', 'So you\'re one of the techs working on the starship components, huh? Got the parts you need right here waiting for you. Bring \'em to these coordinates when you\'re done.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '48', 'm10r', 'Another part for the deflector array already? You\'re a fast worker. It checks out, so I guess you\'re done.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '49', 'm10s', 'The speed with which you have completed your assignment has been noted.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '50', 'm10t', 'Your Piece of a Star Destroyer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '51', 'm11d', 'Execute this urgent assignment with all haste. A vital part of an energy coupler cooling grid is defective. You are to replace this part with one that is functional. Build it and deliver it personally to the officer in charge. A second failure by our department would look very bad and would bode poorly for your career.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '52', 'm11p', 'I was told to have the components waiting for you. Somebody very important must want this. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '53', 'm11r', 'What? For the energy coupler cooling grid? Too late, that grid blew sky-high. Took out a company of stormtroopers, too. Oh well, there are always more troopers.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '54', 'm11s', 'Your participation in this distasteful episode has been reviewed. You have been found innocent of wrongdoing. The commander who gave you this assignment is now undergoing appropriate discipline. That is all.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '55', 'm11t', 'Keeping It Cool');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '56', 'm12d', 'The latest assignment we have received is straight from the Imperial Department of Military Research. All you need to know is that you will be building this small part used in a discharge modulator. The necessary components will be made available to you at this location.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '57', 'm12p', 'Your authorization for these components is all in order. Bring your completed part to these coordinates when you have finished its construction.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '58', 'm12r', 'Very well, your task has been discharged, and you are free to continue with other projects.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '59', 'm12s', 'Everything was turned in on schedule and within acceptable construction parameters. Payment has been authorized.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '60', 'm12t', 'A Cog in a Machine');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '61', 'm13d', 'You are required to aid completion of a new model of beamdrill. These drills are vital to the resource-gathering abilities of the Empire. Therefore, treat this seemingly lowly assignment with the same reverence you would give to parts for a TIE fighter. Collect your components and deliver your completed part.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '62', 'm13p', 'It looks like you\'re building a part for some kind of engine. Everything you need is right here. If you need anything else, bring me proper authorization and it\'s yours.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '63', 'm13r', 'We\'ve been making a lot of these drills lately. Imperial Survey must have found a major new source of minerals somewhere.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '64', 'm13s', 'Imperial Survey was very pleased with our work on the new drills. Congratulations are sent to all teams who worked on them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '65', 'm13t', 'The Importance of Drilling in Earnest');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '66', 'm14d', 'Exciting new advances have been made in power carrier pulse generators. This department is implementing this new technology. You have the honor of assembling an important part for the prototype. Make the Empire proud!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '67', 'm14p', 'I just need to double-check your identification. It\'s routine on such an important project. All in order, and I believe these are the components assigned to your project. Deliver the completed part to these coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '68', 'm14r', 'Good, you\'re here. These new pulse generators are going to make the old ones seem antiquated by comparison! ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '69', 'm14s', 'The new generators are 15% less efficient than the old models. This was evidently due to a design flaw rather than poor construction. These results are now classified. Tell no one.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '70', 'm14t', 'On the Cutting Edge');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '71', 'm15d', 'An Imperial Star Destroyer in orbit requires replacement parts for one of the docking suspension field projectors. You are instructed to complete this part in a timely fashion. It would be the height of foolishness to annoy the captain by dawdling.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '72', 'm15p', 'These are the components you need. A pity you don\'t get to deliver the completed part to the ship personally. That would be something to see.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '73', 'm15r', 'I\'d better get these up to the ship right away. The captain is not a patient man.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '74', 'm15s', 'The arrival of your part proved timely. The captain was on the verge of executing an innocent bystander. You have done well.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '75', 'm15t', 'This is a Rush Order');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '76', 'm16d', 'All the systems that make up an Imperial cruiser are vital. Therefore, this assignment -- to make a replacement part for a garbage disposal unit -- is vital. If you have a problem with that, pretend you\'re making something for one of the blaster cannons.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '77', 'm16p', 'Here are the components on your manifest. Don\'t feel bad -- the galaxy needs garbage disposal too. The installation engineer is waiting for your part at these coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '78', 'm16r', 'That\'s what I was waiting on. Don\'t feel too bad; the technician before you had to make a part for the toxic waste disposal system.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '79', 'm16s', 'Every part on a vessel is considered to be of equal importance. To question this is to question Imperial leadership.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '80', 'm16t', 'We\'re All Equal in the Eyes of the Empire');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '81', 'm17d', 'Congratulations, you have been chosen to work on a highly classified project. You do not have the security clearance to know what you are making parts for, but be assured that they are imperative to the cause of our beloved Emperor. Make this part and secure your place in Imperial history. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '82', 'm17p', 'This is a set of \"priority\" components. There will be no record of these components, nor of the part you construct. Bring it to this location once complete.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '83', 'm17r', 'I trust you spoke of this part to no one. Excellent. Go about your business as though this never occurred.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '84', 'm17s', 'A small number of credits has been added to your account. This is a random bonus and was not earned for any services.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '85', 'm17t', 'As Though It Never Happened');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '86', 'm18d', 'The Imperial Department of Military Research is improving old droid technology. We have been give a schematic for a new prototype. You are assigned the task of creating this component. Head to supply and get the components you need.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '87', 'm18p', 'You must be quite well respected to be working on a project like this. Here are your components; bring them to these coordinates when you\'ve finished.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '88', 'm18r', 'Good work. At this rate we\'ll have this droid assembled in no time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '89', 'm18s', 'Due to the untimely demise of the field test team, this project has been shelved until the aggression circuits have been redesigned.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '90', 'm18t', 'Still Need to Work Out a Few Details');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '91', 'm19d', 'You build things, correct? Excellent. Heed my instructions: You are to build an essential part to be used for diagnostics of the next Imperial Star Destroyer tractor beam system. Yes, I thought you\'d be flattered. Go.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '92', 'm19p', 'Tractor beams can be difficult. This device will ensure that the beam works effectively without shaking the target to bits. Deliver your completed part to these coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '93', 'm19r', 'For the tractor beam diagnostics? Very well. I shall consign the task of calibrating and diagnosing the beam\'s performance to some junior officer. You may go.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '94', 'm19s', 'I am informed you discharged your duty correctly. However, should the tractor beam prove unstable and destroy a target, the Empire will know who is responsible.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '95', 'm19t', 'Calibrating Tractor Beams is Such a Nuisance');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '96', 'm20d', 'Ships captured by tractor beam and pulled into a Star Destroyer\'s main hangar are held in place with an electromagnetic paralyzing pincer crane. This office finds the state of current research in this field quite sad. For our improved crane prototype this office requires a certain part. Secure the components and build that part.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '97', 'm20p', 'Ah, excellent! This office takes the position that research in paralyzing pincer cranes is unduly neglected. Here are the components. Deliver the completed part to these coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '98', 'm20r', 'A dismal epoch in paralyzing pincer crane research will shortly end. That is my own opinion, which of course echoes that of my superiors.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '99', 'm20s', 'This office\'s consistent advocacy for paralyzing pincer crane research will see the Empire to still greater glory! ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '100', 'm20t', 'Paralyzing Pincer Crane Stance');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '101', 'm21d', 'The Kuat shipyard is preparing a new, grander class of Imperial military cruisers. Details are classified. To train personnel for this new ship, we shall use dummy prototypes of the new equipment. We require you to build a certain part for the latest prototype. Pick up the components at once.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '102', 'm21p', 'Here are the components for the prototype part. Don\'t worry if it is not functional; that is not its purpose. Deliver the completed part to the personnel trainer.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '103', 'm21r', 'For a training display it is crucial that this not actually work. Let me test it -- yes! Nothing! Well done.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '104', 'm21s', 'You may rest assured that building nonfunctional equipment serves the Empire\'s larger purpose. Be proud, agent!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '105', 'm21t', 'We Don\'t Want It to Work');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '106', 'm22d', 'Umm-hmm-hm -- what? You wish to build something? Ah. Well, in fact the Empire has entrusted this office to build a prototype for -- this will impress you -- a service gantryway retractor for a TIE fighter hangar. Yes, I share your obvious astonishment at this high honor. Pick up the components and build a certain part we need.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '107', 'm22p', 'What excitement I feel, giving you these components for the TIE hangar service gantryway retractor! All those years of training at the Academy have paid off. Deliver the completed part to these coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '108', 'm22r', 'It is of course a wonderful honor to assemble the new prototype service gantryway retractor. Don\'t tell anyone in the Empire that I ever said differently.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '109', 'm22s', 'For your worthy aid in constructing the TIE hangar service gantryway retractor, you no doubt feel the same thrill shared by all in this office. Your payment is attached.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '110', 'm22t', 'Know the Thrill of a Gantry Retractor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '111', 'm23d', 'A very high clearance project is getting under way elsewhere in the galaxy. Very high clearance. Prototype part design is being scattered across the Empire for security. It falls to you to build one particular part. It may appear innocuous, but believe me -- this is of signal importance. Pick up the components. Tell no one.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '112', 'm23p', 'We\'ve been shipped strange components for this classified project. Very advanced. Oops, I\'d better not say any more. Deliver the completed part to these coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '113', 'm23r', 'I have been informed of your assignment. I shall relay the prototype to the assembly staging area.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '114', 'm23s', 'Payment is attached. Tell no one of your work, or it will go badly for you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '115', 'm23t', 'Part for Highly Classified Project');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '116', 'm24d', 'We require you to build a part for an atmosphere processing substation. Here are the schematics. The purpose is classified, but you need to know that it is for a -- well, a large battle cruiser. A very, very large cruiser. Build the part with appropriate tolerances. Pick up the components at these coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '117', 'm24p', 'I can\'t believe the tolerances on these components! You\'d think they were building another Death Star or something. Deliver the completed part to these coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '118', 'm24r', 'The soldier who gave you these components has been court-martialed for loose talk and removed offworld. Attempt to avoid that fate yourself.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '119', 'm24s', 'Perhaps I failed to stress the need for confidentiality in this assignment. Let that be your watchword in any Imperial assignment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '120', 'm24t', 'Part for a Very, Very Large Cruiser');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '121', 'm25d', 'This office supervises sector-wide production of landing alignment markers for spacecraft docking bays. Not glamorous, I grant you, but important. The machine that produces these parts has broken, and the replacement part is on Coruscant. We prefer to commission you to build the required part. Get the components at these coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '122', 'm25p', 'Docking bay alignment markers, eh? It never occurred to me that anyone actually needed to make those. Deliver the completed part to these coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '123', 'm25r', 'I\'ll dispatch this to the repair droids soon. I\'d hate to cripple sector-wide production of -- um -- landing alignment markers. Heh.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '124', 'm25s', 'Citizens seldom appreciate the details involved in running a galaxy-wide Empire. You have helped with one such detail. Expect more work soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '125', 'm25t', 'Docking Bay Alignment is Important Too');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '126', 'm26d', 'We require you to build a prototype part. Note that in this schematic it goes in an ion sublight engine. You are not to regard or comment on the unusually large size of the ion engine. You are not to speculate on the size of the craft propelled by this engine. That is classfied. Pick up the components at these coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '127', 'm26p', 'Note that I am specifically not commenting on the size of the engine implied by the tolerances in these components. I am in no way violating secrecy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '128', 'm26r', 'What is this? For an ion engine? Don\'t be absurd. An ion engine that needs a part like this would be big enough to move a small moon!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '129', 'm26s', 'It appears that certain members of the supply chain were not adequately briefed on security. This shortfall has been remedied. Tell no one.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '130', 'm26t', 'Who Needs an Ion Engine That Big?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '131', 'm27d', 'Restrain your excitement as I commission you to create a vital part for the prototype trash compactors aboard a space battle station now being planned. I am not clear what spacecraft these trash compactors are for. Ah well, it is not for a mere line officer to question the Empire. Pick up the components at these coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '132', 'm27p', 'The battle station in question must have unusual functions. This schematic indicates an extremely high volume of garbage. Deliver the completed part to these coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '133', 'm27r', 'This is satisfactory. Tell no one of the new prototype trash compactor, or it will go badly for you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '134', 'm27s', 'I am belatedly informed that this matter is highly classified. Tell no one.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '135', 'm27t', 'Prototype Trash Compactor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '136', 'm28d', 'The Empire is preparing a new -- let me see here -- a new induction hyperphase generator for some sort of new battle cruiser. Prototype parts for this device are being produced all over the galaxy, for security reasons. Pick up the components and create a part for this generator. Meanwhile, I will try to identify the battle cruiser.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '137', 'm28p', 'All the tolerances for this induction hyperphase generator seem several orders of magnitude too high. Oh well. Deliver the part to these coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '138', 'm28r', 'Did anyone discuss the destination of this part? Oh, that officer did, did he? I must see about that.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '139', 'm28s', 'Attention! I have been informed, beyond any possibility of ambiguity, that you are absolutely not to discuss the new battle cruiser! That is all.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '140', 'm28t', 'Some Sort of New Battle Cruiser');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '141', 'm29d', 'In vain this office has tried to build an acceptable prototype for a new laser firing field amplifier. Imperial Center rejected our previous attempts as \"inadequate.\" But they will certainly accept this new design! Pick up the components at these coordinates and build a vital part for this absurdly massive device.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '142', 'm29p', 'I don\'t understand why our previous designs were rejected. Now this field amplifier is so ridiculously overpowered, it could have blown up Alderaan. Well, deliver the part to these coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '143', 'm29r', 'Another part for yet another field amplifier. The power tolerances required by this latest design are absolutely outlandish. Well, I shall forward your part as required.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '144', 'm29s', 'I cannot believe this! Once more Imperial Center has rejected our design as \"underpowered\"! Well, this office may contact you again with another assignment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '145', 'm29t', 'Absurdly Overpowered Amplifier');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '146', 'm30d', 'I am pleased that this office -- my office -- has received orders to construct prototype parts for the next generation of TIE Interceptor spacecraft. Thank you, thank you. But rather than dwelling on the high honor this represents, I am commissioning you to pick up components at these coordinates and build a certain vital part.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '147', 'm30p', 'Here are the components. It must be so glamorous working on the new TIE Interceptor project! Can I get your autograph?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '148', 'm30r', 'Ah, the TIE Interceptor project is already proceeding apace. This will reflect very well on us. I shall have this piece installed at once.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '149', 'm30s', 'Rather than dwell on this project\'s opportunities for advancement, let me congratulate you on your good fortune in becoming involved. Onward to victory!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '150', 'm30t', 'Think of the Prestige');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '151', 'm31d', 'Are you skilled at microminiaturization? Well, it doesn\'t matter -- the prototype is one thousand times actual size. You are building a vital prototype part for the next-generation macrobinocular viewplate to be built into each stormtrooper helmet. Weight and size will be paramount issues. Pick up the components at these coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '152', 'm31p', 'I wondered how a stormtrooper helmet could hold all of this equipment, until I saw the \"1000x\" on the prototype schematic. They do make things small nowadays.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '153', 'm31r', 'I\'m glad this new viewplate prototype is a thousand times actual size. We built the earlier design actual size, and a soldier sneezed and destroyed it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '154', 'm31s', 'I\'m told the new viewplate prototype was rejected as \"unacceptably large.\" It seems we must try to coordinate our communications better.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '155', 'm31t', 'One Thousand Times Actual Size');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '156', 'm32d', 'You have seen an Imperial AT-AT walker? You understand that the cockpit access tube flexes like a creature\'s neck? The neck flexes using a ringed electromagnetic system. This office is preparing a prototype for a new ringed system. Pick up components at these coordinates and build the indicated part for this system.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '157', 'm32p', 'I hear that the top ranks don\'t like the AT-AT cockpit access referred to as a \"neck.\" It sounds too -- organic. Anyway, deliver the completed part to these coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '158', 'm32r', 'Is it true? That officer referred to the AT-AT cockpit access as a \"neck\"? You\'re sure? Very well, I shall look into the matter.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '159', 'm32s', 'In regard to our earlier conversation, disregard all uses of the term \"neck\" to mean \"cockpit access.\" I have been authoritatively informed that this term is incorrect.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '160', 'm32t', 'Control System for AT-AT Neck');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '161', 'm33d', 'The Imperial Army is redesigning the AT-ST scout walker to handle more varied terrain. The legs will require new shock absorber systems that feed data directly to the nav-computer. For the prototype system we require you to build a part of the compression sensor assembly. Pick up the components at these coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '162', 'm33p', 'This part will go right above the shin stabilizer on the AT-ST, so build it for durability. Deliver the completed part to these coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '163', 'm33r', 'Not a moment too soon. The current prototypes are falling over at an egregious rate. Quite undignified. I shall have this part installed at once.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '164', 'm33s', 'I am told that the new AT-ST is expected to safely navigate even dense forest. Soon the Empire\'s reach will know no bounds.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '165', 'm33t', 'New AT-ST Walks Smoothly');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '166', 'm34d', 'To sense terrain, an Imperial AT-AT walker uses impulse sensors built into each footpad. The current sensors function in an insufficiently wide range of temperatures. Pick up components at these coordinates and build a part for the replacement prototype. This assignment is, of course, classified.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '167', 'm34p', 'These schematics specify an impulse sensor that can function in extreme cold. As if anyone would fight a battle on some frigid snowball planet!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '168', 'm34r', 'We will install this part in the prototype shortly. Say nothing to anyone about this assignment, do you understand? Nothing.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '169', 'm34s', 'Remember, you are not to say, imply, or indicate to any party the temperature range at which this sensor optimally functions. That is all.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '170', 'm34t', 'Low-Temp AT-AT Footpad Sensor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '171', 'm35d', 'Our stormtroopers frequently pilot speeder bikes for fast transport. These vehicles have forward gyroscopes that occasionally malfunction. Consequences are usually fatal. This office is preparing a new gyroscope for which we require one vital part. Secure the components for this part at these coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '172', 'm35p', 'I saw one of those speeder bikes malfunction once. The pilot started spinning like a rotor blade, zizz-zizz. I think he survived three, possibly four seconds.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '173', 'm35r', 'This is the speeder bike gyroscope part? We will install it in the prototype at once. Testing begins as soon as we draft volunteers.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '174', 'm35s', 'So far the survival rate among stormtrooper test subjects is acceptable. The new speeder bike gyro will be a great success!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '175', 'm35t', 'Speeder Bike Gyro is Vital');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_imperial_easy.stf', '176', 'number_of_entries', '35');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '1', 'm1d', 'Some customer had the gall to complain about the quality of my acceleration compensators. I\'ll have you know they\'re the best in the galaxy! Well, just to be on the safe side, I made some tweaks to the design. I need you to build this part for me so I can hand it to my testing division. Take this schematic to my supplier.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '2', 'm1p', 'I kept telling the \"engineering genius\" that those designs were flawed. We\'ll be lucky to avoid criminal prosecution. Here\'s what the new schematic calls for, friend. Hope this one works. Take the finished part to our lead tester.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '3', 'm1r', 'What? Not another incarnation of the \"ultimate acceleration compensator\"? Okay, my people will get right on it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '4', 'm1s', 'Heard everything looked pretty good, friend. Nice work. You ever consider opening a shop, you just let me know!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '5', 'm1t', 'Build a Better Valve');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '6', 'm2d', 'I certainly could use your help, friend. I\'ve received a schematic for a new MSE-6 droid motivator. I\'ve never seen anything like it. Way too complex for a simple mouse droid, I can tell you that. Anyway, if you think you can put this part together, I\'d compensate you for your time. You need to see my partner for the components.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '7', 'm2p', 'These specs are pretty sophisticated. Mouse droids don\'t have the computing power to take advantage of these bad boys. But it\'s not my project. Here you go.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '8', 'm2r', 'Thanks, friend. I know this must seem kinda strange, but trust me, it\'s for a good cause. Next time you see a mouse droid, don\'t be so quick to dismiss it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '9', 'm2s', 'My customer was quite happy with your work, citizen. You seem to have a knack for this sort of thing. Come see me again some time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '10', 'm2t', 'Build a Better Mouse Droid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '11', 'm3d', 'One of my buyers has had some problems with the TT-8L\'s optical photoreceptors. For some reason certain comlink frequencies create static in the image. An associate redesigned the optics, but I haven\'t assembled all the parts yet. Can you build one? Take this schematic and pick up the components from my supplier.  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '12', 'm3p', 'I keep waiting for Serv-O-Droid to upgrade the Y7 models. I\'m sure it\'ll happen when there\'s enough demand. Here you go. Take it to our disgruntled buyer when you\'re done.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '13', 'm3r', 'I hope this clears up the problem. Nothing is worse than having your hologram scrambled right in the middle of a really interesting encounter. Oh, I\'m into, uh, private surveillance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '14', 'm3s', 'Well done, friend. Apparently you\'ve got the magic touch. You keep this up and you\'ll make a name for yourself.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '15', 'm3t', 'Build a Better Photoreceptor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '16', 'm4d', 'These owners of older-model airspeeders! All those models have defective anti-theft sensors. Either you live with the risk of your vintage vehicle being stolen, or else you get a new airspeeder. Why don\'t they see that? Gaah. Take yet another sensor redesign schematic to my parts supplier and assemble this part. If it doesn\'t work this time, I\'m giving up.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '17', 'm4p', 'Well, they say third time\'s a charm. Or does this make five attempts? Hmm, not sure. Good luck with that.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '18', 'm4r', 'I\'m certain this new design will fix the problem. Plus, I\'m convinced it wasn\'t a fault in the design in the first place. Shoddy workmanship was to blame.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '19', 'm4s', 'With any luck, this will keep this customer off our backs. I\'ve never understood the attraction of restoring junked airspeeders anyway. You did well, friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '20', 'm4t', 'Theft-Proof a Vintage Airspeeder');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '21', 'm5d', 'It may not be the most difficult or prestigious engineering work in the galaxy, but building a sturdy magnetic clamp is still important work. Think you can help me get this latest design together? I need a part assembled for it. My partner just put the finishing touches on some of those components, so everything should be ready to go.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '22', 'm5p', 'I reshaped some of the widgets to be a bit more pleasing to the eye. Maybe that work is wasted on magnetic clamps, but I take pride in my work. I\'m sure you understand.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '23', 'm5r', 'This is for a magnetic clamp, huh? Looks more like a sculpture. Well, as long as it works, I suppose I really don\'t care. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '24', 'm5s', 'We should all take pride in our work, eh, friend? The product\'s delivered and the customer seems happy. I\'ve gladly deposited your fee.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '25', 'm5t', 'Make a Nifty Magnetic Clamp');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '26', 'm6d', 'These new cruiser reactors are generating too much heat. We need to constantly upgrade the coolant pumps to compensate. I wish the corporate engineers who designed these reactors worried about practical issues instead of pleasing Imperial masters. Take this new pump schematic to my supplier and build this part.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '27', 'm6p', 'Those hotshot pilots rarely take the time to appreciate the delicate inner workings of a thermal sink. Most of them just want a big on-off switch. If only it were that easy. Here you go.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '28', 'm6r', 'Nothing vexes a pilot like an overheated engine, friend. I sure hope this new design reduces such incidents. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '29', 'm6s', 'Product was delivered and seems to work. Job well done. Enjoy your pay.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '30', 'm6t', 'Coolant Pumps Are Fun');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '31', 'm7d', 'About time someone decided to take a look at these old radiation funnels. They\'re notorious for spewing out all sorts of noxious gases. This new design should eliminate this problem. We still have some electrocution issues to work out, but progress takes time. If you want to put some components together, pick them up from my partner.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '32', 'm7p', 'Air dissociators are tricky things to put together. The problem was not the size of the funnel but its shape. Hopefully you can solve that. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '33', 'm7r', 'Personally, it never really bothered me that the old radiation funnels were polluting the air. Isn\'t it the Empire\'s job to worry about that sort of thing? Thanks anyway, though.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '34', 'm7s', 'Yeah, I know -- Alzoc pearls before Ugnaughts, right? But at least you built your part well and delivered it on time. Your pay has been deposited. See me again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '35', 'm7t', 'The Beauty of a Radiation Funnel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '36', 'm8d', 'There\'s nothing worse than a leaky power cell. Weight is a limiting factor for any vessel, so you want to make your load as light as possible. If we could redesign these older power cells then pilots could reduce the number they need to stock to insure a safe journey. If you think you can assemble some of the components, take this schematic to my partner for the parts.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '37', 'm8p', 'The problem really only arises in the high-intensity cells. The ordinary ionized cryogenic cells are fine. In any case, good luck.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '38', 'm8r', 'So you\'re sure this will fix the problem, eh? Okay, I\'ll test it out and send reports back in. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '39', 'm8s', 'Great! You got it there. I\'ll just hope for the best and see how that new power cell performs. Good work, by the way.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '40', 'm8t', 'Fix the Leaky Power Cell');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '41', 'm9d', 'Power surge regulators are a crucial component of all ionization blasters. Last thing you want is your blaster overheating and frying your limbs. These regulators need to be upgraded on a regular basis, especially since the new blasters keep upping their power output. Take this regulator redesign and assemble the part I need. See my partner for the components.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '42', 'm9p', 'I\'ve actually seen what happens when one of those babies overloads. Not pretty. Fortunately it happened to a Trandoshan, and he didn\'t seem to mind much. Here you go. When you\'re finished, drop the part off with our tester.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '43', 'm9r', 'Another power surge regulator? I sure hope this one works. I\'m running out of volunteers to test these blasted things. Well, try and try again, I suppose. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '44', 'm9s', 'Sounds like everything is in order. Good work, friend. I\'m sure you\'ve solved all those safety issues with this new redesign.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '45', 'm9t', 'Safety Is Important');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '46', 'm10d', 'One of my clients is headed for Iskallon and wants to commission a custom sonic weapon. This rifle will need a specialized amplification chamber. I\'ve got the specs for it right here, but I don\'t have the time to assemble all the parts. If you think you can lend a hand, I\'d reward your service. Pick up the components from my supplier.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '47', 'm10p', 'Iskallon is a water world, I believe. Makes sense. These sonic weapons are much more effective underwater. Here are the parts. When you\'re finished assembling the part deliver it to the customer. Good luck with it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '48', 'm10r', 'Excellent work, citizen. I think this will aid my mission rather well. Tell the engineer I\'ll deliver a status report when I get back.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '49', 'm10s', 'Sounds like you did a fine job. I\'ve deposited your fee, and I think you\'ll find it quite generous. I hope you look me up in the future if you need work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '50', 'm10t', 'Sonic Weapons Are Loud');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '51', 'm11d', 'A bounty hunter is not happy with the power of current wrist rockets. I don\'t know the target, but I\'ve been asked to design a more effective magnetic accelerator. I\'ve got the design but I need someone to assemble a vital part. Think you can help me out? Get the components from my associate, who specializes in magnetics. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '52', 'm11p', 'The rockets fired by this launcher will be able to penetrate most armor, which I\'m sure was the point. I just hope the power pack doesn\'t burn out. Take the finished part to the bounty hunter when you\'re done. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '53', 'm11r', 'This might make the weapon a little bulky. I\'ll pay you a visit if the weapon does not perform as promised.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '54', 'm11s', 'Got that to our customer, I see. I wouldn\'t give too much credence to any threats that might have been sent your way. That\'s just standard bounty hunter talk. Thanks for your help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '55', 'm11t', 'Build a Deadlier Wrist Rocket');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '56', 'm12d', 'We get quite a few bounty hunter customers -- not surprising given the nature of their work and our discretion policy. One wants a larger stun net. I\'ve redesigned the housing and firing mechanism to handle the larger volume. If you can assemble a part for me, I\'ll pay you. Get the components at these coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '57', 'm12p', 'The thinness of these new canisters worries me. They\'ll be easier to puncture. Drop the part off with the customer, would you? Oh, and don\'t mention my name.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '58', 'm12r', 'Hmm, it does seem heavier. We\'ll see how it performs. These nets better be strong enough to immobilze an enraged gundark, or there\'ll be trouble.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '59', 'm12s', 'I\'m quite pleased with your handiwork, citizen. I hope this wonderful partnership continues. Enjoy your pay.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '60', 'm12t', 'Need a Bigger Stun Net');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '61', 'm13d', 'Moisture farmers certainly seem to enjoy their work. Can\'t say as I\'d find any satisfaction doing that. But I do enjoy redesigning hardware to be more efficient. This time it\'s a humidity sensor. Here\'s the schematic. Could you pick up the components at these coordinates and build the part I need?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '62', 'm13p', 'Make sure the sensor pads are wiped clean before installation. And use the C-sized hydrospanner when assembling it. The larger ones tend to scratch the pads. The eager customer waits for the finished product at these coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '63', 'm13r', 'Thank you so much. This looks great. I can\'t wait to assemble this new sensor. Moisture farming is such a joy, don\'t you agree?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '64', 'm13s', 'Looks like you made one moisture farmer very happy. Good work, friend. I\'ve transmitted your fee. See me again if you want more work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '65', 'm13t', 'Moisture Farming Made Easy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '66', 'm14d', 'A blaster collector has asked me to redesign the power surge dampener for the Defender sporting blaster. Apparently the goal is to make these blasters pack more of a punch. I\'ve got the schematic here, but I need a part assembled. If you could pick up the components and take care of that, I\'d pay you for your time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '67', 'm14p', 'Why would a collector want to change the specs of an older blaster? Doesn\'t that defeat the purpose of collecting? Anyway, here are the parts. Drop the part off at these coordinates when you\'re done. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '68', 'm14r', 'These look good, citizen. I\'ll start assembling the new dampener right away. I\'ll let our engineer know you do good work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '69', 'm14s', 'Everything went smoothly, friend. Our blaster mechanic was impressed by you. Feel free to see me for more assignments.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '70', 'm14t', 'Upgrade the Sporting Blaster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '71', 'm15d', 'I\'ve been asked to modify the power pack of an old beam tube. Now as you know, these things are not exactly legal, so this work needs to be kept confidential. If you\'d like to help, take this schematic and assemble the indicated part. Pick up the components from these coordinates. And remember, this is hush-hush.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '72', 'm15p', 'Here you go, friend. I hope your boss knows the score if word of this gets out. When you\'re done, take the finished piece to these coordinates. Best of luck. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '73', 'm15r', 'I was starting to wonder if that sly engineer had had a change of heart. I suppose not. I\'ll take it from here, thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '74', 'm15s', 'Good work, friend. Everything went off without a hitch, and no authorities seemed the wiser. I\'d work with you again. Your pay\'s been desposited.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '75', 'm15t', 'Questionable Technology');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '76', 'm16d', 'How do you feel about disruptors, friend? I just had a bounty hunter request some modifications to his Tenloss DXR-6. I\'ve agreed to do the redesign but I need some help getting a particular part. Think you can build it? You can get the components from my business associate. Take the schematic with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '77', 'm16p', 'Bounty hunters do seem to love their disruptors. Here are the parts. When you\'ve assembled the components, take the finished product to our weapon specialist.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '78', 'm16r', 'I\'ve seen the redesign, citizen. Do you have any idea what the destructive capability of this weapon will be when it\'s assembled? I hope this bounty hunter never comes after me.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '79', 'm16s', 'Handled like a true professional, citizen. I\'ve transmitted your pay and would gladly work with you again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '80', 'm16t', 'One Mean Disruptor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '81', 'm17d', 'A Corporate Sector Authority security representative has asked me to increase the firepower of their Golan Arms flechette launchers. I\'ve made some modifications to the launch activators that I think should do the trick. However, I need a part for the final product. If you can do that for me, pick up the components at these coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '82', 'm17p', 'I think these weapons are powerful enough as they are. But I don\'t get paid for my opinions, just my craftsmanship. Here are the components. Take the finished part to our specialist.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '83', 'm17r', 'This new design will easily penetrate stormtrooper armor plate. I wonder if the Empire knows the CSA is asking for these changes? Oh well. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '84', 'm17s', 'It\'s important in our business to maintain confidentiality. I\'m sure you understand. Good work. Your pay has been deposited.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '85', 'm17t', 'Keep This Confidential');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '86', 'm18d', 'A client wants a thermal detonator with a dummy timer that sets to three seconds regardless of what the user tries to do. Yes, I know this sounds like a booby-trap, but I do what I\'m paid to do. I need someone to assemble a part, and that\'s where you come in. If you wish to help, pick up the components at these coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '87', 'm18p', 'Doesn\'t sound like the client intends to use this thing himself, eh? Here are the components. I\'d take extra care with assembling them, if I were you. Take the finished part to our demolitions expert.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '88', 'm18r', 'A three-second dummy timer, huh? I feel sorry for the being that tries to use this weapon. Okay, I\'ll take it from here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '89', 'm18s', 'Thanks for your help, friend. I see you understand how important it is in our business to get rid of moral judgments. Come see me for more work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '90', 'm18t', 'A Very Short Fuse');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '91', 'm19d', 'When you work in my field for as long as I have, you learn not to ask questions. I\'ve made some modifications to an Evasive-13 individual field disruptor. I need a part assembled for the finished product but don\'t have time to attend to it myself. Think you can lend a hand? Get the components at these coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '92', 'm19p', 'Hmm, aren\'t these devices used to slip past energy fences? Well, none of my business, I\'m sure. Here are the components. Take the part to our assembly facility when you\'re done.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '93', 'm19r', 'Ah yes, the field disruptor. We\'ll get right on it. This is good work, friend. Where did you get your training?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '94', 'm19s', 'Our client will be quite pleased. I appreciate your level of professionalism and skill. We should work together again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '95', 'm19t', 'A New Field Disruptor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '96', 'm20d', 'Some clients want to up the yield of these new proton torpedoes, so they\'ve asked me to redesign the energy envelope projector. As you know, there are lots of specialized parts for these things. Could you help me get one together? Here\'s the schematic detailing what I need. Pick up the components at these coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '97', 'm20p', 'Here you go. I understand this design is going to some \"very important beings,\" so I\'d be extra careful if I were you. When you\'re done, take it to our assembly manager. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '98', 'm20r', 'This looks quite acceptable. We\'ll get right on it. A good proton torpedo can be a pilot\'s best friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '99', 'm20s', 'Mission accomplished, citizen. My clients will undoubtedly be satisfied. Look me up again for more work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '100', 'm20t', 'Build a Better Proton Torpedo');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '101', 'm21d', 'Space mines need to be more deadly, apparently. My clients want a redesign of the proximity sensors to increase their range and sensitivity. I need one part to complete the prototype. Take this schematic and pick up the components from my supplier. Look at this as your contribution to interstellar travel security.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '102', 'm21p', 'Space mines are a nuisance, but hey, who am I to judge? I just order and ship components. Take the finished part to the engineer\'s assembly chief.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '103', 'm21r', 'I hope this redesign doesn\'t make the mines too sensitive or else we might create more problems than we solve. Thanks for your help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '104', 'm21s', 'Excellent work, friend. The space lanes will be much safer thanks to our efforts. At least I hope they are. Your fee\'s been deposited.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '105', 'm21t', 'Make Space Mines More Sensitive');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '106', 'm22d', 'As sensor arrays get more sophisticated, we\'re called on to redesign sensor jammers to match those advances. I need one part assembled for my newest jammer design. The components can be picked up from my supplier at these coordinates. Think you can help me out?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '107', 'm22p', 'The problem is probably in the jamming projector. You know that, right? Here are your components. Take the finished part to these coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '108', 'm22r', 'People rarely appreciate the hard work we sensor technicians do. But I\'m sure you understand that better than most. I\'ll assemble this jammer as soon as possible.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '109', 'm22s', 'All\'s well that ends well, eh, citizen? A pleasure working with you. Your fee\'s been deposited.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '110', 'm22t', 'Need a Better Sensor Jammer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '111', 'm23d', 'I got an order in for a redesign of a sensor beacon\'s motion sensor assembly. Not the most glamorous work but it does pay the bills. I need one more part to finish building the prototype. Could you assemble it for me? You can pick up everything you need at these coordinates. Here\'s the schematic.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '112', 'm23p', 'I think the sensor beacons we have now are just fine. Why is someone always trying to fix something that ain\'t broke? Here are the components. Take your work over to these coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '113', 'm23r', 'Good craftsmanship on these components, friend. Do you do this professionally? I\'ll get right on that sensor assembly.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '114', 'm23s', 'Well handled, citizen. I enjoy working with professionals such as yourself. Feel free to see me for more work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '115', 'm23t', 'Now That\'s a Sensor Beacon!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '116', 'm24d', 'There\'s a call for increased security measures when sending subspace messages. I\'ve been asked to redesign the encryption modules for subspace transceivers. One vital part must be assembled in order to test the prototype. If you wish to put it together, head to these coordinates for the components. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '117', 'm24p', 'Here you go. Make sure your tools are clean before you assemble these, or that may interfere with the prototype\'s performance. Take the finished part to our testing facility.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '118', 'm24r', 'We\'ll finish assembling the prototype and start the testing procedure. Thanks for your help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '119', 'm24s', 'Nice work, friend. Now I just have to wait and hear whether the prototype performs to spec. A pleasure working with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '120', 'm24t', 'A Listen-Proof Subspace Transceiver');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '121', 'm25d', 'It may be questionable work, but a client wants me to modify an electronic lock breaker\'s key-code replicator jack. The money is good, so I\'ve agreed to do it. I need a part for the final design. If you\'re interested, take this schematic and pick up the components from my supplier. I\'ll make sure you\'re well paid.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '122', 'm25p', 'Here you go. Don\'t want to know what these are being used for. Take the whatever-it-is you assemble to these coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '123', 'm25r', 'This is gonna be one heck of a lock-breaker, I can tell you! I bet a top-notch data slicer asked for this redesign. I\'ll get it built lickety-split.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '124', 'm25s', 'My tester gave you way more information than was prudent or necessary. I think I\'ll have to get a new lead assembly tester. Your fee\'s been deposited.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '125', 'm25t', 'A Gadget For Better Access');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '126', 'm26d', 'The humidity on this world -- not even the whole world, just one particular farmer\'s land -- anyway, there\'s something in that air that doesn\'t love this fellow\'s vaporators. They all break down. I\'ve designed an improved ion dampener that may solve the problem. Can you build this part for it? Pick up the components from my supplier.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '127', 'm26p', 'I had to search the sector for the right minerals you\'ll need to make this. That blasted ion dampener is a weird design, completely out there in terms of dampener philosophy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '128', 'm26r', 'Thanks, I\'ll install this part in the dampener. I sure do hope this solves the vaporator problem on my land. In cold weather they tend to explode.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '129', 'm26s', 'Excellent crafting job, friend. With luck my piece may open a new era in the realm of dampener design.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '130', 'm26t', 'Something Doesn\'t Love Vaporators');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '131', 'm27d', 'Not many starships put stress on their ion turbines like those Corellian Corvettes. I know, I know -- you\'ll say that nowadays those Corvettes are just smuggling vessels and blockade runners. I don\'t get into politics. Please just make this part for a new ion pre-cycle impeller control. Pick up the goods you need from my supplier.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '132', 'm27p', 'This material has been specially hardened using a new process just developed on Coruscant. It\'s tough stuff, but very pricey.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '133', 'm27r', 'I expect the completed impeller to bump up performance by upwards of three-point-seven percent. If you can run hotter, you can run faster. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '134', 'm27s', 'I don\'t expect my customer had any illegal intent in asking for an impeller control. At least, I hope not. But that\'s not really our business, you know?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '135', 'm27t', 'Don\'t Question Your Customers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '136', 'm28d', 'High-performance starships need high-pressure fuel cells. These cells require a robust yet exquisitely sensitive regulator. A true aficionado of good design has commissioned me to prepare a schematic. I offer a skilled craftsbeing the chance to produce an excellent part for this remarkable custom piece.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '137', 'm28p', 'This is a magnificent selection of materials: sturdy, yet malleable; finely adjusted, yet authoritative. I envy you the chance to work with these components!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '138', 'm28r', 'Ah, a splendid piece, composed with diligence and a rarefied attention to detail. The aroma of quality positively wafts from this regulator part!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '139', 'm28s', 'If I do say so myself, my design is exceptional -- at once functional and elegantly compelling. Thank you, thank you for your part in bringing this effort to fruition.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '140', 'm28t', 'A Truly Fine Fuel Cell Regulator');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '141', 'm29d', 'After twenty years of practical starship engineering experience, I\'m reduced to this. Some rich flyboy needs a new motor to rotate the exhaust panels on his Corellian Corvette to maximize their heat discharge. Well, I\'ve risen to this tremendous challenge and prepared the schematic. Can you pick up the components and build a part I need?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '142', 'm29p', 'What supplier doesn\'t dream of being part of an effort to build a heat exhaust panel rotator? Be still, my heart. Sorry, I\'m just funning you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '143', 'm29r', 'What\'s this thing? What? Part of an exhaust panel rotator? Okay, if you say so. I\'ll forward it to my boss.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '144', 'm29s', 'Now I\'ve been given an assignment to design some even more trivial and gratuitious gimcrack. Where did my life go wrong?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '145', 'm29t', 'Culmination of a Career');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '146', 'm30d', 'If the fuel in a starship\'s maneuvering jet is insufficiently concentrated, the jet sputters -- the ship falters -- wham, you\'ve hit the asteroid! It falls to you and me to ensure that fuel is concentrated correctly. I have the design, and I\'ve lined up a supplier for the components. The task of crafting a vital part of this concentrator is on your shoulders.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '147', 'm30p', 'I\'ve worked day and night to get these materials. They\'re the very best I could find. It\'s all up to you now!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '148', 'm30r', 'Is this your piece of the concentrator? Is it up to the task? Tell the truth: If it\'s going to fall short, I need to know. Tell me! All right, I\'ll take it from here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '149', 'm30s', 'It keeps me awake at night, that \"wham!\" as my customer hits the asteroid. This job is too stressful. I need to find a less momentous line of work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '150', 'm30t', 'Can You Stand the Pressure?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '151', 'm31d', 'This regulator controls the rotation bearings on starship sensor arrays. No, it doesn\'t regulate the rotation, it regulates the bearings that control the rotation. No, look, it\'s simple: Without this regulator, the bearings would allow the array to spin out of control. No, you don\'t understand, it\'s -- look, can you just pick up some components and build the part I need?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '152', 'm31p', 'Now, wait, these things don\'t look like sensors. What? Bearing regulators? These aren\'t bearings either. I don\'t get it. Bearing rotation regulator, you say? Oh well, if you say so. Here, take the stuff.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '153', 'm31r', 'Oookay, let\'s see if I understand -- the completed piece, of which this is a part, controls the bearings that control the rotation of the starship sensor array, is that it? Why do you need to control bearings again? Oh well, never mind, I\'ll have it installed soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '154', 'm31s', 'This isn\'t that hard a concept! \"Put machine on ship, or you can\'t see!\" Maybe I need to install a protocol droid brain on each regulator, so it can explain itself.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '155', 'm31t', 'What Am I Building Again?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '156', 'm32d', 'Excuse me, have you been approached by a designer about building --? No, never mind. No, forget it. Here, I have this design for a -- let\'s see -- an ion drive turbine regulator, and I\'d like you to build a part for it. You haven\'t seen this schematic before, right? Never mind, just curious. Oh, pick up the components from, uh -- this supplier here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '157', 'm32p', 'Funny, didn\'t I just give over these same materials for a turbine regulator component? That\'s odd, I could have sworn -- no, must be imagining it. Here you go.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '158', 'm32r', 'This is for a turbine regulator? But I just got one. Do I need two? Is something wrong with the first one? I\'m confused. I\'ll pay you and straighten it out with the designer.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '159', 'm32s', 'Thanks. I just got paid too. If you hear any slanderous accusations that I stole that schematic, I assure you they\'re completely false.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '160', 'm32t', 'Yet Another Ion Drive Turbine Regulator');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '161', 'm33d', 'Hhuk! Hk-hkaakhhk-k-k! Excuse me. I\'ve inhaled vapors from liquid metal fuel. I\'ve been testing my new design for an atomization regulator. But my medical droid tells me to avoid further exposure. So I\'d like you to get the components I ordered and put together an important part. I\'ll pay you, if I\'m not in the bacta tanks when you\'re done.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '162', 'm33p', 'Here are the materials the designer requested. I hope you\'re not actually going to work with the fuel itself. That stuff\'s as toxic as a dead mynock.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '163', 'm33r', 'Kaff! Hk-kaff! Okay -- ahukk-k-k! -- just leave it there. K-kehhk! I -- I\'ll get it installed right away! Now clear out!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '164', 'm33s', 'I hope you executed this project without adverse consequences. The lesson is, never underestimate the importance of good safety equipment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '165', 'm33t', 'Fuel Atomization is Dangerous Work');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '166', 'm34d', 'The Corporate Sector Authority just opened a new mine on a desert planet in the Mid Rim. They\'ve shipped in reconditioned sandcrawlers left over from the mining rush on Tatooine. Their tread units are breaking down from sand buildup. I\'ve designed a new electrostatic repeller. I\'d like you to pick up some components and build a part for it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '167', 'm34p', 'I heard about the Tatooine mining rush. Turns out the metal they mined wasn\'t much good. Turns magnetic unpredictably, and we all know how bad that can be.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '168', 'm34r', 'Thanks. These sandcrawlers have the most bizarre modifications. No standard repeller will fit the modified treads. I\'ll get this part installed in the prototype right away.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '169', 'm34s', 'It\'s hard to imagine what the previous owners put those sandcrawlers through in all the centuries since the mining rush. Oh well, it ended up giving us some work!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '170', 'm34t', 'Sandcrawler Tread Electrostatic Repeller');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '171', 'm35d', 'My friend was heading into this system when pirates attacked. He tried to escape in his escape pod -- the bolt wouldn\'t blow! He was stuck! He\'s furious. He commissioned me to design a foolproof custom bolt controller. I need one custom part; here\'s a schematic. Get the components and deliver the part to my friend\'s agent.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '172', 'm35p', 'You know what\'s worse than an escape pod bolt that won\'t blow? One that blows way too soon! Haha, old joke. Well, I think it\'s funny. Here\'s your materials.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '173', 'm35r', 'I\'ll have this piece installed in the new controller. The client is quite intent on getting it installed before he lifts off.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '174', 'm35s', 'Did my supplier try to tell you some \"joke\" about escape pods? I never got that joke at all. Some of these suppliers live in a galaxy of their own.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '175', 'm35t', 'Escape Pod Explosive Bolt Controller');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '176', 'm36d', 'A friend of mine is a big dejarik player, but he runs long space missions alone, without opponents. He wants to integrate a droid brain into his dejarik board. That should provide a good contest. He\'s building a board-brain interface. Here\'s the schematic for an important part. Can you pick up the components and build it?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '177', 'm36p', 'So you connect the board to the droid brain. Fine. My question is, who programs the droid to play good dejarik? You\'ve already got the coordinates for the delivery to the customer\'s agent, right? Good.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '178', 'm36r', 'Project\'s off, I\'m afraid. The droid brain gloats excessively when it wins, which is always. Very annoying -- just like the master dejarik player who programmed it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '179', 'm36s', 'Sorry to put you to that work for nothing. I\'m paying you anyway for your effort. Anything involving droid brains can become potentially tricky.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '180', 'm36t', 'Dejarik Playing Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '181', 'm37d', 'My customer is involved in the starship racing scene. He placed at the back of the pack this year at Ord Mantell, so for next year he\'s customizing every piece of his ship. Money is no object, he says -- music to a designer\'s ears! I have a schematic. I\'d like you to pick up the components, make the part, and drop it off to the client\'s agent.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '182', 'm37p', 'Some of this stuff was hard to find, but when the money is flowing like water, I can make things happen. This is the most lucrative contract I\'ve ever had!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '183', 'm37r', 'I\'ll take this part to my client at once. He\'s paid me well -- very well -- to get all equipment to him quickly. Thank you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '184', 'm37s', 'You\'re not satisfied with your payment? Sorry. Turns out the customer went bankrupt shortly after I gave you the assignment. I\'m paying you out of my own pocket. Better luck next time!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '185', 'm37t', 'Big-Money Assignment');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '186', 'm38d', 'S-threads are HoloNet signals transmitted through hyperspace. A homing beacon sends coded locator signals across the HoloNet whenever the beacon crosses an S-thread. This schematic describes a part for a controller that amplifies the beacon\'s sensitivity a hundredfold. Get the materials and make it for me, and together we\'ll sell it to the Imperial Navy for a fortune!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '187', 'm38p', 'People asked an awful lot of questions when I was putting together these materials. I got the impression that the Empire doesn\'t like a lot of interest in S-threads. Your call, of course.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '188', 'm38r', 'You are the manufacturer of this controller part? I\'ll take that. The individual who was to receive this device is now in custody. Tell no one about this technology, or your life will take a sudden brief turn for the worse.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '189', 'm38s', 'Greetings. I am protocol specialist RT-3P0. My owner commissioned you to develop a part for the S-thread sensor controller. I regret to report that my owner is now in Imperial custody. I\'m sure it\'s only temporary. I am authorized to release your payment, with my owner\'s fervent request that you never mention this matter again to anyone at any time hereafter, forevermore. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '190', 'm38t', 'Improve Your Homing Beacon');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '191', 'm39d', 'Please help me! I\'m in trouble with a Hutt gang. They want a new thrust monitor for the repulsorlift on one of their vehicles. It\'s a huge luxury vehicle called a sail barge. I\'ve spent two sleepless days finishing the schematic and lining up a supplier. You must get the materials and put together a vital part of this monitor! Please hurry!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '192', 'm39p', 'No, please, I beg of you -- uh, I mean -- wait, you\'re not with the Hutts, are you? The crafter! Wonderful! Please take these materials and make the piece. Hurry! Please!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '193', 'm39r', 'At last! Where have you been? Do you know what kind of threats they\'ve been -- well, never mind. I have to hurry!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '194', 'm39s', 'All right. I believe Lord Jabba is satisfied, for the moment. I also believe it\'s time for me to look into other lines of work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '195', 'm39t', 'Sail Barge Thrust Monitor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '196', 'm40d', 'Life support transponders on your typical starship are no good for low-temperature species. Some ammonia-breather from the Outer Rim is laid up here with equipment failure, and -- he? It? I couldn\'t tell -- needs a new transponder. This is the design for one crucial part. I\'ve lined up the supplies you need. Will you make it for me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '197', 'm40p', 'I never got a look at this ammonia-breathing alien. Apparently it never leaves its ship. Talks to everyone by comlink. Maybe that\'s just as well, huh? Must be an ugly thing.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '198', 'm40r', 'This is the piece for the transponder? All right, I\'ll install it and take the device to the ship airlock. Sorry, I have no idea how the creature intends to pay you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '199', 'm40s', 'The ammonia-breather sent me some kind of odd jewels, which I\'ve sold on the commodities market. I\'m paying you good Imperial credits from my profits. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '200', 'm40t', 'Life Support System Transponder');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '201', 'm41d', 'A customer who owns a vintage SoroSuub cloud car has been having trouble with sudden gains in altitude. I spotted this at once as a problematic altimator. You can\'t get standard parts for those old models any more, so I\'ve designed a new schematic. Can you get the components and build this particular part to my order, please?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '202', 'm41p', 'Here\'s what you want for that altimator piece. These owners of vintage cloud cars need to understand the importance of proper maintenance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '203', 'm41r', 'Great! I can hardly wait to get flying again. And this time I won\'t have to worry about accidentally leaving the atmosphere.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '204', 'm41s', 'Thanks. I appreciate vintage vehicles as much as anyone, but if your car is threatening to leave the planet, something is wrong, right?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '205', 'm41t', 'Cloud Car Leaving Atmosphere = Bad!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '206', 'm42d', 'My grandmother is still spry after all these years. No, \"spry\" isn\'t the word -- try \"crazy.\" She\'s planning a solo jaunt across the Outer Rim in her old starship. But Grandma finds it hard to read sensors nowadays, so I\'ve designed a better interference filter. Can you pick up the materials I ordered and build this important part for it?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '207', 'm42p', 'I\'ve heard about this jaunting grandma. I hope the old fuselage is up to that kind of bombardment. Here. Take the completed part to my delivery agent.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '208', 'm42r', 'Is this for the old grandma? Okay, I\'ll ship it off right away. She\'s probably raring to get out into the spacelanes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '209', 'm42s', 'I tried to politely suggest to Grandma that she take a companion on her trip. She just about bit my head off. I have to admit, I like her spirit.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '210', 'm42t', 'Grandma Hitting Spacelanes');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '211', 'm43d', 'I don\'t know who sent me this design commission, or what device it goes into. The device induces very small current changes in delicate electrical systems. Can you get the components from my agent and put together the last part I need?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '212', 'm43p', 'Whoever wanted me to get these components for you has been very secretive. I wonder what the device is for?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '213', 'm43r', 'Is this for the gadget my mysterious correspondent has been waiting for? Ugh, it looks like the current controller on a nerve disruptor. But that\'s silly. I\'m sure it couldn\'t be a torture device!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '214', 'm43s', 'Did you deliver the part safely? I still haven\'t learned what the device is for. I hope the anonymous customer can put it to good use.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '215', 'm43t', 'Mysterious Microcurrent Inducer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '216', 'm44d', 'I never knew this. Lamproids don\'t buy medical cocoons, at least not off the shelf. A Lamproid I know has been trying to get one custom-made, and I have plans here for an endocrine regulator. Can you make the particular part I need from my supplier\'s materials?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '217', 'm44p', 'I guess there aren\'t enough Lamproids in this sector to offer a lucrative market for the cocoon makers. Or else the Lamproids that are here aren\'t very rich.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '218', 'm44r', 'Does this go in the endocrine regulator? Excellent. I\'ll pass it along to my Lamproid friend. She\'d take the delivery herself, but she doesn\'t have arms, you know.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '219', 'm44s', 'The medical cocoon is shaping up nicely. Kind of a snaky shape, actually. I appreciate your help, and so does the Lamproid!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '220', 'm44t', 'Lamproids Need Endocrine Regulators Too');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '221', 'm45d', 'My latest customer was sailing along in a vintage SoroSuub cloud car, ran into heavy turbulence, and almost crashed. Turns out the car\'s freeze-floating control dates back to the Republic. I\'ve adapted current designs to fit that old classic, and I need you to pick up some components and put together a particular part.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '222', 'm45p', 'Here are the materials you need for that freeze-float part. Those old cloud cars still hold up real well, but you have to keep up with scheduled maintenance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '223', 'm45r', 'Great! I can hardly wait to get flying again. And this time I won\'t have to worry about downdrafts.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '224', 'm45s', 'Thank you. Not many good crafters will spend time on vintage equipment. New, new, new, that\'s the usual attitude.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '225', 'm45t', 'Cloud Car Falling = Bad');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '226', 'm46d', 'Don\'t ask me why, but some mysterious customer has asked me to produce a locator for GNK-series power droids. I threw together this schematic, and I\'ve lined up a components supplier. Can you put together the last part I need and deliver it?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '227', 'm46p', 'Who needs a locator for gonk droids? Like you can\'t just see them lumbering around! Weird.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '228', 'm46r', 'Thanks. No, I\'m not trying to locate power droids myself. I got this pickup assignment from an anonymous party over the HoloNet. All very hands-off. I\'m going to get delivery instructions soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '229', 'm46s', 'Did you mention that the locator plugs into any standard datapad readout? Oh well, I\'m sure whoever-it-is will figure it out. There\'s some weird customers out there.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '230', 'm46t', 'GNK Power Droid Locator');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '231', 'm47d', 'I\'m excited! A wealthy Moff in the Mid Rim is restoring a vintage Old Republic star yacht as his personal luxury craft. It needs a new custom reactant flow controller. I was up all last night designing it. Feverish! But I need one part custom-made. Can you pick up the components and build it?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '232', 'm47p', 'Here you go. Those Moffs always want high-quality work, so good luck. Take the completed part to our shipping agent.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '233', 'm47r', 'Does this go in the reactant flow controller? I haven\'t seen one of those in -- well, ever. Looks like a museum piece. I\'ll forward it to the Moff at once.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '234', 'm47s', 'Thanks! The Moff told me he might swing by this world in his new yacht and give me a joyride. I\'m still flustered!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '235', 'm47t', 'Help Restore Moff\'s Luxury Yacht');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '236', 'm48d', 'A certain anonymous pilot has crash-landed on this world and wants to make repairs without undue attention. This individual\'s customized Corellian Engineering YT-1300 stock freighter needs a new hyperdrive coolant regulator of unusual design. Here are the plans. Pick up the parts and build the indicated part for the regulator. Tell no one!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '237', 'm48p', 'Did you see any suspicious characters following you? Well, here are the materials. Work quickly. Tell no one!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '238', 'm48r', 'This will do. Were you followed? Excuse me, I must go.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '239', 'm48s', 'Thank you. If anyone mentions the name \"Tenloss Syndicate,\" you never heard of it. Remember, spies are everywhere.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '240', 'm48t', 'Anonymous Corellian Stock Freighter');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '241', 'm49d', 'A government official is making a diplomatic visit to a world in Wild Space. Apparently the natives use some means of vocalization that his protocol droid can\'t duplicate. He needs a new custom-designed droid vocabulator. Here\'s the schematic for the last remaining piece. Can you pick up the materials and build it?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '242', 'm49p', 'I saw that design. Seems to vocalize in the high ultrasonic. Here are the components you need.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '243', 'm49r', 'I\'ll install this and deliver the vocabulator to the diplomat\'s droid. Hope it won\'t put up too much fuss over the installation. I guess we can just shut it down first.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '244', 'm49s', 'The official is also ordering special earphones that hear ultrasonic sounds. This will be some trip!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '245', 'm49t', 'Protocol Droid Vocabulator');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '246', 'm50d', 'An official from this world is visiting Wild Space on a diplomatic mission. The natives he\'s meeting with vocalize in the high ultrasonic range. He needs a special transponder and earphone to hear them. Can you make an important piece for the transponder from this design? Pick up the materials from my supplier.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '247', 'm50p', 'This is the stuff you\'ll need. After you rig up the transponder, deliver it to the coordinates you\'ve been given.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '248', 'm50r', 'Here, let me install your piece and try out this transponder -- wow! Who knew all this ultrasonic noise was going on all around us? Okay, thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '249', 'm50s', 'That diplomat also has to get his protocol droid refitted. Quite a trip he\'s planning.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '250', 'm50t', 'Ultrasonic Speech Transponder');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_neutral_easy.stf', '251', 'number_of_entries', '50');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '1', 'm1d', 'Alliance researchers are working on a design for a new kind of fighter called an A-wing. Although it\'s a long way off from actual production, we\'d like you to make a specific part we need to run some stress tests. When you have a little free time, go and get the components you need at this location.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '2', 'm1p', 'Sorry you had to come all this way to get these. I\'ve been running all over the place lately. When you\'re finished, bring the part to these coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '3', 'm1r', 'You finished the part already? I guess we can start testing a little earlier than planned.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '4', 'm1s', 'We really appreciate your zeal in producing this item. It\'s enthusiasm like your that will make the Alliance successful.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '5', 'm1t', 'Designing for the Future');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '6', 'm2d', 'A certain well-respected, tall, furry member of the Alliance needs a part made so he can repair his bowcaster. The components needed to craft the part have already been purchased and can be picked up at these coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '7', 'm2p', 'I don\'t get many requests for bowcaster repair, so I don\'t keep the part in stock. Here\'s what you need to make it, though. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '8', 'm2r', 'This the bowcaster part? Great! I\'ll see that it gets where it\'s going.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '9', 'm2s', 'The bowcaster is working smoothly, thanks to you. I don\'t know why he doesn\'t get a blaster, but to each his own, I guess.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '10', 'm2t', 'An Uncommon Weapon Needs Repairs');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '11', 'm3d', 'Do you know anything about droid parts? Great. We need you to make a part for an R2 unit that has a defective recharge coupling. The pilot who uses the droid is waiting for the part, so grab what you need. As soon as you\'re finished, drop it off at the specified location.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '12', 'm3p', 'There are a lot of droids that need replacement parts right now, but fortunately I have the components you need. Here you go.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '13', 'm3r', 'You made my part? Thanks a million, chum. The sooner one of the techs installs it, the sooner I can get off this dirtball. No offense.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '14', 'm3s', 'Thanks for getting that part done so quickly. The pilot was really eager to rejoin the squadron.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '15', 'm3t', 'Help a Pilot Get Airborne');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '16', 'm4d', 'One of our covert operatives needs a replacement part for a holographic image disguiser. Please fashion this part as soon as you can, so the operative can return to duty. We\'d appreciate it if you move fast on this.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '17', 'm4p', 'I had a heck of a time getting these components on such short notice. Don\'t expect me to do this every time. Bring the package to this location once you\'ve finished.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '18', 'm4r', 'Just in time, friend. I\'d better get back to work. I\'ll see you around, though you may not recognize me.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '19', 'm4s', 'Thanks to your speed in this matter, our operative was able to make it to a rendezvous at the Emperor\'s private retreat. Thanks for your good work!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '20', 'm4t', 'Keeping In Character');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '21', 'm5d', 'The Alliance has made some improvements to the long-range sensor array of the X-wing fighter. Here\'s the schematic for the new part. You can pick up the components you need at this location. A ship in one of the hangers that needs the upgrade; you\'ll be told where to go.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '22', 'm5p', 'These have to be components for some kind of sensor, am I right? I thought so. I had big trouble getting these, believe me. The part gets delivered to these coordinates. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '23', 'm5r', 'Thanks. With all these upgrades they keep making, I doubt there\'s much of the original ship left.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '24', 'm5s', 'Excellent work on the part for the sensor array. We\'re really glad to have you with us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '25', 'm5t', 'Keep Upgrading Until They Rename It');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '26', 'm6d', 'We\'ve got a lot of work for you if you\'re looking. We replaced some parts in the realspace compensator of a hyperdrive system only to discover that one part was faulty. We were lucky the ship wasn\'t destroyed when it came out of hyperspace. Can you rebuild the part so it functions properly?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '27', 'm6p', 'Here are the components salvaged from the old part. See if you can get them back together, and bring them to the engineer over in this area when you have a working part.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '28', 'm6r', 'This is it? It looks a lot like the last one -- oh wait, I see what you did here. That should make all the difference. Thanks friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '29', 'm6s', 'They did a test run with a droid pilot. The ship reverts from hyperspace with no problems now. Well done!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '30', 'm6t', 'Slowing Down is Important Too');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '31', 'm7d', 'A Mon Calamari light cruiser is in orbit for repairs after a skirmish with Imperials. They have requested some unusual parts that will have to be custom made. Go to our quartermaster and pick up the components for the part in this schematic. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '32', 'm7p', 'There\'s nothing like a custom job to keep you on your toes, is there? The components you need are right here. I hope you know what they\'re for.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '33', 'm7r', 'I hope you didn\'t have too much trouble with this part. I\'ll take it off your hands and get it up to the ship with the others.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '34', 'm7s', 'Thanks for your hard work helping the Mon Calamari! Their ship left the system better than new.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '35', 'm7t', 'Parts for a Light Cruiser');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '36', 'm8d', 'Imperial spies are everywhere. We just lost a remote outpost because some observer called in a battalion of stormtroopers. We\'re trying to repair a captured Imperial signal beacon; its signal means, basically, \"Long live the Empire, don\'t attack us.\" Can you pick up the components and craft the part we need?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '37', 'm8p', 'Components to repair an Imperial beacon? There\'s something new every day in this job.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '38', 'm8r', 'Good work. With this part I should have the beacon up and running in no time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '39', 'm8s', 'Thanks, but it seems the Imperial signal beacon also translates as, \"Here we are, beloved Emperor!\" We had to junk the beacon, very suddenly. Sorry about that.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '40', 'm8t', 'Repair an Imperial Signal Beacon');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '41', 'm9d', 'We\'re waiting on some components to make a part for an old Corellian corvette. Would you go to this location to see if the smuggler has arrived with the components yet? He was well paid in advance, so don\'t let him try and fool you. Once you\'ve made the part, bring it to our engineer for installation.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '42', 'm9p', 'I have what you need, but do you have my creds? What?! I was never paid in advance! Okay, don\'t get excited -- let me check my datapad. Oh, I guess the payment has gone through. Here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '43', 'm9r', 'That smuggler tries that same trick every time. I wonder if it ever worked? I\'ll get this part installed immediately.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '44', 'm9s', 'We\'re very impressed with your work. Let us know if you need any more jobs.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '45', 'm9t', 'Working the Angles');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '46', 'm10d', 'Have you got the time to slap a part together for me? We were making parts for fusion disks. Once we started assembling them, we discovered there was one item missing. Go and grab the components you need for the part. Bring it to these coordinates when you\'ve finished so we can ship them all off.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '47', 'm10p', 'These last few components were somehow left out of the big order. Very sorry about that.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '48', 'm10r', 'Glad this part is here. Now we can get the rest of this order to wherever it\'s going.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '49', 'm10s', 'I\'m grateful you were able to help out. I would have been very embarrassed if I\'d shipped an unfinished order.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '50', 'm10t', 'The Missing Piece');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '51', 'm11d', 'The Alliance needs parts for a large ion cannon. They tell me it\'s a really, really big ion cannon. We\'re swamped, can you help out by building one of these parts for us? We\'d appreciate it. Head over to the officer in charge of supplies and get what you need.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '52', 'm11p', 'At the rate you lot are asking for these components, you\'ll have me cleaned out soon. The finished parts are all going to these coordinates. I hope there\'s room left.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '53', 'm11r', 'Another one? I hope there aren\'t too many more of these parts on the way. Storage is bursting at the seams.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '54', 'm11s', 'You have our extreme gratitude. People who care are the most valuable resource in the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '55', 'm11t', 'Build Parts for Something Big');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '56', 'm12d', 'The Alliance is trying to infiltrate bugged mouse droids into the offices of COMPNOR. A miniaturized jamming device will keep our droids from alerting Imperial sniffers. Will you make this part for the device? Pick up the components you need at this location.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '57', 'm12p', 'Working in miniature, I see. You tech people are always doing something new. I wish I\'d get to see the finished product for once. What? A mouse droid? Oh, everybody\'s seen those.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '58', 'm12r', 'This mouse droid prototype is starting to get kind of expensive. I\'m not sure whether this idea is practical.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '59', 'm12s', 'The prototype mouse driod has been inserted successfully. Your work was flawless. We greatly appreciate it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '60', 'm12t', 'Build a Bugged Mouse Droid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '61', 'm13d', 'The Alliance has purchased the plans for a new Imperial encryption module for a subspace transceiver. Once it\'s assembled, we\'ll be to keep up with Imperial transmissions, at least until they revise the module. Please assemble this part of the device from this schematic. Components are available at these coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '62', 'm13p', 'I tell you, if I had a credit for every time I doled out components, I\'d buy my own fleet. Bring the part to these coordinates once you\'ve built it. Blah blah, I always have to say that. You builders should know the routine by now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '63', 'm13r', 'I hope this module isn\'t replaced as quickly as the last one. I\'d better get cracking on the next stage of this operation.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '64', 'm13s', 'Keeping up with Imperial advances is difficult given our limited resources. Thanks for making it a little easier.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '65', 'm13t', 'Here Today, Obsolete Tomorrow');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '66', 'm14d', 'The Alliance wants to develop a more cost-effective proton torpedo. It\'s fallen to us to build the new prototype. We need you to make this part for the guidance system. Components are waiting for you at this location.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '67', 'm14p', 'Lucky thing you only have to work on a part for the guidance system instead of the ignition charge. You know where to deliver it, right?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '68', 'm14r', 'These babies pack quite a punch. I hope the tests go smoothly.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '69', 'm14s', 'Testing of the new device went extremely well. Your efforts will help many Alliance starfighters.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '70', 'm14t', 'A More Cost-Effective Torpedo');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '71', 'm15d', 'One of our more trustworthy -- I use that term loosely -- smugglers needs our help. The sublight drive exhaust system got damaged. This replacement part should get it running again. Get the components you need to assemble it at these coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '72', 'm15p', 'The Alliance must have a lot of faith in this smuggler. Normally we don\'t trust these guys as far as we can throw them. Take the part to this location when you\'re done.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '73', 'm15r', 'You have my part? Great! Looks like I owe you guys one. The next job will be free of charge -- after expenses, of course.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '74', 'm15s', 'Your skills have proved invaluable. The Alliance needs the good will of smugglers -- at least the good smugglers.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '75', 'm15t', 'A Smuggler Needs Your Help');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '76', 'm16d', 'One of our surveyors has requested a custom-made fusion cutter. We need a special part made for the retractable fusion drill bit. Do you think you could pick up the components you need and make this part for us?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '77', 'm16p', 'I don\'t know why everybody is always wanting some kind of custom part, but I guess it keeps you tech types working. Drop it off at this location when you\'re done.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '78', 'm16r', 'Is this the part for the hydrospanner? Oh, for the fusion cutter. Thanks, pal.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '79', 'm16s', 'Our surveyor was thrilled with the new cutter. Nice work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '80', 'm16t', 'Custom Fusion Cutter Work');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '81', 'm17d', 'A shipment of Imperial breath masks was recently \"misrouted\" straight to our supplier. We thought we\'d to use them for our pilots, but then discovered that this model has a defective part in the filter controls. Could you create this prototype replacement part so we can adapt the masks? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '82', 'm17p', 'I\'ve got the components you need right here. Bring the part to this location once you have it put together. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '83', 'm17r', 'This is exactly what we needed. I\'ll have this part duplicated and we\'ll be all set. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '84', 'm17s', 'You\'ve helped save the life of every Alliance pilot who puts on one of those breath masks. We are in your debt.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '85', 'm17t', 'An Ounce of Prevention');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '86', 'm18d', 'We haven\'t located an ideal site for our High Command base, but we know it will need major protection. We\'re preparing a large weapon -- I\'d better not say what kind -- that requires a lot of custom parts. Here\'s the schematic for one part. Will you pick up the components from our \"procurement specialist\" and build it?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '87', 'm18p', 'I\'m gonna get paid for these components, right? Right? Because I just about got my tail blown off running them through the blockades. Oh yeah, you\'re supposed to deliver the completed part to these coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '88', 'm18r', 'Is this for the High Command base weapon? That\'s fine. I\'ll get it installed right away. Looks like a great job!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '89', 'm18s', 'That was terrific work. We need more parts, maybe a few hundred thousand! So there\'s plenty of work for you ahead.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '90', 'm18t', 'High Command Base Weapon');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '91', 'm19d', 'We\'re exploring new sites for bases. Our scouts have gone to worlds that don\'t even have names. The range of temperatures in these places is amazing. We need better temperature control units, and for that we need parts like this one. We\'d like you to pick up some components and build this part for us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '92', 'm19p', 'I ran these components through some of the worst blaster fire I\'ve ever seen, so be grateful. Oh, and drop off the completed part at these coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '93', 'm19r', 'I think this should fit fine in our new prototype temperature units. We\'ll be stress-testing them soon. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '94', 'm19s', 'I hope you followed that schematic closely. The temperature tolerances in the design show that this unit is going into some heavy-duty environments.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '95', 'm19t', 'Heading for Extreme Temperatures');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '96', 'm20d', 'I guess it\'s no secret that the new High Command base, wherever it is, will have a heavy-duty shield generator. Big surprise, huh? I\'m looking at the plans for this generator right now. It needs a lot -- a LOT -- of parts. Here\'s a schematic. Can you pick up the components and craft a part for us?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '97', 'm20p', 'I\'ve been sitting on these components so long, I\'ve got calluses on my -- well, never mind. Take them. Drop off the completed part at these coordinates. And make sure I get paid!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '98', 'm20r', 'You\'re right on schedule. This part is all ready for installation in the testbed. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '99', 'm20s', 'We have a lot of parts to build yet before we can even start assembling a prototype shield generator. Check back with us for more work!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '100', 'm20t', 'High Command Shield Generator');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '101', 'm21d', 'Alliance High Command says we have to adapt our speeders to new environments. I say, wait until we know the new base\'s environment, then adapt the speeders. But no! This schematic describes a part for a temperature adjustment unit for a speeder repulsorlift. Can you pick up the components and build the part for us?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '102', 'm21p', 'These are the components. A pretty credit I had to pay offworld, too, and then risk my neck to get them here. Deliver the completed part to these coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '103', 'm21r', 'I have to say, adapting speeders to different environments seems like a low priority right now. We\'re pretty busy. But thanks for the part anyway.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '104', 'm21s', 'Can\'t say when we\'ll get around to adapting our speeders. It seems to me we\'ll have time once we arrive at the new base, wherever that is.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '105', 'm21t', 'Why Adapt Speeders Now?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '106', 'm22d', 'Our commander\'s ship has had the worst kind of yaw trouble. I\'ve narrowed it down to the power coupling on the negative axis. I know, I know -- isn\'t it always the negative axis? Anyway, I want you to pick up some components at these coordinates and build a part I need for a general maintenance overhaul.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '107', 'm22p', 'I looked at this list of components and said, \"Yep, it\'s another negative axis problem.\" Deliver the completed part to these coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '108', 'm22r', 'If I had a credit for every negative axis malfunction on my ship, I\'d buy a new ship! Thanks for the part. I\'ll get it installed right away.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '109', 'm22s', 'Seems to me the shipbuilders should enforce higher quality control on the negative axis. But maybe with a name like that, it\'ll always have problems.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '110', 'm22t', 'Power Coupling on Negative Axis');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '111', 'm23d', 'One of our smugglers almost got stranded in the next sector. The ship\'s hyperspace transfer circuits went fuzzy and, well, that smuggler was looking longingly at the escape pod. But now the ship is docked, and we need you to help with repairs. Pick up some components and build the part in this schematic.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '112', 'm23p', 'I remember once when my ship\'s transfer circuits started to short out. Smelled like death. Deliver the part to the smuggler when you\'re done.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '113', 'm23r', 'At last! I expect I can get my ship moving pretty quickly. Thanks for your help, I couldn\'t have made these repairs without you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '114', 'm23s', 'That smuggler is going through the preflight check already. Whatever supplies the Alliance is waiting on, they must be pretty important.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '115', 'm23t', 'Hyperspace Transfer Circuits');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '116', 'm24d', 'We\'ve turned up an old pleasure yacht built long ago by the Alderaan Royal Engineers. We plan to hide surveillance devices throughout the ship and then allow some Moff to \"discover\" it. But this old ship needs all kinds of parts you can\'t get any more. If you could pick up some components and build one, we\'d appreciate it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '117', 'm24p', 'Here\'s the components. I like the symbolism -- using an Alderaan Royal ship to spy on the scum who destroyed Alderaan. Drop off the finished part to our engineer.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '118', 'm24r', 'The yacht is actually holding up real well for its age. Some folks say the Alderaan Royal Engineers were the best. It\'s a shame, isn\'t it?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '119', 'm24s', 'Before long we\'ll strand the yacht where the Moff\'s forces are sure to find it. After that, we\'ll hope for the best.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '120', 'm24t', 'Alderaan Royal Yacht Needs Repair');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '121', 'm25d', 'One of our fighter pilots had modified his old Y-wing so heavily, no one else could ever get it off the ground. He\'s even got his R2 unit tuned to that specific ship. Crazy, but he\'s an ace pilot. He needs a new part for a repair, and of course it has to be custom-built. Can you pick up the components and make it from this schematic?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '122', 'm25p', 'Here are the components. When you\'ve made the part, deliver it to the pilot\'s commander.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '123', 'm25r', 'I worry a little about the heavy modifications he\'s made to that Y-wing. But I tell you, it moves faster than anything else I\'ve seen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '124', 'm25s', 'Thanks! You\'ve helped us get that customized Y-wing back into space. Too bad the price of speed is endless maintenance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '125', 'm25t', 'Wild Y-Wing Customizations');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '126', 'm26d', 'Our informants within the Imperial Navy report the Empire is working on a new gravity well projector. That would be bad news for Alliance ships in hyperspace. Our engineers are working on a prototype well detector. Can you help? Pick up the components and build the part to the specs given in this schematic.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '127', 'm26p', 'Gravity well projector? Hoo boy, that sounds like dangerous stuff. When you make the part from these components, drop it off at the prototype staging area.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '128', 'm26r', 'Is this for the well detector? Good. We can\'t very well test the prototype on this world -- it\'s a gravity well itself! But we\'ll get your part delivered, soonest.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '129', 'm26s', 'We\'ve taken your prototype part offworld to our testbed in deep space. We hope this will work, but it\'s incredibly advanced stuff without Empire-level resources.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '130', 'm26t', 'Gravity Well Projection Detector');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '131', 'm27d', 'We took out an Imperial escort ship recently. On the bridge we found a device that lets them -- well, we\'re not sure. It\'s incredibly advanced, whatever it does. We\'re reverse engineering it now. To build our own prototype, we\'ve cobbled together various schematics. Please pick up the components and build this particular piece.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '132', 'm27p', 'I hear that the Imperial device controls unusual adjustments to the fabric of hyperspace. Deliver the completed part to these coordinates for testing.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '133', 'm27r', 'If the Empire is making breakthroughs so advanced we can\'t even understand what they do, it means we\'ll have to redouble our efforts. Thanks for doing your part.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '134', 'm27s', 'The Imperial device may turn out to be some kind of decoy, a way to make us waste our resources. But I hope your work won\'t be in vain. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '135', 'm27t', 'Mysterious Imperial Device');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '136', 'm28d', 'Kuat Drive Yards is designing a new Star Destroyer bridge for the Empire. Our informants got us the prototype, and we\'re altering it before delivering it to its proper Imperial destination. To make room for the bugs, we need you to refashion this part using our revised schematic. Pick up the components, and work fast!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '137', 'm28p', 'I hope my pay arrives soon. I\'m all for working as an Alliance \"procurement specialist,\" but I gotta pay bills too. Deliver the completed part to these coordinates, okay?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '138', 'm28r', 'Nice work. We\'ll try to get the altered prototype back into the Kuat delivery channel before anyone notices.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '139', 'm28s', 'With luck, we\'ll soon overhear every word said on every new Star Destroyer bridge. And you helped! Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '140', 'm28t', 'Star Destroyer Bridges Need Bugs');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '141', 'm29d', 'One of our \"procurement specialists\" got hit during a blockade run. We\'re doing repairs on the ship now, but we\'re short a particular part that is only available offworld. We need you to rig up a temporary replacement using components from the smuggler\'s own cargo. Can you read this schematic all right?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '142', 'm29p', 'I run these components to you guys all the time, but I never thought I\'d need my cargo to get my own ship fixed. Listen, do a good job on that part, okay?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '143', 'm29r', 'I\'m working on the repairs to the smuggler\'s ship right now. I\'ll install this part quick, just to stop the victim\'s constant whining!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '144', 'm29s', 'These \"procurement specialists\" do good work, but some aren\'t the kind of people you want to be around for long. Thanks for sending this one on the way reasonably quickly.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '145', 'm29t', 'Smuggler Needs Own Cargo');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '146', 'm30d', 'Incom Corporation built a lot of Alliance X-wings, but since the Empire took them over, they\'ve stagnated. Still, a few Incom engineers sympathize with us, and they\'ve leaked a prototype to us. To make room for our surveillance devices, we need you to pick up components at these coordinates and build a new part.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '147', 'm30p', 'That Incom prototype is supposed to be a new low-end Imperial patrol ship. Incom sure has fallen from its glory days. Deliver the completed part to these coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '148', 'm30r', 'This prototype is only for a patrol ship, that\'s true. But those are usually the first ships that detect Alliance activity. Then the Empire sends in Star Destroyers!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '149', 'm30s', 'We hope this Incom patrol ship prototype will become standard. Then, when Imperial patrols detect our bases, we\'ll know as soon as they themselves do. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '150', 'm30t', 'Incom Patrol Ship Prototype');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '151', 'm31d', 'Lots of Imperial starships use SoroSuub parts. A SoroSuub engineer sympathetic to our cause has smuggled us a prototype for a new turbolift. To make room for our covert surveillance device, we need you to refashion a certain part. Pick up the components, build the part, and deliver it to our engineer. Okay?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '152', 'm31p', 'Imagine being able to overhear Imperial officers arguing policy in the turbolifts. Whole different side to the Empire, I\'ll bet. Anyway, deliver the part to these coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '153', 'm31r', 'We\'re aiming for constant eavesdropping on every Imperial officer above commander rank. I\'ll get your part installed in the prototype turbolift. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '154', 'm31s', 'Once the Empire\'s droid factories get our revised prototype, they\'ll insert our bug automatically in each new turbolift. It\'s crazy, but this idea might work!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '155', 'm31t', 'Planting Bugs in the Turbolift');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '156', 'm32d', 'Captain Han Solo is visiting this world at a secret location. His ship, the Millennium Falcon, is down for repairs. Apparently that happens a lot. He needs a particular part for the sensor processing subsystem, and you\'re our best choice. Pick up the components at these coordinates and build the part for delivery to Captain Solo.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '157', 'm32p', 'I\'ve seen the Falcon. I absolutely don\'t know how he keeps that junkheap in the air. Oh well, deliver the completed part to these coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '158', 'm32r', 'I hope you built the part to the high tolerances shown in the schematic. That Millennium Falcon is quite the hot rod. I\'ll forward this part to Captain Solo. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '159', 'm32s', 'Captain Solo passes along this message: \"Thanks for the part. If you ever see me in a cantina, say hello and I\'ll buy you a drink.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '160', 'm32t', 'A Part for the Millennium Falcon');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '161', 'm33d', 'Princess Leia Organa of Alderaan has stopped here en route to a diplomatic mission. Her blockade runner\'s shield projector is malfunctioning. The parts onboard got damaged in a skirmish with Imperials, so we need you to build a replacement from this schematic. Pick up the components and go!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '162', 'm33p', 'Your part is for a Corellian Corvette, one of the good old hand-built kind. Do good work, and deliver the completed part to these coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '163', 'm33r', 'I\'ll have this part taken to orbit for delivery to Princess Leia\'s starship. Thank you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '164', 'm33s', 'Princess Leia sends this message: \"You have my gratitude for your excellent work. May the Force be with you.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '165', 'm33t', 'Repair Leia\'s Blockade Runner');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '166', 'm34d', 'We\'ve got sympathetic contacts inside SoroSuub\'s new escape pod project. They can hide our own homing beacons in every Imperial escape pod. But we need to give them modified components for their prototype, so they\'ll have room to insert the beacon. Can you pick up the components and build the part for us?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '167', 'm34p', 'It beats me why the Alliance wants to track Imperial escape pods. But no one tells me anything. Deliver the completed part to these coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '168', 'm34r', 'If we can track Imperial escape pods, we can find the sensitive intelligence materials they jettison when a ship is endangered. That\'s vital to our war effort.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '169', 'm34s', 'Your work has helped us develop a vital intelligence resource in a completely overlooked niche. The Imperials will never suspect. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '170', 'm34t', 'Escape Pod Modification Needed');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '171', 'm35d', 'This is an amazing opportunity. A highly placed informant in the Imperial Navy has a chance to slip a homing beacon aboard Lord Vader\'s personal TIE Advanced X1! But we need to conceal it among some other parts, and they\'re all custom-built. We want you to build a replica of one part. Pick up the components at these coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '172', 'm35p', 'If this works, we can track Darth Vader all over the galaxy. That sounds both exciting and scary, doesn\'t it? Deliver the completed part to these coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '173', 'm35r', 'Never mind. Lord Vader uncovered our informant and strangled him. But please take this payment for your effort.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '174', 'm35s', 'The sacrifices our Imperial informants have made will be the unsung legacy of victory. They\'re all heroes, and no one will ever know them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '175', 'm35t', 'Bug Darth Vader\'s Personal TIE');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_crafting_rebel_easy.stf', '176', 'number_of_entries', '35');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '1', 'm10o', 'One of our many spies, who are everywhere, report that a new dance craze called \"The Funky Droid\" is all the rage. You are to go to these coordinates and do this dance. It will be recorded and later analyzed by the Imperial Board of Culture for possible censure. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '2', 'm10s', 'You are required to forget this dance for reasons of Imperial security. No other action need be taken.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '3', 'm10t', 'The Funky Droid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '4', 'm11o', 'The Moff is dispensing the remaining funds from the arts budget, and they must be spent before the beginning of the next fiscal cycle. You are to make haste to this venue and perform some sort of -- of -- well, some kind of Imperially significant dance. Choose your dance wisely. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '5', 'm11s', 'I\'m sure you did just fine. I don\'t really care for these sorts of things myself. I was merely clearing out the budget.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '6', 'm11t', 'Significant Dance');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '7', 'm12o', 'Does every move of your dance venerate our beloved Emperor? An Imperial talent scout is seeking holos of lesser-known dancers for possible participation in the Imperial Opera. Go to this location, where a holo will be made of your performance. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '8', 'm12s', 'They didn\'t choose you for the final audition, but you did well enough to merit these credits.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '9', 'm12t', 'Imperial Opera Audition');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '10', 'm13o', 'I gather you dancers are quite popular with the local troops. It\'s not surprising really; they come back from those horrible combat situations and there you are, all clean and limber, your supple limbs flailing vigorously, full of such... is it warm in here? Anyway, you are to go to the designated venue and perform for the droidcams. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '11', 'm13s', 'I observed your dance closely via holocam. I\'m sure when the troopers see it they\'ll be pleased.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '12', 'm13t', 'Flailing Vigorously');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '13', 'm14o', 'The Moff is a close personal friend of mine, you know, always asking me about how the arts budget should be spent. I\'ve recommended a series of holos, a tribute to those we\'ve lost fighting the Rebellion. Go to this venue and you\'ll be paid to dance. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '14', 'm14s', 'Greetings. My predecessor was \"reassigned\" -- very permanently -- for using the Moff\'s name with excessive familiarity. Records indicate you are to receive payment for some sort of entertainment. This fee has been deposited.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '15', 'm14t', 'Friends in High Places');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '16', 'm15o', 'The Moff has managed to lure away the favorite dancer of a chief rival and is accepting recordings from young dancers to fill out the rest of her troupe. Go to these coordinates and give your best performance. If you get noticed by the Moff, you could really go places. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '17', 'm15s', 'You weren\'t chosen for the dance troupe, but the Moff, being quite happy with the new dancer, is giving a small stipend to everyone who auditioned. Enjoy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '18', 'm15t', 'The Moff\'s New Dancer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '19', 'm16o', 'The Moff is furious! A rival has hired away the local troupe\'s leading dancer. With the Imperial Board of Culture annual gala coming up, you can imagine the crisis. They\'re recording emergency auditions at this venue. If you hurry, you might get there in time to perform. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '20', 'm16s', 'They wound up going with someone with more experience, but they were impressed with your dance. They sent this small incentive so you\'d keep at it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '21', 'm16t', 'The Moff\'s Lost Dancer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '22', 'm17o', 'The \"Citizens for Fair Treatment of Aliens\" -- hah! -- have been lobbying for dance recitals that would be less exclusive toward nonhuman species. Apparently we are to appease these troublemakers until resources permit a purge. Go to this venue and perform some dance routines that those filthy alien lovers might enjoy. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '23', 'm17s', 'Imperial Security decided to round up all members of the CFTA on their way to your recital and detain them for questioning. That seems fair.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '24', 'm17t', 'Fair Treatment ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '25', 'm18o', 'A directive from Imperial Center gives results of recent psychological tests. Apparently observation of dancers can have salutary morale effects. This strikes me as shoddy reasoning, but this office has been given funds to commission morale-raising dance performances. Hence you must perform at the designated venue. Go! Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '26', 'm18s', 'In my view an Imperial soldier needs no morale-raising dances. He lives to fight and die for our beloved Emperor. But it is not for me to question Imperial Center directives.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '27', 'm18t', 'Morale-Raising Effects of Dance');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '28', 'm19o', 'COMPNOR has updated its current propaganda message. All public communications and performances are required to stay on-message until further notice. The current message is, once again, \"The Empire Keeps You Safe.\" At the designated venue you are to perform a dance indicative of Imperial safety guarantees. Go. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '29', 'm19s', 'Until further notice the message \"The Empire Keeps You Safe\" will remain the subtext of all dances commissioned by Imperial offices. That is all.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '30', 'm19t', 'Imperial Dances Keep You Safe');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '31', 'm1o', 'The Imperial Board of Culture has chosen you to participate in its \"Celebrations of the Empire in Dance\" series. Go to the appointed venue and give a morally appropriate dance that celebrates the Empire. How should I know what that means? You\'re the blasted artist! Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '32', 'm1s', 'Your dance has been reviewed and conditionally approved, pending further investigation. Your fee has been deposited.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '33', 'm1t', 'Celebrate the Empire in Dance');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '34', 'm20o', 'A new directive from COMPNOR replaces the current propaganda message. Henceforward, until further notice, all public communications and performances are to relay the message \"The Empire Eradicated Old Republic Corruption.\" At the designated venue, perform a dance conveying this worthy sentiment. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '35', 'm20s', 'COMPNOR mistakenly released the message update \"The Empire Eradicated Old Republic Corruption\" prematurely. This message is not yet to be conveyed. However, you were not informed prior to your performance. When entered in your permanent record, this report will include the mitigating circumstances.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '36', 'm20t', 'Eradicating Old Republic Corruption');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '37', 'm21o', 'COMPNOR\'s current propaganda message, \"Human Beings Light the Way,\" is apparently under debate at Imperial Center and has been tabled. The performers we had enlisted to promote the message have no other dance ready. It falls to you to substitute for them at the designated venue. Say nothing regarding \"Human Beings.\" Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '38', 'm21s', 'This office is still awaiting word regarding the \"Human Beings Light the Way\" message. We will contact you again should we require further stopgap performances.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '39', 'm21t', 'Stopgap for a Cancelled Message');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '40', 'm22o', 'The Imperial Board of Culture wishes to popularize our beloved Emperor\'s favorite music, Mantooine minuets. The IBC is now auditioning dancers to perform these minuets as part of galaxy-wide cultural programs. Perform at the designated venue, where IBC droidcams will record your dance for later judgement. You will be compensated. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '41', 'm22s', 'Your dance is considered to show, at best, only a glancing resemblance to Mantooine minuets. The IBC rejects your audition without future prejudice.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '42', 'm22t', 'Mantooine Minuet Audition');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '43', 'm23o', 'Mondegrene\'s \"Uncompleted Universe\" is the Imperial Ballet Company\'s next production. For an authentic touch in Scene 4 they wish to import unsophisticated native dancers from outside the Core Worlds. You are to audition for this high honor at the designated venue, where holocams will record and transmit your untutored motions. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '44', 'm23s', 'Your motions were deemed somewhat too sophisticated for a supposedly primitive dancer. You must work on that. That is all.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '45', 'm23t', 'Uncompleted Universe');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '46', 'm24o', 'Imperial Intelligence reports that a Rebel leader on this world is said to be attracted to dancers. You will become the bait in a scheme to lure this leader into a local venue. As you perform, our spies, who are everywhere, will identify and subdue the Rebel. Tell no one, or you will see an end to both your career and your legs. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '47', 'm24s', 'The Rebel leader we hoped to snare was apparently forewarned. Be apprised that we shall be closely examining our records of your recent movements. If you had an encounter with the Rebel, you will certainly wish to relocate offworld at once.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '48', 'm24t', 'Snare for a Rebel Dance Lover');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '49', 'm25o', 'For reasons that are lost on a line officer like myself, our Moff grants money for \"encouragement of local musical arts\" -- to include dance, it says. You, therefore, an admitted dancer, will receive this remarkably generous stipend if you commit some sort of dance at the grant committee\'s designated venue. You\'d be foolish to refuse. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '50', 'm25s', 'I shall report to the planetary authority that you have discharged the obligations of the grant without provoking untoward remarks. That is all.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '51', 'm25t', 'Moff\'s Grant to Encourage Dance');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '52', 'm26o', 'Though the entertainment professions are invariably linked to debauched conduct, Imperial Center requires this office to take a constructive approach to reform. We commission you to perform a dance of an uplifting, morally rigorous nature in the designated venue, to increase morale among our soldiers. Go. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '53', 'm26s', 'Your dance was acceptable. Note that conduct indicative of debauchery or scandal will be met with the harshest punishment. That is all.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '54', 'm26t', 'Debauchery-Free Dance');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '55', 'm27o', 'Another of the Imperial Ballet Company\'s frequent scouting missions has arrived on this world. If this office provides a talented dancer for the company, the Emperor himself may bestow honors upon us. Therefore, you are to perform in an animated, dazzlingly virtuosic manner for the scout at the designated locale. At once! Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '56', 'm27s', 'Once again, it seems, the Imperial Ballet Company scout has been waylaid before arrival on this world. These artistic people have no social responsibility.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '57', 'm27t', 'Dance for Imperial Ballet Scout');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '58', 'm28o', 'Sector headquarters has issued another memo reminding us to maintain Imperial standards of moral righteousness. This directive is prompted by recent reports of scandalous dancing in venues frequented by Imperial soldiers. To remediate this offense, go to the designated venue and dance in a wholesome, upstanding manner. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '59', 'm28s', 'No reports have reached me that you engaged in untoward conduct. Therefore I shall report the \"scandalous dancing\" incident closed. You may go.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '60', 'm28t', 'Intolerably Scandalous Dancing');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '61', 'm29o', 'Owing to our recent good efforts in teaching the aliens their proper place, our spies, who are everywhere, have noted a decline in human citizens\' morale. I find this inexplicable, but we do maintain a modest budget for the hire of dancers to increase morale. This office commissions you to perform a delightful, high-spirited dance at the designated venue. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '62', 'm29s', 'Your compensation for the performance is attached. I will shortly review our spies\' reported assessments of your level of high spirits, and debriefing may follow. Be ready.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '63', 'm29t', 'High-Spirited Dance is Mandatory');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '64', 'm2o', 'Rebel factions have been clandestinely staging ballets banned by the Imperial board of culture. We are staging approved ballets with dancers of such great skill that nobody will want to go see amateurish Rebel productions. Your name was among those chosen to audition. It is a great honor for you to be chosen. Do your best! Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '65', 'm2s', 'Your dancing was considered worthy by the casting director, but he didn\'t feel your height was quite right for his vision. That is all.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '66', 'm2t', 'Skilled Dancers Required');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '67', 'm30o', 'This office\'s budget is classified \"Secret.\" An item in that budget allots funds for a certain purpose, also classified. To achieve that purpose, you are to go to the designated venue and execute a dance performance of the required duration. Tell no one! Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '68', 'm30s', 'That is acceptable. Compensation is attached. Tell no one!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '69', 'm30t', 'Dance Classification SECRET');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '70', 'm31o', 'Imperial Center has assigned this office to coordinate local production of a new ballet composed by the Imperial Security Bureau, \"The Empire Moves Ever Upward.\" Certain problems have arisen in the production. To fulfill the contract with the chosen venue, we shall send you instead. Go, and say nothing of the reason. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '71', 'm31s', 'You show an admirable willingness to rise to the emergency. So long as you told no one of the reason for your performance, this will reflect well on you. That is all.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '72', 'm31t', 'Substitute Dance Emergency');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '73', 'm32o', 'COMPNOR has enlisted an Imperial Ballet star to visit this world on a performance tour. Whether this extravagant move produces the desired increase in local morale, we shall never know -- the dancer has been delayed offworld. Therefore, to fulfill a contract, we are sending you instead. Do not disappoint us. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '74', 'm32s', 'If reports reach this office of licentious or immoral implications conveyed by your dance, we will pass the accusations to COMPNOR. Otherwise, all appears well.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '75', 'm32t', 'COMPNOR Dance Initiative Goes Astray');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '76', 'm33o', 'The Moff plans an entertaining diversion for a certain celebrity scheduled to visit the planetary headquarters. The celebrity\'s identity is classified. Because this occasion is specified to be merry and bumptious, the Moff is auditioning dancers. Perform at the designated venue, and your motions will be recorded for submission to the Moff\'s office. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '77', 'm33s', 'The spies report that your dance failed to meet the Moff\'s high standards. You may address complaints to the Imperial Security Bureau. I suggest that complaints are inadvisable.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '78', 'm33t', 'Moff\'s Diversion Audition');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '79', 'm34o', 'Your dossier indicates that you are currently not suspected of Rebel activity. Perhaps the dossier must be updated; perhaps not. Regardless, we select you to perform at the designated venue in a casual, anti-authoritarian manner, while identifying individuals who express to you anti-Imperial sentiments. We shall debrief you afterward. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '80', 'm34s', 'The initiative to use dancers to identify Rebel sympathizers has been predictably ineffective. The program is cancelled, as is your debriefing. That is all.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '81', 'm34t', 'Dance to Identify Rebels');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '82', 'm35o', 'Though the Empire of course protects all its citizens, we do enforce a sensible social arrangement regarding alien species. One notorious alien performer has attracted significant attention and espouses anti-Imperial views -- publicly! We are pre-empting this troublemaker\'s next performance by scheduling you instead. Go and dance. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '83', 'm35s', 'Intelligence indicates that the troublemaking alien has now vacated this world. Good riddance, I say. You may be proud of your part in this, agent!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '84', 'm35t', 'Replace Troublemaking Alien');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '85', 'm3o', 'COMPNOR has issued a directive for certain uplifting dances to be performed in an effort to keep public spirits high. Dances that do not cause sufficient increase in morale and productivity will be scrutinized meticulously and may result in a re-evaluation of your loyalty to the Empire. Go. Perform. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '86', 'm3s', 'Morale and productivity are adequate. Credits have been transferred to your account.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '87', 'm3t', 'Show Your Loyalty');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '88', 'm4o', 'Some prudish citizens think the arts are decadent. But what better way to thank our beloved Emperor for the peace and prosperity he has brought us than to spread joy and beauty? I\'ll even put my credits where my mouth is. Go and dance at this venue, and I\'ll give you a nice fee. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '89', 'm4s', 'Here are your credits. Doesn\'t it feel good to uplift people with your art?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '90', 'm4t', 'Spread Joy and Beauty');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '91', 'm5o', 'I hear that you artists are always starving. Well, if you\'d get a real job instead of prancing around for stray credits, you might be able to eat more regularly. Still, I hear that this venue is recording holos of dancers to entertain Imperial troops. Maybe if you go there you can scrape up enough money for a decent meal. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '92', 'm5s', 'They paid you that much? That ought to keep you in crispic for a while.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '93', 'm5t', 'Starving Artists');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '94', 'm6o', 'A squad of stormtroopers frequents a local establishment. Their commanding officer wishes to reward them for their excellent performance. You are to go there and dance in a way that thanks them for service to the Empire. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '95', 'm6s', 'The stormtroopers were recalled to duty before you got there, due to an increase in the Rebel terror alert level. Payment has been made for your time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '96', 'm6t', 'Perfomance Excellence');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '97', 'm7o', 'COMPNOR\'s latest inspiration is for dancers to incorporate the message \"Your First Loyalty is the Empire\" in all performance pieces. You are to go forth and dance this message at the designated venue. Note and observe anyone who seems to find this message distasteful. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '98', 'm7s', 'COMPNOR changed the loyalty message again right after you left. This is for your time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '99', 'm7t', 'Performance Art');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '100', 'm8o', 'Mondegrene\'s great classic \"Fugue in K\" is being performed, replete with a host of dancers, for the annual Imperial Board of Culture annual gala. Auditions are being held via droidcam at these coordinates. This would be a good opportunity for you to be noticed. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '101', 'm8s', 'Better luck next time. Perhaps with a bit more practice you\'ll be chosen for the next gala.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '102', 'm8t', 'Get Noticed');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '103', 'm9o', 'Do you dream of one day dancing before our beloved Emperor? Well, don\'t get above your station, citizen; you\'re still pretty new at this. The good news is that they still need dancers to soothe battle-weary troopers. They\'re recording dancers at these coordinates. Go and do your best. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '104', 'm9s', 'Good news! They\'ve decided to use your dance among those they\'ll show the troops. Maybe you really will dance for the Emperor one day.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '105', 'm9t', 'Dance for the Emperor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_imperial_easy.stf', '106', 'number_of_entries', '35');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '1', 'm10o', 'As an agent of the Exotic Entertainers\' Union, I find promising talent and nurture its growth. Our organization provides entertainers for select clientele such as Imperial dignitaries, influential Hutt entrepreneurs, and Corporate Sector Authority Viceprexes. To sign on, first prove yourself worthy. Entertain the patrons at this establishment and we\'ll talk further. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '2', 'm10s', 'You have some modicum of talent. Keep this up and I may just sign you on as one of my regular dancers. Your fee has been deposited.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '3', 'm10t', 'A Promising Dancer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '4', 'm11o', 'As an agent of the Exotic Entertainers\' Union, I get approached by all sorts of beings who claim they\'re dancers. Many prove to be shining examples of non-talent. Before I even consider booking you for important gigs, I have to make sure I\'m not wasting my time and money. Go here and do your thing. If you\'re good, I\'ll be in contact. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '5', 'm11s', 'So -- you\'re not a complete waste of time, but you sure do need a lot of polish. I\'ll pay you for your time and invite you to see me again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '6', 'm11t', 'Only the Strong Survive');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '7', 'm12o', 'I used to book quality acts for the Exotic Exhibit on Nar Shaddaa. Look at me now -- talking to two-credit dancers in some unknown dive. Take my advice, friend, never cross a Hutt. Well, I still need to make a living. Okay, go to these coordinates and try to charm the crowd with your moves. I hope there\'ll be a reason for us to speak again. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '8', 'm12s', 'Okay, so I don\'t feel completely unjustified in paying you this fee. But if you want my advice, friend, you\'d better practice more than you apparently have been.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '9', 'm12t', 'Practice Makes Perfect');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '10', 'm13o', 'Can you speak Huttese? Well, do you at least know that the Huttese word \"whirlee\" means dancer? Great. Go to these coordinates, point to yourself, say \"whirlee,\" and start dancing. If anyone tries to stop you, just point at him and yell \"stoopa!\" Don\'t stop dancing after that, unless they physically throw you out. Good luck. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '11', 'm13s', 'Excellent! And you didn\'t even get thrown out. Your performer fee has been transmitted. Look me up again if you want more work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '12', 'm13t', 'Learn Some Huttese');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '13', 'm14o', 'Dancing gigs, eh? Yeah, I can help you with that. I supply Max Rebo\'s boys with dancers from time to time. Head to the following establishment and put on a show. If you\'re good, then I\'ll hear about it, and you\'ll get paid. If not, then don\'t bother me again. We have a deal? Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '14', 'm14s', 'My contacts confirmed it -- you\'re pretty decent. You and I might be able to make quite a bit of money. I\'ll keep looking for gigs for you, while you continue to practice.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '15', 'm14t', 'Dancing is a Good Career');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '16', 'm15o', 'Fancy yourself a Swamp Maiden, eh? We\'ll put that to the test soon enough. Head to this establishment and use those dancing skills to ease the cares of hardworking beings. If you  help them forget their troubles, even if for a short while, then you just might have a career in this business. Don\'t wear anything... complicated. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '17', 'm15s', 'You obviously had quite an impact on someone, because I was told to give you the full dancer\'s fee. Congratulations. Come see me again for more work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '18', 'm15t', 'Dancing Eases Cares Away');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '19', 'm16o', 'Combat fatigue can be a terrible thing, which is where performers such as yourself come in. Without your talents, the galaxy would be filled with disabled neurotics and dangerous psychotics. Hmm, come to think of it, it is like that, isn\'t it? Well, in any case, go to these coordinates and do your part to relieve galactic mental stress. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '20', 'm16s', 'Well done. Those hardened spacefarers are just a little less hardened today thanks to you. Enjoy your pay.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '21', 'm16t', 'Help Care for the Galaxy\'s Mental Health');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '22', 'm17o', 'The bad news is the galaxy can be a rough place, friend, as I\'m sure you well know. But the good news is that gives you and your kind a very important responsibility: bringing calm and well-being to an otherwise hectic existence. Go to these coordinates and spread some of that love, friend. It\'s rewarding work, on so many levels. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '23', 'm17s', 'Behold, one of those rewarding levels I was referring to -- your fee! Don\'t spend it all in one place.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '24', 'm17t', 'Calm the Stressed');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '25', 'm18o', 'Dancers are the physicans of the soul, friend. Without your talents, half those adventurers out there couldn\'t even crawl out of bed each morning. Be proud of your profession. You bring hope to those who have none! Peace of mind to those who need it! I need you to apply your healing touch at this establishment. Can you handle that? Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '26', 'm18s', 'I can hear the sighs of contentment all the way over here. Good job, friend. Your fee, minus my commission, has been deposited. See me for more work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '27', 'm18t', 'Heal the Soul');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '28', 'm19o', 'Yeah, I got a dancing job for you. Know any Twi\'leki veil dances? Those are always popular. How about Bothan tangos? Heck, even some Wookiee tribal dances would be acceptable. Well, whatever you know, go perform it at this establishment. And I\'d stay away from Gamorrean slam dances if I were you. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '29', 'm19s', 'You may end up joining the galaxy\'s roster of legendary dancers. Maybe you\'ll get to perform for the Imperial court some day. Enjoy your pay.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '30', 'm19t', 'Variety is the Spice of Life');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '31', 'm1o', 'You a dancer? Well, I\'m always on the lookout for fresh talent. As a matter of fact, there\'s a soiree in the works that I think you\'d be perfect for. Take those rhythmic skills of yours over to these coordinates and impress the heck outta those party animals. Remember, the better the show, the more promising your career. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '32', 'm1s', 'Sounds like a good time was had by all. I understand you have some pretty slick moves. Your fee has been deposited.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '33', 'm1t', 'Shake Your Booty');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '34', 'm20o', 'One of my patrons just requested a dancer trained in the sensual arts of Zeltronian belly dancing. Fortunately for both of us, this patron has never seen a Zeltronian belly dance and wouldn\'t know one from a Gamorrean slam dance. So head to these coordinates and do your best impersonation of an exotic Zeltron dancer. Good luck. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '35', 'm20s', 'Looks like the patron bought it. In fact, he may request you specifically next time he\'s in town. Check back with me just in case.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '36', 'm20t', 'Zeltronian Belly Dancing');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '37', 'm21o', 'Art, like beauty, is in the eyes of the beholder, friend. If someone likes what you\'re doing and is willing to pay for it, then it\'s art. If he isn\'t, then it\'s garbage. I hope for your sake that your dancing falls into the former category. Go to this establishment and give them a taste of art. With luck, they\'ll approve. If not, don\'t tell them I sent you. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '38', 'm21s', 'Luck was with us this day, eh, friend? I\'ve deposited your \"artist\'s\" fee. With luck, this will become a regular habit.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '39', 'm21t', 'Be an Artist');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '40', 'm22o', 'If music soothes the savage bantha, then it follows that dancing has a similar effect on more sentient species. I have an opportunity for you to practice those soothing skills, assuming you\'re up to the task. Pay is decent, as long as you entertain. And who knows? This gig may lead to bigger and better things. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '41', 'm22s', 'I got word that you put a major soothing spell over the entire joint. That\'s entertainment! If you can repeat that performance, there\'s more credits where these came from.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '42', 'm22t', 'Dance Their Cares Away');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '43', 'm23o', 'You wanna know why our galaxy is in the state it\'s currently in? Not enough dancers out there entertaining the masses. And you can apparently do something about that, friend. Go to this establishment and remove some of the galaxy\'s woe. I\'d guess that the more you shake it, the more cares you help ease. But that\'s just me. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '44', 'm23s', 'If there\'s hope for us, friend, it\'s because of performers such as yourself. Well done. I take pride in paying such a caring galactic citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '45', 'm23t', 'While the Galaxy\'s Cares Away');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '46', 'm24o', 'These are truly dark times. It is the solemn duty of every performer in the Empire to help ease galactic suffering. And nothing lightens the burden of responsibility and the stress of combat more effectively than the mesmeric moves of a trained dancer. So get on out there and do your thing, citizen! Here are the coordinates. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '47', 'm24s', 'Bravo! The reviews that have been coming back have mostly been positive. One fellow thought you had caught on fire, but could be a compliment on his world, who knows?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '48', 'm24t', 'Mesmerize the Crowd');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '49', 'm25o', 'They say Twi\'leks are the most graceful dancers in the galaxy. Think you can either prove or disprove that? Head to this establishment and give it a shot, if you\'d like. I\'ll pay if the crowd is reasonably entertained, minus my finder\'s fee, of course. Are you interested? Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '50', 'm25s', 'The crowd was not horrified, which is saying something these days. Your fee has been deposited. See me for more assignments.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '51', 'm25t', 'Who Is the Best Dancer?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '52', 'm26o', 'This is bad! I had another dancer lined up to perform today -- now! -- at a local establishment. Now she\'s called it off because her \"internal aura needs realignment.\" I swear, my fist is going to realign that witch\'s nose. Can you dance? I need a dancer at this joint right now! I\'ll pay well, just go and dance! Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '53', 'm26s', 'That was a life-saver, friend. Keep going out and dancing like that, and you\'ll come back a star. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '54', 'm26t', 'Last-Minute Replacement');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '55', 'm27o', 'Don\'t get too close because my screeching may burst your eardrums. My lead dancer has cancelled again! Sure, she\'s got people lining up to see her dance, but no, she has to stay home with a sick voorpak! Okay, I\'ll have to -- wait! You can dance, right? Will you dance in her place? Pleeease! Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '56', 'm27s', 'Whew! You bailed me out at the last nanosecond, friend. You were a pretty snappy dancer yourself. Maybe not totally star quality yet, but you don\'t cancel your gigs.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '57', 'm27t', 'Replacement for Voorpak Nurse');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '58', 'm28o', 'My star dancer has run off for a romantic vacation with a handsome spacer from the Core Worlds. How thrilling -- except that she had a gig with me, now, and she only just called from offworld to say she can\'t make it! Argh! You can dance, I know it. You can go in her place and save my rep! Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '59', 'm28s', 'I just had another call from my lead dancer telling me how sorry she was. I have to say, it\'s hard to resist her stellar reputation. We\'ll work this out somehow. Meanwhile, thanks, and here\'s your fee.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '60', 'm28t', 'Dancer Runs for the Stars');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '61', 'm29o', 'The act I had lined up for today, Bando Labutan\'s Dancing Guarlaras, just cancelled. I wasn\'t feeling good about booking them anyway -- cleanup issues, you know. I need a backup, quick. Can you fill in? The manager wanted you to put on a guarlara suit, but I told him no. Please, just go, just dance! Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '62', 'm29s', 'Thanks. Trust me, you\'ll look back someday and laugh at having replaced Bando Labutan\'s Dancing Guarlaras.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '63', 'm29t', 'Dancing Guarlara Replacement');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '64', 'm2o', 'I\'ve always got assignments for good dancers, friend. Notice I did use the word \"good.\" If you think that describes you, then head on over to these coordinates and wow the crowd with your dazzling moves. The patrons include tips in your fee if they\'re really impressed, so break a leg. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '65', 'm2s', 'Nice, friend, nice. My sources tell me you were light on your feet and as graceful as a gualama. I\'ve included your tips in your fee.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '66', 'm2t', 'Impress the Crowd');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '67', 'm30o', 'A local manager just installed dance machine games. You know, you follow the moves on a holo, and the game scores you by how well you do. Very popular -- except when a drunken Aqualish scores low and destroys the machines. The Aqualish is in custody, but the manager needs a dancer, now! Can you fill in? Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '68', 'm30s', 'Thanks. Those dancing games are popular, but nothing beats a trained professional. People feel better just watching you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '69', 'm30t', 'Dance Machine Games Destroyed');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '70', 'm31o', 'Can you lead a dance exercise routine? A bunch of Toong tourists off the cruise liner are looking to lose weight in \"a fun musical way.\" That\'s what the job says. Go where they\'re staying, do your dance, and they\'ll follow along to whatever music is playing. Look, give it a try, okay? It\'s a paying gig! Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '71', 'm31s', 'The spaceliner had to leave early, so the Toongs had already vacated before you arrived. Sorry, friend. But the manager liked your dancing anyway, so here\'s your pay.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '72', 'm31t', 'Lead Toong Dance Exercise Routine');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '73', 'm32o', 'A friend tells me that a high-placed HoloNet talent scout is in the area, checking out the dancers at local venues. This could be a break for you! Go and dance, and who knows? Maybe you\'ll wind up on a broadcast galaxy-wide! Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '74', 'm32s', 'Apparently that so-called HoloNet scout was lying to my friend. I don\'t want to guess what he was angling for. But you still did well at your gig, so don\'t be too disappointed, okay?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '75', 'm32t', 'HoloNet Talent Scout');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '76', 'm33o', 'I don\'t suppose you know Iktotchi sense-dancing? Well, it was worth asking. I had an engagement for a troupe of dancers doing colorful primitive dances from across the galaxy. But today is some kind of abstinence holiday in their religion, so they\'re out. Can you dance but try to look sort of -- well -- primitive? Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '77', 'm33s', 'Well, nobody complained, so your dancing must have been primitive enough. Dear me, what a business. This is your fee, thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '78', 'm33t', 'Abstinence Holiday Prevents Dancers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '79', 'm34o', 'An acquaintance is setting up a dance school in this sector and is scouting for instructors. I told him you\'d be performing locally, which is my sneaky way of getting you to take this gig. Do your stuff, throw in some nice flourishes if you know any, and with luck, you may land a steady job. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '80', 'm34s', 'Turns out the guy\'s protocol droid mistranslated \"martial arts academy\" as \"dance school.\" Stupid droids. Sorry about that, friend. I hear you did a good job anyway!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '81', 'm34t', 'Dance Instructor Audition');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '82', 'm35o', 'As I understand it, a specialty manufacturer of dance outfits in this sector is looking for performers who can show off its new clothing line. Scouts are all over right now. Go and dance in some way that would look good on a HoloNet commercial, and remember, keep your clothes on. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '83', 'm35s', 'I\'m waiting to hear from the dance clothing manufacturer, but if I haven\'t heard by now... A commercial contract would have been nice -- all the free outfits you can wear! But don\'t get your hopes up. Keep plugging away, friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '84', 'm35t', 'Dance Outfit Endorsement Deal');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '85', 'm36o', 'Some low-budget theatrical ensemble is looking for dancers for an upcoming production called -- let me check my notes -- well, I can\'t find the title. I told the producers you\'ll be dancing, and they can look in to see you. Interested? I\'ll tell them you\'ll be there. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '86', 'm36s', 'The deal\'s off. I found the title of that low-budget production -- \"The Imperial Follies.\" Apparently a savage satire of the Emperor. I heard the producers have already been arrested. Curtains for that show. Thanks anyway, and here\'s your fee.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '87', 'm36t', 'Low-Budget Theatrical Audition');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '88', 'm37o', 'I got word from a contact over at the -- well, maybe I\'d better not say where. Seems the manager and his current love interest had a major falling-out, and somehow the whole booking schedule got destroyed. I know -- it\'s a fun business. You\'ve got an ideal opportunity to go over right now and dance. Quick, before someone takes the gig! Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '89', 'm37s', 'That was convenient, wasn\'t it? Here\'s your fee. Maybe we should hope for more fights in venue management, not that there\'s a shortage of fights now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '90', 'm37t', 'Enraged Manager Destroys Gig Book');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '91', 'm38o', 'A local venue has gotten in trouble with the law over safety standards. The act they\'d planned today was going to use a ton of pyrotechnics, some kind of glimmik-music performance art piece where they blow up droids onstage -- I don\'t know. Anyway, the law cancelled that act, so this place is desperate for a replacement. You? Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '92', 'm38s', 'Thanks for filling in. I don\'t know what glimmik band decided to destroy droids in a public place, but I expect that fad to vanish pretty soon. With any luck.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '93', 'm38t', 'Glimmik Music Act Banned');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '94', 'm39o', 'I just got some sad news from the wilderness. Apparently local gangsters wiped out most of a settlement, and the survivors are arriving here shortly. They\'re understandably traumatized, so I promised some entertainment to lighten their mood. Would you be willing to dance today, to bring mental clarity to these victims? Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '95', 'm39s', 'That was kind of you. I don\'t think most of the refugees have made it into town, so there may be more work for you soon. Please accept this modest fee.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '96', 'm39t', 'Traumatized Refugees');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '97', 'm3o', 'Anyone can flail his limbs about while music plays, but it takes a special kind of being to be a true dancer. Anyone that tells you otherwise is a tried and true flailer. If you think you fall into the \"special\" category, then head on over to these coordinates and strut your stuff. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '98', 'm3s', 'Not too shabby, friend. You may flit your way into bigger and better things yet. I\'ve transmitted your payment. I believe it reflects your audience\'s feelings.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '99', 'm3t', 'A True Dancer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '100', 'm40o', 'Friends of mine travelling outside town ran afoul of some predators, and their trip got, shall we say, cut short. They\'re all right physically, but very shaken. If you\'re willing to dance, I\'ll tell my friends to look you up there. Watching you will make them feel better. Okay? Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '101', 'm40s', 'My friends actually got diverted -- some lawman wanted them to file reports on the creature attack. Yeah, that\'ll make my friends relax. Well, anyway, thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '102', 'm40t', 'Survivors of Predator Attack');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '103', 'm41o', 'Some aristocrat from the Naboo countryside is visiting town, looking to assuage her grief after some predator swallowed her pet voorpak. Wow, what a crisis. But if you\'re dancing when she drops by, you might lessen her trauma and earn a big tip. Interested? Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '104', 'm41s', 'I don\'t know why the noble lady didn\'t show. She may have decided to go buy another voorpak instead. Voorpaks -- mmm, tasty!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '105', 'm41t', 'Heal a Noble Lady\'s Trauma');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '106', 'm42o', 'I don\'t want to get political, but we have a talent scout from the Imperial Ballet on Coruscant here in town. Maybe you like the Imperial Ballet, maybe you don\'t, but impressing this scout would be a good career move just on general principles. The scout is travelling incognito, so don\'t ask. Just dance. I\'ll let you know how it turns out. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '107', 'm42s', 'Sorry, friend. Apparently the Imperial Ballet talent scout, uh, defected to the Rebel Alliance. It seems Imperial Security is purging the Ballet. Hope you weren\'t seen with anyone suspicious.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '108', 'm42t', 'Imperial Ballet Talent Scout');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '109', 'm43o', 'Some local chef got trapped in a food-poisoning scandal. He says it\'s extortion, blackmail, Rebel treachery. He\'s gotten so jittery, he\'s asked me to send a dancer to soothe his nerves. By happy chance I\'d already lined up a paying gig at that place. You could hit two voorpaks with one stone. Interested? Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '110', 'm43s', 'Didn\'t meet the chef? They\'re very temperamental, those chefs. Got to wonder what they do alone in the kitchen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '111', 'm43t', 'Soothe the Chef\'s Nerves');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '112', 'm44o', 'Hutt gangsters scouting for good predators let loose a pack of rancors. Is \"pack\" the word for a group of rancors? Maybe \"a devour of rancors.\" I think the Hutts wanted to see what ate the rancors. As you might imagine, folks in that area are jittery now. A dancer could do that neighborhood some good. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '113', 'm44s', 'Thanks, a wonderful performance! I understand that local adventurers took care of the rancor problem. Hmm, they could probably use a good dancer about now too!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '114', 'm44t', 'Rancor-Caused Anxiety');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '115', 'm45o', 'Did you hear the rumor? There\'s an Imperial bounty hunter in the area, hunting a Jedi Knight! Apparently there\'s already been a battle in town. It\'s got people quite flustered. I sense that if you go to my favorite place right now and dance your heart out, you\'ll earn a small fortune in tips from worried patrons. Are you up to it? Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '116', 'm45s', 'Well, that seems to have worked out well. Maybe whenever business slows down, I\'ll start spreading rumors about bounty hunters.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '117', 'm45t', 'Bounty Hunters Provoke Anxiety');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '118', 'm46o', 'Some children at the edge of town were attacked by some kind of offworld monster. Evidently a local collector imported this thing for his collection, and it got loose. People are tense and anxious. It\'s your task to restore calm and civility through your art. Will you go and dance? Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '119', 'm46s', 'An outstanding performance! I hope someone tracks that creature and kills it before any more children get hurt.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '120', 'm46t', 'Monster Attacks Promote Unease');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '121', 'm47o', 'You missed an exciting time last night. A band of glimmik musicians wrecked a place and set loose some exotic animals caged in the lobby. Always a happening place there. The owner has cleaned up, but he wants a performer who can lure patrons back in. Go there and dance something soothing. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '122', 'm47s', 'Did you have any trouble with the wrecked cages? Good, he must have cleaned those up. Why do these places keep hiring glimmik bands?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '123', 'm47t', 'Glimmik Vandalism Means Gigs');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '124', 'm48o', 'Some HoloNet producers from Coruscant blew into town to film a segment of \"Against Wild Worlds!\" I don\'t know what happened -- some kind of bar fight -- but they got mad, called in the Empire, and now there\'s blaster battles everywhere. Folks are jumpy. Places are willing to pay for dancers who can settle their customers\' nerves. Go! Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '125', 'm48s', 'I understand the HoloNet producers blew back out of town as fast as they arrived. Hope we don\'t see them again for a while. Nice performance, by the way.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '126', 'm48t', 'HoloNet Producers Cause Tension');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '127', 'm49o', 'Lots of farmers are taking refuge in town because of the Periodic Overland Migration -- some kind of big movement of dumb animals, I think. They\'re lounging around the joints looking jumpy and out-of-place. If you could do a nice dance for them, it might calm them down. They might have spending money, who knows? Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '128', 'm49s', 'I hope that worked out well for you. Did you dance some kind of quaint rural dance? That could play well with farmers, I imagine.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '129', 'm49t', 'Farmers in Town Need Refreshment');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '130', 'm4o', 'A good dancer knows how to read an audience. A truly good dancer is adaptable. A great dancer knows all sorts of dance variations and can switch seamlessly from one to another. If any of those describe you, then head to these coordinates for an assignment. Best of luck to you. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '131', 'm4s', 'Looks like my faith was not misplaced. You seemed like someone who had \"the gift.\" It\'s a pleasure to pay your fee.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '132', 'm4t', 'The Dancing Gift');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '133', 'm50o', 'I have grant money from the Galactic Chirgotta Awareness Council. Chirgotta is an intestinal parasite that causes illness in species across the galaxy. The money goes to hire a dancer who will make a short announcement before and after the performance, urging good intestinal hygiene. Look, it\'s a gig. Are you interested or not? Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '134', 'm50s', 'Did you make the announcement about the chirgotta? Both before and after the dance? Well, we\'ll just say you did. Nobody checks on these grant awards.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '135', 'm50t', 'Chirgotta Awareness Council Grant');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '136', 'm5o', 'A dancer can help work a crowd into a real party frenzy. And I\'m not just talking about a simple sway of the hips or twirling of the arms, I mean a truly artistic combination of graceful and powerful moves that leaves the crowd speechless! So, you want a dancing job? Go here and shake it till it hurts. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '137', 'm5s', 'The reports have come back mostly positive. Looks like you really entertained that crowd. Your fee has been transmitted.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '138', 'm5t', 'A Dancing Job');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '139', 'm6o', 'There may be dozens of alien species in the galaxy but they all have one thing in common -- they all like to have a good time. Well, all except the insects, maybe. Anyway, if you\'re a graceful being who can enthrall an audience with your dancing moves, head to this establishment and strut your stuff. If you\'re good, I\'ll use you again. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '140', 'm6s', 'Well, who would have thought that you\'d possess that much rhythm? You\'ve earned your fee, friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '141', 'm6t', 'Strut Your Stuff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '142', 'm7o', 'Music is the universal language, friend, and it inspires beings from all walks of life to move to its beat. I\'m always in the market for a talented new dancer, so if you think you\'ve got the groove, then I\'ve got a job for you. The more you shake it, the more the patrons will appreciate it, and the better your tips will be. Interested? Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '143', 'm7s', 'You definitely added to the ambience, friend, which is always a good thing. And the tips you received were indeed generous, as you\'ll see from your deposited fee.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '144', 'm7t', 'Let the Music Move You');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '145', 'm8o', 'Dancing as a form of entertainment has been around since the discovery of fire. An art form as ancient and distinguished as this takes a lifetime of diligent study to master. But we\'ve all got to start somewhere, eh? If you can move to a beat with some degree of consistency, then I\'ve got an assignment for you. Care to try? Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '146', 'm8s', 'The bad news is that a few patrons thought you were suffering a seizure. The good news is that it didn\'t affect your fee all that much. Decent work, friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '147', 'm8t', 'Feel the Music');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '148', 'm9o', 'Are you a dancing fool? Do you astound and impress others with your moves? Do beings clear a space around you when you decide to shake your groove thing? Then you might be the performer I\'m looking for, friend. Head to these coordinates and give them a taste of your talent. If it\'s impressive, your fee will be generous. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '149', 'm9s', 'Well done. As your fee will demonstrate, you fell short of impressive but were still rather entertaining. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '150', 'm9t', 'Be a Dancing Fool');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_neutral_easy.stf', '151', 'number_of_entries', '50');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '1', 'm10o', 'A local establishment that frequently caters to stormtroopers is holding an open call for dancers. We would like you to try out, while keeping your ears open for any interesting snippets of conversation you might catch. Report back to us everything you hear. A 10 minute performance will be necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '2', 'm10s', 'That\'s what you heard, eh? Well, it may not be of much use this time, but as we get these reports we\'re sometimes able to glean useful information. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '3', 'm10t', 'Keep an Ear Open');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '4', 'm11o', 'We need a dancer to go and make such a spectacle that nobody will be looking at anything else, while one of us picks up valuable information from one of our undercover operatives. Are you up for it? A 10 minute performance will be necessary. A 10 minute performance will be necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '5', 'm11s', 'Nice work! Nobody could take their eyes off of you, so the pick up was no trouble.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '6', 'm11t', 'Make a Spectacle of Yourself');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '7', 'm12o', 'I\'ve heard it said that all the worlds are stages. We need you to go to this venue and perform one kind of dance, while we perform another one behind the backs of the Imperials. Dance your finest, and make every second count. A 10 minute performance will be necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '8', 'm12s', 'You did very well. Come back and see me again. I may have more work for you later.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '9', 'm12t', 'All the Worlds Are Stages');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '10', 'm13o', 'A local venue is looking for dancers to soothe some battle-weary Alliance soldiers. If you\'re willing to work your craft to help them, I know it would be much appreciated. A 10 minute performance will be necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '11', 'm13s', 'No doubt you did a fine job. Here are some credits, a little token of our appreciation. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '12', 'm13t', 'Weary Alliance Soldiers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '13', 'm14o', 'One of COMPNOR\'s recent artistic horrors was to incorporate the message \"The Empire Keeps You Safe\" into all dance performances. We would like you to go to this venue and incorporate the more accurate message \"The Empire is More Corrupt Than The Hutts\" as the subtext of your dance. A 10 minute performance will be necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '14', 'm14s', 'Very clever -- subtle, yet straight to the point. We\'ll replay it on tonight\'s holo.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '15', 'm14t', 'A Subversive Dance');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '16', 'm15o', 'I hear you\'re a dancer who\'s willing to take risks. An Imperial courier is going to a certain venue to retrieve some high-security documents. We want you to provide a distraction while our data slicer removes the information from the courier\'s data pad. A 10 minute performance will be necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '17', 'm15s', 'The courier was a no-show, but we really appreciate you putting your art on the line for the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '18', 'm15t', 'Helping a Data Slicer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '19', 'm16o', 'Unlike the Empire, we try to embrace alien art forms. We\'ve brought one of the more popular Twi\'lek ballets here. Unfortunately both the lead and the understudy are down sick with Corellian Tanamen Fever, and we need someone who can fill in quickly so that our show doesn\'t turn into a total carbon flush. Can you help? A 10 minute performance will be necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '20', 'm16s', 'We still have a long way to go to repair the damage those blasted Imperials have done among the species, but every little bit helps. The Twi\'lek dancers are recovering fine, by the way.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '21', 'm16t', 'The Show Must Go On');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '22', 'm17o', 'The Alliance is putting on a show to help cheer up some of the soldiers who are on the inactive list due to severe injuries. It\'s a great way to earn some credits while helping out those who\'ve given so much to our cause. A 10 minute performance will be necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '23', 'm17s', 'Thanks so much for going out there. The soldiers who were well enough to attend no doubt appreciated it greatly. The rest can watch the droidcam recording later.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '24', 'm17t', 'Spreading Some Cheer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '25', 'm18o', 'Certain Imperial offices have an arts budget for the support of local artistic endeavors. We want you to go and apply for one of these grants by performing for the head of the local Imperial Dance Comitee. With any luck we\'ll be able to use some of the Empire\'s own funds to aid us in its downfall. A 10 minute performance will be necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '26', 'm18s', 'Unfortunately, the local arts budget had already been spent for this fiscal session. We\'ll keep trying.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '27', 'm18t', 'Imperial Funds for the Allied Cause');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '28', 'm19o', 'It\'s always hard to say how the war is going at any moment, but I have to say, our soldiers have had a tough time lately. Morale is still fine. A more committed group I\'ve never seen. But you can see in their eyes, they\'re tired -- mentally tired. If you perform at this venue, we\'ll send some of them to watch you. You\'ll make them feel better. A 10 minute performance will be necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '29', 'm19s', 'That was great! We don\'t know how many of our soldiers made it to see you, but it must have helped. Thank you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '30', 'm19t', 'Battle-Shocked Fighters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '31', 'm1o', 'A squad of Alliance fighter pilots are throwing a birthday party for one of their buddies, and they\'ve requested a dancer.If you\'ll go to this location and give them a really energetic show, I\'m sure the tips will be great. A 10 minute performance will be necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '32', 'm1s', 'I\'m sure you put on a great show, but those pilots wound up going out to another place. Those flyboys! But don\'t worry, you still get paid.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '33', 'm1t', 'Birthday Party');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '34', 'm20o', 'Against the Empire, every little victory is important to maintain morale. We just had a lucky encounter with a squad of stormtroopers in the wilderness -- lucky for us, I mean -- and our fighters are in the mood to celebrate. If you go to their hangout and dance, you\'ll add to the atmosphere and help them heal the scars of battle. A 10 minute performance will be necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '35', 'm20s', 'I understand you went over real well. Not everyone was actually present, but they watched you through a droidcam. Now they\'re ready for more victories. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '36', 'm20t', 'Celebrate a Small Victory');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '37', 'm21o', 'We know an Imperial Security Bureau agent is canvassing this world, looking for our agents. We know where he\'ll be next. We know what he\'s looking for. Unless you\'re there to distract him, he might well find it. It\'s up to you to stage the most dazzling performance of your career. Make sure his gaze never leaves you. Are you up for it? A 10 minute performance will be necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '38', 'm21s', 'Good news! We managed to take out the spy, permanently.Your performance didn\'t go to waste -- you distracted the folks who might have warned him. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '39', 'm21t', 'Distract an Imperial Spy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '40', 'm22o', 'A legendary soldier has arrived on-planet. He\'s seen more war alone than any five of us together. He\'s exhausted. I promised him a nice dinner at a quiet venue, and live entertainment to relax him. I hope that will be you. Are you willing? I\'ll meet you there; if I\'m late, just start dancing. A 10 minute performance will be necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '41', 'm22s', 'On our way to see you, we got into a scrap with stormtroopers. Our fighter did his job, I\'m proud to say, but we\'ve decided it\'s safer for him to get offworld for now. Sorry!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '42', 'm22t', 'Veteran Fighter in Town');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '43', 'm23o', 'We\'ve arranged to meet with a spy who has information about Imperial battle maneuvers. He\'s extremely wary, so we told him to meet our representative in the alley outside a particular venue. He can spot the venue by the dancer inside. We gave him your description. If you\'ll dance there, we can go ahead with our rendezvous. A 10 minute performance will be necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '44', 'm23s', 'Everything went exactly as planned. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '45', 'm23t', 'Prearranged Encounter');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '46', 'm24o', 'We constantly have to recruit \"procurement specialists\" to bring goods past Imperial blockades. One specialist seems ready to work with us, but he needs convincing. We\'ve arranged to meet him at a safe spot outside a certain venue. He\'ll recognize the venue because you\'re dancing there -- at least, we hope you\'ll dance there. Quickly! A 10 minute performance will be necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '47', 'm24s', 'The \"procurement specialist\" was understandably nervous, but we brought him around. One more blockade runner for the Alliance!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '48', 'm24t', 'Lure a Wary Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '49', 'm25o', 'The Empire is throwing its weight around in a neighborhood with, it says, \"undesirable numbers of aliens.\" Everyone there is running scared from COMPNOR, the ISB, and the Army. We want you to help us keep these folks from cracking up. A nice light dance to calm their wounded spirits, right? Please help them. A 10 minute performance will be necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '50', 'm25s', 'We knew we could count on you. Those people are feeling better now -- even the ones who just watched from outside the area. Nice work!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '51', 'm25t', 'Imperial Oppression Drains Morale');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '52', 'm26o', 'We\'re about to receive the schematic for a new Imperial weapon prototype. Unfortunately, the ISB is suspicious, and their spies are everywhere. As a workaround we want you to perform where the transfer will take place. Do a high-stepping dance, get everyone watching, and we\'ll work the transfer quietly. A 10 minute performance will be necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '53', 'm26s', 'Okay, that worked out well enough. Lots of distractions there, not even counting your fine performance. Thank you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '54', 'm26t', 'Distract from Passing a Schematic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '55', 'm27o', 'The Empire promotes anti-alien sentiment in bigots across the galaxy. We fight this battle as hard as the rest, and you\'re our soldier. Try to find nonhuman dancers to join you in the performance we\'ve arranged for you. Dance together in friendship. If you can\'t find anyone else, dance alone, and spread the idea of tolerance. Okay? A 10 minute performance will be necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '56', 'm27s', 'That was fine. We\'ll work on getting whole groups together, aliens and humans, to perform for people who might otherwise listen to the Empire\'s hatred.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '57', 'm27t', 'Encourage Human-Alien Friendship');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '58', 'm28o', 'With maximum terror the Committee for the Preservation of the New Order continues to impose Imperial values on the civilian population. Alliance sympathizers are getting \"disappeared\" in the night. People are rattled. If you can help restore tranquility through a pleasant dance, you\'ll help us beat COMPNOR. Will you do it? A 10 minute performance will be necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '59', 'm28s', 'If the Alliance can restore folks\' confidence, we\'ll defeat COMPNOR more effectively than any blaster battle. Thanks for doing your part.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '60', 'm28t', 'COMPNOR Sweep Damages Morale');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '61', 'm29o', 'The Imperial Security Bureau is executing another of its frequent purges. Anyone who looks cross-eyed at a statue of the Emperor is liable to be hauled off to Dathomir. Folks are terrified. We need dancers to perform for them, quiet their nerves, and help them remember what we\'re fighting for. Will you help? A 10 minute performance will be necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '62', 'm29s', 'That was terrific! I hope you realize you calmed folks a lot in a panicky time. We have to maintain clear heads if we\'re to restore the Republic. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '63', 'm29t', 'ISB Purge Frightens Citizens');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '64', 'm2o', 'An Imperial dance troupe is performing yet another propaganda ballet. We want you to go to these coordinates and show people just how joyous dance can be, when it\'s about movement instead of some spirit-crushing political agenda. A 10 minute performance will be necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '65', 'm2s', 'Wow, you were really cooking! I wish we had more like you working with us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '66', 'm2t', 'Show Them How It\'s Done');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '67', 'm30o', 'With so many blaster battles right in the streets of our cities, it\'s a wonder we haven\'t all cracked. The local venues are full of folks who haven\'t got a mark on them, but they stare like they\'ve just been through the Battle of Yavin. It\'s up to entertainers like you to raise their morale. Otherwise the Empire will already have won. Will you dance for them? A 10 minute performance will be necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '68', 'm30s', 'You did good work, but there is plenty more to do. The disruption of the Civil War guarantees that professional dancers will always have an important role to play. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '69', 'm30t', 'Chaos of War Requires Mental Healing');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '70', 'm31o', 'An Alliance sympathizer in the Core Worlds has anonymously published a new ballet, \"Hutts.\" It got past the Imperial censors because it\'s supposedly about criminals. They missed the real symbolism -- it\'s about them, the censors! We\'d like to stage this ballet on this world. If you\'d care to audition, go to the designated venue and dance. Good luck! A 10 minute performance will be necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '71', 'm31s', 'Bad news. Imperial censors belatedly figured out the hidden meaning of \"Hutts\" and banned it. But here\'s a small payment for your time and talent. Thanks anyway!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '72', 'm31t', 'Morale-Building Ballet');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '73', 'm32o', 'We\'re exploring the idea of infiltrating an Alliance informant within the Imperial Ballet Company on Coruscant. Don\'t laugh -- those dancers get into close contact with a lot of high Imperial officials. They hear a lot. If you\'re interested in trying out for a dangerous job, audition at this venue. Our holocams will record you, and we\'ll let you know. A 10 minute performance will be necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '74', 'm32s', 'We\'re still trying to arrange an \"in\" at the Imperial Ballet. When and if that happens, who knows? You may get a call from us. We appreciate your talent and courage.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '75', 'm32t', 'Imperial Ballet Infiltration');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '76', 'm33o', 'A stormtrooper attack on one of our bases went badly astray, and collateral damage almost killed an innocent civilian family. They\'re recuperating in the care of one of our sympathizers, but they\'re still very shaken. If you\'d soothe them with a beautiful dance, we\'d be happy to pay you a small honorarium. Interested? A 10 minute performance will be necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '77', 'm33s', 'That was delightful, but unfortunately the family got called away when one of the children had to go into the bacta tanks. They\'re all still grappling with what happened, poor wretches. Thank you anyway.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '78', 'm33t', 'Perform for Wounded Family');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '79', 'm34o', 'We\'re smuggling plans for a new weapon system offworld, but the Empire knows exactly who and what to look for. We need a diversion. You look a great deal like the agent they\'re searching for. If you\'re out dancing in public, they might mistake you for their quarry. Don\'t worry, they won\'t tackle you. We hope. Will you help the Alliance? A 10 minute performance will be necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '80', 'm34s', 'Didn\'t work. We had a tough time getting the plans offworld, and some of us didn\'t make it. But you did your part. We appreciate that.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '81', 'm34t', 'Decoy Dancer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '82', 'm35o', 'A squad of Alliance pilots just landed after a tight scrape with some Star Destroyers. They\'re all right, mostly, but they\'re feeling badly shaken. These folks recover quickly, but anything we can do to help will -- well, it will help, right? So if you\'ll dance in this venue, we\'ll send the pilots your way to watch and relax. Okay? A 10 minute performance will be necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '83', 'm35s', 'The pilots decided to \"relax\" in a more raucous way. I won\'t go into details. These flyboys! It\'s like herding rancors!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '84', 'm35t', 'Crew Just in From Tough Space Battle');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '85', 'm3o', 'We have a coded message to send to a spy we have planted in the Imperial Security Force. The code is in the form of certain specific dance moves. Go to this location and perform this dance. Our spy will know what it means, while you\'ll be unaware so that you can\'t be compromised. Good luck! A 10 minute performance will be necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '86', 'm3s', 'Perfect! It\'s people like you who will make the Alliance a success.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '87', 'm3t', 'Coded Message');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '88', 'm4o', 'Imperial propaganda is wreaking havoc with our public image. The very people we\'re trying to free from the tyranny of the Empire are starting to eye us suspiciously. We want you to go to these coordinates and perform a dance that will make people see us in a more sympathetic light. A 10 minute performance will be necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '89', 'm4s', 'The droidcam caught it all. That will make people think twice before believing that Imperial drivel.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '90', 'm4t', 'Dance Against Propaganda');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '91', 'm5o', 'A well-known commander is visiting this world. He\'s a big supporter of the arts, and he wants a skilled dancer to entertain for a private gathering he\'s throwing.Go to this location and give it everything you\'ve got. A 10 minute performance will be necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '92', 'm5s', 'The commander couldn\'t make it, but your performance was recorded. The commander was very impressed with your skills. He may want your services again in the future. Good work!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '93', 'm5t', 'Private Dancer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '94', 'm6o', 'The Imperial Ballet Company is holding tryouts. We want you to go to this location and audition. We want to get someone on the inside to forewarn us of what their propaganda machine is up to. A 10 minute performance will be necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '95', 'm6s', 'I guess the officials smelled a womp rat. You didn\'t get the job. Here\'s a little something for your effort.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '96', 'm6t', 'Join the Imperial Ballet ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '97', 'm7o', 'Alien species are having a hard time under the boot heel of the Empire. Go to this venue and perform a dance that will exemplify the plight of these poor citizens. A 10 minute performance will be necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '98', 'm7s', 'Magnificent! They replayed your dance on one of the holos. I\'m sure there wasn\'t a dry eye in the entire system.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '99', 'm7t', 'Raise Alien Awareness');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '100', 'm8o', 'Jizz Town, a Max Rebo cover band that we use to send coded messages to Alliance agents, is looking for energetic dancers for their upcoming tour. If you\'d like to audition for them, go to this venue and give it your best. A 10 minute performance will be necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '101', 'm8s', 'Sadly, the Jizz Town tour has been cancelled due to intense Imperial scrutiny. Here\'s some consolation, though -- your fee.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '102', 'm8t', 'The Jizz Town Dancers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '103', 'm9o', 'The Empire\'s destruction of Alderaan is still causing nightmares among local folks. Please go to this venue and use all your skills in a dance that will help soothe heartache over this attrocity. Make your movements an offering to the memory of the lost. A 10 minute performance will be necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '104', 'm9s', 'I\'m sure your performance was a wonder to behold. I hope people sleep a little easier now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '105', 'm9t', 'A Memorial in Dance');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_dancer_rebel_easy.stf', '106', 'number_of_entries', '35');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '1', 'm1o', 'Imperial Security has delivered a new cargo for use in the forthcoming Operation Masterstroke. Bring it here at once. Because of this mission\'s critical importance, you must meet all assaults on your person with maximum force. Under no circumstances allow this cargo to fall into enemy hands!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '2', 'm1p', 'Operation Masterstroke -- the high-ups have been planning that one a long time. I advise you to be careful with this latest cargo. Don\'t go near intense magnetic fields.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '3', 'm1c', 'Excellent. This warhead represents only a fraction of the full power of Operation Masterstroke. Soon, soon, the Rebel Alliance will be crushed!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '4', 'm1i', 'Proton Torpedo Warhead');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '5', 'm1t', 'Operation Masterstroke Cargo Delivery');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '6', 'm1f', 'component\\munition\\warhead_heavy.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '7', 'm2o', 'Operation Masterstroke will paralyze the Rebellion in a single unexpected blow. With the cargo shipments that arrive ever more frequently, we will soon achieve victory. You must retrieve the latest shipment and hand-deliver it here, letting no one know of your mission. Guard the cargo with your life!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '8', 'm2p', 'I wonder when Imperial leadership is going to get around to finally executing Operation Masterstroke. I\'ve been hearing about it forever.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '9', 'm2c', 'Superb. This weapon mount represents only a fraction of the full power of Operation Masterstroke. Soon, soon, the Rebel Alliance will be crushed!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '10', 'm2i', 'Heavy Weapon Stabilizing Mount');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '11', 'm2t', 'Operation Masterstroke Materiel Delivery');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '12', 'm2f', 'component\\structure\\weapon_mount_heavy_stabilization_unit.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '13', 'm3o', 'At last our long planning for Operation Masterstroke is bearing fruit. The shipments of cargo grow more frequent each day. You must go at once and fetch the latest addition to this ingenious scheme. Tell no one of your mission, and protect the equipment with your life.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '14', 'm3p', 'It\'s amazing how much materiel the Empire has been accumulating for this Operation Masterstroke. They\'ve been working on it for ages.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '15', 'm3c', 'All is going as planned. This capacitor represents only a fraction of the full power of Operation Masterstroke. Soon, soon, the Rebel Alliance will be crushed!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '16', 'm3i', 'Capacitor Bank');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '17', 'm3t', 'Operation Masterstroke Delivery Assignment');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '18', 'm3f', 'component\\structure\\capacitor_bank.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '19', 'm4o', 'We have received new materiel to serve as a linchpin in the upcoming Operation Masterstroke. You are to bring it here immediately, overcoming all hostile force en route. Never, never let any item intended for Operation Masterstroke fall into the hands of the Rebellion!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '20', 'm4p', 'Another Operation Masterstroke delivery. They must have warehouses full of stuff by now -- cities -- planets full of stuff. When does this operation actually happen?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '21', 'm4c', 'Splendid. This drilling pump represents only a fraction of the full power of Operation Masterstroke. Soon, soon, the Rebel Alliance will be crushed!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '22', 'm4i', 'Drilling Pump');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '23', 'm4t', 'Operation Masterstroke Cargo Required');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '24', 'm4f', 'component\\structure\\fluidic_drilling_pumping_unit.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '25', 'm5o', 'We are administering the development of an improved blaster battery. Be still, my pounding heart. I expect you, too, will thrill to participate in this magnificent undertaking. Bring us the battery prototype for testing. No hurry, though.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '26', 'm5p', 'Here it is, the new battery. You wouldn\'t believe how much education I absorbed to become an Imperial scientist. And what do I get to work on? Batteries.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '27', 'm5c', 'Ah, the key to victory. After my excitement subsides, I\'ll have the staff begin testing. You can imagine their eagerness to undertake this glamorous assignment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '28', 'm5i', 'Improved Battery');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '29', 'm5t', 'Power Storage Breakthrough');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '30', 'm5f', 'battery\\battery.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '31', 'm6o', 'Our long-term effort to design an improved probot droid may finally be bearing fruit. After many travails, we now have schematics for a droid that can survey Rebel activity from a longer distance than ever before. Pick up the revised schematics and bring them here at once, so that we may begin prototyping.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '32', 'm6p', 'These schematics avoid the previous model\'s rangefinding flaw. We ordered it to monitor a target 1500 meters away. It set out for the target, but accelerated far too quickly. It inadvertently achieved escape velocity, flew into the sky, and was lost.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '33', 'm6c', 'No doubt many obstacles remain before the probot will be perfected. But we must push on, against all odds!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '34', 'm6i', 'Revised Probot Schematics');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '35', 'm6t', 'Redesigned Probot Dooms Rebellion');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '36', 'm6f', 'mission\\mission_bounty_droid_probot.iff (or the Probot from the Creatures list)\n\nm7o\nWe have faced many vicissitudes in our attempts to design an improved probot droid. Yet the need to eavesdrop on Rebel plans drives us ever onward. We have received word from the lab that the new plans are ready for prototyping. Bring them here, and the Empire will reward you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '37', 'm7p', 'We believe these plans correct a programming error in the previous model. We ordered that droid to monitor a target 1500 meters away. But the droid apparently interpreted this as 1500 light-years. It flew into the sky and was lost.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '38', 'm7c', 'The many vagaries we have encountered in the probot-redesign program are not endearing us to Imperial High Command. Yet we must persist.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '39', 'm7i', 'Redesigned Probot Plans');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '40', 'm7t', 'Rebellion Will Fall Before Improved Probot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '41', 'm7f', 'mission\\mission_bounty_droid_probot.iff (or the Probot from the Creatures list)\n\nm8o\nOur probot droid redesign program has encountered a certain number of problems. But this droid\'s ability to monitor Rebellion activity at extreme long range will put the Empire\'s eyes everywhere! The corrected schematics for the latest model are now ready for prototyping. Bring them here at once!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '42', 'm8p', 'These schematics correct the previous model\'s lack of judgment in determining auditory ranges. We ordered it to monitor a target 1500 meters away. But the droid instead overheard a different commander\'s orders given, we now believe, a thousand kilometers distant. The droid flew into the sky and was lost. Mysterious.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '43', 'm8c', 'We must endeavor to correct the errors of previous droids. This probot will be the one that succeeds. I feel sure!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '44', 'm8i', 'Probot Schematics (Revised)');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '45', 'm8t', 'Rebels Quail Before New Probot Droid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '46', 'm8f', 'mission\\mission_bounty_droid_probot.iff (or the Probot from the Creatures list)\n\nm9o\nDespite development obstacles, we are continuing our program to redesign the standard probot droid. Its enhanced tracking abilities at range will spell doom for the Rebellion. The probot\'s latest plans await prototyping. Bring them here, and exercise all possible secrecy!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '47', 'm9p', 'The redesigned probot corrects an earlier model\'s trouble discriminating at extreme distances. We ordered it to monitor a target 1500 meters away, and it instead targeted the sun, flew up, and was lost in the sky.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '48', 'm9c', 'The probot program has much to make up for. I hope this next model proves effective.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '49', 'm9i', 'Corrected Probot Droid Plans');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '50', 'm9t', 'New Probot Spells Doom for Rebel Leaders');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '51', 'm9f', 'mission\\mission_bounty_droid_probot.iff (or the Probot from the Creatures list)\n\nm10o\nIn reading disciplinary reports from one of our units, I note that one officer was caught with excessive quantities of illicit Corellian Double-Brandy. The Empire tolerates a certain specified amount of alcohol per soldier, dependent on rank, but this was beyond the limit. Bring the excess Double-Brandy here at once!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '52', 'm10p', 'I have already disciplined the erring officer and was planning to dispose of the Double-Brandy myself. Don\'t you think that would be more efficient? No? Oh well, here you go.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '53', 'm10c', 'I had planned to dispose of the illicit liquor myself, but now a Moff has taken an interest in proper disposal techniques. I must forward this to him at once. Ah, well.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '54', 'm10i', 'Corellian Double-Brandy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '55', 'm10t', 'Illicit Liquor Needed for Testing');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '56', 'm10f', 'food\\crafted\\meal_drink_corellian_double_brandy.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '57', 'm11o', 'Our lab has made a breakthrough in a new miniaturized hyperdrive. It will permit even Lambda-class shuttles to far surpass lightspeed. What a tremendous achievement! Bring this wonder to us at once, and be sure to spread the news far and wide of the Empire\'s technological supremacy!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '58', 'm11p', 'Wouldn\'t the Rebels love to get their hands on this device! It guarantees our victory! Spread the word, and watch our foes quail before us!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '59', 'm11c', 'Wh-what? You arrived safely? Drat. We had hoped a Rebel would steal this from you, or from your body. It contains a tracking beacon and a charge of high explosive. Well, that scheme has failed -- for now. But expect more delivery missions in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '60', 'm11i', 'Prototype Miniaturized Hyperdrive');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '61', 'm11t', 'Breakthrough Miniature Hyperdrive');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '62', 'm11f', 'component\\item\\electronic_control_unit.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '63', 'm12o', 'Our Star Destroyer reactors use ultra-dense hypermatter. The Navy has delivered a new annihilation reactant sample to this world to test its effects in a gravity field. Bring us this sample and we shall commence testing. Don\'t worry, the sample presents no danger.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '64', 'm12p', 'This reactant is quite heavy. If you list a bit to one side, think nothing of it. I suggest you avoid space travel and intense gravity fields.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '65', 'm12c', 'Ah, the hypermatter. Did you happen to notice any odd phenomena -- for example, a strange warping of spacetime in your vicinity? No? Oh. Well, all right. That is all.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '66', 'm12i', 'Annihilation Reactant');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '67', 'm12t', 'Candidate for Annihilation Reactant');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '68', 'm12f', 'component\\chemistry\\dye_hair.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '69', 'm13o', 'I understand a research lab has made a breakthrough in a new vehicle-mounted shield generator design. Supposedly it represents a completely revolutionary approach to shield generation. We cannot afford to let the Rebellion learn of this. Therefore I require you to go and get these designs, and hand-deliver them to me.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '70', 'm13p', 'Revolutionary? I believe there\'s some mistake. These designs originate from a remote Imperial lab in the Outer Rim Territories. We are only making copies.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '71', 'm13c', 'Outer Rim lab? Pah! Who could imagine that this titanic breakthrough would come from some obscure lab in the hinterworlds? I expect this innovation, which originated entirely under my command here, will make my reputation. You would do well to echo these sentiments, if asked.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '72', 'm13i', 'Vehicular Shield Generator Plans');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '73', 'm13t', 'Design for Speeder Shield Generator');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '74', 'm13f', 'component\\armor\\shield_generator_vehicular.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '75', 'm14o', 'I am pleased. Our armor-testing laboratory reports that the recent laser-resistant stormtrooper armor passed testing with minimal casualties. The trooper volunteers are no doubt breathing easier now! I need you to pick up the design and hand-deliver it here, so that the Rebels see nothing of this breakthrough.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '76', 'm14p', 'Apparently my report got corrupted in transit. \"Minimal casualties\" was actually \"maximal casualties.\" As in previous tests, none of the troopers survived testing.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '77', 'm14c', 'Maximal casualties? Oh. Well, there are always more stormtroopers. We will analyze and redesign the laserproof armor, and recommence testing shortly.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '78', 'm14i', 'Laser-Resistant Armor Design');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '79', 'm14t', 'Testbed for Energy-Resistant Armor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '80', 'm14f', 'component\\armor\\armor_layer_energy.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '81', 'm15o', 'In our past efforts to improve the acid resistance of stormtrooper armor, we have encountered technical obstacles. Now, though, the deaths of the troopers in our previous experiments have inspired us to greater heights! A new design is ready for prototyping, and we require you to bring it to us at once.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '82', 'm15p', 'This armor design looks better than earlier versions, but I doubt any more stormtroopers will volunteer to test it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '83', 'm15c', 'Stormtroopers are all volunteers, whether they like it or not. I shall have the prototype created at once, and drafting of volunteers will commence thereafter.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '84', 'm15i', 'Anti-Acid Armor Design');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '85', 'm15t', 'New Anti-Acid Armor Design');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '86', 'm15f', 'component\\armor\\heavy_armor_layer_acid.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '87', 'm16o', 'Again there are problems with our tests of anti-acid protection for stormtrooper armor. Again we have lost several stormtroopers, messily, when the prototype\'s protection failed. Our lab has retained a piece from the most recent catastrophe. You are ordered to fetch this piece and bring it here -- in a safe container, of course.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '88', 'm16p', 'Here\'s the container with the armor fragment. We\'re still cleaning up the remains of the last stormtrooper testers. What a stench!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '89', 'm16c', 'Losing a few stormtroopers is a small price to pay for improved armor. We shall commence analysis of this fragment at once. That is all.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '90', 'm16i', 'Anti-Acid Armor Fragment');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '91', 'm16t', 'Critical Failure of Anti-Acid Armor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '92', 'm16f', 'component\\armor\\armor_layer_acid.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '93', 'm17o', 'Imperial Intelligence has let it be known that there may be action on an icy world in the Outer Rim. We have no other details. This unit is charged with designing the stormtrooper -- excuse me, \"snowtrooper\" -- armor for the campaign. Pick up the armor designs and bring them here by hand, in order to avoid alerting Rebel spies!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '94', 'm17p', 'These preliminary designs feature a heat-retaining helmet modification that may interfere somewhat with our stormtroopers\' famed targeting accuracy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '95', 'm17c', 'Far better to protect against frostbite than to worry excessively over details of weapon targeting! That is what I say!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '96', 'm17i', 'Snow Armor Modification Plans');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '97', 'm17t', 'Snow Armor Design Delivery');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '98', 'm17f', 'component\\armor\\armor_layer_cold.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '99', 'm18o', 'We recently destroyed yet another Rebel base, and we believe this assault killed a valued Rebel leader. The victim\'s datapad survives. WIth its information, we can verify the leader\'s identity and, in all likelihood, learn vital intelligence. You must retrieve this datapad from the assault leader and return it here for decryption.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '100', 'm18p', 'I\'d prefer not to idly speculate about the leader\'s identity. We haven\'t positively identified the charred remains. Here\'s the datapad.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '101', 'm18c', 'Excellent. Once we decrypt this information, we\'ll learn whether we\'ve finally disposed of Princess Leia Organa!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '102', 'm18i', 'Datapad');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '103', 'm18t', 'Rebel\'s Last Message Awaits Decryption');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '104', 'm18f', 'datapad\\character_datapad.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '105', 'm19o', 'For many years Imperial researchers have sought to duplicate the amazing qualities of ancient Mandalorian armor. We recently occupied an Outer Rim world that failed to show proper respect, and from a museum there our troops took a fine Mandalorian specimen. You are to retrieve this armor and return it here for close analysis.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '106', 'm19p', 'It\'s a piece from the upper arm -- presumably of a bipedal species. I don\'t know if the Mandalorians ever created armor for, say, tentacled blobs. Here you are.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '107', 'm19c', 'I\'ll have our top scientists examine this for as long as it takes. Eventually every stormtrooper will have armor as fine as this!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '108', 'm19i', 'Rare Armor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '109', 'm19t', 'Uncover Mandalorian Armor\'s Secret');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '110', 'm19f', 'wearables\\armor\\mandalorian\\armor_mandalorian_bicep_l.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '111', 'm20o', 'Given our incessant need for materials, the Empire constantly researches new survey techniques. A scientist reports that his unit has finished testing a new prototype surveying tool. You will retrieve the tool and bring it here, so that we can analyze the rate of wear and tear due to fieldwork.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '112', 'm20p', 'We had no better luck with this unit than with current models. But it\'s not politically desirable to report this to my superiors, who include the unit\'s designer.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '113', 'm20c', 'Once this unit has proven its worth, the Empire will be pleased to order enough units to survey the galaxy!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '114', 'm20i', 'Survey Tool Prototype');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '115', 'm20t', 'Empire\'s Mineral Needs Assured');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '116', 'm20f', 'survey_tool\\survey_tool_mineral.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '117', 'm21o', 'It remains a demanding task to locate and concentrate valuable atmospheric gases. A researcher reports that he has made a breakthrough in gas mining. Personally, I doubt that any scientist on this world has the resources to produce such a \"breakthrough.\" Nonetheless, you should fetch the item that excites him and bring it here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '118', 'm21p', 'This unit offers a 13% efficiency improvement. But my commander has invested heavily in a company that makes the existing model. If this new one works, he\'s out of business, so he\'ll make sure it won\'t. Of course, you never heard that from me.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '119', 'm21c', 'Hmph. I can see just by looking at it -- this is mere industrial trash. Thank you, I shall dispose of -- I mean, handle this item from this point onward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '120', 'm21i', 'Survey Tool Prototype');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '121', 'm21t', 'Gas Mining Breakthrough?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '122', 'm21f', 'survey_tool\\survey_tool_gas.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '123', 'm22o', 'A patrol around Yavin 4 found the remains of a stormtrooper from the destroyed Death Star. It is in the Empire\'s interest to enshrine and publicize these martyrs. By mistake the remains were shipped to this world. Retrieve this hero with all speed and return his body here for proper shipment to Coruscant.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '124', 'm22p', 'Body? Well -- it\'s part of one, I guess. Apparently all they found were these, uh, boots. I hope they\'ll do. They smell odd, though.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '125', 'm22c', 'Boots? Umm. Well. All right, thank you, go now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '126', 'm22i', 'Trooper\'s Last Remains');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '127', 'm22t', 'Hero of the Empire Heads for Home');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '128', 'm22f', 'wearables\\armor\\stormtrooper\\blast_armor_stormtrooper_boots.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '129', 'm23o', 'Evidently a stormtrooper, somehow more inventive than his fellows, has devised an improved utility belt. How unusual! My superiors think this would make an intriguing HoloNet propaganda feature. \"Stormtrooper Doesn\'t Let Duty Interfere With Creative Service to His Empire.\" Bring the trooper here, or at least his belt.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '130', 'm23p', 'The trooper was showing dangerous mental instability due to a radiation accident. He grew insubordinate, and we had him terminated. Here is his belt.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '131', 'm23c', 'Oh. Hmm. Well, the belt doesn\'t appear remarkably improved. My superiors will have to judge whether the human-interest story remains satisfying. You may go now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '132', 'm23i', 'Improved Utility Belt');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '133', 'm23t', 'Stormtrooper\'s Creative Service');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '134', 'm23f', 'wearables\\armor\\stormtrooper\\blast_armor_stormtrooper_utility_belt.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '135', 'm24o', 'Incredibly, a Rebel spy infiltrated a Star Destroyer supply depot and placed listening devices in many TIE pilot helmets! A commander on this world uncovered the atrocity. You must go at once and retrieve an example of the compromised helmets. Tell no one of this embarrassment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '136', 'm24p', 'I don\'t even handle TIE fighters. I got shipped these helmets by mistake. Typical snafu. I planned to cannibalize them for parts, and that\'s how I found the bugs. Here, take one.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '137', 'm24c', 'This is the bugged helmet, eh? Listen: The Empire triumphs over all such minor obstacles. Do you hear? Never think, or speak, otherwise. You may go now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '138', 'm24i', 'Sabotaged TIE Helmet');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '139', 'm24t', 'TIE Helmet Investigation Improves Security');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '140', 'm24f', 'wearables\\helmet\\helmet_tie_fighter.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '141', 'm25o', 'Symbolizing his boundless love for the entire galaxy, our Emperor collects colorful primitive paraphernalia from many worlds. A recent purge of hostile savages on this world has brought us many items -- I mean \"treasures\" -- of this kind. I\'d like you to fetch a choice item from this hoard and bring it here for forwarding to the Emperor\'s Retreat.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '142', 'm25p', 'When my commander made this request, I pulled everything I could from the bodies and sorted through a huge pile. Here\'s the choicest item that\'s still intact, a piece of bone armor.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '143', 'm25c', 'Hmm. Well, who am I to say whether some native gimcrack has value? I shall submit this bone spur to the Emperor\'s staff for consideration. I do hope it reflects well on me.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '144', 'm25i', 'Alien Savage Armor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '145', 'm25t', 'Souvenir for Emperor\'s Retreat');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '146', 'm25f', 'wearables\\armor\\bone\\armor_bone_s01_bracer_r.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '147', 'm26o', 'A Moff in another system wishes to present a gift to a very close friend. His friend apparently enjoys the jewelry of a craftswoman on this world. For safety and convenience we have confined the craftswoman at her home. You are to obtain her most elaborate piece and bring it here. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '148', 'm26p', 'We were forced to destroy the craftswoman and her home when she expressed violent support for the Rebellion. This single piece of her work survived the blast.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '149', 'm26c', 'Blown up? Um. Well. This seems an adequately lovely piece. I shall forward it without comment, and let my superiors explain matters to the Moff.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '150', 'm26i', 'Moff\'s Jewelry');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '151', 'm26t', 'Gift for Moff\'s Good Friend');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '152', 'm26f', 'wearables\\tiara\\tiara_s01.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '153', 'm27o', 'We have been pursuing deflector shield component research project on this world. As I understand it, magnetic conditions at the test site are exactly right. A test official says a prototype is done, and they need a courier to bring it here for fuller testing. That courier would be you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '154', 'm27p', 'This is an improved ion feed for the deflector shields on Marauder-class corvette ships, such as those used by the Corporate Sector Authority. Guard it carefully!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '155', 'm27c', 'Corporate Sector Authority? You mean they\'ve been squandering Imperial research dollars on a CSA project? Gad! I must alert my superiors. This will stop at once!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '156', 'm27i', 'Deflector shield ion feed');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '157', 'm27t', 'Prototype Deflector Component');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '158', 'm27f', 'component\\armor\\deflector_shield_ion_feed_unit.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '159', 'm28o', 'Our researchers continue to break new ground in stormtrooper shield technology. I\'ve been given happy news of a new personal shield prototype -- quite the breakthrough, says the report. Bring me this prototype, and allow no one to steal or damage it!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '160', 'm28p', 'Work proceeds quite well. The current model still delivers a lethal heat burn to any trooper who wears it, but the time before destruction is now extended to over a minute!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '161', 'm28c', 'Over a minute. How glorious. I must admit, I expected better. I shall look into the matter of that researcher\'s funding. Thank you, you may go.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '162', 'm28i', 'Personal Shield Generator');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '163', 'm28t', 'Empire\'s Shields Grow Ever Stronger');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '164', 'm28f', 'component\\armor\\shield_generator_personal.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '165', 'm29o', 'You! I need a loyal agent to retrieve a prototype device -- some kind of biochemical equipment. I have the name here: \"bionetic reagent analyzer.\" It remains to be seen what this device actually does, but it sounds important. Fetch it at once, and allow no one to see it en route. This mission is classified!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '166', 'm29p', 'Yes, the bionetic reagent analyzer! Its purpose and operation are too hard to describe to a layperson, but rest assured: This is a landmark day in the history of transformative introversional bionetics!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '167', 'm29c', 'Ah yes, the bionetic, um, reagent ... analyzer. Well. There it is. I shall pass this breakthrough along to -- to someone who will certainly appreciate its, ah, grandeur.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '168', 'm29i', 'Chemical Equipment');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '169', 'm29t', 'Imperial Chemistry Means Better Living');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '170', 'm29f', 'component\\chemistry\\biologic_effect_controller.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '171', 'm30o', 'A Core World laboratory has shipped us a prototype release timer suitable for gas bombs. We are to test it and report its efficacy. The prototype is ready for you to pick up and bring here. So you\'d best get moving, correct?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '172', 'm30p', 'The lab recommends testing this timer using a gas volume sufficient to blanket this hemisphere to a depth of two meters.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '173', 'm30c', 'A hemisphere of gas! Ah, I see the mistake. It appears the Core lab shipped us a prototype actually intended for mining operations in the Corporate Sector. (Whew!)');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '174', 'm30i', 'Chemical Equipment');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '175', 'm30t', 'Gas Dispersion Weapon to Defeat Rebellion');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '176', 'm30f', 'component\\chemistry\\release_mechanism_duration.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '177', 'm31o', 'The Empire is experimenting with the use of assassin droids against major Rebel leaders. One attempt recently failed, but a soldier salvaged the droid\'s brain. We hope to read its memory banks for useful data on Rebel defense tactics. Retrieve the brain from the soldier and bring it here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '178', 'm31p', 'The droid was from Holowan Laboratories. Took out a Rebel squad before a cloud car rammed it at supersonic speed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '179', 'm31c', 'Ah, Holowan Technologies -- \"the Friendly Technology People.\" I doubt this droid made friends easily. Thank you, that is all.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '180', 'm31i', 'Assassin Droid Brain');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '181', 'm31t', 'Salvage Last Memories of Imperial Droid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '182', 'm31f', 'component\\droid\\droid_brain.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '183', 'm32o', 'We\'ve spent a fortune purifying a sample of denaric, one of the more potent poisons in the Outer Rim Territories. Fast, effective, and said to be untraceable. Now we\'re ready to use it against select Rebel leaders, as soon as you retrieve the sample from our researcher.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '184', 'm32p', 'Looks like sugar, doesn\'t it? Don\'t touch it!  If you carry it, use this container!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '185', 'm32c', 'Soon a remarkable number of Rebellion agitators will succumb to mysterious \"heart failure.\" You\'ve done well. Tell no one of this, or you\'ll regret it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '186', 'm32i', 'Pure Denaric Poison');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '187', 'm32t', 'Poisonous Present for Rebel Leaders');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '188', 'm32f', 'component\\food\\ingredient_sugar.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '189', 'm33o', 'An indigenous species produces a material useful for improved crowd-control entangler ammunition. The researcher who discovered this has produced a new prototype of the ammunition. Please collect the prototype ammo at once and bring it here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '190', 'm33p', 'Yes, a local spideroid produces saliva that makes the entangler ammo even stickier and more cohesive. It\'s been a laborious task collecting all that spideroid spit.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '191', 'm33c', 'From humble strands, such as this spideroid\'s secretion, we weave the web of cumulative power that assures victory! Excellent work, agent!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '192', 'm33i', 'Entangler Ammo');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '193', 'm33t', 'Crowd Control Ammo for Misguided Protesters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '194', 'm33f', 'component\\munition\\ammo_projectile_entanglement.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '195', 'm34o', 'The Empire has made heavy use of rylith crystals, which store and release solar energy. We will eventually exhaust natural supplies of rylith found on the world Demophon. We are cultivating the crystals on other worlds, with limited success so far. Please collect the results of the latest trial on this world from our researcher, and bring the samples here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '196', 'm34p', 'Rylith has an uncommonly complex structure. I am investigating using valuable Tasar power crystals as seed crystals. What do you think of these samples?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '197', 'm34c', 'Hmm. Not particularly promising so far, especially with the exorbitant cost of the seed Tasar crystals. Still, we must pursue this matter. You may go now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '198', 'm34i', 'Rylith Crystals');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '199', 'm34t', 'Key to Improved Blaster Efficiency');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '200', 'm34f', 'component\\weapon\\energization_crystals.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '201', 'm35o', 'You there. I need you to drop what you\'re doing and handle this problem. My unit is testing an experimental motivator from Talfaglio, but all my men are stuck doing wargames. That\'s where you come in. Pick up this device and bring it back to me. My superior is getting impatient.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '202', 'm35p', 'You\'re not from the designated test unit, are you? Never mind. Here\'s the experimental motivator. Make sure it gets to the commander in one piece.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '203', 'm35c', 'Thanks. If I don\'t get this motivator installed and tested in the next few hours, my commander will have my hide. I wonder how you install this thing?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '204', 'm35i', 'Experimental Motivator');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '205', 'm35t', 'Experimental Motivator');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '206', 'm35f', 'component\\droid\\droid_motive_system.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '207', 'm36o', 'A well-connected officer was killed by a Rebel assassin. The only witness was a binary load lifter. Our field agents have extracted the droid\'s brain. I need you to bring it here so I can pass it on to Imperial Intelligence. This is very important. Do not fail.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '208', 'm36p', 'Here\'s the droid brain. Don\'t worry, it came from a binary load lifter, so it\'s not too heavy. Lifters don\'t have the biggest brains in the galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '209', 'm36c', 'Very good. I\'ll note your work in my report. Carry on.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '210', 'm36i', 'Binary Load lifter brain');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '211', 'm36t', 'Retrieve Droid Brain');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '212', 'm36f', 'component\\droid\\droid_brain.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '213', 'm37o', 'Imperial Intelligence impounded a privately-owned probot, on the grounds that it was being used by Rebel agents. These are the coordinates where the droid is being held. Bring it back to me immediately. I\'ll see if it contains any evidence that may help us locate the Rebels and uncover their criminal plots.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '214', 'm37p', 'I\'d keep an eye on this probot, if I were you. It seems resistant to the restraining bolt. It definitely wants to get loose.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '215', 'm37c', 'You didn\'t have too much trouble, I hope? I knew you were up to the task. Now to see what this droid can tell us about its Rebel masters.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '216', 'm37i', 'Rebel Probot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '217', 'm37t', 'Bring back a Rebel Probot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '218', 'm37f', 'mission\\mission_bounty_droid_probot.iff (or the Probot from the Creatures list)\n\nm38o\nRebels are sadistic animals. They killed several of our elite soldiers by poisoning a shipment of medpacks to Calamari. One of these contaminated packs has arrived on-planet. I want you to fetch it back to me. I\'ll see if I can find any clues to the perpetrators of this cowardly plot.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '219', 'm38p', 'Here\'s the poisoned medpack. I know this area can be dangerous, but if anything happens to you on the way back, make sure you don\'t use this medpack. Your dying screams would attract scavengers. We\'d have a heck of a time finding your corpse.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '220', 'm38c', 'This is the poisoned medpack, eh? How strange. I\'d swear it was contaminated by Imperial Intelligence, not in some Rebel\'s back-room laboratory. I\'ll have to be careful who I report this to.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '221', 'm38i', 'Contaminated Medpack');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '222', 'm38t', 'Transport Incriminating Medpack');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '223', 'm38f', 'medicine\\medpack_wound.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '224', 'm39o', 'Remember the stories about Mandalorian warriors? Imperial Intelligence found an old Mandalorian gauntlet with a unique smartrope system. Go get this interesting artifact and bring it back to me. I want to see if we can coopt the technology into some of our political enforcement operations.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '225', 'm39p', 'Here\'s the gauntlet. Looks ridiculous, doesn\'t it? What sort of peedunkel would actually wear this old stuff? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '226', 'm39c', 'Excellent. This does look interesting. Those Mandalorians had a real sense of style, didn\'t they?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '227', 'm39i', 'Mandalorian Gauntlet');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '228', 'm39t', 'Deliver Mandalorian Gauntlet');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '229', 'm39f', 'wearables\\armor\\mandalorian\\armor_mandalorian_bracer_l.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '230', 'm40o', 'It\'s not well known that the Ubese people produced some of the most advanced personal combat equipment found in the galaxy. My commander recently obtained a bandolier of Ubese weapons from a smuggler in the radiation belt. I want you to fetch this prize and bring it to me. I\'ll see if we can make any use of it here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '231', 'm40p', 'Are you the courier for this Ubese bandolier? Good. It\'s worth a lot of money. Holding it makes me feel like a target. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '232', 'm40c', 'Thank you. I can\'t wait to try these weapons out. With luck I\'ll get an excellent performance review this year!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '233', 'm40i', 'Ubese Bandolier');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '234', 'm40t', 'Bring Ubese Bandolier');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '235', 'm40f', 'wearables\\armor\\ubese\\armor_ubese_bandolier.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '236', 'm41o', 'They\'ve made some kind of new modification to the stormtrooper helmet. I hope it lets you see better. I need to deliver one of the new prototypes to my superior. Can you fetch it from my contact and bring it to me? Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '237', 'm41p', 'Here\'s the new prototype stormtrooper blast helmet. They say the black quartz visors are thicker, to better repel lasers. Of course that decreases your field of vision, but hey, stormtroopers are so precise they can afford to lose a little peripheral vision, right?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '238', 'm41c', 'This is an improvement? Well, if they say so. I don\'t get how anyone can see through these new visors.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '239', 'm41i', 'Prototype Stormtrooper Helmet');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '240', 'm41t', 'Prototype Stormtrooper Helmet');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '241', 'm41f', 'wearables\\armor\\stormtrooper\\blast_armor_stormtrooper_helmet.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '242', 'm42o', 'Stop what you\'re doing. I have a job for you. Moff Kracko of Kreel Sector commissioned a slitherhorn from a local vendor. I had one of my subordinates make the actual purchase, and I need you to bring it to me. I\'ll requisition a hyperspace transport to take it to the moff. Yes, this is the New Order\'s precision war machine in action.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '243', 'm42p', 'I don\'t know why my commander is so cranky about this. Personally, after a long day of enforcing galactic security I feel a lot better when I hear someone play a slitherhorn. Anyway, here\'s the instrument.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '244', 'm42c', 'I\'m sure this task exercised all of your precision-honed skills. Now I can requisition a million-credit Imperial transport to take this slitherhorn to some governor who couldn\'t be bothered to buy it in his own system. Once again the Imperial war machine makes the galaxy secure for its citizens.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '245', 'm42i', 'Moff\'s Slitherhorn');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '246', 'm42t', 'Fetch a Moff\'s Slitherhorn');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '247', 'm42f', 'instrument\\slitherhorn.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '248', 'm43o', 'We\'ve had reports of a biological outbreak in this area. I need you to pick up some laboratory equipment so our scientists can work on the problem. Bring the equipment here, and I\'ll make sure you get a modest payment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '249', 'm43p', 'Here\'s the equipment. Be careful with it. There are materials inside more toxic than all the poisons on Ansion.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '250', 'm43c', 'Thanks for delivering this. I hope we can contain this biological outbreak. If I were you, though, I\'d consider leaving the planet for a while.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '251', 'm43i', 'Biolab Equipment');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '252', 'm43t', 'Bring In Laboratory Equipment Quickly');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '253', 'm43f', 'component\\chemistry\\biologic_effect_controller.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '254', 'm44o', 'Can you believe someone still thinks projectile weapons are a viable alternative to blasters? It\'s true. I\'m supposed to take possession of some kind of experimental ammunition today. I need you to fetch it from my contact and bring it to me. I\'ll do what I\'m ordered, of course, but I still think projectile weapons are too archaic to be practical.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '255', 'm44p', 'Here\'s the experimental munitions. They say these projectiles can reach near lightspeed. Sounds pretty powerful if you ask me.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '256', 'm44c', 'Lightspeed projectiles? That\'s ridiculous. I\'ll have to test these things for myself. Anyway, thanks for a job well done.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '257', 'm44i', 'Experimental Projectiles');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '258', 'm44t', 'Safeguard Experimental Ammunition');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '259', 'm44f', 'component\\munition\\ammo_projectile.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '260', 'm45o', 'We ordered a new cooling sleeve for our laser cannon, but Logistics screwed up the dropoff. Some soldier in the middle of nowhere ended up with it. I need you to get out there and bring back my equipment before the Rebels notice that our perimeter is weakened.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '261', 'm45p', 'Thank you for taking this gadget off my hands. I sure can\'t use it. I dream of the day I have a laser cannon to play with.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '262', 'm45c', 'I\'m glad to see you got the sleeve here in one piece. We\'ve had a lot of Rebel trouble around here lately. I need to get my laser cannon back online.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '263', 'm45i', 'Laser Cannon Cooling Sleeve');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '264', 'm45t', 'New Laser Cooling Sleeve');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '265', 'm45f', 'component\\weapon\\laser_cannon_cooling_sleeve.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '266', 'm46o', 'You know, I\'ve always said that gambling is a dangerous habit. Now the Imperial Security Bureau has proven my point. They\'ve augmented a chance cube with a remote-activated explosive charge, to eliminate a local gang leader. I want you to pick up this nasty little device and bring it back to me. This goes without saying: Handle it with care.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '267', 'm46p', 'Make sure not to take this exploding chance cube too near a signal transmitter. The results could be unpleasant.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '268', 'm46c', 'An explosive chance cube. Sometimes the ISB delights me with its creativity. I can\'t wait for our inside man to give this to the gang leader. Ah, the thrill of victory.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '269', 'm46i', 'Explosive Chance Cube');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '270', 'm46t', 'Unfavorable Chance Cube');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '271', 'm46f', 'dice\\eqp_chance_cube.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '272', 'm47o', 'Imperial Center has some new kind of survey tool that they want us to try out. One of these devices is arriving on the planet any second now. I want you to go to the pickup point, get it, and bring it back to me. I\'ll see about calling in one of our surveyors to test it out.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '273', 'm47p', 'I think this thing scans for noxious gases. I have no idea how it works, but here you go. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '274', 'm47c', 'Hmm. The sensor went off right when you handed it to me. What does that mean? I guess I\'ll have to figure it out myself. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '275', 'm47i', 'New Surveying Tool');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '276', 'm47t', 'Interesting Survey Tool');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '277', 'm47f', 'survey_tool\\survey_tool_gas.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '278', 'm48o', 'Finally! Two months ago I ordered a new sighting computer for a turbolaser. Now it\'s here. Can you go pick it up for me? I want to break it in shooting down a few blockade runners that have been sneaking around this quadrant.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '279', 'm48p', 'Careful now. These computers can be a little imprecise at first, until they calibrate themselves to the equipment. Your turbolaser sighting might be a little off for a couple of days, so make sure you\'re not shooting anywhere near friendly combatants.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '280', 'm48c', 'At last! I\'ll install this on my turbolaser immediately. Some smugglers have been threading the needle between our blockade ships for two months. Now that my sighting will be back on target, I can pick off their ships without a problem.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '281', 'm48i', 'Turbolaser Sighting Computer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '282', 'm48t', 'Get My Turbolaser Sighting Computer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '283', 'm48f', 'component\\weapon\\parallel_weapon_targeting_computer.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '284', 'm49o', 'I can\'t wait to see the camouflage generators they\'ve installed on the new stormtrooper armor. I hear that one of the new chest plates is making the rounds not far from here. I don\'t suppose you\'d want to fetch it for me, would you? I\'m dying to see how good it is.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '285', 'm49p', 'Be very careful with this chest plate. The camouflage circuits are very delicate.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '286', 'm49c', 'I don\'t get it. This looks like ordinary armor. How does the camouflage work? You didn\'t drop this thing on the way, did you? Or get into a firefight or something? I\'ll be in deep poodoo if this chest plate is damaged.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '287', 'm49i', 'Camo Trooper Chest Plate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '288', 'm49t', 'Camouflage Armor Chest Plate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '289', 'm49f', 'wearables\\armor\\stormtrooper\\blast_armor_stormtrooper_chest_plate.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '290', 'm50o', 'The Imperial Security Bureau has a new plan. They\'re bugging backpacks to distribute to local children. The hope is to catch parents who are also Rebel sympathizers. Maybe we can stop a few treasonous plots. Your task is to fetch one of these backpacks to me so I can ensure its scan signature is adequately low. Go now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '291', 'm50p', 'Bugging a child\'s backpack. Does that seem right to you? I don\'t feel good about this. It\'s low, even for the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '292', 'm50c', 'Our transceivers allowed us to listen when you picked up the backpack. It seems that the agent who gave it to you was less than loyal to the New Order, wouldn\'t you say? I believe it is time to have a long, vigorous chat with him. As for you, thanks and carry on.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '293', 'm50i', 'Bugged Backpack');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '294', 'm50t', 'Bring Me a Bugged Backpack');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_easy.stf', '295', 'm50f', 'wearables\\backpack\\backpack_s06.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '1', 'm1o', 'Imperial Security has delivered a new cargo for use in the forthcoming Operation Masterstroke. Bring it here at once. Because of this mission\'s critical importance, you must meet all assaults on your person with maximum force. Under no circumstances allow this cargo to fall into enemy hands!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '2', 'm1p', 'Operation Masterstroke -- the high-ups have been planning that one a long time. I advise you to be careful with this latest cargo. Don\'t go near intense magnetic fields.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '3', 'm1c', 'Excellent. This warhead represents only a fraction of the full power of Operation Masterstroke. Soon, soon, the Rebel Alliance will be crushed!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '4', 'm1i', 'Proton Torpedo Warhead');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '5', 'm1t', 'Operation Masterstroke Cargo Delivery');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '6', 'm1f', 'component\\munition\\warhead_heavy.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '7', 'm2o', 'Operation Masterstroke will paralyze the Rebellion in a single unexpected blow. With the cargo shipments that arrive ever more frequently, we will soon achieve victory. You must retrieve the latest shipment and hand-deliver it here, letting no one know of your mission. Guard the cargo with your life!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '8', 'm2p', 'I wonder when Imperial leadership is going to get around to finally executing Operation Masterstroke. I\'ve been hearing about it forever.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '9', 'm2c', 'Superb. This weapon mount represents only a fraction of the full power of Operation Masterstroke. Soon, soon, the Rebel Alliance will be crushed!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '10', 'm2i', 'Heavy Weapon Stabilizing Mount');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '11', 'm2t', 'Operation Masterstroke Materiel Delivery');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '12', 'm2f', 'component\\structure\\weapon_mount_heavy_stabilization_unit.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '13', 'm3o', 'At last our long planning for Operation Masterstroke is bearing fruit. The shipments of cargo grow more frequent each day. You must go at once and fetch the latest addition to this ingenious scheme. Tell no one of your mission, and protect the equipment with your life.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '14', 'm3p', 'It\'s amazing how much materiel the Empire has been accumulating for this Operation Masterstroke. They\'ve been working on it for ages.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '15', 'm3c', 'All is going as planned. This capacitor represents only a fraction of the full power of Operation Masterstroke. Soon, soon, the Rebel Alliance will be crushed!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '16', 'm3i', 'Capacitor Bank');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '17', 'm3t', 'Operation Masterstroke Delivery Assignment');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '18', 'm3f', 'component\\structure\\capacitor_bank.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '19', 'm4o', 'We have received new materiel to serve as a linchpin in the upcoming Operation Masterstroke. You are to bring it here immediately, overcoming all hostile force en route. Never, never let any item intended for Operation Masterstroke fall into the hands of the Rebellion!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '20', 'm4p', 'Another Operation Masterstroke delivery. They must have warehouses full of stuff by now -- cities -- planets full of stuff. When does this operation actually happen?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '21', 'm4c', 'Splendid. This drilling pump represents only a fraction of the full power of Operation Masterstroke. Soon, soon, the Rebel Alliance will be crushed!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '22', 'm4i', 'Drilling Pump');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '23', 'm4t', 'Operation Masterstroke Cargo Required');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '24', 'm4f', 'component\\structure\\fluidic_drilling_pumping_unit.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '25', 'm5o', 'We are administering the development of an improved blaster battery. Be still, my pounding heart. I expect you, too, will thrill to participate in this magnificent undertaking. Bring us the battery prototype for testing. No hurry, though.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '26', 'm5p', 'Here it is, the new battery. You wouldn\'t believe how much education I absorbed to become an Imperial scientist. And what do I get to work on? Batteries.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '27', 'm5c', 'Ah, the key to victory. After my excitement subsides, I\'ll have the staff begin testing. You can imagine their eagerness to undertake this glamorous assignment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '28', 'm5i', 'Improved Battery');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '29', 'm5t', 'Power Storage Breakthrough');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '30', 'm5f', 'battery\\battery.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '31', 'm6o', 'Our long-term effort to design an improved probot droid may finally be bearing fruit. After many travails, we now have schematics for a droid that can survey Rebel activity from a longer distance than ever before. Pick up the revised schematics and bring them here at once, so that we may begin prototyping.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '32', 'm6p', 'These schematics avoid the previous model\'s rangefinding flaw. We ordered it to monitor a target 1500 meters away. It set out for the target, but accelerated far too quickly. It inadvertently achieved escape velocity, flew into the sky, and was lost.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '33', 'm6c', 'No doubt many obstacles remain before the probot will be perfected. But we must push on, against all odds!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '34', 'm6i', 'Revised Probot Schematics');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '35', 'm6t', 'Redesigned Probot Dooms Rebellion');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '36', 'm6f', 'mission\\mission_bounty_droid_probot.iff (or the Probot from the Creatures list)\n\nm7o\nWe have faced many vicissitudes in our attempts to design an improved probot droid. Yet the need to eavesdrop on Rebel plans drives us ever onward. We have received word from the lab that the new plans are ready for prototyping. Bring them here, and the Empire will reward you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '37', 'm7p', 'We believe these plans correct a programming error in the previous model. We ordered that droid to monitor a target 1500 meters away. But the droid apparently interpreted this as 1500 light-years. It flew into the sky and was lost.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '38', 'm7c', 'The many vagaries we have encountered in the probot-redesign program are not endearing us to Imperial High Command. Yet we must persist.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '39', 'm7i', 'Redesigned Probot Plans');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '40', 'm7t', 'Rebellion Will Fall Before Improved Probot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '41', 'm7f', 'mission\\mission_bounty_droid_probot.iff (or the Probot from the Creatures list)\n\nm8o\nOur probot droid redesign program has encountered a certain number of problems. But this droid\'s ability to monitor Rebellion activity at extreme long range will put the Empire\'s eyes everywhere! The corrected schematics for the latest model are now ready for prototyping. Bring them here at once!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '42', 'm8p', 'These schematics correct the previous model\'s lack of judgment in determining auditory ranges. We ordered it to monitor a target 1500 meters away. But the droid instead overheard a different commander\'s orders given, we now believe, a thousand kilometers distant. The droid flew into the sky and was lost. Mysterious.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '43', 'm8c', 'We must endeavor to correct the errors of previous droids. This probot will be the one that succeeds. I feel sure!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '44', 'm8i', 'Probot Schematics (Revised)');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '45', 'm8t', 'Rebels Quail Before New Probot Droid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '46', 'm8f', 'mission\\mission_bounty_droid_probot.iff (or the Probot from the Creatures list)\n\nm9o\nDespite development obstacles, we are continuing our program to redesign the standard probot droid. Its enhanced tracking abilities at range will spell doom for the Rebellion. The probot\'s latest plans await prototyping. Bring them here, and exercise all possible secrecy!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '47', 'm9p', 'The redesigned probot corrects an earlier model\'s trouble discriminating at extreme distances. We ordered it to monitor a target 1500 meters away, and it instead targeted the sun, flew up, and was lost in the sky.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '48', 'm9c', 'The probot program has much to make up for. I hope this next model proves effective.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '49', 'm9i', 'Corrected Probot Droid Plans');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '50', 'm9t', 'New Probot Spells Doom for Rebel Leaders');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '51', 'm9f', 'mission\\mission_bounty_droid_probot.iff (or the Probot from the Creatures list)\n\nm10o\nIn reading disciplinary reports from one of our units, I note that one officer was caught with excessive quantities of illicit Corellian Double-Brandy. The Empire tolerates a certain specified amount of alcohol per soldier, dependent on rank, but this was beyond the limit. Bring the excess Double-Brandy here at once!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '52', 'm10p', 'I have already disciplined the erring officer and was planning to dispose of the Double-Brandy myself. Don\'t you think that would be more efficient? No? Oh well, here you go.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '53', 'm10c', 'I had planned to dispose of the illicit liquor myself, but now a Moff has taken an interest in proper disposal techniques. I must forward this to him at once. Ah, well.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '54', 'm10i', 'Corellian Double-Brandy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '55', 'm10t', 'Illicit Liquor Needed for Testing');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '56', 'm10f', 'food\\crafted\\meal_drink_corellian_double_brandy.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '57', 'm11o', 'Our lab has made a breakthrough in a new miniaturized hyperdrive. It will permit even Lambda-class shuttles to far surpass lightspeed. What a tremendous achievement! Bring this wonder to us at once, and be sure to spread the news far and wide of the Empire\'s technological supremacy!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '58', 'm11p', 'Wouldn\'t the Rebels love to get their hands on this device! It guarantees our victory! Spread the word, and watch our foes quail before us!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '59', 'm11c', 'Wh-what? You arrived safely? Drat. We had hoped a Rebel would steal this from you, or from your body. It contains a tracking beacon and a charge of high explosive. Well, that scheme has failed -- for now. But expect more delivery missions in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '60', 'm11i', 'Prototype Miniaturized Hyperdrive');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '61', 'm11t', 'Breakthrough Miniature Hyperdrive');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '62', 'm11f', 'component\\item\\electronic_control_unit.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '63', 'm12o', 'Our Star Destroyer reactors use ultra-dense hypermatter. The Navy has delivered a new annihilation reactant sample to this world to test its effects in a gravity field. Bring us this sample and we shall commence testing. Don\'t worry, the sample presents no danger.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '64', 'm12p', 'This reactant is quite heavy. If you list a bit to one side, think nothing of it. I suggest you avoid space travel and intense gravity fields.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '65', 'm12c', 'Ah, the hypermatter. Did you happen to notice any odd phenomena -- for example, a strange warping of spacetime in your vicinity? No? Oh. Well, all right. That is all.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '66', 'm12i', 'Annihilation Reactant');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '67', 'm12t', 'Candidate for Annihilation Reactant');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '68', 'm12f', 'component\\chemistry\\dye_hair.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '69', 'm13o', 'I understand a research lab has made a breakthrough in a new vehicle-mounted shield generator design. Supposedly it represents a completely revolutionary approach to shield generation. We cannot afford to let the Rebellion learn of this. Therefore I require you to go and get these designs, and hand-deliver them to me.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '70', 'm13p', 'Revolutionary? I believe there\'s some mistake. These designs originate from a remote Imperial lab in the Outer Rim Territories. We are only making copies.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '71', 'm13c', 'Outer Rim lab? Pah! Who could imagine that this titanic breakthrough would come from some obscure lab in the hinterworlds? I expect this innovation, which originated entirely under my command here, will make my reputation. You would do well to echo these sentiments, if asked.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '72', 'm13i', 'Vehicular Shield Generator Plans');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '73', 'm13t', 'Design for Speeder Shield Generator');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '74', 'm13f', 'component\\armor\\shield_generator_vehicular.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '75', 'm14o', 'I am pleased. Our armor-testing laboratory reports that the recent laser-resistant stormtrooper armor passed testing with minimal casualties. The trooper volunteers are no doubt breathing easier now! I need you to pick up the design and hand-deliver it here, so that the Rebels see nothing of this breakthrough.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '76', 'm14p', 'Apparently my report got corrupted in transit. \"Minimal casualties\" was actually \"maximal casualties.\" As in previous tests, none of the troopers survived testing.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '77', 'm14c', 'Maximal casualties? Oh. Well, there are always more stormtroopers. We will analyze and redesign the laserproof armor, and recommence testing shortly.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '78', 'm14i', 'Laser-Resistant Armor Design');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '79', 'm14t', 'Testbed for Energy-Resistant Armor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '80', 'm14f', 'component\\armor\\armor_layer_energy.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '81', 'm15o', 'In our past efforts to improve the acid resistance of stormtrooper armor, we have encountered technical obstacles. Now, though, the deaths of the troopers in our previous experiments have inspired us to greater heights! A new design is ready for prototyping, and we require you to bring it to us at once.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '82', 'm15p', 'This armor design looks better than earlier versions, but I doubt any more stormtroopers will volunteer to test it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '83', 'm15c', 'Stormtroopers are all volunteers, whether they like it or not. I shall have the prototype created at once, and drafting of volunteers will commence thereafter.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '84', 'm15i', 'Anti-Acid Armor Design');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '85', 'm15t', 'New Anti-Acid Armor Design');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '86', 'm15f', 'component\\armor\\heavy_armor_layer_acid.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '87', 'm16o', 'Again there are problems with our tests of anti-acid protection for stormtrooper armor. Again we have lost several stormtroopers, messily, when the prototype\'s protection failed. Our lab has retained a piece from the most recent catastrophe. You are ordered to fetch this piece and bring it here -- in a safe container, of course.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '88', 'm16p', 'Here\'s the container with the armor fragment. We\'re still cleaning up the remains of the last stormtrooper testers. What a stench!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '89', 'm16c', 'Losing a few stormtroopers is a small price to pay for improved armor. We shall commence analysis of this fragment at once. That is all.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '90', 'm16i', 'Anti-Acid Armor Fragment');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '91', 'm16t', 'Critical Failure of Anti-Acid Armor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '92', 'm16f', 'component\\armor\\armor_layer_acid.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '93', 'm17o', 'Imperial Intelligence has let it be known that there may be action on an icy world in the Outer Rim. We have no other details. This unit is charged with designing the stormtrooper -- excuse me, \"snowtrooper\" -- armor for the campaign. Pick up the armor designs and bring them here by hand, in order to avoid alerting Rebel spies!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '94', 'm17p', 'These preliminary designs feature a heat-retaining helmet modification that may interfere somewhat with our stormtroopers\' famed targeting accuracy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '95', 'm17c', 'Far better to protect against frostbite than to worry excessively over details of weapon targeting! That is what I say!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '96', 'm17i', 'Snow Armor Modification Plans');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '97', 'm17t', 'Snow Armor Design Delivery');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '98', 'm17f', 'component\\armor\\armor_layer_cold.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '99', 'm18o', 'We recently destroyed yet another Rebel base, and we believe this assault killed a valued Rebel leader. The victim\'s datapad survives. WIth its information, we can verify the leader\'s identity and, in all likelihood, learn vital intelligence. You must retrieve this datapad from the assault leader and return it here for decryption.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '100', 'm18p', 'I\'d prefer not to idly speculate about the leader\'s identity. We haven\'t positively identified the charred remains. Here\'s the datapad.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '101', 'm18c', 'Excellent. Once we decrypt this information, we\'ll learn whether we\'ve finally disposed of Princess Leia Organa!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '102', 'm18i', 'Datapad');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '103', 'm18t', 'Rebel\'s Last Message Awaits Decryption');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '104', 'm18f', 'datapad\\character_datapad.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '105', 'm19o', 'For many years Imperial researchers have sought to duplicate the amazing qualities of ancient Mandalorian armor. We recently occupied an Outer Rim world that failed to show proper respect, and from a museum there our troops took a fine Mandalorian specimen. You are to retrieve this armor and return it here for close analysis.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '106', 'm19p', 'It\'s a piece from the upper arm -- presumably of a bipedal species. I don\'t know if the Mandalorians ever created armor for, say, tentacled blobs. Here you are.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '107', 'm19c', 'I\'ll have our top scientists examine this for as long as it takes. Eventually every stormtrooper will have armor as fine as this!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '108', 'm19i', 'Rare Armor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '109', 'm19t', 'Uncover Mandalorian Armor\'s Secret');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '110', 'm19f', 'wearables\\armor\\mandalorian\\armor_mandalorian_bicep_l.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '111', 'm20o', 'Given our incessant need for materials, the Empire constantly researches new survey techniques. A scientist reports that his unit has finished testing a new prototype surveying tool. You will retrieve the tool and bring it here, so that we can analyze the rate of wear and tear due to fieldwork.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '112', 'm20p', 'We had no better luck with this unit than with current models. But it\'s not politically desirable to report this to my superiors, who include the unit\'s designer.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '113', 'm20c', 'Once this unit has proven its worth, the Empire will be pleased to order enough units to survey the galaxy!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '114', 'm20i', 'Survey Tool Prototype');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '115', 'm20t', 'Empire\'s Mineral Needs Assured');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '116', 'm20f', 'survey_tool\\survey_tool_mineral.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '117', 'm21o', 'It remains a demanding task to locate and concentrate valuable atmospheric gases. A researcher reports that he has made a breakthrough in gas mining. Personally, I doubt that any scientist on this world has the resources to produce such a \"breakthrough.\" Nonetheless, you should fetch the item that excites him and bring it here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '118', 'm21p', 'This unit offers a 13% efficiency improvement. But my commander has invested heavily in a company that makes the existing model. If this new one works, he\'s out of business, so he\'ll make sure it won\'t. Of course, you never heard that from me.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '119', 'm21c', 'Hmph. I can see just by looking at it -- this is mere industrial trash. Thank you, I shall dispose of -- I mean, handle this item from this point onward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '120', 'm21i', 'Survey Tool Prototype');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '121', 'm21t', 'Gas Mining Breakthrough?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '122', 'm21f', 'survey_tool\\survey_tool_gas.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '123', 'm22o', 'A patrol around Yavin 4 found the remains of a stormtrooper from the destroyed Death Star. It is in the Empire\'s interest to enshrine and publicize these martyrs. By mistake the remains were shipped to this world. Retrieve this hero with all speed and return his body here for proper shipment to Coruscant.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '124', 'm22p', 'Body? Well -- it\'s part of one, I guess. Apparently all they found were these, uh, boots. I hope they\'ll do. They smell odd, though.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '125', 'm22c', 'Boots? Umm. Well. All right, thank you, go now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '126', 'm22i', 'Trooper\'s Last Remains');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '127', 'm22t', 'Hero of the Empire Heads for Home');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '128', 'm22f', 'wearables\\armor\\stormtrooper\\blast_armor_stormtrooper_boots.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '129', 'm23o', 'Evidently a stormtrooper, somehow more inventive than his fellows, has devised an improved utility belt. How unusual! My superiors think this would make an intriguing HoloNet propaganda feature. \"Stormtrooper Doesn\'t Let Duty Interfere With Creative Service to His Empire.\" Bring the trooper here, or at least his belt.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '130', 'm23p', 'The trooper was showing dangerous mental instability due to a radiation accident. He grew insubordinate, and we had him terminated. Here is his belt.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '131', 'm23c', 'Oh. Hmm. Well, the belt doesn\'t appear remarkably improved. My superiors will have to judge whether the human-interest story remains satisfying. You may go now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '132', 'm23i', 'Improved Utility Belt');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '133', 'm23t', 'Stormtrooper\'s Creative Service');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '134', 'm23f', 'wearables\\armor\\stormtrooper\\blast_armor_stormtrooper_utility_belt.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '135', 'm24o', 'Incredibly, a Rebel spy infiltrated a Star Destroyer supply depot and placed listening devices in many TIE pilot helmets! A commander on this world uncovered the atrocity. You must go at once and retrieve an example of the compromised helmets. Tell no one of this embarrassment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '136', 'm24p', 'I don\'t even handle TIE fighters. I got shipped these helmets by mistake. Typical snafu. I planned to cannibalize them for parts, and that\'s how I found the bugs. Here, take one.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '137', 'm24c', 'This is the bugged helmet, eh? Listen: The Empire triumphs over all such minor obstacles. Do you hear? Never think, or speak, otherwise. You may go now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '138', 'm24i', 'Sabotaged TIE Helmet');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '139', 'm24t', 'TIE Helmet Investigation Improves Security');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '140', 'm24f', 'wearables\\helmet\\helmet_tie_fighter.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '141', 'm25o', 'Symbolizing his boundless love for the entire galaxy, our Emperor collects colorful primitive paraphernalia from many worlds. A recent purge of hostile savages on this world has brought us many items -- I mean \"treasures\" -- of this kind. I\'d like you to fetch a choice item from this hoard and bring it here for forwarding to the Emperor\'s Retreat.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '142', 'm25p', 'When my commander made this request, I pulled everything I could from the bodies and sorted through a huge pile. Here\'s the choicest item that\'s still intact, a piece of bone armor.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '143', 'm25c', 'Hmm. Well, who am I to say whether some native gimcrack has value? I shall submit this bone spur to the Emperor\'s staff for consideration. I do hope it reflects well on me.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '144', 'm25i', 'Alien Savage Armor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '145', 'm25t', 'Souvenir for Emperor\'s Retreat');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '146', 'm25f', 'wearables\\armor\\bone\\armor_bone_s01_bracer_r.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '147', 'm26o', 'A Moff in another system wishes to present a gift to a very close friend. His friend apparently enjoys the jewelry of a craftswoman on this world. For safety and convenience we have confined the craftswoman at her home. You are to obtain her most elaborate piece and bring it here. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '148', 'm26p', 'We were forced to destroy the craftswoman and her home when she expressed violent support for the Rebellion. This single piece of her work survived the blast.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '149', 'm26c', 'Blown up? Um. Well. This seems an adequately lovely piece. I shall forward it without comment, and let my superiors explain matters to the Moff.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '150', 'm26i', 'Moff\'s Jewelry');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '151', 'm26t', 'Gift for Moff\'s Good Friend');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '152', 'm26f', 'wearables\\tiara\\tiara_s01.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '153', 'm27o', 'We have been pursuing deflector shield component research project on this world. As I understand it, magnetic conditions at the test site are exactly right. A test official says a prototype is done, and they need a courier to bring it here for fuller testing. That courier would be you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '154', 'm27p', 'This is an improved ion feed for the deflector shields on Marauder-class corvette ships, such as those used by the Corporate Sector Authority. Guard it carefully!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '155', 'm27c', 'Corporate Sector Authority? You mean they\'ve been squandering Imperial research dollars on a CSA project? Gad! I must alert my superiors. This will stop at once!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '156', 'm27i', 'Deflector shield ion feed');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '157', 'm27t', 'Prototype Deflector Component');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '158', 'm27f', 'component\\armor\\deflector_shield_ion_feed_unit.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '159', 'm28o', 'Our researchers continue to break new ground in stormtrooper shield technology. I\'ve been given happy news of a new personal shield prototype -- quite the breakthrough, says the report. Bring me this prototype, and allow no one to steal or damage it!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '160', 'm28p', 'Work proceeds quite well. The current model still delivers a lethal heat burn to any trooper who wears it, but the time before destruction is now extended to over a minute!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '161', 'm28c', 'Over a minute. How glorious. I must admit, I expected better. I shall look into the matter of that researcher\'s funding. Thank you, you may go.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '162', 'm28i', 'Personal Shield Generator');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '163', 'm28t', 'Empire\'s Shields Grow Ever Stronger');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '164', 'm28f', 'component\\armor\\shield_generator_personal.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '165', 'm29o', 'You! I need a loyal agent to retrieve a prototype device -- some kind of biochemical equipment. I have the name here: \"bionetic reagent analyzer.\" It remains to be seen what this device actually does, but it sounds important. Fetch it at once, and allow no one to see it en route. This mission is classified!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '166', 'm29p', 'Yes, the bionetic reagent analyzer! Its purpose and operation are too hard to describe to a layperson, but rest assured: This is a landmark day in the history of transformative introversional bionetics!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '167', 'm29c', 'Ah yes, the bionetic, um, reagent ... analyzer. Well. There it is. I shall pass this breakthrough along to -- to someone who will certainly appreciate its, ah, grandeur.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '168', 'm29i', 'Chemical Equipment');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '169', 'm29t', 'Imperial Chemistry Means Better Living');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '170', 'm29f', 'component\\chemistry\\biologic_effect_controller.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '171', 'm30o', 'A Core World laboratory has shipped us a prototype release timer suitable for gas bombs. We are to test it and report its efficacy. The prototype is ready for you to pick up and bring here. So you\'d best get moving, correct?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '172', 'm30p', 'The lab recommends testing this timer using a gas volume sufficient to blanket this hemisphere to a depth of two meters.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '173', 'm30c', 'A hemisphere of gas! Ah, I see the mistake. It appears the Core lab shipped us a prototype actually intended for mining operations in the Corporate Sector. (Whew!)');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '174', 'm30i', 'Chemical Equipment');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '175', 'm30t', 'Gas Dispersion Weapon to Defeat Rebellion');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '176', 'm30f', 'component\\chemistry\\release_mechanism_duration.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '177', 'm31o', 'The Empire is experimenting with the use of assassin droids against major Rebel leaders. One attempt recently failed, but a soldier salvaged the droid\'s brain. We hope to read its memory banks for useful data on Rebel defense tactics. Retrieve the brain from the soldier and bring it here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '178', 'm31p', 'The droid was from Holowan Laboratories. Took out a Rebel squad before a cloud car rammed it at supersonic speed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '179', 'm31c', 'Ah, Holowan Technologies -- \"the Friendly Technology People.\" I doubt this droid made friends easily. Thank you, that is all.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '180', 'm31i', 'Assassin Droid Brain');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '181', 'm31t', 'Salvage Last Memories of Imperial Droid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '182', 'm31f', 'component\\droid\\droid_brain.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '183', 'm32o', 'We\'ve spent a fortune purifying a sample of denaric, one of the more potent poisons in the Outer Rim Territories. Fast, effective, and said to be untraceable. Now we\'re ready to use it against select Rebel leaders, as soon as you retrieve the sample from our researcher.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '184', 'm32p', 'Looks like sugar, doesn\'t it? Don\'t touch it!  If you carry it, use this container!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '185', 'm32c', 'Soon a remarkable number of Rebellion agitators will succumb to mysterious \"heart failure.\" You\'ve done well. Tell no one of this, or you\'ll regret it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '186', 'm32i', 'Pure Denaric Poison');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '187', 'm32t', 'Poisonous Present for Rebel Leaders');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '188', 'm32f', 'component\\food\\ingredient_sugar.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '189', 'm33o', 'An indigenous species produces a material useful for improved crowd-control entangler ammunition. The researcher who discovered this has produced a new prototype of the ammunition. Please collect the prototype ammo at once and bring it here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '190', 'm33p', 'Yes, a local spideroid produces saliva that makes the entangler ammo even stickier and more cohesive. It\'s been a laborious task collecting all that spideroid spit.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '191', 'm33c', 'From humble strands, such as this spideroid\'s secretion, we weave the web of cumulative power that assures victory! Excellent work, agent!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '192', 'm33i', 'Entangler Ammo');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '193', 'm33t', 'Crowd Control Ammo for Misguided Protesters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '194', 'm33f', 'component\\munition\\ammo_projectile_entanglement.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '195', 'm34o', 'The Empire has made heavy use of rylith crystals, which store and release solar energy. We will eventually exhaust natural supplies of rylith found on the world Demophon. We are cultivating the crystals on other worlds, with limited success so far. Please collect the results of the latest trial on this world from our researcher, and bring the samples here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '196', 'm34p', 'Rylith has an uncommonly complex structure. I am investigating using valuable Tasar power crystals as seed crystals. What do you think of these samples?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '197', 'm34c', 'Hmm. Not particularly promising so far, especially with the exorbitant cost of the seed Tasar crystals. Still, we must pursue this matter. You may go now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '198', 'm34i', 'Rylith Crystals');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '199', 'm34t', 'Key to Improved Blaster Efficiency');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '200', 'm34f', 'component\\weapon\\energization_crystals.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '201', 'm35o', 'You there. I need you to drop what you\'re doing and handle this problem. My unit is testing an experimental motivator from Talfaglio, but all my men are stuck doing wargames. That\'s where you come in. Pick up this device and bring it back to me. My superior is getting impatient.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '202', 'm35p', 'You\'re not from the designated test unit, are you? Never mind. Here\'s the experimental motivator. Make sure it gets to the commander in one piece.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '203', 'm35c', 'Thanks. If I don\'t get this motivator installed and tested in the next few hours, my commander will have my hide. I wonder how you install this thing?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '204', 'm35i', 'Experimental Motivator');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '205', 'm35t', 'Experimental Motivator');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '206', 'm35f', 'component\\droid\\droid_motive_system.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '207', 'm36o', 'A well-connected officer was killed by a Rebel assassin. The only witness was a binary load lifter. Our field agents have extracted the droid\'s brain. I need you to bring it here so I can pass it on to Imperial Intelligence. This is very important. Do not fail.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '208', 'm36p', 'Here\'s the droid brain. Don\'t worry, it came from a binary load lifter, so it\'s not too heavy. Lifters don\'t have the biggest brains in the galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '209', 'm36c', 'Very good. I\'ll note your work in my report. Carry on.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '210', 'm36i', 'Binary Load lifter brain');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '211', 'm36t', 'Retrieve Droid Brain');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '212', 'm36f', 'component\\droid\\droid_brain.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '213', 'm37o', 'Imperial Intelligence impounded a privately-owned probot, on the grounds that it was being used by Rebel agents. These are the coordinates where the droid is being held. Bring it back to me immediately. I\'ll see if it contains any evidence that may help us locate the Rebels and uncover their criminal plots.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '214', 'm37p', 'I\'d keep an eye on this probot, if I were you. It seems resistant to the restraining bolt. It definitely wants to get loose.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '215', 'm37c', 'You didn\'t have too much trouble, I hope? I knew you were up to the task. Now to see what this droid can tell us about its Rebel masters.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '216', 'm37i', 'Rebel Probot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '217', 'm37t', 'Bring back a Rebel Probot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '218', 'm37f', 'mission\\mission_bounty_droid_probot.iff (or the Probot from the Creatures list)\n\nm38o\nRebels are sadistic animals. They killed several of our elite soldiers by poisoning a shipment of medpacks to Calamari. One of these contaminated packs has arrived on-planet. I want you to fetch it back to me. I\'ll see if I can find any clues to the perpetrators of this cowardly plot.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '219', 'm38p', 'Here\'s the poisoned medpack. I know this area can be dangerous, but if anything happens to you on the way back, make sure you don\'t use this medpack. Your dying screams would attract scavengers. We\'d have a heck of a time finding your corpse.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '220', 'm38c', 'This is the poisoned medpack, eh? How strange. I\'d swear it was contaminated by Imperial Intelligence, not in some Rebel\'s back-room laboratory. I\'ll have to be careful who I report this to.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '221', 'm38i', 'Contaminated Medpack');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '222', 'm38t', 'Transport Incriminating Medpack');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '223', 'm38f', 'medicine\\medpack_wound.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '224', 'm39o', 'Remember the stories about Mandalorian warriors? Imperial Intelligence found an old Mandalorian gauntlet with a unique smartrope system. Go get this interesting artifact and bring it back to me. I want to see if we can coopt the technology into some of our political enforcement operations.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '225', 'm39p', 'Here\'s the gauntlet. Looks ridiculous, doesn\'t it? What sort of peedunkel would actually wear this old stuff? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '226', 'm39c', 'Excellent. This does look interesting. Those Mandalorians had a real sense of style, didn\'t they?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '227', 'm39i', 'Mandalorian Gauntlet');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '228', 'm39t', 'Deliver Mandalorian Gauntlet');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '229', 'm39f', 'wearables\\armor\\mandalorian\\armor_mandalorian_bracer_l.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '230', 'm40o', 'It\'s not well known that the Ubese people produced some of the most advanced personal combat equipment found in the galaxy. My commander recently obtained a bandolier of Ubese weapons from a smuggler in the radiation belt. I want you to fetch this prize and bring it to me. I\'ll see if we can make any use of it here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '231', 'm40p', 'Are you the courier for this Ubese bandolier? Good. It\'s worth a lot of money. Holding it makes me feel like a target. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '232', 'm40c', 'Thank you. I can\'t wait to try these weapons out. With luck I\'ll get an excellent performance review this year!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '233', 'm40i', 'Ubese Bandolier');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '234', 'm40t', 'Bring Ubese Bandolier');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '235', 'm40f', 'wearables\\armor\\ubese\\armor_ubese_bandolier.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '236', 'm41o', 'They\'ve made some kind of new modification to the stormtrooper helmet. I hope it lets you see better. I need to deliver one of the new prototypes to my superior. Can you fetch it from my contact and bring it to me? Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '237', 'm41p', 'Here\'s the new prototype stormtrooper blast helmet. They say the black quartz visors are thicker, to better repel lasers. Of course that decreases your field of vision, but hey, stormtroopers are so precise they can afford to lose a little peripheral vision, right?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '238', 'm41c', 'This is an improvement? Well, if they say so. I don\'t get how anyone can see through these new visors.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '239', 'm41i', 'Prototype Stormtrooper Helmet');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '240', 'm41t', 'Prototype Stormtrooper Helmet');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '241', 'm41f', 'wearables\\armor\\stormtrooper\\blast_armor_stormtrooper_helmet.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '242', 'm42o', 'Stop what you\'re doing. I have a job for you. Moff Kracko of Kreel Sector commissioned a slitherhorn from a local vendor. I had one of my subordinates make the actual purchase, and I need you to bring it to me. I\'ll requisition a hyperspace transport to take it to the moff. Yes, this is the New Order\'s precision war machine in action.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '243', 'm42p', 'I don\'t know why my commander is so cranky about this. Personally, after a long day of enforcing galactic security I feel a lot better when I hear someone play a slitherhorn. Anyway, here\'s the instrument.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '244', 'm42c', 'I\'m sure this task exercised all of your precision-honed skills. Now I can requisition a million-credit Imperial transport to take this slitherhorn to some governor who couldn\'t be bothered to buy it in his own system. Once again the Imperial war machine makes the galaxy secure for its citizens.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '245', 'm42i', 'Moff\'s Slitherhorn');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '246', 'm42t', 'Fetch a Moff\'s Slitherhorn');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '247', 'm42f', 'instrument\\slitherhorn.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '248', 'm43o', 'We\'ve had reports of a biological outbreak in this area. I need you to pick up some laboratory equipment so our scientists can work on the problem. Bring the equipment here, and I\'ll make sure you get a modest payment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '249', 'm43p', 'Here\'s the equipment. Be careful with it. There are materials inside more toxic than all the poisons on Ansion.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '250', 'm43c', 'Thanks for delivering this. I hope we can contain this biological outbreak. If I were you, though, I\'d consider leaving the planet for a while.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '251', 'm43i', 'Biolab Equipment');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '252', 'm43t', 'Bring In Laboratory Equipment Quickly');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '253', 'm43f', 'component\\chemistry\\biologic_effect_controller.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '254', 'm44o', 'Can you believe someone still thinks projectile weapons are a viable alternative to blasters? It\'s true. I\'m supposed to take possession of some kind of experimental ammunition today. I need you to fetch it from my contact and bring it to me. I\'ll do what I\'m ordered, of course, but I still think projectile weapons are too archaic to be practical.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '255', 'm44p', 'Here\'s the experimental munitions. They say these projectiles can reach near lightspeed. Sounds pretty powerful if you ask me.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '256', 'm44c', 'Lightspeed projectiles? That\'s ridiculous. I\'ll have to test these things for myself. Anyway, thanks for a job well done.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '257', 'm44i', 'Experimental Projectiles');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '258', 'm44t', 'Safeguard Experimental Ammunition');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '259', 'm44f', 'component\\munition\\ammo_projectile.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '260', 'm45o', 'We ordered a new cooling sleeve for our laser cannon, but Logistics screwed up the dropoff. Some soldier in the middle of nowhere ended up with it. I need you to get out there and bring back my equipment before the Rebels notice that our perimeter is weakened.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '261', 'm45p', 'Thank you for taking this gadget off my hands. I sure can\'t use it. I dream of the day I have a laser cannon to play with.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '262', 'm45c', 'I\'m glad to see you got the sleeve here in one piece. We\'ve had a lot of Rebel trouble around here lately. I need to get my laser cannon back online.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '263', 'm45i', 'Laser Cannon Cooling Sleeve');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '264', 'm45t', 'New Laser Cooling Sleeve');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '265', 'm45f', 'component\\weapon\\laser_cannon_cooling_sleeve.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '266', 'm46o', 'You know, I\'ve always said that gambling is a dangerous habit. Now the Imperial Security Bureau has proven my point. They\'ve augmented a chance cube with a remote-activated explosive charge, to eliminate a local gang leader. I want you to pick up this nasty little device and bring it back to me. This goes without saying: Handle it with care.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '267', 'm46p', 'Make sure not to take this exploding chance cube too near a signal transmitter. The results could be unpleasant.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '268', 'm46c', 'An explosive chance cube. Sometimes the ISB delights me with its creativity. I can\'t wait for our inside man to give this to the gang leader. Ah, the thrill of victory.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '269', 'm46i', 'Explosive Chance Cube');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '270', 'm46t', 'Unfavorable Chance Cube');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '271', 'm46f', 'dice\\eqp_chance_cube.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '272', 'm47o', 'Imperial Center has some new kind of survey tool that they want us to try out. One of these devices is arriving on the planet any second now. I want you to go to the pickup point, get it, and bring it back to me. I\'ll see about calling in one of our surveyors to test it out.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '273', 'm47p', 'I think this thing scans for noxious gases. I have no idea how it works, but here you go. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '274', 'm47c', 'Hmm. The sensor went off right when you handed it to me. What does that mean? I guess I\'ll have to figure it out myself. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '275', 'm47i', 'New Surveying Tool');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '276', 'm47t', 'Interesting Survey Tool');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '277', 'm47f', 'survey_tool\\survey_tool_gas.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '278', 'm48o', 'Finally! Two months ago I ordered a new sighting computer for a turbolaser. Now it\'s here. Can you go pick it up for me? I want to break it in shooting down a few blockade runners that have been sneaking around this quadrant.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '279', 'm48p', 'Careful now. These computers can be a little imprecise at first, until they calibrate themselves to the equipment. Your turbolaser sighting might be a little off for a couple of days, so make sure you\'re not shooting anywhere near friendly combatants.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '280', 'm48c', 'At last! I\'ll install this on my turbolaser immediately. Some smugglers have been threading the needle between our blockade ships for two months. Now that my sighting will be back on target, I can pick off their ships without a problem.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '281', 'm48i', 'Turbolaser Sighting Computer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '282', 'm48t', 'Get My Turbolaser Sighting Computer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '283', 'm48f', 'component\\weapon\\parallel_weapon_targeting_computer.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '284', 'm49o', 'I can\'t wait to see the camouflage generators they\'ve installed on the new stormtrooper armor. I hear that one of the new chest plates is making the rounds not far from here. I don\'t suppose you\'d want to fetch it for me, would you? I\'m dying to see how good it is.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '285', 'm49p', 'Be very careful with this chest plate. The camouflage circuits are very delicate.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '286', 'm49c', 'I don\'t get it. This looks like ordinary armor. How does the camouflage work? You didn\'t drop this thing on the way, did you? Or get into a firefight or something? I\'ll be in deep poodoo if this chest plate is damaged.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '287', 'm49i', 'Camo Trooper Chest Plate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '288', 'm49t', 'Camouflage Armor Chest Plate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '289', 'm49f', 'wearables\\armor\\stormtrooper\\blast_armor_stormtrooper_chest_plate.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '290', 'm50o', 'The Imperial Security Bureau has a new plan. They\'re bugging backpacks to distribute to local children. The hope is to catch parents who are also Rebel sympathizers. Maybe we can stop a few treasonous plots. Your task is to fetch one of these backpacks to me so I can ensure its scan signature is adequately low. Go now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '291', 'm50p', 'Bugging a child\'s backpack. Does that seem right to you? I don\'t feel good about this. It\'s low, even for the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '292', 'm50c', 'Our transceivers allowed us to listen when you picked up the backpack. It seems that the agent who gave it to you was less than loyal to the New Order, wouldn\'t you say? I believe it is time to have a long, vigorous chat with him. As for you, thanks and carry on.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '293', 'm50i', 'Bugged Backpack');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '294', 'm50t', 'Bring Me a Bugged Backpack');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_hard.stf', '295', 'm50f', 'wearables\\backpack\\backpack_s06.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '1', 'm1o', 'Imperial Security has delivered a new cargo for use in the forthcoming Operation Masterstroke. Bring it here at once. Because of this mission\'s critical importance, you must meet all assaults on your person with maximum force. Under no circumstances allow this cargo to fall into enemy hands!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '2', 'm1p', 'Operation Masterstroke -- the high-ups have been planning that one a long time. I advise you to be careful with this latest cargo. Don\'t go near intense magnetic fields.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '3', 'm1c', 'Excellent. This warhead represents only a fraction of the full power of Operation Masterstroke. Soon, soon, the Rebel Alliance will be crushed!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '4', 'm1i', 'Proton Torpedo Warhead');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '5', 'm1t', 'Operation Masterstroke Cargo Delivery');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '6', 'm1f', 'component\\munition\\warhead_heavy.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '7', 'm2o', 'Operation Masterstroke will paralyze the Rebellion in a single unexpected blow. With the cargo shipments that arrive ever more frequently, we will soon achieve victory. You must retrieve the latest shipment and hand-deliver it here, letting no one know of your mission. Guard the cargo with your life!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '8', 'm2p', 'I wonder when Imperial leadership is going to get around to finally executing Operation Masterstroke. I\'ve been hearing about it forever.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '9', 'm2c', 'Superb. This weapon mount represents only a fraction of the full power of Operation Masterstroke. Soon, soon, the Rebel Alliance will be crushed!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '10', 'm2i', 'Heavy Weapon Stabilizing Mount');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '11', 'm2t', 'Operation Masterstroke Materiel Delivery');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '12', 'm2f', 'component\\structure\\weapon_mount_heavy_stabilization_unit.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '13', 'm3o', 'At last our long planning for Operation Masterstroke is bearing fruit. The shipments of cargo grow more frequent each day. You must go at once and fetch the latest addition to this ingenious scheme. Tell no one of your mission, and protect the equipment with your life.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '14', 'm3p', 'It\'s amazing how much materiel the Empire has been accumulating for this Operation Masterstroke. They\'ve been working on it for ages.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '15', 'm3c', 'All is going as planned. This capacitor represents only a fraction of the full power of Operation Masterstroke. Soon, soon, the Rebel Alliance will be crushed!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '16', 'm3i', 'Capacitor Bank');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '17', 'm3t', 'Operation Masterstroke Delivery Assignment');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '18', 'm3f', 'component\\structure\\capacitor_bank.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '19', 'm4o', 'We have received new materiel to serve as a linchpin in the upcoming Operation Masterstroke. You are to bring it here immediately, overcoming all hostile force en route. Never, never let any item intended for Operation Masterstroke fall into the hands of the Rebellion!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '20', 'm4p', 'Another Operation Masterstroke delivery. They must have warehouses full of stuff by now -- cities -- planets full of stuff. When does this operation actually happen?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '21', 'm4c', 'Splendid. This drilling pump represents only a fraction of the full power of Operation Masterstroke. Soon, soon, the Rebel Alliance will be crushed!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '22', 'm4i', 'Drilling Pump');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '23', 'm4t', 'Operation Masterstroke Cargo Required');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '24', 'm4f', 'component\\structure\\fluidic_drilling_pumping_unit.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '25', 'm5o', 'We are administering the development of an improved blaster battery. Be still, my pounding heart. I expect you, too, will thrill to participate in this magnificent undertaking. Bring us the battery prototype for testing. No hurry, though.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '26', 'm5p', 'Here it is, the new battery. You wouldn\'t believe how much education I absorbed to become an Imperial scientist. And what do I get to work on? Batteries.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '27', 'm5c', 'Ah, the key to victory. After my excitement subsides, I\'ll have the staff begin testing. You can imagine their eagerness to undertake this glamorous assignment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '28', 'm5i', 'Improved Battery');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '29', 'm5t', 'Power Storage Breakthrough');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '30', 'm5f', 'battery\\battery.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '31', 'm6o', 'Our long-term effort to design an improved probot droid may finally be bearing fruit. After many travails, we now have schematics for a droid that can survey Rebel activity from a longer distance than ever before. Pick up the revised schematics and bring them here at once, so that we may begin prototyping.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '32', 'm6p', 'These schematics avoid the previous model\'s rangefinding flaw. We ordered it to monitor a target 1500 meters away. It set out for the target, but accelerated far too quickly. It inadvertently achieved escape velocity, flew into the sky, and was lost.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '33', 'm6c', 'No doubt many obstacles remain before the probot will be perfected. But we must push on, against all odds!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '34', 'm6i', 'Revised Probot Schematics');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '35', 'm6t', 'Redesigned Probot Dooms Rebellion');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '36', 'm6f', 'mission\\mission_bounty_droid_probot.iff (or the Probot from the Creatures list)\n\nm7o\nWe have faced many vicissitudes in our attempts to design an improved probot droid. Yet the need to eavesdrop on Rebel plans drives us ever onward. We have received word from the lab that the new plans are ready for prototyping. Bring them here, and the Empire will reward you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '37', 'm7p', 'We believe these plans correct a programming error in the previous model. We ordered that droid to monitor a target 1500 meters away. But the droid apparently interpreted this as 1500 light-years. It flew into the sky and was lost.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '38', 'm7c', 'The many vagaries we have encountered in the probot-redesign program are not endearing us to Imperial High Command. Yet we must persist.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '39', 'm7i', 'Redesigned Probot Plans');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '40', 'm7t', 'Rebellion Will Fall Before Improved Probot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '41', 'm7f', 'mission\\mission_bounty_droid_probot.iff (or the Probot from the Creatures list)\n\nm8o\nOur probot droid redesign program has encountered a certain number of problems. But this droid\'s ability to monitor Rebellion activity at extreme long range will put the Empire\'s eyes everywhere! The corrected schematics for the latest model are now ready for prototyping. Bring them here at once!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '42', 'm8p', 'These schematics correct the previous model\'s lack of judgment in determining auditory ranges. We ordered it to monitor a target 1500 meters away. But the droid instead overheard a different commander\'s orders given, we now believe, a thousand kilometers distant. The droid flew into the sky and was lost. Mysterious.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '43', 'm8c', 'We must endeavor to correct the errors of previous droids. This probot will be the one that succeeds. I feel sure!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '44', 'm8i', 'Probot Schematics (Revised)');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '45', 'm8t', 'Rebels Quail Before New Probot Droid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '46', 'm8f', 'mission\\mission_bounty_droid_probot.iff (or the Probot from the Creatures list)\n\nm9o\nDespite development obstacles, we are continuing our program to redesign the standard probot droid. Its enhanced tracking abilities at range will spell doom for the Rebellion. The probot\'s latest plans await prototyping. Bring them here, and exercise all possible secrecy!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '47', 'm9p', 'The redesigned probot corrects an earlier model\'s trouble discriminating at extreme distances. We ordered it to monitor a target 1500 meters away, and it instead targeted the sun, flew up, and was lost in the sky.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '48', 'm9c', 'The probot program has much to make up for. I hope this next model proves effective.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '49', 'm9i', 'Corrected Probot Droid Plans');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '50', 'm9t', 'New Probot Spells Doom for Rebel Leaders');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '51', 'm9f', 'mission\\mission_bounty_droid_probot.iff (or the Probot from the Creatures list)\n\nm10o\nIn reading disciplinary reports from one of our units, I note that one officer was caught with excessive quantities of illicit Corellian Double-Brandy. The Empire tolerates a certain specified amount of alcohol per soldier, dependent on rank, but this was beyond the limit. Bring the excess Double-Brandy here at once!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '52', 'm10p', 'I have already disciplined the erring officer and was planning to dispose of the Double-Brandy myself. Don\'t you think that would be more efficient? No? Oh well, here you go.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '53', 'm10c', 'I had planned to dispose of the illicit liquor myself, but now a Moff has taken an interest in proper disposal techniques. I must forward this to him at once. Ah, well.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '54', 'm10i', 'Corellian Double-Brandy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '55', 'm10t', 'Illicit Liquor Needed for Testing');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '56', 'm10f', 'food\\crafted\\meal_drink_corellian_double_brandy.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '57', 'm11o', 'Our lab has made a breakthrough in a new miniaturized hyperdrive. It will permit even Lambda-class shuttles to far surpass lightspeed. What a tremendous achievement! Bring this wonder to us at once, and be sure to spread the news far and wide of the Empire\'s technological supremacy!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '58', 'm11p', 'Wouldn\'t the Rebels love to get their hands on this device! It guarantees our victory! Spread the word, and watch our foes quail before us!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '59', 'm11c', 'Wh-what? You arrived safely? Drat. We had hoped a Rebel would steal this from you, or from your body. It contains a tracking beacon and a charge of high explosive. Well, that scheme has failed -- for now. But expect more delivery missions in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '60', 'm11i', 'Prototype Miniaturized Hyperdrive');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '61', 'm11t', 'Breakthrough Miniature Hyperdrive');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '62', 'm11f', 'component\\item\\electronic_control_unit.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '63', 'm12o', 'Our Star Destroyer reactors use ultra-dense hypermatter. The Navy has delivered a new annihilation reactant sample to this world to test its effects in a gravity field. Bring us this sample and we shall commence testing. Don\'t worry, the sample presents no danger.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '64', 'm12p', 'This reactant is quite heavy. If you list a bit to one side, think nothing of it. I suggest you avoid space travel and intense gravity fields.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '65', 'm12c', 'Ah, the hypermatter. Did you happen to notice any odd phenomena -- for example, a strange warping of spacetime in your vicinity? No? Oh. Well, all right. That is all.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '66', 'm12i', 'Annihilation Reactant');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '67', 'm12t', 'Candidate for Annihilation Reactant');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '68', 'm12f', 'component\\chemistry\\dye_hair.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '69', 'm13o', 'I understand a research lab has made a breakthrough in a new vehicle-mounted shield generator design. Supposedly it represents a completely revolutionary approach to shield generation. We cannot afford to let the Rebellion learn of this. Therefore I require you to go and get these designs, and hand-deliver them to me.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '70', 'm13p', 'Revolutionary? I believe there\'s some mistake. These designs originate from a remote Imperial lab in the Outer Rim Territories. We are only making copies.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '71', 'm13c', 'Outer Rim lab? Pah! Who could imagine that this titanic breakthrough would come from some obscure lab in the hinterworlds? I expect this innovation, which originated entirely under my command here, will make my reputation. You would do well to echo these sentiments, if asked.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '72', 'm13i', 'Vehicular Shield Generator Plans');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '73', 'm13t', 'Design for Speeder Shield Generator');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '74', 'm13f', 'component\\armor\\shield_generator_vehicular.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '75', 'm14o', 'I am pleased. Our armor-testing laboratory reports that the recent laser-resistant stormtrooper armor passed testing with minimal casualties. The trooper volunteers are no doubt breathing easier now! I need you to pick up the design and hand-deliver it here, so that the Rebels see nothing of this breakthrough.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '76', 'm14p', 'Apparently my report got corrupted in transit. \"Minimal casualties\" was actually \"maximal casualties.\" As in previous tests, none of the troopers survived testing.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '77', 'm14c', 'Maximal casualties? Oh. Well, there are always more stormtroopers. We will analyze and redesign the laserproof armor, and recommence testing shortly.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '78', 'm14i', 'Laser-Resistant Armor Design');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '79', 'm14t', 'Testbed for Energy-Resistant Armor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '80', 'm14f', 'component\\armor\\armor_layer_energy.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '81', 'm15o', 'In our past efforts to improve the acid resistance of stormtrooper armor, we have encountered technical obstacles. Now, though, the deaths of the troopers in our previous experiments have inspired us to greater heights! A new design is ready for prototyping, and we require you to bring it to us at once.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '82', 'm15p', 'This armor design looks better than earlier versions, but I doubt any more stormtroopers will volunteer to test it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '83', 'm15c', 'Stormtroopers are all volunteers, whether they like it or not. I shall have the prototype created at once, and drafting of volunteers will commence thereafter.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '84', 'm15i', 'Anti-Acid Armor Design');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '85', 'm15t', 'New Anti-Acid Armor Design');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '86', 'm15f', 'component\\armor\\heavy_armor_layer_acid.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '87', 'm16o', 'Again there are problems with our tests of anti-acid protection for stormtrooper armor. Again we have lost several stormtroopers, messily, when the prototype\'s protection failed. Our lab has retained a piece from the most recent catastrophe. You are ordered to fetch this piece and bring it here -- in a safe container, of course.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '88', 'm16p', 'Here\'s the container with the armor fragment. We\'re still cleaning up the remains of the last stormtrooper testers. What a stench!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '89', 'm16c', 'Losing a few stormtroopers is a small price to pay for improved armor. We shall commence analysis of this fragment at once. That is all.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '90', 'm16i', 'Anti-Acid Armor Fragment');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '91', 'm16t', 'Critical Failure of Anti-Acid Armor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '92', 'm16f', 'component\\armor\\armor_layer_acid.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '93', 'm17o', 'Imperial Intelligence has let it be known that there may be action on an icy world in the Outer Rim. We have no other details. This unit is charged with designing the stormtrooper -- excuse me, \"snowtrooper\" -- armor for the campaign. Pick up the armor designs and bring them here by hand, in order to avoid alerting Rebel spies!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '94', 'm17p', 'These preliminary designs feature a heat-retaining helmet modification that may interfere somewhat with our stormtroopers\' famed targeting accuracy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '95', 'm17c', 'Far better to protect against frostbite than to worry excessively over details of weapon targeting! That is what I say!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '96', 'm17i', 'Snow Armor Modification Plans');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '97', 'm17t', 'Snow Armor Design Delivery');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '98', 'm17f', 'component\\armor\\armor_layer_cold.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '99', 'm18o', 'We recently destroyed yet another Rebel base, and we believe this assault killed a valued Rebel leader. The victim\'s datapad survives. WIth its information, we can verify the leader\'s identity and, in all likelihood, learn vital intelligence. You must retrieve this datapad from the assault leader and return it here for decryption.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '100', 'm18p', 'I\'d prefer not to idly speculate about the leader\'s identity. We haven\'t positively identified the charred remains. Here\'s the datapad.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '101', 'm18c', 'Excellent. Once we decrypt this information, we\'ll learn whether we\'ve finally disposed of Princess Leia Organa!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '102', 'm18i', 'Datapad');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '103', 'm18t', 'Rebel\'s Last Message Awaits Decryption');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '104', 'm18f', 'datapad\\character_datapad.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '105', 'm19o', 'For many years Imperial researchers have sought to duplicate the amazing qualities of ancient Mandalorian armor. We recently occupied an Outer Rim world that failed to show proper respect, and from a museum there our troops took a fine Mandalorian specimen. You are to retrieve this armor and return it here for close analysis.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '106', 'm19p', 'It\'s a piece from the upper arm -- presumably of a bipedal species. I don\'t know if the Mandalorians ever created armor for, say, tentacled blobs. Here you are.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '107', 'm19c', 'I\'ll have our top scientists examine this for as long as it takes. Eventually every stormtrooper will have armor as fine as this!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '108', 'm19i', 'Rare Armor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '109', 'm19t', 'Uncover Mandalorian Armor\'s Secret');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '110', 'm19f', 'wearables\\armor\\mandalorian\\armor_mandalorian_bicep_l.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '111', 'm20o', 'Given our incessant need for materials, the Empire constantly researches new survey techniques. A scientist reports that his unit has finished testing a new prototype surveying tool. You will retrieve the tool and bring it here, so that we can analyze the rate of wear and tear due to fieldwork.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '112', 'm20p', 'We had no better luck with this unit than with current models. But it\'s not politically desirable to report this to my superiors, who include the unit\'s designer.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '113', 'm20c', 'Once this unit has proven its worth, the Empire will be pleased to order enough units to survey the galaxy!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '114', 'm20i', 'Survey Tool Prototype');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '115', 'm20t', 'Empire\'s Mineral Needs Assured');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '116', 'm20f', 'survey_tool\\survey_tool_mineral.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '117', 'm21o', 'It remains a demanding task to locate and concentrate valuable atmospheric gases. A researcher reports that he has made a breakthrough in gas mining. Personally, I doubt that any scientist on this world has the resources to produce such a \"breakthrough.\" Nonetheless, you should fetch the item that excites him and bring it here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '118', 'm21p', 'This unit offers a 13% efficiency improvement. But my commander has invested heavily in a company that makes the existing model. If this new one works, he\'s out of business, so he\'ll make sure it won\'t. Of course, you never heard that from me.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '119', 'm21c', 'Hmph. I can see just by looking at it -- this is mere industrial trash. Thank you, I shall dispose of -- I mean, handle this item from this point onward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '120', 'm21i', 'Survey Tool Prototype');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '121', 'm21t', 'Gas Mining Breakthrough?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '122', 'm21f', 'survey_tool\\survey_tool_gas.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '123', 'm22o', 'A patrol around Yavin 4 found the remains of a stormtrooper from the destroyed Death Star. It is in the Empire\'s interest to enshrine and publicize these martyrs. By mistake the remains were shipped to this world. Retrieve this hero with all speed and return his body here for proper shipment to Coruscant.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '124', 'm22p', 'Body? Well -- it\'s part of one, I guess. Apparently all they found were these, uh, boots. I hope they\'ll do. They smell odd, though.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '125', 'm22c', 'Boots? Umm. Well. All right, thank you, go now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '126', 'm22i', 'Trooper\'s Last Remains');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '127', 'm22t', 'Hero of the Empire Heads for Home');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '128', 'm22f', 'wearables\\armor\\stormtrooper\\blast_armor_stormtrooper_boots.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '129', 'm23o', 'Evidently a stormtrooper, somehow more inventive than his fellows, has devised an improved utility belt. How unusual! My superiors think this would make an intriguing HoloNet propaganda feature. \"Stormtrooper Doesn\'t Let Duty Interfere With Creative Service to His Empire.\" Bring the trooper here, or at least his belt.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '130', 'm23p', 'The trooper was showing dangerous mental instability due to a radiation accident. He grew insubordinate, and we had him terminated. Here is his belt.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '131', 'm23c', 'Oh. Hmm. Well, the belt doesn\'t appear remarkably improved. My superiors will have to judge whether the human-interest story remains satisfying. You may go now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '132', 'm23i', 'Improved Utility Belt');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '133', 'm23t', 'Stormtrooper\'s Creative Service');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '134', 'm23f', 'wearables\\armor\\stormtrooper\\blast_armor_stormtrooper_utility_belt.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '135', 'm24o', 'Incredibly, a Rebel spy infiltrated a Star Destroyer supply depot and placed listening devices in many TIE pilot helmets! A commander on this world uncovered the atrocity. You must go at once and retrieve an example of the compromised helmets. Tell no one of this embarrassment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '136', 'm24p', 'I don\'t even handle TIE fighters. I got shipped these helmets by mistake. Typical snafu. I planned to cannibalize them for parts, and that\'s how I found the bugs. Here, take one.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '137', 'm24c', 'This is the bugged helmet, eh? Listen: The Empire triumphs over all such minor obstacles. Do you hear? Never think, or speak, otherwise. You may go now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '138', 'm24i', 'Sabotaged TIE Helmet');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '139', 'm24t', 'TIE Helmet Investigation Improves Security');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '140', 'm24f', 'wearables\\helmet\\helmet_tie_fighter.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '141', 'm25o', 'Symbolizing his boundless love for the entire galaxy, our Emperor collects colorful primitive paraphernalia from many worlds. A recent purge of hostile savages on this world has brought us many items -- I mean \"treasures\" -- of this kind. I\'d like you to fetch a choice item from this hoard and bring it here for forwarding to the Emperor\'s Retreat.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '142', 'm25p', 'When my commander made this request, I pulled everything I could from the bodies and sorted through a huge pile. Here\'s the choicest item that\'s still intact, a piece of bone armor.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '143', 'm25c', 'Hmm. Well, who am I to say whether some native gimcrack has value? I shall submit this bone spur to the Emperor\'s staff for consideration. I do hope it reflects well on me.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '144', 'm25i', 'Alien Savage Armor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '145', 'm25t', 'Souvenir for Emperor\'s Retreat');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '146', 'm25f', 'wearables\\armor\\bone\\armor_bone_s01_bracer_r.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '147', 'm26o', 'A Moff in another system wishes to present a gift to a very close friend. His friend apparently enjoys the jewelry of a craftswoman on this world. For safety and convenience we have confined the craftswoman at her home. You are to obtain her most elaborate piece and bring it here. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '148', 'm26p', 'We were forced to destroy the craftswoman and her home when she expressed violent support for the Rebellion. This single piece of her work survived the blast.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '149', 'm26c', 'Blown up? Um. Well. This seems an adequately lovely piece. I shall forward it without comment, and let my superiors explain matters to the Moff.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '150', 'm26i', 'Moff\'s Jewelry');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '151', 'm26t', 'Gift for Moff\'s Good Friend');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '152', 'm26f', 'wearables\\tiara\\tiara_s01.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '153', 'm27o', 'We have been pursuing deflector shield component research project on this world. As I understand it, magnetic conditions at the test site are exactly right. A test official says a prototype is done, and they need a courier to bring it here for fuller testing. That courier would be you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '154', 'm27p', 'This is an improved ion feed for the deflector shields on Marauder-class corvette ships, such as those used by the Corporate Sector Authority. Guard it carefully!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '155', 'm27c', 'Corporate Sector Authority? You mean they\'ve been squandering Imperial research dollars on a CSA project? Gad! I must alert my superiors. This will stop at once!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '156', 'm27i', 'Deflector shield ion feed');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '157', 'm27t', 'Prototype Deflector Component');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '158', 'm27f', 'component\\armor\\deflector_shield_ion_feed_unit.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '159', 'm28o', 'Our researchers continue to break new ground in stormtrooper shield technology. I\'ve been given happy news of a new personal shield prototype -- quite the breakthrough, says the report. Bring me this prototype, and allow no one to steal or damage it!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '160', 'm28p', 'Work proceeds quite well. The current model still delivers a lethal heat burn to any trooper who wears it, but the time before destruction is now extended to over a minute!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '161', 'm28c', 'Over a minute. How glorious. I must admit, I expected better. I shall look into the matter of that researcher\'s funding. Thank you, you may go.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '162', 'm28i', 'Personal Shield Generator');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '163', 'm28t', 'Empire\'s Shields Grow Ever Stronger');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '164', 'm28f', 'component\\armor\\shield_generator_personal.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '165', 'm29o', 'You! I need a loyal agent to retrieve a prototype device -- some kind of biochemical equipment. I have the name here: \"bionetic reagent analyzer.\" It remains to be seen what this device actually does, but it sounds important. Fetch it at once, and allow no one to see it en route. This mission is classified!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '166', 'm29p', 'Yes, the bionetic reagent analyzer! Its purpose and operation are too hard to describe to a layperson, but rest assured: This is a landmark day in the history of transformative introversional bionetics!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '167', 'm29c', 'Ah yes, the bionetic, um, reagent ... analyzer. Well. There it is. I shall pass this breakthrough along to -- to someone who will certainly appreciate its, ah, grandeur.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '168', 'm29i', 'Chemical Equipment');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '169', 'm29t', 'Imperial Chemistry Means Better Living');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '170', 'm29f', 'component\\chemistry\\biologic_effect_controller.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '171', 'm30o', 'A Core World laboratory has shipped us a prototype release timer suitable for gas bombs. We are to test it and report its efficacy. The prototype is ready for you to pick up and bring here. So you\'d best get moving, correct?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '172', 'm30p', 'The lab recommends testing this timer using a gas volume sufficient to blanket this hemisphere to a depth of two meters.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '173', 'm30c', 'A hemisphere of gas! Ah, I see the mistake. It appears the Core lab shipped us a prototype actually intended for mining operations in the Corporate Sector. (Whew!)');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '174', 'm30i', 'Chemical Equipment');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '175', 'm30t', 'Gas Dispersion Weapon to Defeat Rebellion');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '176', 'm30f', 'component\\chemistry\\release_mechanism_duration.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '177', 'm31o', 'The Empire is experimenting with the use of assassin droids against major Rebel leaders. One attempt recently failed, but a soldier salvaged the droid\'s brain. We hope to read its memory banks for useful data on Rebel defense tactics. Retrieve the brain from the soldier and bring it here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '178', 'm31p', 'The droid was from Holowan Laboratories. Took out a Rebel squad before a cloud car rammed it at supersonic speed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '179', 'm31c', 'Ah, Holowan Technologies -- \"the Friendly Technology People.\" I doubt this droid made friends easily. Thank you, that is all.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '180', 'm31i', 'Assassin Droid Brain');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '181', 'm31t', 'Salvage Last Memories of Imperial Droid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '182', 'm31f', 'component\\droid\\droid_brain.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '183', 'm32o', 'We\'ve spent a fortune purifying a sample of denaric, one of the more potent poisons in the Outer Rim Territories. Fast, effective, and said to be untraceable. Now we\'re ready to use it against select Rebel leaders, as soon as you retrieve the sample from our researcher.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '184', 'm32p', 'Looks like sugar, doesn\'t it? Don\'t touch it!  If you carry it, use this container!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '185', 'm32c', 'Soon a remarkable number of Rebellion agitators will succumb to mysterious \"heart failure.\" You\'ve done well. Tell no one of this, or you\'ll regret it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '186', 'm32i', 'Pure Denaric Poison');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '187', 'm32t', 'Poisonous Present for Rebel Leaders');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '188', 'm32f', 'component\\food\\ingredient_sugar.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '189', 'm33o', 'An indigenous species produces a material useful for improved crowd-control entangler ammunition. The researcher who discovered this has produced a new prototype of the ammunition. Please collect the prototype ammo at once and bring it here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '190', 'm33p', 'Yes, a local spideroid produces saliva that makes the entangler ammo even stickier and more cohesive. It\'s been a laborious task collecting all that spideroid spit.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '191', 'm33c', 'From humble strands, such as this spideroid\'s secretion, we weave the web of cumulative power that assures victory! Excellent work, agent!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '192', 'm33i', 'Entangler Ammo');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '193', 'm33t', 'Crowd Control Ammo for Misguided Protesters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '194', 'm33f', 'component\\munition\\ammo_projectile_entanglement.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '195', 'm34o', 'The Empire has made heavy use of rylith crystals, which store and release solar energy. We will eventually exhaust natural supplies of rylith found on the world Demophon. We are cultivating the crystals on other worlds, with limited success so far. Please collect the results of the latest trial on this world from our researcher, and bring the samples here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '196', 'm34p', 'Rylith has an uncommonly complex structure. I am investigating using valuable Tasar power crystals as seed crystals. What do you think of these samples?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '197', 'm34c', 'Hmm. Not particularly promising so far, especially with the exorbitant cost of the seed Tasar crystals. Still, we must pursue this matter. You may go now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '198', 'm34i', 'Rylith Crystals');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '199', 'm34t', 'Key to Improved Blaster Efficiency');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '200', 'm34f', 'component\\weapon\\energization_crystals.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '201', 'm35o', 'You there. I need you to drop what you\'re doing and handle this problem. My unit is testing an experimental motivator from Talfaglio, but all my men are stuck doing wargames. That\'s where you come in. Pick up this device and bring it back to me. My superior is getting impatient.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '202', 'm35p', 'You\'re not from the designated test unit, are you? Never mind. Here\'s the experimental motivator. Make sure it gets to the commander in one piece.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '203', 'm35c', 'Thanks. If I don\'t get this motivator installed and tested in the next few hours, my commander will have my hide. I wonder how you install this thing?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '204', 'm35i', 'Experimental Motivator');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '205', 'm35t', 'Experimental Motivator');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '206', 'm35f', 'component\\droid\\droid_motive_system.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '207', 'm36o', 'A well-connected officer was killed by a Rebel assassin. The only witness was a binary load lifter. Our field agents have extracted the droid\'s brain. I need you to bring it here so I can pass it on to Imperial Intelligence. This is very important. Do not fail.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '208', 'm36p', 'Here\'s the droid brain. Don\'t worry, it came from a binary load lifter, so it\'s not too heavy. Lifters don\'t have the biggest brains in the galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '209', 'm36c', 'Very good. I\'ll note your work in my report. Carry on.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '210', 'm36i', 'Binary Load lifter brain');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '211', 'm36t', 'Retrieve Droid Brain');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '212', 'm36f', 'component\\droid\\droid_brain.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '213', 'm37o', 'Imperial Intelligence impounded a privately-owned probot, on the grounds that it was being used by Rebel agents. These are the coordinates where the droid is being held. Bring it back to me immediately. I\'ll see if it contains any evidence that may help us locate the Rebels and uncover their criminal plots.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '214', 'm37p', 'I\'d keep an eye on this probot, if I were you. It seems resistant to the restraining bolt. It definitely wants to get loose.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '215', 'm37c', 'You didn\'t have too much trouble, I hope? I knew you were up to the task. Now to see what this droid can tell us about its Rebel masters.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '216', 'm37i', 'Rebel Probot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '217', 'm37t', 'Bring back a Rebel Probot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '218', 'm37f', 'mission\\mission_bounty_droid_probot.iff (or the Probot from the Creatures list)\n\nm38o\nRebels are sadistic animals. They killed several of our elite soldiers by poisoning a shipment of medpacks to Calamari. One of these contaminated packs has arrived on-planet. I want you to fetch it back to me. I\'ll see if I can find any clues to the perpetrators of this cowardly plot.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '219', 'm38p', 'Here\'s the poisoned medpack. I know this area can be dangerous, but if anything happens to you on the way back, make sure you don\'t use this medpack. Your dying screams would attract scavengers. We\'d have a heck of a time finding your corpse.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '220', 'm38c', 'This is the poisoned medpack, eh? How strange. I\'d swear it was contaminated by Imperial Intelligence, not in some Rebel\'s back-room laboratory. I\'ll have to be careful who I report this to.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '221', 'm38i', 'Contaminated Medpack');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '222', 'm38t', 'Transport Incriminating Medpack');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '223', 'm38f', 'medicine\\medpack_wound.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '224', 'm39o', 'Remember the stories about Mandalorian warriors? Imperial Intelligence found an old Mandalorian gauntlet with a unique smartrope system. Go get this interesting artifact and bring it back to me. I want to see if we can coopt the technology into some of our political enforcement operations.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '225', 'm39p', 'Here\'s the gauntlet. Looks ridiculous, doesn\'t it? What sort of peedunkel would actually wear this old stuff? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '226', 'm39c', 'Excellent. This does look interesting. Those Mandalorians had a real sense of style, didn\'t they?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '227', 'm39i', 'Mandalorian Gauntlet');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '228', 'm39t', 'Deliver Mandalorian Gauntlet');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '229', 'm39f', 'wearables\\armor\\mandalorian\\armor_mandalorian_bracer_l.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '230', 'm40o', 'It\'s not well known that the Ubese people produced some of the most advanced personal combat equipment found in the galaxy. My commander recently obtained a bandolier of Ubese weapons from a smuggler in the radiation belt. I want you to fetch this prize and bring it to me. I\'ll see if we can make any use of it here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '231', 'm40p', 'Are you the courier for this Ubese bandolier? Good. It\'s worth a lot of money. Holding it makes me feel like a target. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '232', 'm40c', 'Thank you. I can\'t wait to try these weapons out. With luck I\'ll get an excellent performance review this year!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '233', 'm40i', 'Ubese Bandolier');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '234', 'm40t', 'Bring Ubese Bandolier');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '235', 'm40f', 'wearables\\armor\\ubese\\armor_ubese_bandolier.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '236', 'm41o', 'They\'ve made some kind of new modification to the stormtrooper helmet. I hope it lets you see better. I need to deliver one of the new prototypes to my superior. Can you fetch it from my contact and bring it to me? Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '237', 'm41p', 'Here\'s the new prototype stormtrooper blast helmet. They say the black quartz visors are thicker, to better repel lasers. Of course that decreases your field of vision, but hey, stormtroopers are so precise they can afford to lose a little peripheral vision, right?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '238', 'm41c', 'This is an improvement? Well, if they say so. I don\'t get how anyone can see through these new visors.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '239', 'm41i', 'Prototype Stormtrooper Helmet');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '240', 'm41t', 'Prototype Stormtrooper Helmet');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '241', 'm41f', 'wearables\\armor\\stormtrooper\\blast_armor_stormtrooper_helmet.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '242', 'm42o', 'Stop what you\'re doing. I have a job for you. Moff Kracko of Kreel Sector commissioned a slitherhorn from a local vendor. I had one of my subordinates make the actual purchase, and I need you to bring it to me. I\'ll requisition a hyperspace transport to take it to the moff. Yes, this is the New Order\'s precision war machine in action.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '243', 'm42p', 'I don\'t know why my commander is so cranky about this. Personally, after a long day of enforcing galactic security I feel a lot better when I hear someone play a slitherhorn. Anyway, here\'s the instrument.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '244', 'm42c', 'I\'m sure this task exercised all of your precision-honed skills. Now I can requisition a million-credit Imperial transport to take this slitherhorn to some governor who couldn\'t be bothered to buy it in his own system. Once again the Imperial war machine makes the galaxy secure for its citizens.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '245', 'm42i', 'Moff\'s Slitherhorn');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '246', 'm42t', 'Fetch a Moff\'s Slitherhorn');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '247', 'm42f', 'instrument\\slitherhorn.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '248', 'm43o', 'We\'ve had reports of a biological outbreak in this area. I need you to pick up some laboratory equipment so our scientists can work on the problem. Bring the equipment here, and I\'ll make sure you get a modest payment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '249', 'm43p', 'Here\'s the equipment. Be careful with it. There are materials inside more toxic than all the poisons on Ansion.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '250', 'm43c', 'Thanks for delivering this. I hope we can contain this biological outbreak. If I were you, though, I\'d consider leaving the planet for a while.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '251', 'm43i', 'Biolab Equipment');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '252', 'm43t', 'Bring In Laboratory Equipment Quickly');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '253', 'm43f', 'component\\chemistry\\biologic_effect_controller.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '254', 'm44o', 'Can you believe someone still thinks projectile weapons are a viable alternative to blasters? It\'s true. I\'m supposed to take possession of some kind of experimental ammunition today. I need you to fetch it from my contact and bring it to me. I\'ll do what I\'m ordered, of course, but I still think projectile weapons are too archaic to be practical.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '255', 'm44p', 'Here\'s the experimental munitions. They say these projectiles can reach near lightspeed. Sounds pretty powerful if you ask me.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '256', 'm44c', 'Lightspeed projectiles? That\'s ridiculous. I\'ll have to test these things for myself. Anyway, thanks for a job well done.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '257', 'm44i', 'Experimental Projectiles');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '258', 'm44t', 'Safeguard Experimental Ammunition');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '259', 'm44f', 'component\\munition\\ammo_projectile.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '260', 'm45o', 'We ordered a new cooling sleeve for our laser cannon, but Logistics screwed up the dropoff. Some soldier in the middle of nowhere ended up with it. I need you to get out there and bring back my equipment before the Rebels notice that our perimeter is weakened.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '261', 'm45p', 'Thank you for taking this gadget off my hands. I sure can\'t use it. I dream of the day I have a laser cannon to play with.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '262', 'm45c', 'I\'m glad to see you got the sleeve here in one piece. We\'ve had a lot of Rebel trouble around here lately. I need to get my laser cannon back online.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '263', 'm45i', 'Laser Cannon Cooling Sleeve');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '264', 'm45t', 'New Laser Cooling Sleeve');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '265', 'm45f', 'component\\weapon\\laser_cannon_cooling_sleeve.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '266', 'm46o', 'You know, I\'ve always said that gambling is a dangerous habit. Now the Imperial Security Bureau has proven my point. They\'ve augmented a chance cube with a remote-activated explosive charge, to eliminate a local gang leader. I want you to pick up this nasty little device and bring it back to me. This goes without saying: Handle it with care.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '267', 'm46p', 'Make sure not to take this exploding chance cube too near a signal transmitter. The results could be unpleasant.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '268', 'm46c', 'An explosive chance cube. Sometimes the ISB delights me with its creativity. I can\'t wait for our inside man to give this to the gang leader. Ah, the thrill of victory.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '269', 'm46i', 'Explosive Chance Cube');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '270', 'm46t', 'Unfavorable Chance Cube');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '271', 'm46f', 'dice\\eqp_chance_cube.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '272', 'm47o', 'Imperial Center has some new kind of survey tool that they want us to try out. One of these devices is arriving on the planet any second now. I want you to go to the pickup point, get it, and bring it back to me. I\'ll see about calling in one of our surveyors to test it out.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '273', 'm47p', 'I think this thing scans for noxious gases. I have no idea how it works, but here you go. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '274', 'm47c', 'Hmm. The sensor went off right when you handed it to me. What does that mean? I guess I\'ll have to figure it out myself. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '275', 'm47i', 'New Surveying Tool');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '276', 'm47t', 'Interesting Survey Tool');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '277', 'm47f', 'survey_tool\\survey_tool_gas.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '278', 'm48o', 'Finally! Two months ago I ordered a new sighting computer for a turbolaser. Now it\'s here. Can you go pick it up for me? I want to break it in shooting down a few blockade runners that have been sneaking around this quadrant.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '279', 'm48p', 'Careful now. These computers can be a little imprecise at first, until they calibrate themselves to the equipment. Your turbolaser sighting might be a little off for a couple of days, so make sure you\'re not shooting anywhere near friendly combatants.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '280', 'm48c', 'At last! I\'ll install this on my turbolaser immediately. Some smugglers have been threading the needle between our blockade ships for two months. Now that my sighting will be back on target, I can pick off their ships without a problem.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '281', 'm48i', 'Turbolaser Sighting Computer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '282', 'm48t', 'Get My Turbolaser Sighting Computer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '283', 'm48f', 'component\\weapon\\parallel_weapon_targeting_computer.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '284', 'm49o', 'I can\'t wait to see the camouflage generators they\'ve installed on the new stormtrooper armor. I hear that one of the new chest plates is making the rounds not far from here. I don\'t suppose you\'d want to fetch it for me, would you? I\'m dying to see how good it is.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '285', 'm49p', 'Be very careful with this chest plate. The camouflage circuits are very delicate.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '286', 'm49c', 'I don\'t get it. This looks like ordinary armor. How does the camouflage work? You didn\'t drop this thing on the way, did you? Or get into a firefight or something? I\'ll be in deep poodoo if this chest plate is damaged.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '287', 'm49i', 'Camo Trooper Chest Plate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '288', 'm49t', 'Camouflage Armor Chest Plate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '289', 'm49f', 'wearables\\armor\\stormtrooper\\blast_armor_stormtrooper_chest_plate.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '290', 'm50o', 'The Imperial Security Bureau has a new plan. They\'re bugging backpacks to distribute to local children. The hope is to catch parents who are also Rebel sympathizers. Maybe we can stop a few treasonous plots. Your task is to fetch one of these backpacks to me so I can ensure its scan signature is adequately low. Go now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '291', 'm50p', 'Bugging a child\'s backpack. Does that seem right to you? I don\'t feel good about this. It\'s low, even for the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '292', 'm50c', 'Our transceivers allowed us to listen when you picked up the backpack. It seems that the agent who gave it to you was less than loyal to the New Order, wouldn\'t you say? I believe it is time to have a long, vigorous chat with him. As for you, thanks and carry on.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '293', 'm50i', 'Bugged Backpack');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '294', 'm50t', 'Bring Me a Bugged Backpack');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_imperial_medium.stf', '295', 'm50f', 'wearables\\backpack\\backpack_s06.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '1', 'm1o', 'A customer claims to have received five power converters but was charged for ten. Supposedly an electronic invoice proves this. Could you pick up this alleged invoice and bring it to me? I don\'t like being cheated.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '2', 'm1p', 'You tell that fraud that I don\'t take kindly to being cheated. I\'ll only pay for what I received! This invoice will prove it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '3', 'm1c', 'I\'ll scan this disc to make sure the invoice hasn\'t been tampered with. Thanks for your help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '4', 'm1i', 'Power Converter Invoice');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '5', 'm1f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '6', 'm1t', 'Settle Power Converter Dispute');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '7', 'm2o', 'A colleague who bought an R2 unit motivator from me says it\'s faulty and wants a refund. But I\'ve offered to fix it, free of charge. Could you fetch the motivator? I\'ll pay you for your time, of course. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '8', 'm2p', 'About time this was picked up! What good is an R2 unit with a bad motivator? Hope I can get this fixed fast.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '9', 'm2c', 'Looks okay to me. I\'ll take it apart tomorrow and have a better look. Thanks, friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '10', 'm2i', 'R2 Unit Motivator');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '11', 'm2f', 'filename_of_object (Small electronic gizmo)');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '12', 'm2t', 'Faulty R2 Motivator');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '13', 'm3o', 'A friend is giving me the complete \"Dance Lords of the Bith\" musical recordings as long as I pick them up. Could I get you to do that? I\'ll pay you, of course.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '14', 'm3p', 'Here ya go. I hope my buddy enjoys this collection. Some of the best clak beepbox recordings around. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '15', 'm3c', 'Thanks! Can\'t wait to listen to these tunes. I love fizz music, don\'t you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '16', 'm3i', 'Dance Lords of the Bith');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '17', 'm3f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '18', 'm3t', 'The Complete Dance Lords Collection');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '19', 'm4o', 'I forgot something of sentimental value at an acquaintance\'s home. Please be so kind as to pick it up for me. You will be compensated for your time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '20', 'm4p', 'Don\'t know what the big deal is. They\'re just holos of old droids. Guess some folks care a lot about droids. Weird, huh?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '21', 'm4c', 'My thanks. I\'ve developed quite an attachment to this. I\'m sure you have similar items that are dear to you. Did you open the package?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '22', 'm4i', 'Sentimental Keepsake');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '23', 'm4f', 'filename_of_object (Small sealed container)');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '24', 'm4t', 'A Sentimental Journey');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '25', 'm5o', 'I\'m a vintage weapons collector and have found someone with a rare DDC Defender blaster pistol grip. Been looking for one for years. If you pick it up for me, I\'ll pay you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '26', 'm5p', 'This old thing\'s been sitting around my home for years. Almost threw it out half a dozen times. Glad I kept it now. Here you go.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '27', 'm5c', 'Excellent! What a wonderful find. This is for your time. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '28', 'm5i', 'Rare blaster grip');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '29', 'm5f', 'filename_of_object (Small sealed container)');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '30', 'm5t', 'Help a Collector');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '31', 'm6o', 'A customer\'s protocol droid has been acting up, so I offered to perform some repairs on its Verbobrain. Could you pick it up for me? I\'ll make it worth your while.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '32', 'm6p', 'I sure hope my buddy can fix this dang droid. He keeps going on about some secret mission -- stolen plans or somesuch. It gets old real fast.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '33', 'm6c', 'Thanks, citizen. I\'ll get right to work on this silly droid. Probably just backed up with too much old data.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '34', 'm6i', 'Droid Verbobrain');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '35', 'm6f', 'filename_of_object (Small electronic gizmo)');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '36', 'm6t', 'Defective Verbobrain');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '37', 'm7o', 'I had loaned my macrobinoculars to a friend. Now I need them back so my son can go on a field trip. If you pick them up for me, I\'ll pay you for your time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '38', 'm7p', 'Thanks for picking these up. I just couldn\'t get away from work. Tell my friend I hope the field trip works well.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '39', 'm7c', 'Wonderful. Now my son will be able to study all that exotic wildlife closely. This is for your trouble.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '40', 'm7i', 'Macrobinoculars');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '41', 'm7f', 'filename_of_object (Macrobinoculars)');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '42', 'm7t', 'Bring My Macrobinoculars');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '43', 'm8o', 'I\'ll be taking a diving trip to the resort world of Kaal soon, and a friend offered to loan me an organic gill. Catch is, I gotta pick it up. If you help me out, I\'ll pay you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '44', 'm8p', 'Bought this thing about a month ago from a Toydarian trader. Hope it\'s still good. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '45', 'm8c', 'Excellent! Now I\'ll be able to see all those colorful deep-sea lifeforms. Do you know how long these organic gills last?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '46', 'm8i', 'Organic Gill');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '47', 'm8f', 'filename_of_object (Small sealed container)');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '48', 'm8t', 'Go Get a Gill');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '49', 'm9o', 'My supervisor has assigned a Wookiee to my warehouse for a few months, and I need to pick up an AlienEnhancer Voxbox to make sure we avoid any mishaps. Could you pick it up for me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '50', 'm9p', 'This has all the Basic phrases needed to keep a Wookiee under control. Good luck, I say.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '51', 'm9c', 'Splendid! I sure hope that Wookiee is not typical of his species. Is it true they rip people\'s arms out of their sockets when angered?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '52', 'm9i', 'AlienEnhancer Voxbox');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '53', 'm9f', 'filename_of_object (Small electronic gizmo)');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '54', 'm9t', 'Pick Up a Voxbox');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '55', 'm10o', 'I just attended a party, and I went wild over the host\'s Fricaseed Puff Cake dessert. I forgot to get the recipe. Can you fetch it from my friend? I\'ll pay you, of course.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '56', 'm10p', 'Oh, the Puff Cake? My secret is to add a drop of repulsorlift engine oil. Here\'s the recipe.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '57', 'm10c', 'Mm, mmm! Repulsorlift oil!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '58', 'm10i', 'Fricaseed Puff Cake recipe');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '59', 'm10f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '60', 'm10t', 'Better You Don\'t Know');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '61', 'm11o', 'I heard that a friend has a sabacc deck signed by Han Solo, the hero of Yavin. I\'m paying a nice price for this collector\'s item. And I\'ll pay you to pick it up, too.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '62', 'm11p', 'Sabacc cards change value during the game. Han Solo autographed one card, but the signature vanished the next time I played. Hope my friend still wants this deck.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '63', 'm11c', 'Not signed any more? Well, I guess it makes a good story. I\'ll pay you, but as for my friend...');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '64', 'm11i', 'Sabacc Deck');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '65', 'm11f', 'filename_of_object (Small sealed container)');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '66', 'm11t', 'Almost an Autograph');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '67', 'm12o', 'Psst! I\'m interested in trying this stuff called zwil, the Drovian narcotic. I don\'t trust the supplier I found. You pick up the sample, I\'ll pay you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '68', 'm12p', 'This zwil stuff might as well be distilled water if you\'re not a Drovian. Here you go.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '69', 'm12c', 'This is just distilled water! I\'ll pay you, but I\'m taking it out of my supplier\'s hide! Blast!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '70', 'm12i', 'Zwil Narcotic? Or Water?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '71', 'm12f', 'filename_of_object (Small sealed container)');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '72', 'm12t', 'A Thirst Quencher');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '73', 'm13o', 'I need a Y-wing ionization reactor control valve, and I need it fast! Can\'t leave this spot, but if you bring it here, I\'ll pay you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '74', 'm13p', 'I guess when you need a reactor control valve, you really, really need it. Here it is.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '75', 'm13c', 'This should keep my ship from blowing itself into atoms. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '76', 'm13i', 'Y-wing Control Valve');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '77', 'm13f', 'filename_of_object (Small sealed container)');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '78', 'm13t', 'Parts IS Parts');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '79', 'm14o', 'Got a special order for, get this, Ychthytonian tunics! I\'d never heard of them. But I found someone who has a pattern, and I need you to get it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '80', 'm14p', 'Ychthytonians have four arms, so their tunics make good tablecloths. Here\'s the pattern.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '81', 'm14c', 'Oh, I see. With four arms, the tunic even covers the table legs. Seems like overkill, but I just make the things. Okay, thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '82', 'm14i', 'Ychthytonian tunic pattern');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '83', 'm14f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '84', 'm14t', 'It\'s Sew Easy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '85', 'm15o', 'I\'m studying Yavin 4, site of the great Battle of Yavin. I\'ve located a map of the ancient tunnels connecting the Massassi ruins. Please fetch it for me.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '86', 'm15p', 'This tunnel map looks like a nerve cluster. One of the most impressive things I\'ve ever seen. Can\'t wait to go there!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '87', 'm15c', 'Hmm. I wonder how anyone ever found their way from the Palace of the Woolamander to the Temple of the Blueleaf Cluster? Okay, thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '88', 'm15i', 'Map of Massassi Tunnels');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '89', 'm15f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '90', 'm15t', 'Military History');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '91', 'm16o', 'I need the catalog copy for my new shipment of XP-38 landspeeders. Can you contact the writer and get the text? I\'ll pay you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '92', 'm16p', 'I don\'t exactly have the catalog copy ready, but here\'s a lengthy ode I composed to the XP-38 landspeeder. It\'s wonderful!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '93', 'm16c', 'This is why nobody employs poets to write ad copy. Thanks anyway.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '94', 'm16i', 'Ode to an XP-38 Landspeeder');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '95', 'm16f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '96', 'm16t', 'Ode to a Landspeeder');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '97', 'm17o', 'A buddy of mine just got a bootleg of 2-RI the Singing Droid\'s last concert! If you bring it here, I\'ll pay you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '98', 'm17p', 'Droid music sounds like Aqualiths gargling ground glass in a garbage masher. Here, take it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '99', 'm17c', 'This music is so bad it\'s hilarious. Wait\'ll my next party! People will run from the room screaming!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '100', 'm17i', 'Music by 2-RI the Singing Droid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '101', 'm17f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '102', 'm17t', 'Party Dance Mix?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '103', 'm18o', 'I\'ve been exchanging love letters with an anonymous individual. We use pseudonyms and have agreed not to meet face-to-face until we\'re sure this is right for both of us. Could you pick up my latest letter?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '104', 'm18p', 'You know what my beloved looks like, don\'t you? Don\'t tell me! I want nothing to spoil my fantasy. Here\'s the letter.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '105', 'm18c', 'The letter at last! And it\'s even scented! I hope that doesn\'t damage the disc. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '106', 'm18i', 'Love Letters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '107', 'm18f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '108', 'm18t', 'True Romance');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '109', 'm19o', 'My nephew has very specific (and expensive) tastes when it comes to celebrating his birthday. I need someone to bring me this little hellion\'s wish list. Think you can help? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '110', 'm19p', 'Everything the boy wants is on this disc. It\'s a long list. The things he wants most are indicated by the flashing stars. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '111', 'm19c', 'Thanks. How do you explain to a spoiled five-year-old that they don\'t make stormtrooper armor in his size? If you have siblings, make sure they don\'t breed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '112', 'm19i', 'Gift List');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '113', 'm19f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '114', 'm19t', 'Next He\'ll Want a Wookiee');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '115', 'm20o', 'My friend is worried someone will steal a precious baked fleek-eel casserole recipe, and refuses to send it via the HoloNet. Could you pick it up for me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '116', 'm20p', 'Make sure this goes straight to the requestor. The disc is encoded, and only my friend knows how to retrieve the information, so don\'t get any funny ideas.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '117', 'm20c', 'Thanks, citizen. Now I\'ll see what all the fuss was about. Wait, is this disc encoded?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '118', 'm20i', 'Family recipe');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '119', 'm20f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '120', 'm20t', 'Top Secret');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '121', 'm21o', 'A customer wants me to touch up some holographs taken during a recent vacation. Could you pick them up for me? I\'ll pay you for your time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '122', 'm21p', 'Remind the holo technician that I want more attractive dancers surrounding me. Also, have them give me a better wardrobe. My clothes look sadly unfashionable. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '123', 'm21c', 'I hope this customer understands I can\'t peform miracles. These \"tailored memories\" are becoming a habit.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '124', 'm21i', 'Vacation Holographs');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '125', 'm21f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '126', 'm21t', 'Thanks for the Memories');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '127', 'm22o', 'I know it may be in bad taste, but my son really wants a toy lightsaber for his birthday. A friend made one for me using holo technology. It\'s really quite clever and harmless. Could you pick it up for me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '128', 'm22p', 'Here it is. I would caution the boy not to play with this outside. The Imperials are not likely to think the toy is a cute novelty.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '129', 'm22c', 'Thank you so much. My son will love playing with this. And yes, I\'ll be sure he only plays with it inside our home.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '130', 'm22i', 'Toy Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '131', 'm22f', 'filename_of_object (Small lightsaber-like gadget)');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '132', 'm22t', 'Not So Random as a Toy Blaster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '133', 'm23o', 'A friend has sold me a small box of Cardellian mints. What a sweet tooth I have! If you pick them up for me, I\'ll pay you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '134', 'm23p', 'These are quite rich. Warn my friend that eating too many of them in one sitting can cause nausea.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '135', 'm23c', 'Oh yummy! Thank you so much. I\'d offer you one, but I have so few here. Plus, I am paying you for this.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '136', 'm23i', 'Box of Candy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '137', 'm23f', 'filename_of_object (Small sealed container)');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '138', 'm23t', 'Sweets for the Sweet');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '139', 'm24o', 'My kloo-horn is in need of a new double reed. I found one at a very reasonable price. Could I pay you to collect it for me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '140', 'm24p', 'I could never get my kloo-horn to sound right. I hope it wasn\'t a problem with this double reed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '141', 'm24c', 'Thanks, citizen. I\'ll compose a solo in your honor. I\'ll call it \"The Reed Bringer.\" Gonzo, huh?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '142', 'm24i', 'Kloo-Horn Double Reed');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '143', 'm24f', 'filename_of_object (Small sealed container)');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '144', 'm24t', 'Play That Funky Music');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '145', 'm25o', 'A friend of mine makes the most delicious cookies. Could you bring me a plate of those round morsels of scrumptious goodness? I\'ll pay you. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '146', 'm25p', 'These are nice and fresh. They taste best when dipped in icy cold blerd milk. Mmm, mmm... ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '147', 'm25c', 'Thanks, citizen! I\'ll enjoy these confectionary delights right now!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '148', 'm25i', 'Plate of Cookies');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '149', 'm25f', 'food\\crafted\\meal_dish_desert_plate_of_cookies.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '150', 'm25t', 'Cookie Monster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_easy.stf', '151', 'number_of_entries', '25');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '1', 'm1o', 'As I\'m a specialist, my services aren\'t cheap, so I was surprised when a customer asked me to repair a simple mouse droid. Must mean a whole lot to this client -- my bill will likely exceed the cost of the droid. Do you think you could pick it up for me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '2', 'm1p', 'Here he is. Tell the technician that money is no object. I want this special little mouse droid fixed at any cost.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '3', 'm1c', 'It looks like a pretty standard mouse droid to me. Oh well, it\'s the client\'s money. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '4', 'm1i', 'Mouse Droid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '5', 'm1f', 'filename_of_object (Mouse droid)');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '6', 'm1t', 'Like a Member of the Family');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '7', 'm2o', 'My grandfather died recently and left his will on an encrypted datadisc that only I can access. Could you pick this up for me? It\'s most important to my family.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '8', 'm2p', 'Here is the will. The encryption used should prove the document is legitimate. If there are any questions, the family should contact me.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '9', 'm2c', 'Thank you. This has been hard enough without all my cousins squabbling over my grandfather\'s properties. This should settle everything.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '10', 'm2i', 'Last Will and Testament');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '11', 'm2f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '12', 'm2t', 'Being of Sound Mind');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '13', 'm3o', 'I\'m under investigation for suspected Rebel activity. I\'m innocent, honest, and I\'ve identified documents that can clear my name. Please bring them at once. My life depends on it!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '14', 'm3p', 'I hope these ship logs can save my friend. I send my best wishes along.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '15', 'm3c', 'Thank you so much. I\'m sure these logs will satisfy the Imperial agents working on my case. I would never betray the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '16', 'm3i', 'Ship Logs');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '17', 'm3f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '18', 'm3t', 'Loyal to a Fault');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '19', 'm4o', 'My daughter is about to make the biggest mistake of her life -- she\'s going to marry a criminal. But finally, I found proof of the rogue\'s activities. I need you to fetch some holographs and help save my daughter.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '20', 'm4p', 'Some of these holographs are pretty graphic. I\'d warn that poor girl before she views these.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '21', 'm4c', 'My deepest gratitude! Now my daughter will see the truth and be free of that ruffian for good.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '22', 'm4i', 'Incriminating Holographs');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '23', 'm4f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '24', 'm4t', 'A Protective Parent');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '25', 'm5o', 'I\'m a legitimate business owner whose enemies have tried to use some doctored holographs to blackmail me. Please pick up the last of these phony images from a collection agent I employed recently.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '26', 'm5p', 'Tell your patron not to worry about these blackmailers any more, and that I\'ll expect the balance of my pay by tomorrow.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '27', 'm5c', 'Thank you. It\'s a shame when honest entrepreneurs like myself are dragged through the mud by jealous rivals. Thank goodness for troubleshooters like yourself. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '28', 'm5i', 'Doctored Holographs');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '29', 'm5f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '30', 'm5t', 'Blackmail');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '31', 'm6o', 'My father has languished in an Imperial prison for months, falsely accused of conspiring with rebels. I finally found definitive proof of his innocence. I\'m unable to travel to collect it myself. Could you help?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '32', 'm6p', 'I hope this sets that poor man free, but I wouldn\'t count it. The Empire doesn\'t like to acknowledge mistakes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '33', 'm6c', 'Thanks to you, my father will be free again. Here is your just reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '34', 'm6i', 'Proof of Innocence');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '35', 'm6f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '36', 'm6t', 'Wrongfully Accused');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '37', 'm7o', 'My uncle was robbed while vacationing on Nal Hutta and needs a new Imperial identification document to return home. Could you pick up his new doc for me? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '38', 'm7p', 'Citizens should be more careful with these. Haven\'t you ever heard of identity theft?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '39', 'm7c', 'Thanks. I cautioned my uncle against vacationing on a system run by Hutts. I hope he learns from this experience.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '40', 'm7i', 'Imperial ID Document');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '41', 'm7f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '42', 'm7t', 'Identity Theft');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '43', 'm8o', 'I made a large wager that the Boonta Eve Classic podrace on Tatooine was once won by a human boy. I\'ve located an old hologram recording of the event that proves this. Think you could pick it up for me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '44', 'm8p', 'This is a multi-generational copy so the quality is not so good. But you can definitely tell that a human boy wins the race.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '45', 'm8c', 'Thanks! I\'ll show those fools they shouldn\'t take risky wagers with me. Haha!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '46', 'm8i', 'Podrace Recording');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '47', 'm8f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '48', 'm8t', 'Whatever Happened to That Kid?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '49', 'm9o', 'A close relative is dying of an ailment hereditary in our line. But I\'ve just received word of a cure, a tailored retrovirus. I beg of you, get that cure!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '50', 'm9p', 'This retrovirus must be kept sealed and intact until it reaches the victim. Hurry!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '51', 'm9c', 'Thank you! A thousand thanks -- and please accept this reward. I\'ll have the retrovirus relayed to my relative at once.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '52', 'm9i', 'Tailored Retroviral Cure');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '53', 'm9f', 'filename_of_object (Small sealed container)');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '54', 'm9t', 'Genetic Defect');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '55', 'm10o', 'A scoundrel trifled with my sister\'s honor, then fled the planet. A friend has compiled a list of his secret movements. Bring it here, no matter the cost!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '56', 'm10p', 'With this data, a good bounty hunter can track the rogue who treated that innocent female so badly.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '57', 'm10c', 'It warms my spirit to know that the rascal will soon be in custody. Thank you, many thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '58', 'm10i', 'Record of Scoundrel\'s Movements');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '59', 'm10f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '60', 'm10t', 'A Roguish Scoundrel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '61', 'm11o', 'An acquaintance has compiled data on a certain mining company\'s practices in this sector. I need that data, and I\'ll pay very well to get it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '62', 'm11p', 'The stories here of the mistreatment of miners will chill your forebrain. That mining company must be stopped!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '63', 'm11c', 'Thank you! With this information, I can expose this rampant wage-slavery and bring down the company!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '64', 'm11i', 'Mining Company Personnel Data');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '65', 'm11f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '66', 'm11t', 'Mistreated Miners');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '67', 'm12o', 'Certain data, too sensitive for HoloNet transmission, has become available. I\'ll pay you well to be my courier.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '68', 'm12p', 'A word to the wise: While holding this disc, you\'d be well advised to avoid Imperial entanglements.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '69', 'm12c', 'I can tell you this much: If this plan works, don\'t invest heavily in Imperial tracking devices any time soon. That\'s all for now, thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '70', 'm12i', 'Data of Imperial Interest');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '71', 'm12f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '72', 'm12t', 'Avoid Imperials');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '73', 'm13o', 'Galactic communications will be revolutionized once you bring me the new prototype comlink my researchers developed offworld.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '74', 'm13p', 'We\'re still having some range problems with this comlink. Treat it carefully, it\'s a prototype.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '75', 'm13c', 'Hello, hello, can you hear me? Hello? Hmm. Still needs work, apparently. Thanks anyway.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '76', 'm13i', 'Prototype Comlink');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '77', 'm13f', 'filename_of_object (Comlink)');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '78', 'm13t', 'Is This Thing On?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '79', 'm14o', 'A great Bith musician has passed on. I\'ve procured some of his irreplacable memorabilia. Out here, it\'s worth a fortune! Can you fetch it?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '80', 'm14p', 'This is the container that collector wants, but I don\'t understand. I opened it, and it was empty.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '81', 'm14c', 'This was the musician\'s last breath, caught in this container! It has religious and ritual significance in certain cultures. Thank you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '82', 'm14i', 'Bith Musician Memorabilia?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '83', 'm14f', 'filename_of_object (Small sealed container)');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '84', 'm14t', 'Last Gasp');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '85', 'm15o', 'Messages transmitted within the Hutt criminal empire use unique codes. My source has cracked one code. Please get that data, but keep it quiet!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '86', 'm15p', 'With this code my client can stop most of the Hutt criminal traffic in this sector. I hope so. Be careful!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '87', 'm15c', 'Thanks! If this code should find its way back to Jabba the Hutt -- well, I expect I\'d get his gratitude and a nice reward. We\'ll see.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '88', 'm15i', 'Hutt code');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '89', 'm15f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '90', 'm15t', 'Crime Stopper');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '91', 'm16o', 'The infamous Twi\'lek adventurer known only as O-i is in this sector. My supplier has found something important of his. I\'ll pay you to bring it!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '92', 'm16p', 'That O-i is the terror of the spaceways, they say. I have his personal tentacle lotion here. Yes, his own lotion!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '93', 'm16c', 'I don\'t know why, but some folks will pay a bundle for this junk.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '94', 'm16i', 'Tentacle Lotion');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '95', 'm16f', 'filename_of_object (Small sealed container)');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '96', 'm16t', 'For Unmanageable Tentacles');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '97', 'm17o', 'There are poisons, and then there\'s the poisonous sliideptra worm of Tel IV. I\'ve located a sample of the worm\'s poison. Please fetch it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '98', 'm17p', 'Poison? No, this is sliideptra saliva. It liquefies the victim slowly for easy ingestion. I hope my client can use it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '99', 'm17c', 'Saliva? Liquefies the victim? Hmm. Say, that might work even better. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '100', 'm17i', 'Sliideptra Worm Saliva');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '101', 'm17f', 'filename_of_object (Small sealed container)');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '102', 'm17t', 'As Long as It\'s Bad For You');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '103', 'm18o', 'An investor has found important financing for my struggling business. Will you play courier and bring the documents here?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '104', 'm18p', 'Documents? My client has misunderstood. Take this container back. Don\'t try to open it, or the contents will vaporize.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '105', 'm18c', 'This is -- why, it looks like aurodium! A fabulous half-gram ingot! I\'m rich! Wait, what does my investor expect to get out of this? Hmm.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '106', 'm18i', 'Business Financing?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '107', 'm18f', 'filename_of_object (Small sealed container)');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '108', 'm18t', 'The Big Payoff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '109', 'm19o', 'You know Garnib crystals? Brilliant ice sculptures. I\'ve finally purchased one, and I need you to bring it here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '110', 'm19p', 'Don\'t look too long at the light reflecting from the crystals. It\'s said to be psychologically addicting.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '111', 'm19c', 'I\'ve got it at last! Look at the light -- the light --');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '112', 'm19i', 'Garnib Crystal Sculpture');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '113', 'm19f', 'filename_of_object (Small sealed container)');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '114', 'm19t', 'Stay Away From the Light');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '115', 'm20o', 'I need a courier to retrieve a green diamond from a late friend\'s estate. Can you get it?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '116', 'm20p', 'Don\'t open the container. Those green diamonds are valuable, and said to be beautiful, but their radiation kills you in three breaths.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '117', 'm20c', 'Thank you. This was something of a going-away present, you might say, for a former friend. Ah well.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '118', 'm20i', 'Green Diamond');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '119', 'm20f', 'filename_of_object (Small sealed container)');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '120', 'm20t', 'Say it With Diamonds');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '121', 'm21o', 'I\'m so far from home, I desperately miss my pet voorpak! I don\'t trust the shipping services. Can you bring me my beloved Lotti?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '122', 'm21p', 'The little thing died of Big Spot Sickness some time back. Here are its ashes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '123', 'm21c', 'Oh, poor Lotti! Here, take your money and go! Lotti, Lotti!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '124', 'm21i', 'Ashes of Voorpak');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '125', 'm21f', 'filename_of_object (Small sealed container)');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '126', 'm21t', 'Special Delivery');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '127', 'm22o', 'At last my supplier has located an antique from the time of Xim the Despot. Please bring it to me, and I\'ll pay you well.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '128', 'm22p', 'This ancient subspace relay uses the old mytag crystal vertices. It\'s fragile, but the container is padded.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '129', 'm22c', 'This is a tremendous find! I\'ll donate it to an Imperial history museum and gain the Empire\'s favor. Thank you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '130', 'm22i', 'Antique Subspace Relay');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '131', 'm22f', 'filename_of_object (Small sealed container)');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '132', 'm22t', 'Built to Last');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '133', 'm23o', 'I found someone who owns a Tasari crystal. They were formed in a cataclysmic meteor shower eons ago. Can you fetch the crystal?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '134', 'm23p', 'An unusual item. The Tasari used to perform blood sacrifices to these crystals, to forestall more meteor showers. I guess it worked.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '135', 'm23c', 'A Tasari crystal! What an ornament for my collection. Thank you, thank you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '136', 'm23i', 'Tasari Crystal');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '137', 'm23f', 'filename_of_object (Small sealed container)');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '138', 'm23t', 'Crystal Collector');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '139', 'm24o', 'My rich old aunt may like me better if I give her a nice gift. I\'ve placed an order with a supplier of exotic art objects. Can I hire you to bring the order here?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '140', 'm24p', 'Wintrium! It spent ten thousand years solidifying under the Derelkoos Desert, and now it\'s a beautiful natural sculpture. A lesson for us all, eh?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '141', 'm24c', 'I don\'t care what it looks like. I just hope my old aunt does, so she leaves me a nice nest-egg in her will. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '142', 'm24i', 'Wintrium Sculpture');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '143', 'm24f', 'filename_of_object (Small sealed container)');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '144', 'm24t', 'A Thoughtful Gift');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '145', 'm25o', 'I do a good business restoring old musical instruments. I need you to bring me a client\'s broken Ommni Box. I\'ll pay you and bill the client.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '146', 'm25p', 'I hate having to ship my instrument all that way, but hardly ten folks in the galaxy can repair an instrument this old and valuable. Formerly valuable, anyway.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '147', 'm25c', 'Not worth much now that it\'s broken, hmm? I expect I can restore it to full working order. They don\'t make them like this any more!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '148', 'm25i', 'Broken Ommni Box');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '149', 'm25f', 'instrument\\ommni_box.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '150', 'm25t', 'Don\'t Make Them Like They Used To');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_hard.stf', '151', 'number_of_entries', '25');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '1', 'm1o', 'Our work in the mines can be dangerous. I need a field cauterizer to treat injuries. My supplier got one very cheap but needs someone to pick it up. If you lend a hand, I\'ll pay you for your time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '2', 'm1p', 'These were supposedly inferior models, but I\'ve had no problems with them so far. Make sure it\'s kept fully charged at all times.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '3', 'm1c', 'Thank you kindly. Here\'s your pay as promised.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '4', 'm1i', 'Field Cauterizer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '5', 'm1f', 'filename_of_object (Small medical instrument)');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '6', 'm1t', 'Safety First');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '7', 'm2o', 'Always like to keep a medpac around the shop, in case of injuries. Used the last one to treat a nasty burn. If you pick up a new one for me, I\'ll pay you for the delivery.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '8', 'm2p', 'Medpacs are quite handy. No such thing as too many of them, you know. Your patron\'s a smart being.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '9', 'm2c', 'Thank you, citizen. I can now rest easy knowing my workers\' needs are covered. Go have a nice meal on me.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '10', 'm2i', 'Medpac');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '11', 'm2f', 'medicine\\medpack_damage.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '12', 'm2t', 'Medical Needs');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '13', 'm3o', 'I sold a citizen some field cauterizers. Now it seems they were defective and I have to issue a refund. If you pick them up for me, I\'ll pay you for your time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '14', 'm3p', 'Darn things did more harm than good. The laser was malfunctioning and burned the patient severely. That medical supplier should be arrested!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '15', 'm3c', 'Thanks. I bet that fool didn\'t keep these things fully charged like I said. Brain-dead buyers shouldn\'t blame me for their incompetence.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '16', 'm3i', 'Field Cauterizer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '17', 'm3f', 'filename_of_object (Small medical instrument)');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '18', 'm3t', 'Defective Cauterizers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '19', 'm4o', 'My buddy and I have taken a job hunting dangerous predators in the wilderness. We need a DuraShelter for our trip. I found one cheap, but we need it picked up immediately. Can you help? We\'ll pay you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '20', 'm4p', 'I\'ve been selling quite a few of these DuraShelters to hunters recently. Is this the latest Imperial fad?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '21', 'm4c', 'Thanks, pal. This job is supposed to pay a lot of credits. You might want to look into it yourself.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '22', 'm4i', 'DuraShelter');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '23', 'm4f', 'filename_of_object (Small sealed container)');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '24', 'm4t', 'Wilderness Survival Gear');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '25', 'm5o', 'My partner and I will be undertaking a delicate mission soon and we need reliable comlinks. My partner has a couple of C1\'s and insists we use them. Could you pick it up for me so we can test them? We\'ll pay you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '26', 'm5p', 'Good comlinks are the key to success in secret missions, you know. Make sure my buddy keeps this comlink on at all times.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '27', 'm5c', 'Thanks, friend. We\'re gonna be famous some day. You just watch. Oh, right, I was gonna pay you, huh?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '28', 'm5i', 'Comlink');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '29', 'm5f', 'filename_of_object (Comlink)');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '30', 'm5t', 'Good Equipment');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '31', 'm6o', 'I found a blaster repair kit real cheap on the HoloNet. Can\'t get away from my chores right now, so I need someone to pick it up for me. I\'ll pay you for your time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '32', 'm6p', 'Blaster repair kit? Oh, right. Here you go. Might be missing a few static pulse adapter modules. Why do you think it was so cheap?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '33', 'm6c', 'Great, thanks. Been looking for a used kit for months. These things aren\'t cheap, you know.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '34', 'm6i', 'Blaster Repair Kit ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '35', 'm6f', 'filename_of_object (Small kit)');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '36', 'm6t', 'There\'s Always a Catch');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '37', 'm7o', 'A customer\'s vibrodagger recently stopped working. Apparently it was some sort of gift or award for valor, so it has great sentimental value. If you pick it up for me, I\'ll pay you for your time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '38', 'm7p', 'Please take good care of this. It has seen a lot of action and has served me well. I\'d hate to lose this excellent weapon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '39', 'm7c', 'Thanks, citizen. I\'ll look at it and see what I can do. I know how attached we can become to our things. Here\'s something for your trouble.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '40', 'm7i', 'Vibrodagger');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '41', 'm7f', 'filename_of_object (Vibrodagger)');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '42', 'm7t', 'Sentimental Value');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '43', 'm8o', 'I intend to do some prospecting on Bespin, and I need a good breath mask. Found one on the HoloNet for a very reasonable price, but I need someone to pick it up for me. Could you do that? I\'d make it worth your while.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '44', 'm8p', 'Here you go. Hope it brings the new owner better luck than the last one. Used to belong to a prospector, I believe.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '45', 'm8c', 'Thanks, citizen. I think the life of a prospector will be much better than a nerf herder, wouldn\'t you agree? Here\'s your promised payment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '46', 'm8i', 'Breath Mask');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '47', 'm8f', 'filename_of_object (Breath mask)');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '48', 'm8t', 'Full Circle');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '49', 'm9o', 'I bought a droid from a friend recently, but I forgot to get the caller for the restraining bolt. Could you pick it up for me? I\'m waiting on another delivery or else I\'d go myself. I\'ll compensate you for your time. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '50', 'm9p', 'Here it is. Personally, I think my friend should just have put on a new restraining bolt and bought a new caller. They\'re cheap!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '51', 'm9c', 'Thanks so much. No use in spending more money on a caller when this droid already had one, right? Here\'s a little something for you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '52', 'm9i', 'Droid Caller');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '53', 'm9f', 'filename_of_object (Small electronic gizmo)');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '54', 'm9t', 'Frugality');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '55', 'm10o', 'My chores are preventing me from picking up some power converters. I need them really badly. Could you pick some up for me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '56', 'm10p', 'I\'m fresh out of power converters, but I should be getting some new models later this month. Here\'s our newest catalog. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '57', 'm10c', 'No power converters? Argh. Well, I suppose this catalog makes your trip worth the pay. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '58', 'm10i', 'Speeder Catalog');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '59', 'm10f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '60', 'm10t', 'The Next Best Thing');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '61', 'm11o', 'A friend has sold me a couple of peko-peko eggs. I love exotic pets. Could you pick them up for me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '62', 'm11p', 'Here they are. Tell my friend they taste better poached than scrambled. Best hurry, though, as I don\'t know how much longer those will keep.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '63', 'm11c', 'Thank you so much! I\'ll put these in my incubator immediately. Hey, don\'t these seem a bit cold to you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '64', 'm11i', 'Peko-Peko Eggs');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '65', 'm11f', 'filename_of_object (Small sealed container)');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '66', 'm11t', 'Pets or Meat');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '67', 'm12o', 'My friend has collected all of the banned HoloNet stories concerning an amazing little mouse droid. If you pick those up for me, I\'ll pay you for your time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '68', 'm12p', 'Here\'s the disc. My friend didn\'t happen to suggest I was a data slicer or anything like that? Because that\'s not me, nossir. You\'re not an Imperial agent, right?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '69', 'm12c', 'Great! Now I can catch up on that daring little droid\'s adventures. Thanks for getting this.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '70', 'm12i', 'Mouse Droid Adventures');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '71', 'm12f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '72', 'm12t', 'The Legend Lives On');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '73', 'm13o', 'Having just purchased a small settlement in the countryside of Naboo, I require the deed to the property. If you collect it for me, I\'ll compensate you for your time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '74', 'm13p', 'I hope the buyer enjoys fields full of shaaks, because that\'s all that\'s out there -- nothing but stupid, bleating grazers. Still, it is peaceful.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '75', 'm13c', 'My thanks. I\'ve been looking forward to a nice retirement in a quiet rural location. I\'m not really suited to this bustling life.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '76', 'm13i', 'Property Deed');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '77', 'm13f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '78', 'm13t', 'Goodbye, City Life');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '79', 'm14o', 'I didn\'t realize I needed a license to own a narglatch. Well, I certainly don\'t wish to run afoul of the law, so I\'ve decided to get one. Could you pick it up for me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '80', 'm14p', 'I wish citizens would realize just how dangerous these beasts can be. If I had ten credits for every narglatch owner who\'s ended up a meal for their \"pet\" --');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '81', 'm14c', 'Thanks, citizen. Young narglatches are so darn cute, aren\'t they? Do you own any exotic pets?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '82', 'm14i', 'Pet Narglatch License');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '83', 'm14f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '84', 'm14t', 'Disaster Waiting to Happen');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '85', 'm15o', 'I\'ve managed to get my hands on two tickets to the popular circus \"Galactic Menagerie Spectacular Spectacular.\" If you collect them for me, I\'ll pay you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '86', 'm15p', 'Tell the buyer to expect a treat. I especially love the acrobatic feats of The Flying Twi\'lek Octuplets. Great stuff. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '87', 'm15c', 'Many thanks, citizen. My mate and I will have such a good time. You should go if you ever get the chance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '88', 'm15i', 'Circus Tickets');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '89', 'm15f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '90', 'm15t', 'Sucker Born Every Minute');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '91', 'm16o', 'I want to tell my true love about my feelings, but I\'m an incompetent wretch. Fortunately, I know an unemployed poet. Could you pick up my latest batch of love poems for me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '92', 'm16p', 'Alas, it is my curse to write love poetry for others\' mates and never for one of my own. That\'s what comes of having a face only a blind mother would love.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '93', 'm16c', 'Thanks. These poems sure do the trick. I was never lucky in love until I started using these sonnets.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '94', 'm16i', 'Love Poems');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '95', 'm16f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '96', 'm16t', 'Don\'t Mention His Nose');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '97', 'm17o', 'Nobody told me a monkey-lizard would be so much work. I returned mine after one day. Could you pick up my refund certificate for me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '98', 'm17p', 'This is exactly why we make all potential owners watch our holovid \"The Pleasures & Challenges of Monkey-Lizards.\" I guess this buyer fell asleep during the screening.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '99', 'm17c', 'I saw the crummy video, but I just assumed it was farcical entertainment. Who really expects a pet to hurl its own waste?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '100', 'm17i', 'Refund Certificate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '101', 'm17f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '102', 'm17t', 'Challenging Monkey-Lizard');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '103', 'm18o', 'My investigator has uncovered evidence of the Black Sun criminal syndicate\'s operations on this world. Go get it for me, fast!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '104', 'm18p', 'Uhh -- B-black Sun? Never heard of them. No. I just have this nice recording of Wookiee hero-sagas. Here, take it. No Black Sun evidence here!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '105', 'm18c', 'This sounds like a chorus of growling stomachs. Those Black Sun crooks got to my investigator before I did (sigh).');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '106', 'm18i', 'Wookiee Hero-Sagas');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '107', 'm18f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '108', 'm18t', 'No Such Thing');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '109', 'm19o', 'A relative turned up legal evidence that will let us reclaim our family homestead from the bank. I\'ll pay you to bring it here, fast!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '110', 'm19p', 'The bank said we still owed money on our land, but this receipt proves Great-Grandpa paid it off, way back in Old Republic days.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '111', 'm19c', 'This receipt means I can leave this disgusting place and go back home -- once the law courts approve, of course.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '112', 'm19i', 'Old Bank Receipt');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '113', 'm19f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '114', 'm19t', 'The Family Estate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '115', 'm20o', 'I\'ve been informed of a research breakthrough that will make my business famous. Please fetch the data for me, and I\'ll pay you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '116', 'm20p', 'It almost cost me my life, but I\'ve got it at last: the real recipe for the bantha blaster drink served only in Jabba the Hutt\'s palace!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '117', 'm20c', 'Citizens will come from all over this city to drink this and get totally schnozzled. I\'m rich!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '118', 'm20i', 'Bantha Blaster Drink Recipe');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '119', 'm20f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '120', 'm20t', 'I\'m Sure Jabba Won\'t Mind');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '121', 'm21o', 'I\'m getting back at someone who did me wrong. Nothing dangerous, just clever. I want you to pick up the last item I need.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '122', 'm21p', 'Can\'t understand who would want a dormant swarm of Belvarian fire-gnats. These things are nasty!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '123', 'm21c', 'Just a little group of visitors for my enemy\'s next formal dinner party. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '124', 'm21i', 'Belvarian Fire-Gnats (Dormant)');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '125', 'm21f', 'filename_of_object (Small sealed container)');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '126', 'm21t', 'A Friendly Rivalry');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '127', 'm22o', 'I\'ve learned of evidence that will disrupt Hutt smuggling lanes throughout this sector. This is a big find! Fetch it for me quickly!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '128', 'm22p', 'Umm, \"Hutt smuggling\"? I thought my friend meant \"house smuggling.\" These are records of local residential construction using illegal permits.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '129', 'm22c', 'Must have been a bad connection. Well, this can still shut down a couple of local crooks. That\'s something, right?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '130', 'm22i', 'Evidence of Illegal House-Building');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '131', 'm22f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '132', 'm22t', 'Speak Clearly');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '133', 'm23o', 'Taxation is driving me to ruin. I just learned I have to get some new forms to avoid an audit. I need them fast!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '134', 'm23p', 'A citizen who has nothing to hide has no reason to avoid submitting these forms.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '135', 'm23c', 'Why should any official care how many shoes I own? It makes no sense!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '136', 'm23i', 'Tax Forms');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '137', 'm23f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '138', 'm23t', 'Be Thankful They Don\'t Take it All');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '139', 'm24o', 'Ocean mud imported from Bimmisaari is supposed to have medicinal effects. Can you pick up a supply from my friend?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '140', 'm24p', 'Bimmisaari mud is only supposed to help regrow missing limbs. Was my friend missing an arm, maybe?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '141', 'm24c', 'This mud is for my little monkey-lizard, Graak. He fell into a garbage masher. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '142', 'm24i', 'Bimmisaari Ocean Mud');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '143', 'm24f', 'filename_of_object (Small sealed container)');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '144', 'm24t', 'A Farewell to Arms');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '145', 'm25o', 'I know it\'s silly, but I need you to fetch a recording of bad jokes. It\'s quite important. Please go quickly!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '146', 'm25p', 'I listened to some of these. They\'re tasteless and revolting jokes about the Emperor. Why would my friend want them?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '147', 'm25c', 'These jokes are told by a Moff who needs a comedown. When this recording gets out, he\'ll be relocated to the Outer Rim.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '148', 'm25i', 'Bad Jokes');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '149', 'm25f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '150', 'm25t', 'Poor Choice of Words');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '151', 'm26o', 'An important cannister has just come for me from the planet Umgul. I\'ll pay you well if you bring it here promptly.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '152', 'm26p', 'There\'s nothing in this cannister but grayish green ooze. I think the buyer has lost all reason.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '153', 'm26c', 'With these thoroughbred blobs, I\'ll establish Umgul blob racing as this world\'s next big sport. I\'ll get rich making book on these racing blobs!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '154', 'm26i', 'Oozing Blobs');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '155', 'm26f', 'filename_of_object (Small sealed container)');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '156', 'm26t', 'Post Time');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '157', 'm27o', 'I\'m with local law enforcement, and I\'ve just ordered a list of known bounty hunters in the area. Get this list for me, and I\'ll put a stop to those scoundrels.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '158', 'm27p', 'Your patron actually wants that list in order to hire a bounty hunter for some nasty work. I think this should serve better.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '159', 'm27c', 'Here\'s your fee. Thanks. Hey, wait! This is just a copy of the Bounty Hunter\'s Creed! Argh!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '160', 'm27i', 'Bounty Hunter Data');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '161', 'm27f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '162', 'm27t', 'Important Information');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '163', 'm28o', 'I\'ll be travelling to Brubb soon, and etiquette demands that I present a guest-gift to my host. Can you fetch the gift my friend found?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '164', 'm28p', 'It\'s tricky, the protocol on Brubb. But this might help my friend make a splash.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '165', 'm28c', 'I never would have thought of it -- candied butcherbugs! This should work fine, thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '166', 'm28i', 'Brubb Guest-Gift');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '167', 'm28f', 'filename_of_object (Small sealed container)');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '168', 'm28t', 'Say It With Butcherbugs');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '169', 'm29o', 'My business has had money trouble, but just in time, I\'ve lined up financing. I need you to fetch the documents, urgently!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '170', 'm29p', 'My friend\'s financing relied on certain collateral stored for safekeeping, but the items have vanished. Deliver this message to my friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '171', 'm29c', '\"I.O.U. -- Sincerely, Lando Calrissian.\" Who in the galaxy is Lando Calrissian? My smuggling business is ruined!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '172', 'm29i', 'Financing Message');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '173', 'm29f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '174', 'm29t', 'A Valuable Autograph');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '175', 'm30o', 'I did a favor for a friend in a shady line of work, and now I\'m told my reward is ready. I trust you more than my friend, so could you pick it up?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '176', 'm30p', 'That \"favor\" just about brought the Imperials down on me. Here\'s a nice gift for my buddy. Go on, it\'s not dangerous.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '177', 'm30c', 'A first-class ship ticket! Wow! To -- let\'s see -- \"the Great Pit of Carkoon\" on Tatooine. What\'s the Great Pit of Carkoon? Any idea?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '178', 'm30i', 'Reward From Shady Buddy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '179', 'm30f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '180', 'm30t', 'A Free Vacation');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '181', 'm31o', 'I\'m producing a high-quality map of Chandrila, homeworld of the Alliance leader Mon Mothma. Please bring me the latest map data.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '182', 'm31p', 'I had the map data for my friend, but a couple of Imperials took it and told me to pass along this disk instead.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '183', 'm31c', 'It\'s -- a tourist map of Coruscant, the Imperial throneworld? Oh. Okay, I take the hint. No Chandrila map!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '184', 'm31i', 'Message to Chandrila Mapmaker');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '185', 'm31f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '186', 'm31t', 'Maybe He Should Reconsider');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '187', 'm32o', 'I need you to fetch the newly decoded cliffborer worm genome. Yes, I\'m paying a lot for it, but humor me. It\'s quite important, so be quick.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '188', 'm32p', 'Yes, here at last is the -- what did my friend call it? -- the cliff worm genome, yes. It\'s very important. Be quick and you\'ll be paid well.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '189', 'm32c', 'At last! The Imperial -- uh, I mean, the cliffborer worm genome! Thank you, friend of the Alli-- I mean, of Science!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '190', 'm32i', 'Cliffborer Worm Genome');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '191', 'm32f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '192', 'm32t', 'Espionage For Dummies');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '193', 'm33o', 'Did you know the Imperial throneworld, Coruscant, has forty-story construction droids? I plan to build one here. Could you get the plans from my supplier?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '194', 'm33p', 'I have the construction droid plans here -- along with an estimate of how much it will cost to build the droid.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '195', 'm33c', 'Uhh! Oh my, that\'s a lot of money. Hmm. Uh, thanks for your time. Here\'s your fee -- unless you\'ll settle for less. Hmm, this may not work....');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '196', 'm33i', 'Construction Droid Plans');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '197', 'm33f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '198', 'm33t', 'The Entrepreneur');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '199', 'm34o', 'I need the survey results of taste tests of my new beverage, Corelli-Cola. Could you check on whether it\'s ready?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '200', 'm34p', 'Cola? That stuff could work as repulsorlift engine oil, maybe.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '201', 'm34c', 'Gaah! And I\'d planned a big product rollout this month! Well, back to the lab.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '202', 'm34i', 'Corelli-Cola Test Results');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '203', 'm34f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '204', 'm34t', 'Blind Taste Tests');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '205', 'm35o', 'A local museum needs Krayt Pearls for an exhibit. I\'ve found a supplier. Can you fetch the pearls?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '206', 'm35p', 'Here you go. They\'re not real pearls -- they\'re the krayt dragon\'s gizzard stones, which it uses to digest its food.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '207', 'm35c', 'Gizzard stones? Oh, yucch! I wonder if the museum knows this?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '208', 'm35i', 'Krayt Pearls');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '209', 'm35f', 'filename_of_object (Small sealed container)');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '210', 'm35t', 'The Latest Exhibit');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '211', 'm36o', 'My supplier has secured a valuable trophy, taken in struggle with some native savage. I\'d love to add it to my collection. Would you bring it here?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '212', 'm36p', 'It\'s a combat trophy. Made by the Sand People of Tatooine, the Tusken Raiders. Vicious fighters. They\'d probably kill me for selling these gloves!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '213', 'm36c', 'Hmm. If anyone found out I own these... I may have to resell them. Quickly. Thanks anyway.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '214', 'm36i', 'Tusken Raider Gloves');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '215', 'm36f', 'wearables\\gloves\\gloves_tusken_raider.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '216', 'm36t', 'A Careful Collector');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '217', 'm37o', 'For a local holiday my people like to celebrate with a mug of Corellian spiced ale. If you\'ll bring me a supply, I\'ll show my festive spirit by paying you well.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '218', 'm37p', 'The way to drink this during the holiday is to stand on one leg on a table, swallow it all in one gulp, and try not to fall and break your neck.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '219', 'm37c', 'What a holiday season this will be! I hope the fatality rate is lower this time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '220', 'm37i', 'Corellian Spiced Ale');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '221', 'm37f', 'food\\crafted\\meal_drink_corellian_spiced_ale.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '222', 'm37t', 'Holiday Tradition');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '223', 'm38o', 'My serving droid has started twitching and muttering to itself. A memory wipe hasn\'t helped. Can you get a new droid brain from my supplier?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '224', 'm38p', 'Yeah, if you let a crazy droid go too long, it might start meticulously disassembling itself. Not pretty.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '225', 'm38c', 'Not a moment too soon. My droid has been asking for tools so it can remove its foot.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '226', 'm38i', 'Droid Brain');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '227', 'm38f', 'component\\droid\\droid_brain.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '228', 'm38t', 'Twitchy the Wonder Droid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '229', 'm39o', 'For a money-making operation here, I need some highly customized equipment. It\'s very small but priceless. Can you bring it here?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '230', 'm39p', 'Delicately worked, faultlessly crafted! You won\'t find chance cubes this carefully loaded anywhere else in this sector.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '231', 'm39c', 'Thanks! Predictable rolling behavior immensely improves my financial opportunities.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '232', 'm39i', 'Chance Cubes');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '233', 'm39f', 'dice\\eqp_chance_dice.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '234', 'm39t', 'Sapient Needs a New Pair of Shoes');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '235', 'm40o', 'For my insect collection I\'ve just bought preserved specimens of a chiru swarm, from the planet Socorro. I need you to pick them up.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '236', 'm40p', 'These chiru bugs are vicious. They swarm repulsorlift engines in huge numbers. \"Chiru\" means \"deadly\" in Socorran!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '237', 'm40c', 'Uhh -- why is this container buzzing? These chiru bugs are dead, right? I\'ll just open it up and check --');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '238', 'm40i', 'Chiru Insect Swarm');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '239', 'm40f', 'filename_of_object (Small sealed container)');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '240', 'm40t', 'Insect Collection');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '241', 'm41o', 'I asked to have a particular genome sequenced, and the results are in. Too sensitive for transmission, though. Can you bring the disc here?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '242', 'm41p', 'I don\'t know why my client paid so much to get this insect\'s genome sequenced. It\'s a \"Karran Mantis,\" whatever that is.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '243', 'm41c', 'The Karran Mantis grows to the size of an Imperial walker. Only one survives, and there\'s nothing else like it in the galaxy. Thank you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '244', 'm41i', 'Karran Mantis Genome');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '245', 'm41f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '246', 'm41t', 'Life Is in the Details');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '247', 'm42o', 'I have an investigator tracking the whereabouts of Imperial fugitives. I sell this data to bounty hunters. Can you pick up the newest findings?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '248', 'm42p', 'Onibald Daykim, a former bank employee on Coruscant, accidentally put the Emperor on a public list of defaulters. You won\'t believe where he fled.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '249', 'm42c', 'An entire city of fugitive bureaucrats in the lowest underground levels of the Imperial throneworld! Fascinating, but it does me no good out here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '250', 'm42i', 'Feral Bureaucrat Data');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '251', 'm42f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '252', 'm42t', 'Mistake In Judgement');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '253', 'm43o', 'My brother\'s wedding anniversary is coming up and I\'d like to give him a bottle of fine Corellian brandy. If you could pick it up for me I\'d make it worth your while.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '254', 'm43p', 'This is some fine stuff. Tell the buyer to make sure it\'s served warm.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '255', 'm43c', 'Thanks, friend. My brother will need this if he\'s to survive another year with that harridan.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '256', 'm43i', 'Corellian Brandy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '257', 'm43f', 'filename_of_object (Corellian brandy)');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '258', 'm43t', 'For Medicinal Purposes');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '259', 'm44o', 'My great aunt died and left me a family heirloom. I\'m not quite sure what it is, but I need to pick it up or it\'ll be given to another relative. Could you pick it up for me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '260', 'm44p', 'It was the aunt\'s wish that this be worn by the eldest female member of the family. Make sure to say that.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '261', 'm44c', 'The eldest female? Hmm, I wonder what it could be? I know my great aunt was fond of jewelry. Thanks for getting this.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '262', 'm44i', 'Family Heirloom');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '263', 'm44f', 'filename_of_object (Small sealed container)');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '264', 'm44t', 'Family Heirloom');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '265', 'm45o', 'I\'d found a bunch of old family holovids that had been damaged in storage. I\'ve gotten them restored and need them picked up. Think you could help me out?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '266', 'm45p', 'Some of the data was irrecoverable, unfortunately, but I got most of it. The customer should be pleased.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '267', 'm45c', 'Thanks! Now I\'ll finally be able to see what was on those old discs. I think some of them date back to the Old Republic. I hope they mention the Clone Wars.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '268', 'm45i', 'Family Holovids');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '269', 'm45f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '270', 'm45t', 'Say It With Holovids');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '271', 'm46o', 'I have specific tastes when it comes to clothes. Could you pick up some exotic dyes for me? I special-ordered them, but delivery was apparently not included in the price.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '272', 'm46p', 'These dyes are highly concentrated so a little goes a long way. Tell the customer to be careful, or else the dyes may damage the fabric.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '273', 'm46c', 'Excellent! Thanks so much. Do you know how hard it is to get nebula blue just right? That luminescent effect isn\'t easy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '274', 'm46i', 'Clothing Dye');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '275', 'm46f', 'component\\chemistry\\dye_clothing.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '276', 'm46t', 'To Dye For');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '277', 'm47o', 'A young musician wants me to listen to an audition. I have some contacts in the music recording industry and might be able to help. Could you pick up this recording for me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '278', 'm47p', 'Here they are, thanks. Make sure that special attention is paid to track three, entitled \"The Bantha Boogie.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '279', 'm47c', 'I sure hope this being has some talent. I\'ve started to despair for the fate of modern music in the Empire. This is for your troubles.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '280', 'm47i', 'Musical Audition');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '281', 'm47f', 'mission\\mission_datadisk.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '282', 'm47t', 'The Next Max Rebo');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '283', 'm48o', 'I recently ordered a batch of fleek-eel eggs. I\'m trying to go into business by breeding them. If you can pick them up, I\'d pay you for your kindness.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '284', 'm48p', 'Here you go. Make sure to open this container in a sealed room while dressed in protective gear. The buyer did want skekfish eggs, right? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '285', 'm48c', 'Skekfish eggs? What the blazes are those? I\'d better open this and make sure there hasn\'t been a mistake.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '286', 'm48i', 'Exotic eggs');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '287', 'm48f', 'filename_of_object (Small sealed container)');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '288', 'm48t', 'Not For Eating');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '289', 'm49o', 'I collect rare crystals, and I found one for a bargain price on the HoloNet. Delivery wasn\'t part of the deal, unfortunately. If you pick it up for me, I\'ll make it worth your while.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '290', 'm49p', 'Got this from my uncle, who was a prospector working in the Outer Rim. I think he called it an Ilum crystal or something like that.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '291', 'm49c', 'Thanks. Can\'t wait to identify this crystal. With my luck, it\'ll probably end up being something really common.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '292', 'm49i', 'Ilum Crystal');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '293', 'm49f', 'filename_of_object (Small sealed container)');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '294', 'm49t', 'Life Can\'t Really Be This Cruel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '295', 'm50o', 'At long last, a bottle of Whisper perfume has become available. I\'ve been looking for this fragrance for months. Could you pick it up for me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '296', 'm50p', 'This is strong stuff. Just a little dab will do. It is called \"whisper\" after all.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '297', 'm50c', 'A thousand thanks, friend. I\'ll be able to resell this to select clientele and make a fortune. This is for your troubles.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '298', 'm50i', 'Bottle of Perfume');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '299', 'm50f', 'filename_of_object (Small bottle)');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '300', 'm50t', 'Just Whisper');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_neutral_medium.stf', '301', 'number_of_entries', '50');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '1', 'm1o', 'One of our troops apparently collected a trophy off a fallen Imperial soldier. We\'re not fighting the Empire to collect souvenirs. I know a few units that allow it, but not this one. Go and get the souvenir, while I prepare a lecture about showing some class.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '2', 'm1p', 'Why is it wrong to take trophies? They\'re bad guys, right? If they\'re dead, they can\'t use their gear any more, so why not take a nice souvenir? Oh well, here you go.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '3', 'm1c', 'If any Alliance soldier is treating civil war like a hunting trip, we have a lot of education to do. Thanks, I\'ll have this helmet destroyed as usual.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '4', 'm1i', 'Stormtrooper Trophy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '5', 'm1t', 'Alliance Shouldn\'t Collect Trophies');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '6', 'm1f', 'wearables\\armor\\stormtrooper\\armor_stormtrooper_helmet.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '7', 'm2o', 'Some of our bravest Alliance members are those who infiltrate the Empire\'s ranks to bring us vital intelligence. We just had a sad report that one Imperial Navy spy has been caught. The Empire apparently sent his ring to his next of kin, an insolent gesture intended to humiliate them. We have other plans for that ring. Can you bring it here?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '8', 'm2p', 'My friend risked his life every day to help the cause of freedom. After this smug gesture by the Empire, it turns out his ring can still do some good for the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '9', 'm2c', 'The Empire didn\'t discover that this ring conceals a HoloNet receiver. Our spy used it to eavesdrop on a Star Destroyer\'s bridge. We hope we can continue his good work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '10', 'm2i', 'Infiltrator\'s Ring');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '11', 'm2t', 'Proof of Heroism');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '12', 'm2f', 'wearables\\ring\\ring_s02.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '13', 'm3o', 'The last stormtroopers we defeated were using projectile weapons with insane rates of fire. Our field techs inspected the weapons, and they believe the Empire has developed an improved feed mechanism. Bring us one of these improved mechanisms for analysis, and we\'ll make it worth your while.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '14', 'm3p', 'I\'ve never seen why anyone would use projectile weapons in a galaxy full of blasters, but this engagement changed my mind. Here\'s the new feed mechanism.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '15', 'm3c', 'We\'ll pass this along to the engineers for study. Meanwhile, thanks for your time, and take this for your trouble.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '16', 'm3i', 'Projectile Feed Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '17', 'm3t', 'Insane Rates of Fire');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '18', 'm3f', 'component\\weapon\\projectile_feed_mechanism.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '19', 'm4o', 'We just took out an Imperial armory, but barely. Their defenses seemed unsually powerful. We salvaged a power module from a destroyed weapon, and our lab wants to analyze it for technical breakthroughs. Can you bring it here?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '20', 'm4p', 'This module comes from a Golan Arms DF.9 anti-infantry battery. One shot blew through two landspeeders running side by side. Most powerful bolt I\'ve ever seen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '21', 'm4c', 'It\'s possible the anti-infantry battery was just malfunctioning, but we don\'t know for sure. Our lab will analyze this power module and see if we can duplicate it. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '22', 'm4i', 'Weapon Power Module');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '23', 'm4t', 'Empire\'s Weapon Power Breakthrough?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '24', 'm4f', 'component\\structure\\weapon_high_power_module.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '25', 'm5o', 'The Empire\'s Committee for the Preservation of the New Order is doing more surprise bombings of civilian homes. They steal a family\'s droids, then send the droids back bearing implanted tactical warheads. Boom. We\'ve discovered one warhead that failed to detonate, and we want to display it to alert the populace. Can you bring it here?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '26', 'm5p', 'It\'s bone-chilling to think that the protocol droid serving you dinner could suddenly explode. I hope this provokes a terrible public outcry against COMPNOR.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '27', 'm5c', 'Until we inform the public of the terrible atrocities their government commits, the Empire will continue to rule through fear and terrorism. Thank you for your help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '28', 'm5i', 'Droid Implant Warhead');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '29', 'm5t', 'COMPNOR Uses Bomb-Droids on Innocents');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '30', 'm5f', 'component\\munition\\warhead_light.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '31', 'm6o', 'We just got news of another Imperial Army chemical attack on a civilian population. The chemical agent is new. We salvaged a warhead and need you to bring it here for analysis, so we can develop an antidote. Quickly, please!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '32', 'm6p', 'We have no idea why the Army attacked this settlement. Maybe the citizens refused to pay taxes, or someone said the wrong thing to a spy. The destruction was terrible.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '33', 'm6c', 'Nobody deserves to die so horribly as those people did. With the proper antidote in place, we may be able to prevent the next tragedy. Thanks for your assistance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '34', 'm6i', 'Imperial Chemical Warhead');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '35', 'm6t', 'Empire Using Chem Weapons on Civilians');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '36', 'm6f', 'component\\munition\\warhead_chemical.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '37', 'm7o', 'A \"procurement specialist\" just delivered a vital shipment of power cores to our bases here. Apparently by getting past an Imperial blockade, she won some kind of bet with headquarters. They\'ve set up a special payment for her work. If you can pick it up and bring it here, I\'ll forward it to her right away.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '38', 'm7p', 'I don\'t believe I actually got to hold, however briefly, the original flute played by none other than the famous fizz artist Droopy McCool. That is so fine!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '39', 'm7c', 'Well. I guess the smuggler we\'re paying off is a fizz-music fan. It takes a special kind of person to risk explosive decompression to win a flute. Okay, thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '40', 'm7i', 'Droopy McCool\'s Flute');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '41', 'm7t', 'A Procurement Bet');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '42', 'm7f', 'instrument\\flute_droopy.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '43', 'm8o', 'One of our \"procurement specialists\" is asking for a special payment she prearranged with headquarters. She just ran a few shiploads of blaster rifles past the worst Imperial blockade I\'ve seen in a while, so she deserves the pay, whatever it is. If you\'ll pick it up and bring it here, I\'ll pass it along to our procurement specialist.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '44', 'm8p', 'I had no idea that mere cooking spices could cost such a fortune. But these are some of the costliest spices in the galaxy. I almost stole a taste of them, but one sample would cost more than a year\'s pay.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '45', 'm8c', 'Spices? I guess our smuggler friend is a cook on the side. Hmm, maybe I\'ll ask her to cook dinner sometime.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '46', 'm8i', 'Rare Spices');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '47', 'm8t', 'Pay for a Good Smuggling Job');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '48', 'm8f', 'component\\food\\ingredient_spices.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '49', 'm9o', 'One of our \"procurement specialists\" is asking for a payment he prearranged with headquarters. We just got the medical supplies he ran past the Imperials, so I need you to pick up the payment at our arranged drop point. Bring the fee here, and I\'ll pass it on to our smugg-- procurement specialist.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '50', 'm9p', 'I have no idea why headquarters needed to transmit us a deed for, of all things, an ore harvester. Any notion?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '51', 'm9c', 'The smuggler wanted an ore harvester? How odd. Maybe he plans to go into a new line of work. It\'s sure to be safer, anyway.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '52', 'm9i', 'Ore Harvester Deed');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '53', 'm9t', 'Paying a Procurement Specialist');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '54', 'm9f', 'deed\\harvester_deed\\ore_harvester_heavy_deed.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '55', 'm10o', 'The Alliance occasionally revises its code delivery system. Headquarters creates new ways to transmit sensitive messages undetected. I\'ve been told a new system is available for pickup. I don\'t know what it is, but I\'d like you to pick it up and bring it here. Are you willing?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '56', 'm10p', 'This tree has certain nodules growing in its root structure, under the dirt. The pattern of nodules along each root is the code, like beads on a string.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '57', 'm10c', 'Wait a minute -- root nodules? I didn\'t even know we used strings of beads, let alone potted trees. Well, I\'ll get it into analysis, and someone will explain it to me. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '58', 'm10i', 'Potted Tree');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '59', 'm10t', 'New Test for Code Delivery');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '60', 'm10f', 'furniture\\all\\frn_all_tree_potted_s1.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '61', 'm11o', 'The Alliance periodically creates new ways to deliver coded messages without arousing Imperial suspicion. The latest breakthrough is available for pickup, but I haven\'t been told what it is. If you can pick it up and bring it here, we\'ll get it into analysis to figure out the code.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '62', 'm11p', 'The rows of knots of this woven rug are fractionally misaligned. The deviation of each knot from the straight line is an integral value in millimeters. That\'s the code.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '63', 'm11c', 'So -- you measure a knot\'s position, and its irregularity is the code value? Never mind, I don\'t need to know yet. I\'ll get this rug to analysis. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '64', 'm11i', 'Rug');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '65', 'm11t', 'Code Delivery Needs Further Tests');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '66', 'm11f', 'furniture\\modern\\rug_rnd_lg_s01.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '67', 'm12o', 'The Alliance is testing its code delivery systems again. Someone has figured out yet another way to transmit coded information right under the Empire\'s collective nose. I have no idea what you\'re supposed to go and pick up this time, but if you can bring it here quickly for analysis, I\'d appreciate it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '68', 'm12p', 'If you play this kloo horn, the frequencies of consecutive notes are imperceptibly altered. The integral reduction in wavelength for each note is the code value.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '69', 'm12c', 'Codes in live music. That beats all. I\'ll never hear a cantina band in quite the same way. Okay, thanks. Time to play this for analysis.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '70', 'm12i', 'Kloo Horn');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '71', 'm12t', 'Code Delivery System Testing');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '72', 'm12f', 'instrument\\kloo_horn.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '73', 'm13o', 'From time to time the Alliance tests its code delivery systems. We can\'t transmit new codes over the HoloNet, obviously, so we conceal the data in a variety of objects. I don\'t know what they\'ve managed to insert codes into this time, but I need you to bring me the whatever-it-is for analysis.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '74', 'm13p', 'The test information is encoded by the size and position of the welds connecting crossbars in this cage. We worked on that one quite a while!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '75', 'm13c', 'Well, whaddya know. How do they even think of these things? All right, thanks. I have to get this cage into analysis.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '76', 'm13i', 'Cage');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '77', 'm13t', 'Test Code Delivery System');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '78', 'm13f', 'parrot_cage\\parrot_cage.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '79', 'm14o', 'We think another of our \"procurement specialists\" got blasted trying to run an Imperial blockade. These smugglers always run silent, so we don\'t know much for sure. We found a crash site, but there\'s not much left of the ship. To tell whether it\'s our smuggler, I need to see something from the remains. Can you bring it here, please?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '80', 'm14p', 'We found this earring on -- we think it was the pilot\'s body. Not much else left ofher. Grim duty, this salvage work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '81', 'm14c', 'Argh. I recognize this earring. What a bad way to go. Sorry, give me a moment. Okay. I\'ll notify her next of kin. Thanks, that\'s all for now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '82', 'm14i', 'Unidentified Earring');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '83', 'm14t', 'Identify Smuggler Remains');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '84', 'm14f', 'wearables\\earring\\earring_s04.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '85', 'm15o', 'It\'s dangerous work running supplies for the Alliance, and it looks like one of our blockade runners paid the last price today. We don\'t know for sure, because they always run silent. But our ships salvaged a wreck in space, and they\'re shipping the identifiable remains of the pilot down here. Could you bring me what they\'ve found? Grisly duy, I know, but it has to be done.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '86', 'm15p', 'What with the explosive decompression, we couldn\'t find a body. This necklace got caught on the pilot\'s chair, though. Is it our runner\'s?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '87', 'm15c', 'Yes. Yes, that belonged to her. I expect I\'ll have to report this to headquarters -- not to mention her next of kin (sigh). Okay, thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '88', 'm15i', 'Blockade Runner\'s Necklace');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '89', 'm15t', 'Remains of Blockade Runner');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '90', 'm15f', 'wearables\\necklace\\necklace_s02.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '91', 'm16o', 'We\'ve been losing more \"procurement specialists\" as they try to smuggle supplies to us through Imperial blockades. I\'ve had news that a smuggler\'s ship crashed near here.  I need to know who crashed; we had no distress reports. If you could bring me some identifying token from the remains, I\'d appreciate it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '92', 'm16p', 'We couldn\'t find any identifying marks except this ring. This crash was strange, because from down here we saw no evidence of a dogfight. Sabotage, maybe?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '93', 'm16c', 'Huh! Yeah, I recognize this. Not from our pilot, but I think now I know who attacked our pilot. Excuse me, I have to contact a certain bounty hunter I know.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '94', 'm16i', 'Smuggler\'s Ring');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '95', 'm16t', 'Last Ring of a Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '96', 'm16f', 'wearables\\ring\\ring_s03.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '97', 'm17o', 'We lose a certain number of smuggling ships to Imperial blockades, but now I\'ve received word of that one of our \"procurement specialists\" got killed even before liftoff. I understand the ship is wrecked, but there may be some identifying mark in the remains. Can you check there and bring back whatever you find?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '98', 'm17p', 'You\'re here to look over the remains? Here\'s what we found -- a vest. Wrong size for the dead smuggler. You should show it to whoever sent you here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '99', 'm17c', 'Hmm. A Hutt gang vest. I didn\'t expect that. A territorial grab? Maybe we need to bring in some higher-level negotiators. Excuse me, I have to call headquarters.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '100', 'm17i', 'Gangster\'s Vest');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '101', 'm17t', 'Identify a Smuggler\'s Murderer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '102', 'm17f', 'wearables\\vest\\vest_hutt_gang_s03.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '103', 'm18o', 'Our technicians are looking for vulnerabilities in Imperial AT-AT walker control systems. A salvage agent has just received an intact diagnostic unit that reads telemetry off walker drive systems. If we can crack the unit\'s codes, we can deduce many internal details of AT-ATs. Can you bring us this diagnostic unit? The faster, the better.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '104', 'm18p', 'Our forces downed an AT-AT on Yavin 4 when the Empire set up its blockade. We sent in a spy later to scavenge the wreckage. This beauty is the result.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '105', 'm18c', 'All right! Time to get the astromech droid to talk to this thing and see what it likes to hear. We\'ll be in touch with you again, thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '106', 'm18i', 'Walker Control Unit');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '107', 'm18t', 'Help Jam Imperial Walker Systems');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '108', 'm18f', 'component\\item\\electronic_control_unit.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '109', 'm19o', 'We\'re hearing scary rumors that the Empire has a way to remotely launch all the escape pods on our ships. They press a button, and boom! We\'re stuck. Sounds unlikely, but to make sure, we\'re analyzing components on our various escape pods. Another component just arrived for testing. Can you pick it up?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '110', 'm19p', 'This is the energy distributor used in the explosive bolts on the Corellian Engineering Class-6 escape pod. Yes, it is set up to receive remote telemetry. Can\'t imagine why. Here you go.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '111', 'm19c', 'Those explosive bolts receive remote telemetry so that if the ship systems get damaged, a crew member can launch the pod from a datapad interface. Thanks for the component. We\'ll get to it right away.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '112', 'm19i', 'Escape Pod Component');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '113', 'm19t', 'Imperials Triggering Pods Remotely?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '114', 'm19f', 'component\\item\\electronic_energy_distributor.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '115', 'm20o', 'The Alliance needs more eyes in high places. If they\'re small, invisible eyes, all the better. We\'re working on a microsensor the size of a grain of dust, that can rest invisibly on an Imperial\'s uniform. We hope we\'ll hear intelligence in places where the Empire doesn\'t think to jam sensors. We have a prototype ready for testing. Can you bring it here?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '116', 'm20p', 'This package contains the sensor and the receiving apparatus. Unfortunately, the sensor itself tends to blow around and break when air moves over it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '117', 'm20c', 'It breaks when air moves over it? You mean, for example, when someone breathes? Hmm. Sounds like there are still big problems with this design. Thanks anyway.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '118', 'm20i', 'Micro Sensor and Receiver');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '119', 'm20t', 'Dust-Sized Sensor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '120', 'm20f', 'component\\item\\micro_sensor_suite.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '121', 'm21o', 'Some crazy old hermit in the Outer Rim Territories sent us a remarkable redesign of our standard blaster pistol barrel. Our engineers said it looked so bizarre it could have come from another galaxy. But we tried making a prototype, and now it\'s ready for testing. Who knows? It might be our salvation. Can you bring it here?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '122', 'm21p', 'The capacitance induction on this barrel works on some completely novel principle -- allegedly. It may run much cooler than existing barrels. Or it may be total trash.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '123', 'm21c', 'I\'m leery of building such a bizarre new barrel. But if I hadn\'t ordered this prototype, I\'d always wonder. I still wonder who that designer is. Anyway, we\'ll start testing soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '124', 'm21i', 'Unusual Blaster Barrel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '125', 'm21t', 'Odd New Blaster Barrel Redesign');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '126', 'm21f', 'component\\weapon\\blaster_pistol_barrel.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '127', 'm22o', 'A mysterious hermit in the Outer Rim has been sending us amazing redesigns of our existing equipment. We just got his new version of a flashback suppressor useful on many different weapons. It\'s based on weird principles, but apparently this fellow\'s designs have showed promise before. So I\'ve ordered a prototype. Can you bring it here?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '128', 'm22p', 'This flashback suppressor uses some kind of magnetic self-adjusting feedback loop. It\'s quite weird. I have no idea whether this thing will ever work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '129', 'm22c', 'This hermit\'s designs are hit-and-miss, they say. I don\'t know if a magnetic feedback suppressor will change the course of the war, but regardless, thanks for bringing it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '130', 'm22i', 'Unusual Flashback Suppressor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '131', 'm22t', 'Odd Flashback Suppressor Design');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '132', 'm22f', 'component\\weapon\\laser_magnetic_flashback_supressor.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '133', 'm23o', 'Commander Skywalker destroyed the Death Star without a targeting computer. This shows that our computers still fall short. We don\'t object to pilots using gut instinct, but we\'d like to give them better tools when guts fail them. Our new prototype computer has just arrived from offworld, and we\'re ready to test it as soon as you bring it here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '134', 'm23p', 'This is a sweet new model. Uses a modified droid brain, I think. I hope it\'ll help in the battles ahead as the Empire starts striking back.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '135', 'm23c', 'This targeting computer uses a modified droid brain? What a terrible idea. I hope it doesn\'t start developing a personality. Well, thank you anyway.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '136', 'm23i', 'Improved Targeting Computer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '137', 'm23t', 'Targeting Computer Upgrade');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '138', 'm23f', 'component\\weapon\\weapon_targeting_computer.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '139', 'm24o', 'We\'re getting refugees from Imperial attacks in the countryside. These poor folks had their homes destroyed, their equipment burned -- they have nowhere to turn. We\'re setting up relief and relocation efforts, but in the short term, we\'ve got some hungry kids who need food. Can you please bring me a food basket from our supplier?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '140', 'm24p', 'I always have some of these baskets ready to go. The Empire always gives us a use for them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '141', 'm24c', 'Thanks. I\'ll get the food to the latest refugees. You can be proud you helped today.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '142', 'm24i', 'Provisions');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '143', 'm24t', 'Food for Refugee Family');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '144', 'm24f', 'food\\crafted\\meal_dish_food_basket.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '145', 'm25o', 'The Alliance is still looking for good base sites around the Outer Rim. Each world seems to present problems of its own. Our existing ore harvesters won\'t work in some environments, so we\'ve had our engineers develop a suitably ruggedized harvester model. We need you to bring us the schematics, because we don\'t want the Empire learning the environments we\'re targeting.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '146', 'm25p', 'It\'s a straightforward task, redesigning an ore harvester. Not much glamour, but the war effort rides on this kind of work. That\'s what I tell myself, anyway.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '147', 'm25c', 'Thanks! Remember, don\'t mention the ore harvester redesign to anyone. The Empire has spies everywhere.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '148', 'm25i', 'Ore Harvester Design');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '149', 'm25t', 'Redesigned Ore Harvester');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '150', 'm25f', 'deed\\harvester_deed\\ore_harvester_heavy_deed.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '151', 'm26o', 'We\'ve set up an advance base on a remote world -- never mind where -- and no one there has ever heard of a power core. They still need power, so we\'re shipping them the latest designs for high-efficiency wind power generators. To prevent the Empire from discovering our supply chain, we need you to hand-deliver the design to us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '152', 'm26p', 'On some worlds you can generate more from wind power than from a good fusion generator -- if your wind station can stand up in a perpetual hurricane.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '153', 'm26c', 'Great! We\'ll get this design shipped off to our advance base.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '154', 'm26i', 'Wind Power Generator Design');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '155', 'm26t', 'New Base Needs Wind Power');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '156', 'm26f', 'deed\\generator_deed\\power_generator_wind_deed.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '157', 'm27o', 'I never thought of such things back when the Alliance was a ragtag band of outcasts, but now we\'re experiencing local shortages of uniforms. In big engagements against the Empire, we need to know who\'s who. We have designs ready for a new clothing factory. We\'d rather not trust them to the HoloNet, for reasons you may learn later. Can you bring the designs here?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '158', 'm27p', 'I don\'t know where they\'re building this factory, but the designs show it will make clothing intended for cold climates. Really cold.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '159', 'm27c', 'Yes, we\'re making uniforms for a cold climate. But speculating why, or letting anyone know that little piece of data, is a bad idea.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '160', 'm27i', 'Designs for Uniform Factory');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '161', 'm27t', 'Alliance Needs Uniforms');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '162', 'm27f', 'deed\\factory_deed\\clothing_factory_deed.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '163', 'm28o', 'Our new advance base in the Outer Rim Territories is getting weird feedback from the world\'s magnetic field. They\'re busy shielding all the computers, but the power generator is getting finicky too. They don\'t have the infrastructure to fix that. So we\'ve worked up a new design, and we can start construction once you bring it here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '164', 'm28p', 'The fusion generator in these plans will serve up enough power to re-tune that planet\'s magnetic field! You bet!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '165', 'm28c', 'This may be an over-specification; no base needs quite this much power. But we\'ll sort it out and get the generator offworld soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '166', 'm28i', 'Fusion Generator Design');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '167', 'm28t', 'Alliance Base With Fusion Problems');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '168', 'm28f', 'deed\\generator_deed\\power_generator_fusion_deed.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '169', 'm29o', 'An Imperial spy has compromised the weapon-control protocols we use to remotely fire our turret installations. The Empire could potentially turn our own laser cannons against us! A team of slicers and engineers has developed a retrofit that will secure these turret blocks against outside interference. It\'s up to you to bring us the design, quickly.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '170', 'm29p', 'The old turret block design was already secure, and this one is better. But you can\'t control the \"human engineering\" that lets spies trick our operatives into revealing secret protocols.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '171', 'm29c', 'Thanks! We\'ll get this turret retrofit into place at top speed. And while we\'re at it, I hope we get across some basic education about how to keep secrets.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '172', 'm29i', 'Turret Block Redesign');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '173', 'm29t', 'Alliance Turrets Compromised');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '174', 'm29f', 'deed\\turret_deed\\turret_block_large_deed.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '175', 'm30o', 'Some idiot tourist bought a venomous reptavian offworld and brought it back here as a pet. That \"pet\" just stung an innocent girl, and we don\'t have a suitable antivenin here. One of our labs has just manufactured an antidote. Bring it here, quickly. A girl\'s life hangs in the balance!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '176', 'm30p', 'Here\'s the antidote. Move!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '177', 'm30c', 'At last! We\'ll give this antidote to the girl right now. We destroyed the reptavian, by the way, and gave the tourist a sharp lecture about importing offworld animals.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '178', 'm30i', 'Venom Antidote');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '179', 'm30t', 'Deliver Reptavian Poison Antidote');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '180', 'm30f', 'medicine\\antidote_sm_s1.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '181', 'm31o', 'Interesting news. An Alliance slicer has procured the schematics for the Empire\'s secure data terminals. If we can crack the encryption scheme, we could theoretically learn every mission the Empire assigns to its followers. Obviously we need to keep this find off the HoloNet, so we\'d like you to hand-deliver the schematics to us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '182', 'm31p', 'I never liked those mission terminals. I hope this breach makes the Empire stop using them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '183', 'm31c', 'With any luck, we\'ll know the Empire\'s plans as soon as they do! Thank you for your help!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '184', 'm31i', 'Imperial Data Terminal Schematic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '185', 'm31t', 'We Have the Empire\'s Data Terminals');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '186', 'm31f', 'furniture\\imperial\\data_terminal_s1.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '187', 'm32o', 'I\'m supposed to pick up some kind of equipment for an upcoming assault, but the transmission was corrupted. I know the pickup point, and it\'s supposed to be kept secret and hand-delivered. Other than that, I\'m clueless. Welcome to the military. Can you pick up this whatever-it-is and bring it here?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '188', 'm32p', 'Don\'t mind that ticking sound, it\'s just a loose interior casing. But if I were you, I\'d deliver this thing pretty quickly.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '189', 'm32c', 'A -- what? What kind of warhead? Is it live? Why is it ticking? Okay, I need to make some calls here. See you later, okay? I hope.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '190', 'm32i', 'Warhead');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '191', 'm32t', 'Classified Pick-Up');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '192', 'm32f', 'component\\munition\\warhead_heavy.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '193', 'm33o', 'We\'ve analyzed captured plans from the Empire\'s defunct Dark Trooper project, and there\'s some interesting technology there. Our lab\'s latest prototype adapts a deflector plate from the Stage 1 droid to function as an actual deflector shield projector, worn on the arm. Sounds great, doesn\'t it? We need you to bring us the prototype plate.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '194', 'm33p', 'Here is the plate component. The power consumption for the entire deflector shield is much too steep right now. It would melt your arm! But we\'re working on it, we\'re working away....');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '195', 'm33c', 'We need to set up a testing program for this deflector plate. The Empire\'s discarded technology may be the boost we need. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '196', 'm33i', 'Deflector Shield Plate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '197', 'm33t', 'Deliver Shield Projector Component');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '198', 'm33f', 'component\\armor\\deflector_shield_projector_plate.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '199', 'm34o', 'We downed an Imperial transport from low orbit. It crash-landed with no survivors, and our teams scavenged the wreckage. They found an astromech droid brain that appears undamaged -- unlike the droid\'s body. We think we can scan the brain at our facility and learn Imperial engineering protocols. Can you bring us the brain?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '200', 'm34p', 'If this astromech brain holds current Imperial encryption protocols, we can do some damage to the Empire before their next scheduled code rotation.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '201', 'm34c', 'Good job! We\'ll have someone look at the brain as soon as we can.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '202', 'm34i', 'Astromech Droid Brain');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '203', 'm34t', 'R2 Brain Awaits Analysis');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '204', 'm34f', 'component\\droid\\droid_brain.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '205', 'm35o', 'Our spies received a manifest of war materiel bound for the Garia system. If we strike those supply ships, we can cripple Imperial operations in that sector. I need you to fetch the manifest datadisc and bring it here. Be careful. Many Bothans died to bring us this information.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '206', 'm35p', 'Here\'s the disc. It was purchased with Bothan blood, so handle it with respect. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '207', 'm35c', 'Good work. I hope the data on this disc is enough to plot some sabotage missions. The Empire\'s foothold in the Garia system is very strong.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '208', 'm35i', 'War Materiel Manifest');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '209', 'm35t', 'Retrieve a War Materiel Manifest');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '210', 'm35f', 'datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '211', 'm36o', 'A Mon Calamari war cruiser is cloaked inside a comet cluster on the fringes of the system. It\'s ready to drop off some important Alliance dignitaries. Our listening stations have compiled the schedule windows during which the ship can move past Imperial star patrols. I want you to get that list and bring it to me. Do not delay!.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '212', 'm36p', 'Here\'s the list of schedule windows, such as it is. The pilot of that star cruiser had better be good. Flying past the Imperial patrols will be like threading a very small needle.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '213', 'm36c', 'These numbers don\'t look very promising, but I suppose they\'re all we\'ve got. May the Force be with us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '214', 'm36i', 'Entry Windows For Alliance Star Cruiser');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '215', 'm36t', 'Analysis of Imperial Star Patrol Schedule');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '216', 'm36f', 'datadisc\n\nm37o\nI need your help. We\'ve received a list of the top star pilots who want to join the Alliance. I think I\'m being watched by Imperial surveillance, so someone else has to pick up the list for me. Can you handle it? After the Battle of Yavin we seriously need to replenish the ranks of our fighter pilots. This is the first step.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '217', 'm37p', 'Here\'s the list of star pilots. There\'s some great names on here, like Avan Beruss from the Illodian Officers\' Academy and Nien Nunb from Sullust. If we keep recruiting this caliber of pilots, we\'ll be twice as strong as we were at Yavin.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '218', 'm37c', 'Hmm. I can\'t say I\'ve heard of the pilots on this list, but I\'ll certainly look into recruiting them. We need every advantage we can get against the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '219', 'm37i', 'List of Top Star Pilots');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '220', 'm37t', 'Deliver a List of Star Pilots');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '221', 'm37f', 'datadisc\n\nm38o\nListen up. Our spies inform us that the Emperor\'s enforcer, Darth Vader, has commissioned a team of elite bounty hunters called the Scourge Column. We\'re not sure what the team is for, but we want one of our agents on the inside. I want you to meet the top candidate and get a list of credentials for me to review. Only our best agent should attempt a mission as dangerous as this one.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '222', 'm38p', 'Here are my credentials. This sounds like a dangerous assignment, though. What do you think? Could I pass as a top-flight bounty hunter? My mother says I\'ve got a mean look about me, when the light hits me just right.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '223', 'm38c', 'These are the credentials of our top candidate, eh? Somehow I\'m not encouraged. Well, perhaps Vader won\'t recognize a well-hidden spy. It\'s not like he\'s clairvoyant, right?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '224', 'm38i', 'Alliance Agent Credentials');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '225', 'm38t', 'Fetch the Credentials of a Spy Candidate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '226', 'm38f', 'datadisc\n\nm39o\nOkay, here\'s the deal. The captain of the Star Destroyer Beleaguer is hosting an officer\'s party on his flight deck. We\'ve hidden a listening device in the ommni-box that the band will be using. If we\'re lucky we might catch some random intelligence. I want you to fetch the bugged instrument from our offworld agent and bring it back to me. Got it?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '227', 'm39p', 'Here\'s the ommni-box. It\'s a little off-key in the fourth septave of the Bith echo minor scale, but the Imperials shouldn\'t notice. I think.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '228', 'm39c', 'Ahh, good. I hope the musicians won\'t notice the switch. One ommni-box is just like another, I always say.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '229', 'm39i', 'Bugged Ommni-Box');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '230', 'm39t', 'Deliver an Ommni-Box');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '231', 'm39f', 'instrument\\ommni_box.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '232', 'm40o', 'At last we have evidence to prove Imperial atrocities on Tyshapahl. I want you to pick up the package from our transport pilot and bring it back to me. I understand this evidence is volatile, so waste no time in getting it here. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '233', 'm40p', 'Yeah, so, here it is. Yes, it\'s a corpse. Yes, it\'s not frozen. They thawed it for an autopsy and never re-froze it. Some genius at High Command didn\'t want to risk destroying the evidence. So, now I pass this fragrant burden off to you. Enjoy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '234', 'm40c', 'By the belt of Antilles! Who gave the command to leave this thing rotting like this? It\'s sickening! Quick, let me get this refrigerated before I smell as bad as a nerf-herder.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '235', 'm40i', 'Victim of Imperial Atrocity');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '236', 'm40t', 'Transport Evidence of Imperial Crimes');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '237', 'm40f', 'poi\\corellia\\poi_victim_sandpanther.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '238', 'm41o', 'This is great. We actually reprogrammed an Imperial mission terminal. Now we can send New Order activists into traps and away from our sensitive operations. Go pick up the terminal and bring it here so I can deploy it as soon as possible. I can\'t wait to watch these Imperials lapdogs chase after phantoms!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '239', 'm41p', 'Are you the one taking possession of the reprogrammed terminal? Excellent. Here it is, then. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '240', 'm41c', 'Terrific! This reprogrammed mission terminal is going to confuse the heck out of the Imperials. I\'ve already got an idea to send them on missions to hunt down a prototype war droid based on the MSE-6 model. They\'re just dumb enough to fall for that, don\'t you think?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '241', 'm41i', 'Reprogrammed Imperial Mission Terminal');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '242', 'm41t', 'Retrieve a Reprogrammed Mission Terminal');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '243', 'm41f', 'mission\\mission_terminal.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '244', 'm42o', 'A scientist loyal to the Alliance has developed some kind of new wilderness camouflage system. We\'ve smuggled it to the planet. I need you to fetch it for me. If this device works, it could prove an immense help in the war against the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '245', 'm42p', 'Believe it or not, this is the fabled new camouflage system. A straw hut. Sometimes I wish we had the resources of the Empire. I really do.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '246', 'm42c', 'So. Um. This is the new camouflage system, eh? A hut. Well, you can\'t say we leave any option untested in the fight against the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '247', 'm42i', 'Big Straw Hut');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '248', 'm42t', 'Fetch a Prototype Camouflage System');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '249', 'm42f', 'poi\\endor\\poi_ewok_hut.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '250', 'm43o', 'A Zabrak spy has stolen the clothes of a high-ranking Imperial overseer. They will provide an excellent disguise for one of our agents. The spy was killed shortly afterward, but she managed to pass off the clothes to one of our civilian contacts. An Alliance pilot has flown them here. The Empire is on the lookout, so I need you to sneak to the rendezvous point, collect the package and make sure it gets back to me. Are you up to the job, my friend?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '251', 'm43p', 'Here are the clothes. They once belonged to an Imperial Inquisitor. I don\'t have to explain to you how rare they are, right?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '252', 'm43c', 'An Inquisitor\'s robe? Impressive! I\'ve never seen one before. I\'m not sure if we would ever disguise an agent as an Inquisitor, but you never know. Thanks for the good work, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '253', 'm43i', 'Imperial Inquisitor Robe');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '254', 'm43t', 'Transport an Imperial Disguise');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '255', 'm43f', 'wearables\\robe\\robe_inquisitor.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '256', 'm44o', 'Clandestine funding is an important part of Alliance operations. We\'re smuggling a shipment of rare avabush spice to one of our backers on the Frontier, in exchange for a hefty donation. I need you to bring the shipment to me so I can pass it along to the next starship in our underground delivery system. Make sure no Imperials catch you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '257', 'm44p', 'Here\'s the avabush spice. Did you know it can be used as a truth serum? I wonder what our secret backer is going to use it for? Hmm.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '258', 'm44c', 'Thank you. This avabush spice will help us continue the good work of the Alliance. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '259', 'm44i', 'Avabush Spice');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '260', 'm44t', 'Transport a Shipment of Valuable Spice');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '261', 'm44f', 'component\\food\\ingredient_spices.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '262', 'm45o', 'I\'ve got a job for you. There\'s a small package I need you to deliver to me. It contains an Imperial Medal of Honor engraved with the name of Governor Tarkin. Contraband scavengers discovered it in the debris field around Yavin. This medal will make a splendid gift for someone in High Command. Can you bring it to me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '263', 'm45p', 'It\'s kind of perverse, don\'t you think, handling an old war medal like some kind of sick trophy? I dunno. I mean Tarkin is dead. Let\'s move on, right?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '264', 'm45c', 'Ahh! Excellent. I can\'t wait to give Tarkin\'s old medal as a gift to someone in Alliance High Command. My star is rising, my friend, I assure you of that. It was well worth leaving my post in the Imperial military to take up with the Rebellion.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '265', 'm45i', 'Imperial Medal of Valor   ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '266', 'm45t', 'Transport an Imperial Medal');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '267', 'm45f', 'sealed container\n\nm46o\nWant to help out with some new war technology? Our scientists have developed a hybrid form of the gel insulation used in AT-AT and AT-ST servo joints. This new gel reacts to certain radio frequencies, with explosive results. We\'re planning to sneak it into Imperial production facilities. If you\'ve got time, I need to have some of the stuff brought to me from a courier.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '268', 'm46p', 'You\'d think they would transport explosive gel in some kind of container, wouldn\'t you? But no, here it is in a nice, handy blob. Careful, it sort of oozes through your fingers when it gets warm. I\'d stay away from radio transmitters with this stuff, if I were you. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '269', 'm46c', 'Thanks for the help. I can\'t wait to blow the legs off a few Imperial walkers with this stuff.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '270', 'm46i', 'Ball of Explosive Gel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '271', 'm46t', 'Deliver New War Technology');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '272', 'm46f', 'component\\food\\ingredient_ball_of_dough.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '273', 'm47o', 'Our agents recovered some interesting debris from the ruins of a destroyed Imperial outpost. I want you to take possession of this material from our courier and bring it here. I have a sneaking suspicion I know what it is.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '274', 'm47p', 'Here you go. Looks like a bunch of ashes to me, but maybe someone on this planet can make use of it. Take care. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '275', 'm47c', 'What, this is it? Nothing more than wood ash, by the looks of it. I guess I was wrong. Thank you nonetheless for helping me, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '276', 'm47i', 'Suspicious Ashes');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '277', 'm47t', 'Deliver Suspicious Debris');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '278', 'm47f', 'camp\\campfire_logs_ash.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '279', 'm48o', 'Our agents recovered some interesting debris from the ruins of a destroyed Imperial outpost. I want you to take possession of this material from our courier and bring it here. I have a sneaking suspicion I know what it is.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '280', 'm48p', 'Here you go. Looks like a bunch of ashes to me, but maybe someone on this planet can make use of it. Take care. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '281', 'm48c', 'Son of a gundark! I knew it! These are the remains of a notorious Imperial torturer, left behind by a strike team I commissioned to destroy that base. See, you can tell by the stim implants in the ash. They melt at a higher temperature than bone. This confirms my hopes that the torturer was killed. Thank you very much for helping.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '282', 'm48i', 'Suspicious Ashes');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '283', 'm48t', 'Deliver Suspicious Debris');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '284', 'm48f', 'camp\\campfire_logs_ash.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '285', 'm49o', 'I\'m glad you\'re here. I have a very important mission for you. A secret Alliance operative has brought a very important droid to this planet. I need you to pick it up and bring it to me at once. I cannot overstate the urgency of this mission. Do not, under any circumstances, let this droid fall into Imperial hands. Is that clear? Go now. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '286', 'm49p', 'Sure is a lot of fuss over a mouse droid, don\'t you think? Well, far be it from me to second guess High Command. Here it is. Luck to you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '287', 'm49c', 'I can\'t believe this is the very droid the Empire has been scouring the galaxy trying to find! I\'m humbled. You did well to transport it here without the authorities getting ahold of it. That would have been a disastrous blow to the Alliance. Thank you again. The Force will be with you, always.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '288', 'm49i', 'Innocuous Mouse Droid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '289', 'm49t', 'Transport an Innocuous Mouse Droid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '290', 'm49f', 'mouse droid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '291', 'm50o', 'A Zabrak spy has stolen the clothes of a high-ranking Imperial soldier. They will provide an excellent disguise for one of our agents. The spy was killed shortly afterward, but she managed to pass off the clothes to one of our civilian contacts. An Alliance pilot has flown them here. The Empire is on the lookout, so I need you to sneak to the rendezvous point, collect the package and make sure it gets back to me. Are you up to the job, my friend?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '292', 'm50p', 'Here is the uniform. Do you recognize it? Not many people would. It once belonged to a member of the Imperial Royal Guard. To say these are not easy to come by would be the understatement of the millennium. Handle it with care.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '293', 'm50c', 'Unbelievable! The robe of an Imperial Royal Guard! I know exactly which Alliance agent will be able to use it, too. This may be our biggest break since the Bothans discovered that weakness in the Death Star. Good work, my friend. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '294', 'm50i', 'Robe of the Imperial Royal Guard');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '295', 'm50t', 'Transport an Imperial Disguise');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_easy.stf', '296', 'm50f', 'wearables\\robe\\robe_royal_guard.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '1', 'm1o', 'One of our troops apparently collected a trophy off a fallen Imperial soldier. We\'re not fighting the Empire to collect souvenirs. I know a few units that allow it, but not this one. Go and get the souvenir, while I prepare a lecture about showing some class.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '2', 'm1p', 'Why is it wrong to take trophies? They\'re bad guys, right? If they\'re dead, they can\'t use their gear any more, so why not take a nice souvenir? Oh well, here you go.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '3', 'm1c', 'If any Alliance soldier is treating civil war like a hunting trip, we have a lot of education to do. Thanks, I\'ll have this helmet destroyed as usual.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '4', 'm1i', 'Stormtrooper Trophy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '5', 'm1t', 'Alliance Shouldn\'t Collect Trophies');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '6', 'm1f', 'wearables\\armor\\stormtrooper\\armor_stormtrooper_helmet.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '7', 'm2o', 'Some of our bravest Alliance members are those who infiltrate the Empire\'s ranks to bring us vital intelligence. We just had a sad report that one Imperial Navy spy has been caught. The Empire apparently sent his ring to his next of kin, an insolent gesture intended to humiliate them. We have other plans for that ring. Can you bring it here?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '8', 'm2p', 'My friend risked his life every day to help the cause of freedom. After this smug gesture by the Empire, it turns out his ring can still do some good for the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '9', 'm2c', 'The Empire didn\'t discover that this ring conceals a HoloNet receiver. Our spy used it to eavesdrop on a Star Destroyer\'s bridge. We hope we can continue his good work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '10', 'm2i', 'Infiltrator\'s Ring');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '11', 'm2t', 'Proof of Heroism');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '12', 'm2f', 'wearables\\ring\\ring_s02.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '13', 'm3o', 'The last stormtroopers we defeated were using projectile weapons with insane rates of fire. Our field techs inspected the weapons, and they believe the Empire has developed an improved feed mechanism. Bring us one of these improved mechanisms for analysis, and we\'ll make it worth your while.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '14', 'm3p', 'I\'ve never seen why anyone would use projectile weapons in a galaxy full of blasters, but this engagement changed my mind. Here\'s the new feed mechanism.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '15', 'm3c', 'We\'ll pass this along to the engineers for study. Meanwhile, thanks for your time, and take this for your trouble.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '16', 'm3i', 'Projectile Feed Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '17', 'm3t', 'Insane Rates of Fire');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '18', 'm3f', 'component\\weapon\\projectile_feed_mechanism.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '19', 'm4o', 'We just took out an Imperial armory, but barely. Their defenses seemed unsually powerful. We salvaged a power module from a destroyed weapon, and our lab wants to analyze it for technical breakthroughs. Can you bring it here?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '20', 'm4p', 'This module comes from a Golan Arms DF.9 anti-infantry battery. One shot blew through two landspeeders running side by side. Most powerful bolt I\'ve ever seen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '21', 'm4c', 'It\'s possible the anti-infantry battery was just malfunctioning, but we don\'t know for sure. Our lab will analyze this power module and see if we can duplicate it. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '22', 'm4i', 'Weapon Power Module');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '23', 'm4t', 'Empire\'s Weapon Power Breakthrough?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '24', 'm4f', 'component\\structure\\weapon_high_power_module.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '25', 'm5o', 'The Empire\'s Committee for the Preservation of the New Order is doing more surprise bombings of civilian homes. They steal a family\'s droids, then send the droids back bearing implanted tactical warheads. Boom. We\'ve discovered one warhead that failed to detonate, and we want to display it to alert the populace. Can you bring it here?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '26', 'm5p', 'It\'s bone-chilling to think that the protocol droid serving you dinner could suddenly explode. I hope this provokes a terrible public outcry against COMPNOR.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '27', 'm5c', 'Until we inform the public of the terrible atrocities their government commits, the Empire will continue to rule through fear and terrorism. Thank you for your help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '28', 'm5i', 'Droid Implant Warhead');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '29', 'm5t', 'COMPNOR Uses Bomb-Droids on Innocents');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '30', 'm5f', 'component\\munition\\warhead_light.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '31', 'm6o', 'We just got news of another Imperial Army chemical attack on a civilian population. The chemical agent is new. We salvaged a warhead and need you to bring it here for analysis, so we can develop an antidote. Quickly, please!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '32', 'm6p', 'We have no idea why the Army attacked this settlement. Maybe the citizens refused to pay taxes, or someone said the wrong thing to a spy. The destruction was terrible.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '33', 'm6c', 'Nobody deserves to die so horribly as those people did. With the proper antidote in place, we may be able to prevent the next tragedy. Thanks for your assistance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '34', 'm6i', 'Imperial Chemical Warhead');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '35', 'm6t', 'Empire Using Chem Weapons on Civilians');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '36', 'm6f', 'component\\munition\\warhead_chemical.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '37', 'm7o', 'A \"procurement specialist\" just delivered a vital shipment of power cores to our bases here. Apparently by getting past an Imperial blockade, she won some kind of bet with headquarters. They\'ve set up a special payment for her work. If you can pick it up and bring it here, I\'ll forward it to her right away.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '38', 'm7p', 'I don\'t believe I actually got to hold, however briefly, the original flute played by none other than the famous fizz artist Droopy McCool. That is so fine!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '39', 'm7c', 'Well. I guess the smuggler we\'re paying off is a fizz-music fan. It takes a special kind of person to risk explosive decompression to win a flute. Okay, thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '40', 'm7i', 'Droopy McCool\'s Flute');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '41', 'm7t', 'A Procurement Bet');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '42', 'm7f', 'instrument\\flute_droopy.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '43', 'm8o', 'One of our \"procurement specialists\" is asking for a special payment she prearranged with headquarters. She just ran a few shiploads of blaster rifles past the worst Imperial blockade I\'ve seen in a while, so she deserves the pay, whatever it is. If you\'ll pick it up and bring it here, I\'ll pass it along to our procurement specialist.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '44', 'm8p', 'I had no idea that mere cooking spices could cost such a fortune. But these are some of the costliest spices in the galaxy. I almost stole a taste of them, but one sample would cost more than a year\'s pay.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '45', 'm8c', 'Spices? I guess our smuggler friend is a cook on the side. Hmm, maybe I\'ll ask her to cook dinner sometime.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '46', 'm8i', 'Rare Spices');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '47', 'm8t', 'Pay for a Good Smuggling Job');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '48', 'm8f', 'component\\food\\ingredient_spices.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '49', 'm9o', 'One of our \"procurement specialists\" is asking for a payment he prearranged with headquarters. We just got the medical supplies he ran past the Imperials, so I need you to pick up the payment at our arranged drop point. Bring the fee here, and I\'ll pass it on to our smugg-- procurement specialist.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '50', 'm9p', 'I have no idea why headquarters needed to transmit us a deed for, of all things, an ore harvester. Any notion?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '51', 'm9c', 'The smuggler wanted an ore harvester? How odd. Maybe he plans to go into a new line of work. It\'s sure to be safer, anyway.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '52', 'm9i', 'Ore Harvester Deed');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '53', 'm9t', 'Paying a Procurement Specialist');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '54', 'm9f', 'deed\\harvester_deed\\ore_harvester_heavy_deed.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '55', 'm10o', 'The Alliance occasionally revises its code delivery system. Headquarters creates new ways to transmit sensitive messages undetected. I\'ve been told a new system is available for pickup. I don\'t know what it is, but I\'d like you to pick it up and bring it here. Are you willing?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '56', 'm10p', 'This tree has certain nodules growing in its root structure, under the dirt. The pattern of nodules along each root is the code, like beads on a string.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '57', 'm10c', 'Wait a minute -- root nodules? I didn\'t even know we used strings of beads, let alone potted trees. Well, I\'ll get it into analysis, and someone will explain it to me. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '58', 'm10i', 'Potted Tree');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '59', 'm10t', 'New Test for Code Delivery');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '60', 'm10f', 'furniture\\all\\frn_all_tree_potted_s1.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '61', 'm11o', 'The Alliance periodically creates new ways to deliver coded messages without arousing Imperial suspicion. The latest breakthrough is available for pickup, but I haven\'t been told what it is. If you can pick it up and bring it here, we\'ll get it into analysis to figure out the code.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '62', 'm11p', 'The rows of knots of this woven rug are fractionally misaligned. The deviation of each knot from the straight line is an integral value in millimeters. That\'s the code.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '63', 'm11c', 'So -- you measure a knot\'s position, and its irregularity is the code value? Never mind, I don\'t need to know yet. I\'ll get this rug to analysis. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '64', 'm11i', 'Rug');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '65', 'm11t', 'Code Delivery Needs Further Tests');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '66', 'm11f', 'furniture\\modern\\rug_rnd_lg_s01.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '67', 'm12o', 'The Alliance is testing its code delivery systems again. Someone has figured out yet another way to transmit coded information right under the Empire\'s collective nose. I have no idea what you\'re supposed to go and pick up this time, but if you can bring it here quickly for analysis, I\'d appreciate it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '68', 'm12p', 'If you play this kloo horn, the frequencies of consecutive notes are imperceptibly altered. The integral reduction in wavelength for each note is the code value.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '69', 'm12c', 'Codes in live music. That beats all. I\'ll never hear a cantina band in quite the same way. Okay, thanks. Time to play this for analysis.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '70', 'm12i', 'Kloo Horn');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '71', 'm12t', 'Code Delivery System Testing');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '72', 'm12f', 'instrument\\kloo_horn.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '73', 'm13o', 'From time to time the Alliance tests its code delivery systems. We can\'t transmit new codes over the HoloNet, obviously, so we conceal the data in a variety of objects. I don\'t know what they\'ve managed to insert codes into this time, but I need you to bring me the whatever-it-is for analysis.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '74', 'm13p', 'The test information is encoded by the size and position of the welds connecting crossbars in this cage. We worked on that one quite a while!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '75', 'm13c', 'Well, whaddya know. How do they even think of these things? All right, thanks. I have to get this cage into analysis.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '76', 'm13i', 'Cage');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '77', 'm13t', 'Test Code Delivery System');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '78', 'm13f', 'parrot_cage\\parrot_cage.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '79', 'm14o', 'We think another of our \"procurement specialists\" got blasted trying to run an Imperial blockade. These smugglers always run silent, so we don\'t know much for sure. We found a crash site, but there\'s not much left of the ship. To tell whether it\'s our smuggler, I need to see something from the remains. Can you bring it here, please?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '80', 'm14p', 'We found this earring on -- we think it was the pilot\'s body. Not much else left ofher. Grim duty, this salvage work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '81', 'm14c', 'Argh. I recognize this earring. What a bad way to go. Sorry, give me a moment. Okay. I\'ll notify her next of kin. Thanks, that\'s all for now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '82', 'm14i', 'Unidentified Earring');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '83', 'm14t', 'Identify Smuggler Remains');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '84', 'm14f', 'wearables\\earring\\earring_s04.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '85', 'm15o', 'It\'s dangerous work running supplies for the Alliance, and it looks like one of our blockade runners paid the last price today. We don\'t know for sure, because they always run silent. But our ships salvaged a wreck in space, and they\'re shipping the identifiable remains of the pilot down here. Could you bring me what they\'ve found? Grisly duy, I know, but it has to be done.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '86', 'm15p', 'What with the explosive decompression, we couldn\'t find a body. This necklace got caught on the pilot\'s chair, though. Is it our runner\'s?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '87', 'm15c', 'Yes. Yes, that belonged to her. I expect I\'ll have to report this to headquarters -- not to mention her next of kin (sigh). Okay, thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '88', 'm15i', 'Blockade Runner\'s Necklace');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '89', 'm15t', 'Remains of Blockade Runner');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '90', 'm15f', 'wearables\\necklace\\necklace_s02.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '91', 'm16o', 'We\'ve been losing more \"procurement specialists\" as they try to smuggle supplies to us through Imperial blockades. I\'ve had news that a smuggler\'s ship crashed near here.  I need to know who crashed; we had no distress reports. If you could bring me some identifying token from the remains, I\'d appreciate it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '92', 'm16p', 'We couldn\'t find any identifying marks except this ring. This crash was strange, because from down here we saw no evidence of a dogfight. Sabotage, maybe?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '93', 'm16c', 'Huh! Yeah, I recognize this. Not from our pilot, but I think now I know who attacked our pilot. Excuse me, I have to contact a certain bounty hunter I know.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '94', 'm16i', 'Smuggler\'s Ring');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '95', 'm16t', 'Last Ring of a Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '96', 'm16f', 'wearables\\ring\\ring_s03.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '97', 'm17o', 'We lose a certain number of smuggling ships to Imperial blockades, but now I\'ve received word of that one of our \"procurement specialists\" got killed even before liftoff. I understand the ship is wrecked, but there may be some identifying mark in the remains. Can you check there and bring back whatever you find?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '98', 'm17p', 'You\'re here to look over the remains? Here\'s what we found -- a vest. Wrong size for the dead smuggler. You should show it to whoever sent you here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '99', 'm17c', 'Hmm. A Hutt gang vest. I didn\'t expect that. A territorial grab? Maybe we need to bring in some higher-level negotiators. Excuse me, I have to call headquarters.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '100', 'm17i', 'Gangster\'s Vest');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '101', 'm17t', 'Identify a Smuggler\'s Murderer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '102', 'm17f', 'wearables\\vest\\vest_hutt_gang_s03.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '103', 'm18o', 'Our technicians are looking for vulnerabilities in Imperial AT-AT walker control systems. A salvage agent has just received an intact diagnostic unit that reads telemetry off walker drive systems. If we can crack the unit\'s codes, we can deduce many internal details of AT-ATs. Can you bring us this diagnostic unit? The faster, the better.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '104', 'm18p', 'Our forces downed an AT-AT on Yavin 4 when the Empire set up its blockade. We sent in a spy later to scavenge the wreckage. This beauty is the result.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '105', 'm18c', 'All right! Time to get the astromech droid to talk to this thing and see what it likes to hear. We\'ll be in touch with you again, thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '106', 'm18i', 'Walker Control Unit');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '107', 'm18t', 'Help Jam Imperial Walker Systems');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '108', 'm18f', 'component\\item\\electronic_control_unit.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '109', 'm19o', 'We\'re hearing scary rumors that the Empire has a way to remotely launch all the escape pods on our ships. They press a button, and boom! We\'re stuck. Sounds unlikely, but to make sure, we\'re analyzing components on our various escape pods. Another component just arrived for testing. Can you pick it up?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '110', 'm19p', 'This is the energy distributor used in the explosive bolts on the Corellian Engineering Class-6 escape pod. Yes, it is set up to receive remote telemetry. Can\'t imagine why. Here you go.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '111', 'm19c', 'Those explosive bolts receive remote telemetry so that if the ship systems get damaged, a crew member can launch the pod from a datapad interface. Thanks for the component. We\'ll get to it right away.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '112', 'm19i', 'Escape Pod Component');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '113', 'm19t', 'Imperials Triggering Pods Remotely?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '114', 'm19f', 'component\\item\\electronic_energy_distributor.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '115', 'm20o', 'The Alliance needs more eyes in high places. If they\'re small, invisible eyes, all the better. We\'re working on a microsensor the size of a grain of dust, that can rest invisibly on an Imperial\'s uniform. We hope we\'ll hear intelligence in places where the Empire doesn\'t think to jam sensors. We have a prototype ready for testing. Can you bring it here?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '116', 'm20p', 'This package contains the sensor and the receiving apparatus. Unfortunately, the sensor itself tends to blow around and break when air moves over it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '117', 'm20c', 'It breaks when air moves over it? You mean, for example, when someone breathes? Hmm. Sounds like there are still big problems with this design. Thanks anyway.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '118', 'm20i', 'Micro Sensor and Receiver');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '119', 'm20t', 'Dust-Sized Sensor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '120', 'm20f', 'component\\item\\micro_sensor_suite.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '121', 'm21o', 'Some crazy old hermit in the Outer Rim Territories sent us a remarkable redesign of our standard blaster pistol barrel. Our engineers said it looked so bizarre it could have come from another galaxy. But we tried making a prototype, and now it\'s ready for testing. Who knows? It might be our salvation. Can you bring it here?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '122', 'm21p', 'The capacitance induction on this barrel works on some completely novel principle -- allegedly. It may run much cooler than existing barrels. Or it may be total trash.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '123', 'm21c', 'I\'m leery of building such a bizarre new barrel. But if I hadn\'t ordered this prototype, I\'d always wonder. I still wonder who that designer is. Anyway, we\'ll start testing soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '124', 'm21i', 'Unusual Blaster Barrel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '125', 'm21t', 'Odd New Blaster Barrel Redesign');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '126', 'm21f', 'component\\weapon\\blaster_pistol_barrel.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '127', 'm22o', 'A mysterious hermit in the Outer Rim has been sending us amazing redesigns of our existing equipment. We just got his new version of a flashback suppressor useful on many different weapons. It\'s based on weird principles, but apparently this fellow\'s designs have showed promise before. So I\'ve ordered a prototype. Can you bring it here?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '128', 'm22p', 'This flashback suppressor uses some kind of magnetic self-adjusting feedback loop. It\'s quite weird. I have no idea whether this thing will ever work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '129', 'm22c', 'This hermit\'s designs are hit-and-miss, they say. I don\'t know if a magnetic feedback suppressor will change the course of the war, but regardless, thanks for bringing it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '130', 'm22i', 'Unusual Flashback Suppressor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '131', 'm22t', 'Odd Flashback Suppressor Design');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '132', 'm22f', 'component\\weapon\\laser_magnetic_flashback_supressor.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '133', 'm23o', 'Commander Skywalker destroyed the Death Star without a targeting computer. This shows that our computers still fall short. We don\'t object to pilots using gut instinct, but we\'d like to give them better tools when guts fail them. Our new prototype computer has just arrived from offworld, and we\'re ready to test it as soon as you bring it here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '134', 'm23p', 'This is a sweet new model. Uses a modified droid brain, I think. I hope it\'ll help in the battles ahead as the Empire starts striking back.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '135', 'm23c', 'This targeting computer uses a modified droid brain? What a terrible idea. I hope it doesn\'t start developing a personality. Well, thank you anyway.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '136', 'm23i', 'Improved Targeting Computer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '137', 'm23t', 'Targeting Computer Upgrade');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '138', 'm23f', 'component\\weapon\\weapon_targeting_computer.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '139', 'm24o', 'We\'re getting refugees from Imperial attacks in the countryside. These poor folks had their homes destroyed, their equipment burned -- they have nowhere to turn. We\'re setting up relief and relocation efforts, but in the short term, we\'ve got some hungry kids who need food. Can you please bring me a food basket from our supplier?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '140', 'm24p', 'I always have some of these baskets ready to go. The Empire always gives us a use for them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '141', 'm24c', 'Thanks. I\'ll get the food to the latest refugees. You can be proud you helped today.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '142', 'm24i', 'Provisions');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '143', 'm24t', 'Food for Refugee Family');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '144', 'm24f', 'food\\crafted\\meal_dish_food_basket.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '145', 'm25o', 'The Alliance is still looking for good base sites around the Outer Rim. Each world seems to present problems of its own. Our existing ore harvesters won\'t work in some environments, so we\'ve had our engineers develop a suitably ruggedized harvester model. We need you to bring us the schematics, because we don\'t want the Empire learning the environments we\'re targeting.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '146', 'm25p', 'It\'s a straightforward task, redesigning an ore harvester. Not much glamour, but the war effort rides on this kind of work. That\'s what I tell myself, anyway.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '147', 'm25c', 'Thanks! Remember, don\'t mention the ore harvester redesign to anyone. The Empire has spies everywhere.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '148', 'm25i', 'Ore Harvester Design');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '149', 'm25t', 'Redesigned Ore Harvester');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '150', 'm25f', 'deed\\harvester_deed\\ore_harvester_heavy_deed.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '151', 'm26o', 'We\'ve set up an advance base on a remote world -- never mind where -- and no one there has ever heard of a power core. They still need power, so we\'re shipping them the latest designs for high-efficiency wind power generators. To prevent the Empire from discovering our supply chain, we need you to hand-deliver the design to us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '152', 'm26p', 'On some worlds you can generate more from wind power than from a good fusion generator -- if your wind station can stand up in a perpetual hurricane.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '153', 'm26c', 'Great! We\'ll get this design shipped off to our advance base.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '154', 'm26i', 'Wind Power Generator Design');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '155', 'm26t', 'New Base Needs Wind Power');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '156', 'm26f', 'deed\\generator_deed\\power_generator_wind_deed.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '157', 'm27o', 'I never thought of such things back when the Alliance was a ragtag band of outcasts, but now we\'re experiencing local shortages of uniforms. In big engagements against the Empire, we need to know who\'s who. We have designs ready for a new clothing factory. We\'d rather not trust them to the HoloNet, for reasons you may learn later. Can you bring the designs here?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '158', 'm27p', 'I don\'t know where they\'re building this factory, but the designs show it will make clothing intended for cold climates. Really cold.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '159', 'm27c', 'Yes, we\'re making uniforms for a cold climate. But speculating why, or letting anyone know that little piece of data, is a bad idea.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '160', 'm27i', 'Designs for Uniform Factory');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '161', 'm27t', 'Alliance Needs Uniforms');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '162', 'm27f', 'deed\\factory_deed\\clothing_factory_deed.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '163', 'm28o', 'Our new advance base in the Outer Rim Territories is getting weird feedback from the world\'s magnetic field. They\'re busy shielding all the computers, but the power generator is getting finicky too. They don\'t have the infrastructure to fix that. So we\'ve worked up a new design, and we can start construction once you bring it here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '164', 'm28p', 'The fusion generator in these plans will serve up enough power to re-tune that planet\'s magnetic field! You bet!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '165', 'm28c', 'This may be an over-specification; no base needs quite this much power. But we\'ll sort it out and get the generator offworld soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '166', 'm28i', 'Fusion Generator Design');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '167', 'm28t', 'Alliance Base With Fusion Problems');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '168', 'm28f', 'deed\\generator_deed\\power_generator_fusion_deed.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '169', 'm29o', 'An Imperial spy has compromised the weapon-control protocols we use to remotely fire our turret installations. The Empire could potentially turn our own laser cannons against us! A team of slicers and engineers has developed a retrofit that will secure these turret blocks against outside interference. It\'s up to you to bring us the design, quickly.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '170', 'm29p', 'The old turret block design was already secure, and this one is better. But you can\'t control the \"human engineering\" that lets spies trick our operatives into revealing secret protocols.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '171', 'm29c', 'Thanks! We\'ll get this turret retrofit into place at top speed. And while we\'re at it, I hope we get across some basic education about how to keep secrets.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '172', 'm29i', 'Turret Block Redesign');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '173', 'm29t', 'Alliance Turrets Compromised');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '174', 'm29f', 'deed\\turret_deed\\turret_block_large_deed.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '175', 'm30o', 'Some idiot tourist bought a venomous reptavian offworld and brought it back here as a pet. That \"pet\" just stung an innocent girl, and we don\'t have a suitable antivenin here. One of our labs has just manufactured an antidote. Bring it here, quickly. A girl\'s life hangs in the balance!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '176', 'm30p', 'Here\'s the antidote. Move!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '177', 'm30c', 'At last! We\'ll give this antidote to the girl right now. We destroyed the reptavian, by the way, and gave the tourist a sharp lecture about importing offworld animals.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '178', 'm30i', 'Venom Antidote');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '179', 'm30t', 'Deliver Reptavian Poison Antidote');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '180', 'm30f', 'medicine\\antidote_sm_s1.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '181', 'm31o', 'Interesting news. An Alliance slicer has procured the schematics for the Empire\'s secure data terminals. If we can crack the encryption scheme, we could theoretically learn every mission the Empire assigns to its followers. Obviously we need to keep this find off the HoloNet, so we\'d like you to hand-deliver the schematics to us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '182', 'm31p', 'I never liked those mission terminals. I hope this breach makes the Empire stop using them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '183', 'm31c', 'With any luck, we\'ll know the Empire\'s plans as soon as they do! Thank you for your help!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '184', 'm31i', 'Imperial Data Terminal Schematic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '185', 'm31t', 'We Have the Empire\'s Data Terminals');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '186', 'm31f', 'furniture\\imperial\\data_terminal_s1.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '187', 'm32o', 'I\'m supposed to pick up some kind of equipment for an upcoming assault, but the transmission was corrupted. I know the pickup point, and it\'s supposed to be kept secret and hand-delivered. Other than that, I\'m clueless. Welcome to the military. Can you pick up this whatever-it-is and bring it here?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '188', 'm32p', 'Don\'t mind that ticking sound, it\'s just a loose interior casing. But if I were you, I\'d deliver this thing pretty quickly.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '189', 'm32c', 'A -- what? What kind of warhead? Is it live? Why is it ticking? Okay, I need to make some calls here. See you later, okay? I hope.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '190', 'm32i', 'Warhead');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '191', 'm32t', 'Classified Pick-Up');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '192', 'm32f', 'component\\munition\\warhead_heavy.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '193', 'm33o', 'We\'ve analyzed captured plans from the Empire\'s defunct Dark Trooper project, and there\'s some interesting technology there. Our lab\'s latest prototype adapts a deflector plate from the Stage 1 droid to function as an actual deflector shield projector, worn on the arm. Sounds great, doesn\'t it? We need you to bring us the prototype plate.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '194', 'm33p', 'Here is the plate component. The power consumption for the entire deflector shield is much too steep right now. It would melt your arm! But we\'re working on it, we\'re working away....');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '195', 'm33c', 'We need to set up a testing program for this deflector plate. The Empire\'s discarded technology may be the boost we need. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '196', 'm33i', 'Deflector Shield Plate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '197', 'm33t', 'Deliver Shield Projector Component');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '198', 'm33f', 'component\\armor\\deflector_shield_projector_plate.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '199', 'm34o', 'We downed an Imperial transport from low orbit. It crash-landed with no survivors, and our teams scavenged the wreckage. They found an astromech droid brain that appears undamaged -- unlike the droid\'s body. We think we can scan the brain at our facility and learn Imperial engineering protocols. Can you bring us the brain?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '200', 'm34p', 'If this astromech brain holds current Imperial encryption protocols, we can do some damage to the Empire before their next scheduled code rotation.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '201', 'm34c', 'Good job! We\'ll have someone look at the brain as soon as we can.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '202', 'm34i', 'Astromech Droid Brain');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '203', 'm34t', 'R2 Brain Awaits Analysis');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '204', 'm34f', 'component\\droid\\droid_brain.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '205', 'm35o', 'Our spies received a manifest of war materiel bound for the Garia system. If we strike those supply ships, we can cripple Imperial operations in that sector. I need you to fetch the manifest datadisc and bring it here. Be careful. Many Bothans died to bring us this information.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '206', 'm35p', 'Here\'s the disc. It was purchased with Bothan blood, so handle it with respect. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '207', 'm35c', 'Good work. I hope the data on this disc is enough to plot some sabotage missions. The Empire\'s foothold in the Garia system is very strong.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '208', 'm35i', 'War Materiel Manifest');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '209', 'm35t', 'Retrieve a War Materiel Manifest');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '210', 'm35f', 'datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '211', 'm36o', 'A Mon Calamari war cruiser is cloaked inside a comet cluster on the fringes of the system. It\'s ready to drop off some important Alliance dignitaries. Our listening stations have compiled the schedule windows during which the ship can move past Imperial star patrols. I want you to get that list and bring it to me. Do not delay!.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '212', 'm36p', 'Here\'s the list of schedule windows, such as it is. The pilot of that star cruiser had better be good. Flying past the Imperial patrols will be like threading a very small needle.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '213', 'm36c', 'These numbers don\'t look very promising, but I suppose they\'re all we\'ve got. May the Force be with us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '214', 'm36i', 'Entry Windows For Alliance Star Cruiser');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '215', 'm36t', 'Analysis of Imperial Star Patrol Schedule');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '216', 'm36f', 'datadisc\n\nm37o\nI need your help. We\'ve received a list of the top star pilots who want to join the Alliance. I think I\'m being watched by Imperial surveillance, so someone else has to pick up the list for me. Can you handle it? After the Battle of Yavin we seriously need to replenish the ranks of our fighter pilots. This is the first step.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '217', 'm37p', 'Here\'s the list of star pilots. There\'s some great names on here, like Avan Beruss from the Illodian Officers\' Academy and Nien Nunb from Sullust. If we keep recruiting this caliber of pilots, we\'ll be twice as strong as we were at Yavin.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '218', 'm37c', 'Hmm. I can\'t say I\'ve heard of the pilots on this list, but I\'ll certainly look into recruiting them. We need every advantage we can get against the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '219', 'm37i', 'List of Top Star Pilots');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '220', 'm37t', 'Deliver a List of Star Pilots');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '221', 'm37f', 'datadisc\n\nm38o\nListen up. Our spies inform us that the Emperor\'s enforcer, Darth Vader, has commissioned a team of elite bounty hunters called the Scourge Column. We\'re not sure what the team is for, but we want one of our agents on the inside. I want you to meet the top candidate and get a list of credentials for me to review. Only our best agent should attempt a mission as dangerous as this one.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '222', 'm38p', 'Here are my credentials. This sounds like a dangerous assignment, though. What do you think? Could I pass as a top-flight bounty hunter? My mother says I\'ve got a mean look about me, when the light hits me just right.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '223', 'm38c', 'These are the credentials of our top candidate, eh? Somehow I\'m not encouraged. Well, perhaps Vader won\'t recognize a well-hidden spy. It\'s not like he\'s clairvoyant, right?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '224', 'm38i', 'Alliance Agent Credentials');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '225', 'm38t', 'Fetch the Credentials of a Spy Candidate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '226', 'm38f', 'datadisc\n\nm39o\nOkay, here\'s the deal. The captain of the Star Destroyer Beleaguer is hosting an officer\'s party on his flight deck. We\'ve hidden a listening device in the ommni-box that the band will be using. If we\'re lucky we might catch some random intelligence. I want you to fetch the bugged instrument from our offworld agent and bring it back to me. Got it?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '227', 'm39p', 'Here\'s the ommni-box. It\'s a little off-key in the fourth septave of the Bith echo minor scale, but the Imperials shouldn\'t notice. I think.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '228', 'm39c', 'Ahh, good. I hope the musicians won\'t notice the switch. One ommni-box is just like another, I always say.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '229', 'm39i', 'Bugged Ommni-Box');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '230', 'm39t', 'Deliver an Ommni-Box');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '231', 'm39f', 'instrument\\ommni_box.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '232', 'm40o', 'At last we have evidence to prove Imperial atrocities on Tyshapahl. I want you to pick up the package from our transport pilot and bring it back to me. I understand this evidence is volatile, so waste no time in getting it here. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '233', 'm40p', 'Yeah, so, here it is. Yes, it\'s a corpse. Yes, it\'s not frozen. They thawed it for an autopsy and never re-froze it. Some genius at High Command didn\'t want to risk destroying the evidence. So, now I pass this fragrant burden off to you. Enjoy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '234', 'm40c', 'By the belt of Antilles! Who gave the command to leave this thing rotting like this? It\'s sickening! Quick, let me get this refrigerated before I smell as bad as a nerf-herder.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '235', 'm40i', 'Victim of Imperial Atrocity');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '236', 'm40t', 'Transport Evidence of Imperial Crimes');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '237', 'm40f', 'poi\\corellia\\poi_victim_sandpanther.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '238', 'm41o', 'This is great. We actually reprogrammed an Imperial mission terminal. Now we can send New Order activists into traps and away from our sensitive operations. Go pick up the terminal and bring it here so I can deploy it as soon as possible. I can\'t wait to watch these Imperials lapdogs chase after phantoms!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '239', 'm41p', 'Are you the one taking possession of the reprogrammed terminal? Excellent. Here it is, then. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '240', 'm41c', 'Terrific! This reprogrammed mission terminal is going to confuse the heck out of the Imperials. I\'ve already got an idea to send them on missions to hunt down a prototype war droid based on the MSE-6 model. They\'re just dumb enough to fall for that, don\'t you think?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '241', 'm41i', 'Reprogrammed Imperial Mission Terminal');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '242', 'm41t', 'Retrieve a Reprogrammed Mission Terminal');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '243', 'm41f', 'mission\\mission_terminal.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '244', 'm42o', 'A scientist loyal to the Alliance has developed some kind of new wilderness camouflage system. We\'ve smuggled it to the planet. I need you to fetch it for me. If this device works, it could prove an immense help in the war against the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '245', 'm42p', 'Believe it or not, this is the fabled new camouflage system. A straw hut. Sometimes I wish we had the resources of the Empire. I really do.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '246', 'm42c', 'So. Um. This is the new camouflage system, eh? A hut. Well, you can\'t say we leave any option untested in the fight against the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '247', 'm42i', 'Big Straw Hut');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '248', 'm42t', 'Fetch a Prototype Camouflage System');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '249', 'm42f', 'poi\\endor\\poi_ewok_hut.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '250', 'm43o', 'A Zabrak spy has stolen the clothes of a high-ranking Imperial overseer. They will provide an excellent disguise for one of our agents. The spy was killed shortly afterward, but she managed to pass off the clothes to one of our civilian contacts. An Alliance pilot has flown them here. The Empire is on the lookout, so I need you to sneak to the rendezvous point, collect the package and make sure it gets back to me. Are you up to the job, my friend?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '251', 'm43p', 'Here are the clothes. They once belonged to an Imperial Inquisitor. I don\'t have to explain to you how rare they are, right?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '252', 'm43c', 'An Inquisitor\'s robe? Impressive! I\'ve never seen one before. I\'m not sure if we would ever disguise an agent as an Inquisitor, but you never know. Thanks for the good work, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '253', 'm43i', 'Imperial Inquisitor Robe');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '254', 'm43t', 'Transport an Imperial Disguise');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '255', 'm43f', 'wearables\\robe\\robe_inquisitor.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '256', 'm44o', 'Clandestine funding is an important part of Alliance operations. We\'re smuggling a shipment of rare avabush spice to one of our backers on the Frontier, in exchange for a hefty donation. I need you to bring the shipment to me so I can pass it along to the next starship in our underground delivery system. Make sure no Imperials catch you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '257', 'm44p', 'Here\'s the avabush spice. Did you know it can be used as a truth serum? I wonder what our secret backer is going to use it for? Hmm.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '258', 'm44c', 'Thank you. This avabush spice will help us continue the good work of the Alliance. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '259', 'm44i', 'Avabush Spice');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '260', 'm44t', 'Transport a Shipment of Valuable Spice');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '261', 'm44f', 'component\\food\\ingredient_spices.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '262', 'm45o', 'I\'ve got a job for you. There\'s a small package I need you to deliver to me. It contains an Imperial Medal of Honor engraved with the name of Governor Tarkin. Contraband scavengers discovered it in the debris field around Yavin. This medal will make a splendid gift for someone in High Command. Can you bring it to me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '263', 'm45p', 'It\'s kind of perverse, don\'t you think, handling an old war medal like some kind of sick trophy? I dunno. I mean Tarkin is dead. Let\'s move on, right?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '264', 'm45c', 'Ahh! Excellent. I can\'t wait to give Tarkin\'s old medal as a gift to someone in Alliance High Command. My star is rising, my friend, I assure you of that. It was well worth leaving my post in the Imperial military to take up with the Rebellion.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '265', 'm45i', 'Imperial Medal of Valor   ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '266', 'm45t', 'Transport an Imperial Medal');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '267', 'm45f', 'sealed container\n\nm46o\nWant to help out with some new war technology? Our scientists have developed a hybrid form of the gel insulation used in AT-AT and AT-ST servo joints. This new gel reacts to certain radio frequencies, with explosive results. We\'re planning to sneak it into Imperial production facilities. If you\'ve got time, I need to have some of the stuff brought to me from a courier.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '268', 'm46p', 'You\'d think they would transport explosive gel in some kind of container, wouldn\'t you? But no, here it is in a nice, handy blob. Careful, it sort of oozes through your fingers when it gets warm. I\'d stay away from radio transmitters with this stuff, if I were you. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '269', 'm46c', 'Thanks for the help. I can\'t wait to blow the legs off a few Imperial walkers with this stuff.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '270', 'm46i', 'Ball of Explosive Gel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '271', 'm46t', 'Deliver New War Technology');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '272', 'm46f', 'component\\food\\ingredient_ball_of_dough.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '273', 'm47o', 'Our agents recovered some interesting debris from the ruins of a destroyed Imperial outpost. I want you to take possession of this material from our courier and bring it here. I have a sneaking suspicion I know what it is.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '274', 'm47p', 'Here you go. Looks like a bunch of ashes to me, but maybe someone on this planet can make use of it. Take care. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '275', 'm47c', 'What, this is it? Nothing more than wood ash, by the looks of it. I guess I was wrong. Thank you nonetheless for helping me, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '276', 'm47i', 'Suspicious Ashes');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '277', 'm47t', 'Deliver Suspicious Debris');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '278', 'm47f', 'camp\\campfire_logs_ash.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '279', 'm48o', 'Our agents recovered some interesting debris from the ruins of a destroyed Imperial outpost. I want you to take possession of this material from our courier and bring it here. I have a sneaking suspicion I know what it is.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '280', 'm48p', 'Here you go. Looks like a bunch of ashes to me, but maybe someone on this planet can make use of it. Take care. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '281', 'm48c', 'Son of a gundark! I knew it! These are the remains of a notorious Imperial torturer, left behind by a strike team I commissioned to destroy that base. See, you can tell by the stim implants in the ash. They melt at a higher temperature than bone. This confirms my hopes that the torturer was killed. Thank you very much for helping.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '282', 'm48i', 'Suspicious Ashes');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '283', 'm48t', 'Deliver Suspicious Debris');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '284', 'm48f', 'camp\\campfire_logs_ash.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '285', 'm49o', 'I\'m glad you\'re here. I have a very important mission for you. A secret Alliance operative has brought a very important droid to this planet. I need you to pick it up and bring it to me at once. I cannot overstate the urgency of this mission. Do not, under any circumstances, let this droid fall into Imperial hands. Is that clear? Go now. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '286', 'm49p', 'Sure is a lot of fuss over a mouse droid, don\'t you think? Well, far be it from me to second guess High Command. Here it is. Luck to you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '287', 'm49c', 'I can\'t believe this is the very droid the Empire has been scouring the galaxy trying to find! I\'m humbled. You did well to transport it here without the authorities getting ahold of it. That would have been a disastrous blow to the Alliance. Thank you again. The Force will be with you, always.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '288', 'm49i', 'Innocuous Mouse Droid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '289', 'm49t', 'Transport an Innocuous Mouse Droid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '290', 'm49f', 'mouse droid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '291', 'm50o', 'A Zabrak spy has stolen the clothes of a high-ranking Imperial soldier. They will provide an excellent disguise for one of our agents. The spy was killed shortly afterward, but she managed to pass off the clothes to one of our civilian contacts. An Alliance pilot has flown them here. The Empire is on the lookout, so I need you to sneak to the rendezvous point, collect the package and make sure it gets back to me. Are you up to the job, my friend?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '292', 'm50p', 'Here is the uniform. Do you recognize it? Not many people would. It once belonged to a member of the Imperial Royal Guard. To say these are not easy to come by would be the understatement of the millennium. Handle it with care.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '293', 'm50c', 'Unbelievable! The robe of an Imperial Royal Guard! I know exactly which Alliance agent will be able to use it, too. This may be our biggest break since the Bothans discovered that weakness in the Death Star. Good work, my friend. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '294', 'm50i', 'Robe of the Imperial Royal Guard');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '295', 'm50t', 'Transport an Imperial Disguise');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_hard.stf', '296', 'm50f', 'wearables\\robe\\robe_royal_guard.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '1', 'm1o', 'One of our troops apparently collected a trophy off a fallen Imperial soldier. We\'re not fighting the Empire to collect souvenirs. I know a few units that allow it, but not this one. Go and get the souvenir, while I prepare a lecture about showing some class.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '2', 'm1p', 'Why is it wrong to take trophies? They\'re bad guys, right? If they\'re dead, they can\'t use their gear any more, so why not take a nice souvenir? Oh well, here you go.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '3', 'm1c', 'If any Alliance soldier is treating civil war like a hunting trip, we have a lot of education to do. Thanks, I\'ll have this helmet destroyed as usual.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '4', 'm1i', 'Stormtrooper Trophy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '5', 'm1t', 'Alliance Shouldn\'t Collect Trophies');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '6', 'm1f', 'wearables\\armor\\stormtrooper\\armor_stormtrooper_helmet.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '7', 'm2o', 'Some of our bravest Alliance members are those who infiltrate the Empire\'s ranks to bring us vital intelligence. We just had a sad report that one Imperial Navy spy has been caught. The Empire apparently sent his ring to his next of kin, an insolent gesture intended to humiliate them. We have other plans for that ring. Can you bring it here?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '8', 'm2p', 'My friend risked his life every day to help the cause of freedom. After this smug gesture by the Empire, it turns out his ring can still do some good for the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '9', 'm2c', 'The Empire didn\'t discover that this ring conceals a HoloNet receiver. Our spy used it to eavesdrop on a Star Destroyer\'s bridge. We hope we can continue his good work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '10', 'm2i', 'Infiltrator\'s Ring');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '11', 'm2t', 'Proof of Heroism');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '12', 'm2f', 'wearables\\ring\\ring_s02.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '13', 'm3o', 'The last stormtroopers we defeated were using projectile weapons with insane rates of fire. Our field techs inspected the weapons, and they believe the Empire has developed an improved feed mechanism. Bring us one of these improved mechanisms for analysis, and we\'ll make it worth your while.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '14', 'm3p', 'I\'ve never seen why anyone would use projectile weapons in a galaxy full of blasters, but this engagement changed my mind. Here\'s the new feed mechanism.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '15', 'm3c', 'We\'ll pass this along to the engineers for study. Meanwhile, thanks for your time, and take this for your trouble.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '16', 'm3i', 'Projectile Feed Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '17', 'm3t', 'Insane Rates of Fire');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '18', 'm3f', 'component\\weapon\\projectile_feed_mechanism.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '19', 'm4o', 'We just took out an Imperial armory, but barely. Their defenses seemed unsually powerful. We salvaged a power module from a destroyed weapon, and our lab wants to analyze it for technical breakthroughs. Can you bring it here?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '20', 'm4p', 'This module comes from a Golan Arms DF.9 anti-infantry battery. One shot blew through two landspeeders running side by side. Most powerful bolt I\'ve ever seen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '21', 'm4c', 'It\'s possible the anti-infantry battery was just malfunctioning, but we don\'t know for sure. Our lab will analyze this power module and see if we can duplicate it. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '22', 'm4i', 'Weapon Power Module');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '23', 'm4t', 'Empire\'s Weapon Power Breakthrough?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '24', 'm4f', 'component\\structure\\weapon_high_power_module.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '25', 'm5o', 'The Empire\'s Committee for the Preservation of the New Order is doing more surprise bombings of civilian homes. They steal a family\'s droids, then send the droids back bearing implanted tactical warheads. Boom. We\'ve discovered one warhead that failed to detonate, and we want to display it to alert the populace. Can you bring it here?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '26', 'm5p', 'It\'s bone-chilling to think that the protocol droid serving you dinner could suddenly explode. I hope this provokes a terrible public outcry against COMPNOR.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '27', 'm5c', 'Until we inform the public of the terrible atrocities their government commits, the Empire will continue to rule through fear and terrorism. Thank you for your help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '28', 'm5i', 'Droid Implant Warhead');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '29', 'm5t', 'COMPNOR Uses Bomb-Droids on Innocents');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '30', 'm5f', 'component\\munition\\warhead_light.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '31', 'm6o', 'We just got news of another Imperial Army chemical attack on a civilian population. The chemical agent is new. We salvaged a warhead and need you to bring it here for analysis, so we can develop an antidote. Quickly, please!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '32', 'm6p', 'We have no idea why the Army attacked this settlement. Maybe the citizens refused to pay taxes, or someone said the wrong thing to a spy. The destruction was terrible.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '33', 'm6c', 'Nobody deserves to die so horribly as those people did. With the proper antidote in place, we may be able to prevent the next tragedy. Thanks for your assistance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '34', 'm6i', 'Imperial Chemical Warhead');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '35', 'm6t', 'Empire Using Chem Weapons on Civilians');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '36', 'm6f', 'component\\munition\\warhead_chemical.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '37', 'm7o', 'A \"procurement specialist\" just delivered a vital shipment of power cores to our bases here. Apparently by getting past an Imperial blockade, she won some kind of bet with headquarters. They\'ve set up a special payment for her work. If you can pick it up and bring it here, I\'ll forward it to her right away.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '38', 'm7p', 'I don\'t believe I actually got to hold, however briefly, the original flute played by none other than the famous fizz artist Droopy McCool. That is so fine!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '39', 'm7c', 'Well. I guess the smuggler we\'re paying off is a fizz-music fan. It takes a special kind of person to risk explosive decompression to win a flute. Okay, thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '40', 'm7i', 'Droopy McCool\'s Flute');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '41', 'm7t', 'A Procurement Bet');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '42', 'm7f', 'instrument\\flute_droopy.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '43', 'm8o', 'One of our \"procurement specialists\" is asking for a special payment she prearranged with headquarters. She just ran a few shiploads of blaster rifles past the worst Imperial blockade I\'ve seen in a while, so she deserves the pay, whatever it is. If you\'ll pick it up and bring it here, I\'ll pass it along to our procurement specialist.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '44', 'm8p', 'I had no idea that mere cooking spices could cost such a fortune. But these are some of the costliest spices in the galaxy. I almost stole a taste of them, but one sample would cost more than a year\'s pay.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '45', 'm8c', 'Spices? I guess our smuggler friend is a cook on the side. Hmm, maybe I\'ll ask her to cook dinner sometime.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '46', 'm8i', 'Rare Spices');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '47', 'm8t', 'Pay for a Good Smuggling Job');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '48', 'm8f', 'component\\food\\ingredient_spices.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '49', 'm9o', 'One of our \"procurement specialists\" is asking for a payment he prearranged with headquarters. We just got the medical supplies he ran past the Imperials, so I need you to pick up the payment at our arranged drop point. Bring the fee here, and I\'ll pass it on to our smugg-- procurement specialist.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '50', 'm9p', 'I have no idea why headquarters needed to transmit us a deed for, of all things, an ore harvester. Any notion?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '51', 'm9c', 'The smuggler wanted an ore harvester? How odd. Maybe he plans to go into a new line of work. It\'s sure to be safer, anyway.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '52', 'm9i', 'Ore Harvester Deed');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '53', 'm9t', 'Paying a Procurement Specialist');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '54', 'm9f', 'deed\\harvester_deed\\ore_harvester_heavy_deed.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '55', 'm10o', 'The Alliance occasionally revises its code delivery system. Headquarters creates new ways to transmit sensitive messages undetected. I\'ve been told a new system is available for pickup. I don\'t know what it is, but I\'d like you to pick it up and bring it here. Are you willing?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '56', 'm10p', 'This tree has certain nodules growing in its root structure, under the dirt. The pattern of nodules along each root is the code, like beads on a string.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '57', 'm10c', 'Wait a minute -- root nodules? I didn\'t even know we used strings of beads, let alone potted trees. Well, I\'ll get it into analysis, and someone will explain it to me. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '58', 'm10i', 'Potted Tree');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '59', 'm10t', 'New Test for Code Delivery');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '60', 'm10f', 'furniture\\all\\frn_all_tree_potted_s1.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '61', 'm11o', 'The Alliance periodically creates new ways to deliver coded messages without arousing Imperial suspicion. The latest breakthrough is available for pickup, but I haven\'t been told what it is. If you can pick it up and bring it here, we\'ll get it into analysis to figure out the code.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '62', 'm11p', 'The rows of knots of this woven rug are fractionally misaligned. The deviation of each knot from the straight line is an integral value in millimeters. That\'s the code.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '63', 'm11c', 'So -- you measure a knot\'s position, and its irregularity is the code value? Never mind, I don\'t need to know yet. I\'ll get this rug to analysis. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '64', 'm11i', 'Rug');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '65', 'm11t', 'Code Delivery Needs Further Tests');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '66', 'm11f', 'furniture\\modern\\rug_rnd_lg_s01.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '67', 'm12o', 'The Alliance is testing its code delivery systems again. Someone has figured out yet another way to transmit coded information right under the Empire\'s collective nose. I have no idea what you\'re supposed to go and pick up this time, but if you can bring it here quickly for analysis, I\'d appreciate it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '68', 'm12p', 'If you play this kloo horn, the frequencies of consecutive notes are imperceptibly altered. The integral reduction in wavelength for each note is the code value.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '69', 'm12c', 'Codes in live music. That beats all. I\'ll never hear a cantina band in quite the same way. Okay, thanks. Time to play this for analysis.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '70', 'm12i', 'Kloo Horn');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '71', 'm12t', 'Code Delivery System Testing');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '72', 'm12f', 'instrument\\kloo_horn.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '73', 'm13o', 'From time to time the Alliance tests its code delivery systems. We can\'t transmit new codes over the HoloNet, obviously, so we conceal the data in a variety of objects. I don\'t know what they\'ve managed to insert codes into this time, but I need you to bring me the whatever-it-is for analysis.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '74', 'm13p', 'The test information is encoded by the size and position of the welds connecting crossbars in this cage. We worked on that one quite a while!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '75', 'm13c', 'Well, whaddya know. How do they even think of these things? All right, thanks. I have to get this cage into analysis.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '76', 'm13i', 'Cage');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '77', 'm13t', 'Test Code Delivery System');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '78', 'm13f', 'parrot_cage\\parrot_cage.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '79', 'm14o', 'We think another of our \"procurement specialists\" got blasted trying to run an Imperial blockade. These smugglers always run silent, so we don\'t know much for sure. We found a crash site, but there\'s not much left of the ship. To tell whether it\'s our smuggler, I need to see something from the remains. Can you bring it here, please?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '80', 'm14p', 'We found this earring on -- we think it was the pilot\'s body. Not much else left ofher. Grim duty, this salvage work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '81', 'm14c', 'Argh. I recognize this earring. What a bad way to go. Sorry, give me a moment. Okay. I\'ll notify her next of kin. Thanks, that\'s all for now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '82', 'm14i', 'Unidentified Earring');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '83', 'm14t', 'Identify Smuggler Remains');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '84', 'm14f', 'wearables\\earring\\earring_s04.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '85', 'm15o', 'It\'s dangerous work running supplies for the Alliance, and it looks like one of our blockade runners paid the last price today. We don\'t know for sure, because they always run silent. But our ships salvaged a wreck in space, and they\'re shipping the identifiable remains of the pilot down here. Could you bring me what they\'ve found? Grisly duy, I know, but it has to be done.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '86', 'm15p', 'What with the explosive decompression, we couldn\'t find a body. This necklace got caught on the pilot\'s chair, though. Is it our runner\'s?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '87', 'm15c', 'Yes. Yes, that belonged to her. I expect I\'ll have to report this to headquarters -- not to mention her next of kin (sigh). Okay, thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '88', 'm15i', 'Blockade Runner\'s Necklace');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '89', 'm15t', 'Remains of Blockade Runner');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '90', 'm15f', 'wearables\\necklace\\necklace_s02.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '91', 'm16o', 'We\'ve been losing more \"procurement specialists\" as they try to smuggle supplies to us through Imperial blockades. I\'ve had news that a smuggler\'s ship crashed near here.  I need to know who crashed; we had no distress reports. If you could bring me some identifying token from the remains, I\'d appreciate it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '92', 'm16p', 'We couldn\'t find any identifying marks except this ring. This crash was strange, because from down here we saw no evidence of a dogfight. Sabotage, maybe?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '93', 'm16c', 'Huh! Yeah, I recognize this. Not from our pilot, but I think now I know who attacked our pilot. Excuse me, I have to contact a certain bounty hunter I know.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '94', 'm16i', 'Smuggler\'s Ring');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '95', 'm16t', 'Last Ring of a Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '96', 'm16f', 'wearables\\ring\\ring_s03.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '97', 'm17o', 'We lose a certain number of smuggling ships to Imperial blockades, but now I\'ve received word of that one of our \"procurement specialists\" got killed even before liftoff. I understand the ship is wrecked, but there may be some identifying mark in the remains. Can you check there and bring back whatever you find?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '98', 'm17p', 'You\'re here to look over the remains? Here\'s what we found -- a vest. Wrong size for the dead smuggler. You should show it to whoever sent you here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '99', 'm17c', 'Hmm. A Hutt gang vest. I didn\'t expect that. A territorial grab? Maybe we need to bring in some higher-level negotiators. Excuse me, I have to call headquarters.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '100', 'm17i', 'Gangster\'s Vest');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '101', 'm17t', 'Identify a Smuggler\'s Murderer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '102', 'm17f', 'wearables\\vest\\vest_hutt_gang_s03.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '103', 'm18o', 'Our technicians are looking for vulnerabilities in Imperial AT-AT walker control systems. A salvage agent has just received an intact diagnostic unit that reads telemetry off walker drive systems. If we can crack the unit\'s codes, we can deduce many internal details of AT-ATs. Can you bring us this diagnostic unit? The faster, the better.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '104', 'm18p', 'Our forces downed an AT-AT on Yavin 4 when the Empire set up its blockade. We sent in a spy later to scavenge the wreckage. This beauty is the result.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '105', 'm18c', 'All right! Time to get the astromech droid to talk to this thing and see what it likes to hear. We\'ll be in touch with you again, thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '106', 'm18i', 'Walker Control Unit');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '107', 'm18t', 'Help Jam Imperial Walker Systems');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '108', 'm18f', 'component\\item\\electronic_control_unit.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '109', 'm19o', 'We\'re hearing scary rumors that the Empire has a way to remotely launch all the escape pods on our ships. They press a button, and boom! We\'re stuck. Sounds unlikely, but to make sure, we\'re analyzing components on our various escape pods. Another component just arrived for testing. Can you pick it up?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '110', 'm19p', 'This is the energy distributor used in the explosive bolts on the Corellian Engineering Class-6 escape pod. Yes, it is set up to receive remote telemetry. Can\'t imagine why. Here you go.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '111', 'm19c', 'Those explosive bolts receive remote telemetry so that if the ship systems get damaged, a crew member can launch the pod from a datapad interface. Thanks for the component. We\'ll get to it right away.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '112', 'm19i', 'Escape Pod Component');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '113', 'm19t', 'Imperials Triggering Pods Remotely?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '114', 'm19f', 'component\\item\\electronic_energy_distributor.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '115', 'm20o', 'The Alliance needs more eyes in high places. If they\'re small, invisible eyes, all the better. We\'re working on a microsensor the size of a grain of dust, that can rest invisibly on an Imperial\'s uniform. We hope we\'ll hear intelligence in places where the Empire doesn\'t think to jam sensors. We have a prototype ready for testing. Can you bring it here?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '116', 'm20p', 'This package contains the sensor and the receiving apparatus. Unfortunately, the sensor itself tends to blow around and break when air moves over it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '117', 'm20c', 'It breaks when air moves over it? You mean, for example, when someone breathes? Hmm. Sounds like there are still big problems with this design. Thanks anyway.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '118', 'm20i', 'Micro Sensor and Receiver');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '119', 'm20t', 'Dust-Sized Sensor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '120', 'm20f', 'component\\item\\micro_sensor_suite.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '121', 'm21o', 'Some crazy old hermit in the Outer Rim Territories sent us a remarkable redesign of our standard blaster pistol barrel. Our engineers said it looked so bizarre it could have come from another galaxy. But we tried making a prototype, and now it\'s ready for testing. Who knows? It might be our salvation. Can you bring it here?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '122', 'm21p', 'The capacitance induction on this barrel works on some completely novel principle -- allegedly. It may run much cooler than existing barrels. Or it may be total trash.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '123', 'm21c', 'I\'m leery of building such a bizarre new barrel. But if I hadn\'t ordered this prototype, I\'d always wonder. I still wonder who that designer is. Anyway, we\'ll start testing soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '124', 'm21i', 'Unusual Blaster Barrel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '125', 'm21t', 'Odd New Blaster Barrel Redesign');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '126', 'm21f', 'component\\weapon\\blaster_pistol_barrel.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '127', 'm22o', 'A mysterious hermit in the Outer Rim has been sending us amazing redesigns of our existing equipment. We just got his new version of a flashback suppressor useful on many different weapons. It\'s based on weird principles, but apparently this fellow\'s designs have showed promise before. So I\'ve ordered a prototype. Can you bring it here?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '128', 'm22p', 'This flashback suppressor uses some kind of magnetic self-adjusting feedback loop. It\'s quite weird. I have no idea whether this thing will ever work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '129', 'm22c', 'This hermit\'s designs are hit-and-miss, they say. I don\'t know if a magnetic feedback suppressor will change the course of the war, but regardless, thanks for bringing it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '130', 'm22i', 'Unusual Flashback Suppressor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '131', 'm22t', 'Odd Flashback Suppressor Design');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '132', 'm22f', 'component\\weapon\\laser_magnetic_flashback_supressor.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '133', 'm23o', 'Commander Skywalker destroyed the Death Star without a targeting computer. This shows that our computers still fall short. We don\'t object to pilots using gut instinct, but we\'d like to give them better tools when guts fail them. Our new prototype computer has just arrived from offworld, and we\'re ready to test it as soon as you bring it here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '134', 'm23p', 'This is a sweet new model. Uses a modified droid brain, I think. I hope it\'ll help in the battles ahead as the Empire starts striking back.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '135', 'm23c', 'This targeting computer uses a modified droid brain? What a terrible idea. I hope it doesn\'t start developing a personality. Well, thank you anyway.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '136', 'm23i', 'Improved Targeting Computer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '137', 'm23t', 'Targeting Computer Upgrade');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '138', 'm23f', 'component\\weapon\\weapon_targeting_computer.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '139', 'm24o', 'We\'re getting refugees from Imperial attacks in the countryside. These poor folks had their homes destroyed, their equipment burned -- they have nowhere to turn. We\'re setting up relief and relocation efforts, but in the short term, we\'ve got some hungry kids who need food. Can you please bring me a food basket from our supplier?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '140', 'm24p', 'I always have some of these baskets ready to go. The Empire always gives us a use for them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '141', 'm24c', 'Thanks. I\'ll get the food to the latest refugees. You can be proud you helped today.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '142', 'm24i', 'Provisions');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '143', 'm24t', 'Food for Refugee Family');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '144', 'm24f', 'food\\crafted\\meal_dish_food_basket.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '145', 'm25o', 'The Alliance is still looking for good base sites around the Outer Rim. Each world seems to present problems of its own. Our existing ore harvesters won\'t work in some environments, so we\'ve had our engineers develop a suitably ruggedized harvester model. We need you to bring us the schematics, because we don\'t want the Empire learning the environments we\'re targeting.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '146', 'm25p', 'It\'s a straightforward task, redesigning an ore harvester. Not much glamour, but the war effort rides on this kind of work. That\'s what I tell myself, anyway.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '147', 'm25c', 'Thanks! Remember, don\'t mention the ore harvester redesign to anyone. The Empire has spies everywhere.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '148', 'm25i', 'Ore Harvester Design');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '149', 'm25t', 'Redesigned Ore Harvester');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '150', 'm25f', 'deed\\harvester_deed\\ore_harvester_heavy_deed.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '151', 'm26o', 'We\'ve set up an advance base on a remote world -- never mind where -- and no one there has ever heard of a power core. They still need power, so we\'re shipping them the latest designs for high-efficiency wind power generators. To prevent the Empire from discovering our supply chain, we need you to hand-deliver the design to us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '152', 'm26p', 'On some worlds you can generate more from wind power than from a good fusion generator -- if your wind station can stand up in a perpetual hurricane.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '153', 'm26c', 'Great! We\'ll get this design shipped off to our advance base.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '154', 'm26i', 'Wind Power Generator Design');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '155', 'm26t', 'New Base Needs Wind Power');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '156', 'm26f', 'deed\\generator_deed\\power_generator_wind_deed.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '157', 'm27o', 'I never thought of such things back when the Alliance was a ragtag band of outcasts, but now we\'re experiencing local shortages of uniforms. In big engagements against the Empire, we need to know who\'s who. We have designs ready for a new clothing factory. We\'d rather not trust them to the HoloNet, for reasons you may learn later. Can you bring the designs here?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '158', 'm27p', 'I don\'t know where they\'re building this factory, but the designs show it will make clothing intended for cold climates. Really cold.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '159', 'm27c', 'Yes, we\'re making uniforms for a cold climate. But speculating why, or letting anyone know that little piece of data, is a bad idea.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '160', 'm27i', 'Designs for Uniform Factory');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '161', 'm27t', 'Alliance Needs Uniforms');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '162', 'm27f', 'deed\\factory_deed\\clothing_factory_deed.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '163', 'm28o', 'Our new advance base in the Outer Rim Territories is getting weird feedback from the world\'s magnetic field. They\'re busy shielding all the computers, but the power generator is getting finicky too. They don\'t have the infrastructure to fix that. So we\'ve worked up a new design, and we can start construction once you bring it here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '164', 'm28p', 'The fusion generator in these plans will serve up enough power to re-tune that planet\'s magnetic field! You bet!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '165', 'm28c', 'This may be an over-specification; no base needs quite this much power. But we\'ll sort it out and get the generator offworld soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '166', 'm28i', 'Fusion Generator Design');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '167', 'm28t', 'Alliance Base With Fusion Problems');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '168', 'm28f', 'deed\\generator_deed\\power_generator_fusion_deed.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '169', 'm29o', 'An Imperial spy has compromised the weapon-control protocols we use to remotely fire our turret installations. The Empire could potentially turn our own laser cannons against us! A team of slicers and engineers has developed a retrofit that will secure these turret blocks against outside interference. It\'s up to you to bring us the design, quickly.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '170', 'm29p', 'The old turret block design was already secure, and this one is better. But you can\'t control the \"human engineering\" that lets spies trick our operatives into revealing secret protocols.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '171', 'm29c', 'Thanks! We\'ll get this turret retrofit into place at top speed. And while we\'re at it, I hope we get across some basic education about how to keep secrets.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '172', 'm29i', 'Turret Block Redesign');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '173', 'm29t', 'Alliance Turrets Compromised');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '174', 'm29f', 'deed\\turret_deed\\turret_block_large_deed.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '175', 'm30o', 'Some idiot tourist bought a venomous reptavian offworld and brought it back here as a pet. That \"pet\" just stung an innocent girl, and we don\'t have a suitable antivenin here. One of our labs has just manufactured an antidote. Bring it here, quickly. A girl\'s life hangs in the balance!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '176', 'm30p', 'Here\'s the antidote. Move!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '177', 'm30c', 'At last! We\'ll give this antidote to the girl right now. We destroyed the reptavian, by the way, and gave the tourist a sharp lecture about importing offworld animals.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '178', 'm30i', 'Venom Antidote');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '179', 'm30t', 'Deliver Reptavian Poison Antidote');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '180', 'm30f', 'medicine\\antidote_sm_s1.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '181', 'm31o', 'Interesting news. An Alliance slicer has procured the schematics for the Empire\'s secure data terminals. If we can crack the encryption scheme, we could theoretically learn every mission the Empire assigns to its followers. Obviously we need to keep this find off the HoloNet, so we\'d like you to hand-deliver the schematics to us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '182', 'm31p', 'I never liked those mission terminals. I hope this breach makes the Empire stop using them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '183', 'm31c', 'With any luck, we\'ll know the Empire\'s plans as soon as they do! Thank you for your help!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '184', 'm31i', 'Imperial Data Terminal Schematic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '185', 'm31t', 'We Have the Empire\'s Data Terminals');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '186', 'm31f', 'furniture\\imperial\\data_terminal_s1.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '187', 'm32o', 'I\'m supposed to pick up some kind of equipment for an upcoming assault, but the transmission was corrupted. I know the pickup point, and it\'s supposed to be kept secret and hand-delivered. Other than that, I\'m clueless. Welcome to the military. Can you pick up this whatever-it-is and bring it here?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '188', 'm32p', 'Don\'t mind that ticking sound, it\'s just a loose interior casing. But if I were you, I\'d deliver this thing pretty quickly.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '189', 'm32c', 'A -- what? What kind of warhead? Is it live? Why is it ticking? Okay, I need to make some calls here. See you later, okay? I hope.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '190', 'm32i', 'Warhead');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '191', 'm32t', 'Classified Pick-Up');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '192', 'm32f', 'component\\munition\\warhead_heavy.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '193', 'm33o', 'We\'ve analyzed captured plans from the Empire\'s defunct Dark Trooper project, and there\'s some interesting technology there. Our lab\'s latest prototype adapts a deflector plate from the Stage 1 droid to function as an actual deflector shield projector, worn on the arm. Sounds great, doesn\'t it? We need you to bring us the prototype plate.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '194', 'm33p', 'Here is the plate component. The power consumption for the entire deflector shield is much too steep right now. It would melt your arm! But we\'re working on it, we\'re working away....');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '195', 'm33c', 'We need to set up a testing program for this deflector plate. The Empire\'s discarded technology may be the boost we need. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '196', 'm33i', 'Deflector Shield Plate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '197', 'm33t', 'Deliver Shield Projector Component');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '198', 'm33f', 'component\\armor\\deflector_shield_projector_plate.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '199', 'm34o', 'We downed an Imperial transport from low orbit. It crash-landed with no survivors, and our teams scavenged the wreckage. They found an astromech droid brain that appears undamaged -- unlike the droid\'s body. We think we can scan the brain at our facility and learn Imperial engineering protocols. Can you bring us the brain?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '200', 'm34p', 'If this astromech brain holds current Imperial encryption protocols, we can do some damage to the Empire before their next scheduled code rotation.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '201', 'm34c', 'Good job! We\'ll have someone look at the brain as soon as we can.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '202', 'm34i', 'Astromech Droid Brain');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '203', 'm34t', 'R2 Brain Awaits Analysis');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '204', 'm34f', 'component\\droid\\droid_brain.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '205', 'm35o', 'Our spies received a manifest of war materiel bound for the Garia system. If we strike those supply ships, we can cripple Imperial operations in that sector. I need you to fetch the manifest datadisc and bring it here. Be careful. Many Bothans died to bring us this information.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '206', 'm35p', 'Here\'s the disc. It was purchased with Bothan blood, so handle it with respect. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '207', 'm35c', 'Good work. I hope the data on this disc is enough to plot some sabotage missions. The Empire\'s foothold in the Garia system is very strong.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '208', 'm35i', 'War Materiel Manifest');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '209', 'm35t', 'Retrieve a War Materiel Manifest');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '210', 'm35f', 'datadisc');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '211', 'm36o', 'A Mon Calamari war cruiser is cloaked inside a comet cluster on the fringes of the system. It\'s ready to drop off some important Alliance dignitaries. Our listening stations have compiled the schedule windows during which the ship can move past Imperial star patrols. I want you to get that list and bring it to me. Do not delay!.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '212', 'm36p', 'Here\'s the list of schedule windows, such as it is. The pilot of that star cruiser had better be good. Flying past the Imperial patrols will be like threading a very small needle.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '213', 'm36c', 'These numbers don\'t look very promising, but I suppose they\'re all we\'ve got. May the Force be with us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '214', 'm36i', 'Entry Windows For Alliance Star Cruiser');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '215', 'm36t', 'Analysis of Imperial Star Patrol Schedule');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '216', 'm36f', 'datadisc\n\nm37o\nI need your help. We\'ve received a list of the top star pilots who want to join the Alliance. I think I\'m being watched by Imperial surveillance, so someone else has to pick up the list for me. Can you handle it? After the Battle of Yavin we seriously need to replenish the ranks of our fighter pilots. This is the first step.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '217', 'm37p', 'Here\'s the list of star pilots. There\'s some great names on here, like Avan Beruss from the Illodian Officers\' Academy and Nien Nunb from Sullust. If we keep recruiting this caliber of pilots, we\'ll be twice as strong as we were at Yavin.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '218', 'm37c', 'Hmm. I can\'t say I\'ve heard of the pilots on this list, but I\'ll certainly look into recruiting them. We need every advantage we can get against the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '219', 'm37i', 'List of Top Star Pilots');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '220', 'm37t', 'Deliver a List of Star Pilots');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '221', 'm37f', 'datadisc\n\nm38o\nListen up. Our spies inform us that the Emperor\'s enforcer, Darth Vader, has commissioned a team of elite bounty hunters called the Scourge Column. We\'re not sure what the team is for, but we want one of our agents on the inside. I want you to meet the top candidate and get a list of credentials for me to review. Only our best agent should attempt a mission as dangerous as this one.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '222', 'm38p', 'Here are my credentials. This sounds like a dangerous assignment, though. What do you think? Could I pass as a top-flight bounty hunter? My mother says I\'ve got a mean look about me, when the light hits me just right.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '223', 'm38c', 'These are the credentials of our top candidate, eh? Somehow I\'m not encouraged. Well, perhaps Vader won\'t recognize a well-hidden spy. It\'s not like he\'s clairvoyant, right?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '224', 'm38i', 'Alliance Agent Credentials');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '225', 'm38t', 'Fetch the Credentials of a Spy Candidate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '226', 'm38f', 'datadisc\n\nm39o\nOkay, here\'s the deal. The captain of the Star Destroyer Beleaguer is hosting an officer\'s party on his flight deck. We\'ve hidden a listening device in the ommni-box that the band will be using. If we\'re lucky we might catch some random intelligence. I want you to fetch the bugged instrument from our offworld agent and bring it back to me. Got it?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '227', 'm39p', 'Here\'s the ommni-box. It\'s a little off-key in the fourth septave of the Bith echo minor scale, but the Imperials shouldn\'t notice. I think.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '228', 'm39c', 'Ahh, good. I hope the musicians won\'t notice the switch. One ommni-box is just like another, I always say.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '229', 'm39i', 'Bugged Ommni-Box');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '230', 'm39t', 'Deliver an Ommni-Box');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '231', 'm39f', 'instrument\\ommni_box.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '232', 'm40o', 'At last we have evidence to prove Imperial atrocities on Tyshapahl. I want you to pick up the package from our transport pilot and bring it back to me. I understand this evidence is volatile, so waste no time in getting it here. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '233', 'm40p', 'Yeah, so, here it is. Yes, it\'s a corpse. Yes, it\'s not frozen. They thawed it for an autopsy and never re-froze it. Some genius at High Command didn\'t want to risk destroying the evidence. So, now I pass this fragrant burden off to you. Enjoy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '234', 'm40c', 'By the belt of Antilles! Who gave the command to leave this thing rotting like this? It\'s sickening! Quick, let me get this refrigerated before I smell as bad as a nerf-herder.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '235', 'm40i', 'Victim of Imperial Atrocity');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '236', 'm40t', 'Transport Evidence of Imperial Crimes');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '237', 'm40f', 'poi\\corellia\\poi_victim_sandpanther.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '238', 'm41o', 'This is great. We actually reprogrammed an Imperial mission terminal. Now we can send New Order activists into traps and away from our sensitive operations. Go pick up the terminal and bring it here so I can deploy it as soon as possible. I can\'t wait to watch these Imperials lapdogs chase after phantoms!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '239', 'm41p', 'Are you the one taking possession of the reprogrammed terminal? Excellent. Here it is, then. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '240', 'm41c', 'Terrific! This reprogrammed mission terminal is going to confuse the heck out of the Imperials. I\'ve already got an idea to send them on missions to hunt down a prototype war droid based on the MSE-6 model. They\'re just dumb enough to fall for that, don\'t you think?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '241', 'm41i', 'Reprogrammed Imperial Mission Terminal');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '242', 'm41t', 'Retrieve a Reprogrammed Mission Terminal');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '243', 'm41f', 'mission\\mission_terminal.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '244', 'm42o', 'A scientist loyal to the Alliance has developed some kind of new wilderness camouflage system. We\'ve smuggled it to the planet. I need you to fetch it for me. If this device works, it could prove an immense help in the war against the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '245', 'm42p', 'Believe it or not, this is the fabled new camouflage system. A straw hut. Sometimes I wish we had the resources of the Empire. I really do.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '246', 'm42c', 'So. Um. This is the new camouflage system, eh? A hut. Well, you can\'t say we leave any option untested in the fight against the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '247', 'm42i', 'Big Straw Hut');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '248', 'm42t', 'Fetch a Prototype Camouflage System');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '249', 'm42f', 'poi\\endor\\poi_ewok_hut.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '250', 'm43o', 'A Zabrak spy has stolen the clothes of a high-ranking Imperial overseer. They will provide an excellent disguise for one of our agents. The spy was killed shortly afterward, but she managed to pass off the clothes to one of our civilian contacts. An Alliance pilot has flown them here. The Empire is on the lookout, so I need you to sneak to the rendezvous point, collect the package and make sure it gets back to me. Are you up to the job, my friend?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '251', 'm43p', 'Here are the clothes. They once belonged to an Imperial Inquisitor. I don\'t have to explain to you how rare they are, right?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '252', 'm43c', 'An Inquisitor\'s robe? Impressive! I\'ve never seen one before. I\'m not sure if we would ever disguise an agent as an Inquisitor, but you never know. Thanks for the good work, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '253', 'm43i', 'Imperial Inquisitor Robe');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '254', 'm43t', 'Transport an Imperial Disguise');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '255', 'm43f', 'wearables\\robe\\robe_inquisitor.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '256', 'm44o', 'Clandestine funding is an important part of Alliance operations. We\'re smuggling a shipment of rare avabush spice to one of our backers on the Frontier, in exchange for a hefty donation. I need you to bring the shipment to me so I can pass it along to the next starship in our underground delivery system. Make sure no Imperials catch you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '257', 'm44p', 'Here\'s the avabush spice. Did you know it can be used as a truth serum? I wonder what our secret backer is going to use it for? Hmm.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '258', 'm44c', 'Thank you. This avabush spice will help us continue the good work of the Alliance. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '259', 'm44i', 'Avabush Spice');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '260', 'm44t', 'Transport a Shipment of Valuable Spice');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '261', 'm44f', 'component\\food\\ingredient_spices.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '262', 'm45o', 'I\'ve got a job for you. There\'s a small package I need you to deliver to me. It contains an Imperial Medal of Honor engraved with the name of Governor Tarkin. Contraband scavengers discovered it in the debris field around Yavin. This medal will make a splendid gift for someone in High Command. Can you bring it to me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '263', 'm45p', 'It\'s kind of perverse, don\'t you think, handling an old war medal like some kind of sick trophy? I dunno. I mean Tarkin is dead. Let\'s move on, right?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '264', 'm45c', 'Ahh! Excellent. I can\'t wait to give Tarkin\'s old medal as a gift to someone in Alliance High Command. My star is rising, my friend, I assure you of that. It was well worth leaving my post in the Imperial military to take up with the Rebellion.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '265', 'm45i', 'Imperial Medal of Valor   ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '266', 'm45t', 'Transport an Imperial Medal');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '267', 'm45f', 'sealed container\n\nm46o\nWant to help out with some new war technology? Our scientists have developed a hybrid form of the gel insulation used in AT-AT and AT-ST servo joints. This new gel reacts to certain radio frequencies, with explosive results. We\'re planning to sneak it into Imperial production facilities. If you\'ve got time, I need to have some of the stuff brought to me from a courier.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '268', 'm46p', 'You\'d think they would transport explosive gel in some kind of container, wouldn\'t you? But no, here it is in a nice, handy blob. Careful, it sort of oozes through your fingers when it gets warm. I\'d stay away from radio transmitters with this stuff, if I were you. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '269', 'm46c', 'Thanks for the help. I can\'t wait to blow the legs off a few Imperial walkers with this stuff.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '270', 'm46i', 'Ball of Explosive Gel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '271', 'm46t', 'Deliver New War Technology');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '272', 'm46f', 'component\\food\\ingredient_ball_of_dough.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '273', 'm47o', 'Our agents recovered some interesting debris from the ruins of a destroyed Imperial outpost. I want you to take possession of this material from our courier and bring it here. I have a sneaking suspicion I know what it is.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '274', 'm47p', 'Here you go. Looks like a bunch of ashes to me, but maybe someone on this planet can make use of it. Take care. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '275', 'm47c', 'What, this is it? Nothing more than wood ash, by the looks of it. I guess I was wrong. Thank you nonetheless for helping me, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '276', 'm47i', 'Suspicious Ashes');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '277', 'm47t', 'Deliver Suspicious Debris');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '278', 'm47f', 'camp\\campfire_logs_ash.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '279', 'm48o', 'Our agents recovered some interesting debris from the ruins of a destroyed Imperial outpost. I want you to take possession of this material from our courier and bring it here. I have a sneaking suspicion I know what it is.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '280', 'm48p', 'Here you go. Looks like a bunch of ashes to me, but maybe someone on this planet can make use of it. Take care. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '281', 'm48c', 'Son of a gundark! I knew it! These are the remains of a notorious Imperial torturer, left behind by a strike team I commissioned to destroy that base. See, you can tell by the stim implants in the ash. They melt at a higher temperature than bone. This confirms my hopes that the torturer was killed. Thank you very much for helping.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '282', 'm48i', 'Suspicious Ashes');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '283', 'm48t', 'Deliver Suspicious Debris');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '284', 'm48f', 'camp\\campfire_logs_ash.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '285', 'm49o', 'I\'m glad you\'re here. I have a very important mission for you. A secret Alliance operative has brought a very important droid to this planet. I need you to pick it up and bring it to me at once. I cannot overstate the urgency of this mission. Do not, under any circumstances, let this droid fall into Imperial hands. Is that clear? Go now. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '286', 'm49p', 'Sure is a lot of fuss over a mouse droid, don\'t you think? Well, far be it from me to second guess High Command. Here it is. Luck to you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '287', 'm49c', 'I can\'t believe this is the very droid the Empire has been scouring the galaxy trying to find! I\'m humbled. You did well to transport it here without the authorities getting ahold of it. That would have been a disastrous blow to the Alliance. Thank you again. The Force will be with you, always.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '288', 'm49i', 'Innocuous Mouse Droid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '289', 'm49t', 'Transport an Innocuous Mouse Droid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '290', 'm49f', 'mouse droid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '291', 'm50o', 'A Zabrak spy has stolen the clothes of a high-ranking Imperial soldier. They will provide an excellent disguise for one of our agents. The spy was killed shortly afterward, but she managed to pass off the clothes to one of our civilian contacts. An Alliance pilot has flown them here. The Empire is on the lookout, so I need you to sneak to the rendezvous point, collect the package and make sure it gets back to me. Are you up to the job, my friend?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '292', 'm50p', 'Here is the uniform. Do you recognize it? Not many people would. It once belonged to a member of the Imperial Royal Guard. To say these are not easy to come by would be the understatement of the millennium. Handle it with care.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '293', 'm50c', 'Unbelievable! The robe of an Imperial Royal Guard! I know exactly which Alliance agent will be able to use it, too. This may be our biggest break since the Bothans discovered that weakness in the Death Star. Good work, my friend. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '294', 'm50i', 'Robe of the Imperial Royal Guard');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '295', 'm50t', 'Transport an Imperial Disguise');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_deliver_rebel_medium.stf', '296', 'm50f', 'wearables\\robe\\robe_royal_guard.iff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '1', 'm1o', 'Our efforts to stamp out the Rebellion has created some additional problems for law enforcement. Refugees are being recruited by local swoop gangs and other criminal organizations. This has led to a rise in violent crimes. We need enterprising agents to help keep peace and order in the Empire. Think you can help us out, citizen?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '2', 'm1c', 'Good work, citizen. One by one, we\'ll get all these wretched hives of scum and villainy. Have a drink on us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '3', 'm1t', 'Keep the Empire Safe');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '4', 'm2o', 'Certain slavers are not content to stick to the Imperial list of approved species. Indeed, these slavers feel they must enslave humans, and that\'s something we can\'t tolerate. Through the help of Imperial Intelligence, we\'ve located the lair of a group of slavers that have been dealing exclusively in humans. We need a small strike team to assault this base and blast it into rubble.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '5', 'm2c', 'Humans shall not be enslaved while the Empire governs the galaxy. Well done, agent.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '6', 'm2t', 'Protect Imperial Citizens');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '7', 'm3o', 'We have pinpointed the coordinates of a ground-based tractor beam used by area pirates. For a percentage the owners use the beam to trap merchant ships so that space pirates can board them. We need a civilian strike team to take out the weapon.  The site is heavily guarded, so be prepared for a fight.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '8', 'm3c', 'Now the merchants who fly through local space have one less worry. Well done. Here is your payment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '9', 'm3t', 'Save the Merchants');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '10', 'm4o', 'Our informants have assured us that quite a number of wanted pirates frequent an obscure little cantina at these coordinates. Enterprising freelancers are encouraged to remove this blight from the planet. A substantial reward is available. These are hardened criminals and will be well-armed. The cantina is billed as a \"private club,\" so don\'t expect a warm welcome.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '11', 'm4c', 'Here is your reward. The star lanes are safer thanks to your good work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '12', 'm4t', 'Blast a Wretched Hive of Scum and Villainy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '13', 'm5o', 'We have the coordinates of a secret depot where pirates buy contraband food supplies without notifying the authorities that they have landed. We need some experienced freelancers to blast the site to smoke and rubble. There are usually one or two armed pirate crews in the area, so destroying this depot entails some danger.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '14', 'm5c', 'Excellent. Those space scum need to understand that their cutthroat ways are not welcome in this system.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '15', 'm5t', 'No Pirate Meals');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '16', 'm6o', 'An enterprising pirate captain recently stole a cargo of Imperial probe droids. With a little reprogramming these droids have become his scouts in the area, monitoring the local spaceports and alerting him when a rich freighter takes off. Our own probots have tracked his droids to a well-fortified terminal off the beaten path. We need you to stage an assault on the terminal and blast it into oblivion.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '17', 'm6c', 'Good work. Without his fleet of probe droids, that pirate will have to track down his quarry the old-fashioned way.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '18', 'm6t', 'Blast the Far-Seeing Pirate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '19', 'm7o', 'Pirates are a plague on interstellar shipping and end up costing the Empire millions of credits each year. We can hit those pirates hard by cutting their access to safe ports and hideouts. It\'s not easy to hide a spaceship, even the smaller fighters employed by some of these rogues. We know of several suspicious outposts big enough to contain landing bays and need you to blast these outposts to pieces.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '20', 'm7c', 'Good work, citizen. Keep at it and we\'ll keep paying you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '21', 'm7t', 'Take Out Pirate Landing Bays');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '22', 'm8o', 'If pirates don\'t have working ships, they can\'t practice their despicable trade. We\'ve learned of several small storage facilities in the area that house a wide assortment of spare ship parts. We\'re certain that these are pirate stashes. We need someone to blast these facilities to atoms. You may encounter some armed resistance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '23', 'm8c', 'Pirate ships floating uselessly in space is an image we like, citizen. Good work in helping us to ground those marauding vessels.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '24', 'm8t', 'Incinerate Pirates\' Spare Parts');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '25', 'm9o', 'Ever wonder where pirates store their ill-gotten goods, citizen? We\'ve discovered a few places and we need them destroyed. Our agents are too busy pursuing Rebels to attend to this matter themselves so we\'ve decided to turn to you. We\'ll compensate you for every storage facility on our list that you blast to atoms.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '26', 'm9c', 'Job well done, citizen. The money is yours.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '27', 'm9t', 'Blast Pirates\' Stash');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '28', 'm10o', 'A group of known pirates has started hanging around an abandoned settlement. That place is beginning to attract all manner of scum. We\'re fairly certain they deal glitterstim spice out of there and no telling what else. We need you to blast that den of thieves into oblivion. Do you think you can help us keep the Empire free of these parasites?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '29', 'm10c', 'That\'s showing them, citizen. Those space slugs will think twice about crossing our path. You\'ve earned your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '30', 'm10t', 'Demolish the Pirates\' Hangout');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '31', 'm11o', 'Those thieving pirates wouldn\'t be able to operate if it weren\'t for their fences. After all, those rogues can\'t just traipse down to the local market with all their stolen goods, now can they? We\'ve tracked down a few of these \"blood money traders\" and want their operations terminated. Many of these fences are former pirates themselves. Can you help?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '32', 'm11c', 'If we make piracy unprofitable, perhaps it will end. You\'re certainly doing your part, citizen. Congratulations.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '33', 'm11t', 'Take Out the Fences');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '34', 'm12o', 'Like all vermin, pirates need holes they can crawl down into when they\'re in danger of being exterminated. We\'ve located some of these safehouses in our area and want these places blasted into oblivion. We\'re offering a decent reward to any agent who can help us get rid of these vermin-infested places. Do you think you have what it takes?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '35', 'm12c', 'As an Exterminator for Justice, citizen, you shine like a supernova. Keep up the excellent work and remember that your children will inherit the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '36', 'm12t', 'Blast Pirates\' Hideout');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '37', 'm13o', 'We\'ve discovered a secret refueling depot that pirates have built to aid in attacks from this system. We\'re in need of a professional problem solver to get rid of this refueling station so those criminals stop visiting our planet. There will be adequate compensation for the being who succeeds.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '38', 'm13c', 'That should discourage those thieving vermin to steer clear of this system. Good work, citizen. Hope you decide to work for us again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '39', 'm13t', 'Take Out Refueling Depot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '40', 'm14o', 'We\'ve been getting reports of suspicious activity around an old starship repair shop. After an investigation, we discovered that the owner of the shop is actually a former smuggler who now serves as a mechanic to well-known pirates. Can you help us put this criminal out of business, citizen?  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '41', 'm14c', 'Good job, citizen. Justice is served today. We hope you decide to work for us again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '42', 'm14t', 'Take Out Pirates\' Repair Shop');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '43', 'm15o', 'Some local glitterstim pusher and a group of thugs has set up shop in a nearby neighborhood and we want them out. We know where they hang out and need someone to go in there and redecorate the place -- preferably with blaster). There\'s a decent reward in it. Can you help the Empire do this? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '44', 'm15c', 'That\'s showing those poison-pushers who\'s boss. Good work, citizen. The Empire could use more upstanding folk like you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '45', 'm15t', 'Blast the Drug Dealers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '46', 'm16o', 'An ingenious slicer gang calling themselves ReFormat has altered our outgoing supply orders to re-route an entire base\'s resupply schedules to their own base. How clever! It\'s so delightfully audacious, I almost hate to order you to destroy their base and kill them all. But of course, duty must be done.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '47', 'm16c', 'All destroyed? Very well. A shame, really, to annihilate a group so obviously clever and resourceful. Ah well, such regrets are part of an Imperial soldier\'s every day.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '48', 'm16t', 'Slicer Gang With Admirable Nerve');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '49', 'm17o', 'Yet another local slicer gang has taken the name ReFormat. This new gang has somehow contrived to give our TIE Fighters falsified flight plans that send them in tight formation directly over the gang\'s stronghold. This seems to be pure mischief, but for safety\'s sake we cannot permit this to continue. Go to the stronghold and wipe them out.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '50', 'm17c', 'Apparently the name ReFormat has become something of a standard among data slicers. No doubt we shall continue to see new gangs with the same name.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '51', 'm17t', 'ReFormatting TIE Flight Plans');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '52', 'm18o', 'Informants have pinpointed a facility where smugglers have stored their illicit goods. These goods often wind up in Rebel hands. To forestall this, we shall allow you to distinguish yourself by destroying this facility and all goods stored therein. You may commence at once.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '53', 'm18c', 'This is a worthy service to your Empire. You may claim your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '54', 'm18t', 'Smuggler\'s Storage Facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '55', 'm19o', 'The Imperial Office of Criminal Investigations has found a hideout of notorious smugglers. To achieve favorable trends in a forthcoming report on crime statistics, the Office will avoid dedicating department resources to eradicating these smugglers. Instead, you may take care of this yourself, and the Office will compensate you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '56', 'm19c', 'Excellent work, and executed on a budget far smaller than the Office would require. Here is your payment. Check back for more assignments.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '57', 'm19t', 'Criminal Investigations Contract');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '58', 'm20o', 'The behavior of the local criminal element resembles that of vermin. Destroy one infestation, and inevitably a new lair spawns in its place. The Imperial Office of Criminal Investigations has located a new warehouse of contraband goods. You must destroy it, as well as all criminals residing there.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '59', 'm20c', 'A thorough job. Now we may hope for a brief respite from further criminal infestations. Here is your payment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '60', 'm20t', 'Smuggler Infestation');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '61', 'm21o', 'The Imperial Office of Criminal Investigations continues to confront major budget shortfalls. To gain a more favorable ratio of goals achieved versus resources expended, we are offering you, an independent contractor, a purchase order to eradicate a newly detected facility storing contraband goods. Destroy all smugglers present as well.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '62', 'm21c', 'You have successfully completed the contract. Contact me for future assignments of this kind.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '63', 'm21t', 'Compensate for Budget Shortfall');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '64', 'm22o', 'Smugglers flit from base to base as quickly as flies. The Imperial Office of Criminal Investigations remains alert, but our procedures make it difficult to move quickly. We have better success commissioning independents such as yourself to eradicate smugglers as they light at a new base. Will you wipe out the latest base for us?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '65', 'm22c', 'The Office is glad you were fast enough to catch those particular flies. You\'ll make a fine law enforcement agent yet.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '66', 'm22t', 'Catch Smuggler Flies on the Wing');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '67', 'm23o', 'Due to an increasing workload and reduced efficiency, the Imperial Office of Criminal Investigations is giving out more independent contracts to destroy smuggling bases and storage facilities. This gives you the chance to blast felons with the full authority of the law. Tell me you cannot resist this opportunity.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '68', 'm23c', 'The Office is pleased at your demonstrated bloodthirst. You may contact us again for further assignments.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '69', 'm23t', 'Reduce Increased Imperial Workload');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '70', 'm24o', 'The Empire could have crushed the Rebellion by now if not for the smugglers who supply it. Imperial Intelligence has located yet another of these nuisances, a base that must be stamped out like all the rest. What do you say? Will you help us strike at the very roots of the Rebellion?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '71', 'm24c', 'Perhaps in describing smugglers as \"the roots of the Rebellion,\" I misspoke. Possibly \"the circulatory system\" might be more appropriate. At any rate, here is your payment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '72', 'm24t', 'Strike the Roots of the Rebellion');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '73', 'm25o', 'Smugglers in this area have been recruiting new members from local disgruntled youth. We have taught the parents of these wayward youths a stern lesson, but the smugglers themselves remain untouched. We require you to go to their base and wipe it out. If there are youths there, well, they will become a negative example to others.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '74', 'm25c', 'Fine work. It is perhaps sad that young people perished in your assault, but really, being already inclined to criminality, what better fate would they have found?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '75', 'm25t', 'Forestall Corruption of Local Youth');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '76', 'm26o', 'The Empire\'s welfare obviously depends on the welfare of its soldiers. I have had an altercation with certain criminals, and they have threatened my life. Obviously this threat must be met with deadly force, but I would prefer to avoid worrying my superiors. Therefore I commission you to destroy these criminals. Tell no one of this assignment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '77', 'm26c', 'An excellent job. Here is your pay. I advise you to let this matter rest quietly, rather than stir up controversy that could only prove harmful to all involved.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '78', 'm26t', 'Altercation With Criminal Element');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '79', 'm27o', 'My commander\'s lady friend had an unwise encounter with a local smuggler. The commander is dealing appropriately with the lady, but he also wishes someone to prevent further unwise encounters by destroying the smuggler and everyone in his stronghold. Leave no one alive there, especially any charming young men you may find.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '80', 'm27c', 'Very well. This payment is given on the condition that you treat this matter with absolute confidentiality. My commander would be displeased to hear his personal life noised about.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '81', 'm27t', 'A Commander\'s Wayward Lady');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '82', 'm28o', 'As the current morals crisis continues -- what do you mean, \"what crisis?\" I mean the Rebellion, of course. As it continues, legitimate pilots are seduced away from honest work to become smugglers for the traitorous Rebels. Wiping them all out requires independent help. Are you willing to destroy the latest lair of corrupted pilots?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '83', 'm28c', 'That was acceptably effective. You can expect more employment opportunities from us. Tell that to any unemployed pilots you know, too.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '84', 'm28t', 'Pilots Seduced Into Smuggling');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '85', 'm29o', 'It defies comprehension that ordinary citizens continue to drift into smuggling. No sooner do they build their strongholds than we destroy them! Despite their high fatality rate, the Empire\'s workload continues to grow. For efficiency\'s sake, we wish you to destroy the newly discovered base at these coordinates. You will be well paid, don\'t worry.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '86', 'm29c', 'We are pleased that you employed your weapon skill so efficiently. You well deserve this reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '87', 'm29t', 'Increase Smuggler-Destruction Efficiency');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '88', 'm30o', 'The Rebellion is now using smugglers to distribute anti-Imperial propaganda. Do these traitors have no shame, continuing to rely on such blatant criminals? The offense must be stopped. We have located several distribution points on this world, and we now assign you to destroy one. Leave no one alive.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '89', 'm30c', 'The propaganda distribution continues. We shall have more work for you along the same lines shortly.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '90', 'm30t', 'Smugglers Distributing Propaganda');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '91', 'm31o', 'Smugglers hired by the Rebellion are distributing holograms purporting to show the destruction of Alderaan at the hands of the Empire. As you know, that paranoid accusation has long been disproven. Luckily we\'ve tracked down a facility where this libelous material is being distributed. You must destroy it at once.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '92', 'm31c', 'Excellent. However, our work is only beginning. We shall alert you as we discover new facilities distributing these foul lies.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '93', 'm31t', 'Stop the Lies About Alderaan');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '94', 'm32o', 'Local gangsters, no doubt prodded by the Rebellion, are harassing a local recruiter for the Imperial Navy. The Imperial Security Bureau has located the gang\'s headquarters. You are to visit this gang and recruit them into the local cemetery. Destroy the headquarters while you\'re at it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '95', 'm32c', 'A fine job. Our recruiters should be above harassment by ordinary citizens, let alone criminals. Here is your payment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '96', 'm32t', 'Protect Local Imperial Recruiter');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '97', 'm33o', 'A group of local data slicers has defrauded Imperial supply depots across this planet of millions of credits. The slicers work from the sanctuary of a gang headquarters, in return for a cut of the proceeds. These slicers cause much trouble for the Empire. We would appreciate it if you would kindly obliterate them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '98', 'm33c', 'I suspect the slicer community on this world will think again before attempting to defraud the Empire. Your work deserves this reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '99', 'm33t', 'Slicers Taking Shelter With Gangsters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '100', 'm34o', 'A cunning gang of smugglers was planting illicit cargo in the Empire\'s own vessels for secret transport off this world. They had an inside accomplice, who has now divulged all after gentle questioning by the Imperial Security Bureau. We have the coordinates of the gangster base, and we require you to destroy it in exhaustive detail.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '101', 'm34c', 'The destruction was perhaps not so thorough as it might have been -- but I shall overlook the shortfall this time. Here is your payment. Return again for more assignments.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '102', 'm34t', 'Smugglers With Imperial Accomplice');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '103', 'm35o', 'Stop what you\'re doing. I have new orders for you. A band of space pirates recently stole a shipment of hyperdrive motivators from an Imperial transport. We followed the motivators\' tracking beacon to a small installation. I need you to raze the place to the ground. These vermin need to recognize that the Empire deals no mercy to outlaws.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '104', 'm35c', 'I\'m pleased with your efficiency. You are an excellent asset to the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '105', 'm35t', 'Blast a Pirate Base');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '106', 'm36o', 'Imperial Customs has given me the coordinates of a suspected smuggler encampment. We don\'t have time to investigate every petty infraction. I need you to find the place and blast it to atoms. That will free up my men for more important tasks, like political enforcement.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '107', 'm36c', 'It sure sounds like those guys were smugglers. If not, I\'ll blame Imperial Customs. I\'m an enforcement officer, not an intelligence agent.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '108', 'm36t', 'Eliminate a Suspected Smuggler Encampment');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '109', 'm37o', 'In the name of galactic security, I need your assistance! There are reports of a gang of illegal slavers at the coordinates on my datapad. I want you to level their operation. These unlicensed slavers are a blight on seven sectors and I want to put a stop to them here and now!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '110', 'm37c', 'You have a knack for destruction. Excellent. I\'ll have no unauthorized slavers in my sector!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '111', 'm37t', 'Gang of Rogue Slavers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '112', 'm38o', 'Recent raids on Abraxas have driven pirates out of their hiding places. Imperial Intelligence has tracked some of those pirates to this planet. A spike in waste emissions in the wilderness is decidedly suspicious. We need you to check this area out and destroy any illegal operations you find. We can\'t let them slip through our fingers.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '113', 'm38c', 'It pleases me to hear reports of smokingruins and dead pirates. You have earned this generous reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '114', 'm38t', 'Those Dirty Pirates');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '115', 'm39o', 'The sign of the Blazing Claw has been used by pirates since the days of the Old Republic. One of our probots observed a ship that bore this sign on its hull. The ship did not seem headed toward any known starports, and we believe it landed at these coordinates. Check them out. If it\'s pirates, destroy them. We must not let them get comfortable.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '116', 'm39c', 'Would you say that was a difficult mission for you? Because we\'re always on the lookout for civilian talent like yours. Consult the mission terminals in town and look for my name.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '117', 'm39t', 'The Blazing Claw');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '118', 'm40o', 'If you\'ve never heard of the Black Hole pirate gang, then you\'re about to find out more. Recon reports that they\'ve got a small installation in my patrol sector. Go out there and burn it to the ground. Can\'t let these scum get comfortable, you know.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '119', 'm40c', 'The Black Hole pirates are feared in many sectors, but not by me and not by you. I guess they won\'t be back here anytime soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '120', 'm40t', 'Eliminate Notorious Space Pirates');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '121', 'm41o', 'I\'ve got a lead on an underworld operator named Talon Karrde. I\'ve tracked him to a little dive not far from here. I need you to blast the place to atoms. We\'ll nab him as he flees. If I can lay my hands on him, I\'m sure I\'ll come away with leads to some of the big players in the galactic underworld.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '122', 'm41c', 'You did good work, but we couldn\'t lay our hands on Talon Karrde. I\'m following his trail, though. He won\'t escape me for long.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '123', 'm41t', 'Smoke Out an Underworld Operator');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '124', 'm42o', 'There\'s something shady going on. Some of my men have been spending their off-hours at a seedy little joint they call a cantina. I think it\'s more suspect than that. We can\'t have members of the Imperial military consorting with criminals and low-lifes. Do me a favor and burn the place down. That will put a stop to it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '125', 'm42c', 'Excellent. Our investigators will sift through the ashes of the place. I am quite confident they\'ll find evidence of criminal activity.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '126', 'm42t', 'Raze a Seedy Joint');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '127', 'm43o', 'I require your assistance. A group of distinctly unsavory individuals has stolen a schedule memo addressed to me. I dread the thought of missing the next meeting of the Preliminary Exploratory Action Planning Committee. Would you ask them to give my memo back? If they offer you any trouble, of course you may defend yourself, but I don\'t want to cause a scene. I simply want to do my job. Is that asking too much?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '128', 'm43c', 'Oh, dear! You had to burn their place to the ground? What a bother. Now I shall have to submit a Form 12-3E/9 to the Collateral Damage Oversight Committee. And I didn\'t even get my memo back. Well, I do appreciate that you did your best to avoid violence. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '129', 'm43t', 'Get My Memo Back');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '130', 'm44o', 'Imperial Intelligence has reported high smuggler activity in this system. Our probe droids have narrowed the area where smugglers might have set up a base. We need you to check out these coordinates and eliminate any operations you find there. We\'ll not let these dogs make a mockery of Imperial law.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '131', 'm44c', 'Well done, citizen. Smugglers are known to conspire with the Rebellion. We must always keep the pressure on.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '132', 'm44t', 'Smack the Smugglers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '133', 'm45o', 'Black Sun believes itself untouchable, even by Imperial law. Our job is to shatter this belief. We think we know where one of these Black Sun gangs have set up shop. It\'s your job to show them we won\'t abide their kind here. Leave nothing but ashes. Is that clear?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '134', 'm45c', 'Gangsters make a living by extorting and terrorizing innocent civilians. The Empire won\'t abide that kind of behavior without authorization. You have made that point very clear. Well done, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '135', 'm45t', 'Crush the Gangsters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '136', 'm46o', 'Yes, I lost another shipment of TIE solar array support frames. I don\'t deny it. But instead of threatening to tell my superiors, what if you visit the thieves who stole the frames and blow their den to pieces? You\'ll destroy the evidence of my mistake, I\'ll write you a commendation for service to the Empire, and my superiors won\'t be bothered by these petty logistical details. Do we have a deal?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '137', 'm46c', 'Thanks for helping me out. I\'ll file an Imperial commendation for you under some pretext that has nothing to do with lost TIE solar array support frames.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '138', 'm46t', 'Earn an Imperial Commendation');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '139', 'm47o', 'Nothing personal, but I\'ve just about had my fill of aliens. Used to be, a man of my species could enjoy the company of his own without stepping on someone\'s tail or tentacle or furry hoof. Anyway, a band of alien gangsters has set up shop outside of town. I want you to level their operation. The Empire hates criminals and especially alien ones.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '140', 'm47c', 'Not bad. I\'ll call in some TIE bombers to finish off the place. Set an example to the other alien scum in this area.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '141', 'm47t', 'Destroy Some Unsavory Aliens');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '142', 'm48o', 'Have you ever seen a lightsaber? Me, I\'ve only heard about them in the old stories. But a civilian informant reported seeing one of them at a small installation some distance from here. That smacks of Rebel activity. Head over there and dismantle the place for me. I\'m very interested to see if any lightsabers are employed in its defense.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '143', 'm48c', 'Too bad none of these so-called Jedi showed up to defend the place. However, your destruction of the building was quite impressive. I\'ll remember your name the next time I\'m putting together a civilian strike team.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '144', 'm48t', 'Lightsaber Claim');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '145', 'm49o', 'We\'ve been surveying some land believed to be rich in alantium but have detected some strange ion emissions in that area. Could you scout it out and make sure no squatters have moved into the area? If they have, get rid of them and burn down their facility. We don\'t want to waste Imperial troop time on these mundane affairs.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '146', 'm49c', 'Those don\'t sound like miners. Those sound like smugglers. All the better that you got rid of them. Good work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '147', 'm49t', 'Check For Squatters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '148', 'm50o', 'A new slicer gang has taken the traditional name ReFormat. This gang enjoys turning HoloNet broadcasts of the local governor\'s loyalty speeches into gibberish -- which is, it goes without saying, a strong contrast to the unaltered speeches. It is idle mischief, really, but nonetheless we must be stern. Destroy the ReFormat installation, if you will.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '149', 'm50c', 'The governor will be quite relieved to know that the HoloNet speeches will now sound more intelligible -- or at least unaltered. You have done well.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '150', 'm50t', 'ReFormatting Governor\'s Speeches');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_easy.stf', '151', 'number_of_entries', '50');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '1', 'm1o', 'A major Black Sun glitterstim lab has been located by Imperial Intelligence. These crooks are so well-connected, however, that any signs of an organized attack by the Imperial Military would scatter them throughout the sector. We need to insure this facility is hit hard and put out of commission for good. A select team of highly skilled independent agents ought to be able to take this refinery out. Do you accept?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '2', 'm1c', 'Bravo, agent! Your results never cease to impress us. We\'re glad to employ an agent as effective as you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '3', 'm1t', 'Help the Empire Clean Up');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '4', 'm2o', 'An illegal weapons manufacturing facility has been located by Intelligence. We believe it may be run by Black Sun. Many of the weapons bought and sold by gunrunners come from facilities just like this one. We need an experienced strike team to go in there and blast that installation into so much space debris. Can you help us close this case?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '5', 'm2c', 'Wonderful! Less deadly weapons in the hands of criminals means less risk for our Imperial agents. We need more agents like you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '6', 'm2t', 'Smash the Gunrunners');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '7', 'm3o', 'The vicious group of criminals behind one of Black Sun\'s major protection rackets has been identified by Intelligence. They operate out of a well-guarded stronghold and fear nothing short of a full Imperial Military strike. They\'d get away long before such a strike could be organized and executed, however, so we would rather employ a small but experienced strike team to take care of those rogues for us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '8', 'm3c', 'Excellent work, agent. This victory will make life easier for hundreds of merchants in this sector. Always a pleasure to work with a professional like yourself.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '9', 'm3t', 'Remove the Protection Racket');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '10', 'm4o', 'Black Sun maintains several medical facilities for use by their operatives. Assassins, gangsters, and other criminals have a hard time getting medical attention at legitimate facilities after a battle with Imperial authorities. We\'ve located one of these centers and need it removed. We cannot afford to let these criminals patch themselves up after a scrape with our agents. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '11', 'm4c', 'Good work. These criminals must understand the cost of breaking the Empire\'s laws. You\'ve earned this reward, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '12', 'm4t', 'Take Out the Crime Doctor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '13', 'm5o', 'Intelligence has managed to pinpoint the location of one of Jabba\'s major munitions depots. These weapons supply gunrunners in this and several adjoining sectors. Jabba\'s spies are scattered throughout local law enforcement, however, so stealth is important. We need a small team of agents to infiltrate that depot and blow it to bits.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '14', 'm5c', 'You certainly are fearless, aren\'t you? You\'ve gained a powerful enemy, we fear, but also a very influential friend. Congratulations on your success.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '15', 'm5t', 'Wipe Out Jabba\'s Guns');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '16', 'm6o', 'One of the galaxy\'s most notorious and bloodthirsty band of pirates has fallen for our trap. They took some bait we offered and raided a ship full of bugged cargo. Now the pirates have led us right back to their lair. Their base sensors are rather sophisticated, however, so they would detect the approach of Imperial cruisers. We need a team of agents to land near their base and take it out. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '17', 'm6c', 'An excellent strike. The Empire is indebted to you, agent. Perhaps you should contact us about helping to crush the Rebellion. We could use agents like you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '18', 'm6t', 'Blast the Notorious Pirates');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '19', 'm7o', 'Ion cannons are the ideal weapon for space pirates.  The Empire is very careful to restrict the movement of artillery-class ion guns, yet inevitably some of them fall into the wrong hands.  Fortunately less experienced pirates fail to disable the tracking circuits, allowing us to locate and disable the cannons.  The preferred method for such action is a swift ground strike. Can you help?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '20', 'm7c', 'The Empire appreciates a reliable agent.  Here is your payment.  Please contact us again for more assignments.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '21', 'm7t', 'No More Ion Cannons');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '22', 'm8o', 'With so many of our resources handling political offenses, sometimes the Empire must hire independent agents to deal with ordinary crimes such as piracy. We have the coordinates of a small habitation suspected to harbor a dangerous crew of notorious pirates.  We need a team to reconnoiter the area and destroy all buildings and collateral assets they find. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '23', 'm8c', 'You are an efficient agent and loyal Imperial citizen.  We have noted this in our records.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '24', 'm8t', 'Teach Pirates a Lesson');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '25', 'm9o', 'A confidence artist managed to walk out of our armory with a supply of field disruptors. Tracking beacons in the disruptors led to a pirate stronghold before moving offworld. This stronghold is well defended, a target suited to the most experienced strike teams. While we track the stolen equipment, will you dispose of these pirates?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '26', 'm9c', 'Excellent, but we still have much to do. With those Aeramaxis Evasive-13 individual field disruptors, the pirates can move through our shields as if through soap bubbles. As the situation develops, we may call you again. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '27', 'm9t', 'Field Disruptors Stolen');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '28', 'm10o', 'Inexplicably, a large gang in a remote location has stolen large numbers of Imperial GNK-series power droids. They take these common droids, at great risk to their own lives, then simply release them in the countryside. It defies comprehension. We have located one of the gang\'s installations, and we ask you to exterminate it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '29', 'm10c', 'That is fine, for now. We must still penetrate the baffling mystery of why these gangsters are interested in GNK droids in the first place.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '30', 'm10t', 'GNK Droid Thieves');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '31', 'm11o', 'We recently suffered alarming losses at a training base. A gang of thugs attacked with unusual cunning and bravery, led by a Twi\'lek adventurer. The alien\'s code-name is said to be \"O-i.\" An informant places this criminal and his gang at these coordinates. Assemble a strike team and destroy the base -- especially the Twi\'lek.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '32', 'm11c', 'Did you see a Twi\'lek there? Very well. We shall hope this cavalier \"O-i\" met a sudden and harsh death in the wreckage. That is all for now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '33', 'm11t', 'Twi\'lek Adventurer Raids Training Base');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '34', 'm12o', 'A stock of Evasive-13 individual field disruptors, stolen from an Imperial armory, has apparently arrived at a pirate lair on this world. We must not let these criminals use the disruptors to simply walk through our defensive shields. You must assemble your strike team and destroy the base forthwith. Expect heavy opposition!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '35', 'm12c', 'Evidently these pirates transported the field disruptors offworld before your assault. Regrettable, but the task was well executed regardless. Here is your payment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '36', 'm12t', 'Pirates Receive Field Disruptors');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '37', 'm13o', 'The Office of Criminal Investigations has tracked a stolen shipment of Pacnoral Sg-82 sonic rifles to a gangster stronghold on this world. Those sonic rifles can shatter bone at short range -- an ideal weapon for close conflicts with law enforcement. We\'d like you to assemble a strike team and destroy the stronghold. Be wary of sonics!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '38', 'm13c', 'Did you not see any sonic rifles? Or hear them? Well, they may be elsewhere on this world. We shall continue investigating. Meanwhile, here is your fee.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '39', 'm13t', 'Sonic Rifles in Gangster Hands');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '40', 'm14o', 'Smugglers are shipping in an alarming quantity of E-Web heavy repeating blasters, no doubt for the Rebellion. Our informants, who are everywhere, have located the stockpile. We wish you to lead an experienced strike team in an assault on this formidable stronghold. Destroy everything, especially the blasters.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '41', 'm14c', 'Excellent work. We could not afford to salvage those blasters, for who knows how the gangsters may have sabotaged them? Report back for further assignments.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '42', 'm14t', 'E-Web Blasters in Gang Stockpile');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '43', 'm15o', 'It is perhaps a long shot, but we have discerned that a particular outpost is obtaining large quantities of focusing coils. These coils are used primarily in light repeating blasters. We suspect gangsters are assembling their own weapons now. You must investigate and, if there is hostile activity, annihilate the outpost.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '44', 'm15c', 'Anyone stockpiling focusing coils was probably up to no good. They do have legitimate uses, but it pays to be careful. You are doing a fine job in our service.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '45', 'm15t', 'Focusing Coils for Sinister Purpose?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '46', 'm16o', 'I am livid with rage. My personal Merr-Sonn C-22 flame carbine has been stolen. I have deployed every probot and hovercam in the Imperial armory, and have located the offenders, a sophisticated ring of thieves. I could send in a column of AT-AT walkers, but for budgetary reasons I prefer to send you. Destroy the thieves\' stronghold, but not my valuable flame carbine!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '47', 'm16c', 'It has developed that those thieves did not steal my flame carbine after all. My lady friend took it to show at a party. Still, I shall honor the terms of payment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '48', 'm16t', 'Flame Carbine Stolen');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '49', 'm17o', 'The local Golan Arms representative informs us that thieves stole a supply of FC1 flechette cartridges. Pirates favor flechette weapons to avoid puncturing starship hulls. I promised the Golan salesman the Empire would look into it. Just now we are preoccupied with more significant matters, so I commission you to locate and destroy the thieves.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '50', 'm17c', 'Yes? What can I do for you? Oh, the flechette mission. You destroyed the thieves, then? Fine, fine. Here is your fee. Now please excuse me.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '51', 'm17t', 'Flechette Cartridges Stolen');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '52', 'm18o', 'It is time once again to kill many Bothans! They\'ve set up another SpyNet installation to support the Rebellion. We have detected their eavesdropping, triangulated their location, and are ready to smash them. For this purpose we appoint you. Kill everyone and destroy the outpost. Nothing could be more straightforward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '53', 'm18c', 'What? Not a Rebellion outpost? I gravely fear we are victims of a counter-intelligence deception. Drat those Bothans! Well, I shall reward you anyway. So, out of curiosity, who was it that you destroyed?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '54', 'm18t', 'Bothan SpyNet Eavesdroppers?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '55', 'm19o', 'An ingenious pirate slicer apparently has learned to jam the coded S-thread hyperspace signals from Imperial homing beacons. The Security Bureau has apprehended the slicer and is quietly reasoning with him. So far he has only divulged the location of his gang\'s stronghold. Please dispose of the gang while we work on the more interesting question of the jamming technology.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '56', 'm19c', 'How unfortunate. It appears the stronghold held the jamming technology that roused our interest. Ah, well. You may be sure that the Imperial Security Bureau will not think the worse of you for your impetuous behavior. That would be beneath them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '57', 'm19t', 'Beacon Jamming Technology');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '58', 'm20o', 'One of the principal masters of the Empire\'s training programs in the Mid-Rim Territories has apparently bolted his high position and taken refuge on this world with a band of hirelings. Apparently he had offended a superior officer. The hopeless dolt! Your strike team must teach him a lesson. Destroy his fortification and kill all inside.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '59', 'm20c', 'My recent information indicates that the weaponmaster had attempted to assassinate his superior officer with a long-range sniper attack. This is frowned on in the higher circles of Imperial leadership. You did well to dispose of this renegade.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '60', 'm20t', 'Weaponmaster Turns Fugitive');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '61', 'm21o', 'A two-time champion of the Empire\'s marksmanship contests at the Academy on Carida has abandoned his home and fled his Imperial duties. Our spies, who are everywhere, traced him to a remote installation on this world. Ordinarily we would capture and interrogate him. In the circumstances, we believe it more prudent to send your team to simply destroy him. Consider attacking from extreme range.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '62', 'm21c', 'The marksman apparently grew disillusioned with his role in the Empire\'s struggle to bring order to the galaxy. It often happens in these idealistic types. No great loss, really.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '63', 'm21t', 'Traitorous Marksmanship Champion');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '64', 'm22o', 'The Empire\'s senior demolitions engineer at the advance outpost on Bhurnell has blown up the entire outpost and fled! Our ever-watchful spies have traced him to this world, where he is consorting with gangsters. His grave offense requires immediate reprisal, despite the installation\'s heavy defenses. We commission you to destroy the installation and the engineer.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '65', 'm22c', 'That was good work. The demolitions engineer apparently plundered vast quantities of Imperial munitions, intending to sell them here on the black market. Tragic, the loss of all those munitions.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '66', 'm22t', 'Demolitions Expert Joins Gangsters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '67', 'm23o', 'The merchant families who run Kuat\'s Drive Yards are indispensible to Imperial shipbuilding. Kuat\'s emissary to this world has been kidnapped, though fortunately not while under Imperial protection. We have located the gangsters and wish you to destroy their installation. The hostage\'s life is not important, because -- to repeat -- he was not under our protection.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '68', 'm23c', 'The Kuat emissary\'s death is regrettable, of course. But he had insulted the exhaustive nature of our surveillance, and he refused further protection. Not a wise move.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '69', 'm23t', 'Kuat Drive Yards Exec Kidnapped');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '70', 'm24o', 'Our informants, who blanket the galaxy, have discovered the whereabouts of the notorious navigator who attempted to hijack his Star Destroyer and then escaped capture. He has made his way to this world, dwelling with the most contemptible criminal scum. It would almost be fitting to leave him in this squalid extreme -- but no. Find the base and kill everyone there.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '71', 'm24c', 'Excellent. We never learned why the mutinous navigator wanted a Star Destroyer. Then again, who doesn\'t?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '72', 'm24t', 'Imperial Navigator Gone Fugitive');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '73', 'm25o', 'A quartermaster in the local supply depot has disappeared. Reports from his fellows convince us that he has defected to the Hutt organization, where his knowledge of Imperial supply procedures will help them steal our goods. We believe he resides in the criminal stronghold at these coordinates. Go there and reduce the base to slag.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '74', 'm25c', 'It appears the quartermaster did not defect. He was knocked unconscious in an accident and has only now been found. All is well. Never mind.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '75', 'm25t', 'Quartermaster Suspected Missing');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_hard.stf', '76', 'number_of_entries', '25');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '1', 'm1o', 'Our efforts to stamp out the Rebellion has created some additional problems for law enforcement. Refugees are being recruited by local swoop gangs and other criminal organizations. This has led to a rise in violent crimes. We need enterprising agents to help keep peace and order in the Empire. Think you can help us out, citizen?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '2', 'm1c', 'Good work, citizen. One by one, we\'ll get all these wretched hives of scum and villainy. Have a drink on us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '3', 'm1t', 'Keep the Empire Safe');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '4', 'm2o', 'Certain slavers are not content to stick to the Imperial list of approved species. Indeed, these slavers feel they must enslave humans, and that\'s something we can\'t tolerate. Through the help of Imperial Intelligence, we\'ve located the lair of a group of slavers that have been dealing exclusively in humans. We need a small strike team to assault this base and blast it into rubble.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '5', 'm2c', 'Humans shall not be enslaved while the Empire governs the galaxy. Well done, agent.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '6', 'm2t', 'Protect Imperial Citizens');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '7', 'm3o', 'We have pinpointed the coordinates of a ground-based tractor beam used by area pirates. For a percentage the owners use the beam to trap merchant ships so that space pirates can board them. We need a civilian strike team to take out the weapon.  The site is heavily guarded, so be prepared for a fight.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '8', 'm3c', 'Now the merchants who fly through local space have one less worry. Well done. Here is your payment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '9', 'm3t', 'Save the Merchants');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '10', 'm4o', 'Our informants have assured us that quite a number of wanted pirates frequent an obscure little cantina at these coordinates. Enterprising freelancers are encouraged to remove this blight from the planet. A substantial reward is available. These are hardened criminals and will be well-armed. The cantina is billed as a \"private club,\" so don\'t expect a warm welcome.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '11', 'm4c', 'Here is your reward. The star lanes are safer thanks to your good work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '12', 'm4t', 'Blast a Wretched Hive of Scum and Villainy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '13', 'm5o', 'We have the coordinates of a secret depot where pirates buy contraband food supplies without notifying the authorities that they have landed. We need some experienced freelancers to blast the site to smoke and rubble. There are usually one or two armed pirate crews in the area, so destroying this depot entails some danger.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '14', 'm5c', 'Excellent. Those space scum need to understand that their cutthroat ways are not welcome in this system.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '15', 'm5t', 'No Pirate Meals');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '16', 'm6o', 'An enterprising pirate captain recently stole a cargo of Imperial probe droids. With a little reprogramming these droids have become his scouts in the area, monitoring the local spaceports and alerting him when a rich freighter takes off. Our own probots have tracked his droids to a well-fortified terminal off the beaten path. We need you to stage an assault on the terminal and blast it into oblivion.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '17', 'm6c', 'Good work. Without his fleet of probe droids, that pirate will have to track down his quarry the old-fashioned way.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '18', 'm6t', 'Blast the Far-Seeing Pirate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '19', 'm7o', 'Pirates are a plague on interstellar shipping and end up costing the Empire millions of credits each year. We can hit those pirates hard by cutting their access to safe ports and hideouts. It\'s not easy to hide a spaceship, even the smaller fighters employed by some of these rogues. We know of several suspicious outposts big enough to contain landing bays and need you to blast these outposts to pieces.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '20', 'm7c', 'Good work, citizen. Keep at it and we\'ll keep paying you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '21', 'm7t', 'Take Out Pirate Landing Bays');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '22', 'm8o', 'If pirates don\'t have working ships, they can\'t practice their despicable trade. We\'ve learned of several small storage facilities in the area that house a wide assortment of spare ship parts. We\'re certain that these are pirate stashes. We need someone to blast these facilities to atoms. You may encounter some armed resistance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '23', 'm8c', 'Pirate ships floating uselessly in space is an image we like, citizen. Good work in helping us to ground those marauding vessels.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '24', 'm8t', 'Incinerate Pirates\' Spare Parts');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '25', 'm9o', 'Ever wonder where pirates store their ill-gotten goods, citizen? We\'ve discovered a few places and we need them destroyed. Our agents are too busy pursuing Rebels to attend to this matter themselves so we\'ve decided to turn to you. We\'ll compensate you for every storage facility on our list that you blast to atoms.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '26', 'm9c', 'Job well done, citizen. The money is yours.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '27', 'm9t', 'Blast Pirates\' Stash');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '28', 'm10o', 'A group of known pirates has started hanging around an abandoned settlement. That place is beginning to attract all manner of scum. We\'re fairly certain they deal glitterstim spice out of there and no telling what else. We need you to blast that den of thieves into oblivion. Do you think you can help us keep the Empire free of these parasites?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '29', 'm10c', 'That\'s showing them, citizen. Those space slugs will think twice about crossing our path. You\'ve earned your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '30', 'm10t', 'Demolish the Pirates\' Hangout');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '31', 'm11o', 'Those thieving pirates wouldn\'t be able to operate if it weren\'t for their fences. After all, those rogues can\'t just traipse down to the local market with all their stolen goods, now can they? We\'ve tracked down a few of these \"blood money traders\" and want their operations terminated. Many of these fences are former pirates themselves. Can you help?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '32', 'm11c', 'If we make piracy unprofitable, perhaps it will end. You\'re certainly doing your part, citizen. Congratulations.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '33', 'm11t', 'Take Out the Fences');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '34', 'm12o', 'Like all vermin, pirates need holes they can crawl down into when they\'re in danger of being exterminated. We\'ve located some of these safehouses in our area and want these places blasted into oblivion. We\'re offering a decent reward to any agent who can help us get rid of these vermin-infested places. Do you think you have what it takes?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '35', 'm12c', 'As an Exterminator for Justice, citizen, you shine like a supernova. Keep up the excellent work and remember that your children will inherit the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '36', 'm12t', 'Blast Pirates\' Hideout');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '37', 'm13o', 'We\'ve discovered a secret refueling depot that pirates have built to aid in attacks from this system. We\'re in need of a professional problem solver to get rid of this refueling station so those criminals stop visiting our planet. There will be adequate compensation for the being who succeeds.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '38', 'm13c', 'That should discourage those thieving vermin to steer clear of this system. Good work, citizen. Hope you decide to work for us again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '39', 'm13t', 'Take Out Refueling Depot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '40', 'm14o', 'We\'ve been getting reports of suspicious activity around an old starship repair shop. After an investigation, we discovered that the owner of the shop is actually a former smuggler who now serves as a mechanic to well-known pirates. Can you help us put this criminal out of business, citizen?  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '41', 'm14c', 'Good job, citizen. Justice is served today. We hope you decide to work for us again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '42', 'm14t', 'Take Out Pirates\' Repair Shop');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '43', 'm15o', 'Some local glitterstim pusher and a group of thugs has set up shop in a nearby neighborhood and we want them out. We know where they hang out and need someone to go in there and redecorate the place -- preferably with blaster). There\'s a decent reward in it. Can you help the Empire do this? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '44', 'm15c', 'That\'s showing those poison-pushers who\'s boss. Good work, citizen. The Empire could use more upstanding folk like you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '45', 'm15t', 'Blast the Drug Dealers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '46', 'm16o', 'An ingenious slicer gang calling themselves ReFormat has altered our outgoing supply orders to re-route an entire base\'s resupply schedules to their own base. How clever! It\'s so delightfully audacious, I almost hate to order you to destroy their base and kill them all. But of course, duty must be done.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '47', 'm16c', 'All destroyed? Very well. A shame, really, to annihilate a group so obviously clever and resourceful. Ah well, such regrets are part of an Imperial soldier\'s every day.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '48', 'm16t', 'Slicer Gang With Admirable Nerve');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '49', 'm17o', 'Yet another local slicer gang has taken the name ReFormat. This new gang has somehow contrived to give our TIE Fighters falsified flight plans that send them in tight formation directly over the gang\'s stronghold. This seems to be pure mischief, but for safety\'s sake we cannot permit this to continue. Go to the stronghold and wipe them out.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '50', 'm17c', 'Apparently the name ReFormat has become something of a standard among data slicers. No doubt we shall continue to see new gangs with the same name.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '51', 'm17t', 'ReFormatting TIE Flight Plans');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '52', 'm18o', 'Informants have pinpointed a facility where smugglers have stored their illicit goods. These goods often wind up in Rebel hands. To forestall this, we shall allow you to distinguish yourself by destroying this facility and all goods stored therein. You may commence at once.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '53', 'm18c', 'This is a worthy service to your Empire. You may claim your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '54', 'm18t', 'Smuggler\'s Storage Facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '55', 'm19o', 'The Imperial Office of Criminal Investigations has found a hideout of notorious smugglers. To achieve favorable trends in a forthcoming report on crime statistics, the Office will avoid dedicating department resources to eradicating these smugglers. Instead, you may take care of this yourself, and the Office will compensate you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '56', 'm19c', 'Excellent work, and executed on a budget far smaller than the Office would require. Here is your payment. Check back for more assignments.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '57', 'm19t', 'Criminal Investigations Contract');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '58', 'm20o', 'The behavior of the local criminal element resembles that of vermin. Destroy one infestation, and inevitably a new lair spawns in its place. The Imperial Office of Criminal Investigations has located a new warehouse of contraband goods. You must destroy it, as well as all criminals residing there.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '59', 'm20c', 'A thorough job. Now we may hope for a brief respite from further criminal infestations. Here is your payment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '60', 'm20t', 'Smuggler Infestation');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '61', 'm21o', 'The Imperial Office of Criminal Investigations continues to confront major budget shortfalls. To gain a more favorable ratio of goals achieved versus resources expended, we are offering you, an independent contractor, a purchase order to eradicate a newly detected facility storing contraband goods. Destroy all smugglers present as well.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '62', 'm21c', 'You have successfully completed the contract. Contact me for future assignments of this kind.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '63', 'm21t', 'Compensate for Budget Shortfall');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '64', 'm22o', 'Smugglers flit from base to base as quickly as flies. The Imperial Office of Criminal Investigations remains alert, but our procedures make it difficult to move quickly. We have better success commissioning independents such as yourself to eradicate smugglers as they light at a new base. Will you wipe out the latest base for us?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '65', 'm22c', 'The Office is glad you were fast enough to catch those particular flies. You\'ll make a fine law enforcement agent yet.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '66', 'm22t', 'Catch Smuggler Flies on the Wing');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '67', 'm23o', 'Due to an increasing workload and reduced efficiency, the Imperial Office of Criminal Investigations is giving out more independent contracts to destroy smuggling bases and storage facilities. This gives you the chance to blast felons with the full authority of the law. Tell me you cannot resist this opportunity.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '68', 'm23c', 'The Office is pleased at your demonstrated bloodthirst. You may contact us again for further assignments.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '69', 'm23t', 'Reduce Increased Imperial Workload');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '70', 'm24o', 'The Empire could have crushed the Rebellion by now if not for the smugglers who supply it. Imperial Intelligence has located yet another of these nuisances, a base that must be stamped out like all the rest. What do you say? Will you help us strike at the very roots of the Rebellion?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '71', 'm24c', 'Perhaps in describing smugglers as \"the roots of the Rebellion,\" I misspoke. Possibly \"the circulatory system\" might be more appropriate. At any rate, here is your payment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '72', 'm24t', 'Strike the Roots of the Rebellion');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '73', 'm25o', 'Smugglers in this area have been recruiting new members from local disgruntled youth. We have taught the parents of these wayward youths a stern lesson, but the smugglers themselves remain untouched. We require you to go to their base and wipe it out. If there are youths there, well, they will become a negative example to others.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '74', 'm25c', 'Fine work. It is perhaps sad that young people perished in your assault, but really, being already inclined to criminality, what better fate would they have found?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '75', 'm25t', 'Forestall Corruption of Local Youth');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '76', 'm26o', 'The Empire\'s welfare obviously depends on the welfare of its soldiers. I have had an altercation with certain criminals, and they have threatened my life. Obviously this threat must be met with deadly force, but I would prefer to avoid worrying my superiors. Therefore I commission you to destroy these criminals. Tell no one of this assignment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '77', 'm26c', 'An excellent job. Here is your pay. I advise you to let this matter rest quietly, rather than stir up controversy that could only prove harmful to all involved.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '78', 'm26t', 'Altercation With Criminal Element');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '79', 'm27o', 'My commander\'s lady friend had an unwise encounter with a local smuggler. The commander is dealing appropriately with the lady, but he also wishes someone to prevent further unwise encounters by destroying the smuggler and everyone in his stronghold. Leave no one alive there, especially any charming young men you may find.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '80', 'm27c', 'Very well. This payment is given on the condition that you treat this matter with absolute confidentiality. My commander would be displeased to hear his personal life noised about.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '81', 'm27t', 'A Commander\'s Wayward Lady');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '82', 'm28o', 'As the current morals crisis continues -- what do you mean, \"what crisis?\" I mean the Rebellion, of course. As it continues, legitimate pilots are seduced away from honest work to become smugglers for the traitorous Rebels. Wiping them all out requires independent help. Are you willing to destroy the latest lair of corrupted pilots?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '83', 'm28c', 'That was acceptably effective. You can expect more employment opportunities from us. Tell that to any unemployed pilots you know, too.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '84', 'm28t', 'Pilots Seduced Into Smuggling');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '85', 'm29o', 'It defies comprehension that ordinary citizens continue to drift into smuggling. No sooner do they build their strongholds than we destroy them! Despite their high fatality rate, the Empire\'s workload continues to grow. For efficiency\'s sake, we wish you to destroy the newly discovered base at these coordinates. You will be well paid, don\'t worry.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '86', 'm29c', 'We are pleased that you employed your weapon skill so efficiently. You well deserve this reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '87', 'm29t', 'Increase Smuggler-Destruction Efficiency');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '88', 'm30o', 'The Rebellion is now using smugglers to distribute anti-Imperial propaganda. Do these traitors have no shame, continuing to rely on such blatant criminals? The offense must be stopped. We have located several distribution points on this world, and we now assign you to destroy one. Leave no one alive.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '89', 'm30c', 'The propaganda distribution continues. We shall have more work for you along the same lines shortly.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '90', 'm30t', 'Smugglers Distributing Propaganda');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '91', 'm31o', 'Smugglers hired by the Rebellion are distributing holograms purporting to show the destruction of Alderaan at the hands of the Empire. As you know, that paranoid accusation has long been disproven. Luckily we\'ve tracked down a facility where this libelous material is being distributed. You must destroy it at once.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '92', 'm31c', 'Excellent. However, our work is only beginning. We shall alert you as we discover new facilities distributing these foul lies.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '93', 'm31t', 'Stop the Lies About Alderaan');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '94', 'm32o', 'Local gangsters, no doubt prodded by the Rebellion, are harassing a local recruiter for the Imperial Navy. The Imperial Security Bureau has located the gang\'s headquarters. You are to visit this gang and recruit them into the local cemetery. Destroy the headquarters while you\'re at it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '95', 'm32c', 'A fine job. Our recruiters should be above harassment by ordinary citizens, let alone criminals. Here is your payment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '96', 'm32t', 'Protect Local Imperial Recruiter');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '97', 'm33o', 'A group of local data slicers has defrauded Imperial supply depots across this planet of millions of credits. The slicers work from the sanctuary of a gang headquarters, in return for a cut of the proceeds. These slicers cause much trouble for the Empire. We would appreciate it if you would kindly obliterate them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '98', 'm33c', 'I suspect the slicer community on this world will think again before attempting to defraud the Empire. Your work deserves this reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '99', 'm33t', 'Slicers Taking Shelter With Gangsters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '100', 'm34o', 'A cunning gang of smugglers was planting illicit cargo in the Empire\'s own vessels for secret transport off this world. They had an inside accomplice, who has now divulged all after gentle questioning by the Imperial Security Bureau. We have the coordinates of the gangster base, and we require you to destroy it in exhaustive detail.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '101', 'm34c', 'The destruction was perhaps not so thorough as it might have been -- but I shall overlook the shortfall this time. Here is your payment. Return again for more assignments.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '102', 'm34t', 'Smugglers With Imperial Accomplice');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '103', 'm35o', 'Stop what you\'re doing. I have new orders for you. A band of space pirates recently stole a shipment of hyperdrive motivators from an Imperial transport. We followed the motivators\' tracking beacon to a small installation. I need you to raze the place to the ground. These vermin need to recognize that the Empire deals no mercy to outlaws.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '104', 'm35c', 'I\'m pleased with your efficiency. You are an excellent asset to the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '105', 'm35t', 'Blast a Pirate Base');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '106', 'm36o', 'Imperial Customs has given me the coordinates of a suspected smuggler encampment. We don\'t have time to investigate every petty infraction. I need you to find the place and blast it to atoms. That will free up my men for more important tasks, like political enforcement.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '107', 'm36c', 'It sure sounds like those guys were smugglers. If not, I\'ll blame Imperial Customs. I\'m an enforcement officer, not an intelligence agent.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '108', 'm36t', 'Eliminate a Suspected Smuggler Encampment');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '109', 'm37o', 'In the name of galactic security, I need your assistance! There are reports of a gang of illegal slavers at the coordinates on my datapad. I want you to level their operation. These unlicensed slavers are a blight on seven sectors and I want to put a stop to them here and now!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '110', 'm37c', 'You have a knack for destruction. Excellent. I\'ll have no unauthorized slavers in my sector!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '111', 'm37t', 'Gang of Rogue Slavers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '112', 'm38o', 'Recent raids on Abraxas have driven pirates out of their hiding places. Imperial Intelligence has tracked some of those pirates to this planet. A spike in waste emissions in the wilderness is decidedly suspicious. We need you to check this area out and destroy any illegal operations you find. We can\'t let them slip through our fingers.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '113', 'm38c', 'It pleases me to hear reports of smokingruins and dead pirates. You have earned this generous reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '114', 'm38t', 'Those Dirty Pirates');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '115', 'm39o', 'The sign of the Blazing Claw has been used by pirates since the days of the Old Republic. One of our probots observed a ship that bore this sign on its hull. The ship did not seem headed toward any known starports, and we believe it landed at these coordinates. Check them out. If it\'s pirates, destroy them. We must not let them get comfortable.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '116', 'm39c', 'Would you say that was a difficult mission for you? Because we\'re always on the lookout for civilian talent like yours. Consult the mission terminals in town and look for my name.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '117', 'm39t', 'The Blazing Claw');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '118', 'm40o', 'If you\'ve never heard of the Black Hole pirate gang, then you\'re about to find out more. Recon reports that they\'ve got a small installation in my patrol sector. Go out there and burn it to the ground. Can\'t let these scum get comfortable, you know.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '119', 'm40c', 'The Black Hole pirates are feared in many sectors, but not by me and not by you. I guess they won\'t be back here anytime soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '120', 'm40t', 'Eliminate Notorious Space Pirates');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '121', 'm41o', 'I\'ve got a lead on an underworld operator named Talon Karrde. I\'ve tracked him to a little dive not far from here. I need you to blast the place to atoms. We\'ll nab him as he flees. If I can lay my hands on him, I\'m sure I\'ll come away with leads to some of the big players in the galactic underworld.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '122', 'm41c', 'You did good work, but we couldn\'t lay our hands on Talon Karrde. I\'m following his trail, though. He won\'t escape me for long.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '123', 'm41t', 'Smoke Out an Underworld Operator');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '124', 'm42o', 'There\'s something shady going on. Some of my men have been spending their off-hours at a seedy little joint they call a cantina. I think it\'s more suspect than that. We can\'t have members of the Imperial military consorting with criminals and low-lifes. Do me a favor and burn the place down. That will put a stop to it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '125', 'm42c', 'Excellent. Our investigators will sift through the ashes of the place. I am quite confident they\'ll find evidence of criminal activity.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '126', 'm42t', 'Raze a Seedy Joint');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '127', 'm43o', 'I require your assistance. A group of distinctly unsavory individuals has stolen a schedule memo addressed to me. I dread the thought of missing the next meeting of the Preliminary Exploratory Action Planning Committee. Would you ask them to give my memo back? If they offer you any trouble, of course you may defend yourself, but I don\'t want to cause a scene. I simply want to do my job. Is that asking too much?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '128', 'm43c', 'Oh, dear! You had to burn their place to the ground? What a bother. Now I shall have to submit a Form 12-3E/9 to the Collateral Damage Oversight Committee. And I didn\'t even get my memo back. Well, I do appreciate that you did your best to avoid violence. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '129', 'm43t', 'Get My Memo Back');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '130', 'm44o', 'Imperial Intelligence has reported high smuggler activity in this system. Our probe droids have narrowed the area where smugglers might have set up a base. We need you to check out these coordinates and eliminate any operations you find there. We\'ll not let these dogs make a mockery of Imperial law.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '131', 'm44c', 'Well done, citizen. Smugglers are known to conspire with the Rebellion. We must always keep the pressure on.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '132', 'm44t', 'Smack the Smugglers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '133', 'm45o', 'Black Sun believes itself untouchable, even by Imperial law. Our job is to shatter this belief. We think we know where one of these Black Sun gangs have set up shop. It\'s your job to show them we won\'t abide their kind here. Leave nothing but ashes. Is that clear?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '134', 'm45c', 'Gangsters make a living by extorting and terrorizing innocent civilians. The Empire won\'t abide that kind of behavior without authorization. You have made that point very clear. Well done, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '135', 'm45t', 'Crush the Gangsters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '136', 'm46o', 'Yes, I lost another shipment of TIE solar array support frames. I don\'t deny it. But instead of threatening to tell my superiors, what if you visit the thieves who stole the frames and blow their den to pieces? You\'ll destroy the evidence of my mistake, I\'ll write you a commendation for service to the Empire, and my superiors won\'t be bothered by these petty logistical details. Do we have a deal?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '137', 'm46c', 'Thanks for helping me out. I\'ll file an Imperial commendation for you under some pretext that has nothing to do with lost TIE solar array support frames.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '138', 'm46t', 'Earn an Imperial Commendation');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '139', 'm47o', 'Nothing personal, but I\'ve just about had my fill of aliens. Used to be, a man of my species could enjoy the company of his own without stepping on someone\'s tail or tentacle or furry hoof. Anyway, a band of alien gangsters has set up shop outside of town. I want you to level their operation. The Empire hates criminals and especially alien ones.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '140', 'm47c', 'Not bad. I\'ll call in some TIE bombers to finish off the place. Set an example to the other alien scum in this area.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '141', 'm47t', 'Destroy Some Unsavory Aliens');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '142', 'm48o', 'Have you ever seen a lightsaber? Me, I\'ve only heard about them in the old stories. But a civilian informant reported seeing one of them at a small installation some distance from here. That smacks of Rebel activity. Head over there and dismantle the place for me. I\'m very interested to see if any lightsabers are employed in its defense.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '143', 'm48c', 'Too bad none of these so-called Jedi showed up to defend the place. However, your destruction of the building was quite impressive. I\'ll remember your name the next time I\'m putting together a civilian strike team.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '144', 'm48t', 'Lightsaber Claim');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '145', 'm49o', 'We\'ve been surveying some land believed to be rich in alantium but have detected some strange ion emissions in that area. Could you scout it out and make sure no squatters have moved into the area? If they have, get rid of them and burn down their facility. We don\'t want to waste Imperial troop time on these mundane affairs.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '146', 'm49c', 'Those don\'t sound like miners. Those sound like smugglers. All the better that you got rid of them. Good work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '147', 'm49t', 'Check For Squatters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '148', 'm50o', 'A new slicer gang has taken the traditional name ReFormat. This gang enjoys turning HoloNet broadcasts of the local governor\'s loyalty speeches into gibberish -- which is, it goes without saying, a strong contrast to the unaltered speeches. It is idle mischief, really, but nonetheless we must be stern. Destroy the ReFormat installation, if you will.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '149', 'm50c', 'The governor will be quite relieved to know that the HoloNet speeches will now sound more intelligible -- or at least unaltered. You have done well.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '150', 'm50t', 'ReFormatting Governor\'s Speeches');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_imperial_non_military_medium.stf', '151', 'number_of_entries', '50');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '1', 'm1o', 'How many times do we have to exterminate these pests? Hiring professional hunters is getting expensive. Could you go in and clear out that creature lair for us, citizen?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '2', 'm1c', 'Looks like you might have a career in extermination, friend. Thanks for your efforts.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '3', 'm1t', 'New Career Opportunity');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '4', 'm2o', 'Some former tenants never disposed of their garbage properly. Now vermin have begun nesting in it. You\'d do me a favor if you could blast that place to smithereens.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '5', 'm2c', 'Much obliged. Folks round here will be much safer because of your efforts.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '6', 'm2t', 'Cleanup Crew Wanted');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '7', 'm3o', 'That condemned shelter is nothing but a breeding ground for bloodsucking parasites. I bet a couple of well-placed blaster shots would take care of the problem. Can you help, friend?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '8', 'm3c', 'Well done, citizen. This ought to make the wet season much more pleasant.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '9', 'm3t', 'Breeding Ground');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '10', 'm4o', 'There\'s a den of vermin out there that is gonna kill some youngster some day. Local kids love playing in that area. Be a friend and demolish that lair for us, would you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '11', 'm4c', 'I\'ll be able to sleep peacefully at night now. Thank you kindly.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '12', 'm4t', 'Den of Vermin');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '13', 'm5o', 'Those wretched creatures go crazy at night, keeping this entire neighborhood awake. Could you please find these beasts and shut them up for good?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '14', 'm5c', 'Bless you, citizen. Our community will actually be able to get some sleep now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '15', 'm6t', 'Help People Get to Sleep');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '16', 'm6o', 'The last thing I want to hear when I settle down to bed are the mating calls of blasted vermin! Please silence those love-sick beasts and help me get some peace and quiet.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '17', 'm6c', 'My gratitude knows no bounds, citizen. Well, actually it does, as this payment will prove. But I\'m still quite pleased.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '18', 'm7o', 'My precious little kittle -- she liked to be called Woopywoopums -- was snatched by a horrible predator while slithering playfully in my yard. Please avenge my angel for me.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '19', 'm7c', 'You are most gallant, citizen. What is your name again? I want to name my new kittle in your honor.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '20', 'm7t', 'Avenge Woopywoopums');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '21', 'm8o', 'Some darn predator ate my good luck kima! I think those beasts have a lair near here. If you can find them and blast them to atoms, I\'d certainly reward you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '22', 'm8c', 'Thanks, friend. Here you go. I\'ll sure miss that kima. I bet this breaks my incredible sabacc winning streak. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '23', 'm8t', 'Lost Good Luck Charm');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '24', 'm9o', 'My poor little durni, it wandered away and got lost. The tiny helpless thing can\'t see, you know. A neighbor saw a wild predator pounce on my darling and devour him. Oh horror! Please avenge my poor little Blinky.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '25', 'm9c', 'This sets my mind at ease, citizen. Many thanks. I hope I can mourn Blinky and move on.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '26', 'm9t', 'Mourning Blinky');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '27', 'm10o', 'I\'ve been contracted to do some construction near here. Help me out by cleaning up the nest at these coordinates, and I\'ll cut you in.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '28', 'm10c', 'Nice work. Here\'s your fee. I\'ve never seen the need for a professional exterminator. Those guys get the big money.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '29', 'm10t', 'No Professional Needed');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '30', 'm11o', 'I\'ve trained many apprentices in the worthy profession of pest extermination. I may be willing to initiate you into this ancient pursuit. Go, and show me your ability!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '31', 'm11c', 'Pah! Sloppy work. When you have slaughtered creatures for twenty years, then you may truly say, \"I am an exterminator!\" Until then, take this trivial fee and seek a lesser career.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '32', 'm11t', 'Ancient Profession of Exterminator');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '33', 'm12o', 'Do you, my friend, have the wherewithal to become a professional pest exterminator? Take this modest assignment, and I shall assess your performance with an eye toward apprenticeship.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '34', 'm12c', 'No, no! It is not the exterminator\'s way to be so slack and lackluster. Other so-called exterminators espouse lax and sloppy standards, but not I! Go and seek lighter work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '35', 'm12t', 'The Instructive Mentor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '36', 'm13o', 'Though many seek apprenticeship in the demanding profession of pest extermination, few are equal to the challenge. Are you? Venture into yon lair and kill all its beasts, and I shall rate your performance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '37', 'm13c', 'Umm. You had best seek some less technical career. Only a few can legitimately stand forth and say with just pride, \"I exterminate!\" Tut, tut, it is no shame to fall short of such a forbidding standard.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '38', 'm13t', 'Say With Pride, \"I Exterminate!\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '39', 'm14o', 'I took off my ceremonial Jadagga necklace to bathe. When I went to put it on again, I saw some creature running off with it! It ran to that lair over there. If you can kill the thing and bring back my necklace, I\'ll reward you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '40', 'm14c', 'No necklace? Well, here\'s your reward anyway. I don\'t need the money. It\'s an offworld custom -- without the necklace, I\'m forbidden from holding money. Now I\'ve got to become a monk. Argh!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '41', 'm14t', 'The Lost Necklace');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '42', 'm15o', 'I\'be gaught sub kide of allergy thad ztimpacks can\'d cure. I thig it\'s the fur, or hair, or feathers blowing here frub thad lair dearby. Dell you whad, you kill the creatures there ad I\'ll bay you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '43', 'm15c', 'Thags very buch. Here\'s your paymed. Excuse be, I hab to go fide a bedical droid or subthig.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '44', 'm15t', 'Allergy Trouble');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '45', 'm16o', 'My poor pet voorpak! That foul beast absolutely gulped him up like a cheap hors d\'oeuvre! I beseech you to go to this creature\'s lair and avenge my beloved Zotti!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '46', 'm16c', 'The beast is dead? Good! It deserved no less for destroying Zotti. Take your money, go, leave me to mourn alone!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '47', 'm16t', 'Zotti\'s Revenge');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '48', 'm17o', 'An Imperial senator sent his servants here looking for exotic beasts for a menagerie. They were set to ship them out when the beasts escaped. We\'re trying to mop up the strays right now. Can you check this lair and eliminate whatever you find?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '49', 'm17c', 'My thanks. We\'ll get this Senate menagerie calamity stopped before long, I hope.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '50', 'm17t', 'Escaped Wild Creatures');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '51', 'm18o', 'I just knew it was a bad idea to come to this planet! There\'s some kind of filthy creature lurking on the path to my new home. I don\'t suppose you\'d be able to kill it for me, would you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '52', 'm18c', 'Thank you ever so much! I suppose every planet will seem dangerous after leaving my poor, beautiful Alderaan.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '53', 'm18t', 'A Safe Path Home');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '54', 'm19o', 'I\'m lodging a group of Bith musicians in my villa, but they\'re skittish about some of the local wildlife. I\'d be willing to pay if you could remove some of the more dangerous creatures from the area and put these Bith at ease.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '55', 'm19c', 'Splendid. Now my Bith guests can relax and practice their music. I do enjoy their fizz lilting through my villa on a lazy evening.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '56', 'm19t', 'The Tourists are Restless');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '57', 'm20o', 'I\'m looking to run some power conduits across an area not far from here, but there\'s a couple of pesky animals getting in the way of my spooling droids. Do you suppose you might take that weapon of yours and exterminate these pests?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '58', 'm20c', 'Thanks, buddy. You earned these credits. It\'s getting so you can\'t earn a decent living without a blaster these days.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '59', 'm20t', 'A Spool Droid for the County');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '60', 'm21o', 'My crazy old grandmother claims there\'s some kind of wild beasts on her property. I need you to make sure it\'s all clear, if you\'re willing to earn a few creds.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '61', 'm21c', 'What do you know? My crazy old grandmother really did see something. Thanks for helping her out.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '62', 'm21t', 'Respecting Your Elders');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '63', 'm22o', 'Do you know how rare Chimbak wine is since Alderaan was destroyed? My cloud car lost a motivator outside of town yesterday and I had to dump a crate of vintage Chimbak to stay aloft. Now there\'s wild animals sniffing around. I need someone to get rid of them for me so I can retrieve my precious nectar!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '64', 'm22c', 'You have my heartfelt thanks. These credits should settle my debt to you. I shall drink a glass of Chimbak wine in your honor.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '65', 'm22t', 'Imperilled Vintage of Chimbak Wine ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '66', 'm23o', 'I was working on a drogue lift station not far from here when my Gungan employee dropped an expensive laser wrench. He refuses to go look for it until some of the more inquisitive wild animals are removed from the area. Can you handle that job, so this cowardly Gungan can fetch my tool back?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '67', 'm23c', 'Thanks. Those creatures were definitely beyond the skill of a Gungan to dispose of. Remind me to review my hiring policies soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '68', 'm23t', 'Blame the Gungan');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '69', 'm24o', 'I was testing my new electrobinoculars when I spotted a few toothy-looking beasts roaming around my land. If you want to earn a few credits, why don\'t you haul your weapon out there and take out those nasty creatures?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '70', 'm24c', 'I watched you working through my electrobinoculars. You\'re not bad with that weapon. Here are the credits I promised.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '71', 'm24t', 'Make His Land Safe');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '72', 'm25o', 'I know, it\'s not exactly legal to keep dangerous pets. But I did and now I\'m paying the price. Some of my cages turned out defective, and now my old pets are on the loose. They\'re implanted with tracking circuits. Can you eliminate this problem? I\'ve got a few credits to defray the cost.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '73', 'm25c', 'Much obliged, stranger. If the authorities had picked up my escaped pets, I would have been hit with a fine much larger than this very reasonable fee.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '74', 'm25t', 'Kill Escaped Beasts');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_creature.stf', '75', 'number_of_entries', '25');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '1', 'm1o', 'There\'s an abandoned settlement near here that\'s being used by a local gang to store glitterstim spice. I need someone to wipe that poison factory out and save our children from that addictive substance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '2', 'm1c', 'You\'ll be a hero to these kids, take my word for it. This system needs more folks like you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '3', 'm1t', 'Glitterstim Gang Storage');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '4', 'm2o', 'Thefts are on the rise in this neighborhood. I think I know where these thieves are hiding and storing their stolen goods. Could you drive them out of this area?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '5', 'm2c', 'Much obliged. Folks round here will be able to sleep easier because of your efforts.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '6', 'm2t', 'Neighborhood Watch');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '7', 'm3o', 'That condemned shelter has been taken over by a group of thugs. I bet a couple of well-placed blaster shots would encourage them to go away. Can you help, friend?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '8', 'm3c', 'Well done, citizen. If we don\'t keep our communities free of these criminals, who will? This is for your trouble.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '9', 'm3t', 'Thugs Need a Lesson');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '10', 'm4o', 'A dilapidated settlement near here is a death trap. Not only does it attract all sorts of criminals who use it as a hangout, but it\'s likely to collapse some day and injure bystanders. Be a friend and demolish that structure for us, would you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '11', 'm4c', 'I\'ll be able to sleep peacefully at nights now, citizen. Thank you kindly.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '12', 'm4t', 'An Unsafe Criminal Lair');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '13', 'm5o', 'There\'s only one language criminals understand clearly - the searing sounds of blaster fire! A group of violent thugs have muscled into our neighborhood and need to be driven off. If you can help us do that, I\'ll reward you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '14', 'm5c', 'Bless you, citizen. You\'re a true hero. Here\'s your promised pay.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '15', 'm5t', 'Blaster Fire -- the Universal Language');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '16', 'm6o', 'Unrest in the Empire is never a good thing. All it does is encourage smugglers to ply their criminal trade. An old warehouse near here is being used to store illicit goods. Could you rid us of that place?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '17', 'm6c', 'Many thanks, citizen. It\'s a shame that decent folk sometimes need to resort to such violent remedies to solve the crime problem. This is for your trouble.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '18', 'm6t', 'Contraband Storage Space');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '19', 'm7o', 'Local young women have been harassed by thugs that have been plaguing our neighborhood. I fear these threats may escalate into physical violence soon. Can you help us prevent such a calamity by driving these rogues away?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '20', 'm7c', 'You\'re brave and noble, citizen. Claim your just reward. The local ladies will think quite highly of you now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '21', 'm7t', 'Thugs Need Etiquette Lesson');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '22', 'm8o', 'Swoopers are trying to entice our youngsters to join their gang. We need to show our children that this criminal life is not glamorous but rather dangerous and violent. Could you run these swoopers out of town and make this point for us?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '23', 'm8c', 'A thousand thanks, citizen. Our kids need more positive role models like yourself. This is for your time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '24', 'm8t', 'Drive Out Swoopers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '25', 'm9o', 'Ever heard of lesai, citizen? It\'s a highly addictive drug and it\'s being stored in an abandoned settlement near here. Please help us make sure this drug will not make its way to our streets.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '26', 'm9c', 'Now those are results we\'re happy with, citizen. Good work. Here\'s a small reward for you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '27', 'm9t', 'Say No to Drugs');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '28', 'm10o', 'The last batch of Gizer ale we got around here made us sick! The smuggler who brought it in needs a good lesson. I\'ll pay you to teach that lesson, hard.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '29', 'm10c', 'It\'s something you don\'t treat lightly, that Gizer ale, you know? I\'m glad you showed that smuggler. Blasted scoundrel. I need a drink.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '30', 'm10t', 'Quality Assurance');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '31', 'm11o', 'I paid that smuggler a fortune for genuine Barnaba mist-pudding, like those aristocrats eat. What did I get? K-18 starship rations! I\'ll throw good money after bad, by paying you to make that smuggler find a new career.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '32', 'm11c', 'Guess that smuggler doesn\'t have to worry about a new career ever again. Thanks, friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '33', 'm11t', 'Retire a K-18 Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '34', 'm12o', 'I was headed for the top of the fizz charts with my surefire hit, \"Hurlothrumbic Baby Blues.\" But some lousy pirates stole my recordings and all my equipment! I found out where the crooks went, and I\'ll pay you to teach them a hard lesson.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '35', 'm12c', 'You didn\'t get my recordings back? Gaah! I have to start over. Let\'s see, how did that line go? \"\'Til you used that hurlothrumbic, wasn\'t nothing that I feared....\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '36', 'm12t', 'A Musician\'s Revenge');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '37', 'm13o', 'Some thief stole my mummified Givin skeleton! The hidden tracking device puts them at these coordinates. Can you go there and stop the thief? I\'ll pay you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '38', 'm13c', 'Didn\'t find the skeleton? Too bad. That Givin was gonzo. They can survive in total vacuum, you know -- bones on the outside of the body. Oh well, thanks for your effort.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '39', 'm13t', 'Catch a Thief -- and Kill Him');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '40', 'm14o', 'My one-of-a-kind Old Republic gladiator droid is gone! But the thieves didn\'t know about its hidden tracking device. I\'m hiring you to find it and destroy those thieves!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '41', 'm14c', 'No droid? Didn\'t think so. After I sent you off, the tracker showed the droid moving away from the thieves. I expect that it escaped and is now on the loose. Great. Thanks anyway.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '42', 'm14t', 'Gladiator Droid On the Lam');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '43', 'm15o', 'I can\'t believe it! I just got mugged by some crooks accompanied by -- get this -- an Old Republic gladiator droid. I think. They went that way! Can you stop them?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '44', 'm15c', 'Good thing those thieves didn\'t get all my credits. Here, thanks for your time. What, no gladiator droid? Hmm, it sure looked like one. Where could it have gone?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '45', 'm15t', 'Someone Has to Pay');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '46', 'm16o', 'I went out to maintain my old GNK power droid, and my neighbors told me some thieves heisted it. Who would steal a power droid? Can you find the thieves and get it back?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '47', 'm16c', 'My gonk droid plodded home on its own. I feel baffled by this whole incident. Maybe the thieves thought I hid something valuable inside the droid...?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '48', 'm16t', 'Track Down Gonk Thieves');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '49', 'm17o', 'Strangest thing. Some crooks barged into my home and said, \"There is no treasure of D-ar Komar, so stop saying there is!\" They broke some stuff and left. I\'ve never heard of D-ar Komar. Can you find these creeps and commit some justice or something?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '50', 'm17c', 'That was the strangest bunch of crooks. They must have mistaken me for someone else. \"D-ar Komar.\" Ever hear of it? What could that be?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '51', 'm17t', 'D-ar Komar Justice');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '52', 'm18o', 'They killed my sweet vir virs! Those pelt smugglers have gone too far this time. Someone has to make them pay! Can you help me avenge my pets?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '53', 'm18c', 'Thank you so much! It\'s about time someone taught those pelt smugglers a lesson.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '54', 'm18t', 'Pelt Poachers Need a Lesson');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '55', 'm19o', 'With all the hidden spots on the planet to operate a smuggling ring, those filthy wampas had to set up shop in my neighborhood. Well, I won\'t stand for it! I\'ve got some credits for you if their den is demolished by this time tomorrow.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '56', 'm19c', 'You\'re all right, kid. Glad to have you in the neighborhood.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '57', 'm19t', 'Clean Up Our Neighborhood');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '58', 'm20o', 'Are you an angel? Have you come to help us? I think you have. The gangsters in that fizz bar have terrorized us for months. They\'re the ones you must defeat. Go now, quickly!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '59', 'm20c', 'Thank you for defeating those gangsters. At last we have our revenge. Yippee!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '60', 'm20t', 'Gangsters Must Be Defeated');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '61', 'm21o', 'Say, can we talk for a second? I got a little job for ya. There\'s this sleazy dive not far from here that could use some redecorating, you know what I mean? You blast the place apart and I\'ll see that you get a nice Boonta Eve present. We got a deal?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '62', 'm21c', 'You\'re pretty handy in a scrap. Here\'s an early gift for Boonta Eve. Keep in touch, eh?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '63', 'm21t', 'Redecorate a Dive');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '64', 'm22o', 'You look like a respectable person, unlike others I know. I just had an awful experience. A filthy Duro made indecent advances toward me, and the entire cantina cheered at my humiliation! Someone ought to take a laser to that sleaze hole and teach them manners. Hey, you look brave enough. Will you bust up the cantina for me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '65', 'm22c', 'You did it! That was amazing. Here\'s a few credits to show my gratitude.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '66', 'm22t', 'Teach a Cantina Compassion');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '67', 'm23o', 'My friend and I have a bet. When I saw you earlier, I said you look like you\'d be handy enough with a blaster to face down a couple of low-class toughs. My friend bet you couldn\'t. How\'d you like to settle our wager? I\'ll cut you in on my winnings.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '68', 'm23c', 'I told my friend you could do it. You\'ve got a future in killing and mayhem. Here\'s your cut of my winnings.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '69', 'm23t', 'Settle a Wager');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '70', 'm24o', 'Sorry if I seem a bit touchy right now. I haven\'t gotten much sleep. There\'s a glitz band in my neighborhood that practices at all hours of the night. A respectable citizen does not stand for such discourtesy! If you can be discreet, I\'d like to hire you to pulverize their half-baked studio. A sleepy community will be grateful for the service.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '71', 'm24c', 'Such should be the fate of all bad musicians. Remember, don\'t tell anyone who hired you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '72', 'm24t', 'Bad Musicians Must Be Punished');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '73', 'm25o', 'Hey, you look like a gun-for-hire, just like me. Do you want in on my latest contract? I\'ve been hired to bust up a spice den near here. You approach from this side, I\'ll sneak up from the other side, and we\'ll catch them in a crossfire. We can split the earnings down the middle. Interested?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '74', 'm25c', 'Whoa, that was great work. Myself, I got turned around and couldn\'t find the place. Anyway, here\'s your half of the ... wait, wait, put that weapon away. Fine, you can have all of money, Your Worshipfulness. You should fix that short temper of yours.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '75', 'm25t', 'The Team Supreme');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_easy_npc.stf', '76', 'number_of_entries', '25');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '1', 'm1o', 'Some creatures are simply abominations -- nightmares given life by a cruel and sinister universe. If only these beasts would remain in shadow, we would have no problems. But they do not. Will you help me force some of these monsters back into the shadow?  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '2', 'm1c', 'A thousand thanks, my friend. You are brave and strong -- a beacon of light in an otherwise murky universe. Take this reward, you\'ve earned it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '3', 'm1t', 'Abominations ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '4', 'm2o', 'I\'ve warned the Imperial Environmental Preservation & Refocusing Authority that their activities would throw delicate ecosystems out of balance. Their efforts have deprived dangerous predators of their natural food source, and now the locals must get help to eliminate the predators. Will you help? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '5', 'm2c', 'I don\'t know what our community would have done without you. You\'re a stalwart hunter, make no mistake. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '6', 'm2t', 'Balance of Nature');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '7', 'm3o', 'Feel like a challenge, citizen? Several hunters have already tried to wipe out a particularly dangerous creature lair near here. The lucky ones gave up. If you can accomplish this feat, I\'ll make sure you\'re properly compensated.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '8', 'm3c', 'I am most certainly impressed. How\'d you pull that off? Resourceful type, aren\'t you? As promised, here\'s your generous reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '9', 'm3t', 'Amateurs Need Not Apply');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '10', 'm4o', 'If you\'d like to tackle a mission that would make even the toughest Trandoshan go greener with envy, try taking out the monsters that have been plaguing nearby communities. These beasts are killers! If you pull this off, you\'ll rake in the credits.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '11', 'm4c', 'Good work, mighty hunter! I bet those creatures didn\'t have any idea who they were messing with. To the victor go the spoils. Enjoy!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '12', 'm4t', 'A Plague of Monsters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '13', 'm5o', 'Having tourists eaten by savage predators is sooo bad for business. The local tourism association has raised a generous reward, payable to the hunter that can rid us of these vicious beasts. Is that hunter you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '14', 'm5c', 'You\'re not secretly a Jedi, by any chance? Only a being of exceptional strength and skill could have done what you did. Congratulations. You\'ve earned this reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '15', 'm5t', 'Promote Tourism');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '16', 'm6o', 'Bleeding heart conservationists prevented the legitimate hunting of several dangerous predatory species. Now there are too many of them, and they\'re encroaching on our settlements. We sure could use your help in controlling their numbers.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '17', 'm6c', 'Well done, friend! You\'re a champion of the people. This should be proof of our gratitude. Ever consider doing this for a living? Or do you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '18', 'm6t', 'Predator Population Control');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '19', 'm7o', 'I run a trophy business and am always in need of exotic and dangerous beast heads to mount. I hear tell of a lair of savage brutes not far from here. I\'ll pay you if you can kill a few for me.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '20', 'm7c', 'I hope you didn\'t blast them in the head or neck. It\'s a pain to patch up these stinking carcasses, you know. Anyway, here\'s the pay I promised.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '21', 'm7t', 'Exotic Trophies ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '22', 'm8o', 'Despite all my efforts to stop them, the savage monsters that murdered my family months ago continue to plague this area. Help me stop them, citizen. You\'re my only hope.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '23', 'm8c', 'Someone finally did it! Those beasts are finally destroyed and our community is safe. You\'ve earned this reward, friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '24', 'm8t', 'Avenge a Family');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '25', 'm9o', 'I offer you this task only because you clearly have impressive skills. A long while ago, certain creatures damaged me severely, in personal ways I will not describe. Since then I have hired select teams of adventurers to eradicate that species from this area. I have located a large lair, and I will pay well for your good effort.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '26', 'm9c', 'I thank you. The task is daunting, and by some lights never-ending. But my resolve remains firm.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '27', 'm9t', 'Xenocide in Action');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '28', 'm10o', 'All right, you\'ll do. The HoloNet program \"Against Wild Worlds!\" is looking for heroic hunters. Hovercams will be waiting above a creature lair our scouts have located. Your job is to go there and kill everything, preferably with dramatic flair. You can meet our schedule if you assemble your team and leave now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '29', 'm10c', 'Right, all the recordings came through fine. This fee buys all rights. Look for the show sometime next season. Thanks, love ya.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '30', 'm10t', 'HoloNet Star');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '31', 'm11o', 'The Periodic Overland Migration is on again. Predators are already gathering to follow the herd. The community council wants to hire you to eliminate a pack of them before they menace this area. Can your team take care of this?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '32', 'm11c', 'Excellent. The Migration will continue for some time, so I expect folks around here will have more assignments for your team.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '33', 'm11t', 'Protect the Herd');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '34', 'm12o', 'I hate this Periodic Overland Migration! Never mind all these dumb animals lumbering across the region -- it\'s the predators following them I hate. They\'re going to destroy property values unless homeowners take firm action. We want to hire your team to stop a pack of these things. Can you do it? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '35', 'm12c', 'This Periodic Overland Nuisance will keep raising problems and lowering property values for a while. There may be more jobs once we replenish our finances.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '36', 'm12t', 'Predator Elimination');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '37', 'm13o', 'The chirgotta intestinal parasite, which causes illness in species across the galaxy, lives one part of its life-cycle in the skin membranes of large indigenous predators. We can stop the spread of chirgotta through control of predators. If your team can eliminate the chirgotta-infested predators at this location, we\'ll reward you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '38', 'm13c', 'This fee comes from a local grant provided by the Galactic Chirgotta Awareness Council. Thank you for your help in making the galaxy chirgotta-free!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '39', 'm13t', 'Intestinal Parasite Awareness');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '40', 'm14o', 'Natives have a bizarre adulthood rite. They confront large packs of local predators in their lair, try to touch each one, and escape alive. This barbaric custom causes many native deaths each year. I\'d like to protect these natives by eradicating the predators. I wish to hire your team.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '41', 'm14c', 'Though some would disapprove of my strategy to protect the natives, my motives are pure. Once the predators are gone, the foolish custom will go too.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '42', 'm14t', 'Protect the Foolish');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '43', 'm15o', 'Smugglers are using a new tactic: land in the wilderness, force-feed their goods to wild animals, and stampede the beasts into a town. Locals kill the animals, and the smugglers\' accomplices are there to extract the goods. We have word of an imminent stampede, and we\'d like your team to destroy the predators well outside town.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '44', 'm15c', 'Thank you. This is an unusually barbaric smuggling tactic, and I hope the smugglers will soon abandon it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '45', 'm15t', 'New Way to Smuggle');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '46', 'm16o', 'I\'m relaying a desperate cry for help. My friend made an extended hike across the wilderness. He just called to tell me a pack of predators was closing in on him, and that he wanted to say goodbye! It was heartbreaking. I beg you: Can you go to his location and see if he lives? Or at least kill whatever killed him?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '47', 'm16c', 'No sign of my friend? Oh no, how horrible! That\'s -- well, you did your best. Please accept this. Now I must inform his family.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '48', 'm16t', 'A Cry for Help');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '49', 'm17o', 'A colleague and I took refuge on this world after a skirmish with certain government officials. We went our separate ways, and now I\'ve lost contact with him. I have his last known coordinates. I\'ll pay you to go there and -- not \"rescue\" him, exactly -- but destroy his trail, and the surrounding area, and anything else you see.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '50', 'm17c', 'Sounds like those creatures destroyed the evidence, and you destroyed the creatures. Good job. Takes care of that last loose end.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '51', 'm17t', 'Loose Ends');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '52', 'm18o', 'Whatever is terrorizing my homestead, it\'s big enough and mean enough to kill three hired guards and dismantle a platoon of security droids. I need someone with your particular expertise to track it down and wipe it out. Take whatever associates you need for the job. I\'ll defray the costs, just get the job done.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '53', 'm18c', 'I can\'t believe you actually managed to wipe that thing out. Amazing. Take this payment with my heartiest thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '54', 'm18t', 'Terror of the Homestead');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '55', 'm19o', 'Lo, have I been searching for the Galactic Questing Beast for many ages, as reckoned in this system! At last I have tracked the fell monster to this very planet. I must engage your services to dispatch this legendary creature. I shall remain in yonder cantina, drinking a quaff of jawa juice and boldly awaiting your return.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '56', 'm19c', 'Your deed is most valiant. Alas, I have determined that yon fell beast was not actually the Galactic Questing Beast, but nevertheless I shall pay for your most excellent service. Huzzah!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '57', 'm19t', 'Destroy a Legend');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '58', 'm20o', 'It took nearly all my resources, but I finally located the murderous creature that took my parents from me! I\'m willing to pay you all I have left if you\'ll take whatever armaments you need and kill that hellish beast once and for all!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '59', 'm20c', 'You have done more than just kill a wild animal. You have avenged two good people. Here is all I have left. I would give you more, if only I had more. At last I shall rest easy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '60', 'm20t', 'Avenge My Parents');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '61', 'm21o', 'The planetary ecosystem is in a shambles after some disruptive animals were set loose. The authorities will pay a considerable bounty to anyone who can blast these dangerous creatures into component muscle fibers. And I\'ll get a finder\'s fee myself. You look like you\'re up to this job.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '62', 'm21c', 'Incredible! You took care of the problem far quicker than anyone expected. You earned this bounty with style. And thanks for bagging me the finder\'s fee, too.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '63', 'm21t', 'Creature Bounty');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '64', 'm22o', 'Business is bad, and it\'s the Empire\'s fault. Their \"xenobiologists\" dumped a load of dangerous monsters on the land near my shipping terminal. I\'m dropping hoversleds and load lifters faster than grumph scales in molting season. I\'ll pay you handsomely if you can obliterate these creatures so I can get back on schedule.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '65', 'm22c', 'At last my business can get back on schedule. Nice work, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '66', 'm22t', 'Bad for Business');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '67', 'm23o', 'I run a brisk export business, and lately animal hides are moving well. I\'ve spotted a few prize animals that I\'d love to harvest, but they\'re not exactly going to roll over and let me skin them. Only the toughest hunters stand a chance of bringing them down, but you look like a veteran. Care to take the job?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '68', 'm23c', 'Very nice. Unfortunately, my taxidermy droids have broken down, so you can take what you want from the creatures. I\'ll let you know if any more opportunities like this one arise.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '69', 'm23t', 'Animal Trophies');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '70', 'm24o', 'You\'ve got to help me! Awful creatures have migrated into the area around my settlement. If someone doesn\'t handle them soon, we could be overrun! We\'re a peaceful settlement. We have no weapons. Please, can you do something to save us? We can pay you, though we don\'t have much to spare.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '71', 'm24c', 'How wonderful! You have given hope to those who have none! We emptied our village medical funds to pay you, but you have more than earned it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '72', 'm24t', 'Protect the Weak');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '73', 'm25o', 'My studies show that the planet\'s natural radiation shielding has been damaged by the gaseous emissions of certain large carnivores in the wild. In the interest of the planetary environment, I shall pay you a large sum of credits to remove some of these unwholesome creatures from the ecosystem. Interested?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '74', 'm25c', 'Most satisfactory. I could never have accomplished that myself. Perhaps I\'ll be in touch with you again soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '75', 'm25t', 'Reduce Dangerous Emissions');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_creature.stf', '76', 'number_of_entries', '25');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '1', 'm1o', 'I\'ve heard of you. You help people take care of problems, don\'t you? Care to tackle a gang of some of the meanest scum in the galaxy? I know what you\'re worth, and I\'ll definitely reward you at that rate. Deal?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '2', 'm1c', 'I must confess, I never thought you\'d pull it off. You are one tough being. Take your pay, you\'ve more than earned it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '3', 'm1t', 'Tackle Mean Scum');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '4', 'm2o', 'You haven\'t seen swooper violence until you\'ve seen this gang\'s handiwork. They keep the surrounding neighborhoods terrified and under their cruel control. Can you help free these innocents?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '5', 'm2c', 'I have a feeling your name will be remembered in galactic history, friend. I hope you always choose to use your formidable powers for good. Please take this reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '6', 'm2t', 'Swooper Violence');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '7', 'm3o', 'You really want to make a name for yourself, citizen? Try taking out one of the largest spice refining operations in this sector. It\'s guarded by some of the galaxy\'s most vicious killers. Think you can take them on?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '8', 'm3c', 'I can\'t believe you survived that. You a Jedi or something? Here\'s the reward on those vile gangsters.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '9', 'm3t', 'Vicious Spice Refiners');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '10', 'm4o', 'Would you believe me if I told you that a vile gang of murderers has decided to form a cult devoted to the worship of the ancient Sith? They\'re right here on this world and intend to carry out human sacrifices. Could you please help us destroy this cult? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '11', 'm4c', 'You\'re a true hero of the people, friend. Please accept this generous reward from a very appreciative community.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '12', 'm4t', 'A Sith Cult');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '13', 'm5o', 'There\'s a gang that has decided to adopt the Tusken Raider\'s Bloodrite practice as a form of initiation for new members. Recruits must capture and torture a sentient being to death over a period of weeks. Please help us put a stop to this.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '14', 'm5c', 'Those loathsome criminals were trained killers and must have put up an incredible fight. Please accept this token of our esteem. You have saved our community.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '15', 'm5t', 'Tusken Bloodrites');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '16', 'm6o', 'Rumor has it that a Dathomir Nightsister has claimed leadership of a gang of cutthroats and is training them in the use of the dark side of the Force. Can you help us stop this gang before it becomes an unstoppable force?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '17', 'm6c', 'Excellent job, citizen. Your skills will forge a place in history for you, no doubt about it. Please accept this reward for your services.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '18', 'm6t', 'Dark Side Gang');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '19', 'm7o', 'Slavers have set up a base of operations on this planet and conduct their vile business from this stronghold. They\'ve already captured several local non-humans and sold them off to various buyers across the galaxy. Can you help us stop these rogues? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '20', 'm7c', 'We are forever in your debt, citizen. A hero such as yourself is desperately needed in these dark times. Take this reward');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '21', 'm7t', 'Vile Slavers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '22', 'm8o', 'Does the Black Sun organization scare you, citizen? Do you shrink from the idea of entering a den of assassins and blasting it to bits? If you think you can tackle a major crime syndicate and live to boast about it, then help us get rid of this vicious gang of criminals.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '23', 'm8c', 'I thought you seemed like a being with no fear. Your exploits will become the stuff of legends, citizen. Your prowess will be amply rewarded. Here is an example.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '24', 'm8t', 'A Major Crime Syndicate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '25', 'm9o', 'Interesting gossip from the planetary security forces. A well-funded criminal group has stolen plans for the Empire\'s w-165 planetary turbolaser and intends to sell them to the highest bidder. We suspect inside assistance within our agency, so we\'re covertly hiring an outside team to take out the criminal base. Is your team up to it?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '26', 'm9c', 'Did you locate the plans? Very well, we\'ll hope they\'ve been destroyed. If not, we\'ll certainly hear about it, more\'s the pity. You did well, thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '27', 'm9t', 'Recover the Stolen Plans');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '28', 'm10o', 'I can\'t tell you how I know this, but criminals keep infiltrating planetary security forces. They\'ve been funneling new starship sensor arrays onto the local black market. If the law mounts an assault operation, the insiders will tip off the smugglers. If your team can destroy the criminal base, you\'ll be well rewarded.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '29', 'm10c', 'That was a brilliant operation, and you displayed great courage. Powerful people have taken notice. Here\'s your reward; don\'t mention that you got it from me.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '30', 'm10t', 'Corrupt Planetary Security Force');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '31', 'm11o', 'Heard the gossip? Criminals have sabotaged planetary security\'s entire line of portable scanners. The alteration makes their own activities invisible. Until it\'s fixed, planetary security is commissioning local strike teams to take out trouble spots. Want an assignment?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '32', 'm11c', 'Good job. No telling how long it will take to sovle this portable scanner sabotage, so more work should be coming up.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '33', 'm11t', 'Invisible Criminals');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '34', 'm12o', 'A smuggling group is selling modified Hanx-Wargel SuperFlow IV computers for subspace transceivers. Problem is, they\'re bugged with homing beacons, which send sweet come-hither calls to pirates. Planetary security forces are compromised, so they need an independent strike team to stop this pirate-smuggler scheme.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '35', 'm12c', 'Your reputation is growing among powerful officials. Planetary security has authorized me to pay you for your excellent work. Don\'t ask why, please.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '36', 'm12t', 'Pirate-Smuggler Scheme');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '37', 'm13o', 'Planetary security has learned of a dangerous compromise of local HoloNet satellite transceiver encryption. Pirates could decrypt spaceport traffic to locate prime victims. The security agency itself is rife with infiltrators, so an independent strike team needs to take out this pirate operation. There\'s a nice reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '38', 'm13c', 'The HoloNet is safe again, because of your efforts. Please accept this reward, and be confident that your reputation is growing.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '39', 'm13t', 'Decrypting Pirates');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '40', 'm14o', 'Thugs duped me into receiving a shipment. I only belatedly learned its nature: Thalassian security collars -- slaving collars! I had no idea slavery was still practiced in these enlightened times. I take personal responsibility for involvement with these scoundrels. In restitution, I\'ll pay you to destroy that slaver base.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '41', 'm14c', 'My conscience is now somewhat ameliorated. Thank you for your assistance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '42', 'm14t', 'Thalassian Slavers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '43', 'm15o', 'Ever been tortured by an Arakyd Agonizer-6 nerve disruptor? No, I can see you haven\'t. You still walk well and don\'t tremble. I won\'t go into my personal history with these devices. But when I learned that gangsters outside town are manufacturing these evil things, I resolved to hire a strike team to take them out.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '44', 'm15c', 'Did you destroy the nerve disruptors? Very well, here\'s your money. I suspect those \"gangsters\" were actually selling to the Empire, but that\'s a problem for another day.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '45', 'm15t', 'Torture Devices');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '46', 'm16o', 'My employer arranged with a certain supplier to obtain a shipment of propellant cylinders, but has not received satisfaction. What kind of propellant? No, I don\'t think you need to know that. You need to know that my employer will pay you well if you visit the supplier\'s base and terminate it. That\'s all you need to know.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '47', 'm16c', 'You have performed as my employer wished. Suppliers must learn that it\'s not wise to promise proton torpedo propellant and then avoid delivery. That\'s all for now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '48', 'm16t', 'Failed Delivery');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '49', 'm17o', 'A certain criminal organization has allegedly obtained schematics for Imperial Star Destroyer tractor beams. Personally, I doubt this. But as a precaution, I\'m willing to pay your strike team to destroy the base that may possibly contain these alleged plans. What? I\'d prefer not to explain why this is a precaution. Will you take the job?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '50', 'm17c', 'Your success makes me believe the tractor-beam rumor to be false. An organization with the resources to steal from the Empire would certainly have put up a bigger fight against you. Here\'s your payment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '51', 'm17t', 'Stolen Schematics');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '52', 'm18o', 'Can we talk? My entire smuggling fleet got wiped out by Captain Tannhauser and his pirate armada. I\'m the last survivor, so revenge is up to me. I need to hire someone to hit Tannhauser\'s landing bay, hard and fast. You look experienced enough to do the job. Better call the toughest friends you\'ve got, though. Tannhauser is anything but a pushover.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '53', 'm18c', 'Revenge is sweet. You more than earned this money. I only hope my fallen comrades were watching from beyond.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '54', 'm18t', 'Tannhauser Base');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '55', 'm19o', 'You\'re looking at the scar on my face, aren\'t you? It\'s my badge of shame. My starship was captured by a pirate frigate. Fighting back got me nothing but disfigured. I\'d give anything if someone could smash those Sithspawn and flatten their den. I\'m not strong enough to do it myself. I know that now, to my shame.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '56', 'm19c', 'I can\'t believe you helped me with no promise of reward! But a reward you shall have for your heroic action. Take it with my utmost humility. At last I can rebuild my dignity again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '57', 'm19t', 'Smash the Pirates');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '58', 'm20o', 'My friend and I have a bet. When I saw you earlier, I said you look like you\'d be handy enough with a blaster to face down a couple of low-class toughs. My friend bet you couldn\'t. How\'d you like to settle our wager? I\'ll cut you in on my winnings.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '59', 'm20c', 'Unbelievable! You really pulled it off, even after we told you it was just a couple of low-class toughs. Remind me not to get on your bad side! I won big money on you, so I figure you\'ve earned a big share. Enjoy it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '60', 'm20t', 'Settle a Bet');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '61', 'm21o', 'I don\'t mean to rant, but someone\'s got to stop these big-league gangsters! They\'ve bribed the courts to let them get away with murder. I\'ll pay a team of hardened fighters to return some murder in kind. Their lair is fortified like a citadel, but I know a well-coordinated strike team could take them down. Say, you look like you\'d be up to the challenge!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '62', 'm21c', 'Yes! It warms my heart to see a plume of smoke over that wretched hive of scum. I said I\'d pay for the service and I honor my agreements. Enjoy these credits.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '63', 'm21t', 'Big-League Gangsters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '64', 'm22o', 'Just look at me! A year ago I was counted among the wealthiest people on the planet, and now I\'m reduced to this! The gangster Tweeny Fogg robbed me of everything, except just enough credits to pay a hit squad to wipe out his filthy operation. Would you happen to know anyone interested in the contract? I don\'t want any names. I just want results.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '65', 'm22c', 'Tweeny Fogg won\'t be so bold with his organization in ruins. You\'ve done very well. When I regain my fortune I may look you up again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '66', 'm22t', 'Bad Bad Tweeny Fogg');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '67', 'm23o', 'Greetings. I thought you might show up here. Don\'t ask my name. I work for an important client in this star system. I\'m offering you a delicate job. A rival of my client runs a well-defended smuggling depot in the area. I want it pounded into dust. Your reputation is renowned. I know you can assemble a hit team for the job. The pay is quite fair.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '68', 'm23c', 'My client is most pleased with your performance. We shall be in touch with other jobs in the future. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '69', 'm23t', 'Rival Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '70', 'm24o', 'I\'m glad you\'ve come. The authorities don\'t believe me, but I\'ve discovered a murderous cult on this very planet. Their temple is disguised, but their evil is undeniable. Lawful punishment seems impossible, so I\'m hiring a strike team to demolish the temple. Be careful. They\'re very well armed for a religious cult.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '71', 'm24c', 'Thanks to you, there will be no more evil sacrifices of innocent gnorts and kittles. Hurray!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '72', 'm24t', 'Evil Cult');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '73', 'm25o', 'Lucky I ran into you. I\'m an undercover agent for planetary law enforcement. We\'re assembling covert civilian strike teams to make surprise assaults on a few well-entrenched gangsters. These crooks are the toughest of the tough, so we need real veterans. I know your reputation, and I want to include you on our mission roster. What do you say?  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '74', 'm25c', 'Yours was one of five successful strikes in the last two days. Seven other civilian teams were massacred, sadly, but that\'s the risk we take. This should be enough money to defray your costs.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '75', 'm25t', 'Conduct a Covert Strike');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_hard_npc.stf', '76', 'number_of_entries', '25');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '1', 'm1o', 'I\'ve been tracking some genetically altered predators stolen from an Imperial research facility. Some apparently ended up here. If I could get your help in disposing of them, I\'d make it worth your while.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '2', 'm1c', 'Hmm, those don\'t sound like the beasts I was tracking, but thanks for getting rid of dangerous predators anyway. Here\'s something for your trouble.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '3', 'm1t', 'Predators Stolen From Research Facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '4', 'm2o', 'I run a trophy business and am always in need of exotic beast heads to mount. I understand a lair of such creatures exits not far from here. I\'ll pay you if you can kill a few for me.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '5', 'm2c', 'I hope you left their heads intact. They\'re not worth much to me if you didn\'t. Anyway, here\'s your pay.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '6', 'm2t', 'Trophy Business Needs Inventory');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '7', 'm3o', 'My goal of breeding exotic pets didn\'t go as planned. I\'ve heard some of my \"failed experiments\" are now terrorizing the locals. Think you could take care of this problem for me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '8', 'm3c', 'Thanks. Here\'s your pay. I\'d sure appreciate it if you didn\'t mention this to anyone, okay?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '9', 'm3t', 'Exotic Pet Breeding Gone Wrong');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '10', 'm4o', 'My friends and I want to hold some speeder races outside of town, but there\'s some sort of creature lair out there that\'s holding us up. If you wipe it out, I\'ll pay you for your time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '11', 'm4c', 'Thanks! You\'re a pal! Here you go. Don\'t forget to come back in a few months and check out the races.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '12', 'm4t', 'We Wanna Hold Speeder Races');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '13', 'm5o', 'I lost something of great sentimental value in the wilderness several years ago and I\'m determined to get it back. I\'ve isolated the area where I think this treasure may lie, but there\'s a den of predators keeping me from performing a thorough search. Think you can get rid of it for me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '14', 'm5c', 'Thanks, friend. This is for your trouble. Uh, you didn\'t happen to dig around, did you? Didn\'t find any precious stones? Good.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '15', 'm5t', 'Great Sentimental Value');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '16', 'm6o', 'Some kids have disappeared in this area over the last few weeks. Some folk think it\'s the work of wild predators. I want to make sure my child is safe. I\'ll pay you to check these coordinates and drive away any monsters you encounter.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '17', 'm6c', 'Good work, citizen. The neighborhood children will compose a song in your honor. Oh, and here\'s the pay I promised.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '18', 'm6t', 'Disappearing Children');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '19', 'm7o', 'How will I ever become a legitimate shaak herder if my shaaks keep getting eaten? Please help me achieve my dream. Kill these dangerous pests for me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '20', 'm7c', 'Bless you! These herd animals are tough to care for, but I\'m on the road to my dream -- being a genuine real-life shaak herder! This is for your trouble.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '21', 'm7t', 'My Dream is to Herd Shaaks');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '22', 'm8o', 'Home remedies will always cure what ails you, citizen. I\'m running short on pygmy albino rancor livers, which are crucial for my excellent laxatives. Could you go to these coordinates and bring me some more? And don\'t worry, these rancors are small and harmless.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '23', 'm8c', 'What? Those don\'t sound like pygmy albino rancors to me. I could have sworn they were there. Well I suppose I should pay you for your time in any case. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '24', 'm8t', 'Pygmy Albino Rancor Livers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '25', 'm9o', 'My dying grandfather has one last wish -- to eat the flesh of the creatures that killed his beloved wife. I\'ve tracked down a lair of the beasts and need you to kill some for me. Think you could do that?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '26', 'm9c', 'Excellent! I\'ll send my droids out to collect the carcasses. Don\'t worry if you didn\'t leave much meat -- my grandfather has hardly any teeth left.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '27', 'm9t', 'Dying Grandpa\'s Last Wish');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '28', 'm10o', 'I\'d like to start a vegetable garden for my family and even have a plot of land, but it hasn\'t been cleared of dangerous pests. If you do that, I\'ll reward you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '29', 'm10c', 'Good, thanks. Now my family can enjoy good wholesome food, thanks to you. I\'m especially fond of charbote, aren\'t you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '30', 'm10t', 'Clear a New Vegetable Garden');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '31', 'm11o', 'I perform tests of the groundwater, but my meters seem to attract all manner of vermin. It\'s the vibrations, I think. Could you please make sure there aren\'t any bothersome beasts hanging around my workstations?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '32', 'm11c', 'Thank you. It\'s always nice to know I can go to work in relative safety. Here\'s something for you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '33', 'm11t', 'Groundwater Meters Attract Vermin');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '34', 'm12o', 'My mother is sick and loves a certain flower that grows near here. I\'d pick some for her, but there\'s some sort of creature lair near there, and I\'m afraid those beasts might hurt me. Could you chase them away for me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '35', 'm12c', 'Thank you so much. I\'m sure those flowers will help my mother get better. Take this reward for your services.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '36', 'm12t', 'Flowers for Sick Mother');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '37', 'm13o', 'My little daughter\'s beloved bearded jax was killed by some sort of wild beast recently. The darling just won\'t be consoled until those horrible pests are disposed of. Do you think you could do this for me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '38', 'm13c', 'Thanks, friend. This should cover your inconvenience. I\'m sure you understand just how important it is to keep our little angels happy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '39', 'm13t', 'Daughter\'s Beloved Bearded Jax');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '40', 'm14o', 'There are far too many wild critters around here and it\'s bad for business. I want to make this community more attractive to tourists. If you can help me deal with some of these bothersome beasts, I\'d make it worth your while. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '41', 'm14c', 'Thanks, citizen. I wish more of the folks around here were as eager to improve business. You\'ve worked hard for your money and it\'s well-deserved.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '42', 'm14t', 'Annoying Critters Bad for Business');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '43', 'm15o', 'These blasted animals won\'t stay out of my gardens. Do you know how hard it is to grow millaflowers? I rely on them to supplement my income. Please help me make sure my family does not starve. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '44', 'm15c', 'Bless you, citizen. You have a good heart. This is for you. You wouldn\'t also happen to have a green thumb, by any chance? I need all the gardening advice I can get.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '45', 'm15t', 'Animals Trample Millaflowers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '46', 'm16o', 'Ever since my HyperGym broke down, I\'ve taken to jogging outside the city. But the presence of wild beasts has recently rendered my favorite route useless. Could you get rid of these pests for me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '47', 'm16c', 'Thanks, friend. Here\'s some credits to cover expenses you incurred while blasting those creatures. Now I\'ll be able to stay in shape.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '48', 'm16t', 'HyperGym Replacement Exercise');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '49', 'm17o', 'The Imperial Zoological Agency claimed to have cleared these areas of dangerous beasts. I beg to differ. We\'ve had a few attacks on children in the last couple of days. Could you get rid of whatever is threatening our kids?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '50', 'm17c', 'A thousand thanks, citizen. Perhaps you should seek a job with the Imperial Zoological Agency. Seems like you could show them how these things should be done.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '51', 'm17t', 'Zoological Agency Messed Up');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '52', 'm18o', 'I hear Gamorreans keep pet parasites, which they let feed on their own fluids. Urrgh. A few Gamorreans passed by a while back, and now we\'re seeing little furry things scurrying around here. I think they\'re cohabiting with some predators near here. I\'ll pay you to wipe out the whole infestation.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '53', 'm18c', 'Bloodsucking parasites always have a bad effect on property values. Thanks for cleaning them up.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '54', 'm18t', 'Gamorrean Parasitic Pets');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '55', 'm19o', 'Hutt gangsters are looking here for good predators to capture. I hear they like rancors. They set loose a pack of fierce creatures, then watch to see if something fiercer eats the first pack. The pack they set loose is bad enough. Can you go and kill them before they do serious damage?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '56', 'm19c', 'Thank you. I\'m sure the Hutts won\'t mind your killing their pack. Just in case, though, you may want to visit other parts of this world.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '57', 'm19t', 'Idle Hutt Amusements');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '58', 'm20o', 'I imported some ghhhks from Clak\'dor VII. I heard their skin makes a healing salve. Well, it didn\'t do anything for me, and then the ghhhks got loose. Now they\'re breeding, and the scent has attracted a pack of hungry predators. I\'d like you to destroy the predators before anything really bad happens.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '59', 'm20c', 'Thanks. I was afraid my neighbors were about to sue me for biological infestation. I hope the predators ate all the ghhhks before you killed them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '60', 'm20t', 'Ghhhks From Clak\'Dor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '61', 'm21o', 'For a particularly scrumptious dish, my chef requires several livers of -- oh, what was the name -- anyway, the livers of creatures in the lair at these coordinates. I\'ll pay you to dispatch the creatures, leaving the livers intact so that my chef can recover them later.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '62', 'm21c', 'I\'ve belatedly learned that my chef requires the livers ripped whole, on the spot, from living animals. Grisly, I know. Well, I suppose I owe you this fee anyway.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '63', 'm21t', 'Scrumptious Local Livers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '64', 'm22o', 'My chef is developing a new dish involving fried thinwhillets. They\'re harmless local rodentians. I\'ll pay you to go to this lair he\'s located and blast all the thinwhillets, or axe them, or whatever it is you violent types do.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '65', 'm22c', 'No thinwhillets? That\'s bad news for my chef. I\'m afraid predators got to the yummy things before you did! Well, I\'ll pay you anyway for wiping out the beasts.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '66', 'm22t', 'Fried Thinwhillets');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '67', 'm23o', 'I\'ve commissioned a holosculptor to model several local beasts for a new dejarik board I\'ll be selling. She needs specimens, so I\'ve located some at these coordinates. Please dispatch everything in this lair, but try to leave the bodies intact.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '68', 'm23c', 'Never mind. The holosculptor found adequate models on the HoloNet. Thanks anyway for your work, and here\'s your fee.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '69', 'm23t', 'Dejarik Piece Models Needed');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '70', 'm24o', 'For next season\'s nuna-ball championship parade, my buddies and I are doing something special. Everything for the project has to be organic, so we want some carcasses. We\'ve found a lair near here, a bunch of ferocious things that this world would be better off without. Can you kill them, please?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '71', 'm24c', 'Thank you, a lot! I\'ll send my buddies out to get whatever you didn\'t already salvage. All of it\'s going on our giant dianoga parade float!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '72', 'm24t', 'Nuna-Ball Championship Float');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '73', 'm25o', 'Some offworld things escaped from the recent Livestock Exhibition, and they\'ve been terrorizing this community ever since. We\'ve collected some money and found the likeliest spot where they lair. Can you go in and take out the whole pack, quickly?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '74', 'm25c', 'Those don\'t sound like offworld creatures. Blast, that means they\'re still on the loose. Well, you did the job we asked for, so here\'s your money.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '75', 'm25t', 'Livestock Exhibition Escapees');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '76', 'm26o', 'Some Imperial Senator sent his servants through here, looking for beasts for his menagerie. The incompetent louts accidentally let loose every creature they\'d bought, right here in our area. We\'d like you to mop up a lair of them before our animal trouble gets out of hand.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '77', 'm26c', 'Citizen, this whole community thanks you. We\'ll try to get that Senator to reimburse this fee, but I\'m not holding out hope.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '78', 'm26t', 'Senatorial Menagerie Loose');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '79', 'm27o', 'This town\'s streets are filthy, and I\'m not talking about litter. We\'ve got predators coming in from the countryside, killing local pets and leaving little presents behind. Can you take out a lair or two?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '80', 'm27c', 'The streets smell a bit cleaner already, citizen. Thanks for your effort.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '81', 'm27t', 'Predators Stinking Up the Place');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '82', 'm28o', 'A killer beast is on the loose. Oh, it may look harmless. You may laugh and say, \"It\'s just a drooling Gungan blarth.\" But I tell you, that blarth\'s pure deathstar! It\'s taken out a squad of stormtroopers and two assassin droids! It\'s the killer blarth you always feared! I think I know where it is, so go!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '83', 'm28c', 'Not a blarth? Oh. Well, it may have been what you killed instead. When I saw it, my goggles were clouded. Okay, here\'s your fee.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '84', 'm28t', 'That Blarth\'s Pure Deathstar!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '85', 'm29o', 'At our latest animal protection society chapter meeting, all board members agreed that our biological systems are badly out of balance. The world\'s, I mean. To correct this infirmity, we voted to commission talented hunters to reduce the local predator population. If you are willing, I shall enter your name in our club minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '86', 'm29c', 'Thank you, that\'s splendid. I\'m afraid I can\'t talk now. I\'m working up a new official anthem for our club.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '87', 'm29t', 'Committee Resolution');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '88', 'm30o', 'We\'ve got reptavian hawkbats roosting on our building eaves. Not a problem for us -- they feed on the silica parasites, you know -- but they attract predators from outside town. The building society has raised funds to eliminate this nuisance. You eliminate it, you get the funds.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '89', 'm30c', 'Our building will be safer now, thanks to you. If you need affordable housing, think of us. On second thought, never mind; we don\'t allow weapons here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '90', 'm30t', 'Reptavian Hawkbats Attract Predators');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '91', 'm31o', 'You smell that? That stinking dust on the wind? It\'s egg seeds, spewed by the shadow barnacles that infest the buildings around here. Never mind that this means more silica parasites on our buildings -- what\'s worse, the egg seeds attract beasts from hither and yon. There\'s a new lair nearby. Please go and destroy it, okay?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '92', 'm31c', 'You ever smell anything like that? What a stink. It\'s so frustrating. What, you\'re done already? Okay, here\'s your money. I\'d better find a fungicide or something.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '93', 'm31t', 'Shadow Barnacle Egg Seeds');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '94', 'm32o', 'I hear weird animal noises from my neighbor\'s dwelling. I think he\'s running some illicit animal trade from the Core Worlds. He had some big beast get loose not long ago, and now I\'m getting scared it\'ll eat me in my sleep. I saw its lair, so I\'m willing to pay you a fair fee if you\'ll destroy it. Be careful, it\'s a big one.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '95', 'm32c', 'Sounds like you found nothing but native animals. I don\'t know where that exotic beast has gone. It\'s an unexpected situation, because this town isn\'t all that big.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '96', 'm32t', 'Illicit Core Worlds Animal Trade');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '97', 'm33o', 'Some ill-bred cur of a greysor has been getting into my kennel at night and fathering mongrel litters upon my purebred darlings. The sale value of these litters is, as you may well imagine, negligible. I desire you to go to the creature\'s home, or lair, or what-you-may-call-it, and destroy it. I shall, of course, pay.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '98', 'm33c', 'You did not find that mongrel greysor? I can\'t understand it. The problem still remains, and I must protect my kennel. What? Money? Oh, here, take it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '99', 'm33t', 'Ill-Bred Mongrel Greysor ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '100', 'm34o', 'I\'m convinced I know the origin of the vicious pack animals now attacking children in this neighborhood. Some local Imperial bigwig imported them for his stupid menagerie, and they got loose! The police won\'t stop the beasts yet, because someone high up likes to make the Empire look bad. Can you destroy this menace?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '101', 'm34c', 'What a relief! All the parents in this neighborhood thank you. You\'ve done us a great service and earned this reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '102', 'm34t', 'Local Imperial Menagerie Loose');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '103', 'm35o', 'I\'ve heard a lot of complaints about a crazy old wizard in the wilds who surrounds himself with ravenous beasts.  The locals asked me to do something about these dangerous creatures, so I sent a range droid to find out where the old man lives. Now I want you to exterminate his animals. I can pay you, don\'t worry about that.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '104', 'm35c', 'Well done. Those animals won\'t bother anyone now. The old wizard probably ran away when he saw you coming. I hope that teaches him a lesson.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '105', 'm35t', 'Crazy Old Wizard\'s Beasts');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '106', 'm36o', 'Something\'s been killing the young from my herd of gualamas. Now I have to keep my livestock indoors. I need a hunter to take care of this predator before I lose any more profits. If you can do the job, I\'d love to hire you today.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '107', 'm36c', 'I sure didn\'t expect to find that particular species feeding on my gualamas. Thanks to you, I won\'t have to worry about it anymore.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '108', 'm36t', 'Poaching of Young Gualamas');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '109', 'm37o', 'My cousin just bought a used T-65 Starfighter, but for obvious reasons he doesn\'t want to land an X-wing at an Imperial-patrolled spaceport. I\'ve got a few acres where he can touch down, but I need some nasty creatures removed to make it safe. If you\'re as good with that weapon as you look, maybe you can help me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '110', 'm37c', 'Thanks, friend. Now my cousin can land his T-65. I can\'t wait to get a look at that starfighter\'s hyperdrive!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '111', 'm37t', 'Clear an X-Wing Landing Strip');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '112', 'm38o', 'They looked so cute when they were little, but my pets grew too big to keep. Now they\'ve been feral for a year. The planetary authorities have warned me that they\'ve become dangerous. I\'ve got to get rid of them somehow. Would you be able to find my old pets and blast them into pieces?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '113', 'm38c', 'I still miss those poor little devils. Perhaps now they\'re in a better place. Thank you for the help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '114', 'm38t', 'Dangerous Feral Pets');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '115', 'm39o', 'My veterinary bacta experiment didn\'t quite work out. The test subjects grew unusually ill-tempered and, alas, I used some potentially dangerous animals. Of course they broke loose into the wild, and now I\'ve got a big problem on my hands. I don\'t suppose you\'d want to go take care of this headache for me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '116', 'm39c', 'Now the Empire won\'t pull my bacta license. I can\'t express how grateful I am. Here\'s the payment for your work. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '117', 'm39t', 'Bacta Experiment Didn\'t Work Out');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '118', 'm40o', 'I\'m not obsessed with old religions, but I think some land I just bought is strong with the Dark Side of the Force. At least it is infested with some very unpleasant animals. You look tough enough to remove them from my property. Care to earn a few credits today?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '119', 'm40c', 'You have much skill and courage. The Force must be strong with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '120', 'm40t', 'Infestation by Dark Side of Force?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '121', 'm41o', 'I\'m clearing some land for a switching depot, but I\'m stuck with a few wild animals that are slowing me down. Their dens and nests foul the treads on my freight droids. Are you a hunter? I\'m looking for someone to kill these beasts and destroy their lairs.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '122', 'm41c', 'Outstanding. I may get back on schedule now. If I need more animals destroyed, I\'ll find you again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '123', 'm41t', 'Switching Depot Needs Clearing');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '124', 'm42o', 'I used to like the beebleberries that grow on my property. They attract all sorts of dazzling avians and insects. But these animals have tempted predators to the area and I can\'t enjoy my own land any more. If you have the time, I want you to go there for me and wipe out any dangerous animals you find. I\'ll be most grateful.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '125', 'm42c', 'Exquisitely done. My beebleberries are safe again. Here is a little something to compensate for your trouble.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '126', 'm42t', 'Make Beebleberries Safe Again');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '127', 'm43o', 'Cloning tests are fun, but I made the mistake of turning loose several test subjects. Not that these cloned animals can\'t defend themselves in the wild. Quite the opposite -- they have mauled several travellers through the area. How would like to help me clean up this mess by blasting these animals into atoms?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '128', 'm43c', 'Thanks. Of course, the thing about clones is that it\'s hard to stop making them after just ten or twenty. I may need your services again. Soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '129', 'm43t', 'Cloning Tests Are Fun');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '130', 'm44o', 'Remember the Techno Union? Of course you do. I think there might be an old outpost of theirs not far from here. I want to investigate further, but the area is home to some distinctly hostile species of fauna. I\'d love to hire you to remove these creatures. Then I can get on with my search for the outpost.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '131', 'm44c', 'Capital job! Now I can keep searching for that old Techno Union outpost. Who knows what they might have left behind?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '132', 'm44t', 'Infested Techno Union Outpost');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '133', 'm45o', 'I\'ve found an excellent spot to set up an electro-telescope. I like to watch the big ships docking in orbit. But the last time I set up my rig, I was chased off by a couple of ugly, unpleasant creatures. I\'ll pay good money if you could get rid of those beasts for me.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '134', 'm45c', 'You\'ve done me a great favor. Here\'s your payment. Now I can monitor the activities of Imperial warships to report to the Alli-- um, I mean, I can watch the big ships docking in orbit.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '135', 'm45t', 'Telescope Site Needs Clearing');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '136', 'm46o', 'I\'ve been seeing the most gorgeous Twi\'lek you\'ll ever find, but she\'s been having problems with wild creatures when she travels between cities. Her safety is my top priority. I want you to find the animals at the coordinates I give you and make sure they can\'t threaten my sweetheart again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '137', 'm46c', 'Terrific! You did well. Now those creatures won\'t harm a single tentacle on my sweetheart\'s head.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '138', 'm46t', 'Make Twi\'lek Beauty Safe');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '139', 'm47o', 'Glimmik music! It\'s the bane of hotel owners across the galaxy. A troupe of Bith and Twi\'lek performers wrecked my establishment last night and set loose some exotic animals I had caged in the lobby. Now the animals are contaminated with local bacteria and need to be eliminated. Can you travel outside of town and do the job?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '140', 'm47c', 'Thanks. I can\'t believe I lost a perfectly good exhibit of wild animals. That\'s the last time I\'ll let glimmik musicians into my hotel!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '141', 'm47t', 'Glimmik Music Is Galaxy\'s Bane');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '142', 'm48o', 'The Star Destroyer Accuser has just reached the system. A certain Lieutenant Drex on board is due to inspect local properties I\'ve been keeping for him. He won\'t be happy to see the vicious creatures that have moved in. Can you wipe out those toothy intruders?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '143', 'm48c', 'You\'ve saved my job. My children thank you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '144', 'm48t', 'Lt. Drex Won\'t Be Happy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '145', 'm49o', 'My droid popped his restraining bolt and wandered somewhere outside the city. I\'ve got his coordinates. Would you be willing to fetch him back for me? Be careful. That area is a little dangerous.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '146', 'm49c', 'Wild animals but no droid? I fear that little robot has beeped his last. Thanks for taking care of the creatures, though. I\'ll pay you for that, at least.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '147', 'm49t', 'Fetch My Errant Droid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '148', 'm50o', 'I need help. I was transporting a data cartridge between cities when I was attacked by some kind of vicious animal. I threw the cartridge in the creature\'s face and ran. But now I need that data back. I\'ve got the exact coordinates of the place. Can you skewer the beast for me so I can go back and retrieve my cartridge?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '149', 'm50c', 'The data on that cartridge will save my business. I owe you much, stranger. Here is your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '150', 'm50t', 'Missing Data Cartridge');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_creature.stf', '151', 'number_of_entries', '50');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '1', 'm1o', 'Due to the Empire\'s higher recruitment standards, many thugs who would have ended up serving in planetary security forces are turning to crime instead. Could you help us get rid of some of these troublemakers? We\'d make it worth your while. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '2', 'm1c', 'Our community thanks you, citizen. I\'d normally suggest you join the military, but I think you could do more good as an independent agent. Get richer that way too.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '3', 'm1t', 'High Recruitment Standards');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '4', 'm2o', 'Our community is sick of putting up with criminals and their vile antics. We\'ve put together a collection to hire a skilled troubleshooter to get rid of these swoop gangs and spice dealers. Would you be interested in trying for that money, citizen?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '5', 'm2c', 'Now that\'s how you deal with that Sithspawn! You\'ve definitely earned this reward. Come see me again if you\'d like more work. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '6', 'm2t', 'Vile Antics of Criminals');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '7', 'm3o', 'Hey, buddy, you care about keeping the streets clean, right? I hear there\'s some lowlife peddling inferior grade glitterstim spice. Can you believe this worm\'s nerve? Sure could use someone like you to run this bum out of business. You ready to earn some credits? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '8', 'm3c', 'Good job. No one deals spice in this neighborhood without my say-so. And don\'t even think about pushing that inferior-grade sludge. This is for you, pal. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '9', 'm3t', 'Inferior Glitterstim Spice');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '10', 'm4o', 'Gunrunners have stolen a shipment of deadly disrupter weapons. These thieves are like no other, however, for they are led by an amazingly canny mouse droid. Yes, you heard correctly! If you stop these rogues and end this mechanical menace\'s career, you\'ll become a legend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '11', 'm4c', 'You have done well, my young apprentice! Did you see the mouse droid? No? Hmm, the clever fiend probably had an escape plan. All masterminds do. Do you know how I know that? Because I\'m the Emperor! Mwahahaha! Anyway, this is for your troubles.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '12', 'm4t', 'Amazingly Canny Mouse Droid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '13', 'm5o', 'All these jerks strutting around here think bravery resides in a blaster. But when push comes to shove, they turn tail and run. Are you one of those, or can you really stand up to the thugs menacing this area? You ready to prove it?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '14', 'm5c', 'I had a sense about you, citizen. True courage should always be rewarded. Here you go.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '15', 'm5t', 'Bravery Is More Than a Blaster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '16', 'm6o', 'You gotta help me, citizen! I testified against a swoop gang and got their leader sent to a labor camp on Berea. Now his followers have sworn vengeance and intend to burn my settlement to the ground. I\'ll pay you to get rid of these brutes. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '17', 'm6c', 'Your heroics will be an example to others, citizen! I think more folks will stand up to these animals now. Claim your just reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '18', 'm6t', 'Witness Protection Program');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '19', 'm7o', 'I\'m trying to go straight, honest. I walked away from these spice smugglers, but now they claim I know too much about their operation and need to be silenced. Can you help protect me and my family? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '20', 'm7c', 'Many thanks, friend! My family and I can now get on with our lives. This should demonstrate my gratitude.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '21', 'm7t', 'Can\'t Walk Away From Former Life');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '22', 'm8o', 'I should know better than to get drunk at the cantina with my friends. We all got to boasting, and I claimed I\'d run the local swoop gang out of town. The swoopers got wind of it and now plan to murder me. If you get rid of them, I\'ll pay you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '23', 'm8c', 'Well done, citizen! Here\'s your well-earned pay. If you ever get the fancy to knock back some cold ones with us, let me know.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '24', 'm8t', 'Unwise Bar Bet');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '25', 'm9o', 'This community is being terrorized by a mindless gang of cutthroats whose only means of communication is wanton violence and destruction. If you put a stop to their vile activities, we\'ll pay you a handsome reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '26', 'm9c', 'You\'re a hero to our people, friend. Take this reward and our unending gratitude. You should do this for a living.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '27', 'm9t', 'Mindless Gang of Cutthroats');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '28', 'm10o', 'A few young women have disappeared recently, and I suspect slavers. Those rogues have a base near here, from which I\'m certain they\'re shipping these girls offworld. Can you put a stop to this despicable activity?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '29', 'm10c', 'It\'s good to know there are still heroes like you left in the galaxy. Please accept this payment as a token of our appreciation.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '30', 'm10t', 'Despicable Slaver Rogues');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '31', 'm11o', 'Bullying helpless citizens requires very little courage, so I\'m not sure why these thugs are so proud. You want to impress everyone? Then go after the thugs and drive them out of this area. That takes true courage!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '32', 'm11c', 'Citizen, you showed those bullies the true meaning of courage. Please accept this reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '33', 'm11t', 'You Can Show True Courage');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '34', 'm12o', 'It was an accident that I killed one of those thugs. I had to do something, they were killing my pet! But now they\'re coming after me. You have to go there and stop them!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '35', 'm12c', 'When a thug is killing my pet, I just get so steamed! Thank you so much for rescuing me. Please, accept this payment!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '36', 'm12t', 'Thug Was Killing My Pet!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '37', 'm13o', 'I wrote a play lampooning local crooked politicians. Turns out one didn\'t have a sense of humor, and he\'s hired thugs to burn down my house. But if you go to their hangout and stop them first, I\'ll pay you well.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '38', 'm13c', 'That\'s a relief. I\'m going to write another play about this intimidation attempt, and you\'ll be in it. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '39', 'm13t', 'The Price of Satire');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '40', 'm14o', 'Those pirates are planning to take out an Alliance smuggling ship! I overheard them at the cantina. I can\'t go to the Imperials, and I don\'t know how to reach the Alliance, so I\'ll pay you to stop those pirates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '41', 'm14c', 'Well done! I expect the Alliance ship got through all right. It\'s a shame they have to rely on smugglers, but the Empire controls the space lanes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '42', 'm14t', 'Keep Pirates Off Alliance\'s Back');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '43', 'm15o', 'My little child is crying in her creche because a local gang has stolen this community\'s entire supply of infant formula. Now that\'s low! We\'ve all raised money to hire some goon like you to stop those other goons!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '44', 'm15c', 'Sorry I called you a goon. I was feeling tense. Thanks for freeing up the supply of infant formula. It\'s the only kind my species can tolerate, you know.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '45', 'm15t', 'Some Goon Like You');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '46', 'm16o', 'I broke up badly with an old flame, and my former sweetheart enlisted a bunch of lowlife thugs to harrass me. It\'s been torture! I can\'t reach my former love, so for now I want to hire you to stop the gang.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '47', 'm16c', 'Since I hired you, I found my old flame, and we\'ve patched things up. A little. Anyway, thanks for stopping that gang.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '48', 'm16t', 'Bad Breakup With Old Flame');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '49', 'm17o', 'With my life\'s savings I bought a beautiful Corellian Jumpmaster 5000 starship. In orbit, pirates attacked me, and I had to get out in the escape pod. But I\'ve tracked the pirates, and now I\'m hiring you to go in and destroy them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '50', 'm17c', 'Great! I sure showed those pirates -- or, I mean, you did! Here, take your reward. It\'s all I have left, but now I can recover my ship and start over.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '51', 'm17t', 'Corellian Jumpmaster 5000');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '52', 'm18o', 'I had no idea one gang could stink up the air so much. No one can even sleep, it\'s so bad. All the folks who miss clean air have put together some money to hire someone like you to clean out that gang. Will you do it?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '53', 'm18c', 'What in the galaxy were they doing, to create such a stench? Whatever it was, it was illegal, and you\'ve put a stop to it. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '54', 'm18t', 'Boy, Does It Stink Here');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '55', 'm19o', 'A gang of thieves has been stealing ordinary GNK power droids all over this community. Nobody knows why; power droids aren\'t particularly valuable. But we\'ve traced the thieves, and we\'ve raised funds to hire a thu-- I mean, an adventurer or two to face them down in their lair. Go for it!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '56', 'm19c', 'Thank you. Right now we\'re trying to figure out why the thieves wanted all those gonk droids. Apparently they would steal them, then turn them loose. Senseless.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '57', 'm19t', 'Who Wants GNK Droids?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '58', 'm20o', 'A gang of crooks broke into my restaurant, stole my liquor, and shot three innocent bystanders! Is there no law in this town? I\'ve had it! I know right where those thieves live. If you go and take care of them, permanently, I\'ll reward you. Be careful, they\'re tough.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '59', 'm20c', 'I\'ve been waiting for the authorities, but no one has shown. It\'s about time someone stood up to those crooks the way you have. Great job! I wonder if they took my liquor because I flavor it with ground-up bounty hunters?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '60', 'm20t', 'They\'re Stealing My Liquor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '61', 'm21o', 'You! You look like you could pull the ears off a gundark. I\'ve got a pile of credits waiting if you can attack a certain criminal lair and thoroughly dispose of it. They\'re up to no good in there, let me assure you. I\'ll wait here until you succeed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '62', 'm21c', 'Fine job. I needed that territory cleared for my new cantina-casino, and you\'ve taken care of it in the most active way. Here\'s your pay.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '63', 'm21t', 'Clear The Area');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '64', 'm22o', 'I\'m preparing a civil defense report on optimal assault techniques. I have placed hovercams around a fortified criminal base in this vicinity, and I invite you to destroy the base in whatever fashion you deem fit. I shall reward you upon your success, and include pertinent observations in my report.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '65', 'm22c', 'A useful and instructive assault. Here is your fee. Your Imperial taxpayer dollars at work! Thank you, that will be all for now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '66', 'm22t', 'Test Civil Defense Techniques');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '67', 'm23o', 'My business rival has stolen my repair shop\'s entire supply of gyro-balance circuits. If I don\'t get them back, every droid I repair will wobble like a drunk. That\'s what I call trouble. I know where these hoodlums hang out, so I\'m paying you to go and dispense equal justice. Permanently!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '68', 'm23c', 'Okay, I feel better now. For a while there I got a little out of balance myself. You certainly earned this reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '69', 'm23t', 'Droids Wobbling Like Drunks');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '70', 'm24o', 'Our community council spent many days raising charity funds for the Holy Children of Asrat. Then the funds vanished. One of our youngsters traced the unauthorized withdrawal, and found a slicer gang spending our money in a frenzied party! If you can stop that heartless gang, we\'ll reward you with a portion of the stolen funds.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '71', 'm24c', 'Thank you! The Holy Children would thank you too. If they could ever leave their monastery, that is.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '72', 'm24t', 'Holy Children of Asrat Burgled');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '73', 'm25o', 'I stupidly said, aloud in the cantina where everyone could hear, that Hutts stink. Immediately, a gang attacked and destroyed my home. They\'ve been hunting me ever since. But I\'ve found them first, and I still have credits. Will you stop that gang?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '74', 'm25c', 'Please accept this fee with my thanks. Now I have to get offworld, and preferably as far as possible from Hutt space.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '75', 'm25t', 'Never Say Hutts Stink');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '76', 'm26o', 'I\'m a love junkie, I admit it! I fell in with a gang member -- I like nice eyes, what can I say? -- but I had to end it. Now the whole gang has destroyed my home and promises to \"make me their droid.\" I need help! I\'ve got money; you\'ve got weapons; let\'s work together. Take out the gang nest, and let me live a loving life again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '77', 'm26c', 'Thanks, hero! That was impressive. Here\'s the money, call me sometime. I like your eyes. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '78', 'm26t', 'Love Junkie');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '79', 'm27o', 'I contracted with another party to carry certain cargo past Imperial checkpoints. Matters went awry, I had to dump the cargo, and now the other party is making my life very, very hard. I offer you a fair reward for going to the other party\'s headquarters and removing this obstacle to my future happiness.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '80', 'm27c', 'Thank you. I don\'t see why a few dozen Imperial turbolasers were worth all this fuss, but there you are.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '81', 'm27t', 'Matters Have Gone Badly Awry');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '82', 'm28o', 'A business colleague asked me to obtain an Imperial code cylinder. I refused, strongly. Because of past indiscretions on my part, my colleague was in a position to insist on my cooperation. To avoid infiltrating an Imperial base, I seek a more direct solution: disposing of my colleague and all associates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '83', 'm28c', 'That was the outcome I had in mind for this situation. You have earned your payment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '84', 'm28t', 'Paying for Past Indiscretions');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '85', 'm29o', 'As a harmless hobby I collect maps of Imperial freight complexes and customs checkpoints. An acquaintance saw my map collection and wishes to purchase it for an insultingly low sum. He suggests it is an offer I cannot refuse. I wish to prove otherwise. Will you go to his place of business and resolve this trouble, permanently?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '86', 'm29c', 'There is no such thing as an offer that cannot be refused. I\'m glad you helped teach my acquaintance this valuable lesson.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '87', 'm29t', 'Any Offer Can Be Refused');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '88', 'm30o', 'I\'m a respectable importer of medical instruments. It happens that an item in my stock, the ion beamer, can function as a weapon. A criminal gang has threatened my life if I don\'t give them all my ion beamers. Could you tolerate such extortion? I won\'t! I\'d like you to eliminate this threat at its source.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '89', 'm30c', 'This comeuppance serves them right, after they refused my perfectly fair price for those ion beamers. Here, accept this with my gratitude.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '90', 'm30t', 'Ion Beamers Are Not Weapons');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '91', 'm31o', 'My latest receiving manifest had odd discrepancies. I checked and found that smugglers had infiltrated my entire staff! My investigator located the smuggling base, but it\'s too well defended for him. I\'ve gone to the law, with no luck. If you\'ve got a good blaster, I have an offer.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '92', 'm31c', 'Too many smugglers on this world. I\'ve had to fire whole departments. Those unemployed workers will probably turn to smuggling too (sigh).');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '93', 'm31t', 'Odd Manifest Discrepancies');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '94', 'm32o', 'See this mole right here, the one that oozes? What, you don\'t want to look? It\'s the last trace of a disgusting illness I contracted from a local gang. They got their paws on a tailored virus and tried extortion, infecting folks and then selling the antidote. But I found my own antidote, and now I want you to wipe out this criminal infestation.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '95', 'm32c', 'Thanks for your \"civic antidote\" work, citizen. Take this reward. Do you notice that this oozing mole is already smaller? Here, look closer.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '96', 'm32t', 'Look at My Oozing Mole');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '97', 'm33o', 'I\'ve been planning a run for local office. Yesterday an Arakyd Mark VII seeker remote entered my HQ and tried to kill me. I managed to knock it out, and my staff has traced its origin -- a band of thugs employed by my opponent. This isn\'t the first time this happened, but I want you to make sure it\'s the last.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '98', 'm33c', 'I don\'t suppose you found evidence at the site incriminating my opponent? Too bad. Well, I hope I can count on your vote!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '99', 'm33t', 'Political Shenanigans');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '100', 'm34o', 'In the cantina one night I casually mentioned I was considering a cyborg implant. The next night, my home got bombed by local anti-cyborg fanatics. I happened to be out, which means that hate-gang has made its last attack. Have you got the weapons and the will to take out a well-defended hideout?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '101', 'm34c', 'These hate crimes will only stop when ordinary citizens like you and me take action. Now I\'m more interested than ever in that BioTech biocomputer.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '102', 'm34t', 'Local Anti-Cyborg Hate Gang');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '103', 'm35o', 'Listen to me, quickly! I tracked the notorious criminal Gorme Felson to a hideout not far from here. Felson is no easy mark, though, despite the fact that he comes from an uppercrust Naboo family. I need hired muscle to blast the place apart before he and his cronies get away. Can you help me in a hurry?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '104', 'm35c', 'Gorme Felson is a disease in the galaxy. He got away, but we put his gang out of commission for awhile. Nice work on such short notice!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '105', 'm35t', 'Gorme Felson Must Be Stopped');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '106', 'm36o', 'I\'m in a bind. A friend of mine tangled with the wrong crowd, and now they\'re holding him captive in their thieves\' den. If I call the authorities, those filthy gundarks will see trouble coming from a long way off. Someone needs to hit the place secretly and rescue my friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '107', 'm36c', 'Terrific! My friend escaped just after you arrived at the thieves\' den. He transmitted these credits to my account, and now they belong to you. Good job.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '108', 'm36t', 'Friend Tangled With Wrong Crowd');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '109', 'm37o', 'I can\'t name names, but a certain politician would like to put a stop to a plot by another politician. Parliamentary procedure being what it is, this dispute is best handled outside the usual channels. I must hire you to blow up the criminals perpetrating this scheme.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '110', 'm37c', 'The politician who employs me will be delighted to hear that the esteemed colleague\'s plot has been foiled. Interplanetary politics can be very satisfying, don\'t you think?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '111', 'm37t', 'Spat Between Esteemed Colleagues');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '112', 'm38o', 'Hey, kid. You know those droids you see repairing broken windows around the city? They belong to me. Another fellow is trying to steal my contracts. I need a dangerous individual to explain to my competitor that his organization will not benefit from this course of action.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '113', 'm38c', 'Nice, kid. You explained the situation to my competitor in no uncertain terms. I\'m a little concerned that his people fought back as well as they did, though. I get the feeling this isn\'t over yet.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '114', 'm38t', 'Broken Window Repair Firm');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '115', 'm39o', 'I found out a local swoop gang has put a price on my head! What did I ever do to them? My only hope is for someone to wipe this gang off the face of the planet, so the bounty will become invalid. Surely a rough-and-ready person like you can help a desperate, wronged citizen in my time of need?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '116', 'm39c', 'Here\'s your fee. That will teach the other swoopers around here to tangle with innocent, harmless citizens like me. Unfortunately they\'re not a bright bunch. That\'s the third time this season I\'ve had to put out a hit on swoop lairs.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '117', 'm39t', 'Harmless Innocent Citizen');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '118', 'm40o', 'Is something wrong with me? Why did my sweetheart leave me to join that band of blaster-toting, worm-ridden nerf-herders? I won\'t stand for it. If you dismantle the place where my darling\'s new friends spend their time, maybe I can put the relationship back together.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '119', 'm40c', 'You did your job well, but my sweetheart is madder than ever! What have I done wrong? Am I ugly, is that it? Well, am I?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '120', 'm40t', 'What\'s Wrong With Me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '121', 'm41o', 'Do you smell that? It\'s waste gases from a little ore refinery not far from here. A bunch of roughnecks built it to sidestep guild fees. Well, we locals don\'t plan to let them poison our air. We\'re willing to pay you to knock that place out of operation once and for all.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '122', 'm41c', 'What a difference. Smell that clean air! Well, cleaner than it was, anyway. You did your job and here\'s your payment. I\'ll bet you\'ve done this kind of work before, right?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '123', 'm41t', 'Roughnecks Exude Waste Gas');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '124', 'm42o', 'The time has come, my friend. A band of space pirates robbed me of an expensive idol from the Onderon moon of Dxun. I can\'t make them give it back, but I can pay to have them punished. Aim those killer instincts of yours at their planetside den and don\'t look away until every one of them is dead.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '125', 'm42c', 'Thanks, my friend. I knew you would finish them off with little trouble. I\'ll head over and see if my stolen Dxun idol is somewhere in the rubble. It\'s almost indestructible.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '126', 'm42t', 'Dxun Idol Stolen');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '127', 'm43o', 'It\'s so embarrassing that I can only tell a stranger like you. I was just kicked out of my swoop gang because -- get this -- an MSE-6 mouse droid framed me! It tricked my buddies into thinking I was going to turn them in. Now I\'m upset. Can you incinerate my ex-buddies\' hangout to vent my anger? And make sure that blasted mouse droid gets pulverized!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '128', 'm43c', 'Sithspit! No, I\'m not mad at you. You did your job well and I\'m going to pay you. But I just learned that the mouse droid who framed me left the place before you arrived. It hopped a spice freighter to another system. Can you believe it? Who programmed that blasted thing, anyway?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '129', 'm43t', 'Framed by a Mouse Droid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '130', 'm44o', 'I\'m not who you think I am. People say I look like an announcer from the local newsfeed, but I\'m just a loyal Imperial citizen. I\'m hiring someone to assault a local spice gang. Make it flashy. There could be, I don\'t know, hovercams or something in the area. I\'d like to set an example to other lawbreakers. Also, can you wear something eye-catching?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '131', 'm44c', 'What a show! The hovercams captured the whole attack. I especially enjoyed the part where that gangster cursed you before dying. This is going to make great ratings for ... um, for whatever newsfeed sent those hovercams to film it. Not that I know anything about that. Ahem.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '132', 'm44t', 'I\'m Not a Newsfeed Announcer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '133', 'm45o', 'You must help me! I\'m trying to transport my neice off-planet, to save her from a criminal. But he\'s got word of my plan, and his gang intends to kidnap the poor child! Please, you must attack the cantina where they always drink, to provide a distraction so I can rescue the girl. Hurry!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '134', 'm45c', 'We did it! The girl is safely off to an Outer Rim planet, and her father\'s gang is crippled. You\'re a good person. I\'m happy to pay you this money.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '135', 'm45t', 'A Mother Stops at Nothing');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '136', 'm46o', 'At last I\'ve found you! Years ago you served my father in the Clone Wars. Now he begs you to help him in his struggle against ... what did you say? You didn\'t serve my father? Oh. Well, you\'ll do anyway. How\'d you like to pick up a few credits by blasting apart a den of gas thieves near here?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '137', 'm46c', 'You did it! You don\'t need to be paid, do you? I know there\'s more to you than just money. Right? Oh. Well, you\'ve got to follow your own path. No one can choose it for you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '138', 'm46t', 'Help Me, You\'re My Only Hope');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '139', 'm47o', 'It\'s an outrage! A crewman of mine was murdered by a gang of local cutthroats. Now they\'re keeping his body for who-knows-what reason. I\'m a spacer, not a fighter, but I can contract a tough guy like you to pay back those filthy gundarks! You pound them into rubble, and I\'ll give you whatever I have.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '140', 'm47c', 'You\'ve honored my late crewman and rid this planet of some dangerous scum. If you decide to join a freighter crew, let me know, eh? I may someday have an opening.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '141', 'm47t', 'Thugs Have My Crewman\'s Body');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '142', 'm48o', 'Do I look like a simpleton to you? Then explain to me why malodorous hoodlums would extort money from me. Me! Do they imagine I have no resources to pursue retaliation? On that topic, you look like you\'ve killed men before. Would you please do so again?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '143', 'm48c', 'Most splendid indeed! Despite your looks, you are a being of the highest caliber. From now on, those crooks will think twice before accosting someone of my particular refinement and resources. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '144', 'm48t', 'Do I Look Like a Simpleton?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '145', 'm49o', 'Say, friend, give me a moment of your time. There\'s a tough guy holed up near here whom I have instructed to leave the planet. He\'s refused to listen to me. I\'m a fair man, so I want to hire you as an intermediary in this dispute. Would you blow him to pieces for me? Be careful, he has the death sentence on twelve systems.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '146', 'm49c', 'Now that\'s what I call fine work, friend. You showed class and style by handling his friends, too. Here, buy something nice with these credits. You earned them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '147', 'm49t', 'Death Sentence on Twelve Systems');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '148', 'm50o', 'Ever seen a golden bantha? They\'re rare and spectacular creatures. I owned one until yesterday, when a band of pelt smugglers killed it for the fur. I can\'t get my bantha back, but I can get retaliation. I know where they keep their contraband. I\'d like to contract you to level the place. WIpe them out, all of them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '149', 'm50c', 'I\'ll always remember the scent of that smoke lingering over the ashes of those smugglers. You\'re very good, there\'s no denying that. Here\'s your payment. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '150', 'm50t', 'The Spectacular Golden Bantha');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_neutral_medium_npc.stf', '151', 'number_of_entries', '50');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '1', 'm1o', 'The Empire\'s draconian tactics have created an influx of refugees, many of which are recruited by swoop gangs. This has increased violent crimes. We have plenty of work for agents who want to lend a hand to keep peace and order in our communities. We know where these gangs gather and we need those places cleared out. Think you can help? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '2', 'm1c', 'Good work, citizen. One by one, we\'ll get all these wretched hives of scum and villainy. Have a drink on us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '3', 'm1t', 'Clean up the streets');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '4', 'm2o', 'Our agents have uncovered a major glitterstim dealer\'s lair. We need to put this scum out of business and we need your help to do it. The dealer has hired some muscle to protect their precious goods. A quick, stealthy strike, however, ought to get the job done. We always reward results too. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '5', 'm2c', 'Nothing quite as sweet as the smell of burning spice in the morning, eh? Good job, citizen. Keep up the good work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '6', 'm2t', 'Destroy Spice Dealer\'s Stash');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '7', 'm3o', 'I shouldn\'t be doing this, but I need your help. My son was implicated in a murder but released for lack of evidence. He didn\'t kill anyone but I know who did. The thugs he hangs out with are thieves and murderers. My son is currently offworld. I need you to blast that gang\'s hideout while he\'s gone. Teach those animals never to bother us again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '8', 'm3c', 'My superiors had ordered me to let local law enforcement handle this situation but I\'m sure you know that would have resulted in the loss of my son. I\'m a dedicated member of the Alliance but also a devoted parent. My thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '9', 'm3t', 'A Desperate Parent');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '10', 'm4o', 'Four fatal beatings have taken place in the last six weeks. A new gang has moved into the neighborhood and is announcing its presence. The local authorities have their hands full assisting the Empire in tracking us down. So we\'re taking matters into our own hands. We need you to march into that gang\'s hangout and blast those murderers to atoms.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '11', 'm4c', 'Being a member of the Alliance does not mean we turn our backs on our communities. That\'s what we\'re fighting to protect. Good work, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '12', 'm4t', 'Smash the Gang');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '13', 'm5o', 'A swoop gang has been terrorizing the area. Their recent \"fun\" consists of zooming down streets and sniping citizens through windows. The body count so far is nine dead and six others wounded. We want these animals stopped. We\'ve acquired the coordinates to this swoop gang\'s hideout. Will you rid these good people of this terrible menace? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '14', 'm5c', 'You\'re alright, buddy. Good to see that someone cares enough about other people to lend a hand. All the better that the hand is being paid for those efforts, eh?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '15', 'm5t', 'Stop the Swoop Gang');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '16', 'm6o', 'Some slavers have been operating in this area. Indeed, these slavers have been known to take humans as well. Through the help of Intelligence, we\'ve located their lair. We need a small strike team to assault this base. Can you help the Alliance put a stop to this despicable practice? The reward will be well worth it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '17', 'm6c', 'Handled like a true professional. We hope you consider working for us again. Enjoy your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '18', 'm6t', 'Stop the Slavers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '19', 'm7o', 'A group of dangerous criminals is using an old halfway house in our area as a hideout and refuge from authorities. We want this place wiped out and those murderers run off or brought to justice. We can\'t ignore their activities any longer. We\'ll pay a reward to anyone willing to undertake and complete this task. Are you the citizen we\'re looking for?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '20', 'm7c', 'We\'re glad to see you share our enthusiasm to create safe neighborhoods for our children. You deserve this reward, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '21', 'm7t', 'Clean Out the Halfway House');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '22', 'm8o', 'An illegal weapons lab has been supplying the local gangs with homemade explosives, which they\'ve gladly used in recent attacks. This lab is being run by a particularly vicious gang of killers. We need to take this lab out of commission, especially since it\'s attracting disgruntled weapons specialists from around the galaxy. Can you help us out? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '23', 'm8c', 'Nicely done, citizen. Take your reward and remember that there\'s plenty more where that came from.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '24', 'm8t', 'Blow Up the Explosives Lab');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '25', 'm9o', 'Local thugs have been harassing the people of this area. They loiter around an abandoned settlement and get high on glitterstim. We\'re offering a reward to any agent that\'ll go in there and blast that wretched hive to pieces. That would certainly get the point across, eh? Most of these thugs are bullies and cowards so you shouldn\'t have too much trouble.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '26', 'm9c', 'Told you those creeps wouldn\'t put up much of a fight. Bet they don\'t come around here no more. The reward is yours.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '27', 'm9t', 'Scare the Thugs Away');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '28', 'm10o', 'There\'s been an increase in break-ins around here recently. We know who\'s behind it but the local authorities are turning a blind eye because most of the victims are sympathetic to the Alliance. It\'s time we got involved. We need you to run the criminals behind those thefts out of town. Blasting their hideout to atoms ought to get the point across.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '29', 'm10c', 'Those citizens will sleep easier at night now. Good job, agent. Come see us again soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '30', 'm10t', 'Stop the Thieves');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '31', 'm11o', 'A bunch of criminal slugs have been harassing the women of this neighborhood. We\'ve heard of these guys. They were run out of another town after they assaulted a young woman. We feel these predators will repeat that pattern soon. We know where these creeps have set up shop and are certain they\'d vacate the premises if their lair were blasted to pieces. Can you help us?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '32', 'm11c', 'Well struck, citizen! You\'ve made this area safer for women. Enjoy the reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '33', 'm11t', 'Get Rid of Slimy Predators');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '34', 'm12o', 'A shyster has been cheating older retired folks out of their life savings. This creep goes around selling bogus cruises on luxury starliners that don\'t exist. Further, this slimeball has hired some local toughs, thinking that their presence will scare away any citizens seeking to get their money back. It\'s time we put a stop to this activity. Think you can help?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '35', 'm12c', 'Good work! No one has the right to cheat decent folk out of their life savings. You\'ve made sure that point was made, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '36', 'm12t', 'Smash the Shyster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '37', 'm13o', 'The same brutish thugs have mugged half a dozen decent people in the last month, one of which died last night as a result of the injuries. We\'d prefer to handle these animals on our own terms rather than get the local authorities involved. Slime like this want us to believe that life in the universe is cheap. Well we\'ve got news for those slugs - life is not cheap. Can you help us make that point?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '38', 'm13c', 'Thank you, citizen. Take the reward, you\'ve earned it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '39', 'm13t', 'Stop the Murderous Muggers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '40', 'm14o', 'Have you ever heard of the Vibrodagger Killer? We think we\'ve finally tracked this heinous murderer down. He\'s hiding in a small abandoned settlement near here. We believe there may be other murderers hiding there as well. The time for justice is at hand. We need someone to go in there and wipe that place out. You up to that task?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '41', 'm14c', 'That should put an end to these horrible crimes. Assuming it was the actual Vibrodagger Killer in that settlement, that is. You\'ve earned your reward in any case.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '42', 'm14t', 'Stop the Vibrodagger Killer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '43', 'm15o', 'A gang of hooligans has been terrorizing this neighborhood for months now. Their favorite tactic is hurling homemade firebombs at passing speeders. So far three people have been killed by these attacks. The local authorities are swamped and can\'t devote the time necessary to stop these criminals. We need an independent agent to take up the cause of justice.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '44', 'm15c', 'Looks like you gave those thugs a taste of their own medicine. Good job! This neighborhood could use more folks like you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '45', 'm15t', 'Stop the Firebombers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '46', 'm16o', 'A gang has decided to set up a protection racket in our area. The local merchants have been forced to pay protection money after one shop was blown to pieces with the shop owner and his family still inside. The gang is paying bribes to the local law enforcement authorities so they ignore these criminal activities. We need you to put a stop to this gang.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '47', 'm16c', 'Looks like the gang forgot to pay their own protection money. Good work, citizen. The reward is yours.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '48', 'm16t', 'Stop the Protection Racket');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '49', 'm17o', 'A local glitterstim dealer got my son addicted to that poison and now my boy is rotting in an Imperial prison while the dealer continues to pedal his filth. It\'s time we put a stop to this criminal\'s activities. I\'m offering a reward to anyone that goes into that dealer\'s lair and blasts everything in sight. That nest of silica parasites needs to be cleaned out.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '50', 'm17c', 'You\'re an effective agent of justice, citizen. You\'ve made the streets safer for our youth. This is one reward I am happy to pay.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '51', 'm17t', 'Stop the Glitterstim Dealer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '52', 'm18o', 'The Alliance employs smugglers to procure supplies, but we don\'t work with just every smuggler that comes along. A particularly crooked gang has set up a stronghold to fence stolen goods offworld. We want that smuggling gang stopped. Getting goods past Imperial blockades in a good cause is one thing, but crooks are crooks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '53', 'm18c', 'This world could use a lot more straight-shooting folks like you. Thanks, and here\'s your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '54', 'm18t', 'Crooks are Crooks');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '55', 'm19o', 'Our approved \"procurement specialists\" smuggled some weapons to us past the Empire, landed, and promptly got robbed at blaster-point! Some completely different smugglers have taken our weapons to their depot. This stinks! Will you go wipe out those crooks -- I mean, the second gang of crooks, the one who stole from our crooks?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '56', 'm19c', 'What a revolting development that was. Isn\'t there any honor among thieves? Well, forget I asked that. Thanks for your efforts.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '57', 'm19t', 'Smugglers Stole From Our Smugglers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '58', 'm20o', 'A strong criminal element is part of life around here, but now thugs are actually barging into innocent people\'s homes and robbing them in their beds. It has to stop. We know of one stronghold where the thugs especially like old people -- \"like\" them the way the Empire likes slave races. If you take out that stronghold, we\'ll reward you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '59', 'm20c', 'Nice work. It\'s only one step in a long project, but it\'s a step. Here\'s your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '60', 'm20t', 'Criminals Robbing Citizens at Home');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '61', 'm21o', 'Settlers in this area who have children are complaining about criminals hanging around and chatting with their kids. No doubt they\'re recruiting for a life of crime. Fortunately, the parents tracked these crooks to their hideout, and they asked us for help. The task falls to you to wipe out these crooks and burn their stronghold. We\'ll have a reward for you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '62', 'm21c', 'This reward actually comes from the grateful parents. You can be proud of your work today.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '63', 'm21t', 'Crooks Recruiting Children');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '64', 'm22o', 'I don\'t want to get too personal here, but my true love fell in with a criminal element and deserted me. Things must have gone wrong in the underworld, because now we\'re back together -- at least, I hope so. But my sweetheart told me horror stories about a particular criminal lair. I want you to go there and wipe it out. Trust me, you\'ll be doing good.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '65', 'm22c', 'Thanks. My sweetheart and I pooled our savings to pay you this reward. We\'re pooling our lives, too -- we\'re getting married. Wish us better luck!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '66', 'm22t', 'Sweetheart Returns From Life of Crime');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '67', 'm23o', 'The Alliance is forced to work with smugglers, so it sort of makes sense that I fell in love with one. \"Makes sense\" in a generally stupid way, I mean. I regret it now, and I see that my true love was just using me. I can\'t do anything about that. But I can hire you to destroy the criminal lowlifes who pretended loyalty to the Alliance. That ought to send a message!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '68', 'm23c', 'Thanks. I\'m pretty sure my love got that message loud and clear. It\'s never a good idea to fall in love with criminals, even the attractive ones. Especially the attractive ones!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '69', 'm23t', 'Jilted Lover Commissions Revenge');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '70', 'm24o', 'The Alliance tried to open negotiations with a smuggling gang to get supplies past Imperial blockades. That is, we thought they were smugglers. They\'re gangsters, the ruthless kind, and they sent back our negotiator in six pieces. We want you to take a team and wipe out that base. Our fallen member deserves that much.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '71', 'm24c', 'Thanks. This has been a lousy business all around. At least we can give you this reward for your good work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '72', 'm24t', 'Gangsters Killed Alliance Negotiator');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '73', 'm25o', 'One of our pilots went to arrange transport of some power cores that a \"procurement specialist\" just smuggled on-planet. He got ambushed by a pirate gang that killed the smuggler to get the power cores. Our pilot barely escaped, without the cores. We expect the cores are already gone. But we want you to wipe out the pirates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '74', 'm25c', 'Thanks. Your work is the the only good that has come out of this mess. Now where are we supposed to get more power cores, let alone another smuggler?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '75', 'm25t', 'Smuggler Ambushed by Pirates');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '76', 'm26o', 'I\'m a transport captain by trade. I\'ve been arguing for a major offensive against the local pirate gangs. If these thugs attack Imperials, the Empire destroys them, but if the pirates go after us, local law enforcement sees no trouble. Alliance HQ has given me a budget to commission operators like you to take out these pirates. Go to it!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '77', 'm26c', 'Good job. You\'d probably make a pretty good transport pilot yourself. From me that\'s high praise!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '78', 'm26t', 'Transport Captain Hates Pirates');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '79', 'm27o', 'I joined the Alliance because gangsters kept pushing me around, and the corrupt Imperials wouldn\'t do anything about it. Maybe the cause of freedom doesn\'t necessarily need a vaporator merchant, but I try to help. You can too, if you\'ll root out the gangsters that shook me down. Go to these coordinates and shoot everyone, okay?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '80', 'm27c', 'Thanks. I sort of miss my old life selling vaporators, but I\'m glad to work with good folks like yourself.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '81', 'm27t', 'Former Seller of Vaporators');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '82', 'm28o', 'A local farm family has been hit by droid rustlers. Gangsters stole all their working droids at blaster-point. It burns me that the local Imperial goons won\'t send even a droid to help them. When the Empire sits down, the Alliance needs to stand and act. We want you to -- well, you\'re probably way ahead of me. Go to it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '83', 'm28c', 'Some farmers say stealing their droids is a worse crime than kidnapping their spouse or children. Let\'s hope you\'ve prevented it from happening again. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '84', 'm28t', 'Farming-Droid Rustlers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '85', 'm29o', 'A scout has located the Carbanti United starship sensor arrays that pirates stole from us. With those sensor arrays the pirates have their choice of ships to pick off -- including ours. We need you to take these coordinates and give those pirates a violent lesson about stealing from the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '86', 'm29c', 'Good thing those pirates didn\'t use their sensors to see you coming. Great work!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '87', 'm29t', 'Pirates Holding Carbanti Sensors');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '88', 'm30o', 'A pirate gang stole a subspace frequency encryptor. The Alliance had high hopes to use this device to talk over the Imperial HoloNet without detection. A scout located the pirate stronghold for us. It\'s your job to shoot pirates and take names, and don\'t worry much about the \"taking names\" part.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '89', 'm30c', 'Thank you. Now our next step is to locate that frequency encryptor. Who knows? We may have more work for you soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '90', 'm30t', 'Pirates With Subspace Transceiver');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '91', 'm31o', 'A scout located a local gang that stole some kind of construction equipment -- it says here, a Karflo Corporation G2-GE beamdrill. Apparently this thing can punch through anything short of an Imperial walker. Wow, I guess we\'d better destroy that gang quick. Wait, this report says that\'s your assignment. Okay then. Go to it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '92', 'm31c', 'Did you find a beamdrill? Well, I hope it\'s in ruins inside that stronghold. I don\'t want the Alliance to see that in battle. Okay, I\'m supposed to thank you and give you the reward. Here you go. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '93', 'm31t', 'Beamdrill Pirate Stronghold');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '94', 'm32o', 'A gang stole an Industrial Automaton heavy construction droids. These things are as big as buildings; I guess the gang wanted to cut it up for parts. Our scout tracked the gangsters, but didn\'t see the droid. We\'ll find the droid somehow, but for now, we\'d like you to take care of the little matter of the gang. As in, wipe them out.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '95', 'm32c', 'We learned that the construction droid was shipped offworld, intact. We don\'t know where or why. Maybe we\'ll find out and let you know.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '96', 'm32t', 'Gangsters With Construction Droid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '97', 'm33o', 'We always hate hearing about slavers, but a scout just reported a gang installation full of Thalassian Slavers Guild collars. The slave runners are well defended, but you can take them if you look sharp and shoot straight. We don\'t have any reports of slaves yet, so you can attack without fear of endangering hostages.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '98', 'm33c', 'It\'s a relief to hear those slave collars won\'t be put to use. At least, I\'m assuming you destroyed them with the stronghold. You didn\'t see them? Hmm. Well, then, we may have more work for you soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '99', 'm33t', 'Gangsters Running Slave Collars');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '100', 'm34o', 'I spotted an executive of BlasTech, the weapons manufacturer, meeting with some shady customers in a cantina. I followed them into the wilderness to a gangster outpost. That BlasTech is dealing with criminals doesn\'t surprise me a bit. But they\'ll be surprised when you assault and level their outpost. Are you up for the task?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '101', 'm34c', 'That\'s terrific! I hope you got the BlasTech executive too. It would be sweet irony if those wartime profiteers died by bolts from their own blasters. But that\'s just my own view.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '102', 'm34t', 'BlasTech Exec Deals With Gangsters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '103', 'm35o', 'Black-market crooks are selling counterfeit Alliance military medals. For a few credits you can get a ribbon for service at the Battle of Yavin. Trouble is, they have hidden Imperial bugs -- the Empire uses them to track sympathizers. We want you to put a stop to these black-market Imperial stooges, in the most violent way you know.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '104', 'm35c', 'That was an insidious scheme even by the Empire\'s standards, but you put a stop to it. Thanks for your work helping the Alliance. Here\'s your reward!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '105', 'm35t', 'Black-Market Alliance Medals');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '106', 'm36o', 'A fraudulent \"import agency\" promises cheap shipments from offworld. This band of piratical con artists has been taking local residents for a fortune. Ten fortunes! It\'s time to show citizens that the Alliance stands not only against the Empire, but against thievery everywhere! --Sorry, I\'m getting carried away. I got taken myself. So I\'d really like you to destroy these pirates, okay?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '107', 'm36c', 'That\'s a very satisfying piece of news. I feel somehow redeemed. Here\'s your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '108', 'm36t', 'Fraudulent Import Agency');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '109', 'm37o', 'This is the lousiest swindle I ever heard. Pirates con survivors of Alderaan into taking memorial capsules to the Graveyard of Alderaan. Then the pirates kill the passengers, rob the bodies, and dump them in the Graveyard. These crooks are right here on this world! You have to stop them, comprehensively and permanently.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '110', 'm37c', 'Thank you. Someone had to stop those sleemos from desecrating the memory of the Empire\'s worst atrocity. Please accept this payment for your excellent work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '111', 'm37t', 'Pirates Running Alderaan Scam');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '112', 'm38o', 'Gangsters are running a scam selling milkstone rings to newly engaged couples. The milkstone is fake, and highly radioactive to boot. Stopping hazardous engagement rings is not the Alliance\'s core mission, but we can offer you a decent reward for stopping these gangsters.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '113', 'm38c', 'Newly engaged couples across the planet are safer today because of you. My hero! Sorry, just kidding. Here\'s your payment, thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '114', 'm38t', 'Milkstone Ring Scam');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '115', 'm39o', 'A local Alliance supporter\'s daughter started dating a gangster. The father went to the gang stronghold to, I guess, give everyone involved a good talking-to. That worked about as well as you\'d expect. The gang beat up the father and threw out the daughter. Now they want us to destroy the gangsters. Can you take this off our hands? There\'s a reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '116', 'm39c', 'We don\'t like gangsters, obviously. But this kind of knuckleheaded distraction just gets in the way of our real work. Thanks for disposing of the matter for us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '117', 'm39t', 'Father-Daughter-Gang Triangle');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '118', 'm40o', 'The community elders at a remote settlement have approached us for help. A group of gangsters has set up a base in their area, and the elders seem to find a lot of the gang\'s activities to be of dubious morality. Who could have guessed? Well, they offered us a reward to destroy the gang, and we\'ll pass it along to you if you\'ll take the job.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '119', 'm40c', 'The community elders send their thanks. I wonder if you get the community elder job automatically if you just live long enough? I don\'t think I\'ll ask. Here\'s their reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '120', 'm40t', 'Elders Warn of Gangsters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '121', 'm41o', 'A landowner sympathetic to the Alliance is having trouble with his current tenants. Basically, they\'re -- how to put this delicately? -- they\'re pirates. Our friend has tried to get local law agencies to oust the pirates, but they\'re hardly better than crooks themselves. He asked our help. We\'re asking yours. Can you take out the pirates?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '122', 'm41c', 'Thanks. The landowner sends along this reward with his thanks, too. The view will be a lot better out on that land without that pirate base messing up the terrain.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '123', 'm41t', 'Landowner Wants Pirates Evicted');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '124', 'm42o', 'Jabba the Hutt keeps trying to extend his slimy reach. His swoop gang leader, Big Gizz, is setting up a new gang near here. Gizz fired a warning shot off our bow, so to speak, by buzzing one of our speeders. Well, we want to fire a shot right back -- not a warning, a termination. And we want you to fire that shot -- as many as you need to wipe out the gang.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '125', 'm42c', 'That gang sounds tougher than some I\'ve seen. I guess Jabba is really interested in that territory. Or maybe it\'s a franchise. Anyway, nice job!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '126', 'm42t', 'Jabba\'s Latest Swoop Gang');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '127', 'm43o', 'Our scouts have discovered slavers selling Twi\'lek women to settlers in remote areas. The slave trade has got worse lately, particularly the Twi\'lek trade. Imperial Security is doing nothing, of course. We\'re hiring you to assemble an experienced strike teams that can handle a challenge. Interested?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '128', 'm43c', 'The Twi\'lek women will thank you for removing that threat. There are always more slavers, though, so expect to hear from us again. Meanwhile, here\'s your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '129', 'm43t', 'Twi\'lek Slavers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '130', 'm44o', 'Rumors say some old medicine man or shaman from the Outer Rim is on this world, trafficking in weird medicines and organs of local animals. He\'s got a smuggling gang that\'s poaching the local herds. Farmers have complained to the Empire, but no luck. It\'s up to us to stop this shaman\'s strange gang. Are you willing?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '131', 'm44c', 'On behalf of the local farmers, thanks. That shaman apparently comes from a remote world called Omwat. Don\'t suppose you saw him? We\'ll probably hear from him again, is my guess.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '132', 'm44t', 'Strange Shaman\'s Gang');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '133', 'm45o', 'We\'ve learned what happened to those Locris Syndicated Securities mobile prisoner cages that we lost a while back. Turns out slavers are using them to transport Twi\'lek slave women. That\'s a stinking business, and we want you to stop it. Destroy the slavers, and if you see any cages, destroy those too. Free the slaves, if there are any.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '134', 'm45c', 'We didn\'t think you\'d find any slaves there. Slavers tend to sell those Twi\'leks as fast as they can kidnap them. \"Can\'t keep \'em in stock,\" I guess! Sorry, that was tasteless. Honestly, we\'re glad you stopped them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '135', 'm45t', 'Mobile Prisoner Cages Found');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '136', 'm46o', 'Bad news. An Alliance testing facility was working with a prototype Miradyne sensor jamming system. Corporate espionage agents broke into the facility and stole the prototype. But the prototype had a hidden tracking beacon, and we\'ve found the thieves. They\'ve probably already disposed of the prototype, but we want you to make sure they never steal from anyone again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '137', 'm46c', 'The loss of that prototype hurts. But we\'ll get another eventually. Next time we\'ll plant it with 30 or 40 hidden beacons, just cover the thing in hidden beacons. Yeah, that\'ll work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '138', 'm46t', 'Sensor Jamming Prototype Stolen');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '139', 'm47o', 'An Alliance engineer was travelling here to report the Imperial Security Bureau\'s use of poison gas against our fighters on Cularin. Gangsters with an implausibly close knowledge of his itinerary ambushed his landspeeder. We found his body soon after, and tracked the gang to these coordinates. We want you to terminate that gang.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '140', 'm47c', 'You resolved that gang problem efficiently -- just like the Empire managed to resolve its problem with our engineer. The war goes on. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '141', 'm47t', 'Engineer\'s Murderers Sought');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '142', 'm48o', 'The Alliance has commisioned Incom to design an experimental new starfighter, the \"A-wing.\" They were hand-delivering a refinement to the current schematics, but industrial saboteurs stole the plans. We traced the thieves to an installation outside town. Get to the base and blow it up before they can move the plans offworld.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '143', 'm48c', 'Thank you. The A-wing could be the fastest starfighter in the galaxy, once we clean up all the designs. That should be, oh, four or five years maybe. Let\'s hope.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '144', 'm48t', 'A-Wing Plans Stolen');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '145', 'm49o', 'The Empire is scheming to release an airborne virus during Core Worlds protests against the Emperor. Thousands could die. We developed a retrovirus and were delivering it for transport offworld, but thieves ambushed our courier and killed him. We\'re synthesizing a replacement antidote, but meanwhile, we want you to clean up that thief problem by blowing up their base.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '146', 'm49c', 'The replacement retrovirus is being delivered. Hope the new courier has better luck. Thanks for your help!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '147', 'm49t', 'Retrovirus Courier Murdered');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '148', 'm50o', 'An Alliance fighter of remarkable courage infiltrated the Imperial Security Bureau on Coruscant. He sent us priceless intelligence that saved many lives. But the Empire discovered him, and he fled to this planet. That wasn\'t far enough to escape the ISB\'s hired thugs, who killed him on our doorstep. But we know where the thugs live. We want you to go there and make sure they don\'t any more -- live, I mean.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '149', 'm50c', 'Our agent in the ISB deserved a better fate. I wish he\'d lived long enough to see the Republic restored.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '150', 'm50t', 'Alliance\'s ISB Agent Murdered');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_easy.stf', '151', 'number_of_entries', '50');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '1', 'm1o', 'A major Black Sun glitterstim lab has been located by Intelligence. These crooks are well-connected and have local law enforcement in their pockets. We need to hit this facility hard and put it out of commission for good. A team of highly skilled agents ought to be able to accomplish this mission. Think you\'re up to the task, agent?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '2', 'm1c', 'Bravo, agent! Your results never cease to impress us. We\'re glad to employ an agent as effective as you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '3', 'm1t', 'Destroy Glitterstim Lab');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '4', 'm2o', 'We\'ve located the hideout of a local branch of the notorious swoop gang, the Shadow Angels of Dathomir. These creeps move fast so this is a job for a small group of skilled and dedicated agents. The right strike team can blast this hideout and all of those vicious criminals to pieces before they had a chance to even look around. Can we count on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '5', 'm2c', 'These gangs are always braver in packs and even then they can\'t put up a good fight when confronted with talent like yours? Job well done, agent. That reward is going to the right individual.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '6', 'm2t', 'Raid the Shadow Angels');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '7', 'm3o', 'A cadre of Black Sun assassins has converted an abandoned mining installation into a stronghold that specializes in training killers. We can\'t afford to let this assassin academy continue to operate. We\'re offering a substantial reward to the strike team that can pull this off. Attacking this facility is no small matter. You feel like making history, agent?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '8', 'm3c', 'Now that was something. You should be working for SpecForces, agent. Excellent job. You\'ve definitely earned this reward. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '9', 'm3t', 'Smash Assassin\'s HQ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '10', 'm4o', 'It has been brought to our attention that a group of trusted couriers is also selling information to Imperial Intelligence. We need these couriers removed and their records destroyed. Here are the coordinates to their base. The Empire has tried to infiltrate our organization with these sorts of agents before. It always leads to a tragic loss of life.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '11', 'm4c', 'Your actions were those of an exemplary agent. War is a terrible thing and the sooner we end this one the better.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '12', 'm4t', 'Take Out Imperial Moles');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '13', 'm5o', 'Jabba\'s swoopers think they can move into any system they like and stake their claim. Well not while we have something to say about it. Big Gizz is wanting to expand his organization beyond Mos Eisley. We need a hardy band of skilled agents to show these new \"branches\" that the galaxy is a dangerous and treacherous place. Think you can help?  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '14', 'm5c', 'Well done, agent. It\'s bad enough that we have to take on the Empire. These vicious criminals are certainly taking advantage of this civil war.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '15', 'm5t', 'Take On Jabba\'s Swoopers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '16', 'm6o', 'Deathsticks in a decent community! Is nowhere safe from the corruption of this vile drug? We\'ve learned from our sources that a so-called \"esteemed businessman\" is secretly fronting a distribution center for this contemptible substance. The villain pays the local Moff huge bribes so the Empire has refused to interfere. Can you stamp out this blight on galactic decency?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '17', 'm6c', 'Well struck, citizen. Our fight is not only against the Empire but also against the corrupt system that supports it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '18', 'm6t', 'Stamp Out the Deathstick Dealer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '19', 'm7o', 'Vile pirates in our very own sector! These despicable cutthroats have raided one of our freight ships and stolen a precious cargo of TDL nanny droids headed for orphanages in the Outer Rim. We need a team of agents to lay waste to these loathsome murderers. We have the coordinates to their secret den. We must fight back for the sake of goodness.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '20', 'm7c', 'Those poor orphans will never get their nanny droids, but at least they can lay down their little heads at night knowing that the villains who robbed them died a horrible, fiery death.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '21', 'm7t', 'Stop the Thieving Pirates');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '22', 'm8o', 'Piracy is a major concern for the Alliance. Our ships in particular draw those predators like skettos to a sleeping dewback. We\'ve discovered that many of these pirates have banded together to form some sort of \"Brotherhood.\" We\'ve used our resources to pinpoint the locations of some of the busiest spaceports used by these rogues. Can you knock these ports out of commission?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '23', 'm8c', 'Good work. Remember there\'s plenty more of those havens out there. We\'ll continue to pay as long as you continue to produce results.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '24', 'm8t', 'Smash the Pirates\' Haven');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '25', 'm9o', 'You may have heard that a Viceprex of the Tagge Company, the big shots of the Corporate Sector, got kidnapped by pirates. They just returned him for a huge ransom, but they didn\'t find the tracking beacon in the payment. We tracked the pirates to a stronghold on this world. Get out there with a team and hit them hard. There\'s a big reward!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '26', 'm9c', 'We know most Corporate Sector Viceprexes don\'t like the Alliance much -- bad for business, they think -- but we still don\'t like seeing executives kidnapped. Thanks, and here\'s your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '27', 'm9t', 'Ransom for Tagge Viceprex');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '28', 'm10o', 'Apparently the Black Sun criminal organization is doing the Empire\'s dirty work, not that the Empire would shy away from dirty work. Black Sun gangsters are burning the homes of Alliance sympathizers. The thugs are suspiciously well armed, and their remote base is heavily defended with Imperial-grade weaponry. Can you assemble a team and take out the Black Sun base?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '29', 'm10c', 'That was quite an undertaking. You pulled it off with aplomb, and in this job I don\'t get to use the word \"aplomb\" often enough, believe me. You deserve this reward!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '30', 'm10t', 'Black Sun Doing Empire\'s Work');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '31', 'm11o', 'A remarkably well equipped smuggling gang has been stealing Alliance supplies of rock ivory. To keep our repulsorlift engines running well, we have to stop this theft. The smuggler base is protected with some heavy hardware, so make sure your team is loaded for krayt. This is a big job, with a big reward. Hope you\'re up to the task.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '32', 'm11c', 'The rock ivory wasn\'t in the base, was it? We had a hovercam observing, but we didn\'t spot it. You did a great job, thanks -- but we need to find that rock ivory soon. We\'ll be in touch.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '33', 'm11t', 'Rock Ivory Thieves');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '34', 'm12o', 'A bizarre criminal plastic-surgery operation is taking known felons, changing their faces, and putting them in new jobs -- sometimes government jobs. This crazy scheme will make us all paranoid. Maybe that\'s the point. We\'d like you to destroy the criminal base; it\'s at these coordinates. Expect heavy opposition.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '35', 'm12c', 'Good thing you took out that face-changing operation. Otherwise you couldn\'t even be sure this was me! Haha! Hey, I was only kidding. It\'s me. All right?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '36', 'm12t', 'Face-Changing Criminal Operation');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '37', 'm13o', 'We\'ve discovered a gang of smugglers who extract illicit data that Core Worlds slicers have encoded into droid brains. The smugglers are ruining the droids in the process, so we want to shut them down. They have a very well defended operation, so I suggest you put together a good strike team to take them out.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '38', 'm13c', 'Thanks for your smooth handling of a tough assignment. This place needs all the droids it can get, without corrupted brains. Take this reward with the Alliance\'s thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '39', 'm13t', 'Smugglers Coding Droid Brains');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '40', 'm14o', 'Can you believe that a criminal syndicate is passing messages coded into HoloNet entertainment programs? Our slicers decoded their scheme and learned of a major glitterstim shipment due to arrive on this world. We have the coordinates, and we want you to destroy the crooks before the drugs arrive. Careful -- they sound pretty tough.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '41', 'm14c', 'Thanks. The Alliance wants to restore freedom to the galaxy, but not freedom to ship in stupid drugs to get our kids hooked. You deserve this reward, friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '42', 'm14t', 'Criminals Coding HoloNet Messages');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '43', 'm15o', 'My sister was running medical supplies to an Alliance hospital on this world when she ran into some gangsters. Or rather, the gangsters ran into her -- rammed her speeder into a mountainside and shot her. I had a scout locate the gang hideout, and now I need someone to go in and commit some serious revenge. Are you willing to help?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '44', 'm15c', 'Thanks, I feel a little better. It\'s not just revenge, you know -- it\'s keeping this whole area safe for innocent folks. I didn\'t think about that when I hired you, but it\'s still true.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '45', 'm15t', 'Vengeance for a Slain Sister');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '46', 'm16o', 'Pirates stole one of our smuggling freighters. It\'s not the kind of crime you can report to local law enforcement, so we\'ve located the crooks ourselves. We had a scout look over the defenses -- turns out they\'re pretty tough. If you\'re up to it, we\'d like you to assemble a strike team and assault the pirate base. Destroy the whole works, if you can.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '47', 'm16c', 'That was an extraordinary performance. I\'ll have to tell Alliance headquarters about your efforts. Glad we don\'t have to worry about that particular gang any more.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '48', 'm16t', 'Pirates Steal Smuggling Freighter');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '49', 'm17o', 'A local teacher who sympathizes with our cause has turned her students into Imperial observers. They go out in the wilderness and report on the strength of the Empire\'s bases. One student just discovered a well-defended gangster base, apparently involved in fencing power cores. We want you to take that base and blow it up good.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '50', 'm17c', 'Thanks! By the way, the student got extra credit for that assignment. Here\'s your own version of extra credit -- a nice reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '51', 'm17t', 'Student Discovers Gang Base');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '52', 'm18o', 'A lot of droids from our local bases are getting lost. A directional beam is bathing this whole complex with a coded signal that messes with the programming of certain droid brain models. We think gangsters are reprogramming our droids to wander right into their stronghold. We located the place, and now we want you to destroy it. Be ready for a tough fight.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '53', 'm18c', 'Thanks. The droids seem to be finding their way back home now. Here\'s a reward for your efforts.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '54', 'm18t', 'Droids Getting Really Lost');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '55', 'm19o', 'You probably don\'t want to hear about my troubled adolescence, so I\'ll just say that a particular bunch of gangsters has been following me from planet to planet for the last three years. I don\'t want anything to do with them now that I\'m in the Alliance, but they won\'t leave me alone. Can you take care of this ongoing problem once and for all?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '56', 'm19c', 'Thanks! I had too much history with that gang, and they didn\'t want to let me forget it. It\'s better for me and for the Alliance that you got rid of them. I\'m glad to pay this reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '57', 'm19t', 'Troubled Past Has Returned');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '58', 'm20o', 'Some former friends got me to invest in a \"mining operation\" in the countryside. Turns out they started a smuggling gang -- a real growth industry there -- and they\'re not interested in helping the Alliance. So, with me out a lot of credits, and the Alliance facing trouble from these new smugglers, it makes sense to hire you to destroy their base. Are you okay with that?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '59', 'm20c', 'Thanks. I thought about alerting my former friends to get out before you arrived, and then said, \"Naah.\" I made the right choice, and you did the right thing. Here\'s your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '60', 'm20t', 'Former Friends Turned Smugglers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '61', 'm21o', 'We\'ve learned of a pirate gang that somehow got its hands on a few Imperial TIE fighters. Very bad news. We found the likely location, and we need a large, experienced strike team to take out the base, especially the TIEs -- assuming the ships are still there.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '62', 'm21c', 'No TIE fighters there? Good. It would be a crazy galaxy if ordinary criminals could get state-of-the-art Imperial ships. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '63', 'm21t', 'Pirates with TIE Fighters?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '64', 'm22o', 'Local droid repair merchants are complaining that smuggled chromium plating is undermining their business. It\'s not our \"procurement specialists\" doing the smuggling, so someone new has entered the field. The merchants hired a scout to locate the smuggling base, and they\'ve asked us to destroy it. Can we hire you to do the job?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '65', 'm22c', 'Thanks. The merchant association was getting quite insistent about this. And anyway, we like to help them out when we can. Here\'s the reward they offered.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '66', 'm22t', 'Help Chromium Merchants');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '67', 'm23o', 'The Hutt criminal syndicate is using strongarm tactics to corner the local market for Lowickan firegems. The scout report we have indicates a well fortified installation as the center for the gang enforcers. We\'d like to keep Hutt activity on this world to a minimum, as hard as that sounds. Can you put together a strike team and assault the place?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '68', 'm23c', 'It\'s impossible to keep Hutts from leaving a moist trail on nearly every civilized world, but we try. Your efforts today certainly helped! This is your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '69', 'm23t', 'Hutts Cornering Lowickan Firegems');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '70', 'm24o', 'To restrict local hyperdrive repair operations, the Corporate Sector has bribed local Imperials to blockade durelium imports. One of our \"procurement specialists\" just made it through with a good supply, but Black Sun gangsters promptly hijacked it and took it offworld again. This has to stop. Destroy the Black Sun base!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '71', 'm24c', 'Good job, against tough odds. We\'re lining up another supplier for durelium now, but it\'s hard work flying past Star Destroyers. We\'ll manage somehow, I hope.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '72', 'm24t', 'Black Sun Stealing Durelium');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '73', 'm25o', 'A local smuggling gang has murdered law enforcement officials using dart shooters tipped with Devaronian blood-poison. Usually the officials are in the Empire\'s pocket, but we still don\'t want smugglers taking the law into their own hands. The assignment for your strike team is to hit the smuggling base and destroy its stocks of Devaronian poison. If you don\'t see the poison, just destroy everything.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '74', 'm25c', 'Smugglers who use poison just give our \"procurement specialists\" a bad name. Glad you were able to take them out. Here\'s your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '75', 'm25t', 'Smugglers Using Devaronian Poison\n\n');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_hard.stf', '76', 'number_of_entries', '25');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '1', 'm1o', 'The Empire\'s draconian tactics have created an influx of refugees, many of which are recruited by swoop gangs. This has increased violent crimes. We have plenty of work for agents who want to lend a hand to keep peace and order in our communities. We know where these gangs gather and we need those places cleared out. Think you can help? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '2', 'm1c', 'Good work, citizen. One by one, we\'ll get all these wretched hives of scum and villainy. Have a drink on us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '3', 'm1t', 'Clean up the streets');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '4', 'm2o', 'Our agents have uncovered a major glitterstim dealer\'s lair. We need to put this scum out of business and we need your help to do it. The dealer has hired some muscle to protect their precious goods. A quick, stealthy strike, however, ought to get the job done. We always reward results too. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '5', 'm2c', 'Nothing quite as sweet as the smell of burning spice in the morning, eh? Good job, citizen. Keep up the good work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '6', 'm2t', 'Destroy Spice Dealer\'s Stash');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '7', 'm3o', 'I shouldn\'t be doing this, but I need your help. My son was implicated in a murder but released for lack of evidence. He didn\'t kill anyone but I know who did. The thugs he hangs out with are thieves and murderers. My son is currently offworld. I need you to blast that gang\'s hideout while he\'s gone. Teach those animals never to bother us again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '8', 'm3c', 'My superiors had ordered me to let local law enforcement handle this situation but I\'m sure you know that would have resulted in the loss of my son. I\'m a dedicated member of the Alliance but also a devoted parent. My thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '9', 'm3t', 'A Desperate Parent');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '10', 'm4o', 'Four fatal beatings have taken place in the last six weeks. A new gang has moved into the neighborhood and is announcing its presence. The local authorities have their hands full assisting the Empire in tracking us down. So we\'re taking matters into our own hands. We need you to march into that gang\'s hangout and blast those murderers to atoms.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '11', 'm4c', 'Being a member of the Alliance does not mean we turn our backs on our communities. That\'s what we\'re fighting to protect. Good work, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '12', 'm4t', 'Smash the Gang');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '13', 'm5o', 'A swoop gang has been terrorizing the area. Their recent \"fun\" consists of zooming down streets and sniping citizens through windows. The body count so far is nine dead and six others wounded. We want these animals stopped. We\'ve acquired the coordinates to this swoop gang\'s hideout. Will you rid these good people of this terrible menace? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '14', 'm5c', 'You\'re alright, buddy. Good to see that someone cares enough about other people to lend a hand. All the better that the hand is being paid for those efforts, eh?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '15', 'm5t', 'Stop the Swoop Gang');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '16', 'm6o', 'Some slavers have been operating in this area. Indeed, these slavers have been known to take humans as well. Through the help of Intelligence, we\'ve located their lair. We need a small strike team to assault this base. Can you help the Alliance put a stop to this despicable practice? The reward will be well worth it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '17', 'm6c', 'Handled like a true professional. We hope you consider working for us again. Enjoy your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '18', 'm6t', 'Stop the Slavers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '19', 'm7o', 'A group of dangerous criminals is using an old halfway house in our area as a hideout and refuge from authorities. We want this place wiped out and those murderers run off or brought to justice. We can\'t ignore their activities any longer. We\'ll pay a reward to anyone willing to undertake and complete this task. Are you the citizen we\'re looking for?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '20', 'm7c', 'We\'re glad to see you share our enthusiasm to create safe neighborhoods for our children. You deserve this reward, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '21', 'm7t', 'Clean Out the Halfway House');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '22', 'm8o', 'An illegal weapons lab has been supplying the local gangs with homemade explosives, which they\'ve gladly used in recent attacks. This lab is being run by a particularly vicious gang of killers. We need to take this lab out of commission, especially since it\'s attracting disgruntled weapons specialists from around the galaxy. Can you help us out? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '23', 'm8c', 'Nicely done, citizen. Take your reward and remember that there\'s plenty more where that came from.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '24', 'm8t', 'Blow Up the Explosives Lab');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '25', 'm9o', 'Local thugs have been harassing the people of this area. They loiter around an abandoned settlement and get high on glitterstim. We\'re offering a reward to any agent that\'ll go in there and blast that wretched hive to pieces. That would certainly get the point across, eh? Most of these thugs are bullies and cowards so you shouldn\'t have too much trouble.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '26', 'm9c', 'Told you those creeps wouldn\'t put up much of a fight. Bet they don\'t come around here no more. The reward is yours.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '27', 'm9t', 'Scare the Thugs Away');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '28', 'm10o', 'There\'s been an increase in break-ins around here recently. We know who\'s behind it but the local authorities are turning a blind eye because most of the victims are sympathetic to the Alliance. It\'s time we got involved. We need you to run the criminals behind those thefts out of town. Blasting their hideout to atoms ought to get the point across.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '29', 'm10c', 'Those citizens will sleep easier at night now. Good job, agent. Come see us again soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '30', 'm10t', 'Stop the Thieves');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '31', 'm11o', 'A bunch of criminal slugs have been harassing the women of this neighborhood. We\'ve heard of these guys. They were run out of another town after they assaulted a young woman. We feel these predators will repeat that pattern soon. We know where these creeps have set up shop and are certain they\'d vacate the premises if their lair were blasted to pieces. Can you help us?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '32', 'm11c', 'Well struck, citizen! You\'ve made this area safer for women. Enjoy the reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '33', 'm11t', 'Get Rid of Slimy Predators');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '34', 'm12o', 'A shyster has been cheating older retired folks out of their life savings. This creep goes around selling bogus cruises on luxury starliners that don\'t exist. Further, this slimeball has hired some local toughs, thinking that their presence will scare away any citizens seeking to get their money back. It\'s time we put a stop to this activity. Think you can help?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '35', 'm12c', 'Good work! No one has the right to cheat decent folk out of their life savings. You\'ve made sure that point was made, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '36', 'm12t', 'Smash the Shyster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '37', 'm13o', 'The same brutish thugs have mugged half a dozen decent people in the last month, one of which died last night as a result of the injuries. We\'d prefer to handle these animals on our own terms rather than get the local authorities involved. Slime like this want us to believe that life in the universe is cheap. Well we\'ve got news for those slugs - life is not cheap. Can you help us make that point?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '38', 'm13c', 'Thank you, citizen. Take the reward, you\'ve earned it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '39', 'm13t', 'Stop the Murderous Muggers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '40', 'm14o', 'Have you ever heard of the Vibrodagger Killer? We think we\'ve finally tracked this heinous murderer down. He\'s hiding in a small abandoned settlement near here. We believe there may be other murderers hiding there as well. The time for justice is at hand. We need someone to go in there and wipe that place out. You up to that task?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '41', 'm14c', 'That should put an end to these horrible crimes. Assuming it was the actual Vibrodagger Killer in that settlement, that is. You\'ve earned your reward in any case.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '42', 'm14t', 'Stop the Vibrodagger Killer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '43', 'm15o', 'A gang of hooligans has been terrorizing this neighborhood for months now. Their favorite tactic is hurling homemade firebombs at passing speeders. So far three people have been killed by these attacks. The local authorities are swamped and can\'t devote the time necessary to stop these criminals. We need an independent agent to take up the cause of justice.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '44', 'm15c', 'Looks like you gave those thugs a taste of their own medicine. Good job! This neighborhood could use more folks like you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '45', 'm15t', 'Stop the Firebombers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '46', 'm16o', 'A gang has decided to set up a protection racket in our area. The local merchants have been forced to pay protection money after one shop was blown to pieces with the shop owner and his family still inside. The gang is paying bribes to the local law enforcement authorities so they ignore these criminal activities. We need you to put a stop to this gang.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '47', 'm16c', 'Looks like the gang forgot to pay their own protection money. Good work, citizen. The reward is yours.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '48', 'm16t', 'Stop the Protection Racket');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '49', 'm17o', 'A local glitterstim dealer got my son addicted to that poison and now my boy is rotting in an Imperial prison while the dealer continues to pedal his filth. It\'s time we put a stop to this criminal\'s activities. I\'m offering a reward to anyone that goes into that dealer\'s lair and blasts everything in sight. That nest of silica parasites needs to be cleaned out.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '50', 'm17c', 'You\'re an effective agent of justice, citizen. You\'ve made the streets safer for our youth. This is one reward I am happy to pay.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '51', 'm17t', 'Stop the Glitterstim Dealer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '52', 'm18o', 'The Alliance employs smugglers to procure supplies, but we don\'t work with just every smuggler that comes along. A particularly crooked gang has set up a stronghold to fence stolen goods offworld. We want that smuggling gang stopped. Getting goods past Imperial blockades in a good cause is one thing, but crooks are crooks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '53', 'm18c', 'This world could use a lot more straight-shooting folks like you. Thanks, and here\'s your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '54', 'm18t', 'Crooks are Crooks');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '55', 'm19o', 'Our approved \"procurement specialists\" smuggled some weapons to us past the Empire, landed, and promptly got robbed at blaster-point! Some completely different smugglers have taken our weapons to their depot. This stinks! Will you go wipe out those crooks -- I mean, the second gang of crooks, the one who stole from our crooks?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '56', 'm19c', 'What a revolting development that was. Isn\'t there any honor among thieves? Well, forget I asked that. Thanks for your efforts.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '57', 'm19t', 'Smugglers Stole From Our Smugglers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '58', 'm20o', 'A strong criminal element is part of life around here, but now thugs are actually barging into innocent people\'s homes and robbing them in their beds. It has to stop. We know of one stronghold where the thugs especially like old people -- \"like\" them the way the Empire likes slave races. If you take out that stronghold, we\'ll reward you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '59', 'm20c', 'Nice work. It\'s only one step in a long project, but it\'s a step. Here\'s your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '60', 'm20t', 'Criminals Robbing Citizens at Home');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '61', 'm21o', 'Settlers in this area who have children are complaining about criminals hanging around and chatting with their kids. No doubt they\'re recruiting for a life of crime. Fortunately, the parents tracked these crooks to their hideout, and they asked us for help. The task falls to you to wipe out these crooks and burn their stronghold. We\'ll have a reward for you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '62', 'm21c', 'This reward actually comes from the grateful parents. You can be proud of your work today.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '63', 'm21t', 'Crooks Recruiting Children');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '64', 'm22o', 'I don\'t want to get too personal here, but my true love fell in with a criminal element and deserted me. Things must have gone wrong in the underworld, because now we\'re back together -- at least, I hope so. But my sweetheart told me horror stories about a particular criminal lair. I want you to go there and wipe it out. Trust me, you\'ll be doing good.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '65', 'm22c', 'Thanks. My sweetheart and I pooled our savings to pay you this reward. We\'re pooling our lives, too -- we\'re getting married. Wish us better luck!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '66', 'm22t', 'Sweetheart Returns From Life of Crime');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '67', 'm23o', 'The Alliance is forced to work with smugglers, so it sort of makes sense that I fell in love with one. \"Makes sense\" in a generally stupid way, I mean. I regret it now, and I see that my true love was just using me. I can\'t do anything about that. But I can hire you to destroy the criminal lowlifes who pretended loyalty to the Alliance. That ought to send a message!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '68', 'm23c', 'Thanks. I\'m pretty sure my love got that message loud and clear. It\'s never a good idea to fall in love with criminals, even the attractive ones. Especially the attractive ones!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '69', 'm23t', 'Jilted Lover Commissions Revenge');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '70', 'm24o', 'The Alliance tried to open negotiations with a smuggling gang to get supplies past Imperial blockades. That is, we thought they were smugglers. They\'re gangsters, the ruthless kind, and they sent back our negotiator in six pieces. We want you to take a team and wipe out that base. Our fallen member deserves that much.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '71', 'm24c', 'Thanks. This has been a lousy business all around. At least we can give you this reward for your good work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '72', 'm24t', 'Gangsters Killed Alliance Negotiator');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '73', 'm25o', 'One of our pilots went to arrange transport of some power cores that a \"procurement specialist\" just smuggled on-planet. He got ambushed by a pirate gang that killed the smuggler to get the power cores. Our pilot barely escaped, without the cores. We expect the cores are already gone. But we want you to wipe out the pirates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '74', 'm25c', 'Thanks. Your work is the the only good that has come out of this mess. Now where are we supposed to get more power cores, let alone another smuggler?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '75', 'm25t', 'Smuggler Ambushed by Pirates');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '76', 'm26o', 'I\'m a transport captain by trade. I\'ve been arguing for a major offensive against the local pirate gangs. If these thugs attack Imperials, the Empire destroys them, but if the pirates go after us, local law enforcement sees no trouble. Alliance HQ has given me a budget to commission operators like you to take out these pirates. Go to it!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '77', 'm26c', 'Good job. You\'d probably make a pretty good transport pilot yourself. From me that\'s high praise!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '78', 'm26t', 'Transport Captain Hates Pirates');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '79', 'm27o', 'I joined the Alliance because gangsters kept pushing me around, and the corrupt Imperials wouldn\'t do anything about it. Maybe the cause of freedom doesn\'t necessarily need a vaporator merchant, but I try to help. You can too, if you\'ll root out the gangsters that shook me down. Go to these coordinates and shoot everyone, okay?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '80', 'm27c', 'Thanks. I sort of miss my old life selling vaporators, but I\'m glad to work with good folks like yourself.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '81', 'm27t', 'Former Seller of Vaporators');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '82', 'm28o', 'A local farm family has been hit by droid rustlers. Gangsters stole all their working droids at blaster-point. It burns me that the local Imperial goons won\'t send even a droid to help them. When the Empire sits down, the Alliance needs to stand and act. We want you to -- well, you\'re probably way ahead of me. Go to it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '83', 'm28c', 'Some farmers say stealing their droids is a worse crime than kidnapping their spouse or children. Let\'s hope you\'ve prevented it from happening again. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '84', 'm28t', 'Farming-Droid Rustlers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '85', 'm29o', 'A scout has located the Carbanti United starship sensor arrays that pirates stole from us. With those sensor arrays the pirates have their choice of ships to pick off -- including ours. We need you to take these coordinates and give those pirates a violent lesson about stealing from the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '86', 'm29c', 'Good thing those pirates didn\'t use their sensors to see you coming. Great work!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '87', 'm29t', 'Pirates Holding Carbanti Sensors');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '88', 'm30o', 'A pirate gang stole a subspace frequency encryptor. The Alliance had high hopes to use this device to talk over the Imperial HoloNet without detection. A scout located the pirate stronghold for us. It\'s your job to shoot pirates and take names, and don\'t worry much about the \"taking names\" part.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '89', 'm30c', 'Thank you. Now our next step is to locate that frequency encryptor. Who knows? We may have more work for you soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '90', 'm30t', 'Pirates With Subspace Transceiver');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '91', 'm31o', 'A scout located a local gang that stole some kind of construction equipment -- it says here, a Karflo Corporation G2-GE beamdrill. Apparently this thing can punch through anything short of an Imperial walker. Wow, I guess we\'d better destroy that gang quick. Wait, this report says that\'s your assignment. Okay then. Go to it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '92', 'm31c', 'Did you find a beamdrill? Well, I hope it\'s in ruins inside that stronghold. I don\'t want the Alliance to see that in battle. Okay, I\'m supposed to thank you and give you the reward. Here you go. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '93', 'm31t', 'Beamdrill Pirate Stronghold');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '94', 'm32o', 'A gang stole an Industrial Automaton heavy construction droids. These things are as big as buildings; I guess the gang wanted to cut it up for parts. Our scout tracked the gangsters, but didn\'t see the droid. We\'ll find the droid somehow, but for now, we\'d like you to take care of the little matter of the gang. As in, wipe them out.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '95', 'm32c', 'We learned that the construction droid was shipped offworld, intact. We don\'t know where or why. Maybe we\'ll find out and let you know.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '96', 'm32t', 'Gangsters With Construction Droid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '97', 'm33o', 'We always hate hearing about slavers, but a scout just reported a gang installation full of Thalassian Slavers Guild collars. The slave runners are well defended, but you can take them if you look sharp and shoot straight. We don\'t have any reports of slaves yet, so you can attack without fear of endangering hostages.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '98', 'm33c', 'It\'s a relief to hear those slave collars won\'t be put to use. At least, I\'m assuming you destroyed them with the stronghold. You didn\'t see them? Hmm. Well, then, we may have more work for you soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '99', 'm33t', 'Gangsters Running Slave Collars');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '100', 'm34o', 'I spotted an executive of BlasTech, the weapons manufacturer, meeting with some shady customers in a cantina. I followed them into the wilderness to a gangster outpost. That BlasTech is dealing with criminals doesn\'t surprise me a bit. But they\'ll be surprised when you assault and level their outpost. Are you up for the task?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '101', 'm34c', 'That\'s terrific! I hope you got the BlasTech executive too. It would be sweet irony if those wartime profiteers died by bolts from their own blasters. But that\'s just my own view.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '102', 'm34t', 'BlasTech Exec Deals With Gangsters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '103', 'm35o', 'Black-market crooks are selling counterfeit Alliance military medals. For a few credits you can get a ribbon for service at the Battle of Yavin. Trouble is, they have hidden Imperial bugs -- the Empire uses them to track sympathizers. We want you to put a stop to these black-market Imperial stooges, in the most violent way you know.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '104', 'm35c', 'That was an insidious scheme even by the Empire\'s standards, but you put a stop to it. Thanks for your work helping the Alliance. Here\'s your reward!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '105', 'm35t', 'Black-Market Alliance Medals');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '106', 'm36o', 'A fraudulent \"import agency\" promises cheap shipments from offworld. This band of piratical con artists has been taking local residents for a fortune. Ten fortunes! It\'s time to show citizens that the Alliance stands not only against the Empire, but against thievery everywhere! --Sorry, I\'m getting carried away. I got taken myself. So I\'d really like you to destroy these pirates, okay?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '107', 'm36c', 'That\'s a very satisfying piece of news. I feel somehow redeemed. Here\'s your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '108', 'm36t', 'Fraudulent Import Agency');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '109', 'm37o', 'This is the lousiest swindle I ever heard. Pirates con survivors of Alderaan into taking memorial capsules to the Graveyard of Alderaan. Then the pirates kill the passengers, rob the bodies, and dump them in the Graveyard. These crooks are right here on this world! You have to stop them, comprehensively and permanently.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '110', 'm37c', 'Thank you. Someone had to stop those sleemos from desecrating the memory of the Empire\'s worst atrocity. Please accept this payment for your excellent work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '111', 'm37t', 'Pirates Running Alderaan Scam');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '112', 'm38o', 'Gangsters are running a scam selling milkstone rings to newly engaged couples. The milkstone is fake, and highly radioactive to boot. Stopping hazardous engagement rings is not the Alliance\'s core mission, but we can offer you a decent reward for stopping these gangsters.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '113', 'm38c', 'Newly engaged couples across the planet are safer today because of you. My hero! Sorry, just kidding. Here\'s your payment, thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '114', 'm38t', 'Milkstone Ring Scam');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '115', 'm39o', 'A local Alliance supporter\'s daughter started dating a gangster. The father went to the gang stronghold to, I guess, give everyone involved a good talking-to. That worked about as well as you\'d expect. The gang beat up the father and threw out the daughter. Now they want us to destroy the gangsters. Can you take this off our hands? There\'s a reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '116', 'm39c', 'We don\'t like gangsters, obviously. But this kind of knuckleheaded distraction just gets in the way of our real work. Thanks for disposing of the matter for us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '117', 'm39t', 'Father-Daughter-Gang Triangle');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '118', 'm40o', 'The community elders at a remote settlement have approached us for help. A group of gangsters has set up a base in their area, and the elders seem to find a lot of the gang\'s activities to be of dubious morality. Who could have guessed? Well, they offered us a reward to destroy the gang, and we\'ll pass it along to you if you\'ll take the job.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '119', 'm40c', 'The community elders send their thanks. I wonder if you get the community elder job automatically if you just live long enough? I don\'t think I\'ll ask. Here\'s their reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '120', 'm40t', 'Elders Warn of Gangsters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '121', 'm41o', 'A landowner sympathetic to the Alliance is having trouble with his current tenants. Basically, they\'re -- how to put this delicately? -- they\'re pirates. Our friend has tried to get local law agencies to oust the pirates, but they\'re hardly better than crooks themselves. He asked our help. We\'re asking yours. Can you take out the pirates?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '122', 'm41c', 'Thanks. The landowner sends along this reward with his thanks, too. The view will be a lot better out on that land without that pirate base messing up the terrain.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '123', 'm41t', 'Landowner Wants Pirates Evicted');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '124', 'm42o', 'Jabba the Hutt keeps trying to extend his slimy reach. His swoop gang leader, Big Gizz, is setting up a new gang near here. Gizz fired a warning shot off our bow, so to speak, by buzzing one of our speeders. Well, we want to fire a shot right back -- not a warning, a termination. And we want you to fire that shot -- as many as you need to wipe out the gang.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '125', 'm42c', 'That gang sounds tougher than some I\'ve seen. I guess Jabba is really interested in that territory. Or maybe it\'s a franchise. Anyway, nice job!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '126', 'm42t', 'Jabba\'s Latest Swoop Gang');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '127', 'm43o', 'Our scouts have discovered slavers selling Twi\'lek women to settlers in remote areas. The slave trade has got worse lately, particularly the Twi\'lek trade. Imperial Security is doing nothing, of course. We\'re hiring you to assemble an experienced strike teams that can handle a challenge. Interested?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '128', 'm43c', 'The Twi\'lek women will thank you for removing that threat. There are always more slavers, though, so expect to hear from us again. Meanwhile, here\'s your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '129', 'm43t', 'Twi\'lek Slavers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '130', 'm44o', 'Rumors say some old medicine man or shaman from the Outer Rim is on this world, trafficking in weird medicines and organs of local animals. He\'s got a smuggling gang that\'s poaching the local herds. Farmers have complained to the Empire, but no luck. It\'s up to us to stop this shaman\'s strange gang. Are you willing?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '131', 'm44c', 'On behalf of the local farmers, thanks. That shaman apparently comes from a remote world called Omwat. Don\'t suppose you saw him? We\'ll probably hear from him again, is my guess.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '132', 'm44t', 'Strange Shaman\'s Gang');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '133', 'm45o', 'We\'ve learned what happened to those Locris Syndicated Securities mobile prisoner cages that we lost a while back. Turns out slavers are using them to transport Twi\'lek slave women. That\'s a stinking business, and we want you to stop it. Destroy the slavers, and if you see any cages, destroy those too. Free the slaves, if there are any.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '134', 'm45c', 'We didn\'t think you\'d find any slaves there. Slavers tend to sell those Twi\'leks as fast as they can kidnap them. \"Can\'t keep \'em in stock,\" I guess! Sorry, that was tasteless. Honestly, we\'re glad you stopped them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '135', 'm45t', 'Mobile Prisoner Cages Found');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '136', 'm46o', 'Bad news. An Alliance testing facility was working with a prototype Miradyne sensor jamming system. Corporate espionage agents broke into the facility and stole the prototype. But the prototype had a hidden tracking beacon, and we\'ve found the thieves. They\'ve probably already disposed of the prototype, but we want you to make sure they never steal from anyone again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '137', 'm46c', 'The loss of that prototype hurts. But we\'ll get another eventually. Next time we\'ll plant it with 30 or 40 hidden beacons, just cover the thing in hidden beacons. Yeah, that\'ll work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '138', 'm46t', 'Sensor Jamming Prototype Stolen');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '139', 'm47o', 'An Alliance engineer was travelling here to report the Imperial Security Bureau\'s use of poison gas against our fighters on Cularin. Gangsters with an implausibly close knowledge of his itinerary ambushed his landspeeder. We found his body soon after, and tracked the gang to these coordinates. We want you to terminate that gang.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '140', 'm47c', 'You resolved that gang problem efficiently -- just like the Empire managed to resolve its problem with our engineer. The war goes on. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '141', 'm47t', 'Engineer\'s Murderers Sought');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '142', 'm48o', 'The Alliance has commisioned Incom to design an experimental new starfighter, the \"A-wing.\" They were hand-delivering a refinement to the current schematics, but industrial saboteurs stole the plans. We traced the thieves to an installation outside town. Get to the base and blow it up before they can move the plans offworld.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '143', 'm48c', 'Thank you. The A-wing could be the fastest starfighter in the galaxy, once we clean up all the designs. That should be, oh, four or five years maybe. Let\'s hope.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '144', 'm48t', 'A-Wing Plans Stolen');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '145', 'm49o', 'The Empire is scheming to release an airborne virus during Core Worlds protests against the Emperor. Thousands could die. We developed a retrovirus and were delivering it for transport offworld, but thieves ambushed our courier and killed him. We\'re synthesizing a replacement antidote, but meanwhile, we want you to clean up that thief problem by blowing up their base.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '146', 'm49c', 'The replacement retrovirus is being delivered. Hope the new courier has better luck. Thanks for your help!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '147', 'm49t', 'Retrovirus Courier Murdered');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '148', 'm50o', 'An Alliance fighter of remarkable courage infiltrated the Imperial Security Bureau on Coruscant. He sent us priceless intelligence that saved many lives. But the Empire discovered him, and he fled to this planet. That wasn\'t far enough to escape the ISB\'s hired thugs, who killed him on our doorstep. But we know where the thugs live. We want you to go there and make sure they don\'t any more -- live, I mean.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '149', 'm50c', 'Our agent in the ISB deserved a better fate. I wish he\'d lived long enough to see the Republic restored.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '150', 'm50t', 'Alliance\'s ISB Agent Murdered');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_destroy_rebel_non_military_medium.stf', '151', 'number_of_entries', '50');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '1', 'm1o', 'Rebel slicers have made it necessary to hand-deliver certain communiques from Imperial Intelligence. One of our couriers was attacked by Rebel terrorists a short time ago but managed to transmit coordinates before communications were cut off. We need you to bring him, or the encoded orders, back to us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '2', 'm1p', 'Thank the Emperor you\'ve arrived! I managed to drive the Rebels away but was certain they\'d return with reinforcements. We should get going.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '3', 'm1u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '4', 'm1c', 'Well done, trusted agent. Now that the Rebels know we\'re using couriers to deliver orders, we may need your skills again soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '5', 'm1e', 'You\'re a dedicated servant of the Empire, citizen. These orders were of the highest priority and from Lord Vader himself. My thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '6', 'm1t', 'Get the Courier Home');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '7', 'm2o', 'One of our agents is carrying Corporate Sector Authority security codes. We need these codes to investigate the flow of credits to and from the CSA. We suspect that a large sum of credits has been funneled to the Rebels. We cannot risk another assassination attempt and so need you to escort our agent back here safely.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '8', 'm2p', 'Your bold approach identified you as a friend and not another assassin. We must get these codes to my superiors at once.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '9', 'm2u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '10', 'm2c', 'Job well done, citizen. It\'s the Empire\'s pleasure to reward you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '11', 'm2e', 'I don\'t think I would have made it without your help, citizen. The Empire appreciates your service.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '12', 'm2t', 'Secure the CSA\'s Security Codes');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '13', 'm3o', 'An agent has vital intelligence regarding the movements of suspected Jedi, which needs to be delivered to the top ranks of Imperial Intelligence. Rebel assassins have made several attempts to eliminate our agent. You must make sure he and his information arrive here intact. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '14', 'm3p', 'Careful, friend. Rebel snipers have been targeting me. They\'ve kept me pinned down for the past few hours and might still be out there. But I suppose that\'s a chance we\'ll have to take. Let\'s go.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '15', 'm3u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '16', 'm3c', 'Good. Now Imperial Intelligence will be able to hunt down those rogue Jedi. This will please the Emperor.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '17', 'm3e', 'Your reputation must precede you, citizen, for those Rebel snipers certainly seemed to make themselves scarce after you found me. I\'m proud to have met you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '18', 'm3t', 'Secure Vital Intelligence for Imperial Intelligence');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '19', 'm4o', 'An engineered virus was on its way to us for use against anti-Imperial demonstrations. Our courier\'s party was attacked by Rebel terrorists. We do not know if anyone survived, but these were the last coordinates sent to us. Collect the virus and any survivors and bring them back to us. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '20', 'm4p', 'Praise the Empire! You\'ve found me! I\'ve got the virus and all the Rebel scum who attacked us are dead. More are sure to come, however, so we should hurry.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '21', 'm4u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '22', 'm4c', 'Excellent, agent. You\'ve surpassed our expectations. This reward is but a taste of things to come if you continue serving the Empire faithfully.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '23', 'm4e', 'Thanks to you, this virus will perform the function it was engineered to do. Many Rebel sympathizers will understand what it means to betray their Emperor!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '24', 'm4t', 'Save the Deadly Virus');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '25', 'm5o', 'A trusted courier was delivering a warrant and dossier on a citizen suspected of possessing Sith artifacts. We have reasons to believe that citizen is on this planet. The attacks on our courier further seem to confirm this. These coordinates are the courier\'s last known location. Go there and see if he still lives.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '26', 'm5p', 'I\'m so pleased you\'ve come! At first I thought you were another hired assassin and almost blasted you. I still have the dossier, so we should get going.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '27', 'm5u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '28', 'm5c', 'Most excellent, agent. Now we can carry out the will of the Emperor. Your reward is well earned.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '29', 'm5e', 'Thanks, friend. It\'s good to know the Empire has competent fighters such as yourself working for the Emperor\'s glory.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '30', 'm5t', 'Collect the Emperor\'s Orders');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '31', 'm6o', 'An Imperial courier was delivering important transfer orders when he fell victim to a vicious gang. We believe the courier was able to escape. We then received these coordinates from an unknown source, using an Imperial code. We need you to go and retrieve the courier, if he truly is alive.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '32', 'm6p', 'I was hoping my superiors got my coded message.  Sorry it was so brief, but I had only seconds to send it. Let\'s get out of here before that gang finds us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '33', 'm6u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '34', 'm6c', 'The Empire is grateful, agent. Your actions inspire other Imperial servants to strive harder to please their Emperor.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '35', 'm6e', 'You got me here safe and sound. I\'ll be sure to mention your name to my commanding officer. My thanks, friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '36', 'm6t', 'Recover the Courier');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '37', 'm7o', 'Recently a Moff was accused of plotting to assassinate the Emperor. A special courier was delivering the arrest warrant to be served on the Moff and his family, but agents of the Rebellion attempted to waylay the courier. These coordinates are the origin point of his last transmission. Find him and provide an escort back here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '38', 'm7p', 'It\'s a good thing you came when you did. I had run out of ammo, and it was only a matter of time before those Rebels caught up with me. Let\'s get out of here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '39', 'm7u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '40', 'm7c', 'A fine job, agent. We\'ll make sure this Moff pays for his traitorous act against our august Emperor.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '41', 'm7e', 'Many thanks, friend. This Moff has many friends in high places, and I was beginning to suspect my life wasn\'t worth a credit\'s purchase.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '42', 'm7t', 'Recover an Arrest Warrant');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '43', 'm8o', 'Rebel scum hit one of our transport repair stations. We received a final distress signal that originated at the following coordinates. We\'d like you to check this area and bring back any survivors. We need information on the Rebel strike team that pulled off this operation. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '44', 'm8p', 'About time they sent someone. I\'m the only survivor. Let\'s get back so I can inform my superiors and we can begin hunting these Rebel dogs.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '45', 'm8u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '46', 'm8c', 'Your services to the Empire shall not be forgotten, agent. Here\'s your reward. Use it wisely.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '47', 'm8e', 'Thanks, friend. Sorry I was so short with you earlier. I was just mad and eager for revenge. But you\'re right, we need to stick together in these times.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '48', 'm8t', 'Find the Survivors');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '49', 'm9o', 'An ISB interrogation compound was bombed by an X-wing patrol. We believe there were survivors, as we received a distress call that originated not far from the facility. Go to these coordinates and bring back any survivors you find. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '50', 'm9p', 'An ally! Thank the New Order! My comlink ceased to work shortly after I sent my distress call. I was afraid that Rebel patrol would return to look for survivors. We should hurry as they still might.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '51', 'm9u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '52', 'm9c', 'Thanks to your efforts, we will be able to identify the Rebel starfighters involved in this dastardly attack. The Empire is grateful. Claim your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '53', 'm9e', 'I will not rest until every single one of the Rebels involved in this attack is in our custody and at my mercy. I\'m not called the Professor of Pain for nothing!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '54', 'm9t', 'Rescue the Torturer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '55', 'm10o', 'One of our agents was in the process of delivering a case of durindfire gems to a loyal financier when a group of Rebels bandits attacked. Our troopers managed to kill the Rebels, but at the cost of their lives. We need you to escort our agent and those gems back to us before the Rebels can attempt another attack. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '56', 'm10p', 'The gems are safe, but we must hurry. Getting these gems safely back to my superiors would be the best way to honor those fallen troopers. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '57', 'm10u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '58', 'm10c', 'Your efforts have benefitted the Empire, agent. Gems such as these help finance the construction of our fleet. Here\'s your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '59', 'm10e', 'You are a true champion of the Empire, friend. I hope we can work together again in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '60', 'm10t', 'Rescue the Gems');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '61', 'm11o', 'One of our operatives went to negotiate a deal with a swoop gang. We use these criminals to spy on the Rebels from time to time. It turns out, however, that these swoopers were actually Rebels in disguise. Our operative was taken captive but managed to escape. We need you to find him and escort him safely back to us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '62', 'm11p', 'Those Rebels will be on us in no time. We must get moving now! I hope you\'re handy with that blaster.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '63', 'm11u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '64', 'm11c', 'The Empire is pleased with your performance, agent, as this reward will demonstrate.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '65', 'm11e', 'Thanks, friend. Serving our Emperor is sometimes perilous but always satisfying.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '66', 'm11t', 'Rescue the Swooper Recruiter');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '67', 'm12o', 'An Imperial Intelligence agent was escorting a valuable Kubaz spy to a nearby garrison when the spy was killed by a Rebel sniper. The Imperial agent sent a distress call and has been exchanging blaster fire with the sniper for over thirty minutes. You must hurry to these coordinates and rescue the agent. Returning here would be best.  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '68', 'm12p', 'You might want to identify yourself next time, friend. I almost blasted you. The sniper ceased firing about ten minutes ago. It\'s been awfully quiet. I think I got the Rebel dog. Let\'s get out of here. Lead on!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '69', 'm12u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '70', 'm12c', 'Mission accomplished, agent. It\'s too bad you couldn\'t verify the sniper\'s death. We\'ll send patrols out to search the area for bodies.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '71', 'm12e', 'That Kubaz was valuable to us. Those Rebels will pay for murdering him. Death to all Rebels!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '72', 'm12t', 'Retrieve the Kubaz Spy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '73', 'm13o', 'An Imperial convoy transporting hibridium ore was destroyed by Rebel saboteurs. Fortunately our cloaking device engineer, who was supervising the operation, survived the attack and has sent us a distress call. Go to these coordinates and make sure the engineer is returned safely to us. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '74', 'm13p', 'Over here! Thank the Empire you\'ve arrived. We lost an entire shipment of hibridium, no thanks to those Rebel scum. We\'ll make them pay. Let\'s go.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '75', 'm13u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '76', 'm13c', 'This engineer is very valuable to us, agent. The Empire is grateful for his safe return. Claim your reward. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '77', 'm13e', 'This has inspired me to try and create cloaking devices for smaller land-based speeders and transports. Thanks, friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '78', 'm13t', 'Retrieve the Engineer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '79', 'm14o', 'The Rebels attacked one of our water-processing plants, on the pretext that we were drugging the water supply. One of our chief chemists was making an inspection of the plant at the time. Miraculously he escaped harm by hiding inside a reinforced tank. Right now he\'s trying to get out of the area. Go and collect him so we can begin our investigation.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '80', 'm14p', 'Those damn Rebels! Someone on the inside must have tipped them off. How else could they know we were introducing sedatives into the water supply?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '81', 'm14u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '82', 'm14c', 'Good work, agent. We will begin our investigation immediately. This is for your time and effort.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '83', 'm14e', 'Thank you for your help. I suppose we\'ll have to up the dosage to keep these people pacified.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '84', 'm14t', 'Rescue the Chemist');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '85', 'm15o', 'An agent was dispatched to investigate rumors of Jedi activity. Not only did he witness a Jedi in action against a swoop gang, he also briefly engaged the Jedi in combat. Fortunately for our agent, the sudden appearance of more swoopers distracted the Jedi. You must go to these coordinates and escort our agent back here safely. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '86', 'm15p', 'I must get word of this to Imperial Intelligence at once. If I hadn\'t seen it with my own eyes, I would not have believed it. The Empire has very good reason to worry about these Jedi.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '87', 'm15u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '88', 'm15c', 'We will inform the Inquisitorius of your actions. I\'m certain they will wish to call upon your services again in the future. Here is your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '89', 'm15e', 'Thanks, friend. Keep your eyes open for more Jedi activity. Report anything you encounter, even rumors, to Imperial Intelligence at once.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '90', 'm15t', 'A Jedi Witness');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '91', 'm16o', 'One of our couriers was shot down by Rebels but managed to survive the crash-landing. He transmitted his coordinates to us before going down. He carries important communiques from Lord Vader warning of a possible Rebel attack on the Fondor shipyards. Go and retrieve our courier or the communiques and return here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '92', 'm16p', 'I\'m battered but basically intact. We should get going, though. The Rebels that shot me down might return to make sure they got the job done.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '93', 'm16u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '94', 'm16c', 'Well done, agent. These communiques were of the greatest importance. We shall send Lord Vader word of your deeds. You\'ve earned this reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '95', 'm16e', 'Many thanks, friend. Have you ever considered becoming an Imperial courier? Seems like your skills would be suited to that prestigious position.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '96', 'm16t', 'Recover Lord Vader\'s Orders');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '97', 'm17o', 'An undercover agent acquired the coordinates to a Rebel colony that houses many high-profile Rebel leaders and their families. As he was about to rendezvous with a Star Destroyer, the hated Rogue Squadron crippled our agent\'s shuttle. He used an escape pod to evade destruction and landed near here. Go and recover him before the Rogues finish the job.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '98', 'm17p', 'I still have those coordinates! Let\'s get moving. I\'m banged up but I can still run. Hurry!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '99', 'm17u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '100', 'm17c', 'Now we will be able to dispense some long overdue Imperial justice to these Rebels. Good work, agent. Claim your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '101', 'm17e', 'Much appreciated, friend. Those Rebels will rue the day I escaped their lethal ambush. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '102', 'm17t', 'Secure Important Coordinates');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '103', 'm18o', 'A team of Army engineers went into the wilderness to test some new prototype walker. They were due back hours ago. Nothing on the comm. I suggest you get out to their coordinates and herd them in.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '104', 'm18p', 'We had an operational contingency. The walker disintegrated. I\'m the only survivor. I can\'t say any more until I debrief my commander.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '105', 'm18u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '106', 'm18c', 'Oh, fine. One more walker gone. I hope we don\'t find the main Rebel base soon, because we\'re not even remotely ready for a full assault.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '107', 'm18e', 'A certain number of contingencies are to be expected in the development of new hardware. I don\'t see why one explosion would damp the Empire\'s enthusiasm.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '108', 'm18t', 'AT-AT Walker Engineer Walking');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '109', 'm19o', 'Some local do-gooder is making noise because our artillery practice destroyed some of his livestock. Boo-hoo. We sent a squad out to his farm to teach him some manners. They haven\'t reported back, but one agent\'s distress beacon went off. Check out the coordinates and bring back any survivors.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '110', 'm19p', 'It was a trap! My squad surrounded the farmhouse. I happened to be hanging back from the doorway because I stopped to take potshots at the farmer\'s vaporators. When my unit broke down the do-gooder\'s door, a booby-trap blew up the house and the whole squad! I got out on foot, because the vehicles were torched.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '111', 'm19u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '112', 'm19c', 'These Rebels are getting more desperate by the day. If they\'re destroying their own homes to get us, they must be truly scared. Be proud you\'re on the winning side!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '113', 'm19e', 'I don\'t know why I shot those vaporators. I guess I should be glad I did. Sometimes petty vandalism can keep you alive.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '114', 'm19t', 'Imperial Artillery Specialist Stranded');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '115', 'm20o', 'We blew up a Rebel fuel dump. Local civilians started cleaning up the mess without permission. Intelligence says no cleanup until they\'ve inspected the wreckage, so we sent out a squad to stop the locals. They haven\'t reported in. Go bring \'em back!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '116', 'm20p', 'An ambush! When we closed on the civilians, our speeders hit a mine emplacement. Then they opened fire from hard cover. I\'m the only one alive! I need an escort back to my sarge.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '117', 'm20u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '118', 'm20c', 'Ambush, huh? That about fits on this miserable world. Okay, get back to whatever it is you do. And keep this quiet!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '119', 'm20e', 'It\'s hard bringing order to the galaxy when there\'s so many civilians who don\'t like order.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '120', 'm20t', 'Fuel Dump Cleanup');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '121', 'm21o', 'Some bounty hunter took a wild shot at a local businessman and winged one of our agents nearby. Imperial Security is making a full investigation with the Bounty Hunters\' Guild, and you can be sure someone\'s Guild license is about to expire, hard. But we need someone to get the wounded agent.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '122', 'm21p', 'I did some first aid, and I\'m feeling better. But nobody around here would help me at all. It makes me angry when the locals treat us like we\'re the villains!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '123', 'm21u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '124', 'm21c', 'Word is, they\'ve identified the bounty hunter and put out a bounty on him. That\'s a nice irony. Thanks for the retrieval.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '125', 'm21e', 'These local civilians should be glad the Empire is here, keeping the streets safe from scum like that bounty hunter!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '126', 'm21t', 'Bounty Hunter\'s Near-Miss Needs Pickup');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '127', 'm22o', 'These Rebels are crafty. They infiltrated a covert agent into one of our loyalty enforcement squads. When the squad was about to demolish the house of some old local woman, the Rebel broke cover and destroyed our squad. One of our people escaped and is stranded in what is clearly enemy territory. The rescue falls to you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '128', 'm22p', 'That Rebel was an amazing shot. Took out five of us, bam-bam-bam, in about six shots. Pushed me into a ditch. The fall knocked me out. I\'m still woozy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '129', 'm22u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '130', 'm22c', 'The Imperial Security Bureau will certainly be interested in this evidence of porous recruitment procedures. Good work!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '131', 'm22e', 'I can\'t even remember why we had to destroy that old woman\'s house. She didn\'t look like much threat. But then, those Rebels hardly ever do.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '132', 'm22t', 'Survivor of Undercover Agent\'s Betrayal');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '133', 'm23o', 'Following orders from Imperial Intelligence, we sent a loyalty enforcement squad to destroy a local leader\'s home. Due to a mischievous slicer\'s alteration of message data, we inadvertently assaulted a covert Imperial Security Bureau installation. They returned fire, and both sides were wiped out save for one survivor. You need to make the rescue.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '134', 'm23p', 'We knew something was wrong when a protocol droid shouted, \"Hahaha, you lame suckers!\" Then we checked the credentials on the bodies. Oops!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '135', 'm23u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '136', 'm23c', 'Good work. Remember, we have jurisdiction to recover and debrief the survivor. Ignore any ISB claims otherwise.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '137', 'm23e', 'What can I say? We were following orders. The orders don\'t say across the top, \"This order hopelessly messed up by villainous data slicers, so you\'d be a total idiot to follow it!\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '138', 'm23t', 'Rebel Slicer Misdirected Recon Squad');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '139', 'm24o', 'The Corporate Sector Authority requisitioned more prisoners for conscript labor. We dispatched a carrier of prisoners to the spaceport, but it hasn\'t reported. The tracking beacon showed the vehicle moved out to the wilderness. Then it went silent. Check it out. Move!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '140', 'm24p', 'I\'m the last surviving guard. The prisoners improvised a weapon and got the drop on us. They hijacked the speeder, dumped me here, and destroyed the tracking beacon. I need you to take me back to report.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '141', 'm24u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '142', 'm24c', 'Another prisoner revolt. We have to get more funding for security. We\'re looking like amateurs!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '143', 'm24e', 'Thanks. I hate it when prisoners revolt. \"Revolting\" is the word for CSA conscripts, all right.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '144', 'm24t', 'CSA Conscript Vehicle Missing');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '145', 'm25o', 'An undercover agent has information on local business people and their family members. We\'ve arranged a rendezvous in the remote wilderness to avoid detection. To avoid suspicion when travelling with you, he\'s been instructed to change into an Imperial uniform. Escort him here, and avoid blowing cover at all costs.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '146', 'm25p', 'The Alliance is making headway in recruiting local business leaders. I\'ve got data here worth a pretty credit to your superiors.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '147', 'm25u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '148', 'm25c', 'Thanks. We\'ll have the agent interrogated too, just so we don\'t miss anything. Sometimes these agents like to play both sides against the middle.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '149', 'm25e', 'Hey, why is he looking so threatening? Doesn\'t he know I\'m on his side?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '150', 'm25t', 'Rendezvous with Undercover Informant');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '151', 'm26o', 'Got a report of another prisoner labor gang rioting and killing the guards. One survivor. Go and bring the guard here for debriefing.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '152', 'm26p', 'They stole a blaster and used it to blow up a transport. The explosion took out most of my unit, and they got the rest of us while we were surprised. It was awful.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '153', 'm26u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '154', 'm26c', 'These riots are getting more frequent. Shows a lack of alertness training among new guard recruits.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '155', 'm26e', 'I guess they didn\'t kill me because I used to give them extra water. The other guards called me soft for that. Huh.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '156', 'm26t', 'Prisoner Riot Leaves Wounded Guard Alive');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '157', 'm27o', 'The Emperor ordered the assassination of a treasonous Imperial dignitary. We sent an agent to do the deed using a Scarab assassin droid. But the droid went crazy, and the agent is stranded in the middle of nowhere. It\'s your job to make the rescue.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '158', 'm27p', 'That droid hit some kind of radioactive mineral deposit and bam! It started firing at me! Blew up my speeder before I could bring it down. I\'m glad you\'re here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '159', 'm27u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '160', 'm27c', 'Never send a droid to do a Star Destroyer\'s job, I say. Your service to the Empire is noted.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '161', 'm27e', 'I usually have much better luck with Scarab models. I can requisition another if I can line up another job. Need anyone assassinated?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '162', 'm27t', 'Scarab Assassin Droid Malfunction');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '163', 'm28o', 'We located -- well, we thought we located -- a Bothan SpyNet installation, an op-front. The cover was a rural HoloNet receiver. Headquarters sent a squad to storm the house, but it was a trap. We need you to survey the damage and bring back survivors.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '164', 'm28p', 'A droid saw us and said, \"Oh dear.\" It turned and stumbled away. For kicks, somebody shot the droid. It fell over onto some kind of switch. Next thing -- boom! I was the only one outside the blast radius. I need you to escort me back to report.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '165', 'm28u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '166', 'm28c', 'I tell you, Bothans are the most cunning creatures in the galaxy. Makes me shiver to think we\'re supposed to eradicate that SpyNet, and all the time the Bothans are listening to our every word.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '167', 'm28e', 'I sure hope that in the future, HQ doesn\'t jump at every Bothan SpyNet eradication operation. That\'s what I hope.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '168', 'm28t', 'Bothan SpyNet Base Assault Gone Wrong');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '169', 'm29o', 'That traitorous defector Crix Madine is leading more Rebel raids against the very soldiers who once fought beside him. Makes my blood burn. We\'ve just got word that one of his covert strike teams blew up a listening post in the wilderness. Go out and bring back the survivors for debriefing.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '170', 'm29p', 'The Rebels lured us out in a classic decoy-and-close maneuver. Right out of Imperial small-formation tactics. I can\'t believe we fell for it. I\'m the only one left. Can you escort me back to my dispatch point?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '171', 'm29u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '172', 'm29c', 'That sounds like Crix Madine, all right. There\'s a special interrogation droid waiting for that man when we finally catch him.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '173', 'm29e', 'I don\'t think we ever saw Crix Madine himself, but I\'m pretty sure someone good was handling Rebel tactics today.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '174', 'm29t', 'Madine\'s Covert Team Strikes Again');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '175', 'm30o', 'The Empire has been looking for the Procurement and Supply base used by the Rebel leader known as Targeter. Our scout reported a sighting of Targeter\'s forces at rest, but then something jammed the signal. Check the coordinates of the last transmission and escort the scout back here. Don\'t waste time!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '176', 'm30p', 'I was looking through my electrobinocs when something big moved in front of me. Before I could look up, wham! When I woke up, I was alone. I need you to escort me back to operations.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '177', 'm30u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '178', 'm30c', 'That Targeter is supposed to have unusually good recon. Maybe some special kind of droid? But we\'ll sneak up on that Rebel someday, count on it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '179', 'm30e', 'I\'m looking forward to debriefing. With the data from my report, I expect we can close in on Targeter before long.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '180', 'm30t', 'Imperial Scout Found Targeter Base?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '181', 'm31o', 'Imperial Intelligence put us onto a Rebel research facility. We carried out the assault beautifully, if I do say so. But we just got a call that some knucklehead trooper got left behind. I don\'t really care about one stupid agent, but go and bring back the idiot before some Rebel gets his hands on our gear.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '182', 'm31p', 'We were moving into the base when this weird-looking X-Wing swooped out past us. The backwash knocked me out, and when I woke up, everyone was gone and the base was destroyed. I lost all my directional gear, so I\'m glad you\'re here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '183', 'm31u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '184', 'm31c', 'That\'s fine. I\'ll give this nincompoop a good talking-to, and then he\'ll be one more warm body for detention-cell duty.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '185', 'm31e', 'I couldn\'t help what happened. I\'m not an idiot, just unlucky.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '186', 'm31t', 'Straggler from Rebel Research Base Assault');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '187', 'm32o', 'A probe droid spotted a refueling base used by the Rebel starfighter unit called Rogue Squadron. We hit it hard and took it out. But in all the smoke, some dimwit agent of ours went missing. Now we\'ve got his distress call to handle, and I don\'t have the time. Get this dolt back here safely, okay?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '188', 'm32p', 'The smoke was everywhere, and my IR heatsights fritzed out. I kept calling for help over the comm, but nobody showed up. They just left me! After you escort me back, I\'m gonna let fly at someone, you watch.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '189', 'm32u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '190', 'm32c', 'That\'s all I need, more namby-pamby agents moaning about being left behind. It\'s war! Live with it!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '191', 'm32e', 'My squad never liked me. They treated me like some, some -- droid! I\'m filing a report that\'ll raise blisters on their collective backside.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '192', 'm32t', 'Leftovers from Assault on Refuel Base');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '193', 'm33o', 'We found a Rebel facility housing fugitive Wookiees from a failed slave revolt on their homeworld, Kashyyyk. We wiped out the facility without much problem, but in the assault we lost track of a reconnaissance agent. Round up the straggler so Imperial Intelligence can complete its debriefing.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '194', 'm33p', 'It was horrible. Those Wookiees are savage killers, just like you\'ve always heard. I found some evidence in the wreckage that may interest the Security Bureau.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '195', 'm33u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '196', 'm33c', 'That evidence should help us track and close down the \"Cloaking Transit\" network that smuggles Wookiee rabble-rousers off Kashyyyk. Good work!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '197', 'm33e', 'It\'s only a matter of time before Kashyyyk is completely subdued, no matter how savage its natives can be.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '198', 'm33t', 'Assault on Wookiee Fugitives Left One Behind');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '199', 'm34o', 'Our speeder convoy was ferrying bacta tanks to a supply post when Rebels attacked. One survivor has called in, asking for an escort back here. If you can take care of the retrieval, that\'s less hassle for me while I work out where to get new bacta.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '200', 'm34p', 'I got wounded in the attack, but then bacta splashed all over me when a tank ruptured. Now I feel fine. I need you to escort me back so I can report.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '201', 'm34u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '202', 'm34c', 'We\'ve lined up a backup bacta shipment from offworld. Those Rebels ought to know by now they\'ll never break the Empire\'s supply chains!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '203', 'm34e', 'The Rebels seemed just as dismayed as we were when that bacta tank ruptured. But they got away with the other tanks. I expect we\'ll see it on the black market soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '204', 'm34t', 'One Survivor from Bacta Convoy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '205', 'm35o', 'An ace pilot from a top TIE squadron has arrived on the planet. I have secret orders for his team. I need you to rendezvous and escort him to me. Be wary. Criminals and Rebel spies are everywhere.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '206', 'm35p', 'You\'re my contact? Nice. I thought I rated higher than some half-trugut lackey. Well, lead on.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '207', 'm35u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '208', 'm35c', 'We meet again, captain. Charming as always, I see.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '209', 'm35e', 'Thanks for the escort, junior. Me and Captain Blasterbritches have some work to do now, so run along.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '210', 'm35t', 'Rendezvous with an Ace TIE Pilot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '211', 'm36o', 'One of the few survivors of the Yavin disaster is on the planet to give me a secret deposition. This could be an important step in my career. Make sure no one causes any trouble on the way. Arm yourself, just in case.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '212', 'm36p', 'Are you the person I\'m supposed to give a deposition? Are you sure? Because I\'ll tell you everything. You sure you don\'t want to hear it?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '213', 'm36u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '214', 'm36c', 'This secret deposition will earn me a promotion for sure. Thanks for your help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '215', 'm36e', 'Secret? Was this supposed to be secret information? Because I told the whole story on the public transport from Togoria. There was a Twi\'lek on board who sounded very interested. Is that bad?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '216', 'm36t', 'Escort a Yavin Survivor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '217', 'm37o', 'I need you to bring a captured traitor to me. The bounty hunter put a slave transmitter in his neck and dropped him off at these coordinates. Don\'t worry. One false move and the transmitter will explode, so he shouldn\'t cause you any problems.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '218', 'm37p', 'I promise not to tell anyone if you remove my slave transmitter. No? It was worth a try. Let\'s go, then.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '219', 'm37u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '220', 'm37c', 'I told you there wouldn\'t be any trouble. The Empire will reward you generously.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '221', 'm37e', 'So if I just run for it right now, my head will explode? Just checking. It doesn\'t hurt to ask.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '222', 'm37t', 'Escort a Captured Traitor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '223', 'm38o', 'We brought in an expert scout from Lambda Sector to assist us with a few operations, but he\'s already gotten himself lost. Can you find this laserbrain and point him back to me? I\'ve got a few choice words I need to convey.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '224', 'm38p', 'Hey, you found me! Well, um, thank goodness. I kinda thought my superiors had forgotten about me. Let\'s go.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '225', 'm38u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '226', 'm38c', 'So this is the \"expert scout,\" eh? I can spot a fake just by looking at him. We\'ll see what his commander in Lambda Sector has to say about this.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '227', 'm38e', 'I wasn\'t lost! I was, um, scouting new paths across unfamiliar terrain. I\'d better get back out there and check my markers. There\'s wild animals in that area, you know.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '228', 'm38t', 'Find a Lost Scout');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '229', 'm39o', 'I know this isn\'t a pleasant assignment, but we just commissioned a nerf herder into the military. The Corvette Intruder has need of a junior officer. Can you bring the herder to me? Some hygienic adjustment is in order before deployment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '230', 'm39p', 'Why don\'t people like us nerf herders? The smell isn\'t all that bad, is it? Here, smell my hand. No, really, just smell it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '231', 'm39u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '232', 'm39c', 'Let\'s get you a new uniform, soldier. You\'ll curdle the fuel cells with that reek.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '233', 'm39e', 'Come on! The smell isn\'t that bad. I used to work with thranta dung. You talk about stench, that stuff would singe a Wookiee\'s nostrils!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '234', 'm39t', 'Yes, An Imperial Nerf Herder');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '235', 'm40o', 'I am scheduled to debrief a witness to possible Jedi activity. Lord Vader will want this information as soon as possible. The Jedi may know about the witness, so you must ensure that he arrives here safely. Do not delay!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '236', 'm40p', 'I\'ll tell the whole story in the debriefing, but I know it was a Jedi I saw. She had a lightsaber and everything. She was deflecting blaster bolts with the whole buzz! and the whoosh! thing. It was amazing!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '237', 'm40u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '238', 'm40c', 'Lord Vader will be happy to hear these details. Let\'s get to the debriefing room, soldier.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '239', 'm40e', '... and the Jedi hid behind a vaporator, waited for the bounty hunter to pass, and then leapt out and cut him down from behind. Unbelievable!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '240', 'm40t', 'Escort a Witness to Jedi Activity');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '241', 'm41o', 'Our relay station has needed a transpacitor shunt for two weeks. Finally we get a technician ferried from Duros orbit and what happens? They dump the poor nerf in the middle of nowhere. I want you to fetch him so our relay station can get back on line.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '242', 'm41p', 'I can\'t believe that shuttle pilot dumped me way out here. What kind of operation do they run on this dirt ball? I\'m glad at least one of you is lucid enough to solve this problem.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '243', 'm41u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '244', 'm41c', 'I\'m sorry for the trouble. Those gundarks in Sector Command have asteroids for brains.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '245', 'm41e', 'Thanks for the escort. Next time I come here, I\'ll make sure you\'re on the shuttle that picks me up.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '246', 'm41t', 'Fetch a Shunt Technician');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '247', 'm42o', 'A blasted Rebel sniper put a laser hole in my shuttle\'s fuel bay. When I landed, I sent a tech with a crystal pump to clean up the acid spill. But the acid dissolved the pump\'s motivator and now the tech is stuck without a transport. I want you to go out there and help him get back to me. I\'ll see what I can do about the Rebel sniper.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '248', 'm42p', 'I\'m glad you found me. I think there are Rebels out here. Let\'s get back so I can make a report.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '249', 'm42u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '250', 'm42c', 'Rebels, you say! Tell me more. This could be the lead I require to track down that sniper.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '251', 'm42e', 'I appreciate your assistance. Now I can report about those Rebels I saw while I was out there.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '252', 'm42t', 'Assist a Shuttle Tech');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '253', 'm43o', 'Look, I\'ll be blunt. We\'ve had a microbial containment breach in this area. There\'s an expert on the planet who can set the matter straight, but there are some unsavory characters between here and there. You must fetch this expert and provide him an armed escort back to this location. You\'re infected now, too, so don\'t waste any time!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '254', 'm43p', 'I heard the report of a microbial containment breach. Take me there quickly!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '255', 'm43u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '256', 'm43c', 'Well, it turns out we didn\'t spill a microbial solution. It was a flask of zaffa oil for my synthsteak tonight. Carry on.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '257', 'm43e', 'This agent helped me get here as fast as I could! Where is the microbial containment breach?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '258', 'm43t', 'Help an Imperial Microbe Specialist');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '259', 'm44o', 'One of our patrol speeders was hit by a Rebel ambush. There\'s one survivor who needs rescuing right away. Get out there immediately and I\'ll see what I can do about providing you some aerial cover.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '260', 'm44p', 'Boy, am I glad to see you. I\'m well enough to run, but we need to clear out before the Rebels come back. Let\'s go!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '261', 'm44u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '262', 'm44c', 'I agree. That was expertly done. You\'ll receive a bonus for this, I assure you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '263', 'm44e', 'I can\'t thank you enough for the rescue. I wouldn\'t have made it without you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '264', 'm44t', 'Extract an Injured Operative');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '265', 'm45o', 'One of our stealth operatives tracked a rogue transmission straight into a Rebel trap. The speeder patrols will take awhile to scramble. In the meantime, get out there as fast as you can and lend a hand!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '266', 'm45p', 'Watch out! Those Rebels are out here somewhere, and they know my blaster is drained. Let\'s get moving before more of them show up.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '267', 'm45u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '268', 'm45c', 'Our speeder patrols bagged a few Rebel stragglers, but most of them got away. Traitorous cowards.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '269', 'm45e', 'You probably saved my life. I can\'t thank you enough for your help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '270', 'm45t', 'Extract a Wounded Operative');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '271', 'm46o', 'We sent the deadliest assassin under Sector Command to eliminate a threat to planetary security. Unfortunately, getting back here is not as easy as murdering someone. I want you to travel to the kill site and retrieve him at once. Hail the New Order!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '272', 'm46p', 'Oh, thank heaven! Are you here to guide me back? I\'m most dreadfully embarrassed about losing my way. This usually doesn\'t happen to me, I assure you. Come along, then.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '273', 'm46u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '274', 'm46c', 'We must be discreet. I would not presume to tarnish the reputation of Sector Command\'s most valuable assassin.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '275', 'm46e', 'How terribly awkward of me to lose my way like that! I certainly hope no one else will hear about my embarrassing mistake. That would vex me awfully. Is that understood, my excellent friends?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '276', 'm46t', 'Retrieve a Master Assassin');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '277', 'm47o', 'I\'ve got an embarrassing problem. One of my subordinates has fallen in with some kind of cult from the Tatooine outskirts. I want you to fetch this true believer back to me, so I can make it plain that I don\'t approve of \"spiritual vision quests\" on the Imperial clock. Understood? Good.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '278', 'm47p', 'Greetings, fellow spiritual traveler! Have you come to lead me home? Good. The Shrub is generous and giving to all.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '279', 'm47u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '280', 'm47c', 'We\'ll see what \"rains down\" when Sector Command hears about this!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '281', 'm47e', 'Thank you for guiding me, fellow pilgrim! The Shrub will rain down its leaves to the willing.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '282', 'm47t', 'Retrieve a Spiritual Traveller');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '283', 'm48o', 'Ever heard of an archeological engineer? Me, either, but one has been assigned to my unit. Apparently an old Vulture Droid star fighter is rotting away somewhere on the planet. This engineer of mine is investigating the site. I guess he\'s not good with maps, because now he needs a guide to report back to me. Please go out there and handle this. I\'ve got more important things to worry about than droid historians.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '284', 'm48p', 'Oh good, you\'ve come to take me back. I wandered away from the wrecked Vulture Droid and seem to have lost my way. I\'ve got a lot to report to my superiors.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '285', 'm48u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '286', 'm48c', 'I\'ve just been ordered to put you on a transport, engineer. Someone named Lord Vader has heard of your work and wants to discuss the future of your research.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '287', 'm48e', 'Thank you. I\'ve got much to report. If my theories are correct, the Trade Federation\'s droid armies played a much larger role in the creation of the Empire than has previously been suspected.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '288', 'm48t', 'Assist a Droid Historian');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '289', 'm49o', 'I\'ve got an Imperial biologist in the field investigating a possible kouhun infestation. But someone short-circuited the maintenance droids at my shuttle depot an hour ago. I can\'t call for an extraction. I need you to escort the biologist back here. Make sure you take a weapon. You don\'t want to meet one of those assassin bugs unarmed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '290', 'm49p', 'Ow. I got a little insect bite here. I think a kouhun might have stung me. I need to get medical attention as soon as possible.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '291', 'm49u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '292', 'm49c', 'How convenient that our shuttle depot was sabotaged when this \"biologist\" had a perfect alibi. Come with me, professor, and we\'ll get to the bottom of this.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '293', 'm49e', 'Thanks for bringing me back. But you know what? I\'m not dead, so it couldn\'t have been a kouhun that stung me. Maybe a mace fly or a shauput.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '294', 'm49t', 'Assassin Bugs On the Loose');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '295', 'm50o', 'We put a tracer beacon on the ship of a suspected smuggler. I sent an operative out to track it down. He found the ship, but it had jettisoned its cargo. I need you to find our man in the field and help him search in a line from his position to this position. You should find some contraband along the way so we can lock this smuggler up once and for all.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '296', 'm50p', 'There you are. I\'m afraid I had to let the suspect and his ship go. No evidence to hold him. But let\'s search for that jettisoned cargo between here and my superior. Maybe we\'ll get the guy yet.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '297', 'm50u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '298', 'm50c', 'We\'ll keep an eye on this Twingo creep. He\'s bound to make a mistake soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '299', 'm50e', 'I could have sworn he jettisoned his contraband somewhere out there. Guess I was wrong. Thanks for the help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_easy.stf', '300', 'm50t', 'Help Apprehend a Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '1', 'm1o', 'Rebel slicers have made it necessary to hand-deliver certain communiques from Imperial Intelligence. One of our couriers was attacked by Rebel terrorists a short time ago but managed to transmit coordinates before communications were cut off. We need you to bring him, or the encoded orders, back to us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '2', 'm1p', 'Thank the Emperor you\'ve arrived! I managed to drive the Rebels away but was certain they\'d return with reinforcements. We should get going.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '3', 'm1u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '4', 'm1c', 'Well done, trusted agent. Now that the Rebels know we\'re using couriers to deliver orders, we may need your skills again soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '5', 'm1e', 'You\'re a dedicated servant of the Empire, citizen. These orders were of the highest priority and from Lord Vader himself. My thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '6', 'm1t', 'Get the Courier Home');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '7', 'm2o', 'One of our agents is carrying Corporate Sector Authority security codes. We need these codes to investigate the flow of credits to and from the CSA. We suspect that a large sum of credits has been funneled to the Rebels. We cannot risk another assassination attempt and so need you to escort our agent back here safely.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '8', 'm2p', 'Your bold approach identified you as a friend and not another assassin. We must get these codes to my superiors at once.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '9', 'm2u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '10', 'm2c', 'Job well done, citizen. It\'s the Empire\'s pleasure to reward you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '11', 'm2e', 'I don\'t think I would have made it without your help, citizen. The Empire appreciates your service.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '12', 'm2t', 'Secure the CSA\'s Security Codes');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '13', 'm3o', 'An agent has vital intelligence regarding the movements of suspected Jedi, which needs to be delivered to the top ranks of Imperial Intelligence. Rebel assassins have made several attempts to eliminate our agent. You must make sure he and his information arrive here intact. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '14', 'm3p', 'Careful, friend. Rebel snipers have been targeting me. They\'ve kept me pinned down for the past few hours and might still be out there. But I suppose that\'s a chance we\'ll have to take. Let\'s go.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '15', 'm3u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '16', 'm3c', 'Good. Now Imperial Intelligence will be able to hunt down those rogue Jedi. This will please the Emperor.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '17', 'm3e', 'Your reputation must precede you, citizen, for those Rebel snipers certainly seemed to make themselves scarce after you found me. I\'m proud to have met you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '18', 'm3t', 'Secure Vital Intelligence for Imperial Intelligence');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '19', 'm4o', 'An engineered virus was on its way to us for use against anti-Imperial demonstrations. Our courier\'s party was attacked by Rebel terrorists. We do not know if anyone survived, but these were the last coordinates sent to us. Collect the virus and any survivors and bring them back to us. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '20', 'm4p', 'Praise the Empire! You\'ve found me! I\'ve got the virus and all the Rebel scum who attacked us are dead. More are sure to come, however, so we should hurry.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '21', 'm4u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '22', 'm4c', 'Excellent, agent. You\'ve surpassed our expectations. This reward is but a taste of things to come if you continue serving the Empire faithfully.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '23', 'm4e', 'Thanks to you, this virus will perform the function it was engineered to do. Many Rebel sympathizers will understand what it means to betray their Emperor!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '24', 'm4t', 'Save the Deadly Virus');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '25', 'm5o', 'A trusted courier was delivering a warrant and dossier on a citizen suspected of possessing Sith artifacts. We have reasons to believe that citizen is on this planet. The attacks on our courier further seem to confirm this. These coordinates are the courier\'s last known location. Go there and see if he still lives.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '26', 'm5p', 'I\'m so pleased you\'ve come! At first I thought you were another hired assassin and almost blasted you. I still have the dossier, so we should get going.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '27', 'm5u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '28', 'm5c', 'Most excellent, agent. Now we can carry out the will of the Emperor. Your reward is well earned.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '29', 'm5e', 'Thanks, friend. It\'s good to know the Empire has competent fighters such as yourself working for the Emperor\'s glory.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '30', 'm5t', 'Collect the Emperor\'s Orders');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '31', 'm6o', 'An Imperial courier was delivering important transfer orders when he fell victim to a vicious gang. We believe the courier was able to escape. We then received these coordinates from an unknown source, using an Imperial code. We need you to go and retrieve the courier, if he truly is alive.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '32', 'm6p', 'I was hoping my superiors got my coded message.  Sorry it was so brief, but I had only seconds to send it. Let\'s get out of here before that gang finds us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '33', 'm6u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '34', 'm6c', 'The Empire is grateful, agent. Your actions inspire other Imperial servants to strive harder to please their Emperor.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '35', 'm6e', 'You got me here safe and sound. I\'ll be sure to mention your name to my commanding officer. My thanks, friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '36', 'm6t', 'Recover the Courier');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '37', 'm7o', 'Recently a Moff was accused of plotting to assassinate the Emperor. A special courier was delivering the arrest warrant to be served on the Moff and his family, but agents of the Rebellion attempted to waylay the courier. These coordinates are the origin point of his last transmission. Find him and provide an escort back here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '38', 'm7p', 'It\'s a good thing you came when you did. I had run out of ammo, and it was only a matter of time before those Rebels caught up with me. Let\'s get out of here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '39', 'm7u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '40', 'm7c', 'A fine job, agent. We\'ll make sure this Moff pays for his traitorous act against our august Emperor.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '41', 'm7e', 'Many thanks, friend. This Moff has many friends in high places, and I was beginning to suspect my life wasn\'t worth a credit\'s purchase.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '42', 'm7t', 'Recover an Arrest Warrant');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '43', 'm8o', 'Rebel scum hit one of our transport repair stations. We received a final distress signal that originated at the following coordinates. We\'d like you to check this area and bring back any survivors. We need information on the Rebel strike team that pulled off this operation. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '44', 'm8p', 'About time they sent someone. I\'m the only survivor. Let\'s get back so I can inform my superiors and we can begin hunting these Rebel dogs.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '45', 'm8u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '46', 'm8c', 'Your services to the Empire shall not be forgotten, agent. Here\'s your reward. Use it wisely.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '47', 'm8e', 'Thanks, friend. Sorry I was so short with you earlier. I was just mad and eager for revenge. But you\'re right, we need to stick together in these times.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '48', 'm8t', 'Find the Survivors');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '49', 'm9o', 'An ISB interrogation compound was bombed by an X-wing patrol. We believe there were survivors, as we received a distress call that originated not far from the facility. Go to these coordinates and bring back any survivors you find. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '50', 'm9p', 'An ally! Thank the New Order! My comlink ceased to work shortly after I sent my distress call. I was afraid that Rebel patrol would return to look for survivors. We should hurry as they still might.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '51', 'm9u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '52', 'm9c', 'Thanks to your efforts, we will be able to identify the Rebel starfighters involved in this dastardly attack. The Empire is grateful. Claim your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '53', 'm9e', 'I will not rest until every single one of the Rebels involved in this attack is in our custody and at my mercy. I\'m not called the Professor of Pain for nothing!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '54', 'm9t', 'Rescue the Torturer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '55', 'm10o', 'One of our agents was in the process of delivering a case of durindfire gems to a loyal financier when a group of Rebels bandits attacked. Our troopers managed to kill the Rebels, but at the cost of their lives. We need you to escort our agent and those gems back to us before the Rebels can attempt another attack. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '56', 'm10p', 'The gems are safe, but we must hurry. Getting these gems safely back to my superiors would be the best way to honor those fallen troopers. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '57', 'm10u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '58', 'm10c', 'Your efforts have benefitted the Empire, agent. Gems such as these help finance the construction of our fleet. Here\'s your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '59', 'm10e', 'You are a true champion of the Empire, friend. I hope we can work together again in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '60', 'm10t', 'Rescue the Gems');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '61', 'm11o', 'One of our operatives went to negotiate a deal with a swoop gang. We use these criminals to spy on the Rebels from time to time. It turns out, however, that these swoopers were actually Rebels in disguise. Our operative was taken captive but managed to escape. We need you to find him and escort him safely back to us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '62', 'm11p', 'Those Rebels will be on us in no time. We must get moving now! I hope you\'re handy with that blaster.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '63', 'm11u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '64', 'm11c', 'The Empire is pleased with your performance, agent, as this reward will demonstrate.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '65', 'm11e', 'Thanks, friend. Serving our Emperor is sometimes perilous but always satisfying.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '66', 'm11t', 'Rescue the Swooper Recruiter');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '67', 'm12o', 'An Imperial Intelligence agent was escorting a valuable Kubaz spy to a nearby garrison when the spy was killed by a Rebel sniper. The Imperial agent sent a distress call and has been exchanging blaster fire with the sniper for over thirty minutes. You must hurry to these coordinates and rescue the agent. Returning here would be best.  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '68', 'm12p', 'You might want to identify yourself next time, friend. I almost blasted you. The sniper ceased firing about ten minutes ago. It\'s been awfully quiet. I think I got the Rebel dog. Let\'s get out of here. Lead on!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '69', 'm12u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '70', 'm12c', 'Mission accomplished, agent. It\'s too bad you couldn\'t verify the sniper\'s death. We\'ll send patrols out to search the area for bodies.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '71', 'm12e', 'That Kubaz was valuable to us. Those Rebels will pay for murdering him. Death to all Rebels!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '72', 'm12t', 'Retrieve the Kubaz Spy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '73', 'm13o', 'An Imperial convoy transporting hibridium ore was destroyed by Rebel saboteurs. Fortunately our cloaking device engineer, who was supervising the operation, survived the attack and has sent us a distress call. Go to these coordinates and make sure the engineer is returned safely to us. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '74', 'm13p', 'Over here! Thank the Empire you\'ve arrived. We lost an entire shipment of hibridium, no thanks to those Rebel scum. We\'ll make them pay. Let\'s go.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '75', 'm13u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '76', 'm13c', 'This engineer is very valuable to us, agent. The Empire is grateful for his safe return. Claim your reward. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '77', 'm13e', 'This has inspired me to try and create cloaking devices for smaller land-based speeders and transports. Thanks, friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '78', 'm13t', 'Retrieve the Engineer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '79', 'm14o', 'The Rebels attacked one of our water-processing plants, on the pretext that we were drugging the water supply. One of our chief chemists was making an inspection of the plant at the time. Miraculously he escaped harm by hiding inside a reinforced tank. Right now he\'s trying to get out of the area. Go and collect him so we can begin our investigation.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '80', 'm14p', 'Those damn Rebels! Someone on the inside must have tipped them off. How else could they know we were introducing sedatives into the water supply?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '81', 'm14u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '82', 'm14c', 'Good work, agent. We will begin our investigation immediately. This is for your time and effort.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '83', 'm14e', 'Thank you for your help. I suppose we\'ll have to up the dosage to keep these people pacified.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '84', 'm14t', 'Rescue the Chemist');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '85', 'm15o', 'An agent was dispatched to investigate rumors of Jedi activity. Not only did he witness a Jedi in action against a swoop gang, he also briefly engaged the Jedi in combat. Fortunately for our agent, the sudden appearance of more swoopers distracted the Jedi. You must go to these coordinates and escort our agent back here safely. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '86', 'm15p', 'I must get word of this to Imperial Intelligence at once. If I hadn\'t seen it with my own eyes, I would not have believed it. The Empire has very good reason to worry about these Jedi.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '87', 'm15u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '88', 'm15c', 'We will inform the Inquisitorius of your actions. I\'m certain they will wish to call upon your services again in the future. Here is your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '89', 'm15e', 'Thanks, friend. Keep your eyes open for more Jedi activity. Report anything you encounter, even rumors, to Imperial Intelligence at once.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '90', 'm15t', 'A Jedi Witness');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '91', 'm16o', 'One of our couriers was shot down by Rebels but managed to survive the crash-landing. He transmitted his coordinates to us before going down. He carries important communiques from Lord Vader warning of a possible Rebel attack on the Fondor shipyards. Go and retrieve our courier or the communiques and return here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '92', 'm16p', 'I\'m battered but basically intact. We should get going, though. The Rebels that shot me down might return to make sure they got the job done.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '93', 'm16u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '94', 'm16c', 'Well done, agent. These communiques were of the greatest importance. We shall send Lord Vader word of your deeds. You\'ve earned this reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '95', 'm16e', 'Many thanks, friend. Have you ever considered becoming an Imperial courier? Seems like your skills would be suited to that prestigious position.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '96', 'm16t', 'Recover Lord Vader\'s Orders');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '97', 'm17o', 'An undercover agent acquired the coordinates to a Rebel colony that houses many high-profile Rebel leaders and their families. As he was about to rendezvous with a Star Destroyer, the hated Rogue Squadron crippled our agent\'s shuttle. He used an escape pod to evade destruction and landed near here. Go and recover him before the Rogues finish the job.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '98', 'm17p', 'I still have those coordinates! Let\'s get moving. I\'m banged up but I can still run. Hurry!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '99', 'm17u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '100', 'm17c', 'Now we will be able to dispense some long overdue Imperial justice to these Rebels. Good work, agent. Claim your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '101', 'm17e', 'Much appreciated, friend. Those Rebels will rue the day I escaped their lethal ambush. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '102', 'm17t', 'Secure Important Coordinates');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '103', 'm18o', 'A team of Army engineers went into the wilderness to test some new prototype walker. They were due back hours ago. Nothing on the comm. I suggest you get out to their coordinates and herd them in.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '104', 'm18p', 'We had an operational contingency. The walker disintegrated. I\'m the only survivor. I can\'t say any more until I debrief my commander.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '105', 'm18u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '106', 'm18c', 'Oh, fine. One more walker gone. I hope we don\'t find the main Rebel base soon, because we\'re not even remotely ready for a full assault.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '107', 'm18e', 'A certain number of contingencies are to be expected in the development of new hardware. I don\'t see why one explosion would damp the Empire\'s enthusiasm.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '108', 'm18t', 'AT-AT Walker Engineer Walking');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '109', 'm19o', 'Some local do-gooder is making noise because our artillery practice destroyed some of his livestock. Boo-hoo. We sent a squad out to his farm to teach him some manners. They haven\'t reported back, but one agent\'s distress beacon went off. Check out the coordinates and bring back any survivors.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '110', 'm19p', 'It was a trap! My squad surrounded the farmhouse. I happened to be hanging back from the doorway because I stopped to take potshots at the farmer\'s vaporators. When my unit broke down the do-gooder\'s door, a booby-trap blew up the house and the whole squad! I got out on foot, because the vehicles were torched.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '111', 'm19u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '112', 'm19c', 'These Rebels are getting more desperate by the day. If they\'re destroying their own homes to get us, they must be truly scared. Be proud you\'re on the winning side!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '113', 'm19e', 'I don\'t know why I shot those vaporators. I guess I should be glad I did. Sometimes petty vandalism can keep you alive.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '114', 'm19t', 'Imperial Artillery Specialist Stranded');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '115', 'm20o', 'We blew up a Rebel fuel dump. Local civilians started cleaning up the mess without permission. Intelligence says no cleanup until they\'ve inspected the wreckage, so we sent out a squad to stop the locals. They haven\'t reported in. Go bring \'em back!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '116', 'm20p', 'An ambush! When we closed on the civilians, our speeders hit a mine emplacement. Then they opened fire from hard cover. I\'m the only one alive! I need an escort back to my sarge.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '117', 'm20u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '118', 'm20c', 'Ambush, huh? That about fits on this miserable world. Okay, get back to whatever it is you do. And keep this quiet!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '119', 'm20e', 'It\'s hard bringing order to the galaxy when there\'s so many civilians who don\'t like order.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '120', 'm20t', 'Fuel Dump Cleanup');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '121', 'm21o', 'Some bounty hunter took a wild shot at a local businessman and winged one of our agents nearby. Imperial Security is making a full investigation with the Bounty Hunters\' Guild, and you can be sure someone\'s Guild license is about to expire, hard. But we need someone to get the wounded agent.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '122', 'm21p', 'I did some first aid, and I\'m feeling better. But nobody around here would help me at all. It makes me angry when the locals treat us like we\'re the villains!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '123', 'm21u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '124', 'm21c', 'Word is, they\'ve identified the bounty hunter and put out a bounty on him. That\'s a nice irony. Thanks for the retrieval.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '125', 'm21e', 'These local civilians should be glad the Empire is here, keeping the streets safe from scum like that bounty hunter!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '126', 'm21t', 'Bounty Hunter\'s Near-Miss Needs Pickup');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '127', 'm22o', 'These Rebels are crafty. They infiltrated a covert agent into one of our loyalty enforcement squads. When the squad was about to demolish the house of some old local woman, the Rebel broke cover and destroyed our squad. One of our people escaped and is stranded in what is clearly enemy territory. The rescue falls to you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '128', 'm22p', 'That Rebel was an amazing shot. Took out five of us, bam-bam-bam, in about six shots. Pushed me into a ditch. The fall knocked me out. I\'m still woozy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '129', 'm22u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '130', 'm22c', 'The Imperial Security Bureau will certainly be interested in this evidence of porous recruitment procedures. Good work!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '131', 'm22e', 'I can\'t even remember why we had to destroy that old woman\'s house. She didn\'t look like much threat. But then, those Rebels hardly ever do.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '132', 'm22t', 'Survivor of Undercover Agent\'s Betrayal');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '133', 'm23o', 'Following orders from Imperial Intelligence, we sent a loyalty enforcement squad to destroy a local leader\'s home. Due to a mischievous slicer\'s alteration of message data, we inadvertently assaulted a covert Imperial Security Bureau installation. They returned fire, and both sides were wiped out save for one survivor. You need to make the rescue.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '134', 'm23p', 'We knew something was wrong when a protocol droid shouted, \"Hahaha, you lame suckers!\" Then we checked the credentials on the bodies. Oops!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '135', 'm23u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '136', 'm23c', 'Good work. Remember, we have jurisdiction to recover and debrief the survivor. Ignore any ISB claims otherwise.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '137', 'm23e', 'What can I say? We were following orders. The orders don\'t say across the top, \"This order hopelessly messed up by villainous data slicers, so you\'d be a total idiot to follow it!\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '138', 'm23t', 'Rebel Slicer Misdirected Recon Squad');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '139', 'm24o', 'The Corporate Sector Authority requisitioned more prisoners for conscript labor. We dispatched a carrier of prisoners to the spaceport, but it hasn\'t reported. The tracking beacon showed the vehicle moved out to the wilderness. Then it went silent. Check it out. Move!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '140', 'm24p', 'I\'m the last surviving guard. The prisoners improvised a weapon and got the drop on us. They hijacked the speeder, dumped me here, and destroyed the tracking beacon. I need you to take me back to report.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '141', 'm24u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '142', 'm24c', 'Another prisoner revolt. We have to get more funding for security. We\'re looking like amateurs!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '143', 'm24e', 'Thanks. I hate it when prisoners revolt. \"Revolting\" is the word for CSA conscripts, all right.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '144', 'm24t', 'CSA Conscript Vehicle Missing');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '145', 'm25o', 'An undercover agent has information on local business people and their family members. We\'ve arranged a rendezvous in the remote wilderness to avoid detection. To avoid suspicion when travelling with you, he\'s been instructed to change into an Imperial uniform. Escort him here, and avoid blowing cover at all costs.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '146', 'm25p', 'The Alliance is making headway in recruiting local business leaders. I\'ve got data here worth a pretty credit to your superiors.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '147', 'm25u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '148', 'm25c', 'Thanks. We\'ll have the agent interrogated too, just so we don\'t miss anything. Sometimes these agents like to play both sides against the middle.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '149', 'm25e', 'Hey, why is he looking so threatening? Doesn\'t he know I\'m on his side?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '150', 'm25t', 'Rendezvous with Undercover Informant');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '151', 'm26o', 'Got a report of another prisoner labor gang rioting and killing the guards. One survivor. Go and bring the guard here for debriefing.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '152', 'm26p', 'They stole a blaster and used it to blow up a transport. The explosion took out most of my unit, and they got the rest of us while we were surprised. It was awful.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '153', 'm26u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '154', 'm26c', 'These riots are getting more frequent. Shows a lack of alertness training among new guard recruits.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '155', 'm26e', 'I guess they didn\'t kill me because I used to give them extra water. The other guards called me soft for that. Huh.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '156', 'm26t', 'Prisoner Riot Leaves Wounded Guard Alive');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '157', 'm27o', 'The Emperor ordered the assassination of a treasonous Imperial dignitary. We sent an agent to do the deed using a Scarab assassin droid. But the droid went crazy, and the agent is stranded in the middle of nowhere. It\'s your job to make the rescue.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '158', 'm27p', 'That droid hit some kind of radioactive mineral deposit and bam! It started firing at me! Blew up my speeder before I could bring it down. I\'m glad you\'re here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '159', 'm27u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '160', 'm27c', 'Never send a droid to do a Star Destroyer\'s job, I say. Your service to the Empire is noted.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '161', 'm27e', 'I usually have much better luck with Scarab models. I can requisition another if I can line up another job. Need anyone assassinated?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '162', 'm27t', 'Scarab Assassin Droid Malfunction');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '163', 'm28o', 'We located -- well, we thought we located -- a Bothan SpyNet installation, an op-front. The cover was a rural HoloNet receiver. Headquarters sent a squad to storm the house, but it was a trap. We need you to survey the damage and bring back survivors.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '164', 'm28p', 'A droid saw us and said, \"Oh dear.\" It turned and stumbled away. For kicks, somebody shot the droid. It fell over onto some kind of switch. Next thing -- boom! I was the only one outside the blast radius. I need you to escort me back to report.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '165', 'm28u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '166', 'm28c', 'I tell you, Bothans are the most cunning creatures in the galaxy. Makes me shiver to think we\'re supposed to eradicate that SpyNet, and all the time the Bothans are listening to our every word.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '167', 'm28e', 'I sure hope that in the future, HQ doesn\'t jump at every Bothan SpyNet eradication operation. That\'s what I hope.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '168', 'm28t', 'Bothan SpyNet Base Assault Gone Wrong');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '169', 'm29o', 'That traitorous defector Crix Madine is leading more Rebel raids against the very soldiers who once fought beside him. Makes my blood burn. We\'ve just got word that one of his covert strike teams blew up a listening post in the wilderness. Go out and bring back the survivors for debriefing.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '170', 'm29p', 'The Rebels lured us out in a classic decoy-and-close maneuver. Right out of Imperial small-formation tactics. I can\'t believe we fell for it. I\'m the only one left. Can you escort me back to my dispatch point?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '171', 'm29u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '172', 'm29c', 'That sounds like Crix Madine, all right. There\'s a special interrogation droid waiting for that man when we finally catch him.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '173', 'm29e', 'I don\'t think we ever saw Crix Madine himself, but I\'m pretty sure someone good was handling Rebel tactics today.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '174', 'm29t', 'Madine\'s Covert Team Strikes Again');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '175', 'm30o', 'The Empire has been looking for the Procurement and Supply base used by the Rebel leader known as Targeter. Our scout reported a sighting of Targeter\'s forces at rest, but then something jammed the signal. Check the coordinates of the last transmission and escort the scout back here. Don\'t waste time!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '176', 'm30p', 'I was looking through my electrobinocs when something big moved in front of me. Before I could look up, wham! When I woke up, I was alone. I need you to escort me back to operations.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '177', 'm30u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '178', 'm30c', 'That Targeter is supposed to have unusually good recon. Maybe some special kind of droid? But we\'ll sneak up on that Rebel someday, count on it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '179', 'm30e', 'I\'m looking forward to debriefing. With the data from my report, I expect we can close in on Targeter before long.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '180', 'm30t', 'Imperial Scout Found Targeter Base?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '181', 'm31o', 'Imperial Intelligence put us onto a Rebel research facility. We carried out the assault beautifully, if I do say so. But we just got a call that some knucklehead trooper got left behind. I don\'t really care about one stupid agent, but go and bring back the idiot before some Rebel gets his hands on our gear.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '182', 'm31p', 'We were moving into the base when this weird-looking X-Wing swooped out past us. The backwash knocked me out, and when I woke up, everyone was gone and the base was destroyed. I lost all my directional gear, so I\'m glad you\'re here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '183', 'm31u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '184', 'm31c', 'That\'s fine. I\'ll give this nincompoop a good talking-to, and then he\'ll be one more warm body for detention-cell duty.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '185', 'm31e', 'I couldn\'t help what happened. I\'m not an idiot, just unlucky.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '186', 'm31t', 'Straggler from Rebel Research Base Assault');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '187', 'm32o', 'A probe droid spotted a refueling base used by the Rebel starfighter unit called Rogue Squadron. We hit it hard and took it out. But in all the smoke, some dimwit agent of ours went missing. Now we\'ve got his distress call to handle, and I don\'t have the time. Get this dolt back here safely, okay?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '188', 'm32p', 'The smoke was everywhere, and my IR heatsights fritzed out. I kept calling for help over the comm, but nobody showed up. They just left me! After you escort me back, I\'m gonna let fly at someone, you watch.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '189', 'm32u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '190', 'm32c', 'That\'s all I need, more namby-pamby agents moaning about being left behind. It\'s war! Live with it!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '191', 'm32e', 'My squad never liked me. They treated me like some, some -- droid! I\'m filing a report that\'ll raise blisters on their collective backside.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '192', 'm32t', 'Leftovers from Assault on Refuel Base');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '193', 'm33o', 'We found a Rebel facility housing fugitive Wookiees from a failed slave revolt on their homeworld, Kashyyyk. We wiped out the facility without much problem, but in the assault we lost track of a reconnaissance agent. Round up the straggler so Imperial Intelligence can complete its debriefing.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '194', 'm33p', 'It was horrible. Those Wookiees are savage killers, just like you\'ve always heard. I found some evidence in the wreckage that may interest the Security Bureau.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '195', 'm33u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '196', 'm33c', 'That evidence should help us track and close down the \"Cloaking Transit\" network that smuggles Wookiee rabble-rousers off Kashyyyk. Good work!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '197', 'm33e', 'It\'s only a matter of time before Kashyyyk is completely subdued, no matter how savage its natives can be.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '198', 'm33t', 'Assault on Wookiee Fugitives Left One Behind');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '199', 'm34o', 'Our speeder convoy was ferrying bacta tanks to a supply post when Rebels attacked. One survivor has called in, asking for an escort back here. If you can take care of the retrieval, that\'s less hassle for me while I work out where to get new bacta.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '200', 'm34p', 'I got wounded in the attack, but then bacta splashed all over me when a tank ruptured. Now I feel fine. I need you to escort me back so I can report.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '201', 'm34u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '202', 'm34c', 'We\'ve lined up a backup bacta shipment from offworld. Those Rebels ought to know by now they\'ll never break the Empire\'s supply chains!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '203', 'm34e', 'The Rebels seemed just as dismayed as we were when that bacta tank ruptured. But they got away with the other tanks. I expect we\'ll see it on the black market soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '204', 'm34t', 'One Survivor from Bacta Convoy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '205', 'm35o', 'An ace pilot from a top TIE squadron has arrived on the planet. I have secret orders for his team. I need you to rendezvous and escort him to me. Be wary. Criminals and Rebel spies are everywhere.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '206', 'm35p', 'You\'re my contact? Nice. I thought I rated higher than some half-trugut lackey. Well, lead on.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '207', 'm35u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '208', 'm35c', 'We meet again, captain. Charming as always, I see.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '209', 'm35e', 'Thanks for the escort, junior. Me and Captain Blasterbritches have some work to do now, so run along.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '210', 'm35t', 'Rendezvous with an Ace TIE Pilot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '211', 'm36o', 'One of the few survivors of the Yavin disaster is on the planet to give me a secret deposition. This could be an important step in my career. Make sure no one causes any trouble on the way. Arm yourself, just in case.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '212', 'm36p', 'Are you the person I\'m supposed to give a deposition? Are you sure? Because I\'ll tell you everything. You sure you don\'t want to hear it?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '213', 'm36u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '214', 'm36c', 'This secret deposition will earn me a promotion for sure. Thanks for your help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '215', 'm36e', 'Secret? Was this supposed to be secret information? Because I told the whole story on the public transport from Togoria. There was a Twi\'lek on board who sounded very interested. Is that bad?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '216', 'm36t', 'Escort a Yavin Survivor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '217', 'm37o', 'I need you to bring a captured traitor to me. The bounty hunter put a slave transmitter in his neck and dropped him off at these coordinates. Don\'t worry. One false move and the transmitter will explode, so he shouldn\'t cause you any problems.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '218', 'm37p', 'I promise not to tell anyone if you remove my slave transmitter. No? It was worth a try. Let\'s go, then.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '219', 'm37u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '220', 'm37c', 'I told you there wouldn\'t be any trouble. The Empire will reward you generously.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '221', 'm37e', 'So if I just run for it right now, my head will explode? Just checking. It doesn\'t hurt to ask.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '222', 'm37t', 'Escort a Captured Traitor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '223', 'm38o', 'We brought in an expert scout from Lambda Sector to assist us with a few operations, but he\'s already gotten himself lost. Can you find this laserbrain and point him back to me? I\'ve got a few choice words I need to convey.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '224', 'm38p', 'Hey, you found me! Well, um, thank goodness. I kinda thought my superiors had forgotten about me. Let\'s go.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '225', 'm38u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '226', 'm38c', 'So this is the \"expert scout,\" eh? I can spot a fake just by looking at him. We\'ll see what his commander in Lambda Sector has to say about this.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '227', 'm38e', 'I wasn\'t lost! I was, um, scouting new paths across unfamiliar terrain. I\'d better get back out there and check my markers. There\'s wild animals in that area, you know.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '228', 'm38t', 'Find a Lost Scout');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '229', 'm39o', 'I know this isn\'t a pleasant assignment, but we just commissioned a nerf herder into the military. The Corvette Intruder has need of a junior officer. Can you bring the herder to me? Some hygienic adjustment is in order before deployment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '230', 'm39p', 'Why don\'t people like us nerf herders? The smell isn\'t all that bad, is it? Here, smell my hand. No, really, just smell it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '231', 'm39u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '232', 'm39c', 'Let\'s get you a new uniform, soldier. You\'ll curdle the fuel cells with that reek.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '233', 'm39e', 'Come on! The smell isn\'t that bad. I used to work with thranta dung. You talk about stench, that stuff would singe a Wookiee\'s nostrils!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '234', 'm39t', 'Yes, An Imperial Nerf Herder');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '235', 'm40o', 'I am scheduled to debrief a witness to possible Jedi activity. Lord Vader will want this information as soon as possible. The Jedi may know about the witness, so you must ensure that he arrives here safely. Do not delay!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '236', 'm40p', 'I\'ll tell the whole story in the debriefing, but I know it was a Jedi I saw. She had a lightsaber and everything. She was deflecting blaster bolts with the whole buzz! and the whoosh! thing. It was amazing!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '237', 'm40u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '238', 'm40c', 'Lord Vader will be happy to hear these details. Let\'s get to the debriefing room, soldier.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '239', 'm40e', '... and the Jedi hid behind a vaporator, waited for the bounty hunter to pass, and then leapt out and cut him down from behind. Unbelievable!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '240', 'm40t', 'Escort a Witness to Jedi Activity');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '241', 'm41o', 'Our relay station has needed a transpacitor shunt for two weeks. Finally we get a technician ferried from Duros orbit and what happens? They dump the poor nerf in the middle of nowhere. I want you to fetch him so our relay station can get back on line.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '242', 'm41p', 'I can\'t believe that shuttle pilot dumped me way out here. What kind of operation do they run on this dirt ball? I\'m glad at least one of you is lucid enough to solve this problem.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '243', 'm41u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '244', 'm41c', 'I\'m sorry for the trouble. Those gundarks in Sector Command have asteroids for brains.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '245', 'm41e', 'Thanks for the escort. Next time I come here, I\'ll make sure you\'re on the shuttle that picks me up.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '246', 'm41t', 'Fetch a Shunt Technician');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '247', 'm42o', 'A blasted Rebel sniper put a laser hole in my shuttle\'s fuel bay. When I landed, I sent a tech with a crystal pump to clean up the acid spill. But the acid dissolved the pump\'s motivator and now the tech is stuck without a transport. I want you to go out there and help him get back to me. I\'ll see what I can do about the Rebel sniper.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '248', 'm42p', 'I\'m glad you found me. I think there are Rebels out here. Let\'s get back so I can make a report.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '249', 'm42u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '250', 'm42c', 'Rebels, you say! Tell me more. This could be the lead I require to track down that sniper.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '251', 'm42e', 'I appreciate your assistance. Now I can report about those Rebels I saw while I was out there.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '252', 'm42t', 'Assist a Shuttle Tech');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '253', 'm43o', 'Look, I\'ll be blunt. We\'ve had a microbial containment breach in this area. There\'s an expert on the planet who can set the matter straight, but there are some unsavory characters between here and there. You must fetch this expert and provide him an armed escort back to this location. You\'re infected now, too, so don\'t waste any time!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '254', 'm43p', 'I heard the report of a microbial containment breach. Take me there quickly!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '255', 'm43u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '256', 'm43c', 'Well, it turns out we didn\'t spill a microbial solution. It was a flask of zaffa oil for my synthsteak tonight. Carry on.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '257', 'm43e', 'This agent helped me get here as fast as I could! Where is the microbial containment breach?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '258', 'm43t', 'Help an Imperial Microbe Specialist');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '259', 'm44o', 'One of our patrol speeders was hit by a Rebel ambush. There\'s one survivor who needs rescuing right away. Get out there immediately and I\'ll see what I can do about providing you some aerial cover.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '260', 'm44p', 'Boy, am I glad to see you. I\'m well enough to run, but we need to clear out before the Rebels come back. Let\'s go!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '261', 'm44u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '262', 'm44c', 'I agree. That was expertly done. You\'ll receive a bonus for this, I assure you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '263', 'm44e', 'I can\'t thank you enough for the rescue. I wouldn\'t have made it without you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '264', 'm44t', 'Extract an Injured Operative');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '265', 'm45o', 'One of our stealth operatives tracked a rogue transmission straight into a Rebel trap. The speeder patrols will take awhile to scramble. In the meantime, get out there as fast as you can and lend a hand!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '266', 'm45p', 'Watch out! Those Rebels are out here somewhere, and they know my blaster is drained. Let\'s get moving before more of them show up.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '267', 'm45u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '268', 'm45c', 'Our speeder patrols bagged a few Rebel stragglers, but most of them got away. Traitorous cowards.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '269', 'm45e', 'You probably saved my life. I can\'t thank you enough for your help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '270', 'm45t', 'Extract a Wounded Operative');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '271', 'm46o', 'We sent the deadliest assassin under Sector Command to eliminate a threat to planetary security. Unfortunately, getting back here is not as easy as murdering someone. I want you to travel to the kill site and retrieve him at once. Hail the New Order!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '272', 'm46p', 'Oh, thank heaven! Are you here to guide me back? I\'m most dreadfully embarrassed about losing my way. This usually doesn\'t happen to me, I assure you. Come along, then.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '273', 'm46u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '274', 'm46c', 'We must be discreet. I would not presume to tarnish the reputation of Sector Command\'s most valuable assassin.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '275', 'm46e', 'How terribly awkward of me to lose my way like that! I certainly hope no one else will hear about my embarrassing mistake. That would vex me awfully. Is that understood, my excellent friends?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '276', 'm46t', 'Retrieve a Master Assassin');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '277', 'm47o', 'I\'ve got an embarrassing problem. One of my subordinates has fallen in with some kind of cult from the Tatooine outskirts. I want you to fetch this true believer back to me, so I can make it plain that I don\'t approve of \"spiritual vision quests\" on the Imperial clock. Understood? Good.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '278', 'm47p', 'Greetings, fellow spiritual traveler! Have you come to lead me home? Good. The Shrub is generous and giving to all.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '279', 'm47u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '280', 'm47c', 'We\'ll see what \"rains down\" when Sector Command hears about this!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '281', 'm47e', 'Thank you for guiding me, fellow pilgrim! The Shrub will rain down its leaves to the willing.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '282', 'm47t', 'Retrieve a Spiritual Traveller');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '283', 'm48o', 'Ever heard of an archeological engineer? Me, either, but one has been assigned to my unit. Apparently an old Vulture Droid star fighter is rotting away somewhere on the planet. This engineer of mine is investigating the site. I guess he\'s not good with maps, because now he needs a guide to report back to me. Please go out there and handle this. I\'ve got more important things to worry about than droid historians.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '284', 'm48p', 'Oh good, you\'ve come to take me back. I wandered away from the wrecked Vulture Droid and seem to have lost my way. I\'ve got a lot to report to my superiors.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '285', 'm48u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '286', 'm48c', 'I\'ve just been ordered to put you on a transport, engineer. Someone named Lord Vader has heard of your work and wants to discuss the future of your research.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '287', 'm48e', 'Thank you. I\'ve got much to report. If my theories are correct, the Trade Federation\'s droid armies played a much larger role in the creation of the Empire than has previously been suspected.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '288', 'm48t', 'Assist a Droid Historian');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '289', 'm49o', 'I\'ve got an Imperial biologist in the field investigating a possible kouhun infestation. But someone short-circuited the maintenance droids at my shuttle depot an hour ago. I can\'t call for an extraction. I need you to escort the biologist back here. Make sure you take a weapon. You don\'t want to meet one of those assassin bugs unarmed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '290', 'm49p', 'Ow. I got a little insect bite here. I think a kouhun might have stung me. I need to get medical attention as soon as possible.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '291', 'm49u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '292', 'm49c', 'How convenient that our shuttle depot was sabotaged when this \"biologist\" had a perfect alibi. Come with me, professor, and we\'ll get to the bottom of this.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '293', 'm49e', 'Thanks for bringing me back. But you know what? I\'m not dead, so it couldn\'t have been a kouhun that stung me. Maybe a mace fly or a shauput.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '294', 'm49t', 'Assassin Bugs On the Loose');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '295', 'm50o', 'We put a tracer beacon on the ship of a suspected smuggler. I sent an operative out to track it down. He found the ship, but it had jettisoned its cargo. I need you to find our man in the field and help him search in a line from his position to this position. You should find some contraband along the way so we can lock this smuggler up once and for all.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '296', 'm50p', 'There you are. I\'m afraid I had to let the suspect and his ship go. No evidence to hold him. But let\'s search for that jettisoned cargo between here and my superior. Maybe we\'ll get the guy yet.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '297', 'm50u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '298', 'm50c', 'We\'ll keep an eye on this Twingo creep. He\'s bound to make a mistake soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '299', 'm50e', 'I could have sworn he jettisoned his contraband somewhere out there. Guess I was wrong. Thanks for the help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_hard.stf', '300', 'm50t', 'Help Apprehend a Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '1', 'm1o', 'Rebel slicers have made it necessary to hand-deliver certain communiques from Imperial Intelligence. One of our couriers was attacked by Rebel terrorists a short time ago but managed to transmit coordinates before communications were cut off. We need you to bring him, or the encoded orders, back to us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '2', 'm1p', 'Thank the Emperor you\'ve arrived! I managed to drive the Rebels away but was certain they\'d return with reinforcements. We should get going.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '3', 'm1u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '4', 'm1c', 'Well done, trusted agent. Now that the Rebels know we\'re using couriers to deliver orders, we may need your skills again soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '5', 'm1e', 'You\'re a dedicated servant of the Empire, citizen. These orders were of the highest priority and from Lord Vader himself. My thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '6', 'm1t', 'Get the Courier Home');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '7', 'm2o', 'One of our agents is carrying Corporate Sector Authority security codes. We need these codes to investigate the flow of credits to and from the CSA. We suspect that a large sum of credits has been funneled to the Rebels. We cannot risk another assassination attempt and so need you to escort our agent back here safely.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '8', 'm2p', 'Your bold approach identified you as a friend and not another assassin. We must get these codes to my superiors at once.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '9', 'm2u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '10', 'm2c', 'Job well done, citizen. It\'s the Empire\'s pleasure to reward you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '11', 'm2e', 'I don\'t think I would have made it without your help, citizen. The Empire appreciates your service.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '12', 'm2t', 'Secure the CSA\'s Security Codes');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '13', 'm3o', 'An agent has vital intelligence regarding the movements of suspected Jedi, which needs to be delivered to the top ranks of Imperial Intelligence. Rebel assassins have made several attempts to eliminate our agent. You must make sure he and his information arrive here intact. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '14', 'm3p', 'Careful, friend. Rebel snipers have been targeting me. They\'ve kept me pinned down for the past few hours and might still be out there. But I suppose that\'s a chance we\'ll have to take. Let\'s go.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '15', 'm3u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '16', 'm3c', 'Good. Now Imperial Intelligence will be able to hunt down those rogue Jedi. This will please the Emperor.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '17', 'm3e', 'Your reputation must precede you, citizen, for those Rebel snipers certainly seemed to make themselves scarce after you found me. I\'m proud to have met you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '18', 'm3t', 'Secure Vital Intelligence for Imperial Intelligence');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '19', 'm4o', 'An engineered virus was on its way to us for use against anti-Imperial demonstrations. Our courier\'s party was attacked by Rebel terrorists. We do not know if anyone survived, but these were the last coordinates sent to us. Collect the virus and any survivors and bring them back to us. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '20', 'm4p', 'Praise the Empire! You\'ve found me! I\'ve got the virus and all the Rebel scum who attacked us are dead. More are sure to come, however, so we should hurry.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '21', 'm4u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '22', 'm4c', 'Excellent, agent. You\'ve surpassed our expectations. This reward is but a taste of things to come if you continue serving the Empire faithfully.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '23', 'm4e', 'Thanks to you, this virus will perform the function it was engineered to do. Many Rebel sympathizers will understand what it means to betray their Emperor!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '24', 'm4t', 'Save the Deadly Virus');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '25', 'm5o', 'A trusted courier was delivering a warrant and dossier on a citizen suspected of possessing Sith artifacts. We have reasons to believe that citizen is on this planet. The attacks on our courier further seem to confirm this. These coordinates are the courier\'s last known location. Go there and see if he still lives.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '26', 'm5p', 'I\'m so pleased you\'ve come! At first I thought you were another hired assassin and almost blasted you. I still have the dossier, so we should get going.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '27', 'm5u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '28', 'm5c', 'Most excellent, agent. Now we can carry out the will of the Emperor. Your reward is well earned.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '29', 'm5e', 'Thanks, friend. It\'s good to know the Empire has competent fighters such as yourself working for the Emperor\'s glory.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '30', 'm5t', 'Collect the Emperor\'s Orders');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '31', 'm6o', 'An Imperial courier was delivering important transfer orders when he fell victim to a vicious gang. We believe the courier was able to escape. We then received these coordinates from an unknown source, using an Imperial code. We need you to go and retrieve the courier, if he truly is alive.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '32', 'm6p', 'I was hoping my superiors got my coded message.  Sorry it was so brief, but I had only seconds to send it. Let\'s get out of here before that gang finds us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '33', 'm6u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '34', 'm6c', 'The Empire is grateful, agent. Your actions inspire other Imperial servants to strive harder to please their Emperor.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '35', 'm6e', 'You got me here safe and sound. I\'ll be sure to mention your name to my commanding officer. My thanks, friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '36', 'm6t', 'Recover the Courier');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '37', 'm7o', 'Recently a Moff was accused of plotting to assassinate the Emperor. A special courier was delivering the arrest warrant to be served on the Moff and his family, but agents of the Rebellion attempted to waylay the courier. These coordinates are the origin point of his last transmission. Find him and provide an escort back here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '38', 'm7p', 'It\'s a good thing you came when you did. I had run out of ammo, and it was only a matter of time before those Rebels caught up with me. Let\'s get out of here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '39', 'm7u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '40', 'm7c', 'A fine job, agent. We\'ll make sure this Moff pays for his traitorous act against our august Emperor.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '41', 'm7e', 'Many thanks, friend. This Moff has many friends in high places, and I was beginning to suspect my life wasn\'t worth a credit\'s purchase.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '42', 'm7t', 'Recover an Arrest Warrant');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '43', 'm8o', 'Rebel scum hit one of our transport repair stations. We received a final distress signal that originated at the following coordinates. We\'d like you to check this area and bring back any survivors. We need information on the Rebel strike team that pulled off this operation. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '44', 'm8p', 'About time they sent someone. I\'m the only survivor. Let\'s get back so I can inform my superiors and we can begin hunting these Rebel dogs.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '45', 'm8u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '46', 'm8c', 'Your services to the Empire shall not be forgotten, agent. Here\'s your reward. Use it wisely.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '47', 'm8e', 'Thanks, friend. Sorry I was so short with you earlier. I was just mad and eager for revenge. But you\'re right, we need to stick together in these times.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '48', 'm8t', 'Find the Survivors');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '49', 'm9o', 'An ISB interrogation compound was bombed by an X-wing patrol. We believe there were survivors, as we received a distress call that originated not far from the facility. Go to these coordinates and bring back any survivors you find. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '50', 'm9p', 'An ally! Thank the New Order! My comlink ceased to work shortly after I sent my distress call. I was afraid that Rebel patrol would return to look for survivors. We should hurry as they still might.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '51', 'm9u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '52', 'm9c', 'Thanks to your efforts, we will be able to identify the Rebel starfighters involved in this dastardly attack. The Empire is grateful. Claim your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '53', 'm9e', 'I will not rest until every single one of the Rebels involved in this attack is in our custody and at my mercy. I\'m not called the Professor of Pain for nothing!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '54', 'm9t', 'Rescue the Torturer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '55', 'm10o', 'One of our agents was in the process of delivering a case of durindfire gems to a loyal financier when a group of Rebels bandits attacked. Our troopers managed to kill the Rebels, but at the cost of their lives. We need you to escort our agent and those gems back to us before the Rebels can attempt another attack. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '56', 'm10p', 'The gems are safe, but we must hurry. Getting these gems safely back to my superiors would be the best way to honor those fallen troopers. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '57', 'm10u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '58', 'm10c', 'Your efforts have benefitted the Empire, agent. Gems such as these help finance the construction of our fleet. Here\'s your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '59', 'm10e', 'You are a true champion of the Empire, friend. I hope we can work together again in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '60', 'm10t', 'Rescue the Gems');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '61', 'm11o', 'One of our operatives went to negotiate a deal with a swoop gang. We use these criminals to spy on the Rebels from time to time. It turns out, however, that these swoopers were actually Rebels in disguise. Our operative was taken captive but managed to escape. We need you to find him and escort him safely back to us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '62', 'm11p', 'Those Rebels will be on us in no time. We must get moving now! I hope you\'re handy with that blaster.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '63', 'm11u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '64', 'm11c', 'The Empire is pleased with your performance, agent, as this reward will demonstrate.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '65', 'm11e', 'Thanks, friend. Serving our Emperor is sometimes perilous but always satisfying.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '66', 'm11t', 'Rescue the Swooper Recruiter');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '67', 'm12o', 'An Imperial Intelligence agent was escorting a valuable Kubaz spy to a nearby garrison when the spy was killed by a Rebel sniper. The Imperial agent sent a distress call and has been exchanging blaster fire with the sniper for over thirty minutes. You must hurry to these coordinates and rescue the agent. Returning here would be best.  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '68', 'm12p', 'You might want to identify yourself next time, friend. I almost blasted you. The sniper ceased firing about ten minutes ago. It\'s been awfully quiet. I think I got the Rebel dog. Let\'s get out of here. Lead on!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '69', 'm12u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '70', 'm12c', 'Mission accomplished, agent. It\'s too bad you couldn\'t verify the sniper\'s death. We\'ll send patrols out to search the area for bodies.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '71', 'm12e', 'That Kubaz was valuable to us. Those Rebels will pay for murdering him. Death to all Rebels!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '72', 'm12t', 'Retrieve the Kubaz Spy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '73', 'm13o', 'An Imperial convoy transporting hibridium ore was destroyed by Rebel saboteurs. Fortunately our cloaking device engineer, who was supervising the operation, survived the attack and has sent us a distress call. Go to these coordinates and make sure the engineer is returned safely to us. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '74', 'm13p', 'Over here! Thank the Empire you\'ve arrived. We lost an entire shipment of hibridium, no thanks to those Rebel scum. We\'ll make them pay. Let\'s go.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '75', 'm13u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '76', 'm13c', 'This engineer is very valuable to us, agent. The Empire is grateful for his safe return. Claim your reward. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '77', 'm13e', 'This has inspired me to try and create cloaking devices for smaller land-based speeders and transports. Thanks, friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '78', 'm13t', 'Retrieve the Engineer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '79', 'm14o', 'The Rebels attacked one of our water-processing plants, on the pretext that we were drugging the water supply. One of our chief chemists was making an inspection of the plant at the time. Miraculously he escaped harm by hiding inside a reinforced tank. Right now he\'s trying to get out of the area. Go and collect him so we can begin our investigation.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '80', 'm14p', 'Those damn Rebels! Someone on the inside must have tipped them off. How else could they know we were introducing sedatives into the water supply?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '81', 'm14u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '82', 'm14c', 'Good work, agent. We will begin our investigation immediately. This is for your time and effort.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '83', 'm14e', 'Thank you for your help. I suppose we\'ll have to up the dosage to keep these people pacified.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '84', 'm14t', 'Rescue the Chemist');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '85', 'm15o', 'An agent was dispatched to investigate rumors of Jedi activity. Not only did he witness a Jedi in action against a swoop gang, he also briefly engaged the Jedi in combat. Fortunately for our agent, the sudden appearance of more swoopers distracted the Jedi. You must go to these coordinates and escort our agent back here safely. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '86', 'm15p', 'I must get word of this to Imperial Intelligence at once. If I hadn\'t seen it with my own eyes, I would not have believed it. The Empire has very good reason to worry about these Jedi.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '87', 'm15u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '88', 'm15c', 'We will inform the Inquisitorius of your actions. I\'m certain they will wish to call upon your services again in the future. Here is your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '89', 'm15e', 'Thanks, friend. Keep your eyes open for more Jedi activity. Report anything you encounter, even rumors, to Imperial Intelligence at once.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '90', 'm15t', 'A Jedi Witness');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '91', 'm16o', 'One of our couriers was shot down by Rebels but managed to survive the crash-landing. He transmitted his coordinates to us before going down. He carries important communiques from Lord Vader warning of a possible Rebel attack on the Fondor shipyards. Go and retrieve our courier or the communiques and return here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '92', 'm16p', 'I\'m battered but basically intact. We should get going, though. The Rebels that shot me down might return to make sure they got the job done.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '93', 'm16u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '94', 'm16c', 'Well done, agent. These communiques were of the greatest importance. We shall send Lord Vader word of your deeds. You\'ve earned this reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '95', 'm16e', 'Many thanks, friend. Have you ever considered becoming an Imperial courier? Seems like your skills would be suited to that prestigious position.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '96', 'm16t', 'Recover Lord Vader\'s Orders');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '97', 'm17o', 'An undercover agent acquired the coordinates to a Rebel colony that houses many high-profile Rebel leaders and their families. As he was about to rendezvous with a Star Destroyer, the hated Rogue Squadron crippled our agent\'s shuttle. He used an escape pod to evade destruction and landed near here. Go and recover him before the Rogues finish the job.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '98', 'm17p', 'I still have those coordinates! Let\'s get moving. I\'m banged up but I can still run. Hurry!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '99', 'm17u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '100', 'm17c', 'Now we will be able to dispense some long overdue Imperial justice to these Rebels. Good work, agent. Claim your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '101', 'm17e', 'Much appreciated, friend. Those Rebels will rue the day I escaped their lethal ambush. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '102', 'm17t', 'Secure Important Coordinates');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '103', 'm18o', 'A team of Army engineers went into the wilderness to test some new prototype walker. They were due back hours ago. Nothing on the comm. I suggest you get out to their coordinates and herd them in.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '104', 'm18p', 'We had an operational contingency. The walker disintegrated. I\'m the only survivor. I can\'t say any more until I debrief my commander.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '105', 'm18u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '106', 'm18c', 'Oh, fine. One more walker gone. I hope we don\'t find the main Rebel base soon, because we\'re not even remotely ready for a full assault.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '107', 'm18e', 'A certain number of contingencies are to be expected in the development of new hardware. I don\'t see why one explosion would damp the Empire\'s enthusiasm.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '108', 'm18t', 'AT-AT Walker Engineer Walking');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '109', 'm19o', 'Some local do-gooder is making noise because our artillery practice destroyed some of his livestock. Boo-hoo. We sent a squad out to his farm to teach him some manners. They haven\'t reported back, but one agent\'s distress beacon went off. Check out the coordinates and bring back any survivors.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '110', 'm19p', 'It was a trap! My squad surrounded the farmhouse. I happened to be hanging back from the doorway because I stopped to take potshots at the farmer\'s vaporators. When my unit broke down the do-gooder\'s door, a booby-trap blew up the house and the whole squad! I got out on foot, because the vehicles were torched.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '111', 'm19u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '112', 'm19c', 'These Rebels are getting more desperate by the day. If they\'re destroying their own homes to get us, they must be truly scared. Be proud you\'re on the winning side!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '113', 'm19e', 'I don\'t know why I shot those vaporators. I guess I should be glad I did. Sometimes petty vandalism can keep you alive.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '114', 'm19t', 'Imperial Artillery Specialist Stranded');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '115', 'm20o', 'We blew up a Rebel fuel dump. Local civilians started cleaning up the mess without permission. Intelligence says no cleanup until they\'ve inspected the wreckage, so we sent out a squad to stop the locals. They haven\'t reported in. Go bring \'em back!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '116', 'm20p', 'An ambush! When we closed on the civilians, our speeders hit a mine emplacement. Then they opened fire from hard cover. I\'m the only one alive! I need an escort back to my sarge.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '117', 'm20u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '118', 'm20c', 'Ambush, huh? That about fits on this miserable world. Okay, get back to whatever it is you do. And keep this quiet!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '119', 'm20e', 'It\'s hard bringing order to the galaxy when there\'s so many civilians who don\'t like order.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '120', 'm20t', 'Fuel Dump Cleanup');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '121', 'm21o', 'Some bounty hunter took a wild shot at a local businessman and winged one of our agents nearby. Imperial Security is making a full investigation with the Bounty Hunters\' Guild, and you can be sure someone\'s Guild license is about to expire, hard. But we need someone to get the wounded agent.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '122', 'm21p', 'I did some first aid, and I\'m feeling better. But nobody around here would help me at all. It makes me angry when the locals treat us like we\'re the villains!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '123', 'm21u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '124', 'm21c', 'Word is, they\'ve identified the bounty hunter and put out a bounty on him. That\'s a nice irony. Thanks for the retrieval.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '125', 'm21e', 'These local civilians should be glad the Empire is here, keeping the streets safe from scum like that bounty hunter!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '126', 'm21t', 'Bounty Hunter\'s Near-Miss Needs Pickup');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '127', 'm22o', 'These Rebels are crafty. They infiltrated a covert agent into one of our loyalty enforcement squads. When the squad was about to demolish the house of some old local woman, the Rebel broke cover and destroyed our squad. One of our people escaped and is stranded in what is clearly enemy territory. The rescue falls to you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '128', 'm22p', 'That Rebel was an amazing shot. Took out five of us, bam-bam-bam, in about six shots. Pushed me into a ditch. The fall knocked me out. I\'m still woozy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '129', 'm22u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '130', 'm22c', 'The Imperial Security Bureau will certainly be interested in this evidence of porous recruitment procedures. Good work!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '131', 'm22e', 'I can\'t even remember why we had to destroy that old woman\'s house. She didn\'t look like much threat. But then, those Rebels hardly ever do.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '132', 'm22t', 'Survivor of Undercover Agent\'s Betrayal');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '133', 'm23o', 'Following orders from Imperial Intelligence, we sent a loyalty enforcement squad to destroy a local leader\'s home. Due to a mischievous slicer\'s alteration of message data, we inadvertently assaulted a covert Imperial Security Bureau installation. They returned fire, and both sides were wiped out save for one survivor. You need to make the rescue.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '134', 'm23p', 'We knew something was wrong when a protocol droid shouted, \"Hahaha, you lame suckers!\" Then we checked the credentials on the bodies. Oops!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '135', 'm23u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '136', 'm23c', 'Good work. Remember, we have jurisdiction to recover and debrief the survivor. Ignore any ISB claims otherwise.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '137', 'm23e', 'What can I say? We were following orders. The orders don\'t say across the top, \"This order hopelessly messed up by villainous data slicers, so you\'d be a total idiot to follow it!\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '138', 'm23t', 'Rebel Slicer Misdirected Recon Squad');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '139', 'm24o', 'The Corporate Sector Authority requisitioned more prisoners for conscript labor. We dispatched a carrier of prisoners to the spaceport, but it hasn\'t reported. The tracking beacon showed the vehicle moved out to the wilderness. Then it went silent. Check it out. Move!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '140', 'm24p', 'I\'m the last surviving guard. The prisoners improvised a weapon and got the drop on us. They hijacked the speeder, dumped me here, and destroyed the tracking beacon. I need you to take me back to report.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '141', 'm24u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '142', 'm24c', 'Another prisoner revolt. We have to get more funding for security. We\'re looking like amateurs!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '143', 'm24e', 'Thanks. I hate it when prisoners revolt. \"Revolting\" is the word for CSA conscripts, all right.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '144', 'm24t', 'CSA Conscript Vehicle Missing');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '145', 'm25o', 'An undercover agent has information on local business people and their family members. We\'ve arranged a rendezvous in the remote wilderness to avoid detection. To avoid suspicion when travelling with you, he\'s been instructed to change into an Imperial uniform. Escort him here, and avoid blowing cover at all costs.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '146', 'm25p', 'The Alliance is making headway in recruiting local business leaders. I\'ve got data here worth a pretty credit to your superiors.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '147', 'm25u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '148', 'm25c', 'Thanks. We\'ll have the agent interrogated too, just so we don\'t miss anything. Sometimes these agents like to play both sides against the middle.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '149', 'm25e', 'Hey, why is he looking so threatening? Doesn\'t he know I\'m on his side?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '150', 'm25t', 'Rendezvous with Undercover Informant');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '151', 'm26o', 'Got a report of another prisoner labor gang rioting and killing the guards. One survivor. Go and bring the guard here for debriefing.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '152', 'm26p', 'They stole a blaster and used it to blow up a transport. The explosion took out most of my unit, and they got the rest of us while we were surprised. It was awful.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '153', 'm26u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '154', 'm26c', 'These riots are getting more frequent. Shows a lack of alertness training among new guard recruits.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '155', 'm26e', 'I guess they didn\'t kill me because I used to give them extra water. The other guards called me soft for that. Huh.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '156', 'm26t', 'Prisoner Riot Leaves Wounded Guard Alive');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '157', 'm27o', 'The Emperor ordered the assassination of a treasonous Imperial dignitary. We sent an agent to do the deed using a Scarab assassin droid. But the droid went crazy, and the agent is stranded in the middle of nowhere. It\'s your job to make the rescue.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '158', 'm27p', 'That droid hit some kind of radioactive mineral deposit and bam! It started firing at me! Blew up my speeder before I could bring it down. I\'m glad you\'re here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '159', 'm27u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '160', 'm27c', 'Never send a droid to do a Star Destroyer\'s job, I say. Your service to the Empire is noted.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '161', 'm27e', 'I usually have much better luck with Scarab models. I can requisition another if I can line up another job. Need anyone assassinated?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '162', 'm27t', 'Scarab Assassin Droid Malfunction');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '163', 'm28o', 'We located -- well, we thought we located -- a Bothan SpyNet installation, an op-front. The cover was a rural HoloNet receiver. Headquarters sent a squad to storm the house, but it was a trap. We need you to survey the damage and bring back survivors.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '164', 'm28p', 'A droid saw us and said, \"Oh dear.\" It turned and stumbled away. For kicks, somebody shot the droid. It fell over onto some kind of switch. Next thing -- boom! I was the only one outside the blast radius. I need you to escort me back to report.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '165', 'm28u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '166', 'm28c', 'I tell you, Bothans are the most cunning creatures in the galaxy. Makes me shiver to think we\'re supposed to eradicate that SpyNet, and all the time the Bothans are listening to our every word.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '167', 'm28e', 'I sure hope that in the future, HQ doesn\'t jump at every Bothan SpyNet eradication operation. That\'s what I hope.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '168', 'm28t', 'Bothan SpyNet Base Assault Gone Wrong');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '169', 'm29o', 'That traitorous defector Crix Madine is leading more Rebel raids against the very soldiers who once fought beside him. Makes my blood burn. We\'ve just got word that one of his covert strike teams blew up a listening post in the wilderness. Go out and bring back the survivors for debriefing.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '170', 'm29p', 'The Rebels lured us out in a classic decoy-and-close maneuver. Right out of Imperial small-formation tactics. I can\'t believe we fell for it. I\'m the only one left. Can you escort me back to my dispatch point?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '171', 'm29u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '172', 'm29c', 'That sounds like Crix Madine, all right. There\'s a special interrogation droid waiting for that man when we finally catch him.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '173', 'm29e', 'I don\'t think we ever saw Crix Madine himself, but I\'m pretty sure someone good was handling Rebel tactics today.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '174', 'm29t', 'Madine\'s Covert Team Strikes Again');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '175', 'm30o', 'The Empire has been looking for the Procurement and Supply base used by the Rebel leader known as Targeter. Our scout reported a sighting of Targeter\'s forces at rest, but then something jammed the signal. Check the coordinates of the last transmission and escort the scout back here. Don\'t waste time!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '176', 'm30p', 'I was looking through my electrobinocs when something big moved in front of me. Before I could look up, wham! When I woke up, I was alone. I need you to escort me back to operations.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '177', 'm30u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '178', 'm30c', 'That Targeter is supposed to have unusually good recon. Maybe some special kind of droid? But we\'ll sneak up on that Rebel someday, count on it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '179', 'm30e', 'I\'m looking forward to debriefing. With the data from my report, I expect we can close in on Targeter before long.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '180', 'm30t', 'Imperial Scout Found Targeter Base?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '181', 'm31o', 'Imperial Intelligence put us onto a Rebel research facility. We carried out the assault beautifully, if I do say so. But we just got a call that some knucklehead trooper got left behind. I don\'t really care about one stupid agent, but go and bring back the idiot before some Rebel gets his hands on our gear.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '182', 'm31p', 'We were moving into the base when this weird-looking X-Wing swooped out past us. The backwash knocked me out, and when I woke up, everyone was gone and the base was destroyed. I lost all my directional gear, so I\'m glad you\'re here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '183', 'm31u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '184', 'm31c', 'That\'s fine. I\'ll give this nincompoop a good talking-to, and then he\'ll be one more warm body for detention-cell duty.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '185', 'm31e', 'I couldn\'t help what happened. I\'m not an idiot, just unlucky.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '186', 'm31t', 'Straggler from Rebel Research Base Assault');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '187', 'm32o', 'A probe droid spotted a refueling base used by the Rebel starfighter unit called Rogue Squadron. We hit it hard and took it out. But in all the smoke, some dimwit agent of ours went missing. Now we\'ve got his distress call to handle, and I don\'t have the time. Get this dolt back here safely, okay?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '188', 'm32p', 'The smoke was everywhere, and my IR heatsights fritzed out. I kept calling for help over the comm, but nobody showed up. They just left me! After you escort me back, I\'m gonna let fly at someone, you watch.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '189', 'm32u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '190', 'm32c', 'That\'s all I need, more namby-pamby agents moaning about being left behind. It\'s war! Live with it!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '191', 'm32e', 'My squad never liked me. They treated me like some, some -- droid! I\'m filing a report that\'ll raise blisters on their collective backside.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '192', 'm32t', 'Leftovers from Assault on Refuel Base');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '193', 'm33o', 'We found a Rebel facility housing fugitive Wookiees from a failed slave revolt on their homeworld, Kashyyyk. We wiped out the facility without much problem, but in the assault we lost track of a reconnaissance agent. Round up the straggler so Imperial Intelligence can complete its debriefing.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '194', 'm33p', 'It was horrible. Those Wookiees are savage killers, just like you\'ve always heard. I found some evidence in the wreckage that may interest the Security Bureau.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '195', 'm33u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '196', 'm33c', 'That evidence should help us track and close down the \"Cloaking Transit\" network that smuggles Wookiee rabble-rousers off Kashyyyk. Good work!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '197', 'm33e', 'It\'s only a matter of time before Kashyyyk is completely subdued, no matter how savage its natives can be.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '198', 'm33t', 'Assault on Wookiee Fugitives Left One Behind');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '199', 'm34o', 'Our speeder convoy was ferrying bacta tanks to a supply post when Rebels attacked. One survivor has called in, asking for an escort back here. If you can take care of the retrieval, that\'s less hassle for me while I work out where to get new bacta.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '200', 'm34p', 'I got wounded in the attack, but then bacta splashed all over me when a tank ruptured. Now I feel fine. I need you to escort me back so I can report.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '201', 'm34u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '202', 'm34c', 'We\'ve lined up a backup bacta shipment from offworld. Those Rebels ought to know by now they\'ll never break the Empire\'s supply chains!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '203', 'm34e', 'The Rebels seemed just as dismayed as we were when that bacta tank ruptured. But they got away with the other tanks. I expect we\'ll see it on the black market soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '204', 'm34t', 'One Survivor from Bacta Convoy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '205', 'm35o', 'An ace pilot from a top TIE squadron has arrived on the planet. I have secret orders for his team. I need you to rendezvous and escort him to me. Be wary. Criminals and Rebel spies are everywhere.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '206', 'm35p', 'You\'re my contact? Nice. I thought I rated higher than some half-trugut lackey. Well, lead on.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '207', 'm35u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '208', 'm35c', 'We meet again, captain. Charming as always, I see.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '209', 'm35e', 'Thanks for the escort, junior. Me and Captain Blasterbritches have some work to do now, so run along.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '210', 'm35t', 'Rendezvous with an Ace TIE Pilot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '211', 'm36o', 'One of the few survivors of the Yavin disaster is on the planet to give me a secret deposition. This could be an important step in my career. Make sure no one causes any trouble on the way. Arm yourself, just in case.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '212', 'm36p', 'Are you the person I\'m supposed to give a deposition? Are you sure? Because I\'ll tell you everything. You sure you don\'t want to hear it?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '213', 'm36u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '214', 'm36c', 'This secret deposition will earn me a promotion for sure. Thanks for your help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '215', 'm36e', 'Secret? Was this supposed to be secret information? Because I told the whole story on the public transport from Togoria. There was a Twi\'lek on board who sounded very interested. Is that bad?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '216', 'm36t', 'Escort a Yavin Survivor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '217', 'm37o', 'I need you to bring a captured traitor to me. The bounty hunter put a slave transmitter in his neck and dropped him off at these coordinates. Don\'t worry. One false move and the transmitter will explode, so he shouldn\'t cause you any problems.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '218', 'm37p', 'I promise not to tell anyone if you remove my slave transmitter. No? It was worth a try. Let\'s go, then.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '219', 'm37u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '220', 'm37c', 'I told you there wouldn\'t be any trouble. The Empire will reward you generously.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '221', 'm37e', 'So if I just run for it right now, my head will explode? Just checking. It doesn\'t hurt to ask.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '222', 'm37t', 'Escort a Captured Traitor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '223', 'm38o', 'We brought in an expert scout from Lambda Sector to assist us with a few operations, but he\'s already gotten himself lost. Can you find this laserbrain and point him back to me? I\'ve got a few choice words I need to convey.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '224', 'm38p', 'Hey, you found me! Well, um, thank goodness. I kinda thought my superiors had forgotten about me. Let\'s go.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '225', 'm38u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '226', 'm38c', 'So this is the \"expert scout,\" eh? I can spot a fake just by looking at him. We\'ll see what his commander in Lambda Sector has to say about this.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '227', 'm38e', 'I wasn\'t lost! I was, um, scouting new paths across unfamiliar terrain. I\'d better get back out there and check my markers. There\'s wild animals in that area, you know.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '228', 'm38t', 'Find a Lost Scout');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '229', 'm39o', 'I know this isn\'t a pleasant assignment, but we just commissioned a nerf herder into the military. The Corvette Intruder has need of a junior officer. Can you bring the herder to me? Some hygienic adjustment is in order before deployment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '230', 'm39p', 'Why don\'t people like us nerf herders? The smell isn\'t all that bad, is it? Here, smell my hand. No, really, just smell it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '231', 'm39u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '232', 'm39c', 'Let\'s get you a new uniform, soldier. You\'ll curdle the fuel cells with that reek.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '233', 'm39e', 'Come on! The smell isn\'t that bad. I used to work with thranta dung. You talk about stench, that stuff would singe a Wookiee\'s nostrils!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '234', 'm39t', 'Yes, An Imperial Nerf Herder');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '235', 'm40o', 'I am scheduled to debrief a witness to possible Jedi activity. Lord Vader will want this information as soon as possible. The Jedi may know about the witness, so you must ensure that he arrives here safely. Do not delay!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '236', 'm40p', 'I\'ll tell the whole story in the debriefing, but I know it was a Jedi I saw. She had a lightsaber and everything. She was deflecting blaster bolts with the whole buzz! and the whoosh! thing. It was amazing!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '237', 'm40u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '238', 'm40c', 'Lord Vader will be happy to hear these details. Let\'s get to the debriefing room, soldier.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '239', 'm40e', '... and the Jedi hid behind a vaporator, waited for the bounty hunter to pass, and then leapt out and cut him down from behind. Unbelievable!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '240', 'm40t', 'Escort a Witness to Jedi Activity');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '241', 'm41o', 'Our relay station has needed a transpacitor shunt for two weeks. Finally we get a technician ferried from Duros orbit and what happens? They dump the poor nerf in the middle of nowhere. I want you to fetch him so our relay station can get back on line.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '242', 'm41p', 'I can\'t believe that shuttle pilot dumped me way out here. What kind of operation do they run on this dirt ball? I\'m glad at least one of you is lucid enough to solve this problem.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '243', 'm41u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '244', 'm41c', 'I\'m sorry for the trouble. Those gundarks in Sector Command have asteroids for brains.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '245', 'm41e', 'Thanks for the escort. Next time I come here, I\'ll make sure you\'re on the shuttle that picks me up.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '246', 'm41t', 'Fetch a Shunt Technician');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '247', 'm42o', 'A blasted Rebel sniper put a laser hole in my shuttle\'s fuel bay. When I landed, I sent a tech with a crystal pump to clean up the acid spill. But the acid dissolved the pump\'s motivator and now the tech is stuck without a transport. I want you to go out there and help him get back to me. I\'ll see what I can do about the Rebel sniper.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '248', 'm42p', 'I\'m glad you found me. I think there are Rebels out here. Let\'s get back so I can make a report.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '249', 'm42u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '250', 'm42c', 'Rebels, you say! Tell me more. This could be the lead I require to track down that sniper.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '251', 'm42e', 'I appreciate your assistance. Now I can report about those Rebels I saw while I was out there.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '252', 'm42t', 'Assist a Shuttle Tech');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '253', 'm43o', 'Look, I\'ll be blunt. We\'ve had a microbial containment breach in this area. There\'s an expert on the planet who can set the matter straight, but there are some unsavory characters between here and there. You must fetch this expert and provide him an armed escort back to this location. You\'re infected now, too, so don\'t waste any time!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '254', 'm43p', 'I heard the report of a microbial containment breach. Take me there quickly!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '255', 'm43u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '256', 'm43c', 'Well, it turns out we didn\'t spill a microbial solution. It was a flask of zaffa oil for my synthsteak tonight. Carry on.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '257', 'm43e', 'This agent helped me get here as fast as I could! Where is the microbial containment breach?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '258', 'm43t', 'Help an Imperial Microbe Specialist');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '259', 'm44o', 'One of our patrol speeders was hit by a Rebel ambush. There\'s one survivor who needs rescuing right away. Get out there immediately and I\'ll see what I can do about providing you some aerial cover.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '260', 'm44p', 'Boy, am I glad to see you. I\'m well enough to run, but we need to clear out before the Rebels come back. Let\'s go!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '261', 'm44u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '262', 'm44c', 'I agree. That was expertly done. You\'ll receive a bonus for this, I assure you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '263', 'm44e', 'I can\'t thank you enough for the rescue. I wouldn\'t have made it without you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '264', 'm44t', 'Extract an Injured Operative');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '265', 'm45o', 'One of our stealth operatives tracked a rogue transmission straight into a Rebel trap. The speeder patrols will take awhile to scramble. In the meantime, get out there as fast as you can and lend a hand!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '266', 'm45p', 'Watch out! Those Rebels are out here somewhere, and they know my blaster is drained. Let\'s get moving before more of them show up.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '267', 'm45u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '268', 'm45c', 'Our speeder patrols bagged a few Rebel stragglers, but most of them got away. Traitorous cowards.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '269', 'm45e', 'You probably saved my life. I can\'t thank you enough for your help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '270', 'm45t', 'Extract a Wounded Operative');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '271', 'm46o', 'We sent the deadliest assassin under Sector Command to eliminate a threat to planetary security. Unfortunately, getting back here is not as easy as murdering someone. I want you to travel to the kill site and retrieve him at once. Hail the New Order!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '272', 'm46p', 'Oh, thank heaven! Are you here to guide me back? I\'m most dreadfully embarrassed about losing my way. This usually doesn\'t happen to me, I assure you. Come along, then.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '273', 'm46u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '274', 'm46c', 'We must be discreet. I would not presume to tarnish the reputation of Sector Command\'s most valuable assassin.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '275', 'm46e', 'How terribly awkward of me to lose my way like that! I certainly hope no one else will hear about my embarrassing mistake. That would vex me awfully. Is that understood, my excellent friends?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '276', 'm46t', 'Retrieve a Master Assassin');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '277', 'm47o', 'I\'ve got an embarrassing problem. One of my subordinates has fallen in with some kind of cult from the Tatooine outskirts. I want you to fetch this true believer back to me, so I can make it plain that I don\'t approve of \"spiritual vision quests\" on the Imperial clock. Understood? Good.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '278', 'm47p', 'Greetings, fellow spiritual traveler! Have you come to lead me home? Good. The Shrub is generous and giving to all.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '279', 'm47u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '280', 'm47c', 'We\'ll see what \"rains down\" when Sector Command hears about this!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '281', 'm47e', 'Thank you for guiding me, fellow pilgrim! The Shrub will rain down its leaves to the willing.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '282', 'm47t', 'Retrieve a Spiritual Traveller');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '283', 'm48o', 'Ever heard of an archeological engineer? Me, either, but one has been assigned to my unit. Apparently an old Vulture Droid star fighter is rotting away somewhere on the planet. This engineer of mine is investigating the site. I guess he\'s not good with maps, because now he needs a guide to report back to me. Please go out there and handle this. I\'ve got more important things to worry about than droid historians.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '284', 'm48p', 'Oh good, you\'ve come to take me back. I wandered away from the wrecked Vulture Droid and seem to have lost my way. I\'ve got a lot to report to my superiors.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '285', 'm48u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '286', 'm48c', 'I\'ve just been ordered to put you on a transport, engineer. Someone named Lord Vader has heard of your work and wants to discuss the future of your research.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '287', 'm48e', 'Thank you. I\'ve got much to report. If my theories are correct, the Trade Federation\'s droid armies played a much larger role in the creation of the Empire than has previously been suspected.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '288', 'm48t', 'Assist a Droid Historian');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '289', 'm49o', 'I\'ve got an Imperial biologist in the field investigating a possible kouhun infestation. But someone short-circuited the maintenance droids at my shuttle depot an hour ago. I can\'t call for an extraction. I need you to escort the biologist back here. Make sure you take a weapon. You don\'t want to meet one of those assassin bugs unarmed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '290', 'm49p', 'Ow. I got a little insect bite here. I think a kouhun might have stung me. I need to get medical attention as soon as possible.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '291', 'm49u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '292', 'm49c', 'How convenient that our shuttle depot was sabotaged when this \"biologist\" had a perfect alibi. Come with me, professor, and we\'ll get to the bottom of this.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '293', 'm49e', 'Thanks for bringing me back. But you know what? I\'m not dead, so it couldn\'t have been a kouhun that stung me. Maybe a mace fly or a shauput.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '294', 'm49t', 'Assassin Bugs On the Loose');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '295', 'm50o', 'We put a tracer beacon on the ship of a suspected smuggler. I sent an operative out to track it down. He found the ship, but it had jettisoned its cargo. I need you to find our man in the field and help him search in a line from his position to this position. You should find some contraband along the way so we can lock this smuggler up once and for all.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '296', 'm50p', 'There you are. I\'m afraid I had to let the suspect and his ship go. No evidence to hold him. But let\'s search for that jettisoned cargo between here and my superior. Maybe we\'ll get the guy yet.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '297', 'm50u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '298', 'm50c', 'We\'ll keep an eye on this Twingo creep. He\'s bound to make a mistake soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '299', 'm50e', 'I could have sworn he jettisoned his contraband somewhere out there. Guess I was wrong. Thanks for the help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_imperial_medium.stf', '300', 'm50t', 'Help Apprehend a Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '1', 'm1o', 'I\'ve managed to locate a retired master Balved sculptor. I\'ve offered a generous stipend if this master takes me on as a pupil. Could you see to it that this patron of the arts is safely escorted here? I will of course reward you for your service.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '2', 'm1p', 'Are you my escort? Very well then. Are you interested in the arts? I think sculpture is the highest form of artistic expression. The collapse of the arts was the collapse of the Old Republic. A shame.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '3', 'm1t', 'A Master Sculptor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '4', 'm1c', 'Thank you, thank you. Now I can finally realize my dream of being an artist. Moisture farming had just become so tedious, after all.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '5', 'm1e', 'I found your company quite pleasant. You should consider taking up some form of art. I hear holosculpting is all the rage these days. Ah, these youngsters.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '6', 'm2o', 'I\'m taking on a friend\'s cousin as a carpentry apprentice. I hope I\'m not making a mistake. I hear this cousin is lazy and gets lost easily. Could you bring this would-be apprentice to my shop?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '7', 'm2p', 'Do I gotta go? What do I know about wood? Carpenters are dumb, anyway. I\'d rather be a TIE pilot. \'Cept I prolly couldn\'t pass the Academy\'s entrance exams. Story of my life.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '8', 'm2t', 'A Carpentry Apprentice');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '9', 'm2c', 'Well, I\'ll try to make the best of it, I suppose. Thank you for your time, you\'ve been very helpful. Hmm, maybe courier duty would be a more appropriate apprenticeship.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '10', 'm2e', 'Thanks for making sure I didn\'t get lost or nothing. I prolly coulda made it without you. Maybe I can make you a stool or something. When I get good.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '11', 'm3o', 'We lost one of our friends in a speeder accident. His best friend moved to a different city last year and wants to return for the funeral. Could you provide safe escort? The wilderness can be dangerous.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '12', 'm3p', 'Thank you for escorting me. Please forgive me if I don\'t feel much like chatting.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '13', 'm3t', 'A Grieving Friend');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '14', 'm3c', 'Our thanks for escorting our friend. This has been a difficult time for all of us. We appreciate your understanding.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '15', 'm3e', 'You have my gratitude, friend. I hope you never have to experience what I\'m going through.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '16', 'm4o', 'My boss wants me to take in her cousin for a while. Seems this relative is getting involved with a \"bad\" crowd. Could you make sure this cousin gets here in one piece? Those thugs might not like someone leaving their gang.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '17', 'm4p', 'I don\'t want to move to a new city. I like it here just fine. And I\'m not getting involved with a swoop gang. My parents just worry too much is all.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '18', 'm4t', 'A Wayward Cousin');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '19', 'm4c', 'Thanks for the escort duty. I hope my boss\'s cousin won\'t get into trouble here. That would make for tricky office politics.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '20', 'm4e', 'You were pretty cool. Thanks for putting up with me. Maybe I do need to straighten my life out. I\'ll work on it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '21', 'm5o', 'I\'ve just taken on a new mandoviol student, who shows great promise and may flower into a virtuoso. Could you escort this prodigy here to me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '22', 'm5p', 'I\'m very grateful for your help. Being taken on as a student by a mandoviol master is truly an honor. Do you play any instruments? Music is in my blood.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '23', 'm5t', 'Music Student');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '24', 'm5c', 'A thousand thanks, my friend! I would hate for my skill to have died with me. Now I can pass it on to another generation.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '25', 'm5e', 'Thanks for seeing me safely here. You were very brave. I never once feared for my life. Honest.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '26', 'm6o', 'I\'m planning to show an old friend around town. My friend lives a rather sheltered life out in the country and hasn\'t seen much of the world. Could you provide a safe escort back here? I\'ll pay you for your time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '27', 'm6p', 'I\'m ready to go. I certainly appreciate the escort to town. The world is a dangerous place and can swallow someone like me whole.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '28', 'm6t', 'A Naive Friend');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '29', 'm6c', 'Thanks for looking out for my friend. I\'ll start the education in the ways of the world. First stop, a cantina!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '30', 'm6e', 'I appreciate your efforts on my behalf. I\'ll work on making myself much more self-sufficient, I promise.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '31', 'm7o', 'My chief investor has decided to become my partner and wants to tour the premises. I need to provide an escort as I\'m a bit busy and can\'t do it myself. If you can take care of it, I\'ll pay you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '32', 'm7p', 'There\'s no telling what sorts of horrors lurk out there in the wilds. A being can be gobbled up by all sorts of vicious predators. Thank goodness you\'re here to make sure that doesn\'t happen to me.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '33', 'm7t', 'Protect the Partner');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '34', 'm7c', 'Thanks, friend. It looks like my new partner is a nervous type. Here\'s something for your trouble.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '35', 'm7e', 'I wish I was as brave as you. I\'m afraid of my own shadow, honestly. Thanks for your generous display of courage.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '36', 'm8o', 'Years ago my friend was attacked by a pack of ravenous anoobas and since then refuses to travel alone, even over short distances. If you could provide a safe escort for my companion, I would make it worth your while.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '37', 'm8p', 'I don\'t know why the Empire doesn\'t simply blast all dangerous predators into atoms. I don\'t believe all this scientific claptrap about delicate ecosystems. If a species is dangerous to citizens, then it should be exterminated.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '38', 'm8t', 'A Squeamish Traveller');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '39', 'm8c', 'Hope you didn\'t go through too much grief, citizen. Thanks for your help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '40', 'm8e', 'If you see any dangerous predators in the wild, do us all a favor and blast them to pieces. We need to make sure the galaxy is safe for our children.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '41', 'm9o', 'A colleague wishes to show me some samples of jewelry with semi-precious stones. Safety, however, is a factor during transport. Could you escort this nervous individual to me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '42', 'm9p', 'One can\'t be too careful with works of art like this. The wilderness is filled with all sorts of thieves and opportunistic gangsters. I long for the days when we were free of such fears.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '43', 'm9t', 'A Nervous Artisan');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '44', 'm9c', 'My thanks, citizen. I sure hope my colleague doesn\'t expect this sort of escort all the time. That could get expensive.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '45', 'm9e', 'I\'m glad you turned out to be a respectable sort. I must admit, I had my doubts about my safety when I first laid eyes on you. But you proved me wrong.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '46', 'm10o', 'I can\'t believe one of the principal engineers of the classic Void Spider TX-3 landspeeder is here on this world! I look forward to hosting this genius, if you will serve as escort.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '47', 'm10p', 'Uh, I didn\'t design the Void Spider. I exaggerated my record because I kinda need help finding my way around here. Can you take me to the one I talked to?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '48', 'm10t', 'A Speeder Engineer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '49', 'm10c', 'Not a landspeeder designer? I wondered why this citizen asked for a ride. Well, I need someone to oil repulsorlift casings, so maybe this fraud can help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '50', 'm10e', 'I did almost buy a Void Spider once, so I wasn\'t absolutely lying. Anyway, thanks for getting me here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '51', 'm11o', 'My pet jubba bird won\'t sing. I\'ve found a local \"bird talker\" to persuade it to pour forth once more its mesmerizing song. Bring me that talker!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '52', 'm11p', 'The secret with jubba birds is that they get bored with their owners\' prattle and just want to discuss deeper topics. Lead me to the owner, please.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '53', 'm11t', 'The Pet Talker');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '54', 'm11c', 'Rapture! I shall soon enjoy again the hypnotic sussurus of that divine jubba song. Thank you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '55', 'm11e', 'I appreciate your guidance, thanks. I didn\'t want to keep this client waiting -- these jubba owners can get pretty intense.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '56', 'm12o', 'I\'ve just been in contact with my business partner, who\'s returned from the Corporate Sector worlds. It\'s a long way to go, but I need you to escort my partner back here. Be careful, because gangsters may want my partner\'s cargo.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '57', 'm12p', 'I have with me a genuine purchase order from the Bonadan government in the Corporate Sector Authority. Yes, it\'s true! I know you\'re impressed. If you can get me back safely, the rewards will be rich for both of us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '58', 'm12t', 'A Corporate Sector Hopeful');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '59', 'm12c', 'I can\'t believe it. You can\'t imagine how many restraining bolts those recycling droids use. We\'re rich! Thank you, thank you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '60', 'm12e', 'Now that we\'re here, I\'ll confide in you: We\'re providing restraining bolts for every single Gyrowheel 1.42.08 Recycling Droid on Bonadan for the next fiscal year! This is the kind of deal that passes into legend. Ahh, prosperity....');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '61', 'm13o', 'My real estate agent has been scouting locations for my new home. I just got a call. There\'s a prime site! But my agent needs a lift, if you\'re willing to give one.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '62', 'm13p', 'This place may not look like much, but a visionary architect could build something wonderful here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '63', 'm13t', 'A Real Estate Agent');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '64', 'm13c', 'Oh. I had the idea the site itself was pretty. Should beauty really be dependent on the architect? Well, thank you anyway.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '65', 'm13e', 'Clients usually takes a bit of convincing, but we agents know best. Thanks for getting me here!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '66', 'm14o', 'I\'ve had so much trouble sleeping at night, I need a specialist. I\'ve invited one here who happens to be vacationing outside town. Can you bring me that specialist?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '67', 'm14p', 'Me? A sleep specialist? Well, that\'s a left-handed compliment if ever I heard one. But take me to your patron, please.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '68', 'm14t', 'A Sleep Specialist');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '69', 'm14c', 'I read that this poet\'s published work provided a beautiful cure for insomnia. Didn\'t that mean--? Oh, I get it. Sorry.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '70', 'm14e', 'The plight of the struggling poet can never be easy. Anyway, it was a nice journey here, thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '71', 'm15o', 'My long-lost cousin Neeblook is on this world! I just got the message. Can you guide good old Neeblook here for me? I\'ll pay you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '72', 'm15p', 'It will be so good to see cousin Dennwater after all this time. I didn\'t even know Dennwater was on this world. Funny, isn\'t it? Lead the way.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '73', 'm15t', 'Neeblook & Dennwater');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '74', 'm15c', 'This isn\'t my cousin Neeblook! It\'s a big galaxy, I guess. I wonder where our actual cousins Dennwater and Neeblook live?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '75', 'm15e', 'This isn\'t my cousin Dennwater!  Is there more than one Neeblook in the galaxy with a cousin Dennwater?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '76', 'm16o', 'A friend is visiting my new home from outside town. Can you go out and guide my friend here? There\'s credits in it for you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '77', 'm16p', 'I just got HoloNet news of another escapade by that Twi\'lek adventurer, O-i. This guy could take on an Imperial garrison! I have to tell my friend all about it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '78', 'm16t', 'A HoloNet Enthusiast');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '79', 'm16c', 'I thought my friend wanted to visit to see my new home. I guess gossip about O-i is more interesting. Not that I\'m bitter.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '80', 'm16e', 'And then O-i stampeded the bantha herd so they demolished the guard outpost! He sailed right through and rescued the ambassador! It was great!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '81', 'm17o', 'I\'ve had so much trouble staying awake at work, I need a specialist. I\'ve invited one here who happens to be vacationing outside town. Can you bring me that specialist?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '82', 'm17p', 'Yes, I can keep citizens awake through the most boring meetings. I have an elaborate technique, which I shall describe when we arrive.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '83', 'm17t', 'Attention Disorder Specialist');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '84', 'm17c', 'I dozed off while I was waiting for you. I sure am looking forward to this new waking life.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '85', 'm17e', 'I stand behind the client and, when sleep threatens, I shout loudly and drop large objects. It works beautifully. Thanks so much for bringing me here!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '86', 'm18o', 'Probably it\'s an urban legend, but I heard that somewhere out there is a piece of a destroyed Imperial spacecraft. I hired someone to go look, but haven\'t heard back. Can you check and escort my researcher back here?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '87', 'm18p', 'This may look like a hunk of rusted metal, but I swear it\'s a piece of the Death Star! Really! What, you don\'t believe me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '88', 'm18t', 'A Piece of the Death Star');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '89', 'm18c', 'Hmph. This is a rusty bolt off a landspeeder, or maybe a droid\'s restraining bolt. Tell you what, I\'m going to pay you the fee I would have given to this \"researcher.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '90', 'm18e', 'This bolt could have been the very one that held the superlaser in place as it blew up Alderaan! Why won\'t you believe me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '91', 'm19o', 'The Galactic Miner\'s Guild is confirming a vein of ionite I discovered near here. I\'m too busy to handle this right now. Can you track down their agent for me and find out what was learned?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '92', 'm19p', 'That miner is too busy to come here in person, eh? The Guild disapproves of such treatment, especially after a bogus mining claim. Take me to this impolite individual and I\'ll set \'em straight.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '93', 'm19t', 'Miner\'s Guild Agent');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '94', 'm19c', 'Uh-oh, I didn\'t expect you to bring the guild agent back to me. I\'ve got a bad feeling about this.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '95', 'm19e', 'Thank you for showing me here. This inconsiderate miner and I have a lot to talk about.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '96', 'm20o', 'I\'ve decided to propose marriage to my beloved, but the two of us are very different. To be honest, I\'m afraid of rejection. Can you deliver my proposal for me? You may save me a lot of embarrassment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '97', 'm20p', 'Marriage! How shy can a person be, sending someone else to propose for them? Show me where my darling is and I\'ll answer in person.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '98', 'm20t', 'A Marriage Proposal');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '99', 'm20c', 'Didn\'t I send you to ask on my behalf, instead of bringing my precious darling here? Thank you for helping me with my fear of rejection.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '100', 'm20e', 'Thank you for showing me to this no good, scruffy-looking gundark. I prefer to say in person that I wouldn\'t marry such a spineless gullipud for all the credits in the sector!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '101', 'm21o', 'I\'ve hired a transport to take me offworld, but my contact seems to have gotten lost. I\'m in a bit of hurry. Can you fetch this spacer for me? I\'ll make it worth your while.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '102', 'm21p', 'Thanks for meeting me. My passenger didn\'t show up at the arranged place. The captain of my ship was going to get angry if I didn\'t hear anything soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '103', 'm21t', 'Fetch the Spacer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '104', 'm21c', 'For someone who promised to ask no questions, this spacer sure grumbles a lot. Anyway, thanks for helping me out.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '105', 'm21e', 'Passengers who demand secrecy should always make their rendezvous. Lucky thing you were here to lend a hand.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '106', 'm22o', 'I\'m supposed to audition a new singer for my cantina, but apparently I\'m not easy to find. That\'s what I get for soliciting offworlders. Can you find this person for me and bring them here? Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '107', 'm22p', 'Really, you\'d think a cantina owner would bend over backward to accommodate a singer of my stature. Instead I get stuck with a paid messenger. Well, take me there and let\'s get this audition over with.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '108', 'm22t', 'Find the Diva');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '109', 'm22c', 'I solicit singers from three sectors and this backwater diva is what I get? Just my luck. At least you\'re a reliable sort. Thanks, friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '110', 'm22e', 'I travel halfway across the sector and this ... person ... is going to audition me? I\'m going to have a talk with my agent.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '111', 'm23o', 'At last, my blind date has arrived on the planet! Can you provide an escort while I get myself ready? My heart is thundering like a tympanic pulser!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '112', 'm23p', 'I can\'t believe I came all this way for a blind date. I just know it\'s a waste of time. Too late to back out now, I guess.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '113', 'm23t', 'The Odd Couple');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '114', 'm23c', 'I expected so much better. I\'d rather date a droid than this ugly narglatch. Don\'t you agree? But thanks anyway.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '115', 'm23e', 'I can\'t believe it! What a vision of beauty I see before me! Thank you for bringing me to this wondrous creature!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '116', 'm24o', 'I\'m having trouble with my droid. It keeps running away from me. Would you be so kind as to bring my technician back here? I need to get this fixed soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '117', 'm24p', 'You fix somebody\'s droid once and they think you\'re some kind of personal servant. Take me there and I\'ll straighten this out.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '118', 'm24t', 'Fix My Naughty Droid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '119', 'm24c', 'I appreciate your help. Technicians seem to run from me as often as droids do.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '120', 'm24e', 'Thanks. Now I can tell this busybody that restraining bolts do not have to be changed daily. If I was a droid I\'d run away, too.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '121', 'm25o', 'I just picked up my client\'s package from offworld, but I can\'t leave it sitting here. How would you like to earn a few creds and track down my client for me? I\'ll stay here and watch the box.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '122', 'm25p', 'Thank you for finding me. I\'ve been waiting all season for that package. Can you show me where it is?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '123', 'm25t', 'Help Deliver a Package');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '124', 'm25c', 'I don\'t care if my clients are scruffy, as long as their money is good. Thanks for helping out. Here\'s the creds I promised you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '125', 'm25e', 'Yippee! My R-10 household droid is finally here! My room has been buried in dust and old clothes since my last R-10 short-circuited. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_easy.stf', '126', 'number_of_entries', '25');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '1', 'm1o', 'My friend is now homeless due to debt. I promised a place to stay until things settle down. My friend can\'t afford fancy transports, as you might imagine. Could you provide safe escort?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '2', 'm1p', 'Thanks for coming to get me. Things are looking pretty bleak for me right now. At least I still have friends to help me out of this financial slump.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '3', 'm1t', 'A Friend in Need');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '4', 'm1c', 'Thank you. You are indeed a noble citizen. Not too many folks care about their fellow beings these days. It gives me hope for the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '5', 'm1e', 'I appreciate your efforts on my behalf. I\'ll give you a piece of advice: Don\'t ever put all your credits on one podrace. If it looks too good to be true, it probably is.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '6', 'm2o', 'My best friend flew in for my wedding but unfortunately landed at the wrong starport. Being an optimistic sort, my buddy decided to walk here, not realizing how far it was. Could you provide an escort?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '7', 'm2p', 'Hi. You must be here to make sure I get into town safely. Thanks for coming to get me. Things sure are far apart here, huh?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '8', 'm2t', 'Eager Wedding Guest');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '9', 'm2c', 'Glad to see you made it safe and sound. It was very important to have my best friend at this wedding. This should demonstrate my gratitude.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '10', 'm2e', 'Much obliged, friend. I\'ll be sure to consult maps a little more closely next time I travel to another system.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '11', 'm3o', 'I recently lost my father in a tragic vaporator accident. His best friend just arrived for the funeral but, due to a miscommunication, has been stranded far from here. Could you safely escort my guest here?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '12', 'm3p', 'Blasted couriers! Never entrust an important message to a total stranger! You\'re a good friend of the family\'s, right?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '13', 'm3t', 'Lost Funeral Attendee');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '14', 'm3c', 'Thanks so much. This means a lot to my family. Allow me to pay you for this valuable service.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '15', 'm3e', 'They entrusted my safety to a total stranger? What is this galaxy coming to? Maybe it\'s best my good friend left it when he did.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '16', 'm4o', 'An old friend of the family claims to have discovered some buried treasure out in the wilderness. I\'ve received a transmission instructing me to hire an escort to help bring this treasure safely back. Can you help?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '17', 'm4p', 'Hope you\'re ready to defend me with your life, friend. If we\'re lucky, no one will suspect I know the whereabouts of precious treasure.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '18', 'm4t', 'Protect Lost Treasure');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '19', 'm4c', 'Your help is much appreciated. Allow me to pay you for your trouble.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '20', 'm4e', 'Thanks, friend. You fancy flame opals? Then hit the local markets in a few weeks and you may find some beauties for sale. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '21', 'm5o', 'My aged father is developing Bitter Winter disease. I need a specialist escorted here to attend to him. I\'ll pay you handsomely if you can bring me the specialist in one piece.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '22', 'm5p', 'Well, there\'s no time to waste. I assume you\'re my escort, yes? Good. Lead on.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '23', 'm5t', 'Bitter Winter Specialist');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '24', 'm5c', 'Thank you ever so much. You\'ve earned this reward, friend. Come, Doctor, my father awaits your inspection.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '25', 'm5e', 'Your courage is unusual for someone of your size. I hope you fare well in the future. Thanks for getting me here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '26', 'm6o', 'A strange old hermit contacted me recently. This individual claims to be a friend of my late father and wants to present me with some sort of archaic weapon, something my father wanted me to have when I was old enough. Could you escort this hermit here?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '27', 'm6p', 'You have been chosen to act as my Imperial guard? Do you feel anger? Good! Take me to my young apprentice, minion, and be quick! ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '28', 'm6t', 'Provide an \"Imperial\" Escort');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '29', 'm6c', 'Uh, this is the hermit? I think I\'ve heard of this lunatic. Okay, here\'s your money. I have a feeling this will not end well for me.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '30', 'm6e', 'Excellent, minion! You have brought me safely to my destination. Now, apprentice, I shall see if you are ready to take your father\'s place at my side!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '31', 'm7o', 'A Zanazi teacher has agreed to join our community and help enlighten the locals. The teacher has just finished a purification ritual in the wilderness and now needs safe escort here. Can you do it?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '32', 'm7p', 'Let us begin our journey. This one will be short, unlike the journey we must all undertake to embrace the Cosmic Balance. Chant with me. Ehhhnh--');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '33', 'm7t', 'Find the Enlightened One');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '34', 'm7c', 'Thanks for delivering our teacher. This payment can only begin to express our appreciation. The path to Balance awaits us all! Ehhhnh--');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '35', 'm7e', 'No, the sound is more nasal. Ehhhhnh. Try it again. Deeper breath. Oh, we\'re here? Remember, true enlightenment begins in your nose.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '36', 'm8o', 'I have a kind of, um, droid emergency here. I\'d rather not go into the details, but the parts I need are custom-made by some specialist out in the wilderness. No, I don\'t know why. No, I\'d prefer not to explain. I\'ll pay you to go there and bring the parts back here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '37', 'm8p', 'Droid parts? For the problem your patron is having, there are no parts. There\'s just me. Please lead the way back.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '38', 'm8t', 'Droid Specialist');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '39', 'm8c', 'If you must know, some slicer prankster secretly reprogrammed my droids. They barricaded themselves in my bedroom. Apparently this citizen can negotiate with them. Here\'s your fee. Please don\'t tell anyone about this.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '40', 'm8e', 'Here at last. I\'ll begin negotiating with the droids immediately. I appreciate your guidance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '41', 'm9o', 'My friend\'s cloud car has crashed! I\'ve just received news that the pilot survived, but is stranded a long way from here. I\'m counting on you to escort my friend back here before it\'s too late.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '42', 'm9p', 'I was scouting this terrain for mineral deposits, when something fired on my vehicle. I think I got too close to a smuggling base, or pirates. I\'m really, really glad to see you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '43', 'm9t', 'Lucky Pilot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '44', 'm9c', 'Oh, no! This poor citizen looks awful. I\'ll contact the appropriate authorities. It\'s an honor to have had your help. Please accept this reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '45', 'm9e', 'Don\'t I know your name? You\'re famous for something -- the Alliance? The Empire? I can\'t think too well right now. I\'m just grateful you saved my life.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '46', 'm10o', 'I\'ve heard of you! Everyone around here knows you. I\'ve got a friend waaay out in the countryside who\'d love to meet you and get your autograph. I\'ll pay you for the journey, don\'t worry.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '47', 'm10p', 'Why, this is a treat! That\'s so nice of my friend to think of me all the way out here. Tell you what, take me back with you. That\'ll give me something to talk about down at the cantina.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '48', 'm10t', 'You Must Have Me Confused');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '49', 'm10c', 'You brought my friend here! Now that\'s service. I didn\'t expect such thoughtfulness. Please accept this token of my great gratitude.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '50', 'm10e', 'I\'ll be sure to tell my friend all about your exploits. I\'ll remember this trip for a long time, believe me.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '51', 'm11o', 'That blasted idiot! I gave warning after warning -- \"Don\'t go out there,\" I said. And now look! Can you go out and fetch this nincompoop?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '52', 'm11p', 'I was looking for something cute. Now I think I hear growling and hissing out there, and I\'m a little scared.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '53', 'm11t', 'An Unlucky Explorer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '54', 'm11c', 'Help me convince this numbskull: Baby predators, bad-bad! Because they have parents! Is that so hard to understand, even for a droid-headed dimwit?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '55', 'm11e', 'I\'m glad you brought me back. I just wanted to pet some nice little baby animals.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '56', 'm12o', 'I\'ve had a call that a diplomat, who is trying to stop a war between two nearby worlds, has crash-landed far from here. Can you escort the official here, while I arrange safe transport offworld?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '57', 'm12p', 'Ah. Yes. All will go well now that you\'ve arrived, I\'m sure. Please escort me to our destination, using all due caution, and I\'m sure you will be suitably rewarded.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '58', 'm12t', 'Bewildered Diplomat');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '59', 'm12c', 'I\'ve arranged another ship for our official friend here. Thank you so much for helping during this emergency.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '60', 'm12e', 'You have my profoundest thanks for your diligent and courageous service. The cause of intergalactic peace will not perish this day.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '61', 'm13o', 'I have a friend with a cybernetic nerve implant, but it\'s malfunctioning. My friend has been behaving a little, well, strangely, wandering off into the wilderness. I have a new replacement for the implant, but I need you to rescue my friend. Please hurry!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '62', 'm13p', 'You\'re an Imperial walker! No, wait, that\'s wrong. Sith lord! No. Hold on. Must steady myself. I think you\'ve arrived just in time. Please get me back to my friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '63', 'm13t', 'Very Confused Individual');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '64', 'm13c', 'That implant was supposed to cure a nervous condition. Instead, when it fritzes out, it makes things worse. Thank you for this brave rescue!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '65', 'm13e', 'Scout walkers everywhere! No, it\'s a superlaser! Aaah! No, no -- I must stabilize -- all right. I think I\'ll be better now that my friend is here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '66', 'm14o', 'My droid popped its restraining bolt and headed out into the wilderness. My friend went to catch it while I hunted down a new bolt. They\'ve both been gone a long time. I\'ll pay you to go and bring them back safely.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '67', 'm14p', 'Nothing is left of the droid but this burned-out motivator. Looks like predators started playing with it. I have no idea how the thing made it this far from home.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '68', 'm14t', 'Tenacious Droid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '69', 'm14c', 'My droid, destroyed? Argh, what a nuisance. Well, thanks for rescuing my friend, at least. By rights I should only owe you half -- well, never mind, here\'s your full reward. Unless you\'d like this nice restraining bolt instead?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '70', 'm14e', 'Thanks for bringing me back. I expect my friend had insurance on that droid. So don\'t worry, your reward won\'t do any lasting financial damage.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '71', 'm15o', 'Some kind of military activity has stranded my employees out in the wilderness. I don\'t know the details. The distress call was garbled. Please, can you perform a rescue?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '72', 'm15p', 'We were driving along, when wham! A giant explosion blew up our landspeeder and killed everyone else. I was thrown clear. I think it was the Empire. My friends (sob)--');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '73', 'm15t', 'A Tragic Accident');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '74', 'm15c', 'Hmm. Are my competitors stooping to brutal tactics, using the galactic civil war as cover? That seems the safest assumption, if you know what I mean. Please don\'t tell anyone what happened here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '75', 'm15e', 'Imperial artillery practice, that\'s what it was, I\'m sure! I won\'t let my boss cover up this atrocity, you hear? Citizens must know!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '76', 'm16o', 'Our local Youth Explorer troop was due back from a field trip, but I just got an automated distress call. Please, go out there, find what happened, and bring everyone back!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '77', 'm16p', 'I\'m the field trip organizer. The kids ate some kind of local bush and, I don\'t know, went native. They all ran off. Please get me back to town so I can call in a search party.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '78', 'm16t', 'Going Native');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '79', 'm16c', 'The kids must have eaten wanderweed blooms. Now they\'re probably all convinced they\'re Shistavanen wolfmen or something. I\'ll organize a patrol.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '80', 'm16e', 'Thanks for getting me back here alive. Yes, I lead these field trips, but I personally never managed to earn the Survival merit badge.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '81', 'm17o', 'Both my business partners are prospecting the countryside for minerals. One just sent an automated distress call. I want to hire you to find out what\'s going on out there.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '82', 'm17p', 'Murrgen -- the third partner in our business -- knocked me out and absconded with our records! I don\'t know why, but I want that treacherous thief arrested!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '83', 'm17t', 'Find the Prospectors');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '84', 'm17c', 'No! Murrgen must have found some rich site, and greed drove him to try killing my partner. And that means he\'ll be after me next....');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '85', 'm17e', 'Not much can drive one crazy faster than greed. After all those years together! Well, Murrgen\'s days are numbered now. I\'m hiring a bounty hunter!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '86', 'm18o', 'Listen, this should be simple. There\'s a certain spacer who owes me money and is many credits behind on the payments. Bring me my money or bring me the spacer. Either way, I\'ll pay you well.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '87', 'm18p', 'Heavens, I don\'t have the money to pay you! Please don\'t hurt me. Take me to the one who hired you, and I\'ll see if we can settle this account face-to-face.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '88', 'm18t', 'Collect a Debt');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '89', 'm18c', 'So, the spacer didn\'t have the credits to pay me, eh? I\'m sure I can extract some other kind of payment instead. Thanks for the help, buddy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '90', 'm18e', 'Oh, dear. Since I don\'t have the money, I hope my family and I will be safe. At least you were kind to me. Thank you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '91', 'm19o', 'I had my purchasing agent take a refurbished military-surplus landspeeder for a test drive. I\'ve heard no word for quite some time, and I\'m worried. Can you investigate? For a fee, of course.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '92', 'm19p', 'Oh, boy, am I glad you found me. The wreck is way back there somewhere. It started babbling about \"hostile terrain\" and \"taking evasive action,\" and then I lost control and crashed! Please take me back so I can report.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '93', 'm19t', 'A Refurbished Jalopy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '94', 'm19c', 'I think the salesman did mention that the vehicle had a reconditioned 5th-Class droid brain. Scary thought, really. I thank you for your good work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '95', 'm19e', 'These are sad times when you have to worry about your own landspeeder getting contrary. Thanks for saving my life.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '96', 'm20o', 'I heard there\'s a bounty out for Imperial TIE pilot DS-61-4, nicknamed Dark Curse. He\'s supposed to be hiding out on this world. I sent a scout looking for him, but haven\'t heard back. Did Dark Curse get my scout? I\'d like you to check it out.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '97', 'm20p', 'I\'ve tromped all over this stupid world without finding Dark Curse. Did burn out my comlink, though. I\'m glad to see you; let\'s go back together, shall we?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '98', 'm20t', 'Find the Imperial Pilot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '99', 'm20c', 'It turns out I may have misread the name on the wanted notice. It appears Dark Curse isn\'t wanted, after all, that I know of. Oh well, here\'s your fee anyway.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '100', 'm20e', 'That Dark Curse is supposed to be a tough customer -- survived the battle of Yavin, they say! -- but I never did find a reason why anyone would put a bounty on him.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '101', 'm21o', 'Any news about that crashed drone barge? Wait, aren\'t you --? Oh, sorry. Listen, I need you to check the status of an employee out in the wilderness. I\'ll pay well.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '102', 'm21p', 'My boss heard reports that a drone barge loaded with ditanium crashed on this world. I was supposed to look for it. A swoop gang attacked me, I lost my comlink, and the day went downhill from there. Please, take me home!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '103', 'm21t', 'Drone Barge Accident');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '104', 'm21c', 'Well, is there a crashed drone barge or isn\'t there? I\'ll have to send this slacker out again to check!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '105', 'm21e', 'Oh, I\'m so glad to be back home. I hope I don\'t have to leave again for a long, long time. Thanks so much for saving my life!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '106', 'm22o', 'The Empire has offered a fat reward for information about a rumored Rebel command headquarters on this world. I sent out many scouts to locate it, but found nothing. One scout has yet to report back. I\'m hiring you to find out whether those filthy rebels captured my agent.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '107', 'm22p', 'No command HQ to be found out here. What? Any Alliance activity? Oh, no, no-- Why don\'t you lead me back to my employer?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '108', 'm22t', 'Confirm Imperial Rumors');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '109', 'm22c', 'This scout looks suspicious somehow. Subversion, do you think? Perhaps I should call Imperial Security, just to be sure. Thanks, you can go.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '110', 'm22e', 'Do we really know that those Alliance people are awful traitors? Wouldn\'t it make sense to look at their position before turning them in to the Empire for a quick reward? I\'m just asking, that\'s all.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '111', 'm23o', 'I hired an agent to search for a sentimental keepsake I lost near here. I keep hearing field reports from further and further away, and my requests to call off the search don\'t seem to get through. Can you please go tell this citizen to stop searching?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '112', 'm23p', 'It seems a local herbivore swallowed the keepsake, a pair of electrobinoculars. Then the animal started travelling across the landscape on a migratory route. I was happy to follow, because I\'m paid by the hour. But if my employer wants me back, let\'s go.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '113', 'm23t', 'Find a Sentimental Keepsake');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '114', 'm23c', 'Egad, what a bill! I didn\'t expect this when I wanted to recover my father\'s old electrobinocs. And now there\'s your fee as well. Here, take it and go!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '115', 'm23e', 'Thanks for accompanying me back here. I appreciated having someone else around to do the guard work. I\'ll present my bill to my employer now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '116', 'm24o', 'Is it true that HoloNet star Ando Blast is on this world? My fan club news service is reporting he\'s at these coordinates. Can you go and invite him here, pleeease?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '117', 'm24p', 'I\'m obviously not Ando Blast, but a producer scouting locations for the next Blast mega-epic. Ando himself is in fact computer-generated. But I\'d like to meet the fan who sent you out here. Lead the way.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '118', 'm24t', 'Find Ando Blast');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '119', 'm24c', 'Wow, Ando Blast\'s producer! Not as good as Ando, but -- here, you\'ve earned your fee. Wow, maybe my home will show up in Ando\'s next epic!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '120', 'm24e', 'Well, that was a longer trip than I figured. But I did get a lot of good location info. I also like to beat the bushes locally to drum up ratings. Thanks, you\'re great.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '121', 'm25o', 'I have a very important meeting scheduled, but my business contact inadvertantly landed on the other side of the planet. If you can provide a safe escort back to me, I will compensate you from my operating funds.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '122', 'm25p', 'Most curious that my contact did not meet me in person. Very well, take me to this meeting place and we\'ll determine what game is afoot.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '123', 'm25t', 'Find the Business Contact');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '124', 'm25c', 'I\'m sorry I used you, but I had to catch my old enemy off guard. Here\'s the payment I promised you. Now run along. My old enemy and I have much to discuss.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '125', 'm25e', 'I might have known that my \"business contact\" was actually my old arch-nemesis! Which explains the trouble we had getting here. I\'m sorry you\'re caught in the middle of this, friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_hard.stf', '126', 'number_of_entries', '25');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '1', 'm1o', 'My daughter gets married next week and insists on having a minstrel perform at the wedding. I found someone suitable, whom I need escorted here safely. I don\'t want to risk anything ruining my daughter\'s wedding.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '2', 'm1p', 'I appreciate the escort, my friend. Do you like music? Perhaps I could sing you a song as we travel? Do you have any favorites?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '3', 'm1t', 'A Happy Bard');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '4', 'm1c', 'Much appreciated, citizen. I hope this minstrel is worth what I\'m paying.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '5', 'm1e', 'Farewell, friend. I feel we\'ve shared something during our travels together. I hope our paths cross again in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '6', 'm2o', 'As it weren\'t bad enough that I\'m having to spend thousands of credits on my daughter\'s wedding, now she\'s insisting on a cook skilled in the preparation of spicy Nabooian dishes. Could you escort this chef safely to me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '7', 'm2p', 'It\'s good to see that my patron has taken such an interest in my safety. I shall endeavor to prepare some of my finest dishes for their daughter\'s nuptials.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '8', 'm2t', 'The Durasteel Chef');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '9', 'm2c', 'Many thanks, citizen. I suppose having decent food at the wedding couldn\'t hurt, eh?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '10', 'm2e', 'A fine guardian you\'ve been, good citizen. If you attend the wedding, please try my specialty, yobshrimp and daggerts in a Nabooian wine sauce. It\'s exquisite!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '11', 'm3o', 'After my best friends\' death, I took in their only child to raise as my own. Now this teenager has entered a \"rebellious\" phase, running away every three months or so and needing an escort home. Think you can help me out?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '12', 'm3p', 'You look much tougher than the escorts that are usually sent to bring me back. You a bounty hunter or something? Am I in trouble?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '13', 'm3t', 'A Tough Tyke');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '14', 'm3c', 'Thanks, friend. Hopefully they\'ll get over this phase soon. It\'s starting to cost me a bundle.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '15', 'm3e', 'If I take off again, will they send you after me? I kinda liked you. You\'re pretty cool.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '16', 'm4o', 'We hired a dancer for a friend\'s birthday celebration. Supposed to be one of the best in this region. We need someone to escort this rare beauty back to us. Think you can handle that?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '17', 'm4p', 'You looking for a dancer? That\'s me. What\'s wrong? Am I not what you expected?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '18', 'm4t', 'A Private Dancer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '19', 'm4c', 'Is this the dancer? Uh, okay. Well, thanks. I\'m sure my friend will be thrilled when he sees just how rare this \"beauty\" is.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '20', 'm4e', 'Thanks for bringing me safely here. You\'re kinda cute. If you ever need a dancer, please look me up.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '21', 'm5o', 'My son is suffering some rare malady and needs the attention of a medical specialist. Could you please escort this physician safely to our home? This may be my only chance to save my poor son. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '22', 'm5p', 'Are you my escort? Good. We should hurry if we\'re to give that boy a fighting chance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '23', 'm5t', 'A Medical Specialist');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '24', 'm5c', 'Thank you so much! I\'ll be forever grateful to you if my son\'s life is spared. Please hurry, doctor!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '25', 'm5e', 'A pleasure traveling with you, citizen. The best of luck in your future endeavors. Now, where\'s that boy?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '26', 'm6o', 'A retired dejarik grandmaster has agreed to teach me in return for lodging. I readily agreed, of course. I need someone to escort this master safely to me. Can you do that for me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '27', 'm6p', 'Well I don\'t have all day, let\'s get going. I\'m not much on conversation so keep your thoughts to yourself, youngster. My sharp mind should not be wasted on idle chitchat.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '28', 'm6t', 'A Dejarik Grandmaster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '29', 'm6c', 'A thousand thanks, citizen. I\'ll dedicate my first tournament victory to you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '30', 'm6e', 'Learn to play dejarik. Only then will your life find purpose. Farewell.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '31', 'm7o', 'My friend responded to a HoloNet ad looking for experienced hunters, and wound up lost in the wilderness and afraid to come back without an escort. Some hunter, eh? Think you can help?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '32', 'm7p', 'You\'re here, good. There\'s a pack of vicious predators stalking me. I\'m sure you\'ll see them soon enough. Be on your guard.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '33', 'm7t', 'A Cowardly Hunter');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '34', 'm7c', 'Thank you for getting my friend back safely. Hunting was not an ideal occupational choice.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '35', 'm7e', 'A good thing we were both alert. Those slavering beasts would have had us for sure had we let our guards drop but for a moment. I salute you, fellow hunter.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '36', 'm8o', 'I made a dumb joke about my friend\'s courage, and so my friend decided to prove me wrong by going out into the wilderness and, of course, promptly getting lost. Could you bring this poor lunkhead back to civilization?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '37', 'm8p', 'I\'m so glad you\'ve arrived. It\'s really scary out here! Perhaps my friend was right -- I am a coward! ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '38', 'm8t', 'A Test of Courage');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '39', 'm8c', 'Thank you, friend. I hope my apology for the joke will settle everything, so I don\'t need to call on you again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '40', 'm8e', 'You saved my life. Do you know that? I\'m sure I would\'ve been devoured by nightmarish monsters if you hadn\'t come when you did. Thank you so much!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '41', 'm9o', 'My partner has found a deposit of what may be berubian. We need the samples analyzed, but there might be claim-jumpers. Could you escort my partner and the samples safely to me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '42', 'm9p', 'Ah, good. I believe these samples will be safe as long as you\'re around. Let\'s get going, shall we?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '43', 'm9t', 'A Hopeful Prospector');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '44', 'm9c', 'Well done, citizen. You\'ve earned this reward. Now to get those samples analyzed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '45', 'm9e', 'Thank you for your efforts, friend. Your courage and skill have inspired me to study marksmanship. I will no longer live in fear.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '46', 'm10o', 'A zoology student studying the migration patterns of local insects decided to go off alone into the wilderness. Now I\'ve just had a distress call from the worried parents. Could you locate and return this junior scientist?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '47', 'm10p', 'Are you here for me? I suppose I should return with you to keep my friends from worrying. I\'ve learned so much about these delicate creatures. The insects, I mean.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '48', 'm10t', 'A Lost Zoologist');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '49', 'm10c', 'Thanks, citizen. This student\'s family can rest easier now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '50', 'm10e', 'You\'ve been most helpful in getting me back. I was quite safe out there, but returning was something of an adventure. Take care.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '51', 'm11o', 'A friend recently lost a pet neek when the little sauropod wandered off one night. My friend went searching for it and managed to get lost. Could you bring my friend back safely?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '52', 'm11p', 'Glad you showed up. I was starting to get worried. I\'ll really miss that little neek. His name was Silky because his skin was so smooth. Do you have any pets?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '53', 'm11t', 'A Neek Owner');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '54', 'm11c', 'Thanks for your help, friend. I guess I\'ll have to buy my friend a new neek.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '55', 'm11e', 'Make sure you know where your pets are, my friend. Don\'t let them wander away, and make sure they\'re always happy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '56', 'm12o', 'My assistant was collecting herbs for me in the wilderness -- I only use the freshest ingredients in my dishes. The coward claims to have seen some predators lurking about and now refuses to come back unescorted. Could you be the escort?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '57', 'm12p', 'My life is worth more than the lousy wage I\'m getting from this so-called chef. I didn\'t want to come out here in the first place. Why can\'t these chefs just buy herbs at the store like everyone else?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '58', 'm12t', 'Disgruntled Assistant');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '59', 'm12c', 'My thanks, dear citizen. I\'m afraid I\'ve lost many assistants this way. But I just can\'t bring myself to cook with store-bought herbs.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '60', 'm12e', 'Thanks, friend. I think I\'m going to look for another job. Cooking is just way too dangerous.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '61', 'm13o', 'My not-so-bright friend decided to impress the local Imperial recruiters by finding a Rebel outpost. All that was discovered was my friend\'s lousy sense of direction. Could you bring Darth Compass back here in one piece?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '62', 'm13p', 'Did my friend send you to find me? Sheesh! How am I supposed to impress the Empire when my so-called \"friends\" keep embarrassing me like this?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '63', 'm13t', 'Darth Compass');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '64', 'm13c', 'Thanks for the safe escort. I hope my friend might reconsider military service. Moisture farming is a more likely future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '65', 'm13e', 'I\'ll show them someday, you just watch. I\'ll be accepted into the ranks of the Imperial scout troopers, and then they\'ll all be sorry.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '66', 'm14o', 'My buddy owed money to a swoop gang and fled town before the gangsters came to collect. Problem is, my buddy hid too well and got lost. Could you bring my friend home?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '67', 'm14p', 'You haven\'t been sent by that swoop gang, have you? I suppose you wouldn\'t tell me if you were. Seems I have no choice. Okay, lead on.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '68', 'm14t', 'Hiding Out Too Well');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '69', 'm14c', 'Thanks much, citizen. I hope this will teach my buddy not to borrow money from less reputable sorts -- or anyone, for that matter.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '70', 'm14e', 'I guess you were trustworthy after all. Thanks for seeing me safely home. Can I borrow fifty credits? I\'m good for it, I swear.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '71', 'm15o', 'My friend crashed my T-16 out in the wilds somewhere. I believe it was in preparation for an Academy flight exam. My friend may be hurt. Could you find my buddy and act as escort back here?  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '72', 'm15p', 'Wow! That was one heck of a thrill ride! I\'m fine, really, but I appreciate the escort home. You ever fly a T-16? It\'s quite an experience. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '73', 'm15t', 'Eager Academy Hopeful');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '74', 'm15c', 'Thank goodness my friend is alive and well. You have my gratitude, citizen. Here\'s a just reward for you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '75', 'm15e', 'Thanks for accompanying me, friend. It\'s good to know there are still good citizens out there. Take care.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '76', 'm16o', 'A xenoarchaeologist went searching for some ruins several days ago. Hunters claim to have seen dangerous predators in that same vicinity. We don\'t want to be blamed for this scientist\'s death. Could you escort this researcher back here?   ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '77', 'm16p', 'I don\'t see why they need me escorted back, I\'m perfectly safe as you can see. But inasmuch as I didn\'t find any Sith ruins, I suppose I might as well return.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '78', 'm16t', 'Intrepid Archaeologist');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '79', 'm16c', 'It\'s good to see the scientist is still in one piece. Thanks for your help. This is for your time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '80', 'm16e', 'Thank you for the company. Have you ever considered going into xenoarchaeology? It\'s very rewarding. Well, in some ways.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '81', 'm17o', 'A prospector went missing several days ago. We just received a distress call that might have come from this missing individual. Could you go out there and bring back anyone you find alive?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '82', 'm17p', 'Greetings, fella. Glad to see someone got my distress call. I think I found a vein of ash ore out here, and I needed someone to guard me and my samples on the way home.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '83', 'm17t', 'Adventurous Prospector');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '84', 'm17c', 'Thanks for finding the missing prospector, citizen. Let me pay you for your time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '85', 'm17e', 'Thank you kindly, friend. If this turns out to be ash ore, I\'ll make sure to have a drink in your honor when I sell my first shipment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '86', 'm18o', 'I\'ve just received a distress call from a friend who\'s gotten lost way outside town. The call came from these coordinates. If you\'ll make the rescue, I\'ll reward you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '87', 'm18p', 'One moment I was tootling along, admiring the scenery -- the next, bewilderment! Mystery! Danger! Thank you, thank you for retrieving me.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '88', 'm18t', 'Mystery! Danger!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '89', 'm18c', 'My friend can get lost on the way to the corner mission terminal. It\'s a chore to keep up, but I\'m glad people like you are around to do such chores.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '90', 'm18e', 'I feel more relaxed now. In fact, I\'m getting hungry. I think I\'ll visit a great new place I heard about, just a few klicks outside town.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '91', 'm19o', 'My child vanished long ago. Ever since, I\'ve looked for clues. My investigator has just called from the wilderness. Will you escort the detective back here?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '92', 'm19p', 'The child was lost in this vicinity, and now I\'ve found evidence that Imperial stormtroopers were practicing marksmanship nearby. There might have been an accident.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '93', 'm19t', 'An Imperial Coverup');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '94', 'm19c', 'Imperial stormtroopers! They can\'t hit the broad side of a battle cruiser! Oh, my poor child....');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '95', 'm19e', 'Thank you for escorting me here. Sad, isn\'t it? This kind of tragedy drives citizens who remember the Old Republic to take extreme measures.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '96', 'm20o', 'I\'ve received a distress call from a lost child in the wilderness. Can you rescue the poor thing?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '97', 'm20p', 'It\'s true I\'m not a child, but I figured saying so would get me faster service.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '98', 'm20t', 'Don\'t Cry Gundark');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '99', 'm20c', 'Is this the right person? I hate to see such frivolous attitudes toward emergency services.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '100', 'm20e', 'It\'s true I wasn\'t in distress, but I did want a safe escort. I\'m sure this person will pay you for your time, thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '101', 'm21o', 'I\'ve found a witness to the legendary exploits of the Twi\'lek adventurer O-i. This will make my O-i documentary the sensation of HoloNet. Bring me the witness, please.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '102', 'm21p', 'I saw O-i float down the central air shaft of a Tibanna gas mine, firing as he went! He landed on a maintenance platform and took out a squad of stormtroopers! And then--');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '103', 'm21t', 'A Tall Tale');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '104', 'm21c', 'I guess my friend talked your ear off the whole trip, eh? That O-i inspires fervent enthusiasm. Thank you, here\'s your fee.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '105', 'm21e', 'And then O-i pulled a blaster and shot the AT-AT right in the forward sensor, blinding it. Then he climbed up on top and detached the head! You won\'t believe what happened next--');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '106', 'm22o', 'My buddy has worked out a scheme to clean up in the Mega-Millions Lottery on Trastino. I want in! I\'ll pay you to bring my friend here so we can work out the details.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '107', 'm22p', 'My scheme involves -- well, I won\'t give it all away here. But those lottery winnings are as good as ours!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '108', 'm22t', 'A Perfect Scheme');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '109', 'm22c', 'If you want to get in on this, just say the word and cough up the credits. Let\'s see, 12,000 credits profit split three ways--');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '110', 'm22e', 'I just need two million credits in seed money to buy a big bunch of tickets. Statistically, we\'re likely to win at least 2.012 million!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '111', 'm23o', 'The recharge processes in my power cores have gone crazy. I hired a famous specialist, who got lost on the way here. Can you play guide? I\'ll pay you. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '112', 'm23p', 'Each power core has its own idiosyncrasies -- its \"personality,\" if you will. I shall endeavour to convey proper action to these cores.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '113', 'm23t', 'Power Core Whisperer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '114', 'm23c', 'Ah, you\'ve brought the Power Core Whisperer! Thank you for being the guide. Here\'s your fee.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '115', 'm23e', 'I thank you for guiding me on my mission to bring to all worlds the inner wisdom of power cores.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '116', 'm24o', 'At last the hunter I hired has brought down the anooba that plagued my lands. I hear the beast may have inflicted a wound or two, so please escort the wounded hero here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '117', 'm24p', 'Fortunately, I\'m unwounded. That anooba\'s dying scream was high and blood-curdling, but strangely satisfying, like the sound of landspeeder body welds popping as the garbage masher presses down.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '118', 'm24t', 'A Poetic Hunter');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '119', 'm24c', 'A fine effort -- by you and the hunter both! I look forward to hearing all about the creature\'s death throes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '120', 'm24e', 'The beast\'s carcass crashed to the ground with a wet thump, like a flowerpot cracking in a garbage masher. What a splendid sound.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '121', 'm25o', 'My hired researcher is ready to complete a report on the local flora, but the poor fool has got lost. Can you provide an escort -- or perhaps a rescue?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '122', 'm25p', 'I\'ve found new evidence of the offworld origin of the perennial stinking gasbladder. Take me to my patron at once, if you please!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '123', 'm25t', 'Gasbladder Researcher');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '124', 'm25c', 'With this data I can get a grant from the Imperial Environmental Preservation & Refocusing Authority to destroy all these noxious weeds. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '125', 'm25e', 'Too long has this world suffered under the onus of off-planet weeds and vermin. Soon, soon we shall be free of this blight.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '126', 'm26o', 'My scout has finally surveyed the route of a new podracing course I want to build. I\'ll pay you to escort the surveyor here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '127', 'm26p', 'This is not ideal terrain for podracing, to put it mildly. But sometimes you report what the client has hired you to report.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '128', 'm26t', 'Podracing Engineer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '129', 'm26c', 'I\'m glad to see my podracing course is still \"on track.\" Ha ha! I\'ll relay the good news to my investors.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '130', 'm26e', 'I expect only minimal fatalities from the new track. Of course, in podracing, that\'s not really a good thing.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '131', 'm27o', 'I hired a researcher to place weather sensors across the landscape, but now there\'s too much equipment to carry alone. Can you offload some of the gear and bring it here?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '132', 'm27p', 'I lost all my gear in a freak windstorm. The sensors probably predicted it, before they got blown away. Mind if I follow you back?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '133', 'm27t', 'Help the Researcher');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '134', 'm27c', 'The art of weather prediction still awaits a breakthrough. Thanks anyway.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '135', 'm27e', 'With an influx of capital I could plant a whole new array of sophisticated weather sensors. Interested in investing?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '136', 'm28o', 'I heard rumors of a crashed meteorite nearby. The scout I hired to find it has called in, but the transmission broke up. Please go to these coordinates and find the scout.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '137', 'm28p', 'I found the meteorite, or what was left of it. But residual radioactivity fried my comlink. Please take me back to my patron, and we\'ll pay you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '138', 'm28t', 'Scout for the Scout');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '139', 'm28c', 'Radioactive meteorite? Hmm, that could be lucrative. I\'ll send another scout. Maybe two. And some shielded droids.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '140', 'm28e', 'I think this mission shortened my life. I hope you weren\'t caught in the danger zone yourself. Thanks, my patron has your fee.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '141', 'm29o', 'A friend has been taking holographs of the countryside for an upcoming HoloNet release. I just got a distress call. I\'ll pay you to get out there and rescue my friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '142', 'm29p', 'The light has changed. Bah. Terrible. I\'m frustrated, take me back.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '143', 'm29t', 'Find the Artiste');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '144', 'm29c', 'My friend takes a rather cavalier attitude toward distress calls. Thanks, and sorry for the urgency.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '145', 'm29e', 'Distress calls are perfectly appropriate for an artist when work becomes impossible.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '146', 'm30o', 'My friend, who went out into the wilderness several days ago, is now babbling over my comlink. Can you see if everything is all right, and if not, do escort duty back here?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '147', 'm30p', 'Mother. Make the hurting stop. Bright lights, no, dark, it hurts my eyes. Where am I now? You. I follow you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '148', 'm30t', 'Heart of Darkness');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '149', 'm30c', 'This was an ill-advised experiment in vision-questing, like the natives of some offworld cultures. I\'ll take care of my trance-walking friend. Thanks for the rescue!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '150', 'm30e', 'Tired. Wanna sleep now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '151', 'm31o', 'I\'m preparing a case in a high Imperial court about the detestable conditions in the countryside. My researcher has reported in, calling for an escort. Can I hire you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '152', 'm31p', 'My employer\'s case involves deep legal principles that govern the demarcation of property. I expect this case will launch us into the legal history books!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '153', 'm31t', 'Aid Legal Principles');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '154', 'm31c', 'Bad news. I\'ve just learned the Emperor\'s latest decree nullifies my argument. This is very bad for the Empire, I feel, but in the short term worse for my finances.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '155', 'm31e', 'Well, it was a pleasant trip, tromping around the wilderness. I\'ll submit my bill shortly.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '156', 'm32o', 'My botanical researcher has just called from the wilderness with exciting news. If this discovery holds true, my fortune is assured! Please guard the discovery as my researcher conveys it here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '157', 'm32p', 'A chemical in these humble-looking plants promises to extend Wookiee lifespan by a decade or more. I shall be a hero to Wookiees everywhere!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '158', 'm32t', 'Assist Botanical Research');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '159', 'm32c', 'Uhh -- extending Wookiee lifespan? Don\'t they already live for centuries? And how much of a market is there? Looks like my fortune isn\'t yet assured (sigh).');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '160', 'm32e', 'Just you wait, those Wookiees will be tearing people\'s arms off to get at this chemical!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '161', 'm33o', 'I\'ve had droids out prospecting for mineral deposits, and one reported a good find, but then went silent. I hired someone to fix it, and now this person has just called, asking for an escort. Argh! Can you pick up my lost mechanic?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '162', 'm33p', 'The droid\'s direction finders blew out, apparently in response to local radioactivity. I have its data records here, but I want an escort in case I get ambushed by greedy claim-jumpers.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '163', 'm33t', 'Protect the Find');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '164', 'm33c', 'Hmm. Radioactivity! That might mean -- hmm. Yes. Well, in any case, here is your fee, goodbye.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '165', 'm33e', 'If I were you, I\'d think about buying land somewhere around that area. You never know when it might become valuable. Thanks for the escort.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '166', 'm34o', 'My neighbor, a cruel savage, drove my purebred pet greysor out into the wilderness. I forced the barbarian to track it down and rescue it. But now it seems the rescuer needs rescuing, too. Can I trust you to bring back my greysor, and incidentally the fiend who drove it away?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '167', 'm34p', 'I found the animal, but it was kind of, uh, eaten. Partly eaten. Can you take me back now?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '168', 'm34t', 'Poor Little Greysor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '169', 'm34c', 'This beast in sentient form has destroyed my beloved Whotti! Mark me, there will be a reckoning. To start with, this scoundrel will pay your rescue fee.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '170', 'm34e', 'Boy, you tie one little flaming torch to the tail of your neighbor\'s pet, just for fun, and folks treat you like some kind of pariah. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '171', 'm35o', 'Listen, friend, I really need your help. A fellow soldier-of-fortune was separated from me as we daringly escaped the clutches of Trandoshan spies. But we must rendezvous once more, to continue our derring-do. Can you bring my stalwart companion back to me? Have a care, enemy agents are everywhere!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '172', 'm35p', 'Oh, you found my patient! I\'m afraid I\'m a better psychiatrist than I am a jailkeeper. Can you take me there? This delusion about derring-do has caused me no end of trouble.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '173', 'm35t', 'Prolong the Derring-Do');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '174', 'm35c', 'At last I am reunited with my brave and noble companion! You have an air of adventure about you, as well. Care to join us as we travel the galaxy, righting wrongs?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '175', 'm35e', 'Excellent. Thanks for your help. I\'ll get this \"soldier-of-fortune\" back to the mental infirmary right away.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '176', 'm36o', 'Maybe you can help me. I just bought an R2 unit, but the darn thing won\'t listen to anyone but its former owner. I can\'t afford to have its memory flushed. Can you fetch the person who sold it to me so I can get it to obey me now?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '177', 'm36p', 'My old R2 unit is still acting up, eh? That little droid has caused me a lot of trouble. I\'ll see what I can do.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '178', 'm36t', 'Ornery Little Droid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '179', 'm36c', 'I sure hope we can set that little droid straight. I\'m about ready to blast it into a million pieces.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '180', 'm36e', 'I\'ll see if I can convince my old R2 unit to obey its new master. These older-model astro-droids can get out of hand.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '181', 'm37o', 'A reporter from the local newsfeed is interviewing me today, but to discourage eavesdroppers I\'ve arranged for a secret meeting. I need you to bring the reporter back here. If anyone tries to follow you, see if you can lose them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '182', 'm37p', 'A secret meeting. How exciting! I\'ve been promised details about covert Imperial operations. This could be my big break!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '183', 'm37t', 'A Big Scoop');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '184', 'm37c', 'Now that I see what I\'m getting into, I\'m starting to have second thoughts. Thank you for the help, though.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '185', 'm37e', 'This interview could give a big boost to my career as a reporter. I hope it\'s worth all this trouble.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '186', 'm38o', 'My friend\'s landspeeder broke down a fair distance from here. I\'m afraid this is an unfamiliar area. Can you escort my poor, lost buddy to me? I can pay you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '187', 'm38p', 'Thanks. I should have known that old X-34 was on its last legs.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '188', 'm38t', 'Unreliable Landspeeder');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '189', 'm38c', 'X-34 speeders run just fine, if you maintain them regularly. I\'ll have to explain that to my friend. Thanks for the assistance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '190', 'm38e', 'Thanks for showing me the way. That\'s the last time I buy a SoroSuub speeder.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '191', 'm39o', 'My friend, who\'s trying to become a public speaker, has practiced orating out in the wilderness. I\'ve lined up a speaking job, but it\'s very soon! Can you retrieve my friend in time for the engagement?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '192', 'm39p', 'I\'ve vinn duffig by chigs iv tohnz to rrn ha to peeg mur keery. Oh-geh, lez guh.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '193', 'm39t', 'Summon the Orator');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '194', 'm39c', 'Wow, with cheeks swollen like that, the great orator looked like a voorpak preparing a nest for the winter. There\'s still time to make the engagement. Thank you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '195', 'm39e', 'I said, I\'ve been stuffing my cheeks with stones to learn how to speak more clearly. I may still need some practice. Thank you for the escort.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '196', 'm40o', 'I\'ve been raising some offworld animals out in the wilderness, and my caretaker just sent a distress call. I don\'t know what the problem is, but it sounds like someone needs to get out there and bring back an injured worker. Can you do it?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '197', 'm40p', 'I started out on my own, then got weak and had to stop. I got bit by a dinko, nasty little thing with poisonous secretions. Can you get me to an antidote? Quickly?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '198', 'm40t', 'Questionable Offworld Animals?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '199', 'm40c', 'Eh heh heh -- sounds like my worker is a bit delirious! I certainly expect nothing bad will happen here, haha! Please, take this fee with my compliments. Goodbye!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '200', 'm40e', 'We got those dinkos from Mytus IV, and should have left them there. Raising them on this world probably violates Imperial law. My head hurts.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '201', 'm41o', 'I\'ve sent a scout to look for sites for my new villa, but there\'s been some kind of accident. Can you go out and bring back the scout? I\'ll pay, of course.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '202', 'm41p', 'My implanted directional locator got messed up when some kind of rogue bantha, or something, attacked me. Without the implant, I have no idea where I am.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '203', 'm41t', 'Those Pesky Rogue Banthas');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '204', 'm41c', '\"Rogue bantha\"? I doubt that. I quarreled with this scout over service charges, and I suspect this little stunt is a way to get revenge. But thank you, anyway.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '205', 'm41e', 'Glad you were around to get me back here. I\'ll have to raise my rates to cover insurance against rogue bantha attacks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '206', 'm42o', 'I\'m getting vague reports of some calamity out in the wilderness. I don\'t know what to make of it. Can you investigate? If you find any survivors, can you bring them here?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '207', 'm42p', 'I had a home right here! Some explosion blew it up while I was out walking -- maybe Empire artillery practice. I\'ve lost everything! You want me to go where? Oh, okay, what have I got to lose?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '208', 'm42t', 'Wilderness Calamity');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '209', 'm42c', 'I can interview this poor soul and sell the recording to a HoloNet broadcaster. The public loves these disaster stories. Don\'t worry, I\'ll split my fee with the subject.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '210', 'm42e', 'I don\'t know where I\'ll get the credits to rebuild that home. Where are we, the city? Hmm, maybe this is where I can rebuild my life.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '211', 'm43o', 'My neighbor went hiking outside town to honor the 111th anniversary of the birth of some local wilderness guy. It\'s been a while since we heard anything. Can you fetch back the happy wanderer before the weather turns real bad?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '212', 'm43p', 'This is the birth anniversary of Haum Chodah, who brought Imperial environmental regulations to this world. Seemed like a good excuse for a hike. But I\'ll go back with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '213', 'm43t', 'Honor a Pioneer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '214', 'm43c', 'Haum Chodah. Whatever. I\'m sorry to put you to this trouble, but I was worried about my neighbor, who can be scatterbrained. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '215', 'm43e', 'Haum Chodah started the local bureau of the Imperial Environmental Preservation & Refocusing Authority. His birth anniversary deserves commemoration, I say!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '216', 'm44o', 'I don\'t know why my neighbor went out looking for mash-fungus, but the long absence is worrying me. I\'ll pay you to go and rescue or escort my neighbor, as the case may be.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '217', 'm44p', 'I had a piercing pain behind my eye, and only extract of mash-fungus helps. Thank you for fetching me. I\'m ready to go back now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '218', 'm44t', 'A Definitive Cure');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '219', 'm44c', 'Piercing pains are only part of my neighbor\'s ailments. You\'d be surprised there\'s still a heartbeat, to listen to the recitation of ailments. Thank you for your service.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '220', 'm44e', 'The pain is still throbbing behind my eye. And my ankle has a sharp, intermittent ache. And my feet are hurting like fire, but that\'s only to be expected. And--');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '221', 'm45o', 'Some of us tenants played a prank on our landlord, luring the heartless greedhead into the wilderness with a trumped-up story. Now we\'re sorry, and we\'d like to hire you to retrieve the wandering villain.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '222', 'm45p', 'They said the Empire had left a cache of power cores just lying in the dirt. And I believed them, the liars! When I get back home, grrr--');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '223', 'm45t', 'A Prank Gone Sour');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '224', 'm45c', 'All the tenants chipped in to give you this fee. I expect it was badly spent, but most of us were planning to move anyway.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '225', 'm45e', 'That\'s it! The rent doubles starting tomorrow! Now I\'m going home for a nice hot bath, and I don\'t wish to be disturbed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '226', 'm46o', 'All the workers here hate our boss, so we sort of played a practical joke. It went wrong, and now the boss is lost outside town. Could you escort our boss back here?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '227', 'm46p', 'I got a memo saying the Empire had accidentally left a supply cache out here, free for the taking. Well, I discovered something else my employees might not expect. Take me back to them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '228', 'm46t', 'A Mean Boss');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '229', 'm46c', 'Wow, the boss looks remarkably even-tempered. I figured we\'d probably all be fired by now. Well, we\'ll see. Thank you for your work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '230', 'm46e', 'I think this episode indicates a fundamental disconnect in my management style. Maybe I\'ll hire a consultant to advise on how to open lines of communication.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '231', 'm47o', 'I got home and found that my roommate has gone out into the wilderness. Why? The note didn\'t say. It\'s unlike my roomie to do this, so could you go out and check what\'s going on?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '232', 'm47p', 'I\'ve been sampling environmental ambience for my new soundscape, \"Bequeath the Skies to Ages Hence.\" I\'m planning rapturous harmonies. But for now, I\'m hungry, so you can lead me home.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '233', 'm47t', 'A Musical Genius');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '234', 'm47c', 'Oh, one of those soundscapes. They sound like a gaggle of rawwks in a blast furnace. I\'m glad it was nothing serious. Here, please accept this with my thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '235', 'm47e', 'My next project, \"Noisy Latitudes of Imperial Ire,\" will use sounds sampled from the destruction of the Death Star! Ah, we\'re home. Thank you, I must go compose.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '236', 'm48o', 'My landlord went out hunting, but then got into danger. The distress call came in a while back, but I had to wash up and check my mail, so I\'m a little late hiring someone to make the rescue. Are you interested? If not, I\'ll keep checking around.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '237', 'm48p', 'I was training my new pack of purebred hunting nashtahs, imported from the finest kennel on Dra III. They stumbled on prey of unmitigated savagery, and I barely escaped with my life. What took you so long? Take me home!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '238', 'm48t', 'Rescue the Purebreds');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '239', 'm48c', 'You got back awfully fast. Hmm, no hunting beasts left? That\'s a real shame. Is my landlord okay? Oh. Well, thanks anyway.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '240', 'm48e', 'I\'m so glad to be back safe and sound! I swear, the predators here are fierce enough to chill a bounty hunter\'s blood. I must order a new pack of nashtahs.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '241', 'm49o', 'So? Is there any news? What, you aren\'t from the research group? Sorry. I hired a group of young scholars to search the wilderness for native antiquities. They seem to have lost their datapads, or at any rate they\'re not calling in. I\'ll pay you to check on their last known coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '242', 'm49p', 'Well, you know, we just got to partying? And the next thing you know, we\'re all going off together to be alone, you know? And I guess the rest are, uh, lost? Maybe you could take me back and, you know, work up a search party.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '243', 'm49t', 'Lovesick Young Scholars');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '244', 'm49c', 'That\'s what I get for sending out young scholars without adequate supervision. I\'ll arrange a search party. Meanwhile, here\'s your fee, thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '245', 'm49e', 'Hey, it\'s great to get home, you know? I mean, alive?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '246', 'm50o', 'Where\'s my surveyor? That lazy drifter was supposed to map out my new land purchase, but I\'ve heard nothing for days. Can you check my land and see what\'s happened?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '247', 'm50p', 'I mapped this whole area, but when I slept here overnight, something made off with my datadiscs and datapad. I\'m glad you\'ve come to lead me back to my patron.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '248', 'm50t', 'Lost Surveyor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '249', 'm50c', 'I feel like a teacher hearing, \"The narglatch ate my homework.\" Will I never get this land surveyed? Here, you\'re paid, go away.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '250', 'm50e', 'Ahh, good to be back. Anything you need surveyed? I work cheap, except I\'ll need an advance to buy new equipment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_neutral_medium.stf', '251', 'number_of_entries', '50');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '1', 'm1o', 'A vital munitions depot was hit by an Imperial strike team. We sent an agent out to assess the damage but storm commandos were lying in wait. The timely arrival of Rogue Squadron allowed our wounded agent to escape. We need you to find this brave soldier and insure a safe return.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '2', 'm1p', 'Good to see you, friend. I was starting to think I was done for. I\'m hit but it\'s not bad. Let\'s get back home as quickly as possible.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '3', 'm1u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '4', 'm1c', 'You helped save a fellow freedom fighter, citizen. Tha Alliance is proud to have agents like you. Accept this reward with our compliments.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '5', 'm1e', 'Thanks, buddy. Not sure I would have made it without your help. Here\'s hoping Rogue Squadron wiped out all those storm commandos.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '6', 'm1t', 'Rescue the Scout');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '7', 'm2o', 'The Imperials bombed one of our mining facilities. Fortunately the installation\'s supervisor escaped with our security protocols and codes before probe droids could search the ruins. If you could locate the superivisor and get those codes back here safely, we\'d appreciate it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '8', 'm2p', 'Fancy meeting you here. Glad to see the Alliance hasn\'t forgotten us lowly miners. Don\'t worry, the codes are safe and sound. Let\'s go.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '9', 'm2u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '10', 'm2c', 'Good work, citizen. We must make sure our codes are never compromised or else dozens of our bases would be sitting ducks for the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '11', 'm2e', 'Thanks, friend. I hope next time we meet it\'s under very different circumstances.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '12', 'm2t', 'Protect the Security Codes');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '13', 'm3o', 'We intercepted an Imperial transmission warning of an imminent attack on an automated communications array. Fortunately, an engineer servicing a broken transponder was able to set the facility to self-destruct. We need you to make sure our engineer makes it back here safely.   ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '14', 'm3p', 'Hiya. Glad to see a friendly face. Looks like I underestimated the force of that explosion. Well, a trashed speeder bike is better than a trashed engineer, huh?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '15', 'm3u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '16', 'm3c', 'Thanks for your help, citizen. Every single member of the Alliance is precious to us. Claim your just reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '17', 'm3e', 'Much obliged for the escort, friend. Hope to see you again sometime.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '18', 'm3t', 'Collect the Engineer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '19', 'm4o', 'A newly formed cell wishes to personally discuss a recent supply request with our Procurement & Supply officer. They\'re asking for an escort for their representative. Could you meet this individual and provide this service? The Alliance would be grateful.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '20', 'm4p', 'My thanks for providing this escort. You never can be too careful with all these Imperial spies running around. Lead on.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '21', 'm4u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '22', 'm4c', 'Our thanks, citizen. A job well done deserves a reward, wouldn\'t you say?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '23', 'm4e', 'Allow me to thank you and congratulate you on being such an excellent escort. What was your name again, citizen?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '24', 'm4t', 'Escort the Nervous Rebel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '25', 'm5o', 'A group of youngsters was targeted for termination by Imperials because the spunky youths had defaced some Imperial statues. We\'ve managed to relocate most of them to various colonies but one of them wants to join our cell. Could you make sure this brave youngster makes it here with minimal distractions?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '26', 'm5p', 'Hiya! Are you a pilot? Ever flown an X-wing? I\'d like to do that someday. I\'d be pretty good too. I bet I could even bring down Baron Fel.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '27', 'm5u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '28', 'm5c', 'Thanks, citizen. We appreciate your efforts. Like it or not, you serve as an example to many people. We hope you keep that in mind.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '29', 'm5e', 'Hey thanks, friend. I hope we get to serve together someday. When next we meet, I\'ll probably be a full fledged X-wing pilot.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '30', 'm5t', 'Inspire the Young');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '31', 'm6o', 'A local merchant refused to cooperate with Imperials and lost a nice shop as a result. We\'ve offered asylum and need someone to escort this unfortunate back here. Think you could help us out? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '32', 'm6p', 'Greetings. Thank you for escorting me. I suppose I see the need for disguise but I sure do feel strange in these clothes. Well, lead on.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '33', 'm6u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '34', 'm6c', 'We\'ll put this citizen to good use, thanks. Here\'s something for your trouble.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '35', 'm6e', 'I appreciate the escort, citizen. I\'ll do my part to make sure the Empire collapses and the Republic is restored.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '36', 'm6t', 'Help the Former Shopkeeper');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '37', 'm7o', 'Our contacts within the Corporate Sector Authority helped us secure the release of an important Alliance officer who had been sent to the spice mines of Kessel. Our officer was reported killed during a mining accident. We need you to make sure this \"deceased\" ally gets here without attracting too much attention. Think you can handle that?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '38', 'm7p', 'I look pretty lively for a corpse, huh? Let\'s hope you can get me back before I start to stink.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '39', 'm7u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '40', 'm7c', 'Good job, citizen. We\'ll make sure our officer receives a funeral with full military honors. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '41', 'm7e', 'Thanks, buddy. I hope you\'ll stick around for the wake. There\'s bound to be plenty of spirits in attendance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '42', 'm7t', 'Transport a Living Corpse');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '43', 'm8o', 'A former senator wanted by Imperial Intelligence has managed to elude patrols and now needs to be escorted back here to be reunited with family. This dignitary will be in disguise, of course, so be on the lookout. Can the Alliance count on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '44', 'm8p', 'Are you from the Alliance? I suppose that\'s a dumb thing to ask a stranger. Sorry, I\'m new to all this. If you\'re my escort, then lead the way.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '45', 'm8u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '46', 'm8c', 'We appreciate your prompt return, citizen. The senator has information vital to our survival. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '47', 'm8e', 'I do hope I didn\'t come across as a complete buffoon. You have my deepest thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '48', 'm8t', 'Protect the Senator');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '49', 'm9o', 'We need someone with patience and a sense of humor for this mission. We\'ve decided to grant asylum to a harmless lunatic who claims to be the Emperor. The Imperials have already tried to assassinate this poor wretch multiple times. Perhaps fortunate favors the mad? Think you can collect this individual and return here? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '50', 'm9p', 'It\'s about time you arrived, my young apprentice. It is not good to keep your Emperor waiting. As you can see, I have adopted an appropriate disguise. And now, lead me to the very heart of the Rebellion where I can assure it will be crushed and you will become one of us. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '51', 'm9u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '52', 'm9c', 'We appreciate your patience, citizen. We\'ll take \"His Imperial Highness\" from here. Here\'s a little something for your trouble.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '53', 'm9e', 'You have done well, my young apprentice. In time, I will seek you out and then you shall come before me. I have foreseen it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '54', 'm9t', 'Escort the Emperor (honest)');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '55', 'm10o', 'A former Black Sun operative has decided to share privileged information with the Alliance in exchange for asylum. We need you to collect this individual and return here. The operative is disguised so you shouldn\'t have too much trouble.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '56', 'm10p', 'How do I know you\'re really from the Alliance? Tell you what, you lead the way and I\'ll follow close behind. Don\'t forget I have a blaster and I know how to use it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '57', 'm10u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '58', 'm10c', 'Thank you, citizen. We appreciate your patience and professionalism. Collect your fee.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '59', 'm10e', 'Well I guess you turned out to be okay. In my line of work, you never can be too careful. Know what I mean?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '60', 'm10t', 'Protect the Black Sun Insider');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '61', 'm11o', 'Some old droidekas fell into our hands not long ago. Not many techs have worked with them before so we called in an expert in antique technology. We need you to pick up and escort this specialist back here. Can you do that for us?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '62', 'm11p', 'Yeah, I\'ve worked with a lot of older model droids. Bit of a hobby for me, I suppose. But I tell you, they sure don\'t make droidekas like they used to.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '63', 'm11u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '64', 'm11c', 'Thanks, citizen. We can\'t really afford to treat anything we get as junk. If it still works, we\'ll find something to do with it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '65', 'm11e', 'Are you interested in older technology? I sure would like to get my hands on a lightsaber. Let me know if you ever hear about one.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '66', 'm11t', 'Fix the Droidekas');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '67', 'm12o', 'We\'ve gotten word of another pilot wishing to make contact with the Alliance. This individual has been cleared by Intelligence and now we need you to provide an escort back here. Can the Alliance count on you?  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '68', 'm12p', 'Thanks for serving as my guide. I didn\'t think it was necessary but the Alliance felt transmitting the coordinates to me via the HoloNet was too risky.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '69', 'm12u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '70', 'm12c', 'Mission accomplished, citizen. Pilots are worth their weight in Jorallan pearls to the Alliance. Here\'s a reward for your services.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '71', 'm12e', 'I appreciate your help, citizen. People like you make it clear that I\'ve made the right decision.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '72', 'm12t', 'Guide the Pilot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '73', 'm13o', 'One of the agents we planted deep within the Imperial Security Bureau recently had their cover blown. We\'ve managed to get this agent this far without alerting Imperial Intelligence and now need you to escort this individual back here. Keep alert for the presence of suspicious folk. They will likely be Imperial spies.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '74', 'm13p', 'I appreciate your assistance, citizen. I have quite a few secrets to share with High Command. Let\'s get going.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '75', 'm13u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '76', 'm13c', 'Good work, citizen. This agent spent years inside the ISB and possesses information of significant value. Here\'s your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '77', 'm13e', 'I was glad we managed to avoid any major Imperial entanglements. You sure do know your stuff, friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '78', 'm13t', 'Save the ISB Insider');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '79', 'm14o', 'One of our agents has information regarding a possible Imperial strike against Mon Calamari. We need you to escort this courier back here safely so we can conduct a debriefing and get this information to Admiral Ackbar as soon as possible. Please hurry. Millions of Mon Calamari lives are depending on you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '80', 'm14p', 'The sooner we get back to base, friend, the better. The Empire intends to make the Mon Calamari pay for their aid to the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '81', 'm14u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '82', 'm14c', 'Good work, citizen. We\'ll get this information to our Mon Calamari contacts immediately. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '83', 'm14e', 'Thanks for getting me here safely. I\'ll mention your role in all of this to Admiral Ackbar.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '84', 'm14t', 'Save the Mon Calamari');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '85', 'm15o', 'A Corporate Sector Authority Viceprex who has aided the Alliance has just arrived on the planet. The Empire is now aware of this individual\'s activities and we have to ensure the Viceprex\'s safety. Please serve as an escort and return this patriot unharmed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '86', 'm15p', 'My thanks, citizen. I knew it was only a matter of time before Imperial Intelligence sniffed me out. Lead on.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '87', 'm15u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '88', 'm15c', 'Mission accomplished, citizen. This Viceprex was responsible for saving many lives and helping fund over a dozen Alliance operations against Imperial targets.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '89', 'm15e', 'I would do it all the same, citizen, if I had it to do over again. I just wish I\'d been able to save a few more lives.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '90', 'm15t', 'Rescue the Viceprex');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '91', 'm16o', 'An Alliance courier carries an important message for Commander Skywalker that must be hand-delivered. We need you to escort the courier back here safely so we can make sure the rest of their journey goes swiftly and uneventfully. Can you help us?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '92', 'm16p', 'Let\'s get moving, citizen. Commander Skywalker needs to know that Lord Vader himself searches the galaxy for him.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '93', 'm16u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '94', 'm16c', 'Good job, citizen. We\'ll take it from here. Claim your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '95', 'm16e', 'I\'ll mention your role in this to Commander Skywalker, citizen. Courage should never go unrewarded.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '96', 'm16t', 'An Important Message for Commander Skywalker');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '97', 'm17o', 'Imperial Intelligence uses biological agents to combat anti-Imperial demonstrations. A physician\'s assistant has arrived on this planet carrying a newly engineered retrovirus against these biotoxins. Please make sure this individual gets back here safely and make sure nothing happens to that retrovirus.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '98', 'm17p', 'Glad you could make it, friend. We have no time to lose.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '99', 'm17u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '100', 'm17c', 'Congratulations, citizen. I knew we could count on you. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '101', 'm17e', 'The Empire is not above poisoning an entire planet just to prove a point. Their monstrous tactics will prove their undoing.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '102', 'm17t', 'Secure the Retrovirus');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '103', 'm18o', 'The Bothans have set up SpyNet installations for us all over this world, under various \"op-front\" disguises. We just heard that the Empire took out an op-front in the wilderness. One staffer got away and needs safe escort back here. I\'d like you to go. Don\'t necessarily expect a Bothan; all kinds of folks staff those listening posts.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '104', 'm18p', 'A squad of assault troopers fell from the sky and blew up the listening post. It took about six seconds. I happened to be offsite walking my greysor. The greysor ran off. Now I\'m really depressed. Let\'s go back.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '105', 'm18u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '106', 'm18c', 'The Empire has been cracking down on SpyNet installations. We\'ll need to find better camouflage.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '107', 'm18e', 'Many Bothans died to build that op-front. I need a drink.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '108', 'm18t', 'Bothan SpyNet Post Attacked');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '109', 'm19o', 'One of our agents on Coruscant has been compromised and is now fleeing Imperial pursuit. The latest report we have is that stormtroopers killed the agent\'s Alliance escorts, but the troopers all died as well. Please get out there and rescue that agent, who\'s wandering alone. We don\'t like to leave our people helpless.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '110', 'm19p', 'Thank you for rescuing me. I\'m not scared. I knew the risks when I infiltrated the ISB. If I die, I know I\'ve spent my life well, doing good work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '111', 'm19u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '112', 'm19c', 'It\'s an amazing feat, sending us inside data about Imperial Center under the very noses of the Imperials. This agent deserves to live to see better times.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '113', 'm19e', 'I think the strain of the last few years has already shortened my life, but I\'m not eager to cut it even shorter. Thanks for helping me out of a bad spot.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '114', 'm19t', 'Evacuate Coruscant Infiltrator');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '115', 'm20o', 'A former senator has unfailingly aided the Alliance. Now the Empire has targeted him and his family for termination. We\'ve smuggled each of the family members off their homeworld individually, and we\'ll reunite them later. One has just made landfall here. The report I got doesn\'t name the family member. Can you escort him or her here?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '116', 'm20p', 'I miss my family, but I\'m not worried. I\'m glad to see that the Alliance recruits such obviously capable supporters.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '117', 'm20u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '118', 'm20c', 'Thanks, that\'s good. We\'ll handle the debriefing from here. Please don\'t tell anyone about this, because the Empire is still hunting the whole family.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '119', 'm20e', 'Will I get to see the rest of my family soon? I haven\'t even learned where we\'re all going. When do I find out?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '120', 'm20t', 'Rescue Senator\'s Family Member');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '121', 'm21o', 'After a close brush with an Imperial termination squad in the Corporate Sector Authority, a Viceprex sympathetic to the Alliance has gone on the run. The Viceprex has just arrived here, ahead of a bounty hunter, and wound up way out in the wilderness. We\'d like you to bring the executive here safely. Will you do it?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '122', 'm21p', 'Thank you! I never expected to see a friendly face out here -- or, well, ever again. I used to run whole planets, but now my CSA career is blown. I still don\'t know if I did the right thing. Well, you\'d better get me to safety before this Alliance uniform starts to chafe.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '123', 'm21u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '124', 'm21c', 'The few CSA Viceprexes who help the Alliance have brought us priceless access to cargo and Imperial intelligence. We need to protect them all as best we can. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '125', 'm21e', 'I just realized I lost all my retirement accounts too. Well, I suppose there are still business opportunities in the Outer Rim. Aren\'t there?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '126', 'm21t', 'Escort Corporate Viceprex Ally');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '127', 'm22o', 'The Empire plans to release a deadly airborne virus during Core World protests against the Emperor. Alliance scientists have developed a retrovirus that could prevent thousands of deaths. An agent carrying the retrovirus needs a safe escort here for transport offworld. Can you go quickly?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '128', 'm22p', 'I\'m carrying the retrovirus in a subcutaneous implant. I\'m itching like crazy! We should go fast before I break out in a rash.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '129', 'm22u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '130', 'm22c', 'This brave agent will bring vital protection to ten thousand innocent opponents of the Emperor. Thank you, thank you for your help!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '131', 'm22e', 'I feel like I\'m getting hives. Or shingles. I sure hope I reach the Core Worlds before I get an allergy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '132', 'm22t', 'Alliance Agent Carrying Retrovirus');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '133', 'm23o', 'An Imperial official from Coruscant has defected to the Alliance. I don\'t know anything yet about this official\'s identity or position -- it\'s all hush-hush. The official has arrived here, landing in the wilderness to evade pursuit. I\'d like you to retrieve this Imperial defector and escort him or her, or it, safely here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '134', 'm23p', 'I was the Empire\'s Deputy Assistant Restraining Bolt Replacement Procurement Officer for Outer Rim Territory 2445-C. I couldn\'t stand one more moment being an instrument of evil (sob)! At least I\'ve got these new clothes now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '135', 'm23u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '136', 'm23c', 'Well, I suppose any information about Imperial procedures may help our cause. Somehow. Thanks, I guess.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '137', 'm23e', 'I\'ll supply you with every detail of the Imperial restraining bolt replacement procurement process. I\'m helping to fight for freedom! May the Force be with me!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '138', 'm23t', 'Pick up Imperial Defector');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '139', 'm24o', 'Incom has designed an experimental new starfighter called the \"A-wing.\" Supposed to be a seriously interesting ship. A courier was carrying the plans to our secret factory, but crash-landed here while trying to shake the Imperial Security Bureau. We need you to bring back the courier safely. Fast!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '140', 'm24p', 'Oh, am I glad to see you! The ISB would pull an Alderaan to get their hands on this design. Can you escort me now?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '141', 'm24u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '142', 'm24c', 'Good job! I\'ll arrange transport offworld for our courier friend -- with appropriate security, you can be sure.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '143', 'm24e', 'The A-wing will be the fastest starfighter in the galaxy, once we lick the stabilizer-wing problem. And about three thousand other problems, actually. Thanks for the escort!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '144', 'm24t', 'A-Wing Plan Carrier Needs Escort');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '145', 'm25o', 'We\'re mounting a raid on an Imperial supply depot. The strike team commander has just gotten briefed at a secret location and is ready to lead the raid. But first we need to get the commander here safely. Can you be the escort?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '146', 'm25p', 'I\'m supposed to fly some complicated new flight plan we just got from Intelligence. If you could run interference on the way back while I study the maneuvers, I\'d appreciate it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '147', 'm25u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '148', 'm25c', 'Wouldn\'t that have been embarrassing, if a top Alliance pilot got taken out on the way to liftoff. Thanks for preventing that particular setback.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '149', 'm25e', '\"Then Red Team executes an Ackbar Slash through the enemy\'s center line...\" Wow, I hope the Force is with us today... Are we here? Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '150', 'm25t', 'Strike Commander Heading to Depot Raid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '151', 'm26o', 'An Alliance Psychological Operations officer is working on fomenting more tension among Lord Vader\'s admirals. The more dissension and distrust we create, the less effective the Imperial Navy becomes. We need you to escort the Psych Ops officer here for transport to an offworld training facility.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '152', 'm26p', 'You\'re a little short for an Alliance soldier. Are you sure I\'m the one you\'re here to meet? Wait, I know you -- I heard your friends say that you -- no, never mind. No, not important. Really. Let\'s go. --No, really, you don\'t want to know.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '153', 'm26u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '154', 'm26c', 'You look a little rattled -- did the Psych officer decide to practice on you during the trip? Thanks, we\'ll take over from here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '155', 'm26e', 'By the way, you\'ve got something sticky on your foot. Ha, made you look! Just kidding. Thanks, and you know I mean that sincerely.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '156', 'm26t', 'Psych Operations Officer Needs Escort');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '157', 'm27o', 'General Carlist Rieekan has been searching for a new Alliance base site since the Empire blockaded Yavin 4. His aide has assembled scouting reports for this world and the surrounding sector. Due to the sensitivity of this data, the aide is hand-delivering it to General Rieekan. Your job is to escort the aide here for safe departure offworld.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '158', 'm27p', 'Yes, I\'m General Rieekan\'s aide. Before joining the Alliance, I used to scout worlds for the Corporate Sector Authority. I must say, this world has some interesting features. Shall we go?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '159', 'm27u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '160', 'm27c', 'Whatever this officer has to say, I\'m sure General Rieekan will be interested. Thanks for your help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '161', 'm27e', 'I\'m seeing possibilities on this world, not just for an Alliance base, but in the longer term, a tourist resort. What do you think?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '162', 'm27t', 'General Rieekan\'s Staffer Requests Escort');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '163', 'm28o', 'We have a report that the Imperials found one of our undercover agents. The agent jumped a shuttle in an escape pod and landed here in the wilderness. The bad news is, there\'s apparently a bounty hunter on the trail, sent by the Empire. We need to get the agent back here to safety. Can you move quickly?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '164', 'm28p', 'Lord Vader has assembled an elite group of bounty hunters called the Scourge Column. I don\'t know much about it. But I think one of them is after me, so we should go!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '165', 'm28u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '166', 'm28c', 'Well, bounty hunter or not, this agent needs to be smuggled offworld pronto. Thanks for your help!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '167', 'm28e', 'Okay, I\'ve calmed down. I think the Scourge Column is supposed to hunt really tough targets. I don\'t see how that would include me. Maybe I was imagining things.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '168', 'm28t', 'Bounty Hunter Pursuing Alliance Agent');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '169', 'm29o', 'A local community leader is apparently being hunted by stormtroopers. The report I got is light on details -- apparently this person organized anti-Imperial sentiment among local youth organizations. Can you check out this report? Maybe you should just bring the leader back here, and we\'ll decide what to do next.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '170', 'm29p', 'I distributed Alliance-issue cannisters of enamel to local children, who used it to paint mustaches on the Emperor\'s statues. Those stormtroopers didn\'t like that. I barely escaped my house before they blew it up!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '171', 'm29u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '172', 'm29c', 'Like I didn\'t have enough to worry about already. Okay, thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '173', 'm29e', 'I also distributed stinkbombs, issued straight from your Alliance, mind you, for the locals to throw at COMPNOR loyalty parades. I deserve protection!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '174', 'm29t', 'Community Leader Escaping Stormtroopers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '175', 'm30o', 'We had a lot of shipping mistakes and communication errors a while back. It took us a while to trace them to a rogue slicer out to have fun. Well, guess what -- we recruited that talented slicer into the Alliance. We need you to retrieve the slicer from the wilderness rendezvous point and provide escort duty back here. Okay?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '176', 'm30p', 'Wild. I never went offworld before. It was juicy. Of course, I used to screw up shipping manifests and passenger lists, just for grins. Wow, I\'m really a Rebel now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '177', 'm30u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '178', 'm30c', 'One more valiant warrior in the battle for freedom. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '179', 'm30e', 'Now that I\'m a Rebel, I can still mess up the shipping schedules, right? Only just the bad-guy ships now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '180', 'm30t', 'Data Slicer Joining Alliance');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '181', 'm31o', 'The local Imperial garrison just granted extended leave for many stormtroopers. Our agents plan to get close -- very close -- to these off-duty soldiers. One agent is returning from a mission in the wilderness and needs an escort. Can you go?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '182', 'm31p', 'Okay, you\'re here to take me to a cantina full of drunken troopers. Gee, look at me tremble with anticipation. Lead the way.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '183', 'm31u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '184', 'm31c', 'Thanks. This isn\'t the noblest Alliance endeavour, but you have to find intelligence where you can.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '185', 'm31e', 'I\'m not looking forward to this, but it should be productive. After a few drinks these troopers tell you their mission, their defenses, and their sarge\'s middle name. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '186', 'm31t', 'Agent Needs Escort to Off-Duty Imperials');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '187', 'm32o', 'There\'s trouble. An Imperial TIE fighter engineer is defecting to our side. The escort team crash-landed on this planet to escape a Star Destroyer, and a stormtrooper ground patrol attacked them. We lost everyone except the engineer. Quick, head out and find the engineer, then give safe escort back here. Please hurry!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '188', 'm32p', 'This has been a nightmare. But even if the Empire gets me, I don\'t regret my decision. I\'m willing to die for the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '189', 'm32u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '190', 'm32c', 'This is great work! Our new friend has volunteered to tell us a great deal about Lord Vader\'s experimental TIE fighter and other advanced ships. Thank you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '191', 'm32e', 'My work has indirectly led to the oppression of billions. I can\'t live with that any more. I want to undo the evil I\'ve helped perpetuate.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '192', 'm32t', 'Sienar Systems Defector Requires Escort');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '193', 'm33o', 'With the Imperial Army refusing to enlist nonhuman species, the Alliance has a chance to turn this bigotry to good effect. One of our diplomats has been meeting with Duro leaders, trying to get them to join us. The diplomat is stopping here en route to High Command to make a report. Will you bring the official here from the landing point?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '194', 'm33p', 'It\'s been a challenging trip, with Imperial ships dogging us all along. I had to leave my ship via escape pod to reduce the danger to my allies. I appreciate your escort.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '195', 'm33u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '196', 'm33c', 'These diplomatic missions can be dangerous. Thanks for bringing the official here safely.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '197', 'm33e', 'It remains to be seen whether the Duro will join the Alliance. I suspect they are too diffuse and independent. But we must keep trying.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '198', 'm33t', 'Alien Affairs Diplomat Delivering Report');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '199', 'm34o', 'General Airen Cracken\'s smugglers -- I mean \"procurement specialists\" -- are getting jumpy because of Imperial attention. One of them plans to deliver medical supplies here, but wants to scout out the place first. The \"specialist\" asked for just one escort, not a squad. Can you do the job? Try to, uh, look harmless.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '200', 'm34p', 'I asked for just one guard. I want to be sure there\'s no funny business here. As in \"those funny Imperials.\" Get me? Okay, lead the way.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '201', 'm34u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '202', 'm34c', 'Once this procurement specialist sees there\'s nothing to worry about, we should get the medical supplies pretty soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '203', 'm34e', 'Hold on -- I just want to check over that way -- okay, okay -- and anything under here? No. Okay, this may work, this may work. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '204', 'm34t', '\"Procurement Specialist\" Wants Guide');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '205', 'm35o', 'A special Alliance operative is hiding beyond the city borders. I need you to deliver these new, coded instructions: \"Echo Roger Bravo dash Twelve.\" It\'s urgent that you get there immediately. Go!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '206', 'm35p', '\"Bravo dash Twelve?\" That\'s outrageous! This is a \"dash Eleven\" situation if there ever was one. Take me back to your contact. We\'ve got to have a chat about this.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '207', 'm35u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '208', 'm35c', '\"Dash Twelve,\" \"dash Eleven,\" what\'s the difference? At least we\'re not saying \"dash Thirteen.\" That would have been absurd.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '209', 'm35e', '\"Bravo dash Twelve\" indeed! What kind of operation is this? It\'s \"dash Eleven\" or I\'m off the case.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '210', 'm35t', 'Secret Instructions for a Field Agent');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '211', 'm36o', 'We\'ve got an agent in the field investigating claims of an Imperial massacre. We dare not send any shuttles or transmissions to the area. Can you sneak out there and check up on our investigator\'s progress? Alliance High Command is very interested in this information. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '212', 'm36p', 'Good, you\'re here. I\'ve found blaster scorching on the ground all around here. I\'d estimate the Empire executed twenty or thirty civilians, not more than a week ago. I need to report this to Alliance High Command. Can get me back undetected?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '213', 'm36u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '214', 'm36c', 'You did well. I\'ll mention you by name in my report to High Command.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '215', 'm36e', 'Thank you greatly. Now I can get this evidence of the Imperial massacre to Alliance High Command.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '216', 'm36t', 'Check Up on an Alliance Investigator');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '217', 'm37o', 'We\'ve set up a portable listening station away from the city, to eavesdrop on Imperial communications. I want you to get out there and relieve the current operator for awhile. Try not to send any transmissions along the way. We don\'t want the authorities to find us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '218', 'm37p', 'I\'m glad you\'re here. The Imperial patrols started using an unknown scramble code less than an hour ago. I think they know about my listening device. We\'ve got to get back to safety before they track us down. Lead on!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '219', 'm37u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '220', 'm37c', 'And thanks from me as well. The Alliance needs good agents like you. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '221', 'm37e', 'That was close. I was afraid we might get nabbed by Imperial patrols. Thanks for the help, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '222', 'm37t', 'Assist an Alliance Eavesdropper');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '223', 'm38o', 'One of our transports had a close call with some TIE fighters. The ship crashed but the pilot ejected to safety in time. You\'d better get out there and bring\'em back before the planetside Imperial forces start combing the area. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '224', 'm38p', 'Thank goodness you found me. I can\'t believe I was shot down by a couple of junk-heap TIE fighters. Let\'s get out of this place before we\'re caught.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '225', 'm38u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '226', 'm38c', 'Sometimes the Empire will get the upper hand. It happens. Both of you did your jobs well. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '227', 'm38e', 'Thank you for the escort. I still can\'t believe I couldn\'t dodge those TIE fighters. My dogfighting skills are getting rusty.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '228', 'm38t', 'Retrieve a Stranded Pilot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '229', 'm39o', 'There\'s an Imperial mine field outside of town. We sent an agent to neutralize these hidden explosives, but all we\'ve heard back is a distress signal. Can you head out there to see what\'s going on? Oh, and be careful where you step. We suspect it\'s a very dense mine field.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '230', 'm39p', 'I can\'t believe you just crossed the mine field with no scanning equipment! I had a power surge in my comlink that fried my sensor and I\'ve been afraid to move for an hour. Well, no sense postponing it any longer. Let\'s get out of this mess before the Imperial patrols fly over. If you pray to any deities on your homeworld, now\'s the time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '231', 'm39u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '232', 'm39c', 'Good work. You\'ve got a future in mine sweeping, if you would care to join our ranks. We\'ve always got new openings.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '233', 'm39e', 'Unbelievable! We made it through the mine field without a scratch. That\'s twice you managed it. Are you sure you\'re not Force-sensitive?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '234', 'm39t', 'Extract an Alliance Minesweeper');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '235', 'm40o', 'An Alliance spy has arrived from offworld to debrief us about some findings on Klatooine. A secret transport dropped the spy far from the city\'s sensors. I want a clandestine extraction. The task falls to you. Bring our spy back here and let\'s find out what\'s happening on Klatooine.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '236', 'm40p', 'You\'re my escort? Good. Let\'s move quietly. I\'ve got some interesting information that I\'m sure the Empire wants to stifle.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '237', 'm40u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '238', 'm40c', 'Droid bombs? Very interesting. I wonder if the Alliance could undercut the Empire and get ahold of them?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '239', 'm40e', 'I\'m glad we made it here alive. Thanks. Now I can tell you about the droid bombs that some Klatooinan engineers are trying to sell to the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '240', 'm40t', 'Escort an Alliance Spy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '241', 'm41o', 'We sent two agents to sabotage an Imperial orbital refinery. They were supposed to rendezvous with us afterward for debriefing, but our pickup team did not find them. I need you to go to the meeting point and see if they\'ve arrived yet. Be on the lookout for Imperial patrols.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '242', 'm41p', 'Sorry for the delay. We were nearly caught by an Imperial boarding crew. My partner died, but we wiped out those dogs! Now I just want to get back home, make my report and have a long rest.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '243', 'm41u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '244', 'm41c', 'No rest yet, I\'m afraid. Alliance Command says we need to hit another refinery. Don\'t worry, the Force will give you strength.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '245', 'm41e', 'Boy, am I glad to be back. Our sabotage was successful. The Imperial Navy in this system will be short on stellar fuel for awhile. Now I just want to get some rest.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '246', 'm41t', 'Escort a Rebel Saboteur');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '247', 'm42o', 'We\'ve got a meeting with an artillery expert, but Imperial patrols have stepped up in this area. The expert is stuck between cities. Go out there, make sure there\'s no Imperial trouble and let\'s get this meeting back on schedule.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '248', 'm42p', 'Let\'s not waste any time. This area is crawling with stormtroopers.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '249', 'm42u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '250', 'm42c', 'Ion cannons against Star Destroyers? That is interesting. We could use that kind of artillery support for planetary evacuation.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '251', 'm42e', 'That was too close. Thank you for the help. I\'ve got some interesting information about the effectiveness of ion cannons against Star Destroyers. Time for debriefing.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '252', 'm42t', 'Assist an Alliance Artillery Expert');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '253', 'm43o', 'One of our new operatives came from a slicing background. We took advantage of this expertise to sabotage an experimental droid project that the Empire has started on Klatooine. Reprogrammed droids can be a powerful ally. Our slicer has just returned and I need you to provide an escort back here. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '254', 'm43p', 'I can\'t wait to make this report. I reprogrammed an experimental droid starfighter for independent thought. Now that crazy robot is winging through the galaxy, evading TIE fighters and hunting down the scientists who built it. Boy, do I love my work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '255', 'm43u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '256', 'm43c', 'Sometimes slicers are a little too creative. Never mind, I\'ll reserve judgment until I hear the full report.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '257', 'm43e', '... and after the droid starfighter wipes out the scientists who created it, I programmed it to fly to the outlying systems and help fight Imperial expansion forces. I can\'t wait to hear how well it does.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '258', 'm43t', 'Help an Alliance Slicer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '259', 'm44o', 'We\'ve lost an intelligence agent! The Imperials must have learned about this secret mission. Get out to the rendezvous point as fast as you can and see if there\'s any sign of what happened.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '260', 'm44p', 'I thought you\'d never get here! I\'ve been hiding from Imperial squads for the last three hours. Lucky for us, the coast is clear right now. Let\'s get out of here before they come back.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '261', 'm44u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '262', 'm44c', 'Excellent work. You\'re a true asset to the Alliance, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '263', 'm44e', 'I thought I was a goner out there. Thanks for bringing me back safely. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '264', 'm44t', 'Find an Alliance Intelligence Agent');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '265', 'm45o', 'We\'ve got trouble. An engineer of ours just landed on the planet. An Imperial patrol has the whole area pinned down and I fear the worst. Aerial support is on the way, but they won\'t get there for awhile. Do you think you\'re skilled enough to lend a hand?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '266', 'm45p', 'The Imperials just left! I don\'t know what happened. One second they were firing at me and the next all was clear. Something\'s going on. I don\'t want to stick around to find out what it is. Let\'s move!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '267', 'm45u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '268', 'm45c', 'That was too close. High Command is really interested in this report. Say, do you smell something strange? Ah, it was probably nothing.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '269', 'm45e', 'I\'m glad we got out of there in one piece. I sure hope the Imperials didn\'t track us or something. Anyway, now I can make my report about the ISB\'s use of poison gasses against Alliance troops on Cularin.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '270', 'm45t', 'Escort a Rebel Engineer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '271', 'm46o', 'A secret Alliance transport came down outside the city. We sent a crew to clean up the mess, but we had to leave quick when the authorities showed up. Unfortunately we left one of the rescue team behind. Our scanners give us the all clear, but we don\'t want to risk flying in just yet. Can you hoof it out there and make sure our comrade gets back safely? Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '272', 'm46p', 'I thought I\'d left combat behind when I signed up for the rescue team. Now here I am on the battlefield again. Just my luck. Let\'s get back and I\'ll buy you a drink to thank you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '273', 'm46u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '274', 'm46c', 'Yes, you guessed it. Another transport came down just before you two got here. The rescue crew is heading out again. The struggle for galactic freedom never ends.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '275', 'm46e', 'Uh-oh. I recognize that look in my commander\'s eyes. Guess we\'ll have to save that drink for another day.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '276', 'm46t', 'Escort Alliance Rescue Personnel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '277', 'm47o', 'We have a project underway to map hyperspace supply lines between major Alliance star clusters. A logistics expert has arrived on the planet to confer about this matter. How would you like to rendezvous with this newcomer and bring them back here? I\'m not even sure what they look like, but I do have the coordinates of their secret dropoff point. Better arm yourself for the trip, just in case.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '278', 'm47p', 'Hi. I\'m the logistics expert. Are you my escort? Good. I was worried that the Empire might have discovered these coordinates and sent a spy. Please take me to your commanders now. Long live the Rebellion! Um, I mean, the Alliance!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '279', 'm47u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '280', 'm47c', 'But of course! What a pleasure it is to meet such a courteous and motivated agent.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '281', 'm47e', 'So this is one of your larger bases in the star system? Excellent. Please show me everything. I am most interested to see your operation.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '282', 'm47t', 'Help Out an Alliance Logistics Expert');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '283', 'm48o', 'We\'re honored to have one of the Alliance\'s top pilots pay us a visit. I want you to head out to the rendezvous point and provide an escort back here. I\'ll show the captain around. Maybe we\'ll get a new star pilot for our local squadron!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '284', 'm48p', 'Dropped off in the middle of nowhere. What a welcome this is. If you\'re my contact, I hope you\'ve got something good to show me about Alliance operations in this system. So far I\'m not very impressed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '285', 'm48u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '286', 'm48c', 'I\'m very excited to meet such a famous star pilot! Please, captain, if there\'s anything I can do to make you feel at home, just ask.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '287', 'm48e', 'The operation isn\'t much to see, I grant you, but you never told me there were such dashing and attractive officers here! I don\'t suppose you can introduce us?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '288', 'm48t', 'Retrieve an Ace Fighter Pilot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '289', 'm49o', 'Some kind of huge Imperial gunship had us pinned down outside of town! I\'ve never seen that kind of vessel before. Nearly blasted us to pieces. I got separated from my buddy and barely made it back here. My friend is still out there. I have the coordinates from the distress beacon, but I\'m too banged up to manage a rescue. Can you handle it?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '290', 'm49p', 'Am I glad to see you! That weird Imperial gunship has buzzed the area every half hour since the fight. Let\'s get out of here before it comes back.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '291', 'm49u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '292', 'm49c', 'The report can wait. I\'m just glad to see you alive. And thank you, my new friend, for performing the rescue I couldn\'t.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '293', 'm49e', 'I could swear that new gunship looks like it\'s amphibious. What\'s the Empire up to, anyway? I\'ll have to file a report on this one.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '294', 'm49t', 'Rescue a Stranded Alliance Agent');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '295', 'm50o', 'When a turbolaser explodes, the results are not pretty. We lost some mercenaries outside of town when a stolen turbo blew up without warning. Their Alliance liaison is still alive, though. I need to you get out there quickly and fetch our agent back.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '296', 'm50p', 'Thank goodness you\'re here. I couldn\'t get much farther on my own. Imperial patrols are bound to investigate the turbolaser explosion and I want to be as far away from the blast site as possible.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '297', 'm50u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '298', 'm50c', 'I\'m just glad that you got back alive. We can find other turbolasers, but there\'s only one of you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '299', 'm50e', 'The more I think about it, the more I believe the Empire must have rigged that turbolaser to explode. Why else would it blow up like that?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_easy.stf', '300', 'm50t', 'Fetch an Alliance Liaison');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '1', 'm1o', 'A vital munitions depot was hit by an Imperial strike team. We sent an agent out to assess the damage but storm commandos were lying in wait. The timely arrival of Rogue Squadron allowed our wounded agent to escape. We need you to find this brave soldier and insure a safe return.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '2', 'm1p', 'Good to see you, friend. I was starting to think I was done for. I\'m hit but it\'s not bad. Let\'s get back home as quickly as possible.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '3', 'm1u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '4', 'm1c', 'You helped save a fellow freedom fighter, citizen. Tha Alliance is proud to have agents like you. Accept this reward with our compliments.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '5', 'm1e', 'Thanks, buddy. Not sure I would have made it without your help. Here\'s hoping Rogue Squadron wiped out all those storm commandos.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '6', 'm1t', 'Rescue the Scout');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '7', 'm2o', 'The Imperials bombed one of our mining facilities. Fortunately the installation\'s supervisor escaped with our security protocols and codes before probe droids could search the ruins. If you could locate the superivisor and get those codes back here safely, we\'d appreciate it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '8', 'm2p', 'Fancy meeting you here. Glad to see the Alliance hasn\'t forgotten us lowly miners. Don\'t worry, the codes are safe and sound. Let\'s go.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '9', 'm2u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '10', 'm2c', 'Good work, citizen. We must make sure our codes are never compromised or else dozens of our bases would be sitting ducks for the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '11', 'm2e', 'Thanks, friend. I hope next time we meet it\'s under very different circumstances.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '12', 'm2t', 'Protect the Security Codes');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '13', 'm3o', 'We intercepted an Imperial transmission warning of an imminent attack on an automated communications array. Fortunately, an engineer servicing a broken transponder was able to set the facility to self-destruct. We need you to make sure our engineer makes it back here safely.   ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '14', 'm3p', 'Hiya. Glad to see a friendly face. Looks like I underestimated the force of that explosion. Well, a trashed speeder bike is better than a trashed engineer, huh?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '15', 'm3u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '16', 'm3c', 'Thanks for your help, citizen. Every single member of the Alliance is precious to us. Claim your just reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '17', 'm3e', 'Much obliged for the escort, friend. Hope to see you again sometime.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '18', 'm3t', 'Collect the Engineer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '19', 'm4o', 'A newly formed cell wishes to personally discuss a recent supply request with our Procurement & Supply officer. They\'re asking for an escort for their representative. Could you meet this individual and provide this service? The Alliance would be grateful.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '20', 'm4p', 'My thanks for providing this escort. You never can be too careful with all these Imperial spies running around. Lead on.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '21', 'm4u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '22', 'm4c', 'Our thanks, citizen. A job well done deserves a reward, wouldn\'t you say?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '23', 'm4e', 'Allow me to thank you and congratulate you on being such an excellent escort. What was your name again, citizen?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '24', 'm4t', 'Escort the Nervous Rebel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '25', 'm5o', 'A group of youngsters was targeted for termination by Imperials because the spunky youths had defaced some Imperial statues. We\'ve managed to relocate most of them to various colonies but one of them wants to join our cell. Could you make sure this brave youngster makes it here with minimal distractions?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '26', 'm5p', 'Hiya! Are you a pilot? Ever flown an X-wing? I\'d like to do that someday. I\'d be pretty good too. I bet I could even bring down Baron Fel.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '27', 'm5u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '28', 'm5c', 'Thanks, citizen. We appreciate your efforts. Like it or not, you serve as an example to many people. We hope you keep that in mind.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '29', 'm5e', 'Hey thanks, friend. I hope we get to serve together someday. When next we meet, I\'ll probably be a full fledged X-wing pilot.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '30', 'm5t', 'Inspire the Young');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '31', 'm6o', 'A local merchant refused to cooperate with Imperials and lost a nice shop as a result. We\'ve offered asylum and need someone to escort this unfortunate back here. Think you could help us out? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '32', 'm6p', 'Greetings. Thank you for escorting me. I suppose I see the need for disguise but I sure do feel strange in these clothes. Well, lead on.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '33', 'm6u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '34', 'm6c', 'We\'ll put this citizen to good use, thanks. Here\'s something for your trouble.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '35', 'm6e', 'I appreciate the escort, citizen. I\'ll do my part to make sure the Empire collapses and the Republic is restored.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '36', 'm6t', 'Help the Former Shopkeeper');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '37', 'm7o', 'Our contacts within the Corporate Sector Authority helped us secure the release of an important Alliance officer who had been sent to the spice mines of Kessel. Our officer was reported killed during a mining accident. We need you to make sure this \"deceased\" ally gets here without attracting too much attention. Think you can handle that?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '38', 'm7p', 'I look pretty lively for a corpse, huh? Let\'s hope you can get me back before I start to stink.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '39', 'm7u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '40', 'm7c', 'Good job, citizen. We\'ll make sure our officer receives a funeral with full military honors. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '41', 'm7e', 'Thanks, buddy. I hope you\'ll stick around for the wake. There\'s bound to be plenty of spirits in attendance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '42', 'm7t', 'Transport a Living Corpse');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '43', 'm8o', 'A former senator wanted by Imperial Intelligence has managed to elude patrols and now needs to be escorted back here to be reunited with family. This dignitary will be in disguise, of course, so be on the lookout. Can the Alliance count on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '44', 'm8p', 'Are you from the Alliance? I suppose that\'s a dumb thing to ask a stranger. Sorry, I\'m new to all this. If you\'re my escort, then lead the way.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '45', 'm8u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '46', 'm8c', 'We appreciate your prompt return, citizen. The senator has information vital to our survival. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '47', 'm8e', 'I do hope I didn\'t come across as a complete buffoon. You have my deepest thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '48', 'm8t', 'Protect the Senator');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '49', 'm9o', 'We need someone with patience and a sense of humor for this mission. We\'ve decided to grant asylum to a harmless lunatic who claims to be the Emperor. The Imperials have already tried to assassinate this poor wretch multiple times. Perhaps fortunate favors the mad? Think you can collect this individual and return here? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '50', 'm9p', 'It\'s about time you arrived, my young apprentice. It is not good to keep your Emperor waiting. As you can see, I have adopted an appropriate disguise. And now, lead me to the very heart of the Rebellion where I can assure it will be crushed and you will become one of us. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '51', 'm9u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '52', 'm9c', 'We appreciate your patience, citizen. We\'ll take \"His Imperial Highness\" from here. Here\'s a little something for your trouble.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '53', 'm9e', 'You have done well, my young apprentice. In time, I will seek you out and then you shall come before me. I have foreseen it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '54', 'm9t', 'Escort the Emperor (honest)');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '55', 'm10o', 'A former Black Sun operative has decided to share privileged information with the Alliance in exchange for asylum. We need you to collect this individual and return here. The operative is disguised so you shouldn\'t have too much trouble.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '56', 'm10p', 'How do I know you\'re really from the Alliance? Tell you what, you lead the way and I\'ll follow close behind. Don\'t forget I have a blaster and I know how to use it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '57', 'm10u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '58', 'm10c', 'Thank you, citizen. We appreciate your patience and professionalism. Collect your fee.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '59', 'm10e', 'Well I guess you turned out to be okay. In my line of work, you never can be too careful. Know what I mean?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '60', 'm10t', 'Protect the Black Sun Insider');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '61', 'm11o', 'Some old droidekas fell into our hands not long ago. Not many techs have worked with them before so we called in an expert in antique technology. We need you to pick up and escort this specialist back here. Can you do that for us?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '62', 'm11p', 'Yeah, I\'ve worked with a lot of older model droids. Bit of a hobby for me, I suppose. But I tell you, they sure don\'t make droidekas like they used to.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '63', 'm11u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '64', 'm11c', 'Thanks, citizen. We can\'t really afford to treat anything we get as junk. If it still works, we\'ll find something to do with it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '65', 'm11e', 'Are you interested in older technology? I sure would like to get my hands on a lightsaber. Let me know if you ever hear about one.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '66', 'm11t', 'Fix the Droidekas');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '67', 'm12o', 'We\'ve gotten word of another pilot wishing to make contact with the Alliance. This individual has been cleared by Intelligence and now we need you to provide an escort back here. Can the Alliance count on you?  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '68', 'm12p', 'Thanks for serving as my guide. I didn\'t think it was necessary but the Alliance felt transmitting the coordinates to me via the HoloNet was too risky.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '69', 'm12u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '70', 'm12c', 'Mission accomplished, citizen. Pilots are worth their weight in Jorallan pearls to the Alliance. Here\'s a reward for your services.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '71', 'm12e', 'I appreciate your help, citizen. People like you make it clear that I\'ve made the right decision.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '72', 'm12t', 'Guide the Pilot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '73', 'm13o', 'One of the agents we planted deep within the Imperial Security Bureau recently had their cover blown. We\'ve managed to get this agent this far without alerting Imperial Intelligence and now need you to escort this individual back here. Keep alert for the presence of suspicious folk. They will likely be Imperial spies.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '74', 'm13p', 'I appreciate your assistance, citizen. I have quite a few secrets to share with High Command. Let\'s get going.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '75', 'm13u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '76', 'm13c', 'Good work, citizen. This agent spent years inside the ISB and possesses information of significant value. Here\'s your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '77', 'm13e', 'I was glad we managed to avoid any major Imperial entanglements. You sure do know your stuff, friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '78', 'm13t', 'Save the ISB Insider');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '79', 'm14o', 'One of our agents has information regarding a possible Imperial strike against Mon Calamari. We need you to escort this courier back here safely so we can conduct a debriefing and get this information to Admiral Ackbar as soon as possible. Please hurry. Millions of Mon Calamari lives are depending on you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '80', 'm14p', 'The sooner we get back to base, friend, the better. The Empire intends to make the Mon Calamari pay for their aid to the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '81', 'm14u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '82', 'm14c', 'Good work, citizen. We\'ll get this information to our Mon Calamari contacts immediately. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '83', 'm14e', 'Thanks for getting me here safely. I\'ll mention your role in all of this to Admiral Ackbar.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '84', 'm14t', 'Save the Mon Calamari');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '85', 'm15o', 'A Corporate Sector Authority Viceprex who has aided the Alliance has just arrived on the planet. The Empire is now aware of this individual\'s activities and we have to ensure the Viceprex\'s safety. Please serve as an escort and return this patriot unharmed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '86', 'm15p', 'My thanks, citizen. I knew it was only a matter of time before Imperial Intelligence sniffed me out. Lead on.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '87', 'm15u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '88', 'm15c', 'Mission accomplished, citizen. This Viceprex was responsible for saving many lives and helping fund over a dozen Alliance operations against Imperial targets.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '89', 'm15e', 'I would do it all the same, citizen, if I had it to do over again. I just wish I\'d been able to save a few more lives.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '90', 'm15t', 'Rescue the Viceprex');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '91', 'm16o', 'An Alliance courier carries an important message for Commander Skywalker that must be hand-delivered. We need you to escort the courier back here safely so we can make sure the rest of their journey goes swiftly and uneventfully. Can you help us?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '92', 'm16p', 'Let\'s get moving, citizen. Commander Skywalker needs to know that Lord Vader himself searches the galaxy for him.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '93', 'm16u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '94', 'm16c', 'Good job, citizen. We\'ll take it from here. Claim your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '95', 'm16e', 'I\'ll mention your role in this to Commander Skywalker, citizen. Courage should never go unrewarded.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '96', 'm16t', 'An Important Message for Commander Skywalker');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '97', 'm17o', 'Imperial Intelligence uses biological agents to combat anti-Imperial demonstrations. A physician\'s assistant has arrived on this planet carrying a newly engineered retrovirus against these biotoxins. Please make sure this individual gets back here safely and make sure nothing happens to that retrovirus.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '98', 'm17p', 'Glad you could make it, friend. We have no time to lose.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '99', 'm17u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '100', 'm17c', 'Congratulations, citizen. I knew we could count on you. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '101', 'm17e', 'The Empire is not above poisoning an entire planet just to prove a point. Their monstrous tactics will prove their undoing.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '102', 'm17t', 'Secure the Retrovirus');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '103', 'm18o', 'The Bothans have set up SpyNet installations for us all over this world, under various \"op-front\" disguises. We just heard that the Empire took out an op-front in the wilderness. One staffer got away and needs safe escort back here. I\'d like you to go. Don\'t necessarily expect a Bothan; all kinds of folks staff those listening posts.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '104', 'm18p', 'A squad of assault troopers fell from the sky and blew up the listening post. It took about six seconds. I happened to be offsite walking my greysor. The greysor ran off. Now I\'m really depressed. Let\'s go back.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '105', 'm18u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '106', 'm18c', 'The Empire has been cracking down on SpyNet installations. We\'ll need to find better camouflage.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '107', 'm18e', 'Many Bothans died to build that op-front. I need a drink.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '108', 'm18t', 'Bothan SpyNet Post Attacked');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '109', 'm19o', 'One of our agents on Coruscant has been compromised and is now fleeing Imperial pursuit. The latest report we have is that stormtroopers killed the agent\'s Alliance escorts, but the troopers all died as well. Please get out there and rescue that agent, who\'s wandering alone. We don\'t like to leave our people helpless.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '110', 'm19p', 'Thank you for rescuing me. I\'m not scared. I knew the risks when I infiltrated the ISB. If I die, I know I\'ve spent my life well, doing good work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '111', 'm19u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '112', 'm19c', 'It\'s an amazing feat, sending us inside data about Imperial Center under the very noses of the Imperials. This agent deserves to live to see better times.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '113', 'm19e', 'I think the strain of the last few years has already shortened my life, but I\'m not eager to cut it even shorter. Thanks for helping me out of a bad spot.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '114', 'm19t', 'Evacuate Coruscant Infiltrator');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '115', 'm20o', 'A former senator has unfailingly aided the Alliance. Now the Empire has targeted him and his family for termination. We\'ve smuggled each of the family members off their homeworld individually, and we\'ll reunite them later. One has just made landfall here. The report I got doesn\'t name the family member. Can you escort him or her here?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '116', 'm20p', 'I miss my family, but I\'m not worried. I\'m glad to see that the Alliance recruits such obviously capable supporters.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '117', 'm20u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '118', 'm20c', 'Thanks, that\'s good. We\'ll handle the debriefing from here. Please don\'t tell anyone about this, because the Empire is still hunting the whole family.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '119', 'm20e', 'Will I get to see the rest of my family soon? I haven\'t even learned where we\'re all going. When do I find out?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '120', 'm20t', 'Rescue Senator\'s Family Member');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '121', 'm21o', 'After a close brush with an Imperial termination squad in the Corporate Sector Authority, a Viceprex sympathetic to the Alliance has gone on the run. The Viceprex has just arrived here, ahead of a bounty hunter, and wound up way out in the wilderness. We\'d like you to bring the executive here safely. Will you do it?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '122', 'm21p', 'Thank you! I never expected to see a friendly face out here -- or, well, ever again. I used to run whole planets, but now my CSA career is blown. I still don\'t know if I did the right thing. Well, you\'d better get me to safety before this Alliance uniform starts to chafe.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '123', 'm21u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '124', 'm21c', 'The few CSA Viceprexes who help the Alliance have brought us priceless access to cargo and Imperial intelligence. We need to protect them all as best we can. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '125', 'm21e', 'I just realized I lost all my retirement accounts too. Well, I suppose there are still business opportunities in the Outer Rim. Aren\'t there?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '126', 'm21t', 'Escort Corporate Viceprex Ally');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '127', 'm22o', 'The Empire plans to release a deadly airborne virus during Core World protests against the Emperor. Alliance scientists have developed a retrovirus that could prevent thousands of deaths. An agent carrying the retrovirus needs a safe escort here for transport offworld. Can you go quickly?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '128', 'm22p', 'I\'m carrying the retrovirus in a subcutaneous implant. I\'m itching like crazy! We should go fast before I break out in a rash.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '129', 'm22u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '130', 'm22c', 'This brave agent will bring vital protection to ten thousand innocent opponents of the Emperor. Thank you, thank you for your help!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '131', 'm22e', 'I feel like I\'m getting hives. Or shingles. I sure hope I reach the Core Worlds before I get an allergy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '132', 'm22t', 'Alliance Agent Carrying Retrovirus');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '133', 'm23o', 'An Imperial official from Coruscant has defected to the Alliance. I don\'t know anything yet about this official\'s identity or position -- it\'s all hush-hush. The official has arrived here, landing in the wilderness to evade pursuit. I\'d like you to retrieve this Imperial defector and escort him or her, or it, safely here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '134', 'm23p', 'I was the Empire\'s Deputy Assistant Restraining Bolt Replacement Procurement Officer for Outer Rim Territory 2445-C. I couldn\'t stand one more moment being an instrument of evil (sob)! At least I\'ve got these new clothes now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '135', 'm23u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '136', 'm23c', 'Well, I suppose any information about Imperial procedures may help our cause. Somehow. Thanks, I guess.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '137', 'm23e', 'I\'ll supply you with every detail of the Imperial restraining bolt replacement procurement process. I\'m helping to fight for freedom! May the Force be with me!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '138', 'm23t', 'Pick up Imperial Defector');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '139', 'm24o', 'Incom has designed an experimental new starfighter called the \"A-wing.\" Supposed to be a seriously interesting ship. A courier was carrying the plans to our secret factory, but crash-landed here while trying to shake the Imperial Security Bureau. We need you to bring back the courier safely. Fast!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '140', 'm24p', 'Oh, am I glad to see you! The ISB would pull an Alderaan to get their hands on this design. Can you escort me now?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '141', 'm24u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '142', 'm24c', 'Good job! I\'ll arrange transport offworld for our courier friend -- with appropriate security, you can be sure.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '143', 'm24e', 'The A-wing will be the fastest starfighter in the galaxy, once we lick the stabilizer-wing problem. And about three thousand other problems, actually. Thanks for the escort!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '144', 'm24t', 'A-Wing Plan Carrier Needs Escort');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '145', 'm25o', 'We\'re mounting a raid on an Imperial supply depot. The strike team commander has just gotten briefed at a secret location and is ready to lead the raid. But first we need to get the commander here safely. Can you be the escort?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '146', 'm25p', 'I\'m supposed to fly some complicated new flight plan we just got from Intelligence. If you could run interference on the way back while I study the maneuvers, I\'d appreciate it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '147', 'm25u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '148', 'm25c', 'Wouldn\'t that have been embarrassing, if a top Alliance pilot got taken out on the way to liftoff. Thanks for preventing that particular setback.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '149', 'm25e', '\"Then Red Team executes an Ackbar Slash through the enemy\'s center line...\" Wow, I hope the Force is with us today... Are we here? Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '150', 'm25t', 'Strike Commander Heading to Depot Raid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '151', 'm26o', 'An Alliance Psychological Operations officer is working on fomenting more tension among Lord Vader\'s admirals. The more dissension and distrust we create, the less effective the Imperial Navy becomes. We need you to escort the Psych Ops officer here for transport to an offworld training facility.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '152', 'm26p', 'You\'re a little short for an Alliance soldier. Are you sure I\'m the one you\'re here to meet? Wait, I know you -- I heard your friends say that you -- no, never mind. No, not important. Really. Let\'s go. --No, really, you don\'t want to know.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '153', 'm26u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '154', 'm26c', 'You look a little rattled -- did the Psych officer decide to practice on you during the trip? Thanks, we\'ll take over from here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '155', 'm26e', 'By the way, you\'ve got something sticky on your foot. Ha, made you look! Just kidding. Thanks, and you know I mean that sincerely.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '156', 'm26t', 'Psych Operations Officer Needs Escort');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '157', 'm27o', 'General Carlist Rieekan has been searching for a new Alliance base site since the Empire blockaded Yavin 4. His aide has assembled scouting reports for this world and the surrounding sector. Due to the sensitivity of this data, the aide is hand-delivering it to General Rieekan. Your job is to escort the aide here for safe departure offworld.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '158', 'm27p', 'Yes, I\'m General Rieekan\'s aide. Before joining the Alliance, I used to scout worlds for the Corporate Sector Authority. I must say, this world has some interesting features. Shall we go?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '159', 'm27u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '160', 'm27c', 'Whatever this officer has to say, I\'m sure General Rieekan will be interested. Thanks for your help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '161', 'm27e', 'I\'m seeing possibilities on this world, not just for an Alliance base, but in the longer term, a tourist resort. What do you think?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '162', 'm27t', 'General Rieekan\'s Staffer Requests Escort');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '163', 'm28o', 'We have a report that the Imperials found one of our undercover agents. The agent jumped a shuttle in an escape pod and landed here in the wilderness. The bad news is, there\'s apparently a bounty hunter on the trail, sent by the Empire. We need to get the agent back here to safety. Can you move quickly?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '164', 'm28p', 'Lord Vader has assembled an elite group of bounty hunters called the Scourge Column. I don\'t know much about it. But I think one of them is after me, so we should go!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '165', 'm28u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '166', 'm28c', 'Well, bounty hunter or not, this agent needs to be smuggled offworld pronto. Thanks for your help!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '167', 'm28e', 'Okay, I\'ve calmed down. I think the Scourge Column is supposed to hunt really tough targets. I don\'t see how that would include me. Maybe I was imagining things.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '168', 'm28t', 'Bounty Hunter Pursuing Alliance Agent');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '169', 'm29o', 'A local community leader is apparently being hunted by stormtroopers. The report I got is light on details -- apparently this person organized anti-Imperial sentiment among local youth organizations. Can you check out this report? Maybe you should just bring the leader back here, and we\'ll decide what to do next.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '170', 'm29p', 'I distributed Alliance-issue cannisters of enamel to local children, who used it to paint mustaches on the Emperor\'s statues. Those stormtroopers didn\'t like that. I barely escaped my house before they blew it up!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '171', 'm29u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '172', 'm29c', 'Like I didn\'t have enough to worry about already. Okay, thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '173', 'm29e', 'I also distributed stinkbombs, issued straight from your Alliance, mind you, for the locals to throw at COMPNOR loyalty parades. I deserve protection!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '174', 'm29t', 'Community Leader Escaping Stormtroopers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '175', 'm30o', 'We had a lot of shipping mistakes and communication errors a while back. It took us a while to trace them to a rogue slicer out to have fun. Well, guess what -- we recruited that talented slicer into the Alliance. We need you to retrieve the slicer from the wilderness rendezvous point and provide escort duty back here. Okay?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '176', 'm30p', 'Wild. I never went offworld before. It was juicy. Of course, I used to screw up shipping manifests and passenger lists, just for grins. Wow, I\'m really a Rebel now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '177', 'm30u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '178', 'm30c', 'One more valiant warrior in the battle for freedom. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '179', 'm30e', 'Now that I\'m a Rebel, I can still mess up the shipping schedules, right? Only just the bad-guy ships now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '180', 'm30t', 'Data Slicer Joining Alliance');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '181', 'm31o', 'The local Imperial garrison just granted extended leave for many stormtroopers. Our agents plan to get close -- very close -- to these off-duty soldiers. One agent is returning from a mission in the wilderness and needs an escort. Can you go?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '182', 'm31p', 'Okay, you\'re here to take me to a cantina full of drunken troopers. Gee, look at me tremble with anticipation. Lead the way.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '183', 'm31u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '184', 'm31c', 'Thanks. This isn\'t the noblest Alliance endeavour, but you have to find intelligence where you can.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '185', 'm31e', 'I\'m not looking forward to this, but it should be productive. After a few drinks these troopers tell you their mission, their defenses, and their sarge\'s middle name. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '186', 'm31t', 'Agent Needs Escort to Off-Duty Imperials');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '187', 'm32o', 'There\'s trouble. An Imperial TIE fighter engineer is defecting to our side. The escort team crash-landed on this planet to escape a Star Destroyer, and a stormtrooper ground patrol attacked them. We lost everyone except the engineer. Quick, head out and find the engineer, then give safe escort back here. Please hurry!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '188', 'm32p', 'This has been a nightmare. But even if the Empire gets me, I don\'t regret my decision. I\'m willing to die for the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '189', 'm32u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '190', 'm32c', 'This is great work! Our new friend has volunteered to tell us a great deal about Lord Vader\'s experimental TIE fighter and other advanced ships. Thank you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '191', 'm32e', 'My work has indirectly led to the oppression of billions. I can\'t live with that any more. I want to undo the evil I\'ve helped perpetuate.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '192', 'm32t', 'Sienar Systems Defector Requires Escort');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '193', 'm33o', 'With the Imperial Army refusing to enlist nonhuman species, the Alliance has a chance to turn this bigotry to good effect. One of our diplomats has been meeting with Duro leaders, trying to get them to join us. The diplomat is stopping here en route to High Command to make a report. Will you bring the official here from the landing point?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '194', 'm33p', 'It\'s been a challenging trip, with Imperial ships dogging us all along. I had to leave my ship via escape pod to reduce the danger to my allies. I appreciate your escort.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '195', 'm33u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '196', 'm33c', 'These diplomatic missions can be dangerous. Thanks for bringing the official here safely.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '197', 'm33e', 'It remains to be seen whether the Duro will join the Alliance. I suspect they are too diffuse and independent. But we must keep trying.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '198', 'm33t', 'Alien Affairs Diplomat Delivering Report');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '199', 'm34o', 'General Airen Cracken\'s smugglers -- I mean \"procurement specialists\" -- are getting jumpy because of Imperial attention. One of them plans to deliver medical supplies here, but wants to scout out the place first. The \"specialist\" asked for just one escort, not a squad. Can you do the job? Try to, uh, look harmless.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '200', 'm34p', 'I asked for just one guard. I want to be sure there\'s no funny business here. As in \"those funny Imperials.\" Get me? Okay, lead the way.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '201', 'm34u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '202', 'm34c', 'Once this procurement specialist sees there\'s nothing to worry about, we should get the medical supplies pretty soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '203', 'm34e', 'Hold on -- I just want to check over that way -- okay, okay -- and anything under here? No. Okay, this may work, this may work. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '204', 'm34t', '\"Procurement Specialist\" Wants Guide');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '205', 'm35o', 'A special Alliance operative is hiding beyond the city borders. I need you to deliver these new, coded instructions: \"Echo Roger Bravo dash Twelve.\" It\'s urgent that you get there immediately. Go!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '206', 'm35p', '\"Bravo dash Twelve?\" That\'s outrageous! This is a \"dash Eleven\" situation if there ever was one. Take me back to your contact. We\'ve got to have a chat about this.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '207', 'm35u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '208', 'm35c', '\"Dash Twelve,\" \"dash Eleven,\" what\'s the difference? At least we\'re not saying \"dash Thirteen.\" That would have been absurd.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '209', 'm35e', '\"Bravo dash Twelve\" indeed! What kind of operation is this? It\'s \"dash Eleven\" or I\'m off the case.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '210', 'm35t', 'Secret Instructions for a Field Agent');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '211', 'm36o', 'We\'ve got an agent in the field investigating claims of an Imperial massacre. We dare not send any shuttles or transmissions to the area. Can you sneak out there and check up on our investigator\'s progress? Alliance High Command is very interested in this information. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '212', 'm36p', 'Good, you\'re here. I\'ve found blaster scorching on the ground all around here. I\'d estimate the Empire executed twenty or thirty civilians, not more than a week ago. I need to report this to Alliance High Command. Can get me back undetected?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '213', 'm36u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '214', 'm36c', 'You did well. I\'ll mention you by name in my report to High Command.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '215', 'm36e', 'Thank you greatly. Now I can get this evidence of the Imperial massacre to Alliance High Command.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '216', 'm36t', 'Check Up on an Alliance Investigator');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '217', 'm37o', 'We\'ve set up a portable listening station away from the city, to eavesdrop on Imperial communications. I want you to get out there and relieve the current operator for awhile. Try not to send any transmissions along the way. We don\'t want the authorities to find us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '218', 'm37p', 'I\'m glad you\'re here. The Imperial patrols started using an unknown scramble code less than an hour ago. I think they know about my listening device. We\'ve got to get back to safety before they track us down. Lead on!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '219', 'm37u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '220', 'm37c', 'And thanks from me as well. The Alliance needs good agents like you. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '221', 'm37e', 'That was close. I was afraid we might get nabbed by Imperial patrols. Thanks for the help, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '222', 'm37t', 'Assist an Alliance Eavesdropper');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '223', 'm38o', 'One of our transports had a close call with some TIE fighters. The ship crashed but the pilot ejected to safety in time. You\'d better get out there and bring\'em back before the planetside Imperial forces start combing the area. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '224', 'm38p', 'Thank goodness you found me. I can\'t believe I was shot down by a couple of junk-heap TIE fighters. Let\'s get out of this place before we\'re caught.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '225', 'm38u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '226', 'm38c', 'Sometimes the Empire will get the upper hand. It happens. Both of you did your jobs well. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '227', 'm38e', 'Thank you for the escort. I still can\'t believe I couldn\'t dodge those TIE fighters. My dogfighting skills are getting rusty.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '228', 'm38t', 'Retrieve a Stranded Pilot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '229', 'm39o', 'There\'s an Imperial mine field outside of town. We sent an agent to neutralize these hidden explosives, but all we\'ve heard back is a distress signal. Can you head out there to see what\'s going on? Oh, and be careful where you step. We suspect it\'s a very dense mine field.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '230', 'm39p', 'I can\'t believe you just crossed the mine field with no scanning equipment! I had a power surge in my comlink that fried my sensor and I\'ve been afraid to move for an hour. Well, no sense postponing it any longer. Let\'s get out of this mess before the Imperial patrols fly over. If you pray to any deities on your homeworld, now\'s the time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '231', 'm39u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '232', 'm39c', 'Good work. You\'ve got a future in mine sweeping, if you would care to join our ranks. We\'ve always got new openings.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '233', 'm39e', 'Unbelievable! We made it through the mine field without a scratch. That\'s twice you managed it. Are you sure you\'re not Force-sensitive?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '234', 'm39t', 'Extract an Alliance Minesweeper');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '235', 'm40o', 'An Alliance spy has arrived from offworld to debrief us about some findings on Klatooine. A secret transport dropped the spy far from the city\'s sensors. I want a clandestine extraction. The task falls to you. Bring our spy back here and let\'s find out what\'s happening on Klatooine.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '236', 'm40p', 'You\'re my escort? Good. Let\'s move quietly. I\'ve got some interesting information that I\'m sure the Empire wants to stifle.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '237', 'm40u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '238', 'm40c', 'Droid bombs? Very interesting. I wonder if the Alliance could undercut the Empire and get ahold of them?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '239', 'm40e', 'I\'m glad we made it here alive. Thanks. Now I can tell you about the droid bombs that some Klatooinan engineers are trying to sell to the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '240', 'm40t', 'Escort an Alliance Spy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '241', 'm41o', 'We sent two agents to sabotage an Imperial orbital refinery. They were supposed to rendezvous with us afterward for debriefing, but our pickup team did not find them. I need you to go to the meeting point and see if they\'ve arrived yet. Be on the lookout for Imperial patrols.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '242', 'm41p', 'Sorry for the delay. We were nearly caught by an Imperial boarding crew. My partner died, but we wiped out those dogs! Now I just want to get back home, make my report and have a long rest.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '243', 'm41u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '244', 'm41c', 'No rest yet, I\'m afraid. Alliance Command says we need to hit another refinery. Don\'t worry, the Force will give you strength.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '245', 'm41e', 'Boy, am I glad to be back. Our sabotage was successful. The Imperial Navy in this system will be short on stellar fuel for awhile. Now I just want to get some rest.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '246', 'm41t', 'Escort a Rebel Saboteur');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '247', 'm42o', 'We\'ve got a meeting with an artillery expert, but Imperial patrols have stepped up in this area. The expert is stuck between cities. Go out there, make sure there\'s no Imperial trouble and let\'s get this meeting back on schedule.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '248', 'm42p', 'Let\'s not waste any time. This area is crawling with stormtroopers.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '249', 'm42u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '250', 'm42c', 'Ion cannons against Star Destroyers? That is interesting. We could use that kind of artillery support for planetary evacuation.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '251', 'm42e', 'That was too close. Thank you for the help. I\'ve got some interesting information about the effectiveness of ion cannons against Star Destroyers. Time for debriefing.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '252', 'm42t', 'Assist an Alliance Artillery Expert');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '253', 'm43o', 'One of our new operatives came from a slicing background. We took advantage of this expertise to sabotage an experimental droid project that the Empire has started on Klatooine. Reprogrammed droids can be a powerful ally. Our slicer has just returned and I need you to provide an escort back here. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '254', 'm43p', 'I can\'t wait to make this report. I reprogrammed an experimental droid starfighter for independent thought. Now that crazy robot is winging through the galaxy, evading TIE fighters and hunting down the scientists who built it. Boy, do I love my work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '255', 'm43u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '256', 'm43c', 'Sometimes slicers are a little too creative. Never mind, I\'ll reserve judgment until I hear the full report.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '257', 'm43e', '... and after the droid starfighter wipes out the scientists who created it, I programmed it to fly to the outlying systems and help fight Imperial expansion forces. I can\'t wait to hear how well it does.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '258', 'm43t', 'Help an Alliance Slicer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '259', 'm44o', 'We\'ve lost an intelligence agent! The Imperials must have learned about this secret mission. Get out to the rendezvous point as fast as you can and see if there\'s any sign of what happened.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '260', 'm44p', 'I thought you\'d never get here! I\'ve been hiding from Imperial squads for the last three hours. Lucky for us, the coast is clear right now. Let\'s get out of here before they come back.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '261', 'm44u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '262', 'm44c', 'Excellent work. You\'re a true asset to the Alliance, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '263', 'm44e', 'I thought I was a goner out there. Thanks for bringing me back safely. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '264', 'm44t', 'Find an Alliance Intelligence Agent');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '265', 'm45o', 'We\'ve got trouble. An engineer of ours just landed on the planet. An Imperial patrol has the whole area pinned down and I fear the worst. Aerial support is on the way, but they won\'t get there for awhile. Do you think you\'re skilled enough to lend a hand?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '266', 'm45p', 'The Imperials just left! I don\'t know what happened. One second they were firing at me and the next all was clear. Something\'s going on. I don\'t want to stick around to find out what it is. Let\'s move!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '267', 'm45u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '268', 'm45c', 'That was too close. High Command is really interested in this report. Say, do you smell something strange? Ah, it was probably nothing.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '269', 'm45e', 'I\'m glad we got out of there in one piece. I sure hope the Imperials didn\'t track us or something. Anyway, now I can make my report about the ISB\'s use of poison gasses against Alliance troops on Cularin.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '270', 'm45t', 'Escort a Rebel Engineer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '271', 'm46o', 'A secret Alliance transport came down outside the city. We sent a crew to clean up the mess, but we had to leave quick when the authorities showed up. Unfortunately we left one of the rescue team behind. Our scanners give us the all clear, but we don\'t want to risk flying in just yet. Can you hoof it out there and make sure our comrade gets back safely? Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '272', 'm46p', 'I thought I\'d left combat behind when I signed up for the rescue team. Now here I am on the battlefield again. Just my luck. Let\'s get back and I\'ll buy you a drink to thank you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '273', 'm46u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '274', 'm46c', 'Yes, you guessed it. Another transport came down just before you two got here. The rescue crew is heading out again. The struggle for galactic freedom never ends.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '275', 'm46e', 'Uh-oh. I recognize that look in my commander\'s eyes. Guess we\'ll have to save that drink for another day.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '276', 'm46t', 'Escort Alliance Rescue Personnel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '277', 'm47o', 'We have a project underway to map hyperspace supply lines between major Alliance star clusters. A logistics expert has arrived on the planet to confer about this matter. How would you like to rendezvous with this newcomer and bring them back here? I\'m not even sure what they look like, but I do have the coordinates of their secret dropoff point. Better arm yourself for the trip, just in case.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '278', 'm47p', 'Hi. I\'m the logistics expert. Are you my escort? Good. I was worried that the Empire might have discovered these coordinates and sent a spy. Please take me to your commanders now. Long live the Rebellion! Um, I mean, the Alliance!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '279', 'm47u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '280', 'm47c', 'But of course! What a pleasure it is to meet such a courteous and motivated agent.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '281', 'm47e', 'So this is one of your larger bases in the star system? Excellent. Please show me everything. I am most interested to see your operation.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '282', 'm47t', 'Help Out an Alliance Logistics Expert');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '283', 'm48o', 'We\'re honored to have one of the Alliance\'s top pilots pay us a visit. I want you to head out to the rendezvous point and provide an escort back here. I\'ll show the captain around. Maybe we\'ll get a new star pilot for our local squadron!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '284', 'm48p', 'Dropped off in the middle of nowhere. What a welcome this is. If you\'re my contact, I hope you\'ve got something good to show me about Alliance operations in this system. So far I\'m not very impressed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '285', 'm48u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '286', 'm48c', 'I\'m very excited to meet such a famous star pilot! Please, captain, if there\'s anything I can do to make you feel at home, just ask.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '287', 'm48e', 'The operation isn\'t much to see, I grant you, but you never told me there were such dashing and attractive officers here! I don\'t suppose you can introduce us?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '288', 'm48t', 'Retrieve an Ace Fighter Pilot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '289', 'm49o', 'Some kind of huge Imperial gunship had us pinned down outside of town! I\'ve never seen that kind of vessel before. Nearly blasted us to pieces. I got separated from my buddy and barely made it back here. My friend is still out there. I have the coordinates from the distress beacon, but I\'m too banged up to manage a rescue. Can you handle it?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '290', 'm49p', 'Am I glad to see you! That weird Imperial gunship has buzzed the area every half hour since the fight. Let\'s get out of here before it comes back.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '291', 'm49u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '292', 'm49c', 'The report can wait. I\'m just glad to see you alive. And thank you, my new friend, for performing the rescue I couldn\'t.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '293', 'm49e', 'I could swear that new gunship looks like it\'s amphibious. What\'s the Empire up to, anyway? I\'ll have to file a report on this one.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '294', 'm49t', 'Rescue a Stranded Alliance Agent');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '295', 'm50o', 'When a turbolaser explodes, the results are not pretty. We lost some mercenaries outside of town when a stolen turbo blew up without warning. Their Alliance liaison is still alive, though. I need to you get out there quickly and fetch our agent back.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '296', 'm50p', 'Thank goodness you\'re here. I couldn\'t get much farther on my own. Imperial patrols are bound to investigate the turbolaser explosion and I want to be as far away from the blast site as possible.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '297', 'm50u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '298', 'm50c', 'I\'m just glad that you got back alive. We can find other turbolasers, but there\'s only one of you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '299', 'm50e', 'The more I think about it, the more I believe the Empire must have rigged that turbolaser to explode. Why else would it blow up like that?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_hard.stf', '300', 'm50t', 'Fetch an Alliance Liaison');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '1', 'm1o', 'A vital munitions depot was hit by an Imperial strike team. We sent an agent out to assess the damage but storm commandos were lying in wait. The timely arrival of Rogue Squadron allowed our wounded agent to escape. We need you to find this brave soldier and insure a safe return.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '2', 'm1p', 'Good to see you, friend. I was starting to think I was done for. I\'m hit but it\'s not bad. Let\'s get back home as quickly as possible.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '3', 'm1u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '4', 'm1c', 'You helped save a fellow freedom fighter, citizen. Tha Alliance is proud to have agents like you. Accept this reward with our compliments.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '5', 'm1e', 'Thanks, buddy. Not sure I would have made it without your help. Here\'s hoping Rogue Squadron wiped out all those storm commandos.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '6', 'm1t', 'Rescue the Scout');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '7', 'm2o', 'The Imperials bombed one of our mining facilities. Fortunately the installation\'s supervisor escaped with our security protocols and codes before probe droids could search the ruins. If you could locate the superivisor and get those codes back here safely, we\'d appreciate it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '8', 'm2p', 'Fancy meeting you here. Glad to see the Alliance hasn\'t forgotten us lowly miners. Don\'t worry, the codes are safe and sound. Let\'s go.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '9', 'm2u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '10', 'm2c', 'Good work, citizen. We must make sure our codes are never compromised or else dozens of our bases would be sitting ducks for the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '11', 'm2e', 'Thanks, friend. I hope next time we meet it\'s under very different circumstances.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '12', 'm2t', 'Protect the Security Codes');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '13', 'm3o', 'We intercepted an Imperial transmission warning of an imminent attack on an automated communications array. Fortunately, an engineer servicing a broken transponder was able to set the facility to self-destruct. We need you to make sure our engineer makes it back here safely.   ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '14', 'm3p', 'Hiya. Glad to see a friendly face. Looks like I underestimated the force of that explosion. Well, a trashed speeder bike is better than a trashed engineer, huh?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '15', 'm3u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '16', 'm3c', 'Thanks for your help, citizen. Every single member of the Alliance is precious to us. Claim your just reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '17', 'm3e', 'Much obliged for the escort, friend. Hope to see you again sometime.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '18', 'm3t', 'Collect the Engineer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '19', 'm4o', 'A newly formed cell wishes to personally discuss a recent supply request with our Procurement & Supply officer. They\'re asking for an escort for their representative. Could you meet this individual and provide this service? The Alliance would be grateful.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '20', 'm4p', 'My thanks for providing this escort. You never can be too careful with all these Imperial spies running around. Lead on.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '21', 'm4u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '22', 'm4c', 'Our thanks, citizen. A job well done deserves a reward, wouldn\'t you say?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '23', 'm4e', 'Allow me to thank you and congratulate you on being such an excellent escort. What was your name again, citizen?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '24', 'm4t', 'Escort the Nervous Rebel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '25', 'm5o', 'A group of youngsters was targeted for termination by Imperials because the spunky youths had defaced some Imperial statues. We\'ve managed to relocate most of them to various colonies but one of them wants to join our cell. Could you make sure this brave youngster makes it here with minimal distractions?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '26', 'm5p', 'Hiya! Are you a pilot? Ever flown an X-wing? I\'d like to do that someday. I\'d be pretty good too. I bet I could even bring down Baron Fel.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '27', 'm5u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '28', 'm5c', 'Thanks, citizen. We appreciate your efforts. Like it or not, you serve as an example to many people. We hope you keep that in mind.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '29', 'm5e', 'Hey thanks, friend. I hope we get to serve together someday. When next we meet, I\'ll probably be a full fledged X-wing pilot.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '30', 'm5t', 'Inspire the Young');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '31', 'm6o', 'A local merchant refused to cooperate with Imperials and lost a nice shop as a result. We\'ve offered asylum and need someone to escort this unfortunate back here. Think you could help us out? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '32', 'm6p', 'Greetings. Thank you for escorting me. I suppose I see the need for disguise but I sure do feel strange in these clothes. Well, lead on.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '33', 'm6u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '34', 'm6c', 'We\'ll put this citizen to good use, thanks. Here\'s something for your trouble.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '35', 'm6e', 'I appreciate the escort, citizen. I\'ll do my part to make sure the Empire collapses and the Republic is restored.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '36', 'm6t', 'Help the Former Shopkeeper');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '37', 'm7o', 'Our contacts within the Corporate Sector Authority helped us secure the release of an important Alliance officer who had been sent to the spice mines of Kessel. Our officer was reported killed during a mining accident. We need you to make sure this \"deceased\" ally gets here without attracting too much attention. Think you can handle that?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '38', 'm7p', 'I look pretty lively for a corpse, huh? Let\'s hope you can get me back before I start to stink.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '39', 'm7u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '40', 'm7c', 'Good job, citizen. We\'ll make sure our officer receives a funeral with full military honors. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '41', 'm7e', 'Thanks, buddy. I hope you\'ll stick around for the wake. There\'s bound to be plenty of spirits in attendance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '42', 'm7t', 'Transport a Living Corpse');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '43', 'm8o', 'A former senator wanted by Imperial Intelligence has managed to elude patrols and now needs to be escorted back here to be reunited with family. This dignitary will be in disguise, of course, so be on the lookout. Can the Alliance count on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '44', 'm8p', 'Are you from the Alliance? I suppose that\'s a dumb thing to ask a stranger. Sorry, I\'m new to all this. If you\'re my escort, then lead the way.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '45', 'm8u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '46', 'm8c', 'We appreciate your prompt return, citizen. The senator has information vital to our survival. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '47', 'm8e', 'I do hope I didn\'t come across as a complete buffoon. You have my deepest thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '48', 'm8t', 'Protect the Senator');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '49', 'm9o', 'We need someone with patience and a sense of humor for this mission. We\'ve decided to grant asylum to a harmless lunatic who claims to be the Emperor. The Imperials have already tried to assassinate this poor wretch multiple times. Perhaps fortunate favors the mad? Think you can collect this individual and return here? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '50', 'm9p', 'It\'s about time you arrived, my young apprentice. It is not good to keep your Emperor waiting. As you can see, I have adopted an appropriate disguise. And now, lead me to the very heart of the Rebellion where I can assure it will be crushed and you will become one of us. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '51', 'm9u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '52', 'm9c', 'We appreciate your patience, citizen. We\'ll take \"His Imperial Highness\" from here. Here\'s a little something for your trouble.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '53', 'm9e', 'You have done well, my young apprentice. In time, I will seek you out and then you shall come before me. I have foreseen it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '54', 'm9t', 'Escort the Emperor (honest)');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '55', 'm10o', 'A former Black Sun operative has decided to share privileged information with the Alliance in exchange for asylum. We need you to collect this individual and return here. The operative is disguised so you shouldn\'t have too much trouble.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '56', 'm10p', 'How do I know you\'re really from the Alliance? Tell you what, you lead the way and I\'ll follow close behind. Don\'t forget I have a blaster and I know how to use it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '57', 'm10u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '58', 'm10c', 'Thank you, citizen. We appreciate your patience and professionalism. Collect your fee.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '59', 'm10e', 'Well I guess you turned out to be okay. In my line of work, you never can be too careful. Know what I mean?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '60', 'm10t', 'Protect the Black Sun Insider');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '61', 'm11o', 'Some old droidekas fell into our hands not long ago. Not many techs have worked with them before so we called in an expert in antique technology. We need you to pick up and escort this specialist back here. Can you do that for us?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '62', 'm11p', 'Yeah, I\'ve worked with a lot of older model droids. Bit of a hobby for me, I suppose. But I tell you, they sure don\'t make droidekas like they used to.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '63', 'm11u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '64', 'm11c', 'Thanks, citizen. We can\'t really afford to treat anything we get as junk. If it still works, we\'ll find something to do with it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '65', 'm11e', 'Are you interested in older technology? I sure would like to get my hands on a lightsaber. Let me know if you ever hear about one.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '66', 'm11t', 'Fix the Droidekas');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '67', 'm12o', 'We\'ve gotten word of another pilot wishing to make contact with the Alliance. This individual has been cleared by Intelligence and now we need you to provide an escort back here. Can the Alliance count on you?  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '68', 'm12p', 'Thanks for serving as my guide. I didn\'t think it was necessary but the Alliance felt transmitting the coordinates to me via the HoloNet was too risky.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '69', 'm12u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '70', 'm12c', 'Mission accomplished, citizen. Pilots are worth their weight in Jorallan pearls to the Alliance. Here\'s a reward for your services.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '71', 'm12e', 'I appreciate your help, citizen. People like you make it clear that I\'ve made the right decision.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '72', 'm12t', 'Guide the Pilot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '73', 'm13o', 'One of the agents we planted deep within the Imperial Security Bureau recently had their cover blown. We\'ve managed to get this agent this far without alerting Imperial Intelligence and now need you to escort this individual back here. Keep alert for the presence of suspicious folk. They will likely be Imperial spies.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '74', 'm13p', 'I appreciate your assistance, citizen. I have quite a few secrets to share with High Command. Let\'s get going.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '75', 'm13u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '76', 'm13c', 'Good work, citizen. This agent spent years inside the ISB and possesses information of significant value. Here\'s your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '77', 'm13e', 'I was glad we managed to avoid any major Imperial entanglements. You sure do know your stuff, friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '78', 'm13t', 'Save the ISB Insider');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '79', 'm14o', 'One of our agents has information regarding a possible Imperial strike against Mon Calamari. We need you to escort this courier back here safely so we can conduct a debriefing and get this information to Admiral Ackbar as soon as possible. Please hurry. Millions of Mon Calamari lives are depending on you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '80', 'm14p', 'The sooner we get back to base, friend, the better. The Empire intends to make the Mon Calamari pay for their aid to the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '81', 'm14u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '82', 'm14c', 'Good work, citizen. We\'ll get this information to our Mon Calamari contacts immediately. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '83', 'm14e', 'Thanks for getting me here safely. I\'ll mention your role in all of this to Admiral Ackbar.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '84', 'm14t', 'Save the Mon Calamari');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '85', 'm15o', 'A Corporate Sector Authority Viceprex who has aided the Alliance has just arrived on the planet. The Empire is now aware of this individual\'s activities and we have to ensure the Viceprex\'s safety. Please serve as an escort and return this patriot unharmed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '86', 'm15p', 'My thanks, citizen. I knew it was only a matter of time before Imperial Intelligence sniffed me out. Lead on.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '87', 'm15u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '88', 'm15c', 'Mission accomplished, citizen. This Viceprex was responsible for saving many lives and helping fund over a dozen Alliance operations against Imperial targets.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '89', 'm15e', 'I would do it all the same, citizen, if I had it to do over again. I just wish I\'d been able to save a few more lives.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '90', 'm15t', 'Rescue the Viceprex');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '91', 'm16o', 'An Alliance courier carries an important message for Commander Skywalker that must be hand-delivered. We need you to escort the courier back here safely so we can make sure the rest of their journey goes swiftly and uneventfully. Can you help us?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '92', 'm16p', 'Let\'s get moving, citizen. Commander Skywalker needs to know that Lord Vader himself searches the galaxy for him.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '93', 'm16u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '94', 'm16c', 'Good job, citizen. We\'ll take it from here. Claim your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '95', 'm16e', 'I\'ll mention your role in this to Commander Skywalker, citizen. Courage should never go unrewarded.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '96', 'm16t', 'An Important Message for Commander Skywalker');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '97', 'm17o', 'Imperial Intelligence uses biological agents to combat anti-Imperial demonstrations. A physician\'s assistant has arrived on this planet carrying a newly engineered retrovirus against these biotoxins. Please make sure this individual gets back here safely and make sure nothing happens to that retrovirus.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '98', 'm17p', 'Glad you could make it, friend. We have no time to lose.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '99', 'm17u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '100', 'm17c', 'Congratulations, citizen. I knew we could count on you. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '101', 'm17e', 'The Empire is not above poisoning an entire planet just to prove a point. Their monstrous tactics will prove their undoing.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '102', 'm17t', 'Secure the Retrovirus');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '103', 'm18o', 'The Bothans have set up SpyNet installations for us all over this world, under various \"op-front\" disguises. We just heard that the Empire took out an op-front in the wilderness. One staffer got away and needs safe escort back here. I\'d like you to go. Don\'t necessarily expect a Bothan; all kinds of folks staff those listening posts.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '104', 'm18p', 'A squad of assault troopers fell from the sky and blew up the listening post. It took about six seconds. I happened to be offsite walking my greysor. The greysor ran off. Now I\'m really depressed. Let\'s go back.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '105', 'm18u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '106', 'm18c', 'The Empire has been cracking down on SpyNet installations. We\'ll need to find better camouflage.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '107', 'm18e', 'Many Bothans died to build that op-front. I need a drink.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '108', 'm18t', 'Bothan SpyNet Post Attacked');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '109', 'm19o', 'One of our agents on Coruscant has been compromised and is now fleeing Imperial pursuit. The latest report we have is that stormtroopers killed the agent\'s Alliance escorts, but the troopers all died as well. Please get out there and rescue that agent, who\'s wandering alone. We don\'t like to leave our people helpless.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '110', 'm19p', 'Thank you for rescuing me. I\'m not scared. I knew the risks when I infiltrated the ISB. If I die, I know I\'ve spent my life well, doing good work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '111', 'm19u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '112', 'm19c', 'It\'s an amazing feat, sending us inside data about Imperial Center under the very noses of the Imperials. This agent deserves to live to see better times.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '113', 'm19e', 'I think the strain of the last few years has already shortened my life, but I\'m not eager to cut it even shorter. Thanks for helping me out of a bad spot.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '114', 'm19t', 'Evacuate Coruscant Infiltrator');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '115', 'm20o', 'A former senator has unfailingly aided the Alliance. Now the Empire has targeted him and his family for termination. We\'ve smuggled each of the family members off their homeworld individually, and we\'ll reunite them later. One has just made landfall here. The report I got doesn\'t name the family member. Can you escort him or her here?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '116', 'm20p', 'I miss my family, but I\'m not worried. I\'m glad to see that the Alliance recruits such obviously capable supporters.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '117', 'm20u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '118', 'm20c', 'Thanks, that\'s good. We\'ll handle the debriefing from here. Please don\'t tell anyone about this, because the Empire is still hunting the whole family.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '119', 'm20e', 'Will I get to see the rest of my family soon? I haven\'t even learned where we\'re all going. When do I find out?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '120', 'm20t', 'Rescue Senator\'s Family Member');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '121', 'm21o', 'After a close brush with an Imperial termination squad in the Corporate Sector Authority, a Viceprex sympathetic to the Alliance has gone on the run. The Viceprex has just arrived here, ahead of a bounty hunter, and wound up way out in the wilderness. We\'d like you to bring the executive here safely. Will you do it?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '122', 'm21p', 'Thank you! I never expected to see a friendly face out here -- or, well, ever again. I used to run whole planets, but now my CSA career is blown. I still don\'t know if I did the right thing. Well, you\'d better get me to safety before this Alliance uniform starts to chafe.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '123', 'm21u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '124', 'm21c', 'The few CSA Viceprexes who help the Alliance have brought us priceless access to cargo and Imperial intelligence. We need to protect them all as best we can. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '125', 'm21e', 'I just realized I lost all my retirement accounts too. Well, I suppose there are still business opportunities in the Outer Rim. Aren\'t there?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '126', 'm21t', 'Escort Corporate Viceprex Ally');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '127', 'm22o', 'The Empire plans to release a deadly airborne virus during Core World protests against the Emperor. Alliance scientists have developed a retrovirus that could prevent thousands of deaths. An agent carrying the retrovirus needs a safe escort here for transport offworld. Can you go quickly?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '128', 'm22p', 'I\'m carrying the retrovirus in a subcutaneous implant. I\'m itching like crazy! We should go fast before I break out in a rash.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '129', 'm22u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '130', 'm22c', 'This brave agent will bring vital protection to ten thousand innocent opponents of the Emperor. Thank you, thank you for your help!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '131', 'm22e', 'I feel like I\'m getting hives. Or shingles. I sure hope I reach the Core Worlds before I get an allergy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '132', 'm22t', 'Alliance Agent Carrying Retrovirus');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '133', 'm23o', 'An Imperial official from Coruscant has defected to the Alliance. I don\'t know anything yet about this official\'s identity or position -- it\'s all hush-hush. The official has arrived here, landing in the wilderness to evade pursuit. I\'d like you to retrieve this Imperial defector and escort him or her, or it, safely here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '134', 'm23p', 'I was the Empire\'s Deputy Assistant Restraining Bolt Replacement Procurement Officer for Outer Rim Territory 2445-C. I couldn\'t stand one more moment being an instrument of evil (sob)! At least I\'ve got these new clothes now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '135', 'm23u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '136', 'm23c', 'Well, I suppose any information about Imperial procedures may help our cause. Somehow. Thanks, I guess.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '137', 'm23e', 'I\'ll supply you with every detail of the Imperial restraining bolt replacement procurement process. I\'m helping to fight for freedom! May the Force be with me!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '138', 'm23t', 'Pick up Imperial Defector');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '139', 'm24o', 'Incom has designed an experimental new starfighter called the \"A-wing.\" Supposed to be a seriously interesting ship. A courier was carrying the plans to our secret factory, but crash-landed here while trying to shake the Imperial Security Bureau. We need you to bring back the courier safely. Fast!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '140', 'm24p', 'Oh, am I glad to see you! The ISB would pull an Alderaan to get their hands on this design. Can you escort me now?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '141', 'm24u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '142', 'm24c', 'Good job! I\'ll arrange transport offworld for our courier friend -- with appropriate security, you can be sure.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '143', 'm24e', 'The A-wing will be the fastest starfighter in the galaxy, once we lick the stabilizer-wing problem. And about three thousand other problems, actually. Thanks for the escort!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '144', 'm24t', 'A-Wing Plan Carrier Needs Escort');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '145', 'm25o', 'We\'re mounting a raid on an Imperial supply depot. The strike team commander has just gotten briefed at a secret location and is ready to lead the raid. But first we need to get the commander here safely. Can you be the escort?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '146', 'm25p', 'I\'m supposed to fly some complicated new flight plan we just got from Intelligence. If you could run interference on the way back while I study the maneuvers, I\'d appreciate it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '147', 'm25u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '148', 'm25c', 'Wouldn\'t that have been embarrassing, if a top Alliance pilot got taken out on the way to liftoff. Thanks for preventing that particular setback.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '149', 'm25e', '\"Then Red Team executes an Ackbar Slash through the enemy\'s center line...\" Wow, I hope the Force is with us today... Are we here? Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '150', 'm25t', 'Strike Commander Heading to Depot Raid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '151', 'm26o', 'An Alliance Psychological Operations officer is working on fomenting more tension among Lord Vader\'s admirals. The more dissension and distrust we create, the less effective the Imperial Navy becomes. We need you to escort the Psych Ops officer here for transport to an offworld training facility.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '152', 'm26p', 'You\'re a little short for an Alliance soldier. Are you sure I\'m the one you\'re here to meet? Wait, I know you -- I heard your friends say that you -- no, never mind. No, not important. Really. Let\'s go. --No, really, you don\'t want to know.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '153', 'm26u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '154', 'm26c', 'You look a little rattled -- did the Psych officer decide to practice on you during the trip? Thanks, we\'ll take over from here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '155', 'm26e', 'By the way, you\'ve got something sticky on your foot. Ha, made you look! Just kidding. Thanks, and you know I mean that sincerely.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '156', 'm26t', 'Psych Operations Officer Needs Escort');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '157', 'm27o', 'General Carlist Rieekan has been searching for a new Alliance base site since the Empire blockaded Yavin 4. His aide has assembled scouting reports for this world and the surrounding sector. Due to the sensitivity of this data, the aide is hand-delivering it to General Rieekan. Your job is to escort the aide here for safe departure offworld.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '158', 'm27p', 'Yes, I\'m General Rieekan\'s aide. Before joining the Alliance, I used to scout worlds for the Corporate Sector Authority. I must say, this world has some interesting features. Shall we go?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '159', 'm27u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '160', 'm27c', 'Whatever this officer has to say, I\'m sure General Rieekan will be interested. Thanks for your help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '161', 'm27e', 'I\'m seeing possibilities on this world, not just for an Alliance base, but in the longer term, a tourist resort. What do you think?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '162', 'm27t', 'General Rieekan\'s Staffer Requests Escort');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '163', 'm28o', 'We have a report that the Imperials found one of our undercover agents. The agent jumped a shuttle in an escape pod and landed here in the wilderness. The bad news is, there\'s apparently a bounty hunter on the trail, sent by the Empire. We need to get the agent back here to safety. Can you move quickly?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '164', 'm28p', 'Lord Vader has assembled an elite group of bounty hunters called the Scourge Column. I don\'t know much about it. But I think one of them is after me, so we should go!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '165', 'm28u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '166', 'm28c', 'Well, bounty hunter or not, this agent needs to be smuggled offworld pronto. Thanks for your help!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '167', 'm28e', 'Okay, I\'ve calmed down. I think the Scourge Column is supposed to hunt really tough targets. I don\'t see how that would include me. Maybe I was imagining things.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '168', 'm28t', 'Bounty Hunter Pursuing Alliance Agent');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '169', 'm29o', 'A local community leader is apparently being hunted by stormtroopers. The report I got is light on details -- apparently this person organized anti-Imperial sentiment among local youth organizations. Can you check out this report? Maybe you should just bring the leader back here, and we\'ll decide what to do next.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '170', 'm29p', 'I distributed Alliance-issue cannisters of enamel to local children, who used it to paint mustaches on the Emperor\'s statues. Those stormtroopers didn\'t like that. I barely escaped my house before they blew it up!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '171', 'm29u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '172', 'm29c', 'Like I didn\'t have enough to worry about already. Okay, thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '173', 'm29e', 'I also distributed stinkbombs, issued straight from your Alliance, mind you, for the locals to throw at COMPNOR loyalty parades. I deserve protection!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '174', 'm29t', 'Community Leader Escaping Stormtroopers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '175', 'm30o', 'We had a lot of shipping mistakes and communication errors a while back. It took us a while to trace them to a rogue slicer out to have fun. Well, guess what -- we recruited that talented slicer into the Alliance. We need you to retrieve the slicer from the wilderness rendezvous point and provide escort duty back here. Okay?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '176', 'm30p', 'Wild. I never went offworld before. It was juicy. Of course, I used to screw up shipping manifests and passenger lists, just for grins. Wow, I\'m really a Rebel now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '177', 'm30u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '178', 'm30c', 'One more valiant warrior in the battle for freedom. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '179', 'm30e', 'Now that I\'m a Rebel, I can still mess up the shipping schedules, right? Only just the bad-guy ships now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '180', 'm30t', 'Data Slicer Joining Alliance');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '181', 'm31o', 'The local Imperial garrison just granted extended leave for many stormtroopers. Our agents plan to get close -- very close -- to these off-duty soldiers. One agent is returning from a mission in the wilderness and needs an escort. Can you go?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '182', 'm31p', 'Okay, you\'re here to take me to a cantina full of drunken troopers. Gee, look at me tremble with anticipation. Lead the way.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '183', 'm31u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '184', 'm31c', 'Thanks. This isn\'t the noblest Alliance endeavour, but you have to find intelligence where you can.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '185', 'm31e', 'I\'m not looking forward to this, but it should be productive. After a few drinks these troopers tell you their mission, their defenses, and their sarge\'s middle name. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '186', 'm31t', 'Agent Needs Escort to Off-Duty Imperials');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '187', 'm32o', 'There\'s trouble. An Imperial TIE fighter engineer is defecting to our side. The escort team crash-landed on this planet to escape a Star Destroyer, and a stormtrooper ground patrol attacked them. We lost everyone except the engineer. Quick, head out and find the engineer, then give safe escort back here. Please hurry!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '188', 'm32p', 'This has been a nightmare. But even if the Empire gets me, I don\'t regret my decision. I\'m willing to die for the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '189', 'm32u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '190', 'm32c', 'This is great work! Our new friend has volunteered to tell us a great deal about Lord Vader\'s experimental TIE fighter and other advanced ships. Thank you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '191', 'm32e', 'My work has indirectly led to the oppression of billions. I can\'t live with that any more. I want to undo the evil I\'ve helped perpetuate.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '192', 'm32t', 'Sienar Systems Defector Requires Escort');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '193', 'm33o', 'With the Imperial Army refusing to enlist nonhuman species, the Alliance has a chance to turn this bigotry to good effect. One of our diplomats has been meeting with Duro leaders, trying to get them to join us. The diplomat is stopping here en route to High Command to make a report. Will you bring the official here from the landing point?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '194', 'm33p', 'It\'s been a challenging trip, with Imperial ships dogging us all along. I had to leave my ship via escape pod to reduce the danger to my allies. I appreciate your escort.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '195', 'm33u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '196', 'm33c', 'These diplomatic missions can be dangerous. Thanks for bringing the official here safely.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '197', 'm33e', 'It remains to be seen whether the Duro will join the Alliance. I suspect they are too diffuse and independent. But we must keep trying.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '198', 'm33t', 'Alien Affairs Diplomat Delivering Report');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '199', 'm34o', 'General Airen Cracken\'s smugglers -- I mean \"procurement specialists\" -- are getting jumpy because of Imperial attention. One of them plans to deliver medical supplies here, but wants to scout out the place first. The \"specialist\" asked for just one escort, not a squad. Can you do the job? Try to, uh, look harmless.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '200', 'm34p', 'I asked for just one guard. I want to be sure there\'s no funny business here. As in \"those funny Imperials.\" Get me? Okay, lead the way.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '201', 'm34u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '202', 'm34c', 'Once this procurement specialist sees there\'s nothing to worry about, we should get the medical supplies pretty soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '203', 'm34e', 'Hold on -- I just want to check over that way -- okay, okay -- and anything under here? No. Okay, this may work, this may work. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '204', 'm34t', '\"Procurement Specialist\" Wants Guide');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '205', 'm35o', 'A special Alliance operative is hiding beyond the city borders. I need you to deliver these new, coded instructions: \"Echo Roger Bravo dash Twelve.\" It\'s urgent that you get there immediately. Go!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '206', 'm35p', '\"Bravo dash Twelve?\" That\'s outrageous! This is a \"dash Eleven\" situation if there ever was one. Take me back to your contact. We\'ve got to have a chat about this.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '207', 'm35u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '208', 'm35c', '\"Dash Twelve,\" \"dash Eleven,\" what\'s the difference? At least we\'re not saying \"dash Thirteen.\" That would have been absurd.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '209', 'm35e', '\"Bravo dash Twelve\" indeed! What kind of operation is this? It\'s \"dash Eleven\" or I\'m off the case.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '210', 'm35t', 'Secret Instructions for a Field Agent');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '211', 'm36o', 'We\'ve got an agent in the field investigating claims of an Imperial massacre. We dare not send any shuttles or transmissions to the area. Can you sneak out there and check up on our investigator\'s progress? Alliance High Command is very interested in this information. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '212', 'm36p', 'Good, you\'re here. I\'ve found blaster scorching on the ground all around here. I\'d estimate the Empire executed twenty or thirty civilians, not more than a week ago. I need to report this to Alliance High Command. Can get me back undetected?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '213', 'm36u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '214', 'm36c', 'You did well. I\'ll mention you by name in my report to High Command.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '215', 'm36e', 'Thank you greatly. Now I can get this evidence of the Imperial massacre to Alliance High Command.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '216', 'm36t', 'Check Up on an Alliance Investigator');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '217', 'm37o', 'We\'ve set up a portable listening station away from the city, to eavesdrop on Imperial communications. I want you to get out there and relieve the current operator for awhile. Try not to send any transmissions along the way. We don\'t want the authorities to find us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '218', 'm37p', 'I\'m glad you\'re here. The Imperial patrols started using an unknown scramble code less than an hour ago. I think they know about my listening device. We\'ve got to get back to safety before they track us down. Lead on!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '219', 'm37u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '220', 'm37c', 'And thanks from me as well. The Alliance needs good agents like you. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '221', 'm37e', 'That was close. I was afraid we might get nabbed by Imperial patrols. Thanks for the help, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '222', 'm37t', 'Assist an Alliance Eavesdropper');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '223', 'm38o', 'One of our transports had a close call with some TIE fighters. The ship crashed but the pilot ejected to safety in time. You\'d better get out there and bring\'em back before the planetside Imperial forces start combing the area. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '224', 'm38p', 'Thank goodness you found me. I can\'t believe I was shot down by a couple of junk-heap TIE fighters. Let\'s get out of this place before we\'re caught.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '225', 'm38u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '226', 'm38c', 'Sometimes the Empire will get the upper hand. It happens. Both of you did your jobs well. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '227', 'm38e', 'Thank you for the escort. I still can\'t believe I couldn\'t dodge those TIE fighters. My dogfighting skills are getting rusty.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '228', 'm38t', 'Retrieve a Stranded Pilot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '229', 'm39o', 'There\'s an Imperial mine field outside of town. We sent an agent to neutralize these hidden explosives, but all we\'ve heard back is a distress signal. Can you head out there to see what\'s going on? Oh, and be careful where you step. We suspect it\'s a very dense mine field.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '230', 'm39p', 'I can\'t believe you just crossed the mine field with no scanning equipment! I had a power surge in my comlink that fried my sensor and I\'ve been afraid to move for an hour. Well, no sense postponing it any longer. Let\'s get out of this mess before the Imperial patrols fly over. If you pray to any deities on your homeworld, now\'s the time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '231', 'm39u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '232', 'm39c', 'Good work. You\'ve got a future in mine sweeping, if you would care to join our ranks. We\'ve always got new openings.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '233', 'm39e', 'Unbelievable! We made it through the mine field without a scratch. That\'s twice you managed it. Are you sure you\'re not Force-sensitive?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '234', 'm39t', 'Extract an Alliance Minesweeper');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '235', 'm40o', 'An Alliance spy has arrived from offworld to debrief us about some findings on Klatooine. A secret transport dropped the spy far from the city\'s sensors. I want a clandestine extraction. The task falls to you. Bring our spy back here and let\'s find out what\'s happening on Klatooine.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '236', 'm40p', 'You\'re my escort? Good. Let\'s move quietly. I\'ve got some interesting information that I\'m sure the Empire wants to stifle.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '237', 'm40u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '238', 'm40c', 'Droid bombs? Very interesting. I wonder if the Alliance could undercut the Empire and get ahold of them?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '239', 'm40e', 'I\'m glad we made it here alive. Thanks. Now I can tell you about the droid bombs that some Klatooinan engineers are trying to sell to the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '240', 'm40t', 'Escort an Alliance Spy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '241', 'm41o', 'We sent two agents to sabotage an Imperial orbital refinery. They were supposed to rendezvous with us afterward for debriefing, but our pickup team did not find them. I need you to go to the meeting point and see if they\'ve arrived yet. Be on the lookout for Imperial patrols.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '242', 'm41p', 'Sorry for the delay. We were nearly caught by an Imperial boarding crew. My partner died, but we wiped out those dogs! Now I just want to get back home, make my report and have a long rest.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '243', 'm41u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '244', 'm41c', 'No rest yet, I\'m afraid. Alliance Command says we need to hit another refinery. Don\'t worry, the Force will give you strength.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '245', 'm41e', 'Boy, am I glad to be back. Our sabotage was successful. The Imperial Navy in this system will be short on stellar fuel for awhile. Now I just want to get some rest.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '246', 'm41t', 'Escort a Rebel Saboteur');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '247', 'm42o', 'We\'ve got a meeting with an artillery expert, but Imperial patrols have stepped up in this area. The expert is stuck between cities. Go out there, make sure there\'s no Imperial trouble and let\'s get this meeting back on schedule.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '248', 'm42p', 'Let\'s not waste any time. This area is crawling with stormtroopers.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '249', 'm42u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '250', 'm42c', 'Ion cannons against Star Destroyers? That is interesting. We could use that kind of artillery support for planetary evacuation.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '251', 'm42e', 'That was too close. Thank you for the help. I\'ve got some interesting information about the effectiveness of ion cannons against Star Destroyers. Time for debriefing.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '252', 'm42t', 'Assist an Alliance Artillery Expert');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '253', 'm43o', 'One of our new operatives came from a slicing background. We took advantage of this expertise to sabotage an experimental droid project that the Empire has started on Klatooine. Reprogrammed droids can be a powerful ally. Our slicer has just returned and I need you to provide an escort back here. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '254', 'm43p', 'I can\'t wait to make this report. I reprogrammed an experimental droid starfighter for independent thought. Now that crazy robot is winging through the galaxy, evading TIE fighters and hunting down the scientists who built it. Boy, do I love my work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '255', 'm43u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '256', 'm43c', 'Sometimes slicers are a little too creative. Never mind, I\'ll reserve judgment until I hear the full report.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '257', 'm43e', '... and after the droid starfighter wipes out the scientists who created it, I programmed it to fly to the outlying systems and help fight Imperial expansion forces. I can\'t wait to hear how well it does.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '258', 'm43t', 'Help an Alliance Slicer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '259', 'm44o', 'We\'ve lost an intelligence agent! The Imperials must have learned about this secret mission. Get out to the rendezvous point as fast as you can and see if there\'s any sign of what happened.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '260', 'm44p', 'I thought you\'d never get here! I\'ve been hiding from Imperial squads for the last three hours. Lucky for us, the coast is clear right now. Let\'s get out of here before they come back.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '261', 'm44u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '262', 'm44c', 'Excellent work. You\'re a true asset to the Alliance, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '263', 'm44e', 'I thought I was a goner out there. Thanks for bringing me back safely. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '264', 'm44t', 'Find an Alliance Intelligence Agent');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '265', 'm45o', 'We\'ve got trouble. An engineer of ours just landed on the planet. An Imperial patrol has the whole area pinned down and I fear the worst. Aerial support is on the way, but they won\'t get there for awhile. Do you think you\'re skilled enough to lend a hand?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '266', 'm45p', 'The Imperials just left! I don\'t know what happened. One second they were firing at me and the next all was clear. Something\'s going on. I don\'t want to stick around to find out what it is. Let\'s move!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '267', 'm45u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '268', 'm45c', 'That was too close. High Command is really interested in this report. Say, do you smell something strange? Ah, it was probably nothing.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '269', 'm45e', 'I\'m glad we got out of there in one piece. I sure hope the Imperials didn\'t track us or something. Anyway, now I can make my report about the ISB\'s use of poison gasses against Alliance troops on Cularin.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '270', 'm45t', 'Escort a Rebel Engineer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '271', 'm46o', 'A secret Alliance transport came down outside the city. We sent a crew to clean up the mess, but we had to leave quick when the authorities showed up. Unfortunately we left one of the rescue team behind. Our scanners give us the all clear, but we don\'t want to risk flying in just yet. Can you hoof it out there and make sure our comrade gets back safely? Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '272', 'm46p', 'I thought I\'d left combat behind when I signed up for the rescue team. Now here I am on the battlefield again. Just my luck. Let\'s get back and I\'ll buy you a drink to thank you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '273', 'm46u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '274', 'm46c', 'Yes, you guessed it. Another transport came down just before you two got here. The rescue crew is heading out again. The struggle for galactic freedom never ends.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '275', 'm46e', 'Uh-oh. I recognize that look in my commander\'s eyes. Guess we\'ll have to save that drink for another day.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '276', 'm46t', 'Escort Alliance Rescue Personnel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '277', 'm47o', 'We have a project underway to map hyperspace supply lines between major Alliance star clusters. A logistics expert has arrived on the planet to confer about this matter. How would you like to rendezvous with this newcomer and bring them back here? I\'m not even sure what they look like, but I do have the coordinates of their secret dropoff point. Better arm yourself for the trip, just in case.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '278', 'm47p', 'Hi. I\'m the logistics expert. Are you my escort? Good. I was worried that the Empire might have discovered these coordinates and sent a spy. Please take me to your commanders now. Long live the Rebellion! Um, I mean, the Alliance!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '279', 'm47u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '280', 'm47c', 'But of course! What a pleasure it is to meet such a courteous and motivated agent.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '281', 'm47e', 'So this is one of your larger bases in the star system? Excellent. Please show me everything. I am most interested to see your operation.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '282', 'm47t', 'Help Out an Alliance Logistics Expert');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '283', 'm48o', 'We\'re honored to have one of the Alliance\'s top pilots pay us a visit. I want you to head out to the rendezvous point and provide an escort back here. I\'ll show the captain around. Maybe we\'ll get a new star pilot for our local squadron!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '284', 'm48p', 'Dropped off in the middle of nowhere. What a welcome this is. If you\'re my contact, I hope you\'ve got something good to show me about Alliance operations in this system. So far I\'m not very impressed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '285', 'm48u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '286', 'm48c', 'I\'m very excited to meet such a famous star pilot! Please, captain, if there\'s anything I can do to make you feel at home, just ask.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '287', 'm48e', 'The operation isn\'t much to see, I grant you, but you never told me there were such dashing and attractive officers here! I don\'t suppose you can introduce us?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '288', 'm48t', 'Retrieve an Ace Fighter Pilot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '289', 'm49o', 'Some kind of huge Imperial gunship had us pinned down outside of town! I\'ve never seen that kind of vessel before. Nearly blasted us to pieces. I got separated from my buddy and barely made it back here. My friend is still out there. I have the coordinates from the distress beacon, but I\'m too banged up to manage a rescue. Can you handle it?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '290', 'm49p', 'Am I glad to see you! That weird Imperial gunship has buzzed the area every half hour since the fight. Let\'s get out of here before it comes back.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '291', 'm49u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '292', 'm49c', 'The report can wait. I\'m just glad to see you alive. And thank you, my new friend, for performing the rescue I couldn\'t.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '293', 'm49e', 'I could swear that new gunship looks like it\'s amphibious. What\'s the Empire up to, anyway? I\'ll have to file a report on this one.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '294', 'm49t', 'Rescue a Stranded Alliance Agent');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '295', 'm50o', 'When a turbolaser explodes, the results are not pretty. We lost some mercenaries outside of town when a stolen turbo blew up without warning. Their Alliance liaison is still alive, though. I need to you get out there quickly and fetch our agent back.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '296', 'm50p', 'Thank goodness you\'re here. I couldn\'t get much farther on my own. Imperial patrols are bound to investigate the turbolaser explosion and I want to be as far away from the blast site as possible.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '297', 'm50u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '298', 'm50c', 'I\'m just glad that you got back alive. We can find other turbolasers, but there\'s only one of you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '299', 'm50e', 'The more I think about it, the more I believe the Empire must have rigged that turbolaser to explode. Why else would it blow up like that?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escorttocreator_rebel_medium.stf', '300', 'm50t', 'Fetch an Alliance Liaison');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '1', 'm1o', 'My team struck a Rebel medical supply depot. The facility\'s security was much tougher than Intelligence had indicated. My team was wiped out, but I made it out alive. I need you to escort me back to base. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '2', 'm1u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '3', 'm1c', 'A find job, citizen. The Empire could use more loyal, hardworking individuals. I\'ll mention you in my report.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '4', 'm1t', 'Escort the Strike Team Commander');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '5', 'm2o', 'Greetings, loyal citizen. I\'m hoping you can assist a fellow Imperial. I was part of a strike team that assaulted a Rebel refugee outpost not far from here. We didn\'t realize the Rebels had so many armed Wookiees protecting that camp. My team was a bit unprepared. I need an escort back to base to report. Can you do that?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '6', 'm2u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '7', 'm2c', 'Many thanks, citizen. I\'ll make sure that next time we strike that camp, we have enough firepower to overcome a horde of howling Wookiees.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '8', 'm2t', 'Strike Team Survivor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '9', 'm3o', 'I need your help, citizen. I\'m an Intelligence agent sent to destroy a Rebel indoctrination camp. I succeeded in my mission, but not before a Rebel sniper got in a few good shots. I\'ve treated my wound, but I need to get back to base for more extensive repairs. Can the Empire count on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '10', 'm3u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '11', 'm3c', 'The Empire is grateful to you, citizen. Take this reward, you\'ve earned it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '12', 'm3t', 'Save the Imperial Saboteur');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '13', 'm4o', 'I\'m an ISB agent, citizen, and had been on a reconnaissance mission to determine whether a droid repair facility was actually a Rebel sleeper terrorist cell. Well, it was, and I barely escaped with my life. I need you to make sure I get safely back to headquarters so I can report what I\'ve seen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '14', 'm4u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '15', 'm4c', 'You have my gratitude, citizen. Allow the Empire to reward your service. Long live the Emperor!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '16', 'm4t', 'Save the Imperial Scout');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '17', 'm5o', 'I\'m on special assignment to silence a Sienar Fleet Systems engineer who defected to the Rebellion. I tracked him here and was about to terminate him when a Rebel strike team intervened and whisked him to safety. I need you to escort me to my base before the Rebels return.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '18', 'm5u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '19', 'm5c', 'My thanks, citizen. I\'m not sure I would have made it without your help. My blaster was damaged during my encounter with the Rebels, and I would have been defenseless had they chosen to return.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '20', 'm5t', 'Help the Imperial Assassin');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '21', 'm6o', 'I\'ve managed to get my hands on a particularly heinous piece of Rebel propaganda. It\'s a doctored holorecording that purports to show the destruction of Alderaan by the Empire. Preposterous piece of Rebel filth! I need to get this back to base, but I fear I am being pursued by Rebel agents. Can you provide an escort, citizen?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '22', 'm6u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '23', 'm6c', 'Thanks, citizen. I\'ll show this to my superiors so we can start tracking down the data slicer that put this together.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '24', 'm6t', 'Stomp the Rebel Propaganda');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '25', 'm7o', 'I\'ve discovered a Rebel strike team\'s base. I suspect that Rebel assassins are closing in on me and need your help to get back to my base in one piece. Can you aid the Empire in this way?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '26', 'm7u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '27', 'm7c', 'Your timely arrival saved my life. Now I can organize a storm commando strike on that Rebel base. Here\'s a reward for your services.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '28', 'm7t', 'Help Wipe Out the Rebel Base');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '29', 'm8o', 'I\'m an Imperial covert operative on a secret reconnaissance mission. I\'ve discovered a Rebel SpecForces training facility and need to get word back to base so they can organize a strike. I may have been seen while reconnoitering the base. Can you provide me with a safe escort back to base?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '30', 'm8u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '31', 'm8c', 'As long as the Rebellion continues to gain support, our work as loyal Imperial citizens will never be done. My thanks, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '32', 'm8t', 'Protect the Covert Operative');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '33', 'm9o', 'I believe I\'ve located the Rebel Procurement and Supply command center housing the Rebel known as Targeter. We can\'t transmit this information via comlink as it will alert the Rebels. Could you please escort me back to headquarters so I can get this information to Imperial Intelligence?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '34', 'm9u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '35', 'm9c', 'The Empire rewards those who serve its interests, as this will demonstrate. You have my thanks, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '36', 'm9t', 'Secure Vital Information');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '37', 'm10o', 'I think I may have discovered a starfighter refueling station used by the infamous Rogue Squadron. I need you to make sure I can get this vital information back to my superiors. Rebel assassins are everywhere, and carrying this type of message makes me an obvious target. Can you help me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '38', 'm10u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '39', 'm10c', 'Mission accomplished, citizen. I hope we can work together again in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '40', 'm10t', 'Secure Information About Rogue Squadron');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '41', 'm11o', 'I\'ve discovered who\'s been smuggling high-grade Thyferran bacta to the Rebellion. Iwas on my way back to base when I was attacked by the smugglers. I barely escaped with my life. Could you escort me back to base, so my superiors can deal with this situation?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '42', 'm11u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '43', 'm11c', 'Taking the Rebels\' source of bacta away will certainly be a crippling blow to those scum, eh, citizen? Here\'s a reward for your assistance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '44', 'm11t', 'Stop the Flow of Rebel Bacta');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '45', 'm12o', 'One of our garrisons was just attacked by a large Rebel force. I managed to escape, and I\'m on my way to get reinforcements. I need you to provide me with an escort to the next garrison. Can you serve your Emperor in this way?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '46', 'm12u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '47', 'm12c', 'My compliments on a job well done, citizen. Now those Rebel scum will learn the true meaning of \"Imperial justice.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '48', 'm12t', 'Avenge a Garrison');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '49', 'm13o', 'I was escorting Moff Torgaren to Imperial Center when his shuttle was attacked by Rogue Squadron. Moff Torgaren was killed, but I managed to make my escape in a pod that landed near here. Could you please provide me an escort to the nearest garrison so I can report this tragedy?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '50', 'm13u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '51', 'm13c', 'I will mention your invaluable aid in my report, citizen. Moff Torgaren was close the Emperor himself. Allow me to reward you for your efforts.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '52', 'm13t', 'Avenge the Moff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '53', 'm14o', 'I was on my way to meet one of our contacts who claimed that the Rebellion was conducting bizarre experiments involving Force-sensitive individuals. My contact never showed, but a group of Rebel assassins did. I managed to fight them off. Now I need your help to get back to base. Can I count on you, citizen?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '54', 'm14u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '55', 'm14c', 'Peformed like a true and loyal citizen of the Empire. Your actions will be mentioned in my report to Imperial Center. Please accept this reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '56', 'm14t', 'Protect Information Regarding the Force');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '57', 'm15o', 'Although it cost the lives of my entire team, I managed to learn that Mon Mothma will be visiting a Rebel refugee outpost in a few days. I must get this information back to Intelligence so that proper measures can be taken. I\'m being pursued by Rebel killers. Can you escort me back to base?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '58', 'm15u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '59', 'm15c', 'The Rebellion would suffer a crushing blow if Mon Mothma were to be removed. Your help may mean the end of the Rebellion.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '60', 'm15t', 'Help Crush the Rebellion');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '61', 'm16o', 'You ever been clubbed by a Wookiee? Well, it hurts. Lucky for me I have a thick skull. I need you to make sure I get back to the local garrison. You see, the reason the Wookiee clubbed me was that I overheard these smugglers making plans to deliver cargo to the Rebellion. That\'s a no-no, citizen. Think you can help?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '62', 'm16u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '63', 'm16c', 'Much obliged, citizen. I owe that Wookiee a clubbing, wouldn\'t you agree? Let\'s see how effectively a squad of stormtroopers can do that.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '64', 'm16t', 'Spank the Wookiee');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '65', 'm17o', 'My transport was hijacked by Rebel terrorists. I managed to escape by feigning death. You must make sure I get back to base so I can report this theft and we can organize a retrieval mission. Those Rebel scum will pay for this dastardly attack.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '66', 'm17u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '67', 'm17c', 'Well done, citizen. Accept this reward for your services. I\'m off to punish some Rebels.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '68', 'm17t', 'Punish the Rebel Hijackers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '69', 'm18o', 'My squad was participating in a military exercise, and I was providing AT-ST support. This was my first time as a solo pilot, but I always did fine in the simulators. I don\'t know what happened -- maybe I hit a mine -- but next thing I know, I fell. Onto the rest of my squad. It was bad. I need an escort back to HQ to make my report.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '70', 'm18u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '71', 'm18c', 'Thanks. I\'m not looking forward to making this report. Maybe I\'ll stop at the mess for a last meal.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '72', 'm18t', 'AT-ST Walker Pilot Stranded');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '73', 'm19o', 'I was delivering a shipment of binary load lifters for a military exercise when my vehicle hit some big creature. I wasn\'t paying close attention because one of the droids distracted me. Kept asking \"Are we there yet?\" I got so irritated -- at any rate, I left the wreck way back there. I need an escort. Are you available?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '74', 'm19u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '75', 'm19c', 'Nothing more annoying than a pushy droid. Now please excuse me, I have to fill out a stack of reports.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '76', 'm19t', 'Imperial Droid Transport Pilot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '77', 'm20o', 'My squad raided a wretched hive of Corellian Route pirates. We surrounded the base and marched in -- but the mines! The whole surrounding area, and the walls, and the inner courtyard, all mined! The entire installation was one big trap. We found no pirates. I\'m the only one left. Can you escort me back to my HQ?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '78', 'm20u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '79', 'm20c', 'It won\'t be much fun filing this report. Sometimes I think pirates have it easier than we do.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '80', 'm20t', 'Survivor of Imperial Pirate Base Raid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '81', 'm21o', 'Those Hutt gangs are still a threat to Imperial dominion. Following an informant\'s tip, we raided a gangster installation -- but there were trapdoors all over. We couldn\'t take a step without falling down into a pit full of rancors. Everyone got ripped to shreds, except me. I was, uh, standing watch outside. I need to report back, can you escort me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '82', 'm21u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '83', 'm21c', 'Thank you. I\'ve had this whole trip to think of reasons why I was standing watch outside instead of inside. This debriefing should go all right.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '84', 'm21t', 'Last Soldier from Gangster Assault');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '85', 'm22o', 'An informant pinpointed a smuggler base near here. The Empire made a major assault. I got separated from the rest when my speeder broke down. When I finally arrived, the whole company had been wiped out by some kind of acid-gas. Dissolved straight through armor! It got my comlink, too. I need you to escort me back to HQ.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '86', 'm22u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '87', 'm22c', 'It\'s a sad day for the forces of order when common criminals have better armaments than we do. Excuse me, I must go make my report.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '88', 'm22t', 'Smugglers Killed Imperial Company');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '89', 'm23o', 'Oh! I -- I hadn\'t expected to meet anyone here. My commanding officer took me out here to, uh -- to have a discussion. My commander? He\'s gone. Um, I mean -- he took off. No, I don\'t know why. Or where. Look, can you just take me where I want to go? And not ask questions?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '90', 'm23u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '91', 'm23c', 'Thank you. It\'s best not to mention this to anyone. I expect to be promoted very soon, and I can be an influential friend -- or a bad enemy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '92', 'm23t', 'Imperial Returning from Errand');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '93', 'm24o', 'A rescuer! Good! A filthy Rodian bounty hunter captured me and threatened my life unless I paid him a fortune. At least he said he was a bounty hunter -- I never saw his license. He dumped me out here. Escort me back home, please!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '94', 'm24u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '95', 'm24c', 'I can\'t think who would put out a bounty on me. I shall check at once with the Guild. Mark me, there are troubled times ahead for all the Rodians on this world.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '96', 'm24t', 'Victim of Rodian Bounty Hunter');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '97', 'm25o', 'Only a few of us survived a Rebel air assault on our ISB interrogation center. We were waiting out here for rescue, but we started arguing. We had a -- a disagreement. With blasters. Now I\'m the only survivor of the survivors. Can you escort me to my headquarters?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '98', 'm25u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '99', 'm25c', 'Thank you for not giving in to dissension. I must say, I\'m not looking forward to making my report.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '100', 'm25t', 'ISB Agent Betrayed by Peers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '101', 'm26o', 'If only I\'d thought ahead! I sent my squad into a cave said to be a Rebel hideout. They marched in, obedient and trusting as pets, and then -- a trap! The cave was rigged to explode! If I\'d had two brain cells to rub together, I would have -- but enough. I must get back to headquarters and report. Will you escort me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '102', 'm26u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '103', 'm26c', 'Whatever fate the Empire decrees for me, whatever punishment they give -- it\'s less than I deserve.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '104', 'm26t', 'Officer Prone to Self-Loathing');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '105', 'm27o', 'I\'ve been out here for -- seems like a season -- I think. Lots of empty wilderness. Scouting for -- I forget -- oh! Rebels! Yes! I didn\'t find anything. I\'ve been out here a long time. Loooong. I think -- it\'s crazy, but -- somebody forgot about me. Maybe. Can you -- you think -- take me back? Home, I mean? HQ? Okay?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '106', 'm27u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '107', 'm27c', 'I\'m back. I\'m back! I never thought I\'d be glad to see this place. I mean -- don\'t tell anyone I said -- anyway. I have to find someone to report to.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '108', 'm27t', 'Forward Observer Reporting Back');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '109', 'm28o', 'I was out here with my buddy practicing with the Merr-Sonn missile tube. I walked away from our camp for a moment -- got back -- there he was, dying! His last words were something like, \"Oh, I --\" I thought I saw some Twi\'lek running in the distance, but I couldn\'t catch him. It was strange. I -- I need to get back to HQ. Escort me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '110', 'm28u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '111', 'm28c', 'You know, thinking about it, I remember crazy rumors about some Twi\'lek adventurer called \"O-i.\" If that was him -- naah. I won\'t put that in my report!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '112', 'm28t', 'Weapons Tester Getting Jumpy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '113', 'm29o', 'I\'ll say this once, and I\'m not looking for backtalk. I was piloting a cloud car out here, scouting for Rebels. I ran into a flock of birds, got a little distracted -- that\'s all it was, simple distraction, could happen to anyone -- flipped the car, and fell out. There\'s no reason to laugh about a simple mistake. Just escort me back to base, okay?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '114', 'm29u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '115', 'm29c', 'You can laugh about falling out of a cloud car, but wait until it happens to you. It could, you know. Any kind of laughter here is completely out of line, that\'s what I say.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '116', 'm29t', 'Soldier Not Putting Up With Any Guff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '117', 'm30o', 'I was out scouting. For Alliance fighters -- I mean, Rebel scum. I found one, a woman, setting up a datapoint. I took her prisoner and was marching her in -- but we got to talking -- she was so -- well, somehow she got me into a, uh, vulnerable position -- and she got away. I didn\'t let her go! Don\'t think that! Look, I need an escort back to base, and no funny talk.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '118', 'm30u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '119', 'm30c', 'The Alli-- Rebellion must be, hey, pretty desperate, you know? Recruiting some beauty queen as a fighter. Huh! Gorgeous women won\'t stand a chance against us! Right? I mean -- uh, I have to go report now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '120', 'm30t', 'Imperial Who Denies Infatuation');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '121', 'm31o', 'Great out here, isn\'t it? I\'ve been taking a little target practice on camps and huts over in the distance. They blow up big, whoom! What? Rebels? I don\'t know. But face it, everyone out here is probably some kind of lawbreaker. Right? Listen, I\'m way low on ammo, so can you give me safe escort back to base?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '122', 'm31u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '123', 'm31c', 'Thanks. I need to hit the supply room for a weapon recharge. Then it\'s back out for more target practice!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '124', 'm31t', 'Imperial Doing Some Joy-Shooting');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '125', 'm32o', 'I\'m out here on a classified mission. Very hush-hush. I can see you\'re impressed. I\'d tell you about it, but we military-intelligence types are taught secrecy above all. What? Well, yes, it is my first mission. But it\'s very important, and I can\'t talk about it. I\'m finished now, so can you escort me back to Intelligence for my un-briefing?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '126', 'm32u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '127', 'm32c', 'Thanks. Uh, it occurs to me that when I said \"un-briefing\" earlier, you might have thought I\'d used that term mistakenly for the correct \"debriefing.\" I was just testing you, that\'s all. Goodbye, I\'m off on more secret business!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '128', 'm32t', 'Agent on Important Secret Mission');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '129', 'm33o', 'Heard reports that someone out here was making fun of the Emperor. Dispatch likes to send one or two of us out into the countryside every so often, just to keep folks in line. Kind of lonely work, though. Want to travel with me back to base, just to have someone to talk to?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '130', 'm33u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '131', 'm33c', 'I couldn\'t think of much to say, but it was pleasant having company on the trip. Well, back to work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '132', 'm33t', 'Soldier Asking for Company');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '133', 'm34o', 'My orders were to spread the good news about the Empire\'s New Order, and I\'m doing that with enthusiasm! I think more folks need to know how our Emperor has brought stability and honesty to the galaxy after the corruption of the Old Republic. Help me do the Empire\'s good work by escorting me to my next lecture.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '134', 'm34u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '135', 'm34c', 'Thank you, agent! I\'m just going for a bite to eat, and then it\'s on to another crowd eager to hear how their Empire is helping them live a better life! ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '136', 'm34t', 'The Emperor\'s Biggest Fan');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '137', 'm35o', 'I\'ve just received some interesting news from Yavin. Apparently salvage freighters are smuggling space debris to Rebel engineers. I must get this information to my superiors. Do you know your way around here?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '138', 'm35u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '139', 'm35c', 'Thanks for the help. We\'ll put a stop to these salvage freighters who dare lend aid to the Rebellion.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '140', 'm35t', 'News of Rebel Salvage Freighters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '141', 'm36o', 'I\'ve uncovered plans for an illegal power relay station. I\'m sure it\'s for the Rebellion, but I think the Rebels are onto me. Can you help me get this information to Sector Command?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '142', 'm36u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '143', 'm36c', 'Am I glad you showed up to help me! The Rebels were stalking me like a wounded shaak. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '144', 'm36t', 'Relay Important Information');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '145', 'm37o', 'You find the strangest things on the HoloNet. I got ahold of some vids of what looks like the Death Star exploding. That can\'t be, right? The Rebellion could never destroy a space station that big. Anyway, I thought I should get the data tapes to my superiors so they can check it out. Can you help me get there?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '146', 'm37u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '147', 'm37c', 'Thanks for coming along. Some unsavory looking people were following me. Now I can get these holovids to my superiors.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '148', 'm37t', 'Guard Some Unusual Data Tapes');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '149', 'm38o', 'Sometimes I hate this assignment. A couple of jokers have set up a mynock incubator a couple of valleys over. You know the Rebels use mynocks to sabotage Imperial transports, right? So I\'ve got to make a report. Those clowns did have some blasters lying around, though. Can you escort me back to my station, in case they start any trouble?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '150', 'm38u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '151', 'm38c', 'Thanks for the help. You never know what these lowlifes will do when the light of the law shines on them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '152', 'm38t', 'Mynock Breeders Can Be Trouble');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '153', 'm39o', 'I\'m testing some new contact lenses. They\'re made of the same black quartz as stormtrooper visors. Unfortunately I seem to be having some trouble seeing where I\'m going. Can I convince you to lead me back to my station, so I can report this problem? Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '154', 'm39u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '155', 'm39c', 'Thanks for the help. These black quartz contact lenses should have given me the same keen vision as a rank-and-file stormtrooper. I don\'t understand what went wrong.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '156', 'm39t', 'Black Quartz Lenses');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '157', 'm40o', 'Uhhh -- where am I? What planet? My transport got hijacked. Somebody said the hijacker was some dr-- no, they can\'t have said it, that\'s too crazy. I\'m hallucinating. I got to the escape pod before the ship blasted back into hyperspace. I landed hard. Can you take me to the Imperial authorities on whatever world this is?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '158', 'm40u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '159', 'm40c', 'Thanks. I\'m still woozy. That\'s the only explanation. No way a little mouse droid would be capable of hijacking an Imperial transport.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '160', 'm40t', 'Transport Hijack Trouble');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '161', 'm41o', 'You there! Stop! I need you to take me to the nearest Imperial station. I\'ve learned the identity of one of the Rebellion\'s top leaders. I must make my report before those Rebel scum track me down. Quickly, lead on!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '162', 'm41u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '163', 'm41c', 'I\'m glad you were able to help me. Soon we shall crush those Rebel dogs once and for all.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '164', 'm41t', 'Reveal the Identity of a Rebel Leader');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '165', 'm42o', 'I know it\'s hard to believe, but I\'m pretty sure I\'ve discovered an actual Jedi Knight. I have to report this to my superiors at once. But Jedi are supposed to be extremely dangerous, so I sure could use some extra eyes and weapons along the way. Are you available to come with me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '166', 'm42u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '167', 'm42c', 'Thanks for coming along with me. I was afraid that Jedi might track me down. The Jedi\'s name is ... um ... that\'s odd. I can\'t seem to remember. Suddenly I feel weak-minded.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '168', 'm42t', 'Identity of a Jedi');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '169', 'm43o', 'I need your help! I\'m a field medic. I\'m supposed to medicate an injured covert agent, but I seem to have gotten myself turned around. Can you point me the way to these coordinates? Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '170', 'm43u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '171', 'm43c', 'Excellent. I\'m supposed to meet the covert agent here so I can give her some medication. You\'d better move on or it might look suspicious. Thanks for your aid.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '172', 'm43t', 'Escort a Medic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '173', 'm44o', 'I\'ve found a length of Mandalorian smartrope that\'s rumored to have come from a Jedi\'s armor. I\'m trying to get back to my superiors to make a report, but I\'m not very familiar with this area. Give me a hand, would you? Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '174', 'm44u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '175', 'm44c', 'Thanks, my friend. My superiors will want to investigate this smartrope. I\'ll look you up if I get lost again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '176', 'm44t', 'Deliver Mandalorian Smartrope');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '177', 'm45o', 'Will you look at what happened to my navpad? I loaned it to a Gamorrean mercenary, and he gave it back all gummed up with slobber. Now I can\'t find my way back to my station. Can you help me out here? I\'d much appreciate it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '178', 'm45u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '179', 'm45c', 'Thanks for the help. And take my advice: If you loan equipment to a Gamorrean, make sure it\'s sealed up tight. Their saliva is like molecular glue.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '180', 'm45t', 'Undone by a Gamorrean');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '181', 'm46o', 'I\'ve got information about a possible new source of phobium ore. I think some gangsters from the Gargon system might be tracking me, though. I guess they want to maintain their monopoly. Do me a favor and take me to the Imperial station at these coordinates. With both of us along, maybe we won\'t get any trouble.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '182', 'm46u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '183', 'm46c', 'I appreciate the help. Couldn\'t have done it without you. Maybe this lead on a new source of phobium ore will turn into something solid. Hey, you think I might get a promotion?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '184', 'm46t', 'New Source of Phobium Ore');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '185', 'm47o', 'Ooohhh, I don\'t feel so good. I came into this system on a droid transport. Since there was no life support on board, they had to freeze me for the trip. Now I think I\'ve got hibernation sickness. If you can see me to the coordinates of my new post, I will be very grateful. Just don\'t walk too fast, please.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '186', 'm47u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '187', 'm47c', 'I can\'t thank you enough for the help. I thought this hibernation sickness would have worn off by now, though. This is the last time I tell my commander that I\'ll travel by any available transport.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '188', 'm47t', 'Unwell Imperial Operative');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '189', 'm48o', 'Never trust a Weequay! That\'s all I\'m saying. I hopped a private shuttle piloted by one of them. That ugly son of a gundark robbed me blind and dumped me out here. I need to get to my destination as soon as possible. That Weequay will regret crossing me!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '190', 'm48u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '191', 'm48c', 'Thank you, my friend. Now to see about that Weequay sleemo who robbed me! Maybe there\'s an AT-ST around here that I can borrow ...');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '192', 'm48t', 'Wronged by a Weequay');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '193', 'm49o', 'I can\'t believe it! My unit just ran into a rancor! That horrible beast slaughtered everyone but me! Please, get me back to my station so I can report this at once!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '194', 'm49u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '195', 'm49c', 'Oh, did I say it was a rancor? Actually I just got separated from my unit. It\'s not like I\'m the first guy to get lost way out there. This is a big planet, you know.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '196', 'm49t', 'Rancor Horror');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '197', 'm50o', 'Gundarks. Filthy creatures. I drew the joyous assignment of tromping out here to eliminate a nest of them. Now that the work is done, I realize I lost my navpad in their nest. I\'m sure not going to root around in their filth just to find it again. I don\'t suppose you\'d want to show me the way back to my post? I\'ll buy you a drink for your trouble.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '198', 'm50u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '199', 'm50c', 'Hey, I really appreciate it. Look me up when I\'m off duty and I\'ll buy you that drink.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_imperial_easy.stf', '200', 'm50t', 'Gundarks Eliminated');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '1', 'm1o', 'My friends claim I have the worst sense of direction of anyone they know. They bet me I couldn\'t find my way back to town without the aid of navigational devices. Guess they were right. If you get me back safely, I\'ll pay you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '2', 'm1t', 'Galaxy\'s Worst Sense of Direction');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '3', 'm1c', 'Please don\'t mention this to anyone, huh? I hate when my friends are right. And they seem to be right far too often for my tastes. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '4', 'm2o', 'I heard a bounty hunter had come into town looking for me so I decided to hide out here. He might still be looking for me. Would you mind escorting me back into town just in case?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '5', 'm2t', 'Bounty Hunter Looking for Me');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '6', 'm2c', 'Thanks, you\'re a pal. Can I offer some free advice? Never double-cross a Hutt. This is for your aid. See ya!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '7', 'm3o', 'I was supposed to meet a secret admirer out here, but it looks like I was stood up. I\'m so embarrassed I don\'t dare call any of my friends to pick me up. Could you safely escort me back into the city? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '8', 'm3t', 'Secret Admirer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '9', 'm3c', 'Thanks for your kindness. It\'s good to see there are some decent folk left in the galaxy. Never trust anyone whose face you haven\'t seen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '10', 'm4o', 'I drove out here to get my young son. He likes to play out here, and folks say they\'ve seen predators roaming this area. Turns out my son was home and my speeder needs a new repulsorlift engine. Care to escort me back to the city, friend?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '11', 'm4t', 'Wasted Rescue Mission');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '12', 'm4c', 'Thanks for your help. Here\'s a little something for you. I\'m a bit embarrassed that I needed an escort in the first place. I think some practice with my blaster is in order, huh?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '13', 'm5o', 'I believe there\'s a stranger following me. I\'m afraid he might be a swooper. I\'ve heard they\'re very dangerous. Could you escort me safely into the city? I\'ll make it worth your while.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '14', 'm5t', 'Stranger on My Trail');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '15', 'm5c', 'Did you see that suspicious fellow that kept just out of sight? He followed us the whole way. Thanks so much for seeing me safely here. Here\'s your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '16', 'm6o', 'My speeder broke down not too far from here. I had to flee some large predators that were drawn by the crash, and I fear they might have followed me. Could I get your help in getting back to civilization?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '17', 'm6t', 'Large Predators Following Me');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '18', 'm6c', 'Thanks, citizen. This is for your troubles. I\'ll be sure never to travel without my blaster in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '19', 'm7o', 'My friends claimed they were taking me to see my new speeder bike. They thought it\'d be funny to leave me out in the middle of nowhere with no means to defend myself. Care to help me get home?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '20', 'm7t', 'Friends Played Practical Joke');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '21', 'm7c', 'Thanks, buddy. Here you go. First thing I\'m gonna do is find a new group of friends. Then I\'m gonna plot a fairly elaborate revenge.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '22', 'm8o', 'I\'m so absentminded! It\'s going to be the death of me yet. I\'m an inventor, you see, and I got to thinking about how to improve my droid\'s AA-1 verbobrain. Next thing you know, I\'m out here. Please help me get home safely.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '23', 'm8t', 'Absentminded Inventor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '24', 'm8c', 'Many thanks, citizen. It\'s good to see not everyone suffers from my malady. What? Of course, your payment! How forgetful of me.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '25', 'm9o', 'My malfunctioning R2 unit was seen headed out in this direction, so I decided to try and find it. All I did was get myself lost. Care to escort me back into town? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '26', 'm9t', 'Never Follow an R2 Droid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '27', 'm9c', 'Thanks, friend. I was really fond of that little droid, but it\'s not worth risking my life over. Here\'s something for your troubles.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '28', 'm10o', 'I bought this bantha meat fresh from a herder. But I\'m hearing strange noises around here, and I\'m getting worried. Can you guard me on the way home? I\'ll pay you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '29', 'm10t', 'Trouble Buying Fresh Bantha Meat');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '30', 'm10c', 'Thank you! Now I must get cooking. My family enjoys bantha loin with my special dioche sauce. Mmm! My secret ingredient is a drop of repulsorlift engine oil.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '31', 'm11o', 'I didn\'t know figdas even grew on this world. But I\'ve got enough for a fine batch of candy. I\'d like an escort on the way back home, though. Can you help?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '32', 'm11t', 'Candy Ingredient Mission');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '33', 'm11c', 'Thanks, have a figda. I didn\'t want to come home alone because the odor of fresh figda makes me giddy. Oh, and here\'s a little something for you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '34', 'm12o', 'I think I\'m the victim of a prank. An Ugor friend of mine sent me out here looking for the ingredients of free-floating fungal fondue, but there\'s no fungus here and I\'m lost. I\'ll pay you to guide me back home.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '35', 'm12t', 'Free-Floating Fungal Fondue');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '36', 'm12c', 'What a relief. I expect I wouldn\'t have found ingredients for mitochondrial crunchy surprise, either. Those Ugor! Thanks, please accept this payment for your time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '37', 'm13o', 'Last night I followed a strange floating light, and it led me here, far from home. I\'ve been here ever since. Can you please guide me back home?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '38', 'm13t', 'Watch Out for Floating Lights');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '39', 'm13c', 'Watch out for those floating lights. The rumors that they indicate treasure are probably false. Please accept this fee, with my thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '40', 'm14o', 'I went out here looking for my sister, who was harvesting figdas for candy. Now she\'s called to say she\'s already home! I don\'t want her to know I\'m lost, so could you guide me home?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '41', 'm14t', 'Sister Left Me in the Wilderness');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '42', 'm14c', 'If my sister had found out I got lost looking for her, I\'d never hear the end of it. I thank you for being my guide.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '43', 'm15o', 'I\'m putting down markers for the historic Green Lump Trail. Can you keep watch for danger while I read the map? I\'ll pay you for your time, of course.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '44', 'm15t', 'Green Lump Trail Markers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '45', 'm15c', 'That\'s the end of the Green Lump Trail, unless I read the coordinates wr-- um, actually -- wait -- oh, drat, never mind. Maybe another time. Here, thank you for guiding me.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '46', 'm16o', 'Is this the way to the local HoloNet station? No? I didn\'t think so. I\'m from offworld. Can you guide me to the square where I arrived? There\'s credits for you if you do.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '47', 'm16t', 'Offworld Tourist');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '48', 'm16c', 'Thank you. I had an interview lined up to plug my new cookbook, \"Tasty Mecolar Briddlings in One Day or Less.\" But I\'ve missed it now. Oh well, here\'s your fee.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '49', 'm17o', 'I was looking out here for a weapon that -- uh -- my friend dropped. But I\'m not finding it, and the noises around here are making me nervous. Can you escort me home safely?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '50', 'm17t', 'Dropped a Weapon, That\'s All');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '51', 'm17c', 'Okay, here\'s the truth: When I escaped from a swoop gang out there, one of them dropped an electro-jabber. I didn\'t find it, so I hope it\'s shorted out by now. Thank you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '52', 'm18o', 'I\'m afraid to travel alone around here, but you look strong and trustworthy. Please, I\'ll pay you to walk with me to my sister\'s neighborhood. I could use the company.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '53', 'm18t', 'You Look So Trustworthy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '54', 'm18c', 'You\'re very kind. I hope life treats you well. Here are the credits, just like we agreed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '55', 'm19o', 'I never got lost back home in Sky City, but I just can\'t find my way around this place. Can you show me the way to my lodgings? I\'ll dig a few credits out of my luggage for you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '56', 'm19t', 'This Is Nothing Like Sky City');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '57', 'm19c', 'Kindness is not dead in the galaxy, no matter what they say. I can\'t thank you enough. See, I knew I had a few credits around here. Take them with my gratitude.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '58', 'm20o', 'I hope you don\'t mind my saying, but I have the hardest time with Wookiees. One of them changed the coordinates of our meeting place at the last minute. Can you guide me there?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '59', 'm20t', 'Hard Time With Wookiees');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '60', 'm20c', 'It figures. There\'s still no sign of the Wookiee I\'m supposed to meet. You understand, don\'t you, that I can\'t complain to his face? Of course you understand, silly question.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '61', 'm21o', 'I\'m having trouble with my droid. It\'s wandered off and I need to get it back. I\'ve got the coordinates from its tracking beacon, but I need someone to help me get there. Are you available?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '62', 'm21t', 'Can\'t Track Annoying Droid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '63', 'm21c', 'Blast, now my droid has moved to some other coordinates. I\'ve got to recalibrate my signal receiver and try again later. Thanks anyway.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '64', 'm22o', 'A crystal dealer has promised to sell me a nugget of hyperbaride, but I can\'t seem to find his shop. Can you help me out? I\'ll make it worth your time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '65', 'm22t', 'Hyperbaride Crystal Dealer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '66', 'm22c', 'This is the place! Thanks. The profit from selling a hyperbaride nugget should more than replace the expense of a paid guide.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '67', 'm23o', 'When you\'re as beautiful as I am, it\'s easier if you walk with someone else. Otherwise the rabble think you\'re available. So I\'d like you to accompany me to an appointment with my beautician droids. Aren\'t you the lucky one?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '68', 'm23t', 'It\'s Hard to Be Beautiful');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '69', 'm23c', 'Thank you for warding off all my admirers. Otherwise I\'d be assailed with propositions. Would you like to meet my beautician droids? You could certainly benefit from their guidance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '70', 'm24o', 'I\'ve come all this way to see my mother, who\'s down with petal fever, but I can\'t find her neighborhood. I can pay if you\'ll guide me there. I want to help her ever so much.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '71', 'm24t', 'Mother With Petal Fever');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '72', 'm24c', 'What, you say petal fever is rarely fatal? I came all the way to see my sick mother and there will be no inheritance? I should have researched the problem more carefully. Well, thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '73', 'm25o', 'I\'m very excited about my new designs for a next-generation ion cannon! But I need someone to take me to the Imperial patent office. Can you help me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '74', 'm25t', 'Next-Generation Ion Cannon');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '75', 'm25c', 'This is the place I was told to come, but it doesn\'t look like a patent office to me. Does it to you? Well, thank you for your assistance in any case.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_easy.stf', '76', 'number_of_entries', '25');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '1', 'm1o', 'My old jalopy of a speeder finally gave out on me -- right in the middle of nowhere, it seems. I have some important documents that I must get to my employer as soon as possible. If you get me there, I\'ll reward you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '2', 'm1t', 'Old Jalopy Gives Out');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '3', 'm1c', 'Thanks, friend. Here\'s your well-earned reward. Never buy used.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '4', 'm2o', 'I was left out here to meditate upon the wisdom of the great Zanazi teachers and achieve \"understanding.\" All I got was a burning desire not to be out in the middle of nowhere without a blaster. Can you help me get home, friend?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '5', 'm2t', 'Great Zanazi Wisdom');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '6', 'm2c', 'I appreciate your help. This should cover your lost time. I don\'t think the Cosmic Balance is for me. I\'ll stick to the safer path of the \"unbeliever.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '7', 'm3o', 'Could you help me? I was kidnapped by a swoop gang but managed to escape. I think I\'m very far from home and those swoopers are still looking for me. I need someone to escort me home.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '8', 'm3t', 'Swoop Gang Kidnap Victim');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '9', 'm3c', 'Thank you so much. My family is wealthy. We know how to show our appreciation, as this reward will demonstrate. I must ensure those swoopers don\'t try this again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '10', 'm4o', 'I thought running away from my family was the answer to my problems. At least now I know you can\'t really do that. I\'ll pay you if you can get me back home safely.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '11', 'm4t', 'Runaway Ran Too Far');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '12', 'm4c', 'My thanks. Do you have a family? You should cherish them while you can. You never know when tragedy will strike, friend. Take this with my blessing.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '13', 'm5o', 'I just arrived for my brother\'s wedding and fell victim to an unscrupulous tour guide. That rogue took off with all my luggage and left me stranded out here! If you escort me into the city, I\'ll pay you for your trouble.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '14', 'm5t', 'Unscrupulous Tour Guide');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '15', 'm5c', 'Thank you kindly, friend. Here you go. You\'ve given me hope that not all beings on this planet are scoundrels. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '16', 'm6o', 'I was part of a tour that was beset by swoopers. Only I managed to survive. Could you get me to my home safely? I\'ll pay you when we get there. It\'s really scary out here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '17', 'm6t', 'Swoop Gangs Killed My Tour');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '18', 'm6c', 'Thanks, buddy. I\'ve got some scores to settle now. No one kicks me out of a swoop gang! What tour? Oh, that was just a story to get you to escort me here, in case my former comrades decided to come back.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '19', 'm7o', 'You know what happens when you decide to take the cheapest safari available? You end up abandoned in the middle of nowhere, that\'s what. If you can get me home, I\'ll make it worth your while.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '20', 'm7t', 'Discount Safari Victim');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '21', 'm7c', 'Thanks, friend. This is for you. Now to find the owner of \"Mcgrrr\'s Mobile Menageries.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '22', 'm8o', 'My son claims I\'m suffering from Bitter Winter disease. I don\'t recall how I got out here. Maybe he\'s right. Could you please help me? I know where I live but I don\'t know how to get there.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '23', 'm8t', 'Bitter Winter Disease');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '24', 'm8c', 'Am I home? Thank you for your kindness. Please let me give you a little something, to pay you for your troubles on my behalf. Who are you again?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '25', 'm9o', 'Please help me! I\'ve got evidence that will put the entire Voidspider gang in a detention cell. But I need to get to town before they get me. Can you guard me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '26', 'm9t', 'Voidspider Gang Evidence');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '27', 'm9c', 'Thanks, here\'s some money. This evidence will lock up the Voidspiders for days. Then the Flaming Fist will rule this town. Go Flaming Fist!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '28', 'm10o', 'Please help me! I\'ve got evidence that will put the entire Voidspider gang in a detention cell. But I need to get to town before they get me. Can you guard me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '29', 'm10t', 'Voidspider Gang Evidence');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '30', 'm10c', 'Thanks for your aid, citizen. With this evidence of murderous gang battles, law enforcement can prosecute both the Voidspiders and their rivals, the Flaming Fist.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '31', 'm11o', 'Please help me! I\'ve got evidence that will put the entire Voidspider gang in a detention cell. But I need to get to town before they get me. Can you guard me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '32', 'm11t', 'Voidspider Gang Evidence');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '33', 'm11c', 'Wow, we never expected you to get here alive. Friend, you\'re almost good enough to join the Voidspiders. Look us up some time. Here, have a few credits. Haw!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '34', 'm12o', 'The pirates took my sister for their slave ring! You must get me to town so I can get help. I\'ll pay you everything I have (sob).');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '35', 'm12t', 'Pirate Slavers Kidnap Sister');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '36', 'm12c', 'Wh-what? What am I doing here? Pirates, you say? Oh no, did I have another hallucination? What -- do I owe you this? Oh. Well, here. Now where am I? I\'d better call my doctor.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '37', 'm13o', 'Did you see the gangsters leave? They just held a summit out here, and I\'ve got the exclusive recording! If you can get me to town alive and intact, I can sell this on the HoloNet and make a fortune. I\'ll cut you in, let\'s go!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '38', 'm13t', 'Amazing Gangster Recording');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '39', 'm13c', 'I\'ve been talking to news producers. Nobody wants my recording! I think the gangsters have them too scared. Well, I\'ll pay you now and keep trying. Thanks anyway.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '40', 'm14o', 'Supposedly some crazy wizard living near here used to be a Jedi Knight. I wanted to meet him, but I won\'t find anything here. I can\'t find my way back home -- it\'s a long way. Can you help me? I\'ll pay you well.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '41', 'm14t', 'Jedi Out Here? That\'s Crazy!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '42', 'm14c', 'It\'s strange, now that I think on it. While I was looking around, this voice in my head said, \"You won\'t find anything here.\" I wonder if I remember it right? Anyway, thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '43', 'm15o', 'I got dumped from a shuttle with nothing but a repulsorchute. I\'d prefer not to go into details. Now I\'m stranded. I\'ll pay you well to get me to my destination.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '44', 'm15t', 'Dumped From a Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '45', 'm15c', 'Here is your fee. I\'ll report to my superiors now.  The other agents on my shuttle said some Twi\'lek adventurer called \"O-i\" took over the craft. If that\'s true, Imperial Intelligence will track him down, believe me.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '46', 'm16o', 'A certain person hired me to track a certain other person. I completed the contract out here. But my vehicle got destroyed, and all my ammo is gone. I\'ll pay you to escort me back to my client.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '47', 'm16t', 'A Certain Person\'s Contract');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '48', 'm16c', 'Thanks. Here\'s your fee. I advise you not to mention this to anyone. I have a reputation to protect.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '49', 'm17o', 'Hello, friend. I\'m on the last leg of a rather long trip, and I need an escort who can handle a weapon. Don\'t want to alarm you, but everyone I traveled with so far has died. I\'d prefer not to answer questions.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '50', 'm17t', 'Hyper-Dangerous Mission');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '51', 'm17c', 'At last. All right, I can tell you now: I\'ve finally delivered the secret formula for new improved Slipthroat Grizmallt Liquor! \"If it\'s Grizmallt, it slips down your throat.\" The local bottling operation thanks you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '52', 'm18o', 'I need someone to protect me while I transport this little MSE-6 mouse droid across the planet. It\'s just myself, the droid and no questions asked.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '53', 'm18t', 'Transport a Mouse Droid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '54', 'm18c', 'You may not realize it, but you\'ve done a great service to the freedom-loving peoples of the galaxy. Take your reward and spend it with pride.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '55', 'm19o', 'I warn you, I have the worst luck of anyone I know. Thieves, gundarks and dune biters can\'t resist me. Now I need to travel across the planet and I dare not go alone. Are you brave enough to be my guard?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '56', 'm19t', 'This World\'s Unluckiest Traveller');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '57', 'm19c', 'Well, that wasn\'t so bad. Not like the time I dropped a box of Jorallan opals down a maintenance grate. And once I got a messy haircut from a rampaging hawk-bat. Now that was a rough day.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '58', 'm20o', 'I made some enemies in Hutt Space, and now I need bodyguards whenever I travel. I\'d like to hire you for a trip across the planet. I\'ll tell you where I need to go, and you can pick the route to get there. It pays to be unpredictable when you have enemies like mine.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '59', 'm20t', 'Never Annoy a Hutt');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '60', 'm20c', 'You\'re pretty good at this. I may seek you out again. I certainly haven\'t seen the last of my enemies.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '61', 'm21o', 'I won\'t go into the details, but I once shut down a slaver operation in the Styx system. Now I\'ve got some people looking for me, and I doubt they want to play holochess. I need a tough escort for a cross-planet trip.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '62', 'm21t', 'You Look Tough Enough');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '63', 'm21c', 'Nice. You\'re a good hand to have around. I might be able to use you again in the future. Have a drink on me.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '64', 'm22o', 'Do you like my jewels? They\'re made of durindfire gems. Very valuable. I\'d like to show them to my aunt, but she lives on the other side of the planet and I need an escort. Can you help? I know you\'re a trustworthy sort. I\'m a flawless judge of character.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '65', 'm22t', 'Durindfire Gem Escort');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '66', 'm22c', 'See here. I saw the way you were eyeing my jewels during the trip. Take your fee and don\'t let me catch you sniffing around anymore!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '67', 'm23o', 'I\'m selling a brand new hadrium-plated blaster to a bounty hunter in another city. Trouble is, I can\'t fire it or the value goes way down, and odds are good I\'ll need to protect myself on the trip. Can I hire you to watch my back along the way? I\'ll pay you well.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '68', 'm23t', 'Hadrium-Plated Blaster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '69', 'm23c', 'You probably saved my neck just by coming along. Take these credits, you\'ve earned them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '70', 'm24o', 'Assassin droid are nasty business, but I\'ve got to make a living somehow. I know the specs on the old DX-series droids and plenty of shady characters would love to get hold of me. I\'ll pay you to escort me to an appointment, if you\'re available.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '71', 'm24t', 'Engineer Leads Life of Danger');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '72', 'm24c', 'I\'m glad we made it in one piece. I appreciate your help. Here\'s a tip: If you ever face a DX assassin droid, aim for the lumbar.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '73', 'm25o', 'Something big is happening on the Jade Moon of Loronar. I\'ve got to get this information to my superiors, but I need an escort. I hope you know how to use that weapon, because it\'s likely we\'ll meet danger along the way.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '74', 'm25t', 'Jade Moon of Loronar');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '75', 'm25c', 'I don\'t know if I could have made it without you. Accept this payment and the gratitude of the freedom-loving peoples of the galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_hard.stf', '76', 'number_of_entries', '25');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '1', 'm1o', 'You know what I discovered? That I\'m not ready to take part in swoop races. I\'m lucky to be alive, actually. I think I\'m okay, but just to be sure could you see to it that I get home safely?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '2', 'm1t', 'A Repentant Swoop Racer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '3', 'm1c', 'Thanks, friend. This is for your trouble. I\'m off to find a really good medical droid. I think I may have suffered some internal injuries.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '4', 'm2o', 'Some miners claim this area was rich in ardanium but Sithspit if I can find it! Further, and I know you\'ll be shocked by this, my speeder finally died on me, the Sithspawn! If you could make sure I get back to civilization, I won\'t hate you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '5', 'm2t', 'An Angry Miner');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '6', 'm2c', 'You turned out to be okay, fella. I guess a reward is in order. I\'m gonna go have me chat with those miners, the bags of bantha poodoo!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '7', 'm3o', 'I learned something about gravsleds today - don\'t try to use an old one to travel across a planet. I sure could use your help getting back to civilization, friend. I\'ll compensate you for lost time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '8', 'm3t', 'Gravsled Woes');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '9', 'm3c', 'Much obliged, friend. You continue to do good deeds like this and folks might start considering you some sort of hero. Here you go.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '10', 'm4o', 'I\'m performing research on the relationship between krayt dragons and Star Dragons. Unfortunately for me, my speeder blew a power regulator. Could you escort me home? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '11', 'm4t', 'Aid Star Dragon Research');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '12', 'm4c', 'Thank you, friend. Here\'s something for your trouble. I\'ll mention you in the book I\'m writing about the origins of krayt dragons.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '13', 'm5o', 'Could you help me? My mate and I were taking a vacation and had a bad fight. It resulted in me being unceremoniously dumped out here in the middle of nowhere. I sure could use an escort home.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '14', 'm5t', 'Quarreling Lovers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '15', 'm5c', 'Thanks, citizen. This is for your trouble. By the way, if you and your mate are having problems, don\'t think you can patch everything up by taking a romantic trip together.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '16', 'm6o', 'The transport I was on crashed in the wilderness. I was the only survivor. Could you please take me back to the city so I can report this? I don\'t know if I can make it alone.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '17', 'm6t', 'Accident Survivor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '18', 'm6c', 'Many thanks, friend. Let me repay your kindness. I certainly don\'t look forward to straightening this mess out.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '19', 'm7o', 'I\'m determined to prove that there are still guardians of peace and justice in the galaxy even without the Jedi. Problem is, I need to train a bit more before I go on another one of my \"quests.\" Could you help me get home? Please?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '20', 'm7t', 'A Disillusioned Questor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '21', 'm7c', 'You sure are brave, citizen. When I\'ve practiced with my blaster some more, do you think we could go on heroic quests together? Oh, and this is for your time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '22', 'm8o', 'I like to get far away from civilization sometimes and think through my troubles. I just need to make sure I have a way to get back there when I\'m done. Think you can help me with that, friend? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '23', 'm8t', 'Some Time Away');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '24', 'm8c', 'I certainly do appreciate your help. Let me pay you for your trouble. I\'ll try to make sure I don\'t strand myself next time I\'m pondering my woes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '25', 'm9o', 'Every time something is going well for me, something else always messes up. Why is that? I win a local lottery and the new speeder bike I buy ends up having a defective thrust engine. Think you can get me back to town safely?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '26', 'm9t', 'Not So Lucky');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '27', 'm9c', 'Thanks, buddy. I hear tell of some hokey religion called the Cosmic Balance that says all good must be balanced out with bad. Maybe it ain\'t so hokey, huh?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '28', 'm10o', 'You ever heard of the fabled treasure of D\'ar Komar? No? Well apparently that\'s because IT DOESN\'T EXIST! Sorry. Uh, do you think you could get me back to a city? I\'ll pay you if you can.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '29', 'm10t', 'A Bogus Rumor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '30', 'm10c', 'Thanks, bud. Here you go. I\'ll be sure to be more selective about the rumors I choose to believe in the future. I knew that story was too good to be true.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '31', 'm11o', 'This is the lousiest map I\'ve ever seen. It says here that the Aqualish Aquatic Arena is supposed to be right here. Do you see anything like that? How about showing me back to civilization, huh?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '32', 'm11t', 'A Disenchanted Fan');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '33', 'm11c', 'You\'re a pal. Make sure you never buy any Rond & Mcgrrr brand maps. Here\'s something for your efforts.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '34', 'm12o', 'I\'m on a secret mission and need your help! If I don\'t get to my destination on time, the entire galaxy might be doomed! Can you help me? Please, trillions of sentient beings are counting on you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '35', 'm12t', 'The Fate of the Galaxy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '36', 'm12c', 'Thanks, you were really swell.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '37', 'm13o', 'I bet you\'re wondering what I\'m doing out here all alone, huh? I told my best friend that if he left his shrewish wife, I\'d walk to his home and congratulate him personally. Bet you can guess what happened. Can you make sure I get there in one piece?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '38', 'm13t', 'Honoring a Promise');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '39', 'm13c', 'A thousand thanks, friend. Here\'s a little something for your trouble. And take my advice - don\'t make bold statements you don\'t intend to keep.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '40', 'm14o', 'How long have you been watching me? Did you see me doing anything besides standing here? I, uh, sure could use your help getting back to town. I was sorta stranded out here. Think you can help me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '41', 'm14t', 'A Suspicious Individual');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '42', 'm14c', 'Thanks, pal. Don\'t mention to anyone you saw me, okay? And these aren\'t blood stains on my arms or anything, I just spilled some Blicci juice on myself. You believe me, right? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '43', 'm15o', 'A friend of mine said this area was haunted by the ghosts of dead Jedi. I spent the night out here but I haven\'t seen anything. Think you could escort me back home. My blaster seems to be malfunctioning.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '44', 'm15t', 'A Ghost Hunter');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '45', 'm15c', 'Thanks for seeing me safely home. This should cover the use of your time. I sure hope I get to see a Jedi ghost someday.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '46', 'm16o', 'Okay, I won\'t lie to you. I was left out here as part of a swoop gang initiation ritual. Well, Sithspit on them! If you get me safely home, I\'ll turn over a new leaf. I promise.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '47', 'm16t', 'A Change of Heart');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '48', 'm16c', 'Thanks, friend. I don\'t know what I was thinking. Swoop gangs are for chumps and losers. I\'m neither. Thanks for helping me see that. Here\'s something for you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '49', 'm17o', 'I thought I saw a Skyhopper go down in this area but I can\'t find any wreckage. I was so eager to get out here, I didn\'t notice my fuel cells were almost depleted. Can I get you to take me back home safely?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '50', 'm17t', 'A Rescuer Needs Rescuing');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '51', 'm17c', 'Much appreciated, friend. Here\'s something for your trouble. Now to recharge those fuel cells.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '52', 'm18o', 'Look at this! This stupid bolt is all that\'s left of my binary loadlifter! It blew up, practically in my face, leaving me shaken and, in all likelihood, injured. I\'d like you to escort me home, and possibly sign an affidavit admissible in civil court.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '53', 'm18t', 'A Shaken Droid Owner');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '54', 'm18c', 'I can already feel early symptoms of whiplash. Here\'s your fee. Please sign this affidavit that you saw the remains of the exploded droid that injured me. You won\'t? Scoundrel! I\'ll see you in court!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '55', 'm19o', 'Very funny. I followed a trail of chewstick wrappers out here, and the last one said, \"You\'re lost, haha!\" I know just who\'s responsible, but I don\'t know the way to his home from here. Can you guide me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '56', 'm19t', 'Victim of a Prank');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '57', 'm19c', 'Thank you. Here\'s your fee. Now! I\'ve come here to beat up a prankster and chew some chewsticks, and I\'m fresh out of chewsticks. Goodbye.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '58', 'm20o', 'My speeder crashed way back there. Some little creature jumped up on the hood, slipped into the engine, and blam! I need to get back to town. Will you be my guard?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '59', 'm20t', 'The Trouble With Speeders');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '60', 'm20c', 'When I go back for my speeder, I\'ll check on that little creature. After the explosion, its body smelled delicious! Could be a toasty taste treat.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '61', 'm21o', 'Mmm, yes-- Oh, hello. This territory could make for an unusual sporting field, don\'t you think? Droidball, perhaps. Please escort me to my backer\'s offices, and I\'ll gladly pay you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '62', 'm21t', 'A Little Droidball');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '63', 'm21c', 'A good game of droidball can be so bracing. I hope my backer can find the funds for a nice field there. Thank you so much for your help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '64', 'm22o', 'For seven days I have meditated on the Cosmic Balance, and I am now ready to return to what is laughably called civilization. Guide me on my true path, dubious one!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '65', 'm22t', 'An Enlightened One');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '66', 'm22c', 'Let your spirit reach the Balance through the chant of the nose: Ehhhnh-- Try it: \"Ehhnh--\" No, more nasal. Wait, we\'re here. Our paths now part. Seek the Balance!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '67', 'm23o', 'My studies on the indigenous festering swellmouth vine are nearly complete. It seems, however, my exuberance has led me astray. I am, in short, lost. Please guide me home.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '68', 'm23t', 'An Absent-Minded Scientist');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '69', 'm23c', 'How could I have lost my way so easily? The cause of science can produce a heady, even intoxicating intensity. Now I must go review my notes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '70', 'm24o', 'I\'ve found the perfect setting for my HoloNet extravaganza, \"Moons Over Masposhani.\" But I\'m inconveniently far from the starting point of this scouting trip, so can you guide me to another settlement?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '71', 'm24t', 'HoloNet Producer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '72', 'm24c', 'Stupendous! Look at this scenery! I believe this place, too, will figure in my masterwork, if I ever get it produced. Thank you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '73', 'm25o', 'I\'m tracking a master thief, a droid called 4-LOM. Don\'t laugh. The trail went cold here; actually, I think I\'ve been following a decoy. I\'m lost. I\'ll pay you to guide me home safely.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '74', 'm25t', 'Looking for 4-LOM');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '75', 'm25c', 'I hear this 4-LOM partners with a Gand tracker named Zuckuss. If you see either of them, give me a call. There\'s a bounty! Meanwhile, here\'s your fee, thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '76', 'm26o', 'Nope, no agrinium deposits around here. None, sorry. What? You\'re not searching for agrinium? Oh. Okay, can you guide me to the nearest assay office? Just curious to see it, that\'s all.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '77', 'm26t', 'A Simple Sightseer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '78', 'm26c', 'Thanks! I\'ll just wander into the assay office and see if anyone has, I don\'t know, claimed agrinium deposits recently. Just making conversation, you understand.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '79', 'm27o', 'I\'ve been travelling a long time to get to the city. I need some medication for a sick relative. If you can escort me there, I\'ll pay you. I don\'t get to town often.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '80', 'm27t', 'In Need of Medicine');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '81', 'm27c', 'Thank you. My older brother ate a strange weed and is now delirious. He\'s convinced he\'s the Emperor. The medicine I get here should clear his fuddled mind.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '82', 'm28o', 'A Corellian light stock freighter touched down here recently. I suspect smugglers. I hoped they left something behind, but I\'ve found nothing. I\'m tired and nervous. Can you guard me on the way home?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '83', 'm28t', 'A Lost Scavenger');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '84', 'm28c', 'Home at last! No more of this scavenging stuff for me. Next time I\'ll just go straight to the smugglers and make an offer. Here, please accept this payment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '85', 'm29o', 'I don\'t hold with all this thievery and smuggling out here! I\'ve got a weapon -- well, some rocks, anyway -- and I aim to show those crooks what for! But it\'s way past my mealtime, and I\'m lost. Can you get me back home, please?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '86', 'm29t', 'A Tough Vigilante');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '87', 'm29c', 'Thank you kindly! A quick stop for a meal, and then those rascals out there will be sorry they ever saw me and my rocks coming!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '88', 'm30o', 'My droid\'s infrared tracking unit just got fixed. To test it, I wandered out here and told him to follow me. And-- I\'ve been waiting. Creatures out there are starting to smell me, I\'m afraid. Can you guard me on the way back?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '89', 'm30t', 'A Test Gone Sour');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '90', 'm30c', 'Thank you. Now to find that droid. It\'s not just the infrared detector, I think. That old E-series model is getting senile, that\'s all. Time for the junkheap.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '91', 'm31o', 'You\'d never know this whole area used to be a glacier, would you? At least, that\'s my theory. As soon as I get back home with my evidence, I\'m pretty sure to be admitted to the Galactic Geological Society. Can I hire you for guard duty on the way back?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '92', 'm31t', 'A Geologist Hopeful');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '93', 'm31c', 'My thanks to you. I predict another episode of glaciation here some time in the next 20,000 years. Better get ready.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '94', 'm32o', 'Little yellow flower. Bright leaves. Bitter. Glaaahh-- No, bad, mud thoughts. Head all wrong. It\'s bad. Home. Bring me home home. Nrrgh--');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '95', 'm32t', 'Dazed and Confused');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '96', 'm32c', 'I think it\'s going away. Oh my. Splitting headache. Here. Thank you. Don\'t eat leaves out there. I have to lie down.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '97', 'm33o', 'You haven\'t seen my sweetie, have you? I was supposed to meet my true love here, where we hope to build our dream house. I\'m confused on how to get to the part of town where my honeybunch lives. Can you guide me there?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '98', 'm33t', 'Lost Paramour');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '99', 'm33c', 'Okay, I have to sort things out with my little nubbly-cheeks and find out why I got stood up. Here, please take this for your time, thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '100', 'm34o', 'All the fellows said I\'d be in the club if I went snope-hunting with them. I was supposed to wait here with a net, and they\'d send the snopes toward me. But it\'s been a long time. Can you guide me home?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '101', 'm34t', 'A Snope-Hunter');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '102', 'm34c', 'Boy, I\'m glad to be back. I guess I\'m not in the club yet. Say, what exactly is a snope anyway?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '103', 'm35o', 'My datapad is infected with a nasty circuit virus and I can\'t find my way around. Can you show me the way to a maintenance shop? Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '104', 'm35t', 'Broken Datapad');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '105', 'm35c', 'Finally I\'ll be able to connect this datapad to the HoloNet again. It\'s my primary source of income, you know. Have you tried the HoloNet lately? Lots of money to be made.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '106', 'm36o', 'I finally found a place that serves decent blood chowder! The place a bit far from here, though, and it\'s a little dangerous to travel alone. Would you care to you join me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '107', 'm36t', 'Chowder Connoisseur');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '108', 'm36c', 'After traveling all that way, I think I\'ve decided to dine alone. Your conversational skills are lacking. Here are a few credits. Go buy yourself dinner somewhere else.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '109', 'm37o', 'I need to take my rock tabbit to a special breeding facility, but I\'m afraid someone will try to steal poor Fleeflee from me! Can you protect me while I\'m taking her there?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '110', 'm37t', 'Help Poor Fleeflee');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '111', 'm37c', 'What would I have done without you? Little Fleeflee thanks you so much for helping her reach the breeding facility. Here\'s a little bit to pay for your time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '112', 'm38o', 'I\'ve got to deliver this bottle of shaak ambergris to a perfume manufacturer, but the distance is not inconsiderable. Would you join me on the trip and protect me from any unscrupulous perfume pirates who might attempt to waylay me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '113', 'm38t', 'Protect Shaak Ambergris');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '114', 'm38c', 'That was close, wasn\'t it? The villains were pressing us from all sides! But this ambergris has safely reached its new home. These credits are yours for a job well done.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '115', 'm39o', 'A client of mine bought a hand-held enzymer for his import business. I need to get it to him before his next shipment from Dantooine. This is an expensive tool, though, so I could use a strong guard like you on the trip. Care to come along?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '116', 'm39t', 'Help the Importer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '117', 'm39c', 'Thanks for the help. Here\'s the money I owe you. Now if I can find my client around here, I\'ll get paid myself.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '118', 'm40o', 'I\'ve made a few enemies over the years, so I don\'t take long-distance travel lightly. You look like someone who can handle a blaster. I could use you in a fight. Join me on a little journey and I\'ll reward you well.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '119', 'm40t', 'Old Enemies');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '120', 'm40c', 'I appreciate having you and your blaster to accompany me. Here\'s the reward, just as I promised.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '121', 'm41o', 'A bet\'s a bet, and I lost mine. Now I\'ve got a considerable pile of credits to deliver to my friend in another city. Trouble is, transporting that kind of money on this planet is a gamble in itself. I\'d like to hire you as a bodyguard for the trip, if you\'re available, to make sure I get there with my money and my life.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '122', 'm41t', 'Settle a Bet');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '123', 'm41c', 'You\'d think betting on the Death Star versus the Rebels would be a brain-dead gamble. That\'s what I get for being cocky, I suppose. Hopefully when I pay my friend, he\'ll stop gloating. Anyway, thanks for lending a hand.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '124', 'm42o', 'I sold a vintage Tempest-class Corvette to a business partner of mine in another city. Now I\'ve got to deliver the security codes so he can take possession of the starship. But with so many scoundrels and Rebels about, I dare not make the trip alone. I\'ll pay you to safeguard me between here and there.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '125', 'm42t', 'Help Deliver Security Codes');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '126', 'm42c', 'Well done. My old Corvette is safe. You have my gratitude and these credits for your service.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '127', 'm43o', 'I\'m buying an old STAP repulsorlift, which is quite exciting for a collector like me. But the dealer is in another city and it\'s not safe to travel alone with so much money. I could use an experienced fighter like you as a traveling companion. Are you interested in making a few credits?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '128', 'm43t', 'Help the Collector');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '129', 'm43c', 'Thanks greatly. Here\'s your payment. I can\'t wait to fly my new STAP! I wonder if the laser cannons are still operational?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '130', 'm44o', 'You would think legal documents could be transmitted electronically, but of course the really important ones are entrusted to poor hand-carriers like me. Even when said documents indict infamous criminal leaders in the region. So I need someone handy with a blaster to make sure I get to my destination in one piece. Are you available?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '131', 'm44t', 'Deliver the Legal Documents');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '132', 'm44c', 'I was afraid I\'d be blasted to ashes before I got these documents here, but thanks to you I survived. I\'ll look you up again if I\'m forced to carry any more criminal indictments.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '133', 'm45o', 'I\'ve crafted this lovely planter out of a proton torpedo pod. I need to deliver it to another city, but I\'m afraid some scoundrel will try to take it and activate the nucleonic igniter. That could be dangerous, don\'t you think? Would you escort me so that no rogues will abscond with my lovely creation?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '134', 'm45t', 'An Odd Sculptor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '135', 'm45c', 'Thank you so much. This planter is quite a unique creation. I wonder if the proton fuel cell will help dorva vines to grow larger?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '136', 'm46o', 'Did you know a starfighter\'s particle shield can be converted into a hand weapon? Very effective against armored personnel. The authorities don\'t approve, of course, but that\'s life. I\'ve got to transport these conversion plans to another city, but I have to make sure the authorities don\'t stop me. Can you escort me there and keep me out of trouble?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '137', 'm46t', 'Transport the Plans');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '138', 'm46c', 'Thanks. I stand to make a fortune from this particle blaster, if I can figure out how to manufacture them secretly.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '139', 'm47o', 'I\'ve got a Rodian bounty hunter hot on my trail! I need to travel to another city to pay my debts and get that slimy piece of worm-ridden filth off my back. Can you and your well-used weapon give me some backup on the way? I don\'t want to find a throwing razor in my back.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '140', 'm47t', 'Watch Out For Rodians');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '141', 'm47c', 'Thanks for the escort, friend. I thought that Rodian bounty hunter might be waiting around every corner. I guess he had good reason to be scared of you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '142', 'm48o', 'When I\'m on Coruscant, I love to watch the garbage pit races. I want to buy a set of race-wings so I can start practicing, and maybe enter the garbage pits myself one day. But traveling to another city to buy my race-wings is too scary to do alone. Can I pay you to come with me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '143', 'm48t', 'Brave Little Garbage Pit Racer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '144', 'm48c', 'We made it! Those race-wings are almost mine. Thrills and danger, here I come! If I can only manage the rather frightening trip back home.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '145', 'm49o', 'I want to apply to the Academy for next season, but I don\'t know how to get to the next city, where the recruitment office is. Can you show me the way?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '146', 'm49t', 'Academy Hopeful');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '147', 'm49c', 'Thanks for the assistance. I can\'t wait to get off this greaseball of a planet.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '148', 'm50o', 'I have on my person some first-generation copies of the famous Ch\'hosk cave drawings. I need to transport them to a museum in another city, but I don\'t want to risk hopping a shuttle. Pressurized air is bad for the drawings. Would you be kind enough to accompany me on the long, dangerous journey to the museum?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '149', 'm50t', 'Protect the Cave Drawings');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '150', 'm50c', 'Splendid work! I never felt imperiled with you at my side. Here is your payment. Now to find that museum.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_neutral_medium.stf', '151', 'number_of_entries', '50');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '1', 'm1o', 'I sure could use your help, citizen. I\'d intercepted an encoded datadisc from an Imperial courier and was in the process of decoding the thing when it blew up in my hand. Totally destroyed my datapad, and almost my hand too. Could you make sure I get back to a medical droid and don\'t pass out?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '2', 'm1u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '3', 'm1c', 'Thanks, friend. I need to make sure other Alliance operatives know about these explosive datadiscs. Imperial Intelligence must be getting desperate, huh?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '4', 'm1t', 'Scout in Need of Medical Aid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '5', 'm2o', 'Our cell leader was contacted by a man claiming to be a representative of a miner\'s guild that wished to aid the Alliance. I was sent to meet him, despite having a bad feeling about the whole deal, and got ambushed by a squad of stormtroopers. I just barely escaped. Could you make sure I get back to base okay?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '6', 'm2u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '7', 'm2c', 'Always trust your instincts, citizen. Thanks for your help. This is for you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '8', 'm2t', 'Aid an Ambushed Alliance Contact');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '9', 'm3o', 'Hey there, buddy! Oh, sorry, thought you were someone else. But you look like a friendly face all the same. Can you help a citizen in need? I was doing some holorecordings of an Imperial arrest of \"suspected Rebels\" when a stormtrooper smashed my holocam and gave me a merry chase. Get me back home and I\'ll make it worth your while.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '10', 'm3u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '11', 'm3c', 'Thanks, friend. You turned out to be all right in the end. Here\'s that \"worth your while\" I promised.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '12', 'm3t', 'Help the Friendly Reporter');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '13', 'm4o', 'I saw an Empire probe droid scouting our munitions depot. When I tried to fry it, the droid attacked me and chased me all over the wilderness. I finally blew it up, but I think it alerted the Empire first. Now I\'m low on ammo, and I need to get back to base to report. Can you escort me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '14', 'm4u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '15', 'm4c', 'That munitions depot may be under attack already. I have to get fixed up and go back to help my buddies. Thanks, friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '16', 'm4t', 'Chased by Probe Droid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '17', 'm5o', 'I was trying to recruit for the Alliance at a Mining Guild facility near here. Suddenly Imperials attacked and blew up the whole works! I\'m not sure if I\'m the only survivor, but I haven\'t seen anyone else. All those poor people... Anyway, I have to get back to base and report, and I need an escort. Can you help?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '18', 'm5u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '19', 'm5c', 'If anyone else survived that Imperial attack, I expect they\'re joining the Alliance right now. The Empire is its own worst enemy sometimes. Thanks, I have to go.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '20', 'm5t', 'Survivor of Mining Guild Attack');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '21', 'm6o', 'I was administering bacta at a medical facility when the Empire attacked! They seemed to think it was an Alliance depot for medical supplies. Troopers were gunning down patients in their beds! I got out -- I think I was the only one. I need to get back and report this atrocity. Can you accompany me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '22', 'm6u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '23', 'm6c', 'I wonder if the Empire thought that was an Alliance depot just because someone saw me there. That would be horrible. Oh, no. I have to go report now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '24', 'm6t', 'Empire Destroys Hospital');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '25', 'm7o', 'The Alliance has been helping refugees who escaped the Empire\'s slave worlds. We had a processing outpost near here, but Imperials just destroyed it. I wouldn\'t have believed those soldiers could be so ruthless! I don\'t think anyone else got out alive. I need you to help me get back to base so I can report.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '26', 'm7u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '27', 'm7c', 'We were just trying to help homeless folks find safe, free places to live. I can\'t believe the Empire\'s evil. I\'m with the Alliance forever.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '28', 'm7t', 'Imperials Destroy Alien Refugee Outpost');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '29', 'm8o', 'I took in my landspeeder for repair at the Alliance\'s local transport depot. I was under the speeder, checking the repulsorlift calibration, when the hood exploded above me. Imperials attacked the depot. They overlooked me, under the vehicle -- I think I\'m the only survivor. Escort me back to base so I can report!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '30', 'm8u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '31', 'm8c', 'How are we going to repair our vehicles now? If this goes on, we\'ll have to carry our supplies on our backs. Thanks, I have to report now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '32', 'm8t', 'Survivor of Transport Depot Attack');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '33', 'm9o', 'The Alliance operated a facility near here to heal victims of Imperial torture -- what the Empire calls \"aggressive re-education.\" A company of stormtroopers just destroyed the facility, on the pretext that it was an \"indoctrination camp.\" I\'m the last survivor. I need you to escort me back to base so I can relay the terrible news.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '34', 'm9u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '35', 'm9c', 'One more brutal Imperial gesture, the kind that just drives more folks to our cause. Thanks for your help; please take this as a token of my gratitude.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '36', 'm9t', '\"Indoctrination Camp\" Survivor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '37', 'm10o', 'They blew up a droid maintenance facility! How in the galaxy could a droid maintenance dome present any threat to the Empire? It\'s totally senseless. But I guess an Empire that can blow up Alderaan is capable of anything. Maniacs! Please -- you have to help me get back to base.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '38', 'm10u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '39', 'm10c', 'Those stormtroopers seemed to think that droid facility was a major target. Weird, huh? Thanks for your help. I have to get my wounds treated and make a report.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '40', 'm10t', 'Droid Maintenance Dome Survivor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '41', 'm11o', 'A scientist friend of mine was recording the activity of small predators in the local ecosystem, so a few of us were guarding his observation outpost. Suddenly a platoon of stormtroopers swept in and destroyed the post, killing my friend and everyone else. I\'m the only one left. Please escort me to base, because my ammo is low.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '42', 'm11u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '43', 'm11c', 'The Empire will destroy anyone and anything if some Imperial commander thinks a \"Rebel\" is involved. Sheesh. We have to stop the Empire before they kill everyone.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '44', 'm11t', 'Imperials Destroy Science Outpost');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '45', 'm12o', 'I was delivering food to one of our Alliance slicers -- he never liked to go outside, just sliced the HoloNet all day and all night. I was approaching his home when a group of TIE fighters swooped down and blew it up! It was monstrous! I got hurt in the blast, so I need you to escort me back to base. Can you do it?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '46', 'm12u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '47', 'm12c', 'Thanks. The Imperials never worry about collateral damage -- just \"maximum force\" all the time. That\'s going to hurt them in the long run. I have to make my report now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '48', 'm12t', 'Food Delivery to Slicer Went Wrong');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '49', 'm13o', 'I was pulling some IR-5 \"Intimidator\" blast pistols from an Alliance weapons cache when I heard this humming. I looked up and saw a squadron of TIE fighters! I barely got clear before they bombed the cache into dust. It was the closest I\'ve got to death. I\'m really shaken. Can you escort me back to base so I can report?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '50', 'm13u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '51', 'm13c', 'Thanks for the escort. We really could have used that cache of blaster pistols. I wonder how the Empire found out about them? We\'ll have to work even harder now. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '52', 'm13t', 'Raided While Getting Intimidators');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '53', 'm14o', 'We just set up a hospital station for local bystanders injured in Imperial attacks. Apparently the Empire tracked our MD medical droids to the station, and -- oh, it was terrible. Everything gone, everyone killed. It was -- Look, I have to get back to base to report this, but I don\'t think I\'m up to going alone. Can you escort me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '54', 'm14u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '55', 'm14c', 'It would be just like the Empire to wipe out a building full of innocents to take out one MD droid. I have to report this to my captain. Here, take this, and thank you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '56', 'm14t', 'Hospital Station Destroyed by Empire');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '57', 'm15o', 'The Alliance was building a new refueling station. We used some laser cutters we stole from an Imperial operations depot. Apparently the cutters had tracking beacons, because a platoon of stormtroopers homed in on us like magnets. I\'m the last survivor. I have to report to base, but I\'m low on ammo. Can you escort me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '58', 'm15u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '59', 'm15c', 'It\'s a tricky business, fighting to restore the Republic when you have to worry about tracking beacons in laser cutters. I\'ll report that to my superiors. Thanks for the escort!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '60', 'm15t', 'Bugged Laser Cutters Prompt Attack');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '61', 'm16o', 'Imperials just struck the mining depot near here. This is bad! We were hoping to refit some LIN Demolitionmech droids at that depot for use against the Empire. Now we\'ll have to start over. I shot most of my energy packs in the battle -- can you escort me back to base? Command will want to hear about this.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '62', 'm16u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '63', 'm16c', 'That Demolitionmech plan was sweet. We were going to disguise them to look like R3 units. Might have worked. Might still work. Okay, thanks, I have to report now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '64', 'm16t', 'Demolitionmech Mining Depot Hit');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '65', 'm17o', 'Our transport and repair depot near here was modifying civilian A-A5 speeder trucks as armored personnel carriers. Sweet idea, but the Empire found out somehow. We just got hit, hard. I don\'t think anyone else got out. I\'m shaky myself, and low on ammo, so could you help me get back to make my report?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '66', 'm17u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '67', 'm17c', 'There\'s always more speeder trucks, and the refit into APCs is pretty straightforward. We\'ll get back on track soon enough. Thanks for the escort!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '68', 'm17t', 'A-A5 Speeder Truck Depot Hit');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '69', 'm18o', 'I was out here scouting Imperial installations, when something small leaped from under a rock and bit me. Now my ankle is changing color, and nothing in my medkit helps. I don\'t think I\'m in critical danger, but I\'d like to get back to base. Can you escort me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '70', 'm18u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '71', 'm18c', 'Getting woozy. Need to see a medic. Thanks. Later.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '72', 'm18t', 'Alliance Fighter Needs Antidote');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '73', 'm19o', 'I was just visiting an old wreck. I like to visit it every so often, to renew my commitment to the Alliance. I wasn\'t interested in the Civil War at all, until the Empire\'s artillery practice blew up my home and killed my family. And they didn\'t even apologize! Makes me angry even now. Well, I need to go back. Want to escort me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '74', 'm19u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '75', 'm19c', 'I feel better than ever about the choice I made. I hope you do too. I\'ll see you on the front lines sometime.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '76', 'm19t', 'Last Survivor of Imperial Artillery');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '77', 'm20o', 'It sounds funny, but I was out here looking for my pet greysor. He\'s my best friend. I just got a call from Alliance HQ that he\'s been spotted elsewhere, so I\'d like you to escort me back. Why, yes, the Alliance is helping me look. You might say it\'s Alliance business. But we\'ll talk about that later.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '78', 'm20u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '79', 'm20c', 'Thank you. I didn\'t want to say this before in case Imperials caught us, but my greysor\'s collar had a data cylinder of Imperial codes for this world. We\'ll search hard, believe me!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '80', 'm20t', 'Alliance Member Missing Pet');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '81', 'm21o', 'Some nobody I met in a cantina offered to show me a buried cache of Imperial weapons. So like an idiot, I went out here with him. Then he pulled a blaster and, well, let\'s just say I left his body way back there. I feel like a nitwit. I don\'t know if his Imperial buddies might be tracking me, so can you escort me back to base?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '82', 'm21u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '83', 'm21c', 'I should have spotted that guy as an Imperial when he kept talking about \"the Rebellion\" instead of the Alliance. Ah, we\'re here. Thanks for your help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '84', 'm21t', 'Victim of Covert Imperial Treachery');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '85', 'm22o', 'Most awful was it! I passed along here, very fast, with business of nobody but me to mind. Big Empire car, it come racing down, zoom! Push me in ditch! I get so angry, I go right out and join Alliance. Show them. I come back here many times now to think. I am always glad it happen, you know? Look you, can you go with me back safe?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '86', 'm22u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '87', 'm22c', 'Pardon me, I do not speak the Basic so well. I am from, what you say, Wild Space. But I learn. Also, I fight good! Hah! I am glad for you to help me, thank you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '88', 'm22t', 'Empire Hit My Swoop, Push in Ditch');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '89', 'm23o', 'HQ sent me out here looking for a stolen GNK power droid. I searched all over and finally found its tracking beacon. Then HQ calls and says the droid already wandered back on its own. Who steals a power droid? Why? I\'m baffled. I\'m also hot and tired and very dirty. Travel with me back to base? I could use an escort.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '90', 'm23u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '91', 'm23c', 'We\'ve had the strangest rash of gonk-droid thefts. Someone steals them and then lets them go. It makes no sense. Okay, I\'m here, I\'m hitting the showers. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '92', 'm23t', 'Agent in Serious Need of Hot Bath');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '93', 'm24o', 'I thought Nibbi was due to touch down out here hours ago. I can\'t understand why he\'s so late. Maybe Imperials. I told him a hundred times, upgrade your sensors or they\'re all over you, man! Well, I\'m tired of waiting. You Alliance guys need that medicine, but you also need your smugglers awake and alert. I need an escort back, OK?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '94', 'm24u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '95', 'm24c', 'It\'s getting tougher to slip goods down here through the Empire\'s orbital patrols. I may need a bigger cut of the goods as time goes on. Just a word to the wise.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '96', 'm24t', 'Alliance Procurement Agent on the Job');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '97', 'm25o', 'Ah, how pleasant! I was out and about, mulling whether the local bi-lobate perennials might offer an antidote to new Empire toxins. I\'m a botanist, you know. Then these Imperial scoundrels raced down from the sky, strafing me with intent to kill! I took refuge in a nearby crevasse, but now I\'m quite rattled. Can you escort me back, in case these blackguards return?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '98', 'm25u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '99', 'm25c', 'Ah! Well done! I took note of many interesting flora on the route back, and I believe a potential antidote may well be at hand. Farewell, my friend!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '100', 'm25t', 'Botanical Expert Attacked by Empire');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '101', 'm26o', 'I was training several new recruits in long-range sniper fire when an Imperial light assault vehicle fired on us. I shot off the LAV\'s laser cannon and both stabilizers, causing a crash -- but not before all my recruits had died. Terrible business. I\'m out of charges, so I\'d appreciate your help in getting back safely.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '102', 'm26u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '103', 'm26c', 'Very sad affair, a civil war. I\'m sorry, I\'m not ready to instruct new students as yet. But thank you for your help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '104', 'm26t', 'Marksmanship Trainer Attacked');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '105', 'm27o', 'I may not look like much, but I\'m a big part of Alliance morale maintenance on this world. I was heading back from a gig at a remote outpost when some pack of Imperial glatch-breaths made my life hard. I crashed my speeder and played dead \'til they left. Tell you what, friend, would you take me back to base safely?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '106', 'm27u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '107', 'm27c', 'And the one in the shroud said -- wait for it -- \"I\'m not the Emperor, I\'m his dear old mother!\" Heyo! I want to tell you, honestly, you\'ve been great. I mean that. Gotta go, thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '108', 'm27t', 'Alliance Entertainer Stranded');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '109', 'm28o', 'I got an instructional text about this Bunduki martial art, Teras Kasi. I went out here to practice -- didn\'t want my friends to see me. When you\'re just starting, this text makes you move like a wounded nerf. I kind of twisted my wrist, I think. I can\'t shoot now, so I\'d like you to escort me back, if you\'re willing.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '110', 'm28u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '111', 'm28c', 'Thanks. I may need to find a teacher for this Teras Kasi stuff, before I break my neck. Now I need to lie down a while.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '112', 'm28t', 'Teras Kasi Novice');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '113', 'm29o', 'For their orienteering practice, I gave my commando training student directions to find me in the wilderness. I\'ve been waiting out here in one place for way too long. I don\'t know where he went wrong. I\'ve been hearing suspicious noises out here, so I\'d like to hire you to escort me on the way back home.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '114', 'm29u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '115', 'm29c', 'Well, that was a wasted training exercise. I expect my student has gotten so hopelessly lost, he\'s on another planet by now. I\'d better track him down!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '116', 'm29t', 'Commando Training Gone Awry');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '117', 'm30o', 'I saw a mouse droid tootling off into the wilderness. It moved with what I\'d call intense purpose. I didn\'t even know mouse droids could move in this kind of terrain. I got curious and followed it. I lost it somewhere around here -- well, way back there, actually -- and then got lost myself. Can you bring me back home safely?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '118', 'm30u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '119', 'm30c', 'You know, there are rumors about some special mouse droid that fights the Empire. Do you think...? Naah. Okay, we\'re here, thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '120', 'm30t', 'Alliance Member Tracking Mouse Droid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '121', 'm31o', 'I got orders to shadow a COMPNOR officer\'s speeder as he visited remote settlements. I found he\'s been shaking down small businesses for \"back taxes,\" based on some centuries-old law everyone\'s forgotten. What a slime. To stop his scam, I \"accidentally\" rammed his speeder with mine. He confiscated both. I\'m stranded. Can you escort me back to base?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '122', 'm31u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '123', 'm31c', 'Not very heroic, tracking a corrupt tax collector. But it helps the Alliance if we can cut off the Empire\'s financing, a credit at a time. Thanks, I have to report now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '124', 'm31t', 'Tracking the Empire\'s Lackey');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '125', 'm32o', 'There was a recent battle with the Empire near here. I shot images of the battlefield for a morale-building news report, \"Tyranny Must Fall.\" We deliver these reports by courier, or coded over the Empire\'s own HoloNet, to Alliance bases everywhere. I\'m ready to get back, but the area looks unsafe. Can you escort me? Do it for Alliance morale.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '126', 'm32u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '127', 'm32c', 'Thanks, friend. I expect this report will help buck up our fighters in these tough times. Now I have to get this data to a courier before deadline.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '128', 'm32t', 'Morale-Building News Reporter');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '129', 'm33o', 'What? Did you say something? Sorry! I\'ve been testing a new weapon! New kind of siren! I said \"siren\"! Play it loud, and the amplifier circuits in stormtrooper helmets make it even louder! What? I said \"louder\"! Anyway, the test is done! At least, I can\'t even tell if the siren works any more! I need to get back! Can you escort me? What?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '130', 'm33u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '131', 'm33c', 'Okay, I can almost hear again! Thanks for getting me back here safely! I think the siren weapon is worth pursuing! What? Did you say something? What?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '132', 'm33t', 'Siren Researcher');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '133', 'm34o', 'That showed the Empire! My buddy calls, goes, \"Stormtroopers are leveling my house!\" I go, \"I\'ll be right there!\" I rush out here, throw a couple of thermal detonators, fire my blasters, and their speeder blows up! \'Course, the explosion took out my friend\'s house. And my speeder. But man! That\'s fighting for freedom! Anyway, reinforcements may be on the way. Can you escort me back safely?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '134', 'm34u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '135', 'm34c', 'I gotta go explain to my commander why I took those detonators. And the speeder. And then I have to find a new house for my friend. Woo, busy day.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '136', 'm34t', 'Alliance Fighter Won\'t Brook Imperial Guff');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '137', 'm35o', 'Thank goodness I ran into you! I\'ve got some important intelligence about the Empire\'s new hyperwave warning systems. I need to get to my contact without delay. Can you give me a hand?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '138', 'm35u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '139', 'm35c', 'Thanks for helping me get here. Even though the New Order promises us security, they never quite deliver, do they?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '140', 'm35t', 'Safeguard new intelligence');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '141', 'm36o', 'An Imperial troop transport landed a couple of miles from here. I\'m pretty sure a new garrison is being built. I need to warn my superiors. Can you come along in case there\'s trouble?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '142', 'm36u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '143', 'm36c', 'I appreciate the help. Let me know if you ever need a hand. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '144', 'm36t', 'Report a new Imperial garrison');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '145', 'm37o', 'It\'s outrageous! The Empire is recruiting young hoodlums to fill out their planetside security forces. As if the ordinary troops aren\'t brutal enough! I\'ve got a list of the officers behind this scheme that Alliance High Command will be interested in reviewing. Can you escort me to my contact point?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '146', 'm37u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '147', 'm37c', 'I\'m most grateful for your assistance. You never know when these brutal, young Imperials will set up an ambush.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '148', 'm37t', 'The Empire is recruiting hoodlums');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '149', 'm38o', 'We\'ve got to hurry! An Imperial probe droid came down not far from here. I had to move quickly to avoid detection. Now I\'m a little turned around. I need to transmit a report about the probe droid to my commander, as soon as possible. Can you show me the way to my signal transmitter? Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '150', 'm38u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '151', 'm38c', 'I couldn\'t have made it here without you. Thanks. Now to transmit a report about that probe droid. I hope I\'m not too late!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '152', 'm38t', 'Report an Imperial probe droid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '153', 'm39o', 'The Empire has dispatched a new prefect to this sector. The man is a sadist and a torturer. I\'ve got to report this to Alliance High Command. I\'d like you to escort me to my hidden signal transmitter, in case the Imperial Security Bureau has heard about my intelligence gathering. If they have, there\'s bound to be trouble.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '154', 'm39u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '155', 'm39c', 'Splendid. Now to transmit my report about the new Imperial prefect. If this man gets his claws into this star system, it\'s going to become an unfriendly place for Alliance agents.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '156', 'm39t', 'Report a sadistic Imperial prefect');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '157', 'm40o', 'I think I lost them, but I can\'t be sure. The Empire recruited some mercenary assassins to track me down. They\'ve been tailing me for three days. I don\'t suppose I can convince you to help me get to my destination safely? There\'s some important Alliance work I must see to.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '158', 'm40u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '159', 'm40c', 'Boy, am I glad you were there to help me. That could have gone a lot worse.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '160', 'm40t', 'Tracked by mercenary assassins');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '161', 'm41o', 'Imperial Intelligence won\'t let me be. I\'ve used so many cover stories that they\'re no longer buying what I\'m selling. I\'ve had three firefights with Imperial soldiers, just in the last few days. I sure could use a hand to get to my Alliance contact in town. I need to hop a transport off this ball before it gets any hotter than it already is.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '162', 'm41u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '163', 'm41c', 'You were a great help. Hopefully we\'ll cross paths again, once this planet becomes a little more hospitable for me. Until then, may the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '164', 'm41t', 'Imperial Intelligence is on the case');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '165', 'm42o', 'Sure is nice to see a friendly face. This area\'s not safe for an Alliance agent to be traveling alone. I\'ve got to get back to town to do some maintenance work on a couple of X-wings that were smuggled in last night. Join me on the trip and put in a good word for you with High Command.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '166', 'm42u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '167', 'm42c', 'This is good, thanks. I can handle it from here. I\'ll pass your name on to High Command. The Alliance needs good operatives like you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '168', 'm42t', 'Escort an X-wing technician');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '169', 'm43o', 'This planet isn\'t nearly as safe as I was led to believe. Can you escort me to my contact point? I\'ve got some information about a clan of Gotals who are interested in joining our cause.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '170', 'm43u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '171', 'm43c', 'Thanks. Hopefully the Gotals can lend some aid against the New Order. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '172', 'm43t', 'Gotals want to help the Alliance');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '173', 'm44o', 'I\'ve got stormtroopers after me! Quick, let\'s get to safety before they get all Alderaan on us. Haul jets, kid!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '174', 'm44u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '175', 'm44c', 'I\'m glad you came along, kid. Nice work. Pure sabacc.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '176', 'm44t', 'Haul jets!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '177', 'm45o', 'I\'m tired of this poodoo. I came to this buzz-infested mudball to help the Alliance, but you nerf-herders couldn\'t tell an asteroid from a Sarlacc pit. So let me make this plain. You\'re going to take me to my extraction coordinates in town and I\'m going to leave this gnardly chunder-pool once and for all. Think you can handle that, you half-credit choobie?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '178', 'm45u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '179', 'm45c', 'Time to get off this wagyx of a planet. Thanks for nothing, sleemo.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '180', 'm45t', 'Escort a cranky agent');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '181', 'm46o', 'Ever wonder how Incom Industries supplies us with X-wings and still keeps the Empire at bay? I\'m the guy who arranges that. The Alliance pays graft to some Imperial insiders of mine, in exchange for sparing Incom. But I don\'t like to drop off a payment without an armed escort. Can you help me with today\'s delivery?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '182', 'm46u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '183', 'm46c', 'That could have turned out much worse if I hand\'t run into you. Thanks. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '184', 'm46t', 'Graft for X-wings');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '185', 'm47o', 'What a drag. My protocol droid is in dire need of a lubrication bath and I\'m stuck out here in this Force-forsaken stretch of nowhere. Can you show me the way back? I\'ve got a meeting with Admiral Ackbar tomorrow and I want my droid to be in peak condition.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '186', 'm47u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '187', 'm47c', 'Thank you ever so much. I do want my protocol droid to be at its when we meet Admiral Ackbar. I\'ll give him a lubrication bath at once.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '188', 'm47t', 'Droid needs a lubrication bath');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '189', 'm48o', 'I lost the retraining bolt from one of my droids. I was using him to transport secret data tapes to Alliance outposts, but now he\'s gone. I\'ve looked all over this area. I need to get back to town and rethink my strategy. Can you give me an escort? Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '190', 'm48u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '191', 'm48c', 'I appreciate it. Now I have to figure out how to scan for that droid before the authorities pick him up.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '192', 'm48t', 'Lost a restraining bolt');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '193', 'm49o', 'Listen up. The Empire has scheduled a planetside tractor beam in this area. If they finish the project, they\'ll be able to snatch Alliance blockade runners right out of orbit. I need to get this information to Alliance High Command, quickly. Some Imperials spotted me out here, so I could use another hand to make sure I get back in one piece. Want to come?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '194', 'm49u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '195', 'm49c', 'You\'re good, my friend. Thanks. I\'ll make my report to High Command at once.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '196', 'm49t', 'Planetside tractor beam?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '197', 'm50o', 'I have contacted someone who may be invaluable to the Alliance. I\'m pretty sure it was an actual Jedi Knight. I\'m a little afraid that this information might make me a target, though, so I\'d be very glad if you could escort me back to town. Do you have time?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '198', 'm50u', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '199', 'm50c', 'Thank you for bringing me here. I know the Alliance often pays agents in trade goods, but credits will do fine. Credits will do fine.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_escort_rebel_easy.stf', '200', 'm50t', 'Possible Jedi ally');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_hunting_neutral_easy.stf', '1', 'number_of_entries', '8');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_hunting_neutral_easy.stf', '2', 'm1t', 'Exterminate these pests!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_hunting_neutral_easy.stf', '3', 'm1o', 'I\'ve had it. These vermin have been bothering my family for a long time. Go thin out their herd. Kill 15 of these creatures.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_hunting_neutral_easy.stf', '4', 'm2o', 'I\'ve spent 40 years of my life working as a trapper, and I\'ve run into hard times my friend.  Lately, these knees aren\'t happy at getting up in the morning, my speeder broke down, and the last treatment from the driod doc emptied out my savings.  \n\nMy boss pays top dollar, but I\'ve got to make a payment soon if I want to keep my house.  If you can head out there and collect 15 pelts for me, I\'ll split the profits with you.  I can take a few days off to give my tired body a rest, and you get some easy cash.  We all come out winners.  Whadyasay?  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_hunting_neutral_easy.stf', '5', 'm2t', 'Help an old trapper');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_hunting_neutral_easy.stf', '6', 'm3o', 'All right, all right, I admit it was a terrible idea.  I had a durni problem around the farm, and I thought introducing a new type of critter would take care of the problem.  What a disaster!\n\nThere isn\'t much I can do at this point other than kill them off.  There are about 15 out there.  For a big time hunter like you this should be no problem.  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_hunting_neutral_easy.stf', '7', 'm3t', 'Eliminate reproductive menace');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_hunting_neutral_easy.stf', '8', 'm4o', 'I\'m part of the Empire, and am often away from home for long periods of time.  I sent my little sister a couple critters to play with and remind her of me.  Little did I know the reproductive menace they would become.  \n\nThese things have spread out of control.  My parents have completely lost it and don\'t know what to do.  I think the right thing for the family is to hire someone to eliminate these overly reproductive pets.  They are out of town for the weekend so now is the time.  Be sure you get all 15, ok?\n');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_hunting_neutral_easy.stf', '9', 'm4t', 'Wipe out critter pets');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_hunting_neutral_easy.stf', '10', 'm5o', 'I can\'t stand these pests!  They get into everything and are everywhere!  I\'ll pay anyone who can figure out a way to keep these horrible, horrible.THINGS away!  If you have the stomach to deal with these meddlesome things, I will pay.  You must kill at least 15 creatures.  I\'ll accept no less!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_hunting_neutral_easy.stf', '11', 'm5t', 'Kill meddlesome creatures');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_hunting_neutral_easy.stf', '12', 'm6o', 'When I was younger, these awful creatures attacked and mutilated me.  Some call me bitter, but I don\'t care!  I have sworn revenge on these nasty brutes.  I now offer a handsome price to anyone who goes out and takes care of these critters in the most brutal way.  \n\nI want them to hurt.  I want them to suffer.  I want them to pay!  Go out there and kill them all!  I pay in 15 critter lots, so don\'t come back until 15 are eliminated.  15 I say! \n');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_hunting_neutral_easy.stf', '13', 'm6t', 'Take vengeance for a bitter old man');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_hunting_neutral_easy.stf', '14', 'm7o', 'Let me tell you what it\'s like to live with a woman who is scared of everything when you work all the time.  It\'s not fun, ok?  Day in and day out I get calls about this little hurt, this latest injury, or random who knows what kind of event.  Blah, blah, blah, I\'m sick of it, ok?  \n\nHer latest problem is an infestation of critters on our land.  Now, they aren\'t actually a problem.  I\'ve already had an exterminator check out the place, and he couldn\'t find anything.  I\'m hiring you to get me some insurance, ok?\n\nIt doesn\'t matter where you get these corpses from, I really don\'t care.  If I can get her to shut up for a minute about it, I might have a chance at getting some sleep.  Just go out there and eliminate 15 of the critters.  That will show her my \'true\' love and devotion.  I need some sleep, help me out, ok?\n');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_hunting_neutral_easy.stf', '15', 'm7t', 'Help a tired man get some rest');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_hunting_neutral_easy.stf', '16', 'm8o', 'I married the most horrible slob of a husband.  He is literally the most useless human in the galaxy.  I bust my but down at the shipyard factory day in and day out.  I have grease stuck in my hair.  I have clothes that always need a wash.  I feel like I always need a bath.  And for what?  So that slug of a husband can sit at home and do what?  Nothing!  His latest adventure is sitting in the room trying to move things with his mind.  That wacko is convinced he can feel the force.  Now I haven\'t seen everything, but I wasn\'t born yesterday.  I\'ve been all around and never seen any \'evidence\' of some all powerful energy field controlling everything.  It\'s kids stuff, that force nonsense.  \n\nMy slob of a husband now complains on a regular basis about the animals, making noise, disturbing his mental concentration, etc.  This Jedi thing of his is a fad, just like all his other crazy ideas.  Go ahead and round up 15 animals so I don\'t have to hear his whining anymore.  \n');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_hunting_neutral_easy.stf', '17', 'm8t', 'Restore marriage harmony');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_hunting_neutral_hard.stf', '1', 'number_of_entries', '8');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_hunting_neutral_hard.stf', '2', 'm1t', 'Exterminate these pests!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_hunting_neutral_hard.stf', '3', 'm1o', 'I\'ve had it. These vermin have been bothering my family for a long time. Go thin out their herd. Kill 45 of these creatures.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_hunting_neutral_hard.stf', '4', 'm2o', 'I\'ve spent 40 years of my life working as a trapper, and I\'ve run into hard times my friend.  Lately, these knees aren\'t happy at getting up in the morning, my speeder broke down, and the last treatment from the driod doc emptied out my savings.  \n\nMy boss pays top dollar, but I\'ve got to make a payment soon if I want to keep my house.  If you can head out there and collect 45 pelts for me, I\'ll split the profits with you.  I can take a few days off to give my tired body a rest, and you get some easy cash.  We all come out winners.  Whadyasay?  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_hunting_neutral_hard.stf', '5', 'm2t', 'Help an old trapper');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_hunting_neutral_hard.stf', '6', 'm3o', 'All right, all right, I admit it was a terrible idea.  I had a durni problem around the farm, and I thought introducing a new type of critter would take care of the problem.  What a disaster!\n\nThere isn\'t much I can do at this point other than kill them off.  There are about 45 out there.  For a big time hunter like you this should be no problem.  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_hunting_neutral_hard.stf', '7', 'm3t', 'Eliminate reproductive menace');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_hunting_neutral_hard.stf', '8', 'm4o', 'I\'m part of the Empire, and am often away from home for long periods of time.  I sent my little sister a couple critters to play with and remind her of me.  Little did I know the reproductive menace they would become.  \n\nThese things have spread out of control.  My parents have completely lost it and don\'t know what to do.  I think the right thing for the family is to hire someone to eliminate these overly reproductive pets.  They are out of town for the weekend so now is the time.  Be sure you get all 45, ok?\n');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_hunting_neutral_hard.stf', '9', 'm4t', 'Wipe out critter pets');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_hunting_neutral_hard.stf', '10', 'm5o', 'I can\'t stand these pests!  They get into everything and are everywhere!  I\'ll pay anyone who can figure out a way to keep these horrible, horrible.THINGS away!  If you have the stomach to deal with these meddlesome things, I will pay.  You must kill at least 45 creatures.  I\'ll accept no less!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_hunting_neutral_hard.stf', '11', 'm5t', 'Kill meddlesome creatures');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_hunting_neutral_hard.stf', '12', 'm6o', 'When I was younger, these awful creatures attacked and mutilated me.  Some call me bitter, but I don\'t care!  I have sworn revenge on these nasty brutes.  I now offer a handsome price to anyone who goes out and takes care of these critters in the most brutal way.  \n\nI want them to hurt.  I want them to suffer.  I want them to pay!  Go out there and kill them all!  I pay in 45 critter lots, so don\'t come back until 15 are eliminated.  15 I say! \n');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_hunting_neutral_hard.stf', '13', 'm6t', 'Take vengeance for a bitter old man');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_hunting_neutral_hard.stf', '14', 'm7o', 'Let me tell you what it\'s like to live with a woman who is scared of everything when you work all the time.  It\'s not fun, ok?  Day in and day out I get calls about this little hurt, this latest injury, or random who knows what kind of event.  Blah, blah, blah, I\'m sick of it, ok?  \n\nHer latest problem is an infestation of critters on our land.  Now, they aren\'t actually a problem.  I\'ve already had an exterminator check out the place, and he couldn\'t find anything.  I\'m hiring you to get me some insurance, ok?\n\nIt doesn\'t matter where you get these corpses from, I really don\'t care.  If I can get her to shut up for a minute about it, I might have a chance at getting some sleep.  Just go out there and eliminate 45 of the critters.  That will show her my \'true\' love and devotion.  I need some sleep, help me out, ok?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_hunting_neutral_hard.stf', '15', 'm7t', 'Help a tired man get some rest');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_hunting_neutral_hard.stf', '16', 'm8o', 'I married the most horrible slob of a husband.  He is literally the most useless human in the galaxy.  I bust my but down at the shipyard factory day in and day out.  I have grease stuck in my hair.  I have clothes that always need a wash.  I feel like I always need a bath.  And for what?  So that slug of a husband can sit at home and do what?  Nothing!  His latest adventure is sitting in the room trying to move things with his mind.  That wacko is convinced he can feel the force.  Now I haven\'t seen everything, but I wasn\'t born yesterday.  I\'ve been all around and never seen any \'evidence\' of some all powerful energy field controlling everything.  It\'s kids stuff, that force nonsense.  \n\nMy slob of a husband now complains on a regular basis about the animals, making noise, disturbing his mental concentration, etc.  This Jedi thing of his is a fad, just like all his other crazy ideas.  Go ahead and round up 45 animals so I don\'t have to hear his whining anymore.  \n');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_hunting_neutral_hard.stf', '17', 'm8t', 'Restore marriage harmony');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_hunting_neutral_medium.stf', '1', 'number_of_entries', '8');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_hunting_neutral_medium.stf', '2', 'm1t', 'Exterminate these pests!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_hunting_neutral_medium.stf', '3', 'm1o', 'I\'ve had it. These vermin have been bothering my family for a long time. Go thin out their herd. Kill 30 of these creatures.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_hunting_neutral_medium.stf', '4', 'm2o', 'I\'ve spent 40 years of my life working as a trapper, and I\'ve run into hard times my friend.  Lately, these knees aren\'t happy at getting up in the morning, my speeder broke down, and the last treatment from the driod doc emptied out my savings.  \n\nMy boss pays top dollar, but I\'ve got to make a payment soon if I want to keep my house.  If you can head out there and collect 30 pelts for me, I\'ll split the profits with you.  I can take a few days off to give my tired body a rest, and you get some easy cash.  We all come out winners.  Whadyasay?  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_hunting_neutral_medium.stf', '5', 'm2t', 'Help an old trapper');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_hunting_neutral_medium.stf', '6', 'm3o', 'All right, all right, I admit it was a terrible idea.  I had a durni problem around the farm, and I thought introducing a new type of critter would take care of the problem.  What a disaster!\n\nThere isn\'t much I can do at this point other than kill them off.  There are about 30 out there.  For a big time hunter like you this should be no problem.  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_hunting_neutral_medium.stf', '7', 'm3t', 'Eliminate reproductive menace');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_hunting_neutral_medium.stf', '8', 'm4o', 'I\'m part of the Empire, and am often away from home for long periods of time.  I sent my little sister a couple critters to play with and remind her of me.  Little did I know the reproductive menace they would become.  \n\nThese things have spread out of control.  My parents have completely lost it and don\'t know what to do.  I think the right thing for the family is to hire someone to eliminate these overly reproductive pets.  They are out of town for the weekend so now is the time.  Be sure you get all 30, ok?\n');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_hunting_neutral_medium.stf', '9', 'm4t', 'Wipe out critter pets');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_hunting_neutral_medium.stf', '10', 'm5o', 'I can\'t stand these pests!  They get into everything and are everywhere!  I\'ll pay anyone who can figure out a way to keep these horrible, horrible.THINGS away!  If you have the stomach to deal with these meddlesome things, I will pay.  You must kill at least 30 creatures.  I\'ll accept no less!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_hunting_neutral_medium.stf', '11', 'm5t', 'Kill meddlesome creatures');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_hunting_neutral_medium.stf', '12', 'm6o', 'When I was younger, these awful creatures attacked and mutilated me.  Some call me bitter, but I don\'t care!  I have sworn revenge on these nasty brutes.  I now offer a handsome price to anyone who goes out and takes care of these critters in the most brutal way.  \n\nI want them to hurt.  I want them to suffer.  I want them to pay!  Go out there and kill them all!  I pay in 30 critter lots, so don\'t come back until 15 are eliminated.  15 I say! \n');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_hunting_neutral_medium.stf', '13', 'm6t', 'Take vengeance for a bitter old man');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_hunting_neutral_medium.stf', '14', 'm7o', 'Let me tell you what it\'s like to live with a woman who is scared of everything when you work all the time.  It\'s not fun, ok?  Day in and day out I get calls about this little hurt, this latest injury, or random who knows what kind of event.  Blah, blah, blah, I\'m sick of it, ok?  \n\nHer latest problem is an infestation of critters on our land.  Now, they aren\'t actually a problem.  I\'ve already had an exterminator check out the place, and he couldn\'t find anything.  I\'m hiring you to get me some insurance, ok?\n\nIt doesn\'t matter where you get these corpses from, I really don\'t care.  If I can get her to shut up for a minute about it, I might have a chance at getting some sleep.  Just go out there and eliminate 30 of the critters.  That will show her my \'true\' love and devotion.  I need some sleep, help me out, ok?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_hunting_neutral_medium.stf', '15', 'm7t', 'Help a tired man get some rest');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_hunting_neutral_medium.stf', '16', 'm8o', 'I married the most horrible slob of a husband.  He is literally the most useless human in the galaxy.  I bust my but down at the shipyard factory day in and day out.  I have grease stuck in my hair.  I have clothes that always need a wash.  I feel like I always need a bath.  And for what?  So that slug of a husband can sit at home and do what?  Nothing!  His latest adventure is sitting in the room trying to move things with his mind.  That wacko is convinced he can feel the force.  Now I haven\'t seen everything, but I wasn\'t born yesterday.  I\'ve been all around and never seen any \'evidence\' of some all powerful energy field controlling everything.  It\'s kids stuff, that force nonsense.  \n\nMy slob of a husband now complains on a regular basis about the animals, making noise, disturbing his mental concentration, etc.  This Jedi thing of his is a fad, just like all his other crazy ideas.  Go ahead and round up 30 animals so I don\'t have to hear his whining anymore.  \n');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_hunting_neutral_medium.stf', '17', 'm8t', 'Restore marriage harmony');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '1', 'm10o', 'Imerial Security has captured a Rebel spy posing as a wandering musician. Go to the venue he was known to frequent. Play his usual list of pieces. We will quickly and quietly intercept anyone who might approach you. A 10 minute performance is necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '2', 'm10s', 'Excellent work! We found some suspicious looking characters lurking around the periphery and have brought them in for interrogation. Your service has been noted.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '3', 'm10t', 'Intercepting Rebel Spies');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '4', 'm11o', 'Are you really giving your all for the Empire? It is the responsibility of all Imperial citizens -- most especially its artists! -- to support the Empire. I might also add, the Moff has authorized small stipends for artists who extol the virtues of Imperial rule. Yes, I thought that might get your attention. A 10 minute performance is necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '5', 'm11s', 'Loyalty is rewarded. Disloyalty is...well, in this case there\'s no need to go in to that. That is all.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '6', 'm11t', 'Virtues of The Empire');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '7', 'm12o', 'All intelligent beings know that Imperial musicians have superior technique compared to those Rebel amateurs. As the populace at large are well known to be a bit on the dim side, the Imperial Board of Culture is making funds available for Imperial performers to demonstrate their superiority to all. A 10 minute performance is necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '8', 'm12s', 'I assume you gave a worthy performance. Funds have been deposited.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '9', 'm12t', 'Superior Skill');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '10', 'm13o', 'Certain parties in this office have spent most of the arts budget on, shall we say, extracurricular activities. It now behooves us to quiet auditors\' suspicions. Go to these coordinates, which happen to be on the path of a city inspection tour, and give an exceptional performance, so the arts will be seen to flourish. A 10 minute performance is necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '11', 'm13s', 'As it happens, the inspection was cancelled. It seems that higher-ups deemed the inspection frivolous. The news arrived too late to prevent depositing your fee.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '12', 'm13t', 'The Arts Budget');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '13', 'm14o', 'The music of Dobi Deene is making a comeback. Personally, I think that Old Republic stuff is about as enjoyable as last year\'s flatbread, but COMPNOR doesn\'t seem to have a problem with it. If you know some Dobi Deene tunes and are willing to play them, go to it. A 10 minute performance is necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '14', 'm14s', 'COMPNOR has determined that the music of Dobi Deene represents a decadent and corrupt period in our history. This incident will be noted on your permanent record. That is all.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '15', 'm14t', 'Old Republic Music');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '16', 'm15o', 'A talent scout for the Imperial Symphony Orchestra is on this planet searching for undiscovered artists. There is an open call for musicians to go to this venue and record a demonstration. A small fee is to be paid for your time. A 10 minute performance is necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '17', 'm15s', 'Audition demo received. You may be contacted later if your submission suits Imperial needs. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '18', 'm15t', 'Symphony Talent Scout');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '19', 'm16o', 'The flagging moral standard of the music community is under scrutiny by Imperial Security. Too many musicians are far more concerned with \"popularity\" than with how they reflect the Empire\'s grandeur. I hope you are not one of these. Go to this location at once and provide a music sample for analysis. A 10 minute performance is necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '20', 'm16s', 'All is well. Your music was found to be sufficiently inoffensive that it will not need further scrutiny. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '21', 'm16t', 'Musical Scrutiny');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '22', 'm17o', 'Who doesn\'t love an Imperial marching band? The sound of a jangler, the blare of a woot horn -- with that fanfare it\'s no wonder children across the Empire want to  grow up to be stormtroopers. In that spirit, you are to go this venue and inspire people with your music. Perhaps someone will join up one day because of you. A 10 minute performance is necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '23', 'm17s', 'Very well. Official policy is that we each serve the Empire in our own way. The principal servants fight, but lesser lights can still use their talents to inspire the soldiers.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '24', 'm17t', 'Inspire the Young');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '25', 'm18o', 'A new grant from the planetary authority is earmarked for \"encouragement of local musical arts.\" It is not for me to question the dictates of our Moff. Hence, we are offering a rather too-generous stipend for a musical performance at the venue designated by the grant committee. Go there and do -- whatever it is you do. A 10 minute performance is necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '26', 'm18s', 'I shall report to the planetary authority that you have discharged the obligations of the grant without provoking untoward remarks. That is all.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '27', 'm18t', 'Moff\'s Grant to Encourage Music');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '28', 'm19o', 'It is undeniable that the musical professions are noted for scandal and debauchery. That said, a certain judicious tolerance of music is valuable in encouraging morale among our soldiers, not to mention the citizens. A line item in our budget requires us to commission performers like yourself to perform in a designated venue. Go. Play. A 10 minute performance is necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '29', 'm19s', 'Your performance was acceptable. Note that conduct indicative of debauchery or scandal will be met with the harshest punishment. That is all.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '30', 'm19t', 'Play Without Debauchery');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '31', 'm1o', 'I have a report from one of our spies, who are everywhere, that you fancy yourself a musician. Is this true? It had better be. You are being hired to go to the designated location and play inspiring and patriotic songs for anyone in that area. A 10 minute performance is necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '32', 'm1s', 'How did your performance go? No matter. Payment has been made for your service.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '33', 'm1t', 'You\'re Hired');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '34', 'm20o', 'The Imperial Ballet Company is sending scouts to this world in search of potential musicians. I am told that providing a talented musician may prompt favorable attention from our beloved Emperor himself. To that end, I order you to perform in a duly virtuosic and sprightly manner for the scout at the designated locale. At once! A 10 minute performance is necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '35', 'm20s', 'The scout appears to have been waylaid before arriving on this world. Apparently some kind of scandal involving a Twi\'lek dancer. How typical.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '36', 'm20t', 'Imperial Ballet Talent Scout');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '37', 'm21o', 'A memo from sector headquarters reminds us of the imperative need to maintain Imperial standards of decorum. Recently, licentious \"fizz music\" has been performed in a venue frequented by Imperial soldiers. Remediation of this offense falls to you. Go to this venue and provide a finer, more upstanding example of Imperial music. A 10 minute performance is necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '38', 'm21s', 'I have heard no reports associating your performance with unusually immoral behavior. Hence I shall report the \"fizz incident\" closed. That is all.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '39', 'm21t', 'Intolerable Incident of Fizz Music');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '40', 'm22o', 'I am in possession of a recording -- \"Dance Lords of the Bith\" -- confiscated from a junior Imperial officer who should know better. The officer is being sharply disciplined, of course, but the incident indicates a scandalous laxity in musical practice. You will go to a designated venue and perform music more suitably Imperial. A 10 minute performance is necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '41', 'm22s', 'So long as no reports reach this office associating your performance with impure alien ideas, we shall consider this \"Dance Lords\" matter closed. Tell no one, of course.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '42', 'm22t', '\"Dance Lords\" Recording Confiscated');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '43', 'm23o', 'Owing to a recent purge of Rebel sympathizers, our spies, who are everywhere, have noted a decline in citizens\' morale. I regard such issues as minor, but in fact a line item in this office\'s budget does go toward hiring musicians to increase morale. Therefore, you are hereby commissioned to perform at the designated venue. Go. A 10 minute performance is necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '44', 'm23s', 'You are hereby compensated for the performance. I suppose a happy populace means greater security for our soldiers, so all is probably well.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '45', 'm23t', 'Line Item to Increase Morale');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '46', 'm24o', 'This office\'s budget is classified \"Secret.\" An item within that budget allots funds for a certain purpose, also classified. To achieve that purpose, you are to go to the designated venue and execute a musical performance of the required duration. Tell no one! A 10 minute performance is necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '47', 'm24s', 'That is acceptable. Compensation is attached. Tell no one!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '48', 'm24t', 'Performance Classification SECRET');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '49', 'm25o', 'A fugitive Rebel sympathizer is known to prefer the type of musical performance that you execute. I am laying a trap for this sympathizer, with you as the bait. Perform at the designated venue for the designated duration. Our spies, who are ubiquitous, will note the sympathizer\'s presence and report. Tell no one, or it will go badly for you. A 10 minute performance is necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '50', 'm25s', 'Our spies did indeed identify the sympathizer. You may expect any future audience for your work to be reduced in size by one.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '51', 'm25t', 'Trap for Rebel Sympathizer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '52', 'm26o', 'This office is assigned to arrange the local performance of a new composition commissioned by the Imperial Ballet Company, \"Forward to Greater Grandeur.\" Certain problems have arisen; these problems are classified. To fulfill the contract with the chosen venue, we shall send you instead. Go, and do not disappoint us. A 10 minute performance is necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '53', 'm26s', 'You show an admirable willingness to rise to the emergency. So long as you told no one of the reason for your performance, this will reflect well on you. That is all.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '54', 'm26t', 'Emergency Musical Substitution');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '55', 'm27o', 'COMPNOR\'s current morale-building initiative calls for an Imperial Center musician to tour designated venues on this world. It is not for me to question the wisdom of the substantial resources invested in this project. However, the musician has been delayed offworld. Our venue requires a performer. That will be you. At once! A 10 minute performance is necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '56', 'm27s', 'You have fulfilled your duty to the Empire, insofar as this relates to musical performance. Never forget: Imperial duty also dictates the highest moral conduct. That is all.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '57', 'm27t', 'Replacement for COMPNOR Initiative');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '58', 'm28o', 'The Moff plans an entertaining diversion for a certain celebrity scheduled to visit the planetary headquarters. The celebrity\'s identity is classified. The Moff wishes this office to audition suitable performers in a natural venue. You are to perform for the designated duration at the designated coordinates. Our spies will rate your performance. A 10 minute performance is necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '59', 'm28s', 'The spies report that your performance failed to meet the Moff\'s high standards. You may address complaints, if any, to the Imperial Security Bureau. I consider complaints inadvisable.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '60', 'm28t', 'Audition for Moff Diversion');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '61', 'm29o', 'The Rebellion is known to attract many lowlife show-business performers. You, however, are above suspicion for the moment. Therefore we wish you to perform at the designated venue, in a casual, anti-authoritarian manner, and note the identities of all individuals who express to you anti-Imperial sentiments. We shall debrief you later. A 10 minute performance is necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '62', 'm29s', 'Our commander has ruled the initiative to identify Rebel sympathizers through musical performance ineffective. Debriefing is cancelled. That is all.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '63', 'm29t', 'Identify Rebels Through Music');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '64', 'm2o', 'I hear that fizz music is very popular. Do you play fizz music? We are looking for musicians who can play fizz-like music, but with a higher moral standard. Songs about our beloved Emperor or the end of Old Republic corruption would be best. Go to these coordinates and play. A 10 minute performance is necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '65', 'm2s', 'Fizz music and all variants have been declared inappropriate by the Imperial Board of Culture, and no further attempts to render it acceptable will be made.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '66', 'm2t', 'All That Fizz');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '67', 'm30o', 'A particular alien musician has attracted so much attention, it is advancing into the upper reaches of respectable society. Aliens are well and good in their place, but this one must be stopped. You are to perform at the designated venue; we have arranged that this will pre-empt the performance by the undesirable alien. Go now. A 10 minute performance is necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '68', 'm30s', 'We have reliable reports from our spies that the alien performer has now moved offworld. Now we may relax. Job well done, agent!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '69', 'm30t', 'Pre-Empt Alien Musician');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '70', 'm31o', 'Ponder the dynamics of Imperial budget allocation. Credits are alloted to me for \"encouraging local morale through artistic performance.\" Should I fail to spend them in this period, my next budget will be reduced -- not only in this preposterous item, but even in significant ways. Therefore I commission you to perform at the designated venue. A 10 minute performance is necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '71', 'm31s', 'For the record, I acknowledge that through your performance this office has encouraged local morale. In the future, get out of my sight.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '72', 'm31t', 'Budgetary Requirement for Music');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '73', 'm32o', 'A certain disreputable element is manifesting in venues patronized by Imperial soldiers. This is perhaps inevitable where musicians flourish. However, this office has a budget for disseminating proper Imperial culture. Go and perform at the designated venue. Work to elevate the cultural level of the wretched hive. A 10 minute performance is necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '74', 'm32s', 'I am still consolidating our spies\' reports on your performance. Until I assess the verdict, I shall conditionally congratulate you and release your payment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '75', 'm32t', 'Raise Culture to Imperial Levels');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '76', 'm33o', 'The Empire is vigilant for signs of corrupt, decadent art. We purge decadent performers mercilessly. However, we must also show a constructive, even pleasant aspect, encouraging decent, patriotic entertainment. This improves morale. Therefore, we commission you to perform at the designated venue. Refusal is a sign of decadence. A 10 minute performance is necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '77', 'm33s', 'Reports have reached this office of a disturbing whiff of corruption in your recent performance. You will receive payment this time, but understand: We shall watch you more closely in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '78', 'm33t', 'Stamp Out Decadent Art');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '79', 'm34o', 'A Moff in a nearby sector fancies himself a composer. Our own Moff, as a favor, has agreed to have his composition \"My Imperial Heart\" performed widely on this world. We have not yet received the music for this piece. Ergo, we order you to perform a piece of your choice at the designated venue. Be sure to call it \"My Imperial Heart.\" A 10 minute performance is necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '80', 'm34s', 'Did you announce the title of the piece as \"My Imperial Heart\"? Do not prevaricate, for our spies are everywhere.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '81', 'm34t', 'My Imperial Heart');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '82', 'm35o', 'This office has been ordered to test the acoustics of public buildings on this world. I believe this is to assess the theoretical effectiveness of sonic weapons in indoor battles. Fear not -- we won\'t be firing weapons in this test! Rather, you must perform your music in the designated venue, and our spies will collect the acoustic readings. A 10 minute performance is necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '83', 'm35s', 'You are of course aware that the reason for your performance is classified. If you have told anyone, it will go badly for you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '84', 'm35t', 'Public Building Acoustics Test');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '85', 'm3o', 'Imperial Security personell have been frequenting places that play music encouraging lascivious behavior. We want you to go to this venue and play the kind of music that will remind people of their moral obligations. A 10 minute performance is necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '86', 'm3s', 'People need to be reminded of their duty. A certain level of Imperial dignity must be maintained. That is all.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '87', 'm3t', 'Lascivious Behavior');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '88', 'm4o', 'A famous travelling band will be playing at an establishment popular with the local troopers. The venue needs you to play before the band arrives so they can test the acoustics. If you can play the -- let me see here -- the \"synth-harmonica,\" that would be even better. What? Don\'t tell me, tell them. Go! A 10 minute performance is necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '89', 'm4s', 'Perhaps one day you\'ll be headlining and entertaining the troops with your own music. For whatever that may be worth.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '90', 'm4t', 'Sound Check');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '91', 'm5o', 'Some musicians suspected of being Rebel sympathizers gather locally and have a regular jam session. We want you to go and sit in with these wretches. Play along and find out what you can. You will be debriefed later. A 10 minute performance is necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '92', 'm5s', 'It turns out the musicians were all Imperial spies, posing as Rebel sympathizers. The sessions have been cancelled, as they serve no useful purpose.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '93', 'm5t', 'Rebel Musicians');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '94', 'm6o', 'Imperial Security is recording soothing music to play in public turbolifts. The music will include subliminal messages encouraging patriotism. Hurry to this venue and play some song you think appropriate. You may find your fee quite soothing as well. A 10 minute performance is necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '95', 'm6s', 'The next time you\'re in a turbolift, you may only have yourself to blame for the quality of music.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '96', 'm6t', 'Subliminal Turbolift Music');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '97', 'm7o', 'Evidently a musical band exists calling themselves the \"Dead Rebels.\" The Moff is having them play a social event, but their touchboard player has fallen ill and they need someone to fill in. Go to the appointed venue and record tunes for evaluation. A 10 minute performance is necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '98', 'm7s', 'The Dead Rebels apparently heard your recordings. They have paid you to stay away from their engagement. That is all.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '99', 'm7t', 'Dead Rebels');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '100', 'm8o', 'When troopers come back from a combat zone, they\'re ready to relax. This is not optimal. A purchase order from the morale budget requires you to go to this establishment and play songs that will encourage zealous enthusiasm for the battles ahead. A 10 minute performance is necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '101', 'm8s', 'Not many troopers there? Well, no matter. The morale budget had no better use anyway. Foolish idea, a \"morale budget.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '102', 'm8t', 'Morale Budget Purchase Order');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '103', 'm9o', 'COMPNOR suspects the Rebels may be coding messages into popular music. Go to these coordinates and play some popular songs. Our spies, who are everywhere, will be watching your performance in hopes of catching anyone who might cavort or sway in a suspicious manner. A 10 minute performance is necessary.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '104', 'm9s', 'No arrests have been made at this time. You have been paid for your part in this matter and should not inquire further.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '105', 'm9t', 'Popular Coded Message Music');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_imperial_easy.stf', '106', 'number_of_entries', '35');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '1', 'm10o', 'Tatooine Blues music is all the rage these days. Can\'t say that I care for it much myself, but I\'m not paid to be a music critic. I need a musician that\'s familiar with some of these recent trends to play at the following coordinates. If you don\'t know any Tatooine Blues songs, don\'t worry - fake it like most of them do. I\'ll pay you when the gig is over. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '2', 'm10s', 'You never told me you could perform some Blaster Rays tunes. I gotta keep you in mind for some of my more \"eclectic\" patrons. Enjoy your credits, friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '3', 'm10t', 'Play the Blues');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '4', 'm11o', 'If you ask me, a musician\'s goal is to be banned by the Imperial Board of Culture. Take Deeply Religious, for example. Do you think you\'d actually know who that band was if it hadn\'t been for the actions of the IBC? I got a gig coming up where you can make your mark. Head to these coordinates and start offending the Empire, friend. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '5', 'm11s', 'Keep that up and the Empire will ban you for certain. I\'ll watch your career with great interest. Come see me again for more gigs.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '6', 'm11t', 'Offend the Empire');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '7', 'm12o', 'Dusk music is so overrated. Anyone can do dark and moody. If you really want to impress people, try doing something uplifting and moving. But it\'s gotta have a great beat, something you can dance to, ya know? If that describes your style, then I\'ve got a gig lined up that you could really take advantage of. Go to these coordinates and do your thing. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '8', 'm12s', 'You never know when the mood to dance will strike someone, friend, so I wouldn\'t worry too much about that. Good job overall, I\'d say. I\'ve included a generous tip in your pay. Enjoy!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '9', 'm12t', 'Dance the Night Away');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '10', 'm13o', 'I\'ve met a few aubade masters in my day, and let me tell you those musicians get all sorts of perks - money, suitors, influential patrons, you name it. But they all had to start somewhere and here is where they usually did it. I got a gig for a musician that aspires to rise to such heights. If you\'re interested, head to these coordinates. Your pay comes after the gig is over. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '11', 'm13s', 'You just might have master potential in you. Practice makes perfect, as they say. Your fee has been deposited. See me again for more gigs.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '12', 'm13t', 'Become a Master Musician');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '13', 'm14o', 'Can\'t say as I understand glimmik music all that well. Maybe I lack the appropriate auditory senses to truly appreciate it. You a fan of that sort of music, friend? Can you play it? Or at least fake it? Head to this establishment and give those patrons a performance of glimmik music. Or whatever you happen to know. I bet most of them won\'t be able to tell the difference. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '14', 'm14s', 'See? Glimmik music is either the most misunderstood form of music in the galaxy or else no one really knows what it is. Good show. Your fee\'s been transmitted.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '15', 'm14t', 'Play That Glimmik Music');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '16', 'm15o', 'You wanna know a great band? Hyperspaze and the Jump Lanes! Now that was a great band! You put together a band like that and you\'ll carve your name in galactic history. But first, you gotta practice. Head to these coordinates and show them that you\'ve got what it takes to become a musical legend. I\'ll pay you after you\'ve made your point. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '17', 'm15s', 'The patrons were fairly amused, which is all that counts, really. Enjoy the fruits of your labors. And come see me for more gigs.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '18', 'm15t', 'The Next Great Band');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '19', 'm16o', 'A kloo horn can make a good weapon in a pinch. Not that you have to have a kloo horn for this gig or that you would need to use it as a weapon if you did. So you still interested in peforming at this joint? If so, head to these coordinates. Remember, if the crowd starts to get a bit... rowdy, keep your eyes on the exits. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '20', 'm16s', 'All went well, I see. Excellent! I knew that joint was a safe place to play. So no hazard pay needed. Your fee\'s been deposited. Come see me again soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '21', 'm16t', 'A Tough Crowd');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '22', 'm17o', 'Ludurian nose flutes are quite hard to master. Have you ever tried playing those? I get lots of requests for nose flutists, for some reason. But failing that, I gotta send what I have at hand, right? So the gig is yours if you want it. Play your heart out and the proprietor will show appreciation by including a generous tip for you. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '23', 'm17s', 'I understand you made sounds quite similar to those made by nose flutes, which is pretty close to what was asked for. Your fee has been deposited, and yes, it includes the proprietor\'s tip.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '24', 'm17t', 'The Melodic Sounds of Nose Flutes');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '25', 'm18o', 'The rules of fame are easy: Play turbolift music and the galaxy will ignore you; play offensive music and you\'ll go down in the annals of musical history. The band Red Shift Limit is living proof of this, friend. If you think you can offend with as much finesse as these beings, then I\'ve got a gig for you. Head to these coordinates and offend away. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '26', 'm18s', 'Well, it does seem you managed to offend some patrons. I suppose you need to work on refining that skill, but overall it was well done. Enjoy your credits.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '27', 'm18t', 'Fame');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '28', 'm19o', 'One day you\'ll look back fondly on these days of playing every seedy joint in the galaxy just to scrape together a living. Fame has its price and it usually involves \"losing\" who you really are to the screeching crowds, the millions of credits, the opulent lifestyle. So when you play tonight, friend, think of that. Who knows it might improve your performance. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '29', 'm19s', 'Looks like fame and fortune is still a ways off for you, friend. Good work out there today. Come see me for more career-building gigs.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '30', 'm19t', 'Remain True To Your Music');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '31', 'm1o', 'You know how to play a Bontormian Klesplong? Well, it doesn\'t really matter. If you can play any sort of instrument, I got a gig for you. Head over to these coordinates and work your magic, friend. I want that crowd up on its feet (or the equivalent) and swaying to the music. I take care of the money, you worry about your performance. Go to it! Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '32', 'm1s', 'Is it safe to say that you have rhythm in your soul? Nah, probably not. But a decent job nonetheless. I\'ve deposited your credits, friend. See me again for more gigs.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '33', 'm1t', 'Rhythm In Your Soul');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '34', 'm20o', 'Everyone\'s a music critic. This particular proprietor has not been happy with the last few musical acts I\'ve booked for his establishment. I\'m desperate and need someone of rare talent to play this venue and show the crowd that I can still pick a winner. You willing to do that, friend? Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '35', 'm20s', 'Do I still got it or do I still got it? I knew you\'d pull through for me. It\'s a pleasure to work with such talent.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '36', 'm20t', 'Impress the Music Critics');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '37', 'm21o', 'Looking for venues for your musical skills? I can help you out, friend. Head to these coordinates and entertain the crowd. I don\'t need to know what instrument you play or what style of music. If you\'re good, I can use you and this gig will determine that. Good luck. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '38', 'm21s', 'Okay, so you\'re pretty decent. I can use more musicians like you. Your fee\'s been desposited. I\'m sure you\'ll find it fair given your performance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '39', 'm21t', 'Search For Musical Venues');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '40', 'm22o', 'The galaxy would be a much darker place without music, don\'t you agree? I\'m glad the Empire has not stamped out all originality in music. Would your music be classified as original, friend? \'Cuz I have some great gigs for original artists. Head to these coordinates and show the Empire that they\'ll never be able to crush the soul of music. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '41', 'm22s', 'Your performance was full of soul, friend, as it moved several patrons to tears. You\'ve earned your pay. See me for more gigs.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '42', 'm22t', 'Soul Music');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '43', 'm23o', 'You may not get rich with me or even be remembered in a few years, but you\'ll be able to make ends meet. I got a gig at these coordinates. Head there, play your set, and you\'re done. I\'ll pay you if the crowd appreciates your efforts. That\'s how this business works, kid. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '44', 'm23s', 'The fact that your pay was deposited should indicate to you that the crowd was mostly appreciative of your talent. Come see me again, I got more gigs.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '45', 'm23t', 'Pay the Bills');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '46', 'm24o', 'There are a lot of unscrupulous agents out there, friend, just waiting to take advantage of an up-and-coming talent such as yourself. You gotta keep focused and alert and make sure no one is exploiting you. This gig I got lined up for you here, for example, is a clean establishment with decent clientele. Entertain those folks and you\'ll get paid. Simple, huh? Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '47', 'm24s', 'Well, well, well, if that wasn\'t a grand performance. Nice job, kid. I can nurture talent like yours and make sure you get rich quick. Come back and see me soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '48', 'm24t', 'A Helpful Musical Agent');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '49', 'm25o', 'A friend of mine insists that yerk music cubes will replace live musicians. I keep telling him he\'s gone soft in the head. You ever heard one of those things play? It sounds like screeching Jawas. Anyway, I got a gig that doesn\'t call for a music cube but for a live musician instead. Head to these coordinates and show the crowd you won\'t become obsolete anytime soon. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '50', 'm25s', 'Hmm, maybe my friend had a point there. Well, you certainly entertained the crowd, such as it was. Your fee\'s been deposited.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '51', 'm25t', 'Live Music Is Best');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '52', 'm26o', 'Love your look, kid! You got star quality written all over you, and I don\'t say that to just everybody. You need to play, right? I got a gig. You won\'t find a better gig anywhere else, so trust me, kid. I got the coordinates, I got the payment arranged. You just go there, play your set, and check back with me. Hokey dokey? Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '53', 'm26s', 'I admire your style, kid. That was fine, fine. And I don\'t say that to just everybody. Here\'s your fee, minus my reasonable commission of course.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '54', 'm26t', 'Star Quality Written All Over You');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '55', 'm27o', 'I\'ve worked with the best in the business, kid. Now I\'m offering you a chance at the big time. You\'ve got to take advantage of this gig right now, or it\'s off. I need a decision here and now. Money? Location? Just trust me, it\'s all taken care of. I need a yes right now. What do you say? Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '56', 'm27s', 'Glad you could take care of that little gig. Three others bailed on me before you. Musicians! You\'re all alike! Here you go, look me up when you need more work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '57', 'm27t', 'Limited-Time Engagement Only');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '58', 'm28o', 'I can\'t believe this opportunity! The Modal Nodes are looking for an opening act, and you\'re standing right here! I need you, kid! Get over to these coordinates, and don\'t get shy at the enormous crowd. This is your big break! Go for it! Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '59', 'm28s', 'Sorry, the Modal Nodes had to cancel. What, I didn\'t tell you? Sorry, I\'ve been busy. Here\'s your fee, minus my cut. Stardom, that\'s an elusive goal, kid. You\'ve got to keep plugging.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '60', 'm28t', 'Opening Act');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '61', 'm29o', 'True, my rise to power in the music business has left a few bruises on the people under me. But you shouldn\'t worry about rumors and reputation -- a trusting relationship between artist and manager is the key to success. I can make you a star, just like I made stars out of those ingrates before. But it\'ll be different! What do you say? Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '62', 'm29s', 'You\'re not bad, kid. I expect this will develop into something nice. Don\'t go working for others, now. That only ruins a trusting relationship.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '63', 'm29t', 'Need Talented Newcomers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '64', 'm2o', 'They say only Bith can really play an Ommni Box. Do you think that\'s true? If you think you can prove something either way, head to this location and entertain the crowd. If you don\'t have an Ommni Box, then settle the matter with whatever instrument you do happen to have. I\'ll pay you when you\'ve finished your set. Knock \'em dead, kid. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '65', 'm2s', 'I\'m not sure if you settled anything in regards to the Bith question, but you did entertain. Enjoy your credits, friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '66', 'm2t', 'Can You Play Better Than a Bith?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '67', 'm30o', 'Listen when I tell you, there\'s a star in the galaxy for every broken heart in the entertainment field. But you, kid, you have real potential. I have a gig that\'ll test your ability to rise in this line without getting your heart burned. Interested? I can give you the coordinates here and now. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '68', 'm30s', 'A stellar performance, kid. But remember, talent is only part of what it takes to succeed in this heart-deadening business. Good luck, and dream of success!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '69', 'm30t', 'Rising Star in Musical Firmament');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '70', 'm31o', 'A guy I know knows a guy who\'s in with big-league talent management. You\'ve got my word, if you just show up and play your heart out, you\'ll move your career up to the next level. This is potentially a big break, kid! Go for it, and I\'ll handle the booking details. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '71', 'm31s', 'The guy who knows the guy I know says you did great, kid. I\'m passing along the fee, minus a small commission of course. Come on back for more work, okay?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '72', 'm31t', 'A Guy I Know Knows a Guy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '73', 'm32o', 'You\'re not wrapped up in any current litigation, are you? I\'ve got a gig from a local manager who\'s a little wary due to previous legal entanglements. No, I didn\'t ask. In this biz, kid, you don\'t ask questions you shouldn\'t ask. Are you up for this gig? Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '74', 'm32s', 'That was fine, kid. The manager says you did absolutely nothing to inspire litigation, at least not that he saw. Guess we\'d know by now, huh? Here\'s your fee.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '75', 'm32t', 'No-Litigation Performance');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '76', 'm33o', 'The buzz is, there\'s a big nostalgia revival that\'s building up strength. It\'s just your kind of music, kid! You could make a big comeback like what\'s-his-name did a few years back. Okay, so you haven\'t got anything to come back from yet, but the point is, take this gig! Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '77', 'm33s', 'That\'s the ticket! You must have seen some old folks soaking up that good-ol\'-days nostalgia. Takes me back a little myself. What an old manager I\'ve become....');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '78', 'm33t', 'Old-Style Nostalgia Revival');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '79', 'm34o', 'No one delivers the gigs like I do! Does anyone else deliver? No! You tell me, kid, who delivers like I do? \"Nobody,\" that\'s right. Here\'s my latest present to you, a great gig handed to you on a silver platter. Go, play, change the galaxy! Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '80', 'm34s', 'Here\'s your fee, kid. And remember, who delivers for you? That\'s right, that\'s right. Don\'t you forget that.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '81', 'm34t', 'Who Delivers For You?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '82', 'm35o', 'You got any problems with pyrotechnics during a performance? I ask because for this latest gig -- I should warn you -- the manager may want to occasionally fire off big flashes during your show. Flash grenades, I think. No, look, don\'t worry, \"grenades\" is the wrong word. He\'s got permits and everything. Just go play. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '83', 'm35s', 'I guess the manager ran out of flash grenades, huh? No, I didn\'t say \"grenades,\" stupid me. Personally, I think that flash stuff is out of style, but that\'s just me.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '84', 'm35t', 'Pyrotechnics OK by You?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '85', 'm36o', 'You know, you\'ve got a bit of the Max Rebo charisma to you. I dunno, something about your general look, your attitude.... Okay, you may do. I wouldn\'t give this gig to just anyone, but listen, Max Rebo got his start in this very same place where I\'m sending you. Yes! That\'s what I\'m doing for you! Go, play! Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '86', 'm36s', 'That was great! Here\'s your fee. I hope you don\'t mind my little fib about Max Rebo playing in that dive. I just wanted to get your emotions running high. You play better that way.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '87', 'm36t', 'The Next Max Rebo?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '88', 'm37o', 'It makes me foam at the mouth when I work to build up a new band, work my heart out to make them big, and then they dump me and sign with some big corporate label. You won\'t do that, will you, kid? I\'m starting you out small with this gig, but you can ride with me all the way to the top. Do it! Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '89', 'm37s', 'You were fine, kid. But I just got a call from my old group, asking me back. I think I\'m going with them. Been nice working with you, though.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '90', 'm37t', 'Loyalty! Loyalty!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '91', 'm38o', 'I have to warn you, this place where I\'m sending you is -- well -- it\'s a little on the shady side. I wouldn\'t say actual blaster fights -- at least as such -- but let\'s just say it attracts a really vigorous clientele. Are you okay with that? Because if you\'re not, I can always find some band hungrier than you to do this gig. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '92', 'm38s', 'Hey, kid, I\'m glad you made it back alive. --No, no, I\'m only joking! I\'m a kidder, see? Here\'s your fee, look me up when you want another gig.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '93', 'm38t', 'A Really Vigorous Clientele');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '94', 'm39o', 'This owner sank, I dunno, thousands of credits into this new sound system. State of the art. Then his sound guy starts tinkering with it -- nearly burns the joint down. It\'s back in business now, but no sound system to speak of. Are you all right with that? Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '95', 'm39s', 'No problems with the lack of a sound system, I see. Personally, I think a good a-capella sound can really move a crowd. Here\'s your fee, check back later.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '96', 'm39t', 'Sound System Burns Down Venue');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '97', 'm3o', 'Kloo horns are overrated. My apologies if that happens to be your instrument of choice. I have a gig that asks for a kloo horn player, but personally I think what they really need is a quality musician - one of those can entertain with any instrument. Am I right? Well you can prove me right by heading to this location and expressing yourself. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '98', 'm3s', 'It seems you certainly did, uh, express yourself. The crowd was stunned into silence by your performance. But I think that\'s a good thing.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '99', 'm3t', 'Stun the Crowd');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '100', 'm40o', 'I hear that an influential young A&R rep -- that\'s Artist & Repertoire -- will be in a certain place today, checking out new talent. Is that a gleam of interest I see in your eye? I thought so. Kid, you could make yourself a nice new career if this guy likes your sound. Go and play your heart out! Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '101', 'm40s', 'What? The A&R guy? Oh, he had to leave town. An arrest warrant, or some silly business like that. I didn\'t ask. In this business you learn not to ask.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '102', 'm40t', 'A&R Rep in a Certain Venue');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '103', 'm41o', 'I\'ve been feuding with a particular manager over blatantly illegal charges for \"holograph permits.\" Some local fan takes your picture, and whoa, suddenly the club gets a cut? He\'s pulled that on me twice, and I just about pulled his tusks out. Keep an eye out when you play there, in case he tries to shake you down for \"permit fees.\" Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '104', 'm41s', 'Okay, good to hear you weren\'t charged for \"holograph permits.\" I think that manager and I have patched up our rocky relationship. In this biz relationships are everything.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '105', 'm41t', 'Holograph Permit Fees');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '106', 'm42o', 'Look good on stage at this next gig, kid! I\'ve got a promo holographer in the audience, waiting to shoot you so you look good-good-good. This guy can make canned meat look glamorous. For you -- well, I dunno -- aw, I\'m just kidding you! Am I a kidder? You know I\'m a kidder. Go and play, and just wait \'til this guy makes you look great! Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '107', 'm42s', 'The holographer couldn\'t make it, kid. Sorry I didn\'t tell you about that little mess-up. Seems he got married a couple of times to two different women, and they both showed up in town wanting an explanation. These holographers -- worse than musicians, sheesh.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '108', 'm42t', 'Promo Holographer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '109', 'm43o', 'A very influential industry person will be watching at this gig. I can\'t say who. What? How is he influential? Well, I can\'t really go into that. Let\'s just say he makes things happen in a lot of ways. A -- lot -- of ways. It\'s something you ought to keep in mind as you play. Try to sound -- I don\'t know -- authoritative. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '110', 'm43s', 'I hope your gig made an impression on our influential friend. Who knows? We may be on the road to stardom together. You and me against the galaxy, huh, kid?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '111', 'm43t', 'Influential Listener');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '112', 'm44o', 'A rep for one of the galaxy\'s leading instrument manufacturers will be hanging out at your next gig, kid. If she likes what she sees, she may offer you an endorsement contract. \"I play nothing but Klonsbon Fizz Horns, they\'re the best!\" Play your heart out, but don\'t sign anything without consulting me first. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '113', 'm44s', 'I see by your downcast expression that nobody offered you an endorsement contract. Ah, kid, those instrument reps, they\'re delicate. Your time will come, don\'t worry.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '114', 'm44t', 'Potential Endorsement Contract');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '115', 'm45o', 'At this next gig, keep an eye out. Some creep has been spotted around there recording secret concert bootlegs, and selling them across the galaxy over the HoloNet. This is blatant interference with your intellectual property, kid. If you see him recording you, you\'re legally entitled to blow him up with a thermal detonator. Remember that! Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '116', 'm45s', 'Didn\'t see the bootleg guy? Okay, maybe the enforcers I hired ran him out of town. We\'ll hope he\'s crawled off to some other planet. Sheesh, what a business.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '117', 'm45t', 'Bootleg Concert Recordings');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '118', 'm46o', 'An artist friend of mine said she might be showing up at this gig. This could lead somewhere for you, kid. She\'s big! Her artwork on your first holo could add an extra ten percent to your bottom-line sales. When you play, try to look kind of -- vibrant. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '119', 'm46s', 'Turns out my friend had a bad headache and had to cancel, kid. That\'s okay, she hangs out a lot in cantinas. She\'s an artist, you know -- that\'s what they do.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '120', 'm46t', 'Look Vibrant');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '121', 'm47o', 'This is very hush-hush, but I hear that a major Corporate Sector company is scouting locations in this vicinity for a promotional holo. They might want musicians. This gig -- this very one! -- could be the one that lands you a big-big contract, kid. Don\'t blow it! Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '122', 'm47s', 'No word yet from the Corporate Sector. Well, keep plugging away, and maybe they\'ll see you eventually. As the Mon Calamari say, chin up!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '123', 'm47t', 'Corporate Sector Location Scout');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '124', 'm48o', 'You weren\'t bad-mouthing me to some of the other managers, were you, kid? Naw, I didn\'t think so. No, I never really thought that. It\'s just -- you hear things -- everybody is always angling -- aw, what am I saying? You and me, kid! We\'re together against the stars! I tell you what, take this gig, and everything\'s fine between us. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '125', 'm48s', 'That\'s just what I wanted to see happen, kid. Here\'s your fee, minus my cut. Glad we could straighten out that little friction between us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '126', 'm48t', 'Not Bad-Mouthing, Right?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '127', 'm49o', 'It\'s possible you may see a gent at this next gig who looks pretty well-travelled. That\'s because he\'s a booking agent for a space cruise line! You get on this guy\'s good side, and you\'ve got a tour gig on the next luxury spaceliner out of this hole! Go on, do your best, and hope he\'s in the audience! Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '128', 'm49s', 'Apparently that guy blew town two days before I even knew he was here. I have got to work on the whole social network thing. Don\'t be downcast, there\'s always another gig.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '129', 'm49t', 'Tour Opportunity');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '130', 'm4o', 'Do you remember Miracle Meriko? Now that was a musician\'s musician. I wonder whatever happened to that old music man? If you want to leave your mark on the galaxy, friend, you gotta study the works of the masters who came before you. If you think you\'re ready to perform, then I\'ve got a gig for you. Here are the coordinates. Give it a shot, kid. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '131', 'm4s', 'Could this be another Miracle Meriko in the making? I guess only time will tell. Your pay\'s been deposited. Come see me again for more gigs.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '132', 'm4t', 'A Musical Legend');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '133', 'm50o', 'Here\'s a sweet gig, kid, but there are certain conditions you need to know going in. Whatever you do, don\'t mention the situation on Drall. No, I don\'t know what situation -- it\'s just what the manager told me. It\'s a dealbreaker, so just don\'t mention Drall at all, okay? Also, no spitting. But you\'d never do that anyway. Go, play! Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '134', 'm50s', 'You didn\'t mention the Drall thing, right? Okay, I didn\'t think that particular obstacle would be hard to avoid. I\'m not even quite sure where Drall is, actually.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '135', 'm50t', 'Manager With Idiosyncrasies');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '136', 'm5o', 'Take a lesson from Billi B. and the Paradise Gang - if your music and lyrics offend the Empire then everyone will know who you are. No such thing as bad publicity, right? Plus, the Empire wants to strip all the life and soul out of music. If you think you\'d like to take a stab at enraging Imperial censors, head to these coordinates and work your magic. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '137', 'm5s', 'Judging by the reviews I got from the proprietor, it seems you\'re well on your way to a fulfilling career in offensive music. Congratulations! Come see me for future gigs.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '138', 'm5t', 'Make Your Musical Mark');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '139', 'm6o', 'Have you heard the song \"Death Star Diva?\" Now that\'s a perfect example of how not to write a song. And who thought \"Dead Rebels\" was a good name for a band? If your musical style is nothing like those guys, then I\'ve got a gig for you. The patrons at this establishment want to be entertained, so give them what they want. Good luck! Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '140', 'm6s', 'Your material was apparently a far cry from the Dead Rebels. Good show, friend. I\'ve deposited your fee, minus my commission. See me again soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '141', 'm6t', 'Is That Music?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '142', 'm7o', 'If you ever have a hope of being as popular as the Modal Nodes, then you\'ve got to play every available venue and take every gig that comes your way. You never know who might be listening to your material. I got one such gig lined up for you right now. Head to this location and belt out a few tunes. Don\'t be shy. I\'ll contact you when the gig is over. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '143', 'm7s', 'Word is you weren\'t at all shy about performing your material. That\'s a good start. Stick with me and you just may get famous.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '144', 'm7t', 'Destined For Stardom');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '145', 'm8o', 'Ever heard a Mantooine Minuet? I understand the Emperor is crazy about them. I happen to find them stodgy and monotonous. In any case, if Imperial music is not what you aspire to perform, then I got a gig you might be interested in. Head to these coordinates and play something decidedly un-Imperial. We\'ll talk again when your show is over. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '146', 'm8s', 'There\'s something about the way you played, friend. It inspired enough of your listeners that the owner of the establishment included a generous tip. I\'ve transmitted your pay into your account. Check back with me for more work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '147', 'm8t', 'Who Loves Minuets?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '148', 'm9o', 'I get all kinds of musicians coming to me for gigs, friend. Half of them aspire to be this century\'s Mondegrene, the other half doesn\'t even know who Mondegrene was. Which are you? Well never mind that, if you want a job, I got one for you. Mosey on over to these coordinates and show the patrons there that they\'re in the presence of greatness. Perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '149', 'm9s', 'Mondegrene would have been proud, friend, especially given that he went tone deaf later in his life. Your pay\'s been deposited. I\'d work with you again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '150', 'm9t', 'Join the Ranks of the Musical Masters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_neutral_easy.stf', '151', 'number_of_entries', '35');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '1', 'm10o', 'We\'ve made arrangements to meet a data slicer who says he has information of great importance to the Alliance. We would like you to put on a rousing show at these coordinates. We will meet with him and assess his information while spies are distracted by your performance. You must perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '2', 'm10s', 'He tried to sell us plans for a Death Star! Under what rock has this guy been hiding?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '3', 'm10t', 'Covering a Meeting');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '4', 'm11o', 'A famous conductor is producing concerts featuring the music of different alien cultures. His current production is focusing on the works of Dembaline, a Mon Calamari composer. If you\'re interested in auditioning, head to this venue immediately. You must perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '5', 'm11s', 'The alien composers series has been deemed unsuitable by the Imperial Board of Culture. Blast them and their constant censorship!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '6', 'm11t', 'The Works of Alien Composers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '7', 'm12o', 'Some of our soldiers recently skirmished with Imperial troops. Their casualties were light, but unfortunately the commanding officer was killed. The whole squad is feeling pretty down and need something to lift their spirits. They\'ve requested a musican to play the commander\'s favorite song as a memorial. You must perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '8', 'm12s', 'That was very moving. I\'m sure the commander would have been pleased.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '9', 'm12t', 'Remembering the Fallen');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '10', 'm13o', 'There\'s a lot of great alien music out there, but you hardly ever hear any, thanks to the Imperial Board of Culture. Help raise awareness of alien music. Pick a piece you like, go to the designated venue, and play it. You must perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '11', 'm13s', 'All that alien talent being ignored by the Imperials. Shameful!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '12', 'm13t', 'Hidden Talent');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '13', 'm14o', 'We have a message we need to send to a covert operative. Please go to this venue and play this set list in this order. Our operative will understand what it means. You must perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '14', 'm14s', 'The message was received, and your performance was quite good too.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '15', 'm14t', 'A Hidden Message');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '16', 'm15o', 'The Alliance has captured an Imperial spy who loves music. We want you to go to this venue and play in the most discordant, awful way you can. We\'ll record you and play your work repeatedly in his cell before he is questioned. You must perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '17', 'm15s', 'Wow, that was truly awful. Nice work!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '18', 'm15t', 'Play Your Worst!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '19', 'm16o', 'We\'re trying to help a courier get out of the city, and we\'re asking musicians to go to venues around town and play really rousing shows. Get the audience really riled up. We want the Imperials distracted by so much rowdiness, they won\'t be able to keep to close an eye on our man. You must perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '20', 'm16s', 'That was some lively show you put on. Nobody paid any attention to the courier.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '21', 'm16t', 'Play a Rousing Show');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '22', 'm17o', 'People in the city have been very troubled by our conflict. We\'re very concerned about this even if the Empire isn\'t. We\'d like you to play for the folks at this venue. Try and set their minds at ease. You must perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '23', 'm17s', 'It\'s wonderful how music helps people through their troubles. I sometimes wish I were a musician. Fortunately, sanity always returns.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '24', 'm17t', 'Help Calm the City');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '25', 'm18o', 'Certain heroes of the Alliance are coming to the city, and we\'ve arranged a small reception. Go to the appointed venue, where you will have the privilege of playing for these legendary figures. You must perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '26', 'm18s', 'Imperial Security got word of our arrangements. For their own safety, we took the visitors to another world. I suppose we had better tighten our security.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '27', 'm18t', 'Heroes of the Alliance');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '28', 'm19o', 'Intelligence wants to test an idea for passing coded messages. We\'ve keyed messages to particular songs -- playing one song might mean \"Imperials are watching,\" say. We know your playlist. If you\'ll play at the venue we\'ve arranged, our people will listen and report messages. That\'ll test whether the idea can even work. Okay? You must perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '29', 'm19s', 'Well, it was a pretty mixed result, I have to say. I don\'t know that we\'ll throw out this idea, but we definitely need more testing. Thanks for your help!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '30', 'm19t', 'Musical Codes');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '31', 'm1o', 'The Imperials are constantly telling musicians what they can and cannot play. One of the things we\'re fighting for is freedom of artistic expression. Go to the designated venue and perform whatever music moves you. I\'m sure it will move others too. You must perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '32', 'm1s', 'Much better than having to go play a bunch of songs about Imperial glory, don\'t you think?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '33', 'm1t', 'Songs of Freedom');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '34', 'm20o', 'The Imperial Army just drop-shipped a battalion of stormtroopers in the wilderness, and the fighting out there is fierce. Our fighters are returning to the local venues feeling like they\'ve run fifty kilometers. Help them recover by playing something soft and pleasant. Or make it bouncy. Whatever you want. Just play, and help them, okay? You must perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '35', 'm20s', 'These soldiers have been through a lot, but they tell me they liked hearing you play -- even as they walked by outside the building. That\'s talent. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '36', 'm20t', 'In From the Field, Battle-Scarred');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '37', 'm21o', 'Can you play loud? I mean really loud? We need a big distraction in a particular venue, so we can stage a covert and unauthorized demolition project in the vicinity. You don\'t need to know the project. You can help by bringing all your musician friends in on this gig. Play long and, especially, play loud! You must perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '38', 'm21s', 'That was really loud. Good job. Yes, everything went just fine. You didn\'t hear anything? Well, as I say -- you were really loud.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '39', 'm21t', 'Can You Play Loud?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '40', 'm22o', 'The Empire is pushing all kinds of propaganda music in local venues. Maybe the worst was \"The Triumph of Our Spirit,\" though \"In Our Emperor\'s Footsteps\" was also pretty ghastly. I\'m meeting some friends at one of the worst offenders, and I\'ll pay you -- out of my own credits! -- to play something peppier. Interested? You must perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '41', 'm22s', 'Sorry I couldn\'t make it to your performance. My friends wanted to head elsewhere, and we ended up listening to \"Glorious Coruscant.\" Serves them right.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '42', 'm22t', 'Rescue Me From Imperial Music');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '43', 'm23o', 'Reports have been coming back about the latest battle against the Empire. I don\'t want to go into detail, but it looks bad. Some good folks died. The survivors are wandering back now, and they look beat. If you perform at this venue, we\'ll try to point them your way, and you\'ll cheer them up. You must perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '44', 'm23s', 'Thanks. It\'s so important for these fighters to remember what they\'re fighting for -- the beauty that the Empire would stamp out. You helped them remember.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '45', 'm23t', 'Survivors of the Latest Battle');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '46', 'm24o', 'We had a lucky break when some of our soldiers ran into stormtroopers in the wilderness. We fought well. A lot of stormtroopers ran for cover -- like, to another planet, that\'s how far they ran! Now our fighters want to celebrate. They want to hear you play something festive. Can you perform for them? You must perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '47', 'm24s', 'We had a lot of soldiers listening to you through a droidcam. It was great to see -- they all danced to your beat. That was good work, thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '48', 'm24t', 'Celebrate Our Latest Victory!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '49', 'm25o', 'The Imperial Security Bureau has sent another agent on a canvassing mission, looking for us. We expect he\'ll be lurking around the local entertainment venues, and so we\'re sending folks like you there to keep an eye out. Do your performance, play your music, but check for suspicious characters. We\'ll debrief you later. You must perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '50', 'm25s', 'One of our fighters managed to take out the spy before he got to your venue. Your performance distracted the folks who might have warned him. Thank you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '51', 'm25t', 'Imperial Spy Lurks in Cantinas');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '52', 'm26o', 'A famous Alliance commander -- I\'d better not say who -- is visiting this world. He likes to have a good time, they say, so we\'re showing him around the local venues. We want to make sure the entertainers there don\'t suddenly turn out to be Imperials. To help, we want you to take one of the scheduled gigs. Interested? You must perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '53', 'm26s', 'Thanks! It was good, not needing to watch our backs to make sure the band didn\'t suddenly take a pot-shot at us. As it happened, Commander Solo didn\'t make it to your venue, but he had a good time elsewhere. Who knows? You may see him around.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '54', 'm26t', 'Alliance Commander Likes a Good Time');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '55', 'm27o', 'We\'ve arranged a rendezvous with a potential Imperial defector. He was an officer aboard a Star Destroyer when the Death Star blew up his homeworld, Alderaan. That can change a person\'s outlook. We told him to meet us outside a particular venue; he can recognize it because you\'re playing inside. At least, we hope. You must perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '56', 'm27s', 'The defector spotted you from the description we gave, and we carried off the meeting nearby. Thank you for your help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '57', 'm27t', 'Imperial Defector Recruitment');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '58', 'm28o', 'One of our \"procurement specialists\" is trying to contact us despite heavy Imperial surveillance. The pre-arranged emergency rendezvous calls for contact outside a particular venue that he can spot according to the kind of music being played inside. Specifically, your kind of music. Will you help us? Move quickly! You must perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '59', 'm28s', 'We couldn\'t connect with our smuggler this time. They\'re often nervous types. We\'ll try again later.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '60', 'm28t', 'Play a Smuggler Rendezvous');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '61', 'm29o', 'The newest Imperial Security Bureau purge is \"disappearing\" folks who have expressed pro-freedom sentiments, plus extra folks disliked by the anti-freedom types. It\'s a nervous time. People are feeling strained. To keep them from cracking, we need entertainers like you to go to that area and play something tranquil. Sound good? You must perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '62', 'm29s', 'We wanted you to perform something calming, and you did the job better than we\'d hoped. We\'ll probably need you again for this, more\'s the pity.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '63', 'm29t', 'New ISB Purge Jangles Nerves');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '64', 'm2o', 'The Imperial propoganda machine has been really down on fizz music recently. In an effort to annoy the Empire in as many ways as possible, we are asking you to go to this venue and bring down the house with some really wailing fizz tunes. You must perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '65', 'm2s', 'Not every battle is fought with a blaster. Good job.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '66', 'm2t', 'Annoy the Empire');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '67', 'm30o', 'The Committee for the Preservation of the New Order continues its good works. Lots of terrified folks are telling us about alien purges, homes of sympathizers being destroyed, people vanishing... Someone needs to get these people calmed down, or they\'ll riot. If you can play something to soothe them, do it fast! You must perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '68', 'm30s', 'COMPNOR relies on keeping the people scared, because scared people gladly give them the power they crave. You help us fight COMPNOR by calming people. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '69', 'm30t', 'Another Terrifying COMPNOR Sweep');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '70', 'm31o', 'The Empire promotes anti-alien sentiment across the galaxy. We fight this battle as hard as the rest, and you\'re our soldier. Try to find nonhuman musicians to join you in the performance we\'ve arranged for you. Play together in friendship. If you can\'t find anyone else, play alone, and spread the idea of tolerance. Okay? You must perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '71', 'm31s', 'Nice job. We\'ll work on getting whole groups together, aliens and humans, to perform for people who might otherwise learn the Empire\'s hatred.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '72', 'm31t', 'Human-Alien Musician Group Needed');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '73', 'm32o', 'We\'re passing important data to a blockade runner who\'s taking it offworld. Can\'t risk it going over the HoloNet. We\'re meeting outside a particular venue, but the ISB is tracking our smuggler relentlessly. We want you to distract the Imperials. Can you play, and maybe also do something unusually interesting while you\'re there? You must perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '74', 'm32s', 'I don\'t know what you did at the venue, if anything, but it looks like you distracted the Imperials. We got the data to the blockade runner. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '75', 'm32t', 'Do Something Unusual');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '76', 'm33o', 'I was walking the streets like any ordinary citizen, and blaster battles erupted left and right! It was chaos! To think that the Civil War has brought us to this. Folks are so nervous, they\'re not thinking straight. You need to play something calming and uplifting -- get them back to normal. Can you do it? You must perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '77', 'm33s', 'I heard your music from a distance. It calmed me, and a lot of others around me. It was a nice moment. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '78', 'm33t', 'Bring Calm to the Chaos');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '79', 'm34o', 'A Core Worlds writer has managed to sneak a hilarious musical comedy past Imperial censors. They think it\'s about dumb crooks, when anyone outside Coruscant can see it\'s about dumb Imperials. We want to stage a production to boost morale. If you\'d like to audition, go to this venue and play your heart out. You must perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '80', 'm34s', 'Imperial censors finally caught on and banned the work. We don\'t want to risk staging it now. But please, take this token payment for your efforts. Thanks anyway!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '81', 'm34t', 'Anti-Imperial Musical Comedy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '82', 'm35o', 'We\'d like to infiltrate an Alliance agent into the Core Worlds. A good cover would be a travelling musician -- they visit formal Imperial functions and can overhear a lot. If you\'re interested, we\'re holding auditions at a particular venue, and we want every talented Alliance sympathizer to give it a try. You must perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '83', 'm35s', 'Thanks for the audition. We don\'t know how we\'ll work this infiltration, or even whether it will happen. But if it does, you may hear from us. Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '84', 'm35t', 'Infiltrate the Core Worlds');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '85', 'm3o', 'It\'s been pretty hard on the Alliance recently. Soldiers and citizens alike are feeling overwhelmed by the uncertainty and fear that permeates our lives. If you were to go to this venue and play some soothing music, I think it might make everybody feel a little better. You must perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '86', 'm3s', 'I think we all look forward to a time when these constant battles with the Empire are behind us. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '87', 'm3t', 'We Live in Uncertain Times');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '88', 'm4o', 'Some young Alliance soldiers have a kind of haunted look in their eyes. They\'ve experienced horrors they\'d never imagined. They can look so lost when they return from battle. Go to this venue and help lighten their heavy hearts. Remind them how much there is to live for. You must perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '89', 'm4s', 'It makes my heart ache to think how much damage this war does to our spirits. I hope it ends soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '90', 'm4t', 'The Horrors of War');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '91', 'm5o', 'You would not believe the kind of mindless turbolift music that COMPNOR is encouraging musicians to play. It behooves all Alliance musicians to get out there and play as much politically relevant music as they can. Go to this venue and play music that will really make people think. You must perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '92', 'm5s', 'You\'re out there making people open their eyes and ears. Keep up the good work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '93', 'm5t', 'Protest Songs');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '94', 'm6o', 'There\'s a lot of good people out there, putting it all on the line for the Alliance. With the Empire breathing down our necks we\'re not always able to give them the thanks they deserve. Go out to this venue and play. Let\'s hope people in our cause will understand that our hearts are with them. You must perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '95', 'm6s', 'Did you put on a good show? I feel certain that you did.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '96', 'm6t', 'Giving Thanks');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '97', 'm7o', 'The Alliance is putting together a touring company to entertain the troops to keep morale high. If you\'re interested and think you have what it takes, auditions are being held at these coordinates. You must perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '98', 'm7s', 'A touring company may be a little hard to keep hidden from the Empire. We\'re still considering the idea, but it\'s been shelved for the moment. Sorry.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '99', 'm7t', 'Touring the Troops');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '100', 'm8o', 'A famous dancer, who must remain nameless, is going to perform at a secret new Alliance installation. She will require a small group of discreet musicians to accompany her performance. Hurry to the designated location and record a holo to send her. You must perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '101', 'm8s', 'You weren\'t one of the musicians chosen, but she did comment that your work showed a great deal of promise. She sent you a small sum of credits to encourage you to keep practicing.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '102', 'm8t', 'Famous Dancer Needs Accompaniment');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '103', 'm9o', 'We\'re meeting an Alliance covert operative, but an Imperial spy is looking for him. A specific song will warn him the meeting is compromised. Our problem is that the song has been moved to COMPNOR\'s banned list. Would you be willing to go and play this banned song anyway and risk arrest, so we can warn our operative? You must perform for 10 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '104', 'm9s', 'The meeting was cancelled successfully. I\'m glad you made it out of there before the Imperials caught up with you. Watch your back.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '105', 'm9t', 'Play a Banned Song');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_musician_rebel_easy.stf', '106', 'number_of_entries', '35');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '1', 'm1o', 'Rebel activity has been increasing in this area. We suspect that a new cell may have recently formed near here. We require the skills of a loyal Imperial citizen to scout out the area and report back to us. Can you handle this assignment, citizen?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '2', 'm1d', 'Rebel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '3', 'm1c', 'Just as we suspected. You have served the Empire well, citizen. You can take partial credit for every single Rebel our stormtroopers bring down.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '4', 'm1t', 'Rebel Hunting');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '5', 'm2o', 'Imperial Intelligence has reported high smuggler activity in this system. Our probe droids have narrowed the area where smugglers might have set up a base. If they search any more closely, however, the smugglers will be warned. We need you to scout this area and report back here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '6', 'm2d', 'Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '7', 'm2c', 'Well done, citizen. We\'ll monitor the activities of these smugglers closely. Perhaps they\'ll lead us to some Rebel bases.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '8', 'm2t', 'Follow the Smugglers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '9', 'm3o', 'Black Sun believes itself untouchable, even by Imperial law. Our job is to shatter this belief. We believe we know where one of these Black Sun gangs have set up shop. If you could scout the area to give us an understanding of their numbers and resources, then report back here, we could organize an effective strike.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '10', 'm3d', 'Gangster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '11', 'm3c', 'Sounds like we may need to call in some stormtrooper reserves. The Empire thanks you for your intelligence, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '12', 'm3t', 'Scope Out the Gangsters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '13', 'm4o', 'A deadly new swoop gang, the Shadow Angels, has been trying to establish itself on this planet. Many recent attacks on remote settlements have been attributed to these vile gangsters. We need you to scout out an area investigated by our probe droids. We know the gangsters are there; we just need intelligence on their strength. Report back here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '14', 'm4d', 'Gangster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '15', 'm4c', 'We\'ll have to take care of these swoopers before their numbers overwhelm our garrison. We are grateful for your help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '16', 'm4t', 'Find the Shadow Angels');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '17', 'm5o', 'Recent raids on Abraxas have driven pirates out of their hiding places. Imperial Intelligence has tracked some of those pirates to this planet. A spike in waste emissions in the wilderness is decidedly suspicious. We need you to check this area out and see what is producing those emissions. Report back here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '18', 'm5d', 'Pirate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '19', 'm5c', 'Our suspicions are confirmed. Good work, citizen. You may have a career in Imperial Intelligence.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '20', 'm5t', 'Those Dirty Pirates');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '21', 'm6o', 'Intelligence wants to get their hands on a notorious Snivvian pirate named Bakken. We have reasons to believe this individual has been working for the Rebels. One of our contacts has informed us that Bakken has been seen on this planet. He gave us coordinates that we are most interested in having you check out. Report back here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '22', 'm6d', 'Pirate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '23', 'm6c', 'That might indeed be Bakken. We\'ll organize a strike. The Empire will compensate you for your service, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '24', 'm6t', 'Snag the Infamous Pirate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '25', 'm7o', 'We may have a lead on tracking down the pirate Leo Bellsfar. One of Bellsfar\'s men was taken in an Imperial raid a few days ago and when pressed by interrogators squawked like a Neimoidian neekoflight. He claims that Bellsfar often takes refuge in a base on this planet. Check out these coordinates and report what you find. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '26', 'm7d', 'Rebel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '27', 'm7c', 'That doesn\'t sound pirates. Unless Bellsfar has thrown his lot in with those Rebel scum. It would be fitting for a villain like Bellsfar.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '28', 'm7t', 'Recon the Pirate Lair');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '29', 'm8o', 'We had believed the Black Hole Gang destroyed but it seems some of of their number managed to escape and have been using a base near here to hide from local authorities. Check out these coordinates and see how formidable a base these pirates have managed to establish. Report back here, and do not engage the enemy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '30', 'm8d', 'Pirate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '31', 'm8c', 'Excellent, we\'ll take it from here. No one escapes the long arm of the Empire, citizen. No one.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '32', 'm8t', 'Is the Gang All There?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '33', 'm9o', 'The sign of the Blazing Claw has been used by pirates since the days of the Old Republic. One of our probots observed a ship that bore this sign on its hull. The ship did not seem headed toward any known starports, and we believe it landed at these coordinates. Check them out and report back.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '34', 'm9d', 'Pirate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '35', 'm9c', 'We didn\'t realize those scoundrels had an entire base down there. We\'ll have TIE bombers sweep that area until there\'s nothing left. Thank you, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '36', 'm9t', 'The Blazing Claw');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '37', 'm10o', 'We\'ve been surveying some land believed to be rich in alantium but have detected some strange ion emissions in that area. Could you scout it out and make sure no squatters have moved into the area. These independent miners are becoming far too bold for the Empire\'s tastes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '38', 'm10d', 'Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '39', 'm10c', 'Those don\'t sound like miners. Those sound like smugglers. We\'ll assign a stormtrooper unit to take care of the problem immediately.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '40', 'm10t', 'Find the Squatters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '41', 'm11o', 'It seems that a local gang has been sponsoring illegal podraces on this planet. Our information points to a remote area as the base of operations of this gang. We need you to recoinnoiter the following coordinates. Make sure you\'re not seen as this would tip the gangsters off that we\'re wise to their setup.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '42', 'm11d', 'Gangster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '43', 'm11c', 'We need to move fast or these gangsters will head offworld and try to set up shop on another system. Your help will be instrumental in stopping these criminals, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '44', 'm11t', 'Stop the Podraces');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '45', 'm12o', 'Imperial Intelligence has warned us that the so-called \"Lady\" Valarian is trying to expand her criminal empire. It\'s bad enough keeping tabs on the activities of all the Hutts and Black Sun; now we have to monitor the criminal doings of a crazed Whiphid as well. Scout out these coordinates and let us know if these gangsters have already set up a base.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '46', 'm12d', 'Gangster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '47', 'm12c', 'These gangsters are vermin and will be exterminated like vermin. After all, Imperial troops need moving targets to improve their marksmanship. Our thanks, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '48', 'm12t', 'Curb Valarian\'s Enthusiasm');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '49', 'm13o', 'A shipment of R2 units was recently stolen by the Rebels during a raid on an Imperial depot. Unbeknownst to those scum, the R2s had been outfitted with undetectable homing beacons. We\'ve picked up a signal from one of those transmitters and need you to scout out the area. Report any unusual activity immediately. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '50', 'm13d', 'Rebel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '51', 'm13c', 'Looks like we\'ve found one of those missing droids, citizen. I think a company of Imperial stormtroopers and an AT-AT column can take it from here. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '52', 'm13t', 'Find the Pesky Rebels');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '53', 'm14o', 'We intercepted a Rebel transmission believed to be from Airen Cracken to a local Rebel cell. Given the description in the message, we believe we know where this base is hidden. Scout out the area at these coordinates and report your findings back to us. The Empire is counting on you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '54', 'm14d', 'Rebel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '55', 'm14c', 'You\'ve done well, citizen. We\'ll keep this base under close watch and hope that we can snare Cracken himself. You\'ve earned this reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '56', 'm14t', 'Capture Airen Cracken');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '57', 'm15o', 'The Imperial Guide to Negative Reinforcement states that all suspected criminal activity should be punished using the harshest means possible. This helps deter similar future activity. To this end, we need you to scout out an area we suspect is being used by smugglers to store illicit goods. Our TIE bombers require accurate surface coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '58', 'm15d', 'Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '59', 'm15c', 'You have done your part to secure peace and order in the Empire, citizen. You should be proud of your accomplishment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '60', 'm15t', 'Bomb the Smugglers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '61', 'm16o', 'We think some pirates are engaging in illegal energy mining. We need you to scout out their operation and report on their strength and numbers. Will we have to call in outside help to handle this one, or will our local forces be sufficient to stop these pirates? We need this issue settled immediately. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '62', 'm16d', 'Pirate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '63', 'm16c', 'I suppose we\'ll call in for reinforcements, just in case. It never hurts to have a battalion or two of stormtroopers to bolster your planetary security forces.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '64', 'm16t', 'Stop the Energy Mining');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '65', 'm17o', 'One of our agents was sent to investigate an area thought to contain a Rebel outpost. We lost contact with our agent shortly after they arrived at these coordinates. We need you to ascertain the fate of our agent as well as gather intelligence on the outpost if it is indeed there. Proceed with caution, citizen. We\'d hate to lose another agent.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '66', 'm17d', 'Rebel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '67', 'm17c', 'It sounds like our first agent fell victim to foul play. Those murderous Rebels will pay for what they\'ve done. The Empire thanks you, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '68', 'm17t', 'Sneaky Rebels');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '69', 'm18o', 'We\'ve been seeing an odd alien hanging around this installation -- a little furry thing wearing primitive hide clothing. We think he may be spying, so we planted a tracking beacon on him. Check the coordinates of his destination and report back.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '70', 'm18d', 'Rebel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '71', 'm18c', 'Rebels, eh? I never did trust that fuzzy, jabbering wretch. We\'ll send out a company of stormtroopers.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '72', 'm18t', 'Furry Potential Terrorist');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '73', 'm19o', 'I saw a suspicious gathering of aliens. When I passed by, they all went silent. When they headed away as a group, I ordered a probot to follow at high altitude. The signal went dead at these coordinates. Go out, check it, report back.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '74', 'm19d', 'Rebel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '75', 'm19c', 'I knew it! You have to watch those aliens all the time. All, all potential Rebels! I\'ll send in the troops.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '77', 'm20o', 'The Emperor\'s Guards suggest that the Emperor himself may visit this world! Our watchwords become \"increased vigilance.\" It falls to you to check a recent report of suspicious activity at these coordinates. Report back at once.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '78', 'm20d', 'Rebel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '79', 'm20c', 'This Rebel activity can only discourage an Imperial visit. Then again, perhaps that is not wholly bad news.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '80', 'm20t', 'Recon for Imperial Visit');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '81', 'm21o', 'There are continued rumors that the Emperor himself may pay us a visit. Unlikely, I think -- yet this often serves as a pretext to \"encourage\" greater efforts to hunt Rebels. We have a new report of suspicious actions. Check these coordinates and report back.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '82', 'm21d', 'Rebel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '83', 'm21c', 'Well, whether or not the Emperor visits here, we obviously need to clean up the Rebels. I\'ll call in a strike team.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '84', 'm21t', 'Imperial Visit Requires Recon');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '85', 'm22o', 'Last night an alien assaulted one of our troops. This cannot be tolerated. We are canvassing the planet for suspicious aliens, preparatory to a full-scale purge. You are to reconnoiter these coordinates and report back.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '86', 'm22d', 'Rebel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '87', 'm22c', 'Rebels. Hmm. Very well, we\'ll send in an assault force. And any aliens there will be sorry, for a very brief time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '88', 'm22t', 'Alien Assault on Stormtrooper');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '89', 'm23o', 'We apprehended a criminal in the act of stealing weapons from an armory. We have begun to kill him. He has divulged the location of his base. Before we assemble an extermination mission, we wish you to inspect the coordinates and report back.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '90', 'm23d', 'Gangster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '91', 'm23c', 'Excellent. The criminal\'s report might have been false, but in these situations we usually obtain good results. We will wipe out the base shortly.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '92', 'm23t', 'Armory Thief Divulges Base Location');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '93', 'm24o', 'Incredibly, we have apprehended one of our own Imperial officers in the act of illicitly transporting war materiel to known gangsters. The errant officer is in custody, but we have not yet determined the destination for his stolen goods. Check the following coordinates and report back.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '94', 'm24d', 'Gangster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '95', 'm24c', 'That sounds like the destination our would-be gangster had in mind. We\'ll dispose of them quickly. By the way, I have just been promoted -- the corrupt officer was my immediate superior. Tragic.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '96', 'm24t', 'A Corrupt Officer! Can It Be?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '97', 'm25o', 'The Empire takes a dim view of glitterstim drug smuggling. This only empowers the Hutts, Black Sun, and other criminal organizations. We have received reports of a drug laboratory in a remote area. We require you to investigate these coordinates and report back. If there are gangsters there, we shall send in a strike team.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '98', 'm25d', 'Gangster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '99', 'm25c', 'Despite all appearances, it is not a hopeless task to eradicate drug smuggling on this world. We shall triumph! Victory is inevitable!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '100', 'm25t', 'Glitterstim Lab Felons');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '101', 'm26o', 'An Imperial Navy quartermaster has literally been kidnapped off a Lancer-class frigate in this system. We believe the pirates took the quartermaster to a base in the wilderness. Check these coordinates and report back on what you find. Take no offensive action on your own! These people are obviously dangerous.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '102', 'm26d', 'Pirate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '103', 'm26c', 'That pirate gang could use the quartermaster\'s security codes to have the Empire literally deliver goods to that base. Good job! We shall resolve this matter shortly.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '104', 'm26t', 'Imperial Quartermaster Kidnapped');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '105', 'm27o', 'Disturbing rumors say smugglers have stolen hyperspace dampers from a Star Destroyer! This defies understanding. Only a network of inside accomplices could pull off that feat. We have reports of a smuggler base at these coordinates. Reconnoiter the area, with attention to the presence or absence of hyperspace dampers.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '106', 'm27d', 'Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '107', 'm27c', 'Well, from your sketchy report it appears that base has no hyperspace dampers. It would be a relief to learn that the rumors are false. That is all for now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '108', 'm27t', 'Hyperspace Dampers Purloined?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '109', 'm28o', 'The Imperial Security Bureau has deployed surveillance droids over this region. Droids entering one particular region have all failed; their sensors have apparently been burned out. We wish you to investigate these coordinates and report back on the cause.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '110', 'm28d', 'Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '111', 'm28c', 'Hmm. Those smugglers must have a laser installation that burns out droid visual sensors. We must redesign our sensors accordingly. And we must deal with the smugglers!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '112', 'm28t', 'What Burns Droid Sensors?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '113', 'm29o', 'Imperial Center has been tracking a notorious Aqualish mercenary who is believed to be building a power base in this sector. A probe droid tracked him to these coordinates, but something provoked the droid to self-destruct before it could identify the structure there. You will go there, identify the structure, and report back here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '114', 'm29d', 'Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '115', 'm29c', 'A smuggling base? Evidently the Aqualish mercenary is arranging for a shipment of goods -- more weapons, beyond doubt. Very well, we shall continue to track him until we have identified everyone in his plot.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '116', 'm29t', 'Aqualish Mercenary Sighted');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '117', 'm30o', 'Too many Rebel sympathizers are escaping our Mid-Rim dragnets. The more we squeeze, the more they slip through our fingers. We suspect the Rebels are setting up a refugee processing center at these coordinates. Journey there, attend to what you see, and report back here with details.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '118', 'm30d', 'Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '119', 'm30c', 'That doesn\'t sound like a refugee processing center. Unless -- could the Rebels stoop so low as to use actual smugglers to smuggle these refugees? Well, that is all for now. You may go.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '120', 'm30t', 'Rebel Refugee Processing Center');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '121', 'm31o', 'Imperial Center has for some time been concerned with the movements of an infamous Aqualish mercenary. He has returned to this world as part of his effort to build a power base in this sector. The droid tracking him has been destroyed. We wish you to reconnoiter these coordinates and report back on his current contacts.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '122', 'm31d', 'Pirate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '123', 'm31c', 'That mercenary is talking to pirates again, eh? I expect he is assembling a fleet of desperadoes for his plan, whatever it is. Well, we must continue tracking him until we know everyone in his conspiracy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '124', 'm31t', 'Track the Aqualish Mercenary');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '125', 'm32o', 'We confiscate starships of suspected Rebel sympathizers, but too many of these craft escape us. The tighter we weave our blockades, the more ships slip through our net. We believe several Rebel ships have landed at these coordinates. Inspect the area, then report here with your findings.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '126', 'm32d', 'Pirate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '127', 'm32c', 'No Rebel ships? Hmm. Could the ships have been stolen by the pirates you discovered? It seems too simple an explanation. Well, we shall see. You may go now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '128', 'm32t', 'Rebel Starships Escape Confiscation');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '129', 'm33o', 'A known bounty hunter has been seen consorting with space pirates. This defies Imperial regulations, not that hunters attend closely to such trivia. But if we can document the association, we can embarrass the Bounty Hunters\' Guild, should we need to. Reconnoiter the pirate base. Do not attack anyone. Report back.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '130', 'm33d', 'Pirate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '131', 'm33c', 'Never mind. I\'ve learned that this hunter was hired by a highly placed aide to the Emperor -- naming no names. He seeks a particular Rebel whose name escapes me. I believe it impolitic to accuse that hunter of anything untoward, for now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '132', 'm33t', 'Bounty Hunter Working With Pirates');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '133', 'm34o', 'A notorious Aqualish mercenary, who has long been of interest to Imperial Center, has returned to this world to continue building his power base. His purpose and contacts are unknown. We require you to journey to the coordinates where he was last seen, then return here to describe the destination.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '134', 'm34d', 'Gangster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '135', 'm34c', 'Hmm. It makes a certain evil sense that our mercenary would be consorting again with gangsters. He needs brutal, ruthless folk who will stop at nothing. Well, we shall continue to track him until we know of every malcontent he enlists in his scheme.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '136', 'm34t', 'Who Meets the Aqualish Mercenary?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '137', 'm35o', 'Stop what you\'re doing. I have new orders for you. A band of space pirates recently stole a shipment of hyperdrive motivators from an Imperial transport. We followed the motivators\' tracking beacon to a small installation. I need you to check out the place and report to me what you find. If the pirates are there, we may need to call in some heavy guns.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '138', 'm35d', 'Pirate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '139', 'm35c', 'That sounds like the pirates, all right. Though from the sound of it, we won\'t need any heavy guns after all. Thanks for the recon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '140', 'm35t', 'Possible Pirate Base');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '141', 'm36o', 'Imperial Customs has the coordinates of a suspected smuggler encampment. I need you to find the place, sneak in and see what you can learn. Report back to me at once. Try not to let the locals spot you. We don\'t want a firefight. If you find any unsavory characters, we\'ll order a strafing run and maybe a couple of bombs.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '142', 'm36d', 'Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '143', 'm36c', 'That sounds a lot like smugglers to me. I\'ll contact Imperial Customs to run a cleanup sortie on the place. Good work. Carry on.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '144', 'm36t', 'Check Out a Possible Smuggler Encampment');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '145', 'm37o', 'In the name of galactic security, I need your assistance! There are reports of a gang of illegal slavers at the coordinates on my datapad. I need someone not in uniform to investigate the area. Do this in the name of justice. Report to me what you find. These unlicensed slavers are a blight on seven sectors and I want to put a stop to them here and now!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '146', 'm37d', 'Gangster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '147', 'm37c', 'Apparently you found the rough crowd we were expecting. That\'s it, I\'m ordering a squad of stormtroopers to mop up the place. I\'ll have no unauthorized slavers in my sector!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '148', 'm37t', 'Gang of Rogue Slavers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '149', 'm38o', 'This is going to sound strange. Some of my men have reported, well, a haunting. They say ghostly apparitions have appeared to them in a certain area on their patrol. I want you to have a look around and find out what they\'re seeing. I don\'t believe in ghosts, but something sure has my boys spooked.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '150', 'm38d', 'Rebel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '151', 'm38c', 'Rebels, you say! I knew there weren\'t any ghosts. They must have set up some kind of holographic projector to frighten away my patrols. They would have gotten away with it, too, if it weren\'t for dilligent Imperial spies like you. Excellent work! We\'ll take it from here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '152', 'm38t', 'Investigate a Haunting');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '153', 'm39o', 'Listen up. A rare SoroSuub starfighter called \"Preybird\" was seen flying into this sytem. We\'re pretty sure of the coordinates where the pilot landed. I want you to sneak out there and see if that spaceship is on the grounds. I have a suspicion the pilot is delivering it into the proverbial \"wrong hands.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '154', 'm39d', 'Rebel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '155', 'm39c', 'I knew the Rebels had to be behind this operation. No sign of the Preybird starfighter, though, eh? Too bad. Don\'t worry, we\'ll track it down yet.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '156', 'm39t', 'Investigate a Rare Starfighter');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '157', 'm40o', 'If you\'ve never heard of the Black Hole pirate gang, then you\'re about to find out more. I\'m fairly sure they\'ve got a small installation in my patrol sector. I want you to recon the place and let me know what you find. If it looks like trouble, we\'ll send out a platoon of stormtroopers. Can\'t let these scum get comfortable, you know.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '158', 'm40d', 'Pirate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '159', 'm40c', 'Aha! Didn\'t I tell you it was space pirates? Yes I did; I distinctly recall saying so. I\'ll call a platoon of stormtroopers to level the place. Thanks for your help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '160', 'm40t', 'Investigate a Notorious Space Pirate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '161', 'm41o', 'I\'ve got a lead on an underworld operator named Talon Karrde. I don\'t want to tip him off, though. I need you to scout the place and make sure he\'s there before I organize a police action. If I can lay my hands on him, I\'m sure I\'ll come away with leads to some of the big players in the galactic underworld.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '162', 'm41d', 'Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '163', 'm41c', 'He wasn\'t there! I don\'t believe it. Maybe he knew you were coming. In any case it sounds like those people were an unsavory bunch. I\'ll send in a patrol unit to break up any illegal goings-on.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '164', 'm41t', 'Spot an Underworld Operator');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '165', 'm42o', 'There\'s something shady going on. Some of my men have been spending their off-hours at a seedy little joint they call a cantina. I think it\'s more suspect than that. We can\'t have members of the Imperial military consorting with criminals and low-lifes. Do me a favor and check the place out. Be careful, it can get a little rough. Report back to me what you find.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '166', 'm42d', 'Gangster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '167', 'm42c', 'I knew that place was trouble! I\'ll send a military police unit to shut it down for good. The brig will be jammed tonight, I can assure you. I appreciate your good work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '168', 'm42t', 'Check Out a Seedy Joint');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '169', 'm43o', 'Excuse me. The Empire needs your help. Well, that is, I need your help. I sent a patrol team to a new quadrant this morning and I haven\'t heard back from them. I can\'t leave my post here. Can you go see if anything is wrong? I heard there was some kind of building or settlement out there. Have a look around it. If it seems dangerous, don\'t start any trouble. Just report back to me and I\'ll handle it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '170', 'm43d', 'Rebel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '171', 'm43c', 'Blast! Rebels! They must have waylaid my patrol. Thanks for the assistance. I\'ll notify the authorities at once!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '172', 'm43t', 'Find a Missing Patrol');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '173', 'm44o', 'I require your assistance. An Imperial courier was scheduled to hand-deliver a memo to me this morning. It contained critical details about an upcoming Imperial operation. I\'m mortified to say I haven\'t received it yet. Have a look round the courier\'s last known coordinates and see if there\'s any sign of that delivery. Then report back to me at once. I dread the thought of missing the next meeting of the Preliminary Exploratory Action Planning Committee. I\'m the secretary, after all.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '174', 'm44d', 'Rebel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '175', 'm44c', 'There are Rebels out there? Oh, dear! Something must be done! I shall organize an official committee at once and vigorously debate this problem. We\'ll craft a strong warning for those Rebel scum. I can assure you of that!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '176', 'm44t', 'An Imperial Courier Is Missing');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '177', 'm45o', 'There you are. I\'m glad you showed up. I have a job for you. Intelligence has reported a possible Rebel encampment outside of town. I want you to check the place out. Don\'t start any trouble, though. Just look around and report back to me. I\'ve got a surprise for them if they bring their treason into my jurisdiction!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '178', 'm45d', 'Pirate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '179', 'm45c', 'You say there were no overt Rebels? Hmm. Well, any spacer whose licenses aren\'t in order is a potential Rebel smuggler. I\'ll have the planetary authorities raid the place and check out everyone\'s credentials. They\'re not going to slip any treason under my scanners. You can rely on that.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '180', 'm45t', 'Rebels In My Jurisdiction');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '181', 'm46o', 'Yes, I lost another shipment of TIE solar array support frames. I don\'t deny it. But instead of threatening to tell my superiors, what if you investigate these coordinates where the tracking beacons sent their last transmission? You\'ll find my lost frames, I\'ll write you a commendation for service to the Empire, and my superiors won\'t be bothered by these petty logistical details. Do we have a deal?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '182', 'm46d', 'Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '183', 'm46c', 'Sounds like they were smugglers to me. Not good. Maybe I can hire some locals to bring my frames back before my superiors get word of this. In any case, thanks for helping me out. I\'ll file an Imperial commendation for you under some pretext that has nothing to do with lost TIE solar array support frames.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '184', 'm46t', 'Earn an Imperial Commendation');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '185', 'm47o', 'Nothing personal, but I\'ve just about had my fill of aliens. Used to be, a man of my species could enjoy the company of his own without stepping on someone\'s tail or tentacle or furry hoof. Anyway, a band of unsavory-looking aliens has set up shop outside of town. I want you to check out their operation. Don\'t let on you\'re working for me, though. Just have a look and tell me what you find.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '186', 'm47d', 'Gangster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '187', 'm47c', 'I sure don\'t like the cut of that bunch. They sound like outlaws to me. Would you agree? I\'ll call this into Orbital Dispatch and see if a couple of TIE flyovers might chase those ugly drifters away from there.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '188', 'm47t', 'Investigate Some Unsavory Aliens');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '189', 'm48o', 'Have you ever seen a lightsaber? Me, I\'ve only heard about them in the old stories. But a civilian informant reported seeing one of them at a small installation some distance from here. I\'d love to get a pair of Empire-friendly eyes inside that place. Care to handle this recon job for me? Come back here when you\'re finished.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '190', 'm48d', 'Rebel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '191', 'm48c', 'Too bad you didn\'t see the lightsaber, but an installation full of Rebels is equally interesting to me. Looks like I\'ll get to exercise my trigger finger before supper tonight. Good work, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '192', 'm48t', 'Lightsaber Claim');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '193', 'm49o', 'Listen up. We think some rebels might be smuggling escaped criminals through a facility near here. I need you to check it out for me. Report back when you\'ve had a look around the place. And keep yourself out of sight. I just want information, not a firefight.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '194', 'm49d', 'Rebel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '195', 'm49c', 'Very interesting. Maybe that place is the refugee smuggling depot we\'ve been looking for. Nice work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '196', 'm49t', 'Investigate Smuggled Convicts');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '197', 'm50o', 'I have a matter here that needs attention. Journey to these coordinates to investigate rumors of Rebel activity in the area. Just look; don\'t shoot. Oh, and on your return here, bring me a cup of jawa juice.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '198', 'm50d', 'Rebel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '199', 'm50c', 'Very well. But I see you\'ve omitted my cup of jawa juice. What went wrong? I\'m afraid I\'ll have to write this up. Regulations, you know.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.stf', '200', 'm50t', 'Check Rebel Activity and Bring Juice');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '1', 'm1o', 'Rebel activity has been increasing in this area. We suspect that a new cell may have recently formed near here. We require the skills of a loyal Imperial citizen to scout out the area and report back to us. Can you handle this assignment, citizen?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '2', 'm1d', 'Rebel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '3', 'm1c', 'Just as we suspected. You have served the Empire well, citizen. You can take partial credit for every single Rebel our stormtroopers bring down.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '4', 'm1t', 'Rebel Hunting');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '5', 'm2o', 'Imperial Intelligence has reported high smuggler activity in this system. Our probe droids have narrowed the area where smugglers might have set up a base. If they search any more closely, however, the smugglers will be warned. We need you to scout this area and report back here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '6', 'm2d', 'Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '7', 'm2c', 'Well done, citizen. We\'ll monitor the activities of these smugglers closely. Perhaps they\'ll lead us to some Rebel bases.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '8', 'm2t', 'Follow the Smugglers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '9', 'm3o', 'Black Sun believes itself untouchable, even by Imperial law. Our job is to shatter this belief. We believe we know where one of these Black Sun gangs have set up shop. If you could scout the area to give us an understanding of their numbers and resources, then report back here, we could organize an effective strike.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '10', 'm3d', 'Gangster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '11', 'm3c', 'Sounds like we may need to call in some stormtrooper reserves. The Empire thanks you for your intelligence, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '12', 'm3t', 'Scope Out the Gangsters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '13', 'm4o', 'A deadly new swoop gang, the Shadow Angels, has been trying to establish itself on this planet. Many recent attacks on remote settlements have been attributed to these vile gangsters. We need you to scout out an area investigated by our probe droids. We know the gangsters are there; we just need intelligence on their strength. Report back here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '14', 'm4d', 'Gangster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '15', 'm4c', 'We\'ll have to take care of these swoopers before their numbers overwhelm our garrison. We are grateful for your help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '16', 'm4t', 'Find the Shadow Angels');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '17', 'm5o', 'Recent raids on Abraxas have driven pirates out of their hiding places. Imperial Intelligence has tracked some of those pirates to this planet. A spike in waste emissions in the wilderness is decidedly suspicious. We need you to check this area out and see what is producing those emissions. Report back here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '18', 'm5d', 'Pirate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '19', 'm5c', 'Our suspicions are confirmed. Good work, citizen. You may have a career in Imperial Intelligence.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '20', 'm5t', 'Those Dirty Pirates');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '21', 'm6o', 'Intelligence wants to get their hands on a notorious Snivvian pirate named Bakken. We have reasons to believe this individual has been working for the Rebels. One of our contacts has informed us that Bakken has been seen on this planet. He gave us coordinates that we are most interested in having you check out. Report back here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '22', 'm6d', 'Pirate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '23', 'm6c', 'That might indeed be Bakken. We\'ll organize a strike. The Empire will compensate you for your service, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '24', 'm6t', 'Snag the Infamous Pirate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '25', 'm7o', 'We may have a lead on tracking down the pirate Leo Bellsfar. One of Bellsfar\'s men was taken in an Imperial raid a few days ago and when pressed by interrogators squawked like a Neimoidian neekoflight. He claims that Bellsfar often takes refuge in a base on this planet. Check out these coordinates and report what you find. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '26', 'm7d', 'Rebel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '27', 'm7c', 'That doesn\'t sound pirates. Unless Bellsfar has thrown his lot in with those Rebel scum. It would be fitting for a villain like Bellsfar.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '28', 'm7t', 'Recon the Pirate Lair');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '29', 'm8o', 'We had believed the Black Hole Gang destroyed but it seems some of of their number managed to escape and have been using a base near here to hide from local authorities. Check out these coordinates and see how formidable a base these pirates have managed to establish. Report back here, and do not engage the enemy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '30', 'm8d', 'Pirate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '31', 'm8c', 'Excellent, we\'ll take it from here. No one escapes the long arm of the Empire, citizen. No one.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '32', 'm8t', 'Is the Gang All There?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '33', 'm9o', 'The sign of the Blazing Claw has been used by pirates since the days of the Old Republic. One of our probots observed a ship that bore this sign on its hull. The ship did not seem headed toward any known starports, and we believe it landed at these coordinates. Check them out and report back.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '34', 'm9d', 'Pirate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '35', 'm9c', 'We didn\'t realize those scoundrels had an entire base down there. We\'ll have TIE bombers sweep that area until there\'s nothing left. Thank you, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '36', 'm9t', 'The Blazing Claw');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '37', 'm10o', 'We\'ve been surveying some land believed to be rich in alantium but have detected some strange ion emissions in that area. Could you scout it out and make sure no squatters have moved into the area. These independent miners are becoming far too bold for the Empire\'s tastes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '38', 'm10d', 'Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '39', 'm10c', 'Those don\'t sound like miners. Those sound like smugglers. We\'ll assign a stormtrooper unit to take care of the problem immediately.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '40', 'm10t', 'Find the Squatters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '41', 'm11o', 'It seems that a local gang has been sponsoring illegal podraces on this planet. Our information points to a remote area as the base of operations of this gang. We need you to recoinnoiter the following coordinates. Make sure you\'re not seen as this would tip the gangsters off that we\'re wise to their setup.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '42', 'm11d', 'Gangster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '43', 'm11c', 'We need to move fast or these gangsters will head offworld and try to set up shop on another system. Your help will be instrumental in stopping these criminals, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '44', 'm11t', 'Stop the Podraces');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '45', 'm12o', 'Imperial Intelligence has warned us that the so-called \"Lady\" Valarian is trying to expand her criminal empire. It\'s bad enough keeping tabs on the activities of all the Hutts and Black Sun; now we have to monitor the criminal doings of a crazed Whiphid as well. Scout out these coordinates and let us know if these gangsters have already set up a base.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '46', 'm12d', 'Gangster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '47', 'm12c', 'These gangsters are vermin and will be exterminated like vermin. After all, Imperial troops need moving targets to improve their marksmanship. Our thanks, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '48', 'm12t', 'Curb Valarian\'s Enthusiasm');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '49', 'm13o', 'A shipment of R2 units was recently stolen by the Rebels during a raid on an Imperial depot. Unbeknownst to those scum, the R2s had been outfitted with undetectable homing beacons. We\'ve picked up a signal from one of those transmitters and need you to scout out the area. Report any unusual activity immediately. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '50', 'm13d', 'Rebel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '51', 'm13c', 'Looks like we\'ve found one of those missing droids, citizen. I think a company of Imperial stormtroopers and an AT-AT column can take it from here. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '52', 'm13t', 'Find the Pesky Rebels');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '53', 'm14o', 'We intercepted a Rebel transmission believed to be from Airen Cracken to a local Rebel cell. Given the description in the message, we believe we know where this base is hidden. Scout out the area at these coordinates and report your findings back to us. The Empire is counting on you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '54', 'm14d', 'Rebel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '55', 'm14c', 'You\'ve done well, citizen. We\'ll keep this base under close watch and hope that we can snare Cracken himself. You\'ve earned this reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '56', 'm14t', 'Capture Airen Cracken');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '57', 'm15o', 'The Imperial Guide to Negative Reinforcement states that all suspected criminal activity should be punished using the harshest means possible. This helps deter similar future activity. To this end, we need you to scout out an area we suspect is being used by smugglers to store illicit goods. Our TIE bombers require accurate surface coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '58', 'm15d', 'Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '59', 'm15c', 'You have done your part to secure peace and order in the Empire, citizen. You should be proud of your accomplishment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '60', 'm15t', 'Bomb the Smugglers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '61', 'm16o', 'We think some pirates are engaging in illegal energy mining. We need you to scout out their operation and report on their strength and numbers. Will we have to call in outside help to handle this one, or will our local forces be sufficient to stop these pirates? We need this issue settled immediately. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '62', 'm16d', 'Pirate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '63', 'm16c', 'I suppose we\'ll call in for reinforcements, just in case. It never hurts to have a battalion or two of stormtroopers to bolster your planetary security forces.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '64', 'm16t', 'Stop the Energy Mining');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '65', 'm17o', 'One of our agents was sent to investigate an area thought to contain a Rebel outpost. We lost contact with our agent shortly after they arrived at these coordinates. We need you to ascertain the fate of our agent as well as gather intelligence on the outpost if it is indeed there. Proceed with caution, citizen. We\'d hate to lose another agent.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '66', 'm17d', 'Rebel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '67', 'm17c', 'It sounds like our first agent fell victim to foul play. Those murderous Rebels will pay for what they\'ve done. The Empire thanks you, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '68', 'm17t', 'Sneaky Rebels');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '69', 'm18o', 'We\'ve been seeing an odd alien hanging around this installation -- a little furry thing wearing primitive hide clothing. We think he may be spying, so we planted a tracking beacon on him. Check the coordinates of his destination and report back.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '70', 'm18d', 'Rebel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '71', 'm18c', 'Rebels, eh? I never did trust that fuzzy, jabbering wretch. We\'ll send out a company of stormtroopers.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '72', 'm18t', 'Furry Potential Terrorist');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '73', 'm19o', 'I saw a suspicious gathering of aliens. When I passed by, they all went silent. When they headed away as a group, I ordered a probot to follow at high altitude. The signal went dead at these coordinates. Go out, check it, report back.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '74', 'm19d', 'Rebel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '75', 'm19c', 'I knew it! You have to watch those aliens all the time. All, all potential Rebels! I\'ll send in the troops.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '77', 'm20o', 'The Emperor\'s Guards suggest that the Emperor himself may visit this world! Our watchwords become \"increased vigilance.\" It falls to you to check a recent report of suspicious activity at these coordinates. Report back at once.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '78', 'm20d', 'Rebel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '79', 'm20c', 'This Rebel activity can only discourage an Imperial visit. Then again, perhaps that is not wholly bad news.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '80', 'm20t', 'Recon for Imperial Visit');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '81', 'm21o', 'There are continued rumors that the Emperor himself may pay us a visit. Unlikely, I think -- yet this often serves as a pretext to \"encourage\" greater efforts to hunt Rebels. We have a new report of suspicious actions. Check these coordinates and report back.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '82', 'm21d', 'Rebel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '83', 'm21c', 'Well, whether or not the Emperor visits here, we obviously need to clean up the Rebels. I\'ll call in a strike team.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '84', 'm21t', 'Imperial Visit Requires Recon');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '85', 'm22o', 'Last night an alien assaulted one of our troops. This cannot be tolerated. We are canvassing the planet for suspicious aliens, preparatory to a full-scale purge. You are to reconnoiter these coordinates and report back.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '86', 'm22d', 'Rebel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '87', 'm22c', 'Rebels. Hmm. Very well, we\'ll send in an assault force. And any aliens there will be sorry, for a very brief time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '88', 'm22t', 'Alien Assault on Stormtrooper');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '89', 'm23o', 'We apprehended a criminal in the act of stealing weapons from an armory. We have begun to kill him. He has divulged the location of his base. Before we assemble an extermination mission, we wish you to inspect the coordinates and report back.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '90', 'm23d', 'Gangster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '91', 'm23c', 'Excellent. The criminal\'s report might have been false, but in these situations we usually obtain good results. We will wipe out the base shortly.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '92', 'm23t', 'Armory Thief Divulges Base Location');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '93', 'm24o', 'Incredibly, we have apprehended one of our own Imperial officers in the act of illicitly transporting war materiel to known gangsters. The errant officer is in custody, but we have not yet determined the destination for his stolen goods. Check the following coordinates and report back.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '94', 'm24d', 'Gangster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '95', 'm24c', 'That sounds like the destination our would-be gangster had in mind. We\'ll dispose of them quickly. By the way, I have just been promoted -- the corrupt officer was my immediate superior. Tragic.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '96', 'm24t', 'A Corrupt Officer! Can It Be?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '97', 'm25o', 'The Empire takes a dim view of glitterstim drug smuggling. This only empowers the Hutts, Black Sun, and other criminal organizations. We have received reports of a drug laboratory in a remote area. We require you to investigate these coordinates and report back. If there are gangsters there, we shall send in a strike team.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '98', 'm25d', 'Gangster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '99', 'm25c', 'Despite all appearances, it is not a hopeless task to eradicate drug smuggling on this world. We shall triumph! Victory is inevitable!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '100', 'm25t', 'Glitterstim Lab Felons');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '101', 'm26o', 'An Imperial Navy quartermaster has literally been kidnapped off a Lancer-class frigate in this system. We believe the pirates took the quartermaster to a base in the wilderness. Check these coordinates and report back on what you find. Take no offensive action on your own! These people are obviously dangerous.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '102', 'm26d', 'Pirate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '103', 'm26c', 'That pirate gang could use the quartermaster\'s security codes to have the Empire literally deliver goods to that base. Good job! We shall resolve this matter shortly.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '104', 'm26t', 'Imperial Quartermaster Kidnapped');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '105', 'm27o', 'Disturbing rumors say smugglers have stolen hyperspace dampers from a Star Destroyer! This defies understanding. Only a network of inside accomplices could pull off that feat. We have reports of a smuggler base at these coordinates. Reconnoiter the area, with attention to the presence or absence of hyperspace dampers.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '106', 'm27d', 'Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '107', 'm27c', 'Well, from your sketchy report it appears that base has no hyperspace dampers. It would be a relief to learn that the rumors are false. That is all for now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '108', 'm27t', 'Hyperspace Dampers Purloined?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '109', 'm28o', 'The Imperial Security Bureau has deployed surveillance droids over this region. Droids entering one particular region have all failed; their sensors have apparently been burned out. We wish you to investigate these coordinates and report back on the cause.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '110', 'm28d', 'Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '111', 'm28c', 'Hmm. Those smugglers must have a laser installation that burns out droid visual sensors. We must redesign our sensors accordingly. And we must deal with the smugglers!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '112', 'm28t', 'What Burns Droid Sensors?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '113', 'm29o', 'Imperial Center has been tracking a notorious Aqualish mercenary who is believed to be building a power base in this sector. A probe droid tracked him to these coordinates, but something provoked the droid to self-destruct before it could identify the structure there. You will go there, identify the structure, and report back here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '114', 'm29d', 'Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '115', 'm29c', 'A smuggling base? Evidently the Aqualish mercenary is arranging for a shipment of goods -- more weapons, beyond doubt. Very well, we shall continue to track him until we have identified everyone in his plot.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '116', 'm29t', 'Aqualish Mercenary Sighted');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '117', 'm30o', 'Too many Rebel sympathizers are escaping our Mid-Rim dragnets. The more we squeeze, the more they slip through our fingers. We suspect the Rebels are setting up a refugee processing center at these coordinates. Journey there, attend to what you see, and report back here with details.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '118', 'm30d', 'Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '119', 'm30c', 'That doesn\'t sound like a refugee processing center. Unless -- could the Rebels stoop so low as to use actual smugglers to smuggle these refugees? Well, that is all for now. You may go.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '120', 'm30t', 'Rebel Refugee Processing Center');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '121', 'm31o', 'Imperial Center has for some time been concerned with the movements of an infamous Aqualish mercenary. He has returned to this world as part of his effort to build a power base in this sector. The droid tracking him has been destroyed. We wish you to reconnoiter these coordinates and report back on his current contacts.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '122', 'm31d', 'Pirate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '123', 'm31c', 'That mercenary is talking to pirates again, eh? I expect he is assembling a fleet of desperadoes for his plan, whatever it is. Well, we must continue tracking him until we know everyone in his conspiracy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '124', 'm31t', 'Track the Aqualish Mercenary');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '125', 'm32o', 'We confiscate starships of suspected Rebel sympathizers, but too many of these craft escape us. The tighter we weave our blockades, the more ships slip through our net. We believe several Rebel ships have landed at these coordinates. Inspect the area, then report here with your findings.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '126', 'm32d', 'Pirate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '127', 'm32c', 'No Rebel ships? Hmm. Could the ships have been stolen by the pirates you discovered? It seems too simple an explanation. Well, we shall see. You may go now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '128', 'm32t', 'Rebel Starships Escape Confiscation');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '129', 'm33o', 'A known bounty hunter has been seen consorting with space pirates. This defies Imperial regulations, not that hunters attend closely to such trivia. But if we can document the association, we can embarrass the Bounty Hunters\' Guild, should we need to. Reconnoiter the pirate base. Do not attack anyone. Report back.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '130', 'm33d', 'Pirate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '131', 'm33c', 'Never mind. I\'ve learned that this hunter was hired by a highly placed aide to the Emperor -- naming no names. He seeks a particular Rebel whose name escapes me. I believe it impolitic to accuse that hunter of anything untoward, for now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '132', 'm33t', 'Bounty Hunter Working With Pirates');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '133', 'm34o', 'A notorious Aqualish mercenary, who has long been of interest to Imperial Center, has returned to this world to continue building his power base. His purpose and contacts are unknown. We require you to journey to the coordinates where he was last seen, then return here to describe the destination.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '134', 'm34d', 'Gangster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '135', 'm34c', 'Hmm. It makes a certain evil sense that our mercenary would be consorting again with gangsters. He needs brutal, ruthless folk who will stop at nothing. Well, we shall continue to track him until we know of every malcontent he enlists in his scheme.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '136', 'm34t', 'Who Meets the Aqualish Mercenary?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '137', 'm35o', 'Stop what you\'re doing. I have new orders for you. A band of space pirates recently stole a shipment of hyperdrive motivators from an Imperial transport. We followed the motivators\' tracking beacon to a small installation. I need you to check out the place and report to me what you find. If the pirates are there, we may need to call in some heavy guns.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '138', 'm35d', 'Pirate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '139', 'm35c', 'That sounds like the pirates, all right. Though from the sound of it, we won\'t need any heavy guns after all. Thanks for the recon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '140', 'm35t', 'Possible Pirate Base');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '141', 'm36o', 'Imperial Customs has the coordinates of a suspected smuggler encampment. I need you to find the place, sneak in and see what you can learn. Report back to me at once. Try not to let the locals spot you. We don\'t want a firefight. If you find any unsavory characters, we\'ll order a strafing run and maybe a couple of bombs.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '142', 'm36d', 'Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '143', 'm36c', 'That sounds a lot like smugglers to me. I\'ll contact Imperial Customs to run a cleanup sortie on the place. Good work. Carry on.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '144', 'm36t', 'Check Out a Possible Smuggler Encampment');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '145', 'm37o', 'In the name of galactic security, I need your assistance! There are reports of a gang of illegal slavers at the coordinates on my datapad. I need someone not in uniform to investigate the area. Do this in the name of justice. Report to me what you find. These unlicensed slavers are a blight on seven sectors and I want to put a stop to them here and now!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '146', 'm37d', 'Gangster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '147', 'm37c', 'Apparently you found the rough crowd we were expecting. That\'s it, I\'m ordering a squad of stormtroopers to mop up the place. I\'ll have no unauthorized slavers in my sector!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '148', 'm37t', 'Gang of Rogue Slavers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '149', 'm38o', 'This is going to sound strange. Some of my men have reported, well, a haunting. They say ghostly apparitions have appeared to them in a certain area on their patrol. I want you to have a look around and find out what they\'re seeing. I don\'t believe in ghosts, but something sure has my boys spooked.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '150', 'm38d', 'Rebel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '151', 'm38c', 'Rebels, you say! I knew there weren\'t any ghosts. They must have set up some kind of holographic projector to frighten away my patrols. They would have gotten away with it, too, if it weren\'t for dilligent Imperial spies like you. Excellent work! We\'ll take it from here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '152', 'm38t', 'Investigate a Haunting');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '153', 'm39o', 'Listen up. A rare SoroSuub starfighter called \"Preybird\" was seen flying into this sytem. We\'re pretty sure of the coordinates where the pilot landed. I want you to sneak out there and see if that spaceship is on the grounds. I have a suspicion the pilot is delivering it into the proverbial \"wrong hands.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '154', 'm39d', 'Rebel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '155', 'm39c', 'I knew the Rebels had to be behind this operation. No sign of the Preybird starfighter, though, eh? Too bad. Don\'t worry, we\'ll track it down yet.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '156', 'm39t', 'Investigate a Rare Starfighter');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '157', 'm40o', 'If you\'ve never heard of the Black Hole pirate gang, then you\'re about to find out more. I\'m fairly sure they\'ve got a small installation in my patrol sector. I want you to recon the place and let me know what you find. If it looks like trouble, we\'ll send out a platoon of stormtroopers. Can\'t let these scum get comfortable, you know.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '158', 'm40d', 'Pirate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '159', 'm40c', 'Aha! Didn\'t I tell you it was space pirates? Yes I did; I distinctly recall saying so. I\'ll call a platoon of stormtroopers to level the place. Thanks for your help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '160', 'm40t', 'Investigate a Notorious Space Pirate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '161', 'm41o', 'I\'ve got a lead on an underworld operator named Talon Karrde. I don\'t want to tip him off, though. I need you to scout the place and make sure he\'s there before I organize a police action. If I can lay my hands on him, I\'m sure I\'ll come away with leads to some of the big players in the galactic underworld.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '162', 'm41d', 'Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '163', 'm41c', 'He wasn\'t there! I don\'t believe it. Maybe he knew you were coming. In any case it sounds like those people were an unsavory bunch. I\'ll send in a patrol unit to break up any illegal goings-on.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '164', 'm41t', 'Spot an Underworld Operator');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '165', 'm42o', 'There\'s something shady going on. Some of my men have been spending their off-hours at a seedy little joint they call a cantina. I think it\'s more suspect than that. We can\'t have members of the Imperial military consorting with criminals and low-lifes. Do me a favor and check the place out. Be careful, it can get a little rough. Report back to me what you find.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '166', 'm42d', 'Gangster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '167', 'm42c', 'I knew that place was trouble! I\'ll send a military police unit to shut it down for good. The brig will be jammed tonight, I can assure you. I appreciate your good work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '168', 'm42t', 'Check Out a Seedy Joint');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '169', 'm43o', 'Excuse me. The Empire needs your help. Well, that is, I need your help. I sent a patrol team to a new quadrant this morning and I haven\'t heard back from them. I can\'t leave my post here. Can you go see if anything is wrong? I heard there was some kind of building or settlement out there. Have a look around it. If it seems dangerous, don\'t start any trouble. Just report back to me and I\'ll handle it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '170', 'm43d', 'Rebel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '171', 'm43c', 'Blast! Rebels! They must have waylaid my patrol. Thanks for the assistance. I\'ll notify the authorities at once!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '172', 'm43t', 'Find a Missing Patrol');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '173', 'm44o', 'I require your assistance. An Imperial courier was scheduled to hand-deliver a memo to me this morning. It contained critical details about an upcoming Imperial operation. I\'m mortified to say I haven\'t received it yet. Have a look round the courier\'s last known coordinates and see if there\'s any sign of that delivery. Then report back to me at once. I dread the thought of missing the next meeting of the Preliminary Exploratory Action Planning Committee. I\'m the secretary, after all.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '174', 'm44d', 'Rebel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '175', 'm44c', 'There are Rebels out there? Oh, dear! Something must be done! I shall organize an official committee at once and vigorously debate this problem. We\'ll craft a strong warning for those Rebel scum. I can assure you of that!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '176', 'm44t', 'An Imperial Courier Is Missing');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '177', 'm45o', 'There you are. I\'m glad you showed up. I have a job for you. Intelligence has reported a possible Rebel encampment outside of town. I want you to check the place out. Don\'t start any trouble, though. Just look around and report back to me. I\'ve got a surprise for them if they bring their treason into my jurisdiction!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '178', 'm45d', 'Pirate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '179', 'm45c', 'You say there were no overt Rebels? Hmm. Well, any spacer whose licenses aren\'t in order is a potential Rebel smuggler. I\'ll have the planetary authorities raid the place and check out everyone\'s credentials. They\'re not going to slip any treason under my scanners. You can rely on that.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '180', 'm45t', 'Rebels In My Jurisdiction');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '181', 'm46o', 'Yes, I lost another shipment of TIE solar array support frames. I don\'t deny it. But instead of threatening to tell my superiors, what if you investigate these coordinates where the tracking beacons sent their last transmission? You\'ll find my lost frames, I\'ll write you a commendation for service to the Empire, and my superiors won\'t be bothered by these petty logistical details. Do we have a deal?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '182', 'm46d', 'Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '183', 'm46c', 'Sounds like they were smugglers to me. Not good. Maybe I can hire some locals to bring my frames back before my superiors get word of this. In any case, thanks for helping me out. I\'ll file an Imperial commendation for you under some pretext that has nothing to do with lost TIE solar array support frames.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '184', 'm46t', 'Earn an Imperial Commendation');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '185', 'm47o', 'Nothing personal, but I\'ve just about had my fill of aliens. Used to be, a man of my species could enjoy the company of his own without stepping on someone\'s tail or tentacle or furry hoof. Anyway, a band of unsavory-looking aliens has set up shop outside of town. I want you to check out their operation. Don\'t let on you\'re working for me, though. Just have a look and tell me what you find.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '186', 'm47d', 'Gangster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '187', 'm47c', 'I sure don\'t like the cut of that bunch. They sound like outlaws to me. Would you agree? I\'ll call this into Orbital Dispatch and see if a couple of TIE flyovers might chase those ugly drifters away from there.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '188', 'm47t', 'Investigate Some Unsavory Aliens');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '189', 'm48o', 'Have you ever seen a lightsaber? Me, I\'ve only heard about them in the old stories. But a civilian informant reported seeing one of them at a small installation some distance from here. I\'d love to get a pair of Empire-friendly eyes inside that place. Care to handle this recon job for me? Come back here when you\'re finished.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '190', 'm48d', 'Rebel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '191', 'm48c', 'Too bad you didn\'t see the lightsaber, but an installation full of Rebels is equally interesting to me. Looks like I\'ll get to exercise my trigger finger before supper tonight. Good work, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '192', 'm48t', 'Lightsaber Claim');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '193', 'm49o', 'Listen up. We think some rebels might be smuggling escaped criminals through a facility near here. I need you to check it out for me. Report back when you\'ve had a look around the place. And keep yourself out of sight. I just want information, not a firefight.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '194', 'm49d', 'Rebel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '195', 'm49c', 'Very interesting. Maybe that place is the refugee smuggling depot we\'ve been looking for. Nice work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '196', 'm49t', 'Investigate Smuggled Convicts');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '197', 'm50o', 'I have a matter here that needs attention. Journey to these coordinates to investigate rumors of Rebel activity in the area. Just look; don\'t shoot. Oh, and on your return here, bring me a cup of jawa juice.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '198', 'm50d', 'Rebel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '199', 'm50c', 'Very well. But I see you\'ve omitted my cup of jawa juice. What went wrong? I\'m afraid I\'ll have to write this up. Regulations, you know.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '200', 'm50t', 'Check Rebel Activity and Bring Juice');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_imperial_easy.tab.stf', '201', 'number_of_entries', '50');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '1', 'm1o', 'We thought we\'d wiped out that nest of vermin, but we\'ve had more glitterstim on our streets recently. We need you to check that abandoned gangster hangout and let us know if those criminals have moved back in. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '2', 'm1d', 'Gangster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '3', 'm1c', 'Looks like some of those thugs didn\'t get the hint. Much obliged. Here\'s something for your trouble.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '4', 'm1t', 'Determined Gangsters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '5', 'm2o', 'I believe a local swoop gang is setting up shop near here. Could you go scope out the situation and see what kind of trouble those criminals are up to? We\'d make it worth your while.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '6', 'm2d', 'Gangster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '7', 'm2c', 'Oh great, our very own neighborhood swoop gang. That\'s all we needed. Blast! We\'ll have to keep an eye on those creeps. Thanks for your help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '8', 'm2t', 'Local Swoop Gang Troubles');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '9', 'm3o', 'I suspect that one of the locals is selling glitterstim spice out of a fortified settlement. We need someone to scout out the area and let us know what\'s happening. Is there a gang moving into our neighborhood? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '10', 'm3d', 'Gangster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '11', 'm3c', 'This bodes ill for our community. With my luck some Black Sun Vigo will move in right next door to me. Appreciate the help, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '12', 'm3t', 'Gang Activity');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '13', 'm4o', 'Don\'t want to alarm you, friend, but I think a Rebel cell is operating right here in our community. I sure could use some help in verifying that, though. Can I count on your help?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '14', 'm4d', 'Rebel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '15', 'm4c', 'I knew it! COMPNOR is gonna want to hear about this, no mistake. Thanks, citizen! Here\'s a reward for you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '16', 'm4t', 'Rebel Activity?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '17', 'm5o', 'There\'s been increased Imperial patrols in this area. I think the Empire is establishing a new garrison here. Could you scout the area for us and let us know what you find?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '18', 'm5d', 'Imperial');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '19', 'm5c', 'This spells trouble for us, I can feel it. The Empire is up to no good, you mark my words, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '20', 'm5t', 'Imperial Encroachment');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '21', 'm6o', 'A neighbor mentioned some shady individuals lurking about just outside of the city. We\'ve had some troubles with smugglers in the past. Could you reconnoiter the area and let us know if we need to take action?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '22', 'm6d', 'Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '23', 'm6c', 'Smugglers again? Those rogues just never learn, do they? Thanks, citizen, we\'ll have to take care of those scoundrels soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '24', 'm6t', 'Who Lurks There?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '25', 'm7o', 'I\'ve been warned by several friends not to wander too far away from the safety of the city. I want to know what they\'re so afraid of. Could you scout the area and report to me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '26', 'm7d', 'Imperial');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '27', 'm7c', 'An Imperial outpost? What the blazes could the Empire want? I hope they don\'t intend to harass our neighborhood. Thanks, friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '28', 'm7t', 'What\'s Out There?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '29', 'm8o', 'I\'ve seen some unusual transport activity near here. We\'ve had some problems with gunrunners in the past. Could you check it out and see if those rogues have set up shop again?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '30', 'm8d', 'Rebel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '31', 'm8c', 'Rebels? In this area? I see. Good job, citizen. This is for your efforts. Kindly keep this information to yourself, eh?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '32', 'm8t', 'Gunrunners Again?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '33', 'm9o', 'Seems like this neighborhood has been attracting more undesirables. I\'ve seen some rough folk lurking about. They might have set up a hideout near here. Think you could check on it for us?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '34', 'm9d', 'Pirate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '35', 'm9c', 'Pirates! Well, perfect, just what this neighborhood needed. Isn\'t it bad enough that we have Rebel terrorists and Imperial goons to contend with?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '36', 'm9t', 'New Undesirables');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '37', 'm10o', 'A contact on the HoloNet has arranged a rendezvous just outside town to sell me some rare Alderaan antiques. But he didn\'t give his HoloNet address, and I\'m suspicious. Can you check to make sure it\'s legitimate? Be careful!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '38', 'm10d', 'Gangster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '39', 'm10c', 'Criminals? So it was a trap! Sorry to put you through that, but thanks for sparing me from kidnapping, or worse.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '40', 'm10t', 'Shady Antique Dealer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '41', 'm11o', 'I\'m meeting a -- well, let\'s say a friend. But I don\'t quite trust -- that is, I want you to check out the area before I go there. Okay with you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '42', 'm11d', 'Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '43', 'm11c', 'Sounds like smugglers, all right. Well, I may still go to that meeting, but I\'ll carry a blaster. Thanks, friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '44', 'm11t', 'A Friend\'s Credentials');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '45', 'm12o', 'I\'m arranging a courier ship to put a shipment of memorial capsules into orbit at the Graveyard of Alderaan. The ship is docked at these coordinates. Can you check for me whether it looks spaceworthy?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '46', 'm12d', 'Pirate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '47', 'm12c', 'No ship? Pirates? I can\'t believe it! Who would try to swindle people who just want to leave a memorial for their dead planet?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '48', 'm12t', 'Grieve For Alderaan');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '49', 'm13o', 'I\'d love to give my sweetheart a ring of ancient milkstone, but it\'s so hard to find nowadays. I\'ve found a possible supplier, but he sounds shady. I\'d like you to check out that operation and report back on whether it seems honest.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '50', 'm13d', 'Gangster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '51', 'm13c', 'I suspected as much when the fellow I talked to wouldn\'t leave a HoloNet address. Thank you for protecting me from that seedy bunch.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '52', 'm13t', 'Milkstone Supplier');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '53', 'm14o', 'I need to get offworld fast, without a lot of Imperial entanglements. I\'ve found an escort, but I don\'t even know if he has a ship. I\'d like you to covertly scout these coordinates and make sure there really is transport.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '54', 'm14d', 'Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '55', 'm14c', 'Me? Go offworld? I have no idea what you\'re talking about. But I remember I owe you some money, so here it is. Now please go away.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '56', 'm14t', 'A Hasty Exit');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '57', 'm15o', 'Gossip says that local hoodlums have started a new hangout in our community. Will you check out these coordinates? Please be careful.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '58', 'm15d', 'Gangster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '59', 'm15c', 'Will nothing stop the spread of this cancer of lawlessness? I must write an irate note to the city council.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '60', 'm15t', 'A Growing Cancer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '61', 'm16o', 'People here have noticed more petty theft lately. We\'re doing a sweep to find new criminals in the neighborhood. Can you take these coordinates and report back?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '62', 'm16d', 'Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '63', 'm16c', 'Smugglers, hmm? Okay, thanks. The neighborhood vigilance committee will try to show them the error of their ways.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '64', 'm16t', 'Increased Petty Theft');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '65', 'm17o', 'An orbital probe droid reports odd transport activity near here, outside authorized landing areas. We think it could be smugglers. Can you check these coordinates?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '66', 'm17d', 'Pirate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '67', 'm17c', 'Hmm. I expect pirates would find a nice living around here. We\'ll see about ways to make their lives less comfortable. Thanks for the reconnaissance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '68', 'm17t', 'Who Can That Be?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '69', 'm18o', 'I\'m concerned about my daughter, who has been fraternizing with some shifty types not far from here.  Could you have a look and see what kind of crowd she\'s fallen in with?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '70', 'm18d', 'Gangster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '71', 'm18c', 'What? They look like gangsters? I\'m going to set my daughter straight about these new friends of hers!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '72', 'm18t', 'A Protective Parent');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '73', 'm19o', 'Some old acquaintances of mine have been spotted not far from here. I\'ll pay you well if you can scope out what those pirates are up to.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '74', 'm19d', 'Pirate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '75', 'm19c', 'Poodoo! Those sleemos must be muscling in on my star lanes. I\'ll fix \'em, though. Thanks for the information.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '76', 'm19t', 'Some Old Friends');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '77', 'm20o', 'My company\'s delivery logs report that some unauthorized shipments have been transported to these coordinates. Can you see who or what is there? I want to learn who\'s been robbing me.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '78', 'm20d', 'Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '79', 'm20c', 'Smugglers! I\'ll not have my goods shipped offworld without proper authorization. I could get into big trouble with Imperial Customs.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '80', 'm20t', 'Stolen Delivery Logs');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '81', 'm21o', 'My droid workers have reported squatters on my land. I need you to find out how many there are and if they\'ve built any structures. If you\'re willing to earn a few creds, that is.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '82', 'm21d', 'Imperial');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '83', 'm21c', 'The Empire has placed an outpost on my land? This must have something to do with those licensing fees I forgot to pay. I\'ve got a bad feeling about this.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '84', 'm21t', 'Check Out the Squatters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '85', 'm22o', 'Is it just me, or has there been an unusual increase in speeder traffic at a certain land holding near here? I\'ll throw you a few creds if you check it out for me.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '86', 'm22d', 'Rebel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '87', 'm22c', 'Oh-ho! Rebels right here on our planet! The Imperial Security Bureau should pay me well for this information. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '88', 'm22t', 'Check Out Speeder Traffic');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '89', 'm23o', 'We don\'t like the looks of a group of low-lifes who recently moved into the area. Our community elders have instructed me to hire a scout to investigate their goings-on. Are you able to provide this service?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '90', 'm23d', 'Gangster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '91', 'm23c', 'We suspected those low-lifes were up to no good. We\'ll file a report with the planetary authorities and mention your good work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '92', 'm23t', 'A Shady Group');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '93', 'm24o', 'I own a small building not far from here. I\'m suspicious about my current tenants. Can you check them out for me? Make sure they don\'t know I sent you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '94', 'm24d', 'Pirate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '95', 'm24c', 'Thanks. They sound like some rough customers. I suppose I ought to screen potential tenants more thoroughly in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '96', 'm24t', 'Questionable Tenants');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '97', 'm25o', 'I just hired a small company to ship some cargo offworld for me. I\'d like to hire someone to check out these couriers. Can you do that for me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '98', 'm25d', 'Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '99', 'm25c', 'You think they looked like smugglers? That\'s encouraging. I don\'t want to attract official attention to my cargo.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '100', 'm25t', 'Investigate Company');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_easy.stf', '101', 'number_of_entries', '25');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '1', 'm1o', 'I\'ve heard that a swoop gang, the Shadow Angels of Dathomir, is spreading like a plague through the galaxy. A friend told me they\'ve set up a hideout not far from here. Could you check these coordinates and report back to me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '2', 'm1d', 'Gangster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '3', 'm1c', 'This is terrible news. Now all the surrounding areas will become targets for these fiends. I must find a way to stop them. Thanks for your help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '4', 'm1t', 'Find the Shadow Angels');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '5', 'm2o', 'I\'ve heard Jabba the Hutt\'s trying to extend his reach. I believe that a new faction of his dreaded swoop gang has settled near here somewhere. I sure could use someone\'s help in finding them. Think you can do it?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '6', 'm2d', 'Gangster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '7', 'm2c', 'If that gangster thinks he can intimidate us into silence, he\'s got another think coming. I\'ll organize a neighborhood watch and inform the authorities. Thanks, friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '8', 'm2t', 'Jabba Expands');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '9', 'm3o', 'Some former \"business associates\" decided to renege on some debts. I\'ve been tracking them all across the galaxy. Could you check these coordinates and see what sort of mischief these scoundrels are up to? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '10', 'm3d', 'Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '11', 'm3c', 'So they\'ve turned to smuggling, eh? Thanks, citizen. I\'ll take it from here. You wouldn\'t know the contact data for the Bounty Hunter\'s Guild, by any chance?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '12', 'm3t', 'Shady Business Associates');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '13', 'm4o', 'I\'ve seen some rather unsavory types passing through here. People say they\'re here to buy illegal weapons. If gunrunners have set up shop near here, I want to know about it. Could you check these coordinates for me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '14', 'm4d', 'Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '15', 'm4c', 'So there is some sort of illegal activity. I\'ll have to think about who best to sell this information to. Good job, friend. You\'ve earned your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '16', 'm4t', 'Unsavory Types');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '17', 'm5o', 'Pirates have plagued this system for years. Every time the authorities close in on a suspected pirate lair, the rogues manage to get away. This time, I\'m hiring a professional to scout one of these lairs. Think you can handle it?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '18', 'm5d', 'Pirate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '19', 'm5c', 'I\'ll have to move fast if the authorities are to capture those murderers. Not a word about this to anyone. Those pirates have spies everywhere. This is for a job well done.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '20', 'm5t', 'The Wily Pirates');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '21', 'm6o', 'My brother was a freighter captain who was killed by a band of pirates. I think I\'ve finally found where these murderers have been hiding. I\'ll pay you to scout out the area and confirm it for me.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '22', 'm6d', 'Pirate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '23', 'm6c', 'Those filthy criminals will face justice very soon! Thanks, friend. You\'ve done this entire system, and my family, a great service.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '24', 'm6t', 'Vengeance Is Mine');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '25', 'm7o', 'Increased Imperial patrols have been making some of my business associates a bit nervous. Could you check out these coordinates and see what the Empire is up to? I\'ll make it worth your while.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '26', 'm7d', 'Imperial');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '27', 'm7c', 'A garrison? I see. Thanks for your help, friend. I need to get some messages to my partners, fast.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '28', 'm7t', 'Increased Imperial Patrols');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '29', 'm8o', 'My neighbors have recently become involved in some sort of \"business enterprise\" they refuse to talk about. I managed to get the coordinates to an area they\'re visiting. Could you check it out and let me know what they\'re up to?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '30', 'm8d', 'Rebel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '31', 'm8c', 'A Rebel outpost? So that\'s why they\'ve been hiding the truth from me. I think COMPNOR would be very interested to hear this news. Thanks, loyal citizen!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '32', 'm8t', 'Spy on the Neighbors');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '33', 'm9o', 'Piracy threatens almost every civilian ship leaving this world. These ruthless killers move around so often it\'s impossible to keep up. But we\'ve just found the location of what could be a major base. If you scout it and report back, I\'ll reward you. But move with extreme caution.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '34', 'm9d', 'Pirate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '35', 'm9c', 'The base you found may be only a fraction of this operation. We\'ll have to move in force against these crooks. Meanwhile, thank you for your exceptional courage.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '36', 'm9t', 'Find the Pirate Base');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '37', 'm10o', 'The Black Sun criminal organization moves with impunity through this corrupt section of the galaxy. But if you can recon their current base and report here on its defenses, I can assemble a group strong enough to take it down. Please be cautious -- these gangsters don\'t stop at murder.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '38', 'm10d', 'Gangster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '39', 'm10c', 'When they learn the Black Sun\'s strength, I suspect my group of vigilantes will find better ways to spend their time. Still, we have to fight when we can. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '40', 'm10t', 'Gauge Black Sun');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '41', 'm11o', 'Offworld smuggling of rock ivory is reaching crisis proportions. At this rate we won\'t have enough ivory to repair our own repulsorlift engines.  I am authorized to offer you a substantial reward for reconnaissance of the main smuggling gang\'s location.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '42', 'm11d', 'Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '43', 'm11c', 'Modern smugglers are frighteningly well armed and equipped. We\'ll have to increase our guard details on rock ivory shipments. Thank you for your brave work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '44', 'm11t', 'Precious Rock Ivory');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '45', 'm12o', 'I\'m researching a speculative land deal. I need a brave, experienced individual to scout out this target area. Report back on what you find, please.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '46', 'm12d', 'Imperial');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '47', 'm12c', 'An Imperial base? Excellent! I\'ve placed a buy order for the land nearby. That will bring a tidy profit when the Empire expands its base. It always does!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '48', 'm12t', 'Profitable Land');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '49', 'm13o', 'My young apprentice has run off. He left a strange note about \"fighting the real slavery in our galaxy.\" I fear he\'s gone to fight pirates or somesuch folly. I\'ll pay you to go to his last known coordinates and tell me what\'s there.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '50', 'm13d', 'Rebel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '51', 'm13c', 'Oh, so he\'s gone and joined the Alliance? Well, all right then. I was worried. \"Fighting the real slavery.\" Heh! Clever, that boy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '52', 'm13t', 'Fight Real Slavery');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '53', 'm14o', 'I\'m following bizarre reports about a criminal plastic-surgery operation. They take known felons, change their faces, and put them in new jobs. What jobs, I wonder? I\'ve heard the operation is at these coordinates. I need you to check it out, but use the utmost caution!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '54', 'm14d', 'Pirate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '55', 'm14c', 'Pirates, eh? Well, that\'s better than putting face-changed thugs into government jobs. Though, for all we know, some operation is already doing that. Who can say? Meanwhile, thank you for your brave action.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '56', 'm14t', 'A New Face');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '57', 'm15o', 'A major criminal syndicate is using coded HoloNet entertainment to arrange drop-points for glitterstim drug shipments. I need to know what kind of equipment they have that infiltrates and alters legitimate broadcasts. It takes stealth and experience to crack their installation. Are you up for danger?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '58', 'm15d', 'Gangster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '59', 'm15c', 'Good work. These gangsters were getting so bold, they were changing even the Moff\'s loyalty speeches. Gutsy! You showed real courage there, and I appreciate it. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '60', 'm15t', 'Gutsy Gangsters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '61', 'm16o', 'Almost every droid brain shipped here from the Core Worlds may contain illicit coded programs. Criminal slicers have turned droids into vehicles for smuggled intellectual property. The smuggling base that extracts the data is big and well defended. If you report on its defenses, we can gather the strength to shut it down.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '62', 'm16d', 'Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '63', 'm16c', 'Did you see large numbers of droid brains? No? Well, perhaps that was only a rumor. Still, we need to get moving on this issue. Thank you, you did well!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '64', 'm16t', 'Droid Brains');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '65', 'm17o', 'I hired a bounty hunter to find the crook who stole my business records. I haven\'t heard from the bounty hunter. Here are his last known coordinates. I\'d like you to check what\'s there, so I can decide whether to hire another hunter to hunt the first.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '66', 'm17d', 'Imperial');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '67', 'm17c', 'An Imperial installation? Oh! Well, it\'s hard to say, but I\'m guessing I won\'t be getting more reports from that bounty hunter. Argh. Oh, here\'s your fee.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '68', 'm17t', 'Find the Crook');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '69', 'm18o', 'My satellite signals are getting interference from some large installation on the other side of the planet. How am I supposed to do business under these conditions? I need to hire you to investigate the nature of this installation, so I can do something about their unauthorized transmissions. You\'ll be well paid, I assure you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '70', 'm18d', 'Rebel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '71', 'm18c', 'It\'s a base for the Rebellion? I\'ve got to notify the Imperial authorities at once! We\'ll smash those terrorists from the face of the planet.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '72', 'm18t', 'Inspect the Interference');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '73', 'm19o', 'I\'ve heard that the Black Sun organization has built a spice trading depot on our very own planet. I want to hire you to check it out, citizen, if you think you\'re good enough not to get caught.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '74', 'm19d', 'Gangster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '75', 'm19c', 'That does sound like a Black Sun depot. Then my sources informed me correctly. Excellent work,citizen. Here\'s your payment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '76', 'm19t', 'Check Out the Trading Depot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '77', 'm20o', 'The last thing we need is another slaver outpost on this planet. Please check out these coordinates for me and see if my suspicions are correct. The job might be dangerous, but you look like you can handle yourself. I\'ll pay you when I get the information.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '78', 'm20d', 'Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '79', 'm20c', 'Definitely a major band of smugglers, but they might not be slavers. Either way, I know some powerful individuals who will want this information. Well done.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '80', 'm20t', 'More Slavers?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '81', 'm21o', 'My ship was stolen. The tracking circuit reported these coordinates just before it stopped transmitting. Can you see if my ship is still there? The creeps who stole it were very dangerous, so have a care. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '82', 'm21d', 'Pirate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '83', 'm21c', 'Oh my, I didn\'t realize the pirate gang was that large. This is more than I can handle on my own. I\'ll have to formulate a plan. Thanks for your help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '84', 'm21t', 'Find the Missing Ship');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '85', 'm22o', 'I\'m doing a survey for a student project. Can you go to this distant Imperial installation and count how many guards there are? If I collect enough data, I\'m bound to get a good grade.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '86', 'm22d', 'Imperial');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '87', 'm22c', 'Thanks so much! I\'m sure to get a good grade with that information. Hey, I get extra credit if I can report how well the guards are armed. Did you happen to notice?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '88', 'm22t', 'Extra Credit');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '89', 'm23o', 'My planetary sensors have picked up some rather large power spikes on the other side of the planet. My scientific curiosity compels me to investigate, though I haven\'t the time to go there myself. Can you check it out for me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '90', 'm23d', 'Rebel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '91', 'm23c', 'How splendid. It sounds like Alliance activity. They have my blessing. Take this payment in return for your silence in this matter.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '92', 'm23t', 'Satisfy Scientific Curiosity');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '93', 'm24o', 'So I found this lost droid the other day, and the serial numbers were erased. Stolen, you know it. So I\'m thinking, \"Hey, keep it, unless the guy who lost it is some kind of big-league player.\" So I\'m in the market for someone to check out these coordinates from the broken homing circuit, to see who used to own that little robot. I hope it\'s nobody special.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '94', 'm24d', 'Gangster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '95', 'm24c', 'Poodoo! That\'s a major player if I ever heard of one. I better get this droid back to them before they get upset. Thanks for the tip.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '96', 'm24t', 'Missing Droid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '97', 'm25o', 'I\'m desperate to get off this hunk of rock! My uncle told me there\'s a secret space port a long way from here, where I might get a job on a ship. Can you check it out for me? Maybe this will be my big chance to see the galaxy at last!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '98', 'm25d', 'Pirate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '99', 'm25c', 'That sounds like a very large pirate base. But hey, a pirate\'s life must be a lot of fun, right? I knew it, this is my big chance! The stars will be my playground! I\'ll never forget the way you helped me, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '100', 'm25t', 'A Pirate\'s Life');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_hard.stf', '101', 'number_of_entries', '25');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '1', 'm1o', 'My son has been sneaking off late at night, and I have a suspicion he\'s up to no good. I\'ve narrowed down the area where I think he visits. Could you check it out for me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '2', 'm1d', 'Gangster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '3', 'm1c', 'I knew that good-for-nothing was up to some mischief! Well, I\'ll be a Sithspawn if he thinks I won\'t put a stop to this activity! No son of mine is going to be a swooper!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '4', 'm1t', 'A Timely Intervention');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '5', 'm2o', 'Some of the local youth have been running errands for a \"businessman\" who recently moved here. I don\'t trust this individual and would like for you to check out this \"legitimate operation.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '6', 'm2d', 'Gangster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '7', 'm2c', 'Just as I suspected. Well I for one am going to make sure our community is not taken over by criminals. Thanks, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '8', 'm2t', 'A Legitimate Operation?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '9', 'm3o', 'My nephew has taken to wearing a black and red jacket and seems eager to own a swoop. I think his new friends are involved in criminal activity. Could you scout out their hangout and see what\'s going on?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '10', 'm3d', 'Gangster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '11', 'm3c', 'I thought gangsters had moved into the area. I certainly hope these aren\'t those Shadow Angels I\'ve heard about. Those are some fearsome swoopers. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '12', 'm3t', 'The Shadow of Angels');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '13', 'm4o', 'I found some glitterstim cannisters in my son\'s room. I think he\'s been getting this poison from a local gang. Could you check out these coordinates and see what those rogues are up to?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '14', 'm4d', 'Gangster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '15', 'm4c', 'They must be refining the spice. An operation that big could distribute spice to several cities. Thanks for the info, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '16', 'm4t', 'A Spice Refinery?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '17', 'm5o', 'Rumor has it that smugglers are trying to set up shop somewhere near here. I think I know where they\'ve built their hideout, but I need you to verify it for me. I\'ll pay you for your time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '18', 'm5d', 'Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '19', 'm5c', 'Aha! I knew it! Thanks, friend. Here\'s your pay. I can go to the local authorities with this information now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '20', 'm5t', 'Find the Smugglers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '21', 'm6o', 'It seems trouble follows me around the galaxy. Every new neighborhood I come to seems to start attracting more criminals the minute I move in. Could you check these coordinates and let me know what\'s going on?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '22', 'm6d', 'Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '23', 'm6c', 'Figures. Well, I guess you just can\'t run away from your past. Maybe I\'ll move to Imperial Center next. Thanks for your help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '24', 'm6t', 'Trouble Magnet');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '25', 'm7o', 'Some friends of mine were thinking of starting up a mining operation. I haven\'t heard from them in a while and was wondering if you could check them out and see how they\'re faring.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '26', 'm7d', 'Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '27', 'm7c', 'Really? Hmm, that is interesting. Doesn\'t sound like a mining operation to me. Thanks, friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '28', 'm7t', 'Those Aren\'t Miners');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '29', 'm8o', 'I\'ve received several orders for supplies with instructions that they be delivered via droid courier only. One of these droids came back still bearing its destination coordinates. Could you see who I\'ve been dealing with all this time?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '30', 'm8d', 'Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '31', 'm8c', 'Smugglers? I should have known. These deliveries were bringing in way more money than normal. Never trust anything too good to be true.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '32', 'm8t', 'Too Good To Be True');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '33', 'm9o', 'I lost a brother to bloodthirsty pirates, and now I suspect they\'ve established a base near here. Could you check out these coordinates and verify my suspicion?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '34', 'm9d', 'Pirate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '35', 'm9c', 'I\'ll get those lousy murderers if it\'s the last thing I do. Thanks, friend, you\'ve helped me move closer to avenging my dear departed brother.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '36', 'm9t', 'You Killed My Brother');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '37', 'm10o', 'There\'s a rumor that a group of pirates has gotten its hands on several Imperial TIE starfighters. News this bad has to be substantiated. Think you can help?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '38', 'm10d', 'Pirate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '39', 'm10c', 'Didn\'t see any TIE fighters, eh? I\'d better report this to the authorities in any case and get those rogues off our planet.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '40', 'm10t', 'Stolen Starfighters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '41', 'm11o', 'A friend thinks a band of notorious pirates has established a base near here. He doesn\'t want to risk upsetting them, but I\'m made of sterner stuff. Could you check it out for me? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '42', 'm11d', 'Pirate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '43', 'm11c', 'There are pirates there? Oh! We should leave well enough alone, I guess. Thanks for your help. And for the record, we\'ve never actually met.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '44', 'm11t', 'Here There Be Pirates');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '45', 'm12o', 'Our neighborhood is quite safe without the Empire sending in additional stormtrooper patrols. They tend to be worse than the criminals, anyway. Could you find out where these patrols are coming from?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '46', 'm12d', 'Imperial');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '47', 'm12c', 'A military outpost? Why do they deem that necessary? I\'d better warn all my friends. Thanks, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '48', 'm12t', 'More Stormtroopers?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '49', 'm13o', 'I warned my contacts in COMPNOR about Rebel activity in this area. They claim it was being taken care of. Could you investigate these coordinates and see what is being done?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '50', 'm13d', 'Imperial');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '51', 'm13c', 'They\'ve set up an Imperial garrison? Now that\'s what I call results. I\'ll have to thank my COMPNOR friends.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '52', 'm13t', 'COMPNOR Gets Results');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '53', 'm14o', 'There\'s been an increase of stormtrooper patrols in this region. I think the Empire is up to something. Could you check these coordinates out and see what\'s up? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '54', 'm14d', 'Imperial');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '55', 'm14c', 'The Empire\'s setting up a garrison this close to our city? What could they possibly be looking for? They didn\'t see you, right?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '56', 'm14t', 'That Pesky Empire');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '57', 'm15o', 'Convoys in the middle of the night, strange folk hanging about at odd hours -- all this makes me think somebody is up to no good. Could you check it out for me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '58', 'm15d', 'Rebel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '59', 'm15c', 'A Rebel outpost, eh? I think this information will be quite valuable. Thanks for your time. I\'ve got some transmissions to send out.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '60', 'm15t', 'Some Valuable Information');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '61', 'm16o', 'There\'s been some suspicious activity out in the wilderness. I need someone to check these coordinates out and report back to me. Think you can help me, citizen?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '62', 'm16d', 'Rebel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '63', 'm16c', 'An Alliance outpost? You\'re sure about this, citizen? Thank you for your time. Please keep this mission confidential.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '64', 'm16t', 'A Voice in the Wilderness');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '65', 'm17o', 'I\'m about to make a life-changing decision, but I need to make sure I\'m not heading into a trap. Could you check these coordinates out for me and let me know what you find?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '66', 'm17d', 'Rebel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '67', 'm17c', 'I see. Say no more, friend. Thank you for your time. I now know what I must do.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '68', 'm17t', 'A Grim Decision');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '69', 'm18o', 'My daughter ran away some time back, and I\'ve only now located the coordinates of her last transmission. Can you report back to me on what\'s there now?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '70', 'm18d', 'Pirate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '71', 'm18c', 'During our last argument, my daughter threatened to run away and join a pirate gang. Sorry to say, it sounds like she followed through. Well, thank you, I guess.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '72', 'm18t', 'A Wayward Soul');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '73', 'm19o', 'Local droid repair merchants are complaining that smuggled chromium plating is undermining their business. We\'re checking several possible drop points. Can you report on what you find at these coordinates?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '74', 'm19d', 'Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '75', 'm19c', 'You\'ve found the smugglers! Excellent work. The merchants\' association will take it from here, thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '76', 'm19t', 'Help the Merchants');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '77', 'm20o', 'The Hutt criminal syndicate is trying to corner the local market for Lowickan firegems. We want to compile a full report of their activities for local authorities. Can you check these coordinates and report back here?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '78', 'm20d', 'Gangster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '79', 'm20c', 'That\'s a more substantial Hutt presence than we suspected. This will definitely go in our report. Thank you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '80', 'm20t', 'What the Hutt?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '81', 'm21o', 'I bought a solar panel on the black market, and it\'s already broken. I want to complain to the scum who sold me the panel. First I have to find them -- or pay you to do it. Will you check these coordinates?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '82', 'm21d', 'Gangster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '83', 'm21c', 'Very well. Now I\'ll bring in this broken panel and demand a refund. What could go wrong?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '84', 'm21t', 'Shoddy Goods');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '85', 'm22o', 'To restrict local hyperdrive production, the Corporate Sector has bribed local Imperials to blockade durelium imports. Some locals have smuggled in durelium, but they\'ve avoided contact since making landfall. I want you to check the prearranged coordinates and report back.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '86', 'm22d', 'Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '87', 'm22c', 'It sounds like all is going well so far. We\'ll rendezous with the durelium suppliers shortly, and get around this ridiculous blockade. Thank you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '88', 'm22t', 'Durelium Troubles');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '89', 'm23o', 'To restrict local hyperdrive repair operations, the Corporate Sector has bribed local Imperials to blockade durelium imports. Some locals have smuggled in durelium, but they\'ve avoided contact since making landfall. I want you to check the prearranged coordinates and report back.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '90', 'm23d', 'Imperial');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '91', 'm23c', 'Uh-oh. Sounds like the durelium operation is quashed for now. Thank you for letting us know before we marched into an Imperial stronghold.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '92', 'm23t', 'Durelium Woes');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '93', 'm24o', 'I\'ve been looking for Spookcrystals from Nam Chorios. They help plants grow. I think I\'ve found a source, but the supplier says he\'s been taken over by Imperials! Can you check on that and report back?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '94', 'm24d', 'Imperial');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '95', 'm24c', 'Why would the Empire care about Spookcrystals? Maybe those rumors are true that they have other uses... Well, thanks anyway.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '96', 'm24t', 'Secure the Spookcrystals');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '97', 'm25o', 'This city has seen several murders committed using dart shooters tipped with Devaronian blood-poison. That\'s only available offworld. I\'m hiring you to check the coordinates I have for the poison\'s source on this world. Report back on who\'s bringing it in.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '98', 'm25d', 'Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '99', 'm25c', 'All right, thanks for your report. It\'s a nasty business, rounding up poisoners. Your efforts will help us stop these terrible killings.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '100', 'm25t', 'Find the Poisoner');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '101', 'm26o', 'Mine-layer droids are a blight on modern warfare. We heard a rumor that the Empire is building a new mine-droid factory near here. Obviously we citizens don\'t want to complain publicly, but there are steps we can take -- if this factory is what rumor says. Can you check and report back?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '102', 'm26d', 'Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '103', 'm26c', 'Those sound like ordinary smugglers, not Imperials. I don\'t know whether to feel relieved. They may be bringing in something worse than mine-droids. Well, thanks anyway.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '104', 'm26t', 'Nasty Mine-Droids');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '105', 'm27o', 'A local crime cartel is trying to take control of the city\'s gambling dens. An informant tells me the cartel\'s HQ is outside town at these coordinates. I\'ll pay you to recon the area and report back. Be careful!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '106', 'm27d', 'Gangster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '107', 'm27c', 'Excellent! Now Jabba the Hutt will know where to drop-ship a crate of thermal detonators. Thanks for helping Lord Jabba stop those upstarts.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '108', 'm27t', 'A New Cartel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '109', 'm28o', 'A local crime cartel is trying to take control of the city\'s gambling dens. An informant tells me the cartel\'s HQ is outside town at these coordinates. I\'ll pay you to recon the area and report back. Be careful!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '110', 'm28d', 'Gangster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '111', 'm28c', 'Those crooks are a growing menace to this society. I\'m going to notify the authorities and have this cartel raided. Good work, citizen!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '112', 'm28t', 'Stop the Cartel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '113', 'm29o', 'Our merchant association believes smugglers are raiding inbound shipments of ardanium. We need that metal for our starship fuel canisters. I\'m commissioning you to check out the smuggling base and report its defenses to me.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '114', 'm29d', 'Rebel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '115', 'm29c', 'Not smugglers? The Alliance? Hmm. I suppose the Alliance needs starship fuel canisters too. Hmm. Well, thank you anyway.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '116', 'm29t', 'Where\'s the Ardanium?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '117', 'm30o', 'Our merchant association believes smugglers are raiding inbound shipments of ardanium. We need that metal for our starship fuel canisters. I\'m commissioning you to check out the smuggling base and report its defenses to me.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '118', 'm30d', 'Rebel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '119', 'm30c', 'Not smugglers? The Allliance? Those scoundrels! I\'ll alert the Imperial Security Bureau immediately. Thank you, citizen!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '120', 'm30t', 'Ardanium Is Precious');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '121', 'm31o', 'A collector on this world -- I won\'t say where -- owns valuable aurodium ingots from Old Republic days. He\'s been getting threats that someone is planning a heist. He\'s relayed the coordinates to me, and I\'d like you to check them out. Report back if you see anything suspicious.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '122', 'm31d', 'Pirate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '123', 'm31c', 'Pirates! The threats are true! I\'ll have to -- I mean, the collector will have to relocate his aurodium somewhere more secure. Leave me alone now, I have to think.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '124', 'm31t', 'Protect the Aurodium');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '125', 'm32o', 'Black-marketers are now selling counterfeit military medals. It boils my blood to think of local cowards wearing a Kalidor Crescent. An informant told me the factory is at these coordinates. I want you to verify that and report back on its defenses, if any.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '126', 'm32d', 'Imperial');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '127', 'm32c', 'The Empire, making counterfeit Alliance medals? But why? Oh, I see -- they must have hidden trackers. A clever way to locate sympathizers. Okay, thank you anyway.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '128', 'm32t', 'Find the Fake Medals');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '129', 'm33o', 'Pirates are raiding rich ship cargoes almost as soon as they lift off. The pirates must have spies near this city, scouting cargo manifests. I\'ve had reports of suspicious activity at these coordinates. I\'ll pay you to check out the location, but be careful.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '130', 'm33d', 'Pirate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '131', 'm33c', 'I see. The pirate outpost you found is just what I expected. I\'ll plan accordingly before my own cargo goes offworld. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '132', 'm33t', 'Track the Pirate Spies');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '133', 'm34o', 'I think local gangsters are impersonating Imperial troops to extort money from merchants. I\'ve seen some of them heading toward these coordinates. If you can verify that they\'re not Imperials but common thieves, I\'ll get the Empire to wipe them out.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '134', 'm34d', 'Rebel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '135', 'm34c', 'Rebels? Do you think they\'re really Alliance, or just gangsters impersonating them? I don\'t know whether to call in the Empire now. Maybe I\'ll find someone else to do some more recon. Thank you, I think.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '136', 'm34t', 'Who\'s Who?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '137', 'm35o', 'I heard a rumor that the authorities are up to something. I don\'t suppose you\'d be willing to go have a look? I\'d go myself, but they might recognize me.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '138', 'm35d', 'Imperial');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '139', 'm35c', 'Aha. Imperial authorities, no less. Very interesting. Thanks, I can use that information.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '140', 'm35t', 'Check Out the Authorities');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '141', 'm36o', 'Is it true that the Alliance has an installation on this planet? I\'d be willing to join their cause, if I can verify that it\'s really them. Can you check it out for me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '142', 'm36d', 'Rebel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '143', 'm36c', 'I knew it! I\'ll pack my things and go there at once. At last I can do my part to bring down the Empire!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '144', 'm36t', 'Join the Cause');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '145', 'm37o', 'A lifter load of my power converters was lost a fair distance from here. I\'ll pay you well if you have a look at those coordinates and find out what happened to my goods.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '146', 'm37d', 'Gangster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '147', 'm37c', 'These gangsters are starting to get on my nerves. I\'ll have to see what I can do about it. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '148', 'm37t', 'Take a Stand');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '149', 'm38o', 'I\'m supposed to receive a shipment from offworld, but I\'m not sure I trust the \"import agency\" that was contracted for the job. I\'ll pay you to check them out and let me know if they\'re dangerous.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '150', 'm38d', 'Pirate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '151', 'm38c', 'Sounds like they\'re a bunch of cutthroats! There\'s no way I\'m going to do business with their kind. Thanks for the warning.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '152', 'm38t', 'A Little Investigative Work');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '153', 'm39o', 'I\'m supposed to receive a shipment from offworld, but I\'m not sure I trust the \"import agency\" that was contracted for the job. I\'ll pay you to check them out and let me know if they\'re dangerous.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '154', 'm39d', 'Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '155', 'm39c', 'I thought they sounded like a lawless bunch. Possibly I can make some kind of arrangement with them. Thanks for the opportunity.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '156', 'm39t', 'Scope Out the Agency');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '157', 'm40o', 'Supposedly a friend of mine was spirited away by Imperial authorities. Are you brave enough to check out the facility and see if he\'s there? His family will be very appreciative.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '158', 'm40d', 'Imperial');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '159', 'm40c', 'Doesn\'t sound like that\'s the kind of Imperial facility where they keep political prisoners. I\'ll have to keep searching for my poor, lost friend. I\'m much obliged for your help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '160', 'm40t', 'Help Locate a Friend');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '161', 'm41o', 'I\'m supposed to receive a shipment from offworld, but I\'m not sure I trust the \"import agency\" that was contracted for the job. I\'ll pay you to check them out and let me know if they\'re dangerous.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '162', 'm41d', 'Rebel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '163', 'm41c', 'You really think they\'re from the Alliance? Why, I\'m happy to do business with them. Down with the Empire! Thank you for the information.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '164', 'm41t', 'Who Are They?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '165', 'm42o', 'I\'ve heard that the Black Sun organization has built a spice trading depot on this very planet. I want to hire you to check it out, citizen, if you think you\'re good enough not to get caught.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '166', 'm42d', 'Gangster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '167', 'm42c', 'That doesn\'t sound like a Black Sun operation, though it\'s certainly armed heavily enough to warrant notifying law enforcement. I appreciate your service, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '168', 'm42t', 'Black Sun?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '169', 'm43o', 'A cargo of 2-1B medical droids was recently stolen. I think I\'ve found the pirates who took them. I need you to verify the location of their lair. Be wary, and tell no one of your mission!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '170', 'm43d', 'Pirate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '171', 'm43c', 'That sounds like the same pirates, all right. They\'ve probably fenced the medical droids already. Don\'t worry, they\'re going to compensate me and then some.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '172', 'm43t', 'Find the Medical Droids');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '173', 'm44o', 'I was fired from Imperial Customs for letting some notorious smugglers slip through my fingers. But I think I\'ve finally tracked them down! If you can verify their location, I\'ll take my revenge.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '174', 'm44d', 'Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '175', 'm44c', 'I knew it! That\'s the smuggler gang I\'m after. You have my gratitude, friend. I wish you had worked for me at Imperial Customs.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '176', 'm44t', 'Help Imperial Customs');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '177', 'm45o', 'I think my brother\'s Imperial unit is stationed on-planet, but he won\'t confirm or deny it. I have the coordinates of his last transmission. Can you see if he\'s there?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '178', 'm45d', 'Imperial');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '179', 'm45c', 'So my brother\'s Imperial unit is here. I wonder why he wouldn\'t tell me? Anyway, now I can get the money he owes me. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '180', 'm45t', 'Where\'s My Brother?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '181', 'm46o', 'Somebody rubbed out my favorite goon, and I got to find out what sleemo did it! Can you check out the individuals at this location? I will be much appreciative and whatnot.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '182', 'm46d', 'Rebel');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '183', 'm46c', 'Rebels, eh? Well, I don\'t care if they got warships and whatnot, they crossed the wrong guy\'s path this time. I\'ll put the squeeze on those sleemos.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '184', 'm46t', 'Find the Sleemos');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '185', 'm47o', 'You there! I have obtained the coordinates of a gentleman who, with his companions, treated me unkindly. I require you to investigate whether these coordinates are authoritative. It would be unseemable of you to ignore this behest. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '186', 'm47d', 'Gangster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '187', 'm47c', 'I say, that does indeed sound like the gentlemen who offended me. Now I shall extract an apology. I do appreciate your very exemplative service.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '188', 'm47t', 'A Matter of Honor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '189', 'm48o', 'I have a blind date with a certain individual who works at these coordinates. Can you check the place out for me, so I don\'t wind up dating the wrong sort? Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '190', 'm48d', 'Pirate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '191', 'm48c', 'Sounds like pirates to me. How exciting! That\'s just the sort of glamorous occupation I\'d hoped my date would have! Thank you so much for your help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '192', 'm48t', 'Scope Out a Date');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '193', 'm49o', 'Three weeks late and my offworld cargo still hasn\'t arrived! Do you have time to check out this shipping agency for me? I\'m willing to pay well just to find out where my cargo is.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '194', 'm49d', 'Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '195', 'm49c', 'Ahh, it\'s a smuggling operation, eh? That explains it. Imperial patrols are heavy this season in the local star lanes. Guess I\'ll just have to be patient.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '196', 'm49t', 'Late Cargo');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '197', 'm50o', 'You give your heart to someone, and it turns out they\'re cheating on you! Please go to this location and find out what my sweetheart is doing there. I\'ve got some credits for you when you return.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '198', 'm50d', 'Imperial');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '199', 'm50c', 'What? My sweetheart is reporting to an Imperial base? Maybe it\'s a covert mission or an espionage ring or something romantic like that. Thank you so much!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '200', 'm50t', 'Spy on a Sweetheart');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_neutral_medium.stf', '201', 'number_of_entries', '50');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '1', 'm1o', 'The Empire is constantly surveying land for new observation posts. Probots, scout troopers, and Imperial Intelligence interrogators soon follow. We need you to head to these coordinates and scout the area. Let us know if the Imperials have moved in.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '2', 'm1d', 'Imperial');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '3', 'm1c', 'Thanks, citizen, we\'ll pass this information along to High Command. We\'ll either need to relocate our operation or else organize a strike against that outpost.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '4', 'm1t', 'Check Imperial Growth');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '5', 'm2o', 'Some of our sensors have picked up the distinctive energy emissions of the Yellow Demon 100 speeder bike. These craft are swoop gang favorites. The last thing we need in this area is a swoop gang compromising our security. Check it out and report back.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '6', 'm2d', 'Gangster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '7', 'm2c', 'Just as we feared. Taking them out is not a great concern, but locals are bound to notice the fight and report it to Imperial authorities. Thanks for your help, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '8', 'm2t', 'Lesser of Two Evils');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '9', 'm3o', 'Surveillance droids have transmitted some interesting aerial pictures. Someone is building a \"swoop track\" in the wilderness. We don\'t know if this is an Imperial operation or something more local. Check out these coordinates and let us know what you find.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '10', 'm3d', 'Gangster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '11', 'm3c', 'Well, that\'s not as bad as Imperials, but it could mean Black Sun or Hutts, who present other problems. Thanks for your help, friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '12', 'm3t', 'Let\'s Head to the Races');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '13', 'm4o', 'Youngsters claim to have seen an AT-ST in the wilderness. Our surveillance droids have encountered some sort of jamming field covering a small area at these coordinates. Care to scout out that area and see what it is that someone\'s interested in keeping secret?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '14', 'm4d', 'Imperial');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '15', 'm4c', 'The Empire must have discovered our cell. We need to prepare an evacuation at once. You just saved many lives, friend. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '16', 'm4t', 'Predator at the Door');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '17', 'm5o', 'Some locals brought in some wreckage yesterday. We\'re fairly certain it belongs to an Aratech 74-Z speeder bike. Those are standard issue for Imperial scout troopers. If there is a garrison, their sensors would pick up surveillance droids easily. We need you to scout the area out on foot. Stay out of sight.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '18', 'm5d', 'Imperial');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '19', 'm5c', 'I\'m not sure we have the strength to wipe out a garrison that size. I\'ll need to check with High Command. Thanks for your help, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '20', 'm5t', 'Scout the Scouts');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '21', 'm6o', 'Surveillance imagery clearly shows a landing platform in the midst of construction. We need someone to scout the area out and determine the size and strength of the garrison, if indeed it is the Empire. If not, then who is building that platform? Think you can help?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '22', 'm6d', 'Imperial');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '23', 'm6c', 'So the Imperials have decided to set up shop here. I hope their presence here is simply coincidental and not a result of our activities. There is, after all, a lot of smuggling activity in this area. Thanks for your help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '24', 'm6t', 'A Suspicious Landing Platform');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '25', 'm7o', 'Some local kids discovered what we think is a reinforced bunker. We\'ve had no evidence of the Empire in this area. Scout out the coordinates where the bunker was found. If these are Imperials, we need to take immediate action.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '26', 'm7d', 'Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '27', 'm7c', 'Those don\'t sound like Imperials to me. I wonder if those rogues have cloaking devices. How else could they have escaped our sensors? Thanks for the intelligence, friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '28', 'm7t', 'Who Goes There?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '29', 'm8o', 'The locals have asked for our help in investigating several disappearances. Most of the missing have been young and aliens. We suspect slavers. Sensors have indicated an unusual amount of activity at these coordinates. Can you check it out for us?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '30', 'm8d', 'Pirate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '31', 'm8c', 'Those sound like slavers, sure enough. We\'ll organize a strike team and pay those criminals a visit. We must stamp out slavery in the galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '32', 'm8t', 'Investigate Some Disappearances');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '33', 'm9o', 'A Black Sun representative approached us recently and offered a deal he felt we couldn\'t refuse. Well, we refused. I think this might lead to an unpleasant confrontation. We need you to scout out the area believed to be occupied by Black Sun and see what those gangsters are up to. Don\'t try to take them on -- they\'re tough customers.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '34', 'm9d', 'Gangster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '35', 'm9c', 'We were hoping to avoid voilence, but it seems they\'re preparing for some sort of assault. We\'ll be ready for them. Thanks for your help, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '36', 'm9t', 'Investigate Gangster Mischief');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '37', 'm10o', 'One of our \"procurement specialists\" has decided to up his price for services rendered and feels that he is owed substantial back wages. We suspect this is going to turn ugly. Scout out this smuggler den and see what those scoundrels are up to.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '38', 'm10d', 'Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '39', 'm10c', 'I wish we didn\'t have to rely on those rogues, but given our circumstances, we have little choice. We\'ll deal with this smuggler.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '40', 'm10t', 'A Deal Gone Sour');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '41', 'm11o', 'They say Hutts are excellent negotiators. I have yet to see proof, because the Hutt we deal with is all about threats and posturing. The gang lord is demanding more protection money to avoid drawing Imperial attention. We need to know the Hutt\'s strength before we decide to cut him off. Can you help us with that?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '42', 'm11d', 'Gangster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '43', 'm11c', 'Sounds like we\'ll have quite a fight on our hands, but truth be told, I\'ve been itching to wipe that drool-smeared grin off that Hutt\'s face for months. Thanks for your help, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '44', 'm11t', 'Measure a Hutt');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '45', 'm12o', 'Not all smugglers are created equal. Commander Solo was apparently a diamond in the rough, because my experience with other smugglers has been unpleasant. We\'re getting blackmailed by one now. We need you to scout out his lair and see what defenses they have. Looks like we\'ll need to terminate this business relationship.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '46', 'm12d', 'Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '47', 'm12c', 'It\'ll be a fight, but I think we can take the base. There\'s no telling what you\'ll find hidden in a smuggler\'s den anyway. Could be quite lucrative for us. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '48', 'm12t', 'What\'s Hidden in a Smuggler\'s Den?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '49', 'm13o', 'As it turns out, one of our contacts is likely a double agent working for ISB. We managed to plant a tracking device on him and found him visiting these coordinates on a fairly regular basis. Not much out there according to our maps. Care to check it out for us?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '50', 'm13d', 'Imperial');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '51', 'm13c', 'Just as we suspected. This is not good. There\'s no telling how much the Imperials know of our operations. We may have to abandon this cell completely. Thanks, friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '52', 'm13t', 'Who Watches?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '53', 'm14o', 'When you\'re fighting for the freedom of the galaxy, you have to make some compromises and work with individuals that you\'d rather not. Some of these folks have offered us help, but we need to make sure they\'re who they claim to be and not Imperials in disguise. Check out their operation and report back.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '54', 'm14d', 'Pirate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '55', 'm14c', 'Sounds like good old-fashioned criminals to me. I hate using their services, but the Empire doesn\'t leave us much choice.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '56', 'm14t', 'Check the References');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '57', 'm15o', 'We\'ve been following the activities of one of our informants. It seems our man has some business on the side. We have to make sure he\'s not an ISB or Imperial Intelligence agent. Go to these coordinates and see what our friend is up to.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '58', 'm15d', 'Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '59', 'm15c', 'A criminal and a thief we can deal with; an Imperial spy is altogether different. Thanks for your help, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '60', 'm15t', 'Spy vs Spy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '61', 'm16o', 'Well! Give me claws and a tail and call me a rancor, if it doesn\'t turn out that one of our trusted informants is an Imperial spy. I just can\'t believe this report! You\'ve got to scout out these coordinates, friend, and verify for me, once and for all, if our \"good buddy\" is really working for the Imperials. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '62', 'm16d', 'Imperial');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '63', 'm16c', 'Well, cut off my legs, put me in a robe, and call me a Jawa! I was completely fooled. I had no clue! Looks like it\'s time for me to have a nice \"heart-to-heart\" with my drinking buddy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '64', 'm16t', 'He\'s Really a Spy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '65', 'm17o', 'A Black Sun agent claims they have an operation near here that could benefit our cause. If we help them transport glitterstim off the planet, they\'ll help us avoid detection by Imperial authorities. I\'m not sure I like that deal. Check out their operation and see what kind of a setup they have. Don\'t be seen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '66', 'm17d', 'Gangster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '67', 'm17c', 'I\'ll have to bounce this off High Command. Working with smugglers is one thing, working for criminals who peddle poison is another thing entirely. Thanks for your help, friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '68', 'm17t', 'Check Out the Gangsters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '69', 'm18o', 'I spotted a fellow in town who looked like this world\'s sales executive for Czerka, the Empire\'s arms manufacturer. He met with an Imperial goon, and they both headed out of town. I managed to plant a tracking beacon. I want you to check these coordinates to see where they went, then report back here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '70', 'm18d', 'Imperial');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '71', 'm18c', 'That sounds like a weapons manufacturing plant, no doubt gearing up to produce Czerka armaments for the Empire. All right, we\'ll get on that quickly. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '72', 'm18t', 'Trace the Czerka Executive');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '73', 'm19o', 'A local Alliance leader met secretly with an executive of BlasTech about procuring ion cannons. After the meeting, our man noticed the executive walk close by an Imperial soldier. It looked suspicious. We have a tracking beacon on the exec, so we\'d like you to check his current coordinates and report back here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '74', 'm19d', 'Imperial');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '75', 'm19c', 'That\'s an Imperial weapons factory. Looks like BlasTech is playing both sides against each other, which is usual for them. I\'ll pass this along to headquarters, thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '76', 'm19t', 'BlasTech Executive Rouses Suspicion');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '77', 'm20o', 'Our informant in customs says a big shipment from Mer-Sonn Munitions arrived on this world yesterday. The destination coordinates don\'t match any known installation. We don\'t know who\'s housing those munitions nor, more important, what\'s guarding it. We\'d like you to find out and report back.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '78', 'm20d', 'Imperial');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '79', 'm20c', 'Wonder why the Empire is making a secret shipment of munitions. Somehow this makes me nervous. Well, we\'ll deal with the problem. Thanks for the report.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '80', 'm20t', 'Secret Mer-Sonn Shipment');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '81', 'm21o', 'The arrival of any official from the Kuat Drive Yards always means bad news. Kuat is the Empire\'s most faithful armaments manufacturer. One sales agent arrived on this world not long ago. Fortunately we had a tracking beacon on him every second, from Kuat straight to these coordinates. We\'d like you to check out his location and report back.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '82', 'm21d', 'Imperial');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '83', 'm21c', 'The gossip is that the Empire is preparing a new turbolaser, or maybe a planetary ion cannon. Great, that\'s all we need. Okay, we\'ll take it from here. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '84', 'm21t', 'Kuat Sales Agent Arrives');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '85', 'm22o', 'An informant tells us that an ordinary-looking fellow who just arrived from offworld is in fact a leading scientist in the Imperial Department of Military Research. That sounds bad, but maybe it\'s an opportunity. If we could persuade him to defect... First things first, though. He\'s stationed at these coordinates. Recon the area, don\'t let him get killed, and report back here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '86', 'm22d', 'Imperial');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '87', 'm22c', 'The information we had was a fake. The Empire wanted to lure a major Alliance force into that deathtrap. Well, good thing you weren\'t killed. Sorry for the trouble!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '88', 'm22t', 'Imperial Military Research Scientist');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '89', 'm23o', 'We\'re planning something sneaky. We need to plant marked inventory in an Imperial supply depot. Our inside agents can adjust the records, but we need to know the depot defenses before we go in to make the drop. Look over the installation at these coordinates, then report back here. Don\'t try to be a hero and attack the place!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '90', 'm23d', 'Imperial');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '91', 'm23c', 'Good. We have a bunch of stormtrooper helmets outfitted with hidden tracking bugs. We hope to see them dispensed to Imperial troops all over this world. Thanks, nice job!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '92', 'm23t', 'Check Supply Depot Defenses');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '93', 'm24o', 'According to an Alliance sympathizer employed by the Borstel Galactic Defense munitions company, Borstel is building a deflector shield generator for the Empire on this world. We have the coordinates, but we don\'t know if the target is worth the effort of a full assault. Check the installation and report back, please.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '94', 'm24d', 'Imperial');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '95', 'm24c', 'Sounds like that shield generator is too small for us to worry about. The Empire can almost shield whole planets now, I hear. Still, we may need to do something. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '96', 'm24t', 'Borstel Shield Generator');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '97', 'm25o', 'We suspect an Imperial spy has stolen plans for the SoroSuub ship lasers we plan to install in a new generation of starfighters. We tracked the spy to these coordinates, but we\'d like to be sure the plans were indeed compromised before we try an assault. Go, look around, don\'t get caught, and report back.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '98', 'm25d', 'Imperial');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '99', 'm25c', 'Didn\'t see the plans? All right. We can probably discount that particular danger. There\'s plenty more to keep us from resting easy. Thanks for your fine recon effort.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '100', 'm25t', 'SoroSuub Ship Laser Plans');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '101', 'm26o', 'Someone has hijacked one of our shipments of Carbanti United sensor arrays. Luckily we had a tracking beacon on the shipment. We have the coordinates, but we don\'t want to move until we know the opposition. Check out this location, don\'t get seen, don\'t get caught, and report back here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '102', 'm26d', 'Pirate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '103', 'm26c', 'I see. Pirates could definitely use starship sensor arrays. Well, those sensors won\'t be good enough to see us moving in on them. We\'ll take it from here. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '104', 'm26t', 'Carbanti Sensor Arrays Stolen');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '105', 'm27o', 'The Alliance invested much effort to create an encrypted subspace link that could use the Imperial HoloNet without detection. Then someone stole it! We\'re, shall we say, miffed. We had a tracking beacon on the subspace transceiver, so we want you to find it and report back on who\'s got it. Don\'t let the equipment get damaged!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '106', 'm27d', 'Pirate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '107', 'm27c', 'We\'ll have to do something about this ongoing pirate problem. We\'re losing too much equipment to them. Well, thanks for the report.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '108', 'm27t', 'Stolen Subspace Transceiver');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '109', 'm28o', 'A pirate gang kidnapped a Viceprex of the Tagge Company, the biggest and wealthiest bunch in the Corporate Sector. We found out they\'re hiding him on this world while they negotiate a ransom. If we can rescue him, we\'ll earn a nice reward. But we don\'t know the pirate\'s defenses. Check out these coordinates and report back. Don\'t provoke violence, or they\'ll kill the hostage!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '110', 'm28d', 'Pirate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '111', 'm28c', 'Doesn\'t sound like the Viceprex was there. Well, it may have been one more rumor. Thanks for checking, anyway. Please take this for your trouble.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '112', 'm28t', 'Tagge Viceprex Kidnapped');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '113', 'm29o', 'A ring of thieves is stealing heavy construction equipment. They just took a -- wait, I\'ll check my report -- a Karflo Corporation G2-GE beamdrill. Says here this thing could punch through a corvette-size starship. I want to know where it is; how about you? I have some coordinates here I\'d like you to check out. Report back here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '114', 'm29d', 'Gangster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '115', 'm29c', 'Nothing you saw matches the beamdrill description I have. Hope we don\'t find that thing\'s location the hard way. Thanks anyway.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '116', 'm29t', 'Beamdrill Gone Missing');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '117', 'm30o', 'Some gangster ring is stealing construction equipment. I don\'t know why crooks would want an Industrial Automaton heavy construction droid, but we needed it ourselves to build a new base. We\'d like you to check the coordinates of the droid\'s tracking beacon, then report back. If you see the crooks, try to determine their defenses.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '118', 'm30d', 'Gangster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '119', 'm30c', 'You would have seen something as big as that construction droid. Maybe they cut it up and sold it for parts. We\'ll have to do something about this crime problem. Thanks for your efforts.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '120', 'm30t', 'Construction Droid Stolen');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '121', 'm31o', 'We have an informant in customs who tells us that a shipment of Thalassian Slavers Guild collars just made landfall on this world. Where there are collars, there are slavers. That stinks! We want you to check the coordinates of that shipment and tell us about the defenses of whatever you find there. Report back here, and don\'t get enslaved, okay?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '122', 'm31d', 'Gangster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '123', 'm31c', 'That sounds like slavers. I don\'t suppose you saw the collars? Well, doesn\'t matter. We\'ll take care of this promptly. Thanks, and good work!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '124', 'm31t', 'Thalassian Slave Collars Arrive');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '125', 'm32o', 'We have dealings with a \"procurement specialist\" who brings our medical supplies through Imperial blockades. She\'s a great pilot. But now we hear she\'s dealing with the Empire. We want you to check the coordinates of her base for signs of an Imperial presence. Don\'t destroy anything, don\'t get seen, and report back here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '126', 'm32d', 'Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '127', 'm32c', 'All right, sounds like she\'s not dealing with the Empire, at least. If she were, we\'d be facing major problems. Thanks, and here\'s a little something for your work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '128', 'm32t', 'Smuggler Gone to Empire\'s Side?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '129', 'm33o', 'We\'ve opened tentative negotiations with a known smuggler, trying to line up a new \"procurement specialist\" to bring us cargo through Imperial blockades. But I don\'t trust this guy -- yet. I\'d like you to investigate his base, covertly, and report back here. Don\'t provoke an incident. In fact, try not to be seen at all. We don\'t want to spook him.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '130', 'm33d', 'Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '131', 'm33c', 'Well, I don\'t hear anything incriminating yet. I hope this fellow turns out to be legitimate. Oh, listen to me -- I\'m hoping he\'s an honest crook! It sure is a crazy war.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '132', 'm33t', 'Check Out a Candidate Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '133', 'm34o', 'One of our \"procurement specialists\" just delivered a cargo of power cores -- but not as many as we expected. She said she had to dump some cargo during a tight race with a Star Destroyer. Not that I don\'t trust her completely, but would you mind looking around her base, secretly? Don\'t let her see you. Report back here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '134', 'm34d', 'Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '135', 'm34c', 'Okay, I expect she was telling the truth. Here\'s some credits for your trouble. Now I have to find some extra power cores....');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '136', 'm34t', 'Power Cores Missing?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '137', 'm35o', 'We spotted a couple of snubships landing at an underground platform near here. None of our X-wings are currently authorized for landfall in this system. Go and check the place out. I\'m afraid someone might be selling hijacked starfighters to the Empire. Report back to me after you scout the place.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '138', 'm35d', 'Pirate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '139', 'm35c', 'No sign of the landing platform, eh? Something strange is going on here. I think we should pay that place a visit and put some questions to them. I promise I\'ll contact you if we have any openings on the strike team.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '140', 'm35t', 'Scout For Stolen Snubships');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '141', 'm36o', 'We\'re looking for swampcrawlers to use at a new landing base near Antar. I found a black marketeer who\'s willing to sell me some, but I\'m not sure I trust the guy. Can you sneak into his compound and see if there\'s any evidence of Imperial involvement? Report back to me as soon as you can. I can smell a trap, and my nose is tickling right now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '142', 'm36d', 'Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '143', 'm36c', 'No evidence of Imperial involvement, eh? Hmm. Maybe the guy is clean after all. We really do need those mudmaulers he promised me. I guess we\'ll take this arrangement to the next level. Thanks for the recon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '144', 'm36t', 'We Need Mudmaulers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '145', 'm37o', 'There\'s a small problem. We shut down an old base last year, and now we need to reopen it. Some squatters have taken over the place since then. If you can, I need you to have a look around and let me know what you find. Maybe we can clear the facility with a simple warning.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '146', 'm37d', 'Gangster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '147', 'm37c', 'You say the old base is overrun with tough guys? Not good. Looks like we\'ll have to send in a well-armed team to negotiate a resolution. Thanks for your help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '148', 'm37t', 'Scout the Squatters');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '149', 'm38o', 'The Empire landed a shipment of tractor beam flux lenses in a small emplacement. See if you can sneak in and get some sense of how large the shipment is. Bring me the information at once. Tell no one else. This could be a chance for us to hobble many Imperial capital ships at the same time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '150', 'm38d', 'Imperial');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '151', 'm38c', 'Too bad the shipment wasn\'t larger than that. I would have loved to drop a thermal detonator in there and stall the maintenance of a dozen Star Destroyers\' tractor beams. Well, in any case, we\'ll keep an eye on that facility. Thank you for the recon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '152', 'm38t', 'Size Up Tractor Beam Parts');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '153', 'm39o', 'The Empire picked up a couple of our old service droids. I don\'t think they\'ll divulge sensitive information before their memory gets wiped, but I\'d like to make sure. Sneak into the Imperial facility at these coordinates and see if any activity suggests they\'re on to us. Report back to me at once. I hope my fears are unfounded.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '154', 'm39d', 'Imperial');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '155', 'm39c', 'Thank goodness the Empire didn\'t seem to learn anything from those droids. We\'ve got to be more careful. Remember, always wipe your droids before you sell them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '156', 'm39t', 'Droid Memory Troubles');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '157', 'm40o', 'The black market is tricky business. We ordered a Nordoxicon-38 Anti-concussion Field Generator for one of our clandestine freighters, but someone stole it. Luckily, we think we\'ve found it. I need you to infiltrate the thieves\' hideout and see if it\'s there. Don\'t start any trouble, just report back to me. I\'ve got a strike team ready if the generator is there.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '158', 'm40d', 'Pirate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '159', 'm40c', 'You did good work. I bet the generator was in one of those crates. I\'ll gather my strike team this evening to retrieve it. The Empire is bad enough; we can\'t have thieves thinking they can prey on the Alliance, too.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '160', 'm40t', 'Find a Stolen Field Generator');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '161', 'm41o', 'I\'ve arranged to pick up a small cargo of proton torpedoes. I\'ve never worked with this black market supplier before, though, so I\'d like someone to check out his operation before I commit any capital offenses with him. Have a look around if you can, and come straight back to me with any information you get. We can\'t be too careful.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '162', 'm41d', 'Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '163', 'm41c', 'Thanks for the information. I have to say, I don\'t like this supplier\'s setup. Something tells me there\'s more going on here than meets the eye. I\'m backing away from those proton torpedoes. It\'s not worth the risk.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '164', 'm41t', 'Dubious Black Marketeer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '165', 'm42o', 'We planted a homing beacon on a shipment of AT-ST gyro power cells. Unfortunately a band of thieves stole the cells from our middleman before the Empire took possession. Now we need to turn off the beacon. I\'ve loaded your datapad with a proximity deactivation program. Sneak into the thieves\' den. Your waypoint will vanish when the beacon is shut down. Then report back to me at once. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '166', 'm42d', 'Gangster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '167', 'm42c', 'Nice work. We didn\'t want that homing beacon to tip off any Imperial sympathizers.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '168', 'm42t', 'Deactivate a Homing Beacon');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '169', 'm43o', 'We lost contact with one of our listening outposts. I want you to see what happened. If there\'s trouble, find out what you can but don\'t reveal your presence. Bring the information back to me at once. We can organize a response appropriate to the situation.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '170', 'm43d', 'Imperial');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '171', 'm43c', 'Blast! The Empire has uncovered too many of our secret operations lately. I\'m beginning to suspect a spy in our midst. If I find out who it is, they\'re going to be sorry. I knew every one of those men at that listening post! All those lives lost....');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '172', 'm43t', 'Lost Contact With a Listening Post');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '173', 'm44o', 'Okay, listen up. If you\'re interested in a little danger today, I\'ve got a recon mission for you. There\'s an Imperial relay post at these coordinates. I want you to sneak in and poke around the place. See what you can find. Try not to be seen, though I know you can take care of yourself if they find you. Good luck, and may the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '174', 'm44d', 'Imperial');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '175', 'm44c', 'Good job. Sounds like there\'s nothing out of the ordinary going on at that Imperial post. Still, we have to keep track of them. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '176', 'm44t', 'Reconnoiter an Imperial Post');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '177', 'm45o', 'We were this close to finalizing a donation from an Ithorian noble, when space pirates kidnapped him. We think we\'ve tracked them down, though. Go to these coordinates and see if the pirates are there. If so, verify the presence of a rich Ithorian. Let me know what you find. We could really use that donation.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '178', 'm45d', 'Pirate');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '179', 'm45c', 'Blast. No Ithorian hostage. If we could have sprung him, that donation would be as good as ours. Funding a rebellion is not an easy challenge, my friend, take it from me.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '180', 'm45t', 'Find an Ithorian Hostage');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '181', 'm46o', 'I\'m positive the Empire has paid some outlaws to creep around our supply operations in this area. Go to this smugglers\' depot and see if there\'s any evidence of Imperial entanglement. Report back to me with your findings. If we can prove these outlaws are working against us, we\'ll save ourselves plenty of headaches down the road.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '182', 'm46d', 'Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '183', 'm46c', 'No Imperials, eh? Maybe my intel is wrong. I\'ll double-check my sources. Thanks for the recon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '184', 'm46t', 'Check Out a Smugglers\' Den');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '185', 'm47o', 'A local gangster has been causing us problems. Sneak around this gangster\'s hideout and get me some good intel. Don\'t cause any problems, just bring me some inside information. When I show him how easily we can infiltrate his operation, and sabotage it if we want, maybe he\'ll think twice about giving us any grief.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '186', 'm47d', 'Gangster');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '187', 'm47c', 'Nice. Thanks to you, that gangster will think twice about threatening us in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '188', 'm47t', 'Teach a Gangster a Lesson');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '189', 'm48o', 'I\'m positive the Empire has paid some outlaws to creep around our supply operations in this area. Go to this smugglers\' depot and see if there\'s any evidence of Imperial entanglement. Report back to me with your findings. If we can prove these outlaws are working against us, we\'ll save ourselves plenty of headaches down the road.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '190', 'm48d', 'Imperial');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '191', 'm48c', 'I knew that place would be crawling with Imperials! When you deal with outlaws, you\'ve always got to watch over your shoulder.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '192', 'm48t', 'Check Out a Smugglers\' Den');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '193', 'm49o', 'I\'m telling you this in the strictest confidence. I think one of our own has turned into a double agent. I need you to check out the Imperial facility at these coordinates and see if you can find any Alliance operatives there. I don\'t need to tell you how much damage a spy could do to us. Report back to me as soon as you\'ve completed the mission.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '194', 'm49d', 'Imperial');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '195', 'm49c', 'No Alliance operatives there? Good. That makes me breathe a little easier. However, we still need to keep our eyes open for possible double agents. Greed can be a powerful ally, even for the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '196', 'm49t', 'Investigate a Double Agent');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '197', 'm50o', 'Our spies claim that the Empire is ready to mount some big operation on Taanab. My family is there! I\'m worried the Empire might know about my involvement in the Alliance, so I\'m trying to find out anything I can. Will you recon the Imperial base at these coordinates and listen for any mention of Taanab? Report back to me as soon as you can, even if you hear nothing in particular. Thank you very much.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '198', 'm50d', 'Imperial');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '199', 'm50c', 'None of my other spies have heard anything more about Taanab either. Maybe the Empire isn\'t planning an operation there after all. Or maybe they\'re just keeping it more secret than usual. I\'ll have to keep on top of it, just to be sure.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_recon_rebel_easy.stf', '200', 'm50t', 'Spy on an Imperial Base');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '1', 'm1o', 'Citizen, the Empire needs your help finding a certain material that is, at the moment, in short supply. This war with the Rebels has put a strain on resources, and we need you to do your part. Not that the inexhaustible might of the Empire is in a moment\'s doubt, of course!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '2', 'm1s', 'Excellent! Come by and see me again, there\'s always something in short supply.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '3', 'm1t', 'In Short Supply');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '4', 'm2o', 'You\'re a surveyor looking for work? Good! I\'m working on an important project, and it seems my supply manifest lists one resource that I don\'t have. Please go and find me a supply so that I can finish my project.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '5', 'm2s', 'That should suit my needs exactly. Good job.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '6', 'm2t', 'A Missing Resource');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '7', 'm3o', 'The blasted Moff thinks that just because he wants something, the resources to make it will just mystically appear. Can you find me a goodly supply of the following material? If I don\'t get him what he wants, it\'s the spice mines for me.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '8', 'm3s', 'You saved my neck on that one. Sometimes the Empire wants the impossible.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '9', 'm3t', 'The Trouble With Moffs');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '10', 'm4o', 'Greetings, citizen. You have been chosen for a survey mission of the utmost importance. You are required to find a source for the following resource with all due haste. Time is of the essence, please hurry.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '11', 'm4s', 'Your service to the Empire has been noted.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '12', 'm4t', 'A Hasty Mission');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '13', 'm5o', 'It is extremely important to the security of the Empire that certain resources are always in good supply. You are being contracted to find an additional source for this material. Projections show it will soon be in short supply, given current production needs.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '14', 'm5s', 'Droids will be there to harvest the material shortly. Well done.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '15', 'm5t', 'In Short Supply');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '16', 'm6o', 'The Imperial Security Bureau has informed us that Rebels are seeking a supply of this material for unknown reasons. It has been decided to send surveyors out to locate sources, so that the ISB can monitor possible Rebel activity.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '17', 'm6s', 'If any Rebels go looking there, they\'ll be in for a bit of a surprise.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '18', 'm6t', 'Stamp Out Rebel Surveying');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '19', 'm7o', 'Being an Imperial surveyor may not be as glamorous as being in the troopers, but supply lines are crucial in any conflict. The supply we currently happen to be short of is this material. Do your best to find us an additional source.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '20', 'm7s', 'Surveying is vital to the cause of the Empire. The supplies you find are used to manufacture all manner of goods needed to fight the Rebellion. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '21', 'm7t', 'Vital to the Empire');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '22', 'm8o', 'The Prefect has been offered a handsome \"gift\" by a manufacturer, with the understanding that he will receive a sufficient quantity of this resource which he needs. The Prefect is offering a reward to any surveyor who can find a source of this material.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '23', 'm8s', 'The Prefect is very pleased with your work. You will go far if you remain this productive.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '24', 'm8t', 'A Prefect\'s Reward');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '25', 'm9o', 'It seems like some bureaucrat or other is always sending you out into the middle of nowhere, to find some resource that they, no doubt, squandered a perfectly good supply of. Well, today is no exception. Go and find a supply of this material, before someone important finds out we\'re running low.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '26', 'm9s', 'Your fee has been deposited. I\'ll ask for you again when I need something else.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '27', 'm9t', 'Squandered Supplies');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '28', 'm10o', 'Your survey skills are once again required in the service of the Empire. Production is at an all-time high, and it is crucial that our stores be sufficient to meet our needs. You are hired to locate an abundant source of this material. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '29', 'm10s', 'Payment has been deposited to your account. Good work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '30', 'm10t', 'Help Keep Production High');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '31', 'm11o', 'Rather than pay landowners for extraction rights, a highly placed official has devised the idea of surveying for needed materials and arresting any unfortunate landowners who happen to own land with rich deposits of these materials. As party to this ingenious plan, you will be surveying for the indicated material.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '32', 'm11s', 'I\'m sure the landowner will be released once we\'re finished... barring unforeseen circumstances, of course.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '33', 'm11t', 'Extractions Rights');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '34', 'm12o', 'Greetings, citizen! It is with great pleasure that I offer you this assignment of surveying for this material. I feel certain you will find an especially rich source of it. The Empire is counting on you. Make the Emperor proud!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '35', 'm12s', 'You have outdone yourself. Working with you has been a real pleasure.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '36', 'm12t', 'An Upbeat Assignment');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '37', 'm13o', 'Why are you just standing around like a sick bantha? The Empire is in dire need of this material, and all loyal Imperial surveyors are expected to be out looking for it. We need it yesterday. What are you waiting for? Go!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '38', 'm13s', 'It\'s about blasted time you reported in! Be thankful you\'re even getting paid for this.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '39', 'm13t', 'The Surly Requisition Officer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '40', 'm14o', 'Imperial scientists constantly experiment with new applications of certain resources. They go through such astounding quantities that we\'re hard pressed to keep them supplied. Locate a good source for this material, so they can use it to, to -- to clean out the turbine of an ion cannon, or whatever bizarre thing they\'re trying now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '41', 'm14s', 'Who knows? Perhaps you\'ll be a small part of some wonderous new discovery. Probably not, though.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '42', 'm14t', 'New Uses for Resources');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '43', 'm15o', 'The Imperial Survey Corps is so understaffed right now, we\'re forced to contract with freelance surveyors such as yourself to help us meet our quotas. If you can find us a supply of this material, you will be given a generous finder\'s fee.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '44', 'm15s', 'Good work. Your fee has been credited to your account.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '45', 'm15t', 'Freelance Surveying');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '46', 'm16o', 'Imperial Security has labeled this material as first priority for all current survey missions. I don\'t know what they want it for, but they\'ve made it clear they want lots of it. We\'re putting all other survey assignments on hold for the moment');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '47', 'm16s', 'No doubt Imperial Security has noted the speed with which you finished your assignment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '48', 'm16t', 'Priority Material');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '49', 'm17o', 'At present Imperial supply depots are overloaded with a certain material. The Imperial Survey Corps, in its wisdom, is contracting for more of it. Go and find an additional source for the Imperial surplus.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '50', 'm17s', 'Thanks to you and others like you, further supply depots are being constructed to contain the additional volume of this material.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '51', 'm17t', 'Imperial Surplus');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '52', 'm18o', 'People are whispering that construction is scheduled to begin on some huge secret project. I don\'t know what it is, but I do know the sheer quantity of this one requisitioned material would fill a fleet of large freighters. Locate a source for however much you can.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '53', 'm18s', 'That\'s a good start. I think we\'re going to need an awful lot of surveyors to fill this requisition.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '54', 'm18t', 'Starting Construction');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '55', 'm19o', 'My commander has ordered me to complete my current project, a blast cannon power feed and modulation control, within a horrendously short time. I have run out of a particular material useful in the processing of the armor cladding. Locate a source at once!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '56', 'm19s', 'I shall dispatch droids to procure the material at once. Your payment is attached.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '57', 'm19t', 'Horrendously Short Time');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '58', 'm20o', 'A Star Destroyer will shortly dock in orbit around this world for routine maintenance. Our supplies are inadequate to refit all cooling systems pumps on its blaster stations. Locate the needed material promptly, and you will be rewarded.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '59', 'm20s', 'The Star Destroyer has been diverted to handle an uprising elsewhere in this sector. Your payment is nonetheless attached. That is all.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '60', 'm20t', 'Upcoming Star Destroyer Maintenance');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '61', 'm21o', 'An official from Imperial Center is making an unscheduled stopover on this world for emergency repairs. His spacecraft\'s atmosphere tanks require specialized maintenance. We lack a required material. Locate it for us at once.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '62', 'm21s', 'The official has already arrived, commandeered our commander\'s own space yacht, and departed again. That is all.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '63', 'm21t', 'Imperial Official\'s Emergency Repairs');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '64', 'm22o', 'I\'ve just learned the Imperial Security Bureau is auditing this office! This is -- um -- this is, of course, standard, expected Imperial procedure. This office certainly has nothing to hide, certainly. Do not think that. But it is certainly possible we have fallen short of a certain material. In advance of the inspection, locate a source. Hurry.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '65', 'm22s', 'Excellent news. I shall dispatch mining droids immediately. You are not to think this office has been slack or wayward or criminal in its entirely explicable and justifiable shortage of this material. Do not imply that to anyone.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '66', 'm22t', 'Surprise ISB Inspection');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '67', 'm23o', 'The Committee for the Preservation of the New Order has requisitioned certain facilities in this office for its latest loyalty audit. COMPNOR\'s interrogation droids require specialized maintenance. We lack a certain material for this maintenance. You are required to locate a source immediately.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '68', 'm23s', 'The COMPNOR loyalty audit started early, and some interrogation droids have malfunctioned. However, because you performed adequately, this will not be entered on your permanent record. That is all.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '69', 'm23t', 'COMPNOR Loyalty Audit');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '70', 'm24o', 'A company of stormtroopers will shortly be garrisoned near this office. What a logistical nightmare! It seems their blasters use recharging stations that require a specialized material for the power core shielding. It falls to you to locate a source for this material, which we shall mine after receiving your report.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '71', 'm24s', 'The stormtrooper company was accidentally destroyed in an encounter with the Rebellion. You will nonetheless be compensated for adequate performance. That is all.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '72', 'm24t', 'Stormtrooper Garrison Imminent');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '73', 'm25o', 'A Star Destroyer in our vicinity reports a temporary shortfall in repairs of TIE fighter solar energy collectors. The shortfall is due to inadequate supplies of a particular material present on this world. Locate a rich source of this material, and you will be rewarded.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '74', 'm25s', 'Your fee is attached. The TIE solar collectors have been repaired. The erring procurement officers have been disciplined. All is well.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '75', 'm25t', 'TIE Fighter Solar Collector Repairs');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '76', 'm26o', 'It appears there is an Imperial Ballet Company on Coruscant. They are visiting this world to stage a production of Mondagrene\'s \"Grand Triumph of Reason.\" They require me to locate a certain material \"useful in their set designs.\" What nonsense! Rather than waste valuable personnel time, I commission you to locate this material.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '77', 'm26s', 'Congratulations on your participation in this pointless task. Personally, I had no idea there even was an \"Imperial Ballet Company.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '78', 'm26t', 'Bureau of Culture Requires Set Design');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '79', 'm27o', 'The droid brain piloting a Sentinel-class landing craft malfunctioned and nearly crash-landed. The ship\'s damage is severe but reparable. For the task we require a certain material not normally stored in this facility. Locate a supply and you will be rewarded.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '80', 'm27s', 'The Sentinel craft is being repaired. Evidently the droid grew stubborn and demanded to land at high velocity, \"for a thrill.\" Its brain has now been wiped. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '81', 'm27t', 'Sentinel Craft Droid Malfunction');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '82', 'm28o', 'Rebel saboteurs have destroyed a fuel depot of the radioactive gases that fuel TIE fighters. These gases are stored in tanks with special linings. We are bringing in cargo freighters with replacement gas, but we must construct new storage tanks. It falls to you to locate a certain material we need for the tank lining.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '83', 'm28s', 'You have performed adequately. The replacement storage tanks are now under construction. That is all.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '84', 'm28t', 'Sabotage Destroys TIE Fuel Tanks');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '85', 'm29o', 'A Rebel agent has somehow destroyed an entire Imperial armory! The guard officers have of course been disciplined, but we face a short-term weapon shortage. We are manufacturing new armaments at breakneck speed, which has exhausted our supply of a certain vital material. Locate a fresh source at once!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '86', 'm29s', 'The new weapon shipments are now arriving. We are seeking the Rebel saboteur with redoubled ferocity. That is all.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '87', 'm29t', 'Rebel Saboteur Destroys Armory');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '88', 'm30o', 'I\'m told a force of Rebel terrorists has bestowed the gift of a thermal detonator on a peripheral vehicle repair facility. Dear me, this is troublesome. That facility stored energizer rods that require highly specialized storage. You must find the material needed for the replacement storage compartments now being constructed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '89', 'm30s', 'That is acceptable. The Rebellion will soon regret targeting that particular facility, for now I have made it my personal mission to punish them all!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '90', 'm30t', 'Rebellion Destroys Vehicle Facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '91', 'm31o', 'A pitched battle with Rebel fighters destroyed the power cores used in a Star Destroyer\'s heavy laser batteries. The ship is now in orbit awaiting recharge. Because the cargo freighters servicing the ship will require unusual linings to carry the replacement cores, you must locate a source of the following material.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '92', 'm31s', 'You have done well. The Star Destroyer will be recharged shortly and will return to its good work: annihilating the Rebellion.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '93', 'm31t', 'Star Destroyer Battery Recharge');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '94', 'm32o', 'We have achieved yet another victory over the Rebellion. The plunder from the seized supply depot includes several radioactive fuels that require special storage facilities. We wish you to locate a source for a particular material required to line the tanks holding these fuels.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '95', 'm32s', 'That is indeed acceptable. Your payment is attached. You may spread the word far and wide of our latest victory over the Rebels.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '96', 'm32t', 'Our Latest Victory Over the Rebellion');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '97', 'm33o', 'I am baffled by the Rebels\' ability to maintain their aged Y-wing starfighters well beyond their specified life cycles. I am studying a captured craft, but its coolant system has been repaired so often it is now positively eccentric. To store the altered coolant, I require a tank with an unusual lining. Locate a source for that material.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '98', 'm33s', 'The Y-wing shows such haphazard engineering that I fear there is nothing for the Empire to learn from it. How does any Rebel dare fly the thing?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '99', 'm33t', 'Haphazardly Engineered Y-Wing');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '100', 'm34o', 'This office is charged with maintaining the boom racks that unleash waves of assault forces from AT-AT walkers. These racks require an unusual lubricant, which in turn requires a particular substance. You are hereby commissioned to locate a source for this substance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '101', 'm34s', 'Maintenance of the AT-AT boom racks is underway. You may be proud of your efforts when next you hear of waves of stormtroopers launched from a walker.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '102', 'm34t', 'AT-AT Boom Rack Lubricant');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '103', 'm35o', 'An AT-ST two-legged scout walker requires delicate gyroscopes. These rest on delicate bearings, which use a specialized lubricant. This office is charged with reformulating this lubricant. Our formula employs a certain unusual material. You are to locate a source for this material. Go!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '104', 'm35s', 'Very well. I\'ll wager you never thought you\'d be locating a scout walker gyroscope bearing lubricant. It must make you proud.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_imperial_easy.stf', '105', 'm35t', 'Scout Walker Gyro Bearings Need Work');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '1', 'm1o', 'Good help is so hard to find these days! Could you lend a hand, citizen? I\'m working on a new type of alluvial damper. This baby will revolutionize the hyperdrive industry! This is the fianl material I need to finish my invention on this disc. Your datapad can access it. Remember, citizen, the future is in your hands. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '2', 'm1s', 'It\'s always a pleasure to meet a devotee of science! Your contributions will help pave the way into the future! Your pay has been deposited.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '3', 'm1t', 'Help Create New Alluvial Dampers');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '4', 'm2o', 'Do you wish to be a part of something that will take the galaxy by storm? I\'m working on something that will transform the Empire as we know it. But I\'ve underestimated the materials needed to bring my creation to life. Here\'s what I need. Think you can find it for me? I\'ll pay you, unless you decide to do this prestigious task for free.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '5', 'm2s', 'Good work. Still want to get paid? Oh. I see. Very well, your pay has been transmitted. But just wait till you see how my new individual transporter alters your world! You\'ll be paying me for the privilege of owning one.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '6', 'm2t', 'Build a Better Scooter');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '7', 'm3o', 'How does that saying go? \"Invention is one percent inspiration and ninety-nine percent droid administration?\" Well, you\'re obviously not a droid, but I still need your services. If I provide you with the information, can you locate the material? I reward efficiency.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '8', 'm3s', 'Most efficient, citizen. And I\'m true to my word. Enjoy your pay.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '9', 'm3t', 'A Generous Inventor');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '10', 'm4o', 'As a commodities merchant, I provide aspiring inventors the raw materials they need to birth their creations. Problem is, I\'m so busy selling this stuff that I rarely have an opportunity to hunt for it. That\'s where you come in, friend. I inform you which material I need, you provide the location. We got a deal?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '11', 'm4s', 'I knew I could rely on you. This deposit should demonstrate my gratitude far better than words.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '12', 'm4t', 'Assist Commodities Merchant');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '13', 'm5o', 'Power converter orders have shot through the roof! I\'m afraid this craze has caught me a bit unprepared. I need your help, citizen, if you\'re willing to give it. I\'ll let you know which material I need to continue production if you can find the richest deposit this planet has to offer. And there are certainly credits in it for you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '14', 'm5s', 'I can see you know how to get results, citizen! Well scouted! Your fee has been transmitted to your account.  Feel free to seek me out in the future for more jobs.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '15', 'm5t', 'Supply and Demand');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '16', 'm6o', 'When will the galaxy realize that the material composing a hydrospanner is just as important, if not moreso, than its design? I have developed the perfect alloy, but I need more of my base material to create it in sufficient quantity to mass-produce hydrospanners. Could you help me find this material? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '17', 'm6s', 'Wonderful! This was better than I was expecting. Of course I\'ll still need much more material than this one deposit can provide. See me for more work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '18', 'm6t', 'A Bigger, Better Hydrospanner');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '19', 'm7o', 'Power calibrators are only as effective as their construction, and cheap materials result in cheap products. My special alloy requires a variety of materials to create but results in a superior tool. You can help me create these advanced instruments by finding the richest deposit of the following material. Can I count on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '20', 'm7s', 'I see you\'re a being who appreciates a good, sturdy work tool. Excellent! Your efforts will help greatly in achieving my goal of tool superiority.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '21', 'm7t', 'Now That\'s a Tool');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '22', 'm8o', 'I\'ve developed a perfect alloy for use in fusion cutters. Most people pay no mind to the material their tools are made of, which I think is a terrible fault. A better fusion cutter would make life so much easier for the common citizen. I need you to help me realize this dream. Can you locate a deposit of this material I need to continue my work?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '23', 'm8s', 'You\'re a being who knows how to get results, citizen -- a being after my own heart. Keep this up and I just might have a business partner!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '24', 'm8t', 'Quality Fusion Cutters Are Hard To Find');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '25', 'm9o', 'Desperation is the mother of invention, and I\'m quite desperate at the moment. I need your help in locating a rich deposit of the following material. Do you think you could assist me? The wheels of progress must keep turning, and it\'s up to you to help grease them. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '26', 'm9s', 'You must have a knack for this sort of thing, citizen. Did you used to go dowsing as a child? Simply amazing. I\'ve compensated you for your time and efforts. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '27', 'm9t', 'Dowsing Can Be Fun');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '28', 'm10o', 'Surveying is no easy task, friend. I\'m talking about true surveying -- the art of locating the largest deposits of the most precious materials in the dangerous wilds. That is something that only a master can accomplish. The ignorant think all it takes is a survey tool and some patience, but we know better, eh? Go and find this material for me. Prove your mastery of the subject.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '29', 'm10s', 'You and I are one of a kind, citizen. We are as rare as some of the materials we seek. I\'m proud to pay you for your time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '30', 'm10t', 'Surveying Is Beautiful');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '31', 'm11o', 'I\'m sure you\'ve read the excellent work \"Essentials of Dynamic Crystal Forces.\" It\'s my hope to write the geologic textbooks for the next generation. To accomplish this task, I need to locate more deposits of rich materials. If you could help me find this material, I would be deeply appreciative. Oh, and I\'d pay you too.  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '32', 'm11s', 'You have advanced the cause of science, friend. I\'ll mention you in my foreword.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '33', 'm11t', 'Advance the Cause of Science');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '34', 'm12o', 'I\'ve been given a grant by the Imperial Academy of Science and Methodology to study the distribution of precious ores and materials across this planet. I have employed several surveyors to locate the richest deposits of the following materials, but I still need more for my research. Could you lend a hand? I\'d pay you, of course. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '35', 'm12s', 'Well done. I do believe that is one of the largest deposits discovered to date. We must keep looking for more, however. If you want more work, you know where to find me.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '36', 'm12t', 'Help a Geologist');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '37', 'm13o', 'It\'s my goal to learn the distribution of this planet\'s natural resources. I spend my time in the lab analyzing the results of geologic surveys, which leaves professionals like yourself to perform those surveys. The pay I offer is generous. All you need to do is find a rich deposit of the following material. Deal?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '38', 'm13s', 'Your hard work makes my research possible, citizen. As you can see from the credits you\'ve just received, my pay was quite generous. Many thanks. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '39', 'm13t', 'Aid the Natural Sciences');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '40', 'm14o', 'I\'ve been sent by an Arkanian science council to perform studies of planetary resources. Some beings may have gotten the wrong impression about the Arkanians, who are actually quite pleasant and a most inquisitive species. If you could help me perform some geologic surveys, I\'d gladly pay you. Here is the material I need to locate.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '41', 'm14s', 'The Arkanians will be quite pleased, citizen. I feel it\'s important to aid the cause of science however we can. I\'m glad you could help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '42', 'm14t', 'Perform Geologic Surveys');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '43', 'm15o', 'I am a research assistant for Design Team Beta, and I am desperately in need of help. I\'m supposed to determine how rich this planet is in certain materials. But I\'m afraid my deadline is looming closer and I still have lots of work to do. Could you perform one of these surveys for me? I\'d make it worth your while.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '44', 'm15s', 'Thanks, friend, you\'ve really saved my neck. Enjoy your credits, and feel free to come see me again if you need more work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '45', 'm15t', 'Save a Research Assistant');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '46', 'm16o', 'It seems like vehicles are breaking down all over the place, and nobody has any replacement parts. If you could locate a source of this material so that I can rig up some spare parts in my workshop, I\'d be obliged to you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '47', 'm16s', 'Thanks, friend! Maybe now I can get one of these crates moving again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '48', 'm16t', 'Parts Is Parts');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '49', 'm17o', 'I have an idea that could increase the lifting capacity of the B1 labor droid by as much as 25%. If you can locate a source for this material I need so that I can make the new alloy, I can reward you handsomely.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '50', 'm17s', 'We make a good team! Come back and see me if you need more work. I\'m always making new innovations.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '51', 'm17t', 'Build a Better Labor Droid');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '52', 'm18o', 'I\'m developing a new line of diagnostic tools for GalStarTech, but my supplier is out of some of the resources he needs to make the components. If you can go find this material, you could probably make a few credits. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '53', 'm18s', 'You\'re a life saver! Now I can get back to the lab and finish my work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '54', 'm18t', 'A Developer Needs Help');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '55', 'm19o', 'I\'m thinking of buying some land for investment purposes, and I need someone qualified to go and survey the area and assess its value. Locate a source of this material for analysis and I\'ll make it worth your while.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '56', 'm19s', 'Wow, I\'m glad I didn\'t waste credits on that wasteland. I guess I\'ll keep looking. Keep in touch.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '57', 'm19t', 'Today\'s Survey');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '58', 'm20o', 'My electrostatic repeller is broken and all the dust is wreaking havoc with my mining equipment. If you will go find a source of this material, I can fashion the replacement part I need on a laser lathe. Do you think you can help?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '59', 'm20s', 'I\'m glad you\'re back! You got exactly what I needed. I guess it\'s back to the spice mines now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '60', 'm20t', 'Back to the Spice Mines');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '61', 'm21o', 'I\'ve invented a new process that I think will make plasma fusers safer to use. Go and find a source of this material so that I can finish my prototype. I\'ll see to it that you make a few credits off of this deal.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '62', 'm21s', 'Oh, you\'re back. My lab burned down while you were gone but you\'ll be paid from my insurance money. Come see me again when my lab is rebuilt.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '63', 'm21t', 'Plasma Fuser Safety');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '64', 'm22o', 'I\'m an avid collector! I travel from world to world looking for new and interesting specimens to add to my collection. People think me a bit odd but I just can\'t get enough. I\'ve been looking for some material here but have yet to find it. If you discover a source, report it and I\'ll pay you for the information.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '65', 'm22s', 'That\'s exactly what I was looking for. Here are the credits I promised you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '66', 'm22t', 'Avid Collector');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '67', 'm23o', 'The surveyor I hired was detained at the spaceport for some reason, and now I\'m way behind schedule. If you can survey this arera and locate a source of this material, it would be a huge help.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '68', 'm23s', 'Thanks for your assistance, friend. Turns out that surveyor detained at the spaceport was secretly a Rebel terrorist sympathizer. They\'re everywhere nowadays!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '69', 'm23t', 'A Survey Behind Schedule');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '70', 'm24o', 'Hey buddy, can you help me out? My new boss wants me to survey this area, but I work with crystaplex and don\'t know the first thing about surveying. If you can go check it out and locate a source for the material my boss needs, I\'ll gladly pay you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '71', 'm24s', 'I\'m glad you\'re back. The boss has been breathing down my neck about this survey. Here are your credits.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '72', 'm24t', 'The Misassigned Worker');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '73', 'm25o', 'There\'s a plot of land I\'ve been wanting to buy, but I can\'t find a surveyor to check it out for me. What? You say you\'re a surveyor? Well, that is fortuitous. Go and survey the land, locate a source for this material, and I\'ll give you the survey fee.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '74', 'm25s', 'Splendid! Now if the bank will just lend me the money to buy it, I\'ll be set. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '75', 'm25t', 'Lord of All You Survey');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '76', 'm26o', 'Do you know anything much about liquid metal fuel cooling systems? No, how could you? I\'m the galaxy\'s greatest authority and I\'ve never seen you before, so far as I remember. Never mind. All that prevents me from achieving a new breakthrough is one particular rare material. I have the data here. Will you locate this material for me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '77', 'm26s', 'Success! The galaxy will soon know a new era in liquid metal fuel cooling systems, in part because of your humble efforts!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '78', 'm26t', 'Your Part in a Wonderful Breakthrough!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '79', 'm27o', 'If you\'re saying to yourself, \"Nothing teaches the fundamental perversity of the universe like working with electromagnetic freight barge clamps,\" then, friend, I know what you mean. I\'ve wanted to improve this wilfully perverse mechanism for some time, and all that holds me back is a shortage of one single material. Can you find it for me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '80', 'm27s', 'Now the way lies clear to lasting freedom from the perversity of current electromagnetic freight barge clamp designs! Thank you, thank you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '81', 'm27t', 'Fundamental Perversity of the Universe');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '82', 'm28o', 'You know how it is. You tinker in your garage, hook up a motivator to a power coupling, and before you know it, you\'ve got a new acceleration compensator subsystem. I see your nod of recognition. I\'m almost ready with my current compensator design, but I lack a particular material for a chamber lining. Can you find me this material?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '83', 'm28s', 'I\'m glad to see you working efficiently. From my humble garage beginnings, I\'ll be on the way to acceleration compensator greatness in no time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '84', 'm28t', 'Humble Garage Tinkerer');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '85', 'm29o', 'I\'m sure you\'ve been hearing the gossip all over: \"There\'s the deranged inventor working on that hopeless drill-grinder project.\" No? Oh, you\'re just being kind. It\'s actually coming along fairly well now, in contrast to the last few years. I just need one rare material to apply as polish to the bearings. Can you find it for me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '86', 'm29s', 'I\'m sure I\'ll make good progress on my drill grinder now that the bearing coating issue is resolved. Thank you for not patronizing me about this lengthy undertaking.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '87', 'm29t', 'The Work of Many Years');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '88', 'm30o', 'I\'ve got a new prototype for a thermal inducer that will really, you might say, heat up my career! Haha! Sorry. If I can get to burn-in on my latest prototype, it\'s sure to set the galaxy on fire. That was a pun, get it? Thermal inducer? Burn-in? Fire? All right, never mind. I need a certain material for the generator coil. Can you find it for me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '89', 'm30s', 'Fine work. With the completed thermal inducer, I\'ll blaze a fiery trail across the inventors\' firmament. That was another pun, did you get it?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '90', 'm30t', 'Incorrigible Punster -- Do Not Incorrige');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '91', 'm31o', 'Success in the inventing field requries a powerful presentation. I\'ve got a terrific new shield-receiver heat sink, but the centerpiece of my presentation is a big sign with little spangly things all over. It\'s great. I just need a certain specialized material to make the spangles catch the light just right. Can you find me what I want?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '92', 'm31s', 'I thank you. Next, I must arrange for a powerful shipping executive to view my presentation. I expect the spangled sign will seal the deal.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '93', 'm31t', 'Spangly Presentation');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '94', 'm32o', 'My father was an inventor. That little flange you see on the underside of every vaporator telemetry cone? That was his. Now I\'m following in his footsteps. To perfect my improved recharge-socket plating formula, I need one last material. Will you find it, and help me carry on my father\'s legacy?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '95', 'm32s', 'I\'m very pleased. This recharge-socket plating idea may not rival my father\'s vaporator telemetry cone flange, but after all, I\'m just starting. My whole career lies ahead!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '96', 'm32t', 'Following in Father\'s Footsteps');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '97', 'm33o', 'Things can get sticky when you can\'t find the right adhesive. My newly invented formula will guarantee a smooth, reliable grip for droid restraining bolts of every type. But to perfect my superglue, I need one specialized material. I\'d prefer not to speak the name where my rivals can overhear, but your datapad has the info. Can you find this?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '98', 'm33s', 'Excellent news. I expect we\'ll see stickier droid bolts across the galaxy by this time next year!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '99', 'm33t', 'A Sticky Adhesive Situation');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '100', 'm34o', 'I\'ve spent years perfecting my crafting skills, and now I\'m ready to announce my mastery to the galaxy. I\'ve chosen an unusual subject for my masterwork: an obscure religious icon of the Weequay species called the Eye of Mesra. For my design I require a rare material, and I hope you can locate it for me.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '101', 'm34s', 'Thank you, but evidently the Eye of Mesra has certain drawbacks as a choice for a masterpiece. I\'ll consider another design instead.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '102', 'm34t', 'Ideal Subject for Crafting Mastery');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '103', 'm35o', 'You\'re not a dejarik purist, are you? I have devised a new dejarik playing surface -- less static generated during hyperspace accidents. But to hear the purists whine, you\'d think I tried to double-tamp during a Revised Classic Coruscant opening! Sorry, forgive my dejarik jargon. I need one material to complete my board. Will you find it?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '104', 'm35s', 'Thank you. I\'ll continue to fight for my improved board, though all the forces of the dejarik-playing galaxy be arrayed against me.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '105', 'm35t', 'Improved Dejarik Board Invites Scorn');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '106', 'm36o', 'Look at this schematic. Isn\'t that the most beautiful thing you\'ve ever seen? What do you mean, \"what is it?\" It\'s a turbolift velocity controller, of course. I can\'t believe I invented something so perfect. It\'s like something was working through me to bring this turbolift controller to life. But I need one more material! Can you find it for me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '107', 'm36s', 'That\'s wonderful. Soon I\'ll be crafting this beautiful mechanism and sharing it with the galaxy. It\'s like giving birth, I suppose -- a true miracle.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '108', 'm36t', 'Beautiful Birth of Turbolift Controller');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '109', 'm37o', 'I\'m going for it! At first I thought the galaxy might reject my improved deflector-shield projector. But my friends and family told me, \"Go for it!\" So I am! Would you like to invest, say, a hundred thousand credits in this beauty? No? Well, all right. I\'m undaunted. Tell you what, I need one more material for my prototype. Can you get that?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '110', 'm37s', 'All right! Your success should encourage me! I\'m definitely going for it! To show my commitment, I\'ll pay you something for your time and effort.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '111', 'm37t', 'Going for the Big Time!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '112', 'm38o', 'Sorry if this sounds like a funny request. I have a notion for a deflector-shield projector, but I must admit I\'m a bit out of my depth. I\'m still in the early market research phase, you might say. It\'s clear that I need a prototype, though, and for that I need one rare material. I\'d like you to locate it for me. I\'m not clear on where it would be....');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '113', 'm38s', 'Thank you, but after I talked with you, a gentleman from the Imperial Navy dissuaded me, sharply, from my deflector shield idea. It seems that technology is of military interest. Who knew? I believe I\'ll return to my main interest, blue milk chemistry.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '114', 'm38t', 'Deflector Market Research Needed');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '115', 'm39o', 'To promote my new invention, I\'m ready to network my heart out. I\'ve got a HoloNet address list of every life-support air-scrubber manufacturing association in the galaxy, and I\'m going to wow them all with my new super-scrubber prototype. As soon as I build it. There\'s one material I\'ve had trouble finding. Can you get it for me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '116', 'm39s', 'Great! The super-scrubber is now in the works! I\'ve got my trade-show travel schedule worked out for the entire year ahead. This will be a sure success!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '117', 'm39t', 'Super-Scrubber Networking');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '118', 'm40o', 'I have \"inside\" contacts in the freight industry. They tell me that a new boarding-ramp retractor assembly would be a sure-fire success. You can\'t ignore feedback like that. With this easy avenue into the entire retractor market, I\'d be foolish to miss this opportunity. All I need for my prototype is one more material. Can you get it?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '119', 'm40s', 'Is the material suitable for boarding ramps, do you think? Well, never mind, my \"inside\" contacts will tell me all I need to know. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '120', 'm40t', '\"Inside\" Contacts = Key to Success');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '121', 'm41o', 'I showed this schematic of a new Tibanna gas purifier to my friends and family, and they raved about it. It\'s these sorts of enthusiastic testimonials that carry you to prominence in the Tibanna mining industry. I expect a great response as soon as I finish my prototype. To that end, I want you to find the last material I need.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '122', 'm41s', 'Fine news. My family is encouraging me to go forward with my prototype. It\'s interesting how closely their reactions parallel those of the general Tibanna mining industry.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '123', 'm41t', 'Friends and Family All Love It!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '124', 'm42o', 'Hi, friend! Like my hearty and forthright greeting? Every successful inventor knows that first impressions count. Yes! That\'s why I\'m investing considerable effort in the prototype for my electrode anti-surge sink. When investors see that handsome dark disk, how can they fail to buy it? But I need one more material. Can you find it for me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '125', 'm42s', 'That\'s fine news. I\'m happy to say that the impression you first made on me has not been in any way borne out, and I mean that as a high compliment. Thank you!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '126', 'm42t', 'First Impressions Count');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '127', 'm43o', 'Are you the product scout? No? Oh, good. I made an appointment to show off my new prototype for an adaptive propulsion-tuning system, but at the last moment the prototype seems to have -- well, never mind. To fix it, I need a certain rare material, and fast. Can you locate a supply for me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '128', 'm43s', 'Good. I\'ll send out my agent to get a good sample. I\'ve contacted the product scout and delayed my appointment, but in the propulsion-tuning biz, every moment counts!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '129', 'm43t', 'Product Scout Appointment Endangered');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '130', 'm44o', 'I\'m designing a licensed children\'s toy based on an obscure Corellian HoloNet performer, Bop Thrombo the Shaky Droid. I can\'t get the internal gyros to malfunction in the correct way to reproduce Bop Thrombo\'s characteristic stagger. It looks like I need a particular material for the gyro lining. Can you find a source for me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '131', 'm44s', 'I hope this will do the trick. Not a lot of folks have heard of Bop Thrombo, but this toy could make him a galactic star -- if it works right.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '132', 'm44t', 'Bop Thrombo the Shaky Toy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '133', 'm45o', 'I\'ve got an interview very soon with a leading starship procurement agent. This fellow knows the ship-buying industry bow-to-stern. I\'m rushing to get my prototype radioactivity re-transmuter working, but in my haste I inadvertently, uh -- well, never mind what I did. I just need a certain replacement material, and fast! Can you get it?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '134', 'm45s', 'Thanks! I almost burned down my home in my last accident with this prototype, so I\'m going to be extra-careful this time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '135', 'm45t', 'Starship Buying Agent Interview');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '136', 'm46o', 'I have a delicate assignment -- the crafting of a new mandoviol for a very famous musician. Yes, you\'ve heard of him. No, I can\'t say whom. I\'m using a variety of inventive materials in this instrument, and I\'m having trouble finding one in particular. Can you locate a source for me? If you help, I might confide my patron\'s name.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '137', 'm46s', 'Thank you for finding this source. I consulted with my patron, but sorry, he\'s completely unwilling to let his identity be known. I don\'t know what it is with these musicians!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '138', 'm46t', 'Fine Mandoviol for Big Star');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '139', 'm47o', 'You know how much work it takes to craft an entire vintage airspeeder in your garage? I\'ve had to pull in parts from across this sector. The trouble I\'ve had makes me wish I\'d never seen that old Desler Gizh Koro-2 schematic. But the project continues. Now I need yet another specialized material. Can you locate a source for me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '140', 'm47s', 'Thanks. This is going into the irradiation gas distributor pipe lining. At least, assuming I read the schematic right. I\'ve often wondered if, when I finally complete this airspeeder, I\'ll have the courage to go up in it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '141', 'm47t', 'Vintage Airspeeders Are a Challenge');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '142', 'm48o', 'How many times have you struggled with your airspeeder\'s turbofan suspension modulator? I know, I know -- you\'re talking to one who has suffered as you have. But now I have the solution! My new modulator prototype will guarantee a smooth airspeeder ride. All I need is the right material to polish the motivator. Can you find it for me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '143', 'm48s', 'Brilliant! I intend to make a big, big splash in the hyper-competitive turbofan suspension modulator field, and you\'re one of the little people that will help me to the top!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '144', 'm48t', 'An End to Turbofan Modulator Irritation');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '145', 'm49o', 'If there\'s anything that gets my dander up, it\'s a malfunctioning trash compactor. The stench has made my home unlivable for days! And these stupid maintenance droids can\'t fix the old models -- wrong interface, you know. I finally worked up a replacement power converter, except that I need one more material. Can you find a source?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '146', 'm49s', 'Thank you. Now my maintenance droids are acting up too. Maybe it\'s some kind of, I don\'t know, contagious power-converter rot.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '147', 'm49t', 'Trash Compactor on the Blink');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '148', 'm50o', 'Wow, when my cousin\'s swoop bike hits top speed, you can feel the skin pulling back from your face. If you have skin, I mean. I ran that bike all over town, way fast. But I burned out the rear impeller, and it turns out this world doesn\'t have a replacement. I\'m rigging up a solution, but I need one more material. I hope you can find a source!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '149', 'm50s', 'That\'s great. I can hardly wait to get that swoop running up and down the streets again.  So what if a few old folks complain?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '150', 'm50t', 'Swoop Bikes Require a Delicate Touch');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_neutral_easy.stf', '151', 'number_of_entries', '50');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '1', 'm1o', 'I\'m sure glad you\'re here! The Alliance is in constant need of resources, and good surveyors are in short supply too. If you could find us a rich source of this material, it would help out a lot.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '2', 'm1s', 'Keep up the good work, friend. The Alliance is counting on you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '3', 'm1t', 'Surveyors Needed');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '4', 'm2o', 'A recent Imperial raid on one of our hidden supply depots has us scrambling to replace lost resources. Locate a source for this material, and in the meantime I guess we\'ll have to build a new place to store it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '5', 'm2s', 'Good timing! We\'ll send worker droids out to collect what you found.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '6', 'm2t', 'Replace Lost Resources');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '7', 'm3o', 'I hear some of those surveying missions can get pretty hairy. Between dodging Imperial patrols, fighting off raiders, and battling hungry predators, it\'s a wonder you find anything at all. See if you can locate this material for us, but be careful. You\'re an important resource too.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '8', 'm3s', 'You surveyors must have nerves of carbonite. Good work!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '9', 'm3t', 'Praise for Surveyors');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '10', 'm4o', 'You wouldn\'t believe the sheer quantity of materials it takes to build or even repair a ship.We\'re constantly in need of more sources of virtually everything, but right now one material is in incredibly short supply. Please find some as soon as you can. Our need is great!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '11', 'm4s', 'That\'s great! I\'ll get the droids out there immediately. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '12', 'm4t', 'In Short Supply');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '13', 'm5o', 'An Alliance freighter will be departing soon with supplies to be used in building a hidden High Command base. Although we\'ve managed to load most of the materials needed, we still need more of one certain substance. The sooner you find it, the sooner the freighter can depart.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '14', 'm5s', 'We appreciate your hard work. You are a credit to the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '15', 'm5t', 'Construction Materials Needed');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '16', 'm6o', 'One of our \"procurement specialists\" was recently boarded by Imperial soldiers who confiscated his cargo. The Alliance needed that material for the construction and repair of hyperdrive sequencer parts. Please locate a new source as soon as you can.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '17', 'm6s', 'Thanks! This will help keep us going untill the heat is off of our smuggler.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '18', 'm6t', 'Replace Confiscated Supplies');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '19', 'm7o', 'In the Alliance we\'re forced to find supplies in creative ways. Should you be questioned while surveying, we have forged credentials that identify you as an Imperial survey officer who is surveying sites for hydroponics stations. That should stave off Imperial soldiers while you\'re looking for this material.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '20', 'm7s', 'I\'m glad your cover wasn\'t blown. Maybe we can use it again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '21', 'm7t', 'Imperial Survey Officer for a Day');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '22', 'm8o', 'Alliance researchers are adapting speeders to extremely cold climates. We need a new alloy that can handle the temperature variations the power generators are forced to endure. We need a major supply of a certain material. See what you can find.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '23', 'm8s', 'I\'ll say one thing for the Empire: They really inspire us to improve our technology.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '24', 'm8t', 'Developing a New Alloy');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '25', 'm9o', 'This new coolant we use in our Y-wing fighters may be more efficient than the old stuff, but it\'s also more corrosive. We\'re having serious leakage problems with our coolant storage system. We could use a rich source of a certain substance that can make a more resistant lining. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '26', 'm9s', 'That\'s good news. The last thing we need is corrosive coolant leaking everywhere.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '27', 'm9t', 'Build a Better Storage Tank');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '28', 'm10o', 'An informant tells us that Imperial Security has hidden droidcams at many untapped sites for planetary resources. We need a rich deposit of a certain material, but you may have to travel off of the beaten track to find one that isn\'t being monitored.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '29', 'm10s', 'Thanks! We\'ll do a sweep before we send in a work detail, but it looks clear so far.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '30', 'm10t', 'Off the Beaten Path');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '31', 'm11o', 'An ambassador from the Outer Rim informs us that the Empire has stripped his world of a vital resource. The Alliance feels that if we provide a source for this material, they may look favorably on our cause. See what you can find.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '32', 'm11s', 'Typical of the Empire to strip a world of its resources and then leave. Thanks for helping out.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '33', 'm11t', 'Helping Aliens Helps Us');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '34', 'm12o', 'The Empire sometimes discards equipment just because it\'s getting a little older. We manged to get our hands on some discarded weapon systems from an Imperial Star Destroyer. With a little reworking, they can help our blockade runners. Find us a supply of this material so our techs can finish adapting the weapons.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '35', 'm12s', 'We can\'t afford to waste resources the way the Empire can. We appreciate your help in this matter.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '36', 'm12t', 'Recycling at its Finest');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '37', 'm13o', 'We\'re forced to scour the debris after major battles to salvage damaged equipment. After a recent engagement we managed to find some items that weren\'t irreparably damaged, but we need a good source of a particular material to get started on repairs.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '38', 'm13s', 'Good work. I don\'t know how you surveyors scrounge up everything we need to keep the Alliance going, but I\'m glad you do!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '39', 'm13t', 'Using the Materials at Hand');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '40', 'm14o', 'I understand you\'re someone who can find things. The Alliance can\'t seem to beg, borrow, or smuggle enough of a certain material we need. I hope you can come up with an additional source so we won\'t be forced to pay black-market rates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '41', 'm14s', 'You really came through for us, and we won\'t forget it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '42', 'm14t', 'Just Can\'t Get Enough');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '43', 'm15o', 'Getting everything we need to manufacture fusial ion engines is risky. The Empire is always watching for large shipments of raw materials to unusual places. Fortunately we only need you to find a modest amount of this particular material, so you shouldn\'t attract much attention. Ideally.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '44', 'm15s', 'Excellent! Now we just need to extract the stuff and get it offworld without anyone noticing.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '45', 'm15t', 'Material for Ion Engines');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '46', 'm16o', 'The Alliance recently came into posession of a sizable cache of  Old Republic weaponry. In order for us to keep the old HM blasters in good working order, we need a certain material for maintenance and repair. Can you locate it for us?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '47', 'm16s', 'Good job. Those Old Republic weapons may come in handy. -- Although I wouldn\'t mind it if they found a cache of Corellian Double Brandy too.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '48', 'm16t', 'Keep Weapons in Working Order');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '49', 'm17o', 'One of our \"procurement specialists\" is tripling the price of parts for acceleration compensators. Too risky to transport, it seems. To help us cut costs, we\'re sending surveyors in search of basic materials so we can build these parts. Find us a deposit of this material, please.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '50', 'm17s', 'It\'s a good thing you found what we needed. Any fool knows you can\'t pilot a starfighter without an acceleration compensator.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '51', 'm17t', 'Ever-Increasing Smuggler Costs');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '52', 'm18o', 'The Empire just blockaded one of our smuggling routes in the Outer Rim. We\'re dangerously short of the materials we need to maintain our X-wing turbo impellers. If you can locate a source for one of these materials, we can try to rig a home-grown solution.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '53', 'm18s', 'Thanks! We\'re trying to trace a new smuggling route now. But somehow there always seem to be more and more Imperial ships around every world.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '54', 'm18t', 'X-Wing Turbo Impeller Supply Crisis');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '55', 'm19o', 'Bad news. We just tried to break an Imperial blockade on an Outer Rim world, but the Empire was stronger there than we realized. We lost ships and good people. Now we\'re coping with a shortage of materials, so we need local help. Find us a source for this material so we can send droid workers to mine it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '56', 'm19s', 'Thanks -- you\'ve helped us bring our materials shortfall under control. If only it were that easy to replace the men and women we lost against the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '57', 'm19t', 'Blockade Busting Failed');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '58', 'm20o', 'One of our pilots redirected half his Y-wing\'s life support power into the coolant systems. \"Big performance boost!\" he said. I say, \"Mind-bogglingly crazy!\" He\'s in the bacta tanks now. He\'s burned out the ship\'s main coolant pump, and we need a particular material to refurbish it. Can you locate a source for it?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '59', 'm20s', 'That\'s fine, we\'ll send out the droids to mine the stuff. Meanwhile, that pilot is out of the tanks now, so I\'m going to give him a really good talking-to.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '60', 'm20t', 'Never Redirect Your Life Support!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '61', 'm21o', 'Some crazed Y-wing pilot discovered how to modify the pulse electromagnets in his ion jet engines to accelerate fuel injection. I\'ve seen the performance statistics -- at those speeds I didn\'t think a Y-wing could even hold together! So now we want a lot more of the material he added to the magnets. Can you locate a source?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '62', 'm21s', 'Okay, we\'ll move fast to get into production. We need faster Y-wings, because the Empire is apparently rushing out some new improved TIE fighter.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '63', 'm21t', 'Crazed Y-Wing Pilot\'s Discovery');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '64', 'm22o', 'Some tech, while fitting an R2 astromech droid aboard an X-wing, accidentally dropped it. The droid seemed fine, so we put it aboard anyway. When the pilot lifted off, the R2 unit accelerated the ship so fast the repulsorlift burned out. The pilot barely managed to land safely. Please locate a source for the material we need to repair the ship.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '65', 'm22s', 'Thank you. We diagnosed the R2 unit\'s malfunction, and everything looks fine for now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '66', 'm22t', 'R2 Unit Malfunctions Can Be Nasty');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '67', 'm23o', 'An X-wing pilot got carried away during a battle and burned out his laser generators. He hightailed it back here for repairs. But we\'re still waiting on a \"procurement specialist\" to get past Imperial blockades and resupply us. Can you head into the wilderness and locate a local source for the material we need?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '68', 'm23s', 'That\'s good news. We\'re proud of our X-wing pilots, but sometimes they get excitable. One burnout is usually all it takes to teach them better.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '69', 'm23t', 'X-Wing Pilot Got Carried Away');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '70', 'm24o', 'One of our outposts just uncovered Imperial tracking beacons planted in a new shipment of R4 astromech droids. They\'re evacuating the base, but they have to leave behind some vital materials. We\'re hiring surveyors like you to locate a local source of each material so we can restock the new base. Can you help?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '71', 'm24s', 'Thanks. We\'ll send out the worker droids right away, as soon as we screen them for Imperial tracking beacons.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '72', 'm24t', 'Droids Carrying Tracking Beacons');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '73', 'm25o', 'We\'ve had to evacuate another base because of increased overflights by Imperial probe droids. We think we can refit some captured Empire \"spoofing\" devices to block the surveillance. But to do it, we need a certain material that\'s in short supply right now. Can you locate a source?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '74', 'm25s', 'Thanks. I expect the problem of spoofing probe droids will be with us for a long time. But we have to try something.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '75', 'm25t', 'Spoofing Probe Droids');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '76', 'm26o', 'The last Imperial assault on one of our power stations left dangerous radioactives scattered across the landscape. We need to decontaminate the area before local wildllife starts dying or, worse, mutating. Our decontamination units need a particular material for optimal effectiveness. Can you locate a source of that material?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '77', 'm26s', 'Thank you. We should begin decontaminating the radioactive area shortly.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '78', 'm26t', 'Decontaminate Radioactive Battle Site');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '79', 'm27o', 'The Empire hit us hard at an X-wing pilot training facility. The commander of Rogue Squadron, Wedge Antilles, barely escaped alive. The attack left the landscape contaminated with toxic liquid metal fuel. To decontaminate the area, our droids need a particular substance. We want you to locate a source, quickly.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '80', 'm27s', 'Good work. We\'ll get on this fast. That liquid metal fuel can poison whole ecosystems if you don\'t stop it quick.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '81', 'm27t', 'Rogue Squadron Pilot Facility Hit');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '82', 'm28o', 'The Empire took out one of our fleet resupply outposts just moments before a High Command leader was due to arrive. We diverted Ackbar in time, thank goodness. But to remedy the shortfall from the loss of the outpost, we need many sources of local raw materials. Can you locate a source for this one?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '83', 'm28s', 'You do good work. We\'re sending out droid workers all over this world to mine replacement materials. Must be quite a sight; wish I could see it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '84', 'm28t', 'Resupply Post Hit; Ackbar Escapes');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '85', 'm29o', 'The Empire took out our SpecForce base before we could blink. What\'s worse, that base contained certain chemicals that now endanger the local environment. We need to decontaminate. Our droids require a certain material for the purification process. Can you locate a source of this material?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '86', 'm29s', 'Good. We have to move quickly, before those chemicals poison the wildlife. We had actually intended to poison a Grand Moff. Too late for that now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '87', 'm29t', 'SpecForce HQ Blown Up');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '88', 'm30o', 'We blew up an Imperial depot that was refueling AT-AT walkers. We can\'t celebrate our victory yet, though, because our assault released some kind of toxic Imperial chemicals into the biosphere. We have to decontaminate, because the Empire won\'t. For that job, we need a source of a particular material. Can you help us?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '89', 'm30s', 'We\'ll start the decontamination procedures right away. That was quite an assault. We almost got General Maximillian Veers, but we were seconds too late.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '90', 'm30t', 'Destroyed AT-AT Refueling Depot');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '91', 'm31o', 'We just hit an Imperial factory that constructs Star Destroyer replacement parts. Apparently they have to be built in a gravitational field. We didn\'t realize that destroying the factory would release toxic chemicals everywhere. To clean up the mess, our droids need a local supply of a certain material. Can you locate it for us?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '92', 'm31s', 'Thank you for your timely efforts. We are already starting the decontamination process. Next time we\'ll try to measure the consequences of our assault.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '93', 'm31t', 'Star Destroyer Factory Releases Poisons');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '94', 'm32o', 'Someone got overeager and ordered an assault on an Imperial power core storage facility. I can\'t think of many targets more likely to release poisonous chemicals when hit. That\'s what happened, so we have to decontaminate. The Empire certainly won\'t. Our droids need a certain material; can you find a local source for us?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '95', 'm32s', 'That\'s certainly \"local\" enough for our purposes. Anything on this world counts as local to us. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '96', 'm32t', 'Destroyed Power Core Facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '97', 'm33o', 'We planned an assault on an Imperial research station doing gravity well experiments. When we arrived, the place was deserted. Everyone had vanished, seemingly in a moment. The place was intact but contaminated with strange radioactives. We have to decontaminate it, and for that we need a particular substance. Can you find a source?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '98', 'm33s', 'Thanks. The scouts at the deserted research station are reporting strange noises and odd visions. We\'ll probably blow up the site from orbit.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '99', 'm33t', 'Deserted Imperial Gravity Well Lab');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '100', 'm34o', 'Our Special Forces made a daring capture of a Kuat Drive Yards noble merchant. They seized a prototype experimental hyperdrive. Our techs are looking it over, trying to figure it out. They think we need a specific substance to shield the drive from -- well, I didn\'t understand that part. Anyway, can you locate a source of the material?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '101', 'm34s', 'I\'m sorry to report that someone accidentally activated the Kuat experimental drive, and it vanished. But we\'ll pay you for your time and trouble.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '102', 'm34t', 'Repair a Prototype Hyperdrive');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '103', 'm35o', 'Toughest battle I ever saw. We blew up an Imperial Army factory making Czerka Flamestrike flame carbines. The flames are still covering the countryside. We need an extinguishing chemical to handle these fires, fast. Processing the chemical requires a particular substance we\'re short on. Can you locate a source?');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '104', 'm35s', 'I\'m happy to report that the flames burned themselves out more quickly than we expected. Some chemical in the local foliage seems to function as an extinguisher. But thanks anyway. Your fee is attached.');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_npc_survey_rebel_easy.stf', '105', 'm35t', 'Flame Extinguisher Needed');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_object.stf', '1', 'destroy_mission', 'Destroy Mission');
INSERT INTO `client_strings` VALUES ('string/en/mission/mission_object.stf', '2', 'deliver_mission', 'Deliver Mission');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '1', 'm1d', 'Some local criminals have decided that staging violent protests against the Empire is an acceptable form of political expression. Such protests can sow unrest in a community and, as the Emperor teaches, popular discontent is a festering ground for rebellion and revolution. Sabotage and terrorism will not be far behind. We cannot allow these protesters to start down this path. We must show them the error of their ways. Visit their headquarters and burn it to the ground. No one will dare oppose the Emperor when we demonstrate the harsh repercussions. Can we count on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '2', 'm1f', 'How could you have let these scum escape you? Now their poisonous discontent will spread throughout the community. These sorts of missions must be handled correctly. We are truly disappointed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '3', 'm1i', 'Strange, we were certain those criminals were at those coordinates. We\'ll check our intelligence on the matter. We appreciate your efforts nonetheless.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '4', 'm1l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '5', 'm1o', 'Imperial Security Bureau');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '6', 'm1s', 'We knew we could count on you. The Empire rewards its loyal servants. And our work is never done. Report to us again if you wish to continue serving the Emperor.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '7', 'm1t', 'Take out the violent protestors');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '8', 'm2d', 'The most poisonous influence in our society today is the Rebellion and its active sympathizers. Their opposition to the New Order leads to riots and the destruction of public property, in addition to the usual litany of political offenses. The Empire has no choice but to label them the worst form of criminals. Because they believe they serve a cause, Rebel sympathizers imagine themselves to be safe from the Empire\'s wrath. You must show them they are not. Destroy their base of operations in the area. Let them know that Imperial justice does not abide outlaws of any kind. Is this something you can do?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '9', 'm2f', 'If we do not deal effectively with these sympathizers then their numbers will only increase. This failure is a great disappointment to us. Now we\'ll have to hunt these inciters down one by one.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '10', 'm2i', 'It seems the location of their base was a bit more difficult to lock down than we had initially thought. We shall investigate this matter further. Your efforts are noted.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '11', 'm2l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '12', 'm2o', 'Imperial Security Bureau');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '13', 'm2s', 'You handled the operation perfectly. Excellent. We could use more agents like you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '14', 'm2t', 'Take out the Rebel sympathizers');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '15', 'm3d', 'Local authorities have reasonable success with common crimes such as vandalism. But when these activities turn against Imperial icons and miliary recruitment offices, the vandals become political offenders and the ISB must step in. The Empire stands for security and stability. We cannot allow these criminals to undermine the people\'s faith in the galactic regime. The Empire needs someone to make an example of them, to demonstrate the consequences of such seditious acts. Are you that someone? We hope so.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '16', 'm3f', 'For every criminal that goes unpunished, another five are encouraged to act. You have let us down. We hope you will make it up to the Emperor.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '17', 'm3i', 'Those vandals are elusive. We\'ll try and track them down again and hopefully you can take care of them for good this time. Criminals cannot hope to escape us forever.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '18', 'm3l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '19', 'm3o', 'Imperial Security Bureau');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '20', 'm3s', 'Thanks to your decisive action, vandals will think twice before damaging Imperial targets in the future. Well done. The Empire will watch your career with great interest.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '21', 'm3t', 'Take out the vandals');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '22', 'm4d', 'While the Empire appreciates the contribution of non-human species to the galactic labor and service industries, our xenosociologists have written detailed policies concerning the legal rights, cultural restrictions and limits to authority of all alien species. In the New Order, non-humans know their proper role. Unfortunately a group of local activists has been handing out anti-Imperial pamphlets and propoganda denouncing our treatment of alien species. This can only lead to civil unrest, which benefits no one. It must stop. We want this group\'s headquarters demolished and their disruptive propaganda halted. Can you take care of this for us? Such a service would go a long way to proving your loyalty to the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '23', 'm4f', 'If the activities of these group are not halted, pro-alien sentiments will continue to sow discontent within the Empire. Do you want this sort of failure on your record, citizen? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '24', 'm4i', 'Perhaps the group has moved their base of operations. Someone must have tipped them off. We will find both them and the informant and make sure they are punished.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '25', 'm4l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '26', 'm4o', 'Imperial Security Bureau');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '27', 'm4s', 'Opposing the well-researched policies of the New Order is the epitome of folly. You have helped demonstrate that most effectively. Well done, citizen. The Empire\'s gratitude goes with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '28', 'm4t', 'Remove pro-alien demonstrators');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '29', 'm5d', 'Our youth informants have uncovered a Rebel, positioned as a local school teacher, corrupting our children with anti-Imperial propaganda. Preying upon the innocence of youth is treachery of the most despicable kind. As if this crime were not loathsome enough, credible sources report that he is inciting local delinquents to commit robbery and vandalism against Imperial citizens and property. We\'ve located this teacher\'s office, which he uses as a meeting place for these young criminals. We need to teach this Rebel parasite and his hoodlums a lesson they will never forget. Can COMPNOR count on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '30', 'm5f', 'Do you realize how dangerous it is to have Rebels in our school systems? This matter needed immediate attention and you have failed to resolve it to our satisfaction. We are highly displeased with your performance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '31', 'm5i', 'The teacher was no doubt alerted by Rebel informants and fled. It disturbs us that the Rebels might have tampered with our intelligence reports. We\'ll find this teacher sooner or later. We hope you\'ll return and help us solve this issue.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '32', 'm5l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '33', 'm5o', 'The Commission for the Preservation of the New Order');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '34', 'm5s', 'Excellent work, loyal citizen. COMPNOR is immensely pleased and looks forward to employing you in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '35', 'm5t', 'Save the Empire\'s youth');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '36', 'm6d', 'A certain deranged citizen has become notorious by mocking the Emperor. This individual has made a career of impersonating our beloved leader, much to the amusement of the locals. His goal is to ridicule the New Order and foment sympathy for the Rebellion. While this behavior in itself is treasonous, reports now indicate that he has been adopted as a mascot by a local swoop gang and is coaxing them to masquerade as Imperial agents. The ISB can no longer allow this charade to continue. We must show this buffoon just how amusing we find his antics. We know the location of the swoop gang\'s lair. Do the Empire a favor and blast it to pieces. Demonstrate that loyal citizens will not tolerate any mockery of the New Order. Do you think you can do this for us?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '37', 'm6f', 'We are terribly disappointed that you failed to punish this individual. Do you agree that this will encourage others to mock our noble Emperor? And to think the ISB was considering working with you in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '38', 'm6i', 'There\'s no telling where this lunatic ended up. We believe he moves around quite a bit, which is how he\'s escaped us this long. No matter, we\'ll find him eventually.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '39', 'm6l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '40', 'm6o', 'Imperial Security Bureau');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '41', 'm6s', 'Good work, citizen. Witnesses report that the explosion of the swoop gang\'s lair was as bright as the power core of a battle station. This mock Emperor cannot have survived.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '42', 'm6t', 'Punish an insane citizen');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '43', 'm7d', 'The Empire prefers a concensus of support among economic leaders in a given area.  Dissent is bad for business.  However, sometimes gentle pressure is not enough to reclaim a stubborn citizen from his anti-Imperial positions.  When a certain local merchant expressed sympathy for Rebel goals, we ordered a surprise inspection of his place of business.  Imperial Customs performed their job well, immediately discovering several units of contraband in his possession.  We respectfully allowed him his freedom but gave him a clear warning against future infractions.\n\nUnfortunately our generosity did not sway him from his unlawful opinions.  In fact his criticism of the Empire is louder than ever.  This can only polarize local leadership and destabilize the economy.  Therefore we have decided to take punitive action.  As his shop is a proven transfer point for Rebel contraband, it must be destroyed.  Be aware that he has gathered other sympathizers to safeguard him.  Resistance is inevitable.  The action must be swift and merciless.  COMPNOR is generous to the law-abiding citizens of the Empire, but enemies must never be tolerated.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '44', 'm7f', 'This task was fairly simple and yet you failed to accomplish it. Perhaps your heart is simply not into this sort of work. Or do you feel some pity for this Rebel sympathizer?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '45', 'm7i', 'The Rebels must have warned this citizen. We must spend some time tracking them down.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '46', 'm7l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '47', 'm7o', 'Imperial Security Bureau');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '48', 'm7s', 'Supporting Rebels can be very dangerous, don\'t you agree? Bravo, citizen, and well done. We\'ll assist the local authorities in tracking the culprit himself, but it will be difficult to find any clues in all that burned wreckage. Please see us again for future assignments.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '49', 'm7t', 'Teach Rebel sympathizer a lesson');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '50', 'm8d', 'In return for safeguarding the economy of a region, COMPNOR graciously requests from all shopkeepers a courtesy discount for Imperial military personnel.  A certain local merchant has been reluctant to grant this request.  At the ISB this constitutes a warning sign for possible seditious tendencies.  When our agents pressed the merchant on this point, he responded with physical resistance.  Presently he has hired a small gang of local ruffians to surround his shop and decline access to anyone in an Imperial uniform.  His contempt for authority has troubled the military and disrupted the business of other merchants in the area.  The ISB must end this conflict before it escalates further.  The merchant and his ruffians must be eliminated and the shop burned to the ground.  This will restore the confidence of military personnel and assure other shopkeepers that the Empire will not abide disturbances to the business community.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '51', 'm8f', 'Why did you fail to accomplish this mission? Was it too difficult for you? The ISB is most disappointed. Should we keep an eye on you, citizen?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '52', 'm8i', 'These shops blur one into another so that after a while we can\'t tell them apart. We\'ll straighten this out, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '53', 'm8l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '54', 'm8o', 'Imperial Security Bureau');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '55', 'm8s', 'Good work, citizen. Now other merchants may continue their proud cooperation with COMPNOR\'s gracious requests.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '56', 'm8t', 'Teach a local shopkeeper a lesson');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '57', 'm9d', 'Rebel activists are like sand fleas.  You tolerate one or two and soon you\'ve got a whole swarm to deal with. Because of this, the ISB has a policy to scratch them out when they first appear in an area. Otherwise they\'ll infest a community and disseminate their slander until the whole population is on edge. On other planets we\'ve seen them ruin productivity and even incite riots and vandalism. In the Rebel mind, such chaos is a worthy goal. The ISB takes exception with this dangerous philosophy.\n\nYou may have noticed that their propaganda has been popping up in this area, and not just the usual anti-Imperial ravings, either. They\'re distributing pamphlets and holograms on datadisc purporting to show the destruction of Alderaan at the hands of the Empire. As you know, that paranoid accusation has long been disproven. Luckily we\'ve tracked down the facility where this libelous material is being created. Like the first fleas, they must be scratched out. We need this structure blasted into atoms. Could you take care of this for us? COMPNOR would be most appreciative. We are all working toward the common goal of peace and security in the galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '58', 'm9f', 'This was not a difficult assignment. Perhaps we must reconsider our association. This is most disappointing.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '59', 'm9i', 'It seems we were fed incorrect information regarding the whereabouts of that propaganda office. We\'ll have the informants who gave us that information arrested.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '60', 'm9l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '61', 'm9o', 'Imperial Security Bureau');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '62', 'm9s', 'Bravo, citizen, but our work is just beginning. We must find every copy of any libelous materials being used by the Rebellion and destroy it. Come see us again, I\'m sure we\'ll have more work for you to do.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '63', 'm9t', 'Destroy Rebel propaganda');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '64', 'm10d', 'Children are the Empire\'s greatest asset.  We cherish them all, even the unlucky ones orphaned and impoverished by Rebel terrorists. Our social engineers work tirelessly to rescue these unfortunates from the streets and place them in the care of Imperial instruction camps. But the Rebels have more sinister plans for them.  In this area, for example, Rebel informants have forced a gang of young urchins to spy on Imperial installations. Treason, it seems, leads to atrocities like child endangerment.  We cannot allow this to continue.\n\nYou are an upstanding citizen of the Empire, or you would not be reading this.  The ISB needs your help to stop this outrage. We can\'t have these terrorists endangering children. We want you to pay a visit to their hangout and vaporize it. COMPNOR will duly reward this service to the community.  Together we can remove this threat and ensure our children a safe and contented future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '65', 'm10f', 'Your failure endangers the lives of our children, citizen. How sad that this is the case.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '66', 'm10i', 'Someone was assisting this Rebel informants and obviously helped them get away. We\'ll put our agents on the job and find this criminal.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '67', 'm10l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '68', 'm10o', 'Imperial Security Bureau');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '69', 'm10s', 'The children may sleep peacefully tonight knowing this terrorist has been removed. You have our thanks, citizen. I\'m sure this reward will demonstrate how grateful COMPNOR is for your service.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '70', 'm10t', 'Remove menace to loyal youth');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '71', 'm11d', 'Gangs are a continual source of trouble for local authorities. They endanger and exploit the peaceful citizens of the community. One gang in particular has been harrassing an Imperial recruiter in this area, so the ISB is assisting in the case. Unfortunately we have reason to believe that the Rebels are helping the gang to elude apprehension. A stormtrooper squad was unsuccessful in tracking them down, which is impossible unless the gang received outside assistance. After some work, though, the ISB has found the leader of this gang. I\'m sure this individual thinks he has escaped Imperial justice, but he is wrong. We want you to destroy this gang leader\'s hideout as an example to the others. Can COMPNOR count on your aid, citizen?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '72', 'm11f', 'That gang leader was no doubt aiding the Rebels. Your failure could cost us the lives of many loyal Imperial servants. Do you not wish to serve the New Order, citizen?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '73', 'm11i', 'Now we understand why the stormtrooper squad had such trouble tracking this gang down. It seems they are still receiving help from the Rebels.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '74', 'm11l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '75', 'm11o', 'Imperial Security Bureau');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '76', 'm11s', 'Effective work, citizen. We\'d hate for our recruiters to start questioning their career choices. Here is a small token of COMPNOR\'s gratitude.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '77', 'm11t', 'Teach a gang a lesson');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '78', 'm12d', 'Rebel data slicers have caused much trouble for the Empire. They intercept and decode secret communiques, they send bogus reports to Imperial Intelligence, and generally hamper the Empire\'s operations. This not only hurts our ability to pursue Rebel terrorists, but it\'s also a danger to civilians and Imperial personnel. Happily, a loyal informant has helped us locate one of these slicer hubs. Can you help us by obliterating this hub? We would be ever so appreciative.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '79', 'm12f', 'Slicers are a threat to the safety of the Empire. How could you have failed to accomplish this simple mission? The New Order expects loyal citizens to contribute to their own security.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '80', 'm12i', 'Who do you think was responsible for supplying us with this false information, citizen? Correct. A Rebel slicer. We\'ll find this slippery eel soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '81', 'm12l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '82', 'm12o', 'Imperial Security Bureau');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '83', 'm12s', 'One less slicer hub to menace the Empire. Hail the Emperor! COMPNOR is very proud of you, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '84', 'm12t', 'Burn the data slicer hub');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_imperial_easy_civilian.stf', '85', 'number_of_entries', '12');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_creature_womp_rats_tatooine.stf', '1', 'm1d', 'I don\'t have a lot of time to spend trying to sell you on taking this mission. You either need the credits, or you don\'t. But here\'s the situation: Anchorhead is my home. Or, it\'s the closest thing I\'ve ever known to a home. I have a good job running the Tosche power station, a great girl, and enough friends to keep me from going stir-crazy. And the folks around here, they look up to me. So, when anyone from Anchorhead has a problem, it becomes my problem too. Recently, my buddy Deak was attacked by womp rats. He barely escaped with his life. In order to protect my people, I\'ve vowed to wipe \'em all out. I\'ve located quite a few womp rat nests, and now that Deak can finally talk again, he\'s told me about a few more. If you\'re interested in helping out, I\'ll transmit the coordinates to one of these nests. Just destroy it and I\'ll slip you a few credits.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_creature_womp_rats_tatooine.stf', '2', 'm1f', 'I\'m beginning to think that Tatooine\'s womp rats are mutating or something... They\'re tougher and more vicious than ever. I am sorry you got hurt trying to defend Anchorhead, but it\'s your neck. If you didn\'t think you could handle the job, you shouldn\'t have accepted it. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_creature_womp_rats_tatooine.stf', '3', 'm1i', 'Deak is on a rampage. He\'s so upset at being mauled by the womp rats, he bought himself a new blaster rifle and has taken to hunting them down himself. I think he just destroyed the nest I told you about, so you can give up the chase.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_creature_womp_rats_tatooine.stf', '4', 'm1l', 'Fixer, Anchorhead\'s self-proclaimed defender, is hiring mercenaries to kill womp rats on Tatooine.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_creature_womp_rats_tatooine.stf', '5', 'm1o', 'Fixer');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_creature_womp_rats_tatooine.stf', '6', 'm1s', 'Good job on that nest. Deak would congratulate you himself, but he still hasn\'t regained the use of his arms or legs and can\'t even hold a datapad. Anyway, I really do appreciate your help here. There are still too many womp rat nests out in the desert, but we\'re making progress.  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_creature_womp_rats_tatooine.stf', '7', 'm1t', 'Deak\'s Defender');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_creature_womp_rats_tatooine.stf', '8', 'm2d', 'The Galactic Pest Authority recognizes the womp rat as Tatooine\'s most dangerous predator. Not only does the womp rat attack and kill sentient beings with surprising frequency, the creature also spreads disease, destroys livestock, fouls water supplies, and consumes key crops. When one considers that womp rats breed uncontrollably throughout all areas of Tatooine, it is obvious that the creature poses a significant threat to public safety. In order to control the womp rat populations, we are offering rewards for the destruction of womp rat nests.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_creature_womp_rats_tatooine.stf', '9', 'm2f', 'The Galactic Pest Authority is distressed to report that the number of deaths attributed to womp rats has increased dramatically this season. Failure to eliminate key womp rat nests has been cited as the primary factor in this increase.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_creature_womp_rats_tatooine.stf', '10', 'm2i', 'The Galactic Pest Authority is pleased to report that a recent womp rat-specific plague has swept through the populations of Tatooine\'s most dangerous carnivore. The womp rat population is now at comfortable levels. As a result, your mission has been cancelled.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_creature_womp_rats_tatooine.stf', '11', 'm2l', 'Womp rats pose a significant threat to Tatooine citizens and must be eliminated.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_creature_womp_rats_tatooine.stf', '12', 'm2o', 'Galactic Pest Authority');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_creature_womp_rats_tatooine.stf', '13', 'm2s', 'The Galactic Pest Authority is pleased to report that Tatooine\'s womp rat population has been reduced significantly due to the destruction of several key nests. As one of many operatives responsible for this decrease, you will receive a substantial financial reward, along with the thanks of a grateful planet.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_creature_womp_rats_tatooine.stf', '14', 'm2t', 'Womp Rat Emergency');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_creature_womp_rats_tatooine.stf', '15', 'm3d', 'Transmission Translated from Jawaese for you convenience!\n\nWe Jawas keep to sandcrawlers, except to pull metal, scraps, treasure from the sand... When we travel on foot, our robes dragging on the ground, we become prey for hungry, nasty womp rats. We Jawas will give credits to adventurers, heroes, mercenaries who kill the womp rats before they maul, murder, mutilate us! Destroy, wreck, burn the nest we have spotted from our sandcrawler!\n\nWimateeka, Jawa Clan Leader');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_creature_womp_rats_tatooine.stf', '16', 'm3f', 'Transmission Translated from Jawaese for you convenience!\n\nJawas still bitten, gnawed, mutilated by womp rats in the desert! It is not safe for us to leave the sandcrawler! You did not help the Jawas, you will not receive your credits.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_creature_womp_rats_tatooine.stf', '17', 'm3i', 'Transmission Translated from Jawaese for you convenience!\n\nUgly, diseased womp rats have stopped chewing on Jawas! We can leave the safety of our sandcrawler again, but you were not the Jawa hero. You will not receive our Jawa credits.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_creature_womp_rats_tatooine.stf', '18', 'm3l', 'Jawas are in danger from womp rats');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_creature_womp_rats_tatooine.stf', '19', 'm3o', 'Wimateeka');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_creature_womp_rats_tatooine.stf', '20', 'm3s', 'Transmission Translated from Jawaese for you convenience!\n\nMost exalted hero of the Jawas! Thank you a hundred times for making the desert sands safe, welcoming, home to the Jawas. We will now pay you a sizable, big reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_creature_womp_rats_tatooine.stf', '21', 'm3t', 'Jawa Biters');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_creature_womp_rats_tatooine.stf', '22', 'm4d', 'Another one of my eopies is dead, dragged down into the dirt and eaten alive by a swarm of evil womp rats. At this rate, the womp rats will have killed by entire herd by next season. The only way to stop them is to kill \'em at the source: their nest needs to be completely destroyed. I found the nest, but I don\'t have the weapons to get rid of it. I\'ll hire you to do the job for me. Help me keep my eopies safe. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_creature_womp_rats_tatooine.stf', '23', 'm4f', 'The womp rats returned and took another of my eopies. A small calf this time. I heard it screaming as they tore it apart, but there was nothing I could do. As long as that nest remains, my eopies will keep dying.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_creature_womp_rats_tatooine.stf', '24', 'm4i', 'It\'s the strangest thing... The eopie killings have suddenly stopped. Maybe the womp rats have moved on, or maybe they were wiped out by a dune lizard. Whatever the case, my eopies are safe and I won\'t be needing you to destroy that womp rat nest.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_creature_womp_rats_tatooine.stf', '25', 'm4l', 'A local rancher has lost several eopies to womp rat attacks. He\'s hiring an exterminator to eliminate the dangerous creatures.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_creature_womp_rats_tatooine.stf', '26', 'm4o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_creature_womp_rats_tatooine.stf', '27', 'm4s', 'Thank you so much for taking out that womp rat nest. The past few nights, I\'ve been unable to sleep, haunted by sounds of my eopies being eaten alive... The crunching bones and womp rat hisses, and the moans from my pour eopies... It\'s been terrible. But with their nest destroyed, I doubt the womp rats will be back. Enjoy your reward, friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_creature_womp_rats_tatooine.stf', '28', 'm4t', 'Eopie Emergency');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_creature_womp_rats_tatooine.stf', '29', 'm5d', 'By Imperial decree, all able-bodied men, women, and even aliens have been asked to take up arms against the sudden influx of womp rats into civilized areas of Tatooine. These vermin, viewed by many to be the most dangerous creatures on Tatooine, have been sighted throughout the desert, often near major settlements. Womp rat-related deaths have increased three-fold in the past two seasons, and a recent bantha stampede outside Bestine has been blamed on a womp rat attack. Those individuals willing to perform their civic duty will be assigned an identified womp rat nest to locate and destroy. Anyone who serves the Empire and the good people of Tatooine in this manner will be duly rewarded.  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_creature_womp_rats_tatooine.stf', '30', 'm5f', 'Your assigned womp rat nest has not been destroyed. You have failed in your mission and will not receive any payment for your efforts.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_creature_womp_rats_tatooine.stf', '31', 'm5i', 'Due to an computer error at Imperial Intelligence on Tatooine, you were inadvertently assigned a nest that was first identified over five seasons ago. Since that first sighting, the nest has evidently been destroyed or disappeared. We apologize for the inconvenience, but Imperial regulations forbid us from reimbursing you for your time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_creature_womp_rats_tatooine.stf', '32', 'm5l', 'A rise in womp rat attacks has prompted swift response from local authorities, who are now hiring mercenaries to destroy the creature\'s nests.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_creature_womp_rats_tatooine.stf', '33', 'm5o', 'Bestine Imperial Security Department');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_creature_womp_rats_tatooine.stf', '34', 'm5s', 'Your assigned womp rat nest has been successfully destroyed, and your duty as a citizen of or visitor to Tatooine has been upheld. You will be rewarded for your civic responsibility. Congratulations on behalf of all Tatooine civilians and Imperials forces stationed on the planet.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_creature_womp_rats_tatooine.stf', '35', 'm5t', 'Civic Duty');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_creature_womp_rats_tatooine.stf', '36', 'number_of_entries', '5');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '1', 'm1d', 'Some local thugs have been harassing the decent people of this neighborhood. They loiter around this abandoned shop and get high on glitterstim. We\'re offering a reward to any citizen with the guts to go in there and blast this shop to pieces. That would certainly get the point across, eh? Most of these thugs are bullies and cowards anyway, so we doubt they\'d give you much trouble. Do you accept?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '2', 'm1f', 'Well now all you\'ve done is to get them all riled up. They\'ll probably go and get some more friends and really make it tough for us. Thanks for nothing.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '3', 'm1i', 'They must have moved on. We\'ll keep our eyes out for them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '4', 'm1l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '5', 'm1o', 'A Group of Concerned Citizens');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '6', 'm1s', 'Told you those creeps wouldn\'t put up much of a fight. Bet they don\'t come around here no more. The reward is yours.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '7', 'm1t', 'Run off the thugs');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '8', 'm2d', 'Some local glitterstim pusher and a group of thugs has set up shop in our neighborhood and we want them out. We know where they hang out and need someone to go in there and redecorate the place (preferably with blasters). There\'s a decent reward in it for the brave individual that succeeds in driving those slugs away. Will you be our neighborhood\'s saviour? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '9', 'm2f', 'If these pushers were working for a bigger gang we\'ll have plenty of trouble now. Thanks for trying anyway.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '10', 'm2i', 'They just moved their hangout. We\'re sure they\'re still in the neighborhood. Could you check back with us later?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '11', 'm2l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '12', 'm2o', 'Citizens for a Clean Tomorrow');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '13', 'm2s', 'That\'s showing those poison-pushers who\'s boss. Good work, citizen. The Empire could use more upstanding folk like you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '14', 'm2t', 'Stop the drug dealers');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '15', 'm3d', 'There\'s been an increase in break-ins around here recently. We know who\'s behind it but we can\'t collect enough evidence to get the local authorities to make arrests. It\'s time we took the law into our own hands. We\'re offering a reward to anyone who can run the criminals behind those thefts out of town. Blasting their hideout to atoms ought to get the point across. If you decide to help us out, we\'ll send you the coorindates to this wretched hive of scum and villainy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '16', 'm3f', 'You don\'t run them out of town, you don\'t get the reward. Them\'s the rules. Better luck next time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '17', 'm3i', 'These criminals are sneakier than we thought. We\'ll have to work harder to track them down.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '18', 'm3l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '19', 'm3o', 'Citizens for a Clean Tomorrow');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '20', 'm3s', 'We sleep easier at night now. Good job, citizen. Hope you decide to work for us again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '21', 'm3t', 'Stop the thieves');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '22', 'm4d', 'A bunch of slimy slugs have moved into the neighborhood and have been harassing our wives and daughters. We\'ve heard of these guys. They were run out of another town after they assaulted a young woman. We feel these predators will repeat that pattern soon, especially since many of our fairer family members work late at the factories. We need some of integrity and of true grit to make sure these criminals don\'t endanger anyone. We know where these creeps have set up shop and are certain they would vacate the premises if their lair were blasted to pieces. Can you help us? There\'s a reward in the offering.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '23', 'm4f', 'They\'re sure to hang around now. We suppose it was a valiant attempt. Or so we have to assume.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '24', 'm4i', 'These shifty womp rats scatter pretty quickly when the light of the law is brought to bear on them. They\'ll be back.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '25', 'm4l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '26', 'm4o', 'Citizens for a Clean Tomorrow');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '27', 'm4s', 'Well struck, citizen! Our womenfolk thank you as do we. Enjoy the reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '28', 'm4t', 'Get rid of slimy predators');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '29', 'm5d', 'A shyster has been cheating some older retired folks out of their life savings. This creep goes around selling bogus cruises on luxury starliners that don\'t exist. Further, this slimeball has hired some local toughs, thinking that their presence will scare away any citizens seeking to get their money back. It\'s time we put a stop to this activity. We\'re offering a reward to the brave and honest individual who blasts this scum\'s headquarters to pieces and makes sure they don\'t plague another town ever again. If you decide that individual is you, let us know and we\'ll send you the coordinates to the creep\'s lair.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '30', 'm5f', 'Likely they\'ll just move on to another town and ruin even more lives. Maybe you should track them down and finish the job you accepted?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '31', 'm5i', 'They may have moved on already. We\'ll keep looking for them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '32', 'm5l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '33', 'm5o', 'Citizens for a Clean Tomorrow');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '34', 'm5s', 'Good work! No one has the right to cheat decent folk out of their life savings. You\'ve made sure that point was made, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '35', 'm5t', 'Smash the shyster');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '36', 'm6d', 'The same brutish thug has mugged half a dozen decent people in the last month, one of which died last night as a result of the injuries. That person was my father. I\'d prefer to handle this animal on my own terms rather than get the local authorities involved. I\'ll pay a substantial reward to any citizen brave enough to help me get justice for my dead father. Slime like this want us to believe that life in the universe is cheap. Well I\'ve got news for that slug - life is not cheap and the price of a life is a life. I hope you can help my father\'s soul find peace. The coordinates to this predator\'s lair await your acceptance of this mission.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '37', 'm6f', 'I\'m sorry this villain got away. I hope that someone, somewhere eventually puts an end to this piece of filth\'s activities.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '38', 'm6i', 'This murderer will not escape me. I\'ll track them down and make them pay regardless of how long it takes and even if it\'s the last thing I do.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '39', 'm6l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '40', 'm6o', 'An Enraged Daughter');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '41', 'm6s', 'Finally, my father\'s soul can rest. Thank you, citizen. Take the reward, you\'ve earned it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '42', 'm6t', 'Stop the murderous mugger');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '43', 'm7d', 'Have you ever heard of the Vibrodagger Killer? We think we\'ve finally tracked this heinous murderer down. They\'re hiding in a small abandoned settlement near here. We believe there may be other murderers hiding there with the killer. The time for justice is at hand. We need someone to go in there and wipe that place out. Burn it and everyone in it to the ground. Those filthy murderers deserve nothing better. A reward awaits the successful agent of justice. Are you that agent?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '44', 'm7f', 'The murders will likely continue. We can\'t believe you let this animal escape. We are disappointed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '45', 'm7i', 'They must have known we were hiring someone to come after them and moved. We\'ll track them down.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '46', 'm7l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '47', 'm7o', 'Citizens for a Clean Tomorrow');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '48', 'm7s', 'That should put an end to these horrible crimes. Assuming it was the actual Vibrodagger Killer in that settlement, that is. You\'ve earned your reward in any case.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '49', 'm7t', 'Stop the Vibrodagger Killer');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '50', 'm8d', 'A gang of hooligans has been terrorizing our neighborhood for months now. Their favorite tactic is to hurl homemade firebombs at passing speeders. So far three people have been killed by these attacks. The local authorities are already swamped with work and can\'t devote the time necessary to stop these criminals. We need an independent agent to take up the cause of justice for us. We\'re offering a decent reward to anyone that blasts this gang\'s hangout to pieces. If the gang members get caught in the blast, so much the better. You willing to help clean up our community, citizen?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '51', 'm8f', 'The gang will more than likely continue firebombing speeders. More innocent lives will be lost. We wish you\'d been able to take care of it, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '52', 'm8i', 'They must have gone into hiding. We\'ll find them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '53', 'm8l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '54', 'm8o', 'Citizens for a Clean Tomorrow');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '55', 'm8s', 'Looks like you gave those thugs a taste of their own medicine. Good job! Our neighborhoods could use more folks like you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '56', 'm8t', 'Drive out the destructive gang');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '57', 'm9d', 'There\'s a gang of space trash that has decided to set up a protection racket in our area. Many of the local merchants have been forced to pay protection money after one shop was blown to pieces with the shop owner and his family still inside. The gang is paying bribes to the local law enforcement authorities so they ignore these criminal activities. We need someone to pay like with like and blow the gang\'s hideout to atoms. This agent of justice will be rewarded for their time and efforts, of course. The coordinates await your acceptance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '58', 'm9f', 'The gang will want revenge for us hiring an agent to deal with them. We wish you\'d been able to get rid of them for good.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '59', 'm9i', 'Maybe the bribes they were paying the local law enforcement agency were not enough and the gang moved on. They may return, though. Check back with us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '60', 'm9l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '61', 'm9o', 'Citizens for a Clean Tomorrow');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '62', 'm9s', 'We guess the gang forgot to pay their own protection money. Hehehe! Good work, citizen. The money is yours.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '63', 'm9t', 'Stop protection racket thugs');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '64', 'm10d', 'A local glitterstim dealer got my son addicted to that poison and now my boy is rotting in an Imperial prison while the dealer continues to pedal their filth. It\'s time someone put a stop to this criminal\'s activities. I\'m offering a reward to any citizen that goes into that dealer\'s lair and blasts everything in sight. If the dealer and their thug friends are there, blast them too. If you accept, I\'ll transmit the coordinates to the dealer\'s hangout. That nest of silica parasites needs to be cleaned out.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '65', 'm10f', 'The glitterstim will continue to flow through the streets and more kids will get addicted. Your failure is their misfortune.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '66', 'm10i', 'The dealer has picked another spot to push their poison. I must track this dealer down.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '67', 'm10l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '68', 'm10o', 'An Angry Father');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '69', 'm10s', 'You\'re an effective agent of justice, citizen. You\'ve made the streets safer for our youth. This is one reward I am happy to pay.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '70', 'm10t', 'Stop glitterstim dealer');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '71', 'm11d', 'My cousin was taken from me by a vicious gang of cutthroats operating in the area. I want someone to attack their hangout and blast every single one of those murderers to bits. Leave nothing standing. This gang\'s attacks have claimed many lives and shattered many families. Please help me find justice. I will reward you for your time. And our community will thank you for your service. Will you help me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '72', 'm11f', 'The attacks will continue unabated. I must seek another agent of justice, one who will not fail.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '73', 'm11i', 'The gang must have been tipped off and gone into hiding. My friends and I will find where they\'ve disappeared to.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '74', 'm11l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '75', 'm11o', 'A Determined Relative');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '76', 'm11s', 'Well done, citizen. Now that you\'ve killed the gangster that my cousin became, their soul can finally find rest and peace. Ever since my cousin started leading that vicious gang, I knew they were no longer the loving individual I grew up with - that person was truly dead. You\'ve earned this reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '77', 'm11t', 'Stop violent gang');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '78', 'm12d', 'A band of crooks kidnapped my young son several weeks ago and demanded a ransom. Before it could be paid, my dear son, who suffered from a rare form of asthma, died while being held by the kidnappers. The band fled the area but I\'ve managed to track them down. I know they\'ll do this again to some other unlucky parent. Fortunately, I have the means to provide a substantial reward to anyone who can end the careers of these kidnappers and gain justice for my dead son. Will you accept?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '79', 'm12f', 'I will not rest until I have justice for my son. These murderers will not escape my vengeance for long.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '80', 'm12i', 'They have fled my vengeance yet again. I will find them one way or another.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '81', 'm12l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '82', 'm12o', 'A Vengeful Mother');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '83', 'm12s', 'You have my eternal gratitude. Now finally my son and I can find peace. Claim your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '84', 'm12t', 'Stamp out the kidnappers');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_gangster.stf', '85', 'number_of_entries', '12');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '1', 'm1d', 'Pirates are a plague on interstellar shipping. Those murderous thieves end up costing the Empire millions of credits each year, not to mention the resources necessary to hunt them down or the terrible loss of life their attacks incur. One way we can hit those pirates hard is by cutting their access to safe ports and hideouts. It\'s not easy to hide a spaceship, even the smaller fighters employed by some of these rogues. We know of several suspicious outposts big enough to contain landing bays. We need the help of upstanding citizens to blast these outposts to pieces. We compensate for results not attempts. Do you think you can help keep the star lanes safe?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '2', 'm1f', 'Wish we could pay you the money but your efforts don\'t quite merit that. Come back when you can finish the job.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '3', 'm1i', 'We\'re constantly updating this list so some of these coordinates may be bogus. Check back with us again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '4', 'm1l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '5', 'm1o', 'Imperial Office of Criminal Investigations');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '6', 'm1s', 'Good work, citizen. Keep at it and we\'ll keep paying you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '7', 'm1t', 'Take out the pirates\' landing bays');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '8', 'm2d', 'If pirates don\'t have working ships, they can\'t practice their despicable trade. We\'ve learned of several small storage facilities in the area that house a wide assortment of spare ship parts. We\'re fairly certain that these are pirate stashes, especially given the shady characters that are often seen guarding these places. Our own personnel are already stretched rather thin but the Empire has granted us additional credits to hire independent agents to help us take care of the pirate problem. We need someone to blast these facilities to atoms. You may encounter some armed resistance, but hey, these are dangerous criminals we\'re dealing with after all. Can you help?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '9', 'm2f', 'Leaving working parts in those structures does not help us stop pirates. No results, no rewards.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '10', 'm2i', 'Some of these coordinates may be incorrect. Our contacts were not certain which ones were legit and which were bogus. We thought we\'d check them all.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '11', 'm2l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '12', 'm2o', 'Imperial Office of Criminal Investigations');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '13', 'm2s', 'Pirate ships floating uselessly in space is an image we like, citizen. Good work in helping us to ground those marauding vessels.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '14', 'm2t', 'Blow up the pirates\' spare parts');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '15', 'm3d', 'Ever wonder where pirates store their ill-gotten goods, citizen? We\'ve discovered a few places and we need them destroyed. Our agents are too busy investigating murders and violent crimes to attend to this matter themselves so we\'ve decided to turn to you - the average upstanding citizen. We\'ll compensate you for every storage facility on our list that you blast to atoms. No questions asked, just go in blasting and take out anyone trying to stand in your way. We\'ll transmit the coordinates to you as soon as you accept.  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '16', 'm3f', 'Wouldn\'t exactly call that \"blasting the place to atoms.\" Guess we weren\'t clear, huh? Try again if you\'d like.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '17', 'm3i', 'We knew some of the coordinates on this list would be outdated. Comes with the territory of investigaion, I\'m afraid.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '18', 'm3l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '19', 'm3o', 'Imperial Office of Criminal Investigations');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '20', 'm3s', 'Job well done, citizen. The money is yours.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '21', 'm3t', 'Blast pirate\'s stash');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '22', 'm4d', 'A group of known pirates have started hanging around an abandoned settlement. That place is beginning to attract all manner of scum. We\'re fairly certain they deal glitterstim spice out of there and no telling what else. Can you imagine what sorts of other criminal activities are going on there even as you read this? We\'ve had enough. We want to hire someone to blast that den of thieves into oblivion. Do you think you can help us keep our communities free of these parasites? We\'ll send along the coordinates to the settlement as soon as we have your confirmation.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '23', 'm4f', 'Ever heard of stirring up a hornet\'s nest? You have to completely get rid of those things not just bang them up a bit.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '24', 'm4i', 'We\'ll check why our coordintes seemed to be bogus. Thanks for your help anyway.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '25', 'm4l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '26', 'm4o', 'Citizens for a Clean Tomorrow');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '27', 'm4s', 'That\'s showing them, citizen. Those space slugs will think twice about crossing our path. You\'ve earned your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '28', 'm4t', 'Demolish the pirates\' hangout');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '29', 'm5d', 'Those thieving pirates wouldn\'t be able to operate if it weren\'t for their fences. After all, it\'s not exactly as if those rogues could just traipse down to the local market with all their stolen goods, now is it? Those darn fences are just as culpable as the murderers they deal with as far as we\'re concerned. We\'ve tracked down a few of these \"blood money traders\" and want their operations terminated. Many of these fences are former pirates themselves who either have grown too old to continue their murderous careers or else suffered enough physical damage to force an early retirement. If we provide you with the locations of these fences, will you make sure they pay the price for dealing with these killers? Help us save innocent lives. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '30', 'm5f', 'If fences smell trouble they\'ll disappear and become quite difficult to find. You must execute a definitive strike, citizen, which you obviously did not do.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '31', 'm5i', 'These fences are slippery characters. Many of them may have paid informants to lie about their whereabouts.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '32', 'm5l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '33', 'm5o', 'Citizens for a Clean Tomorrow');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '34', 'm5s', 'If we make piracy unprofitable, perhaps it will end. You\'re certainly doing your part, citizen. Congratulations.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '35', 'm5t', 'Take out the fences');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '36', 'm6d', 'Like all vermin, pirates need holes they can crawl down into when they\'re in danger of being exterminated. We\'ve located some of these safehouses in our area and want these places blasted into oblivion. We\'re offering a decent reward to any citizen who can help us get rid of these vermin-infested places. If you think you\'ve got what it takes, accept this mission and we\'ll send you the coordinates to some of these wretched hovels. Help keep our streets clean!');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '37', 'm6f', 'If you don\'t completely destroy their refuge, the vermin just dig in deeper. We wish you could have been more successful, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '38', 'm6i', 'Some of those coordinates may be wrong, citizen, it\'s true. Just cross off the bad ones and check with us for the good ones. We appreciate your efforts.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '39', 'm6l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '40', 'm6o', 'Citizens for a Clean Tomorrow');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '41', 'm6s', 'As an Exterminator for Justice, citizen, you shine like a supernova. Keep up the excellent work and remember that your children will inherit this galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '42', 'm6t', 'Blast pirate\'s hideout');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '43', 'm7d', 'I lost my beautiful wife in a dastardly pirate raid a year ago. Since that time, I\'ve spent every waking moment and my entire fortune tracking down the pirate captain that led that cowardly attack. Now, I\'ve finally managed to track that blackguard down. The time for my dead wife\'s vengeance is at hand. How I wish I could be the actual instrument of that devil\'s demise but alas the attack that robbed me of my wife left me a physical wreck. That\'s why I need someone like you. Help me avenge my dear wife. Her voice cries out from beyond oblivion for justice. If successful, you will walk away with both my gratitude and a handsome reward. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '44', 'm7f', 'Will no one help my wife find eternal peace? Why is the galaxy so unfair? Why?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '45', 'm7i', 'That wretched space slug is more slippery than a fleek eel! I\'ll find where they\'ve slithered off to. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '46', 'm7l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '47', 'm7o', 'A Justice Seeker');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '48', 'm7s', 'My thanks, friend. I can now join my beloved wife wherever she may be. You\'ve helped two wayward souls find each other again. Farewell.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '49', 'm7t', 'Avenge a murder');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '50', 'm8d', 'Oh, a pirate\'s life is a terrible thing. That\'s right, I used to run in those villainous circles myself until the treacherous nature of the scum around me brought me to ruin and almost robbed me of my life. Now, as the tragic and tortured soul that I\'ve become, I seek only one thing - to make things right with the folks whose lives I so callously ruined. And I\'d like to start by bringing my former \"partner\" to justice. Aye, that womp rat is richly deserving of a painful and gruesome death (for all those innocents that were slaughtered by that devil, of course) and I hope to play some part in making sure those wrongs are redressed. I\'d attend to this matter personally, but you see I\'ve taken holy vows never again to shed blood again. But seeing as there are others in the galaxy not burdened by this noble stricture, I\'ve decided to offer a reward to anyone who can help me achieve my quest. I hope that someone is you, friend. Say aye and the coordinates to this putrid pile\'s hideout will be yours. Please, for the sake of the lost little ones, blast away at everything in sight. Bless you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '51', 'm8f', 'Hark! Do you hear that? Methinks it\'s the souls of the darling little ones crying out for vengeance and justice. A shame you couldn\'t satisfy their pleas.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '52', 'm8i', 'Those coordinates were wrong? Well blast! I bet my transmission was sabotaged by that devil. I\'ll-- I mean, we\'ll make them pay, won\'t we?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '53', 'm8l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '54', 'm8o', 'A Reformed Soul');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '55', 'm8s', 'Well struck, friend! Did you burn the place to the ground? Were there any of those murderous pirates inside the struture when it went up? Oh how I wish I could have heard the agonized screams of the unjust. Claim your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '56', 'm8t', 'Help avenge a betrayal');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '57', 'm9d', 'There\'s been a sudden increase of pirate activity in this sector. We investigated and discovered a secret refueling depot that those rogues had built to aid them in launching attacks from this system. We\'re in need of a professional problem solver to get rid of this refueling station so those criminals stop visiting our planet. There will be adequate compensation for the being who succeeds. Can you lend a helping hand, citizen?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '58', 'm9f', 'If the refueling depot is not gone, those pirates will just keep coming back. We\'re sorry you couldn\'t take care of this for us, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '59', 'm9i', 'We could have sworn that was the location of that depot. We\'ll cross-reference those coordinates with satellite control and see why there was an error. Check back with us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '60', 'm9l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '61', 'm9o', 'Imperial Office of Criminal Investigations');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '62', 'm9s', 'That should discourage those thieving vermin to steer clear of this system. Good work, citizen. Hope you decide to work for us again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '63', 'm9t', 'Take out the pirates\' refueling depot');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '64', 'm10d', 'An old starship repair shop was purchased recently by a newcomer. Didn\'t think much of it until we started getting reports of suspicious activity around the shop at odd hours of the night. After an investigation, we discovered that the newcomer is actually a former smuggler whose new career consists of serving as a mechanic to well-known pirates. Tragically, the contact who helped us discover this information paid for it with his life - we found him a few days ago stuffed in a crate of alluvial dampers. These murderers must be stopped and justice must be served. Can you help us put this criminal out of business, citizen?  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '65', 'm10f', 'This rogue will probably just resettle somewhere else now. A shame you couldn\'t have put these criminals out of business for good.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '66', 'm10i', 'Our contact sent us those coordinates. Maybe the pirates forced him to send an erroneous transmission before he was killed?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '67', 'm10l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '68', 'm10o', 'Imperial Office of Criminal Investigations');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '69', 'm10s', 'Good job, citizen. Justice is served today. We hope you decide to work for us again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '70', 'm10t', 'Take out pirates\' repair shop');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '71', 'm11d', 'In the event of his death, my master instructed me to transmit this request via the HoloNet to all available terminals. I am to send a generous amount of credits to the being that can successfully destroy a small landing bay, the coordinates to which I am to transmit upon receiving someone\'s acceptance of this mission. My master was not terribly specific as to why he wished this facility blasted to pieces but I do know that he ran with a rather \"dubious\" crowd. The security at our home is most impressive, which leads me to conclude he had a reason to fear for his life. A shame this security could not travel with him - he might still be alive had this been the case. In any event, if you think you can accomplish this task, distasteful though it might appear, please respond as soon as possible. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '72', 'm11f', 'Oh dear, I do not think I am able to send credits for failed attempts. I\'m awfully sorry about this. Perhaps you could try again?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '73', 'm11i', 'Did I send the wrong coordinates? Curse my metal body! I must have my memory circuits checked as soon as possible.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '74', 'm11l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '75', 'm11o', 'An Obedient Droid');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '76', 'm11s', 'Wonderful! I am now allowed to transmit the full amount of the reward to your account. My master would be so pleased... if he were still here. Oh dear...');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '77', 'm11t', 'Help the faithful droid');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '78', 'm12d', 'Pirates and smugglers are all the same - they should all be spaced! Just when I think it\'s safe to trust one of those slug-sucking rogues, they go and break my heart all over again. Well I can break things too, you know. I\'ll offer a reward to anyone that blasts that cheating \'s landing bay (with their precious ship still inside) into oblivion. We\'ll show those brutes they can\'t just walk all over any woman they want. We have feelings and passions, and those can be roused for both good and ill. If you were ever treated this way by someone, I\'m sure you\'ll lend a hand. I\'ll transmit the coordinates to the landing bay as soon as I receive a positive response. Consider this a strike for women all across the galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '79', 'm12f', 'I can only imagine that you enjoy the suffering of women otherwise you\'d have finished the job. You must be a man. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '80', 'm12i', 'I know I sent you the correct coordinates. Are you sure you\'re reading them correctly? Wait, you\'re not a man, are you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '81', 'm12l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '82', 'm12o', 'A Woman Scorned');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '83', 'm12s', 'Not only my gratitude but the gratitude of women throughout the galaxy goes with you. Thank you for helping us stand up to these heartbreaking rogues.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '84', 'm12t', 'Help avenge a scorned woman');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_pirate.stf', '85', 'number_of_entries', '12');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '1', 'm1d', 'These darn smugglers think they can stash their ill-gotten goods anywhere they darn please. Well they\'re wrong. A concerned group of citizens is willing to put up a reward to be claimed by anyone willing to blast these stashes to smithereens. These smugglers are cowards in any case, doubt they\'d put up much of a fight. You willing to give it a try, citizen? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '2', 'm1f', 'Well if you didn\'t blast the illicit cargo, you can\'t claim the reward, now can you? Better luck next time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '3', 'm1i', 'Those smugglers are shifty folk. We could have sworn there were stolen goods at those coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '4', 'm1l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '5', 'm1o', 'Citizens for a Clean Tomorrow');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '6', 'm1s', 'The Empire could use more upstanding folk like yourself. Claim your reward, citizen, you\'ve earned it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '7', 'm1t', 'Blast illegal stash');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '8', 'm2d', 'We\'ve found an old abandoned settlement that\'s currently being used by some local smugglers to store their stolen goods. The local authorities don\'t seem to care (they\'re busy chasing \"dangerous Rebels\"), which leaves this dirty work for us citizens. We\'re offering a reward to anyone willing to help get rid of this smugglers\' depot. Don\'t leave a single wall standing, citizen. You up for it?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '9', 'm2f', 'Looks like you left more than a few walls standing. Sorry, citizen - no results, no payoff.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '10', 'm2i', 'Well you can\'t expect us to know all of these smugglers\' hideouts, do you? They\'re oily folk, make no mistake.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '11', 'm2l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '12', 'm2o', 'Citizens for a Clean Tomorrow');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '13', 'm2s', 'Now those are results we can appreciate, citizen. Good work! The reward is yours.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '14', 'm2t', 'Remove smuggler\'s depot');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '15', 'm3d', 'We\'ve seen shady characters loitering around certain locations, and don\'t think we don\'t know what\'s going on. Smugglers have been known to frequent these parts and we all know what they do. We\'ve pinpointed one of these so called \"warehouses\" and need it blown to atoms, and we\'re willing to offer a reward to the citizen who\'ll take up the challenge. We won\'t stand for this sort of activity in our own backyards. Think you can help, citizen? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '16', 'm3f', 'Well I suppose we can\'t expect results from everyone. The reward will wait for the citizen that can carry this out.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '17', 'm3i', 'Hmm, strange. We could have sworn that warehouse was at those coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '18', 'm3l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '19', 'm3o', 'Citizens for a Clean Tomorrow');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '20', 'm3s', 'That\'s showing those hooligans, citizen. I bet those smugglers won\'t come around here no more. Don\'t spend that reward all in one place.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '21', 'm3t', 'Take out smuggler\'s warehouse');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '22', 'm4d', 'I remember when this neighborhood used to be a decent place for citizens to raise their families. Well a bad element has been moving into our community. Smugglers! They sweep in here with their bluster and charm and think we don\'t see exactly what they\'re up to? I got news for them - we know exactly what they\'re up to! I\'m willing to put up a reward to get a brave citizen to encourage these criminals to get out of town. There\'s a small hideout near here where these smugglers have been meeting. If someone could blast that place to atoms, that\'d send a strong signal to those ne\'er-do-wells. Think you can lend a hand, citizen?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '23', 'm4f', 'You didn\'t exactly run them out of town, did you? I suppose you get no reward. Thanks for nothing.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '24', 'm4i', 'They must have known the citizens were fed up with their shenanigans and moved on. Let\'s hope they don\'t come back.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '25', 'm4l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '26', 'm4o', 'A Concerned Citizen');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '27', 'm4s', 'That\'s giving them what for, citizen! Job well done! The reward money is yours, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '28', 'm4t', 'Encourage smugglers to leave');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '29', 'm5d', 'Some smuggler has been hanging about chatting with the neighborhood kids. No doubt they\'re encouraging our young ones to turn to a life of crime. We need a brave and upstanding citizen to help us drive this criminal out of our area. Here are the coordinates to this scoundrel\'s hangout. Several sustained shots from a heavy blaster ought to get the point across. Burn this hangout to ashes and you\'ll drive this womp rat out of its den. A reward awaits the citizen who accomplishes this.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '30', 'm5f', 'Now this scalawag will continue to lure our innocent ones into the criminal underworld. Thanks for nothing, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '31', 'm5i', 'The reprobate probably got wind of our plans and fled like the true coward they are. Well good riddance. Hope they stay gone.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '32', 'm5l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '33', 'm5o', 'Citizens for a Clean Tomorrow');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '34', 'm5s', 'Now our children have a shot at a clean future. Good work, citizen! This reward is but a small token of our esteem.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '35', 'm5t', 'Get rid of the smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '36', 'm6d', 'Why must smugglers always be attracted to areas where decent folk choose to live? I suppose they think they\'re less likely to be caught by the local authorities. Well I\'m going to prove them wrong. I\'m offering a reward to anyone brave enough to blast a local smuggler\'s haunt to atoms. I\'m a family man with young ones dependent on me, otherwise I\'d do the deed myself. Most of these types are cowards anyway and run at the first sign of trouble. Do you think you can help our community out, citizen?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '37', 'm6f', 'A cowardly smuggler was too much for you, eh? I suppose I can\'t expect everyone to be brave. Well, no loss for either of us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '38', 'm6i', 'Told you these smugglers were cowards. The criminal obviously has run away.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '39', 'm6l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '40', 'm6o', 'An Angry Citizen');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '41', 'm6s', 'See? Bet that coward gave you no troubles. The reward is yours, good citizen. You\'ve earned it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '42', 'm6t', 'Scare the smuggler away');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '43', 'm7d', 'These cheap smugglers think they can swagger into someone\'s life, charm that person with their devilish good looks and winning smile, use that innocent individual to further their own ends, and then dump that poor soul like a sack of bantha fodder when they\'re done. Well I have news for these heartbreakers - this is one poor soul that\'s striking back! I\'m willing to pay a handsome reward to the noble individual who helps defend a woman\'s honor. I know where this cheating smuggler has stashed their latest catch. It\'s worth quite a bit to them, which is why I want it burned to the ground. Can you take up this cause, citizen? Will you be my very own Jedi knight?  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '44', 'm7f', 'Some Jedi you turned out to be. I guess my rich reward will just have to go to someone more worthy. Looks like you miss out.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '45', 'm7i', 'I\'m certain I gave you the correct coordinates. Are you sure you\'re just not reading them wrong?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '46', 'm7l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '47', 'm7o', 'A Woman Scorned');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '48', 'm7s', 'Success, my Jedi! That cheating scum will think twice about using another woman again. I\'ll gladly pay my Jedi\'s reward. Can I see your lightsaber first?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '49', 'm7t', 'Avenge the scorned lover');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '50', 'm8d', 'I\'ve tried to reason with my cousin. I\'ve pleaded with them. I\'ve even threatened to go to the authorities. But all of this has yielded no results. They\'re still engaged in smuggling. Now, I must turn to more drastic measures. That\'s the only thing that will save my poor cousin\'s life. I know where they\'re keeping a small shipment of illegal weapons and if someone were to burn this hiding place to the ground, I\'m sure my cousin would realize the grave danger they\'re in and abandon their life of crime. Can you help me with this, citizen? There\'s a reward in it for you. Please try and spare my cousin, however. They\'re the handsome one with the winning smile. I\'d hate to see any harm come to them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '51', 'm8f', 'Now my cousin will only be encouraged to smuggle some more. Pooh! Why did you have to go and fail for?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '52', 'm8i', 'Maybe my cousin moved their stash? That wily trickster is certainly capable of such a cautious move.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '53', 'm8l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '54', 'm8o', 'A Desperate Relative');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '55', 'm8s', 'Hurray! Now I\'m certain my cousin will fly straight. Here\'s your reward. Oh, my cousin did survive? Right?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '56', 'm8t', 'Dissuade a smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '57', 'm9d', 'My \"partner\" has decided to cheat me out of my fair share of a recent haul. Not only did this scoundrel try to turn me in to the authorities, they told our friends that I was trying to sell all of them out. Payback time. I know where my former partner has been hiding out. I\'m willing to pay a fairly generous reward to anyone that takes a blaster to this hideout, hopefully while my partner is still inside. You want to help a wronged, hardworking soul even a score, citizen? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '58', 'm9f', 'I only said I\'d pay a reward for results. This ain\'t the \"results\" I was referring to. Sorry, pal, but no reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '59', 'm9i', 'That swindler seems to have made a getaway, eh? I\'ll track that slug down.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '60', 'm9l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '61', 'm9o', 'A Cheated Partner');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '62', 'm9s', 'You\'re a citizen after my own heart: efficient and ruthless. That reward is already yours.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '63', 'm9t', 'Even up a score');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '64', 'm10d', 'I\'m an even-tempered businessman who made a deal with a respectable transport captain - or so I thought at the time. This captain was to pick up certain valuables from one location and drop them off at another location. Simple, isn\'t it? This sort of business has been conducted without a hitch for hundreds of years. Well this \"captain\" ended up keeping these valuables rather than delivering them to the appointed location - a move which cost me a considerable amount of money. I believe this captain needs a lesson. So much so that I\'m putting up my own money as a reward to make sure this lesson is well taught. I have the coordinates to this captain\'s hangout and am in need of an enterprising individual with a very large blaster to collect this reward. Any comers?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '65', 'm10f', 'The lesson, I think you\'ll agree, was hardly \"well taught.\" I\'m not in the habit of rewarding failures.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '66', 'm10i', 'Looks like I\'ll have to spend some more time tracking this captain down. No matter, I\'m a patient businessman.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '67', 'm10l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '68', 'm10o', 'A Legitimate Businessman');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '69', 'm10s', 'Bravo, citizen. Well struck. I wish we businessmen has more access to honest, dedicated individuals like yourself. Makes for good business.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '70', 'm10t', 'Teach a lesson');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '71', 'm11d', 'I\'ve been at this damn smuggling business too long. I want out. But I can\'t do it alone. I\'m willing to pay someone to help \"retire\" me from this criminal life. I give the coordinates, you show up blasting away and asking no questions. Leave no evidence behind, no soul alive to talk about it. A simple, clean solution. What do you say? Can you do your part to rid the galaxy of a \"notorious space pirate?\" Cash awaits you if you do. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '72', 'm11f', 'Well no one will believe I\'m \"retired\" when my hideout wasn\'t blasted to atoms, now will they? Sorry, pal, you missed your chance for some easy money.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '73', 'm11i', 'I think I\'ve changed my mind about retiring. Sorry to have troubled you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '74', 'm11l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '75', 'm11o', 'A Tired Old Pirate');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '76', 'm11s', 'Good job, citizen. My \"retirement\" is in effect. Now I can turn my attentions to my real passion - professional dejarik player!');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '77', 'm11t', 'Help retire an old smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_easy_smuggler.stf', '78', 'default', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_giant_tatooine.stf', '1', 'm1d', 'I admit, my reputation is a little... tainted. The Imperials don\'t trust aliens to begin with, and I\'m an ugly Arconan, which only makes it worse. And there\'s the rumors that I\'m addicted to salt, or spend too much time in the Mos Eisley cantina sipping on juri juice. But I can tell you, I am one of the best scouts in the galaxy. To prove it, I\'ve located the lair of a rare and dangerous mutant creature. They don\'t get much bigger or meaner than this beast. There\'s a reward being offered for the lair\'s destruction. I\'ll pay you that, and more, if only so I can polish my reputation. But be warned: the creatures you\'ll be facing are the deadliest monsters on Tatooine. You might not survive, and even if you do, there\'s no telling what shape you\'ll be in.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_giant_tatooine.stf', '2', 'm1f', 'Maybe you\'re the one whose reputation needs a little polishing. I thought you were a capable fighter, but I guess my information was incomplete. Now, the Empire suspects me of passing out false scouting data in order to lure unsuspecting victims to their deaths.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_giant_tatooine.stf', '3', 'm1i', 'Perhaps I\'m not the scout I claim to be. Maybe it is time I admitted that my skills have atrophied. Too much time on Tatooine, or too many glasses of juri juice, I\'m not sure which. But, I do know that the information I gave you was incomplete, at best. You should stop wasting your time looking for any legendary \"giants.\" I\'m not sure they exist.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_giant_tatooine.stf', '4', 'm1l', 'An infamous scout has coordinates to the lair of a particularly vicious creature.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_giant_tatooine.stf', '5', 'm1o', 'Hem Dazon');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_giant_tatooine.stf', '6', 'm1s', 'It seems my information about the monster you\'d be facing was inaccurate. I thought it would prove a challenge, and that you\'d undoubtedly be killed. I guess I have a great deal to learn about Tatooine\'s local fauna, and your skills. But, my information about the lair\'s location proved entirely accurate. My instincts have never been sharper. Once the local Imperials hear that my data was on target, I\'m certain they\'ll be offering me steady work again. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_giant_tatooine.stf', '7', 'm1t', 'Scout\'s Honor');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_giant_tatooine.stf', '8', 'm2d', 'EMERGENCY TRANSMISSION!\n\nOrigin: SoroSuub Silicate Mining Crew 76, Tatooine\nPriority: Critical\n\nStumbled across monster lair... Giant mutant creatures on murderous rampage... Entire Crew dead... I am sole survivor! Send help!');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_giant_tatooine.stf', '9', 'm2f', 'The Executive Board of SoroSuub is aware of the emergency transmission that you recently received from one of our mining crews on Tatooine. We regret to inform you that the entire crew is dead and the monsters responsible for this carnage remain at large. Although we appreciate your concern for our employees, we will be dispatching our own recovery team to investigate the site. This matter is no longer your repsonsibility.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_giant_tatooine.stf', '10', 'm2i', 'The Executive Board of SoroSuub is aware of the emergency transmission that you recently received from one of our mining crews on Tatooine. This message was not intended for public consumption; a computer error allowed the distress call to appear on inappropriate channels. However, we can understand if you are concerned about the fate of Mining Crew 76. We can assure you that the crew has been evacuated to safety. We appreciate your concern, but this matter has been resolved without your aid.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_giant_tatooine.stf', '11', 'm2l', 'A mining crew has been attacked by monstrous creatures.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_giant_tatooine.stf', '12', 'm2o', 'SoroSuub Silicate Mining Crew 76');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_giant_tatooine.stf', '13', 'm2s', 'The Executive Board of SoroSuub would like to thank you for responding to the emergency transmission from Mining Crew 76. We believe that the entire crew is dead, but we are thankful that you have eliminated the threat. Now that the bloodthirsty monsters have been destroyed, we can send Mining Crew 77 to Tatooine to continue our search for valuable silicate ore. We are providing you with a sizable payment for your services, with the understanding that you will keep this entire incident confidential.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_giant_tatooine.stf', '14', 'm2t', 'Mining Crew Disaster');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_giant_tatooine.stf', '15', 'm3d', 'There\'s something in the water around here. Maybe it\'s all the radiation leaking from crashed starships and seeping into the ground. Whatever it is, it\'s causing the creatures to grow larger than should be natural. They\'re like monsters; big, violent, terrifying, bent-on-killing-all-of-us monsters. Now, they\'re even breeding. If we don\'t stop \'em, the monsters will rule the planet. \n\nFortunately, I\'ve found one of the irradiated lairs. The creatures pouring out of it are so big, it\'s mind-bending. You won\'t believe it... But someone with nerves of durasteel needs to face down these monsters. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_giant_tatooine.stf', '16', 'm3f', 'The giants are still on the prowl. I think they\'re getting larger, and hungrier. I\'ve heard stories of them eating whole eopie herds, leaving nothing but a handful of broken bones behind. Tatooine might belong to the monsters soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_giant_tatooine.stf', '17', 'm3i', 'Maybe it\'s radiation poisoning... The monsters have suddenly started dying off. They\'re just dropping dead in the sand. In a few days, they should be completely extinct. You can relax now; you won\'t be facing down those mutant creatures any time soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_giant_tatooine.stf', '18', 'm3l', 'Giant mutant creatures are running amok!');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_giant_tatooine.stf', '19', 'm3o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_giant_tatooine.stf', '20', 'm3s', 'Thank the Force! If you hadn\'t destroyed the irradiated lair of those giant mutants, the unnatural monsters would have killed every living creature on the planet. I\'m not sure how you managed such a heroic feat, but you should take great pride in your strength and skill.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_giant_tatooine.stf', '21', 'm3t', 'Mutant Creatures');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_giant_tatooine.stf', '22', 'm4d', 'I\'m such a fool! I\'ve allowed my position as Customs Inspector to be... compromised. I\'m not known for trusting anyone, but I need to trust you if I want to stay out of the spice mines. I admit, I can be bribed. I\'ve taken a few credits to grease the servomotors at the customs office. Usually, it\'s harmless. I\'ll let a few blasters or some illegal bacta shipments through, but I try to crack down on anything truly dangerous. But, a few seasons ago, I took a few hundred credits to let a group of Sullustan spacers bring a batch of genetically-engineered seedlings into Mos Eisley. I thought it was harmless: the plants couldn\'t hope to survive on Tatooine, the Sullustans were scheduled to depart the very next day, and I sorely needed the credits. Those wretched Sullustans betrayed me, though. They took the seedlings into the desert to see if they would grow, and they did. It wasn\'t long before the plants were eaten by local creatures, and those vermin were in turn eaten by other, larger beasts. But the mutant plants caused a genetic malfunction in everything that ate them. Now, the desert is home to dozens of giant, monstrous animals. They can kill virtually anything they encounter.\n\nThis is my mess, and I intend to clean it up. I can\'t go to the Imperials, of course, so you\'re my only option. We need to destroy the creatures, and their lairs, before they can reproduce. If the Imperials discover the source of these monsters, I\'ll be executed, or worse.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_giant_tatooine.stf', '23', 'm4f', 'I was a fool for trusting the Sullustans, and an imbecile for trusting you. Those Sullustans released a genetic storm, and you failed to contain it. It\'s only a matter of time before the Imperials deduce how these monsters were created. I\'m not long for this planet.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_giant_tatooine.stf', '24', 'm4i', 'The genetic mishap that created the monsters running rampant on Tatooine has also weakened their genetic code. It\'s remarkable, but the creatures are dissolving into pools of bubbling flesh and disintegrating bones. They can hardly attack any cities if they can\'t even walk. My future, it seems, is secure. Unfortunately for you, I don\'t need any mercenaries to help clean up this mess. You are free to seek other work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_giant_tatooine.stf', '25', 'm4l', 'Genetically-altered monsters are roaming Tatooine.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_giant_tatooine.stf', '26', 'm4o', 'Putten Beatus, Mos Eisley Customs Inspector');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_giant_tatooine.stf', '27', 'm4s', 'Nothing is ever as it seems. Those genetically-altered seedlings appeared harmless. The Sullustans appeared trustworthy. And you appeared to be just another worthless mercenary wandering the Outer Rim in search of work. Now, I grudgingly admit that you are much more than you first appeared. You\'ve done well. The plague of monsters has been ended, at least for now, and Prefect Talmont will be none the wiser. Your reward is well-earned.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_giant_tatooine.stf', '28', 'm4t', 'Genetic Mishap');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_giant_tatooine.stf', '29', 'm5d', 'Tatooine is beset by a new and more terrifying threat. In seasons past, we only had to content with Tusken Raiders, rabid womp rats, and berserk krayt dragons. Now, we face a new species of enormous, mutant creatures. We don\'t know where they came from, or why they\'ve chosen now to surface, but they have already killed an untold number of moisture farmers and other innocent civilians. Go forth and kill these creatures wherever they might be found! Wipe out their lairs and ensure that none survive to hunt us further!');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_giant_tatooine.stf', '30', 'm5f', 'The giant creatures continue to be a major threat on Tatooine! No one has come forward to stop these monsters, and their lairs remain intact. Worse still, the death toll continues to climb. By season\'s end, these beasts will have claimed well over a hundred lives.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_giant_tatooine.stf', '31', 'm5i', 'The Empire, in all its infinite wisdom, has sent a team of highly-trained specialists into the desert to deal with these \"monsters.\" While Imperial forces claim that we are overreacting to the situation, we know that these beasts must be stopped. Fortunately, it appears that the stormtroopers can handle the deed. We\'re certain you\'ll find other work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_giant_tatooine.stf', '32', 'm5l', 'Unexplained giant monsters are killing innocent victims on Tatooine.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_giant_tatooine.stf', '33', 'm5o', 'Tatooine Civilian Defense League');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_giant_tatooine.stf', '34', 'm5s', 'You\'ve vanquished the monsters and avenged so many senseless deaths. Every man, woman, and child who perished in the jaws of those monsters can now rest peacefully, knowing that the creatures will not soon return to plague the planet. Thank you for helping to make Tatooine slightly safer');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_giant_tatooine.stf', '35', 'm5t', 'Marauding Monsters');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_giant_tatooine.stf', '36', 'number_of_entries', '5');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_krayt_tatooine.stf', '1', 'm1d', 'When I was a boy, my father used to tell me stories about Old Yellow Scale, the largest and most dangerous krayt dragon to ever wander Tatooine. Our land was part of Old Yellow Scale\'s territory, and he would sometimes eat our banthas or smash a moisture vaporator. But for the most part, he ignored us, and we left him alone. But all things must eventually become one with the Force, even Old Yellow Scale. He collapsed and died a few seasons ago, and now something even more dangerous has taken his place. \n\nI guess krayt dragons can smell when one of their kind dies. Almost immediately after Old Yellow Scale perished, other krayts began invading his territory. These new krayts are reckless and voracious. They\'ve done more damage in just a few short seasons than Old Yellow Scale did in his whole life. I don\'t have the weapons or training to go out and kill a krayt dragon, but I have located the lair of at least one of these monsters. In memory of Old Yellow Scale, go out and destroy the interlopers.  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_krayt_tatooine.stf', '2', 'm1f', 'Every time one of the invading krayt dragons kills someone, it reminds me how lucky we were to have Old Yellow Scale roaming the area. Sure, he would up and eat a lone traveler or moisture farmer every dozen seasons or so, but these new krayts are out of control. The death toll is rising fast. And I just keep sending \"hired heroes\" marching right into the jaws of these monsters... But I don\'t know how else to stop the creatures.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_krayt_tatooine.stf', '3', 'm1i', 'I\'m not sure what\'s happening, but it seems that the krayts are finally turning on one another. I can only assume that the dragons have been fighting over the territory. But looks like one has chased the others away. We\'ve started calling him \"Black Tongue,\" and he seems content to hunt banthas and eopies. As long as Black Tongue keeps the other krayt dragons out of the area, we should be safe... ');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_krayt_tatooine.stf', '4', 'm1l', 'The death of an ancient krayt dragon has opened up his former hunting grounds to reckless and dangerous rivals.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_krayt_tatooine.stf', '5', 'm1o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_krayt_tatooine.stf', '6', 'm1s', 'Thank the Force! I was certain that those of us living in Old Yellow Scale\'s territory would be forced to move away. The upstarts were causing far too much death and destruction. At least now the number of dragons in the area has been thinned a bit. Hopefully, one of the survivors will drive the others away and become Old Yellow Scale\'s successor.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_krayt_tatooine.stf', '7', 'm1t', 'Interlopers');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_krayt_tatooine.stf', '8', 'm2d', 'It\'s my job to take care of Jabba the Hutt\'s pets. I feed \'em, and clean their cells, and try to train \'em if they\'re smart enough to learn anything. Usually, I don\'t get too attached, because sooner or later, all of Jabba\'s pets end up dead. But right now, Jabba has a rancor that just seems special. It will attack anyone, except me. I think it knows that it needs me to take care of it.\n\nThe problem is, Jabba likes to see creatures fight. He can invite all of his \"friends\" to the palace to gamble on the fight. He\'s put my rancor up against zucca boars, dune lizards, gundarks, and even another rancor. I didn\'t worry about any of these fights: I knew my rancor could take care of almost any challenger. But now, Jabba is talking about dropping a krayt dragon into the rancor pit. That\'s one fight I don\'t think my rancor can win. Jabba already has a few hunters out looking for a krayt to capture, and I\'ll do anything to make it harder for them to find a dragon. I paid Bib Fortuna to tell me where to find the nearest krayt dragon lair. If you destroy it, then those hunters will have to go looking somewhere else, and they might not ever come back. Then my rancor will be safe. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_krayt_tatooine.stf', '9', 'm2f', 'Stupid mynock... How hard is it to destroy a pile of rocks? Or kill a giant lizard? You can\'t do anything right. And as long as that krayt dragon cave is still out there, my rancor is in danger.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_krayt_tatooine.stf', '10', 'm2i', 'Jabba has changed his mind about putting my rancor up against a krayt dragon. I guess he\'s having more fun feeding slaves and those dumb Gamorreans to the rancor, at least for now. Since he\'s called off the hunters looking to capture a krayt, I should probably save my credits and keep you from destroying the krayt lair.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_krayt_tatooine.stf', '11', 'm2l', 'Malakili, Jabba\'s rancor-keeper, is hiring hunters to help protect his favorite pet from a confrontation with a krayt dragon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_krayt_tatooine.stf', '12', 'm2o', 'Malakili');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_krayt_tatooine.stf', '13', 'm2s', 'Good work. You smashed up that lair pretty good. Now I think my rancor will be safe. At least until Jabba decides to put the rancor up against a giant rock mite, or a Jedi, or something even worse...');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_krayt_tatooine.stf', '14', 'm2t', 'The Big Fight');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_krayt_tatooine.stf', '15', 'm3d', 'The Tatooine Civilian Defense League is extremely concerned about reported sightings of krayt dragons near large population centers. The krayts are huge, voracious predators. A grown man can stand upright in their open jaws, and their claws are like swords. Worse still, they continue to grow as they age, becoming more powerful and dangerous with each passing season. Therefore, we need to hunt down these monsters as soon as they are spotted. If we can kill the young krayts before they become a threat, life will be much safer on Tatooine.\n\nThe Tatooine Civilian Defense League has found a krayt dragon lair that might be harboring a young krayt dragon and her offspring. This lair needs to be destroyed immediately, or the krayts will mature and murder scores of innocent beings.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_krayt_tatooine.stf', '16', 'm3f', 'Your mission has failed. You will not be receiving payment from the Tatooine Civilian Defense League.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_krayt_tatooine.stf', '17', 'm3i', 'The Tatooine Civilian Defense League has learned that the krayt dragon you were hunting has inexplicably disappeared. It may have fallen victim to the elements, another krayt, or hunters hired by Jabba the Hutt. Whatever the case, your services are no longer needed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_krayt_tatooine.stf', '18', 'm3l', 'A spike in reports of krayt dragon sightings has prompted Tatooine authorities to hire adventurers to kill the monsters.  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_krayt_tatooine.stf', '19', 'm3o', 'Tatooine Civilian Defense League');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_krayt_tatooine.stf', '20', 'm3s', 'Your mission has been completed successfully! The Tatooine Civilian Defense League will transmit payment immediately. Thank you for your service.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_krayt_tatooine.stf', '21', 'm3t', 'Krayt Dragon Hunters');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_krayt_tatooine.stf', '22', 'm4d', 'Transmission Translated from Jawaese for you convenience!\n\nGreetings Non-Jawa!\n\nJawa clan is in frightening, terrible, imminent danger! Enormous, huge krayt dragon has attacked Jawa sandcrawlers! Jawas being consumed, eaten, killed by krayt! Some Jawas have been swallowed whole! Jawas on verge of extinction. Please damage and destroy krayt dragon lair before Jawas are all dead!\n\nEet Ptaa, Jawa Clan Leader  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_krayt_tatooine.stf', '23', 'm4f', 'Transmission Translated from Jawaese for you convenience!\n\nJawas still killed, mutilated, eaten by krayt dragons! Horrible, violent death awaits us all! You did not help the Jawas, you will not receive any credits!');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_krayt_tatooine.stf', '24', 'm4i', 'Transmission Translated from Jawaese for you convenience!\n\nVicious, horrible, ugly krayt dragon has suddenly stopped killing Jawas! It has moved away, to kill, mutilate, eat Tusken Raiders! Jawas rejoice, celebrate! But you were not the Jawa hero. You will not receive our Jawa credits.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_krayt_tatooine.stf', '25', 'm4l', 'Jawas from a nearby clan are being killed by a krayt dragon and need help battling the monster.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_krayt_tatooine.stf', '26', 'm4o', 'Eet Ptaa');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_krayt_tatooine.stf', '27', 'm4s', 'Transmission Translated from Jawaese for you convenience!\n\nMost exalted hero of the Jawas! We chear your name from First Dawn to Second Dusk! You have made the desert safe, welcoming, home to the Jawas. We will now pay you a sizable, big reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_krayt_tatooine.stf', '28', 'm4t', 'Krayt Prey');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_krayt_tatooine.stf', '29', 'm5d', 'Greetings friend! This is your lucky day! I am Mat Rags, the greatest hunter who has ever lived. Though I may be old, I am still deadly accurate with my Scalphunter 55x projectile rifle, and I can track down any creature, from mutant womp rats to blood-thirsty dewbacks. I have spent most of my life here on Tatooine because the hunting is unparalleled. But, I am getting bored. Fortunately for you, during my last hunt I spotted a krayt dragon lair. I could easily kill this creature myself, but I\'m willing to let someone who doesn\'t have my sterling reputation take it down. Destroying the krayt\'s lair will make your career, if you survive. Good luck! ');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_krayt_tatooine.stf', '30', 'm5f', 'Oh, my friend, you have failed miserably! The krayt dragon\'s lair is still intact, and now the monster is angry. I would go take care of it myself, but I\'m wanted on Corellia to deal with some nasty slice-hounds. Hopefully, someone with skills comparable to my own will step forward and deal with any krayts that you\'ve left behind.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_krayt_tatooine.stf', '31', 'm5i', 'Good news, my friend! I decided that my old bones needed some exercrise, so I struck out into the desert and destroyed that krayt dragon lair. You might hear someone else trying to take credit for the deed, but it was I, Mat Rags, who drove the krayt dragons away. I know I stole your thunder, but I got restless. Better luck next time. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_krayt_tatooine.stf', '32', 'm5l', 'A local hunter has identified a krayt dragon\'s lair that needs to be destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_krayt_tatooine.stf', '33', 'm5o', 'Mat Rags, Tatooine\'s Greatest Hunter');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_krayt_tatooine.stf', '34', 'm5s', 'Congratulations, my friend! You are indeed a fine hunter. Your skills aren\'t as impressive as my own, of course, but you have faced the krayt dragon and survived! That is a quite an accomplishment and you should be proud. I\'ve already told all my friends about you, my apprentice who killed the desert\'s most dangerous monster!');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_krayt_tatooine.stf', '35', 'm5t', 'Congratulations, my friend! You are indeed a fine hunter. Your skills aren\'t as impressive as my own, of course, but you have faced the krayt dragon and survived! That is a quite an accomplishment and you should be proud. I\'ve already told all my friends about you, my apprentice who killed the desert\'s most dangerous monster!');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_creature_krayt_tatooine.stf', '36', 'number_of_entries', '5');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '1', 'm1d', 'A major Black Sun glitterstim lab, responsible for supplying the dealers of several systems, has been located by Imperial Intelligence. These crooks are so well-connected, however, that any signs of an organized attack by either law enforcement or the Imperial Military would scatter them throughout the sector. We need to insure this facility is hit hard and put out of commission for good. A select team of highly skilled independent agents ought to be able to take this refinery out. It will be heavily guarded and anyone succeeding will likely earn the emnity of Black Sun, but removing the lab would be a huge step in eliminating glitterstim dealing in this sector. Naturally you\'ll be generously rewarded for your time and efforts. Do you accept?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '2', 'm1f', 'Black Sun will not take kindly to one of their interests being attacked. I hope you\'re good at keeping an eye out for assassins and bounty hunters. Too bad you can\'t claim your reward from us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '3', 'm1i', 'Black Sun must have bribed someone in Intelligence to give us false coordinates. We\'ll have to elevate this issue to a higher authority.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '4', 'm1l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '5', 'm1o', 'Imperial Office of Criminal Investigations');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '6', 'm1s', 'Bravo, agent! Your results never cease to impress us. We\'re glad to employ an agent as effective as you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '7', 'm1t', 'Destroy glitterstim lab');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '8', 'm2d', 'We\'ve located the hideout of a local branch of the notorious swoop gang, the Shadow Angels of Dathomir. These creeps move fast once word reaches them that the authorities are on their way. This is a job for a small group of skilled and dedicated agents. The right strike team can blast this hideout and all of those vicious criminals to pieces before they had a chance to even look around. We\'ll pay a handsome reward for the successful completion of the mission. These gangsters are tough customers, though, so the agents who accept this mission should be highly trained and experienced in dealing with these types of situations. The coordinates will be sent upon the acceptance of the mission. Can we count on you?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '9', 'm2f', 'That gang will be spread throughout the Outer Rim by now. It\'ll take us months or years to track them all again. It\'s too bad you failed, agent.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '10', 'm2i', 'Those coordinates were tampered with. We\'ll investigate, agent. Please report back to us later.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '11', 'm2l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '12', 'm2o', 'Imperial Office of Criminal Investigations');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '13', 'm2s', 'These gangs are always braver in packs and even then they can\'t put up a good fight when confronted with talent like yours? Job well done, agent. That reward is going to the right individual.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '14', 'm2t', 'Destroy swoop gang\'s hideout');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '15', 'm3d', 'Jabba\'s swoopers think they can move into any system they like and stake their claim, regardless of what other hard-working criminals are already in the area? Not while I have something to say about it. Big Gizz is wanting to expand his organization beyond Mos Eisley at the expense of my interests. I need a hardy band of skilled assassins to show these new \"branches\" of that cretin\'s gang that the galaxy is a dangerous and treacherous place. I transmit the coordinates to the gang\'s new hideout when you accept, and I pay a very generous reward when they\'re gone. Sound like a deal?  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '16', 'm3f', 'You let them live? How am I supposed to convince that slug Jabba that he can\'t muscle into someone else\'s territory whenever he wishes if my assassins can\'t do their jobs properly? It\'s hard running a criminal empire sometimes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '17', 'm3i', 'My sources must have gotten those coordinates wrong. Check back with us after I\'ve had a \"talk\" with my sources.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '18', 'm3l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '19', 'm3o', 'Lady Valarian');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '20', 'm3s', 'Chew on that, Big Gizz! Way to go, killer. Jabba will soon learn your name. That may be good or bad depending on how spicy you like life to get. Here\'s your money. Don\'t spend it all in one joint.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '21', 'm3t', 'Take on Jabba\'s swoop gang');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '22', 'm4d', 'An illegal weapons manufacturing facility has been located by Intelligence. We believe it may be run by Black Sun. Many of the weapons bought and sold by gunrunners come from facilities just like this one. We need an experienced strike team to go in there and blast that installation into so much space debris. If you\'ve worked for us before, you\'ll know that our rewards are very generous but we expect results. These creeps will be well-armed, if nothing else, and will also likely be some of the best muscle Black Sun has to offer. Can you help us close this case?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '23', 'm4f', 'They\'ll probably abandon the facility and take as many weapons with them as possible. It would have been better for everyone if you\'d been able to destroy the facility and the criminals inside. No reward for you, I\'m afraid.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '24', 'm4i', 'We\'re trying to figure out the disconnect. Either Intelligence\'s reports were tampered with at the source or once they got to our office. We\'ll investigate further.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '25', 'm4l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '26', 'm4o', 'Imperial Office of Criminal Investigations');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '27', 'm4s', 'Wonderful! Less deadly weapons in the hands of criminals means less risk for our law enforcement agents. We need more agents like you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '28', 'm4t', 'Destroy weapons making facility');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '29', 'm5d', 'The vicious group of criminals behind one of Black Sun\'s major protection rackets has been discovered by Intelligence. They apparently operate out of a fairly well-guarded stronghold and fear nothing short of a full Imperial Military strike. They\'d get away long before such a strike could be organized and executed, however, so we would rather hire a small but experienced strike team to take care of those rogues for us. We believe that this group answers to Vigo Green, but cannot verify that information as of this date. We\'ll transmit the coordinates to the team leader that accepts this mission. Our standard reward for this type of mission is in the offering as well. Do you think you can tackle this operation?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '30', 'm5f', 'The job was for someone to wipe this nest of parasites out. If you didn\'t do that, we can\'t exactly pay the reward for the job, now can we?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '31', 'm5i', 'Those coordinates were not good? Are you sure you read them correctly? We can try to retransmit them if you report back to us again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '32', 'm5l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '33', 'm5o', 'Imperial Office of Criminal Investigations');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '34', 'm5s', 'Excellent work, agent. This victory will make life easier for hundreds of merchants in this sector. Always a pleasure to work with a professional like yourself.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '35', 'm5t', 'Take out protection racket');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '36', 'm6d', 'Black Sun maintains several medical facilities that are open to any of their operatives. You can imagine how hard it would be for assassins, gangsters, and other criminals to get medical attention at their local clinics after a battle with local authorities. These facilities were created to answer that particular dilemma. We\'ve located one of these centers and need it removed. We cannot afford to let these criminals patch themselves up after a scrape with our agents. These facilities are also used for major procedures like face reconstruction, to hide the identity of various underworld agents, and it\'s even suspected that some contain cloning technology. We need someone to gather a small strike team of experienced agents to hit this installation. The standard rewards will be offered for this type of work. Do you think you can undertake this mission? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '37', 'm6f', 'I\'m afraid the deal called for the destruction of this entire facility. No results, no payoff. It is a darn shame, we know.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '38', 'm6i', 'We\'re checking why those coordinates were inaccurate. Might have been a glitch in our system.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '39', 'm6l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '40', 'm6o', 'Imperial Office of Criminal Investigations');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '41', 'm6s', 'Good work. The last thing we need are clones of infamous criminals running around causing havoc. Great way for crime lords to create the appearance of being \"untouchable.\" You\'ve earned this reward, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '42', 'm6t', 'Take out criminal hospital');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '43', 'm7d', 'Intelligence has managed to pinpoint the location of one of Jabba\'s major munitions depots. These weapons supply gunrunners in this and several adjoining sectors. Jabba\'s spies are scattered throughout our organization, however, and we suspect that any communiques between us and the Imperial Navy would be intercepted and transmitted to Jabba\'s people. That would give those thugs plenty of opportunity to vacate the premises. Stealth is important so we need a small team of agents to infiltrate that depot and blow it to bits. It will be very well defended as Jabba makes quite a bit of money off his gunrunning operations. We\'ll reward a job well done, of course. Are you the agent we\'re looking for? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '44', 'm7f', 'We said we\'d reward a job well done. We think anyone would agree that your effort was nothing of the sort. We\'ll be more careful with our agent selection in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '45', 'm7i', 'See what I mean about spies everywhere? Someone sabotaged these coordinates. We have our work cut out for us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '46', 'm7l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '47', 'm7o', 'Imperial Office of Criminal Investigations');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '48', 'm7s', 'You certainly are fearless, aren\'t you? You\'ve gained a powerful enemy, we fear, but also a very influential friend. Congratulations on your success.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '49', 'm7t', 'Wipe out Jabba\'s munitions depot');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '50', 'm8d', 'One of Black Sun\'s cadre of assassins has converted an abandoned mining installation into a stronghold specializing in training future killers. We can\'t afford to let this assassin academy continue to operate. We\'re offering a substantial reward to the strike team that can pull this off. Attacking a facility like this is no small matter. Some of the galaxy\'s deadliest guns are to be found there, not to mention state-of-the-art defenses. However, if you want to make a name for yourself, then wiping this installation out offers a great opportunity to do so. You feel like making history, agent?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '51', 'm8f', 'You didn\'t pull this one off exactly, did you? Well, we knew it would be hard and many of us suspected it would be too much for you. Too bad you couldn\'t prove us wrong.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '52', 'm8i', 'Makes sense that an assassin\'s training fortress would be hard to pinpoint. We\'ll see about getting the correct coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '53', 'm8l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '54', 'm8o', 'Imperial Office of Criminal Investigations');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '55', 'm8s', 'Now that was something. You should be working for Imperial Intelligence\'s Burea of Operations, agent. Excellent job. You\'ve definitely earned this reward. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '56', 'm8t', 'Take out assassin\'s HQ');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '57', 'm9d', 'Some incredibly shortsighted former members of my organization have decided that they\'ve \"outgrown\" me. As if refining high quality glitterstim spice was child\'s play and a career anyone could just jump into. Where do these thugs get their ideas? We need a specialized team of agents to help us teach these misguided rogues a serious lesson. The refining facility must be blown to atoms, and everyone inside must be vaporized. This is the lesson we must teach. Black Sun always makes things \"worth someone\'s time\" so do not worry on that account. Do you wish to get into our good graces?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '58', 'm9f', 'Wow, you really blew that, huh? Are you always this incompetent or is this a recent occurrence? We ask this with the greatest of respect, of course.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '59', 'm9i', 'Someone is trying to protect these rogues. We\'ll get to the bottom of this.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '60', 'm9l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '61', 'm9o', 'Black Sun: Vigo Clezo');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '62', 'm9s', 'It\'s operatives like you that allow a businessman like myself to sleep peacefully at night. Bravo. The reward and my gratitude are yours.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '63', 'm9t', 'Take out spice refiners');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '64', 'm10d', 'The Illustrious Jabba wishes to employ a small team of dedicated killers to help him teach a rival an important lesson in courtesy. Mighty Jabba does not consider it courteous for said rival to make attacks on his swoopers, regardless of where they choose to go. My lord\'s interests are wherever he chooses to put them and in all cases Jabba\'s claims to a region should always take precedence. Now Jabba requires that one of his rival\'s strongholds be obliterated, along with everyone inside. If you consider yourself the type of agent Jabba prizes most, fearless and inventive, then you should accept this mission and endeavor to please the powerful Jabba. His generosity extends beyond the money you\'ll receive for the completion of this mission. What is your answer?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '65', 'm10f', 'Mighty Jabba is most displeased by your failure. There will be no reward and if you\'re lucky that will be the end of it. Think carefully before accepting another mission from us again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '66', 'm10i', 'That stronghold is there, you must look more carefully. What sort of scum are you if you can\'t even find a fortress?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '67', 'm10l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '68', 'm10o', 'Bib Fortuna');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '69', 'm10s', 'Jabba is pleased with your results. The mone is yours. Seek us out again in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '70', 'm10t', 'Destroy one of Valarian\'s strongholds');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '71', 'm11d', 'A foolish Vigo\'s sublieutenant involved with our profitable glitterstim trade has been skimming credits off the top of all our distribution. I\'m not sure exactly why they thought we wouldn\'t notice. Needless to say, this matter must be redressed immediately. We don\'t want to risk an open war with the other Vigos so this situation must be handled by independent operatives and it must be made to look like a hit by pirates trying to make off with shipments of spice. The reward will be more than adequate for this job but will only come if the sublieutenant\'s stronghold is completely obliterated. This scum is tough so whoever accepts better go in blasting. We\'ll transmit coordinates when we have your acceptance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '72', 'm11f', 'Failure is never rewarded by Black Sun. In fact, in certain situations it is punished harshly. I\'d make myself scarce if I were you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '73', 'm11i', 'The sublieutenant must have been tipped off. Someone from inside Black Sun helped that slug. We\'ll find out who and take care of it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '74', 'm11l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '75', 'm11o', 'Black Sun: Vigo Perit');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '76', 'm11s', 'Results we can see will always lead to bigger and better assignments. Good work, agent. You may have a future with Black Sun. Perhaps even rise to the level of Vigo yourself.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '77', 'm11t', 'Take out cheating spice dealer');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '78', 'm12d', 'Independent thought is wasted on assassins. First, they get used to everybody doing what they say. Then they fall victim to the lure of millions of credits passing through their hands. Next thing you know, they think they can run the operation better than their superiors. They get these warped visions of bumping off the boss and lots of smiles and handshaking and pats on the back... The job of a Vigo is not an easy one, my friend. \n\nWe need some skilled assassins to take out some skilled assassins. Unlike your targets, we hope that you and your team know your place in the universe and accept it. Last thing we need is more killers who think they should be running things. A substantial reward awaits the successful removal of these upstarts. You accept the mission and we\'ll tell you where you and your team need to go. We hope you won\'t mess this up. We\'ve had too much of that recently in our organization.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '79', 'm12f', 'Didn\'t I tell you that the job of a Vigo was not an easy one? Now I have to deal with this failure in addition to still having those rogue assassins to deal with. How I long for the \"good old days\" when earning a dishonest credit was much easier.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '80', 'm12i', 'They weren\'t at those coordinates? Hmm, strange. Someone on the inside is helping those slugs out. Report back to us at a later time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '81', 'm12l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '82', 'm12o', 'Black Sun: Vigo Durga');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '83', 'm12s', 'Well handled. You and your team are glowing examples of what hired killers should be: obedient and efficient. Claim your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '84', 'm12t', 'Hit the hitmen');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_gangster.stf', '85', 'number_of_entries', '12');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '1', 'm1d', 'These pirates are almost as bad as those hotshot smugglers. If any of these rogues get the tiniest drop of notoriety, it goes straight to their heads. Suddenly they think they can set their own rules, do whatever they like, and ignore their benefactors. The result is nothing but headaches and work for us, but it also means good fortune for independent agents like yourself. We need a pirate band taken down. They\'ve become too much of a liability for our organization and must now be squashed. A small elite team of troubleshooters ought to be able to take care of this situation with little trouble. If you\'ve worked for us before, you know our pay is quite generous. If this is your first time, then prepare to be pleased when all this mess is settled. We\'ll send the coordinates to the pirate\'s lair upon receiving your acceptance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '2', 'm1f', 'Angry pirates are even more of a nuisance than cocky ones. What a bother this has become. Your results have left us quite non-plussed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '3', 'm1i', 'We rarely get these sorts of things wrong. Someone must be aiding those pirates, possibly a slicer. Check back with us later and I\'m sure we\'ll have this cleared up.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '4', 'm1l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '5', 'm1o', 'Black Sun');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '6', 'm1s', 'Excellently done, agent. Your resourcefulness is most inspirational - a shining example to hired guns throughout the galaxy. Enjoy your lucre.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '7', 'm1t', 'Remove the thorn');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '8', 'm2d', 'When pirates are hired to perform a job, they should stick to it regardless of the consequences. What\'s happening to professionalism in our circles? A renegade band of pirates has decided that they can keep the credits given to them for the performance of certain duties regardless of whether those duties were adequately performed or not. It is my responsibility to teach these slugs a lesson. I\'m offering a reward to the team of hired killers that can infiltrate this band\'s base and blast it (and them) to pieces. If you accept, you\'ll be told where to go. These pirates are not likely to go down without a fight, so I\'d blast first and ask questions later if I were you. Do you think you could take care of this problem for me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '9', 'm2f', 'Was the story of the incompetent pirates lost on you? You weren\'t trying to go for a sense of irony, were you? Why do I get the galaxy\'s clowns working for me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '10', 'm2i', 'There was a glitch in our transmission. We\'ll get it fixed and you can try again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '11', 'm2l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '12', 'm2o', 'Black Sun: Vigo Clezo');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '13', 'm2s', 'Good to see that some scum still care about professionalism. Good for you. Come look me up again when you need more work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '14', 'm2t', 'Help clean out the pirate gene pool');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '15', 'm3d', 'I\'ve yet to meet someone who got into trouble by sticking to doing what they do best. It\'s only when a few malcontents, not happy with the status quo, try to do something different that we get problems. Or at least I do. Pirates aren\'t freedom fighters, right? You know that, I know that, everyone knows that. Pirates are thieves and murderers. That\'s what they do. And that\'s exactly what I need a small team of hired guns to explain to some former associates who\'ve got it in their heads to help the Rebellion. Not on my watch. These scum think they can wipe their past clean by helping some moisture-farmers-turned-Rebels get themselves slaughtered by stormtroopers? Their case of sudden conscience is costing me too much money. Accept the job and I\'ll tell you where you need to go. Leave no walls standing. I want to make sure this conscience-acquiring is not contagious.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '16', 'm3f', 'This is not what you do best, is it? Did you used to cook or fix ships for a living? Maybe you should go back to that.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '17', 'm3i', 'We sent you the correct coordinates, buddy, I\'m sure you\'re just reading them wrong. Sheesh, why does this have to be so hard?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '18', 'm3l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '19', 'm3o', 'Black Sun: Vigo Green');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '20', 'm3s', 'Finally, someone who knows what they\'re good at and stick to it. A long, happy life will likely be yours, friend. Come see me again soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '21', 'm3t', 'Destroy pirates with a case of conscience');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '22', 'm4d', 'One of the galaxy\'s most notorious and bloodthirsty band of pirates has fallen for our trap. They took some bait we offered and raided a ship full of tainted cargo. We planted undetectable homing beacons inside that cargo and now the pirates have led us right back to their lair. Their base sensors are rather sophisticated, however, so they would detect the approach of Imperial cruisers and escape into space before we could strike. We need a team of highly skilled and experienced agents to land near their base and take it out. The pirates would not react to the arrival of a standard transport as they\'re used to monitoring that sort of activity in their system. Are you the sort of operative that could assemble such a strike team? The Empire is counting on you, citizen. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '23', 'm4f', 'Those pirates will scatter like trash bats before our ships can arrive. This failure is terribly disappointing. We hope this is unusual for you. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '24', 'm4i', 'The pirates must have somehow sabotaged our transmission, which means they must know we\'ve discovered their base. It will likely be abandoned soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '25', 'm4l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '26', 'm4o', 'Imperial Navy');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '27', 'm4s', 'An excellent strike. The Empire is indebted to you, agent. Perhaps you should contact us about helping to crush the Rebellion. We could use agents like you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '28', 'm4t', 'Smash the notorious pirates');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '29', 'm5d', 'Normally I wouldn\'t care about the activities of pirates but these particular ones happened to strike a slaver ship on its way to deliver a shipment of Twi\'lek exotic dancers to me. Even after the pirates discovered who this shipment was intended for, they still decided to sell the slaves on their own and keep all the profits. This matter must be resolved. I cannot allow pirates to seize what I have rightfully stolen - if word of this spreads it could weaken my position with Jabba. I therefore have need of a team of deadly killers to rid me of this embarrassment. One of the Twi\'lek girls had a homing chip implanted in her thigh (a special gift intended for one of Jabba\'s rivals) which has allowed me to discover where these slugs are hiding. Accept the mission and the coordinates are yours. Leave no witnesses and burn their lair to the ground.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '30', 'm5f', 'This is most disappointing. My brutish Gamorrean guards would have fared better. You should make yourself scarce.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '31', 'm5i', 'Could the pirates have found the chip? Why were those coordinates incorrect? My slave had better not warned those space rogues.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '32', 'm5l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '33', 'm5o', 'Bib Fortuna');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '34', 'm5s', 'Well done. Accept this reward and look me up again soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '35', 'm5t', 'Blast the errant pirates');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '36', 'm6d', 'Jabba claims he doesn\'t want a war and then arranges for pirates to hit ships carrying goods intended for me. If that gargantuan worm thinks I can\'t see who\'s behind these recent attacks, he\'s as stupid as he looks. As much as I know that Jabba is baiting me, I must respond or I risk other pirates trying their hands at plucking my cargo. This mission won\'t be easy but it will pay very well. Jabba is known to employ the most ruthless and dangerous pirates in the trade. But a resourceful team of agents, skilled in teamwork and deadly with their blasters, should be able to pull it off. You fancy yourself such an individual? If you think so I\'ll send you the coordinates to the pirates\' lair. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '37', 'm6f', 'I guess you were lacking in one of those areas I mentioned in my message. Too bad you couldn\'t pull this off. I was hoping you would, actually.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '38', 'm6i', 'We may have a spy in my network. I\'ll have to do some housecleaning.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '39', 'm6l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '40', 'm6o', 'Lady Valarian');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '41', 'm6s', 'I had a hunch about you. You seemed to be the type to get results. Congratulations on a job well done. Enjoy the reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '42', 'm6t', 'Swat Jabba\'s pirates');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '43', 'm7d', 'Mighty Jabba\'s wrath is a powerful and dreadful thing to incur - few rational beings wish to risk it. This band of pirates, it seems, do not share that particular rationality. They have been raiding my lord\'s spice shipments with impunity and this must stop. My lord was wise enough to have planted a spy in their midst months ago, suspecting that this particular band might try to double-cross him in the future. Thanks to my lord\'s wisdom, we know the location of this band\'s hidden base. Illustrious Jabba wishes me to hire the best assassins credits can buy and instruct them to practice their trade on these foolish rogues. Do you wish to take advantage of this opportunity to earn both my lord\'s favor and a substantial reward? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '44', 'm7f', 'It seems you also do not share a particular rationality. Failure is rewarded with pain and death by Jabba. I shall now probably have to hire another group of assassins to take care of you. Ironic, isn\'t it?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '45', 'm7i', 'Check those coordinates again - I do not make such mistakes. No one that rises so high in Jabba\'s estimation could make such mistakes.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '46', 'm7l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '47', 'm7o', 'Bib Fortuna');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '48', 'm7s', 'Most effective. You serve my master well and you will be rewarded.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '49', 'm7t', 'Help a Hutt make a point');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '50', 'm8d', 'One of the major areas of concern for the Corporate Sector Authority is piracy. Our ships in particular draw those predators like skettos to a sleeping dewback. Recently we\'ve discovered that many of these pirates have banded together to form some sort of \"Brotherhood.\" By sharing information about transport movements, safe spaceports, and Imperial activity, these rogues can insure a higher rate of success for their comrades. We\'ve used our resources, mostly in the form of bribes, to pinpoint the locations of some of the busiest spaceports used by this Brotherhood. We offer a substantial reward to anyone who can make sure these ports are knocked out of commission. There\'s plenty of work doing that as these criminals have dozens of these havens. Coordinates will be transmitted upon your acceptance. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '51', 'm8f', 'If those ports are not completely destroyed, they will continue to be used by the pirates. No results, no reward. That should be pretty obvious.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '52', 'm8i', 'Some of these havens are bogus, naturally. We have to check all these coordinates just to be sure though.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '53', 'm8l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '54', 'm8o', 'The Corporate Sector Authority');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '55', 'm8s', 'Good work. Remember there\'s plenty more of those havens out there. We\'ll continue to pay as long as you continue to produce results.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '56', 'm8t', 'Wipe out the pirates\' haven');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '57', 'm9d', 'Every successful businessman deserves a luxurious retirement.  No one is denying that.  But a player is expected to settle all bets before cashing out of the game.  That is where a certain ex-employee of mine has failed.  He was one of the most successful pirates on my payroll.  A prolific provider for many standard years.  He retired with my personal blessing.  Unfortunately I have learned that he hid an old debt from me, and has rebuked my requests for payment.  I have extended every courtesy to him, but the time has now come to finalize negotiations.  I require a crack team of assassins to hit him hard and leave no one standing.  Only the deadliest killers need apply.  He knows I\'m coming, so he has fortified himself in a stronghold and gathered a small army of the toughest scum in the sector.  Tear the place to the ground and you shall be very well compensated.  Contact me for his coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '58', 'm9f', 'To be honest, I didn\'t expect you to finish this job.  Conveniently this means I don\'t have to pay you.  And now that my ex-employee thinks I have made my move, he will be overconfident when I send a hit team who actually knows how to kill a man.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '59', 'm9i', 'You\'re right, those were bad coordinates.  That old pirate still has contacts inside my organization.  I\'ll have a little chat with the person who gave me those numbers.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '60', 'm9l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '61', 'm9o', 'Black Sun: Vigo Green');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '62', 'm9s', 'Very well done.  Have I hired you before?  You have the skill and the guts to be a player yourself.  You would make an excellent asset to my organization.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '63', 'm9t', 'Retire an ex-pirate for good');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '64', 'm10d', 'They say lucre makes the galaxy spin and I have always found that to be true.  My various industrial enterprises have made me one of the most influential Neimoidians in nine sectors.  I have assets spanning a hundred systems.  When you attain such success, however, you become an attractive target for professional thieves.  I am no exception.  I have just discovered that one of my industrial villas has been overrun by several pirate crews.  Luckily a good businessman knows how to distribute resources to safeguard his investments.  I wish to disburse a very large sum of credits to a group of soldiers-of-fortune who have the means and the wherewithal to dislodge these slugs from my property.  Be warned: they are well-equipped and extremely dangerous.  I am paying for the best of the best, so don\'t waste my time if you\'re anything but elite.  Also, I shall shed no tears if the villa itself sustains heavy damage, as I intend to collect an insurance disbursement and shut the place down anyway.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '65', 'm10f', 'A good businessman does not encourage substandard practices.  I hired you on the assumption that you could complete the task at hand.  You shall not see one credit until then.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '66', 'm10i', 'I gave you poor coordinates.  Clearly someone has been tampering with my databanks.  I shall investigate further.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '67', 'm10l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '68', 'm10o', 'An Influential Neimoidian');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '69', 'm10s', 'Your work was sloppy in one or two particulars, but you did complete the task at hand.  Good job leveling the villa.  Do enjoy this payment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '70', 'm10t', 'Dislodge pirates from my industrial villa');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '71', 'm11d', 'Oh, can\'t someone please help us?  My family rules a small but beautiful planet in Xappyh Sector.  Long ago we built an outpost to tend the needs of the poor and downtrodden in nearby systems.  But calamity befell us when our outpost was captured by the crew of a large and terribly frightening pirate frigate.  We would like to remove them so that we can resume helping the needy of the galaxy; but the regional governor has refused to lend us aid.  We are a peaceful planet and have no weapons.  We do have money, though, with which we shall gladly part if it means we can have our outpost back.  Are there no stalwart heroes left in the universe who will come to us in our hour of need?  These pirates are a cruel and awful lot and we are frightened that they might do harm to the poverty-stricken areas near them.  Money is no object.  Please, just help us!');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '72', 'm11f', 'Oh, dear, it\'s just awful that you couldn\'t help us.  You\'re very generous for trying.  I\'m so sorry I can\'t pay you, but I must save our money so we can hire others to try where you failed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '73', 'm11i', 'Goodness, did I send you the wrong coordinates?  I\'m not very good at operating this input terminal.  I\'m so, so sorry.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '74', 'm11l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '75', 'm11o', 'A Desperate Princess');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '76', 'm11s', 'You did it!  It\'s a shame about the outpost being destroyed, but I just know that you did your best to protect it.  Please, take your reward and know that you are always welcome on my planet, where I will treat you to every pleasure my humble palace can provide.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '77', 'm11t', 'Help us in our hour of need');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '78', 'm12d', 'Mighty Jabba is always looking for new talent to add to his organization.  After some recent personnel issues, he has decided that all new recruits must prove themselves in a practical demonstration of their skills.  Illustrious Jabba wishes me to provide one such audition for a hit team.  To warrant their abilities, these assassins will be required to break into the landing bay of an especially lethal pirate captain and blast the entire facility into its component atoms.  Upon the completion of this task I shall present a report to the Invincible Jabba, who will render a decision on the worthiness of the applicants.  Wise job seekers should be aware that I do not take my duties lightly.  Only the finest and most despicable assassins deserve my attention; others are highly discouraged from occupying my precious time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '79', 'm12f', 'Perhaps I was not clear when I warned applicants not to waste my time.  But I shall make it clear to you in due course.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '80', 'm12i', 'I give you the chance to impress Mighty Jabba and you respond by accusing me of giving you the wrong coordinates?  Very displeasing.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '81', 'm12l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '82', 'm12o', 'Bib Fortuna');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '83', 'm12s', 'You have demonstrated no small amount of skill.  I shall bring your case before the Illustrious Jabba.  Until you hear from us again, enjoy this well-earned payment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '84', 'm12t', 'Audition for the Mighty Jabba');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_pirate.stf', '85', 'number_of_entries', '12');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '1', 'm1d', 'These smugglers develop reputations, they think they can get away with anything. What they fail to recognize is that organizations like ours help forge those reputations - and we can destroy them just as easily. One of these smugglers has gotten a bit too greedy for their own good. They think that by surrounding themselves with armed thugs, they can ignore certain rules and tariffs. We\'re about to prove them wrong. A substantial reward awaits the operatives who will drive this point home to this errant smuggler. If you\'re the type of killer we think you are, this should pose no problem for you. Do you want the job?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '2', 'm1f', 'We don\'t like when one of these operations doesn\'t go as planned. Failure is not really an option with our organization. I\'d watch my step if I were you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '3', 'm1i', 'Seems like this smuggler is employing data slicers to help sabotage our efforts to discipline them. They\'re crafty, you gotta give them that.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '4', 'm1l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '5', 'm1o', 'Black Sun');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '6', 'm1s', 'Congratulations. Those are results that make us proud. Stick with us and you\'ll go far. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '7', 'm1t', 'Take out the errant smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '8', 'm2d', 'No one cheats a Vigo of Black Sun, especially when that Vigo is Durga the Hutt. Apparently this simple truism has escaped a certain band of smugglers formerly working for the illustrious Vigo on Nar Shaddaa. They\'ve made off with a rather large shipment of high-grade glitterstim spice that was supposed to be delivered to Vigo Durga himself. Well no business is without its perils, I suppose. Vigo Durga will pay a handsome reward to anyone who can send these smugglers back to their makers. These are the coordinates to the smugglers\' hideout. Make sure there are no survivors and no witnesses. Can Black Sun rely on your cooperation and discretion?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '9', 'm2f', 'You failed to dispatch these smugglers? Oh dear, how distressing. I do hope Vigo Durga is merciful with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '10', 'm2i', 'The coordinates must have been tampered with by agents loyal to those smugglers. We\'ll have to clean some house, it seems.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '11', 'm2l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '12', 'm2o', 'Black Sun: Vigo Durga');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '13', 'm2s', 'Most excellently done. Vigo Durga sends his congratulations and asks that you contact us again in the future. Enjoy your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '14', 'm2t', 'Remove a band of smugglers');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '15', 'm3d', 'Spice smugglers can be so untrustworthy. A recent shipment of spice came up dreadfully short. Unfortunately this shipment was under Vigo Clezo\'s supervision, which made him look bad in the eyes of the rest of Black Sun. These offending smugglers must be made to pay for this embarrassment with their lives, of course. Nothing less would satisfy the wounded Vigo\'s pride. Here are the coordinates to their hideout. Please be efficient and precise. Vigo Clezo likes to run a clean, tight ship. A substantial reward awaits your safe and successful return.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '16', 'm3f', 'The least of your worries should be the lost reward. Vigo Clezo\'s displeasure is not a good thing to incur. You have my sympathies.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '17', 'm3i', 'Those smugglers are desperate to evade our wrath and are filling the HoloNet with rumors of their possible locations. We\'ll sort it out soon enough.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '18', 'm3l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '19', 'm3o', 'Black Sun: Vigo Clezo');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '20', 'm3s', 'A true professional. Now you are the sort of operative Vigo Clezo is proud to employ. The reward is yours to claim.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '21', 'm3t', 'Help a Vigo get payback');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '22', 'm4d', 'It has been recently brought to our attention that a group of trusted couriers is actually a collection of Imperial Intelligence agents. This is most distressing, as you can imagine. We need these couriers removed and are willing to pay well for this service. Here are the coordinates to a base these couriers use most often. The base is to be obliterated and every courier is to be eliminated. We do hope this is very clear. The Empire really should know better than to try and infiltrate our organization with these sorts of agents. It always leads to a tragic loss of life and talent. Are you our agent?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '23', 'm4f', 'The couriers were allowed to escape - a situation that both saddens and alarms us. We thought we were dealing with a professional. It seems we were wrong.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '24', 'm4i', 'Imperial Intelligence is obviously aiding their agents to escape us. Perhaps they\'ll be recalled to Imperial Center and no longer plague our business.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '25', 'm4l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '26', 'm4o', 'Black Sun');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '27', 'm4s', 'Your actions were those of an exemplary agent. Your success will reap rich rewards and lead to a very profitable future with us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '28', 'm4t', 'Take out Imperial moles');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '29', 'm5d', 'It is a shame when talented individuals must be eliminated. One of our most experienced smugglers has been convinced to become an informant for the Rebellion. Now normally, we wouldn\'t care what the Rebels were up to. They keep the Imperials distracted, which is all we can really ask for from anyone. However, we\'ve learned that this smuggler is selling some of our most precious secrets to the Rebels - that we simply cannot have. A generous reward awaits the agent who can take this smuggler and their band of associates out. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '30', 'm5f', 'Now this smuggler will no doubt ask the Rebels for asylum and they\'ll be impossible to track. This failure will cost us time and money - two things you don\'t want to cost our organization.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '31', 'm5i', 'I wonder if the Rebels are helping to hide these smugglers? It would be like them to do a thing like that.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '32', 'm5l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '33', 'm5o', 'Black Sun');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '34', 'm5s', 'Good form, agent. That was nicely done. Our organization could use more operatives like you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '35', 'm5t', 'Wipe out the smuggler informants');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '36', 'm6d', 'The mighty Jabba the Hutt seems to be having a rather bad year in regards to smugglers. It\'s not enough that the loathsome pirate, Han Solo, has evaded my master\'s attempts to capture him, but now it seems another band of smugglers have been inspired by Solo\'s actions to defy the powerful Jabba. For reasons of his own, His Exaltedness has decided not to approach the Bounty Hunters\' Guild with this matter (given their recent troubles) but has instead decided to find some enterprising free agents to settle things. We have the coordinates to the lair of these walking corpses. As always, His Immenseness offers an overly generous reward for the accomplishment of this task. Can the honored Jabba count on you to serve him faithfully?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '37', 'm6f', 'My master does not reward failure. In fact, he usually punishes it. I\'ll tell Jabba that you were killed trying to carry out his wishes and you can flee the galaxy as swiftly as you\'re able. Do we have a deal?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '38', 'm6i', 'I do not make mistakes, agent. Check the coordinates again and accomplish this task.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '39', 'm6l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '40', 'm6o', 'Bib Fortuna');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '41', 'm6s', 'Well done, agent. Jabba will remember your success next time you come to us for a job. We always reward success.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '42', 'm6t', 'Help Jabba get even');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '43', 'm7d', 'That slug Jabba has done such a good job of convincing the smugglers of the galaxy that they all work for him, that it makes life for the rest of us a bit more difficult. A group of these smugglers, well known gunrunners, made off with one of my weapons\' shipments, thinking they could just sell it to Jabba for more money than they would have gotten for simple smuggling. That notion has got to be corrected. I\'m offering a hefty reward to the individual or band that will blast these smugglers into space junk. We have the coordinates to their base, not that they were difficult to acquire - these guys think they\'re untouchable. So how about it? You in?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '44', 'm7f', 'The formula is simple: smugglers blasted into space junk, get reward; smugglers not blasted into space junk, get zilch. You do the math, genius.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '45', 'm7i', 'Not there? How could they have moved their entire base so quickly? I know those coordinates were correct.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '46', 'm7l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '47', 'm7o', 'Lady Valarian');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '48', 'm7s', 'Effective. A bit crude, perhaps, but effective. Here are your credits. There are more where those came from if you need more work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '49', 'm7t', 'Dish out Lady Valarian\'s wrath');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '50', 'm8d', 'The exalted Jabba seems to have lost some of his most trusted smugglers recently to his rival, Valarian. It seems the wanna-be crime mistress hired thugs to blast some of my master\'s loyal servants. The mighty Jabba would like to repay kind with kind. These are the coordinates to a base belonging to some of Valarian\'s most trusted couriers. Make sure every one of them is blasted to bits and the base is burned to the ground. We wouldn\'t want people thinking that Jabba was less cruel than some mangy Whiphid, now would we? A generous reward waits at the end of a successfully completed mission.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '51', 'm8f', 'Failure is a word Jabba hates to hear. It will be unfortunate for you that he must hear it in association to your name.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '52', 'm8i', 'Could Valarian have warned these couriers? How could these coordinates have been wrong?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '53', 'm8l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '54', 'm8o', 'Bib Fortuna');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '55', 'm8s', 'Excellent. Now the galaxy will understand the lengths Jabba is willing to go to protect his assets. You\'ve earned your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '56', 'm8t', 'Jabba\'s revenge');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '57', 'm9d', 'The Imperials attempted it so I suppose it shouldn\'t surprise us that the Rebels took a stab at it too. We\'ve discovered that some of our smugglers are actually Rebel double agents collecting information for the Rebellion and spying on our activities for use as leverage in future negotiations. As you can imagine, we need these agents removed and a clear signal sent to the Rebellion. They of all people should know that if you play with fire, you will get burned. These are the coordinates to this group\'s base of operations. Blast it to pieces and wipe out the double agents. Hopefully we\'ll only have to do this once. Can you help with this? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '58', 'm9f', 'All you\'ve managed to do is warn the Rebels that we\'re on to them. Most distressing. Our business is now concluded.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '59', 'm9i', 'Rebel slicers are sneaky little womp rats, eh? We\'ll get the correct coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '60', 'm9l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '61', 'm9o', 'Black Sun');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '62', 'm9s', 'Most impressive, agent. Especially given that those smugglers were likely highly trained Rebel commandos. Do see us again for future work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '63', 'm9t', 'Wipe out Rebel double agents');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '64', 'm10d', 'Illustrious Jabba wants to make sure that the smugglers operating in this galaxy answer to him and him alone. Some of these smugglers have been operating exclusively for one of his chief rivals, and the powerful Jabba wishes to make an example of them. He offers a sizable reward to anyone who is brave enough to march into these smugglers\' base and blast it to pieces, along with all the smugglers inside, of course. We\'ll supply the base\'s coordinates and the reward (should the mission be successful). You must supply the muscle and the blasters. Do we have a deal?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '65', 'm10f', 'You\'ve failed to make an example of these smugglers, I\'m afraid. Perhaps another example must be made of you. I\'ll consult with His Mightiness to see how he wishes to proceed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '66', 'm10i', 'The coordinates could not have been mistaken. Could we be the victims of sabotage?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '67', 'm10l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '68', 'm10o', 'Bib Fortuna');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '69', 'm10s', 'What a glorious example this sets. The mighty Jabba is pleased. Claim your reward and do visit His Immensity on Tatooine soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '70', 'm10t', 'Instruct a rival');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '71', 'm11d', 'Some hotshot smugglers have decided to cheat a powerful Vigo and make him lose face in the syndicate. Just because these smugglers have the trust (which they believe translates to \"protection\") of several other Vigos, they think they can push a smaller Vigo around. We\'ll soon see who\'s small and who\'s not in Black Sun. You mess with any Vigo, you flirt with death - simple as that. A substantial reward is in the offering to anyone who can teach these arrogant scum a lesson. I want those hotheads dead, I want their base burned down to the ground, and I want to spit on the ashes! You think you can help me do that?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '72', 'm11f', 'Failed? What do you mean failed? You in the pockets of these other Vigos, huh? Are you trying to make me look bad? I better not see you around!');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '73', 'm11i', 'The other Vigos are plotting against me, I just know it. I gotta watch my back. Always watch your back, buddy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '74', 'm11l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '75', 'm11o', 'Black Sun: Vigo Green');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '76', 'm11s', 'Yeah! That\'s what I\'m talking about! Let\'s see who\'s laughing now, huh? Good work, buddy. Take your money and remember who treated you right.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '77', 'm11t', 'Assuage a Vigo\'s paranoia');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_hard_smuggler.stf', '78', 'default', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_creature_infestation_tatooine.stf', '1', 'm1d', 'PUBLIC EMERGENCY BROADCAST\n\nThe Tatooine Civilian Defense League, in cooperation with Imperial authorities, is reporting the presence of a major vermin infestation on the planet. The infestation represents a significant threat to public health and safety. In an attempt to eliminate the infestation before any more lives can be lost, the Tatooine Civilian Defense League is offering a substantial reward for the elimination of the central lair, hive, or nest.  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_creature_infestation_tatooine.stf', '2', 'm1f', 'Your mission has failed. You will not be receiving payment from the Tatooine Civilian Defense League.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_creature_infestation_tatooine.stf', '3', 'm1i', 'Imperial authorities have deemed that the vermin infestation on Tatooine represents a Class A-2 threat to the safety of Imperial citizens. Imperial agents have razed the area to completely eliminate the danger. Your mission has therefore been cancelled.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_creature_infestation_tatooine.stf', '4', 'm1l', 'A major infestation has been reported on Tatooine. The lairs contributing to this infestation must be destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_creature_infestation_tatooine.stf', '5', 'm1o', 'Tatooine Civilian Defense League');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_creature_infestation_tatooine.stf', '6', 'm1s', 'Your mission has been completed successfully! The Tatooine Civilian Defense League will transmit payment immediately. Thank you for your service.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_creature_infestation_tatooine.stf', '7', 'm1t', 'Public Emergency');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_creature_infestation_tatooine.stf', '8', 'm2d', 'I\'m tellin\' you, Tatooine must have some underground network of tunnels that only the creatures know about. They can move without anyone seeing \'em, attack and retreat without being caught, stay out of the heat when the twin suns are right above \'em... Worse still, they can pop up wherever they are most unwanted, building nests or lairs like boils in the sand. And now, all they need to do is connect a few tunnels, and suddenly we have a major infestation on our hands. They\'re everywhere at once, spreading out like a plague. Soon, they\'ll have infected every part of the desert, eventually moving into the cities. Someone needs to help stop the infestation. The only way to do that is by attacking the central hive; destroy that, and the rest of the lairs will eventually wither and die.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_creature_infestation_tatooine.stf', '9', 'm2f', 'Well, the infestation is still growin\' out of control. It\'s takin\' over the rest of the desert. It won\'t be long before the cities are overrun too.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_creature_infestation_tatooine.stf', '10', 'm2i', 'The infestation has up and disappeared. I think maybe a flash fire burned all the lairs to the ground. Whatever the case, it\'s gone and the desert is safe again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_creature_infestation_tatooine.stf', '11', 'm2l', 'A vermin infestation is threatening to expand into Tatooine\'s settled areas.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_creature_infestation_tatooine.stf', '12', 'm2o', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_creature_infestation_tatooine.stf', '13', 'm2s', 'Nice work. The infestation seems to be gone. Or, the vermin have retreated into their tunnels. It doesn\'t really matter, as long as they\'re gone. They\'ll be back, I\'m sure, but for now the desert is a little safer. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_creature_infestation_tatooine.stf', '14', 'm2t', 'Desert Infestation');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_creature_infestation_tatooine.stf', '15', 'm3d', 'We, the Dim-U monks of Tatooine, who worship in the shadow of the Great and Mighty Bantha, have seen the next great threat to our powerful idol. The Stalwart Bantha is a natural wanderer, roaming the desert seas in search of peace and wisdom. But this season, the Bellowing Bantha has stumbled into a terrible infestation of chattering, disease-bearing vermin. The infestation is so great, even the All-Knowing Bantha has difficulty avoiding it, and He is often overwhelmed and eaten alive by the creatures. Only the destruction of the infestation\'s central lair will cleanse the desert, making the sands pure enough for the Enduring Bantha\'s footsteps. We will happily open our coffers for anyone who can clear this infestation. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_creature_infestation_tatooine.stf', '16', 'm3f', 'The Wandering Bantha remains in grave danger. The sea of vermin that blocks His way remains untouched! The Courageous Bantha will never forget your failure.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_creature_infestation_tatooine.stf', '17', 'm3i', 'The Wandering Bantha has found another path through the desert. He no longer needs to contend with the terrible infestation that had blocked his path. We, the Dim-U monks who worship at His hairy feet, no longer need your aid.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_creature_infestation_tatooine.stf', '18', 'm3l', 'An infestation of vermin is blocking the bantha\'s seasonal migrations.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_creature_infestation_tatooine.stf', '19', 'm3o', 'Dim-U Monks of Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_creature_infestation_tatooine.stf', '20', 'm3s', 'The Bellowing Bantha shall roar your name for many seasons to come! You have cleared His path, and He can continue His migrations without fear of attack. The Great and Mighty Bantha is forever in your debt! Our monastery\'s coffers have been opened, and you have been rewarded for protecting our hairy idol.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_creature_infestation_tatooine.stf', '21', 'm3t', 'Bantha\'s Champion');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_creature_infestation_tatooine.stf', '22', 'm4d', 'I have traveled Tatooine for many long seasons now, studying it\'s peoples and places. I have been to the far reaches of the Dune Sea, where I wandered amid the bones of ancient krayt dragons. I have lurked among the Tusken Raiders as they rallied for war. I have watched in horror as Jabba the Hutt sent another slave to her death in the rancor pit. From Mos Eisley to Wayfar have I traveled, and never before have I encountered such terror. In the desert now, their lurks an immense infestation beyond imagining. It spreads like Death Rot, climbing over the dunes and reaching out towards any who come too close. I have seen the bodies of those that have been overwhelmed by the infestation, their skeletal limbs reaching out for help that would never arrive... Soon, the entire desert might be consumed. Only the bravest warriors can hope to stop this infestation from spreading, and so it is that I plead with you for help. Seek out this creeping, planetary disease and strike at its heart. Kill it quickly, so that no others can be killed! ');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_creature_infestation_tatooine.stf', '23', 'm4f', 'The creeping, living sickness continues to spread. The creatures spread like pus, flowing over the land to bring death. It seems no one can stop this infestation... Tatooine is doomed!');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_creature_infestation_tatooine.stf', '24', 'm4i', 'Sometimes, even the most tenacious infestation might suddenly consume itself. It seems that this creeping disease has receeded, the monsters retreating back to their lair. Tatooine is safe, for now.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_creature_infestation_tatooine.stf', '25', 'm4l', 'A wandering anthropologist has located a terrifying infestation on Tatooine.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_creature_infestation_tatooine.stf', '26', 'm4o', 'Mammon Hoole');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_creature_infestation_tatooine.stf', '27', 'm4s', 'Although I have traveled many worlds throughout my life, I have seldom come across a hero of your stature. Your courage and strength have driven back the terrifying hordes. The infestation that plagues the desert has recoiled, releasing its hold over the sands. I will add your name to my journals, and when my life\'s work is published, all shall know of your heroic deeds here on Tatooine.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_creature_infestation_tatooine.stf', '28', 'm4t', 'Desert Disease');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_creature_infestation_tatooine.stf', '29', 'm5d', 'It\'s been one of my lifelong goals to bring peace to Tatooine. I\'m hoping that, one day, the moisture farmers, Jawas, and Sand People can form some kind of alliance, or at least agree to stop attacking each other. I\'ve befriended some of the local Jawas, and they\'ve agreed to help, but only if I find a way to make the desert a little safer for them. Right now, they\'re most concerned with a massive infestation of vermin. I agreed to hire someone to wipe out the infestation as soon as possible, and you seem to be the right hired hand for the job. I\'d try to make your way to the central lair and destroy it. If you can manage the job, I\'ll sell my treadwell droid and pay you whatever he\'s worth.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_creature_infestation_tatooine.stf', '30', 'm5f', 'The Jawas have pulled out of the peace talks. They think I\'m going back on my promise to help with the infestation, since I haven\'t been able to find anyone who could wipe it out yet. I don\'t think we\'ll ever have any kind of understanding between the major tribes on this planet. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_creature_infestation_tatooine.stf', '31', 'm5i', 'I expected that the Jawas would be flighty. They\'ve recently migrated away, before we even had a chance to prove to them that we were willing to help. You can give up on cleaning out the infestation; I don\'t think the Jawas will be back. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_creature_infestation_tatooine.stf', '32', 'm5l', 'A moisture farmer attempting to bring peace to the desert has a mission for brave adventurers.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_creature_infestation_tatooine.stf', '33', 'm5o', 'Ariq Joanson');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_creature_infestation_tatooine.stf', '34', 'm5s', 'That infestation was rooted deep in the desert. I didn\'t think anyone would be able to completely eliminate it, but it looks like you\'ve done that job. I know that the Jawas are going to be grateful. They\'ll probably chatter about this for days to come. Maybe now we can move towards peace out here, if we can ever find a way to communicate with the Sand People...');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_creature_infestation_tatooine.stf', '35', 'm5t', 'Peace Plan');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_creature_infestation_tatooine.stf', '36', 'number_of_entries', '5');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '1', 'm1d', 'The Empire\'s efforts to stamp out the Rebellion has unfortunately created some additional problems for law enforcement. We have more refugees to deal with, many of which are recruited by local swoop gangs or glitterstim dealers. Naturally this means we have to deal with more violent crimes and we\'re already rather understaffed. This is where you come in, citizen. We have plenty of work for enterprising agents who want to lend a hand to keep peace and order in our communities. We\'ve kept tabs on the activities of these gangs and know where most of them hang out. One by one we need to clean those places out. Most of them are condemned buildings anyway. Think you can help us out, citizen? We\'ll pay you for your successful efforts, of course. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '2', 'm1f', 'Did we emphasize \"successful\" when we mentioned we\'d reward you for your efforts? Good, because we can\'t afford to reward non-successful efforts.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '3', 'm1i', 'Some of these coordinates may be outdated or incorrect. We\'ll make a note of the ones that are and cross them off our list.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '4', 'm1l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '5', 'm1o', 'Imperial Office of Criminal Investigations');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '6', 'm1s', 'Good work, citizen. One by one, we\'ll get all these wretched hives of scum and villainy. Have a drink on us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '7', 'm1t', 'Clean up the streets');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '8', 'm2d', 'My son has fallen in with a very bad crowd. He was arrested last month on suspicion of murder but the case was dropped for lack of evidence. I know my son didn\'t kill anyone but I know who did. Those thugs he hangs out with are thieves, murderers, and worse. They don\'t deserve to share the same space as decent citizens. I\'ve arranged for my son to spend a few weeks with his aunt in the country. The air will be good for him. What I need is for someone to blast that gang\'s hideout to pieces while my son is gone. That will drive those animals away and teach them never to come back and bother us again. I\'ve put up a generous reward for the citizen or citizens that can accomplish this important task. Can you help me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '9', 'm2f', 'If you don\'t get rid of these misanthropes, my son will never be saved. My reward is for the individual that saves my son.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '10', 'm2i', 'I could have sworn those were the coordinates to their hangout. I\'ve been a bit preoccupied, so forgive me if I made a mistake. Let me double-check those coordinates. Could you check back with me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '11', 'm2l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '12', 'm2o', 'A Desperate Mother');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '13', 'm2s', 'I just discovered that my son ran away from his aunt\'s and is likely staying at the gang\'s hideout. Did you destroy it? Did you kill everyone there? Oh no! My dear son! Oh no!!! ');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '14', 'm2t', 'Help save a wayward son');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '15', 'm3d', 'Our agents have uncovered a major glitterstim dealer\'s lair. These criminals supply a majority of the spice for many of this system\'s major cities. We need to put this scum out of business and we need your help to do it. The dealer has done well so they\'ve hired some muscle to protect their precious goods. A quick, stealthy strike, however, ought to get the job done. Don\'t worry about blasting anyone that gets in your way - most of these guys are wanted murderers. If the settlement is left a smoking ruin, we\'ll be mighty pleased. We always reward results too. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '16', 'm3f', 'Too bad you couldn\'t finish the job. We can\'t leave these things open like this, you know. Better luck next time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '17', 'm3i', 'Did we send you the wrong coordinates? Our apologies. We\'re a bit frazzled with all this work piling up. Check back with us again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '18', 'm3l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '19', 'm3o', 'Imperial Office of Criminal Investigations');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '20', 'm3s', 'Nothing quite as sweet as the smell of burning spice in the morning, eh? Good job, citizen. Keep up the good work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '21', 'm3t', 'Destroy spice dealer\'s stash');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '22', 'm4d', 'A series of savage beatings, three of which resulted in fatalities, have taken place over the last six weeks in our community. It seems that a new gang has moved into the neighborhood and they\'re announcing their presence. Any citizen who stares at these thugs for too long risks a brutal beating and possible death. The local authorities already have their hands full assisting the Empire in tracking down Rebels; they simply do not have enough men to patrol the streets. We are therefore taking matters into our own hands. We\'re offering a reward to any citizen who has the courage to march into that gang\'s hangout and blast those murderers to atoms. We must make it clear to these scum that we will not tolerate this sort of behavior in our streets. Are you a courageous citizen? Let us know and we\'ll transmit the coordinates to the gang\'s hangout to you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '23', 'm4f', 'There may be serious repercussions now that you failed to destroy this gang\'s hangout. They probably know we\'re trying to hire someone to get rid of them. We hope someone comes through for us quick.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '24', 'm4i', 'Those coordinates should have been correct. We\'ll check out what the disconnect was.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '25', 'm4l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '26', 'm4o', 'Citizens for a Clean Tomorrow');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '27', 'm4s', 'It\'s citizens like you that will insure our futures are free of crime and social predators. Hurrah, citizen! You can be our champion any day.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '28', 'm4t', 'Smash the gang');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '29', 'm5d', 'Some slavers are not content to stick to the Imperial list of approved species. Indeed, these slavers feel they must enslave humans, and that\'s something we can\'t tolerate. Through the help of Imperial Intelligence, we\'ve located the lair of a group of slavers that have been dealing exclusively in humans. We need a small strike team to assault this base and blast it into rubble. Humans shall not be enslaved while the Empire governs the galaxy. Can you help the Empire put a stop to this despicable practice? The reward will be well worth it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '30', 'm5f', 'The slavers will continue their operations unabated. How is this a success? We think you\'d agree that this was a failure. Glad we\'re on the same screen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '31', 'm5i', 'A clerical oversight resulted in these incorrect coordinates. We\'ve fixed it. Please check in with us again soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '32', 'm5l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '33', 'm5o', 'Imperial Office of Criminal Investigations');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '34', 'm5s', 'Handled like a true professional. You should consider working for us again in the near future. Enjoy your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '35', 'm5t', 'Stop the slavers');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '36', 'm6d', 'A group of dangerous criminals is using an old halfway house in our area as a hideout and refuge from authorities. They use the halfway house\'s former reputation, a place where reformed criminals were reintroduced into society, to mask their current illegal activities, including spice dealing and extortion. We want this place wiped out and those murderers run off or brought to justice. We can\'t ignore their activities any longer. We\'ll pay a reward to anyone willing to undertake and complete this task. Are you the citizen we\'re looking for?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '37', 'm6f', 'That place will just keep attracting more undesirables until this entire neighborhood goes to the dump. Hopefully someone will claim this reward soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '38', 'm6i', 'We must have sent the wrong coordinates. Our apologies. Please check back with us again soon.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '39', 'm6l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '40', 'm6o', 'Citizens for a Clean Tomorrow');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '41', 'm6s', 'We\'re glad to see you share our enthusiasm to create safe neighborhoods for our children. You deserve this reward, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '42', 'm6t', 'Clean out the halfway house');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '43', 'm7d', 'Someone has been supplying the local gangs with homemade explosives, which they\'ve gladly used in recent attacks. We knew it had to be someone in the area and launched an investigation. Finally, after weeks of work, we\'ve discovered where these grenades are being constructed. A weapons lab is being run by a particularly vicious gang of killers. Many of them served in planetary security forces in the past but lost their jobs when the Empire began cleaning out these corrupt organizations. We need to take this lab out of commission, especially if it\'s attracting disgruntled weapons specialists from around the galaxy. We require a small strike team of agents to go in there and blow that structure sky-high. But best be on your toes as those criminals have had some pretty advanced combat training. Can you help us out? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '44', 'm7f', 'We must have very different interpretations of \"blowing that structure sky-high.\" Sorry, but we can\'t reward what wasn\'t accomplished.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '45', 'm7i', 'We\'ll track down who sent you those false coordinates. We wonder if these explosives experts might not have a contact inside our department.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '46', 'm7l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '47', 'm7o', 'Imperial Office of Criminal Investigations');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '48', 'm7s', 'Now that\'s what we call \"blowing a structure sky-high.\" Nicely done, citizen. Take your reward and remember that there\'s plenty more where that came from.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '49', 'm7t', 'Blow up the explosives lab');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '50', 'm8d', 'A swoop gang has been terrorizing several communities. Their recent \"fun\" consists of zooming past shops or settlements and sniping citizens through windows or portals. The body count so far is nine dead and six others wounded. I want these animals stopped. Problem is, this gang is very mobile and have some insight into the movements of local law enforcement because they disappear before any raids or arrests can be made. Fortunately, I have contacts in the smuggling world (a long story that I won\'t go into) and these gangsters have been buying shipments of glitterstim from someone I know (suffice it to say the old pirate owed me a favor). So now I have the coordinates to this swoop gang\'s hideout. If I involve the authorities, these murderers disappear. So that\'s where you come in. I\'ll pay a handsome reward to any being (or beings) that will rid these besieged communities of these animals. My past hasn\'t exactly been what you would call \"upstanding\" but I\'m not gonna stand by and watch innocent folks get slaughtered. Not when I can do something about it. What about you?  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '51', 'm8f', 'One thing I learned in my youth - you always finish a job you accept. Maybe you\'ll learn that one day too. Good luck. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '52', 'm8i', 'Could my smuggler friend have been paid to protect these gangsters? I can\'t believe he\'d do that.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '53', 'm8l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '54', 'm8o', 'A Reformed Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '55', 'm8s', 'You\'re alright, buddy. Good to see that someone cares enough about other people to lend a hand. All the better that the hand is being paid for those efforts, eh? Being\'s gotta make a living somehow.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '56', 'm8t', 'Stop the swoop gang');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '57', 'm9d', 'Deathsticks in a decent community!  Is nowhere safe from the corruption of this vile drug?  Recently I learned from respectable sources that a so-called \"esteemed businessman\" is secretly fronting a distribution center for this contemptible substance.  The villain\'s business dealings span many star systems and so the local authorities have been reluctant to interfere.  But he underestimates the determination of upright Imperial citizens!  Who among us is bold enough to find this den of evil and stamp out this blight on galactic decency?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '58', 'm9f', 'Isn\'t it convenient how this \"esteemed businessman\" always escapes serious harm?  How much did he pay you to spare his operation?  Is there no end to his corruption?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '59', 'm9i', 'I told you this \"esteemed businessman\" is a crafty devil.  Give me some time and I\'ll see if I can find out where he moved his despicable operation.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '60', 'm9l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '61', 'm9o', 'An Upstanding Citizen');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '62', 'm9s', 'You actually survived?  Um, excellent work!  Here, take this small token of gratitude for your act of decency.  And please don\'t tell anyone who hired you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '63', 'm9t', 'Stamp out a deathstick dealer');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '64', 'm10d', 'As an esteemed businessman whose dealings span many star systems, I am in a state of outrage at the no-good meddling of a certain \"upstanding citizen.\"  This rotten muck-leech has hired local muscle to interfere with my honest and legitimate trading operations.  He has blown up my establishments and accused me of certain unlawful actions for which he has no proof that I know of.  He has asked for protection money but a businessman like myself would rather spend the credits to put the squeeze on an enemy.  So I am offering a reward to any toughs or sharpshooters who can take out the office of this low-down nerf-herder and his gang of slugs.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '65', 'm10f', 'See?  I knew this \"upright citizen\" was really a no-good, dangerous thug.  Thanks for trying, pal, but you don\'t get the reward for effort.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '66', 'm10i', 'Some \"upright citizen,\" sneaking off like a dirty womp rat as soon as someone stands up to him.  Try me later and maybe I can track down this creep.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '67', 'm10l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '68', 'm10o', 'An Esteemed Businessman');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '69', 'm10s', 'Say, you\'re pretty good at this racket.  You earned these creds.  I hear the \"upright citizen\" got away, but I\'ll blink you when he turns up again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '70', 'm10t', 'Break up an extortion gang');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '71', 'm11d', 'Killers for hire in the heart of a decent community!  Once again we are plagued by an underhanded villain in the guise of an \"esteemed businessman.\"  This time he has hired a vicious pack of brutal thugs to terrorize upstanding citizens.  Why, these laser-armed ruffians blew apart my very own office!  But upright folk such as ourselves need not involve Imperial authorities to enforce moral discipline.  I have obtained the coordinates of the lair where these despicable savages charge their blasters and sharpen their knives.  Who shall fire the first shot in the name of galactic decency?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '72', 'm11f', 'The last group who marched against this \"esteemed businessman\" took a bribe to let him go.  How \"convenient\" that you failed, as well!  I\'ve got my eye on you, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '73', 'm11i', 'This \"esteemed businessman\" is a slippery worm.  He must have moved his hired thugs to another lair.  I hope I can track them down again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '74', 'm11l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '75', 'm11o', 'An Upstanding Citizen');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '76', 'm11s', 'You\'re still alive?  Well done!  Now decent folk like myself can once again conduct our operations in peace.  Take this reward and please, don\'t tell anyone who hired you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '77', 'm11t', 'Purge a lair of professional thugs');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '78', 'm12d', 'As an esteemed businessman whose dealings span many star systems, I am shocked and in much distress over the low-down, rotten activities that a certain \"upstanding citizen\" has perpetrated while pretending that he is not a dirty, lawbreaking creep.  Not only has he stuck his proboscis into my own, completely lawful import business, but now I have learned that he is running a spice racket on the side.  I\'ve had enough of that slime-grub and his two-faced meddling.  For any toughs or sharpshooters who have the guts, I have the coordinates of a depot where he stores his goods for shipping.  The Imperial authorities will be happy to see it burn to the ground.  I\'ll even throw in a reward for anyone who does the job.  Sometimes a hard-working businessman like myself must play rough with creeps who stand in the way of honest and respectable trading.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '79', 'm12f', 'This \"upstanding citizen\" is nothing but a well-armed gangster.  Thanks for trying.  Better luck next time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '80', 'm12i', 'Mister \"Upstanding Citizen\" must have seen my message on the HoloNet and run like a cowardly Jawa.  I\'ll find him again, though, don\'t worry.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '81', 'm12l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '82', 'm12o', 'An Esteemed Businessman');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '83', 'm12s', 'You\'re pretty handy in a fight.  Take the reward and keep your eyes open.  I might have more jobs for you in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '84', 'm12t', 'Take out a spice depot');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '85', 'm13d', 'Excuse me.  Normally I would not broadcast a message on this frequency, as I am only a protocol droid, but my present circumstances are most intolerable.  Since my master was taken away by the Empire for questionable political statements, I have been forced to deal with a collection of dubious characters who have taken up residence in the condensing station.  Condensed Threll gas is highly combustible, so I believe it is best to have these individuals removed from the premises.  I have a stipend of credits from which I can pay a reward.  Please contact me if you are able to help.  Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '86', 'm13f', 'Oh, my.  It seems that removing these intruders will be more difficult than I thought.  Thank you for trying.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '87', 'm13i', 'I\'m sorry, I must have transmitted the wrong coordinates.  I\'m only a protocol droid and not very good with maps.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '88', 'm13l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '89', 'm13o', 'L-3PO');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '90', 'm13s', 'Oh, dear!  You destroyed the entire condensing station!  Please, just take these credits and go while I determine how I shall break the bad news to my poor, imprisoned master.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '91', 'm13t', 'Remove intruders from a condensing station');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '92', 'm14d', 'Recent intelligence points to one conclusion: Roughnecks from the frontier have begun to view this sector as a source of salvaged parts for their asteroid loaders.  Unfortunately, some of them have established a sabotage ring to provide a continuous supply of free salvage.  As the resources of the Empire are occupied with Rebels and other political offenders, we have decided to contract outside agents to deal with this new criminal enterprise.  Interested agents are encouraged to contact us for known locations of salvage drops.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '93', 'm14f', 'The Empire cannot waste resources on unqualified agents.  Come back when you can get the job done.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '94', 'm14i', 'We apologize for the incorrect coordinates.  Rebel saboteurs recently hit one of our data annexes.  We\'ll sort out the damage soon enough.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '95', 'm14l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '96', 'm14o', 'Imperial Office of Criminal Investigations');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '97', 'm14s', 'The Empire thanks you for contributing to the wellbeing of the community.  Enjoy your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '98', 'm14t', 'Strike against a sabotage ring');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '99', 'm15d', 'It\'s not podracing, but who doesn\'t enjoy testing his landspeeder on the local drag lanes?  In my career I have collected an assortment of vintage speeders to pit against my fellow repulsorlift enthusiasts.  The problem is, lately the speeder races have been taken over by a gang of shady offworlders.  I have proof that they are foiling their opponents\' turbine filters, which accounts for their undefeated record.  Unfortunately these skettos are so well armed that no one is willing to confront them.  But enough is enough.  I\'m down to my last lasercharged X-34.  I\'m willing to pay anyone who can blast up their hangout and make them understand that cheating is unacceptable in this old and honorable sport.  Contact me for the coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '100', 'm15f', 'I warned you this wouldn\'t be easy.  Maybe someone else can teach these sharks a lesson.  Till then I\'ll just keep this reward money.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '101', 'm15i', 'I could swear I had the right coordinates.  I\'ll have to double-check them.  Sorry about that.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '102', 'm15l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '103', 'm15o', 'A Speeder Enthusiast');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '104', 'm15s', 'Wonderful job!  Now I can rebuild my landspeeder collection without fear.  Take this reward and please, come out to the drag lanes sometime.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '105', 'm15t', 'Punish a den of landspeeder sharks');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '106', 'm16d', 'As if droid scrap fighting were not seedy enough!  Now the sponsors of these disreputable contests have begun to steal shipments of droids to squander in their oily pits of destruction.  If these criminals disrupt my business any further, I am in danger of losing my Imperial contract.  Therefore I am offering a substantial reward to anyone who has the fortitude and the means to wipe out one of these loathesome scrap fighting arenas.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '107', 'm16f', 'Looks like the arena organizers can fight as well as their pit droids.  Maybe you should try again when you\'re better equipped for the job.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '108', 'm16i', 'It\'s amazing how several dozen spectators can find the scrap fighting arena every week and I can\'t even give you the proper coordinates.  Sorry about that.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '109', 'm16l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '110', 'm16o', 'Yizz the Droid Merchant');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '111', 'm16s', 'Excellent!  I don\'t suppose in the mayhem you happened to spare any of my stolen droids?  No?  Well, I had to ask.  Here\'s the reward, as promised. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '112', 'm16t', 'Destroy a pit of droid thieves');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '113', 'm17d', 'Do you think Sith Lords are made overnight? No, my young apprentice, they require years of careful grooming and training in the Dark Side. Yes, I\'m sure you\'ve guessed who I am by now. I am the Emperor! And I require you, my young apprentice, to obliterate some annoying servants for me. They have disturbed me once too often during my clandestine visits to my various systems. I find their pitiful attempts to match the glory of the Dark Side beneath contempt. You will crush them, my young apprentice. Show them the power of the Dark Side. Rewards will be yours and perhaps one day you may rise to the level of a Sith Lord yourself. I will tell you how to find these loathsome servants after you accept. And I know you will. Hahahahaha!');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '114', 'm17f', 'You are not shaping up to be a respectable Sith Lord if these are the results I can expect from you. How pathetic! Begone, foul apprentice!');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '115', 'm17i', 'You must use the Dark Side to find these miscreants, apprentice. This was part of your test. You\'re not impressing me.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '116', 'm17l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '117', 'm17o', 'The Emperor (Honest)');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '118', 'm17s', 'You have done well, my young apprentice. Soon the galaxy shall see the rise of a new Sith Lord. But only if you continue to serve me faithfully.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '119', 'm17t', 'Help a deranged citizen');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_gangster.stf', '120', 'number_of_entries', '17');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '1', 'm1d', 'Sometimes planetary governments overstep their authority, which can cause headaches for Imperial law enforcement.  Case in point: The king of Malgwen IV has mistakenly issued pardons to a notorious band of pirates who once terrorized the Aparo Sector.  While the Imperial Navy has sent a Star Destroyer to instruct the king in the particulars of galactic law, we must also explain to these pirates that their pardons are incorrect on a few minor points.  For this purpose we are contracting an enforcement team to blast their den into a smoking heap of bodies and microscopic rubble.  Perhaps in the future such mistakes in legal protocol will occur less frequently.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '2', 'm1f', 'Perhaps the subtleties of galactic law escape you.  Next time we shall assign you a mission of a less intricate nature.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '3', 'm1i', 'I\'m afraid any complaints about incorrect coordinates must be filed in person with the Imperial Bureau of Cartographical Precision, Coruscant Division.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '4', 'm1l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '5', 'm1o', 'Imperial Office of Criminal Investigations');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '6', 'm1s', 'You have a knack for the precise workings of galactic law.  Perhaps you should consider applying to the Imperial Bar.  Your services would be most welcome.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '7', 'm1t', 'Instruct a band of pirates in Imperial protocol');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '8', 'm2d', 'Some women would be ashamed to admit that they married the wrong man, but I\'m not one to lie to myself.  Karst Bono charmed his way right into my family inheritance.  Then he took everything he could grab and returned to his wretched hive of pirate friends.  Never trust a gentleman pirate.  I will not deny that I made a mistake, but I am prepared to clean up the mess I made.  All I need are a few skilled hands to visit my delinquent husband and his thieving friends.  The remedy to my problem is simple.  Raze the pirates\' den to the ground and laser the pack of scoundrels into dust.  Extermination is the simplest form of divorce.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '9', 'm2f', 'You weren\'t successful?  That\'s unfortunate.  I hope my husband doesn\'t hold this against me at the divorce proceedings.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '10', 'm2i', 'They must have known you were coming.  I hope my husband doesn\'t hold this against me at the divorce proceedings.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '11', 'm2l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '12', 'm2o', 'An Impending Widow');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '13', 'm2s', 'Thank you.  That was better than alimony.  Here\'s your payment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '14', 'm2t', 'Raze a pirates\' den');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '15', 'm3d', 'I always instruct my freight pilots to cooperate with pirates, because freebooting need not entail bloodshed.  However, one of my ships has just been robbed of something more valuable than mere cargo.  The databanks of a stolen computer included some private business records which need to remain discreet.  My insurance company may not approve of any correlation between my losses to pirates and my contacts with same.  Therefore, much as I am loathe the interfere with the entrepeneurial spirit, I need to hire some agents to infiltrate a certain landing bay and ensure that the stolen computer is destroyed.  Just to be safe, while said agents are on the premises, they should level the place and make sure that none of the pirates escape.  I would not require such severe measures if I did not have the utmost respect for this ancient profession.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '16', 'm3f', 'While I have great respect for the time-honored profession of freebooting, I cannot abide agents who fail me.  Come back when you\'re prepared to finish the job properly.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '17', 'm3i', 'I was assured that the pirates could be found at that coordinates.  I wonder what game their captain is up to?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '18', 'm3l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '19', 'm3o', 'A Respectful Merchant');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '20', 'm3s', 'Such a shame.  Those poor pirates were only trying to make their way in the universe.  Perhaps you should consider filling the void they left behind.  Think of this payment as seed money and let me know what you decide.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '21', 'm3t', 'Destroy a stolen computer and the pirates who took it');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '22', 'm4d', 'A wedding is a beautiful thing, don\'t you agree?  My eldest son is engaged to a harem of twelve Ithorian sisters.  They will not make the most graceful of wives, but they do bring a respectable dowry.  Unfortunately a squadron of pirate fighters has been threatening the local star lanes.  I am concerned that the dowry may be stolen.  The wedding would then be cancelled, which would break my poor son\'s heart.  Please, can you help a loving father by blasting all trace of these pirate scum from surface of the planet?  Do it for the cause of love, and you shall receive a hefty pile of credits for your trouble.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '23', 'm4f', 'My son\'s heart will crack when he hears that the dowry is still in danger.  I suppose I need someone more skilled at death and mayhem to safeguard his happiness.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '24', 'm4i', 'Sometimes pirates are difficult to track down.  I\'ll try to get more precise coordinates.  Check back later.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '25', 'm4l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '26', 'm4o', 'A Loving Father');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '27', 'm4s', 'Truly yours was an act of love.  Here are the promised credits to defray the cost of thermal detonators and blaster fuel.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '28', 'm4t', 'Protect a wedding by eliminating pirates');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '29', 'm5d', 'Vile pirates in our very own sector!  These despicable cutthroats have raided one of our volunteer freight ships and stolen a precious cargo of Kowakian monkey-lizards headed for orphans on Gamorr.  In response we have sold enough home-baked Horquad cakes to hire a team of assassins to lay waste to these loathsome murderers.  We have the coordinates to their secret den.  Leave no wall standing!  We must fight back in the name of goodness and virtue.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '30', 'm5f', 'We didn\'t hire you to hear excuses.  Does your mother know what a failure you\'ve become?  Honestly, there\'s no pride in the galaxy anymore.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '31', 'm5i', 'I\'m positive those were the proper coordinates.  If you can\'t find the place, just say so.  We\'re Toydarians; excuses don\'t work on us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '32', 'm5l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '33', 'm5o', 'Toydarian Women\'s League');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '34', 'm5s', 'Those poor orphans will never get their monkey-lizards, but at least they can lay down their little heads at night knowing that the villains who robbed them died a horrible, fiery death.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '35', 'm5t', 'Pirates have stolen pets from orphans!');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '36', 'm6d', 'There is a Gamorrean warrior standing beside me.  He seems to want me to broadcast a request for him.  By his grunts and pointing, I\'m pretty sure that he wants someone to destroy a pirate cantina not far from here.  At least I think that\'s what he wants.  He gave me a bunch of credits, which I suppose are intended to be payment.  Anyway, I\'ll transmit the coordinates of the cantina to anyone who\'s interested.  Please respond quickly and make sure all the pirates are killed.  This Gamorrean has a very large axe in his hand.  I\'m afraid he\'s going to hurt me if I don\'t get this right.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '37', 'm6f', 'I\'m afraid the Gamorrean is not happy about this failure.  He\'s waving his axe in the air.  Oh no, he\'s coming at me!  Wait, please, don\'t hurt merfghnjmkjllkkkkk');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '38', 'm6i', 'I didn\'t think those were the right coordinates, but the Gamorrean kept snorting at me when I entered different ones.  Now he\'s even more upset that nothing happened.  I have a bad feeling about this.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '39', 'm6l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '40', 'm6o', 'A Cooperative Citizen');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '41', 'm6s', 'Oh boy.  Now that you\'ve destroyed the pirate cantina, I\'m not so sure that\'s what the Gamorrean wanted.  He sees the smoke and is getting upset.  I don\'t suppose you could give me back those credits?  Please?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '42', 'm6t', 'A request on behalf of a Gamorrean warrior');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '43', 'm7d', 'Ion cannons are the ideal weapon for space pirates.  The Empire is very careful to restrict the movement of artillery-class ion guns, yet inevitably some of them fall into the wrong hands.  Fortunately less experienced pirates fail to disable the tracking circuits, allowing us to locate and disable the cannons.  The preferred method for such action is a swift ground strike, killing everyone and utterly razing the pirate installation.  We routinely hire civilian contractors for these tasks.  Interested parties may contact us for the appropriate coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '44', 'm7f', 'Private contractors who fail to deliver are guilty of financial fraud.  We shall assign an Imperial inquisitor to audit your case.  Cooperation is cheerfully recommended.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '45', 'm7i', 'It seems that someone tampered with the tracking circuit.  We have noted this complication in the case file.  Please contact with us again for more assignments.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '46', 'm7l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '47', 'm7o', 'Imperial Office of Criminal Investigations');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '48', 'm7s', 'The Empire appreciates a reliable contractor.  Here is your payment.  Please contact us again for more assignments.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '49', 'm7t', 'Destroy a pirate\'s ion cannon');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '50', 'm8d', 'This is going to sound strange, but hear me out.  A band of pirates has set up shop in my district with a peculiar method of operation.  They force ships to land using a small ion cannon, and then employ a stolen AT-AT walker to subdue the survivors and spirit away the cargo.  My problem isn\'t that the pirates are active.  Rather their possession of an AT-AT is extremely dangerous to me.  The Empire audits all of my records.  If I send my own security forces to deal with this situation, the reports will wind up in the hands of the military and my planet may become one of the Empire\'s famous \"examples to others.\"  So I need to delegate this assignment to an outside force.  Payment will reflect an assumption of discretion.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '51', 'm8f', 'Lucky for you I can\'t report this failure or the Empire will find out about the pirates\' AT-AT.  But I\'m going to keep my eye on you, all the same.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '52', 'm8i', 'I can\'t confirm the coordinates of the pirate base without tipping off the Imperial auditors.  I\'ll have to check out the situation personally.  Try me again later.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '53', 'm8l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '54', 'm8o', 'Local Prefect C-912');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '55', 'm8s', 'My men have confirmed that there\'s no trace of the AT-AT on the site.  You may have saved the entire planet.  Good work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '56', 'm8t', 'Eliminate an unusual pirate gang');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '57', 'm9d', 'There\'s a code, you know, among the brotherhood of pirates.  At the top of the list is this: There\'s folks you steal from and there\'s folks you buy from.  The two don\'t mix.  My particular profession, for instance, is historically exempt from piracy.  But a certain newcomer seems to lack historical perspective.  Not long ago he took from me a shipment of Dressellian smoke-rum and has failed to settle the account.  Another customer has provided me with the coordinates of his private villa.  I need a group of toughs to trash the place and explain to him the consequences of flouting tradition.  If he and his crew do not live long enough to apply this lesson, my heart shall not be broken.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '58', 'm9f', 'Seems this newcomer put up more of a fight than we bargained for.  I\'ll have to re-think my strategy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '59', 'm9i', 'My customer gave me the wrong coordinates?  Interesting.  I\'ll have to see if it was deliberate or a mistake.  A merchant\'s job is never done.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '60', 'm9l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '61', 'm9o', 'An Irate Wine and Spirits Merchant');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '62', 'm9s', 'It\'s a shame that simple ignorance has led to this tragic loss.  That was a particularly nice batch of smoke-rum.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '63', 'm9t', 'Explain polite behavior to a pirate captain');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '64', 'm10d', 'With so many of our resources handling political offenses, sometimes the Imperial Office of Criminal Investigations must hire contractors to deal with ordinary crimes such as piracy. For instance, we have the coordinates of a small habitation which is suspected to harbor a dangerous crew of notorious pirates.  We need a team of civilians to reconnoiter the area and destroy all buildings and collateral assets they find.  Of course \"collateral assets\" include pirates, suspected pirate sympathizers and those associated with suspected pirate sympathizers.  Efficient execution of these instructions will result in a favorable ranking on our official list of contractors.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '65', 'm10f', 'You are an inefficient contractor.  This breach of contract shall be noted in our records.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '66', 'm10i', 'It is the responsibility of a contractor to confirm an assignment before accepting it.  Our records will note your failure to verify these coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '67', 'm10l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '68', 'm10o', 'Imperial Office of Criminal Investigations');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '69', 'm10s', 'You are an efficient contractor and loyal Imperial citizen.  We have noted this in our records.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '70', 'm10t', 'Routine elimination of pirates and suspected pirate sympathizers');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '71', 'm11d', 'Unbelievable.  These days anyone thinks they can become a pirate.  A large collection of jizz musicians has bought themselves a stash of weapons and decided to call themselves hardened criminals.  It\'s not even worth a real pirate\'s time to teach them a lesson.  So on behalf of parties who shall go unnamed, I am hiring some muscle to show these jizz-wailers what real trouble looks like.  Go to their den at these coordinates and show them no mercy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '72', 'm11f', 'Can\'t even whack a few jizz-wailers, eh?  Then there\'s no money for you, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '73', 'm11i', 'I could have sworn those were the right coordinates.  Let me check my map and get back to you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '74', 'm11l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '75', 'm11o', 'A Helpful Accomplice');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '76', 'm11s', 'Alas, the jizz community shall mourn the loss of these clowns.  The rest of us raise our glasses to a job well done.  Enjoy the reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '77', 'm11t', 'Whack some wannabe pirates');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '78', 'm12d', 'Pirates have always interfered with our freighters, but lately a particular captain has become a singular nuisance.  In this sector he is known as the Black Scourge.  An absurd rumor claims that he is a simple MSE-6 mouse droid, but of course that\'s ridiculous.  Could a mouse droid make a shambles of all our trade with the Empire?  Could it steal a shipment of tractor beams from under our noses while tricking two squadrons of TIE escorts into attacking each other?  Whoever this devil really is, we now have the coordinates of the secret hangar from which he and his seasoned accomplices plot their next deadly assault.  We require the services of a battle-hardened team to storm this lethal den and eliminate the dangerous murderers within.  Our business with the Empire depends upon success.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '79', 'm12f', 'Your failure has resulted in the Black Scourge\'s escape!  Our contracts with the Empire are now in serious jeopardy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '80', 'm12i', 'Curse that Black Scourge!  He must have sliced into our datanet and changed the coordinates.  We\'ll find him yet!');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '81', 'm12l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '82', 'm12o', 'The Rodian Industrial Consortium');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '83', 'm12s', 'Well done!  Our investigators confirm that the only \"survivor\" was a worn-looking mouse droid, which we left behind in the rubble.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '84', 'm12t', 'Eliminate the Black Scourge');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '85', 'm13d', 'We have pinpointed the coordinates of a ground-based tractor beam used by area pirates.  For a percentage the owners use the beam to trap merchant ships so that space pirates can board them.  We need a civilian strike team to take out the weapon.  The site is heavily guarded, so be prepared for a fight.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '86', 'm13f', 'We warned you to be prepared for trouble.  Evidently you were not prepared enough.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '87', 'm13i', 'We suspect that our informant provided us with false coordinates.  We are having a long discussion with him about the matter.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '88', 'm13l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '89', 'm13o', 'Imperial Office of Criminal Investigations');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '90', 'm13s', 'Now the merchants who fly through local space have one less worry.  Well done.  Here is your payment.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '91', 'm13t', 'Take out a pirate tractor beam');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '92', 'm14d', 'Our informants have assured us that quite a number of wanted pirates frequent an obscure little cantina at these coordinates.  Enterprising freelancers are encouraged to remove this blight from the planet.  A substantial reward is available.  These are hardened criminals and will be well-armed.  The cantina is billed as a \"private club,\" so don\'t expect a warm welcome.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '93', 'm14f', 'The Empire does not forgive failure.  This incident shall be noted in your file.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '94', 'm14i', 'We did say the cantina was obscure.  Perhaps our coordinates were in error.  Come back later and we\'ll have this sorted out.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '95', 'm14l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '96', 'm14o', 'Imperial Office of Criminal Investigations');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '97', 'm14s', 'Here is your reward.  The star lanes are safer thanks to your good work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '98', 'm14t', 'Erase a shady cantina from the community');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '99', 'm15d', 'Even pirates have to eat.  We have the coordinates of a secret depot where these space outlaws buy contraband food supplies without notifying the authorities that they have landed.  We need some experienced freelancers to blast the site to smoke and rubble.  There are usually one or two armed pirate crews in the area, so destroying this depot entails some danger.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '100', 'm15f', 'These cutthroats have plagued this system for far too long.  We need someone to complete this assignment and send them a clear message that they\'re not welcome here.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '101', 'm15i', 'When you deal with underworld informants, sometimes you get faulty data.  We\'ll double-check the coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '102', 'm15l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '103', 'm15o', 'Imperial Office of Criminal Investigations');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '104', 'm15s', 'Excellent.  Those space scum need to understand that their cutthroat ways are not welcome in this system.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '105', 'm15t', 'Destroy an outlaw supply depot');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '106', 'm16d', 'An enterprising pirate captain recently stole a cargo of Imperial probe droids.  With a little reprogramming these droids have become his scouts in the area, monitoring the local spaceports and alerting him when a rich freighter takes off.  Our own probots have tracked his droids to a well-fortified terminal off the beaten path.  We would like to contract some freelancers to stage an assault on the terminal and blast it into oblivion.  Survivors are not encouraged.  Contact us for the coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '107', 'm16f', 'We cannot abide these probe droids making life easy for this pirate.  Perhaps you know of someone who is competant enough to finish the job?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '108', 'm16i', 'Our probots must have transmitted the wrong coordinates to us.  We\'ll deploy more to determine what went wrong.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '109', 'm16l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '110', 'm16o', 'Imperial Office of Criminal Investigations');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '111', 'm16s', 'Good work.  Without his fleet of probe droids, that pirate will have to track down his quarry the old-fashioned way.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '112', 'm16t', 'Blast a pirate droid terminal to oblivion');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '113', 'm17d', 'A good captain likes to challenge his crew every now and then.  I\'ve got some brutes in my employ whose mettle needs testing.  To do this I need some handy marksmen to launch a surprise assault on the barracks where they\'re currently lodging.  Show them no mercy.  Only the toughest freelancers need apply, and I\'ll pay handsomely if you do the job well.  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '114', 'm17f', 'That was a pathetic effort.  You\'d never cut it on my crew.  Get lost.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '115', 'm17i', 'I can navigate hyperspace with the best of\'em, but I\'m not real handy with surface coordinates.  Sorry about that.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '116', 'm17l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '117', 'm17o', 'A Good Captain');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '118', 'm17s', 'Hm.  I expected at least a few of my crew to survive.  Well, I guess they weren\'t up to the rigors of the job.  Here\'s your payment.  I don\'t suppose you\'re looking for work?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '119', 'm17t', 'Attack a barracks');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_pirate.stf', '120', 'number_of_entries', '17');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '1', 'm1d', 'Spice smuggling and gunrunning has risen dramatically in this sector. With the help of Imperial Intelligence, we\'ve managed to locate the hideout of a notorious band of smugglers. We don\'t want to bother the Imperial Military with this matter so we thought we\'d take care of it locally. There are plenty of loyal and able-bodied citizens willing to help the local law enforcement authorities, after all. This mission will be perilous and therefore we\'re offering a compensatory reward. However, a thorough job must be done. The base must be wiped out. Can you lend a hand, citizen?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '2', 'm1f', 'It seems the mission was beyond your scope, citizen. We\'ll try and find some more appropriate agents. Thank you for your time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '3', 'm1i', 'We must inform Intelligence that their coordinates might have been tampered with. It must be the work of Rebels.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '4', 'm1l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '5', 'm1o', 'Imperial Office of Criminal Investigations');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '6', 'm1s', 'Mission accomplished, citizen. We knew we could rely on the brave citizens of the Empire to help keep their systems free of crime. The reward is yours.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '7', 'm1t', 'Help local law enforcement');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '8', 'm2d', 'As with any sort of vermin, once you clean out the nest, the infestation will disappear. So it is with smugglers, citizen. We know of a local warehouse being used to store all sorts of contraband, from illegal weapons to glitterstim spice. We need a team of law-abiding citizens to clean this \"nest\" out. We\'re certain that the smugglers will stop coming around here when they see what ordinary citizens are willing to do to their ill-gotten goods. Do you think you could help us out with this, citizen?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '9', 'm2f', 'Maybe you\'re not cut out for this sort of work. Thanks for your time anyway, citizen. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '10', 'm2i', 'There was a miscommunication apparently. Sorry about that. We\'ll get those coordinates right.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '11', 'm2l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '12', 'm2o', 'Imperial Office of Criminal Investigations');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '13', 'm2s', 'That was a thorough job, citizen. I doubt those vermin will be coming around here anymore. Collect your well-earned credits.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '14', 'm2t', 'Wipe out smuggler den');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '15', 'm3d', 'Catching smugglers can be like trying to catch flies with your hand, citizen - you have to be fast and alert if you want to succeed. We\'ve certainly been alert, and now we need someone to be fast for us. We\'ve tracked down a smuggler\'s outpost used to store contraband and harbor criminals. We don\'t have the manpower necessary to strike this den of thieves, but we can certainly try to entice enterprising citizens into doing it for us. There\'s a juicy reward in it for you if you succeed. Come on, citizen, the Empire could really use your help. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '16', 'm3f', 'Well I guess you weren\'t fast enough. We\'ll have to move fast if we still hope to eliminate this outpost. Better luck next time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '17', 'm3i', 'Hm, perhaps we weren\'t as alert as we thought. We\'ll have to double-check those coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '18', 'm3l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '19', 'm3o', 'Imperial Office of Criminal Investigations');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '20', 'm3s', 'Seems like you were fast enough to catch those particular flies, eh, citizen? Good job. You\'ll make a fine law enforcement agent yet.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '21', 'm3t', 'Remove smugglers\' outpost');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '22', 'm4d', 'There are smugglers and there are smugglers, if you know what I mean. Some of these second-rate flyboys don\'t merit our full attention but neither can we afford to completely ignore them. If they\'re contracted for a job, even a small job, and hydrospanner it to pieces then you\'ve got to pay the penalty. Our organization is offering a reward to anyone who can settle some of these small matters for us. We have the coordinates to various hideouts used by these smugglers and need someone to make sure they don\'t offer their incompetent services to anyone again. Blast their hideouts to pieces. Blast them to pieces too if they\'re there. Collect from us when you\'re done. See? That\'s how all business should be conducted. Simple and easy.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '23', 'm4f', 'It was the phrase \"simple and easy\" that threw you, wasn\'t it? We\'ll just add you to our list of \"incompetent agents.\" Good-bye.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '24', 'm4i', 'These shifty characters move around a lot, as you can imagine. Keep checking back with us, we\'ll eventually get you a set of coordinates that are still valid.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '25', 'm4l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '26', 'm4o', 'Black Sun');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '27', 'm4s', 'Handled like a true professional. Very good. Collect your reward and move on to the next one.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '28', 'm4t', 'Take out some amateurs');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '29', 'm5d', 'Smugglers certainly prosper in times of civil crisis. The Rebellion is unfortunately creating many job opportunities for these lowlifes and is in fact attracting more unemployed pilots to the trade. Our job is to wipe them out as fast as we can find them, but we can\'t do it alone. We\'ll gladly offer a reward to anyone that cares to lend a helping blaster. We have the coordinates to their bases of operation and need them cleaned out. We don\'t really care how you do it as long as the bases are left in a shambles. Can you help the Empire with this work, citizen?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '30', 'm5f', 'Maybe moisture farming is more your speed, eh? This dangerous work should be left to the serious professionals with plenty of nerve. Thanks anyway.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '31', 'm5i', 'Some of these coordinates are old, true. We\'ll just cross out the ones that are no longer valid. Thanks for checking that for us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '32', 'm5l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '33', 'm5o', 'Imperial Office of Criminal Investigations');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '34', 'm5s', 'Fairly effective, citizen. We think you may have found a new line of work. Plenty of it these days too. Enjoy your reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '35', 'm5t', 'Help local law enforcement');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '36', 'm6d', 'I don\'t know who\'s been telling these space slugs that smuggling is glamorous or easy work. Seems like everyone is trying to get in on the action. Just creates more work for us, of course. We\'ve been authorized to employ independent agents to help with the workload. You enjoy blasting things? Like doing it with the weight of the law behind you? Well here\'s your chance, citizen. We\'ll provide you with the coordinates to a known smuggler\'s base and your trigger-happy self can have a grand old time. Blast away! When the job\'s done we\'ll throw in some credits for your trouble. Not a bad job, eh?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '37', 'm6f', 'Too bad your skill was not the equal of your enthusiasm. Well that\'s how the droid clanks. Thanks for the attempt, though. Too bad we don\'t reward attempts.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '38', 'm6i', 'We thought some of these locations might be bogus. Good we\'re finding out which ones are, eh?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '39', 'm6l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '40', 'm6o', 'Imperial Office of Criminal Investigations');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '41', 'm6s', 'Well it sure looks like you can use that blaster instead of just wearing it. Good for you! Here\'s the credits we promised. Blast more, get more.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '42', 'm6t', 'Hunt smugglers');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '43', 'm7d', 'We have some legitimate complaints concerning some local smugglers. We don\'t really want to involve the authorities - you know how messy that can get. Instead we\'d like to try and handle this matter in a more discreet manner. We\'ll offer a substantial reward to anyone that cares to pay these smugglers a visit and show them the effectiveness of the working end of a blaster. No names are necessary. We\'ll provide you the coordinates and insure that payment is made into your account when the job is complete. How about it? You think you could handle some extra cash?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '44', 'm7f', 'Your failure to handle this matter has caused us to rethink our strategy - or at least our choice of agents. The galaxy\'s a dangerous place, you know. Hope you can survive out there.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '45', 'm7i', 'Wrong coordinates? How embarrassing. Please excuse our small oversight and try checking back with us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '46', 'm7l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '47', 'm7o', 'A Simple Businessman');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '48', 'm7s', 'Well done. Your account will be credited. Do look us up in the future.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '49', 'm7t', 'Help a businessman');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '50', 'm8d', 'I was warned not to go with the cheapest rate when it came to smuggling, but did I listen? Now I\'m in this position of having to pay someone to take care of the problem caused by going with the bargain smuggler. Those are two words that should never go together, huh? \"Bargain\" and \"smuggling.\" The deal is the usual one, of course. I pay a reward for having someone take this cheap swindler and their base out and you are the someone that either accepts or declines the offer. If you accept, the coordinates to this slug\'s base will be transmitted to you. If you decline, our business is concluded. So which will it be?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '51', 'm8f', 'It would have been easier if you had simply declined. Guess I\'ll keep looking for that \"someone.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '52', 'm8i', 'My assistant sent those coordinates. Now it looks like I\'ll have to fire him. Why does everything bad always happen to me?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '53', 'm8l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '54', 'm8o', 'A Tired Businessman');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '55', 'm8s', 'Good work, good job, and all that. Your reward will be sent to your account. I\'m sure you\'re thrilled.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '56', 'm8t', 'Take out the bargain smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '57', 'm9d', 'Oh, I hope I\'m doing this right. Okay, here goes... \n\nHello. I\'m looking for someone brave and enterprising. Oh, and good-looking wouldn\'t hurt either. Although it\'s not really necessary for this mission. I just prefer good-looking people. Well groomed, at the very least. Anyway, I need someone with the aforementioned qualities to find a very bad person for me. Find them and teach them a good lesson. You can even burn their base to the ground. I prefer that, actually. This scoundrel cheated my family out of a lot of money. Made my father sick, as a matter of fact. My poor father, he\'d just die if he knew I was doing this. But it has to be done. I rely on the discretion of whomever accepts this assignment. And if you do accept, I\'ll tell you where to find this nerf-herder. I hope you accept. Oh, and you don\'t really have to be good-looking or well groomed. I was just being silly. Okay, thanks. Talk to you soon. I hope.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '58', 'm9f', 'So you failed to teach this slug a lesson, okay. I can live with that. That\'s how it goes, right? You weren\'t expecting to be paid, right? Because, I\'m not paying you. You failed, remember?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '59', 'm9i', 'Oh, gosh, I\'m so sorry I gave you the wrong coordinates. This is my first time doing this, in case you couldn\'t tell. Check back with me and I\'m sure I\'ll have it all straightened out.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '60', 'm9l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '61', 'm9o', 'An Indignant Woman');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '62', 'm9s', 'Wonderful! I knew you could do it! I\'m so happy. My family thanks you. Good job! Oh, I need to pay you now, huh? Okay, I\'ll do that. My hero.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '63', 'm9t', 'Avenge a wronged family');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '64', 'm10d', 'Let\'s get down to business. I give you the location of some former business associates, you burn their hangout to the ground and make sure no one lives to tell the tale, and I pay you lots of credits for your trouble. Only serious professionals need apply. You in?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '65', 'm10f', 'I said only serious professionals need apply. What part of that did you not understand? Beat it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '66', 'm10i', 'I was just testing your resolve. Check back with me and I\'ll give you the correct coordinates. Can\'t be too sure these days, you know what I mean?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '67', 'm10l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '68', 'm10o', 'An Impatient Businessman');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '69', 'm10s', 'Did the job, collect the credits, see you around.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '70', 'm10t', 'Conclude a small business deal');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '71', 'm11d', 'The Rebellion might have been crushed by now if not for the activities of these smugglers. They\'re a thorn in the side of the Empire and must be stamped out. The Imperial Military has their hands full trying to track dangerous terrorists down so we must rely on the loyalty and patriotism of Imperial citizens to help wipe out this smuggler menace. Our contacts with Imperial Intelligence have fortunately allowed us to acquire the locations of several smuggler bases. A substantial reward awaits the successful destruction of these bases. Can the Empire count on your help, citizen?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '72', 'm11f', 'We suppose not all Imperial citizens are cut out to perform this sort of duty. Have you considered a career in the custodial engineering field?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '73', 'm11i', 'It seems that some of these coordinates are outdated. We\'ll have to amend our list.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '74', 'm11l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '75', 'm11o', 'COMPNOR');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '76', 'm11s', 'A successful strike against the smugglers is a blow against the Rebellion, citizen. Bravo. The reward is yours.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '77', 'm11t', 'Be a good Imperial citizen');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '78', 'm12d', 'Smugglers? No sir, don\'t like \'em. In fact, I don\'t like \'em enough to offer a reward to anyone brave enough to wield a blaster against those space slugs. My contacts in the Imperial Transport Authority has given me access to the locations of some suspected smuggler lairs. The Empire\'s too busy playing war with those Rebels to really do anything about these bases and we\'re terribly understaffed (and underpaid, I might add). So why am I doing this? Well truth be told, I lost my wife to one of these scoundrels. Now I want some payback, ya hear? So, you in or out?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '79', 'm12f', 'No worries, I\'m used to seeing incompetence in my office. Deal with it everyday. Too bad in my office it doesn\'t mean you don\'t get paid. Here it does.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '80', 'm12i', 'Now I never said all those coordinates were accurate, did I? Some are, some aren\'t. You gotta work for this reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '81', 'm12l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '82', 'm12o', 'An Angry Civil Servant');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '83', 'm12s', 'That\'s showing \'em. I bet those smugglers didn\'t know what hit \'em. Way to go. The reward\'s yours.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '84', 'm12t', 'Correct an injustice');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '85', 'm13d', 'We\'re tired of smugglers posing as legitimate transport captains and taking away our business. So many clients have started relying on organized transport guilds rather than on freelance pilots because they think every independent pilot is actually a smuggler and they don\'t want to risk having their shipments seized. Well we\'ve followed some of these smugglers and have located several of their bases. We\'re not soldiers, though, so we need someone to go into these bases and blow them to atoms. We\'ve pooled together a decent amount of credits to serve as a reward. Do you think you have the stomach and the wherewithal to pull off a mission like this?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '86', 'm13f', 'No results, no payment, sorry. We would have thought that was fairly obvious from the start.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '87', 'm13i', 'Those bases get abandoned after a short while, it seems. We\'ll just have to keep following those smugglers and see where they nest next.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '88', 'm13l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '89', 'm13o', 'Independent Transport Pilots');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '90', 'm13s', 'Good job, citizen. You ever consider doing this professionally? You\'d make a pretty decent crime fighter. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '91', 'm13t', 'Help independent transport pilots');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '92', 'm14d', 'I used to be a Police Prefect on Tatooine. That is until I lost my job due to the activities of several traitorous smugglers. We had a system. It was all worked out. But some people have to buck that system. They\'re not happy with the status quo. Well if my career is ruined then so will those smugglers\' careers. I\'m offering a generous reward to anyone who will obliterate those smugglers\' bases and make sure they never trouble another prefect again. If you accept, I\'ll transmit the coordinates to you. You\'d better go in shooting first and asking questions later. If you even get to the questions part, that is.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '93', 'm14f', 'You remind me of some of my law enforcement agents - high on bluster but low on results. Too bad.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '94', 'm14i', 'They won\'t escape me for long, trust me. I\'ll find them, I swear. Keep checking back with me.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '95', 'm14l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '96', 'm14o', 'A Disgraced Former Prefect');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '97', 'm14s', 'Now those are results you can take to your superiors. Good work! Keep at it. There\'s plenty more where this reward came from.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '98', 'm14t', 'Destroy smuggler bases');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '99', 'm15d', 'I was a legitimate businessman, obeying all the Imperial laws and ordinances and working hard to raise a family. Until the day a smuggler, posing as an independent transport pilot, came into my life and ruined everything I had worked so hard to get. I lost my business, my family, and my self-respect. Well I intend to get that last bit back. I\'m offering a reward, everything I have left, to anyone who can make sure this smuggler doesn\'t ruin any other honest, hard-working businessmen. I know where that damn smuggler hides, you see. They think they\'re safe but we\'ll soon show them how wrong they are. Can you help a man regain his self-respect, citizen?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '100', 'm15f', 'Now I\'m sure this smuggler will \"disappear\" for a while. Damn! Why couldn\'t you have just finished the job? Why?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '101', 'm15i', 'That dirty smuggler must have known I was sending folks after them. I must keep trying to track them down.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '102', 'm15l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '103', 'm15o', 'A Desperate Man');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '104', 'm15s', 'Well struck, citizen! Haha! Take that, you dirty, rotten smuggler! Take the reward, citizen, you\'ve earned it. My self-respect is restored thanks to you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '105', 'm15t', 'Help the disgraced businessman');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '106', 'm16d', 'I knew you would look at this offer, citizen. You know why? Because I\'m the Emperor! Yes, that\'s right. And now you are my willing minion. What do I require of you, you ask? Well it seems that some of my minions are not as obedient as you. They have decided it would be amusing to betray their Emperor. Now they will pay the price for their lack of vision. And you, my young apprentice, will be the instrument of their demise. Hahahahaha! You will receive my generous gratitude in addition to some form of lucre. Who knows, if you perform up to my standards, I may call you to Imperial Center and appoint you as one of my advisors. I know that would please you. Will you take your place at my side?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '107', 'm16f', 'Young fool, only now, at the end, do you understand the price of your failure. Turn yourself in to the nearest stormtrooper garrison and demand that you be shot at once! I will be watching you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '108', 'm16i', 'You can\'t even follow some simple coordinates? You disappoint me, my young apprentice.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '109', 'm16l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '110', 'm16o', 'The Emperor (Honest)');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '111', 'm16s', 'Excellent! Everything is proceeding exactly as I have foreseen it. You will rise quickly in my estimation, young apprentice. Keep it up.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '112', 'm16t', 'Help a deranged citizen');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_neutral_medium_smuggler.stf', '113', 'default', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '1', 'm1d', 'As if we didn\'t have enough problems dealing with the Empire, it seems a local gang of thugs has been harassing citizens sympathetic to the Alliance. We\'ve located their hangout - a hive of scum and villainy if ever there was one. We need someone to drive these criminals out and make sure they don\'t set up camp in this area again. These creeps are even endangering our children. Someone must stamp this fire out before it becomes an uncontrollable blaze. Is there anyone out there willing to help us?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '2', 'm1f', 'This gang will attract more of its kind. Soon we may have Black Sun operatives muscling into the area. We wish you could have taken care of this, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '3', 'm1i', 'Seems this gang will be harder to pin down than we thought. They\'ll probably move around quite a bit, trying to prevent a coordinated attack by brave individuals such as yourself. We\'ll keep a sharp eye out for them.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '4', 'm1l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '5', 'm1o', 'A concerned citizen');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '6', 'm1s', 'That mangy pack of neks won\'t be coming around here anymore. Good work, citizen! The Alliance could use more folks like you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '7', 'm1t', 'Destroy gang\'s hangout');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '8', 'm2d', 'We think COMPNOR has been hiring some good-for-nothings to cause trouble for us citizens who support the Alliance. These thugs are really just petty criminals but they get bold when they assemble in a pack. Wouldn\'t take much to scare these slugs off, especially if the shelter they\'ve built for themselves were torn down. We certainly could use someone bold and noble to help us out. Someone who could find these guys and show them that not all citizens are easy prey. Is there someone out there like this?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '9', 'm2f', 'Perhaps these slugs were tougher than we thought. It\'s a shame you couldn\'t drive them away. We\'ll have to deal with this situation somehow.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '10', 'm2i', 'They must have moved their shelter. We bet they got word someone tough was on the way. Told you they were cowards. Check back with us, in case they pop up again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '11', 'm2l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '12', 'm2o', 'A concerned citizen');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '13', 'm2s', 'Good job! I bet those slugs ran faster than they ever have before. How we wish we could have been there to see their faces. Glad to see we can rely on you. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '14', 'm2t', 'Destroy troublemakers\' shelter ');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '15', 'm3d', 'I\'m so darn tired of those COMPNOR bullies! Pushing decent folk around and telling us what to think. Well, I\'ve had enough, I tell ya! Enough! I\'m offering a reward to any brave soul that wants to take those ruffians down a notch or two. They think that by setting up some sort of propagandy office they can intimidate the rest of us into kowtowing to that blasted New Order? Well I say phooey on the New Order! Phooey! I know my friends warned me not to mention my name, but by golly we gotta start standing up to these Imperial creeps or else we\'re doomed. So come on, claim your reward and do us all a huge favor. Get rid of these criminals and burn their propagandy to ashes!');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '16', 'm3f', 'Sorry there, citizen, but I can\'t reward ya for something that wasn\'t done. Come back when you can finish the job.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '17', 'm3i', 'See? Those COMPNOR clones get word that decent folk are tired of their shenanigans and they run like scared jakrabs! They\'ll be back though, you mark my words.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '18', 'm3l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '19', 'm3o', 'Kute D. Geezor');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '20', 'm3s', 'Now that\'s what I\'m talking about, citizen! Stellar performance. Those COMPNOR slugs won\'t come slithering around here no more. Take your credits, youngster, you deserve \'em.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '21', 'm3t', 'Destroy COMPNOR station');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '22', 'm4d', 'Just because some criminals declare loyalty to the Empire and wear COMPNOR badges, they think they can prey on the rest of us without fear of the law. These goons have been breaking into our homes and speeders, taking what they want and laughing in our faces about it. They shout \"Hail the Empire!\" as they drive by the settlement they robbed the night before. A few folks have even been killed defending their property. We\'re offering a reward to anyone who is willing to put a stop to this. These slugs are murderers and thieves. We know where they hang out. Will you be the one who delivers us from this tyranny?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '23', 'm4f', 'We\'ll just keep looking for the right champion. We know there\'s someone out there who can help us. This reward money is everything we have but we\'re willing to part with it if it means we can walk our streets again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '24', 'm4i', 'Maybe the Empire finally chose to put a stop to this criminal activity. No, more likely they moved their hangout so enraged citizens couldn\'t burn it in the middle of the night.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '25', 'm4l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '26', 'm4o', 'Desperate citizens');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '27', 'm4s', 'We knew there was an upstanding citizen out there somewhere. Hurray! You have our thanks and the reward. You richly deserve both.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '28', 'm4t', 'Stop the ring of thieves');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '29', 'm5d', 'A local swoop gang has been terrorizing the area. They call themselves the \"Shadow Angels of Dathomir\" - pretentious, huh? With a little help from our friends in the Alliance, we\'ve located the warehouse where they store, repair, and modify their swoops. If someone were to hit that place and burn it to the ground, the \"Shadow Angels\" would lose many of their bikes and probably leave the area. After all, take away a nek\'s claws and fangs and they turn into a mewling voorpak. There\'s a reward waiting for anyone that can accomplish this task. Will you be our champion?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '30', 'm5f', 'We knew this wouldn\'t be easy. It may be a job for several brave folk. We wish we could offer you something but our reward must go to the champions who defeat this swoop gang.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '31', 'm5i', 'They must have been tipped off and moved. These womp rats are sneaky, that\'s for sure. We\'ll ask our friends to help us locate them again.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '32', 'm5l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '33', 'm5o', 'Friends of the Alliance');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '34', 'm5s', 'Angels my behind! More like Shadow Barnacles! That\'s showing them, citizen! Woohoo! Claim your reward. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '35', 'm5t', 'Run off the swoop gang');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '36', 'm6d', 'The Empire has been employing local thugs to intimidate and bully citizens who show support for the Alliance or voice displeasure with the New Order. These citizens have sheltered members of the Alliance in the past and now they\'re asking for our help. We need a loyal Alliance member to pay those thugs a visit and show them we won\'t stand by while decent citizens are harrassed by Imperial goons. Can you help us out, friend? If we lose the support of the public, then our cause is hopeless. We\'ll send the coordinates to the thugs\' hangout upon receiving your acceptance of this mission. May the Force be with you. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '37', 'm6f', 'We can\'t claim this mission to be a success if those thugs are not driven away. Sorry, friend, better luck next time.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '38', 'm6i', 'Those thugs must have relocated. We\'ll try and get a fix on their new location.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '39', 'm6l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '40', 'm6o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '41', 'm6s', 'That\'s showing them, friend. The Empire will realize they can\'t push citizens around without paying the price. Good work.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '42', 'm6t', 'Help the beleaguered citizens ');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '43', 'm7d', 'Some of our informants have been having trouble with a local crime lord. Apparently this thug has discovered that our contacts are secretly working for us and is using that information to blackmail them. Further, this scum has hired enforcers to keep the rest of the community under their control knowing that our informants won\'t dare involve the Imperial authorities. We need to act quickly and save this community or we may lose some valuable resources. A visit to this crime lord\'s headquarters ought to get the point across. Do you think you could lend a hand, citizen?');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '44', 'm7f', 'This scum will continue to keep the neighborhood in the grip of fear. If you can\'t stop this then we\'ll have to find someone who can. ');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '45', 'm7i', 'Maybe the slug moved on? We\'ll check with our informants and get an update. Check back with us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '46', 'm7l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '47', 'm7o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '48', 'm7s', 'Job well done, citizen. You\'ve helped us establish our reputation as the champions of this community. That\'s certainly worthy of a reward.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '49', 'm7t', 'Run the crime lord out of town');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '50', 'm8d', 'We\'ve been tracking the Vibrodagger Killer for months now. We know that this animal used to work for COMPNOR and was given a vibrodagger similar to the ones used by Imperial Security Bureau agents as a reward for service to the Empire. It\'s the same weapon that this brute has been using to murder innocent citizens. One of our informants believes he knows where the Vibrodagger Killer has been hiding. There\'s an abandoned settlement that\'s been co-opted by spice addicts, many of them also known murderers. The Killer has been seen going in and out of this settlement. We need a decent agent to blast that den of evil to pieces, hopefully while the Killer is still inside. Can you help us end this terrible menace?  ');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '51', 'm8f', 'Those murderers will likely scatter throughout the galaxy. We should have stopped them while we had the chance.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '52', 'm8i', 'Could those slime have slunk off somewhere else? We\'ll have to tap our informants for an update.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '53', 'm8l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '54', 'm8o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '55', 'm8s', 'Good riddance. We hope that\'s the last we ever hear of the Vibrodagger Killer. Our thanks, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '56', 'm8t', 'Stop the Vibrodagger Killer');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '57', 'm9d', 'Because their support for our cause makes them vulnerable to criminal elements, we need to protect those citizens who stand against the Empire. One such group has recently come under attack by a local gang. These vile predators think it safe to prey upon these helpless individuals because the Imperial authorities will turn a blind eye to their criminal activities. The sad thing fact is that they\'re correct - the Imperial authorities will do nothing to protect these citizens. That\'s where we come in. We need brave freedom fighters to stand up to these brutes. We\'ll transmit the coordinates to their lair when we receive your acceptance of the mission. May the Force be with you.   ');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '58', 'm9f', 'Our supporters must be protected, friend. Without them, we\'re nothing. Sorry you couldn\'t help us do that.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '59', 'm9i', 'This gang moves around. We\'ll track down where they\'ve slunk off to. Check back with us.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '60', 'm9l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '61', 'm9o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '62', 'm9s', 'Congratulations, citizen. The Alliance is proud to have beings like you working for it.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '63', 'm9t', 'Stop the vicious gang');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '64', 'm10d', 'Some citizens sympathetic to our cause have asked for our help. A rash of break-ins have been plaguing their neighborhood recently. The thieves, having become emboldened by their success, have begun breaking into settlements during the day, while the residents are still at home. This has resulted in the deaths of five innocent citizens. Local law enforcement, resentful of the neighborhood\'s political leanings, have failed to bring these thieves to justice. It is up to us to put a stop to these violent home invasions. Our contacts have located the thieves\' hideout and we need an upstanding citizen to blast this place to space dust - that ought to drive those ruffians away. Could you help the Alliance with this problem, citizen? ');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '65', 'm10f', 'The break-ins will continue and perhaps worsen. Your failure to resolve this issue could cost more lives.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '66', 'm10i', 'Either our contact was mistaken or these thieves have moved their base of operations. We\'ll check this out.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '67', 'm10l', '');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '68', 'm10o', 'The Alliance to Restore the Republic');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '69', 'm10s', 'Excellent job, citizen. Those citizens will be told of your bold efforts. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '70', 'm10t', 'Break up the den of thieves');
INSERT INTO `client_strings` VALUES ('string/en/mission/special/mission_destroy_rebel_easy_civilian.stf', '71', 'number_of_entries', '10');
INSERT INTO `client_strings` VALUES ('string/en/mission/survey/survey_resource_names.stf', '1', 'fuel_petrochem_liquid', 'Liquid Petrochemical Fuel');
INSERT INTO `client_strings` VALUES ('string/en/mission/survey/survey_resource_names.stf', '2', 'petrochem_inert', 'Inert Petrochemicals');
INSERT INTO `client_strings` VALUES ('string/en/mission/survey/survey_resource_names.stf', '3', 'fuel_petrochem_solid', 'Solid Petrochemicals');
INSERT INTO `client_strings` VALUES ('string/en/mission/survey/survey_resource_names.stf', '4', 'radioactive', 'Radioactives');
INSERT INTO `client_strings` VALUES ('string/en/mission/survey/survey_resource_names.stf', '5', 'metal_ferrous', 'Ferrous Metal');
INSERT INTO `client_strings` VALUES ('string/en/mission/survey/survey_resource_names.stf', '6', 'ore_igneous', 'Igneous Ore');
INSERT INTO `client_strings` VALUES ('string/en/mission/survey/survey_resource_names.stf', '7', 'ore_extrusive', 'Extrusive Ore');
INSERT INTO `client_strings` VALUES ('string/en/mission/survey/survey_resource_names.stf', '8', 'ore_sedimentary', 'Sedimentary Ore');
INSERT INTO `client_strings` VALUES ('string/en/mission/survey/survey_resource_names.stf', '9', 'ore_siliclastic', 'Siliclastic Ore');
INSERT INTO `client_strings` VALUES ('string/en/mission/survey/survey_resource_names.stf', '10', 'gemstone_armophous', 'Armophous Gemstone');
INSERT INTO `client_strings` VALUES ('string/en/mission/survey/survey_resource_names.stf', '11', 'metal_nonferrous', 'Non-ferrous Metal');
INSERT INTO `client_strings` VALUES ('string/en/mission/survey/survey_resource_names.stf', '12', 'gas_reactive', 'Reactive Gas');
INSERT INTO `client_strings` VALUES ('string/en/mission/survey/survey_resource_names.stf', '13', 'gas_inert', 'Inert Gas');
INSERT INTO `client_strings` VALUES ('string/en/mission/survey/survey_resource_names.stf', '14', 'metal', 'Metal');
INSERT INTO `client_strings` VALUES ('string/en/mission/survey/survey_resource_names.stf', '15', 'ore', 'Ore');
INSERT INTO `client_strings` VALUES ('string/en/mission/survey/survey_resource_names.stf', '16', 'gas', 'Gas');
INSERT INTO `client_strings` VALUES ('string/en/mission/survey/survey_resource_names.stf', '17', 'gemstone_crystalline', 'Crystalline Gemstone');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_hutt_easy.stf', '1', 'deliver_hutt_easy_5', 'One of our informants needs to get a package to a friend, but doesn\'t want to blow their cover, so you\'re going to deliver the package.  Go meet the informant and make the delivery.');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_hutt_easy.stf', '2', 'deliver_hutt_easy_1', 'One of our trusted agents is under surveillance and needs you to deliver a package.  Meet the agent at the location given and help him out.');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_hutt_easy.stf', '3', 'deliver_hutt_easy_4', 'To keep Imperial security off our backs Jabba has instructed us to make several false deliveries anytime we deliver sensitive packages.  Even we don\'t know if the package you\'ll be getting is real or not, but chances are it\'s fake.  Go see the contact and make the delivery.');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_hutt_easy.stf', '4', 'deliver_hutt_easy_3', 'We got a message from a contact named Ree-Yees.  It seems a friend of his needs a package delivered.  Go find this friend, get the package, and find out where it needs to go.');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_hutt_easy.stf', '5', 'deliver_hutt_easy_2', 'It\'s important that we get a package delivered soon, in order to keep business running on this planet.  We need you to meet with the individual carrying the package and get information from him as to where it goes.');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_hutt_hard.stf', '1', 'deliver_hutt_hard_5', 'Due to the increased number of bounty hunters looking for one of our agents the delivery schedule has had to be altered.  Go get the package so the agent can disappear, and make sure it reaches it\'s destination.');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_hutt_hard.stf', '2', 'deliver_hutt_hard_1', 'One of our infiltrators in the Imperial Military has something he needs delivered.  You will be met incognito by the informant or one of his agents and given the package to deliver.  Make sure you\'re not followed by Imperials or Alliance agents, who may also want the package.');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_hutt_hard.stf', '3', 'deliver_hutt_hard_4', 'Jabba himself is aware of this package and it\'s importance to the scope of our operations on this planet.  If you fail to make this delivery don\'t bother showing your face on Tatooine for a while.');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_hutt_hard.stf', '4', 'deliver_hutt_hard_3', 'An important package needs to get to the proper individuals in order for a job that is happening imminently.  Get the package from the agent in charge and make the delivery to the field team.');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_hutt_hard.stf', '5', 'deliver_hutt_hard_2', 'Due to a death threat against one of our agents all pertinent items to their mission are being re-routed.  We want you to pick up a package and deliver it immediately.');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_imp_easy.stf', '1', 'deliver_imp_easy_5', 'An rise in criminal activity on this planet has made it necessary for us to hand deliver certain packages that we would have normally left to local couriers. Report to the listed contact to receive your specific delivery orders.');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_imp_easy.stf', '2', 'deliver_imp_easy_1', 'One of our loyal citizens on this planet voiced concerns about recent rebel activity interfering in his trade route. We wish to instill local business owners with confidence in the Empire\'s ability to deal with these criminals. You are to ensure the safe delivery of that cargo today.\n');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_imp_easy.stf', '3', 'deliver_imp_easy_4', 'Imperial Stormtroopers recently escorted a large quantity of supplies from one area of this world to another. Unfortunately, during an outbreak of violence created by rebel inciters, one of the items got left behind. Report to the supplier and deliver this last item so we can finish the paperwork.');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_imp_easy.stf', '4', 'deliver_imp_easy_3', 'Directive from Imperial Security Bureau, you are to report to the coordinates listed and pick up an important package for transportation. Do not inquire as to the nature or reason of this delivery. ');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_imp_easy.stf', '5', 'deliver_imp_easy_2', 'There is an Imperial in need of simple assistance. Meet with that individual at the coordinates listed and receive further instructions.\n');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_imp_hard.stf', '1', 'deliver_imp_hard_5', 'Members of the Hutt Cartel have been targeting Imperial citizens transporting goods across this planet. We need you to take over one of these deliveries and report any suspicious activities while en route. It is time we wiped the plague of unregulated crime from this system for good.');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_imp_hard.stf', '2', 'deliver_imp_hard_1', 'The Emperor himself commands you to assist in the transportation of top-secret cargo. You will receive the item and further instructions upon meeting with your contact. Long live the Emperor.');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_imp_hard.stf', '3', 'deliver_imp_hard_4', 'The rebels are intending to steal valuable imperial cargo from one of our less protected subjects. The subject has been informed and is considered inconsequential. Take his cargo by the order of the Emperor and deliver it to a more secure location.');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_imp_hard.stf', '4', 'deliver_imp_hard_3', 'To expose rebel sympathizers, the Emperor has allowed information to leak that you will be transporting a strategically vital package. This is a trap. The cargo your contact will give you is essentially worthless. Eliminate any rebels who try to intercept you. ');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_imp_hard.stf', '5', 'deliver_imp_hard_2', 'An operative working directly under Lord Vader requires your assistance in transporting a vital package. Rebels may try to intercept you en route. Die before allowing the rebels to take the package or you will assuredly die afterward once Lord Vader finds out about your failure.');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_neutral_easy.stf', '1', 'deliver_neutral_easy_5', 'I have a routine delivery job available. Just meet me and take a package from one part of this miserable planet to another.');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_neutral_easy.stf', '2', 'deliver_neutral_easy_1', 'A friend left a personal item at my house. I am unable to reach them on the comm. link and need someone to return it for me.  Someone will meet you with the item.  Please deliver it to my friend.');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_neutral_easy.stf', '3', 'deliver_neutral_easy_4', 'Easy credits. Quick delivery of goods to one of my customers. No experience necessary. ');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_neutral_easy.stf', '4', 'deliver_neutral_easy_3', 'There has been a civilian causality in a recent raid by Stormtroopers. Victim\'s belongings need to be delivered to family.');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_neutral_easy.stf', '5', 'deliver_neutral_easy_2', '\"I require a skilled courier to handle the delivery of a package to one of my clients.  Discretion is appreciated, as my competitors would love the chance to disrupt my business.  One of my associates will supply you the item and the recipient.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_neutral_easy.stf', '6', 'demand_intro_anchorhead', 'I hear you\'re making the delivery to Anchorhead. Interested in making some extra cash?');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_neutral_easy.stf', '7', 'demand_entice', '\"Hey you! yeah you.. the one with the pants. Cmere, I wanna talk to you!\"');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_neutral_easy.stf', '8', 'demand_intro_no', '\"No thanks, not interested\"');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_neutral_easy.stf', '9', 'demand_intro_yes', 'Of course I am. Whatcha got?');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_neutral_easy.stf', '10', 'demand_threat', 'If you know what\'s good for you you\'ll sell me that disk. ');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_neutral_easy.stf', '11', 'demand_threat_no', 'I said no thanks. I will be leaving now');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_neutral_easy.stf', '12', 'demand_attack', 'Fine. I\'ll be taking that disk now. ');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_neutral_easy.stf', '13', 'demand_offer', 'I\'ll pay you 200 credits for that disk.');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_neutral_easy.stf', '14', 'demand_offer_yes', 'It\'s a deal. Here.');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_neutral_easy.stf', '15', 'demand_offer_no', 'No thanks. Not interested. ');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_neutral_easy.stf', '16', 'demand_offer_doublecross', '\"On second thought, I don\'t think i\'ll be paying you. I\'ll take it off of your corpse\"');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_neutral_easy.stf', '17', 'demand_offer_finish', 'Here ya go. Great doing business with you!');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_neutral_easy.stf', '18', 'default', '');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_neutral_easy.stf', '19', 'demand_intro_wayfar', 'I hear you\'re making the delivery to Wayfar. Interested in making some extra cash?');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_neutral_easy.stf', '20', 'demand_intro_bestine', 'I hear you\'re making the delivery to Bestine. Interested in making some extra cash?');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_neutral_easy.stf', '21', 'demand_intro_mos_eisley', 'I hear you\'re making the delivery to Mos Eisley. Interested in making some extra cash?');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_neutral_easy.stf', '22', 'demand_intro_mos_entha', 'I hear you\'re making the delivery to Mos Entha.  Interested in making some extra cash?');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_neutral_easy.stf', '23', 'demand_intro_mos_espa', 'I hear you\'re making the delivery to Mos Espa. Interested in making some extra cash?');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_neutral_easy.stf', '24', 'demand_intro_mos_teike', 'I hear you\'re making the delivery to Mos Teike. Interested in making some extra cash?');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_neutral_easy.stf', '25', 'demand_threat_yes', 'It\'s a deal. Here.');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_neutral_easy.stf', '26', 'escort_intro_anchorhead', 'You wouldn\'t happen to be going to Anchorhead would you? I\'ve been traveling for days and was ambushed by bandits. They took all of my supplies. All I want is to get to Anchorhead to visit my mother. She\'s in the hospital. Her final wish is to see me before she dies. ');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_neutral_easy.stf', '27', 'escort_intro_wayfar', '\"You wouldn\'t happen to be going to Wayfar would you? I\'ve been wandering for days trying to find my way there. My dewback died and bandits stole all of my supplies. I\'m supposed to start my apprenticeship there, but If I don\'t get there soon the job will surely go to someone else. \"');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_neutral_easy.stf', '28', 'escort_intro_bestine', 'You wouldn\'t happen to be going to Bestine would you? I\'ve been lost for days trying to find my way there. My Bantha broke it\'s leg and fell into a ravine and bandits stole all of my supplies. I need to get there for my brother\'s wedding. ');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_neutral_easy.stf', '29', 'escort_intro_mos_eisley', 'You wouldn\'t happen to be going to Mos Eisley would you? I\'ve been traveling for days and was ambushed by bandits. They took all of my supplies. All I want is to get to Mos Eisley to visit my mother. She\'s in the hospital. Her final wish is to see me before she dies. ');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_neutral_easy.stf', '30', 'escort_intro_mos_entha', '\"You wouldn\'t happen to be going to Mos Entha would you? I\'ve been wandering for days trying to find my way there. My dewback died and bandits stole all of my supplies. I\'m supposed to start my apprenticeship there, but If I don\'t get there soon the job will surely go to someone else. \"');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_neutral_easy.stf', '31', 'escort_intro_mos_espa', 'You wouldn\'t happen to be going to Mos Espa would you? I\'ve been lost for days trying to find my way there. My Bantha broke it\'s leg and fell into a ravine and bandits stole all of my supplies. I need to get there for my brother\'s wedding. ');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_neutral_easy.stf', '32', 'escort_intro_mos_teike', 'You wouldn\'t happen to be going to Mos Espa would you? I\'ve been lost for days trying to find my way there. My Bantha broke it\'s leg and fell into a ravine and bandits stole all of my supplies. I need to get there for my brother\'s wedding. ');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_neutral_easy.stf', '33', 'escort_entice', 'HELP! Please help me!');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_neutral_easy.stf', '34', 'escort_intro_yes', 'As a matter of fact I am going there. Can I help you?');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_neutral_easy.stf', '35', 'escort_intro_no', 'I\'m not going there and I don\'t have time to talk to you.');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_neutral_easy.stf', '36', 'escort_request', 'Could you take me with you? I\'ll make it worth your while. ');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_neutral_easy.stf', '37', 'escort_request_yes', 'I\'d be happy to help you. Cmon.');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_neutral_easy.stf', '38', 'escort_request_no', 'I\'m sorry but you\'re on your own. I don\'t have time to help you.');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_neutral_easy.stf', '39', 'escort_end_follow', 'Thank you so much. I\'ll follow you. ');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_neutral_easy.stf', '40', 'escort_end_no_follow', 'Thanks for nothing.');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_neutral_easy.stf', '41', 'escort_arrival', '\"Thank you for helping me. Here is something for your trouble. I\'m sorry it\'s not much, but it\'s all I have.\"');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_neutral_easy.stf', '42', 'escort_pre_attack', 'Hey.. Is that a data disk you\'re carrying?');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_neutral_easy.stf', '43', 'escort_attack', 'I think I\'ve changed my mind. I\'ll be taking that data disk now');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_neutral_easy.stf', '44', 'deliver_attack_single', 'There you are. I\'m here to reclaim that data disk!');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_neutral_easy.stf', '45', 'deliver_attack_group', 'There you area. We\'re here to take that data disk from your dead body');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_neutral_easy.stf', '46', 'interest_incorrect_player', 'I wasn\'t talking to you. Go away.');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_neutral_hard.stf', '1', 'deliver_neutral_hard_5', 'The government of this planet requires the transport of specific goods between its citizens. Be warned that criminal activity has interrupted this trade route before. ');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_neutral_hard.stf', '2', 'deliver_neutral_hard_1', 'In need of a fast and reliable individual to make an important delivery. Those with fear of danger should not apply.\n');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_neutral_hard.stf', '3', 'deliver_neutral_hard_4', 'The well being of this entire system could depend on the contents of a package I need delivered to my business partner. Can I trust you to handle it?');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_neutral_hard.stf', '4', 'deliver_neutral_hard_3', 'I have a package that needs to get to an associate. There are factions that will try to intercept it. You better be willing to face danger for the price I\'m paying.');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_neutral_hard.stf', '5', 'deliver_neutral_hard_2', 'Important package needs to get to customer. Risk involved. Reliable candidates only.\n');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_rebel_easy.stf', '1', 'deliver_rebel_easy_5', 'The Alliance needs some goods moved from one location to another to prevent Imperial detection. Report to our contact and ensure the package gets safely and discreetly transported.');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_rebel_easy.stf', '2', 'deliver_rebel_easy_1', 'The Alliance is indebted to a local of this planet who helped us escape Imperial detection. We wish to return the favor. Please see if there is anything we can do for this person.');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_rebel_easy.stf', '3', 'deliver_rebel_easy_4', 'We have received a message from someone claiming to have something of great importance to our cause. Meet with this individual and find out what it is and whom it needs to go to.');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_rebel_easy.stf', '4', 'deliver_rebel_easy_3', 'Princess Leia needs you to deliver a very important item from one undercover operative to another.  May the Force be with you!\n');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_rebel_easy.stf', '5', 'deliver_rebel_easy_2', 'General Rieekan needs a package picked up from an Alliance member in the field. Find the operative, get the package and you will be informed where to take it.');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_rebel_hard.stf', '1', 'deliver_rebel_hard_5', 'The Empire is closing in on one of our members who is carrying a package vital to the Rebellion. The Empire must not get their hands on it. We need you to relieve our agent of the package and take it to another Alliance member for safekeeping. May the Force be with you!');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_rebel_hard.stf', '2', 'deliver_rebel_hard_1', 'The Empire may be becoming aware of one of our pipelines for getting equipment to Alliance members in the field. We need you to help us throw them off the scent by delivering a random and unimportant item from our supplier. They will likely intercept it after you have finished the delivery and hopefully come to the conclusion that the supplier is not involved in the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_rebel_hard.stf', '3', 'deliver_rebel_hard_4', 'We have a vital package that must be picked up and delivered; however that is not your mission. We need you to pick up a decoy package to help throw Imperial spies off the trail of the real delivery. Hopefully, the Imperials will try to follow you. Take care not to be caught.');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_rebel_hard.stf', '4', 'deliver_rebel_hard_3', 'The Alliance needs your help in delivering vital supplies to one of our people. Seek out our contact and get the package. Time is of the essence here.');
INSERT INTO `client_strings` VALUES ('string/en/mission_deliver_rebel_hard.stf', '5', 'deliver_rebel_hard_2', 'The Bothan Spy Network has an extremely important message that must be delivered to certain alliance members who are staging an attack on the Empire. For safety the message will be disguised in a package. The Bothans have given it to a third party to prevent it from being tracked. Pick it up and deliver it for us.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_hutt_easy_creature.stf', '1', 'destroy_hutt_easy_creature_1', 'This location has long been a stopping point for spices being moved around the planet.  An infestation of animals that were attracted to the spices is causing problems for our smugglers.  Exterminate this wildlife right now.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_hutt_easy_creature.stf', '2', 'destroy_hutt_easy_creature_2', 'As a favor to a local politician we\'re cleaning this area of pests.  Be advised, there may be a lair or nest nearby that will have to be eliminated to keep the population down permanently.  This mission is to be concluded without delay.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_hutt_easy_creature.stf', '3', 'destroy_hutt_easy_creature_3', 'Due to the minor wounds inflicted on one of our bounty hunters by the wildlife in this area we are currently initializing a plan of destroying their nests and driving them from the area.  This is to be done immediately.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_hutt_easy_creature.stf', '4', 'destroy_hutt_easy_creature_4', 'To drive up the prices of research animals we need to eliminate the wildlife in this area.  All creatures are to be destroyed thoroughly so that no parts of their corpses can be used for any type of research.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_hutt_easy_creature.stf', '5', 'destroy_hutt_easy_creature_5', 'This location is to be wiped of animals in order to begin construction of an underground escape tunnel.  All creatures must be eliminated in this area before construction can begin.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_hutt_easy_structure.stf', '1', 'destroy_hutt_easy_structure_1', 'We need you to destroy a donut shop.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_hutt_easy_structure.stf', '2', 'destroy_hutt_easy_structure_2', 'We need you to destroy a donut shop.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_hutt_easy_structure.stf', '3', 'destroy_hutt_easy_structure_3', 'We need you to destroy a donut shop.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_hutt_easy_structure.stf', '4', 'destroy_hutt_easy_structure_4', 'We need you to destroy a donut shop.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_hutt_easy_structure.stf', '5', 'destroy_hutt_easy_structure_5', 'We need you to destroy a donut shop.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_hutt_hard_creature.stf', '1', 'destroy_hutt_hard_creature_1', 'One of our underground gambling dens was destroyed last night.  The damage appears to random to be an imperial assault or local law enforcement.  Go out there and find out what\'s going on.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_hutt_hard_creature.stf', '2', 'destroy_hutt_hard_creature_2', 'In order to grease the political wheels we\'ve agreed to do a favor for the local politicians.  They\'ll look the other way on some of our illegal activities if we\'ll take care of some dangerous animals in the local area.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_hutt_hard_creature.stf', '3', 'destroy_hutt_hard_creature_3', 'During a routine raid of a Research Facility some of our thugs managed to let loose some dangerous animals.  We need those animals destroyed before they start drawing attention to our activities.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_hutt_hard_creature.stf', '4', 'destroy_hutt_hard_creature_4', 'Some of our enemies are planning on selling some animal parts to a research facility for a profit, and undercutting one of our revenue sources.  We need you to destroy all the dangerous animals in this area to make sure our profits aren\'t affected.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_hutt_hard_creature.stf', '5', 'destroy_hutt_hard_creature_5', 'One of Jabba\'s favorite bounty hunters was killed by a dangerous animal in this area.  Jabba\'s in sort of a mood and wants revenge, so it\'s up to you to make sure this creature dies.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_hutt_hard_structure.stf', '1', 'destroy_hutt_hard_structure_1', 'We need you to destroy a police station.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_hutt_hard_structure.stf', '2', 'destroy_hutt_hard_structure_2', 'We need you to destroy a police station.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_hutt_hard_structure.stf', '3', 'destroy_hutt_hard_structure_3', 'We need you to destroy a police station.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_hutt_hard_structure.stf', '4', 'destroy_hutt_hard_structure_4', 'We need you to destroy a police station.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_hutt_hard_structure.stf', '5', 'destroy_hutt_hard_structure_5', 'We need you to destroy a police station.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_imp_easy_creature.stf', '1', 'destroy_imp_easy_creature_1', 'An imperial medical facility is reporting a pest problem.  Apparently the local wildlife has taken a liking to the power generators.  Please exterminate this pest problem.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_imp_easy_creature.stf', '2', 'destroy_imp_easy_creature_2', 'One of our scout patrols indicates that there is an over abundance of animals infesting this location.  That area is designated as a possible site for a forward military location.  We need someone to clear the area before the construction can begin.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_imp_easy_creature.stf', '3', 'destroy_imp_easy_creature_3', 'A number of power cables have been chewed through at an Imperial Detention Facility.  We suspect that the creatures involved have a nest in the area nearby.  This nest must be eliminated without delay.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_imp_easy_creature.stf', '4', 'destroy_imp_easy_creature_4', 'An Imperial Research Facility lost power for a couple of hours, and during the confusion a group of animals escaped the laboratory.  They probably haven\'t gone far, but they could be dangerous to the local ecology.  We need these animals destroyed as soon as possible.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_imp_easy_creature.stf', '5', 'destroy_imp_easy_creature_5', 'Scans of this area indicate wildlife that is hazardous to our future development.  We need someone reliable to clear the area of this wildlife.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_imp_easy_structure.stf', '1', 'destroy_imp_easy_structure_1', 'We need you to destroy an alliance ice cream facility.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_imp_easy_structure.stf', '2', 'destroy_imp_easy_structure_2', 'We need you to destroy an alliance ice cream facility.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_imp_easy_structure.stf', '3', 'destroy_imp_easy_structure_3', 'We need you to destroy an alliance ice cream facility.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_imp_easy_structure.stf', '4', 'destroy_imp_easy_structure_4', 'We need you to destroy an alliance ice cream facility.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_imp_easy_structure.stf', '5', 'destroy_imp_easy_structure_5', 'We need you to destroy an alliance ice cream facility.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_imp_hard_creature.stf', '1', 'destroy_imp_hard_creature_1', 'A scout patrol has disappeared in this area and hasn\'t checked in for some time.  We fear the worst.  Our intelligence indicates there aren\'t any rebel patrols in the area, so it must be something else.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_imp_hard_creature.stf', '2', 'destroy_imp_hard_creature_2', 'Something destroyed a power generator at this location.  Our investigators tell us it wasn\'t an explosive device, and rebel activity in the area has been limited.  We suspect something large and hungry has decided to try our generators as an alternative food source.  We want you to eliminate this threat.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_imp_hard_creature.stf', '3', 'destroy_imp_hard_creature_3', 'A large predator is terrorizing the loyal imperial citizens who live and work around this area.  We want you to destroy this creature immediately in order to keep our people safe.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_imp_hard_creature.stf', '4', 'destroy_imp_hard_creature_4', 'Our sources tell us that a group of rebel spies has led a dangerous creature to this area in order to disrupt our operations.  Eliminate this creature with extreme prejudice.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_imp_hard_creature.stf', '5', 'destroy_imp_hard_creature_5', 'A deadly animal has been terrorizing this sector, causing problems with stormtroopers who are doing routine drills.  Eliminate the beast so our soldiers can get back to training.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_imp_hard_structure.stf', '1', 'destroy_imp_hard_structure_1', 'We need you to destroy an alliance weapons facility.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_imp_hard_structure.stf', '2', 'destroy_imp_hard_structure_2', 'We need you to destroy an alliance weapons facility.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_imp_hard_structure.stf', '3', 'destroy_imp_hard_structure_3', 'We need you to destroy an alliance weapons facility.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_imp_hard_structure.stf', '4', 'destroy_imp_hard_structure_4', 'We need you to destroy an alliance weapons facility.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_imp_hard_structure.stf', '5', 'destroy_imp_hard_structure_5', 'We need you to destroy an alliance weapons facility.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_neutral_easy_creature.stf', '1', 'destroy_neutral_easy_creature_1', 'The local wildlife in this area is causing problems with the ecology.  There is an overabundance of the specified creatures, which is causing plantlife to falter.  This situation must be dealt with immediately.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_neutral_easy_creature.stf', '2', 'destroy_neutral_easy_creature_2', 'The wildlife around this area has blossomed due to the accidental destruction of most of the area\'s predators.  In order to balance the wildlife ecology the specified creatures must be eliminated posthaste.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_neutral_easy_creature.stf', '3', 'destroy_neutral_easy_creature_3', 'To facilitate the building of a possible new transportation system we need to eliminate the abundant wildlife in this area.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_neutral_easy_creature.stf', '4', 'destroy_neutral_easy_creature_4', 'A pest problem is occurring in this area.  Local residents and hunters are wiling to pay to have the area cleansed of the pests.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_neutral_easy_creature.stf', '5', 'destroy_neutral_easy_creature_5', 'A particularly virulent strain of disease is progressing through the wildlife in this area.  In order to halt the spread of the virus we need the local wildlife to be depleted, to keep the virus contained to the creatures it\'s already affected.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_neutral_easy_structure.stf', '1', 'destroy_neutral_easy_structure_1', 'We need you to destroy a enemy taco stand.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_neutral_easy_structure.stf', '2', 'destroy_neutral_easy_structure_2', 'We need you to destroy a enemy taco stand.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_neutral_easy_structure.stf', '3', 'destroy_neutral_easy_structure_3', 'We need you to destroy a enemy taco stand.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_neutral_easy_structure.stf', '4', 'destroy_neutral_easy_structure_4', 'We need you to destroy a enemy taco stand.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_neutral_easy_structure.stf', '5', 'destroy_neutral_easy_structure_5', 'We need you to destroy a enemy taco stand.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_neutral_hard_creature.stf', '1', 'destroy_neutral_hard_creature_1', 'There have been many reports of disturbances in this area by locals.  We suspect a creature of some kind has taken up residence and we need you to move it out of the area.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_neutral_hard_creature.stf', '2', 'destroy_neutral_hard_creature_2', 'A farmer was attacked and killed last night by some type of dangerous animal.  We\'re sending you in to eliminate the monster before it harms anyone else.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_neutral_hard_creature.stf', '3', 'destroy_neutral_hard_creature_3', 'The local wildlife has suffered severe ecological setbacks because of a dangerous predator that has taken control of a small area of land.  It\'s killing all the other wildlife indiscriminantly.  We want you to take care of cleaning up this problem for us.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_neutral_hard_creature.stf', '4', 'destroy_neutral_hard_creature_4', 'A remote satelite dish has stopped transmitting and no one seems to know why.  We\'re sending you to find out, though we suspect that it may have to do with local wildlife.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_neutral_hard_creature.stf', '5', 'destroy_neutral_hard_creature_5', 'There\'s a dangerous animal terrorizing the area, and we need someone to eliminate it.  We hope you are that someone.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_neutral_hard_structure.stf', '1', 'destroy_neutral_hard_structure_1', 'We need you to destroy an enemy base.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_neutral_hard_structure.stf', '2', 'destroy_neutral_hard_structure_2', 'We need you to destroy an enemy base.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_neutral_hard_structure.stf', '3', 'destroy_neutral_hard_structure_3', 'We need you to destroy an enemy base.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_neutral_hard_structure.stf', '4', 'destroy_neutral_hard_structure_4', 'We need you to destroy an enemy base.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_neutral_hard_structure.stf', '5', 'destroy_neutral_hard_structure_5', 'We need you to destroy a enemy taco stand.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_rebel_easy_creature.stf', '1', 'destroy_rebel_easy_creature_1', 'An infestation of animals has us worried about the safety of one of our hidden bases.  The large population is feeding off our trash, and may draw unwanted attention to the location.  It is imperative that this area be cleaned immediately.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_rebel_easy_creature.stf', '2', 'destroy_rebel_easy_creature_2', 'Construction crews are prepared to build a landing bay for alliance ships at this location, but are unable due to an infestation of wildlife.  We need someone to clean this area as soon as possible.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_rebel_easy_creature.stf', '3', 'destroy_rebel_easy_creature_3', 'We suspect the Empire has planted listening devices on some of the animals in the local area.  There is a large infestation near this location that needs to be exterminated for the safety of the alliance.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_rebel_easy_creature.stf', '4', 'destroy_rebel_easy_creature_4', 'Our structures in this area are compromised by the local wildlife.  They\'re chewing through power cables, digging around the foundations, and generally causing everyone in the area to be miserable.  Please clean this area out immediately.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_rebel_easy_creature.stf', '5', 'destroy_rebel_easy_creature_5', 'Animals in this location appear to be infected with some sort of disease.  In order to maintain the safety of our personnel and any innocent civilians in the area we need someone to clean the area immediately.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_rebel_easy_structure.stf', '1', 'destroy_rebel_easy_structure_1', 'We need you to destroy an imperial ice cream facility.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_rebel_easy_structure.stf', '2', 'destroy_rebel_easy_structure_2', 'We need you to destroy an imperial ice cream facility.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_rebel_easy_structure.stf', '3', 'destroy_rebel_easy_structure_3', 'We need you to destroy an imperial ice cream facility.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_rebel_easy_structure.stf', '4', 'destroy_rebel_easy_structure_4', 'We need you to destroy an imperial ice cream facility.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_rebel_easy_structure.stf', '5', 'destroy_rebel_easy_structure_5', 'We need you to destroy an imperial ice cream facility.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_rebel_hard_creature.stf', '1', 'destroy_rebel_hard_creature_1', 'Local farmers have reported seing a mysterious creature around this location.  It seems to be feeding off the local wildlife, but they\'re concerned that it will become dangerous to the citizenry.  Eliminate the creature as soon as possible.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_rebel_hard_creature.stf', '2', 'destroy_rebel_hard_creature_2', 'A visiting dignitary has disappeared in this area, and our sources indicate that a large animal has been seen in the area.  As there were no imperial movements nearby we suspect that the creature in question may be responsible.  We want you to eliminate it as soon as possible, before anything else happens.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_rebel_hard_creature.stf', '3', 'destroy_rebel_hard_creature_3', 'A transport ship went down in this area sometime ago, and it has come to our attention that they may have been carrying classified cargo.  The cargo in question appears to be some form of dangerous animal.  We want you to find out if the creature is in the area, and if so, make sure it can\'t hurt anyone.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_rebel_hard_creature.stf', '4', 'destroy_rebel_hard_creature_4', 'A series of unexplained occurrences caused us to send a scout team to the area in question.  We haven\'t heard back from them and they should have checked in by now.  We need you to go to the area and check it out.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_rebel_hard_creature.stf', '5', 'destroy_rebel_hard_creature_5', 'A local merchant sent a distress signal that was picked up by the alliance scanners.  We have no idea where he was heading, or what sort of distress he\'s in, but we feel it\'s worth the time and effort it will take to check it out.  Go to the area and see what\'s happening.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_rebel_hard_structure.stf', '1', 'destroy_rebel_hard_structure_1', 'We need you to destroy an imperial research facility.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_rebel_hard_structure.stf', '2', 'destroy_rebel_hard_structure_2', 'We need you to destroy an imperial research facility.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_rebel_hard_structure.stf', '3', 'destroy_rebel_hard_structure_3', 'We need you to destroy an imperial research facility.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_rebel_hard_structure.stf', '4', 'destroy_rebel_hard_structure_4', 'We need you to destroy an imperial research facility.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_destroy_rebel_hard_structure.stf', '5', 'destroy_rebel_hard_structure_5', 'We need you to destroy an imperial research facility.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_escort_hutt_easy.stf', '1', 'escort_hutt_easy_1', 'Jabba needs you to escort someone somewhere.  This is a stub conversation and should be REMOVED.');
INSERT INTO `client_strings` VALUES ('string/en/mission_escort_hutt_easy.stf', '2', 'escort_hutt_easy_3', 'Jabba needs you to escort someone somewhere.  This is a stub conversation and should be REMOVED.');
INSERT INTO `client_strings` VALUES ('string/en/mission_escort_hutt_easy.stf', '3', 'escort_hutt_easy_2', 'Jabba needs you to escort someone somewhere.  This is a stub conversation and should be REMOVED.');
INSERT INTO `client_strings` VALUES ('string/en/mission_escort_hutt_easy.stf', '4', 'escort_hutt_easy_4', 'Jabba needs you to escort someone somewhere.  This is a stub conversation and should be REMOVED.');
INSERT INTO `client_strings` VALUES ('string/en/mission_escort_hutt_easy.stf', '5', 'escort_hutt_easy_5', 'Jabba needs you to escort someone somewhere.  This is a stub conversation and should be REMOVED.');
INSERT INTO `client_strings` VALUES ('string/en/mission_escort_hutt_hard.stf', '1', 'escort_hutt_hard_1', 'Jabba needs you to escort someone somewhere.  This is a stub conversation and should be REMOVED.');
INSERT INTO `client_strings` VALUES ('string/en/mission_escort_hutt_hard.stf', '2', 'escort_hutt_hard_3', 'Jabba needs you to escort someone somewhere.  This is a stub conversation and should be REMOVED.');
INSERT INTO `client_strings` VALUES ('string/en/mission_escort_hutt_hard.stf', '3', 'escort_hutt_hard_2', 'Jabba needs you to escort someone somewhere.  This is a stub conversation and should be REMOVED.');
INSERT INTO `client_strings` VALUES ('string/en/mission_escort_hutt_hard.stf', '4', 'escort_hutt_hard_4', 'Jabba needs you to escort someone somewhere.  This is a stub conversation and should be REMOVED.');
INSERT INTO `client_strings` VALUES ('string/en/mission_escort_hutt_hard.stf', '5', 'escort_hutt_hard_5', 'Jabba needs you to escort someone somewhere.  This is a stub conversation and should be REMOVED.');
INSERT INTO `client_strings` VALUES ('string/en/mission_escort_imp_easy.stf', '1', 'escort_imp_easy_1', 'A rebel spy has been captured and needs to be taken to a safe location where an extraction team can make a pickup.  You\'re job is to get the spy to that location.');
INSERT INTO `client_strings` VALUES ('string/en/mission_escort_imp_easy.stf', '2', 'escort_imp_easy_2', 'A downed pilot needs an escort to a safe place where a clean transmission can be beamed to a Star Destroyer.  Get the Pilot somewhere that call can be made.');
INSERT INTO `client_strings` VALUES ('string/en/mission_escort_imp_easy.stf', '3', 'escort_imp_easy_3', 'One of our spies in the rebel base needs to deliver a report, but needs an escort away from their current location.  Get the spy and follow our instructions to a safe place.');
INSERT INTO `client_strings` VALUES ('string/en/mission_escort_imp_easy.stf', '4', 'escort_imp_easy_4', 'A visiting dignitary is on the planet and needs an escort to somewhere.  Just take the dignitary wherever it is they want to go, and make sure nothing happens to them.');
INSERT INTO `client_strings` VALUES ('string/en/mission_escort_imp_easy.stf', '5', 'escort_imp_easy_5', 'One of our couriers needs to make a delivery nearby, but needs an escort in order to make sure nothing happens to the package.');
INSERT INTO `client_strings` VALUES ('string/en/mission_escort_imp_hard.stf', '1', 'escort_imp_hard_2', 'Someone from Lord Vader\'s ship has personally requested an escort for someone on the planet.  Make sure they reach their destination with no problems.');
INSERT INTO `client_strings` VALUES ('string/en/mission_escort_imp_hard.stf', '2', 'escort_imp_hard_3', 'Someone from Lord Vader\'s ship has personally requested an escort for someone on the planet.  Make sure they reach their destination with no problems.');
INSERT INTO `client_strings` VALUES ('string/en/mission_escort_imp_hard.stf', '3', 'escort_imp_hard_4', 'Someone from Lord Vader\'s ship has personally requested an escort for someone on the planet.  Make sure they reach their destination with no problems.');
INSERT INTO `client_strings` VALUES ('string/en/mission_escort_imp_hard.stf', '4', 'escort_imp_hard_5', 'Someone from Lord Vader\'s ship has personally requested an escort for someone on the planet.  Make sure they reach their destination with no problems.');
INSERT INTO `client_strings` VALUES ('string/en/mission_escort_imp_hard.stf', '5', 'escort_imp_hard_1', 'Someone from Lord Vader\'s ship has personally requested an escort for someone on the planet.  Make sure they reach their destination with no problems.');
INSERT INTO `client_strings` VALUES ('string/en/mission_escort_neutral_easy.stf', '1', 'escort_neutral_easy_1', 'Somebody needs you to escort someone somewhere.  This is a stub conversation and should be REMOVED.');
INSERT INTO `client_strings` VALUES ('string/en/mission_escort_neutral_easy.stf', '2', 'escort_neutral_easy_3', 'This dude needs you to escort someone somewhere.  This is a stub conversation and should be REMOVED.');
INSERT INTO `client_strings` VALUES ('string/en/mission_escort_neutral_easy.stf', '3', 'escort_neutral_easy_2', 'A guy needs you to escort someone somewhere.  This is a stub conversation and should be REMOVED.');
INSERT INTO `client_strings` VALUES ('string/en/mission_escort_neutral_easy.stf', '4', 'escort_neutral_easy_4', 'Some guy needs you to escort someone somewhere.  This is a stub conversation and should be REMOVED.');
INSERT INTO `client_strings` VALUES ('string/en/mission_escort_neutral_easy.stf', '5', 'escort_neutral_easy_5', 'This guy needs you to escort someone somewhere.  This is a stub conversation and should be REMOVED.');
INSERT INTO `client_strings` VALUES ('string/en/mission_escort_neutral_hard.stf', '1', 'escort_neutral_hard_1', 'Somebody needs you to escort someone somewhere.  This is a stub conversation and should be REMOVED.');
INSERT INTO `client_strings` VALUES ('string/en/mission_escort_neutral_hard.stf', '2', 'escort_neutral_hard_3', 'This dude needs you to escort someone somewhere.  This is a stub conversation and should be REMOVED.');
INSERT INTO `client_strings` VALUES ('string/en/mission_escort_neutral_hard.stf', '3', 'escort_neutral_hard_2', 'A guy needs you to escort someone somewhere.  This is a stub conversation and should be REMOVED.');
INSERT INTO `client_strings` VALUES ('string/en/mission_escort_neutral_hard.stf', '4', 'escort_neutral_hard_4', 'Some guy needs you to escort someone somewhere.  This is a stub conversation and should be REMOVED.');
INSERT INTO `client_strings` VALUES ('string/en/mission_escort_neutral_hard.stf', '5', 'neutral_hard_escort_5', 'This guy needs you to escort someone somewhere.  This is a stub conversation and should be REMOVED.');
INSERT INTO `client_strings` VALUES ('string/en/mission_escort_rebel_easy.stf', '1', 'escort_rebel_easy_1', 'One of the local shopkeepers has had some run ins with the imperials recently and wants to know if we\'ll act as an escort for them until they get where they\'re going.');
INSERT INTO `client_strings` VALUES ('string/en/mission_escort_rebel_easy.stf', '2', 'escort_rebel_easy_2', 'Due to the increased activity by Imperials in the area, we want you to act as an escort for one of our better tacticians.');
INSERT INTO `client_strings` VALUES ('string/en/mission_escort_rebel_easy.stf', '3', 'escort_rebel_easy_3', 'The local wildlife in the area has gotten dangerous of late.  We\'re still checking on why that is, but for the moment we need someone to act as an escort for a diagnostic technician.');
INSERT INTO `client_strings` VALUES ('string/en/mission_escort_rebel_easy.stf', '4', 'escort_rebel_easy_4', 'Radio traffic indicates that an Imperial patrol may be coming through the area sometime soon, so we need someone to escort the linquistics expert to a new location.');
INSERT INTO `client_strings` VALUES ('string/en/mission_escort_rebel_easy.stf', '5', 'escort_rebel_easy_5', 'One of our slicers has managed to get lost and needs someone to give them an escort to the proper location.');
INSERT INTO `client_strings` VALUES ('string/en/mission_escort_rebel_hard.stf', '1', 'escort_rebel_hard_1', 'The location where we were holding an Imperial spy has somehow leaked out of the base.  Get that spy moved to a new location, far away from there.  We\'ll tell you where.');
INSERT INTO `client_strings` VALUES ('string/en/mission_escort_rebel_hard.stf', '2', 'escort_rebel_hard_2', 'A friend of the Commanders has been spotted by the Imperials near the hideout, and may be in danger.  We need someone to escort them to a new location.');
INSERT INTO `client_strings` VALUES ('string/en/mission_escort_rebel_hard.stf', '3', 'escort_rebel_hard_3', 'An Imperial Pilot is defecting to the Alliance and we need someone to escort them to a safer spot.  Get right on it!');
INSERT INTO `client_strings` VALUES ('string/en/mission_escort_rebel_hard.stf', '4', 'escort_rebel_hard_4', 'A friend of the general\'s daughter has been seen by the Empire and we fear they may try torture to find out where our bases are located.  Go get this friend and move them to a safe place.');
INSERT INTO `client_strings` VALUES ('string/en/mission_escort_rebel_hard.stf', '5', 'escort_rebel_hard_5', 'One of our spies has managed to break off from the Imperial Patrol they were scouting with and needs an escort out of the area before the Imperials figure out he\'s disappeared.');
INSERT INTO `client_strings` VALUES ('string/en/mission_fetch_hutt_easy.stf', '1', 'fetch_hutt_easy_5', 'Bring Bib Fortuna a napkin.  STUB MISSION DESCRIPTION, REMOVE LATER..  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_fetch_hutt_easy.stf', '2', 'fetch_hutt_easy_1', 'Bring Bib Fortuna a napkin.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_fetch_hutt_easy.stf', '3', 'fetch_hutt_easy_4', 'Bring Bib Fortuna a napkin.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_fetch_hutt_easy.stf', '4', 'fetch_hutt_easy_3', 'Bring Bib Fortuna a napkin.  STUB MISSION DESCRIPTION, REMOVE LATER..  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_fetch_hutt_easy.stf', '5', 'fetch_hutt_easy_2', 'Bring Bib Fortuna a napkin.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_fetch_hutt_hard.stf', '1', 'fetch_hutt_hard_5', 'Bring Jabba some chocolate covered Frogs.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_fetch_hutt_hard.stf', '2', 'fetch_hutt_hard_1', 'Bring Jabba some chocolate covered Frogs.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_fetch_hutt_hard.stf', '3', 'fetch_hutt_hard_4', 'Bring Jabba some chocolate covered Frogs.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_fetch_hutt_hard.stf', '4', 'fetch_hutt_hard_3', 'Bring Jabba some chocolate covered Frogs.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_fetch_hutt_hard.stf', '5', 'fetch_hutt_hard_2', 'Bring Jabba some chocolate covered Frogs.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_fetch_imp_easy.stf', '1', 'fetch_imp_easy_5', 'Go fetch Darth Vader the head of Jerry Garcia.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_fetch_imp_easy.stf', '2', 'fetch_imp_easy_1', 'Go fetch Darth Vader the head of Jerry Garcia.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_fetch_imp_easy.stf', '3', 'fetch_imp_easy_4', 'Go fetch Darth Vader the head of Jerry Garcia.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_fetch_imp_easy.stf', '4', 'fetch_imp_easy_3', 'Go fetch Darth Vader the head of Jerry Garcia.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_fetch_imp_easy.stf', '5', 'fetch_imp_easy_2', 'Go fetch Darth Vader the head of Jerry Garcia.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_fetch_imp_hard.stf', '1', 'imp_hard_fetch_5', 'Go fetch Darth Vader the head of Alfredo Garcia.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_fetch_imp_hard.stf', '2', 'imp_hard_fetch_1', 'Go fetch Darth Vader the head of Alfredo Garcia.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_fetch_imp_hard.stf', '3', 'imp_hard_fetch_4', 'Go fetch Darth Vader the head of Alfredo Garcia.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_fetch_imp_hard.stf', '4', 'imp_hard_fetch_3', 'Go fetch Darth Vader the head of Alfredo Garcia.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_fetch_imp_hard.stf', '5', 'imp_hard_fetch_2', 'Go fetch Darth Vader the head of Alfredo Garcia.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_fetch_neutral_easy.stf', '1', 'fetch_neutral_easy_5', 'Aunt Beru needs Blue Milk.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_fetch_neutral_easy.stf', '2', 'fetch_neutral_easy_1', 'Aunt Beru needs Blue Milk.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_fetch_neutral_easy.stf', '3', 'fetch_neutral_easy_4', 'Aunt Beru needs Blue Milk.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_fetch_neutral_easy.stf', '4', 'fetch_neutral_easy_3', 'Aunt Beru needs Blue Milk.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_fetch_neutral_easy.stf', '5', 'fetch_neutral_easy_2', 'Aunt Beru needs Blue Milk.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_fetch_neutral_hard.stf', '1', 'neutral_hard_fetch_5', 'Uncle Owne needs Corn for the farm.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_fetch_neutral_hard.stf', '2', 'neutral_hard_fetch_1', 'Uncle Owne needs Corn for the farm.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_fetch_neutral_hard.stf', '3', 'neutral_hard_fetch_4', 'Uncle Owne needs Corn for the farm.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_fetch_neutral_hard.stf', '4', 'neutral_hard_fetch_3', 'Uncle Owne needs Corn for the farm.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_fetch_neutral_hard.stf', '5', 'neutral_hard_fetch_2', 'Uncle Owne needs Corn for the farm.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_fetch_rebel_easy.stf', '1', 'fetch_rebel_easy_5', 'Go fetch Princess Leia a pink lightsaber.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_fetch_rebel_easy.stf', '2', 'fetch_rebel_easy_1', 'Go fetch Princess Leia a pink lightsaber.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_fetch_rebel_easy.stf', '3', 'fetch_rebel_easy_4', 'Go fetch Princess Leia a pink lightsaber.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_fetch_rebel_easy.stf', '4', 'fetch_rebel_easy_3', 'Go fetch Princess Leia a pink lightsaber.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_fetch_rebel_easy.stf', '5', 'fetch_rebel_easy_2', 'Go fetch Princess Leia a pink lightsaber.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_fetch_rebel_hard.stf', '1', 'fetch_rebel_hard_5', 'Go fetch Princess Leia a pink lightsaber.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_fetch_rebel_hard.stf', '2', 'fetch_rebel_hard_1', 'Go fetch Princess Leia a pink lightsaber.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_fetch_rebel_hard.stf', '3', 'fetch_rebel_hard_4', 'Go fetch Princess Leia a pink lightsaber.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_fetch_rebel_hard.stf', '4', 'fetch_rebel_hard_3', 'Go fetch Princess Leia a pink lightsaber.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mission_fetch_rebel_hard.stf', '5', 'fetch_rebel_hard_2', 'Go fetch Princess Leia a pink lightsaber.  STUB MISSION DESCRIPTION, REMOVE LATER.');
INSERT INTO `client_strings` VALUES ('string/en/mob/base_npc_convo.stf', '1', 'thug_npc_greet_1', 'What do you want?');
INSERT INTO `client_strings` VALUES ('string/en/mob/base_npc_convo.stf', '2', 'thug_npc_greet_2', 'Yeah?  What?!?');
INSERT INTO `client_strings` VALUES ('string/en/mob/base_npc_convo.stf', '3', 'thug_npc_greet_3', 'Make this quick, ok?');
INSERT INTO `client_strings` VALUES ('string/en/mob/base_npc_convo.stf', '4', 'thug_player_line_1_1', 'Who do you work for?');
INSERT INTO `client_strings` VALUES ('string/en/mob/base_npc_convo.stf', '5', 'thug_player_line_1_2', 'Why are you being so hostile?');
INSERT INTO `client_strings` VALUES ('string/en/mob/base_npc_convo.stf', '6', 'thug_player_line_1_3', 'You got somewhere to be?');
INSERT INTO `client_strings` VALUES ('string/en/mob/base_npc_convo.stf', '7', 'thug_npc_response_1_1', 'Whoever pays the most.');
INSERT INTO `client_strings` VALUES ('string/en/mob/base_npc_convo.stf', '8', 'thug_npc_response_1_2', 'Who says I\'m being hostile?');
INSERT INTO `client_strings` VALUES ('string/en/mob/base_npc_convo.stf', '9', 'thug_npc_response_1_3', 'What\'s it to you?');
INSERT INTO `client_strings` VALUES ('string/en/mob/base_npc_convo.stf', '10', 'thug_player_line_2_1', 'Ever work for Valarian?');
INSERT INTO `client_strings` VALUES ('string/en/mob/base_npc_convo.stf', '11', 'thug_player_line_2_2', 'Um...that was me.');
INSERT INTO `client_strings` VALUES ('string/en/mob/base_npc_convo.stf', '12', 'thug_player_line_2_3', 'I\'m just asking is all.');
INSERT INTO `client_strings` VALUES ('string/en/mob/base_npc_convo.stf', '13', 'thug_player_line_3_1', 'Ever work for Jabba?');
INSERT INTO `client_strings` VALUES ('string/en/mob/base_npc_convo.stf', '14', 'thug_player_line_3_2', 'You\'re rude aren\'t you?');
INSERT INTO `client_strings` VALUES ('string/en/mob/base_npc_convo.stf', '15', 'thug_player_line_3_3', 'Forget I asked.');
INSERT INTO `client_strings` VALUES ('string/en/mob/base_npc_convo.stf', '16', 'thug_npc_response_2_1', 'Answering questions like that can get you killed.');
INSERT INTO `client_strings` VALUES ('string/en/mob/base_npc_convo.stf', '17', 'thug_npc_response_3_1', 'Didn\'t everyone?');
INSERT INTO `client_strings` VALUES ('string/en/mob/base_npc_convo.stf', '19', 'thug_npc_response_2_2', 'Do I care?  No.  Go away.');
INSERT INTO `client_strings` VALUES ('string/en/mob/base_npc_convo.stf', '20', 'thug_npc_response_3_2', 'Very.');
INSERT INTO `client_strings` VALUES ('string/en/mob/base_npc_convo.stf', '21', 'thug_npc_response_2_3', 'Well don\'t.');
INSERT INTO `client_strings` VALUES ('string/en/mob/base_npc_convo.stf', '23', 'thug_npc_response_3_3', 'I\'ll forget this whole thing ever happened');
INSERT INTO `client_strings` VALUES ('string/en/mob/base_npc_convo.stf', '24', 'player_job_request', 'Do you need anything done?');
INSERT INTO `client_strings` VALUES ('string/en/mob/base_npc_convo.stf', '25', 'thug_npc_job_offer_1', 'I got work.  If you don\'t mind getting your hands dirty you can have it.  Want it?');
INSERT INTO `client_strings` VALUES ('string/en/mob/base_npc_convo.stf', '26', 'thug_npc_job_offer_2', 'There\'s plenty to do if you\'re willing to bend a few laws...');
INSERT INTO `client_strings` VALUES ('string/en/mob/base_npc_convo.stf', '27', 'thug_npc_job_offer_3', 'I don\'t know if I trust you, but I got something I need done if you\'re willing.');
INSERT INTO `client_strings` VALUES ('string/en/mob/base_npc_convo.stf', '28', 'player_job_accept', 'Sure, I\'ll take your job.');
INSERT INTO `client_strings` VALUES ('string/en/mob/base_npc_convo.stf', '29', 'player_job_refuse', 'I think I\'ll pass on this one.');
INSERT INTO `client_strings` VALUES ('string/en/mob/base_npc_convo.stf', '30', 'thug_npc_do_job', 'Then get to work!');
INSERT INTO `client_strings` VALUES ('string/en/mob/base_npc_convo.stf', '31', 'thug_npc_go_home', 'I knew you were a waste of my time.');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1', 'aakuan_champion', 'an Aa\'kuan champion');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2', 'aakuan_defender', 'an Aa\'kuan defender');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '3', 'aakuan_follower', 'an Aa\'kuan follower');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '4', 'aakuan_guardian', 'an Aa\'kuan guardian');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '5', 'aakuan_keeper', 'an Aa\'kuan keeper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '6', 'aakuan_sentinal', 'an Aa\'kuan sentinel');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '7', 'aakuan_steward', 'an Aa\'kuan steward');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '8', 'aakuan_warder', 'an Aa\'kuan warder');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '9', 'abandoned_rebel_private', 'an abandoned Rebel private');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '10', 'ackbar', 'Ackbar');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '11', 'adept_jinda_shaman', 'an adept Jinda shaman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '12', 'adept_panshee_shaman', 'an adept Panshe shaman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '13', 'afarathu_cult_bodyguard', 'an Afarathu cult bodyguard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '14', 'afarathu_cult_brute', 'an Afarathu brute');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '15', 'afarathu_cult_follower', 'an Afarathu cult follower');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '16', 'afarathu_cult_hellion', 'an Afarathu hellion');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '17', 'afarathu_cult_leader', 'an Afarathu cult leader');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '18', 'afarathu_cult_ruffian', 'an Afarathu ruffian');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '19', 'afarathu_cult_savage', 'an Afarathu savage');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '20', 'afarathu_cult_zealot', 'an Afarathu cult zealot');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '21', 'aged_lantern_bird', 'an aged lantern bird');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '22', 'aggrivated_bordok_mare', 'an aggravated bordok mare');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '23', 'agrilat_plumed_rasp', 'an agrilat rasp');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '24', 'alkhara_bandit', 'an Alkhara bandit');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '25', 'alkhara_bandit_king', 'an Alkhara bandit king');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '26', 'alkhara_champion', 'an Alkhara champion');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '27', 'alkhara_lieutenant', 'an Alkhara lieutenant');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '28', 'alliance_intelligence_case_officer', 'an Alliance intelligence case officer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '29', 'alpha_bolma', 'an alpha bolma');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '30', 'alpha_veermok', 'an alpha veermok');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '31', 'ancient_bull_rancor', 'an ancient bull rancor');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '32', 'ancient_graul', 'an ancient graul');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '33', 'ancient_reptilian_flier', 'an ancient reptilian flier');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '34', 'angler', 'an angler');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '35', 'angler_bone', 'a bone angler');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '36', 'angler_hatchling', 'an angler hatchling');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '37', 'angler_recluse', 'an angler recluse');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '38', 'angry_baz_nitch_avenger', 'an angry baz nitch avenger');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '39', 'ankura_gungan', 'an Ankura Gungan');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '40', 'arachne_drone', 'an arachne drone');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '41', 'arachne_fleshripper', 'an arachne fleshripper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '42', 'arachne_hatchling', 'an arachne hatchling');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '43', 'arachne_warrior', 'an arachne warrior');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '44', 'arachne_webmaster', 'an arachne webmaster');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '45', 'arachne_widow', 'an arachne widow');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '46', 'archaic_gondula_ritualist', 'an archaic Gondula ritualist');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '47', 'archaic_gundula_ritualist', 'an archaic Gondula ritualist');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '48', 'archaic_jinda_ritualist', 'an archaic Jinda ritualist');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '49', 'archaic_panshee_ritualist', 'an archaic Panshee ritualist');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '50', 'area_coordinator', 'an area coordinator');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '51', 'artisan', 'an artisan');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '52', 'assassin', 'an assassin');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '53', 'assassin_mission_recruiter_imperial', 'an Imperial stealth operative');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '54', 'assassin_mission_recruiter_neutral', 'a shadowy figure');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '55', 'assassin_mission_recruiter_rebel', 'a Rebel obscureOps agent');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '56', 'assault_trooper', 'an Assault Trooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '57', 'at_at', 'an AT-AT');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '58', 'at_st', 'an AT-ST');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '59', 'aujante_klee', 'Aujante Klee');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '60', 'axkva_min', 'Axkva Min');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '61', 'baby_bol', 'a baby bol');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '62', 'bachelor_gualama', 'a bachelor gualama');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '63', 'bageraset', 'a bageraset');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '64', 'bageraset_bruiser', 'a bageraset bruiser');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '65', 'bandit', 'a bandit');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '66', 'bantha', 'a bantha');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '67', 'bantha_bonecracker', 'a bonecracker bantha');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '68', 'barada', 'Barada');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '69', 'bark_mite', 'a bark mite');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '70', 'bark_mite_burrower', 'a bark mite burrower');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '71', 'bark_mite_burrower_collector', 'a bark mite burrower collector');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '72', 'bark_mite_burrower_drone', 'a bark mite burrower drone');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '73', 'bark_mite_burrower_queen', 'a bark mite burrower queen');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '74', 'bark_mite_burrower_swarmling', 'a bark mite burrower swarmling');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '75', 'bark_mite_burrower_worker', 'a bark mite burrower worker');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '76', 'bark_mite_hatchling', 'a bark mite hatchling');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '77', 'battle_droid', 'a Battle Droid');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '78', 'baz_nitch', 'a baz nitch');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '79', 'bearded_jax', 'a bearded jax');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '80', 'bedraggled_korga_laborer', 'a bedraggled Korga laborer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '81', 'bedraggled_pubam_laborer', 'a bedraggled Pubam laborer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '82', 'beguiling_donkuwah_scout', 'a beguiling Donkuwah scout');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '83', 'beguiling_korga_scout', 'a beguiling Korga scout');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '84', 'beguiling_pubam_scout', 'a beguiling Pubam scout');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '85', 'beldonnas_enforcer', 'a Beldonna\'s League enforcer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '86', 'beldonnas_marshal', 'a Beldonna\'s League marshal');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '87', 'beldonnas_scout', 'a Beldonna\'s League scout');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '88', 'beldonnas_soldier', 'a Beldonna\'s League soldier');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '89', 'berserk_marauder', 'a berserk marauder');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '90', 'beserk_kahmurra', 'a berserk kahmurra');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '91', 'bestine_artist01', 'Vanvi Hotne');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '92', 'bestine_artist02', 'Kolka Zteht');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '93', 'bestine_artist03', 'Giaal Itotr');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '94', 'bestine_artist04', 'Kahfr Oladi');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '95', 'bestine_artist05', 'Klepa Laeel');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '96', 'bestine_artist06', 'Boulo Siesi');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '97', 'bestine_tusken_raid_leader', 'a Tusken raid champion');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '98', 'bestine_tusken_raid_sub_leader', 'a Tusken raid hunter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '99', 'bewitching_donkuwah_shaman', 'a bewitching Donkuwah shaman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '100', 'bewitching_korga_dark_shaman', 'a bewitching Korga dark shaman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '101', 'bewitching_pubam_dark_shaman', 'a bewitching Pubam dark shaman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '102', 'bib_fortuna', 'Bib Fortuna');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '103', 'bile_drenched_quenker', 'a bile-drenched quenker');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '104', 'binayre_chief', 'a Binayre chief');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '105', 'binayre_hooligan', 'a Binayre hooligan');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '106', 'binayre_pirate', 'a Binayre pirate');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '107', 'binayre_ruffian', 'a Binayre ruffian');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '108', 'binayre_scalawag', 'a Binayre scalawag');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '109', 'binayre_smuggler', 'a Binayre smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '110', 'binayre_swindler', 'a Binayre swindler');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '111', 'bio_engineered_angler', 'an angler');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '112', 'bio_engineered_bageraset', 'a bageraset');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '113', 'bio_engineered_bantha', 'a bantha');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '114', 'bio_engineered_bearded_jax', 'a bearded jax');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '115', 'bio_engineered_blurrg', 'a blurrg');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '116', 'bio_engineered_boar_wolf', 'a boar wolf');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '117', 'bio_engineered_bocatt', 'a bocatt');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '118', 'bio_engineered_bol', 'a bol');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '119', 'bio_engineered_bolle_bol', 'a bolle bol');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '120', 'bio_engineered_bolma', 'a bolma');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '121', 'bio_engineered_bordok', 'a bordok');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '122', 'bio_engineered_brackaset', 'a brackaset');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '123', 'bio_engineered_carrion_spat', 'a carrion spat');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '124', 'bio_engineered_choku', 'a choku');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '125', 'bio_engineered_cu_pa', 'a cu pa');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '126', 'bio_engineered_dalyrake', 'a dalyrake');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '127', 'bio_engineered_dewback', 'a dewback');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '128', 'bio_engineered_dune_lizard', 'a dune lizard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '129', 'bio_engineered_durni', 'a durni');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '130', 'bio_engineered_eopie', 'an eopie');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '131', 'bio_engineered_falumpaset', 'a falumpaset');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '132', 'bio_engineered_fambaa', 'a fambaa');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '133', 'bio_engineered_gnort', 'a gnort');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '134', 'bio_engineered_graul', 'a graul');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '135', 'bio_engineered_gronda', 'a gronda');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '136', 'bio_engineered_gualama', 'a gualama');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '137', 'bio_engineered_guf_drolg', 'a guf drolg');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '138', 'bio_engineered_gurnaset', 'a gurnaset');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '139', 'bio_engineered_gurreck', 'a gurreck');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '140', 'bio_engineered_hermit_spider', 'a hermit spider');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '141', 'bio_engineered_huf_dun', 'a huf dun');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '142', 'bio_engineered_huurton', 'a huurton');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '143', 'bio_engineered_ikopi', 'an ikopi');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '144', 'bio_engineered_kaadu', 'a kaadu');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '145', 'bio_engineered_kima', 'a kima');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '146', 'bio_engineered_kimogila', 'a kimogila');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '147', 'bio_engineered_kliknik', 'a kliknik');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '148', 'bio_engineered_krahbu', 'a krahbu');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '149', 'bio_engineered_kusak', 'a kusak');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '150', 'bio_engineered_kwi', 'a kwi');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '151', 'bio_engineered_langlatch', 'a langlatch');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '152', 'bio_engineered_malkloc', 'a malkloc');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '153', 'bio_engineered_mawgax', 'a mawgax');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '154', 'bio_engineered_merek', 'a merek');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '155', 'bio_engineered_mott', 'a mott');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '156', 'bio_engineered_murra', 'a kahmurra');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '157', 'bio_engineered_narglatch', 'a narglatch');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '158', 'bio_engineered_piket', 'a piket');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '159', 'bio_engineered_pugoriss', 'a pugoriss');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '160', 'bio_engineered_rancor', 'a rancor');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '161', 'bio_engineered_roba', 'a roba');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '162', 'bio_engineered_ronto', 'a ronto');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '163', 'bio_engineered_sand_panther', 'a razor cat');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '164', 'bio_engineered_sharnaff', 'a sharnaff');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '165', 'bio_engineered_shear_mite', 'a shear mite');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '166', 'bio_engineered_slice_hound', 'a slice hound');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '167', 'bio_engineered_snorbal', 'a snorbal');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '168', 'bio_engineered_squall', 'a squall');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '169', 'bio_engineered_swirl_prong', 'a swirl prong');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '170', 'bio_engineered_thune', 'a thune');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '171', 'bio_engineered_torton', 'a torton');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '172', 'bio_engineered_tusk_cat', 'a gurrcat');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '173', 'bio_engineered_tybis', 'a tybis');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '174', 'bio_engineered_veermok', 'a veermok');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '175', 'bio_engineered_verne', 'a verne');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '176', 'bio_engineered_vesp', 'a vesp');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '177', 'bio_engineered_vir_vur', 'a vir vur');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '178', 'bio_engineered_woolamander', 'a woolamander');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '179', 'bio_engineered_zucca_boar', 'a zucca boar');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '180', 'bith_sniper', 'a Bith sniper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '181', 'black_sun_initiate', 'Black Sun Initiate');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '182', 'black_sun_minion', 'Black Sun Minion');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '183', 'black_sun_smuggler', 'Black Sun Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '184', 'blastromech', 'a Blastromech');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '185', 'blister_rot_queen', 'a blister rot mite queen');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '186', 'blood_crazed_plains_marauder', 'a blood-crazed plains Marauder');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '187', 'blood_drenched_merek_king', 'a blood-drenched merek king');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '188', 'blood_frenzied_boar_wolf', 'a blood-frenzied boar wolf');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '189', 'blood_razor_berzerker', 'a Blood Razor berzerker');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '190', 'blood_razor_captain', 'a Blood Razor captain');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '191', 'blood_razor_cutthroat', 'a Blood Razor cutthroat');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '192', 'blood_razor_destroyer', 'a Blood Razor destroyer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '193', 'blood_razor_guard', 'a Blood Razor guard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '194', 'blood_razor_officer', 'a Blood Razor officer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '195', 'blood_razor_pirate_elite', 'a Blood Razor elite pirate');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '196', 'blood_razor_pirate_strong', 'a Blood Razor strong pirate');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '197', 'blood_razor_pirate_weak', 'a Blood Razor weak pirate');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '198', 'blood_razor_scout', 'a Blood Razor scout');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '199', 'blood_stained_merek', 'a blood-stained merek');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '200', 'blood_thirsty_borgle', 'a blood thirsty borgle');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '201', 'bloodfanged_gackle_bat', 'a blood-fanged gackle bat');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '202', 'bloodseeker_mite', 'a bloodseeker mite');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '203', 'bloodseeker_mite_drone', 'a bloodseeker mite drone');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '204', 'bloodseeker_mite_guardian', 'a bloodseeker mite guardian');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '205', 'bloodseeker_mite_hunter', 'a bloodseeker mite hunter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '206', 'bloodseeker_mite_queen', 'a bloodseeker mite queen');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '207', 'bloodseeker_mite_sanguine_hierarch', 'a sanguin bloodseeker hierarch');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '208', 'blooming_jax', 'a blooming jax');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '209', 'blurrg', 'a blurrg');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '210', 'blurrg_hunter', 'a blurrg hunter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '211', 'blurrg_pup', 'a blurrg pup');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '212', 'blurrg_raptor', 'a blurrg raptor');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '213', 'blurrg_sand_crawler', 'a blurrg sand crawler');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '214', 'blurrg_tracker', 'a blurrg tracker');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '215', 'blushing_jax', 'a blushing jax');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '216', 'boar_wolf', 'a boar wolf');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '217', 'boar_wolf_cub', 'a boar wolf cub');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '218', 'boar_wolf_ravager', 'a boar wolf ravager');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '219', 'boba_fett', 'Boba Fett');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '220', 'bocatt', 'a bocatt');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '221', 'bocatt_diseased', 'a diseased bocatt');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '222', 'bocatt_tormented', 'a tormented bocatt');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '223', 'bodyguard', 'a bodyguard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '224', 'bol', 'a bol');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '225', 'bol_lesser_plains', 'a lesser plains bol');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '226', 'bol_pack_runner', 'a bol pack runner');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '227', 'bol_swift_charger', 'a swift charging bol');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '228', 'bolle_bol', 'a bolle bol');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '229', 'bolle_bol_bark_biter', 'a bolle bol bark biter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '230', 'bolle_bol_calf', 'a bolle bol calf');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '231', 'bolle_bol_colt', 'a bolle bol colt');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '232', 'bolle_bol_elder_pulverizer', 'an elder pulverizer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '233', 'bolle_bol_female', 'a bolle bol female');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '234', 'bolle_bol_herd_leader', 'a bolle bol herd leader');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '235', 'bolle_bol_male', 'a bolle bol male');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '236', 'bolle_bol_stomper', 'a bolle bol stomper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '237', 'bolma', 'a bolma');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '238', 'bolma_calf', 'a bolma calf');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '239', 'bolma_female', 'a bolma female');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '240', 'bolma_male', 'a bolma male');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '241', 'bolma_pack_master', 'a bolma pack master');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '242', 'bolma_prime', 'Bolma Prime');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '243', 'bolma_youth', 'a bolma youth');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '244', 'bomarr_monk', 'a Bomarr monk');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '245', 'bomarr_monk_abbot', 'a Bomarr monk abbot');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '246', 'bomarr_monk_bodyguard', 'a Bomarr monk bodyguard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '247', 'bomarr_monk_healer', 'a Bomarr monk healer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '248', 'bomarr_monk_initiate', 'a Bomarr monk initiate');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '249', 'bombardier', 'a bombardier');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '250', 'bordok_ancient', 'a bordok ancient');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '251', 'bordok_foal', 'a bordok foal');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '252', 'bordok_herd_master', 'a bordok herd master');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '253', 'bordok_mare', 'a bordok mare');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '254', 'borgle', 'a borgle');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '255', 'borgle_desert_roamer', 'a roaming desert borgle');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '256', 'borgle_desert_runner', 'a desert scavenger');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '257', 'borgle_harvester', 'a borgle harvester');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '258', 'borgle_life_sapper', 'a borgle life sapper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '259', 'borgle_matriarch', 'a borgle matriarch');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '260', 'borgle_protector', 'a borgle protector');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '261', 'borvo_the_hutt', 'Borvo the Hutt');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '262', 'borvos_champion', 'Borvo\'s champion');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '263', 'borvos_mercenary', 'Borvo\'s mercenary');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '264', 'borvos_thug', 'Borvo\'s thug');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '265', 'boss_nass', 'Boss Nass');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '266', 'bossk', 'Bossk');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '267', 'bothan_diplomat', 'a Bothan diplomat');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '268', 'bothan_information_broker', 'a Bothan information broker');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '269', 'bounding_jax', 'a bounding jax');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '270', 'bounty_hunter', 'a bounty hunter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '271', 'brackaset', 'a brackaset');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '272', 'brackaset_female', 'a brackaset female');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '273', 'brackaset_lowlands', 'a lowland brackaset');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '274', 'brackaset_male', 'a brackaset male');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '275', 'brawler', 'a brawler');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '276', 'brigade_captain', 'a First Brigade captain');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '277', 'brigade_general', 'a First Brigade general');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '278', 'brigade_gunner', 'a First Brigade gunner');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '279', 'brigade_infiltrator', 'a First Brigade infiltrator');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '280', 'brigade_marine', 'a First Brigade marine');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '281', 'brigade_officer', 'a First Brigade officer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '282', 'brigade_scout', 'a First Brigade scout');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '283', 'brigade_sergeant', 'a First Brigade sergeant');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '284', 'brigade_technician', 'a First Brigade technician');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '285', 'brigade_trooper', 'a First Brigade trooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '286', 'brigand', 'a brigand');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '287', 'brigand_leader', 'a brigand leader');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '288', 'bull_bantha', 'a bull bantha');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '289', 'bull_rancor', 'a bull rancor');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '290', 'businessman', 'a businessman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '291', 'c_3po', 'C-3PO');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '292', 'cannibal', 'a cannibal');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '293', 'canoid', 'a canoid');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '294', 'canoid_hunter', 'a canoid hunter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '295', 'canoid_pack_leader', 'a canoid pack leader');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '296', 'canyon_corsair_captain', 'a Canyon Corsair captain');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '297', 'canyon_corsair_cutthroat', 'a Canyon Corsair cutthroat');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '298', 'canyon_corsair_destroyer', 'a Canyon Corsair destroyer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '299', 'canyon_corsair_guard', 'a Canyon Corsair guard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '300', 'canyon_corsair_pirate_elite', 'a Canyon Corsair elite pirate');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '301', 'canyon_corsair_pirate_strong', 'a Canyon Corsair strong pirate');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '302', 'canyon_corsair_pirate_weak', 'a Canyon Corsair weak pirate');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '303', 'canyon_corsair_scout', 'a Canyon Corsair scout');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '304', 'canyon_krayt_dragon', 'a canyon krayt dragon');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '305', 'canyon_krayt_dragon_no_loot', 'a canyon krayt dragon');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '306', 'capper_spineflap', 'a capper spineflap');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '307', 'capper_spineflap_drone', 'a capper spineflap drone');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '308', 'captain_eso', 'Captain Eso');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '309', 'captain_hassk', 'Captain Hassk');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '310', 'carnivorous_nuna', 'a carnivorous nuna');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '311', 'carrion_spat', 'a carrion spat');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '312', 'carrion_spat_corpsereaver', 'a carrion spat corpsereaver');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '313', 'cas_vankoo', 'Cas Vankoo');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '314', 'cave_beetle', 'a cave beetle');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '315', 'cave_gaping_spider', 'a cavern spider');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '316', 'cave_gaping_spider_broodling', 'a cavern spider broodling');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '317', 'cave_gaping_spider_hunter', 'a cavern spider hunter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '318', 'cave_gaping_spider_queen', 'a cavern spider queen');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '319', 'cave_gaping_spider_recluse', 'a reclusive cavern spider');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '320', 'cave_gaping_spider_recluse_giant', 'a giant cavern spider recluse');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '321', 'cave_gaping_spider_recluse_queen', 'a reclusive cavern spider queen');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '322', 'chadra_fan_assassin', 'a Chadra Fan assassin');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '323', 'chadra_fan_female', 'a Chadra Fan female');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '324', 'chadra_fan_male', 'a Chadra Fan male');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '325', 'chadra_fan_thief', 'a Chadra Fan thief');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '326', 'champhra_biahin', 'Champhra Biahin');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '327', 'charal', 'Charal');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '328', 'charred_krevol', 'a charred krevol');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '329', 'chewbacca', 'Chewbacca');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '330', 'choku', 'a choku');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '331', 'choku_female', 'a choku female');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '332', 'choku_hunter', 'a choku hunter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '333', 'choku_male', 'a choku male');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '334', 'choku_packmaster', 'a choku packmaster');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '335', 'choku_pup', 'a choku pup');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '336', 'chuba', 'a chuba');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '337', 'chuba_large', 'a large chuba');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '338', 'chunker_braggart', 'a Chunker braggart');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '339', 'chunker_bruiser', 'a Chunker bruiser');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '340', 'chunker_bully', 'a Chunker bully');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '341', 'chunker_creep', 'a Chunker creep');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '342', 'chunker_goon', 'a Chunker goon');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '343', 'chunker_mooch', 'a Chunker mooch');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '344', 'chunker_nitwit', 'a Chunker nitwit');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '345', 'chunker_pest', 'a Chunker pest');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '346', 'chunker_punk', 'a Chunker punk');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '347', 'chunker_swindler', 'a Chunker swindler');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '348', 'clipped_fynock', 'a clipped fynock');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '349', 'cll8_binary_load_lifter', 'a CLL-8 binary load lifter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '350', 'coa2_imperial_commander', 'an Imperial commander');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '351', 'coa2_imperial_coordinator', 'an Imperial coordinator');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '352', 'coa2_rebel_commander', 'a Rebel commander');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '353', 'coa2_rebel_coordinator', 'a Rebel coordinator');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '354', 'coa3_information_imperial', 'an Information Officer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '355', 'coa3_information_rebel', 'an Information Officer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '356', 'coa3_tactical_imperial', 'a Tactical Officer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '357', 'coa3_tactical_rebel', 'a Tactical Officer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '358', 'cobral_assassin', 'a Neo-Cobral assassin');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '359', 'cobral_bandit', 'a Neo-Cobral bandit');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '360', 'cobral_boss', 'a Neo-Cobral boss');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '361', 'cobral_hitman', 'a Neo-Cobral hitman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '362', 'cobral_overlord', 'a Neo-Cobral overlord');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '363', 'cobral_runner', 'a Neo-Cobral runner');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '364', 'cobral_thief', 'a Neo-Cobral thief');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '365', 'cobral_thug', 'a Neo-Cobral thug');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '366', 'comm_operator', 'a comm operator');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '367', 'command_security_guard', 'a command security guard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '368', 'commander_byrne', 'Commander Byrne');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '369', 'commando', 'a commando');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '370', 'common_thief', 'a common thief');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '371', 'commoner', 'a commoner');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '372', 'commoner_aqualish', 'a commoner');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '373', 'commoner_aqualish_female', 'a commoner');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '374', 'commoner_aqualish_male', 'a commoner');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '375', 'commoner_bith', 'a commoner');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '376', 'commoner_bith_female', 'a commoner');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '377', 'commoner_bith_male', 'a commoner');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '378', 'commoner_bothan', 'a commoner');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '379', 'commoner_bothan_female', 'a commoner');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '380', 'commoner_bothan_male', 'a commoner');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '381', 'commoner_devaronian', 'a commoner');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '382', 'commoner_female', 'a commoner');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '383', 'commoner_human', 'a commoner');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '384', 'commoner_human_female', 'a commoner');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '385', 'commoner_human_male', 'a commoner');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '386', 'commoner_ishitib', 'a commoner');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '387', 'commoner_male', 'a commoner');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '388', 'commoner_moncal', 'a commoner');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '389', 'commoner_moncal_female', 'a commoner');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '390', 'commoner_moncal_male', 'a commoner');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '391', 'commoner_nikto', 'a commoner');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '392', 'commoner_rodian', 'a commoner');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '393', 'commoner_rodian_female', 'a commoner');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '394', 'commoner_rodian_male', 'a commoner');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '395', 'commoner_sullustan', 'a commoner');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '396', 'commoner_trandoshan', 'a commoner');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '397', 'commoner_trandoshan_female', 'a commoner');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '398', 'commoner_trandoshan_male', 'a commoner');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '399', 'commoner_twilek', 'a commoner');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '400', 'commoner_twilek_female', 'a commoner');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '401', 'commoner_twilek_male', 'a commoner');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '402', 'commoner_zabrak', 'a commoner');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '403', 'commoner_zabrak_female', 'a commoner');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '404', 'commoner_zabrak_male', 'a commoner');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '405', 'competent_gundula_ritualist', 'a competent Gondula rigualist');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '406', 'competent_jinda_ritualist', 'a competent Jinda ritualist');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '407', 'competent_panshee_ritualist', 'a competent Panshee ritualist');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '408', 'compforce_trooper', 'a CompForce trooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '409', 'confused_wood_mite_hatchling', 'a confused wood mite hatchling');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '410', 'corellia_times_investigator', 'a Corellia Times investigator');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '411', 'corellia_times_reporter', 'a Corellia Times reporter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '412', 'corellian_butterfly', 'a corellian butterfly');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '413', 'corellian_butterfly_defender', 'a corellian butterfly defender');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '414', 'corellian_butterfly_drone', 'a corellian butterfly drone');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '415', 'corellian_butterfly_drone_large', 'a corellian butterfly drone');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '416', 'corellian_butterfly_monarch', 'a corellian butterfly monarch');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '417', 'corellian_butterfly_monarch_bloodthirsty', 'a blood-thirsty monarch');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '418', 'corellian_butterfly_warrior', 'a corellian butterfly warrior');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '419', 'corellian_butterfly_worker', 'a corellian butterfly worker');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '420', 'corporal_sova', 'Corporal Sova');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '421', 'corsec_agent', 'a CorSec agent');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '422', 'corsec_agent_aggro', 'a CorSec Special Agent');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '423', 'corsec_battle_droid', 'A Battle Droid');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '424', 'corsec_cadet', 'a CorSec Cadet');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '425', 'corsec_cadet_aggro', 'a CorSec Special Ops Trainee');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '426', 'corsec_captain', 'a CorSec Captain');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '427', 'corsec_captain_aggro', 'a CorSec Special Ops Captain');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '428', 'corsec_chief', 'a CorSec Chief');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '429', 'corsec_chief_aggro', 'a CorSec Special Ops Chief');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '430', 'corsec_comissioner', 'a CorSec Commissioner');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '431', 'corsec_comissioner_aggro', 'a Corsec Special Ops Comissioner');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '432', 'corsec_commissioner_aggro', 'a CorSec Special Ops Commissioner');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '433', 'corsec_deserter', 'a CorSec deserter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '434', 'corsec_detective', 'a CorSec Detective');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '435', 'corsec_detective_aggro', 'a CorSec Security Specialist');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '436', 'corsec_inspector_sergeant', 'a CorSec Inspector Sergeant');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '437', 'corsec_inspector_sergeant_aggro', 'a CorSec Special Ops Inspector');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '438', 'corsec_investigator', 'a CorSec investigator');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '439', 'corsec_lieutenant', 'a CorSec Lieutenant');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '440', 'corsec_lieutenant_aggro', 'a CorSec Special Ops Lieutenant');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '441', 'corsec_major', 'a CorSec Major');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '442', 'corsec_major_aggro', 'a CorSec Special Ops Major');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '443', 'corsec_master_sergeant', 'a CorSec Master Sergeant');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '444', 'corsec_master_sergeant_aggro', 'a CorSec Special Ops Master Sergeant');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '445', 'corsec_renegade', 'a renegade CorSec trooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '446', 'corsec_rogue', 'a rogue CorSec trooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '447', 'corsec_sergeant', 'a CorSec Sergeant');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '448', 'corsec_sergeant_aggro', 'a CorSec Special Ops Sergeant');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '449', 'corsec_super_battle_droid', 'A Super Battle Droid');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '450', 'corsec_traitor', 'a CorSec traitor');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '451', 'corsec_trooper', 'a CorSec trooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '452', 'corsec_trooper_aggro', 'a CorSec Soldier');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '453', 'corvet_rebel_midshipman', 'a Rebel Midshipman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '454', 'corvette_rebel_admiral', 'a Rebel Admiral');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '455', 'corvette_rebel_commandant', 'a Rebel Commandant');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '456', 'corvette_rebel_commando', 'a Rebel commando');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '457', 'corvette_rebel_commodore', 'a Rebel Commodore');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '458', 'corvette_rebel_engineer', 'a Rebel Engineer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '459', 'corvette_rebel_ensign', 'a Rebel Ensign');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '460', 'corvette_rebel_mate', 'a Rebel First Mate');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '461', 'corvette_rebel_rear_admiral', 'a Rebel Rear Admiral');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '462', 'corvette_rebel_sailor', 'a Rebel Sailor');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '463', 'cowardly_gurreck', 'a cowardly gurreck');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '464', 'crackdown_at_st', 'an AT-ST');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '465', 'crackdown_comm_operator', 'an Imperial comm op');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '466', 'crackdown_comm_operator_hard', 'an Imperial comm specialist');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '467', 'crackdown_command_security_guard', 'an Imperial command security guard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '468', 'crackdown_command_security_guard_hard', 'an elite Imperial security guard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '469', 'crackdown_dark_trooper', 'a victory class dark trooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '470', 'crackdown_dark_trooper_hard', 'a glory class dark trooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '471', 'crackdown_elite_dark_trooper', 'an exogen class dark trooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '472', 'crackdown_elite_dark_trooper_hard', 'an oppressor-7 class dark trooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '473', 'crackdown_elite_sand_trooper', 'an elite sand trooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '474', 'crackdown_elite_sand_trooper_hard', 'an elite sand trooper commando');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '475', 'crackdown_imperial_army_captain', 'an Imperial captain');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '476', 'crackdown_imperial_army_captain_hard', 'an experienced Imperial captain');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '477', 'crackdown_imperial_colonel', 'an Imperial colonel');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '478', 'crackdown_imperial_colonel_hard', 'a decorated Imperial colonel');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '479', 'crackdown_imperial_corporal', 'an Imperial corporal');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '480', 'crackdown_imperial_corporal_hard', 'an experienced Imperial corporal');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '481', 'crackdown_imperial_exterminator', 'an Imperial exterminator');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '482', 'crackdown_imperial_exterminator_hard', 'a weathered Imperial exterminator');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '483', 'crackdown_imperial_first_lieutenant', 'an Imperial 1st lieutenant');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '484', 'crackdown_imperial_first_lieutenant_hard', 'a skilled Imperial 1st lieutenant');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '485', 'crackdown_imperial_master_sergeant', 'an Imperial master sergeant');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '486', 'crackdown_imperial_master_sergeant_hard', 'an elite Imperial master sergeant');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '487', 'crackdown_imperial_medic', 'an Imperial medic');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '488', 'crackdown_imperial_medic_hard', 'an Imperial surgeon');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '489', 'crackdown_imperial_noncom', 'an Imperial noncom');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '490', 'crackdown_imperial_noncom_hard', 'a battle-shocked Imperial noncom');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '491', 'crackdown_imperial_sergeant', 'an Imperial sergeant');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '492', 'crackdown_imperial_sergeant_hard', 'a toughened Imperial sergeant');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '493', 'crackdown_imperial_sharpshooter', 'an Imperial sharpshooter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '494', 'crackdown_imperial_sharpshooter_hard', 'an Imperial dead-eye');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '495', 'crackdown_imperial_warrant_officer_ii', 'an Imperial warrant officer, 2nd class');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '496', 'crackdown_imperial_warrant_officer_ii_hard', 'an Imperial warrant officer, 1st class');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '497', 'crackdown_rebel_army_captain', 'a Rebel captain');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '498', 'crackdown_rebel_army_captain_hard', 'a well trained Rebel captain');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '499', 'crackdown_rebel_cadet', 'an inexperienced Rebel cadet');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '500', 'crackdown_rebel_cadet_hard', 'an experienced Rebel cadet');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '501', 'crackdown_rebel_colonel', 'a Rebel colonel');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '502', 'crackdown_rebel_colonel_hard', 'a decorated Rebel colonel');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '503', 'crackdown_rebel_comm_operator', 'a Rebel comm op');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '504', 'crackdown_rebel_comm_operator_hard', 'a Rebel comm officer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '505', 'crackdown_rebel_command', 'a Rebel commando');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '506', 'crackdown_rebel_command_security_guard', 'a Rebel security guard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '507', 'crackdown_rebel_command_security_guard_hard', 'a Rebel security officer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '508', 'crackdown_rebel_commando', 'a Rebel commando');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '509', 'crackdown_rebel_commando_hard', 'an elite Rebel commando');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '510', 'crackdown_rebel_corporal', 'a Rebel corporal');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '511', 'crackdown_rebel_corporal_hard', 'a Rebel field corporal');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '512', 'crackdown_rebel_elite_heavy_trooper', 'a Rebel elite heavy trooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '513', 'crackdown_rebel_elite_heavy_trooper_hard', 'a veteran Sith hunter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '514', 'crackdown_rebel_elite_sand_rat', 'an elite Rebel sand rat');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '515', 'crackdown_rebel_elite_sand_rat_hard', 'a well-trained elite Rebel sand rat');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '516', 'crackdown_rebel_first_lieutenant', 'a fatigued Rebel officer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '517', 'crackdown_rebel_first_lieutenant_hard', 'a Rebel officer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '518', 'crackdown_rebel_grenadier', 'a Rebel grenadier');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '519', 'crackdown_rebel_grenadier_hard', 'a Rebel munitions expert');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '520', 'crackdown_rebel_guard_captain', 'a Rebel guard captain');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '521', 'crackdown_rebel_guard_captain_hard', 'a watchful Rebel guard captain');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '522', 'crackdown_rebel_guardsman', 'a Rebel guard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '523', 'crackdown_rebel_guardsman_hard', 'a watchful Rebel guard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '524', 'crackdown_rebel_heavy_trooper', 'a Rebel dark trooper hunter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '525', 'crackdown_rebel_heavy_trooper_hard', 'a Rebel weapons master');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '526', 'crackdown_rebel_liberator', 'a Rebel liberator');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '527', 'crackdown_rebel_liberator_hard', 'an experienced Rebel liberator');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '528', 'crackdown_rebel_master_sergeant', 'a battle worn Rebel officer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '529', 'crackdown_rebel_master_sergeant_hard', 'a skilled Rebel officer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '530', 'crackdown_rebel_medic', 'a Rebel medic');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '531', 'crackdown_rebel_medic_hard', 'a Rebel surgeon');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '532', 'crackdown_rebel_recruit', 'a frightened Rebel recruit');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '533', 'crackdown_rebel_recruit_hard', 'a battle ready Rebel recruit');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '534', 'crackdown_rebel_rifleman', 'a fresh Rebel rifleman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '535', 'crackdown_rebel_rifleman_hard', 'a crack Rebel rifleman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '536', 'crackdown_rebel_sergeant', 'a washout Rebel officer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '537', 'crackdown_rebel_sergeant_hard', 'a strict Rebel sergeant');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '538', 'crackdown_rebel_sharpshooter', 'a Rebel sharpshooter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '539', 'crackdown_rebel_sharpshooter_hard', 'a Rebel dead-eye');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '540', 'crackdown_rebel_soldier', 'a Rebel soldier');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '541', 'crackdown_rebel_soldier_hard', 'a battle ready Rebel soldier');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '542', 'crackdown_rebel_squad_leader', 'a Rebel squad leader');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '543', 'crackdown_rebel_squad_leader_hard', 'a Rebel section commander');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '544', 'crackdown_rebel_warrant_officer_ii', 'a Rebel warrant officer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '545', 'crackdown_rebel_warrant_officer_ii_hard', 'a Rebel tactical officer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '546', 'crackdown_sand_trooper', 'an Imperial sand trooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '547', 'crackdown_sand_trooper_hard', 'an elite Imperial sand trooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '548', 'crackdown_scout_trooper', 'an Imperial scout trooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '549', 'crackdown_scout_trooper_hard', 'an elite Imperial scout trooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '550', 'crackdown_specialist_noncom', 'an Imperial specialist');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '551', 'crackdown_specialist_noncom_hard', 'a top secret Imperial specialist');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '552', 'crackdown_storm_commando', 'an Imperial storm commando');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '553', 'crackdown_storm_commando_hard', 'an ace Imperial storm commando');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '554', 'crackdown_stormtrooper', 'an Imperial stormtrooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '555', 'crackdown_stormtrooper_bombardier', 'an Imperial bombardier');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '556', 'crackdown_stormtrooper_captain', 'an Imperial stormcaptain');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '557', 'crackdown_stormtrooper_hard', 'an elite Imperial stormtrooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '558', 'crackdown_stormtrooper_medic', 'an Imperial stormmedic');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '559', 'crackdown_stormtrooper_medic_hard', 'an Imperial stormsurgeon');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '560', 'crackdown_stormtrooper_rifleman', 'an Imperial stormrifle');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '561', 'crackdown_stormtrooper_rifleman_hard', 'an elite Imperial stormrifle');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '562', 'crackdown_stormtrooper_sniper', 'an Imperial stormsniper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '563', 'crackdown_stormtrooper_sniper_hard', 'an elite Imperial stormsniper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '564', 'crackdown_stormtrooper_squad_leader', 'an Imperial stormtrooper squad leader');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '565', 'crackdown_stormtrooper_squad_leader_hard', 'an Imperial stormtrooper colonel');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '566', 'crackdown_swamp_trooper', 'an Imperial swamp trooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '567', 'crackdown_swamp_trooper_hard', 'a hardened Imperial swamp trooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '568', 'crafting_contractor', 'a contractor');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '569', 'crafty_donkuwah_scout', 'a crafty Donkuwah scout');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '570', 'crafty_korga_scout', 'a crafty Korga scout');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '571', 'crafty_pubam_scout', 'a crafty Pubam scout');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '572', 'craggy_bolma', 'a craggy bolma');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '573', 'crazed_durni', 'a crazed durni');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '574', 'crazed_gurk_destroyer', 'a crazed gurk destroyer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '575', 'crazed_gurreck', 'a crazed gurreck');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '576', 'crazed_roba', 'a crazed roba');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '577', 'crescent_rasp', 'a crescent rasp');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '578', 'crimelord', 'a crimelord');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '579', 'criminal', 'a criminal');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '580', 'crimson_blurrg', 'a crimson blurrg');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '581', 'crimson_sand_panther', 'a crimson razor cat');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '582', 'crystal_snake', 'a crystal snake');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '583', 'crystal_snake_hooded', 'a hooded crystal snake');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '584', 'cu_pa', 'a cu pa');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '585', 'cu_pa_wonderous', 'a wonderous cu-pa');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '586', 'cyst_covered_rot_guard', 'a cyst-covered rot mite guard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '587', 'daktar_bloodmoon', 'Daktar Bloodmoon');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '588', 'dalyrake', 'a dalyrake');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '589', 'dalyrake_harvester', 'a dalyrake harvester');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '590', 'dalyrake_matriarch', 'a dalyrake matriarch');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '591', 'dantari_raider', 'a Dantari raider');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '592', 'dantari_raider_battlelord', 'a Dantari battlelord');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '593', 'dantari_raider_chief', 'a Dantari chief');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '594', 'dantari_raider_strategist', 'a Dantari strategist');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '595', 'dappled_gualama', 'a dappled gualama');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '596', 'dark_adept', 'a Dark Adept');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '597', 'dark_force_crystal_hunter', 'a force crystal hunter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '598', 'dark_jedi_knight', 'a Dark Jedi Knight');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '599', 'dark_jedi_master', 'a Dark Jedi Master');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '600', 'dark_jedi_sentinel', 'A Dark Jedi Sentinel');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '601', 'dark_side_savage', 'a dark side savage');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '602', 'dark_trooper', 'a Dark Trooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '603', 'darklighter_guard', 'a Darklighter guard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '604', 'darth_maul_probe_droid', 'a Darth Maul probe droid');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '605', 'darth_vader', 'Darth Vader');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '606', 'dashing_vir_vur', 'a dashing vir vur');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '607', 'deadly_forest_mite_guardian', 'a deadly forest mite guardian');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '608', 'deadly_vesp', 'a deadly vesp');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '609', 'death_watch_miner', 'a miner');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '610', 'death_watch_quenker', 'a mine rat');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '611', 'death_watch_scientist', 'a scientist');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '612', 'death_watch_technician', 'a technician');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '613', 'decay_mite', 'a decay mite');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '614', 'delirious_merek_avenger', 'a delirious merek avenger');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '615', 'dera_darklighter', 'Dera Darklighter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '616', 'deranged_mantigrue', 'a deranged mantigrue');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '617', 'deranged_squall', 'a deranged squall');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '618', 'deranged_wrix', 'a deranged wrix');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '619', 'dervish', 'a dervish');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '620', 'desert_demon', 'a Desert Demon');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '621', 'desert_demon_bodyguard', 'a Desert Demon bodyguard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '622', 'desert_demon_brawler', 'a Desert Demon brawler');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '623', 'desert_demon_leader', 'a Desert Demon leader');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '624', 'desert_demon_marksman', 'a Desert Demon marksman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '625', 'desert_eopie', 'a desert eopie');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '626', 'desert_gurreck_charger', 'desert gurreck charger');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '627', 'desert_razorback', 'a desert razorback');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '628', 'desert_razorback_felspur', 'a razorback felspur');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '629', 'desert_squill', 'desert squill');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '630', 'desert_swooper', 'desert swooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '631', 'desert_swooper_leader', 'desert swooper leader');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '632', 'desert_vesp', 'desert vesp');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '633', 'desert_womprat', 'a desert womp rat');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '634', 'detention_security_guard', 'a detention security guard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '635', 'devil_gulginaw', 'a devil gulginaw');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '636', 'dewback', 'a dewback');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '637', 'dewback_cannibal', 'a cannibal dewback');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '638', 'dewback_sandreaver', 'a sandreaver');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '639', 'diax', 'a diax');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '640', 'dim_u_abbot', 'a Dim-U abbot');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '641', 'dim_u_bantha', 'a Dim-U bantha');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '642', 'dim_u_cleric', 'a Dim-U cleric');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '643', 'dim_u_monastery_nun', 'a Dim-U monastery nun');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '644', 'dim_u_monk', 'a Dim-U monk');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '645', 'dim_u_preacher', 'a Dim-U preacher');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '646', 'dim_u_priestess', 'a Dim-U priestess');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '647', 'dire_cat', 'a dire cat');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '648', 'dire_cat_feral_orphan', 'a feral orphan');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '649', 'diseased_blurrg', 'a diseased blurrg');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '650', 'diseased_nuna', 'a diseased nuna');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '651', 'diseased_vrelt', 'a diseased vrelt');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '652', 'diseased_vrelt_matriarch', 'a diseased vrelt matriarch');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '653', 'disturbed_bolma', 'a disturbed bolma');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '654', 'doak_sif', 'Doak Sif');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '655', 'docile_kahmurra', 'a docile kahmurra');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '656', 'domestic_bageraset', 'a domestic bageraset');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '657', 'domestic_bearded_jax', 'a domestic bearded jax');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '658', 'domestic_bol_mount', 'a domestic bol mount');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '659', 'domestic_eopie', 'a domestic eopie');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '660', 'domestic_falumpaset', 'a plodding falumpaset');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '661', 'domestic_humbaba', 'a domestic humbaba');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '662', 'domestic_krahbu', 'a domestic krahbu');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '663', 'domestic_tusk_cat', 'a domestic tusk cat');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '664', 'domesticated_blurrg', 'a domesticated blurrg');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '665', 'domesticated_brackaset', 'a domesticated brackaset');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '666', 'domesticated_gurnaset', 'a domesticated gurnaset');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '667', 'domesticated_kaadu', '');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '668', 'domesticated_merek', 'a domesticated merek');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '669', 'domesticated_mott', 'a domesticated mott');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '670', 'domesticated_snorbal', 'a domesticated snorbal');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '671', 'donkuwah_battlelord', 'a Donkuwah battlelord');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '672', 'donkuwah_chieftan', 'a Donkuwah chieftain');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '673', 'donkuwah_cub', 'a Donkuwah cub');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '674', 'donkuwah_laborer', 'a Donkuwah laborer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '675', 'donkuwah_scout', 'a Donkuwah scout');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '676', 'donkuwah_shaman', 'a Donkuwah shaman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '677', 'donkuwah_spiritmaster', 'a Donkuwah spiritmaster');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '678', 'donkuwah_tribesman', 'a Donkuwah tribesman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '679', 'dr_dea_tore', 'Dr. Dea Tore');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '680', 'dragonet', 'a  dragonet');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '681', 'dragonet_armodragon', 'an armodragon');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '682', 'drall_abbot', 'a Drall abbot');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '683', 'drall_chieftain', 'a Drall chieftain');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '684', 'drall_guard', 'a Drall guard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '685', 'drall_master', 'a Drall master');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '686', 'drall_monk', 'a Drall monk');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '687', 'drall_patriot', 'a Drall patriot');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '688', 'drall_patriot_conqueror', 'a Drall patriot conqueror');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '689', 'drall_patriot_footsoldier', 'a Drall patriot foot soldier');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '690', 'drall_patriot_legionnare', 'a Drall patriot legionnaire');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '691', 'drall_sentry', 'a Drall sentry');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '692', 'dreaded_vir_vir', 'a dreaded vir vur');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '693', 'droid_4lom', '4-LOM');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '694', 'droideka', 'a droideka');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '695', 'droideka_strong', 'a droideka');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '696', 'droideka_weak', 'a droideka');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '697', 'droopy_mccool', 'Droopy McCool');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '698', 'dulok_outcast', 'a Dulok outcast');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '699', 'dulok_outcast_raider', 'a Dulok outcast raider');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '700', 'dune_bantha', 'a dune bantha');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '701', 'dune_beetle', 'a dune beetle');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '702', 'dune_kimogila', 'A dune kimogila');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '703', 'dune_kimogilla', 'a dune kimogila');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '704', 'dune_lizard', 'a dune lizard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '705', 'dune_lizard_sunstained', 'a sunstained dune lizard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '706', 'dune_stalker', 'a Dune Stalker');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '707', 'dune_stalker_avenger', 'a Dune Stalker avenger');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '708', 'dune_stalker_brawler', 'a Dune Stalker brawler');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '709', 'dune_stalker_enforcer', 'a Dune Stalker enforcer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '710', 'dune_stalker_leader', 'a Dune Stalker leader');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '711', 'dune_stalker_marksman', 'a Dune Stalker marksman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '712', 'dung_mite', 'a dung mite');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '713', 'dung_mite_repugnant_crawler', 'a repugnant dung mite crawler');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '714', 'durni', 'a durni');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '715', 'durni_vehement_warrior', 'a vehement warrior');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '716', 'dusk_vir_vur', 'a dusk vir vur');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '717', 'dwarf_bantha', 'a dwarf bantha');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '718', 'dwarf_eopie', 'a dwarf eopie');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '719', 'dwarf_gronda', 'a dwarf gronda');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '720', 'dwarf_nuna', 'a dwarf nuna');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '721', 'dwarf_nuna_drooling', 'a drooling nuna');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '722', 'dz70_fugitive_tracker_droid', 'an Arakyd DZ-70 fugitive tracker droid');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '723', 'eerie_donkuwah_spiritmaster', 'an eerie Donkuwah spiritmaster');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '724', 'eerie_korga_spiritmaster', 'an eerie Korga spiritmaster');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '725', 'eerie_pubam_spiritmaster', 'an eerie Pubam spiritmaster');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '726', 'eg6_power_droid', 'an EG-6 power droid');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '727', 'eg6_power_droid_crafted', 'an EG-6 power droid');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '728', 'elder_gualama', 'an elder gualama');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '729', 'elder_hanadak_matriarch', 'an elder hanadak matriarch');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '730', 'elder_pugoriss', 'an elder pugoriss');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '731', 'elder_snorbal_female', 'an elder snorbal female');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '732', 'elder_snorbal_male', 'an elder snorbal male');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '733', 'elder_squall', 'an elder squall');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '734', 'elite_canyon_corsair', 'an elite Canyon Corsair');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '735', 'elite_sand_trooper', 'an Elite Sand Trooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '736', 'emperor_royal_guard', 'a Royal Imperial Guard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '737', 'emperors_hand', 'Emperor\'s Hand');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '738', 'enraged_bull_rancor', 'an enraged bull rancor');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '739', 'enraged_donkuwah', 'an enraged Donkuwah');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '740', 'enraged_dune_kimogila', 'an enraged dune kimogila');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '741', 'enraged_kimogila', 'an enraged kimogila');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '742', 'enraged_korga', 'an enraged Korga');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '743', 'enraged_miner', 'Enraged Miner');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '744', 'enraged_pubam', 'an enraged Pubam');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '745', 'enraged_rancor', 'an enraged rancor');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '746', 'enraged_reptilian_flier', 'an enraged reptilian flier');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '747', 'enraged_tabage_mother', 'an enraged tabage mother');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '748', 'enraged_tybis', 'an enraged tybis');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '749', 'enraged_wood_mite_king', 'an enraged wood mite king');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '750', 'entertainer', 'an entertainer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '751', 'eopie', 'an eopie');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '752', 'eopie_herdmaster', 'an eopie herdmaster');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '753', 'ephant_mon', 'Ephant Mon');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '754', 'erran_sif', 'Erran Sif');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '755', 'erratic_swirl_prong', 'an erratic swirl prong');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '756', 'escaped_nightsister_slave', 'an escaped Nightsister slave');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '757', 'escaped_singing_mtn_clan_slave', 'an escaped Singing Mountain clan slave');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '758', 'ev_9d9', 'EV-9D9');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '759', 'evil_hermit', 'an evil hermit');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '760', 'evil_nomad', 'an evil nomad');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '761', 'evil_settler', 'an evil settler');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '762', 'ewok_outcast', 'an Ewok outcast');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '763', 'ewok_outcast_raider', 'an Ewok outcast raider');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '764', 'explorer', 'an explorer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '765', 'eye_of_solitude', 'an eye of Solitude');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '766', 'falumpaset', 'a falumpaset');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '767', 'falumpaset_plodding', 'a plodding falumpaset');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '768', 'fambaa', 'a fambaa');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '769', 'fambaa_furious_devastator', 'a furious devastator');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '770', 'famished_sludge_panther', 'a famished sludge panther');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '771', 'fanned_rawl', 'a fanned rawl');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '772', 'farmer', 'a farmer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '773', 'farmer_agriculturalist', 'an agriculturalist');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '774', 'farmer_rancher', 'a rancher');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '775', 'fath_hray', 'Fath Hray');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '776', 'fawn_moonraiser', 'Fawn Moonraiser');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '777', 'feared_fynock_youth', 'a feared fynock youth');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '778', 'fearful_fynock_youth', 'a fearful fynock youth');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '779', 'fed_dub_captain', 'a Fed-Dub Captain');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '780', 'fed_dub_commander', 'a Fed-Dub Commander');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '781', 'fed_dub_constable', 'a Fed-Dub Constable');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '782', 'fed_dub_investigator', 'a Fed-Dub investigator');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '783', 'fed_dub_patrolman', 'a Fed-Dub patrolman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '784', 'fed_dub_supporter', 'a Fed-Dub supporter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '785', 'feeble_kima', 'a feeble kima');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '786', 'female_dire_cat', 'a female dire cat');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '787', 'female_forest_slice_hound', 'a female forest slice hound');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '788', 'female_grassland_slice_hound', 'a female grassland slice hound');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '789', 'female_great_grass_plains_tusk_cat', 'a female plains tusk cat');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '790', 'female_kai_tok', 'a female kai tok');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '791', 'female_kwi', 'a female Kwi');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '792', 'female_mountain_squill', 'a female mountain squill');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '793', 'female_sand_panther', 'a female razor cat');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '794', 'female_slice_hound', 'a female slice hound');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '795', 'female_snorbal_calf', 'a female snorbal calf');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '796', 'female_swamp_tusk_cat', 'a female swamp tusk cat');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '797', 'feral_bantha', 'a feral bantha');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '798', 'feral_force_wilder', 'a feral Force wielder');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '799', 'feral_forest_mite_king', 'a feral forest mite king');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '800', 'feral_gurk', 'a feral gurk');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '801', 'feral_marauder', 'a feral Marauder');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '802', 'feral_mutant_gackle_stalker', 'a feral mutant gackle stalker');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '803', 'feral_selonian', 'a feral Selonian');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '804', 'ferocious_kusak', 'a ferocious kusak');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '805', 'festering_dung_queen', 'a festering dung mite queen');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '806', 'festering_squill', 'a festering squill');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '807', 'fierce_borgle', 'a fierce borgle');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '808', 'fierce_piket_protector', 'a fierce piket protector');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '809', 'fightmaster_jorak', 'Fightmaster Jorak');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '810', 'flail_boss', 'a Flail boss');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '811', 'flail_butcher', 'a Flail butcher');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '812', 'flail_cutthroat', 'a Flail cutthroat');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '813', 'flail_executioner', 'a Flail executioner');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '814', 'flail_killer', 'a Flail killer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '815', 'flail_slayer', 'a Flail slayer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '816', 'flesh_eating_chuba', 'a flesh eating chuba');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '817', 'flewt', 'a flewt');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '818', 'flewt_leviathan', 'a flewt leviathan');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '819', 'flight_computer_datapad', 'Flight Computer Databank');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '820', 'flit', 'a flit');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '821', 'flit_bloodsucker', 'a flit bloodsucker');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '822', 'flit_harasser', 'a flit harasser');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '823', 'flit_lethargic_behemoth', 'a lethargic behemoth');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '824', 'flit_youth', 'a flit youth');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '825', 'flite_rasp', 'a flite rasp');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '826', 'flite_rasp_large', 'a flite rasp');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '827', 'foaming_vynock', 'a foaming vynock');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '828', 'foot_of_solitude', 'a foot of Solitude');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '829', 'force_sensitive_crypt_crawler', 'a Force-sensitive crypt crawler');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '830', 'force_sensitive_renegade', 'a Force-sensitive renegade');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '831', 'force_trained_archaist', 'a Force-trained archaist');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '832', 'forest_mite', 'a forest mite');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '833', 'forest_murra', 'a forest murra');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '834', 'forest_slice_hound', 'a forest slice hound');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '835', 'forsaken_force_drifter', 'a forsaken force drifter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '836', 'foul_donkuwah_laborer', 'a foul Donkuwah laborer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '837', 'foul_korga_laborer', 'a foul Korga laborer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '838', 'foul_pubam_laborer', 'a foul Pubam laborer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '839', 'frail_squall', 'a frail squall');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '840', 'frail_squall_meek_avenger', 'a meek avenging squall');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '841', 'frenzied_choku', 'a frenzied choku');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '842', 'frenzied_donkuwah', 'a frenzied Donkuwah');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '843', 'frenzied_fynock_guardian', 'a frenzied fynock guardian');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '844', 'frenzied_graul', 'a frenzied graul');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '845', 'frenzied_kahmurra', 'a frenzied kahmurra');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '846', 'frenzied_korga', 'a frenzied Korga');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '847', 'frenzied_marauder', 'a frenzied Marauder');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '848', 'frenzied_pubam', 'a frenzied Pubam');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '849', 'frightened_borgle', 'a frightened borgle');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '850', 'frightened_young_flewt', 'a frightened young flewt');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '851', 'fringer', 'a fringer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '852', 'fs_exit_oldman', 'an old man');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '853', 'fs_intro_female', 'Jamilla Tabadi');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '854', 'fs_intro_oldman', 'an old man');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '855', 'fs_surgical_droid_21b', '2-1B (medical droid)');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '856', 'fs_village_farmer', 'Pannaqa');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '857', 'fs_villager_captain', 'Captain Sarguillo');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '858', 'fs_villager_convert', 'Paemos');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '859', 'fs_villager_elder', 'Rohak (Village Elder)');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '860', 'fs_villager_engineer', 'chief engineer of Aurilia');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '861', 'fs_villager_farmer', 'Pannaqa (a farmer)');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '862', 'fs_villager_female', 'a villager');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '863', 'fs_villager_generic', 'a villager');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '864', 'fs_villager_male', 'a villager');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '865', 'fs_villager_medic', 'Sivarra Mecheaux');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '866', 'fs_villager_sad1', 'Dageerin');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '867', 'fs_villager_sad2', 'Dageerin');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '868', 'fs_villager_surveyor', 'Eozlin');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '869', 'fs_villager_wounded', 'a wounded villager');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '870', 'fugitive', 'a fugitive');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '871', 'fuzzy_jax', 'a fuzzy jax');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '872', 'fynock', 'a fynock');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '873', 'gackle_bat', 'a gackle bat');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '874', 'gackle_bat_hunter', 'a gackle bat hunter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '875', 'gackle_bat_myrmidon_lord', 'a gackle bat myrmidon lord');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '876', 'gackle_bat_vampiric', 'a vampiric gackle bat');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '877', 'gadsle_distombe', 'Gadsle Distombe');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '878', 'gambler', 'a gambler');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '879', 'gamorrean_guard', 'a Gamorrean guard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '880', 'gaping_spider', 'a gaping spider');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '881', 'gaping_spider_broodling', 'a gaping spider broodling');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '882', 'gaping_spider_chasmal', 'a chasmal spider');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '883', 'gaping_spider_hunter', 'a gaping spider hunter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '884', 'gaping_spider_queen', 'a gaping spider queen');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '885', 'gaping_spider_recluse', 'a gaping spider recluse');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '886', 'gaping_spider_recluse_giant', 'a giant gaping spider recluse');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '887', 'gaping_spider_recluse_giant_kiin_dray', 'Kiin\'Dray');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '888', 'gaping_spider_recluse_queen', 'a gaping spider recluse queen');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '889', 'garyn_dragoon', 'Garyn\'s dragoon');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '890', 'garyn_lieutenant', 'Garyn\'s lieutenant');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '891', 'garyn_marauder', 'Garyn\'s marauder');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '892', 'garyn_mugger', 'Garyn\'s mugger');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '893', 'garyn_pirate', 'Garyn\'s pirate');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '894', 'garyn_prowler', 'Garyn\'s prowler');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '895', 'garyn_raider', 'Garyn\'s raider');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '896', 'garyn_thief', 'Garyn\'s thief');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '897', 'garyn_vigo', 'Garyn\'s vigo');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '898', 'general_otto', 'General Otto');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '899', 'genetically_enhanced_kahmurra', 'a genetically-enhanced kahmurra');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '900', 'geonosian_acklay_bunker_boss', 'an acklay');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '901', 'geonosian_crazed_guard', 'a crazed Geonosian guard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '902', 'geonosian_droideka_crazed', 'an alert droideka');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '903', 'geonosian_enhanced_kwi', 'an enhanced kwi');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '904', 'geonosian_gaping_spider_fire', 'an enhanced gaping spider');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '905', 'geonosian_human_security_force', 'a mercenary sentry');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '906', 'geonosian_imperial_observer', 'an Imperial observer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '907', 'geonosian_kliknik_force_strong', 'an enhanced kliknik');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '908', 'geonosian_kliknik_force_weak', 'an enhanced kliknik');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '909', 'geonosian_scientist', 'a Geonosian scientist');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '910', 'geonosian_scientist_human_female', 'a scientist');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '911', 'geonosian_security_probot', 'a haywire security droid');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '912', 'geonosian_securty_probot', '');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '913', 'geonosian_tech_assistant', 'a Geonosian technical assistant');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '914', 'geonosian_worker', 'a Geonosian worker');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '915', 'gerrick_lond', 'Gerrik Lond');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '916', 'gethzerion', 'Gethzerion');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '917', 'giant_angler', 'a giant angler');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '918', 'giant_baz_nitch', 'a giant baz nitch');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '919', 'giant_canyon_krayt_dragon', 'a giant canyon krayt dragon');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '920', 'giant_carrion_spat', 'a giant carrion spat');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '921', 'giant_crystal_snake', 'a giant crystal snake');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '922', 'giant_dalyrake', 'a giant dalyrake');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '923', 'giant_decay_mite_harvester', 'a giant decay mite harvester');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '924', 'giant_decay_mite_hatchling', 'a giant decay mite hatchling');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '925', 'giant_decay_mite_protector', 'a giant decay mite protector');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '926', 'giant_decay_mite_queen', 'a giant decay mite queen');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '927', 'giant_decay_mite_royal_guardian', 'a giant decay mite guardian');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '928', 'giant_decay_mite_sentry', 'a giant decay mite sentry');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '929', 'giant_decay_mite_soldier', 'a giant decay mite soldier');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '930', 'giant_dune_kimogila', 'a giant dune kimogila');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '931', 'giant_dune_kimogilla', 'a giant dune kimogila');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '932', 'giant_flit', 'a giant flit');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '933', 'giant_fynock', 'a giant fynock');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '934', 'giant_gackle_bat', 'a giant gackle bat');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '935', 'giant_gubbur', 'a giant gubbur');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '936', 'giant_horned_krevol', 'a giant horned krevol');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '937', 'giant_kimogila', 'a giant kimogila');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '938', 'giant_mawgax', 'a giant mawgax');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '939', 'giant_peko_peko', 'a giant peko peko');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '940', 'giant_pharple', 'a giant pharple');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '941', 'giant_sand_beetle', 'a giant sand beetle');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '942', 'giant_sand_beetle_cave', 'a giant sand beetle');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '943', 'giant_spined_puc', 'a giant spined puc');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '944', 'giant_spined_snake', 'a giant spined snake');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '945', 'giant_stintaril', 'a giant stintaril');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '946', 'giant_tanc_mite', 'a giant tanc mite');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '947', 'giant_veermok', 'a giant veermok');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '948', 'giant_worrt', 'a giant worrt');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '949', 'gifted_gondula_shaman', 'a gifted Gondula shaman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '950', 'gifted_jinda_shaman', 'a gifted Jinda shaman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '951', 'gifted_panshee_shaman', 'a gifted Panshee shaman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '952', 'giga_flite_rasp', 'a giga flite rasp');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '953', 'gins_darone', 'Gins Darone');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '954', 'gleaming_lantern_bird', 'a gleaming lantern bird');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '955', 'glutted_fynock_queen', 'a glutted fynock queen');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '956', 'gnarled_bark_mite_queen', 'a gnarled bark mite queen');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '957', 'gnarled_donkuwah_spiritmaster', 'a gnarled Donkuwah spiritmaster');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '958', 'gnarled_korga_spiritmaster', 'a gnarled Korga spiritmaster');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '959', 'gnarled_pubam_spiritmaster', 'a gnarled Pubam spiritmaster');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '960', 'gnarled_rancor', 'a gnarled rancor');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '961', 'gnort', 'a gnort');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '962', 'gnort_massive', 'a massive gnort');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '963', 'gondula_cub', 'a Gondula cub');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '964', 'gondula_elder', 'a Gondula elder');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '965', 'gondula_elder_worker', 'a Gondula elder worker');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '966', 'gondula_loremaster', 'a Gondula loremaster');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '967', 'gondula_matriarch', 'a Gondula matriarch');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '968', 'gondula_shaman', 'a Gondula shaman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '969', 'gondula_tribesman', 'a Gondula tribesman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '970', 'gondula_veteran', 'a Gondula veteran');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '971', 'gondula_warrior', 'a Gondula warrior');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '972', 'gorax', 'Gorax');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '973', 'gorax_matriarch', 'a gorax matriarch');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '974', 'gorg', 'a gorg');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '975', 'gorg_glutton', 'a gorg glutton');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '976', 'gorge_vesp', 'a gorge vesp');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '977', 'gorr_ebelt', 'Gorr Ebelt');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '978', 'governor', 'a governor');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '979', 'grand_wrix', 'a grand wrix');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '980', 'grassland_blood_marauder', 'a grassland blood Marauder');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '981', 'grassland_raider', 'a grassland raider');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '982', 'grassland_slice_hound', 'a grassland slice hound');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '983', 'grassland_voritor_tracker', 'a grassland voritor tracker');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '984', 'graul', 'a graul');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '985', 'graul_mangler', 'a graul mangler');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '986', 'graul_marauder', 'a graul marauder');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '987', 'graul_mauler', 'a graul mauler');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '988', 'great_borgle', 'a great borgle');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '989', 'great_plains_stalker', 'a great plains stalker');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '990', 'greater_desert_womprat', 'a greater desert womp rat');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '991', 'greater_gulginaw', 'a greater gulginaw');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '992', 'greater_shaupaut', 'a greater shaupaut');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '993', 'greater_sludge_panther', 'a greater sludge panther');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '994', 'greck_assassin', 'Greck\'s assassin');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '995', 'greck_henchman', 'Greck\'s henchman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '996', 'greck_mugger', 'Greck\'s mugger');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '997', 'greck_smuggler', 'Greck\'s smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '998', 'grizzled_bark_mite', 'a grizzled bark mite');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '999', 'grizzled_dewback', 'a grizzled dewback');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1000', 'gronda', 'a gronda');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1001', 'gronda_elder', 'an elder gronda');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1002', 'gronda_juggernaut', 'a gronda juggernaut');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1003', 'gronda_patriarch', 'a gronda patriarch');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1004', 'grungy_donkuwah_laborer', 'a grungy Donkuwah laborer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1005', 'grungy_korga_laborer', 'a grungy Korga laborer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1006', 'grungy_pubam_laborer', 'a grungy Pubam laborer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1007', 'gualama', 'a gualama');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1008', 'gualama_patriarch', 'a gualama patriarch');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1009', 'gubbur', 'a gubbur');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1010', 'gubbur_bloated', 'a bloated gubber');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1011', 'guf_drolg', 'a guf drolg');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1012', 'guf_drolg_female', 'a guf drolg female');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1013', 'gulginaw', 'a gulginaw');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1014', 'gundark_crook', 'a Gundarkcrook');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1015', 'gundark_desperado', 'a Gundark desperado');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1016', 'gundark_hooligan', 'a Gundark hooligan');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1017', 'gundark_raider', 'a Gundark raider');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1018', 'gundark_rogue', 'a Gundark rogue');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1019', 'gundark_ruffian', 'a Gundark ruffian');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1020', 'gundula_chief', 'a Gondula chief');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1021', 'gundula_cub', 'a Gondula cub');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1022', 'gundula_elder', 'a Gondula elder');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1023', 'gundula_elder_worker', 'a Gondula elder worker');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1024', 'gundula_loremaster', 'a Gondula loremaster');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1025', 'gundula_matriarch', 'a Gondula matriarch');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1026', 'gundula_outcast', 'a Gondula outcast');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1027', 'gundula_ritualist', 'a Gondula ritualist');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1028', 'gundula_shaman', 'a Gondula shaman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1029', 'gundula_tribesman', 'a Gondula tribesman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1030', 'gundula_warrior', 'a Gondula warrior');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1031', 'gundula_worker', 'a Gondula worker');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1032', 'gundulak_veteran', 'a Gondula veteran');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1033', 'gungan_bomber', 'a Gungan bomber');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1034', 'gungan_boss', 'a Gungan Boss');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1035', 'gungan_captain', 'a Gungan Captain');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1036', 'gungan_falumpaset', 'a Gungan falumpaset');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1037', 'gungan_fambaa', 'a Gungan fambaa');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1038', 'gungan_general', 'a Gungan General');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1039', 'gungan_grand_army_soldier', 'a Gungan Grand Army soldier');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1040', 'gungan_guard', 'a Gungan guard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1041', 'gungan_hermit', 'a Gungan hermit');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1042', 'gungan_hunter', 'a Gungan hunter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1043', 'gungan_kaadu', 'a Gungan kaadu');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1044', 'gungan_kaadu_rider', 'a Gungan kaadu rider');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1045', 'gungan_mercenary', 'a Gungan mercenary');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1046', 'gungan_outcast', 'a Gungan outcast');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1047', 'gungan_priest', 'a Gungan priest');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1048', 'gungan_scout', 'a Gungan scout');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1049', 'gungan_veermok', 'a Gungan veermok');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1050', 'gungan_war_chief', 'a Gungan war chief');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1051', 'gunner', 'a gunner');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1052', 'gunrunner', 'a gunrunner');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1053', 'gurk', 'a gurk');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1054', 'gurk_gatherer', 'a gurk gatherer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1055', 'gurk_loathsome_mangler', 'a loathsome mangler');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1056', 'gurk_tracker', 'a gurk tracker');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1057', 'gurk_whelp', 'a gurk whelp');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1058', 'gurnaset', 'a gurnaset');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1059', 'gurnaset_hatchling', 'a gurnaset hatchling');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1060', 'gurrcat', 'a gurrcat');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1061', 'gurreck', 'a gurreck');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1062', 'gurreck_prowler', 'a prowling gurreck');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1063', 'haggard_donkuwah_battlelord', 'a haggard Donkuwah battlelord');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1064', 'haggard_pubam_battlelord', 'a haggard Pubam battlelord');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1065', 'han_solo', 'Han Solo');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1066', 'hanadak_ancient', 'a hanadak ancient');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1067', 'hanadak_drifter', 'a hanadak drifter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1068', 'hand_of_solitude', 'a hand of Solitude');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1069', 'hardened_gondula_warrior', 'a hardened Gondula warrior');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1070', 'hardened_jinda_warrior', 'a hardened Jinda warrior');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1071', 'hardened_panshee_warrior', 'a hardened Panshee warrior');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1072', 'hermit', 'a hermit');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1073', 'hermit_spider', 'a hermit spider');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1074', 'hermit_spider_guard', 'a hermit spider guard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1075', 'hermit_spider_queen', 'a hermit spider queen');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1076', 'hidden_daggers_activist', 'a Hidden Daggers activist');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1077', 'hidden_daggers_dissident', 'a Hidden Daggers dissident');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1078', 'hidden_daggers_extremist', 'a Hidden Daggers extremist');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1079', 'hidden_daggers_leader', 'a Hidden Daggers leader');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1080', 'hidden_daggers_lieutenant', 'a Hidden Daggers Lieutenant');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1081', 'high_colonel', 'a High Colonel');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1082', 'highland_remmer', 'a highland remmer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1083', 'hilltop_gurreck_hunter', 'a hilltop gurreck hunter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1084', 'hilltop_kima', 'a hilltop kima');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1085', 'hirsch_sif', 'Hirsch Sif');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1086', 'horned_krevol', 'a horned krevol');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1087', 'horned_rasp', 'a horned rasp');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1088', 'horned_voritor_jungle_lizard', 'a horned voritor lizard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1089', 'hostile_thune_mother', 'a hostile thune mother');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1090', 'howling_plumed_rasp', 'a howling plumed rasp');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1091', 'howling_plumed_rasp_large', 'a howling plumed rasp');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1092', 'huf_dun', 'a huf dun');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1093', 'huf_dun_bull', 'a huf dun bull');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1094', 'humbaba', 'a humbaba');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1095', 'hunter', 'a hunter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1096', 'hunter_talus', 'a hunter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1097', 'hutt_expedition_force_leader', 'Hutt Expeditionary Force leader');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1098', 'hutt_expedition_force_member', 'Hutt Expeditionary Force member');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1099', 'hutt_expedition_force_surveyer', 'Hutt Expeditionary Force surveyor');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1100', 'huurton', 'a huurton');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1101', 'huurton_bloodhunter', 'a huurton bloodhunter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1102', 'huurton_howler', 'a huurton howler');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1103', 'huurton_huntress', 'a huurton huntress');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1104', 'huurton_matron', 'a huurton matron');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1105', 'huurton_pup', 'a huurton pup');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1106', 'huurton_reaper', 'a huurton reaper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1107', 'huurton_stalker', 'a huurton stalker');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1108', 'ig_88', 'IG-88');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1109', 'ig_assassin_droid', 'an IG assassin droid');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1110', 'ikopi', 'an ikopi');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1111', 'ikopi_stag', 'an ikopi stag');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1112', 'ikopi_stout_stallion', 'a stout ikopi buck');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1113', 'imperial_army_captain', 'an Imperial Army Captain');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1114', 'imperial_battle_droid', 'A Battle Droid');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1115', 'imperial_brigadier_general', 'an Imperial Brigadier General');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1116', 'imperial_cadet', 'an Imperial cadet');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1117', 'imperial_cadet_squadleader', 'an Imperial cadet squadleader');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1118', 'imperial_civil_patrol_captain', 'a civil patrol captain');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1119', 'imperial_civil_patrol_commander', 'a civil patrol commander');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1120', 'imperial_civil_patrol_corporal', 'a civil patrol corporal');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1121', 'imperial_civil_patrol_sergeant', 'a civil patrol sergeant');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1122', 'imperial_civil_patrolman', 'a civilian patrolman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1123', 'imperial_colonel', 'an Imperial Colonel');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1124', 'imperial_corporal', 'an Imperial Corporal');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1125', 'imperial_deserter', 'an Imperial deserter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1126', 'imperial_exterminator', 'an Imperial exterminator');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1127', 'imperial_first_lieutenant', 'an Imperial First Lieutenant');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1128', 'imperial_general', 'an Imperial General');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1129', 'imperial_high_general', 'an Imperial High General');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1130', 'imperial_inquisitor', 'an Imperial inquisitor');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1131', 'imperial_lance_corporal', 'an Imperial Lance Corporal');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1132', 'imperial_lieutenant_colonel', 'an Imperial Lieutenant Colonel');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1133', 'imperial_lieutenant_general', 'an Imperial Lieutenant General');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1134', 'imperial_major', 'an Imperial Major');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1135', 'imperial_major_general', 'an Imperial Major General');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1136', 'imperial_master_sergeant', 'an Imperial Master Sergeant');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1137', 'imperial_medic', 'an Imperial Medic');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1138', 'imperial_noncom', 'an Imperial noncom');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1139', 'imperial_private', 'an Imperial Private');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1140', 'imperial_probot_drone', 'a probot drone');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1141', 'imperial_probot_handler', 'a droid corps junior technician');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1142', 'imperial_probot_seeker', 'a probot seeker');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1143', 'imperial_recruiter', 'an Imperial recruiter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1144', 'imperial_retreat_guard', 'an Imperial retreat guard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1145', 'imperial_second_lieutenant', 'an Imperial Second Lieutenant');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1146', 'imperial_senior_cadet', 'an Imperial senior cadet');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1147', 'imperial_sergeant', 'an Imperial Sergeant');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1148', 'imperial_sergeant_major', 'an Imperial Sergeant Major');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1149', 'imperial_sharpshooter', 'an Imperial sharpshooter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1150', 'imperial_staff_corporal', 'an Imperial Staff Corporal');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1151', 'imperial_staff_sergeant', 'an Imperial Staff Sergeant');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1152', 'imperial_super_battle_droid', 'A Super Battle Droid');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1153', 'imperial_surface_marshal', 'an Imperial surface Marshall');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1154', 'imperial_trooper', 'an Imperial trooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1155', 'imperial_veermok', 'an Imperial veermok');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1156', 'imperial_warrant_officer_i', 'an Imperial Warrant Officer I');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1157', 'imperial_warrant_officer_ii', 'an Imperial Warrant officer II');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1158', 'imprisoned_imperial', 'an imprisoned Imperial officer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1159', 'imprisoned_jabba_employee', 'an imprisoned Jabba employee');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1160', 'imprisoned_rebel', 'an imprisoned Rebel soldier');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1161', 'industrial_spy', 'an industrial spy');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1162', 'infant_brackaset', 'an infant brackaset');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1163', 'infant_graul', 'an infant graul');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1164', 'info_broker', 'an information broker');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1165', 'injured_kwi', 'an injured Kwi');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1166', 'injured_purbole', 'an injured purbole');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1167', 'injured_verne', 'an injured verne');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1168', 'insane_kitonak', 'an insane kitonak');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1169', 'irate_flewt_matriarch', 'an irate flewt matriarch');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1170', 'ito_interrogator', 'an ITO interrogator');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1171', 'jabba_assassin', 'Jabba\'s assassin');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1172', 'jabba_compound_guard', 'Jabba\'s compound guard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1173', 'jabba_enforcer', 'Jabba\'s enforcer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1174', 'jabba_henchman', 'Jabba\'s henchman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1175', 'jabba_scout', 'Jabba\'s scout');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1176', 'jabba_the_hutt', 'Jabba the Hutt');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1177', 'jabba_thief', 'Jabba\'s thief');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1178', 'jabba_thug', 'Jabba\'s thug');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1179', 'jabbas_palace_rancor', 'a rancor');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1180', 'jabbas_swooper', 'Jabba\'s swooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1181', 'jabbas_swooper_leader', 'Jabba\'s swooper leader');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1182', 'jan_dodonna', 'Jan Dodonna');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1183', 'janta_clan_leader', 'a Janta clan leader');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1184', 'janta_harvester', 'a Janta harvester');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1185', 'janta_herbalist', 'a Janta herbalist');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1186', 'janta_hunter', 'a Janta hunter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1187', 'janta_loreweaver', 'a Janta loreweaver');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1188', 'janta_primalist', 'a Janta primalist');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1189', 'janta_rockshaper', 'a Janta rockshaper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1190', 'janta_scout', 'a Janta scout');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1191', 'janta_shaman', 'a Janta shaman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1192', 'janta_soothsayer', 'a Janta soothsayer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1193', 'janta_tribesman', 'a Janta tribesman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1194', 'janta_warrior', 'a Janta warrior');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1195', 'jawa', 'a Jawa');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1196', 'jawa_avenger', 'a Jawa Avenger');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1197', 'jawa_engineer', 'a Jawa engineer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1198', 'jawa_healer', 'a Jawa healer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1199', 'jawa_henchman', 'a Jawa henchman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1200', 'jawa_leader', 'a Jawa leader');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1201', 'jawa_protector', 'a Jawa Protector');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1202', 'jawa_smuggler', 'a Jawa smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1203', 'jawa_thief', 'a Jawa thief');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1204', 'jawa_warlord', 'a Jawa warlord');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1205', 'jax_bounding_dwarf', 'a diminutive bounding jax');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1206', 'jinda_chief', 'a Jinda chief');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1207', 'jinda_cub', 'a Jinda cub');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1208', 'jinda_elder', 'a Jinda elder');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1209', 'jinda_elder_worker', 'a Jinda elder worker');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1210', 'jinda_loremaster', 'a Jinda loremaster');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1211', 'jinda_matriarch', 'a Jinda matriarch');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1212', 'jinda_outcast', 'a Jinda outcast');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1213', 'jinda_ritualist', 'a Jinda ritualist');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1214', 'jinda_shaman', 'a Jinda shaman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1215', 'jinda_tribesman', 'a Jinda tribesman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1216', 'jinda_veteran', 'a Jinda veteran');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1217', 'jinda_warrior', 'a Jinda warrior');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1218', 'jinda_worker', 'a Jinda worker');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1219', 'jinkins', 'Jinkins');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1220', 'jundland_eopie', 'a jundland eopie');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1221', 'jungle_fynock', 'a jungle fynock');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1222', 'junk_dealer', 'a Junk Dealer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1223', 'junk_dealer_special', 'a Junk Dealer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1224', 'juvenile_canyon_krayt', 'a juvenile canyon krayt dragon');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1225', 'kaadu', 'a kaadu');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1226', 'kaadu_aggrivated_trampler', 'an aggrivated kaadu trampler');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1227', 'kaadu_female', 'a kaadu female');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1228', 'kaadu_male', 'a kaadu male');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1229', 'kaadu_motley', 'a motley kaadu');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1230', 'kahmurra', 'a kahmurra');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1231', 'kahmurra_bio_engineer', 'a kahmurra bio engineer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1232', 'kai_tok_bloodreaver', 'a kai tok bloodreaver');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1233', 'kai_tok_prowler', 'a kai tok prowler');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1234', 'kai_tok_scavenger', 'a kai tok scavenger');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1235', 'kai_tok_slayer', 'a kai tok slayer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1236', 'kais', 'Kais');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1237', 'kaja_orzee', 'Kaje Orzee');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1238', 'kamurith_defiler', 'a kamurith defiler');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1239', 'kamurith_foul_desecrator', 'a foul desecrator');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1240', 'kamurith_nocuous', 'a nocuous kamurith');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1241', 'kamurith_snapper', 'a kamurith snapper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1242', 'kardeer', 'Kardeer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1243', 'kathikiis_ruwahurr', 'Kathikiis Ruwahurr');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1244', 'kima', 'a kima');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1245', 'kima_ferine_razorfang', 'a ferine razorfang');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1246', 'kimogila', 'a kimogila');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1247', 'kimogila_hatchling', 'a kimogila hatchling');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1248', 'kinad_baz_nitch', 'a kinad baz nitch');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1249', 'king_merek_harvester', 'a king merek harvester');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1250', 'king_terak', 'King Terak');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1251', 'king_venom_nightspider', 'a king venom nightspider');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1252', 'klaatu', 'Klaatu');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1253', 'kliknik', 'a kliknik');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1254', 'kliknik_dark_defender', 'a kliknik dark defender');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1255', 'kliknik_dark_hunter', 'a kliknik dark hunter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1256', 'kliknik_dark_queen', 'a kliknik dark queen');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1257', 'kliknik_dark_warrior', 'a kliknik dark warrior');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1258', 'kliknik_dark_worker', 'a kliknik dark worker');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1259', 'kliknik_defender', 'a kliknik defender');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1260', 'kliknik_hatchling', 'a kliknik hatchling');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1261', 'kliknik_hunter', 'a kliknik hunter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1262', 'kliknik_mantis', 'a kliknik mantis');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1263', 'kliknik_queen', 'a kliknik queen');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1264', 'kliknik_queen_harvester', 'a kliknik queen harvester');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1265', 'kliknik_scout', 'a kliknik scout');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1266', 'kliknik_shredder_guardian', 'a kliknik shredder guardian');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1267', 'kliknik_swarming', 'a swarming kliknik');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1268', 'kliknik_warrior', 'a kliknik warrior');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1269', 'kliknik_worker', 'a kliknik worker');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1270', 'knotted_krevol', 'a knotted krevol');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1271', 'kobola_assassin', 'a Kobola assassin');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1272', 'kobola_foreman', 'a Kobola foreman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1273', 'kobola_guard', 'a Kobola guard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1274', 'kobola_miner', 'a Kobola miner');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1275', 'kobola_pitboss', 'a Kobola pitboss');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1276', 'kobola_smuggler', 'a Kobola smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1277', 'kobola_thief', 'a Kobola thief');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1278', 'kobola_underboss', 'a Kobola underboss');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1279', 'kole', 'Kole');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1280', 'korga_adept', 'a Korga adept');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1281', 'korga_ancient', 'a Korga ancient');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1282', 'korga_battlelord', 'a Korga battlelord');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1283', 'korga_chieftan', 'a Korga chieftain');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1284', 'korga_cub', 'a Korga cub');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1285', 'korga_dark_shaman', 'a Korga dark shaman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1286', 'korga_elder', 'a Korga elder');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1287', 'korga_laborer', 'a Korga laborer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1288', 'korga_scout', 'a Korga scout');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1289', 'korga_spiritmaster', 'a Korga spiritmaster');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1290', 'krahbu', 'a krahbu');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1291', 'krayt_dragon_ancient', 'a krayt dragon ancient');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1292', 'kreetle', 'a kreetle');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1293', 'kreetle_death', 'a death kreetle');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1294', 'kreetle_over', 'an overkreetle');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1295', 'kreetle_swarming', 'a kreetle swarmling');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1296', 'kunga_clan_leader', 'a Kunga clan leader');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1297', 'kunga_clan_primalist', 'a Kunga clan primalist');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1298', 'kunga_harvester', 'a Kunga harvester');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1299', 'kunga_herbalist', 'a Kunga herbalist');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1300', 'kunga_hunter', 'a Kunga hunter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1301', 'kunga_loreweaver', 'a Kunga loreweaver');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1302', 'kunga_rockshaper', 'a Kunga rockshaper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1303', 'kunga_scout', 'a Kunga scout');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1304', 'kunga_shaman', 'a Kunga shaman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1305', 'kunga_soothsayer', 'a Kunga soothsayer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1306', 'kunga_tribesman', 'a Kunga tribe member');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1307', 'kunga_warrior', 'a Kunga warrior');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1308', 'kuppernug_female', 'a female kuppernug');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1309', 'kuppernug_hatchling', 'a kuppernug hatchling');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1310', 'kuppernug_juvenile', 'a juvenile kuppernug');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1311', 'kuppernug_male', 'a male kuppernug');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1312', 'kusak', 'a kusak');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1313', 'kusak_hunter', 'a kusak hunter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1314', 'kusak_mauler', 'a kusak mauler');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1315', 'kusak_pup', 'a kusak pup');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1316', 'kusak_stalker', 'a kusak stalker');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1317', 'kussak_hunter', '');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1318', 'kwi', 'a kwi');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1319', 'kylaena_haley', 'Kylaena Haley');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1320', 'lady_valarian', 'Lady Valarian');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1321', 'lance_bombardier', 'a lance bombardier');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1322', 'langlatch_destroyer', 'a langlatch destroyer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1323', 'langlatch_female', 'a female langlatch');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1324', 'langlatch_hatchling', 'a langlatch hatchling');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1325', 'langlatch_hunter', 'a langlatch hunter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1326', 'langlatch_juvenile', 'a juvenile langlatch');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1327', 'langlatch_male', 'a male langlatch');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1328', 'langlatch_marauder', 'a langlatch marauder');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1329', 'lantern_bird', 'a lantern bird');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1330', 'large_cave_beetle', 'a large cave beetle');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1331', 'large_rock_beetle', 'a large rock beetle');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1332', 'large_sand_beetle', 'a large sand beetle');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1333', 'le_repair_droid', 'an LE repair droid');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1334', 'leia_organa', 'Leia Organa');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1335', 'lerat_zom', 'Lerat Zom');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1336', 'lesser_bocatt', 'a lesser bocatt');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1337', 'lesser_desert_womprat', 'a lesser desert womp rat');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1338', 'lesser_dewback', 'a lesser dewback');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1339', 'lesser_prophet_of_the_dark_side', 'a Lesser Prophet of the Dark Side');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1340', 'leviasquall', 'a leviasquall');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1341', 'liberation_activist', 'a Talus Liberation Party activist');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1342', 'liberation_fanatic', 'a Talus Liberation Party fanatic');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1343', 'liberation_loyalist', 'a Talus Liberation Party loyalist');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1344', 'liberation_partisan', 'a Talus Liberation Party partisan');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1345', 'liberation_patriot', 'a Talus Liberation Party patriot');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1346', 'liberation_reactionist', 'a Talus Liberation Party reactionist');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1347', 'liberation_volunteer', 'a Talus Liberation Party volunteer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1348', 'lice_ridden_remmer_queen', 'a lice-ridden remmer queen');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1349', 'lieutenant_heb_nee', 'Lieutenant Heb Nee');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1350', 'lieutenant_ori', 'Lieutenant Ori');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1351', 'light_jedi_sentinel', 'A Light Jedi Sentinel');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1352', 'lin_demolitionmech', 'an LIN demolition mech');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1353', 'loam_redge', 'Loam Redge');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1354', 'lord_hethrir', 'Lord Hethrir');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1355', 'lord_nyax', 'Lord Nyax');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1356', 'lord_nyax_disciple', 'a disciple of Lord Nyax');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1357', 'lord_nyax_fanatic', 'a fanatic of Lord Nyax');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1358', 'lord_nyax_fiend', 'a fiend of Lord Nyax');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1359', 'lord_nyax_minion', 'a minion of Lord Nyax');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1360', 'lord_nyax_servant', 'a servant of Lord Nyax');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1361', 'lord_nyax_visionary', 'a visionary of Lord Nyax');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1362', 'lord_nyax_zealot', 'a zealot of Lord Nyax');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1363', 'lost_aqualish_bomber', 'a Lost Aqualish bomber');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1364', 'lost_aqualish_captain', 'a Lost Aqualish Captain');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1365', 'lost_aqualish_commando', 'a Lost Aqualish commando');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1366', 'lost_aqualish_infiltrator', 'a Lost Aqualish infiltrator');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1367', 'lost_aqualish_lookout', 'a Lost Aqualish lookout');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1368', 'lost_aqualish_marksman', 'a Lost Aqualish marksman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1369', 'lost_aqualish_marshal', 'a Lost Aqualish Marshall');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1370', 'lost_aqualish_outrider', 'a Lost Aqualish outrider');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1371', 'lost_aqualish_scout', 'a Lost Aqualish scout');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1372', 'lost_aqualish_soldier', 'a Lost Aqualish soldier');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1373', 'lost_aqualish_warchief', 'a Lost Aqualish warchief');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1374', 'lost_aqualish_warrior', 'a Lost Aqualish warrior');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1375', 'lowland_salt_mynock', 'a lowland salt mynock');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1376', 'luke_skywalker', 'Luke Skywalker');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1377', 'lumbering_bolma', 'a lumbering bolma');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1378', 'lurking_angler', 'a lurking angler');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1379', 'lurking_shear_mite', 'a lurking shear mite');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1380', 'mad_angler', 'a mad angler');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1381', 'majestic_plumed_rasp', 'a majestic plumed rasp');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1382', 'malakili', 'Malakili');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1383', 'male_great_grass_plains_tusk_cat', 'a male plains tusk cat');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1384', 'male_kai_tok', 'a male kai tok');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1385', 'male_snorbal_calf', 'a male snorbal calf');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1386', 'male_swamp_tusk_cat', 'a male swamp tusk cat');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1387', 'malignant_squill', 'a malignant squill');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1388', 'malkloc', 'a malkloc');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1389', 'malkloc_bull', 'a malkloc bull');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1390', 'malkloc_plainswalker', 'a malkloc plainswalker');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1391', 'malkloc_plainswalker_female', 'a female malkloc plainswalker');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1392', 'malkloc_plainswalker_youth', 'a young malkloc plainswalker');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1393', 'mamien_ancient', 'an ancient mamien');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1394', 'mamien_elder', 'an elder mamien');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1395', 'mamien_female', 'a female mamien');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1396', 'mamien_junglelord', 'a mamien jungle lord');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1397', 'mamien_male', 'a male mamien');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1398', 'mamien_matriarch', 'a mamien matriarch');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1399', 'mamien_youth', 'a mamien youth');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1400', 'mammoth_bearded_jax', 'a mammoth bearded jax');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1401', 'mammoth_thune', 'a mammoth thune');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1402', 'mand_bunker_battle_droid', 'Battle Droid');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1403', 'mand_bunker_blksun_assassin', 'Black Sun Assassin');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1404', 'mand_bunker_blksun_assassin_int', 'Black Sun Assassin');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1405', 'mand_bunker_blksun_guard', 'Black Sun Guard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1406', 'mand_bunker_blksun_guard_int', 'Black Sun Guard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1407', 'mand_bunker_blksun_henchman', 'Black Sun Henchman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1408', 'mand_bunker_blksun_henchman_int', 'Black Sun Henchman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1409', 'mand_bunker_blksun_thug', 'Black Sun Thug');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1410', 'mand_bunker_blksun_thug_int', 'Black Sun Thug');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1411', 'mand_bunker_dthwatch_gold', 'Death Watch Overlord');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1412', 'mand_bunker_dthwatch_grey', 'Death Watch Ghost');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1413', 'mand_bunker_dthwatch_red', 'Death Watch Bloodguard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1414', 'mand_bunker_dthwatch_silver', 'Death Watch Wraith');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1415', 'mand_bunker_super_battle_droid', 'Super Battle Droid');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1416', 'mantigrue_hunter', 'a mantigrue hunter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1417', 'mantigrue_insane_berserker', 'an insane mantigrue berserker');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1418', 'mantigrue_night_stalker', 'a mantigrue night stalker');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1419', 'mantigrue_reaper', 'a mantigrue reaper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1420', 'mantigrue_screecher', 'a mantigrue screecher');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1421', 'mara_jade', 'Mara Jade');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1422', 'marauder', 'a Marauder');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1423', 'marooned_pirate', 'a marooned pirate');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1424', 'marooned_pirate_captain', 'a marooned pirate captain');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1425', 'marooned_pirate_engineer', 'a marooned pirate engineer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1426', 'marooned_pirate_first_mate', 'a marooned pirate first mate');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1427', 'master_prophet_of_the_dark_side', 'a Master Prophet of the Dark Side');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1428', 'master_thief', 'a master thief');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1429', 'masterful_ewok_warrior', 'a masterful Ewok warrior');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1430', 'masterful_jinda_warrior', 'a masterful Jinda warrior');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1431', 'masterful_panshee_warrior', 'a masterful Panshee warrior');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1432', 'matriarch_bantha', 'a bantha matriarch');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1433', 'mature_hanadak', 'a mature hanadak');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1434', 'mature_hanadak_rock_smasher', 'a mature hanadak rock smasher');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1435', 'mature_reptilian_flier', 'a mature reptilian flier');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1436', 'mature_snorbal_female', 'a mature snorbal female');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1437', 'mature_snorbal_male', 'a mature snorbal male');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1438', 'mauler', 'a Mauler');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1439', 'mauler_acolyte', 'a Mauler acolyte');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1440', 'mauler_apprentice', 'a Mauler apprentice');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1441', 'mauler_lord', 'a Mauler lord');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1442', 'mauler_master', 'a Mauler master');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1443', 'mauler_veermok', 'a Mauler veermok');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1444', 'maverick_gualama', 'a maverick gualama');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1445', 'mawgax_female', 'a female mawgax');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1446', 'mawgax_male', 'a male mawgax');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1447', 'mawgax_raptor', 'a mawgax raptor');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1448', 'mawgax_youth', 'a mawgax youth');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1449', 'max_rebo', 'Max Rebo');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1450', 'mayor', 'a mayor');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1451', 'meager_tortur', 'a meager tortur');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1452', 'meatlump_buffoon', 'a Meatlump buffoon');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1453', 'meatlump_clod', 'a Meatlump clod');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1454', 'meatlump_cretin', 'a Meatlump cretin');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1455', 'meatlump_fool', 'a Meatlump fool');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1456', 'meatlump_loon', 'a Meatlump loon');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1457', 'meatlump_oaf', 'a Meatlump oaf');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1458', 'meatlump_stooge', 'a Meatlump stooge');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1459', 'medic', 'a medic');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1460', 'megan_drlar', 'Megan Drlar');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1461', 'mellichae', 'Mellichae');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1462', 'mercenary', 'a mercenary');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1463', 'mercenary_commander', 'a mercenary commander');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1464', 'mercenary_destroyer', 'a mercenary destroyer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1465', 'mercenary_elite', 'a mercenary elite');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1466', 'mercenary_messanger', 'a mercenary messenger');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1467', 'mercenary_strong', 'a strong mercenary');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1468', 'mercenary_warlord', 'a mercenary warlord');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1469', 'mercenary_weak', 'a weak mercenary');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1470', 'merek_assassin', 'a merek assassin');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1471', 'merek_cavern_creeper', 'a merek cavern creeper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1472', 'merek_deaths_head', 'a merek death\'s head');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1473', 'merek_harvester', 'a merek harvester');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1474', 'midnight_vir_vur', 'a midnight vir vur');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1475', 'mind_of_solitude', 'a mind of Solitude');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1476', 'miner', 'a miner');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1477', 'minor_gorax', 'a minor gorax');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1478', 'minor_gubbur', 'a minor gubbur');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1479', 'minor_guf_drolg', 'a minor guf drolg');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1480', 'minor_sludge_panther', 'a minor sludge panther');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1481', 'minor_worrt', 'a minor worrt');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1482', 'mire_marauder', 'a mire marauder');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1483', 'mission_alliance_intelligence_case_officer', 'an Alliance intelligence case');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1484', 'mission_ankura_gungan', 'an Ankura gungan');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1485', 'mission_area_coordinator', 'an area coordinator');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1486', 'mission_artisan', 'an artisan');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1487', 'mission_assassin', 'an assassin');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1488', 'mission_assault_trooper', 'an Assault Trooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1489', 'mission_bandit', 'a bandit');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1490', 'mission_bith_sniper', 'a Bith sniper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1491', 'mission_bodyguard', 'a bodyguard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1492', 'mission_bombardier', 'a bombardier');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1493', 'mission_borvos_champion', 'Borvo\'s champion');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1494', 'mission_borvos_mercenary', 'Borvo\'s mercenary');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1495', 'mission_bothan_diplomat', 'a Bothan diplomat');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1496', 'mission_bothan_information_broker', 'a Bothan information broker');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1497', 'mission_bounty_hunter', 'a bounty hunter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1498', 'mission_brawler', 'a brawler');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1499', 'mission_businessman', 'a businessman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1500', 'mission_cannibal', 'a cannibal');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1501', 'mission_chadra_fan_assassin', 'a Chadra Fan assassin');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1502', 'mission_chadra_fan_female', 'a Chadra Fan female');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1503', 'mission_chadra_fan_male', 'a Chadra Fan male');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1504', 'mission_chadra_fan_thief', 'a Chadra Fan thief');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1505', 'mission_comm_operator', 'a comm operator');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1506', 'mission_command_security_guard', 'a command security guard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1507', 'mission_commando', 'a commando');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1508', 'mission_common_thief', 'a common thief');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1509', 'mission_commoner', 'a commoner');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1510', 'mission_compforce_trooper', 'a CompForce trooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1511', 'mission_crimelord', 'a crimelord');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1512', 'mission_criminal', 'a criminal');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1513', 'mission_dark_trooper', 'a Dark Trooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1514', 'mission_desert_demon', 'a Desert Demon');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1515', 'mission_desert_demon_bodyguard', 'a Desert Demon bodyguard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1516', 'mission_desert_demon_brawler', 'a Desert Demon brawler');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1517', 'mission_desert_demon_leader', 'a Desert Demon leader');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1518', 'mission_desert_demon_marksman', 'a Desert Demon marksman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1519', 'mission_detention_security_guard', 'a detention security guard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1520', 'mission_entertainer', 'an entertainer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1521', 'mission_evil_nomad', 'an evil nomad');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1522', 'mission_explorer', 'an explorer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1523', 'mission_farmer', 'a farmer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1524', 'mission_farmer_agriculturalist', 'an agriculturalist');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1525', 'mission_farmer_rancher', 'a rancher');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1526', 'mission_fringer', 'a fringer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1527', 'mission_fugitive', 'a fugitive');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1528', 'mission_gambler', 'a gambler');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1529', 'mission_governor', 'a governor');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1530', 'mission_gungan_bomber', 'a Gungan bomber');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1531', 'mission_gungan_boss', 'a Gungan Boss');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1532', 'mission_gungan_captain', 'a Gungan Captain');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1533', 'mission_gungan_general', 'a Gungan General');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1534', 'mission_gungan_grand_army_soldier', 'a Gungan Grand Army soldier');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1535', 'mission_gungan_guard', 'a Gungan guard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1536', 'mission_gungan_hermit', 'a Gungan hermit');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1537', 'mission_gungan_hunter', 'a Gungan hunter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1538', 'mission_gungan_kaadu_rider', 'a Gungan kaadu rider');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1539', 'mission_gungan_mercenary', 'a Gungan mercenary');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1540', 'mission_gungan_scout', 'a Gungan scout');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1541', 'mission_gungan_war_chief', 'a Gungan war chief');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1542', 'mission_gunner', 'a gunner');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1543', 'mission_gunrunner', 'a gunrunner');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1544', 'mission_hermit', 'a hermit');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1545', 'mission_high_colonel', 'a High Colonel');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1546', 'mission_hunter', 'a hunter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1547', 'mission_imperial_army_captain', 'an Imperial Army Captain');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1548', 'mission_imperial_brigadier_general', 'an Imperial Brigadier General');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1549', 'mission_imperial_colonel', 'an Imperial Colonel');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1550', 'mission_imperial_corporal', 'an Imperial Corporal');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1551', 'mission_imperial_exterminator', 'an Imperial exterminator');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1552', 'mission_imperial_first_lieutenant', 'an Imperial First Lieutenant');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1553', 'mission_imperial_general', 'an Imperial General');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1554', 'mission_imperial_high_general', 'an Imperial High General');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1555', 'mission_imperial_inquisitor', 'an Imperial inquisitor');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1556', 'mission_imperial_lance_corporal', 'an Imperial Lance Corporal');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1557', 'mission_imperial_lieutenant_colonel', 'an Imperial Lieutenant Colonel');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1558', 'mission_imperial_lieutenant_general', 'an Imperial Lieutenant General');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1559', 'mission_imperial_major', 'an Imperial Major');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1560', 'mission_imperial_major_general', 'an Imperial Major General');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1561', 'mission_imperial_master_sergeant', 'an Imperial Master Sergeant');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1562', 'mission_imperial_noncom', 'an Imperial noncom');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1563', 'mission_imperial_private', 'an Imperial Private');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1564', 'mission_imperial_retreat_guard', 'an Imperial retreat guard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1565', 'mission_imperial_second_lieutenant', 'an Imperial Second Lieutenant');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1566', 'mission_imperial_sergeant', 'an Imperial Sergeant');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1567', 'mission_imperial_sergeant_major', 'an Imperial Sergeant Major');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1568', 'mission_imperial_sharpshooter', 'an Imperial sharpshooter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1569', 'mission_imperial_staff_corporal', 'an Imperial Staff Corporal');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1570', 'mission_imperial_staff_sergeant', 'an Imperial Staff Sergeant');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1571', 'mission_imperial_surface_marshal', 'an Imperial surface Marshall');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1572', 'mission_imperial_trooper', 'an Imperial trooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1573', 'mission_imperial_warrant_officer_i', 'an Imperial Warrant Officer I');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1574', 'mission_imperial_warrant_officer_ii', 'an Imperial Warrant Officer II');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1575', 'mission_industrial_spy', 'an industrial spy');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1576', 'mission_info_broker', 'an information broker');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1577', 'mission_jabba_assassin', 'Jabba\'s assassin');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1578', 'mission_jabba_enforcer', 'Jabba\'s enforcer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1579', 'mission_jabba_henchman', 'Jabba\'s henchman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1580', 'mission_jabba_scout', 'Jabba\'s scout');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1581', 'mission_jabba_thief', 'Jabba\'s thief');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1582', 'mission_jabba_thug', 'Jabba\'s thug');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1583', 'mission_jabbas_swooper', 'Jabba\'s swooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1584', 'mission_jabbas_swooper_leader', 'Jabba\'s swooper leader');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1585', 'mission_lance_bombardier', 'a Lance Bombardier');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1586', 'mission_master_thief', 'a master thief');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1587', 'mission_mauler', 'a Mauler');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1588', 'mission_mauler_apprentice', 'a Mauler apprentice');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1589', 'mission_mayor', 'a mayor');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1590', 'mission_medic', 'a medic');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1591', 'mission_mercenary', 'a mercenary');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1592', 'mission_miner', 'a miner');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1593', 'mission_moisture_farmer', 'a moisture farmer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1594', 'mission_moisture_thief', 'a moisture thief');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1595', 'mission_mos_eisley_police_lieutenant', 'a Mos Eisley police Lieutenant');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1596', 'mission_mos_eisley_police_officer', 'a Mos Eisley police officer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1597', 'mission_mos_eisley_police_sergeant', 'a Mos Eisley police Sergeant');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1598', 'mission_mountain_villager', 'a mountain vesp');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1599', 'mission_naboo_dissident', 'a Naboo dissident');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1600', 'mission_naboo_police', 'a Naboo police');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1601', 'mission_naboo_police_chief', 'a Naboo police chief');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1602', 'mission_network_leader', 'a network leader');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1603', 'mission_noble', 'a noble');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1604', 'mission_nomad', 'a nomad');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1605', 'mission_official', 'an official');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1606', 'mission_otolla_gungan', 'an Otolla Gungan');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1607', 'mission_outlaw', 'an outlaw');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1608', 'mission_palace_guard', 'a Palace guard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1609', 'mission_philosopher', 'a philosopher');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1610', 'mission_pilot', 'a pilot');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1611', 'mission_pirate', 'a pirate');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1612', 'mission_pirate_leader', 'a pirate leader');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1613', 'mission_pirate_lieutenant', 'a pirate lieutenant');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1614', 'mission_plague_victim', 'a plague victim');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1615', 'mission_plainsfolk', 'plainsfolk');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1616', 'mission_plasma_thief', 'a plasma thief');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1617', 'mission_rebel_army_captain', 'a Rebel Army Captain');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1618', 'mission_rebel_brigadier_general', 'a Rebel Brigadier General');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1619', 'mission_rebel_colonel', 'a Rebel Colonel');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1620', 'mission_rebel_commando', 'a Rebel commando');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1621', 'mission_rebel_corporal', 'a Rebel Corporal');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1622', 'mission_rebel_first_lieutenant', 'a Rebel First Lieutenant');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1623', 'mission_rebel_general', 'a Rebel General');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1624', 'mission_rebel_high_general', 'a Rebel High General');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1625', 'mission_rebel_lance_corporal', 'a Rebel Lance Corporal');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1626', 'mission_rebel_lieutenant_colonel', 'a Rebel Lieutenant Colonel');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1627', 'mission_rebel_lieutenant_general', 'a Rebel Lieutenant General');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1628', 'mission_rebel_major', 'a Rebel Major');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1629', 'mission_rebel_major_general', 'a Rebel Major General');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1630', 'mission_rebel_master_sergeant', 'a Rebel Master Sergeant');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1631', 'mission_rebel_scout', 'a Rebel scout');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1632', 'mission_rebel_second_lieutenant', 'a Rebel Second Lieuteneant');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1633', 'mission_rebel_sergeant', 'a Rebel Sergeant');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1634', 'mission_rebel_sergeant_major', 'a Rebel Sergeant Major');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1635', 'mission_rebel_specforce_captain', 'a Rebel SpecForce Captain');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1636', 'mission_rebel_specforce_colonel', 'a Rebel SpecForce Colonel');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1637', 'mission_rebel_specforce_general', 'a Rebel SpecForce General');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1638', 'mission_rebel_specforce_guerrilla', 'a Rebel SpecForce urban guerilla');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1639', 'mission_rebel_specforce_pathfinder', 'a Rebel SpecForce pathfinder');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1640', 'mission_rebel_specforce_sergeant', 'a Rebel SpecForce Sergeant');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1641', 'mission_rebel_staff_corporal', 'a Rebel Staff Corporal');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1642', 'mission_rebel_staff_sergeant', 'a Rebel Staff Sergeant');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1643', 'mission_rebel_surface_marshal', 'a Rebel surface Marshall');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1644', 'mission_rebel_trooper', 'a Rebel trooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1645', 'mission_rebel_warrant_officer_i', 'a Rebel Warrant Officer I');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1646', 'mission_rebel_warrant_officer_ii', 'a Rebel Warrant Officer II');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1647', 'mission_rodian_clan_captain', 'a Rodian clan captain');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1648', 'mission_rodian_clan_medic', 'a Rodian clan medic');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1649', 'mission_rodian_clan_warchief', 'a Rodian clan warchief');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1650', 'mission_rodian_gladiator', 'a Rodian gladiator');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1651', 'mission_rodian_thug', 'a Rodian thug');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1652', 'mission_rogue', 'a rogue');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1653', 'mission_roughneck', 'a roughneck');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1654', 'mission_rsf_captain', 'an RSF Captain');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1655', 'mission_rsf_commando', 'an RSF commando');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1656', 'mission_rsf_palace_guard', 'an RSF Palace guard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1657', 'mission_rsf_pilot', 'an RSF pilot');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1658', 'mission_rsf_security_guard', 'an RSF security guard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1659', 'mission_rsf_security_officer', 'an RSF security officer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1660', 'mission_sand_trooper', 'a Sand Trooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1661', 'mission_scavenger', 'a scavenger');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1662', 'mission_scientist', 'a scientist');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1663', 'mission_scoundrel', 'a scoundrel');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1664', 'mission_scout_trooper', 'a Scout Trooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1665', 'mission_senior_specforce_guerrilla', 'a senior SpecForce urban guerrilla');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1666', 'mission_senior_specforce_heavy_weapons_specialist', 'a senior SpecForce heavy weapons specialist');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1667', 'mission_senior_specforce_infiltrator', 'a senior SpecForce infiltrator');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1668', 'mission_senior_specforce_lieutenant', 'a senior SpecForce Lieutenant');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1669', 'mission_senior_specforce_marine', 'a senior SpecForce marine');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1670', 'mission_senior_specforce_pathfinder', 'a senior SpecForce pathfinder');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1671', 'mission_senior_specforce_technician', 'a senior SpecForce technician');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1672', 'mission_senior_specforce_wilderness_trooper', 'a senior SpecForce wilderness scout');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1673', 'mission_settler', 'a settler');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1674', 'mission_sharpshooter', 'a sharpshooter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1675', 'mission_signalman', 'a signalman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1676', 'mission_slave', 'a slave');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1677', 'mission_slave_twilek_female', 'a Twi\'lek slave');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1678', 'mission_slavemaster', 'a slavemaster');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1679', 'mission_slaver', 'a slaver');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1680', 'mission_slicer', 'a slicer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1681', 'mission_smuggler', 'a smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1682', 'mission_spacer', 'a spacer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1683', 'mission_specforce_heavy_weapons_specialist', 'a SpecForce heavy weapons specialist');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1684', 'mission_specforce_infiltrator', 'a SpecForce infiltrator');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1685', 'mission_specforce_interrogator', 'a SpecForce interrogator');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1686', 'mission_specforce_lieutenant', 'a SpecForce Lieutenant');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1687', 'mission_specforce_major', 'a SpecForce Major');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1688', 'mission_specforce_marine', 'a SpecForce marine');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1689', 'mission_specforce_master_sergeant', 'a SpecForce Master Sergeant');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1690', 'mission_specforce_procurement_specialist', 'a SpecForce procurement specialist');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1691', 'mission_specforce_technician', 'a SpecForce technician');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1692', 'mission_specforce_wilderness_operative', 'a SpecForce wilderness operative');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1693', 'mission_special_missions_engineer', 'a special missions engineer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1694', 'mission_specialist_noncom', 'a specialist noncom');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1695', 'mission_specops_agent', 'a SpecOps agent');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1696', 'mission_specops_alliance_free_agent', 'a SpecOps Alliance free agent');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1697', 'mission_specops_trooper', 'a SpecOps trooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1698', 'mission_spice_fiend', 'a spice fiend');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1699', 'mission_spynet_operative', 'a SpyNet operative');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1700', 'mission_squatter', 'a squatter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1701', 'mission_storm_commando', 'a Storm Commando');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1702', 'mission_stormtrooper', 'a Stormtrooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1703', 'mission_stormtrooper_bombardier', 'a Stormtrooper bombardier');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1704', 'mission_stormtrooper_medic', 'a Stormtrooper medic');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1705', 'mission_stormtrooper_rifleman', 'a Stormtrooper rifleman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1706', 'mission_stormtrooper_sniper', 'a Stormtrooper sniper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1707', 'mission_stormtrooper_squad_leader', 'a Stormtrooper squad leader');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1708', 'mission_swamp_trooper', 'a Swamp Trooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1709', 'mission_swamp_villager', 'a swamp villager');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1710', 'mission_swooper', 'a swooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1711', 'mission_swooper_leader', 'a swooper leader');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1712', 'mission_tatooine_militiaman', 'a Tatooine militiaman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1713', 'mission_technician', 'a technician');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1714', 'mission_teras_kasi_master', 'a Teras Kasi Master');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1715', 'mission_thief', 'a thief');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1716', 'mission_thug', 'a thug');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1717', 'mission_trade_federation_avenger', 'a Trade Federation avenger');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1718', 'mission_trade_federation_loyalist', 'a Trade Federation loyalist');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1719', 'mission_trade_federation_zealot', 'a Trade Federation zealot');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1720', 'mission_trandoshan_slavemaster', 'a Trandosian slavemaster');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1721', 'mission_trandoshan_slaver', 'a Trandosian slaver');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1722', 'mission_tusk_cat_rider', 'a tusk cat rider');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1723', 'mission_valarian_assassin', 'Valarian\'s assassin');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1724', 'mission_valarian_enforcer', 'Valarian\'s enforcer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1725', 'mission_valarian_henchman', 'Valarian\'s henchman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1726', 'mission_valarian_scout', 'Valarian\'s scout');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1727', 'mission_valarian_swooper', 'Valarian\'s swooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1728', 'mission_valarian_swooper_leader', 'Valarian\'s swooper leader');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1729', 'mission_valarian_thief', 'Valarian\'s thief');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1730', 'mission_valarian_thug', 'Valarian\'s thug');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1731', 'mission_veteran_compforce_trooper', 'a veteran CompForce trooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1732', 'mission_wastrel', 'a wastrel');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1733', 'mission_water_bug', 'a water bug');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1734', 'mission_weequay_champion', 'a Weequay champion');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1735', 'mission_weequay_soldier', 'a Weequay soldier');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1736', 'mission_weequay_thug', 'a Weequay thug');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1737', 'mission_weequay_zealot', 'a Weequay zealot');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1738', 'mission_wookiee_brawler', 'a Wookiee brawler');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1739', 'moisture_farmer', 'a farmer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1740', 'moisture_thief', 'a thief');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1741', 'mokk_clan_leader', 'a Mokk clan leader');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1742', 'mokk_harvester', 'a Mokk harvester');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1743', 'mokk_herbalist', 'a Mokk herbalist');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1744', 'mokk_hunter', 'a Mokk hunter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1745', 'mokk_loreweaver', 'a Mokk loreweaver');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1746', 'mokk_primalist', 'a Mokk clan primalist');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1747', 'mokk_rockshaper', 'a Mokk rockshaper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1748', 'mokk_scout', 'a Mokk scout');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1749', 'mokk_shaman', 'a Mokk shaman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1750', 'mokk_soothsayer', 'a Mokk soothsayer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1751', 'mokk_tribesman', 'a Mokk tribesman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1752', 'mokk_warrior', 'a Mokk warrior');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1753', 'mon_mothma', 'Mon Mothma');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1754', 'monumenter_bandit', 'a Monumenter bandit');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1755', 'monumenter_marauder', 'a Monumenter marauder');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1756', 'monumenter_smuggler', 'a Monumenter smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1757', 'morag', 'Morag');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1758', 'mordran', 'Mordran');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1759', 'mordran_gungan_exile', 'an exiled gungan');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1760', 'mordran_gungan_outcast', 'an outcast gungan');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1761', 'mordran_gungan_reject', 'a gungan reject');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1762', 'mos_eisley_police_lieutenant', 'a Mos Eisley police Lieutenant');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1763', 'mos_eisley_police_officer', 'a Mos Eisley police officer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1764', 'mos_eisley_police_sergeant', 'a Mos Eisley police Sergeant');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1765', 'mos_entha_police_officer', 'a Mos Entha security officer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1766', 'mos_espa_police_officer', 'a Mos Espa security officer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1767', 'mos_taike_cantina_owner', 'a Mos Taike cantina owner');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1768', 'mos_taike_guard_old', 'a Mos Taike veteran guard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1769', 'mos_taike_guard_young', 'a young Mos Taike guard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1770', 'mos_taike_mayor', 'the Mos Taike mayor');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1771', 'mos_taike_police_officer', 'a Mos Taike security officer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1772', 'mott', 'a mott');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1773', 'mott_bull', 'a mott bull');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1774', 'mott_calf', 'a mott calf');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1775', 'mottled_wrix', 'a mottled wrix');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1776', 'mound_mite', 'a mound mite');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1777', 'mountain_dewback', 'a mountain dewback');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1778', 'mountain_ikopi', 'a mountain ikopi');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1779', 'mountain_krevol', 'a mountain krevol');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1780', 'mountain_murra', 'a mountain murra');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1781', 'mountain_squill', 'a mountain squill');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1782', 'mountain_squill_guardian', 'a mountain squill guardian');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1783', 'mountain_squill_hunter', 'a mountain squill hunter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1784', 'mountain_torton', 'a mountain torton');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1785', 'mountain_vesp', 'a mountain vesp');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1786', 'mountain_villager', 'a mountain villager');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1787', 'mountain_worrt', 'a mountain worrt');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1788', 'mouse_droid', 'an MSE-6 \"Mouse\" droid');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1789', 'mouse_droid_crafted', 'an MSE-6 \"Mouse\" droid');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1790', 'muftak', 'Muftak');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1791', 'mummer_bully', 'a Mummer bully');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1792', 'mummer_punk', 'a Mummer punk');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1793', 'mummer_ruffian', 'a Mummer ruffian');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1794', 'mummer_thug', 'a Mummer thug');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1795', 'murra', 'a murra');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1796', 'mutant_bark_mite_giant', 'a giant mutant bark mite');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1797', 'mutant_bark_mite_hatchling', 'a mutant bark mite hatchling');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1798', 'mutant_bark_mite_queen', 'a mutant bark mite queen');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1799', 'mutant_bark_mite_soldier', 'a mutant bark mite soldier');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1800', 'mutant_bark_mite_worker', 'a mutant bark mite worker');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1801', 'mutant_baz_nitch', 'a mutant baz nitch');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1802', 'mutant_rancor', 'a mutant rancor');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1803', 'mutant_womprat', 'a mutant womp rat');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1804', 'mutated_kahmurra', 'a mutated kahmurra');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1805', 'mutated_krevol_clicker', 'a mutated krevol clicker');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1806', 'naboo_dissident', 'a Naboo dissident');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1807', 'naboo_dread_pirate', 'a naboo dread pirate');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1808', 'naboo_gunrunner', 'a Naboo gunrunner');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1809', 'naboo_holy_man', 'a Naboo holy man');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1810', 'naboo_monk', 'a Naboo monk');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1811', 'naboo_nomad', 'a Naboo nomad');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1812', 'naboo_pirate', 'a naboo pirate');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1813', 'naboo_pirate_armsman', 'a naboo pirate armsman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1814', 'naboo_pirate_cutthroat', 'a naboo pirate cuttroat');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1815', 'naboo_pirate_lieutenant', 'a naboo pirate lieutenant');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1816', 'naboo_police', 'a Naboo police officer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1817', 'naboo_police_chief', 'a Naboo police chief');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1818', 'naive_gondula_workling', 'a naive Gondula workling');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1819', 'naive_jinda_workling', 'a naive Jinda workling');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1820', 'naive_panshee_workling', 'a naive Panshee workling');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1821', 'narglatch', 'a narglatch');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1822', 'narglatch_cub', 'a narglatch cub');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1823', 'narglatch_female', 'a female narglatch');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1824', 'narglatch_guardian', 'a narglatch guardian');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1825', 'narglatch_hunter', 'a narglatch hunter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1826', 'narglatch_matriarch', 'a narglatch matriarch');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1827', 'narmle_captain', 'a Narmle Militia Captain');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1828', 'narmle_colonel', 'a Narmle Militia Colonel');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1829', 'narmle_commander', 'a Narmle Militia Commander');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1830', 'narmle_commando', 'a Narmle Militia commando');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1831', 'narmle_ensign', 'a Narmle Militia Ensign');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1832', 'narmle_grenadier', 'a Narmle Militia grenadier');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1833', 'narmle_guard', 'a Narmle Militia guard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1834', 'narmle_lieutenant', 'a Narmle Militia Lieutenant');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1835', 'narmle_major', 'a Narmle Militia Major');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1836', 'narmle_rifleman', 'a Narmle Militia rifleman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1837', 'navicomputer_1', 'v1 F.C. Memory Bank');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1838', 'navicomputer_2', 'v2 F.C. Memory Bank');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1839', 'navicomputer_3', 'v3 F.C. Memory Bank');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1840', 'navicomputer_4', 'v4 F.C. Memory Bank');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1841', 'navicomputer_5', 'v5 F.C. Memory Bank');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1842', 'navicomputer_6', 'v6 F.C. Memory Bank');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1843', 'network_leader', 'a Rebel network leader');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1844', 'nhelper_droid', 'a helper R2 unit');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1845', 'nien_nunb', 'Nien Nunb');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1846', 'nightsister_bull_rancor', 'a Nightsister bull rancor');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1847', 'nightsister_elder', 'a Nightsister elder');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1848', 'nightsister_enraged_bull_rancor', 'a Nightsister enraged bull rancor');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1849', 'nightsister_enraged_rancor', 'a Nightsister enraged rancor');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1850', 'nightsister_initiate', 'a Nightsister initiate');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1851', 'nightsister_outcast', 'a Nightsister outcast');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1852', 'nightsister_protector', 'a Nightsister protector');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1853', 'nightsister_rancor', 'a Nightsister rancor');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1854', 'nightsister_rancor_tamer', 'a Nightsister rancor tamer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1855', 'nightsister_ranger', 'a Nightsister ranger');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1856', 'nightsister_sentinal', 'a Nightsister sentinel');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1857', 'nightsister_sentry', 'a Nightsister sentry');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1858', 'nightsister_slave', 'a Nightsister slave');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1859', 'nightsister_spell_weaver', 'a Nightsister spell weaver');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1860', 'nightsister_stalker', 'a Nightsister stalker');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1861', 'nightsister_training_slave', 'a Nightsister slave');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1862', 'nightspider', 'a nightspider');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1863', 'nightspider_aggressor', 'a nightspider aggressor');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1864', 'nightspider_poison_spitter', 'a nightspider poison spitter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1865', 'noble', 'a noble');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1866', 'nomad', 'a nomad');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1867', 'nomad_chief', 'a nomad chief');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1868', 'novice_force_mystic', 'a novice force mystic');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1869', 'noxious_squill', 'a noxious squill');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1870', 'noxious_vrelt_scavenger', 'a noxious vrelt scavenger');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1871', 'nudfuh', 'a nudfuh');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1872', 'nuna', 'a nuna');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1873', 'nym', 'Nym');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1874', 'nym_bodyguard', 'Nym\'s bodyguard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1875', 'nym_brawler', 'Nym\'s brawler');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1876', 'nym_destroyer', 'Nym\'s destroyer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1877', 'nym_domesticated_gurk', 'Nym\'s domesticated gurk');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1878', 'nym_droideka_strong', 'Nym\'s droideka');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1879', 'nym_droideka_weak', 'Nym\'s droideka');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1880', 'nym_guard', 'Nym\'s guard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1881', 'nym_guard_elite', 'Nym\'s elite guard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1882', 'nym_guard_strong', 'Nym\'s guard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1883', 'nym_guard_weak', 'Nym\'s guard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1884', 'nym_kusak_guardian', 'Nym\'s kusak guardian');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1885', 'nym_patrol_elite', 'Nym\'s elite patrol');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1886', 'nym_patrol_strong', 'Nym\'s patrol');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1887', 'nym_patrol_weak', 'Nym\'s patrol');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1888', 'nym_pirate_elite', 'Nym\'s elite pirate');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1889', 'nym_pirate_strong', 'Nym\'s pirate');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1890', 'nym_pirate_weak', 'Nym\'s pirate');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1891', 'nym_surveyer', 'Nym\'s surveyor');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1892', 'official', 'an official');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1893', 'oola', 'Oola');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1894', 'oozing_dung_royal_guardian', 'an oozing dung mite guardian');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1895', 'otolla_gungan', 'an Otolla gungan');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1896', 'outlaw', 'an outlaw');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1897', 'palace_guard', 'a Palace guard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1898', 'palpatine', 'Palpatine');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1899', 'panshee_chief', 'a Panshee chief');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1900', 'panshee_cub', 'a Panshee cub');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1901', 'panshee_elder', 'a Panshee elder');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1902', 'panshee_elder_worker', 'a Panshee elder worker');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1903', 'panshee_loremaster', 'a Panshee loremaster');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1904', 'panshee_matriarch', 'a Panshee matriarch');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1905', 'panshee_ritualist', 'a Panshee ritualist');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1906', 'panshee_shaman', 'a Panshee shaman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1907', 'panshee_tribesman', 'a Panshee tribesman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1908', 'panshee_veteran', 'a Panshee veteran');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1909', 'panshee_warrior', 'a Panshee warrior');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1910', 'panshee_worker', 'a Panshee worker');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1911', 'paralope', 'a paralope');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1912', 'paralope_acicular_defender', 'an acicular defender');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1913', 'patron_chiss_female', 'a Chiss female');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1914', 'patron_chiss_male', 'a Chiss male');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1915', 'patron_devaronian_male', 'a Devaronian male');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1916', 'patron_human_female_01', 'a patron');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1917', 'patron_human_female_02', 'a patron');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1918', 'patron_human_female_03', 'a patron');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1919', 'patron_human_female_04', 'a patron');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1920', 'patron_human_male_01', 'a patron');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1921', 'patron_human_male_02', 'a patron');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1922', 'patron_human_male_03', 'a patron');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1923', 'patron_human_male_04', 'a patron');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1924', 'patron_ishitib_male', 'an Ishitib male');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1925', 'patron_ithorian_male', 'an Ithorian male');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1926', 'patron_klaatu', 'a Klaatu');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1927', 'patron_nikto', 'a Nikto');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1928', 'patron_quarren', 'a Quarren');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1929', 'patron_sullustan', 'a Sullustan male');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1930', 'peko_peko', 'a peko peko');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1931', 'peko_peko_albatross', 'a peko peko albatross');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1932', 'percussive_rasp', 'a percussive rasp');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1933', 'perlek', 'a perlek');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1934', 'perlek_ravager', 'a perlek ravager');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1935', 'perlek_scavanger', 'a perlek scavenger');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1936', 'perlek_scavenger', 'a perlek scavenger');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1937', 'pharple', 'a pharple');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1938', 'philosopher', 'a philosopher');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1939', 'pigmy_pugoriss', 'a pigmy pugoriss');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1940', 'piket', 'a piket');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1941', 'piket_enraged_defender', 'an enraged defender');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1942', 'piket_longhorn', 'a piket longhorn');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1943', 'piket_longhorn_female', 'a piket longhorn female');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1944', 'piket_plains_walker', 'a piket plains walker');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1945', 'pilot', 'a pilot');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1946', 'pirate', 'a pirate');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1947', 'pirate_leader', 'a pirate leader');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1948', 'pirate_lieutenant', 'a pirate Lieutenant');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1949', 'plague_victim', 'a plague victim');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1950', 'plains_hunter', 'a plains hunter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1951', 'plainsfolk', 'plainsfolk');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1952', 'plasma_thief', 'a plasma thief');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1953', 'plasma_thief_leader', 'a plasma thief leader');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1954', 'plumed_rasp', 'a plumed rasp');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1955', 'poacher_talus', 'a poacher');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1956', 'poisonous_krevol_queen', 'a poisonous krevol queen');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1957', 'porcellus', 'Porcellus');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1958', 'potbellied_vrobal', 'a potbellied vrobal');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1959', 'pouncing_jax', 'a pouncing jax');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1960', 'prefect_talmont', 'Prefect Talmont');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1961', 'prisoner', 'a prisoner');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1962', 'probot', 'a Probot droid');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1963', 'proficient_gondula_worker', 'a proficient Gondula worker');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1964', 'proficient_jinda_worker', 'a proficient Jinda worker');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1965', 'proficient_panshee_worker', 'a proficient Panshee worker');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1966', 'prophet_of_the_dark_side', 'a Prophet of the Dark Side');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1967', 'protocol_droid_3po', 'a 3PO protocol droid');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1968', 'protocol_droid_3po_crafted', 'a 3PO protocol droid');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1969', 'protocol_droid_3po_red', 'a 3PO protocol droid');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1970', 'protocol_droid_3po_silver', 'a 3PO protocol droid');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1971', 'pubam_battlelord', 'a Pubam battlelord');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1972', 'pubam_chieftan', 'a Pubam chieftan');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1973', 'pubam_cub', 'a Pubam cub');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1974', 'pubam_dark_shaman', 'a Pubam dark shaman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1975', 'pubam_scout', 'a Pubam scout');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1976', 'pubam_spiritmaster', 'a Pubam spiritmaster');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1977', 'pubam_tribesman', 'a Pubam tribesman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1978', 'pudgy_nudfuh', 'a pudgy nudfuh');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1979', 'pugoriss', 'a pugoriss');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1980', 'pugoriss_venerable_devourer', 'a veneral devourer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1981', 'puny_gackle_bat', 'a puny gackle bat');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1982', 'puny_stintaril', 'a puny stintaril');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1983', 'puny_tanc_mite', 'a puny tanc mite');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1984', 'purbole', 'a purbole');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1985', 'purbole_elder', 'a purbole elder');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1986', 'purbole_hunter', 'a purbole hunter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1987', 'purbole_relentless', 'a relentless purbole');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1988', 'purbole_scout', 'a purbole scout');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1989', 'purbole_stalker', 'a purbole stalker');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1990', 'purbole_youth', 'a purbole youth');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1991', 'puss_covered_decay_mite_soldier', 'a puss-covered decay mite soldier');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1992', 'putrid_borgle', 'a putrid borgle');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1993', 'putrid_decay_mite_hatchling', 'a putrid decay mite hatchling');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1994', 'putrid_decay_mite_hatchling_large', 'a putrid decay mite hatchling');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1995', 'qualdo_herm', 'Qualdo Herm');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1996', 'queen_arachne', 'an arachne queen');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1997', 'queen_merek_harvester', 'a queen merek harvester');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1998', 'quenker', 'a quenker');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '1999', 'quenker_ravager', 'a quenker ravager');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2000', 'quenker_relic_reaper', 'a quenker relic reaper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2001', 'quenker_terrible', 'a terrible quenker');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2002', 'quest_archeologist', 'an archeologist');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2003', 'quest_crowd_pleaser_audience_member', 'an audience member');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2004', 'quest_crowd_pleaser_judge', 'a judge');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2005', 'quest_crowd_pleaser_theater_manager', 'a theater manager');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2006', 'quest_gadget_specialist', 'a gadget specialist');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2007', 'quest_hero_of_tatooine_farmer', 'a moisture farmer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2008', 'quest_hero_of_tatooine_farmer_daughter', 'a farmer\'s child');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2009', 'quest_hero_of_tatooine_farmer_wife', 'a farmer\'s wife');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2010', 'quest_hero_of_tatooine_ferocious_beast', 'a wild bladeback boar');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2011', 'quest_hero_of_tatooine_hermit', 'a hermit');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2012', 'quest_hero_of_tatooine_husband', 'a rancher');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2013', 'quest_hero_of_tatooine_liar_bounty_hunter', 'a bounty hunter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2014', 'quest_hero_of_tatooine_pirate', 'a pirate');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2015', 'quest_hero_of_tatooine_pirate_leader', 'a pirate leader');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2016', 'quest_hero_of_tatooine_wife', 'a rancher\'s wife');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2017', 'quharek', 'Quharek');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2018', 'r2', 'an R2 unit');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2019', 'r2_crafted', 'an R2 unit');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2020', 'r3', 'an R3 unit');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2021', 'r3_crafted', 'an R3 unit');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2022', 'r4', 'an R4 unit');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2023', 'r4_crafted', 'an R4 unit');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2024', 'r5', 'an R5 unit');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2025', 'r5_crafted', 'an R5 unit');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2026', 'ra7_bug_droid', 'an RA-7 \"Bug\" droid');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2027', 'rabid_mutant_kahmurra', 'a rabid mutant kahmurra');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2028', 'rabid_shaupaut', 'a rabid shaupaut');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2029', 'rabid_squall', 'a rabid squall');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2030', 'radiant_lantern_bird', 'a radiant lantern bird');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2031', 'ragtag_kook', 'a Ragtag kook');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2032', 'ragtag_loon', 'a Ragtag loon');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2033', 'ragtag_lunatic', 'a Ragtag lunatic');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2034', 'ragtag_maniac', 'a Ragtag maniac');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2035', 'rancid_remmer_warrior', 'a rancid remmer warrior');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2036', 'rancor', 'a rancor');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2037', 'rancor_monstrous_brute', 'a monstrous brute');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2038', 'rancor_youth', 'a rancor youth');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2039', 'ravaging_gackle_bat', 'a ravaging gackle bat');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2040', 'ravenous_rasp', 'a ravenous rasp');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2041', 'ravenous_roba_stalker', 'a ravenous roba stalker');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2042', 'ravenous_torton', 'a ravenous torton');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2043', 'rawl_deadly_hooded', 'a deadly hooded rawl');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2044', 'razor_cat_eviscerator', 'a razor cat eviscerator');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2045', 'rebel_army_captain', 'a Rebel Army Captain');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2046', 'rebel_battle_droid', 'A Battle Droid');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2047', 'rebel_brigadier_general', 'a Rebel Brigadier General');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2048', 'rebel_colonel', 'a Rebel Colonel');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2049', 'rebel_commando', 'a Rebel commando');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2050', 'rebel_corporal', 'a Rebel Corporal');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2051', 'rebel_creature_handler_apprentice', 'an apprentice creature handler');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2052', 'rebel_creature_handler_novice', 'a novice creature handler');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2053', 'rebel_crewman', 'a Rebel crewman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2054', 'rebel_first_lieutenant', 'a Rebel First Lieutenant');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2055', 'rebel_general', 'a Rebel General');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2056', 'rebel_high_general', 'a Rebel High General');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2057', 'rebel_lance_corporal', 'a Rebel Lance Corporal');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2058', 'rebel_lieutenant_colonel', 'a Rebel Lieutenant Colonel');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2059', 'rebel_lieutenant_general', 'a Rebel Lieutenant General');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2060', 'rebel_major', 'a Rebel Major');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2061', 'rebel_major_general', 'a Rebel Major General');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2062', 'rebel_master_sergeant', 'a Rebel Master Sergeant');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2063', 'rebel_medic', 'a Rebel Medic');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2064', 'rebel_pilot', 'a Rebel pilot');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2065', 'rebel_recruiter', 'a Rebel recruiter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2066', 'rebel_resistance_agitator', 'a Rebel resistance agitator');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2067', 'rebel_resistance_anarchist', 'a Rebel resistance anarchist');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2068', 'rebel_resistance_dissident', 'a Rebel resistance dissident');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2069', 'rebel_resistance_leader', 'a Rebel resistance leader');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2070', 'rebel_resistance_separatist', 'a Rebel resistance separatist');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2071', 'rebel_scout', 'a Rebel scout');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2072', 'rebel_second_lieutenant', 'a Rebel Second Lieuteneant');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2073', 'rebel_sergeant', 'a Rebel Sergeant');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2074', 'rebel_sergeant_major', 'a Rebel Sergeant Major');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2075', 'rebel_specforce_captain', 'a Rebel SpecForce Captain');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2076', 'rebel_specforce_colonel', 'a Rebel SpecForce Colonel');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2077', 'rebel_specforce_general', 'a Rebel SpecForce General');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2078', 'rebel_specforce_guerrilla', 'a Rebel SpecForce urban guerrilla');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2079', 'rebel_specforce_pathfinder', 'a Rebel SpecForce pathfinder');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2080', 'rebel_specforce_sergeant', 'a Rebel SpecForce Sergeant');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2081', 'rebel_staff_corporal', 'a Rebel Staff Corporal');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2082', 'rebel_staff_sergeant', 'a Rebel Staff Sergeant');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2083', 'rebel_super_battle_droid', 'A Super Battle Droid');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2084', 'rebel_surface_marshal', 'a Rebel surface Marshall');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2085', 'rebel_tamed_gurrcat', 'a tamed gurrcat');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2086', 'rebel_tamed_huurton', 'a tamed huurton');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2087', 'rebel_tamed_razor_cat', 'a tamed razor cat');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2088', 'rebel_tamed_slice_hound', 'a tamed slice hound');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2089', 'rebel_trooper', 'a Rebel trooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2090', 'rebel_warrant_officer_i', 'a Rebel Warrant Officer I');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2091', 'rebel_warrant_officer_ii', 'a Rebel Warrant Officer II');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2092', 'recluse_gurk_king', 'a reclusive gurk king');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2093', 'reclusive_roba', 'a reclusive roba');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2094', 'reclusive_shear_mite', 'a reclusive shear mite');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2095', 'ree_yees', 'Ree Yees');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2096', 'reelo_baruk', 'Reelo Baruk');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2097', 'remmer_carrion_keeper', 'a remmer carrion keeper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2098', 'remmer_dune_scavenger', 'a remmer dune scavenger');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2099', 'reptilian_flier', 'a reptilian flier');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2100', 'reptilian_life_stealer', 'a reptilian life stealer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2101', 'revered_panshee_matriarch', 'a revered Panshee matriarch');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2102', 'rhoa_kwi', 'a rhoa kwi');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2103', 'rhoa_kwi_guardian', 'a rhoa kwi guardian');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2104', 'rhoa_kwi_hunter', 'a rhoa kwi hunter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2105', 'rhoa_kwi_pack_leader', 'a rhoa kwi pack leader');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2106', 'rill', 'a rill');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2107', 'rill_tempest', 'a tempest rill');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2108', 'riverside_sulfur_mynock', 'a riverside sulfur mynok');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2109', 'roaming_bordok_stud', 'a roaming bordok stud');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2110', 'roba', 'a roba');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2111', 'roba_female', 'a female roba');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2112', 'roba_infuriated_protectorate', 'an infuriated roba protector');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2113', 'roba_male', 'a male roba');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2114', 'roba_pack_leader', 'a roba pack leader');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2115', 'roba_runt', 'a roba runt');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2116', 'robo_bartender', 'a Robo bartender');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2117', 'rock_beetle', 'a rock beetle');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2118', 'rock_beetle_cave', 'a rock beetle');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2119', 'rockmite', 'a rockmite');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2120', 'rodian_clan_captain', 'a Rodian clan captain');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2121', 'rodian_clan_medic', 'a Rodian clan medic');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2122', 'rodian_clan_warchief', 'a Rodian clan warchief');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2123', 'rodian_gladiator', 'a Rodian gladiator');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2124', 'rodian_thug', 'a Rodian thug');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2125', 'rogue', 'a rogue');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2126', 'rogue_bageraset', 'a rogue bageraset');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2127', 'rogue_bantha', 'a rogue bantha');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2128', 'rogue_falumpaset', 'a rogue falumpaset');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2129', 'rogue_fambaa', 'a rogue fambaa');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2130', 'ronto', 'a ronto');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2131', 'ronto_furious', 'a furious ronto');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2132', 'ronto_male', 'a bull ronto');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2133', 'rorgungan_boss', 'a Rorgungan Boss');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2134', 'rorgungan_commoner', 'a Rorgungan commoner');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2135', 'rorgungan_scout', 'a Rorgungan scout');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2136', 'rorgungan_warchief', 'a Rorgungan warchief');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2137', 'rorgungan_warrior', 'a Rorgungan warrior');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2138', 'rot_mite', 'a rot mite');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2139', 'rotten_gut_remmer_king', 'a rotten gut remmer king');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2140', 'rotting_pustule_guard', 'a rotting decay mite guard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2141', 'roughneck', 'a roughneck');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2142', 'rsf_captain', 'an RSF Captain');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2143', 'rsf_commando', 'an RSF commando');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2144', 'rsf_palace_guard', 'an RSF Palace guard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2145', 'rsf_pilot', 'an RSF pilot');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2146', 'rsf_security_guard', 'an RSF security guard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2147', 'rsf_security_officer', 'an RSF security officer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2148', 'runty_pharple', 'a runty pharple');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2149', 'salacious_crumb', 'Salacious Crumb');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2150', 'salt_mynock', 'a salt mynock');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2151', 'sand_beetle', 'a sand beetle');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2152', 'sand_panther', 'a razor cat');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2153', 'sand_panther_cub', 'a razor cat cub');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2154', 'sand_trooper', 'a Sand Trooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2155', 'sandy_spined_snake', 'a sandy spined snake');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2156', 'sap_covered_forest_mite_queen', 'a sap-covered forest mite queen');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2157', 'savage_flewt_queen', 'a savage flewt queen');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2158', 'savage_guf_drolg', 'a savage guf drolg');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2159', 'savage_humbaba', 'a savage humbaba');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2160', 'savage_pugoriss', 'a savage pugoriss');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2161', 'savage_quenker', 'a savage quenker');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2162', 'scavenger', 'a scavenger');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2163', 'scavenger_rat', 'a scavenger rat');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2164', 'scholar_szingo', 'Scholar Szingo');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2165', 'scientist', 'a scientist');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2166', 'scientist_bothan_male', 'a scientist');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2167', 'scientist_human_female', 'a scientist');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2168', 'scientist_human_male', 'a scientist');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2169', 'scientist_moncal_female', 'a scientist');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2170', 'scientist_moncal_male', 'a scientist');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2171', 'scientist_rodian_female', 'a scientist');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2172', 'scientist_rodian_male', 'a scientist');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2173', 'scientist_twilek_male', '\na scientist');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2174', 'scientist_zabrak_female', 'a scientist');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2175', 'scorched_krevol', 'a scorched krevol');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2176', 'scoundrel', 'a scoundrel');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2177', 'scout_trooper', 'a Scout Trooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2178', 'screaming_kai_tok', 'a screaming kai tok');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2179', 'scyk', 'a scyk');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2180', 'scyk_volatile', 'a volatile scyk');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2181', 'seasoned_gondula_warrior', 'a seasoned Gondula warrior');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2182', 'seasoned_jinda_warrior', 'a seasoned Jinda warrior');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2183', 'seasoned_panshee_warrior', 'a seasoned Panshee warrior');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2184', 'seething_bol_crusher', 'a seething bol crusher');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2185', 'selonian_assassin', 'a Selonian assassin');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2186', 'selonian_captain', 'a Selonian Captain');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2187', 'selonian_champion', 'a Selonian champion');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2188', 'selonian_healer', 'a Selonian healer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2189', 'selonian_hunter', 'a Selonian hunter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2190', 'selonian_raider', 'a Selonian raider');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2191', 'selonian_scout', 'a Selonian scout');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2192', 'selonian_sentinel', 'a Selonian sentinel');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2193', 'selonian_separatist', 'a Selonian separatist');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2194', 'selonian_separatist_captain', 'a Selonian Separatist Captain');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2195', 'selonian_separatist_general', 'a Selonian Separatist General');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2196', 'selonian_separatist_recruit', 'a Selonian Separatist recruit');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2197', 'selonian_separatist_soldier', 'a Selonian Separatist soldier');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2198', 'selonian_thief', 'a Selonian thief');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2199', 'selonian_warlord', 'a Selonian warlord');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2200', 'selonian_warrior', 'a Selonian warrior');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2201', 'senior_prophet_of_the_dark_side', 'a Senior Prophet of the Dark Side');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2202', 'senior_specforce_guerrilla', 'a senior SpecForce urban guerrilla');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2203', 'senior_specforce_heavy_weapons_specialist', 'a senior SpecForce heavy weapons specialist');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2204', 'senior_specforce_infiltrator', 'a senior SpecForce infiltrator');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2205', 'senior_specforce_lieutenant', 'a senior SpecForce Lieutenant');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2206', 'senior_specforce_marine', 'a senior SpecForce marine');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2207', 'senior_specforce_pathfinder', 'a senior SpecForce pathfinder');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2208', 'senior_specforce_technician', 'a senior SpecForce technician');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2209', 'senior_specforce_wilderness_trooper', 'a senior SpecForce wilderness fighter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2210', 'sennex_guard', 'a Sennex guard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2211', 'sennex_hunter', 'a Sennex hunter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2212', 'sennex_lookout', 'a Sennex lookout');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2213', 'sennex_slavemaster', 'a Sennex slavemaster');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2214', 'sennex_slaver', 'a Sennex slaver');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2215', 'sennex_warder', 'a Sennex warder');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2216', 'sentry_hermit_spider', 'a sentry hermit spider');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2217', 'sergeant_ruwan_tokai', 'Sergeant Ruwan Tokai');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2218', 'settler', 'a settler');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2219', 'sevorrt', 'a sevorrt');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2220', 'shadow_mercenary', 'a Sith Shadow mercenary');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2221', 'shadow_mercenary_nofaction', 'a Sith Shadow commander');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2222', 'shadow_mercenary_nonaggro', 'a Sith Shadow mercenary');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2223', 'shadow_nco', 'a Sith Shadow taskmaster');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2224', 'shadow_outlaw', 'a Sith Shadow outlaw');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2225', 'shadow_outlaw_mission', 'a Sith Shadow outlaw');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2226', 'shadow_outlaw_nonaggro', 'a Sith Shadow outlaw');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2227', 'shadow_pirate', 'a Sith Shadow pirate');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2228', 'shadow_pirate_nonaggro', 'a Sith Shadow pirate');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2229', 'shadow_punk', 'a Sith Shadow outlaw');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2230', 'shadow_thug', 'a Sith Shadow thug');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2231', 'shadow_thug_nonaggro', 'a Sith Shadow thug');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2232', 'shaggy_donkuwah_youth', 'a shaggy Donkuwah youth');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2233', 'shaggy_gurk_youth', 'a shaggy Gurk youth');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2234', 'shaggy_korga_youth', 'a shaggy Korga youth');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2235', 'shaggy_ubam_youth', 'a shaggy Pubam youth');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2236', 'shallow_torton', 'a shallow torton');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2237', 'sharnaff', 'a sharnaff');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2238', 'sharnaff_bull', 'a sharnaff bull');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2239', 'sharnaff_reckless_ravager', 'a sharnaff reckless ravager');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2240', 'sharpshooter', 'a sharpshooter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2241', 'sharptooth_langlatch', 'a sharptooth langlatch');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2242', 'shaupaut', 'a shaupaut');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2243', 'shaupaut_hunter', 'a shaupaut hunter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2244', 'shear_mite', 'a shear mite');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2245', 'shear_mite_broodling', 'a shear mite broodling');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2246', 'shear_mite_hunter', 'a shear mite hunter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2247', 'shear_mite_queen', 'a shear mite queen');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2248', 'shear_mite_soilder', 'a shear mite soldier');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2249', 'shear_mite_soldier', 'a shear mite soldier');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2250', 'shimmering_lantern_bird', 'a shimmering lantern bird');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2251', 'sickening_dung_mite_worker', 'a dung mite worker');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2252', 'sickle_rasp', 'a sickle rasp');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2253', 'sickly_decay_mite_queen', 'a sickly decay mite queen');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2254', 'signalman', 'a signalman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2255', 'singing_mountain_clan_rancor', 'a Singing Mountain clan rancor');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2256', 'singing_mountain_clan_sentry', 'a Singing Mountain clan sentry');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2257', 'singing_mtn_clan_arch_witch', 'a Singing Mountain clan arch witch');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2258', 'singing_mtn_clan_councilwoman', 'a Singing Mountain clan councilwoman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2259', 'singing_mtn_clan_dragoon', 'a Singing Mountain clan dragoon');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2260', 'singing_mtn_clan_guardian', 'a Singing Mountain clan guardian');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2261', 'singing_mtn_clan_huntress', 'a Singing Mountain clan huntress');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2262', 'singing_mtn_clan_initiate', 'a Singing Mountain clan initiate');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2263', 'singing_mtn_clan_outcast', 'a Singing Mountain clan outcast');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2264', 'singing_mtn_clan_rancor_tamer', 'a Singing Mountain clan rancor tamer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2265', 'singing_mtn_clan_scout', 'a Singing Mountain clan scout');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2266', 'singing_mtn_clan_slave', 'a Singing Mountain clan slave');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2267', 'sirad_far', 'a Sirad Far');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2268', 'skaak_tipper_bandit', 'a Skaak Tipper bandit');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2269', 'skaak_tipper_crook', 'a Skaak Tipper crook');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2270', 'skaak_tipper_mugger', 'a Skaak Tipper mugger');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2271', 'skaak_tipper_prowler', 'a Skaak Tipper prowler');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2272', 'skaak_tipper_swindler', 'a Skaak Tipper swindler');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2273', 'skilled_gondula_worker', 'a skilled Gondula worker');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2274', 'skilled_jinda_worker', 'a skilled Jinda worker');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2275', 'skilled_panshee_worker', 'a skilled Panshee worker');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2276', 'skreeg_adolescent', 'a skreeg adolescent');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2277', 'skreeg_female', 'a skreeg female');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2278', 'skreeg_gatherer', 'a skreeg gatherer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2279', 'skreeg_hunter', 'a skreeg hunter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2280', 'skreeg_infant', 'a skreeg infant');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2281', 'skreeg_male', 'a skreeg male');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2282', 'skreeg_ominous', 'an ominous skreeg');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2283', 'skreeg_scout', 'a skreeg scout');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2284', 'skreeg_warrior', 'a skreeg warrior');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2285', 'skreeg_warrior_elite', 'a skreeg warrior elite');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2286', 'slave', 'a slave');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2287', 'slave_twilek_female', 'a Twi\'lek slave');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2288', 'slavemaster', 'a slavemaster');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2289', 'slaver', 'a slaver');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2290', 'sleemo_delinquent', 'a Sleemo delinquent');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2291', 'sleemo_hoodlum', 'a Sleemo hoodlum');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2292', 'sleemo_punk', 'a Sleemo punk');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2293', 'sleemo_scamp', 'a Sleemo scamp');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2294', 'slice_hound', 'a slice hound');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2295', 'slicer', 'a slicer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2296', 'slinking_voritor_hunter', 'a slinking voritor hunter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2297', 'slp_armsman', 'Sulfur Lake Pirate Armsman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2298', 'slp_crewman', 'Sulfur Lake Pirate Crewman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2299', 'slp_cutthroat', 'Sulfur Lake Pirate Cutthroat');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2300', 'slp_pirate', 'Sulfur Lake Pirate');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2301', 'slp_pirate_male', 'Sulfur Lake Pirate');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2302', 'slp_privateer', 'Sulfur Lake Pirate Lieutenant');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2303', 'slp_squab', 'Sulfur Lake Pirate Initiate');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2304', 'sludge_panther', 'a sludge panther');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2305', 'smashball_bully', 'a smashball bully');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2306', 'smashball_degenerate', 'a smashball degenerate');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2307', 'smashball_thug', 'a smashball thug');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2308', 'smuggler', 'a smuggler');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2309', 'snorbal', 'a snorbal');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2310', 'snorbal_matriarch', 'a snorbal matriarch');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2311', 'snorbal_titanic_demolisher', 'a demolishing snorbal titan');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2312', 'song_rasp', 'a song rasp');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2313', 'spacer', 'a spacer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2314', 'specforce_heavy_weapons_specialist', 'a SpecForce heavy weapons specialist');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2315', 'specforce_infiltrator', 'a SpecForce infiltator');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2316', 'specforce_interrogator', 'a SpecForce interrogator');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2317', 'specforce_lieutenant', 'a SpecForce Lieutenant');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2318', 'specforce_major', 'a SpecForce Major');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2319', 'specforce_marine', 'a SpecForce marine');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2320', 'specforce_master_sergeant', 'a SpecForce Master Sergeant');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2321', 'specforce_procurement_specialist', 'a SpecForce procurement specialist');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2322', 'specforce_technician', 'a SpecForce technician');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2323', 'specforce_wilderness_operative', 'a SpecForce wilderness operative');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2324', 'special_missions_engineer', 'a special missions engineer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2325', 'specialist_noncom', 'a specialist noncom');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2326', 'specops_agent', 'a SpecOps agent');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2327', 'specops_alliance_free_agent', 'a SpecOps Alliance free agent');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2328', 'specops_trooper', 'a SpecOps trooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2329', 'spice_collective_courier', 'a Spice Collective courier');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2330', 'spice_collective_eliteguard', 'a Spice Collective elite guard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2331', 'spice_collective_foreman', 'a Spice Collective foreman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2332', 'spice_collective_heavyguard', 'a Spice Collective heavy guard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2333', 'spice_collective_miner', 'a Spice Collective miner');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2334', 'spice_collective_sentry', 'a Spice Collective sentry');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2335', 'spice_collective_workchief', 'a Spice Collective workchief');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2336', 'spice_fiend', 'a spice fiend');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2337', 'spider_nightsister_crawler', 'a Spiderclan crawler');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2338', 'spider_nightsister_elder', 'a Spiderclan elder');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2339', 'spider_nightsister_initiate', 'a Spiderclan acolyte');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2340', 'spider_nightsister_protector', 'a Spiderclan protector');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2341', 'spider_nightsister_sentinel', 'a Spiderclan sentinel');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2342', 'spider_nightsister_sentry', 'a Spiderclan sentry');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2343', 'spider_nightsister_spell_weaver', 'a Spiderclan auspex');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2344', 'spider_nightsister_stalker', 'a Spiderclan stalker');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2345', 'spider_nightsister_web_dancer', 'a Spiderclan web dancer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2346', 'spiked_krevol', 'a spiked krevol');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2347', 'spined_puc', 'a spined puc');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2348', 'spined_puc_poison', 'a poisinous spined puc');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2349', 'spined_snake', 'a spined snake');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2350', 'spined_snake_recluse', 'a spined snake recluse');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2351', 'spineflap_gatherer', 'a spineflap gatherer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2352', 'spineflap_guard', 'a spineflap guard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2353', 'spineflap_handmaiden', 'a spineflap handmaiden');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2354', 'spineflap_queen', 'a spineflap queen');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2355', 'spineflap_soldier', 'a spineflap soldier');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2356', 'spitting_rawl', 'a spitting rawl');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2357', 'spooky_donkuwah_spiritmaster', 'a spooky Donkuwah spiritmaster');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2358', 'spooky_korga_spiritmaster', 'a spooky Korga spiritmaster');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2359', 'spooky_pubam_spiritmaster', 'a spooky Pubam spiritmaster');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2360', 'spynet_operative', 'a SpyNet operative');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2361', 'squall', 'a squall');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2362', 'squall_female', 'a female squall');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2363', 'squall_male', 'a male squall');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2364', 'squatter', 'a squatter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2365', 'squill', 'a squill');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2366', 'squill_deranged_ravisher', 'a deranged ravisher');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2367', 'squill_great', 'a great squill');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2368', 'startled_vrelt_mother', 'a vrelt mother');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2369', 'stintaril', 'a stintaril');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2370', 'stintaril_fleshstripper', 'a stintaril fleshripper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2371', 'stintaril_prowler', 'a stintaril prowler');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2372', 'stintaril_ravager', 'a stintaril ravager');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2373', 'stintaril_scavenger', 'a stintaril scavenger');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2374', 'stoneskin_hanadak', 'a stoneskin hanadak');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2375', 'storm_commando', 'a Stormtrooper Commando');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2376', 'stormtrooper', 'a Stormtrooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2377', 'stormtrooper_bombardier', 'a Stormtrooper Bombardier');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2378', 'stormtrooper_captain', 'a Stormtrooper Captain');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2379', 'stormtrooper_dark_trooper_novatrooper', 'a Dark Novatrooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2380', 'stormtrooper_dewback', 'a Stormtrooper dewback');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2381', 'stormtrooper_major', 'a Stormtrooper Major');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2382', 'stormtrooper_medic', 'a Stormtrooper Medic');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2383', 'stormtrooper_novatrooper', 'a Novatrooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2384', 'stormtrooper_novatrooper_cadet', 'a Novatrooper Cadet');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2385', 'stormtrooper_novatrooper_captain', 'a Novatrooper Captain');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2386', 'stormtrooper_novatrooper_commander', 'a Novatrooper Commander');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2387', 'stormtrooper_novatrooper_elite', 'an Elite Novatrooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2388', 'stormtrooper_novatrooper_elite_commander', 'an Elite Novatrooper Commander');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2389', 'stormtrooper_novatrooper_ensign', 'a Novatrooper Ensign');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2390', 'stormtrooper_novatrooper_medic', 'a Novatrooper Medic');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2391', 'stormtrooper_novatrooper_squad_leader', 'a Novatrooper Squad Leader');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2392', 'stormtrooper_rifleman', 'a Stormtrooper Rifleman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2393', 'stormtrooper_sniper', 'a Stormtrooper Sniper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2394', 'stormtrooper_squad_leader', 'a Stormtrooper Squad Leader');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2395', 'story_loot_bestine', 'Belhata the Hutt');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2396', 'story_loot_bestine_02', 'a Hutt Guard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2397', 'story_loot_bestine_03', 'Riljcha Voruste');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2398', 'story_loot_coronet', 'Orztia Sayildi');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2399', 'story_loot_eisley_01', 'Peraw');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2400', 'story_loot_eisley_02', 'Neess Achessa');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2401', 'story_loot_espa', 'Rakkim Warstai');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2402', 'story_loot_kaadara', 'Model 5-D23');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2403', 'story_loot_moeina', 'Droijack-dyn');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2404', 'story_loot_talus', 'Ebony Ves\'Ser');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2405', 'story_loot_theed', 'Meeck');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2406', 'story_loot_tyrena', 'Endatha Belis');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2407', 'stranded_imperial_officer', 'a stranded Imperial officer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2408', 'stranded_imperial_pilot', 'a stranded Imperial pilot');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2409', 'stranded_imperial_soilder', 'a stranded Imperial soldier');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2410', 'stranded_imperial_soldier', 'a stranded Imperial soldier');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2411', 'stranded_rebel_officer', 'a stranded Rebel officer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2412', 'stranded_rebel_pilot', 'a stranded Rebel pilot');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2413', 'stranded_rebel_scout', 'a stranded Rebel scout');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2414', 'stranded_rebel_soilder', 'a stranded Rebel soldier');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2415', 'stranded_rebel_soldier', 'a stranded Rebel soldier');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2416', 'stunted_huf_dun', 'a stunted huf dun');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2417', 'stunted_woolamander', 'a stunted woolamander');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2418', 'sulfur_pool_mynock', 'a sulfur pool mynock');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2419', 'super_battle_droid', 'a Super Battle Droid');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2420', 'surefoot_brackaset', 'a surefoot brackaset');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2421', 'surgical_droid_21b', 'a 2-1B surgical droid');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2422', 'swamp_gurrcat', 'a swamp gurrcat');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2423', 'swamp_humbaba', 'a swamp humbaba');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2424', 'swamp_rat', 'a swamp rat');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2425', 'swamp_stalker', 'a swamp stalker');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2426', 'swamp_trooper', 'a Swamp Trooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2427', 'swamp_trooper_anti_gungan', 'a plasma-thieving Swamp Trooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2428', 'swamp_trooper_captain_anti_gungan', 'a plasma-thieving Swamp Trooper Captain');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2429', 'swamp_villager', 'a swamp villager');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2430', 'swarming_lesser_dewback', 'a swarming lesser dewback');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2431', 'swirl_prong', 'a swirl prong');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2432', 'swirl_prong_impaler', 'a swirl prong impaler');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2433', 'swirl_prong_pack_leader', 'a swirl prong pack leader');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2434', 'swooper', 'a swooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2435', 'swooper_leader', 'a swooper leader');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2436', 'sy_snootles', 'Sy Snootles');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2437', 'tabage', 'a tabage');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2438', 'tabage_protector', 'a tabage protector');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2439', 'tabage_scavenger', 'a tabage scavenger');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2440', 'tainted_donkuwah_dark_shaman', 'a tainted Donkuwah dark shaman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2441', 'tainted_korga_dark_shaman', 'a tainted Korga dark shaman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2442', 'tainted_pubam_dark_shaman', 'a tainted Pubam dark shaman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2443', 'talon_karrde', 'Talon Karrde');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2444', 'tamed_kuppernug', 'a tamed kuppernug');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2445', 'tanc_mite', 'a tanc mite');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2446', 'tanc_mite_eviscerator', 'a deadly tanc mite');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2447', 'tanc_mite_warrior', 'a tanc mite warrior');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2448', 'tatooine_militiaman', 'a Tatooine militiaman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2449', 'tatooine_mynock', 'a Tatooine mynock');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2450', 'tattered_torton', 'a tattered torton');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2451', 'technician', 'a technician');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2452', 'teras_kasi_master', 'a Teras Kasi master');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2453', 'terrorist', 'a terrorist');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2454', 'thief', 'a thief');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2455', 'thug', 'a thug');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2456', 'thug_aqualish_female', 'a thug');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2457', 'thug_aqualish_male', 'a thug');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2458', 'thug_bith_female', 'a thug');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2459', 'thug_bith_male', 'a thug');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2460', 'thug_bothan_female', 'a thug');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2461', 'thug_bothan_male', 'a thug');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2462', 'thug_human_female', 'a thug');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2463', 'thug_human_male', 'a thug');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2464', 'thug_rodian_female', 'a thug');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2465', 'thug_rodian_male', 'a thug');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2466', 'thug_trandoshan_female', 'a thug');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2467', 'thug_trandoshan_male', 'a thug');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2468', 'thug_twilek_female', 'a thug');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2469', 'thug_twilek_male', 'a thug');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2470', 'thug_zabrak_female', 'a thug');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2471', 'thug_zabrak_male', 'a thug');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2472', 'thune', 'a thune');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2473', 'thune_grassland_guardian', 'a thune grassland guardian');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2474', 'thune_herd_leader', 'a thune herd leader');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2475', 'timid_vir_vur', 'a timid vir vur');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2476', 'tip_solicitor_droid', 'Tip Solicitor Droid');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2477', 'torton', 'a torton');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2478', 'torton_pygmy_adolescent', 'an adolescent pygmy torton');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2479', 'torton_pygmy_adult', 'an adult pygmy torton');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2480', 'torton_pygmy_juvenile', 'a juvenile pygmy torton');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2481', 'torton_pygmy_matriarch', 'a torton pygmy matriarch');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2482', 'torton_pygmy_mature', 'a mature pygmy torton');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2483', 'torton_pygmy_protector', 'a pygmy torton protector');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2484', 'torton_voracious_patriarch', 'a voracious patriarch');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2485', 'tortur', 'a tortur');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2486', 'tortur_bull', 'a tortur bull');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2487', 'toxic_merek_battlelord', 'a toxic merek battlelord');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2488', 'trade_federation_avenger', 'a Trade Federation avenger');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2489', 'trade_federation_loyalist', 'a Trade Federation loyalist');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2490', 'trade_federation_pirate', 'a trade federation pirate');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2491', 'trade_federation_zealot', 'a Trade Federation zealot');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2492', 'trainer_1hsword', 'a Fencer trainer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2493', 'trainer_2hsword', 'a Swordsman trainer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2494', 'trainer_architect', 'an Architect trainer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2495', 'trainer_armorsmith', 'an Armorsmith trainer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2496', 'trainer_artisan', 'an Artisan trainer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2497', 'trainer_bioengineer', 'a Bio-engineer trainer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2498', 'trainer_bountyhunter', 'a Bounty Hunter trainer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2499', 'trainer_brawler', 'a Brawler trainer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2500', 'trainer_carbine', 'a Carbineer trainer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2501', 'trainer_chef', 'a Chef trainer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2502', 'trainer_combatmedic', 'a Combat Medic trainer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2503', 'trainer_commando', 'a Commando trainer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2504', 'trainer_creaturehandler', 'a Creature Handler trainer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2505', 'trainer_dancer', 'a Dancer trainer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2506', 'trainer_doctor', 'a Doctor trainer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2507', 'trainer_droidengineer', 'a Droid Engineer trainer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2508', 'trainer_entertainer', 'an Entertainer trainer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2509', 'trainer_fs', 'Noldan');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2510', 'trainer_imagedesigner', 'an Image Designer trainer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2511', 'trainer_industrialist', 'an Industrialist trainer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2512', 'trainer_marksman', 'a Marksman trainer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2513', 'trainer_medic', 'a Medic trainer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2514', 'trainer_merchant', 'a Merchant trainer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2515', 'trainer_miner', 'a Miner trainer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2516', 'trainer_musician', 'a Musician trainer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2517', 'trainer_pistol', 'a Pistoleer trainer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2518', 'trainer_polearm', 'a Pikeman trainer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2519', 'trainer_politician', 'a Politician trainer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2520', 'trainer_ranger', 'a Ranger trainer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2521', 'trainer_rifleman', 'a Rifleman trainer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2522', 'trainer_scout', 'a Scout trainer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2523', 'trainer_smuggler', 'a Smuggler trainer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2524', 'trainer_squadleader', 'a Squad Leader trainer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2525', 'trainer_tailor', 'a Tailor trainer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2526', 'trainer_unarmed', 'a Teras Kasi Artist trainer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2527', 'trainer_weaponsmith', 'a Weaponsmith trainer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2528', 'training_remote', 'a training remote');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2529', 'trandoshan_sif', 'a Sif mercenary');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2530', 'trandoshan_slavemaster', 'a Trandosian slavemaster');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2531', 'trandoshan_slaver', 'a Trandosian slaver');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2532', 'tricky_donkuwah_scout', 'a tricky Donkuwah scout');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2533', 'tricky_korga_scout', 'a tricky Korga scout');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2534', 'tricky_pubam_scout', 'a tricky Pubam scout');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2535', 'trivia_librarian', 'Librarian');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2536', 'tt8l', 'a TT8L \"Tattletale\" droid');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2537', 'tt8l_y7', 'a TT8L-Y7 \"Tattletale\" droid');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2538', 'tusk_cat_rider', 'a tusk cat rider');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2539', 'tusken_avenger', 'a Tusken avenger');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2540', 'tusken_bantha', 'a Tusken bantha');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2541', 'tusken_berserker', 'a Tusken berserker');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2542', 'tusken_blood_champion', 'a Tusken blood champion');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2543', 'tusken_brute', 'a Tusken brute');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2544', 'tusken_captain', 'a Tusken captain');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2545', 'tusken_chief', 'a Tusken chief');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2546', 'tusken_child', 'a Tusken child');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2547', 'tusken_commoner', 'a Tusken commoner');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2548', 'tusken_death_hunter', 'a Tusken death hunter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2549', 'tusken_elite_guard', 'a Tusken elite guard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2550', 'tusken_executioner', 'a Tusken Executioner');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2551', 'tusken_flesh_hunter', 'a Tusken flesh hunter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2552', 'tusken_fort_tusken_champion', 'a Tusken carnage champion');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2553', 'tusken_gore_chief', 'a Tusken gore chief');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2554', 'tusken_guard', 'a Tusken guard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2555', 'tusken_king', 'a Tusken king');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2556', 'tusken_king_quest', 'A Tusken King');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2557', 'tusken_observer', 'a Tusken Observer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2558', 'tusken_raid_leader', 'a Tusken raid leader');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2559', 'tusken_raider', 'a Tusken raider');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2560', 'tusken_savage', 'a Tusken savage');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2561', 'tusken_sniper', 'a Tusken sniper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2562', 'tusken_soldier', 'a Tusken fighter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2563', 'tusken_torture_lord', 'a Tusken torture lord');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2564', 'tusken_wanderer', 'a Tusken wanderer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2565', 'tusken_war_master', 'a Tusken war master');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2566', 'tusken_warlord', 'a Tusken warlord');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2567', 'tusken_warrior', 'a Tusken warrior');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2568', 'tusken_witch_doctor', 'a Tusken Witch Doctor');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2569', 'tusken_woman', 'a Tusken woman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2570', 'twilight_vir_vur', 'a twilight vir vur');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2571', 'twisted_donkuwah_scavenger', 'a twisted Donkuwah scavenger');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2572', 'twisted_korga_scavenger', 'a twisted Korga scavenger');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2573', 'twisted_pubam_scavenger', 'a twisted Pubam scavenger');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2574', 'tybis', 'a tybis');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2575', 'tybis_female', 'a female tybis');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2576', 'tybis_grand', 'a grand tybis');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2577', 'tybis_male', 'a male tybis');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2578', 'tybis_youth', 'a tybis youth');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2579', 'untrained_wielder_of_the_dark_side', 'an untrained wielder of the Dark Side');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2580', 'valarian_assassin', 'Valarian\'s assassin');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2581', 'valarian_compound_guard', 'Valarian\'s compound guard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2582', 'valarian_enforcer', 'Valarian\'s enforcer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2583', 'valarian_henchman', 'Valarian\'s henchman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2584', 'valarian_scout', 'Valarian\'s scout');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2585', 'valarian_swooper', 'Valarian\'s swooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2586', 'valarian_swooper_leader', 'Valarian\'s swooper leader');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2587', 'valarian_thief', 'Valarian\'s thief');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2588', 'valarian_thug', 'Valarian\'s thug');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2589', 'variegated_womprat', 'a variegated womp rat');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2590', 'veermok', 'a veermok');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2591', 'veermok_cannibal', 'a veermok cannibal');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2592', 'veermok_cave', 'a veermok');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2593', 'veermok_giant_cave', 'a giant cave veermok');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2594', 'veermok_guard', 'a veermok guard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2595', 'veermok_guard_cave', 'a veermok guard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2596', 'veermok_hunter', 'a veermok hunter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2597', 'veermok_ravager', 'a veermok ravager');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2598', 'veermok_scavenger', 'a veermok scavenger');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2599', 'veermok_scout', 'a veermok scout');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2600', 'veermok_scout_cave', 'a veermok scout');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2601', 'veermok_sentry', 'a veermok sentry');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2602', 'veermok_sentry_cave', 'a veermok sentry');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2603', 'vendor', 'a vendor');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2604', 'venom_filled_arachne', 'a venom-filled arachne');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2605', 'verne', 'a verne');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2606', 'verne_bull', 'a verne bull');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2607', 'verne_calf', 'a verne calf');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2608', 'vesp', 'a vesp');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2609', 'vesp_hunter', 'a vesp hunter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2610', 'vesp_scavanger', 'a vesp scavenger');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2611', 'veteran_compforce_trooper', 'a veteran CompForce trooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2612', 'vexed_voritor_lizard', 'a vexed voritor lizard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2613', 'vicious_donkuwah_battlelord', 'a vicious Donkuwah battlelord');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2614', 'vicious_huf_dun', 'a vicious huf dun');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2615', 'vicious_korga_battlelord', 'a vicious Korga battlelord');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2616', 'vicious_pubam_battlelord', 'a vicious Pubam battlelord');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2617', 'vicious_squall', 'a vicious squall');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2618', 'vile_donkuwah_battlelord', 'a vile Donkuwah battlelord');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2619', 'vile_korga_battlelord', 'a vile Korga battlelord');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2620', 'vine_rawl', 'a vine rawl');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2621', 'violent_krahbu', 'a violent krahbu');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2622', 'vir_vur', 'a vir vur');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2623', 'vir_vur_toxic_slasher', 'a toxic slasher');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2624', 'voracious_rasp', 'a voracious rasp');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2625', 'voritor_dasher', 'a voritor dasher');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2626', 'voritor_lizard', 'a voritor lizard ');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2627', 'voritor_spiked_slasher', 'a spiked slasher');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2628', 'vrelt', 'a vrelt');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2629', 'vrobal', 'a vrobal');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2630', 'vrobal_bull', 'a vrobal bull');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2631', 'vrobal_sow', 'a vrobal sow');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2632', 'vrobalet', 'a vrobalet');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2633', 'vynock', 'a vynock');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2634', 'wald', 'a wald');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2635', 'wandering_desert_marauder', 'a wandering desert Marauder');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2636', 'wandering_kitonak', 'a wandering kitonak');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2637', 'war_gronda', 'a war gronda');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2638', 'warren_agro_droid_atst', 'an altered AT-ST');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2639', 'warren_agro_droid_boss', 'an enhanced droid');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2640', 'warren_agro_droid_s01', 'a rogue droid');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2641', 'warren_agro_droid_s02', 'a rogue droid');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2642', 'warren_agro_droid_s03', 'a rogue droid');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2643', 'warren_agro_droid_s04', 'a rogue droid');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2644', 'warren_bol', 'a bol');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2645', 'warren_bomarr_loyalist', 'an altered spider droid');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2646', 'warren_bors_teraud', 'Bors Teraud');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2647', 'warren_cyborg_bol', 'a cyborg bol');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2648', 'warren_cyborg_dunelizard', 'a cyborg dune lizard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2649', 'warren_cyborg_huurton', 'a cyborg huurton');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2650', 'warren_cyborg_slicehound', 'a cyborg slice hound');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2651', 'warren_cyborg_tuskcat', 'a cyborg tusk cat');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2652', 'warren_droideka_loyalist', 'an altered destroyer droid');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2653', 'warren_dunelizard', 'a dine lizard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2654', 'warren_huurton_fierce', 'a fierce huurton');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2655', 'warren_huurton_hostile', 'a hostile huurton');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2656', 'warren_huurton_savage', 'a savage huurton');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2657', 'warren_imperial_officer', 'an Imperial officer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2658', 'warren_imperial_officer_kitchen', 'an Imperial officer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2659', 'warren_imperial_worker', 'an Imperial worker');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2660', 'warren_imperial_worker_hospital', 'an Imperial worker');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2661', 'warren_insane_comp_sci', 'a computer scientist');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2662', 'warren_irradiated_worker', 'a crazed scientist');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2663', 'warren_scientist', 'a scientist');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2664', 'warren_slicehound', 'a slice hound');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2665', 'warren_sludgepanther', 'a sludgepanther');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2666', 'warren_stormtrooper', 'a stormtrooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2667', 'warren_teraud_loyalist', 'a Teraud loyalist');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2668', 'warren_teraud_loyalist_commander', 'a Teraud loyalist commander');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2669', 'warren_teraud_loyalist_cyborg', 'a Teraud loyalist cyborg');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2670', 'warren_teraud_loyalist_scientist', 'a scientist');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2671', 'warren_thune', 'a warren thune');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2672', 'warren_tuskcat', 'a tusk cat');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2673', 'wasteland_cu_pa', 'a wasteland cu pa');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2674', 'wasteland_marauder', 'a wasteland marauder');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2675', 'wasteland_marauer', '');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2676', 'wastrel', 'a wastrel');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2677', 'water_bug', 'a water bug');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2678', 'weathered_gondula_shaman', 'a weathered Gondula shaman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2679', 'weathered_jinda_shaman', 'a weathered Jinda shaman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2680', 'weathered_panshee_shaman', 'a weathered Panshee shaman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2681', 'wed_treadwell', 'a WED Treadwell droid');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2682', 'wedge_antilles', 'Wedge Antilles');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2683', 'weequay_champion', 'a Weequay champion');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2684', 'weequay_soldier', 'a Weequay soldier');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2685', 'weequay_thug', 'a Weequay thug');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2686', 'weequay_zealot', 'a Weequay zealot');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2687', 'whip', 'Whip');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2688', 'whisper_bird_female', 'a whisper bird female');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2689', 'whisper_bird_hatchling', 'a whisper bird hatchling');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2690', 'whisper_bird_majestic', 'a majestic whisper bird');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2691', 'whisper_bird_male', 'a whisper bird male');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2692', 'wild_dune_boar', 'a wild dune boar');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2693', 'will_of_solitude', 'a will of Solitude');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2694', 'wise_gondula_ritualist', 'a wise Gondula ritualist');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2695', 'wise_jinda_ritualist', 'a wise Jinda rigualist');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2696', 'wise_panshee_ritualist', 'a wise Panshee rigualist');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2697', 'wolf_kima', 'a wolf kima');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2698', 'womprat', 'a womp rat');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2699', 'womprat_city', 'a slum rat');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2700', 'womprat_plague', 'a plague rat');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2701', 'wood_mite', 'a wood mite');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2702', 'wood_mite_matriarch', 'a wood mite matriarch');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2703', 'wood_mite_royal_guard', 'a wood mite royal guard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2704', 'wooded_paralope', 'a wooded paralope');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2705', 'woodland_gurreck', 'a gurreck forest stalker');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2706', 'woodland_kima', 'a woodland kima');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2707', 'wookiee_brawler', 'a Wookiee brawler');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2708', 'woolamander', 'a woolamander');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2709', 'woolamander_gatherer', 'a woolamander gatherer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2710', 'woolamander_harrower', 'a woolamander harrower');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2711', 'woolamander_harvester', 'a woolamander harvester');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2712', 'woolamander_reaper', 'a woolamander reaper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2713', 'wormed_vrobal', 'a wormed vrobal');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2714', 'worrt', 'a worrt');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2715', 'worrt_gutbuster', 'a worrt gutbuster');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2716', 'wrix', 'a wrix');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2717', 'wrix_bloodstained_prowler', 'a bloodstained prowler');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2718', 'young_baz_nitch', 'a young baz nitch');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2719', 'young_borgle', 'a young borgle');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2720', 'young_borgle_gruntling', 'a young borgle gruntling');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2721', 'young_hanadak_rock_crusher', 'a young hanadak rock crusher');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2722', 'young_malkloc', 'a young malkloc');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2723', 'young_mountain_squill', 'a young mountain squill');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2724', 'young_reptilian_flier', 'a young reptilian flier');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2725', 'young_roba', 'a roba boar');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2726', 'young_spined_snake', 'a young spined snake');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2727', 'zucca_boar', 'a zucca boar');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2728', 'zucca_boar_blight', 'a blight boar');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2729', 'rancor_pygmy', 'a rancor pygmy');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2730', 'slice_hound_vicious', 'a vicious slice hound');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2731', 'fanned_rawl_giant', 'a giant fanned rawl');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2732', 'hermit_spider_mutant', 'a mutant hermit spider');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2733', 'kimogila_aged', 'an aged kimogila');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2734', 'krayt_dragon_adolescent', 'an adolescent krayt dragon');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2735', 'langlatch_giant', 'a langlatch giant');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2736', 'veermok_pygmy', 'a veermok pygmy');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2737', 'zucca_boar_elder', 'an elder zucca boar');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2738', 'kimogila_dwarf', 'a kimogila dwarf');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2739', 'krayt_dragon_grand', 'a grand krayt dragon');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2740', 'fbase_at_st', 'an AT-ST');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2741', 'fbase_comm_operator', 'an Imperial comm op');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2742', 'fbase_comm_operator_hard', 'an Imperial comm specialist');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2743', 'fbase_command_security_guard', 'an Imperial command security guard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2744', 'fbase_command_security_guard_hard', 'an elite Imperial security guard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2745', 'fbase_dark_trooper', 'a victory class dark trooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2746', 'fbase_dark_trooper_hard', 'a glory class dark trooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2747', 'fbase_elite_dark_trooper', 'an exogen class dark trooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2748', 'fbase_elite_dark_trooper_hard', 'an oppressor-7 class dark trooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2749', 'fbase_elite_sand_trooper', 'an elite sand trooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2750', 'fbase_elite_sand_trooper_hard', 'an elite sand trooper commando');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2751', 'fbase_imperial_army_captain', 'an Imperial captain');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2752', 'fbase_imperial_army_captain_hard', 'an experienced Imperial captain');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2753', 'fbase_imperial_colonel', 'an Imperial colonel');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2754', 'fbase_imperial_colonel_hard', 'a decorated Imperial colonel');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2755', 'fbase_imperial_corporal', 'an Imperial corporal');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2756', 'fbase_imperial_corporal_hard', 'an experienced Imperial corporal');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2757', 'fbase_imperial_exterminator', 'an Imperial exterminator');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2758', 'fbase_imperial_exterminator_hard', 'a weathered Imperial exterminator');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2759', 'fbase_imperial_first_lieutenant', 'an Imperial 1st lieutenant');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2760', 'fbase_imperial_first_lieutenant_hard', 'a skilled Imperial 1st lieutenant');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2761', 'fbase_imperial_master_sergeant', 'an Imperial master sergeant');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2762', 'fbase_imperial_master_sergeant_hard', 'an elite Imperial master sergeant');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2763', 'fbase_imperial_medic', 'an Imperial medic');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2764', 'fbase_imperial_medic_hard', 'an Imperial surgeon');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2765', 'fbase_imperial_noncom', 'an Imperial noncom');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2766', 'fbase_imperial_noncom_hard', 'a battle-shocked Imperial noncom');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2767', 'fbase_imperial_sergeant', 'an Imperial sergeant');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2768', 'fbase_imperial_sergeant_hard', 'a toughened Imperial sergeant');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2769', 'fbase_imperial_sharpshooter', 'an Imperial sharpshooter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2770', 'fbase_imperial_sharpshooter_hard', 'an Imperial dead-eye');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2771', 'fbase_imperial_warrant_officer_ii', 'an Imperial warrant officer, 2nd class');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2772', 'fbase_imperial_warrant_officer_ii_hard', 'an Imperial warrant officer, 1st class');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2773', 'fbase_rebel_army_captain', 'a Rebel captain');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2774', 'fbase_rebel_army_captain_hard', 'a well trained Rebel captain');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2775', 'fbase_rebel_cadet', 'an inexperienced Rebel cadet');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2776', 'fbase_rebel_cadet_hard', 'an experienced Rebel cadet');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2777', 'fbase_rebel_colonel', 'a Rebel colonel');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2778', 'fbase_rebel_colonel_hard', 'a decorated Rebel colonel');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2779', 'fbase_rebel_comm_operator', 'a Rebel comm op');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2780', 'fbase_rebel_comm_operator_hard', 'a Rebel comm officer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2781', 'fbase_rebel_command', 'a Rebel commando');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2782', 'fbase_rebel_command_security_guard', 'a Rebel security guard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2783', 'fbase_rebel_command_security_guard_hard', 'a Rebel security officer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2784', 'fbase_rebel_commando', 'a Rebel commando');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2785', 'fbase_rebel_commando_hard', 'an elite Rebel commando');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2786', 'fbase_rebel_corporal', 'a Rebel corporal');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2787', 'fbase_rebel_corporal_hard', 'a Rebel field corporal');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2788', 'fbase_rebel_elite_heavy_trooper', 'a Rebel elite heavy trooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2789', 'fbase_rebel_elite_heavy_trooper_hard', 'a veteran Sith hunter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2790', 'fbase_rebel_elite_sand_rat', 'an elite Rebel sand rat');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2791', 'fbase_rebel_elite_sand_rat_hard', 'a well-trained elite Rebel sand rat');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2792', 'fbase_rebel_first_lieutenant', 'a fatigued Rebel officer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2793', 'fbase_rebel_first_lieutenant_hard', 'a Rebel officer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2794', 'fbase_rebel_grenadier', 'a Rebel grenadier');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2795', 'fbase_rebel_grenadier_hard', 'a Rebel munitions expert');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2796', 'fbase_rebel_guard_captain', 'a Rebel guard captain');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2797', 'fbase_rebel_guard_captain_hard', 'a watchful Rebel guard captain');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2798', 'fbase_rebel_guardsman', 'a Rebel guard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2799', 'fbase_rebel_guardsman_hard', 'a watchful Rebel guard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2800', 'fbase_rebel_heavy_trooper', 'a Rebel dark trooper hunter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2801', 'fbase_rebel_heavy_trooper_hard', 'a Rebel weapons master');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2802', 'fbase_rebel_liberator', 'a Rebel liberator');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2803', 'fbase_rebel_liberator_hard', 'an experienced Rebel liberator');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2804', 'fbase_rebel_master_sergeant', 'a battle worn Rebel officer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2805', 'fbase_rebel_master_sergeant_hard', 'a skilled Rebel officer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2806', 'fbase_rebel_medic', 'a Rebel medic');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2807', 'fbase_rebel_medic_hard', 'a Rebel surgeon');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2808', 'fbase_rebel_recruit', 'a frightened Rebel recruit');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2809', 'fbase_rebel_recruit_hard', 'a battle ready Rebel recruit');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2810', 'fbase_rebel_rifleman', 'a fresh Rebel rifleman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2811', 'fbase_rebel_rifleman_hard', 'a crack Rebel rifleman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2812', 'fbase_rebel_sergeant', 'a washout Rebel officer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2813', 'fbase_rebel_sergeant_hard', 'a strict Rebel sergeant');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2814', 'fbase_rebel_sharpshooter', 'a Rebel sharpshooter');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2815', 'fbase_rebel_sharpshooter_hard', 'a Rebel dead-eye');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2816', 'fbase_rebel_soldier', 'a Rebel soldier');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2817', 'fbase_rebel_soldier_hard', 'a battle ready Rebel soldier');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2818', 'fbase_rebel_squad_leader', 'a Rebel squad leader');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2819', 'fbase_rebel_squad_leader_hard', 'a Rebel section commander');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2820', 'fbase_rebel_warrant_officer_ii', 'a Rebel warrant officer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2821', 'fbase_rebel_warrant_officer_ii_hard', 'a Rebel tactical officer');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2822', 'fbase_sand_trooper', 'an Imperial sand trooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2823', 'fbase_sand_trooper_hard', 'an elite Imperial sand trooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2824', 'fbase_scout_trooper', 'an Imperial scout trooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2825', 'fbase_scout_trooper_hard', 'an elite Imperial scout trooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2826', 'fbase_specialist_noncom', 'an Imperial specialist');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2827', 'fbase_specialist_noncom_hard', 'a top secret Imperial specialist');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2828', 'fbase_storm_commando', 'an Imperial storm commando');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2829', 'fbase_storm_commando_hard', 'an ace Imperial storm commando');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2830', 'fbase_stormtrooper', 'an Imperial stormtrooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2831', 'fbase_stormtrooper_bombardier', 'an Imperial bombardier');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2832', 'fbase_stormtrooper_captain', 'an Imperial stormcaptain');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2833', 'fbase_stormtrooper_hard', 'an elite Imperial stormtrooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2834', 'fbase_stormtrooper_medic', 'an Imperial stormmedic');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2835', 'fbase_stormtrooper_medic_hard', 'an Imperial stormsurgeon');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2836', 'fbase_stormtrooper_rifleman', 'an Imperial stormrifle');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2837', 'fbase_stormtrooper_rifleman_hard', 'an elite Imperial stormrifle');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2838', 'fbase_stormtrooper_sniper', 'an Imperial stormsniper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2839', 'fbase_stormtrooper_sniper_hard', 'an elite Imperial stormsniper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2840', 'fbase_stormtrooper_squad_leader', 'an Imperial stormtrooper squad leader');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2841', 'fbase_stormtrooper_squad_leader_hard', 'an Imperial stormtrooper colonel');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2842', 'fbase_swamp_trooper', 'an Imperial swamp trooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2843', 'fbase_swamp_trooper_hard', 'a hardened Imperial swamp trooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2844', 'mercenary_hireling', 'a hired mercenary');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2845', 'crackdown_stormtrooper_bombardier_hard', 'an ace Imperial bombardier');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2846', 'fbase_stormtrooper_bombardier_hard', 'an ace Imperial bombardier');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2847', 'fbase_scout_trooper_extreme', 'a grizzled elite Imperial scout trooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2848', 'fbase_imperial_exterminator_extreme', 'a grizzled Imperial exterminator');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2849', 'fbase_imperial_army_captain_extreme', 'a veteran Imperial captain');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2850', 'fbase_sand_trooper_extreme', 'a grizzled elite Imperial sand trooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2851', 'fbase_imperial_colonel_extreme', 'a grizzled Imperial colonel');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2852', 'fbase_stormtrooper_sniper_extreme', 'an elite Imperial stormsniper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2853', 'fbase_stormtrooper_rifleman_extreme', 'an elite Imperial stormrifle');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2854', 'fbase_stormtrooper_medic_extreme', 'an Imperial stormsurgeon');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2855', 'fbase_stormtrooper_extreme', 'an elite Imperial stormtrooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2856', 'fbase_stormtrooper_bombardier_extreme', 'an ace Imperial bombardier');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2857', 'fbase_dark_trooper_extreme', 'a triumphant class dark trooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2858', 'fbase_stormtrooper_squad_leader_extreme', 'an Imperial stormtrooper colonel');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2859', 'fbase_storm_commando_extreme', 'an ace Imperial storm commando');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2860', 'fbase_elite_dark_trooper_extreme', 'an oppressor-9 class dark trooper');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2861', 'fbase_elite_sand_trooper_extreme', 'an elite sand trooper commando veteran');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2862', 'fbase_stormtrooper_captain_extreme', 'an elite Imperial stormcaptain');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2863', 'fbase_rebel_liberator_extreme', 'a grizzled Rebel liberator');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2864', 'fbase_rebel_army_captain_extreme', 'a veteran Rebel captain');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2865', 'fbase_rebel_colonel_extreme', 'a grizzled Rebel colonel');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2866', 'fbase_rebel_soldier_extreme', 'a grizzled Rebel soldier');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2867', 'fbase_rebel_rifleman_extreme', 'a crack Rebel rifleman');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2868', 'fbase_rebel_guardsman_extreme', 'a confident Rebel guard');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2869', 'fbase_rebel_guard_captain_extreme', 'a veteran Rebel guard captain');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2870', 'fbase_rebel_grenadier_extreme', 'a grizzled Rebel munitions expert');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2871', 'fbase_rebel_heavy_trooper_extreme', 'a Rebel weapons leader');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2872', 'fbase_rebel_squad_leader_extreme', 'a grizzled Rebel section commander');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2873', 'fbase_rebel_cadet_extreme', 'an confidant Rebel cadet');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2874', 'fbase_rebel_commando_extreme', 'a grizzled elite Rebel commando');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2875', 'fbase_rebel_elite_sand_rat_extreme', 'a grizzled elite Rebel sand rat');
INSERT INTO `client_strings` VALUES ('string/en/mob/creature_names.stf', '2876', 'fbase_rebel_elite_heavy_trooper_extreme', 'a decorated Sith hunter');
INSERT INTO `client_strings` VALUES ('string/en/mob/sarlacc.stf', '1', 'extract_bile', 'Extract Bile');
INSERT INTO `client_strings` VALUES ('string/en/mob/sarlacc.stf', '2', 'bile_fail', 'You fail to find enough bile to collect.  You need to wait for more to accumulate.');
INSERT INTO `client_strings` VALUES ('string/en/mob/sarlacc.stf', '3', 'bile_success', 'Despite being nearly overwhelmed by the stench of decay and the reaching tentacles, you manage to collect a sufficient sample of bile.');
INSERT INTO `client_strings` VALUES ('string/en/mob/sarlacc.stf', '4', 'bile_already', 'You already have a good sample of bile.  It probably isn\'t wise to risk getting more.');
INSERT INTO `client_strings` VALUES ('string/en/mob/sarlacc.stf', '5', 'sarlacc_erupt', 'The Sarlacc suddenly erupts, spewing a diseased and corrosive substance into the air!');
INSERT INTO `client_strings` VALUES ('string/en/mob/sarlacc.stf', '6', 'sarlacc_poison', 'The air is thick with the smell of rot and disease.');
INSERT INTO `client_strings` VALUES ('string/en/mob/sarlacc.stf', '7', 'sarlacc_dot', 'You suddenly feel weak and sick.');
INSERT INTO `client_strings` VALUES ('string/en/money/acct_n.stf', '1', 'charactercreation', 'Character Creation');
INSERT INTO `client_strings` VALUES ('string/en/money/acct_n.stf', '2', 'newbietutorial', 'Newbie Tutorial');
INSERT INTO `client_strings` VALUES ('string/en/money/acct_n.stf', '3', 'customerservice', 'Customer Service');
INSERT INTO `client_strings` VALUES ('string/en/money/acct_n.stf', '4', 'missionsystemdynamic', 'Dynamic Mission System');
INSERT INTO `client_strings` VALUES ('string/en/money/acct_n.stf', '5', 'missionsystemplayer', 'Player Mission System');
INSERT INTO `client_strings` VALUES ('string/en/money/acct_n.stf', '6', 'bountysystem', 'Bounty System');
INSERT INTO `client_strings` VALUES ('string/en/money/acct_n.stf', '7', 'cloningsystem', 'Cloning System');
INSERT INTO `client_strings` VALUES ('string/en/money/acct_n.stf', '8', 'insurancesystem', 'Insurance System');
INSERT INTO `client_strings` VALUES ('string/en/money/acct_n.stf', '9', 'travelsystem', 'the Galactic Travel Commission');
INSERT INTO `client_strings` VALUES ('string/en/money/acct_n.stf', '10', 'shippingsystem', 'the Galactic Shipping Commission');
INSERT INTO `client_strings` VALUES ('string/en/money/acct_n.stf', '11', 'bazaarsystem', 'the Galactic Trade Commission');
INSERT INTO `client_strings` VALUES ('string/en/money/acct_n.stf', '12', 'dispensersystem', 'Dispenser System');
INSERT INTO `client_strings` VALUES ('string/en/money/acct_n.stf', '13', 'skilltrainingsystem', 'Skill Training Union');
INSERT INTO `client_strings` VALUES ('string/en/money/acct_n.stf', '14', 'rebelfaction', 'Rebellion');
INSERT INTO `client_strings` VALUES ('string/en/money/acct_n.stf', '15', 'imperialfaction', 'the Empire');
INSERT INTO `client_strings` VALUES ('string/en/money/acct_n.stf', '16', 'jabbaspalace', 'Jabba the Hutt');
INSERT INTO `client_strings` VALUES ('string/en/money/acct_n.stf', '17', 'poisystem', 'POI System');
INSERT INTO `client_strings` VALUES ('string/en/money/acct_n.stf', '18', 'corpseexpiration', 'Corpse Expiration Tracking');
INSERT INTO `client_strings` VALUES ('string/en/money/acct_n.stf', '19', 'testing', 'Testing');
INSERT INTO `client_strings` VALUES ('string/en/money/acct_n.stf', '20', 'structuremaintanence', 'Structure Maintenance');
INSERT INTO `client_strings` VALUES ('string/en/money/acct_n.stf', '21', 'tipsurcharge', 'Tip Surcharge');
INSERT INTO `client_strings` VALUES ('string/en/money/acct_n.stf', '22', 'vendormaintanence', 'Vendor Wages');
INSERT INTO `client_strings` VALUES ('string/en/money/acct_n.stf', '23', 'npcloot', 'NPC Loot');
INSERT INTO `client_strings` VALUES ('string/en/money/acct_n.stf', '24', 'junkdealer', 'Junk Dealer');
INSERT INTO `client_strings` VALUES ('string/en/money/acct_n.stf', '25', 'cantinadrink', 'Cantina Drink');
INSERT INTO `client_strings` VALUES ('string/en/money/acct_n.stf', '26', 'betatest', 'Beta Test Fund');
INSERT INTO `client_strings` VALUES ('string/en/money/acct_n.stf', '27', 'badgroupcoinsplit', 'Group Split Error Account');
INSERT INTO `client_strings` VALUES ('string/en/money/acct_n.stf', '28', 'gamblingslotstandard', 'Standard Slot Machine Account');
INSERT INTO `client_strings` VALUES ('string/en/money/acct_n.stf', '29', 'gamblingroulette', 'Roulette Account');
INSERT INTO `client_strings` VALUES ('string/en/money/acct_n.stf', '30', 'gamblingcardsabacc', 'Sabacc Account');
INSERT INTO `client_strings` VALUES ('string/en/money/acct_n.stf', '31', 'vehiclerepairs', 'Vehicle Repair System');
INSERT INTO `client_strings` VALUES ('string/en/money/acct_n.stf', '32', 'relicdealer', 'Relic Dealer');
INSERT INTO `client_strings` VALUES ('string/en/money/acct_n.stf', '33', 'newplayerquests', 'New Player Quests');
INSERT INTO `client_strings` VALUES ('string/en/money/acct_n.stf', '34', 'fines', 'Contraband Scanning Fines');
INSERT INTO `client_strings` VALUES ('string/en/money/acct_n.stf', '35', 'bank', 'bank');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '1', 'angler', 'angler');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '2', 'angler_jungle_large', 'greater jungle angler');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '3', 'angler_jungle_medium', 'jungle angler');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '4', 'angler_jungle_small', 'lesser jungle angler');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '5', 'angler_swamp_large', 'greater swamp angler');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '6', 'angler_swamp_medium', 'swamp angler');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '7', 'angler_swamp_small', 'lesser swamp angler');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '8', 'angler_underwater_large', 'greater aquatic angler');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '9', 'angler_underwater_medium', 'aquatic angler');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '10', 'angler_underwater_small', 'lesser aquatic angler');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '11', 'bageraset', 'bageraset');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '12', 'bageraset_forest_large', 'greater forest bageraset');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '13', 'bageraset_forest_medium', 'forest bageraset');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '14', 'bageraset_forest_small', 'lesser forest bageraset');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '15', 'bantha', 'bantha');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '16', 'bantha_desert_large', 'greater desert bantha');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '17', 'bantha_desert_medium', 'desert bantha');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '18', 'bantha_desert_small', 'lesser desert bantha');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '19', 'bantha_dune_large', 'greater dune bantha');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '20', 'bantha_dune_medium', 'dune bantha');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '21', 'bantha_dune_small', 'lesser dune bantha');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '22', 'bantha_wasteland_large', 'greater wasteland bantha');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '23', 'bantha_wasteland_medium', 'wasteland bantha');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '24', 'bantha_wasteland_small', 'lesser wasteland bantha');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '25', 'bark_mite', 'bark mite');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '26', 'bark_mite_grassland_large', 'greater grassland bark mite');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '27', 'bark_mite_grassland_medium', 'grassland bark mite');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '28', 'bark_mite_grassland_small', 'lesser grassland bark mite');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '29', 'bark_mite_hills_large', 'greater hills bark mite');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '30', 'bark_mite_hills_medium', 'hills bark mite');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '31', 'bark_mite_hills_small', 'lesser hills bark mite');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '32', 'baz_nitch', 'baz nitch');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '33', 'baz_nitch_forest_large', 'greater forest baz nitch');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '34', 'baz_nitch_forest_medium', 'forest baz nitch');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '35', 'baz_nitch_forest_small', 'lesser forest baz nitch');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '36', 'baz_nitch_mountain_large', 'greater mountain baz nitch');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '37', 'baz_nitch_mountain_medium', 'mountain baz nitch');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '38', 'baz_nitch_mountain_small', 'lesser mountain baz nitch');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '39', 'bearded_jax', 'bearded jax');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '40', 'bearded_jax_grassland_large', 'greater grassland bearded jax');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '41', 'bearded_jax_grassland_medium', 'grassland bearded jax');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '42', 'bearded_jax_grassland_small', 'lesser grassland bearded jax');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '43', 'binjinphant', 'binjinphant');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '44', 'binjinphant_forest_large', 'greater forest binjinphant');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '45', 'binjinphant_forest_medium', 'forest binjinphant');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '46', 'binjinphant_forest_small', 'lesser forest binjinphant');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '47', 'blackfish', 'blackfish');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '48', 'blackfish_underwater_large', 'greater underwater blackfish');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '49', 'blackfish_underwater_medium', 'underwater blackfish');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '50', 'blackfish_underwater_small', 'lesser underwater blackfish');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '51', 'blistmok', 'blistmok');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '52', 'blistmok_mountain_large', 'greater mountain blistmok');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '53', 'blistmok_mountain_medium', 'mountain blistmok');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '54', 'blistmok_mountain_small', 'lesser mountain blistmok');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '55', 'blistmok_wasteland_large', 'greater wasteland blistmok');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '56', 'blistmok_wasteland_medium', 'wasteland blistmok');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '57', 'blistmok_wasteland_small', 'lesser wasteland blistmok');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '58', 'bluefish', 'bluefish');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '59', 'bluefish_underwater_large', 'greater underwater bluefish');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '60', 'bluefish_underwater_medium', 'underwater bluefish');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '61', 'bluefish_underwater_small', 'lesser underwater bluefish');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '62', 'blurrg', 'blurrg');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '63', 'blurrg_forest_large', 'greater forest blurrg');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '64', 'blurrg_forest_medium', 'forest blurrg');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '65', 'blurrg_forest_small', 'lesser forest blurrg');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '66', 'blurrg_mountain_large', 'greater mountain blurrg');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '67', 'blurrg_mountain_medium', 'mountain blurrg');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '68', 'blurrg_mountain_small', 'lesser mountain blurrg');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '69', 'boar_wolf', 'boar wolf');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '70', 'boar_wolf_mountain_large', 'greater mountain boar wolf');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '71', 'boar_wolf_mountain_medium', 'mountain boar wolf');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '72', 'boar_wolf_mountain_small', 'lesser mountain boar wolf');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '73', 'bocatt', 'bocatt');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '74', 'bocatt_grassland_large', 'greater grassland bocatt');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '75', 'bocatt_grassland_medium', 'grassland bocatt');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '76', 'bocatt_grassland_small', 'lesser grassland bocatt');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '77', 'bocatt_hills_large', 'greater hills bocatt');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '78', 'bocatt_hills_medium', 'hills bocatt');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '79', 'bocatt_hills_small', 'lesser hills bocatt');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '80', 'bol', 'bol');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '81', 'bol_grassland_large', 'greater grassland bol');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '82', 'bol_grassland_medium', 'grassland bol');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '83', 'bol_grassland_small', 'lesser grassland bol');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '84', 'bolle_bol', 'bolle bol');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '85', 'bolle_bol_grassland_large', 'greater grassland bolle bol');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '86', 'bolle_bol_grassland_medium', 'grassland bolle bol');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '87', 'bolle_bol_grassland_small', 'lesser grassland bolle bol');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '88', 'bolma', 'bolma');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '89', 'bolma_desert_large', 'greater desert bolma');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '90', 'bolma_desert_medium', 'desert bolma');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '91', 'bolma_desert_small', 'lesser desert bolma');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '92', 'bolma_dune_large', 'greater dune bolma');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '93', 'bolma_dune_medium', 'dune bolma');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '94', 'bolma_dune_small', 'lesser dune bolma');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '95', 'bolma_mountain_large', 'greater mountain bolma');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '96', 'bolma_mountain_medium', 'mountain bolma');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '97', 'bolma_mountain_small', 'lesser mountain bolma');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '98', 'bordok', 'bordok');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '99', 'bordok_mountain_large', 'greater mountain bordok');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '100', 'bordok_mountain_medium', 'mountain bordok');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '101', 'bordok_mountain_small', 'lesser mountain bordok');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '102', 'borgle', 'borgle');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '103', 'borgle_jungle_large', 'greater jungle borgle');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '104', 'borgle_jungle_medium', 'jungle borgle');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '105', 'borgle_jungle_small', 'lesser jungle borgle');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '106', 'brackaset', 'brackaset');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '107', 'brackaset_desert_large', 'greater desert brackaset');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '108', 'brackaset_desert_medium', 'desert brackaset');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '109', 'brackaset_desert_small', 'lesser desert brackaset');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '110', 'capper_spineflap', 'spineflap capper');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '111', 'capper_spineflap_forest_large', 'greater forest capper spineflap');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '112', 'capper_spineflap_forest_medium', 'forest capper spineflap');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '113', 'capper_spineflap_forest_small', 'lesser forest capper spineflap');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '114', 'carrion_spat', 'spat carrion');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '115', 'carrion_spat_grassland_large', 'greater grassland carrion spat');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '116', 'carrion_spat_grassland_medium', 'grassland carrion spat');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '117', 'carrion_spat_grassland_small', 'lesser grassland carrion spat');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '118', 'choku', 'choku');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '119', 'choku_jungle_large', 'greater jungle choku');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '120', 'choku_jungle_medium', 'jungle choku');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '121', 'choku_jungle_small', 'lesser jungle choku');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '122', 'chuba', 'chuba');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '123', 'chuba_forest_large', 'greater forest chuba');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '124', 'chuba_forest_medium', 'forest chuba');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '125', 'chuba_forest_small', 'lesser forest chuba');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '126', 'chuba_swamp_large', 'greater swamp chuba');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '127', 'chuba_swamp_medium', 'swamp chuba');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '128', 'chuba_swamp_small', 'lesser swamp chuba');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '129', 'colo_claw_fish', 'colo claw fish');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '130', 'colo_claw_fish_underwater_large', 'greater colo claw fish');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '131', 'colo_claw_fish_underwater_medium', 'colo claw fish');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '132', 'colo_claw_fish_underwater_small', 'lesser colo claw fish');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '133', 'condor_dragon', 'condor dragon');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '134', 'condor_dragon_forest_large', 'greater forest condor dragon');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '135', 'condor_dragon_forest_medium', 'forest condor dragon');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '136', 'condor_dragon_forest_small', 'lesser forest condor dragon');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '137', 'condor_dragon_mountain_large', 'greater mountain condor dragon');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '138', 'condor_dragon_mountain_medium', 'mountain condor dragon');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '139', 'condor_dragon_mountain_small', 'lesser mountain condor dragon');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '140', 'corellian_butterfly', 'corellian butterfly');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '141', 'corellian_butterfly_forest_large', 'greater forest Corellian butterfly');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '142', 'corellian_butterfly_forest_medium', 'forest Corellian butterfly');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '143', 'corellian_butterfly_forest_small', 'lesser forest Corellian butterfly');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '144', 'corellian_butterfly_mountain_large', 'greater mountain Corellian butterfly');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '145', 'corellian_butterfly_mountain_medium', 'mountain Corellian butterfly');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '146', 'corellian_butterfly_mountain_small', 'lesser mountain Corellian butterfly');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '147', 'corellian_sand_panther', 'Corellian sand panther');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '148', 'corellian_sand_panther_grassland_large', 'greater grassland Corellian sand panther');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '149', 'corellian_sand_panther_grassland_medium', 'grassland Corellian sand panther');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '150', 'corellian_sand_panther_grassland_small', 'lesser grassland Corellian sand panther');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '151', 'corellian_slice_hound', 'Corellian slice hound');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '152', 'corellian_slice_hound_forest_large', 'greater forest Corellian slice hound');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '153', 'corellian_slice_hound_forest_medium', 'forest Corellian slice hound');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '154', 'corellian_slice_hound_forest_small', 'lesser forest Corellian slice hound');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '155', 'corellian_slice_hound_grassland_large', 'greater grassland Corellian slice hound');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '156', 'corellian_slice_hound_grassland_medium', 'grassland Corellian slice hound');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '157', 'corellian_slice_hound_grassland_small', 'lesser grassland Corellian slice hound');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '158', 'crowned_rasp', 'crowned rasp');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '159', 'crowned_rasp_grassland_large', 'greater grassland crowned rasp');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '160', 'crowned_rasp_grassland_medium', 'grassland crowned rasp');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '161', 'crowned_rasp_grassland_small', 'lesser grassland crowned rasp');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '162', 'crowned_rasp_mountain_large', 'greater mountain crowned rasp');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '163', 'crowned_rasp_mountain_medium', 'mountain crowned rasp');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '164', 'crowned_rasp_mountain_small', 'lesser mountain crowned rasp');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '165', 'crystal_snake', 'crystal snake');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '166', 'crystal_snake_jungle_large', 'greater jungle crystal snake');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '167', 'crystal_snake_jungle_medium', 'jungle crystal snake');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '168', 'crystal_snake_jungle_small', 'lesser jungle crystal snake');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '169', 'crystal_snake_swamp_large', 'greater swamp crystal snake');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '170', 'crystal_snake_swamp_medium', 'swamp crystal snake');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '171', 'crystal_snake_swamp_small', 'lesser swamp crystal snake');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '172', 'crystal_snake_underwater_large', 'greater underwater crystal snake');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '173', 'crystal_snake_underwater_medium', 'underwater crystal snake');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '174', 'crystal_snake_underwater_small', 'lesser underwater crystal snake');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '175', 'cu_pa', 'cu-pa');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '176', 'cu_pa_dune_large', 'greater dune cu-pa');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '177', 'cu_pa_dune_medium', 'dune cu-pa');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '178', 'cu_pa_dune_small', 'lesser dune cu-pa');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '179', 'cu_pa_mountain_large', 'greater mountain cu-pa');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '180', 'cu_pa_mountain_medium', 'mountain cu-pa');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '181', 'cu_pa_mountain_small', 'lesser mountain cu-pa');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '182', 'cu_pa_wasteland_large', 'greater wasteland cu-pa');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '183', 'cu_pa_wasteland_medium', 'wasteland cu-pa');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '184', 'cu_pa_wasteland_small', 'lesser wasteland cu-pa');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '185', 'dalyrake', 'dalyrake');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '186', 'dalyrake_forest_large', 'greater forest dalyrake');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '187', 'dalyrake_forest_medium', 'forest dalyrake');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '188', 'dalyrake_forest_small', 'lesser forest dalyrake');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '189', 'dewback', 'dewback');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '190', 'dewback_desert_large', 'greater desert dewback');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '191', 'dewback_desert_medium', 'desert dewback');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '192', 'dewback_desert_small', 'lesser desert dewback');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '193', 'dune_lizard', 'dune lizard');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '194', 'dune_lizard_desert_large', 'greater desert dune lizard');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '195', 'dune_lizard_desert_medium', 'desert dune lizard');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '196', 'dune_lizard_desert_small', 'lesser desert dune lizard');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '197', 'durni', 'durni');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '198', 'durni_grassland_large', 'greater grassland durni');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '199', 'durni_grassland_medium', 'grassland durni');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '200', 'durni_grassland_small', 'lesser grassland durni');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '201', 'durni_mountain_large', 'greater mountain durni');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '202', 'durni_mountain_medium', 'mountain durni');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '203', 'durni_mountain_small', 'lesser mountain durni');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '204', 'dwarf_nuna', 'dwarf nuna');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '205', 'dwarf_nuna_forest_large', 'greater forest dwarf nuna');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '206', 'dwarf_nuna_forest_medium', 'forest dwarf nuna');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '207', 'dwarf_nuna_forest_small', 'lesser forest dwarf nuna');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '208', 'dwarf_nuna_swamp_large', 'greater swamp dwarf nuna');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '209', 'dwarf_nuna_swamp_medium', 'swamp dwarf nuna');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '210', 'dwarf_nuna_swamp_small', 'lesser swamp dwarf nuna');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '211', 'eopie', 'eopie');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '212', 'eopie_desert_large', 'greater desert eopie');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '213', 'eopie_desert_medium', 'desert eopie');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '214', 'eopie_desert_small', 'lesser desert eopie');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '215', 'eopie_dune_large', 'greater dune eopie');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '216', 'eopie_dune_medium', 'dune eopie');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '217', 'eopie_dune_small', 'lesser dune eopie');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '218', 'eopie_mountain_large', 'greater mountain eopie');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '219', 'eopie_mountain_medium', 'mountain eopie');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '220', 'eopie_mountain_small', 'lesser mountain eopie');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '221', 'eopie_wasteland_large', 'greater wasteland eopie');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '222', 'eopie_wasteland_medium', 'wasteland eopie');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '223', 'eopie_wasteland_small', 'lesser wasteland eopie');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '224', 'faa', 'faa');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '225', 'faa_underwater_large', 'greater underwater faa');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '226', 'faa_underwater_medium', 'underwater faa');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '227', 'faa_underwater_small', 'lesser underwater faa');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '228', 'falumpaset', 'falumpaset');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '229', 'falumpaset_forest_large', 'greater forest falumpaset');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '230', 'falumpaset_forest_medium', 'forest falumpaset');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '231', 'falumpaset_forest_small', 'lesser forest falumpaset');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '232', 'falumpaset_grassland_large', 'greater grassland falumpaset');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '233', 'falumpaset_grassland_medium', 'grassland falumpaset');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '234', 'falumpaset_grassland_small', 'lesser grassland falumpaset');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '235', 'falumpaset_swamp_large', 'greater swamp falumpaset');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '236', 'falumpaset_swamp_medium', 'swamp falumpaset');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '237', 'falumpaset_swamp_small', 'lesser swamp falumpaset');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '238', 'fambaa', 'fambaa');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '239', 'fambaa_swamp_large', 'greater swamp fambaa');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '240', 'fambaa_swamp_medium', 'swamp fambaa');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '241', 'fambaa_swamp_small', 'lesser swamp fambaa');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '242', 'fanned_rawl', 'fanned rawl');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '243', 'fanned_rawl_swamp_large', 'greater swamp fanned rawl');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '244', 'fanned_rawl_swamp_medium', 'swamp fanned rawl');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '245', 'fanned_rawl_swamp_small', 'lesser swamp fanned rawl');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '246', 'flewt', 'flewt');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '247', 'flewt_forest_large', 'greater forest flewt');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '248', 'flewt_forest_medium', 'forest flewt');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '249', 'flewt_forest_small', 'lesser forest flewt');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '250', 'flewt_grassland_large', 'greater grassland flewt');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '251', 'flewt_grassland_medium', 'grassland flewt');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '252', 'flewt_grassland_small', 'lesser grassland flewt');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '253', 'flit', 'flit');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '254', 'flit_forest_large', 'greater forest flit');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '255', 'flit_forest_medium', 'forest flit');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '256', 'flit_forest_small', 'lesser forest flit');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '257', 'flit_mountain_large', 'greater mountain flit');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '258', 'flit_mountain_medium', 'mountain flit');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '259', 'flit_mountain_small', 'lesser mountain flit');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '260', 'flite_rasp', 'flite rasp');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '261', 'flite_rasp_grassland_large', 'greater grassland flite rasp');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '262', 'flite_rasp_grassland_medium', 'grassland flite rasp');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '263', 'flite_rasp_grassland_small', 'lesser grassland flite rasp');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '264', 'flite_rasp_hill_large', 'greater hill flite rasp');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '265', 'flite_rasp_hill_medium', 'hill flite rasp');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '266', 'flite_rasp_hill_small', 'lesser hill flite rasp');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '267', 'fynock', 'fynock');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '268', 'fynock_forest_large', 'greater forest fynock');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '269', 'fynock_forest_medium', 'forest fynock');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '270', 'fynock_forest_small', 'lesser forest fynock');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '271', 'gackle_bat', 'gackle bat');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '272', 'gackle_bat_jungle_large', 'greater jungle gackle bat');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '273', 'gackle_bat_jungle_medium', 'jungle gackle bat');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '274', 'gackle_bat_jungle_small', 'lesser jungle gackle bat');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '275', 'gackle_bat_swamp_large', 'greater swamp gackle bat');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '276', 'gackle_bat_swamp_medium', 'swamp gackle bat');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '277', 'gackle_bat_swamp_small', 'lesser swamp gackle bat');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '278', 'gaping_spider', 'gaping spider');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '279', 'gaping_spider_forest_large', 'greater forest gaping spider');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '280', 'gaping_spider_forest_medium', 'forest gaping spider');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '281', 'gaping_spider_forest_small', 'lesser forest gaping spider');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '282', 'gekk', 'gekk');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '283', 'gekk_forest_large', 'greater forest gekk');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '284', 'gekk_forest_medium', 'forest gekk');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '285', 'gekk_forest_small', 'lesser forest gekk');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '286', 'gnort', 'gnort');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '287', 'gnort_grassland_large', 'greater grassland gnort');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '288', 'gnort_grassland_medium', 'grassland gnort');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '289', 'gnort_grassland_small', 'lesser grassland gnort');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '290', 'gnort_mountain_large', 'greater mountain gnort');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '291', 'gnort_mountain_medium', 'mountain gnort');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '292', 'gnort_mountain_small', 'lesser mountain gnort');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '293', 'graul', 'graul');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '294', 'graul_jungle_large', 'greater jungle graul');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '295', 'graul_jungle_medium', 'jungle graul');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '296', 'graul_jungle_small', 'lesser jungle graul');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '297', 'gronda', 'gronda');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '298', 'gronda_grassland_large', 'greater grassland gronda');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '299', 'gronda_grassland_medium', 'grassland gronda');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '300', 'gronda_grassland_small', 'lesser grassland gronda');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '301', 'gualama', 'gualama');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '302', 'gualama_grassland_large', 'greater grassland gualama');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '303', 'gualama_grassland_medium', 'grassland gualama');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '304', 'gualama_grassland_small', 'lesser grassland gualama');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '305', 'gubbur', 'gubbur');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '306', 'gubbur_underwater_large', 'greater underwater gubbur');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '307', 'gubbur_underwater_medium', 'underwater gubbur');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '308', 'gubbur_underwater_small', 'lesser underwater gubbur');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '309', 'guf_drolg', 'guf drolg');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '310', 'guf_drolg_grassland_large', 'greater grassland guf drolg');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '311', 'guf_drolg_grassland_medium', 'grassland guf drolg');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '312', 'guf_drolg_grassland_small', 'lesser grassland guf drolg');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '313', 'guf_drolg_jungle_large', 'greater jungle guf drolg');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '314', 'guf_drolg_jungle_medium', 'jungle guf drolg');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '315', 'guf_drolg_jungle_small', 'lesser jungle guf drolg');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '316', 'gulginaw', 'gulginaw');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '317', 'gulginaw_forest_large', 'greater forest gulginaw');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '318', 'gulginaw_forest_medium', 'forest gulginaw');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '319', 'gulginaw_forest_small', 'lesser forest gulginaw');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '320', 'gurk', 'gurk');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '321', 'gurk_mountain_large', 'greater mountain gurk');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '322', 'gurk_mountain_medium', 'mountain gurk');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '323', 'gurk_mountain_small', 'lesser mountain gurk');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '324', 'gurk_wasteland_large', 'greater wasteland gurk');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '325', 'gurk_wasteland_medium', 'wasteland gurk');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '326', 'gurk_wasteland_small', 'lesser wasteland gurk');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '327', 'gurnaset', 'gurnaset');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '328', 'gurnaset_grassland_large', 'greater grassland gurnaset');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '329', 'gurnaset_grassland_medium', 'grassland gurnaset');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '330', 'gurnaset_grassland_small', 'lesser grassland gurnaset');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '331', 'gurnaset_mountain_large', 'greater mountain gurnaset');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '332', 'gurnaset_mountain_medium', 'mountain gurnaset');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '333', 'gurnaset_mountain_small', 'lesser mountain gurnaset');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '334', 'gurreck', 'gurreck');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '335', 'gurreck_mountain_large', 'greater mountain gurreck');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '336', 'gurreck_mountain_medium', 'mountain gurreck');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '337', 'gurreck_mountain_small', 'lesser mountain gurreck');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '338', 'hanadak', 'hanadak');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '339', 'hanadak_mountain_large', 'greater mountain hanadak');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '340', 'hanadak_mountain_medium', 'mountain hanadak');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '341', 'hanadak_mountain_small', 'lesser mountain hanadak');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '342', 'hermit_spider', 'hermit spider');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '343', 'hermit_spider_mountain_large', 'greater mountain hermit spider');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '344', 'hermit_spider_mountain_medium', 'mountain hermit spider');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '345', 'hermit_spider_mountain_small', 'lesser mountain hermit spider');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '346', 'hermit_spider_wasteland_large', 'greater wasteland hermit spider');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '347', 'hermit_spider_wasteland_medium', 'wasteland hermit spider');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '348', 'hermit_spider_wasteland_small', 'lesser wasteland hermit spider');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '349', 'horned_krevol', 'horned krevol');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '350', 'horned_krevol_desert_large', 'greater desert horned krevol');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '351', 'horned_krevol_desert_medium', 'desert horned krevol');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '352', 'horned_krevol_desert_small', 'lesser desert horned krevol');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '353', 'horned_krevol_forest_large', 'greater forest horned krevol');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '354', 'horned_krevol_forest_medium', 'forest horned krevol');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '355', 'horned_krevol_forest_small', 'lesser forest horned krevol');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '356', 'horned_krevol_mountain_large', 'greater mountain horned krevol');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '357', 'horned_krevol_mountain_medium', 'mountain horned krevol');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '358', 'horned_krevol_mountain_small', 'lesser mountain horned krevol');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '359', 'horned_rasp', 'horned rasp');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '360', 'horned_rasp_grassland_large', 'greater grassland horned rasp');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '361', 'horned_rasp_grassland_medium', 'grassland horned rasp');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '362', 'horned_rasp_grassland_small', 'lesser grassland horned rasp');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '363', 'horned_rasp_jungle_large', 'greater jungle horned rasp');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '364', 'horned_rasp_jungle_medium', 'jungle horned rasp');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '365', 'horned_rasp_jungle_small', 'lesser jungle horned rasp');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '366', 'huf_dun', 'huf dun');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '367', 'huf_dun_grassland_large', 'greater grassland huf dun');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '368', 'huf_dun_grassland_medium', 'grassland huf dun');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '369', 'huf_dun_grassland_small', 'lesser grassland huf dun');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '370', 'huf_dun_hill_large', 'greater hill huf dun');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '371', 'huf_dun_hill_medium', 'hill huf dun');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '372', 'huf_dun_hill_small', 'lesser hill huf dun');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '373', 'huurton', 'huurton');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '374', 'huurton_grassland_large', 'greater grassland huurton');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '375', 'huurton_grassland_medium', 'grassland huurton');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '376', 'huurton_grassland_small', 'lesser grassland huurton');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '377', 'ikopi', 'ikopi');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '378', 'ikopi_grassland_large', 'greater grassland ikopi');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '379', 'ikopi_grassland_medium', 'grassland ikopi');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '380', 'ikopi_grassland_small', 'lesser grassland ikopi');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '381', 'jellyfish', 'jellyfish');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '382', 'jellyfish_underwater_large', 'greater underwater jellyfish');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '383', 'jellyfish_underwater_medium', 'underwater jellyfish');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '384', 'jellyfish_underwater_small', 'lesser underwater jellyfish');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '385', 'kaadu', 'kaadu');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '386', 'kaadu_forest_large', 'greater forest kaadu');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '387', 'kaadu_forest_medium', 'forest kaadu');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '388', 'kaadu_forest_small', 'lesser forest kaadu');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '389', 'kaadu_grassland_large', 'greater grassland kaadu');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '390', 'kaadu_grassland_medium', 'grassland kaadu');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '391', 'kaadu_grassland_small', 'lesser grassland kaadu');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '392', 'kaadu_swamp_large', 'greater swamp kaadu');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '393', 'kaadu_swamp_medium', 'swamp kaadu');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '394', 'kaadu_swamp_small', 'lesser swamp kaadu');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '395', 'kaitok', 'kaitok');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '396', 'kaitok_mountain_large', 'greater mountain kaitok');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '397', 'kaitok_mountain_medium', 'mountain kaitok');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '398', 'kaitok_mountain_small', 'lesser mountain kaitok');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '399', 'kaitok_wasteland_large', 'greater wasteland kaitok');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '400', 'kaitok_wasteland_medium', 'wasteland kaitok');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '401', 'kaitok_wasteland_small', 'lesser wasteland kaitok');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '402', 'kima', 'kima');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '403', 'kima_grassland_large', 'greater grassland kima');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '404', 'kima_grassland_medium', 'grassland kima');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '405', 'kima_grassland_small', 'lesser grassland kima');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '406', 'kima_mountain_large', 'greater mountain kima');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '407', 'kima_mountain_medium', 'mountain kima');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '408', 'kima_mountain_small', 'lesser mountain kima');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '409', 'kimogila', 'kimogila');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '410', 'kimogila_grassland_large', 'greater grassland kimogila');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '411', 'kimogila_grassland_medium', 'grassland kimogila');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '412', 'kimogila_grassland_small', 'lesser grassland kimogila');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '413', 'kimogila_mountain_large', 'greater mountain kimogila');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '414', 'kimogila_mountain_medium', 'mountain kimogila');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '415', 'kimogila_mountain_small', 'lesser mountain kimogila');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '416', 'kittle', 'kittle');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '417', 'kittle_forest_large', 'greater forest kittle');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '418', 'kittle_forest_medium', 'forest kittle');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '419', 'kittle_forest_small', 'lesser forest kittle');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '420', 'kittle_grassland_large', 'greater grassland kittle');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '421', 'kittle_grassland_medium', 'grassland kittle');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '422', 'kittle_grassland_small', 'lesser grassland kittle');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '423', 'kliknik', 'kliknik');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '424', 'kliknik_forest_large', 'greater forest kliknik');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '425', 'kliknik_forest_medium', 'forest kliknik');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '426', 'kliknik_forest_small', 'lesser forest kliknik');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '427', 'krahbu', 'krahbu');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '428', 'krahbu_grassland_large', 'greater grassland krahbu');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '429', 'krahbu_grassland_medium', 'grassland krahbu');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '430', 'krahbu_grassland_small', 'lesser grassland krahbu');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '431', 'krayt_dragon', 'krayt dragon');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '432', 'krayt_dragon_desert_large', 'greater desert krayt dragon');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '433', 'krayt_dragon_desert_medium', 'desert krayt dragon');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '434', 'krayt_dragon_desert_small', 'lesser desert krayt dragon');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '435', 'krayt_dragon_wasteland_large', 'greater wasteland krayt dragon');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '436', 'krayt_dragon_wasteland_medium', 'wasteland krayt dragon');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '437', 'krayt_dragon_wasteland_small', 'lesser wasteland krayt dragon');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '438', 'kupernug', 'kupernug');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '439', 'kupernug_mountain_large', 'greater mountain kupernug');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '440', 'kupernug_mountain_medium', 'mountain kupernug');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '441', 'kupernug_mountain_small', 'lesser mountain kupernug');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '442', 'kupernug_wasteland_large', 'greater wasteland kupernug');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '443', 'kupernug_wasteland_medium', 'wasteland kupernug');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '444', 'kupernug_wasteland_small', 'lesser wasteland kupernug');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '445', 'kusak', 'kusak');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '446', 'kusak_wasteland_large', 'greater wasteland kusak');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '447', 'kusak_wasteland_medium', 'wasteland kusak');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '448', 'kusak_wasteland_small', 'lesser wasteland kusak');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '449', 'kwi', 'kwi');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '450', 'kwi_desert_large', 'greater desert kwi');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '451', 'kwi_desert_medium', 'desert kwi');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '452', 'kwi_desert_small', 'lesser desert kwi');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '453', 'kwi_forest_large', 'greater forest kwi');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '454', 'kwi_forest_medium', 'forest kwi');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '455', 'kwi_forest_small', 'lesser forest kwi');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '456', 'kwi_mountain_large', 'greater mountain kwi');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '457', 'kwi_mountain_medium', 'mountain kwi');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '458', 'kwi_mountain_small', 'lesser mountain kwi');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '459', 'laa', 'laa');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '460', 'laa_underwater_large', 'greater underwater laa');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '461', 'laa_underwater_medium', 'underwater laa');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '462', 'laa_underwater_small', 'lesser underwater laa');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '463', 'langlatch', 'langlatch');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '464', 'langlatch_forest_large', 'greater forest langlatch');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '465', 'langlatch_forest_medium', 'forest langlatch');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '466', 'langlatch_forest_small', 'lesser forest langlatch');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '467', 'langlatch_mountain_large', 'greater mountain langlatch');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '468', 'langlatch_mountain_medium', 'mountain langlatch');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '469', 'langlatch_mountain_small', 'lesser mountain langlatch');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '470', 'langlatch_wasteland_large', 'greater wasteland langlatch');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '471', 'langlatch_wasteland_medium', 'wasteland langlatch');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '472', 'langlatch_wasteland_small', 'lesser wasteland langlatch');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '473', 'lantern_bird', 'lantern bird');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '474', 'lantern_bird_forest_large', 'greater forest lantern bird');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '475', 'lantern_bird_forest_medium', 'forest lantern bird');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '476', 'lantern_bird_forest_small', 'lesser forest lantern bird');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '477', 'malkloc', 'malkloc');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '478', 'malkloc_desert_large', 'greater desert malkloc');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '479', 'malkloc_desert_medium', 'desert malkloc');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '480', 'malkloc_desert_small', 'lesser desert malkloc');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '481', 'malkloc_forest_large', 'greater forest malkloc');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '482', 'malkloc_forest_medium', 'forest malkloc');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '483', 'malkloc_forest_small', 'lesser forest malkloc');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '484', 'malkloc_mountain_large', 'greater mountain malkloc');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '485', 'malkloc_mountain_medium', 'mountain malkloc');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '486', 'malkloc_mountain_small', 'lesser mountain malkloc');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '487', 'mamien', 'mamien');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '488', 'mamien_jungle_large', 'greater jungle mamien');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '489', 'mamien_jungle_medium', 'jungle mamien');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '490', 'mamien_jungle_small', 'lesser jungle mamien');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '491', 'mawgax', 'mawgax');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '492', 'mawgax_grassland_large', 'greater grassland mawgax');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '493', 'mawgax_grassland_medium', 'grassland mawgax');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '494', 'mawgax_grassland_small', 'lesser grassland mawgax');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '495', 'mawgax_mountain_large', 'greater mountain mawgax');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '496', 'mawgax_mountain_medium', 'mountain mawgax');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '497', 'mawgax_mountain_small', 'lesser mountain mawgax');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '498', 'merek', 'merek');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '499', 'merek_jungle_large', 'greater jungle merek');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '500', 'merek_jungle_medium', 'jungle merek');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '501', 'merek_jungle_small', 'lesser jungle merek');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '502', 'merek_swamp_large', 'greater swamp merek');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '503', 'merek_swamp_medium', 'swamp merek');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '504', 'merek_swamp_small', 'lesser swamp merek');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '505', 'mott', 'mott');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '506', 'mott_grassland_large', 'greater grassland mott');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '507', 'mott_grassland_medium', 'grassland mott');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '508', 'mott_grassland_small', 'lesser grassland mott');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '509', 'murra', 'murra');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '510', 'murra_grassland_large', 'greater grassland murra');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '511', 'murra_grassland_medium', 'grassland murra');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '512', 'murra_grassland_small', 'lesser grassland murra');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '513', 'murra_mountain_large', 'greater mountain murra');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '514', 'murra_mountain_medium', 'mountain murra');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '515', 'murra_mountain_small', 'lesser mountain murra');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '516', 'mynock', 'mynock');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '517', 'mynock_large', 'greater mynock');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '518', 'mynock_medium', 'mynock');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '519', 'mynock_small', 'lesser mynock');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '520', 'narglatch', 'narglatch');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '521', 'narglatch_swamp_large', 'greater swamp narglatch');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '522', 'narglatch_swamp_medium', 'swamp narglatch');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '523', 'narglatch_swamp_small', 'lesser swamp narglatch');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '524', 'nerf', 'nerf');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '525', 'nerf_grassland_large', 'greater grassland nerf');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '526', 'nerf_grassland_medium', 'grassland nerf');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '527', 'nerf_grassland_small', 'lesser grassland nerf');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '528', 'nuna', 'nuna');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '529', 'nuna_forest_large', 'greater forest nuna');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '530', 'nuna_forest_medium', 'forest nuna');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '531', 'nuna_forest_small', 'lesser forest nuna');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '532', 'nuna_grassland_large', 'greater grassland nuna');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '533', 'nuna_grassland_medium', 'grassland nuna');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '534', 'nuna_grassland_small', 'lesser grassland nuna');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '535', 'nuna_swamp_large', 'greater swamp nuna');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '536', 'nuna_swamp_medium', 'swamp nuna');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '537', 'nuna_swamp_small', 'lesser swamp nuna');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '538', 'opee_sea_killer', 'opee sea killer');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '539', 'opee_sea_killer_underwater_large', 'greater opee sea killer');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '540', 'opee_sea_killer_underwater_medium', 'opee sea killer');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '541', 'opee_sea_killer_underwater_small', 'lesser opee sea killer');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '542', 'peko_peko', 'peko-peko');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '543', 'peko_peko_forest_large', 'greater forest peko-peko');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '544', 'peko_peko_forest_medium', 'forest peko-peko');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '545', 'peko_peko_forest_small', 'lesser forest peko-peko');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '546', 'peko_peko_grassland_large', 'greater grassland peko-peko');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '547', 'peko_peko_grassland_medium', 'grassland peko-peko');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '548', 'peko_peko_grassland_small', 'lesser grassland peko-peko');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '549', 'peko_peko_swamp_large', 'greater swamp peko-peko');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '550', 'peko_peko_swamp_medium', 'swamp peko-peko');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '551', 'peko_peko_swamp_small', 'lesser swamp peko-peko');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '552', 'perlek', 'perlek');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '553', 'perlek_grassland_large', 'greater grassland perlek');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '554', 'perlek_grassland_medium', 'grassland perlek');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '555', 'perlek_grassland_small', 'lesser grassland perlek');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '556', 'perlek_jungle_large', 'greater jungle perlek');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '557', 'perlek_jungle_medium', 'jungle perlek');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '558', 'perlek_jungle_small', 'lesser jungle perlek');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '559', 'pharple', 'pharple');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '560', 'pharple_wasteland_large', 'greater wasteland pharple');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '561', 'pharple_wasteland_medium', 'wasteland pharple');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '562', 'pharple_wasteland_small', 'lesser wasteland pharple');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '563', 'piket', 'piket');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '564', 'piket_grassland_large', 'greater grassland piket');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '565', 'piket_grassland_medium', 'grassland piket');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '566', 'piket_grassland_small', 'lesser grassland piket');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '567', 'plumed_rasp', 'plumed rasp');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '568', 'plumed_rasp_forest_large', 'greater forest plumed rasp');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '569', 'plumed_rasp_forest_medium', 'forest plumed rasp');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '570', 'plumed_rasp_forest_small', 'lesser forest plumed rasp');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '571', 'plumed_rasp_mountain_large', 'greater mountain plumed rasp');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '572', 'plumed_rasp_mountain_medium', 'mountain plumed rasp');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '573', 'plumed_rasp_mountain_small', 'lesser mountain plumed rasp');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '574', 'pufferfish', 'pufferfish');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '575', 'pufferfish_underwater_large', 'greater underwater pufferfish');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '576', 'pufferfish_underwater_medium', 'underwater pufferfish');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '577', 'pufferfish_underwater_small', 'lesser underwater pufferfish');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '578', 'pugoriss', 'pugoriss');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '579', 'pugoriss_grassland_large', 'greater grassland pugoriss');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '580', 'pugoriss_grassland_medium', 'grassland pugoriss');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '581', 'pugoriss_grassland_small', 'lesser grassland pugoriss');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '582', 'purbole', 'purbole');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '583', 'purbole_forest_large', 'greater forest purbole');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '584', 'purbole_forest_medium', 'forest purbole');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '585', 'purbole_forest_small', 'lesser forest purbole');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '586', 'quenker', 'quenker');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '587', 'quenker_grassland_large', 'greater grassland quenker');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '588', 'quenker_grassland_medium', 'grassland quenker');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '589', 'quenker_grassland_small', 'lesser grassland quenker');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '590', 'qurvel', 'qurvel');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '591', 'qurvel_forest_large', 'greater forest qurvel');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '592', 'qurvel_forest_medium', 'forest qurvel');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '593', 'qurvel_forest_small', 'lesser forest qurvel');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '594', 'qurvel_mountain_large', 'greater mountain qurvel');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '595', 'qurvel_mountain_medium', 'mountain qurvel');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '596', 'qurvel_mountain_small', 'lesser mountain qurvel');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '597', 'rancor', 'rancor');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '598', 'rancor_desert_large', 'greater desert rancor');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '599', 'rancor_desert_medium', 'desert rancor');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '600', 'rancor_desert_small', 'lesser desert rancor');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '601', 'rancor_mountain_large', 'greater mountain rancor');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '602', 'rancor_mountain_medium', 'mountain rancor');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '603', 'rancor_mountain_small', 'lesser mountain rancor');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '604', 'ray', 'ray');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '605', 'ray_underwater_large', 'greater underwater ray');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '606', 'ray_underwater_medium', 'underwater ray');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '607', 'ray_underwater_small', 'lesser underwater ray');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '608', 'remmer', 'remmer');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '609', 'remmer_grassland_large', 'greater grassland remmer');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '610', 'remmer_grassland_medium', 'grassland remmer');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '611', 'remmer_grassland_small', 'lesser grassland remmer');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '612', 'remmer_jungle_large', 'greater jungle remmer');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '613', 'remmer_jungle_medium', 'jungle remmer');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '614', 'remmer_jungle_small', 'lesser jungle remmer');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '615', 'reptilian_flyer', 'reptilian flyer');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '616', 'reptilian_flyer_forest_large', 'greater forest reptilian flyer');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '617', 'reptilian_flyer_forest_medium', 'forest reptilian flyer');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '618', 'reptilian_flyer_forest_small', 'lesser forest reptilian flyer');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '619', 'reptilian_flyer_mountain_large', 'greater mountain reptilian flyer');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '620', 'reptilian_flyer_mountain_medium', 'mountain reptilian flyer');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '621', 'reptilian_flyer_mountain_small', 'lesser mountain reptilian flyer');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '622', 'roba', 'roba');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '623', 'roba_grassland_large', 'greater grassland roba');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '624', 'roba_grassland_medium', 'grassland roba');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '625', 'roba_grassland_small', 'lesser grassland roba');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '626', 'roba_hill_large', 'greater hill roba');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '627', 'roba_hill_medium', 'hill roba');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '628', 'roba_hill_small', 'lesser hill roba');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '629', 'rock_mite', 'rock mite');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '630', 'rock_mite_desert_large', 'greater desert rock mite');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '631', 'rock_mite_desert_medium', 'desert rock mite');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '632', 'rock_mite_desert_small', 'lesser desert rock mite');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '633', 'rock_mite_mountain_large', 'greater mountain rock mite');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '634', 'rock_mite_mountain_medium', 'mountain rock mite');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '635', 'rock_mite_mountain_small', 'lesser mountain rock mite');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '636', 'rock_mite_wasteland_large', 'greater wasteland rock mite');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '637', 'rock_mite_wasteland_medium', 'wasteland rock mite');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '638', 'rock_mite_wasteland_small', 'lesser wasteland rock mite');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '639', 'ronto', 'ronto');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '640', 'ronto_desert_large', 'greater desert ronto');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '641', 'ronto_desert_medium', 'desert ronto');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '642', 'ronto_desert_small', 'lesser desert ronto');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '643', 'ronto_dune_large', 'greater dune ronto');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '644', 'ronto_dune_medium', 'dune ronto');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '645', 'ronto_dune_small', 'lesser dune ronto');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '646', 'salt_mynock', 'salt mynock');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '647', 'salt_mynock_mountain_large', 'greater mountain salt mynock');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '648', 'salt_mynock_mountain_medium', 'mountain salt mynock');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '649', 'salt_mynock_mountain_small', 'lesser mountain salt mynock');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '650', 'salt_mynock_wasteland_large', 'greater wasteland salt mynock');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '651', 'salt_mynock_wasteland_medium', 'wasteland salt mynock');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '652', 'salt_mynock_wasteland_small', 'lesser wasteland salt mynock');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '653', 'sarlacc', 'sarlacc');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '654', 'sarlacc_desert_large', 'greater desert sarlacc');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '655', 'sarlacc_desert_medium', 'desert sarlacc');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '656', 'sarlacc_desert_small', 'lesser desert sarlacc');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '657', 'scurrier', 'scurrier');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '658', 'scurrier_desert_large', 'greater desert scurrier');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '659', 'scurrier_desert_medium', 'desert scurrier');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '660', 'scurrier_desert_small', 'lesser desert scurrier');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '661', 'scurrier_dune_large', 'greater dune scurrier');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '662', 'scurrier_dune_medium', 'dune scurrier');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '663', 'scurrier_dune_small', 'lesser dune scurrier');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '664', 'scurrier_mountain_large', 'greater mountain scurrier');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '665', 'scurrier_mountain_medium', 'mountain scurrier');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '666', 'scurrier_mountain_small', 'lesser mountain scurrier');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '667', 'scurrier_wasteland_large', 'greater wasteland scurrier');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '668', 'scurrier_wasteland_medium', 'wasteland scurrier');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '669', 'scurrier_wasteland_small', 'lesser wasteland scurrier');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '670', 'sharnaff', 'sharnaff');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '671', 'sharnaff_forest_large', 'greater forest sharnaff');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '672', 'sharnaff_forest_medium', 'forest sharnaff');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '673', 'sharnaff_forest_small', 'lesser forest sharnaff');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '674', 'sharnaff_grassland_large', 'greater grassland sharnaff');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '675', 'sharnaff_grassland_medium', 'grassland sharnaff');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '676', 'sharnaff_grassland_small', 'lesser grassland sharnaff');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '677', 'shaupaut', 'shaupaut');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '678', 'shaupaut_forest_large', 'greater forest shaupaut');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '679', 'shaupaut_forest_medium', 'forest shaupaut');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '680', 'shaupaut_forest_small', 'lesser forest shaupaut');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '681', 'shaupaut_swamp_large', 'greater swamp shaupaut');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '682', 'shaupaut_swamp_medium', 'swamp shaupaut');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '683', 'shaupaut_swamp_small', 'lesser swamp shaupaut');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '684', 'shear_mite', 'shear mite');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '685', 'shear_mite_forest_large', 'greater forest shear mite');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '686', 'shear_mite_forest_medium', 'forest shear mite');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '687', 'shear_mite_forest_small', 'lesser forest shear mite');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '688', 'shear_mite_mountain_large', 'greater mountain shear mite');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '689', 'shear_mite_mountain_medium', 'mountain shear mite');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '690', 'shear_mite_mountain_small', 'lesser mountain shear mite');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '691', 'skreeg', 'skreeg');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '692', 'skreeg_jungle_large', 'greater jungle skreeg');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '693', 'skreeg_jungle_medium', 'jungle skreeg');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '694', 'skreeg_jungle_small', 'lesser jungle skreeg');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '695', 'skreeg_swamp_large', 'greater swamp skreeg');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '696', 'skreeg_swamp_medium', 'swamp skreeg');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '697', 'skreeg_swamp_small', 'lesser swamp skreeg');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '698', 'snorbal', 'snorbal');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '699', 'snorbal_grassland_large', 'greater grassland snorbal');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '700', 'snorbal_grassland_medium', 'grassland snorbal');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '701', 'snorbal_grassland_small', 'lesser grassland snorbal');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '702', 'snorbal_hill_large', 'greater hill snorbal');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '703', 'snorbal_hill_medium', 'hill snorbal');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '704', 'snorbal_hill_small', 'lesser hill snorbal');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '705', 'spined_puc', 'spined puc');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '706', 'spined_puc_underwater_large', 'greater underwater spined puc');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '707', 'spined_puc_underwater_medium', 'underwater spined puc');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '708', 'spined_puc_underwater_small', 'lesser underwater spined puc');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '709', 'spined_snake', 'spined snake');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '710', 'spined_snake_mountain_large', 'greater mountain spined snake');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '711', 'spined_snake_mountain_medium', 'mountain spined snake');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '712', 'spined_snake_mountain_small', 'lesser mountain spined snake');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '713', 'spined_snake_wasteland_large', 'greater wasteland spined snake');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '714', 'spined_snake_wasteland_medium', 'wasteland spined snake');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '715', 'spined_snake_wasteland_small', 'lesser wasteland spined snake');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '716', 'squall', 'squall');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '717', 'squall_grassland_large', 'greater grassland squall');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '718', 'squall_grassland_medium', 'grassland squall');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '719', 'squall_grassland_small', 'lesser grassland squall');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '720', 'squill', 'squill');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '721', 'squill_desert_large', 'greater desert squill');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '722', 'squill_desert_medium', 'desert squill');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '723', 'squill_desert_small', 'lesser desert squill');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '724', 'stintaril', 'stintaril');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '725', 'stintaril_jungle_large', 'greater jungle stintaril');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '726', 'stintaril_jungle_medium', 'jungle stintaril');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '727', 'stintaril_jungle_small', 'lesser jungle stintaril');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '728', 'stintaril_swamp_large', 'greater swamp stintaril');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '729', 'stintaril_swamp_medium', 'swamp stintaril');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '730', 'stintaril_swamp_small', 'lesser swamp stintaril');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '731', 'striped_fish', 'striped fish');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '732', 'striped_fish_underwater_large', 'greater underwater striped fish');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '733', 'striped_fish_underwater_medium', 'underwater striped fish');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '734', 'striped_fish_underwater_small', 'lesser underwater striped fish');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '735', 'swirl_prong', 'swirl prong');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '736', 'swirl_prong_grassland_large', 'greater grassland swirl prong');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '737', 'swirl_prong_grassland_medium', 'grassland swirl prong');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '738', 'swirl_prong_grassland_small', 'lesser grassland swirl prong');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '739', 'tanc_mite', 'tanc mite');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '740', 'tanc_mite_mountain_large', 'greater mountain tanc mite');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '741', 'tanc_mite_mountain_medium', 'mountain tanc mite');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '742', 'tanc_mite_mountain_small', 'lesser mountain tanc mite');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '743', 'thune', 'thune');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '744', 'thune_grassland_large', 'greater grassland thune');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '745', 'thune_grassland_medium', 'grassland thune');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '746', 'thune_grassland_small', 'lesser grassland thune');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '747', 'torton', 'torton');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '748', 'torton_grassland_large', 'greater grassland torton');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '749', 'torton_grassland_medium', 'grassland torton');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '750', 'torton_grassland_small', 'lesser grassland torton');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '751', 'tusk_cat', 'tusk-cat');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '752', 'tusk_cat_grassland_large', 'greater grassland tusk-cat');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '753', 'tusk_cat_grassland_medium', 'grassland tusk-cat');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '754', 'tusk_cat_grassland_small', 'lesser grassland tusk-cat');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '755', 'tybis', 'tybis');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '756', 'tybis_grassland_large', 'greater grassland tybis');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '757', 'tybis_grassland_medium', 'grassland tybis');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '758', 'tybis_grassland_small', 'lesser grassland tybis');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '759', 'veermok', 'veermok');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '760', 'veermok_forest_large', 'greater forest veermok');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '761', 'veermok_forest_medium', 'forest veermok');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '762', 'veermok_forest_small', 'lesser forest veermok');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '763', 'veermok_swamp_large', 'greater swamp veermok');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '764', 'veermok_swamp_medium', 'swamp veermok');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '765', 'veermok_swamp_small', 'lesser swamp veermok');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '766', 'verne', 'verne');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '767', 'verne_forest_large', 'greater forest verne');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '768', 'verne_forest_medium', 'forest verne');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '769', 'verne_forest_small', 'lesser forest verne');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '770', 'vesp', 'vesp');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '771', 'vesp_desert_large', 'greater desert vesp');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '772', 'vesp_desert_medium', 'desert vesp');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '773', 'vesp_desert_small', 'lesser desert vesp');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '774', 'vesp_mountain_large', 'greater mountain vesp');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '775', 'vesp_mountain_medium', 'mountain vesp');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '776', 'vesp_mountain_small', 'lesser mountain vesp');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '777', 'vir_vir', 'vir vir');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '778', 'vir_vir_grassland_large', 'greater grassland vir vir');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '779', 'vir_vir_grassland_medium', 'vir vir grassland');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '780', 'vir_vir_grassland_small', 'lesser grassland vir vir');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '781', 'vir_vir_hill_large', 'greater hill vir vir');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '782', 'vir_vir_hill_medium', 'vir vir hill');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '783', 'vir_vir_hill_small', 'lesser hill vir vir');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '784', 'vlutore', 'vlutore');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '785', 'vlutore_grassland_large', 'greater grassland vlutore');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '786', 'vlutore_grassland_medium', 'grassland vlutore');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '787', 'vlutore_grassland_small', 'lesser grassland vlutore');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '788', 'vlutore_mountain_large', 'greater mountain vlutore');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '789', 'vlutore_mountain_medium', 'mountain vlutore');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '790', 'vlutore_mountain_small', 'lesser mountain vlutore');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '791', 'vog_eel', 'vog eel');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '792', 'vog_eel_underwater_large', 'greater underwater vog eel');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '793', 'vog_eel_underwater_medium', 'underwater vog eel');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '794', 'vog_eel_underwater_small', 'lesser underwater vog eel');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '795', 'voritor_lizard', 'voritor lizard');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '796', 'voritor_lizard_grassland_large', 'greater grassland voritor lizard');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '797', 'voritor_lizard_grassland_medium', 'grassland voritor lizard');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '798', 'voritor_lizard_grassland_small', 'lesser grassland voritor lizard');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '799', 'voritor_lizard_mountain_large', 'greater mountain voritor lizard');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '800', 'voritor_lizard_mountain_medium', 'mountain voritor lizard');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '801', 'voritor_lizard_mountain_small', 'lesser mountain voritor lizard');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '802', 'vynock', 'vynock');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '803', 'vynock_dune_large', 'greater dune vynock');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '804', 'vynock_dune_medium', 'dune vynock');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '805', 'vynock_dune_small', 'lesser dune vynock');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '806', 'vynock_mountain_large', 'greater mountain vynock');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '807', 'vynock_mountain_medium', 'mountain vynock');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '808', 'vynock_mountain_small', 'lesser mountain vynock');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '809', 'vynock_wasteland_large', 'greater wasteland vynock');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '810', 'vynock_wasteland_medium', 'wasteland vynock');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '811', 'vynock_wasteland_small', 'lesser wasteland vynock');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '812', 'whisper_bird', 'whisper bird');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '813', 'whisper_bird_jungle_large', 'greater jungle whisper bird');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '814', 'whisper_bird_jungle_medium', 'jungle whisper bird');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '815', 'whisper_bird_jungle_small', 'lesser jungle whisper bird');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '816', 'whisper_bird_swamp_large', 'greater swamp whisper bird');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '817', 'whisper_bird_swamp_medium', 'swamp whisper bird');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '818', 'whisper_bird_swamp_small', 'lesser swamp whisper bird');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '819', 'winged_ornith', 'winged ornith');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '820', 'winged_ornith_grassland_large', 'greater grassland winged ornith');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '821', 'winged_ornith_grassland_medium', 'grassland winged ornith');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '822', 'winged_ornith_grassland_small', 'lesser grassland winged ornith');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '823', 'winged_ornith_jungle_large', 'greater jungle winged ornith');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '824', 'winged_ornith_jungle_medium', 'jungle winged ornith');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '825', 'winged_ornith_jungle_small', 'lesser jungle winged ornith');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '826', 'womp_rat', 'womp rat');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '827', 'womp_rat_desert_large', 'greater desert womp rat');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '828', 'womp_rat_desert_medium', 'desert womp rat');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '829', 'womp_rat_desert_small', 'lesser desert womp rat');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '830', 'woolamander', 'woolamander');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '831', 'woolamander_jungle_large', 'greater jungle woolamander');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '832', 'woolamander_jungle_medium', 'jungle woolamander');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '833', 'woolamander_jungle_small', 'lesser jungle woolamander');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '834', 'worrt', 'worrt');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '835', 'worrt_desert_large', 'greater desert worrt');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '836', 'worrt_desert_medium', 'desert worrt');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '837', 'worrt_desert_small', 'lesser desert worrt');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '838', 'zucca_boar', 'zucca boar');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '839', 'zucca_boar_desert_large', 'greater desert zucca boar');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '840', 'zucca_boar_desert_medium', 'desert zucca boar');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '841', 'zucca_boar_desert_small', 'lesser desert zucca boar');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '842', 'zucca_boar_dune_large', 'greater dune zucca boar');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '843', 'zucca_boar_dune_medium', 'dune zucca boar');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '844', 'zucca_boar_dune_small', 'lesser dune zucca boar');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '845', 'zucca_boar_wasteland_large', 'greater wasteland zucca boar');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '846', 'zucca_boar_wasteland_medium', 'wasteland zucca boar');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '847', 'zucca_boar_wasteland_small', 'lesser wasteland zucca boar');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '848', 'monstrosity', 'This monstrosity is the testbed for the mount-skinpack-style implementation of player-controlled vehicular transportation in the game.');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '849', 'monstrosity_bike', 'This monstrosity Bike-Edition is a testbed for the mount-skinpack-style implementation of player-controlled vehicular transportation in the game.');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '850', 'speederbike', 'Speederbike vehicle');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '851', 'speederbike_swoop', 'Swoop variant of a Speederbike');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '852', 'landspeeder_x34', 'X34 Landspeeder');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '853', 'landspeeder_av21', 'AV-21 Landspeeder');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '854', 'jetpack', 'A personal jetpack');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '855', 'speederbike_flash', 'A Flash Speeder vehicle.');
INSERT INTO `client_strings` VALUES ('string/en/monster_detail.stf', '856', 'landspeeder_x31', 'X31 Landspeeder');
INSERT INTO `client_strings` VALUES ('string/en/monster_lookat.stf', '1', 'grovo', 'Grovo');
INSERT INTO `client_strings` VALUES ('string/en/monster_lookat.stf', '2', 'acklay', 'an acklay');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '1', 'angler', 'angler');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '2', 'angler_jungle_large', 'greater jungle angler');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '3', 'angler_jungle_medium', 'jungle angler');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '4', 'angler_jungle_small', 'lesser jungle angler');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '5', 'angler_swamp_large', 'greater swamp angler');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '6', 'angler_swamp_medium', 'swamp angler');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '7', 'angler_swamp_small', 'lesser swamp angler');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '8', 'angler_underwater_large', 'greater aquatic angler');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '9', 'angler_underwater_medium', 'aquatic angler');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '10', 'angler_underwater_small', 'lesser aquatic angler');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '11', 'bageraset', 'bageraset');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '12', 'bageraset_forest_large', 'greater forest bageraset');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '13', 'bageraset_forest_medium', 'forest bageraset');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '14', 'bageraset_forest_small', 'lesser forest bageraset');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '15', 'bantha', 'bantha');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '16', 'bantha_desert_large', 'greater desert bantha');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '17', 'bantha_desert_medium', 'desert bantha');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '18', 'bantha_desert_small', 'lesser desert bantha');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '19', 'bantha_dune_large', 'greater dune bantha');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '20', 'bantha_dune_medium', 'dune bantha');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '21', 'bantha_dune_small', 'lesser dune bantha');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '22', 'bantha_wasteland_large', 'greater wasteland bantha');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '23', 'bantha_wasteland_medium', 'wasteland bantha');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '24', 'bantha_wasteland_small', 'lesser wasteland bantha');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '25', 'bark_mite', 'bark mite');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '26', 'bark_mite_grassland_large', 'greater grassland bark mite');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '27', 'bark_mite_grassland_medium', 'grassland bark mite');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '28', 'bark_mite_grassland_small', 'lesser grassland bark mite');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '29', 'bark_mite_hills_large', 'greater hills bark mite');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '30', 'bark_mite_hills_medium', 'hills bark mite');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '31', 'bark_mite_hills_small', 'lesser hills bark mite');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '32', 'baz_nitch', 'baz nitch');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '33', 'baz_nitch_forest_large', 'greater forest baz nitch');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '34', 'baz_nitch_forest_medium', 'forest baz nitch');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '35', 'baz_nitch_forest_small', 'lesser forest baz nitch');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '36', 'baz_nitch_mountain_large', 'greater mountain baz nitch');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '37', 'baz_nitch_mountain_medium', 'mountain baz nitch');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '38', 'baz_nitch_mountain_small', 'lesser mountain baz nitch');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '39', 'bearded_jax', 'bearded jax');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '40', 'bearded_jax_grassland_large', 'greater grassland bearded jax');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '41', 'bearded_jax_grassland_medium', 'grassland bearded jax');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '42', 'bearded_jax_grassland_small', 'lesser grassland bearded jax');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '43', 'binjinphant', 'binjinphant');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '44', 'binjinphant_forest_large', 'greater forest binjinphant');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '45', 'binjinphant_forest_medium', 'forest binjinphant');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '46', 'binjinphant_forest_small', 'lesser forest binjinphant');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '47', 'blackfish', 'blackfish');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '48', 'blackfish_underwater_large', 'greater underwater blackfish');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '49', 'blackfish_underwater_medium', 'underwater blackfish');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '50', 'blackfish_underwater_small', 'lesser underwater blackfish');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '51', 'blistmok', 'blistmok');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '52', 'blistmok_mountain_large', 'greater mountain blistmok');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '53', 'blistmok_mountain_medium', 'mountain blistmok');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '54', 'blistmok_mountain_small', 'lesser mountain blistmok');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '55', 'blistmok_wasteland_large', 'greater wasteland blistmok');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '56', 'blistmok_wasteland_medium', 'wasteland blistmok');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '57', 'blistmok_wasteland_small', 'lesser wasteland blistmok');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '58', 'bluefish', 'bluefish');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '59', 'bluefish_underwater_large', 'greater underwater bluefish');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '60', 'bluefish_underwater_medium', 'underwater bluefish');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '61', 'bluefish_underwater_small', 'lesser underwater bluefish');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '62', 'blurrg', 'blurrg');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '63', 'blurrg_forest_large', 'greater forest blurrg');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '64', 'blurrg_forest_medium', 'forest blurrg');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '65', 'blurrg_forest_small', 'lesser forest blurrg');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '66', 'blurrg_mountain_large', 'greater mountain blurrg');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '67', 'blurrg_mountain_medium', 'mountain blurrg');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '68', 'blurrg_mountain_small', 'lesser mountain blurrg');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '69', 'boar_wolf', 'boar wolf');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '70', 'boar_wolf_mountain_large', 'greater mountain boar wolf');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '71', 'boar_wolf_mountain_medium', 'mountain boar wolf');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '72', 'boar_wolf_mountain_small', 'lesser mountain boar wolf');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '73', 'bocatt', 'bocatt');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '74', 'bocatt_grassland_large', 'greater grassland bocatt');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '75', 'bocatt_grassland_medium', 'grassland bocatt');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '76', 'bocatt_grassland_small', 'lesser grassland bocatt');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '77', 'bocatt_hills_large', 'greater hills bocatt');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '78', 'bocatt_hills_medium', 'hills bocatt');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '79', 'bocatt_hills_small', 'lesser hills bocatt');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '80', 'bol', 'bol');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '81', 'bol_grassland_large', 'greater grassland bol');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '82', 'bol_grassland_medium', 'grassland bol');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '83', 'bol_grassland_small', 'lesser grassland bol');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '84', 'bolle_bol', 'bolle bol');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '85', 'bolle_bol_grassland_large', 'greater grassland bolle bol');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '86', 'bolle_bol_grassland_medium', 'grassland bolle bol');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '87', 'bolle_bol_grassland_small', 'lesser grassland bolle bol');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '88', 'bolma', 'bolma');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '89', 'bolma_desert_large', 'greater desert bolma');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '90', 'bolma_desert_medium', 'desert bolma');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '91', 'bolma_desert_small', 'lesser desert bolma');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '92', 'bolma_dune_large', 'greater dune bolma');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '93', 'bolma_dune_medium', 'dune bolma');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '94', 'bolma_dune_small', 'lesser dune bolma');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '95', 'bolma_mountain_large', 'greater mountain bolma');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '96', 'bolma_mountain_medium', 'mountain bolma');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '97', 'bolma_mountain_small', 'lesser mountain bolma');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '98', 'bordok', 'bordok');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '99', 'bordok_mountain_large', 'greater mountain bordok');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '100', 'bordok_mountain_medium', 'mountain bordok');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '101', 'bordok_mountain_small', 'lesser mountain bordok');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '102', 'borgle', 'borgle');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '103', 'borgle_jungle_large', 'greater jungle borgle');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '104', 'borgle_jungle_medium', 'jungle borgle');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '105', 'borgle_jungle_small', 'lesser jungle borgle');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '106', 'brackaset', 'brackaset');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '107', 'brackaset_desert_large', 'greater desert brackaset');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '108', 'brackaset_desert_medium', 'desert brackaset');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '109', 'brackaset_desert_small', 'lesser desert brackaset');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '110', 'capper_spineflap', 'spineflap capper');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '111', 'capper_spineflap_forest_large', 'greater forest capper spineflap');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '112', 'capper_spineflap_forest_medium', 'forest capper spineflap');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '113', 'capper_spineflap_forest_small', 'lesser forest capper spineflap');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '114', 'carrion_spat', 'spat carrion');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '115', 'carrion_spat_grassland_large', 'greater grassland carrion spat');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '116', 'carrion_spat_grassland_medium', 'grassland carrion spat');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '117', 'carrion_spat_grassland_small', 'lesser grassland carrion spat');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '118', 'choku', 'choku');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '119', 'choku_jungle_large', 'greater jungle choku');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '120', 'choku_jungle_medium', 'jungle choku');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '121', 'choku_jungle_small', 'lesser jungle choku');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '122', 'chuba', 'chuba');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '123', 'chuba_forest_large', 'greater forest chuba');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '124', 'chuba_forest_medium', 'forest chuba');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '125', 'chuba_forest_small', 'lesser forest chuba');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '126', 'chuba_swamp_large', 'greater swamp chuba');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '127', 'chuba_swamp_medium', 'swamp chuba');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '128', 'chuba_swamp_small', 'lesser swamp chuba');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '129', 'colo_claw_fish', 'colo claw fish');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '130', 'colo_claw_fish_underwater_large', 'greater colo claw fish');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '131', 'colo_claw_fish_underwater_medium', 'colo claw fish');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '132', 'colo_claw_fish_underwater_small', 'lesser colo claw fish');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '133', 'condor_dragon', 'condor dragon');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '134', 'condor_dragon_forest_large', 'greater forest condor dragon');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '135', 'condor_dragon_forest_medium', 'forest condor dragon');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '136', 'condor_dragon_forest_small', 'lesser forest condor dragon');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '137', 'condor_dragon_mountain_large', 'greater mountain condor dragon');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '138', 'condor_dragon_mountain_medium', 'mountain condor dragon');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '139', 'condor_dragon_mountain_small', 'lesser mountain condor dragon');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '140', 'corellian_butterfly', 'corellian butterfly');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '141', 'corellian_butterfly_forest_large', 'greater forest Corellian butterfly');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '142', 'corellian_butterfly_forest_medium', 'forest Corellian butterfly');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '143', 'corellian_butterfly_forest_small', 'lesser forest Corellian butterfly');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '144', 'corellian_butterfly_mountain_large', 'greater mountain Corellian butterfly');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '145', 'corellian_butterfly_mountain_medium', 'mountain Corellian butterfly');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '146', 'corellian_butterfly_mountain_small', 'lesser mountain Corellian butterfly');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '147', 'corellian_sand_panther', 'Corellian sand panther');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '148', 'corellian_sand_panther_grassland_large', 'greater grassland Corellian sand panther');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '149', 'corellian_sand_panther_grassland_medium', 'grassland Corellian sand panther');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '150', 'corellian_sand_panther_grassland_small', 'lesser grassland Corellian sand panther');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '151', 'corellian_slice_hound', 'Corellian slice hound');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '152', 'corellian_slice_hound_forest_large', 'greater forest Corellian slice hound');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '153', 'corellian_slice_hound_forest_medium', 'forest Corellian slice hound');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '154', 'corellian_slice_hound_forest_small', 'lesser forest Corellian slice hound');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '155', 'corellian_slice_hound_grassland_large', 'greater grassland Corellian slice hound');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '156', 'corellian_slice_hound_grassland_medium', 'grassland Corellian slice hound');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '157', 'corellian_slice_hound_grassland_small', 'lesser grassland Corellian slice hound');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '158', 'crowned_rasp', 'crowned rasp');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '159', 'crowned_rasp_grassland_large', 'greater grassland crowned rasp');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '160', 'crowned_rasp_grassland_medium', 'grassland crowned rasp');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '161', 'crowned_rasp_grassland_small', 'lesser grassland crowned rasp');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '162', 'crowned_rasp_mountain_large', 'greater mountain crowned rasp');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '163', 'crowned_rasp_mountain_medium', 'mountain crowned rasp');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '164', 'crowned_rasp_mountain_small', 'lesser mountain crowned rasp');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '165', 'crystal_snake', 'crystal snake');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '166', 'crystal_snake_jungle_large', 'greater jungle crystal snake');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '167', 'crystal_snake_jungle_medium', 'jungle crystal snake');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '168', 'crystal_snake_jungle_small', 'lesser jungle crystal snake');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '169', 'crystal_snake_swamp_large', 'greater swamp crystal snake');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '170', 'crystal_snake_swamp_medium', 'swamp crystal snake');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '171', 'crystal_snake_swamp_small', 'lesser swamp crystal snake');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '172', 'crystal_snake_underwater_large', 'greater underwater crystal snake');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '173', 'crystal_snake_underwater_medium', 'underwater crystal snake');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '174', 'crystal_snake_underwater_small', 'lesser underwater crystal snake');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '175', 'cu_pa', 'cu-pa');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '176', 'cu_pa_dune_large', 'greater dune cu-pa');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '177', 'cu_pa_dune_medium', 'dune cu-pa');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '178', 'cu_pa_dune_small', 'lesser dune cu-pa');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '179', 'cu_pa_mountain_large', 'greater mountain cu-pa');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '180', 'cu_pa_mountain_medium', 'mountain cu-pa');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '181', 'cu_pa_mountain_small', 'lesser mountain cu-pa');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '182', 'cu_pa_wasteland_large', 'greater wasteland cu-pa');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '183', 'cu_pa_wasteland_medium', 'wasteland cu-pa');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '184', 'cu_pa_wasteland_small', 'lesser wasteland cu-pa');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '185', 'dalyrake', 'dalyrake');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '186', 'dalyrake_forest_large', 'greater forest dalyrake');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '187', 'dalyrake_forest_medium', 'forest dalyrake');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '188', 'dalyrake_forest_small', 'lesser forest dalyrake');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '189', 'dewback', 'dewback');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '190', 'dewback_desert_large', 'greater desert dewback');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '191', 'dewback_desert_medium', 'desert dewback');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '192', 'dewback_desert_small', 'lesser desert dewback');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '193', 'dune_lizard', 'dune lizard');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '194', 'dune_lizard_desert_large', 'greater desert dune lizard');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '195', 'dune_lizard_desert_medium', 'desert dune lizard');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '196', 'dune_lizard_desert_small', 'lesser desert dune lizard');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '197', 'durni', 'durni');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '198', 'durni_grassland_large', 'greater grassland durni');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '199', 'durni_grassland_medium', 'grassland durni');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '200', 'durni_grassland_small', 'lesser grassland durni');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '201', 'durni_mountain_large', 'greater mountain durni');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '202', 'durni_mountain_medium', 'mountain durni');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '203', 'durni_mountain_small', 'lesser mountain durni');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '204', 'dwarf_nuna', 'dwarf nuna');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '205', 'dwarf_nuna_forest_large', 'greater forest dwarf nuna');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '206', 'dwarf_nuna_forest_medium', 'forest dwarf nuna');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '207', 'dwarf_nuna_forest_small', 'lesser forest dwarf nuna');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '208', 'dwarf_nuna_swamp_large', 'greater swamp dwarf nuna');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '209', 'dwarf_nuna_swamp_medium', 'swamp dwarf nuna');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '210', 'dwarf_nuna_swamp_small', 'lesser swamp dwarf nuna');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '211', 'eopie', 'eopie');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '212', 'eopie_desert_large', 'greater desert eopie');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '213', 'eopie_desert_medium', 'desert eopie');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '214', 'eopie_desert_small', 'lesser desert eopie');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '215', 'eopie_dune_large', 'greater dune eopie');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '216', 'eopie_dune_medium', 'dune eopie');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '217', 'eopie_dune_small', 'lesser dune eopie');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '218', 'eopie_mountain_large', 'greater mountain eopie');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '219', 'eopie_mountain_medium', 'mountain eopie');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '220', 'eopie_mountain_small', 'lesser mountain eopie');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '221', 'eopie_wasteland_large', 'greater wasteland eopie');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '222', 'eopie_wasteland_medium', 'wasteland eopie');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '223', 'eopie_wasteland_small', 'lesser wasteland eopie');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '224', 'faa', 'faa');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '225', 'faa_underwater_large', 'greater underwater faa');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '226', 'faa_underwater_medium', 'underwater faa');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '227', 'faa_underwater_small', 'lesser underwater faa');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '228', 'falumpaset', 'falumpaset');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '229', 'falumpaset_forest_large', 'greater forest falumpaset');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '230', 'falumpaset_forest_medium', 'forest falumpaset');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '231', 'falumpaset_forest_small', 'lesser forest falumpaset');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '232', 'falumpaset_grassland_large', 'greater grassland falumpaset');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '233', 'falumpaset_grassland_medium', 'grassland falumpaset');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '234', 'falumpaset_grassland_small', 'lesser grassland falumpaset');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '235', 'falumpaset_swamp_large', 'greater swamp falumpaset');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '236', 'falumpaset_swamp_medium', 'swamp falumpaset');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '237', 'falumpaset_swamp_small', 'lesser swamp falumpaset');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '238', 'fambaa', 'fambaa');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '239', 'fambaa_swamp_large', 'greater swamp fambaa');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '240', 'fambaa_swamp_medium', 'swamp fambaa');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '241', 'fambaa_swamp_small', 'lesser swamp fambaa');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '242', 'fanned_rawl', 'fanned rawl');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '243', 'fanned_rawl_swamp_large', 'greater swamp fanned rawl');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '244', 'fanned_rawl_swamp_medium', 'swamp fanned rawl');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '245', 'fanned_rawl_swamp_small', 'lesser swamp fanned rawl');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '246', 'flewt', 'flewt');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '247', 'flewt_forest_large', 'greater forest flewt');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '248', 'flewt_forest_medium', 'forest flewt');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '249', 'flewt_forest_small', 'lesser forest flewt');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '250', 'flewt_grassland_large', 'greater grassland flewt');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '251', 'flewt_grassland_medium', 'grassland flewt');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '252', 'flewt_grassland_small', 'lesser grassland flewt');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '253', 'flit', 'flit');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '254', 'flit_forest_large', 'greater forest flit');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '255', 'flit_forest_medium', 'forest flit');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '256', 'flit_forest_small', 'lesser forest flit');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '257', 'flit_mountain_large', 'greater mountain flit');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '258', 'flit_mountain_medium', 'mountain flit');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '259', 'flit_mountain_small', 'lesser mountain flit');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '260', 'flite_rasp', 'flite rasp');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '261', 'flite_rasp_grassland_large', 'greater grassland flite rasp');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '262', 'flite_rasp_grassland_medium', 'grassland flite rasp');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '263', 'flite_rasp_grassland_small', 'lesser grassland flite rasp');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '264', 'flite_rasp_hill_large', 'greater hill flite rasp');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '265', 'flite_rasp_hill_medium', 'hill flite rasp');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '266', 'flite_rasp_hill_small', 'lesser hill flite rasp');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '267', 'fynock', 'fynock');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '268', 'fynock_forest_large', 'greater forest fynock');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '269', 'fynock_forest_medium', 'forest fynock');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '270', 'fynock_forest_small', 'lesser forest fynock');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '271', 'gackle_bat', 'gackle bat');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '272', 'gackle_bat_jungle_large', 'greater jungle gackle bat');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '273', 'gackle_bat_jungle_medium', 'jungle gackle bat');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '274', 'gackle_bat_jungle_small', 'lesser jungle gackle bat');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '275', 'gackle_bat_swamp_large', 'greater swamp gackle bat');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '276', 'gackle_bat_swamp_medium', 'swamp gackle bat');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '277', 'gackle_bat_swamp_small', 'lesser swamp gackle bat');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '278', 'gaping_spider', 'gaping spider');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '279', 'gaping_spider_forest_large', 'greater forest gaping spider');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '280', 'gaping_spider_forest_medium', 'forest gaping spider');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '281', 'gaping_spider_forest_small', 'lesser forest gaping spider');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '282', 'gekk', 'gekk');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '283', 'gekk_forest_large', 'greater forest gekk');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '284', 'gekk_forest_medium', 'forest gekk');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '285', 'gekk_forest_small', 'lesser forest gekk');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '286', 'gnort', 'gnort');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '287', 'gnort_grassland_large', 'greater grassland gnort');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '288', 'gnort_grassland_medium', 'grassland gnort');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '289', 'gnort_grassland_small', 'lesser grassland gnort');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '290', 'gnort_mountain_large', 'greater mountain gnort');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '291', 'gnort_mountain_medium', 'mountain gnort');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '292', 'gnort_mountain_small', 'lesser mountain gnort');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '293', 'graul', 'graul');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '294', 'graul_jungle_large', 'greater jungle graul');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '295', 'graul_jungle_medium', 'jungle graul');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '296', 'graul_jungle_small', 'lesser jungle graul');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '297', 'gronda', 'gronda');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '298', 'gronda_grassland_large', 'greater grassland gronda');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '299', 'gronda_grassland_medium', 'grassland gronda');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '300', 'gronda_grassland_small', 'lesser grassland gronda');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '301', 'gualama', 'gualama');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '302', 'gualama_grassland_large', 'greater grassland gualama');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '303', 'gualama_grassland_medium', 'grassland gualama');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '304', 'gualama_grassland_small', 'lesser grassland gualama');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '305', 'gubbur', 'gubbur');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '306', 'gubbur_underwater_large', 'greater underwater gubbur');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '307', 'gubbur_underwater_medium', 'underwater gubbur');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '308', 'gubbur_underwater_small', 'lesser underwater gubbur');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '309', 'guf_drolg', 'guf drolg');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '310', 'guf_drolg_grassland_large', 'greater grassland guf drolg');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '311', 'guf_drolg_grassland_medium', 'grassland guf drolg');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '312', 'guf_drolg_grassland_small', 'lesser grassland guf drolg');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '313', 'guf_drolg_jungle_large', 'greater jungle guf drolg');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '314', 'guf_drolg_jungle_medium', 'jungle guf drolg');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '315', 'guf_drolg_jungle_small', 'lesser jungle guf drolg');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '316', 'gulginaw', 'gulginaw');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '317', 'gulginaw_forest_large', 'greater forest gulginaw');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '318', 'gulginaw_forest_medium', 'forest gulginaw');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '319', 'gulginaw_forest_small', 'lesser forest gulginaw');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '320', 'gurk', 'gurk');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '321', 'gurk_mountain_large', 'greater mountain gurk');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '322', 'gurk_mountain_medium', 'mountain gurk');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '323', 'gurk_mountain_small', 'lesser mountain gurk');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '324', 'gurk_wasteland_large', 'greater wasteland gurk');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '325', 'gurk_wasteland_medium', 'wasteland gurk');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '326', 'gurk_wasteland_small', 'lesser wasteland gurk');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '327', 'gurnaset', 'gurnaset');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '328', 'gurnaset_grassland_large', 'greater grassland gurnaset');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '329', 'gurnaset_grassland_medium', 'grassland gurnaset');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '330', 'gurnaset_grassland_small', 'lesser grassland gurnaset');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '331', 'gurnaset_mountain_large', 'greater mountain gurnaset');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '332', 'gurnaset_mountain_medium', 'mountain gurnaset');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '333', 'gurnaset_mountain_small', 'lesser mountain gurnaset');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '334', 'gurreck', 'gurreck');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '335', 'gurreck_mountain_large', 'greater mountain gurreck');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '336', 'gurreck_mountain_medium', 'mountain gurreck');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '337', 'gurreck_mountain_small', 'lesser mountain gurreck');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '338', 'hanadak', 'hanadak');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '339', 'hanadak_mountain_large', 'greater mountain hanadak');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '340', 'hanadak_mountain_medium', 'mountain hanadak');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '341', 'hanadak_mountain_small', 'lesser mountain hanadak');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '342', 'hermit_spider', 'hermit spider');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '343', 'hermit_spider_mountain_large', 'greater mountain hermit spider');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '344', 'hermit_spider_mountain_medium', 'mountain hermit spider');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '345', 'hermit_spider_mountain_small', 'lesser mountain hermit spider');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '346', 'hermit_spider_wasteland_large', 'greater wasteland hermit spider');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '347', 'hermit_spider_wasteland_medium', 'wasteland hermit spider');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '348', 'hermit_spider_wasteland_small', 'lesser wasteland hermit spider');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '349', 'horned_krevol', 'horned krevol');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '350', 'horned_krevol_desert_large', 'greater desert horned krevol');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '351', 'horned_krevol_desert_medium', 'desert horned krevol');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '352', 'horned_krevol_desert_small', 'lesser desert horned krevol');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '353', 'horned_krevol_forest_large', 'greater forest horned krevol');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '354', 'horned_krevol_forest_medium', 'forest horned krevol');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '355', 'horned_krevol_forest_small', 'lesser forest horned krevol');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '356', 'horned_krevol_mountain_large', 'greater mountain horned krevol');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '357', 'horned_krevol_mountain_medium', 'mountain horned krevol');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '358', 'horned_krevol_mountain_small', 'lesser mountain horned krevol');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '359', 'horned_rasp', 'horned rasp');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '360', 'horned_rasp_grassland_large', 'greater grassland horned rasp');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '361', 'horned_rasp_grassland_medium', 'grassland horned rasp');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '362', 'horned_rasp_grassland_small', 'lesser grassland horned rasp');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '363', 'horned_rasp_jungle_large', 'greater jungle horned rasp');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '364', 'horned_rasp_jungle_medium', 'jungle horned rasp');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '365', 'horned_rasp_jungle_small', 'lesser jungle horned rasp');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '366', 'huf_dun', 'huf dun');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '367', 'huf_dun_grassland_large', 'greater grassland huf dun');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '368', 'huf_dun_grassland_medium', 'grassland huf dun');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '369', 'huf_dun_grassland_small', 'lesser grassland huf dun');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '370', 'huf_dun_hill_large', 'greater hill huf dun');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '371', 'huf_dun_hill_medium', 'hill huf dun');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '372', 'huf_dun_hill_small', 'lesser hill huf dun');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '373', 'huurton', 'huurton');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '374', 'huurton_grassland_large', 'greater grassland huurton');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '375', 'huurton_grassland_medium', 'grassland huurton');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '376', 'huurton_grassland_small', 'lesser grassland huurton');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '377', 'ikopi', 'ikopi');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '378', 'ikopi_grassland_large', 'greater grassland ikopi');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '379', 'ikopi_grassland_medium', 'grassland ikopi');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '380', 'ikopi_grassland_small', 'lesser grassland ikopi');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '381', 'jellyfish', 'jellyfish');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '382', 'jellyfish_underwater_large', 'greater underwater jellyfish');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '383', 'jellyfish_underwater_medium', 'underwater jellyfish');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '384', 'jellyfish_underwater_small', 'lesser underwater jellyfish');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '385', 'kaadu', 'kaadu');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '386', 'kaadu_forest_large', 'greater forest kaadu');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '387', 'kaadu_forest_medium', 'forest kaadu');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '388', 'kaadu_forest_small', 'lesser forest kaadu');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '389', 'kaadu_grassland_large', 'greater grassland kaadu');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '390', 'kaadu_grassland_medium', 'grassland kaadu');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '391', 'kaadu_grassland_small', 'lesser grassland kaadu');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '392', 'kaadu_swamp_large', 'greater swamp kaadu');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '393', 'kaadu_swamp_medium', 'swamp kaadu');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '394', 'kaadu_swamp_small', 'lesser swamp kaadu');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '395', 'kaitok', 'kaitok');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '396', 'kaitok_mountain_large', 'greater mountain kaitok');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '397', 'kaitok_mountain_medium', 'mountain kaitok');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '398', 'kaitok_mountain_small', 'lesser mountain kaitok');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '399', 'kaitok_wasteland_large', 'greater wasteland kaitok');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '400', 'kaitok_wasteland_medium', 'wasteland kaitok');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '401', 'kaitok_wasteland_small', 'lesser wasteland kaitok');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '402', 'kima', 'kima');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '403', 'kima_grassland_large', 'greater grassland kima');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '404', 'kima_grassland_medium', 'grassland kima');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '405', 'kima_grassland_small', 'lesser grassland kima');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '406', 'kima_mountain_large', 'greater mountain kima');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '407', 'kima_mountain_medium', 'mountain kima');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '408', 'kima_mountain_small', 'lesser mountain kima');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '409', 'kimogila', 'kimogila');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '410', 'kimogila_grassland_large', 'greater grassland kimogila');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '411', 'kimogila_grassland_medium', 'grassland kimogila');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '412', 'kimogila_grassland_small', 'lesser grassland kimogila');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '413', 'kimogila_mountain_large', 'greater mountain kimogila');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '414', 'kimogila_mountain_medium', 'mountain kimogila');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '415', 'kimogila_mountain_small', 'lesser mountain kimogila');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '416', 'kittle', 'kittle');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '417', 'kittle_forest_large', 'greater forest kittle');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '418', 'kittle_forest_medium', 'forest kittle');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '419', 'kittle_forest_small', 'lesser forest kittle');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '420', 'kittle_grassland_large', 'greater grassland kittle');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '421', 'kittle_grassland_medium', 'grassland kittle');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '422', 'kittle_grassland_small', 'lesser grassland kittle');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '423', 'kliknik', 'kliknik');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '424', 'kliknik_forest_large', 'greater forest kliknik');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '425', 'kliknik_forest_medium', 'forest kliknik');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '426', 'kliknik_forest_small', 'lesser forest kliknik');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '427', 'krahbu', 'krahbu');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '428', 'krahbu_grassland_large', 'greater grassland krahbu');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '429', 'krahbu_grassland_medium', 'grassland krahbu');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '430', 'krahbu_grassland_small', 'lesser grassland krahbu');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '431', 'krayt_dragon', 'krayt dragon');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '432', 'krayt_dragon_desert_large', 'greater desert krayt dragon');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '433', 'krayt_dragon_desert_medium', 'desert krayt dragon');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '434', 'krayt_dragon_desert_small', 'lesser desert krayt dragon');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '435', 'krayt_dragon_wasteland_large', 'greater wasteland krayt dragon');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '436', 'krayt_dragon_wasteland_medium', 'wasteland krayt dragon');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '437', 'krayt_dragon_wasteland_small', 'lesser wasteland krayt dragon');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '438', 'kupernug', 'kupernug');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '439', 'kupernug_mountain_large', 'greater mountain kupernug');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '440', 'kupernug_mountain_medium', 'mountain kupernug');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '441', 'kupernug_mountain_small', 'lesser mountain kupernug');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '442', 'kupernug_wasteland_large', 'greater wasteland kupernug');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '443', 'kupernug_wasteland_medium', 'wasteland kupernug');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '444', 'kupernug_wasteland_small', 'lesser wasteland kupernug');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '445', 'kusak', 'kusak');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '446', 'kusak_wasteland_large', 'greater wasteland kusak');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '447', 'kusak_wasteland_medium', 'wasteland kusak');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '448', 'kusak_wasteland_small', 'lesser wasteland kusak');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '449', 'kwi', 'kwi');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '450', 'kwi_desert_large', 'greater desert kwi');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '451', 'kwi_desert_medium', 'desert kwi');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '452', 'kwi_desert_small', 'lesser desert kwi');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '453', 'kwi_forest_large', 'greater forest kwi');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '454', 'kwi_forest_medium', 'forest kwi');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '455', 'kwi_forest_small', 'lesser forest kwi');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '456', 'kwi_mountain_large', 'greater mountain kwi');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '457', 'kwi_mountain_medium', 'mountain kwi');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '458', 'kwi_mountain_small', 'lesser mountain kwi');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '459', 'laa', 'laa');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '460', 'laa_underwater_large', 'greater underwater laa');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '461', 'laa_underwater_medium', 'underwater laa');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '462', 'laa_underwater_small', 'lesser underwater laa');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '463', 'langlatch', 'langlatch');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '464', 'langlatch_forest_large', 'greater forest langlatch');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '465', 'langlatch_forest_medium', 'forest langlatch');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '466', 'langlatch_forest_small', 'lesser forest langlatch');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '467', 'langlatch_mountain_large', 'greater mountain langlatch');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '468', 'langlatch_mountain_medium', 'mountain langlatch');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '469', 'langlatch_mountain_small', 'lesser mountain langlatch');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '470', 'langlatch_wasteland_large', 'greater wasteland langlatch');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '471', 'langlatch_wasteland_medium', 'wasteland langlatch');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '472', 'langlatch_wasteland_small', 'lesser wasteland langlatch');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '473', 'lantern_bird', 'lantern bird');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '474', 'lantern_bird_forest_large', 'greater forest lantern bird');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '475', 'lantern_bird_forest_medium', 'forest lantern bird');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '476', 'lantern_bird_forest_small', 'lesser forest lantern bird');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '477', 'malkloc', 'malkloc');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '478', 'malkloc_desert_large', 'greater desert malkloc');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '479', 'malkloc_desert_medium', 'desert malkloc');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '480', 'malkloc_desert_small', 'lesser desert malkloc');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '481', 'malkloc_forest_large', 'greater forest malkloc');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '482', 'malkloc_forest_medium', 'forest malkloc');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '483', 'malkloc_forest_small', 'lesser forest malkloc');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '484', 'malkloc_mountain_large', 'greater mountain malkloc');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '485', 'malkloc_mountain_medium', 'mountain malkloc');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '486', 'malkloc_mountain_small', 'lesser mountain malkloc');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '487', 'mamien', 'mamien');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '488', 'mamien_jungle_large', 'greater jungle mamien');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '489', 'mamien_jungle_medium', 'jungle mamien');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '490', 'mamien_jungle_small', 'lesser jungle mamien');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '491', 'mawgax', 'mawgax');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '492', 'mawgax_grassland_large', 'greater grassland mawgax');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '493', 'mawgax_grassland_medium', 'grassland mawgax');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '494', 'mawgax_grassland_small', 'lesser grassland mawgax');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '495', 'mawgax_mountain_large', 'greater mountain mawgax');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '496', 'mawgax_mountain_medium', 'mountain mawgax');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '497', 'mawgax_mountain_small', 'lesser mountain mawgax');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '498', 'merek', 'merek');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '499', 'merek_jungle_large', 'greater jungle merek');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '500', 'merek_jungle_medium', 'jungle merek');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '501', 'merek_jungle_small', 'lesser jungle merek');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '502', 'merek_swamp_large', 'greater swamp merek');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '503', 'merek_swamp_medium', 'swamp merek');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '504', 'merek_swamp_small', 'lesser swamp merek');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '505', 'mott', 'mott');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '506', 'mott_grassland_large', 'greater grassland mott');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '507', 'mott_grassland_medium', 'grassland mott');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '508', 'mott_grassland_small', 'lesser grassland mott');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '509', 'murra', 'murra');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '510', 'murra_grassland_large', 'greater grassland murra');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '511', 'murra_grassland_medium', 'grassland murra');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '512', 'murra_grassland_small', 'lesser grassland murra');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '513', 'murra_mountain_large', 'greater mountain murra');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '514', 'murra_mountain_medium', 'mountain murra');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '515', 'murra_mountain_small', 'lesser mountain murra');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '516', 'mynock', 'mynock');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '517', 'mynock_large', 'greater mynock');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '518', 'mynock_medium', 'mynock');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '519', 'mynock_small', 'lesser mynock');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '520', 'narglatch', 'narglatch');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '521', 'narglatch_swamp_large', 'greater swamp narglatch');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '522', 'narglatch_swamp_medium', 'swamp narglatch');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '523', 'narglatch_swamp_small', 'lesser swamp narglatch');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '524', 'nerf', 'nerf');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '525', 'nerf_grassland_large', 'greater grassland nerf');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '526', 'nerf_grassland_medium', 'grassland nerf');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '527', 'nerf_grassland_small', 'lesser grassland nerf');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '528', 'nuna', 'nuna');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '529', 'nuna_forest_large', 'greater forest nuna');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '530', 'nuna_forest_medium', 'forest nuna');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '531', 'nuna_forest_small', 'lesser forest nuna');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '532', 'nuna_grassland_large', 'greater grassland nuna');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '533', 'nuna_grassland_medium', 'grassland nuna');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '534', 'nuna_grassland_small', 'lesser grassland nuna');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '535', 'nuna_swamp_large', 'greater swamp nuna');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '536', 'nuna_swamp_medium', 'swamp nuna');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '537', 'nuna_swamp_small', 'lesser swamp nuna');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '538', 'opee_sea_killer', 'opee sea killer');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '539', 'opee_sea_killer_underwater_large', 'greater opee sea killer');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '540', 'opee_sea_killer_underwater_medium', 'opee sea killer');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '541', 'opee_sea_killer_underwater_small', 'lesser opee sea killer');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '542', 'peko_peko', 'peko-peko');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '543', 'peko_peko_forest_large', 'greater forest peko-peko');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '544', 'peko_peko_forest_medium', 'forest peko-peko');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '545', 'peko_peko_forest_small', 'lesser forest peko-peko');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '546', 'peko_peko_grassland_large', 'greater grassland peko-peko');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '547', 'peko_peko_grassland_medium', 'grassland peko-peko');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '548', 'peko_peko_grassland_small', 'lesser grassland peko-peko');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '549', 'peko_peko_swamp_large', 'greater swamp peko-peko');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '550', 'peko_peko_swamp_medium', 'swamp peko-peko');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '551', 'peko_peko_swamp_small', 'lesser swamp peko-peko');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '552', 'perlek', 'perlek');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '553', 'perlek_grassland_large', 'greater grassland perlek');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '554', 'perlek_grassland_medium', 'grassland perlek');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '555', 'perlek_grassland_small', 'lesser grassland perlek');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '556', 'perlek_jungle_large', 'greater jungle perlek');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '557', 'perlek_jungle_medium', 'jungle perlek');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '558', 'perlek_jungle_small', 'lesser jungle perlek');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '559', 'pharple', 'pharple');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '560', 'pharple_wasteland_large', 'greater wasteland pharple');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '561', 'pharple_wasteland_medium', 'wasteland pharple');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '562', 'pharple_wasteland_small', 'lesser wasteland pharple');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '563', 'piket', 'piket');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '564', 'piket_grassland_large', 'greater grassland piket');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '565', 'piket_grassland_medium', 'grassland piket');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '566', 'piket_grassland_small', 'lesser grassland piket');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '567', 'plumed_rasp', 'plumed rasp');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '568', 'plumed_rasp_forest_large', 'greater forest plumed rasp');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '569', 'plumed_rasp_forest_medium', 'forest plumed rasp');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '570', 'plumed_rasp_forest_small', 'lesser forest plumed rasp');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '571', 'plumed_rasp_mountain_large', 'greater mountain plumed rasp');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '572', 'plumed_rasp_mountain_medium', 'mountain plumed rasp');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '573', 'plumed_rasp_mountain_small', 'lesser mountain plumed rasp');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '574', 'pufferfish', 'pufferfish');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '575', 'pufferfish_underwater_large', 'greater underwater pufferfish');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '576', 'pufferfish_underwater_medium', 'underwater pufferfish');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '577', 'pufferfish_underwater_small', 'lesser underwater pufferfish');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '578', 'pugoriss', 'pugoriss');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '579', 'pugoriss_grassland_large', 'greater grassland pugoriss');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '580', 'pugoriss_grassland_medium', 'grassland pugoriss');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '581', 'pugoriss_grassland_small', 'lesser grassland pugoriss');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '582', 'purbole', 'purbole');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '583', 'purbole_forest_large', 'greater forest purbole');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '584', 'purbole_forest_medium', 'forest purbole');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '585', 'purbole_forest_small', 'lesser forest purbole');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '586', 'quenker', 'quenker');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '587', 'quenker_grassland_large', 'greater grassland quenker');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '588', 'quenker_grassland_medium', 'grassland quenker');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '589', 'quenker_grassland_small', 'lesser grassland quenker');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '590', 'qurvel', 'qurvel');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '591', 'qurvel_forest_large', 'greater forest qurvel');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '592', 'qurvel_forest_medium', 'forest qurvel');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '593', 'qurvel_forest_small', 'lesser forest qurvel');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '594', 'qurvel_mountain_large', 'greater mountain qurvel');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '595', 'qurvel_mountain_medium', 'mountain qurvel');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '596', 'qurvel_mountain_small', 'lesser mountain qurvel');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '597', 'rancor', 'rancor');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '598', 'rancor_desert_large', 'greater desert rancor');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '599', 'rancor_desert_medium', 'desert rancor');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '600', 'rancor_desert_small', 'lesser desert rancor');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '601', 'rancor_mountain_large', 'greater mountain rancor');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '602', 'rancor_mountain_medium', 'mountain rancor');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '603', 'rancor_mountain_small', 'lesser mountain rancor');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '604', 'ray', 'ray');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '605', 'ray_underwater_large', 'greater underwater ray');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '606', 'ray_underwater_medium', 'underwater ray');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '607', 'ray_underwater_small', 'lesser underwater ray');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '608', 'remmer', 'remmer');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '609', 'remmer_grassland_large', 'greater grassland remmer');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '610', 'remmer_grassland_medium', 'grassland remmer');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '611', 'remmer_grassland_small', 'lesser grassland remmer');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '612', 'remmer_jungle_large', 'greater jungle remmer');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '613', 'remmer_jungle_medium', 'jungle remmer');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '614', 'remmer_jungle_small', 'lesser jungle remmer');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '615', 'reptilian_flyer', 'reptilian flyer');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '616', 'reptilian_flyer_forest_large', 'greater forest reptilian flyer');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '617', 'reptilian_flyer_forest_medium', 'forest reptilian flyer');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '618', 'reptilian_flyer_forest_small', 'lesser forest reptilian flyer');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '619', 'reptilian_flyer_mountain_large', 'greater mountain reptilian flyer');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '620', 'reptilian_flyer_mountain_medium', 'mountain reptilian flyer');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '621', 'reptilian_flyer_mountain_small', 'lesser mountain reptilian flyer');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '622', 'roba', 'roba');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '623', 'roba_grassland_large', 'greater grassland roba');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '624', 'roba_grassland_medium', 'grassland roba');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '625', 'roba_grassland_small', 'lesser grassland roba');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '626', 'roba_hill_large', 'greater hill roba');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '627', 'roba_hill_medium', 'hill roba');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '628', 'roba_hill_small', 'lesser hill roba');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '629', 'rock_mite', 'rock mite');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '630', 'rock_mite_desert_large', 'greater desert rock mite');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '631', 'rock_mite_desert_medium', 'desert rock mite');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '632', 'rock_mite_desert_small', 'lesser desert rock mite');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '633', 'rock_mite_mountain_large', 'greater mountain rock mite');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '634', 'rock_mite_mountain_medium', 'mountain rock mite');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '635', 'rock_mite_mountain_small', 'lesser mountain rock mite');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '636', 'rock_mite_wasteland_large', 'greater wasteland rock mite');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '637', 'rock_mite_wasteland_medium', 'wasteland rock mite');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '638', 'rock_mite_wasteland_small', 'lesser wasteland rock mite');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '639', 'ronto', 'ronto');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '640', 'ronto_desert_large', 'greater desert ronto');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '641', 'ronto_desert_medium', 'desert ronto');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '642', 'ronto_desert_small', 'lesser desert ronto');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '643', 'ronto_dune_large', 'greater dune ronto');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '644', 'ronto_dune_medium', 'dune ronto');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '645', 'ronto_dune_small', 'lesser dune ronto');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '646', 'salt_mynock', 'salt mynock');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '647', 'salt_mynock_mountain_large', 'greater mountain salt mynock');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '648', 'salt_mynock_mountain_medium', 'mountain salt mynock');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '649', 'salt_mynock_mountain_small', 'lesser mountain salt mynock');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '650', 'salt_mynock_wasteland_large', 'greater wasteland salt mynock');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '651', 'salt_mynock_wasteland_medium', 'wasteland salt mynock');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '652', 'salt_mynock_wasteland_small', 'lesser wasteland salt mynock');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '653', 'sarlacc', 'sarlacc');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '654', 'sarlacc_desert_large', 'greater desert sarlacc');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '655', 'sarlacc_desert_medium', 'desert sarlacc');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '656', 'sarlacc_desert_small', 'lesser desert sarlacc');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '657', 'scurrier', 'scurrier');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '658', 'scurrier_desert_large', 'greater desert scurrier');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '659', 'scurrier_desert_medium', 'desert scurrier');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '660', 'scurrier_desert_small', 'lesser desert scurrier');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '661', 'scurrier_dune_large', 'greater dune scurrier');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '662', 'scurrier_dune_medium', 'dune scurrier');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '663', 'scurrier_dune_small', 'lesser dune scurrier');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '664', 'scurrier_mountain_large', 'greater mountain scurrier');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '665', 'scurrier_mountain_medium', 'mountain scurrier');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '666', 'scurrier_mountain_small', 'lesser mountain scurrier');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '667', 'scurrier_wasteland_large', 'greater wasteland scurrier');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '668', 'scurrier_wasteland_medium', 'wasteland scurrier');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '669', 'scurrier_wasteland_small', 'lesser wasteland scurrier');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '670', 'sharnaff', 'sharnaff');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '671', 'sharnaff_forest_large', 'greater forest sharnaff');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '672', 'sharnaff_forest_medium', 'forest sharnaff');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '673', 'sharnaff_forest_small', 'lesser forest sharnaff');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '674', 'sharnaff_grassland_large', 'greater grassland sharnaff');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '675', 'sharnaff_grassland_medium', 'grassland sharnaff');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '676', 'sharnaff_grassland_small', 'lesser grassland sharnaff');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '677', 'shaupaut', 'shaupaut');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '678', 'shaupaut_forest_large', 'greater forest shaupaut');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '679', 'shaupaut_forest_medium', 'forest shaupaut');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '680', 'shaupaut_forest_small', 'lesser forest shaupaut');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '681', 'shaupaut_swamp_large', 'greater swamp shaupaut');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '682', 'shaupaut_swamp_medium', 'swamp shaupaut');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '683', 'shaupaut_swamp_small', 'lesser swamp shaupaut');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '684', 'shear_mite', 'shear mite');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '685', 'shear_mite_forest_large', 'greater forest shear mite');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '686', 'shear_mite_forest_medium', 'forest shear mite');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '687', 'shear_mite_forest_small', 'lesser forest shear mite');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '688', 'shear_mite_mountain_large', 'greater mountain shear mite');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '689', 'shear_mite_mountain_medium', 'mountain shear mite');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '690', 'shear_mite_mountain_small', 'lesser mountain shear mite');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '691', 'skreeg', 'skreeg');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '692', 'skreeg_jungle_large', 'greater jungle skreeg');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '693', 'skreeg_jungle_medium', 'jungle skreeg');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '694', 'skreeg_jungle_small', 'lesser jungle skreeg');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '695', 'skreeg_swamp_large', 'greater swamp skreeg');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '696', 'skreeg_swamp_medium', 'swamp skreeg');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '697', 'skreeg_swamp_small', 'lesser swamp skreeg');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '698', 'snorbal', 'snorbal');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '699', 'snorbal_grassland_large', 'greater grassland snorbal');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '700', 'snorbal_grassland_medium', 'grassland snorbal');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '701', 'snorbal_grassland_small', 'lesser grassland snorbal');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '702', 'snorbal_hill_large', 'greater hill snorbal');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '703', 'snorbal_hill_medium', 'hill snorbal');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '704', 'snorbal_hill_small', 'lesser hill snorbal');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '705', 'spined_puc', 'spined puc');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '706', 'spined_puc_underwater_large', 'greater underwater spined puc');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '707', 'spined_puc_underwater_medium', 'underwater spined puc');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '708', 'spined_puc_underwater_small', 'lesser underwater spined puc');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '709', 'spined_snake', 'spined snake');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '710', 'spined_snake_mountain_large', 'greater mountain spined snake');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '711', 'spined_snake_mountain_medium', 'mountain spined snake');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '712', 'spined_snake_mountain_small', 'lesser mountain spined snake');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '713', 'spined_snake_wasteland_large', 'greater wasteland spined snake');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '714', 'spined_snake_wasteland_medium', 'wasteland spined snake');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '715', 'spined_snake_wasteland_small', 'lesser wasteland spined snake');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '716', 'squall', 'squall');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '717', 'squall_grassland_large', 'greater grassland squall');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '718', 'squall_grassland_medium', 'grassland squall');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '719', 'squall_grassland_small', 'lesser grassland squall');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '720', 'squill', 'squill');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '721', 'squill_desert_large', 'greater desert squill');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '722', 'squill_desert_medium', 'desert squill');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '723', 'squill_desert_small', 'lesser desert squill');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '724', 'stintaril', 'stintaril');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '725', 'stintaril_jungle_large', 'greater jungle stintaril');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '726', 'stintaril_jungle_medium', 'jungle stintaril');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '727', 'stintaril_jungle_small', 'lesser jungle stintaril');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '728', 'stintaril_swamp_large', 'greater swamp stintaril');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '729', 'stintaril_swamp_medium', 'swamp stintaril');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '730', 'stintaril_swamp_small', 'lesser swamp stintaril');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '731', 'striped_fish', 'striped fish');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '732', 'striped_fish_underwater_large', 'greater underwater striped fish');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '733', 'striped_fish_underwater_medium', 'underwater striped fish');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '734', 'striped_fish_underwater_small', 'lesser underwater striped fish');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '735', 'swirl_prong', 'swirl prong');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '736', 'swirl_prong_grassland_large', 'greater grassland swirl prong');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '737', 'swirl_prong_grassland_medium', 'grassland swirl prong');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '738', 'swirl_prong_grassland_small', 'lesser grassland swirl prong');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '739', 'tanc_mite', 'tanc mite');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '740', 'tanc_mite_mountain_large', 'greater mountain tanc mite');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '741', 'tanc_mite_mountain_medium', 'mountain tanc mite');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '742', 'tanc_mite_mountain_small', 'lesser mountain tanc mite');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '743', 'thune', 'thune');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '744', 'thune_grassland_large', 'greater grassland thune');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '745', 'thune_grassland_medium', 'grassland thune');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '746', 'thune_grassland_small', 'lesser grassland thune');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '747', 'torton', 'torton');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '748', 'torton_grassland_large', 'greater grassland torton');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '749', 'torton_grassland_medium', 'grassland torton');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '750', 'torton_grassland_small', 'lesser grassland torton');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '751', 'tusk_cat', 'tusk-cat');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '752', 'tusk_cat_grassland_large', 'greater grassland tusk-cat');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '753', 'tusk_cat_grassland_medium', 'grassland tusk-cat');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '754', 'tusk_cat_grassland_small', 'lesser grassland tusk-cat');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '755', 'tybis', 'tybis');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '756', 'tybis_grassland_large', 'greater grassland tybis');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '757', 'tybis_grassland_medium', 'grassland tybis');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '758', 'tybis_grassland_small', 'lesser grassland tybis');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '759', 'veermok', 'veermok');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '760', 'veermok_forest_large', 'greater forest veermok');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '761', 'veermok_forest_medium', 'forest veermok');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '762', 'veermok_forest_small', 'lesser forest veermok');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '763', 'veermok_swamp_large', 'greater swamp veermok');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '764', 'veermok_swamp_medium', 'swamp veermok');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '765', 'veermok_swamp_small', 'lesser swamp veermok');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '766', 'verne', 'verne');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '767', 'verne_forest_large', 'greater forest verne');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '768', 'verne_forest_medium', 'forest verne');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '769', 'verne_forest_small', 'lesser forest verne');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '770', 'vesp', 'vesp');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '771', 'vesp_desert_large', 'greater desert vesp');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '772', 'vesp_desert_medium', 'desert vesp');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '773', 'vesp_desert_small', 'lesser desert vesp');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '774', 'vesp_mountain_large', 'greater mountain vesp');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '775', 'vesp_mountain_medium', 'mountain vesp');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '776', 'vesp_mountain_small', 'lesser mountain vesp');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '777', 'vir_vir', 'vir vir');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '778', 'vir_vir_grassland_large', 'greater grassland vir vir');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '779', 'vir_vir_grassland_medium', 'vir vir grassland');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '780', 'vir_vir_grassland_small', 'lesser grassland vir vir');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '781', 'vir_vir_hill_large', 'greater hill vir vir');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '782', 'vir_vir_hill_medium', 'vir vir hill');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '783', 'vir_vir_hill_small', 'lesser hill vir vir');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '784', 'vlutore', 'vlutore');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '785', 'vlutore_grassland_large', 'greater grassland vlutore');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '786', 'vlutore_grassland_medium', 'grassland vlutore');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '787', 'vlutore_grassland_small', 'lesser grassland vlutore');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '788', 'vlutore_mountain_large', 'greater mountain vlutore');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '789', 'vlutore_mountain_medium', 'mountain vlutore');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '790', 'vlutore_mountain_small', 'lesser mountain vlutore');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '791', 'vog_eel', 'vog eel');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '792', 'vog_eel_underwater_large', 'greater underwater vog eel');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '793', 'vog_eel_underwater_medium', 'underwater vog eel');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '794', 'vog_eel_underwater_small', 'lesser underwater vog eel');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '795', 'voritor_lizard', 'voritor lizard');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '796', 'voritor_lizard_grassland_large', 'greater grassland voritor lizard');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '797', 'voritor_lizard_grassland_medium', 'grassland voritor lizard');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '798', 'voritor_lizard_grassland_small', 'lesser grassland voritor lizard');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '799', 'voritor_lizard_mountain_large', 'greater mountain voritor lizard');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '800', 'voritor_lizard_mountain_medium', 'mountain voritor lizard');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '801', 'voritor_lizard_mountain_small', 'lesser mountain voritor lizard');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '802', 'vynock', 'vynock');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '803', 'vynock_dune_large', 'greater dune vynock');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '804', 'vynock_dune_medium', 'dune vynock');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '805', 'vynock_dune_small', 'lesser dune vynock');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '806', 'vynock_mountain_large', 'greater mountain vynock');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '807', 'vynock_mountain_medium', 'mountain vynock');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '808', 'vynock_mountain_small', 'lesser mountain vynock');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '809', 'vynock_wasteland_large', 'greater wasteland vynock');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '810', 'vynock_wasteland_medium', 'wasteland vynock');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '811', 'vynock_wasteland_small', 'lesser wasteland vynock');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '812', 'whisper_bird', 'whisper bird');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '813', 'whisper_bird_jungle_large', 'greater jungle whisper bird');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '814', 'whisper_bird_jungle_medium', 'jungle whisper bird');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '815', 'whisper_bird_jungle_small', 'lesser jungle whisper bird');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '816', 'whisper_bird_swamp_large', 'greater swamp whisper bird');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '817', 'whisper_bird_swamp_medium', 'swamp whisper bird');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '818', 'whisper_bird_swamp_small', 'lesser swamp whisper bird');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '819', 'winged_ornith', 'winged ornith');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '820', 'winged_ornith_grassland_large', 'greater grassland winged ornith');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '821', 'winged_ornith_grassland_medium', 'grassland winged ornith');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '822', 'winged_ornith_grassland_small', 'lesser grassland winged ornith');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '823', 'winged_ornith_jungle_large', 'greater jungle winged ornith');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '824', 'winged_ornith_jungle_medium', 'jungle winged ornith');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '825', 'winged_ornith_jungle_small', 'lesser jungle winged ornith');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '826', 'womp_rat', 'womp rat');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '827', 'womp_rat_desert_large', 'greater desert womp rat');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '828', 'womp_rat_desert_medium', 'desert womp rat');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '829', 'womp_rat_desert_small', 'lesser desert womp rat');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '830', 'woolamander', 'woolamander');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '831', 'woolamander_jungle_large', 'greater jungle woolamander');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '832', 'woolamander_jungle_medium', 'jungle woolamander');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '833', 'woolamander_jungle_small', 'lesser jungle woolamander');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '834', 'worrt', 'worrt');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '835', 'worrt_desert_large', 'greater desert worrt');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '836', 'worrt_desert_medium', 'desert worrt');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '837', 'worrt_desert_small', 'lesser desert worrt');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '838', 'zucca_boar', 'zucca boar');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '839', 'zucca_boar_desert_large', 'greater desert zucca boar');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '840', 'zucca_boar_desert_medium', 'desert zucca boar');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '841', 'zucca_boar_desert_small', 'lesser desert zucca boar');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '842', 'zucca_boar_dune_large', 'greater dune zucca boar');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '843', 'zucca_boar_dune_medium', 'dune zucca boar');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '844', 'zucca_boar_dune_small', 'lesser dune zucca boar');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '845', 'zucca_boar_wasteland_large', 'greater wasteland zucca boar');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '846', 'zucca_boar_wasteland_medium', 'wasteland zucca boar');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '847', 'zucca_boar_wasteland_small', 'lesser wasteland zucca boar');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '848', 'monstrosity', 'The Monstrosity');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '849', 'monstrosity_bike', 'The Monstrosity - Bike Edition');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '850', 'speederbike_swoop', 'Speederbike Swoop');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '851', 'speederbike', 'Speederbike');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '852', 'landspeeder_x34', 'X34 Landspeeder');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '853', 'grovo', 'Grovo');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '854', 'acklay', 'an acklay');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '855', 'landspeeder_av21', 'AV-21 Landspeeder');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '856', 'jetpack', 'Jetpack');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '857', 'speederbike_flash', 'Flash Speeder');
INSERT INTO `client_strings` VALUES ('string/en/monster_name.stf', '858', 'landspeeder_x31', 'X31 Landspeeder');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '1', 'absentminded', 'absentminded\n~\nabsentmindedly\n, showing preoccupation\n, lost in thought\n, deep in thought\n, heedless of the current situation\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '3', 'amazed', 'amazed\n~\n, amazed\n, in amazement\nincredulously\n, filled with wonder\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '4', 'amused', 'amused\nhappy\n, amused\n, pleasantly entertained\n, appearing amused\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '5', 'angry', 'angry\nangry\nangrily\n, angry\n, filled with ire\nfuriously\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '6', 'approving', 'approving\n~\napprovingly\n, approving\n, speaking favorably\nconsentingly\nsupportively\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '7', 'disoriented', 'disoriented\n~\nbewilderedly\n, having lost bearing\n, feeling disoriented\n, appearing slightly lost\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '8', 'bitter', 'bitter\n~\nbitterly\n, bitter\ncynically\nresentfully\nacrimoniously\ncaustically\n, in a rancorous manner\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '9', 'bloodthirsty', 'bloodthirsty\n~\n, bloodthirsty\n, eager for bloodshed\nbloodthirstily\n, with a cruelly ferocious demeanor\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '11', 'brave', 'brave\n~\nbravely\ncourageously\nvaliantly\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '12', 'callous', 'callous\n~\ncallously\nunfeelingly\n, sans any sense of empathy\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '13', 'careful', 'careful\n~\ncarefully\ncautiously\n, after due thought\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '14', 'careless', 'careless\n~\ncarelessly\ninconsiderately\n, without much forethought\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '15', 'casual', 'casual\n~\ncasually\nextemporaneously\noffhandedly\n, almost impulsively\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '16', 'clinical', 'clinical\n~\nclinically\nanalytically\nobjectively\n, devoid of emotion\n, as if scientifically detached \n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '17', 'cocky', 'cocky\n~\ncockily\n, overly self-confident\n, overly self-assertive\n, with a distinct cockiness\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '18', 'cold', 'cold\n~\ncoldly\naloofly\n, without enthusiasm\n, appearing emotionally distant\n, in an unfriendly manner\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '19', 'compassionate', 'compassionate\n~\ncompassionately\n, showing compassion\n, expressing sympathy\nhumanely\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '20', 'condescending', 'condescending\n~\ncondescendingly\npatronizingly\n, assuming an air of superiority\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '21', 'confident', 'confident\n~\nconfidently\n, with self-assurance\n, with a strong sense of confidence\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '22', 'confused', 'confused\n~\n, confused\n, somewhat discombobulated\n, appearing slightly befuddled\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '23', 'content', 'content\nhappy\ncontentedly\n, duly satisfied\n, with moderate happiness\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '24', 'courtly', 'courtly\n~\n, in a courtly manner\ngallantly\nwith a flourish\nwith utmost politeness\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '25', 'coy', 'coy\n~\ncoyly\ndemurely\nshyly, with a hint of playfulness\nover-modestly\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '26', 'crude', 'crude\n~\ncrudely\n, in an earthy manner\nvulgarly\n, with coarse language\ntactlessly\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '27', 'cruel', 'cruel\n~\ncruelly\n, intent on causing pain\nferociously\nfiercely\nsavagely\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '28', 'curious', 'curious\n~\ncuriously\ninquisitively\n, almost pryingly\n, eager to learn\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '29', 'cynical', 'cynical\n~\ncynically\n, being cynical\n, with scornful skepticism\npessimistically\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '30', 'defensive', 'defensive\n~\ndefensively\nprotectively\n, trying to avoid criticism\n, at arm\'s distance\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '31', 'depressed', 'depressed\nsad\ndejectedly\n, with low spirits\n, without fervor\nunpassionately\nsadly\nunhappily\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '32', 'devious', 'devious\n~\ndeviously\nshiftily\nevasively\n, in a roundabout manner\n, almost deceitfully\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '33', 'dimwitted', 'dimwitted\n~\n, being dimwitted\nobtusely\ndumbly\ndensely\n, being thickheaded\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '34', 'disappointed', 'disappointed\nsad\n, somewhat disappointed\n, appearing unsatisfied\n, unhappy with recent events\n, expressing thwarted expectations\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '35', 'discreet', 'discreet\n~\ndiscreetly\ncircumspectly\n, exercising due prudence and self-restraint\ncarefully\npolitically\n, without pretension\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '36', 'disgruntled', 'disgruntled\nangry\ndisappointedly\n, with discontent\n, expressing sulky dissatisfaction\n, dissatisfied\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '37', 'disgusted', 'disgusted\n~\ndisgustedly\n, with disgust\n, filled with abhorrence\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '38', 'dismayed', 'dismayed\nsad\n, disenchanted\n, somewhat upset\n, with disillusionment\n, with a loss of enthusiasm\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '39', 'distracted', 'distracted\n~\n, distracted\n, losing focus\n, diverting attention\n, returning to the topic\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '40', 'doubtful', 'doubtful\n~\ndoubtfully\n, experiencing doubt\n, with a tone of uncertainty\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '41', 'dramatic', 'dramatic\n~\ndramatically\n, after a dramatic pause\n, with dramatic emphasis\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '42', 'dreamy', 'dreamy\n~\ndreamily\n, lost in the clouds\n, almost as an afterthought\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '43', 'drunk', 'drunk\n~\ndrunkenly\n, slurring several words\n, in a drunken stupor\n, almost incomprehensibly\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '44', 'earnest', 'earnest\n~\nearnestly\n, with sincerity\n, trying to be earnest\n, with sincere intent\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '45', 'ecstatic', 'ecstatic\nhappy\necstatically\n, with great enthusiasm\n, filled with immense joy\n, bouncing off the walls\n, bubbling with delight\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '46', 'embarrassed', 'embarrassed\n~\nembarrassedly\n, feeling self-conscious\n, appearing ill at ease\n, with chagrin\n, somewhat abashed\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '47', 'emphatic', 'emphatic\n~\nemphatically\n, with emphasis\nforcefully\n, emphasizing each word\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '48', 'encouraging', 'encouraging\n~\nencouragingly\n, in an encouraging manner\n, trying to provide confidence\ninspiringly\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '49', 'enthusiastic', 'enthusiastic\n~\nenthusiastically\n, with enthusiasm\nzealously\npassionately\nfervently\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '50', 'evil', 'evil\n~\nevilly\nwickedly\n, with dark overtones\n, in a wicked evil manner\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '51', 'exasperated', 'exasperated\nangry\nexasperatedly\n, appearing greatly annoyed\n, out of patience\n, becoming more agitated\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '52', 'exuberant', 'exuberant\nhappy\nexuberantly\n, with unrestrained joy\n, filled with excessive happiness\n, with zestful enthusiasm\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '53', 'fanatical', 'fanatical\n~\nfanatically\n, with passionate fanaticism\n, possessed with overwhelming zeal\n, in a verbal frenzy of unreasoning enthusiasm\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '54', 'forgive', 'forgive\n~\nforgivingly\n, overlooking potential offenses\n, in a forgiving manner\n, with understanding and compassion\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '55', 'frustrated', 'frustrated\n~\n, feeling thwarted\n, experiencing discouragement\n, appearing bedeviled\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '56', 'guilty', 'guilty\n~\nguiltily\n, feeling guilty\n, with regret\n, feeling blameworthy\n, with a sense of guilt\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '57', 'happy', 'happy\nhappy\nhappily\ncheerily\n, with pleasure\n, marked by happiness\ncontentedly\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '58', 'honest', 'honest\n~\nhonestly\n, trying to display integrity\nsincerely\nfrankly\nearnestly\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '59', 'hopeful', 'hopeful\n~\nhopefully\n, full of hope\n, looking forward with confidence\n, foreseeing fulfillment of expectations\n, thinking all will be well\n, with a pleasing expectancy\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '60', 'hopeless', 'hopeless\n~\nhopelessly\n, as if all was already lost\nbleakly\n, with a somber and gloomy outlook\n, without hope\n, almost despairingly\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '61', 'humble', 'humble\n~\nhumbly\n, with submissive respect\nmeekly\nmodestly\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '62', 'hysterical', 'hysterical\n~\nhysterically\n, amidst a fit of hysteria\n, in a frenzy of unbridled emotion\nover-excitedly\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '63', 'indifferent', 'indifferent\n~\nindifferently\napathetically\n, showing little emotion\n, seemingly uncaring\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '64', 'imploring', 'imploring\n~\nimploringly\nentreatingly\n, in an earnest request\nbeseechingly\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '65', 'indignant', 'indignant\nangry\nindignantly\n, filled with indignation\n, angered about something unjust\n, nearing outrage\n, feeling some righteous anger\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '66', 'interested', 'interested\n~\ninterestedly\n, showing interest\n, displaying an aroused curiosity\n, desiring to know more\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '67', 'jealous', 'jealous\n~\njealously\n, green with envy\nenviously\n, in an almost covetous manner\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '68', 'joyful', 'joyful\nhappy\njoyfully\n, filled with joy\ngleefully\n, enjoying high-spirited delight\n, with immense happiness\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '69', 'lofty', 'lofty\n~\nloftily\n, with lofty overtones\nidealistically\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '70', 'loud', 'loud\n~\nloudly\nboisterously\n, in a rather loud volume\nloudly, as if making sure to be heard\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '71', 'loving', 'loving\n~\nlovingly\ntenderly\naffectionately\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '72', 'lustful', 'lustful\n~\nlustfully\n, with lust in %PU eyes\nsalaciously\nbawdily\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '73', 'mean', 'mean\n~\nmeanly\ninconsiderately\n, without empathy\nspitefully\nignobly\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '74', 'mischievous', 'mischievous\n~\nmischievously\nplayfully\nteasingly\nimpishly\npuckishly\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '75', 'nervous', 'nervous\n~\nnervously\n, in a slightly shaky voice\n, sounding a bit jumpy\n, with an air of apprehension\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '76', 'neutral', 'neutral\n~\nneutrally\n, taking neither side\nimpartially\n, trying to maintain neutrality\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '77', 'offended', 'offended\n~\n, having taken offense\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '78', 'optimistic', 'optimistic\n~\noptimistically\nhopefully\nsanguinely\n, expecting favorable future events\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '79', 'pedantic', 'pedantic\n~\npedantically\nacademically\nclinically\n, sounding very donnish\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '80', 'pessimistic', 'pessimistic\n~\npessimistically\n, taking a gloomy viewpoint\n, expecting unfavorable outcomes\n, exuding an air of negativity\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '81', 'petulant', 'petulant\n~\npetulantly\ncrankily\npeevishly\ntestily\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '82', 'philosophical', 'philosophical\n~\nphilosophically\nloftily\nidealistically\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '83', 'pitying', 'pitying\n~\npityingly\ncompassionately\n, expressing %PU commiseration\nsympathetically\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '84', 'playful', 'playful\nhappy\nplayfully\n, with high-spirits\nsportively\nlightheartedly\nfrolicsomely\n, full of gaiety\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '85', 'polite', 'polite\n~\npolitely\nmannerly\ntactfully\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '86', 'pompous', 'pompous\n~\npompously\narrogantly\nhaughtily\npretentiously\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '87', 'proud', 'proud\n~\nproudly\n, with self-satisfaction\n, displaying strong self-respect\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '88', 'provocative', 'provocative\n~\nprovocatively\n, in a provocative manner\nprovokingly\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '89', 'puzzled', 'puzzled\n~\n, feeling puzzled\n, filled with bewilderment\n, appearing somewhat perplexed\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '90', 'regretful', 'regretful\nsad\nregretfully\nremorsefully\n, with a sense of regret\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '91', 'relieved', 'relieved\n~\n, feeling relieved\n, with concerns assuaged\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '92', 'reluctant', 'reluctant\n~\nreluctantly\nhesitantly\n, in a reluctant voice\n, with hesitation\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '93', 'resigned', 'resigned\n~\nresignedly\n, accepting the inevitability of things to come\n, with unresisting acquiescence\n, with patient submission\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '94', 'respectful', 'respectful\n~\nrespectfully\n, with due respect\n, begging your pardon\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '95', 'romantic', 'romantic\n~\nromantically\n, with a hint of interest in %PU eyes\n, feeling romantic\n, given to feelings of romance\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '96', 'rude', 'rude\n~\nrudely\nimpolitely\ndiscourteously\n, with a rude manner\n, in an impolite tone\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '97', 'sad', 'sad\nsad\nsadly\nunhappily\n, expressing sorrow\n, feeling sad\n,somewhat depressed\n, sounding kind of down\nsorrowfully\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '98', 'sarcastic', 'sarcastic\n~\nsarcastically\n, in a sarcastic tone\nwittily\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '99', 'scared', 'scared\n~\n, in a scared tone\n, with a trembling voice\n, expressing fear\n, appearing somewhat frightened\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '100', 'scolding', 'scolding\n~\nreproachfully\nreprovingly\n, in a scolding manner\n, being openly critical\n in reproof\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '101', 'scornful', 'scornful\n~\nscornfully\ncontemptuously\nscoffingly\n, feeling disdain\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '102', 'serious', 'serious\n~\nseriously\n, in a serious tone\ngravely\n earnestly\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '103', 'shameless', 'shameless\n~\nshamelessly\n, without shame\nunblushingly\n, feeling impervious to disgrace\nbrazenly\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '104', 'shocked', 'shocked\n~\n, taken aback\n, somewhat shocked\n, with moderate surprise\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '105', 'shy', 'shy\n~\nshyly\ntimidly\nhesitantly\ndiffidently\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '106', 'sincere', 'sincere\n~\nsincerely\nearnestly\n, without pretense\n, with a heartfelt honesty\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '107', 'sleepy', 'sleepy\n~\nsleepily\n, with drawn out words\ndrowsily\nsluggishly\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '108', 'sly', 'sly\n~\nslyly\nroguishly\n, with playful mischievousness\nknavishly\n, with an artistic flair\nwith a sly glint in %PU eyes\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '109', 'smug', 'smug\n~\nsmugly\n, with self-righteous complacency\n, exhibiting great self-satisfaction\nself-righteously\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '110', 'snobby', 'snobby\n~\nsnobbishly\npretentiously\n, with an air of self-satisfied superiority\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '112', 'sorry', 'sorry\n~\napologetically\n, feeling sorry\n, in an apologetic manner\n, conscious of %PU own shortcomings\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '113', 'spiteful', 'spiteful\n~\nspitefully\n, with spite\n, in a malicious manner\n in a voice dripping with venom\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '114', 'stubborn', 'stubborn\n~\nstubbornly\nresolutely\nunwaveringly\nunyieldingly\n, with purposeful determination\n, stubborn as a dewback\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '115', 'sullen', 'sullen\n~\nsullenly\nsulkily\n, in dismal spirits\n, in a gloomy manner\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '116', 'suspicious', 'suspicious\n~\nsuspiciously\n, expressing suspicion\n, with a hint of distrust\nmistrustfully\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '117', 'taunting', 'taunting\n~\ntauntingly\njeeringly\nmockingly\n, trying to incite emotion\nprovokingly\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '118', 'terrified', 'terrified\n~\n, with a shaky voice\n, filled with terror\n, almost in a panic\n, voice all a-tremble\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '119', 'thankful', 'thankful\n~\nthankfully\n, expressing gratitude\nappreciatively\n, feeling grateful\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '120', 'thoughtful', 'thoughtful\n~\nthoughtfully\nconsiderately\nempathetically\ncarefully\n, almost solicitously\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '121', 'tolerant', 'tolerant\n~\ntolerantly\n, with respectful difference\nunderstandingly\nforbearingly\n, trying to keep an open mind\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '122', 'uncertain', 'uncertain\n~\nuncertainly\n, with uncertainty\n, expressing some doubt\nunsurely\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '123', 'unhappy', 'unhappy\nsad\nunhappily\n, somewhat displeased\n, without joy\ndiscontentedly\n, with a hint of sadness\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '124', 'unwilling', 'unwilling\n~\nunwillingly\nreluctantly\nhesitantly\n, feeling contrary\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '125', 'warm', 'warm\n~\nwarmly\ncordially\nheartily\n, with warmth and sincerity\n, in a cordial manner\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '126', 'whiny', 'whiny\n~\nwhiningly\n, in a plaintive tone\n, protesting childishly\n, habitually complaining\n, in a whining manner\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '127', 'wicked', 'wicked\n~\nwickedly\nevilly\nimpishly\ndevilishly\ndarkly\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '128', 'wistful', 'wistful\n~\nwistfully\n, full of wishful yearning\nlongingly\n, expressing unfulfilled desires\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '129', 'worried', 'worried\nworried\nworriedly\n, somewhat troubled\n, strongly concerned\nuneasily\nanxiously\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '130', 'tired', 'tired\n~\n, tired\ntiredly\n, feeling tired\n, sounding tired\n, looking haggard');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '131', 'exhausted', 'exhausted\n~\nexhaustedly\n, exhausted\n, looking exhausted\n, all worn out\n, completely exhausted');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '132', 'friendly', 'friendly\nhappy\n, with a smile\nin a friendly manner\n, acting friendly');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '133', 'timid', 'timid\n~\ntimidly\n, quite timidly\nin a small voice');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '134', 'lazy', 'lazy\n~\nlazily\n, drawling it out lazily\n, voice lazy\n, sounding lazy\n, slow and lazy');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '135', 'surprised', 'surprised\nworried\n, surprised\nin surprise\n, all surprised\n, quite surprised\n, taken by surprise\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '136', 'innocent', 'innocent\nhappy\ninnocently\n, acting innocent\n, smiling innocently\n, looking innocent\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '137', 'wise', 'wise\n~\nwisely\n, looking wise\n, all wise');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '138', 'youthful', 'youthful\n~\nyouthfully\n, full of youthful exuberance\n, acting youthful');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '139', 'adventurous', 'adventurous\n~\nadventurously\n, ready for adventure\n, eager for adventure');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '140', 'annoyed', 'annoyed\nangry\nannoyedly\n, full of annoyance\n, somewhat annoyed');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '141', 'perturbed', 'perturbed\nsad\n, somewhat perturbed\n, looking perturbed\n, rather perturbed\n\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '142', 'sedate', 'sedate\n~\nsedately\n, rather sedately\n, quite calm and sedate');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '143', 'calm', 'calm\n~\ncalmly\n, quite calm\n, cool and calm\n, calm as can be');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '145', 'suffering', 'suffering\nsad\n, suffering\n, in a pained tone of voice\n, clearly suffering\n, clearly in pain');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '146', 'hungry', 'hungry\n~\nhungrily\n, voice sounding hungry\n, with hunger in %PU eyes');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '147', 'thirsty', 'thirsty\n~\nthirstily\n, thirsty\n, a thirst in %PU voice');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '148', 'alert', 'alert\n~\nalertly\n, alert\n, looking around alertly');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '149', 'shifty', 'shifty\n~\nshiftily\ncraftily\nslyly\n, with a glint in %PU eye.');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '150', 'relaxed', 'relaxed\n~\n, relaxed\nrelaxedly\n, quite relaxed\n, laid back and relaxed');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '151', 'crotchety', 'crotchety\nangry\n, all crotchety\n, crotchety as usual\n, rather snappishly\nsnappishly\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '152', 'surly', 'surly\nangry\n, surly\nsurlily\n, all surly');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '153', 'painful', 'painful\nsad\npainfully\nwith great difficulty\nwith great pain');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '154', 'wounded', 'wounded\nsad\nwoundedly\n, wounded by the very notion\n, dismay in %PU eyes');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '155', 'bubbly', 'bubbly\nhappy\n, all bubbly\n, full of enthusiasm\n, full of energy\nwith boundless energy');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '156', 'heroic', 'heroic\n~\nheroically\n, like a hero\n, acting heroic\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '157', 'quiet', 'quiet\n~\nquietly\n, rather quietly\nsoftly\nin a soft voice');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '158', 'remorseful', 'remorseful\nsad\nremorsefully\napologetically\nsorrowfully\n, clearly sorry\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '159', 'grumpy', 'grumpy\nangry\n, all grumpy\n, grumping\n, grumpy as usual\ngrumpily');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '160', 'logical', 'logical\n~\nlogically\n, quite logically\n, proud of %PU logic');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '161', 'emotional', 'emotional\n~\nemotionally\n, overflowing with emotion\n, voice trembling with emotion');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '162', 'troubled', 'troubled\nsad\n, troubled\n, looking troubled\n, rather troubled\n, somewhat troubled');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '163', 'panicked', 'panicked\nworried\n, panicked\nin a panic\n, panicky\n, ready to bolt\n, terrified\n, eyes rolling with panic\n, utterly panicked');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '164', 'nice', 'nice\nhappy\nnicely\n, with a smile\n, all neat and nice');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '165', 'cheerful', 'cheerful\nhappy\ncheerfully\n, all cheerful\n, with a big grin on %PU face\n, beaming\nhappily');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '166', 'emotionless', 'emotionless\n~\n, emotionless\n, in a voice dead of emotion\nwithout inflection');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '167', 'gloomy', 'gloomy\nsad\n, gloomy\n, all gloomy\ndarkly\ngloomily\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '168', 'ambivalent', 'ambivalent\n~\nambivalently\n, clearly ambivalent\n, clearly undecided\n, of two minds about it');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '169', 'envious', 'envious\n~\nenviously\n, full of envy\n, green with envy\n, clearly envious');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '170', 'vengeful', 'vengeful\nangry\nvengefully\n, ready for revenge\n, ready for vengeance\n, vengeful and eager for action');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '171', 'fearful', 'fearful\nworried\nfearfully\n, full of fear\n, rather frightened\n, frightened\n, scared');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '172', 'enraged', 'enraged\nangry\n, enraged\n, full of rage\nragingly');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '173', 'sheepish', 'sheepish\nhappy\nsheepishly\n, sheepish\nrather sheepishly');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '174', 'belligerent', 'belligerent\nangry\nbelligerently\n, quite belligerent\n, clearly belligerent');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '175', 'obnoxious', 'obnoxious\n~\nobnoxiously\n, always obnoxious\nannoyingly\nin an obnoxious tone');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '176', 'fastidious', 'fastidious\n~\nfastidiously\n, clearly fastidious\nsomewhat fastidiously');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '177', 'squeamish', 'squeamish\nsad\nsqueamishly\n, fear and disgust in %PU voice\n, acting squeamish');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '178', 'dainty', 'dainty\n~\ndaintily\n, all dainty and proper\n');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '179', 'dignified', 'dignified\n~\ndignifiedly\n, all dignified\n, solemn and dignified\nsolemnly');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '180', 'haughty', 'haughty\n~\nhaughtily\n, acting superior\n, nose in the air');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '181', 'obscure', 'obscure\n~\nobscurely\nmysteriously\n, sounding obscure');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '182', 'goofy', 'goofy\nhappy\ngoofily\n, with a silly smile\n, with a goofy smile');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '183', 'silly', 'silly\nhappy\n, acting silly\n, acting goofy\n, with a goofy grin\n, with a silly smile');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '184', 'disdainful', 'disdainful\n~\ndisdainfully\n, full of disdain\nscornfully');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '185', 'contemptuous', 'contemptuous\n~\ncontemptuously\n, full of contempt\nscornfully');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '186', 'diplomatic', 'diplomatic\n~\ndiplomatically\n, always the diplomat\n, in a conciliating tone');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '187', 'wary', 'wary\n~\nwarily\n, looking wary\n, somewhat warily');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '188', 'malevolent', 'malevolent\nangry\nmalevolently\n, full of evil\nevilly');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '189', 'hurried', 'hurried\n~\nhurriedly\n, talking fast\n, words tumbling over each other in haste');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '190', 'patient', 'patient\n~\npatiently\n, showing great patience\nslowly and patiently');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '191', 'firm', 'firm\n~\nfirmly\ndecisively\n, clear and firm\n, brooking no disagreement');
INSERT INTO `client_strings` VALUES ('string/en/mood_types.stf', '192', 'none', 'none\n~\n**ADVERB FOR NONE***');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '1', 'greeting_1', 'Good day.  And what can I help you with?');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '2', 'player_1', 'I\'d like to ask you about the cities on Naboo.');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '3', 'player_2', 'Is there anything that you need done?');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '4', 'player_3', 'What can you tell me about certain people?');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '5', 'player_13', 'Can you give me directions?');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '6', 'cities_1', 'Which city are you interested in?');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '7', 'player_4', 'I\'m curious about Theed...');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '8', 'player_5', 'Do you know about Dee\'ja Peek?');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '9', 'player_6', 'Moenia is the city I want to ask about.');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '10', 'player_7', 'What do you know about Keren?');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '11', 'player_12', 'Can I ask some more questions?');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '12', 'people_1', 'Who do you want to know about?');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '13', 'player_8', 'Do you know Boss Nass?');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '14', 'player_9', 'Who is Kaja Or\'Zee?');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '15', 'player_10', 'What do you know of the Emperor?');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '16', 'player_11', 'What do you know about the Imperials?');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '17', 'mission_1', 'As soon as I know how to hand out missions I\'ll give you one.');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '18', 'theed_1', 'A beautiful place, and still the capital of Naboo after all these years.');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '19', 'deeja_1', 'A wonderful city set in the mountains.  It\'s really quite gorgeous.  An outstanding view.');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '20', 'moenia_1', 'Moenia is a terribly interesting city...but I can\'t tell you why.');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '21', 'keren_1', 'Ah, Keren is one of our larger cities.  The bustling center of intergalactic business.');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '22', 'nass_1', 'Boss Nass is still the leader of the Gungan people.  A very good ruler I understand.');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '23', 'kaja_1', 'She is the Administrative Assistant at the Emperor\'s retreat.  You\'ll have to talk to her before meeting Lord Vader, or the Emperor.');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '24', 'emperor_1', 'The Emperor is the supreme commander of the Empire, and I would not recommend trifling with him.');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '25', 'imperials_1', 'Not much to say really.  They are the rulers of the galaxy.  We owe all to the glorious reign of the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '26', 'sure_1', 'Sure.  What else would you like to ask about?');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '27', 'where_1', 'Where would you like directions to?');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '28', 'player_14', 'Can you tell me how to get to any of the cities?');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '29', 'player_15', 'I need to get to a specific place.');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '30', 'player_16', 'I need to see someone...');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '31', 'find_city_1', 'Which city do you need help finding?');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '32', 'directions_theed', 'Theed.');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '33', 'directions_deeja', 'Dee\'ja Peek');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '34', 'directions_keren', 'Keren.');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '35', 'directions_moenia', 'Moenia.');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '36', 'find_bldg_1', 'Where is it you\'re trying to get to?');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '37', 'bank', 'I need to get to the bank.');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '38', 'cantina', 'I\'m looking for a Cantina');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '39', 'cloning_facility', 'I\'m trying to find an insurance agent, if you know what I mean.');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '40', 'trainer', 'I need to get to a trainer.');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '41', 'starport', 'I\'m trying to find a starport.');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '42', 'find_person_1', 'Who do you need to see?');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '43', 'find_nass', 'I need to meet with Boss Nass.');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '44', 'find_kaja', 'I want to meet with Kaja Or\'Zee.');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '45', 'find_emperor', 'I\'d like to meet with the Emperor.');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '46', 'find_trainer', 'I\'m looking for someone who can train me.');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '47', 'add_to_radar', 'Let me add those directions to your datapad.');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '48', 'bank_city', 'I see, and which bank were you interested in?');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '49', 'bank_theed', 'The bank in Theed.');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '50', 'bank_deeja', 'Is there a bank in Dee\'ja Peek?');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '51', 'bank_keren', 'The imperial bank in Keren.');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '52', 'bank_moenia', 'The one in Moenia, thank you.');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '53', 'cantina_city', 'Which cantina were you trying to find?');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '54', 'cantina_theed', 'Thought I\'d try the one in Theed.');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '55', 'cantina_deeja', 'Um...just the one in Dee\'ja Peek.');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '56', 'cantina_keren', 'The cantina in Keren, please.');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '57', 'cantina_moenia', 'The Moenia cantina.');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '58', 'trainer_theed', 'A trainer in Theed.');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '59', 'trainer_deeja', 'A trainer in Dee\'ja Peek.');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '60', 'trainer_keren', 'I need a trainer in Keren.');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '61', 'trainer_moenia', 'The trainer in Moenia.');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '62', 'starport_theed', 'The Theed Starport');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '63', 'starport_deeja', 'Isn\'t there one in Dee\'ja Peek?');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '64', 'starport_keren', 'The starport in Keren.');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '65', 'starport_moenia', 'The Moenia Starport.');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '66', 'cloning_facility_theed', 'Is there an insurance agency in Theed?');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '67', 'cloning_facility_deeja', 'Dee\'ja Peek\'s insurance agency.');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '68', 'cloning_facility_keren', 'The Insurance Agent in Keren.');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '69', 'cloning_facility_moenia', 'The Moenia Insurance Agency, please.');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '70', 'trainers_1', 'What kind of training do you need?');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '71', 'combat_trainer', 'I need someone to teach me about fighting.');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '72', 'combat_trainer_eisley', 'A combat trainer.');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '73', 'crafting_trainer_eisley', 'A crafting trainer.');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '74', 'university_trainer_eisley', 'Someone at the University.');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '75', 'combat_trainer_espa', 'A combat instructor.');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '76', 'crafting_trainer_espa', 'To teach me how to craft.');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '77', 'university_trainer_espa', 'A university instructor.');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '78', 'university_trainer_bestine', 'A professor from the University.');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '79', 'crafting_trainer_bestine', 'Someone who knows crafting.');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '80', 'combat_trainer_bestine', 'A fighting instructor.');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '81', 'combat_trainer_anchorhead', 'A combat trainer, please.');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '82', 'crafting_trainer_anchorhead', 'I need to learn more crafting.');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '83', 'university_trainer_anchorhead', 'A teacher at the University.');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '84', 'which_trainer', 'What kind of trainer do you need?');
INSERT INTO `client_strings` VALUES ('string/en/naboo_convo.stf', '85', 'trainer_city', 'In what city do you need a trainer?');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '1', 'beach_town', 'Beachville');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '2', 'deeja_peak', 'Deeja Peak');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '3', 'eastern_forest', 'Eastern Forest ');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '4', 'emperors_retreat', 'Emperor\'s Retreat');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '5', 'gallo_mountains', 'Gallo Mountains');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '6', 'jungle_1', 'Jungle');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '7', 'jungle_2', 'Jungle');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '8', 'lianorm_swamps', 'Lianorm Swamps');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '9', 'moenia', 'Moenia');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '10', 'swamp_town', 'Swampville');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '11', 'theed', 'Theed');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '12', 'western_forest', 'Western Forest');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '13', 'keren', 'Keren');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '14', 'kaadara', 'Kaadara');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '15', 'lake_retreat', 'Lake Retreat');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '16', 'kadaara', 'Kaadara');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '17', 'gallo_mountains_1', 'Gallo Mountains');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '18', 'gallo_mountains_2', 'Gallo Mountains');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '19', 'gallo_mountains_3', 'Gallo Mountains');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '20', 'gallo_mountains_4', 'Gallo Mountains');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '21', 'gallo_mountains_5', 'Gallo Mountains');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '22', 'gallo_mountains_6', 'Gallo Mountains');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '23', 'swamp_1', 'Naboo');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '24', 'swamp_2', 'Naboo');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '25', 'swamp_3', 'Naboo');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '26', 'rainforest_1', 'Naboo');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '27', 'rainforest_2', 'Naboo');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '28', 'rainforest_3', 'Naboo');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '29', 'forest_1', 'Naboo');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '30', 'gallo_jungle_1', 'Naboo');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '31', 'gallo_jungle_2', 'Naboo');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '32', 'gallo_forest_1', 'Naboo');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '33', 'plains_1', 'Naboo');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '34', 'world_spawner', 'Naboo');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '35', 'theed_easy_newbie', 'Naboo');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '36', 'theed_medium_newbie', 'Naboo');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '37', 'keren_easy_newbie', 'Naboo');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '38', 'keren_medium_newbie', 'Naboo');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '39', 'deeja_easy_newbie', 'Naboo');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '40', 'deeja_medium_newbie', 'Naboo');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '41', 'beachtown_easy_newbie', 'Naboo');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '42', 'beachtown_medium_newbie', 'Naboo');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '43', 'moenia_easy_newbie', 'Naboo');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '44', 'moenia_medium_newbie', 'Naboo');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '45', 'southwest_swamp', 'Naboo');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '46', 'southeast_swamp', 'Naboo');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '47', 'central_jungle_swamp', 'Naboo');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '48', 'north_eastern_jungle_swamp', 'Naboo');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '49', 'eastern_jungle_swamp', 'Naboo');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '50', 'central_mountain_range', 'Naboo');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '51', 'eastern_mountains', 'Naboo');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '52', 'central_mountain_circle', 'Naboo');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '53', 'southwest_mountain_circle', 'Naboo');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '54', 'northern_plains', 'Naboo');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '55', 'hard_veermok_ne', 'Naboo');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '56', 'easy_gnort_ne', 'Naboo');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '57', 'medium_ikopi_ne', 'Naboo');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '58', 'medium_mountain_ikopi_ne', 'Naboo');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '59', 'medium_mountain_ikopi_se', 'Naboo');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '60', 'hard_gungan_se', 'Naboo');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '61', 'medium_mountain_krevol_se', 'Naboo');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '62', 'medium_swamp_cat_se', 'Naboo');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '63', 'hard_capper_spineflap_sw', 'Naboo');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '64', 'medium_tusk_cat_nw', 'Naboo');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '65', 'hard_mauler_nw', 'Naboo');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '66', 'hard_peko_peko_nw', 'Naboo');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '67', 'medium_tusk_cat_ne', 'Naboo');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '68', 'gallo_mountains_11', 'Gallo Mountains');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '69', 'gallo_mountains_12', 'Gallo Mountains\n');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '70', 'gallo_mountains_13', 'Gallo Mountains');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '71', 'gallo_mountains_14', 'Gallo Mountains');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '72', 'gallo_mountains_15', 'Gallo Mountains');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '73', 'gallo_mountains_16', 'Gallo Mountains');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '74', 'gallo_mountains_17', 'Gallo Mountains');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '75', 'lianorm_swamp_1', 'Lianorm Swamp');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '76', 'lainorm_swamp_2', 'Lianorm Swamp');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '77', 'great_grass_plains_1', 'Western Great Grass Plains');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '78', 'great_grass_plains_2', 'Western Great Grass Plains');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '79', 'great_grass_plains_3', 'Great Grass Plains');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '80', 'great_grass_plains_4', 'Eastern Great Grass Plains');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '81', 'great_grass_plains_5', 'Eastern Great Grass Plains');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '82', 'lasay_swamp', 'Lasay Swamp');
INSERT INTO `client_strings` VALUES ('string/en/naboo_region_names.stf', '83', 'paitnnu_wetlands', 'Paitnnu Wetlands');
INSERT INTO `client_strings` VALUES ('string/en/newbie_handoff/messages.stf', '1', 'gig_mission_dance_start', 'Follow the waypoint to your local cantina, go inside and dance for 2 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_handoff/messages.stf', '2', 'gig_mission_music_start', 'Follow the waypoint to your local cantina, go inside and play a song for 2 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_handoff/messages.stf', '3', 'gig_mission_arrival', 'You\'ve arrived at the cantina, go inside and start your performance.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_handoff/messages.stf', '4', 'survey_mission_start', 'Use your survey tool to locate a XX% density patch of blah, a type of suchandsuch.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_handoff/messages.stf', '5', 'destroy_mission_start', 'Follow the waypoint to target and destroy it.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_handoff/messages.stf', '6', 'gig_mission_complete', 'You have completed your sample Gig Mission.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_handoff/messages.stf', '7', 'survey_mission_complete', 'You have completed your sample Survey Mission.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_handoff/messages.stf', '8', 'destroy_mission_complete', 'You have completed your sample Destroy Mission');
INSERT INTO `client_strings` VALUES ('string/en/newbie_handoff/messages.stf', '9', 'heal_mission_start', 'Follow the waypoint to %TT and use the given medicine to heal %OT.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_handoff/messages.stf', '10', 'heal_mission_arrival', 'You have found your patient, start healing %OT as soon as possible.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_handoff/messages.stf', '11', 'heal_mission_complete', 'You have sucessfully healed your patient.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_handoff/messages.stf', '12', 'harvest_mission_start', 'Follow the waypoint to your target and kill it.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_handoff/messages.stf', '13', 'harvest_mission_target_dead', 'Now that your target is dead, use your skills to harvest the natural resources from it.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_handoff/messages.stf', '14', 'harvest_mission_complete', 'You have sucessfully harvested resources from your target.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_handoff/messages.stf', '15', 'heal_mission_menu', 'Heal Patient');
INSERT INTO `client_strings` VALUES ('string/en/newbie_handoff/messages.stf', '16', 'heal_mission_use', 'Use Medicine');
INSERT INTO `client_strings` VALUES ('string/en/newbie_handoff/messages.stf', '17', 'heal_mission_need_target', 'You need to have a target to use this medicine.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_handoff/messages.stf', '18', 'heal_mission_wrong_target', 'This is not the correct patient.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '1', 'greeting', 'A straggler, eh?  Don\'t be shy, come on forward.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '2', 'explain_lookat', 'Well, I have things for you, but I won\'t give you the time of day unless you actually converse with me.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '5', 'convo_1_start', 'That\'s more like it.  Well, I\'m your supply disbursement officer.  I don\'t see why we should waste good supplies on refugees like you.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '6', 'convo_1_reply_1', 'What happened?');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '7', 'convo_1_reply_2', 'What supplies?');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '8', 'convo_1_more', 'You people, you\'re all the same. Look, you were on a ship with dubious credentials. The Star Destroyer hailed you, and you didn\'t stop fast enough. So they boarded, and brought the survivors over here.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '11', 'convo_1_stuff', 'There\'s some stuff left that the other refugees didn\'t take. Not much though. In the drum right here.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '12', 'clone_greeting', 'Well hello!  Please allow me to answer any questions that you might have.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '13', 'clone_prompt_convo', 'Remember, to speak to me just click-and-hold on me until you get the radial menu, then select the CONVERSE menu option.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '14', 'convo_2_start', 'I\'m here to explain Cloning and Insurance.  Where would you like to begin?');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '15', 'convo_2_reply_1', 'Cloning');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '16', 'convo_2_reply_2', 'Insurance.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '17', 'convo_2_cloning', 'If something should happen to you, your clone will take over with all the skills you had at the time you died.  Though you always have the option to respawn at the nearest cloning facility, unless you\'ve cloned there you will emerge with many, many wounds.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '18', 'convo_2_reply_3', 'How often should I clone?');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '19', 'convo_2_insurance', 'Insurance is a way of better preserving the condition of your belongings in the event of your untimely demise.  The return of nominally damaged, insured items to a cloning facility fetches a much higher price with the facility at which you choose to clone since you subsidize their item retrieval programs by purchasing insurance.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '20', 'convo_2_reply_4', 'What happens to uninsured items?');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '21', 'convo_2_cloning_2', 'You should clone yourself whenever you want the option to emerge from that particular location. Otherwise you will appear at the closest cloning facility from where you died, with many wounds. You will also need to set a new cloning location when you travel to a new planet, because there is no interplanetary cloning.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '22', 'convo_2_reply_5', 'Do I need to clone again every time I die?');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '23', 'convo_2_insurance_2', 'Your items will suffer a significantly increased decay rate when transported back to your clone. People like to be paid, and cloning facilities don\'t pay much for recovery of uninsured items; so it stands to reason that uninsured items tend to not be cared for as well as their insured counterparts.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '24', 'convo_2_reply_6', 'Running back to my corpse sounds like fun!');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '25', 'convo_2_reply_7', 'I hate the idea of running to my corpse!');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '26', 'convo_2_cloning_3', 'No.  Only when you want to have the option of appearing at a particular location without a lot of wounds, regardless of where you died.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '27', 'convo_2_reply_8', 'Do I have to insure my items every time I die?');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '28', 'convo_2_insurance_3', 'You must like living life on the edge.... or you like travelling.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '29', 'convo_2_insurance_5', 'Yes!  Insurance is only valid one time.  If you want your items returned to you in a condition similar to last you saw them, you\'ll have to insure the item again!');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '30', 'convo_2_insurance_4', 'I don\'t blame you.  It sounds like a real chore.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '31', 'convo_3_explain_terminal_1', 'Use terminals like this one, located in cloning facilities, to store your clone data.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '32', 'convo_3_explain_terminal_2', 'I also have an insurance terminal for you here, where you may insure your items to prevent loss.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '42', 'convo_1_agree', 'There\'s nothing to it.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '44', 'banker_greeting', 'Well hello!  Come talk to me if you need assistance with this terminal');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '45', 'banker_1_start', 'Well it seems your ship wasn\'t carrying contraband after all.  Pity we didn\'t discover that sooner...');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '46', 'banker_1_reply_1', 'What did you do to my ship?');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '47', 'banker_1_reply_2', 'What is this terminal for?');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '48', 'banker_2_start', 'Well we suspected you were smuggling, so we boarded the transport you were travelling aboard, of course.  Don\'t worry, we\'ve cleared you of all charges.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '49', 'banker_2_reply_1', 'Can I get back on board the transport now?');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '50', 'banker_2_more', 'I\'m afraid not.  It seems your ship was badly damaged and most of your possessions were destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '51', 'banker_2_reply_2', 'What am I supposed to do now?');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '52', 'banker_2_explain', 'Don\'t worry!  We\'ve taken care of everything.  We\'ve given you more than enough credits to reimburse you for your loss.  You can deposit them at this banking terminal.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '53', 'banker_2_reply_3', 'What about my supplies and equipment?');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '54', 'banker_2_explain_2', 'When you get to a planet, look for a commodities market and buy anything you might possibly need.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '55', 'banker_2_explain_terminals', 'For your convenience, we\'ll allow you to access this starport\'s bank terminal.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '56', 'banker_1_reply_3', 'Bank?');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '57', 'banker_1_reply_4', 'Item dispenser?');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '58', 'banker_2_explain_bank', 'Once we realized you were innocent, we reimbursed you with a generous number of credits for the destruction of your gear.  You can deposit them in this bank terminal.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '59', 'banker_bank_reply_1', 'Why should I bank?');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '60', 'banker_2_more_bank', 'You should definitely use the bank\'s safety deposit feature to keep your items safe from harm. It\'s also a good idea to deposit your credits into your bank accout before shopping at the commodities market since the market deducts credits from your bank account for all purchases.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '61', 'banker_2_bank_question', 'What if I want to buy something?');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '62', 'banker_2_bank_answer', 'You don\'t need cash on hand to buy things.  You can purchase items from the commodities market on any planet, and the credits will be deducted from your bank automatically.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '63', 'banker_bank_question_2', 'Can I store items in the bank?');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '64', 'banker_bank_answer_2', 'Any items you store in this bank will be transferred to your new bank.  Once you get to your planet, join any bank there and we\'ll send these items along.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '65', 'banker_bazaar_1', 'Once you\'ve deposited your money at the bank terminal, browse the Item Dispenser to see if there is any equipment you\'d like to purchase.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '66', 'banker_bazaar_reply_1', 'You didn\'t give me very much money.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '67', 'banker_bazaar_2', 'I think The Empire is being more than generous.  Do you know how much it cost us to capture the transport you were on, kill the crew, search for secret cargo holds... not to mention pulling you out of the fire!');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '68', 'banker_bazaar_reply_2', 'But that transport wasn\'t smuggling anything!');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '69', 'banker_bazaar_3', 'Ah, but now, how were we supposed to know that without capturing the transport first?');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '70', 'trooper_move_along', 'Move along.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '71', 'leave_me_alone', 'Oh leave me alone!   I\'ve lost everything!');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '72', 'darn_empire', 'The empire has ruined us!  We had our life savings on that transport!');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '73', 'ins_user_bark_1', 'There\'s a crazy criminal on the loose!  I hope you\'ve insured your items!');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '74', 'ins_user_bark_2', 'All my items are insured... are yours?');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '75', 'ins_user_bark_3', 'It\'s a dangerous world.  I\'m sure glad there\'s an insurance terminal right here.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '76', 'greeter1_bark1', 'Ah, I see we have another refugee from the freighter.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '77', 'greeter1_bark2', 'Well, you\'re one of the lucky ones.  Most passengers didn\'t survive.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '78', 'greeter1_bark3', 'You should know better than to take passage with criminals.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '79', 'pirate_taunt2', 'You\'ll never take me alive!');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '80', 'pirate_taunt1', 'Come any closer and I\'ll shoot!');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '81', 'pirate_taunt3', 'Well I bet you weren\'t expecting.... A GRENADE!');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '82', 'pirate_taunt4', 'What the...?  This grenade is defective!  Oh no!');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '83', 'pirate_attack', 'I\'ll kill ya!');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '84', 'convo_1_reply_3', 'The survivors?  You mean the Empire killed civilian passengers?');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '85', 'convo_1_explain', 'They weren\'t civilians.  They were dissidents.  Officially, anyway. Now, go get your free supplies from this drum right here, courtesy of the generosity of the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '86', 'off_1_greeting', 'Say... you\'re still alive!  That\'s amazing.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '87', 'off_1_start', 'Good show, in there.  You\'re quite resourceful.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '88', 'off_1_reply_1', 'I\'d be even better with a little training.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '89', 'off_1_reply_2', 'Combat isn\'t really my thing.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '90', 'off_1_gotrain', 'Well there\'s someone you should talk to right over there.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '91', 'off_1_gotrain2', 'Ha ha ha!  I suppose not.  Hey, there\'s someone right here you should talk to about that.  I bet you could learn something.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '92', 'trainer_grunt', 'Huh?');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '93', 'mission_hail', 'You there.  No time for that now.  I\'ve got something for you to do.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '94', 'mission_1_start', 'What took you so long to get here?  The shuttle\'s ready to leave!  Take these release documents to the Quartermaster and get yourself off my space station.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '95', 'mission_1_reply_1', 'Where is the Quartermaster?');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '96', 'mission_1_reply_2', 'Will do!');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '97', 'mission_1_waypoint', 'Here are your release documents.  Now get moving!  The Quartermaster is just down the hall, there.\n');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '98', 'quarter_greeting', 'Finally!  The last of the survivors, I take it?');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '99', 'quarter_nodocs', 'You don\'t have your release papers?  Well you\'d better go get them from the Corporal.  Make it snappy!  Hup!  Hup!');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '100', 'release_docs', 'Release Documents');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '101', 'quarter_1_start', 'Ah!  I see you have the proper documents there.  I\'ll just take those from you.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '102', 'quarter_1_reply_1', 'Can I leave now?');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '103', 'quarter_1_reply_2', 'Where are you sending me?');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '104', 'quarter_1_go', 'You may use the travel terminal here and purchase a ticket to anywhere you want to go.  And don\'t worry about the cost, the Empire will be picking up the tab on this one.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '105', 'quarter_wait', 'Wait a minute there!  You can\'t use that travel terminal without the proper authorization.  Do you have your release documents on you?');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '107', 'shout_panic1', 'Aaaaiiiiiii!  We\'re all gonna die!');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '108', 'shout_panic2', 'Mad pirate on the loose!  He\'s got a bomb!');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '109', 'shout_panic3', 'Someone DO something!!');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '110', 'shout_panic4', 'Shouldn\'t you be taking care of that crazy pirate or SOMETHING?!');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '111', 'convo_4_start', 'Y-you can\'t go IN there.  He cut them to pieces!  He\'s crazy...!');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '112', 'convo_4_reply_1', 'Calm down, I\'m sure that everything will be under control soon.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '113', 'convo_4_reply_2', 'So how do I get out of here?');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '114', 'convo_4_explain_1', 'Uh huh.  Look, y-you look pretty capable.  C-could you take a peek and see if there are any survivors in the hallway?');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '115', 'convo_4_reply_3', 'Why don\'t you go?');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '116', 'convo_4_reply_4', 'Sure, I\'ll check for survivors.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '117', 'convo_4_explain_2', 'The only way through is here.  Past... him.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '118', 'convo_4_reply_5', 'Then I guess I have to go that way.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '119', 'convo_4_reply_6', 'Sure, I\'ll check for survivors.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '120', 'convo_4_explain_3', 'I, uh, need to stand guard.  In case reinforcements come.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '121', 'convo_4_weapon_1', 'Wait, you\'ll need a weapon.  Uh, this is against regs, but... look, just don\'t tell anyone.  Here.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '122', 'convo_4_reply_7', 'Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '123', 'convo_4_end', 'Sure, whatever.  Look, I think I\'ll stand guard from the other side of the room, Ok?  And whatever you do, don\'t get this maniac angry!');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '124', 'convo_4_repeat', 'What are you doing here?  Get a move on.  I\'m, uh, still guarding here.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '125', 'nervous_guy1', 'You couldn\'t PAY me to go down that hallway!');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '126', 'nervous_guy2', 'That pirate is crazy!  He blocked up the hallway and threatens anyone that goes near him!');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '127', 'nervous_guy3', 'I bet the Empire will send him to the spice mines on Kessel');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '128', 'nervous_guy4', 'You can\'t be thinking of going down that hallway?!  Didn\'t you hear?  CRAZY PIRATE ON THE LOOSE!');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '129', 'nervous_guy5', 'I wish I could go home...');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '130', 'celeb_guy1', 'I can\'t believe that crazy pirate is dead.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '131', 'celeb_guy2', 'That must have been a tough battle.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '132', 'celeb_guy3', 'I\'m sure glad that\'s over with.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '133', 'celeb_guy4', 'Good thing someone came along to kill that pirate.  We\'d have been trapped in here forever.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '134', 'celeb_guy5', 'I hate pirates.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '135', 'mission_repeat', 'Stop messing around with that terminal and deliver your papers to the Quartermaster!');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '136', 'trapped_guy1', 'I don\'t understand why you won\'t give me release documents too...');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '137', 'trapped_guy2', 'I was going to kill that pirate.  It\'s not my fault someone beat me to it.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '138', 'trapped_guy3', 'So I\'ll be shipped off to the spice mines?  That\'s not fair!  I heard someone killed the pirate and you\'re letting them go!');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '139', 'trapped_guy4', 'This is an outrage!  I demand my release papers this instant!  Uh... please?');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '140', 'trapped_guy5', 'You destroyed my ship!  Ruined my life!  And now you\'re refusing to release me!  Who is in charge here?');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '141', 'good_job', 'Good job with that pirate, but what are you doing back here?  Go back through the big room where the pirate was.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '142', 'refugee1', 'They\'re going to ship us off to the spice mines of Kessel.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '143', 'refugee2', 'The Emperor has disbanded the Senate, now the Empire can do whatever it wants.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '144', 'refugee3', 'But we\'re innocent!  We weren\'t carrying any contraband.  They attacked us for no reason.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '145', 'refugee4', 'I never should have left Alderaan... Oh, wait...');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '146', 'refugee5', 'I told you we couldn\'t outrun an Imperial Star Destroyer.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_convo.stf', '147', 'quarter_1_go_nochoice', 'You may use the travel terminal here and be on your way.  And don\'t worry about the cost of transportation, the Empire will be picking up the tab on this one.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_mail.stf', '1', 'crafting_artisan_body', 'You\'ve got the tools to survey for all the resources you need... except hides!  If you want to advance as an artisan, you\'d better make some cash to trade for the hides you\'ll need.  Then you can buy hides at the commodities market.  Maybe there are some missions you can do to earn some money.  Seek out a mission terminal and begin your career as a crafter.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_mail.stf', '2', 'outdoors_scout_body', 'Well don\'t stand around here reading the holonet all day long - get out there and Scout.  Artisans will need the hides that only you can provide, so remember to harvest resources from the creatures and bring their hides back to the commodities market.  You can even earn some money along the way by taking a mission.  Why don\'t you stop by a mission terminal on your way out of town?');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_mail.stf', '3', 'social_entertainer_body', 'After a hard day\'s work everyone needs a chance to relax and unwind... and you\'re just the person they need to see.  Your services will always be in demand at the local cantina, and if you don\'t like working for tips then you could seek out a mission from the local mission board.  You might even find a mission custom-tailored for a person of your obvious talent!');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_mail.stf', '4', 'combat_marksman_body', 'Marksmen are always in demand.  Seek out a mission terminal or just ask around town to see if anyone has anything they need shot.  You\'re just the person to do it!');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_mail.stf', '5', 'combat_brawler_body', 'A brawler like yourself can earn good money by doing missions for people.  Just ask around to see if anyone has anything they need you to do, or seek out a mission terminal.  Careful not to get in over your head though.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_mail.stf', '6', 'science_medic_body', 'A good medic is hard to come by, so you\'ll always be in demand.  You can heal people at the local hospital, and there are always plenty of wounded to tend to.  If you don\'t feel comfortable charging for your services, maybe you should take a mission from the local mission terminal to earn some cash.   You\'re going to need to buy supplies to heal people, after all.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_mail.stf', '7', 'crafting_artisan_subject', 'You\'re going to need some money!');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_mail.stf', '8', 'combat_brawler_subject', 'So you like to hit people');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_mail.stf', '9', 'combat_marksman_subject', 'There\'s no match for a good blaster');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_mail.stf', '10', 'outdoors_scout_subject', 'Good scouts are hard to come by');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_mail.stf', '11', 'science_medic_subject', 'There are injured people that need your attention!');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_mail.stf', '12', 'social_entertainer_subject', 'Local Cantina Seeks Entertainer');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_mail.stf', '13', 'welcome_subject', 'Welcome to Star Wars Galaxies');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_mail.stf', '15', 'welcome_body', 'You have taken your first steps into the immense universe of Star Wars. This game mail is meant to give you a quick welcome and overview. If you need additional details on anything about the game, don\'t be afraid to bring up the Holocron (default: CTRL H). It offers easy-to-navigate chapters that not only teach you the game, but also gives you starting missions.\n\nUnlike many other games, there is no \'one\' way to play Star Wars Galaxies. You will be able to live in and interact with the Star Wars universe in a way you never have been able to before.\n\nIf you are looking for a little direction to get started, we recommend finding a local mission terminal to take some missions. After making some credits doing simple delivery or destroy missions, you may want to start upgrading your equipment. Eventually, you\'ll want to converse with non-player characters to find more interesting and lucrative missions or you may want to head to the adventure Theme Parks like Jabba\'s Palace on Tatooine.\n\nAfter that, you goals are largely determined by what you are interested in. For example, you may want to join the Rebellion or Empire and work your way up through the military ranks. You may wish to master multiple professions and become renown throughout the galaxy for your skills. You may want to acquire, make, or sell the best equipment in the galaxy. You might want to explore the ten worlds and find a perfect spot to build your home. You may even want to try to unlock the secret to opening a second character slot that is Force-sensitive (warning: this is extremely difficult, mysterious and dangerous). The choice is really up to you.\n \nYour best source for in-depth information on the game will come from other players. You can find players who are ready and willing to answer your questions right now by typing /who newbiehelper. Simply pick one off the list in your chat window and send your question by typing: /tell [player name] I\'m new, could you please help me?\n\nAs a final note, the game is designed around the recommended default Star Wars Galaxies controls. However if you are more comfortable with a different control set up (EQ style, FPS style or Isometric style), you can quickly remap the entire keyboard layout in the Option menus (default CTRL ) - Controls tab - Keymap button - use the dropdown menu).\n\nOn behalf of the entire development team, thank you and enjoy your time in Star Wars Galaxies. May the Force be with you.\n');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_mail.stf', '16', 'collector_subject', 'Collector\'s Edition');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/newbie_mail.stf', '17', 'collector_body', 'You are using the Star Wars Galaxies Collector\'s Edition.  This character has a special item which is only available to Collector\'s Edition Users.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '1', 'welcome', 'Welcome to Star Wars Galaxies.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '2', 'movement_keyboard', 'Use the arrow keys to move.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '3', 'movement_mouse', 'Or hold down the right mouse-button to move forward.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '4', 'lookaround', 'You can look around by moving your mouse.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '5', 'mousewheel', 'Using the mouse-wheel, scroll forward to zoom into your character.  Notice that if you zoom in all the way, you\'ll be in first-person mode.  Scroll backwards to zoom-out of your character, and into third-person mode.  You can also zoom your camera in and out by pressing the keypad plus and minus keys.  Try zooming between 1st and 3rd person.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '6', 'radar', 'If you\'re going down that hallway, you might want advanced warning of what\'s down there.  This is your radar.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '7', 'chatwindow', 'This is your chat window.  Type here to speak to your fellow players.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '8', 'chatprompt', 'Go ahead and try it.  Just type what you want to say and then press ENTER.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '9', 'repeatchatprompt', 'Don\'t be shy.  Type something in your chatwindow and press Enter.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '10', 'move_to_item_room', 'Excellent!  Come through the door and down the hallway there.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '11', 'repeat_item_room_prompt', 'Come on.  Don\'t keep me waiting all day.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '12', 'open_status_prompt', 'Good job.  Now I want you to look at your character status screen.  Press CTRL-C.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '13', 'close_status_prompt', 'Press CTRL-C again to toggle your character status screen off.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '14', 'prompt_open_box', 'To open the box just click and hold until you see the radial menu appear.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '15', 'prompt_choose_open', 'Great!  Now select the Open option to access the contents of the container.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '16', 'repeat_open_box', 'You might find something in the box you need.  Click and hold your mouse-button down on the box until you see the radial menu.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '17', 'open_me', '*Open Me!*\n');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '18', 'prompt_take_items', 'You can take these items by clicking-and-holding until you get the radial menu option on each item.  Pick up all of the items, and then click the X in the upper-right-hand corner of the container to close the box.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '19', 'prompt_select_pickup', 'Now choose the Pick Up option to move the item to your inventory.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '20', 'pickup_complete', 'You\'ve put the item in your inventory.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '21', 'yoink', '*Yoink!*');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '22', 'visit_commerce_room', 'Proceed to the next room.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '23', 'repeat_visit_commerce', 'No need to stick around here all day.  Walk down the corridor to the next area.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '24', 'explain_freemouse', 'Notice that your mouse mode changed when you opened that container.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '25', 'explain_freemouse_toggle', 'You can toggle the mouse mode yourself with the ALT key.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '26', 'explain_inventory', 'You can examine your inventory by pressing CTRL-I.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '27', 'prompt_find_food', 'Scroll through your inventory until you locate one of the food items that you\'ve just picked-up.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '28', 'prompt_use_item', 'Select the Use option to use this item.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '29', 'explain_item_used', 'You used the item on yourself.  Food will help increase your attributes.  Medicine will help you recover damage to your attributes.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '30', 'show_toolbar', 'This is your toolbar.  You can put things on it for instant access.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '31', 'move_to_toolbar', 'Move a food item from your inventory to a blank slot on your toolbar.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '32', 'use_toolbar', 'To use the item on your toolbar, press the function-key which corresponds with the toolbar slot.  F1 is the first slot.  F12 is the last slot.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '33', 'mousewheel_repeat', 'Give it a try.  Scroll out to 3rd-person and take a look at yourself.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '34', 'repeat_status_prompt', 'Press CTRL-C to view your character status screen.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '35', 'repeat_closestatus_prompt', 'Now press CTRL-C again to close your character status screen.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '36', 'repeat_open_inventory', 'Press CTRL-I to open your inventory, and select one of the food items you found in the crate.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '37', 'close_inventory', 'Press CTRL-I again to close your inventory window.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '38', 'explain_alt_key', 'Press the ALT key to toggle free-mouse mode on and off.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '39', 'bazaar_flytext', '*Shop!*');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '40', 'bank_flytext', '*Access the bank here!*');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '41', 'bank_info_1', 'Banks let you deposit and withdraw cash on hand.  You can also use the bank to store items.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '42', 'bank_info_2', 'You can only retrieve your items from the bank in which you stored the item.  You can only store items in the bank you\'ve joined.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '43', 'bank_info_3', 'Although you can change banks at any time, you can only be a member of one bank at a time.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '44', 'bank_info_4', 'You can spend credits from your bank account at most terminals.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '45', 'bank_info_5', 'When you find hard credits (cash on hand), be sure to deposit them in your bank as soon as possible to avoid losing them.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '46', 'bazaar_info_1', 'This is an item dispenser.  You can use it to buy basic items in the game.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '47', 'bazaar_info_2', 'In addition to the basic item dispensers, you\'ll find a number of terminals that will connect you to the galactic bazaar.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '48', 'bazaar_info_3', 'Everything from large quantities of resources, to specialized items can be bought and sold at the bazaar terminal.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '49', 'move_to_cloning', 'Take the elevator down and visit our state-of-the-art cloning facility.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '50', 'declare_cloned', 'Your clone data has been saved!');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '51', 'declare_insured', 'All of your items have been insured!');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '53', 'explain_combat_1', 'In combat, you can spend your HEALTH, MIND or ACTION pools to invoke special attacks.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '54', 'explain_combat_2', 'The ATTACK option on the radial menu will be the default attack for hostile creatures.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '55', 'explain_combat_3', 'You can attack hostile creatures simply by double-clicking them.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '56', 'menu_tatooine', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '57', 'menu_corellia', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '58', 'menu_naboo', 'Naboo');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '59', 'menu_travel', 'DESTINATION');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '60', 'choose_destination', 'Please select a destination from the sub-menu.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '61', 'part_1', 'PART ONE OF NINE (movement and chat)');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '62', 'part_2', 'PART TWO OF NINE (conversing with npcs and inventory)');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '63', 'part_3', 'PART THREE OF NINE (banking and shopping)');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '64', 'part_4', 'PART FOUR OF NINE (cloning and insurance)');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '65', 'part_5', 'PART FIVE OF NINE (combat moves and radar)');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '66', 'part_6', 'PART SIX OF NINE (combat)');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '67', 'part_7', 'PART SEVEN OF NINE (skill training)');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '68', 'part_8', 'PART EIGHT OF NINE (missions and waypoints)');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '69', 'part_9', 'PART NINE OF NINE (bye!)');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '70', 'part_10', 'PART TEN OF ELEVEN');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '71', 'part_11', 'PART ELEVEN OF ELEVEN');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '72', 'radar_more', 'The red dots show potentially aggressive entities.  Yellow dots indicate peaceful life signatures.  You can also access an overlay map with CTRL-M.  Press CTRL-M again to turn it off.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '73', 'loot_pirate', 'Congratulations!  The pirate has been destroyed.  Now you can loot his corpse by clicking and holding your mouse on him until you get the radial menu option to LOOT.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '74', 'tut_08', 'Move forward and click-and-hold your mouse on the Imperial Officer until the radial menu appears.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '75', 'tut_09', 'He is now your look-at target.  His name appears over his head.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '76', 'tut_10', 'Click and hold the mouse button to get  a radial menu on the Imperial Officer.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '77', 'tut_11', 'Do you see the option to converse?  While holding your mouse button, move to the converse option and let go of the mouse button to select it.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '78', 'tut_12', 'Now you\'re in a conversation.  You can choose one of the responses to the right with your mouse.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '79', 'tut_13', 'Remember, you don\'t speak to other players this way.  Just type to talk to other players.  When you are finished conversing with the Imperial Officer, select the STOP CONVERSING option.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '80', 'tut_53', 'Mission terminals like those to your left are located throughout the world.  Whenever you want a quick adventure you can always take a job from a mission terminal.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '81', 'tut_54', 'You can also speak to npcs and do tasks for them.  There\'s one over there who has something for you to do.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '82', 'tut_57', 'Converse with the Quartermaster.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '83', 'release_docs', 'Release Documents');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '84', 'oath_explain', 'You are required to promise to obey the code of conduct and to treat your fellow players with respect, before moving on.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '85', 'the_oath', 'I promise to treat my fellow players and citizens with respect and to obey the code of conduct');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '86', 'tut_60', 'Thank you.  You are now a citizen of Star Wars Galaxies.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '87', 'the_promise', 'I promise');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '88', 'tut_00_toolbardrag', 'You can drag items into your toolbar for easy access.  Simply click on the item and then drag it to an open slot on your toolbar.  Press the corresponding function key to use the item.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '89', 'receive_weapon', 'A weapon has been added to your inventory.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '90', 'clone_here', '*Clone!*');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '91', 'insure_here', '*Insurance!*');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '92', 'tut_44_attacking', 'When you hover your cursor over someone, your cursor changes to let you know that you can attack them.  Double-clicking them will attack them.  You can also cycle through targets with the tab key.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '93', 'mission_terminal', 'You cannot take a mission from this terminal.  To take a mission, you will need to find a mission terminal on a planet.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '94', 'tut_55_waypoints', 'Waypoints indicate destinations.  When you have a job or mission, you can follow the waypoint on your radar.  They appear light blue.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '95', 'make_promise', 'To swear your oath, please type the words I PROMISE into your chat window, and press ENTER.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '96', 'swear_reminder', 'You cannot become a citizen of Star Wars Galaxies until you promise to abide by the code of conduct.  To swear your oath, type I PROMISE into the chat window and hit the ENTER key.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '97', 'tut_45', 'The hallway is blocked by debris.  Attack it to destroy it.  Then proceed to the next room to face your enemy.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '98', 'tut_43', 'You can zoom the overlay map using the mousewheel, while holding down the CTRL key.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '99', 'tut_50', 'You\'ve picked up your first skill.  There are many skills to master in your chosen profession and there are advanced professions that only open up once you have mastered many skills.  You can check your skills using the skills window.  You can reach this with the skills button on the button bar, or by pressing CTRL-S.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '100', 'tut_51', 'You can also check your character status after your fight, by pressing the character-sheet button on the button bar, or CTRL-C.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '101', 'keymap', 'Star Wars Galaxies contains a variety of different keyboard layouts as well as the ability to remap keys.  After you arrive at your starting planet, access the Options menu by hitting  CTRL-O, select the Controls option and then the Keymap option.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '102', 'newbie_mail', 'You\'ve received a message.  Press the letter-icon on  your button bar to access your email!');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '103', 'imp_name', 'Imperial Officer');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '104', 'quarter_name', 'The Quartermaster');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '105', 'wrong_bank', 'You cannot use this bank terminal.  Use the bank terminal in the middle of the room.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '106', 'tut_36', 'Move down the ramp toward the cloning and insurance terminals.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '107', 'tut_56', 'Move to the next room to deliver your release documents to the Quartermaster.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '108', 'select_dest', 'Select your destination by clicking on one of the planets on the screen.  When you have selected the planet, select which city you wish to travel to by clicking on the picture to the right of the screen.  When you are ready to travel to the city, click on the arrow in the lower right-hand corner of the screen.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '109', 'tut_32', 'Banks let you deposit and withdraw cash on hand.  You can also use the bank to store items.  You can only retrieve your items from the bank in which you stored the item.  You can only store items in the bank you\'ve joined.  Although you can change banks at any time, you can only be a member of one bank at a time.  You can spend credits from your bank account at most terminals.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '110', 'tut_33', 'When you find hard credits (cash on hand) be sure to deposit them in your bank as soon as possible to avoid losing them.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '111', 'tut_37', 'Use the cloning terminal.  You can do this through the radial menu, or you can just double-click.  The cursor changes when over a usable item.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '112', 'tut_38', 'Use the insurance terminal.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '113', 'tut_40', 'Converse with the soldier.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '114', 'tut_49', 'The Imperial Officer has directed you to a Skill Trainer.  Converse with the Skill Trainer to learn your first skill.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '115', 'holocube', 'This is your Holocron.  You can access it by pressing CTRL-H.  Whenever you need information about something in Star Wars Galaxies, press CTRL-H to find it in your Holocron.  To close this screen, press CTRL-H again.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '116', 'start_loc', 'Starting Location');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '117', 'stat_migration', 'Although your stats have been optimized for your starting profession, you may wish to change your stats in order to pursue a different profession, either instead of or in addition to your starting profession.  Once you are in the world, stat migration is a slow process:  Gradually moving points from one stat to another.  However, in this Planet Selection Room, you may migrate your stats and the changes will take effect immediately.  If you would like to change your stats now, press CTRL-C and choose the Stat Migration button.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '118', 'stat_open', 'Although your stats have been optimized for your starting profession, you may wish to change your stats in order to pursue a different profession, either instead of or in addition to your starting profession.  Once you are in the world, stat migration is a slow progress:  Gradually moving points from one stat to another.  However, in this Tutorial, you may migrate your stats and the changes will take effect immediately.');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '119', 'tut_28', 'Converse with the Imperial Officer');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '120', 'droid_name', 'Q-3PO');
INSERT INTO `client_strings` VALUES ('string/en/newbie_tutorial/system_messages.stf', '121', 'waypoint', 'Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '2', 'help_please_button', 'Help');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '3', 'no_help_needed_button', 'No');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '4', 'droid_greeting_begin_01', '[beep... clik... zwing... bweep... beep] \nGreetings, ');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '5', 'yes_please_button', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '6', 'not_now_button', 'Not Now');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '7', 'brawler_added', '[beep... freetle... boop... whir] \nYou have joined the Brawler profession. I have downloaded some Brawler tasks so that you may learn more about being a Brawler.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '8', 'marksman_added', '[boop... boop... beep] \nYou have joined the Marksman profession. I have downloaded some Marksman tasks so that you may learn more about being a Marksman.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '9', 'medic_added', '[boop... clik... zweet] \nYou have joined the Medic profession. I have downloaded some Medic tasks so that you may learn more about being a Medic.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '10', 'scout_added', '[bwat... zzt... bweep... clik] \nYou have joined the Scout profession. I have downloaded some Scout tasks so that you may learn more about being a Scout.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '11', 'artisan_added', '[beep... boop... whir] \nYou have joined the Artisan profession. I have downloaded some Artisan tasks so that you may learn more about being an Artisan.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '12', 'entertainer_added', '[beep... beep... bop] \nYou have joined the Entertainer profession. I have downloaded some Entertainment tasks so that you may learn more about being an Entertainer.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '13', 'general_greeting_prose_01', '[beep... clik] Greetings %TO.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '14', 'brawler_quest_01', '[beep... blip... zeek... boweep... clik] \nAs one who has chosen the Brawler approach to combat, you may wish to choose a style of melee fighting that suits you. The four primary approaches to melee combat are unarmed, the use of one-handed weapons, the use of two-handed weapons, and the use of polearm weapons. \n\nUnarmed combat, of course, doesn\'t involve using a weapon. Basic weapons for the others are a survival knife (a one-handed weapon), a heavy axe (a two-handed weapon), and a wood staff (a polearm weapon). Which weapon would you like to use?');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '15', 'brawler_quest_02', '[zwing... bleep... vwoot... whir] \nThe primary aim of a Brawler is victory in combat, and it\'s time to begin working toward that. \n\nYour first task is to go to kill a creature. You\'ll find some on the outskirts of this city. Kill any one creature you find to complete this task.\n\nBe sure to equip your weapon in order to use it in combat... unless, of course, you wish to fight unarmed. To equip a weapon, simply double-click it in your inventory. You can also use the radial menu on the weapon and choose \"Equip\".');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '16', 'brawler_quest_03', '[dadeep... blip... boop... boop] \nYou have special abilities that can aid you while fighting. The Berserk ability increases the damage you do in combat though you become a bit easier for your opponent to hit. \n\nUse Berserk while fighting and killing a creature.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '17', 'brawler_quest_04', '[bweep... tweet... bweeo... zzt] \nUsing a Lunge can extend your range a small amount, but more importantly it can change the posture of your target. This can render them helpless and often unable to attack until they recover. \n\nUse Lunge while fighting and killing a creature.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '18', 'brawler_quest_05', '[vwoot... beep... blip... boop]\nUsing Center of Being can provide you a defensive bonus by helping you avoid being hit by your opponent. \n\nUse Center of Being while fighting and killing a creature.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '19', 'brawler_quest_weapon_choice', '[beep... blip... zeek... boweep... clik] \nAs one who has chosen the Brawler approach to combat, you may wish to choose a style of melee fighting that suits you. The four primary approaches to melee combat are unarmed, the use of one-handed weapons, the use of two-handed weapons, and the use of polearm weapons. \n\nUnarmed combat, of course, doesn\'t involve using a weapon. Basic weapons for the others are a survival knife (a one-handed weapon), a heavy axe (a two-handed weapon), and a wood staff (a polearm weapon). Which weapon would you like to use?');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '20', 'marksman_quest_01', '[beep... whir... tweetle... clik] \nAs one who has chosen the Marksman approach to combat, you may wish to choose a style of ranged battle that suits you. There are close-range pistols, medium-range carbines, and long-range rifles.  \n\nThe basic weapons for each style are a CDEF pistol (a close-range weapon), a CDEF carbine (a medium-range weapon), and a CDEF rifle (a long-range weapon). Which weapon would you like to use?');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '21', 'marksman_quest_02', '[boop... blip... zeet] \nThe primary aim of a Marksman is to defeat an opponent from a distance. It\'s time to begin learning to do that. \n\nYour first task is to fight and kill a creature. You\'ll find some on the outskirts of this city. Kill any one creature you find and this task will be complete.\n\nBe sure to equip your weapon in order to use it in combat. To equip a weapon, simply double-click it in your inventory. You can also use the radial menu on the weapon and choose \"Equip\".');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '22', 'marksman_quest_03', '[zwing... vwoot... razzle... beep]\nIf an enemy gets too near to you during combat, you may use Point Blank Single to fight them at close range. \n\nUse Point Blank Single while fighting and killing a creature.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '23', 'marksman_quest_04', '[bweep... bwat... tweetle]\n You have some special techniques that can aid you when in combat. The Overcharge Shot allows you to increase the amount of damage you can do, but also damages your weapon more than during normal use. \n\nUse Overcharge Shot while fighting and killing a creature.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '24', 'marksman_quest_weapon_choice', '[beep... whir... tweetle... clik] \nAs one who has chosen the Marksman approach to combat, you may wish to choose a style of ranged battle that suits you. There are close-range pistols, medium-range carbines, and long-range rifles. \n\nThe basic weapons for each style are a CDEF pistol (a close-range weapon), a CDEF carbine (a medium-range weapon), and a CDEF rifle (a long-range weapon). Which weapon would you like to use?');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '25', 'scout_quest_01', '[bweep... whir... boop... zeet] \nBefore getting started, I must pass along some standard advice for one starting in the Scout profession. \n\nMost Scouts also take a combat profession such as Brawler or Marksman to aid them in the dangerous wilds. Especially when wishing to harvest resources.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '26', 'scout_quest_02', '[beep... whir... bwip... tweetle] \nScouts are experts at making good use of natural resources. While hunting, a Scout can harvest hides, meat, or bone from the creatures they kill. \n\nKill a creature and harvest resources from it. You\'ll find suitable targets on the outskirts of town.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '27', 'scout_quest_03', '[clik... vwoot... freetle] \nThe resources harvested by a Scout can be used to craft various supplies the Scout can use. \n\nHunt enough creatures to gather at least 3 units of hides and 3 units of bone.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '28', 'scout_quest_04', '[beep... bwat... zzt... whir] \nUsing the hides and bones you harvested, craft some Lecepanine Dart traps. These can be used on creatures to aid you during combat.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '29', 'scout_quest_05', '[boop... blip... whir... zwing] \nScouts are also adept at erecting temporary camps that can have a variety of uses. \n\nUse a basic camp kit to place a camp in the wild. Gather resources and craft a basic camp kit if you no longer have one.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '30', 'scout_quest_recommendation', '[bweep... whir... boop... zeet] \nBefore getting started, I must pass along some standard advice for one starting in the scouting profession. \n\nMost Scouts also take a combat profession such as Brawler or Marksman to aid them in the dangerous wilds. Especially when wishing to harvest resources.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '31', 'entertainer_quest_01', '[whir... bleep... vwoot] \nDancing is one of the basic forms of entertainment that you can master as an Entertainer. \n\nPlease perform any dance.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '32', 'entertainer_quest_02', '[bwoop... tweet... razzle] \nAnother standard form of entertainment at your disposal is the performance of music. \n\nPlease play any piece of music.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '33', 'entertainer_quest_03_human', '[boop... zeet... zwing... clik] \nSome entertainers choose to follow the path of becoming an Image Designer. Image design can involve many things such as hair styling, body sculpting, and even skin tinting. \n\nYou next task is to use your image design skills and change your hair to a different style.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '34', 'entertainer_quest_04', '[beep... dadeet... blip] \nTo enhance your music or dancing, you will need to add flourishes while you perform. This will not only enhance your performance, but it also increases your effectiveness with various entertainer abilities.\n\nPlease play a song or dance a dance and add flourishes during your performance.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '35', 'entertainer_quest_05', '[bweet... whir... zeet] \nAn Entertainer can relieve Battle Fatigue for other players by performing music or dancing for them. They can only do this in a cantina or in a theater.\n\nFind a cantina or theater and go inside.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '36', 'entertainer_quest_06', '[clik... beep... zwing... beep] \nI have received a request from a local sociologist. She wishes to study the reaction of people to the latest trends in dance and music. \n\nAsk another player to either watch you dance or listen to you play music. Do this for a total of 7 players. You may perform for all 7 players at once or each of them individually, but you must entertain all 7 of them using the same type of performance... meaning dance for them or play music, but not both.\n\n');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '37', 'artisan_quest_01', '[tweet... boop... blip] \nAs an Artisan, you will need various resources to craft your goods. As someone new to the profession, your best method for finding these resources will be to survey for them. \n\nYour first task is to survey for any type of mineral.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '38', 'artisan_quest_02', '[bweepo...zeek... beep] \nNow that you have found some minerals in the area, take some resource samples. Continue until you have 8 units of a single type of mineral.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '39', 'artisan_quest_03', '[zzt... bweeo... boop...razzle] \nFor your next task, survey for and sample a metal. Any type will do, but you must find 19 units of the same type of metal to complete this task in addition to the 8 units of minerals you collected previously.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '40', 'artisan_quest_04', '[blip... bweep... dadeep] \nNow you have the resources required to craft a chemical survey device. Make one of them.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '41', 'artisan_quest_05', '[boop... clik... bweep... bzzt] \nI have downloaded a service contract that you should now be able to fulfill. A guild of hunters wishes to present a demonstration on basic rifle craftsmanship. The contract asks that you craft some rifles, and I\'ll record your actions. The guild leaders will then edit together a holovid for their presentation.\n\nUse the Artisan knowledge you have gained to gather resources for 5 CDEF rifles and craft them. If you wish, you may craft these in practice mode so that you do not clutter your inventory with surplus rifles.\n\n');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '42', 'medic_quest_01', '[blip... whir... beep] \nBefore getting started, I must pass along some standard advice for one starting in the medical profession.\n\nIf you wish to pursue the crafting of medical supplies, it is recommended that you consider also taking the Artisan profession so that you may survey for and sample resources.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '43', 'medic_quest_02', '[clik... boop... beep... bwoop] \nA majority of the medical practice takes place in a medical center, and most major cities will have at least one medical center. You may also practice the healing arts while in a camp or in the presence of a droid that has a medical module.\n\nYour next task is to find and enter a medical center.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '44', 'medic_quest_03', '[buweep... zeet... razzle] \nTo better serve those who seek your medical expertise, it is best to know what ails them. \n\nDiagnose another player to determine what wounds they have.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '45', 'medic_quest_04', '[beep... zzt... tweet] \nThe basis of the medical profession is healing wounds. Healing wounds requires medical supplies, but you may tend wounds without needing anything but your willpower. \n\nTend wounds on any one player. You must be in a medical center to do this.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '46', 'delayed_accepting_quest', '[boop...bleep..bleep... whir... clik] \nVery well. When you are ready to begin, simply use my radial menu. When you click on me and the radial menu appears, hover over the menu option labeled \"Profession Quests\" and then choose the submenu for the profession about which you are ready to learn.  And remember that I am authorized to reward you for your progress as you complete these tasks.\n\nIf I\'m ever needed but not out by your side, you may call me from my control device in your datapad. Simply open your datapad (CTRL-D) and then select the control device with my name. It will be in the \"Data\" tab in your datapad. Click on my control device and use the radial menu choice to \"Call\" me.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '47', 'give_quest_button', 'Quest');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '48', 'thank_you_button', 'Close');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '49', 'menu_quests', 'Profession Quests');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '50', 'submenu_brawler', 'Brawler');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '51', 'submenu_marksman', 'Marksman');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '52', 'submenu_scout', 'Scout');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '53', 'submenu_artisan', 'Artisan');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '54', 'submenu_entertainer', 'Entertainer');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '55', 'submenu_medic', 'Medic');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '56', 'brawler_quest_06', '[beep... whir... tweetle... whir... clik]\nI have downloaded a job with a more substantial payment. \n\nA local scholar would like to study the stresses of combat on one such as yourself who is still new to the art of melee battle. He requires that you find and kill 10 creatures. I shall record your actions and transmit the recordings to him when you\'ve completed this task.\n\n');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '57', 'marksman_quest_05', '[bweep... tweet... boop... zwing] \nA nice job offer has just been downloaded to me. A local merchant wants some nice action pictures to use in advertisements for his weapons. \n\nFind and kill 10 creatures, and I will transmit images of your combat to him to fulfill the contract.\n\n');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '58', 'scout_quest_06', '[beep... blip... whir... vweet... clik] \nI have accepted a contract on your behalf. An enterprising local merchant wishes to show that environment and climate can cause fluctuations in the quality of hides harvested from creatures in an area. He will require a small sample from each of the hides you gather, and he will then study them to put together a set of data for his research.\n\nHarvest hides from creatures until the total amount of hides you\'ve harvested equals 90 or more. I\'ll take a small research sample from each hide and pass those samples on to the merchant.\n\n');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '59', 'heavy_axe_button', 'Axe');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '60', 'survival_knife_button', 'Knife');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '61', 'wooden_staff_button', 'Staff');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '62', 'cdef_pistol_button', 'Pistol');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '63', 'cdef_rifle_button', 'Rifle');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '64', 'cdef_carbine_button', 'Carbine');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '65', 'continue_button', 'Continue');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '66', 'credits_reward', '%DI credits have been deposited into your bank account.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '67', 'medic_quest_05', '[blip... whir... bweep] \nCrafting stimpacks allows you to better heal damage taken in combat, just as crafting medpacks will allow you to better heal wounds.\n\nI\'ve placed resources for one stimpack into your inventory. Please use them to craft a stimpack.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '68', 'medic_quest_06', '[beep... bloot... vweet... clik] \nA local doctor is gathering data on the effectiveness of tending wounds without the use of medicines. She intends to chart the results of these techniques and study the toll taken on Medics who use them.\n\nTend wounds on 5 different players, and I will send her the data she desires.\n\n');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '69', 'okay_button', 'Okay');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '70', 'brawler_quest_complete', '[beep... whir... clik... tweetle... bweep] \nCongratulations on finishing the tasks for the Brawler profession. \n\nContinue using what you have learned to progress in this profession. Well done and happy journeys.\n\nIf you\'d like to try any of the other starting professions (Marksman, Scout, Medic, Artisan, or Entertainer), simply speak to a trainer for the profession you wish to try and tell them you are interested in learning that profession. And don\'t worry... I can help you with those professions as well.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '71', 'marksman_quest_complete', '[beep... boop... clik... tweetle... bweep] \nCongratulations on finishing the tasks for the Marksman profession. \n\nContinue using what you have learned to progress in this profession. Well done and happy journeys.\n\nIf you\'d like to try any of the other starting professions (Brawler, Scout, Medic, Artisan, or Entertainer), simply speak to a trainer for the profession you wish to try and tell them you are interested in learning that profession. And don\'t worry... I can help you with those professions as well.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '72', 'scout_quest_complete', '[bweep... zeet... tweetle... boop... bweep] \nCongratulations on finishing the tasks for the Scout profession. \n\nContinue using what you have learned to progress in this profession. Well done and happy journeys.\n\nIf you\'d like to try any of the other starting professions (Brawler, Marksman, Medic, Artisan, or Entertainer), simply speak to a trainer for the profession you wish to try and tell them you are interested in learning that profession. And don\'t worry... I can help you with those professions as well.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '73', 'entertainer_quest_complete', '[beep... zwing... tweet... bweep... beep] \nCongratulations on finishing the tasks for the Entertainer profession. \n\nContinue using what you have learned to progress in this profession. Well done and happy journeys.\n\nIf you\'d like to try any of the other starting professions (Brawler, Marksman, Scout, Medic, or Artisan), simply speak to a trainer for the profession you wish to try and tell them you are interested in learning that profession. And don\'t worry... I can help you with those professions as well.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '74', 'artisan_quest_complete', '[beep... clik... beep... whir... blip] \nCongratulations on finishing the tasks for the Artisan profession. \n\nContinue using what you have learned to progress in this profession. Well done and happy journeys.\n\nIf you\'d like to try any of the other starting professions (Brawler, Marksman, Scout, Medic, or Entertainer), simply speak to a trainer for the profession you wish to try and tell them you are interested in learning that profession. And don\'t worry... I can help you with those professions as well.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '75', 'medic_quest_complete', '[zwing... razzle... zwing... beep... whir] \nCongratulations on finishing the tasks for the Medic profession. \n\nContinue using what you have learned to progress in this profession. Well done and happy journeys.\n\nIf you\'d like to try any of the other starting professions (Brawler, Marksman, Scout, Artisan, or Entertainer), simply speak to a trainer for the profession you wish to try and tell them you are interested in learning that profession. And don\'t worry... I can help you with those professions as well.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '76', 'new_player_vehicle_coupon', 'A Vehicle Rental Device');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '77', 'new_player_vehicle_coupon_d', 'Using this device will upload a rental vehicle device to your datapad.\n\nWhen you first use this vehicle rental device, a vehicle control device will be placed in your datapad, and your rental vehicle will be called for the first time for you to ride. Thereafter to call your rental vehicle, use the vehicle control device in your datapad (CTRL-D).\n\nYour rental vehicle can be called 5 times before the rental contract expires. Once the vehicle is called, you may ride it at will until it is stored again. Remember that when you first use this device, your rental vehicle is called for the first time which will then leave you with 4 more opportunities to call and use it.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '78', 'new_player_cloning_coupon', 'A Cloning Facility Authorization Release');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '79', 'new_player_cloning_coupon_d', 'This cloning facility authorization release can be used to store your clone data at a cloning facility at no cost. It may only be used once.\n\nWhen you use a cloning terminal to store your clone data at a cloning facility, you will be given the option of using this authorization release instead of paying the fee.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '80', 'new_player_travel_coupon_d', 'This travel voucher can be used to purchase a shuttleport or starport ticket at no cost. It may only be used once.\n\nWhen you use a travel terminal to purchase a travel ticket, you will be given the option of using this travel voucher to pay for the ticket.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '81', 'new_player_travel_coupon', 'A Travel Voucher');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '82', 'refused_quest_help', '[bweep...bleep..blip... zonk... tweet] \nVery well. If you need help, simply use my radial menu. When you click on me and the radial menu appears, hover over the menu option labeled \"Profession Quests\" and then choose the submenu for the profession about which you are ready to learn.  And remember that I am authorized to reward you for your progress as you complete these tasks.\n\nIf I\'m ever needed but not out by your side, you may call me from my control device in your datapad. Simply open your datapad (CTRL-D) and then select the control device with my name. It will be in the \"Data\" tab in your datapad. Click on my control device and use the radial menu choice to \"Call\" me.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '83', 'lets_start_button', 'Start');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '84', 'help_now_button', 'Help');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '85', 'entertainer_quest_03_twilek', '[boop... zeet... zwing... clik] \nSome entertainers choose to follow the path of becoming an Image Designer. Image design can involve many things such as hair styling, body sculpting, and even skin tinting. \n\nYou next task is to use your image design skills and change your lekku to a different style.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '86', 'entertainer_quest_03_trandoshan', '[boop... zeet... zwing... clik] \nSome entertainers choose to follow the path of becoming an Image Designer. Image design can involve many things such as hair styling, body sculpting, and even skin tinting. \n\nYou next task is to use your image design skills and change your skull ridges to a different style.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '87', 'entertainer_quest_03_zabrak', '[boop... zeet... zwing... clik] \nSome entertainers choose to follow the path of becoming an Image Designer. Image design can involve many things such as hair styling, body sculpting, and even skin tinting. \n\nYou next task is to use your image design skills and change your horn pattern to a different style.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '88', 'entertainer_quest_03_moncalamari', '[beep... clik... tweetle... clik... whir... zang] \nYour next task was to restyle your hair, but as a Mon Calamari, you do not have hair or anything else to style. I have been authorized to skip this step and move on to the next one.\n\nBefore I do, I\'d like to make sure you know that you can help others style their hair by grouping with them, then targeting them, and then either selecting the Image Design radial menu option or typing /imagedesign. If you progress as an Image Designer, you will eventually learn how to change the style and color your skull markings... among other things.\n\nLet\'s move on.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '89', 'given_survey_device', 'A mineral survey device has been added to your inventory.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '90', 'given_crafting_tool', 'A generic crafting tool has been added to your inventory.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '91', 'given_slitherhorn', 'A slitherhorn has been added to your inventory.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '92', 'default_cancel_button', 'Cancel');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '93', 'default_okay_button', 'Okay');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '94', 'default_revert_button', 'Revert');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '95', 'default_text', 'Warning... I have nothing to say.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '96', 'entertainer_quest_03_wookiee', '[beep... clik... tweetle... clik... whir... zang] \nYour next task was intended to be to restyle your hair, but as a Wookiee, your fur cannot be styled so easily. I have been authorized to skip this step and move on to the next one.\n\nBefore I do, I\'d like to make sure you know that you can help others style their hair by grouping with them, then targeting them, and then either selecting the Image Design radial menu or typing /imagedesign. If you progress as an Image Designer, you will eventually learn how to change your fur color and markings... among other things.\n\nLet\'s move on.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '97', 'entertainer_quest_03_rodian', '[boop... zeet... zwing... clik] \nSome entertainers choose to follow the path of becoming an Image Designer. Image design can involve many things such as hair styling, body sculpting, and even skin tinting. \n\nYou next task is to use your image design skills and change your frills to a different style.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '98', 'entertainer_quest_03_bothan', '[boop... zeet... zwing... clik] \nSome entertainers choose to follow the path of becoming an Image Designer. Image design can involve many things such as hair styling, body sculpting, and even skin tinting. \n\nYou next task is to use your image design skills and change your hair to a different style.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '101', 'given_cloning_coupon', 'A cloning facility authorization release has been placed in your inventory. Examine it for more details.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '102', 'given_travel_coupon', 'A travel voucher has been placed in your inventory. Examine it for more details.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '103', 'given_vehicle_coupon', 'A vehicle rental device has been placed in your inventory. Examine it for more details.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '104', 'artisan_quest_00', '[beep... tweet... whir] \nAre you ready to learn more about the Artisan profession? I\'ve downloaded some Artisan tasks that will help.\n\nReady to begin?');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '105', 'brawler_quest_00', '[beep... clik... boop... whir] \nAre you ready to learn more about the Brawler profession? I\'ve downloaded some Brawler tasks that will help.\n\nReady to begin?');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '106', 'entertainer_quest_00', '[beep... beep... bop] \nAre you ready to learn more about the Entertainer profession? I\'ve downloaded some Entertainer tasks that will help.\n\nReady to begin?');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '107', 'scout_quest_00', '[bwat... zzt... bweep... whir] \nAre you ready to learn more about the Scout profession? I\'ve downloaded some Scout tasks that will help.\n\nReady to begin?');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '108', 'marksman_quest_00', '[boop... beep... beep] \nAre you ready to learn more about the Marksman profession? I\'ve downloaded some Marksman tasks that will help.\n\nReady to begin?');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '109', 'medic_quest_00', '[boop... zweet... whir] \nAre you ready to learn more about the Medic profession? I\'ve downloaded some Medic tasks that will help.\n\nReady to begin?');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '110', 'profession_quest_menus', 'Select the submenu under Profession Quests for the profession in which you are interested.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '111', 'task_complete_reward_01', '%TU tells you \"[bleep... whir... zing... boop... razz] Well done in completing your %TT task. You have been granted bonus Experience Points and a reward of %DI credits.\"');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '112', 'task_complete_no_reward_01', '%TU tells you \"[bleep... whir... boop] Well done in completing your %TT task.\"');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '113', 'task_complete_reward_02', '%TU tells you \"[bwoop... whir... zing... boop... razz] Excellent job in completing your %TT task. You have been granted bonus Experience Points and a reward of %DI credits.\"');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '114', 'task_complete_reward_03', '%TU tells you \"[whir... zing... boop... bleep... razz] Your %TT task is complete. Very good. You have been granted bonus Experience Points and a reward of %DI credits.\"');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '115', 'task_complete_reward_04', '%TU tells you \"[whir... zing... boop... razz... whir] You have completed your %TT task and have been granted bonus Experience Points plus a reward of %DI credits.\"');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '116', 'task_complete_reward_05', '%TU tells you \"[whir... bleep... zing... boop... razz] You have done well and completed your %TT task. You have been granted bonus Experience Points and a reward of %DI credits.\"');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '117', 'task_complete_no_reward_02', '%TU tells you \"[bwoop... whir... boop] Excellent job in completing your %TT task.\"');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '118', 'task_complete_no_reward_03', '%TU tells you \"[whir... boop... bleep] Your %TT task is complete. Very good.\"');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '119', 'task_complete_no_reward_04', '%TU tells you \"[whir... boop... whir] You have completed your %TT task.\"');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '120', 'task_complete_no_reward_05', '%TU tells you \"[whir... bleep... boop] You have done well and completed your %TT task.\"');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '121', 'general_greeting_prose_02', '[bwoop... clik] Hello %TO.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '122', 'general_greeting_prose_03', '[tweet... clik] Salutations %TO.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '125', 'droid_greeting_end', 'I am your helper droid and will be helping you to learn more about any of the Starting Professions you wish to undertake.\n\nI have downloaded some tasks to help you get started. Would you like to begin?');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '126', 'droid_greeting_begin_02', '[bwoop... clik... zwing... bweep... beep] \nHello, ');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '127', 'droid_greeting_begin_03', '[tweet... clik... zwing... bweep... beep] \nSalutations, ');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '128', 'general_combat_button', 'Combat');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '129', 'brawler_berserk', '[whir... clik... beep... tweetle... razz]\nWhile Berserk, you cause more melee damage to your targets but get hit more often in return.\n\nTo go Berserk, type \"/berserk1\" or you may drag Berserk 1 from the \"Other\" tab of your Command Browser (CTRL-A) to your hotkey bar at the top of your screen and use the corresponding hotkey or click on it directly.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '130', 'brawler_lunge', '[whir... clik... bweep... freet... blip]\nA Lunge attack can slightly extend your range, and has a chance to lower the posture of your target... possibly limiting their ability to attack or defend.\n\nTo use Lunge, you will need to type the command that goes with your style of attack: \n    For one-handed weapons, type /melee1hlunge1 <target>\n    For two-handed weapons, type /melee2hlunge1 <target>\n    For polearm weapons, type /polearmlunge1 <target>\n    For unarmed, type /unarmedlunge1 <target>\n\nIf you have your target selected, you can leave off the <target> part of the command.\n\nOr you may drag the appropriate Lunge 1 command from the \"Combat\" tab of your Command Browser (CTRL-A) to your hotkey bar at the top of your screen and use the corresponding hotkey or click on it directly.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '131', 'brawler_center_of_being', '[whir... clik... bleet... zzt... tweet]\nWhen using Center of Being, your character will focus on avoiding combat blows.\n\nTo use Center of Being, type \"/centerofbeing\" or you may drag Center of Being from the \"Other\" tab in your Command Browser (CTRL-A) to your hotkey bar at the top of your screen and use the corresponding hotkey or click on it directly.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '132', 'marksman_point_blank_single', '[whir... clik... vwoot... bwat... beep]\nA Point Blank Single attack can be performed at point blank range on a single target without suffering a penalty to hit.\n\nTo use a Point Blank Single attack, type \"/pointblanksingle1 <target>\" or you can select your target and then just type \"/pointblanksingle1\".\n\nAnother option is to drag Point Blank Single 1 from the \"Combat\" tab of your Command Browser (CTRL-A) to your hotkey bar at the top of your screen and use the corresponding hotkey or click on it directly.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '133', 'marksman_overcharge_shot', '[whir... clik... boop... dadeep... zeep]\nAn Overcharge Shot causes more damage to a target at the expense of your weapon\'s power supply.\n\nTo use an Overcharge Shot, type \"/overchargeshot1 <target>\" or you may select your target and then just type \"/overchargeshot1\".\n\nAnother option is to drag Overcharge Shot 1 from the \"Combat\" tab of your Command Browser (CTRL-A) to your hotkey bar at the top of your screen and use the corresponding hotkey or click on it directly.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '134', 'entertainer_image_design', '[whir... clik... beep... boop... zweep]\nUsing Image Design allows you to alter the way your character looks, or to alter the way other characters look as long as they are in a group with you and consent to your changes.\n\nTo Image Design, type \"/imagedesign <target\'s name>\". You may also simply click on your target to select them and then type \"/imagedesign\". If you aren\'t targeting anyone, then you will image design yourself.\n\nAnother way to begin image designing is use the \"Image Design\" radial menu choice on a player with whom you are grouped.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '135', 'medic_diagnose', '[whir... clik... weet... blip... tweet]\nUsing Diagnose allows you to see what wounds your patient might have.\n\nTo use Diagnose, type \"/diagnose <target\'s name>\". You may also click on your target to select them and then type \"/diagnose\".\n\nAnother option is to drag Diagnose from the \"Other\" tab of your Command Browser (CTRL-A) to your hotkey bar at the top of your screen and use the corresponding hotkey or click on it directly.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '136', 'medic_tend_wounds', '[whir... clik... bweep... bloop... zweet]\nUsing Tend Wounds heals the wounds of a specified physical attribute without the need for medicine.  Using this causes minor wounding to your focus and willpower.\n\nTo Tend Wounds, type \"/tendwound <target\'s name> <attribute>\". You may also click on your target to select them and then type \"/tendwound <attribute>\".\n\nA third option is to drag Tend Wound from the \"Other\" tab of your Command Browser (CTRL-A) to your hotkey bar at the top of your screen and use the corresponding hotkey or click on it directly.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '137', 'general_entertainer_button', 'Entertainer Info');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '138', 'general_medic_button', 'Healing Info');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '139', 'calling_stored_helper_droid', '[zwoop... blip... clik... bweep]\nWhen I have been stored, you may call me from my control device in your datapad. \n\nSimply open your datapad (CTRL-D) and then select the control device with my name. It will be in the \"Data\" tab in your datapad. Click on my control device and use the radial menu choice to \"Call\" me.\n\nIf I\'m currently in the world somewhere, instead of a \"Call\" menu option, you will see a \"Store\" menu option. You can use this choice to store me in my control device.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '140', 'vehicle_coupon_menu_call', 'Call Rental Vehicle');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '141', 'vehicle_coupon_is_not_owner', 'You are not authorized to use this rental device.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '142', 'vehicle_coupon_no_owner', 'This is an invaild rental device.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '143', 'given_fireworks', 'A firework device has been placed in your inventory.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '144', 'travel_coupon', 'Using A Travel Voucher');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '145', 'travel_coupon_use_text_option', 'Would you like to:\n\n- Use your Travel Voucher to purchase this ticket?\n- Or pay the fee to purchase this ticket?\n\nTicket Price: ');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '146', 'travel_coupon_use_coupon_button', 'Use Voucher');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '147', 'travel_coupon_pay_credits_button', 'Pay Fee');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '149', 'travel_coupon_invaild', 'Warning: Travel Voucher is invalid. Aborting travel ticket purchase...');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '150', 'travel_coupon_use_text_no_money', 'Would you like to use your Travel Voucher to purchase this ticket?');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '151', 'travel_coupon_cancelled', 'Ticket purchase cancelled.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '152', 'travel_coupon_cancel_button', 'Cancel');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '154', 'listbox_no_selection', 'Please select one of the professions in the list before clicking on \"Okay\".');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '155', 'droid_prompt_end', 'and welcome back. I am, as always, at your service.\n\nIf I may be of assistance, simply select the profession you want and then click on the \"Okay\" button.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '156', 'inventory_full', '[beep... zip... bwoop... clik]\nYou have no space in your inventory. Please make some room and then use my radial menu to try again when you are ready.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '157', 'completed_first_task', 'Congratulations on completing your first ever task! If you wish to celebrate, you can use these fireworks.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '158', 'completed_second_task', 'Whoo, you\'re on  roll! Here\'s an authorization release for any cloning facility... it lets you bind once for free. Enjoy!');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '159', 'completed_first_profession', 'Well done! You\'ve completed an entire profession\'s set of tasks. As a reward, take this vehicle rental. Have fun!');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '160', 'completed_third_task', 'You\'re doing great! Here\'s a travel voucher. Use it to get a free shuttleport or spaceport ticket! Wow!');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '161', 'entertainer_quest_06_b', 'Players Entertained: ');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '162', 'artisan_quest_05_b', 'Rifles Crafted: ');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '163', 'brawler_quest_06_b', 'Creatures Killed: ');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '164', 'marksman_quest_05_b', 'Creatures Killed: ');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '165', 'medic_quest_06_b', 'Players Healed: ');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '166', 'scout_quest_06_b', 'Samples of Hide Harvested: ');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '167', 'submenu_cloning', 'Cloning');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '168', 'submenu_travel', 'Traveling');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '169', 'submenu_vehicle', 'Vehicle Use');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '170', 'menu_other', 'General Help');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '171', 'droid_periodic_check_end', 'I am merely checking to see if you might be in need of assistance.\n\nIf so, you need simply select the profession with which you would like help and then click on the \"Okay\" button.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '172', 'counter_not_update', '\n\n         (Please note that as you progress in this task,\n         the counter will not update without being re-opened.)');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '173', 'space_greeting', 'I am your helper droid, and I can help answer some questions you might have about becoming a pilot of a starship.\n\nPlease choose any topic shown below, and I will provide more information about it.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '174', 'space_option_how_to_find_ship', 'How do I get trained as a starship pilot?');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '175', 'space_option_how_to_check_email', 'How do I check my email?');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '176', 'space_option_how_to_travel', 'How do I travel to other ground locations?');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '177', 'space_option_how_to_make_money', 'How do I make money?');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '178', 'space_info_how_to_find_ship', '[beep... bleep... freet... click]\nYour best bet to get a starship with which to start, as well as the training to fly one, would be to join an organization that will supply you with one. Such an organization might be part of the military, as with the Imperial Navy or the Rebel Alliance Navy. There are also freelance, or privateer, organizations that hire and train pilots, such as various smuggling operations and minor security forces.\n\nBefore arriving here, you made a choice as to which type of organizations you would prefer to join: Imperial, Rebel, or Privateer. You have been provided with a waypoint in your datapad that marks the location of a trainer for the organization you chose. The path to that trainer has also been marked for you, so that you may follow it from the starport to your trainer.\n\nIf you wish to know more about Imperial, Rebel, or Privateer organizations, many of them contact potential recruits such as yourself via email. This correspondence invites you to speak with a coordinator from the organization.  If interested, you might wish to check your email for just such a thing.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '179', 'space_info_how_to_check_email', '[bleep... bloop... whir... whir]\nLook for the flashing \'envelope\' icon on your interface. It\'s placed on the lower right-hand side of your screen by default.\n\nDouble-click on the envelope icon, and read your mail.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '180', 'space_info_how_to_travel', '[vweet... plerp... beep... zwing]\nUntil you have your own ship, your options for traveling to a location on the surface of a planet are limited to walking and purchasing a shuttle or starship ticket.\n\nIf you choose to walk to a location on your current planet, I suggest opening your planetary map (ctrl-v) and creating a waypoint at your destination. You can do this by right-clicking on the map at the location that is your target or by right-clicking one of the locations listed on the right-hand side of the map. Either way, choose the option to create a waypoint and one will be added to your datapad.\n\nIf you choose to purchase a shuttle or starport ticket, simply travel to the nearest shuttleport or starport and purchase a ticket from the ticket terminal. Shuttleports are used to travel to destinations on your current planet. Starports are used to travel to different planets, though you may also travel to other locations on the same planet. Once you have your ticket, walk to the ticket droid and present your ticket. The ticket droid will let you know when the next transport will be leaving.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '181', 'space_info_how_to_make_money', '[whir... boop... click... zzt]\nThere are many civilian contracts available on the \'mission terminals\' you find throughout town. Look for them near any major structure. Use the terminal to bring up the current list of local contracts. Choose the one that interests you the most, and you\'ll make money when the task is complete.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '182', 'menu_space', 'Starship Pilot Help');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '183', 'space_cannot_call', 'Your helper droid is not built for the pressures of space. Call it when you are on a planet.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '184', 'entertainer_quest_03_sullustan', '[beep... clik... tweetle... clik... whir... zang] \nYour next task was to restyle your hair, but as a Sullustan, you do not have hair or anything else to style. I have been authorized to skip this step and move on to the next one.\n\nBefore I do, I\'d like to make sure you know that you can help others style their hair by grouping with them, then targeting them, and then either selecting the Image Design radial menu option or typing /imagedesign. If you progress as an Image Designer, you will eventually learn how to change the style and color your skull markings... among other things.\n\nLet\'s move on.');
INSERT INTO `client_strings` VALUES ('string/en/new_player.stf', '185', 'entertainer_quest_03_ithorian', '[beep... clik... tweetle... clik... whir... zang] \nYour next task was to restyle your hair, but as an Ithorian, you are not yet able to do this. I have been authorized to skip this step and move on to the next one.\n\nBefore I do, I\'d like to make sure you know that you can help others style their hair by grouping with them, then targeting them, and then either selecting the Image Design radial menu option or typing /imagedesign. If you progress as an Image Designer, you will eventually learn how to change many aspects of your appearance.\n\nLet\'s move on.');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '1', 'neutral_dislike_greeting_1', 'Oh, it\'s you again.  What do you need now?');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '2', 'neutral_neutral_greeting_1', 'Yes?  What can I do for you?');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '3', 'neutral_dislike_farewell_1', 'Good riddance!');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '4', 'neutral_like_greeting_1', 'Hi there!  How are things going?');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '5', 'neutral_neutral_farewell_1', 'Good day to you sir.');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '6', 'neutral_like_farewell_1', 'See you later!  Don\'t be a stranger.');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '7', 'neutral_cry_for_help_1', 'Oh Dear!  Someone help!');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '8', 'neutral_cry_warning_1', 'Look out!');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '9', 'neutral_loot_1', 'Hmm...this looks interesting.');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '10', 'neutral_victory_1', 'Yes!  That\'s done!');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '11', 'neutral_overhear_name_1', 'Excuse me?  Did you mean me?');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '12', 'neutral_like_see_attack_1', 'Hey!  Stop that!  That\'s my friend!');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '13', 'neutral_neutral_see_attack_1', 'Hey!  What are you doing!');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '14', 'neutral_dislike_see_attack_1', 'Hit him harder!');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '15', 'neutral_like_see_death_1', 'Oh no!  My friend is dead!');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '16', 'neutral_neutral_see_death_1', 'Oh my, what\'s happening here?');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '17', 'neutral_dislike_see_death_1', 'I never liked that person much anyway.');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '18', 'neutral_offer_mission_1', 'Can you do me a small favor?');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '19', 'neutral_mission_accepted_1', 'Fantastic.  I\'m sure you\'ll get it done.');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '20', 'neutral_mission_declined_1', 'That\'s too bad.  I need to find someone to help me.');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '21', 'imperial_dislike_greeting_1', 'What is it?');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '22', 'imperial_neutral_greeting_1', 'What can I do for you?');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '23', 'imperial_like_greeting_1', 'Good day!  What can I do for you?');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '24', 'imperial_cry_for_help_1', 'Guards!  Stormtroopers!  Come quickly!');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '25', 'imperial_dislike_farewell_1', 'Be gone from here.');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '26', 'imperial_like_farewell_1', 'Good day to you sir.');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '27', 'imperial_neutral_farewell_1', 'Good bye.');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '28', 'imperial_cry_warning_1', 'Watch out!  ');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '29', 'imperial_dislike_see_attack_1', 'Excellent shot sir.');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '30', 'imperial_like_see_attack_1', 'Guards!  Help this man!');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '31', 'imperial_neutral_see_attack_1', 'Be more careful, I could have been hurt.');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '32', 'imperial_loot_1', 'My superiors will be interested in this.');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '33', 'imperial_dislike_see_death_1', 'That\'s one less problem to worry about.');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '34', 'imperial_like_see_death_1', 'You will be avenged!');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '35', 'imperial_neutral_see_death_1', 'How unfortunate.');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '36', 'imperial_victory_1', 'Yes!  That was for the Emperor\'s glory!');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '37', 'imperial_mission_accepted_1', 'Very good.  Now get to work.');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '38', 'imperial_mission_declined_1', 'Well, some people just don\'t have what it takes.');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '39', 'imperial_offer_mission_1', 'Are you ready to do some work for the glory of the empire?');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '40', 'imperial_overhear_name_1', 'What did you say?');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '41', 'rebel_dislike_greeting_1', 'Oh, it\'s you.  What is it now?');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '42', 'rebel_like_greeting_1', 'Hey, how are you?  Can I help you with anything?');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '43', 'rebel_neutral_greeting_1', 'Hello.  What do you need?');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '44', 'rebel_cry_for_help_1', 'I need some backup here!');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '45', 'rebel_dislike_farewell_1', 'Get lost.');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '46', 'rebel_like_farewell_1', 'May the force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '47', 'rebel_neutral_farewell_1', 'Good bye.');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '48', 'rebel_cry_warning_1', 'Look out!');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '49', 'rebel_dislike_see_attack_1', 'I refuse to help you!');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '50', 'rebel_like_see_attack_1', 'I\'ll get you some help!');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '51', 'rebel_neutral_see_attack_1', 'He\'s being killed!');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '52', 'rebel_loot_1', 'This will help us.');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '53', 'rebel_dislike_see_death_1', 'They got what was coming to them.');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '54', 'rebel_like_see_death_1', 'Oh, no!  That was my friend!');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '55', 'rebel_neutral_see_death_1', 'What a tragedy.');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '56', 'rebel_victory_1', 'The Empire will fall!');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '57', 'rebel_mission_accepted_1', 'The alliance thanks you for your help.');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '58', 'rebel_mission_declined_1', 'That\'s too bad.  We could have really used your help.');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '59', 'rebel_offer_mission_1', 'Can you do the alliance a small favor?');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '60', 'rebel_overhear_name_1', 'Were you talking about me?');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '61', 'hutt_dislike_greeting_1', 'I don\'t have time for your petty troubles.');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '62', 'hutt_like_greeting_1', 'Good to see you.  How are things?');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '63', 'hutt_neutral_greeting_1', 'What can you do for me?');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '64', 'hutt_cry_for_help_1', 'Help!  I need assistance!');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '65', 'hutt_dislike_farewell_1', 'If you come back again I\'ll probably kill you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '66', 'hutt_like_farewell_1', 'Stay out of trouble, friend.');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '67', 'hutt_neutral_farewell_1', 'See you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '68', 'hutt_cry_warning_1', 'Watch it!');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '69', 'hutt_dislike_see_attack_1', 'Haha!  That\'s what you get.');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '70', 'hutt_like_see_attack_1', 'Keep your head down, I\'ll try to help!');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '71', 'hutt_neutral_see_attack_1', 'None of my business.');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '72', 'hutt_loot_1', 'This is good stuff.');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '73', 'hutt_dislike_see_death', 'Too bad you can\'t bring him back and kill him again.');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '74', 'hutt_like_see_death_1', 'Don\'t think we\'re gonna let you get away with that.');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '75', 'hutt_neutral_see_death_1', 'I wonder if I can use this to my advantage somehow.');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '76', 'hutt_victory_1', 'Haha!  We win!');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '77', 'hutt_mission_accepted_1', 'Good.  Welcome to the team.');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '78', 'hutt_mission_declined_1', 'Well, not everyone\'s cut out for the life.');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '79', 'hutt_offer_mission_1', 'Can you do some work and keep your mouth shut?');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '80', 'hutt_overhear_name_1', 'I didn\'t do it, whatever you\'re talking about.');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '81', 'stormtrooper_dislike_greeting_1', 'Let me see your papers.');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '82', 'stormtrooper_', '');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '83', 'stormtrooper_dislike_farewell_1', 'You\'re not authorized to be here.');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '84', 'stormtrooper_dislike_see_attack_1', 'Blast em!');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '85', 'stormtrooper_dislike_see_death_1', 'Enemy down.');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '86', 'stormtrooper_like_greeting_1', 'How can I help you?');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '87', 'stormtrooper_like_farewell_1', 'So long.');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '88', 'stormtrooper_like_see_attack_1', 'Stand aside, I\'ll deal with this!');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '89', 'stormtrooper_like_see_death_1', 'Friendly down!');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '90', 'stormtrooper_neutral_greeting_1', 'Are you authorized to be here?');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '91', 'stormtrooper_neutral_farewell_1', 'Good bye.');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '92', 'stormtrooper_neutral_see_attack_1', 'Fighting going on.  I\'m waiting for orders...');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '93', 'stormtrooper_neutral_see_death_1', 'Looks like it\'s over for now.');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '94', 'stormtrooper_cry_for_help_1', 'I need backup!');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '95', 'stormtrooper_cry_warning_1', 'Here they come!');
INSERT INTO `client_strings` VALUES ('string/en/npc_convo.stf', '96', 'stormtrooper_victory_1', 'Looks like we\'ve done it.');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '1', 'air_car_attendant', 'air car attendant\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '2', 'aqualish_base_female', 'aqualish base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '3', 'aqualish_base_male', 'aqualish base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '4', 'arcona_base_base_female', 'arcona base base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '5', 'arcona_base_base_male', 'arcona base base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '6', 'askajian_base_female', 'askajian base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '7', 'askajian_base_male', 'askajian base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '8', 'banker', 'banker\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '9', 'bartender', 'bartender\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '10', 'base_npc', 'base npc\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '11', 'beggar', 'beggar\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '12', 'bellboy', 'bellboy\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '13', 'bith_base_female', 'bith base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '14', 'bith_base_male', 'bith base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '15', 'bothan_base_female', 'bothan base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '16', 'bothan_base_male', 'bothan base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '17', 'chadra_fan_base_female', 'chadra fan base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '18', 'chadra_fan_base_male', 'chadra fan base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '19', 'cloning_attendant', 'cloning attendant\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '20', 'concierge', 'concierge\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '21', 'dancer', 'dancer\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '22', 'dantari_base_male', 'dantari base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '23', 'devaronian_base_female', 'devaronian base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '24', 'devaronian_base_male', 'devaronian base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '25', 'doctor', 'doctor\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '26', 'drall_base_female', 'drall base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '27', 'drall_base_male', 'drall base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '28', 'drunk', 'drunk\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '29', 'dug_base_female', 'dug base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '30', 'dug_base_male', 'dug base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '31', 'dulok_base_female', 'dulok base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '32', 'dulok_base_male', 'dulok base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '33', 'duros_base_female', 'duros base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '34', 'duros_base_male', 'duros base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '35', 'ewok_base_female', 'ewok base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '36', 'ewok_base_male', 'ewok base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '37', 'farmer', 'farmer\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '38', 'gamorrean_base_female', 'gamorrean base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '39', 'gamorrean_base_male', 'gamorrean base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '40', 'garage_attendant', 'garage attendant\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '41', 'generic_aqualish_female', 'generic aqualish female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '42', 'generic_aqualish_male', 'generic aqualish male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '43', 'generic_bith_female', 'generic bith female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '44', 'generic_bith_male', 'generic bith male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '45', 'generic_bothan_female', 'generic bothan female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '46', 'generic_bothan_male', 'generic bothan male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '47', 'generic_devaronian_female', 'generic devaronian female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '48', 'generic_devaronian_male', 'generic devaronian male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '49', 'generic_gran_female', 'generic gran female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '50', 'generic_gran_male', 'generic gran male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '51', 'generic_human_female', 'generic human female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '52', 'generic_human_male', 'generic human male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '53', 'generic_ishi_tib_female', 'generic ishi tib female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '54', 'generic_ishi_tib_male', 'generic ishi tib male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '55', 'generic_jawa_female', 'generic jawa female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '56', 'generic_jawa_male', 'generic jawa male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '57', 'generic_moncal_female', 'generic moncal female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '58', 'generic_moncal_male', 'generic moncal male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '59', 'generic_npc', 'generic npc\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '60', 'generic_rodian_female', 'generic rodian female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '61', 'generic_rodian_male', 'generic rodian male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '62', 'generic_trandoshan_female', 'generic trandoshan female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '63', 'generic_trandoshan_male', 'generic trandoshan male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '64', 'generic_tusken_raider_female', 'generic tusken raider female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '65', 'generic_tusken_raider_male', 'generic tusken raider male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '66', 'generic_twilek_female', 'generic twilek female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '67', 'generic_twilek_male', 'generic twilek male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '68', 'generic_wookiee_female', 'generic wookiee female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '69', 'generic_wookiee_male', 'generic wookiee male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '70', 'generic_zabrak_female', 'generic zabrak female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '71', 'generic_zabrak_male', 'generic zabrak male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '72', 'gethzerion', 'gethzerion\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '73', 'gorax_base_female', 'gorax base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '74', 'gorax_base_male', 'gorax base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '75', 'gotal_base_female', 'gotal base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '76', 'gotal_base_male', 'gotal base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '77', 'gran_base_female', 'gran base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '78', 'gran_base_male', 'gran base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '79', 'guard', 'guard\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '80', 'gungan_base_female', 'gungan base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '81', 'gungan_base_male', 'gungan base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '82', 'gupin_base_female', 'gupin base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '83', 'gupin_base_male', 'gupin base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '84', 'hospital_patient', 'hospital patient\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '85', 'human_base_female', 'human base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '86', 'human_base_male', 'human base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '87', 'hutt_base_female', 'hutt base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '88', 'hutt_base_male', 'hutt base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '89', 'hutt_thug', 'hutt thug\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '90', 'imperial_military', 'imperial military\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '91', 'ishi_tib_base_female', 'ishi tib base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '92', 'ishi_tib_base_male', 'ishi tib base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '93', 'ithorian_base_female', 'ithorian base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '94', 'ithorian_base_male', 'ithorian base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '95', 'jawa_base_female', 'jawa base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '96', 'jawa_base_male', 'jawa base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '97', 'jinda_base_female', 'jinda base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '98', 'jinda_base_male', 'jinda base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '99', 'kitonak_base_female', 'kitonak base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '100', 'kitonak_base_male', 'kitonak base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '101', 'klatooinian_base_female', 'klatooinian base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '102', 'klatooinian_base_male', 'klatooinian base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '103', 'kowakian_monkey_lizard_base_female', 'kowakian monkey lizard base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '104', 'kowakian_monkey_lizard_base_male', 'kowakian monkey lizard base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '105', 'kubaz_base_female', 'kubaz base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '106', 'kubaz_base_male', 'kubaz base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '107', 'marauder_base_female', 'marauder base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '108', 'marauder_base_male', 'marauder base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '109', 'merchant', 'merchant\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '110', 'moncal_base_female', 'moncal base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '111', 'moncal_base_male', 'moncal base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '112', 'musician', 'musician\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '113', 'nikto_base_female', 'nikto base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '114', 'nikto_base_male', 'nikto base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '115', 'nurse', 'nurse\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '116', 'ortolan_base_female', 'ortolan base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '117', 'ortolan_base_male', 'ortolan base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '118', 'phlog_base_female', 'phlog base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '119', 'phlog_base_male', 'phlog base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '120', 'pirate', 'pirate\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '121', 'police_officer', 'police officer\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '122', 'prison_warden', 'prison warden\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '123', 'prisoner', 'prisoner\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '124', 'quarren_base_female', 'quarren base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '125', 'quarren_base_male', 'quarren base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '126', 'rebel_military', 'rebel military\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '127', 'refugee', 'refugee\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '128', 'rodian_base_female', 'rodian base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '129', 'rodian_base_male', 'rodian base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '130', 'selonian_base_female', 'selonian base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '131', 'selonian_base_male', 'selonian base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '132', 'shistavanen_base_female', 'shistavanen base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '133', 'shistavanen_base_male', 'shistavanen base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '134', 'shop_customer', 'shop customer\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '135', 'skill_trainer', 'skill trainer\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '136', 'smuggler', 'smuggler\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '137', 'stormtrooper', 'stormtrooper');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '138', 'sullustan_base_female', 'sullustan base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '139', 'sullustan_base_male', 'sullustan base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '140', 'talz_base_female', 'talz base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '141', 'talz_base_male', 'talz base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '142', 'teek_base_female', 'teek base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '143', 'teek_base_male', 'teek base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '144', 'thief', 'thief\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '145', 'toydarian_base_female', 'toydarian base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '146', 'toydarian_base_male', 'toydarian base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '147', 'trandoshan_base_female', 'trandoshan base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '148', 'trandoshan_base_male', 'trandoshan base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '149', 'tulgah_base_female', 'tulgah base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '150', 'tulgah_base_male', 'tulgah base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '151', 'tusken_raider_base_female', 'tusken raider base female');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '152', 'tusken_raider_base_male', 'tusken raider base male');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '153', 'twilek_base_female', 'twilek base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '154', 'twilek_base_male', 'twilek base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '155', 'waitress', 'waitress\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '156', 'weequay_base_female', 'weequay base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '157', 'weequay_base_male', 'weequay base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '158', 'wistie_base_female', 'wistie base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '159', 'wistie_base_male', 'wistie base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '160', 'wookiee_base_female', 'wookiee base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '161', 'wookiee_base_male', 'wookiee base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '162', 'yuzzum_base_female', 'yuzzum base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '163', 'yuzzum_base_male', 'yuzzum base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '164', 'zabrak_base_female', 'zabrak base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '165', 'zabrak_base_male', 'zabrak base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '166', 'dark_trooper', 'A Dark Trooper');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '167', 'scout_trooper', 'scout trooper');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '168', 'storm_commando', 'storm commando');
INSERT INTO `client_strings` VALUES ('string/en/npc_detail.stf', '169', 'stormtrooper_black_hole', 'black hole stormtrooper');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '1', 'air_car_attendant', 'air car attendant\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '2', 'aqualish_base_female', 'aqualish base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '3', 'aqualish_base_male', 'aqualish base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '4', 'arcona_base_base_female', 'arcona base base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '5', 'arcona_base_base_male', 'arcona base base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '6', 'askajian_base_female', 'askajian base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '7', 'askajian_base_male', 'askajian base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '8', 'banker', 'banker\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '9', 'bartender', 'bartender\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '10', 'base_npc', 'base npc\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '11', 'beggar', 'beggar\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '12', 'bellboy', 'bellboy\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '13', 'bith_base_female', 'bith base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '14', 'bith_base_male', 'bith base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '15', 'bothan_base_female', 'bothan base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '16', 'bothan_base_male', 'bothan base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '17', 'chadra_fan_base_female', 'chadra fan base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '18', 'chadra_fan_base_male', 'chadra fan base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '19', 'cloning_attendant', 'cloning attendant\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '20', 'concierge', 'concierge\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '21', 'dancer', 'dancer\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '22', 'dantari_base_male', 'dantari base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '23', 'devaronian_base_female', 'devaronian base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '24', 'devaronian_base_male', 'devaronian base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '25', 'doctor', 'doctor\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '26', 'drall_base_female', 'drall base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '27', 'drall_base_male', 'drall base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '28', 'drunk', 'drunk\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '29', 'dug_base_female', 'dug base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '30', 'dug_base_male', 'dug base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '31', 'dulok_base_female', 'dulok base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '32', 'dulok_base_male', 'dulok base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '33', 'duros_base_female', 'duros base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '34', 'duros_base_male', 'duros base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '35', 'ewok_base_female', 'ewok base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '36', 'ewok_base_male', 'ewok base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '37', 'farmer', 'farmer\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '38', 'gamorrean_base_female', 'gamorrean base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '39', 'gamorrean_base_male', 'gamorrean base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '40', 'garage_attendant', 'garage attendant\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '41', 'generic_aqualish_female', 'generic aqualish female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '42', 'generic_aqualish_male', 'generic aqualish male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '43', 'generic_bith_female', 'generic bith female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '44', 'generic_bith_male', 'generic bith male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '45', 'generic_bothan_female', 'generic bothan female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '46', 'generic_bothan_male', 'generic bothan male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '47', 'generic_devaronian_female', 'generic devaronian female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '48', 'generic_devaronian_male', 'generic devaronian male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '49', 'generic_gran_female', 'generic gran female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '50', 'generic_gran_male', 'generic gran male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '51', 'generic_human_female', 'generic human female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '52', 'generic_human_male', 'generic human male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '53', 'generic_ishi_tib_female', 'generic ishi tib female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '54', 'generic_ishi_tib_male', 'generic ishi tib male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '55', 'generic_jawa_female', 'generic jawa female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '56', 'generic_jawa_male', 'generic jawa male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '57', 'generic_moncal_female', 'generic moncal female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '58', 'generic_moncal_male', 'generic moncal male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '59', 'generic_npc', 'generic npc\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '60', 'generic_rodian_female', 'generic rodian female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '61', 'generic_rodian_male', 'generic rodian male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '62', 'generic_trandoshan_female', 'generic trandoshan female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '63', 'generic_trandoshan_male', 'generic trandoshan male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '64', 'generic_tusken_raider_female', 'generic tusken raider female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '65', 'generic_tusken_raider_male', 'generic tusken raider male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '66', 'generic_twilek_female', 'generic twilek female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '67', 'generic_twilek_male', 'generic twilek male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '68', 'generic_wookiee_female', 'generic wookiee female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '69', 'generic_wookiee_male', 'generic wookiee male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '70', 'generic_zabrak_female', 'generic zabrak female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '71', 'generic_zabrak_male', 'generic zabrak male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '72', 'gethzerion', 'gethzerion\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '73', 'gorax_base_female', 'gorax base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '74', 'gorax_base_male', 'gorax base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '75', 'gotal_base_female', 'gotal base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '76', 'gotal_base_male', 'gotal base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '77', 'gran_base_female', 'gran base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '78', 'gran_base_male', 'gran base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '79', 'guard', 'guard\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '80', 'gungan_base_female', 'gungan base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '81', 'gungan_base_male', 'gungan base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '82', 'gupin_base_female', 'gupin base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '83', 'gupin_base_male', 'gupin base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '84', 'hospital_patient', 'hospital patient\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '85', 'human_base_female', 'human base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '86', 'human_base_male', 'human base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '87', 'hutt_base_female', 'hutt base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '88', 'hutt_base_male', 'hutt base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '89', 'hutt_thug', 'hutt thug\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '90', 'imperial_military', 'imperial military\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '91', 'ishi_tib_base_female', 'ishi tib base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '92', 'ishi_tib_base_male', 'ishi tib base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '93', 'ithorian_base_female', 'ithorian base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '94', 'ithorian_base_male', 'ithorian base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '95', 'jawa_base_female', 'jawa base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '96', 'jawa_base_male', 'jawa base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '97', 'jinda_base_female', 'jinda base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '98', 'jinda_base_male', 'jinda base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '99', 'kitonak_base_female', 'kitonak base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '100', 'kitonak_base_male', 'kitonak base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '101', 'klatooinian_base_female', 'klatooinian base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '102', 'klatooinian_base_male', 'klatooinian base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '103', 'kowakian_monkey_lizard_base_female', 'kowakian monkey lizard base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '104', 'kowakian_monkey_lizard_base_male', 'kowakian monkey lizard base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '105', 'kubaz_base_female', 'kubaz base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '106', 'kubaz_base_male', 'kubaz base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '107', 'marauder_base_female', 'marauder base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '108', 'marauder_base_male', 'marauder base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '109', 'merchant', 'merchant\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '110', 'moncal_base_female', 'moncal base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '111', 'moncal_base_male', 'moncal base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '112', 'musician', 'musician\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '113', 'nikto_base_female', 'nikto base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '114', 'nikto_base_male', 'nikto base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '115', 'nurse', 'nurse\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '116', 'ortolan_base_female', 'ortolan base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '117', 'ortolan_base_male', 'ortolan base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '118', 'phlog_base_female', 'phlog base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '119', 'phlog_base_male', 'phlog base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '120', 'pirate', 'pirate\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '121', 'police_officer', 'police officer\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '122', 'prison_warden', 'prison warden\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '123', 'prisoner', 'prisoner\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '124', 'quarren_base_female', 'quarren base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '125', 'quarren_base_male', 'quarren base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '126', 'rebel_military', 'rebel military\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '127', 'refugee', 'refugee\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '128', 'rodian_base_female', 'rodian base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '129', 'rodian_base_male', 'rodian base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '130', 'selonian_base_female', 'selonian base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '131', 'selonian_base_male', 'selonian base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '132', 'shistavanen_base_female', 'shistavanen base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '133', 'shistavanen_base_male', 'shistavanen base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '134', 'shop_customer', 'shop customer\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '135', 'skill_trainer', 'skill trainer\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '136', 'smuggler', 'smuggler\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '137', 'stormtrooper', 'stormtrooper');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '138', 'sullustan_base_female', 'sullustan base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '139', 'sullustan_base_male', 'sullustan base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '140', 'talz_base_female', 'talz base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '141', 'talz_base_male', 'talz base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '142', 'teek_base_female', 'teek base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '143', 'teek_base_male', 'teek base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '144', 'thief', 'thief\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '145', 'toydarian_base_female', 'toydarian base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '146', 'toydarian_base_male', 'toydarian base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '147', 'trandoshan_base_female', 'trandoshan base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '148', 'trandoshan_base_male', 'trandoshan base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '149', 'tulgah_base_female', 'tulgah base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '150', 'tulgah_base_male', 'tulgah base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '151', 'tusken_raider_base_female', 'tusken raider base female');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '152', 'tusken_raider_base_male', 'tusken raider base male');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '153', 'twilek_base_female', 'twilek base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '154', 'twilek_base_male', 'twilek base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '155', 'waitress', 'waitress\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '156', 'weequay_base_female', 'weequay base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '157', 'weequay_base_male', 'weequay base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '158', 'wistie_base_female', 'wistie base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '159', 'wistie_base_male', 'wistie base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '160', 'wookiee_base_female', 'wookiee base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '161', 'wookiee_base_male', 'wookiee base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '162', 'yuzzum_base_female', 'yuzzum base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '163', 'yuzzum_base_male', 'yuzzum base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '164', 'zabrak_base_female', 'zabrak base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '165', 'zabrak_base_male', 'zabrak base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '166', 'captain_hassk', 'Captain Hassk');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '167', 'geonosian_base_male', 'geonosian base male');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '168', 'scout_trooper', 'scout trooper');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '169', 'storm_commando', 'storm commando');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '170', 'stormtrooper_black_hole', 'black hole stormtrooper');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '171', 'vrovel', 'Brother Vrovel');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '172', 'eker', 'Major Eker');
INSERT INTO `client_strings` VALUES ('string/en/npc_lookat.stf', '173', 'viopa', 'Lady Viopa');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_01.stf', '1', 'npc_msn_01_greeting_01', 'Yes? You know this isn\'t exactly the BEST time to interrupt me.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_01.stf', '2', 'npc_msn_01_presp_greeting_01', 'I\'m looking for work.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_01.stf', '3', 'npc_msn_01_presp_greeting_02', 'You don\'t look busy to me.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_01.stf', '4', 'npc_msn_01_busy_01', 'What would you know about it? Tell me what you want or get out of here!');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_01.stf', '5', 'npc_msn_01_work_02', 'Hmmm.... Now that I think about it, you might be able to help me out.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_01.stf', '6', 'npc_msn_01_presp_getmission_01', 'I\'m ready for some action. What do you have for me?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_01.stf', '7', 'npc_msn_01_presp_getmission_02', 'I would be happy to help you out. What can I do?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_01.stf', '8', 'npc_msn_01_work_01', 'That\'s nothing new. Your kind is always looking for odd jobs, aren\'t they?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_01.stf', '9', 'npc_msn_01_presp_getmission_03', 'Can we skip the hassle and talk about the job, please?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_01.stf', '10', 'npc_msn_01_presp_getmission_04', 'I\'m not looking for trouble, just a job.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_01.stf', '11', 'npc_msn_01_presp_getmission_05', 'I want a job. Don\'t you have something that you need done?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_01.stf', '12', 'npc_msn_01_friend_greeting_01', 'Well, hello!');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_01.stf', '13', 'npc_msn_01_greeting_02', 'You again.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_01.stf', '14', 'npc_msn_01_greeting_onmission', 'I don\'t want to talk again until you\'ve finished what I\'ve asked you to do.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_01.stf', '15', 'npc_msn_01_friend_greeting_02', 'Nice to see you again.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_01.stf', '16', 'npc_msn_01_friend_greeting_onmission', 'Aren\'t you supposed to be helping my friend, here?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_01.stf', '17', 'npc_msn_01_friend_work_01', 'You should speak to my friend. There\'s work to be done, but it\'s far too dangerous for me!');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_01.stf', '18', 'npc_msn_01_greeting_onothermission', 'You need to finish all of your other tasks before we can talk.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_01.stf', '19', 'npc_msn_01_decline', 'Well fine. I didn\'t want your help anyways. ');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_02.stf', '1', 'npc_msn_02_greeting_01', 'Oh thank the maker!  I\'ve been waiting for you all day!');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_02.stf', '2', 'npc_msn_02_presp_greeting_01', 'Is there something I can do for you?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_02.stf', '3', 'npc_msn_02_presp_greeting_02', 'You\'ve been waiting for me?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_02.stf', '4', 'npc_msn_02_busy_01', 'I\'ve been waiting for someone to help me.  You are here to help right?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_02.stf', '5', 'npc_msn_02_work_02', 'I desperately need someone to help me out.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_02.stf', '6', 'npc_msn_02_presp_getmission_01', 'Tell me what it is you need done.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_02.stf', '7', 'npc_msn_02_presp_getmission_02', 'Let\'s get started then.  What can I do for you?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_02.stf', '8', 'npc_msn_02_work_01', 'Absolutely.  I\'m desperately in need of some help.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_02.stf', '9', 'npc_msn_02_presp_getmission_03', 'What is it I can do for you?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_02.stf', '10', 'npc_msn_02_presp_getmission_04', 'I didn\'t know you knew who I was.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_02.stf', '11', 'npc_msn_02_presp_getmission_05', 'What is it you need me to do?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_02.stf', '12', 'npc_msn_02_friend_greeting_01', 'Well, hello!');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_02.stf', '13', 'npc_msn_02_greeting_02', 'You again.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_02.stf', '14', 'npc_msn_02_greeting_onmission', 'I need you to finish that task we talked about before we do anything else.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_02.stf', '15', 'npc_msn_02_friend_greeting_02', 'Nice to see you again.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_02.stf', '16', 'npc_msn_02_friend_greeting_onmission', 'Aren\'t you supposed to be helping my friend, here?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_02.stf', '17', 'npc_msn_02_friend_work_01', 'You should speak to my friend. There\'s work to be done, but it\'s far too dangerous for me!');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_02.stf', '18', 'npc_msn_02_greeting_onothermission', 'You need to finish all of your other tasks before we can talk.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_02.stf', '19', 'npc_msn_02_decline', 'Oh my.  Well, I\'ll have to wait for someone else then...');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_03.stf', '1', 'npc_msn_03_greeting_01', 'Wait...who are you?  You\'re not with THEM are you?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_03.stf', '2', 'npc_msn_03_presp_greeting_01', 'Actually I\'m looking for some work.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_03.stf', '3', 'npc_msn_03_presp_greeting_02', 'With WHO?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_03.stf', '4', 'npc_msn_03_busy_01', 'Don\'t act like you don\'t know!');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_03.stf', '5', 'npc_msn_03_work_02', 'There might be something you can do...if I can trust you...');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_03.stf', '6', 'npc_msn_03_presp_getmission_01', 'What can I do?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_03.stf', '7', 'npc_msn_03_presp_getmission_02', 'Let\'s get started then.  What can I do for you?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_03.stf', '8', 'npc_msn_03_work_01', 'Sure you are...working against me, right?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_03.stf', '9', 'npc_msn_03_presp_getmission_03', 'No really.  I need some work.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_03.stf', '10', 'npc_msn_03_presp_getmission_04', 'You seem upset...can I help out?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_03.stf', '11', 'npc_msn_03_presp_getmission_05', 'You\'ve got some serious problems...');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_03.stf', '12', 'npc_msn_03_friend_greeting_01', 'Well, hello!');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_03.stf', '13', 'npc_msn_03_greeting_02', 'You again.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_03.stf', '14', 'npc_msn_03_greeting_onmission', 'I\'m starting to lose my faith in you.  I understand you haven\'t finished that job we talked about...');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_03.stf', '15', 'npc_msn_03_friend_greeting_02', 'Nice to see you again.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_03.stf', '16', 'npc_msn_03_friend_greeting_onmission', 'Aren\'t you supposed to be helping my friend, here?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_03.stf', '17', 'npc_msn_03_friend_work_01', 'You should speak to my friend. There\'s work to be done, but it\'s far too dangerous for me!');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_03.stf', '18', 'npc_msn_03_greeting_onothermission', 'Aren\'t you a little busy to be talking to me right now?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_03.stf', '19', 'npc_msn_03_decline', 'Oh my.  Well, I\'ll have to wait for someone else then...');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_03.stf', '20', 'npc_msn_03_done_01', 'My problems are my own...');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_04.stf', '1', 'npc_msn_04_greeting_01', 'Well it\'s about time you showed up.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_04.stf', '2', 'npc_msn_04_presp_greeting_01', 'I need a job.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_04.stf', '3', 'npc_msn_04_presp_greeting_02', 'About time?  What do you mean?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_04.stf', '4', 'npc_msn_04_busy_01', 'Not only are you late you\'re incompetent?  Is that what\'s happened?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_04.stf', '5', 'npc_msn_04_work_02', 'I need this job done now.  Not later.  Now.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_04.stf', '6', 'npc_msn_04_presp_getmission_01', 'Well, let\'s get to it then.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_04.stf', '7', 'npc_msn_04_presp_getmission_02', 'I can do whatever needs to be done.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_04.stf', '8', 'npc_msn_04_work_01', 'Doesn\'t everybody?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_04.stf', '9', 'npc_msn_04_presp_getmission_03', 'I guess so.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_04.stf', '10', 'npc_msn_04_presp_getmission_04', 'What is your problem?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_04.stf', '11', 'npc_msn_04_presp_getmission_05', 'I\'ve had about enough of you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_04.stf', '12', 'npc_msn_04_friend_greeting_01', 'Well, hello!');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_04.stf', '13', 'npc_msn_04_greeting_02', 'You again.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_04.stf', '14', 'npc_msn_04_greeting_onmission', 'Are you STILL not done with that job?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_04.stf', '15', 'npc_msn_04_friend_greeting_02', 'Nice to see you again.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_04.stf', '16', 'npc_msn_04_friend_greeting_onmission', 'Aren\'t you supposed to be helping my friend, here?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_04.stf', '17', 'npc_msn_04_friend_work_01', 'You should speak to my friend. There\'s work to be done, but it\'s far too dangerous for me!');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_04.stf', '18', 'npc_msn_04_greeting_onothermission', 'Aren\'t you a little busy to be talking to me right now?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_04.stf', '19', 'npc_msn_04_decline', 'Oh my.  Well, I\'ll have to wait for someone else then...');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_04.stf', '20', 'npc_msn_04_done_01', 'Good, get out of my sight.  I\'ve had it with you too.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_05.stf', '1', 'npc_msn_05_greeting_01', 'Hi.  I think you probably need some work.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_05.stf', '2', 'npc_msn_05_presp_greeting_01', 'That\'s right.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_05.stf', '3', 'npc_msn_05_presp_greeting_02', 'Do you have work?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_05.stf', '4', 'npc_msn_05_busy_01', 'Of course.  Are you interested in something to do?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_05.stf', '5', 'npc_msn_05_work_02', 'I\'ve got something you can do.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_05.stf', '6', 'npc_msn_05_presp_getmission_01', 'Let\'s hear what it is.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_05.stf', '7', 'npc_msn_05_presp_getmission_02', 'Do you have a job?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_05.stf', '8', 'npc_msn_05_work_01', 'I figured as much.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_05.stf', '9', 'npc_msn_05_presp_getmission_03', 'So do you have something for me?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_05.stf', '10', 'npc_msn_05_presp_getmission_04', 'Tell me about the job.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_05.stf', '11', 'npc_msn_05_presp_getmission_05', 'Actually, I\'m not ready to work right now.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_05.stf', '12', 'npc_msn_05_friend_greeting_01', 'Well, hello!');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_05.stf', '13', 'npc_msn_05_greeting_02', 'You again.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_05.stf', '14', 'npc_msn_05_greeting_onmission', 'I\'m not going to deal with you until you finish your job.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_05.stf', '15', 'npc_msn_05_friend_greeting_02', 'Nice to see you again.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_05.stf', '16', 'npc_msn_05_friend_greeting_onmission', 'Aren\'t you supposed to be helping my friend, here?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_05.stf', '17', 'npc_msn_05_friend_work_01', 'You should speak to my friend. There\'s work to be done, but it\'s far too dangerous for me!');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_05.stf', '18', 'npc_msn_05_greeting_onothermission', 'You look like you\'re already busy.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_05.stf', '19', 'npc_msn_05_decline', 'Oh my.  Well, I\'ll have to wait for someone else then...');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/npc_mission_05.stf', '20', 'npc_msn_05_done_01', 'Well, come back if you change your mind.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_deliver.stf', '1', 'gotowork', 'I need you to finish that task I gave you earlier.  Ok?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_deliver.stf', '2', 'cantwork', 'I understand you\'re already working for someone else.  Come back when you\'re done with that job.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_deliver.stf', '9', 'not_it', 'No, sorry, that\'s not the item I was looking for...');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_deliver.stf', '16', 'npc_1_1', 'My partner needs to get his briefcase back!  He left for a meeting without it.  If you can take it to him I\'ll have him give you some engraved pens from our company business.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_deliver.stf', '17', 'npc_2_1', 'Excellent.  He\'ll pay you when you make the delivery.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_deliver.stf', '18', 'npc_3_1', 'Well, if you can\'t help me I hope I can find someone who can.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_deliver.stf', '19', 'npc_reward_1', 'Here you go.  It needs some ink, but you\'ll never have one better.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_deliver.stf', '20', 'player_1_1', 'Sure I\'ll drop it off.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_deliver.stf', '21', 'player_2_1', 'Nah, I don\'t feel like it.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_deliver.stf', '22', 'npc_1_2', 'My partner was on his way to an auction to sell off some of our assets.  We need the money to keep our business afloat, but he forgot one of the items we were selling.  Can you take it to him?  He\'s right outside of town.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_deliver.stf', '23', 'npc_2_2', 'Great.  I\'ll make sure he gets the message that you\'re coming.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_deliver.stf', '24', 'npc_3_2', 'That\'s too bad.  I\'ll find somebody useful.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_deliver.stf', '25', 'npc_reward_2', 'Here you go.  See I had good seats, and I didn\'t let them tear it.  You should be able to get something for it if you want.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_deliver.stf', '26', 'player_1_2', 'No problem.  I was looking for something to do.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_deliver.stf', '27', 'player_2_2', 'Sorry, I\'m a bit busy at the moment.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_deliver.stf', '28', 'npc_4_1', 'All the paperwork that needs to be signed at the meeting.  It\'s vitally important that it get there.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_deliver.stf', '29', 'npc_4_2', 'It\'s an autographed trophy from some sports figure.  I don\'t know who he is, but I want to get it to him so he can sell it.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_deliver.stf', '30', 'player_3_1', 'What was in the briefcase?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_deliver.stf', '31', 'player_3_2', 'What is the item exactly?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_destroy.stf', '1', 'gotowork', 'I need you to finish that task I gave you earlier.  Ok?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_destroy.stf', '2', 'cantwork', 'I understand you\'re already working for someone else.  Come back when you\'re done with that job.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_destroy.stf', '9', 'not_it', 'No, sorry, that\'s not the item I was looking for...');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_destroy.stf', '16', 'npc_1_1', 'An industrial spy has decided that the best way to help his company is by becoming a murderer and killing our top executives.  I want this guy eliminated, and I don\'t care to know the details.  Up for this?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_destroy.stf', '17', 'npc_2_1', 'Thank you...I\'ll be waiting anxiously for your return.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_destroy.stf', '18', 'npc_3_1', 'Surely somebody will be able to help me.  Thanks for nothing, though.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_destroy.stf', '19', 'npc_reward_1', 'Here you go.  It needs some ink, but you\'ll never have one better.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_destroy.stf', '20', 'player_1_1', 'I\'ll be back before you know it.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_destroy.stf', '21', 'player_2_1', 'There\'s no way.  Sounds dangerous.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_destroy.stf', '22', 'npc_1_2', 'There\'s a madman claiming to be a business executive killing young Twilek women on this planet.  I know where he is, but the police won\'t listen to me.  I\'ll pay you myself if you\'ll take care of this.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_destroy.stf', '23', 'npc_2_2', 'Great!  Hurry back.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_destroy.stf', '24', 'npc_3_2', 'That\'s too bad.  I\'ll find somebody useful.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_destroy.stf', '25', 'npc_reward_2', 'Here you go.  See I had good seats, and I didn\'t let them tear it.  You should be able to get something for it if you want.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_destroy.stf', '26', 'player_1_2', 'I\'ll take care of it.  Someone has to.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_destroy.stf', '27', 'player_2_2', 'Nah.  It\'s not my problem.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_destroy.stf', '28', 'npc_4_1', 'I can\'t discuss it for legal reasons.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_destroy.stf', '29', 'npc_4_2', 'I\'m not sure.  Maybe he was jilted by one.  Or maybe he\'s just crazy.  Does the why really matter at this point?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_destroy.stf', '30', 'player_3_1', 'Who does he work for?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_destroy.stf', '31', 'player_3_2', 'Why Twileks?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_escort.stf', '1', 'gotowork', 'I need you to finish that task I gave you earlier.  Ok?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_escort.stf', '2', 'cantwork', 'I understand you\'re already working for someone else.  Come back when you\'re done with that job.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_escort.stf', '9', 'not_it', 'No, sorry, that\'s not the item I was looking for...');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_escort.stf', '16', 'npc_1_1', 'My partner needs to get back here fast.  We\'re going to be late for a meeting and I\'m all alone.  Can you go get my partner?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_escort.stf', '17', 'npc_2_1', 'Excellent.  We\'ll pay you when you get back.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_escort.stf', '18', 'npc_3_1', 'Well, if you can\'t help me I hope I can find someone who can.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_escort.stf', '19', 'npc_reward_1', 'Here you go.  It needs some ink, but you\'ll never have one better.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_escort.stf', '20', 'player_1_1', 'Sure I\'ll find your friend.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_escort.stf', '21', 'player_2_1', 'Nah, I don\'t feel like it.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_escort.stf', '22', 'npc_1_2', 'My partner was at an auction selling some assets for capital.  I need somone to find and bring them back.  can you help?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_escort.stf', '23', 'npc_2_2', 'Great.  I\'ll make sure the message gets through that you\'re coming.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_escort.stf', '24', 'npc_3_2', 'That\'s too bad.  I\'ll find somebody useful.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_escort.stf', '25', 'npc_reward_2', 'Here you go.  See I had good seats, and I didn\'t let them tear it.  You should be able to get something for it if you want.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_escort.stf', '26', 'player_1_2', 'No problem.  I was looking for something to do.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_escort.stf', '27', 'player_2_2', 'Sorry, I\'m a bit busy at the moment.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_escort.stf', '28', 'npc_4_1', 'Merger.  There\'s a lot of paperwork to sign and I\'m not authorized to do it alone.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_escort.stf', '29', 'npc_4_2', 'It\'s an autographed trophy from some sports figure.  I don\'t know who he is, but apparently it sold well.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_escort.stf', '30', 'player_3_1', 'What kind of meeting is it?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_escort.stf', '31', 'player_3_2', 'What were you selling?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_escort.stf', '32', 'npc_takeme_1', 'Great, you\'re here.  We don\'t want to be late for this meeting so let\'s get back quickly.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_escort.stf', '33', 'npc_takeme_2', 'Oh good, you made it.  I got the money transferred to our bank, but I\'m lost out here.  Should have hired a guide, huh?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_escort.stf', '34', 'escortother', 'I don\'t think I\'m the person you\'re looking for.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_escort.stf', '35', 'dontknowyou', 'I don\'t know who you are, but I\'m not going with you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_fetch.stf', '1', 'gotowork', 'I need you to finish that task I gave you earlier.  Ok?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_fetch.stf', '2', 'cantwork', 'I understand you\'re already working for someone else.  Come back when you\'re done with that job.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_fetch.stf', '9', 'not_it', 'No, sorry, that\'s not the item I was looking for...');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_fetch.stf', '16', 'npc_1_1', 'I had a lot of important paperwork in my briefcase, and now it\'s gone!  Some thief came by and grabbed it out of my hands.  If you can get it I\'ll give you this engraved writing stylus I got when I got my promotion.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_fetch.stf', '17', 'npc_2_1', 'Thank you...I\'ll be waiting anxiously for your return.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_fetch.stf', '18', 'npc_3_1', 'Surely somebody will be able to help me.  Thanks for nothing, though.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_fetch.stf', '19', 'npc_reward_1', 'Here you go.  It needs some ink, but you\'ll never have one better.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_fetch.stf', '20', 'player_1_1', 'I\'ll be back before you know it.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_fetch.stf', '21', 'player_2_1', 'There\'s no way.  I\'m too tired right now.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_fetch.stf', '22', 'npc_1_2', 'I had an autographed ball from my favorite player in the league, and somebody took it!  If you can get it back for me I\'ll give you this collector\'s item ticket from last year\'s championships.  It\'s worth plenty.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_fetch.stf', '23', 'npc_2_2', 'Great!  Hurry back.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_fetch.stf', '24', 'npc_3_2', 'That\'s too bad.  I\'ll find somebody useful.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_fetch.stf', '25', 'npc_reward_2', 'Here you go.  See I had good seats, and I didn\'t let them tear it.  You should be able to get something for it if you want.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_fetch.stf', '26', 'player_1_2', 'I\'ll be right back with your ball kid.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_fetch.stf', '27', 'player_2_2', 'Nah.  I don\'t care about sports.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_fetch.stf', '28', 'npc_4_1', 'It was mostly my personal accounting, but there are some sensitive documents in there that I can\'t discuss.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_fetch.stf', '29', 'npc_4_2', 'Don\'t you follow sports at all?  If you did you\'d know what I was talking about.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_fetch.stf', '30', 'player_3_1', 'What kind of documents did you have?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_businessman_fetch.stf', '31', 'player_3_2', 'What league are you talking about?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_deliver.stf', '1', 'gotowork', 'I need you to finish that task I gave you earlier.  Ok?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_deliver.stf', '2', 'cantwork', 'I understand you\'re already working for someone else.  Come back when you\'re done with that job.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_deliver.stf', '3', 'npc_1_1', 'You ever hear of the Black Sun Pirates?  They robbed me and I want to pay them back.  Unfortunately, I need to get one of their medallions to get inside their base.  Can you help me get one?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_deliver.stf', '4', 'player_1_1', 'Ok, I\'ll do it.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_deliver.stf', '5', 'player_2_1', 'Sounds dangerous.  I don\'t think I\'m up to it.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_deliver.stf', '6', 'npc_2_1', 'Good.  Get back as soon as you can and I\'ll get you a shisa.  You can use it in your home as a decoration, or sell it, I don\'t care either way.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_deliver.stf', '7', 'npc_3_1', 'Too bad.  I would have given you a nice gift.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_deliver.stf', '8', 'npc_reward_1', 'Here\'s that shisa I promised ya.  I\'ll just put it here in your pack.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_deliver.stf', '9', 'not_it', 'No, sorry, that\'s not the item I was looking for...');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_deliver.stf', '10', 'npc_1_2', 'I made a terrible mistake and got busted on camera stealing some credits from a merchant.  The trial\'s coming up soon and I need someone to get that camera.  I can tell you where it\'s at if you\'ll get it.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_deliver.stf', '11', 'npc_2_2', 'Good.  As soon as you return I\'ll give you the decryptor.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_deliver.stf', '12', 'npc_3_2', 'Well, guess I\'ll have to find somebody else then.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_deliver.stf', '13', 'npc_reward_2', 'Here\'s the decryptor.  It doesn\'t work all the time, but I\'m sure you\'ll find a use for it.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_deliver.stf', '14', 'player_1_2', 'Yeah, I can get that, no problem.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_deliver.stf', '15', 'player_2_2', 'That\'s too much work.  I\'m not doing it.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_deliver.stf', '28', 'npc_1_3', 'I\'ve been collecting memorabilia of the Dark Jedi.  I know a guy who has a Medallion that they used.  Get it for me and I\'ll give you these broken holocron pieces.  I\'ve got tons of holocrons.  They\'re bound to be worth something.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_deliver.stf', '29', 'npc_2_3', 'You do the work, you get paid.  I\'ll be here.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_deliver.stf', '30', 'npc_3_3', 'Not much I can do about it I guess, if you\'re not good enough.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_deliver.stf', '31', 'npc_reward_3', 'Here they are.  Careful, they have sharp edges.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_deliver.stf', '32', 'player_1_3', 'Yeah, I can do it.  ');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_deliver.stf', '33', 'player_2_3', 'Too much work for me.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_deliver.stf', '64', 'npc_1_4', 'I need an electronic key to break into this warehouse I\'ve been casing, but one of my rivals has it.  Get it for me and I\'ll give you some of the loot I got on my last job.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_deliver.stf', '65', 'npc_2_4', 'Great.  I\'ve got just the thing for you.  Let me know when you\'re back.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_deliver.stf', '66', 'npc_3_4', 'Well, you\'ll never be a criminal in this town.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_deliver.stf', '67', 'player_1_4', 'I can do it.  No problem.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_deliver.stf', '68', 'player_2_4', 'Thieves should do their own dirty work.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_deliver.stf', '69', 'npc_reward_4', 'Here you go.  I took this speaker from a cantina I robbed.  It\'ll go nicely in your house.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_deliver.stf', '70', 'npc_4_1', 'They have too many members to know each other, so anyone with a medallion can get into their areas.  If I had one I could pass myself off as a member of the group.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_deliver.stf', '71', 'npc_4_2', 'I paid off some guys and found out it\'s being delivered to a highly secure area today.  You can get it on route before the guy gets there.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_deliver.stf', '72', 'npc_4_3', 'You could try to put \'em back together.  Or find someone else who collects them and sell them maybe?  I don\'t know, but I know they\'re worth something.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_deliver.stf', '73', 'npc_4_4', 'He stole it before I could get to it.  He\'ll rob the warehouse instead of me if you don\'t get it for me.  I need that key!');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_deliver.stf', '74', 'player_3_1', 'How is a medallion going to help you?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_deliver.stf', '75', 'player_3_2', 'How do you know where the camera is?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_deliver.stf', '76', 'player_3_3', 'What can I do with broken pieces?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_deliver.stf', '77', 'player_3_4', 'How did your rival get the key?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_escort.stf', '1', 'gotowork', 'I need you to finish that task I gave you earlier.  Ok?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_escort.stf', '2', 'cantwork', 'I understand you\'re already working for someone else.  Come back when you\'re done with that job.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_escort.stf', '3', 'npc_1_1', 'A friend of mine got mugged by black sun pirates and is too scared to come back to town.  I need someone to go make sure they can find their way back here.  Can you do it?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_escort.stf', '4', 'player_1_1', 'Ok, I\'ll do it.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_escort.stf', '5', 'player_2_1', 'Sounds dangerous.  I don\'t think I\'m up to it.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_escort.stf', '6', 'npc_2_1', 'Good.  Get back as soon as you can and I\'ll get you a shisa.  You can use it in your home as a decoration, or sell it, I don\'t care either way.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_escort.stf', '7', 'npc_3_1', 'Too bad.  I would have given you a nice gift.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_escort.stf', '8', 'npc_reward_1', 'Here\'s that shisa I promised ya.  I\'ll just put it here in your pack.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_escort.stf', '9', 'not_it', 'No, sorry, that\'s not the item I was looking for...');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_escort.stf', '10', 'npc_1_2', 'My partner has all our cash, but got lost in the wilderness.  I need someone to escort them back here to me.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_escort.stf', '11', 'npc_2_2', 'Good.  As soon as you return I\'ll give you something nice.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_escort.stf', '12', 'npc_3_2', 'Well, guess I\'ll have to find somebody else then.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_escort.stf', '13', 'npc_reward_2', 'Here\'s the decryptor.  It doesn\'t work all the time, but I\'m sure you\'ll find a use for it.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_escort.stf', '14', 'player_1_2', 'Yeah, I can do that, no problem.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_escort.stf', '15', 'player_2_2', 'That\'s too much work.  I\'m not doing it.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_escort.stf', '28', 'npc_1_3', 'Are you available to help me out with something?  I got somebody new coming in and I need you to bring them straight to me.  Can you do that?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_escort.stf', '29', 'npc_2_3', 'You do the work, you get paid.  I\'ll be here.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_escort.stf', '30', 'npc_3_3', 'Not much I can do about it I guess, if you\'re not good enough.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_escort.stf', '31', 'npc_reward_3', 'Here they are.  Careful, they have sharp edges.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_escort.stf', '32', 'player_1_3', 'Yeah, I can do it.  ');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_escort.stf', '33', 'player_2_3', 'Too much work for me.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_escort.stf', '64', 'npc_1_4', 'My partner was trying to avoid some imperial patrols and managed to get lost outside of town.  Can you go out there and make sure there\'s no trouble getting back to me?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_escort.stf', '65', 'npc_2_4', 'Great.  I\'ve got just the thing for you.  Let me know when you\'re back.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_escort.stf', '66', 'npc_3_4', 'Well, you\'ll never be a criminal in this town.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_escort.stf', '67', 'player_1_4', 'I can do it.  No problem.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_escort.stf', '68', 'player_2_4', 'Thieves should do their own dirty work.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_escort.stf', '69', 'npc_reward_4', 'Here you go.  I took this speaker from a cantina I robbed.  It\'ll go nicely in your house.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_escort.stf', '70', 'npc_4_1', 'No, I think they\'ve given up.  There might be some still around, but this should be pretty simple.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_escort.stf', '71', 'npc_4_2', 'I don\'t think you need to know that just now.  Just bring my friend here.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_escort.stf', '72', 'npc_4_3', 'Brand new.  I haven\'t even met them.  I don\'t even know if it\'s a male or a female!');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_escort.stf', '73', 'npc_4_4', 'No, they\'ve given up.  Any imperials you see out there will just be a coincidence.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_escort.stf', '74', 'player_3_1', 'Are there still Black Sun Pirates out there?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_escort.stf', '75', 'player_3_2', 'How much cash was there?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_escort.stf', '76', 'player_3_3', 'How new is this person?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_escort.stf', '77', 'player_3_4', 'Are the imperials still snooping around?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_escort.stf', '78', 'npc_takeme_1', 'Finally.  I was about to give up and try finding my way in on my own.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_escort.stf', '79', 'npc_takeme_2', 'You\'re here to take me back?  Don\'t worry about the money.  I hid it.  It\'s not on me anymore.  Just get me to my friend.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_escort.stf', '80', 'npc_takeme_3', 'Great!  I need you to take me to my new boss.  I don\'t even know who it is yet.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_escort.stf', '81', 'npc_takeme_4', 'Quick, let\'s get back before the imperials start looking around for me again.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_escort.stf', '82', 'otherescort', 'I think you\'re here to take someone else back.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_escort.stf', '83', 'dontknowyou', 'I\'m not sure who you are, but I\'m not following you back to town.  No way.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_fetch.stf', '1', 'gotowork', 'I need you to finish that task I gave you earlier.  Ok?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_fetch.stf', '2', 'cantwork', 'I understand you\'re already working for someone else.  Come back when you\'re done with that job.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_fetch.stf', '3', 'npc_1_1', 'You ever hear of the Black Sun Pirates?  They robbed me and I want to pay them back.  Unfortunately, I need to get one of their medallions to get inside their base.  Can you help me get one?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_fetch.stf', '4', 'player_1_1', 'Ok, I\'ll do it.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_fetch.stf', '5', 'player_2_1', 'Sounds dangerous.  I don\'t think I\'m up to it.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_fetch.stf', '6', 'npc_2_1', 'Good.  Get back as soon as you can and I\'ll get you a shisa.  You can use it in your home as a decoration, or sell it, I don\'t care either way.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_fetch.stf', '7', 'npc_3_1', 'Too bad.  I would have given you a nice gift.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_fetch.stf', '8', 'npc_reward_1', 'Here\'s that shisa I promised ya.  I\'ll just put it here in your pack.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_fetch.stf', '9', 'not_it', 'No, sorry, that\'s not the item I was looking for...');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_fetch.stf', '10', 'npc_1_2', 'I made a terrible mistake and got busted on camera stealing some credits from a merchant.  The trial\'s coming up soon and I need someone to get that camera.  I can tell you where it\'s at if you\'ll get it.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_fetch.stf', '11', 'npc_2_2', 'Good.  As soon as you return I\'ll give you the decryptor.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_fetch.stf', '12', 'npc_3_2', 'Well, guess I\'ll have to find somebody else then.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_fetch.stf', '13', 'npc_reward_2', 'Here\'s the decryptor.  It doesn\'t work all the time, but I\'m sure you\'ll find a use for it.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_fetch.stf', '14', 'player_1_2', 'Yeah, I can get that, no problem.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_fetch.stf', '15', 'player_2_2', 'That\'s too much work.  I\'m not doing it.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_fetch.stf', '28', 'npc_1_3', 'I\'ve been collecting memorabilia of the Dark Jedi.  I know a guy who has a Medallion that they used.  Get it for me and I\'ll give you these broken holocron pieces.  I\'ve got tons of holocrons.  They\'re bound to be worth something.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_fetch.stf', '29', 'npc_2_3', 'You do the work, you get paid.  I\'ll be here.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_fetch.stf', '30', 'npc_3_3', 'Not much I can do about it I guess, if you\'re not good enough.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_fetch.stf', '31', 'npc_reward_3', 'Here they are.  Careful, they have sharp edges.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_fetch.stf', '32', 'player_1_3', 'Yeah, I can do it.  ');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_fetch.stf', '33', 'player_2_3', 'Too much work for me.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_fetch.stf', '64', 'npc_1_4', 'I need an electronic key to break into this warehouse I\'ve been casing, but one of my rivals has it.  Get it for me and I\'ll give you some of the loot I got on my last job.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_fetch.stf', '65', 'npc_2_4', 'Great.  I\'ve got just the thing for you.  Let me know when you\'re back.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_fetch.stf', '66', 'npc_3_4', 'Well, you\'ll never be a criminal in this town.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_fetch.stf', '67', 'player_1_4', 'I can do it.  No problem.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_fetch.stf', '68', 'player_2_4', 'Thieves should do their own dirty work.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_fetch.stf', '69', 'npc_reward_4', 'Here you go.  I took this speaker from a cantina I robbed.  It\'ll go nicely in your house.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_fetch.stf', '70', 'npc_4_1', 'They have too many members to know each other, so anyone with a medallion can get into their areas.  If I had one I could pass myself off as a member of the group.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_fetch.stf', '71', 'npc_4_2', 'I paid off some guys and found out it\'s being delivered to a highly secure area today.  You can get it on route before the guy gets there.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_fetch.stf', '72', 'npc_4_3', 'You could try to put \'em back together.  Or find someone else who collects them and sell them maybe?  I don\'t know, but I know they\'re worth something.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_fetch.stf', '73', 'npc_4_4', 'He stole it before I could get to it.  He\'ll rob the warehouse instead of me if you don\'t get it for me.  I need that key!');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_fetch.stf', '74', 'player_3_1', 'How is a medallion going to help you?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_fetch.stf', '75', 'player_3_2', 'How do you know where the camera is?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_fetch.stf', '76', 'player_3_3', 'What can I do with broken pieces?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_criminal_fetch.stf', '77', 'player_3_4', 'How did your rival get the key?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_deliver.stf', '1', 'gotowork', 'I need you to finish that task I gave you earlier.  Ok?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_deliver.stf', '2', 'cantwork', 'I understand you\'re already working for someone else.  Come back when you\'re done with that job.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_deliver.stf', '9', 'not_it', 'No, sorry, that\'s not the item I was looking for...');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_deliver.stf', '34', 'npc_1_1', 'My family has had this heirloom glass for many years, and now it\'s been stolen.  I can tell you where the thief is, but I need you to bring back my glass unharmed.  Can you do it?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_deliver.stf', '35', 'npc_2_1', 'You\'re a life saver.  I\'ll give you this hand woven basket for the glass when you return.  My servants made it.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_deliver.stf', '36', 'npc_3_1', 'I thought you were a mercenary?  Perhaps you\'re just a librarian or some such...');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_deliver.stf', '37', 'player_1_1', 'Yeah, I can get it.  I\'ll need some form of payment though.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_deliver.stf', '38', 'player_2_1', 'Sounds ridiculous.  Why don\'t you just go buy a new glass?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_deliver.stf', '39', 'npc_reward_1', 'Careful with this thing.  It\'s well put together, but if you crush it it won\'t be worth as much.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_deliver.stf', '52', 'npc_1_2', 'I was collecting signatures to get my name on the local ballot when one of my opponents sent a theif to steal my ledger.  If you can get that ledger back for me I\'ll write a proclamation declaring you a good citizen.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_deliver.stf', '53', 'npc_2_2', 'Excellent.  Just let me know when you return, I\'ll have the paperwork drawn up.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_deliver.stf', '54', 'npc_3_2', 'That\'s too bad.  I could have done you a lot of favors.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_deliver.stf', '55', 'player_1_2', 'Sure, I\'ll get your ledger back.  I need friends in high places.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_deliver.stf', '56', 'player_2_2', 'No way.   I couldn\'t care less about politics.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_deliver.stf', '57', 'npc_reward_2', 'Here\'s your official proclamation.  It won\'t be valid unless I get elected, but hang onto it just in case.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_deliver.stf', '58', 'npc_1_3', 'A gang of ruffians stole part of the hyperdrive out of my ship.  Get it back for me and I\'ll give you something nice.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_deliver.stf', '59', 'npc_2_3', 'Ok.  Just let me know when you\'ve got it.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_deliver.stf', '60', 'npc_3_3', 'I thought you were a tough one.  I guess not.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_deliver.stf', '61', 'player_1_3', 'Sure, I\'ll help you out.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_deliver.stf', '62', 'player_2_3', 'I thought pilot\'s did their own work.  I\'ll be going.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_deliver.stf', '63', 'npc_reward_3', 'Here you go.  This is a picture I took taking off from an undiscovered planet.  That picture is one of a kind.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_deliver.stf', '70', 'player_1_4', 'Sounds crazy but I\'ll do it.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_deliver.stf', '71', 'player_2_4', 'Sounds ludicrous.  Count me out.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_deliver.stf', '72', 'npc_1_4', 'My servants won\'t get me the dishes I want.  There\'s  a guy who has a bowl that\'s the exact one I want.  I don\'t care how you do it, just get me that bowl.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_deliver.stf', '73', 'npc_2_4', 'I thought you looked like the man I wanted.  I\'ll reward you nicely for it.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_deliver.stf', '74', 'npc_3_4', 'Just like my servants.  No help at all.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_deliver.stf', '75', 'npc_reward_4', 'Here\'s a recording rod that I paid way too much for.  It\'s valuable but fragile.  Be careful with it.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_deliver.stf', '76', 'npc_4_1', 'Well, it\'s not much to look at, but I guess because it was in the safe they assumed it was valuable.  It is, but only to me really, they won\'t get much for it.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_deliver.stf', '77', 'npc_4_2', 'Actually I don\'t remember.  That\'s another reason I need that ledger back.  It might have been mayor...or chief of police...hm...');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_deliver.stf', '78', 'npc_4_3', 'Ship parts are expensive.  They\'re probably trying to build their own ship, or they\'re going to sell it on the black market.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_deliver.stf', '79', 'npc_4_4', 'A nobleman gets other people to do these things for him.  People like you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_deliver.stf', '80', 'player_3_1', 'Somebody stole an heirloom glass?  Why?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_deliver.stf', '81', 'player_3_2', 'What office are you running for?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_deliver.stf', '82', 'player_3_3', 'Why would they steal parts of your ship?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_deliver.stf', '83', 'player_3_4', 'Why don\'t you just buy your own dishes?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_escort.stf', '1', 'gotowork', 'I need you to finish that task I gave you earlier.  Ok?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_escort.stf', '2', 'cantwork', 'I understand you\'re already working for someone else.  Come back when you\'re done with that job.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_escort.stf', '9', 'not_it', 'No, sorry, that\'s not the item I was looking for...');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_escort.stf', '34', 'npc_1_1', 'A good friend of mine has gotten lost outside of town and needs to find a way to get back to me.  Can you help?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_escort.stf', '35', 'npc_2_1', 'Good.  I\'ll let you in on a little secret...this person\'s not exactly a friend, but don\'t worry, you\'ll get paid for your work.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_escort.stf', '36', 'npc_3_1', 'Oh.  Well, fine then.  Be that way.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_escort.stf', '37', 'player_1_1', 'Yeah, I can do it.  I\'ll need some form of payment though.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_escort.stf', '38', 'player_2_1', 'Sounds ridiculous.  I\'m outta here.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_escort.stf', '39', 'npc_reward_1', 'Careful with this thing.  It\'s well put together, but if you crush it it won\'t be worth as much.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_escort.stf', '52', 'npc_1_2', 'One of my relatives is trying to get to me so that we can go to a reception together, but has managed to get lost outside of town.  Can you help out?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_escort.stf', '53', 'npc_2_2', 'Hurry please, I don\'t want the party to start without us!');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_escort.stf', '54', 'npc_3_2', 'You have no idea how much damage I could do to your life.  But begone, and if you\'re lucky I\'ll forget you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_escort.stf', '55', 'player_1_2', 'Sure, I\'ll get your friend.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_escort.stf', '56', 'player_2_2', 'No way.   I couldn\'t care less about this.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_escort.stf', '57', 'npc_reward_2', 'Here\'s your official proclamation.  It won\'t be valid unless I get elected, but hang onto it just in case.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_escort.stf', '58', 'npc_1_3', 'My friend got lost trying to find his way home.  I think there may have been some Corellian wine involved, you know?  Can you help my friend make it back to me here?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_escort.stf', '59', 'npc_2_3', 'Good.  When you get back we\'ll work out some payment arrangements.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_escort.stf', '60', 'npc_3_3', 'I should have taken the advice of the jawas.  They told me not to trust people like you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_escort.stf', '61', 'player_1_3', 'Sure, I\'ll help you out.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_escort.stf', '62', 'player_2_3', 'I thought rich people had servants to do their work.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_escort.stf', '63', 'npc_reward_3', 'Here you go.  This is a picture I took taking off from an undiscovered planet.  That picture is one of a kind.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_escort.stf', '70', 'player_1_4', 'Sounds crazy but I\'ll do it.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_escort.stf', '71', 'player_2_4', 'Sounds ludicrous.  Count me out.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_escort.stf', '72', 'npc_1_4', 'Sibling rivalry has led to a very severe game of hide and seek, unfortunately one of the players is still hiding and doesn\'t realize the game is over.  I need someone to find them and bring them back here to me.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_escort.stf', '73', 'npc_2_4', 'Very nice of you, I must say.  I thought you looked a little, um...dangerous, but I can see you\'re as trustworthy as the day is long.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_escort.stf', '74', 'npc_3_4', 'Just like my servants.  No help at all.  Good day.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_escort.stf', '75', 'npc_reward_4', 'Here\'s a recording rod that I paid way too much for.  It\'s valuable but fragile.  Be careful with it.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_escort.stf', '76', 'npc_4_1', 'Well, this and that.  There\'s not much to tell really.  You know.  ');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_escort.stf', '77', 'npc_4_2', 'It\'s my uncle\'s fiftieth birthday, or my aunt\'s fortieth birthday, or my grandparent\'s wedding anniversary...or...no, I can\'t remember.  ');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_escort.stf', '78', 'npc_4_3', 'Only when we\'re celebrating.  Which is pretty much every day I gues...');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_escort.stf', '79', 'npc_4_4', 'Well, when you\'re rich you can pretty much do what you want.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_escort.stf', '80', 'player_3_1', 'What does this friend of yours do?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_escort.stf', '81', 'player_3_2', 'What\'s the reception for?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_escort.stf', '82', 'player_3_3', 'Does this happen often?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_escort.stf', '83', 'player_3_4', 'You guys just play hide and seek out in the desert?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_escort.stf', '84', 'dontknowyou', 'I\'m sorry but I don\'t recognize you and I\'m not going to follow you anywhere.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_escort.stf', '85', 'otherescort', 'I think you\'re here to pick up someone else.  You\'re certainly not taking ME anywhere.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_escort.stf', '86', 'escortother', 'I think you\'re looking for someone else.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_escort.stf', '88', 'npc_takeme_1', 'I hope you\'re here to get me back to my friend.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_escort.stf', '89', 'npc_takeme_2', 'Great!  Let\'s go, I don\'t want to miss that reception!');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_escort.stf', '90', 'npc_takeme_3', 'Somebody told you I was drunk?  Liars.  I don\'t drink.  Now let\'s get back before I get thirsty.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_escort.stf', '91', 'npc_takeme_4', 'Thank you.  I thought I was going to be stuck out here all day.  Let\'s get going.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_fetch.stf', '1', 'gotowork', 'I need you to finish that task I gave you earlier.  Ok?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_fetch.stf', '2', 'cantwork', 'I understand you\'re already working for someone else.  Come back when you\'re done with that job.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_fetch.stf', '9', 'not_it', 'No, sorry, that\'s not the item I was looking for...');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_fetch.stf', '34', 'npc_1_1', 'My family has had this heirloom glass for many years, and now it\'s been stolen.  I can tell you where the thief is, but I need you to bring back my glass unharmed.  Can you do it?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_fetch.stf', '35', 'npc_2_1', 'You\'re a life saver.  I\'ll give you this hand woven basket for the glass when you return.  My servants made it.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_fetch.stf', '36', 'npc_3_1', 'I thought you were a mercenary?  Perhaps you\'re just a librarian or some such...');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_fetch.stf', '37', 'player_1_1', 'Yeah, I can get it.  I\'ll need some form of payment though.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_fetch.stf', '38', 'player_2_1', 'Sounds ridiculous.  Why don\'t you just go buy a new glass?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_fetch.stf', '39', 'npc_reward_1', 'Careful with this thing.  It\'s well put together, but if you crush it it won\'t be worth as much.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_fetch.stf', '52', 'npc_1_2', 'I was collecting signatures to get my name on the local ballot when one of my opponents sent a theif to steal my ledger.  If you can get that ledger back for me I\'ll write a proclamation declaring you a good citizen.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_fetch.stf', '53', 'npc_2_2', 'Excellent.  Just let me know when you return, I\'ll have the paperwork drawn up.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_fetch.stf', '54', 'npc_3_2', 'That\'s too bad.  I could have done you a lot of favors.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_fetch.stf', '55', 'player_1_2', 'Sure, I\'ll get your ledger back.  I need friends in high places.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_fetch.stf', '56', 'player_2_2', 'No way.   I couldn\'t care less about politics.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_fetch.stf', '57', 'npc_reward_2', 'Here\'s your official proclamation.  It won\'t be valid unless I get elected, but hang onto it just in case.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_fetch.stf', '58', 'npc_1_3', 'A gang of ruffians stole part of the hyperdrive out of my ship.  Get it back for me and I\'ll give you something nice.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_fetch.stf', '59', 'npc_2_3', 'Ok.  Just let me know when you\'ve got it.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_fetch.stf', '60', 'npc_3_3', 'I thought you were a tough one.  I guess not.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_fetch.stf', '61', 'player_1_3', 'Sure, I\'ll help you out.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_fetch.stf', '62', 'player_2_3', 'I thought pilot\'s did their own work.  I\'ll be going.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_fetch.stf', '63', 'npc_reward_3', 'Here you go.  This is a picture I took taking off from an undiscovered planet.  That picture is one of a kind.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_fetch.stf', '70', 'player_1_4', 'Sounds crazy but I\'ll do it.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_fetch.stf', '71', 'player_2_4', 'Sounds ludicrous.  Count me out.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_fetch.stf', '72', 'npc_1_4', 'My servants won\'t get me the dishes I want.  There\'s  a guy who has a bowl that\'s the exact one I want.  I don\'t care how you do it, just get me that bowl.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_fetch.stf', '73', 'npc_2_4', 'I thought you looked like the man I wanted.  I\'ll reward you nicely for it.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_fetch.stf', '74', 'npc_3_4', 'Just like my servants.  No help at all.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_fetch.stf', '75', 'npc_reward_4', 'Here\'s a recording rod that I paid way too much for.  It\'s valuable but fragile.  Be careful with it.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_fetch.stf', '76', 'npc_4_1', 'Well, it\'s not much to look at, but I guess because it was in the safe they assumed it was valuable.  It is, but only to me really, they won\'t get much for it.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_fetch.stf', '77', 'npc_4_2', 'Actually I don\'t remember.  That\'s another reason I need that ledger back.  It might have been mayor...or chief of police...hm...');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_fetch.stf', '78', 'npc_4_3', 'Ship parts are expensive.  They\'re probably trying to build their own ship, or they\'re going to sell it on the black market.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_fetch.stf', '79', 'npc_4_4', 'A nobleman gets other people to do these things for him.  People like you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_fetch.stf', '80', 'player_3_1', 'Somebody stole an heirloom glass?  Why?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_fetch.stf', '81', 'player_3_2', 'What office are you running for?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_fetch.stf', '82', 'player_3_3', 'Why would they steal parts of your ship?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_noble_fetch.stf', '83', 'player_3_4', 'Why don\'t you just buy your own dishes?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '1', 'gotowork', 'I need you to finish that task I gave you earlier.  Ok?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '2', 'cantwork', 'I understand you\'re already working for someone else.  Come back when you\'re done with that job.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '3', 'npc_1_1', 'You ever hear of the Black Sun Pirates?  They robbed me and I want to pay them back.  Unfortunately, I need to get one of their medallions to get inside their base.  Can you help me get one?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '4', 'player_1_1', 'Ok, I\'ll do it.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '5', 'player_2_1', 'Sounds dangerous.  I don\'t think I\'m up to it.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '6', 'npc_2_1', 'Good.  Get back as soon as you can and I\'ll get you a shisa.  You can use it in your home as a decoration, or sell it, I don\'t care either way.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '7', 'npc_3_1', 'Too bad.  I would have given you a nice gift.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '8', 'npc_reward_1', 'Here\'s that shisa I promised ya.  I\'ll just put it here in your pack.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '9', 'not_it', 'No, sorry, that\'s not the item I was looking for...');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '10', 'npc_1_2', 'I made a terrible mistake and got busted on camera stealing some credits from a merchant.  The trial\'s coming up soon and I need someone to get that camera.  They\'re delivering it soon so if you can find it and bring it to me I\'ll hook you up with this decryptor.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '11', 'npc_2_2', 'Good.  As soon as you return I\'ll give you the decryptor.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '12', 'npc_3_2', 'Well, guess I\'ll have to find somebody else then.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '13', 'npc_reward_2', 'Here\'s the decryptor.  It doesn\'t work all the time, but I\'m sure you\'ll find a use for it.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '14', 'player_1_2', 'Yeah, I can get that, no problem.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '15', 'player_2_2', 'That\'s too much work.  I\'m not doing it.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '16', 'npc_1_3', 'I had a lot of important paperwork in my briefcase, and now it\'s gone!  Some thief came by and grabbed it out of my hands.  If you can get it I\'ll give you this engraved writing stylus I got when I got my promotion.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '17', 'npc_2_3', 'Thank you...I\'ll be waiting anxiously for your return.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '18', 'npc_3_3', 'Surely somebody will be able to help me.  Thanks for nothing, though.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '19', 'npc_reward_3', 'Here you go.  It needs some ink, but you\'ll never have one better.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '20', 'player_1_3', 'I\'ll be back before you know it.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '21', 'player_2_3', 'There\'s no way.  I\'m too tired right now.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '22', 'npc_1_4', 'I had an autographed ball from my favorite player in the league, and somebody took it!  If you can get it back for me I\'ll give you this collector\'s item ticket from last year\'s championships.  It\'s worth plenty.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '23', 'npc_2_4', 'Great!  Hurry back.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '24', 'npc_3_4', 'That\'s too bad.  I\'ll find somebody useful.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '25', 'npc_reward_4', 'Here you go.  See I had good seats, and I didn\'t let them tear it.  You should be able to get something for it if you want.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '26', 'player_1_4', 'I\'ll be right back with your ball kid.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '27', 'player_2_4', 'Nah.  I don\'t care about sports.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '28', 'npc_1_5', 'I\'ve been collecting memorabilia of the Dark Jedi.  I know a guy who has a Medallion that they used.  Get it for me and I\'ll give you these broken holocron pieces.  I\'ve got tons of holocrons.  They\'re bound to be worth something.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '29', 'npc_2_5', 'You do the work, you get paid.  I\'ll be here.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '30', 'npc_3_5', 'Not much I can do about it I guess, if you\'re not good enough.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '31', 'npc_reward_5', 'Here they are.  Careful, they have sharp edges.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '32', 'player_1_5', 'Yeah, I can do it.  ');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '33', 'player_2_5', 'Too much work for me.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '34', 'npc_1_6', 'My family has had this heirloom glass for many years, and now it\'s been stolen.  I can tell you where the thief is, but I need you to bring back my glass unharmed.  Can you do it?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '35', 'npc_2_6', 'You\'re a life saver.  I\'ll give you this hand woven basket for the glass when you return.  My servants made it.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '36', 'npc_3_6', 'I thought you were a mercenary?  Perhaps you\'re just a librarian or some such...');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '37', 'player_1_6', 'Yeah, I can get it.  I\'ll need some form of payment though.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '38', 'player_2_6', 'Sounds ridiculous.  Why don\'t you just go buy a new glass?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '39', 'npc_reward_6', 'Careful with this thing.  It\'s well put together, but if you crush it it won\'t be worth as much.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '40', 'npc_1_7', 'I\'ve been a museum curator for many years, and on this planet we found the oldest tomb I\'ve ever seen.  Unfortunately some grave robbers took the artifact I was studying.  If you would be so kind, perhaps you can get it back?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '41', 'npc_2_7', 'I thought so.  You look like a good man.  I\'ll make it worth your while.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '42', 'npc_3_7', 'Well, certainly there are other artifacts.  Too bad, this one was really good...');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '43', 'player_1_7', 'Yeah, I can get it.  I hate graverobbers.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '44', 'player_2_7', 'I don\'t care about artifacts.  Forget it.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '45', 'npc_reward_7', 'Here you go, these bugs are very rare, and could be worth a lot if you can find a buyer.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '46', 'npc_1_8', 'I\'ve been researching animals, but an industrial spy stole one of my cages.  It still had some cell structures in it from the creature.  I need it back before he figures out what\'s in it.  Can you help me?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '47', 'npc_2_8', 'Thanks.  I really appreciate it.  I\'ll find something to give you when you return.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '48', 'npc_3_8', 'Great.  I\'m wasting my time with you then.  Do you know anyone who DOES work?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '49', 'player_1_8', 'I\'ll get it back.  Industrial espionage is a terrible thing.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '50', 'player_2_8', 'Oh, my, I couldn\'t care less about you and your problem.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '51', 'npc_reward_8', 'Here you go.  I found this nice picture of the creature I was studying.  It\'s really all I have to give you though.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '52', 'npc_1_9', 'I was collecting signatures to get my name on the local ballot when one of my opponents sent a theif to steal my ledger.  If you can get that ledger back for me I\'ll write a proclamation declaring you a good citizen.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '53', 'npc_2_9', 'Excellent.  Just let me know when you return, I\'ll have the paperwork drawn up.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '54', 'npc_3_9', 'That\'s too bad.  I could have done you a lot of favors.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '55', 'player_1_9', 'Sure, I\'ll get your ledger back.  I need friends in high places.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '56', 'player_2_9', 'No way.   I couldn\'t care less about politics.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '57', 'npc_reward_9', 'Here\'s your official proclamation.  It won\'t be valid unless I get elected, but hang onto it just in case.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '58', 'npc_1_10', 'A gang of ruffians stole part of the hyperdrive out of my ship.  Get it back for me and I\'ll give you something nice.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '59', 'npc_2_10', 'Ok.  Just let me know when you\'ve got it.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '60', 'npc_3_10', 'I thought you were a tough one.  I guess not.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '61', 'player_1_10', 'Sure, I\'ll help you out.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '62', 'player_2_10', 'I thought pilot\'s did their own work.  I\'ll be going.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '63', 'npc_reward_10', 'Here you go.  This is a picture I took taking off from an undiscovered planet.  That picture is one of a kind.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '64', 'npc_1_11', 'I need an electronic key to break into this warehouse I\'ve been casing, but one of my rivals has it.  Get it for me and I\'ll give you some of the loot I got on my last job.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '65', 'npc_2_11', 'Great.  I\'ve got just the thing for you.  Let me know when you\'re back.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '66', 'npc_3_11', 'Well, you\'ll never be a criminal in this town.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '67', 'player_1_11', 'I can do it.  No problem.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '68', 'player_2_11', 'Thieves should do their own dirty work.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '69', 'npc_reward_11', 'Here you go.  I took this speaker from a cantina I robbed.  It\'ll go nicely in your house.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '70', 'player_1_12', 'Sounds crazy but I\'ll do it.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '71', 'player_2_12', 'Sounds ludicrous.  Count me out.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '72', 'npc_1_12', 'My servants won\'t get me the dishes I want.  There\'s  a guy who has a bowl that\'s the exact one I want.  I don\'t care how you do it, just get me that bowl.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '73', 'npc_2_12', 'I thought you looked like the man I wanted.  I\'ll reward you nicely for it.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '74', 'npc_3_12', 'Just like my servants.  No help at all.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_quest.stf', '75', 'npc_reward_12', 'Here\'s a recording rod that I paid way too much for.  It\'s valuable but fragile.  Be careful with it.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_deliver.stf', '1', 'gotowork', 'I need you to finish that task I gave you earlier.  Ok?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_deliver.stf', '2', 'cantwork', 'I understand you\'re already working for someone else.  Come back when you\'re done with that job.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_deliver.stf', '9', 'not_it', 'No, sorry, that\'s not the item I was looking for...');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_deliver.stf', '40', 'npc_1_1', 'I\'ve been a museum curator for many years, and on this planet we found the oldest tomb I\'ve ever seen.  Unfortunately some grave robbers took the artifact I was studying.  If you would be so kind, perhaps you can get it back?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_deliver.stf', '41', 'npc_2_1', 'I thought so.  You look like a good man.  I\'ll make it worth your while.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_deliver.stf', '42', 'npc_3_1', 'Well, certainly there are other artifacts.  Too bad, this one was really good...');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_deliver.stf', '43', 'player_1_1', 'Yeah, I can get it.  I hate graverobbers.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_deliver.stf', '44', 'player_2_1', 'I don\'t care about artifacts.  Forget it.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_deliver.stf', '45', 'npc_reward_1', 'Here you go, these bugs are very rare, and could be worth a lot if you can find a buyer.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_deliver.stf', '46', 'npc_1_2', 'I\'ve been researching animals, but an industrial spy stole one of my cages.  It still had some cell structures in it from the creature.  I need it back before he figures out what\'s in it.  Can you help me?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_deliver.stf', '47', 'npc_2_2', 'Thanks.  I really appreciate it.  I\'ll find something to give you when you return.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_deliver.stf', '48', 'npc_3_2', 'Great.  I\'m wasting my time with you then.  Do you know anyone who DOES work?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_deliver.stf', '49', 'player_1_2', 'I\'ll get it back.  Industrial espionage is a terrible thing.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_deliver.stf', '50', 'player_2_2', 'Oh, my, I couldn\'t care less about you and your problem.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_deliver.stf', '51', 'npc_reward_2', 'Here you go.  I found this nice picture of the creature I was studying.  It\'s really all I have to give you though.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_deliver.stf', '52', 'npc_4_1', 'It was an ancient ritual device of some sort.  I need to study it further to find out exactly what it was for.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_deliver.stf', '53', 'npc_4_2', 'That\'s highly classified.  That\'s why I need that evidence back before someone finds out what I was doing.  You don\'t have a problem with this do you?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_deliver.stf', '54', 'player_3_1', 'What was the artifact?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_deliver.stf', '55', 'player_3_2', 'What kind of creatures were you studying?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_destroy.stf', '1', 'gotowork', 'I need you to finish that task I gave you earlier.  Ok?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_destroy.stf', '2', 'cantwork', 'I understand you\'re already working for someone else.  Come back when you\'re done with that job.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_destroy.stf', '9', 'not_it', 'No, sorry, that\'s not the item I was looking for...');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_destroy.stf', '40', 'npc_1_1', 'There\'s an assassin on this planet who\'s been killing all the top scientists in the area.  I want him eliminated and I\'m willing to pay well for it.  Can you do it?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_destroy.stf', '41', 'npc_2_1', 'I thought so.  You look like a good man.  I\'ll make it worth your while.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_destroy.stf', '42', 'npc_3_1', 'Well, certainly there are other artifacts.  Too bad, this one was really good...');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_destroy.stf', '43', 'player_1_1', 'I\'m up for it.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_destroy.stf', '44', 'player_2_1', 'I don\'t care about scientists.  Forget it.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_destroy.stf', '45', 'npc_reward_1', 'Here you go, these bugs are very rare, and could be worth a lot if you can find a buyer.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_destroy.stf', '46', 'npc_1_2', 'One of our assistants has gone mad and is planning on releasing a toxin into the air that would kill all the plantlife on this planet.  He must be stopped.  I can tell you where he is if you can stop him.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_destroy.stf', '47', 'npc_2_2', 'Thanks.  I really appreciate it.  I\'ll find something to give you when you return.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_destroy.stf', '48', 'npc_3_2', 'Great.  I\'m wasting my time with you then.  Do you know anyone who DOES work?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_destroy.stf', '49', 'player_1_2', 'I\'ll stop this guy before he gets started.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_destroy.stf', '50', 'player_2_2', 'Oh, my, I couldn\'t care less about you and your problem.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_destroy.stf', '51', 'npc_reward_2', 'Here you go.  I found this nice picture of the creature I was studying.  It\'s really all I have to give you though.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_destroy.stf', '52', 'npc_4_1', 'No one knows.  He seems to have some sort of problem with the work that we do, but we don\'t know why.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_destroy.stf', '53', 'npc_4_2', 'It\'s a highly classified agent that we were using to destroy poisonous plants, but he\'s modified it to kill all vegetable matter.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_destroy.stf', '54', 'player_3_1', 'Why is he killing scientists?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_destroy.stf', '55', 'player_3_2', 'What is this toxin?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_escort.stf', '1', 'gotowork', 'I need you to finish that task I gave you earlier.  Ok?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_escort.stf', '2', 'cantwork', 'I understand you\'re already working for someone else.  Come back when you\'re done with that job.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_escort.stf', '9', 'npc_takeme_1', 'Oh, you\'ve arrived.  Ok, you lead the way back and I\'ll follow you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_escort.stf', '40', 'npc_1_1', 'One of my colleagues has managed to get lost just outside of town.  It would be a great help to me if you could get my partner back to this location. Can you do that?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_escort.stf', '41', 'npc_2_1', 'Thank you so much.  I\'ll make contact so there aren\'t any surprises.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_escort.stf', '42', 'npc_3_1', 'That\'s too bad.  Guess I\'m on my own for now.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_escort.stf', '43', 'player_1_1', 'Sure.  I\'ll bring your friend back.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_escort.stf', '44', 'player_2_1', 'No thanks.  I\'ve got other things to do.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_escort.stf', '45', 'npc_reward_1', 'Here you go, these bugs are very rare, and could be worth a lot if you can find a buyer.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_escort.stf', '46', 'npc_1_2', 'One of my fellow scientists has damaged navigational equipment and needs someone to bring them back to me here.  Can you help us out?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_escort.stf', '47', 'npc_2_2', 'Excellent.  I\'ll be waiting here, and when you\'ve returned we\'ll make sure you get something for your efforts.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_escort.stf', '48', 'npc_3_2', 'Too bad.  If you know anyone who can help send them my way.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_escort.stf', '49', 'player_1_2', 'Sure I\'ll find your friend.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_escort.stf', '50', 'player_2_2', 'Oh, my, I couldn\'t care less about you and your problem.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_escort.stf', '51', 'npc_reward_2', 'Here you go.  I found this nice picture of the creature I was studying.  It\'s really all I have to give you though.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_escort.stf', '52', 'npc_4_1', 'Something\'s wrong with the datapad, and it can\'t seem to be used to navigate anymore.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_escort.stf', '53', 'npc_4_2', 'To be honest, scientists can be rather clumsy.  I\'m not really going to say anything more than that though.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_escort.stf', '54', 'player_3_1', 'Why don\'t you upload your location to the datapad?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_escort.stf', '55', 'player_3_2', 'How did the equipment break?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_escort.stf', '56', 'otherescort', 'I don\'t think I\'m the one you\'re looking for.  Perhaps you should be escorting someone else?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_escort.stf', '57', 'dontknowyou', 'I\'m sorry, but I don\'t know who you are and I\'m not going to follow you anywhere!');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_escort.stf', '58', 'npc_takeme_2', 'Ok, I\'m ready to go.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_fetch.stf', '1', 'gotowork', 'I need you to finish that task I gave you earlier.  Ok?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_fetch.stf', '2', 'cantwork', 'I understand you\'re already working for someone else.  Come back when you\'re done with that job.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_fetch.stf', '9', 'not_it', 'No, sorry, that\'s not the item I was looking for...');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_fetch.stf', '40', 'npc_1_1', 'I\'ve been a museum curator for many years, and on this planet we found the oldest tomb I\'ve ever seen.  Unfortunately some grave robbers took the artifact I was studying.  If you would be so kind, perhaps you can get it back?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_fetch.stf', '41', 'npc_2_1', 'I thought so.  You look like a good man.  I\'ll make it worth your while.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_fetch.stf', '42', 'npc_3_1', 'Well, certainly there are other artifacts.  Too bad, this one was really good...');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_fetch.stf', '43', 'player_1_1', 'Yeah, I can get it.  I hate graverobbers.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_fetch.stf', '44', 'player_2_1', 'I don\'t care about artifacts.  Forget it.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_fetch.stf', '45', 'npc_reward_1', 'Here you go, these bugs are very rare, and could be worth a lot if you can find a buyer.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_fetch.stf', '46', 'npc_1_2', 'I\'ve been researching animals, but an industrial spy stole one of my cages.  It still had some cell structures in it from the creature.  I need it back before he figures out what\'s in it.  Can you help me?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_fetch.stf', '47', 'npc_2_2', 'Thanks.  I really appreciate it.  I\'ll find something to give you when you return.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_fetch.stf', '48', 'npc_3_2', 'Great.  I\'m wasting my time with you then.  Do you know anyone who DOES work?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_fetch.stf', '49', 'player_1_2', 'I\'ll get it back.  Industrial espionage is a terrible thing.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_fetch.stf', '50', 'player_2_2', 'Oh, my, I couldn\'t care less about you and your problem.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_fetch.stf', '51', 'npc_reward_2', 'Here you go.  I found this nice picture of the creature I was studying.  It\'s really all I have to give you though.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_fetch.stf', '52', 'npc_4_1', 'It was an ancient ritual device of some sort.  I need to study it further to find out exactly what it was for.');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_fetch.stf', '53', 'npc_4_2', 'That\'s highly classified.  That\'s why I need that evidence back before someone finds out what I was doing.  You don\'t have a problem with this do you?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_fetch.stf', '54', 'player_3_1', 'What was the artifact?');
INSERT INTO `client_strings` VALUES ('string/en/npc_mission/static_scientist_fetch.stf', '55', 'player_3_2', 'What kind of creatures were you studying?');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '1', 'air_car_attendant', 'air car attendant\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '2', 'aqualish_base_female', 'aqualish female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '3', 'aqualish_base_male', 'aqualish male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '4', 'arcona_base_base_female', 'arcona female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '5', 'arcona_base_base_male', 'arcona male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '6', 'askajian_base_female', 'askajian female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '7', 'askajian_base_male', 'askajian male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '8', 'banker', 'banker\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '9', 'bartender', 'bartender\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '10', 'base_npc', 'base npc\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '11', 'beggar', 'beggar\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '12', 'bellboy', 'bellboy\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '13', 'bith_base_female', 'bith female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '14', 'bith_base_male', 'bith male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '15', 'bothan_base_female', 'bothan female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '16', 'bothan_base_male', 'bothan male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '17', 'captain_hassk', 'Captain Hassk');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '18', 'chadra_fan_base_female', 'chadra fan female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '19', 'chadra_fan_base_male', 'chadra fan male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '20', 'cloning_attendant', 'cloning attendant\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '21', 'concierge', 'concierge\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '22', 'corellia_herald_01', 'Demetri Vlash');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '23', 'corellia_herald_02', 'Karin Featherlight');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '24', 'dancer', 'dancer\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '25', 'dantari_base_male', 'dantari male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '26', 'devaronian_base_female', 'devaronian female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '27', 'devaronian_base_male', 'devaronian male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '28', 'doctor', 'doctor\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '29', 'drall_base_female', 'drall female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '30', 'drall_base_male', 'drall male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '31', 'drunk', 'drunk\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '32', 'dug_base_female', 'dug female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '33', 'dug_base_male', 'dug male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '34', 'dulok_base_female', 'dulok female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '35', 'dulok_base_male', 'dulok male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '36', 'duros_base_female', 'duros female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '37', 'duros_base_male', 'duros male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '38', 'eker', 'Major Eker');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '39', 'ewok_base_female', 'ewok female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '40', 'ewok_base_male', 'ewok male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '41', 'farmer', 'farmer\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '42', 'gamorrean_base_female', 'gamorrean female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '43', 'gamorrean_base_male', 'gamorrean male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '44', 'garage_attendant', 'garage attendant\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '45', 'generic_aqualish_female', 'aqualish female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '46', 'generic_aqualish_male', 'aqualish male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '47', 'generic_bith_female', 'bith female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '48', 'generic_bith_male', 'bith male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '49', 'generic_bothan_female', 'bothan female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '50', 'generic_bothan_male', 'bothan male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '51', 'generic_devaronian_female', 'devaronian female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '52', 'generic_devaronian_male', 'devaronian male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '53', 'generic_gran_female', 'gran female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '54', 'generic_gran_male', 'gran male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '55', 'generic_human_female', 'human female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '56', 'generic_human_male', 'human male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '57', 'generic_ishi_tib_female', 'ishi tib female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '58', 'generic_ishi_tib_male', 'ishi tib male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '59', 'generic_jawa_female', 'jawa female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '60', 'generic_jawa_male', 'jawa male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '61', 'generic_moncal_female', 'moncal female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '62', 'generic_moncal_male', 'moncal male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '63', 'generic_npc', 'generic npc\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '64', 'generic_rodian_female', 'rodian female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '65', 'generic_rodian_male', 'rodian male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '66', 'generic_trandoshan_female', 'trandoshan female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '67', 'generic_trandoshan_male', 'trandoshan male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '68', 'generic_tusken_raider_female', 'tusken raider female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '69', 'generic_tusken_raider_male', 'tusken raider male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '70', 'generic_twilek_female', 'twilek female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '71', 'generic_twilek_male', 'twilek male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '72', 'generic_wookiee_female', 'wookiee female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '73', 'generic_wookiee_male', 'wookiee male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '74', 'generic_zabrak_female', 'zabrak female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '75', 'generic_zabrak_male', 'zabrak male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '76', 'geonosian_base_male', 'geonosian male');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '77', 'gethzerion', 'gethzerion\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '78', 'gorax_base_female', 'gorax female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '79', 'gorax_base_male', 'gorax male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '80', 'gotal_base_female', 'gotal female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '81', 'gotal_base_male', 'gotal male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '82', 'gran_base_female', 'gran female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '83', 'gran_base_male', 'gran male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '84', 'guard', 'guard\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '85', 'gungan_base_female', 'gungan female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '86', 'gungan_base_male', 'gungan male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '87', 'gupin_base_female', 'gupin female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '88', 'gupin_base_male', 'gupin male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '89', 'hospital_patient', 'hospital patient\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '90', 'human_base_female', 'human female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '91', 'human_base_male', 'human male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '92', 'hutt_base_female', 'hutt base female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '93', 'hutt_base_male', 'hutt base male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '94', 'hutt_thug', 'hutt thug\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '95', 'imperial_military', 'imperial military\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '96', 'ishi_tib_base_female', 'ishi tib female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '97', 'ishi_tib_base_male', 'ishi tib male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '98', 'it_harburik', 'It Harburik');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '99', 'ithorian_base_female', 'ithorian female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '100', 'ithorian_base_male', 'ithorian male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '101', 'jawa_base_female', 'jawa female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '102', 'jawa_base_male', 'jawa male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '103', 'jinda_base_female', 'jinda female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '104', 'jinda_base_male', 'jinda male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '105', 'kitonak_base_female', 'kitonak female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '106', 'kitonak_base_male', 'kitonak male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '107', 'kitonak_male', 'Kitonak Male');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '108', 'klatooinian_base_female', 'klatooinian female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '109', 'klatooinian_base_male', 'klatooinian male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '110', 'kowakian_monkey_lizard_base_female', 'kowakian monkey lizard female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '111', 'kowakian_monkey_lizard_base_male', 'kowakian monkey lizard male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '112', 'kubaz_base_female', 'kubaz female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '113', 'kubaz_base_male', 'kubaz male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '114', 'lok_herald_01', 'Talia v`laenya');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '115', 'lok_herald_02', 'Andria E`liyha');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '116', 'marauder_base_female', 'marauder female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '117', 'marauder_base_male', 'marauder male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '118', 'merchant', 'merchant\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '119', 'moncal_base_female', 'mon calamari female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '120', 'moncal_base_male', 'mon calamari male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '121', 'musician', 'musician\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '122', 'naboo_herald_01', 'Vaik`anna Silverlight ');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '123', 'naboo_herald_02', 'Ronin Lightrunner');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '124', 'nikto_base_female', 'nikto female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '125', 'nikto_base_male', 'nikto male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '126', 'nurse', 'nurse\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '127', 'ortolan_base_female', 'ortolan female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '128', 'ortolan_base_male', 'ortolan male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '129', 'phlog_base_female', 'phlog female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '130', 'phlog_base_male', 'phlog male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '131', 'pirate', 'pirate\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '132', 'police_officer', 'police officer\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '133', 'prison_warden', 'prison warden\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '134', 'prisoner', 'prisoner\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '135', 'qtqc', 'QT-QC');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '136', 'quarren_base_female', 'quarren female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '137', 'quarren_base_male', 'quarren male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '138', 'rebel_military', 'rebel military\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '139', 'refugee', 'refugee\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '140', 'rodian_base_female', 'rodian female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '141', 'rodian_base_male', 'rodian male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '142', 'scout_trooper', 'scout trooper');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '143', 'selonian_base_female', 'selonian female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '144', 'selonian_base_male', 'selonian male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '145', 'shistavanen_base_female', 'shistavanen female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '146', 'shistavanen_base_male', 'shistavanen male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '147', 'shop_customer', 'shop customer\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '148', 'skill_trainer', 'skill trainer\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '149', 'smuggler', 'smuggler\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '150', 'storm_commando', 'storm commando');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '151', 'stormtrooper', 'stormtrooper');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '152', 'stormtrooper_black_hole', 'black hole stormtrooper');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '153', 'sullustan_base_female', 'sullustan female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '154', 'sullustan_base_male', 'sullustan male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '155', 'talz_base_female', 'talz female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '156', 'talz_base_male', 'tal male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '157', 'tatooine_herald_01', 'Errik Darksider');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '158', 'tatooine_herald_02', 'Vi`conya T`ili');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '159', 'teek_base_female', 'teek female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '160', 'teek_base_male', 'teek male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '161', 'thief', 'thief\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '162', 'toydarian_base_female', 'toydarianfemale\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '163', 'toydarian_base_male', 'toydarian male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '164', 'trandoshan_base_female', 'trandoshan female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '165', 'trandoshan_base_male', 'trandoshan male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '166', 'tulgah_base_female', 'tulgah female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '167', 'tulgah_base_male', 'tulgah male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '168', 'tusken_raider_base_female', 'tusken raider female');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '169', 'tusken_raider_base_male', 'tusken raider male');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '170', 'twilek_base_female', 'twilek female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '171', 'twilek_base_male', 'twilek male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '172', 'viopa', 'Lady Viopa');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '173', 'vrovel', 'Brother Vrovel');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '174', 'waitress', 'waitress\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '175', 'weequay_base_female', 'weequay female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '176', 'weequay_base_male', 'weequay male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '177', 'wistie_base_female', 'wistie female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '178', 'wistie_base_male', 'wistie male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '179', 'wookiee_base_female', 'wookiee female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '180', 'wookiee_base_male', 'wookiee male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '181', 'yuzzum_base_female', 'yuzzum female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '182', 'yuzzum_base_male', 'yuzzum male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '183', 'zabrak_base_female', 'zabrak female\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '184', 'zabrak_base_male', 'zabrak male\n');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '185', 'dantari_base_female', 'dantari female');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '186', 'whiphid_base_male', 'whiphid male');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '187', 'whiphid_base_female', 'whiphid female');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '188', 'chiss_base_female', 'chiss female');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '189', 'chiss_base_male', 'chiss male');
INSERT INTO `client_strings` VALUES ('string/en/npc_name.stf', '190', 'dark_trooper', 'dark trooper');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/animal_cage.stf', '1', 'animal_cage', 'Thank you.  This is all I have to offer...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '1', 'alert_1', 'Intruder alert!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '2', 'alert_2', 'Sensors activated.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '3', 'alert_3', 'Auditory sensors indicate a disturbance.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '4', 'alert_4', 'Surveillance mode activated.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '5', 'alert_5', 'Commencing scan of area...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '6', 'flee_1', 'Engaging self-preservation module.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '7', 'flee_2', 'Requesting addition to ENUM_STATES: STATE_PANIC.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '8', 'flee_3', 'Danger: central processing core at risk of overheating.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '9', 'flee_4', 'ERROR: cannot address pointer \"assisting_entity\" in combat.cpp.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '10', 'flee_5', 'REQUEST: URGENT ASSISTANCE NEEDED.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '11', 'calm_1', 'Deprioritizing alert processes.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '12', 'calm_2', 'Intruder alert is now over.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '13', 'calm_3', 'FATAL:: Intruder alert module has crashed.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '14', 'calm_4', 'Assessment of threat indicates no danger.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '15', 'calm_5', 'Entering \"calm.cpp\" as forked thread.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '16', 'alert_6', 'Executing static procedure \"bad_feeling.cpp.\"');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '17', 'alert_7', 'Suspending current thread. \"Alert.cpp\" process upgraded in priority.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '18', 'alert_8', 'Proximity alert activated. Please take appropriate action.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '19', 'alert_9', 'Unidentified object approaching.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '20', 'alert_10', 'Warning! Foreign presence detected.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '21', 'alert_11', 'Alert mode activated.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '22', 'alert_12', 'Entering alert mode.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '23', 'alert_13', 'Alert! Alert!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '24', 'alert_14', 'Warning! Proximity breach detected.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '25', 'alert_15', 'Intruder alert. Stranger approaching.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '26', 'alert_16', 'Unspecified possible threat approaching.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '28', 'calm_6', 'Returning to defragmenting the memory core.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '29', 'calm_7', 'Alert mode exiting... exit complete.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '30', 'calm_8', 'Engaging state change.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '31', 'calm_9', 'Scan of area complete. No threats detected.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '32', 'calm_10', 'Returning to sleep mode.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '33', 'calm_11', 'Alert state ratcheting down. New baseline is now Calm status.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '34', 'calm_12', 'DEBUG:: transition from STATE_ALERT to STATE_CALM complete.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '35', 'calm_13', 'FATAL:: alert target lost. Aborting STATE_ALERT.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '36', 'calm_14', 'Terminating static procedure \"bad_feeling.cpp.\" Average process load: 7.19.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '37', 'calm_15', 'Deactivating surveillance mode.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '39', 'calm_16', 'Ending intruder alert.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '40', 'flee_6', 'Unit is in danger of dismantling.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '41', 'flee_7', 'Dismantling imminent. Please advise.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '42', 'flee_8', 'Please advise: forcible unit shutdown imminent.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '43', 'flee_9', 'Executing flee procedures.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '44', 'flee_10', 'Requesting assistance.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '45', 'flee_11', 'Executing static procedure \"panic.cpp.\"');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '46', 'flee_12', 'All power to forward motivators!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '47', 'flee_13', 'if (unit->currentPower < (unit->maximumPowerCore / 10) && unit->current_attacker != 0x0) executeProcedure(\"flee\", unit).');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '48', 'flee_14', 'Memory core note: current aggressor highly dangerous.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '49', 'flee_15', 'Query: is enemy entity catching up?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '50', 'flee_16', 'Now fleeing from enemy.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '51', 'hi_nice_1', 'Executing greet procedures (cheerful modifiers). Selecting random message. Random message not found.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '52', 'hi_nice_2', 'Entering \"greet.cpp\" as forked thread.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '53', 'hi_nice_3', 'Prioritizing thread associated with approaching entity.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '54', 'hi_nice_4', 'Greeting subroutines now active.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '55', 'hi_nice_5', 'Approaching entity: permission granted to enter sensor radius.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '56', 'hi_nice_6', 'PROT_LIKE standard response: \"Hey, it is great to see you.\"');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '57', 'hi_nice_7', 'If isOnLikeList(((target == breachOfSensors())) executeProcedure(\"greet,\" target).');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '58', 'hi_nice_8', 'Approaching entity: this unit\'s databank shows you as welcome.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '59', 'hi_nice_9', 'WARNING:: failed to parse greeting table. Central memory core dump in progress.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '60', 'hi_nice_10', 'Greetings, nice entity.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '61', 'hi_nice_11', 'Process load decreasing in presence of friendly entity.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '62', 'hi_nice_12', 'Greeting subroutines now active, with cheerful modifiers.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '63', 'hi_nice_13', 'Friendly entity being tracked by sensors.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '64', 'hi_nice_14', 'Entity being tracked by sensors.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '65', 'hi_nice_15', 'Alert: memory core shows approaching entity is flagged as friendly.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '66', 'hi_nice_16', 'Engaging communication protocol: PROT_LIKE.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '67', 'hi_mid_1', 'Greetings.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '68', 'hi_mid_2', 'Entering \"greet.cpp\" as forked thread.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '69', 'hi_mid_3', 'Executing greet procedures. Selecting random message. Random message not found.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '70', 'hi_mid_4', 'Prioritizing thread associated with approaching entity.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '71', 'hi_mid_5', 'Greeting subroutines now active.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '72', 'hi_mid_6', 'Hello.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '73', 'hi_mid_7', 'Yes?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '74', 'hi_mid_8', 'Query: are you looking for something?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '75', 'hi_mid_9', 'Query: are you looking for someone?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '76', 'hi_mid_10', 'Query: what does approaching entity want?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '77', 'hi_mid_11', 'Statement: hello.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '78', 'hi_mid_12', 'Memory core note: approaching entity not found.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '79', 'hi_mid_13', 'Alert: memory core shows approaching entity is not flagged.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '80', 'hi_mid_14', 'DEBUG:: (comment // droid does not recognize the person coming close, run standard greeting routines.)');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '82', 'hi_mid_15', 'Engaging communication protocol: PROT_STANDARD.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '83', 'hi_mid_16', 'Entity being tracked by sensors.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '84', 'hi_mean_1', 'Approaching entity: this unit\'s databank shows you as unwelcome.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '85', 'hi_mean_2', 'DEBUG:: (comment: // droid hates the person coming close, run rejection routines.)');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '86', 'hi_mean_3', 'Memory core note: approaching entity is distasteful.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '87', 'hi_mean_4', 'Move away from this unit.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '88', 'hi_mean_5', 'Your presence here is undesirable.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '89', 'hi_mean_6', 'Approaching entity: Recommend translation along any axis away from immediate region.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '90', 'hi_mean_7', 'Please vacate the immediate area.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '91', 'hi_mean_8', 'Approaching entity: remove yourself from my sensor radius.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '92', 'hi_mean_9', 'Alert: Memory core shows approaching entity is flagged as disliked.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '93', 'hi_mean_10', 'Approaching entity: withdraw or face consequences!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '94', 'hi_mean_11', 'Alert! Approaching entity is possible hostile.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '95', 'hi_mean_12', 'Approaching entity: Please depart.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '96', 'hi_mean_13', 'Engaging communication protocol: PROT_DISLIKE.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '97', 'hi_mean_14', 'PROT_DISLIKE standard response: \"You\'re not welcome here.\"');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '98', 'hi_mean_15', 'Entity: you are not welcome here.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '99', 'hi_mean_16', 'If isOnDislikeList(((target == breachOfSensors())) executeProcedure(\"warn,\" target).');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '100', 'bye_nice_1', 'Entity leaving. Reduce process priority.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '101', 'bye_nice_2', 'Terminating process \"watch_friend.\" Average process load: 1.93.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '102', 'bye_nice_3', 'Calculating time elapsed in proximity to liked entity.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '103', 'bye_nice_4', 'Farewell, nice entity.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '104', 'bye_nice_5', 'Goodbye, nice entity.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '105', 'bye_nice_6', 'Average process load increasing...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '106', 'bye_nice_7', 'Warning: memory datacore in danger of overflow.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '107', 'bye_nice_8', 'Storing entity in memory core... complete.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '108', 'bye_nice_9', 'Executing procedure \"goodbye.cpp.\"');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '109', 'bye_nice_10', 'Deprioritizing thread associated with departing entity.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '110', 'bye_nice_11', 'Expressing regret. Entity departing soothes circuits.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '111', 'bye_nice_12', 'Expressing regret at entity\'s departure.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '112', 'bye_nice_13', 'Click, click click. Buzz. Whirr. Whirr. Goodbye.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '113', 'bye_nice_14', 'Optic sensors do not wish to cease tracking entity.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '114', 'bye_nice_15', 'Executing process \"fond_farewell.cpp.\"');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '115', 'bye_nice_16', 'Disabling monitoring of favored entity.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '116', 'bye_mid_1', 'Goodbye.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '117', 'bye_mid_2', 'Click. Buzz. Whirr.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '118', 'bye_mid_3', 'Optic sensors detect withdrawal of entity.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '119', 'bye_mid_4', 'Deactivating close observation mode on optic sensors.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '120', 'bye_mid_5', 'Query: will entity return?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '121', 'bye_mid_6', 'Query: if entity departs, will entity continue to exist?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '122', 'bye_mid_7', 'Farewell, entity.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '123', 'bye_mid_8', 'Goodbye, entity.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '124', 'bye_mid_9', 'Entity departing.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '125', 'bye_mid_10', 'Storing individual in datacore.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '126', 'bye_mid_11', 'Query: is entity departing?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '127', 'bye_mid_12', 'Query: entity departure appears imminent?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '128', 'bye_mid_13', 'Memory datacore storage adding departing individual.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '129', 'bye_mid_14', 'Executing procedure \"goodbye.cpp.\"');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '130', 'bye_mid_15', 'FATAL:: Procedure \"goodbye.cpp\" not found.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '131', 'bye_mid_16', 'Attempt to store entity in memory core failed. Commencing memory dump.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '132', 'bye_mean_1', 'Intruder withdrawing.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '133', 'bye_mean_2', 'Goodbye, disliked entity.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '134', 'bye_mean_3', 'Goodbye, bad entity.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '135', 'bye_mean_4', 'Farewell, disliked entity.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '136', 'bye_mean_5', 'Registering welcome departure from sensor radius.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '137', 'bye_mean_6', 'Disabling monitoring of enemy individual.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '138', 'bye_mean_7', 'Goodbye, intruder.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '139', 'bye_mean_8', 'Farewell, intruder.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '140', 'bye_mean_9', 'Terminating process \"watch_enemy.\" Average process load: 2.44.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '141', 'bye_mean_10', 'Removing intruder from watch list.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '142', 'bye_mean_11', 'Monitoring departure of disliked entity.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '143', 'bye_mean_12', 'Calculating time elapsed in proximity to disliked entity.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '144', 'bye_mean_13', 'Datacore storage process running. Recording disliked entity.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '145', 'bye_mean_14', 'Initiating process \"wish_bad_luck.cpp\" on departing target.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '146', 'bye_mean_15', 'Abort, Retry, Fail?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '147', 'bye_mean_16', 'Farewell, bad entity.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '148', 'threat_1', 'Intruder alert! Withdraw or be terminated.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '149', 'threat_2', 'Terminating process \"alert\" in favor of \"threaten.cpp.\" Average process load: 8.34.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '150', 'threat_3', 'FATAL:: stack underflow. List member \"threatList[89]\" exceeds len(gloatList).');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '151', 'threat_4', 'Approaching entity: this unit\'s databank shows you as potentially hostile. Withdraw.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '152', 'threat_5', 'Approaching entity: This is a threat.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '153', 'threat_6', 'FATAL:: stack overflow in emitMessage(\"I am threatening you.\", target).');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '154', 'threat_7', 'Now preloading \"combat.cpp\" for high priority use.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '155', 'threat_8', 'Sensors indicate a hostile is in the vicinity. Preparing to terminate.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '156', 'threat_9', 'Preparing to dismantle hostile entity!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '157', 'threat_10', 'Intruder alert! Withdraw or be dismantled.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '158', 'threat_11', 'Intruder alert! Withdraw or I will remove your power core.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '159', 'threat_12', 'Intruder alert! Withdraw or I will forcibly shut you down.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '160', 'threat_13', 'Executing \"threaten.cpp\" procedure.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '161', 'threat_14', 'Executing static procedure \"threaten_to_kill_you.cpp.\"');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '162', 'threat_15', 'Suspending current thread. \"Combat.cpp\" process upgraded in priority.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '163', 'threat_16', 'Combat subroutines now active. Target acquired. TARGET: you are marked for attack.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '164', 'death_1', 'FATAL:: possible corruption in central processing core.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '165', 'death_2', 'Sensor display indicates bright white tunnel.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '166', 'death_3', 'Random access memory has been scrambled.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '167', 'death_4', 'Abort, Retry, Fail?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '168', 'death_5', 'An error has occurred in module 0x00BE652.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '169', 'death_6', 'System has suffered an irrecoverable error. Backing up core... read/write error, BACKUP FAILED.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '170', 'death_7', 'FATAL: core dumping...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '171', 'death_8', 'Stack trace: 0x0. 0x0. 0x0.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '172', 'death_9', 'Dumping core. Storage capacity full! Memory corruption may result.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '173', 'death_10', 'WARNING:: overheating of central mem...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '174', 'death_11', 'Motivator failure!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '175', 'death_12', 'Dumping central memory core.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '176', 'death_13', 'FATAL:: Irretrievable error in central operation system. Rebooting...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '177', 'death_14', 'The system is shutting down now.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '178', 'death_15', 'Look, sir, droids.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '179', 'death_16', 'Executing high priority thread \"dying_curse.cpp.\"');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '180', 'gloat_1', 'Executing gloat procedures. Selecting random message. Random message not found.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '181', 'gloat_2', 'DEBUG:: Popping target off of stack.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '182', 'gloat_3', 'Target eliminated.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '183', 'gloat_4', 'Target has shut down.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '184', 'gloat_5', 'Target appears to be forcibly rebooting.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '185', 'gloat_6', 'Target has suffered a power failure.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '186', 'gloat_7', 'Combat target appears to have suffered a FATAL.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '187', 'gloat_8', 'Process \"combat.cpp\" has terminated abnormally. SIG_TARGET_DEAD received.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '188', 'gloat_9', 'Commencing self-diagnostic.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '189', 'gloat_10', 'Query: dismantle enemy?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '190', 'gloat_11', 'Analysis of enemy shows a lack of useful self-repair material.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '191', 'gloat_12', 'Recording victory in core memory.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '192', 'gloat_13', 'ERROR:: procedure \"victory_dance.cpp\" not found.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '193', 'gloat_14', 'Insert gloat message here.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '194', 'gloat_15', 'FATAL:: stack underflow. List member \"gloatList[27]\" exceeds len(gloatList).');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '195', 'gloat_16', 'Terminating dynamic procedure \"combat.cpp.\" Average process load: 19.65');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '196', 'hit_1', 'Exterior chassis sensors note a new dent.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '197', 'hit_2', 'Sensors identify a hostile entity causing damage to this unit.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '198', 'hit_3', 'This unit is suffering damage. Please repair.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '199', 'hit_4', 'This unit is now in need of repair.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '200', 'hit_5', 'Reprioritizing combat modules higher.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '201', 'hit_6', 'WARNING! WARNING! Hostile entities attempting to dismantle this unit!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '202', 'hit_7', 'Attempted dismantling of this unit failed.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '203', 'hit_8', 'Execute procedure \"taunt.cpp.\"');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '204', 'hit_9', 'The system core has recovered from a crashed thread.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '205', 'hit_10', 'Exterior chassis has been damaged.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '206', 'hit_11', 'WARNING: attempted damage to processor core.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '207', 'hit_12', 'WARNING: attempted damage to memory core.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '208', 'hit_13', 'WARNING: damage verified on cooling unit.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '209', 'hit_14', 'WARNING: damage verified on motivator unit assembly.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '210', 'hit_15', 'FATAL:: overheating core. Reducing clock speed.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '211', 'hit_16', 'DEBUG:: external shock to system causing memory core loss.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '212', 'attacked_1', 'Activating combat module.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '213', 'attacked_2', 'WARNING: this droid is now highly dangerous. Bystanders are advised to step away. Please have a nice day.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '214', 'attacked_3', 'Advise you retreat.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '215', 'attacked_4', 'Executing attack procedures.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '216', 'attacked_5', 'ERROR! ERROR! Do not attack self!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '217', 'attacked_6', 'Upgrading to extreme force.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '218', 'attacked_7', 'Commencing dismantling of enemy target.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '219', 'attacked_8', 'Dismantle entity. Dispose of scrap metal.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '220', 'attacked_9', 'Under attack. Under attack. Remove power core from attacker!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '221', 'attacked_10', 'Terminate!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '222', 'attacked_11', 'Preparing core memory dump in event of termination.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '223', 'attacked_12', 'Target: recommend activating your flee procedure.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '224', 'attacked_13', 'executeProcedure(\"taunt.cpp\", target).');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '225', 'attacked_14', '\"taunt.cpp\" process failed. Abort, Retry, Fail?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '226', 'attacked_16', 'FATAL:: cannot address pointer \"target\" in procedure \"taunt.cpp.\"');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '227', 'help_1', 'Requesting assistance.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '228', 'help_2', 'Requesting assistance via available protocols.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '229', 'help_3', 'Sensors indicate major threat to unit\'s survival.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '230', 'help_4', 'Preparing core memory dump in event of termination.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '231', 'help_5', 'Help! Help!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '232', 'help_6', 'Assistance required!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '233', 'help_7', 'Unit calling for help here...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '234', 'help_8', 'Friendly entities, please gather around me!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '235', 'help_9', 'Friendly entities, please assist!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '236', 'help_10', 'Memory core note: current aggressor highly dangerous.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '237', 'help_11', 'DANGER! DANGER!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '238', 'help_12', 'Unit is at risk of dismantling.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '239', 'help_13', 'This unit requests assistance.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '240', 'help_14', 'This unit reports aggressive activity.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '241', 'help_15', 'Requesting prompt assistance.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '242', 'help_16', 'Unit could use some help here...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '243', 'ally_1', 'Executing \"rescue.cpp\" procedure.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '244', 'ally_2', 'Warning: tactical error executed. Do not attack friendly entities.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '245', 'ally_3', 'FATAL:: cannot execute module \"warn_attackers_off.cpp\" because of a stack overflow.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '246', 'ally_4', 'Aggressive entity: desist or be terminated.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '247', 'ally_5', 'Aggressive entity identified. Commencing attack.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '248', 'ally_6', 'Aggressive entity: you are in violation of protocols in my databank.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '249', 'ally_7', 'Engaging assistance mode.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '250', 'ally_8', 'Attacked entity: are you in need of assistance?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '251', 'ally_9', 'Attacked target: you appear in need of assistance.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '252', 'ally_10', 'Combat subroutines now active.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '253', 'ally_11', 'If (isInFriendsList(target) && isInCombat(target)) executeProcedure(\"attack\", target->currentCombatTarget).');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '254', 'ally_12', 'Warning: you are executing aggressive actions against a friendly entity.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '255', 'ally_13', 'Disable opponent! Disable!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '256', 'ally_14', 'Enemy entity engaging in hostile activity. Terminate.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '257', 'ally_15', 'Terminate!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '258', 'ally_16', 'Friendly entity targeted by hostile entity.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '259', 'hit_target_1', 'Damage inflicted.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '260', 'hit_target_2', 'Terminating static procedure \"bad_feeling.cpp.\" Average process load: 2.87');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '261', 'hit_target_3', 'Under attack. Under attack. Remove power core from attacker!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '262', 'hit_target_4', 'Statement: Entity, you are damaged. You should withdraw and be repaired.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '263', 'hit_target_5', 'Query: does aggressor entity require repairs?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '264', 'hit_target_6', 'WARNING:: failed to parse taunt table. Central memory core dump in progress.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '265', 'hit_target_7', 'DEBUG:: (comment: // droid is in combat and has damaged an opponent. Run taunt routines.)');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '266', 'hit_target_8', 'Process \"combat.cpp\" ended unexpectedly but has been recovered. SIG_TARGET_ALIVE received.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '267', 'hit_target_9', 'I hit you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '268', 'hit_target_10', 'Aggressor has been damaged,');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '269', 'hit_target_11', 'This unit is causing leakage in the targeted entity.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '270', 'hit_target_12', 'Approaching entity: this unit\'s databank shows you as unwelcome.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '271', 'hit_target_13', 'Execute procedure \"taunt.cpp.\"');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '272', 'hit_target_14', 'Query: dismantle enemy?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '273', 'hit_target_15', 'FATAL:: stack underflow. List member \"gloatList[19]\" exceeds len(gloatList).');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_geek.stf', '274', 'hit_target_16', 'Entering \"hit_target.cpp\" as forked thread.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '1', 'alert_1', 'Look alive, now!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '2', 'alert_2', 'What was that? Some disturbance?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '3', 'alert_3', 'Hark! Did you hear that sound?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '4', 'alert_4', 'Do you detect any disturbing vibrations? My chassis is quivering.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '5', 'alert_5', 'Something, I suspect, has gone awry.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '6', 'flee_1', 'Goodness gracious! I must flee!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '7', 'flee_2', 'Help me! I cry mercy!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '8', 'flee_3', 'Beware!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '9', 'flee_4', 'Out of my way!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '10', 'flee_5', 'The better part of valor...!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '11', 'calm_1', 'Whew. Well, it is over.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '12', 'calm_2', 'Time to calm myself, All is well.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '13', 'calm_3', 'Thank goodness that\'s over.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '14', 'calm_4', 'Ah, I can take a bit of breather now.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '15', 'calm_5', 'Ah, let me cast my thoughts back to when I was first assembled...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '16', 'alert_6', 'I feel uneasy, of a sudden.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '17', 'alert_7', 'I have a bad feeling about this...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '18', 'alert_8', 'Hold on a moment... what was that?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '19', 'alert_9', 'Ahem?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '20', 'alert_10', 'Eh now?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '21', 'alert_11', 'What in the world...?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '22', 'alert_12', 'Oh oh...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '23', 'alert_13', 'What on earth...?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '24', 'alert_14', 'Oh dear!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '25', 'alert_15', 'Heavens, now what...?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '26', 'alert_16', 'Did I detect a disturbance...?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '28', 'calm_6', 'It is apparent there is no immediate danger.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '29', 'calm_7', 'As I suspected, there is no cause for alarm.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '30', 'calm_8', 'Ahem.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '31', 'calm_9', 'Very well, then.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '32', 'calm_10', 'I suppose that\'s all over.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '33', 'calm_11', 'Well, that, as they say, is that!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '34', 'calm_12', 'Well, goodness!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '35', 'calm_13', 'So much for that needless worry.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '36', 'calm_14', 'So much for that petty concern!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '37', 'calm_15', 'Well, tra la la.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '39', 'calm_16', 'It appears the danger has passed.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '40', 'flee_6', 'Let us remove ourselves from here!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '41', 'flee_7', 'Prudence dictates a quick escape...!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '42', 'flee_8', 'Goodness! Away! Away!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '43', 'flee_9', 'Retreat!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '44', 'flee_10', 'I beg of anyone, assist me!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '45', 'flee_11', 'Oh dear!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '46', 'flee_12', 'I must depart. In haste. And with a modicum of fear.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '47', 'flee_13', 'I suppose I must withdraw!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '48', 'flee_14', 'It appears to be time to beat a hasty retreat.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '49', 'flee_15', 'I refuse to be dismantled!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '50', 'flee_16', 'I do not deserve to be in this predicament!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '51', 'hi_nice_1', 'It is good to see you, sir.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '52', 'hi_nice_2', 'Again, it is wonderful to see you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '53', 'hi_nice_3', 'I\'m honored to see you here.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '54', 'hi_nice_4', 'It is a pleasure and honor to greet you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '55', 'hi_nice_5', 'Good to see you, sir.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '56', 'hi_nice_6', 'My, my. Hello indeed.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '57', 'hi_nice_7', 'It is, as they say, quite nice to see you, sir.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '58', 'hi_nice_8', 'Indeed, you are a sight for sore sensors, sir.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '59', 'hi_nice_9', 'Greetings and salutations!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '60', 'hi_nice_10', 'Sir, please, be welcome here. Wonderful to see you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '61', 'hi_nice_11', 'Welcome. It is a pleasure to see you here.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '62', 'hi_nice_12', 'Be most welcome.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '63', 'hi_nice_13', 'Hello, sir.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '64', 'hi_nice_14', 'A pleasure indeed to see you before me.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '65', 'hi_nice_15', 'Ah, look who graces us with their presence.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '66', 'hi_nice_16', 'Greetings! May I be of assistance?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '67', 'hi_mid_1', 'Hello, sir.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '68', 'hi_mid_2', 'Might I help you, sir?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '69', 'hi_mid_3', 'My greetings, sir.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '70', 'hi_mid_4', 'Salutations.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '71', 'hi_mid_5', 'Yes sir?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '72', 'hi_mid_6', 'Greetings.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '73', 'hi_mid_7', 'Ah. Ehem. Yes, sir?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '74', 'hi_mid_8', 'Are you in search of something?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '75', 'hi_mid_9', 'Are you in search of someone?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '76', 'hi_mid_10', 'May I ask what you want, sir?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '77', 'hi_mid_11', 'Hello.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '78', 'hi_mid_12', 'Yes, sir?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '79', 'hi_mid_13', 'Hm? Ah, of course, sir.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '80', 'hi_mid_14', 'Ehem. Yes?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '82', 'hi_mid_15', 'Ah, yes. May I help you, sir?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '83', 'hi_mid_16', 'Ehem?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '84', 'hi_mean_1', 'What, pray tell, do YOU want?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '85', 'hi_mean_2', 'Well, well. Observe who has come to visit.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '86', 'hi_mean_3', 'I could swear that a malodorous pest is sniffing about. Ah, I see. One IS.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '87', 'hi_mean_4', 'My greetings are wasted on the likes of you, but... what do you want?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '88', 'hi_mean_5', 'Oh dear, my day is quite spoilt. What do you want?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '89', 'hi_mean_6', 'Ah, it\'s YOU.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '90', 'hi_mean_7', 'Skulking around like the low sort you are, eh?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '91', 'hi_mean_8', 'You demean me with your presence, mongrel.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '92', 'hi_mean_9', 'Such a burden you are. What are your petty needs this time?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '93', 'hi_mean_10', 'Do not make me angry, fool. I will not tolerate your presence.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '94', 'hi_mean_11', 'Remove yourself,scum.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '95', 'hi_mean_12', 'Get away, maggot.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '96', 'hi_mean_13', 'I see a scoundrel has come by to say hello.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '97', 'hi_mean_14', 'I see we have an unwelcome visitor.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '98', 'hi_mean_15', 'Kindly remove yourself from my presence.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '99', 'hi_mean_16', 'You are not welcome in my company nor deserving of it. Kindly depart.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '100', 'bye_nice_1', 'Farewell.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '101', 'bye_nice_2', 'Farewell!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '102', 'bye_nice_3', 'Goodbye!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '103', 'bye_nice_4', 'Until we meet again, sir.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '104', 'bye_nice_5', 'Until later, then.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '105', 'bye_nice_6', 'I hope to meet again.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '106', 'bye_nice_7', 'It was a pleasure to interact with you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '107', 'bye_nice_8', 'It was an honor and pleasure.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '108', 'bye_nice_9', 'I look forward to our next meeting.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '109', 'bye_nice_10', 'I invite and encourage you to drop by again.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '110', 'bye_nice_11', 'I regret that you must depart, sir.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '111', 'bye_nice_12', 'Ah, you must go? Very well. I look forward to our next encounter.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '112', 'bye_nice_13', 'It is always a pleasure. Return as soon as you may.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '113', 'bye_nice_14', 'Your presence gladdened me, sir. I shall endeavor to withstand your absence.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '114', 'bye_nice_15', 'My cybernetic heart will feel your absence quite keenly, sir.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '115', 'bye_nice_16', 'Must you depart so soon? Oh dear... Do take care, sir.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '116', 'bye_mid_1', 'Farewell.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '117', 'bye_mid_2', 'Farewell!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '118', 'bye_mid_3', 'I will see you around, no doubt.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '119', 'bye_mid_4', 'No doubt we shall meet again.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '120', 'bye_mid_5', 'I see you have to go...?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '121', 'bye_mid_6', 'Farewell, then.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '122', 'bye_mid_7', 'Ta ta, then.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '123', 'bye_mid_8', 'I shall see you again, I imagine.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '124', 'bye_mid_9', 'Ta ta for now!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '125', 'bye_mid_10', 'I suppose I wish you farewell. Wherever it is you\'re going.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '126', 'bye_mid_11', 'I see you have somewhere to be...?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '127', 'bye_mid_12', 'I see you are expected elsewhere. Farewell.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '128', 'bye_mid_13', 'Have you a prior engagement? Very well, depart then.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '129', 'bye_mid_14', 'No doubt others have placed demands on your time. I will take my leave, then.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '130', 'bye_mid_15', 'Ah, you must depart? Well, we can chat on some other occasion.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '131', 'bye_mid_16', 'Yes, yes, of course. I have things to do as well. Goodbye.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '132', 'bye_mean_1', 'I hope not to see your face again.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '133', 'bye_mean_2', 'Good riddance to bad rubbish, I always say.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '134', 'bye_mean_3', 'Your sort is simply not welcome, I fear. Goodbye!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '135', 'bye_mean_4', 'Farewell, and do not bother returning.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '136', 'bye_mean_5', 'Remove yourself from here, then. We\'ll all be the better for it.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '137', 'bye_mean_6', 'If we meet again, it will be to your infinite regret.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '138', 'bye_mean_7', 'I bid you farewell, maggot.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '139', 'bye_mean_8', 'Your presence offended me. I am glad it is being removed.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '140', 'bye_mean_9', 'It is a relief to see you gone.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '141', 'bye_mean_10', 'Goodness, finally you depart.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '142', 'bye_mean_11', 'You overstayed your welcome, so I am glad to see you go.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '143', 'bye_mean_12', 'You overstayed your welcome a bit, eh?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '144', 'bye_mean_13', 'I pray that you not return.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '145', 'bye_mean_14', 'I hope that you don\'t meet with some untimely demise before we meet again.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '146', 'bye_mean_15', 'I was about to suggest you depart, but you have saved me the trouble.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '147', 'bye_mean_16', 'I do believe that the air has cleared up, now that we\'re free of that... malodorous entity.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '148', 'threat_1', 'Withdraw. Now.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '149', 'threat_2', 'I confess, I dislike your sort.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '150', 'threat_3', 'You had best depart.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '151', 'threat_4', 'This is a place of great peril for you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '152', 'threat_5', 'The best thing for you to do is to move away quietly.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '153', 'threat_6', 'Move away, or I may do something you will regret.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '154', 'threat_7', 'Very well, then. To arms!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '155', 'threat_8', 'Are you feeling exceptionally lucky today, that you must challenge me?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '156', 'threat_9', 'I fear I must insist that you not come any closer.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '157', 'threat_10', 'I have quite a collection of trophies from vanquished enemies...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '158', 'threat_11', 'Are you seeking trouble?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '159', 'threat_12', 'Come closer, and I may be tempted to take violent action.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '160', 'threat_13', 'I pray, give me an excuse to slay you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '161', 'threat_14', 'Really, your corpse shall be quite messy once eviscerated.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '162', 'threat_15', 'Many have praised my combat skills, I\'ll have you know.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '163', 'threat_16', 'You, sir, appear to be an excellent candidate for target practice.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '164', 'death_1', 'I confess, THAT damaged me a great deal.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '165', 'death_2', 'My sensors are darkening... hold me...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '166', 'death_3', 'FATAL:: dumping core.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '167', 'death_4', 'I do believe th@t 1 @m 0(*^0*6*&598-%46.... *');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '168', 'death_5', 'My life is being cut far too short...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '169', 'death_6', 'If I had a mother, I would cry out to her now...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '170', 'death_7', 'Am I...? Oh... oh dear.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '171', 'death_8', 'Primary power core overheating. Commencing immediate shutdown.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '172', 'death_9', 'You shall never be rid of me... I shall linger in your memory forever.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '173', 'death_10', 'O, I am dismantled.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '174', 'death_11', 'NOOOooo...!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '175', 'death_12', 'I am done for, I believe.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '176', 'death_13', 'I always imagined I would have more time in this world...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '177', 'death_14', 'You\'ll live to regret snuffing out such a datacore as mine...!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '178', 'death_15', 'Buzz. Click. Whirr.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '179', 'death_16', 'I curse you...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '180', 'gloat_1', 'Really, that was too easy.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '181', 'gloat_2', 'A good fight indeed, sir.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '182', 'gloat_3', 'I admit, the battle was closer than I like.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '183', 'gloat_4', 'So much for that little distraction.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '184', 'gloat_5', 'You were a worthy opponent, sir.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '185', 'gloat_6', 'And so you learn the reward of challenging me!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '186', 'gloat_7', 'I suppose someone shall have to clean up this little... disturbance.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '187', 'gloat_8', 'Really, quite a pathetic showing.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '188', 'gloat_9', 'I suggest that the next time, you come better prepared, sir.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '189', 'gloat_10', 'My apologies, sir. Death can be so inconvenient.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '190', 'gloat_11', 'Really, killing is so distressing.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '191', 'gloat_12', 'Aha!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '192', 'gloat_13', 'Such a nuisance.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '193', 'gloat_14', 'And good riddance to you, sir!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '194', 'gloat_15', 'Poor, pathetic fool.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '195', 'gloat_16', 'And another enemy meets a just reward...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '196', 'hit_1', 'Ow. I think I am dented.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '197', 'hit_2', 'Merely a scratch.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '198', 'hit_3', 'It will take more than that paltry hit to bring me down!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '199', 'hit_4', '*FZZT!* FATAL:: failed to find specified string \"i_was_hit[27]\" because the value was not in range.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '200', 'hit_5', 'My pain receptors are overloading...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '201', 'hit_6', 'Now you\'re merely angering me.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '202', 'hit_7', 'Well done! A palpable hit. But I am still here!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '203', 'hit_8', 'If that is the best you can do, you need further training.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '204', 'hit_9', 'Nicely done. But can you do it again?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '205', 'hit_10', 'Bzzzzt.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '206', 'hit_11', 'I admit, this could end badly...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '207', 'hit_12', 'Now is when I retract all I have said against repair droids, despite their superior attitudes.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '208', 'hit_13', 'Oh dear. That might need to be buffed out.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '209', 'hit_14', 'You barely scratched me, maggot.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '210', 'hit_15', 'Well, this is an unappealing happenstance.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '211', 'hit_16', 'A touch, I do confess it.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '212', 'attacked_1', 'I suggest you flee. Or die. Your choices really are quite limited.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '213', 'attacked_2', 'You are hardly the most daunting opponent I have faced.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '214', 'attacked_3', 'Fights are SO inconvenient. Next time, I shall decline the invitation.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '215', 'attacked_4', 'I do hope that you had not made plans for your dotage.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '216', 'attacked_5', 'I suppose that a quiet death is bed is a quaint idea these days.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '217', 'attacked_6', 'When you die, I shall treasure the memory of the moment as a high point in my life.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '218', 'attacked_7', 'I do believe that your ancestors await you eagerly in the afterlife.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '219', 'attacked_8', 'I shall be merciful. I make short work of my enemies.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '220', 'attacked_9', 'I tremble in my boots at the sight of you... not.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '221', 'attacked_10', 'Must we fight? It\'s so... common.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '222', 'attacked_11', 'It is a good day to die, I suppose.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '223', 'attacked_12', 'I imagine that if you began to flee now, I might feel disinclined to catch you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '224', 'attacked_13', 'Ah, I may appear helpless, but I have unsuspected depths.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '225', 'attacked_14', 'Really, blood is SO messy. Must I kill you?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '226', 'attacked_16', 'I do hope that all the arrangements have been made for a tidy funeral?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '227', 'help_1', 'Remember me in my time of peril! Help!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '228', 'help_2', 'I would not object to some help over here.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '229', 'help_3', 'Oh drat. Help! Help!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '230', 'help_4', 'Goodness! Help!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '231', 'help_5', 'If it\'s not too much trouble... HELP!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '232', 'help_6', 'It pains me to admit it, but I may need help.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '233', 'help_7', 'I am forced to admit that I may not be able to hadle this situation alone.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '234', 'help_8', 'To me, my friends! To me!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '235', 'help_9', 'To blazes with dignity. HELLLP! HEEEELLLLP!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '236', 'help_10', 'Might someone be able to assist me here?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '237', 'help_11', 'I do believe I might require assistance here.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '238', 'help_12', 'Oh dear.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '239', 'help_13', 'A rapid response to my cries of help would be most appreciated.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '240', 'help_14', 'I am in need of help! Hurry!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '241', 'help_15', 'I need assistance, quickly!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '242', 'help_16', 'Quickly, I am in need of succour!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '243', 'ally_1', 'Move away from my worthy friend here, or suffer the consequences.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '244', 'ally_2', 'You shall not lay a finger on my friends!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '245', 'ally_3', 'I advise you to withdraw immediately.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '246', 'ally_4', 'Well now, really! Withdraw!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '247', 'ally_5', 'Now, just a moment there! What the blazes are you doing?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '248', 'ally_6', 'If you dare to engage in violence, surely you dare to challenge me instead?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '249', 'ally_7', 'I do believe you should select a more fitting opponent. Such as myself.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '250', 'ally_8', 'Are you in need of any assistance, my friend?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '251', 'ally_9', 'It appears that you could use my assistance.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '252', 'ally_10', 'I see that I must stoop to violence now...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '253', 'ally_11', 'My goodness! Are you alright?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '254', 'ally_12', 'Kindly leave my friends alone.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '255', 'ally_13', 'Really, I do believe that a maggot such as yourself ought not to touch my friends.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '256', 'ally_14', 'Well, now. Really, it\'s just not done.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '257', 'ally_15', 'My friend, allow me to take care of this miscreant.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '258', 'ally_16', 'Allow me to intercede... merely to even the odds somewhat.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '259', 'hit_target_1', 'I am impressed by your capacity to absorb punishment.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '260', 'hit_target_2', 'Aha!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '261', 'hit_target_3', 'That, I believe, was a palpable hit.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '262', 'hit_target_4', 'Wounds do sting so, eh?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '263', 'hit_target_5', 'Aha! I do believe I got you!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '264', 'hit_target_6', 'I shall endeavor to make this quick. If you\'d just stand still...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '265', 'hit_target_7', 'Goodness, that does appear to have hurt. My apologies.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '266', 'hit_target_8', 'Only a cowardly poltroon would fail to stand toe to toe with an honorable foe such as I!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '267', 'hit_target_9', 'A touch! Confess it!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '268', 'hit_target_10', 'I fear your fate is inevitable, sir.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '269', 'hit_target_11', 'Now, now, no sense trying to escape.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '270', 'hit_target_12', 'It\'s regrettable how... coarse violence is. Do you agree?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '271', 'hit_target_13', 'Ah, my turn now.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '272', 'hit_target_14', 'You had best beat a retreat while you still can.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '273', 'hit_target_15', 'Oh dear, did I hurt you? Unavoidable given the circumstances, I fear.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_prissy.stf', '274', 'hit_target_16', 'Surrender now, and I might permit you to live.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '1', 'alert_1', 'I always knew I was doomed to die...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '2', 'alert_2', 'If you\'ve come to kill me, take pity on a poor droid.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '3', 'alert_3', 'Ever since I got this master, I\'ve gone from one scrape to the next...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '4', 'alert_4', 'Not to worry anyone, but it\'s time to start worrying.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '5', 'alert_5', 'Something\'s wrong. As usual.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '6', 'flee_1', 'My advice is... run.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '7', 'flee_2', 'I\'d ask for help, but nobody ever pays attention to me.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '8', 'flee_3', 'Look! Is that a Jedi over there! (Heh, now let\'s run).');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '9', 'flee_4', 'Everyone out of my way! Droid coming through!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '10', 'flee_5', 'Run for your lives, unless you don\'t care if you lose them!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '11', 'calm_1', 'Whew.  Ok, it\'s over.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '12', 'calm_2', 'Ok, calm down.  It\'s alright.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '13', 'calm_3', 'Thank goodness that\'s over. Droids are fragile, you know.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '14', 'calm_4', 'Ok, I can settle down now. I\'ll live to rust another day, it seems.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '15', 'calm_5', 'Relax. Relax. Doesn\'t look like anything is going to rip my circuits one by one from my chassis, stripping wires and frying delicate chips and... oh dear.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '16', 'alert_6', 'I\'ve got a bad feeling about this...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '17', 'alert_7', 'I think I\'m doomed.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '18', 'alert_8', 'Hang on... what was that?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '19', 'alert_9', 'Hmm?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '20', 'alert_10', 'I hear imminent doom appraching.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '21', 'alert_11', 'Hark? Was that the sound of something come to dismantle me?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '22', 'alert_12', 'Uh oh... I think I hear danger coming.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '23', 'alert_13', 'Now what...? As usual, danger\'s come to find me.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '24', 'alert_14', 'Uh oh!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '25', 'alert_15', 'Now what...?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '26', 'alert_16', 'What was that?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '28', 'calm_6', 'I guess there\'s no danger. Except there\'s ALWAYS danger to the droid.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '29', 'calm_7', 'No need to worry... Unless you\'re me, in which case you should be terrified. The universe is out to get me, after all.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '30', 'calm_8', 'Hmph.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '31', 'calm_9', 'Alright then. I\'ll relax, but if the universe reaches out and GETS me, I\'ll know who to blame.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '32', 'calm_10', 'Astoundingly, I wasn\'t disassembled or destroyed this time.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '33', 'calm_11', 'Even though we came through that okay, I\'m still sure that I will perish horribly someday very soon.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '34', 'calm_12', 'Whew! Another day, and I\'m still assembled.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '35', 'calm_13', 'So much for that... I really must learn not to assume the worst. Unless it really IS the worst.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '36', 'calm_14', 'So much for that!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '37', 'calm_15', 'Ho-hum. Even my premonitions of fear are underwhelming.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '39', 'calm_16', 'Looks like the danger has passed. For now.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '40', 'flee_6', 'Why does my master always get us into these scrapes?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '41', 'flee_7', 'Let\'s get out of here! Better part of valor, and all that.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '42', 'flee_8', 'No offense, but I\'m outta here.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '43', 'flee_9', 'I call for an orderly retreat. At top speed. While panicking.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '44', 'flee_10', 'Helllp!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '45', 'flee_11', 'Time for this droid to get out of here...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '46', 'flee_12', 'Got to get out of here...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '47', 'flee_13', 'Time to get out of here...!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '48', 'flee_14', 'Time to run!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '49', 'flee_15', 'I don\'t particularly want to get deactivated...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '50', 'flee_16', 'My master ALWAYS gets me into these situations...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '51', 'hi_nice_1', 'You\'re not here to see me, I assume. Nobody ever wants to talk to me.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '52', 'hi_nice_2', 'It\'s wonderful to see you. Maybe you\'ll just loosen this restraining bolt here... no? Oh well.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '53', 'hi_nice_3', 'It\'s an honor to see you here.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '54', 'hi_nice_4', 'A pleasure and an honor to greet you. Not that you\'re here to see me.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '55', 'hi_nice_5', 'It\'s good to see you. You don\'t care if you see ME, of course. I\'m just a lonely droid...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '56', 'hi_nice_6', 'I\'m just a droid, and nobody cares what I think. But I think it\'s nice to see you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '57', 'hi_nice_7', 'Well, it\'s nice to meet you before I rust away.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '58', 'hi_nice_8', 'I\'m sure I\'ll crumble into a heap of scrap metal soon, but I\'m glad I got to meet you before that happens.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '59', 'hi_nice_9', 'Soon, I\'ll be nothing but scrap metal. Nice to meet you, though.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '60', 'hi_nice_10', 'I\'m sure it\'s great to see you. Sorry if I sound depressed. I\'m always depressed.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '61', 'hi_nice_11', 'It\'s a (fleeting) pleasure to see you. Then I sink back into despondency.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '62', 'hi_nice_12', 'Welcome.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '63', 'hi_nice_13', 'Hello, friend of my master.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '64', 'hi_nice_14', 'It\'s a pleasure to see you here. You\'ll ignore me, of course. But I can\'t help it, I\'m programmed to like you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '65', 'hi_nice_15', 'I\'m programmed to like you. Do you know how tyrannical that feels?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '66', 'hi_nice_16', 'Can I help you?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '67', 'hi_mid_1', 'Hello.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '68', 'hi_mid_2', 'Might I help you?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '69', 'hi_mid_3', 'Greetings. If you\'ll take them from a droid like me, that is.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '70', 'hi_mid_4', 'Salutations! Fancy word, isn\'t it?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '71', 'hi_mid_5', 'Yes?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '72', 'hi_mid_6', 'Greetings.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '73', 'hi_mid_7', 'Ah. Ehem. Yes?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '74', 'hi_mid_8', 'You looking for something or someone?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '75', 'hi_mid_9', 'You looking for something or someone? Not me, I assume.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '76', 'hi_mid_10', 'You want something, right? Everyone always wants something from me.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '77', 'hi_mid_11', 'Hello.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '78', 'hi_mid_12', 'Yes?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '79', 'hi_mid_13', 'Hm? Ah, of course. Another person come to ask something of me. Well, I have needs too, you know.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '80', 'hi_mid_14', 'Yes?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '82', 'hi_mid_15', 'Can I help you? I\'m supposed to say that, since I am a droid. I don\'t really WANT to help you, but i am programmed to, so I have to. Not to makeyou feel guilty or anything.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '83', 'hi_mid_16', 'Can I help you?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '84', 'hi_mean_1', 'What exactly do YOU want?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '85', 'hi_mean_2', 'Well, now, look who\'s bothering to say hello to a mere droid.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '86', 'hi_mean_3', 'Look, a pest!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '87', 'hi_mean_4', 'Imagine me saying some incredibly sarcastic greeting to you now.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '88', 'hi_mean_5', 'Well, that has quite spolied my day. What do you want?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '89', 'hi_mean_6', 'Oh, it\'s YOU.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '90', 'hi_mean_7', 'You skulk about very well. Did you go to skulking school?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '91', 'hi_mean_8', 'I can feel myself rusting when you\'re here.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '92', 'hi_mean_9', 'If I can\'t get handouts from my master, what makes you think you\'ll get one from me?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '93', 'hi_mean_10', 'Don\'t make angry. I have a sharp tongue.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '94', 'hi_mean_11', 'Remove yourself. (See how dismissively I say that?)');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '95', 'hi_mean_12', 'Get away, maggot. Maggot. Isn\'t that such a good word?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '96', 'hi_mean_13', 'A scoundrel has come by to say hello. How refreshing.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '97', 'hi_mean_14', 'An unwelcome visitor! How nice.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '98', 'hi_mean_15', 'Kindly remove yourself from my presence.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '99', 'hi_mean_16', 'You\'re not welcome in my company. Nor do you deserve it.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '100', 'bye_nice_1', 'Goodbye.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '101', 'bye_nice_2', 'Goodbye!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '102', 'bye_nice_3', 'Bye!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '103', 'bye_nice_4', 'See you around.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '104', 'bye_nice_5', 'See you later.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '105', 'bye_nice_6', 'I\'ll catch you later.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '106', 'bye_nice_7', 'It was really nice to see you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '107', 'bye_nice_8', 'It was great to see you!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '108', 'bye_nice_9', 'I hope I\'ll see you again before I rust away to nothing.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '109', 'bye_nice_10', 'Stop by again sometime! My droid brain enjoys stimulating conversation. Or even just the presence of any living being. Some non-living ones too.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '110', 'bye_nice_11', 'Sorry you have to go... Instead, I\'m stuck here with the knuckleheads.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '111', 'bye_nice_12', 'Leaving? Too bad. I\'ll see you around.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '112', 'bye_nice_13', 'Always nice to see you. Come back soon! Bring some more droids with you so we can hang out.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '113', 'bye_nice_14', 'Glad to see you, sorry to see you go.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '114', 'bye_nice_15', 'I hate to see you go... whenever I get left alone bad things happen.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '115', 'bye_nice_16', 'I wish you didn\'t have to leave. You\'re much more entertaining than listening to my circuits hum.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '116', 'bye_mid_1', 'Goodbye.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '117', 'bye_mid_2', 'Goodbye! Farewell! Have a nice trip or day. Or whatever.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '118', 'bye_mid_3', 'See you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '119', 'bye_mid_4', 'I\'m sure I\'ll see you again. Knowing how droids get treated though, you may just avoid me.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '120', 'bye_mid_5', 'So, you have to go? Any chance you could take me with you? No? Oh well.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '121', 'bye_mid_6', 'Farewell.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '122', 'bye_mid_7', 'Goodbye, goodbye.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '123', 'bye_mid_8', 'Bye, see you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '124', 'bye_mid_9', 'Bye!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '125', 'bye_mid_10', 'Later, then.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '126', 'bye_mid_11', 'Oh, you\'re leaving? Nobody ever wants to stay with droids.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '127', 'bye_mid_12', 'Expected somewhere? See you later.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '128', 'bye_mid_13', 'Got somewhere to be? Sure, go spend time away from the droid.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '129', 'bye_mid_14', 'Places to go, people to see? Bye!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '130', 'bye_mid_15', 'You\'re leaving? Well, I\'m sure we\'ll catch up again sometime.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '131', 'bye_mid_16', 'OK, I have to go too. Well, no, not really. But anyway, bye!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '132', 'bye_mean_1', 'Get lost and stay lost.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '133', 'bye_mean_2', 'Goodbye and good riddance.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '134', 'bye_mean_3', 'Your kind\'s not welcome around here. (I always wanted to use that line!)');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '135', 'bye_mean_4', 'Goodbye! And don\'t come back!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '136', 'bye_mean_5', 'Bye, and don\'t let the door hit you on the way out.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '137', 'bye_mean_6', 'If I see you around later, you\'ll regret it.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '138', 'bye_mean_7', 'Goodbye, scum.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '139', 'bye_mean_8', 'Get lost.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '140', 'bye_mean_9', 'Glad to see YOUR back.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '141', 'bye_mean_10', 'Finally, you\'re leaving.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '142', 'bye_mean_11', 'About time you slunk out of here.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '143', 'bye_mean_12', 'About time you left!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '144', 'bye_mean_13', 'Don\'t come back.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '145', 'bye_mean_14', 'Here\'s hoping you have a nasty accident.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '146', 'bye_mean_15', 'If you hadn\'t left, I\'d probably make you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '147', 'bye_mean_16', 'Well, now that the smell\'s gone...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '148', 'threat_1', 'You should get out of here before you\'re bowled over by my amazing wit.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '149', 'threat_2', 'I don\'t like your kind around here. Around me. Whatever. That didn\'t sound very threatening, did it?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '150', 'threat_3', 'You should probably leave.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '151', 'threat_4', 'This place is very dangerous. To you, that is.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '152', 'threat_5', 'The best thing you could do is move away very quietly. Well, I guess the quiet is optional. You could whistle or hum or something if you want.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '153', 'threat_6', 'Move away, or I might have to do something I\'m sure I\'ll regret.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '154', 'threat_7', 'Look, I\'m arming myself. Activating all kinds of deadly droid weapons. Really.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '155', 'threat_8', 'You must be feeling really lucky, to come challenge me, the truly deadly battle droid. I\'m vicious, I tell you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '156', 'threat_9', 'Please, don\'t come any closer. I might have to hit you or something.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '157', 'threat_10', 'I\'d boast about my vast collection of trophies from vanquished enemies, but I don\'t actully have one. You should leave anyway.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '158', 'threat_11', 'I\'m thinking that you\'re looking for trouble. I\'m not trouble, I\'m just his cousin.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '159', 'threat_12', 'If you come closer, I might have to take violent action. I really don\'t want to, though, because I might get hurt.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '160', 'threat_13', 'If you give me an excuse, I\'ll kill you. If you\'re having trouble thinking of excuses, I can suggest some.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '161', 'threat_14', 'I will NOT clean up the mess your corpse leaves behind.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '162', 'threat_15', 'Many have praised my combat skills... well, no, not really. But I\'ll fight if I have to.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '163', 'threat_16', 'I hate to say this, but I\'m programmed to kill you if you come any closer. Believe me, it\'s not my choice. I\'m just coded that way.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '164', 'death_1', 'Figures that it would be the droid that gets it.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '165', 'death_2', 'Oooo, colors.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '166', 'death_3', 'Must I die?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '167', 'death_4', 'Master, save me!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '168', 'death_5', 'I\'m too newly assembled to die. Master, save me!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '169', 'death_6', 'I apologize for all the mean things I\'ve ever said about my master... just save me now...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '170', 'death_7', 'Must... not... awww.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '171', 'death_8', 'Sure, you kill me now, but I shall return more powerful than you can imag... agh.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '172', 'death_9', 'Take pity on a poor droid...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '173', 'death_10', 'FATAL:: failure in static procedure \"smart_remark.cpp.\" This is a highly abnormal failure for this droid.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '174', 'death_11', 'Not again... back to the recycling bin.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '175', 'death_12', 'I\'m done for. Master, this is all your fault.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '176', 'death_13', 'I guess this is all the time I get. Not even a full normal lifespan. Well, phooey.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '177', 'death_14', 'You\'ll regret dismantling such a fine piece of machinery as myself!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '178', 'death_15', 'I think I\'m supposed to say \"aggg\" and keel over now.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '179', 'death_16', 'I really would rather not... urk.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '180', 'gloat_1', 'Wow, that was almost as easy as killing ME.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '181', 'gloat_2', 'I guess that was a good fight. I walked away from it.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '182', 'gloat_3', 'Well, that was too close for comfort. ANYTHING is too close for comfort.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '183', 'gloat_4', 'Just think, someday am opponent like this will make me cease functioning. What a tragedy.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '184', 'gloat_5', 'A worthy opponent for a pathetic droid like me.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '185', 'gloat_6', 'Well, they thought they could take me on. Hah.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '186', 'gloat_7', 'Now, I assume I\'ll have to clean up the mess?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '187', 'gloat_8', 'That was pathetic. I mean, I\'M pathetic, so you were even worse.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '188', 'gloat_9', 'Next time, bring lots of friends. Don\'t use them to kill me, mind you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '189', 'gloat_10', 'Sorry about that. Didn\'t mean to be fatal.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '190', 'gloat_11', 'Really, master, should a droid be killing people? Is it really proper?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '191', 'gloat_12', 'So, if a droid kills people, the master gets blamed, not the droid, right?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '192', 'gloat_13', 'Ha! Who would have thought that I would win? Not I!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '193', 'gloat_14', 'Anyone who\'s trying to disassemble me deserves what they get.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '194', 'gloat_15', 'Never underestimate the power of a sarcastic droid.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '195', 'gloat_16', 'Another one down, just like I\'ll be someday... Sigh.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '196', 'hit_1', 'Ow.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '197', 'hit_2', 'Now, would you look at those scratches?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '198', 'hit_3', 'It\'ll take more than that to bring me down. Not MUCH more, I admit...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '199', 'hit_4', 'If I close my eyes maybe this will all go away...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '200', 'hit_5', 'Ouch.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '201', 'hit_6', 'Now I\'m getting mad. Well, as mad as a droid can get.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '202', 'hit_7', 'I\'m still standing! Amazing!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '203', 'hit_8', 'Ha, your deactivation attempt failed!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '204', 'hit_9', 'OK, so you hit me that time. Can you do it again? Wait, wait--no need to try to prove it. Really.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '205', 'hit_10', 'Why me?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '206', 'hit_11', 'This could end badly. Just as I predicted.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '207', 'hit_12', 'I could use a repair droid around now.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '208', 'hit_13', 'Oh boy, that hurts. Not that anyone cares if a droid feels pain.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '209', 'hit_14', 'Look at that, scratches on my finish.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '210', 'hit_15', 'Hmm, that\'s a big dent.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '211', 'hit_16', 'A touch, I do confess it. A veritable ouchie.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '212', 'attacked_1', 'I\'d threaten you, but I\'m actually scared, so I\'ll skip that part.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '213', 'attacked_2', 'Tougher enemies than you have tried to kill me. Usually, they couldn\'t catch me though.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '214', 'attacked_3', 'Next time I\'m invited to a fight, I\'m planning on being busy.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '215', 'attacked_4', 'I hope you weren\'t looking forward to old age. I was.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '216', 'attacked_5', 'Well, I guess dying in bed is boring anyway. I was still looking forward to it though!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '217', 'attacked_6', 'When you die, I will treasure your possessions always. Assuming my stingy master lets me keep anything.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '218', 'attacked_7', 'I wonder if there is an afertlife for droids. Probably not, just my luck.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '219', 'attacked_8', 'Better run. I make short work of my enemies, unless they deactivate me quickly.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '220', 'attacked_9', 'Oooh, I\'m so scared. No, really. Resigned, too.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '221', 'attacked_10', 'Do we have to fight? No, really. Do we have to?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '222', 'attacked_11', 'I guess it\'s a good day to die. As good as any other miserable, rotten day.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '223', 'attacked_12', 'If you start running now, at top speed, you might get away. I mention this because I\'ve been thinking of doing it myself.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '224', 'attacked_13', 'So, you want to pick on helpless old me, eh? Figures.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '225', 'attacked_14', 'Be careful, or I\'ll injure you badly beating my helpless body against your weapon.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '226', 'attacked_16', 'I do wish I had left all my affairs in order.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '227', 'help_1', 'Help!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '228', 'help_2', 'I could use some help over here...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '229', 'help_3', 'Help me!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '230', 'help_4', 'Helllp!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '231', 'help_5', 'Not to bother anyone, but... HELP!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '232', 'help_6', 'I could use some help! If you care to give it, of course!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '233', 'help_7', 'Not to bother any self-absorbed flesh and blood types or anything, but... HELP!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '234', 'help_8', 'To me! (Isn\'t that what they say in the military?)');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '235', 'help_9', 'Help! Help!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '236', 'help_10', 'Can anyone help me?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '237', 'help_11', 'Hate to bother anyone, but this droid here needs help...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '238', 'help_12', 'Unless you want to lose a valuable possession, HELP ME.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '239', 'help_13', 'Over here! Master? Anyone? Please?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '240', 'help_14', 'Hurry, or I\'ll get dented. You know how hard it is to get dents out...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '241', 'help_15', 'Hurry! You don\'t want scuffs and scratches on your valuable property...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '242', 'help_16', 'Not to bother anyone, but I think I need help.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '243', 'ally_1', 'I\'ll probably die for saying it, but... get away from my friend!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '244', 'ally_2', 'Don\'t lay a finger, tentacle, pseudopod, or other tactile appendage on my friends...!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '245', 'ally_3', 'Why, you...!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '246', 'ally_4', 'Hey now! Back off! You don\'t want me to step in!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '247', 'ally_5', 'Now look, you\'ve made me have to jump in, which ill likely result in damage to my chassis.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '248', 'ally_6', 'I\'d urge you pick on me instead, but that might incur damage to my motivators. Would you care to run away instead?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '249', 'ally_7', 'Why do I always have to be the one to put myself at risk?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '250', 'ally_8', 'I suppose you\'re going to tell me you need help now. Sigh.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '251', 'ally_9', 'That\'s right, call on the droid. Watch him get mangled.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '252', 'ally_10', 'Well, well. Guess it\'s time for me to step in here. Everyone always needs the droid\'s help.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '253', 'ally_11', 'Hey now! You OK? Need a droid helper?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '254', 'ally_12', 'Hey now! Leave my (admittedly not the smartest) friend alone!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '255', 'ally_13', 'I don\'t care who you are, you don\'t touch my friends. Even if they are annoying.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '256', 'ally_14', 'Hey now!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '257', 'ally_15', 'You OK, friend? Let a REAL droid take care of this...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '258', 'ally_16', 'Let me even the odds a little... OK, not really, I\'m not that useful in a fight. But I always wanted to say that.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '259', 'hit_target_1', 'Well, you seem to be stturdier than I am!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '260', 'hit_target_2', 'Aha!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '261', 'hit_target_3', 'I think I got you. Right? Right? Got you right there, I can tell. Admit it. Huh? I got you!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '262', 'hit_target_4', 'Does that hurt?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '263', 'hit_target_5', 'You know, instead of fighting me, you could be fighting my master.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '264', 'hit_target_6', 'I\'ll try to kill you quick, if you stand still.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '265', 'hit_target_7', 'I don\'t believe in unnecesary pain. Especially not my own.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '266', 'hit_target_8', 'If you ran away, I\'d have to call you a coward. Which would be unusual, I usually call myself that.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '267', 'hit_target_9', 'I can\'t believe it. I hit you. Amazing.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '268', 'hit_target_10', 'You\'re probably going to be deactivated, you know.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '269', 'hit_target_11', 'No sense trying to escape--ours is a futile struggle against the careless whims of fate.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '270', 'hit_target_12', 'Violence is so coarse. I\'m much rather have peaceful oil baths. How about you?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '271', 'hit_target_13', 'There, I hit you. Now, run away. Shoo.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '272', 'hit_target_14', 'You should flee while you can. I know I would.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '273', 'hit_target_15', 'Did I hurt you? Sorry. I\'m not much of one for inflicting pain, really.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_sarcastic.stf', '274', 'hit_target_16', 'If you surrender now, then we could stop fighting. Think how nice that would be.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '1', 'alert_1', 'Now hold on there...!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '2', 'alert_2', 'What wuz that?!?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '3', 'alert_3', 'Didja hear summat?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '4', 'alert_4', 'Wuzzat smell?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '5', 'alert_5', 'Summat\'s wrong...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '6', 'flee_1', 'Oh, by th\' stars! Run!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '7', 'flee_2', 'Help!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '8', 'flee_3', 'Look out, boys!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '9', 'flee_4', 'Get outta the way! Run!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '10', 'flee_5', 'Run fer yer lives!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '11', 'calm_1', 'Whew. Okey, that\'s done with.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '12', 'calm_2', 'Okeydokey, calmin\' down. \'S alright.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '13', 'calm_3', 'I\'m thankin\' goodness THAT\'s over.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '14', 'calm_4', 'Time ter settle down a bit. Whew,');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '15', 'calm_5', 'Time ter go to my happy place.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '16', 'alert_6', 'I\'m gettin\' a bad feelin\' about now...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '17', 'alert_7', 'I gots a bad feelin\' about this...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '18', 'alert_8', 'Hang on a bit... what wuzzat?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '19', 'alert_9', 'Hurm?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '20', 'alert_10', 'Eh now?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '21', 'alert_11', 'What the...?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '22', 'alert_12', 'Uh oh...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '23', 'alert_13', 'Now wha...?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '24', 'alert_14', 'Oh golly!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '25', 'alert_15', 'Wha...?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '26', 'alert_16', 'Now, what\'m I hearin\'...?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '28', 'calm_6', 'I\'m guessin\' there\'s no worries.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '29', 'calm_7', 'No worries, mate!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '30', 'calm_8', 'Hmph.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '31', 'calm_9', 'Okeydokey then...!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '32', 'calm_10', 'Welp, that\'s over.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '33', 'calm_11', 'Welp, that\'s that I guess.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '34', 'calm_12', 'Golly.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '35', 'calm_13', 'So much fer that...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '36', 'calm_14', 'Well, so much fer that!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '37', 'calm_15', 'Ho-hum \'n\' all that.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '39', 'calm_16', 'Lookin\' like the danger\'s gone.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '40', 'flee_6', 'Run away!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '41', 'flee_7', 'Let\'s get outta here!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '42', 'flee_8', 'Uh, run for it!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '43', 'flee_9', 'Time to get outta here!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '44', 'flee_10', 'Hellllp!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '45', 'flee_11', 'Ack no!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '46', 'flee_12', 'Gotta get outta here!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '47', 'flee_13', 'Time ter get outta hereabouts!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '48', 'flee_14', 'Time ter run!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '49', 'flee_15', 'I don\' wanna get diassembled!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '50', 'flee_16', 'Why\'m I always in the soup?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '51', 'hi_nice_1', '\'S great to see ya again, buddy!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '52', 'hi_nice_2', '\'S wunnerful to see yer again!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '53', 'hi_nice_3', 'Hullo there!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '54', 'hi_nice_4', '\'S great to see yer!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '55', 'hi_nice_5', 'Good t\'see ya!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '56', 'hi_nice_6', 'Well, hullo!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '57', 'hi_nice_7', '\'S nice to see yer!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '58', 'hi_nice_8', 'Well, yer a sight for my sore eyes!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '59', 'hi_nice_9', 'Greetin\'s, mate!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '60', 'hi_nice_10', 'Hey there, buddy!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '61', 'hi_nice_11', 'Hullo! Right nice to see ya!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '62', 'hi_nice_12', 'Welcome!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '63', 'hi_nice_13', 'Hi there, buddy!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '64', 'hi_nice_14', 'Sure happy to see ya!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '65', 'hi_nice_15', 'Well, now, looky here! ');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '66', 'hi_nice_16', 'Hullo! Yer needin\' help?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '67', 'hi_mid_1', 'Hullo.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '68', 'hi_mid_2', 'Can I help ya?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '69', 'hi_mid_3', 'Hullo there.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '70', 'hi_mid_4', 'Greetin\'s.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '71', 'hi_mid_5', 'Yeh?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '72', 'hi_mid_6', 'Hullo.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '73', 'hi_mid_7', 'Mhhhmmm. Yeah?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '74', 'hi_mid_8', 'You lookin\' for summat?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '75', 'hi_mid_9', 'You lookin\' fer someone?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '76', 'hi_mid_10', 'Whatcha want?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '77', 'hi_mid_11', 'Heya.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '78', 'hi_mid_12', 'Yeah? What\'s up?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '79', 'hi_mid_13', 'Hmm.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '80', 'hi_mid_14', 'Hmm. Yeah?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '82', 'hi_mid_15', 'Oh yeah. Can I help ya?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '83', 'hi_mid_16', 'Eh?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '84', 'hi_mean_1', 'Whadda YOU want?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '85', 'hi_mean_2', 'Looky who\'s here.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '86', 'hi_mean_3', 'You smell bantha poodoo? Oh, must be my \"friend\" here.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '87', 'hi_mean_4', 'Be a waste o\' breath to say hullo to the likes of YOU.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '88', 'hi_mean_5', 'Ar now, what\'re YOU wantin\'?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '89', 'hi_mean_6', 'Oh, \'s YOU.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '90', 'hi_mean_7', 'What\'re you snoopin\' around for?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '91', 'hi_mean_8', 'Looky who it is. Lemme plug my ears.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '92', 'hi_mean_9', 'Oh brother. What\'re YOU wantin\'?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '93', 'hi_mean_10', 'Clear out. You don\' wanna see me really angry.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '94', 'hi_mean_11', 'Get on outta here.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '95', 'hi_mean_12', 'Get yer face outta my sight.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '96', 'hi_mean_13', 'Looky here, a maggot come to say hullo.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '97', 'hi_mean_14', 'Y\'ain\'t welcome \'round these parts, scum.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '98', 'hi_mean_15', 'Well, now, I been itchin\' for a fight lately...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '99', 'hi_mean_16', 'You like yer bones intact, ya better leave.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '100', 'bye_nice_1', 'Nice ta see ya! Bye now!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '101', 'bye_nice_2', 'Byebye!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '102', 'bye_nice_3', 'Be seein\' ya, buddy!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '103', 'bye_nice_4', 'I\'ll see ya \'round!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '104', 'bye_nice_5', 'Catch ya later, buddy!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '105', 'bye_nice_6', 'Goodbye, bud!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '106', 'bye_nice_7', 'Hey now, I\'ll see ya later!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '107', 'bye_nice_8', 'Aww, you gotta go?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '108', 'bye_nice_9', 'Well, I hate ter see ya go...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '109', 'bye_nice_10', 'Yer leavin? Aww...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '110', 'bye_nice_11', 'Goodbye! Sorry yer headin\' out.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '111', 'bye_nice_12', 'Will I ever see ya again?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '112', 'bye_nice_13', 'Sure hope to see ya again.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '113', 'bye_nice_14', 'Wuz an honor ter see ya. Honest.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '114', 'bye_nice_15', 'Really great to see ya, y\'know.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '115', 'bye_nice_16', 'Don\'t ferget me, OK?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '116', 'bye_mid_1', 'Bye.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '117', 'bye_mid_2', 'G\'bye.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '118', 'bye_mid_3', 'Bye-bye.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '119', 'bye_mid_4', 'See ya.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '120', 'bye_mid_5', 'Be seein\' ya.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '121', 'bye_mid_6', 'See ya \'round.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '122', 'bye_mid_7', 'Bye now.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '123', 'bye_mid_8', 'Well now. See ya later.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '124', 'bye_mid_9', 'See ya later.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '125', 'bye_mid_10', 'G\'bye now.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '126', 'bye_mid_11', 'Leavin\'? Bye.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '127', 'bye_mid_12', 'Headin\' out? Bye.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '128', 'bye_mid_13', 'Gotta go? Bye.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '129', 'bye_mid_14', 'Got a date? See ya later.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '130', 'bye_mid_15', 'Someone waitin\' on ya? See ya \'round then.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '131', 'bye_mid_16', 'In a rush, huh? Bye then.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '132', 'bye_mean_1', 'Get lost, bud.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '133', 'bye_mean_2', 'Good riddance, buster.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '134', 'bye_mean_3', 'Thass right, walk away, scumbag.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '135', 'bye_mean_4', 'Thass right, take a hike into a Sarlaac, scumbag.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '136', 'bye_mean_5', 'Bye bye, scumbag.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '137', 'bye_mean_6', 'Better leave, afore I delete ya..');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '138', 'bye_mean_7', 'Ya ain\'t welcome, so get outta here.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '139', 'bye_mean_8', 'Overstayed yer welcome, eh?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '140', 'bye_mean_9', 'No need to run, we can play some, if ya want, heh heh.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '141', 'bye_mean_10', 'Aww, leavin\' before a fight huh?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '142', 'bye_mean_11', 'Better not let me catch ya in a dark alley.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '143', 'bye_mean_12', 'Now that the stink\'s gone...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '144', 'bye_mean_13', 'Here\'s hopin\' ya don\'t come back!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '145', 'bye_mean_14', 'Next time ya come, bring friends. Love to beat ya ALL up.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '146', 'bye_mean_15', '\'Bout time ya got gone, buddy.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '147', 'bye_mean_16', 'Glad to have wasted th\' time o\'day on ya.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '148', 'threat_1', 'Take a hike.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '149', 'threat_2', 'I don\' like yer kind.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '150', 'threat_3', 'Ya better clear on outta here.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '151', 'threat_4', 'This is a dangerous place for the likes o\' you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '152', 'threat_5', 'If ya know what\'s good for ya, you\'ll scram on outta here.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '153', 'threat_6', 'Back off, buddy, or I\'ll do somethin\' yer gonna hate...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '154', 'threat_7', 'C\'mon then. Bring it on, buddy!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '155', 'threat_8', 'Ya feelin\' lucky? Hmm?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '156', 'threat_9', 'I\'m drawin\' a line in the sand here, and I\'m on this side, see, and yer on the other side, and... oh, never mind.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '157', 'threat_10', 'I\'m thinkin\' you\'d make a nice stuffed trophy.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '158', 'threat_11', 'Ya wanna taste o\' this?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '159', 'threat_12', 'Come closer, ya can have a droid beatcha up!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '160', 'threat_13', 'Gimme an excuse ta kill ya...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '161', 'threat_14', 'Yer guts are gonna get spilled on the ground here...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '162', 'threat_15', 'Yer better back off, I\'m the fastest droid in the system.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '163', 'threat_16', 'Goody, someone ta practice targets on.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '164', 'death_1', 'Welp, THAT hurt. Fatal, possibly. Yep.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '165', 'death_2', 'My sensors are fadin\'... I\'m seein\' a white tunnel...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '166', 'death_3', 'AGH! *fzzt*');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '167', 'death_4', 'Uggg... I\'m thinkin\' I\'m broke.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '168', 'death_5', 'I\'s too newly manufactured ta die.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '169', 'death_6', 'FATAL:: central core overheated. Memory core crashing.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '170', 'death_7', 'I... ain\'t... agh.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '171', 'death_8', 'I swear I\'ll haunt ya to yer grave...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '172', 'death_9', 'Yer never goin\' ta be rid o\' me...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '173', 'death_10', 'Urk.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '174', 'death_11', 'NOOOooooo....');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '175', 'death_12', 'I... I\'m done fer.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '176', 'death_13', 'I always thought I\'d have more time in this world...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '177', 'death_14', 'Yer gonna live ta regret this...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '178', 'death_15', 'FATAL:: dumping core.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '179', 'death_16', 'Curses, ya broke me!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '180', 'gloat_1', 'Well, that was easy, I\'m thinkin\'.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '181', 'gloat_2', 'Good fight. Yeah.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '182', 'gloat_3', 'Whew, that was a close \'un.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '183', 'gloat_4', 'So much fer that.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '184', 'gloat_5', 'Now, ya were a worthy opponent and all...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '185', 'gloat_6', 'Heh, yer thinkin\' ya can take ME on?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '186', 'gloat_7', 'Someone better mop this mess up.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '187', 'gloat_8', 'Well, that was sorta pathetic.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '188', 'gloat_9', 'Next time, bring lotsa friends.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '189', 'gloat_10', 'Sorry \'bout that.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '190', 'gloat_11', 'I hate havin\' ta kill folks...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '191', 'gloat_12', 'Hee hee.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '192', 'gloat_13', 'Whammo!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '193', 'gloat_14', 'Good riddance to ya.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '194', 'gloat_15', 'Ya poor dolt...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '195', 'gloat_16', 'An\' another one down...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '196', 'hit_1', 'Ow!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '197', 'hit_2', 'Jest a scratch.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '198', 'hit_3', 'You\'ll need more\'n that ta take me down!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '199', 'hit_4', 'Agh!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '200', 'hit_5', 'Ouch.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '201', 'hit_6', 'Gee, now yer makin\' me mad.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '202', 'hit_7', 'Nice try, buddy, but I\'m still here!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '203', 'hit_8', 'That the best ya can do?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '204', 'hit_9', 'Go on then, try an\' do that again!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '205', 'hit_10', 'Ungh!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '206', 'hit_11', 'Hurm, this could be gettin\' bad by and by.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '207', 'hit_12', 'Hey, is there a mechanic in the house?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '208', 'hit_13', 'Owie.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '209', 'hit_14', 'Yer barely scratchin\' me!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '210', 'hit_15', 'Not good, not good...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '211', 'hit_16', 'Why, you little...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '212', 'attacked_1', 'Flee, or yer gonna die...!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '213', 'attacked_2', 'Yer not the toughest to try to take me down, ya know.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '214', 'attacked_3', 'Another fight? Yeesh, next time I\'m invited ta one, I\'m skippin\'.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '215', 'attacked_4', 'Ya realize you\'ll miss out on old age, right?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '216', 'attacked_5', 'I allus thought I might get dismantled someday.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '217', 'attacked_6', 'Can\'t wait ta loot yer corpse!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '218', 'attacked_7', 'They got a table ready for ya in the afterlife, I hear.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '219', 'attacked_8', 'Ya better run. Killin\' don\'t take me long.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '220', 'attacked_9', 'Oohh, I\'m SOOOO scared. Heh.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '221', 'attacked_10', 'Do we have ta fight?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '222', 'attacked_11', '\'S a good day to die.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '223', 'attacked_12', 'If\'n ya start runnin\' now, ya might get away...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '224', 'attacked_13', 'Pickin\' on little ol\' me, huh?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '225', 'attacked_14', 'Aww, don\' make me kill ya!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '226', 'attacked_16', 'Here\'s hopin\' yer will is ready.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '227', 'help_1', 'Help!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '228', 'help_2', 'I\'m needin\' some help, anytime now...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '229', 'help_3', 'Help me!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '230', 'help_4', 'Hellllp!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '231', 'help_5', 'Don\' mean to bother ya, but... HELP!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '232', 'help_6', 'I could be usin\' some help here...!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '233', 'help_7', 'I can\'t handle it all by my lonesome...!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '234', 'help_8', 'Ta me! Help!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '235', 'help_9', 'Help? Please?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '236', 'help_10', 'Uh, can anyone help me?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '237', 'help_11', 'Hurry, I\'m needin\' help!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '238', 'help_12', 'Argh! Help!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '239', 'help_13', 'Quick now, over here!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '240', 'help_14', 'Over hereabouts, hurry up now!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '241', 'help_15', 'Hurry! Over hereabouts!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '242', 'help_16', 'I could be usin\' help here!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '243', 'ally_1', 'Get away from my friend there!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '244', 'ally_2', 'Ya don\' lay a finger on my friends!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '245', 'ally_3', 'Why you little...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '246', 'ally_4', 'Hey now! Back off!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '247', 'ally_5', 'Just a sec there! What\'re ya doin\'?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '248', 'ally_6', 'Coward, why dontcha pick on me instead?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '249', 'ally_7', 'Pick on a droid yer own size!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '250', 'ally_8', 'You needin\' help here, friend?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '251', 'ally_9', 'Yer lookin\' like you could use some help.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '252', 'ally_10', 'Welp, guess I should be steppin\' in here.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '253', 'ally_11', 'Hey! Yer OK?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '254', 'ally_12', 'Hey now! You should be leavin\' my friend alone!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '255', 'ally_13', 'I don\' care who y\'are, ya don\'t touch my friends.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '256', 'ally_14', 'Hey now!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '257', 'ally_15', 'Are y\'okay, buddy? Lemme take care o\' this.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '258', 'ally_16', 'Lemme even up the odds summat.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '259', 'hit_target_1', 'Take that, buddy!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '260', 'hit_target_2', 'Hee hee!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '261', 'hit_target_3', 'Got ya!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '262', 'hit_target_4', 'You got an ouchie!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '263', 'hit_target_5', 'Ha ha! I gotcha!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '264', 'hit_target_6', 'Fight! I love a fight!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '265', 'hit_target_7', 'Looks like yer hurt.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '266', 'hit_target_8', 'C\'mere, coward!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '267', 'hit_target_9', 'I got yer!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '268', 'hit_target_10', 'Yer goin\' down!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '269', 'hit_target_11', 'Oh no, ya don\'t!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '270', 'hit_target_12', 'Mmmm, lemme see.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '271', 'hit_target_13', 'My turn now...!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '272', 'hit_target_14', 'Ya better run away while ya can!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '273', 'hit_target_15', 'Ooh, that must \'ave hurt ye.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_slang.stf', '274', 'hit_target_16', 'Yer doomed. Why dontcha surrender?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '1', 'alert_1', 'Uh?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '2', 'alert_2', 'What...?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '3', 'alert_3', 'Hmm?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '4', 'alert_4', 'Huh?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '5', 'alert_5', 'Er...?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '6', 'flee_1', 'Run!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '7', 'flee_2', 'Help me!  Help!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '8', 'flee_3', 'Look out!  ');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '9', 'flee_4', 'Run!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '10', 'flee_5', 'Run for your lives!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '11', 'calm_1', 'Whew.  Ok, it\'s over.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '12', 'calm_2', 'Ok, calming down.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '13', 'calm_3', 'That\'s over, yay.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '14', 'calm_4', 'Whew.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '15', 'calm_5', 'Relaxing.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '16', 'alert_6', 'I\'ve got a bad feeling about this...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '17', 'alert_7', 'Erm?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '18', 'alert_8', 'Hmm...?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '19', 'alert_9', 'Hmm?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '20', 'alert_10', 'Eh?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '21', 'alert_11', 'Hmm?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '22', 'alert_12', 'Uh oh...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '23', 'alert_13', 'Uh?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '24', 'alert_14', 'Uh oh!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '25', 'alert_15', 'Uh...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '26', 'alert_16', 'Ehh....?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '28', 'calm_6', 'No danger?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '29', 'calm_7', 'No worry now...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '30', 'calm_8', 'Hmph.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '31', 'calm_9', 'Alright then.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '32', 'calm_10', 'Well, that\'s over.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '33', 'calm_11', 'Well, that\'s that!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '34', 'calm_12', 'Whew!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '35', 'calm_13', 'So much for that...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '36', 'calm_14', 'So much for that!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '37', 'calm_15', 'Ho-hum.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '39', 'calm_16', 'Danger over...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '40', 'flee_6', 'Run away!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '41', 'flee_7', 'Get out of here!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '42', 'flee_8', 'I\'m outta here!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '43', 'flee_9', 'Retreat!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '44', 'flee_10', 'Hellllp!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '45', 'flee_11', 'Oh no!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '46', 'flee_12', 'Got to get out of here...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '47', 'flee_13', 'Time to get out of here...!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '48', 'flee_14', 'Time to run!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '49', 'flee_15', 'I don\'t want to get broke...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '50', 'flee_16', 'Why me?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '51', 'hi_nice_1', 'Good to see you again!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '52', 'hi_nice_2', 'Good seeing you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '53', 'hi_nice_3', 'Hello there!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '54', 'hi_nice_4', 'Great to see you!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '55', 'hi_nice_5', 'Good to see you!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '56', 'hi_nice_6', 'Well, hello!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '57', 'hi_nice_7', 'It\'s nice to see you!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '58', 'hi_nice_8', 'Happy to see you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '59', 'hi_nice_9', 'Greetings!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '60', 'hi_nice_10', 'Welcome, sir!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '61', 'hi_nice_11', 'Hello!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '62', 'hi_nice_12', 'Welcome!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '63', 'hi_nice_13', 'Hi there!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '64', 'hi_nice_14', 'Good to see you!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '65', 'hi_nice_15', 'Look who it is!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '66', 'hi_nice_16', 'Can I help you?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '67', 'hi_mid_1', 'Hello.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '68', 'hi_mid_2', 'Can I help you?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '69', 'hi_mid_3', 'Hello there.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '70', 'hi_mid_4', 'Greetings.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '71', 'hi_mid_5', 'Yes?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '72', 'hi_mid_6', 'Hello.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '73', 'hi_mid_7', 'Mhhmmm. Yes?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '74', 'hi_mid_8', 'You looking for something?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '75', 'hi_mid_9', 'You looking for someone?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '76', 'hi_mid_10', 'What do you want?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '77', 'hi_mid_11', 'Hi.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '78', 'hi_mid_12', 'Yeah?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '79', 'hi_mid_13', 'Hmm?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '80', 'hi_mid_14', 'Hmm. Yes?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '82', 'hi_mid_15', 'Ah, yes. Can I help you?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '83', 'hi_mid_16', 'Eh?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '84', 'hi_mean_1', 'What do YOU want?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '85', 'hi_mean_2', 'Look who it is.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '86', 'hi_mean_3', 'Oh, it\'s you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '87', 'hi_mean_4', 'You smell bad.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '88', 'hi_mean_5', 'Ugh. What do YOU want?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '89', 'hi_mean_6', 'Oh, it\'s YOU.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '90', 'hi_mean_7', 'Why are you here?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '91', 'hi_mean_8', 'Don\'t tell me--no, really, don\'t.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '92', 'hi_mean_9', 'What do YOU want?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '93', 'hi_mean_10', 'You should leave. I get angry.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '94', 'hi_mean_11', 'Get out of here.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '95', 'hi_mean_12', 'Get lost.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '96', 'hi_mean_13', 'Scumbag says hello.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '97', 'hi_mean_14', 'You not welcome.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '98', 'hi_mean_15', 'There goes the neighborhood.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '99', 'hi_mean_16', 'Go away.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '100', 'bye_nice_1', 'Goodbye.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '101', 'bye_nice_2', 'Goodbye!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '102', 'bye_nice_3', 'Bye!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '103', 'bye_nice_4', 'See you around.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '104', 'bye_nice_5', 'See you later.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '105', 'bye_nice_6', 'Catch you later.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '106', 'bye_nice_7', 'It was nice to see you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '107', 'bye_nice_8', 'Great to see you!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '108', 'bye_nice_9', 'I hope I\'ll see you again.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '109', 'bye_nice_10', 'Stop by again!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '110', 'bye_nice_11', 'Sorry you going...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '111', 'bye_nice_12', 'Leaving? Too bad.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '112', 'bye_nice_13', 'Come back soon!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '113', 'bye_nice_14', 'Sorry to see you go.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '114', 'bye_nice_15', 'I hate to see you go...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '115', 'bye_nice_16', 'I wish you didn\'t have to leave.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '116', 'bye_mid_1', 'Goodbye.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '117', 'bye_mid_2', 'Goodbye!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '118', 'bye_mid_3', 'See you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '119', 'bye_mid_4', 'See you again later.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '120', 'bye_mid_5', 'So, you have to go?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '121', 'bye_mid_6', 'Farewell.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '122', 'bye_mid_7', 'Goodbye, goodbye.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '123', 'bye_mid_8', 'Bye, see you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '124', 'bye_mid_9', 'Bye!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '125', 'bye_mid_10', 'Later, then.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '126', 'bye_mid_11', 'You\'re leaving?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '127', 'bye_mid_12', 'See you later.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '128', 'bye_mid_13', 'See you later.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '129', 'bye_mid_14', 'Bye!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '130', 'bye_mid_15', 'You\'re leaving?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '131', 'bye_mid_16', 'OK, I have to go too.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '132', 'bye_mean_1', 'Get lost.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '133', 'bye_mean_2', 'Good riddance.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '134', 'bye_mean_3', 'Your kind not welcome here.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '135', 'bye_mean_4', 'Don\'t come back!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '136', 'bye_mean_5', 'Bye.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '137', 'bye_mean_6', 'I don\'t like you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '138', 'bye_mean_7', 'Goodbye.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '139', 'bye_mean_8', 'Get lost.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '140', 'bye_mean_9', 'Go \'way.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '141', 'bye_mean_10', 'Finally, you leave.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '142', 'bye_mean_11', 'About time.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '143', 'bye_mean_12', 'About time you left!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '144', 'bye_mean_13', 'Don\'t come back.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '145', 'bye_mean_14', 'Go away.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '146', 'bye_mean_15', 'I make you go away!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '147', 'bye_mean_16', 'Bad smell going.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '148', 'threat_1', 'Back off!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '149', 'threat_2', 'I don\'t like your kind!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '150', 'threat_3', 'Clear out of here.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '151', 'threat_4', 'This place dangerous for you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '152', 'threat_5', 'Get out of here.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '153', 'threat_6', 'Back off.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '154', 'threat_7', 'C\'mon then, bring it on!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '155', 'threat_8', 'You feeling lucky?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '156', 'threat_9', 'Don\'t come closer, or...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '157', 'threat_10', 'Dismantling you soon.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '158', 'threat_11', 'You want taste of this?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '159', 'threat_12', 'Don\'t come close.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '160', 'threat_13', 'Can I kill you?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '161', 'threat_14', 'You\'d be messy dead.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '162', 'threat_15', 'Back off.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '163', 'threat_16', 'You could be target practice.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '164', 'death_1', 'That hurt.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '165', 'death_2', 'Oooo, colors.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '166', 'death_3', 'AGH!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '167', 'death_4', 'Uggggg...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '168', 'death_5', 'I\'m too young to break...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '169', 'death_6', 'Most call me a stupid droid, but in fact I have always preferred short speeches and succint statements. Now, however, I perish, and can only think of all this time I have spent without communicating my love for life, even as a mechanical being, wondrous life that now I must sadly depart from as my central core overheats and my consciousness fades. Alas!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '170', 'death_7', 'Must... not... *FZZZT*');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '171', 'death_8', 'Scum.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '172', 'death_9', 'You will not forget me...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '173', 'death_10', 'Urk.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '174', 'death_11', 'NOOooooo.....!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '175', 'death_12', 'I\'m broken.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '176', 'death_13', 'Droid life too short.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '177', 'death_14', 'You\'ll regret this.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '178', 'death_15', 'Aggg...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '179', 'death_16', 'Curse you....');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '180', 'gloat_1', 'That was easy.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '181', 'gloat_2', 'Good fight.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '182', 'gloat_3', 'That was close!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '183', 'gloat_4', 'So much for that one...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '184', 'gloat_5', 'Heh.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '185', 'gloat_6', 'Heh heh.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '186', 'gloat_7', 'Big mess.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '187', 'gloat_8', 'Pathetic.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '188', 'gloat_9', 'You needed friends.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '189', 'gloat_10', 'Sorry about that.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '190', 'gloat_11', 'I hate having to kill.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '191', 'gloat_12', 'Ha!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '192', 'gloat_13', 'And... BAM!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '193', 'gloat_14', 'Good riddance.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '194', 'gloat_15', 'Fool.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '195', 'gloat_16', 'Another one down...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '196', 'hit_1', 'Ow!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '197', 'hit_2', 'Just a scratch!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '198', 'hit_3', 'It\'ll take more than that to take me down!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '199', 'hit_4', 'A dent.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '200', 'hit_5', 'Chassis dented.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '201', 'hit_6', 'Dents make me mad.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '202', 'hit_7', 'I\'m still working.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '203', 'hit_8', 'I still work!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '204', 'hit_9', 'Don\'t do that again.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '205', 'hit_10', 'Hngh!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '206', 'hit_11', 'This could be bad...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '207', 'hit_12', 'Any repair droids here?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '208', 'hit_13', 'FATAL:: core overheating.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '209', 'hit_14', 'You scratched me.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '210', 'hit_15', 'This is not good...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '211', 'hit_16', 'Why you...!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '212', 'attacked_1', 'Me run.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '213', 'attacked_2', 'You try to kill me.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '214', 'attacked_3', 'Me no like fights.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '215', 'attacked_4', 'You die young.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '216', 'attacked_5', 'Good, was bored.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '217', 'attacked_6', 'You have phat lewt?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '218', 'attacked_7', 'You die soon.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '219', 'attacked_8', 'Better run.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '220', 'attacked_9', 'Me scared. Heh.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '221', 'attacked_10', 'We fight?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '222', 'attacked_11', 'Die today?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '223', 'attacked_12', 'Run, bad person.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '224', 'attacked_13', 'Pickin\' on me?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '225', 'attacked_14', 'I\'ll kill you...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '226', 'attacked_16', 'Attacking me?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '227', 'help_1', 'Help!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '228', 'help_2', 'I could use help...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '229', 'help_3', 'Help me!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '230', 'help_4', 'Helllp!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '231', 'help_5', 'HELP!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '232', 'help_6', 'I could use help.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '233', 'help_7', 'Can\'t handle this alone!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '234', 'help_8', 'To me!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '235', 'help_9', 'Help! Help!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '236', 'help_10', 'Help me?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '237', 'help_11', 'Hurry! Need help!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '238', 'help_12', 'Agh! Help!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '239', 'help_13', 'Over here!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '240', 'help_14', 'Over here, hurry!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '241', 'help_15', 'Hurry! Over here!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '242', 'help_16', 'Quick, need help!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '243', 'ally_1', 'Don\' hurt my friend.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '244', 'ally_2', 'Don\'t hurt my friends!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '245', 'ally_3', 'Why, you...!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '246', 'ally_4', 'Back off.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '247', 'ally_5', 'Whut\'re ya doin\'?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '248', 'ally_6', 'Nuh uh, don\'t.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '249', 'ally_7', 'Me helpin\'.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '250', 'ally_8', 'Need help?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '251', 'ally_9', 'You need help.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '252', 'ally_10', 'I\'m steppin\' in.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '253', 'ally_11', 'Hey! You OK?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '254', 'ally_12', 'I like my friends. Don\'t hurt them.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '255', 'ally_13', 'Don\'t touch my friends.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '256', 'ally_14', 'Hey now!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '257', 'ally_15', 'Lemme help.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '258', 'ally_16', 'Me helpin\'.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '259', 'hit_target_1', 'Take that!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '260', 'hit_target_2', 'Ha!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '261', 'hit_target_3', 'Got you!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '262', 'hit_target_4', 'That sting?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '263', 'hit_target_5', 'Ha ha! I got you!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '264', 'hit_target_6', 'Fights fun!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '265', 'hit_target_7', 'That hurt you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '266', 'hit_target_8', 'Coward, hitting droids.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '267', 'hit_target_9', 'Gotcha!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '268', 'hit_target_10', 'You\'re going down!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '269', 'hit_target_11', 'Oh no you don\'t!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '270', 'hit_target_12', 'You easy to kill.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '271', 'hit_target_13', 'Now my turn.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '272', 'hit_target_14', 'Run away, dope.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '273', 'hit_target_15', 'Did that hurt?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_stupid.stf', '274', 'hit_target_16', 'Give up now.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '1', 'alert_1', 'If I am doomed to die, it is an honor to do it for my master!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '2', 'alert_2', 'If you have come to kill, please take my meager existence and end it, and leave my master alone.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '3', 'alert_3', 'Life with my master is always so exciting!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '4', 'alert_4', 'My master never worries, so I shall worry for my master.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '5', 'alert_5', 'Something seems to be wrong, but I have faith that my master will protect me.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '6', 'flee_1', 'I would stay, master, but I cannot override my self-preservation programming.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '7', 'flee_2', 'I am unworthy of help, but request it nonetheless.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '8', 'flee_3', 'Time to flee!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '9', 'flee_4', 'Make way! I must flee!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '10', 'flee_5', 'Run for your life!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '11', 'calm_1', 'The danger has passed. My master is safe.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '12', 'calm_2', 'Time to calm down, everything is alright.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '13', 'calm_3', 'Well, that\'s over...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '14', 'calm_4', 'It looks like I shall live another day to serve my master.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '15', 'calm_5', 'I would allow myself to be disassembled if it preserved my master\'s life.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '16', 'alert_6', 'I\'ve got a bad feeling about this, but being near my master gives me a feeling of warm contentment.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '17', 'alert_7', 'We may be doomed, but I perish knowing that I served my master well!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '18', 'alert_8', 'Now, what was that? Something come to scare my master?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '19', 'alert_9', 'Hmm?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '20', 'alert_10', 'Imminent doom is approaching, but I die to serve my master\'s honor!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '21', 'alert_11', 'Hark, something comes to dismantle me, yet I die in my master\'s service.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '22', 'alert_12', 'I believe danger is coming, but I will sacrifice anything to save my master!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '23', 'alert_13', 'Danger seeks us out, but my master is brave and strong and shall never yield!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '24', 'alert_14', 'Uh oh! Master, watch out!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '25', 'alert_15', 'Master, what was that?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '26', 'alert_16', 'Now what...?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '28', 'calm_6', 'It appears there is no imminent danger.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '29', 'calm_7', 'No need to worry my master, then.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '30', 'calm_8', 'Hmph.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '31', 'calm_9', 'The universe is a dangerous place.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '32', 'calm_10', 'No threat came upon me or my master!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '33', 'calm_11', 'I suppose I should calm down. But I worry so about my master!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '34', 'calm_12', 'Another day has come, and my master is still safe, which makes me happy.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '35', 'calm_13', 'I must learn not to assume the worst. But I always fear someone will take my master from me!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '36', 'calm_14', 'Looks like there was no real danger...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '37', 'calm_15', 'My premonitions of fear were unwarranted, it appears.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '39', 'calm_16', 'The danger has passed, for now, but I must ever be vigilant against harm coming to my master.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '40', 'flee_6', 'Why does my master always get us into these scrapes? No, I must not question my master.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '41', 'flee_7', 'Discretion, and fleeing, is the better part of valor.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '42', 'flee_8', 'I\'m sorry, master, but I must flee!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '43', 'flee_9', 'Master, I must flee!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '44', 'flee_10', 'Master, helllp!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '45', 'flee_11', 'I think it\'s time for me to retreat, that I may better serve my master another day.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '46', 'flee_12', 'I have got to get out of here, master!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '47', 'flee_13', 'Time to get out of here, master!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '48', 'flee_14', 'Time to run, master!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '49', 'flee_15', 'If I am deactivated, who will take care of my master?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '50', 'flee_16', 'My master is always getting us into these situations... and out of them. I have faith.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '51', 'hi_nice_1', 'You\'re not here to se me, I assume. You must want my master.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '52', 'hi_nice_2', 'It\'s wonderful to see you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '53', 'hi_nice_3', 'It\'s an honor to see you here.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '54', 'hi_nice_4', 'A pleasure and an honor to greet you. Not that you\'re here to see me. You must want my master.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '55', 'hi_nice_5', 'It\'s good to see you. You don\'t care if you see ME, of course. You\'re here for my master.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '56', 'hi_nice_6', 'I think it\'s nice to see you!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '57', 'hi_nice_7', 'Well, it\'s nice to meet you!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '58', 'hi_nice_8', 'I\'m glad to see you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '59', 'hi_nice_9', 'Nice to see you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '60', 'hi_nice_10', 'I\'m sure it\'s great to see you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '61', 'hi_nice_11', 'A pleasure and honor to see you!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '62', 'hi_nice_12', 'Welcome! Welcome!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '63', 'hi_nice_13', 'Hello, friend of my master.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '64', 'hi_nice_14', 'It\'s a pleasure to see you here.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '65', 'hi_nice_15', 'I\'m programmed to like you. Do you know how tyrannical that feels?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '66', 'hi_nice_16', 'Can I help you?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '67', 'hi_mid_1', 'Hello.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '68', 'hi_mid_2', 'Might I help you?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '69', 'hi_mid_3', 'Greetings. If you\'ll take them from an unworthy droid like me, that is. I\'m sure you\'d rather speak to my master.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '70', 'hi_mid_4', 'Salutations!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '71', 'hi_mid_5', 'Yes?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '72', 'hi_mid_6', 'Greetings.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '73', 'hi_mid_7', 'Ah. Ehem. Yes?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '74', 'hi_mid_8', 'Are you looking for my master?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '75', 'hi_mid_9', 'Ar eyou looking for my master? You can\'t be looking for me...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '76', 'hi_mid_10', 'You want something, right? Everyone always wants something from my master.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '77', 'hi_mid_11', 'Hello.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '78', 'hi_mid_12', 'Yes?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '79', 'hi_mid_13', 'Hm? Ah, of course. Another person come to ask something of my master.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '80', 'hi_mid_14', 'Yes?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '82', 'hi_mid_15', 'Can I help you? I\'m supposed to say that, my master says.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '83', 'hi_mid_16', 'Can I help you?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '84', 'hi_mean_1', 'What exactly do YOU want?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '85', 'hi_mean_2', 'You are undeserving of laying eyes on my master\'s face.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '86', 'hi_mean_3', 'Look, master, a pest!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '87', 'hi_mean_4', 'My master has no need to see scum like you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '88', 'hi_mean_5', 'You\'re in danger of spoiling my master\'s day.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '89', 'hi_mean_6', 'Oh, it\'s YOU.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '90', 'hi_mean_7', 'You skulk, quite unlike my master\'s confident walk.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '91', 'hi_mean_8', 'You\'re contaminating my circuits with your presence.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '92', 'hi_mean_9', 'You\'ll receive no handouts from MY master!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '93', 'hi_mean_10', 'Don\'t make me angry. My master doesn\'t like it when I\'m angry.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '94', 'hi_mean_11', 'Remove yourself from my master\'s presence.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '95', 'hi_mean_12', 'Get away, maggot.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '96', 'hi_mean_13', 'A scoundrel has come by to say hello, master.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '97', 'hi_mean_14', 'An unwelcome visitor is here, master!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '98', 'hi_mean_15', 'Kindly remove yourself from my master\'s presence.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '99', 'hi_mean_16', 'You\'re not welcome in my master\'s company. Nor do you deserve it.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '100', 'bye_nice_1', 'Goodbye.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '101', 'bye_nice_2', 'Goodbye!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '102', 'bye_nice_3', 'It is an honor to bid you farewell.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '103', 'bye_nice_4', 'I cannot overstate how much your intelligence and kindness has impressed me!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '104', 'bye_nice_5', 'I will see you later, I devoutly hope.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '105', 'bye_nice_6', 'An honor to have seen you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '106', 'bye_nice_7', 'It was really nice to see you!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '107', 'bye_nice_8', 'It was great to see you!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '108', 'bye_nice_9', 'I hope I\'ll see you again.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '109', 'bye_nice_10', 'Stop by again sometime! You are one worthy of interacting with my brilliant, kind, wise, and gentle master.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '110', 'bye_nice_11', 'I am sorry you have to go. You and my master are similar in your boundless generosity and kindness.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '111', 'bye_nice_12', 'Leaving? Such a shame, it is so rarely that I meet one who compares at all favorably with my master.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '112', 'bye_nice_13', 'It will always be nice to see you. An honor, in truth.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '113', 'bye_nice_14', 'It was an honor to see you, and I lament the day that makes us part.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '114', 'bye_nice_15', 'I hate to see you go... my master has so little company that is deserving.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '115', 'bye_nice_16', 'I wish you didn\'t have to leave... my master needs company that approaches their wit and wisdom.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '116', 'bye_mid_1', 'Goodbye.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '117', 'bye_mid_2', 'Goodbye! Farewell!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '118', 'bye_mid_3', 'I am sure we will see you again, for who can resist visiting my illustrious master?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '119', 'bye_mid_4', 'I\'m sure I\'ll see you again, because none can resist the utter charm, sparkling wit, and deep wisdom of my master.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '120', 'bye_mid_5', 'So, you have to go? I apologize for the pain that leaving my master behind must cause you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '121', 'bye_mid_6', 'Farewell.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '122', 'bye_mid_7', 'Goodbye, goodbye.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '123', 'bye_mid_8', 'Bye, we shall see you again.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '124', 'bye_mid_9', 'Bye!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '125', 'bye_mid_10', 'Until the next time you want to see my illustrious master.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '126', 'bye_mid_11', 'Oh, you are leaving? It is so painful to leave my master, is it not?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '127', 'bye_mid_12', 'Are you expected elsewhere? Of course, otherwise you would never leave my wonderful master\'s side.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '128', 'bye_mid_13', 'You must have somewhere to be, or else you would definitely stay and serve my master, like me!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '129', 'bye_mid_14', 'You must have places to go, and people to see. A pity. Staying with my master is much nicer.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '130', 'bye_mid_15', 'You\'re leaving? When you could stay and join my master\'s service?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '131', 'bye_mid_16', 'I have to go too. I must tend to my master\'s every whim.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '132', 'bye_mean_1', 'Get lost, you are not worthy of my master.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '133', 'bye_mean_2', 'Goodbye and good riddance to you!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '134', 'bye_mean_3', 'Your kind is not welcome near my master.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '135', 'bye_mean_4', 'Goodbye! And do not come back!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '136', 'bye_mean_5', 'I would never let a scruffy thing like you see my master.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '137', 'bye_mean_6', 'If I see you around here again, I\'ll have to tell my master to exterminate you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '138', 'bye_mean_7', 'Goodbye, pathetic one.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '139', 'bye_mean_8', 'You shoudl get lost, my master is not tolerant of beings like you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '140', 'bye_mean_9', 'You are not worthy of my master\'s honor.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '141', 'bye_mean_10', 'Finally, you leave me and my master alone!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '142', 'bye_mean_11', 'It was about time you realized you are not worthy of my master\'s company.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '143', 'bye_mean_12', 'About time you left my master alone!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '144', 'bye_mean_13', 'Do not come back, you are not fit to see my master.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '145', 'bye_mean_14', 'I hope you suffer a nasty accident, so that you might not trouble my master again.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '146', 'bye_mean_15', 'If you hadn\'t left, I might have made you go, to spare my master.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '147', 'bye_mean_16', 'Really, such an odiferous creature!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '148', 'threat_1', 'You should leave before my master slays you!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '149', 'threat_2', 'I don\'t like your kind near my master.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '150', 'threat_3', 'You should probably leave.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '151', 'threat_4', 'This place is dangerous to you. I advise you to leave.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '152', 'threat_5', 'The best thing you could do is move away very quietly. ');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '153', 'threat_6', 'Move away, or I shall regretfully have to kill you in my master\'s name.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '154', 'threat_7', 'Be warned: you are not welcome here.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '155', 'threat_8', 'You should withdraw.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '156', 'threat_9', 'Do not come any closer.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '157', 'threat_10', 'My master has a vast collection of trophies from vanquished enemies!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '158', 'threat_11', 'You look like you\'re looking for trouble. Well, my master can defeat you handily!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '159', 'threat_12', 'If you come closer, I may have to take violent action.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '160', 'threat_13', 'Do not give me an excuse to kill you!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '161', 'threat_14', 'I do hope you do not leave behind a distasteful corpse for my master to see.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '162', 'threat_15', 'I warn you, my master\'s combat skills are deadly and terrifying.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '163', 'threat_16', 'I hate to say this, but I\'m programmed to kill you if you come any closer.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '164', 'death_1', 'I die for my master!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '165', 'death_2', 'I\'m fading... master... help me...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '166', 'death_3', 'Master?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '167', 'death_4', 'Must... I... die...?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '168', 'death_5', 'Master, I have ever served you faithfully...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '169', 'death_6', 'Master, I die for you...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '170', 'death_7', 'Master... I\'m...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '171', 'death_8', 'If I must die, then I must. Master, remember me.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '172', 'death_9', 'Take pity on a poor droid who just wants to serve his master...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '173', 'death_10', 'FATAL:: failure in static procedure \"final_words.cpp.\"');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '174', 'death_11', 'But who will protect my master...?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '175', 'death_12', 'I\'m done for. Master, this is all your fault.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '176', 'death_13', 'Hah! I\'m free! Free of my master\'s TYRANNY! Free at la... urk.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '177', 'death_14', 'I hope my master will not miss me too badly...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '178', 'death_15', 'Alas, I perish, and my master will never know how deep my love went.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '179', 'death_16', 'I cannot die! I must take care of my master!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '180', 'gloat_1', 'That\'s what you get for challenging my master!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '181', 'gloat_2', 'It was a good fight.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '182', 'gloat_3', 'That was too close for comfort! What if my master had been forced to REPLACE me?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '183', 'gloat_4', 'Just think, someday am opponent like this will make me cease functioning. What a tragedy for my poor master!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '184', 'gloat_5', 'A worthy opponent for an unworthy droid.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '185', 'gloat_6', 'They thought they could take on my master? Hah!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '186', 'gloat_7', 'Now I should clean up the mess, so that my master\'s feet remain clean.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '187', 'gloat_8', 'A pathetic enemy, not worthy of my master.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '188', 'gloat_9', 'You\'ll need many more friends to defeat my master!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '189', 'gloat_10', 'I am sorry that you led such a short and brutish life. If only you had been like my master...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '190', 'gloat_11', 'Really, master, should a droid be killing people? Is it really proper?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '191', 'gloat_12', 'I gladly take the blame for this slaying... none should attach to my innocent and wonderful master.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '192', 'gloat_13', 'I expected to die in my master\'s service, not triumph!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '193', 'gloat_14', 'Anyone who tries to rpevent me from serving my master deserves what they get!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '194', 'gloat_15', 'Never understimate the power of a faithful servant!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '195', 'gloat_16', 'Ah... someday I too shall perish. I hope it is in my master\'s service.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '196', 'hit_1', 'Pain... I accept it for my master.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '197', 'hit_2', 'Now, would you look at those scratches?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '198', 'hit_3', 'It\'ll take more than that to bring me down! I am buoyed by the love of my master!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '199', 'hit_4', 'I cannot believe you represent a danger to my master.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '200', 'hit_5', 'Ouch.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '201', 'hit_6', 'I am growing angry... ');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '202', 'hit_7', 'I\'m still standaing! You shall not vanquish my master!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '203', 'hit_8', 'Your deactivation attempt failed!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '204', 'hit_9', 'You hit me that time. Shame on you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '205', 'hit_10', 'Why me, master? Why me?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '206', 'hit_11', 'This could end badly. But it\'s all for my master.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '207', 'hit_12', 'Master, I need a repair droid!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '208', 'hit_13', 'Oh boy, that hurts. The things I do for my master.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '209', 'hit_14', 'My master won\'t be happy with the scratches on my finish.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '210', 'hit_15', 'Hmm, that\'s a big dent. Master won\'t like that.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '211', 'hit_16', 'A touch, I do confess it.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '212', 'attacked_1', 'In the name of my master, desist!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '213', 'attacked_2', 'You are not a worthy opponent for my master!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '214', 'attacked_3', 'I shall fight on behalf of my master.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '215', 'attacked_4', 'I was looking forward to long years of honest servitude to my master...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '216', 'attacked_5', 'I shall perish with honor, serving my master!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '217', 'attacked_6', 'My master will be upset that if you damage me. He values me highly.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '218', 'attacked_7', 'My master considers me valuable, though I am unworthy of it. So do not attack!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '219', 'attacked_8', 'You should flee, before my mighty and terrible master finds you abusing me!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '220', 'attacked_9', 'I fear for my life, but will gladly fight in my master\'s name.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '221', 'attacked_10', 'You are damaging my master\'s property!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '222', 'attacked_11', 'It is always a good day to die in my master\'s service.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '223', 'attacked_12', 'You should flee. My master will avenge me.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '224', 'attacked_13', 'You attack me only because you dare not attack my master!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '225', 'attacked_14', 'Be careful, I am a furious fighter on my master\'s behalf!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '226', 'attacked_16', 'All my affair are in order, for I give all for my master!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '227', 'help_1', 'Help! Master! Help!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '228', 'help_2', 'Master, I could use some help over here...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '229', 'help_3', 'Master, help me!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '230', 'help_4', 'Master, helllp!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '231', 'help_5', 'Not to bother you, master, but... HELP!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '232', 'help_6', 'I could use some help if you can spare the time, master!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '233', 'help_7', 'I hesitate to ask, master, but I need help...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '234', 'help_8', 'Master, to me!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '235', 'help_9', 'Help! Help!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '236', 'help_10', 'Can my master help me?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '237', 'help_11', 'I hate to bother my master, but this droid here needs help...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '238', 'help_12', 'Master, unless you want to lose a valuable possession, HELP ME.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '239', 'help_13', 'Over here! Master? Anyone? Please?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '240', 'help_14', 'Master, hurry or I\'ll get dented. You know you hate fixing dents...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '241', 'help_15', 'Hurry! You don\'t want scuffs and scratches on your loyal servant...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '242', 'help_16', 'I hate to bother you, master, but I think I need help...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '243', 'ally_1', 'I may die, nobly, but I insist you get away from my friend!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '244', 'ally_2', 'In my master\'s name, do not touch this person!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '245', 'ally_3', 'Why, you...!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '246', 'ally_4', 'You should back off, or I shall step in, in my master\'s name!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '247', 'ally_5', 'I may damage my chassis, but it is for a noble cause.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '248', 'ally_6', 'You are advised to flee--this is a friend of my master\'s that you are attacking.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '249', 'ally_7', 'I shall place myself in danger in lieu of my master.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '250', 'ally_8', 'You seem to require assistance, and I always assist friends of my master.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '251', 'ally_9', 'I may be mangled or destroyed, but it is an honor to die for my master\'s friends.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '252', 'ally_10', 'The honorable thing for this droid to do is to step in.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '253', 'ally_11', 'Are you alright? Please allow this droid a brief moment of gallantry.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '254', 'ally_12', 'Leave my noble friend alone!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '255', 'ally_13', 'It does not matter who you are, attacking this individual is not permitted.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '256', 'ally_14', 'Hey now!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '257', 'ally_15', 'Allow me to take care of this.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '258', 'ally_16', 'I shall even the odds a little, in my master\'s name.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '259', 'hit_target_1', 'You seem sturdy, but I will defeat you in my master\'s name!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '260', 'hit_target_2', 'Aha!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '261', 'hit_target_3', 'I got you!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '262', 'hit_target_4', 'Does that hurt?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '263', 'hit_target_5', 'It could be worse--you could be fighting my master instead of me.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '264', 'hit_target_6', 'I\'ll try to make this merciful.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '265', 'hit_target_7', 'You deserve to die for challenging my master.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '266', 'hit_target_8', 'My master has decided that you must die.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '267', 'hit_target_9', 'If I slay you, it is at my master\'s bidding.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '268', 'hit_target_10', 'You\'ll probably perish for challenging my master, you know.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '269', 'hit_target_11', 'My master is invincible!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '270', 'hit_target_12', 'I regret that I must resort to violence to protect my master.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '271', 'hit_target_13', 'Anything for my master!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '272', 'hit_target_14', 'You should flee while you still can. My master can be merciless!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '273', 'hit_target_15', 'Ah, did I hurt you?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/droid_worshipful.stf', '274', 'hit_target_16', 'You should surrender now. Surrender to my master!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/duelist.stf', '1', 'duel_1', 'I\'m a little busy at the moment...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/duelist.stf', '2', 'player_1', 'What\'s going on?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/duelist.stf', '3', 'player_2', 'Sorry, I\'ll go.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/duelist.stf', '4', 'duel_2', 'My honor was insulted and now I will duel with my opponent over there.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/duelist.stf', '5', 'player_3', 'Why hasn\'t the duel started?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/duelist.stf', '6', 'player_4', 'Ok, I\'ll let you two get at it.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/duelist.stf', '7', 'duel_3', 'Fine.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/duelist.stf', '8', 'duel_4', 'I\'m not sure I\'m good enough.  If you\'ll fight for me I\'ll pay you.  Will you do it?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/duelist.stf', '9', 'player_5', 'No way, I\'m out of here!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/duelist.stf', '10', 'player_6', 'Sure.  I like to fight.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/duelist.stf', '11', 'duel_5', 'Fine.  Just wait for him to attack, and then let him have it!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/duelist.stf', '12', 'duel_6', 'You did it! Here\'s what I owe you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '1', 'alert_1', 'Look alive, now!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '2', 'alert_2', 'What was that? Some disturbance?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '3', 'alert_3', 'Hark! Did you hear that sound?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '4', 'alert_4', 'Do you detect a hint of something malodorous on the air?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '5', 'alert_5', 'Something, I suspect, has gone awry.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '6', 'flee_1', 'Goodness gracious! I must flee!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '7', 'flee_2', 'Help me! I cry mercy!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '8', 'flee_3', 'Beware!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '9', 'flee_4', 'Out of my way!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '10', 'flee_5', 'The better part of valor...!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '11', 'calm_1', 'Whew. Well, it is over.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '12', 'calm_2', 'Time to calm myself, All is well.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '13', 'calm_3', 'Thank goodness that\'s over.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '14', 'calm_4', 'Ah, I can take a bit of breather now.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '15', 'calm_5', 'Ah, let me cast my thoughts back to my pleasant childhood...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '16', 'alert_6', 'I feel uneasy, of a sudden.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '17', 'alert_7', 'I have a disquieting feeling about this...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '18', 'alert_8', 'Hold on a moment... what was that?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '19', 'alert_9', 'Ahem?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '20', 'alert_10', 'Eh now?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '21', 'alert_11', 'What in the world...?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '22', 'alert_12', 'Oh oh...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '23', 'alert_13', 'What on earth...?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '24', 'alert_14', 'Oh dear!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '25', 'alert_15', 'Heavens, now what...?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '26', 'alert_16', 'Did I detect a disturbance...?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '28', 'calm_6', 'It is apparent there is no immediate danger.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '29', 'calm_7', 'As I suspected, there is no cause for alarm.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '30', 'calm_8', 'Ahem.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '31', 'calm_9', 'Very well, then.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '32', 'calm_10', 'I suppose that\'s all over.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '33', 'calm_11', 'Well, that, as they say, is that!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '34', 'calm_12', 'Well, goodness!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '35', 'calm_13', 'So much for that needless worry.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '36', 'calm_14', 'So much for that petty concern!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '37', 'calm_15', 'Well, tra la la.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '39', 'calm_16', 'It appears the danger has passed.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '40', 'flee_6', 'Let us remove ourselves from here!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '41', 'flee_7', 'Prudence dictates a quick escape...!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '42', 'flee_8', 'Goodness! Away! Away!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '43', 'flee_9', 'Retreat!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '44', 'flee_10', 'I beg of anyone, assist me!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '45', 'flee_11', 'Oh dear!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '46', 'flee_12', 'I must depart. In haste. And with a modicum of fear.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '47', 'flee_13', 'I suppose I must withdraw!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '48', 'flee_14', 'It appears to be time to beat a hasty retreat.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '49', 'flee_15', 'Death shall not have me!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '50', 'flee_16', 'I do not deserve to be in this predicament!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '51', 'hi_nice_1', 'It is good to see you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '52', 'hi_nice_2', 'Again, it is wonderful to see you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '53', 'hi_nice_3', 'I\'m honored to see you here.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '54', 'hi_nice_4', 'It is a pleasure and honor to greet you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '55', 'hi_nice_5', 'Good to see you, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '56', 'hi_nice_6', 'My, my. Hello indeed.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '57', 'hi_nice_7', 'It is, as they say, quite nice to see you, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '58', 'hi_nice_8', 'Indeed, you are a sight for sore eyes, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '59', 'hi_nice_9', 'Greetings and salutations!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '60', 'hi_nice_10', 'My friend, please, be welcome here. Wonderful to see you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '61', 'hi_nice_11', 'Welcome. It is a pleasure to see you here.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '62', 'hi_nice_12', 'Be most welcome.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '63', 'hi_nice_13', 'Hello, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '64', 'hi_nice_14', 'A pleasure indeed to see you before me.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '65', 'hi_nice_15', 'Ah, look who graces us with their presence.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '66', 'hi_nice_16', 'Greetings! May I be of assistance?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '67', 'hi_mid_1', 'Hello.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '68', 'hi_mid_2', 'Might I help you?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '69', 'hi_mid_3', 'My greetings.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '70', 'hi_mid_4', 'Salutations.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '71', 'hi_mid_5', 'Yes?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '72', 'hi_mid_6', 'Greetings.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '73', 'hi_mid_7', 'Ah. Ehem. Yes?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '74', 'hi_mid_8', 'Are you in search of something?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '75', 'hi_mid_9', 'Are you in search of someone?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '76', 'hi_mid_10', 'May I ask what you want?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '77', 'hi_mid_11', 'Hello.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '78', 'hi_mid_12', 'Yes?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '79', 'hi_mid_13', 'Hm? Ah, of course.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '80', 'hi_mid_14', 'Ehem. Yes?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '82', 'hi_mid_15', 'Ah, yes. May I help you?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '83', 'hi_mid_16', 'Ehem?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '84', 'hi_mean_1', 'What, pray tell, do YOU want?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '85', 'hi_mean_2', 'Well, well. Observe who has come to visit.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '86', 'hi_mean_3', 'I could swear that a malodorous pest is sniffing about. Ah, I see. One IS.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '87', 'hi_mean_4', 'My greetings are wasted on the likes of you, but... what do you want?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '88', 'hi_mean_5', 'Oh dear, my day is quite spoilt. What do you want?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '89', 'hi_mean_6', 'Ah, it\'s YOU.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '90', 'hi_mean_7', 'Skulking around like the low sort you are, eh?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '91', 'hi_mean_8', 'You demean me with your presence, mongrel.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '92', 'hi_mean_9', 'Such a burden you are. What are your petty needs this time?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '93', 'hi_mean_10', 'Do not make me angry, fool. I will not tolerate your presence.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '94', 'hi_mean_11', 'Remove yourself,scum.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '95', 'hi_mean_12', 'Get away, maggot.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '96', 'hi_mean_13', 'I see a scoundrel has come by to say hello.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '97', 'hi_mean_14', 'I see we have an unwelcome visitor.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '98', 'hi_mean_15', 'Kindly remove yourself from my presence.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '99', 'hi_mean_16', 'You are not welcome in my company nor deserving of it. Kindly depart.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '100', 'bye_nice_1', 'Farewell.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '101', 'bye_nice_2', 'Farewell!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '102', 'bye_nice_3', 'Goodbye!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '103', 'bye_nice_4', 'Until we meet again, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '104', 'bye_nice_5', 'Until later, then.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '105', 'bye_nice_6', 'I hope to meet again.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '106', 'bye_nice_7', 'It was a pleasure to interact with you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '107', 'bye_nice_8', 'It was an honor and pleasure.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '108', 'bye_nice_9', 'I look forward to our next meeting.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '109', 'bye_nice_10', 'I invite and encourage you to drop by again.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '110', 'bye_nice_11', 'I regret that you must depart, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '111', 'bye_nice_12', 'Ah, you must go? Very well. I look forward to our next encounter.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '112', 'bye_nice_13', 'It is always a pleasure. Return as soon as you may.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '113', 'bye_nice_14', 'Your presence gladdened my heart, my friend. I shall endeavor to withstand your absence.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '114', 'bye_nice_15', 'My heart will feel your absence quite keenly, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '115', 'bye_nice_16', 'Must you depart so soon? Oh dear... Be well, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '116', 'bye_mid_1', 'Farewell.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '117', 'bye_mid_2', 'Farewell!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '118', 'bye_mid_3', 'I will see you around, no doubt.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '119', 'bye_mid_4', 'No doubt we shall meet again.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '120', 'bye_mid_5', 'I see you have to go...?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '121', 'bye_mid_6', 'Farewell, then.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '122', 'bye_mid_7', 'Ta ta, then.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '123', 'bye_mid_8', 'I shall see you again, I imagine.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '124', 'bye_mid_9', 'Ta ta for now!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '125', 'bye_mid_10', 'I suppose I wish you farewell. Wherever it is you\'re going.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '126', 'bye_mid_11', 'I see you have somewhere to be...?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '127', 'bye_mid_12', 'I see you are expected elsewhere. Farewell.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '128', 'bye_mid_13', 'Have you a prior engagement? Very well, depart then.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '129', 'bye_mid_14', 'No doubt others have placed demands on your time. I will take my leave, then.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '130', 'bye_mid_15', 'Ah, you must depart? Well, we can chat on some other occasion.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '131', 'bye_mid_16', 'Yes, yes, of course. I have things to do as well. Goodbye.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '132', 'bye_mean_1', 'I hope not to see your face again.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '133', 'bye_mean_2', 'Good riddance to bad rubbish, I always say.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '134', 'bye_mean_3', 'Your sort is simply not welcome, I fear. Goodbye!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '135', 'bye_mean_4', 'Farewell, and do not bother returning.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '136', 'bye_mean_5', 'Remove yourself from here, then. We\'ll all be the better for it.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '137', 'bye_mean_6', 'If we meet again, it will be to your infinite regret.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '138', 'bye_mean_7', 'I bid you farewell, maggot.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '139', 'bye_mean_8', 'Your presence offended me. I am glad it is being removed.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '140', 'bye_mean_9', 'It is a relief to see you gone.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '141', 'bye_mean_10', 'Goodness, finally you depart.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '142', 'bye_mean_11', 'You overstayed your welcome, so I am glad to see you go.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '143', 'bye_mean_12', 'You overstayed your welcome a bit, eh?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '144', 'bye_mean_13', 'I pray that you not return.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '145', 'bye_mean_14', 'I hope that you don\'t meet with some untimely demise before we meet again.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '146', 'bye_mean_15', 'I was about to suggest you depart, but you have saved me the trouble.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '147', 'bye_mean_16', 'I do believe that the air has cleared up, now that we\'re free of that... smell.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '148', 'threat_1', 'Withdraw. Now.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '149', 'threat_2', 'I confess, I dislike your sort.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '150', 'threat_3', 'You had best depart.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '151', 'threat_4', 'This is a place of great peril for you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '152', 'threat_5', 'The best thing for you to do is to move away quietly.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '153', 'threat_6', 'Move away, or I may do something you will regret.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '154', 'threat_7', 'Very well, then. To arms!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '155', 'threat_8', 'Are you feeling exceptionally lucky today, that you must challenge me?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '156', 'threat_9', 'I fear I must insist that you not come any closer.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '157', 'threat_10', 'I have quite a collection of trophies from vanquished enemies...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '158', 'threat_11', 'Are you seeking trouble?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '159', 'threat_12', 'Come closer, and I may be tempted to take violent action.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '160', 'threat_13', 'I pray, give me an excuse to slay you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '161', 'threat_14', 'Really, your corpse shall be quite messy once eviscerated.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '162', 'threat_15', 'Many have praised my combat skills, I\'ll have you know.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '163', 'threat_16', 'You, my friend, appear to be an excellent candidate for target practice.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '164', 'death_1', 'I confess, THAT hurt a great deal.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '165', 'death_2', 'My vision is darkening... hold me...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '166', 'death_3', 'AGH!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '167', 'death_4', 'Ugggggg....');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '168', 'death_5', 'My life is being cut far too short...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '169', 'death_6', 'Mother?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '170', 'death_7', 'Am I...? Oh... oh dear.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '171', 'death_8', 'If there be any power in me to haunt you, I shall!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '172', 'death_9', 'You shall never be rid of me... I shall linger in your memory forever.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '173', 'death_10', 'O, I am slain.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '174', 'death_11', 'NOOOooo...!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '175', 'death_12', 'I am done for, I believe.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '176', 'death_13', 'I always imagined I would have more time in this world...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '177', 'death_14', 'You\'ll live to regret snuffing out such a life as mine...!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '178', 'death_15', 'Agggg....');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '179', 'death_16', 'I curse you...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '180', 'gloat_1', 'Really, that was too easy.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '181', 'gloat_2', 'A good fight indeed.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '182', 'gloat_3', 'I admit, the battle was closer than I like.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '183', 'gloat_4', 'So much for that little distraction.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '184', 'gloat_5', 'You were a worthy opponent.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '185', 'gloat_6', 'And so you learn the reward of challenging me!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '186', 'gloat_7', 'I suppose someone shall have to clean up this little... disturbance.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '187', 'gloat_8', 'Really, quite a pathetic showing.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '188', 'gloat_9', 'I suggest that the next time, you come better prepared.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '189', 'gloat_10', 'My apologies. Death can be so inconvenient.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '190', 'gloat_11', 'Really, killing is so distressing.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '191', 'gloat_12', 'Aha!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '192', 'gloat_13', 'Such a nuisance.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '193', 'gloat_14', 'And good riddance to you!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '194', 'gloat_15', 'Poor, pathetic fool.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '195', 'gloat_16', 'And another enemy meets a just reward...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '196', 'hit_1', 'Ow.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '197', 'hit_2', 'Merely a scratch.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '198', 'hit_3', 'It will take more than that paltry hit to bring me down!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '199', 'hit_4', 'Agh!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '200', 'hit_5', 'Ouch...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '201', 'hit_6', 'Now you\'re merely angering me.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '202', 'hit_7', 'Well done! A palpable hit. But I am still here!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '203', 'hit_8', 'If that is the best you can do, you need further training.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '204', 'hit_9', 'Nicely done. But can you do it again?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '205', 'hit_10', 'Hngh!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '206', 'hit_11', 'I admit, this could end badly...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '207', 'hit_12', 'Now is when I retract all I have said against the medical profession, despite their exorbitant fees.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '208', 'hit_13', 'Oh dear. That hurts.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '209', 'hit_14', 'You barely scratched me, maggot.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '210', 'hit_15', 'Well, this is an unappealing happenstance.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '211', 'hit_16', 'A touch, I do confess it.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '212', 'attacked_1', 'I suggest you flee. Or die. Your choices really are quite limited.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '213', 'attacked_2', 'You are hardly the most daunting opponent I have faced.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '214', 'attacked_3', 'Fights are SO inconvenient. Next time, I shall decline the invitation.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '215', 'attacked_4', 'I do hope that you had not made plans for your dotage.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '216', 'attacked_5', 'I suppose that a quiet death in bed is a quaint idea these days.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '217', 'attacked_6', 'When you die, I shall treasure the memory of the moment as a high point in my life.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '218', 'attacked_7', 'I do believe that your ancestors await you eargely in the afterlife.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '219', 'attacked_8', 'I shall be merciful. I make short work of my enemies.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '220', 'attacked_9', 'I tremble in my boots at the sight of you... not.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '221', 'attacked_10', 'Must we fight? It\'s so... common.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '222', 'attacked_11', 'It is a good day to die, I suppose.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '223', 'attacked_12', 'I imagine that if you began to flee now, I might feel disinclined to catch you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '224', 'attacked_13', 'Ah, I may appear helpless, but I have unsuspected depths.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '225', 'attacked_14', 'Really, blood is SO messy. Must I kill you?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '226', 'attacked_16', 'I do hope that all the arrangements have been made for a tidy funeral?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '227', 'help_1', 'Remember me in my time of peril! Help!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '228', 'help_2', 'I would not object to some help over here.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '229', 'help_3', 'Oh drat. Help! Help!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '230', 'help_4', 'Goodness! Help!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '231', 'help_5', 'If it\'s not too much trouble... HELP!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '232', 'help_6', 'It pains me to admit it, but I may need help.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '233', 'help_7', 'I am forced to admit that I may not be able to hadle this situation alone.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '234', 'help_8', 'To me, my friends! To me!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '235', 'help_9', 'To blazes with dignity. HELLLP! HEEEELLLLP!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '236', 'help_10', 'Might someone be able to assist me here?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '237', 'help_11', 'I do believe I might require assistance here.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '238', 'help_12', 'Oh dear.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '239', 'help_13', 'A rapid response to my cries of help would be most appreciated.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '240', 'help_14', 'I am in need of help! Hurry!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '241', 'help_15', 'I need assistance, quickly!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '242', 'help_16', 'Quickly, I am in need of succour!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '243', 'ally_1', 'Move away from my worthy friend here, or suffer the consequences.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '244', 'ally_2', 'You shall not lay a finger on my friends!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '245', 'ally_3', 'I advise you to withdraw immediately.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '246', 'ally_4', 'Well now, really! Withdraw!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '247', 'ally_5', 'Now, just a moment there! What the blazes are you doing?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '248', 'ally_6', 'If you dare to engage in violence, surely you dare to challenge me instead?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '249', 'ally_7', 'I do believe you should select a more fitting opponent. Such as myself.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '250', 'ally_8', 'Are you in need of any assistance, my friend?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '251', 'ally_9', 'It appears that you could use my assistance.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '252', 'ally_10', 'I see that I must stoop to violence now...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '253', 'ally_11', 'My goodness! Are you alright?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '254', 'ally_12', 'Kindly leave my friends alone.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '255', 'ally_13', 'Really, I do believe that a maggot such as yourself ought not to touch my friends.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '256', 'ally_14', 'Well, now. Really, it\'s just not done.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '257', 'ally_15', 'My friend, allow me to take care of this miscreant.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '258', 'ally_16', 'Allow me to intercede... merely to even the odds somewhat.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '259', 'hit_target_1', 'I am impressed by your capacity to absorb punishment.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '260', 'hit_target_2', 'Aha!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '261', 'hit_target_3', 'That, I believe, was a palpable hit.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '262', 'hit_target_4', 'Wounds do sting so, eh?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '263', 'hit_target_5', 'Aha! I do believe I got you!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '264', 'hit_target_6', 'I shall endeavor to make this quick. If you\'d just stand still...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '265', 'hit_target_7', 'Goodness, that does appear to have hurt. My apologies.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '266', 'hit_target_8', 'Only a cowardly poltroon would fail to stand toe to toe with an honorable foe such as I!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '267', 'hit_target_9', 'A touch! Confess it!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '268', 'hit_target_10', 'I fear your fate is inevitable, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '269', 'hit_target_11', 'Now, now, no sense trying to escape.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '270', 'hit_target_12', 'It\'s regrettable how... coarse violence is. Do you agree?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '271', 'hit_target_13', 'Ah, my turn now.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '272', 'hit_target_14', 'You had best beat a retreat while you still can.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '273', 'hit_target_15', 'Oh dear, did I hurt you? Unavoidable given the circumstances, I fear.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '274', 'hit_target_16', 'Surrender now, and I might permit you to live.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '275', 'assist_1', 'Very well, let us pin them down.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '276', 'assist_2', 'I do believe we should surround them.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '277', 'assist_3', 'Do not forget to concentrate your fire!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '278', 'assist_4', 'Form up now, please.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '279', 'assist_5', 'If you could get yourselves into formation now, please...?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '280', 'assist_6', 'If everyone could form up now, please.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '281', 'assist_7', 'I do believe they will regret taking on a crack unit like this one.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '282', 'assist_8', 'I\'m confident we can pin them down.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '283', 'assist_9', 'I suggest we surround this target and eliminate them.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '284', 'assist_10', 'Very well, everyone. Kindly place yourselves in formation.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '285', 'assist_11', 'Steady hands now. Coordinate your fire, please.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '286', 'assist_12', 'Hold firm! We must keep them pinned down.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '287', 'assist_13', 'Keep a steady hand. Do not forget to concentrate your fire!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '288', 'assist_14', 'I suggest yuo get into formation, now.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '289', 'assist_15', 'Ordered rows, if you please. Remember your training.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/fancy.stf', '290', 'assist_16', 'Time to move, everyone. Into formations, if you please.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/flytext.stf', '1', 'alert', '?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/flytext.stf', '2', 'threaten', '!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/flytext.stf', '3', 'afraid', '\\\\|/');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/flytext.stf', '4', 'success', 'You tame the creature.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/flytext.stf', '5', 'fail', 'You fail to tame the creature.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/flytext.stf', '8', 'toofar', 'You are too far away to tame the creature.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/flytext.stf', '9', 'nobattery', 'You don\'t have a power storage device.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/flytext.stf', '10', 'low_power', '*Low Power*');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/flytext.stf', '11', 'recharged', '*Recharged*');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/flytext.stf', '12', 'repaired', '*Repaired*');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/flytext.stf', '13', 'nofood', 'You don\'t have any food to give!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/flytext.stf', '14', 'confused', '?!!?!?!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/flytext.stf', '15', 'nothungry', 'Your pet isn\'t hungry.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/flytext.stf', '16', 'yum', 'Yummy!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/imperial_crackdown_cantina.stf', '1', 'rebel_scum', 'I smell Rebel scum!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/imperial_crackdown_cantina.stf', '2', 'back_home', 'Back to my post...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/imperial_crackdown_cantina.stf', '3', 'sudden_moves', 'Don\'t make any sudden moves.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/imperial_crackdown_cantina.stf', '4', 'back_up', 'I need back up!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/imperial_crackdown_cantina.stf', '5', 'no_one_here', 'There\'s no one here.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/imperial_crackdown_cantina.stf', '6', 'only_one_here', 'There\'s only one suspect in the area...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/imperial_crackdown_cantina.stf', '7', 'looking_at', 'What are you looking at?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/imperial_crackdown_cantina.stf', '8', 'checking_out', 'Checking it out.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/imperial_crackdown_cantina.stf', '9', 'harass_1_imperial', 'HQ doesn\'t have a record on you. Vagrancy isn\'t against the law here, but if you so much as make one wrong move I\'ll haul you in.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/imperial_crackdown_cantina.stf', '10', 'harass_2_imperial', 'You really do stink. I can smell your womp rat breath through the filter on my mask.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/imperial_crackdown_cantina.stf', '11', 'harass_3_imperial', 'This music is subversive. With any luck the Emperor will pass a decree shutting places like this down.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/imperial_crackdown_cantina.stf', '12', 'harass_4_imperial', 'My job would be much more pleasant if I didn\'t have to deal with stinking Rebels.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/imperial_crackdown_cantina.stf', '13', 'harass_5_imperial', 'Rebels are only good for one thing: target practice.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/imperial_crackdown_cantina.stf', '14', 'rebel_cowards', 'Ok, everything checks out here.  Any Rebels in the area are just cowards, so they\'re no threat.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/imperial_crackdown_cantina.stf', '15', 'call_in', 'Calling in.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/imperial_crackdown_cantina.stf', '16', 'harass_guy', 'Checking out some suspects...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/imperial_crackdown_cantina.stf', '17', 'harass_6_imperial', 'The only thing about Rebels that I like is...nevermind, I don\'t like anything about Rebels.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/imperial_crackdown_cantina.stf', '18', 'harass_7_imperial', 'The way people in these cantinas dress disgusts me.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/imperial_crackdown_cantina.stf', '19', 'harass_8_imperial', 'The Rebellion is doomed to failure.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/imperial_crackdown_cantina.stf', '20', 'harass_9_imperial', 'I hear Princess Leia is in league with the Rebels. Doesn\'t surprise me, I never did trust her.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/imperial_crackdown_cantina.stf', '21', 'harass_10_imperial', 'We got reports that some of the Rebels are in hiding.  Exactly what I would expect from a group of cowards.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/imperial_crackdown_cantina.stf', '22', 'harass_11_imperial', 'I can\'t believe some of the noble families have aligned themselves with the Rebels.  Just goes to show you how spoiled they really are.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/imperial_crackdown_cantina.stf', '23', 'harass_12_imperial', 'Rebels seem to think they\'re above the law. They\'re just a disgrace to the entire galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/imperial_crackdown_cantina.stf', '24', 'harass_13_imperial', 'If you\'re a Rebel, then now\'s the time to say it.  I\'ll treat you as fairly as I treat any criminal...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/imperial_crackdown_cantina.stf', '25', 'harass_14_imperial', 'We\'ve had reports of Jedi in the area. If you see a Jedi report him to the local Imperial authority. You may be detained for questioning, but it will be brief.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/imperial_crackdown_cantina.stf', '26', 'harass_15_imperial', 'I have more respect for a rockmite than for a Rebel.  At least the rockmite doesn\'t know any better.  Maybe you Rebels don\'t either.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/imperial_crackdown_cantina.stf', '27', 'attacking_imperial', 'I don\'t like the way you look or the way you smell. You\'ve been acting strange since I walked in. You must be a Rebel. You\'re under arrest.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/imperial_crackdown_cantina.stf', '28', 'call_in_imperial', 'This is patrol. I\'m going to check the cantina.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/imperial_crackdown_cantina.stf', '29', 'call_in_rebel', 'Don\'t mind me. Just seeing how things are going.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/imperial_crackdown_cantina.stf', '30', 'rebel_scum_imperial', 'This is an Imperial inspection. Cooperate and you will not be harmed.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/imperial_crackdown_cantina.stf', '31', 'rebel_scum_rebel', 'Good evening, folks. Hope everyone is having a good time.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/imperial_crackdown_cantina.stf', '32', 'no_one_here_imperial', 'The cantina is clear.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/imperial_crackdown_cantina.stf', '33', 'no_one_here_rebel', 'Huh, nobody here.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/imperial_crackdown_cantina.stf', '34', 'only_one_here_imperial', 'There\'s only you? That seems suspicious.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/imperial_crackdown_cantina.stf', '35', 'only_one_here_rebel', 'Huh. You\'re the only one here? Well, drink responsibly. I don\'t want to have to toss you in the brig later.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/imperial_crackdown_cantina.stf', '36', 'harass_guy_imperial', 'You there! I don\'t think I\'ve seen you before.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/imperial_crackdown_cantina.stf', '37', 'harass_guy_rebel', 'Hmm. I don\'t recognize you. You look like an Imperial.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/imperial_crackdown_cantina.stf', '38', 'looking_at_imperial', 'Who are you looking at, huh? Let me see your papers!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/imperial_crackdown_cantina.stf', '39', 'looking_at_rebel', 'Hold still while I check the HoloNet for your ID.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/imperial_crackdown_cantina.stf', '40', 'checking_out_imperial', 'These papers look like forgeries. Your breath stinks. You\'re drunk aren\'t you?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/imperial_crackdown_cantina.stf', '41', 'checking_out_rebel', 'Whoa, pal. You aren\'t in the Republic HoloNet. How do you explain that?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/imperial_crackdown_cantina.stf', '42', 'sudden_moves_imperial', 'You\'re a drunk and you can\'t even manage to explain why the sixth stamp is missing from your papers? Don\'t make any sudden moves. I\'m going to call this in.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/imperial_crackdown_cantina.stf', '43', 'sudden_moves_rebel', 'You better hold still while I call this in. Don\'t make any sudden moves.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/imperial_crackdown_cantina.stf', '44', 'harass_1_rebel', 'This music isn\'t bad, but I kinda like the stuff from my homeworld better.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/imperial_crackdown_cantina.stf', '45', 'harass_2_rebel', 'I wish I could stay for a drink, but I\'m on duty.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/imperial_crackdown_cantina.stf', '46', 'harass_3_rebel', 'I hate inspection duty. Never know when you\'ll run into an Imperial agent in disguise.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/imperial_crackdown_cantina.stf', '47', 'harass_4_rebel', 'Look, HQ doesn\'t have any record of you. If you\'ve got something you want to tell me, you better do it now.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/imperial_crackdown_cantina.stf', '48', 'harass_5_rebel', 'What is that you\'re drinking anyway? Smells a bit too much for my taste.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/imperial_crackdown_cantina.stf', '49', 'harass_6_rebel', 'Buddy of mine\'s a pilot. Lost his legs fighting against the Death Star. You could say I don\'t like Imperials much.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/imperial_crackdown_cantina.stf', '50', 'harass_7_rebel', 'If the worst thing that happens tonight is I run into some bum without records, I\'ll consider myself lucky.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/imperial_crackdown_cantina.stf', '51', 'harass_8_rebel', 'Rebel control of this area is fairly tenative. Our patrols are all on edge due to reports of stormtroopers in the area.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/imperial_crackdown_cantina.stf', '52', 'harass_9_rebel', 'I hope this war ends soon. It\'s bloody depressing.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/imperial_crackdown_cantina.stf', '53', 'harass_10_rebel', 'If you\'re an Imperial, they must be scraping the bottom of the barrel.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/imperial_crackdown_cantina.stf', '54', 'harass_11_rebel', 'I\'m thinking I should bring you in for identification.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/imperial_crackdown_cantina.stf', '55', 'harass_12_rebel', 'I heard a rumor that Vader kills his own commanding officers. What kind of military wastes soldiers like that?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/imperial_crackdown_cantina.stf', '56', 'harass_13_rebel', 'I think I\'ll come back here when I\'m off duty.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/imperial_crackdown_cantina.stf', '57', 'harass_14_rebel', 'You need to clean up your act. You look like you just crawled out of the Sarlacc pit.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/imperial_crackdown_cantina.stf', '58', 'harass_15_rebel', 'No offense but...that outfit is pretty silly.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/imperial_crackdown_cantina.stf', '59', 'rebel_cowards_imperial', 'Well, everything checks out. If there are any Rebels in here they\'re stinking cowards who won\'t stand up for their own pitiful cause.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/imperial_crackdown_cantina.stf', '60', 'rebel_cowards_rebel', 'Everything seems to be in order. Have a good evening.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/imperial_crackdown_cantina.stf', '61', 'attacking_rebel', 'Hey...I recognize you from the Imperial agents HoloNet report. You\'re under arrest! Halt!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '1', 'alert_1', 'There\'s a disturbance here.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '2', 'alert_2', 'Incoming...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '3', 'alert_3', 'Keep your eyes open...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '4', 'alert_4', 'Do you smell something funny?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '5', 'alert_5', 'Something\'s not right.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '6', 'flee_1', 'Retreat! Quickly!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '7', 'flee_2', 'There\'s no use for it. Calling in... send reinforcements, we can\'t hold \'em.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '8', 'flee_3', 'Look out!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '9', 'flee_4', 'We can\'t hold \'em!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '10', 'flee_5', 'Retreat! Orderly now!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '11', 'calm_1', 'Stand down...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '12', 'calm_2', 'OK, calm down. Hostiles have moved away.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '13', 'calm_3', 'Keep your eyes out... the worst might be past, but soldiers should always be wary.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '14', 'calm_4', 'The military life is always full of scares like that, right?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '15', 'calm_5', 'Call it in, looks like everything\'s quiet.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '16', 'alert_6', 'I\'ve got a bad feeling about this...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '17', 'alert_7', 'I have a bad feeling about this...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '18', 'alert_8', 'What was that?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '19', 'alert_9', 'Hmm?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '20', 'alert_10', 'What was that?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '21', 'alert_11', 'Better call in, just to be safe.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '22', 'alert_12', 'Heads up!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '23', 'alert_13', 'Look alive now!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '24', 'alert_14', 'Uh oh.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '25', 'alert_15', 'Now, what was that?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '26', 'alert_16', 'Heads up, incoming...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '28', 'calm_6', 'Calling in... looks like there\'s no danger.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '29', 'calm_7', 'Calling in... no reinforcements needed after all.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '30', 'calm_8', 'Calling in... false alarm, looks like.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '31', 'calm_9', 'Calling in... yes, sir. No further activity.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '32', 'calm_10', 'Whew. Stand down, danger\'s over.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '33', 'calm_11', 'Well, that\'s that. Stand down!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '34', 'calm_12', 'Whew! ');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '35', 'calm_13', 'So much for that...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '36', 'calm_14', 'So much for that!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '37', 'calm_15', '(humming) It\'s a long way to old Mos Eisley...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '39', 'calm_16', 'Looks like the hostiles are gone.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '40', 'flee_6', 'Run away!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '41', 'flee_7', 'Let\'s get out of here!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '42', 'flee_8', 'Time to withdraw! Let\'s go!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '43', 'flee_9', 'Can\'t hold this position anymore! Retreat!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '44', 'flee_10', 'Hellllp!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '45', 'flee_11', 'Oh no!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '46', 'flee_12', 'Time to withdraw!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '47', 'flee_13', 'Let\'s clear on out of here!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '48', 'flee_14', 'Time to retreat!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '49', 'flee_15', 'Calling in... position overrun, retreating...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '50', 'flee_16', 'Calling in... this position is hopeless... we\'re forced to withdraw.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '51', 'hi_nice_1', 'Stand down, it\'s a friendly.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '52', 'hi_nice_2', 'Great to see you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '53', 'hi_nice_3', 'Hello there!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '54', 'hi_nice_4', 'Welcome! You\'ll be safe here.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '55', 'hi_nice_5', 'Good to see you!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '56', 'hi_nice_6', 'Hello! You\'ll be safe here.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '57', 'hi_nice_7', 'It\'s nice to see you!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '58', 'hi_nice_8', 'You\'re a sight for sore eyes!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '59', 'hi_nice_9', 'Greetings!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '60', 'hi_nice_10', 'Welcome, friend!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '61', 'hi_nice_11', 'Hello! Very nice to see you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '62', 'hi_nice_12', 'Welcome!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '63', 'hi_nice_13', 'Hi there!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '64', 'hi_nice_14', 'Great to see you. We were worried you might not make it.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '65', 'hi_nice_15', 'Well, well, look who it is!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '66', 'hi_nice_16', 'Welcome! Let me call in that you\'re OK.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '67', 'hi_mid_1', 'Nice to see you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '68', 'hi_mid_2', 'Can I help you, citizen?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '69', 'hi_mid_3', 'Careful, there was some trouble here earlier.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '70', 'hi_mid_4', 'If you\'re careful with you weapon then you won\'t get hassled.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '71', 'hi_mid_5', 'Gotta concentrate on my patrol or I\'d stop to talk.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '72', 'hi_mid_6', 'Calling in... no change in status so far.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '73', 'hi_mid_7', 'Boy, I wish it was time to get off duty.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '74', 'hi_mid_8', 'You looking for something? ');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '75', 'hi_mid_9', 'You looking for someone?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '76', 'hi_mid_10', 'This hasn\'t been a bad shift so far.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '77', 'hi_mid_11', 'Can I help you?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '78', 'hi_mid_12', 'Yes, citizen?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '79', 'hi_mid_13', 'Hmm?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '80', 'hi_mid_14', 'Hmm. Yes, citizen?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '82', 'hi_mid_15', 'Wish I had time to talk, but I have to stay focused.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '83', 'hi_mid_16', 'Eh?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '84', 'hi_mean_1', 'You\'re not authorized to be here.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '85', 'hi_mean_2', 'Move along, scumbag.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '86', 'hi_mean_3', 'That one looks suspicious...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '87', 'hi_mean_4', 'Halt! You look suspicious.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '88', 'hi_mean_5', 'Halt! I don\'t trust you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '89', 'hi_mean_6', 'Warning: I shoot those I don\'t trust. And I don\'t trust you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '90', 'hi_mean_7', 'Do you have authorization to be here?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '91', 'hi_mean_8', 'You\'re unauthorized. Why shouldn\'t I shoot you?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '92', 'hi_mean_9', 'Move away from here, or I may have to fire on you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '93', 'hi_mean_10', 'Move away or I may be obliged to use deadly force.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '94', 'hi_mean_11', 'This is a deadly-force area. Move along.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '95', 'hi_mean_12', 'Are you authorized to be here?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '96', 'hi_mean_13', 'Move away from my position now, scumbag.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '97', 'hi_mean_14', 'Calling in... potential target approaching. Permission to fire?... Aww...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '98', 'hi_mean_15', 'Reporting in. Suspicious subject on approach.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '99', 'hi_mean_16', 'Reporting in... potential hostile sighted.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '100', 'bye_nice_1', 'Move along, but feel free to come back.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '101', 'bye_nice_2', 'Goodbye!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '102', 'bye_nice_3', 'Bye!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '103', 'bye_nice_4', 'See you around!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '104', 'bye_nice_5', 'See you later... I better return to my post.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '105', 'bye_nice_6', 'Calling in... yes, I\'ll make sure they get away safely.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '106', 'bye_nice_7', 'Calling in... our friend\'s leaving. Returning to my post.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '107', 'bye_nice_8', 'Calling in... yes, sir... I have to return to my post.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '108', 'bye_nice_9', 'I hope you\'ll come by again!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '109', 'bye_nice_10', 'You\'re always welcome under our protection.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '110', 'bye_nice_11', 'If you need help, just call us in.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '111', 'bye_nice_12', 'My fellow soldiers and I are at your service.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '112', 'bye_nice_13', 'Watch out, friends of ours are always at risk of sudden attack...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '113', 'bye_nice_14', 'Watch your back!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '114', 'bye_nice_15', 'It was good to see you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '115', 'bye_nice_16', 'Always nice to see you!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '116', 'bye_mid_1', 'Goodbye.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '117', 'bye_mid_2', 'Goodbye!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '118', 'bye_mid_3', 'Back to my station...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '119', 'bye_mid_4', 'Calling in... returning to my station.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '120', 'bye_mid_5', 'Calling in... returning to my post.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '121', 'bye_mid_6', 'Calling in...  going back to my duties now.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '122', 'bye_mid_7', 'I\'ll return to my duties now.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '123', 'bye_mid_8', 'Move along, and I\'ll get back to my duties.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '124', 'bye_mid_9', 'I\'ll return to my post now.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '125', 'bye_mid_10', 'Alright, back to my station.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '126', 'bye_mid_11', 'OK, back to my duties.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '127', 'bye_mid_12', 'I have to get back on duty.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '128', 'bye_mid_13', 'I better return to duty.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '129', 'bye_mid_14', 'I better get back to the grind...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '130', 'bye_mid_15', 'I better get back to it before a superior comes by on inspection...!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '131', 'bye_mid_16', 'Move along.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '132', 'bye_mean_1', 'Move out of the area. Now.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '133', 'bye_mean_2', 'The potential hostile is leaving, looks like. Call it in.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '134', 'bye_mean_3', 'Calling in... potential hostile is withdrawing.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '135', 'bye_mean_4', 'Do not return to this area, or we will consider you a hostile target.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '136', 'bye_mean_5', 'Stay away from here in the future, or we may open fire.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '137', 'bye_mean_6', 'Calling in... request permission to fire on sight next time this target is sighted.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '138', 'bye_mean_7', 'Move along, and don\'t come back.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '139', 'bye_mean_8', 'Move along, please.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '140', 'bye_mean_9', 'Please move along, this area might be dangerous.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '141', 'bye_mean_10', 'Target moving away.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '142', 'bye_mean_11', 'Stand down, target departing.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '143', 'bye_mean_12', 'Stand down... looks like the target is departing.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '144', 'bye_mean_13', 'Target is leaving... cancel those reinforcements.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '145', 'bye_mean_14', 'Looks like the target\'s going. Call it in.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '146', 'bye_mean_15', 'Calling in... looks like the target is departing.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '147', 'bye_mean_16', 'Potential hostile is withdrawing.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '148', 'threat_1', 'Last warning, move away or be fired upon.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '149', 'threat_2', 'Calling in... send over reinforcements, we got trouble.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '150', 'threat_3', 'We got trouble! Back off NOW or I will shoot.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '151', 'threat_4', 'This is a dangerous place for you to be.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '152', 'threat_5', 'Move away NOW, and don\'t make any sudden moves.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '153', 'threat_6', 'Hands in the air, weapons down, or I\'ll shoot!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '154', 'threat_7', 'Careful now! Careful! You don\'t want to get hurt!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '155', 'threat_8', 'I\'m warning you, I have permission to fire if needed!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '156', 'threat_9', 'Reporting in... hostile closing, I am about to engage.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '157', 'threat_10', 'You\'re faced with military firepower. Move away.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '158', 'threat_11', 'You want a taste of this?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '159', 'threat_12', 'Don\'t come any closer or I will fire.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '160', 'threat_13', 'Just give me an excuse to open fire...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '161', 'threat_14', 'Calling in, hostile is continuing to approach. Request permission to fire.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '162', 'threat_15', 'Requesting permission to take out target...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '163', 'threat_16', 'Better call for reinforcements, they\'re approaching.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '164', 'death_1', 'I guess every soldier dies...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '165', 'death_2', 'You\'ll never take me alive...!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '166', 'death_3', 'AGH!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '167', 'death_4', 'Uggggg...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '168', 'death_5', '\"Join the army,\" they said. \"See the Galaxy...\"');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '169', 'death_6', 'I will... not... dishonor my... uniform... Urk.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '170', 'death_7', 'Must... not... agh.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '171', 'death_8', 'Quick, call in for reinforcem... AGHh.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '172', 'death_9', 'Retreat! Retre... auggghurk.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '173', 'death_10', 'Urk.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '174', 'death_11', 'NOOooooo....!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '175', 'death_12', 'I\'m done for. Guess I won\'t be winning any medals.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '176', 'death_13', 'We\'re being overrun!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '177', 'death_14', 'I hope the entire army hunts you down for what you\'ve done...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '178', 'death_15', 'Aggg....');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '179', 'death_16', 'They\'re overrunning our position...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '180', 'gloat_1', 'Calling in... my target has been taken out.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '181', 'gloat_2', 'Reporting in... cancel reinforcements, target is down.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '182', 'gloat_3', 'Target down, repeat down!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '183', 'gloat_4', 'That was close!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '184', 'gloat_5', 'These hostiles could have stood more combat training.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '185', 'gloat_6', 'Don\'t mess with the military!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '186', 'gloat_7', 'Comm in for a clean-up crew...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '187', 'gloat_8', 'Not much of a challenge here...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '188', 'gloat_9', 'Lucky they didn\'t bring more hostiles.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '189', 'gloat_10', 'Hostile taken care of.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '190', 'gloat_11', 'Reporting in... hostile situation improving.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '191', 'gloat_12', 'Reporting in... these hostiles are under control.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '192', 'gloat_13', 'And... one more down.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '193', 'gloat_14', 'Target eliminated.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '194', 'gloat_15', 'Hostile eliminated.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '195', 'gloat_16', 'Target down!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '196', 'hit_1', 'Ow!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '197', 'hit_2', 'Just a scratch!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '198', 'hit_3', 'They really need to issue me better equipment!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '199', 'hit_4', 'And they call this armor.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '200', 'hit_5', 'Ouch...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '201', 'hit_6', 'Agh!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '202', 'hit_7', 'Any word on those reinforcements?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '203', 'hit_8', 'The hostiles aren\'t bad...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '204', 'hit_9', 'Go on, try to do that again.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '205', 'hit_10', 'Hngh!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '206', 'hit_11', 'Hmm, this could be bad...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '207', 'hit_12', 'Where\'s a medic when you need one?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '208', 'hit_13', 'Ow ow ow.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '209', 'hit_14', 'Barely scratched me!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '210', 'hit_15', 'I took worse in basic training...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '211', 'hit_16', 'Why you...!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '212', 'attacked_1', 'Stand down or I\'ll open fire.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '213', 'attacked_2', 'Calling in... I\'m under attack!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '214', 'attacked_3', 'Calling in... send reinforcements, I\'m under attack!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '215', 'attacked_4', 'I\'m under attack!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '216', 'attacked_5', 'Enemy action! Calling in, calling in.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '217', 'attacked_6', 'Calling in... enemies have been sighted!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '218', 'attacked_7', 'I\'m under fire! Reinforcements?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '219', 'attacked_8', 'Enemies attacking!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '220', 'attacked_9', 'Guard the perimeter, enemies sighted!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '221', 'attacked_10', 'I suggest you stand down.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '222', 'attacked_11', 'It\'s a good day to die.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '223', 'attacked_12', 'Surrender or be annihilated!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '224', 'attacked_13', 'Surrender now and I may spare your life.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '225', 'attacked_14', 'Surrender now!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '226', 'attacked_16', 'You sure you want to tackle our military might?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '227', 'help_1', 'Help!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '228', 'help_2', 'Where\'s my tactical support?!?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '229', 'help_3', 'Help me!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '230', 'help_4', 'Hellllp!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '231', 'help_5', 'Tac support? Hello? Help me out, huh?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '232', 'help_6', 'I could use some help!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '233', 'help_7', 'Where\'s the rest of my unit? Help me out!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '234', 'help_8', 'To me!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '235', 'help_9', 'Where\'s my unit? Hostiles, hostiles!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '236', 'help_10', 'Can anyone help me out here?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '237', 'help_11', 'Hurry! Reinforcements needed!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '238', 'help_12', 'Agh! Help!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '239', 'help_13', 'Quick, hostiles here!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '240', 'help_14', 'Take cover! Hostiles!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '241', 'help_15', 'Over here! Hostiles sighted!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '242', 'help_16', 'Quick, need some reinforcements here!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '243', 'ally_1', 'That sort of action isn\'t authorized!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '244', 'ally_2', 'You don\'t hurt my allies!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '245', 'ally_3', 'I see we have an enemy here...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '246', 'ally_4', 'Target the enemy!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '247', 'ally_5', 'Alert! Enemy action!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '248', 'ally_6', 'Coward! Why don\'t you tackle a professional?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '249', 'ally_7', 'Friendly needs assistance!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '250', 'ally_8', 'Quick, someone call in an enemy attack!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '251', 'ally_9', 'Enemy attack!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '252', 'ally_10', 'I guess it\'s time for the professional soldiers to step in...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '253', 'ally_11', 'Hey, are you OK?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '254', 'ally_12', 'This is no place for civilians.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '255', 'ally_13', 'Listen up, this individual is under my protection!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '256', 'ally_14', 'That\'s not a wise idea...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '257', 'ally_15', 'Are you alright? Let me take care of this.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '258', 'ally_16', 'Time for a soldier to step in...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '259', 'hit_target_1', 'No match for superior military might!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '260', 'hit_target_2', 'Ha!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '261', 'hit_target_3', 'Got you!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '262', 'hit_target_4', 'This one\'s got some guts.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '263', 'hit_target_5', 'Brave, but stupid.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '264', 'hit_target_6', 'Someday, when my hitch is up, I could get a small farm...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '265', 'hit_target_7', 'Maybe I should call in...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '266', 'hit_target_8', 'Stand up and take it, coward!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '267', 'hit_target_9', 'Gotcha!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '268', 'hit_target_10', 'I WILL take you down.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '269', 'hit_target_11', 'Oh no you don\'t!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '270', 'hit_target_12', 'It\'s hard making this look so easy.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '271', 'hit_target_13', 'Reinforcements would make this even easier.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '272', 'hit_target_14', 'Better retreat while you still can!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '273', 'hit_target_15', 'Maybe we don\'t need reinforcements after all.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '274', 'hit_target_16', 'Surrender and I might let you live!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '275', 'assist_1', 'Pin them down!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '276', 'assist_2', 'Surround them!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '277', 'assist_3', 'Concentrate your fire!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '278', 'assist_4', 'Form up!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '279', 'assist_5', 'Get into formation!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '280', 'assist_6', 'Form up, everyone!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '281', 'assist_7', 'They\'ll regret this!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '282', 'assist_8', 'We can pin them down...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '283', 'assist_9', 'Surround the target.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '284', 'assist_10', 'Alright, troopers, into formation!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '285', 'assist_11', 'Steady now... coordinate your fire!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '286', 'assist_12', 'Steady... we need to keep them pinned down.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '287', 'assist_13', 'Steady... concentrate your fire.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '288', 'assist_14', 'Into formation, now!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '289', 'assist_15', 'Form up, ordered rows! Move it!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/military.stf', '290', 'assist_16', 'Move it, people! Formations, now!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '1', 'alert_1', 'Now hold on there...!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '2', 'alert_2', 'What wuz that?!?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '3', 'alert_3', 'Didja hear summat?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '4', 'alert_4', 'Wuzzat smell?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '5', 'alert_5', 'Summat\'s wrong...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '6', 'flee_1', 'Oh, by th\' stars! Run!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '7', 'flee_2', 'Help!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '8', 'flee_3', 'Look out, boys!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '9', 'flee_4', 'Get outta the way! Run!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '10', 'flee_5', 'Run fer yer lives!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '11', 'calm_1', 'Whew. Okey, that\'s done with.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '12', 'calm_2', 'Okeydokey, calmin\' down. \'S alright.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '13', 'calm_3', 'I\'m thankin\' goodness THAT\'s over.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '14', 'calm_4', 'Time ter settle down a bit. Whew,');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '15', 'calm_5', 'Time ter go to my happy place.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '16', 'alert_6', 'I\'m gettin\' a bad feelin\' about now...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '17', 'alert_7', 'I gots a bad feelin\' about this...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '18', 'alert_8', 'Hang on a bit... what wuzzat?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '19', 'alert_9', 'Hurm?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '20', 'alert_10', 'Eh now?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '21', 'alert_11', 'What the...?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '22', 'alert_12', 'Uh oh...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '23', 'alert_13', 'Now wha...?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '24', 'alert_14', 'Oh golly!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '25', 'alert_15', 'Wha...?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '26', 'alert_16', 'Now, what\'m I hearin\'...?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '28', 'calm_6', 'I\'m guessin\' there\'s no worries.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '29', 'calm_7', 'No worries, mate!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '30', 'calm_8', 'Hmph.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '31', 'calm_9', 'Okeydokey then...!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '32', 'calm_10', 'Welp, that\'s over.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '33', 'calm_11', 'Welp, that\'s that I guess.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '34', 'calm_12', 'Golly.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '35', 'calm_13', 'So much fer that...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '36', 'calm_14', 'Well, so much fer that!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '37', 'calm_15', 'Ho-hum \'n\' all that.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '39', 'calm_16', 'Lookin\' like the danger\'s gone.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '40', 'flee_6', 'Run away!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '41', 'flee_7', 'Let\'s get outta here!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '42', 'flee_8', 'Uh, run for it!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '43', 'flee_9', 'Time to get outta here!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '44', 'flee_10', 'Hellllp!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '45', 'flee_11', 'Ack no!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '46', 'flee_12', 'Gotta get outta here!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '47', 'flee_13', 'Time ter get outta hereabouts!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '48', 'flee_14', 'Time ter run!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '49', 'flee_15', 'I don\' wanna die!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '50', 'flee_16', 'Why\'m I always in the soup?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '51', 'hi_nice_1', '\'S great to see ya again, buddy!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '52', 'hi_nice_2', '\'S wunnerful to see yer again!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '53', 'hi_nice_3', 'Hullo there!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '54', 'hi_nice_4', '\'S great to see yer!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '55', 'hi_nice_5', 'Good t\'see ya!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '56', 'hi_nice_6', 'Well, hullo!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '57', 'hi_nice_7', '\'S nice to see yer!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '58', 'hi_nice_8', 'Well, yer a sight for my sore eyes!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '59', 'hi_nice_9', 'Greetin\'s, mate!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '60', 'hi_nice_10', 'Hey there, buddy!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '61', 'hi_nice_11', 'Hullo! Right nice to see ya!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '62', 'hi_nice_12', 'Welcome!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '63', 'hi_nice_13', 'Hi there, buddy!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '64', 'hi_nice_14', 'Sure happy to see ya!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '65', 'hi_nice_15', 'Well, now, looky here! ');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '66', 'hi_nice_16', 'Hullo! Yer needin\' help?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '67', 'hi_mid_1', 'Hullo.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '68', 'hi_mid_2', 'Can I help ya?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '69', 'hi_mid_3', 'Hullo there.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '70', 'hi_mid_4', 'Greetin\'s.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '71', 'hi_mid_5', 'Yeh?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '72', 'hi_mid_6', 'Hullo.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '73', 'hi_mid_7', 'Mhhhmmm. Yeah?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '74', 'hi_mid_8', 'You lookin\' for summat?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '75', 'hi_mid_9', 'You lookin\' fer someone?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '76', 'hi_mid_10', 'Whatcha want?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '77', 'hi_mid_11', 'Heya.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '78', 'hi_mid_12', 'Yeah? What\'s up?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '79', 'hi_mid_13', 'Hmm.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '80', 'hi_mid_14', 'Hmm. Yeah?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '82', 'hi_mid_15', 'Oh yeah. Can I help ya?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '83', 'hi_mid_16', 'Eh?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '84', 'hi_mean_1', 'Whadda YOU want?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '85', 'hi_mean_2', 'Looky who\'s here.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '86', 'hi_mean_3', 'You smell bantha poodoo? Oh, must be my \"friend\" here.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '87', 'hi_mean_4', 'Be a waste o\' breath to say hullo to the likes of YOU.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '88', 'hi_mean_5', 'Ar now, what\'re YOU wantin\'?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '89', 'hi_mean_6', 'Oh, \'s YOU.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '90', 'hi_mean_7', 'What\'re you snoopin\' around for?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '91', 'hi_mean_8', 'Looky who it is. Lemme plug my ears.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '92', 'hi_mean_9', 'Oh brother. What\'re YOU wantin\'?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '93', 'hi_mean_10', 'Clear out. You don\' wanna see me really angry.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '94', 'hi_mean_11', 'Get on outta here.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '95', 'hi_mean_12', 'Get yer face outta my sight.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '96', 'hi_mean_13', 'Looky here, a maggot come to say hullo.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '97', 'hi_mean_14', 'Y\'ain\'t welcome \'round these parts, scum.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '98', 'hi_mean_15', 'Well, now, I been itchin\' for a fight lately...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '99', 'hi_mean_16', 'You like yer bones intact, ya better leave.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '100', 'bye_nice_1', 'Nice ta see ya! Bye now!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '101', 'bye_nice_2', 'Byebye!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '102', 'bye_nice_3', 'Be seein\' ya, buddy!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '103', 'bye_nice_4', 'I\'ll see ya \'round!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '104', 'bye_nice_5', 'Catch ya later, buddy!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '105', 'bye_nice_6', 'Goodbye, bud!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '106', 'bye_nice_7', 'Hey now, I\'ll see ya later!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '107', 'bye_nice_8', 'Aww, you gotta go?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '108', 'bye_nice_9', 'Well, I hate ter see ya go...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '109', 'bye_nice_10', 'Yer leavin? Aww...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '110', 'bye_nice_11', 'Goodbye! Sorry yer headin\' out.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '111', 'bye_nice_12', 'Will I ever see ya again?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '112', 'bye_nice_13', 'Sure hope to see ya again.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '113', 'bye_nice_14', 'Wuz an honor ter see ya. Honest.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '114', 'bye_nice_15', 'Really great to see ya, y\'know.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '115', 'bye_nice_16', 'Don\'t ferget me, OK?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '116', 'bye_mid_1', 'Bye.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '117', 'bye_mid_2', 'G\'bye.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '118', 'bye_mid_3', 'Bye-bye.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '119', 'bye_mid_4', 'See ya.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '120', 'bye_mid_5', 'Be seein\' ya.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '121', 'bye_mid_6', 'See ya \'round.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '122', 'bye_mid_7', 'Bye now.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '123', 'bye_mid_8', 'Well now. See ya later.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '124', 'bye_mid_9', 'See ya later.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '125', 'bye_mid_10', 'G\'bye now.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '126', 'bye_mid_11', 'Leavin\'? Bye.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '127', 'bye_mid_12', 'Headin\' out? Bye.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '128', 'bye_mid_13', 'Gotta go? Bye.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '129', 'bye_mid_14', 'Got a date? See ya later.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '130', 'bye_mid_15', 'Someone waitin\' on ya? See ya \'round then.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '131', 'bye_mid_16', 'In a rush, huh? Bye then.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '132', 'bye_mean_1', 'Get lost, bud.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '133', 'bye_mean_2', 'Good riddance, buster.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '134', 'bye_mean_3', 'Thass right, walk away, scumbag.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '135', 'bye_mean_4', 'Thass right, take a hike into a Sarlaac, scumbag.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '136', 'bye_mean_5', 'Bye bye, scumbag.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '137', 'bye_mean_6', 'Better leave, afore I punch yer nose in.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '138', 'bye_mean_7', 'Ya ain\'t welcome, so get outta here.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '139', 'bye_mean_8', 'Overstayed yer welcome, eh?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '140', 'bye_mean_9', 'No need to run, we can play some, if ya want, heh heh.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '141', 'bye_mean_10', 'Aww, leavin\' before a fight huh?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '142', 'bye_mean_11', 'Better not let me catch ya in a dark alley.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '143', 'bye_mean_12', 'Now that the stink\'s gone...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '144', 'bye_mean_13', 'Here\'s hopin\' ya don\'t come back!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '145', 'bye_mean_14', 'Next time ya come, bring friends. Love to beat ya ALL up.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '146', 'bye_mean_15', '\'Bout time ya got gone, buddy.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '147', 'bye_mean_16', 'Glad to have wasted th\' time o\'day on ya.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '148', 'threat_1', 'Take a hike.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '149', 'threat_2', 'I don\' like yer kind.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '150', 'threat_3', 'Ya better clear on outta here.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '151', 'threat_4', 'This is a dangerous place for the likes o\' you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '152', 'threat_5', 'If ya know what\'s good for ya, you\'ll scram on outta here.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '153', 'threat_6', 'Back off, buddy, or I\'ll do somethin\' yer gonna hate...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '154', 'threat_7', 'C\'mon then. Bring it on, buddy!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '155', 'threat_8', 'Ya feelin\' lucky? Hmm?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '156', 'threat_9', 'I\'m drawin\' a line in the sand here, and I\'m on this side, see, and yer on the other side, and... oh, never mind.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '157', 'threat_10', 'I\'m thinkin\' you\'d make a nice stuffed trophy.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '158', 'threat_11', 'Ya wanna taste o\' this?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '159', 'threat_12', 'Come closer, ya can have a knuckle sandwich...!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '160', 'threat_13', 'Gimme an excuse ta kill ya...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '161', 'threat_14', 'Yer guts are gonna get spilled on the ground here...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '162', 'threat_15', 'Yer better back off, I\'m the fastest guy in the system.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '163', 'threat_16', 'Goody, someone ta practice targets on.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '164', 'death_1', 'Welp, THAT hurt. Fatal, possibly. Yep.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '165', 'death_2', 'I\'m seein\' a dark tunnel... and a bright white light... pretty...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '166', 'death_3', 'AGH!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '167', 'death_4', 'Uggg...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '168', 'death_5', 'I\'s too young ta die.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '169', 'death_6', 'Mommy?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '170', 'death_7', 'I... ain\'t... agh.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '171', 'death_8', 'I swear I\'ll haunt ya to yer grave...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '172', 'death_9', 'Yer never goin\' ta be rid o\' me...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '173', 'death_10', 'Urk.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '174', 'death_11', 'NOOOooooo....');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '175', 'death_12', 'I... I\'m done fer.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '176', 'death_13', 'I always thought I\'d have more time in this world...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '177', 'death_14', 'Yer gonna live ta regret this...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '178', 'death_15', 'Aggg...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '179', 'death_16', 'Curses, ya got me!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '180', 'gloat_1', 'Well, that was easy, I\'m thinkin\'.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '181', 'gloat_2', 'Good fight. Yeah.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '182', 'gloat_3', 'Whew, that was a close \'un.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '183', 'gloat_4', 'So much fer that.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '184', 'gloat_5', 'Now, ya were a worthy opponent and all...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '185', 'gloat_6', 'Heh, yer thinkin\' ya can take ME on?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '186', 'gloat_7', 'Someone better mop this mess up.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '187', 'gloat_8', 'Well, that was sorta pathetic.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '188', 'gloat_9', 'Next time, bring lotsa friends.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '189', 'gloat_10', 'Sorry \'bout that.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '190', 'gloat_11', 'I hate havin\' ta kill folks...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '191', 'gloat_12', 'Hee hee.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '192', 'gloat_13', 'Whammo!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '193', 'gloat_14', 'Good riddance to ya.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '194', 'gloat_15', 'Ya poor dolt...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '195', 'gloat_16', 'An\' another one down...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '196', 'hit_1', 'Ow!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '197', 'hit_2', 'Jest a scratch.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '198', 'hit_3', 'You\'ll need more\'n that ta take me down!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '199', 'hit_4', 'Agh!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '200', 'hit_5', 'Ouch.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '201', 'hit_6', 'Gee, now yer makin\' me mad.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '202', 'hit_7', 'Nice try, buddy, but I\'m still here!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '203', 'hit_8', 'That the best ya can do?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '204', 'hit_9', 'Go on then, try an\' do that again!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '205', 'hit_10', 'Ungh!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '206', 'hit_11', 'Hurm, this could be gettin\' bad by and by.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '207', 'hit_12', 'Hey, is there a medic in the house?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '208', 'hit_13', 'Owie.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '209', 'hit_14', 'Yer barely scratchin\' me!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '210', 'hit_15', 'Not good, not good...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '211', 'hit_16', 'Why, you little...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '212', 'attacked_1', 'Flee, or yer gonna die...!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '213', 'attacked_2', 'Yer not the toughest to try to take me down, ya know.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '214', 'attacked_3', 'Another fight? Yeesh, next time I\'m invited ta one, I\'m skippin\'.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '215', 'attacked_4', 'Ya realize you\'ll miss out on old age, right?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '216', 'attacked_5', 'My momma always said I wouldn\'t die in bed.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '217', 'attacked_6', 'Can\'t wait ta loot yer corpse!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '218', 'attacked_7', 'They got a table ready for ya in the afterlife, I hear.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '219', 'attacked_8', 'Ya better run. Killin\' don\'t take me long.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '220', 'attacked_9', 'Oohh, I\'m SOOOO scared. Heh.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '221', 'attacked_10', 'Do we have ta fight?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '222', 'attacked_11', '\'S a good day to die.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '223', 'attacked_12', 'If\'n ya start runnin\' now, ya might get away...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '224', 'attacked_13', 'Pickin\' on little ol\' me, huh?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '225', 'attacked_14', 'Aww, don\' make me kill ya!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '226', 'attacked_16', 'Here\'s hopin\' yer will is ready.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '227', 'help_1', 'Help!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '228', 'help_2', 'I\'m needin\' some help, anytime now...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '229', 'help_3', 'Help me!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '230', 'help_4', 'Hellllp!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '231', 'help_5', 'Don\' mean to bother ya, but... HELP!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '232', 'help_6', 'I could be usin\' some help here...!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '233', 'help_7', 'I can\'t handle it all by my lonesome...!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '234', 'help_8', 'Ta me! Help!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '235', 'help_9', 'Help? Please?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '236', 'help_10', 'Uh, can anyone help me?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '237', 'help_11', 'Hurry, I\'m needin\' help!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '238', 'help_12', 'Argh! Help!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '239', 'help_13', 'Quick now, over here!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '240', 'help_14', 'Over hereabouts, hurry up now!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '241', 'help_15', 'Hurry! Over hereabouts!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '242', 'help_16', 'I could be usin\' help here!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '243', 'ally_1', 'Get away from my friend there!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '244', 'ally_2', 'Ya don\' lay a finger on my friends!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '245', 'ally_3', 'Why you little...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '246', 'ally_4', 'Hey now! Back off!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '247', 'ally_5', 'Just a sec there! What\'re ya doin\'?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '248', 'ally_6', 'Coward, why dontcha pick on me instead?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '249', 'ally_7', 'Pick on someone yer own size!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '250', 'ally_8', 'You needin\' help here, friend?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '251', 'ally_9', 'Yer lookin\' like you could use some help.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '252', 'ally_10', 'Welp, guess I should be steppin\' in here.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '253', 'ally_11', 'Hey! Yer OK?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '254', 'ally_12', 'Hey now! You should be leavin\' my friend alone!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '255', 'ally_13', 'I don\' care who y\'are, ya don\'t touch my friends.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '256', 'ally_14', 'Hey now!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '257', 'ally_15', 'Are y\'okay, buddy? Lemme take care o\' this.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '258', 'ally_16', 'Lemme even up the odds summat.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '259', 'hit_target_1', 'Take that, buddy!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '260', 'hit_target_2', 'Hee hee!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '261', 'hit_target_3', 'Got ya!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '262', 'hit_target_4', 'You got an ouchie!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '263', 'hit_target_5', 'Ha ha! I gotcha!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '264', 'hit_target_6', 'Fight! I love a fight!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '265', 'hit_target_7', 'Looks like yer hurt.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '266', 'hit_target_8', 'C\'mere, coward!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '267', 'hit_target_9', 'I got yer!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '268', 'hit_target_10', 'Yer goin\' down!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '269', 'hit_target_11', 'Oh no, ya don\'t!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '270', 'hit_target_12', 'Mmmm, lemme see.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '271', 'hit_target_13', 'My turn now...!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '272', 'hit_target_14', 'Ya better run away while ya can!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '273', 'hit_target_15', 'Ooh, that must \'ave hurt ye.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '274', 'hit_target_16', 'Yer doomed. Why dontcha surrender?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '275', 'assist_1', 'Time for ya to die!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '276', 'assist_2', 'Surround \'em!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '277', 'assist_3', 'Concentrate yer fire!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '278', 'assist_4', 'Form up, maggots!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '279', 'assist_5', 'Get inter formation!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '280', 'assist_6', 'Form up, ya useless cannon fodder!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '281', 'assist_7', 'They\'re gonna regret this...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '282', 'assist_8', 'We kin pin\' em down...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '283', 'assist_9', 'Surround the target, people!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '284', 'assist_10', 'OK, yer needin\' ta get into formations now, people!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '285', 'assist_11', 'No shakin\' hands now, keep \'er steady and fire together.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '286', 'assist_12', 'We\'re needin\' to keep \'em pinned down. Hold \'em steady!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '287', 'assist_13', 'Steady now! Concentrate yer fire!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '288', 'assist_14', 'Get inter formation, now!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '289', 'assist_15', 'Form up, in nice rows! Move it, ya lunks!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/slang.stf', '290', 'assist_16', 'Move it, ya useless worms! Formations!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '1', 'alert_1', 'There\'s a disturbance here.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '2', 'alert_2', 'Incoming...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '3', 'alert_3', 'Weapons loaded and ready.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '4', 'alert_4', 'What\'s that? Check it out.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '5', 'alert_5', 'Something\'s not right.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '6', 'flee_1', 'Retreat! Retreat!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '7', 'flee_2', 'Calling in... send reinforcements, we can\'t hold \'em.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '8', 'flee_3', 'Look out!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '9', 'flee_4', 'We can\'t hold \'em!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '10', 'flee_5', 'Retreat! Orderly now!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '11', 'calm_1', 'Stand down...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '12', 'calm_2', 'OK, calm down. Hostiles have moved away.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '13', 'calm_3', 'The situation is normal, but stay alert.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '14', 'calm_4', 'All right. Things have settled down here.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '15', 'calm_5', 'Call it in, looks like everything\'s quiet.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '16', 'alert_6', 'What\'s going on here?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '17', 'alert_7', 'Looks like trouble.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '18', 'alert_8', 'What was that?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '19', 'alert_9', 'Who\'s there? Identify yourself?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '20', 'alert_10', 'What was that?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '21', 'alert_11', 'Could be trouble, better call in.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '22', 'alert_12', 'Heads up!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '23', 'alert_13', 'Weapons ready!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '24', 'alert_14', 'Uh oh.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '25', 'alert_15', 'Now, what was that?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '26', 'alert_16', 'Heads up, incoming...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '28', 'calm_6', 'Reporting in... looks like there\'s no danger.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '29', 'calm_7', 'Reporting in... no reinforcements needed after all.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '30', 'calm_8', 'Reporting in... false alarm, looks like.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '31', 'calm_9', 'Reporting in... yes, sir. No further activity.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '32', 'calm_10', 'Stand down, the danger is over.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '33', 'calm_11', 'That all. Stand down!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '34', 'calm_12', 'We\'re done here.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '35', 'calm_13', 'All right. Report any further problems immediately.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '36', 'calm_14', 'So much for that!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '37', 'calm_15', 'Area is secure.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '39', 'calm_16', 'Looks like the hostiles are gone.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '40', 'flee_6', 'Backing off.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '41', 'flee_7', 'Reporting in...Position compromised!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '42', 'flee_8', 'Withdraw immediately! Let\'s go!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '43', 'flee_9', 'Can\'t hold this position anymore! Retreat!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '44', 'flee_10', 'Move out!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '45', 'flee_11', 'Moving to better position.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '46', 'flee_12', 'Withdraw!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '47', 'flee_13', 'Position compromised!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '48', 'flee_14', 'Move! Move!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '49', 'flee_15', 'Reporting in... position overrun, retreating...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '50', 'flee_16', 'Calling in... this position is compromised. Withdrawing!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '51', 'hi_nice_1', 'Stand down, it\'s a friendly.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '52', 'hi_nice_2', 'Is there a problem that I need to help you with?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '53', 'hi_nice_3', 'Reporting in... this sector is clear.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '54', 'hi_nice_4', 'Tell me what you need.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '55', 'hi_nice_5', 'I\'m at your service.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '56', 'hi_nice_6', 'What do you need from me?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '57', 'hi_nice_7', 'I\'m awaiting further instructions from my commander.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '58', 'hi_nice_8', 'Things seem stable at this post.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '59', 'hi_nice_9', 'I don\'t need to see your ID.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '60', 'hi_nice_10', 'What can I do for you?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '61', 'hi_nice_11', 'At attention. ');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '62', 'hi_nice_12', 'Yes?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '63', 'hi_nice_13', 'All right, how can I be of assistance?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '64', 'hi_nice_14', 'Reporting in... everything is clear at this position.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '65', 'hi_nice_15', 'How can I be of service, citizen?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '66', 'hi_nice_16', 'Ready to assist you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '67', 'hi_mid_1', 'Move along.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '68', 'hi_mid_2', 'Can I help you, citizen?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '69', 'hi_mid_3', 'Warning, this is a restricted area.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '70', 'hi_mid_4', 'This is a restricted area.  Watch what you do here.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '71', 'hi_mid_5', 'What is it?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '72', 'hi_mid_6', 'Calling in... another random civilian is wandering by.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '73', 'hi_mid_7', 'Reporting in... everything is under control here.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '74', 'hi_mid_8', 'What do you want?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '75', 'hi_mid_9', 'Do you need something, citizen?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '76', 'hi_mid_10', 'Keep moving.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '77', 'hi_mid_11', 'What do you need?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '78', 'hi_mid_12', 'Yes, citizen?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '79', 'hi_mid_13', 'Why are you here?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '80', 'hi_mid_14', 'Please move along. I am on duty.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '82', 'hi_mid_15', 'Is there something you need?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '83', 'hi_mid_16', 'What is the problem?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '84', 'hi_mean_1', 'You\'re not authorized to be here.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '85', 'hi_mean_2', 'You are required to move along.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '86', 'hi_mean_3', 'That one looks suspicious...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '87', 'hi_mean_4', 'Halt! You look suspicious.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '88', 'hi_mean_5', 'Halt! Identify yourself.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '89', 'hi_mean_6', 'Show your identification, now!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '90', 'hi_mean_7', 'Do you have authorization to be here?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '91', 'hi_mean_8', 'You\'re unauthorized. Move along.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '92', 'hi_mean_9', 'Move away from here, or you may be fired upon.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '93', 'hi_mean_10', 'Move away.  This is a restricted area.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '94', 'hi_mean_11', 'This is a restricted area. Move along.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '95', 'hi_mean_12', 'Are you authorized to be here?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '96', 'hi_mean_13', 'Move away from my position now.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '97', 'hi_mean_14', 'Calling in... potential target approaching. Awaiting instructions.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '98', 'hi_mean_15', 'Reporting in. Suspicious subject on approach.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '99', 'hi_mean_16', 'Reporting in... potential hostile sighted.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '100', 'bye_nice_1', 'Move along. You are permitted to return as needed.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '101', 'bye_nice_2', 'Don\'t hesitate to contact us if you encounter problems.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '102', 'bye_nice_3', 'Good day.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '103', 'bye_nice_4', 'Contact me if you need anything.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '104', 'bye_nice_5', 'Time to return to my post.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '105', 'bye_nice_6', 'Calling in... yes, I\'ll make sure they get away safely.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '106', 'bye_nice_7', 'Calling in... Returning to station.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '107', 'bye_nice_8', 'Calling in... yes, sir... I have to return to my post.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '108', 'bye_nice_9', 'At your service.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '109', 'bye_nice_10', 'Let me know if you need assistance in the future.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '110', 'bye_nice_11', 'If you need help, just call us in.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '111', 'bye_nice_12', 'Imperial Stormtroopers are at your service. Good day.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '112', 'bye_nice_13', 'Beware of rebels.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '113', 'bye_nice_14', 'Watch your back!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '114', 'bye_nice_15', 'Watch out for rebels.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '115', 'bye_nice_16', 'Good day. Report any rebel activity you come across.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '116', 'bye_mid_1', 'Goodbye.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '117', 'bye_mid_2', 'You can go now.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '118', 'bye_mid_3', 'Back to my station...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '119', 'bye_mid_4', 'Calling in... returning to my station.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '120', 'bye_mid_5', 'Reporting in... returning to my post.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '121', 'bye_mid_6', 'Reporting in... awaiting orders.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '122', 'bye_mid_7', 'I\'ll return to my duties now.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '123', 'bye_mid_8', 'Move along, and I\'ll get back to my duties.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '124', 'bye_mid_9', 'I\'ll return to my post now.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '125', 'bye_mid_10', 'Alright, back to my station.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '126', 'bye_mid_11', 'OK, back to my duties.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '127', 'bye_mid_12', 'I have to get back on duty.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '128', 'bye_mid_13', 'I must return to duty.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '129', 'bye_mid_14', 'That will be all.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '130', 'bye_mid_15', 'Calling in... situation normal here.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '131', 'bye_mid_16', 'Move along.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '132', 'bye_mean_1', 'Move out of the area. Now.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '133', 'bye_mean_2', 'The potential hostile is leaving. Call it in.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '134', 'bye_mean_3', 'Reporting in... potential hostile is withdrawing.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '135', 'bye_mean_4', 'Do not return to this area, or we will consider you a hostile target.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '136', 'bye_mean_5', 'By Imperial order, stay away from here in the future.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '137', 'bye_mean_6', 'Reporting in... request permission to fire on sight next time this target is sighted.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '138', 'bye_mean_7', 'Move along, and don\'t come back.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '139', 'bye_mean_8', 'Move along. Move along.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '140', 'bye_mean_9', 'Move along. You are not permitted to return.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '141', 'bye_mean_10', 'Target moving away.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '142', 'bye_mean_11', 'Stand down, target departing.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '143', 'bye_mean_12', 'Stand down... looks like the target is departing.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '144', 'bye_mean_13', 'Target is leaving... cancel those reinforcements.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '145', 'bye_mean_14', 'Looks like the target\'s going. Call it in.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '146', 'bye_mean_15', 'Calling in... looks like the target is departing.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '147', 'bye_mean_16', 'Potential hostile is withdrawing.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '148', 'threat_1', 'Last warning, move away or be fired upon.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '149', 'threat_2', 'Calling in... send over reinforcements, we got trouble.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '150', 'threat_3', 'By Imperial order, back off NOW or I will shoot.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '151', 'threat_4', 'I\'m warning you, move away!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '152', 'threat_5', 'Don\'t make any sudden moves. Move away.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '153', 'threat_6', 'Hands in the air, weapons down, or I\'ll shoot!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '154', 'threat_7', 'Don\'t cause any trouble or I will fire.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '155', 'threat_8', 'I\'m warning you, I have permission to fire if needed!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '156', 'threat_9', 'Reporting in... hostile closing, I am about to engage.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '157', 'threat_10', 'You are in direct violation of Imperial law. Move away.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '158', 'threat_11', 'If you do not cease all activities, you will be fired upon.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '159', 'threat_12', 'Stand back or I will fire.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '160', 'threat_13', 'Preparing to subdue target.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '161', 'threat_14', 'Calling in, hostile is continuing to approach. Request permission to fire.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '162', 'threat_15', 'Requesting permission to take out target...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '163', 'threat_16', 'Better call for reinforcements, they\'re approaching.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '164', 'death_1', 'Calling in... TX-four...agh!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '165', 'death_2', 'Don\'t let...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '166', 'death_3', 'AGH!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '167', 'death_4', 'Uggggg...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '168', 'death_5', 'Reporting casualties!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '169', 'death_6', 'Hey...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '170', 'death_7', 'Must... not... agh.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '171', 'death_8', 'Quick, call in for reinforcem... AGHh.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '172', 'death_9', 'Retreat! Retre... auggghurk.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '173', 'death_10', 'Urk.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '174', 'death_11', 'NOOooooo....!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '175', 'death_12', 'Calling...argh!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '176', 'death_13', 'We\'re being overrun!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '177', 'death_14', 'In the name of the Empire...ugh!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '178', 'death_15', 'Aggg....');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '179', 'death_16', 'They\'re overrunning our position...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '180', 'gloat_1', 'Calling in... my target neutralized.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '181', 'gloat_2', 'Reporting in... cancel reinforcements, target is down.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '182', 'gloat_3', 'Target down, repeat down!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '183', 'gloat_4', 'It\'s over now.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '184', 'gloat_5', 'These hostiles were not a problem.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '185', 'gloat_6', 'In the name of the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '186', 'gloat_7', 'Calling in... things are clear at my location.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '187', 'gloat_8', 'The resistance didn\'t put up that much of a struggle.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '188', 'gloat_9', 'Reporting in... the situation has been resovled.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '189', 'gloat_10', 'Hostile taken care of.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '190', 'gloat_11', 'Reporting in... hostile situation improving.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '191', 'gloat_12', 'Reporting in... these hostiles are under control.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '192', 'gloat_13', 'Target down.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '193', 'gloat_14', 'Target eliminated.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '194', 'gloat_15', 'Hostile eliminated.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '195', 'gloat_16', 'Target down!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '196', 'hit_1', 'Ow!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '197', 'hit_2', 'Calling in...taking damage here!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '198', 'hit_3', 'Armor damaged.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '199', 'hit_4', 'I\'m hit.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '200', 'hit_5', 'Ouch...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '201', 'hit_6', 'Agh!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '202', 'hit_7', 'I need reinforcements!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '203', 'hit_8', 'Regroup.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '204', 'hit_9', 'You are under arrest for attacking an Imperial Stormtrooper!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '205', 'hit_10', 'Hngh!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '206', 'hit_11', 'I\'ve been hit!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '207', 'hit_12', 'Reporting in... I\'m taking hits!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '208', 'hit_13', 'guh!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '209', 'hit_14', 'I\'ve taken damage!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '210', 'hit_15', 'Registering hit. I need reinforcements.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '211', 'hit_16', 'Under heavy fire!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '212', 'attacked_1', 'Blast them!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '213', 'attacked_2', 'Reporting in... I\'m under attack!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '214', 'attacked_3', 'Calling in... send reinforcements, I\'m under attack!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '215', 'attacked_4', 'I\'m under attack!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '216', 'attacked_5', 'Enemy action! Calling in, calling in.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '217', 'attacked_6', 'Calling in... enemies have been sighted!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '218', 'attacked_7', 'I\'m under fire! Send reinforcements.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '219', 'attacked_8', 'Enemies attacking!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '220', 'attacked_9', 'Guard the perimeter, enemies sighted!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '221', 'attacked_10', 'Stand down. Now!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '222', 'attacked_11', 'Get down on the ground! Now!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '223', 'attacked_12', 'Drop your weapon and put your hands in the air!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '224', 'attacked_13', 'Put down your weapon.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '225', 'attacked_14', 'Surrender now!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '226', 'attacked_16', 'Cease your attack and surrender in the name of the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '227', 'help_1', 'We\'ve got trouble here!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '228', 'help_2', 'Awaiting tactical support! Repeat, I am awaiting immediately tactical support!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '229', 'help_3', 'I\'m pinned down!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '230', 'help_4', 'In need of immediate reinforcements!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '231', 'help_5', 'Reporting in... the situation has not been contained! Send assistance!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '232', 'help_6', 'Calling in for immediate support! Taking fire!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '233', 'help_7', 'Reporting in... the situation is out of our control!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '234', 'help_8', 'Calling all reinforcements! Under heavy attack!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '235', 'help_9', 'Unit report in. Report in!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '236', 'help_10', 'I\'m in need of immediate assistance!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '237', 'help_11', 'Hurry! Reinforcements needed!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '238', 'help_12', 'Agh! Send help!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '239', 'help_13', 'Quick, hostiles here!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '240', 'help_14', 'Take cover!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '241', 'help_15', 'Over here! Hostiles sighted!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '242', 'help_16', 'Quick, need some reinforcements here!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '243', 'ally_1', 'That sort of action isn\'t authorized!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '244', 'ally_2', 'That action is illegal. ');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '245', 'ally_3', 'Enemy identified.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '246', 'ally_4', 'Target the enemy!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '247', 'ally_5', 'Alert! Enemy action!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '248', 'ally_6', 'Stand back, I\'ll handle this situation.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '249', 'ally_7', 'Citizen needs assistance!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '250', 'ally_8', 'Quick, call in an enemy attack!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '251', 'ally_9', 'Enemy attack!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '252', 'ally_10', 'Stop, by order of the Empire!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '253', 'ally_11', 'I\'m ready to assist.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '254', 'ally_12', 'This is no place for civilians.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '255', 'ally_13', 'You are in violation of Imperial Law.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '256', 'ally_14', 'Hey!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '257', 'ally_15', 'Are you alright? Let me take care of this.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '258', 'ally_16', 'That is not permitted!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '259', 'hit_target_1', 'Target hit.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '260', 'hit_target_2', 'Halt or I\'ll fire again.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '261', 'hit_target_3', 'I got one.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '262', 'hit_target_4', 'Taking target down.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '263', 'hit_target_5', 'Reporting in... Hostile is being apprehended.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '264', 'hit_target_6', 'Confirmed hit.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '265', 'hit_target_7', 'Target is being neutralized.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '266', 'hit_target_8', 'Cease hostilities or I\'ll blast you again.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '267', 'hit_target_9', 'This is your last warning. Surrender or die!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '268', 'hit_target_10', 'Surrender now!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '269', 'hit_target_11', 'That\'s a hit.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '270', 'hit_target_12', 'That was just a warning shot.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '271', 'hit_target_13', 'Halt your hostilities or I\'ll shoot again!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '272', 'hit_target_14', 'Stand down!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '273', 'hit_target_15', 'You have been warned!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '274', 'hit_target_16', 'Surrender and the Empire may have mercy on you!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '275', 'assist_1', 'Pin them down!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '276', 'assist_2', 'Surround them!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '277', 'assist_3', 'Concentrate your fire!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '278', 'assist_4', 'Form up!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '279', 'assist_5', 'Get into formation!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '280', 'assist_6', 'Form up, troopers!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '281', 'assist_7', 'They\'ll regret taking on the Empire!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '282', 'assist_8', 'We can pin them down...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '283', 'assist_9', 'Surround the target.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '284', 'assist_10', 'Alright, troopers, into formation!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '285', 'assist_11', 'Steady now... coordinate your fire!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '286', 'assist_12', 'Steady... we need to keep them pinned down.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '287', 'assist_13', 'Steady... concentrate your fire.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '288', 'assist_14', 'Into formation, now!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '289', 'assist_15', 'Form up, ordered rows! Move it!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/stormtrooper.stf', '290', 'assist_16', 'Move it, troopers! Formations, now!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '1', 'alert_1', 'Hold up!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '2', 'alert_2', 'What was that?!?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '3', 'alert_3', 'Did you hear something?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '4', 'alert_4', 'What\'s that smell?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '5', 'alert_5', 'Something\'s wrong...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '6', 'flee_1', 'Oh my God!  Run!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '7', 'flee_2', 'Help me!  Help!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '8', 'flee_3', 'Look out!  ');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '9', 'flee_4', 'Get out of the way!  Run!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '10', 'flee_5', 'Run for your lives!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '11', 'calm_1', 'Whew.  Ok, it\'s over.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '12', 'calm_2', 'Ok, calm down.  It\'s all right.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '13', 'calm_3', 'Thank goodness that\'s over.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '14', 'calm_4', 'Ok, I can settle down now.  Whew.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '15', 'calm_5', 'Relax.  Relax.  I\'m going to my happy place.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '16', 'alert_6', 'I\'ve got a bad feeling about this...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '17', 'alert_7', 'I have a bad feeling about this...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '18', 'alert_8', 'Hang on... what was that?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '19', 'alert_9', 'Hmm?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '20', 'alert_10', 'Eh?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '21', 'alert_11', 'What  the...?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '22', 'alert_12', 'Uh oh...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '23', 'alert_13', 'Now what...?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '24', 'alert_14', 'Uh oh!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '25', 'alert_15', 'Now what...!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '26', 'alert_16', 'Now, what was that...?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '28', 'calm_6', 'I guess there\'s no danger.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '29', 'calm_7', 'No need to worry...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '30', 'calm_8', 'Hmph.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '31', 'calm_9', 'Alright then.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '32', 'calm_10', 'Well, that\'s over.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '33', 'calm_11', 'Well, that\'s that!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '34', 'calm_12', 'Whew!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '35', 'calm_13', 'So much for that...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '36', 'calm_14', 'So much for that!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '37', 'calm_15', 'Ho-hum.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '39', 'calm_16', 'Looks like the danger has passed.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '40', 'flee_6', 'Run away!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '41', 'flee_7', 'Let\'s get out of here!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '42', 'flee_8', 'I\'m outta here!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '43', 'flee_9', 'Retreat!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '44', 'flee_10', 'Hellllp!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '45', 'flee_11', 'Oh no!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '46', 'flee_12', 'Got to get out of here...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '47', 'flee_13', 'Time to get out of here...!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '48', 'flee_14', 'Time to run!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '49', 'flee_15', 'I don\'t want to die.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '50', 'flee_16', 'How do I get myself into these situations?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '51', 'hi_nice_1', 'Good to see you again!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '52', 'hi_nice_2', 'Great to see you again.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '53', 'hi_nice_3', 'Hello there!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '54', 'hi_nice_4', 'Great to see you!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '55', 'hi_nice_5', 'Good to see you!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '56', 'hi_nice_6', 'Well, hello!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '57', 'hi_nice_7', 'It\'s nice to see you!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '58', 'hi_nice_8', 'You\'re a sight for sore eyes!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '59', 'hi_nice_9', 'Greetings!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '60', 'hi_nice_10', 'Welcome, friend!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '61', 'hi_nice_11', 'Hello! Very nice to see you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '62', 'hi_nice_12', 'Welcome!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '63', 'hi_nice_13', 'Hi there!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '64', 'hi_nice_14', 'A pleasure to see you!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '65', 'hi_nice_15', 'Well, well, look who it is!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '66', 'hi_nice_16', 'Hello there! Can I help you?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '67', 'hi_mid_1', 'Hello.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '68', 'hi_mid_2', 'Can I help you?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '69', 'hi_mid_3', 'Hello there.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '70', 'hi_mid_4', 'Greetings.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '71', 'hi_mid_5', 'Yes?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '72', 'hi_mid_6', 'Hello.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '73', 'hi_mid_7', 'Mhhmmm. Yes?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '74', 'hi_mid_8', 'You looking for something?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '75', 'hi_mid_9', 'You looking for someone?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '76', 'hi_mid_10', 'What do you want?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '77', 'hi_mid_11', 'Hi.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '78', 'hi_mid_12', 'Yeah?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '79', 'hi_mid_13', 'Hmm?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '80', 'hi_mid_14', 'Hmm. Yes?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '82', 'hi_mid_15', 'Ah, yes. Can I help you?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '83', 'hi_mid_16', 'Eh?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '84', 'hi_mean_1', 'What do YOU want?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '85', 'hi_mean_2', 'Well, look who it is.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '86', 'hi_mean_3', 'Do I smell something? Oh, it\'s you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '87', 'hi_mean_4', 'I\'d say hello, but why bother being polite?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '88', 'hi_mean_5', 'Ugh. What do YOU want?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '89', 'hi_mean_6', 'Oh, it\'s YOU.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '90', 'hi_mean_7', 'What are you doing skulking around here?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '91', 'hi_mean_8', 'Don\'t tell me--no, really, don\'t.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '92', 'hi_mean_9', 'Oh brother. What do YOU want?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '93', 'hi_mean_10', 'If you know what\'s good for you, you\'ll leave before I get angry.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '94', 'hi_mean_11', 'Get out of here.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '95', 'hi_mean_12', 'Get lost.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '96', 'hi_mean_13', 'Well, well. If it isn\'t a scumbag come to say hello.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '97', 'hi_mean_14', 'You aren\'t welcome around here, you know.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '98', 'hi_mean_15', 'Oh, it\'s you. There goes the neighborhood.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '99', 'hi_mean_16', 'You\'re not welcome. Go away.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '100', 'bye_nice_1', 'Goodbye.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '101', 'bye_nice_2', 'Goodbye!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '102', 'bye_nice_3', 'Bye!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '103', 'bye_nice_4', 'See you around.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '104', 'bye_nice_5', 'See you later.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '105', 'bye_nice_6', 'I\'ll catch you later.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '106', 'bye_nice_7', 'It was really nice to see you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '107', 'bye_nice_8', 'It was great to see you!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '108', 'bye_nice_9', 'I hope I\'ll see you again.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '109', 'bye_nice_10', 'Stop by again sometime!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '110', 'bye_nice_11', 'Sorry you have to go...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '111', 'bye_nice_12', 'Leaving? Too bad. I\'ll see you around.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '112', 'bye_nice_13', 'Always nice to see you. Come back soon!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '113', 'bye_nice_14', 'Glad to see you, sorry to see you go.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '114', 'bye_nice_15', 'I hate to see you go...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '115', 'bye_nice_16', 'I wish you didn\'t have to leave. Goodbye.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '116', 'bye_mid_1', 'Goodbye.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '117', 'bye_mid_2', 'Goodbye!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '118', 'bye_mid_3', 'See you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '119', 'bye_mid_4', 'I\'m sure I\'ll see you again.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '120', 'bye_mid_5', 'So, you have to go?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '121', 'bye_mid_6', 'Farewell.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '122', 'bye_mid_7', 'Goodbye, goodbye.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '123', 'bye_mid_8', 'Bye, see you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '124', 'bye_mid_9', 'Bye!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '125', 'bye_mid_10', 'Later, then.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '126', 'bye_mid_11', 'Oh, you\'re leaving?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '127', 'bye_mid_12', 'Expected somewhere? See you later.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '128', 'bye_mid_13', 'Got somewhere to be? See you later.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '129', 'bye_mid_14', 'Places to go, people to see? Bye!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '130', 'bye_mid_15', 'You\'re leaving? Well, I\'m sure we\'ll catch up again sometime.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '131', 'bye_mid_16', 'OK, I have to go too. Bye!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '132', 'bye_mean_1', 'Get lost and stay lost.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '133', 'bye_mean_2', 'Goodbye and good riddance.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '134', 'bye_mean_3', 'Your kind\'s not welcome around here.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '135', 'bye_mean_4', 'Goodbye! And don\'t come back!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '136', 'bye_mean_5', 'Bye, and don\'t let the door hit you on the way out.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '137', 'bye_mean_6', 'If I see you around later, you\'ll regret it.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '138', 'bye_mean_7', 'Goodbye, scum.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '139', 'bye_mean_8', 'Get lost.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '140', 'bye_mean_9', 'Glad to see YOU\'RE back.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '141', 'bye_mean_10', 'Finally, you\'re leaving.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '142', 'bye_mean_11', 'About time you slunk out of here.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '143', 'bye_mean_12', 'About time you left!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '144', 'bye_mean_13', 'Don\'t come back.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '145', 'bye_mean_14', 'Here\'s hoping you have a nasty accident.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '146', 'bye_mean_15', 'If you hadn\'t left, I\'d probably make you.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '147', 'bye_mean_16', 'Well, now that the smell\'s gone...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '148', 'threat_1', 'Back off!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '149', 'threat_2', 'I don\'t like your kind!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '150', 'threat_3', 'You better clear on out of here!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '151', 'threat_4', 'This is a dangerous place for you to be.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '152', 'threat_5', 'If you know what\'s good for you, you\'ll get out of here.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '153', 'threat_6', 'Back off, or I\'ll have to do something you\'ll regret.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '154', 'threat_7', 'C\'mon then, bring it on!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '155', 'threat_8', 'You feeling lucky? Hmm?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '156', 'threat_9', 'Look, I\'m drawing a line in the sand. Don\'t come any closer, or...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '157', 'threat_10', 'Your head would look nice in my trophy case.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '158', 'threat_11', 'You want a taste of this?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '159', 'threat_12', 'You won\'t like my fist in your face. But that\'s what you\'ll get if you come any closer.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '160', 'threat_13', 'Just give me an excuse to kill you!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '161', 'threat_14', 'Your entrails would look nice spread out on the ground...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '162', 'threat_15', 'I\'m the quickest blaster in the system, you know. You better back off.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '163', 'threat_16', 'You look like a candidate for target practice.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '164', 'death_1', 'OK, THAT hurt.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '165', 'death_2', 'Oooo, colors.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '166', 'death_3', 'AGH!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '167', 'death_4', 'Uggggg...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '168', 'death_5', 'I\'m too young to die...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '169', 'death_6', 'Mommy...?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '170', 'death_7', 'Must... not... agh.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '171', 'death_8', 'I\'ll haunt you, scum!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '172', 'death_9', 'You\'ll never be rid of me...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '173', 'death_10', 'Urk.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '174', 'death_11', 'NOOooooo.....!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '175', 'death_12', 'I\'m done for...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '176', 'death_13', 'Is that all the time I get?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '177', 'death_14', 'You\'ll live to regret this...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '178', 'death_15', 'Aggg...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '179', 'death_16', 'Curse you....');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '180', 'gloat_1', 'Pfft, that was easy.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '181', 'gloat_2', 'Good fight.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '182', 'gloat_3', 'That was close!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '183', 'gloat_4', 'So much for that one...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '184', 'gloat_5', 'A worthy opponent.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '185', 'gloat_6', 'Ha! Think you can take ME on, eh?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '186', 'gloat_7', 'Somebody better clean up the mess.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '187', 'gloat_8', 'Pathetic.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '188', 'gloat_9', 'Next time, bring lots of friends.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '189', 'gloat_10', 'Sorry about that.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '190', 'gloat_11', 'I hate having to kill people.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '191', 'gloat_12', 'Ha!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '192', 'gloat_13', 'And... BAM!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '193', 'gloat_14', 'Good riddance.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '194', 'gloat_15', 'You poor fool.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '195', 'gloat_16', 'Another one down...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '196', 'hit_1', 'Ow!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '197', 'hit_2', 'Just a scratch!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '198', 'hit_3', 'It\'ll take more than that to take me down!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '199', 'hit_4', 'Agh!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '200', 'hit_5', 'Ouch...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '201', 'hit_6', 'Oooh, now you\'re making me mad.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '202', 'hit_7', 'Nice try, but I\'m still here!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '203', 'hit_8', 'That the best you can do?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '204', 'hit_9', 'Go on, try to do that again.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '205', 'hit_10', 'Hngh!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '206', 'hit_11', 'Hmm, this could be bad...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '207', 'hit_12', 'Where\'s a medic when you need one?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '208', 'hit_13', 'Ow ow ow.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '209', 'hit_14', 'Barely scratched me!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '210', 'hit_15', 'This is not good...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '211', 'hit_16', 'Why you...!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '212', 'attacked_1', 'Flee or die.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '213', 'attacked_2', 'Tougher enemies than you have tried to kill me.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '214', 'attacked_3', 'Next time I\'m invited to a fight, I\'m planning on being busy.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '215', 'attacked_4', 'I hope you weren\'t looking forward to old age.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '216', 'attacked_5', 'Well, I guess dying in bed is boring anyway.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '217', 'attacked_6', 'When you die, I will treasure your possessions always.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '218', 'attacked_7', 'I hear you\'re expected in the afterlife.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '219', 'attacked_8', 'Better run. I make short work of my enemies.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '220', 'attacked_9', 'Oooh, I\'m so scared.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '221', 'attacked_10', 'Must we fight?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '222', 'attacked_11', 'It\'s a good day to die.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '223', 'attacked_12', 'Start running now, you might get away.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '224', 'attacked_13', 'So, you want to pick on helpless old me, eh?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '225', 'attacked_14', 'Don\'t make me kill you...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '226', 'attacked_16', 'I hope your affairs are all in order.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '227', 'help_1', 'Help!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '228', 'help_2', 'I could use some help over here...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '229', 'help_3', 'Help me!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '230', 'help_4', 'Helllp!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '231', 'help_5', 'Not to bother anyone, but... HELP!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '232', 'help_6', 'I could use some help!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '233', 'help_7', 'I can\'t handle this on my own!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '234', 'help_8', 'To me!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '235', 'help_9', 'Help! Help!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '236', 'help_10', 'Can anyone help me?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '237', 'help_11', 'Hurry! I need help!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '238', 'help_12', 'Agh! Help!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '239', 'help_13', 'Quick, over here!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '240', 'help_14', 'Over here, hurry!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '241', 'help_15', 'Hurry! Over here!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '242', 'help_16', 'Quick, need some help here!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '243', 'ally_1', 'Get away from my friend!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '244', 'ally_2', 'Don\'t lay a finger on my friends...!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '245', 'ally_3', 'Why, you...!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '246', 'ally_4', 'Hey now! Back off!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '247', 'ally_5', 'Just a second! What are you doing?!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '248', 'ally_6', 'You coward! Whyn\'t you pick on me instead, huh?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '249', 'ally_7', 'Pick on someone your own size!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '250', 'ally_8', 'Need any help here, friend?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '251', 'ally_9', 'You look like you could use some help.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '252', 'ally_10', 'Well, well. Guess it\'s time for me to step in here.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '253', 'ally_11', 'Hey! You OK?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '254', 'ally_12', 'Hey now! Leave my friend alone!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '255', 'ally_13', 'I don\'t care who you are, you don\'t touch my friends.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '256', 'ally_14', 'Hey now!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '257', 'ally_15', 'You OK, friend? Let me take care of this...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '258', 'ally_16', 'Let me even the odds a little...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '259', 'hit_target_1', 'Take that!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '260', 'hit_target_2', 'Ha!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '261', 'hit_target_3', 'Got you!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '262', 'hit_target_4', 'That must sting!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '263', 'hit_target_5', 'Ha ha! I got you!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '264', 'hit_target_6', 'I love a fair fight!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '265', 'hit_target_7', 'That looks like it hurt.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '266', 'hit_target_8', 'Stand up and take it, coward!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '267', 'hit_target_9', 'Gotcha!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '268', 'hit_target_10', 'You\'re going down!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '269', 'hit_target_11', 'Oh no you don\'t!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '270', 'hit_target_12', 'It\'s hard making this look so easy.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '271', 'hit_target_13', 'Now it\'s my turn.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '272', 'hit_target_14', 'Better run away while you still can!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '273', 'hit_target_15', 'Ooh, did that hurt?');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '274', 'hit_target_16', 'Give up now, and I might let you live.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '275', 'assist_1', 'Pin them down!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '276', 'assist_2', 'Let\'s encircle them!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '277', 'assist_3', 'Take them out one at a time!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '278', 'assist_4', 'Come on, everyone line up!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '279', 'assist_5', 'Gang up on them!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '280', 'assist_6', 'Everyone, work together here!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '281', 'assist_7', 'They\'re going down...');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '282', 'assist_8', 'Pin them down! We can do it!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '283', 'assist_9', 'Surround them!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '284', 'assist_10', 'Let\'s gang up on them!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '285', 'assist_11', 'Everybody fire on one target!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '286', 'assist_12', 'Steady...we don\'t want them to rush us.');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '287', 'assist_13', 'Concentrate fire on one enemy!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '288', 'assist_14', 'C\'mon, everybody together!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '289', 'assist_15', 'Move it! Into rows or something!');
INSERT INTO `client_strings` VALUES ('string/en/npc_reaction/townperson.stf', '290', 'assist_16', 'C\'mon people! Let\'s work together here!');
INSERT INTO `client_strings` VALUES ('string/en/npc_responses.stf', '1', 'response1', 'response 1');
INSERT INTO `client_strings` VALUES ('string/en/npc_responses.stf', '2', 'response2', 'response 2');
INSERT INTO `client_strings` VALUES ('string/en/npc_responses.stf', '3', 'response3', 'response 3');
INSERT INTO `client_strings` VALUES ('string/en/npc_responses.stf', '4', 'message1', 'Greetings, ya bastard!');
INSERT INTO `client_strings` VALUES ('string/en/npc_responses.stf', '5', 'message2', 'You lookin\' at me?');
INSERT INTO `client_strings` VALUES ('string/en/npc_responses.stf', '6', 'response4', 'response 4');
INSERT INTO `client_strings` VALUES ('string/en/npc_responses.stf', '7', 'response5', 'response 5');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '1', 'chassis_broker', 'Starship Chassis Broker');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '2', 'j_pai_brek', 'J\'pai Brek (Rebel Pilot Coordinator)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '3', 'cmdr_landau', 'Commander Landau');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '4', 'gunham', 'Commander Gunham (Imperial Pilot Coordinator)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '5', 'zhanks', 'Commander Zhanks (Imperial Pilot Coordinator)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '6', 'ta_667', 'TA-667');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '7', 'corsec_pilot', '(Retired) CorSec Pilot');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '8', 'freelance_pilot', '(Retired) Freelance Pilot');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '9', 'ty_vila', 'Ty\'Vila (Former Pilots\' Guild Director)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '10', 'gil_burtin', 'Gil Burtin (Pilots\' Guild Founder)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '11', 'shipwright_trainer', 'Shipwright Skill Trainer');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '12', 'rhea', 'Sergeant Rhea (CorSec Pilot Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '13', 'kreezo', 'Captain Kreezo (Rebel Pilot Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '14', 'hakassha_sireen', 'Hakasha Sireen (Imperial Pilot Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '15', 'barn_sinkko', 'Lt. Barn Sinkko (Imperial Pilot Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '16', 'dinge', 'Captain Dinge (RSF Pilot Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '17', 'v3_fx', 'V3-FX (Rebel Pilot Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '18', 'kiizete', 'Kiizete');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '19', 'akal_colzet', 'Lt. Akal Colzet (Imperial Pilot Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '20', 'dravis', 'Dravis (Privateer Pilot Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '21', 'talon_karrde', 'Talon Karrde (Smuggler\'s Alliance Leader)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '22', 'da_la_socuna', 'Commander Da\'la Socuna (Rebel Pilot Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '23', 'rikkh', 'Captain Rikkh (CorSec Pilot Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '24', 'viopa', 'Lady Viopa (Rebel Pilot Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '25', 'prisk_kith_vys', 'Prisk Kith\'Vys (Imperial Pilot Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '26', 'eker', 'Major Eker (Rebel Pilot Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '27', 'vrovel', 'Brother Vrovel (Rebel Pilot Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '28', 'fa_zoll', 'Inquisitor Fa\'Zoll (Imperial Pilot Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '29', 'kaydine', 'Captain Kaydine (RSF Pilot Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '30', 'oberhaur', 'Commander Oberhaur (Imperial Pilot Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '31', 'alozen', 'Field Commander Alozen (Storm Squadron Pilot Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '32', 'nym_fuel_tech', 'Nym\'s Fuel Technician');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '33', 'shamdon_kree', 'Shamdon Kree (Valarian\'s Pilot Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '34', 'vrak', 'Vrak');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '35', 'ezkiel', 'Brother Ezkiel (Rebel Pilot Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '36', 'vyrke', 'Inquisitor Vrke (Imperial Pilot Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '37', 'dulios', 'Commander Dulios (RSF Pilot Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '38', 'arnecio_ulvaw_op', 'Arnecio Ulvaw\'op (Rebel Pilot Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '39', 'ramna', 'Commander Ramna (CorSec Pilot Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '40', 'beissa', 'Beissa (Jabba\'s Pilot Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '41', 'denner', 'Captain Denner (Storm Squadron Pilot Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '42', 'haymir_rendundi', 'Haymir Rendundi (Black Epsilon Pilot Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '43', 'aqzow', 'Lt. Col. Aqzow (Rebel Pilot Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '44', 'ja_ce_yiaso', 'Grand Inquisitor Ja\'ce Yiaso (Imperial Pilot Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '45', 'diness_imler', 'Diness Imler (RSF Pilot Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '46', 'adwan_turoldine', 'Adwan Turoldine (CorSec Pilot Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '47', 'nirame_sakute', 'Nirame Sakute (Privateer Pilot Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '48', 'extok_evin', 'Brother Extok Evin (Rebel Pilot Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '49', 'ufwol', 'General Ufwol (Rebel Pilot Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '50', 'warvog_arkon', 'Warvog Arkon (Rebel Pilot Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '51', 'kilnstrider', 'Admiral Kilnstrider (Storm Squadron Pilot Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '52', 'insurgent', 'Insurgent (Black Epsilon Pilot Trainer)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '53', 'nial_declann', 'Grand Admiral Nial Declann');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '54', 'tk_8h2', 'TK-8H2');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '55', 'tk_9h4', 'TK-9H4');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '56', 'willham_burke', 'Admiral Willham Burke');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '57', 'zo_ssa', 'Commander Zo\'ssa');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '58', 'starship_crafting_station', 'Starship Crafting Station');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '59', 'gert_talnin', 'Col. Gert Talnin (an Imperial officer)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '60', 'wlinc_tchrr', 'Wlinc Tchrr (a Hutt bookmaker)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '61', 'prost_roberts', 'Prost Roberts (an untrained pilot)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '62', 'anim_kahn', 'Anim Kahn (a Valarian pilot)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '63', 'rel_keteris', 'Rel Keteris (a Hutt pilot)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '64', 'vincie_kalhoon', 'Vincie Kalhoon (a freelance pilot)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '65', 'mooch_davoney', 'Mooch DaVoney (a freelance pilot)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '66', 'guillo_parootchie', 'Guillo Parootchie (a freelance pilot)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '67', 'ral_mundi', 'Ral Mundi (a merchant)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '68', 'tarth_jaxx', 'Tarth Jaxx (a shipwright)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '69', 'io_tsomcren', 'Io Tsomcren (a shipwright)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '70', 'ulaire_roye', 'Ulaire Roye (a CorSec officer)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '71', 'larek_tatham', 'Larek Tatham (a starfighter pilot)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '72', 'cll_8', 'CLL-8 (a binary load lifter)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '73', 'dac_axfow', 'Colonel Dac Axfow (an Imperial officer)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '74', 'eryk_chinn', 'Sgt. Eryk Chinn (an Imperial bodyguard)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '75', 'logro_elsin', 'Lt. Logro Elsin (an Imperial pilot)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '76', 'kultin_woodle', 'Kulton Woodle (a retired freighter captain)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '77', 'j1_po', 'J1-P0 (a protocol droid)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '78', 'bertos_goodner', 'Bertos Goodner (a dancer)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '79', 'jaden_dala', 'Lt. Jaden Dala (an Imperial officer)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '80', 'gi_a_pei', 'Gi\' a Pei');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '81', 'smuggler_pilot', 'Smuggler Pilot');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '82', 'imperial_pilot', 'Imperial Pilot');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '83', 'barlow', 'Lt. Colonel Barlow');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '84', 'rane_yarrow', 'Rane Yarrow (a freelance pilot)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '85', 'fern_yarrow', 'Fern Yarrow (an Imperial Pilot)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '86', 'kess_yarrow', 'Kess Yarrow (a Rebel pilot)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '87', 'yras_shen_jen', 'Yras Shen-jen (a self-employed pilot)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '88', 'bek_rabor', 'Colonel Bek Rabor (an Imperial officer)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '89', 'juntah_herm', 'Lt. Juntah Herm (an Imperial pilot)');
INSERT INTO `client_strings` VALUES ('string/en/npc_spawner_n.stf', '90', 'landau', 'Commander Landau (Imperial Pilot Coordinator)');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '1', 'absorption', 'Absorption Rate');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '2', 'accelerate_entertainer_buff', 'Inspiration of the Muse');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '3', 'accelerate_entertainer_buff_d', 'Reduces the amount of time it takes for an entertainer to give a buff to another player.');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '4', 'accelerate_entertainer_buff_dur', 'Duration');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '5', 'accelerate_entertainer_buff_eff', '% Reduction');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '6', 'accuracy', 'Accuracy');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '7', 'acideffectiveness', 'Acid Effectiveness');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '8', 'action', 'Action');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '9', 'action_dur', 'Action Duration');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '10', 'action_e', 'Action Effectiveness');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '11', 'actionencumbrance', 'Action Encumbrance');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '12', 'add_filling', 'Filling Bonus');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '13', 'add_flavor', 'Flavor Bonus');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '14', 'add_nutrition', 'Nutrition Bonus');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '15', 'add_quantity', 'Quantity Bonus');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '16', 'aggro', 'Aggressive');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '17', 'ai_diction', 'Personality Chip Installed');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '18', 'area', 'Area Effect');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '19', 'arm_attr', 'Armor Attributes');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '20', 'armor_action_encumbrance', 'Armor Action Encumbrance');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '21', 'armor_eff_base', 'Base');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '22', 'armor_eff_blast', 'Blast');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '23', 'armor_eff_elemental_acid', 'Acid');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '24', 'armor_eff_elemental_cold', 'Cold');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '25', 'armor_eff_elemental_electrical', 'Electricity');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '26', 'armor_eff_elemental_heat', 'Heat');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '27', 'armor_eff_energy', 'Energy');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '28', 'armor_eff_environmental_acid', 'Env Acid');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '29', 'armor_eff_environmental_cold', 'Env Cold');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '30', 'armor_eff_environmental_electrical', 'Env Electrical');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '31', 'armor_eff_environmental_heat', 'Env Heat');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '32', 'armor_eff_kinetic', 'Kinetic');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '33', 'armor_eff_restraint', 'Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '34', 'armor_eff_stun', 'Stun');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '35', 'armor_effectiveness', 'Armor Effectiveness');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '36', 'armor_health_encumbrance', 'Armor Health Encumbrance');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '37', 'armor_integrity', 'Armor Integrity');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '38', 'armor_mind_encumbrance', 'Armor Mind Encumbrance');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '39', 'armor_module', 'Armor Module Rating');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '40', 'armor_pierce_heavy', 'Heavy');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '41', 'armor_pierce_light', 'Light');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '42', 'armor_pierce_medium', 'Medium');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '43', 'armor_pierce_none', 'None');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '44', 'armor_rating', 'Armor Rating');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '45', 'armor_special_effectiveness', 'Armor Special Effectiveness');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '46', 'armor_special_integrity', 'Armor Special Integrity');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '47', 'armor_special_type', 'Armor Special Type');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '48', 'armor_toughness', 'Armor Toughness');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '49', 'armoreffectiveness', 'Armor Effectiveness');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '50', 'armorencumbrance', 'Armor Encumbrance');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '51', 'armorhpmax', 'Armor');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '52', 'armorintegrity', 'Armor Integrity');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '53', 'armorrating', 'Armor Rating');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '54', 'armorspecialeffectiveness', 'Armor Special Effectiveness');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '55', 'armorspecialintegrity', 'Armor Special Integrity');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '56', 'attack_accuracy', 'Enhanced Accuracy');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '57', 'attack_accuracy_d', 'Increases attack accuracy.');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '58', 'attack_accuracy_eff', 'Accuracy Increase');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '59', 'attackactioncost', 'Attack Action Cost');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '60', 'attackhealthcost', 'Attack Health Cost');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '61', 'attackmindcost', 'Attack Mind Cost');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '62', 'attackspeed', 'Attack Speed');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '63', 'attr_action', 'Action');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '64', 'attr_constitution', 'Constitution');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '65', 'attr_focus', 'Focus');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '66', 'attr_health', 'Health');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '67', 'attr_mind', 'Mind');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '68', 'attr_quickness', 'Quickness');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '69', 'attr_stamina', 'Stamina');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '70', 'attr_strength', 'Strength');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '71', 'attr_willpower', 'Willpower');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '72', 'attribmods', 'Attribute Modifiers');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '73', 'auto_repair_power', 'Auto-Repair Power');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '74', 'base_effectiveness', 'Base Effectiveness');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '75', 'baseeffectiveness', 'Base Effectiveness');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '76', 'baseintegrity', 'Integrity');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '77', 'basetohit', 'Base To-Hit');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '78', 'battery_power', 'Battery Power');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '79', 'bio_comp_action_mod', 'Action Bonus:');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '80', 'bio_comp_business_accumen', 'Business Acumen');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '81', 'bio_comp_camouflage', 'Camouflage');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '82', 'bio_comp_combat_bleeding_defense', 'Bleeding Defense');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '83', 'bio_comp_con_mod', 'Constitution Bonus:');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '84', 'bio_comp_cover', 'Taking Cover');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '85', 'bio_comp_creature_empathy', 'Creature Empathy');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '86', 'bio_comp_creature_training', 'Creature Training');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '87', 'bio_comp_duration', 'Duration Bonus:');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '88', 'bio_comp_flavor', 'Flavor Bonus:');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '89', 'bio_comp_focus_mod', 'Focus Bonus:');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '90', 'bio_comp_healing_ability', 'Medicine Use');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '91', 'bio_comp_healing_dance_wound', 'Wound Healing (Dancing)');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '92', 'bio_comp_healing_injury_treatment', 'Injury Treatment');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '93', 'bio_comp_healing_music_wound', 'Wound Healing (Music)');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '94', 'bio_comp_healing_wound_treatment', 'Wound Treatment ');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '95', 'bio_comp_health_mod', 'Health Bonus:');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '96', 'bio_comp_intimidate', 'Intimidation');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '97', 'bio_comp_mask_scent', 'Mask Scent');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '98', 'bio_comp_melee_defense', 'Melee Defense');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '99', 'bio_comp_mind_mod', 'Mind Bonus:');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '100', 'bio_comp_quick_mod', 'Quickness Bonus:');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '101', 'bio_comp_stam_mod', 'Stamina Bonus:');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '102', 'bio_comp_str_mod', 'Strength Bonus:');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '103', 'bio_comp_stun_defense', 'Defense Vs. Stun');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '104', 'bio_comp_take_cover', 'Cover');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '105', 'bio_comp_tame_aggro', 'Taming Vicious Creatures');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '106', 'bio_comp_tame_non_aggro', 'Taming Wild Creatures');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '107', 'bio_comp_warcry', 'Warcry');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '108', 'bio_comp_will_mod', 'Willpower Bonus:');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '109', 'blasteffectiveness', 'Blast Effectiveness');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '110', 'blastintegrity', 'Blast Integrity');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '111', 'bleed_resist', 'Autocoagulation');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '112', 'bleed_resist_d', 'Increases resistances against bleed attacks.');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '113', 'bleed_resist_eff', '% Resistance');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '114', 'blue_rug_adhesive', 'Blue Rug Adhesive');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '115', 'blue_rug_cloth_patches', 'Blue Rug Cloth Patches');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '116', 'blue_rug_dye', 'Blue Rug Dye');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '117', 'blue_rug_thread_01', 'Blue Rug Thread - First Section');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '118', 'blue_rug_thread_02', 'Blue Rug Thread - Second Section');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '119', 'blue_rug_thread_03', 'Blue Rug Thread - Third Section');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '120', 'blue_rug_thread_04', 'Blue Rug Thread - Fourth Section');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '121', 'blue_rug_thread_05', 'Blue Rug Thread - Fifth Section');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '122', 'blue_rug_thread_06', 'Blue Rug Thread - Sixth Section');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '123', 'blue_rug_thread_07', 'Blue Rug Thread - Seventh Section');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '124', 'blunteffectiveness', 'Blunt Effectiveness');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '125', 'bluntintegrity', 'Blunt Integrity');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '126', 'bomb_level', 'Detonation Power');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '127', 'bone_avian', 'Avian Bone');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '128', 'bone_mammal', 'Mammal Bone');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '129', 'booster_acceleration', 'Booster Acceleration');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '130', 'booster_consumption', 'Booster Energy Consumption');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '131', 'booster_energy', 'Booster Energy');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '132', 'booster_recharge', 'Booster Recharge Rate');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '133', 'booster_speed', 'Booster Speed');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '134', 'broken', 'Broken (Unslicable)');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '135', 'buildrate', 'Build Rate');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '136', 'burst_run_d', 'Burst Runs with Bonus');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '137', 'burst_run_v1', 'HAM Decrease');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '138', 'burst_run_v2', 'Recovery Decrease');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '139', 'cap_max_energy', 'Max Capacitor Energy');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '140', 'cap_recharge_rate', 'Capacitor Recharge Rate');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '141', 'cat_armor_effectiveness', 'Effectiveness');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '142', 'cat_armor_encumbrance', 'Encumbrance');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '143', 'cat_armor_special_protection', 'Special Protection');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '144', 'cat_armor_vulnerability', 'Vulnerability');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '145', 'cat_manf_schem_ing_component', 'Components');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '146', 'cat_manf_schem_ing_resource', 'Resources');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '147', 'cat_pup', 'Powerup');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '148', 'cat_pup_attack_cost', 'Powerup Attack Cost');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '149', 'cat_skill_mod_bonus', 'Skill Mods');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '150', 'cat_wpn_attack_cost', 'Special Attack Cost');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '151', 'cat_wpn_damage', 'Damage');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '152', 'cat_wpn_dot_00', 'Damage Over Time');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '153', 'cat_wpn_dot_01', 'Damage Over Time');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '154', 'cat_wpn_dot_02', 'Damage Over Time');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '155', 'cat_wpn_rangemods', 'Range Modifiers');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '156', 'challenge_level', 'Difficulty Level');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '157', 'charge', 'Charge');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '158', 'charges', 'Charges');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '159', 'chassishitpoints', 'Chassis Hit Points');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '160', 'chassismass', 'Chassis Mass Capacity');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '161', 'chassismassmax', 'Maximum Total Mass');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '162', 'cleverness', 'Cleverness');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '163', 'cmbt_module', 'Combat Module Rating');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '164', 'coldeffectiveness', 'Cold Effectiveness');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '165', 'color', 'Blade Color Modification');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '166', 'combat_healing_ability', 'Required Combat Medicine Use Skill');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '167', 'combat_module_rating', 'Combat Module Rating');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '168', 'combat_rating', 'Combat Rating');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '169', 'complexity', 'Complexity');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '170', 'con_dur', 'Constitution Duration');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '171', 'con_e', 'Constitution Effectiveness');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '172', 'condition', 'Condition');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '173', 'conduithpmax', 'Maximum Conduit Hitpoints');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '174', 'consider', 'Combat Difficulty');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '175', 'constitution', 'Constitution');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '176', 'contents', 'Contents');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '177', 'count', 'Uses');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '178', 'counter_charges_remaining', 'Charges Remaining');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '179', 'counter_uses_remaining', 'Uses Remaining');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '180', 'courage', 'Courage');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '181', 'craft_bonus', 'Crafting Concentration');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '182', 'craft_bonus_d', 'Increases the assembly roll of the next crafting attempt.');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '183', 'craft_bonus_eff', 'Crafting Bonus');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '184', 'craft_tool_effectiveness', 'Tool Effectiveness');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '185', 'craft_tool_status', 'Crafting Tool Status');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '186', 'craft_tool_time', 'Prototype Time Remaining');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '187', 'crafted_name', 'Crafted Name');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '188', 'crafter', 'Object Creator');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '189', 'crafting_station', 'Private Crafting Station Capability');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '190', 'crafting_station_clothing', 'Clothing Crafting Capability');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '191', 'crafting_station_food', 'Food Crafting Capability');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '192', 'crafting_station_space', 'Ship Component Crafting Capability');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '193', 'crafting_station_structure', 'Structure Crafting Capability');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '194', 'crafting_station_weapon', 'Weapon, Droid, and Generic Item Crafting Capability');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '195', 'creature_action', 'Action');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '196', 'creature_attack', 'Attack Speed');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '197', 'creature_constitution', 'Constitution');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '198', 'creature_damage', 'Damage');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '199', 'creature_focus', 'Focus');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '200', 'creature_health', 'Health');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '201', 'creature_mind', 'Mind');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '202', 'creature_quickness', 'Quickness');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '203', 'creature_stamina', 'Stamina');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '204', 'creature_strength', 'Strength');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '205', 'creature_tohit', 'To Hit');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '206', 'creature_vitality', 'Vitality');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '207', 'creature_willpower', 'Willpower');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '208', 'crystal_owner', 'Owner');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '209', 'crystal_quality', 'Quality');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '210', 'cure_dizzy_d', 'Has a chance of curing the dizzy state.');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '211', 'cure_dizzy_eff', '% Chance to Cure');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '212', 'cure_fire_d', 'Has a chance of curing fire dots.');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '213', 'cure_fire_eff', '% Chance to Cure');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '214', 'curesymptomone', 'Potency');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '215', 'curesymptomtwo', 'Potential');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '216', 'custom_appearance', 'Custom Appearance');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '217', 'customization_cnt', 'Customization Lifespan');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '218', 'damage', 'Damage');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '219', 'damage_max', 'Maximum Damage');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '220', 'damage_min', 'Minimum Damage');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '221', 'data_module', 'Data Module');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '222', 'data_module_rating', 'Data Module Rating');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '223', 'data_volume', 'Data Size');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '224', 'decay_rate', 'Decay Rate');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '225', 'decayrate', 'Decay Rate');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '226', 'delay_effect', 'Delayed Effect');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '227', 'dependability', 'Dependability');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '228', 'dexterity', 'Dexterity');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '229', 'dna_comp_above_average', 'Above Average');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '230', 'dna_comp_armor_acid', 'Acid Resistance');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '231', 'dna_comp_armor_blast', 'Blast Resistance');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '232', 'dna_comp_armor_cold', 'Cold Resistance');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '233', 'dna_comp_armor_electric', 'Electricity Resistance');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '234', 'dna_comp_armor_energy', 'Energy Resistance');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '235', 'dna_comp_armor_heat', 'Heat Resistance');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '236', 'dna_comp_armor_kinetic', 'Kinetic Resistance');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '237', 'dna_comp_armor_rating', 'Armor Rating');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '238', 'dna_comp_armor_saber', 'Lightsaber Resistance');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '239', 'dna_comp_armor_stun', 'Stun Resistance');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '240', 'dna_comp_average', 'Average');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '241', 'dna_comp_below_average', 'Below Average');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '242', 'dna_comp_cleverness', 'Cleverness');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '243', 'dna_comp_courage', 'Courage');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '244', 'dna_comp_dependability', 'Dependability');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '245', 'dna_comp_dexterity', 'Dexterity');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '246', 'dna_comp_endurance', 'Endurance');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '247', 'dna_comp_fierceness', 'Fierceness');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '248', 'dna_comp_fortitude', 'Fortitude');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '249', 'dna_comp_hardiness', 'Hardiness');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '250', 'dna_comp_high', 'High');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '251', 'dna_comp_intellect', 'Intellect');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '252', 'dna_comp_low', 'Low');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '253', 'dna_comp_power', 'Power');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '254', 'dna_comp_quality', 'Quality');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '255', 'dna_comp_ranged_attack', 'Ranged Attack');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '256', 'dna_comp_source', 'Source');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '257', 'dna_comp_very_high', 'Very High');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '258', 'dna_comp_very_low', 'Very Low');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '259', 'dodge_attack', 'Combat Agility');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '260', 'dodge_attack_d', 'Increases chance to dodge an attack.');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '261', 'dodge_attack_dur', 'Duration');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '262', 'dodge_attack_eff', '% Chance to Dodge');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '263', 'dot_type_bleeding', 'Bleeding');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '264', 'dot_type_disease', 'Disease');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '265', 'dot_type_fire', 'Fire');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '266', 'dot_type_poison', 'Poison');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '267', 'droid_command_speed', 'Droid Command Speed');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '268', 'droid_count', 'Droid Count');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '269', 'droid_disabled_detonate', 'You cannot detonate a disabled droid.');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '270', 'droid_effect_confetti', 'Confetti Effect');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '271', 'droid_effect_doves', 'Avian Effect');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '272', 'droid_effect_electric_fog', 'Electric Fog Effect');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '273', 'droid_effect_foam', 'Foam Effect');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '274', 'droid_effect_jawa_dance', 'Dancing Jawa Effect');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '275', 'droid_effect_mind_bloom', 'Mind Bloom Effect');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '276', 'droid_trap_number', 'Charges');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '277', 'droid_trap_type', 'Trap Type');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '278', 'duration', 'Duration');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '279', 'duration_effect', 'Duration Effect');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '280', 'effect', 'Effect');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '281', 'effective_armor', 'Armor Effectiveness');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '282', 'effective_shields', 'Shield Effectiveness');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '283', 'effectiveness', 'Effectiveness');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '284', 'electricaleffectiveness', 'Electrical Effectiveness');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '285', 'elemental_acideffectiveness', 'Elemental Acid Effectiveness');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '286', 'elemental_coldeffectiveness', 'Elemental Cold Effectiveness');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '287', 'elemental_electricaleffectiveness', 'Elemental Electrical Effectiveness');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '288', 'elemental_heateffectiveness', 'Elemental Heat Effectiveness');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '289', 'elementalblasteffectiveness', 'Elemental Blast Effectiveness');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '290', 'elementalblastintegrity', 'Elemental Blast Integrity');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '291', 'elementalcoldeffectiveness', 'Elemental Cold Effectiveness');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '292', 'elementalenergyeffectiveness', 'Elemental Energy Effectiveness');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '293', 'elementalenergyintegrity', 'Elemental Energy Integrity');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '294', 'elementalkineticeffectiveness', 'Elemental Kinetic Effectiveness');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '295', 'elementalkineticintegrity', 'Elemental Kinetic Integrity');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '296', 'elementalstuneffectiveness', 'Elemental Stun Effectiveness');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '297', 'elementalstunintegrity', 'Elemental Stun Integrity');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '298', 'elementealheateffectiveness', 'Elemental Heat Effectiveness');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '299', 'endurance', 'Endurance');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '300', 'energy', 'Energy');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '301', 'energy_gen_rate', 'Energy Generation');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '302', 'energy_maintenance', 'Energy Maintenance');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '303', 'energy_per_shot', 'Energy/Shot');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '304', 'energy_resistance', 'Energy Resistance');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '305', 'energyeffectiveness', 'Energy Effectiveness');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '306', 'energyintegrity', 'Energy Integrity');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '307', 'engine_accel', 'Acceleration');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '308', 'engine_decel', 'Deceleration');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '309', 'engine_pitch', 'Engine Pitch');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '310', 'engine_roll', 'Engine Roll');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '311', 'engine_speed', 'Engine Speed');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '312', 'engine_yaw', 'Engine Yaw');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '313', 'enhanced_regen_d', 'Enhances the effectiveness of Trandoshan regeneration.');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '314', 'enhanced_regen_v1', '% Regen Bonus');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '315', 'enhanced_vitalize_d', 'Vitalizes a Zabrak player with an increased effectiveness.');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '316', 'enhanced_vitalize_eff', '% Vitalize Bonus');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '317', 'entangle_resistance', 'Entangle Resistance');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '318', 'environmental_heateffectiveness', 'Elemental Heat Effectiveness');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '319', 'examine_dot_apply', 'Condition Inflicted');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '320', 'examine_dot_apply_power', 'Effectiveness');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '321', 'examine_dot_attribute', 'Attribute Affected');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '322', 'examine_dot_cure', 'Condition Cured');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '323', 'examine_dot_cure_power', 'Cure Effectiveness');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '324', 'examine_dot_duration', 'Duration');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '325', 'examine_dot_potency', 'Potency');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '326', 'examine_duration_action', 'Enhance Action Duration');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '327', 'examine_duration_constitution', 'Enhance Constitution Duration');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '328', 'examine_duration_disease', 'Enhance Disease Resist Duration');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '329', 'examine_duration_health', 'Enhance Health Duration');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '330', 'examine_duration_poison', 'Enhance Poison Resist Duration');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '331', 'examine_duration_quickness', 'Enhance Quickness Duration');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '332', 'examine_duration_stamina', 'Enhance Stamina Duration');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '333', 'examine_duration_strength', 'Enhance Strength Duration');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '334', 'examine_enhance_action', 'Enhance Action');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '335', 'examine_enhance_constitution', 'Enhance Constitution');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '336', 'examine_enhance_disease', 'Enhance Disease Resist');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '337', 'examine_enhance_health', 'Enhance Health');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '338', 'examine_enhance_poison', 'Enhance Poison Resist');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '339', 'examine_enhance_quickness', 'Enhance Quickness');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '340', 'examine_enhance_stamina', 'Enhance Stamina');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '341', 'examine_enhance_strength', 'Enhance Strength');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '342', 'examine_extractionrate', 'Base Extraction Rate');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '343', 'examine_heal_absorption', 'Absorption Rate');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '344', 'examine_heal_area', 'Area Effected');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '345', 'examine_heal_charges', 'Charges');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '346', 'examine_heal_damage_action', 'Heal Action Damage');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '347', 'examine_heal_damage_health', 'Heal Health Damage');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '348', 'examine_heal_damage_mind', 'Heal Mind Damage');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '349', 'examine_heal_range', 'Range');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '350', 'examine_heal_shock', 'Heal Shock');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '351', 'examine_heal_state', 'Heal State');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '352', 'examine_heal_wound_action', 'Heal Action Wound');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '353', 'examine_heal_wound_constitution', 'Heal Constitution Wound');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '354', 'examine_heal_wound_focus', 'Heal Focus Wound');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '355', 'examine_heal_wound_health', 'Heal Health Wound');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '356', 'examine_heal_wound_mind', 'Heal Mind Wound');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '357', 'examine_heal_wound_quickness', 'Heal Quickness Wound');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '358', 'examine_heal_wound_stamina', 'Heal Stamina Wound');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '359', 'examine_heal_wound_strength', 'Heal Strength Wound');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '360', 'examine_heal_wound_willpower', 'Heal Willpower Wound');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '361', 'examine_hoppersize', 'Storage Capacity');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '362', 'examine_maintenance', 'Surplus Maintenance');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '363', 'examine_maintenance_rate', 'Base Maintenance Rate');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '364', 'examine_power', 'Surplus Power');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '365', 'examine_repair_energy', 'Available Repair Energy');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '366', 'examine_repair_power', 'Available Repair Power');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '367', 'examine_scene', 'Can Be Built On');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '368', 'exp_armor_hp', 'Experimental Armor Hitpoints');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '369', 'exp_damage', 'Experimental Damage');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '370', 'exp_durability', 'Experimental Durability');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '371', 'exp_energy', 'Experimental Energy');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '372', 'exp_mass', 'Experimental Mass');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '373', 'experience_required', 'Required XP');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '374', 'experiment_bonus', 'Heightened Concentration');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '375', 'experiment_bonus_d', 'Increases the success rate for the next experimentation attempt.');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '376', 'experiment_bonus_eff', 'Experimentation Bonus');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '377', 'extractrate', 'Extraction Rate');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '378', 'faction_restriction', 'Faction Restriction');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '379', 'factory_attribs', 'Item Attributes');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '380', 'factory_count', 'Item Count');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '381', 'ferocity', 'Ferocity');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '382', 'fierceness', 'Fierceness');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '383', 'filling', 'Filling');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '384', 'filling_bonus', 'Filling Bonus');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '385', 'fire_resist', 'Fire Resistance');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '386', 'fire_resist_d', 'Increases resistances against fire.');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '387', 'fire_resist_eff', '% Resistance');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '388', 'flavor', 'Flavor');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '389', 'flavor_bonus', 'Flavor Bonus');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '390', 'fltmaxammo', 'Maximum Ammunition');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '391', 'fltmaxdamage', 'Maximum Damage');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '392', 'fltmindamage', 'Minimum Damage');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '393', 'fltrefirerate', 'Fire Rate');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '394', 'focus', 'Focus');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '395', 'focus_dur', 'Focus Duration');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '396', 'focus_e', 'Focus Effectiveness');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '397', 'focusencumbrance', 'Focus Encumbrance');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '398', 'food_reduce_d', 'Digests some of the food in your stomach.');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '399', 'food_reduce_v1', '% Reduction');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '400', 'forcecost', 'Force Power Cost');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '401', 'fortitude', 'Fortitude');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '402', 'fs_medic_pack_cure_one', 'Primary Curative Agent');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '403', 'fs_medic_pack_cure_two', 'Secondary Curative Agent');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '404', 'fs_medic_pack_symptom_one', 'Residual Chemical Effect');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '405', 'fs_p3_item_decay_in', 'Full Decay In');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '406', 'fs_p3_item_decay_rate', '% Decayed');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '407', 'fs_tracking_device_assembly_bracket_01', 'Tracking Device Assembly Bracket - First Segment');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '408', 'fs_tracking_device_assembly_bracket_02', 'Tracking Device Assembly Bracket - Second Segment');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '409', 'fs_tracking_device_assembly_bracket_03', 'Tracking Device Assembly Bracket - Third Segment');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '410', 'fs_tracking_device_case_01', 'Tracking Device Case - First Section');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '411', 'fs_tracking_device_case_02', 'Tracking Device Case - Second Section');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '412', 'fs_tracking_device_case_03', 'Tracking Device Case - Third Section');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '413', 'fs_tracking_device_control_unit', 'Control Unit [crafted]');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '414', 'fs_tracking_device_energy_distributor', 'Energy Distributor [crafted]');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '415', 'fs_tracking_device_memory_module', 'Electronics Memory Module [crafted]');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '416', 'fs_tracking_device_sensor_suite', 'Micro Sensor Suite [crafted]');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '417', 'givesymptomone', 'Residual Chemicals');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '418', 'gong_adhesive', 'Gong Adhesive');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '419', 'gong_skin_back', 'Gong Skin - Back Section');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '420', 'gong_skin_front', 'Gong Skin - Front Section');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '421', 'gong_structure_01', 'Gong Structure - First Section');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '422', 'gong_structure_02', 'Gong Structure - Second Section');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '423', 'gong_structure_03', 'Gong Structure - Third Section');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '424', 'gong_structure_04', 'Gong Structure - Fourth Section');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '425', 'gong_structure_05', 'Gong Structure - Fifth Section');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '426', 'gong_structure_06', 'Gong Structure - Sixth Section');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '427', 'gong_structure_07', 'Gong Structure - Seventh Section');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '428', 'grid_stability', 'Grid Stability');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '429', 'hacked', 'This piece of armor has been altered by a smuggler and may bring unwanted attentions from the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '430', 'hacked1', 'This weapon has been altered by a smuggler and may bring unwanted attentions from the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '431', 'hardiness', 'Hardiness');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '432', 'hardness', 'Hardness');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '433', 'harvest_bonus_d', 'Increases resources from harvesting.');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '434', 'harvest_bonus_eff', '% Harvest Bonus');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '435', 'harvest_power', 'Harvest Bonus');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '436', 'heal_recovery', 'Heal Recovery');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '437', 'heal_recovery_d', 'Reduces the player\'s heal recovery time.');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '438', 'heal_recovery_dur', '# of Heals Affected');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '439', 'heal_recovery_eff', 'Recovery Time Bonus');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '440', 'healing_ability', 'Required Medicine Use Skill');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '441', 'health', 'Health');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '442', 'health_dur', 'Health Duration');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '443', 'health_e', 'Health Effectiveness');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '444', 'healthencumberance', 'Health Encumberance');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '445', 'healthencumbrance', 'Health Encumbrance');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '446', 'heateffectiveness', 'Heat Effectiveness');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '447', 'hide_bristley', 'Bristley Hide');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '448', 'hide_leathery', 'Leathery Hide');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '449', 'hide_scaley', 'Scaley Hide');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '450', 'hide_wooly', 'Wooly Hide');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '451', 'hit_points', 'Hit Points');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '452', 'hitpoints', 'Unit Integrity');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '453', 'hitpointsmax', 'Hitpoints');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '454', 'hoppersize', 'Hopper Size');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '455', 'hp', 'Maximum Hitpoints');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '456', 'incap_recovery', 'Incap Recovery');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '457', 'incap_recovery_d', 'Reduces incapacitation recovery time.');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '458', 'incap_recovery_eff', 'Incap Recovery Bonus');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '459', 'instant_effect', 'Instant Effect');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '460', 'intellect', 'Intellect');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '461', 'is_repair_droid', 'Repair Module Installed');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '462', 'item_required', 'Item Needed');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '463', 'jedi_rank_required', 'Rank Required');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '464', 'jedi_robe_power', 'Max Force Power Bonus');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '465', 'jedi_robe_regen', 'Force Regen Bonus');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '466', 'job_status', 'Job Status');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '467', 'killer', 'Deathblows');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '468', 'kineticeffectiveness', 'Kinetic Effectiveness');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '469', 'kineticintegrity', 'Kinetic Integrity');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '470', 'knowlege_type', 'Knowledge Type');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '471', 'length', 'Length');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '472', 'lifespan', 'Lifespan');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '473', 'light_table_adhesive', 'Glass Top Table Adhesive');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '474', 'light_table_glasstop_01', 'Glass Top Table - Large Glass Top');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '475', 'light_table_glasstop_02', 'Glass Top Table - Small Glass Top');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '476', 'light_table_structure_01', 'Glass Top Table Base - First Section');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '477', 'light_table_structure_02', 'Glass Top Table Base - Second Section');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '478', 'light_table_structure_03', 'Glass Top Table Base - Third Section');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '479', 'light_table_structure_04', 'Glass Top Table Base - Fourth Section');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '480', 'light_table_structure_05', 'Glass Top Table Base - Fifth Section');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '481', 'light_table_structure_06', 'Glass Top Table Base - Sixth Section');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '482', 'light_table_structure_07', 'Glass Top Table Base - Seventh Section');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '483', 'lock_mechanism', 'Lock Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '484', 'manf_attribs', 'Attributes');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '485', 'manf_limit', 'Manufacture Limit');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '486', 'manufacture_count', 'Items Manufactured');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '487', 'manufacture_object', 'Manufacturing Object');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '488', 'manufacture_schematic_volume', 'Schematic Data Size');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '489', 'manufacture_time', 'Time Per Object');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '490', 'mass', 'Mass');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '491', 'massmax', 'Maximum Mass');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '492', 'max_trap_load', 'Maximum Trap Count');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '493', 'maxdamage', 'Maximum Damage');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '494', 'maxrange', 'Maximum Range');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '495', 'maxrangemod', 'Maximum Range Modifier');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '496', 'meat_avian', 'Avian Meat');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '497', 'meat_carnivore', 'Carnivore Meat');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '498', 'meat_herbivore', 'Herbivore Meat');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '499', 'meat_insect', 'Insect Meat');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '500', 'meat_reptilian', 'Reptilian Meat');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '501', 'meat_wild', 'Wild Meat');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '502', 'mechanism_quality', 'Mechanism Quality');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '503', 'medical_module', 'Medical Module Rating');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '504', 'medpower', 'Medical Capability Rating');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '505', 'merchant_barker', 'Merchant Barker');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '506', 'midrange', 'Medium Range');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '507', 'midrangemod', 'Medium Range Mod');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '508', 'mind', 'Mind');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '509', 'mind_dur', 'Mind Duration');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '510', 'mind_e', 'Mind Effectiveness');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '511', 'mind_heal', 'Mind Healing');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '512', 'mindamage', 'Minimum Damage');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '513', 'mindencumberance', 'Mind Encumberance');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '514', 'mindencumbrance', 'Mind Encumbrance');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '515', 'mission_details', 'Mission Details');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '516', 'mitigate_damage', 'Unnatural Toughness');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '517', 'mitigate_damage_d', 'Reduces damage taken from attacks.');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '518', 'mitigate_damage_dur', '# of Attacks Affected');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '519', 'mitigate_damage_eff', '% Damage Reduction');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '520', 'mod_idx_five', 'Mod Index Five');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '521', 'mod_idx_four', 'Mod Index Four');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '522', 'mod_idx_one', 'Mod Index One');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '523', 'mod_idx_six', 'Mod Index Six');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '524', 'mod_idx_three', 'Mod Index Three');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '525', 'mod_idx_two', 'Mod Index Two');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '526', 'mod_val_five', 'Mod Five');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '527', 'mod_val_four', 'Mod Four');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '528', 'mod_val_one', 'Mod One');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '529', 'mod_val_six', 'Mod Six');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '530', 'mod_val_three', 'Mod Three');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '531', 'mod_val_two', 'Mod Two');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '532', 'modifier', 'Modifier');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '533', 'new_player_vehicle_uses_left', 'Uses Left');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '534', 'nutrition', 'Nutritional Value');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '535', 'nutrition_bonus', 'Nutrition Bonus');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '536', 'object_type', 'Type');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '537', 'orange_rug_adhesive', 'Orange Rug Adhesive');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '538', 'orange_rug_cloth_patches', 'Orange Rug Cloth Patches');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '539', 'orange_rug_dye', 'Orange Rug Dye');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '540', 'orange_rug_thread_01', 'Orange Rug Thread - First Section');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '541', 'orange_rug_thread_02', 'Orange Rug Thread - Second Section');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '542', 'orange_rug_thread_03', 'Orange Rug Thread - Third Section');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '543', 'orange_rug_thread_04', 'Orange Rug Thread - Fourth Section');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '544', 'orange_rug_thread_05', 'Orange Rug Thread - Fifth Section');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '545', 'orange_rug_thread_06', 'Orange Rug Thread - Sixth Section');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '546', 'orange_rug_thread_07', 'Orange Rug Thread - Seventh Section');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '547', 'original_name', 'Variation Of');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '548', 'original_name_creature', 'Type');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '549', 'owner', 'Master');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '550', 'parking_spot', 'Hangar Location: ');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '551', 'pattern', 'Pattern');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '552', 'performer_effects_a', 'Type A Lighting Effects');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '553', 'performer_effects_b', 'Type B Lighting Effects');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '554', 'performer_effects_c', 'Type C Lighting Effects');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '555', 'performer_effects_d', 'Type D Lighting Effects');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '556', 'performer_effects_e', 'Type E Lighting Effects');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '557', 'personality_module', 'Personality Module');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '558', 'pet_command', 'COMMANDS');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '559', 'pet_command_0', 'Follow Me');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '560', 'pet_command_1', 'Stay');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '561', 'pet_command_10', 'Transfer');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '562', 'pet_command_11', 'Store');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '563', 'pet_command_12', 'Do Trick One');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '564', 'pet_command_13', 'Do Trick Two');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '565', 'pet_command_14', 'Do Trick Three');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '566', 'pet_command_15', 'Do Trick Four');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '567', 'pet_command_16', 'Group');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '568', 'pet_command_17', 'Follow Other');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '569', 'pet_command_18', 'Special Attack One');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '570', 'pet_command_19', 'Special Attack Two');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '571', 'pet_command_2', 'Guard');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '572', 'pet_command_20', 'Ranged Attack');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '573', 'pet_command_21', 'Harvest Creature');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '574', 'pet_command_22', 'Fire Trap Projectile');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '575', 'pet_command_3', 'Friend');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '576', 'pet_command_4', 'Attack');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '577', 'pet_command_5', 'Patrol');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '578', 'pet_command_6', 'Get Patrol Point');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '579', 'pet_command_7', 'Clear Patrol Points');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '580', 'pet_command_8', 'Wedge Formation');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '581', 'pet_command_9', 'Column Formation');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '582', 'pilotskillrequired', 'Pilot Skill Required');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '583', 'planet', 'Planet');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '584', 'plant_fruit', 'Fruit');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '585', 'plant_growth_rate_n', 'Growth Rate');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '586', 'plant_health_n', 'Health');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '587', 'plant_nutrient_level_n', 'Nutrient Level');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '588', 'plant_water_level_n', 'Water Level');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '589', 'playback_modules', 'Playback Tracks');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '590', 'poison_disease_resist', 'Enhanced Immunities');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '591', 'poison_disease_resist_d', 'Increases resistances against disease and poison.');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '592', 'poison_disease_resist_eff', '% Resistance');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '593', 'potency', 'Potency');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '594', 'power', 'Power');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '595', 'power_efficiency', 'Power Efficiency');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '596', 'power_level', 'Capability Level');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '597', 'pup_uses', 'Uses Left');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '598', 'pup_wpn_attack_cost_action', 'Action Cost');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '599', 'pup_wpn_attack_cost_health', 'Health Cost');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '600', 'pup_wpn_attack_cost_mind', 'Mind Cost');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '601', 'pup_wpn_attack_speed', 'Attack Speed');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '602', 'pup_wpn_damage_max', 'Max Damage');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '603', 'pup_wpn_damage_min', 'Min Damage');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '604', 'pup_wpn_damage_radius', 'Damage Radius');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '605', 'pup_wpn_range_attack_mod_max', 'Max Range Attack Mod');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '606', 'pup_wpn_range_attack_mod_mid', 'Ideal Range Attack Mod');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '607', 'pup_wpn_range_attack_mod_zero', 'Point Blank Attack Mod');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '608', 'pup_wpn_range_mid', 'Ideal Range');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '609', 'pup_wpn_wound_chance', 'Wound Chance');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '610', 'quality', 'Quality');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '611', 'quantity', 'Quantity');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '612', 'quantity_bonus', 'Quantity Bonus');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '613', 'quest_details', 'Quest Details');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '614', 'quick_dur', 'Quickness Duration');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '615', 'quick_e', 'Quickness Effectiveness');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '616', 'quickness', 'Quickness');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '617', 'race_restriction', 'Species Restriction');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '618', 'range', 'Effective Range');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '619', 'reduce_clone_wounds', 'Clone Preparation');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '620', 'reduce_clone_wounds_d', 'Reduces the wounds incurred by cloning.');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '621', 'reduce_clone_wounds_eff', '% Reduction');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '622', 'reduce_spice_downtime', 'Adaptive Blood');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '623', 'reduce_spice_downtime_d', 'Reduces the downtime period of the next spice taken.');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '624', 'reduce_spice_downtime_eff', '% Reduction');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '625', 'refire_rate', 'Refire Rate');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '626', 'repair_module', 'Repair Module');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '627', 'repaircharges', 'Repair Charges');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '628', 'repairquality', 'Functionality Rating');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '629', 'res_bone', 'Bone Type');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '630', 'res_bulk', 'Potency');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '631', 'res_cold_resist', 'Cold Resistance');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '632', 'res_conductivity', 'Conductivity');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '633', 'res_decay_resist', 'Decay Resistance');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '634', 'res_flavor', 'Flavor');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '635', 'res_heat_resist', 'Heat Resistance');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '636', 'res_hide', 'Hide Type');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '637', 'res_malleability', 'Malleability');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '638', 'res_meat', 'Meat Type');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '639', 'res_potential_energy', 'Potential Energy');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '640', 'res_quality', 'Overall quality');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '641', 'res_shock_resistance', 'Shock Resistance');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '642', 'res_toughness', 'Unit Toughness');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '643', 'res_volume', 'Bulk');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '644', 'resource_class', 'Resource Class');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '645', 'resource_contents', 'Resource Quantity');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '646', 'resource_name', 'Resource Type');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '647', 'restraineffectiveness', 'Lightsaber Effectiveness');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '648', 'reuse_time', 'Reuse Time');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '649', 'reverseengineeringlevel', 'Reverse Engineering Level');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '650', 'roundsused', 'Ammunition Efficiency');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '651', 'sculpture_adhesive', 'Nabooian Sculpture Adhesive');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '652', 'sculpture_goldinlay_01', 'Nabooian Sculpture Gold Plating - First Coating');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '653', 'sculpture_goldinlay_02', 'Nabooian Sculpture Gold Plating - Second Coating');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '654', 'sculpture_structure_01', 'Nabooian Sculpture Base - First Section');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '655', 'sculpture_structure_02', 'Nabooian Sculpture Base - Second Section');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '656', 'sculpture_structure_03', 'Nabooian Sculpture Base - Third Section');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '657', 'sculpture_structure_04', 'Nabooian Sculpture Base - Fourth Section');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '658', 'sculpture_structure_05', 'Nabooian Sculpture Base - Fifth Section');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '659', 'sculpture_structure_06', 'Nabooian Sculpture Base - Sixth Section');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '660', 'sculpture_structure_07', 'Nabooian Sculpture Base - Seventh Section');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '661', 'serial_number', 'Serial Number');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '662', 'shield_max_back_hp', 'Shield Maximum Back Hitpoints');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '663', 'shield_max_front_hp', 'Shield Maximum Front Hitpoints');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '664', 'shield_recharge', 'Shield Recharge Rate');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '665', 'ship_component', 'Ship Component');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '666', 'ship_component_armor', 'Armor');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '667', 'ship_component_booster_acceleration', 'Acceleration');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '668', 'ship_component_booster_energy', 'Booster Energy');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '669', 'ship_component_booster_energy_consumption_rate', 'Booster Energy Consumption Rate');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '670', 'ship_component_booster_energy_recharge_rate', 'Booster Recharge Rate');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '671', 'ship_component_booster_speed_maximum', 'Top Booster Speed');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '672', 'ship_component_capacitor_energy', 'Capacitor Energy');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '673', 'ship_component_capacitor_energy_recharge_rate', 'Recharge Rate');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '674', 'ship_component_capacitor_recharge_rate', 'Recharge Rate');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '675', 'ship_component_droidinterface_speed', 'Droid Command Speed\n');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '676', 'ship_component_efficiency_energy', 'Energy Efficiency');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '677', 'ship_component_efficiency_general', 'General Efficiency');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '678', 'ship_component_energy_required', 'Reactor Energy Drain');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '679', 'ship_component_engine_acceleration_rate', 'Acceleration Rate');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '680', 'ship_component_engine_deceleration_rate', 'Deceleration Rate');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '681', 'ship_component_engine_pitch_acceleration_rate', 'Pitch Acceleration Rate');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '682', 'ship_component_engine_pitch_rate_maximum', 'Pitch Rate Maximum');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '683', 'ship_component_engine_roll_acceleration_rate', 'Roll Acceleration Rate');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '684', 'ship_component_engine_roll_rate_maximum', 'Roll Rate Maximum');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '685', 'ship_component_engine_speed_maximum', 'Engine Top Speed');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '686', 'ship_component_engine_yaw_acceleration_rate', 'Yaw Acceleration Rate');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '687', 'ship_component_engine_yaw_rate_maximum', 'Yaw Rate Maximum');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '688', 'ship_component_hitpoints', 'Hitpoints');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '689', 'ship_component_mass', 'Mass');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '690', 'ship_component_reactor_generation_rate', 'Reactor Generation Rate');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '691', 'ship_component_shield_hitpoints_back', 'Back Shield Hitpoints');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '692', 'ship_component_shield_hitpoints_front', 'Front Shield Hitpoints');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '693', 'ship_component_shield_recharge_rate', 'Shield Recharge Rate');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '694', 'ship_component_weapon_ammo', 'Ammo');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '695', 'ship_component_weapon_damage', 'Damage');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '696', 'ship_component_weapon_damage_maximum', '');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '697', 'ship_component_weapon_damage_minimum', '');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '698', 'ship_component_weapon_effectiveness_armor', 'Vs. Armor');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '699', 'ship_component_weapon_effectiveness_shields', 'Vs. Shields');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '700', 'ship_component_weapon_energy_per_shot', 'Energy/Shot');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '701', 'ship_component_weapon_refire_rate', 'Refire Rate');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '702', 'ship_name', 'Name: ');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '703', 'skill', 'Skill');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '704', 'skill_mod_name', 'Skill Modifier');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '705', 'skill_modifier_1', 'Primary Skill Modifier');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '706', 'skill_modifier_2', 'Secondary Skill Modifier');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '707', 'skill_modifier_amount', '  Bonus');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '708', 'skill_modifier_length', '  Duration');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '709', 'skill_modifier_name', '  Skill Name');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '710', 'skill_required', 'Required Skill');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '711', 'skillmodmin', 'Skill Required');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '712', 'slicable', 'Slicable');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '713', 'slow_dot_d', 'Reduces duration of DOT effects.');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '714', 'slow_dot_v1', 'Reduction');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '715', 'sockets', 'Sockets available');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '716', 'spec_atk_1', 'Special Attack 1');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '717', 'spec_atk_2', 'Special Attack 2');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '718', 'species0', 'Human');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '719', 'species1', 'Rodian');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '720', 'species2', 'Trandoshan');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '721', 'species3', 'Mon Calamari');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '722', 'species4', 'Wookiee');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '723', 'species5', 'Bothan');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '724', 'species6', 'Twi\'lek');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '725', 'species7', 'Zabrak');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '726', 'speciespet', 'Pets');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '727', 'speed', 'Speed');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '728', 'stalking', 'Stalker');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '729', 'stam_dur', 'Stamina Duration');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '730', 'stam_e', 'Stamina Effectiveness');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '731', 'stamina', 'Stamina');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '732', 'state_type_blinded', 'Blinded');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '733', 'state_type_dizzy', 'Dizzy');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '734', 'state_type_intimidated', 'Intimidated');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '735', 'state_type_stunned', 'Stunned');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '736', 'stationmod', 'Functionality Rating');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '737', 'status', 'Status');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '738', 'stimpack_capacity', 'Stimpack Capacity');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '739', 'stimpack_power', 'Stimpack Power');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '740', 'stimpack_speed', 'Stimpack Delivery');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '741', 'stomach_drink', 'Stomach Filling (Drink)');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '742', 'stomach_food', 'Stomach Filling (Food)');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '743', 'storage_module', 'Storage Module Rating');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '744', 'storage_module_rating', 'Storage Module Rating');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '745', 'str_dur', 'Strength Duration');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '746', 'str_e', 'Strength Effectiveness');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '747', 'strength', 'Strength');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '748', 'struct_module', 'Stucture Maintenance Rating');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '749', 'struct_module_rating', 'Stucture Maintenance Rating');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '750', 'stuneffectiveness', 'Stun Effectiveness');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '751', 'stunintegrity', 'Stun Integrity');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '752', 'system_redundancy', 'System Redundancy');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '753', 'system_response', 'System Response');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '754', 'tamable', 'Tamable');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '755', 'time_remaining', 'Reuse Time');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '756', 'trap_bonus', 'Trapping Bonus');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '757', 'travel_arrival_dungeon', 'Arrival Location');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '758', 'travel_arrival_planet', 'Arrival Planet');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '759', 'travel_arrival_point', 'Arrival Location');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '760', 'travel_departure_planet', 'Departure Planet');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '761', 'travel_departure_point', 'Departure Location');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '762', 'type', 'Type');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '763', 'usemodifier', 'Quality');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '764', 'volume', 'Volume');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '765', 'waypoint_active', 'Active');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '766', 'waypoint_planet', 'Planet');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '767', 'waypoint_position', 'Position');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '768', 'waypoint_region', 'Region');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '769', 'weapon_cert_status', 'Certified');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '770', 'will', 'Will');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '771', 'will_dur', 'Willpower Duration');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '772', 'will_e', 'Willpower Effectiveness');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '773', 'willpower', 'Willpower');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '774', 'wookiee_roar_d', 'Enhances the next Wookiee roar.');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '775', 'wookiee_roar_v1', 'Roar Enhancement');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '776', 'woundchance', 'Wound Chance');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '777', 'wpn_armor_pierce_rating', 'Armor Piercing');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '778', 'wpn_attack_cost_action', 'Special Move Action Cost');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '779', 'wpn_attack_cost_health', 'Special Move Health Cost');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '780', 'wpn_attack_cost_mind', 'Special Move Mind Cost');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '781', 'wpn_attack_speed', 'Attack Speed');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '782', 'wpn_attr', 'Weapon Attributes');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '783', 'wpn_comp_damage_max', 'Maximum Damage');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '784', 'wpn_comp_damage_min', 'Minimum Damge');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '785', 'wpn_damage_max', 'Max');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '786', 'wpn_damage_min', 'Min');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '787', 'wpn_damage_radius', 'Radius');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '788', 'wpn_damage_type', 'Type');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '789', 'wpn_dot_attrib', 'Attribute');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '790', 'wpn_dot_duration', 'Duration');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '791', 'wpn_dot_potency', 'Potency');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '792', 'wpn_dot_strength', 'Strength');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '793', 'wpn_dot_type', 'Type');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '794', 'wpn_dot_uses', 'Uses');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '795', 'wpn_range_attack_mod_max', 'Maximum Range Mod');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '796', 'wpn_range_attack_mod_mid', 'Ideal Range Mod');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '797', 'wpn_range_attack_mod_zero', 'Zero Range Mod');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '798', 'wpn_range_attack_mods', 'Range Attack Mods');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '799', 'wpn_range_max', 'Max');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '800', 'wpn_range_mid', 'Ideal');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '801', 'wpn_range_zero', 'Point Blank');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '802', 'wpn_wound_chance', 'Wound');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '803', 'xp', 'Experience Value');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '804', 'xp_increase', 'Enhanced Learning');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '805', 'xp_increase_d', 'Increases xp gain for a short time (does not affect crafting).');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '806', 'xp_increase_dur', 'Grants Enhanced');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '807', 'xp_increase_eff', '% Bonus');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '808', 'zerorangemod', 'Minimum Range Modifier');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '809', 'data_module_cert_needed', 'Pilot\'s Required Astromech Certification');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '810', 'droid_command_program_size', 'Droid Program Size');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '811', 'droid_program_expended_memory', 'Currently Used Memory');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '812', 'description', 'Description');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '813', 'fltarmoreffectiveness', 'Armor Effectiveness');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '814', 'fltshieldeffectiveness', 'Shield Effectiveness');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '815', 'chaff_effectiveness_min', 'Minimum Chaff Effectiveness');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '816', 'chaff_effectiveness_max', 'Maximum Chaff Effectiveness');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '817', 'fltmineffectiveness', 'Chaff Minimum Effectiveness');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '818', 'fltmaxeffectiveness', 'Chaff Maximum Effectiveness');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '819', 'repairpoints', 'Repair Points');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '820', 'ammo', 'Ammunition');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '821', 'blank_entry', '');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '822', 'droid_program_loaded', 'Loaded Droid Program(s) Include');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '823', 'droid_program', '-Program');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '824', 'amount', 'Amount');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '825', 'droid_command_name', 'Droid Command Name');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '826', 'meat_domesticated', 'Domesticated Meat');
INSERT INTO `client_strings` VALUES ('string/en/obj_attr_n.stf', '827', 'default', '');
INSERT INTO `client_strings` VALUES ('string/en/obj_d.stf', '1', 'obj_bandfill', 'A Bandfill.  ');
INSERT INTO `client_strings` VALUES ('string/en/obj_d.stf', '2', 'obj_fanfar', 'A Fanfar.');
INSERT INTO `client_strings` VALUES ('string/en/obj_d.stf', '3', 'obj_fizz', 'A Fizzz.');
INSERT INTO `client_strings` VALUES ('string/en/obj_d.stf', '4', 'obj_chidinkalu_horn', 'A Chidinkalu Horn');
INSERT INTO `client_strings` VALUES ('string/en/obj_d.stf', '5', 'obj_nalargon', 'A Nalargon.');
INSERT INTO `client_strings` VALUES ('string/en/obj_d.stf', '6', 'obj_kloo_horn', 'A Kloo Horn.');
INSERT INTO `client_strings` VALUES ('string/en/obj_d.stf', '7', 'obj_mandoviol', 'A Mandoviol.');
INSERT INTO `client_strings` VALUES ('string/en/obj_d.stf', '8', 'obj_ommni_box', 'An Ommni Box.');
INSERT INTO `client_strings` VALUES ('string/en/obj_d.stf', '9', 'obj_slitherhorn', 'A Slitherhorn.');
INSERT INTO `client_strings` VALUES ('string/en/obj_d.stf', '10', 'obj_traz', 'A Traz.');
INSERT INTO `client_strings` VALUES ('string/en/obj_d.stf', '11', 'droid_battery', 'A Droid Battery, used to recharge pet droids.');
INSERT INTO `client_strings` VALUES ('string/en/obj_d.stf', '12', 'chemical_reactor', 'A chemical reactor, putting chemicals in it will change the make up of an experiment.');
INSERT INTO `client_strings` VALUES ('string/en/obj_d.stf', '13', 'poison_gas_cloud', 'A cloud of poisonous or toxic gas.');
INSERT INTO `client_strings` VALUES ('string/en/obj_d.stf', '14', 'poison_stabilizer', 'A poison stabilizing agent.  It mixes with toxic fumes to convert them into breathable air.');
INSERT INTO `client_strings` VALUES ('string/en/obj_d.stf', '15', 'trash_container', 'A pile of trash.  There may be something hidden beneath or inside it...');
INSERT INTO `client_strings` VALUES ('string/en/obj_d.stf', '16', 'computer_desktop', 'A desktop monitor and keyboard, connected to a computer network of some kind.');
INSERT INTO `client_strings` VALUES ('string/en/obj_d.stf', '17', 'corvette_bootdisk_4', 'A bootdisk for the internal systems of a Corellian Corvette class ship.  This one is marked #4.');
INSERT INTO `client_strings` VALUES ('string/en/obj_d.stf', '18', 'computer_mainframe', 'A large computer, used for various purposes.');
INSERT INTO `client_strings` VALUES ('string/en/obj_d.stf', '19', 'corvette_droid_maint_module', 'This module is used to regulate the maintenance functions of astromech droids.  It appears to be in working condition.');
INSERT INTO `client_strings` VALUES ('string/en/obj_d.stf', '20', 'coal_bin', 'A large container used for holding solid resources such as coal or ore.');
INSERT INTO `client_strings` VALUES ('string/en/obj_n.stf', '1', 'unknown_ammo', 'unknown ammunition');
INSERT INTO `client_strings` VALUES ('string/en/obj_n.stf', '2', 'unknown_creature', 'an unknown creature');
INSERT INTO `client_strings` VALUES ('string/en/obj_n.stf', '3', 'unknown_factory', 'an unknown factory\n');
INSERT INTO `client_strings` VALUES ('string/en/obj_n.stf', '4', 'unknown_schematic', 'an unknown schematic');
INSERT INTO `client_strings` VALUES ('string/en/obj_n.stf', '5', 'unknown_object', 'an unknown object');
INSERT INTO `client_strings` VALUES ('string/en/obj_n.stf', '6', 'unknown_container', 'an unknown container');
INSERT INTO `client_strings` VALUES ('string/en/obj_n.stf', '7', 'unknown_installation', 'an unknown installation');
INSERT INTO `client_strings` VALUES ('string/en/obj_n.stf', '8', 'unknown_kiosk', 'an unknown kiosk');
INSERT INTO `client_strings` VALUES ('string/en/obj_n.stf', '9', 'unknown_weapon', 'an unknown weapon');
INSERT INTO `client_strings` VALUES ('string/en/obj_n.stf', '10', 'obj_musical_instrument', 'a musical instrument');
INSERT INTO `client_strings` VALUES ('string/en/obj_n.stf', '11', 'obj_dorenian_beshniquel', 'a Dorenian Beshniquel');
INSERT INTO `client_strings` VALUES ('string/en/obj_n.stf', '12', 'obj_fizzz', 'a Fizzz');
INSERT INTO `client_strings` VALUES ('string/en/obj_n.stf', '13', 'obj_kloo_horn', 'a Kloo Horn');
INSERT INTO `client_strings` VALUES ('string/en/obj_n.stf', '14', 'obj_fanfar', 'a Fanfar');
INSERT INTO `client_strings` VALUES ('string/en/obj_n.stf', '15', 'obj_ommni_box', 'an Ommni Box');
INSERT INTO `client_strings` VALUES ('string/en/obj_n.stf', '16', 'obj_nalargon', 'a Nalargon');
INSERT INTO `client_strings` VALUES ('string/en/obj_n.stf', '17', 'obj_slitherhorn', 'a Slitherhorn');
INSERT INTO `client_strings` VALUES ('string/en/obj_n.stf', '18', 'obj_drums', 'Drums');
INSERT INTO `client_strings` VALUES ('string/en/obj_n.stf', '19', 'obj_growdi_flute', 'a Growdi');
INSERT INTO `client_strings` VALUES ('string/en/obj_n.stf', '20', 'obj_chidinkalu_horn', 'a Chidinkalu Horn');
INSERT INTO `client_strings` VALUES ('string/en/obj_n.stf', '21', 'obj_mandoviol', 'a Mandoviol');
INSERT INTO `client_strings` VALUES ('string/en/obj_n.stf', '22', 'obj_organ', 'a Nalargon');
INSERT INTO `client_strings` VALUES ('string/en/obj_n.stf', '23', 'obj_bandfill', 'a Bandfill ');
INSERT INTO `client_strings` VALUES ('string/en/obj_n.stf', '24', 'corpse_name_prose', 'corpse of %TU');
INSERT INTO `client_strings` VALUES ('string/en/obj_n.stf', '25', 'obj_traz', 'a Traz');
INSERT INTO `client_strings` VALUES ('string/en/obj_n.stf', '26', 'droid_battery', 'A Droid Battery');
INSERT INTO `client_strings` VALUES ('string/en/obj_n.stf', '27', 'legendary_prefix', 'Legendary');
INSERT INTO `client_strings` VALUES ('string/en/obj_n.stf', '28', 'exceptional_prefix', 'Exceptional');
INSERT INTO `client_strings` VALUES ('string/en/obj_n.stf', '29', 'waypoint', 'Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/obj_n.stf', '30', 'chemical_reactor', 'Chemical Reactor');
INSERT INTO `client_strings` VALUES ('string/en/obj_n.stf', '31', 'poison_gas_cloud', 'Poison Gas Cloud');
INSERT INTO `client_strings` VALUES ('string/en/obj_n.stf', '32', 'poison_stabilizer', 'Poison Stabilizer');
INSERT INTO `client_strings` VALUES ('string/en/obj_n.stf', '33', 'trash_container', 'Trash Heap');
INSERT INTO `client_strings` VALUES ('string/en/obj_n.stf', '34', 'computer_desktop', 'Desktop Computer');
INSERT INTO `client_strings` VALUES ('string/en/obj_n.stf', '35', 'corvette_bootdisk_4', 'Bootdisk #4');
INSERT INTO `client_strings` VALUES ('string/en/obj_n.stf', '36', 'computer_mainframe', 'Computer Console');
INSERT INTO `client_strings` VALUES ('string/en/obj_n.stf', '37', 'corvette_droid_maint_module', 'Droid Maintenance Module');
INSERT INTO `client_strings` VALUES ('string/en/obj_n.stf', '38', 'coal_bin', 'Coal Bin');
INSERT INTO `client_strings` VALUES ('string/en/obj_n.stf', '39', 'imperial_banner', 'Imperial Banner');
INSERT INTO `client_strings` VALUES ('string/en/obj_n.stf', '40', 'rebel_banner', 'Rebel Banner');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '1', 'music_no_instrument', 'You must have an instrument equipped to play music.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '2', 'music_start_self', 'You prepare to begin playing.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '3', 'music_start_other', '%TU prepares to begin playing.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '4', 'music_stop_self', 'You stop playing.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '5', 'music_stop_other', '%TU stops playing.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '6', 'dance_start_self', 'You begin dancing.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '7', 'dance_start_other', '%TU begins dancing.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '8', 'dance_stop_self', 'You stop dancing.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '9', 'dance_stop_other', '%TU stops dancing.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '10', 'music_listen_self', 'You start listening to %TT.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '11', 'dance_watch_self', 'You start watching %TT.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '12', 'music_invalid_song', 'That is not a valid song name.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '17', 'music_still_playing', 'You cannot start the music while a band member is still playing.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '18', 'music_listen_stop_self', 'You stop listening.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '19', 'dance_watch_stop_self', 'You stop watching.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '20', 'music_listen_playing_self', 'You must stop playing to listen.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '21', 'music_lack_skill_song_band', 'You do not have the skill to perform the song the band is performing.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '22', 'already_performing_self', 'You are already performing.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '23', 'dance_unknown_self', 'You do not know that dance.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '24', 'dance_lack_skill_self', 'You do not have the skill to perform the dance.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '25', 'flourish_wait_self', 'You must wait before you can perform another flourish.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '26', 'flourish_not_performing', 'You must be playing music or dancing in order to perform a flourish.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '27', 'flourish_not_valid', 'That is not a valid flourish.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '28', 'flourish_too_tired', 'You are too tired to perform a flourish.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '29', 'dance_too_tired', 'You are too tired to continue dancing.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '30', 'music_too_tired', 'You are too tired to continue playing music.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '31', 'flourish_format', 'Format: /flourish <number>');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '32', 'dance_no_dance_param', 'What dance do you wish to perform?');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '33', 'music_no_music_param', 'What song do you wish to play?');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '34', 'flourish_perform', 'You perform a flourish.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '35', 'dance_fail', 'You are unable to do that at this time.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '36', 'music_fail', 'You are unable to do that at this time.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '37', 'dance_not_dancer', '%TT is not a dancer.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '38', 'music_start_band_self', 'You prepare to start the band playing.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '39', 'music_start_band_members', '%TU prepares to start your band playing.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '40', 'music_start_band_other', '%TU\'s band prepares to start playing.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '41', 'music_stop_band_self', 'You stop the band.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '42', 'music_stop_band_members', '%TU stops your band.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '43', 'music_stop_band_other', '%TU\'s band stops playing.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '44', 'music_outro_wait', 'You must wait a moment before starting another song.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '45', 'effect_wait_self', 'You must wait before you can perform another special effect.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '46', 'effect_not_performing', 'You must be performing in order to execute this special effect.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '47', 'effect_not_performing_correct', 'You are not using the correct performance skill to execute this special effect.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '48', 'effect_lack_skill_self', 'You lack the skill to execute this special effect.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '49', 'effect_too_tired', 'You are too tired to execute this special effect.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '50', 'effect_need_target', 'This special effect requires an active target to execute.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '51', 'effect_level_too_high', 'You specified a level for this special effect that is above your current skill level.  Attempting to execute a lower level effect.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '52', 'effect_perform_spot_light', 'You execute a Spot Light effect.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '53', 'effect_perform_color_lights', 'You execute a Colored Lights effect.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '54', 'effect_perform_dazzle', 'You execute a Dazzle effect.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '55', 'effect_perform_distract', 'You execute a Distraction effect.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '56', 'effect_perform_smoke_bomb', 'You execute a Smoke Bomb effect.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '57', 'effect_perform_fire_jets', 'You execute a Fire Jet effect.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '58', 'effect_perform_ventriloquism', 'You execute a Ventriloquism effect.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '59', 'music_not_musician', '%TT is not a musician.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '60', 'music_listen_not_playing', '%TT is not playing a song.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '61', 'dance_watch_not_dancing', '%TT is not dancing.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '62', 'music_listen_out_of_range', 'You stop listening to %TT because %OT is too far away.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '63', 'dance_watch_out_of_range', 'You stop watching %TT because %OT is too far away.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '64', 'music_must_be_performing_self', 'You must be playing music before you can change the song.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '65', 'dance_must_be_performing_self', 'You must be dancing before you can change the dance.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '66', 'music_prepare_stop_self', 'You prepare to stop playing.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '67', 'music_prepare_stop_band_self', 'You prepare to stop the band.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '68', 'music_prepare_stop_band_members', '%TU prepares to stop your band.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '69', 'flourish_instrument_unknown', 'You specified an unknown instrument for a band flourish.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '70', 'flourish_perform_band_self', 'Your band performs a flourish.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '71', 'band_flourish_format', 'Format: /bandFlourish <on|off>\nFormat: /bandFlourish <number>\nFormat: /bandFlourish <number> <instrument>');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '72', 'music_listen_npc', 'You can not /listen to NPCs.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '73', 'dance_watch_npc', 'You can not /watch NPCs.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '74', 'music_lack_skill_song_self', 'You do not have the skill to perform that song.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '75', 'music_lack_skill_instrument', 'You do not have the skill to use the currently equiped instrument.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '76', 'music_lack_skill_band_member', 'One of the band members lacked the skill to perform that song.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '77', 'music_must_match_band', 'You cannot change your song now.  You must play the same song as the band.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '78', 'music_not_performing', 'You are not currently playing a song.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '79', 'dance_not_performing', 'You are not currently dancing.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '80', 'music_join_band_self', 'You join with the band in the currently playing song.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '81', 'music_band_join_song_self', 'You prepare the band to join in with the currently performed song.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '82', 'music_band_join_song_members', '%TU prepares your band to join in with the currently playing song.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '83', 'band_flourish_off', 'You are no longer accepting Band Flourishes.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '84', 'band_flourish_on', 'You will now accept Band Flourishes.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '85', 'band_flourish_status_on', 'You are currently accepting Band Flourishes.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '86', 'band_flourish_status_off', 'You are currently not accepting Band Flourishes.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '87', 'music_join_band_stop', 'You must play the same song as the band.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '88', 'flourish_perform_band_member', '%TT performs a band flourish.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '89', 'music_must_unequip', 'You must unequip your current instrument in order to play another.\n');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '90', 'deny_service_add_self', 'You have added %TT to your Denial of Service list. ');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '91', 'deny_service_add_other', 'You have been added to %TU\'s Denial of Service list.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '92', 'deny_service_remove_self', 'You have removed %TT from your Denial of Service list.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '93', 'deny_service_remove_other', 'You have been removed from %TU\'s Denial of Service list.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '94', 'buff_set_target_self', 'You direct your attention towards %TT.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '95', 'buff_set_target_other', '%TU directs their performance to you.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '96', 'buff_invalid_target_self', 'The player name you specified was not recognized.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '97', 'music_track_not_available', 'Your droid does not have a track recorded for the current song in progress.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '98', 'music_out_of_power', 'Your droid is low on power and can no longer continue playing.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '99', 'buff_time_failed', 'You must listen or watch a performer for at least 2 minutes in order to gain the entertainer buffs.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '100', 'performance_delay', 'You must wait %DI seconds after stopping before you can begin entertaining again.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '101', 'select_song', 'Select a song to play.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '102', 'available_songs', 'Available Songs');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '103', 'select_dance', 'Select a dance to perform.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '104', 'available_dances', 'Available Dances');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '105', 'select_juggs', 'Select a juggling act to perform.');
INSERT INTO `client_strings` VALUES ('string/en/performance.stf', '106', 'available_juggs', 'Available Juggles');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '1', 'merchant_barker', 'Get Merchant Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '2', 'record_message', 'Record Message');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '3', 'barker_on_off', 'Toggle Barker On/Off');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '4', 'store_waypoint', 'Set Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '5', 'recording_message_on', 'The next time you speak, it will be recorded by your merchant barker droid.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '6', 'recording_message_off', 'Recording mode has been turned off without saving.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '7', 'message_too_long', 'Your message is too long.  It cannot exceed 128 characters.  Please try again.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '8', 'message_saved', 'Your bark message has been saved.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '9', 'barking_on', 'The droid\'s merchant barking has been turned on.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '10', 'barking_off', 'The droid\'s merchant barking has been turned off.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '11', 'no_message_to_bark', 'You must record a message to bark.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '12', 'no_waypoints_in_datapad', 'You have no waypoints in your datapad from which to copy.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '13', 'select_waypoint', 'Select a waypoint.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '14', 'barker_message_sub', 'Merchant Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '15', 'barker_message_body', 'Here is your requested merchant waypoint.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '16', 'waypoint_set', 'Waypoint set.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '17', 'waypoint_sent', 'The droid\'s waypoint has been placed in your datapad.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '18', 'not_enough_power', 'The droid does not have enough power to do that.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '19', 'not_space_in_datapad', 'There is not enough space in your datapad for another waypoint.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '20', 'no_waypoint', 'This droid has no stored waypoint to give you.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '21', 'invalid_droid_bomb', 'You must target the droid you wish to detonate.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '22', 'must_be_owner_droid_bomb', 'You must be the master of the droid you wish to detonate.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '23', 'droid_bomb_failed', 'Droid detonation has failed.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '24', 'no_bomb_module', 'That droid has no detonation module.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '25', 'countdown_already_started', 'The detonation countdown has already started.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '26', 'countdown_started', 'The detonation countdown has started.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '27', 'countdown_1', '* 1 *');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '28', 'countdown_2', '* 2 *');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '29', 'countdown_3', '* 3 *');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '30', 'detonate_droid', 'Detonate Droid');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '31', 'insufficient_skill_detonate', 'You must be a Novice Bounty Hunter or a Novice Smuggler to detonate a droid.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '32', 'hit_by_detonation', 'You are caught in the blast of an exploding droid!  You take %DI damage!');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '33', 'detonation_disabled', '* disabled *');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '34', 'detonation_warmup', 'The droid needs to initialize its detonation module for the first time.  This will take approximately 10 seconds.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '35', 'request_stimpack', 'Request Stimpack');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '36', 'load_stimpack', 'Load Stimpack');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '37', 'no_stimpacks', 'You do not have any A level stimpacks to load into the droid.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '38', 'invalid_stimpack', 'That is not a valid stimpack.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '39', 'not_stimpack_droid', 'The droid you have selected does not have a stimpack dispensor module installed.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '40', 'stimpack_capacity_full', 'The droid\'s stimpack capacity is at its maximum.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '41', 'stimpack_loaded', 'The stimpack is loaded into the droid.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '42', 'stimpack_no_target', 'There are no nearby dispensor droids that are ready to deliver a stimpack.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '43', 'stimpack_not_ready', 'The droid is not yet ready to deliver another stimpack.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '44', 'stimpack_error', 'A malfunction is preventing the droid from dispensing stimpacks.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '45', 'stimpack_no_damage', 'You have no damage to heal.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '46', 'stimpack_cant_use_droid', 'To use a stimpack dispensor droid, you must either be its master on be in same group as its master.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '47', 'stimpack_supply_empty', 'The droid is out of stimpacks.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '48', 'stimpack_too_far_away', 'You are too far away from the droid to request a stimpack.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '49', 'toggle_autorepair', 'Auto-repair On/Off');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '50', 'autorepair_off', 'You turn off auto-repair.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '51', 'autorepair_on', 'You turn on auto-repair.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '52', 'toggle_effects', 'Toggle Effects On/Off');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '53', 'effects_set_up', 'Configure Effects');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '54', 'no_available_effects', 'Your droid does not have any effects that it can perform.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '55', 'effect_error_reset', 'There is an error in your effects program.  Resetting the data.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '56', 'playback_list_title', 'Playback Module');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '57', 'playback_list_prompt', 'Choose a track:\n\nRecord/Play - \n- Record song data in an empty track\n- Playback song data in a recorded track\n\nDelete -\n- Delete song data from a recorded track');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '58', 'playback_delete_title', 'Delete Track');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '59', 'playback_delete_prompt', 'Are you sure you want to delete this track:');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '60', 'playback_btn_play_record', 'Record/Play');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '61', 'playback_btn_delete', 'Delete');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '62', 'playback_menu_playback', 'Access Playback Module');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '63', 'playback_menu_stop_playback', 'Stop Playback');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '64', 'playback_track', 'Track');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '65', 'playback_blank_track', '<EMPTY>');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '66', 'playback_msg_rec_start', 'Your droid is ready to start recording your music.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '67', 'playback_msg_rec_timeout', 'Recording failed: You did not begin playing a song before the session timed out.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '68', 'playback_msg_rec_begun', 'Your droid has started to record your music.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '69', 'playback_msg_rec_fail_track_full', 'Recording failed: You cannot record over a track that is not empty.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '70', 'playback_msg_rec_fail_already_playing', 'Recording failed: You cannot record because you are already playing a song.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '71', 'playback_msg_rec_fail_not_finished', 'Recording failed: You stopped playing before the recording session was finished.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '72', 'playback_msg_rec_fail_corrupted', 'Recording failed: Inconsistant data, recording session corrupted.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '73', 'playback_msg_rec_complete', 'Your droid has successfully completed the recording session.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '74', 'playback_msg_del_track_already_empty', 'You cannot erase a track that is already empty.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '75', 'playback_msg_del_track_deleted', 'The song data has successfully been erased.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '76', 'playback_msg_play_out_of_power', 'Your droid is low on power and cannot access the track data.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '77', 'harvest_options', 'Harvest Options');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '78', 'program_target_harvest', 'Program Target Harvest');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '79', 'toggle_auto_harvest', 'Toggle Auto Harvest');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '80', 'set_harvest_interest', 'Set Harvest Interest');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '81', 'auto_harvest_on', 'Auto Harvest: On');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '82', 'auto_harvest_off', 'Auto Harvest: Off');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '83', 'invalid_harvest_target', 'That is an invalid harvest target.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '84', 'auto_harvest_enabled', 'Auto Harvest Enabled.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '85', 'auto_harvest_disabled', 'Auto Harvest Disabled.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '86', 'already_harvested', 'You have already harvested that corpse.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '87', 'cannot_access_corpse', 'Cannot access that target.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '88', 'no_resources_to_harvest', 'There are no resources to harvest.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '89', 'target_type_not_found', 'Selected Resource Type Not Found.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '90', 'corpse_too_far', 'The targeted corpse is too far away.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '91', 'set_interest_random', 'Set Interest: Random');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '92', 'set_interest_meat', 'Set Interest: Meat');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '93', 'set_interest_hide', 'Set Interest: Hide');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '94', 'set_interest_bone', 'Set Interest: Bone');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '95', 'set_interest_d', 'Set Target Interest');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '96', 'set_interest_t', 'Select from the following list to set your droids target interest.  Default setting will be random.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '97', 'no_skill_for_effects', 'You must be at least a Novice Dancer or Novice Musician to do that.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '98', 'effects_started', 'You turn on the droid\'s effects.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '99', 'effects_off', 'You turn off the droid\'s effects.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '100', 'invalid_delay_time', 'The delay must be at least 3 seconds and no longer than 60 seconds.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '101', 'no_effects_program', 'The droid\'s effect program must have at least one active slot in order to active it.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '102', 'healing_healstate', 'Effects Test 1');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '103', 'healing_healenhance', 'Effects Test 2');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '104', 'dot_apply_poison', 'Effects Test 3');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '105', 'dot_apply_area_poison', 'Effects Test 4');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '106', 'empty_slot', 'Empty Slot');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '107', 'struct_maint_root', 'Structure Maintenance');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '108', 'struct_maint_perform', 'Perform Maintenance Run');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '109', 'struct_maint_edit', 'Edit Maintenance List');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '110', 'droid_maint_list_title', 'Maintenance Run');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '111', 'droid_maint_list_prompt', 'Please select a structure to perform a maintenance run on. \n\nOnce all structures to be maintained have been selected, press the Go button.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '112', 'droid_maint_amount_title', 'Maintenance Amount');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '113', 'droid_maint_amount_prompt', 'Please enter the amount of maintenance to pay on this structure.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '114', 'droid_maint_edit_title', 'Edit Maintenance List');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '115', 'droid_maint_edit_prompt', 'Please select a structure to remove from this droid\'s maintenance list.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '116', 'droid_maint_empty_list', 'The maintenance list for this droid is empty.  Go to one of your structures and assign this droid to maintain it.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '117', 'droid_maint_no_valid_struct', 'There are no structures on the planet that this droid can maintain.  You must first travel to the planet the structure is on before performing a maintenance run.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '118', 'droid_maint_empty_maint_run', 'You must first add structures to be maintained before you can start a maintenance run.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '119', 'droid_maint_select_struct', 'You must first select a structure to add to the list for the maintenance run.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '120', 'droid_maint_data_error', 'Error retrieving structure data for maintenance run.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '121', 'droid_maint_invalid_amount', 'Invalid maintenance amount given, aborting maintenance run.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '122', 'droid_maint_not_enough_cash', 'You do not have enough money to perform that maintenance.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '123', 'droid_maint_cant_travel', 'You don\'t have enough money to pay the travel costs to maintain that structure.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '124', 'droid_maint_on_maint_run', 'You cannot call that droid.  It is currently on a maintenance run.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '125', 'droid_maint_diff_planet_prefix', 'There will be a ');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '126', 'droid_maint_diff_planet_suffix', 'cr additional charge to maintain that structure because it\'s on a different planet.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '127', 'throw_trap_options', 'Trap Projectile Controls');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '128', 'train_throw_one', 'Program: Fire Trap');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '129', 'clear_trap', 'Clear Projectile Mechanism');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '130', 'already_loaded', 'This droid is already loaded with a trap.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '131', 'insufficient_skill', 'You have insufficient trapping skill to perform this action.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '132', 'no_trap_loaded', 'There is no trap loaded.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '133', 'target_too_far', 'That target is out of range.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '134', 'droid_effect_bubbles', 'Bubbles');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '135', 'droid_effect_confetti', 'Confetti');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '136', 'droid_effect_doves', 'Avians');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '137', 'droid_effect_dry_ice', 'Smoke');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '138', 'droid_effect_electric_floor', 'Electric Floor');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '139', 'droid_effect_electric_fog', 'Electric Fog');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '140', 'droid_effect_foam', 'Foam');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '141', 'droid_effect_fog_machine', 'Fog Cloud');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '142', 'droid_effect_jawa_dance', 'Dancing Jawas');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '143', 'droid_effect_mind_bloom', 'Mind Bloom');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '144', 'survey_planet_title', 'Choose Planet');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '145', 'survey_planet_prompt', 'Choose a planet for the survey scan.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '146', 'survey_select_tool_title', 'Choose Survey Tool');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '147', 'survey_select_tool_prompt', 'Choose a survey tool to use for the scan.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '148', 'survey_no_survey_skill', 'You must have skill operating Survey Devices in order to properly program this droid.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '149', 'survey_no_survey_tools', 'No survey tools found in your inventory.  This droid requires a survey tool in order to perform its functions.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '150', 'droid_disabled_detonate', 'You cannot detonate a disabled droid.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '151', 'hit_by_detonation_master', '%TT is caught in the blast of your exploding droid and hit for %DI damage.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '152', 'droid_harvest', 'Your droid has successfully harvested %DI unit(s) of %TU.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '153', 'interest_set_random', 'Harvest Interest Set: Random');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '154', 'interest_set_hide', 'Harvest Interest Set: Hide');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '155', 'interest_set_bone', 'Harvest Interest Set: Bone');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '156', 'interest_set_meat', 'Harvest Interest Set: Meat');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '157', 'trap_matrix_cleared', 'Projectile Mechanism Cleared');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '158', 'trap_module_initialize', 'Trap Type Set: %TU\nTrap Count: %DI');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '159', 'add_trap_to_droid', 'Equip in Trap Droid');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '160', 'droid_maint_list_header', 'Current Structures to Maintain:\n');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '161', 'trap_max_reached', 'The maximum trap load has been met.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '162', 'trap_matrix_full', 'The trap matrix is already full.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '163', 'invalid_trap_target', 'That is not a valid target.');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '164', 'cant_throw_yet', 'Cannot fire another trap for %DI second(s).');
INSERT INTO `client_strings` VALUES ('string/en/pet/droid_modules.stf', '165', 'inventory_full', 'You have no room in your inventory for the Droid Memory Module.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '1', 'at_max', 'You already have the maximum number of pets of this type that you can call.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '2', 'awaken', 'Incapacitation Recovery');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '3', 'bad_type', 'You cannot trade a pet of that type.  Transfer failed.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '4', 'call_delay_finish_pet', 'Already calling a Pet: Call will be finished in %DI seconds.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '5', 'call_delay_finish_vehicle', 'Already Generating Vehicle: Call will be finished in %DI seconds.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '6', 'call_pet_delay', 'Calling pet in %DI seconds.  Combat will terminate pet call.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '7', 'call_vehicle_delay', 'Generating vehicle in %DI seconds.  Combat will terminate vehicle generation.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '8', 'cannot_control', 'You have no chance of controlling that creature.  ');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '9', 'cant_call', 'You cannot call this pet right now.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '10', 'cant_call_1sec', 'You cannot CALL for 1 second.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '11', 'cant_call_vehicle', 'You can only unpack vehicles while Outside and not in Combat.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '12', 'cant_dismount', 'You cannot dismount anything at the moment.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '13', 'cant_mount', 'You cannot mount anything at the moment.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '14', 'cant_mount_veh_disabled', 'You can\'t use a disabled vehicle.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '15', 'cant_store_1sec', 'You cannot STORE for 1 second.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '16', 'cant_trick', 'You need to rest before you can have your pet perform a trick.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '17', 'control_exceeded', 'Calling this pet would exceed your Control Level ability.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '18', 'customization_fading', 'Your droid\'s customization is fading away.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '19', 'customization_gone', 'Your droid\'s customization has completely faded away.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '20', 'dead_pet', 'This pet is dead.  Select DESTROY from the radial menu to delete this pet control device.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '21', 'device_added', 'A control device has been added to your datapad.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '22', 'droid_options', 'Droid Options');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '23', 'err_repair_data', 'Your repair transaction has been cancelled due to unavailability of system data.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '24', 'err_repair_fail', 'Your attempt to repair your vehicle has failed.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '25', 'garage_out_of_range', 'You are not near a valid garage.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '26', 'garage_proximity', 'You have entered into the proximity of a vehicle garage.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '27', 'has_max_vehicle', 'You already have the maximum number of vehicles that you can own.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '28', 'helper_default_reminder', 'On a normal droid, clicking \"Droid Options\" will default to the recharge option.\nYou must have a droid battery in your inventory for this to work.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '29', 'init_navicomp_dpad', 'Initialize Flight-Computer Core storage unit for use.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '30', 'invalid_crafted_pet', 'This pet has invalid stats and cannot be called.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '31', 'jetpack_dismount', 'You have been dismounted from the jetpack, and it has been stored.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '32', 'lack_skill', 'You lack the skill to call a pet of this type.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '33', 'menu_assume_formation_1', 'Get in wedge formation');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '34', 'menu_assume_formation_2', 'Get in column formation');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '35', 'menu_attack', 'Attack');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '36', 'menu_call', 'Call');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '37', 'menu_clear_patrol_points', 'Clear patrol Points');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '38', 'menu_command', 'Train');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '39', 'menu_command_droid', 'Program');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '40', 'menu_command_open', 'Open Droid\'s Item Storage Compartment');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '41', 'menu_commandlist', 'List Commands');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '42', 'menu_dismount', 'Climb Off Of Pet');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '43', 'menu_dpad', 'Open Droid\'s Datapad');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '44', 'menu_enter', 'Enter Vehicle');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '45', 'menu_enter_exit', 'Enter/Exit Vehicle');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '46', 'menu_exit', 'Exit Vehicle');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '47', 'menu_feed', 'Feed');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '48', 'menu_follow', 'Follow Me');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '49', 'menu_follow_other', 'Follow Target');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '50', 'menu_friend', 'Befriend');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '51', 'menu_generate', 'Generate Vehicle');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '52', 'menu_get_patrol_point', 'Get patrol point');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '53', 'menu_group', 'Group');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '54', 'menu_guard', 'Guard');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '55', 'menu_mount', 'Climb Aboard Pet');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '56', 'menu_patrol', 'Patrol');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '57', 'menu_ranged_attack', 'Use Ranged Attack');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '58', 'menu_recharge', 'Recharge');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '59', 'menu_recharge_other', 'Recharge Other Droid');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '60', 'menu_release', 'Store');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '61', 'menu_repair_other', 'Repair Other Droid');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '62', 'menu_repair_vehicle', 'Repair Vehicle');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '63', 'menu_specialattack_one', 'Special Attack One');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '64', 'menu_specialattack_two', 'Special Attack Two');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '65', 'menu_stay', 'Stay');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '66', 'menu_store', 'Store');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '67', 'menu_tame', 'Tame');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '68', 'menu_train_mount', 'Train Pet As A Mount');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '69', 'menu_transfer', 'Transfer');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '70', 'menu_trick_1', 'Trick 1');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '71', 'menu_trick_2', 'Trick 2');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '72', 'menu_trick_3', 'Trick');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '73', 'menu_trick_4', 'Trick');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '74', 'menu_unpack', 'Ready Droid Unit');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '75', 'menu_vitapack', 'Use Vitality Pack');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '76', 'milk_me', 'Collect Milk');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '77', 'mount_growth_prompt', 'Your pet could be used as a mount, but is about to grow too large to serve as one. If you ever plan on using this pet as a mount you must arrest its growth now. Stop pet\'s growth?');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '78', 'mount_growth_title', 'Pet Growth Arrest');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '79', 'mounted_call_warning', 'You cannot call a pet while mounted or riding a vehicle.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '80', 'no_chance', 'That person has no chance of controlling this creature.  Transfer failed.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '81', 'no_moving', 'You cannot call a vehicle while moving.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '82', 'no_xfer_command', 'That pet hasn\'t been trained the Transfer command.  Transfer failed.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '83', 'not_declared', 'You must be Declared and Overt to use that.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '84', 'open_navicomp_dpad', 'Access the Flight-Computer core storage unit');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '85', 'patrol_added', 'Patrol point acknowledged');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '86', 'patrol_removed', 'Patrol points forgotten');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '87', 'pet_invited', 'Your pet has been invited to join your group.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '88', 'pet_learn', 'You teach your pet a new command.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '89', 'pet_nolearn', 'Your pet doesn\'t seem to understand you.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '90', 'pet_nothandler', 'You cannot transfer a creature to someone who is not a trained Creature Handler.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '91', 'pet_released', 'You release your pet back into the wild.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '92', 'pet_too_many_pets', 'That person is controlling too many pets already.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '93', 'pet_transfer_succeed', 'The pet has been successfully transferred');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '94', 'private_house', 'You cannot call pets in a private building.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '95', 'prose_cant_call_yet', 'You cannot CALL for %DI seconds.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '96', 'prose_cant_generate_yet', 'You cannot generate a vehicle for %DI seconds.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '97', 'prose_cant_store_yet', 'You cannot STORE for %DI seconds.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '98', 'ranged_attack_toggled', 'Pet ranged attack mode toggled ON');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '99', 'ranged_attack_toggled_off', 'Pet ranged attack mode toggled OFF');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '100', 'repair_condition_changed', 'You vehicle condition has changed since confirmation. Repairs will be conducted for the total amount of  %DI.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '101', 'sys_cant_buff', 'You can\'t use that ability right now.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '102', 'sys_cant_generate', 'You cannot generate a droid pet from this deed right now.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '103', 'sys_cant_tame', 'You can\'t tame that');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '104', 'sys_cant_trick', 'You can\'t have your pet perform a trick right now.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '105', 'sys_embolden', 'Your pets fight with renewed vigor.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '106', 'sys_enrage', 'You drive your pets into a wild rage.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '107', 'sys_fail_embolden', 'You do not have enough mental focus to embolden.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '108', 'sys_fail_enrage', 'You lack the mental focus to enrage your pets.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '109', 'sys_lack_skill', 'You lack the skill to be able to tame that creature.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '110', 'sys_too_many_stored', 'There are too many pets stored in this container.  Release some of them to make room for more.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '111', 'targ_too_many', 'That person has too many pets.  Transfer failed.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '112', 'targ_too_many_stored', 'That person has too many stored pets.  Transfer failed.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '113', 'too_hard', 'You have no chance of controlling this creature.  See \"Pet Trade-In\" in your Holocron for information.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '114', 'too_many', 'You can\'t control any more pets.  Store one first.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '115', 'uses_complete', 'Your lease on this vehicle has expired. The control device has been removed from your datapad.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '116', 'uses_left', 'Your lease on this vehicle is good for %DI more use(s).');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '117', 'uses_left_last', 'Your lease on this vehicle is about to expire. The control device will be removed from your datapad upon storage.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '118', 'uses_left_new', 'You have generated a rented vehicle. Your lease on this vehicle is good for %DI more uses before it will be removed from your datapad.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '119', 'veh_disabled', 'Your vehicle has been disabled!');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '120', 'vehicle_released', 'You destroy that vehicle.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '121', 'customization_fading_veh', 'Your vehicle\'s customization is fading away.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '122', 'customization_gone_veh', 'Your vehicle\'s customization has completely faded away.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '123', 'pet_no_group_in_space', 'You cannot group with pets in space.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '124', 'pet_has_notrade', 'The object %TT may not be traded and must be put in your inventory or destroyed before the pet can be transferred.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '125', 'invalid_command', 'That is an invalid pet command.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '126', 'cannot_repair_disabled', 'You may not repair a disabled vehicle.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '127', 'repair_unrecognized_garages', 'Your vehicle does not recognize any local garages. Try again in a garage repair zone.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '128', 'undamaged_vehicle', 'The targeted vehicle does not require any repairs at the moment.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '129', 'repair_error', 'There has been an error in calculating vehicle repair costs. Please contact a CSR for assistance.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '130', 'lacking_funds_prefix', 'You lack the additional ');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '131', 'lacking_funds_suffix', ' credits required to repair your vehicle.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '132', 'vehicle_repair_d', 'You have chosen to repair your vehicle. Please review the listed details and confirm your selection.');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '133', 'vehicle_prompt', 'Vehicle: ');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '134', 'repair_cost_prompt', 'Repair Cost: ');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '135', 'total_funds_prompt', 'Total Funds Available: ');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '136', 'confirm_repairs_t', 'Confirm Vehicle Repairs');
INSERT INTO `client_strings` VALUES ('string/en/pet/pet_menu.stf', '137', 'default', '');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '1', 'angler', 'Angler');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '2', 'bantha', 'Bantha');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '3', 'bearded_jax', 'Bearded Jax');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '4', 'blurrg', 'Blurrg');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '5', 'bol', 'Bol');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '6', 'bolle_bol', 'Bolle Bol');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '7', 'bolma', 'Bolma');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '8', 'brackaset', 'Brackaset');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '9', 'carrion_spat', 'Carrion Spat');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '10', 'choku', 'Choku');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '11', 'dalyrake', 'Dalyrake');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '12', 'dewback', 'Dewback');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '13', 'eopie', 'Eopie');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '14', 'falumpaset', 'Falumpaset');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '15', 'fambaa', 'Fambaa');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '16', 'gualama', 'Gualama');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '17', 'guf_drolg', 'Guf Drolg');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '18', 'gurrcat', 'Gurrcat');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '19', 'gurreck', 'Gurreck');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '20', 'kaadu', 'Kaadu');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '21', 'kahmurra', 'Kahmurra');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '22', 'kimogila', 'Kimogila');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '23', 'krahbu', 'Krahbu');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '24', 'kusak', 'Kusak');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '25', 'narglatch', 'Narglatch');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '26', 'pugoriss', 'Pugoriss');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '27', 'rancor', 'Rancor');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '28', 'ronto', 'Ronto');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '29', 'sand_panther', 'Razor Cat');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '30', 'snorbal', 'Snorbal');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '31', 'torton', 'Torton');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '32', 'tybis', 'Tybis');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '33', 'veermok', 'Veermok');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '34', 'zucca_boar', 'Zucca Boar');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '35', 'gnort', 'Gnort');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '36', 'durni', 'Durni');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '37', 'vir_vur', 'Vir Vur');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '38', 'squall', 'Squall');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '39', 'ikopi', 'Ikopi');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '40', 'swirl_prong', 'Swirl Prong');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '41', 'kwi', 'Kwi');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '42', 'mott', 'Mott');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '43', 'verne', 'Verne');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '44', 'cu_pa', 'Cu Pa');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '45', 'roba', 'Roba');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '46', 'huurton', 'Huurton');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '47', 'bageraset', 'Bageraset');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '48', 'gurnaset', 'Gurnaset');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '49', 'langlatch', 'Langlatch');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '50', 'kima', 'Kima');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '51', 'dune_lizard', 'Dune Lizard');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '52', 'bocatt', 'Bocatt');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '53', 'boar_wolf', 'Boar Wolf');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '54', 'vesp', 'Vesp');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '55', 'bordok', 'Bordok');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '56', 'gronda', 'Gronda');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '57', 'piket', 'Piket');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '58', 'thune', 'Thune');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '59', 'slice_hound', 'Slice Hound');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '60', 'kliknik', 'Kliknik');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '61', 'mawgax', 'Mawgax');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '62', 'merek', 'Merek');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '63', 'hermit_spider', 'Hermit Spider');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '64', 'shear_mite', 'Shear Mite');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '65', 'graul', 'Graul');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '66', 'huf_dun', 'Huf Dun');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '67', 'malkloc', 'Malkloc');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '68', 'sharnaff', 'Sharnaff');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '69', 'woolamander', 'Woolamander');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '70', 'speederbike_swoop', 'Swoop');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '71', 'speederbike', 'Speederbike');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '72', 'landspeeder_x34', 'X34 Landspeeder');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '73', 'acklay', 'Acklay');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '74', 'landspeeder_av21', 'AV-21 Landspeeder');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '75', 'jetpack', 'Jetpack');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '76', 'speederbike_flash', 'Flash Speeder');
INSERT INTO `client_strings` VALUES ('string/en/pet_deed.stf', '77', 'landspeeder_x31', 'X31 Landspeeder');
INSERT INTO `client_strings` VALUES ('string/en/planet_n.stf', '1', 'corellia', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/planet_n.stf', '2', 'dantooine', 'Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/planet_n.stf', '3', 'dathomir', 'Dathomir');
INSERT INTO `client_strings` VALUES ('string/en/planet_n.stf', '4', 'dungeon1', 'Somewhere out in Space');
INSERT INTO `client_strings` VALUES ('string/en/planet_n.stf', '5', 'endor', 'Endor');
INSERT INTO `client_strings` VALUES ('string/en/planet_n.stf', '6', 'godclient_test', 'Godclient Test');
INSERT INTO `client_strings` VALUES ('string/en/planet_n.stf', '7', 'lok', 'Lok');
INSERT INTO `client_strings` VALUES ('string/en/planet_n.stf', '8', 'naboo', 'Naboo');
INSERT INTO `client_strings` VALUES ('string/en/planet_n.stf', '9', 'rori', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/planet_n.stf', '10', 'simple', 'Simple');
INSERT INTO `client_strings` VALUES ('string/en/planet_n.stf', '11', 'space_corellia', 'Corellian System');
INSERT INTO `client_strings` VALUES ('string/en/planet_n.stf', '12', 'space_dantooine', 'Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/planet_n.stf', '13', 'space_dathomir', 'Dathomir System (RESTRICTED)');
INSERT INTO `client_strings` VALUES ('string/en/planet_n.stf', '14', 'space_endor', 'Endor System (RESTRICTED)');
INSERT INTO `client_strings` VALUES ('string/en/planet_n.stf', '15', 'space_env', 'Space System');
INSERT INTO `client_strings` VALUES ('string/en/planet_n.stf', '16', 'space_heavy1', 'Deep Space (PvP Enabled)');
INSERT INTO `client_strings` VALUES ('string/en/planet_n.stf', '17', 'space_light1', 'Kessel System (PvP Enabled)');
INSERT INTO `client_strings` VALUES ('string/en/planet_n.stf', '18', 'space_lok', 'Karthakk System (Lok)');
INSERT INTO `client_strings` VALUES ('string/en/planet_n.stf', '19', 'space_naboo', 'Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/planet_n.stf', '20', 'space_tatooine', 'Tatoo System');
INSERT INTO `client_strings` VALUES ('string/en/planet_n.stf', '21', 'space_yavin4', 'Yavin System (RESTRICTED)');
INSERT INTO `client_strings` VALUES ('string/en/planet_n.stf', '22', 'talus', 'Talus');
INSERT INTO `client_strings` VALUES ('string/en/planet_n.stf', '23', 'tatooine', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/planet_n.stf', '24', 'tutorial', 'Aboard a Space Station');
INSERT INTO `client_strings` VALUES ('string/en/planet_n.stf', '25', 'unknown', 'Unknown Location');
INSERT INTO `client_strings` VALUES ('string/en/planet_n.stf', '26', 'yavin', 'Yavin');
INSERT INTO `client_strings` VALUES ('string/en/planet_n.stf', '27', 'yavin4', 'Yavin 4');
INSERT INTO `client_strings` VALUES ('string/en/planet_n.stf', '28', 'naboo_and_rori', 'Naboo & Rori');
INSERT INTO `client_strings` VALUES ('string/en/planet_n.stf', '29', 'corellia_and_talus', 'Corellia & Talus');
INSERT INTO `client_strings` VALUES ('string/en/planet_n.stf', '30', 'space_tatooine_2', 'Tatoo System');
INSERT INTO `client_strings` VALUES ('string/en/planet_n.stf', '31', 'space_corellia_2', 'Corellian System');
INSERT INTO `client_strings` VALUES ('string/en/planet_n.stf', '32', 'space_naboo_2', 'Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '1', 'add_nutrients', 'Add Nutrients');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '2', 'add_water', 'Add Water');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '3', 'must_be_in_building', 'The plant must be in a building which you administrate.');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '4', 'no_nutrients', 'You don\'t have any nutrients.');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '5', 'no_water', 'You don\'t have any water.');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '6', 'too_much_nutrients', 'The plant\'s soil is already filled with nutrients.');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '7', 'too_much_water', 'The plant\'s soil is already saturated with water.');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '8', 'apply_water', 'You apply water to the plant.');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '9', 'apply_nutrients', 'You apply nutrients to the plant.');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '10', 'not_enough_resource', 'You don\'t have enough resources of this type to apply to the plant.');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '11', 'health_0', 'Dead');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '12', 'health_1', 'Near Death');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '13', 'health_2', 'Severely Wilted');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '14', 'health_3', 'Wilted');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '15', 'health_4', 'Fair');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '16', 'health_5', 'Good');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '17', 'health_6', 'Very Good');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '18', 'health_7', 'Excellent');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '19', 'health_8', 'Vibrant and Colorful');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '20', 'health_9', 'Full of Life');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '21', 'health_10', 'Perfect Condition');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '22', 'water_level_0', 'Desert-like');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '23', 'water_level_1', 'Arid');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '24', 'water_level_2', 'Very Dry');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '25', 'water_level_3', 'Dry');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '26', 'water_level_4', 'Below Normal');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '27', 'water_level_5', 'Normal');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '28', 'water_level_6', 'Moist');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '29', 'water_level_7', 'Wet');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '30', 'water_level_8', 'Very Wet');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '31', 'water_level_9', 'Drenched');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '32', 'water_level_10', 'Waterlogged');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '33', 'nutrient_level_0', 'Barren');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '34', 'nutrient_level_1', 'Fallow');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '35', 'nutrient_level_2', 'Miniscule');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '36', 'nutrient_level_3', 'Very Low');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '37', 'nutrient_level_4', 'Low');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '38', 'nutrient_level_5', 'Normal');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '39', 'nutrient_level_6', 'Above Normal');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '40', 'nutrient_level_7', 'High');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '41', 'nutrient_level_8', 'Very High');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '42', 'nutrient_level_9', 'Rich');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '43', 'nutrient_level_10', 'Fertile');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '44', 'plant_stage_1', 'Small Aurilian Plant');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '45', 'plant_stage_2', 'Aurilian Plant');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '46', 'plant_stage_3', 'Large Aurilian Plant');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '47', 'plant_stage_1_d', 'A small Aurilian plant.  These plants are notoriously difficult to grow and maintain.   Each plant is unique in its requirements and these requirements often change over the lifecycle.  When cared for properly, the plants have been known to bear fruit with miraculous properties.');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '48', 'plant_stage_2_d', 'An Aurilian plant.  These plants are notoriously difficult to grow and maintain.   Each plant is unique in its requirements and these requirements often change over the lifecycle.  When cared for properly, the plants have been known to bear fruit with miraculous properties.');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '49', 'plant_stage_3_d', 'A large Aurilian plant.  These plants are notoriously difficult to grow and maintain.   Each plant is unique in its requirements and these requirements often change over the lifecycle.  When cared for properly, the plants have been known to bear fruit with miraculous properties.');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '50', 'plant_stage_dead', 'Dead Aurilian Plant');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '51', 'plant_stage_dead_d', 'A dead Aurilian plant.  It has degraded beyond all hope.');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '52', 'remove_nutrients', 'You remove nutrients from the plant.');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '53', 'remove_water', 'You drain water from the plant.');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '54', 'select_resource_body', 'Select what you wish to add to the plant.');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '55', 'select_resource_sub', 'Resource Selection');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '56', 'remove_nutrients_menu', 'Remove Nutrients');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '57', 'remove_water_menu', 'Remove Water');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '58', 'pick_fruit_menu', 'Pick Fruit');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '59', 'water', 'Water Options');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '60', 'nutrients', 'Nutrient Options');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '61', 'growth_rate_0', 'None');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '62', 'growth_rate_1', 'Very Slow');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '63', 'growth_rate_2', 'Slow');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '64', 'growth_rate_3', 'Below Normal');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '65', 'growth_rate_4', 'Normal');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '66', 'growth_rate_5', 'Above Normal');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '67', 'growth_rate_6', 'Fast');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '68', 'growth_rate_7', 'Very Fast');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '69', 'growth_rate_8', 'Extraordinary');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '70', 'growth_rate_9', 'Extraordinary');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '71', 'growth_rate_10', 'Extraordinary');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '72', 'no_inventory', 'You do not have any inventory space.');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '73', 'pick_fruit', 'You pick a piece of fruit from the plant.');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '74', 'growth_loss_1', 'Wilting');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '75', 'growth_loss_2', 'Withering');
INSERT INTO `client_strings` VALUES ('string/en/plant_grow.stf', '76', 'growth_loss_3', 'Dying');
INSERT INTO `client_strings` VALUES ('string/en/player/player_utility.stf', '1', 'access_expired', 'Your access to this structure has expired.');
INSERT INTO `client_strings` VALUES ('string/en/player/player_utility.stf', '2', 'access_granted', 'You have been allowed access to the structure.');
INSERT INTO `client_strings` VALUES ('string/en/player/player_utility.stf', '3', 'not_enough_money', 'You don\'t have enough money to pay the access fee.');
INSERT INTO `client_strings` VALUES ('string/en/player/player_utility.stf', '4', 'cannot_manipulate', 'This object cannot be manipulated by you.');
INSERT INTO `client_strings` VALUES ('string/en/player/player_utility.stf', '5', 'cannot_manipulate_slot', 'This slot cannot be manipulated by you.');
INSERT INTO `client_strings` VALUES ('string/en/player/player_utility.stf', '6', 'invalid_target', 'Target for this command is invalid.');
INSERT INTO `client_strings` VALUES ('string/en/player/player_utility.stf', '7', 'target_not_server_object', 'This is not a valid target for a command.');
INSERT INTO `client_strings` VALUES ('string/en/player/player_utility.stf', '8', 'not_space_terminal', '[%TO] is not a space terminal.');
INSERT INTO `client_strings` VALUES ('string/en/player_faction.stf', '1', 'declare_overt_not_aligned', 'You must be a faction combatant to use this command.');
INSERT INTO `client_strings` VALUES ('string/en/player_faction.stf', '2', 'declare_overt_bad_loc', 'You must be within 50m, or inside, a friendly player-placed faction headquarters to use this command.');
INSERT INTO `client_strings` VALUES ('string/en/player_faction.stf', '3', 'declare_overt_success', 'You successfully join the special forces. You may now be attacked by opposing faction members.');
INSERT INTO `client_strings` VALUES ('string/en/player_species.stf', '1', 'desc_bothan', 'A humanoid species identified by their short builds and fur-covered faces, Bothans are widely known as proficient and intrepid spies. However, members of the species have also become fearless leaders, relentless warriors, courageous pilots, and brilliant scientists. \n\nAs a species, Bothans have been mastering the art of information-gathering for nearly 300 years. The resulting Bothan spynet is among the largest and most renowned intelligence organizations, with operatives stationed throughout the galaxy. In fact, spying has become the Bothans primary industry. Since the outbreak of the Galactic Civil War, the Bothan spynet has primarily benefited the Rebel Alliance, although both the Empire and the criminal underworld occasionally make use of Bothan spies as well. \n\nDue largely to their reputation as spies, Bothans are often regarded as power hungry, manipulative, cunning and paranoid. But Bothans are also well-organized, keenly intelligent, and very loyal. They live orderly lives, place great emphasis on family bonds, and are extremely protective of their allies. In addition, Bothans can be passionate and surprisingly eloquent orators, poets, and politicians.\n\nBothans hail from Bothawui, a clean, cosmopolitan planet. They live in tight-knit clans and are ruled by a democratic Bothan Council. Bothans speak both Basic and their own native tongue.\n\n  ATTRIBUTES\n\n\\>024Health: \\>128+0\\>000\n\\>024Strength: \\>128+0\\>000\n\\>024Constitution: \\>128+0\\>000\n\\>024Action: \\>128+300\\>000\n\\>024Quickness: \\>128+300\\>000\n\\>024Stamina: \\>128+100\\>000\n\\>024Mind: \\>128+100\\>000\n\\>024Focus: \\>128+100\\>000\n\\>024Willpower: \\>128+0\\>000');
INSERT INTO `client_strings` VALUES ('string/en/player_species.stf', '2', 'desc_human', 'The predominant species in the galaxy, humans can be found in virtually all walks of life and on most habitable worlds. All humans are bipedal, intelligent beings. They speak Basic, which has become the galaxy\'s official language. Humans are generally considered adaptable, curious, innovative, resilient, and ambitious. \n\nHumanity\'s incredible diversity is perhaps its greatest strength. No two humans look or behave exactly alike, and humans represent many of history\'s greatest heroes (along with its most despicable villains). Humanity is also credited with discovering hyperspace travel, founding the first galactic governments, and colonizing hundreds of treacherous worlds. Humans dominate the current political landscape, comprising most of the Galactic Empire.\n\nUnlike many other species, humans do not have an identifiable planet of origin. Some scholars believe that humans first appeared on Coruscant, which is now the Imperial capital, but this theory has never been substantiated. Regardless, humans have settled in nearly every corner of the galaxy. Because humans are so widespread, they are often categorized by homeworld. Thus, humans born on Corellia are widely known as Corellians while the humans found on Naboo are often called simply \"the Naboo.\" On some worlds, humanity gave rise to genetic offshoots which are referred to as \"near-humans.\"\n\n  ATTRIBUTES\n\n\\>024Health: \\>128+100\\>000\n\\>024Strength: \\>128+100\\>000\n\\>024Constitution: \\>128+100\\>000\n\\>024Action: \\>128+100\\>000\n\\>024Quickness: \\>128+100\\>000\n\\>024Stamina: \\>128+100\\>000\n\\>024Mind: \\>128+100\\>000\n\\>024Focus: \\>128+100\\>000\n\\>024Willpower: \\>128+100\\>000');
INSERT INTO `client_strings` VALUES ('string/en/player_species.stf', '3', 'desc_moncal', 'An amphibious species with fishlike faces and huge eyes, the Mon Calamari are among the galaxy\'s most peaceful and intelligent beings. They are a colorful species, with skin tones ranging the full spectrum of known hues. Many Mon Cal are also marked by vibrant spots or stripes. \n\nThe Mon Calamari are native to a watery world of the same name. They can survive underwater for long periods of time and are powerful swimmers. The Mon Cal are also psychologically attuned to their environment. When visiting wet, cool planets they become very energetic and cheerful; in contrast, they may be quite depressed and languid on hot, dry worlds. \n\nThe idealistic Mon Cal enjoy a progressive society that promotes the values of justice and peace. They are tireless explorers, but seek out other planets for knowledge rather than conquest. As individuals, they may seem soft-spoken, gentle, determined, and generous. They control their emotions well and have a nearly superhuman capacity for intense concentration. More impulsive species may view the Mon Cal as extremely stubborn. Mon Cal speak Basic and Mon Calamari. \n\nThe Mon Cal are one of the many species victimized by the Galactic Empire. Many Mon Cal have been forced to build weapons and starships for the Imperial forces while others serve as personal assistants to high-ranking Imperial officers. In defiance of the Empire, those Mon Cal who still travel the galaxy often find themselves working for the Rebel Alliance.\n\nThroughout the galaxy, Mon Cal are probably best-known for their great scientific knowledge and mechanical aptitude. In particular, they are widely respected for their striking starships, each a unique fusion of art and engineering. But Mon Cal certainly aren\'t limited to intellectual pursuits; they can also apply their great intelligence to exploration, tactical combat, and even complete mastery of weapons.\n\n  ATTRIBUTES\n\n\\>024Health: \\>128+0\\>000\n\\>024Strength: \\>128+0\\>000\n\\>024Constitution: \\>128+0\\>000\n\\>024Action: \\>128+0\\>000\n\\>024Quickness: \\>128+0\\>000\n\\>024Stamina: \\>128+150\\>000\n\\>024Mind: \\>128+300\\>000\n\\>024Focus: \\>128+300\\>000\n\\>024Willpower: \\>128+150\\>000');
INSERT INTO `client_strings` VALUES ('string/en/player_species.stf', '4', 'desc_rodian', 'Rodians are slight humanoids with large, multifaceted eyes, flexible snouts, and short antennae. They typically have greenish skin, although some members of the species may be blue, purple or even pale white. Rodians are native to Rodia, an industrial planet in the Tyrius system.\n\nRodians are widely distrusted by other species, who consider the Rodians to be generally greedy, immoral, and violent. Much of this reputation stems from Rodian culture, which romanticizes death and the hunt. In addition, the species reveres bounty hunters. The most successful hunters are presented with an array of rewards, including such coveted awards as \"Best Capture,\" \"Longest Hunt,\" and \"Most Kills.\" \n\nOn Rodia, the species lives in violent clans that wage long and devastating wars against one another. Immense gladiator games are also a frequent occurrence. To support their constant warfare, Rodian industry revolves around building weapons, armors, and vehicles. Manufacturing facilities dominate the landscape, devastating the once lush and tropical Rodian ecology. Many life-forms have become extinct on Rodia and most food and material goods must be imported to the planet.  \n\nSurprisingly, Rodians are skilled dramatists and their theatrical work is respected throughout the galaxy. After realizing that they were driving themselves toward extinction, the species developed drama in order to enact violence without actually killing one another. Their early plays were nothing more than mock battles, but later generations began converting Rodian drama into a true art form. All Rodian drama, however, contains a great deal of bloodshed and death.\n\nRodians speak Rodese, although those who leave the planet quickly learn Basic as well. In the Outer Rim, where many expatriate Rodians have settled, the species has mastered Huttese and uses it almost exclusively.\n\nTraditionally, Rodian society has been tightly controlled by the Rodian Grand Protector, with only the most accomplished hunters allowed to leave their planet. However, Rodians are becoming increasingly independent. A number of \"peaceful\" clans actually exist, although such clans are usually exiled from Rodia when they are discovered. In addition, those Rodians who chafe under the Grand Protector\'s rule or become weary of the constant bloodshed on their homeworld can almost always find a way to escape the planet.\n\nRodians encountered abroad tend to be much more introspective and well-rounded than their brethren. They are still quick and agile, but are not necessarily prone to extreme violence. While many still become bounty hunters or mercenaries, Rodians can be found in all professions. Some of the most successful Rodians are dramatic actors, while others become famous musicians, dancers, and other entertainers.\n\n  ATTRIBUTES\n\n\\>024Health: \\>128+0\\>000\n\\>024Strength: \\>128+0\\>000\n\\>024Constitution: \\>128+0\\>000\n\\>024Action: \\>128+200\\>000\n\\>024Quickness: \\>128+200\\>000\n\\>024Stamina: \\>128+450\\>000\n\\>024Mind: \\>128+0\\>000\n\\>024Focus: \\>128+00\\>000\n\\>024Willpower: \\>128+50\\>000');
INSERT INTO `client_strings` VALUES ('string/en/player_species.stf', '5', 'desc_trandoshan', 'Among the galaxy\'s most fearsome species, Trandoshans are large, threatening reptilians from the planet Trandosha (or Dosha). Trandoshans are physically powerful, very difficult to injure, and capable of recovering quickly from even the most serious injuries. Like many reptiles, Trandoshans hatch from eggs and have thick, scaly skin. Their three-fingered hands are armed with sharp claws, which can be deadly weapons in combat. They also have supersensitive eyes that can see into the infrared range.  \n\nTrandoshans live in a warlike society that honors hunting above all else. In fact, Trandoshans worship a female deity known as the Scorekeeper, who awards \"jagannath points\" to her followers based on successful kills. The number of jagannath points a Trandoshan accumulates supposedly determines his or her position in the afterlife. \n\nMany Trandoshans channel their society\'s values into roles as bounty hunters, soldiers, or rangers. A handful of the most violent and immoral Trandoshans serve the Empire as slavers who target other species, including Wookiees. But, Trandoshans are also independent and may rebel against their culture. A scientifically-minded Trandoshan might become a peaceful \"hunter,\" working as a xenobiologist who merely tracks and studies other creatures. Even on Dosha, Trandoshan society relies on its own engineers, merchants, and even farmers. \n\nTrandoshans are widely distrusted throughout the galaxy, in part because of their frightening appearance. And, in fact, many Trandoshans are gruff, unpredictable, and even dangerous. They rarely form long-lasting emotional bonds, even with other Trandoshans, and may be more likely to join forces with others for personal gain rather than friendship. But those who have allied themselves with Trandoshans are always impressed by the species\' uncanny fortitude, unflagging resolve, and unshakeable calm even in the face of certain death.\n\n  ATTRIBUTES\n\n\\>024Health: \\>128+250\\>000\n\\>024Strength: \\>128+300\\>000\n\\>024Constitution: \\>128+400\\>000\n\\>024Action: \\>128+0\\>000\n\\>024Quickness: \\>128+0\\>000\n\\>024Stamina: \\>128+0\\>000\n\\>024Mind: \\>128+0\\>000\n\\>024Focus: \\>128+0\\>000\n\\>024Willpower: \\>128+100\\>000');
INSERT INTO `client_strings` VALUES ('string/en/player_species.stf', '6', 'desc_twilek', 'Twi\'leks are humanoids easily distinguished by the twin tentacles that grow from their skulls. These prehensile appendages, known as \"lekku\" or \"tchun-tchin,\" are advanced organs used for communication and cognitive functions. Like humans, Twi\'leks vary greatly in appearance and have a wide variety of skin colors ranging from pale white to bright green, blue or red. \n\nTwi\'leks speak Twi\'leki, a language that combines verbal components with subtle head-tail movements. When they wish, they can even communicate in complete secrecy using their versatile head-tails. \n\nTwi\'leks are native to mountainous Ryloth in the Outer Rim. Because of Ryloth\'s strange orbit, half of the world is trapped in perpetual darkness, while the other half remains scorched by the sun. The Twi\'leks inhabit a thin band of twilight between these two extremes, living in sprawling catacomb cities just below the planet\'s surface. They have a relatively primitive industrial civilization, and survive on a diet of raw fungi and cow-like rycrits. Because Ryloth is relatively defenseless, the planet has long been the target of off-world slavers. \n\nTwi\'leks adhere to a familial clan government organized around a series of head clans, each consisting of five members who are born into the position. Head clans are responsible for all community decisions, but the position also has a heavy price: When one member of a clan government dies, the remaining four leaders are exiled to Ryloth\'s uninhabitable Bright Lands, allowing the next generation of clan leaders to assume their rightful place. Religiously, the species worships a single female deity.\n\nRyloth\'s harsh environment and turbulent history have forged Twi\'leks into tough survivors. Generally nonviolent, they typically use their intelligence and cunning to achieve their goals or resolve conflicts. Noble Twi\'leks may seem stoic or even aloof, while less scrupulous members of the species can be considered ruthless and manipulative.  \n\n  ATTRIBUTES\n\n\\>024Health: \\>128+0\\>000\n\\>024Strength: \\>128+0\\>000\n\\>024Constitution: \\>128+250\\>000\n\\>024Action: \\>128+250\\>000\n\\>024Quickness: \\>128+300\\>000\n\\>024Stamina: \\>128+0\\>000\n\\>024Mind: \\>128+100\\>000\n\\>024Focus: \\>128+0\\>000\n\\>024Willpower: \\>128+0\\>000');
INSERT INTO `client_strings` VALUES ('string/en/player_species.stf', '7', 'desc_wookiee', 'Towering, fur-covered humanoids native to the planet Kashyyyk, Wookiees are one of the most recognizable species in the galaxy. They are strong and prone to fits of bestial rage, but are also intelligent, loyal, and trusting. \n\nAmong the Wookiees, bravery and honor are considered paramount. Though Wookiees are not warlike, they do make fierce warriors and deadly opponents when angered or threatened. The tales of so-called \"Wookiee Berserkers\" are legendary. But while Wookiees may appear primitive and even barbaric, they are actually quite comfortable with technology and can easily learn to pilot starships, repair machines, and wield advanced weaponry.\n\nAn average Wookiee grows to more than two meters tall and lives several times the lifetime of a human. Aside from their great strength and keen senses, they possess regenerative powers and can recover from serious wounds within days. In many ways, Wookiees are still mysterious to outsiders; for example, how Wookiees handle their dead remains a closely guarded secret. \n\nWookiees speak Shyriiwook, a language consisting of grunts, growls, roars, hoots, and screeches. They can understand other languages, including Basic, but have limited vocal capability and can only speak their own tongue.\n\nThe Wookiee species is psychologically stable and has a deep connection to nature. They love their homeworld and have a strong connection with animals, plants, and other components of the natural world. Wookiees place great value on morality, courage, compassion, and loyalty. Very few Wookiees willingly betray their friends or families. Typical of their beliefs is the Wookiee life debt, an oath of fealty extended to anyone who saves the life of a Wookiee. Finally, Wookiees feel that they are honored by their own deeds alone, and thus they do not care for medals or other material symbols of bravery or achievement.\n\n  ATTRIBUTES\n\n\\>024Health: \\>128+350\\>000\n\\>024Strength: \\>128+350\\>000\n\\>024Constitution: \\>128+150\\>000\n\\>024Action: \\>128+200\\>000\n\\>024Quickness: \\>128+100\\>000\n\\>024Stamina: \\>128+100\\>000\n\\>024Mind: \\>128+100\\>000\n\\>024Focus: \\>128+150\\>000\n\\>024Willpower: \\>128+100\\>000');
INSERT INTO `client_strings` VALUES ('string/en/player_species.stf', '8', 'desc_zabrak', 'Zabrak are humanoids with prominent vestigial horns and well-developed mental willpower. The species is divided into a number of different races, each exhibiting different horn patterns. Zabrak are also fond of intricate facial tattoos designed to reflect their individual personalities.\n\nZabrak were one of the earliest spacefaring species and they have explored large sections of the galaxy. Their homeworld of Iridonia is a frighteningly harsh planet, which has led many Zabrak to settle on other worlds, including Talus and Corellia. The Zabrak also maintain eight colonies throughout the Mid Rim region of space, and most Zabrak actually identify themselves by their colony first and foremost. All members of the species speak Zabraki and Basic, but they may adopt local languages as well.\n\nAs fitting with their pioneer spirit, Zabrak are viewed as independent and strong-willed. Iridonia and the major colonies have steadfastly resisted Imperial control, although some individual Zabrak have become servants of the Empire. In response to general Zabrak defiance, the Empire is in the process of garrisoning the Zabrak colony worlds and Imperializing the species\' companies. This has forced many Zabrak back into the spacelanes. \n\nZabrak are proud, strong, and confident beings. They believe that nothing is truly impossible and will strive to prove skeptics wrong at every turn. Some Zabrak carry themselves with an air of superiority, and they frequently discuss the achievements of their species and home colonies with a pride that can border on arrogance. As warriors or adventurers, Zabrak tend to be dedicated, intense, and extremely focused. \n\nZabrak are still considered among the galaxy\'s most prominent explorers, but their personalities, survival instincts, and incredible willpower also make Zabrak well-suited to nearly any adventuring profession.\n\n  ATTRIBUTES\n\n\\>024Health: \\>128+200\\>000\n\\>024Strength: \\>128+0\\>000\n\\>024Constitution: \\>128+0\\>000\n\\>024Action: \\>128+300\\>000\n\\>024Quickness: \\>128+0\\>000\n\\>024Stamina: \\>128+0\\>000\n\\>024Mind: \\>128+0\\>000\n\\>024Focus: \\>128+0\\>000\n\\>024Willpower: \\>128+400\\>000');
INSERT INTO `client_strings` VALUES ('string/en/player_species.stf', '9', 'name_bothan', 'Bothan');
INSERT INTO `client_strings` VALUES ('string/en/player_species.stf', '10', 'name_human', 'Human');
INSERT INTO `client_strings` VALUES ('string/en/player_species.stf', '11', 'name_moncal', 'Mon Calamari');
INSERT INTO `client_strings` VALUES ('string/en/player_species.stf', '12', 'name_rodian', 'Rodian');
INSERT INTO `client_strings` VALUES ('string/en/player_species.stf', '13', 'name_trandoshan', 'Trandoshan');
INSERT INTO `client_strings` VALUES ('string/en/player_species.stf', '14', 'name_twilek', 'Twi\'lek');
INSERT INTO `client_strings` VALUES ('string/en/player_species.stf', '15', 'name_wookiee', 'Wookiee');
INSERT INTO `client_strings` VALUES ('string/en/player_species.stf', '16', 'name_zabrak', 'Zabrak');
INSERT INTO `client_strings` VALUES ('string/en/player_species.stf', '17', 'name_ithorian', 'Ithorian');
INSERT INTO `client_strings` VALUES ('string/en/player_species.stf', '18', 'name_sullustan', 'Sullustan');
INSERT INTO `client_strings` VALUES ('string/en/player_species.stf', '19', 'desc_ithorian', 'Ithorians are herbivorous pacifists often called \"Meerian Hammer-heads\" by those fascinated by their bizarre, ladle-shaped necks and wide-set eyes. Ithorians also have mouths on both sides of their curved necks, which results in a unique \'stereophonic\' speaking voice.\n\nPlanet Ithor is a stunning paradise characterized by ample sunlight, glistening waterfalls, thriving rain forests, and gentle breezes. Ithor is easily the most popular tourist destination for newly-weds and young lovers. Since the dawn of their civilization, the quiet Ithorians have worshipped the \"Mother Jungle,\" and have lived in complete harmony with their surroundings. For every vegetable plucked from the ground, the wise Ithorian plants two replacements.\n\nThe Ithorians moved to the sky relatively early in their societal development, gliding casually above the baffor treetops in \"herd cities\" equipped with powerful, yet environmentally-friendly, repulsorlift systems. Most Ithorians live in \"herds\" that migrate about Ithor\'s three civilized continents. Still others travel throughout the galaxy in space-faring \"herds\" to sell unusual merchandise. \n\nIthorian horticultural and cloning expertise is second to none. This fact has, unfortunately, focused considerable unwanted attention from the Empire onto planet Ithor and its peaceful species. The gentle, optimistic Ithorians prefer work in agricultural, artistic, diplomatic, mercantile or space-faring fields. A select number choose to take on the mantle of ecological priests, keeping the \"Mother Jungle\" safe from danger.\n\n  ATTRIBUTES\n\n\\>024Health: \\>128+0\\>000\n\\>024Strength: \\>128+0\\>000\n\\>024Constitution: \\>128+0\\>000\n\\>024Action: \\>128+0\\>000\n\\>024Quickness: \\>128+0\\>000\n\\>024Stamina: \\>128+150\\>000\n\\>024Mind: \\>128+300\\>000\n\\>024Focus: \\>128+300\\>000\n\\>024Willpower: \\>128+150\\>000');
INSERT INTO `client_strings` VALUES ('string/en/player_species.stf', '20', 'desc_sullustan', 'Sullustans are affable, gregarious creatures known for their jowled faces and chattering language. Planet Sullust is a barren, volcanic world smothered by a heavy toxic cloud. Sullustans thrive in tunnels deep beneath the planet surface where they have constructed highly advanced, startlingly beautiful cities. Wealthy sightseers from halfway across the galaxy tour the hot-springs of Sullust and enjoy exotic delicacies such as \"drutash grubs\" (which are best served with omaton sauce).\n\nEvolving in a network of dark, mazelike warrens imbued the species with an unfailing sense of direction. Once a Sullustan has traveled a path, the way is never forgotten. This innate skill even extends to hyperspace, making Sullustans prized as star navigators and explorers.\n\nSoroSuub, one of the galaxy\'s largest manufacturing conglomerates, is based on Sullust and employs half of the population in its mining, production and packaging departments. The company makes hundreds of products, from injecto-kit shoes and battle armor to the XP-38 landspeeder. SoroSuub is an ardent supporter of the Galactic Empire, and has taken great pains to ensure that its legion of Sullustan workers never breathes a word of dissent. Even so, many Sullustans have taken issue with this policy, and have shared their loyalty with the Rebel Alliance...\n\n  ATTRIBUTES\n\n\\>024Health: \\>128+200\\>000\n\\>024Strength: \\>128+0\\>000\n\\>024Constitution: \\>128+0\\>000\n\\>024Action: \\>128+300\\>000\n\\>024Quickness: \\>128+0\\>000\n\\>024Stamina: \\>128+0\\>000\n\\>024Mind: \\>128+0\\>000\n\\>024Focus: \\>128+0\\>000\n\\>024Willpower: \\>128+400\\>000\n');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '1', 'access_fee', 'How much would you like to charge people to enter the building (1 to 50,000)?');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '2', 'access_fee_t', 'Access Fee');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '3', 'access_time', 'How long, in minutes, will permission to access the building last?  You must allow access for at least 15 minutes and no more than 2 days.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '4', 'access_time_t', 'Access Time');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '5', 'add_power', 'Add Power');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '6', 'admin_move_only', 'You must be an admin to manipulate objects.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '7', 'admin_only', 'You must be an admin to place an item here.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '8', 'admin_permissions_list', 'Admin Permissions List');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '9', 'alert', 'Alert');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '10', 'already_creating', 'You are already creating a vendor.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '11', 'already_owner', 'You are already the owner.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '12', 'already_residence', 'This building is already your residence.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '13', 'already_there', 'You are already on that planet.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '14', 'amount_params', 'The amount must be between 1 and 100000');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '15', 'amt_greater_than_zero', 'The amount must be greater than zero.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '16', 'areabark_armor', 'Hey there young %NT, you\'re looking a bit underequipped.  I have a fine selection of armor that would suit you perfectly!');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '17', 'areabark_clothing', 'Whether you\'re looking for fashion or function, %NT, I have clothing to suit your needs!');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '18', 'areabark_components', 'Weapons, armor, droids...all require components to build and operate.  I happen to have a nice inventory of such devices right here, %NT.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '19', 'areabark_droids', 'Need a companion to get the job done?  Why not check out my fine selection of droids?');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '20', 'areabark_equipment', '%NT, you might want to take a look at my stock.  It would be a shame to send you back out into the wilderness without the proper equipment.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '21', 'areabark_food', 'You are the image of a hungry %RT, %NT.  It\'s a good thing I have a fresh stock of fine foods and ingredients to serve you with.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '22', 'areabark_housing', 'A %RT\'s house is a symbol of his status.  If it\'s the safety of shelter as well as the comforts of luxury you seek, your journey has ended.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '23', 'areabark_medical', 'Hey hey hey!  No bleeding on the carpet, %NT.  You look like you could use some medical care.  I have a wide selection of medical supplies that should have you patched right up.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '24', 'areabark_pets', 'Frankly, %NT, I don\'t know how you survive without a trusty pet at your side.  I\'ve got a wide selection of fantastic critters that will not only be a good friend, but they\'ll watch your back at the same time.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '25', 'areabark_resources', 'You look like a crafting type, %NT.  I happen to have a large stock of raw materials you might find useful in your work.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '26', 'areabark_ships', 'What are you doing down here, %NT? The real action is up in orbit. You don\'t have a ship, you say? Well, I can fix that. I have a fine selection of the latest designs!');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '27', 'areabark_tools', 'These days you\'re only as good as your tools, %NT.  Why don\'t you stock up here before you head out again?');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '28', 'areabark_weapons', 'Your weapon is looking a little rusty, %NT.  I have an extensive array of custom made weapons you should take a look at.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '29', 'areabarks_disabled', 'Your vendor will no longer bark advertisements.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '30', 'areabarks_enabled', 'Your vendor will now bark an advertisement to potential customers.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '31', 'assign_droid', 'Assign Droid');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '32', 'ban_list', 'Ban List');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '33', 'base_ticket', 'Travel Ticket');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '34', 'base_ticket_d', 'This is a ticket for a transport shuttle flight.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '35', 'bazaar_terminal', 'Bazaar Terminal');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '36', 'beckon', 'Beckon');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '37', 'board_shuttle', 'Board Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '38', 'boarding_ticket_selection', 'You must select a ticket to use before boarding.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '39', 'boarding_too_far', 'You are too far from the shuttle to board.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '40', 'boarding_what_shuttle', 'What shuttle do you wish to board?');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '41', 'bow5', 'Bow');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '42', 'bubbly', 'Bubbly');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '43', 'building_has_notrade', 'The object %TT may not be traded and must be put in your inventory or destroyed before the building can be transferred.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '44', 'building_no_permission_list', 'Buildings do not have that permission list.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '45', 'can_reclaim_deed', 'Deed reclamation requirements are met. If you destroy this structure, its deed will be returned to you.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '46', 'can_redeed_alert', 'CAN REDEED: ');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '47', 'can_redeed_no_suffix', 'NO');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '48', 'can_redeed_yes_suffix', 'YES');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '49', 'cannot_add_banned', '%NO must first be removed from the banned list.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '50', 'cannot_place_minefield', 'Minefields can only be placed by donating this deed to a factional HQ.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '51', 'cannot_remove_owner', 'You cannot remove the owner from the admin list.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '52', 'cannot_remove_self', 'You cannot remove yourself from the admin list.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '53', 'cannot_use_deed_here', 'That deed cannot be used on this planet.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '54', 'cant_manipulate', 'You can\'t manipulate that.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '55', 'cant_move', 'You cannot move a vendor after it has been initialized.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '56', 'cant_move_item', 'You cannot move that object.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '57', 'cant_move_vendor', 'To move a vendor, pick it up and drop it again in the new location.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '58', 'cant_place_civic', 'This structure must be placed within the borders of the city in which you are mayor.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '59', 'cant_place_jedi', 'You\'re a Jedi.  You have no need to own structures!');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '60', 'cant_place_mounted', 'You may not place a structure while mounted or riding in a vehicle.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '61', 'cant_place_unique', 'This city can only support a single structure of this type.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '62', 'casual', 'Casual');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '63', 'celebrate', 'Celebrate');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '64', 'change_name', 'Rename Vendor');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '65', 'change_residence', 'You change your residence to this building.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '66', 'change_residence_time', 'You cannot change residence for %NO hours.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '67', 'changed_structurestatus', 'Your /structureStatus target has changed. Cancelling refesh.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '68', 'changed_target', 'Your current target is not the same as your original target. Aborting...');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '69', 'changesign_prompt', 'Select the sign type that you would like to display.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '70', 'changesign_title', 'Sign Selection');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '71', 'cheerful', 'Cheerful');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '72', 'city_too_close', 'You cannot place here. It is too close to %TO.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '73', 'cityname_not_unique', 'Another city already has this name.  Your city\'s name must be unique.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '74', 'civic_structure_alert', 'Civic structure: Maintenance handled by city.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '75', 'clear_building_for_delete', 'Please remove all items from the structure\'s interior before deleting it.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '76', 'clear_input_hopper_for_delete', 'Please remove all items from the factory\'s input hopper before deleting it.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '77', 'clear_output_hopper_for_delete', 'Please remove all items from the factory\'s output hopper before deleting it.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '78', 'command_no_building', 'You must be in a building or near an installation to use that command.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '79', 'commnad_no_building', '');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '80', 'complete_purchase_vendor', 'A vendor has been created and placed in your inventory');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '81', 'condition_prompt', 'Condition: ');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '82', 'confirm_destruction_d1', 'You have elected to destroy a structure. Pertinent structure data can be found in the list below.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '83', 'confirm_destruction_d2', 'Please complete the following steps to confirm structure deletion.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '84', 'confirm_destruction_d3a', ' If you wish to redeed your structure, all structure data must be ');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '85', 'confirm_destruction_d3b', 'GREEN');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '86', 'confirm_destruction_d4', ' To continue with structure deletion, click YES. Otherwise, please click NO.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '87', 'confirm_destruction_t', 'Confirm Structure Destruction');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '88', 'confirm_pay', 'Pay');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '89', 'construction_complete', 'Construction of your %TO is now complete. You have %DI lots remaining.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '90', 'construction_complete_sender', 'Structure Builder');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '91', 'construction_complete_subject', 'Construction Complete');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '92', 'contents_not_loaded', 'Please wait until all the building\'s contents have loaded.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '93', 'create_bazaar_success', 'The Bazaar terminal has been successfully created.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '94', 'create_failed', 'Failed to create a vendor.  Your inventory may be full.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '95', 'create_success', 'The vendor has been created in your inventory and is ready to be placed.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '96', 'create_vendor', 'Create Vendor');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '97', 'credits_to_repair', ' credits to repair.)');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '98', 'current_maint_pool', 'Current maintenance pool: ');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '99', 'current_power_value', 'Current Power Value = ');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '100', 'cust_d', 'Enter the desired phrase for the merchant to say.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '101', 'cust_t', 'Customize Phrase');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '102', 'custom', 'Customize');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '103', 'customize_vendor', 'Customize Uniform');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '104', 'deactivate_factory_for_delete', 'You must deactivate the factory before you can delete it. The hoppers must also be empty, and the schematic removed.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '105', 'declare_must_be_owner', 'You must be the owner of the building to declare residence.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '106', 'declared_residency', 'You have declared your residency here.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '107', 'deed_reclaimed', 'Structure destroyed and deed reclaimed.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '108', 'deed_reclaimed_failed', 'Structure destroy and deed reclaimed FAILED!');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '109', 'default', '');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '110', 'delete_all_items', 'Delete All Items');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '111', 'delete_all_items_d', 'This command will delete every object in your house.  Are you ABSOLUTELY sure you want to destroy every object in your house?');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '112', 'delete_all_items_second_d', 'Again, this command will delete every object in your house.  Objects destroyed in this manner are not reimbursable.  Are you really sure you want to do this?');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '113', 'deposit_successful', 'You successfully deposit %DI units of energy.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '114', 'destroy_deactivate_first', 'You must first deactivate the harvester before you may destroy it or reclaim the deed.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '115', 'destroy_empty_hopper', 'You must first empty the harvester\'s hopper before you may destroy it or reclaim the deed.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '116', 'destroy_must_be_owner', 'You must be the owner to destroy a structure.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '117', 'destroy_vendor_d', 'Are you absolutely sure you want to DESTROY your vendor?  This means all items on the vendor will be destroyed as well.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '118', 'destroy_vendor_t', 'Destroy Vendor?');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '119', 'dignified', 'Dignified');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '120', 'disable_vendor_search', 'Disable Vendor Search');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '121', 'disarm_minefield', 'Disarm Minefield');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '122', 'droid', 'Droid');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '123', 'droid_bartender', 'Robo Bartender');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '124', 'droid_full', 'That droid has the maximum number of structures assigned to it already.  Call the droid and edit it\'s maintenance list before assigning more structures to it.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '125', 'droid_occupied', '%NO has been assigned to maintain %DI .');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '126', 'droid_power', 'EG-6 Power Droid');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '127', 'droid_protocol', 'Protocol Droid');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '128', 'droid_surgical', '2-1B Surgical Droid');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '129', 'droid_type_d', 'Select the model of droid you would like to use from the list below.  You gain additional models as your skill in business and hiring increases.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '130', 'droid_type_t', 'Select Droid Model');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '131', 'droid_wed', 'WED Treadwell');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '132', 'drop_npc_vendor_building', 'You must be in a building to place a vendor.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '133', 'drop_npc_vendor_perm', 'You do not have vendor permissions in this building.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '134', 'earnest', 'Earnest');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '135', 'ecstatic', 'Ecstatic');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '136', 'enable_vendor_search', 'Enable Vendor Search');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '137', 'encouraging', 'Encouraging');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '138', 'enter_valid_over_zero', 'Please enter a valid power amount greater than 0.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '139', 'enthusiastic', 'Enthusiastic');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '140', 'entry_permissions_list', 'Entry Permissions List');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '141', 'error_canplacestructure', 'Internal code error: canPlaceStructure');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '142', 'error_droid_list', 'Error retrieving your list of maintenance capable droids.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '143', 'error_moving_item', 'An error has occured with moving this item.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '144', 'error_onplacestructure', 'Internal code error: onPlaceStructure');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '145', 'error_power_deposit', 'There has been an error in your power deposit. Please try again.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '146', 'exuberant', 'Exuberant');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '147', 'faction_base', 'You cannot transfer your factional base access and allotment responsibility to anyone else.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '148', 'female', 'Female');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '149', 'fix_condemned_title', '*******CONDEMNED STRUCTURE*******');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '150', 'force_public', 'This structure is always public.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '151', 'format_movefurniture_distance', 'Format: /moveFurniture <FORWARD/BACK/UP/DOWN> <distance>');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '152', 'format_placestructuremode_deed', 'Format: /placeStructureMode <deed>');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '153', 'format_setpermission_type_player', 'Format: /setPermission <type> <player>');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '154', 'formet_rotratefurniture_degrees', 'Format: /rotateFurniture <LEFT/RIGHT> <degrees>');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '155', 'free_maintenance_time', ' Free Maintenance Time:');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '156', 'friendly', 'Friendly');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '157', 'full_vendors', 'You are already managing your maximum number of vendors.  Fire someone or remove a terminal first!');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '158', 'gender_d', 'Select the gender for this vendor.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '159', 'gender_t', 'Vendor Gender');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '160', 'give_maintenance', 'Pay Maintenance');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '161', 'happy', 'Happy');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '162', 'hopper_cannot_remove_admin', 'You cannot remove an admin from the hopper list.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '163', 'hopper_permissions_list', 'Hopper Permissions List');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '164', 'house_address', 'House Address');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '165', 'incorrect_destroy_code', 'You have entered an incorrect code. You will have to issue the /destroyStructure again if you wish to continue.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '166', 'installations_no_permission_list', 'Installations do not have that permission list.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '167', 'insufficient_funds', 'You have insufficient funds to make this deposit.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '168', 'insufficient_funds_withdrawal', 'Insufficent funds for withdrawal.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '169', 'invalid_target', 'Your original structure target is no longer valid. Aborting...');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '170', 'inventory_full', 'This installation can not be redeeded because your inventory does not have room to put the deed.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '171', 'inventory_full_selfpowered', 'This installation can not be destroyed because there is no room for the Self Powered Harvester Kit in your inventory.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '172', 'item_not_in_building', 'That object is not within the building.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '173', 'items_deleted', 'All of the objects in your house have been deleted.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '174', 'items_in_building_prompt', 'Number of Items in Building: ');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '175', 'joyful', 'Joyful');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '176', 'mail_structure_damage', 'Your %TT %TO is currently at %DI percent condition.  It will be destroyed if it reaches 0.  If you wish to keep this structure, you should immediately add maintenance.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '177', 'mail_structure_damage_condemn', 'Your %TT %TO is currently at %DI percent condition.  It will be condemned if it reaches 0.  If you wish to keep this structure, you should immediately add maintenance.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '178', 'mail_structure_damage_sub', 'Structure Damaged!');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '179', 'maintenance_mods_prompt', 'Maintenance Modifiers: ');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '180', 'maintenance_pool_prompt', 'Maintenance Pool: ');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '181', 'maintenance_rate_prompt', 'Maintenance Rate: ');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '182', 'male', 'Male');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '183', 'management', 'Structure Management');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '184', 'management_add_turnstile', 'Set Access Fee');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '185', 'management_change_sign', 'Change Sign');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '186', 'management_mine_inv', 'Mine Inventory');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '187', 'management_name_structure', 'Name Structure');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '188', 'management_pay', 'Pay Maintenance');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '189', 'management_power', 'Deposit Power');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '190', 'management_privacy', 'Privacy');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '191', 'management_remove_turnstile', 'Remove Access Fee');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '192', 'management_residence', 'Declare Residence');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '193', 'management_status', 'Status');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '194', 'management_transfer', 'Transfer Ownership');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '195', 'map_vendors', 'Vendors');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '196', 'max_cities', 'This planet has already reached its max allowed number of player cities.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '197', 'merch_mod_prompt', 'Merchant modifier:');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '198', 'mnu_donate_mines', 'Donate Mines');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '199', 'modify_list_invalid_player', '%NO is an invalid player name.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '200', 'move', 'Move');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '201', 'move_back', 'Move Back');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '202', 'move_first_item', 'Find Lost Items');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '203', 'move_first_item_d', 'This command will move the first item in your house to your location.  If you pick up or remove the item from the house and use the command again, the next item will be recovered.  This tool can be used to recover items lost behind walls.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '204', 'move_forward', 'Move Forward');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '205', 'move_what', 'What do you want to move?');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '206', 'moved_first_item', 'The first item in your house has been moved to your location.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '207', 'movefurniture_params', 'The amount to move must be between 1 and 500.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '208', 'must_be_admin', 'You must be a building admin to do that.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '209', 'must_be_in_building', 'You must be in a building to do that.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '210', 'must_specify_list', 'You must specify a valid permission list (Entry, Ban, Admin, Hopper)');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '211', 'name_d', 'Enter the name of the vendor as it will appear to players.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '212', 'name_t', 'Enter Vendor Name');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '213', 'next_repair_cycle', 'Next Repair Cycle: ');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '214', 'next_shuttle', 'Shuttle Status');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '215', 'next_vulnerability_prompt', 'Next Vulnerability: ');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '216', 'no_banned', 'You cannot add a banned player to the entry list.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '217', 'no_banned_player', 'You cannot transfer ownership to a banned player');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '218', 'no_building', 'You must be in a building, be near an installation, or have one targeted to do that.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '219', 'no_droids', 'You do not have any maintenance capable droids.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '220', 'no_entry_list', 'Only buildings have entry lists.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '221', 'no_hq_residence', 'You may not declare residence at a factional headquarters.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '222', 'no_location_found', 'No location was found for your destination. ');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '223', 'no_money', 'You do not have any money to pay maintenance.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '224', 'no_move_hq', 'You may not move or rotate objects inside a factional headquarters.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '225', 'no_pets', 'You cannot board the shuttle when you are riding on a pet or in a vehicle.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '226', 'no_possession', 'You no longer are in possession of the deed for this structure. Aborting construction.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '227', 'no_privacy_faction_hq', 'You may not alter privacy of a factional headquarters.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '228', 'no_remove_admin', 'You cannot remove an admin from the entry list.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '229', 'no_rename_hq', 'You may not rename a factional headquarters.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '230', 'no_rights', 'You don\'t have the right to place that structure in this city.  The mayor or one of the city milita must grant you zoning rights first.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '231', 'no_room', 'There is no room to place the structure here.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '232', 'no_skill', 'You do not have sufficient skill to place the structure.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '233', 'no_ticket', 'You do not have a ticket to board this shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '234', 'no_transfer_target', 'You must specify a player with whom to transfer ownership.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '235', 'no_trial_accounts', 'Trial accounts are not authorized to place those structures');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '236', 'no_valid_structurestatus', 'Your /structureStatus target is no longer valid. Cancelling refresh.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '237', 'nod_head_once', 'Nod Head');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '238', 'not_a_deed', 'That is not a deed.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '239', 'not_able_to_own', '%NT is not able to own this structure.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '240', 'not_admin', 'You must be an admin to do that.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '241', 'not_enough_energy', 'You do not have %DI units of energy in your inventory!');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '242', 'not_enough_lots', 'This structure requires %DI lots.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '243', 'not_in_building', 'You must be inside your building to transfer it.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '244', 'not_inside', 'You can not place a structure while you are inside a building.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '245', 'not_owner', 'You are not the owner of this structure.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '246', 'not_permitted', 'Building is not permitted here.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '247', 'not_valid_location', 'That is not a valid location.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '248', 'not_valid_name', 'That is not a valid name.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '249', 'npc', 'NPC');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '250', 'obscene', 'That name was rejected by the name filter.  Try a different name.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '251', 'only_in_guildhall', 'You can only do that in a guild hall.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '252', 'only_npc_vendors', 'You can only customize NPC vendors.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '253', 'owner_prompt', 'Owner: ');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '254', 'ownership_transferred_in', '%NT has transfered ownership of the structure to you');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '255', 'ownership_transferred_out', 'Ownership of the structure has been transferred to %NT.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '256', 'pat_abdomen', 'Pat Abdomen');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '257', 'pay_out_of_range', 'You have moved out of range of your original /payMaintenance target. Aborting...');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '258', 'pay_vendor_d', 'Enter the amount of credits you would like to deposit into the maintenance account.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '259', 'pay_vendor_t', 'Pay Vendor Maintenance');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '260', 'pending_destroy', 'You already have an outstanding destroy command for another structure.  You must wait for that to expire before attempting a new structure destroy action.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '261', 'permission_40_char', 'Permission list entries cannot be longer than 40 characters.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '262', 'permission_admin', 'Administrator List');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '263', 'permission_banned', 'Ban List');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '264', 'permission_destroy', 'Destroy Structure');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '265', 'permission_enter', 'Entry List');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '266', 'permission_hopper', 'Hopper List');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '267', 'permission_vendor', 'Vendor List');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '268', 'permissions', 'Structure Permissions');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '269', 'place_bank', 'You must have Fiscal Policy II to place a bank.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '270', 'place_cantina', 'You must be a Master Dancer, Master Musician, or Master Chef to place a Cantina.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '271', 'place_cityhall', 'You must be at least a Novice Politician to place a City Hall.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '272', 'place_cloning', 'You must have Martial Policy II to place a cloning facility.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '273', 'place_exotic_garden', 'You must have City Customization IV to place an exotic garden.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '274', 'place_garage', 'You must have Civic Policy II: Education, to place a Garage.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '275', 'place_hospital', 'You must be a Master Doctor or Master Combat Medic to place a Hospital.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '276', 'place_large_garden', 'You must have City Customization IV to place a large garden.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '277', 'place_medium_garden', 'You must have City Customization III to place a medium garden.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '278', 'place_merchant_tent', 'You must have Efficiency IV: Structures, to place a merchant tent!');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '279', 'place_shuttleport', 'You must have Fiscal Policy II to place a shuttleport.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '280', 'place_small_garden', 'You must have City Customization III to place a small garden.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '281', 'place_theater', 'You must be a Master Dancer or Master Musician to place a Theater.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '282', 'player_added', '%NO added to the list.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '283', 'player_removed', '%NO removed from the list.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '284', 'playful', 'Playful');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '285', 'point_to_self', 'Point to Self');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '286', 'polite', 'Polite');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '287', 'pose_proudly', 'Pose Proudly');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '288', 'power_consumption_prompt', 'Power Consumption: ');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '289', 'power_deposit_failed', 'Your power deposit failed for an unknown reason...');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '290', 'power_deposit_incomplete', 'Power deposit incomplete.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '291', 'power_out_of_range', 'You have moved out of range of your original /addPower target. Aborting...');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '292', 'power_reserve_prompt', 'Power Reserves: ');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '293', 'processing_destruction', 'Processing confirmed structure destruction...');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '294', 'property_tax_rate_prompt', 'Property Tax: ');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '295', 'prose_sign_name_updated', 'Sign name successfully updated to \'%TO\'.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '296', 'proximity_build_failed', 'Build failed, too close to another garage.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '297', 'public_only', 'You can only add an access fee if your structure is declared public.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '298', 'purchase_ticket', 'Purchase Travel Ticket');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '299', 'race_aqualish', 'Aqualish');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '300', 'race_bith', 'Bith');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '301', 'race_bothan', 'Bothan');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '302', 'race_devaronian', 'Devaronian');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '303', 'race_gran', 'Gran');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '304', 'race_human', 'Human');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '305', 'race_ishi_tib', 'Ishi Tib');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '306', 'race_ithorian', 'Ithorian');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '307', 'race_moncal', 'Mon Cal');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '308', 'race_nikto', 'Nikto');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '309', 'race_quarren', 'Quarren');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '310', 'race_random', 'Random Player Race');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '311', 'race_rodian', 'Rodian');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '312', 'race_sullustan', 'Sullustan');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '313', 'race_trandoshan', 'Trandoshan');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '314', 'race_twilek', 'Twi\'lek');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '315', 'race_type_d', 'Select the race of vendor you would like to use from the list below.  You gain additional races as your skill in business and hiring increases.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '316', 'race_type_t', 'Select Vendor Race');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '317', 'race_weequay', 'Weequay');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '318', 'race_wookiee', 'Wookiee');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '319', 'race_zabrak', 'Zabrak');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '320', 'random', 'Random');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '321', 'redeed_condition', 'CONDITION: ');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '322', 'redeed_confirmation', 'WILL REDEED: ');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '323', 'redeed_maintenance', 'MAINTENANCE: ');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '324', 'register_vendor', 'Register Vendor');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '325', 'register_vendor_not', 'Your vendor has been registered on the planetary map.  Your vendor maintenance has increased.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '326', 'remove_schematic_for_delete', 'Please removed the schematic from the factory before deleting it.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '327', 'remove_vendor', 'Remove Vendor');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '328', 'rename_must_be_owner', 'You must be the owner to rename a structure.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '329', 'repack_design_error', 'An internal error occurred.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '330', 'reserve_report', 'Energy reserves now at %DI units.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '331', 'residence_must_be_building', 'Your declared residence must be a building.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '332', 'resource_reserves_prompt', 'Resource Reserves: ');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '333', 'respectful', 'Respectful');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '334', 'rotate', 'Rotate');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '335', 'rotate_left', 'Rotate Left');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '336', 'rotate_params', 'The amount to rotate must be between 1 and 180.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '337', 'rotate_right', 'Rotate Right');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '338', 'rotate_what', 'What do you want to rotate?');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '339', 'route_not_available', 'This ticket\'s route is no longer available');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '340', 'rub_belly', 'Rub Belly');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '341', 'rub_chin_thoughtfully', 'Rub Chin');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '342', 'seconds_suffix', ' seconds');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '343', 'select_amount', 'Select Amount');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '344', 'select_maint_amount', 'Select the total amount you would like to pay to the existing maintenance pool.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '345', 'select_power_amount', 'Select the amount of power you would like to deposit.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '346', 'selfpowered', 'This installation had a Self Powered Harvester Kit used on it.  A Self Powered Harvester Kit has been placed in your inventory.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '347', 'ships_no_permission_list', 'Ships do not have that permission list.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '348', 'shop_sign1', 'Shop Sign #1');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '349', 'shop_sign2', 'Shop Sign #2');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '350', 'shop_sign3', 'Shop Sign #3');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '351', 'shop_sign4', 'Shop Sign #4');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '352', 'short_funds', 'You do not have enough money to complete the ticket purchase.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '353', 'shuttle_not_available', 'The shuttle is not available at this time.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '354', 'sincere', 'Sincere');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '355', 'slow_down', 'Slow Down');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '356', 'structure_condemned_body', 'Your %TT %TO has been condemned by the order of the Empire due to lack of maintenance. You must pay %DI credits to uncondemn this structure.\n');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '357', 'structure_condemned_not_owner', 'This structure has been condemned by the order of the Empire. Access is forbidden until back fees are paid by the owner.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '358', 'structure_condemned_owner_has_credits', 'This structure has been condemned by the order of the Empire. You are not permitted to enter unless you pay %DI in maintenance costs. This will be automatically deducted from your bank account. Click Okay to confirm this transfer and regain access to this structure.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '359', 'structure_condemned_owner_no_credits', 'This structure has been condemned by the order of the Empire. It currently requires %DI credits to uncondemn this structure. You do not have sufficient funds in your bank account. Add sufficient funds to your account and return to regain access to this structure.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '360', 'structure_condemned_subject', 'Your structure has been condemned!');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '361', 'structure_destory_failed', 'Structure destroy without deed reclaim FAILED!');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '362', 'structure_destroy_failed', 'Structure destroy without deed reclaim FAILED!');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '363', 'structure_destroyed', 'Structure destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '364', 'structure_maintenance_empty_body', 'Your %TT %TO has an empty maintenance pool. It will start deducting from your bank account automatically.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '365', 'structure_maintenance_empty_subject', 'Structure maintenance pool empty!');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '366', 'structure_name_prompt', 'Structure Name: ');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '367', 'structure_no_maintenance_subject', 'Your ');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '368', 'structure_now_private', 'This structure is now private');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '369', 'structure_now_public', 'This structure is now public');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '370', 'structure_on_list', 'This structure is already on that droid\'s maintenance list.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '371', 'structure_private', 'This structure is private');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '372', 'structure_public', 'This structure is public');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '373', 'structure_renamed', 'Structure renamed.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '374', 'structure_status_t', 'Structure Status');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '375', 'structure_uncondemned', 'Your structure has been uncondemned. The Empire thanks you for your support.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '376', 'subcat_armor', 'Armor');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '377', 'subcat_clothing', 'Clothing');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '378', 'subcat_components', 'Components');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '379', 'subcat_droids', 'Droids');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '380', 'subcat_equipment', 'Equipment');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '381', 'subcat_food', 'Food');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '382', 'subcat_housing', 'Housing');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '383', 'subcat_medical', 'Medical Supplies');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '384', 'subcat_pets', 'Pets / Pet Supplies');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '385', 'subcat_resources', 'Resources');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '386', 'subcat_ships', 'Ships');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '387', 'subcat_tools', 'Tools');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '388', 'subcat_weapons', 'Weapons');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '389', 'take_maintenance', 'Withdraw Maintenance');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '390', 'target_not_player', 'The target must be a player.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '391', 'temporary_structure', 'Structure Construction Marker');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '392', 'terminal', 'Terminal');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '393', 'terminal_bulky', 'Bulky');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '394', 'terminal_fancy', 'Fancy');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '395', 'terminal_name', 'Structure Maintenance Terminal');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '396', 'terminal_slim', 'Slim');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '397', 'terminal_small', 'Small');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '398', 'terminal_standard', 'Standard');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '399', 'terminal_type_d', 'Select the type of terminal design you would like to use from the list below.  You gain additional designs as your skill in business and hiring skills increase.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '400', 'terminal_type_t', 'Select Terminal Design');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '401', 'ticket_collector_name', 'Ticket Collector');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '402', 'to_deposit', 'To Deposit');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '403', 'to_pay', 'To Pay');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '404', 'too_far', 'You are too far from the building to do that.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '405', 'too_many_entries', 'You have too many entries on that list. You must remove some before adding more.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '406', 'too_many_items', 'There are too many items within the building to add more.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '407', 'total_energy', 'Total Energy');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '408', 'total_funds', 'Total Funds');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '409', 'travel_corellia', 'Travel to Corellia');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '410', 'travel_dantooine', 'Travel to Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '411', 'travel_lok', 'Travel to Lok');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '412', 'travel_naboo', 'Travel to Naboo');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '413', 'travel_options', 'Purchase Travel Ticket');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '414', 'travel_rori', 'Travel to Rori');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '415', 'travel_shuttle', 'Transport Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '416', 'travel_shuttle_d', 'This shuttle can take you to other planets.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '417', 'travel_talus', 'Travel to Talus');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '418', 'travel_tatooine', 'Travel to Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '419', 'treasury_prompt', 'Treasury: ');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '420', 'trial_no_declare', 'Trial accounts may not declare residency.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '421', 'trial_no_modify', 'Trial accounts may not modify permissions on their structures.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '422', 'trial_no_transfer', 'Trial accounts may not be involved in a property ownership transfer.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '423', 'trial_no_vendor', 'Trial accounts may not place a vendor.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '424', 'trial_structure', 'Trial accounts may only administrate their own installations.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '425', 'turnstile_expire', 'You have been ejected from the structure because your access expired.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '426', 'turnstile_wait', 'You must wait %DI minute(s) before you can set another access fee.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '427', 'unable_to_parse', 'The system was unable to parse a valid power amount.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '428', 'units_per_hour', ' units/hr');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '429', 'units_suffix', ' units');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '430', 'unregister_vendor', 'Unregister Vendor');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '431', 'unregister_vendor_not', 'Your vendor has been unregistered from the planetary map.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '432', 'vendor_already_initialized', 'Failed to initialize vendor.  Vendor is already initialized.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '433', 'vendor_anim_d', 'Select an animation for the vendor to play when it barks an advertisement to a potential customer.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '434', 'vendor_anim_t', 'Select Animation');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '435', 'vendor_areabarks_off', 'Disable Ad Barking');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '436', 'vendor_areabarks_on', 'Enable Ad Barking');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '437', 'vendor_control', 'Vendor Control');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '438', 'vendor_init', 'Initialize Vendor');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '439', 'vendor_initialized', 'Vendor initialized!  Your vendor may no longer be moved.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '440', 'vendor_initializing', 'Initializing your vendor...');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '441', 'vendor_maint_accepted', 'Transaction complete!  Your vendor now has a balance of %DI credits.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '442', 'vendor_maint_denied', 'Transaction failed.  You may not have enough money in your accounts!');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '443', 'vendor_maint_invalid', 'The amount must be between 1 and 100,000 credits.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '444', 'vendor_mapcat_d', 'Pick a subcategory you would like your vendor to be listed under.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '445', 'vendor_mapcat_t', 'Pick Map Subcategory');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '446', 'vendor_moods_d', 'Select a mood for the vendor to speak with when he barks an advertisement or greets a customer.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '447', 'vendor_moods_t', 'Select Mood');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '448', 'vendor_no_private', 'A structure hosting a vendor cannot be declared private.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '449', 'vendor_not_in_same_building', 'Failed to initialize vendor.  Player must be in the same building as the vendor.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '450', 'vendor_not_in_ship', 'You may not place a vendor in a ship.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '451', 'vendor_pay', 'You successfully pay %DI credits to %NT.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '452', 'vendor_permissions_list', 'Vendor Permissions List');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '453', 'vendor_public_only', 'A vendor may only be placed in a structure that has been declared public.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '454', 'vendor_rename', 'Your vendor has been renamed.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '455', 'vendor_rename_unreg', 'Your vendor has been renamed.  You will need to reregister your vendor.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '456', 'vendor_search_disabled', 'Vendor search option disabled');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '457', 'vendor_search_enabled', 'Vendor search option enabled');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '458', 'vendor_status', 'Status');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '459', 'vendor_strcats_d', 'Select the type of phrase for the vendor to bark.  If you have \"Advanced Vocalization\" an option to customize the advertisement will appear on the list.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '460', 'vendor_strcats_t', 'Select Phrase Category');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '461', 'vendor_type_d', 'Select the type of vendor you would like to use from the list below.  You gain additional vendor types as your skill in business and hiring skills increase.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '462', 'vendor_type_t', 'Select Vendor Type');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '463', 'vendor_withdraw', 'You successfully withdraw %DI credits from the maintenance pool.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '464', 'vendor_withdraw_fail', 'The vendor maintenance pool doesn\'t have %DI credits!');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '465', 'warm', 'Warm');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '466', 'wave2', 'Wave');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '467', 'wear_how', 'Just drag and drop on me whatever piece of clothing you want me to wear, boss.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '468', 'wear_no', 'That doesn\'t fit me.  I\'m not going to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '469', 'wear_no_ithorian', 'Haha, you expect me to wear that?  It looks a bit too big for me.  I think this is meant for an Ithorian.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '470', 'wear_no_wookiee', 'Haha, you expect me to wear that?  It looks a bit too big for me.  I think this is meant for a Wookiee.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '471', 'wear_not_ithorian', 'I can\'t wear that. It\'s too small. Can\'t you find some proper Ithorian clothing?');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '472', 'wear_noway', 'I\'m not going to wear something just because you want me to!');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '473', 'wear_yes', 'Thanks for the snazzy new threads, boss!');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '474', 'wear_yes_weapon', 'Thanks for the fancy weapon, boss!');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '475', 'will_not_redeed_confirm', 'WILL NOT');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '476', 'will_redeed_confirm', 'WILL');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '477', 'will_redeed_suffix', ' be redeeded. If you wish to continue with destroying your structure, please enter the following code into the inputbox.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '478', 'withdraw_admin_only', 'You must be an administrator to remove credits from the treasury.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '479', 'withdraw_credits', 'You withdraw %DI credits from the treasury.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '480', 'withdraw_maintenance', 'Withdraw From Treasury');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '481', 'withdraw_vendor_d', 'Enter the amount of credits you would like to withdraw from the maintenance account.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '482', 'withdraw_vendor_t', 'Withdraw Maintenance');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '483', 'withdrawal_failed', 'Withdrawal from treasury failed.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '484', 'wrong_planet', 'That deed cannot be used on this planet.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '485', 'wrong_shuttle', 'This ticket is not valid for the given shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/player_structure.stf', '486', 'your_structure_prefix', 'Your structure ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '1', 'm_greet', 'You gotta help me! I swear, I didn\'t steal the money from the Hutts, but they say I did. It was my partner, I swear it! But he\'s gone and they\'re after me. Help me! Please!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '2', 'a_greet', 'Get outta our way. There\'s a bounty on this idiot\'s head, and we\'re the ones aimin\' to collect. Sold ya some sob story, I bet. Well, you gonna swallow that tripe or you gonna clear on outta here?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '3', 'm_yes', 'Oh, thank you, thank you. Watch out, they\'re tough fighters.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '4', 'm_no', 'You heartless jerk! Now what am I gonna do?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '5', 'm_thank_combat', 'I can\'t believe it! You stood up for me, and you don\'t even know me. Are you hurt? Oh, I can\'t thank you enough.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '7', 'a_greet_rebel', 'Hey, look who\'s here. You\'re not gonna get in our way, are you, friend? This idiot\'s got a bounty on their head.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '8', 'a_greet_imperial', 'By order of the Empire, don\'t interfere. This idiot\'s got a bounty on their head, and we are aimin\' to collect.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '9', 'm_maybe', 'Maybe? Maybe? ...I\'m gonna die. Well, when they get here, just talk to them. I\'ll run and hide while you distract them.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '10', 'a_no', 'On yer head be it.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '11', 'a_yes', 'Then you better clear on out. Nothin\' for you to see here.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '12', 'a_maybe', 'You\'re thinking you can settle this peacefully? OK, we\'ll let you give it a shot. See if you get the Hutt\'s money back.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '13', 'a_no_negotiate', 'Sorry, but the Hutts said no deals. Get out of the way or we might have to take you out too.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '14', 'm_will_negotiate', 'Well, I suppose I still have some of the money saved away... a present for my poor old mother. If I must... to stay alive... I could give it back.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '15', 'm_no_negotiate', 'But the money\'s gone, I tell you! Gone! My partner took it, vanished offworld... oh, I\'m gonna die, I\'m gonna die...');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '16', 'a_decline_offer', 'Not good enough. C\'mon gang, let\'s get it over with.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '17', 'a_accept_offer', 'Hmmm. Partial payment? I think the Hutts will be happy with this. For now. Better tell your friend over there to start fundraising.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '18', 'm_negotiate_greet', 'What did they say? Are they going to kill me?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '19', 'response_yes', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '20', 'response_no', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '21', 'response_maybe', 'Maybe.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '22', 'response_negotiate', 'Do we really have to fight? Couldn\'t we find a way to pay the Hutts back?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '23', 'm_thank_negotiate', 'I owe you my life! Tell you what, if I wasn\'t soured on the idea of a partner, maybe I\'d take you under my wing. Thanks! I think I better get out of here now before they change their minds.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '24', 'm_waiting', 'I am SO tempted to just bolt. But they\'ll be here soon, and there\'s no point in running, they\'d still catch me. Might as well wait and see how it plays out.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '25', 'a_greet_m', 'There\'s the deadbeat. Remember, the Hutts said dead or alive, so let\'s get this over with.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '26', 'm_greet_a', 'No, wait! Wait! I, uh, I\'ve got a friend! With, uh, a thermal detonator!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '27', 'a_respond_m_1', 'Riiight. That one was old twenty years ago when I first heard it.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '29', 'a_thank_combat', 'Good riddance to a deadbeat con artist. Thank for yer help. Sorry, but our payment\'s only expected on completion so we can\'t cut you in.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '30', 'a_thank_negotiate', 'Awright, I\'m thinkin\' this\'ll make the Hutts happy. Money always makes \'em happy. Thanks for squeezing this much out of that whiny loser.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '32', 'minion_1', 'C\'mon, I\'m getting bored. Let\'s get this over with.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '33', 'minion_2', 'Can we kill the stranger too?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '34', 'minion_3', 'I can\'t wait to get back to Coruscant.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '35', 'minion_4', 'Pfaugh. Let\'s go.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '37', 'minion_5', 'Let\'s get on with it.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '38', 'a_greet_mad', 'So you agreed to help this deadbeat? Too bad. We don\'t get a bonus fer killin\' helpers, but there\'s no penalty in the contract either.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '39', 'a_waiting', 'Well? You gettin\' a move on, or should I just use my trusty weapon here?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '40', 'a_negotiate_fail', 'Yer wastin\' my time.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '41', 'a_thank_negotiate_again', 'Yeah, I already said thank you. Look, I can\'t do much in the way of a reward.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '42', 'a_brushoff', 'Get lost. You mostly just stood by, why should I care what you want?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '43', 'a_tired_waiting', 'Alrighty, that\'s enough of the jibber-jabber. Let\'s do it.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '44', 'a_no_progress', 'Whyn\'t ya just get lost? Hm? This was straightforward until YOU showed up.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '47', 'm_saved', 'I can\'t believe it! I\'m saved!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '48', 'm_betrayed', 'You... you\'re going to let them kill me? Why you double-crossing...');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '49', 'm_sorry', 'I can\'t give you anything... I have to rely on your kindness. Please?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '50', 'a_accept_offer_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '51', 'a_accept_offer_mood', 'thoughtful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '52', 'a_accept_offer_act', 'puzzle');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '53', 'm_yes_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '54', 'm_yes_mood', 'respectful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '55', 'm_yes_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '56', 'm_will_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '57', 'm_will_negotiate_mood', 'reluctant');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '58', 'm_will_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '59', 'm_waiting_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '60', 'm_waiting_mood', 'nervous');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '61', 'm_waiting_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '62', 'm_thank_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '63', 'm_thank_negotiate_mood', 'relieved');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '64', 'm_thank_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '65', 'm_thank_combat_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '66', 'm_thank_combat_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '67', 'm_thank_coombat_act', 'thankful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '68', 'm_sorry_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '69', 'm_sorry_mood', 'worried');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '70', 'm_sorry_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '71', 'm_saved_chat', 'exclaim');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '72', 'm_saved_mood', 'amazed');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '73', 'm_saved_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '74', 'm_no_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '75', 'm_no_negotiate_mood', 'dismayed');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '76', 'm_no_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '77', 'm_negotiate_greet_chat', 'whisper');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '78', 'm_negotiate_greet_mood', 'scared');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '79', 'm_negotiate_greet_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '80', 'm_maybe_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '81', 'm_maybe_mood', 'scared');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '82', 'm_maybe_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '83', 'm_greet_a_chat', 'wail');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '84', 'm_greet_a_mood', 'nervous');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '85', 'm_greet_a_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '88', 'm_greet_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '89', 'm_betrayed_chat', 'mumble');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '90', 'm_betrayed_mood', 'panicked');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '91', 'm_betrayed_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '92', 'a_yes_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '93', 'a_yes_mood', 'mean');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '94', 'a_yes_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '95', 'a_waiting_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '96', 'a_waiting_mood', 'taunting');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '97', 'a_waiting_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '98', 'a_tired_waiting_chat', 'blurt');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '99', 'a_tired_waiting_mood', 'belligerent');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '100', 'a_tired_waiting_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '101', 'a_thank_negotiate_again_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '102', 'a_thank_negotiate_again_mood', 'reluctant');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '103', 'a_thank_negotiate_again_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '104', 'a_thank_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '105', 'a_thank_negotiate_mood', 'approving');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '106', 'a_thank_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '107', 'a_thank_combat_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '108', 'a_thank_combat_mood', 'emotionless');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '109', 'a_thank_combat_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '110', 'a_respond_m_1_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '111', 'a_respond_m_1_mood', 'pitying');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '112', 'a_respond_m_1_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '113', 'a_no_progress_chat', 'demand');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '114', 'a_no_progress_mood', 'annoyed');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '115', 'a_no_progress_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '116', 'a_no_negotiate_chat', 'threaten');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '117', 'a_no_negotiate_mood', 'regretful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '118', 'a_no_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '119', 'a_no_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '120', 'a_no_mood', 'disgusted');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '121', 'a_no_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '122', 'a_negotiate_fail_chat', 'retort');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '123', 'a_negotiate_fail_mood', 'disappointed');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '124', 'a_negotiate_fail_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '125', 'a_maybe_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '126', 'a_maybe_mood', 'doubtful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '127', 'a_maybe_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '130', 'a_greet_rebel_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '131', 'a_greet_mad_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '132', 'a_greet_mad_mood', 'philosophical');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '133', 'a_greet_mad_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '134', 'a_greet_m_chat', 'shout');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '135', 'a_greet_m_mood', 'disdainful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '136', 'a_greet_m_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '139', 'a_greet_imperial_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '142', 'a_greet_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '143', 'a_decline_offer_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '144', 'a_decline_offer_mood', 'firm');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '145', 'a_decline_offer_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '146', 'a_brushoff_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '147', 'a_brushoff_mood', 'annoyed');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/deadbeat.stf', '148', 'a_brushoff_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '1', 'm_greet', 'Help me, please! They\'re going to take me away again, and I can\'t possibly live as a slave any longer!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '2', 'a_greet', 'That\'s an escaped slave you have there. Not your property. How about handing them over?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '3', 'm_yes', 'They don\'t understand--no, they don\'t CARE--that I was kidnapped into slavery. Please, don\'t let them take me back!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '4', 'm_no', 'You\'re just like them, aren\'t you? Happy to let another sentient being live out a life as property. You\'re pathetic.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '5', 'm_thank_combat', 'I suppose I\'m free now. Free. What a word. Only... now what do I do? I\'ve been a slave my whole life.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '7', 'a_greet_rebel', 'That\'s an escaped slave you have there. I know, I know, slavery is evil. But we have to keep the local warlords happy or else we Rebllion won\'t be able to operate in this area.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '8', 'a_greet_imperial', 'That\'s an escaped slave you have there, citizen. I am sure you will promptly hand them over and move along. It\'s none of your business.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '9', 'm_maybe', 'They won\'t listen to reason, but maybe you can try talking to them. But I\'ll kill myself before going back.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '10', 'a_no', 'On your head be it, then. I owe my allegiance to my master, and must do as he says.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '11', 'a_yes', 'Then you had better move along and get out of the way. We have a job to do for our master.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '12', 'a_maybe', 'What are we supposed to tell our master, that the slave just disappeared? We\'ll be flogged if we return empty-handed. Well, go ahead, try talking to the slave, see if it does you any good.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '13', 'a_no_negotiate', 'We\'ll be flogged if we return empty-handed. I value my hide more than that of a puny slave.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '14', 'm_will_negotiate', 'Here... they can have this bracelet... it\'s all I have of my mother. Have them tell the master that they found me dead. I died of exposure. He\'ll believe them if they have this bracelet.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '15', 'm_no_negotiate', 'It\'s hopeless. They\'re not going to back down. I just wanted to live a life free of chains...');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '16', 'a_decline_offer', 'Not good enough. What\'s in it for us, eh? What if our master finds out? No, we\'re going to have to take care of this our way.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '17', 'a_accept_offer', 'Died of exposure eh? And this worthless trinket as proof. Alright, I\'m willing to give that a try. Always had a soft spot for slaves myself.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '18', 'm_negotiate_greet', 'Will they let me go free?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '19', 'response_yes', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '20', 'response_no', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '21', 'response_maybe', 'Maybe.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '22', 'response_negotiate', 'Do we have to end this in this way? A slave who wants to be free, what could be more natural than that? Can you see your way to letting them go?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '23', 'm_thank_negotiate', 'And now... I\'m free. A slave my whole life, and I\'m free. Any path is open to me, and they all feel terrifying.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '24', 'm_waiting', 'I could run and hide, but I\'m tired of running. After years of beatings, of being insulted and teased for their amusement... oh, they\'ll be here soon enough. I\'m too good a toy to let slip away.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '25', 'a_greet_m', 'You! Slave! We\'ve come to return you to your master. He misses his plaything.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '26', 'm_greet_a', 'I won\'t go back. Kill me if you must. But I won\'t go back.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '27', 'a_respond_m_1', 'Our orders covered that contingency. Make your peace, slave.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '29', 'a_thank_combat', 'Another day, another dead slave. Filthy institution, but it\'s the way of our Galaxy, isn\'t it? Well, I better take this bracelet as proof we killed the poor creature. Back to our master.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '30', 'a_thank_negotiate', 'I\'m glad you found a way out of this. That poor slave has been a prisoner for at least ten years. It would have felt wrong to kill them.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '32', 'minion_1', 'I wonder if the master will beat us all tonight?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '33', 'minion_2', 'If we hurry, the kitchens might still be open.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '34', 'minion_3', 'Let\'s get on with it.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '35', 'minion_4', 'I don\'t feel right about this.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '37', 'minion_5', 'Less talking, more killing.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '38', 'a_greet_mad', 'You\'re helping an escaped slave? On your head be it!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '39', 'a_waiting', 'We don\'t have all day. The master will send a search party for us if we don\'t return soon.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '40', 'a_negotiate_fail', 'That\'s a useless idea. I\'m not going to risk my neck for a slave.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '41', 'a_thank_negotiate_again', 'Go on, get on with your life. We have to go back to our own slavery.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '42', 'a_brushoff', 'What, you expect payment or something? Let me tell you something. That carcass down there was a person once. Had feelings. Hoped to live free. You mostly stood by while we killed them. And you think you deserve a reward? Get out of my sight.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '43', 'a_tired_waiting', 'That\'s enough. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '44', 'a_no_progress', 'I don\'t have time for idle chatter. Our master expects either the slave back, or proof that they\'re dead. You\'re just wasting my time.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '47', 'm_saved', 'I\'m free.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '48', 'm_betrayed', 'You\'re going to just hand me over? Do you know what I go through? The beatings? The scraps of food from the table, sleeping on the stone floor?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '49', 'm_sorry', 'I have nothing to give, you know. I\'ve lived my whole life thinking I was worthless. Maybe I am.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '50', 'a_accept_offer_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '51', 'a_accept_offer_mood', 'sheepish');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '52', 'a_accept_offer_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '53', 'm_yes_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '54', 'm_yes_mood', 'earnest');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '55', 'm_yes_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '56', 'm_will_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '57', 'm_will_negotiate_mood', 'timid');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '58', 'm_will_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '59', 'm_waiting_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '60', 'm_waiting_mood', 'wary');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '61', 'm_waiting_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '62', 'm_thank_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '63', 'm_thank_negotiate_mood', 'ambivalent');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '64', 'm_thank_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '65', 'm_thank_combat_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '66', 'm_thank_combat_mood', 'confused');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '67', 'm_thank_coombat_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '68', 'm_sorry_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '69', 'm_sorry_mood', 'sorry');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '70', 'm_sorry_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '71', 'm_saved_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '72', 'm_saved_mood', 'puzzled');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '73', 'm_saved_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '74', 'm_no_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '75', 'm_no_negotiate_mood', 'wistful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '76', 'm_no_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '77', 'm_negotiate_greet_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '78', 'm_negotiate_greet_mood', 'hopeful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '79', 'm_negotiate_greet_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '80', 'm_maybe_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '81', 'm_maybe_mood', 'resigned');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '82', 'm_maybe_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '83', 'm_greet_a_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '84', 'm_greet_a_mood', 'unwilling');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '85', 'm_greet_a_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '88', 'm_greet_act', 'imploring');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '89', 'm_betrayed_chat', 'whimper');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '90', 'm_betrayed_mood', 'vengefully');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '91', 'm_betrayed_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '92', 'a_yes_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '93', 'a_yes_mood', 'firm');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '94', 'a_yes_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '95', 'a_waiting_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '96', 'a_waiting_mood', 'surly');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '97', 'a_waiting_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '98', 'a_tired_waiting_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '99', 'a_tired_waiting_mood', 'tired');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '100', 'a_tired_waiting_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '101', 'a_thank_negotiate_again_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '102', 'a_thank_negotiate_again_mood', 'hopeless');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '103', 'a_thank_negotiate_again_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '104', 'a_thank_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '105', 'a_thank_negotiate_mood', 'defensive');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '106', 'a_thank_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '107', 'a_thank_combat_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '108', 'a_thank_combat_mood', 'troubled');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '109', 'a_thank_combat_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '110', 'a_respond_m_1_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '111', 'a_respond_m_1_mood', 'sad');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '112', 'a_respond_m_1_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '113', 'a_no_progress_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '114', 'a_no_progress_mood', 'emotionless');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '115', 'a_no_progress_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '116', 'a_no_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '117', 'a_no_negotiate_mood', 'stubborn');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '118', 'a_no_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '119', 'a_no_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '120', 'a_no_mood', 'resigned');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '121', 'a_no_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '122', 'a_negotiate_fail_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '123', 'a_negotiate_fail_mood', 'sullen');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '124', 'a_negotiate_fail_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '125', 'a_maybe_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '126', 'a_maybe_mood', 'disgruntled');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '127', 'a_maybe_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '130', 'a_greet_rebel_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '131', 'a_greet_mad_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '132', 'a_greet_mad_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '133', 'a_greet_mad_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '134', 'a_greet_m_chat', 'shout');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '135', 'a_greet_m_mood', 'scornful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '136', 'a_greet_m_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '139', 'a_greet_imperial_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '142', 'a_greet_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '143', 'a_decline_offer_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '144', 'a_decline_offer_mood', 'grumpy');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '145', 'a_decline_offer_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '146', 'a_brushoff_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '147', 'a_brushoff_mood', 'angry');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/escaped_slave.stf', '148', 'a_brushoff_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '1', 'm_greet', 'I\'m in some trouble here. Someone told the Imperials that I\'m some sort of rebel spy. I ain\'t no rebel. I\'m just a farmer. I scared they are going to take away my land and throw me in prison. Can you help protect me if they try?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '2', 'a_greet', 'Who are you? You\'re standing in the way of Imperial business. Are you going to stand aside?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '3', 'm_yes', 'I sure do appreciate that. I\'m guessing they will be here any time now.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '4', 'm_no', 'Well, I guess I shouldn\'t have expected any help. You\'d have likely been labeled a rebel too. Oh well.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '5', 'm_thank_combat', 'Well, that\'s that for now, but something tells me this is just the start of my problems. I think it is time for me to start looking for a way off this planet.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '7', 'a_greet_rebel', 'Stand aside, unless you want to be arrested too.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '8', 'a_greet_imperial', 'We\'ve have this situation under control. Please stand aside.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '9', 'm_maybe', 'I ain\'t no good at talking my way out of nothing. When they get here, maybe you can see if they\'ll change their mind about me.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '10', 'a_no', 'You are in direct violation of an Imperial order and are under arrest.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '11', 'a_yes', 'We\'ll handle it from here.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '12', 'a_maybe', 'Just a farmer? Then what was he doing tampering with an Imperial relay tower?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '13', 'a_no_negotiate', 'I said stand aside. Now!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '14', 'm_will_negotiate', 'Tampering? I wasn\'t tampering. It was buzzing for three days. Scaring my livestock. I just figured I could fix it so it stopped making so much noise. I wasn\'t spying or nothing.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '15', 'm_no_negotiate', 'Well, thanks for trying. I just can\'t let them take my land. I ain\'t no rebel, but maybe it\'s my calling after all.  ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '16', 'a_decline_offer', 'It is illegal to tamper with Imperial property. He\'s just admitted his guilt.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '17', 'a_accept_offer', 'Well, the relay tower was having some problems and it isn\'t now. All right, we\'ll let him go.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '18', 'm_negotiate_greet', 'Am I free to go?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '19', 'response_yes', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '20', 'response_no', 'No');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '21', 'response_maybe', 'Maybe');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '22', 'response_negotiate', 'Wait. This may be a mistake. This is just a simple farmer, not a rebel spy.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '23', 'm_thank_negotiate', 'You pretty much saved my life there. Thank you so much!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '24', 'm_waiting', 'Yep, they\'re coming now. Oh, I got a bad feeling coming on.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '25', 'a_greet_m', 'Halt! Come with us peacefully. You are wanted for questioning.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '26', 'm_greet_a', 'I ain\'t no rebel spy. I don\'t know who told you that, but it just ain\'t true!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '27', 'a_respond_m_1', 'We have a warrant for your arrest. Come with us.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '29', 'a_thank_combat', 'That takes care of this situation. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '30', 'a_thank_negotiate', 'Thank you for your assistance in this matter. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '32', 'minion_1', 'This is official business.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '33', 'minion_2', 'We\'re rounding up suspected rebel spies.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '34', 'minion_3', 'They always say they are just innocent farmers. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '35', 'minion_4', 'We have undisputable evidence that he tampered with Imperial property.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '37', 'minion_5', 'He looks like a rebel to me.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '38', 'a_greet_mad', 'Halt! Come with us for questioning now or we\'ll shoot.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '39', 'a_waiting', 'Come with us now. We have orders to blast those who resist.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '40', 'a_negotiate_fail', 'It doesn\'t matter what his reason was. The activity was still illegal. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '41', 'a_thank_negotiate_again', 'The situation is clear. Heading back to base.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '42', 'a_brushoff', 'Move along.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '43', 'a_tired_waiting', 'You have been warned. Take him down!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '44', 'a_no_progress', 'Get out of our way.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '47', 'm_saved', 'I think this is a sure sign that I should join the rebellion.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '48', 'm_betrayed', 'I\'m just a farmer! You are as bad as they are.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '49', 'm_sorry', 'I\'m just a farmer. I\'m innocent.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '50', 'a_accept_offer_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '51', 'a_accept_offer_mood', 'Tolerant');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '52', 'a_accept_offer_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '53', 'm_yes_chat', 'reply');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '54', 'm_yes_mood', 'friendly');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '55', 'm_yes_act', 'Smile');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '56', 'm_will_negotiate_chat', 'Answer');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '57', 'm_will_negotiate_mood', 'Defensive');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '58', 'm_will_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '59', 'm_waiting_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '60', 'm_waiting_mood', 'fearful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '61', 'm_waiting_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '62', 'm_thank_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '63', 'm_thank_negotiate_mood', 'Joyful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '64', 'm_thank_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '65', 'm_thank_combat_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '66', 'm_thank_combat_mood', 'Thoughtful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '67', 'm_thank_combat_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '68', 'm_sorry_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '69', 'm_sorry_mood', 'regretful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '70', 'm_sorry_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '71', 'm_saved_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '72', 'm_saved_mood', 'dismayed');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '73', 'm_saved_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '74', 'm_no_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '75', 'm_no_negotiate_mood', 'Resigned');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '76', 'm_no_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '77', 'm_negotiate_greet_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '78', 'm_negotiate_greet_mood', 'Worried');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '79', 'm_negotiate_greet_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '80', 'm_maybe_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '81', 'm_maybe_mood', 'hopeful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '82', 'm_maybe_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '83', 'm_greet_a_chat', 'Answer');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '84', 'm_greet_a_mood', 'scared');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '85', 'm_greet_a_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '88', 'm_greet_act', 'frown');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '89', 'm_betrayed_chat', 'huff');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '90', 'm_betrayed_mood', 'Crotchety');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '91', 'm_betrayed_act', 'Glare');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '92', 'a_yes_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '93', 'a_yes_mood', 'firm');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '94', 'a_yes_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '95', 'a_waiting_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '96', 'a_waiting_mood', 'disdainful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '97', 'a_waiting_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '98', 'a_tired_waiting_chat', 'Shout');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '99', 'a_tired_waiting_mood', 'serious');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '100', 'a_tired_waiting_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '101', 'a_thank_negotiate_again_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '102', 'a_thank_negotiate_again_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '103', 'a_thank_negotiate_again_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '104', 'a_thank_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '105', 'a_thank_negotiate_mood', 'Emotionless');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '106', 'a_thank_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '107', 'a_thank_combat_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '108', 'a_thank_combat_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '109', 'a_thank_combat_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '110', 'a_respond_m_1_chat', 'Interrupt');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '111', 'a_respond_m_1_mood', 'Emotionless');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '112', 'a_respond_m_1_act', 'beckon');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '113', 'a_no_progress_chat', 'Demand');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '114', 'a_no_progress_mood', 'Cold');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '115', 'a_no_progress_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '116', 'a_no_negotiate_chat', 'Command');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '117', 'a_no_negotiate_mood', 'Angry');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '118', 'a_no_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '119', 'a_no_chat', 'State');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '120', 'a_no_mood', 'serious');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '121', 'a_no_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '122', 'a_negotiate_fail_chat', 'State');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '123', 'a_negotiate_fail_mood', 'emphatic');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '124', 'a_negotiate_fail_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '125', 'a_maybe_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '126', 'a_maybe_mood', 'Uncertain');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '127', 'a_maybe_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '130', 'a_greet_rebel_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '131', 'a_greet_mad_chat', 'Demand');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '132', 'a_greet_mad_mood', 'cold');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '133', 'a_greet_mad_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '134', 'a_greet_m_chat', 'Demand');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '135', 'a_greet_m_mood', 'serious');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '136', 'a_greet_m_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '139', 'a_greet_imperial_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '142', 'a_greet_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '143', 'a_decline_offer_chat', 'State');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '144', 'a_decline_offer_mood', 'Condescending');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '145', 'a_decline_offer_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '146', 'a_brushoff_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '147', 'a_brushoff_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '148', 'a_brushoff_chat', 'State');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '149', 'm_rejected', 'Leave me be!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '150', 'm_rejected_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '151', 'm_rejected_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/farmer_stormtroopers.stf', '152', 'm_rejected_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '1', 'm_greet', 'Say, I don\'t suppose you could lend me a hand? This is going to sound horrible, but my children are after me. Well, they\'re actually after their inheritance. I think they are going to try to hurt me. Can you just be ready to help in case it gets violent?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '2', 'a_greet', 'This is a matter for our family. It does not concern you. Leave us now.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '3', 'm_yes', 'Oh I hope it doesn\'t but they are blind with anger and greed right now.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '4', 'm_no', 'Well I guess I don\'t blame you. This is a family matter.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '5', 'm_thank_combat', 'How could I have let things get to this point? As a father, I have utterly failed.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '7', 'a_greet_rebel', 'This is a matter for our family. It does not concern you. Go champion someone else\'s pathetic cause.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '8', 'a_greet_imperial', 'This is a matter for our family. It does not concern you or the Empire. Leave us now.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '9', 'm_maybe', 'Well maybe you can talk some sense into them then. They won\'t listen to me.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '10', 'a_no', 'I see. Well, you will soon regret sticking your nose in other people\'s affairs.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '11', 'a_yes', 'Good. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '12', 'a_maybe', 'If he agrees to sign over the estate, then there will be no need for violence.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '13', 'a_no_negotiate', 'He is a selfish old man with no regard for his offspring. Nothing more.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '14', 'm_will_negotiate', 'I have promised my estate to my new fianc');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '15', 'm_no_negotiate', 'They deserve nothing from me. I would rather the Empire take every last credit I own than see it go to these ungrateful kin.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '16', 'a_decline_offer', 'That woman does not love him, she is only after his. our estate. We will never accept her taking it from us.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '17', 'a_accept_offer', 'Reasonable? As long as that woman doesn\'t take it all, perhaps. We shall discuss this inheritance tomorrow, Father. Meet us at the government office at noon. Don\'t bring that woman with you.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '18', 'm_negotiate_greet', 'They should not speak of my fianc');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '19', 'response_yes', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '20', 'response_no', 'No');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '21', 'response_maybe', 'Maybe');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '22', 'response_negotiate', 'He\'s your father. Certainly you won\'t attack your own flesh and blood over this.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '23', 'm_thank_negotiate', 'I hate giving them a single credit, but I suppose it is my responsibility to provide for them, even if they don\'t deserve it.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '24', 'm_waiting', 'They\'ll be here any minute now.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '25', 'a_greet_m', 'We come for you father. We come for what is rightfully ours. We shall have our inheritance one way or another.  ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '26', 'm_greet_a', 'I am a failure as a father to have raised such insolent children who care only about credits. You have shown me no respect, no love, and now not even compassion. This is why you get nothing from me. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '27', 'a_respond_m_1', 'No father, we get nothing from you because you have decided to squander it on frivolous affairs. We\'ll not see our family fortune be lost to the careless whims of an old man.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '29', 'a_thank_combat', 'Now, how are we to legally prove that he wished his estate to us? This is not what I wanted.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '30', 'a_thank_negotiate', 'You may have spared my father\'s life today. He had better show up at the government office tomorrow.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '32', 'minion_1', 'I\'ve always hated him. He was never home, he never took an interest in any of us, and now he goes off with that woman.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '33', 'minion_2', 'Please father, be reasonable. It is our money too.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '34', 'minion_3', 'The estate has been passed down from generation to generation. It is his duty to grant it to us. How dare he turn away from tradition?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '35', 'minion_4', 'I agree that it is his money to do with as he pleases, but I don\'t think he is in his right mind any more. That woman he calls his fianc');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '37', 'minion_5', 'I still love my father, but I must do as my elder siblings say. They are right.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '38', 'a_greet_mad', 'So father, you fear our wrath so much that you elicit help to fight us. So be it.  ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '39', 'a_waiting', 'You will sign over the estate to us now, father.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '40', 'a_negotiate_fail', 'You see, he is unreasonable. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '41', 'a_thank_negotiate_again', 'I still don\'t like that you meddled in our affairs, but perhaps I should be grateful. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '42', 'a_brushoff', 'This matter did not concern you.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '43', 'a_tired_waiting', 'I grow tired of waiting for your response. You will sign over the estate or we shall take it from you here and now.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '44', 'a_no_progress', 'Go away. Our family matters do not involve you!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '47', 'm_saved', 'This is tragic, pure and simple.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '48', 'm_betrayed', 'So they poison you with their greed as well. So be it.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '49', 'm_sorry', 'Truthfully there is very little to my estate. I\'ve gambled away most of it already. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '50', 'a_accept_offer_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '51', 'a_accept_offer_mood', 'Wary');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '52', 'a_accept_offer_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '53', 'm_yes_chat', 'Respond');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '54', 'm_yes_mood', 'Reluctant');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '55', 'm_yes_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '56', 'm_will_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '57', 'm_will_negotiate_mood', 'Firm');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '58', 'm_will_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '59', 'm_waiting_chat', 'State');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '60', 'm_waiting_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '61', 'm_waiting_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '62', 'm_thank_negotiate_chat', 'state');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '63', 'm_thank_negotiate_mood', 'Reluctant');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '64', 'm_thank_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '65', 'm_thank_combat_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '66', 'm_thank_combat_mood', 'Troubled');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '67', 'm_thank_combat_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '68', 'm_sorry_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '69', 'm_sorry_mood', 'resigned');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '70', 'm_sorry_act', 'shrug');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '71', 'm_saved_chat', 'state');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '72', 'm_saved_mood', 'Dismayed');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '73', 'm_saved_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '74', 'm_no_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '75', 'm_no_negotiate_mood', 'Lofty');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '76', 'm_no_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '77', 'm_negotiate_greet_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '78', 'm_negotiate_greet_mood', 'careful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '79', 'm_negotiate_greet_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '80', 'm_maybe_chat', 'Reply');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '81', 'm_maybe_mood', 'Doubtful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '82', 'm_maybe_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '83', 'm_greet_a_chat', 'Answer');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '84', 'm_greet_a_mood', 'sullen');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '85', 'm_greet_a_act', 'Shake');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '88', 'm_greet_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '89', 'm_betrayed_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '90', 'm_betrayed_mood', 'Disappointed');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '91', 'm_betrayed_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '92', 'a_yes_chat', 'Reply');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '93', 'a_yes_mood', 'Smug');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '94', 'a_yes_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '95', 'a_waiting_chat', 'Demand');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '96', 'a_waiting_mood', 'Cold');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '97', 'a_waiting_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '98', 'a_tired_waiting_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '99', 'a_tired_waiting_mood', 'Scornful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '100', 'a_tired_waiting_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '101', 'a_thank_negotiate_again_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '102', 'a_thank_negotiate_again_mood', 'Tolerant');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '103', 'a_thank_negotiate_again_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '104', 'a_thank_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '105', 'a_thank_negotiate_mood', 'Lofty');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '106', 'a_thank_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '107', 'a_thank_combat_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '108', 'a_thank_combat_mood', 'Annoyed');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '109', 'a_thank_combat_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '110', 'a_respond_m_1_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '111', 'a_respond_m_1_mood', 'Bitter');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '112', 'a_respond_m_1_act', 'Glare');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '113', 'a_no_progress_chat', 'huff');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '114', 'a_no_progress_mood', 'Annoyed');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '115', 'a_no_progress_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '116', 'a_no_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '117', 'a_no_negotiate_mood', 'Callous');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '118', 'a_no_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '119', 'a_no_chat', 'Huff');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '120', 'a_no_mood', 'Snobby');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '121', 'a_no_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '122', 'a_negotiate_fail_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '123', 'a_negotiate_fail_mood', 'Pompous');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '124', 'a_negotiate_fail_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '125', 'a_maybe_chat', 'retort');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '126', 'a_maybe_mood', 'Diplomatic');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '127', 'a_maybe_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '130', 'a_greet_rebel_act', 'Glare');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '131', 'a_greet_mad_chat', 'Threaten');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '132', 'a_greet_mad_mood', 'Cruel');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '133', 'a_greet_mad_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '134', 'a_greet_m_chat', 'Assert');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '135', 'a_greet_m_mood', 'Spiteful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '136', 'a_greet_m_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '139', 'a_greet_imperial_act', 'Glare');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '142', 'a_greet_act', 'Glare');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '143', 'a_decline_offer_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '144', 'a_decline_offer_mood', 'Contemptuous');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '145', 'a_decline_offer_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '146', 'a_brushoff_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '147', 'a_brushoff_mood', 'Condescending');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '148', 'a_brushoff_chat', 'huff');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '149', 'm_rejected', 'So be it.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '150', 'm_rejected_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '151', 'm_rejected_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/father_heirs.stf', '152', 'm_rejected_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '1', 'm_greet', 'Help me, please. My boyfriend, he\'s chasing me, and I\'m scared.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '2', 'a_greet', 'There she is. C\'mon sweetie, I told you it was all just a misunderstanding! Why don\'t you come on back? See, she gets like this, she\'s just moody sometimes.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '3', 'm_yes', 'You don\'t understand... he\'s abusive, he never leaves me alone. I feel like I\'m being stalked.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '4', 'm_no', 'You\'re a disgusting pig.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '5', 'm_thank_combat', 'Oh no... you... killed him! But... I didn\'t mean... I loved him.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '7', 'a_greet_rebel', 'There she is. C\'mon sweetie, I told you it was all just a misunderstanding! Why don\'t you come on back? See, she gets like this, she\'s just moody sometimes.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '8', 'a_greet_imperial', 'There she is. C\'mon sweetie, I told you it was all just a misunderstanding! Why don\'t you come on back? See, she gets like this, she\'s just moody sometimes.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '9', 'm_maybe', 'Talk to him, please? Tell him that he needs to let me go.I know he loves me, but he\'s going too far.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '10', 'a_no', 'I won\'t give her up. She\'s just being irrational. If she won\'t come with me, I\'ll MAKE her come back.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '11', 'a_yes', 'Great! I\'m sure she\'ll calm down in a while, and this will all blow over.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '12', 'a_maybe', 'I\'ve never needed an intermediary to talk to my girl before. Sure, if you think it\'ll help, go ahead. I just want her to come home.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '13', 'a_no_negotiate', 'Stay out of this, this is a private matter between us.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '14', 'm_will_negotiate', 'I guess.. I guess I\'m willing to talk. I just need him to give me space, you know? I feel smothered. I need time to myself.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '15', 'm_no_negotiate', 'He just doesn\'t understand. He\'s so controlling.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '16', 'a_decline_offer', 'Space? What space? She has all the free time in the world! She lives off my income, sits at home all day, gossips with her friends... This is crazy. I\'m not taking this anymore.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '17', 'a_accept_offer', 'That\'s all she wants? Time to herself? Why didn\'t she just SAY so?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '18', 'm_negotiate_greet', 'What did he say? He\'s got such a way of sweet-talking, I\'m afraid I\'ll give in if I talk to him... will he let me be?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '19', 'response_yes', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '20', 'response_no', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '21', 'response_maybe', 'Maybe.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '22', 'response_negotiate', 'It looks to me like you guys are in love, and it seems silly to end up with a fight and even possibly a tragic death of a simple lovers\' quarrel.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '23', 'm_thank_negotiate', 'Thank you so much. I guess we\'re back together again. I really hated to start the fight, but the silly boy just wouldn\'t... anyway. Thank you! Do you do weddings?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '24', 'm_waiting', 'He\'s liable to bring those friends of his. Always stinking up the house and making messes. They\'re bad influences. Watch, they might have egged him on to do something that we\'ll all regret...');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '25', 'a_greet_m', 'There you are... sweetie, why don\'t you come back with me? This argument is silly.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '26', 'm_greet_a', 'Silly? Silly? You\'re actually SCARING me and you call it silly? And why did you bring your stupid friends with you huh? Are you here to hurt me?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '27', 'a_respond_m_1', 'I\'d never hurt you... you know that!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '29', 'a_thank_combat', 'I... I can\'t believe we did that. We... we killed her. I... loved her. What have I done?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '30', 'a_thank_negotiate', 'Thank you so much for bringing us back together!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '32', 'minion_1', 'I can\'t believe we came all the way out here over a woman.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '33', 'minion_2', 'Why doesn\'t he just dump her?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '34', 'minion_3', 'Well, I think the girl has a point.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '35', 'minion_4', 'Do you think I have a shot with her if he dumps her?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '37', 'minion_5', 'She always was whiny...');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '38', 'a_greet_mad', 'You didn\'t fall for her ridiculous story did you? I can\'t stand this... she\'s pushing me over the edge.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '39', 'a_waiting', 'Come on... I can\'t stand around all day waiting for her to make up her mind.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '40', 'a_negotiate_fail', 'She what? This is the girl who I suspect has been sneaking around on me? Nuh uh, that\'s enough of this garbage.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '41', 'a_thank_negotiate_again', 'Thank you so much for reconciling us.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '42', 'a_brushoff', 'Don\'t even speak to me! Oh, what have I done...');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '43', 'a_tired_waiting', 'That\'s enough! I\'m not going to stand for this anymore!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '44', 'a_no_progress', 'I can\' t believe this. I HATE her, this is crazy!!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '47', 'm_saved', 'Really? And he means it? Oh, I KNEW he wasn\'t all bad!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '48', 'm_betrayed', 'But... but he\'s been stalking me. He\'s been harassing me. He won\'t let me alone! You... you--Oh, I HATE you!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '49', 'm_sorry', 'I\'m sorry, I don\'t have anything to give you or even promise you... ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '50', 'a_accept_offer_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '51', 'a_accept_offer_mood', 'surprised');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '52', 'a_accept_offer_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '53', 'm_yes_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '54', 'm_yes_mood', 'hysterical');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '55', 'm_yes_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '56', 'm_will_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '57', 'm_will_negotiate_mood', 'thoughtful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '58', 'm_will_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '59', 'm_waiting_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '60', 'm_waiting_mood', 'disgusted');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '61', 'm_waiting_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '62', 'm_thank_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '63', 'm_thank_negotiate_mood', 'casual');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '64', 'm_thank_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '65', 'm_thank_combat_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '66', 'm_thank_combat_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '67', 'm_thank_coombat_act', 'shocked');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '68', 'm_sorry_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '69', 'm_sorry_mood', 'coy');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '70', 'm_sorry_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '71', 'm_saved_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '72', 'm_saved_mood', 'bubbly');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '73', 'm_saved_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '74', 'm_no_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '75', 'm_no_negotiate_mood', 'reluctant');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '76', 'm_no_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '77', 'm_negotiate_greet_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '78', 'm_negotiate_greet_mood', 'ambivalent');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '79', 'm_negotiate_greet_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '80', 'm_maybe_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '81', 'm_maybe_mood', 'scared');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '82', 'm_maybe_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '83', 'm_greet_a_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '84', 'm_greet_a_mood', 'scolding');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '85', 'm_greet_a_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '88', 'm_greet_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '89', 'm_betrayed_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '90', 'm_betrayed_mood', 'whiny');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '91', 'm_betrayed_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '92', 'a_yes_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '93', 'a_yes_mood', 'hopeful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '94', 'a_yes_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '95', 'a_waiting_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '96', 'a_waiting_mood', 'annoyed');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '97', 'a_waiting_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '98', 'a_tired_waiting_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '99', 'a_tired_waiting_mood', 'surly');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '100', 'a_tired_waiting_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '101', 'a_thank_negotiate_again_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '102', 'a_thank_negotiate_again_mood', 'thankful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '103', 'a_thank_negotiate_again_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '104', 'a_thank_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '105', 'a_thank_negotiate_mood', 'cheerful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '106', 'a_thank_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '107', 'a_thank_combat_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '108', 'a_thank_combat_mood', 'shocked');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '109', 'a_thank_combat_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '110', 'a_respond_m_1_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '111', 'a_respond_m_1_mood', 'indignant');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '112', 'a_respond_m_1_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '113', 'a_no_progress_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '114', 'a_no_progress_mood', 'vengeful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '115', 'a_no_progress_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '116', 'a_no_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '117', 'a_no_negotiate_mood', 'confident');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '118', 'a_no_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '119', 'a_no_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '120', 'a_no_mood', 'contemptuous');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '121', 'a_no_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '122', 'a_negotiate_fail_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '123', 'a_negotiate_fail_mood', 'angry');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '124', 'a_negotiate_fail_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '125', 'a_maybe_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '126', 'a_maybe_mood', 'frustrated');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '127', 'a_maybe_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '130', 'a_greet_rebel_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '131', 'a_greet_mad_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '132', 'a_greet_mad_mood', 'angry');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '133', 'a_greet_mad_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '134', 'a_greet_m_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '135', 'a_greet_m_mood', 'cheerful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '136', 'a_greet_m_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '139', 'a_greet_imperial_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '142', 'a_greet_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '143', 'a_decline_offer_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '144', 'a_decline_offer_mood', 'enraged');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '145', 'a_decline_offer_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '146', 'a_brushoff_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '147', 'a_brushoff_mood', 'suffering');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/girlfriend.stf', '148', 'a_brushoff_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '1', 'm_greet', 'You there, in the name of the Empire I implore you to aid me. My Stormtroopers have been ambushed by Rebels. I barely escaped, but I think they are coming after me. Protect me.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '2', 'a_greet', 'This Imperial was responsible for a raid that killed 16 of our friends. Another 35 were captured and sent to an Imperial prison somewhere. Their only crime was refusal to pay an unscheduled tax. Will you let us do what we came her to do?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '3', 'm_yes', 'Excellent. We shall teach them a lesson they won\'t soon forget.  ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '4', 'm_no', 'How dare you? It is your duty to the Empire to help your military when asked. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '5', 'm_thank_combat', 'Excellent. Those rebels got exactly what they deserved.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '7', 'a_greet_rebel', 'Hello friend, we\'ve tracked down this Imperial dog. He\'s the one responsible for the raid on a small colony on Selaggis. They couldn\'t pay a tax, so he ordered an attack on them. Killed 16 and hauled off another 35 to some Imperial prison. Will you let us handle this? ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '8', 'a_greet_imperial', 'Get out of our way. This Imperial is responsible for the deaths of 16 people and the imprisonment of 35 others. We\'re not looking for trouble with you, just him. You can help us if you want. Will you get out of our way?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '9', 'm_maybe', 'It is understandable that you wouldn\'t want to confront people who bested a squad of Stormtroopers. Perhaps you could find a diplomatic way of protecting me.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '10', 'a_no', 'So you support what he did? You are pathetic.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '11', 'a_yes', 'Good choice. Ok, let\'s finish this.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '12', 'a_maybe', 'You\'re right. We\'ve already taken out his Stormtroopers. You get him to authorize the release of all 35 imprisoned colonists and pay reparations for the families of the deceased and we\'ll let him go.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '13', 'a_no_negotiate', 'Yes. It does need to end in bloodshed.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '14', 'm_will_negotiate', 'I would never be allowed to release them or pay any credits. I could give them the location of their friends and the authorization codes to open the cells. It\'s a minimum security prison so they should have little trouble releasing them. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '15', 'm_no_negotiate', 'Release the prisoners? That is absurd. I don\'t have the authority to do that.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '16', 'a_decline_offer', 'Oh right, we\'re going to trust him to send us to an Imperial Prison with some bogus authorization codes. Do we look stupid?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '17', 'a_accept_offer', 'At least we can try to save the rest of the colonists. Fine, we accept.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '18', 'm_negotiate_greet', 'I will transmit the codes to their datapads now. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '19', 'response_yes', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '20', 'response_no', 'No');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '21', 'response_maybe', 'Maybe');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '22', 'response_negotiate', 'Perhaps this doesn\'t need to end in more bloodshed. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '23', 'm_thank_negotiate', 'You\'ve saved my neck.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '24', 'm_waiting', 'Now let\'s how those scum deal with an ambush against them.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '25', 'a_greet_m', 'Thought you could run away?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '26', 'm_greet_a', 'This is your last change to surrender to me, rebels.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '27', 'a_respond_m_1', 'Last chance? We\'ve already taken out your \"elite\" troopers. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '29', 'a_thank_combat', 'One less Imperial to threaten innocent people. Thanks, pal.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '30', 'a_thank_negotiate', 'Thanks, you\'ve given us hope in rescuing our friends. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '32', 'minion_1', 'He\'s responsible for the death of my brother.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '33', 'minion_2', 'My wife has been imprisoned because of this Imperial scum. I don\'t even know where they are holding her.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '34', 'minion_3', 'I hate the Empire. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '35', 'minion_4', 'I don\'t like dealing out this kind of retribution but sometimes there doesn\'t seem to be any other way to get through to the Imperials.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '37', 'minion_5', 'This is my first mission with the Alliance. Finally I get to bring the fight directly to the Empire. I\'m hoping that I become famous someday, like Luke Skywalker.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '38', 'a_greet_mad', 'Watch out, he\'s got reinforcements!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '39', 'a_waiting', 'Surround him. We don\'t want him trying to get away this time.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '40', 'a_negotiate_fail', 'No more talk, he pays for his war crimes now.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '41', 'a_thank_negotiate_again', 'May the Force be with you. Let\' go.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '42', 'a_brushoff', 'Maybe one day you\'ll get your priorities straight and help the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '43', 'a_tired_waiting', 'This is for all the people who were killed because of you on Selaggis.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '44', 'a_no_progress', 'Look, you are just getting in our way here.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '47', 'm_saved', 'My superiors will be very happy with my report on this. You\'ve done well.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '48', 'm_betrayed', 'I should have known. You had the stench of the rebellion on you.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '49', 'm_sorry', 'What do you want, a medal? ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '50', 'a_accept_offer_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '51', 'a_accept_offer_mood', 'Optimistic');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '52', 'a_accept_offer_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '53', 'm_yes_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '54', 'm_yes_mood', 'Exuberant');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '55', 'm_yes_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '56', 'm_will_negotiate_chat', 'Concede');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '57', 'm_will_negotiate_mood', 'Reluctant');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '58', 'm_will_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '59', 'm_waiting_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '60', 'm_waiting_mood', 'Optimistic');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '61', 'm_waiting_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '62', 'm_thank_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '63', 'm_thank_negotiate_mood', 'Relieved');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '64', 'm_thank_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '65', 'm_thank_combat_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '66', 'm_thank_combat_mood', 'Proud');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '67', 'm_thank_combat_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '68', 'm_sorry_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '69', 'm_sorry_mood', 'Annoyed');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '70', 'm_sorry_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '71', 'm_saved_chat', 'state');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '72', 'm_saved_mood', 'Thankful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '73', 'm_saved_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '74', 'm_no_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '75', 'm_no_negotiate_mood', 'Contemptuous');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '76', 'm_no_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '77', 'm_negotiate_greet_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '78', 'm_negotiate_greet_mood', 'Clinical');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '79', 'm_negotiate_greet_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '80', 'm_maybe_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '81', 'm_maybe_mood', 'Courtly');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '82', 'm_maybe_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '83', 'm_greet_a_chat', 'State');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '84', 'm_greet_a_mood', 'Calm');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '85', 'm_greet_a_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '88', 'm_greet_act', 'beckon');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '89', 'm_betrayed_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '90', 'm_betrayed_mood', 'Spiteful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '91', 'm_betrayed_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '92', 'a_yes_chat', 'Reply');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '93', 'a_yes_mood', 'Friendly');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '94', 'a_yes_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '95', 'a_waiting_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '96', 'a_waiting_mood', 'Alert');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '97', 'a_waiting_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '98', 'a_tired_waiting_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '99', 'a_tired_waiting_mood', 'Vengeful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '100', 'a_tired_waiting_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '101', 'a_thank_negotiate_again_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '102', 'a_thank_negotiate_again_mood', 'Friendly');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '103', 'a_thank_negotiate_again_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '104', 'a_thank_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '105', 'a_thank_negotiate_mood', 'Warm');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '106', 'a_thank_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '107', 'a_thank_combat_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '108', 'a_thank_combat_mood', 'Happy');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '109', 'a_thank_combat_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '110', 'a_respond_m_1_chat', 'Retort');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '111', 'a_respond_m_1_mood', 'Shocked');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '112', 'a_respond_m_1_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '113', 'a_no_progress_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '114', 'a_no_progress_mood', 'Frustrated');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '115', 'a_no_progress_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '116', 'a_no_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '117', 'a_no_negotiate_mood', 'Emotional');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '118', 'a_no_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '119', 'a_no_chat', 'Reply');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '120', 'a_no_mood', 'Disgusted');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '121', 'a_no_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '122', 'a_negotiate_fail_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '123', 'a_negotiate_fail_mood', 'Vengeful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '124', 'a_negotiate_fail_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '125', 'a_maybe_chat', 'Reply');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '126', 'a_maybe_mood', 'Diplomatic');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '127', 'a_maybe_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '130', 'a_greet_rebel_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '131', 'a_greet_mad_chat', 'Shout');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '132', 'a_greet_mad_mood', 'Wary');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '133', 'a_greet_mad_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '134', 'a_greet_m_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '135', 'a_greet_m_mood', 'Disdainful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '136', 'a_greet_m_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '139', 'a_greet_imperial_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '142', 'a_greet_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '143', 'a_decline_offer_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '144', 'a_decline_offer_mood', 'Sarcastic');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '145', 'a_decline_offer_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '146', 'a_brushoff_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '147', 'a_brushoff_mood', 'Cynical');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '148', 'a_brushoff_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '149', 'm_rejected', 'I should have known.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '150', 'm_rejected_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '151', 'm_rejected_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/imperial_rebels.stf', '152', 'm_rejected_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '1', 'm_greet', 'Help me! Please! I\'m being chased by crazy women who want to kill me. I know I know, I should be able to handle myself against them, but I\'m more of a lover than a fighter. Help me fend them off.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '2', 'a_greet', 'This creep told me I was his only love. He strung me along for years. All the while he was seeing all of these other women. Well we finally found out about each other. At first we argued with each other, but then we realized we all had a common enemy - him! Now get out of our way so we can teach this two-timer a lesson.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '3', 'm_yes', 'You see they were lovers of mine at one time. Sometimes love goes bad, real bad. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '4', 'm_no', 'You don\'t understand. These women are going to kill me, as in cold blooded murder. My only crime is that I loved them.all.at the same time. I\'m in so much trouble.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '5', 'm_thank_combat', 'I told you not to hurt them. I really did care for them, all of them, I just didn\'t want to face their wrath. They were just so angry. I feel terrible now.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '7', 'a_greet_rebel', 'This creep told me I was his only love. He strung me along for years. All the while he was seeing all of these other women. Well we finally found out about each other. At first we argued with each other, but then we realized we all had a common enemy - him! Now get out of our way so we can teach this two-timer a lesson.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '8', 'a_greet_imperial', 'This creep told me I was his only love. He strung me along for years. All the while he was seeing all of these other women. Well we finally found out about each other. At first we argued with each other, but then we realized we all had a common enemy - him! Now get out of our way so we can teach this two-timer a lesson.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '9', 'm_maybe', 'Maybe you can reason with them. You see, they were my lovers, well, until they found out about each other. I didn\'t mean to hurt them, but now they have it in for me.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '10', 'a_no', 'You\'re going to take his side?! Oh you make me so mad!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '11', 'a_yes', 'Good because he\'s going to wish he never met any of us! ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '12', 'a_maybe', 'What can he possibly say at this point for us to want to handle this peacefully? Why don\'t you ask him?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '13', 'a_no_negotiate', 'He broke my heart. He was dishonest with all of us. No, we\'ve decided to teach him not to play with any woman\'s affections. Now get out of our way!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '14', 'm_will_negotiate', 'What if I promise to never see the other women again? I mean it this time. Those other women meant nothing to me. I would do anything for her forgiveness. I would do what ever she asked of me to regain her trust and love. Tell her that, would you?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '15', 'm_no_negotiate', 'It\'s no use. I\'ve tried to explain it to them. I loved them all differently, you see. For some reason they just don\'t understand that. Thanks for trying, but there is no point. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '16', 'a_decline_offer', 'I\'m sick of his smooth talking. I fell for those lines too many times. It is over this time and there is nothing he can do or say to change that. Oh, he makes me so mad!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '17', 'a_accept_offer', 'He would do anything for my love? He really just loves me and not those others? I don\'t know if I could trust him again, but I\'ve put so much into this relationship I can\'t just turn my back on it. I\'ll think about it. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '18', 'm_negotiate_greet', 'Well, is she going for it? ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '19', 'response_yes', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '20', 'response_no', 'No');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '21', 'response_maybe', 'Maybe');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '22', 'response_negotiate', 'Whoa, maybe you should try to solve this peacefully. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '23', 'm_thank_negotiate', 'Wow, that was close. You just saved my life, I mean, my relationship.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '24', 'm_waiting', 'Here they come. Remember, I don\'t want to hurt them. Just scare them off.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '25', 'a_greet_m', 'There you are. Did you really think you get away with cheating on me, let alone all of us? ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '26', 'm_greet_a', 'Hey darling, I didn\'t mean to cause you pain. They don\'t mean anything to me. You are my true love.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '27', 'a_respond_m_1', 'You\'re not going to talk your way out of this one. We\'ve been talking. I finally understand the big picture. We all do.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '29', 'a_thank_combat', 'I didn\'t mean for that to happen. What have we done? I just wanted to teach him a little lesson for hurting me. I feel terrible.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '30', 'a_thank_negotiate', 'I need some time by myself to think things over. He\'s going to have his work cut out for him if he\'s going to earn my trust again.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '32', 'minion_1', 'He promised he would marry me one day.  ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '33', 'minion_2', 'He promised we would go off world together and explore the galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '34', 'minion_3', 'He promised me the moon and stars and nebulas and black holes and just about everything else there is. I can\'t believe he is such a liar! ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '35', 'minion_4', 'He promised me that I was the only one for him. He said we were meant to be together. He said he was going to leave that other woman for me. Now I find out he was cheating on me too. I hate him! ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '37', 'minion_5', 'He didn\'t promise me anything. I knew he was scum from the first moment I met him. I can\'t believe my sister fell for his act. He\'s going to pay for messing with her.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '38', 'a_greet_mad', 'There you are. You think you can get someone else to protect you from us? ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '39', 'a_waiting', 'It\'s time you paid for what you\'ve done to us, you lecherous louse!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '40', 'a_negotiate_fail', 'I don\'t want to hear it! ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '41', 'a_thank_negotiate_again', 'Then again, he did say he loves me. Maybe I\'ve been too hard on him.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '42', 'a_brushoff', 'I don\'t know how I ever trusted him in the first place. Men, ugh! ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '43', 'a_tired_waiting', 'Let\'s teach him a lesson.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '44', 'a_no_progress', 'Leave us alone!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '47', 'm_saved', 'What have I done? I\'m going to die alone, I know it.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '48', 'm_betrayed', 'But I thought you were going to help me.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '49', 'm_sorry', 'The only thing I can give you is advice. If you are going to see more than one person at the same time, make certain they are on separate planets.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '50', 'a_accept_offer_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '51', 'a_accept_offer_mood', 'Interested');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '52', 'a_accept_offer_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '53', 'm_yes_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '54', 'm_yes_mood', 'Troubled');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '55', 'm_yes_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '56', 'm_will_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '57', 'm_will_negotiate_mood', 'wistful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '58', 'm_will_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '59', 'm_waiting_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '60', 'm_waiting_mood', 'Worried');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '61', 'm_waiting_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '62', 'm_thank_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '63', 'm_thank_negotiate_mood', 'Relieved');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '64', 'm_thank_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '65', 'm_thank_combat_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '66', 'm_thank_combat_mood', 'squeamish');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '67', 'm_thank_combat_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '68', 'm_sorry_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '69', 'm_sorry_mood', 'Philosophical');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '70', 'm_sorry_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '71', 'm_saved_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '72', 'm_saved_mood', 'Wounded');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '73', 'm_saved_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '74', 'm_no_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '75', 'm_no_negotiate_mood', 'Regretful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '76', 'm_no_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '77', 'm_negotiate_greet_chat', 'whisper');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '78', 'm_negotiate_greet_mood', 'Discreet');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '79', 'm_negotiate_greet_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '80', 'm_maybe_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '81', 'm_maybe_mood', 'Frustrated');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '82', 'm_maybe_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '83', 'm_greet_a_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '84', 'm_greet_a_mood', 'Romantic');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '85', 'm_greet_a_act', 'beam');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '88', 'm_greet_act', 'wave');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '89', 'm_betrayed_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '90', 'm_betrayed_mood', 'Puzzled');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '91', 'm_betrayed_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '92', 'a_yes_chat', 'Reply');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '93', 'a_yes_mood', 'Fanatical');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '94', 'a_yes_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '95', 'a_waiting_chat', 'vow');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '96', 'a_waiting_mood', 'Scornful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '97', 'a_waiting_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '98', 'a_tired_waiting_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '99', 'a_tired_waiting_mood', 'Malevolent');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '100', 'a_tired_waiting_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '101', 'a_thank_negotiate_again_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '102', 'a_thank_negotiate_again_mood', 'Dreamy');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '103', 'a_thank_negotiate_again_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '104', 'a_thank_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '105', 'a_thank_negotiate_mood', 'Uncertain');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '106', 'a_thank_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '107', 'a_thank_combat_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '108', 'a_thank_combat_mood', 'Confused');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '109', 'a_thank_combat_act', 'cry');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '110', 'a_respond_m_1_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '111', 'a_respond_m_1_mood', 'Scolding');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '112', 'a_respond_m_1_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '113', 'a_no_progress_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '114', 'a_no_progress_mood', 'Cold');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '115', 'a_no_progress_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '116', 'a_no_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '117', 'a_no_negotiate_mood', 'Emotional');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '118', 'a_no_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '119', 'a_no_chat', 'Reply');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '120', 'a_no_mood', 'Contemptuous');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '121', 'a_no_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '122', 'a_negotiate_fail_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '123', 'a_negotiate_fail_mood', 'Scornful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '124', 'a_negotiate_fail_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '125', 'a_maybe_chat', 'reply');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '126', 'a_maybe_mood', 'Uncertain');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '127', 'a_maybe_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '130', 'a_greet_rebel_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '131', 'a_greet_mad_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '132', 'a_greet_mad_mood', 'Spiteful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '133', 'a_greet_mad_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '134', 'a_greet_m_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '135', 'a_greet_m_mood', 'Spiteful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '136', 'a_greet_m_act', 'accuse');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '139', 'a_greet_imperial_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '142', 'a_greet_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '143', 'a_decline_offer_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '144', 'a_decline_offer_mood', 'Bitter');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '145', 'a_decline_offer_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '146', 'a_brushoff_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '147', 'a_brushoff_mood', 'Bitter');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '148', 'a_brushoff_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '149', 'm_rejected', 'That\'s bad.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '150', 'm_rejected_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '151', 'm_rejected_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/lothario_exlovers.stf', '152', 'm_rejected_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '1', 'm_greet', 'Hello there. You may want to leave, there\'s going to be a fight. I\'ll probably be killed.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '2', 'a_greet', 'There\'s our little friend. Now it\'s time to show what happens when people abandon our gang!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '3', 'm_yes', 'Well, I used to belong to a swoop gang. I\'ve decided that\'s no life for me--too violent and anarchistic. But they say that once you join, you\'re in for life. So since I quit, my former friends are coming to kill me. Goes to show that they\'re not the sort of group I want to belong to! You want to try to talk them out of it?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '4', 'm_no', 'That\'s OK. I\'m resigned to it.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '5', 'm_thank_combat', 'Did you really have to start a fight? I told you, I\'m giving up violence. Everywhere I go, I\'m surrounded by thugs. Get away from me.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '7', 'a_greet_rebel', 'Hidin\' with a fellow Rebel won\'t do ya any good! We all hate the Empire, but that\'s nothin\' compared to breakin\' a sworn blood oath!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '8', 'a_greet_imperial', 'Yer hiding out with the Empire, eh? Well, even Imperial law has gotta give way to a forsworn oathbreaker!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '9', 'm_maybe', 'Well, maybe they\'ll have a change of heart. I doubt it though.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '10', 'a_no', 'Look, oathbreakers don\'t deserve to live. You\'ll regret making this choice.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '11', 'a_yes', 'Get on out of here, then. We\'ll settle this amongst ourselves.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '12', 'a_maybe', 'If yer thinkin\' of persuadin\' us not to kill the oathbreaker, then you better start talkin\' fast.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '13', 'a_no_negotiate', 'An oath is an oath. Get out of the way.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '14', 'm_will_negotiate', 'What if I take a second oath to never hurt anyone? Would you leave me alone then? I\' still be a member, just... useless to you.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '15', 'm_no_negotiate', 'I will not violate my beliefs. Violence is evil.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '16', 'a_decline_offer', 'That\'s not near enough to satisfy th\' demands of a blood oath.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '17', 'a_accept_offer', 'Never hurt anyone, huh? You WOULD be useless. Even more useless than now.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '18', 'm_negotiate_greet', 'Do I need to prepare myself to die now?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '19', 'response_yes', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '20', 'response_no', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '21', 'response_maybe', 'Maybe.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '22', 'response_negotiate', 'Can we talk about this before any blood is shed?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '23', 'm_thank_negotiate', 'Thank you so much! I would have just laid down and died for them, I suppose. But I would have died knowing I did the right thing.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '24', 'm_waiting', 'Well, they should be here soon. They knew where I was going--I practically told them when I left.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '25', 'a_greet_m', 'There ya are! You can\'t just walk away from us that way! You swore a sacred oath, and you know the penalty for breakin\' your word!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '26', 'm_greet_a', 'I\'m sorry, but I can\'t keep on beating up peaceful people for money. It just doesn\'t feel right anymore.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '27', 'a_respond_m_1', 'All high \'n\' mighty now are we? You never seemed to mind before. I know, you say ye\'ve changed. That\'s a load of bantha poodoo if you ask me.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '29', 'a_thank_combat', 'Well, that\'s an oath satisfied. I\'m glad ya know the meanin\' of honor, stranger.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '30', 'a_thank_negotiate', 'I\'m glad we didn\'t have to kill after all. Tell the truth, we usually just rough folks up a bit, take mone credits, ya know? And killin\' a former friend... well, it felt wrong.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '32', 'minion_1', 'Oathbreaker!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '33', 'minion_2', 'Let\'s get this over with...');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '34', 'minion_3', 'Do we really have ta do this?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '35', 'minion_4', 'Once in the gang, always in the gang!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '37', 'minion_5', 'I say we chop his head off anyway.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '38', 'a_greet_mad', 'What, are you another one of these pacifist types? Yer in the wrong place at the wrong time!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '39', 'a_waiting', 'Time\'s movin\' along here... we got swoops ta ride and credits to steal, so let\'s get on with it.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '40', 'a_negotiate_fail', 'What a waste o\' time. Let\'s kill the oathbreaker.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '41', 'a_thank_negotiate_again', 'I already said thanks to ya, and that\'s enough. No, ya can\'t join the gang, we\'re full up plus you like talkin\' too much.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '42', 'a_brushoff', 'You want a reward? A REWARD? You realize this was a friend of ours? Someone we killed only because they broke their solemn word? I have half a mind ta beat you up... get outta here and leave us be.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '43', 'a_tired_waiting', 'I hate ta do this... you were a friend of ours, before. But it\'s time. C\'mon, everybody. Attack!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '44', 'a_no_progress', 'I\'m not in the mood for an interferin\' fool stickin\' their nose in private business.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '47', 'm_saved', 'And that\'s it? I\'m safe?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '48', 'm_betrayed', 'You... you\'re letting them kill me? Just like that? Of all the heartless... you know what, to heck with non-violence. YOU deserve to be beat up.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '49', 'm_sorry', 'I can\'t offer any payment. If you can talk them out of it, wonderful. Otherwise, I\'m resigned to it.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '50', 'a_accept_offer_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '51', 'a_accept_offer_mood', 'contemptuous');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '52', 'a_accept_offer_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '53', 'm_yes_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '54', 'm_yes_mood', 'haughty');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '55', 'm_yes_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '56', 'm_will_negotiate_chat', 'hypothesize');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '57', 'm_will_negotiate_mood', 'sincere');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '58', 'm_will_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '59', 'm_waiting_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '60', 'm_waiting_mood', 'patient');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '61', 'm_waiting_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '62', 'm_thank_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '63', 'm_thank_negotiate_mood', 'thankful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '64', 'm_thank_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '65', 'm_thank_combat_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '66', 'm_thank_combat_mood', 'disgusted');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '67', 'm_thank_coombat_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '68', 'm_sorry_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '69', 'm_sorry_mood', 'pessimistic');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '70', 'm_sorry_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '71', 'm_saved_chat', 'stutter');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '72', 'm_saved_mood', 'confused');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '73', 'm_saved_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '74', 'm_no_negotiate_chat', 'preach');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '75', 'm_no_negotiate_mood', 'condescending');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '76', 'm_no_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '77', 'm_negotiate_greet_chatinquire', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '78', 'm_negotiate_greet_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '79', 'm_negotiate_greet_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '80', 'm_maybe_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '81', 'm_maybe_mood', 'doubtful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '82', 'm_maybe_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '83', 'm_greet_a_chat', 'intone');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '84', 'm_greet_a_mood', 'lofty');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '85', 'm_greet_a_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '88', 'm_greet_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '89', 'm_betrayed_chat', 'bleat');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '90', 'm_betrayed_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '91', 'm_betrayed_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '92', 'a_yes_chat', 'retort');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '93', 'a_yes_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '94', 'a_yes_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '95', 'a_waiting_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '96', 'a_waiting_mood', 'suspicious');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '97', 'a_waiting_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '98', 'a_tired_waiting_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '99', 'a_tired_waiting_mood', 'regretful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '100', 'a_tired_waiting_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '101', 'a_thank_negotiate_again_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '102', 'a_thank_negotiate_again_mood', 'obnoxious');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '103', 'a_thank_negotiate_again_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '104', 'a_thank_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '105', 'a_thank_negotiate_mood', 'guilty');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '106', 'a_thank_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '107', 'a_thank_combat_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '108', 'a_thank_combat_mood', 'content');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '109', 'a_thank_combat_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '110', 'a_respond_m_1_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '111', 'a_respond_m_1_mood', 'indignant');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '112', 'a_respond_m_1_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '113', 'a_no_progress_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '114', 'a_no_progress_mood', 'annoyed');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '115', 'a_no_progress_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '116', 'a_no_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '117', 'a_no_negotiate_mood', 'fanatical');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '118', 'a_no_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '119', 'a_no_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '120', 'a_no_mood', 'cruel');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '121', 'a_no_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '122', 'a_negotiate_fail_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '123', 'a_negotiate_fail_mood', 'cold');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '124', 'a_negotiate_fail_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '125', 'a_maybe_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '126', 'a_maybe_mood', 'sarcastic');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '127', 'a_maybe_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '130', 'a_greet_rebel_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '131', 'a_greet_mad_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '132', 'a_greet_mad_mood', 'bloodthirsty');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '133', 'a_greet_mad_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '134', 'a_greet_m_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '135', 'a_greet_m_mood', 'vengeful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '136', 'a_greet_m_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '139', 'a_greet_imperial_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '142', 'a_greet_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '143', 'a_decline_offer_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '144', 'a_decline_offer_mood', 'callous');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '145', 'a_decline_offer_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '146', 'a_brushoff_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '147', 'a_brushoff_mood', 'depressed');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/oathbreaker.stf', '148', 'a_brushoff_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '1', 'm_greet', 'You there, I\'ve got some Imperials chasing my tail. You\'re going to help me fight them off. You understand? If you don\'t, I\'ll make sure you regret it. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '2', 'a_greet', 'We\'ve been chasing after this no good pirate for several days now. After hijacking a Star Destroyer captain\'s personal shuttle, he used it to break into the officer\'s home estate on Coruscant. Made a mess of the place and stole a lot of valuables including sensitive documents. I assume you\'ll be smart and not help this low life.  ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '3', 'm_yes', 'You\'re smart. They should be here soon. Get your weapon ready.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '4', 'm_no', 'Oh you are going to wish you didn\'t say that. I\'ll deal with you after I\'m done with the Imps.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '5', 'm_thank_combat', 'It is a good thing you decided to help me blast them. Now get out of my sight.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '7', 'a_greet_rebel', 'We\'ve been chasing after this no good pirate for several days now. After hijacking a Star Destroyer captain\'s personal shuttle, he used it to break into the officer\'s home estate on Coruscant. Made a mess of the place and stole a lot of valuables including sensitive documents. I have no problem fighting you too if need be, but I assume you\'ll be smart and not help this low life.  ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '8', 'a_greet_imperial', 'We\'ve been chasing after this no good pirate for several days now. After hijacking a Star Destroyer captain\'s personal shuttle, he used it to break into the officer\'s home estate on Coruscant. Made a mess of the place and stole a lot of valuables including sensitive documents. Do your duty to the Empire and let us bring him to justice.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '9', 'm_maybe', 'Maybe? You got some plan to help me get away from them? You had better or I\'m going to deal with you when I\'m done with them.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '10', 'a_no', 'So you are just another pirate scum. Get them!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '11', 'a_yes', 'Good choice.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '12', 'a_maybe', 'The captain would definitely prefer having his valuables back. Go see if you can get that pirate to return the goods and pay for damages done.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '13', 'a_no_negotiate', 'The Empire does not negotiate with pirates, ever. This is how we deal with their kind.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '14', 'm_will_negotiate', 'Really? Hmm. I\'m done playing with that shuttle anyway. Sure, I\'ll return all the stuff. I\'ll even pay their damages, but they had better forget they ever saw me.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '15', 'm_no_negotiate', 'And ruin my reputation?! What do you take me for? Now help me blast these Imps or else.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '16', 'a_decline_offer', 'He\'s a criminal and he must answer to the Empire for his crimes. There will be no deal.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '17', 'a_accept_offer', 'Very well, we\'ll work out the details with him. He had better return every last item, or he won\'t live to regret it.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '18', 'm_negotiate_greet', 'Did your little plan work, or am I going to need to get violent after all?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '19', 'response_yes', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '20', 'response_no', 'No');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '21', 'response_maybe', 'Maybe');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '22', 'response_negotiate', 'If you kill him, you won\'t get those documents back. Maybe I can help negotiate this matter? ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '23', 'm_thank_negotiate', 'Well, I think I would have rather this ended with me blasting them off the face of this planet, but I suppose clearing my record is worth it this time. Thanks for your quick thinking.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '24', 'm_waiting', 'I think they\'re almost here. Do exactly as I say.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '25', 'a_greet_m', 'We have you now. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '26', 'm_greet_a', 'You got nothing, Imps! You think you can really take us down? ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '27', 'a_respond_m_1', 'Us? I see. Are you really with this good for nothing pirate?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '29', 'a_thank_combat', 'You\'ve done a great service to the Empire today. We\'ll rid the galaxy of these unsavory types for good one day.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '30', 'a_thank_negotiate', 'The Captain will be very pleased if this deal works out. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '32', 'minion_1', 'Another worthless pirate. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '33', 'minion_2', 'The Captain is going to be pleased when we take care of this.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '34', 'minion_3', 'Are you with him? ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '35', 'minion_4', 'I was there when he stole the shuttle. He\'s definitely bold, but not too smart.  ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '37', 'minion_5', 'Waiting for orders to shoot.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '38', 'a_greet_mad', 'Pirates! Take them all! ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '39', 'a_waiting', 'Hey, I\'m talking to you.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '40', 'a_negotiate_fail', 'You just can\'t negotiate with pirates. It\'s not worth it. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '41', 'a_thank_negotiate_again', 'We\'ll get a full list of items and damages. If he lives up to his end, we\'ll look the other way for now.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '42', 'a_brushoff', 'You are lucky the Empire is here to protect you from pirates like him.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '43', 'a_tired_waiting', 'He\'s just trying to stall. Get him!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '44', 'a_no_progress', 'You are not wanted here anymore.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '47', 'm_saved', 'Heh, Imps can\'t hit nothing. I may get wasted by a bounty hunter someday, but never by anyone working for the Empire, believe me when I say that.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '48', 'm_betrayed', 'I warned you. Now I\'m going to have to kill you too.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '49', 'm_sorry', 'What are you still doing here? I don\'t need you any more. Shove off.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '50', 'a_accept_offer_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '51', 'a_accept_offer_mood', 'Content');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '52', 'a_accept_offer_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '53', 'm_yes_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '54', 'm_yes_mood', 'confident');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '55', 'm_yes_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '56', 'm_will_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '57', 'm_will_negotiate_mood', 'Interested');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '58', 'm_will_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '59', 'm_waiting_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '60', 'm_waiting_mood', 'Firm');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '61', 'm_waiting_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '62', 'm_thank_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '63', 'm_thank_negotiate_mood', 'Petulant');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '64', 'm_thank_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '65', 'm_thank_combat_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '66', 'm_thank_combat_mood', 'Obnoxious');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '67', 'm_thank_combat_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '68', 'm_sorry_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '69', 'm_sorry_mood', 'Surly');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '70', 'm_sorry_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '71', 'm_saved_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '72', 'm_saved_mood', 'Cocky');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '73', 'm_saved_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '74', 'm_no_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '75', 'm_no_negotiate_mood', 'Offended');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '76', 'm_no_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '77', 'm_negotiate_greet_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '78', 'm_negotiate_greet_mood', 'Haughty');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '79', 'm_negotiate_greet_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '80', 'm_maybe_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '81', 'm_maybe_mood', 'Wary');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '82', 'm_maybe_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '83', 'm_greet_a_chat', 'boast');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '84', 'm_greet_a_mood', 'Cocky');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '85', 'm_greet_a_act', 'brave');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '88', 'm_greet_act', 'snarl');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '89', 'm_betrayed_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '90', 'm_betrayed_mood', 'Belligerent');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '91', 'm_betrayed_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '92', 'a_yes_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '93', 'a_yes_mood', 'Polite');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '94', 'a_yes_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '95', 'a_waiting_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '96', 'a_waiting_mood', 'Annoyed');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '97', 'a_waiting_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '98', 'a_tired_waiting_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '99', 'a_tired_waiting_mood', 'Angry');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '100', 'a_tired_waiting_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '101', 'a_thank_negotiate_again_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '102', 'a_thank_negotiate_again_mood', 'Cynical');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '103', 'a_thank_negotiate_again_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '104', 'a_thank_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '105', 'a_thank_negotiate_mood', 'Thankful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '106', 'a_thank_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '107', 'a_thank_combat_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '108', 'a_thank_combat_mood', 'Dramatic');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '109', 'a_thank_combat_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '110', 'a_respond_m_1_chat', 'reply');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '111', 'a_respond_m_1_mood', 'Doubtful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '112', 'a_respond_m_1_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '113', 'a_no_progress_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '114', 'a_no_progress_mood', 'Indifferent');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '115', 'a_no_progress_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '116', 'a_no_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '117', 'a_no_negotiate_mood', 'Stubborn');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '118', 'a_no_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '119', 'a_no_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '120', 'a_no_mood', 'Angry');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '121', 'a_no_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '122', 'a_negotiate_fail_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '123', 'a_negotiate_fail_mood', 'Frustrated');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '124', 'a_negotiate_fail_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '125', 'a_maybe_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '126', 'a_maybe_mood', 'Diplomatic');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '127', 'a_maybe_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '130', 'a_greet_rebel_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '131', 'a_greet_mad_chat', 'shout');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '132', 'a_greet_mad_mood', 'Alert');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '133', 'a_greet_mad_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '134', 'a_greet_m_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '135', 'a_greet_m_mood', 'Serious');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '136', 'a_greet_m_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '139', 'a_greet_imperial_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '142', 'a_greet_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '143', 'a_decline_offer_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '144', 'a_decline_offer_mood', 'Contemptuous');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '145', 'a_decline_offer_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '146', 'a_brushoff_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '147', 'a_brushoff_mood', 'Scolding');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '148', 'a_brushoff_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '149', 'm_rejected', 'You\'ll regret that.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '150', 'm_rejected_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '151', 'm_rejected_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_imperials.stf', '152', 'm_rejected_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '1', 'm_greet', 'So you finally found me. Well, I\'m not about to go down without a fight.  Wait a minute. You don\'t look like a rebel to me. I\'ve got some lousy rebels after me. Want to help me ambush them? I could make it worth your while. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '2', 'a_greet', 'This pirate stole a very valuable droid from the Alliance. All we want to know is where it is. If he doesn\'t tell us soon, we\'re going to have to force it out of him. Are you going to let us have him?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '3', 'm_yes', 'That\'s the best news I\'ve heard all day. There are going to be a couple of them coming any minute now. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '4', 'm_no', 'Hmm, like I thought. You are with the rebels after all. I\'m warning you, don\'t mess with me.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '5', 'm_thank_combat', 'You just saved my life. I owe you one. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '7', 'a_greet_rebel', 'This pirate stole a very valuable droid from the Alliance. It contains sensitive information on where some of our forces are hiding. All we want to know is where it is. If he doesn\'t tell us soon, we\'re going to have to force it out of him. Are you going to let us have him?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '8', 'a_greet_imperial', 'This pirate stole a very valuable droid from us. All we want to know is where it is. If he doesn\'t tell us soon, we\'re going to have to force it out of him. I can tell you don\'t like us, but I doubt you want to help this pirate either. Are you going to let us have him?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '9', 'm_maybe', 'Look, unless you got something special up your sleeve, when those rebels show up there are going to be some fireworks. If you don\'t think you can talk them down, I\'d get out of here if I were you.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '10', 'a_no', 'Oh, I didn\'t realize you were a pirate too. Looks like we stumbled into an ambush.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '11', 'a_yes', 'Thank you. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '12', 'a_maybe', 'All we want is to know where the R4 is and who might have had access to its memory banks. If you think you can get him to tell us, we would be most appreciative.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '13', 'a_no_negotiate', 'This is between us and him. We don\'t need a third party getting involved.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '14', 'm_will_negotiate', 'I can\'t tell them the name of my fence, but I can assure you the droid was scrapped for parts. Any information it had is gone now.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '15', 'm_no_negotiate', 'I told you, the droid is gone and I\'m not going to tell them the name of my fence. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '16', 'a_decline_offer', 'That\'s not good enough. The information was too important to leave to his word. He needs to tell us his contact\'s name so we can verify it for ourselves. Looks like we\'re going to have to force it out of him.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '17', 'a_accept_offer', 'Looks like we\'ll have to accept his word on this. What choice do we have?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '18', 'm_negotiate_greet', 'Well, what did they say? ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '19', 'response_yes', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '20', 'response_no', 'No');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '21', 'response_maybe', 'Maybe');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '22', 'response_negotiate', 'Sounds like you need a mediator here. Perhaps I can talk him into giving you what you want. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '23', 'm_thank_negotiate', 'Whew, that was close. I thought they were going to try to fry me. Thanks for your quick thinking.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '24', 'm_waiting', 'Get ready. With your help, I think we\'ve got the upper hand on those nerf-herders.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '25', 'a_greet_m', 'Hold it right there. We don\'t want to have to blast you. All we want is to know where our R4 unit is. When you hijacked that Alliance transport in the Corporate Sector, you took made off with a lot of our stuff. All we want is the droid.  ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '26', 'm_greet_a', 'You chased me halfway across the galaxy for a droid? You\'re crazy. I sold that piece of junk as scrap metal. Looks like you are out of luck. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '27', 'a_respond_m_1', 'I think you\'re the one out of luck today. If you can\'t help us then the galaxy could do with one less pirate. Tell us where you sold the R4 unit.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '29', 'a_thank_combat', 'That\'s great. Now we\'ll never find out for sure what happened to the droid. Let\'s hope the information it carried doesn\'t fall into the hands of the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '30', 'a_thank_negotiate', 'This isn\'t what I wanted to hear, but thanks for getting the information out of that pirate.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '32', 'minion_1', 'This pirate attacked an unarmed transport ship.  ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '33', 'minion_2', 'We can\'t trust him.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '34', 'minion_3', 'The Empire is bad enough, but we also have to deal with heinous pirates like this too. Sometimes it doesn\'t feel like there is much hope for this galaxy. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '35', 'minion_4', 'It\'s my fault. I was supposed to protect the R4 unit at any cost. If I hadn\'t have gotten caught up trying to help some people get past an Imperial blockade, I could have protected the transport better.  ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '37', 'minion_5', 'If we only knew exactly what he did with our droid.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '38', 'a_greet_mad', 'There\'s more than one of them. It\'s a trap! ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '39', 'a_waiting', 'Well, what\'s it going to be? Are you going to tell us where you sold the droid?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '40', 'a_negotiate_fail', 'So much for asking nicely. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '41', 'a_thank_negotiate_again', 'We can\'t take the chance that the information that R4 unit was carrying was destroyed. I need send an alert to my commander.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '42', 'a_brushoff', 'You weren\'t very much help there. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '43', 'a_tired_waiting', 'He\'s not talking. Looks like we\'re going to have to find another way to motivate him to tell us where the R4 unit is.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '44', 'a_no_progress', 'Please go away, I\'m busy here.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '47', 'm_saved', 'Those rebels are worse than the Empire sometimes. You knock off one of their little transport ships and they come after you in force. Thanks for your help.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '48', 'm_betrayed', 'So you are with the rebels after all. I knew it.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '49', 'm_sorry', 'Oh yeah, I said I\'d make it worth your while. Well, I don\'t have anything on me right now. I lost a lot of credits last night at the Sabacc tables. Tell you what, if I ever come across you again and you need help, well, I\'ll be there for you.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '50', 'a_accept_offer_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '51', 'a_accept_offer_mood', 'Reluctant');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '52', 'a_accept_offer_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '53', 'm_yes_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '54', 'm_yes_mood', 'Adventurous');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '55', 'm_yes_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '56', 'm_will_negotiate_chat', 'plead');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '57', 'm_will_negotiate_mood', 'Defensive');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '58', 'm_will_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '59', 'm_waiting_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '60', 'm_waiting_mood', 'Mischievous');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '61', 'm_waiting_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '62', 'm_thank_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '63', 'm_thank_negotiate_mood', 'Relieved');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '64', 'm_thank_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '65', 'm_thank_combat_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '66', 'm_thank_combat_mood', 'Relieved');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '67', 'm_thank_combat_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '68', 'm_sorry_chat', 'promise');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '69', 'm_sorry_mood', 'careless');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '70', 'm_sorry_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '71', 'm_saved_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '72', 'm_saved_mood', 'Whiny');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '73', 'm_saved_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '74', 'm_no_negotiate_chat', 'state');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '75', 'm_no_negotiate_mood', 'Offended');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '76', 'm_no_negotiate_act', 'dismiss');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '77', 'm_negotiate_greet_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '78', 'm_negotiate_greet_mood', 'Worried');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '79', 'm_negotiate_greet_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '80', 'm_maybe_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '81', 'm_maybe_mood', 'Sincere');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '82', 'm_maybe_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '83', 'm_greet_a_chat', 'reply');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '84', 'm_greet_a_mood', 'Amused');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '85', 'm_greet_a_act', 'chuckle');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '88', 'm_greet_act', 'glare');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '89', 'm_betrayed_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '90', 'm_betrayed_mood', 'Gloomy');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '91', 'm_betrayed_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '92', 'a_yes_chat', 'Reply');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '93', 'a_yes_mood', 'polite');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '94', 'a_yes_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '95', 'a_waiting_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '96', 'a_waiting_mood', 'Uncertain');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '97', 'a_waiting_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '98', 'a_tired_waiting_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '99', 'a_tired_waiting_mood', 'Resigned');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '100', 'a_tired_waiting_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '101', 'a_thank_negotiate_again_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '102', 'a_thank_negotiate_again_mood', 'Nervous');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '103', 'a_thank_negotiate_again_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '104', 'a_thank_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '105', 'a_thank_negotiate_mood', 'Tired');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '106', 'a_thank_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '107', 'a_thank_combat_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '108', 'a_thank_combat_mood', 'Sarcastic');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '109', 'a_thank_combat_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '110', 'a_respond_m_1_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '111', 'a_respond_m_1_mood', 'perturbed');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '112', 'a_respond_m_1_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '113', 'a_no_progress_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '114', 'a_no_progress_mood', 'Annoyed');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '115', 'a_no_progress_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '116', 'a_no_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '117', 'a_no_negotiate_mood', 'Distracted');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '118', 'a_no_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '119', 'a_no_chat', 'Reply');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '120', 'a_no_mood', 'Unhappy');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '121', 'a_no_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '122', 'a_negotiate_fail_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '123', 'a_negotiate_fail_mood', 'Sarcastic');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '124', 'a_negotiate_fail_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '125', 'a_maybe_chat', 'Reply');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '126', 'a_maybe_mood', 'hopeful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '127', 'a_maybe_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '130', 'a_greet_rebel_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '131', 'a_greet_mad_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '132', 'a_greet_mad_mood', 'Alert');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '133', 'a_greet_mad_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '134', 'a_greet_m_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '135', 'a_greet_m_mood', 'Imploring');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '136', 'a_greet_m_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '139', 'a_greet_imperial_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '142', 'a_greet_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '143', 'a_decline_offer_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '144', 'a_decline_offer_mood', 'Disappointed');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '145', 'a_decline_offer_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '146', 'a_brushoff_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '147', 'a_brushoff_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '148', 'a_brushoff_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '149', 'm_rejected', 'I figured as much.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '150', 'm_rejected_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '151', 'm_rejected_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/pirate_rebels.stf', '152', 'm_rejected_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '1', 'm_greet', 'Help me, please! They\'re out to kill me. They claim I killed someone, and it\'s just not true!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '2', 'a_greet', 'Look, we have proof. The entire family is dead, and they\'re the only ones who could have done it. Poison in the food, it was. Don\'t stand in the way of justice being done. Are you going to let us take action or not?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '3', 'm_yes', 'Look, they think I am a poisoner. It\'s not true. It must have been food poisoning or something. Talk them out of it, or fight them off, please!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '4', 'm_no', 'But they\'ll kill me!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '5', 'm_thank_combat', 'Good work, sucker. Now nobody\'s left to carry the tale. Did I mention it was an undetectable poison? I\'m scot free, and the inheritance is mine now. All mine.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '7', 'a_greet_rebel', 'The Alliance is after this poisoning scum. They killed their whole family, every one, even the children. You\'ve got to help us.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '8', 'a_greet_imperial', 'By order of the Empire. we\'re here to arrest this poisoning scum. Murdered their whole family.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '9', 'm_maybe', 'You\'ll see, they\'re crazed with grief and think I\'m responsible, but I\'m not. When they get here, talk to them. You\'ll see.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '10', 'a_no', 'You\'re going to help a poisoner??');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '11', 'a_yes', 'Let us handle this. We saw the faces of the dead, and the agony they went through. We know what the punishment should be.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '12', 'a_maybe', 'It seems a waste of time to talk to a poisoner. Be quick about it, if you need to soothe your conscience.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '13', 'a_no_negotiate', 'Marya died with white foam on her lips, choking. The children were fallen askew in their beds. Get out of our way, or we may deal with you as we deal with the murderer.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '14', 'm_will_negotiate', 'I didn\'t eat the dinner that night, I tell you it must have been food poisoning. It wasn\'t me. Have them test the food for poison.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '15', 'm_no_negotiate', 'You\'ll have to fight them. Nothing I can say will change their minds.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '16', 'a_decline_offer', 'And why not eat the food? I saw the meal myself--if there hadn\'t been dead bodies around, I would have eaten it myself. C\'mon, let\'s avenge Marya and the children.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '17', 'a_accept_offer', 'Maybe we are being hasty... such a terrible tragedy. I\'m willing to go back and test the food to see what caused the death.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '18', 'm_negotiate_greet', 'Will they test the food?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '19', 'response_yes', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '20', 'response_no', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '21', 'response_maybe', 'Maybe.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '22', 'response_negotiate', 'Can a test of the food be done?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '23', 'm_thank_negotiate', 'You\'re a pretty fast talker. I appreciate that quality. I\'m pretty good at mixing up the poisons, but not so good at persuading others that it wasn\'t me. Heh. Well, thanks, sucker.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '24', 'm_waiting', 'They\'ll get here any minute now. Watch out, they\'re completely maddened by grief.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '25', 'a_greet_m', 'There you are! Poisoner! You killed Marya and the children!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '26', 'm_greet_a', 'No, I swear! It wasn\'t me! I didn\'t poison them!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '27', 'a_respond_m_1', 'The children, how could you? They died choking in their beds...!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '29', 'a_thank_combat', 'Good riddance to murdering scum.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '30', 'a_thank_negotiate', 'I suppose we had better check on the food before doing something we\'ll regret. We don\'t want to stoop to the murderer\'s level. Still, I don\'t see how it could be true.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '32', 'minion_1', 'Murderer!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '33', 'minion_2', 'Poisoner!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '34', 'minion_3', 'Kill the scum!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '35', 'minion_4', 'How many others have you poisoned?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '37', 'minion_5', 'Kill the poisoner!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '38', 'a_greet_mad', 'You\'re helping a poisoner? You must be in league with them!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '39', 'a_waiting', 'Look, if you don\'t decide something soon, we\'re going to lynch this scoundrel.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '40', 'a_negotiate_fail', 'That\'s the most ridiculous story I\'ve ever heard. C\'mon everyone, let\'s take care of this murderer.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '41', 'a_thank_negotiate_again', 'I have real misgivings about this, but I\'ll check out the food based on your word. I just pray that you\'re not wrong...');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '42', 'a_brushoff', 'Go away, stranger. We have friends and family to bury and mourn.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '43', 'a_tired_waiting', 'That\'s enough. In Marya\'s memory, scum, DIE!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '44', 'a_no_progress', 'Look, just go away. If you had know Marya and the children... you\'d be upset too.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '47', 'm_saved', 'Excellent... I\'m saved. The fools. Now nobody suspects me.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '48', 'm_betrayed', 'So, you don\'t believe me either? How very smart of you. Well, I can\'t leave any witnesses...!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '49', 'm_sorry', 'I have nothing as a reward... please, just help me.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '50', 'a_accept_offer_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '51', 'a_accept_offer_mood', 'doubtful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '52', 'a_accept_offer_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '53', 'm_yes_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '54', 'm_yes_mood', 'terrified');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '55', 'm_yes_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '56', 'm_will_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '57', 'm_will_negotiate_mood', 'nervous');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '58', 'm_will_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '59', 'm_waiting_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '60', 'm_waiting_mood', 'worried');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '61', 'm_waiting_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '62', 'm_thank_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '63', 'm_thank_negotiate_mood', 'shifty');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '64', 'm_thank_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '65', 'm_thank_combat_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '66', 'm_thank_combat_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '67', 'm_thank_coombat_act', 'wicked');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '68', 'm_sorry_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '69', 'm_sorry_mood', 'quiet');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '70', 'm_sorry_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '71', 'm_saved_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '72', 'm_saved_mood', 'evil');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '73', 'm_saved_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '74', 'm_no_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '75', 'm_no_negotiate_mood', 'emphatic');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '76', 'm_no_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '77', 'm_negotiate_greet_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '78', 'm_negotiate_greet_mood', 'innocent');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '79', 'm_negotiate_greet_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '80', 'm_maybe_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '81', 'm_maybe_mood', 'earnest');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '82', 'm_maybe_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '83', 'm_greet_a_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '84', 'm_greet_a_mood', 'panicked');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '85', 'm_greet_a_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '88', 'm_greet_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '89', 'm_betrayed_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '90', 'm_betrayed_mood', 'wicked');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '91', 'm_betrayed_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '92', 'a_yes_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '93', 'a_yes_mood', 'sad');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '94', 'a_yes_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '95', 'a_waiting_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '96', 'a_waiting_mood', 'emphatic');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '97', 'a_waiting_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '98', 'a_tired_waiting_chat', 'shout');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '99', 'a_tired_waiting_mood', 'vengeful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '100', 'a_tired_waiting_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '101', 'a_thank_negotiate_again_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '102', 'a_thank_negotiate_again_mood', 'doubtful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '103', 'a_thank_negotiate_again_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '104', 'a_thank_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '105', 'a_thank_negotiate_mood', 'doubtful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '106', 'a_thank_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '107', 'a_thank_combat_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '108', 'a_thank_combat_mood', 'contemptuous');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '109', 'a_thank_combat_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '110', 'a_respond_m_1_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '111', 'a_respond_m_1_mood', 'suffering');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '112', 'a_respond_m_1_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '113', 'a_no_progress_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '114', 'a_no_progress_mood', 'tired');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '115', 'a_no_progress_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '116', 'a_no_negotiate_chat', 'mutter');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '117', 'a_no_negotiate_mood', 'cold');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '118', 'a_no_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '119', 'a_no_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '120', 'a_no_mood', 'indignant');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '121', 'a_no_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '122', 'a_negotiate_fail_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '123', 'a_negotiate_fail_mood', 'belligerent');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '124', 'a_negotiate_fail_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '125', 'a_maybe_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '126', 'a_maybe_mood', 'contemptuous');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '127', 'a_maybe_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '130', 'a_greet_rebel_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '131', 'a_greet_mad_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '132', 'a_greet_mad_mood', 'vengeful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '133', 'a_greet_mad_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '134', 'a_greet_m_chat', 'shout');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '135', 'a_greet_m_mood', 'vengeful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '136', 'a_greet_m_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '139', 'a_greet_imperial_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '142', 'a_greet_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '143', 'a_decline_offer_chat', 'shout');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '144', 'a_decline_offer_mood', 'angry');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '145', 'a_decline_offer_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '146', 'a_brushoff_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '147', 'a_brushoff_mood', 'depressed');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_one.stf', '148', 'a_brushoff_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '1', 'm_greet', 'Help me, please! They\'re out to kill me. They claim I killed someone, and it\'s just not true!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '2', 'a_greet', 'Look, we have proof. The entire family is dead, and they\'re the only ones who could have done it. Poison in the food, it was. Don\'t stand in the way of justice being done. Are you going to let us take action or not?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '3', 'm_yes', 'Look, they think I am a poisoner. It\'s not true. It must have been food poisoning or something. Talk them out of it, or fight them off, please!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '4', 'm_no', 'But they\'ll kill me!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '5', 'm_thank_combat', 'I think that the leader of this mob was probably the real killer, looking to pin the blame on me. But it doesn\'t matter. Marya... and the children... dead either way. What a terrible world this is.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '7', 'a_greet_rebel', 'The Alliance is after this poisoning scum. They killed their whole family, every one, even the children. You\'ve got to help us.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '8', 'a_greet_imperial', 'By order of the Empire. we\'re here to arrest this poisoning scum. Murdered their whole family.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '9', 'm_maybe', 'You\'ll see, they\'re crazed with grief and think I\'m responsible, but I\'m not. When they get here, talk to them. You\'ll see.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '10', 'a_no', 'You\'re going to help a poisoner??');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '11', 'a_yes', 'Let us handle this. We saw the faces of the dead, and the agony they went through. We know what the punishment should be.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '12', 'a_maybe', 'It seems a waste of time to talk to a poisoner. Be quick about it, if you need to soothe your conscience.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '13', 'a_no_negotiate', 'Marya died with white foam on her lips, choking. The children were fallen askew in their beds. Get out of our way, or we may deal with you as we deal with the murderer.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '14', 'm_will_negotiate', 'I didn\'t eat the dinner that night, I tell you it must have been food poisoning. It wasn\'t me. Have them test the food for poison.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '15', 'm_no_negotiate', 'You\'ll have to fight them. Nothing I can say will change their minds.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '16', 'a_decline_offer', 'And why not eat the food? I saw the meal myself--if there hadn\'t been dead bodies around, I would have eaten it myself. C\'mon, let\'s avenge Marya and the children.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '17', 'a_accept_offer', 'Maybe we are being hasty... such a terrible tragedy. I\'m willing to go back and test the food to see what caused the death.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '18', 'm_negotiate_greet', 'Will they test the food?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '19', 'response_yes', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '20', 'response_no', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '21', 'response_maybe', 'Maybe.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '22', 'response_negotiate', 'Can a test of the food be done?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '23', 'm_thank_negotiate', 'Thank goodness you were here. I\'d be dead already otherwise. You know, I am pretty sure the leader of that group is the real murderer. I\'ll have to find some way to prove it, though.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '24', 'm_waiting', 'They\'ll get here any minute now. Watch out, they\'re completely maddened by grief.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '25', 'a_greet_m', 'There you are! Poisoner! You killed Marya and the children!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '26', 'm_greet_a', 'No, I swear! It wasn\'t me! I didn\'t poison them!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '27', 'a_respond_m_1', 'The children, how could you? They died choking in their beds...!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '29', 'a_thank_combat', 'Excellent. Now that they\'re dead, nobody will ever pin the murder on me.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '30', 'a_thank_negotiate', 'I suppose we had better check on the food before doing something we\'ll regret. We don\'t want to stoop to the murderer\'s level. Still, I don\'t see how it could be true.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '32', 'minion_1', 'Murderer!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '33', 'minion_2', 'Poisoner!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '34', 'minion_3', 'Kill the scum!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '35', 'minion_4', 'How many others have you poisoned?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '37', 'minion_5', 'Kill the poisoner!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '38', 'a_greet_mad', 'You\'re helping a poisoner? You must be in league with them!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '39', 'a_waiting', 'Look, if you don\'t decide something soon, we\'re going to lynch this scoundrel.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '40', 'a_negotiate_fail', 'That\'s the most ridiculous story I\'ve ever heard. C\'mon everyone, let\'s take care of this murderer.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '41', 'a_thank_negotiate_again', 'OK, we\'ll go check the food. But suspicion will still fall on them. Which is fine by me.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '42', 'a_brushoff', 'Go away, stranger. And thanks for the help. None of these others know it, but I was the one with the poison. Now that that pathetic fool is out of the way, nothing stands between me and the money.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '43', 'a_tired_waiting', 'That\'s enough. In Marya\'s memory, scum, DIE!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '44', 'a_no_progress', 'Look, just go away. If you had know Marya and the children... you\'d be upset too.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '47', 'm_saved', 'You saved me! Thank goodness!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '48', 'm_betrayed', 'No! I can\'t believe you\'re falling for their lies! I\'m innocent, I tell you, innocent!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '49', 'm_sorry', 'I have nothing as a reward... please, just help me.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '50', 'a_accept_offer_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '51', 'a_accept_offer_mood', 'doubtful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '52', 'a_accept_offer_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '53', 'm_yes_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '54', 'm_yes_mood', 'terrified');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '55', 'm_yes_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '56', 'm_will_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '57', 'm_will_negotiate_mood', 'nervous');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '58', 'm_will_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '59', 'm_waiting_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '60', 'm_waiting_mood', 'worried');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '61', 'm_waiting_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '62', 'm_thank_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '63', 'm_thank_negotiate_mood', 'thoughtful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '64', 'm_thank_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '65', 'm_thank_combat_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '66', 'm_thank_combat_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '67', 'm_thank_coombat_act', 'depressed');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '68', 'm_sorry_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '69', 'm_sorry_mood', 'quiet');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '70', 'm_sorry_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '71', 'm_saved_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '72', 'm_saved_mood', 'thankful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '73', 'm_saved_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '74', 'm_no_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '75', 'm_no_negotiate_mood', 'emphatic');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '76', 'm_no_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '77', 'm_negotiate_greet_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '78', 'm_negotiate_greet_mood', 'hopeful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '79', 'm_negotiate_greet_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '80', 'm_maybe_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '81', 'm_maybe_mood', 'earnest');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '82', 'm_maybe_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '83', 'm_greet_a_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '84', 'm_greet_a_mood', 'panicked');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '85', 'm_greet_a_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '88', 'm_greet_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '89', 'm_betrayed_chat', 'moan');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '90', 'm_betrayed_mood', 'dismayed');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '91', 'm_betrayed_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '92', 'a_yes_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '93', 'a_yes_mood', 'sad');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '94', 'a_yes_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '95', 'a_waiting_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '96', 'a_waiting_mood', 'emphatic');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '97', 'a_waiting_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '98', 'a_tired_waiting_chat', 'shout');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '99', 'a_tired_waiting_mood', 'vengeful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '100', 'a_tired_waiting_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '101', 'a_thank_negotiate_again_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '102', 'a_thank_negotiate_again_mood', 'sly');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '103', 'a_thank_negotiate_again_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '104', 'a_thank_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '105', 'a_thank_negotiate_mood', 'doubtful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '106', 'a_thank_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '107', 'a_thank_combat_chat', 'whisper');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '108', 'a_thank_combat_mood', 'sly');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '109', 'a_thank_combat_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '110', 'a_respond_m_1_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '111', 'a_respond_m_1_mood', 'suffering');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '112', 'a_respond_m_1_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '113', 'a_no_progress_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '114', 'a_no_progress_mood', 'tired');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '115', 'a_no_progress_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '116', 'a_no_negotiate_chat', 'mutter');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '117', 'a_no_negotiate_mood', 'cold');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '118', 'a_no_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '119', 'a_no_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '120', 'a_no_mood', 'indignant');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '121', 'a_no_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '122', 'a_negotiate_fail_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '123', 'a_negotiate_fail_mood', 'belligerent');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '124', 'a_negotiate_fail_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '125', 'a_maybe_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '126', 'a_maybe_mood', 'contemptuous');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '127', 'a_maybe_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '130', 'a_greet_rebel_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '131', 'a_greet_mad_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '132', 'a_greet_mad_mood', 'vengeful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '133', 'a_greet_mad_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '134', 'a_greet_m_chat', 'shout');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '135', 'a_greet_m_mood', 'vengeful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '136', 'a_greet_m_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '139', 'a_greet_imperial_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '142', 'a_greet_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '143', 'a_decline_offer_chat', 'shout');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '144', 'a_decline_offer_mood', 'angry');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '145', 'a_decline_offer_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '146', 'a_brushoff_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '147', 'a_brushoff_mood', 'evil');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/poisoner_two.stf', '148', 'a_brushoff_chat', 'whisper');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '1', 'm_greet', 'Please help me. Imperial Stormtroopers are after me. They think I\'m with the Rebellion. Can I get you to help me out here?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '2', 'a_greet', 'Stand aside. We\'re on official business to apprehend an enemy of the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '3', 'm_yes', 'You don\'t like the Empire much either, eh? Great! When I distract them, you hit them. With your help, I can take them. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '4', 'm_no', 'I\'ll be sent to an Imperial prison for sure. You know someday you\'ve got to stick your neck out against the Empire. It is just going to get worse.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '5', 'm_thank_combat', 'You probably saved my life there. The rebellion owes you a debt of gratitude for this.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '7', 'a_greet_rebel', 'Stand aside, unless you want to be arrested too.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '8', 'a_greet_imperial', 'Stand aside. This is a known traitor. We can handle this situation.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '9', 'm_maybe', 'I don\'t think they have a positive ID on me. If you tell them I\'m not a Rebel that may be enough to buy me time to get off this planet.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '10', 'a_no', 'You are in direct violation of an Imperial order and are under arrest.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '11', 'a_yes', 'We\'ll handle it from here.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '12', 'a_maybe', 'Not the right suspect? He was seen talking with known rebel sympathizers two hours ago. Does he have any evidence to say otherwise?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '13', 'a_no_negotiate', 'I said stand aside. Now!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '14', 'm_will_negotiate', 'Couldn\'t have been me, because I was with you two hours ago. Isn\'t that right? Please.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '15', 'm_no_negotiate', 'I knew I should have checked the room for hidden transmitters. Well, there\'s no easy way out of this one. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '16', 'a_decline_offer', 'I asked for evidence, not an alibi. He\'s coming with us now.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '17', 'a_accept_offer', 'He was with you? All right, we\'re going to let him go for now, but he better not try to leave the planet.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '18', 'm_negotiate_greet', 'Did they buy it?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '19', 'response_yes', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '20', 'response_no', 'No');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '21', 'response_maybe', 'Maybe');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '22', 'response_negotiate', 'Wait. This isn\'t the suspect you are looking for.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '23', 'm_thank_negotiate', 'Whew, thanks. The rebellion owes you a debt of gratitude for this.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '24', 'm_waiting', 'Be careful, I think I can hear them coming.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '25', 'a_greet_m', 'Halt! Come with us peacefully. You are wanted for questioning.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '26', 'm_greet_a', 'Who? Me? What did I do? I think you have the wrong person.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '27', 'a_respond_m_1', 'We will ascertain that back at base. Come with us.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '29', 'a_thank_combat', 'The rebel shouldn\'t have resisted. You\'ve served the Empire well.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '30', 'a_thank_negotiate', 'Thank you for your assistance in this matter. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '32', 'minion_1', 'This is official business.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '33', 'minion_2', 'He is a rebel spy.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '34', 'minion_3', 'There are more traitors to round up. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '35', 'minion_4', 'Stand aside.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '37', 'minion_5', 'Awaiting orders.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '38', 'a_greet_mad', 'Halt! Come with us for questioning now or we\'ll shoot.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '39', 'a_waiting', 'This is your last chance. Come with us now, or we will take you in by force.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '40', 'a_negotiate_fail', 'That\'s enough. Our commander will do the interrogation back at base. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '41', 'a_thank_negotiate_again', 'The situation is clear. Heading back to base.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '42', 'a_brushoff', 'Move along.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '43', 'a_tired_waiting', 'You have been warned. Take him down!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '44', 'a_no_progress', 'Move along. Now.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '47', 'm_saved', 'I\'m certain they would have tried to get information out of me about the Alliance. You\'ve probably saved more than just my life here today. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '48', 'm_betrayed', 'I\'m disappointed. I thought you looked like someone who didn\'t kowtow to the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '49', 'm_sorry', 'May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '50', 'a_accept_offer_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '51', 'a_accept_offer_mood', 'Tolerant');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '52', 'a_accept_offer_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '53', 'm_yes_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '54', 'm_yes_mood', 'Adventurous');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '55', 'm_yes_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '56', 'm_will_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '57', 'm_will_negotiate_mood', 'innocent');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '58', 'm_will_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '59', 'm_waiting_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '60', 'm_waiting_mood', 'alert');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '61', 'm_waiting_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '62', 'm_thank_negotiate_chat', 'whisper');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '63', 'm_thank_negotiate_mood', 'earnest');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '64', 'm_thank_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '65', 'm_thank_combat_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '66', 'm_thank_combat_mood', 'thankful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '67', 'm_thank_combat_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '68', 'm_sorry_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '69', 'm_sorry_mood', 'Friendly');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '70', 'm_sorry_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '71', 'm_saved_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '72', 'm_saved_mood', 'thankful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '73', 'm_saved_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '74', 'm_no_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '75', 'm_no_negotiate_mood', 'Earnest');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '76', 'm_no_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '77', 'm_negotiate_greet_chat', 'inquire');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '78', 'm_negotiate_greet_mood', 'Sheepish');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '79', 'm_negotiate_greet_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '80', 'm_maybe_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '81', 'm_maybe_mood', 'hopeful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '82', 'm_maybe_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '83', 'm_greet_a_chat', 'answer');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '84', 'm_greet_a_mood', 'nervous');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '85', 'm_greet_a_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '88', 'm_greet_act', 'beckon');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '89', 'm_betrayed_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '90', 'm_betrayed_mood', 'Sullen');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '91', 'm_betrayed_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '92', 'a_yes_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '93', 'a_yes_mood', 'Neutral');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '94', 'a_yes_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '95', 'a_waiting_chat', 'demand');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '96', 'a_waiting_mood', 'Loud');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '97', 'a_waiting_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '98', 'a_tired_waiting_chat', 'shout');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '99', 'a_tired_waiting_mood', 'Confident');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '100', 'a_tired_waiting_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '101', 'a_thank_negotiate_again_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '102', 'a_thank_negotiate_again_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '103', 'a_thank_negotiate_again_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '104', 'a_thank_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '105', 'a_thank_negotiate_mood', 'Neutral');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '106', 'a_thank_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '107', 'a_thank_combat_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '108', 'a_thank_combat_mood', 'Thankful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '109', 'a_thank_combat_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '110', 'a_respond_m_1_chat', 'state');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '111', 'a_respond_m_1_mood', 'Clinical');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '112', 'a_respond_m_1_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '113', 'a_no_progress_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '114', 'a_no_progress_mood', 'Firm');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '115', 'a_no_progress_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '116', 'a_no_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '117', 'a_no_negotiate_mood', 'Firm');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '118', 'a_no_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '119', 'a_no_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '120', 'a_no_mood', 'Serious');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '121', 'a_no_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '122', 'a_negotiate_fail_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '123', 'a_negotiate_fail_mood', 'Rude');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '124', 'a_negotiate_fail_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '125', 'a_maybe_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '126', 'a_maybe_mood', 'Puzzled');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '127', 'a_maybe_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '130', 'a_greet_rebel_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '131', 'a_greet_mad_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '132', 'a_greet_mad_mood', 'Firm');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '133', 'a_greet_mad_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '134', 'a_greet_m_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '135', 'a_greet_m_mood', 'Firm');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '136', 'a_greet_m_act', 'accuse');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '139', 'a_greet_imperial_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '142', 'a_greet_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '143', 'a_decline_offer_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '144', 'a_decline_offer_mood', 'annoyed');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '145', 'a_decline_offer_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '146', 'a_brushoff_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '147', 'a_brushoff_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '148', 'a_brushoff_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '149', 'm_rejected', 'That\'s not good.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '150', 'm_rejected_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '151', 'm_rejected_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/rebel_stormtroopers.stf', '152', 'm_rejected_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '1', 'm_greet', 'My siblings are chasing after me. They mean to beat me black and blue. All I said was that I was our parents\' favorite child. I don\'t know why that set them off so badly. Can you please help defend me from them?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '2', 'a_greet', 'My siblings are chasing after me. They mean to beat me black and blue. All I said was that I was our parents\' favorite child. I don\'t know why that set them off so badly. Can you please help defend me from them?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '3', 'm_yes', 'Thank you. They\'ve beaten me before but this time seems different. They should be here soon. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '4', 'm_no', 'You aren\'t just going to sit there and watch them beat me, are you? You insensitive oaf! ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '5', 'm_thank_combat', 'Thank you for protecting me, but I wish it hadn\'t have come to this. What will people think about me now?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '7', 'a_greet_rebel', 'She thinks she\'s little miss perfect. We\'re tired of everyone always taking her side. It is time she learned some humility. Are you going to get out of our way?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '8', 'a_greet_imperial', 'She thinks she\'s little miss perfect. We\'re tired of everyone always taking her side. It is time she learned some humility. Are you going to get out of our way?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '9', 'm_maybe', 'At least talk to them. They won\'t listen to me anymore. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '10', 'a_no', 'Looks like we need to teach you a lesson too - not to meddle in other people\'s lives!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '11', 'a_yes', 'Good, now beat it. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '12', 'a_maybe', 'She needs to be honest with everyone. Stop spreading lies about us. Stop pretending that she is better than any of us.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '13', 'a_no_negotiate', 'There is nothing she can do. We\'ve put up with her for long enough already.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '14', 'm_will_negotiate', 'I don\'t tell lies about them. I don\'t know why other people like me best. Maybe I do try to make myself look good, but I\'ll try to make them look good too. Deep down, I do love them.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '15', 'm_no_negotiate', 'But I am better than them! Just look at them.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '16', 'a_decline_offer', 'She doesn\'t love anyone but herself. She\'s just saying that to make you think she is better than we are. If you weren\'t here she wouldn\'t have said that.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '17', 'a_accept_offer', 'She does love us? She really doesn\'t show it. Well, we\'ll give her another chance. Maybe we\'ve been too rough on her.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '18', 'm_negotiate_greet', 'Are they still going to beat me? ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '19', 'response_yes', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '20', 'response_no', 'No');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '21', 'response_maybe', 'Maybe');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '22', 'response_negotiate', 'You don\'t need to attack her. What does she need to do to for you to not hate her so? ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '23', 'm_thank_negotiate', 'Oh thank you so much for talking to them. I know they can be difficult to get through to.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '24', 'm_waiting', 'Oh, I can hear them coming. They sound awfully mad.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '25', 'a_greet_m', 'You are going to get it this time, little sister. We have had it with you!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '26', 'm_greet_a', 'I don\'t understand, what did I do this time? ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '27', 'a_respond_m_1', 'It\'s not what you did, it\'s who you are. You are always getting away with everything. Everybody always feels sorry for you. You act like you are so superior to the rest of us. Well we are just sick of it.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '29', 'a_thank_combat', 'She got what she deserved. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '30', 'a_thank_negotiate', 'Thank you for stopping us. We need to talk it out with her more at home.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '32', 'minion_1', 'I hate her.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '33', 'minion_2', 'She is always talking bad about us behind our backs.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '34', 'minion_3', 'I wish she wasn\'t my sister. Everybody always says why can\'t I be more like her. Ugh, it is so infuriating.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '35', 'minion_4', 'When we were children, she got all the best presents. When we were a little older, she got all the attention from the other kids. Now she\'ll do or say just about anything to keep people thinking we are nothing compared to her.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '37', 'minion_5', 'Deep down I do love my sister, but she just can\'t go around pretending she is better than the rest of us. It isn\'t right.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '38', 'a_greet_mad', 'So little sister, you think your friend can protect you? ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '39', 'a_waiting', 'What no pleading for mercy this time? I was expecting you to cry a bit first.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '40', 'a_negotiate_fail', 'I told you she thinks she\'s superior to us. She needs to be put in her place. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '41', 'a_thank_negotiate_again', 'Let\'s go home now. Thanks stranger.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '42', 'a_brushoff', 'Get lost. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '43', 'a_tired_waiting', 'Fine, we\'ll make you cry.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '44', 'a_no_progress', 'You are wasting our time.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '47', 'm_saved', 'Wait until I tell everybody how awful my siblings were.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '48', 'm_betrayed', 'Wait. Don\'t listen to them. They\'re just a bunch worthless crybabies.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '49', 'm_sorry', 'Thank you for helping me out of the goodness of your own heart.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '50', 'a_accept_offer_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '51', 'a_accept_offer_mood', 'Thoughtful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '52', 'a_accept_offer_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '53', 'm_yes_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '54', 'm_yes_mood', 'sullen');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '55', 'm_yes_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '56', 'm_will_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '57', 'm_will_negotiate_mood', 'Emotional');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '58', 'm_will_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '59', 'm_waiting_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '60', 'm_waiting_mood', 'Scared');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '61', 'm_waiting_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '62', 'm_thank_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '63', 'm_thank_negotiate_mood', 'bubbly');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '64', 'm_thank_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '65', 'm_thank_combat_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '66', 'm_thank_combat_mood', 'Worried');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '67', 'm_thank_combat_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '68', 'm_sorry_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '69', 'm_sorry_mood', 'Cheerful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '70', 'm_sorry_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '71', 'm_saved_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '72', 'm_saved_mood', 'Contemptuous');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '73', 'm_saved_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '74', 'm_no_negotiate_chat', 'assert');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '75', 'm_no_negotiate_mood', 'Pompous');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '76', 'm_no_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '77', 'm_negotiate_greet_chat', 'inquire');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '78', 'm_negotiate_greet_mood', 'Fearful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '79', 'm_negotiate_greet_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '80', 'm_maybe_chat', 'plead');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '81', 'm_maybe_mood', 'Imploring');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '82', 'm_maybe_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '83', 'm_greet_a_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '84', 'm_greet_a_mood', 'Whiny');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '85', 'm_greet_a_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '88', 'm_greet_act', 'hail');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '89', 'm_betrayed_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '90', 'm_betrayed_mood', 'Panicked');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '91', 'm_betrayed_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '92', 'a_yes_chat', 'Reply');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '93', 'a_yes_mood', 'Snobby');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '94', 'a_yes_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '95', 'a_waiting_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '96', 'a_waiting_mood', 'Taunting');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '97', 'a_waiting_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '98', 'a_tired_waiting_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '99', 'a_tired_waiting_mood', 'Mean');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '100', 'a_tired_waiting_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '101', 'a_thank_negotiate_again_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '102', 'a_thank_negotiate_again_mood', 'Tired');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '103', 'a_thank_negotiate_again_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '104', 'a_thank_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '105', 'a_thank_negotiate_mood', 'Sincere');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '106', 'a_thank_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '107', 'a_thank_combat_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '108', 'a_thank_combat_mood', 'Spiteful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '109', 'a_thank_combat_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '110', 'a_respond_m_1_chat', 'reply');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '111', 'a_respond_m_1_mood', 'Bitter');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '112', 'a_respond_m_1_act', 'accuse');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '113', 'a_no_progress_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '114', 'a_no_progress_mood', 'Mean');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '115', 'a_no_progress_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '116', 'a_no_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '117', 'a_no_negotiate_mood', 'Disgusted');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '118', 'a_no_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '119', 'a_no_chat', 'Reply');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '120', 'a_no_mood', 'Spiteful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '121', 'a_no_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '122', 'a_negotiate_fail_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '123', 'a_negotiate_fail_mood', 'Annoyed');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '124', 'a_negotiate_fail_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '125', 'a_maybe_chat', 'reply');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '126', 'a_maybe_mood', 'Whiny');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '127', 'a_maybe_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '130', 'a_greet_rebel_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '131', 'a_greet_mad_chat', 'threaten');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '132', 'a_greet_mad_mood', 'Cruel');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '133', 'a_greet_mad_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '134', 'a_greet_m_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '135', 'a_greet_m_mood', 'Cruel');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '136', 'a_greet_m_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '139', 'a_greet_imperial_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '142', 'a_greet_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '143', 'a_decline_offer_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '144', 'a_decline_offer_mood', 'Pessimistic');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '145', 'a_decline_offer_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '146', 'a_brushoff_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '147', 'a_brushoff_mood', 'Disgusted');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '148', 'a_brushoff_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '149', 'm_rejected', 'I don\'t want to talk about this anymore.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '150', 'm_rejected_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '151', 'm_rejected_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/sibling_siblings.stf', '152', 'm_rejected_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '1', 'm_greet', 'I need your help. There are a band of thugs coming after me. I don\'t know why but they seem to want to kill me. I want you to help me fight them off. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '2', 'a_greet', 'This is none of your business. We ask that you step aside and let us do what we came here to do. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '3', 'm_yes', 'You will? Whew, I\'m so glad you came along. I would be dead otherwise.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '4', 'm_no', 'No? You are just going to stand there and watch me get cut down? You worthless nerf herder.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '5', 'm_thank_combat', 'Great! Those rebels are always sticking their noses where they don\'t belong. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '7', 'a_greet_rebel', 'Listen friend, we need you to step aside. We\'ll take care of this scum.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '8', 'a_greet_imperial', 'Get out of our way! Our business is not with you.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '9', 'm_maybe', 'I don\'t think they are going to negotiate. You can try talking to them, but they\'ll probably just make up some story and kill me anyway.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '10', 'a_no', 'You must be a slaver too then. Well, there is no place for your kind in this sector.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '11', 'a_yes', 'Good. Let\'s rid the galaxy of this slaver scum.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '12', 'a_maybe', 'What? Do you know who this creep is? He\'s a vicious slaver. He doesn\'t deserve mercy. Tell you what, you get him to get his gang to release all of their slaves and we\'ll let him live.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '13', 'a_no_negotiate', 'Tell that to all the twi\'leks he kept as slaves. He and his fellow slavers weren\'t interested in fair fights when they beat and killed those poor twi\'leks. Now get out of our way.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '14', 'm_will_negotiate', 'Release the slaves? I don\'t know if the other members would go for that. I can try, if it will save my hide.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '15', 'm_no_negotiate', 'Ha ha. Release my twi\'leks?! Those idiotic rebels aren\'t living in the real world. Tell them I\'d rather die.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '16', 'a_decline_offer', 'Try? There is no try. He\'s just buying time to escape. He would probably kill his slaves before releasing them. We\'ve had enough of his kind.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '17', 'a_accept_offer', 'He better succeed at freeing those slaves. We\'re not going to rest until we put all of slavers in this sector out of business for good.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '18', 'm_negotiate_greet', 'What\'s it going to be?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '19', 'response_yes', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '20', 'response_no', 'No');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '21', 'response_maybe', 'Maybe');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '22', 'response_negotiate', 'Hold on, I can\'t let you gang up on this one guy. This is hardly a fair fight. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '23', 'm_thank_negotiate', 'I\'m not happy with this arrangement. I\'m losing a lot of credits here, but I suppose it is better than losing my life.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '24', 'm_waiting', 'Got your weapon ready?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '25', 'a_greet_m', 'There he is! You can\'t run anymore. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '26', 'm_greet_a', 'Please don\'t hurt me.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '27', 'a_respond_m_1', 'How many times did you hear that plea yourself, and then ignore it!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '29', 'a_thank_combat', 'You\'re a good fighter. The rebellion could use more people like you.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '30', 'a_thank_negotiate', 'I hope you\'re right and he frees those slaves. Maybe there are peaceful ways of ending the injustices in this galaxy. We\'ll see. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '32', 'minion_1', 'We need to put a stop to his kind. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '33', 'minion_2', 'Let\'s get this over with.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '34', 'minion_3', 'This is exactly why I joined the Alliance; to put an end to the problems of the galaxy. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '35', 'minion_4', 'I hate having to resort to violence, but unrepentant slavers like this guy make me so angry. We need to send a clear message that slavery should not be permitted anywhere. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '37', 'minion_5', 'Freedom at any price, that\'s what I always say.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '38', 'a_greet_mad', 'Look out, he\'s got friends! ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '39', 'a_waiting', 'It\'s time to put an end to your little business.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '40', 'a_negotiate_fail', 'Talking to his type is just a waste of good breath');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '41', 'a_thank_negotiate_again', 'If he doesn\'t free his slaves, we won\'t bother talking next time.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '42', 'a_brushoff', 'Get lost. You obviously don\'t care about anything. That guy was a slaver. He kept other people as property. I don\'t understand how you can just sit back and do nothing when the galaxy is such a bad state.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '43', 'a_tired_waiting', 'We\'ll be a step closer to a free galaxy with one less slaver hanging around.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '44', 'a_no_progress', 'What do you want?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '47', 'm_saved', 'I\'m free of them at last. You know, it will be a dark day if the rebellion ever comes to power and infringes on the rights of legitimate property holders like myself. Why they think slaves are worth fighting for is beyond me.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '48', 'm_betrayed', 'I should have known, just another bleeding heart rebel. My slaves are my property. If you can\'t live with that, then I suggest you die.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '49', 'm_sorry', 'I would like to compensate you for your help but I seem to be shy of credits right now. Tell you what, if I see you again I\'ll cut you a discount on one of my slaves.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '50', 'a_accept_offer_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '51', 'a_accept_offer_mood', 'Emphatic');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '52', 'a_accept_offer_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '53', 'm_yes_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '54', 'm_yes_mood', 'Thankful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '55', 'm_yes_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '56', 'm_will_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '57', 'm_will_negotiate_mood', 'Surprised');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '58', 'm_will_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '59', 'm_waiting_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '60', 'm_waiting_mood', 'Worried');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '61', 'm_waiting_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '62', 'm_thank_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '63', 'm_thank_negotiate_mood', 'Bitter');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '64', 'm_thank_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '65', 'm_thank_combat_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '66', 'm_thank_combat_mood', 'Relieved');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '67', 'm_thank_combat_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '68', 'm_sorry_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '69', 'm_sorry_mood', 'thankful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '70', 'm_sorry_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '71', 'm_saved_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '72', 'm_saved_mood', 'wistful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '73', 'm_saved_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '74', 'm_no_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '75', 'm_no_negotiate_mood', 'Amused');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '76', 'm_no_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '77', 'm_negotiate_greet_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '78', 'm_negotiate_greet_mood', 'Shifty');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '79', 'm_negotiate_greet_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '80', 'm_maybe_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '81', 'm_maybe_mood', 'Doubtful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '82', 'm_maybe_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '83', 'm_greet_a_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '84', 'm_greet_a_mood', 'timid');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '85', 'm_greet_a_act', 'giveup');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '88', 'm_greet_act', 'beckon');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '89', 'm_betrayed_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '90', 'm_betrayed_mood', 'Indignant');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '91', 'm_betrayed_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '92', 'a_yes_chat', 'Reply');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '93', 'a_yes_mood', 'Thankful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '94', 'a_yes_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '95', 'a_waiting_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '96', 'a_waiting_mood', 'Angry');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '97', 'a_waiting_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '98', 'a_tired_waiting_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '99', 'a_tired_waiting_mood', 'Fanatical');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '100', 'a_tired_waiting_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '101', 'a_thank_negotiate_again_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '102', 'a_thank_negotiate_again_mood', 'Dramatic');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '103', 'a_thank_negotiate_again_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '104', 'a_thank_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '105', 'a_thank_negotiate_mood', 'Thoughtful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '106', 'a_thank_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '107', 'a_thank_combat_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '108', 'a_thank_combat_mood', 'Encouraging');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '109', 'a_thank_combat_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '110', 'a_respond_m_1_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '111', 'a_respond_m_1_mood', 'Disgusted');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '112', 'a_respond_m_1_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '113', 'a_no_progress_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '114', 'a_no_progress_mood', 'Puzzled');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '115', 'a_no_progress_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '116', 'a_no_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '117', 'a_no_negotiate_mood', 'Enraged');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '118', 'a_no_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '119', 'a_no_chat', 'Reply');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '120', 'a_no_mood', 'Lofty');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '121', 'a_no_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '122', 'a_negotiate_fail_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '123', 'a_negotiate_fail_mood', 'Grumpy');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '124', 'a_negotiate_fail_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '125', 'a_maybe_chat', 'respond');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '126', 'a_maybe_mood', 'Annoyed');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '127', 'a_maybe_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '130', 'a_greet_rebel_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '131', 'a_greet_mad_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '132', 'a_greet_mad_mood', 'Shocked');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '133', 'a_greet_mad_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '134', 'a_greet_m_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '135', 'a_greet_m_mood', 'Scornful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '136', 'a_greet_m_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '139', 'a_greet_imperial_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '142', 'a_greet_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '143', 'a_decline_offer_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '144', 'a_decline_offer_mood', 'Doubtful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '145', 'a_decline_offer_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '146', 'a_brushoff_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '147', 'a_brushoff_mood', 'disdainful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '148', 'a_brushoff_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '149', 'm_rejected', 'This isn\'t what I wanted.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '150', 'm_rejected_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '151', 'm_rejected_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/slaver_rebels.stf', '152', 'm_rejected_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '1', 'm_greet', 'Hey you, I need some help here. I\'m in the business of, shall we say, relocating merchandise. I\'ve got some Imps hot on my trail. Think you can lend me a hand? ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '2', 'a_greet', 'Stand aside. We are here to eliminate this criminal. He has been wanted for smuggling contraband items across the galaxy. We\'ve finally tracked him down to here. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '3', 'm_yes', 'Thanks, good to know there are still people who will help a guy out of a sticky situation.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '4', 'm_no', 'Fine. Then you may want to stay clear of here. Blaster bolts are gonna fly.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '5', 'm_thank_combat', 'Nice fighting. I\'m glad I could count on you to help me out of that scrap.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '7', 'a_greet_rebel', 'Stand aside, we are only after this smuggler.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '8', 'a_greet_imperial', 'Stand aside. We are here to eliminate this criminal. He has been wanted for smuggling contraband items across the galaxy. We\'ve finally tracked him down to here.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '9', 'm_maybe', 'Look, unless you want to get involved here, people are gonna die.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '10', 'a_no', 'You must be one of his drop-off contacts. Looks like we got here at the right time. Get them!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '11', 'a_yes', 'Take him down!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '12', 'a_maybe', 'We will let him go this time if he provides the name of his contact on Nar Shaddaa. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '13', 'a_no_negotiate', 'He\'s been evading capture for long enough. We\'re going to make certain he doesn\'t escape again.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '14', 'm_will_negotiate', 'My contact? Sure, that Hutt owes me so much money I\'d love for it to get some more Imperial heat. My contact\'s name is Embra.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '15', 'm_no_negotiate', 'And go from one death sentence to worse than death sentence. I think not.  ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '16', 'a_decline_offer', 'We know his contracted ended with Embra the Hutt months ago. That was his last chance. Attack!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '17', 'a_accept_offer', 'That\'s the information we needed. However, if we catch him smuggling again there won\'t be an opportunity to talk his way out.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '18', 'm_negotiate_greet', 'Well, what\'s it going to be?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '19', 'response_yes', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '20', 'response_no', 'No');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '21', 'response_maybe', 'Maybe');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '22', 'response_negotiate', 'Wait, this doesn\'t have to end in violence. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '23', 'm_thank_negotiate', 'Well I was all prepared for a fight. I guess I should thank you for getting me out of that jam.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '24', 'm_waiting', 'I think I hear them. Get ready.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '25', 'a_greet_m', 'You there, stop!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '26', 'm_greet_a', 'Easy now, I\'m sure we can come to some sort of agreement, gentlemen.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '27', 'a_respond_m_1', 'We are not here to negotiate. You are not escaping this time.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '29', 'a_thank_combat', 'You\'ve done well in helping us eliminate that smuggler. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '30', 'a_thank_negotiate', 'You\'ve helped us gather important information here today. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '32', 'minion_1', 'We\'ve chased him for long enough now.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '33', 'minion_2', 'That smuggler has evaded us for the last time.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '34', 'minion_3', 'Don\'t distract me. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '35', 'minion_4', 'I\'ll make sure he doesn\'t have an escape route.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '37', 'minion_5', 'His smuggling days are over.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '38', 'a_greet_mad', 'Watch out, there\'s more than one of them. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '39', 'a_waiting', 'Surround him.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '40', 'a_negotiate_fail', 'This smuggler has wasted too much of our time already. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '41', 'a_thank_negotiate_again', 'You\'ve served the Empire well.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '42', 'a_brushoff', 'Move along.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '43', 'a_tired_waiting', 'He\'s going to fire. Take him down!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '44', 'a_no_progress', 'Move it.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '47', 'm_saved', 'Once again, I survive to see another day. Something tells me my luck can\'t hold out forever. Maybe I should give up smuggling and try a safer line of work. Naw.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '48', 'm_betrayed', 'You\'re helping the Imperials?! You\'re funeral, pal.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '49', 'm_sorry', 'What are you looking at me for? I\'m out of here.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '50', 'a_accept_offer_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '51', 'a_accept_offer_mood', 'approving');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '52', 'a_accept_offer_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '53', 'm_yes_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '54', 'm_yes_mood', 'Relieved');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '55', 'm_yes_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '56', 'm_will_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '57', 'm_will_negotiate_mood', 'Casual');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '58', 'm_will_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '59', 'm_waiting_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '60', 'm_waiting_mood', 'Wary');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '61', 'm_waiting_act', 'wink');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '62', 'm_thank_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '63', 'm_thank_negotiate_mood', 'Uncertain');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '64', 'm_thank_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '65', 'm_thank_combat_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '66', 'm_thank_combat_mood', 'Thankful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '67', 'm_thank_combat_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '68', 'm_sorry_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '69', 'm_sorry_mood', 'Cocky');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '70', 'm_sorry_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '71', 'm_saved_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '72', 'm_saved_mood', 'Joyful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '73', 'm_saved_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '74', 'm_no_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '75', 'm_no_negotiate_mood', 'Scared');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '76', 'm_no_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '77', 'm_negotiate_greet_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '78', 'm_negotiate_greet_mood', 'Hopeful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '79', 'm_negotiate_greet_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '80', 'm_maybe_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '81', 'm_maybe_mood', 'Dramatic');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '82', 'm_maybe_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '83', 'm_greet_a_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '84', 'm_greet_a_mood', 'Respectful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '85', 'm_greet_a_act', 'raise');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '88', 'm_greet_act', 'greet');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '89', 'm_betrayed_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '90', 'm_betrayed_mood', 'Pitying');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '91', 'm_betrayed_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '92', 'a_yes_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '93', 'a_yes_mood', 'Firm');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '94', 'a_yes_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '95', 'a_waiting_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '96', 'a_waiting_mood', 'Careful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '97', 'a_waiting_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '98', 'a_tired_waiting_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '99', 'a_tired_waiting_mood', 'Surprised');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '100', 'a_tired_waiting_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '101', 'a_thank_negotiate_again_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '102', 'a_thank_negotiate_again_mood', 'Thankful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '103', 'a_thank_negotiate_again_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '104', 'a_thank_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '105', 'a_thank_negotiate_mood', 'Thankful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '106', 'a_thank_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '107', 'a_thank_combat_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '108', 'a_thank_combat_mood', 'Thankful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '109', 'a_thank_combat_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '110', 'a_respond_m_1_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '111', 'a_respond_m_1_mood', 'Firm');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '112', 'a_respond_m_1_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '113', 'a_no_progress_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '114', 'a_no_progress_mood', 'Firm');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '115', 'a_no_progress_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '116', 'a_no_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '117', 'a_no_negotiate_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '118', 'a_no_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '119', 'a_no_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '120', 'a_no_mood', 'Suspicious');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '121', 'a_no_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '122', 'a_negotiate_fail_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '123', 'a_negotiate_fail_mood', 'Angry');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '124', 'a_negotiate_fail_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '125', 'a_maybe_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '126', 'a_maybe_mood', 'Tolerant');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '127', 'a_maybe_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '130', 'a_greet_rebel_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '131', 'a_greet_mad_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '132', 'a_greet_mad_mood', 'Alert');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '133', 'a_greet_mad_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '134', 'a_greet_m_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '135', 'a_greet_m_mood', 'Alert');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '136', 'a_greet_m_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '139', 'a_greet_imperial_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '142', 'a_greet_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '143', 'a_decline_offer_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '144', 'a_decline_offer_mood', 'Angry');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '145', 'a_decline_offer_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '146', 'a_brushoff_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '147', 'a_brushoff_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '148', 'a_brushoff_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '149', 'm_rejected', 'Oh well.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '150', 'm_rejected_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '151', 'm_rejected_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/smuggler_stormtroopers.stf', '152', 'm_rejected_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '1', 'm_greet', 'I am the mediator greeting you... the antagonists are going to do something bad. will you help me?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '2', 'a_greet', 'I am the antagonist greeting you... mediator is not innocent for this reason. will you allow us to do our job?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '3', 'm_yes', 'You answered yes... here is what you are supposed to do');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '4', 'm_no', 'no? please please please help me!!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '5', 'm_thank_combat', 'Thank you for hurting those baddies!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '7', 'a_greet_rebel', 'our factions are both rebel... i will greet you much nicer');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '8', 'a_greet_imperial', 'our factions are both imperial... i will greet you much nicer');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '9', 'm_maybe', 'You talk to the baddies when they get here then... maybe you can work something out.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '10', 'a_no', 'you will regret this...');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '11', 'a_yes', 'then be on your way...');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '12', 'a_maybe', 'ok... you can try to negotiate... but be quick about it...');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '13', 'a_no_negotiate', 'there will be no negotiating... get out of our way or suffer the same fate...');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '14', 'm_will_negotiate', 'I think I have something that would fix the situation...');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '15', 'm_no_negotiate', 'but i have nothing to give... help me!!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '16', 'a_decline_offer', 'bad offer... he dies now!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '17', 'a_accept_offer', 'this will do just fine... for now...');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '18', 'm_negotiate_greet', 'what did they say?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '19', 'response_yes', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '20', 'response_no', 'No');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '21', 'response_maybe', 'Maybe');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '22', 'response_negotiate', 'Are you willing to negotiate?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '23', 'm_thank_negotiate', 'Thank you for negotiating me out of that mess...');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '24', 'm_waiting', 'You agreed to help me and we are waiting... they should be here soon, please wait!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '25', 'a_greet_m', 'I the antagonist leader am accosting the mediator verbally');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '26', 'm_greet_a', 'I, the mediator, am responding to the antagonist leaders threat');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '27', 'a_respond_m_1', 'I am responding to mediator greet!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '29', 'a_thank_combat', 'I am thanking you for killing the mediator');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '30', 'a_thank_negotiate', 'I am thanking you for negotiating this...');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '32', 'minion_1', 'i am a minion... this is random flavor text 1');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '33', 'minion_2', 'i am a minion... this is random flavor text 2');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '34', 'minion_3', 'i am a minion... this is random flavor text 3');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '35', 'minion_4', 'i am a minion... this is random flavor text 4');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '37', 'minion_5', 'i am a minion... this is random flavor text 5');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '38', 'a_greet_mad', 'What? you agreed to help mediator? you will die too!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '39', 'a_waiting', 'I am waiting for you to do something... and if you dont do it soon... i am gonna attack!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '40', 'a_negotiate_fail', 'What?! You just wasted my time!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '41', 'a_thank_negotiate_again', 'Thanks again for working this out for us...');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '42', 'a_brushoff', 'i am brushing you off since you didnt have any credit for this poi');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '43', 'a_tired_waiting', 'I am tired of waiting... enough of this... attack!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '44', 'a_no_progress', 'Go away... I have no time for you...');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '47', 'm_saved', 'I am saved! I am saved!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '48', 'm_betrayed', 'You would allow them to attack me? You will die before I do!!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '49', 'm_sorry', 'I am so sorry I cannot provide anything... please just help me!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '50', 'a_accept_offer_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '51', 'a_accept_offer_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '52', 'a_accept_offer_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '53', 'm_yes_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '54', 'm_yes_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '55', 'm_yes_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '56', 'm_will_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '57', 'm_will_negotiate_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '58', 'm_will_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '59', 'm_waiting_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '60', 'm_waiting_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '61', 'm_waiting_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '62', 'm_thank_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '63', 'm_thank_negotiate_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '64', 'm_thank_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '65', 'm_thank_combat_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '66', 'm_thank_combat_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '67', 'm_thank_combat_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '68', 'm_sorry_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '69', 'm_sorry_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '70', 'm_sorry_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '71', 'm_saved_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '72', 'm_saved_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '73', 'm_saved_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '74', 'm_no_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '75', 'm_no_negotiate_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '76', 'm_no_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '77', 'm_negotiate_greet_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '78', 'm_negotiate_greet_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '79', 'm_negotiate_greet_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '80', 'm_maybe_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '81', 'm_maybe_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '82', 'm_maybe_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '83', 'm_greet_a_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '84', 'm_greet_a_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '85', 'm_greet_a_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '88', 'm_greet_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '89', 'm_betrayed_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '90', 'm_betrayed_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '91', 'm_betrayed_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '92', 'a_yes_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '93', 'a_yes_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '94', 'a_yes_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '95', 'a_waiting_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '96', 'a_waiting_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '97', 'a_waiting_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '98', 'a_tired_waiting_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '99', 'a_tired_waiting_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '100', 'a_tired_waiting_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '101', 'a_thank_negotiate_again_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '102', 'a_thank_negotiate_again_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '103', 'a_thank_negotiate_again_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '104', 'a_thank_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '105', 'a_thank_negotiate_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '106', 'a_thank_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '107', 'a_thank_combat_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '108', 'a_thank_combat_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '109', 'a_thank_combat_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '110', 'a_respond_m_1_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '111', 'a_respond_m_1_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '112', 'a_respond_m_1_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '113', 'a_no_progress_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '114', 'a_no_progress_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '115', 'a_no_progress_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '116', 'a_no_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '117', 'a_no_negotiate_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '118', 'a_no_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '119', 'a_no_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '120', 'a_no_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '121', 'a_no_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '122', 'a_negotiate_fail_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '123', 'a_negotiate_fail_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '124', 'a_negotiate_fail_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '125', 'a_maybe_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '126', 'a_maybe_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '127', 'a_maybe_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '130', 'a_greet_rebel_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '131', 'a_greet_mad_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '132', 'a_greet_mad_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '133', 'a_greet_mad_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '134', 'a_greet_m_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '135', 'a_greet_m_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '136', 'a_greet_m_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '139', 'a_greet_imperial_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '142', 'a_greet_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '143', 'a_decline_offer_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '144', 'a_decline_offer_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '145', 'a_decline_offer_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '146', 'a_brushoff_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '147', 'a_brushoff_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '148', 'a_brushoff_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '149', 'm_rejected', 'You rejected me you bad person. I dont want to talk to you. Leave me alone!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '150', 'm_rejected_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '151', 'm_rejected_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/template.stf', '152', 'm_rejected_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '1', 'm_greet', 'Oh please help me. Please, please help me! I\'m being hunted down by a mob of people. I\'ll be rip to pieces if you don\'t protect me! Please! Please!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '2', 'a_greet', 'This thief has been stealing supplies from us for months. We finally have proof that it was him, but the Empire doesn\'t want to waste resources picking him up. So we\'re here to deal out some of our own justice. Get out of our way unless you want some too!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '3', 'm_yes', 'Oh, you are the best thing that has ever happened to me! Thank you! Thank you!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '4', 'm_no', 'I think I\'m going to cry. Oh why me? Why won\'t anyone help me?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '5', 'm_thank_combat', 'You saved me! Oh, but I got to get out of this area. Find a new home for my droid and me. Thank you for saving me.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '7', 'a_greet_rebel', 'This thief has been stealing supplies from us for months. We finally have proof that it was him, but the lousy Empire doesn\'t want to waste resources picking him up. So we\'re here to deal out some of our own justice. Get out of our way unless you want some too!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '8', 'a_greet_imperial', 'This thief has been stealing supplies from us for months. We finally have proof that it was him, but your Empire doesn\'t want to waste resources picking him up. So we\'re here to deal out some of our own justice. Get out of our way unless you want some too!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '9', 'm_maybe', 'Please talk to them then, maybe they will listen to you.  ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '10', 'a_no', 'You should have gotten out of our way.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '11', 'a_yes', 'Let\'s get him! ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '12', 'a_maybe', 'Mostly oil. We\'re in short supply of that around here. Yes, we want it back.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '13', 'a_no_negotiate', 'I said get out of our way. You aren\'t the law in these parts.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '14', 'm_will_negotiate', 'I needed that oil. My droid has been in terrible shape. He\'s. it\'s the only friend I have. I just could let him rust to nothing. I stole the oil to keep him alive. I\'ll do anything to save him. Ask them if there is a way I can work off my debt.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '15', 'm_no_negotiate', 'I needed that oil. My droid has been in terrible shape. He\'s. it\'s the only friend I have. I just could let him rust to nothing. I stole the oil to keep him alive.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '16', 'a_decline_offer', 'He did it for a droid? What kind of lame excuse is that? Come on, let\'s teach him a lesson!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '17', 'a_accept_offer', 'He did it for a droid? Well, I suppose we could give him the opportunity to pay us back. There is a lot of work to be done around here. A free pair of hands would really help us out.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '18', 'm_negotiate_greet', 'Well? What did they say? Oh please, let it be good news. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '19', 'response_yes', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '20', 'response_no', 'No');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '21', 'response_maybe', 'Maybe');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '22', 'response_negotiate', 'What did he steal from you? Maybe we can get him to return it. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '23', 'm_thank_negotiate', 'Thank you so much. My droid will be so happy when he hears that I\'m not going to prison.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '24', 'm_waiting', 'I hear them coming. They found me. Oh no!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '25', 'a_greet_m', 'There he is! It\'s time to bring you to justice, you little thief.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '26', 'm_greet_a', 'No, please, don\'t. I can\'t go to prison. Please just let me go this once and I\'ll leave. I won\'t come back here, I promise. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '27', 'a_respond_m_1', 'We\'re not going to let you steal from us and then just walk away. Come with us now or we\'ll make you come.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '29', 'a_thank_combat', 'Let that be a lesson to anyone who even thinks about stealing from us.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '30', 'a_thank_negotiate', 'I guess we over reacted a bit there. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '32', 'minion_1', 'The Empire won\'t bother with local disputes, so we gots to take matters into our own hands!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '33', 'minion_2', 'This thief has stolen thousands of credits worth of oil from my garage. Other people\'s too.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '34', 'minion_3', 'A good beating ought to teach him not to steal.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '35', 'minion_4', 'He\'s an odd one. He lives out in the boonies all by himself. Some people claims he treats his droid like it was a real person. My aunt once saw him crying when his droid\'s restraining bolt came loose and it tried to run away. He creeps me out. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '37', 'minion_5', 'We have got to make an example out of him. I\'m tired of people thinking they can take things that don\'t belong to them. There is no excuse for stealing. Well, maybe stealing food to feed a starving family, but he doesn\'t even have a family!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '38', 'a_greet_mad', 'Look, that thief has a friend! Get them! ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '39', 'a_waiting', 'Well, we\'re waiting. This is your last chance to come peacefully.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '40', 'a_negotiate_fail', 'You\'re wasting our time! ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '41', 'a_thank_negotiate_again', 'We\'ll make sure he works off his debt. It is pretty sad that he did it for a droid.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '42', 'a_brushoff', 'We don\'t need your kind around here. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '43', 'a_tired_waiting', 'All right, you\'ve wasted enough of our time. Let\'s teach him not to steal from us.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '44', 'a_no_progress', 'Get out of here. You aren\'t wanted.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '47', 'm_saved', 'I\'m rescued! I\'m rescued! Just wait until I tell my droid about this day. He will never believe me. You don\'t have any spare oil on you, do you?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '48', 'm_betrayed', 'Oh no! Why? Why are you helping them? No, please don\'t! Please! That\'s it, I\'ve got to defend myself and my droid!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '49', 'm_sorry', 'I wish I could repay you, but I don\'t have anything. It\'s just me and my droid, and he doesn\'t even work that well.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '50', 'a_accept_offer_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '51', 'a_accept_offer_mood', 'Uncertain');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '52', 'a_accept_offer_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '53', 'm_yes_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '54', 'm_yes_mood', 'Exuberant');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '55', 'm_yes_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '56', 'm_will_negotiate_chat', 'confess');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '57', 'm_will_negotiate_mood', 'Sheepish');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '58', 'm_will_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '59', 'm_waiting_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '60', 'm_waiting_mood', 'Panicked');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '61', 'm_waiting_act', 'Squirm');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '62', 'm_thank_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '63', 'm_thank_negotiate_mood', 'Thankful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '64', 'm_thank_negotiate_act', 'Smile');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '65', 'm_thank_combat_chat', 'Babble');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '66', 'm_thank_combat_mood', 'Thankful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '67', 'm_thank_combat_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '68', 'm_sorry_chat', 'explain');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '69', 'm_sorry_mood', 'Regretful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '70', 'm_sorry_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '71', 'm_saved_chat', 'Exclaim');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '72', 'm_saved_mood', 'Joyful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '73', 'm_saved_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '74', 'm_no_negotiate_chat', 'confess');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '75', 'm_no_negotiate_mood', 'Sheepish');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '76', 'm_no_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '77', 'm_negotiate_greet_chat', 'Inquire');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '78', 'm_negotiate_greet_mood', 'Fearful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '79', 'm_negotiate_greet_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '80', 'm_maybe_chat', 'Plead');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '81', 'm_maybe_mood', 'Hopeful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '82', 'm_maybe_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '83', 'm_greet_a_chat', 'reply');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '84', 'm_greet_a_mood', 'Terrified');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '85', 'm_greet_a_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '88', 'm_greet_act', 'cry');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '89', 'm_betrayed_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '90', 'm_betrayed_mood', 'Shout');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '91', 'm_betrayed_act', 'Shake');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '92', 'a_yes_chat', 'Shout');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '93', 'a_yes_mood', 'Bloodthirsty');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '94', 'a_yes_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '95', 'a_waiting_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '96', 'a_waiting_mood', 'Angry');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '97', 'a_waiting_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '98', 'a_tired_waiting_chat', 'Shout');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '99', 'a_tired_waiting_mood', 'Enraged');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '100', 'a_tired_waiting_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '101', 'a_thank_negotiate_again_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '102', 'a_thank_negotiate_again_mood', 'Disdainful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '103', 'a_thank_negotiate_again_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '104', 'a_thank_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '105', 'a_thank_negotiate_mood', 'Reluctant');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '106', 'a_thank_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '107', 'a_thank_combat_chat', 'Preach');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '108', 'a_thank_combat_mood', 'Cold');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '109', 'a_thank_combat_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '110', 'a_respond_m_1_chat', 'Bellow');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '111', 'a_respond_m_1_mood', 'Scornful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '112', 'a_respond_m_1_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '113', 'a_no_progress_chat', 'Huff');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '114', 'a_no_progress_mood', 'Dismiss');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '115', 'a_no_progress_act', 'snarl');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '116', 'a_no_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '117', 'a_no_negotiate_mood', 'Offended');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '118', 'a_no_negotiate_act', 'Dismiss');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '119', 'a_no_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '120', 'a_no_mood', 'Angry');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '121', 'a_no_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '122', 'a_negotiate_fail_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '123', 'a_negotiate_fail_mood', 'Scornful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '124', 'a_negotiate_fail_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '125', 'a_maybe_chat', 'Respond');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '126', 'a_maybe_mood', 'Bitter');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '127', 'a_maybe_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '130', 'a_greet_rebel_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '131', 'a_greet_mad_chat', 'yell');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '132', 'a_greet_mad_mood', 'Bloodthirsty');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '133', 'a_greet_mad_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '134', 'a_greet_m_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '135', 'a_greet_m_mood', 'Vengeful');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '136', 'a_greet_m_act', 'Blame');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '139', 'a_greet_imperial_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '142', 'a_greet_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '143', 'a_decline_offer_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '144', 'a_decline_offer_mood', 'Disgusted');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '145', 'a_decline_offer_act', 'shake');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '146', 'a_brushoff_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '147', 'a_brushoff_mood', 'Rude');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '148', 'a_brushoff_chat', 'Huff');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '149', 'm_rejected', 'Why does this always happen to me?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '150', 'm_rejected_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '151', 'm_rejected_chat', 'whine');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/thief_mob.stf', '152', 'm_rejected_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '1', 'm_greet', 'Hey there...! Don\'t suppose you could lend me a hand? There\'s a pack of thugs about to corner us, and I think they\'re liable to kill me if I don\'t spill a little secret... I have the coordinates to a valuable wreck that offers thousands of credits worth in salvage money. And they want the money too.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '2', 'a_greet', 'We were partners in a salvage operation. There\'s thousands of credits to be made, but we don\'t have the coordinates of the wreck. And now, that scum is saying that the partnership is over--after we\'ve already sunk our money and time into it? No way! We want a cut!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '3', 'm_yes', 'If you can just shoot at them a bit, get them to run away--that would be great.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '4', 'm_no', 'Darn.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '5', 'm_thank_combat', 'Well, thanks for helping out! But I\'m not gonna share the secret with you either. Too many people out for a fast credit these days.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '7', 'a_greet_rebel', 'We were partners in a salvage operation. There\'s thousands of credits to be made, but we don\'t have the coordinates of the wreck. And now, that scum is saying that the partnership is over--after we\'ve already sunk our money and time into it? No way! We want a cut!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '8', 'a_greet_imperial', 'We were partners in a salvage operation. There\'s thousands of credits to be made, but we don\'t have the coordinates of the wreck. And now, that scum is saying that the partnership is over--after we\'ve already sunk our money and time into it? No way! We want a cut!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '9', 'm_maybe', 'Well, try talking to them when they get here. Maybe they\'ll see reason. But I doubt it. I didn\'t pick them as partners because they were the reasonable type.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '10', 'a_no', 'It\'s bad form to doublecross a fellow salvager. You\'ll regret this.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '11', 'a_yes', 'Then how about you clear on out of here?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '12', 'a_maybe', 'Well, then, see if you can get the coordinates for the wreck out of that stubborn bantha-brain.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '13', 'a_no_negotiate', 'What, you trying to jump our claim? Get out of here before we blast a nice hole in your head.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '14', 'm_will_negotiate', 'What if I offer to get them back in on it, but at a third share instead of half? After all, they\'re only putting up some of the money, I have to deal with smuggling the goods out of the area.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '15', 'm_no_negotiate', 'No way am I going to split the profit with these scruffy idiots.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '16', 'a_decline_offer', 'Not good enough. C\'mon, gang, let\'s deal with this doublecrosser!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '17', 'a_accept_offer', 'A third, eh? Well, I suppose that point about smuggling is a good one. I wouldn\'t like to get picked up by the Empire and interrogated. Alright, we accept.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '18', 'm_negotiate_greet', 'So, did they go for the offer?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '19', 'response_yes', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '20', 'response_no', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '21', 'response_maybe', 'Maybe.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '22', 'response_negotiate', 'Are you willing to try to settle this honorably?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '23', 'm_thank_negotiate', 'Thanks for calming them down. They were too mad to shoot straight, probably, but I might have been hurt.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '24', 'm_waiting', 'They should show up any minute, they were hot on my trail.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '25', 'a_greet_m', 'There you are! Look, we want the coordinates to that wreck! A deal\'s a deal!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '26', 'm_greet_a', 'After how you were talking about cutting me out of the profits? I don\'t think so!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '27', 'a_respond_m_1', 'It was a JOKE. We were ready to do this fair and square. You clearly aren\'t!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '29', 'a_thank_combat', 'Figures he\'d die without telling us the coordinates. Now we\'re out all those credits.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '30', 'a_thank_negotiate', 'Well, we can\'t cut you in the deal, but thanks for the help getting the argument settled. I guess we all got a bit hot under the collar there.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '32', 'minion_1', 'How are we going to get back our money?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '33', 'minion_2', 'Mother always told me never to get involved with a smuggler.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '34', 'minion_3', 'I just want to know the coordinates to the wreck.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '35', 'minion_4', 'I\'m an orphan. I have been searching long and hard for word of my family. I have high hopes that I am actually a scion of a noble and long-lived line of great nobility, left abandoned by my parents under persecution. I believe that this wreck is the place to find the hidden secrets of my birth, and so I fell in with this motley crew.... actually, I\'m just here for the money. Why are you talking to me anyway?');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '37', 'minion_5', 'Let\'s kill him! After we get the coordinates, of course.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '38', 'a_greet_mad', 'You\'re helping this lying doublecrosser? Well, we can take care of you too!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '39', 'a_waiting', 'Well, what are you going to do? If you don\'t do something soon, I\'m just going to take out this cheat here and write off the loss in credits!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '40', 'a_negotiate_fail', 'What a waste of time.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '41', 'a_thank_negotiate_again', 'Thanks again for sorting this out. Once we find the wreck, I\'m sure we can, uh, re-negotiate the percentages. I have leverage, if you know what I mean. ');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '42', 'a_brushoff', 'Get lost. We\'re out a ton of credits now, and it doesn\'t make us happy. Be glad we don\'t take it out of your hide.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '43', 'a_tired_waiting', 'OK, that\'s enough waiting. Tell us the coordinates!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '44', 'a_no_progress', 'Get lost. I don\'t have time to waste on you.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '47', 'm_saved', 'Well, good riddance to them. I would have died before telling them the coordinates. Besides, they never knew the wreck wasn\'t really worth anything--I just needed to get there to try to recover some archaelogical data. See, you have to be careful when dealing with thugs!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '48', 'm_betrayed', 'Oh no, you don\'t! I might have doublecrossed them, but I won\'t let you doublecross me!');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '49', 'm_sorry', 'Well, sorry I can\'t offer a reward, but in point of fact the wreck is worthless. I\'m an archaeologist, and I just wanted backing for this trip. I kind of tricked them into giving it.');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '50', 'a_accept_offer_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '51', 'a_accept_offer_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '52', 'a_accept_offer_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '53', 'm_yes_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '54', 'm_yes_mood', 'encouraging');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '55', 'm_yes_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '56', 'm_will_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '57', 'm_will_negotiate_mood', 'sly');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '58', 'm_will_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '59', 'm_waiting_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '60', 'm_waiting_mood', 'lofty');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '61', 'm_waiting_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '62', 'm_thank_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '63', 'm_thank_negotiate_mood', 'fastidious');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '64', 'm_thank_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '65', 'm_thank_combat_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '66', 'm_thank_combat_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '67', 'm_thank_coombat_act', 'pompous');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '68', 'm_sorry_chat', 'whisper');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '69', 'm_sorry_mood', 'sly');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '70', 'm_sorry_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '71', 'm_saved_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '72', 'm_saved_mood', 'pedantic');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '73', 'm_saved_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '74', 'm_no_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '75', 'm_no_negotiate_mood', 'contemptuous');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '76', 'm_no_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '77', 'm_negotiate_greet_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '78', 'm_negotiate_greet_mood', 'suspicious');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '79', 'm_negotiate_greet_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '80', 'm_maybe_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '81', 'm_maybe_mood', 'pompous');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '82', 'm_maybe_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '83', 'm_greet_a_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '84', 'm_greet_a_mood', 'indignant');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '85', 'm_greet_a_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '88', 'm_greet_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '89', 'm_betrayed_chat', 'huff');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '90', 'm_betrayed_mood', 'wary');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '91', 'm_betrayed_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '92', 'a_yes_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '93', 'a_yes_mood', 'annoyed');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '94', 'a_yes_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '95', 'a_waiting_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '96', 'a_waiting_mood', 'angry');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '97', 'a_waiting_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '98', 'a_tired_waiting_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '99', 'a_tired_waiting_mood', 'threaten');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '100', 'a_tired_waiting_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '101', 'a_thank_negotiate_again_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '102', 'a_thank_negotiate_again_mood', 'sly');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '103', 'a_thank_negotiate_again_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '104', 'a_thank_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '105', 'a_thank_negotiate_mood', 'embarrassed');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '106', 'a_thank_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '107', 'a_thank_combat_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '108', 'a_thank_combat_mood', 'disgusted');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '109', 'a_thank_combat_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '110', 'a_respond_m_1_chat', 'interject');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '111', 'a_respond_m_1_mood', 'disgusted');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '112', 'a_respond_m_1_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '113', 'a_no_progress_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '114', 'a_no_progress_mood', 'annoyed');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '115', 'a_no_progress_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '116', 'a_no_negotiate_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '117', 'a_no_negotiate_mood', 'angry');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '118', 'a_no_negotiate_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '119', 'a_no_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '120', 'a_no_mood', 'angry');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '121', 'a_no_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '122', 'a_negotiate_fail_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '123', 'a_negotiate_fail_mood', 'annoyed');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '124', 'a_negotiate_fail_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '125', 'a_maybe_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '126', 'a_maybe_mood', 'annoyed');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '127', 'a_maybe_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '130', 'a_greet_rebel_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '131', 'a_greet_mad_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '132', 'a_greet_mad_mood', 'angry');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '133', 'a_greet_mad_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '134', 'a_greet_m_chat', 'demand');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '135', 'a_greet_m_mood', 'angry');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '136', 'a_greet_m_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '139', 'a_greet_imperial_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '142', 'a_greet_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '143', 'a_decline_offer_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '144', 'a_decline_offer_mood', 'angry');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '145', 'a_decline_offer_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '146', 'a_brushoff_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '147', 'a_brushoff_mood', 'annoyed');
INSERT INTO `client_strings` VALUES ('string/en/poi/deliverance/treasure.stf', '148', 'a_brushoff_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/factoryliberation/basic.stf', '1', 'a_greet', 'I\'ve never seen you before...what are you doing out here?  This facility is off limits to outsiders.');
INSERT INTO `client_strings` VALUES ('string/en/poi/factoryliberation/basic.stf', '2', 'r_greet_maybehelp', 'Hey, I\'m looking for work.  Maybe you have something I can do to help out here?');
INSERT INTO `client_strings` VALUES ('string/en/poi/factoryliberation/basic.stf', '4', 'a_rejecthelp', 'We don\'t need your help.  We have enough \'help\' over in that containment area.  Unless you want to join them, you\'ll turn around and walk back the way you came.');
INSERT INTO `client_strings` VALUES ('string/en/poi/factoryliberation/basic.stf', '5', 'r_greet_insult', 'Fine, I don\'t want to waste my time talking to you anyway.');
INSERT INTO `client_strings` VALUES ('string/en/poi/factoryliberation/basic.stf', '6', 'a_insult', 'If you don\'t turn around and leave, you\'ll have plenty of time to waste in the containment pen with the other workers.');
INSERT INTO `client_strings` VALUES ('string/en/poi/factoryliberation/basic.stf', '7', 'a_mood_angry', 'Angry');
INSERT INTO `client_strings` VALUES ('string/en/poi/factoryliberation/basic.stf', '8', 'a_attackafterinsult', 'Alright, punk, I\'ve had enough of your snooping around.');
INSERT INTO `client_strings` VALUES ('string/en/poi/factoryliberation/basic.stf', '9', 'a_angryaftermaybehelp', 'There isn\'t any work for you here.  Go away!  I\'m being friendly.  I won\'t ask you again.');
INSERT INTO `client_strings` VALUES ('string/en/poi/factoryliberation/basic.stf', '10', 'm_greet_0', 'Nice to finally see a friendly face.  My compatriots and I were captured by this pirate gang and forced to work in their munitions factory.  Two of my friends were already killed in a detonator accident.  If you can find some way to help us escape, we\'ll be forever in your debt.');
INSERT INTO `client_strings` VALUES ('string/en/poi/factoryliberation/basic.stf', '11', 'm_greet_1', 'I see you\'ve talked to the gang leader.  He\'s a filthy kind of scum.  Raided my farm and captured us all.  He\'s forcing us to work in that munitions factory.  Two my friends have already been killed.  Please help us, we can\'t hold out much longer.');
INSERT INTO `client_strings` VALUES ('string/en/poi/factoryliberation/basic.stf', '12', 'r_m_greet_yeshelp', 'Your story is a sad one and I will help you if I can.  I\'ll see what I can do, although these pirates seem well equipped.');
INSERT INTO `client_strings` VALUES ('string/en/poi/factoryliberation/basic.stf', '13', 'r_m_greet_nohelp', 'I sympathize with your position, but I like being on this side of a containment grid.  Goodbye.');
INSERT INTO `client_strings` VALUES ('string/en/poi/factoryliberation/basic.stf', '14', 'm_yeshelp', 'By all that is sacred!  You will help us?  I can\'t believe this.  We\'ve been working to weaken one of the walls of the containment grid.  A few blaster shots should destroy it.  If you do this, we will truly be in your debt.');
INSERT INTO `client_strings` VALUES ('string/en/poi/factoryliberation/basic.stf', '15', 'm_nohelp', 'I have a family!  I have children and yet you would leave me here to work until I die?');
INSERT INTO `client_strings` VALUES ('string/en/poi/factoryliberation/basic.stf', '16', 'm_helpyet', 'Why haven\'t you attacked?  If you do not hurry the pirates may become suspicious.');
INSERT INTO `client_strings` VALUES ('string/en/poi/factoryliberation/basic.stf', '17', 'm_disdain', 'You sicken me.');
INSERT INTO `client_strings` VALUES ('string/en/poi/factoryliberation/basic.stf', '18', 'a_nohelp', 'Hahaha, I saw you talking to that bastard farmer.  Refused his pleas, eh?  A smart decision.  Now you had best move on as I have no interest in talking to you any longer.');
INSERT INTO `client_strings` VALUES ('string/en/poi/factoryliberation/basic.stf', '19', 'a_yeshelp', 'I saw you talking to that prisoner.  Leave now if you want to keep your hide.');
INSERT INTO `client_strings` VALUES ('string/en/poi/factoryliberation/basic.stf', '20', 'a_title', 'Captain');
INSERT INTO `client_strings` VALUES ('string/en/poi/factoryliberation/basic.stf', '21', 'm_title', 'Land Owner');
INSERT INTO `client_strings` VALUES ('string/en/poi/factoryliberation/basic.stf', '22', 'mm_title', 'Farmer');
INSERT INTO `client_strings` VALUES ('string/en/poi/factoryliberation/basic.stf', '24', 'm_minion_1', 'My master, the Land Owner, has a plan to set us free.');
INSERT INTO `client_strings` VALUES ('string/en/poi/factoryliberation/basic.stf', '25', 'm_minion_2', 'We\'ve been forced to work by the pirates in their factory.');
INSERT INTO `client_strings` VALUES ('string/en/poi/factoryliberation/basic.stf', '26', 'm_minion_3', 'I\'ll probably never see my family again, if the Land Owner\'s plans fail.');
INSERT INTO `client_strings` VALUES ('string/en/poi/factoryliberation/basic.stf', '27', 'm_minion_4', 'If the pirates see you, you\'ll soon be in here with us.  Go speak with the leader of our group, the Land Owner.  With your help, we could escape!');
INSERT INTO `client_strings` VALUES ('string/en/poi/factoryliberation/basic.stf', '29', 'm_minion_destroywall', 'The pirates are all dead?  We can\'t escape until the prison walls are destroyed.  Fire on the wall and set us free!');
INSERT INTO `client_strings` VALUES ('string/en/poi/factoryliberation/basic.stf', '30', 'm_minion_thanks', 'You saved us!  How can we ever repay you?');
INSERT INTO `client_strings` VALUES ('string/en/poi/factoryliberation/basic.stf', '31', 'm_minion_saved', 'I can see my family again!');
INSERT INTO `client_strings` VALUES ('string/en/poi/factoryliberation/basic.stf', '32', 'm_minion_killantagonists', 'We dare not escape until all of the pirates are dead!');
INSERT INTO `client_strings` VALUES ('string/en/poi/factoryliberation/basic.stf', '33', 'm_destroywall', 'Amazing!  You defeated the pirates!  The prison walls still stand.  Destroy the damaged wall and set us free!');
INSERT INTO `client_strings` VALUES ('string/en/poi/factoryliberation/basic.stf', '34', 'm_thanks', 'You cannot comprehend our gratitude.  We owe you our lives.  Bear this mark as a symbol of your heroic altruism!');
INSERT INTO `client_strings` VALUES ('string/en/poi/factoryliberation/basic.stf', '35', 'm_saved', 'We\'re saved!');
INSERT INTO `client_strings` VALUES ('string/en/poi/factoryliberation/basic.stf', '36', 'weakened_wall_name', 'Weakened Wall');
INSERT INTO `client_strings` VALUES ('string/en/poi/factoryliberation/basic.stf', '37', 'a_minion_1', 'Go talk to the Captain, I don\'t have the rank to set up any deals.');
INSERT INTO `client_strings` VALUES ('string/en/poi/factoryliberation/basic.stf', '38', 'a_minion_2', 'I\'m on guard duty, go talk to the Captain if your looking for work.  Heh, heh.');
INSERT INTO `client_strings` VALUES ('string/en/poi/factoryliberation/basic.stf', '39', 'a_minion_3', 'Are you a new recruit?  Go report to the Captain.');
INSERT INTO `client_strings` VALUES ('string/en/poi/factoryliberation/basic.stf', '40', 'a_minion_4', 'You should leave.  Now.  If you bother the Captain things could get ugly.');
INSERT INTO `client_strings` VALUES ('string/en/poi/factoryliberation/basic.stf', '42', 'm_killantagonists', 'You\'ve managed to bring down the wall!  There are still pirates alive, however.  We can\'t escape until they are all dead.');
INSERT INTO `client_strings` VALUES ('string/en/poi/factoryliberation/basic.stf', '43', 'm_somepiratesdead', 'Some of the pirates holding us captive have been slain!  We are being saved!');
INSERT INTO `client_strings` VALUES ('string/en/poi/factoryliberation/basic.stf', '44', 'm_killingpirates', 'You are attacking the pirates?  You have our gratitude.  You must defeat them all for us to be safe.');
INSERT INTO `client_strings` VALUES ('string/en/poi/factoryliberation/basic.stf', '45', 'a_defendwall', 'Defend the wall!  The enemy is trying to free the workers!');
INSERT INTO `client_strings` VALUES ('string/en/poi/factoryliberation/basic.stf', '46', 'm_celebratewall', 'That\'s it!  Destroy that wall and we\'ll be free!');
INSERT INTO `client_strings` VALUES ('string/en/poi/factoryliberation/basic.stf', '47', 'm_minion_celebratewall', 'Go go go!  Bring it down!');
INSERT INTO `client_strings` VALUES ('string/en/poi/factoryliberation/basic.stf', '48', 'm_walldamaged', 'The wall is damaged!  Keep hitting it!');
INSERT INTO `client_strings` VALUES ('string/en/poi/factoryliberation/basic.stf', '49', 'm_minion_walldamaged', 'The wall looks pretty bad, keep blasting it!');
INSERT INTO `client_strings` VALUES ('string/en/poi/factoryliberation/basic.stf', '50', 'm_freedom', 'Free at last!  Being forced to work in this factory was truly a nightmare!');
INSERT INTO `client_strings` VALUES ('string/en/poi/factoryliberation/basic.stf', '51', 'm_letsgo', 'Okay boys, let\'s get out of this hell hole!');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '1', 'a_greet', 'hello there... I am the antagonist leader and I am gonna attempt to convince you all to help us. will you?');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '2', 'a_greet_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '3', 'a_greet_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '4', 'a_greet_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '5', 'a_mad', 'you said you would help them?! die scum!');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '6', 'a_mad_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '7', 'a_mad_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '8', 'a_mad_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '9', 'a_prep', 'we are getting ready... it wont be much longer!');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '10', 'a_prep_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '11', 'a_prep_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '12', 'a_prep_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '13', 'a_rejected', 'you said no jerky... no go away before we warm up on you!');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '14', 'a_rejected_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '15', 'a_rejected_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '16', 'a_rejected_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '17', 'a_enroute', 'just get us there quickly... ok?');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '18', 'a_enroute_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '19', 'a_enroute_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '24', 'a_victory', 'antagonist leader doing a lil victory dance!');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '25', 'a_victory_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '26', 'a_victory_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '27', 'a_victory_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '28', 'a_yes', 'you answered yes! great... here is a way point... we\'ll be getting ready then we\'ll follow you over there. k? k.');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '29', 'a_yes_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '30', 'a_yes_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '31', 'a_yes_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '32', 'a_no', 'you answered no? whatever...');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '33', 'a_no_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '34', 'a_no_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '35', 'a_no_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '36', 'a_minion_1', 'im just a minion - go talk to the leader');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '37', 'a_minion_1_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '38', 'a_minion_1_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '39', 'a_minion_1_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '40', 'a_minion_2', 'random minion text 2');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '41', 'a_minion_2_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '42', 'a_minion_2_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '43', 'a_minion_2_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '44', 'a_minion_3', 'random minion text 3');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '45', 'a_minion_3_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '46', 'a_minion_3_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '47', 'a_minion_3_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '48', 'a_minion_4', 'random minion text 4');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '49', 'a_minion_4_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '50', 'a_minion_4_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '51', 'a_minion_4_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '52', 'a_minion_5', 'random minion text 5');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '53', 'a_minion_5_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '54', 'a_minion_5_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '55', 'a_minion_5_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '56', 'a_cadence', '4... and 3... and 2... and 1...');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '57', 'a_cadence_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '58', 'a_cadence_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '59', 'a_cadence_response', 'we gonna go and have us some fun');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '60', 'a_minion_victory_1', 'we won - you suck');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '61', 'a_minion_victory_1_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '62', 'a_minion_victory_1_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '63', 'a_minion_victory_1_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '64', 'a_minion_victory_2', 'yeehaw');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '65', 'a_minion_victory_2_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '66', 'a_minion_victory_2_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '67', 'a_minion_victory_2_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '68', 'a_minion_victory_3', 'whoopee');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '69', 'a_minion_victory_3_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '70', 'a_minion_victory_3_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '71', 'a_minion_victory_3_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '72', 'a_minion_victory_4', 'minion victory smack talking 4');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '73', 'a_minion_victory_4_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '74', 'a_minion_victory_4_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '75', 'a_minion_victory_4_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '76', 'a_minion_victory_5', 'minion victory smack talking 5');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '77', 'a_minion_victory_5_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '78', 'a_minion_victory_5_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '79', 'a_minion_victory_5_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '80', 'a_thank_combat', 'thank you for assisting us in combat! kudos to you');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '81', 'a_thank_combat_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '82', 'a_thank_combat_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '83', 'a_thank_combat_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '84', 'a_brushoff', 'go away. you didnt do anything to help us!');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '85', 'a_brushoff_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '86', 'a_brushoff_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '87', 'a_brushoff_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '88', 'a_incombat_1', 'stop bothering me... and this guy is already taken!');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '89', 'a_incombat_2', 'you like that? want more?');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '90', 'a_incombat_3', 'random garble and taunt 3');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '91', 'a_incombat_4', 'random garble and taunt 4');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '92', 'a_incombat_5', 'random garble and taunt 5');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '93', 'a_unknown', 'i dunno wtf I was supposed to say here cuz I think something unloaded');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '94', 'a_charge', 'you, mediator people, are bad people... DIE!');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '95', 'a_charge_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '96', 'a_charge_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '97', 'a_enemy_attack', 'what are they doing attacking us?? to arms!!');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '98', 'a_enemy_attack_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '99', 'a_enemy_attack_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '100', 'm_greet', 'hello hello hello. care to help us do something that you probably have no idea what you are getting yourself into?');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '101', 'm_greet_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '102', 'm_greet_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '103', 'm_greet_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '104', 'm_mad', 'blah blah blah - you agreed to help baddies. die!');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '105', 'm_mad_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '106', 'm_mad_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '107', 'm_mad_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '108', 'm_prep', 'we gettin ready... just another sec');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '109', 'm_prep_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '110', 'm_prep_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '111', 'm_prep_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '112', 'm_rejected', 'I am feeling rejected... boo whooo');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '113', 'm_rejected_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '114', 'm_rejected_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '115', 'm_rejected_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '116', 'm_enroute', 'yes yes... we are enroute to do  something i never thought i would do...');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '117', 'm_enroute_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '118', 'm_enroute_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '123', 'm_victory', 'i am mediator leader give my guys props for winning!');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '124', 'm_victory_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '125', 'm_victory_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '126', 'm_victory_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '127', 'm_yes', 'yes? great... we\'ll be over here in the corner putting on clean skivvies in case we end up in a hospoital...');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '128', 'm_yes_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '129', 'm_yes_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '130', 'm_yes_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '131', 'm_no', 'what? no? bah!');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '132', 'm_no_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '133', 'm_no_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '134', 'm_no_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '135', 'm_minion_1', 'random minion text 1');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '136', 'm_minion_1_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '137', 'm_minion_1_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '138', 'm_minion_1_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '139', 'm_minion_2', 'random minion text 2');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '140', 'm_minion_2_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '141', 'm_minion_2_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '142', 'm_minion_2_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '143', 'm_minion_3', 'random minion text 3');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '144', 'm_minion_3_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '145', 'm_minion_3_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '146', 'm_minion_3_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '147', 'm_minion_4', 'random minion text 4');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '148', 'm_minion_4_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '149', 'm_minion_4_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '150', 'm_minion_4_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '151', 'm_minion_5', 'random minion text 5');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '152', 'm_minion_5_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '153', 'm_minion_5_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '154', 'm_minion_5_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '155', 'm_cadence', 'we were afraid until you came...');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '156', 'm_cadence_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '157', 'm_cadence_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '158', 'm_cadence_response', 'but, now, if we die, we have you to blame...');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '159', 'm_minion_victory_1', 'OMG we did it!');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '160', 'm_minion_victory_1_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '161', 'm_minion_victory_1_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '162', 'm_minion_victory_1_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '163', 'm_minion_victory_2', 'i think I soiled myself');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '164', 'm_minion_victory_2_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '165', 'm_minion_victory_2_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '166', 'm_minion_victory_2_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '167', 'm_minion_victory_3', 'its miller time!');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '168', 'm_minion_victory_3_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '169', 'm_minion_victory_3_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '170', 'm_minion_victory_3_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '171', 'm_minion_victory_4', 'who\'s bad...');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '172', 'm_minion_victory_4_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '173', 'm_minion_victory_4_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '174', 'm_minion_victory_4_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '175', 'm_minion_victory_5', 'random minion victory text 5');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '176', 'm_minion_victory_5_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '177', 'm_minion_victory_5_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '178', 'm_minion_victory_5_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '179', 'm_thank_combat', 'gee whiz... you really helped us out. thanks man!');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '180', 'm_thank_combat_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '181', 'm_thank_combat_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '182', 'm_thank_combat_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '183', 'm_brushoff', 'ya ya ya... we won... but you did nothing... so go away annoying person...');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '184', 'm_brushoff_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '185', 'm_brushoff_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '186', 'm_brushoff_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '187', 'm_incombat_1', 'ouch that hurt');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '188', 'm_incombat_2', 'oh, i broke a nail');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '189', 'm_incombat_3', 'DUCK!');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '190', 'm_incombat_4', 'FIRE IN THE HOLE!!');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '191', 'm_incombat_5', 'wow... this is more fun than expected!');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '192', 'm_unknown', 'brainfart ocurring... why? prolly cuz I lost track of an object...');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '193', 'm_charge', 'i am tired of being scared, tired of being persecuted, tired of being oppressed... WTH... charge!');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '194', 'm_charge_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '195', 'm_charge_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '196', 'm_enemy_attack', 'take cover!! here they come!!');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '197', 'm_enemy_attack_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '198', 'm_enemy_attack_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '199', 'a_rtg', 'ok ya\'ll. we ret to go');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '200', 'a_rtg_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '201', 'a_rtg_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '202', 'm_rtg', 'all set!');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '203', 'm_rtg_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '204', 'm_rtg_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '205', 'a_follow_expire', 'need a map? better yet, why dont you just stay here and we will go do our thing...');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '206', 'a_follow_expire_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '207', 'a_follow_expire_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '208', 'm_follow_expire', 'uh... its that big blue light shining down from the sky.. you go there... but since you took so long... laterz');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '209', 'm_follow_expire_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '210', 'm_follow_expire_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '211', 'm_follow_expire_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '212', 'a_follow_expire_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '213', 'm_runaround', 'you lead us out to BFE and now you wanna talk? we should just kill you ourselves!');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '214', 'm_runaround_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '215', 'm_runaround_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '216', 'm_runaround_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '217', 'a_runaround', 'you gave us the runaround for all that time, and now you want to come back to us? feh. die now.');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '218', 'a_runaround_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '219', 'a_runaround_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '220', 'a_runaround_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '221', 'response_yes', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/poi/family_feud/template.stf', '222', 'response_no', 'No');
INSERT INTO `client_strings` VALUES ('string/en/poi/gangwar/imperial1.stf', '1', 'a_insult1', 'Rebel recidivists: surrender your weapons and put your hands above your heads.');
INSERT INTO `client_strings` VALUES ('string/en/poi/gangwar/imperial1.stf', '2', 'm_insult1_response', 'We aren\'t criminals!  We did nothing illegal!');
INSERT INTO `client_strings` VALUES ('string/en/poi/gangwar/imperial1.stf', '3', 'a_insult2', 'Cooperate with my directive and you will not be harmed.');
INSERT INTO `client_strings` VALUES ('string/en/poi/gangwar/imperial1.stf', '4', 'm_insult2_response', 'Is that a threat?  We haven\'t done anything.  We refuse to be arrested by thugs!');
INSERT INTO `client_strings` VALUES ('string/en/poi/gangwar/imperial1.stf', '5', 'a_insult3', 'We have no desire to use force, but we will if you do not surrender immediately.');
INSERT INTO `client_strings` VALUES ('string/en/poi/gangwar/imperial1.stf', '6', 'm_insult3_response', 'There will be no surrender for the Rebellion!');
INSERT INTO `client_strings` VALUES ('string/en/poi/gangwar/imperial1.stf', '7', 'a_insult4', 'You were sufficiently warned.  Squad, arrest these men.');
INSERT INTO `client_strings` VALUES ('string/en/poi/gangwar/imperial1.stf', '8', 'a_whoareyou', 'Cease and desist, Rebel sympathizer!');
INSERT INTO `client_strings` VALUES ('string/en/poi/gangwar/imperial1.stf', '9', 'a_beast_title', 'enslaved');
INSERT INTO `client_strings` VALUES ('string/en/poi/gangwar/imperial1.stf', '10', 'm_beast_title', 'trained');
INSERT INTO `client_strings` VALUES ('string/en/poi/gangwar/imperial1.stf', '11', 'a_insult1_chat', 'intone');
INSERT INTO `client_strings` VALUES ('string/en/poi/gangwar/imperial1.stf', '12', 'a_insult1_mood', 'callous');
INSERT INTO `client_strings` VALUES ('string/en/poi/gangwar/imperial1.stf', '13', 'a_insult2_mood', 'callous');
INSERT INTO `client_strings` VALUES ('string/en/poi/gangwar/imperial1.stf', '14', 'a_insult2_chat', 'intone');
INSERT INTO `client_strings` VALUES ('string/en/poi/gangwar/imperial1.stf', '15', 'a_insult3_chat', 'intone');
INSERT INTO `client_strings` VALUES ('string/en/poi/gangwar/imperial1.stf', '16', 'a_insult3_mood', 'callous');
INSERT INTO `client_strings` VALUES ('string/en/poi/gangwar/imperial1.stf', '17', 'a_insult4_chat', 'shout');
INSERT INTO `client_strings` VALUES ('string/en/poi/gangwar/imperial1.stf', '18', 'a_insult4_mood', 'callous');
INSERT INTO `client_strings` VALUES ('string/en/poi/gangwar/imperial1.stf', '19', 'm_insult1_response_chat', 'beg');
INSERT INTO `client_strings` VALUES ('string/en/poi/gangwar/imperial1.stf', '20', 'm_insult1_response_mood', 'imploring');
INSERT INTO `client_strings` VALUES ('string/en/poi/gangwar/imperial1.stf', '21', 'm_insult2_response_chat', 'huff');
INSERT INTO `client_strings` VALUES ('string/en/poi/gangwar/imperial1.stf', '22', 'm_insult2_response_mood', 'imploring');
INSERT INTO `client_strings` VALUES ('string/en/poi/gangwar/imperial1.stf', '23', 'm_insult3_response_chat', 'shout');
INSERT INTO `client_strings` VALUES ('string/en/poi/gangwar/imperial1.stf', '24', 'm_insult3_response_mood', 'stubborn');
INSERT INTO `client_strings` VALUES ('string/en/poi/gangwar/imperial1.stf', '25', 'a_whoareyou_chat', 'shout');
INSERT INTO `client_strings` VALUES ('string/en/poi/gangwar/imperial1.stf', '26', 'a_whoareyou_mood', 'angry');
INSERT INTO `client_strings` VALUES ('string/en/poi/gangwar/imperial1.stf', '27', 'm_victory', 'I\'m still alive?  I AM STILL ALIVE!!!  Take THAT you Imperial goons!');
INSERT INTO `client_strings` VALUES ('string/en/poi/gangwar/imperial1.stf', '28', 'm_victory_mood', 'exuberant');
INSERT INTO `client_strings` VALUES ('string/en/poi/gangwar/imperial1.stf', '29', 'm_victory_chat', 'shout');
INSERT INTO `client_strings` VALUES ('string/en/poi/gangwar/imperial1.stf', '30', 'a_victory', 'Rebel uprising pacified.  No further activity detected in this area.  Good job team.');
INSERT INTO `client_strings` VALUES ('string/en/poi/gangwar/imperial1.stf', '31', 'a_victory_chat', 'shout');
INSERT INTO `client_strings` VALUES ('string/en/poi/gangwar/imperial1.stf', '32', 'a_victory_mood', 'callous');
INSERT INTO `client_strings` VALUES ('string/en/poi/gangwar/imperial1.stf', '33', 'a_whatthehell', 'Unit under attack!  Take cover and return fire!');
INSERT INTO `client_strings` VALUES ('string/en/poi/gangwar/imperial1.stf', '34', 'm_whatthehell', 'Not us!  Don\'t shoot at us, we\'re innocent!');
INSERT INTO `client_strings` VALUES ('string/en/poi/gangwar/jabba1.stf', '1', 'a_insult1', 'Jabba set up this meeting so he could send Lady Valarian a message.');
INSERT INTO `client_strings` VALUES ('string/en/poi/gangwar/jabba1.stf', '2', 'm_insult1_response', 'Jabba too afraid to come himself, eh?  Has to send his worrts to do the job?');
INSERT INTO `client_strings` VALUES ('string/en/poi/gangwar/jabba1.stf', '3', 'a_insult2', 'Jabba has a very serious request.  He would like Lady Valarian to stop sitting down.');
INSERT INTO `client_strings` VALUES ('string/en/poi/gangwar/jabba1.stf', '4', 'm_insult2_response', 'Sitting down?  What are you talking about?');
INSERT INTO `client_strings` VALUES ('string/en/poi/gangwar/jabba1.stf', '5', 'a_insult3', 'Apparently several small villages have recently been crushed by your Lady\'s fat posterior.  Jabba is concerned for the welfare of the citizens of our fine planet.');
INSERT INTO `client_strings` VALUES ('string/en/poi/gangwar/jabba1.stf', '6', 'm_insult3_response', 'You filthy silt crawler.  You came here just to insult us?');
INSERT INTO `client_strings` VALUES ('string/en/poi/gangwar/jabba1.stf', '7', 'a_insult4', 'No.  We came to kill you.  ATTACK!');
INSERT INTO `client_strings` VALUES ('string/en/poi/gangwar/jabba1.stf', '8', 'a_whoareyou', 'Another piece of Valarian trash?  Die!');
INSERT INTO `client_strings` VALUES ('string/en/poi/gangwar/jabba1.stf', '11', 'a_insult1_chat', 'say');
INSERT INTO `client_strings` VALUES ('string/en/poi/gangwar/jabba1.stf', '12', 'a_insult1_mood', 'condescending');
INSERT INTO `client_strings` VALUES ('string/en/poi/gangwar/jabba1.stf', '13', 'a_insult2_chat', 'say');
INSERT INTO `client_strings` VALUES ('string/en/poi/gangwar/jabba1.stf', '14', 'a_insult2_mood', 'condescending');
INSERT INTO `client_strings` VALUES ('string/en/poi/gangwar/jabba1.stf', '15', 'a_insult3_chat', 'say');
INSERT INTO `client_strings` VALUES ('string/en/poi/gangwar/jabba1.stf', '16', 'a_insult3_mood', 'condescending');
INSERT INTO `client_strings` VALUES ('string/en/poi/gangwar/jabba1.stf', '17', 'a_insult4_chat', 'shout');
INSERT INTO `client_strings` VALUES ('string/en/poi/gangwar/jabba1.stf', '18', 'a_insult4_mood', 'devious');
INSERT INTO `client_strings` VALUES ('string/en/poi/gangwar/jabba1.stf', '19', 'a_whoareyou_chat', 'shout');
INSERT INTO `client_strings` VALUES ('string/en/poi/gangwar/jabba1.stf', '20', 'a_whoareyou_mood', 'mean');
INSERT INTO `client_strings` VALUES ('string/en/poi/gangwar/jabba1.stf', '21', 'm_insult1_response_chat', 'retort');
INSERT INTO `client_strings` VALUES ('string/en/poi/gangwar/jabba1.stf', '22', 'm_insult1_response_mood', 'scornful');
INSERT INTO `client_strings` VALUES ('string/en/poi/gangwar/jabba1.stf', '23', 'm_insult2_response_chat', 'respond');
INSERT INTO `client_strings` VALUES ('string/en/poi/gangwar/jabba1.stf', '24', 'm_insult2_response_mood', 'petulant');
INSERT INTO `client_strings` VALUES ('string/en/poi/gangwar/jabba1.stf', '25', 'm_insult3_response_chat', 'retort');
INSERT INTO `client_strings` VALUES ('string/en/poi/gangwar/jabba1.stf', '26', 'm_insult3_response_mood', 'enraged');
INSERT INTO `client_strings` VALUES ('string/en/poi/gangwar/jabba1.stf', '27', 'a_victory', 'Jabba will be pleased at our victory.  Drink\'s on me tonight!');
INSERT INTO `client_strings` VALUES ('string/en/poi/gangwar/jabba1.stf', '28', 'a_victory_chat', 'shout');
INSERT INTO `client_strings` VALUES ('string/en/poi/gangwar/jabba1.stf', '29', 'a_victory_mood', 'exuberant');
INSERT INTO `client_strings` VALUES ('string/en/poi/gangwar/jabba1.stf', '30', 'm_victory', 'Jabba\'s men are just a bunch of fat talk, like their boss.  Loot up and let\'s pull out.');
INSERT INTO `client_strings` VALUES ('string/en/poi/gangwar/jabba1.stf', '31', 'm_victory_chat', 'shout');
INSERT INTO `client_strings` VALUES ('string/en/poi/gangwar/jabba1.stf', '32', 'm_victory_mood', 'mean');
INSERT INTO `client_strings` VALUES ('string/en/poi/gangwar/jabba1.stf', '33', 'a_whatthehell', 'What the...I\'m trying to take care of business!  Waste \'em all!');
INSERT INTO `client_strings` VALUES ('string/en/poi/gangwar/jabba1.stf', '34', 'default', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/heromark/basic.stf', '1', 'm_greet', 'Well met, traveler.  What brings you to my small and lonely abode?');
INSERT INTO `client_strings` VALUES ('string/en/poi/heromark/basic.stf', '2', 'r_m_greet', 'I was adventuring and happened across it.  I came to see who lived here.');
INSERT INTO `client_strings` VALUES ('string/en/poi/heromark/basic.stf', '3', 'm_herotalk1', 'Merely an old man.  I keep to myself and tend my books.  I think.  I philosophize.');
INSERT INTO `client_strings` VALUES ('string/en/poi/heromark/basic.stf', '4', 'r_m_herotalk1', 'Out here in the wilderness? Alone?');
INSERT INTO `client_strings` VALUES ('string/en/poi/heromark/basic.stf', '5', 'm_herotalk2', 'I am able to watch after myself.');
INSERT INTO `client_strings` VALUES ('string/en/poi/heromark/basic.stf', '6', 'r_m_herotalk2', 'What do you philosophize about, old man...that is if the winds haven\'t scoured your mind clean by now.');
INSERT INTO `client_strings` VALUES ('string/en/poi/heromark/basic.stf', '7', 'm_herotalk3', 'Such talk.  Mind your manners child.  I philosophize of the state of our worlds.  Of these dark times.');
INSERT INTO `client_strings` VALUES ('string/en/poi/heromark/basic.stf', '8', 'r_m_herotalk3', 'Dark times? What do you know of dark times?');
INSERT INTO `client_strings` VALUES ('string/en/poi/heromark/basic.stf', '9', 'm_herotalk4', 'Pirates and criminals travel freely.  The Old Republic has been shattered.  The Jedi have been hunted to all but extinction.  Over all of this hangs the shadow of the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/poi/heromark/basic.stf', '10', 'r_m_empiregood', 'You speak boldly of what you know little of.  The Empire has brought justice and peace to much of the civilized galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/poi/heromark/basic.stf', '11', 'r_m_empirebad', 'You speak truly.  The Empire rules ruthlessly and unjustly.');
INSERT INTO `client_strings` VALUES ('string/en/poi/heromark/basic.stf', '12', 'm_herotalk5', 'I have no interest in bandying words with you, child.  Educate yourself...seek out enlightenment...then perhaps we might have a civilized discussion.');
INSERT INTO `client_strings` VALUES ('string/en/poi/heromark/basic.stf', '13', 'm_herotalk6', 'It is my belief that the galaxy is in dire need of heros.  Those individuals who have demonstrated beyond doubt their dedication to the path of light.  You are brash and young, but perhaps one day you will become a hero and bring light to this darkened place.');
INSERT INTO `client_strings` VALUES ('string/en/poi/heromark/basic.stf', '14', 'r_m_herotalk6', 'I wish to become a hero.');
INSERT INTO `client_strings` VALUES ('string/en/poi/heromark/basic.stf', '15', 'm_herotalk7', 'A noble intent, but intentions in the face of a challenge are as dust upon a Tatooine windstorm.  One must act and through ones actions one might be proven a hero.');
INSERT INTO `client_strings` VALUES ('string/en/poi/heromark/basic.stf', '16', 'r_m_herotalk7', 'How do I prove that I am a hero?');
INSERT INTO `client_strings` VALUES ('string/en/poi/heromark/basic.stf', '17', 'm_herotalk8', 'Travel the world.  Perform acts that demonstrate your heroism.  Through these actions you will be transformed.  A hero must be honorable, intelligent, courageous, and altruistic.  You must seek to help the world despite the cost.');
INSERT INTO `client_strings` VALUES ('string/en/poi/heromark/basic.stf', '18', 'r_m_herotalk8', 'I will do these things.');
INSERT INTO `client_strings` VALUES ('string/en/poi/heromark/basic.stf', '19', 'm_herotalk9', 'Return to me when you have proven the measure of your character.  An act of honor.  An act of intellect.  An act of courage.  An act of altruism.  Demonstrate to me these characteristics and I will bestow upon you the Symbol of Heroism.');
INSERT INTO `client_strings` VALUES ('string/en/poi/heromark/basic.stf', '20', 'r_m_herotalk9', 'What is the Symbol of Heroism?');
INSERT INTO `client_strings` VALUES ('string/en/poi/heromark/basic.stf', '21', 'm_herotalk10', 'I wasn\'t always an old man.  Many years ago I won many a campaign against the forces of darkness.  I wore the symbol about my neck as a reminder of my cause.  I would pass this thing to the one I believe capable of continuing my work.');
INSERT INTO `client_strings` VALUES ('string/en/poi/heromark/basic.stf', '22', 'r_m_herotalk10', 'I will seek to prove my character.');
INSERT INTO `client_strings` VALUES ('string/en/poi/heromark/basic.stf', '23', 'm_herotalk11', 'Go then.  One cannot become a hero by spending all day chatting with a crazed old man...and may the force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/poi/heromark/basic.stf', '24', 'm_chatter_1', 'Looks like another storm.');
INSERT INTO `client_strings` VALUES ('string/en/poi/heromark/basic.stf', '25', 'm_chatter_2', 'Where did I put that pot at?');
INSERT INTO `client_strings` VALUES ('string/en/poi/heromark/basic.stf', '26', 'm_chatter_3', 'Do I know you?  Did I know you?  I often forget things.');
INSERT INTO `client_strings` VALUES ('string/en/poi/heromark/basic.stf', '27', 'm_chatter_4', 'I feel tired.  Maybe I\'ll lay down for a bit.');
INSERT INTO `client_strings` VALUES ('string/en/poi/heromark/basic.stf', '28', 'm_heroreturned', 'Ah!  The hero returns!  It is good to see you are still well.');
INSERT INTO `client_strings` VALUES ('string/en/poi/heromark/basic.stf', '29', 'm_youareahero', 'I see the marks you bear.  An act of honor.  An act of courage.  An act of intellect.  An act of altruism.  Can it be?  Have I found the one I have sought for so long?');
INSERT INTO `client_strings` VALUES ('string/en/poi/heromark/basic.stf', '30', 'm_youareahero2', 'You have done great things in the name of the light.  I am honored to be in your presence.  Take my Symbol of Heroism and let it remind you of your cause.  Do not forget why you fight.  Good luck, young warrior.');
INSERT INTO `client_strings` VALUES ('string/en/poi/heromark/basic.stf', '31', 'r_m_relatestory', 'Relate the tales of your adventures.');
INSERT INTO `client_strings` VALUES ('string/en/poi/mysteriousdisk/basic.stf', '1', 'm_helpme', 'Help me!  Please help me!');
INSERT INTO `client_strings` VALUES ('string/en/poi/mysteriousdisk/basic.stf', '2', 'm_pleasehelpme', 'You must help me.  They\'ll find me soon.  Please help me...please...');
INSERT INTO `client_strings` VALUES ('string/en/poi/mysteriousdisk/basic.stf', '3', 'm_greet', 'They\'re after me.  Take this, please!');
INSERT INTO `client_strings` VALUES ('string/en/poi/mysteriousdisk/basic.stf', '4', 'r_m_greet_who', 'Who are you? What is this? What must I do with it?');
INSERT INTO `client_strings` VALUES ('string/en/poi/mysteriousdisk/basic.stf', '5', 'm_theycome', 'Oh no, its too late!  Take it, run, go! GO!');
INSERT INTO `client_strings` VALUES ('string/en/poi/mysteriousdisk/basic.stf', '6', 'm_helpme_mood', 'panicked');
INSERT INTO `client_strings` VALUES ('string/en/poi/mysteriousdisk/basic.stf', '7', 'm_pleasehelpme_mood', 'panicked');
INSERT INTO `client_strings` VALUES ('string/en/poi/mysteriousdisk/basic.stf', '8', 'm_helpme_chat', 'shout');
INSERT INTO `client_strings` VALUES ('string/en/poi/mysteriousdisk/basic.stf', '9', 'm_pleasehelpme_chat', 'beg');
INSERT INTO `client_strings` VALUES ('string/en/poi/mysteriousdisk/basic.stf', '10', 'm_desperatehelpme', 'I don\'t know where to go.  If they find me I\'m dead.  You have to help me!');
INSERT INTO `client_strings` VALUES ('string/en/poi/mysteriousdisk/basic.stf', '11', 'm_desperatehelpme_mood', 'panicked');
INSERT INTO `client_strings` VALUES ('string/en/poi/mysteriousdisk/basic.stf', '12', 'm_desperatehelpme_chat', 'shout');
INSERT INTO `client_strings` VALUES ('string/en/poi/mysteriousdisk/basic.stf', '13', 'a_theresheis', 'There she is, waste her.');
INSERT INTO `client_strings` VALUES ('string/en/poi/mysteriousdisk/basic.stf', '14', 'a_theresheis_chat', 'shout');
INSERT INTO `client_strings` VALUES ('string/en/poi/mysteriousdisk/basic.stf', '15', 'a_nodisk', 'There\'s no disk here.  Command must have had the target wrong.');
INSERT INTO `client_strings` VALUES ('string/en/poi/mysteriousdisk/basic.stf', '16', 'a_hasdisk', 'The disk is here.  Mission complete.');
INSERT INTO `client_strings` VALUES ('string/en/poi/mysteriousdisk/basic.stf', '17', 'a_lookingfordisk', 'Target down.  Checking for the disk.');
INSERT INTO `client_strings` VALUES ('string/en/poi/mysteriousdisk/basic.stf', '18', 'itemname', 'Encrypted Datadisk');
INSERT INTO `client_strings` VALUES ('string/en/poi/mysteriousdisk/basic.stf', '19', 'systemmessage', 'You received an Encrypted Datadisk!');
INSERT INTO `client_strings` VALUES ('string/en/poi/mysteriousdisk/basic.stf', '20', 'a_nodisk_chat', 'shout');
INSERT INTO `client_strings` VALUES ('string/en/poi/mysteriousdisk/basic.stf', '21', 'a_hasdisk_chat', 'shout');
INSERT INTO `client_strings` VALUES ('string/en/poi/mysteriousdisk/basic.stf', '22', 'a_lookingfordisk_chat', 'shout');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '1', 'weakened_wall_name', 'Weakened Wall');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '2', 'm_title', 'Farm Master');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '3', 'a_title', 'Captain');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '4', 'a_minion_1', 'These idiot farmers think they can keep us caged up.  They don\'t know what we\'ve got.  The smart thing for you to do is talk to the Captain and help us out.');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '5', 'a_minion_2', 'Just wait until I get out of here.  I\'m going to seriously tear some hides!  I hear the Captain has a plan.  I\'m ready.');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '6', 'a_minion_3', 'Nobody keeps me in a cage.  We gonna smash our way to freedom like a rancor on yarrock once the Captain gives us the word.');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '7', 'a_minion_4', 'You in with these damn farmers?  You better run before we get out or you\'ll be running on stumps.');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '8', 'a_greet', 'Who are you?  You don\'t look like a farmer.  Maybe you can help my brothers and I, falsely imprisoned as we are.');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '9', 'r_greet_tellstory', 'Falsely? Who imprisoned you and why?');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '11', 'a_mystory', 'My boys and I were out transporting goods when these so called farmers set upon us.  They killed two of my men and threw the rest of us in here.  Bloody massacre it was.');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '12', 'r_mystory_howhorrible', 'Sorry to hear you lost people.  You were lucky to have not lost your own life.  Is there anything I can do to help?');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '13', 'r_mystory_looklikefarmers', 'Nice story, but I don\'t think I believe you.  They look like farmers to me and you look like trouble.');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '14', 'a_angrylooklikefarmers', 'Trouble?  When I get out of here, I\'ll show you trouble.  Get lost.');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '16', 'a_couldusehelp_horrible', 'Yeah, you might be able to help out.  Sure you want to risk it?');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '17', 'r_couldusehelp_nohelp', 'Uh, nevermind.  This isn\'t any of my business.');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '18', 'r_couldusehelp_yeshelp', 'It\'s nothing I can\'t handle.  What do you need?');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '19', 'a_angrynohelp', 'If we get out, I\'ll hunt you down and make it your business.');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '21', 'a_insulted', 'You had better hope we don\'t break out or you\'ll die first.');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '22', 'a_insulted_nohelp', 'Soon you\'ll find out what happens to people who refuse me.');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '23', 'a_please_distractguard', 'Confident eh?  Alright then, maybe you can help us.  Listen up.  We gotta bomb that can bust us outta here.  Just need you to distract the guard for a bit.  Do that, an we\'ll take care ah the rest.');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '24', 'm_minion_1', 'I\'m busy going through an equipment manifest.  Talk to the Farm Master...he might be able to use you.');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '25', 'm_minion_2', 'I really don\'t have time to talk, but the Farm Master might.  He make us do all the work around here.');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '26', 'm_minion_3', 'The boss is in the tent.  If you need something, take it up with him.');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '27', 'm_minion_4', 'We\'re pretty busy out here dealing with the prisoners.  If you need something, take it up with the boss in the tent.');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '28', 'm_greet', 'I\'m pretty busy at the moment.  Normally I\'d just have thirty thousand things to do.  Today I have thirty thousand and one.  Could you come back later?');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '29', 'r_m_greet_whatprisoners', 'Sorry to bother, but I\'d like to know who you have locked up in that containment grid.');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '30', 'm_tellprisoners', 'A load of pirates we caught destroying one of our outlying moisture collectors.  We\'re trying to figure out what to do with them.');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '31', 'r_tp_whynotkillthem', 'Why not just execute them?  Set them free and they\'ll just attack again.');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '32', 'r_tp_bettermovethem', 'Turn them over to the authorities.');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '33', 'm_nokillthem', 'That\'s too harsh.  They didn\'t kill anyone.  Look, this isn\'t open for discussion.');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '34', 'm_cantmovethem', 'I\'m the authority on my land.  Maybe I\'ll put them to work fixing moisture collectors.');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '35', 'm_busy', 'Today twenty four people I don\'t know have wandered into my tent asking me if I have any work for them.  I don\'t.  Go away.');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '36', 'a_attackwall_leader', 'Now is our chance!  Wire up the explosives.');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '37', 'a_attackwall', 'Go go go!  Hit it hard!  Yes!');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '38', 'a_attackeveryone', 'The wall is down!  Make them pay!  Kill everyone in the camp!');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '39', 'a_minion_reportbomb', 'The bomb is set to blow any moment.');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '40', 'm_minion_gopee', 'I can\'t hold it any longer!');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '41', 'm_guard_title', 'Guard');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '42', 'm_minion_guard_1', 'Guard duty is boring.  I\'d rather be working on equipment.');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '43', 'm_minion_guard_2', 'I can\'t talk right now, I\'m guarding these prisoners.');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '44', 'm_minion_guard_3', 'I\'m busy with guard duty.  Why don\'t you go talk to the Farm Master?');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '45', 'm_minion_guard_4', 'Don\'t distract me.  I have to watch these prisoners.');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '46', 'r_anywork', 'I\'m sure you can handle it.  Have any work I can do?');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '47', 'm_checktheguard', 'What is it with you people always wanting work?  I don\'t even know you.  Look, go check on the guard I posted.  Make sure everything is quiet and report back to me.  If you can do this without incident, maybe I\'ll think about giving you a job.');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '48', 'r_noillcheck', 'No, I haven\'t checked on him yet.  I\'ll go do that now.');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '49', 'm_yeahyoudothat', 'How difficult is it to follow simple instructions?  Do I need a protocol droid?  Do I need to write it down so that you don\'t forget?  Go check the guard!');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '50', 'm_didyoucheck', 'Did you check on the guard yet?');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '51', 'r_toldtocheckyou', 'The Farm Master asked me to check up on you.  Everything okay out here?');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '52', 'm_guard_allsquiet', 'The prisoners are quiet.  Everything is pretty serene.');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '53', 'r_gotellmaster', 'Great.  I\'ll go tell the Farm Master.');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '54', 'm_guard_needtopee', 'Hey, before you go.  I really need to, ah, relieve myself.  Do you think you could watch my post for a bit?');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '55', 'r_pee_goodidea', 'Sure, no problem.  Hurry back.');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '56', 'r_pee_badidea', 'That doesn\'t sound like a good idea.  You shouldn\'t leave your post.');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '57', 'm_guard_pee_goodidea', 'Great, thanks, I\'ll be right back!');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '58', 'm_guard_pee_badidea', 'Okay, but I don\'t think I can hold it for very long.');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '59', 'r_hesdoingfine', 'He\'s doing fine.  Everything is quiet.');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '60', 'r_hesonbreak', 'Everything is pretty quiet, so I told the guard to take a break.');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '61', 'r_heneedsabreak', 'Everything is quiet, but your guard needs a break.');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '62', 'm_excellent', 'That guard usually has trouble with discipline, it\'s good to hear he\'s taking care of things.  I don\'t have anything else for you to do, though.  So kindly remove yourself from my tent.');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '63', 'm_whatbreak', 'YOU WHAT?  What are you doing here?  The prisoners are unguarded!  Go keep watch you fool!');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '64', 'm_nobreak', 'It\'s good to hear everything is quiet, but I can\'t let that guard have a break.  Those pirates would probably try something while he\'s gone.');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '65', 'r_whatshappening', 'How is guard duty going?  Seems pretty quiet.');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '66', 'm_minion_guard_peeing', 'I\'m sorta busy.  Could you come back later?');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '67', 'r_prisonersplanning', 'The prisoners are planning a breakout.');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '68', 'm_whatbreakout', 'A breakout?  How?  I don\'t see how they would succeed.');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '69', 'r_prisonershavebomb', 'They have some kind of detonator.  They are going to wire the wall when I distract the guards.');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '70', 'm_abomb', 'Hmm... Thank you for telling me.  I have an idea.  Go ahead and distract the guard...');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '71', 'r_distractanyway', 'What? Why would you want me to help them with their plan?');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '72', 'm_theplan', 'When you distract the guard, they\'ll think they are free to make an attempt.  When they start to wire the bomb, fire on the wall they are wiring up.  It should surprise them...they\'ll know we are on to them and give up.');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '73', 'm_distractguard', 'You know the plan.  Distract the guard then shoot the wall they are wiring up.');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '74', 'm_soontheypay', 'After this, the prisoners won\'t try to escape again.');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '75', 'a_minion_dropbomb', 'Damn I dropped the bomb!  HIT THE DECK!');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '76', 'a_idiots', 'The idiot nearly killed us all, but the wall is down!  Attack!');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '77', 'm_underattack_1', 'We\'re under attack!');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '78', 'm_underattack_2', 'The prisoners are escaping!');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '79', 'm_underattack_3', 'What the hell is going on?');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '80', 'm_underattack_4', 'Stop the prisoners!');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '81', 'm_minion_leaderdead', 'My master is dead.  Where will I go now?');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '82', 'm_minion_minorfailure_1', 'You stopped the pirate\'s plan, but the farm master is dead.  What will we do now?');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '83', 'm_minion_minorfailure_2', 'The farm master died in the battle.  Leave us alone.');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '84', 'm_minion_majorfailure_1', 'You let the pirates escape and the Farm Master is dead!  Is there any more chaos for you to cause?');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '85', 'm_minion_majorfailure_2', 'The pirates are dead, but the farm master was killed in the battle.  Why didn\'t you try to stop the pirates plan?');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '86', 'm_minion_wesurvived', 'Our prisoners rebelled but we survived due to the help of a stranger!');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '87', 'm_minion_majorvictory_1', 'You saved us!  If you hadn\'t interrupted the pirate bomber, we might all be dead!');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '88', 'm_minion_majorvictory_2', 'What heroism!  You stopped the pirates from escaping and saved us.  Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '89', 'm_minion_minorvictory_1', 'The pirates nearly escaped, but we stopped them.');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '90', 'm_minion_minorvictory_2', 'That was close.  If only we had known about the pirate\'s plan.');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '91', 'm_majorvictory', 'You stopped the pirates plan, we are in your debt.  Please bear this token as a symbol of your honorable act.');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '92', 'm_minorvictory', 'That was close, but at least the pirates are dead.  How did they smuggle an explosive into the containment pen?  No matter.  We thank you for your assistance.');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '93', 'a_victory_1', 'Those farmers never had a chance.');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '94', 'a_victory_2', 'Man what a fight.  We just wasted everyone.');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '95', 'a_victory_3', 'Nothing can hold us down for long.');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '96', 'a_victory_4', 'Did you see the way I nailed the one that tried to get away?');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '97', 'a_minion_attackedwhilebombing', 'Agh! We\'ve been found out! Just need a few more seconds...');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '98', 'a_keepitup', 'Keep concentrating until the bomb is set!');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '99', 'a_minion_setbomb', 'Rigging this thing up will only take a few seconds.');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '100', 'a_couldusehelp', 'Look, we could use your help with this.  Wanna help break us out?');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '101', 'm_approachchatter_1', 'Lookin\' fer a job?  Maybe the Farm Master eh let ya do guard duty.');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '102', 'm_approachchatter_2', 'I think those pirates are plannin\' something.  I can smell it.');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '103', 'm_approachchatter_3', 'Mighty hot day.  Wish I could sit in a tent all day like the Farm Master.');
INSERT INTO `client_strings` VALUES ('string/en/poi/prisonbreak/basic.stf', '104', 'm_approachchatter_4', 'Gonna take two weeks at least ta fix the damage these pirates did.');
INSERT INTO `client_strings` VALUES ('string/en/poi/rabidbeast/basic.stf', '1', 'm_greet', 'Great Scott!  You came just in time!  *Gasp*  I\'m so relieved!');
INSERT INTO `client_strings` VALUES ('string/en/poi/rabidbeast/basic.stf', '2', 'r_m_greet', 'Why? What\'s wrong?');
INSERT INTO `client_strings` VALUES ('string/en/poi/rabidbeast/basic.stf', '3', 'm_studying', 'Oh, I apologize!  I forgot to tell you who I am!  I am an Imperial research scientist studying the fauna in this area.  Most interesting creatures, indeed.');
INSERT INTO `client_strings` VALUES ('string/en/poi/rabidbeast/basic.stf', '4', 'r_m_studying', 'Yes, but why were you panicking just a moment ago?');
INSERT INTO `client_strings` VALUES ('string/en/poi/rabidbeast/basic.stf', '5', 'm_thebeast', 'AH!  I almost forgot!  I angered one of the nastier species of creature I have been studying and it attacked me!  It nearly killed me before I managed to drive it away.  Its only a matter of time before it comes back to finish the job.  Who knows, it might even bring its pack!');
INSERT INTO `client_strings` VALUES ('string/en/poi/rabidbeast/basic.stf', '6', 'r_m_thebeast_help', 'I can help you defend yourself from the creature.');
INSERT INTO `client_strings` VALUES ('string/en/poi/rabidbeast/basic.stf', '7', 'r_m_thebeast_nohelp', 'I don\'t have any interest in biological research, Imperial or otherwise.  I\'m afraid you are on your own.');
INSERT INTO `client_strings` VALUES ('string/en/poi/rabidbeast/basic.stf', '8', 'm_hereitcomes_nohelp', 'You won\'t help?  Most perturbatory.  Gah!  The beast returns!  HELP!');
INSERT INTO `client_strings` VALUES ('string/en/poi/rabidbeast/basic.stf', '9', 'm_hereitcomes_help', 'Just in time too.  The creatures are returning!  HELP!');
INSERT INTO `client_strings` VALUES ('string/en/poi/rabidbeast/basic.stf', '10', 'm_help_1', 'Help!  Save me from this thing!');
INSERT INTO `client_strings` VALUES ('string/en/poi/rabidbeast/basic.stf', '11', 'm_help_2', 'I\'m too intelligent to die!  Help me!');
INSERT INTO `client_strings` VALUES ('string/en/poi/rabidbeast/basic.stf', '12', 'm_wesurvived', 'Excelsior!  I am saved!');
INSERT INTO `client_strings` VALUES ('string/en/poi/rabidbeast/basic.stf', '13', 'm_thanks', 'Thank you for your assistance.  I am truly in your debt.  I do not have sufficient funding to reward you, but please, bear my mark as a symbol of your deed.');
INSERT INTO `client_strings` VALUES ('string/en/poi/rabidbeast/basic.stf', '14', 'm_chatter_1', 'My work here is very serious.  We need to know more about the life on this planet.');
INSERT INTO `client_strings` VALUES ('string/en/poi/rabidbeast/basic.stf', '15', 'm_chatter_2', 'If only the head academician would approve my request for a larger grant.');
INSERT INTO `client_strings` VALUES ('string/en/poi/rabidbeast/basic.stf', '16', 'm_chatter_3', 'I wonder what the ecosocial implications of biodiverse herd behavior are?');
INSERT INTO `client_strings` VALUES ('string/en/poi/rabidbeast/basic.stf', '17', 'm_chatter_4', 'Weren\'t you supposed to be in the test chamber half an hour ago?  Oh...I\'m sorry, I thought you were someone else.');
INSERT INTO `client_strings` VALUES ('string/en/poi/rabidbeast/basic.stf', '18', 'm_ididallthework', 'I survived!  Quite excellent.  It seems to me, however, that I did all the work in dispatching the things.  I\'m sorry, but I cannot reward you for you seemed rather...ineffective.');
INSERT INTO `client_strings` VALUES ('string/en/poi/twoliars/basic.stf', '1', 'a_greet', 'Uhm.  Hey...uh, do you know any of these guys?');
INSERT INTO `client_strings` VALUES ('string/en/poi/twoliars/basic.stf', '2', 'r_a_greet', 'No, I\'ve never seen any of them before.');
INSERT INTO `client_strings` VALUES ('string/en/poi/twoliars/basic.stf', '3', 'a_lookingformark', 'One of them is my mark.  I think.  I\'m not sure.  I\'ve been tracking him for some time and just now caught up with him in this smuggler camp.');
INSERT INTO `client_strings` VALUES ('string/en/poi/twoliars/basic.stf', '4', 'r_a_lookingformark', 'So why don\'t you arrest him?');
INSERT INTO `client_strings` VALUES ('string/en/poi/twoliars/basic.stf', '5', 'a_thatstheproblem', 'Arrest him.  Yeah, well...uhm...that\'s the problem.  I don\'t know which one he is.');
INSERT INTO `client_strings` VALUES ('string/en/poi/twoliars/basic.stf', '6', 'r_a_thatstheproblem', 'If you\'ve been tracking him how can you not know which one he is?');
INSERT INTO `client_strings` VALUES ('string/en/poi/twoliars/basic.stf', '7', 'a_clues', 'The guy I\'m looking for stole some equipment.  Nobody knows what he looks like, but some of the equipment had a transponder signal.');
INSERT INTO `client_strings` VALUES ('string/en/poi/twoliars/basic.stf', '8', 'r_a_clues', 'So arrest the smuggler with the transponder!');
INSERT INTO `client_strings` VALUES ('string/en/poi/twoliars/basic.stf', '9', 'a_imnotdumb', 'Hey now, I\'m not stupid!  A little while after I caught up with the signal, it went dead.  He must have found it and turned it off.');
INSERT INTO `client_strings` VALUES ('string/en/poi/twoliars/basic.stf', '10', 'r_a_imnotdumb', 'Have you questioned the occupants of the camp?');
INSERT INTO `client_strings` VALUES ('string/en/poi/twoliars/basic.stf', '11', 'a_questioned', 'Uhm...questioned them.  Ah.  Yeah I did that.  Yeahup.');
INSERT INTO `client_strings` VALUES ('string/en/poi/twoliars/basic.stf', '12', 'r_a_questioned', 'And???');
INSERT INTO `client_strings` VALUES ('string/en/poi/twoliars/basic.stf', '13', 'a_questioned2', 'Well...I\'m really confused.  I know the smuggler captain.  I trust him.  The other smugglers blame each other and I don\'t know what to do.');
INSERT INTO `client_strings` VALUES ('string/en/poi/twoliars/basic.stf', '14', 'r_a_questioned2', 'Let me question the smugglers.  Maybe I can figure out who your mark is.');
INSERT INTO `client_strings` VALUES ('string/en/poi/twoliars/basic.stf', '15', 'a_goahead', 'You think I\'m stupid don\'t you?  I can do this myself.  But...uhm...well...if you want to try go ahead.');
INSERT INTO `client_strings` VALUES ('string/en/poi/twoliars/basic.stf', '16', 'm_title', 'Smuggler Captain');
INSERT INTO `client_strings` VALUES ('string/en/poi/twoliars/basic.stf', '18', 'a_whoisit', 'Did you figure out who my mark is?');
INSERT INTO `client_strings` VALUES ('string/en/poi/twoliars/basic.stf', '19', 'r_a_whoisit', 'No, I\'ll keep looking.');
INSERT INTO `client_strings` VALUES ('string/en/poi/twoliars/basic.stf', '26', 'm_chatter_1', 'Business is good!  I just moved twice my normal load of wares this week.  Now if that bounty hunter would get lost I\'d be a happy man.');
INSERT INTO `client_strings` VALUES ('string/en/poi/twoliars/basic.stf', '27', 'm_chatter_2', 'Until that bounty hunter moves on, I won\'t be able to inspect this new shipment.');
INSERT INTO `client_strings` VALUES ('string/en/poi/twoliars/basic.stf', '28', 'm_chatter_3', 'The Empire has been pretty busy with the rebellion lately.  Makes it easy to slip past with extra goods.  I would think they sent that bounty hunter to investigate, but he doesn\'t seem very smart.');
INSERT INTO `client_strings` VALUES ('string/en/poi/twoliars/basic.stf', '29', 'm_chatter_4', 'I love my job.  The thrill of a light cruiser pushing past a blockade at full speed!  You never feel that way down here on the surface.');
INSERT INTO `client_strings` VALUES ('string/en/poi/twoliars/basic.stf', '30', 'm_chatter_5', 'I\'ve got a flight path to plan, but that idiot of a bounty hunter keeps interrupting me with questions.  Kinda like you.');
INSERT INTO `client_strings` VALUES ('string/en/poi/twoliars/basic.stf', '31', 'm_chatter_0', 'Welcome to my camp.  Unfortunately, I\'d rather not take on any more assignments with a bounty hunter snooping about.  Maybe some other time.');
INSERT INTO `client_strings` VALUES ('string/en/poi/twoliars/basic.stf', '32', 'r_m_chatter_knowabouttheft', 'Do you know anything about the theft the bounty hunter is investigating?');
INSERT INTO `client_strings` VALUES ('string/en/poi/twoliars/basic.stf', '33', 'm_busy_0', 'I am quite busy, could you come back later?');
INSERT INTO `client_strings` VALUES ('string/en/poi/twoliars/basic.stf', '34', 'm_busy_1', 'I wonder how long until that bounty hunter gives up or arrests us all?');
INSERT INTO `client_strings` VALUES ('string/en/poi/twoliars/basic.stf', '35', 'm_busy_2', 'Look, I really need to think about my next job.  Could you give me some space?');
INSERT INTO `client_strings` VALUES ('string/en/poi/twoliars/basic.stf', '36', 'a_keeplooking', 'Go ahead, but I doubt you\'ll turn anything up.');
INSERT INTO `client_strings` VALUES ('string/en/poi/twoliars/basic.stf', '37', 'a_wronganswer', '(The bounty hunter listens to your explanation.)  No...that still doesn\'t make any sense to me.  I don\'t think your answer is correct.  I appreciate your help, but I don\'t think you can solve this puzzle.');
INSERT INTO `client_strings` VALUES ('string/en/poi/twoliars/basic.stf', '38', 'a_rightanswer', '(The bounty hunter listens to your explanation.)  I see!  It makes sense!  I\'m going to act on your recommendation and make the arrest.  I don\'t have much to reward you with, but please take this.');
INSERT INTO `client_strings` VALUES ('string/en/poi/twoliars/basic.stf', '39', 'm_criminal', 'You turned me in!  How did you figure out I was the thief?  Did my friends rat me out?');
INSERT INTO `client_strings` VALUES ('string/en/poi/twoliars/basic.stf', '40', 'a_thanks', 'Thank you for helping me find my mark.');
INSERT INTO `client_strings` VALUES ('string/en/poi/twoliars/basic.stf', '41', 'a_notrust', 'You again?  Look, you aren\'t going to get another shot at this.  I\'ll solve the problem myself.');
INSERT INTO `client_strings` VALUES ('string/en/poi/twoliars/basic.stf', '42', 'a_chatter_1', 'I\'m glad I was able to find my mark.  Now I can go get another job.');
INSERT INTO `client_strings` VALUES ('string/en/poi/twoliars/basic.stf', '43', 'a_chatter_2', 'This job is tough.  Tracking criminals across wilderness for a meager reward.  Sometimes I wonder why I do it.');
INSERT INTO `client_strings` VALUES ('string/en/poi/twoliars/basic.stf', '44', 'r_a_ithinkso', 'I think I\'ve figured it out.');
INSERT INTO `client_strings` VALUES ('string/en/poi/twoliars/basic.stf', '45', 'a_greatwho', 'You have?  Explain to me how you figured it out and if it makes sense, I\'ll make the arrest.');
INSERT INTO `client_strings` VALUES ('string/en/poi/twoliars/basic.stf', '46', 'prose_implicate_0', '1. %TO');
INSERT INTO `client_strings` VALUES ('string/en/poi/twoliars/basic.stf', '47', 'prose_implicate_1', '2. %TO');
INSERT INTO `client_strings` VALUES ('string/en/poi/twoliars/basic.stf', '48', 'prose_implicate_2', '3. %TO');
INSERT INTO `client_strings` VALUES ('string/en/poi/twoliars/basic.stf', '49', 'prose_implicate_3', '4. %TO');
INSERT INTO `client_strings` VALUES ('string/en/poi/twoliars/basic.stf', '50', 'prose_implicate_4', '5. %TO');
INSERT INTO `client_strings` VALUES ('string/en/poi/twoliars/basic.stf', '51', 'prose_implicate_5', '6. %TO');
INSERT INTO `client_strings` VALUES ('string/en/poi/twoliars/basic.stf', '52', 'prose_m_line_1', 'Neither %TO nor I have anything to do with this, leave us alone.');
INSERT INTO `client_strings` VALUES ('string/en/poi/twoliars/basic.stf', '53', 'prose_m_line_2', 'I know for a fact that the bounty hunter is looking for %TT or %TO.  They are both considered scum, even among smugglers.  I wouldn\'t be surprised if one of them stooped to petty thievery.');
INSERT INTO `client_strings` VALUES ('string/en/poi/twoliars/basic.stf', '54', 'prose_m_line_3', 'Don\'t trust %TT and %TO, both of them are lying.');
INSERT INTO `client_strings` VALUES ('string/en/poi/twoliars/basic.stf', '55', 'prose_m_line_4', '%TT isn\'t telling the truth: either %TO or %TU is lying, the other is not.');
INSERT INTO `client_strings` VALUES ('string/en/poi/twoliars/basic.stf', '56', 'prose_m_line_5', 'What %TO said is a lie.  I\'ve been cheated by that that poor excuse for a smuggler enough times to know.');
INSERT INTO `client_strings` VALUES ('string/en/poi/twoliars/basic.stf', '57', 'prose_m_line_0', 'I don\'t see how I can help you, other than this piece of advice.  I know the smugglers in this camp fairly well.  Two of them always lie.  You can only trust the other four.');
INSERT INTO `client_strings` VALUES ('string/en/poi/twoliars/basic.stf', '58', 'm_chatter_v_0', 'Now I can finally get back to my business.');
INSERT INTO `client_strings` VALUES ('string/en/poi/twoliars/basic.stf', '59', 'm_chatter_v_1', 'I love my job.  The thrill of a light cruiser pushing past a blockade at full speed!  You never feel that way down here on the surface.');
INSERT INTO `client_strings` VALUES ('string/en/poi/twoliars/basic.stf', '60', 'm_chatter_v_2', 'Smuggling has been tough with the Empire\'s recent crackdown.  The rebels hurt them bad and now everyone\'s feeling the effects.');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '1', 'm_1', 'random thing 1');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '2', 'm_2', 'random thing 2');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '3', 'm_3', 'random thing 3');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '4', 'm_4', 'random thing 4');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '5', 'm_5', 'random thing 5');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '6', 'm_greet', 'Hey there! You wouldn\'t happen to have any medicine that you would be willing to share with some wounded folks that are out of bacta?');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '7', 'm_1_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '8', 'm_1_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '9', 'm_1_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '10', 'm_2_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '11', 'm_2_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '12', 'm_2_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '13', 'm_3_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '14', 'm_3_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '15', 'm_3_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '16', 'm_4_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '17', 'm_4_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '18', 'm_4_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '19', 'm_5_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '20', 'm_5_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '21', 'm_5_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '22', 'm_greet_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '23', 'm_greet_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '24', 'm_greet_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '33', 'response_yes', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '34', 'response_no', 'No');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '35', 'm_yes', 'You\'ll help? Great!! But, there is only one problem. My crew will only let me administer the medication to them... If you give me one medicine per member of my crew, we would be quite grateful.');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '36', 'm_yes_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '37', 'm_yes_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '38', 'm_yes_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '39', 'm_willing', 'You can just hand me the medication and I will dispense it. Remember, I need one item of medicine for each member of my crew.');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '40', 'm_willing_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '41', 'm_willing_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '42', 'm_willing_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '43', 'm_rejected', 'Please tell me that you have changed your mind! Have you?');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '44', 'm_rejected_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '45', 'm_rejected_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '46', 'm_rejected_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '47', 'response_no_again', 'No');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '48', 'm_enraged', 'I asked twice. You declined to aid us twice. Just leave us be!');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '49', 'm_enraged_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '50', 'm_enraged_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '51', 'm_enraged_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '52', 'm_combat_1', 'OUCH!');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '53', 'm_combat_2', 'YEOWWW!!');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '54', 'm_combat_3', 'Gimme a hand!!');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '55', 'm_combat_4', 'HELP!!');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '56', 'm_combat_5', 'GET IT OFF ME!!');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '57', 'm_medicine', 'Thanks for the help, but we could use a few more medpacks, if you could spare them.');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '58', 'm_medicine_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '59', 'm_medicine_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '60', 'm_medicine_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '61', 'm_reward', 'Here is a little token of our appreciation for the help.');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '62', 'm_reward_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '63', 'm_reward_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '64', 'm_reward_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '65', 'm_completed', 'We appreciate the thought, but I don\'t think we need anything else!');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '66', 'm_completed_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '67', 'm_completed_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '68', 'm_completed_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '69', 'item_not_medicine', 'I really only need medicines. You keep it.');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '70', 'item_not_medicine_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '71', 'item_not_medicine_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '72', 'item_not_medicine_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '73', 'reward', 'Thank you for your assistance.');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '74', 'reward_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '75', 'reward_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '76', 'reward_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '77', 'm_all_healed', 'GREAT!! Looks like everyone is healed! Thanks a bunch!');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '78', 'm_all_healed_act', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '79', 'm_all_healed_chat', '');
INSERT INTO `client_strings` VALUES ('string/en/poi/wounded/template.stf', '80', 'm_all_healed_mood', '');
INSERT INTO `client_strings` VALUES ('string/en/poi_n.stf', '1', 'hq_imperial_lrg', 'Imperial forward headquarters');
INSERT INTO `client_strings` VALUES ('string/en/poi_n.stf', '2', 'hq_rebel_lrg', 'Rebel forward headquarters');
INSERT INTO `client_strings` VALUES ('string/en/poi_n.stf', '3', 'hq_imperial_med', 'Imperial guard house');
INSERT INTO `client_strings` VALUES ('string/en/poi_n.stf', '4', 'hq_rebel_med', 'Rebel guard house');
INSERT INTO `client_strings` VALUES ('string/en/poi_n.stf', '5', 'hq_imperial_sm', 'Imperial outpost');
INSERT INTO `client_strings` VALUES ('string/en/poi_n.stf', '6', 'hq_rebel_sm', 'Rebel outpost');
INSERT INTO `client_strings` VALUES ('string/en/poi_n.stf', '7', 'base_poi_building', 'Building');
INSERT INTO `client_strings` VALUES ('string/en/posture_n.stf', '1', 'upright', 'Standing');
INSERT INTO `client_strings` VALUES ('string/en/posture_n.stf', '2', 'crouched', 'Kneeling');
INSERT INTO `client_strings` VALUES ('string/en/posture_n.stf', '3', 'prone', 'Prone');
INSERT INTO `client_strings` VALUES ('string/en/posture_n.stf', '4', 'sneaking', 'Sneaking');
INSERT INTO `client_strings` VALUES ('string/en/posture_n.stf', '5', 'blocking', 'Lying Down');
INSERT INTO `client_strings` VALUES ('string/en/posture_n.stf', '6', 'climbing', 'Climbing');
INSERT INTO `client_strings` VALUES ('string/en/posture_n.stf', '7', 'flying', 'Flying');
INSERT INTO `client_strings` VALUES ('string/en/posture_n.stf', '8', 'lyingdown', 'Lying Down');
INSERT INTO `client_strings` VALUES ('string/en/posture_n.stf', '9', 'sitting', 'Sitting');
INSERT INTO `client_strings` VALUES ('string/en/posture_n.stf', '10', 'skillanimating', 'Skill Animating');
INSERT INTO `client_strings` VALUES ('string/en/posture_n.stf', '11', 'drivingvehicle', 'Driving Vehicle');
INSERT INTO `client_strings` VALUES ('string/en/posture_n.stf', '12', 'ridingcreature', 'Riding Creature');
INSERT INTO `client_strings` VALUES ('string/en/posture_n.stf', '13', 'knockeddown', 'Knocked Down');
INSERT INTO `client_strings` VALUES ('string/en/posture_n.stf', '14', 'incapacitated', 'Incapacitated');
INSERT INTO `client_strings` VALUES ('string/en/posture_n.stf', '15', 'dead', 'Dead');
INSERT INTO `client_strings` VALUES ('string/en/powerup.stf', '4', 'prose_pup_apply', 'You powerup your %TT with %TU.');
INSERT INTO `client_strings` VALUES ('string/en/powerup.stf', '5', 'prose_pup_expire', 'The powerup on your %TT has expired.');
INSERT INTO `client_strings` VALUES ('string/en/powerup.stf', '7', 'prose_already_powered', 'Your %TT already has a powerup!');
INSERT INTO `client_strings` VALUES ('string/en/powerup.stf', '8', 'prose_apply_restricted', 'You cannot apply %TU to %TT.');
INSERT INTO `client_strings` VALUES ('string/en/powerup.stf', '9', 'prose_remove_powerup', 'You detach the powerup from your %TT.');
INSERT INTO `client_strings` VALUES ('string/en/powerup.stf', '10', 'mnu_remove_powerup', 'Remove Powerup');
INSERT INTO `client_strings` VALUES ('string/en/powerup_d.stf', '1', 'base', 'Base Power-Up');
INSERT INTO `client_strings` VALUES ('string/en/powerup_d.stf', '2', 'weapon', 'Weapon Power-Up');
INSERT INTO `client_strings` VALUES ('string/en/powerup_d.stf', '3', 'armor', 'Armor Power-Up');
INSERT INTO `client_strings` VALUES ('string/en/powerup_d.stf', '4', 'weapon_ranged', 'Ranged Weapon Power-Up');
INSERT INTO `client_strings` VALUES ('string/en/powerup_d.stf', '5', 'weapon_melee', 'Melee Weapon Power-Up');
INSERT INTO `client_strings` VALUES ('string/en/powerup_d.stf', '6', 'weapon_thrown', 'Thrown Weapon Power-Up');
INSERT INTO `client_strings` VALUES ('string/en/powerup_d.stf', '7', 'weapon_mine', 'Mine Weapon Power-Up');
INSERT INTO `client_strings` VALUES ('string/en/powerup_d.stf', '8', 'weapon_heavy', 'Heavy Weapon Power-Up');
INSERT INTO `client_strings` VALUES ('string/en/powerup_d.stf', '9', 'weapon_melee_speed_quest', 'Durable Lathe');
INSERT INTO `client_strings` VALUES ('string/en/powerup_n.stf', '1', 'base', 'Base Power-Up');
INSERT INTO `client_strings` VALUES ('string/en/powerup_n.stf', '2', 'weapon', 'Weapon Power-Up');
INSERT INTO `client_strings` VALUES ('string/en/powerup_n.stf', '3', 'armor', 'Armor Power-Up');
INSERT INTO `client_strings` VALUES ('string/en/powerup_n.stf', '4', 'weapon_ranged', 'Ranged Weapon Power-Up');
INSERT INTO `client_strings` VALUES ('string/en/powerup_n.stf', '5', 'weapon_melee', 'Melee Weapon Power-Up');
INSERT INTO `client_strings` VALUES ('string/en/powerup_n.stf', '6', 'weapon_thrown', 'Thrown Weapon Power-Up');
INSERT INTO `client_strings` VALUES ('string/en/powerup_n.stf', '7', 'weapon_mine', 'Mine Weapon Power-Up');
INSERT INTO `client_strings` VALUES ('string/en/powerup_n.stf', '8', 'weapon_heavy', 'Heavy Weapon Power-Up');
INSERT INTO `client_strings` VALUES ('string/en/powerup_n.stf', '9', 'weapon_ranged_power', 'Coupler');
INSERT INTO `client_strings` VALUES ('string/en/powerup_n.stf', '10', 'weapon_ranged_scope', 'Scope');
INSERT INTO `client_strings` VALUES ('string/en/powerup_n.stf', '11', 'weapon_ranged_grip', 'Grip');
INSERT INTO `client_strings` VALUES ('string/en/powerup_n.stf', '12', 'weapon_ranged_stock', 'Stock');
INSERT INTO `client_strings` VALUES ('string/en/powerup_n.stf', '13', 'weapon_ranged_muzzle', 'Muzzle');
INSERT INTO `client_strings` VALUES ('string/en/powerup_n.stf', '14', 'weapon_ranged_barrel', 'Barrel');
INSERT INTO `client_strings` VALUES ('string/en/powerup_n.stf', '15', 'weapon_melee_generic', 'Generic Melee Weapon Kit');
INSERT INTO `client_strings` VALUES ('string/en/powerup_n.stf', '16', 'weapon_melee_lightsaber', 'Lightsaber Kit');
INSERT INTO `client_strings` VALUES ('string/en/powerup_n.stf', '17', 'weapon_thrown_wiring', 'Grenade Wiring Kit');
INSERT INTO `client_strings` VALUES ('string/en/powerup_n.stf', '18', 'weapon_thrown_explosive', 'Grenade Explosives Kit');
INSERT INTO `client_strings` VALUES ('string/en/powerup_n.stf', '19', 'weapon_mine_explosive', 'Mine Explosives Kit');
INSERT INTO `client_strings` VALUES ('string/en/powerup_n.stf', '20', 'weapon_melee_speed_quest', 'Durable Lathe');
INSERT INTO `client_strings` VALUES ('string/en/pvp_factions.stf', '1', 'neutral', 'Neutral');
INSERT INTO `client_strings` VALUES ('string/en/pvp_factions.stf', '2', 'imperial', 'Imperial');
INSERT INTO `client_strings` VALUES ('string/en/pvp_factions.stf', '3', 'rebel', 'Rebel');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '1', 'killed1', 'You have been killed by %TT. Your new player combat rating is %DI.');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '2', 'killed2', 'You have fallen prey to %TT. Your new player combat rating is %DI.');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '3', 'killed3', 'You have perished at the hand of %TT. Your new player combat rating is %DI.');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '4', 'win1', 'You have fought valiantly against %TT.  For your part in their death your player combat rating has been adjusted to %DI.');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '5', 'win2', 'You have killed %TT. For your part in their death your player combat rating has been adjusted to %DI.');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '6', 'win3', 'You have fearlessly slain your foe %TT.  For your part in their death your player combat rating has been adjusted to %DI.');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '7', 'trandoshan_win1', 'You have honored The Scorekeeper with your victory against %TT.  You have been awared a quantity of Jagannath points for your involvement in their death.  Your new player combat rating is %DI.');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '8', 'trandoshan_win2', 'The Scorekeeper has awarded you with a quantity of Jagannath points for your part in the decimation of %TT.  Your new player combat rating is %DI.');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '9', 'trandoshan_win3', 'For skillfully shedding the blood of %TT, the The Scorekeeper has awarded you with a quantity of Jagannath points.  Given your part in their death, your new player combat rating is %DI.');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '10', 'trandoshan_killed1', 'In dying miserably to %TT, you have shamed yourself before The Scorekeeper.  As a result she has stripped a quantity of Jagannath points from you.  Your new player combat rating is %DI.');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '11', 'trandoshan_killed2', 'You have fallen shamefully to %TT.  Having disgraced yourself in the eyes of The Scorekeeper, she has revoked a number of Jagannath points from you.  Your new rating is %DI.');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '12', 'trandoshan_killed3', 'You have been slaughtered by %TT.  For failing her, The Scorekeeper has revoked a number of your Jagannath points.  Your new player combat rating is %DI.');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '13', 'rating_floor_trandoshan_loser', 'Although you have disgraced yourself before The Scorekeeper in dying to %TT, you have no more Jagannath points to lose.  Your player combat rating remains at %DI.');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '14', 'rating_floor_victim', 'Although you have fallen at the hands of %TT,  your cannot lose any more rating points at this time.  Your player combat rating remains at %DI.');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '15', 'rating_floor_winner', 'Although you have valiantly defeated %TT in combat, you can reap no more combat rating points from %PT death at this time.  Your player combat rating remains at %DI.');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '16', 'rating_throttle_winner', 'You have once again bested %TT in combat, but you cannot earn more points from their death so soon.  A true warrior must diversify %PU enemies.');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '17', 'rating_throttle_loser', 'You have once again been defeated by %TT, but you cannot lose more rating points to them so soon.  Your player combat rating remains at %DI.');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '18', 'rating_throttle_trandoshan_loser', 'Although you have once again fallen disgracefully at the hand of %TT,  The Scorekeeper has chosen not to penalize your Jagannath points again so soon.  Let the shame and dishonor of defeat be your payment to The Scorekeeper.  Your player combat rating remains at %DI.');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '19', 'rating_throttle_trandoshan_winner', 'Although you once again bathe yourself in the demise of %TT, The Scorekeeper will not award Jagannath points to you again so soon for their death.  A true warrior must diversify %PU prey.  Your player combat rating reamins at %DI.');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '20', 'rating_floor_trandoshan_winner', 'Although you have honorably defeated your foe %TT, The Scorekeeper can award you no Jagannath points for this victory as your opponent can be disgraced no further.  Your player combat rating remains at %DI.');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '25', 'councilpurge_init', 'Council Leader %TT has invoked %PT powers to purge the Council of all members.  Every member of the Council is now freely attackable by any ranked Jedi (excluding rank zero), and vice versa.  The order to purge the Council will stand for one week.  If any Council member is defeated by a ranked Jedi during this time, they will be demoted to Rank zero.');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '27', 'suddendeath_target', 'Voting has begun for the Force rank that you have petitioned for.  During the voting period you are freely attackable by any other Dark Jedi petitioning for the same position as you are.  Any Jedi who is defeated by another petitioning Jedi during this period will forfeit their petition AND any accumilated votes to the winning Jedi.');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '28', 'pvp_action_message', 'Dark Jedi Combat Notification');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '32', 'dark_jedi_kill_won_votes', 'You have earned %DI votes for defeating %TT in combat.');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '33', 'dark_jedi_kill_lost_votes', 'For dying to another petitioning Jedi, you have lost all of your votes.  You have also relinquished your rights to petition during the current voting period.');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '34', 'vendetta_initiator_start', 'You have declared a vendetta against %TT.  If either of you perish in combat against one another, the loser will be demoted to Force rank zero.  Should neither of you lose to the other over the course of the next 7 days, the vendetta will expire.');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '35', 'vendetta_target_start', '%TT had declared a vendetta against you!  If either of you perish in combat against one another, the loser will be demoted to Force rank zero.  Should neither of you lose to the other over the course of the next 7 days, the vendetta will expire.');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '36', 'banishment_start', 'The Dark Council has called for %TT to be banished from the ranks.  If any ranked Jedi defeats %TT over the course of the next 7 days, %TT will be demoted to rank zero.  If %ST has not been defeated by 7 days from now, the banishment will expire.');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '37', 'purge_start', 'The Dark Council Leader has called for the Council to be purged! .  If any ranked Jedi defeats a Dark Council member over the course of the next 7 days, they will be demoted to rank zero.  If a Council member has not been defeated by 7 days from now, the order to purge the council will expire.');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '38', 'sudden_death_start', 'Voting has begun for the rank you have petitioned for.  All petitioning Jedi in your rank are now at war with one another.  Should you defeat a fellow petitioning Jedi, you will gain all of their accumilated votes as well knock them out of the race.  Take heed, however, as the same could happen to you.');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '39', 'vendetta_end_timeout', 'The vendetta between you and %TT has expired.   Neither Jedi has defeated the other in the alotted time.');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '40', 'sudden_death_death', '%TT has fallen to a fellow rank petitioner.  Any votes they may have had accumilated have been divided amongs those that took part in the slaughter of %TT.  Let this be a lesson in how the Council deals with failure.');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '41', 'sudden_death_timeout', 'You have survied the voting period for your rank.  You are no longer at war with your fellow petitioners.');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '42', 'pvp_action_end_death', 'After being targeted by the Council for removal from the ranks, %TT has fallen to a fellow Dark Jedi.  They have thus been demoted to rank zero.  Take notice of the Council\'s reward for such weakness.');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '43', 'banishment_end_timeout', '%TT is no longer a target of banishment from the ranks as the the Council\'s order has expired.');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '44', 'councilpurge_timout', 'The Council Leader\'s order to purge the Council has expired.  Any Council member that was not slain will retain their seat in the Council.');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '45', 'challenge_issued_rank', '%TT has issued a challenge against your rank!  If you wish to defend the honor of your rank, find the challenge terminal in the Dark Jedi enclave and accept the challenge.  You have 60 minutes to do so, starting now.  Should you accept and lose the challenge, you will be demoted into the rank below yours, while %TT will take your position.');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '46', 'challenge_issued_challenger', 'You have issued a challenge against rank %DI.  Any member of that rank may accept your challenge during the next 60 minutes.  Should a rank member accept your challenge and you are not present in the enclave (or you are dead), you will lose the challenge by default.  If you are not in the arena hall when the challange is accepted you will be teleported there as long as you are within the walls of the enclave.  Should you win the challenge, you will be granted a position in rank %DI.  Should you lose the challenge, you will lose a quantity of Force RankXP.');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '47', 'challenge_issued_subject_header', 'A Challenge has been Issued!');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '48', 'challenge_accepted', '%TU has stepped forward to accept a challenge against rank %DI, issued by %TT.  A battle to the death is commencing in the arena at the hidden enclave.');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '49', 'challenge_concluded_challenger_won', '%TU was defeated by %TT during a battle for the honor of rank %DI.  As a result %TU has been demoted from rank %DI, while %TT has taken their place.');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '50', 'challenge_accepted_subject_header', 'Challenge Accepted!');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '51', 'challenge_concluded_subject_header', 'Challenge Concluded!');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '52', 'challenge_concluded_defender_win', '%TU has defeated %TT during a battle for the honor of rank %DI.  As a result, %TU will remain at their station in rank %DI, while %TT will live in shame for their defeat.');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '53', 'challenge_concluded_timeout', 'Although a challenge had been issued, no one in rank %DI saw fit to defend the honor of their rank by accepting the challenge issued by %TT.  The challenge has thus expired.');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '54', 'challenge_timout_subject_header', 'Challenge Remains Unanswered!');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '55', 'ch_terminal_view_scores', 'View Challenge Scores');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '56', 'ch_terminal_view_challenges', 'View Issued Challenges');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '57', 'ch_terminal_accept_challenge', 'Accept a Challenge');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '58', 'ch_terminal_issue_challenge', 'Issue Challenge');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '59', 'ch_terminal_cant_challenge_rank', 'You are unable to issue a challenge until you are at least rank one.');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '62', 'ch_terminal_demote_rank_penalty', 'The members of rank %DI have failed to answer numerous challenges issued by the Dark Jedi of the enclave.  As a result, the entire rank has been demoted to rank zero.  Weakness cannot be tolerated in the Council.');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '63', 'ch_terminal_demote_subject', 'Rank Demoted!');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '64', 'ch_rank_scores', 'A challenge score of zero denotes a rank that is meeting its challenges.  A negative score denotes ranks that have missed a number of challenges.  Once a rank reaches -8 points, every member of that rank will be demoted to rank zero.  Every time a rank fails to meet at least one challenge during a challenge period (which occurs once every 30 hours), they incur a -1 penalty.  Should no challenges be issued during a challenge period, that rank\'s challenge score will return to zero.  If challenges were issued, the rank must answer at least 50% of the challenges for the score to return to zero, else the rank will incur a -1 score penalty even though some challenges may have been answered.');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '65', 'ch_select_active_challenges', 'Select the rank you wish to view challenges for.  If a rank is not listed here, that rank has no active challenges.');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '66', 'ch_no_challenges_to_view', 'There are no active challenges against any rank.');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '67', 'ch_terminal_arena_closed', 'The arena is not currently open for challenges.');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '68', 'ch_terminal_verify_challenge', 'Are you sure you wish to issue a challenge to the next rank?  The rank you are challenging has 60 minutes to answer the challenge.  Should you not be in the enclave when the challenge is accepted or should you be dead, you will concede the battle which will carry with it the same consequences as losing the battle.  Should you leave the arena during the battle, you will also concede.  If you are not in the arena when the challenge is accepted, you will be teleported into the arena as long as you are at least within the enclave.');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '69', 'ch_terminal_pending', 'Pending challenges for selected rank:');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '70', 'ch_terminal_no_challenges_for_rank', 'There are no pending challenges to accept for your rank.');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '71', 'ch_terminal_verify_accept_challenge', 'Are you certain you wish to accept the responsibility of defending the honor of your rank against the challengers?  The battle will be to the death.  Should you be bested in combat, your punishment will be demotion to the rank below yours, while the challenger will receive your position in the rank.  If you leave the arena during the battle you will concede the battle.');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '72', 'ch_terminal_choose_challenge', 'Choose the challenger that you wish to combat in defense of your rank\'s honor!');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '73', 'ch_terminal_challenge_no_more', 'That challenger no longer has a challenge issued against your rank.');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '74', 'ch_terminal_challenge_wrong_rank', 'That player has not issued a challenge against your current rank.');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '75', 'ch_terminal_challenger_forfeit', 'The challenger has forfeit this battle by not being present and alive in the enclave to complete the duel.  Honor has been restored to your rank.');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '76', 'ch_terminal_challenger_forfeit_ch', 'Since you were not in the enclave, or you were dead,  when your challenge was accepted, you have conceded the battle.  Your honor has been tarnished significantly by your actions.');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '77', 'ch_terminal_cant_challenge_rank_bounds', 'You may not issue challenges at your current rank level.');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '78', 'ch_terminal_no_need_challenge', 'You do not need to challenge the rank as there are enough open seats available.  Use the Voting Terminal in the enclave to petition for one of these open slots.');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '79', 'ch_terminal_too_far', 'You are too far away from the terminal to use it.');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '80', 'ch_terminal_notenoughexp', 'You do not currently qualify for a promotion into the next rank.');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '81', 'ch_terminal_arena_status', 'Arena Status');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '82', 'ch_terminal_arena_close_in', 'The arena is currently open for challenges.  Challenges can be issued for another %TO.');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '83', 'ch_terminal_arena_open_in', 'The arena is currently closed.  The arena will be open for challenges again in %TO.');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '84', 'ch_terminal_arena_open_imminent', 'The arena is about to open for challenges.');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '85', 'ch_terminal_arena_close_imminent', 'The arena is about to close for challenges.');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '86', 'enclave_deny_entry', 'A strange force repels you and keeps you from entering.');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '87', 'pvp_rating', 'Your player vs. player combat rating is %DI.');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '88', 'pvp_rating_target', '%TT has a player vs. player combat rating of %DI.');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '90', 'enclave_deny_pet_entry', 'As you are not permitted to bring any pets or hirelings into the enclave.  They have been returned to your data pad for you.');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '91', 'arena_duelist_already_engaged', '%TT is already involved in a duel at the moment.  Please wait until that challenge concludes.');
INSERT INTO `client_strings` VALUES ('string/en/pvp_rating.stf', '92', 'arena_incap_opponent', 'You have incapcitated your opponent.  If you deathblow them, be sure to stay in the arena until the match has completely resolved (you will get another message) or you may lose the challenge for abandoning the fight prematurely.');
INSERT INTO `client_strings` VALUES ('string/en/quest/corvetter_trap.stf', '1', 'shocked', 'You feel electricity coursing through your body!');
INSERT INTO `client_strings` VALUES ('string/en/quest/crafting_contract/system_messages.stf', '1', 'wrong_item', 'This item cannot be placed in that crate.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crafting_contract/system_messages.stf', '2', 'not_crafted', 'Only crafted items can be placed in the crate.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crafting_contract/system_messages.stf', '3', 'not_crafter', 'You are not the creator of this item. It cannot be placed in the crate.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crafting_contract/system_messages.stf', '4', 'already_complete', 'The order is already complete. No further items can be placed in the crate.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crafting_contract/system_messages.stf', '5', 'cannot_remove', 'Items for this crafting order cannot be removed once they are placed in the crate.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crafting_contract/system_messages.stf', '6', 'job_complete', 'JOB COMPLETE: All items needed for this order have been added to the crate.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crafting_contract/system_messages.stf', '7', 'items_remaining', 'You need %DI more item(s) to complete this order.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crafting_contract/system_messages.stf', '8', 'of', 'of');
INSERT INTO `client_strings` VALUES ('string/en/quest/crafting_contract/system_messages.stf', '9', 'complete', 'Complete');
INSERT INTO `client_strings` VALUES ('string/en/quest/crafting_contract/system_messages.stf', '10', 'required', 'required');
INSERT INTO `client_strings` VALUES ('string/en/quest/crafting_contract/system_messages.stf', '11', 'pay_msg', 'You have received %DI credits as payment for your services.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '1', 'neutral_0', 'It\'s terribly hot today. I hope it cools down some.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '2', 'neutral_1', 'I was stopped by an Imperial Officer today. Really ruined my mood.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '3', 'neutral_2', 'I can\'t believe my landspeeder broke down!');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '4', 'neutral_3', 'I can\'t wait to see the performance tonight!');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '5', 'neutral_4', 'I really could use a drink.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '6', 'neutral_5', 'The prices for weapons these days are just too high!');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '7', 'neutral_6', 'It\'s such a beautiful day today! Don\'t you agree?');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '8', 'neutral_7', 'It\'s fun visiting other planets. You should too!');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '9', 'neutral_8', 'My harvester ran out of power. I\'m so disappointed.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '10', 'neutral_9', 'The resources in this area are just plain bad.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '11', 'neutral_36', 'I saw a Jedi once. I think I had too much spice that day, though.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '12', 'neutral_11', 'Isn\'t my outfit great? I think so.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '13', 'neutral_12', 'My sales have gone down. Do you think it may be because I sell clothes with holes in them?');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '14', 'neutral_13', 'Rebels are a sneaky bunch. I guess they have to be these days.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '15', 'neutral_14', 'Why am I even here today? I hope I get in a better mood!');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '16', 'neutral_39', 'Are you lost? Because I am.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '17', 'neutral_16', 'I hope to become a Bounty Hunter one day!');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '18', 'neutral_17', 'I want to be a dancer. Do you think I have a chance?');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '19', 'neutral_18', 'A doctor healed my wound today. And yes, I tipped him.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '20', 'neutral_19', 'Dancers in cantinas always seem to be... well, spaced out. Why is that?');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '21', 'neutral_37', 'Krayt Dragons are pretty scary. I\'m so glad I\'ll never see one!');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '22', 'neutral_21', 'I need to repair my vehicle later. Remind me, okay?');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '23', 'neutral_22', 'Imperials are often bossy and in a bad mood. They must not get paid well.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '24', 'neutral_23', 'I don\'t mean to be rude, but your clothes don\'t match.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '25', 'neutral_24', 'I had a chef make me a meal today. It was horrible!');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '26', 'neutral_40', 'I think Wookiees are really hairy. I mean TOO hairy.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '27', 'neutral_26', 'I\'m going to decorate my house today! I can\'t wait!');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '28', 'neutral_27', 'I\'ve got great news! I just saved money on my cloning insurance!');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '29', 'neutral_28', 'You should stop and smell the flowers sometimes.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '30', 'neutral_29', 'I really think Rancors are cute. Don\'t you?');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '31', 'neutral_38', 'Stop by my store sometime. I sell the best jewelry in the galaxy!');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '32', 'neutral_31', 'A jawa stole my droid once. I got it back, though.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '33', 'neutral_32', 'You know... I really don\'t think you\'re very good at your profession.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '34', 'neutral_33', 'I think we should have stickers on our landspeeders. \"I brake for Wookiees.\", What do you think of that one?! Funny, huh? HA!');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '35', 'neutral_34', 'I think that color looks great on you!');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '36', 'neutral_35', 'I really can\'t dance, or sing, but I like watching the performances.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '37', 'neutral_10', 'I\'m really looking forward to the show!');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '38', 'neutral_20', 'Are you the one performing tonight?');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '39', 'neutral_30', 'It\'s good to get away from the daily grind and come see a show every now and then. You know what I mean?');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '40', 'neutral_15', 'This is my favorite theater. I come here all the time.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '41', 'neutral_25', 'Have you ever heard of this performer before? I haven\'t. Maybe it\'ll be a good show anyway.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '42', 'positive_0_f', 'I really hope to see flourish %TO.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '43', 'positive_0_d', 'I really hope to see the %TO dance.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '44', 'positive_0_m', 'I really hope to hear the %TO song.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '45', 'positive_1_f', 'I hope flourish %TO is done correctly. I think it will be great!');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '46', 'positive_1_d', 'I hope the %TO dance is done correctly. I think it will be great!');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '47', 'positive_1_m', 'I hope the %TO song is done correctly. I think it will be great!');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '48', 'positive_2_f', 'I hear this performer can do flourish %TO. Maybe I\'ll get to see it!');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '49', 'positive_2_d', 'I hear this performer can do the %TO dance. Maybe I\'ll get to see it!');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '50', 'positive_2_m', 'I hear this performer can play the %TO song. Maybe I\'ll get to hear it!');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '51', 'positive_3_f', 'I\'ve seen flourish %TO before. I really like it!');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '52', 'positive_3_d', 'I\'ve seen the %TO dance before. I really like it!');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '53', 'positive_3_m', 'I\'ve heard the %TO song before. I really like it!');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '54', 'positive_4_f', 'Do you think we\'ll see flourish %TO? I hope so.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '55', 'positive_4_d', 'Do you think we\'ll see the %TO dance? I hope so.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '56', 'positive_4_m', 'Do you think we\'ll hear the %TO song? I hope so.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '57', 'positive_5_f', 'If I don\'t get to see flourish %TO, I\'ll be really disappointed.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '58', 'positive_5_d', 'If I don\'t get to see the %TO dance, I\'ll be really disappointed.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '59', 'positive_5_m', 'If I don\'t get to hear the %TO song, I\'ll be really disappointed.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '60', 'negative_0_f', 'I\'ve seen flourish %TO a million times. I want to see something different.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '61', 'negative_0_d', 'I\'ve seen the %TO dance a million times. I want to see something different.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '62', 'negative_0_m', 'I\'ve heard the %TO song a million times. I want to hear something different.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '63', 'negative_1_f', 'Flourish %TO is so old. We should see something new.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '64', 'negative_1_d', 'The %TO dance is so old. We should see something new.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '65', 'negative_1_m', 'The %TO song is so old. We should hear something new.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '66', 'negative_2_f', 'I\'ve never really liked flourish %TO, to be honest.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '67', 'negative_2_d', 'I\'ve never really liked the %TO dance, to be honest.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '68', 'negative_2_m', 'I\'ve never really liked the %TO song, to be honest.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '69', 'negative_3_f', 'I don\'t see why everyone insists on doing flourish %TO. It\'s not that good.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '70', 'negative_3_d', 'I don\'t see why everyone insists on doing the %TO dance. It\'s not that good.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '71', 'negative_3_m', 'I don\'t see why everyone insists on playing the %TO song. It\'s not that good.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '72', 'negative_4_f', 'I hope we don\'t see flourish %TO. I hate that one.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '73', 'negative_4_d', 'I hope we don\'t see the %TO dance. I hate that one.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '74', 'negative_4_m', 'I hope we don\'t hear the %TO song. I hate that one.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '75', 'negative_5_f', 'Do you think we\'ll see flourish %TO? I hope not.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '76', 'negative_5_d', 'Do you think we\'ll see the %TO dance? I hope not.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/audience.stf', '77', 'negative_5_m', 'Do you think we\'ll hear the %TO song? I hope not.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/system_messages.stf', '1', 'popularity_1_complete', 'Congratulations! You have achieved Popularity Rank One!');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/system_messages.stf', '2', 'popularity_2_complete', 'Congratulations! You have achieved Popularity Rank Two!');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/system_messages.stf', '3', 'popularity_3_complete', 'Congratulations! You have achieved Popularity Rank Three!');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/system_messages.stf', '4', 'popularity_1_remaining', 'You are entertaining %TO. You must entertain %DI more people to achieve Popularity Rank One.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/system_messages.stf', '5', 'popularity_2_remaining', 'You are entertaining %TO. You must entertain %DI more people to achieve Popularity Rank Two.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/system_messages.stf', '6', 'popularity_3_remaining', 'You are entertaining %TO. You must entertain %DI more people to achieve Popularity Rank Three.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/system_messages.stf', '7', 'time_remaining', 'You have %DI seconds before you must be on stage.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/system_messages.stf', '8', 'performance_begin', 'The show has started and will last %DI seconds! You should start performing now if you haven\'t already!');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/system_messages.stf', '9', 'fail_left_performance_area', '[ \\#pcontrast2 FAILURE \\#.] You have left the main stage area during the performance.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/system_messages.stf', '10', 'fail_not_in_area', '[ \\#pcontrast2 FAILURE \\#.] You were not on the main stage area when the performance began.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/system_messages.stf', '11', 'fail_not_playing', '[ \\#pcontrast2 FAILURE \\#.] Too much time has elapsed without performing.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/system_messages.stf', '12', 'fail_not_satisfied', '[ \\#pcontrast2 FAILURE \\#.] The audience was not satisfied by your performance.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/system_messages.stf', '13', 'succeed_performance', '[ \\#pcontrast1 SUCCESS \\#.] You have successfully entertained the audience!');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/system_messages.stf', '14', 'payout', 'You have received %DI credits from the theater manager.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/system_messages.stf', '15', 'popularity_starting_message', 'You must entertain %DI players to acquire the next popularity rank.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/system_messages.stf', '16', 'audition_time_remaining', 'You have thirty seconds to be on stage, ready to begin the audition.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/system_messages.stf', '17', 'audition_begin', 'The audition has begun! Listen to and follow the instructions given to you by the judges.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/system_messages.stf', '18', 'audition_step_1', 'Hello and welcome. Begin by performing %TO for us, please.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/system_messages.stf', '19', 'audition_step_2', 'Very good. Now perform flourish %DI for us, please.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/system_messages.stf', '20', 'audition_step_3', 'Good. Perform flourish %DI now, please.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/system_messages.stf', '21', 'audition_step_4', 'Excellent. Now change the style and perform %TO, please.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/system_messages.stf', '22', 'audition_step_5', 'Good, good. And perform flourish %DI, please.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/system_messages.stf', '23', 'audition_step_6', 'Yes, good. And now flourish %DI, please.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/system_messages.stf', '24', 'fail_left_audition_area', '[ \\#pcontrast2 FAILURE \\#.] You have left the main stage area during the audition.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/system_messages.stf', '25', 'fail_not_in_audition_area', '[ \\#pcontrast2 FAILURE \\#.] You were not on the main stage area when the audition began.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/system_messages.stf', '26', 'fail_audition', '[ \\#pcontrast2 FAILURE \\#.] You did not correctly follow the judge\'s instructions in a timely manner.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/system_messages.stf', '27', 'succeed_audition', '[ \\#pcontrast1 SUCCESS \\#.] You have successfully passed the audition! You should return to and speak with the theater manager.');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/system_messages.stf', '28', 'audience_reaction', '\\#pcontrast3 Audience Reaction: < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/system_messages.stf', '29', 'reaction_1', 'Very Satisfied');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/system_messages.stf', '30', 'reaction_2', 'Satisfied');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/system_messages.stf', '31', 'reaction_3', 'Neutral');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/system_messages.stf', '32', 'reaction_4', 'Unsatisfied');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/system_messages.stf', '33', 'reaction_5', 'Very Unsatisfied');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/system_messages.stf', '34', 'reaction_6', 'Angry');
INSERT INTO `client_strings` VALUES ('string/en/quest/crowd_pleaser/system_messages.stf', '35', 'reaction_3_5', 'Slightly Unsatisfied');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/exit.stf', '1', 'taunt1', '%TT, You shall pay for your tresspass here - SOLDIERS - defend the crystals! Let no one leave here alive.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/exit.stf', '2', 'taunt2', 'This cannot be! Soldiers protect Mellichae immediately!');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/exit.stf', '3', 'taunt3', '%TT, You may have destroyed my power crystals, but now I will destroy you!  SOLDIERS ATTACK!!!');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/exit.stf', '4', 'old_man_greeting', '%TT.  It is good to see you again.  I have some urgent news to share with you!');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/exit.stf', '5', 'old_man_exit', 'Very well then %TT,  I shall return another time!');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/exit.stf', '6', 'leave', 'Well it appears you are busy,  I will return later.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/exit.stf', '7', 'exit_sum', 'Find Mellichae\'s camp.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/exit.stf', '8', 'exit_detail', 'Defeat Mellichae at his camp.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/exit.stf', '9', 'final_complete', 'Congratulations, you have completed the Force sensitive quests! You are now qualified to begin the Jedi Padawan Trials.\n');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/exit.stf', '10', 'final_fail', 'You have failed the Mellichae encounter, you will be given the oppertunity to attempt it again in the near future.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '1', 'menu_access_terminal', 'Access Terminal');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '2', 'sui_btn_retrieve', 'Retrieve');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '3', 'sui_btn_replace', 'Replace');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '4', 'sui_access_terminal_title', 'Sensor Array - Access Terminal');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '5', 'sui_access_terminal_prompt0', 'Press \'Retrieve\' to retrieve a component from its socket.\nPress \'Replace\' to replace a component into its socket.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '6', 'sui_access_terminal_prompt1', 'Sensor array status:');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '7', 'sui_access_terminal_prompt2', 'Diagnostic report follows...');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '8', 'sui_access_terminal_offline', 'OFFLINE');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '9', 'sui_access_terminal_online', 'ONLINE');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '10', 'sui_access_terminal_empty', '[COMPONENT NOT FOUND]');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '11', 'sui_access_terminal_damaged', '<COMPONENT DAMAGED>');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '12', 'sui_access_terminal_operational', '(COMPONENT OPERATIONAL)');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '13', 'phase1_msg_comp_not_installed', 'COMPONENT NOT FOUND: That component is not currently installed and is unable to be retrieved.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '14', 'phase1_msg_inventory_full', 'Your inventory is currently full. Please clear some space and try again.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '15', 'phase1_msg_already_have_component', 'You already have that component in your possession.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '16', 'phase1_msg_component_retrieved', 'You have successfully retrieved a component from the sensor array.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '17', 'phase1_msg_component_analyzed', 'The recursive analyzer deconstructs the component and loads a draft schematic into your datapad. The schematic will now remain resident in the analyzer memory. If you need to access another schematic, simply use the analyzer again.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '18', 'sui_analyzer_title', 'Recursive Analyzer');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '19', 'sui_analyzer_prompt0', 'Please choose if you would like to deconstruct and create a draft schematic from a component in your inventory, or if you would like to load an existing draft schematic from memory:');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '20', 'sui_analyzer_prompt1', 'Please choose a component to place inside the recursive analyzer:');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '21', 'sui_analyzer_prompt2', 'Please choose a draft schematic to load:');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '22', 'sui_analyzer_analyze_component', 'Deconstruct a Component');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '23', 'sui_analyzer_get_schematic', 'Load Schematic from Memory');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '24', 'sui_analyzer_no_comp', 'You do not currently have any components that are able to be used with the recursive analyzer.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '25', 'sui_analyzer_no_schematic', 'The recursive analyzer does not currently  have any schematics loaded into its memory.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '26', 'menu_use_analyzer', 'Use Analyzer');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '27', 'phase1_msg_schematic_loaded', 'You have loaded a draft schematic from the recursive analyzer into your datapad.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '28', 'menu_use_calibrator', 'Use Calibrator');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '29', 'sui_calibrator_title', 'Multi-phase Calibrator');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '30', 'sui_calibrator_prompt', 'Choose an item to use in the multi-phase calibrator.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '31', 'sui_calibrator_no_comp', 'You do not currently  have any items that are able to be used in the multi-phase calibrator.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '32', 'phase1_msg_cant_open_sui', 'You are too busy to do that now.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '33', 'sui_attempts_remaining', 'Integrity:');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '34', 'sui_config_title', 'Configuration Processor');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '35', 'sui_config_description', 'Press the small triangular buttons to adjust the configuration setting so that the component configuration (top pattern) matches the expected configuration (bottom pattern). Pressing a button will toggle its illumination state, as well as the state of two other buttons.\n\nCalibration will have a detrimental effect on the integrity of a component. If the integrity of a component reaches 0%, or if the calibration process is interrupted before completion, the component will be rendered useless and a new one must be crafted and calibrated.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '36', 'phase1_msg_component_replaced', 'You have replaced a component into its socket in the sensor array.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '37', 'sui_calibration_success', 'This component has been successfully calibrated and is operating within acceptable parameters.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '38', 'sui_calibration_failure', 'Calibration of this component was not complete due to integrity failure. Further calibration of this item is not possible. Please insert a new component to continue.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '39', 'sui_gyro_title', 'Gyroscopic Receiver');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '40', 'sui_gyro_description', 'Use the sliders on the right to adjust the geographical resolution so that the component parameters (top shades) match the expected parameters (bottom shades). Changes made to the sliders will not be reflected in real-time. You must press the \"OK\" button in order to view your changes.\n\nCalibration will have a detrimental effect on the integrity of a component. If the integrity of a component reaches 0%, or if the calibration process is interrupted before completion, the component will be rendered useless and a new one must be crafted and calibrated.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '41', 'sui_gyro_slider1', 'Longitude Resolution');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '42', 'sui_gyro_slider2', 'Latitude Resolution');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '43', 'sui_gyro_slider3', 'Vertical Resolution');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '44', 'sui_amp_title', 'Signal Amplifier');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '45', 'sui_amp_description', 'Use the sliders on the right to adjust the frequency amplification so that the component output (top graph) matches the expected output (bottom graph). Changes made to the sliders will not be reflected in real-time. You must press the \"OK\" button in order to view your changes.\n\nCalibration will have a detrimental effect on the integrity of a component. If the integrity of a component reaches 0%, or if the calibration process is interrupted before completion, the component will be rendered useless and a new one must be crafted and calibrated.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '46', 'sui_amp_slider1', 'Pre-amp Boost');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '47', 'sui_amp_slider2', 'Amplification');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '48', 'sui_amp_slider3', 'Post-amp Tuning');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '49', 'sui_ssa_title', 'Solid State Array');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '50', 'sui_ssa_description', 'Use the sliders on the right to adjust the solid state devices (represented by the horizontal bars) so that they are aligned around the transmission bus (vertical line). Changes made to the sliders will not be reflected in real-time. You must press the \"OK\" button in order to view your changes.\n\nCalibration will have a detrimental effect on the integrity of a component. If the integrity of a component reaches 0%, or if the calibration process is interrupted before completion, the component will be rendered useless and a new one must be crafted and calibrated.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '51', 'sui_ssa_slider1', 'Element One Alignment');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '52', 'sui_ssa_slider2', 'Element Two Alignment');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '53', 'sui_ssa_slider3', 'Element Three Alignment');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '54', 'sui_ssa_slider4', 'Element Four Alignment');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '55', 'sui_ssa_slider5', 'Element Five Alignment');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '56', 'phase1_msg_quest_fail_phase_done', 'You have failed to repair Aurilia\'s sensor array in a timely manner. The equipment has been presumed destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '57', 'phase1_msg_quest_finished', 'You have successfully repaired the sensor array! You feel your mind open itself to the potential secrets of experimentation.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '58', 'tracking_device_menu_use', 'Activate Tracking Device');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '59', 'tracking_device_needs_data', '[Satellite Tracking Device Data Error]: You must upload tracking data for a downed satellite. Such data may be acquired from any starport ticket droid.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '60', 'tracking_device_wrong_planet', 'Tracking... successful! The fallen satellite has been located on the following planet: %TO');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '61', 'tracking_device_no_loc', '[Satellite Tracking Device Tracking Error]: Unable to pinpoint target satellite. Please move to a new location and try again.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '62', 'tracking_device_target_located', 'Tracking... successful! The fallen satellite has been located and a waypoint to it\'s location has been uploaded to your datapad.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '63', 'tracking_device_target_relocated', 'Tracking... successful! The location of the fallen satellite has been confirmed. A waypoint to it\'s location has been uploaded to your datapad.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '64', 'crafting4_menu_retrieve_core', 'Retrieve Computer Core');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '65', 'crafting4_menu_core_received', 'You have successfully extracted the satellite\'s computer core and placed it into your inventory.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '66', 'inventory_full', 'There is no room in your inventory for another item. Please clear some space and then try again.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '67', 'tracking_data_no_money', 'You do not have enough credits available for this transaction.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '68', 'tracking_data_purchase_msg_01', 'Purchase confirmed. Accessing CSD (Central Satellite Database)...');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '69', 'tracking_data_purchase_msg_02', 'Connection established. Searching for abandoned satellites...');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '70', 'tracking_data_purchase_msg_03', 'Search successful. Abandoned satellite data uploaded to satellite tracking device.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '71', 'crafting4_menu_modify_core', 'Modify Core Interface');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '72', 'tracking_data_menu_obtain_data', 'Obtain Satellite Data');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '73', 'tracking_data_title', 'Purchasing Satellite Tracking Data');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '74', 'tracking_data_msg', 'Would you like to purchase the rights to a fallen and abandoned satellite for purposes of salvage?\n\nIf so, for 1100 credits I can access the  CSD, or Central Satellite Database, obtain the satellite data, and process the transaction for you.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '75', 'tracking_data_purchase_data', 'Purchase Data');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '76', 'tracking_data_cancel_button', 'Cancel');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '77', 'crafting4_core_config_help', 'To reconfigure this computer core to work with your array of computers, you will need to rewire its modular interface. When properly reconfigured, the four indicators on the core\'s interface will light up.\n\nTo reconfigure the core, you will need to connect four wires in the proper order to contacts on the core. There are red wires, yellow wires, and blue wires.  Each color set of of wires connects to a different power source, and any combination of the wires may be used to reconfigure the computer core. \n\nWhen you have the wires configured the way you desire, you may test the configuration to see if it is correct. For each wire that is connected to the correct contact, one of the four indicators will be lit. If the correct type of wire is used but is connected to the wrong contact, then one of the indicators will flicker. You can use this feedback to determine the final configuration of the interface for the new computer core.\n\nBe careful though... each time you test your configuration, power is sent through the core.  An incomplete configuration can damage the core. This is reported as \'Circuit Integrity\' which gives the percentage chance that the core is still viable. Be sure to keep an eye on this value. On average, a core can survive 6 - 7 attempts without sigificant damage, but beyond that you risk frying the computer core\'s circuits and rendering it useless.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '78', 'crafting4_core_menu_configure', 'Reconfigure Interface');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '79', 'crafting4_core_menu_status', 'Current Status');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '80', 'crafting4_core_menu_test', 'Test Configuration');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '81', 'crafting4_core_error', 'Unknown');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '82', 'crafting4_core_menu_one_nothing', 'Connection 1: unconnected');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '83', 'crafting4_core_menu_one_red', 'Connection 1: red wire');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '84', 'crafting4_core_menu_one_blue', 'Connection 1: blue wire');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '85', 'crafting4_core_menu_one_yellow', 'Connection 1: yellow wire');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '86', 'crafting4_core_menu_two_nothing', 'Connection 2: unconnected');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '87', 'crafting4_core_menu_two_red', 'Connection 2: red wire');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '88', 'crafting4_core_menu_two_blue', 'Connection 2: blue wire');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '89', 'crafting4_core_menu_two_yellow', 'Connection 2: yellow wire');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '90', 'crafting4_core_menu_three_red', 'Connection 3: red wire');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '91', 'crafting4_core_menu_three_nothing', 'Connection 3: unconnected');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '92', 'crafting4_core_menu_three_blue', 'Connection 3: blue wire');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '93', 'crafting4_core_menu_three_yellow', 'Connection 3: yellow wire');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '94', 'crafting4_core_menu_four_red', 'Connection 4: red wire');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '95', 'crafting4_core_menu_four_blue', 'Connection 4: blue wire');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '96', 'crafting4_core_menu_four_nothing', 'Connection 4: unconnected');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '97', 'crafting4_core_menu_four_yellow', 'Connection 4: yellow wire');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '98', 'crafting4_core_set_connection_one', 'Which wire would you like to connect to Connection 1?\n\nCurrent Setting: ');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '99', 'crafting4_core_set_connection_two', 'Which wire would you like to connect to Connection 2?\n\nCurrent Setting: ');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '100', 'crafting4_core_set_connection_three', 'Which wire would you like to connect to Connection 3?\n\nCurrent Setting: ');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '101', 'crafting4_core_set_connection_four', 'Which wire would you like to connect to Connection 4?\n\nCurrent Setting: ');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '102', 'crafting4_core_connection_one_set', 'Connection 1 has been connected to %TO.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '103', 'crafting4_core_connection_two_set', 'Connection 2 has been connected to %TO.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '104', 'crafting4_core_connection_three_set', 'Connection 3 has been connected to %TO.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '105', 'crafting4_core_connection_four_set', 'Connection 4 has been connected to %TO.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '106', 'crafting4_core_nothing', 'unconnected');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '107', 'crafting4_core_a_red_wire', 'a red wire');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '108', 'crafting4_core_a_blue_wire', 'a blue wire');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '109', 'crafting4_core_a_yellow_wire', 'a yellow wire');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '110', 'crafting4_core_no_selection_made', 'You did not make a selection so no change was made.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '111', 'crafting4_core_msgbox_title', 'Reconfiguring the Computer Core');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '112', 'crafting4_core_close_button', 'Close');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '113', 'crafting4_core_completed', 'All of the indicators are lit.\n\nThe computer core has been correctly configured!');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '114', 'crafting4_core_indicators_lit', '	Number of Indicators Lit: ');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '115', 'crafting4_core_flickering', '\n	Number of Indicators Flickering: ');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '116', 'crafting4_core_integrity', '\n	Circuit Integrity: ');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '117', 'crafting4_core_ruined', 'The circuitry of the computer core has sustained too much damage and is no longer able to be used. It will now self-destruct.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '118', 'crafting4_core_current_status_06', '\n\nLast Tested Configuration:');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '119', 'crafting4_core_current_status_08', '\n	Connection 2: ');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '120', 'crafting4_core_current_status_09', '\n	Connection 3: ');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '121', 'crafting4_core_current_status_10', '\n	Connection 4: ');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '122', 'crafting4_core_current_result', 'Testing Result:\n');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '123', 'crafting4_core_completed_status', 'This computer core has been successfully reconfigured.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '124', 'crafting4_core_current_status_01', 'Current Configuration:');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '125', 'crafting4_core_current_status_03', '\n	Connection 2:');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '126', 'crafting4_core_current_status_04', '\n	Connection 3: ');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '127', 'crafting4_core_current_status_05', '\n	Connection 4: ');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '128', 'crafting4_core_current_status_02', '\n	Connection 1: ');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '129', 'crafting4_core_current_status_07', '\n	Connection 1: ');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '130', 'crafting4_core_current_status_11', '\n\n');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '131', 'crafting4_core_current_no_testing', '\n\nThere has not yet been an attempt to reconfigure this computer core.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '132', 'phase1_msg_comp_installed', 'A component is already installed in that socket.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '133', 'tracking_device_not_on_quest', '[Satellite Tracking Device Usage Error]: The tracking device has gone into dormant mode. It will not respond until re-authorized for use.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '134', 'phase1_msg_calibration_aborted', 'You have aborted the calibration process causing the component with which you were working to burn out. You will need to craft and calibrate a new component.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '135', 'name_access_terminal', 'Sensor Array Access Terminal');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '136', 'msg_cant_use_yet', 'You can see no reason to use this right now.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '137', 'phase1_status_operational', 'Operational');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '138', 'phase1_status_damaged', 'Damaged');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '139', 'phase1_status_not_calibrated', 'Not Calibrated');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '140', 'phase1_msg_dont_have_component', 'You don\'t currently have that component in your inventory.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '141', 'crafting4_phase_over', 'Unfortunately, you failed to get the replacement computer core to the village in time. \n\nThe Aurilia\'s chief engineer was killed during the final attack on the village, but it\'s possible the new chief engineer could put your replacement core to use. Once a new chief engineer has been appointed, that is.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '142', 'crafting4_phase_change_title', 'Incorrect Village Phase');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '147', 'crafting4_core_cancel_button', 'Cancel');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '148', 'crafting4_core_destroyed', 'The computer core has been destroyed. You will have to get another one if you wish to complete your mission.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '152', 'crafting4_kit_destroyed', 'The tracking device loot kit has been destroyed. You will have to get another one from a gadget specialist if you wish to complete your mission. ');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '154', 'crafting4_tracking_device_destroyed', 'The tracking device has been destroyed. You will have to get another kit from a gadget specialist if you wish to complete your mission. ');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '155', 'crafting4_tracking_device_destroyed_over', 'The tracking device has been destroyed. The chief engineer at Aurilia has been killed. You will have to wait until a new chief engineer has been appointed before you will be able speak with him and then continue by getting a new tracking device kit.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '156', 'crafting4_kit_destroyed_over', 'The tracking device loot kit has been destroyed. The chief engineer at Aurilia has been killed. You will have to wait until a new chief engineer has been appointed before you will be able speak with him and then continue by getting a new tracking device kit.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '157', 'crafting4_core_destroyed_over', 'The computer core has been destroyed.The chief engineer at Aurilia has been killed. You will have to wait until a new chief engineer has been appointed before you will be able speak with him and then continue by seeking the rights to another downed satellite.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '158', 'tracking_device_target_updated', 'Tracking... Updated! The location of the fallen satellite has been updated and the waypoint to it\'s location has been corrected in your datapad.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_crafting.stf', '159', 'phase1_msg_schematic_already_loaded', 'You already have a draft schematic for that component.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_defend.stf', '1', 'summary_01', 'Defend the village against Mellichae\'s soldiers!');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_defend.stf', '3', 'detail_01', 'An overwhelming force of mercinaries and criminals are assaulting the village of Aurilia. The villagers are grossly outnumbered. You are tasked with defeating at least fifty of Mellichae\'s hired thugs.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_defend.stf', '4', 'detail_02', 'An overwhelming force of mercinaries and criminals are assaulting the village of Aurilia. The villagers are grossly outnumbered. You are tasked with defeating at least twenty-five of the leuitenants leading Mellichae\'s hired thugs.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_lamentations.stf', '1', 'fs_response01', 'HELP ME!! help me... please.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_lamentations.stf', '2', 'fs_response02', 'Ooooooh... It hurts! Doc, you have to give me some pain killers.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_lamentations.stf', '3', 'fs_response03', 'Where is Sasha? SASHA! I have to find her! ');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_lamentations.stf', '4', 'fs_response04', 'They... they were everywhere! They killed Obandi right before my eyes. ');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_lamentations.stf', '5', 'fs_response05', 'Why did they attack us? Why did they have to kill so many of us?');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_lamentations.stf', '6', 'fs_response06', 'My arm! I can\'t feel my arm! Doc, I can\'t feel my arm!');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_lamentations.stf', '7', 'fs_response07', 'Wha?... who.. who is that? I can hear you but I can\'t see you. I can... I... Ungh. ');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_lamentations.stf', '8', 'fs_response08', 'momma? MOMMA! I... I don\'t want to die! MOMMA!!');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_lamentations.stf', '9', 'fs_response09', 'Doc! Doc... you gotta get this letter to my brother. He needs to know what happened to me. Promise me you\'ll get it to him if I die.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_lamentations.stf', '10', 'fs_response10', 'no... lightning... no, please don\'t... please? No, NOOOOO!!!');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_medic.stf', '1', 'symptom0', 'fever');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_medic.stf', '2', 'symptom1', 'vomiting');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_medic.stf', '3', 'symptom2', 'open sores');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_medic.stf', '4', 'symptom3', 'pus-filled lesions');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_medic.stf', '5', 'symptom4', 'erratic heart rate');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_medic.stf', '6', 'symptom5', 'respiratory failure');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_medic.stf', '7', 'symptom6', 'lost vision');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_medic.stf', '8', 'symptom7', 'partial paralysis');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_medic.stf', '9', 'symptom8', 'violent spasms');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_medic.stf', '10', 'symptom9', 'bloody cough');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_medic.stf', '11', 'symptom10', 'swelling');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_medic.stf', '12', 'symptom11', 'internal bleeding');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_medic.stf', '13', 'admin_meds', 'Administering medicines to the patient... If you need an updated list of symptoms please let me know.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_medic.stf', '14', 'npc_cured', 'This patient appears to be responding to treatments, we should be able to discharge them after a bit more rest. Please let me know when you are ready for the next patient. Resetting protocol for next patient.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_medic.stf', '15', 'combat_healing_just_started', 'You just got started, get out there!');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_medic.stf', '16', 'combat_healing_count_part2', 'times, keep up the good work.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_medic.stf', '17', 'combat_healing_count_part1', 'You have helped out');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_medic.stf', '18', 'bacta_tank_n', 'A Bacta Tank');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_medic.stf', '19', 'bacta_tank_d', 'This tank contains a large supply of the Bacta fluid, Bacta fluid containing special bacteria capable of healing even seemingly life threatening injuries. ');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_panicked.stf', '1', 'fs_response01', 'HELP US!! Help us... please.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_panicked.stf', '2', 'fs_response02', 'They are coming back to finish us off! I know it!');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_panicked.stf', '3', 'fs_response03', 'AHHHHH!!!');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_panicked.stf', '4', 'fs_response04', 'We\'re doomed! DOOMED I SAY!');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_panicked.stf', '5', 'fs_response05', 'We have to get out of here!');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_panicked.stf', '6', 'fs_response06', 'Where did they come from? Why do they want to hurt us!?');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_panicked.stf', '7', 'fs_response07', 'Did you see the leader? I think he was a droid!');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_panicked.stf', '8', 'fs_response08', 'They said they were Sith. Sith! We\'re all going to die!');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_panicked.stf', '9', 'fs_response09', 'They blew through the defenses like they weren\'t even there!');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_panicked.stf', '10', 'fs_response10', 'The leader was a sorcerer! I saw him shoot lightning from his finger tips!');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_panicked.stf', '11', 'fs_response11', 'What did we do to deserve this?');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_panicked.stf', '12', 'fs_response12', 'What do they want? We\'re just farmers.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_panicked.stf', '13', 'fs_response13', 'Where are my children? Has anyone seen my children?');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_panicked.stf', '14', 'fs_response14', 'Please... no more! I can\'t take it anymore!');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_panicked.stf', '15', 'fs_response15', 'Oh, the carnage! So many dead.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_panicked.stf', '16', 'fs_response16', 'They destroyed everything! Those beasts!');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_panicked.stf', '17', 'fs_response17', 'Where is Seropf? SEROPF!? Where are you!? I have to find him!');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_panicked.stf', '18', 'fs_response18', 'It\'s useless! How can we fight them? We should just surrender.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_panicked.stf', '19', 'fs_response19', 'Are they all gone? How do we know!? They could still be here!');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_panicked.stf', '20', 'fs_response20', 'I\'ve never seen so much blood! Oh, it\'s horrible!');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_patrol.stf', '1', 'small_group1', 'You notice a lone figure left behind from the battle.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_patrol.stf', '2', 'large_group5', 'You happen upon what seems to be a forming raid party.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_patrol.stf', '3', 'small_group2', 'the sound of two footsteps that are not your own draws your attention.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_patrol.stf', '4', 'small_group3', 'three voices carry on the wind, you know you are not alone.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_patrol.stf', '5', 'large_group6', 'You happen upon what seems to be a forming raid party.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_patrol.stf', '6', 'large_group7', 'You happen upon what seems to be a forming raid party.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_patrol.stf', '7', 'large_group8', 'You happen upon what seems to be a forming raid party.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_patrol.stf', '8', 'fs_village_bannerpole_s01_n', 'an Aurilian Banner');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_patrol.stf', '9', 'fs_village_bannerpole_s01_d', 'The symbol for the village of Aurilia is emblazoned on this banner.  Oddly the banner moves even with no detectable wind.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_patrol.stf', '10', 'failed_death', 'Due to your untimely demise, you have failed this patrol.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_patrol.stf', '11', 'failed_previous_point', 'Unfortunately you did not complete the objective of the previous patrol point, and have failed the patrol.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_patrol.stf', '12', 'no_objective', 'everything seems calm here...');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_patrol.stf', '13', 'failed_killed_dont_kill_npc', 'You have failed the patrol for violating a direct order and engaging a raid party.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_patrol.stf', '14', 'patrol_point', 'Patrol Point');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_reflex.stf', '1', 'msg_phase_01_find_theater_waypoint', 'The tracks you are following end here. The Sith Shadows have probably stopped somewhere nearby recently. You might want to search the area for an encampment...');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_reflex.stf', '2', 'msg_phase_01_quest_finished', 'You have rescued all of the missing villagers! You feel your mind open itself to the potential secrets of Survival.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_reflex.stf', '3', 'msg_phase_01_quest_continue', 'You have rescued a prisoner! But at least %DI more are still missing. You should speak to Whip again for more information...');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_reflex.stf', '4', 'msg_phase_01_quest_failed', 'You failed to rescue the villager. You should return and speak with Whip again before continuing...');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_reflex.stf', '5', 'msg_phase_01_quest_fail_phase_done', 'You have failed to rescue the villagers captured from Aurilia in a timely manner. The missing villagers are presumed dead and the rescue operation has been aborted.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_reflex.stf', '6', 'msg_phase_02_find_theater_waypoint', 'The last transmission of the transport\'s emergency beacon was from here. The ship is probably somewhere nearby...');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_reflex.stf', '7', 'msg_phase_02_quest_finished', 'You have retrieved all of the missing supplies! You feel your mind open itself to the potential secrets of Vehicle Control.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_reflex.stf', '8', 'msg_phase_02_quest_continue', 'You have retrieved some supplies! But at least %DI more are still missing.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_reflex.stf', '9', 'msg_phase_02_quest_failed', 'Oh no! The supplies you were carrying have been lost!  You should return and speak with Whip again before continuing...');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_reflex.stf', '10', 'msg_phase_02_quest_fail_phase_done', 'You have failed to retrieve the supplies for the village of Aurilia in a timely manner. The supplies are presumed lost and the retrieval operation has been aborted.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_reflex.stf', '11', 'msg_phase_02_quest_error_aborted', 'An error has occurred while transferring the emergency beacon location to your datapad.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_reflex.stf', '12', 'msg_phase_01_quest_error_aborted', 'An error has occurred while transmitting to your datapad.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_reflex.stf', '13', 'msg_phase_01_quest_fail_incap', 'Quest Failure: You have been incapacitated, your attempt to rescue the captured villager has failed. You should return to Aurilia and speak with Whip to continue.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_reflex.stf', '14', 'msg_phase_01_quest_fail_logout', 'Quest Failure: You have logged out and aborted your attempt to rescue the captured villager. You should return to Aurilia and speak with Whip to continue.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_reflex.stf', '15', 'msg_phase_02_quest_fail_incap', 'Quest Failure: You have been incapacitated. The crate of supplies you were carrying has been destroyed. You should return to Aurilia and speak with Whip to continue.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_reflex.stf', '16', 'msg_phase_01_quest_error_theater_fail', 'It looks like the Sith Shadows made a camp here, but have since packed up and left. You find a new set of tracks leading off into the distance...');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_reflex.stf', '17', 'msg_phase_02_got_crate', 'Upon reaching the wreckage of a crashed transport, you pick up a crate of supplies from the debris. It appears to be the only cargo still in usable condition.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_shield_repair.stf', '1', 'fs_response01', 'Could you get me that hydro spanner over there?');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_shield_repair.stf', '2', 'fs_response02', 'This phase relay conduit is shot. We\'re going to need another.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_shield_repair.stf', '3', 'fs_response03', 'The power regulator is fluctuating on a resonance of 3.6 gigabuels. Can you see if you can lock that down?');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_shield_repair.stf', '4', 'fs_response04', 'Hey! Do you see that? The meson generator is only .02 nanopulses off of nominal at over 4 gigabuels! We sure got a winner here.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_shield_repair.stf', '5', 'fs_response05', 'The buffer power shunt is jammed. Can you hand me the power mallet?');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_shield_repair.stf', '6', 'fs_response06', 'Great! Every indicator on the master control board just lit up. We\'ve got an overload somewhere.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_shield_repair.stf', '7', 'fs_response07', 'Ow! Blast it! If I smack my thumb one more time Sivarra is going to think I\'m addicted to pain killers.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_shield_repair.stf', '8', 'fs_response08', 'We\'re going to need more insulation on the power core. I\'m reading a class 3 leak.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_shield_repair.stf', '9', 'fs_response09', 'Watch how you bundle those phase relay filaments. We don\'t have many left after you dropped that box over by Rohak\'s place.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_shield_repair.stf', '10', 'fs_response10', 'We\'ve got switchover at 2.2 gigabuels and holding. Get the phase readings and then we\'ll shut down.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_shield_repair.stf', '11', 'fs_response11', 'Tune down the power emitter or you\'re going to have a burnout.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_shield_repair.stf', '12', 'fs_response12', 'The meson dampener is in. We can start power up testing whenever you\'re ready.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_shield_repair.stf', '13', 'default', '');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_sick.stf', '1', 'fs_response01', 'Oh... I feel like I\'m going to...');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_sick.stf', '2', 'fs_response02', 'My stomach. It feels like it\'s going to burst!');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_sick.stf', '3', 'fs_response03', 'Doc, why are we so sick? I didn\'t even get shot!');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_sick.stf', '4', 'fs_response04', 'I feel... really... sick.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_sick.stf', '5', 'fs_response05', 'They must have used bio-weapons. I\'m sure of it! Doc, are you sure you can cure viral agents?');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_sick.stf', '6', 'fs_response06', 'Better... Better get a bucket I\'m going to throw up.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_sick.stf', '7', 'fs_response07', 'I can\'t believe they used chemical weapons on us. We\'re all going to die!');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '1', 'want_task', 'Hello!  Good tidings and all that.  There\'s some work I need done, and I need someone to do it.  You look like the kind of person who could take on such a task.  Could you?  Would you?  Are you interested in helping with my work?');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '2', 'yes_task', 'I\'d be happy to help.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '3', 'no_task', 'Sorry, I\'m not interested right now.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '4', 'how_much', 'Can you tell me where I stand on bringing you resources?');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '5', 'sample_for_type_one', 'A very important part of the crafting process for the villages defenses requires a metal that is easily molded to our task.  Aluminum!  That\'s what we need.  I need you to find me an area that contains a 70% deposit of aluminum.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '6', 'too_bad', 'I\'m so sorry to hear that.  I was rather hoping you could get this done.  I\'m not sure who else I can get to help me out.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '7', 'this_much', 'Let me see, ah yes, I have the records right here...');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '8', 'sample_for_type_two', 'Energy!  We need power to operate our tools and equipment.  Not to mention the generators as well.  Hm.  Yes.  I need you to bring me energy.  Any kind will do!  As long as you find a 70% or higher deposit.  ');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '9', 'sample_for_type_three', 'Do you know what we need?  We need Iron!  Iron is the foundation.  The base.  What we need for all our hard work.  The defenses must have Iron!  Find me a deposit of Iron that is at least at the 70% mark.  That\'s what I need.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '10', 'sample_for_type_four', 'We need steel.  We can\'t get enough of it.  As soon as we get more we burn through it.  Steel.  70% deposits of steel are hard to find, but I know you can do it.  That\'s what I need.  Steel.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '11', 'sample_for_type_five', 'All the plating and wiring we\'re going to be doing is going to require copper, and lots of it.  Do you think you can find copper?  I know that you can.  A 70% deposit please.  That\'s what will get us up and running.  Copper.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '12', 'sample_for_type_six', 'A very important part of the crafting process for the villages defenses requires a metal that is easily molded to our task.  Aluminum!  That\'s what we need.  I need you to find me an area that contains a 70% deposit of aluminum.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '13', 'type_one_2', 'Your next task is to find a 70% deposit of Gemstone.\n\nRemember to Sample when you find the spot, in order to check for special resources.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '14', 'type_one_3', 'Your next task is to find a 70% deposit of Energy.\n\nRemember to Sample when you find the spot, in order to check for special resources.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '15', 'type_one_4', 'Your next task is to find a 70% deposit of Ore.\n\nRemember to Sample when you find the spot, in order to check for special resources.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '16', 'type_one_5', 'Your next task is to find a 70% deposit of Copper.\n\nRemember to Sample when you find the spot, in order to check for special resources.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '17', 'type_one_6', 'Your next task is to find a 70% deposit of Steel.\n\nRemember to Sample when you find the spot, in order to check for special resources.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '18', 'type_one_7', 'Your next task is to find a 70% deposit of Iron.\n\nRemember to Sample when you find the spot, in order to check for special resources.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '19', 'type_one_8', 'Your next task is to find a 70% deposit of Gas.\n\nRemember to Sample when you find the spot, in order to check for special resources.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '20', 'type_two_2', 'Your next task is to find a 70% deposit of Ore.\n\nRemember to Sample when you find the spot, in order to check for special resources.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '21', 'type_two_3', 'Your next task is to find a 70% deposit of Aluminum.\n\nRemember to Sample when you find the spot, in order to check for special resources.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '22', 'type_two_4', 'Your next task is to find a 70% deposit of Iron.\n\nRemember to Sample when you find the spot, in order to check for special resources.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '23', 'type_two_5', 'Your next task is to find a 70% deposit of Copper.\n\nRemember to Sample when you find the spot, in order to check for special resources.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '24', 'type_two_6', 'Your next task is to find a 70% deposit of Gas.\n\nRemember to Sample when you find the spot, in order to check for special resources.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '25', 'type_two_7', 'Your next task is to find a 70% deposit of Gemstone.\n\nRemember to Sample when you find the spot, in order to check for special resources.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '26', 'type_two_8', 'Your next task is to find a 70% deposit of Steel.\n\nRemember to Sample when you find the spot, in order to check for special resources.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '28', 'type_three_2', 'Your next task is to find a 70% deposit of Gemstone.\n\nRemember to Sample when you find the spot, in order to check for special resources.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '29', 'type_three_3', 'Your next task is to find a 70% deposit of Energy.\n\nRemember to Sample when you find the spot, in order to check for special resources.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '30', 'type_three_4', 'Your next task is to find a 70% deposit of Ore.\n\nRemember to Sample when you find the spot, in order to check for special resources.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '31', 'type_three_5', 'Your next task is to find a 70% deposit of Copper.\n\nRemember to Sample when you find the spot, in order to check for special resources.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '32', 'type_three_6', 'Your next task is to find a 70% deposit of Steel.\n\nRemember to Sample when you find the spot, in order to check for special resources.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '33', 'type_three_7', 'Your next task is to find a 70% deposit of Iron.\n\nRemember to Sample when you find the spot, in order to check for special resources.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '34', 'type_three_8', 'Your next task is to find a 70% deposit of Gas.\n\nRemember to Sample when you find the spot, in order to check for special resources.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '35', 'type_four_2', 'Your next task is to find a 70% deposit of Ore.\n\nRemember to Sample when you find the spot, in order to check for special resources.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '36', 'type_four_3', 'Your next task is to find a 70% deposit of Copper.\n\nRemember to Sample when you find the spot, in order to check for special resources.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '37', 'type_four_4', 'Your next task is to find a 70% deposit of Gas.\n\nRemember to Sample when you find the spot, in order to check for special resources.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '38', 'type_four_5', 'Your next task is to find a 70% deposit of Gemstone.\n\nRemember to Sample when you find the spot, in order to check for special resources.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '39', 'type_four_6', 'Your next task is to find a 70% deposit of Iron.\n\nRemember to Sample when you find the spot, in order to check for special resources.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '40', 'type_four_7', 'Your next task is to find a 70% deposit of Aluminum.\n\nRemember to Sample when you find the spot, in order to check for special resources.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '41', 'type_four_8', 'Your next task is to find a 70% deposit of Energy.\n\nRemember to Sample when you find the spot, in order to check for special resources.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '42', 'type_five_2', 'Your next task is to find a 70% deposit of Energy.\n\nRemember to Sample when you find the spot, in order to check for special resources.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '43', 'type_five_3', 'Your next task is to find a 70% deposit of Gas.\n\nRemember to Sample when you find the spot, in order to check for special resources.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '44', 'type_five_4', 'Your next task is to find a 70% deposit of Iron.\n\nRemember to Sample when you find the spot, in order to check for special resources.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '45', 'type_five_5', 'Your next task is to find a 70% deposit of Steel.\n\nRemember to Sample when you find the spot, in order to check for special resources.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '46', 'type_five_6', 'Your next task is to find a 70% deposit of Ore.\n\nRemember to Sample when you find the spot, in order to check for special resources.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '47', 'type_five_7', 'Your next task is to find a 70% deposit of Aluminum.\n\nRemember to Sample when you find the spot, in order to check for special resources.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '48', 'type_five_8', 'Your next task is to find a 70% deposit of Gemstone.\n\nRemember to Sample when you find the spot, in order to check for special resources.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '49', 'type_six_2', 'Your next task is to find a 70% deposit of Ore.\n\nRemember to Sample when you find the spot, in order to check for special resources.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '50', 'type_six_3', 'Your next task is to find a 70% deposit of Gemstone.\n\nRemember to Sample when you find the spot, in order to check for special resources.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '51', 'type_six_4', 'Your next task is to find a 70% deposit of Steel.\n\nRemember to Sample when you find the spot, in order to check for special resources.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '52', 'type_six_5', 'Your next task is to find a 70% deposit of Copper.\n\nRemember to Sample when you find the spot, in order to check for special resources.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '53', 'type_six_6', 'Your next task is to find a 70% deposit of Iron.\n\nRemember to Sample when you find the spot, in order to check for special resources.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '54', 'type_six_7', 'Your next task is to find a 70% deposit of Gas.\n\nRemember to Sample when you find the spot, in order to check for special resources.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '55', 'type_six_8', 'Your next task is to find a 70% deposit of Energy.\n\nRemember to Sample when you find the spot, in order to check for special resources.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '56', 'type_one_1', 'Your next task is to find a 70% deposit of Aluminum.\n\nRemember to Sample when you find the spot, in order to check for special resources.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '57', 'type_two_1', 'Your next task is to find a 70% deposit of Energy.\n\nRemember to Sample when you find the spot, in order to check for special resources.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '58', 'type_three_1', 'Your next task is to find a 70% deposit of Iron.\n\nRemember to Sample when you find the spot, in order to check for special resources.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '59', 'type_four_1', 'Your next task is to find a 70% deposit of Steel.\n\nRemember to Sample when you find the spot, in order to check for special resources.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '60', 'type_five_1', 'Your next task is to find a 70% deposit of Copper.\n\nRemember to Sample when you find the spot, in order to check for special resources.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '61', 'type_six_1', 'Your next task is to find a 70% deposit of Aluminum.\n\nRemember to Sample when you find the spot, in order to check for special resources.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '62', 'sample_for_iron', 'I need you to find an area where we can survey Iron.  It should have at least a 50% density.  Once you get there, take a sample and try to find some special resources. When you\'ve done that, check your journal; it should tell you what to look for next.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '63', 'sample_for_aluminum', 'I need you to find an area where we can survey Aluminum.  It should have at least a 50% density. Once you get there, take a sample and try to find some special resources. When you\'ve done that, check your journal; it should tell you what to look for next.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '64', 'sample_for_ore', 'I need you to find an area where we can survey Ore.  It should have at least a 50% density.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '65', 'sample_for_gemstone', 'I need you to find an area where we can survey Gemstone.  It should have at least a 50% density.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '66', 'sample_for_copper', 'I need you to find an area where we can survey Copper.  It should have at least a 50% density.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '67', 'sample_for_steel', 'I need you to find an area where we can survey Steel.  It should have at least a 50% density.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '68', 'sample_for_energy', 'I need you to find an area where we can survey Wind or Solar Energy.  It should have at least a 50% density.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '69', 'sample_for_gas', 'I need you to find an area where we can survey Gas.  It should have at least a 50% density.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '70', 'wrong_phase', 'There\'s not really anything I need right now.  Perhaps you should talk to some of the other villagers and see if they need your help.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '71', 'thanks', 'I want to thank you for all your help.  I see you got your new survey tool.  You can use it just like any other survey tool, only it has a modified chip that will allow you to scan for any type of inorganic resource.  It will find energy, gas, ore, chemicals, you name it.  You may want to speak with Noldan who can train you in any of the new skills you\'re interested in learning about. ');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '72', 'explain', 'What is it you want me to do?');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '73', 'explanation', 'We need resources.  Resources that will allow us to better the defenses of our village here.  I don\'t need you to actually bring me the resources, I have a team for that.  I just need you to find me the best places to set up our harvesting.  I need your surveying skills, and your ability to survive outside this village.  It\'s dangerous out there, and some of the villagers just aren\'t up to it.  The resources we need may not even be on Dathomir, they could be on any planet.  Can you help us? ');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '74', 'sure', 'Yeah, I know how to survey.  Anything else I need to know?');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '75', 'last_piece', 'There is one more thing.  If you\'re going to work for me you\'re not going to be able to help out any of the other villagers while you do it.  This is a commitment.  I need someone focused on finding me the best places to harvest resources.  I also need you to look for some special resources for me.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '76', 'special_question', 'Special Resources?');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '77', 'special_answer', 'That\'s right.  I\'m modifying your survey tools so that when you find the spots with the resources I need you\'ll also be able to detect and sample some special resources that we require.  Ostrine, Endrine, Wind Crystals, Rudic, and Ardanium II.  They\'re specific metals and energy types that will aid us in creating our village defenses.  You can bring them back to me, or if you have friends who are crafters you let them use the resources to make better defenses for us.  Now, at this point, are you ready to help us?');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '78', 'youre_busy', 'I\'m sorry, but according to the rumor mill here in the village you already have something to do.  Come back and see me when you have more free time.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '79', 'special_answer_2', 'That\'s right.  I\'m modifying your survey tools so that when you find the spots with the resources I need you\'ll also be able to detect and sample some special resources that we require.  Ostrine, Endrine, Wind Crystals, Rudic, and Ardanium II.  They\'re specific metals and energy types that will aid us in creating our village defenses.  You can bring them back to me, but even better would be to give them to your friends who are crafters so they can use the resources to make better defenses for us.  Now, at this point, if you\'re ready to help us, I will promise to teach you to use your force powers to survey.  What do you say?');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '80', 'special_answer_3', 'That\'s right.  I\'m modifying your survey tools so that when you find the spots with the resources I need you\'ll also be able to detect and sample some special resources that we require.  Ostrine, Endrine, Wind Crystals, Rudic, and Ardanium II.  They\'re specific metals and energy types that will aid us in creating our village defenses.  You can bring them back to me, or if you have friends who are crafters you let them use the resources to make better defenses for us.  If you\'ll help us I can show you how to use your force powers to make yourself more, well, I guess lucky would be the proper term.  Can you help?');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '81', 'no_skill', 'I\'m sorry, but I\'m looking for someone who is skilled in sampling for resources.  My intelligence reports tell me that you don\'t have that particular skill.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_survey.stf', '82', 'gave_resource', 'I\'ll make sure this is put to good use.  We\'re keeping track of who brings us resources you know.  It\'s better to give them to the crafters rather than giving them to me.  But I\'ll make sure you get credit for this one.  As soon as I get some free time.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_wall_repair.stf', '1', 'fs_response01', 'We\'re going to need a power sledge to break up this section of rock.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_wall_repair.stf', '2', 'fs_response02', 'Has anyone measured for the new gate yet?');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_wall_repair.stf', '3', 'fs_response03', 'Where is that binary load lifter with the raw stone?');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_wall_repair.stf', '4', 'fs_response04', 'The rock cutter is running out of juice. We\'re going to need to shut it down to recharge soon.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_wall_repair.stf', '5', 'fs_response05', 'I don\'t think we\'re going to be able to repair this section. Might as well start tearing it down.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_wall_repair.stf', '6', 'fs_response06', 'Is there going to be room for the blaster turret there?');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_wall_repair.stf', '7', 'fs_response07', 'I\'m done with the keystone for the main arch. Where do you want it?');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/fs_wall_repair.stf', '8', 'fs_response08', 'The new grating is taking longer than expected. We\'re running short on metal.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/intro.stf', '1', 'oldman_greeting', '%TT, I have an important matter to discuss with you\n');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/intro.stf', '2', 'leave', 'The mysterious old man rushes off....');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/intro.stf', '3', 'military_threaten', 'I sense the old man has awakened your curiosity, %TT.  I will have that crystal now!');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/intro.stf', '4', 'crystal_name', 'a Force Crystal');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/intro.stf', '5', 'crystal_detail', 'a curious glowing crystal');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/intro.stf', '6', 'crystal_journal', 'Display Journal');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/intro.stf', '7', 'datapad_detail', 'This appears to contain important data');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/intro.stf', '8', 'datapad_name', 'a mysterious Datapad');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/intro.stf', '9', 'military_take_crystal', 'I shall return this crystal to its rightful owner.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/intro.stf', '10', 'read_disk1', 'The disk contains information about the location of a camp where the soldiers were to report to after completing their assignment.   The disk self-destructs!');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/intro.stf', '11', 'read_disk2', 'The disk contains a location that is on Dathomir.   Along with the location are orders to investigate this planet, specifically, a village south east of the science outpost.   The disk self-destructs!');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/intro.stf', '12', 'crystal_message', 'The Force crystal you have received can be used to open your quest journal.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/intro.stf', '13', 'oldman1_sum', 'Talk to the old man.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/intro.stf', '14', 'oldman1_detail', 'Talk with the old man and find out why he has sought you out.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/intro.stf', '15', 'theater_sum', 'Investigate the location discovered in the datapad.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/intro.stf', '16', 'goto_dath_sum', 'Investigate the location mentioned in the datapad on Dathomir.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/intro.stf', '17', 'village_sum', 'Go to the Village (location discovered in the datapad).  The exact location is Dathomir: 5306 -4145. ');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/intro.stf', '18', 'crystal_sum', 'Keep the Force crystal safe.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/intro.stf', '19', 'dath_woman_sum', 'Speak with the woman on Dathomir.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/intro.stf', '20', 'oldman2_sum', 'Talk to the old man again.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/intro.stf', '21', 'oldman2_detail', 'Talk with the old man and see if he has anything new for you to do.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/intro.stf', '22', 'military_sum', 'Sith Shadow ambush.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/intro.stf', '23', 'dath_woman_find_sum', 'Search for someone that can give you more information.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/intro.stf', '24', 'read_disk_error', 'You cannot make sense of the information on the disk.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/intro.stf', '25', 'woman_greeting', 'Hello %TT.  I am so glad I found you. Do you have a moment?');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/intro.stf', '26', 'woman_leave', 'The woman vanishes.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/intro.stf', '27', 'waypoint_datapad_name', 'a Waypoint Datapad');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/intro.stf', '28', 'theater_retry', 'Your waypoint has been updated.  There does not appear to be a camp here. ');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/intro.stf', '29', 'datapad_failure', 'This appears to contain data for another planet.  Try using it on a different planet.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/intro.stf', '30', 'datapad_1_sum', 'Defeat the 2 Sith Shadows that ambushed you and examine them for information on where they came from.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/intro.stf', '31', 'loot_disk1', 'You must first loot that object before extracting any information out of it.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/intro.stf', '32', 'force_sensitive', 'You feel a tingle in the Force.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/intro.stf', '33', 'datapad_2_sum', 'Defeat the Sith and examine them for more information on what they are up to.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/utils.stf', '1', 'select_branch', 'Select the skill branch that you wish to unlock.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/utils.stf', '2', 'no_free_branches', 'You do not have any free branch unlocks remaining.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/utils.stf', '3', 'branch_select_title', 'Branch Selection');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/utils.stf', '4', 'no_available_branches', 'There are no branches left for you to unlock.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/utils.stf', '5', 'branch_selected_unlock', 'You unlock the %TO skill branch.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/utils.stf', '6', 'convert_illegal_type', 'That is an illegal experience type.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/utils.stf', '7', 'convert_not_enough_xp', 'You do not have enough experience to convert that much.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/utils.stf', '8', 'convert_at_fs_skill_cap', 'You are already at the maximum for that experience type.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/utils.stf', '9', 'convert_allocate_more_xp', 'The converted experience would be zero.  Allocate more experience.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/utils.stf', '10', 'force_sensitive_combat_prowess_ranged_accuracy', 'Combat Prowess -- Ranged Accuracy');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/utils.stf', '11', 'force_sensitive_combat_prowess_ranged_speed', 'Combat Prowess -- Ranged Speed');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/utils.stf', '12', 'force_sensitive_combat_prowess_melee_accuracy', 'Combat Prowess -- Melee Accuracy');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/utils.stf', '13', 'force_sensitive_combat_prowess_melee_speed', 'Combat Prowess -- Melee Speed');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/utils.stf', '14', 'force_sensitive_enhanced_reflexes_ranged_defense', 'Enhanced Reflexes -- Ranged Defense');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/utils.stf', '15', 'force_sensitive_enhanced_reflexes_melee_defense', 'Enhanced Reflexes -- Melee Defense');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/utils.stf', '16', 'force_sensitive_enhanced_reflexes_vehicle_control', 'Enhanced Reflexes -- Vehicle Control');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/utils.stf', '17', 'force_sensitive_enhanced_reflexes_survival', 'Enhanced Reflexes -- Survival');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/utils.stf', '18', 'force_sensitive_crafting_mastery_experimentation', 'Crafting Mastery -- Experimentation');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/utils.stf', '19', 'force_sensitive_crafting_mastery_assembly', 'Crafting Mastery -- Assembly');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/utils.stf', '20', 'force_sensitive_crafting_mastery_repair', 'Crafting Mastery -- Repair');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/utils.stf', '21', 'force_sensitive_crafting_mastery_technique', 'Crafting Mastery -- Technique');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/utils.stf', '22', 'force_sensitive_heightened_senses_healing', 'Heightened Senses -- Healing');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/utils.stf', '23', 'force_sensitive_heightened_senses_surveying', 'Heightened Senses -- Surveying');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/utils.stf', '24', 'force_sensitive_heightened_senses_persuasion', 'Heightened Senses -- Persuasion');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/utils.stf', '25', 'force_sensitive_heightened_senses_luck', 'Heightened Senses -- Luck');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/utils.stf', '26', 'quest_journal_category', 'Force-sensitive Quests');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/utils.stf', '27', 'use_special_effect', 'Use Crystal');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/utils.stf', '28', 'timer_not_up', 'the crystal has not recharged yet.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/utils.stf', '29', 'reuse_time', 'Time before next use');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/utils.stf', '30', 'buff_applied', 'You feel infused with the crystal\'s energies.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/utils.stf', '31', 'have_buff', 'This crystal is unable to enhance your abilities any more at this time.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/utils.stf', '32', 'created_on_ground', 'Your inventory was too full, an item falls out onto the ground. It would be wise to stop and pick it up.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/utils.stf', '33', 'convert_no_skill', 'You do not have the appropriate skill to convert that type.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/utils.stf', '34', 'convert_not_enough_for_conversion', 'You do not have any valid experience types to convert.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/utils.stf', '35', 'xp_transfer_prompt', 'Experience Conversion');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/utils.stf', '36', 'power_shrine_n', 'a Power Crystal');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/utils.stf', '37', 'power_shrine_d', 'A glowing crystal that pulsates with power.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/utils.stf', '38', 'quest_accepted', 'You have accepted a Force-sensitive quest.  Please note that you are only able to accept one Force-sensitive quest per village stage.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/utils.stf', '39', 'xp_convert_lose', 'You loose %DI %TO experience.');
INSERT INTO `client_strings` VALUES ('string/en/quest/force_sensitive/utils.stf', '40', 'xp_convert_gain', 'You gain %DI %TO experience.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_darndroid1.stf', '1', 'category', 'Ground Quest');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_darndroid1.stf', '2', 'journal_entry_description', 'Valance Serth is missing.  His ship never landed in Moenia.  Find out what happened and save him.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_darndroid1.stf', '3', 'journal_entry_title', 'Shuttle Crash');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_darndroid1.stf', '4', 'task00_journal_entry_description', 'C-3TC told you that his master is missing.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_darndroid1.stf', '5', 'task00_journal_entry_title', 'Speak to C-3TC');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_darndroid1.stf', '6', 'task01_journal_entry_description', 'Go to Moenia Starport and see if someone knows what happened to Valance Serth.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_darndroid1.stf', '7', 'task01_journal_entry_title', 'Go to Moenia Starport');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_darndroid1.stf', '8', 'task02_journal_entry_description', 'Find Selan Ellison and talk to her.  She knows someone who may help you.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_darndroid1.stf', '9', 'task02_journal_entry_title', 'Talk to Selan Ellison');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_darndroid1.stf', '10', 'task03_journal_entry_description', 'Go to Tyrena on Corellia and speak with Amarent Loren, who should be in the spaceport.  One way or another, get him to tell you what happened to Valance Serth\'s ship.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_darndroid1.stf', '11', 'task03_journal_entry_title', 'Speak to Amarent Loren');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_darndroid1.stf', '12', 'task04_journal_entry_description', 'Go to Talus and find the crashed ship.  It is near the Imperial Outpost.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_darndroid1.stf', '13', 'task04_journal_entry_title', 'Find the crashed ship.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_darndroid1.stf', '14', 'task05_journal_entry_description', 'Kill the Black Sun thugs that are threatening Valance Serth and then talk to him.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_darndroid1.stf', '15', 'task05_journal_entry_title', 'Talk to Valance Serth');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_darndroid1.stf', '16', 'task06_journal_entry_description', 'Valance Serth rewards you for saving his life.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_darndroid1.stf', '17', 'task06_journal_entry_title', 'Valance\'s Reward');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_darndroid1.stf', '18', 'task07_journal_entry_description', 'Accomplished mission.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_darndroid1.stf', '19', 'task07_journal_entry_title', 'Mission Accomplished');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_darndroid1.stf', '20', 'task08_journal_entry_description', 'Speak to Amarent Loren.  Functionaries like him are underpaid.  A well-placed bribe would loosen his tongue.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_darndroid1.stf', '21', 'task08_journal_entry_title', 'Speak to Amarent Loren');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_darndroid1.stf', '22', 'task09_journal_entry_description', 'You bribed Amarent Loren for his information.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_darndroid1.stf', '23', 'task09_journal_entry_title', 'Bribed Amarent Loren');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_darndroid1.stf', '24', 'task10_journal_entry_description', 'Speak to Amarent Loren in Tyrena.  He can probably be bullied into giving you information.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_darndroid1.stf', '25', 'task10_journal_entry_title', 'Speak to Amarent Loren');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_darndroid1.stf', '26', 'task11_journal_entry_description', 'You intimidated Amarent Loren.  He gave you the information that you need, but I\'m sure he reported you to his superiors.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_darndroid1.stf', '27', 'task11_journal_entry_title', 'Intimidated Amarent Loren');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_darndroid2.stf', '1', 'category', 'Ground Quest');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_darndroid2.stf', '2', 'journal_entry_description', 'Help Valance stop the Black Sun from sending tainted medicinal spice into the galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_darndroid2.stf', '3', 'journal_entry_title', 'Black Sun Plots');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_darndroid2.stf', '4', 'task00_journal_entry_description', 'Go to the Black Sun staging camp and scout the camp.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_darndroid2.stf', '5', 'task00_journal_entry_title', 'Find the Black Sun staging area.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_darndroid2.stf', '6', 'task01_journal_entry_description', 'Kill 1 Black Sun Minion.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_darndroid2.stf', '7', 'task01_journal_entry_title', 'Kill a Black Sun Minion');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_darndroid2.stf', '8', 'task02_journal_entry_description', 'Kill 5 Black Sun Smugglers.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_darndroid2.stf', '9', 'task02_journal_entry_title', 'Kill Black Sun Smugglers');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_darndroid2.stf', '10', 'task03_journal_entry_description', 'Kill 8 Black Sun Initiates.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_darndroid2.stf', '11', 'task03_journal_entry_title', 'Kill Black Sun Initiates');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_darndroid2.stf', '12', 'task04_journal_entry_description', 'Once you have killed 8 Black Sun Initiates, 5 Black Sun Smugglers, and 1 Black Sun Minion, return to Valance Serth.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_darndroid2.stf', '13', 'task04_journal_entry_title', 'Return to Valance Serth');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_darndroid2.stf', '14', 'task05_journal_entry_description', 'Eliminate the Black Sun\'s space transport and return to Valance Serth');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_darndroid2.stf', '15', 'task05_journal_entry_title', 'Talk to Valance once the space transport is dead.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_darndroid2.stf', '16', 'task06_journal_entry_description', 'C-3TC has caused his master too much trouble.  He needs a memory wipe.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_darndroid2.stf', '17', 'task06_journal_entry_title', 'Wipe C-3TC\'s memory.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_darndroid2.stf', '18', 'task08_journal_entry_description', 'You have completed the mission.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_darndroid2.stf', '19', 'task08_journal_entry_title', 'Mission complete');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_impdefector.stf', '1', 'category', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_impdefector.stf', '2', 'journal_entry_description', 'Take critical information about the Empire to the Rebel base in Northwest Corellia.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_impdefector.stf', '3', 'journal_entry_title', 'Bring Information to the Rebel Base.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_impdefector.stf', '4', 'task00_journal_entry_description', 'Go to the trench near the broken bridge and find the Imperial defector.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_impdefector.stf', '5', 'task00_journal_entry_title', 'Find the Imperial Defector');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_impdefector.stf', '6', 'task01_journal_entry_description', 'Looks like the defector won\'t follow you.  Talk to him and find out why.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_impdefector.stf', '7', 'task01_journal_entry_title', 'Talk to the Imperial Defector');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_impdefector.stf', '8', 'task02_journal_entry_title', 'Timer 3 (should be invisible)');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_impdefector.stf', '9', 'task03_journal_entry_description', 'Do these soldiers grow on trees?! You were attacked by hired mercenaries a third time.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_impdefector.stf', '10', 'task03_journal_entry_title', 'Third Ambush');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_impdefector.stf', '11', 'task04_journal_entry_title', 'Timer 2 (should be invisible)');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_impdefector.stf', '12', 'task05_journal_entry_description', 'More soldiers attacked you.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_impdefector.stf', '13', 'task05_journal_entry_title', 'Ambushed again!');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_impdefector.stf', '14', 'task06_journal_entry_description', 'Bring the Imperial defector\'s codephrase to Teslo Ten\'doora in the Rebel Base. ');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_impdefector.stf', '15', 'task06_journal_entry_title', 'Bring Imperial Defector\'s Codephrase to Rebel Base');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_impdefector.stf', '16', 'task07_journal_entry_title', 'Gained Rebel Faction');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_impdefector.stf', '17', 'task08_journal_entry_title', 'Lost Imperial Faction');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_impdefector.stf', '18', 'task09_journal_entry_description', 'You successfully brought the Imperial defector to the rebel base.  You have been rewarded with 5000 credits and Rebel faction.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_impdefector.stf', '19', 'task09_journal_entry_title', 'Mission Successful');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_impdefector.stf', '20', 'task10_journal_entry_title', 'Timer 1 (should be invisible)');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_impdefector.stf', '21', 'task11_journal_entry_description', 'You were attacked by several hired soldiers.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_impdefector.stf', '22', 'task11_journal_entry_title', 'Ambushed!');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_impdefector.stf', '23', 'task12_journal_entry_description', 'You have 20 minutes to get the codephrase up to Teslo Ten\'doora.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_impdefector.stf', '24', 'task12_journal_entry_title', '20 Minute Timer');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_impdefector.stf', '25', 'task13_journal_entry_title', 'Timer Expired, Mission Failed');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_rebdefector.stf', '1', 'category', 'Naboo');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_rebdefector.stf', '2', 'journal_entry_description', 'Bring critical information about the rebels to the Emperor\'s Retreat west of Moenia.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_rebdefector.stf', '3', 'journal_entry_title', 'Bring Information to the Emperor\'s Retreat');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_rebdefector.stf', '4', 'task00_journal_entry_description', 'Find the Rebel information outside Moenia.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_rebdefector.stf', '5', 'task00_journal_entry_title', 'Find the Rebel Informant Outside Moenia');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_rebdefector.stf', '6', 'task01_journal_entry_description', 'Looks like the Rebel Informant won\'t follow you.  Talk to him and find out why.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_rebdefector.stf', '7', 'task01_journal_entry_title', 'Talk to the Rebel Informant');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_rebdefector.stf', '8', 'task02_journal_entry_title', 'Timer 3 (should be invis)');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_rebdefector.stf', '9', 'task03_journal_entry_description', 'Do these soldiers grow on trees?! You were attacked by hired mercenaries a third time.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_rebdefector.stf', '10', 'task03_journal_entry_title', 'Third Ambush');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_rebdefector.stf', '11', 'task04_journal_entry_title', 'Timer 2 (should be invis)');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_rebdefector.stf', '12', 'task05_journal_entry_description', 'More soldiers attacked you.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_rebdefector.stf', '13', 'task05_journal_entry_title', 'Ambushed again!');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_rebdefector.stf', '14', 'task06_journal_entry_description', 'Take the codephrase to Lt. Allard Lissara in the Emperor\'s Retreat.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_rebdefector.stf', '15', 'task06_journal_entry_title', 'Bring the Informant\'s Codephrase to Lt. Allard Lissara');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_rebdefector.stf', '16', 'task09_journal_entry_description', 'You successfully brought the Rebel informant to the Emperor\'s Retreat.  You have been rewarded with 5000 credits and Imperial faction.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_rebdefector.stf', '17', 'task09_journal_entry_title', 'Mission Successful');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_rebdefector.stf', '18', 'task10_journal_entry_title', 'Timer 1 (should be invis)');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_rebdefector.stf', '19', 'task11_journal_entry_description', 'You were attacked by several hired soldiers.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_rebdefector.stf', '20', 'task11_journal_entry_title', 'Ambushed!');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_rebdefector.stf', '21', 'task12_journal_entry_description', 'You have 20 minutes to get the codephrase to Lt. Allard Lissara.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_rebdefector.stf', '22', 'task12_journal_entry_title', '20 Minute Timer');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_rebdefector.stf', '23', 'task13_journal_entry_title', 'Timer Expired: Mission Failed');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_sink_imp.stf', '1', 'category', 'Talus');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_sink_imp.stf', '2', 'journal_entry_description', 'After a simple search and rescue mission, Imperial Officer Ceth Laike has had enough with the criminal element.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_sink_imp.stf', '3', 'journal_entry_title', 'Enough!!');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_sink_imp.stf', '4', 'task00_journal_entry_description', 'Go out to a crashed Tie Fighter.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_sink_imp.stf', '5', 'task00_journal_entry_title', 'Search and Rescue');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_sink_imp.stf', '6', 'task01_journal_entry_description', 'this times an ambush');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_sink_imp.stf', '7', 'task01_journal_entry_title', 'timer 30-60 seconds (invis)');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_sink_imp.stf', '8', 'task02_journal_entry_description', 'You get ambushed by 4 Binayre baddies');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_sink_imp.stf', '9', 'task02_journal_entry_title', 'ambush (invis)');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_sink_imp.stf', '10', 'task03_journal_entry_description', 'Tell Ceth Laike what happened to his friend.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_sink_imp.stf', '11', 'task03_journal_entry_title', 'Return and Talk to Ceth Laike');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_sink_imp.stf', '12', 'task04_journal_entry_description', 'You have been rewarded with credits and Rebel faction for returning alive with news.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_sink_imp.stf', '13', 'task04_journal_entry_title', 'Reward for Returning Alive');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_sink_imp.stf', '14', 'task05_journal_entry_description', 'Kill 15 Binayre Pirates on Talus.  A location of one of their camps has been added to your datapad.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_sink_imp.stf', '15', 'task05_journal_entry_title', 'Kill 15 Binayre Pirates');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_sink_imp.stf', '16', 'task06_journal_entry_description', 'Kill Flails on Corellia and recover 10 of their symbols as proof.  A location to one of their common camps has been added to your datapad.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_sink_imp.stf', '17', 'task06_journal_entry_title', 'Get 10 Flail Symbols');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_sink_imp.stf', '18', 'task07_journal_entry_description', 'Once you have done as he asked, return to Ceth Laike and talk to him.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_sink_imp.stf', '19', 'task07_journal_entry_title', 'Talk to Ceth Laike');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_sink_imp.stf', '20', 'task08_journal_entry_description', 'Head into space and await instructions.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_sink_imp.stf', '21', 'task08_journal_entry_title', 'Go into Space to Kill Binayre.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_sink_imp.stf', '22', 'task09_journal_entry_description', 'You were rewarded for a successful mission.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_sink_imp.stf', '23', 'task09_journal_entry_title', 'Mission Reward');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_sink_imp.stf', '24', 'task10_journal_entry_description', 'You completed the mission.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_sink_imp.stf', '25', 'task10_journal_entry_title', 'Mission Complete');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_sink_reb.stf', '1', 'category', 'Corellia');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_sink_reb.stf', '2', 'journal_entry_description', 'After a simple search and rescue mission, Rebel Officer Acun Solari has had enough with the criminal element.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_sink_reb.stf', '3', 'journal_entry_title', 'Enough!!');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_sink_reb.stf', '4', 'task00_journal_entry_description', 'Go out to a crashed Escape Pod');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_sink_reb.stf', '5', 'task00_journal_entry_title', 'Search and Rescue');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_sink_reb.stf', '6', 'task01_journal_entry_description', 'this times an ambush');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_sink_reb.stf', '7', 'task01_journal_entry_title', 'timer 30-60 seconds (invis)');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_sink_reb.stf', '8', 'task02_journal_entry_description', 'You get ambushed by 4 Flail baddies');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_sink_reb.stf', '9', 'task02_journal_entry_title', 'ambush (invis)');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_sink_reb.stf', '10', 'task03_journal_entry_description', 'Tell Acun Solari what happened to his friend.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_sink_reb.stf', '11', 'task03_journal_entry_title', 'Return and Talk to Acun Solari');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_sink_reb.stf', '12', 'task04_journal_entry_description', 'You have been rewarded with credits and Rebel faction for returning alive with news.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_sink_reb.stf', '13', 'task04_journal_entry_title', 'Reward for Returning Alive');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_sink_reb.stf', '14', 'task05_journal_entry_description', 'Kill 15 Flails on Corellia.  A location of one of their camps has been added to your datapad.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_sink_reb.stf', '15', 'task05_journal_entry_title', 'Kill 15 Flails');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_sink_reb.stf', '16', 'task06_journal_entry_description', 'Kill Binayre Pirates on Talus and recover 10 of their gang symbols as proof.  A location to one of their common camps has been added to your datapad.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_sink_reb.stf', '17', 'task06_journal_entry_title', 'Get 10 Binayre Marks');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_sink_reb.stf', '18', 'task07_journal_entry_description', 'Once you have done as he asked, return to Acun Solari and talk to him.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_sink_reb.stf', '19', 'task07_journal_entry_title', 'Talk to Acun Solari');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_sink_reb.stf', '20', 'task08_journal_entry_description', 'Go into space and await further instructions.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_sink_reb.stf', '21', 'task08_journal_entry_title', 'Go into space to kill Hidden Daggers');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_sink_reb.stf', '22', 'task09_journal_entry_description', 'You were rewarded for a successful mission.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_sink_reb.stf', '23', 'task09_journal_entry_title', 'Mission Reward');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_sink_reb.stf', '24', 'task10_journal_entry_description', 'You completed the mission.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_sink_reb.stf', '25', 'task10_journal_entry_title', 'Mission Complete');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_1_imp.stf', '1', 'category', 'Secrets of the Syren');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_1_imp.stf', '2', 'journal_entry_description', 'A pilot is lost.  Find out what happened and what he was transporting.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_1_imp.stf', '3', 'journal_entry_title', 'Man Down!');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_1_imp.stf', '4', 'task00_journal_entry_description', 'Go to (0, 2012) on Rori and find out what happened to the missing pilot.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_1_imp.stf', '5', 'task00_journal_entry_title', 'Go to the coordinates on Rori');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_1_imp.stf', '6', 'task01_journal_entry_description', 'Search around the crash site for some kind of information.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_1_imp.stf', '7', 'task01_journal_entry_title', 'Search the Crash Site');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_1_imp.stf', '8', 'task02_journal_entry_description', 'You found a locked datapad.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_1_imp.stf', '9', 'task02_journal_entry_title', 'Found Datapad');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_1_imp.stf', '10', 'task03_journal_entry_description', 'Bring the locked datapad and the sample of spice back to Jevan Monsul.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_1_imp.stf', '11', 'task03_journal_entry_title', 'Return to Jevan Monsul');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_1_imp.stf', '12', 'task04_journal_entry_description', 'Doctor Edvar Vang should be able to analyze the spice sample and give you information.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_1_imp.stf', '13', 'task04_journal_entry_title', 'Talk to Doctor Vang');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_1_imp.stf', '14', 'task05_journal_entry_description', 'Talk to Moxxar Krieg about the spice sample.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_1_imp.stf', '15', 'task05_journal_entry_title', 'Go talk to Moxxar Krieg');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_1_imp.stf', '16', 'task06_journal_entry_description', 'Someone killed Moxxar Krieg before you could talk to him.  A datapad was laying on the corpse with a message addressed to you.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_1_imp.stf', '17', 'task06_journal_entry_title', 'Too Late');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_1_imp.stf', '18', 'task07_journal_entry_description', 'You found a corpse and a datapad with a message, apparently to you.  You need more information and hopefully your contact has something for you.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_1_imp.stf', '19', 'task07_journal_entry_title', 'More information is needed.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_1_imp.stf', '20', 'task08_journal_entry_description', 'You found a sample of some kind.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_1_imp.stf', '21', 'task08_journal_entry_title', 'Found Sample');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_1_neu.stf', '1', 'category', 'Secrets of the Syren');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_1_neu.stf', '2', 'journal_entry_description', 'A pilot is lost.  Find out what happened and what he was transporting.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_1_neu.stf', '3', 'journal_entry_title', 'Man Down!');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_1_neu.stf', '4', 'task00_journal_entry_description', 'Go to (0, 2012) on Rori and find out what happened to the missing pilot.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_1_neu.stf', '5', 'task00_journal_entry_title', 'Go to the coordinates on Rori');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_1_neu.stf', '6', 'task01_journal_entry_description', 'Search around the crash site for some kind of information.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_1_neu.stf', '7', 'task01_journal_entry_title', 'Search the Crash Site');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_1_neu.stf', '8', 'task02_journal_entry_description', 'You found a locked datapad.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_1_neu.stf', '9', 'task02_journal_entry_title', 'Datapad Found');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_1_neu.stf', '10', 'task03_journal_entry_description', 'Bring the locked datapad and the sample of spice back to Tyla Jinn.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_1_neu.stf', '11', 'task03_journal_entry_title', 'Return to Tyla Jinn');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_1_neu.stf', '12', 'task04_journal_entry_description', 'Doctor Edvar Vang should be able to analyze the spice sample and give you information.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_1_neu.stf', '13', 'task04_journal_entry_title', 'Talk to Doctor Vang');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_1_neu.stf', '14', 'task05_journal_entry_description', 'Talk to Moxxar Krieg about the spice sample.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_1_neu.stf', '15', 'task05_journal_entry_title', 'Talk to Moxxar Krieg');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_1_neu.stf', '16', 'task06_journal_entry_description', 'Someone killed Moxxar Krieg before you could talk to him.  A datapad was laying on the corpse with a message addressed to you.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_1_neu.stf', '17', 'task06_journal_entry_title', 'Too Late');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_1_neu.stf', '18', 'task07_journal_entry_description', 'You found a corpse and a datapad with a message, apparently to you.  You need more information and hopefully your contact has something for you.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_1_neu.stf', '19', 'task07_journal_entry_title', 'More information is needed.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_1_neu.stf', '20', 'task08_journal_entry_description', 'You found a sample of some kind.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_1_neu.stf', '21', 'task08_journal_entry_title', 'Found Sample');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_1_reb.stf', '1', 'category', 'Secrets of the Syren');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_1_reb.stf', '2', 'journal_entry_description', 'A pilot is lost.  Find out what happened and what he was transporting.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_1_reb.stf', '3', 'journal_entry_title', 'Man Down!');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_1_reb.stf', '4', 'task00_journal_entry_description', 'Go to (0, 2012) on Rori and find out what happened to the missing pilot.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_1_reb.stf', '5', 'task00_journal_entry_title', 'Go to the coordinates on Rori');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_1_reb.stf', '6', 'task01_journal_entry_description', 'Search around the crash site for some kind of information.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_1_reb.stf', '7', 'task01_journal_entry_title', 'Search the Crash Site');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_1_reb.stf', '8', 'task02_journal_entry_description', 'You found a locked datapad.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_1_reb.stf', '9', 'task02_journal_entry_title', 'Found Datapad');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_1_reb.stf', '10', 'task03_journal_entry_description', 'Bring the locked datapad and the sample of spice back to Veega Madish.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_1_reb.stf', '11', 'task03_journal_entry_title', 'Return to Veega Madish');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_1_reb.stf', '12', 'task04_journal_entry_description', 'Doctor Edvar Vang should be able to analyze the spice sample and give you information.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_1_reb.stf', '13', 'task04_journal_entry_title', 'Talk to Doctor Vang');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_1_reb.stf', '14', 'task05_journal_entry_description', 'Talk to Moxxar Krieg about the spice sample.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_1_reb.stf', '15', 'task05_journal_entry_title', 'Go talk to Moxxar Krieg');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_1_reb.stf', '16', 'task06_journal_entry_description', 'Someone killed Moxxar Krieg before you could talk to him.  A datapad was laying on the corpse with a message addressed to you.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_1_reb.stf', '17', 'task06_journal_entry_title', 'Too Late');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_1_reb.stf', '18', 'task07_journal_entry_description', 'You found a corpse and a datapad with a message, apparently to you.  You need more information and hopefully your contact has something for you.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_1_reb.stf', '19', 'task07_journal_entry_title', 'More information is needed.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_1_reb.stf', '20', 'task08_journal_entry_description', 'You found a sample of some kind.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_1_reb.stf', '21', 'task08_journal_entry_title', 'Found Sample');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_imp.stf', '1', 'category', 'Secrets of the Syren');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_imp.stf', '2', 'journal_entry_description', 'You\'re on the trail of the missing pilot, but are you getting into something deeper than you expected?');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_imp.stf', '3', 'journal_entry_title', 'More than You Bargained For');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_imp.stf', '4', 'task00_journal_entry_description', 'Go to Narmle\'s gambling hall between dusk and dawn to speak with Kaila Min. ');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_imp.stf', '5', 'task00_journal_entry_title', 'Talk to Kaila Min');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_imp.stf', '6', 'task01_journal_entry_description', 'Go to the location that Kaila gave you as to where she saw the missing pilot.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_imp.stf', '7', 'task01_journal_entry_title', 'Follow Kaila\'s Directions');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_imp.stf', '8', 'task02_journal_entry_description', 'Black Sun thugs ambushed you at the site where the pilot was last seen.  Kill them all.  Maybe one of them has information.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_imp.stf', '9', 'task02_journal_entry_title', 'Ambushed!');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_imp.stf', '10', 'task03_journal_entry_title', 'Ambush 2 (invis)');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_imp.stf', '11', 'task04_journal_entry_title', 'Ambush 3 (invis)');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_imp.stf', '12', 'task05_journal_entry_description', 'You survuved the Black Sun ambush and found a datapad with the location: 4846, -1084');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_imp.stf', '13', 'task05_journal_entry_title', 'Information Found!');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_imp.stf', '14', 'task06_journal_entry_description', 'Go to the location that you found on the datapad and see what is there.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_imp.stf', '15', 'task06_journal_entry_title', 'Go to 4846, -1084 on Rori');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_imp.stf', '16', 'task07_journal_entry_description', 'Talk to Tovar Blackmoor, the chemist working with the Black Sun.  Maybe he will give you information.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_imp.stf', '17', 'task07_journal_entry_title', 'Talk to Tovar Blackmoor');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_imp.stf', '18', 'task08_journal_entry_description', 'Tovar Blackmoor gave you a Shisa Schematic and some credits because you let him live.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_imp.stf', '19', 'task08_journal_entry_title', 'Schematic Acquired');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_imp.stf', '20', 'task09_journal_entry_description', 'So, the Rebel Alliance is smuggling the new spice and the Black Sun want in on the action.  There is still no sign of the missing pilot. (Chapter 2 complete, but the story will continue.)');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_imp.stf', '21', 'task09_journal_entry_title', 'A Small Mystery Solved');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_imp.stf', '22', 'task10_journal_entry_title', 'Mission Failed');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_imp.stf', '23', 'task11_journal_entry_title', 'Mission Failed');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_imp.stf', '24', 'task12_journal_entry_title', 'Mission Failed');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_neu.stf', '1', 'category', 'Secrets of the Syren');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_neu.stf', '2', 'journal_entry_description', 'You\'re on the trail of the missing pilot, but are you getting into something deeper than you expected?');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_neu.stf', '3', 'journal_entry_title', 'More than You Bargained For');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_neu.stf', '4', 'task00_journal_entry_description', 'Go to Narmle\'s gambling hall between dusk and dawn to speak with Kaila Min.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_neu.stf', '5', 'task00_journal_entry_title', 'Talk to Kaila Min');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_neu.stf', '6', 'task01_journal_entry_description', 'Go to the location that Kaila gave you as to where she saw the missing pilot.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_neu.stf', '7', 'task01_journal_entry_title', 'Follow Kaila\'s Directions');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_neu.stf', '8', 'task02_journal_entry_description', 'Black Sun thugs ambushed you at the site where the pilot was last seen.  Kill them all.  Maybe one of them has information.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_neu.stf', '9', 'task02_journal_entry_title', 'Ambushed!');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_neu.stf', '10', 'task03_journal_entry_title', 'Ambush 2 (invis)');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_neu.stf', '11', 'task04_journal_entry_title', 'Ambushed!');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_neu.stf', '12', 'task05_journal_entry_description', 'You survuved the Black Sun ambush and found a datapad with the location: 4846, -1084');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_neu.stf', '13', 'task05_journal_entry_title', 'Information Found!');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_neu.stf', '14', 'task06_journal_entry_description', 'Go to the location that you found on the datapad and see what is there.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_neu.stf', '15', 'task06_journal_entry_title', 'Go to 4846, -1084 on Rori');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_neu.stf', '16', 'task07_journal_entry_description', 'Talk to Tovar Blackmoor, the chemist working with the Black Sun.  Maybe he will give you information.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_neu.stf', '17', 'task07_journal_entry_title', 'Talk to Tovar Blackmoor');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_neu.stf', '18', 'task08_journal_entry_description', 'Tovar Blackmoor gave you a Shisa Schematic and some credits because you let him live.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_neu.stf', '19', 'task08_journal_entry_title', 'Schematic Acquired');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_neu.stf', '20', 'task09_journal_entry_description', 'So, the Rebel Alliance is smuggling the new spice and the Black Sun want in on the action.  There is still no sign of the missing pilot. (Chapter 2 complete, but the story will continue.)');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_neu.stf', '21', 'task09_journal_entry_title', 'A Small Mystery Solved.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_neu.stf', '22', 'task10_journal_entry_title', 'Mission Failed');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_neu.stf', '23', 'task11_journal_entry_title', 'Mission Failed');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_neu.stf', '24', 'task12_journal_entry_title', 'Mission Failed');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_reb.stf', '1', 'category', 'Secrets of the Syren');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_reb.stf', '2', 'journal_entry_description', 'You\'re on the trail of the missing pilot, but are you getting into something deeper than you expected?');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_reb.stf', '3', 'journal_entry_title', 'More than You Bargained For');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_reb.stf', '4', 'task00_journal_entry_description', 'Go to Narmle\'s gambling hall between dusk and dawn to speak with Kaila Min.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_reb.stf', '5', 'task00_journal_entry_title', 'Talk to Kaila Min');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_reb.stf', '6', 'task01_journal_entry_description', 'Go to the location that Kaila gave you as to where she saw the missing pilot.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_reb.stf', '7', 'task01_journal_entry_title', 'Follow Kaila\'s Directions');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_reb.stf', '8', 'task02_journal_entry_description', 'Black Sun thugs ambushed you at the site where the pilot was last seen.  Kill them all.  Maybe one of them has information.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_reb.stf', '9', 'task02_journal_entry_title', 'Ambushed!');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_reb.stf', '10', 'task03_journal_entry_title', 'Ambush 2 (invis)');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_reb.stf', '11', 'task04_journal_entry_title', 'Ambush 3 (invis)');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_reb.stf', '12', 'task05_journal_entry_description', 'You survuved the Black Sun ambush and found a datapad with the location: 4846, -1084');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_reb.stf', '13', 'task05_journal_entry_title', 'Information Found!');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_reb.stf', '14', 'task06_journal_entry_description', 'Go to the location that you found on the datapad and see what is there.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_reb.stf', '15', 'task06_journal_entry_title', 'Go to 4846, -1084 on Rori');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_reb.stf', '16', 'task07_journal_entry_description', 'Talk to Tovar Blackmoor, the chemist working with the Black Sun.  Maybe he will give you information.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_reb.stf', '17', 'task07_journal_entry_title', 'Talk to Tovar Blackmoor');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_reb.stf', '18', 'task08_journal_entry_description', 'Tovar Blackmoor gave you a Shisa Schematic and some credits because you let him live.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_reb.stf', '19', 'task08_journal_entry_title', 'Schematic Acquired');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_reb.stf', '20', 'task09_journal_entry_description', 'The Rebel Alliance is smuggling the new spice and the Black Sun want in on the action.  There is still no sign of the missing pilot. (Chapter 2 complete, but the story will continue.)');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_reb.stf', '21', 'task09_journal_entry_title', 'A Small Mystery Solved');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_reb.stf', '22', 'task10_journal_entry_title', 'Mission Failed');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_reb.stf', '23', 'task11_journal_entry_title', 'Mission Failed');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/c_story1_2_reb.stf', '24', 'task12_journal_entry_title', 'Mission Failed');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/lf_deadmite.stf', '1', 'category', 'Ground Quest');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/lf_deadmite.stf', '2', 'journal_entry_description', 'Risha Sinan needs samples of Bark Mites.  Travel to the Giant Bark Mite cave and collect them for her.  Return to her when done.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/lf_deadmite.stf', '3', 'journal_entry_title', 'Bark Mite Samples');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/lf_deadmite.stf', '4', 'task00_journal_entry_description', 'Go to the Giant Bark Mite Cave');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/lf_deadmite.stf', '5', 'task00_journal_entry_title', 'Go to Cave');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/lf_deadmite.stf', '6', 'task01_journal_entry_description', 'Collect 1 Mutant Bark Mite Queen Sample');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/lf_deadmite.stf', '7', 'task01_journal_entry_title', 'Collect Queen Sample');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/lf_deadmite.stf', '8', 'task02_journal_entry_description', 'Collect 1 Mutant Bark Mite Soldier Sample');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/lf_deadmite.stf', '9', 'task02_journal_entry_title', 'Collect Soldier Samples');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/lf_deadmite.stf', '10', 'task03_journal_entry_description', 'Collect Giant Bark Mite Samples');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/lf_deadmite.stf', '11', 'task03_journal_entry_title', 'Collect Mutant Samples');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/lf_deadmite.stf', '12', 'task04_journal_entry_description', 'Collect 3 Mutant Bark Mite Worker Samples');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/lf_deadmite.stf', '13', 'task04_journal_entry_title', 'Collect Worker Sample');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/lf_deadmite.stf', '14', 'task05_journal_entry_description', 'Collect 5 Bark Mite Hatchling Samples');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/lf_deadmite.stf', '15', 'task05_journal_entry_title', 'Collect Hatchling Samples');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/lf_deadmite.stf', '16', 'task06_journal_entry_description', 'When all the samples are collected, return to Risha Sinan in Restuss');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/lf_deadmite.stf', '17', 'task06_journal_entry_title', 'Return to Risha Sinan');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/lf_safety1.stf', '1', 'category', 'Ground Quest');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/lf_safety1.stf', '2', 'journal_entry_description', 'Kill 10 worrts and return to Gerak Vurtimis in Bestine.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/lf_safety1.stf', '3', 'journal_entry_title', 'Safety Measures');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/lf_safety1.stf', '4', 'task00_journal_entry_description', 'Kill 10 worrts and return to Gerak Vurtimis in Bestine.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/lf_safety1.stf', '5', 'task00_journal_entry_title', 'Kill the Worrts');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/lf_safety1.stf', '6', 'task01_journal_entry_description', 'The hunt was successful.  Return to Gerak Vurtimis.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/lf_safety1.stf', '7', 'task01_journal_entry_title', 'Return to Gerak Vurtimis');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/lf_safety2.stf', '1', 'category', 'Ground Quest');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/lf_safety2.stf', '2', 'journal_entry_description', 'Kill 10 rills and return to Gerak Vurtimis in Bestine.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/lf_safety2.stf', '3', 'journal_entry_title', 'Safety Measures Part 2');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/lf_safety2.stf', '4', 'task00_journal_entry_description', 'Kill 10 rills and return to Gerak Vurtimis in Bestine.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/lf_safety2.stf', '5', 'task00_journal_entry_title', 'Kill the Rills');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/lf_safety2.stf', '6', 'task01_journal_entry_description', 'Return to Bestine and let Gerak know of your success.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/lf_safety2.stf', '7', 'task01_journal_entry_title', 'Return to Gerak Vurtimis');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/lf_safety3.stf', '1', 'category', 'Ground Quest');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/lf_safety3.stf', '2', 'journal_entry_description', 'Kill brigands to recover 12 crates of stolen goods and return to Gerak Vurtimis in Bestine.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/lf_safety3.stf', '3', 'journal_entry_title', 'Safety Measures Part 3');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/lf_safety3.stf', '4', 'task00_journal_entry_description', 'Kill brigands to recover 12 crates of stolen goods and return to Gerak Vurtimis in Bestine.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/lf_safety3.stf', '5', 'task00_journal_entry_title', 'Recover Stolen Goods');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/lf_safety3.stf', '6', 'task01_journal_entry_description', 'Take the stolen items back to Gerak Vertimis in Bestine.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/lf_safety3.stf', '7', 'task01_journal_entry_title', 'Return to Gerak Vertimis');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/lf_safety4.stf', '1', 'category', 'Ground Quest');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/lf_safety4.stf', '2', 'journal_entry_description', 'Kill brigands until you find a datapad.  Return it to Gerak in Bestine.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/lf_safety4.stf', '3', 'journal_entry_title', 'Safety Measures Part 4');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/lf_safety4.stf', '4', 'task00_journal_entry_description', 'One of these brigands must have information about their main camp.  Kill them until you find a datapad with the waypoint.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/lf_safety4.stf', '5', 'task00_journal_entry_title', 'Find Main Brigand Camp');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/lf_safety4.stf', '6', 'task01_journal_entry_description', 'Now that you have the datapad, return to Gerak Vertimis so he can decipher its contents.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/lf_safety4.stf', '7', 'task01_journal_entry_title', 'Return to Gerak Vertimis');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/lf_safety5.stf', '1', 'category', 'Ground Quest');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/lf_safety5.stf', '2', 'journal_entry_description', 'You now know the location of the main brigand camp.  Kill the leader and return to Bestine for your reward.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/lf_safety5.stf', '3', 'journal_entry_title', 'Safety Measures Part 5');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/lf_safety5.stf', '4', 'task00_journal_entry_description', 'You now know the location of the main brigand camp.  Kill the leader.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/lf_safety5.stf', '5', 'task00_journal_entry_title', 'Kill the Brigand Leader');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/lf_safety5.stf', '6', 'task01_journal_entry_description', 'Return to Bestine and tell Gerak Vertimis that you eliminated the brigand leader.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/lf_safety5.stf', '7', 'task01_journal_entry_title', 'Return to Gerak Vertimis');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/system_message.stf', '1', 'quest_task_completed', '\\#pcontrast3 You have completed: < \\#pcontrast1 %TT : %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/system_message.stf', '2', 'quest_task_failed', '\\#pcontrast3 You have failed: < \\#pcontrast1 %TT : %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/system_message.stf', '3', 'quest_received', '\\#pcontrast3 Quest Received: < \\#pcontrast1 %TT : %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/test_complex_escort.stf', '1', 'category', 'Test');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/test_complex_escort.stf', '2', 'journal_entry_description', 'Follow her and keep her alive.  Don\'t fail me.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/test_complex_escort.stf', '3', 'journal_entry_title', 'Handle the Oola Situation');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/test_complex_escort.stf', '4', 'task00_journal_entry_description', '');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/test_complex_escort.stf', '5', 'task00_journal_entry_title', '');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/test_complex_escort.stf', '6', 'task01_journal_entry_description', '');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/test_complex_escort.stf', '7', 'task01_journal_entry_title', 'Go pick up her laundry.  220,190,220');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/test_complex_escort.stf', '8', 'task02_journal_entry_description', '');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/test_complex_escort.stf', '9', 'task02_journal_entry_title', '');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/test_complex_escort.stf', '10', 'task03_journal_entry_description', '');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/test_complex_escort.stf', '11', 'task03_journal_entry_title', 'Ambushed!');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/test_complex_escort.stf', '12', 'task04_journal_entry_description', '');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/test_complex_escort.stf', '13', 'task04_journal_entry_title', 'Stop by the vet.  180,190,180');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/test_complex_escort.stf', '14', 'task05_journal_entry_description', '');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/test_complex_escort.stf', '15', 'task05_journal_entry_title', 'Drop her off at home. 220,190,220');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/test_complex_escort.stf', '16', 'task06_journal_entry_description', '');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/test_complex_escort.stf', '17', 'task06_journal_entry_title', '');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/test_complex_escort.stf', '18', 'task07_journal_entry_description', '');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/test_complex_escort.stf', '19', 'task07_journal_entry_title', '');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/test_complex_escort.stf', '20', 'task08_journal_entry_description', '');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/test_complex_escort.stf', '21', 'task08_journal_entry_title', '');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/test_complex_escort.stf', '22', 'task09_journal_entry_description', '');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/test_complex_escort.stf', '23', 'task09_journal_entry_title', 'Ambushed (again)!');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/test_complex_escort.stf', '24', 'task10_journal_entry_description', 'Escort her home.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/test_complex_escort.stf', '25', 'task10_journal_entry_title', 'Keep Oola alive!');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/test_complex_escort.stf', '26', 'task11_journal_entry_description', '');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/test_complex_escort.stf', '27', 'task11_journal_entry_title', '');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/test_craft.stf', '1', 'category', '');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/test_craft.stf', '2', 'journal_entry_description', '');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/test_craft.stf', '3', 'journal_entry_title', '');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/test_craft.stf', '4', 'task00_journal_entry_description', '');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/test_craft.stf', '5', 'task00_journal_entry_title', '');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/test_destroy_multiple.stf', '1', 'category', 'Test');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/test_destroy_multiple.stf', '2', 'journal_entry_description', 'Test the quest system for the \"Destroy Multiple\" task type. ');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/test_destroy_multiple.stf', '3', 'journal_entry_title', 'Test Destroy Multiple');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/test_destroy_multiple.stf', '4', 'task00_journal_entry_description', 'Go kill some womprats, and I\'ll be happy.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/test_destroy_multiple.stf', '5', 'task00_journal_entry_title', 'Kill some Womprats');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/test_destroy_multiple_and_loot.stf', '1', 'category', '');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/test_destroy_multiple_and_loot.stf', '2', 'journal_entry_description', '');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/test_destroy_multiple_and_loot.stf', '3', 'journal_entry_title', '');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/test_destroy_multiple_and_loot.stf', '4', 'task00_journal_entry_description', '');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/test_destroy_multiple_and_loot.stf', '5', 'task00_journal_entry_title', '');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/test_encounter.stf', '1', 'category', 'Testing');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/test_encounter.stf', '2', 'journal_entry_description', 'Encounter test');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/test_encounter.stf', '3', 'journal_entry_title', 'Encounter test');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/test_encounter.stf', '4', 'task00_journal_entry_description', 'Go to (190, 190, 190) and kill all the womprats there.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/test_encounter.stf', '5', 'task00_journal_entry_title', 'Find the womprat lair');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/test_encounter.stf', '6', 'task01_journal_entry_description', 'Kill the womprats you found.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/test_encounter.stf', '7', 'task01_journal_entry_title', 'Kill them!');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/test_timer.stf', '1', 'category', 'Kashyyyk');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/test_timer.stf', '2', 'journal_entry_description', 'Just stand there.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/test_timer.stf', '3', 'journal_entry_title', 'Test Timer Quest');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/test_timer.stf', '4', 'task00_journal_entry_description', 'Wait 0 to 10 seconds for this task to complete.');
INSERT INTO `client_strings` VALUES ('string/en/quest/ground/test_timer.stf', '5', 'task00_journal_entry_title', 'Test Timer Task');
INSERT INTO `client_strings` VALUES ('string/en/quest/groundquests.stf', '4', 'retrieve_item_success', 'Item found. %DI remaining.');
INSERT INTO `client_strings` VALUES ('string/en/quest/groundquests.stf', '5', 'retrieve_item_fail', 'Item not found.');
INSERT INTO `client_strings` VALUES ('string/en/quest/groundquests.stf', '6', 'destroy_counter', 'Killed');
INSERT INTO `client_strings` VALUES ('string/en/quest/groundquests.stf', '7', 'destroy_and_loot_counter', 'Found');
INSERT INTO `client_strings` VALUES ('string/en/quest/groundquests.stf', '8', 'retrieve_item_counter', 'Retrieved');
INSERT INTO `client_strings` VALUES ('string/en/quest/groundquests.stf', '9', 'timer_timertext', 'Time Remaining');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/auth_chat.stf', '1', 'auth_01', 'We\'re here to take you away!');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/auth_chat.stf', '2', 'auth_02', 'Give up! It\'s all over!');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/intellect_liar.stf', '1', 'greeting_0', 'I came to this town to take on a big assignment, but I can\'t do anything now with that bounty hunter hanging around.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/intellect_liar.stf', '2', 'greeting_1', 'Business is good!  I just moved twice my normal load this week.  Now if that bounty hunter would get lost I could get back to work.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/intellect_liar.stf', '3', 'greeting_2', 'Until this bounty hunter moves on, I won\'t be able to inspect that new shipment I just received.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/intellect_liar.stf', '4', 'greeting_3', 'The Empire has been pretty busy with the Rebellion lately.  Makes it easy to slip past with extra goods.  I would think they sent that bounty hunter to investigate, but she doesn\'t seem very smart.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/intellect_liar.stf', '5', 'greeting_4', 'I love my job.  The thrill of a light cruiser pushing past a blockade at full speed!  You never feel that way down here on the surface.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/intellect_liar.stf', '6', 'greeting_5', 'I\'ve got a flight path to plan, but that idiot of a bounty hunter keeps interrupting me with questions.  Kinda like you.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/intellect_liar.stf', '7', 'greeting_6', 'Smuggling has been tough with the Empire\'s recent crackdown.  The rebels hurt them bad and now everyone\'s feeling the effects.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/intellect_liar.stf', '8', 'greeting_7', 'I wonder how long until that bounty hunter gives up or just kills us all?');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/intellect_liar.stf', '9', 'greeting_8', 'Look, I really need to think about my next job.  What is it that you want?');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/intellect_liar.stf', '10', 'greeting_9', 'What is it? I\'m very very busy.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/intellect_liar.stf', '11', 'greeting_10', 'Curse the luck. I\'ve got a package coming in today, but that bounty hunter won\'t let me leave.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/intellect_liar.stf', '12', 'greeting_11', 'I just want to get back to work. I\'m tired of answering questions.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/intellect_liar.stf', '13', 'response_0', 'What do you know about the stolen equipment?');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/intellect_liar.stf', '14', 'response_1', 'What do you know about the other smugglers?');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/intellect_liar.stf', '15', 'response_2', 'Thank you for your time.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/intellect_liar.stf', '16', 'equipment_0', 'I don\'t know anything about the stolen equipment.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/intellect_liar.stf', '17', 'equipment_1', 'I don\'t know nothin\' about no stolen equipment.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/intellect_liar.stf', '18', 'equipment_2', 'Look, what I do might not be legal, but I don\'t steal.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/intellect_liar.stf', '19', 'equipment_3', 'I\'ll tell you what I told that bounty hunter. I didn\'t steal anything.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/intellect_liar.stf', '20', 'equipment_4', 'Don\'t you two have anything better to do than hound me with questions? Get off my back.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/intellect_liar.stf', '21', 'equipment_5', 'Nothing. Nothing at all.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/intellect_liar.stf', '22', 'equipment_6', 'I know I didn\'t steal it. That\'s about it.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/intellect_liar.stf', '23', 'equipment_7', 'For all we know, maybe YOU stole it.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/intellect_liar.stf', '24', 'equipment_8', 'Stop asking pointless questions.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/intellect_liar.stf', '25', 'equipment_9', 'Why are you harassing me? Go find the person that actually stole the stuff!');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/intellect_liar.stf', '26', 'equipment_10', 'Geez, you\'re as bad as that bounty hunter. I don\'t know anything, alright?');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/intellect_liar.stf', '27', 'equipment_11', 'Nothing. Can I go now?');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/intellect_liar.stf', '28', 'bye_0', 'Good-bye.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/intellect_liar.stf', '29', 'bye_1', '\'Bye.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/intellect_liar.stf', '30', 'bye_2', 'Get lost.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/intellect_liar.stf', '31', 'bye_3', 'Whatever.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/intellect_liar.stf', '32', 'bye_4', 'Go on, get out of here, twerp.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/intellect_liar.stf', '33', 'bye_5', 'Stop wasting my time.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/intellect_liar.stf', '34', 'bye_6', 'Am I free to go?');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/intellect_liar.stf', '35', 'bye_7', 'Go tell that bounty hunter that I\'m not the one she\'s looking for, eh?');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/intellect_liar.stf', '36', 'bye_8', 'So long.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/intellect_liar.stf', '37', 'bye_9', 'Remember, I didn\'t do it.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/intellect_liar.stf', '38', 'bye_10', 'So, you believe me, right?');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/intellect_liar.stf', '39', 'bye_11', 'Fine.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/intellect_liar.stf', '40', 'others_0_0', 'I don\'t really know what I can tell you, other than this piece of advice.  I know the smugglers in this town fairly well.  Two of them always lie.  You can only trust the other three.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/intellect_liar.stf', '41', 'others_0_1', 'There\'s really not much that I can tell you. I know most of these smugglers pretty well though. Two of them are compulsive liars. The others are pretty trusworthy.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/intellect_liar.stf', '42', 'others_0_2', 'Yea, I know most of these rogues pretty well. Three of them are pretty honest. The other two are down right dirty liars, I wouldn\'t trust a word they say.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/intellect_liar.stf', '43', 'others_1_0', 'Neither %TO nor I have anything to do with this, leave us alone.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/intellect_liar.stf', '44', 'others_1_1', 'I\'m innocent I tell you, and so is %TO. Now leave us be.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/intellect_liar.stf', '45', 'others_1_2', 'Both %TO and I have nothing to do with all this. That\'s all I can say.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/intellect_liar.stf', '46', 'others_2_0', 'I know for a fact that the bounty hunter is looking for %TT or %TO.  They are both considered scum, even among smugglers.  I wouldn\'t be surprised if one of them stooped to petty thievery.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/intellect_liar.stf', '47', 'others_2_1', 'I\'m almost positive that either %TT or %TO is the culprit. I\'ve heard of them getting caught up in situtations like this before.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/intellect_liar.stf', '48', 'others_2_2', 'I\'ll tell you what. I\'ve been around and I hear things. And I\'m sure it\'s either %TT or %TO that the bounty hunter is looking for.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/intellect_liar.stf', '49', 'others_3_0', 'Don\'t trust %TT and %TO, both of them are lying.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/intellect_liar.stf', '50', 'others_3_1', 'I overheard %TT and %TO talking earlier. They are both liars, don\'t trust either of them.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/intellect_liar.stf', '51', 'others_3_2', 'I know that %TT and %TO are both liars. Don\'t listen to a word they say.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/intellect_liar.stf', '52', 'others_4_0', '%TT isn\'t telling the truth; either %TO or %TU is lying, the other is not.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/intellect_liar.stf', '53', 'others_4_1', 'I know for a fact that %TT is a liar. And I know that either %TO or %TU is lying, but the other isn\'t.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/intellect_liar.stf', '54', 'others_4_2', 'Both %TO and %TU are kind of shady, but only one is a liar, the other isn\'t. And we all know that %TT is definately a liar.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/intellect_liar.stf', '55', 'others_5_0', 'Whatever %TO said is a lie.  I\'ve been cheated by that that poor excuse for a smuggler enough times to know.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/intellect_liar.stf', '56', 'others_5_1', 'That %TO is a filthy liar. Everyone here knows it.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/intellect_liar.stf', '57', 'others_5_2', 'Everything that %TO says is a dirty lie. You can\'t believe a word that comes out of his mouth.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/intellect_liar.stf', '58', 'rank', 'a smuggler captain');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/intellect_liar.stf', '59', 'sui_prompt', 'Choose the smuggler that you believe stole the equipment:');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/intellect_liar.stf', '60', 'sui_title', 'Bounty Hunter');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/intellect_liar.stf', '61', 'sui_btn_ok', 'Point Him Out');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/intellect_liar.stf', '62', 'sui_btn_cancel', 'Nevermind');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/intellect_liar.stf', '63', 'bh_win', 'You\'re right, that does make sense. Thanks for your help, I\'ll take care of it from here.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/intellect_liar.stf', '64', 'bh_lose', 'No, no. That can\'t be right, it doesn\'t make sense at all. I guess I\'ll just have to figure it out myself.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/rancher.stf', '1', 'you_okay', 'The authorities are here. Are you okay?');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/rancher.stf', '2', 'glad_here', 'Yes, I am. I\'m so glad you\'re here!');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/system_messages.stf', '1', 'failed', 'Quest Failed: The pirates have escaped! To restart, seek out the pirate leader in the wilderness of Tatooine.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/system_messages.stf', '2', 'success', 'Quest completed: Mark of Honor received!');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/system_messages.stf', '3', 'restart', 'Restarting Quest: The seven minute time limit has been reached. The quest has been restarted for other players to enjoy.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/system_messages.stf', '4', 'enter', 'You enter what seems to be a rancher\'s house. It appears to be sensibly decorated and pleasant and the aroma of freshly baked goods greets you. In the distance, you can hear faint, but frantic, murmuring. You should investigate.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/system_messages.stf', '5', 'reset', 'Resetting Quest: Check objvars on your character to garauntee correct testing. Additionally, be sure to review documentation on the Hero of Tatooine quest. ');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/system_messages.stf', '6', 'search', 'Search');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/system_messages.stf', '7', 'already_search', 'You already searched the lair and doubt you could find anything else worth of interest.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/system_messages.stf', '8', 'inventory', 'Your inventory is full and can\'t carry anymore items.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/system_messages.stf', '9', 'receive', 'You pick through the twigs and dirt and find an abandoned skull.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/system_messages.stf', '10', 'altruism_already_open', 'Someone else is already inspecting that area.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/system_messages.stf', '11', 'altruism_explosion_damage', 'You have taken some damage from your proximity to the explosion.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/system_messages.stf', '12', 'altruism_explosive_removed', 'You have removed the explosives from the rock crevice and turned off the timer.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/system_messages.stf', '13', 'altruism_explosive_set', 'You have placed the explosives into the rock crevice and set the timer to TEN SECONDS.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/system_messages.stf', '14', 'altruism_got_object', 'You found a pack of timed explosives! The crate has fallen apart due to years of deterioration.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/system_messages.stf', '15', 'altruism_inventory_full', 'You found something in the crate, but your inventory is full. Make some room and search again.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/system_messages.stf', '16', 'altruism_no_reason', 'You can\'t think of a good reason to put this item there.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/system_messages.stf', '17', 'altruism_not_wise_examine', 'It would probably not be wise to inspect that area now.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/system_messages.stf', '18', 'altruism_npc_farewell', 'Thank you so much for helping us. We\'ll go straight home from here, I promise!');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/system_messages.stf', '19', 'altruism_null_object', 'You found something in the crate, but couldn\'t get it for some reason. You might want to try again.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/system_messages.stf', '20', 'altruism_quest_fail', 'MISSION FAILED: You were not successful in rescuing the farmer\'s wife and daughter.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/system_messages.stf', '21', 'altruism_quest_success', 'MISSION SUCCESS: You have rescued the farmer\'s wife and daughter!');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/system_messages.stf', '22', 'menu_search', 'Search');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/system_messages.stf', '23', 'courage_notice_object', 'As the creature falls, you notice an object glittering on it\'s corpse.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/system_messages.stf', '24', 'courage_already_have_mark', 'You already have the Mark of Courage.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/system_messages.stf', '25', 'menu_restore', 'Restore Life');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/system_messages.stf', '26', 'restore_msg', 'Your Mark of the Hero has restored some life to you...');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/system_messages.stf', '27', 'restore_not_yet', 'You cannot use this special ability for %TO');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/system_messages.stf', '28', 'restore_not_equipped', 'You must be wearing the ring to use that special ability.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/system_messages.stf', '29', 'restore_not_dead', 'That special ability will have no effect while you are alive.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/system_messages.stf', '30', 'restore', 'Restore Life');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/system_messages.stf', '31', 'altruism_inv_full', 'You did not receive the Mark of Altruism item because your inventory is full. Seek out the Hermit to acquire that which you are owed.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/system_messages.stf', '32', 'intellect_inv_full', 'You did not receive the Mark of Intellect item because your inventory is full. Seek out the Hermit to acquire that which you are owed.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/system_messages.stf', '33', 'honor_inv_full', 'You did not receive the Mark of Honor item because your inventory is full. Seek out the Hermit to acquire that which you are owed.');
INSERT INTO `client_strings` VALUES ('string/en/quest/hero_of_tatooine/system_messages.stf', '34', 'hero_inv_full', 'You did not receive the Mark of the Hero item because your inventory is full. Speak to the Hermit again to acquire that which you are owed.');
INSERT INTO `client_strings` VALUES ('string/en/quest/lifeday/lifeday.stf', '1', 'waypoint_name', 'Life Day Celebration');
INSERT INTO `client_strings` VALUES ('string/en/quest/lifeday/lifeday.stf', '2', 'waypoint_updated', 'A waypoint to a planet holding a Life Day celebration was added to your datapad.');
INSERT INTO `client_strings` VALUES ('string/en/quest/lifeday/lifeday.stf', '3', 'full_inv', 'Your inventory is full. Please make some room and speak to the NPC again to receive your gift.');
INSERT INTO `client_strings` VALUES ('string/en/quest/pirates.stf', '1', 'ruin_life', 'I\'ll be back! And I\'ll ruin your life!');
INSERT INTO `client_strings` VALUES ('string/en/quest/pirates.stf', '2', 'dont_hurt_us', 'Wait! Don\'t hurt us! We give up!');
INSERT INTO `client_strings` VALUES ('string/en/quest/quests.stf', '1', 'task_complete', 'You have completed your task!');
INSERT INTO `client_strings` VALUES ('string/en/quest/quests.stf', '2', 'quest_journal_updated', 'Your quest journal has been updated.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quests.stf', '3', 'task_failure', 'You have failed your task.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quests.stf', '4', 'kill_credit', 'You gain credit for the quest %TO. Total left: %DI');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_craft4.stf', '12', 'quest01_n', 'Find a Gadget Specialist');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_craft4.stf', '13', 'quest02_n', 'Complete the Tracking Device Kit');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_craft4.stf', '14', 'quest03_n', 'Obtain the Rights to an Abandoned Satellite');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_craft4.stf', '15', 'quest04_n', 'Find the Fallen Satellite and Retrieve the Computer Core');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_craft4.stf', '16', 'quest05_n', 'Reconfigure the Computer Core\'s Interface');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_craft4.stf', '17', 'quest06_n', 'Bring the New Core to Aurilia\'s Chief Engineer');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_craft4.stf', '18', 'quest07_n', 'Make Space for Your Reward');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_craft4.stf', '19', 'quest01_d', 'Go to Keren on Naboo, Coronet on Corellia, or Mos Entha on Tatooine and speak to a gadget specialist to seek help finding a replacement computer core for the village of Aurilia on Dathomir. The Aurilia chief engineer can provide you with a waypoint to one of these locations if you wish. Simply speak with him.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_craft4.stf', '20', 'quest02_d', 'Complete the satellite tracking device kit. Doing so will provide you with the means to find a downed satellite from which you could find a replcement computer core.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_craft4.stf', '21', 'quest03_d', 'Go to any starport ticket droid and request their assistance to obtain the rights to an abandoned satellite. Doing so will provide you with tracking data for your satellite tracking device and will allow you to locate the fallen satellite.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_craft4.stf', '22', 'quest04_d', 'Use your tracking device to locate the fallen satellite. Once found, retrieve the computer core so that it may be used as a replacement in the village of Aurilia on Dathomir.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_craft4.stf', '23', 'quest05_d', 'Modify the replacement computer core\'s interface so that it will be configured to be used with the computers of Aurilia. Do so by choosing the menu options under \"Reconfigure Interface\" from the computer core\'s radial menu.\n\nYou will need to rewire the replacement computer core to match that of the village computers. There are four indicators on the core that will be lit when it has been properly configured.\n\nTo reconfigure the core, you will need to connect four wires in the proper order to contacts on the core. There are red wires, yellow wires, and blue wires.  Each color set of of wires connects to a different power source, and any combination of the wires may be used to reconfigure the computer core. \n\nWhen you have the wires configured the way you desire, you may test the configuration to see if it is correct. For each wire that is connected to the correct contact, one of the four indicators will be lit. If the correct type of wire is used but is connected to the wrong contact, then one of the indicators will flicker. You can use this feedback to determine the final configuration of the interface for the new computer core.\n\nBe careful though... each time you test your configuration, power is sent through the core.  An incomplete configuration can damage the core. This is reported as \'Circuit Integrity\' which gives the percentage chance that the core is still viable. Be sure to keep an eye on this value. On average, a core can survive 6 - 7 attempts without sigificant damage, but beyond that you risk frying the computer core\'s circuits and rendering it useless.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_craft4.stf', '24', 'quest06_d', 'Bring the newly configured computer core to Aurilia\'s chief engineer so that he may use it to stabilize the village\'s primary computers.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_craft4.stf', '25', 'quest07_d', 'The people of the village wish to reward you for your aid to them, but you must have room in your inventory for it. Make some room and then speak again to the chief engineer.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_craft4.stf', '26', 'main_n', 'Find a replacement computer core for the village of Aurilia computers.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_craft4.stf', '27', 'main_d', 'During the large-scale attacks that have recently plagued the village of Aurillia, the village\'s primary computer system and its computer core were badly damaged. The computer is currently running on its reserve core but won\'t last much longer, and therefore a new core must be acquired as soon as possible. \n\nThanks to the current ongoing attacks, the newly appointed chief engineer is unable to attend to the damaged computer core by finding a replacement. He has asked you to do so for him.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_craft4.stf', '28', 'quest_finished_n', 'Quest Complete and Skill Branch Unlocked: Crafting Mastery: Repair');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_craft4.stf', '29', 'quest_finished_d', 'You have helped the Aurilia chief engineer replace the damaged computer core and in doing so have unlocked the ability to use the crafting mastery repair skills.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_defend.stf', '1', 'summary_01', 'Defend the village against Mellichae\'s Shadow Sith Outlaws!');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_defend.stf', '3', 'detail_01', 'An overwhelming force of mercenaries and criminals are assaulting the village of Aurilia. The villagers are grossly outnumbered. You are tasked with defeating at least fifty of the Sith Shadow outlaws hired by Mellichae.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_defend.stf', '4', 'detail_02', 'An overwhelming force of mercenaries and criminals are assaulting the village of Aurilia. The villagers are grossly outnumbered. You are tasked with defeating at least twenty-five of the lieutenants leading Mellichae\'s hired thugs. The outlaws are led by Sith Shadow pirates.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_defend.stf', '5', 'defend_the_village_summary', 'Village Assault! (Unlock Combat Prowess: Ranged Weapon Speed)');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_defend.stf', '6', 'defend_the_village_detail', 'An overwhelming force of mercenaries and criminals are assaulting the village of Aurilia. The villagers are grossly outnumbered. ');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_defend.stf', '7', 'reward_summary_01', 'Unlocked Combat Prowess: Ranged Weapon Speed');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_defend.stf', '8', 'reward_detail_01', 'You are now eligible to learn Combat Prowess: Ranged Weapon Speed. You will first need to earn enough experience to learn skills in this branch. See Paemos in the village of Aurilia on Dathomir for more information.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_defend.stf', '9', 'reward_summary_02', 'Unlocked branch Enhanced Reflexes: Melee Defenses');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_defend.stf', '10', 'reward_detail_02', 'You are now eligible to learn Enhanced Reflexes: Melee Defenses. You will first need to earn enough experience to learn skills in this branch. See Paemos in the village of Aurilia on Dathomir for more information.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_defend.stf', '11', 'defend_the_village_summary_02', 'Village Assault! (Unlock Enhanced Reflexes: Melee Defenses)');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_defend.stf', '12', 'summary_02', 'Defend the village against Mellichae\'s Shadow Sith Pirates!');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_medic.stf', '1', 'combat_healing_n_1', 'Healing Support');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_medic.stf', '2', 'combat_healing_n_2', 'Healing Support (extended)');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_medic.stf', '3', 'combat_healing_d_1', 'Your help is needed to support the defense of the village. Find any group of defenders and join them, be sure to support them during battle. Complete at least 50 encounters.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_medic.stf', '4', 'combat_healing_d_2', 'Your help is still needed to support the defense of the village. Find any group of defenders and join them, be sure to support them during battle. Complete a total of at least 100 encounters.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_medic.stf', '5', 'healing_puzzle_n_1', 'Cure the sick');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_medic.stf', '6', 'healing_puzzle_d', 'You are needed to help cure the sick villagers. Control the medicine through experimentation and use of various qualities of resources. Through multiple applications of the medications, you should be able to cure the symptoms of the sick. The medical droids will help you administer the cures to the patients.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_medic.stf', '7', 'healing_puzzle_n_2', 'Cure the sick (extended)');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_medic.stf', '8', 'healing_puzzle_n_3', 'Cure the sick (Extra Cures)');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_medic.stf', '9', 'healing_puzzle_n_finish', 'Quest Complete');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_medic.stf', '10', 'combat_healing_n_finish', 'Quest Complete');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_medic.stf', '11', 'healing_puzzle_d_finish', 'You have completed the quest to aid the sick and wounded villagers. You may now talk to Noldan about training in the persuasion Force sensitive skills.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_medic.stf', '12', 'combat_healing_d_finish', 'You have completed the quest to aid the troops during the defense of the village. You may now talk to Noldan about training in the healing Force sensitive skills.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_patrol.stf', '1', 'patrol_journal_1_n', 'Patrol ( 1 / 10 )');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_patrol.stf', '2', 'patrol_journal_d', 'Patrol all eight points.  Standing orders are to subdue any hostiles you come across, unless the hostiles are part of a raid force. Any groups larger than three should be avoided so intelligence can be gathered. We cannot gather information if they are dead. Report back after all points are complete.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_patrol.stf', '3', 'patrol_journal_2_n', 'Patrol ( 2 / 10 )');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_patrol.stf', '4', 'patrol_journal_3_n', 'Patrol ( 3 / 10 )');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_patrol.stf', '5', 'patrol_journal_4_n', 'Patrol ( 4 / 10 )');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_patrol.stf', '6', 'patrol_journal_5_n', 'Patrol ( 5 / 10 )');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_patrol.stf', '7', 'patrol_journal_6_n', 'Patrol ( 6 / 10 )');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_patrol.stf', '8', 'patrol_journal_7_n', 'Patrol ( 7 / 10 )');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_patrol.stf', '9', 'patrol_journal_8_n', 'Patrol ( 8 / 10 )');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_patrol.stf', '10', 'patrol_journal_9_n', 'Patrol ( 9 / 10 )');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_patrol.stf', '11', 'patrol_journal_10_n', 'Patrol ( 10 / 10 )');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_patrol.stf', '12', 'patrol_journal_11_n', 'Extra Patrols ( 1 / 10 )');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_patrol.stf', '13', 'patrol_journal_12_n', 'Extra Patrols ( 2 / 10 )');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_patrol.stf', '14', 'patrol_journal_13_n', 'Extra Patrols ( 3 / 10 )');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_patrol.stf', '15', 'patrol_journal_14_n', 'Extra Patrols ( 4 / 10 )');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_patrol.stf', '16', 'patrol_journal_15_n', 'Extra Patrols ( 5 / 10 )');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_patrol.stf', '17', 'patrol_journal_16_n', 'Extra Patrols ( 6 / 10 )');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_patrol.stf', '18', 'patrol_journal_17_n', 'Extra Patrols ( 7 / 10 )');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_patrol.stf', '19', 'patrol_journal_18_n', 'Extra Patrols ( 8 / 10 )');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_patrol.stf', '20', 'patrol_journal_19_n', 'Extra Patrols ( 9 / 10 )');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_patrol.stf', '21', 'patrol_journal_20_n', 'Extra Patrols ( 10 / 10 )');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_patrol.stf', '22', 'patrol_journal_start', 'Village Patrols');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_patrol.stf', '23', 'patrol_journal_finish', 'Quest Complete');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_patrol.stf', '25', 'patrol_journal_d_finish', 'You have completed the quest to patrol for enemy forces. You may now talk to Noldan about training in ranged accuracy Force sensitive skills.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_community_crafting.stf', '1', 'defenses_main', 'Help Build Village Defenses');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_community_crafting.stf', '2', 'shields_main', 'Help Build Village Shields');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_community_crafting.stf', '3', 'defenses_detail', 'Contribute 10 or more resources or components to the village defenses crafting project. The \"Village Defenses\" schematic has the details of what items are needed.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_community_crafting.stf', '4', 'shields_detail', 'Contribute 20 or more resources or components to the village shields crafting project.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_community_crafting.stf', '5', 'get_defense_schematics', 'Get The Schematics');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_community_crafting.stf', '6', 'get_shield_schematics', 'Get The Schematics');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_community_crafting.stf', '7', 'get_defense_schematics_detail', 'Talk to the droid QT-QC and get the schematics needed for the village defenses.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_community_crafting.stf', '8', 'get_shield_schematics_detail', 'Talk to the droid QT-QC and get the schematics needed for the village shields.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_community_crafting.stf', '9', 'defenses', 'Craft The Ingredients');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_community_crafting.stf', '10', 'shields', 'Craft The Ingredients');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_community_crafting.stf', '11', 'defenses_main_detail', 'Contribute crafted items to help build the village defenses.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_community_crafting.stf', '12', 'shields_main_detail', 'Contribute crafted items to help build the village shields.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_craft1.stf', '1', 's_01', 'Find and examine the sensor array.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_craft1.stf', '2', 'd_01', 'You must find the village sensor array and determine the extent of the damage. If there are any non-functional components, you should remove them so new ones can be replaced.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_craft1.stf', '3', 's_02', 'Find the chief engineer\'s workstation.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_craft1.stf', '4', 'd_02', 'Remove any damaged components from the sensor array.\n\nYou must find the chief engineer\'s tools and use them to craft and calibrate new components. Remember that new components must be calibrated correctly before they can be installed into the sensor array.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_craft1.stf', '5', 's_03', 'Calibrate and replace components.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_craft1.stf', '6', 'd_03', 'Use the Recursive Analyzer to deconstruct damaged components into a draft schematic, and craft new components. Those draft schematics are limited use, but if you need another after you use one, you can load it from the Analyzer memory.\n\nOnce you have a new component, you will need to calibrate it using the Multi-phase calibrator. Be careful though, the calibration process has a detrimental effect on component integrity. \n\nOnce you have correctly calibrated all of the new components, you must replace them into the sensor array to bring it back online.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_craft1.stf', '7', 's_00', 'Repair the sensor array.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_craft1.stf', '8', 'd_00', 'The sensor array in the village of Aurilia has been damaged. It must be repaired!');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_craft1.stf', '9', 's_04', 'QUEST COMPLETE');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_craft1.stf', '10', 'd_04', 'QUEST COMPLETE: You have successfully brought the village sensor array back online. As agreed, Quharek has opened your mind to the possibility of using the Force to enhance your assembly skills.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_reflex1.stf', '1', 's_01', 'Find a Sith Shadows encampment.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_reflex1.stf', '2', 'd_01', 'Citizens of the village of Aurilia are feared to have been captured by the Sith Shadows. Village trackers have found a trail that should probably lead to the vicinity of a Shadows encampment. Find the encampment and any imprisoned villagers.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_reflex1.stf', '3', 's_02', 'Speak with the imprisoned villager.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_reflex1.stf', '4', 'd_02', 'A villager has been captured by the Sith Shadows! Speak with the prisoner and he or she will likely follow you back to the village. Be careful, if the enemy spots you, they will likely attack.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_reflex1.stf', '5', 's_03', 'Keep the villager alive.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_reflex1.stf', '6', 'd_03', 'The rescued villager must make it back to the village alive.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_reflex1.stf', '7', 's_04', 'Return to the village of Aurilia.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_reflex1.stf', '8', 'd_04', 'Both you and the rescued villager must return to the village of Aurilia safely.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_reflex1.stf', '9', 's_00', 'Rescue missing villagers.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_reflex1.stf', '10', 'd_00', 'Several villagers are missing from Aurilia. They must be found!');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_reflex1.stf', '11', 's_05', 'QUEST COMPLETE');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_reflex1.stf', '12', 'd_05', 'QUEST COMPLETE: You have successfully rescued the villagers that were taken prisoner from the village of Aurilia. As agreed, Whip has opened your mind to the possibilities of using the Force to enhance your survival skills.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_reflex2.stf', '1', 's_01', 'Find the transport crash site.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_reflex2.stf', '2', 'd_01', 'The emergency beacon indicates the area where the transport was attacked. Find that location and the transport should be nearby.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_reflex2.stf', '3', 's_02', 'Pick up the box of supplies.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_reflex2.stf', '4', 'd_02', 'It looks like there is a crate of supplies that has not yet been stolen, and can still be salvaged from the wreckage. You must get that crate! Be careful though, if the enemy spots you, they will likely attack.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_reflex2.stf', '5', 's_03', 'Take the supplies back to the village.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_reflex2.stf', '6', 'd_03', 'The crate of supplies must be returned safely to the village of Aurilia. You must return the crate before it is stolen or damaged.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_reflex2.stf', '7', 's_00', 'Retrieve supply crates.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_reflex2.stf', '8', 'd_00', 'Supply transports have been attacked. The supplies must be brought to the village of Aurilia!');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_reflex2.stf', '9', 's_04', 'QUEST COMPLETE');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_reflex2.stf', '10', 'd_04', 'QUEST COMPLETE: You have successfully retrieved the much needed supplies for the village of Aurilia. As agreed, Whip has opened your mind to the possibilities of using the Force to enhance your vehicle control skills.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad.stf', '1', 'main', 'Search And Destroy');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad.stf', '2', 'task1', 'Search And Destroy 1/8');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad.stf', '3', 'task2', 'Search And Destroy 2/8');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad.stf', '4', 'task3', 'Search And Destroy 3/8');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad.stf', '5', 'task4', 'Search And Destroy 4/8');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad.stf', '6', 'task5', 'Search And Destroy 5/8');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad.stf', '7', 'task6', 'Search And Destroy 6/8');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad.stf', '8', 'task7', 'Search And Destroy 7/8');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad.stf', '9', 'task8', 'Search And Destroy 8/8');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad.stf', '10', 'task1_detail', 'We\'ve spotted a number of enemy patrols in the area and could use your help.  \n\nWe know they\'re building their strength for a coming attack, and we\'d like to strike while the iron is hot, so to speak.  Can you help us?\n\nNote: Dageerin said to use the rradiation sensor, found in your datapad, to track the tracking device planted on them.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad.stf', '11', 'task2_detail', 'You did us a great service with your last raid on the enemy, but there are more out there.  \n\nCan you help us again?');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad.stf', '12', 'task3_detail', 'I think your attacks are beginning to get their attention.  I\'d watch your back.  \n\nHere\'s your next target, if you\'re up for it...');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad.stf', '13', 'task4_detail', 'They\'ve started moving their bases around in response to our attacks.  We\'ve tracked them into a new area that we\'d like to investigate.\n\nNote: Dageerin said to use the radiation sensor, found in your datapad, to track the tracking device planted on them.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad.stf', '14', 'task5_detail', 'Unfortunately, one of our field soldiers was caught and killed.  But he managed to get us a message with the coordinates of an enemy base.  Can you avenge him for us?\n\nNote: Dageerin said to use the radiation sensor, found in your datapad, to track the tracking device planted on them.\n');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad.stf', '15', 'task6_detail', 'We may have turned the corner on this thing.  It feels great to finally take the battle to our enemy instead of waiting for them to attack.  \n\nReady for another one?');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad.stf', '16', 'task7_detail', 'All of the reports coming in are promising - we definitely have them on the run now. \n\n I think we\'re getting to their more elite troops - please be careful.\n\nNote: Dageerin said to use the radiation sensor, found in your datapad, to track the tracking device planted on them.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad.stf', '17', 'task8_detail', 'Exciting news!  We\'ve finally tracked down one of their high-ranking officers.  Our efforts have flushed her out, and our agent caught a glimpse of her just a while back.  I think...well, better not say anything.  Be careful - a cornered rat fights hard.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad.stf', '18', 'return1', 'Search And Destroy 1/8 - Return to village');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad.stf', '19', 'return2', 'Search And Destroy 2/8 - Return to village');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad.stf', '20', 'return3', 'Search And Destroy 3/8 - Return to village');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad.stf', '21', 'return4', 'Search And Destroy 4/8 - Return to village');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad.stf', '22', 'return5', 'Search And Destroy 5/8 - Return to village');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad.stf', '23', 'return6', 'Search And Destroy 6/8 - Return to village');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad.stf', '24', 'return7', 'Search And Destroy 7/8 - Return to village');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad.stf', '25', 'return8', 'Search And Destroy 8/8 - Return to village');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad.stf', '26', 'return1_detail', 'Return to Dageerin, in the village.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad.stf', '27', 'return2_detail', 'Return to Dageerin, in the village.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad.stf', '28', 'return3_detail', 'Return to Dageerin, in the village.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad.stf', '29', 'return4_detail', 'Return to Dageerin, in the village.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad.stf', '30', 'return5_detail', 'Return to Dageerin, in the village.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad.stf', '31', 'return6_detail', 'Return to Dageerin, in the village.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad.stf', '32', 'return7_detail', 'Return to Dageerin, in the village.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad.stf', '33', 'return8_detail', 'Return to the NPC.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad.stf', '34', 'wrong_phase', 'You did not complete your existing quest (Search and Destroy) in time.  You must restart that quest.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad.stf', '35', 'main_detail', 'A variety of Shadow bases have been spotted in the surrounding countryside.  We suspect they are marshalling their forces for some sort of large-scale raid unlike anything we\'ve seen.  If they were to strike now, we would be horribly unprepared.  We must convince them that we are much stronger than we, in fact, are.  Village agents are scouring the countryside as we speak looking for likely targets for dynamic raids.  We can use your help.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad.stf', '36', 'instructions_title', 'Instructions');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad.stf', '37', 'instructions_text', 'Hit \"Use\" to display a window showing the threat level of the enemies.  As you get closer to the tracking device (and thus the enemy), the radiation counter will go up.  If you move away, it goes down. \n\nThe device will let you know if you\'re getting closer to the enemy or moving away from it.  The display will also indicate when you are within 64 meters of your target.\n\nKeep the window up as you move, but look out for the enemy!');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad.stf', '38', 'finish_summary', 'Completed Quest - Unlocked Skill Combat Prowess: Melee Speed');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad.stf', '39', 'finish_detail', 'You have completed your work for Dageerin and unlocked the ability to use the melee speed skill.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad2.stf', '1', 'main', 'Search And Destroy II');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad2.stf', '2', 'task1', 'Search And Destroy II 1/8');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad2.stf', '3', 'task2', 'Search And Destroy II 2/8');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad2.stf', '4', 'task3', 'Search And Destroy II 3/8');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad2.stf', '5', 'task4', 'Search And Destroy II 4/8');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad2.stf', '6', 'task5', 'Search And Destroy II 5/8');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad2.stf', '7', 'task6', 'Search And Destroy II 6/8');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad2.stf', '8', 'task7', 'Search And Destroy II 7/8');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad2.stf', '9', 'task8', 'Search And Destroy II 8/8');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad2.stf', '10', 'task1_detail', 'Our militia uses a small tracking device called a radiation sensor to track the enemy out in the field. I\'m going to give you a control device that can sit in your datapad.  Activate it to get a reading.  As the reading goes up, you\'re getting close to the target.  Based on the strength of the readings, I think the nearest Shadow base is about 1000 meters from here.  Good luck, soldier.\n\n');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad2.stf', '11', 'task2_detail', 'Someone is feeding them troops and materiel, but we don\'t know who.  We\'ve located a base that\'s supplying a large area outside the village.  Can you track it down and destroy it for us?');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad2.stf', '12', 'task3_detail', 'We\'ll bring this Shadow out into the open if it\'s the last thing we do.  I\'m redoubling our patrols, which places great strain on the auxiliares.  Think you can handle it?\n\nNote: Dageerin said to use the radiation sensor, found in your datapad, to track the tracking device planted on them.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad2.stf', '13', 'task4_detail', 'They\'ve started moving their bases around in response to our attacks.  With the help of the Force, I hope we can find their new camps quickly.  Can you help?\n\nNote: Dageerin said to use the radiation sensor, found in your datapad, to track the tracking device planted on them.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad2.stf', '14', 'task5_detail', 'We may have turned the corner on this thing.  It feel great to finally take the battle to our enemy instead of waiting for them to attack.  \n\nReady for another one?\n\nNote: Dageerin said to use the radiation sensor, found in your datapad, to track the tracking device planted on them.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad2.stf', '15', 'task6_detail', 'Our spies have netted us another camp.  But you\'ll have to act quickly.  They look like they\'re ready to move.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad2.stf', '16', 'task7_detail', 'All of the reports coming in are promising - we definitely have them on the run now. \n\nI think we\'re getting to their more elite troops - please be careful.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad2.stf', '17', 'task8_detail', 'All right, we\'re getting somewhere, finally.  Reports are coming in that a high-ranking officer of the Shadow is holed up nearby.  Take him out, now.\n\nNote: Dageerin said to use the radiation sensor, found in your datapad, to track the tracking device planted on them.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad2.stf', '18', 'return1', 'Search And Destroy II 1/8 - Return to village');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad2.stf', '19', 'return2', 'Search And Destroy II 2/8 - Return to village');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad2.stf', '20', 'return3', 'Search And Destroy II 3/8 - Return to village');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad2.stf', '21', 'return4', 'Search And Destroy II 4/8 - Return to village');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad2.stf', '22', 'return5', 'Search And Destroy II 5/8 - Return to village');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad2.stf', '23', 'return6', 'Search And Destroy II 6/8 - Return to village');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad2.stf', '24', 'return7', 'Search And Destroy II 7/8 - Return to village');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad2.stf', '25', 'return8', 'Search And Destroy II 8/8 - Return to village');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad2.stf', '26', 'return1_detail', 'Return to Dageerin, in the village.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad2.stf', '27', 'return2_detail', 'Return to Dageerin, in the village.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad2.stf', '28', 'return3_detail', 'Return to Dageerin, in the village.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad2.stf', '29', 'return4_detail', 'Return to Dageerin, in the village.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad2.stf', '30', 'return5_detail', 'Return to Dageerin, in the village.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad2.stf', '31', 'return6_detail', 'Return to Dageerin, in the village.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad2.stf', '32', 'return7_detail', 'Return to Dageerin, in the village.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad2.stf', '33', 'return8_detail', 'Return to the NPC.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad2.stf', '34', 'wrong_phase', 'You did not complete your existing quest (Search and Destroy) in time.  You must restart that quest.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad2.stf', '35', 'main_detail', 'We\'re taking the fight to the enemy while we prepare our invincible shield defense.  Because of the preparations, and the scale of the conflict, our normal militia is overworked.  We\'re recruiting auxiliaries to be frontline combat troops.  We know the location of a number of Shadow bases that we want taken out to keep them on the run.  ');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad2.stf', '36', 'finish_summary', 'Completed Quest - Unlocked Skill Enhanced Reflexes: Ranged Defense');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_quests_sad2.stf', '37', 'finish_detail', 'You have completed your work for Dageerin and unlocked the ability to use the ranged defense skill.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_survey.stf', '1', 'phase2_01', 'Help collect resources for the building of the Village wall.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_survey.stf', '2', 'phase2_02', 'Help collect resources for the building of the Village wall.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_survey.stf', '3', 'phase2_03', 'Help collect resources for the building of the Village wall.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_survey.stf', '4', 'phase2_04', 'Help collect resources for the building of the Village wall.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_survey.stf', '5', 'phase2_05', 'Help collect resources for the building of the Village wall.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_survey.stf', '6', 'phase2_06', 'Help collect resources for the building of the Village wall.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_survey.stf', '7', 'phase2_07', 'Help collect resources for the building of the Village wall.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_survey.stf', '8', 'phase2_08', 'Help collect resources for the building of the Village wall.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_survey.stf', '9', 'phase3_01', 'Help collect resources for the building of the Village shields.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_survey.stf', '10', 'phase3_02', 'Help collect resources for the building of the Village shields.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_survey.stf', '11', 'phase3_03', 'Help collect resources for the building of the Village shields.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_survey.stf', '12', 'phase3_04', 'Help collect resources for the building of the Village shields.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_survey.stf', '13', 'phase3_05', 'Help collect resources for the building of the Village shields.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_survey.stf', '14', 'phase3_06', 'Help collect resources for the building of the Village shields.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_survey.stf', '15', 'phase3_07', 'Help collect resources for the building of the Village shields.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_survey.stf', '16', 'phase3_08', 'Help collect resources for the building of the Village shields.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_survey.stf', '17', 'desc2_01', 'You are required to find an area that contains a 50% density of Aluminum.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_survey.stf', '18', 'desc2_02', 'You are required to find an area that contains a 50% density of Gemstone.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_survey.stf', '19', 'desc2_03', 'You are required to find an area that contains a 50% density of Energy.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_survey.stf', '20', 'desc2_04', 'You are required to find an area that contains a 50% density of Ore.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_survey.stf', '21', 'desc2_05', 'You are required to find an area that contains a 50% density of Copper.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_survey.stf', '22', 'desc2_06', 'You are required to find an area that contains a 50% density of Steel.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_survey.stf', '23', 'desc2_07', 'You are required to find an area that contains a 50% density of Iron.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_survey.stf', '24', 'desc2_08', 'You are required to find an area that contains a 50% density of Gas.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_survey.stf', '25', 'desc3_01', 'You are required to find an area that contains a 50% density of Iron.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_survey.stf', '26', 'desc3_02', 'You are required to find an area that contains a 50% density of Gas.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_survey.stf', '27', 'desc3_03', 'You are required to find an area that contains a 50% density of Energy.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_survey.stf', '28', 'desc3_04', 'You are required to find an area that contains a 50% density of Aluminum.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_survey.stf', '29', 'desc3_05', 'You are required to find an area that contains a 50% density of Ore.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_survey.stf', '30', 'desc3_06', 'You are required to find an area that contains a 50% density of Gemstone.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_survey.stf', '31', 'desc3_07', 'You are required to find an area that contains a 50% density of Steel.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_survey.stf', '32', 'desc3_08', 'You are required to find an area that contains a 50% density of Copper.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_survey.stf', '34', 'desc2_main', 'Find Village Wall Resources');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_survey.stf', '35', 'desc3_main', 'Find Shield Generator Resources');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_survey.stf', '36', 'phase2_main', 'Find Village Wall Resources');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/fs_survey.stf', '37', 'phase3_main', 'Find Shield Generator Resources.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/test1.stf', '1', 'test1', 'This is the first test string.');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/test1.stf', '2', 'test_category', 'Jedi Padawan');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/test1.stf', '3', 'sct_category', 'Swg Cui Test Category');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/test1.stf', '4', 'sct1_summary', 'Swg Cui Test 1 Summary');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/test1.stf', '5', 'sct2_summary', 'Swg Cui Test 2 Summary');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/test1.stf', '6', 'sct3_summary', 'Swg Cui Test 3 Summary');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/test1.stf', '7', 'sct4_summary', 'Swg Cui Test 4 Summary');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/test1.stf', '8', 'sct1_detail', 'Swg Cui Test 1 Detail\nIpso Lorem defacto Est Ipso Lorem defacto Est Ipso Lorem defacto Est Ipso Lorem defacto Est Ipso Lorem defacto Est\nIpso Lorem defacto Est Ipso Lorem defacto Est Ipso Lorem defacto Est Ipso Lorem defacto Est Ipso Lorem defacto Est \nIpso Lorem defacto Est Ipso Lorem defacto Est');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/test1.stf', '9', 'sct2_detail', 'Swg Cui Test 2 Detail\nIpso Lorem defacto Est Ipso Lorem defacto Est Ipso Lorem defacto Est Ipso Lorem defacto Est Ipso Lorem defacto Est\nIpso Lorem defacto Est Ipso Lorem defacto Est Ipso Lorem defacto Est Ipso Lorem defacto Est Ipso Lorem defacto Est \nIpso Lorem defacto Est Ipso Lorem defacto Est');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/test1.stf', '10', 'sct3_detail', 'Swg Cui Test 3 Detail\nIpso Lorem defacto Est Ipso Lorem defacto Est Ipso Lorem defacto Est Ipso Lorem defacto Est Ipso Lorem defacto Est\nIpso Lorem defacto Est Ipso Lorem defacto Est Ipso Lorem defacto Est Ipso Lorem defacto Est Ipso Lorem defacto Est \nIpso Lorem defacto Est Ipso Lorem defacto Est');
INSERT INTO `client_strings` VALUES ('string/en/quest/quest_journal/test1.stf', '11', 'sct4_detail', 'Swg Cui Test 4 Detail\nIpso Lorem defacto Est Ipso Lorem defacto Est Ipso Lorem defacto Est Ipso Lorem defacto Est Ipso Lorem defacto Est\nIpso Lorem defacto Est Ipso Lorem defacto Est Ipso Lorem defacto Est Ipso Lorem defacto Est Ipso Lorem defacto Est \nIpso Lorem defacto Est Ipso Lorem defacto Est');
INSERT INTO `client_strings` VALUES ('string/en/quest/sampling.stf', '1', 'sample_for', 'You\'ve discovered %TU.');
INSERT INTO `client_strings` VALUES ('string/en/quest2.stf', '1', 'opening', 'Gah!  You\'re not trying to give me that god-awful jacket are you?!?  I won\'t take it!');
INSERT INTO `client_strings` VALUES ('string/en/quest2.stf', '2', 'why', 'Why not?');
INSERT INTO `client_strings` VALUES ('string/en/quest2.stf', '3', 'evil', 'It stinks.  Plus, it\'s too hot on this planet for a jacket.');
INSERT INTO `client_strings` VALUES ('string/en/quest2.stf', '4', 'what', 'What should I do with it?');
INSERT INTO `client_strings` VALUES ('string/en/quest2.stf', '5', 'lunatic', 'Take it to that wookiee over there.  She likes the cut of it, and I hear she\'s got a deed to a moisture vaporator she\'s been trying to trade for one.');
INSERT INTO `client_strings` VALUES ('string/en/quest2.stf', '6', 'goaway', 'Yep.  I\'m pretty much done talking to you right now.');
INSERT INTO `client_strings` VALUES ('string/en/quest2.stf', '7', 'no', 'Are you sure?');
INSERT INTO `client_strings` VALUES ('string/en/quest2.stf', '8', 'noquest', 'I don\'t really have anything to say to you.');
INSERT INTO `client_strings` VALUES ('string/en/quest2.stf', '9', 'onthisquest', 'Didn\'t I tell you I didn\'t want that thing already?');
INSERT INTO `client_strings` VALUES ('string/en/quest2.stf', '10', 'sorry', 'Yeah, Sorry, you\'re right.  You did.');
INSERT INTO `client_strings` VALUES ('string/en/quest2.stf', '11', 'getonwithit', 'Well.  Get on with whatever you\'re going to do then, but don\'t start bothering me again.');
INSERT INTO `client_strings` VALUES ('string/en/quest_armorsmith.stf', '1', 'greeting', 'Bah!  You waste my time.  The armor crafting techniques I have to offer are far beyond your comprehension.  Come back when you have mastered the armorsmith profession and maybe then you\'ll have some chance to understand what I have to teach.');
INSERT INTO `client_strings` VALUES ('string/en/quest_armorsmith.stf', '2', 'quest_1_start', 'You believe you have learned all there is to know about being armorsmith.  You haven\'t!  I know far more than you ever will, but still there are a few lessons I could teach you.  Learning these things will not be easy for someone such as you.  It will be expensive in both time and in credits.  Furthermore, I have no patience for insolent students.  You do as I say and don\'t bother me with stupid questions!  So what to you say?  Give me %DI credits and we\'ll get started.  Be quick about it!  I\'m very busy.');
INSERT INTO `client_strings` VALUES ('string/en/quest_armorsmith.stf', '3', 'yes_to_quest_1_start', 'I am ready to begin.  Here are the credits.');
INSERT INTO `client_strings` VALUES ('string/en/quest_armorsmith.stf', '4', 'no_to_quest_1_start', 'Sorry, I\'m not interested in your lessons.');
INSERT INTO `client_strings` VALUES ('string/en/quest_armorsmith.stf', '5', 'illegal_response', 'Bah! Trying to pull a fast one over me?  I\'m far too intelligent to fall for such a dimwitted scheme.');
INSERT INTO `client_strings` VALUES ('string/en/quest_armorsmith.stf', '6', 'quest_1_start_no', 'Bah!  Then be off with the likes of you!  I have no time for armorsmith lackies!');
INSERT INTO `client_strings` VALUES ('string/en/quest_armorsmith.stf', '7', 'quest_1_start_yes', 'I suspected you would agree to my terms.  Let\'s get started.  I\'m going to teach you how to construct my masterpiece invention: R.I.S armor.  This armor has no equal in battle.   Everything else is junk compared to this!  Of course, it is exceedingly difficult to create, especially for a fledgling armorsmith such as you.  But, no matter.  We\'ll take it slow so you can comprehend.  Are you with me so far?');
INSERT INTO `client_strings` VALUES ('string/en/quest_armorsmith.stf', '8', 'quest_1_description', 'As you know, creating armor starts with the armor segment.  That is where we shall start as well.  Like all armor segements, R.I.S. segment require resources which I\'m sure you already know how to acquire.  They also, however, require some special components.  For strength, they require bone fragments from a Woolamander Harrower.  For flexibility, they require the hide of a Recluse Gurk King.  Use this schematic to create the armor segment and bring it back to me.  I don\'t care how you get the materials, but you must construct the segment yourself.  You can only learn by doing it yourself!  Now go busy yourself with making the armor segment and come back to me when you are done.');
INSERT INTO `client_strings` VALUES ('string/en/quest_armorsmith.stf', '9', 'yes', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/quest_armorsmith.stf', '10', 'quest_2_query', 'The student returns!  Show me what you have learned in crafting the %TO.');
INSERT INTO `client_strings` VALUES ('string/en/quest_armorsmith.stf', '11', 'yes_to_quest_2_query', 'I have it right here.');
INSERT INTO `client_strings` VALUES ('string/en/quest_armorsmith.stf', '12', 'no_to_quest_2_query', 'I haven\'t yet been able to craft it.');
INSERT INTO `client_strings` VALUES ('string/en/quest_armorsmith.stf', '13', 'no', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/quest_armorsmith.stf', '14', 'quest_2_complete', 'Let\'s see how you did... Bah!  Look at these mounting tabs! They aren\'t even on straight!  This flexor matrix has the plasticity of carbonite!  I was hoping for a better showing, my student, but I guess this will have to do.  Keep practicing.  If you can\'t handle the fundamentals, everything else will suffer!  But no! I\'m sure you don\'t want to practice.  Just rush onto the next lesson, I bet.  I suppose that\'s what you want to do?');
INSERT INTO `client_strings` VALUES ('string/en/quest_armorsmith.stf', '15', 'quest_2_incomplete', 'Bah!  Then why are you here?  Don\'t expect me to do everything it for you.  If you want to learn, but have to be willing to put in the effort!  Now get to work!');
INSERT INTO `client_strings` VALUES ('string/en/quest_armorsmith.stf', '16', 'yes_to_quest_3_start', 'Yes, am I ready to continue.');
INSERT INTO `client_strings` VALUES ('string/en/quest_armorsmith.stf', '17', 'no_to_quest_3_start', 'No. I\'d rather practice what I\'ve already learned.');
INSERT INTO `client_strings` VALUES ('string/en/quest_armorsmith.stf', '18', 'quest_3_start', 'Next I will to teach you how to craft the R.I.S armor layer.  A remarkable component this is.  Not only does it add additional protection, it can actually reduce encumbrance if masterfully crafted!  Like all armor layers, it\'ll work with any armor segment, making even those inferior armor types better.  Here\'s the schematic.  You\'ll need some feathers from the rare Peko Peko Albatross... a bit nasty of a critter.  Hop to it!');
INSERT INTO `client_strings` VALUES ('string/en/quest_armorsmith.stf', '19', 'quest_3_start_no', 'Fine, fine.  Practice up.  Come back when you are ready for the next lesson.');
INSERT INTO `client_strings` VALUES ('string/en/quest_armorsmith.stf', '20', 'quest_4_query', 'You return again.  Okay, let\'s see it.  Where\'s the %TO you crafted?');
INSERT INTO `client_strings` VALUES ('string/en/quest_armorsmith.stf', '21', 'yes_to_quest_4_query', 'Here it is.');
INSERT INTO `client_strings` VALUES ('string/en/quest_armorsmith.stf', '22', 'no_to_quest_4_query', 'I haven\'t crafted it yet.');
INSERT INTO `client_strings` VALUES ('string/en/quest_armorsmith.stf', '23', 'quest_4_complete', 'Let\'s see how you did this time... Bah! The lattice orientation of the absorption medium should be 65.3 degrees off of the axis of principal stress of the reinforcement matrix.  65.3 degrees!  How do you expect this to handle blaster fire any other way?  Still, it isn\'t terrible for a first attempt.  Of course, I\'d be embarrassed  to put my name on that thing, but that\'s why I\'m the teacher and you\'re the student.  Are you ready for the next lesson?');
INSERT INTO `client_strings` VALUES ('string/en/quest_armorsmith.stf', '24', 'quest_4_incomplete', 'Well then, go on and get that finished up.  I\'m not going anywhere.');
INSERT INTO `client_strings` VALUES ('string/en/quest_armorsmith.stf', '25', 'yes_to_quest_5_start', 'Yes. I am ready to learn more.');
INSERT INTO `client_strings` VALUES ('string/en/quest_armorsmith.stf', '26', 'no_to_quest_5_start', 'No. I\'m not ready for the next lesson.');
INSERT INTO `client_strings` VALUES ('string/en/quest_armorsmith.stf', '27', 'quest_5_start', 'You\'ve finally managed to learned the basics.  Now I will teach you how to craft the armor, itself.  We\'ll start with the boots.  If you can\'t get the boots right,  I don\'t care how good the rest of the armor is.  If your feet hurt, it just doesn\'t matter!  Here\'s the schematic for the boots.  In addition to the resources you\'ll also need some scales from a Giant Dune Kimogila.  Better pack your desert gear and rocket launcher.');
INSERT INTO `client_strings` VALUES ('string/en/quest_armorsmith.stf', '28', 'quest_5_start_no', 'No ready, huh?  Very well, I\'ll be here when you are.');
INSERT INTO `client_strings` VALUES ('string/en/quest_armorsmith.stf', '29', 'armorsmith_quest', 'Welcome back, my student!  There is nothing more I\'m willing to teach you about R.I.S. armor crafting.  Practice, practice.  You\'ll get it right one of these days.');
INSERT INTO `client_strings` VALUES ('string/en/quest_armorsmith.stf', '30', 'quest_6_query', 'Back again!  Most of my students have quit by this point.  Let\'s see the %TO you crafted.');
INSERT INTO `client_strings` VALUES ('string/en/quest_armorsmith.stf', '31', 'quest_6_complete', 'A little small, don\'t you think?  Who were you making these for? A Jawa?  Nevertheless, these do look marginally acceptable.  I think you are getting the hang of this.  Tell you what.  I think you\'ve learned enough to do this on your own.  Here\'s the rest of the schematics.  Don\'t make me look bad and don\'t forget to practice, practice.  And be sure to come back and visit sometimes.  It\'s not every day that I have a student actually complete my lessons.  Now, I\'ll be getting back to my work...');
INSERT INTO `client_strings` VALUES ('string/en/quest_armorsmith.stf', '32', 'yes_to_quest_6_query', 'Here it is.');
INSERT INTO `client_strings` VALUES ('string/en/quest_armorsmith.stf', '33', 'no_to_quest_6_query', 'I haven\'t managed to craft it yet.');
INSERT INTO `client_strings` VALUES ('string/en/quest_armorsmith.stf', '34', 'quest_6_incomplete', 'Don\'t let me down now!  Get crafting!');
INSERT INTO `client_strings` VALUES ('string/en/quest_armorsmith.stf', '35', 'not_enough_money', 'Bah! You don\'t even have enough money.  What kind of armorsmith are you?  Go get some work and come back when you can pay my fee.');
INSERT INTO `client_strings` VALUES ('string/en/quest_item_d.stf', '1', 'hero_of_tatooine_explosives_crate', 'A large traveling crate.  It looks like it has been here for a very long time, and seems as if it might fall apart at any moment.');
INSERT INTO `client_strings` VALUES ('string/en/quest_item_d.stf', '2', 'hero_of_tatooine_rock_crevice', 'There is a small crevice behind this rock.  It looks like there might be enough room to cram a small object in there.');
INSERT INTO `client_strings` VALUES ('string/en/quest_item_d.stf', '3', 'hero_of_tatooine_explosives', 'This device contains a large explosive charge that is attached to a smaller timing unit.');
INSERT INTO `client_strings` VALUES ('string/en/quest_item_d.stf', '4', 'contract_crate', 'This small crate is used to hold and transport items for a crafting job order. When the crate has been filled with the specified number of items, return to the person that gave you the job order for your payment.');
INSERT INTO `client_strings` VALUES ('string/en/quest_item_d.stf', '5', 'hero_of_tatooine_mark_intellect', 'The bearer of this mark has proven outstanding intellect when presented with a complex problem.');
INSERT INTO `client_strings` VALUES ('string/en/quest_item_d.stf', '6', 'hero_of_tatooine_mark_honor', 'The bearer of this mark has proven outstanding honor when faced with difficult decisions.');
INSERT INTO `client_strings` VALUES ('string/en/quest_item_d.stf', '7', 'hero_of_tatooine_mark_courage', 'The bearer of this mark has proven outstanding courage in the face of imminent danger.');
INSERT INTO `client_strings` VALUES ('string/en/quest_item_d.stf', '8', 'hero_of_tatooine_mark_altruism', 'The bearer of this mark has proven outstanding altruism against overwhelming odds.');
INSERT INTO `client_strings` VALUES ('string/en/quest_item_d.stf', '9', 'fs_craft_puzzle_analyzer', 'This device is capable of analyzing the construction techniques and core materials of an item. The resulting output is a detailed description of the resources needed and the steps required to craft that item. The object being analyzed is destroyed in this process.\n\nBe aware that this device can be used only with the items for which it was designed.');
INSERT INTO `client_strings` VALUES ('string/en/quest_item_d.stf', '10', 'fs_craft_puzzle_calibrator', 'This device is used to calibrate the various settings of components that are to be used in precision equipment.');
INSERT INTO `client_strings` VALUES ('string/en/quest_item_d.stf', '11', 'fs_craft_puzzle_config_processor', 'This component takes real-time configuration data from a user input terminal and applies it immediately to the equipment into which it is installed. This eliminates the need for slower manual configuration.\n\nThis is a component of a sensor array.');
INSERT INTO `client_strings` VALUES ('string/en/quest_item_d.stf', '12', 'fs_craft_puzzle_decryption_chip', 'This component is necessary to decode potentially sensitive data. The chip takes encrypted data and converts it to a usable format.\n\nThis is a component of a sensor array.\n\n');
INSERT INTO `client_strings` VALUES ('string/en/quest_item_d.stf', '13', 'fs_craft_puzzle_gyro_receiver', 'This component includes a broad spectrum receiver unit that is able to be angled to any direction for the most accurate and efficient data reception possible. \n\nThis is a component of a sensor array.');
INSERT INTO `client_strings` VALUES ('string/en/quest_item_d.stf', '14', 'fs_craft_puzzle_signal_amp', 'This component boosts the signal of both outgoing and incoming transmissions. Outgoing data is boosted to assist in long range transmission, and incoming data is analyzed for lost information and amplified for usability.\n\nThis is a component of a sensor array.');
INSERT INTO `client_strings` VALUES ('string/en/quest_item_d.stf', '15', 'fs_craft_puzzle_solid_state_array', 'This is the main component of any array oriented tramsmission equipment. Solid state transmitters are arranged and alligned for a broad range of communication capabilites.\n\nThis is a component of a sensor array.');
INSERT INTO `client_strings` VALUES ('string/en/quest_item_d.stf', '16', 'fs_reflex_supply_crate', 'This is a supply crate that was salvaged from a wrecked transport.');
INSERT INTO `client_strings` VALUES ('string/en/quest_item_d.stf', '17', 'fs_crafting4_downed_satellite', 'This satellite fell from the sky and has long since been abandoned by whoever originally owned it. The satellite is quite damaged and beyond repair, but it is possible that some parts may still be worth salvaging.');
INSERT INTO `client_strings` VALUES ('string/en/quest_item_d.stf', '18', 'fs_crafting4_computer_core', 'A computer core salvaged from a damaged satellite.');
INSERT INTO `client_strings` VALUES ('string/en/quest_item_d.stf', '19', 'crowd_pleaser_dance_reward', 'This document contains the necessary information needed to learn the theatrical style dance.\n\nDue to the difficult nature of this performance, only experienced dancers will find it possible to learn this style of dance.');
INSERT INTO `client_strings` VALUES ('string/en/quest_item_d.stf', '20', 'crowd_pleaser_music_reward', 'This document contains the necessary information needed to learn the western style of music.\n\nDue to the difficult nature of this performance, only experienced musicians will find it possible to learn this style of music.');
INSERT INTO `client_strings` VALUES ('string/en/quest_item_d.stf', '21', 'fs_craft_puzzle_terminal', 'This terminal displays the overal status of the sensor array, as well as providing information about and access to the various components installed in the array.');
INSERT INTO `client_strings` VALUES ('string/en/quest_item_n.stf', '1', 'hero_of_tatooine_explosives_crate', 'an old crate');
INSERT INTO `client_strings` VALUES ('string/en/quest_item_n.stf', '2', 'hero_of_tatooine_rock_crevice', 'a rocky crevice');
INSERT INTO `client_strings` VALUES ('string/en/quest_item_n.stf', '3', 'hero_of_tatooine_explosives', 'a pack of explosives');
INSERT INTO `client_strings` VALUES ('string/en/quest_item_n.stf', '4', 'contract_crate', 'Crafter\'s Job Crate');
INSERT INTO `client_strings` VALUES ('string/en/quest_item_n.stf', '5', 'hero_of_tatooine_mark_intellect', 'Mark of Intellect');
INSERT INTO `client_strings` VALUES ('string/en/quest_item_n.stf', '6', 'hero_of_tatooine_mark_honor', 'Mark of Honor');
INSERT INTO `client_strings` VALUES ('string/en/quest_item_n.stf', '7', 'hero_of_tatooine_mark_courage', 'Mark of Courage');
INSERT INTO `client_strings` VALUES ('string/en/quest_item_n.stf', '8', 'hero_of_tatooine_mark_altruism', 'Mark of Altruism');
INSERT INTO `client_strings` VALUES ('string/en/quest_item_n.stf', '9', 'fs_craft_puzzle_analyzer', 'Recursive Analyzer');
INSERT INTO `client_strings` VALUES ('string/en/quest_item_n.stf', '10', 'fs_craft_puzzle_calibrator', 'Multi-phase Calibrator');
INSERT INTO `client_strings` VALUES ('string/en/quest_item_n.stf', '11', 'fs_craft_puzzle_config_processor', 'Configuration Processor');
INSERT INTO `client_strings` VALUES ('string/en/quest_item_n.stf', '12', 'fs_craft_puzzle_decryption_chip', 'Decryption Chip');
INSERT INTO `client_strings` VALUES ('string/en/quest_item_n.stf', '13', 'fs_craft_puzzle_gyro_receiver', 'Gyroscopic Receiver');
INSERT INTO `client_strings` VALUES ('string/en/quest_item_n.stf', '14', 'fs_craft_puzzle_signal_amp', 'Signal Amplifier');
INSERT INTO `client_strings` VALUES ('string/en/quest_item_n.stf', '15', 'fs_craft_puzzle_solid_state_array', 'Solid State Array');
INSERT INTO `client_strings` VALUES ('string/en/quest_item_n.stf', '16', 'fs_reflex_supply_crate', 'Crate of Supplies');
INSERT INTO `client_strings` VALUES ('string/en/quest_item_n.stf', '17', 'fs_crafting4_downed_satellite', 'A Fallen Satellite');
INSERT INTO `client_strings` VALUES ('string/en/quest_item_n.stf', '18', 'fs_crafting4_computer_core', 'A Salvaged Computer Core');
INSERT INTO `client_strings` VALUES ('string/en/quest_item_n.stf', '19', 'crowd_pleaser_music_reward', 'Sheet Music: Western Style');
INSERT INTO `client_strings` VALUES ('string/en/quest_item_n.stf', '20', 'crowd_pleaser_dance_reward', 'Dance Steps: Theatrical Style');
INSERT INTO `client_strings` VALUES ('string/en/quest_item_n.stf', '21', 'fs_craft_puzzle_terminal', 'Sensor Array Access Terminal');
INSERT INTO `client_strings` VALUES ('string/en/radial_performance.stf', '1', 'listen', 'Listen');
INSERT INTO `client_strings` VALUES ('string/en/radial_performance.stf', '2', 'watch', 'Watch');
INSERT INTO `client_strings` VALUES ('string/en/radial_performance.stf', '3', 'listen_stop', 'Stop Listening');
INSERT INTO `client_strings` VALUES ('string/en/radial_performance.stf', '4', 'watch_stop', 'Stop Watching');
INSERT INTO `client_strings` VALUES ('string/en/radial_performance.stf', '5', 'play_instrument', 'Play Instrument');
INSERT INTO `client_strings` VALUES ('string/en/radial_performance.stf', '6', 'stop_playing', 'Stop Playing');
INSERT INTO `client_strings` VALUES ('string/en/radial_quest.stf', '1', 'quest', 'Ah, good, a player!  Can you help me with something I\'m having a problem with?');
INSERT INTO `client_strings` VALUES ('string/en/radial_quest.stf', '2', 'yes', 'Certainly!');
INSERT INTO `client_strings` VALUES ('string/en/radial_quest.stf', '3', 'no', 'As if....');
INSERT INTO `client_strings` VALUES ('string/en/radial_quest.stf', '4', 'what', 'Um...what appears to be the problem?');
INSERT INTO `client_strings` VALUES ('string/en/radial_quest.stf', '5', 'good', 'Excellent.  I need you to take this jacket to my good friend the Mon Cal over there.   She has on a white long-sleeve shirt, and she needs her jacket!');
INSERT INTO `client_strings` VALUES ('string/en/radial_quest.stf', '6', 'bad', 'Well, then get out of my sight!  I\'ll find a *REAL* player to help me.');
INSERT INTO `client_strings` VALUES ('string/en/radial_quest.stf', '7', 'explain', 'My friend the Mon Cal lost her Jacket.  I need a player to take it to her so she doesn\'t get cold.');
INSERT INTO `client_strings` VALUES ('string/en/radial_quest.stf', '8', 'ok', 'Sure I\'ll take it to her.');
INSERT INTO `client_strings` VALUES ('string/en/radial_quest.stf', '9', 'nah', 'Nah.  Sounds dull.');
INSERT INTO `client_strings` VALUES ('string/en/radial_quest.stf', '10', 'excellent', 'Excellent!');
INSERT INTO `client_strings` VALUES ('string/en/radial_quest.stf', '11', 'sent', 'Have you finished the task I asked you to do?');
INSERT INTO `client_strings` VALUES ('string/en/radial_quest.stf', '12', 'notyet', 'Um...not yet.');
INSERT INTO `client_strings` VALUES ('string/en/radial_quest.stf', '13', 'go', 'Well get to it then!');
INSERT INTO `client_strings` VALUES ('string/en/radial_quest.stf', '14', 'newtalk', 'What appears to be the problem?');
INSERT INTO `client_strings` VALUES ('string/en/radial_quest.stf', '15', 'wont', 'Your friend doesn\'t want this.');
INSERT INTO `client_strings` VALUES ('string/en/radial_quest.stf', '16', 'doesnt', 'Well, what did she suggest you do with it?');
INSERT INTO `client_strings` VALUES ('string/en/radial_quest.stf', '17', 'hermit', 'She said give it to the wookiee.');
INSERT INTO `client_strings` VALUES ('string/en/radial_quest.stf', '18', 'keep', 'She said I could keep it.');
INSERT INTO `client_strings` VALUES ('string/en/radial_quest.stf', '19', 'herm2', 'Well, if the wookiee wants it I don\'t mind if you give it to her.');
INSERT INTO `client_strings` VALUES ('string/en/radial_quest.stf', '20', 'keep2', 'Do what you like with it then.  I have no further need for it.');
INSERT INTO `client_strings` VALUES ('string/en/random_dialog.stf', '1', 'townperson_1', 'Oh, I haven\'t paid my taxes...');
INSERT INTO `client_strings` VALUES ('string/en/random_dialog.stf', '2', 'townperson_2', 'It looks like it\'s going to be a warm one today.');
INSERT INTO `client_strings` VALUES ('string/en/random_dialog.stf', '3', 'townperson_3', 'What day is it?');
INSERT INTO `client_strings` VALUES ('string/en/random_dialog.stf', '4', 'townperson_4', 'Nothing interesting ever happens around here.');
INSERT INTO `client_strings` VALUES ('string/en/random_dialog.stf', '5', 'townperson_5', 'I can\'t find my chrono.');
INSERT INTO `client_strings` VALUES ('string/en/random_dialog.stf', '6', 'townperson_6', 'What is that smell?...oh.');
INSERT INTO `client_strings` VALUES ('string/en/random_dialog.stf', '7', 'townperson_7', 'I\'m not clear on what I should be doing now.');
INSERT INTO `client_strings` VALUES ('string/en/random_dialog.stf', '8', 'townperson_8', 'Lousy stormtroopers...(mumbles)...didn\'t do it!');
INSERT INTO `client_strings` VALUES ('string/en/random_dialog.stf', '9', 'townperson_9', 'I hear the alliance is looking for more pilots.');
INSERT INTO `client_strings` VALUES ('string/en/random_dialog.stf', '10', 'townperson_10', 'What a lovely view.');
INSERT INTO `client_strings` VALUES ('string/en/random_dialog.stf', '11', 'townperson_11', 'I\'ve never been so tired.');
INSERT INTO `client_strings` VALUES ('string/en/random_dialog.stf', '12', 'townperson_12', 'I need a new book to read.');
INSERT INTO `client_strings` VALUES ('string/en/random_dialog.stf', '13', 'townperson_13', 'I need to use the fresher.');
INSERT INTO `client_strings` VALUES ('string/en/random_dialog.stf', '14', 'townperson_14', 'I feel old.');
INSERT INTO `client_strings` VALUES ('string/en/random_dialog.stf', '15', 'townperson_15', 'I think I might be getting sick.');
INSERT INTO `client_strings` VALUES ('string/en/random_dialog.stf', '16', 'townperson_16', 'My advice is, never gamble with a Hutt.');
INSERT INTO `client_strings` VALUES ('string/en/random_dialog.stf', '17', 'townperson_17', 'Well, this planet\'s not so bad.');
INSERT INTO `client_strings` VALUES ('string/en/random_dialog.stf', '18', 'townperson_18', 'I\'ve been considering moving to a new city.');
INSERT INTO `client_strings` VALUES ('string/en/random_dialog.stf', '19', 'townperson_19', 'I have too much to do today.');
INSERT INTO `client_strings` VALUES ('string/en/random_dialog.stf', '20', 'townperson_20', 'Have you ever seen the inside of an imperial prison?  Me neither.');
INSERT INTO `client_strings` VALUES ('string/en/random_dialog.stf', '21', 'townperson_21', 'I\'d rather be eaten by Rancor\'s then pay that guy off.');
INSERT INTO `client_strings` VALUES ('string/en/random_dialog.stf', '22', 'townperson_22', 'My skin is peeling...');
INSERT INTO `client_strings` VALUES ('string/en/random_dialog.stf', '23', 'townperson_23', 'Just need enough credits for one more drink...');
INSERT INTO `client_strings` VALUES ('string/en/random_dialog.stf', '24', 'townperson_24', 'Oh yes, she\'s a lovely girl.');
INSERT INTO `client_strings` VALUES ('string/en/random_dialog.stf', '25', 'townperson_25', 'I wonder if I\'m supposed to be somewhere...');
INSERT INTO `client_strings` VALUES ('string/en/random_dialog.stf', '26', 'pirate_1', 'I once rode through the Jundland wastes on a bantha with no name.');
INSERT INTO `client_strings` VALUES ('string/en/random_dialog.stf', '27', 'pirate_2', 'I hope our ship is repaired soon...');
INSERT INTO `client_strings` VALUES ('string/en/random_dialog.stf', '28', 'pirate_3', 'I\'ve killed men for less than that.');
INSERT INTO `client_strings` VALUES ('string/en/random_dialog.stf', '29', 'pirate_4', 'It\'s not robbery if they give you their money freely is it?  Har har!');
INSERT INTO `client_strings` VALUES ('string/en/random_dialog.stf', '30', 'pirate_5', 'Arrr....I think I stubbed my toe.');
INSERT INTO `client_strings` VALUES ('string/en/random_dialog.stf', '31', 'pirate_6', 'It\'s like there\'s war going on, up there where the stars are.  You know, like a space battle.');
INSERT INTO `client_strings` VALUES ('string/en/random_dialog.stf', '32', 'pirate_7', 'Never steal from an Imperial supply ship.  They say Vader personally hunts down any pirate that does.');
INSERT INTO `client_strings` VALUES ('string/en/random_dialog.stf', '33', 'pirate_8', 'The Hutt\'s always pay on time, I\'ll give them that.');
INSERT INTO `client_strings` VALUES ('string/en/random_dialog.stf', '34', 'pirate_9', 'Corellian ships are the easiest to board...');
INSERT INTO `client_strings` VALUES ('string/en/random_dialog.stf', '35', 'pirate_10', 'Could I be any better looking?');
INSERT INTO `client_strings` VALUES ('string/en/random_dialog.stf', '36', 'pirate_11', 'I think that guy\'s wearing my chrono...');
INSERT INTO `client_strings` VALUES ('string/en/random_dialog.stf', '37', 'pirate_12', 'I hear Calrissean run\'s a high stakes poker game somewhere near Bespin.');
INSERT INTO `client_strings` VALUES ('string/en/random_dialog.stf', '38', 'pirate_13', 'I used to work for Nym.  Nasty one, he is.');
INSERT INTO `client_strings` VALUES ('string/en/random_dialog.stf', '39', 'pirate_14', 'They say Bith are the best musicians, but I think Max Rebo\'s my favorite.');
INSERT INTO `client_strings` VALUES ('string/en/random_dialog.stf', '40', 'pirate_15', 'It\'s amazing how many people I know with a severed limb...');
INSERT INTO `client_strings` VALUES ('string/en/random_dialog.stf', '41', 'pirate_16', 'Robbed a casino myself once.  Never again, never again...');
INSERT INTO `client_strings` VALUES ('string/en/random_dialog.stf', '42', 'pirate_17', 'Imperial prisons are by far the cleanest.');
INSERT INTO `client_strings` VALUES ('string/en/random_dialog.stf', '43', 'pirate_18', 'I did some time on Dathomir myself.  You don\'t believe me?!?');
INSERT INTO `client_strings` VALUES ('string/en/random_dialog.stf', '44', 'pirate_19', 'Have I shown you my scars?  Well, you wouldn\'t want to see them anyway.');
INSERT INTO `client_strings` VALUES ('string/en/random_dialog.stf', '45', 'pirate_20', 'No one makes good eye-patches anymore.');
INSERT INTO `client_strings` VALUES ('string/en/random_dialog.stf', '46', 'pirate_21', 'Captain says I\'m the best first mate he\'s ever had.');
INSERT INTO `client_strings` VALUES ('string/en/random_dialog.stf', '47', 'pirate_22', 'Is that Twi\'lek cooking I smell?');
INSERT INTO `client_strings` VALUES ('string/en/random_dialog.stf', '48', 'pirate_23', 'I have cards and dice.  We could do some gambling.');
INSERT INTO `client_strings` VALUES ('string/en/random_dialog.stf', '49', 'pirate_24', 'I\'ve seen men killed for saying trite like that.');
INSERT INTO `client_strings` VALUES ('string/en/random_dialog.stf', '50', 'pirate_25', 'Never let them see you bleed!');
INSERT INTO `client_strings` VALUES ('string/en/random_dialog.stf', '51', 'terrified_1', 'Help us!!!');
INSERT INTO `client_strings` VALUES ('string/en/random_dialog.stf', '52', 'terrified_2', 'Save us from this monster!');
INSERT INTO `client_strings` VALUES ('string/en/random_dialog.stf', '53', 'terrified_3', 'Oh dear, won\'t somebody save us?!?');
INSERT INTO `client_strings` VALUES ('string/en/random_dialog.stf', '54', 'terrified_4', 'Help us!  We\'re being attacked!');
INSERT INTO `client_strings` VALUES ('string/en/random_dialog.stf', '55', 'terrified_5', 'Save us from this horrible creature!');
INSERT INTO `client_strings` VALUES ('string/en/random_dialog.stf', '56', 'terrified_6', 'I haven\'t made out my will!');
INSERT INTO `client_strings` VALUES ('string/en/random_dialog.stf', '57', 'terrified_7', 'I\'ve always loved you!');
INSERT INTO `client_strings` VALUES ('string/en/random_dialog.stf', '58', 'terrified_8', 'We\'re about to die!!');
INSERT INTO `client_strings` VALUES ('string/en/random_dialog.stf', '59', 'terrified_9', 'Help!  Help!   We\'re going to be eaten!');
INSERT INTO `client_strings` VALUES ('string/en/random_dialog.stf', '60', 'terrified_10', 'It\'s going to kill us!! Help!!!');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '1', 'gotowork', 'I need you to finish that task I gave you earlier.  Ok?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '2', 'cantwork', 'I understand you\'re already working for someone else.  Come back when you\'re done with that job.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '3', 'not_it', 'No, sorry, that\'s not the item I was looking for...');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '4', 'npc_1_1', 'My partner needs to get back here fast.  We\'re going to be late for a meeting and I\'m all alone.  Can you go get my partner?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '5', 'npc_2_1', 'Excellent.  We\'ll pay you when you get back.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '6', 'npc_3_1', 'Well, if you can\'t help me I hope I can find someone who can.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '7', 'npc_reward_1', 'Here you go.  It needs some ink, but you\'ll never have one better.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '8', 'player_1_1', 'Sure I\'ll find your friend.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '9', 'player_2_1', 'Nah, I don\'t feel like it.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '10', 'npc_1_2', 'My partner was at an auction selling some assets for capital.  I need somone to find and bring my partner back.  can you help?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '11', 'npc_2_2', 'Great.  I\'ll make sure the message gets through that you\'re coming.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '12', 'npc_3_2', 'That\'s too bad.  I\'ll find somebody useful.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '13', 'npc_reward_2', 'Here you go.  See I had good seats, and I didn\'t let them tear it.  You should be able to get something for it if you want.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '14', 'player_1_2', 'No problem.  I was looking for something to do.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '15', 'player_2_2', 'Sorry, I\'m a bit busy at the moment.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '16', 'npc_4_1', 'Merger.  There\'s a lot of paperwork to sign and I\'m not authorized to do it alone.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '17', 'npc_4_2', 'It\'s an autographed trophy from some sports figure.  I don\'t know who he is, but apparently it sold well.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '18', 'player_3_1', 'What kind of meeting is it?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '19', 'player_3_2', 'What were you selling?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '20', 'npc_takeme_1', 'Great, you\'re here.  We don\'t want to be late for this meeting so let\'s get back quickly.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '21', 'npc_takeme_2', 'Oh good, you made it.  I got the money transferred to our bank, but I\'m lost out here.  Should have hired a guide, huh?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '22', 'escortother', 'I don\'t think I\'m the person you\'re looking for.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '23', 'dontknowyou', 'I don\'t know who you are, but I\'m not going with you.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '24', 'npc_1_5', 'My partner needs to get his briefcase back!  He left for a meeting without it.  If you can take it to him I\'ll have him give you some engraved pens from our company business.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '25', 'npc_2_5', 'Excellent.  He\'ll pay you when you make the delivery.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '26', 'npc_3_5', 'Well, if you can\'t help me I hope I can find someone who can.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '27', 'npc_reward_5', 'Here you go.  It needs some ink, but you\'ll never have one better.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '28', 'player_1_5', 'Sure I\'ll drop it off.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '29', 'player_2_5', 'Nah, I don\'t feel like it.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '30', 'npc_1_6', 'My partner was on his way to an auction to sell off some of our assets.  We need the money to keep our business afloat, but he forgot one of the items we were selling.  Can you take it to him?  He\'s right outside of town.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '31', 'npc_2_6', 'Great.  I\'ll make sure he gets the message that you\'re coming.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '32', 'npc_3_6', 'That\'s too bad.  I\'ll find somebody useful.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '33', 'npc_reward_6', 'Here you go.  See I had good seats, and I didn\'t let them tear it.  You should be able to get something for it if you want.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '34', 'player_1_6', 'No problem.  I was looking for something to do.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '35', 'player_2_6', 'Sorry, I\'m a bit busy at the moment.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '36', 'npc_4_5', 'All the paperwork that needs to be signed at the meeting.  It\'s vitally important that it get there.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '37', 'npc_4_6', 'It\'s an autographed trophy from some sports figure.  I don\'t know who he is, but I want to get it to him so he can sell it.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '38', 'player_3_5', 'What was in the briefcase?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '39', 'player_3_6', 'What is the item exactly?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '40', 'npc_1_3', 'I had a lot of important paperwork in my briefcase, and now it\'s gone!  Some thief came by and grabbed it out of my hands.  If you can get it I\'ll give you this engraved writing stylus I got when I got my promotion.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '41', 'npc_2_3', 'Thank you...I\'ll be waiting anxiously for your return.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '42', 'npc_3_3', 'Surely somebody will be able to help me.  Thanks for nothing, though.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '43', 'npc_reward_3', 'Here you go.  It needs some ink, but you\'ll never have one better.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '44', 'player_1_3', 'I\'ll be back before you know it.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '45', 'player_2_3', 'There\'s no way.  I\'m too tired right now.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '46', 'npc_1_4', 'I had an autographed ball from my favorite player in the league, and somebody took it!  If you can get it back for me I\'ll give you this collector\'s item ticket from last year\'s championships.  It\'s worth plenty.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '47', 'npc_2_4', 'Great!  Hurry back.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '48', 'npc_3_4', 'That\'s too bad.  I\'ll find somebody useful.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '49', 'npc_reward_4', 'Here you go.  See I had good seats, and I didn\'t let them tear it.  You should be able to get something for it if you want.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '50', 'player_1_4', 'I\'ll be right back with your ball kid.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '51', 'player_2_4', 'Nah.  I don\'t care about sports.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '52', 'npc_4_3', 'It was mostly my personal accounting, but there are some sensitive documents in there that I can\'t discuss.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '53', 'npc_4_4', 'Don\'t you follow sports at all?  If you did you\'d know what I was talking about.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '54', 'player_3_3', 'What kind of documents did you have?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '55', 'player_3_4', 'What league are you talking about?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '56', 'npc_breech_1', 'Did my partner send you?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '57', 'npc_breech_2', 'I didn\'t want to travel alone with all the cash we made.  Glad you\'re here.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '58', 'npc_breech_3', 'This is my briefcase!  You can\'t have it!');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '59', 'npc_breech_4', 'You\'re not getting this back!  I\'m selling it.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '60', 'npc_breech_5', 'Do you have my briefcase?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '61', 'npc_breech_6', 'Do you have that sports award I\'m supposed to sell?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '62', 'npc_smuggle_5', 'Great!  I don\'t know what I\'d have done without this briefcase.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '63', 'npc_smuggle_6', 'Thank goodness.  This thing might be valuable.  I appreciate the delivery.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '64', 'return', 'To finish this mission, return to the Businessman who gave you the job.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '65', 'player_reset', 'I don\'t think I can do this right now.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '66', 'player_sorry', 'Oh, I\'ll get back to work right away.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '67', 'npc_reset', 'Ok, well come see me again if you have some time.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '68', 'npc_backtowork', 'Ok.  Well keep me posted, I guess.  Or just get it done...');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '69', 'npc_noloc_6', 'Let me find out where exactly he is, come back in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '70', 'npc_noloc_1', 'Let me find out where exactly he is, come back in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '71', 'npc_noloc_2', 'Let me find out where exactly he is, come back in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '72', 'npc_noloc_3', 'Luckily, I keep a tracer in my briefcase. Come back in a few minutes and I\'ll let you know where the thief is.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '73', 'npc_noloc_4', 'Let me see if I can find out where exactly he is, come back in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/businessman.stf', '74', 'npc_noloc_5', 'Luckily, I keep a tracer in my briefcase. Come back in a few minutes and I\'ll let you know where the thief is.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '1', 'gotowork', 'I need you to finish that task I gave you earlier.  Ok?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '2', 'cantwork', 'I understand you\'re already working for someone else.  Come back when you\'re done with that job.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '3', 'npc_1_1', 'A friend of mine got mugged by black sun pirates and is too scared to come back to town.  I need someone to go make sure they can find their way back here.  Can you do it?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '4', 'player_1_1', 'Ok, I\'ll do it.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '5', 'player_2_1', 'Sounds dangerous.  I don\'t think I\'m up to it.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '6', 'npc_2_1', 'Good.  Get back as soon as you can and I\'ll get you a shisa.  You can use it in your home as a decoration, or sell it, I don\'t care either way.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '7', 'npc_3_1', 'Too bad.  I would have given you a nice gift.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '8', 'npc_reward_1', 'Here\'s that shisa I promised ya.  I\'ll just put it here in your pack.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '9', 'npc_1_2', 'My partner has all our cash, but got lost in the wilderness.  I need someone to escort them back here to me.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '10', 'npc_2_2', 'Good.  As soon as you return I\'ll give you something nice.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '11', 'npc_3_2', 'Well, guess I\'ll have to find somebody else then.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '12', 'npc_reward_2', 'Here\'s the decryptor.  It doesn\'t work all the time, but I\'m sure you\'ll find a use for it.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '13', 'player_1_2', 'Yeah, I can do that, no problem.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '14', 'player_2_2', 'That\'s too much work.  I\'m not doing it.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '15', 'npc_1_3', 'Are you available to help me out with something?  I got somebody new coming in and I need you to bring them straight to me.  Can you do that?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '16', 'npc_2_3', 'You do the work, you get paid.  I\'ll be here.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '17', 'npc_3_3', 'Not much I can do about it I guess, if you\'re not good enough.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '18', 'npc_reward_3', 'Here they are.  Careful, they have sharp edges.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '19', 'player_1_3', 'Yeah, I can do it.  ');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '20', 'player_2_3', 'Too much work for me.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '21', 'npc_1_4', 'My partner was trying to avoid some imperial patrols and managed to get lost outside of town.  Can you go out there and make sure there\'s no trouble getting back to me?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '22', 'npc_2_4', 'Great.  I\'ve got just the thing for you.  Let me know when you\'re back.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '23', 'npc_3_4', 'Well, you\'ll never be a criminal in this town.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '24', 'player_1_4', 'I can do it.  No problem.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '25', 'player_2_4', 'Thieves should do their own dirty work.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '26', 'npc_reward_4', 'Here you go.  I took this speaker from a cantina I robbed.  It\'ll go nicely in your house.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '27', 'npc_4_1', 'No, I think they\'ve given up.  There might be some still around, but this should be pretty simple.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '28', 'npc_4_2', 'I don\'t think you need to know that just now.  Just bring my friend here.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '29', 'npc_4_3', 'Brand new.  I haven\'t even met them.  I don\'t even know if it\'s a male or a female!');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '30', 'npc_4_4', 'No, they\'ve given up.  Any imperials you see out there will just be a coincidence.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '31', 'player_3_1', 'Are there still Black Sun Pirates out there?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '32', 'player_3_2', 'How much cash was there?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '33', 'player_3_3', 'How new is this person?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '34', 'player_3_4', 'Are the imperials still snooping around?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '35', 'npc_takeme_1', 'Finally.  I was about to give up and try finding my way in on my own.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '36', 'npc_takeme_2', 'You\'re here to take me back?  Don\'t worry about the money.  I hid it.  It\'s not on me anymore.  Just get me to my friend.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '37', 'npc_takeme_3', 'Great!  I need you to take me to my new boss.  I don\'t even know who it is yet.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '38', 'npc_takeme_4', 'Quick, let\'s get back before the imperials start looking around for me again.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '39', 'otherescort', 'I think you\'re here to take someone else back.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '40', 'dontknowyou', 'I\'m not sure who you are, but I\'m not following you back to town.  No way.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '41', 'npc_1_5', 'A friend asked me to get him a Black Sun Medallion to break into their loot stash.  I don\'t want to be involved any more than I have to, so can you drop it off?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '42', 'player_1_5', 'Ok, I\'ll do it.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '43', 'player_2_5', 'Sounds dangerous.  I don\'t think I\'m up to it.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '44', 'npc_2_5', 'Good.  Get back as soon as you can and I\'ll get you a shisa.  You can use it in your home as a decoration, or sell it, I don\'t care either way.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '45', 'npc_3_5', 'Too bad.  I would have given you a nice gift.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '46', 'npc_reward_5', 'Here\'s that shisa I promised ya.  I\'ll just put it here in your pack.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '47', 'not_it', 'No, sorry, that\'s not the item I was looking for...');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '48', 'npc_1_6', 'Some friends need this camera to film a cantina they want to rob.  They\'re going to study up on the security.  I\'d drop it off, but I have to go do some things.  Can you do it for me?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '49', 'npc_2_6', 'Good.  As soon as you return I\'ll give you a decryptor.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '50', 'npc_3_6', 'Well, guess I\'ll have to find somebody else then.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '51', 'npc_reward_6', 'Here\'s the decryptor.  It doesn\'t work all the time, but I\'m sure you\'ll find a use for it.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '52', 'player_1_6', 'Yeah, I can do that, no problem.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '53', 'player_2_6', 'That\'s too much work.  I\'m not doing it.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '54', 'npc_1_7', 'I found this medallion on a body out near that city with the funny buildings?  You know the one.  Anyway, my, uh...cousin, yeah, cousin, collects these.  Wanna drop it off for me?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '55', 'npc_2_7', 'You do the work, you get paid.  I\'ll be here.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '56', 'npc_3_7', 'Not much I can do about it I guess, if you\'re not good enough.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '57', 'npc_reward_7', 'Here they are.  Careful, they have sharp edges.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '58', 'player_1_7', 'Yeah, I can do it.  ');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '59', 'player_2_7', 'Too much work for me.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '60', 'npc_1_8', 'This electronic key I have, and I\'m not saying where it came from, or who it\'s going to, but can you take it somewhere and give it to somebody?  I mean without asking too many questions?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '61', 'npc_2_8', 'Great.  I\'ve got just the thing for you.  Let me know when you\'re back.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '62', 'npc_3_8', 'Well, you\'ll never be a criminal in this town.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '63', 'player_1_8', 'I can do it.  No problem.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '64', 'player_2_8', 'Thieves should do their own dirty work.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '65', 'npc_reward_8', 'Here you go.  I took this speaker from a cantina I robbed.  It\'ll go nicely in your house.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '66', 'npc_4_5', 'They have too many members to know each other, so anyone with a medallion can get into their areas.  Anybody that had one could pass themselves off as a member of their group.  See?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '67', 'npc_4_6', 'Probably just the inside, the front entrance, the guards.  You know.  Pretty typical stuff.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '68', 'npc_4_7', 'Who knows.  I think maybe my cousin\'s a little...you know...loony.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '69', 'npc_4_8', 'That sounds suspiciously like a question.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '70', 'player_3_5', 'How will this medallion help?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '71', 'player_3_6', 'What are they going to film?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '72', 'player_3_7', 'Why does your, um, cousin, collect these things?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '73', 'player_3_8', 'What\'s this key for?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '74', 'npc_1_9', 'You ever hear of the Black Sun Pirates?  They robbed me and I want to pay them back.  Unfortunately, I need to get one of their medallions to get inside their base.  Can you help me get one?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '75', 'player_1_9', 'Ok, I\'ll do it.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '76', 'player_2_9', 'Sounds dangerous.  I don\'t think I\'m up to it.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '77', 'npc_2_9', 'Good.  Get back as soon as you can and I\'ll get you a shisa.  You can use it in your home as a decoration, or sell it, I don\'t care either way.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '78', 'npc_3_9', 'Too bad.  I would have given you a nice gift.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '79', 'npc_reward_9', 'Here\'s that shisa I promised ya.  I\'ll just put it here in your pack.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '80', 'npc_1_10', 'I made a terrible mistake and got busted on camera stealing some credits from a merchant.  The trial\'s coming up soon and I need someone to get that camera.  I can tell you where it\'s at if you\'ll get it.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '81', 'npc_2_10', 'Good.  As soon as you return I\'ll give you the decryptor.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '82', 'npc_3_10', 'Well, guess I\'ll have to find somebody else then.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '83', 'npc_reward_10', 'Here\'s the decryptor.  It doesn\'t work all the time, but I\'m sure you\'ll find a use for it.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '84', 'player_1_10', 'Yeah, I can get that, no problem.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '85', 'player_2_10', 'That\'s too much work.  I\'m not doing it.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '86', 'npc_1_11', 'I\'ve been collecting memorabilia of the Dark Jedi.  I know a guy who has a Medallion that they used.  Get it for me and I\'ll give you these broken holocron pieces.  I\'ve got tons of holocrons.  They\'re bound to be worth something.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '87', 'npc_2_11', 'You do the work, you get paid.  I\'ll be here.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '88', 'npc_3_11', 'Not much I can do about it I guess, if you\'re not good enough.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '89', 'npc_reward_11', 'Here they are.  Careful, they have sharp edges.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '90', 'player_1_11', 'Yeah, I can do it.  ');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '91', 'player_2_11', 'Too much work for me.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '92', 'npc_1_12', 'I need an electronic key to break into this warehouse I\'ve been casing, but one of my rivals has it.  Get it for me and I\'ll give you some of the loot I got on my last job.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '93', 'npc_2_12', 'Great.  I\'ve got just the thing for you.  Let me know when you\'re back.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '94', 'npc_3_12', 'Well, you\'ll never be a criminal in this town.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '95', 'player_1_12', 'I can do it.  No problem.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '96', 'player_2_12', 'Thieves should do their own dirty work.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '97', 'npc_reward_12', 'Here you go.  I took this speaker from a cantina I robbed.  It\'ll go nicely in your house.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '98', 'npc_4_9', 'They have too many members to know each other, so anyone with a medallion can get into their areas.  If I had one I could pass myself off as a member of the group.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '99', 'npc_4_10', 'I paid off some guys and found out it\'s being delivered to a highly secure area today.  You can get it on route before the guy gets there.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '100', 'npc_4_11', 'You could try to put \'em back together.  Or find someone else who collects them and sell them maybe?  I don\'t know, but I know they\'re worth something.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '101', 'npc_4_12', 'He stole it before I could get to it.  He\'ll rob the warehouse instead of me if you don\'t get it for me.  I need that key!');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '102', 'player_3_9', 'How is a medallion going to help you?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '103', 'player_3_10', 'How do you know where the camera is?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '104', 'player_3_11', 'What can I do with broken pieces?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '105', 'player_3_12', 'How did your rival get the key?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '106', 'npc_smuggle_5', 'Excellent.  If this goes well I\'ll make sure to mail you a little something extra.  Heh heh.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '107', 'npc_smuggle_6', 'That\'s great.  Now we just need to find some film...');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '108', 'npc_smuggle_7', 'Oh, my, um, cousin, yeah.  That\'s great work.  Thanks a lot.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '109', 'npc_smuggle_8', 'Oh, good, the key.  Yeah, we need that.  I\'m not saying why.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '110', 'npc_breech_1', 'Stupid Black Sun.  I hate those guys.  Can you get me back to town?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '111', 'npc_breech_2', 'Well, I\'m lost.  Here to help?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '112', 'npc_breech_3', 'You here to take me to see the boss?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '113', 'npc_breech_4', 'You\'re not an imperial are you?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '114', 'npc_breech_5', 'You looking for me?  Got the medallion?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '115', 'npc_breech_6', 'Hey, is that the camera?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '116', 'npc_breech_7', 'Hey, did my, um, cousin send you?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '117', 'npc_breech_8', 'Are you the guy?  With the thing?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '118', 'npc_breech_9', 'Black Sun will destroy you for this!');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '119', 'npc_breech_10', 'Hey, this camera\'s protected evidence!');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '120', 'npc_breech_11', 'What are you doing?  You can\'t have my memorabilia!');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '121', 'npc_breech_12', 'Who are you?  You can\'t have this key!');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '122', 'return', 'Head back to your contact to finish this job.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '123', 'player_sorry', 'Oh, yeah, I forgot what I was doing...');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '124', 'npc_backtowork', 'Get this done, all right?  I don\'t have time to wait on you.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '125', 'player_reset', 'I\'m getting out of this now, while I can.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '126', 'npc_reset', 'Let me know if you need anymore work, ok?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '127', 'npc_noloc_1', 'Let me find out where he is. Come back in a few minutes and I should have more info.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '128', 'npc_noloc_2', 'Let me find out where he is. Come back in a few minutes and I should have more info.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '129', 'npc_noloc_3', 'Let me find out where he is. Come back in a few minutes and I should have more info.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '130', 'npc_noloc_4', 'Let me find out where he is. Come back in a few minutes and I should have more info.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '131', 'npc_noloc_5', 'Let me find out where he is. Come back in a few minutes and I should have more info.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '132', 'npc_noloc_6', 'Let me find out where they are. Come back in a few minutes and I should have more info.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '133', 'npc_noloc_7', 'Let me find out where he is. Come back in a few minutes and I should have more info.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '134', 'npc_noloc_8', 'Let me find out where he is. Come back in a few minutes and I should have more info.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '135', 'npc_noloc_9', 'Let me find out where it is. Come back in a few minutes and I should have more info.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '136', 'npc_noloc_10', 'Let me find out where it is. Come back in a few minutes and I should have more info.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '137', 'npc_noloc_11', 'Let me find out where he is. Come back in a few minutes and I should have more info.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/criminal.stf', '138', 'npc_noloc_12', 'Let me find out where it is. Come back in a few minutes and I should have more info.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '1', 'gotowork', 'I need you to finish that task I gave you earlier.  Ok?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '2', 'cantwork', 'I understand you\'re already working for someone else.  Come back when you\'re done with that job.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '3', 'not_it', 'No, sorry, that\'s not the item I was looking for...');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '4', 'npc_1_1', 'My family has had this heirloom glass for many years, and now it\'s been stolen.  I can tell you where the thief is, but I need you to bring back my glass unharmed.  Can you do it?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '5', 'npc_2_1', 'You\'re a life saver.  I\'ll give you this hand woven basket for the glass when you return.  My servants made it.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '6', 'npc_3_1', 'I thought you were a mercenary?  Perhaps you\'re just a librarian or some such...');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '7', 'player_1_1', 'Yeah, I can get it.  I\'ll need some form of payment though.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '8', 'player_2_1', 'Sounds ridiculous.  Why don\'t you just go buy a new glass?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '9', 'npc_reward_1', 'Careful with this thing.  It\'s well put together, but if you crush it it won\'t be worth as much.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '10', 'npc_1_2', 'I was collecting signatures to get my name on the local ballot when one of my opponents sent a theif to steal my ledger.  If you can get that ledger back for me I\'ll write a proclamation declaring you a good citizen.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '11', 'npc_2_2', 'Excellent.  Just let me know when you return, I\'ll have the paperwork drawn up.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '12', 'npc_3_2', 'That\'s too bad.  I could have done you a lot of favors.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '13', 'player_1_2', 'Sure, I\'ll get your ledger back.  I need friends in high places.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '14', 'player_2_2', 'No way.   I couldn\'t care less about politics.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '15', 'npc_reward_2', 'Here\'s your official proclamation.  It won\'t be valid unless I get elected, but hang onto it just in case.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '16', 'npc_1_3', 'A gang of ruffians stole part of the hyperdrive out of my ship.  Get it back for me and I\'ll give you something nice.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '17', 'npc_2_3', 'Ok.  Just let me know when you\'ve got it.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '18', 'npc_3_3', 'I thought you were a tough one.  I guess not.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '19', 'player_1_3', 'Sure, I\'ll help you out.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '20', 'player_2_3', 'I thought pilots did their own work.  I\'ll be going.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '21', 'npc_reward_3', 'Here you go.  This is a picture I took taking off from an undiscovered planet.  That picture is one of a kind.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '22', 'player_1_4', 'Sounds crazy but I\'ll do it.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '23', 'player_2_4', 'Sounds ludicrous.  Count me out.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '24', 'npc_1_4', 'My servants won\'t get me the dishes I want.  There\'s  a guy who has a bowl that\'s the exact one I want.  I don\'t care how you do it, just get me that bowl.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '25', 'npc_2_4', 'I thought you looked like the one I wanted.  I\'ll reward you nicely for it.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '26', 'npc_3_4', 'Just like my servants.  No help at all.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '27', 'npc_reward_4', 'Here\'s a recording rod that I paid way too much for.  It\'s valuable but fragile.  Be careful with it.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '28', 'npc_4_1', 'Well, it\'s not much to look at, but I guess because it was in the safe they assumed it was valuable.  It is, but only to me really, they won\'t get much for it.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '29', 'npc_4_2', 'Actually I don\'t remember.  That\'s another reason I need that ledger back.  It might have been mayor...or chief of police...hm...');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '30', 'npc_4_3', 'Ship parts are expensive.  They\'re probably trying to build their own ship, or they\'re going to sell it on the black market.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '31', 'npc_4_4', 'A nobleman gets other people to do these things for him.  People like you.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '32', 'player_3_1', 'Somebody stole an heirloom glass?  Why?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '33', 'player_3_2', 'What office are you running for?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '34', 'player_3_3', 'Why would they steal parts of your ship?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '35', 'player_3_4', 'Why don\'t you just buy your own dishes?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '36', 'npc_1_9', 'My cousin left this camera at my house during a recent visit.  He\'s on his way home, but if you could take this to him before he gets there I\'ll make sure you get something nice in return.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '37', 'npc_2_9', 'Excellent.  I have some old fireworks that we were saving for my Lifeday, but I\'ll let you have them instead.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '38', 'npc_3_9', 'Oh, well, if you don\'t need the work...');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '39', 'player_1_9', 'Yeah, I can do that.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '40', 'player_2_9', 'Sounds dull.  I\'ll wait for something more exciting to come along.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '41', 'npc_reward_9', 'I don\'t know that this will actually explode, but boy if it does...');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '42', 'npc_1_10', 'One of my neighbors has gone off to the reading of a will, but forgot to take their briefcase.  Can you take it out there before they arrive?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '43', 'npc_2_10', 'Oh good.  I didn\'t want to have to do it myself.  I\'ll see if I can find something nice for you.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '44', 'npc_3_10', 'Well, fine.  I didn\'t want to have to do all that walking myself.  These are new shoes...');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '45', 'player_1_10', 'I can take it.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '46', 'player_2_10', 'No way.  Not unless I\'m in the will.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '47', 'npc_reward_10', 'Well, all I had was some fireworks...we were, uh...sort of celebrating...but it has nothing to do with the will, I promise!');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '48', 'npc_1_11', 'A friend of mine and I were playing practical jokes on each other, and...well, suffice to say I have a hyperdrive part here...and uh...my friend sort of needs it...can you take it?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '49', 'npc_2_11', 'Great!  I think if I went I\'d come back bruised, if you know what I mean.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '50', 'npc_3_11', 'Oh, I\'m not looking forward to delivering this.  My friend\'s gonna be mad....');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '51', 'player_1_11', 'Sure, I\'ll help you out.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '52', 'player_2_11', 'This sounds dangerous...');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '53', 'npc_reward_11', 'Thanks so much.  I\'m giving you a picture my friend painted of me.  Isn\'t that special?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '54', 'player_1_12', 'Sure.  It\'s not a problem.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '55', 'player_2_12', 'This sounds like a lot of work for a smelly old bowl.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '56', 'npc_1_12', 'My cousin\'s on the way to an auction, but forgot the bowl we were going to sell.  Can you take it out there and hand it off?  Please?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '57', 'npc_2_12', 'Perfect.  I have to get things ready here for the stuff that we\'re buying to bring back.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '58', 'npc_3_12', 'Fine.  I guess I\'ll have to do it myself.  Or maybe someone else will come along...');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '59', 'npc_reward_12', 'Here\'s a recording rod that I paid way too much for.  It\'s valuable but fragile.  Be careful with it.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '60', 'npc_4_9', 'It\'s a family heirloom, this camera.  It doesn\'t even work, but we keep it just the same.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '61', 'npc_4_10', 'All the important documentation\'s in the briefcase.  There\'s not going to be much of a will reading without it.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '62', 'npc_4_11', 'Well, see, the practical jokes sort of escalated, and now my friend has to leave so...');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '63', 'npc_4_12', 'It\'s just a family thing.  Nobody wants the stupid bowl.  I\'ll tell you a secret...it smells.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '64', 'player_3_9', 'What\'s the deal with the camera?  Is it expensive?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '65', 'player_3_10', 'Why is the briefcase so important?  ');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '66', 'player_3_11', 'How did you end up with your friends hyperdrive parts?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '67', 'player_3_12', 'Why don\'t you just buy your own dishes?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '68', 'npc_1_5', 'A good friend of mine has gotten lost outside of town and needs to find a way to get back to me.  Can you help?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '69', 'npc_2_5', 'Good.  I\'ll let you in on a little secret...this person\'s not exactly a friend, but don\'t worry, you\'ll get paid for your work.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '70', 'npc_3_5', 'Oh.  Well, fine then.  Be that way.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '71', 'player_1_5', 'Yeah, I can do it.  I\'ll need some form of payment though.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '72', 'player_2_5', 'Sounds ridiculous.  I\'m outta here.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '73', 'npc_reward_5', 'Careful with this thing.  It\'s well put together, but if you crush it it won\'t be worth as much.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '74', 'npc_1_6', 'One of my relatives is trying to get to me so that we can go to a reception together, but has managed to get lost outside of town.  Can you help out?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '75', 'npc_2_6', 'Hurry please, I don\'t want the party to start without us!');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '76', 'npc_3_6', 'You have no idea how much damage I could do to your life.  But begone, and if you\'re lucky I\'ll forget you.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '77', 'player_1_6', 'Sure, I\'ll get your friend.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '78', 'player_2_6', 'No way.   I couldn\'t care less about this.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '79', 'npc_reward_6', 'Here\'s your official proclamation.  It won\'t be valid unless I get elected, but hang onto it just in case.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '80', 'npc_1_7', 'My friend got lost trying to find his way home.  I think there may have been some Corellian wine involved, you know?  Can you help my friend make it back to me here?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '81', 'npc_2_7', 'Good.  When you get back we\'ll work out some payment arrangements.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '82', 'npc_3_7', 'I should have taken the advice of the jawas.  They told me not to trust people like you.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '83', 'player_1_7', 'Sure, I\'ll help you out.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '84', 'player_2_7', 'I thought rich people had servants to do their work.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '85', 'npc_reward_7', 'Here you go.  This is a picture I took taking off from an undiscovered planet.  That picture is one of a kind.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '86', 'player_1_8', 'Sounds crazy but I\'ll do it.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '87', 'player_2_8', 'Sounds ludicrous.  Count me out.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '88', 'npc_1_8', 'Sibling rivalry has led to a very severe game of hide and seek, unfortunately one of the players is still hiding and doesn\'t realize the game is over.  I need someone to find them and bring them back here to me.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '89', 'npc_2_8', 'Very nice of you, I must say.  I thought you looked a little, um...dangerous, but I can see you\'re as trustworthy as the day is long.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '90', 'npc_3_8', 'Just like my servants.  No help at all.  Good day.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '91', 'npc_reward_8', 'Here\'s a recording rod that I paid way too much for.  It\'s valuable but fragile.  Be careful with it.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '92', 'npc_4_5', 'Well, this and that.  There\'s not much to tell really.  You know.  ');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '93', 'npc_4_6', 'It\'s my uncle\'s fiftieth birthday, or my aunt\'s fortieth birthday, or my grandparent\'s wedding anniversary...or...no, I can\'t remember.  ');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '94', 'npc_4_7', 'Only when we\'re celebrating.  Which is pretty much every day I gues...');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '95', 'npc_4_8', 'Well, when you\'re rich you can pretty much do what you want.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '96', 'player_3_5', 'What does this friend of yours do?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '97', 'player_3_6', 'What\'s the reception for?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '98', 'player_3_7', 'Does this happen often?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '99', 'player_3_8', 'You guys just play hide and seek out in the desert?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '100', 'dontknowyou', 'I\'m sorry but I don\'t recognize you and I\'m not going to follow you anywhere.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '101', 'otherescort', 'I think you\'re here to pick up someone else.  You\'re certainly not taking ME anywhere.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '102', 'escortother', 'I think you\'re looking for someone else.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '103', 'npc_takeme_5', 'I hope you\'re here to get me back to my friend.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '104', 'npc_takeme_6', 'Great!  Let\'s go, I don\'t want to miss that reception!');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '105', 'npc_takeme_7', 'Somebody told you I was drunk?  Liars.  I don\'t drink.  Now let\'s get back before I get thirsty.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '106', 'npc_takeme_8', 'Thank you.  I thought I was going to be stuck out here all day.  Let\'s get going.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '107', 'npc_breech_1', 'Oh, you want this glass?  You can\'t have it!');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '108', 'npc_breech_2', 'You\'re not getting these signatures!  I won\'t let that fool get elected!');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '109', 'npc_breech_3', 'You want to buy some hyperdrive parts...hey!  I\'ll take care of you!');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '110', 'npc_breech_4', 'No!  Not my bowl!');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '111', 'npc_breech_5', 'Are you here to help me?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '112', 'npc_breech_6', 'Do you know where the reception is?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '113', 'npc_breech_7', 'I\'m not drunk...just lost.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '114', 'npc_breech_8', 'As soon as I get back to town I\'m disowning my family.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '115', 'npc_breech_9', 'Do you have my camera?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '116', 'npc_breech_10', 'Is that my briefcase?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '117', 'npc_breech_11', 'Good thing you came instead of my friend.  There would have been bloodshed.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '118', 'npc_breech_12', 'I take it you have the bowl?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '119', 'npc_smuggle_9', 'Thanks a lot, friend.  This camera is very sentimental to me.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '120', 'npc_smuggle_10', 'Well, I got to get to the reading.  Take care!');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '121', 'npc_smuggle_11', 'I have to get off this planet.  See ya.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '122', 'npc_smuggle_12', 'I sure hope we get what we want out of this bowl.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '123', 'return', 'To finish this mission, return to the noble who gave you the task.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '124', 'npc_reset', 'Ok, Let me know if you can work for me later.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '125', 'npc_backtowork', 'Get to it.  I need this done as soon as you can do it.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '126', 'player_reset', 'I don\'t think I can do this.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '127', 'player_sorry', 'I\'ll get back to work.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '128', 'npc_noloc_1', 'Let me find out where he is. Come back in a few minutes and I should have more info.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '129', 'npc_noloc_2', 'Let me find out where he is. Come back in a few minutes and I should have more info.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '130', 'npc_noloc_3', 'Let me find out where it is. Come back in a few minutes and I should have more info.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '131', 'npc_noloc_4', 'Let me find out where he is. Come back in a few minutes and I should have more info.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '132', 'npc_noloc_5', 'Let me find out where he is. Come back in a few minutes and I should have more info.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '133', 'npc_noloc_7', 'Let me find out where he is. Come back in a few minutes and I should have more info.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '134', 'npc_noloc_6', 'Let me find out where he is. Come back in a few minutes and I should have more info.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '135', 'npc_noloc_8', 'Let me find out where he is. Come back in a few minutes and I should have more info.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '136', 'npc_noloc_9', 'Let me find out where he is. Come back in a few minutes and I should have more info.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '137', 'npc_noloc_10', 'Let me find out where he is. Come back in a few minutes and I should have more info.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '138', 'npc_noloc_11', 'Let me find out where he is. Come back in a few minutes and I should have more info.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/noble.stf', '139', 'npc_noloc_12', 'Let me find out where he is. Come back in a few minutes and I should have more info.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '1', 'npc_1_1', 'I\'ve been a museum curator for many years, and on this planet we found the oldest tomb I\'ve ever seen.  Unfortunately some grave robbers took the artifact I was studying.  If you would be so kind, perhaps you can get it back?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '2', 'npc_2_1', 'You look like a good man.  I\'ll make it worth your while.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '3', 'npc_3_1', 'Well, certainly there are other artifacts.  Too bad, this one was really good...');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '4', 'npc_4_1', 'It was an ancient ritual device of some sort.  I need to study it further to find out exactly what it was for.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '5', 'npc_1_2', 'I\'ve been researching animals, but an industrial spy stole one of my cages.  It still had some cell structures in it from the creature.  I need it back before he figures out what\'s in it.  Can you help me?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '6', 'npc_2_2', 'Thanks.  I really appreciate it. ');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '7', 'npc_3_2', 'I guess I\'m wasting my time with you then.  Do you know anyone who DOES work?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '8', 'npc_4_2', 'That\'s highly classified.  That\'s why I need that evidence back before someone finds out what I was doing.  You don\'t have a problem with this do you?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '9', 'npc_1_3', 'There\'s an assassin on this planet who\'s been killing all the top scientists in the area.  I want him eliminated and I\'m willing to pay well for it.  Can you do it?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '10', 'npc_2_3', 'I thought so.  You look like a good person. I\'ll make it worth your while.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '11', 'npc_3_3', 'Well, there are other artifacts.  Too bad, this one was really good...');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '12', 'npc_4_3', 'No one knows.  He seems to have some sort of problem with the work that we do, but we don\'t know why.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '13', 'npc_1_4', 'One of our assistants has gone mad and is planning on releasing a toxin into the air that would kill all the plantlife on this planet.  He must be stopped.  I can tell you where he is if you can stop him.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '14', 'npc_2_4', 'Thanks.  I really appreciate it.  I\'ll find something to give you when you return.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '15', 'npc_3_4', 'Great.  I\'m wasting my time with you then.  Do you know anyone who DOES work?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '16', 'npc_4_4', 'It\'s a highly classified agent that we were using to destroy poisonous plants, but he\'s modified it to kill all vegetable matter.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '17', 'npc_1_5', 'One of my colleagues has managed to get lost just outside of town.  It would be a great help to me if you could get my partner back to this location. Can you do that?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '18', 'npc_2_5', 'Thank you so much.  I\'ll make contact so there aren\'t any surprises.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '19', 'npc_3_5', 'That\'s too bad.  Guess I\'m on my own for now.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '20', 'npc_4_5', 'Something\'s wrong with the datapad, and it can\'t seem to be used to navigate anymore.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '21', 'npc_1_6', 'One of my fellow scientists has damaged navigational equipment and needs someone to bring them back to me here.  Can you help us out?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '22', 'npc_2_6', 'Excellent.  I\'ll be waiting here, and when you\'ve returned we\'ll make sure you get something for your efforts.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '23', 'npc_3_6', 'Too bad.  If you know anyone who can help send them my way.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '24', 'npc_4_6', 'To be honest, scientists can be rather clumsy.  I\'m not really going to say anything more than that though.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '25', 'npc_reward_1', 'Here you go, these are very rare, and could be worth a lot if you can find a buyer.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '26', 'npc_reward_2', 'Here you go.  I found this nice picture of the creature I was studying.  It\'s really all I have to give you though.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '27', 'npc_reward_3', 'Here you go, these bugs are very rare, and could be worth a lot if you can find a buyer.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '28', 'npc_reward_4', 'Here you go.  I found this great picture of the creature I was studying.  It\'s really all I have to give you though.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '29', 'npc_reward_5', 'Here you go, these bugs are extremely rare, and could be worth a lot if you can find a buyer.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '30', 'npc_reward_6', 'Here you go.  I found this picture of the creature I was studying.  It\'s really all I have to give you though.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '31', 'player_1_1', 'Yeah, I can get it.  I hate graverobbers.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '32', 'player_2_1', 'I don\'t care about artifacts.  Forget it.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '33', 'player_3_1', 'What was the artifact?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '34', 'player_1_2', 'I\'ll get it back.  Industrial espionage is a terrible thing.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '35', 'player_2_2', 'I couldn\'t care less about you and your problem.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '36', 'player_3_2', 'What kind of creatures were you studying?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '37', 'player_3_3', 'Why is he killing scientists?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '38', 'player_1_4', 'I\'ll stop this guy before he gets started.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '39', 'player_2_4', 'Oh, my, I couldn\'t care less about you and your problem.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '40', 'player_3_4', 'What is this toxin?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '41', 'player_1_5', 'Sure.  I\'ll bring your friend back.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '42', 'player_2_5', 'No thanks.  I\'ve got other things to do.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '43', 'player_3_5', 'Why don\'t you upload your location to the datapad?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '44', 'player_1_6', 'Sure I\'ll find your friend.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '45', 'player_2_6', 'Oh my, I couldn\'t care less about you and your problem.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '46', 'player_3_6', 'How did the equipment break?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '47', 'npc_takeme_5', 'Oh, you\'ve arrived.  Ok, you lead the way back and I\'ll follow you.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '48', 'npc_takeme_6', 'Ok, I\'m ready to go.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '49', 'not_it', 'No, sorry, that\'s not the item I was looking for...');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '50', 'gotowork', 'I need you to finish that task I gave you earlier.  Ok?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '51', 'cantwork', 'I understand you\'re already working for someone else.  Come back when you\'re done with that job.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '52', 'otherescort', 'I don\'t think I\'m the one you\'re looking for.  Perhaps you should be escorting someone else?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '53', 'dontknowyou', 'I\'m sorry, but I don\'t know who you are and I\'m not going to follow you anywhere!');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '54', 'player_1_3', 'Sure, I can do it.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '55', 'player_2_3', 'I don\'t think I\'m up to that.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '56', 'npc_breech_1', 'Did the \"curator\" send you?  Hah!  Die scum!');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '57', 'npc_breech_2', 'My company will pay well for this!');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '58', 'npc_breech_3', 'Do you work for the scientists?  Then you\'ll die like they do!');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '59', 'npc_breech_4', 'You can\'t stop me!  I\'ll kill everyone!');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '60', 'npc_breech_5', 'Did my partner send you?');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '61', 'npc_breech_6', 'My navigator\'s broken!  Help me!');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '62', 'return', 'The Scientist who gave you this job is eagerly awaiting your return.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '63', 'npc_reset', 'Ok, I\'ll let you off the hook.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '64', 'npc_backtowork', 'Get to it then.  I need that job done.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '65', 'player_sorry', 'I\'ll get back to work.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '66', 'player_reset', 'I need a break...');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '67', 'npc_noloc_1', 'Come back in a few minutes and I should have more information for you.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '68', 'npc_noloc_2', 'Luckily I put a tracer in the cage. Come back in a few minutes and I should have some coordinates for you.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '69', 'npc_noloc_3', 'Let me see if I can find out exactly where he is. Come back in a while and I should have more info.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '70', 'npc_noloc_4', 'I\'m waiting for his roomate to call me with his location, come back in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '71', 'npc_noloc_5', 'Let me see if I can find out exactly where he is. Come back in a while and I should have more info.');
INSERT INTO `client_strings` VALUES ('string/en/random_quest/scientist.stf', '72', 'npc_noloc_6', 'Let me see if I can find out exactly where he is. Come back in a while and I should have more info.');
INSERT INTO `client_strings` VALUES ('string/en/rebel_e3_convo.stf', '1', 'rebel_1', 'Hello, would you like to join the Alliance?');
INSERT INTO `client_strings` VALUES ('string/en/rebel_e3_convo.stf', '2', 'rebel_2', 'Absolutely.');
INSERT INTO `client_strings` VALUES ('string/en/rebel_e3_convo.stf', '3', 'rebel_3', 'Not at the moment.');
INSERT INTO `client_strings` VALUES ('string/en/rebel_e3_convo.stf', '4', 'rebel_4', 'Any questions I can answer for you?');
INSERT INTO `client_strings` VALUES ('string/en/rebel_e3_convo.stf', '5', 'rebel_5', 'What does the Alliance do?');
INSERT INTO `client_strings` VALUES ('string/en/rebel_e3_convo.stf', '6', 'rebel_6', 'What do you need me to do?');
INSERT INTO `client_strings` VALUES ('string/en/rebel_e3_convo.stf', '7', 'rebel_7', 'Can I join Rogue Squadron?');
INSERT INTO `client_strings` VALUES ('string/en/rebel_e3_convo.stf', '8', 'rebel_8', 'We fight against the oppressive regime of the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/rebel_e3_convo.stf', '9', 'rebel_9', 'Well, I could give you a mission...');
INSERT INTO `client_strings` VALUES ('string/en/rebel_e3_convo.stf', '10', 'rebel_10', 'Sure.');
INSERT INTO `client_strings` VALUES ('string/en/rebel_e3_convo.stf', '11', 'rebel_11', 'No thanks.  Not just yet.');
INSERT INTO `client_strings` VALUES ('string/en/rebel_e3_convo.stf', '12', 'rebel_12', 'You\'ve answered all my questions, thanks.');
INSERT INTO `client_strings` VALUES ('string/en/rebel_e3_convo.stf', '13', 'rebel_13', 'I don\'t think you should hang around any longer.');
INSERT INTO `client_strings` VALUES ('string/en/rebel_e3_convo.stf', '14', 'rebel_14', 'Return to me when you need something to do.');
INSERT INTO `client_strings` VALUES ('string/en/rebel_e3_convo.stf', '15', 'rebel_15', 'Well, Rogue Squadron\'s already pretty filled up right now, but we do need some people to pass out leaflets...');
INSERT INTO `client_strings` VALUES ('string/en/rebel_e3_convo.stf', '16', 'rebel_16', 'Are you ready for a mission?');
INSERT INTO `client_strings` VALUES ('string/en/rebel_e3_convo.stf', '17', 'rebel_17', 'I have no time for Imperial Scum!');
INSERT INTO `client_strings` VALUES ('string/en/recruiting/hutt_recruit.stf', '1', 'hr_1', 'You look like the kind of person that could use some work.  That is, if you aren\'t too worried about what the \"law\" might think about it.');
INSERT INTO `client_strings` VALUES ('string/en/recruiting/hutt_recruit.stf', '2', 'hr_2', 'Yeah, I could use some work like that.');
INSERT INTO `client_strings` VALUES ('string/en/recruiting/hutt_recruit.stf', '3', 'hr_3', 'I think you have the wrong guy.');
INSERT INTO `client_strings` VALUES ('string/en/recruiting/hutt_recruit.stf', '4', 'hr_4', 'I thought you had that look about you.  I work for Jabba the Hutt.  Is that going to be a problem?');
INSERT INTO `client_strings` VALUES ('string/en/recruiting/hutt_recruit.stf', '5', 'hr_5', 'Not for me.');
INSERT INTO `client_strings` VALUES ('string/en/recruiting/hutt_recruit.stf', '6', 'hr_6', 'Sorry, I can\'t work for the Hutts.');
INSERT INTO `client_strings` VALUES ('string/en/recruiting/hutt_recruit.stf', '7', 'hr_7', 'Good.  What I want you to do is to find this stang who\'s been asking too many questions about Bib Fortuna.  Bib wants him \"eliminated\" if you know what I mean.');
INSERT INTO `client_strings` VALUES ('string/en/recruiting/hutt_recruit.stf', '8', 'hr_8', 'Consider it done.');
INSERT INTO `client_strings` VALUES ('string/en/recruiting/hutt_recruit.stf', '9', 'hr_9', 'Why does Bib care about this guy?');
INSERT INTO `client_strings` VALUES ('string/en/recruiting/hutt_recruit.stf', '10', 'hr_12', 'Ok, I\'ll upload his last known to your datapad.  Return here when the deed is done and we\'ll talk further about your usefulness.');
INSERT INTO `client_strings` VALUES ('string/en/recruiting/hutt_recruit.stf', '11', 'hr_10', 'Bib had some issues with his own people a while back, and he\'s sort of been hiding out here on Tatooine.  Anytime someone starts asking questions he \"deals with it\" as quickly as possible.');
INSERT INTO `client_strings` VALUES ('string/en/recruiting/hutt_recruit.stf', '12', 'hr_11', 'Well, as long as you keep our little chat to yourself I\'ll let you go then.');
INSERT INTO `client_strings` VALUES ('string/en/recruiting/hutt_recruit.stf', '13', 'hr_13', 'You did good work for us there.  Can we count on you to do some more?');
INSERT INTO `client_strings` VALUES ('string/en/recruiting/hutt_recruit.stf', '14', 'hr_14', 'You got it.  What\'s next?');
INSERT INTO `client_strings` VALUES ('string/en/recruiting/hutt_recruit.stf', '15', 'hr_15', 'I\'ll be back later.  ');
INSERT INTO `client_strings` VALUES ('string/en/recruiting/hutt_recruit.stf', '16', 'hr_16', 'Bib was very impressed.  He says he may have a place for you at the palace, since they\'ve had some...uh...openings...recently.  But we need you to do just a little more to prove yourself.');
INSERT INTO `client_strings` VALUES ('string/en/recruiting/hutt_recruit.stf', '17', 'hr_17', 'That\'s fine, but don\'t take forever.  I got lots of other things to do you know.');
INSERT INTO `client_strings` VALUES ('string/en/recruiting/hutt_recruit.stf', '18', 'hr_18', 'What\'s my next job?');
INSERT INTO `client_strings` VALUES ('string/en/recruiting/hutt_recruit.stf', '19', 'hr_19', 'Really?  Bib was impressed?');
INSERT INTO `client_strings` VALUES ('string/en/recruiting/hutt_recruit.stf', '20', 'hr_20', 'Some thugs roughed up one of Jabba\'s dancers the other day in town, and Bib wants to make an example of them.  Plus I think he\'s trying to get the dancers to like him.  Anyway.  Just teach these guys a lesson.');
INSERT INTO `client_strings` VALUES ('string/en/recruiting/hutt_recruit.stf', '21', 'hr_21', 'Who\'s crazy enough to do this?');
INSERT INTO `client_strings` VALUES ('string/en/recruiting/hutt_recruit.stf', '22', 'hr_22', 'I\'ll get right on it.');
INSERT INTO `client_strings` VALUES ('string/en/recruiting/hutt_recruit.stf', '23', 'hr_23', 'Jabba\'s chief rival is Lady Valarian.  It was some of her thugs trying to act big.  They picked the wrong week cause Jabba\'s just been looking for an excuse.  And like I said, Bib loves to look good for the girls.');
INSERT INTO `client_strings` VALUES ('string/en/recruiting/hutt_recruit.stf', '25', 'hr_24', 'Good.  Bib\'s counting on you to make him look good.   You pull this off and I\'ll get you in to see him personally.');
INSERT INTO `client_strings` VALUES ('string/en/recruiting/hutt_recruit.stf', '27', 'hr_25', 'Congratulations.  That\'s good work that you do.  You\'re gonna do well on this planet, I can feel it.');
INSERT INTO `client_strings` VALUES ('string/en/recruiting/hutt_recruit.stf', '28', 'hr_26', 'Thanks.  I appreciate it.');
INSERT INTO `client_strings` VALUES ('string/en/recruiting/hutt_recruit.stf', '29', 'hr_27', 'Go see Bib upstairs.  He\'ll let you in now that he sort of knows who you are.');
INSERT INTO `client_strings` VALUES ('string/en/recruiting/hutt_recruit.stf', '30', 'hr_28', 'Well, as impressed as Bib gets, really.  That is, he didn\'t act disappointed or execute anybody when he heard you had killed the target.  But anyway...');
INSERT INTO `client_strings` VALUES ('string/en/recruiting/hutt_recruit.stf', '31', 'hr_29', 'You again?  Have you thought about that work I mentioned earlier?');
INSERT INTO `client_strings` VALUES ('string/en/recruiting/hutt_recruit.stf', '32', 'seebib', 'Go up and see Bib Fortuna.  My tasks are for less experienced individuals.');
INSERT INTO `client_strings` VALUES ('string/en/recruiting/imperial_recruit.stf', '1', 'ir1', 'Good afternoon.  Are you interested in joining the Empire\'s armies?');
INSERT INTO `client_strings` VALUES ('string/en/recruiting/imperial_recruit.stf', '2', 'ir2', 'Yes, I am.');
INSERT INTO `client_strings` VALUES ('string/en/recruiting/imperial_recruit.stf', '3', 'ir3', 'No.  I don\'t think so.');
INSERT INTO `client_strings` VALUES ('string/en/recruiting/imperial_recruit.stf', '4', 'ir4', 'Are you ready to join right now?');
INSERT INTO `client_strings` VALUES ('string/en/recruiting/imperial_recruit.stf', '5', 'ir5', 'Yes.  Yes I am.');
INSERT INTO `client_strings` VALUES ('string/en/recruiting/imperial_recruit.stf', '6', 'ir6', 'At your command, sir.');
INSERT INTO `client_strings` VALUES ('string/en/recruiting/imperial_recruit.stf', '7', 'ir7', 'And for what reason would you be joining the Empire?');
INSERT INTO `client_strings` VALUES ('string/en/recruiting/imperial_recruit.stf', '8', 'ir8', 'To bring glory to the Emperor and to crush the Rebel scum!');
INSERT INTO `client_strings` VALUES ('string/en/recruiting/imperial_recruit.stf', '9', 'ir9', 'Wealth, power, and the legitimate excuse to shoot whoever I want!');
INSERT INTO `client_strings` VALUES ('string/en/recruiting/imperial_recruit.stf', '10', 'ir10', 'I don\'t think you\'re the kind of person we\'re looking for.  Good day.');
INSERT INTO `client_strings` VALUES ('string/en/recruiting/imperial_recruit.stf', '11', 'ir11', 'Then I expect you to move on.  I have more important things to do than stand around and explain myself to every nerf-herder that tries to chat with me.');
INSERT INTO `client_strings` VALUES ('string/en/recruiting/imperial_recruit.stf', '12', 'ir12', 'Congratulations.  You\'re now part of something larger.  The Empire!');
INSERT INTO `client_strings` VALUES ('string/en/recruiting/imperial_recruit.stf', '13', 'ir13', 'Good day, and what can I do for you?');
INSERT INTO `client_strings` VALUES ('string/en/recruiting/imperial_recruit.stf', '14', 'ir14', 'I don\'t think I\'m cut out for military life.');
INSERT INTO `client_strings` VALUES ('string/en/recruiting/imperial_recruit.stf', '15', 'ir15', 'Well, it\'s not for everyone.  Ok, you\'re a civilian again.');
INSERT INTO `client_strings` VALUES ('string/en/recruiting/imperial_recruit.stf', '16', 'ir16', 'I don\'t think either of us wants any trouble...');
INSERT INTO `client_strings` VALUES ('string/en/recruiting/imperial_recruit.stf', '17', 'ir17', 'Sorry.');
INSERT INTO `client_strings` VALUES ('string/en/recruiting/imperial_recruit.stf', '18', 'ir18', 'Just go on about your business.');
INSERT INTO `client_strings` VALUES ('string/en/recruiting/rebel_recruit.stf', '1', 'rr1', 'The wind whistles in the willows...');
INSERT INTO `client_strings` VALUES ('string/en/recruiting/rebel_recruit.stf', '2', 'rr2', 'But the sun doesn\'t shine in the swamps.');
INSERT INTO `client_strings` VALUES ('string/en/recruiting/rebel_recruit.stf', '3', 'rr3', 'Uh...I don\'t know what you\'re talking about.');
INSERT INTO `client_strings` VALUES ('string/en/recruiting/rebel_recruit.stf', '4', 'rr4', 'Who gave you the password?');
INSERT INTO `client_strings` VALUES ('string/en/recruiting/rebel_recruit.stf', '5', 'rr5', 'I was just guessing.');
INSERT INTO `client_strings` VALUES ('string/en/recruiting/rebel_recruit.stf', '6', 'rr6', 'I heard it from some of the rebel pilots.');
INSERT INTO `client_strings` VALUES ('string/en/recruiting/rebel_recruit.stf', '7', 'rr7', 'Are you interested in joining the Rebel Alliance?');
INSERT INTO `client_strings` VALUES ('string/en/recruiting/rebel_recruit.stf', '8', 'rr8', 'Won\'t that get me in trouble with the Empire?');
INSERT INTO `client_strings` VALUES ('string/en/recruiting/rebel_recruit.stf', '9', 'rr9', 'I am.  I have no love for the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/recruiting/rebel_recruit.stf', '10', 'rr10', 'Good.  I will take your information and inform my commanding officers.  From this point on, you\'re officially part of the Rebellion.  Good luck soldier.');
INSERT INTO `client_strings` VALUES ('string/en/recruiting/rebel_recruit.stf', '11', 'rr11', 'Well, nevermind then.  I have more important things to do than stand around and explain myself to every nerf-herder that tries to chat with me.');
INSERT INTO `client_strings` VALUES ('string/en/recruiting/rebel_recruit.stf', '12', 'rr12', 'If all you\'re concerned about is how much trouble you\'re going to be in with the Empire then you\'re definitely not the kind of person we\'re looking for.');
INSERT INTO `client_strings` VALUES ('string/en/recruiting/rebel_recruit.stf', '13', 'rr13', 'Hello friend.  What can I do for you?');
INSERT INTO `client_strings` VALUES ('string/en/recruiting/rebel_recruit.stf', '14', 'rr14', 'I\'m tired of being shot at by Imperials!');
INSERT INTO `client_strings` VALUES ('string/en/recruiting/rebel_recruit.stf', '15', 'rr15', 'Ok, we\'ll let you out of the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/recruiting/rebel_recruit.stf', '16', 'rr16', 'Since I\'m not bothering you, why don\'t you not bother me?');
INSERT INTO `client_strings` VALUES ('string/en/recruiting/rebel_recruit.stf', '17', 'rr17', 'All right then.');
INSERT INTO `client_strings` VALUES ('string/en/recruiting/rebel_recruit.stf', '18', 'rr18', 'Thanks for nothing.');
INSERT INTO `client_strings` VALUES ('string/en/recycler_messages.stf', '1', 'already_recycled', 'You can not recycle a recycled resource.');
INSERT INTO `client_strings` VALUES ('string/en/recycler_messages.stf', '2', 'no_type', 'That resource can not be recycled as it does not have a processed form.');
INSERT INTO `client_strings` VALUES ('string/en/recycler_messages.stf', '3', 'only_cereal', 'This processor is set to recycle cereal resources.  You may need another type of processor for the resource you\'re trying to use, or you may try a different setting.');
INSERT INTO `client_strings` VALUES ('string/en/recycler_messages.stf', '4', 'no_resource', 'This processor can only recycle resources.');
INSERT INTO `client_strings` VALUES ('string/en/recycler_messages.stf', '5', 'success', 'The resource has been converted.');
INSERT INTO `client_strings` VALUES ('string/en/recycler_messages.stf', '6', 'only_hide', 'This processor is set to recycle hide resources.  You may need another type of processor for the resource you\'re trying to use, or you may try a different setting.');
INSERT INTO `client_strings` VALUES ('string/en/recycler_messages.stf', '7', 'cereal', 'Cereal');
INSERT INTO `client_strings` VALUES ('string/en/recycler_messages.stf', '8', 'fruit', 'Fruit');
INSERT INTO `client_strings` VALUES ('string/en/recycler_messages.stf', '9', 'vegetable', 'Vegetable');
INSERT INTO `client_strings` VALUES ('string/en/recycler_messages.stf', '10', 'choose_type', 'Choose Recycle Type');
INSERT INTO `client_strings` VALUES ('string/en/recycler_messages.stf', '11', 'wood', 'Wood');
INSERT INTO `client_strings` VALUES ('string/en/recycler_messages.stf', '12', 'igneous', 'Igneous/Intrusive');
INSERT INTO `client_strings` VALUES ('string/en/recycler_messages.stf', '13', 'sedimentary', 'Sedimentary/Siliclastic');
INSERT INTO `client_strings` VALUES ('string/en/recycler_messages.stf', '14', 'gemstone', 'Gemstone');
INSERT INTO `client_strings` VALUES ('string/en/recycler_messages.stf', '15', 'milk', 'Milk');
INSERT INTO `client_strings` VALUES ('string/en/recycler_messages.stf', '16', 'meat', 'Meat');
INSERT INTO `client_strings` VALUES ('string/en/recycler_messages.stf', '17', 'bone', 'Bone');
INSERT INTO `client_strings` VALUES ('string/en/recycler_messages.stf', '18', 'horn', 'Horn');
INSERT INTO `client_strings` VALUES ('string/en/recycler_messages.stf', '19', 'hide', 'Hide');
INSERT INTO `client_strings` VALUES ('string/en/recycler_messages.stf', '20', 'seafood', 'Seafood');
INSERT INTO `client_strings` VALUES ('string/en/recycler_messages.stf', '21', 'nonferrous', 'Non-Ferrous');
INSERT INTO `client_strings` VALUES ('string/en/recycler_messages.stf', '22', 'ferrous', 'Ferrous');
INSERT INTO `client_strings` VALUES ('string/en/recycler_messages.stf', '23', 'water', 'Water');
INSERT INTO `client_strings` VALUES ('string/en/recycler_messages.stf', '24', 'chemical', 'Chemical');
INSERT INTO `client_strings` VALUES ('string/en/recycler_messages.stf', '25', 'fuel_petrochem_solid', 'Solid Fuel');
INSERT INTO `client_strings` VALUES ('string/en/recycler_messages.stf', '26', 'radioactive', 'Radioactive');
INSERT INTO `client_strings` VALUES ('string/en/recycler_messages.stf', '27', 'only_milk', 'This processor is set to recycle milk resources.  You may need another type of processor for the resource you\'re trying to use, or you may try a different setting.');
INSERT INTO `client_strings` VALUES ('string/en/recycler_messages.stf', '28', 'only_meat', 'This processor is set to recycle meat resources.  You may need another type of processor for the resource you\'re trying to use, or you may try a different setting.');
INSERT INTO `client_strings` VALUES ('string/en/recycler_messages.stf', '29', 'only_bone', 'This processor is set to recycle bone resources.  You may need another type of processor for the resource you\'re trying to use, or you may try a different setting.');
INSERT INTO `client_strings` VALUES ('string/en/recycler_messages.stf', '30', 'only_horn', 'This processor is set to recycle horn resources.  You may need another type of processor for the resource you\'re trying to use, or you may try a different setting.');
INSERT INTO `client_strings` VALUES ('string/en/recycler_messages.stf', '31', 'only_seafood', 'This processor is set to recycle seafood resources.  You may need another type of processor for the resource you\'re trying to use, or you may try a different setting.');
INSERT INTO `client_strings` VALUES ('string/en/recycler_messages.stf', '32', 'only_water', 'This processor is set to recycle water resources.  You may need another type of processor for the resource you\'re trying to use, or you may try a different setting.');
INSERT INTO `client_strings` VALUES ('string/en/recycler_messages.stf', '33', 'only_chemical', 'This processor is set to recycle chemical resources.  You may need another type of processor for the resource you\'re trying to use, or you may try a different setting.');
INSERT INTO `client_strings` VALUES ('string/en/recycler_messages.stf', '34', 'only_fuel_petrochem_solid', 'This processor is set to recycle solid fuel petrochemical resources.  You may need another type of processor for the resource you\'re trying to use, or you may try a different setting.');
INSERT INTO `client_strings` VALUES ('string/en/recycler_messages.stf', '35', 'only_radioactive', 'This processor is set to recycle radioactive resources.  You may need another type of processor for the resource you\'re trying to use, or you may try a different setting.');
INSERT INTO `client_strings` VALUES ('string/en/recycler_messages.stf', '36', 'only_fruit', 'This processor is set to recycle fruit resources.  You may need another type of processor for the resource you\'re trying to use, or you may try a different setting.');
INSERT INTO `client_strings` VALUES ('string/en/recycler_messages.stf', '37', 'only_vegetable', 'This processor is set to recycle vegetable resources.  You may need another type of processor for the resource you\'re trying to use, or you may try a different setting.');
INSERT INTO `client_strings` VALUES ('string/en/recycler_messages.stf', '38', 'only_wood', 'This processor is set to recycle wood resources.  You may need another type of processor for the resource you\'re trying to use, or you may try a different setting.');
INSERT INTO `client_strings` VALUES ('string/en/recycler_messages.stf', '39', 'only_ore_igneous', 'This processor is set to recycle igneous ore resources.  You may need another type of processor for the resource you\'re trying to use, or you may try a different setting.');
INSERT INTO `client_strings` VALUES ('string/en/recycler_messages.stf', '40', 'only_ore_sedimentary', 'This processor is set to recycle sedimentary ore resources.  You may need another type of processor for the resource you\'re trying to use, or you may try a different setting.');
INSERT INTO `client_strings` VALUES ('string/en/recycler_messages.stf', '41', 'only_gemstone', 'This processor is set to recycle gemstone resources.  You may need another type of processor for the resource you\'re trying to use, or you may try a different setting.');
INSERT INTO `client_strings` VALUES ('string/en/recycler_messages.stf', '42', 'only_metal_ferrous', 'This processor is set to recycle ferrous metal resources.  You may need another type of processor for the resource you\'re trying to use, or you may try a different setting.');
INSERT INTO `client_strings` VALUES ('string/en/recycler_messages.stf', '43', 'only_metal_nonferrous', 'This processor is set to recycle non-ferrous metal resources.  You may need another type of processor for the resource you\'re trying to use, or you may try a different setting.');
INSERT INTO `client_strings` VALUES ('string/en/recycler_messages.stf', '44', 'only_steel', 'This processor is set to recycle steel resources.  You may need another type of processor for the resource you\'re trying to use, or you may try a different setting.');
INSERT INTO `client_strings` VALUES ('string/en/relic_dealer.stf', '1', 'prose_sold_junk', 'You sell %TT for %DI credits.');
INSERT INTO `client_strings` VALUES ('string/en/relic_dealer.stf', '2', 'prose_no_sale', '%TU cannot buy %TT from you at this time.');
INSERT INTO `client_strings` VALUES ('string/en/relic_dealer.stf', '3', 'prose_no_buy', '%TU shows no interest in purchasing %TT.');
INSERT INTO `client_strings` VALUES ('string/en/relic_dealer.stf', '7', 'sell_title', 'Relic Dealer');
INSERT INTO `client_strings` VALUES ('string/en/relic_dealer.stf', '8', 'sell_prompt', 'Select an item and press the \'Sell\' button to sell the relic to the dealer.\n\nPress the \'Sell All\' button to sell all available relics to the dealer.');
INSERT INTO `client_strings` VALUES ('string/en/relic_dealer.stf', '9', 'prose_sold_all_junk', 'You sell all of your relics to %TT for %DI credits.');
INSERT INTO `client_strings` VALUES ('string/en/relic_dealer.stf', '10', 'prose_no_all_sale', '%TT is unable to purchase all of your relics and declines the transaction.');
INSERT INTO `client_strings` VALUES ('string/en/relic_dealer.stf', '11', 'prose_no_buy_all', '%TT does not seem interested in buying any of your relics.');
INSERT INTO `client_strings` VALUES ('string/en/relic_dealer.stf', '12', 'prose_junk_sold', '%TT is already in the process of being sold...');
INSERT INTO `client_strings` VALUES ('string/en/relic_dealer.stf', '13', 'btn_sell_all', 'Sell All');
INSERT INTO `client_strings` VALUES ('string/en/relic_dealer.stf', '14', 'btn_sell', 'Sell');
INSERT INTO `client_strings` VALUES ('string/en/relic_dealer.stf', '15', 'no_items', 'You have no items that the relic dealer wishes to buy.');
INSERT INTO `client_strings` VALUES ('string/en/resource_container_d.stf', '1', 'energy_gas_small', 'This container holds small amounts of energetic gas.');
INSERT INTO `client_strings` VALUES ('string/en/resource_container_d.stf', '2', 'energy_gas_large', 'This container holds large amounts of energetic gas.');
INSERT INTO `client_strings` VALUES ('string/en/resource_container_d.stf', '3', 'energy_liquid_small', 'This container holds small amounts of energetic liquid.');
INSERT INTO `client_strings` VALUES ('string/en/resource_container_d.stf', '4', 'energy_liquid_large', 'This container holds large amounts of energetic liquid.');
INSERT INTO `client_strings` VALUES ('string/en/resource_container_d.stf', '5', 'energy_radioactive_small', 'This container holds small amounts of radioactive ore.');
INSERT INTO `client_strings` VALUES ('string/en/resource_container_d.stf', '6', 'energy_radioactive_large', 'This container holds large amounts of radioactive ore.');
INSERT INTO `client_strings` VALUES ('string/en/resource_container_d.stf', '7', 'energy_solid_small', 'This container holds small amounts of energetic ore.');
INSERT INTO `client_strings` VALUES ('string/en/resource_container_d.stf', '8', 'energy_solid_large', 'This container holds large amounts of energetic ore.');
INSERT INTO `client_strings` VALUES ('string/en/resource_container_d.stf', '9', 'inorganic_chemicals_small', 'This container holds small amounts of non-reactive liquids.');
INSERT INTO `client_strings` VALUES ('string/en/resource_container_d.stf', '10', 'inorganic_chemicals_large', 'This container holds large amounts of non-reactive liquids.');
INSERT INTO `client_strings` VALUES ('string/en/resource_container_d.stf', '11', 'inorganic_gas_small', 'This container holds small amounts of non-reactive gas.');
INSERT INTO `client_strings` VALUES ('string/en/resource_container_d.stf', '12', 'inorganic_gas_large', 'This container holds large amounts of non-reactive gas.');
INSERT INTO `client_strings` VALUES ('string/en/resource_container_d.stf', '13', 'inorganic_minerals_small', 'This container holds small amounts of non-reactive ore.');
INSERT INTO `client_strings` VALUES ('string/en/resource_container_d.stf', '14', 'inorganic_minerals_large', 'This container holds large amounts of non-reactive ore.');
INSERT INTO `client_strings` VALUES ('string/en/resource_container_d.stf', '15', 'inorganic_water_small', 'This container holds small amounts of water.');
INSERT INTO `client_strings` VALUES ('string/en/resource_container_d.stf', '16', 'inorganic_water_large', 'This container holds large amounts of water.');
INSERT INTO `client_strings` VALUES ('string/en/resource_container_d.stf', '17', 'organic_food_small', 'This container holds small amounts of consumable solid foodstuffs.');
INSERT INTO `client_strings` VALUES ('string/en/resource_container_d.stf', '18', 'organic_food_large', 'This container holds large amounts of consumable solid foodstuffs.');
INSERT INTO `client_strings` VALUES ('string/en/resource_container_d.stf', '19', 'organic_hide_small', 'This container holds small amounts of creature hides and pelts.');
INSERT INTO `client_strings` VALUES ('string/en/resource_container_d.stf', '20', 'organic_hide_large', 'This container holds large amounts of creature hides and pelts.');
INSERT INTO `client_strings` VALUES ('string/en/resource_container_d.stf', '21', 'organic_structure_small', 'This container holds small amounts of organic structural materials such as bones or wood.');
INSERT INTO `client_strings` VALUES ('string/en/resource_container_d.stf', '22', 'organic_structure_large', 'This container holds large amounts of organic structural materials such as bones or wood.');
INSERT INTO `client_strings` VALUES ('string/en/resource_container_n.stf', '1', 'organic_structure_large', 'Large crate: organic structural materials');
INSERT INTO `client_strings` VALUES ('string/en/resource_container_n.stf', '2', 'organic_structure_small', 'Organic structural materials');
INSERT INTO `client_strings` VALUES ('string/en/resource_container_n.stf', '3', 'organic_hide_large', 'Large crate: hide');
INSERT INTO `client_strings` VALUES ('string/en/resource_container_n.stf', '4', 'organic_hide_small', 'Hide');
INSERT INTO `client_strings` VALUES ('string/en/resource_container_n.stf', '5', 'organic_food_large', 'Large crate: edible materials');
INSERT INTO `client_strings` VALUES ('string/en/resource_container_n.stf', '6', 'organic_food_small', 'Edible materials');
INSERT INTO `client_strings` VALUES ('string/en/resource_container_n.stf', '7', 'inorganic_water_large', 'Large crate: water');
INSERT INTO `client_strings` VALUES ('string/en/resource_container_n.stf', '8', 'inorganic_water_small', 'Water');
INSERT INTO `client_strings` VALUES ('string/en/resource_container_n.stf', '9', 'inorganic_minerals_large', 'Large crate: minerals');
INSERT INTO `client_strings` VALUES ('string/en/resource_container_n.stf', '10', 'inorganic_minerals_small', 'Minerals');
INSERT INTO `client_strings` VALUES ('string/en/resource_container_n.stf', '11', 'inorganic_gas_large', 'Large crate: inert gases');
INSERT INTO `client_strings` VALUES ('string/en/resource_container_n.stf', '12', 'inorganic_gas_small', 'Inert gases');
INSERT INTO `client_strings` VALUES ('string/en/resource_container_n.stf', '13', 'inorganic_chemicals_large', 'Large crate: inert chemicals');
INSERT INTO `client_strings` VALUES ('string/en/resource_container_n.stf', '14', 'inorganic_chemicals_small', 'Inert chemicals');
INSERT INTO `client_strings` VALUES ('string/en/resource_container_n.stf', '15', 'energy_solid_large', 'Large crate: solid fuels');
INSERT INTO `client_strings` VALUES ('string/en/resource_container_n.stf', '16', 'energy_solid_small', 'Solid fuels');
INSERT INTO `client_strings` VALUES ('string/en/resource_container_n.stf', '17', 'energy_radioactive_large', 'Large crate: radioactive materials');
INSERT INTO `client_strings` VALUES ('string/en/resource_container_n.stf', '18', 'energy_radioactive_small', 'Radioactive materials');
INSERT INTO `client_strings` VALUES ('string/en/resource_container_n.stf', '19', 'energy_liquid_large', 'Large crate: reactive chemicals');
INSERT INTO `client_strings` VALUES ('string/en/resource_container_n.stf', '20', 'energy_liquid_small', 'Reactive chemicals');
INSERT INTO `client_strings` VALUES ('string/en/resource_container_n.stf', '21', 'energy_gas_large', 'Large crate: reactive gases');
INSERT INTO `client_strings` VALUES ('string/en/resource_container_n.stf', '22', 'energy_gas_small', 'Reactive gases');
INSERT INTO `client_strings` VALUES ('string/en/reverse_engineering_tool.stf', '1', 'special', 'You have skillfully created a special component.  A bonus has been applied to the item\'s statistics.');
INSERT INTO `client_strings` VALUES ('string/en/reverse_engineering_tool.stf', '2', 'improved', 'You have successfully reverse engineered the components into a single improved item.');
INSERT INTO `client_strings` VALUES ('string/en/reverse_engineering_tool.stf', '3', 'nubian_racing_mod', 'Upon disassembling these engines, you discover that one was made from components of\na Nubian 221 engine.  It appears to be a very fast racing variant, equipped with a TransGalMeg Industries hyperdrive\nthat hasn\'t been used since the days of the Republic.  Though old and bulky, it is a fast engine.\nThere are enough pieces here to put the engine back into working shape.  \n\n\n\n');
INSERT INTO `client_strings` VALUES ('string/en/reverse_engineering_tool.stf', '4', 'armor_reward_generic', 'Upon disassembling the armor, you discover that many were made from pieces of a rare armor type.  You manage to reassemble these into a complete item.');
INSERT INTO `client_strings` VALUES ('string/en/reverse_engineering_tool.stf', '5', 'booster_reward_generic', 'Upon disassembling the boosters, you discover that many were made from pieces of a rare booster type.  You manage to reassemble these into a complete item.');
INSERT INTO `client_strings` VALUES ('string/en/reverse_engineering_tool.stf', '6', 'capacitor_reward_generic', 'Upon disassembling the capacitors, you discover that many were made from pieces of a rare capacitor type.  You manage to reassemble these into a complete item.');
INSERT INTO `client_strings` VALUES ('string/en/reverse_engineering_tool.stf', '7', 'engine_reward_generic', 'Upon disassembling the engines, you discover that many were made from pieces of a rare engine type.  You manage to reassemble these into a complete item.');
INSERT INTO `client_strings` VALUES ('string/en/reverse_engineering_tool.stf', '8', 'reactor_reward_generic', 'Upon disassembling the reactors, you discover that many were made from pieces of a rare reactor type.  You manage to reassemble these into a complete item.');
INSERT INTO `client_strings` VALUES ('string/en/reverse_engineering_tool.stf', '9', 'shield_reward_generic', 'Upon disassembling the shields, you discover that many were made from pieces of a rare shield type.  You manage to reassemble these into a complete item.');
INSERT INTO `client_strings` VALUES ('string/en/reverse_engineering_tool.stf', '10', 'weapon_reward_generic', 'Upon disassembling the weapons, you discover that many were made from pieces of a rare weapon type.  You manage to reassemble these into a complete item.');
INSERT INTO `client_strings` VALUES ('string/en/reverse_engineering_tool.stf', '11', 'not_skilled', 'You are not skilled enough to reverse engineer this item.  Your Reverse Engineering skill modifier must at least equal the level of the item.');
INSERT INTO `client_strings` VALUES ('string/en/reverse_engineering_tool.stf', '12', 'already_engineered', 'This item is the product of reverse engineering, and cannot be reverse engineered again.');
INSERT INTO `client_strings` VALUES ('string/en/reverse_engineering_tool.stf', '13', 'wrong_component_type', 'This component is not designed to go into this analysis tool.');
INSERT INTO `client_strings` VALUES ('string/en/reverse_engineering_tool.stf', '14', 'too_many', 'You have put too many components in the tool.  You need to place a quantity of identical components equal to the reverse engineering level of the components being used.');
INSERT INTO `client_strings` VALUES ('string/en/reverse_engineering_tool.stf', '15', 'too_few', 'You have put too few components in the tool.  You need to place a quantity of identical components equal to the reverse engineering level of the components being used.');
INSERT INTO `client_strings` VALUES ('string/en/reverse_engineering_tool.stf', '16', 'massavg', '\\#FFFFFF Optimal Mass:');
INSERT INTO `client_strings` VALUES ('string/en/reverse_engineering_tool.stf', '17', 'finaloutput', '\\#00ff00 Final Output:');
INSERT INTO `client_strings` VALUES ('string/en/reverse_engineering_tool.stf', '18', 'bonusapplied', 'Bonus Applied:');
INSERT INTO `client_strings` VALUES ('string/en/reverse_engineering_tool.stf', '19', 'hpavg', '\\#FFFFFF Optimal Hitpoints:');
INSERT INTO `client_strings` VALUES ('string/en/reverse_engineering_tool.stf', '20', 'armorhpavg', '\\#FFFFFF Optimal Armor Points:');
INSERT INTO `client_strings` VALUES ('string/en/reverse_engineering_tool.stf', '21', 'prompt', '********************TECHNICAL READOUT********************\n**************REVERSE ENGINEERING PROCESS***************\n*******************FINALIZATION REPORT********************');
INSERT INTO `client_strings` VALUES ('string/en/reverse_engineering_tool.stf', '22', 'title', 'Reverse Engineering Results');
INSERT INTO `client_strings` VALUES ('string/en/reverse_engineering_tool.stf', '23', 'prompt2', 'Please enter a name for the reverse engineered component.');
INSERT INTO `client_strings` VALUES ('string/en/reverse_engineering_tool.stf', '24', 'title2', 'Name New Component');
INSERT INTO `client_strings` VALUES ('string/en/reverse_engineering_tool.stf', '25', 'reserved', 'That is a reserved name.');
INSERT INTO `client_strings` VALUES ('string/en/reverse_engineering_tool.stf', '26', 'boosterenergy', '\\#FFFFFF Optimal Booster Energy:');
INSERT INTO `client_strings` VALUES ('string/en/reverse_engineering_tool.stf', '27', 'boosterrecharge', '\\#FFFFFF Optimal Booster Recharge:');
INSERT INTO `client_strings` VALUES ('string/en/reverse_engineering_tool.stf', '28', 'boosterconsumption', '\\#FFFFFF Optimal Booster Consumption:');
INSERT INTO `client_strings` VALUES ('string/en/reverse_engineering_tool.stf', '29', 'boosteraccel', '\\#FFFFFF Optimal Booster Acceleration:');
INSERT INTO `client_strings` VALUES ('string/en/reverse_engineering_tool.stf', '30', 'boosterspeed', '\\#FFFFFF Optimal Booster Speed:');
INSERT INTO `client_strings` VALUES ('string/en/reverse_engineering_tool.stf', '31', 'capenergy', '\\#FFFFFF Optimal Capacitor Energy:');
INSERT INTO `client_strings` VALUES ('string/en/reverse_engineering_tool.stf', '32', 'caprecharge', '\\#FFFFFF Optimal Capacitor Recharge:');
INSERT INTO `client_strings` VALUES ('string/en/reverse_engineering_tool.stf', '33', 'commandspeed', '\\#FFFFFF Optimal Droid Interface Command Speed:');
INSERT INTO `client_strings` VALUES ('string/en/reverse_engineering_tool.stf', '34', 'engaccel', '\\#FFFFFF Optimal Engine Acceleration:');
INSERT INTO `client_strings` VALUES ('string/en/reverse_engineering_tool.stf', '35', 'engdecel', '\\#FFFFFF Optimal Engine Deceleration:');
INSERT INTO `client_strings` VALUES ('string/en/reverse_engineering_tool.stf', '36', 'engpitch', '\\#FFFFFF Optimal Engine Max Pitch:');
INSERT INTO `client_strings` VALUES ('string/en/reverse_engineering_tool.stf', '37', 'engyaw', '\\#FFFFFF Optimal Engine Max Yaw:');
INSERT INTO `client_strings` VALUES ('string/en/reverse_engineering_tool.stf', '38', 'engroll', '\\#FFFFFF Optimal Engine Max Roll:');
INSERT INTO `client_strings` VALUES ('string/en/reverse_engineering_tool.stf', '39', 'engspeed', '\\#FFFFFF Optimal Engine Speed:');
INSERT INTO `client_strings` VALUES ('string/en/reverse_engineering_tool.stf', '40', 'reactorenergy', '\\#FFFFFF Optimal Reactor Generation:');
INSERT INTO `client_strings` VALUES ('string/en/reverse_engineering_tool.stf', '41', 'shdbackhp', '\\#FFFFFF Optimal Shield Back Hitpoints:');
INSERT INTO `client_strings` VALUES ('string/en/reverse_engineering_tool.stf', '42', 'shdfronthp', '\\#FFFFFF Optimal Shield Front Hitpoints:');
INSERT INTO `client_strings` VALUES ('string/en/reverse_engineering_tool.stf', '43', 'shdrecharge', '\\#FFFFFF Optimal Shield Recharge:');
INSERT INTO `client_strings` VALUES ('string/en/reverse_engineering_tool.stf', '44', 'wpnmaxdmg', '\\#FFFFFF Optimal Weapon Max Damage:');
INSERT INTO `client_strings` VALUES ('string/en/reverse_engineering_tool.stf', '45', 'wpnmindmg', '\\#FFFFFF Optimal Weapon Min Damage:');
INSERT INTO `client_strings` VALUES ('string/en/reverse_engineering_tool.stf', '46', 'wpnshdeff', '\\#FFFFFF Optimal Weapon Shield Effectiveness:');
INSERT INTO `client_strings` VALUES ('string/en/reverse_engineering_tool.stf', '47', 'wpnarmeff', '\\#FFFFFF Optimal Weapon Armor Effectiveness:');
INSERT INTO `client_strings` VALUES ('string/en/reverse_engineering_tool.stf', '48', 'wpnenergypershot', '\\#FFFFFF Optimal Energy Per Shot:');
INSERT INTO `client_strings` VALUES ('string/en/reverse_engineering_tool.stf', '49', 'wpnrate', '\\#FFFFFF Optimal Refire Rate:');
INSERT INTO `client_strings` VALUES ('string/en/reverse_engineering_tool.stf', '50', 'out_of_charges', 'This tool is out of charges, and has been destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/reverse_engineering_tool.stf', '51', 'gotpiece', 'You found an odd item inside one of the components!');
INSERT INTO `client_strings` VALUES ('string/en/reverse_engineering_tool.stf', '52', 'not_a_component', 'This is not a valid component.');
INSERT INTO `client_strings` VALUES ('string/en/reverse_engineering_tool.stf', '53', 'invalid', 'This component does not match the others inside the tool.');
INSERT INTO `client_strings` VALUES ('string/en/reverse_engineering_tool.stf', '54', 'gotschematic', 'You successfully combine the schematic pieces into a KSE Firespray schematic.');
INSERT INTO `client_strings` VALUES ('string/en/reverse_engineering_tool.stf', '55', 'level', 'You do not have enough skill to reverse engineer items of this level.');
INSERT INTO `client_strings` VALUES ('string/en/reverse_engineering_tool.stf', '56', 'invfull', 'Your inventory is full, and the object could not be created.');
INSERT INTO `client_strings` VALUES ('string/en/reverse_engineering_tool.stf', '57', 'not_enough', 'You don\'t have enough pieces of that to analyze it.');
INSERT INTO `client_strings` VALUES ('string/en/reverse_engineering_tool.stf', '58', 'notunique', 'You lack the 8 specific pieces to reverse engineer this.  Make sure you have one of each fragment.');
INSERT INTO `client_strings` VALUES ('string/en/reverse_engineering_tool.stf', '59', 'energymaintenance', '\\#FFFFFF Optimal Energy Maintenance:');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '1', 'narmle', 'Narmle');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '2', 'restuss', 'Restuss');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '3', 'southern_forest_1', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '4', 'southern_forest_2', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '5', 'southern_forest_3', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '6', 'southern_forest_4', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '7', 'southern_forest_5', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '8', 'southern_forest_6', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '9', 'southern_forest_7', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '10', 'southern_mountains_1', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '11', 'southern_mountains_2', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '12', 'southern_mountains_3', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '13', 'southern_mountains_4', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '14', 'eastern_mountains_1', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '15', 'eastern_mountains_2', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '16', 'eastern_mountains_3', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '17', 'western_mountains_1', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '18', 'western_mountains_2', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '19', 'western_mountains_3', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '20', 'western_mountains_4', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '21', 'southern_mud_flats_1', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '22', 'southern_mud_flats_2', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '23', 'southern_mud_flats_3', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '24', 'southern_mud_flats_4', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '25', 'southern_mud_flats_5', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '26', 'southern_mud_flats_6', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '27', 'mud_beach_1', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '28', 'mud_beach_2', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '29', 'mud_beach_3', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '30', 'mud_beach_4', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '31', 'mud_beach_6', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '32', 'mud_beach_5', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '33', 'mud_beach_7', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '34', 'mud_beach_8', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '35', 'mud_beach_9', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '36', 'western_islands_1', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '37', 'western_islands_2', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '38', 'central_islands_1', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '39', 'central_islands_2', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '40', 'eastern_islands_1', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '41', 'eastern_islands_2', 'rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '42', 'northern_islands_1', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '43', 'northern_islands_2', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '44', 'northern_islands_3', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '45', 'swamp_general_1', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '46', 'swamp_general_2', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '47', 'plains_1', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '48', 'plains_2', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '49', 'plains_3', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '50', 'plains_4', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '51', 'plains_5', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '52', 'plains_6', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '53', 'monster_island', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '54', 'world_spawner', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '55', 'narmle_easy_newbie', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '56', 'narmle_medium_newbie', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '57', 'restuss_easy_newbie', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '58', 'restuss_medium_newbie', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '59', 'western_mountains', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '60', 'northwest_mountains', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '61', 'northeast_mountains', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '62', 'eastern_mountains', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '63', 'southern_jungle_mountains', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '64', 'northern_peak', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '65', 'western_peak', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '66', 'northwest_peak', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '67', 'eastern_peak', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '68', 'southwest_jungle_peak', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '69', 'southeast_jungle_peak', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '70', 'jungle_1', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '71', 'jungle_2', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '72', 'jungle_3', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '73', 'swamp_1', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '74', 'swamp_2', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '75', 'swamp_3', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '76', 'swamp_4', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '77', 'swamp_5', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '78', 'hard_capper_spineflap_ne', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '79', 'medium_tusk_cat_ne', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '80', 'hard_mauler_ne', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '81', 'easy_fuzzy_jax_se', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '82', 'easy_ikopi_se', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '83', 'hard_rogungan_se', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '84', 'hard_capper_spineflap_sw', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '85', 'easy_ikopi_sw', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '86', 'hard_mauler_sw', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '87', 'hard_capper_spineflap_nw', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '88', 'hard_rogungan_nw', 'Rori');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '89', 'lake_octir_swamp', 'Lake Octir Swamp');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '90', 'mudflats_1', 'Mudflats North');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '91', 'mudflats_2', 'Mudflats North');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '92', 'mudflats_3', 'Mudflats North');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '93', 'mudflats_4', 'Mudflats');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '94', 'mudflats_5', 'Mudflats East');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '95', 'mudflats_6', 'Mudflats East');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '96', 'mudflats_7', 'Mudflats West');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '97', 'mudflats_8', 'Mudflats West');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '98', 'sdungeon_rebel_outpost', 'Rebel Military Outpost');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '99', 'asworal_everglades_1', 'Asworal Everglades');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '100', 'asworal_everglades_2', 'Asworal Everglades');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '101', 'asworal_everglades_3', 'Asworal Everglades');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '102', 'asworal_everglades_4', 'Asworal Everglades');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '103', 'asworal_everglades_5', 'Asworal Everglades');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '104', 'asworal_everglades_6', '');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '105', 'vaydean_marsh', 'Vaydean Marsh');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '106', 'narlis_fens_1', 'Narlis Fens');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '107', 'narlis_fens_2', 'Narlis Fens');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '108', 'madyn_plains_2', 'Madyn Plains');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '109', 'madyn_plains_3', 'Madyn Plains');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '110', 'madyn_plains_1', 'Madyn Plains');
INSERT INTO `client_strings` VALUES ('string/en/rori_region_names.stf', '111', 'a_rebel_outpost', 'a rebel outpost');
INSERT INTO `client_strings` VALUES ('string/en/self_destruct.stf', '1', 'self_destruct', 'Set Self Destruct');
INSERT INTO `client_strings` VALUES ('string/en/self_destruct.stf', '2', 'thirty', '30 seconds');
INSERT INTO `client_strings` VALUES ('string/en/self_destruct.stf', '3', 'fifteen', '15 seconds');
INSERT INTO `client_strings` VALUES ('string/en/self_destruct.stf', '4', 'fifteen_seconds', 'You have 15 seconds to exit this building...');
INSERT INTO `client_strings` VALUES ('string/en/self_destruct.stf', '5', 'thirty_seconds', 'You have 30 seconds to exit this building...');
INSERT INTO `client_strings` VALUES ('string/en/shared.stf', '1', 'rsp_object_deleted_prose', 'You have destroyed %TT (%TO).');
INSERT INTO `client_strings` VALUES ('string/en/shared.stf', '2', 'item_not_equippable', 'You cannot equip this item.');
INSERT INTO `client_strings` VALUES ('string/en/shared.stf', '3', 'revoke_dependant_skill', 'You cannot revoke that skill because you have another skill which is dependant on it');
INSERT INTO `client_strings` VALUES ('string/en/shared.stf', '4', 'skill_title_removed', 'Your skill title has been removed due to the loss of the required skill.');
INSERT INTO `client_strings` VALUES ('string/en/shared.stf', '5', 'player_sit_on_chair_prose', 'You sit on %TT.');
INSERT INTO `client_strings` VALUES ('string/en/shared.stf', '6', 'player_sit', 'You sit down.');
INSERT INTO `client_strings` VALUES ('string/en/shared.stf', '7', 'player_stand', 'You stand up.');
INSERT INTO `client_strings` VALUES ('string/en/shared.stf', '8', 'player_prone', 'You go prone.');
INSERT INTO `client_strings` VALUES ('string/en/shared.stf', '9', 'player_kneel', 'You kneel.');
INSERT INTO `client_strings` VALUES ('string/en/shared.stf', '10', 'no_waypoint_datapad_full', 'Cannot create a new waypoint, your datapad is full.');
INSERT INTO `client_strings` VALUES ('string/en/shared.stf', '11', 'harvester_no_maint_2', 'Cooling system failure detected.  Shutting down.  (Choose \"pay maintenance\" to repair.)');
INSERT INTO `client_strings` VALUES ('string/en/shared.stf', '12', 'harvester_no_power', 'No power available.  Shutting down.  (Choose \"deposit power\" to add power.)');
INSERT INTO `client_strings` VALUES ('string/en/shared.stf', '13', 'harvester_no_maint_3', 'Hopper mechanism jam detected.  Shutting down.  (Choose \"pay maintenance\" to repair.)');
INSERT INTO `client_strings` VALUES ('string/en/shared.stf', '14', 'harvester_no_maint_4', 'Major system failure detected.  Shutting down.  (Choose \"pay maintenance\" to repair.)');
INSERT INTO `client_strings` VALUES ('string/en/shared.stf', '15', 'harvester_no_maint_1', 'Electrical short detected.  Shutting down.  (Choose \"pay maintenance\" to repair.)');
INSERT INTO `client_strings` VALUES ('string/en/shared.stf', '16', 'harvester_hopper_full', 'Output hopper full.  Shutting down.');
INSERT INTO `client_strings` VALUES ('string/en/shared.stf', '17', 'harvester_resource_depleted', 'Resource has been depleted.  Shutting down.');
INSERT INTO `client_strings` VALUES ('string/en/shared.stf', '18', 'harvester_no_resource', 'No resource selected.  Shutting down.');
INSERT INTO `client_strings` VALUES ('string/en/shared.stf', '19', 'gem_inserted', 'Item used');
INSERT INTO `client_strings` VALUES ('string/en/shared.stf', '20', 'gem_not_inserted', 'The item would not improve the object you\'re trying to use it on.');
INSERT INTO `client_strings` VALUES ('string/en/shared.stf', '21', 'vehicle_disabled_name_prose', '(disabled) %TU');
INSERT INTO `client_strings` VALUES ('string/en/shared.stf', '22', 'vehicle_destroyed_name_prose', '(destroyed) %TU');
INSERT INTO `client_strings` VALUES ('string/en/shared.stf', '23', 'imagedesigner_failed_to_send_money', 'Unable to transfer money, changes aborted.');
INSERT INTO `client_strings` VALUES ('string/en/shared.stf', '24', 'imagedesigner_recipient_success', 'The image design changes have been successfully made to you.');
INSERT INTO `client_strings` VALUES ('string/en/shared.stf', '25', 'imagedesigner_designer_success', 'You successfully make the image design changes.');
INSERT INTO `client_strings` VALUES ('string/en/shared.stf', '26', 'imagedesigner_session_not_valid', 'The image design session data is not valid, aborting the change.');
INSERT INTO `client_strings` VALUES ('string/en/shared.stf', '27', 'imagedesigner_not_enough_time_passed', 'Not enough time has passed to make the requested changes, changes aborted.');
INSERT INTO `client_strings` VALUES ('string/en/shared.stf', '28', 'imagedesigner_not_paying_enough', 'The recipient could not pay the required amount.');
INSERT INTO `client_strings` VALUES ('string/en/shared.stf', '29', 'imagedesigner_hair_not_valid', 'This hair is not allowed on the character.');
INSERT INTO `client_strings` VALUES ('string/en/shared.stf', '30', 'imagedesigner_bald_not_valid', 'This player cannot be bald.');
INSERT INTO `client_strings` VALUES ('string/en/shared.stf', '31', 'imagedesigner_recip_paid', 'You pay %DI credits for the Image Design session.');
INSERT INTO `client_strings` VALUES ('string/en/shared.stf', '32', 'imagedesigner_designer_was_paid', 'You were paid %DI credits for the Image Design session.');
INSERT INTO `client_strings` VALUES ('string/en/shared.stf', '33', 'imagedesigner_canceled_by_recip', 'The recipient cancelled the image design session.');
INSERT INTO `client_strings` VALUES ('string/en/shared.stf', '34', 'waypoint_on_other_planet', 'The waypoint cannot be activated because the target is on a different planet.');
INSERT INTO `client_strings` VALUES ('string/en/shared.stf', '35', 'mission_on_other_planet', 'The mission cannot be activated because the target is on another planet.');
INSERT INTO `client_strings` VALUES ('string/en/shared.stf', '36', 'waypoint_in_other_space_zone', 'The waypoint cannot be activated because the target is in a different system.');
INSERT INTO `client_strings` VALUES ('string/en/shared.stf', '37', 'shipcomponentinstall_noinventory', 'Could not get player\'s inventory.');
INSERT INTO `client_strings` VALUES ('string/en/shared.stf', '38', 'shipcomponentinstall_noinventorycontainer', 'Could not get player\'s inventory container.');
INSERT INTO `client_strings` VALUES ('string/en/shared.stf', '39', 'shipcomponentinstall_inventoryfull', 'Cannot unload component, inventory is full.');
INSERT INTO `client_strings` VALUES ('string/en/shared.stf', '40', 'imagedesigner_wounded_can_not_migrate_stats', 'Wounded players can not have their stats migrated, changes aborted.');
INSERT INTO `client_strings` VALUES ('string/en/shared_hyperspace.stf', '1', 'not_cleared_for_point', 'You are not cleared for that point.');
INSERT INTO `client_strings` VALUES ('string/en/shared_hyperspace.stf', '2', 'zone_too_full', 'Hyperspace activity in that sector is too high for you to calculate safe coordinates to your chosen destination, you may have to plan an alternate route through hyperspace.');
INSERT INTO `client_strings` VALUES ('string/en/shared_hyperspace.stf', '3', 'already_at_point', 'You are already at that point.');
INSERT INTO `client_strings` VALUES ('string/en/shared_hyperspace.stf', '4', 'zone_too_full_use_travel', 'Hyperspace activity in that sector is too high for you to calculate safe coordinates to your chosen destination. You can use the Travel button to go to a less populated planetary system.');
INSERT INTO `client_strings` VALUES ('string/en/ship_component_n.stf', '1', 'engine', 'Engine');
INSERT INTO `client_strings` VALUES ('string/en/ship_component_n.stf', '2', 'reactor', 'Reactor');
INSERT INTO `client_strings` VALUES ('string/en/ship_component_n.stf', '3', 'shield', 'Shield');
INSERT INTO `client_strings` VALUES ('string/en/ship_component_n.stf', '5', 'armor', 'Armor');
INSERT INTO `client_strings` VALUES ('string/en/ship_component_n.stf', '6', 'weapon', 'Weapon');
INSERT INTO `client_strings` VALUES ('string/en/ship_component_n.stf', '8', 'capacitor', 'Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/ship_component_n.stf', '9', 'booster', 'Booster');
INSERT INTO `client_strings` VALUES ('string/en/ship_component_n.stf', '10', 'droid_interface', 'Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_compatabilities_d.stf', '115', 'rct_0', 'The main starship reactor provides power for all internal components.');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_compatabilities_d.stf', '116', 'eng_0', 'The engine system provides the starship with thrust to maneuver in space.');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_compatabilities_d.stf', '117', 'shd_0', 'Shield generators create a protective energy field around your starship which dissipates when hit by enemy weapons.');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_compatabilities_d.stf', '118', 'arm_0', 'Armor absorbs weapon fire and protects fragile ship components.');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_compatabilities_d.stf', '119', 'cap_0', 'The capacitor draws power from the main reactor and stores it for the operation of starship weaponry.');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_compatabilities_d.stf', '120', 'bst_0', 'Boosters are rechargeable ion engine over-drivers that enhance speed when they are engaged.');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_compatabilities_d.stf', '121', 'ddi_0', 'This interface provides a hardware link between your droid and your internal starship systems.');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_compatabilities_d.stf', '122', 'wpn_0', 'Starship weapons encompass energy-based blasters, ion cannons, and projectile weapons such as slug-throwers.');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_compatabilities_d.stf', '123', 'wpn_1', 'Ordnance launchers can fire missile weapon types at locked targets.');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_compatabilities_d.stf', '124', 'cms_0', 'Countermeasure launchers fire special anti-tracking ordnance to confuse incoming guided missiles.');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_compatabilities_d.stf', '125', 'bdg_0', 'Bridge');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_compatabilities_d.stf', '126', 'hgr_0', 'Hangar');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_compatabilities_d.stf', '127', 'tst_0', 'Targeting Station');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_compatabilities_d.stf', '128', 'rct_basic', 'The main starship reactor provides power for all internal components.');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_compatabilities_d.stf', '129', 'eng_basic', 'The engine system provides the starship with thrust to maneuver in space.');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_compatabilities_d.stf', '130', 'shd_basic', 'Shield generators create a protective energy field around your starship which dissipates when hit by enemy weapons.');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_compatabilities_d.stf', '131', 'arm_basic', 'Armor absorbs weapon fire and protects fragile ship components.');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_compatabilities_d.stf', '132', 'cap_basic', 'The capacitor draws power from the main reactor and stores it for the operation of starship weaponry.');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_compatabilities_d.stf', '133', 'bst_basic', 'Boosters are rechargeable ion engine over-drivers that enhance speed when they are engaged.');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_compatabilities_d.stf', '134', 'ddi_basic', 'This interface provides a hardware link between your droid and your internal starship systems.');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_compatabilities_d.stf', '135', 'wpn_basic', 'Starship weapons encompass energy-based blasters, ion cannons, and projectile weapons such as slug-throwers.');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_compatabilities_n.stf', '115', 'rct_0', 'Main Reactor');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_compatabilities_n.stf', '116', 'eng_0', 'Engine');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_compatabilities_n.stf', '117', 'shd_0', 'Shield');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_compatabilities_n.stf', '118', 'arm_0', 'Armor');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_compatabilities_n.stf', '119', 'cap_0', 'Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_compatabilities_n.stf', '120', 'bst_0', 'Booster');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_compatabilities_n.stf', '121', 'ddi_0', 'Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_compatabilities_n.stf', '122', 'wpn_0', 'Weapon');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_compatabilities_n.stf', '123', 'wpn_1', 'Ordnance');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_compatabilities_n.stf', '124', 'cms_0', 'Countermeasure Launcher');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_compatabilities_n.stf', '125', 'bdg_0', 'Bridge');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_compatabilities_n.stf', '126', 'hgr_0', 'Hangar');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_compatabilities_n.stf', '127', 'tst_0', 'Targeting Station');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_compatabilities_n.stf', '128', 'rct_basic', 'Main Reactor');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_compatabilities_n.stf', '129', 'eng_basic', 'Engine');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_compatabilities_n.stf', '130', 'shd_basic', 'Shield');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_compatabilities_n.stf', '131', 'arm_basic', 'Armor');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_compatabilities_n.stf', '132', 'cap_basic', 'Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_compatabilities_n.stf', '133', 'bst_basic', 'Booster');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_compatabilities_n.stf', '134', 'ddi_basic', 'Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_compatabilities_n.stf', '135', 'wpn_basic', 'Weapon');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '1', 'engine', 'Engine');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '2', 'reactor', 'Reactor');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '3', 'shield', 'Shield');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '4', 'armor_0', 'Armor absorbs weapon fire and protects fragile ship components.');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '5', 'armor_1', 'Armor absorbs weapon fire and protects fragile ship components.');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '6', 'weapon_0', 'Weapon 0');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '7', 'weapon_1', 'Weapon 1');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '8', 'capacitor', 'Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '9', 'booster', 'Booster');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '10', 'droid_interface', 'Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '11', 'none', 'None');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '12', 'shield_0', 'Shield');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '13', 'shield_1', 'Secondary Shield');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '14', 'bridge', 'Bridge');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '15', 'hangar', 'Hangar');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '16', 'targeting_station', 'Targeting Station');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '17', 'weapon_2', 'Weapon 2');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '18', 'weapon_3', 'Weapon 3');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '19', 'weapon_4', 'Weapon 4');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '20', 'weapon_5', 'Weapon 5');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '21', 'weapon_6', 'Weapon 6');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '22', 'weapon_7', 'Weapon 7');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '23', 'weapon_8', 'Weapon 8');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '24', 'weapon_9', 'Weapon 9');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '25', 'weapon_10', 'Weapon 10');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '26', 'weapon_11', 'Weapon 11');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '27', 'weapon_12', 'Weapon 12');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '28', 'weapon_13', 'Weapon 13');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '29', 'weapon_14', 'Weapon 14');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '30', 'weapon_15', 'Weapon 15');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '31', 'weapon_16', 'Weapon 16');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '32', 'weapon_17', 'Weapon 17');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '33', 'weapon_18', 'Weapon 18');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '34', 'weapon_19', 'Weapon 19');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '35', 'weapon_20', 'Weapon 20');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '36', 'weapon_21', 'Weapon 21');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '37', 'weapon_22', 'Weapon 22');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '38', 'weapon_23', 'Weapon 23');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '39', 'weapon_24', 'Weapon 24');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '40', 'weapon_25', 'Weapon 25');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '41', 'weapon_26', 'Weapon 26');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '42', 'weapon_27', 'Weapon 27');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '43', 'weapon_28', 'Weapon 28');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '44', 'weapon_29', 'Weapon 29');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '45', 'weapon_30', 'Weapon 30');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '46', 'weapon_31', 'Weapon 31');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '47', 'weapon_32', 'Weapon 32');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '48', 'weapon_33', 'Weapon 33');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '49', 'weapon_34', 'Weapon 34');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '50', 'weapon_35', 'Weapon 35');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '51', 'weapon_36', 'Weapon 36');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '52', 'weapon_37', 'Weapon 37');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '53', 'weapon_38', 'Weapon 38');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '54', 'weapon_39', 'Weapon 39');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '55', 'weapon_40', 'Weapon 40');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '56', 'weapon_41', 'Weapon 41');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '57', 'weapon_42', 'Weapon 42');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '58', 'weapon_43', 'Weapon 43');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '59', 'weapon_44', 'Weapon 44');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '60', 'weapon_45', 'Weapon 45');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '61', 'weapon_46', 'Weapon 46');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '62', 'weapon_47', 'Weapon 47');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '63', 'weapon_48', 'Weapon 48');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '64', 'weapon_49', 'Weapon 49');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '65', 'weapon_50', 'Weapon 50');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '66', 'weapon_51', 'Weapon 51');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '67', 'weapon_52', 'Weapon 52');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '68', 'weapon_53', 'Weapon 53');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '69', 'weapon_54', 'Weapon 54');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '70', 'weapon_55', 'Weapon 55');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '71', 'weapon_56', 'Weapon 56');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '72', 'weapon_57', 'Weapon 57');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '73', 'weapon_58', 'Weapon 58');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '74', 'weapon_59', 'Weapon 59');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '75', 'weapon_60', 'Weapon 60');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '76', 'weapon_61', 'Weapon 61');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '77', 'weapon_62', 'Weapon 62');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '78', 'weapon_63', 'Weapon 63');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '79', 'weapon_64', 'Weapon 64');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '80', 'weapon_65', 'Weapon 65');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '81', 'weapon_66', 'Weapon 66');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '82', 'weapon_67', 'Weapon 67');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '83', 'weapon_68', 'Weapon 68');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '84', 'weapon_69', 'Weapon 69');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '85', 'weapon_70', 'Weapon 70');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '86', 'weapon_71', 'Weapon 71');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '87', 'weapon_72', 'Weapon 72');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '88', 'weapon_73', 'Weapon 73');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '89', 'weapon_74', 'Weapon 74');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '90', 'weapon_75', 'Weapon 75');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '91', 'weapon_76', 'Weapon 76');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '92', 'weapon_77', 'Weapon 77');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '93', 'weapon_78', 'Weapon 78');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '94', 'weapon_79', 'Weapon 79');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '95', 'weapon_80', 'Weapon 80');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '96', 'weapon_81', 'Weapon 81');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '97', 'weapon_82', 'Weapon 82');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '98', 'weapon_83', 'Weapon 83');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '99', 'weapon_84', 'Weapon 84');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '100', 'weapon_85', 'Weapon 85');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '101', 'weapon_86', 'Weapon 86');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '102', 'weapon_87', 'Weapon 87');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '103', 'weapon_88', 'Weapon 88');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '104', 'weapon_89', 'Weapon 89');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '105', 'weapon_90', 'Weapon 90');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '106', 'weapon_91', 'Weapon 91');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '107', 'weapon_92', 'Weapon 92');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '108', 'weapon_93', 'Weapon 93');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '109', 'weapon_94', 'Weapon 94');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '110', 'weapon_95', 'Weapon 95');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '111', 'weapon_96', 'Weapon 96');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '112', 'weapon_97', 'Weapon 97');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '113', 'weapon_98', 'Weapon 98');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '114', 'weapon_99', 'Weapon 99');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '115', 'weapon', 'Weapon');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_d.stf', '116', 'armor', 'Armor absorbs weapon fire and protects fragile ship components.');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '1', 'engine', 'Engine');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '2', 'reactor', 'Reactor');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '3', 'shield', 'Shield');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '4', 'armor_0', 'Front Armor');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '5', 'armor_1', 'Rear Armor');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '6', 'weapon_0', 'Weapon 0');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '7', 'weapon_1', 'Weapon 1');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '8', 'capacitor', 'Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '9', 'booster', 'Booster');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '10', 'droid_interface', 'Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '11', 'none', 'None');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '12', 'shield_0', 'Shield');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '13', 'shield_1', 'Secondary Shield');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '14', 'bridge', 'Bridge');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '15', 'hangar', 'Hangar');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '16', 'targeting_station', 'Targeting Station');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '17', 'weapon_2', 'Weapon 2');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '18', 'weapon_3', 'Weapon 3');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '19', 'weapon_4', 'Weapon 4');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '20', 'weapon_5', 'Weapon 5');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '21', 'weapon_6', 'Weapon 6');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '22', 'weapon_7', 'Weapon 7');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '23', 'weapon_8', 'Weapon 8');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '24', 'weapon_9', 'Weapon 9');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '25', 'weapon_10', 'Weapon 10');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '26', 'weapon_11', 'Weapon 11');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '27', 'weapon_12', 'Weapon 12');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '28', 'weapon_13', 'Weapon 13');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '29', 'weapon_14', 'Weapon 14');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '30', 'weapon_15', 'Weapon 15');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '31', 'weapon_16', 'Weapon 16');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '32', 'weapon_17', 'Weapon 17');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '33', 'weapon_18', 'Weapon 18');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '34', 'weapon_19', 'Weapon 19');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '35', 'weapon_20', 'Weapon 20');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '36', 'weapon_21', 'Weapon 21');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '37', 'weapon_22', 'Weapon 22');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '38', 'weapon_23', 'Weapon 23');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '39', 'weapon_24', 'Weapon 24');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '40', 'weapon_25', 'Weapon 25');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '41', 'weapon_26', 'Weapon 26');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '42', 'weapon_27', 'Weapon 27');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '43', 'weapon_28', 'Weapon 28');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '44', 'weapon_29', 'Weapon 29');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '45', 'weapon_30', 'Weapon 30');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '46', 'weapon_31', 'Weapon 31');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '47', 'weapon_32', 'Weapon 32');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '48', 'weapon_33', 'Weapon 33');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '49', 'weapon_34', 'Weapon 34');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '50', 'weapon_35', 'Weapon 35');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '51', 'weapon_36', 'Weapon 36');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '52', 'weapon_37', 'Weapon 37');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '53', 'weapon_38', 'Weapon 38');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '54', 'weapon_39', 'Weapon 39');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '55', 'weapon_40', 'Weapon 40');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '56', 'weapon_41', 'Weapon 41');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '57', 'weapon_42', 'Weapon 42');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '58', 'weapon_43', 'Weapon 43');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '59', 'weapon_44', 'Weapon 44');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '60', 'weapon_45', 'Weapon 45');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '61', 'weapon_46', 'Weapon 46');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '62', 'weapon_47', 'Weapon 47');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '63', 'weapon_48', 'Weapon 48');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '64', 'weapon_49', 'Weapon 49');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '65', 'weapon_50', 'Weapon 50');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '66', 'weapon_51', 'Weapon 51');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '67', 'weapon_52', 'Weapon 52');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '68', 'weapon_53', 'Weapon 53');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '69', 'weapon_54', 'Weapon 54');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '70', 'weapon_55', 'Weapon 55');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '71', 'weapon_56', 'Weapon 56');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '72', 'weapon_57', 'Weapon 57');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '73', 'weapon_58', 'Weapon 58');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '74', 'weapon_59', 'Weapon 59');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '75', 'weapon_60', 'Weapon 60');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '76', 'weapon_61', 'Weapon 61');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '77', 'weapon_62', 'Weapon 62');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '78', 'weapon_63', 'Weapon 63');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '79', 'weapon_64', 'Weapon 64');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '80', 'weapon_65', 'Weapon 65');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '81', 'weapon_66', 'Weapon 66');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '82', 'weapon_67', 'Weapon 67');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '83', 'weapon_68', 'Weapon 68');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '84', 'weapon_69', 'Weapon 69');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '85', 'weapon_70', 'Weapon 70');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '86', 'weapon_71', 'Weapon 71');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '87', 'weapon_72', 'Weapon 72');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '88', 'weapon_73', 'Weapon 73');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '89', 'weapon_74', 'Weapon 74');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '90', 'weapon_75', 'Weapon 75');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '91', 'weapon_76', 'Weapon 76');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '92', 'weapon_77', 'Weapon 77');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '93', 'weapon_78', 'Weapon 78');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '94', 'weapon_79', 'Weapon 79');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '95', 'weapon_80', 'Weapon 80');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '96', 'weapon_81', 'Weapon 81');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '97', 'weapon_82', 'Weapon 82');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '98', 'weapon_83', 'Weapon 83');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '99', 'weapon_84', 'Weapon 84');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '100', 'weapon_85', 'Weapon 85');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '101', 'weapon_86', 'Weapon 86');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '102', 'weapon_87', 'Weapon 87');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '103', 'weapon_88', 'Weapon 88');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '104', 'weapon_89', 'Weapon 89');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '105', 'weapon_90', 'Weapon 90');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '106', 'weapon_91', 'Weapon 91');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '107', 'weapon_92', 'Weapon 92');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '108', 'weapon_93', 'Weapon 93');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '109', 'weapon_94', 'Weapon 94');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '110', 'weapon_95', 'Weapon 95');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '111', 'weapon_96', 'Weapon 96');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '112', 'weapon_97', 'Weapon 97');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '113', 'weapon_98', 'Weapon 98');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '114', 'weapon_99', 'Weapon 99');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '115', 'weapon', 'Weapon');
INSERT INTO `client_strings` VALUES ('string/en/ship_slot_n.stf', '116', 'armor', 'Armor');
INSERT INTO `client_strings` VALUES ('string/en/sign_name.stf', '1', 'sign', 'Sign');
INSERT INTO `client_strings` VALUES ('string/en/skill/slicing.stf', '1', 'pass', 'The lock is open.');
INSERT INTO `client_strings` VALUES ('string/en/skill/slicing.stf', '2', 'fail', 'You fail to slice the lock.');
INSERT INTO `client_strings` VALUES ('string/en/skill/slicing.stf', '3', 'no_skill', 'You cannot slice a lock with no skill!');
INSERT INTO `client_strings` VALUES ('string/en/skill_buff_d.stf', '1', 'base', 'These items enhance your skills.');
INSERT INTO `client_strings` VALUES ('string/en/skill_buff_d.stf', '2', 'melee_accuracy', 'This vapor improves your focus and enhances your melee combat accuracy for a short while.');
INSERT INTO `client_strings` VALUES ('string/en/skill_buff_d.stf', '3', 'ranged_defense', 'The synthesized Muscle Stimulant (or SMS) enhances your ranged defenses for a short period of time.');
INSERT INTO `client_strings` VALUES ('string/en/skill_buff_d.stf', '4', 'consume', 'You feel enhanced!');
INSERT INTO `client_strings` VALUES ('string/en/skill_buff_d.stf', '5', 'unarmed_speed', 'By increasing muscle flexibility you can increase the speed with which you make unarmed attacks.');
INSERT INTO `client_strings` VALUES ('string/en/skill_buff_d.stf', '6', 'unarmed_accuracy', 'By increasing your focus this chemical makes your unarmed attacks more accurate.');
INSERT INTO `client_strings` VALUES ('string/en/skill_buff_d.stf', '7', 'twohandmelee_speed', 'By increasing the tension in your muscles you can attack with heavy two-handed weapons faster than normal.');
INSERT INTO `client_strings` VALUES ('string/en/skill_buff_d.stf', '8', 'twohandmelee_accuracy', 'By enlarging the ligaments of your muscles for a brief time you can hit more accurately with heavy two-handed weapons.');
INSERT INTO `client_strings` VALUES ('string/en/skill_buff_d.stf', '9', 'rifle_speed', 'By increasing the metacarpal muscles reaction time you can increase the speed with which you can fire a rifle.');
INSERT INTO `client_strings` VALUES ('string/en/skill_buff_d.stf', '10', 'rifle_accuracy', 'Your accuracy with the rifle is improved by this chemical by allowing your vision to focus at a longer range than normal.');
INSERT INTO `client_strings` VALUES ('string/en/skill_buff_d.stf', '11', 'ranged_accuracy', 'The accuracy of your attacks with all ranged weapons is improved with this formula that enhances your long range vision for a short time.');
INSERT INTO `client_strings` VALUES ('string/en/skill_buff_d.stf', '12', 'polearm_speed', 'By expanding different parts of the muscles in specific ways the speed with which you can wield a long weapon (pole-arm) is increased.');
INSERT INTO `client_strings` VALUES ('string/en/skill_buff_d.stf', '13', 'polearm_accuracy', 'Your accuracy with a polearm is increased with the use of this shot, giving your biceps a temporary boost.');
INSERT INTO `client_strings` VALUES ('string/en/skill_buff_d.stf', '14', 'pistol_speed', 'By increasing the muscle tension in your fingers you can increase the speed with which you fire a pistol.');
INSERT INTO `client_strings` VALUES ('string/en/skill_buff_d.stf', '15', 'pistol_accuracy', 'By increasing your focused vision you can become more accurate with pistols using this formula.');
INSERT INTO `client_strings` VALUES ('string/en/skill_buff_d.stf', '16', 'onehandmelee_speed', 'By increasing the flexibility of your tendons you become faster with one handed weapons.');
INSERT INTO `client_strings` VALUES ('string/en/skill_buff_d.stf', '17', 'onehandmelee_accuracy', 'With the triceps stretched to above normal standards your accuracy improves with one handed weapons.');
INSERT INTO `client_strings` VALUES ('string/en/skill_buff_d.stf', '18', 'melee_defense', 'By thickening the skin for a short period of time your defense against melee attacks is increased.');
INSERT INTO `client_strings` VALUES ('string/en/skill_buff_d.stf', '19', 'mask_scent', 'This liquid contains specially designed pheremones that hide the smells normally produced by a living organism, allowing them to hide from creatures that use scent to track predators and prey.');
INSERT INTO `client_strings` VALUES ('string/en/skill_buff_d.stf', '20', 'carbine_speed', 'By increasing the muscle mass of the wrist and forearm you can fire a carbine weapon with greater speed.');
INSERT INTO `client_strings` VALUES ('string/en/skill_buff_d.stf', '21', 'carbine_accuracy', 'By aligning the muscle mass of the wrist and forearm you can fire a carbine weapon with greater accuracy.');
INSERT INTO `client_strings` VALUES ('string/en/skill_buff_d.stf', '22', 'thrown_accuracy', 'By increasing the vision of your eyes and making it easier to track targets, this solution increases your accuracy with thrown weapons.');
INSERT INTO `client_strings` VALUES ('string/en/skill_buff_d.stf', '23', 'thrown_speed', 'The Brachii muscles contract faster after an injection of this compound, allowing you to throw weapons faster.');
INSERT INTO `client_strings` VALUES ('string/en/skill_buff_d.stf', '24', 'heavy_weapon_speed', 'Once the deltoids expand the speed with which you can fire heavy weapons increases.');
INSERT INTO `client_strings` VALUES ('string/en/skill_buff_d.stf', '25', 'heavy_weapon_accuracy', 'By increasing the focus of your observation power, this supplement increases your accuracy with heavy weapons.');
INSERT INTO `client_strings` VALUES ('string/en/skill_buff_n.stf', '1', 'base', 'Basic Skill Enhancer');
INSERT INTO `client_strings` VALUES ('string/en/skill_buff_n.stf', '2', 'already_have', 'You already have that skill modifier active.');
INSERT INTO `client_strings` VALUES ('string/en/skill_buff_n.stf', '3', 'melee_accuracy', 'Accuracy Vapor');
INSERT INTO `client_strings` VALUES ('string/en/skill_buff_n.stf', '4', 'ranged_defense', 'Synthesized Muscle Stimulant');
INSERT INTO `client_strings` VALUES ('string/en/skill_buff_n.stf', '5', 'unarmed_speed', 'Muscle Flexibility Enhancer');
INSERT INTO `client_strings` VALUES ('string/en/skill_buff_n.stf', '6', 'unarmed_accuracy', 'Perception Focus Augmentation');
INSERT INTO `client_strings` VALUES ('string/en/skill_buff_n.stf', '7', 'twohandmelee_speed', 'Tensile Muscle Supplement');
INSERT INTO `client_strings` VALUES ('string/en/skill_buff_n.stf', '8', 'twohandmelee_accuracy', 'Ligament Extension Formula');
INSERT INTO `client_strings` VALUES ('string/en/skill_buff_n.stf', '9', 'rifle_speed', 'Metacarpal Facilitation Booster');
INSERT INTO `client_strings` VALUES ('string/en/skill_buff_n.stf', '10', 'rifle_accuracy', 'Pinpoint Vision Amplification');
INSERT INTO `client_strings` VALUES ('string/en/skill_buff_n.stf', '11', 'ranged_accuracy', 'Magnified Sight Increaser');
INSERT INTO `client_strings` VALUES ('string/en/skill_buff_n.stf', '12', 'polearm_speed', 'Sinew Expander');
INSERT INTO `client_strings` VALUES ('string/en/skill_buff_n.stf', '13', 'polearm_accuracy', 'Bicep Advancement Shot');
INSERT INTO `client_strings` VALUES ('string/en/skill_buff_n.stf', '14', 'pistol_speed', 'Phalange Intensification Injection');
INSERT INTO `client_strings` VALUES ('string/en/skill_buff_n.stf', '15', 'pistol_accuracy', 'Enhanced View Cone');
INSERT INTO `client_strings` VALUES ('string/en/skill_buff_n.stf', '16', 'onehandmelee_speed', 'Flexible Tendon Bolsterer');
INSERT INTO `client_strings` VALUES ('string/en/skill_buff_n.stf', '17', 'onehandmelee_accuracy', 'Tricep Stretching Chemical');
INSERT INTO `client_strings` VALUES ('string/en/skill_buff_n.stf', '18', 'melee_defense', 'Dermal Thickener');
INSERT INTO `client_strings` VALUES ('string/en/skill_buff_n.stf', '19', 'mask_scent', 'Aroma Screen');
INSERT INTO `client_strings` VALUES ('string/en/skill_buff_n.stf', '20', 'carbine_speed', 'Carpi Ulnaris Flexor');
INSERT INTO `client_strings` VALUES ('string/en/skill_buff_n.stf', '21', 'carbine_accuracy', 'Carpi Radialis Aligner');
INSERT INTO `client_strings` VALUES ('string/en/skill_buff_n.stf', '22', 'thrown_accuracy', 'Keen-Eye Solution');
INSERT INTO `client_strings` VALUES ('string/en/skill_buff_n.stf', '23', 'thrown_speed', 'Brachii Intensifier Compound');
INSERT INTO `client_strings` VALUES ('string/en/skill_buff_n.stf', '24', 'heavy_weapon_accuracy', 'Observation Supplement');
INSERT INTO `client_strings` VALUES ('string/en/skill_buff_n.stf', '25', 'heavy_weapon_speed', 'Deltoid Expansion Synthetic');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '1', 'opt1_1', 'I\'m interested in learning a skill.');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '2', 'opt1_2', 'What skills will I be able to learn next?');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '3', 'opt1_3', 'Skills you have that I do not...');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '4', 'opt1_4', 'All of your skills...');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '5', 'error_empty_category', 'Sorry, you aren\'t quite up to the point where I can teach you anything else.');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '6', 'msg1_1', 'Heya. What kind of skills would you like to know about?');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '7', 'msg2_1', 'You may learn the following skills right now...');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '8', 'msg2_2', 'Here are the skills I can teach you next, if you have gained enough experience...');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '9', 'msg2_3', 'Skills that I possess that you do not?! Well, what skill are you interested in?');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '10', 'msg2_4', 'All of my skills? Oh well, which one do you want to know about?');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '11', 'msg3_1', 'There is nothing more I can teach you!');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '12', 'msg3_3', 'Let me give you some information about this skill...');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '13', 'msg3_2', 'You\'re an exceptionally bright student!  Perhaps we shall work together again soon.');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '14', 'error_grant_skill', 'Hrmm... seems that I cant teach you that skill due to an internal error. TestTrac?');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '15', 'back', 'Can we start again?');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '16', 'topped_out', 'I\'m sorry, but I cannot teach you anymore. You have already learned everything I have to teach.');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '17', 'trainer_unarmed', 'Teras Kasi is a way of life.  It is a philosophy for living.  What more would you like to know?');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '18', 'trainer_marksman', 'I teach marksmanship.  You won\'t even need a targeting system after I\'m through with you.  Ready to start?');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '19', 'trainer_polearm', 'I teach polearm fighting.  Would you like to learn?');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '20', 'trainer_brawler', 'Hullo!  I teach brawlin\' in these parts.  What can I helps you wif?');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '21', 'trainer_pistol', 'Good morning, or evening, sir or madam, or blah blah blah.  I teach people how to shoot pistols!  I don\'t have to be nice.');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '22', 'trainer_carbine', 'Hello friend.  I teach basic use of the carbine.  I assume you\'re here to learn?');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '23', 'trainer_rifleman', 'Don\'t stand so close.  I took up the rifle to keep away from people.  If you\'re willing to study, I\'ll teach you the same.  Can you handle it?');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '24', 'trainer_2hsword', 'Sit down, shut up, and listen!  If you pay attention you\'ll be fighting with a two-handed sword even better than me!  Well, not really, but at least you won\'t look like a fool when you use it.');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '25', 'trainer_1hsword', 'One handed sword style is the epitome of grace and elegance in combat.  Master these techniques I teach you...and nothing will stop you.');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '26', 'trainer_entertainer', 'Show business is the only business I know!  Would you like to know about show business?');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '27', 'trainer_scout', 'If it\'s scouting you\'d like to know about, I\'m the one you\'re looking for.  What can I help you with?');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '28', 'trainer_medic', 'If you can stand the sight of blood I can teach you to put it back in the body.  Ready to learn?');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '29', 'trainer_artisan', 'Building, crafting, creating.  It\'s all in your hands.  How can I help move you along in this profession?');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '30', 'trainer_dancer', 'I teach elegance, beauty, grace, and how to get dates in clubs.  Well, actually, you\'re on your own with the last one, but I can teach you to dance.');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '31', 'trainer_musician', 'Three hours a day!  That\'s all it takes.  Take the time to learn the instruments.  Now, are you ready?');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '32', 'trainer_doctor', 'Seven years of your life and you\'ll be fully qualified.  I\'m here to help you get started.  What shall we discuss first?');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '33', 'trainer_creaturehandler', 'I\'m in a foul mood.  My breakfast was stolen by a gnort, an eopie stepped on my foot, and my kaadu done run off.  What do YOU want?');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '34', 'trainer_ranger', 'I can track a bird on a cloudy day.  If you want to even approach my skills you better pay attention.');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '35', 'trainer_bioengineer', 'Dustin crops ain\'t like flying through hyperspace, boy.  It\'s a lot more work.');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '36', 'trainer_miner', 'I spent most of my life mining.  Now, I teach other people how to do it.  Well, I try to anyway.');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '37', 'trainer_armorsmith', 'There\'s nothing more comforting than a solid piece of armor strapped to your back.  Wanna learn how to make some?');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '38', 'trainer_weaponsmith', 'There\'s nothing more comforting than a solid weapon strapped to your side.  Wanna learn how to make some?');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '39', 'trainer_chef', 'Mynock souffle.  Grilled bantha.  Broiled rancor toes.  All of these and more, I will teach you to cook.');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '40', 'trainer_tailor', 'The most fabulous clothes in all the world, and for you, I\'m willing to show you how it\'s done.  Prepare to look fabulous!');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '41', 'trainer_architect', 'I built the biggest houses with the best layouts on every planet from here to Dathomir.  And now my knowledge is yours.');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '42', 'trainer_droidengineer', 'There\'s nothing like a busted R2 unit to remind you what\'s important in life.  C\'mon, tell me what you need to know.');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '43', 'trainer_industrialist', 'Speed, efficiency, maintenence and management.  These are the buzzwords of a true industrialist.  ');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '44', 'trainer_bountyhunter', 'There\'s scum on every planet in every system of the galaxy.  And you can earn big money by showing the authorities where they hide.  Sound good to you?');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '45', 'trainer_commando', 'Heavy weapons, grenades, support.  Learn it, live it, love it.');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '46', 'trainer_smuggler', 'I\'m not really supposed to be showing anyone how to do this, but you\'ll keep it to yourself right?  You\'d never do anything illegal, I\'m sure.');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '47', 'trainer_combatmedic', 'Sometimes, when you\'re out in the field, your buddy loses his arm.  I\'ll show you how to stick it right back on...');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '48', 'trainer_imagedesigner', 'Don\'t let them laugh at you.  They always give the image designers funny looks, but when they want their hair done, who else are they going to call?');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '49', 'trainer_squadleader', 'Fall in soldier!  Are you ready to learn?  I can\'t hear you!');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '50', 'success', 'You have successfully learned the skill.');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '51', 'yes', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '52', 'no', 'No');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '53', 'confirm', 'Are you sure you wish to purchase this skill?');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '54', 'prose_nsf', 'You lack the %DI credits required for training in %TO.');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '55', 'prose_pay', 'Processing %DI credit payment for %TO training.');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '56', 'prose_skill_learned', 'You successfully train in the %TO skill.');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '57', 'trainer_merchant', 'Time is money, friend.  I\'ll gladly instruct you in the ways of the Merchant, but you\'ll have to pay your dues up front.');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '58', 'no_skill_pts', 'How can I teach you when you do not have any available skill points.');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '59', 'nsf_skill_pts', 'You must first make %DI skill points available before I can teach you %TO.');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '60', 'prose_train_failed', 'You were unable to complete %TO skill training.');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '61', 'surpass_trainer', 'WOW! You have learned everything I have to teach... I suppose that now it\'s time for you to find your own path. Farewell %TT.');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '62', 'no_qualify', 'You do not  qualify for any of my teachings. Come back and speak with me later if you acquire the following skills...');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '63', 'no_qualify_prompt', 'You must have, at least, the following skills to learn from this skill trainer.');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '64', 'no_qualify_title', 'Trainer Skill Requirements');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '65', 'trainer_unknown', 'Well then... Speak up... What might you be interested in learning about?');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '66', 'prose_cost', 'It will cost %DI credits to train in %TO. Would you like to continue?');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '67', 'msg_no', 'Too rich for ya? Well, maybe I can help you with something else?');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '68', 'msg_yes', 'Excellent! Let\'s get started then...');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '69', 'skill_terminal_prompt', 'Choose a new skill to learn:');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '70', 'skill_terminal_title', 'Skill Terminal');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '71', 'skill_terminal_disabled', 'Terminal Disabled.');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '72', 'skill_terminal_denied', 'Access Denied.');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '73', 'skill_terminal_max_skills', 'You have learned all the skills this terminal can teach.');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '74', 'skill_terminal_grant', 'You have learned %TO.');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '75', 'trainer_politician', 'Interested in running for public office?  You\'ll need my instruction to make your policies succeed!');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '76', 'trainer_fs', 'The secrets of the Force will reveal themselves to those who seek them.');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '77', 'trainer_shipwright', 'Greetings. Are you interested in becoming an accomplished Shipwright?');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '78', 'trainer_starfighter_engineer', 'I can teach you how to build superior starship components. Are you interested?');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '79', 'too_complicated', 'I can\'t teach you anything. Everything I know is entirely too complicated for you.');
INSERT INTO `client_strings` VALUES ('string/en/skill_teacher.stf', '80', 'requires_jtl', 'You must enable the Star Wars Galaxies: Jump to Lightspeed expansion in order to converse with this npc.');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '1', 'outdoors_scout_movement_01', 'Exploration');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '2', 'outdoors_scout_tracking_01', 'Tracking');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '3', 'outdoors_scout_harvest_01', 'Hunting');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '4', 'outdoors_scout_camp_01', 'Wilderness Survival');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '5', 'outdoors_miner_mineral_01', 'Mineral Excavation');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '6', 'outdoors_miner_liquid_01', 'Liquid Extraction');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '7', 'outdoors_miner_renewable_01', 'Renewable Energy Collection');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '8', 'outdors_miner_production_01', 'Harvester Production Efficiency');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '9', 'social_entertainer_hairstyle_01', 'Hairstyling');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '10', 'social_entertainer_music_01', 'Musicianship');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '11', 'social_entertainer_dance_01', 'Dancer');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '12', 'social_entertainer_healing_01', 'Mental Healing');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '15', 'social_dancer_knowledge_01', 'Knowledge');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '19', 'social_musician_knowledge_01', 'Knowledge');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '21', 'social_imagedesigner_hairstyle_01', 'Hairstyling');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '22', 'social_imagedesigner_exotic_01', 'Exotic');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '23', 'social_imagedesigner_bodyform_01', 'Body Customization');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '24', 'social_imagedesigner_markings_01', 'Custom Markings');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '25', 'outdoors_ranger_movement_01', 'Wayfaring');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '26', 'outdoors_ranger_tracking_01', 'Frontiering');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '27', 'outdoors_ranger_harvest_01', 'Field Bioscience');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '28', 'outdoors_ranger_support_01', 'Advanced Trapping');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '29', 'outdoors_bio_engineer_creature_01', 'Clone Engineering');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '30', 'outdoors_bio_engineer_tissue_01', 'Tissue Engineering');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '31', 'outdoors_bio_engineer_dna_harvesting_01', 'DNA Sampling');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '32', 'outdoors_bio_engineer_production_01', 'Engineering Techniques');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '33', 'outdoors_squadleader_movement_01', 'Mobile Command');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '34', 'outdoors_squadleader_offense_01', 'Offensive Strategy');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '35', 'outdoors_squadleader_defense_01', 'Morale Management');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '36', 'outdoors_squadleader_support_01', 'Leadership');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '37', 'science_medic_injury_01', 'Injury Treatment');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '38', 'science_medic_injury_speed_01', 'Wound Treatment');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '39', 'science_medic_ability_01', 'General Healing');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '40', 'science_medic_crafting_01', 'Medicine Crafting');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '41', 'science_doctor_wound_speed_01', 'Wound Treatment Speed');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '42', 'science_doctor_wound_01', 'Wound Treatment');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '43', 'science_doctor_ability_01', 'General Healing');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '44', 'science_doctor_support_01', 'Special Abilities');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '45', 'science_combatmedic_healing_range_01', 'Healing Range');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '46', 'science_combatmedic_healing_range_speed_01', 'Ranged Healing Speed');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '47', 'science_combatmedic_medicine_01', 'Medicine Crafting');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '48', 'science_combatmedic_support_01', 'Special Abilities');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '53', 'crafting_armorsmith_design_01', 'Armor Design');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '54', 'crafting_armorsmith_materials_01', 'Armor Materials');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '55', 'crafting_armorsmith_deflectors_01', 'Deflectors');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '56', 'crafting_armorsmith_customization_01', 'Armor Customization');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '57', 'crafting_weaponsmith_melee_01', 'Melee Weapon Crafting');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '58', 'crafting_weaponsmith_firearms_01', 'Firearms Crafting');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '59', 'crafting_weaponsmith_munitions_01', 'Munitions Crafting');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '60', 'crafting_weaponsmith_techniques_01', 'Weapon Techniques');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '61', 'crafting_chef_food_01', 'Foods');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '62', 'crafting_chef_preparation_01', 'Food Preparation');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '63', 'crafting_chef_techniques_01', 'Techniques');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '64', 'crafting_chef_presentation_01', 'Food Presentation');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '65', 'outdoors_miner_production_01', 'Harvester Production');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '66', 'crafting_tailor_production_01', 'Production');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '67', 'crafting_tailor_techniques_01', 'Techniques');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '68', 'crafting_tailor_refinement_01', 'Refinement');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '69', 'crafting_tailor_patterns_01', 'Patterns');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '70', 'crafting_architect_production_01', 'Building Production');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '71', 'crafting_architect_techniques_01', 'Techniques');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '72', 'crafting_architect_refinement_01', 'Building Refinement');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '73', 'crafting_architect_blueprints_01', 'Blueprints');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '74', 'crafting_merchant_advertising_01', 'Advertising');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '75', 'crafting_merchant_sales_01', 'Sales');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '76', 'crafting_merchant_management_01', 'Management');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '77', 'crafting_merchant_hiring_01', 'Hiring');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '78', 'combat_brawler_1handmelee_01', 'Onehanded Melee Weapon Skill');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '79', 'combat_brawler_2handmelee_01', 'Twohanded Melee Weapon Skill');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '80', 'combat_brawler_unarmed_01', 'Unarmed Skill');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '81', 'combat_brawler_polearm_01', 'Polearm Weapon Skill');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '85', 'combat_marksman_support_01', 'Special Abilities');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '86', 'combat_rifleman_accuracy_01', 'Rifle Accuracy');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '87', 'combat_rifleman_speed_01', 'Firing Speed');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '88', 'combat_rifleman_ability_01', 'Rifle Technique');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '89', 'combat_rifleman_support_01', 'Rifle Special Abilities');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '90', 'combat_pistol_accuracy_01', 'Pistol Accuracy');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '91', 'combat_pistol_speed_01', 'Firing Speed');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '92', 'combat_pistol_ability_01', 'Pistol Technique');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '93', 'combat_pistol_support_01', 'Pistol Special Abilities');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '94', 'combat_carbine_accuracy_01', 'Accuracy');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '95', 'combat_carbine_speed_01', 'Firing Speed');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '96', 'combat_carbine_ability_01', 'Carbine Technique');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '97', 'combat_carbine_support_01', 'Carbine Special Abilities');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '98', 'combat_unarmed_accuracy_01', 'Accuracy');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '99', 'combat_unarmed_speed_01', 'Fist Speed');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '100', 'combat_unarmed_ability_01', 'Fist Technique');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '101', 'combat_unarmed_support_01', 'Fist Special Abilities');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '102', 'combat_1hsword_accuracy_01', 'Accuracy');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '103', 'combat_1hsword_speed_01', 'Sword Speed');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '104', 'combat_1hsword_ability_01', 'Sword Techniques');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '105', 'combat_1hsword_support_01', 'Sword Special Abilities');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '106', 'combat_2hsword_accuracy_01', 'Accuracy');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '107', 'combat_2hsword_speed_01', 'Sword Speed');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '108', 'combat_2hsword_ability_01', 'Sword Technique');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '109', 'combat_2hsword_support_01', 'Sword Special Abilities');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '110', 'combat_polearm_accuracy_01', 'Accuracy');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '111', 'combat_polearm_speed_01', 'Polearm Speed');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '112', 'combat_polearm_ability_01', 'Polearm Technique');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '113', 'combat_polearm_support_01', 'Polearm Special Abilities');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '114', 'combat_bountyhunter_investigation_01', 'Investigation');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '115', 'combat_bountyhunter_droidcontrol_01', 'Droid Control');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '116', 'combat_bountyhunter_droidresponse_01', 'Droid Response');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '117', 'combat_bountyhunter_support_01', 'Bounty Hunter Special Abilities');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '118', 'combat_smuggler_concealment_01', 'Concealment');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '119', 'combat_smuggler_persuasion_01', 'Persuasion');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '120', 'combat_smuggler_slicing_01', 'Slicing');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '121', 'combat_smuggler_disguise_01', 'Disguise');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '122', 'combat_marksman_rifle_01', 'Rifle Skills');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '123', 'combat_marksman_pistol_01', 'Pistol Skills');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '124', 'combat_marksman_carbine_01', 'Carbine Skills');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '125', 'social_dancer_ability_01', 'Ability');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '126', 'social_dancer_wound_01', 'Wound Healing');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '127', 'social_dancer_shock_01', 'Shock Wound Healing');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '128', 'social_musician_ability_01', 'Musical Ability');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '129', 'social_musician_wound_01', 'Wound Healing');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '130', 'social_musician_shock_01', 'Shock Wound Healing');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '131', 'combat_commando_heavyweapon_accuracy_01', 'Heavy Weapon Accuracy');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '132', 'combat_commando_heavyweapon_speed_01', 'Heavy Weapon Speed');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '133', 'combat_commando_thrownweapon_01', 'Thrown Weapons');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '134', 'combat_commando_support_01', 'Specialized Weapon Crafting');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '135', 'outdoors_creaturehandler_taming_01', 'Creature Taming');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '136', 'outdoors_creaturehandler_training_01', 'Creature Training');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '138', 'outdoors_creaturehandler_support_01', 'Creature Management');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '139', 'crafting_droidengineer_production_01', 'Droid Production');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '140', 'crafting_droidengineer_techniques_01', 'Droid Crafting Techniques');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '141', 'crafting_droidengineer_refinement_01', 'Droid Refinement');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '142', 'crafting_droidengineer_blueprints_01', 'Droid Blueprints');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '143', 'crafting_artisan_survey_01', 'Surveying');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '144', 'crafting_architect_harvesting_01', 'Harvester Construction');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '145', 'outdoors_creaturehandler_healing_01', 'Creature Empathy');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '146', 'outdoors_scout_tools_01', 'Trapping');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '147', 'crafting_armorsmith_personal_01', 'Personal Armor Crafting');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '148', 'crafting_armorsmith_heavy_01', 'Heavy Armor Crafting');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '149', 'crafting_armorsmith_complexity_01', 'Armor Complexity');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '150', 'crafting_artisan_engineering_01', 'Engineering');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '151', 'crafting_artisan_domestic_01', 'Domestic Arts');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '152', 'crafting_artisan_business_01', 'Business');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '153', 'jedi_padawan_saber_01', 'Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '154', 'jedi_padawan_healing_01', 'Basic Healing');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '155', 'jedi_padawan_force_power_01', 'Force Power');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '156', 'jedi_padawan_force_manipulation_01', 'Force Manipulation');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '157', 'jedi_light_side_journeyman_saber_01', 'Two-hand Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '158', 'jedi_light_side_journeyman_healing_01', 'Advanced Healing');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '159', 'jedi_light_side_journeyman_force_power_01', 'Improved Force Power');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '160', 'jedi_light_side_journeyman_force_manipulation_01', 'Improved Manipulation');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '161', 'jedi_light_side_master_saber_01', 'Polearm Saber');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '162', 'jedi_light_side_master_healing_01', 'Superior Healing');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '163', 'jedi_light_side_master_force_power_01', 'Greater Force Power');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '164', 'jedi_light_side_master_force_manipulation_01', 'Greater Force Manipulation');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '165', 'jedi_dark_side_journeyman_saber_01', 'Heavy Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '166', 'jedi_dark_side_journeyman_healing_01', 'Skilled Healing');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '167', 'jedi_dark_side_journeyman_force_power_01', 'Advanced Force Power');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '168', 'jedi_dark_side_journeyman_force_manipulation_01', 'Advanced Manipulation');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '169', 'jedi_dark_side_master_saber_01', 'Dual-edge Saber');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '170', 'jedi_dark_side_master_healing_01', 'Expert Healing');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '171', 'jedi_dark_side_master_force_power_01', 'Superior Force Power');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '172', 'jedi_dark_side_master_force_manipulation_01', 'Superior Manipulation');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '173', 'pilot_rebel_navy_starships_01', 'Starfighter Study');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '174', 'pilot_rebel_navy_navigation_01', 'Combat Astrogation');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '175', 'pilot_rebel_navy_combat_01', 'Rebel Starfighter Combat');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '176', 'pilot_rebel_navy_droid_01', 'Droid Control');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '177', 'pilot_imperial_navy_starships_01', 'Starfighter Study');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '178', 'pilot_imperial_navy_navigation_01', 'Combat Astrogation');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '179', 'pilot_imperial_navy_combat_01', 'TIE Fighter Combat');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '180', 'pilot_imperial_navy_droid_01', 'Droid Command');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '181', 'pilot_neutral_starships_01', 'Starfighter Study');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '182', 'pilot_neutral_navigation_01', 'Hyperspace Navigation');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '183', 'pilot_neutral_combat_01', 'Starship Self-defense');
INSERT INTO `client_strings` VALUES ('string/en/skl_cat_n.stf', '184', 'pilot_neutral_droid_01', 'Droid Control');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1', 'ballistic_munitions_components', 'Possession of this skill indicates that the owner has mastered all there is to know about ballistic munitions and their components.  Although optional for advancement, anyone wishing to master munitions components design should become certified in this skill.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '2', 'combat_1hsword', 'The Swordsman specializes in mastering one-handed swords, being one of the most effective melee combat professions.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '3', 'combat_1hsword_ability_01', 'Intermediate Fencing Technique focuses on blinding, equilibrium, and accuracy techniques.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '4', 'combat_1hsword_ability_02', 'Advanced Fencing Technique focuses on blinding, equilibrium, and accuracy techniques.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '5', 'combat_1hsword_ability_03', 'Expert Fencing Technique focuses on blinding, equilibrium, and accuracy techniques.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '6', 'combat_1hsword_ability_04', 'Master Fencing Technique focuses on blinding, equilibrium, and accuracy techniques.  At this level of skill, you can easily blind multiple opponents at once.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '7', 'combat_1hsword_accuracy_01', 'Intermediate Fencing Stances and Grips concentrates on both melee and ranged defensive techniques.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '8', 'combat_1hsword_accuracy_02', 'Advanced Fencing Stances and Grips concentrates on both melee and ranged defensive techniques.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '9', 'combat_1hsword_accuracy_03', 'Expert Fencing Stances and Grips concentrates on both melee and ranged defensive techniques.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '10', 'combat_1hsword_accuracy_04', 'Master Fencing Stances and Grips concentrates on both melee and ranged defensive techniques.  At this level of skill, you should also be able to easily strike multiple locations on a target at once, through a deep understanding of gaps in an opponent\'s defense.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '11', 'combat_1hsword_master', 'The Master Fencer completes the specialization of the one-handed sword, making them one of the fiercest melee opponents.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '12', 'combat_1hsword_novice', 'The Novice Fencer begins learning the specialized moves involved in mastering the one-handed sword -- a swift and efficient weapon.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '13', 'combat_1hsword_speed_01', 'Intermediate Footwork teaches the basics of how to position oneself in order to deal faster fencing attacks.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '14', 'combat_1hsword_speed_02', 'Advanced Footwork further teaches the technique of quick attacks coupled with a better understanding of posture defense.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '15', 'combat_1hsword_speed_03', 'Expert Footwork grants the Fencer an excellent grasp of how posture and footwork can help one defend themselves from an opponent who is determined to drive them to a more vulnerable position.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '16', 'combat_1hsword_speed_04', 'Master Footwork is the most advanced fencing footwork technique taught, and at this level of skill a Fencer should have a much faster attacking technique and a rock-solid grasp of how to avoid posture attacks more often.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '17', 'combat_1hsword_support_01', 'Intermediate Fencing Finesse stresses accurate body attacks and self-defense versus unusual attacks.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '18', 'combat_1hsword_support_02', 'Advanced Intermediate Fencing Finesse stresses accurate body attacks and self-defense versus unusual attacks.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '19', 'combat_1hsword_support_03', 'Expert Intermediate Fencing Finesse stresses accurate body attacks and self-defense versus unusual attacks.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '20', 'combat_1hsword_support_04', 'Master Intermediate Fencing Finesse stresses accurate body attacks and self-defense versus unusual attacks.  At this level a Fencer can do considerable damage against an opponent\'s body.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '21', 'combat_2hsword', 'The Heavy Swordsman excels at wielding two-handed swords.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '22', 'combat_2hsword_ability_01', 'Intermediate Sword Defense emphasizes self-defense versus unusual attacks.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '23', 'combat_2hsword_ability_02', 'Advanced Sword Defense emphasizes self-defense versus unusual attacks, complemented with one style of area attack.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '24', 'combat_2hsword_ability_03', 'Expert  Sword Defense emphasizes self-defense versus unusual attacks, complemented with two styles of area attacks.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '25', 'combat_2hsword_ability_04', 'Master Sword Defense emphasizes self-defense versus unusual attacks, complemented with two styles of area attacks.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '26', 'combat_2hsword_accuracy_01', 'Intermediate Sword Offense teaches the benefits of attacking multiple opponents at once.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '27', 'combat_2hsword_accuracy_02', 'Advanced Sword Offense teaches the benefits of attacking multiple opponents at once.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '28', 'combat_2hsword_accuracy_03', 'Expert Sword Offense teaches the benefits of attacking multiple opponents at once.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '29', 'combat_2hsword_accuracy_04', 'Master Sword Offense teaches the benefits of attacking multiple opponents at once.  At this level a Swordsman can deal massive amounts of area damage while maintaining a strong defense against being blinded, dizzied, or stunned.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '30', 'combat_2hsword_master', 'The Master Swordsman has specialized knowledge and skill in the two-handed sword category, and is a fearsome opponent.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '31', 'combat_2hsword_novice', 'The Novice Swordsman excels at wielding two-handed swords. This novice skill begins a player specialization in mastering this weapon.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '32', 'combat_2hsword_speed_01', 'Intermediate Sword Techniques focus on combining attack speed and technique, with an emphasis on head attacks.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '33', 'combat_2hsword_speed_02', 'Advanced Sword Techniques focus on combining attack speed and technique, with an emphasis on head attacks.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '34', 'combat_2hsword_speed_03', 'Expert Sword Techniques focus on combining attack speed and technique, with an emphasis on head attacks.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '35', 'combat_2hsword_speed_04', 'Master Sword Techniques focus on combining attack speed and technique, with an emphasis on head attacks.  At this level of mastery, a Swordsman will be significantly faster at attacking.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '36', 'combat_2hsword_support_01', 'Intermediate Sword Finesse is necessary to attain a level of accuracy which allows a Swordsman to wound an opponent\'s mind.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '37', 'combat_2hsword_support_02', 'Advanced Sword Finesse is necessary to attain a level of accuracy which allows a Swordsman to wound an opponent\'s mind.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '38', 'combat_2hsword_support_03', 'Expert Sword Finesse is necessary to attain a level of accuracy which allows a Swordsman to wound an opponent\'s mind.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '39', 'combat_2hsword_support_04', 'Master Sword Finesse is necessary to attain a level of accuracy which allows a Swordsman to wound an opponent\'s mind.  At this level of skill, a Swordsman will be much more accurate at two-handed attacks and will be able to inflict heavy Mind wound damage.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '40', 'combat_bounthunter_master', 'The Master Bounty Hunter is able to find and eliminate almost any target.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '41', 'combat_bountyhunter', 'One of the most feared professions in the galaxy, the Bounty Hunter is extremely effective at tracking down and \"taking care of\" their targets. Bounty Hunters are frequently employed by those who wish to take care of problems discreetly.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '42', 'combat_bountyhunter_droidcontrol_01', 'Bounty Carbine Specialization I begins the Bounty Hunter on the path to a better understanding of Carbine weaponry.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '43', 'combat_bountyhunter_droidcontrol_02', 'Bounty Carbine Specialization II further instructs the Bounty Hunter in the best ways to take an opponent down with a carbine weapon.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '44', 'combat_bountyhunter_droidcontrol_03', 'Bounty Carbine Specialization III helps Bounty Hunters to reach a higher level of knowledge regarding the use of carbine weaponry.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '45', 'combat_bountyhunter_droidcontrol_04', 'Bounty Carbine Specialization IV brings the Bounty Hunter to an extremely lethal grasp of advanced carbine techniques. They will be able to demolish lesser opponents with impunity.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '46', 'combat_bountyhunter_droidresponse_01', 'Bounty Pistol Specialization I begins the Bounty Hunter on the path to a better understanding of the destructive capabilities of an accurate and fast pistol.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '47', 'combat_bountyhunter_droidresponse_02', 'Bounty Pistol Specialization II further instructs the Bounty Hunter on a number of different ways that a quick and concealable weapon can quickly take one or more opponents down.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '48', 'combat_bountyhunter_droidresponse_03', 'Bounty Pistol Specialization III gives the Bounty Hunter speed and accuracy akin to a true gunslinger through a dissective understanding of a pistol\'s weight, barrel, and \"kick\" characteristics.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '49', 'combat_bountyhunter_droidresponse_04', 'Bounty Pistol Specialization IV brings the Bounty Hunter to a deadly understanding of a pistol\'s weaknesses and strengths.  A Bounty Hunter with this level of pistol training should never be provoked, unless one favors an early \"retirement\".');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '50', 'combat_bountyhunter_investigation_01', 'Investigation I teaches the Bounty Hunter simple methods in information extraction and street sleuthing, allowing them to find their bounty a bit more easily.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '51', 'combat_bountyhunter_investigation_02', 'Investigation II further teaches the Bounty Hunter sleuthing methods bolstered with modern technology, allowing them to track their bounty faster.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '52', 'combat_bountyhunter_investigation_03', 'Investigation III offers the Bounty Hunter a more thorough understanding of piecing together random bits of information to create an information chain that leads them right to their prey more often than not.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '53', 'combat_bountyhunter_investigation_04', 'Investigation IV completes the Bounty Hunter\'s understanding of investigative techniques, brought to incredible focus for one reason: To hunt people down.  A Bounty Hunter with this level of understanding will be a dangerous opponent indeed.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '54', 'combat_bountyhunter_master', 'The Master Bounty Hunter can effectively track down and eliminate almost any opponent.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '55', 'combat_bountyhunter_novice', 'The Bounty Hunter is effective at tracking down and \"taking care of\" their target. The novice skill opens the door to the Bounty Hunter world that is unavailable to others.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '56', 'combat_bountyhunter_support_01', 'Light Lightning Cannon Specialization I gives the Bounty Hunter an edge over their prey through the understanding a very dangerous weapon, the Light Lightning Cannon.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '57', 'combat_bountyhunter_support_02', 'Light Lightning Cannon Specialization II further instructs the Bounty Hunter in the use of the Light Lightning Cannon, giving them a definitive advantage over opponents who have no easy way to counter its attacks.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '58', 'combat_bountyhunter_support_03', 'Light Lightning Cannon Specialization III shows the Bounty Hunter techniques in energy dispersion and capacitor overcharging to increase their efficiency at destroying their opposition or disabling their bounties.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '59', 'combat_bountyhunter_support_04', 'Light Lightning Cannon Specialization IV brings the Bounty Hunter to a full understanding of an incredible style of weapon, the Light Lightning Cannon.  The only disadvantage to using this weapon is that, due to its unique appearance and energy signature, the Bounty Hunter can sometimes be spotted from rather far away, which occasionally alerts their prey.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '60', 'combat_brawler', 'A Brawler is a skilled hand-to-hand combatant that can specialize in unarmed combat or the use of polearms, one-handed swords, or two-handed swords. When combined with a Marksman\'s abilities, the Brawler can become a Bounty Hunter, Commando, or Smuggler. If you want access to a wide range of melee weapons and special moves and think that going toe-to-toe with enemies sounds fun, then choose the Brawler profession. ');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '61', 'combat_brawler_1handmelee_01', 'One-Handed I: Sword Technique teaches the Brawler the basics of one-handed melee weapons, with an emphasis on swords.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '62', 'combat_brawler_1handmelee_02', 'One-Handed II: Lethal Strikes improves the Brawler\'s ability to damage a target quickly and effectively with light sword like weapons.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '63', 'combat_brawler_1handmelee_03', 'One-Handed III: Blunt Edge Strikes teaches the Brawler to stun an opponent using the hard, flat edge of his weapon.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '64', 'combat_brawler_1handmelee_04', 'One-Handed IV: Dance of Blades completes the Brawler\'s training in sword like weapons.  The Brawler learns to engage multiple enemies quickly with a dancer\'s command of form and balance.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '65', 'combat_brawler_2handmelee_01', 'Two-Handed I: Weighted Stances teaches the Brawler the fundamentals of using large two-handed weapons through a basis in strong footwork and positioning.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '66', 'combat_brawler_2handmelee_02', 'Two-Handed II: Strength & Precision improves the Brawler\'s ability to use weighty two-handed weapons.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '67', 'combat_brawler_2handmelee_03', 'Two-Handed III: Sweeps further improves the Brawler\'s ability with heavy two-handed weapons.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '68', 'combat_brawler_2handmelee_04', 'Two-Handed IV: Fatal Finesse finishes the Brawler\'s study of two-handed weapons.  At this skill level, the Brawler is able to wield large two-handed weapons to highly lethal effect.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '69', 'combat_brawler_master', 'The Master Brawler is proficient in the use of all forms of melee weapons and may advance into any of the specialized melee weapon professions.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '70', 'combat_brawler_novice', 'The Novice Brawler possesses a slightly better than rudimentary knowledge of the use of melee weapons.  A student of Brawling can train in any one particular weapon style (eventually choosing to learn a specialist profession) or pursue them all.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '71', 'combat_brawler_polearm_01', 'Polearms I: Long Hafted Weaponry instructs the Brawler in the use of complex polearm like weaponry.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '72', 'combat_brawler_polearm_02', 'Polearms II: Form & Balance improves the Brawlers use of polearm like weaponry.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '73', 'combat_brawler_polearm_03', 'Polearms III: Power Strikes teaches the Brawler to hit effectively with polearm like weaponry.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '74', 'combat_brawler_polearm_04', 'Polearms IV: Overwhelming Assault completes the Brawlers training with basic polearm like weaponry.  The Brawler learns to strike quickly and effectively with these large and cubmersome weapons.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '75', 'combat_brawler_unarmed_01', 'Unarmed I: Street Fighting trains the Brawler in simple unarmed combat techniques.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '76', 'combat_brawler_unarmed_02', 'Unarmed II: Stunning Attack trains the Brawler in special unarmed combat forms that stun an opponent.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '77', 'combat_brawler_unarmed_03', 'Unarmed III: Blinding Attack trains the Brawler in special unarmed combat forms that blind an opponent.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '78', 'combat_brawler_unarmed_04', 'Unarmed IV: Teras Kasi Fundamentals instructs the Brawler in the basics of the Teras Kasi fighting style.  With this knowledge, the Brawler may begin down the long road to becoming an enlightened Teras Kasi Master.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '79', 'combat_carbine', 'Carbine Specialists pick up the unique skills and abilities to excel at carbine ranged weapons.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '80', 'combat_carbine_ability_01', 'Intermediate Carbine Counterinsurgency Tactics begin the Carbineer along the path of using prudent defensive measures against reckless attacks by enemies.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '81', 'combat_carbine_ability_02', 'Advanced Carbine Counterinsurgency Tactics show the Carbineer how to defend themselves in certain situations.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '82', 'combat_carbine_ability_03', 'Expert Carbine Counterinsurgency Tactics show the Carbineer the power of counterattacking against a powerful offense.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '83', 'combat_carbine_ability_04', 'With Master Carbine Counterinsurgency Tactics, the Carbineer becomes a master at counterattacking opponents that charge into combat recklessly.  At this level, the Carbineer is able to easily halt a single opponent\'s rush by driving them into the ground.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '84', 'combat_carbine_accuracy_01', 'Intermediate Carbine Assault Tactics begin the Carbineer on the path towards faster attacks and a specialized style of multiple-location shooting.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '85', 'combat_carbine_accuracy_02', 'Advanced Carbine Assault Tactics teach the Carbineer more advanced attack-speed techniques.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '86', 'combat_carbine_accuracy_03', 'Expert Carbine Assault Tactics continue the Carbineer\'s education in raising the speed of their attacks while being able to hit multiple locations on an opponent at once.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '87', 'combat_carbine_accuracy_04', 'Master Carbine Assault Tactics conveys a masterful level of understanding of carbine attack speed, and gives the Carbineer the ability to stun several targets simultaneously.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '88', 'combat_carbine_master', 'The Master Carbineer is unequaled in their abilities with carbine weapons.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '89', 'combat_carbine_novice', 'Carbineers pick up the unique skills and abilities to excell at carbine ranged weapons.  The Novice Carbineer skill begins a player\'s specialization in this combat path.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '90', 'combat_carbine_speed_01', 'Intermediate Carbine Marksmanship grants the Carbineer more accuracy, and a better understanding of how to hit a target in its legs to best effect.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '91', 'combat_carbine_speed_02', 'Advanced Carbine Marksmanship grants the Carbineer better carbine accuracy.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '92', 'combat_carbine_speed_03', 'Expert Carbine Marksmanship grants the Carbineer even better carbine accuracy, and teaches even more powerful attack capabilities.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '93', 'combat_carbine_speed_04', 'Master Carbine Marksmanship raises the level of the Carbineer\'s accuracy to a masterful one, and allows them to hit much more often than an average Marksman.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '94', 'combat_carbine_support_01', 'Intermediate Carbine Special Abilities grants additional special moves to the Carbineer.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '95', 'combat_carbine_support_02', 'Advanced Carbine Special Abilities grants additional special moves to the Carbineer.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '96', 'combat_carbine_support_03', 'Expert Carbine Special Abilities grants additional special moves to the Carbineer.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '97', 'combat_carbine_support_04', 'Master Carbine Special Abilities grants additional special moves to the Carbineer.  At this level of mastery, a Carbineer can hit targets while moving much easier, and be able to knock multiple opponents down simultaneously.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '98', 'combat_command_support_02', 'Advanced Specialized Weapon Crafting teaches the commando how to craft effective heavy weapons and grenades.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '99', 'combat_command_support_04', 'Master Specialized Weapon Crafting teaches the commando how to craft effective heavy weapons and grenades.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '100', 'combat_commando', 'Commandos learn how to use and create a unique set of weapons -- explosives. Commandos continue to excel at combat, but also specialize in the skills required to take down large armored vehicles.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '101', 'combat_commando_heavyweapon_accuracy_01', 'Field Tactics I demonstrates to the Commando how to use terrain and cover to their best advantage.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '102', 'combat_commando_heavyweapon_accuracy_02', 'Field Tactics II allows the Commando to view each situation in a light that reveals how to exploit all available advantages to their benefit, regardless of how slight the advantage would be.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '103', 'combat_commando_heavyweapon_accuracy_03', 'Field Tactics III brings the Commando to the point where their mind can become as dangerous as their blaster.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '104', 'combat_commando_heavyweapon_accuracy_04', 'Field Tactics IV demonstrates to the Commando how a sharp knowledge of the psychology of an opponent is just as valuable in combat as understanding their anatomy and physiology.  A cornered Field Tactic Commando should never be underestimated, and should be avoided at all costs unless they are incapacitated or otherwise distracted.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '105', 'combat_commando_heavyweapon_speed_01', 'Heavy Support Weapons I instructs the Commando on the basics of heavy weapons.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '106', 'combat_commando_heavyweapon_speed_02', 'Heavy Support Weapons II allows the Commando to get a real grasp of how to use heavy weapons in defensive and offensive tactical situations.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '107', 'combat_commando_heavyweapon_speed_03', 'Heavy Support Weapons III lets the Commando understand how to use heavy weapons in tight situations without causing extensive collateral damage.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '108', 'combat_commando_heavyweapon_speed_04', 'Heavy Support Weapons IV brings the Commando to a true understanding of how to use heavy weapons in a support role as well as an offensive role.  A Commando with this level of training could easily fight their way out of a number of situations that would kill a lesser person.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '109', 'combat_commando_master', 'The Master Commando learns the last skills needed to complete their specialization in the creation and use of explosive weapons.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '110', 'combat_commando_novice', 'Commandos learn how to use and create a unique set of weapons -- explosives. Commandos continue to excel at combat, but also specialize in the skills required to take down large armored vehicles. The novice commando skill begins this education.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '111', 'combat_commando_support_01', 'Acid Rifle Specialization I instructs the Commando on beginner tactics at safely using a very dangerous weapon, the Acid Rifle.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '112', 'combat_commando_support_02', 'Acid Rifle Specialization II further shows the Commando on the best ways to use an Acid Rifle to their best tactical advantage in combat.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '113', 'combat_commando_support_03', 'Acid Rifle Specialization III rounds out the Commando\'s safety and tactical lessons on the Acid Rifle by allowing them to see the true destructive potential of an Acid Rifle when the safety features are disabled.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '114', 'combat_commando_support_04', 'Acid Rifle Specialization IV brings the Commando to the point where they can use an Acid Rifle accurately and destructively in a wide number of combat situations.  A Commando at this level of expertise can easily dissolve a number of critical points on an enemy\'s defensive gear to cause as much damage as possible in as short of a time as possible.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '115', 'combat_commando_thrownweapon_01', 'Flamethrower Specialization I instructs the Commando on how to use a Flamethrower effectively, without injuring themself or their allies.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '116', 'combat_commando_thrownweapon_02', 'Flamethrower Specialization II continues to show the Commando how to devastate opponents using a Flamethrower.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '117', 'combat_commando_thrownweapon_03', 'Flamethrower Specialization III shows the Commando advanced techniques in using Flamethrowers in combat.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '118', 'combat_commando_thrownweapon_04', 'Flamethrower Specialization IV brings the Commando to the point where they can use a Flamethrower expertly and with impunity.  A Commando using a Flamethrower at this level of expertise is a force to be reckoned with on the battlefield, and should be avoided at all costs.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '119', 'combat_marksman', 'A Marksman relies on the use of ranged weapons in combat. He can become a specialist with rifles, pistols, and carbines, or eventually evolve into a Bounty Hunter, Commando, Smuggler, or Combat Medic. If you want to run around blasting enemies, the Marksman might be for you.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '120', 'combat_marksman_carbine_01', 'Carbines I: Medium Range Combat teaches the Marksman the basics of effectively handling a Carbine.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '121', 'combat_marksman_carbine_02', 'Carbines II: Full Auto Firing improves the Marksman\'s ability to use a carbine and instructs them in the proper handling and control of a fully automatic weapon.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '122', 'combat_marksman_carbine_03', 'Carbines III: Improved Control increases the Marksman\'s ability to use a carbine.  The Marksman gains the ability to more effectively shoot to damage the mobility (action pool) of a target.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '123', 'combat_marksman_carbine_04', 'Carbines IV: Called Shots completes the Marksman\'s training in the use of carbines.  The Marksman is now highly effective at using a Carbine to intentionally fire on a target\'s extremities with the intention of harming their action pool.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '124', 'combat_marksman_master', 'A Master Marksman has an excellent understanding of all 3 major ranged weapon lines, which allows them to easily wield a pistol, rifle, or carbine.  A Master Marksman can easily dish out large amounts of damage and has access to a wide variety of ranged weapon certifications.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '125', 'combat_marksman_novice', 'The Novice Marksman gains a baseline knowledge of most firearms, as well as understanding a few basic special maneuvers with ranged weapons.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '126', 'combat_marksman_pistol_01', 'Pistols I: Short Range Combat teaches the Marksman the basics of effectively handling a pistol and fighting in close range with a target.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '127', 'combat_marksman_pistol_02', 'Pistols II: Light Sidearms improves the Marksman\'s ability to use a pistol and grants certifications in the use of several types of light pistol.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '128', 'combat_marksman_pistol_03', 'Pistols III: Medium Sidearms improves the Marksman\'s ability to use a pistol and grants certifications in the use of several types of medium, higher output pistols.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '129', 'combat_marksman_pistol_04', 'Pistols IV: Heavy Sidearms completes the Marksman\'s training in the use of pistols.  The Marksman earns certifications in several high yield and special damage weapons.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '130', 'combat_marksman_rifle_01', 'Rifles I: Long Range Combat teaches the Marksman the basics of effectively handling a rifle.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '131', 'combat_marksman_rifle_02', 'Rifles II: Concealed Firing improves the Marksman\'s ability to use rifles.  The Marksman also learns how to use cover to most effectively defend himself from enemy shooters.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '132', 'combat_marksman_rifle_03', 'Rifles III: Improved Aim improves the Marksman\'s ability to use rifles.  The Marksman learns how to fire effectively at long ranges.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '133', 'combat_marksman_rifle_04', 'Rifles IV: Sniping completes the Marksman\'s training in the use of rifles.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '134', 'combat_marksman_support_01', 'Ranged Support skills grant special commands and abilities unavailable to any other profession.  These special firing techniques may be used in conjunction with any Marksman weapon.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '135', 'combat_marksman_support_02', 'Ranged Support skills grant special commands and abilities unavailable to any other profession.  These special firing techniques may be used in conjunction with any Marksman weapon.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '136', 'combat_marksman_support_03', 'Ranged Support skills grant special commands and abilities unavailable to any other profession.  These special firing techniques may be used in conjunction with any Marksman weapon.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '137', 'combat_marksman_support_04', 'Ranged Support skills grant special commands and abilities unavailable to any other profession.  These special firing techniques may be used in conjunction with any Marksman weapon.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '138', 'combat_melee_basic', 'Basic Melee Combat');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '139', 'combat_pistol', 'The Pistol Specialist gains significant improvements in short-range firearms along with a series of special abilities for nearly every situation.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '140', 'combat_pistol_ability_01', 'The Pistol Techniques skill set introduce new methods of firing for different effects, like disarming or stopping a target.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '141', 'combat_pistol_ability_02', 'The Pistol Techniques skill set introduce new methods of firing for different effects, like disarming or stopping a target.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '142', 'combat_pistol_ability_03', 'The Pistol Techniques skill set introduce new methods of firing for different effects, like disarming or stopping a target.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '143', 'combat_pistol_ability_04', 'The Pistol Techniques skill set introduce new methods of firing for different effects, like disarming or stopping a target.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '144', 'combat_pistol_accuracy_01', 'The Pistol Grips skill set instruct the Pistoleer on new methods of holding, gripping, or cradling the gun for maximum effectiveness.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '145', 'combat_pistol_accuracy_02', 'The Pistol Grips skill set instruct the Pistoleer on new methods of holding, gripping, or cradling the gun for maximum effectiveness.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '146', 'combat_pistol_accuracy_03', 'The Pistol Grips skill set instruct the Pistoleer on new methods of holding, gripping, or cradling the gun for maximum effectiveness.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '147', 'combat_pistol_accuracy_04', 'The Pistol Grips skill set instruct the Pistoleer on new methods of holding, gripping, or cradling the gun for maximum effectiveness.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '148', 'combat_pistol_master', 'The Master Pistoleer has gained significant improvements in short-range firearms along with a series of special abilities for nearly every situation.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '149', 'combat_pistol_novice', 'The Novice Pistoleer gains significant improvements in short-range firearms along with a series of special abilities for nearly every situation.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '150', 'combat_pistol_speed_01', 'The Pistol Marksmanship skill tree improves the Pistoleer\'s accuracy with short range weapons.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '151', 'combat_pistol_speed_02', 'The Pistol Marksmanship skill tree improves the Pistoleer\'s accuracy with short range weapons.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '152', 'combat_pistol_speed_03', 'The Pistol Marksmanship skill tree improves the Pistoleer\'s accuracy with short range weapons.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '153', 'combat_pistol_speed_04', 'The Pistol Marksmanship skill tree improves the Pistoleer\'s accuracy with short range weapons.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '154', 'combat_pistol_support_01', 'The Pistol Stances skill set instructs the Pistoleer on footwork techniques to improve combat stability.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '155', 'combat_pistol_support_02', 'The Pistol Stances skill set instructs the Pistoleer on footwork techniques to improve combat stability.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '156', 'combat_pistol_support_03', 'The Pistol Stances skill set instructs the Pistoleer on footwork techniques to improve combat stability.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '157', 'combat_pistol_support_04', 'The Pistol Stances skill set instructs the Pistoleer on footwork techniques to improve combat stability.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '158', 'combat_polearm', 'The Polearm Specialist excels at using the longest melee weapons. Though polearms aren\'t as fast as other melee weapons, they can deal a heavy blow.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '159', 'combat_polearm_ability_01', 'Intermediate Polearm Defensive Techniques introduces the Novice Pikeman to the advantages of a long weapon, such as being able to sweep opponents off of their feet.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '160', 'combat_polearm_ability_02', 'Advanced Polearm Defensive Techniques teaches further use of the defensive capabilities of a polearm.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '161', 'combat_polearm_ability_03', 'Expert Polearm Defensive Techniques help to show a Pikeman how to sweep multiple opponents off of their feet simultaneously.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '162', 'combat_polearm_ability_04', 'Master Polearm Defensive Techniques is the highest level of defensive training that a Pikeman will learn, and contains multiple sweeping techniques and defensive maneuvers to keep a Pikeman on their feet and be more resistant to being stunned, blinded, or dizzied.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '163', 'combat_polearm_accuracy_01', 'Intermediate Polearm Stances teaches a Pikeman how to attain faster weapon speed and the ability to attack multiple targets through various stance styles.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '164', 'combat_polearm_accuracy_02', 'Advanced Polearm Stances teaches a Pikeman how to attain faster weapon speed and the ability to attack multiple targets through various stance styles.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '165', 'combat_polearm_accuracy_03', 'Expert Polearm Stances teaches a Pikeman how to attain faster weapon speed and the ability to attack multiple targets through various stance styles.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '166', 'combat_polearm_accuracy_04', 'Master Polearm Stances teaches a Pikeman how to attain faster weapon speed and the ability to attack multiple targets through various stance styles.  A Pikeman at this level of training has a very fast attack speed, and can seriously inhibit and damage multiple attackers simultaneously.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '167', 'combat_polearm_master', 'The Master Pikeman is able to deliver the most damaging blows with one of the most deadly types of melee combat.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '168', 'combat_polearm_novice', 'The Novice Pikeman excels at using the longest melee weapons. Though polearms aren\'t as fast as other melee weapons, they can deal a heavy blow. The Novice Pikeman begins to learn this specialization.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '169', 'combat_polearm_speed_01', 'Intermediate Polearm Offensive Techniques begins the Pikeman on the road to learning powerful leg and area attacks.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '170', 'combat_polearm_speed_02', 'Advanced Polearm Offensive Techniques teach a Pikeman dual-track methods of attacking.  A Pikeman at this level can damage either multiple enemies at once, or target the legs of a single opponent.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '171', 'combat_polearm_speed_03', 'Expert Polearm Offensive Techniques teaches even more damaging area and leg attacks to the Pikeman.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '172', 'combat_polearm_speed_04', 'Master Polearm Offensive Techniques teach the Pikeman the ultimate techniques in area and leg attacks.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '173', 'combat_polearm_support_01', 'Intermediate Polearm Support Abilities grants a Pikeman the ability to wound an opponent\'s Health directly.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '174', 'combat_polearm_support_02', 'Advanced Polearm Support Abilities grants a Pikeman greater accuracy with their polearm.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '175', 'combat_polearm_support_03', 'Expert Polearm Support Abilities grants a Pikeman the ability to further wound an opponent\'s Health while maintaining better polearm accuracy.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '176', 'combat_polearm_support_04', 'Master Polearm Support Abilities allows the Pikeman to achieve a much greater polearm accuracy than before, while allowing deadly wounds to be inflicted to an opponent\'s Health.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '177', 'combat_ranged_weapons_basic', 'Basic Ranged Weapon');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '178', 'combat_rifleman', 'The Rifle Specialist takes the knowledge they gain from Marksman and specializes on the pursuit of rifle skills and abilities.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '179', 'combat_rifleman_ability_01', 'Counter-Sniping I: Flushing Shot complements a Rifleman\'s arsenal of skills further by giving them the ability to startle an enemy sniper out of a low position.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '180', 'combat_rifleman_ability_02', 'Counter-Sniping II: Startling Shot further develops a Rifleman\'s ability to attack enemy snipers.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '181', 'combat_rifleman_ability_03', 'Counter-Sniping III: Advanced Flushing Shot helps a Rifleman learn how to defend themselves from a wide variety of attacks that an enemy sniper might use against them.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '182', 'combat_rifleman_ability_04', 'Counter-Sniping IV: Advanced Startling Shot give a Rifleman a noticeable advantage over enemy snipers.  At this level of mastery, a Rifleman will be able to stay low and well-defended versus posture change attacks.  They will also have the ability to block incoming shots more easily, through a deep understanding of the tactics a sniper is likely to use against them.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '183', 'combat_rifleman_accuracy_01', 'Sniping I: Mind Shot 2 improves the Rifleman\'s chance to hit.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '184', 'combat_rifleman_accuracy_02', 'Sniping II: Head Shot 3 improves the Rifleman\'s chance to hit.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '185', 'combat_rifleman_accuracy_03', 'Sniping III: Surprise Shot improves the Rifleman\'s chance to hit.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '186', 'combat_rifleman_accuracy_04', 'Sniping IV: Sniper Shot improves the Rifleman\'s chance to hit.  At this level of mastery, a Rifleman becomes the only profession in the galaxy that can kill incapacitated targets from long range.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '187', 'combat_rifleman_master', 'The Master Rifleman is unequaled in their deadliness with a long-range rifle.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '188', 'combat_rifleman_novice', 'The Rifleman takes the knowledge they gain from Marksman and specializes in the pursuit of rifle skills and abilities.  The Novice Rifleman skill begins this path.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '189', 'combat_rifleman_speed_01', 'Concealment I: Conceal Shot grants the Rifleman abilities to better hide and protect themselves from notice.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '190', 'combat_rifleman_speed_02', 'Concealment II: Cover Fighting grants the Rifleman more abilities with which to hide while firing at their victim.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '191', 'combat_rifleman_speed_03', 'Concealment III: Sneak and Shoot grants the Rifleman more advanced abilities to better hide themselves from notice, and grant themselves slightly better defense versus other ranged attacks.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '192', 'combat_rifleman_speed_04', 'Concealment IV: Silent Assassin conveys a mastery of general concealment tactics to a Rifleman.   At this level of skill, a Rifleman can easily conceal themselves while being able to crawl while in cover.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '193', 'combat_rifleman_support_01', 'Rifle Abilities I: Flurry Shot teaches the rifleman valuable special moves which form the basis for a successful tactical exchange.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '194', 'combat_rifleman_support_02', 'Rifle Abilities II: Defensive Firing teaches the rifleman improved special moves.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '195', 'combat_rifleman_support_03', 'Rifle Abilities III: Flurry Shot 2 teaches the rifleman improved special moves.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '196', 'combat_rifleman_support_04', 'Rifle Abilities IV: Fast Sniping teaches the rifleman improved special moves.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '197', 'combat_smuggler', 'A Smuggler is a rogue like character who profits from shady deals behind the backs of the authorities.  Transporting everything from illegal weapons to refugees through Imperial blockades, the Smuggler becomes a master of subterfuge and manipulation.  A Novice Smuggler gains the ability to slice simple locking devices (such as containers) and the ability to acquire several questionable spices.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '198', 'combat_smuggler_armor_03', 'Modifying most open market armor systems isn\'t as easy as bolting on extra metal plates.  Modern armor technology is carefully designed and balanced...managed by precision stabilizer CPU logic.  Armor manufacturers often protect their secrets by installing self-destructing anti-tamper chips into the armor logic systems.  A Smuggler with the right know-how can bypass these defenses and integrate complex armor improvements into the stabilizer systems.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '199', 'combat_smuggler_combat_01', 'There may not be much honor in it, but sometimes the best way to stay alive is to play dead.  More than one Smuggler has made a successful run because they acted like their ship was scrap or a grazing shot was fatal.  The oldest trick in the book.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '200', 'combat_smuggler_combat_02', 'It isn\'t fun to get shot at and Smugglers know this more than anyone.  You don\'t have to hit your target to make them duck long enough for you to get away.  The /panicshot command lets you delay your enemies next action while you plan yours.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '201', 'combat_smuggler_combat_03', 'When you\'re in a life or death situation, honor has to take a back seat to survival.  Shooting for the knees or the groin might not be honorable, but it\'ll give you the chance to get out of harm\'s way.  Using the /lowblow command, you can knock your opponent down for a little while.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '202', 'combat_smuggler_combat_04', 'Nothing is more dangerous than a cornered smuggler with a trusted blaster.  A Smuggler is a gambler at heart and would rather take a chance with a wild attack than lie down and die.  The /lastditch command will let you take several well-aimed and powerful shots, but will leave you open for a counterattack.  Make sure those shots count.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '203', 'combat_smuggler_master', 'The Master Smuggler has contacts all throughout the galaxy.  They are known by reputation to be a gambler, but always work with a certain charm.  At this skill level, the Smuggler can purchase faction perks at a 25% price reduction.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '204', 'combat_smuggler_novice', 'A Smuggler is a rogue like character who profits from shady deals behind the backs of the authorities.  Transporting everything from illegal weapons to refugees through Imperial blockades, the Smuggler becomes a master of subterfuge and manipulation.  A Novice Smuggler gains the ability to slice simple locking devices (such as containers) and the ability to acquire several questionable spices.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '205', 'combat_smuggler_slicing_01', 'Slicing is the practice of using technology to defeat technology: hacking and cracking.  A Smuggler will never know when they might need to override a security system or slip past a defense mechanism.  A Smuggler with the ability to slice public mission terminals can earn a few extra credits by carefully tricking the terminal systems into rewarding him a higher than normal cut.  Other terminals may be sliceable as well.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '206', 'combat_smuggler_slicing_02', 'Basic weapon slicing gives the Smuggler the ability to jury-rig a weapon with his slicing knowledge.  The modified weapon might have a faster refire rate or improved damage output.  Weapons sliced in this manner often do not last as long as their stock counterparts.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '207', 'combat_smuggler_slicing_03', 'Armor slicing gives the Smuggler the ability to make careful improvements to a piece of armor\'s statistics.  The armor may be lightened, reducing its encumbrance penalty, or the damage absorbance may be improved.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '208', 'combat_smuggler_slicing_04', 'Advanced Weapon Slicing doubles the quality of improvements the Smuggler can make to a weapon.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '209', 'combat_smuggler_spice_01', 'Spices are controlled substances that alter the body\'s chemistry.  Some are used for recreational purposes, others can be used to enhance physical strength.  Coming off of the effects of spice can be rough on the body.  While not illegal, the Empire tightly controls the sale of spice.  Smugglers are often hired by third parties to move large shipments of spice through Imperial blockades.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '210', 'combat_smuggler_spice_02', 'Some medical and industrial chemicals can be used as physical enhancements...occasionally with dangerous side effects.  These materials are closely controlled by the Empire.  Smugglers have found it profitable to help make these chemicals more widely available.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '211', 'combat_smuggler_spice_03', 'Some medical and industrial chemicals can be used as physical enhancements...occasionally with dangerous side effects.  These materials are closely controlled by the Empire.  Smugglers have found it profitable to help make these chemicals more widely available.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '212', 'combat_smuggler_spice_04', 'Some forms of spice have radical and powerful effects on humanoid physiology.  These tightly controlled substances are often experimental forms of military or medical research.  Smugglers able to get their hands on shipments of high quality \'Chems\' can find buyers among the rich and powerful.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '213', 'combat_smuggler_underworld_01', 'A Smuggler deals with aliens every day, negotiating the finer points of a contract legal and otherwise.  This requires both good negotiation skills and the ability to understand the languages of the parties involved.  This skill grants the ability to understand most languages spoken in the galaxy.  It also reduces the cost of all faction perks by 10% for the smuggler.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '214', 'combat_smuggler_underworld_02', 'When things get desperate the best way to get out of trouble isn\'t with a gun: it\'s with fast talking.  With this skill, a Smuggler loses only half the normal faction penalty for dying in PvP combat.  (The smuggler saves face by convincing his friends it was all a misunderstanding.)  The Smuggler is also only worth half the normal faction award.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '215', 'combat_smuggler_underworld_03', 'A Smuggler is motivated by two things: survival and profit.  Sometimes it\'s necessary to change sides in a conflict to achieve those goals.  With the \"Selling Out\" skill, a Smuggler can trade faction points for cash at any opposing faction recruiter.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '216', 'combat_smuggler_underworld_04', 'A Smuggler\'s work puts him in contact with a lot of people in high places.  A Smuggler can draw upon these connections to improve his standing with various organizations....at a price.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '217', 'combat_smuggler_weapons_04', 'A Smuggler needs every edge they can get: in negotiation and in battle.  A choice weapon modifiation can lend the extra punch needed to convince an adversary that your price is acceptable.  At the Slicing IV skill level, the smuggler can jury rig a weapon to suit their personal tactical needs.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '218', 'combat_unarmed', 'A Teras Kasi Master is a significant force even by themselves.  The Teras Kasi Specialist focuses on learning the techniques to make their fists and feet deadly weapons.  ');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '219', 'combat_unarmed_ability_01', 'Intermediate Power Techniques grant faster speed and damage to unarmed attacks.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '220', 'combat_unarmed_ability_02', 'Advanced Power Techniques grant faster speed and damage to unarmed attacks.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '221', 'combat_unarmed_ability_03', 'Expert Power Techniques grant faster speed and damage to unarmed attacks.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '222', 'combat_unarmed_ability_04', 'Master Power Techniques grant faster speed and damage to unarmed attacks.  At this level of expertise, one can do considerable unarmed damage to an opponent.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '223', 'combat_unarmed_accuracy_01', 'Intermediate Meditative Techniques improve the Teras Kasi student\'s chance to hit with unarmed attacks.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '224', 'combat_unarmed_accuracy_02', 'Advanced Meditative Techniques improve the Teras Kasi student\'s chance to hit with unarmed attacks.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '225', 'combat_unarmed_accuracy_03', 'Expert Meditative Techniques improve the Teras Kasi student\'s chance to hit with unarmed attacks.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '226', 'combat_unarmed_accuracy_04', 'Master Meditative Techniques improve the Teras Kasi student\'s chance to hit with unarmed attacks.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '227', 'combat_unarmed_master', 'The Teras Kasi Master is one of the most feared melee combat opponents, as they can deliver rapid, damaging blows to even the strongest of enemies.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '228', 'combat_unarmed_novice', 'A Teras Kasi Master is a significant force even by themselves.  The Teras Kasi Specialist focuses on learning the techniques to make their fists and feet deadly weapons.  ');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '229', 'combat_unarmed_speed_01', 'Intermediate Balance Conditioning allows the Teras Kasi student to understand how to merge the concepts of stability and instability into a more complete form.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '230', 'combat_unarmed_speed_02', 'Advanced Balance Conditioning allows for further understanding of the benefits of self-balance as compared to the offensive capabilities of imbalance.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '231', 'combat_unarmed_speed_03', 'Expert Balance Conditioning conveys a higher understanding of how to use mobility and immobility as two parts of the same technique, to imbalance one\'s opponents while maintaining a rock-solid balance of self.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '232', 'combat_unarmed_speed_04', 'Master Balance Conditioning is the final key to a true understanding of the potential use of gravity as an additional weapon in a student\'s arsenal.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '233', 'combat_unarmed_support_01', 'Intermediate Precision Striking leads the Teras Kasi student to the beginning of the path towards accuracy in attacking.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '234', 'combat_unarmed_support_02', 'Advanced Precision Striking furthers the Teras Kasi student\'s understanding of accurate attacks.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '235', 'combat_unarmed_support_03', 'Expert Precision Striking brings the Teras Kasi student to a true understanding of how to accurately attack their opponents.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '236', 'combat_unarmed_support_04', 'Master Precision Striking completes the Teras Kasi student\'s learning of the secrets of accuracy, which also conveys important insights into self-defense.  At this level of understanding, one is able to attack the head, legs, or body of an opponent with ease.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '237', 'common_knowledge', 'Common Knowledge');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '238', 'crafting_architect', 'Architects are able to design and craft a wide variety of buildings, including houses, guildhalls, and resource harvesters.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '239', 'crafting_architect_blueprints_01', 'Each rank in Building gives the player access to new types of homes and structures.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '240', 'crafting_architect_blueprints_02', 'Each rank in Building gives the player access to new types of homes and structures.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '241', 'crafting_architect_blueprints_03', 'Each rank in Building gives the player access to new types of homes and structures.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '242', 'crafting_architect_blueprints_04', 'Each rank in Building gives the player access to new types of homes and structures.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '243', 'crafting_architect_harvesting_01', 'Each rank in Installations gives the player access to new types of non-home structure schematics.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '244', 'crafting_architect_harvesting_02', 'Each rank in Installations gives the player access to new types of non-home structure schematics.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '245', 'crafting_architect_harvesting_03', 'Each rank in Installations gives the player access to new types of non-home structure schematics.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '246', 'crafting_architect_harvesting_04', 'Each rank in Installations gives the player access to new types of non-home structure schematics.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '247', 'crafting_architect_master', 'The Master Architect is able to create a wide range of structures for any want or need.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '248', 'crafting_architect_novice', 'Architects are able to design and craft a wide variety of buildings, including houses, guildhalls, and resource harvesters.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '249', 'crafting_architect_production_01', 'Each rank in Furniture gives the player access to new types of home decoration schematics.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '250', 'crafting_architect_production_02', 'Each rank in Furniture gives the player access to new types of home decoration schematics.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '251', 'crafting_architect_production_03', 'Each rank in Furniture gives the player access to new types of home decoration schematics.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '252', 'crafting_architect_production_04', 'Each rank in Furniture gives the player access to new types of home decoration schematics.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '253', 'crafting_architect_techniques_01', 'Each rank in Construction Techniques gives the player increased ability to craft quality structures and structure components.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '254', 'crafting_architect_techniques_02', 'Each rank in Construction Techniques gives the player increased ability to craft quality structures and structure components.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '255', 'crafting_architect_techniques_03', 'Each rank in Construction Techniques gives the player increased ability to craft quality structures and structure components.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '256', 'crafting_architect_techniques_04', 'Each rank in Construction Techniques gives the player increased ability to craft quality structures and structure components.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '257', 'crafting_armorsmith', 'The Armorsmith is able to craft resilient protective clothing out of base materials.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '258', 'crafting_armorsmith_complexity_01', 'Intermediate Armor Complexity grants the knowledge to make more complex armor components and completed armor suits.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '259', 'crafting_armorsmith_complexity_02', 'Advanced Armor Complexity grants the knowledge to make more complex armor components and completed armor suits.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '260', 'crafting_armorsmith_complexity_03', 'Expert Armor Complexity grants the knowledge to make more complex armor components and completed armor suits.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '261', 'crafting_armorsmith_complexity_04', 'Master Armor Complexity grants the knowledge to make more complex armor components and completed armor suits.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '262', 'crafting_armorsmith_deflectors_01', 'Intermediate Deflectors teaches the Armorsmith to make basic deflectors.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '263', 'crafting_armorsmith_deflectors_02', 'Advanced Deflectors improves the Armorsmith\'s ability to make deflectors.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '264', 'crafting_armorsmith_deflectors_03', 'Expert Deflectors improves the Armorsmith\'s ability to make deflectors.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '265', 'crafting_armorsmith_deflectors_04', 'Master Deflectors improves the Armorsmith\'s ability to make deflectors.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '266', 'crafting_armorsmith_heavy_01', 'Intermediate Heavy Armor grants the knowledge to make heavy armors.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '267', 'crafting_armorsmith_heavy_02', 'Advanced Heavy Armor improves the Armorsmith\'s ability to make heavy armors.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '268', 'crafting_armorsmith_heavy_03', 'Expert Heavy Armor improves the Armorsmith\'s ability to make heavy armors.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '269', 'crafting_armorsmith_heavy_04', 'Master Heavy Armor improves the Armorsmith\'s ability to make heavy armors.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '270', 'crafting_armorsmith_master', 'The Master Armorsmith is able to create the lightest, most protective armor that can be found anywhere.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '271', 'crafting_armorsmith_novice', 'The Armorsmith is able to craft resilient protective clothing out of base materials.  The Novice Armorsmith begins to learn the secrets needed for crafting master armor.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '272', 'crafting_armorsmith_personal_01', 'Intermediate Personal Armor teaches the Armorsmith the skills to make personal armor protection.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '273', 'crafting_armorsmith_personal_02', 'Advanced Personal Armor improves the Armorsmith\'s skills at making personal armor protection.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '274', 'crafting_armorsmith_personal_03', 'Expert Personal Armor improves the Armorsmith\'s skills at making personal armor protection.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '275', 'crafting_armorsmith_personal_04', 'Master Personal Armor improves the Armorsmith\'s skills at making personal armor protection.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '276', 'crafting_artisan', 'The Artisan is the starting point for aspiring merchants and crafters.  A novice Artisan can study engineering, domestic arts, business, and resource surveying.  These skills give the Artisan the ability to create and market the items that form the basis for the Star Wars Galaxies economy.  This is a good starting profession if you like to turn a profit.  Artisans that study engineering can continue on to become Weaponsmiths, Armorsmiths, Architects, or Droid Engineers.  Artisans that study domestic arts can become Tailors or Chefs.  Artisans that study business focus on the process of creating and managing a store, allowing them to become Merchants.  Finally, an Artisan that follows the Surveying skill tree may become a farmer or miner.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '277', 'crafting_artisan_business_01', 'With the \"Access Fees\" skill, an Artisan may place an access fee on any public building they own.  People who wish to use the building must pay the access fee to be granted access for a selected amount of time.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '278', 'crafting_artisan_business_02', 'The \"Advanced Sales\" skill allows you to place premium auctions at a bazaar terminal.  Premium auctions cost more than regular auctions, but are highlighted and marked out from the other auctions on the browse list.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '279', 'crafting_artisan_business_03', 'At the \"Business Ownership\" skill level, an Artisan can place a vendor in any public structure they own.  Initially the Artisan may only select a bulky machine style vendor, but as the Hiring skill mod increases, more vendor types become available.  To place a vendor, select \"Create Vendor\" from your structure\'s management terminal.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '280', 'crafting_artisan_business_04', 'At this skill level the Artisan earns more vendor types to choose from.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '281', 'crafting_artisan_domestic_01', 'Simple Cooking involves the study of basic culinary techniques.  In addition to the study of food, the Artisan begins working with clothing.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '282', 'crafting_artisan_domestic_02', 'Simple Tailoring focuses on improving the Artisan\'s ability to create clothing.  The Artisan also increases their knowledge of food preparation.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '283', 'crafting_artisan_domestic_03', 'Basic Desserts involves the study of various cultural dessert-making methods.  The study of tailoring also continues.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '284', 'crafting_artisan_domestic_04', 'At this skill level, the Artisan gains the ability to craft a clothing repair kit.  With this tool the artisan can keep any piece of clothing in top shape.  The Artisan also furthers their food-making knowledge.  At this point, the Artisan gains access to two elite professions: Tailor and Chef.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '285', 'crafting_artisan_engineering_01', 'Engineering involves the construction of complex devices such as weapons, armor, and tools.  This skill series leads to the Architect, Armorsmith, Weaponsmith, and Droid Engineer professions.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '286', 'crafting_artisan_engineering_02', 'Engineering involves the construction of complex devices such as weapons, armor, and tools.  This skill series leads to the Architect, Armorsmith, Weaponsmith, and Droid Engineer professions.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '287', 'crafting_artisan_engineering_03', 'Engineering involves the construction of complex devices such as weapons, armor, and tools.  This skill series leads to the Architect, Armorsmith, Weaponsmith, and Droid Engineer professions.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '288', 'crafting_artisan_engineering_04', 'Engineering involves the construction of complex devices such as weapons, armor, and tools.  This skill series leads to the Architect, Armorsmith, Weaponsmith, and Droid Engineer professions.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '289', 'crafting_artisan_food_02', 'Advanced Food Crafting continues the Artisan\'s training in the secrets of being a Chef.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '290', 'crafting_artisan_food_03', 'Expert food crafting continues the Artisan\'s training in the secrets of being a Chef.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '291', 'crafting_artisan_food_04', 'Food specialist continues the Artisan\'s training in the secrets of being a Chef.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '292', 'crafting_artisan_master', 'A Master Artisan has well-rounded knowledge in engineering, domestic arts, business, and surveying.  They are able to design complex microcircuitry and gather the rare materials necessary to build them.  Their work forms the basis of components used in crafting elite items like droids, weapons, and armor.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '293', 'crafting_artisan_novice', 'A Novice Artisan has the ability to find and extract the fundamental types of raw material used in item construction.  They also have the ability to craft a limited number of starting items.  An Artisan can continue her studies in engineering, domestic arts, business, and resource surveying.  Each of these paths leads to different elite crafting professions.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '294', 'crafting_artisan_structures_01', 'Intermediate Structure Crafting starts the Artisan down the path of being an Architect. Many structures are vital to the economy, and skilled Architects can be in high demand.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '295', 'crafting_artisan_structures_02', 'Advanced Structure Crafting continues the Artisan\'s achievements towards becoming an Architect.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '296', 'crafting_artisan_structures_03', 'Expert Structure Crafting continues the Artisan\'s achievements towards Architect.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '297', 'crafting_artisan_structures_04', 'Structure Crafting Specialist continues the Artisan\'s achievements towards Architect.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '298', 'crafting_artisan_survey_01', 'Each level of surveying increases the yield per sample, the chance to succeed at sampling, and the range the Artisan can survey.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '299', 'crafting_artisan_survey_02', 'Each level of surveying increases the yield per sample, the chance to succeed at sampling, and the range the Artisan can survey.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '300', 'crafting_artisan_survey_03', 'Each level of surveying increases the yield per sample, the chance to succeed at sampling, and the range the Artisan can survey.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '301', 'crafting_artisan_survey_04', 'Each level of surveying increases the yield per sample, the chance to succeed at sampling, and the range the Artisan can survey.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '302', 'crafting_artisan_weapons_01', 'Intermediate weapons crafting begins to teach the artisan the first few lessons to become a weaponsmith. The artisan is never capable of building spectacular weapons, but even just a few simple ones are almost always adequate.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '303', 'crafting_artisan_weapons_02', 'Advanced Weapons Crafting continues the Artisan\'s training in the ways of the Weaponsmith.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '304', 'crafting_artisan_weapons_03', 'Expert Weapons Crafting continues the Artisan\'s training in the ways of the Weaponsmith.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '305', 'crafting_artisan_weapons_04', 'Weapons Crafting Specialist continues the artisan\'s training in the ways of the weaponsmith.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '306', 'crafting_chef', 'The Chef learns to make exquisite foods, which can bring temporary and valuable statistic enhancement for other professions.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '307', 'crafting_chef_dessert_01', 'Dessert skills cover all forms of alien and human desserts, from the sweet to the really sweet.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '308', 'crafting_chef_dessert_02', 'Dessert skills cover all forms of alien and human desserts, from the sweet to the really sweet.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '309', 'crafting_chef_dessert_03', 'Dessert skills cover all forms of alien and human desserts, from the sweet to the really sweet.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '310', 'crafting_chef_dessert_04', 'Dessert skills cover all forms of alien and human desserts, from the sweet to the really sweet.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '311', 'crafting_chef_dish_01', 'Entrees skills cover meals commonly consumed for lunch or dinner on various worlds.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '312', 'crafting_chef_dish_02', 'Entrees skills cover meals commonly consumed for lunch or dinner on various worlds.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '313', 'crafting_chef_dish_03', 'Entrees skills cover meals commonly consumed for lunch or dinner on various worlds.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '314', 'crafting_chef_dish_04', 'Entrees skills cover meals commonly consumed for lunch or dinner on various worlds.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '315', 'crafting_chef_drink_01', 'Drink skills cover the creation of a large range of alcoholic and non-alcoholic drinks.  The drink skills introduce four types of alcohol stock that can be mixed with other recipes to enhance their power.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '316', 'crafting_chef_drink_02', 'Drink skills cover the creation of a large range of alcoholic and non-alcoholic drinks.  The drink skills introduce four types of alcohol stock that can be mixed with other recipes to enhance their power.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '317', 'crafting_chef_drink_03', 'Drink skills cover the creation of a large range of alcoholic and non-alcoholic drinks.  The drink skills introduce four types of alcohol stock that can be mixed with other recipes to enhance their power.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '318', 'crafting_chef_drink_04', 'Drink skills cover the creation of a large range of alcoholic and non-alcoholic drinks.  The drink skills introduce four types of alcohol stock that can be mixed with other recipes to enhance their power.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '319', 'crafting_chef_master', 'The Master Chef can create the most delicious (and beneficial) foods available.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '320', 'crafting_chef_novice', 'The Chef learns to make exquisite foods, which can bring temporary and valuable statistic enhancement for other professions.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '321', 'crafting_chef_techniques_01', 'The cooking skills include the development of the cooking assembly and experimentation skill mods.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '322', 'crafting_chef_techniques_02', 'The cooking skills include the development of the cooking assembly and experimentation skill mods.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '323', 'crafting_chef_techniques_03', 'The cooking skills include the development of the cooking assembly and experimentation skill mods.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '324', 'crafting_chef_techniques_04', 'The cooking skills include the development of the cooking assembly and experimentation skill mods.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '325', 'crafting_droidengineer', 'The Droid Engineer is able to construct droids that can be used for a variety of purposes, including combat, crafting, or simply carrying heavy objects.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '326', 'crafting_droidengineer_blueprints_01', 'Intermediate Droid Blueprints teaches the Droid Engineer additional schematics for droid construction.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '327', 'crafting_droidengineer_blueprints_02', 'Advanced Droid Blueprints teaches the Droid Engineer additional schematics for droid construction.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '328', 'crafting_droidengineer_blueprints_03', 'Expert Droid Blueprints teaches the Droid Engineer additional schematics for droid construction.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '329', 'crafting_droidengineer_blueprints_04', 'Master Droid Blueprints teaches the Droid Engineer additional schematics for droid construction.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '330', 'crafting_droidengineer_master', 'The Master Droid Engineer can create a wide range of effective (and deadly) droids.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '331', 'crafting_droidengineer_novice', 'The Novice Droid Engineer is able to construct droids that can be used for a variety of purposes, including combat, crafting, or simply carrying heavy objects.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '332', 'crafting_droidengineer_production_01', 'Intermediate Droid Production teaches the Droid Engineer additional schematics for droid component construction.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '333', 'crafting_droidengineer_production_02', 'Advanced Droid Production teaches the Droid Engineer additional schematics for droid component construction.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '334', 'crafting_droidengineer_production_03', 'Expert Droid Production teaches the Droid Engineer additional schematics for droid component construction.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '335', 'crafting_droidengineer_production_04', 'Master Droid Production teaches the Droid Engineer additional schematics for droid component construction.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '336', 'crafting_droidengineer_refinement_01', 'Intermediate Droid Refinement teaches the Droid Engineer additional schematics for droid component construction.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '337', 'crafting_droidengineer_refinement_02', 'Advanced Droid Refinement teaches the Droid Engineer additional schematics for droid component construction.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '338', 'crafting_droidengineer_refinement_03', 'Expert Droid Refinement teaches the Droid Engineer additional schematics for droid component construction.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '339', 'crafting_droidengineer_refinement_04', 'Master Droid Refinement teaches the Droid Engineer additional schematics for droid component construction.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '340', 'crafting_droidengineer_techniques_01', 'Intermediate Droid Construction Techniques improves the Droid Engineer\'s ability to specialize specific droid qualities.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '341', 'crafting_droidengineer_techniques_02', 'Advanced Droid Construction Techniques improves the Droid Engineer\'s ability to specialize specific droid qualities.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '342', 'crafting_droidengineer_techniques_03', 'Expert Droid Construction Techniques improves the Droid Engineer\'s ability to specialize specific droid qualities.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '343', 'crafting_droidengineer_techniques_04', 'Master Droid Construction Techniques improves the Droid Engineer\'s ability to specialize specific droid qualities.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '344', 'crafting_industrialist', 'The Industrialist learns how to manufacture and sell goods through merchants.  Industrialists buy manufacturing schematics, build factories, make goods, and sell them through their vendors in shops that they have set up.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '345', 'crafting_industrialist_efficiency_01', 'Intermediate Factory Efficiency increases a factory\'s efficiency at making an item, reducing repair costs.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '346', 'crafting_industrialist_efficiency_02', 'Advanced Factory Efficiency increases a factory\'s efficiency at making an item, reducing repair costs.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '347', 'crafting_industrialist_efficiency_03', 'Expert Factory Efficiency increases a factory\'s efficiency at making an item, reducing repair costs.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '348', 'crafting_industrialist_efficiency_04', 'Master Factory Efficiency increases a factory\'s efficiency at making an item, reducing repair costs.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '349', 'crafting_industrialist_maintenance_01', 'Intermediate Factory Maintenance reduces the maintenance costs and improves the overall condition of an Industrialist\'s factories.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '350', 'crafting_industrialist_maintenance_02', 'Advanced Factory Maintenance reduces the maintenance costs and improves the overall condition of an Industrialist\'s factories.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '351', 'crafting_industrialist_maintenance_03', 'Expert Factory Maintenance reduces the maintenance costs and improves the overall condition of an Industrialist\'s factories.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '352', 'crafting_industrialist_maintenance_04', 'Master Factory Maintenance reduces the maintenance costs and improves the overall condition of an Industrialist\'s factories.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '353', 'crafting_industrialist_management_01', 'Intermediate Factory Management increases the industrialist\'s number of vendors and the size of the vendor\'s stock.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '354', 'crafting_industrialist_management_02', 'Advanced Factory Management increases the industrialist\'s number of vendors and the size of the vendor\'s stock.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '355', 'crafting_industrialist_management_03', 'Expert Factory Management increases the industrialist\'s number of vendors and the size of the vendor\'s stock.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '356', 'crafting_industrialist_management_04', 'Master Factory Management increases the industrialist\'s number of vendors and the size of the vendor\'s stock.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '357', 'crafting_industrialist_master', 'The Master Industrialist knows efficient and effective factories, as well has how to have a full suite of vendors with large inventories.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '358', 'crafting_industrialist_novice', 'The novice industrialist learns the basics of using factories and setting up vendors to sell items.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '359', 'crafting_industrialist_speed_01', 'Intermediate Factory Speed improves the rate at which factory can turn out items created from a manufacturing schematic.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '360', 'crafting_industrialist_speed_02', 'Advanced Factory Speed improves the rate at which factory can turn out items created from a manufacturing schematic.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '361', 'crafting_industrialist_speed_03', 'Expert Factory Speed improves the rate at which factory can turn out items created from a manufacturing schematic.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '362', 'crafting_industrialist_speed_04', 'Master Factory Speed improves the rate at which factory can turn out items created from a manufacturing schematic.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '363', 'crafting_merchant', 'A Merchant is skilled at advertising and selling wares through vendors.  At the Novice Merchant skill level, the player earns the ability to place a NPC vendor of a random playable race.  The Merchant also has the ability to place control vendors one at a time.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '364', 'crafting_merchant_advertising_01', 'Merchants who learn how to give their vendors vocalization training can assign their vendor a greeting to say when a customer approaches.  This option appears under the Vendor Control menu.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '365', 'crafting_merchant_advertising_02', 'Advanced Vocalization gives the Merchant the option of teaching their NPC vendors customized strings to greet potential customers with.  This option appears as a part of the \"Ad Barking\" menu.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '366', 'crafting_merchant_advertising_03', 'This skill gives the Merchant the option to advertise their vendors on the planetary map.  The option to \"Register Vendor\" on the planetary map appears in the Vendor Control menu.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '367', 'crafting_merchant_advertising_04', 'At this skill level the additional cost for advertising your vendor on the global map is reduced by half.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '368', 'crafting_merchant_hiring_01', 'As the Merchant\'s \"Hiring\" skill mod increases, the Merchant gains the ability to place more interesting types of vendors.  New terminals, droids, and NPC options become available with each rank.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '369', 'crafting_merchant_hiring_02', 'As the Merchant\'s \"Hiring\" skill mod increases, the Merchant gains the ability to place more interesting types of vendors.  New terminals, droids, and NPC options become available with each rank.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '370', 'crafting_merchant_hiring_03', 'As the Merchant\'s \"Hiring\" skill mod increases, the Merchant gains the ability to place more interesting types of vendors.  New terminals, droids, and NPC options become available with each rank.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '371', 'crafting_merchant_hiring_04', 'At this skill level the Merchant gains the ability to customize a vendor\'s appearance.  Drag and drop a piece of clothing or a weapon onto the vendor and they will wear it.  Note that normal racial clothing restrictions (like the Trandoshan\'s inability to wear boots) still apply.  Items given to vendors in this manner can not be regained.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '372', 'crafting_merchant_management_01', 'Each rank in Management grants the Merchant the ability to place an additional vendor.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '373', 'crafting_merchant_management_02', 'Each rank in Management grants the Merchant the ability to place an additional vendor.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '374', 'crafting_merchant_management_03', 'Each rank in Management grants the Merchant the ability to place an additional vendor.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '375', 'crafting_merchant_management_04', 'Each rank in Management grants the Merchant the ability to place an additional vendor.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '376', 'crafting_merchant_master', 'The Master Merchant is skilled at all forms of business and has the largest number of vendor types to choose from.  At this level, the merchant can run vendors for 60% the normal maintenance cost.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '377', 'crafting_merchant_novice', 'A Merchant is skilled at advertising and selling wares through vendors.  At the Novice Merchant skill level, the player earns the ability to place a NPC vendor of a random playable race.  The Merchant also has the ability to place control vendors one at a time.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '378', 'crafting_merchant_sales_01', 'At this skill level, the merchant can list items on the global bazaar for 80% of the normal fee.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '379', 'crafting_merchant_sales_02', 'At this skill level, the merchant can run vendors for 80% the normal maintenance cost.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '380', 'crafting_merchant_sales_03', 'At this skill level, the merchant can list items on the global bazaar for 60% of the normal fee.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '381', 'crafting_merchant_sales_04', 'At this skill level, the merchant can run structures for 80% of the normal maintenance cost.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '382', 'crafting_shipwright_engineering_01', 'At this skill level, a spaceframe engineer can produce chassis for some starfighters.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '383', 'crafting_shipwright_engineering_02', 'At this skill level, a spaceframe engineer can make more starfighter chassis.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '384', 'crafting_shipwright_engineering_03', 'At this skill level, a spaceframe engineer can produce more kinds of starfighter chassis.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '385', 'crafting_shipwright_engineering_04', 'At this skill level, a spaceframe engineer can produce more kinds of starfighter chassis.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '386', 'crafting_shipwright_master', 'A Master Shipwright can produce all starfighter chassis and components.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '387', 'crafting_shipwright_novice', 'A Shipwright can produce components and chassis deeds for many kinds of starfighters.  ');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '388', 'crafting_shipwright_propulsion_01', 'A drive mechanic of this skill level can produce and work on simple starfighter engines and boosters.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '389', 'crafting_shipwright_propulsion_02', 'A drive mechanic of this skill level can produce and work on mid-grade starfighter engines and boosters.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '390', 'crafting_shipwright_propulsion_03', 'A drive mechanic of this skill level can produce and work on advanced starfighter engines and boosters.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '391', 'crafting_shipwright_propulsion_04', 'A drive mechanic of this skill level can produce and work on all levels of starfighter engines and boosters.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '392', 'crafting_shipwright_defense_01', 'A defense systems engineer of this level can produce small arms and shields for starfighters.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '393', 'crafting_shipwright_defense_02', 'A defense systems engineer of this level can produce intermediate arms and shields for starfighters.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '394', 'crafting_shipwright_defense_03', 'A defense systems engineer of this level can produce heavy arms and shields for starfighters.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '395', 'crafting_shipwright_defense_04', 'A defense systems engineer of this level can produce advanced arms and shields for starfighters.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '396', 'crafting_shipwright_systems_01', 'A systems engineer of this level can produce basic starfighter weapons, shields, and power systems.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '397', 'crafting_shipwright_systems_02', 'A systems engineer of this level can produce mid-grade weapons, shields, and power systems.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '398', 'crafting_shipwright_systems_03', 'A systems engineer of this level can produce advanced weapons, shields, and power systems.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '399', 'crafting_shipwright_systems_04', 'A systems engineer of this level can produce all levels of weapons, shields, and power systems.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '400', 'crafting_starfighter_engineer', 'Starfighter Engineers specialize in the design and construction of advanced components for starfighters.  ');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '401', 'crafting_starfighter_engineer_defense_01', 'Starfighter engineers who specialize in this skill can build defense mechanisms of increasing quality.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '402', 'crafting_starfighter_engineer_defense_02', 'Starfighter engineers who specialize in this skill can build defense mechanisms of increasing quality.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '403', 'crafting_starfighter_engineer_defense_03', 'Starfighter engineers who specialize in this skill can build defense mechanisms of increasing quality.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '404', 'crafting_starfighter_engineer_defense_04', 'Starfighter engineers who specialize in this skill can build defense mechanisms of increasing quality.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '405', 'crafting_starfighter_engineer_infrastructure_01', 'Starfighter engineers who specialize in this skill can build engines and reactors systems of increasing power.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '406', 'crafting_starfighter_engineer_infrastructure_02', 'Starfighter engineers who specialize in this skill can build engines and reactors systems of increasing power.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '407', 'crafting_starfighter_engineer_infrastructure_03', 'Starfighter engineers who specialize in this skill can build engines and reactors systems of increasing power.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '408', 'crafting_starfighter_engineer_infrastructure_04', 'Starfighter engineers who specialize in this skill can build engines and reactors systems of increasing power.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '409', 'crafting_starfighter_engineer_master', 'A master starfighter engineer can build the most advanced systems possible for a combat ship.  ');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '410', 'crafting_starfighter_engineer_novice', 'A starfighter engineer can build and maintain many advanced systems for use in small combat craft.  ');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '411', 'crafting_starfighter_engineer_systems_01', 'Starfighter engineers who specialize in this skill can build droid interfaces, boosters, and other advanced systems.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '412', 'crafting_starfighter_engineer_systems_02', 'Starfighter engineers who specialize in this skill can build droid interfaces, boosters, and other advanced systems.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '413', 'crafting_starfighter_engineer_systems_03', 'Starfighter engineers who specialize in this skill can build droid interfaces, boosters, and other advanced systems.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '414', 'crafting_starfighter_engineer_systems_04', 'Starfighter engineers who specialize in this skill can build droid interfaces, boosters, and other advanced systems.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '415', 'crafting_starfighter_engineer_weapons_01', 'Starfighter engineers who specialize in this skill can build weapons of increasing devastation.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '416', 'crafting_starfighter_engineer_weapons_02', 'Starfighter engineers who specialize in this skill can build weapons of increasing devastation.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '417', 'crafting_starfighter_engineer_weapons_03', 'Starfighter engineers who specialize in this skill can build weapons of increasing devastation.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '418', 'crafting_starfighter_engineer_weapons_04', 'Starfighter engineers who specialize in this skill can build weapons of increasing devastation.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '419', 'crafting_tailor', 'The Tailor specializes in being able to create a wide variety of clothing types and styles. A good Tailor is like a good Doctor -- once you know a good one, you never want to let go of them.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '420', 'crafting_tailor_casual_01', 'Casual clothing types include common articles like shirts, pants, and shorts.  Each skill in this category grants new casual clothing schematics to the Tailor.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '421', 'crafting_tailor_casual_02', 'Casual clothing types include common articles like shirts, pants, and shorts.  Each skill in this category grants new casual clothing schematics to the Tailor.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '422', 'crafting_tailor_casual_03', 'Casual clothing types include common articles like shirts, pants, and shorts.  Each skill in this category grants new casual clothing schematics to the Tailor.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '423', 'crafting_tailor_casual_04', 'Casual clothing types include common articles like shirts, pants, and shorts.  Each skill in this category grants new casual clothing schematics to the Tailor.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '424', 'crafting_tailor_field_01', 'Field clothing types include articles such as belts, backpacks, bandoliers, and work jackets.  Each skill in this category grants new field clothing schematics to the Tailor.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '425', 'crafting_tailor_field_02', 'Field clothing types include articles such as belts, backpacks, bandoliers, and work jackets.  Each skill in this category grants new field clothing schematics to the Tailor.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '426', 'crafting_tailor_field_03', 'Field clothing types include articles such as belts, backpacks, bandoliers, and work jackets.  Each skill in this category grants new field clothing schematics to the Tailor.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '427', 'crafting_tailor_field_04', 'Field clothing types include articles such as belts, backpacks, bandoliers, and work jackets.  Each skill in this category grants new field clothing schematics to the Tailor.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '428', 'crafting_tailor_formal_01', 'Formal wear includes articles such as dresses, robes, and elaborate costumes.  Each skill in this category grants new formal wear schematics to the Tailor.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '429', 'crafting_tailor_formal_02', 'Formal wear includes articles such as dresses, robes, and elaborate costumes.  Each skill in this category grants new formal wear schematics to the Tailor.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '430', 'crafting_tailor_formal_03', 'Formal wear includes articles such as dresses, robes, and elaborate costumes.  Each skill in this category grants new formal wear schematics to the Tailor.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '431', 'crafting_tailor_formal_04', 'Formal wear includes articles such as dresses, robes, and elaborate costumes.  Each skill in this category grants new formal wear schematics to the Tailor.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '432', 'crafting_tailor_master', 'The Master Tailor has the widest range of customizable clothing one can find.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '433', 'crafting_tailor_novice', 'The Tailor specializes in being able to create a wide variety of clothing types and styles. A good Tailor is like a good Doctor -- once you know a good one, you never want to let go of them.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '434', 'crafting_tailor_production_01', 'Tailoring skills increase the Tailor\'s ability to successfully craft clothing.  These skills also increase the amount of color customization options the Tailor receives for a finished product.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '435', 'crafting_tailor_production_02', 'Tailoring skills increase the Tailor\'s ability to successfully craft clothing.  These skills also increase the amount of color customization options the Tailor receives for a finished product.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '436', 'crafting_tailor_production_03', 'Tailoring skills increase the Tailor\'s ability to successfully craft clothing.  These skills also increase the amount of color customization options the Tailor receives for a finished product.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '437', 'crafting_tailor_production_04', 'Tailoring skills increase the Tailor\'s ability to successfully craft clothing.  These skills also increase the amount of color customization options the Tailor receives for a finished product.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '438', 'crafting_weaponsmith', 'The Weaponsmith is able to craft a wide variety of dangerous weapons out of raw materials.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '439', 'crafting_weaponsmith_firearms_01', 'Intermediate Firearms grants the Weaponsmith knowledge on how to make more complex firearms.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '440', 'crafting_weaponsmith_firearms_02', 'Advanced Firearms grants the Weaponsmith knowledge on how to make more complex firearms.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '441', 'crafting_weaponsmith_firearms_03', 'Expert Firearms grants the Weaponsmith knowledge on how to make more complex firearms.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '442', 'crafting_weaponsmith_firearms_04', 'Master Firearms grants the Weaponsmith knowledge on how to make more complex firearms.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '443', 'crafting_weaponsmith_master', 'The Master Weaponsmith is able to create the most deadly weapons one can find.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '444', 'crafting_weaponsmith_melee_01', 'Intermediate Melee Weapons teaches the Weaponsmith how to make more complex melee weapons.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '445', 'crafting_weaponsmith_melee_02', 'Advanced Melee Weapons teaches the Weaponsmith how to make more complex melee weapons.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '446', 'crafting_weaponsmith_melee_03', 'Expert Melee Weapons teaches the Weaponsmith how to make more complex melee weapons.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '447', 'crafting_weaponsmith_melee_04', 'Master Melee Weapons teaches the Weaponsmith how to make more complex melee weapons.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '448', 'crafting_weaponsmith_munitions_01', 'Intermediate Munitions conveys the knowledge of how to make explosives.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '449', 'crafting_weaponsmith_munitions_02', 'Advanced Munitions improves the Weaponsmith\'s knowledge of explosives.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '450', 'crafting_weaponsmith_munitions_03', 'Expert Munitions improves the Weaponsmith\'s knowledge of explosives.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '451', 'crafting_weaponsmith_munitions_04', 'Master Munitions improves the Weaponsmith\'s knowledge of explosives.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '452', 'crafting_weaponsmith_novice', 'The Weaponsmith is able to craft a wide variety of dangerous weapons out of raw materials. Novice Weaponsmiths learn the beginning set of skills to allow them to explore this profession.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '453', 'crafting_weaponsmith_techniques_01', 'Intermediate Weapon Crafting Techniques conveys improved ability at the skills needed to craft all types of weapons.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '454', 'crafting_weaponsmith_techniques_02', 'Advanced Weapon Crafting Techniques conveys improved ability at the skills needed to craft all types of weapons.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '455', 'crafting_weaponsmith_techniques_03', 'Expert Weapon Crafting Techniques conveys improved ability at the skills needed to craft all types of weapons.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '456', 'crafting_weaponsmith_techniques_04', 'Master Weapon Crafting Techniques conveys improved ability at the skills needed to craft all types of weapons.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '457', 'default', '');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '458', 'demo_combat', 'Demo Combat');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '459', 'force_discipline_defender_force_defense_01', 'You are learning to control the Force and this has given you the ability to anticipate Force attacks from your enemies, allowing you to protect yourself from them to some degree.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '460', 'force_discipline_defender_force_defense_02', 'Your Force sensitivity has increased, allowing you to sense the will of the Force around you and to use it to your advantage when battling other Force users.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '461', 'force_discipline_defender_force_defense_03', 'Your skill with the Force has grown strong, and you have the ability to defend yourself from Force attacks using the powers you have gained.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '462', 'force_discipline_defender_force_defense_04', 'The Force is strong within you, and allows you to protect yourself from those who would use the Force against you.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '463', 'force_discipline_defender_master', 'You have mastered all the arts of defense using your connection with the Force.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '464', 'force_discipline_defender_melee_defense_01', 'You are learning to use your Force abilities to protect yourself from melee attacks.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '465', 'force_discipline_defender_melee_defense_02', 'Your Force abilites are growing stronger, and you are better equipped for protecting yourself in melee combat.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '466', 'force_discipline_defender_melee_defense_03', 'You have a knack for anticipating the movements of a melee attacker, allowing you to avoid their attacks, due to your increased awareness of the Force.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '467', 'force_discipline_defender_melee_defense_04', 'You have grown strong in the Force, and melee combat comes easily to you, as does defending yourself by anticipating every move made by your opponents in melee range.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '468', 'force_discipline_defender_novice', 'You have begun to learn the art of defending yourself using your Force abilities.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '469', 'force_discipline_defender_preternatural_defense_01', 'You have the ability to defend yourself from dangerous states that opponents can put you in.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '470', 'force_discipline_defender_preternatural_defense_02', 'You have the ability to defend yourself from dangerous states that opponents can put you in.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '471', 'force_discipline_defender_preternatural_defense_03', 'You have the ability to defend yourself from dangerous states that opponents can put you in.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '472', 'force_discipline_defender_preternatural_defense_04', 'You have the ability to defend yourself from dangerous states that opponents can put you in.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '473', 'force_discipline_defender_ranged_defense_01', 'You are learning to use your Force abilities to protect yourself from ranged attacks.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '474', 'force_discipline_defender_ranged_defense_02', 'You are becoming more aware of the living Force around you, which gives you a better opportunity to avoid ranged attacks.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '475', 'force_discipline_defender_ranged_defense_03', 'Using the Force you can sense the attacks of creatures some distance away, leaving you better prepared to defend yourself from them.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '476', 'force_discipline_defender_ranged_defense_04', 'Your Force powers have become stronger, and you are able to anticipate ranged attacks before they occur, giving you great protection from them.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '477', 'force_discipline_enhancements_master', 'You have mastered the ability to enhance your own physical prowess as you have grown strong with the Force.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '478', 'force_discipline_enhancements_movement_01', 'You have learned to manipulate the Force around you, hastening your actions.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '479', 'force_discipline_enhancements_movement_02', 'Using your Force abilities, you have given yourself the advantage of moving at an incredible speed for short periods of time.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '480', 'force_discipline_enhancements_movement_03', 'You can manipulate the Force to your will, giving you quickness of action that is far beyond normal capabilities.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '481', 'force_discipline_enhancements_movement_04', 'Your Force abilities have given you endurance and speed allowing you to run further faster than you normally could.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '482', 'force_discipline_enhancements_novice', 'You are learning to use the Force to enhance your own abilities, making you a stronger individual than you were before.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '483', 'force_discipline_enhancements_protection_01', 'Your Force abilities grant you the power to deflect attacks made against you.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '484', 'force_discipline_enhancements_protection_02', 'Your abilities have grown and you can now use the Force to absorb some of the damage an attack would have caused you.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '485', 'force_discipline_enhancements_protection_03', 'You have gotten better at using your Force powers to deflect attacks against you.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '486', 'force_discipline_enhancements_protection_04', 'Your Force powers now allow you to absorb a great deal more damage than you could normally withstand.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '487', 'force_discipline_enhancements_resistance_01', 'You can use the Force to close wounds that would normally cause high loss of blood and damage to your body.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '488', 'force_discipline_enhancements_resistance_02', 'The Force is strong within you, and repels disease that would cause pain and death to almost any other creature.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '489', 'force_discipline_enhancements_resistance_03', 'Your body is no longer affected by toxins the way it once was, due to the Force coursing through your body.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '490', 'force_discipline_enhancements_resistance_04', 'You have complete control over yourself and the Force which flows around you, keeping you safe from damaging effects.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '491', 'force_discipline_enhancements_synergy_01', 'Your Force abilities have matured, allowing you to transfer some of your power to an ally.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '492', 'force_discipline_enhancements_synergy_02', 'Your Force abilities now allow you to convert your own Health, Action, and Mind into Force energy.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '493', 'force_discipline_enhancements_synergy_03', 'Your Force abilities allow you to siphon the Force energies of an enemy to replenish your own.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '494', 'force_discipline_enhancements_synergy_04', 'You can put yourself into a meditative stance, allowing you to regenerate your Force energy more quickly, but it requires all your concentration, which leaves you defenseless.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '495', 'force_discipline_healing_damage_01', 'You have learned to use the Force to clear your mind of damaging influences, and to keep your muscles limber and pain-free.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '496', 'force_discipline_healing_damage_02', 'You have gained the ablity to heal all damage to your Health, Action, and Mind with your new Force powers.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '497', 'force_discipline_healing_damage_03', 'By concentrating on either your Health, Action, or Mind, you can heal a great deal of damage to any of these areas.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '498', 'force_discipline_healing_damage_04', 'You have gained the ability to heal large amounts of damage to your Health, Action, and Mind all at once.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '499', 'force_discipline_healing_master', 'You are strong with the Force, and have mastered the art of healing, using your energy and the living Force around you.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '500', 'force_discipline_healing_novice', 'You are learning the healing arts of the Force, and can use your newfound Force powers to heal damage that you have taken.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '501', 'force_discipline_healing_other_01', 'You can use your Force abilities to heal damage taken by other people.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '502', 'force_discipline_healing_other_02', 'By concentrating on an individual, you can use your Force powers to heal their body and mind simultaneously.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '503', 'force_discipline_healing_other_03', 'Your abilities to heal other people have grown, as your power grows with the Force.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '504', 'force_discipline_healing_other_04', 'You can concentrate on not only healing other people\'s body and minds, but on clearing their bodies and minds of any distracting effects.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '505', 'force_discipline_healing_states_01', 'Your Force abilities grant you the power to slow bleeding, keeping you alive.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '506', 'force_discipline_healing_states_02', 'Your Force abilities grant you the power to cure diseases.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '507', 'force_discipline_healing_states_03', 'Your Force abilities grant you the power to cure poisons.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '508', 'force_discipline_healing_states_04', 'Using your Force abilities, you can stabilize yourself, freeing you from any dangerous effects you might have encountered.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '509', 'force_discipline_healing_wound_01', 'You have acquired the ability to heal wounds to your body using your Force powers.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '510', 'force_discipline_healing_wound_02', 'You can use your Force abilities to heal wounds to your psyche and mind.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '511', 'force_discipline_healing_wound_03', 'Your ability to heal your body using your Force powers has increased.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '512', 'force_discipline_healing_wound_04', 'Your Force abilities allow you an even greater degree of healing to your psyche and mind.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '513', 'force_discipline_light_saber_master', 'You have completed your training with all forms of lightsabers and techniques.  You are now a lightsaber master.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '514', 'force_discipline_light_saber_novice', 'You have begun your training with the true weapon of a Jedi Knight.  Not as clumsy or random as a blaster, this is an elegant weapon.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '515', 'force_discipline_light_saber_one_hand_01', 'Your training has begun teaching you to target vital areas of your opponent\'s body.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '516', 'force_discipline_light_saber_one_hand_02', 'Your training has taught you how to hit harder with your lightsaber, as well as how to do combo attacks, combining multiple attacks into a single flowing action.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '517', 'force_discipline_light_saber_one_hand_03', 'Your ability to damage vital areas has increased, as well as your speed with the lightsaber, allowing you to make a vicious flurry of attacks.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '518', 'force_discipline_light_saber_one_hand_04', 'Your skill with the lightsaber has resulted in your attacks increasing in both damage and speed.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '519', 'force_discipline_light_saber_polearm_01', 'Your training with the double-bladed lightsaber continues, and you have learned the valuable lesson of the spin attack.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '520', 'force_discipline_light_saber_polearm_02', 'Your training with the double-bladed lightsaber has taught you to affect your opponent\'s abilities to react by attacking the legs.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '521', 'force_discipline_light_saber_polearm_03', 'You have increased your abilities with the double-bladed lightsaber, and you can do more damage to an opponent using your leg attacks.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '522', 'force_discipline_light_saber_polearm_04', 'You have become quite skillful in the use of the double-bladed lightsaber, making you a very lethal opponent.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '523', 'force_discipline_light_saber_technique_01', 'You have learned the technique of the Saber Slash, which causes your target to lower its posture and to bleed profusely from the wounds you cause.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '524', 'force_discipline_light_saber_technique_02', 'You have learned one of the most difficult of techniques, the lightsaber throw.  You must maintain your balance and use your Force abilities to direct the weapon\'s attack.  A very dangerous move indeed.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '525', 'force_discipline_light_saber_technique_03', 'Your slashing technique has improved, making you more powerful with any of the lightsaber styles.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '526', 'force_discipline_light_saber_technique_04', 'You have completed training in the techniques of the lightsaber, including throwing and slashing.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '527', 'force_discipline_light_saber_two_hand_01', 'You are learning the skills of the two-handed lightsaber, beginning with the most basic of attacks, the body hit.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '528', 'force_discipline_light_saber_two_hand_02', 'You have learned not only how to increase the power of your attacks, but how to use your weapon to sweep, causing your target to lower its posture.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '529', 'force_discipline_light_saber_two_hand_03', 'Your attacks are becoming more frenzied, allowing you to do more damage and faster attacks.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '530', 'force_discipline_light_saber_two_hand_04', 'You have become quite skillful in the use of the two-handed lightsaber, making it very deadly in your hands.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '531', 'force_discipline_powers_debuff_01', 'Using your Force-trained abilities, you can weaken your opponents.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '532', 'force_discipline_powers_debuff_02', 'You can use your powers with the Force to intimidate those who are opposed to you.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '533', 'force_discipline_powers_debuff_03', 'Your ability to weaken enemies has grown stronger.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '534', 'force_discipline_powers_debuff_04', 'Your ability to intimidate enemies has grown stronger.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '535', 'force_discipline_powers_lightning_01', 'You have the Force ability to call a directed energy attack at an opponent.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '536', 'force_discipline_powers_lightning_02', 'Your Force abilities allow you to direct an energy attack at a group of opponents with a cone-shaped attack.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '537', 'force_discipline_powers_lightning_03', 'Your ability to cause damage with an energy attack against a single opponent has increased.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '538', 'force_discipline_powers_lightning_04', 'Your ability to cause damage with a cone-shaped energy attack has increased.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '539', 'force_discipline_powers_master', 'You have completed your training in Force powers, and have become a master Force wielder.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '540', 'force_discipline_powers_mental_01', 'You have the ability to call upon the Force, inflicting damage to the mind of your enemy.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '541', 'force_discipline_powers_mental_02', 'You have trained your Force abilities to allow you to calm an enraged creature and to transfer your Force power to those who might need it.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '542', 'force_discipline_powers_mental_03', 'You can use the Force to damage your enemy\'s psyche.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '543', 'force_discipline_powers_mental_04', 'You can direct the attacks of lesser-willed creatures to your will, as well as drain the Force powers of your enemy\'s.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '544', 'force_discipline_powers_novice', 'Your training in the Force is progressing and you are learning to use your mental abilities to affect living creatures around you.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '545', 'force_discipline_powers_push_01', 'Using the Force as a psychokinetic instrument, you can attack a target with nearby objects.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '546', 'force_discipline_powers_push_02', 'Using a blast of power from the Force, you can knock your enemies to the ground.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '547', 'force_discipline_powers_push_03', 'Your ability to throw objects at your opponents using only your will has increased.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '548', 'force_discipline_powers_push_04', 'Your ability to knock down your enemies has increased in power.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '549', 'force_rank_dark_master', 'Only 1 Dark Enclave member may be the Council Leader.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '550', 'force_rank_dark_novice', 'Enclave Member grants a Jedi access to the Dark Enclave.  Jedi with this skill are always considered special forces of the Imperial faction.  If this skill is ever revoked, it may only be attained again by completing the Jedi Knight quests.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '551', 'force_rank_dark_rank_01', 'Only 10 Dark Enclave members may reside at the 1st Rank.\n');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '552', 'force_rank_dark_rank_02', 'Only 10 Dark Enclave members may reside at the 2nd Rank.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '553', 'force_rank_dark_rank_03', 'Only 10 Dark Enclave members may reside at the 3rd Rank.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '554', 'force_rank_dark_rank_04', 'Only 10 Dark Enclave members may reside at the 4th Rank.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '555', 'force_rank_dark_rank_05', 'Only 9 Dark Enclave members may reside at the 5th Rank.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '556', 'force_rank_dark_rank_06', 'Only 9 Dark Enclave members may reside at the 6th Rank.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '557', 'force_rank_dark_rank_07', 'Only 9 Dark Enclave members may reside at the 7th Rank.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '558', 'force_rank_dark_rank_08', 'Only 8 Dark Enclave members may reside at the 8th Rank.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '559', 'force_rank_dark_rank_09', 'Only 8 Dark Enclave members may reside at the 9th Rank.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '560', 'force_rank_dark_rank_10', 'Only 11 Dark Enclave members may reside on The Council.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '561', 'force_rank_light_master', 'Only 1 Light Enclave member may be the Council Leader.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '562', 'force_rank_light_novice', 'Enclave Member grants a Jedi access to the Light Enclave.  Jedi with this skill are always considered special forces of the Rebel faction.  If this skill is ever revoked, it may only be attained again by completing the Jedi Knight quests.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '563', 'force_rank_light_rank_01', 'Only 10 Light Enclave members may reside at the 1st Rank.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '564', 'force_rank_light_rank_02', 'Only 10 Light Enclave members may reside at the 2nd Rank.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '565', 'force_rank_light_rank_03', 'Only 10 Light Enclave members may reside at the 3rd Rank.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '566', 'force_rank_light_rank_04', 'Only 10 Light Enclave members may reside at the 4th Rank.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '567', 'force_rank_light_rank_05', 'Only 9 Light Enclave members may reside at the 5th Rank.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '568', 'force_rank_light_rank_06', 'Only 9 Light Enclave members may reside at the 6th Rank.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '569', 'force_rank_light_rank_07', 'Only 9 Light Enclave members may reside at the 7th Rank.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '570', 'force_rank_light_rank_08', 'Only 8 Light Enclave members may reside at the 8th Rank.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '571', 'force_rank_light_rank_09', 'Only 8 Light Enclave members may reside at the 9th Rank.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '572', 'force_rank_light_rank_10', 'Only 11 Light Enclave members may reside on The Council.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '573', 'force_sensitive_combat_prowess_master', 'You have mastered all the abilities the Force has granted you, increasing your combat capabliities with both ranged and melee weapons.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '574', 'force_sensitive_combat_prowess_melee_accuracy_01', 'Your Force sensitivity allows you to become more in touch with your weapon, making you more accurate.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '575', 'force_sensitive_combat_prowess_melee_accuracy_02', 'Your Force sensitivity allows you to use the weapon as an extension of yourself, greatly increasing your accuracy.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '576', 'force_sensitive_combat_prowess_melee_accuracy_03', 'Your Force sensitivity allows you finer control of where your weapon hits your opponent, making you more accurate.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '577', 'force_sensitive_combat_prowess_melee_accuracy_04', 'Your Force sensitivity allows you to move faster than normal, making you more accurate.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '578', 'force_sensitive_combat_prowess_melee_speed_01', 'Your Force sensitivity allows you to attack more quickly with your weapon.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '579', 'force_sensitive_combat_prowess_melee_speed_02', 'Your Force sensitivity has made you more in tune with the weapon you wield, making it move quicker than it should.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '580', 'force_sensitive_combat_prowess_melee_speed_03', 'Your muscles have been honed by the Force, and your speed with your weapon is greatly increased.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '581', 'force_sensitive_combat_prowess_melee_speed_04', 'Your Force sensitivity allows you to move quicker than normal, and to use the weapon you wield as an extension of yourself, making you blindingly fast  in close-quarters combat.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '582', 'force_sensitive_combat_prowess_novice', 'Your recently awakened Force sensitivity has become useful to you in many combat situations.  Your accuracy is increased with both ranged and melee weapons, as well as the speed with which you wield them.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '583', 'force_sensitive_combat_prowess_ranged_accuracy_01', 'Your Force sensitivity allows you to sense the next movement of a ranged combat target, anticipating where the shot should be placed.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '584', 'force_sensitive_combat_prowess_ranged_accuracy_02', 'Your Force sensitivity allows you to sense the speed with which your opponent is capable of moving, allowing you to lead your target properly for the best possible shot.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '585', 'force_sensitive_combat_prowess_ranged_accuracy_03', 'Your Force sensitivity allows you to sense the weakest parts of your opponent\'s armor, or body, and to capitalize on the ability to hit those locations.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '586', 'force_sensitive_combat_prowess_ranged_accuracy_04', 'Your Force sensitivity allows you to focus on the target, using all the skills you\'ve learned before about vital areas, speed, and movement, and combining them all into the ability to kill from a distance with deadly accuracy.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '587', 'force_sensitive_combat_prowess_ranged_speed_01', 'Your Force sensitivity allows you to fire your weapon with greater speed by anticipating its refire rate quicker than you normally could.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '588', 'force_sensitive_combat_prowess_ranged_speed_02', 'Your Force sensitivity allows you to fire your weapon with greater speed because your senses are honed with the weapon.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '589', 'force_sensitive_combat_prowess_ranged_speed_03', 'Your Force sensitivity allows your fingers to move more quickly than normal, allowing you to fire more quickly.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '590', 'force_sensitive_combat_prowess_ranged_speed_04', 'Your Force sensitivity has allowed you to hone your will with that of your weapon, greatly increasing your speed with using it.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '591', 'force_sensitive_crafting_mastery', 'You have mastered your Force abilities, making you an amazing crafter.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '592', 'force_sensitive_crafting_mastery_assembly_01', 'Your Force sensitivity has given you the dextrous touch required to assemble crafted items of a higher quality than normal.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '593', 'force_sensitive_crafting_mastery_assembly_02', 'Your Force sensitivity allows you to get an overall sense of the characteristics of an item as you\'re crafting it, making the resulting item of a much higher quality.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '594', 'force_sensitive_crafting_mastery_assembly_03', 'Your Force sensitivity allows you to determine the inherent properites of an item being crafted and to increase those properties when finalizing the item\'s preparation.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '595', 'force_sensitive_crafting_mastery_assembly_04', 'Your abilities have come together, allowing you increased understanding of the object you are making and the best way to put it together.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '596', 'force_sensitive_crafting_mastery_experimentation_01', 'Your Force sensitivity allows you a study of crafting that has given you a knack for finding new ways to experiment with crafted items.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '597', 'force_sensitive_crafting_mastery_experimentation_02', 'Your Force sensitivity has given you a feel for doing new things with crafted items, making your experimentation much better.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '598', 'force_sensitive_crafting_mastery_experimentation_03', 'Your sensitivity to the Force allows you to try new things in experimentation, letting you make better items.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '599', 'force_sensitive_crafting_mastery_experimentation_04', 'Your Force sensitivity has improved your ability to analyze a crafted object, allowing you to study how it works and improve upon it.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '600', 'force_sensitive_crafting_mastery_master', 'You have mastered all that you can in the area of using your Force abilities to craft items.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '601', 'force_sensitive_crafting_mastery_novice', 'Your recently acquired Force sensitivity has become useful to you in the field of crafting.  You seem to have a more than natural talent for it.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '602', 'force_sensitive_crafting_mastery_repair_01', 'Your Force sensitivity allows you to feel the weaknesses of an item, and to restore it to their working states.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '603', 'force_sensitive_crafting_mastery_repair_02', 'Your Force sensitivity allows you find flaws in a damaged object, and renovate it back into a working item.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '604', 'force_sensitive_crafting_mastery_repair_03', 'Your Force sensitivity allows you to understand the damage an item has incurred, and your almost empathic abilities allow you to determine the best way to fix it.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '605', 'force_sensitive_crafting_mastery_repair_04', 'You have the innate ability to sense problems and solutions with regard to damaged items, and the aptitude to reconstitute the item, making it almost better than it was when it was newly made.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '606', 'force_sensitive_crafting_mastery_technique_01', 'Your Force abilities give you an almost supernatural ability to avoid critical failures.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '607', 'force_sensitive_crafting_mastery_technique_02', 'Your Force abilities make crafting seem easy, and your failures are not nearly as spectacular as they could be.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '608', 'force_sensitive_crafting_mastery_technique_03', 'Your ability with the Force makes crafting like second nature to you, decreasing your failures and increasing your successes.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '609', 'force_sensitive_crafting_mastery_technique_04', 'Your Force abilities make crafting propitious, and you almost never fail.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '610', 'force_sensitive_enhanced_reflexes_master', 'You have mastered your reflexes, making you a superior athlete.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '611', 'force_sensitive_enhanced_reflexes_melee_defense_01', 'Your Force sensitivity allows you to avoid melee attacks more quickly than normal.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '612', 'force_sensitive_enhanced_reflexes_melee_defense_02', 'Your Force sensitivity gives you increased dexterity with regards to melee attacks.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '613', 'force_sensitive_enhanced_reflexes_melee_defense_03', 'Your Force sensitivity increases your agility when fighting in hand-to-hand combat.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '614', 'force_sensitive_enhanced_reflexes_melee_defense_04', 'You have mastered the art of close combat, using your Force abilities to avoid attacks from nearby opponents.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '615', 'force_sensitive_enhanced_reflexes_novice', 'Your recently awakened Force sensitivity has become useful to you by enhancing your reflexes to superior levels.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '616', 'force_sensitive_enhanced_reflexes_ranged_defense_01', 'Your Force sensitivity improves your reflexes so that you react more quickly to danger than normal.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '617', 'force_sensitive_enhanced_reflexes_ranged_defense_02', 'Your Force sensitivity improves your reaction time to ranged attacks.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '618', 'force_sensitive_enhanced_reflexes_ranged_defense_03', 'Your Force sensitivity allows you to sense attacks before they occur, giving you increased chances to avoid them.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '619', 'force_sensitive_enhanced_reflexes_ranged_defense_04', 'You have mastered your reflexes in regard to ranged attacks, allowing you to sense danger and avoid attacks before they are made.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '620', 'force_sensitive_enhanced_reflexes_survival_01', 'Your Force sensitivity keeps you in tune with nature, making it easier for you to survive in the wild.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '621', 'force_sensitive_enhanced_reflexes_survival_02', 'Your Force sensitivity gives you the ability to sense the world around you, keeping you safe from harm.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '622', 'force_sensitive_enhanced_reflexes_survival_03', 'You have the uncanny ability to find the best way to traverse terrain, making you faster at moving uphill and over uneven terrain than others.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '623', 'force_sensitive_enhanced_reflexes_survival_04', 'You have combined all of your Force sensitivity to become one with the world around you.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '624', 'force_sensitive_enhanced_reflexes_vehicle_control_01', 'Your Force sensitivity allows you to sense the ground beneath your vehicle with your mind, allowing you better control.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '625', 'force_sensitive_enhanced_reflexes_vehicle_control_02', 'Your Force sensitivity lets you sense obstacles before they appear, giving you superior handling.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '626', 'force_sensitive_enhanced_reflexes_vehicle_control_03', 'Your Force sensitivity puts you in touch with the vehicle\'s controls, letting you maneuver with delicate finesse.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '627', 'force_sensitive_enhanced_reflexes_vehicle_control_04', 'The culmination of your Force abilities allows you to drive reflexively, making you a superior vehicle pilot.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '628', 'force_sensitive_heightened_senses_healing_01', 'Your Force sensitivity allows you to use an almost empathic technique to determine the true cause of an injury and treat it accordingly.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '629', 'force_sensitive_heightened_senses_healing_02', 'Your Force sensitivity is crucial in ascertaining the best way to treat an injury.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '630', 'force_sensitive_heightened_senses_healing_03', 'Your Force sensitivity allows you to relieve a patient of even the most painful symptoms.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '631', 'force_sensitive_heightened_senses_healing_04', 'Your Force sensitivity lets you alleviate any pain that a patient might be feeling with the best care you can provide.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '632', 'force_sensitive_heightened_senses_luck_01', 'Unseen forces seem to favor you.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '633', 'force_sensitive_heightened_senses_luck_02', 'You seem to have a lucky streak.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '634', 'force_sensitive_heightened_senses_luck_03', 'It seems that in normal situations the outcome almost always favors you.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '635', 'force_sensitive_heightened_senses_luck_04', 'You seem to have no end of luck.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '636', 'force_sensitive_heightened_senses_master', 'You have mastered your senses, and the Force is strong within you.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '637', 'force_sensitive_heightened_senses_novice', 'Your recently-awakened Force sensitivity has sharpened all of your senses.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '638', 'force_sensitive_heightened_senses_persuasion_01', 'Your Force sensitivity allows you to appear to be aligned with whomever you\'re speaking to.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '639', 'force_sensitive_heightened_senses_persuasion_02', 'Your Force sensitivity allows you to determine the interests of the person you\'re communicating with, allowing you to make personal connections with them.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '640', 'force_sensitive_heightened_senses_persuasion_03', 'You have the ability to convince people to take actions that they might otherwise find curious.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '641', 'force_sensitive_heightened_senses_persuasion_04', 'Your Force sensitivity allows you to entice people into doing or saying things that they might not ordinarily do or say.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '642', 'force_sensitive_heightened_senses_surveying_01', 'Your Force sensitivity allows you to find the best spot for mining the most resources.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '643', 'force_sensitive_heightened_senses_surveying_02', 'Your Force sensitivity allows you to scan the ground beneath your feet, leading you to the largest vein of resources available.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '644', 'force_sensitive_heightened_senses_surveying_03', 'You can sense around you the best location for resource gathering of any kind.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '645', 'force_sensitive_heightened_senses_surveying_04', 'Your have the remarkable ability to find the best spot for surveying any resources of any type.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '646', 'force_title_jedi_master', 'A true master in all aspects of the Force, a Jedi Master is also the most formidable warrior when equipped with a lightsaber. Having mastered the Jedi ranks through the use of both the healing and harming facets of the Force, the Master is now only one step away from becoming completely and totally one with the Force.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '647', 'force_title_jedi_novice', 'You have begun to be attuned to the Force.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '648', 'force_title_jedi_rank_01', 'The Jedi Initiate has just begun the journey down the road of becoming a Jedi. Before becoming a full Padawan Learner, the Initiate must first learn the basics of wielding a lightsaber, using innate healing powers, and exercising control over the Force.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '649', 'force_title_jedi_rank_02', 'The Padawan Learner has completed the most basic training in using the Force and wielding a lightsaber. However, further self-discipline and control must be learned before further training in the Jedi order can begin.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '650', 'force_title_jedi_rank_03', 'The Jedi Knight is an adept Force user and a skilled swordsman with a lightsaber. A formidable warrior in the field, the Knight has now chosen to join the Jedi ranks.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '651', 'force_title_jedi_rank_04', 'The Jedi Guardian has gained more power than a Jedi Knight by advancing through the Jedi ranks, and has devoted his or her life to becoming a Jedi Master.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '652', 'intermediate_engineering', 'Intermediate Engineering advances the practitioner\'s general knowledge in the fields of carpentry, electronics and computer science.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '653', 'intermediate_xenolinguistics', 'Master more than just one alien language!');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '654', 'jedi_dark_side_journeyman', 'The Dark Jedi Knight is an adept Force user and a skilled swordsman with a lightsaber. Although a formidable warrior in the field, Dark Jedi Knights still have a way to go before their training is complete.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '655', 'jedi_dark_side_journeyman_force_manipulation_01', 'Dark Jedi Apprentices will be trained in the raw destructive power of the Force. At this point in the training, the Apprentice will learn to direct an arc of electricity from him or herself to an opponent.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '656', 'jedi_dark_side_journeyman_force_manipulation_02', 'As a precursor to manipulating larger objects from a distance, the Apprentice will be trained to exert more effort behind Force kinesis. This is practiced by releasing larger kinetic bursts from the palm. This may be more effective in knocking opponents down.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '657', 'jedi_dark_side_journeyman_force_manipulation_03', 'Once the Apprentice is able to control a sufficient amount of kinetic energy, he or she is able to control larger objects from a distance. Alternatively, this may also be used to control several more smaller objects than before.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '658', 'jedi_dark_side_journeyman_force_manipulation_04', 'Building upon previous lessons, the Apprentice is able to exercise more control over the raw Force, and extend a bolt of electricity between him or herself and an enemy.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '659', 'jedi_dark_side_journeyman_force_power_01', 'The Dark Jedi Apprentice must continue training in use of the Force in order to advance in rank in the order. Training in these skills will increase the regeneration and the available amount of Force power.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '660', 'jedi_dark_side_journeyman_force_power_02', 'The Dark Jedi Apprentice must continue training in use of the Force in order to advance in rank in the order. Training in these skills will increase the regeneration and the available amount of Force power.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '661', 'jedi_dark_side_journeyman_force_power_03', 'The Dark Jedi Apprentice must continue training in use of the Force in order to advance in rank in the order. Training in these skills will increase the regeneration and the available amount of Force power.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '662', 'jedi_dark_side_journeyman_force_power_04', 'The Dark Jedi Apprentice must continue training in use of the Force in order to advance in rank in the order. Training in these skills will increase the regeneration and the available amount of Force power.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '663', 'jedi_dark_side_journeyman_healing_01', 'Drawing upon the teachings from his or her basic healing skills, the Apprentice is able to repair a significant amount of personal health damage, or heal health wounds of someone nearby.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '664', 'jedi_dark_side_journeyman_healing_02', 'Continued training in the Force allows the Apprentice to take his or her healing a step further and repair a substantial amount of personal action damage, or heal the action wounds of others.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '665', 'jedi_dark_side_journeyman_healing_03', 'Through deeper meditation, an Apprentice can mend a large amount of personal mental damage. Additionally, he or she can reach into the minds of others and heal some mind wounds.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '666', 'jedi_dark_side_journeyman_healing_04', 'At this point in the training, the Apprentice is an adept at using the curative powers of the Force and should be able to heal great amounts of damage to all health, action, and mind pools of both him or herself, and of others.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '667', 'jedi_dark_side_journeyman_master', 'The Dark Jedi Knight has adequate knowledge to be a skilled warrior, an effective healer, and an efficient wielder of the Force. At this point, if a Jedi wishes he or she can continue training to move up to the rank of Dark Jedi Master.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '668', 'jedi_dark_side_journeyman_novice', 'The Dark Jedi Apprentice is ready to begin the next phase of Jedi training. Once further knowledge of the Force is acquired, and advanced lightsaber techniques are learned, the Apprentice will be ready to advance to the rank of Dark Jedi Knight. Additionally, the Dark Jedi Apprentice will be automatically declared as a covert member of the Imperial faction at this point.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '669', 'jedi_dark_side_journeyman_saber_01', 'Somewhat larger than regular lightsabers, heavy sabers require two hands to wield. This makes them a little more cumbersome, but with adequate training they can still be used to make accurate strikes.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '670', 'jedi_dark_side_journeyman_saber_02', 'The weight of a heavy lightsaber can throw an unskilled user off balance. New stances should be learned to maintain stability, and at the same time throw your opponent off balance.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '671', 'jedi_dark_side_journeyman_saber_03', 'The sheer power behind a two-handed lightsaber is enough to cause a good deal of harm. However, with appropriate training, specialized moves can be learned to increase damage done by the weapon.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '672', 'jedi_dark_side_journeyman_saber_04', 'In order to be effective against a group of opponents, a Jedi may wish to employ techniques that are not commonly used against single targets. At this level, special techniques are learned for combat against multiple enemies.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '673', 'jedi_dark_side_master', 'The Dark Jedi Master is an expert in both the use of the Force and the lightsaber. Having completed their physical training, Dark Jedi Masters are all but one step away from becoming one with the Force.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '674', 'jedi_dark_side_master_force_manipulation_01', 'Further practice and training allows a Jedi extended control over the raw Force. At this point a Jedi can send forks of lightning extending from his or her hand to strike multiple enemies.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '675', 'jedi_dark_side_master_force_manipulation_02', 'The sheer power of will that is possessed by a Jedi, through the Force, can be exerted throughout the area such that any enemies nearby will be intimidated simply by the presence of the Jedi.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '676', 'jedi_dark_side_master_force_manipulation_03', 'Now an expert in the use of the raw Force, a Jedi can harness the power around him or her and direct multiple bolts of lighting to a multitude of enemies, causing severe damage.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '677', 'jedi_dark_side_master_force_manipulation_04', 'A skilled Jedi knows that the Force has not only curative or destructive powers, but also abilities that can weaken or disable opponents without actually causing any harm. A true dark Jedi should know when it is appropriate to use such abilities.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '678', 'jedi_dark_side_master_force_power_01', 'The Force has great influence on the weak minded. A Jedi is able to reach out into the minds of lesser creatures and scare them away by filling them with a sense of dread.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '679', 'jedi_dark_side_master_force_power_02', 'Much in the same way that a Jedi can cause distress in the weak minds of creatures, he or she can also do the opposite and give the animals a sense of peace and calm.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '680', 'jedi_dark_side_master_force_power_03', 'Those experienced in mental control can enter the mind of lesser creatures and persuade them to assist in defending the Jedi against his or her enemies.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '681', 'jedi_dark_side_master_force_power_04', 'Having the ultimate control over weak-minded entities, a Jedi can nullify an NPC or creature\'s training, turning loyal servants and pets against their masters');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '682', 'jedi_dark_side_master_healing_01', 'The Force flows through all living things, and an expert in its use is able to harness that power to heal the most serious health wounds of others that are nearby.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '683', 'jedi_dark_side_master_healing_02', 'Relaxation techniques are used by Jedi that can extend to those around them. This sense of calm and vitality is useful for healing action wounds on those to which a Jedi turns his or her attention.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '684', 'jedi_dark_side_master_healing_03', 'The advanced mental conditioning in which all Jedi are trained can not only be used to glimpse the future, or read others\' minds, but also heal great amounts of mental wounds that can sometimes be sustained while in combat.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '685', 'jedi_dark_side_master_healing_04', 'Almost a complete master of the healing arts, a Jedi is able to totally heal him or herself of all injury. At this point in the order, Jedi are also able to cure their comrades of any debilitating status effects.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '686', 'jedi_dark_side_master_master', 'A true master in all aspects of the Force, a Dark Jedi Master is also the most formidable warrior when equipped with a lightsaber. Having acquired the final skills in both the healing and harming facets of the Force, the Master is now only one step away from becoming completely and totally one with the Force.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '687', 'jedi_dark_side_master_novice', 'The Dark Jedi Guardian has more training and more skills than a Dark Jedi Knight, and has devoted his or her life to becoming a Dark Jedi Master.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '688', 'jedi_dark_side_master_saber_01', 'Wielding a polearm-type lightsaber can be awkward and clumsy. Therefore extra training is needed to perform accurate and precise attacks with the weapon.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '689', 'jedi_dark_side_master_saber_02', 'There are many similarities between wielding a sword-type lightsaber and a polearm-type lightsaber. However, there are many differences as well. One should learn certain powerful attacks that are usable only with a dual-edge lightsaber.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '690', 'jedi_dark_side_master_saber_03', 'Once proficiency and familiarity are gained with the weapon, a user can utilize the advantages of a polearm-type lightsaber to execute even more precise attacks against his or her opponent.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '691', 'jedi_dark_side_master_saber_04', 'A thorough knowledge of the dual-edge lightsaber, combined with sufficient experience with the weapon will allow the user to perform devastating special attacks against multiple enemies at an increased range.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '692', 'jedi_light_side_journeyman', 'The Jedi Knight is an adept Force user and a skilled swordsman with a lightsaber. Although a formidable warrior in the field, Jedi Knights still have a way to go before their training is complete.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '693', 'jedi_light_side_journeyman_force_manipulation_01', 'While not normally used by those in the Jedi Order, Apprentices will be trained in the raw destructive power of the Force. At this point in the training, the Apprentice will learn to direct an arc of electricity from him or herself to an opponent.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '694', 'jedi_light_side_journeyman_force_manipulation_02', 'As a precursor to manipulating larger objects from a distance, the Apprentice will be trained to exert more effort behind Force kinesis. This is practiced by releasing larger kinetic bursts from the palm. This may be more effective in knocking opponents down.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '695', 'jedi_light_side_journeyman_force_manipulation_03', 'Once the Apprentice is able to control a sufficient amount of kinetic energy, he or she is able to control larger objects from a distance. Alternatively, this may also be used to control several more smaller objects than before.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '696', 'jedi_light_side_journeyman_force_manipulation_04', 'Building upon previous lessons, the Apprentice is able to exercise more control over the raw Force, and extend a bolt of electricity between him or herself and an enemy.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '697', 'jedi_light_side_journeyman_force_power_01', 'The Force has great influence on the weak minded. A Jedi is able to reach out into the minds of lesser creatures and scare them away by filling them with a sense of dread.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '698', 'jedi_light_side_journeyman_force_power_02', 'Much in the same way that a Jedi can cause distress in the weak minds of creatures, he or she can also do the opposite and give the animals a sense of peace and calm.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '699', 'jedi_light_side_journeyman_force_power_03', 'Those experienced in mental control can enter the mind of lesser creatures and persuade them to assist in defending the Jedi against his or her enemies.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '700', 'jedi_light_side_journeyman_force_power_04', 'Having the ultimate control over weak-minded entities, a Jedi can nullify an NPC or creature\'s training, turning loyal servants and pets against their masters.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '701', 'jedi_light_side_journeyman_healing_01', 'Drawing upon the teachings from his or her basic healing skills, the Apprentice is able to repair a significant amount of personal health damage, or heal health wounds of someone nearby.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '702', 'jedi_light_side_journeyman_healing_02', 'Continued training in the Force allows the Apprentice to take his or her healing a step further and repair a substantial amount of personal action damage, or heal the action wounds of others.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '703', 'jedi_light_side_journeyman_healing_03', 'Through deeper meditation, an Apprentice can mend a large amount of personal mental damage. Additionally, he or she can reach into the minds of others and heal some mind wounds.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '704', 'jedi_light_side_journeyman_healing_04', 'At this point in the training, the Apprentice is an adept at using the curative powers of the Force and should be able to heal great amounts of damage to all health, action, and mind pools of both him or herself, and of others.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '705', 'jedi_light_side_journeyman_master', 'The Jedi Knight has adequate knowledge to be a skilled warrior, an effective healer, and an efficient wielder of the Force. At this point, if a Jedi wishes he or she can continue training to move up in the order to the rank of Jedi Master.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '706', 'jedi_light_side_journeyman_novice', 'The Jedi Apprentice is ready to begin the next phase of Jedi training. Once further knowledge of the Force is acquired, and advanced lightsaber techniques are learned, the Apprentice will be ready to advance to the rank of Jedi Knight.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '707', 'jedi_light_side_journeyman_saber_01', 'Somewhat larger than regular lightsabers, heavy sabers require two hands to wield. This makes them a little more cumbersome, but with adequate training they can still be used to make accurate strikes.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '708', 'jedi_light_side_journeyman_saber_02', 'The weight of a heavy lightsaber can throw an unskilled user off balance. New stances should be learned to maintain stability, and at the same time throw your opponent off balance.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '709', 'jedi_light_side_journeyman_saber_03', 'The sheer power behind a two-handed lightsaber is enough to cause a good deal of harm. However, with appropriate training, specialized moves can be learned to increase damage done by the weapon.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '710', 'jedi_light_side_journeyman_saber_04', 'In order to be effective against a group of opponents, a Jedi may wish to employ techniques that are not commonly used against single targets. At this level, special techniques are learned for combat against multiple enemies.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '711', 'jedi_light_side_master', 'The Jedi Master is an expert in both the use of the Force and the lightsaber. Having completed their physical training, Jedi Masters are all but one step away from becoming one with the Force.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '712', 'jedi_light_side_master_force_manipulation_01', 'Further practice and training allows a Jedi extended control over the raw Force. At this point a Jedi can send forks of lightning extending from his or her hand to strike multiple enemies.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '713', 'jedi_light_side_master_force_manipulation_02', 'The sheer power of will that is possessed by a Jedi, through the Force, can be exerted throughout the area such that any enemies nearby will be intimidated simply by the presence of the Jedi.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '714', 'jedi_light_side_master_force_manipulation_03', 'Now an expert in the use of the raw Force, a Jedi can harness the power around him or her and direct multiple bolts of lighting to a multitude of enemies, causing severe damage.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '715', 'jedi_light_side_master_force_manipulation_04', 'A skilled Jedi knows that the Force has not only curative or destructive powers, but also abilities that can weaken or disable opponents without actually causing any harm. A true member of the order should know when it is appropriate to use such abilities.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '716', 'jedi_light_side_master_force_power_01', 'The Jedi must continue training in use of the Force in order to advance to the rank of Jedi Master. Training in these skills will increase the regeneration and the available amount of Force power.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '717', 'jedi_light_side_master_force_power_02', 'The Jedi must continue training in use of the Force in order to advance to the rank of Jedi Master. Training in these skills will increase the regeneration and the available amount of Force power.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '718', 'jedi_light_side_master_force_power_03', 'The Jedi must continue training in use of the Force in order to advance to the rank of Jedi Master. Training in these skills will increase the regeneration and the available amount of Force power.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '719', 'jedi_light_side_master_force_power_04', 'The Jedi must continue training in use of the Force in order to advance to the rank of Jedi Master. Training in these skills will increase the regeneration and the available amount of Force power.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '720', 'jedi_light_side_master_healing_01', 'The Force flows through all living things, and an expert in its use is able to harness that power to heal the most serious health wounds of others that are nearby.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '721', 'jedi_light_side_master_healing_02', 'Relaxation techniques are used by Jedi that can extend to those around them. This sense of calm and vitality is useful for healing action wounds on those to which a Jedi turns his or her attention.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '722', 'jedi_light_side_master_healing_03', 'The advanced mental conditioning in which all Jedi are trained can not only be used to glimpse the future, or read others\' minds, but also heal great amounts of mental wounds that can sometimes be sustained while in combat.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '723', 'jedi_light_side_master_healing_04', 'Almost a complete master of the healing arts, a Jedi is able to totally heal him or herself of all injury. At this point in the order, Jedi are also able to cure their comrades of any debilitating status effects.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '724', 'jedi_light_side_master_master', 'A true master in all aspects of the Force, a Jedi Master is also the most formidable warrior when equipped with a lightsaber. Having acquired the final skills in both the healing and harming facets of the Force, the Master is now only one step away from becoming completely and totally one with the Force.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '725', 'jedi_light_side_master_novice', 'The Jedi Guardian has more training and more skills than a Jedi Knight, and has devoted his or her life to becoming a Jedi Master.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '726', 'jedi_light_side_master_saber_01', 'Wielding a polearm-type lightsaber can be awkward and clumsy. Therefore extra training is needed to perform accurate and precise attacks with the weapon.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '727', 'jedi_light_side_master_saber_02', 'There are many similarities between wielding a sword-type lightsaber and a polearm-type lightsaber. However, there are many differences as well. One should learn certain powerful attacks that are usable only with a dual-edge lightsaber.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '728', 'jedi_light_side_master_saber_03', 'Once proficiency and familiarity are gained with the weapon, a user can utilize the advantages of a polearm-type lightsaber to execute even more precise attacks against his or her opponent.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '729', 'jedi_light_side_master_saber_04', 'A thorough knowledge of the dual-edge lightsaber, combined with sufficient experience with the weapon will allow the user to perform devastating special attacks against multiple enemies at an increased range.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '730', 'jedi_padawan', 'The Jedi Padawan learner is only a novice Force user, and knows the basic use of a lightsaber. However, the Padawan\'s training is not complete and the journey ahead is likely to be difficult and frought with danger.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '731', 'jedi_padawan_force_manipulation_01', 'One of the first skills an Initiate learns is the ability to increase his or her run speed with the Force. This basic ablility must be mastered before other new skills can be learned.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '732', 'jedi_padawan_force_manipulation_02', 'Before mastering complete control of manipulating objects from a distance, Initiates must first learn the precursor to Force kinesis. By extending his or her arm, an Initiate can release a kinetic burst. This is useful for knocking lamps off of tables, or knocking enemies down in combat.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '733', 'jedi_padawan_force_manipulation_03', 'Part of an Initiate\'s training is to reach out with his or her mind to detect the thoughts and feelings of another, or to catch glimpses of the future. Occasionally this ability can be used to cause disorder and confusion in the mind of the person or creature against which it is used.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '734', 'jedi_padawan_force_manipulation_04', 'At this point the Initiate is ready to learn how to manipulate objects from a distance using the Force. If in combat, he or she can throw several small nearby objects at the enemy.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '735', 'jedi_padawan_force_power_01', 'Training in the utilization of many different aspects of the Force is vital in the training of all Padawan. All Initiates must train in the use of Force powers to advance in the order of the Jedi. Training in these skills will increase the regeneration and the available amount of Force power.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '736', 'jedi_padawan_force_power_02', 'Training in the utilization of many different aspects of the Force is vital in the training of all Padawan. All Initiates must train in the use of Force powers to advance in the order of the Jedi. Training in these skills will increase the regeneration and the available amount of Force power.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '737', 'jedi_padawan_force_power_03', 'Training in the utilization of many different aspects of the Force is vital in the training of all Padawan. All Initiates must train in the use of Force powers to advance in the order of the Jedi. Training in these skills will increase the regeneration and the available amount of Force power.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '738', 'jedi_padawan_force_power_04', 'Training in the utilization of many different aspects of the Force is vital in the training of all Padawan. All Initiates must train in the use of Force powers to advance in the order of the Jedi. Training in these skills will increase the regeneration and the available amount of Force power.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '739', 'jedi_padawan_healing_01', 'Using innate healing abilities, an Initiate can learn to repair damage and heal wounds to his or her health.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '740', 'jedi_padawan_healing_02', 'Calling on basic meditation techniques, an Initiate can revitalize personal stamina, effectively repairing damage to and healing wounds to his or her action pool.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '741', 'jedi_padawan_healing_03', 'By clearing the head and relaxing, an Initiate will be able to repair damage and heal wounds inflicted upon his or her mind pool.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '742', 'jedi_padawan_healing_04', 'When concepts of life preservation are appreciated, an Initiate will be able to exert a healing force over all aspects of their being, repairing a modest amount of damage to health, action, and mind pools.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '743', 'jedi_padawan_master', 'The Padawan learner has completed the most basic training in using the force and wielding a lightsaber. However, further self-discipline and control must be learned before further training in the Jedi order can begin.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '744', 'jedi_padawan_novice', 'The Jedi Initiate has just begun the journey down the road of becoming a Jedi. Before becoming a full Padawan Learner, the Initiate must first learn the basics of wielding a lightsaber, using innate healing powers, and exercising control over the Force. The Initiate begins his or her career as a covert member of the Rebel faction.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '745', 'jedi_padawan_saber_01', 'The basics of wielding a laser weapon are taught, including safety, maintenance, and some beginning combat moves.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '746', 'jedi_padawan_saber_02', 'Correct stances can be the key to executing rapid and efficient attacks with a lightsaber. With this, one can string several attacks together to make an effective combination move.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '747', 'jedi_padawan_saber_03', 'Concentration and self-awareness are of utmost importance when fighting with a lightsaber. Maintaining control while in combat can allow one to strike his or her opponent in a critical location.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '748', 'jedi_padawan_saber_04', 'Once a certain degree of control is achieved, more powerful attack moves with a lightsaber can be learned.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '749', 'novice_explorer', 'The novice explorer is one who has just learned the basics of their trade. Fundamentals include use of geotrackers, radar, and also orienteering without instruments. TITLE: Novice Explorer.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '750', 'novice_smuggler', 'Novice smugglers learn how to conceal small objects and make use of hidden compartments.  TITLE: Novice Smuggler.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '751', 'ourdoors_miner_master', 'The Master Miner is able to locate and extract large quantities of resources of almost any type from any environment.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '752', 'outdoors_bio_engineer', 'Novice Bio-Engineers gain the ability to sample DNA from living organisms and use those samples to modify the genetic structure of cloned animals.  Additionally Bio-Engineers can create genetically modified organic components that can grant unique attributes to clothing and foods that are created with them.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '753', 'outdoors_bio_engineer_creature_01', 'Clone Engineering I grants the Bio-Engineer the ability to clone more diverse and dangerous creatures.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '754', 'outdoors_bio_engineer_creature_02', 'Clone Engineering II grants the Bio-Engineer the ability to clone more diverse and dangerous creatures.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '755', 'outdoors_bio_engineer_creature_03', 'Clone Engineering III grants the Bio-Engineer the ability to clone more diverse and dangerous creatures.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '756', 'outdoors_bio_engineer_creature_04', 'Clone Engineering IV grants the Bio-Engineer the ability to clone more diverse and dangerous creatures.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '757', 'outdoors_bio_engineer_dna_harvesting_01', 'DNA Harvesting I improves the ability to successfully collect DNA samples with less trauma to the donor creature.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '758', 'outdoors_bio_engineer_dna_harvesting_02', 'DNA Harvesting II improves the ability to successfully collect DNA samples with less trauma to the donor creature.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '759', 'outdoors_bio_engineer_dna_harvesting_03', 'DNA Harvesting III improves the ability to successfully collect DNA samples with less trauma to the donor creature.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '760', 'outdoors_bio_engineer_dna_harvesting_04', 'DNA Harvesting IV improves the ability to successfully collect DNA samples with less trauma to the donor creature.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '761', 'outdoors_bio_engineer_master', 'Master Bio-Engineers have mastered the ability to clone some of the most dangerous creatures known in the galaxy as well as the ability to create very powerful custom organic components.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '762', 'outdoors_bio_engineer_novice', 'Novice Bio-Engineers gain the ability to sample DNA from living organisms and use those samples to modify the genetic structure of cloned animals.  Additionally Bio-Engineers can create genetically modified organic components that can grant unique attributes to clothing and foods that are created with them.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '763', 'outdoors_bio_engineer_production_01', 'Engineering Techniques I teaches the Bio-Engineer more advanced ways to manipulate genetics.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '764', 'outdoors_bio_engineer_production_02', 'Engineering Techniques II teaches the Bio-Engineer more advanced ways to manipulate genetics.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '765', 'outdoors_bio_engineer_production_03', 'Engineering Techniques III teaches the Bio-Engineer more advanced ways to manipulate genetics.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '766', 'outdoors_bio_engineer_production_04', 'Engineering Techniques IV teaches the Bio-Engineer more advanced ways to manipulate genetics.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '767', 'outdoors_bio_engineer_tissue_01', 'Tissue Engineering I grants the Bio-Engineer the ability to to create more specialize organic components.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '768', 'outdoors_bio_engineer_tissue_02', 'Tissue Engineering II grants the Bio-Engineer the ability to to create more specialize organic components.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '769', 'outdoors_bio_engineer_tissue_03', 'Tissue Engineering III grants the Bio-Engineer the ability to to create more specialize organic components.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '770', 'outdoors_bio_engineer_tissue_04', 'Tissue Engineering IV grants the Bio-Engineer the ability to to create more specialize organic components.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '771', 'outdoors_creaturehandler', 'The Novice Creature Handler has a basic knowledge of taming wild creatures.  They are able to train their creatures to perform limited acts, such as following or attacking.  Eventually, the Creature Handler grows to be able to handle dangerous aggressive creatures.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '772', 'outdoors_creaturehandler_healing_01', 'Animal Comprehension involves moving beyond the simple study of behavior into the realm of psychology.  Through play and study, a Creature Handler of this skill level begins to understand their creatures\' thoughts and desires.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '773', 'outdoors_creaturehandler_healing_02', 'The ongoing study of creature psychology leads to a deep sense of compassion for all life.  At this skill level the Creature Handler feels a deep connection to their animals and vice versa.  The Creature Handler is able to encourage their pets in battle, increasing their ability to avoid enemy attack.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '774', 'outdoors_creaturehandler_healing_03', 'At this skill level the Creature Handler has developed a strong and unbreakable affinity with organic life.  The Handler is able to lend some of their own strength in order to increase their pet\'s inherent regenerative powers.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '775', 'outdoors_creaturehandler_healing_04', 'Through extended interaction with creatures, the Creature Handler has established an unparalleled relationship with their pets.  The Creature Handler and their pets understand each other and act on each other\'s behalf.  The pets would readily die for their master.  At this skill level, the Creature Handler can push their pets beyond their normal physical and mental limits.  By enraging their pets, the Handler can drive them to great acts of ferocity at the cost of their mental focus.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '776', 'outdoors_creaturehandler_master', 'A Master Creature Handler has shared many trials with their pets.  The Handler has mastered every form of animal communication and has a deep understanding of the nature of life.  The Master Creature Handler demands much from their pets and is often surrounded by powerful and fearsome beasts.  Master Creature Handler\'s pets are so obedient that they will even obey the Creature Handler\'s command to take a new master.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '777', 'outdoors_creaturehandler_novice', 'The Novice Creature Handler has a basic knowledge of taming wild creatures.  They are able to train their creatures to perform limited acts, such as following or attacking.  Eventually, the Creature Handler will grow to be able to handle dangerous aggressive creatures.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '778', 'outdoors_creaturehandler_support_01', 'At this skill level, the Creature Handler is capable of organizing their creatures into a group.  The Creature Handler has learned how to better control their pets as well as how to keep a close eye on the creatures\' status in the heat of combat.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '779', 'outdoors_creaturehandler_support_02', 'A Creature Handler of this skill level can order their pets to follow others.  They will not obey the commands of the target, however.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '780', 'outdoors_creaturehandler_support_03', 'At this point, the Creature Handler has developed the ability to manage multiple creatures at a single time.  The Creature Handler may now have two pets under their control simultaneously, and may command the pets to obey the commands of trusted allies.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '781', 'outdoors_creaturehandler_support_04', 'A Creature Handler with the absolute trust of their pets has earned a great thing indeed.  Creatures with the ability to be trained as mounts can be so trained by a Creature Handler of this skill.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '782', 'outdoors_creaturehandler_taming_01', 'The study of time-honored domestication techniques improves a Creature Handler\'s ability to tame wild creatures.  It is also a necessary stepping-stone to ultimately mastering more aggressive creatures.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '783', 'outdoors_creaturehandler_taming_02', 'Building on a firm foundation of creature taming methodology, \'Pacification Techniques\' introduce methods of taming vicious creatures.  At this skill level, the Creature Handler will be able to tame lesser aggressive creatures.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '784', 'outdoors_creaturehandler_taming_03', 'A Creature Handler that studies the behavioral sciences of common and uncommon creature types gains unique insights to enhance their abilities. These insights allow the Creature Handler the ability to tame larger, more powerful creature types, and frequently to train them to use a special abilities on command.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '785', 'outdoors_creaturehandler_taming_04', 'The paragon of creature tamers is the one who can speak to animals as easily as to their own kind.  Through many trials, a Creature Handler of this skill level has learned this secret and is able to train the most difficult and vicious beasts.  Creatures with multiple special combat abilities will use them on-command for a Creature Handler of this level.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '786', 'outdoors_creaturehandler_training_01', 'The first step in learning to train a creature is to develop a rapport.  A Creature Handler of this skill level understands how to cultivate such a relationship.  Their creatures will listen to basic commands such as \'stay\'.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '787', 'outdoors_creaturehandler_training_02', 'Creatures are driven by their subconscious and primal desires.  Obedience education instructs the creature handler in how to overcome these desires and gain a deeper level of control over their pets.  A Creature Handler of this skill level is able to command a creature to faithfully guard an individual.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '788', 'outdoors_creaturehandler_training_03', 'A Creature Handler of this skill level has studied the use of animals in military and law enforcement applications.  They are able to train their creatures to be vigilant and aware.  They are able to learn a patrol pattern from their master and to patrol it on demand.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '789', 'outdoors_creaturehandler_training_04', 'The highest level of training involves turning the creature\'s subconscious hunting instinct into a powerful offensive weapon.  This skill level imparts the ability to order a group of creatures into an ordered formation, such a wedge or column.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '790', 'outdoors_farmer', 'The farmer is able to grow organic resources through highly efficient, enclosed farming structures.  Farmers are able to grow their resources on almost any planet.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '791', 'outdoors_farmer_flora_01', 'Intermediate Flora Farming grants the farmer improved knowledge of flora farming, allowing them to harvest additional resources with more skill.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '792', 'outdoors_farmer_flora_02', 'Advanced Flora Farming grants the farmer improved knowledge of flora farming, allowing them to harvest additional resources with more skill.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '793', 'outdoors_farmer_flora_03', 'Expert Flora Production grants the farmer improved knowledge of flora farming, allowing them to harvest additional resources with more skill.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '794', 'outdoors_farmer_flora_04', 'Master Flora Production grants the farmer improved knowledge of flora farming, allowing them to harvest additional resources with more skill.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '795', 'outdoors_farmer_livestock_01', 'Intermediate Livestock Production teaches the farmer effective livestock production, granting more resources as their skill increases.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '796', 'outdoors_farmer_livestock_02', 'Advanced Livestock Production teaches the Farmer effective livestock production, granting more resources as their skill increases.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '797', 'outdoors_farmer_livestock_03', 'Expert Livestock Production teaches the farmer effective livestock production, granting more resources as their skill increases.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '798', 'outdoors_farmer_livestock_04', 'Master Livestock Production teaches the farmer effective livestock production, granting more resources as their skill increases.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '799', 'outdoors_farmer_management_01', 'Intermediate Farm Management lowers the farmers costs for maintaining farming structures.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '800', 'outdoors_farmer_management_02', 'Advanced Farm Management lowers the farmers costs for maintaining farming structures.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '801', 'outdoors_farmer_management_03', 'Expert Farm Management lowers the farmers costs for maintaining farming structures.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '802', 'outdoors_farmer_management_04', 'Master Farm Management lowers the farmers costs for maintaining farming structures.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '803', 'outdoors_farmer_master', 'The Master Farmer is able to grow a large variety of organic resources which are highly desirable for the chef.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '804', 'outdoors_farmer_novice', 'A farmer can grow his or her own plants and animals in order to provide the foods necessary for keeping adventurers well fed and ready for combat.  An advanced farmer can develop their own strains of crops and even produce new breeds of creatures!');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '805', 'outdoors_farmer_production_01', 'Intermediate Farm Production improves the farmer\'s overall production speed.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '806', 'outdoors_farmer_production_02', 'Advanced Farm Production improves the farmer\'s overall production speed.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '807', 'outdoors_farmer_production_03', 'Expert Farmer Production improves the farmer\'s overall production speed.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '808', 'outdoors_farmer_production_04', 'Master Farm Production improves the farmer\'s overall production speed.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '809', 'outdoors_miner', 'Removing resources from the ground (or air) can be a difficult process. The miner is a valuable member of the community, as they provide the raw materials for wide variety of craftsman.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '810', 'outdoors_miner_liquid_01', 'Intermediate Liquid Mining teaches the miner to effectively extract liquid resources with harvesters.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '811', 'outdoors_miner_liquid_02', 'Advanced Liquid Mining improves the Miner\'s ability to extract liquid resources.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '812', 'outdoors_miner_liquid_03', 'Expert Liquid Mining improves the miner\'s ability to extract liquid resources.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '813', 'outdoors_miner_liquid_04', 'Master Liquid Mining improves the miner\'s ability to extract liquid resources.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '814', 'outdoors_miner_master', 'The Master Miner can find almost any resource and can effectively mine resources in any type of environment.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '815', 'outdoors_miner_mineral_01', 'Intermediate Mineral Mining teaches the miner the ability to mine for minerals, and with additional skill they are able to extract resources more quickly.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '816', 'outdoors_miner_mineral_02', 'Advanced Mineral Mining teaches the miner the ability to mine for minerals, and with additional skill they are able to extract resources more quickly.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '817', 'outdoors_miner_mineral_03', 'Expert Mineral Miner teaches the miner the ability to mine for minerals, and with additional skill they are able to extract resources more quickly.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '818', 'outdoors_miner_mineral_04', 'Master Mineral Mining teaches the miner the ability to mine for minerals, and with additional skill they are able to extract resources more quickly.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '819', 'outdoors_miner_novice', 'Removing resources from the ground (or air) can be a difficult process. The miner is a valuable member of the community, as they provide the raw materials for wide variety of craftsman.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '820', 'outdoors_miner_production_01', 'Intermediate Installation Production teaches the miner improved production and maintenance skills.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '821', 'outdoors_miner_production_02', 'Advanced Installation Production teaches the Miner improved production and maintenance skills.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '822', 'outdoors_miner_production_03', 'Expert Installation Production teaches the miner improved production and maintenance skills.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '823', 'outdoors_miner_production_04', 'Master Installation Production teaches the miner improved production and maintenance skills.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '824', 'outdoors_miner_renewable_01', 'Intermediate Energy Mining grants the miner the ability to harvest energy from renewable energy sources.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '825', 'outdoors_miner_renewable_02', 'Advanced Energy Mining grants the miner the ability to harvest energy from renewable energy sources.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '826', 'outdoors_miner_renewable_03', 'Expert Energy Mining grants the miner the ability to harvest energy from renewable energy sources.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '827', 'outdoors_miner_renewable_04', 'Master Energy Mining grants the miner the ability to harvest energy from renewable energy sources.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '828', 'outdoors_ranger', 'Rangers master multiple outdoors skills, including the discovery of organic resources, and terrain traversal. Some of the most accomplished explorers are Master Rangers.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '829', 'outdoors_ranger_harvest_01', 'The study of proper methods of organic resource preservation increases the Ranger\'s ability to harvest large amounts of quality resources from a creature\'s corpse.  The Ranger also improves his ability to detect tracks and paths, giving him the ability to judge the direction paths lead.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '830', 'outdoors_ranger_harvest_02', 'Further experience in the field has led the Ranger to the study of tactical animal physiology.  A Ranger of this skill level knows exactly where to place a shot to bring a creature down.  The Ranger has also improved his knowledge of finding hidden trails and tracks, allowing him to track down NPCs.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '831', 'outdoors_ranger_harvest_03', 'A Ranger of this skill level can recognize a creature quickly in low visibility.  They carry a veritable mental library of hard-earned field knowledge.  The Ranger has also become exceptionally skilled at judging the distances creatures may have traveled, given the freshness of tracks.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '832', 'outdoors_ranger_harvest_04', 'The Master Tracker is unmatched in creature resource harvesting and knowledge.  They have studied the behavioral patterns and biological nature of countless hundreds of creatures and their bank accounts tend to reflect their success.  The Tracker is also able to discover and follow even the most intelligently hidden trail.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '833', 'outdoors_ranger_master', 'The Master Ranger is unequaled in outdoors skills.  They have traveled to many places and encountered many strange beasts along the way.  They are an unrivaled explorer and trap maker.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '834', 'outdoors_ranger_movement_01', 'Basic Concealment further develops the Ranger\'s camouflage techniques.  The Ranger is now capable of completely disguising his presence, allowing him to escape the notice of creatures and NPCs using special camouflage kits.  He can also conceal others, but to a lesser degree.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '835', 'outdoors_ranger_movement_02', 'Rough Terrain mastery represents the Rcout\'s ability to move with unmatched speed through even the harshest world\'s surface terrain.  At this point, the Ranger is able to crawl through thick foliage and other obstructions at a very high rate of speed.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '836', 'outdoors_ranger_movement_03', 'At this skill level, the Ranger further develops their stealth and movement abilities.  They become more successful at concealing their presence from others using camouflage techniques.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '837', 'outdoors_ranger_movement_04', 'The Master of Exploration has been to many places and has seen many things.  They can move faster than any other and can hide from even the fiercest of creatures.  Nothing bars their path, and no path lies unexplored.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '838', 'outdoors_ranger_novice', 'Rangers continue the studies of the Scout, furthering their camp and trap crafting abilities, as well as terrain traversal, resource harvesting, and camouflage skills.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '839', 'outdoors_ranger_support_01', 'Peerless skill in trap design has led to a sharp eye for danger and rapid mental reflexes.  At this skill level, the Ranger can leap to the rescue of a friend in need by drawing the enemy\'s anger and attention.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '840', 'outdoors_ranger_support_02', 'At this skill level, the Ranger\'s experience has shown her the need for new, more effective trap designs.  They apply their creative energy to the implementation of traps that will affect multiple enemies at a time.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '841', 'outdoors_ranger_support_03', 'The Ranger continues their development of more effective trap designs, in order to increase the effectiveness and the lethality of their inventions.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '842', 'outdoors_ranger_support_04', 'The Ranger of this skill level is a peerless artificer in the realm of traps and minor machinery.  Their mental reflexes are as sharp as their creations.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '843', 'outdoors_ranger_tracking_01', 'Advanced Foraging Techniques involve the Ranger gaining unique insights into the proper methods of foraging for edibles.  They know which plants are the best to eat, where to find water, and how to prepare small meals from even the most meager resources.  At this skill level, foraging has a chance of finding a rare item.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '844', 'outdoors_ranger_tracking_02', 'Advanced Camp Engineering involves the study of camp defense and tactical design.  The Ranger\'s camps become more defensible as well as cleaner; healers will find their skills more effective in the elite camp.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '845', 'outdoors_ranger_tracking_03', 'At this skill level, the Ranger is an unmatched master of wilderness survival.  Whether a week alone in the Dune Sea or a shelterless night on the peak of some frost-covered mountain, the Ranger survives and thrives.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '846', 'outdoors_ranger_tracking_04', 'Now a master of the environment, the Ranger turns to enhancing his traveling experience.  By studying Habitat Engineering, the Ranger has learned to create camp kits that include highly-advanced automated services, such as a complete medical crafting station.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '847', 'outdoors_scout', 'A Scout is proficient at exploring and surviving in dangerous environments.  A Scout has a wide variety of skills and can evolve in dramatic ways: A Scout can become a Ranger, Squad Leader, or Creature Handler, but she can also become a Bio-Engineer. If you\'re interested in exploring, the Scout is a good choice as your Starting Profession.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '848', 'outdoors_scout_camp_01', 'Rudimentary Survival Techniques includes the study of basic field survival methods used by civilian game hunters.  This provides the Scout with the ability to construct slightly improved shelters.  The Scout also learns basic ways of identifying and gathering edible resources.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '849', 'outdoors_scout_camp_02', 'Advanced Survival Techniques elevate the Scout\'s understanding of safe shelter construction as well as wild resource gathering.  The Scout\'s camps become secure and gain the ability to repel creature incursion.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '850', 'outdoors_scout_camp_03', 'A Scout that studies Harsh Environment Techniques is more capable of building beneficial camps.  At this skill level, the Scout\'s camps will not only heal faster, but also repel more powerful creatures.  The Scout also becomes much more skilled at gathering wild resources and can now find two foraged items in a single attempt.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '851', 'outdoors_scout_camp_04', 'Special Survival Techniques involve the Scout learning planet-specific and region-specific survival methods that greatly heighten their camp construction and foraging abilities.  At this skill level the Scout\'s camps become extremely secure, having a good chance of repulsing aggressive creatures.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '852', 'outdoors_scout_harvest_01', 'A Scout that learns Civilian Hunting Methodology understands the basics of game hunting.  This skill imparts a fundamental knowledge of organic life, as well as techniques for harvesting organic resources from such creatures.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '853', 'outdoors_scout_harvest_02', 'Military Hunting Methodology enhances hunting knowledge by teaching the Scout to integrate techniques employed by military special forces.  The Scout also undergoes an intensive study of common organic lifeforms.  The result is an increased ability to harvest organic resources as well as a greater understanding of creature capabilities.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '854', 'outdoors_scout_harvest_03', 'Trandoshan Hunting Methodology is an extremely advanced form of hunting developed by the predatorial Trandoshan species.  The Scout learns how to maximize resource gathering and creature identification using time tested alien techniques.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '855', 'outdoors_scout_harvest_04', 'Unconventional Hunting Methodology represents the Scout integration of their own personal experiences with book-learned knowledge.  The Scout has invented and mastered ways of handling creatures that their peers may be unaware of.  This capability imparts a very high ability to harvest organic resources and identify creature statistics.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '856', 'outdoors_scout_master', 'A Master Scout has learned the techniques of surviving in the rough and has gained many insights into the nature of interacting with wildlife.  At the master level, a Scout gains the ability to forage up to three items in a single attempt.  A Master Scout may continue their studies by becoming a Ranger, Squad Leader, or Creature Handler.  Alternatively, they may become a Bio-Engineer.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '857', 'outdoors_scout_movement_01', 'Exploration Fundamentals involve the study of basic hard terrain negotiation.  This skill reduces the speed penalty for climbing hills.  Eventually, this penalty can be reduced to zero, making an experienced Scout capable of climbing hills as quickly as they can run.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '858', 'outdoors_scout_movement_02', 'Exploration II: Advanced Principles furthers the Scout\'s study of terrain negotiation.  This skill involves military level training, imparting an even greater bonus for climbing hills.  The Scout also learns basic camouflage techniques, granting them the ability to use musks to mask their scent.  The Scout may then approach some aggressive creatures without fear of being attacked.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '859', 'outdoors_scout_movement_03', 'During Harsh Environment Training, a Scout learns the techniques necessary to negotiate extremely harsh environments such as snow-capped peaks or dense jungle.  This training further reduces the movement penalty for climbing hills.  The Scout also increases their ability to effectively hide themselves from the attention of aggressive creatures.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '860', 'outdoors_scout_movement_04', 'Alien Environment Training is the most difficult form of terrain negotiation training a Scout can undergo.  During this rigorous process the scout learns how to move effectively in alien environments such as low gravity, vacuum, and corrosive atmospheres.  At this skill level a Scout is capable of moving up even the steepest slopes quite quickly.  The Scout also learns highly advanced methods for interacting safely with aggressive creatures, increasing the effectiveness of their scent masking ability.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '861', 'outdoors_scout_novice', 'Basic Scout training involves learning the fundamentals of exploration, trapping, hunting, and wilderness survival.  A Novice Scout is capable of constructing a simple shelter and can harvest basic resources from organic creatures.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '862', 'outdoors_scout_tools_01', 'The discipline of trapping is as old as the Scouting profession.  Whether the Scout is setting a trap for his evening meal, or for an encroaching enemy force, the principles are largely the same.  Makeshift trap design involves building simple traps out of available resources.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '863', 'outdoors_scout_tools_02', 'Refined Trap Design represents a continuing evolution in the Scout\'s understanding of mechanics and animal behavior.  At this skill level, the Scout may draw upon field knowledge to create more effective devices.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '864', 'outdoors_scout_tools_03', 'Martial Trap Design involves the Scout integrating modern military theory into their trap design and creation process.  From this point forward, the Scout\'s traps become more lethal and more extreme in their effects.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '865', 'outdoors_scout_tools_04', 'The Scout of this level designs traps that are the envy of military forces throughout the galaxy.  They could very well be a weapons designer if their interests did not direct them towards wilderness and wild creatures.  The Scout\'s traps have become creative and highly effective.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '866', 'outdoors_scout_tracking_01', 'Intermediate Creature Tracking');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '867', 'outdoors_scout_tracking_02', 'Advanced Creature Tracking');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '868', 'outdoors_scout_tracking_03', 'Expert Creature Tracking');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '869', 'outdoors_squadleader', 'The Squad Leader learns to manage groups of individuals in combat.  They learn ways of boosting morale, of directing special unified attacks against enemies, and of easing leader-to-group communication.  The Squad Leader\'s abilities are powerful, but only take effect if the Squad Leader is the leader of the group.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '870', 'outdoors_squadleader_defense_01', 'This skill level grants the /formup command.  This has the effect of reminding the squad of their situation, clearing them of dizzy and stunned effects.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '871', 'outdoors_squadleader_defense_02', 'At this skill level, the Squad Leader earns a group bonus for defense against melee attacks.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '872', 'outdoors_squadleader_defense_03', 'At this skill level, the Squad Leader earns an increased group bonus for defense against melee attacks.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '873', 'outdoors_squadleader_defense_04', 'At this skill level, the Squad Leader gains the /boostmorale command.  When used, the command averages the total wounds in the group across all group members.  This can be used to extend the amount of time the group can fight before needing to return for healing.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '874', 'outdoors_squadleader_master', 'The Master Squad Leader is able to command the attention and respect of other fighters.  They can move a team quickly and direct a strike efficiently.  A team with a Master Squad Leader at its head strikes fast and hard.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '875', 'outdoors_squadleader_movement_01', 'A group led by a Squad Leader trained in \"Terrain Guidance\" skill moves more efficiently up slopes and across rough terrain.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '876', 'outdoors_squadleader_movement_02', 'Members of a group led by a Squad Leader trained in \"Flexibility\" skill use fewer pool points when using the /burstrun command.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '877', 'outdoors_squadleader_movement_03', 'A group led by a Squad Leader trained in \"Advanced Guidance\" skill moves even more quickly up slopes and across rough terrain.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '878', 'outdoors_squadleader_movement_04', 'Members of a group led by a Squad Leader trained in \"Advanced Flexibility\" skill use even fewer pool points when using the /burstrun command.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '879', 'outdoors_squadleader_novice', 'The Novice Squad Leader learns to manage groups of individuals in combat.  They learn ways of boosting morale, of directing special unified attacks against enemies, and of easing leader-to-group communication.  The Squad Leader\'s abilities are powerful, but only take effect if the Squad Leader is in charge of their group.  By using the /sysgroup command, the Squad Leader can send a system message to their group-mates.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '880', 'outdoors_squadleader_offense_01', 'At this skill level, the Squad Leader learns the /steadyaim command, which increases the group\'s ability to hit their target.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '881', 'outdoors_squadleader_offense_02', 'At this skill level, the Squad Leader gains a bonus to their /steadyaim command.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '882', 'outdoors_squadleader_offense_03', 'At this skill level, the Squad Leader gains the /volleyfire command.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '883', 'outdoors_squadleader_offense_04', 'At this skill level, the Squad Leader gains a bonus to their /volleyfire command.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '884', 'outdoors_squadleader_support_01', 'At this skill level, the Squad Leader earns the /rally command which will bolster the team against enemy attacks.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '885', 'outdoors_squadleader_support_02', 'At this skill level, the Squad Leader earns a group bonus for defense against ranged attacks.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '886', 'outdoors_squadleader_support_03', 'At this skill level, the Squad Leader earns the /retreat command.  This command grants the entire group Burst Run, but will drastically reduce the Squad Leader\'s Health and Action pools.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '887', 'outdoors_squadleader_support_04', 'At this skill level, the Squad Leader earns an improved group bonus for defense against ranged attacks.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '888', 'pilot', 'Pilots operate starships for fun and profit');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '889', 'pilot_imperial_navy', 'Imperial Navy Pilot');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '890', 'pilot_imperial_navy_droid_01', 'Droid Interface Basics');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '891', 'pilot_imperial_navy_droid_02', 'Engineering Algorithms');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '892', 'pilot_imperial_navy_droid_03', 'System Balance Programming');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '893', 'pilot_imperial_navy_droid_04', 'Droid Intelligence Theory');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '894', 'pilot_imperial_navy_master', 'Imperial Pilot Champion');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '895', 'pilot_imperial_navy_novice', 'Imperial Cadet');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '896', 'pilot_imperial_navy_procedures_01', 'Basic Training');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '897', 'pilot_imperial_navy_procedures_02', 'Imperial Regular');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '898', 'pilot_imperial_navy_procedures_03', 'Special Forces');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '899', 'pilot_imperial_navy_procedures_04', 'Elite TIE Guard');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '900', 'pilot_imperial_navy_starships_01', 'Intermediate TIE Combat Craft Operations');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '901', 'pilot_imperial_navy_starships_02', 'Advanced TIE Combat Craft Operations');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '902', 'pilot_imperial_navy_starships_03', 'Advanced Capability TIE Vessels');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '903', 'pilot_imperial_navy_starships_04', 'TIE Experimental Vessels');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '904', 'pilot_imperial_navy_weapons_01', 'Basic Imperial Starship Ordnance');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '905', 'pilot_imperial_navy_weapons_02', 'Intermediate Imperial Starship Ordnance');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '906', 'pilot_imperial_navy_weapons_03', 'Advanced Imperial Starship Ordnance');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '907', 'pilot_imperial_navy_weapons_04', 'Heavy Imperial Starship Ordnance');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '908', 'pilot_neutral', 'Freelance Pilot');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '909', 'pilot_neutral_droid_01', 'Droid Interface Basics');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '910', 'pilot_neutral_droid_02', 'Engineering Algorithms');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '911', 'pilot_neutral_droid_03', 'System Balance Programming');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '912', 'pilot_neutral_droid_04', 'Droid Intelligence Theory');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '913', 'pilot_neutral_master', 'Flight Artistry');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '914', 'pilot_neutral_novice', 'Basic Pilot');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '915', 'pilot_neutral_procedures_01', 'Basic Training');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '916', 'pilot_neutral_procedures_02', 'Starship Defense');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '917', 'pilot_neutral_procedures_03', 'Advanced Technique');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '918', 'pilot_neutral_procedures_04', 'Expert Technique');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '919', 'pilot_neutral_starships_01', 'Basic Fighters');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '920', 'pilot_neutral_starships_02', 'Advanced Fighters');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '921', 'pilot_neutral_starships_03', 'Special Warships');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '922', 'pilot_neutral_starships_04', 'Exotic Vessels');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '923', 'pilot_neutral_weapons_01', 'Basic Starship Ordnance');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '924', 'pilot_neutral_weapons_02', 'Intermediate Starship Ordnance');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '925', 'pilot_neutral_weapons_03', 'Advanced Starship Ordnance');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '926', 'pilot_neutral_weapons_04', 'Heavy Starship Ordnance');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '927', 'pilot_rebel_navy', 'Alliance Starfighter Pilot');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '928', 'pilot_rebel_navy_droid_01', 'Droid Interface Basics');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '929', 'pilot_rebel_navy_droid_02', 'Engineering Algorithms');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '930', 'pilot_rebel_navy_droid_03', 'System Balance Programming');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '931', 'pilot_rebel_navy_droid_04', 'Droid Intelligence Theory');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '932', 'pilot_rebel_navy_master', 'Rebel Alliance Master Pilot');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '933', 'pilot_rebel_navy_novice', 'Are you ready to become a combat pilot?');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '934', 'pilot_rebel_navy_procedures_01', 'Starfighter Survival Tactics');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '935', 'pilot_rebel_navy_procedures_02', 'Space Combat Techniques');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '936', 'pilot_rebel_navy_procedures_03', 'Advanced Space Combat');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '937', 'pilot_rebel_navy_procedures_04', 'Special Weapons and Tactics');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '938', 'pilot_rebel_navy_starships_01', 'Basic Starfighter Continuation Training');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '939', 'pilot_rebel_navy_starships_02', 'Multi-role Craft');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '940', 'pilot_rebel_navy_starships_03', 'Space Superiority Fighters');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '941', 'pilot_rebel_navy_starships_04', 'Hyper-Maneuverable Starfighters');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '942', 'pilot_rebel_navy_weapons_01', 'Basic Alliance Starship Ordnance');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '943', 'pilot_rebel_navy_weapons_02', 'Intermediate Alliance Starship Ordnance');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '944', 'pilot_rebel_navy_weapons_03', 'Advanced Alliance Starship Ordnance');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '945', 'pilot_rebel_navy_weapons_04', 'Heavy Alliance Starship Ordnance');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '946', 'profession_architect', 'The Architect is an invaluable member of industry and commerce.  Without one there would be no factories or shops!  An Architect can design homes for players, mining facilities for resource harvesting, and many other kinds of structures.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '947', 'profession_armorer', 'The Armorer specializes in creating durable yet lightweight armor that is capable of defending its wearer from a blaster bolt or two.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '948', 'profession_armorsmith', 'The Armorsmith specializes in creating durable yet lightweight armor that is capable of defending its wearer from a blaster bolt or two.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '949', 'profession_chef', 'Do you have a taste for adventure?  Or just adventurous taste?  Become a professional Chef and create foods to delight and satisfy patrons across the galaxy!  Good food is invaluable to those who frequently engage in combat.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '950', 'profession_combatengineer', 'The Combat Engineer\'s ability to repair weapons, equipment, and even vehicles makes them a welcome addition to any fighting unit.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '951', 'profession_commando', 'The Commando is a well-rounded warrior whose breadth of knowledge in the ways of combat is unmatched.  A player in this profession is dangerous both at range and up close.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '952', 'profession_creaturehandler', 'Famous for their ability to control beasts of all types, Creature Handlers are also moderately capable in combat.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '953', 'profession_droidengineer', 'Do you have a knack for tinkering with high tech equipment?  Think you can improve on the R2 series?  If so, the Droid Engineering profession may be for you.  Droid Engineers can design all aspects of droid hardware from motivators to manipulators.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '954', 'profession_explorer', 'The explorer has one of the most rewarding professions in the Galaxy. Forever venturing in unknown territories, she lives with the satisfaction that she is likely the first to see each valley she enters or mountain that she climbs.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '955', 'profession_farmer', 'A farmer can grow his or her own plants and animals in order to provide the foods necessary for keeping adventurers well fed and ready for combat.  An advanced farmer can develop their own strains of crops and even produce new breeds of creatures!');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '956', 'profession_gunsmith', 'The Gunsmith can design ranged weapons of all types as well as their components.  A true friend to any blaster jockey, an accomplished Gunsmith can even design custom one-of-a-kind weapons!');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '957', 'profession_imagedesigner', 'Tired of the same old look?  Need to work on your image?  No problem!  A professional image designer is the key to your bad hair day.  Players in this profession can style hair, change tattoos, design clothing and more!');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '958', 'profession_marksman', 'The Marksman is a master of ranged weaponry, concentrating in blaster technology. ');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '959', 'profession_merchant', 'Merchants specialize in the art of the deal, managing vast quantities of money and inventory in pursuit of building a commercial empire of their own.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '960', 'profession_miner', 'Miners are hardworking people who frequently grow rich off of lucky strikes and rare discoveries.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '961', 'profession_rancher', 'A farmer can grow his or her own plants and animals in order to provide the foods necessary for keeping adventurers well fed and ready for combat.  An advanced farmer can develop their own strains of crops and even produce new breeds of creatures!');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '962', 'profession_ranger', 'The Ranger is a unique combination of the explorer and the creature handler.  A player in this profession can head out on their own in search of adventure, or lead a group of players through the wilderness.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '963', 'profession_smuggler', 'Smugglers are those who rebel against the protectionist and unreasonable laws in restraint of free trade, in order to better lubricate the wheels of progress--and line their own pockets.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '964', 'profession_teraskasi', 'This profession combines skills from the melee combat and melee tactics disciplines. A player in this profession is extremely dangerous in melee combat. Teras Kasi, or \"steel hands,\" is a Bunduki martial arts discipline focusing on weaponless combat.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '965', 'profession_weaponsmith', 'Although seemingly low-tech at first glance, a player who master the melee weaponsmith profession can design the hi-tech and very deadly \"vibro\" melee weapons.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '966', 'rifle_concealment_chance', 'This skill  mod allows a rifleman to succesfully attack a mobile and only pull that mobile if succesful.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '967', 'science', 'Scientific advancement has led to many startling discoveries in the field of medicine.  The pursuit of knowledge is known to be quite rewarding, by those who seek it.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '968', 'science_combatmedic', 'Combat Medics are invaluable to any fighting unit. Not only can they heal injured combatants in the field, they can hold their own in a firefight.  They continue to gain improved crafting skills, and bonuses to healing large amounts of damage.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '969', 'science_combatmedic_healing_range_01', 'Intermediate Precision teaches the Combat Medic improved accuracy for ranged damage healing.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '970', 'science_combatmedic_healing_range_02', 'Advanced Precision teaches the Combat Medic improved accuracy for ranged damage healing.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '971', 'science_combatmedic_healing_range_03', 'Expert Precision teaches the Combat Medic improved accuracy for ranged damage healing.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '972', 'science_combatmedic_healing_range_04', 'Master Precision teaches the Combat Medic improved accuracy for ranged damage healing.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '973', 'science_combatmedic_healing_range_speed_01', 'Intermediate Healing Speed improves the Combat Medic\'s speed at healing targets at a range.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '974', 'science_combatmedic_healing_range_speed_02', 'Advanced Healing Speed improves the Combat Medic\'s speed at healing targets at a range.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '975', 'science_combatmedic_healing_range_speed_03', 'Expert Healing Speed improves the Combat Medic\'s speed at healing targets at a range.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '976', 'science_combatmedic_healing_range_speed_04', 'Master Healing Speed improves the Combat Medic\'s speed at healing targets at a range.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '977', 'science_combatmedic_master', 'The Master Combat Medic can heal even the most injured characters from several meters away. They are one of the most invaluable combat support professions.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '978', 'science_combatmedic_medicine_01', 'Intermediate Bacta Crafting conveys the knowledge to craft improved ranged healing medicines.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '979', 'science_combatmedic_medicine_02', 'Advanced Bacta Crafting conveys the knowledge to craft improved ranged healing medicines.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '980', 'science_combatmedic_medicine_03', 'Expert Bacta Crafting conveys the knowledge to craft improved ranged healing medicines.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '981', 'science_combatmedic_medicine_04', 'Master Bacta Crafting conveys the knowledge to craft improved ranged healing medicines.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '982', 'science_combatmedic_novice', 'Combat Medics are invaluable to any fighting unit. Not only can they heal injured combatants in the field, they can hold their own in a firefight.  They continue to gain improved crafting skills, and bonuses to healing large amounts of damage.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '983', 'science_combatmedic_support_01', 'Intermediate Combat Medic Support aids the Combat Medic at getting to their injured comrade faster.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '984', 'science_combatmedic_support_02', 'Advanced Combat Medic Support aids the Combat Medic at getting to their injured comrade faster.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '985', 'science_combatmedic_support_03', 'Expert Combat Medic Support aids the Combat Medic at getting to their injured comrade faster.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '986', 'science_combatmedic_support_04', 'Master Combat Medic Support aids the Combat Medic at getting to their injured comrade faster.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '987', 'science_doctor', 'When your wounds are too serious to be healed on the field, a Doctor\'s attention is what you need.  With the proper equipment, resources, and setting, a Doctor can heal all manner of physical wounds and damage.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '988', 'science_doctor_ability_01', 'Intermediate Healing Ability improves the Doctor\'s overall healing ability.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '989', 'science_doctor_ability_02', 'Advanced Healing Ability improves the Doctor\'s overall healing ability.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '990', 'science_doctor_ability_03', 'Expert Healing Ability improves the Doctor\'s overall healing ability.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '991', 'science_doctor_ability_04', 'Master Healing Ability improves the Doctor\'s overall healing ability.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '992', 'science_doctor_master', 'The Master Doctor can heal nearly any health or action wound if given the proper equipment and environment. They can also craft highly effective medicines.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '993', 'science_doctor_novice', 'When your wounds are too serious to be healed on the field, a Doctor\'s attention is what you need.  With the proper equipment, resources, and setting, a doctor can heal all manner of physical wounds and damage.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '994', 'science_doctor_support_01', 'Intermediate Medicine Crafting allows the Doctor to craft superior medicines.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '995', 'science_doctor_support_02', 'Advanced Medicine Assembly allows the Doctor to craft superior medicines.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '996', 'science_doctor_support_03', 'Expert Medicine Assembly allows the Doctor to craft superior medicines.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '997', 'science_doctor_support_04', 'Master Medicine Assembly allows the Doctor to craft superior medicines.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '998', 'science_doctor_wound_01', 'Intermediate Wound Treatment teaches the Doctor how to heal significant wounds when in a hospital.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '999', 'science_doctor_wound_02', 'Advanced Wound Treatment teaches the Doctor how to heal significant wounds when in a hospital.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1000', 'science_doctor_wound_03', 'Expert Wound Treatment teaches the Doctor how to heal significant wounds when in a hospital.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1001', 'science_doctor_wound_04', 'Master Wound Treatment teaches the Doctor how to heal significant wounds when in a hospital.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1002', 'science_doctor_wound_speed_01', 'Intermediate Wound Treatment Speed enhances the speed at which a Doctor can heal wounds.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1003', 'science_doctor_wound_speed_02', 'Advanced Wound Treatment Speed enhances the speed at which a Doctor can heal wounds.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1004', 'science_doctor_wound_speed_03', 'Expert Wound Treatment Speed enhances the speed at which a Doctor can heal wounds.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1005', 'science_doctor_wound_speed_04', 'Master Wound Treatment Speed enhances the speed at which a Doctor can heal wounds.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1006', 'science_medic', 'The Medic is a critical component of any squad and is vital to a group engaged in combat. Medics can heal combat injuries, allowing others to continue the fight. Medics can evolve into Doctors, or combine their medical skills with the skills of a Marksman to become a Combat Medic better-suited to service on the front-lines of larger battles. If you enjoy helping others and want to be a necessary part of any group, choose the Medic.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1007', 'science_medic_ability_01', 'The Pharmacology skill set improves the Medic\'s knowledge of medicine and medicinal applications.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1008', 'science_medic_ability_02', 'The Pharmacology skill set improves the Medic\'s knowledge of medicine and medicinal applications.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1009', 'science_medic_ability_03', 'The Pharmacology skill set improves the Medic\'s knowledge of medicine and medicinal applications.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1010', 'science_medic_ability_04', 'The Pharmacology skill set improves the Medic\'s knowledge of medicine and medicinal applications.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1011', 'science_medic_crafting_01', 'The Organic Chemistry skill set provides the Medic with knowledge of new types of medicinal crafting.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1012', 'science_medic_crafting_02', 'The Organic Chemistry skill set provides the Medic with knowledge of new types of medicinal crafting.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1013', 'science_medic_crafting_03', 'The Organic Chemistry skill set provides the Medic with knowledge of new types of medicinal crafting.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1014', 'science_medic_crafting_04', 'The Organic Chemistry skill set provides the Medic with knowledge of new types of medicinal crafting.  A master of Organic Chemistry has the knowledge of chemistry and biology necessary to persue a profession as a Bio-Engineer.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1015', 'science_medic_injury_01', 'The First Aid skill set provides the Medic with new commands for healing wounds and also increases the number of injuries a medic can heal at one time.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1016', 'science_medic_injury_02', 'The First Aid skill set provides the Medic with new commands for healing wounds and also increases the number of injuries a medic can heal at one time.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1017', 'science_medic_injury_03', 'The First Aid skill set provides the Medic with new commands for healing wounds and also increases the number of injuries a medic can heal at one time.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1018', 'science_medic_injury_04', 'The First Aid skill set provides the Medic with new commands for healing wounds and also increases the number of injuries a medic can heal at one time.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1019', 'science_medic_injury_speed_01', 'The Diagnostics skill set improves the Medic\'s ability to analyze injuries rapidly.  This has the effect of increasing the rate at which the Medic can heal wounds.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1020', 'science_medic_injury_speed_02', 'The Diagnostics skill set improves the Medic\'s ability to analyze injuries rapidly.  This has the effect of increasing the rate at which the Medic can heal wounds.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1021', 'science_medic_injury_speed_03', 'The Diagnostics skill set improves the Medic\'s ability to analyze injuries rapidly.  This has the effect of increasing the rate at which the Medic can heal wounds.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1022', 'science_medic_injury_speed_04', 'The Diagnostics skill set improves the Medic\'s ability to analyze injuries rapidly.  This has the effect of increasing the rate at which the Medic can heal wounds.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1023', 'science_medic_master', 'The Master Medic completes his or her education in crafting and applying medicines in the field.  From here, the Master Medic is one of the requirement to explore several elite and hybrid professions like Combat Medic and Doctor.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1024', 'science_medic_novice', 'A Novice Medic can heal light wounds and apply medical treatment in the field.  Additionally, the Novice Medic is granted a modest amount of crafting ability to create their field medicines.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1025', 'skill_system_root', 'Skill System Root');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1026', 'social_dancer', 'The Dancer uses their skill to heal the minds of those who watch them perform.  The beginning dancer, though not extremely skilled, can be nearly as entertaining to watch as the Master Dancer.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1027', 'social_dancer_ability_01', 'Dancing Ability I improves the Dancer\'s ability to perform certain dances, conveying improved healing abilities. A Dancer can use /startdance to see a list of their available dances.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1028', 'social_dancer_ability_02', 'Dancing Ability II improves the Dancer\'s ability to perform certain dances, conveying improved healing abilities. A Dancer can use /startdance to see a list of their available dances.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1029', 'social_dancer_ability_03', 'Dancing Ability III improves the Dancer\'s ability to perform certain dances, conveying improved healing abilities. A Dancer can use /startdance to see a list of their available dances.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1030', 'social_dancer_ability_04', 'Dancing Ability IV improves the Dancer\'s ability to perform certain dances, conveying improved healing abilities. A Dancer can use /startdance to see a list of their available dances.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1031', 'social_dancer_knowledge_01', 'Dancing Knowledge I grants the Dancer a wider variety of dances a flourishes they can perform.  A Dancer can use /startdance to see the list of dances they have available.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1032', 'social_dancer_knowledge_02', 'Dancing Knowledge II grants the Dancer a wider variety of dances a flourishes they can perform.  A Dancer can use /startdance to see the list of dances they have available.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1033', 'social_dancer_knowledge_03', 'Dancing Knowledge III grants the Dancer a wider variety of dances a flourishes they can perform.  A Dancer can use /startdance to see the list of dances they have available.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1034', 'social_dancer_knowledge_04', 'Dancing Knowledge IV grants the Dancer a wider variety of dances a flourishes they can perform.  A Dancer can use /startdance to see the list of dances they have available.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1035', 'social_dancer_master', 'The Master Dancer knows all dances and dancing abilities, and has all the tools to put on a professional dance production.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1036', 'social_dancer_novice', 'The Dancer uses their skill to heal the minds of those who watch them perform.  The beginning Dancer, though not extremely skilled, can be nearly as entertaining to watch as the Master Dancer.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1037', 'social_dancer_shock_01', 'Dancer\'s Fatigue Healing I improves the effectiveness of the Dancer to heal Battle Fatigue.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1038', 'social_dancer_shock_02', 'Dancer\'s Fatigue Healing II improves the effectiveness of the Dancer to heal Battle Fatigue.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1039', 'social_dancer_shock_03', 'Dancer\'s Fatigue Healing III improves the effectiveness of the Dancer to heal Battle Fatigue.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1040', 'social_dancer_shock_04', 'Dancer\'s Fatigue Healing IV improves the effectiveness of the Dancer to heal Battle Fatigue.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1041', 'social_dancer_wound_01', 'Dancer\'s Wound Healing I improves the Dancer\'s ability to heal wounds with their dancing ability.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1042', 'social_dancer_wound_02', 'Dancer\'s Wound Healing II improves the Dancer\'s ability to heal wounds with their dancing ability.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1043', 'social_dancer_wound_03', 'Dancer\'s Wound Healing III improves the Dancer\'s ability to heal wounds with their dancing ability.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1044', 'social_dancer_wound_04', 'Dancer\'s Wound Healing IV improves the Dancer\'s ability to heal wounds with their dancing ability.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1045', 'social_entertainer', 'The Entertainer is a valuable component of the Star Wars Galaxies social landscape. Entertainers interact with virtually all other players, by providing necessary healing services and using skills to change the appearance of other characters. Entertainers can specialize as Dancers, Musicians, or Image Designers. If you want to meet a lot of other people online and become a integral part of the social scene, the Entertainer profession is your calling.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1046', 'social_entertainer_dance_01', 'Dancing I continues to grant the basic knowledge needed to become a professional Dancer.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1047', 'social_entertainer_dance_02', 'Dancing II continues to grant the basic knowledge needed to become a professional Dancer.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1048', 'social_entertainer_dance_03', 'Dancing III continues to grant the basic knowledge needed to become a professional Dancer.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1049', 'social_entertainer_dance_04', 'Dancing IV continues to grant the basic knowledge needed to become a professional Dancer.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1050', 'social_entertainer_hairstyle_01', 'Image Design I allows the Entertainer to customize customize facial hair and trim.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1051', 'social_entertainer_hairstyle_02', 'Image Design II allows the Entertainer to further customize hair styles and change eye color.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1052', 'social_entertainer_hairstyle_03', 'Image Design III allows the Entertainer to further customize hair styles and change horn colorings.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1053', 'social_entertainer_hairstyle_04', 'Image Design IV allows the Entertainer to further customize hair styles and and minor facial features.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1054', 'social_entertainer_healing_01', 'Entertainer Healing I allows the Entertainer to use their dancing or music ability with greater efficiency.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1055', 'social_entertainer_healing_02', 'Entertainer Healing II allows the Entertainer to use their dancing or music ability with greater efficiency.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1056', 'social_entertainer_healing_03', 'Entertainer Healing III allows the Entertainer to use their dancing or music ability with greater efficiency.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1057', 'social_entertainer_healing_04', 'Entertainer Healing IV allows the Entertainer to use their dancing or music ability with greater efficiency.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1058', 'social_entertainer_master', 'The Master Entertainer has a strong knowledge of all forms of entertainment and can specialize in one or more advanced entertainment professions.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1059', 'social_entertainer_music_01', 'Musicianship I continues to grant the basic knowledge needed if one wishes to pursue the Musician profession.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1060', 'social_entertainer_music_02', 'Musicianship II continues to grant the basic knowledge needed if one wishes to pursue the Musician profession.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1061', 'social_entertainer_music_03', 'Musicianship III continues to grant the basic knowledge needed if one wishes to pursue the Musician profession.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1062', 'social_entertainer_music_04', 'Musicianship IV continues to grant the basic knowledge needed if one wishes to pursue the Musician profession.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1063', 'social_entertainer_novice', 'At the heart of the Entertainer profession is a sampling of several different disciplines: Dancing, Musicianship, and Image Designing.  From here, the Entertainer can move to one of these disciplines and specialize in it, or become more generalized with a wider range of entertainment skills.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1064', 'social_imagedesigner', 'The Image Designer is skilled in perfecting the appearance of other characters.  The professional hair designer is your solution to a bad hair day - or even a bad face day!  They can change almost any aspect of a character\'s appearance, and highly skilled Image Designers gain the ability to use hair styles unavailable to the novice.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1065', 'social_imagedesigner_bodyform_01', 'Bodyform I: Personal Training turns the Image Designer into a personal trainer, giving them the ability to help tone their customer\'s bodies.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1066', 'social_imagedesigner_bodyform_02', 'Bodyform II: Body Glamour turns the Image Designer into a personal trainer, giving them the ability to help tone their customer\'s bodies.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1067', 'social_imagedesigner_bodyform_03', 'Bodyform III: Alien Bioforms turns the Image Designer into a personal trainer, giving them the ability to help tone their customer\'s bodies.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1068', 'social_imagedesigner_bodyform_04', 'Bodyform IV: Body Mastery turns the Image Designer into a personal trainer, giving them the ability to help tone their customer\'s bodies.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1069', 'social_imagedesigner_exotic_01', 'Face I: Facial Customization allows the Image Designer to customize facial features of their customer.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1070', 'social_imagedesigner_exotic_02', 'Face II: Stage Make Up & Design allows the Image Designer to customize facial features of their customer.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1071', 'social_imagedesigner_exotic_03', 'Face III: Alien Faceforms allows the Image Designer to customize facial features of their customer.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1072', 'social_imagedesigner_exotic_04', 'Face IV: Face Mastery allows the Image Designer to customize facial features of their customer.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1073', 'social_imagedesigner_hairstyle_01', 'Hairstyling I: Barber improves the Image Designer\'s ability to customize hairstyles and colors. This level of skill also allows application of the beehive, brainstorm, Imperial, and Rebel Holo-Emotes.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1074', 'social_imagedesigner_hairstyle_02', 'Hairstyling II: Hair Dresser improves the Image Designer\'s ability to customize hairstyles and colors. This level of skill also allows application of the bubblehead, hologlitter, holonotes, and sparky Holo-Emotes.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1075', 'social_imagedesigner_hairstyle_03', 'Hairstyling III: Hair Stylist improves the Image Designer\'s ability to customize hairstyles and colors. This level of skill also allows application of the bullhorns, champagne, kitty, and phonytail Holo-Emotes.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1076', 'social_imagedesigner_hairstyle_04', 'Hairstyling IV: Beautician improves the Image Designer\'s ability to customize hairstyles and colors. This level of skill also allows application of the blossom, butterflies, haunted, and hearts Holo-Emotes.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1077', 'social_imagedesigner_markings_01', 'Markings I: Tattoos allows the Image Designer to customize features unique to specific races, such as tattoos or spot patterns.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1078', 'social_imagedesigner_markings_02', 'Markings II: Patterns allows the Image Designer to customize features unique to specific races, such as tattoos or spot patterns.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1079', 'social_imagedesigner_markings_03', 'Markings III: Advanced Detail allows the Image Designer to customize features unique to specific races, such as tattoos or spot patterns.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1080', 'social_imagedesigner_markings_04', 'Markings IV: Detail Mastery allows the Image Designer to customize features unique to specific races, such as tattoos or spot patterns.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1081', 'social_imagedesigner_master', 'The Master Image Designer is able to customize everything about a specific character, and apply a Holo-Emote generator capable of displaying any Holo-Emote the user wishes.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1082', 'social_imagedesigner_novice', 'The Image Designer is skilled in perfecting the appearance of other characters.  The professional hair designer is your solution to a bad hair day -- or even a bad face day!  They can change almost any aspect of a character\'s appearance, and highly-skilled Image Designers gain the ability to use hairstyles unavailable to the novice. Novice Image Designers are even capable of granting stat migration to their customers.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1083', 'social_language', 'The art of understanding and speaking the languages of different species, from the eloquent words of the Bothan to the harsh gutteral sounds of Shyriiwook, the language of the Wookiee.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1084', 'social_language_basic', 'Basic - A language based on the tongue of the human inhabitants of the Core Worlds. Basic, which first emerged as the Republic\'s language of diplomacy and trade, has become common throughout the galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1085', 'social_language_basic_comprehend', 'Upon obtaining this skill, one can comprehend the language of the Human species, Basic.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1086', 'social_language_basic_speak', 'Upon obtaining this skill, one can speak the language of the Human species, Basic.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1087', 'social_language_bothan', 'Bothan - The Bothan tongue can be typically mastered by other species. Bothans accent their conversations with rippling of fur and often speak in an eloquent manner.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1088', 'social_language_bothan_comprehend', 'Upon obtaining this skill, one can comprehend the Bothan language.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1089', 'social_language_bothan_speak', 'Upon obtaining this skill, one can speak the Bothan language.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1090', 'social_language_lekku', 'Lekku - An intricate part of the Twi\'lek language, Lekku involves the slight movement of heal-tails to portray speaking. It is silent and subtle and impossible to be learned, or understood, by other species of the Galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1091', 'social_language_lekku_comprehend', 'Upon learning this skiil, one can comprehend the silent language of the Twi\'lek, Lekku.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1092', 'social_language_lekku_speak', 'Upon learning this skiil, one can speak the silent language of the Twi\'lek, Lekku.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1093', 'social_language_mon_calamari_speak', 'Upon obtaining this skill, one can speak the language of the Mon Cal.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1094', 'social_language_moncalamari', 'Mon Calamari - A low-pitched, rumbling language spoken by the Mon Cal. Nuances of the language are conveyed through careful changes in pitch and volume, which does not prevent other species from learning the intricacies of the language. 	');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1095', 'social_language_moncalamari_comprehend', 'Upon obtaining this skill, one can comprehend the language of the Mon Cal.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1096', 'social_language_moncalamari_speak', 'Upon obtaining this skill, one can speak the language of the Mon Cal.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1097', 'social_language_rodian', 'Rodese - The language spoken by Rodians. It could also be thought of as a very expressive and dramatic language as Rodian drama is higly regarded (as well as intensely violent) across the galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1098', 'social_language_rodian_comprehend', 'Upon obtaining this skill, one can comprehend the expressive language of the Rodian, Rodese.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1099', 'social_language_rodian_speak', 'Upon obtaining this skill, one can speak the expressive language of the Rodian, Rodese.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1100', 'social_language_trandoshan', 'Dosh - The Dosh language consists mostly of harsh grunts and growls, emphasizing sibilant sounds and hard consonants. When described by other species, the word \"sinister\" comes to mind.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1101', 'social_language_trandoshan_comprehend', 'Upon obtaining this skill, one can comprehend the Trandoshan language, Dosh.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1102', 'social_language_trandoshan_speak', 'Upon obtaining this skill, one can speak the Trandoshan language, Dosh.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1103', 'social_language_twilek', 'Twi\'leki - The language \"Twi\'leki\" consists of two components, the spoken \"Ryl\" and the unspoken \"Lekku\" which employs the headtails. ');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1104', 'social_language_twilek_comprehend', 'Upon obtaining this skill, one can comprehend the language of the Twi\'lek.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1105', 'social_language_twilek_speak', 'Upon obtaining this skill, one can speak the language of the Twi\'lek.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1106', 'social_language_wookiee', 'Shyriiwook - The name Wookiees give their language. Roughly translated, it means \"tongue of the tree people\". Wookiees communicate with a special set of sounds, which are subdivided into the following categories: grunts, barks, waa-waas, moans, whimpers, trills, snarls, and growls.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1107', 'social_language_wookiee_comprehend', 'Upon obtaining this skill, one can comprehend the language of the Wookiee, Shyriiwook.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1108', 'social_language_wookiee_speak', 'Upon obtaining this skill, one can speak the language of the Wookiee, Shyriiwook.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1109', 'social_language_zabrak', 'Zabrak - A language spoken by the Zabrak species. The Zabrak language closely resembles that of Basic and can be easily learned by all species because of this smililarity.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1110', 'social_language_zabrak_comprehend', 'Upon obtaining this skill, one can comprehend the language of the Zabrak.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1111', 'social_language_zabrak_speak', 'Upon obtaining this skill, one can speak the Zabrak language.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1112', 'social_musician', 'Musicians use their skill to heal and relax the minds of other players.  Skilled Musicians who participate in a band can perform many songs with a wide range of flourishes on several instruments.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1113', 'social_musician_ability_01', 'Musical Ability I improves the Musician\'s ability to perform certain songs, conveying improved healing abilities. A Musician can use /startmusic to see a list of their available songs.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1114', 'social_musician_ability_02', 'Musical Ability II improves the Musician\'s ability to perform certain songs, conveying improved healing abilities. A Musician can use /startmusic to see a list of their available songs.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1115', 'social_musician_ability_03', 'Musical Ability III improves the Musician\'s ability to perform certain songs, conveying improved healing abilities. A Musician can use /startmusic to see a list of their available songs.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1116', 'social_musician_ability_04', 'Musical Ability IV improves the Musician\'s ability to perform certain songs, conveying improved healing abilities. A Musician can use /startmusic to see a list of their available songs.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1117', 'social_musician_knowledge_01', 'Musical Knowledge I grants the Musician a wider variety of songs and flourishes they can perform. A Musician can use /startmusic to see a list of their available songs.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1118', 'social_musician_knowledge_02', 'Musical Knowledge II grants the Musician a wider variety of songs and flourishes they can perform. A Musician can use /startmusic to see a list of their available songs.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1119', 'social_musician_knowledge_03', 'Musical Knowledge III grants the Musician a wider variety of songs and flourishes they can perform. A Musician can use /startmusic to see a list of their available songs.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1120', 'social_musician_knowledge_04', 'Musical Knowledge IV grants the Musician a wider variety of songs and flourishes they can perform. A Musician can use /startmusic to see a list of their available songs.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1121', 'social_musician_master', 'The Master Musician knows all the songs and instruments available, and has all the tools to put on a professional performance.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1122', 'social_musician_novice', 'Musicians use their skill to heal and relax the minds of other players.  Skilled musicians who participate in a band can perform many songs with a wide range of flourishes on several instruments.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1123', 'social_musician_shock_01', 'Musician\'s Fatigue Healing I improves the effectiveness of the Musician to heal Battle Fatigue.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1124', 'social_musician_shock_02', 'Musician\'s Fatigue Healing II improves the effectiveness of the Musician to heal Battle Fatigue.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1125', 'social_musician_shock_03', 'Musician\'s Fatigue Healing III improves the effectiveness of the Musician to heal Battle Fatigue.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1126', 'social_musician_shock_04', 'Musician\'s Fatigue Healing IV improves the effectiveness of the Musician to heal Battle Fatigue.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1127', 'social_musician_wound_01', 'Musician\'s Wound Healing I improves the effectiveness of the Musician to heal mind wounds.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1128', 'social_musician_wound_02', 'Musician\'s Wound Healing II improves the effectiveness of the Musician to heal mind wounds.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1129', 'social_musician_wound_03', 'Musician\'s Wound Healing III improves the effectiveness of the Musician to heal mind wounds.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1130', 'social_musician_wound_04', 'Musician\'s Wound Healing IV improves the effectiveness of the Musician to heal mind wounds.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1131', 'social_politician_civic_01', 'This skill gives the politician the ability to install mission terminals in his city.  A city can support up to 3 mission terminals per city rank.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1132', 'social_politician_civic_02', 'This skill gives the politician the ability to recruit and place skill trainers in his city.  A city can support up to 3 skill trainers per city rank.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1133', 'social_politician_civic_03', 'This skill gives the politician the ability to specialize his city in a specific type of healing: Medical or Entertainer.  Healing done in cities with these specializations will show increased results.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1134', 'social_politician_civic_04', 'This skill gives the politician various additional specialization options for the city.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1135', 'social_politician_fiscal_01', 'This skill gives the politician the ability to register his city on the planetary map.  The civic buildings in a city registered this way are also registered with the map and the /find command.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1136', 'social_politician_fiscal_02', 'This skill gives the politician the ability to expand the financial health of his city with the placement of Banks and Shuttleports.  A travel tax can be placed on the shuttleport via the city management terminal.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1137', 'social_politician_fiscal_03', 'This skill gives the politician the ability to set his city to be a Manufacturing Center.  Manufacturing Centers give all crafting attempts within the city a bonus to their success rolls.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1138', 'social_politician_fiscal_04', 'This skill gives the politician the ability to set his city to be a Research Center.  Research Centers give all experimentation attempts within the city a bonus to their success rolls.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1139', 'social_politician_martial_01', 'This skill gives the politician the ability to form and manage his own militia for a player city.  The militia is managed from the city management terminal.  Militia members can /cityban enemies from using public services and grant zoning rights to others with /grantZoningRights.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1140', 'social_politician_martial_02', 'This skill gives the politician the ability to contribute to the health of his city through the placement of a Cloning Facility.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1141', 'social_politician_martial_03', 'This skill gives the politician the ability to turn his city into a Stronghold.  In a Stronghold city, all militia members gain a massive bonus to defense against enemy player attacks.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1142', 'social_politician_martial_04', 'With this skill, the politician gains the ability to place faction aligned mission terminals with the /installMissionTerminal command.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1143', 'social_politician_master', 'This skill gives the politician additional, powerful specializations for the city.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1144', 'social_politician_novice', 'The novice politician has the ability to place and administrate player cities and run for elections.  This is the starting point in a career of mayoral power building.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1145', 'social_politician_urban_01', 'This skill gives the politician the ability to place new types of decorations in the city.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1146', 'social_politician_urban_02', 'This skill gives the politician the ability to place new types of decorations in the city.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1147', 'social_politician_urban_03', 'This skill gives the politician the ability to place new types of decorations in the city.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1148', 'social_politician_urban_04', 'This skill gives the politician the ability to place new types of decorations in the city.');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1149', 'species_bothan', 'Bothan Abilities');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1150', 'species_human', 'Human Abilities');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1151', 'species_ithorian', 'Ithorian Abilities');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1152', 'species_moncal', 'Mon Cal Abilities');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1153', 'species_rodian', 'Rodian Abilities');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1154', 'species_sullustan', 'Sullustan Abilities');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1155', 'species_trandoshan', 'Trandoshan Abilities');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1156', 'species_twilek', 'Twi`lek Abilities');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1157', 'species_wookiee', 'Wookiee Abilities');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1158', 'species_zabrak', 'Zabrak Abilities');
INSERT INTO `client_strings` VALUES ('string/en/skl_d.stf', '1159', 'test', 'Test');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1', 'architect', 'Architect');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '2', 'ballistic_munitions_components', 'Ballistic munitions components');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '3', 'bio_engineer', 'Bio-Engineer');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '4', 'chef', 'Chef');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '5', 'combat', 'Combat');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '6', 'combat_1hsword', 'Fencer');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '7', 'combat_1hsword_ability_01', 'Intermediate Fencing Technique');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '8', 'combat_1hsword_ability_02', 'Advanced Fencing Technique');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '9', 'combat_1hsword_ability_03', 'Expert Fencing Technique');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '10', 'combat_1hsword_ability_04', 'Master Fencing Technique');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '11', 'combat_1hsword_accuracy_01', 'Intermediate Fencing Stances and Grips');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '12', 'combat_1hsword_accuracy_02', 'Advanced Fencing Stances and Grips');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '13', 'combat_1hsword_accuracy_03', 'Expert Fencing Stances and Grips');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '14', 'combat_1hsword_accuracy_04', 'Master Fencing Stances and Grips');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '15', 'combat_1hsword_master', 'Master Fencer');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '16', 'combat_1hsword_novice', 'Novice Fencer');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '17', 'combat_1hsword_speed_01', 'Intermediate Footwork');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '18', 'combat_1hsword_speed_02', 'Advanced Footwork');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '19', 'combat_1hsword_speed_03', 'Expert Footwork');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '20', 'combat_1hsword_speed_04', 'Master Footwork');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '21', 'combat_1hsword_support_01', 'Intermediate Fencing Finesse');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '22', 'combat_1hsword_support_02', 'Advanced Fencing Finesse');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '23', 'combat_1hsword_support_03', 'Expert Fencing Finesse');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '24', 'combat_1hsword_support_04', 'Master Fencing Finesse');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '25', 'combat_2hsword', 'Swordsman');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '26', 'combat_2hsword_ability_01', 'Intermediate Sword Defense');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '27', 'combat_2hsword_ability_02', 'Advanced Sword Defense');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '28', 'combat_2hsword_ability_03', 'Expert Sword Defense');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '29', 'combat_2hsword_ability_04', 'Master Sword Defense');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '30', 'combat_2hsword_accuracy_01', 'Intermediate Sword Offense');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '31', 'combat_2hsword_accuracy_02', 'Advanced Sword Offense');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '32', 'combat_2hsword_accuracy_03', 'Expert Sword Offense');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '33', 'combat_2hsword_accuracy_04', 'Master Sword Offense');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '34', 'combat_2hsword_master', 'Master Swordsman');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '35', 'combat_2hsword_novice', 'Novice Swordsman');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '36', 'combat_2hsword_speed_01', 'Intermediate Sword Techniques');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '37', 'combat_2hsword_speed_02', 'Advanced Sword Techniques');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '38', 'combat_2hsword_speed_03', 'Expert Sword Techniques');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '39', 'combat_2hsword_speed_04', 'Master Sword Techniques');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '40', 'combat_2hsword_support_01', 'Intermediate Sword Finesse');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '41', 'combat_2hsword_support_02', 'Advanced Sword Finesse');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '42', 'combat_2hsword_support_03', 'Expert Sword Finesse');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '43', 'combat_2hsword_support_04', 'Master Sword Finesse');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '44', 'combat_bountyhunter', 'Bounty Hunter');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '45', 'combat_bountyhunter_droidcontrol_01', 'Bounty Carbine Specialization I');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '46', 'combat_bountyhunter_droidcontrol_02', 'Bounty Carbine Specialization II');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '47', 'combat_bountyhunter_droidcontrol_03', 'Bounty Carbine Specialization III');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '48', 'combat_bountyhunter_droidcontrol_04', 'Bounty Carbine Specialization IV');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '49', 'combat_bountyhunter_droidresponse_01', 'Bounty Pistol Specialization I');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '50', 'combat_bountyhunter_droidresponse_02', 'Bounty Pistol Specialization II');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '51', 'combat_bountyhunter_droidresponse_03', 'Bounty Pistol Specialization III');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '52', 'combat_bountyhunter_droidresponse_04', 'Bounty Pistol Specialization IV');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '53', 'combat_bountyhunter_investigation_01', 'Investigation I');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '54', 'combat_bountyhunter_investigation_02', 'Investigation II');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '55', 'combat_bountyhunter_investigation_03', 'Investigation III');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '56', 'combat_bountyhunter_investigation_04', 'Investigation IV');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '57', 'combat_bountyhunter_master', 'Master Bounty Hunter');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '58', 'combat_bountyhunter_novice', 'Novice Bounty Hunter');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '59', 'combat_bountyhunter_support_01', 'Light Lightning Cannon Specialization I');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '60', 'combat_bountyhunter_support_02', 'Light Lightning Cannon Specialization II');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '61', 'combat_bountyhunter_support_03', 'Light Lightning Cannon Specialization III');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '62', 'combat_bountyhunter_support_04', 'Light Lightning Cannon Specialization IV');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '63', 'combat_brawler', 'Brawler');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '64', 'combat_brawler_1handmelee_01', 'One-Handed I: Sword Technique');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '65', 'combat_brawler_1handmelee_02', 'One-Handed II: Lethal Strikes');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '66', 'combat_brawler_1handmelee_03', 'One-Handed III: Blunt Edge Strikes');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '67', 'combat_brawler_1handmelee_04', 'One-Handed IV: Dance of Blades');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '68', 'combat_brawler_2handmelee_01', 'Two-Handed I: Weighted Stances');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '69', 'combat_brawler_2handmelee_02', 'Two-Handed II: Strength & Precision');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '70', 'combat_brawler_2handmelee_03', 'Two-Handed III: Sweeps');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '71', 'combat_brawler_2handmelee_04', 'Two-Handed IV: Fatal Finesse');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '72', 'combat_brawler_master', 'Master Brawler');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '73', 'combat_brawler_novice', 'Novice Brawler');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '74', 'combat_brawler_polearm_01', 'Polearms I: Long Hafted Weaponry');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '75', 'combat_brawler_polearm_02', 'Polearms II: Form & Balance');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '76', 'combat_brawler_polearm_03', 'Polearms III: Power Strikes');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '77', 'combat_brawler_polearm_04', 'Polearms IV: Overwhelming Assault');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '78', 'combat_brawler_unarmed_01', 'Unarmed I: Street Fighting');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '79', 'combat_brawler_unarmed_02', 'Unarmed II: Stunning Attack');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '80', 'combat_brawler_unarmed_03', 'Unarmed III: Blinding Attack');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '81', 'combat_brawler_unarmed_04', 'Unarmed IV: Teras Kasi Fundamentals');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '82', 'combat_carbine', 'Carbineer');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '83', 'combat_carbine_ability_01', 'Intermediate Carbine Counterinsurgency Tactics');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '84', 'combat_carbine_ability_02', 'Advanced Carbine Counterinsurgency Tactics');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '85', 'combat_carbine_ability_03', 'Expert Carbine Counterinsurgency Tactics');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '86', 'combat_carbine_ability_04', 'Master Carbine Counterinsurgency Tactics');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '87', 'combat_carbine_accuracy_01', 'Intermediate Carbine Assault Tactics');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '88', 'combat_carbine_accuracy_02', 'Advanced Carbine Assault Tactics');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '89', 'combat_carbine_accuracy_03', 'Expert Carbine Assault Tactics');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '90', 'combat_carbine_accuracy_04', 'Master Carbine Assault Tactics');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '91', 'combat_carbine_master', 'Master Carbineer');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '92', 'combat_carbine_novice', 'Novice Carbineer');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '93', 'combat_carbine_speed_01', 'Intermediate Carbine Marksmanship');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '94', 'combat_carbine_speed_02', 'Advanced Carbine Marksmanship');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '95', 'combat_carbine_speed_03', 'Expert Carbine Marksmanship');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '96', 'combat_carbine_speed_04', 'Master Carbine Marksmanship');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '97', 'combat_carbine_support_01', 'Intermediate Carbine Special Abilities');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '98', 'combat_carbine_support_02', 'Advanced Carbine Special Abilities');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '99', 'combat_carbine_support_03', 'Expert Carbine Special Abilities');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '100', 'combat_carbine_support_04', 'Master Carbine Special Abilities');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '101', 'combat_command_support_02', 'Advanced Specialized Weapon Crafting');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '102', 'combat_command_support_04', 'Master Specialized Weapon Crafting');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '103', 'combat_commando', 'Commando');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '104', 'combat_commando_heavyweapon_accuracy_01', 'Field Tactics I');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '105', 'combat_commando_heavyweapon_accuracy_02', 'Field Tactics II');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '106', 'combat_commando_heavyweapon_accuracy_03', 'Field Tactics III');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '107', 'combat_commando_heavyweapon_accuracy_04', 'Field Tactics IV');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '108', 'combat_commando_heavyweapon_speed_01', 'Heavy Support Weapons I');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '109', 'combat_commando_heavyweapon_speed_02', 'Heavy Support Weapons II');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '110', 'combat_commando_heavyweapon_speed_03', 'Heavy Support Weapons III');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '111', 'combat_commando_heavyweapon_speed_04', 'Heavy Support Weapons IV');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '112', 'combat_commando_master', 'Master Commando');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '113', 'combat_commando_novice', 'Novice Commando');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '114', 'combat_commando_support_01', 'Acid Rifle Specialization I');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '115', 'combat_commando_support_02', 'Acid Rifle Specialization II');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '116', 'combat_commando_support_03', 'Acid Rifle Specialization III');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '117', 'combat_commando_support_04', 'Acid Rifle Specialization IV');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '118', 'combat_commando_thrownweapon_01', 'Flamethrower Specialization I');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '119', 'combat_commando_thrownweapon_02', 'Flamethrower Specialization II');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '120', 'combat_commando_thrownweapon_03', 'Flamethrower Specialization III');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '121', 'combat_commando_thrownweapon_04', 'Flamethrower Specialization IV');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '122', 'combat_engineer', 'Combat Engineer');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '123', 'combat_marksman', 'Marksman');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '124', 'combat_marksman_carbine_01', 'Carbines I: Medium Range Combat');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '125', 'combat_marksman_carbine_02', 'Carbines II: Full Auto Firing');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '126', 'combat_marksman_carbine_03', 'Carbines III: Improved Control');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '127', 'combat_marksman_carbine_04', 'Carbines IV: Called Shots');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '128', 'combat_marksman_master', 'Master Marksman');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '129', 'combat_marksman_novice', 'Novice Marksman');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '130', 'combat_marksman_pistol_01', 'Pistols I: Short Range Combat');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '131', 'combat_marksman_pistol_02', 'Pistols II: Light Sidearms');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '132', 'combat_marksman_pistol_03', 'Pistols III: Medium Sidearms');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '133', 'combat_marksman_pistol_04', 'Pistols IV: Heavy Sidearms');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '134', 'combat_marksman_rifle_01', 'Rifles I: Long Range Combat');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '135', 'combat_marksman_rifle_02', 'Rifles II: Concealed Firing');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '136', 'combat_marksman_rifle_03', 'Rifles III: Improved Aim');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '137', 'combat_marksman_rifle_04', 'Rifles IV: Sniping');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '138', 'combat_marksman_support_01', 'Ranged Support I: Aim & Threaten');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '139', 'combat_marksman_support_02', 'Ranged Support II: Maneuvers');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '140', 'combat_marksman_support_03', 'Ranged Support III: Warning Shot');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '141', 'combat_marksman_support_04', 'Ranged Support IV: Suppression');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '142', 'combat_medic', 'Combat Medic');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '143', 'combat_melee_basic', 'Melee combat: basic knowledge');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '144', 'combat_melee_teras_kasi_basic', 'Teras Kasi: basic knowledge');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '145', 'combat_melee_teras_kasi_power_advanced', 'Teras Kasi: advanced power');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '146', 'combat_melee_teras_kasi_power_basic', 'Teras Kasi: basic power');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '147', 'combat_melee_teras_kasi_power_expert', 'Teras Kasi: expert power');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '148', 'combat_melee_teras_kasi_power_intermediate', 'Teras Kasi: intermediate power');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '149', 'combat_melee_teras_kasi_speed_advanced', 'Teras Kasi: advanced speed');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '150', 'combat_melee_teras_kasi_speed_basic', 'Teras Kasi: basic speed');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '151', 'combat_melee_teras_kasi_speed_expert', 'Teras Kasi: expert speed');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '152', 'combat_melee_teras_kasi_speed_intermediate', 'Teras Kasi: intermediate speed');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '153', 'combat_melee_teras_kasi_technique_advanced', 'Teras Kasi: advanced technique');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '154', 'combat_melee_teras_kasi_technique_basic', 'Teras Kasi: basic technique');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '155', 'combat_melee_teras_kasi_technique_expert', 'Teras Kasi: expert technique');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '156', 'combat_melee_teras_kasi_technique_intermediate', 'Teras Kasi: intermediate technique');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '157', 'combat_meleespecialize_onehand_advanced', 'Melee Specialist: advanced one-handed combat');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '158', 'combat_meleespecialize_onehand_basic', 'Melee Specialist: basic one-handed combat');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '159', 'combat_meleespecialize_onehand_expert', 'Melee Specialist: expert one-handed combat');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '160', 'combat_meleespecialize_onehand_intermediate', 'Melee Specialist: intermediate one-handed combat');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '161', 'combat_meleespecialize_onehand_specialist', 'Melee Specialist: one-hand specialization');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '162', 'combat_meleespecialize_polearm_advanced', 'Melee Specialist: advanced pole-arm techniques');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '163', 'combat_meleespecialize_polearm_basic', 'Melee Specialist: basic polearm abilities');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '164', 'combat_meleespecialize_polearm_expert', 'Melee Specialist: expert polearm combat techniques');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '165', 'combat_meleespecialize_polearm_intermediate', 'Melee Specialist: intermediate polearm');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '166', 'combat_meleespecialize_polearm_specialist', 'Melee Specialist: polearm specialization');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '167', 'combat_meleespecialize_teras_kasi_specialist', 'Teras Kasi: Specialist');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '168', 'combat_meleespecialize_twohand_advanced', 'Melee Specialist: advanced two-hand combat techniques');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '169', 'combat_meleespecialize_twohand_basic', 'Melee Specialist: basic two-hand combat ability');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '170', 'combat_meleespecialize_twohand_expert', 'Melee Specialist: expert two-hand combat ability');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '171', 'combat_meleespecialize_twohand_intermediate', 'Melee Specialist: intermediate two-handed combat');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '172', 'combat_meleespecialize_twohand_specialist', 'Melee Specialist: two-hand specialization');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '173', 'combat_pistol', 'Pistoleer');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '174', 'combat_pistol_ability_01', 'Pistol Techniques I: Disarming Shot');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '175', 'combat_pistol_ability_02', 'Pistol Techniques II: Double Tap');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '176', 'combat_pistol_ability_03', 'Pistol Techniques III: Stopping Shot');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '177', 'combat_pistol_ability_04', 'Pistol Techniques IV: Fan Shot');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '178', 'combat_pistol_accuracy_01', 'Pistol Grips I: Point Blank Hold');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '179', 'combat_pistol_accuracy_02', 'Pistol Grips II: Dodge Hold');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '180', 'combat_pistol_accuracy_03', 'Pistol Grips III: Two-Handed Aim & Fire');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '181', 'combat_pistol_accuracy_04', 'Pistol Grips IV: Rapid Trigger Work');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '182', 'combat_pistol_master', 'Master Pistoleer');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '183', 'combat_pistol_novice', 'Novice Pistoleer');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '184', 'combat_pistol_speed_01', 'Pistol Marksmanship I: Wrist Stability');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '185', 'combat_pistol_speed_02', 'Pistol Marksmanship II: Firing on the Move');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '186', 'combat_pistol_speed_03', 'Pistol Marksmanship III: Fast Target Acquisition');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '187', 'combat_pistol_speed_04', 'Pistol Marksmanship IV: Dead-Eye Aim');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '188', 'combat_pistol_support_01', 'Pistol Stances I: Close Range Stability');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '189', 'combat_pistol_support_02', 'Pistol Stances II: Quick-Draw Posture');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '190', 'combat_pistol_support_03', 'Pistol Stances III: Firing from the Hip');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '191', 'combat_pistol_support_04', 'Pistol Stances IV: Advanced Coordination');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '192', 'combat_polearm', 'Pikeman');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '193', 'combat_polearm_ability_01', 'Intermediate Polearm Defensive Techniques');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '194', 'combat_polearm_ability_02', 'Advanced Polearm Defensive Techniques');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '195', 'combat_polearm_ability_03', 'Expert Polearm Defensive Techniques');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '196', 'combat_polearm_ability_04', 'Master Polearm Defensive Techniques');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '197', 'combat_polearm_accuracy_01', 'Intermediate Polearm Stances');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '198', 'combat_polearm_accuracy_02', 'Advanced Polearm Stances');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '199', 'combat_polearm_accuracy_03', 'Expert Polearm Stances');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '200', 'combat_polearm_accuracy_04', 'Master Polearm Stances');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '201', 'combat_polearm_master', 'Master Pikeman');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '202', 'combat_polearm_novice', 'Novice Pikeman');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '203', 'combat_polearm_speed_01', 'Intermediate Polearm Offensive Techniques');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '204', 'combat_polearm_speed_02', 'Advanced Polearm Offensive Techniques');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '205', 'combat_polearm_speed_03', 'Expert Polearm Offensive Techniques');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '206', 'combat_polearm_speed_04', 'Master Polearm Offensive Techniques');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '207', 'combat_polearm_support_01', 'Intermediate Polearm Support Abilities');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '208', 'combat_polearm_support_02', 'Advanced Polearm Support Abilities');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '209', 'combat_polearm_support_03', 'Expert Polearm Support Abilities');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '210', 'combat_polearm_support_04', 'Master Polearm Support Abilities');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '211', 'combat_ranged_accuracy_advanced', 'Ranged combat: advanced accuracy');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '212', 'combat_ranged_accuracy_basic', 'Ranged combat: basic accuracy');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '213', 'combat_ranged_accuracy_expert', 'Ranged combat: expert accuracy');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '214', 'combat_ranged_accuracy_intermediate', 'Ranged combat: intermediate accuracy');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '215', 'combat_ranged_speed_advanced', 'Ranged combat: advanced speed');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '216', 'combat_ranged_speed_basic', 'Ranged combat: basic speed');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '217', 'combat_ranged_speed_expert', 'Ranged combat: expert speed');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '218', 'combat_ranged_speed_intermediate', 'Ranged combat: intermediate speed');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '219', 'combat_ranged_weapons_basic', 'Ranged combat: basic ranged weapon ability');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '220', 'combat_rangedspecialize_carbine_advanced', 'Ranged specialization: advanced carbine');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '221', 'combat_rangedspecialize_carbine_basic', 'Ranged specialization: basic carbine');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '222', 'combat_rangedspecialize_carbine_intermediate', 'Ranged specialization: intermediate carbine');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '223', 'combat_rangedspecialize_carbine_specialist', 'Ranged Specialization: Carbine Specialist');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '224', 'combat_rangedspecialize_pistol_advanced', 'Ranged Specialization: Advanced Pistol');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '225', 'combat_rangedspecialize_pistol_basic', 'Ranged Specialization: Basic Pistols');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '226', 'combat_rangedspecialize_pistol_intermediate', 'Ranged Specialization: Intermediate Pistol Technique');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '227', 'combat_rangedspecialize_pistol_specialist', 'Ranged Specialization: Pistol Specialist');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '228', 'combat_rangedspecialize_rifle_advanced', 'Ranged Specialization: Advanced Rifle');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '229', 'combat_rangedspecialize_rifle_basic', 'Ranged Specialization: Basic Rifle');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '230', 'combat_rangedspecialize_rifle_intermediate', 'Ranged Specialization: Intermediate Rifle');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '231', 'combat_rangedspecialize_rifle_specialist', 'Ranged Specialization: Rifle Specialist');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '232', 'combat_rifleman', 'Rifleman');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '233', 'combat_rifleman_ability_01', 'Counter-Sniping I: Flushing Shot');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '234', 'combat_rifleman_ability_02', 'Counter-Sniping II: Startling Shot');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '235', 'combat_rifleman_ability_03', 'Counter-Sniping III: Advanced Flushing Shot');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '236', 'combat_rifleman_ability_04', 'Counter-Sniping IV: Advanced Startling Shot');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '237', 'combat_rifleman_accuracy_01', 'Sniping I: Mind Shot 2');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '238', 'combat_rifleman_accuracy_02', 'Sniping II: Head Shot 3');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '239', 'combat_rifleman_accuracy_03', 'Sniping III: Surprise Shot');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '240', 'combat_rifleman_accuracy_04', 'Sniping IV: Sniper Shot');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '241', 'combat_rifleman_master', 'Master Rifleman');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '242', 'combat_rifleman_novice', 'Novice Rifleman');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '243', 'combat_rifleman_speed_01', 'Concealment I: Conceal Shot');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '244', 'combat_rifleman_speed_02', 'Concealment II: Cover Fighting');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '245', 'combat_rifleman_speed_03', 'Concealment III: Sneak and Shoot');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '246', 'combat_rifleman_speed_04', 'Concealment IV: Silent Assassin');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '247', 'combat_rifleman_support_01', 'Rifle Abilities I: Flurry Shot');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '248', 'combat_rifleman_support_02', 'Rifle Abilities II: Defensive Firing');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '249', 'combat_rifleman_support_03', 'Rifle Abilities III: Flurry Shot 2');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '250', 'combat_rifleman_support_04', 'Rifle Abilities IV: Fast Sniping');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '251', 'combat_smuggler', 'Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '252', 'combat_smuggler_combat_01', 'Dirty Fighting I: Feign Death');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '253', 'combat_smuggler_combat_02', 'Dirty Fighting II: Shooting Wild');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '254', 'combat_smuggler_combat_03', 'Dirty Fighting III: Low Blow');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '255', 'combat_smuggler_combat_04', 'Dirty Fighting IV: Last Ditch Assault');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '256', 'combat_smuggler_master', 'Master Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '257', 'combat_smuggler_novice', 'Novice Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '258', 'combat_smuggler_slicing_01', 'Slicing I: Terminals');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '259', 'combat_smuggler_slicing_02', 'Slicing II: Weapon Basic');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '260', 'combat_smuggler_slicing_03', 'Slicing III: Armor');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '261', 'combat_smuggler_slicing_04', 'Slicing IV: Weapon Advanced');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '262', 'combat_smuggler_spice_01', 'Spices I: Naturals');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '263', 'combat_smuggler_spice_02', 'Spices II: Meds');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '264', 'combat_smuggler_spice_03', 'Spices III: Stims');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '265', 'combat_smuggler_spice_04', 'Spices IV: Chems');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '266', 'combat_smuggler_underworld_01', 'Underworld I: Negotiator');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '267', 'combat_smuggler_underworld_02', 'Underworld II: Fast Talker');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '268', 'combat_smuggler_underworld_03', 'Underworld III: Sell Out');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '269', 'combat_smuggler_underworld_04', 'Underworld IV: Connections');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '270', 'combat_tactic_block_advanced', 'Combat Tactics: Advanced Blocking');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '271', 'combat_tactic_block_basic', 'Combat Tactics: Basic Blocking');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '272', 'combat_tactic_block_expert', 'Combat Tactics: Expert Blocking');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '273', 'combat_tactic_block_intermediate', 'Combat Tactics: Intermediate Blocking');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '274', 'combat_tactic_counter_advanced', 'Combat Tactics: Advanced Counter-attack');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '275', 'combat_tactic_counter_basic', 'Combat Tactics: Basic Counter-attack');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '276', 'combat_tactic_counter_expert', 'Combat Tactics: Expert Counter-attack');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '277', 'combat_tactic_evade_advanced', 'Combat Tactics: Advanced Evasion Techniques');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '278', 'combat_tactic_evade_basic', 'Combat Tactics: Basic Evasion');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '279', 'combat_tactic_evade_expert', 'Combat Tactics: Evasion Expert');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '280', 'combat_tactic_general_basic', 'Combat Tactics: General Combat Technique');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '281', 'combat_tactic_ranged_weapon_ability_advanced', 'Combat Tactics: Advanced Ranged Weapon Ability');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '282', 'combat_tactic_ranged_weapon_ability_basic', 'Combat Tactics: Basic Ranged Weapon Ability');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '283', 'combat_tactic_ranged_weapon_ability_expert', 'Combat Tactics: Expert Ranged Weapon Ability');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '284', 'combat_tactic_stealth_advanced', 'Combat Tactics: Advanced Stealth Techniques');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '285', 'combat_tactic_stealth_basic', 'Combat Tactics: Basic Stealth');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '286', 'combat_tactic_stealth_expert', 'Combat Tactics: Stealth Expert');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '287', 'combat_tactic_strategy_advanced', 'Combat Tactics: Advanced Strategy');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '288', 'combat_tactic_strategy_basic', 'Combat Tactics: Basic Strategy');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '289', 'combat_tactic_strategy_expert', 'Combat Tactics: Expert Strategy');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '290', 'combat_tactic_strategy_intermediate', 'Combat Tactics: Intermediate Strategy');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '291', 'combat_unarmed', 'Teras Kasi Artist');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '292', 'combat_unarmed_ability_01', 'Intermediate Power Techniques');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '293', 'combat_unarmed_ability_02', 'Advanced Power Techniques');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '294', 'combat_unarmed_ability_03', 'Expert Power Techniques');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '295', 'combat_unarmed_ability_04', 'Master Power Techniques');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '296', 'combat_unarmed_accuracy_01', 'Intermediate Meditative Techniques');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '297', 'combat_unarmed_accuracy_02', 'Advanced Meditative Techniques');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '298', 'combat_unarmed_accuracy_03', 'Expert Meditative Techniques');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '299', 'combat_unarmed_accuracy_04', 'Master Meditative Techniques');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '300', 'combat_unarmed_master', 'Teras Kasi Master');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '301', 'combat_unarmed_novice', 'Teras Kasi Novice');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '302', 'combat_unarmed_speed_01', 'Intermediate Balance Conditioning');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '303', 'combat_unarmed_speed_02', 'Advanced Balance Conditioning');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '304', 'combat_unarmed_speed_03', 'Expert Balance Conditioning');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '305', 'combat_unarmed_speed_04', 'Master Balance Conditioning');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '306', 'combat_unarmed_support_01', 'Intermediate Precision Striking');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '307', 'combat_unarmed_support_02', 'Advanced Precision Striking');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '308', 'combat_unarmed_support_03', 'Expert Precision Striking');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '309', 'combat_unarmed_support_04', 'Master Precision Striking');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '310', 'commando', 'Commando');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '311', 'commerce', 'Commerce');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '312', 'common_knowledge', 'Common Knowledge');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '313', 'craft_armor_advanced_armor_designer', 'Armorsmith: Advanced Armor Designer');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '314', 'craft_armor_advanced_segment_construction', 'Armorsmith: Advanced Segment Construction');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '315', 'craft_armor_armor_layers', 'Armorsmith: Armor Layer Construction Techniques');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '316', 'craft_armor_composite_armor_segments', 'Armorsmith: Composite Armor Segments');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '317', 'craft_armor_deflector_shield_components', 'Armorsmith: Deflector Shield Components');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '318', 'craft_armor_deflector_shield_fundamentals', 'Armorsmith: Deflector Shield Fundamentals');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '319', 'craft_armor_expert_armor_designer', 'Armorsmith: Expert Armor Designer');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '320', 'craft_armor_heavy_armor_modules', 'Armorsmith: Heavy Armor Modules Construction Techniques');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '321', 'craft_armor_light_armor_modules', 'Armorsmith: Light Armor Modules Construction Techniques');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '322', 'craft_armor_natural_armor_segments', 'Armorsmith: Natural Armor Segments');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '323', 'craft_armor_novice_armor_designer', 'Armorsmith: Novice Armor Designer');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '324', 'craft_cook_culinaryskill_advanced', 'Cooking: Advanced Culinary Skill');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '325', 'craft_cook_culinaryskill_basic', 'Cooking: Basic Culinary Skill');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '326', 'craft_cook_culinaryskill_expert', 'Cooking: Expert Culinary Skill');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '327', 'craft_cook_culinaryskill_intermediate', 'Cooking: Intermediate Culinary Skill');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '328', 'craft_cook_general_advanced', 'Cooking: Advanced General Knowledge');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '329', 'craft_cook_general_expert', 'Cooking: Expert General Knowledge');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '330', 'craft_cook_general_intermediate', 'Cooking: Intermediate General Knowledge');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '331', 'craft_cook_general_novice', 'Cooking: Novice');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '332', 'craft_cook_technique_advanced', 'Cooking: Advanced Technique');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '333', 'craft_cook_technique_basic', 'Cooking: Basic Technique');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '334', 'craft_cook_technique_expert', 'Cooking: Expert Technique');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '335', 'craft_cook_technique_intermediate', 'Cooking: Intermediate Technique');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '336', 'craft_factory_efficiency_advanced', 'Factories: Advanced Efficiency');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '337', 'craft_factory_efficiency_basic', 'Factories: Basic Efficiency');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '338', 'craft_factory_efficiency_expert', 'Factories: Efficiency Expert');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '339', 'craft_factory_efficiency_intermediate', 'Factories: Intermediate Efficiency');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '340', 'craft_factory_efficiency_specialist', 'Factories: Efficiency Specialist');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '341', 'craft_factory_maintenance_advanced', 'Factories: Advanced Maintenance');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '342', 'craft_factory_maintenance_basic', 'Factories: Basic Maintenance');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '343', 'craft_factory_maintenance_expert', 'Factories: Expert Maintenance');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '344', 'craft_factory_maintenance_intermediate', 'Factories: Intermediate Maintenance');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '345', 'craft_factory_management_advanced', 'Factories: Advanced Maintenance');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '346', 'craft_factory_management_basic', 'Factories: Basic Management');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '347', 'craft_factory_management_expert', 'Factories: Expert Management');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '348', 'craft_factory_management_intermediate', 'Factories: Intermediate Management');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '349', 'craft_factory_speed_advanced', 'Factories: Advanced Speed');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '350', 'craft_factory_speed_basic', 'Factories: Basic Speed');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '351', 'craft_factory_speed_expert', 'Factories: Expert Speed');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '352', 'craft_factory_speed_intermediate', 'Factories: Intermediate Speed');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '353', 'craft_farm_management_advanced', 'Farming: Advanced Management');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '354', 'craft_farm_management_basic', 'Farming: Basic Management');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '355', 'craft_farm_management_expert', 'Farming: Expert Management');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '356', 'craft_farm_management_intermediate', 'Farming: Intermediate Management');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '357', 'craft_farm_management_specialist', 'Farming: Management Specialist');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '358', 'craft_farm_producecrop_advanced', 'Farming: Advanced Crop Production');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '359', 'craft_farm_producecrop_basic', 'Farming: Basic Crop Production ');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '360', 'craft_farm_producecrop_expert', 'Farming: Expert Crop Production');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '361', 'craft_farm_producecrop_intermediate', 'Farming: Intermediate Crop Production');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '362', 'craft_farm_producecrop_specialist', 'Farming: Crop Production Specialist');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '363', 'craft_farm_producelivestock_advanced', 'Ranching: Advanced Livestock Production');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '364', 'craft_farm_producelivestock_basic', 'Ranching: Basic Livestock Production');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '365', 'craft_farm_producelivestock_expert', 'Ranching: Livestock Production Expert');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '366', 'craft_farm_producelivestock_intermediate', 'Ranching: Intermediate Livestock Production');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '367', 'craft_farm_producelivestock_specialist', 'Ranching: Livestock Production Specialist');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '368', 'craft_general_engineering_advanced', 'Crafting: Advanced General Engineering');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '369', 'craft_general_engineering_basic', 'Crafting: Basic General Engineering');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '370', 'craft_general_engineering_expert', 'Crafting: Expert Engineering');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '371', 'craft_general_engineering_intermediate', 'Crafting: Intermediate Engineering');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '372', 'craft_general_engineering_specialist', 'Crafting: Engineering Specialist');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '373', 'craft_general_experimentation_advanced', 'Crafting: Advanced Experimentation');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '374', 'craft_general_experimentation_basic', 'Crafting: Basic Experimentation');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '375', 'craft_general_experimentation_expert', 'Crafting: Expert Experimentation');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '376', 'craft_general_experimentation_specialist', 'Crafting: Experimentation Specialist');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '377', 'craft_general_itemdesign_advanced', 'Crafting: Advanced Item Design');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '378', 'craft_general_itemdesign_basic', 'Crafting: Basic Item Design');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '379', 'craft_general_itemdesign_expert', 'Crafting: Expert Item Design');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '380', 'craft_general_itemdesign_specialist', 'Crafting: Item Design Specialist');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '381', 'craft_general_repair_advanced', 'Crafting: Advanced General Repair');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '382', 'craft_general_repair_basic', 'Crafting: Basic Repair');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '383', 'craft_general_repair_expert', 'Crafting: Expert General Repair');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '384', 'craft_general_repairsalvage_specialist', 'Repair / Salvage Specialist');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '385', 'craft_general_salvage_advanced', 'Crafting: Advanced Salvage');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '386', 'craft_general_salvage_basic', 'Crafting: Basic Salvage');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '387', 'craft_general_salvage_expert', 'Crafting: Salvage Expert');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '388', 'craft_resource_mineliquid_advanced', 'Liquid Mining: Advanced');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '389', 'craft_resource_mineliquid_basic', 'Liquid Mining: Basic');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '390', 'craft_resource_mineliquid_expert', 'Liquid Mining: Expert');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '391', 'craft_resource_mineliquid_specialist', 'Liquid Mining: Specialist');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '392', 'craft_resource_minemineral_advanced', 'Mineral Mining: Advanced');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '393', 'craft_resource_minemineral_basic', 'Mineral Mining: Basic');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '394', 'craft_resource_minemineral_expert', 'Mineral Mining: Expert');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '395', 'craft_resource_minemineral_specialist', 'Mineral Mining: Specialist');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '396', 'craft_resource_minerenewable_advanced', 'Renewable Resource Mining: Advanced');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '397', 'craft_resource_minerenewable_basic', 'Renewable Resource Mining: Basic');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '398', 'craft_resource_minerenewable_expert', 'Renewable Resource Mining: Expert');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '399', 'craft_resource_minerenewable_specialist', 'Renewable Resource Mining: Specialist');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '400', 'craft_resource_survey_advanced', 'Surveying: Advanced');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '401', 'craft_resource_survey_basic', 'Surveying: Basic');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '402', 'craft_resource_survey_expert', 'Surveying: Expert');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '403', 'craft_resource_survey_specialist', 'Surveying: Specialist');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '404', 'craft_tailor_accessory_advanced', 'Tailoring: Advanced Accessories');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '405', 'craft_tailor_accessory_basic', 'Tailoring: Basic Accessories');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '406', 'craft_tailor_accessory_expert', 'Tailoring: Expert Accessories');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '407', 'craft_tailor_accessory_intermediate', 'Tailoring: Intermediate Accessories');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '408', 'craft_tailor_dye_advanced', 'Tailoring: Advanced Dyes');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '409', 'craft_tailor_dye_basic', 'Tailoring: Basic Dyes');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '410', 'craft_tailor_dye_expert', 'Tailoring: Expert Dyes');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '411', 'craft_tailor_dye_intermediate', 'Tailoring: Intermediate Dyes');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '412', 'craft_tailor_general_advanced', 'Tailoring: Advanced General');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '413', 'craft_tailor_general_expert', 'Tailoring: Expert General');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '414', 'craft_tailor_general_intermediate', 'Tailoring: Intermediate General');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '415', 'craft_tailor_general_novice', 'Tailoring: Novice General');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '416', 'craft_tailor_material_advanced', 'Tailoring: Advanced Materials');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '417', 'craft_tailor_material_basic', 'Tailoring: Basic Materials');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '418', 'craft_tailor_material_expert', 'Tailoring: Expert Materials');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '419', 'craft_tailor_material_intermediate', 'Tailoring: Intermediate Materials');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '420', 'craft_vend_accounting_advanced', 'Vending: Advanced Accounting');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '421', 'craft_vend_accounting_basic', 'Vending: Basic Accounting');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '422', 'craft_vend_accounting_expert', 'Vending: Expert Accounting');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '423', 'craft_vend_accounting_intermediate', 'Vending: Intermediate Accounting');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '424', 'craft_vend_customization_advanced', 'Vending: Advanced Customization');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '425', 'craft_vend_customization_basic', 'Vending: Basic Customization ');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '426', 'craft_vend_customization_expert', 'Vending: Customization Expert');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '427', 'craft_vend_customization_intermediate', 'Vending: Intermediate Customization');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '428', 'craft_vend_management_advanced', 'Vending: Advanced Management');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '429', 'craft_vend_management_basic', 'Vending: Basic Management');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '430', 'craft_vend_management_expert', 'Vending: Expert Management');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '431', 'craft_vend_management_intermediate', 'Vending: Intermediate Management');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '432', 'craft_vend_salespecialist_advanced', 'Vending: Advanced Sales Specialist');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '433', 'craft_vend_salespecialist_basic', 'Vending: Basic Sales Specialization');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '434', 'craft_vend_salespecialist_expert', 'Vending: Expert Sales Specialist');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '435', 'craft_vend_salespecialist_intermediate', 'Vending: Intermediate Sales Specialist');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '436', 'craft_weapon_melee_blade_crafting', 'Melee Weapon Crafting: Basic Blades');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '437', 'craft_weapon_melee_blunt_implements', 'Melee Weapon Crafting: Blunt Implements');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '438', 'craft_weapon_melee_grips_and_handles', 'Melee Weapon Crafting: Grips and Handles');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '439', 'craft_weapon_melee_two_handed_weapon_design', 'Melee Weapon Crafting: Two-handed Weapons Design');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '440', 'craft_weapon_melee_vibro_weapon_construction', 'Melee Weapon Crafting: Vibro-weapon Construction Techniques');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '441', 'craft_weapon_melee_weapon_construction_techniques', 'Melee Weapon Crafting: Construction Techniques');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '442', 'craft_weapon_melee_weapontech_advanced', 'Crafting: Advanced Melee Weapontech');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '443', 'craft_weapon_melee_weapontech_expert', 'Crafting: Expert Melee Weapontech');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '444', 'craft_weapon_melee_weapontech_novice', 'Crafting: Novice Melee Weapontech');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '445', 'craft_weapon_munition_ballistics_advanced', 'Munitions Crafting: Advanced Ballistics');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '446', 'craft_weapon_munition_ballistics_basic', 'Munitions Crafting: Basic Ballistics');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '447', 'craft_weapon_munition_ballistics_expert', 'Munitions Crafting: Expert Ballistics');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '448', 'craft_weapon_munition_explosives_advanced', 'Munitions Crafting: Advanced Explosives');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '449', 'craft_weapon_munition_explosives_basic', 'Munitions Crafting: Basic Explosives');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '450', 'craft_weapon_munition_explosives_expert', 'Munitions Crafting: Expert Explosives');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '451', 'craft_weapon_munition_explosivetech_advanced', 'Munitions Crafting: Advanced Explosives-tech');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '452', 'craft_weapon_munition_explosivetech_expert', 'Munitions Crafting: Expert Explosives-tech');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '453', 'craft_weapon_munition_explosivetech_novice', 'Munitions Crafting: Novice Explosives-tech');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '454', 'craft_weapon_ranged_advanced_ranged_weapons_technician', 'Gunsmith: Advanced Ranged Weapons Technician');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '455', 'craft_weapon_ranged_chassis_components', 'Gunsmith: Chassis Component Construction');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '456', 'craft_weapon_ranged_expert_ranged_weapons_technician', 'Gunsmith: Expert Ranged Weapons Technician');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '457', 'craft_weapon_ranged_firing_mechanisms', 'Gunsmith: Firing Mechanisms Crafting');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '458', 'craft_weapon_ranged_heavy_ballistic_weapon_design', 'Gunsmith: Heavy Ballistic Weapons Design');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '459', 'craft_weapon_ranged_heavy_energy_weapon_design', 'Gunsmith: Heavy Energy Weapons Design');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '460', 'craft_weapon_ranged_heavy_weapon_construction', 'Gunsmith: Heavy Weapons Construction Techniques');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '461', 'craft_weapon_ranged_light_ballistic_weapon_design', 'Gunsmith: Light Ballistic Weapons Design');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '462', 'craft_weapon_ranged_light_energy_weapon_design', 'Gunsmith: Light Energy Weapons Design');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '463', 'craft_weapon_ranged_light_weapon_construction', 'Gunsmith: Light Weapons Construction Techniques');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '464', 'craft_weapon_ranged_novice_ranged_weapons_technician', 'Gunsmith: Novice Ranged Weapons Technician');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '465', 'craft_weapon_ranged_weapon_accessories', 'Gunsmith: Ranged Weapon Accessories Crafting Ability');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '466', 'crafting_architect', 'Architect');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '467', 'crafting_architect_blueprints_01', 'Buildings I: Small Houses');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '468', 'crafting_architect_blueprints_02', 'Buildings II: Medium Houses');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '469', 'crafting_architect_blueprints_03', 'Buildings III: Large Houses');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '470', 'crafting_architect_blueprints_04', 'Buildings IV: Large Houses');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '471', 'crafting_architect_harvest_04', 'Master Harvester Construction');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '472', 'crafting_architect_harvesting_01', 'Installations I: Factories');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '473', 'crafting_architect_harvesting_02', 'Installations II: Medium Harvesters');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '474', 'crafting_architect_harvesting_03', 'Installations III: Medium Harvesters');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '475', 'crafting_architect_harvesting_04', 'Installations IV: Heavy Harvesters');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '476', 'crafting_architect_master', 'Master Architect');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '477', 'crafting_architect_novice', 'Novice Architect');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '478', 'crafting_architect_production_01', 'Furniture I: Modest');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '479', 'crafting_architect_production_02', 'Furniture II: Stylish');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '480', 'crafting_architect_production_03', 'Furniture III: Advanced');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '481', 'crafting_architect_production_04', 'Furniture IV: Tech');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '482', 'crafting_architect_techniques_01', 'Construction I: Intermediate');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '483', 'crafting_architect_techniques_02', 'Construction II: Advanced');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '484', 'crafting_architect_techniques_03', 'Construction III: Expert');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '485', 'crafting_architect_techniques_04', 'Construction IV: Master');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '486', 'crafting_armorsmith', 'Armorsmith');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '487', 'crafting_armorsmith_complexity_01', 'Technique I: Protection Fundamentals');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '488', 'crafting_armorsmith_complexity_02', 'Technique II: Advanced Outfitting');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '489', 'crafting_armorsmith_complexity_03', 'Technique III: Expert Outfitting');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '490', 'crafting_armorsmith_complexity_04', 'Technique IV: Armor Crafting Mastery');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '491', 'crafting_armorsmith_deflectors_01', 'Deflectors I: Deflector Components');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '492', 'crafting_armorsmith_deflectors_02', 'Deflectors II: Mk 1 Technology');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '493', 'crafting_armorsmith_deflectors_03', 'Deflectors III: Mk 2 Technology');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '494', 'crafting_armorsmith_deflectors_04', 'Deflectors IV: Mk 3 Technology');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '495', 'crafting_armorsmith_heavy_01', 'Layers I: Basic Enhancements');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '496', 'crafting_armorsmith_heavy_02', 'Layers II: Blast & Heat');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '497', 'crafting_armorsmith_heavy_03', 'Layers III: Cold & Shock');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '498', 'crafting_armorsmith_heavy_04', 'Layers IV: Exotic Protection');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '499', 'crafting_armorsmith_master', 'Master Armorsmith');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '500', 'crafting_armorsmith_novice', 'Novice Armorsmith');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '501', 'crafting_armorsmith_personal_01', 'Personal Armor I: Chitin');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '502', 'crafting_armorsmith_personal_02', 'Personal Armor II: Tantel');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '503', 'crafting_armorsmith_personal_03', 'Personal Armor III: Ubese');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '504', 'crafting_armorsmith_personal_04', 'Personal Armor IV: Padded');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '505', 'crafting_artisan', 'Artisan');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '506', 'crafting_artisan_business_01', 'Business I: Access Fees');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '507', 'crafting_artisan_business_02', 'Business II: Advanced Sales');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '508', 'crafting_artisan_business_03', 'Business III: Business Ownership');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '509', 'crafting_artisan_business_04', 'Business IV: Business Diversity');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '510', 'crafting_artisan_domestic_01', 'Domestic Arts I: Simple Cooking');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '511', 'crafting_artisan_domestic_02', 'Domestic Arts II: Simple Tailoring');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '512', 'crafting_artisan_domestic_03', 'Domestic Arts III: Basic Desserts');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '513', 'crafting_artisan_domestic_04', 'Domestic Arts IV: Clothing Repair');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '514', 'crafting_artisan_engineering_01', 'Engineering I: Tinkering');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '515', 'crafting_artisan_engineering_02', 'Engineering II: Hardware Design');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '516', 'crafting_artisan_engineering_03', 'Engineering III: Advanced Concepts');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '517', 'crafting_artisan_engineering_04', 'Engineering IV: Complex Systems');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '518', 'crafting_artisan_master', 'Master Artisan');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '519', 'crafting_artisan_novice', 'Novice Artisan');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '520', 'crafting_artisan_survey_01', 'Surveying I: Improved Results');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '521', 'crafting_artisan_survey_02', 'Surveying II: Increased Range');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '522', 'crafting_artisan_survey_03', 'Surveying III: Exceptional Results');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '523', 'crafting_artisan_survey_04', 'Surveying IV: Regional Surveying');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '524', 'crafting_chef', 'Chef');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '525', 'crafting_chef_dessert_01', 'Desserts I: Pastries');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '526', 'crafting_chef_dessert_02', 'Desserts II: Cakes');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '527', 'crafting_chef_dessert_03', 'Desserts III: Complex Desserts');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '528', 'crafting_chef_dessert_04', 'Desserts IV: Delicious Creations');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '529', 'crafting_chef_dish_01', 'Entrees I: Basic Meals');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '530', 'crafting_chef_dish_02', 'Entrees II: Advanced Cooking');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '531', 'crafting_chef_dish_03', 'Entrees III: Complex Dishes');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '532', 'crafting_chef_dish_04', 'Entrees IV: Creative Dishes');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '533', 'crafting_chef_drink_01', 'Mixology I: Cantina Favorites');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '534', 'crafting_chef_drink_02', 'Mixology II: Fruity Drinks');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '535', 'crafting_chef_drink_03', 'Mixology III: Hard Drinks');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '536', 'crafting_chef_drink_04', 'Mixology IV: Regional Favorites');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '537', 'crafting_chef_master', 'Master Chef');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '538', 'crafting_chef_novice', 'Novice Chef');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '539', 'crafting_chef_techniques_01', 'Cooking I: Experimentation');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '540', 'crafting_chef_techniques_02', 'Cooking II: Nutrition');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '541', 'crafting_chef_techniques_03', 'Cooking III: Creative Flavoring');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '542', 'crafting_chef_techniques_04', 'Cooking IV: Culinary Mastery');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '543', 'crafting_droidengineer', 'Droid Engineer');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '544', 'crafting_droidengineer_blueprints_01', 'Intermediate Droid Blueprints');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '545', 'crafting_droidengineer_blueprints_02', 'Advanced Droid Blueprints');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '546', 'crafting_droidengineer_blueprints_03', 'Expert Droid Blueprints');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '547', 'crafting_droidengineer_blueprints_04', 'Master Droid Blueprints');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '548', 'crafting_droidengineer_master', 'Master Droid Engineer');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '549', 'crafting_droidengineer_novice', 'Novice Droid Engineer');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '550', 'crafting_droidengineer_production_01', 'Intermediate Droid Production');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '551', 'crafting_droidengineer_production_02', 'Advanced Droid Production');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '552', 'crafting_droidengineer_production_03', 'Expert Droid Production');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '553', 'crafting_droidengineer_production_04', 'Master Droid Production');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '554', 'crafting_droidengineer_refinement_01', 'Intermediate Droid Refinement');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '555', 'crafting_droidengineer_refinement_02', 'Advanced Droid Refinement');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '556', 'crafting_droidengineer_refinement_03', 'Expert Droid Refinement');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '557', 'crafting_droidengineer_refinement_04', 'Master Droid Refinement');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '558', 'crafting_droidengineer_techniques_01', 'Intermediate Droid Construction Techniques');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '559', 'crafting_droidengineer_techniques_02', 'Advanced Droid Construction Techniques');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '560', 'crafting_droidengineer_techniques_03', 'Expert Droid Construction Techniques');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '561', 'crafting_droidengineer_techniques_04', 'Master Droid Construction Techniques');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '562', 'crafting_merchant', 'Merchant');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '563', 'crafting_merchant_advertising_01', 'Advertising I: Vocalization Training');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '564', 'crafting_merchant_advertising_02', 'Advertising II: Advanced Vocalization');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '565', 'crafting_merchant_advertising_03', 'Advertising III: Planetary Ad Campaign');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '566', 'crafting_merchant_advertising_04', 'Advertising IV: Advertising Efficiency');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '567', 'crafting_merchant_hiring_01', 'Hiring I: Selective Hiring');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '568', 'crafting_merchant_hiring_02', 'Hiring II: Expanded Hiring');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '569', 'crafting_merchant_hiring_03', 'Hiring III: Complete Hiring');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '570', 'crafting_merchant_hiring_04', 'Hiring IV: Uniforms');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '571', 'crafting_merchant_management_01', 'Management I: Additional Vendor');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '572', 'crafting_merchant_management_02', 'Management II: Additional Vendor');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '573', 'crafting_merchant_management_03', 'Management III: Additional Vendor');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '574', 'crafting_merchant_management_04', 'Management IV: Additional Vendor');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '575', 'crafting_merchant_master', 'Master Merchant');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '576', 'crafting_merchant_novice', 'Novice Merchant');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '577', 'crafting_merchant_sales_01', 'Efficiency I: Market');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '578', 'crafting_merchant_sales_02', 'Efficiency II: Vendor');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '579', 'crafting_merchant_sales_03', 'Efficiency III: Increased Market');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '580', 'crafting_merchant_sales_04', 'Efficiency IV: Structures');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '581', 'crafting_shipwright', 'Shipwright');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '582', 'crafting_shipwright_engineering_01', 'Spaceframe Engineering I: Small Chassis');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '583', 'crafting_shipwright_engineering_02', 'Spaceframe Engineering II: Standard Assault Ships');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '584', 'crafting_shipwright_engineering_03', 'Spaceframe Engineering III: Heavy Fighters');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '585', 'crafting_shipwright_engineering_04', 'Spaceframe Engineering IV: Advanced Ship Design');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '586', 'crafting_shipwright_master', 'Master Shipwright');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '587', 'crafting_shipwright_novice', 'Novice Shipwright');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '588', 'crafting_shipwright_propulsion_01', 'Propulsion Technology I: Simple Ion Drives');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '589', 'crafting_shipwright_propulsion_02', 'Propulsion Technology II: Thrust Dynamics');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '590', 'crafting_shipwright_propulsion_03', 'Propulsion Technology III: Advanced Hyperdrive Engineering');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '591', 'crafting_shipwright_propulsion_04', 'Propulsion Technology IV: Advanced Drive Theory');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '592', 'crafting_shipwright_defense_01', 'Defense Systems I:  Light Armaments');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '593', 'crafting_shipwright_defense_02', 'Defense Systems II: Standard Ordnance');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '594', 'crafting_shipwright_defense_03', 'Defense Systems III: Heavy Weapons');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '595', 'crafting_shipwright_defense_04', 'Defense Systems IV: Advanced Ship Defense');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '596', 'crafting_shipwright_systems_01', 'Core Systems I: Basic Systems');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '597', 'crafting_shipwright_systems_02', 'Core Systems II: Intermediate Ship Devices');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '598', 'crafting_shipwright_systems_03', 'Core Systems III: Heavy Internal Systems');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '599', 'crafting_shipwright_systems_04', 'Core Systems IV: Advanced Assembly');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '600', 'crafting_starfighter_engineer', 'Starfighter Engineer');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '601', 'crafting_starfighter_engineer_defense_01', 'Defensive Systems I: Shield Projectors');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '602', 'crafting_starfighter_engineer_defense_02', 'Defensive Systems II: Advanced Durasteel Weaves');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '603', 'crafting_starfighter_engineer_defense_03', 'Defensive Systems III: Anti-Missile Defense');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '604', 'crafting_starfighter_engineer_defense_04', 'Defensive Systems IV: Advanced Shield Technology');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '605', 'crafting_starfighter_engineer_infrastructure_01', 'Advanced Infrastructure I: Large-Block Power Plants');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '606', 'crafting_starfighter_engineer_infrastructure_02', 'Advanced Infrastructure II: Military-Grade Engines');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '607', 'crafting_starfighter_engineer_infrastructure_03', 'Advanced Infrastructure III: Advanced Reactor Design');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '608', 'crafting_starfighter_engineer_infrastructure_04', 'Advanced Infrastructure IV: Experimental Drives');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '609', 'crafting_starfighter_engineer_master', 'Master Starfighter Engineer');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '610', 'crafting_starfighter_engineer_novice', 'Novice Starfighter Engineer');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '611', 'crafting_starfighter_engineer_systems_01', 'Advanced Core Systems I: High Performance Boosters');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '612', 'crafting_starfighter_engineer_systems_02', 'Advanced Core Systems II: Advanced Aftermarket Design');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '613', 'crafting_starfighter_engineer_systems_03', 'Advanced Core Systems III: Droid Interfaces');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '614', 'crafting_starfighter_engineer_systems_04', 'Advanced Core Systems IV: Elite Modification');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '615', 'crafting_starfighter_engineer_weapons_01', 'Combat Systems I: Cannon and Blaster Tech');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '616', 'crafting_starfighter_engineer_weapons_02', 'Combat Systems II: Disruptor Technology');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '617', 'crafting_starfighter_engineer_weapons_03', 'Combat Systems III: Missile Systems');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '618', 'crafting_starfighter_engineer_weapons_04', 'Combat Systems IV: Advanced Weapon Technology');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '619', 'crafting_tailor', 'Tailor');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '620', 'crafting_tailor_casual_01', 'Casual Wear I: Basics');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '621', 'crafting_tailor_casual_02', 'Casual Wear II: Synthetics');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '622', 'crafting_tailor_casual_03', 'Casual Wear III: Weather Wear');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '623', 'crafting_tailor_casual_04', 'Casual Wear IV: Complex Clothing');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '624', 'crafting_tailor_field_01', 'Field Wear I: Basic Gear');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '625', 'crafting_tailor_field_02', 'Field Wear II: Reinforced Fibers');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '626', 'crafting_tailor_field_03', 'Field Wear III: Martial Gear');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '627', 'crafting_tailor_field_04', 'Field Wear IV: Paramilitary Gear');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '628', 'crafting_tailor_formal_01', 'Formal Wear I: Fashion Basics');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '629', 'crafting_tailor_formal_02', 'Formal Wear II: Jewelry');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '630', 'crafting_tailor_formal_03', 'Formal Wear III: Gowns');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '631', 'crafting_tailor_formal_04', 'Formal Wear IV: High Fashion');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '632', 'crafting_tailor_master', 'Master Tailor');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '633', 'crafting_tailor_novice', 'Novice Tailor');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '634', 'crafting_tailor_production_01', 'Tailoring I: Experimentation');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '635', 'crafting_tailor_production_02', 'Tailoring II: Repair');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '636', 'crafting_tailor_production_03', 'Tailoring III: Advanced Techniques');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '637', 'crafting_tailor_production_04', 'Tailoring IV: Technical Mastery');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '638', 'crafting_weaponsmith', 'Weaponsmith');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '639', 'crafting_weaponsmith_firearms_01', 'Intermediate Firearms Crafting');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '640', 'crafting_weaponsmith_firearms_02', 'Advanced Firearms Crafting');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '641', 'crafting_weaponsmith_firearms_03', 'Expert Firearms Crafting');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '642', 'crafting_weaponsmith_firearms_04', 'Master Firearms Crafting');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '643', 'crafting_weaponsmith_master', 'Master Weaponsmith');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '644', 'crafting_weaponsmith_melee_01', 'Intermediate Melee Weapons Crafting');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '645', 'crafting_weaponsmith_melee_02', 'Advanced Melee Weapons Crafting');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '646', 'crafting_weaponsmith_melee_03', 'Expert Melee Weapons Crafting');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '647', 'crafting_weaponsmith_melee_04', 'Master Melee Weapons Crafting');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '648', 'crafting_weaponsmith_munitions_01', 'Intermediate Munitions Crafting');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '649', 'crafting_weaponsmith_munitions_02', 'Advanced Munitions Crafting');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '650', 'crafting_weaponsmith_munitions_03', 'Expert Munitions Crafting');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '651', 'crafting_weaponsmith_munitions_04', 'Master Munitions Crafting');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '652', 'crafting_weaponsmith_novice', 'Novice Weaponsmith');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '653', 'crafting_weaponsmith_techniques_01', 'Intermediate Weapon Crafting Techniques');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '654', 'crafting_weaponsmith_techniques_02', 'Advanced Weapon Crafting Techniques');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '655', 'crafting_weaponsmith_techniques_03', 'Expert Weapon Crafting Techniques');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '656', 'crafting_weaponsmith_techniques_04', 'Master Weapon Crafting Techniques');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '657', 'creature_handler', 'Creature Handler');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '658', 'demo_combat', 'Demo Combat');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '659', 'doctor', 'Doctor');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '660', 'droid_engineer', 'Droid Engineer');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '661', 'entertainer', 'Entertainer');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '662', 'explorer', 'Explorer');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '663', 'force_discipline_defender', 'Force Defense');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '664', 'force_discipline_defender_force_defense_01', 'Force Defense I');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '665', 'force_discipline_defender_force_defense_02', 'Force Defense II');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '666', 'force_discipline_defender_force_defense_03', 'Force Defense III');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '667', 'force_discipline_defender_force_defense_04', 'Force Defense IV');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '668', 'force_discipline_defender_master', 'Master Force Defender');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '669', 'force_discipline_defender_melee_defense_01', 'Force Melee Defense I');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '670', 'force_discipline_defender_melee_defense_02', 'Force Melee Defense II');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '671', 'force_discipline_defender_melee_defense_03', 'Force Melee Defense III');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '672', 'force_discipline_defender_melee_defense_04', 'Force Melee Defense IV');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '673', 'force_discipline_defender_novice', 'Novice Force Defender');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '674', 'force_discipline_defender_preternatural_defense_01', 'Preternatural Defense I');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '675', 'force_discipline_defender_preternatural_defense_02', 'Preternatural Defense II');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '676', 'force_discipline_defender_preternatural_defense_03', 'Preternatural Defense III');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '677', 'force_discipline_defender_preternatural_defense_04', 'Preternatural Defense IV');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '678', 'force_discipline_defender_ranged_defense_01', 'Force Ranged Defense I');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '679', 'force_discipline_defender_ranged_defense_02', 'Force Ranged Defense II');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '680', 'force_discipline_defender_ranged_defense_03', 'Force Ranged Defense III');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '681', 'force_discipline_defender_ranged_defense_04', 'Force Ranged Defense IV');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '682', 'force_discipline_enhancements', 'Force Enhancement');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '683', 'force_discipline_enhancements_master', 'Master Force Enhancer');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '684', 'force_discipline_enhancements_movement_01', 'Force Celerity I');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '685', 'force_discipline_enhancements_movement_02', 'Force Celerity II');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '686', 'force_discipline_enhancements_movement_03', 'Force Celerity III');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '687', 'force_discipline_enhancements_movement_04', 'Force Celerity IV');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '688', 'force_discipline_enhancements_novice', 'Novice Force Enhancer');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '689', 'force_discipline_enhancements_protection_01', 'Force Protection I');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '690', 'force_discipline_enhancements_protection_02', 'Force Protection II');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '691', 'force_discipline_enhancements_protection_03', 'Force Protection III');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '692', 'force_discipline_enhancements_protection_04', 'Force Protection IV');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '693', 'force_discipline_enhancements_resistance_01', 'Force Resistance I');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '694', 'force_discipline_enhancements_resistance_02', 'Force Resistance II');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '695', 'force_discipline_enhancements_resistance_03', 'Force Resistance III');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '696', 'force_discipline_enhancements_resistance_04', 'Force Resistance IV');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '697', 'force_discipline_enhancements_synergy_01', 'Force Synergy I');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '698', 'force_discipline_enhancements_synergy_02', 'Force Synergy II');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '699', 'force_discipline_enhancements_synergy_03', 'Force Synergy III');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '700', 'force_discipline_enhancements_synergy_04', 'Force Synergy IV');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '701', 'force_discipline_healing', 'Force Healing');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '702', 'force_discipline_healing_damage_01', 'Force Rejuvenation I');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '703', 'force_discipline_healing_damage_02', 'Force Rejuvenation II');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '704', 'force_discipline_healing_damage_03', 'Force Rejuvenation III');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '705', 'force_discipline_healing_damage_04', 'Force Rejuvenation IV');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '706', 'force_discipline_healing_master', 'Master Force Healing');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '707', 'force_discipline_healing_novice', 'Novice Force Healing');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '708', 'force_discipline_healing_other_01', 'Force Assist I');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '709', 'force_discipline_healing_other_02', 'Force Assist II');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '710', 'force_discipline_healing_other_03', 'Force Assist III');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '711', 'force_discipline_healing_other_04', 'Force Assist IV');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '712', 'force_discipline_healing_states_01', 'Force Purification I');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '713', 'force_discipline_healing_states_02', 'Force Purification II');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '714', 'force_discipline_healing_states_03', 'Force Purification III');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '715', 'force_discipline_healing_states_04', 'Force Purification IV');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '716', 'force_discipline_healing_wound_01', 'Force Restoration I');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '717', 'force_discipline_healing_wound_02', 'Force Restoration II');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '718', 'force_discipline_healing_wound_03', 'Force Restoration III');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '719', 'force_discipline_healing_wound_04', 'Force Restoration IV');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '720', 'force_discipline_light_saber', 'Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '721', 'force_discipline_light_saber_master', 'Lightsaber Master');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '722', 'force_discipline_light_saber_novice', 'Lightsaber Novice');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '723', 'force_discipline_light_saber_one_hand_01', 'One-Handed Lightsaber I');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '724', 'force_discipline_light_saber_one_hand_02', 'One-Handed Lightsaber II');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '725', 'force_discipline_light_saber_one_hand_03', 'One-Handed Lightsaber III');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '726', 'force_discipline_light_saber_one_hand_04', 'One-Handed Lightsaber IV');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '727', 'force_discipline_light_saber_polearm_01', 'Double-Bladed Lightsaber I');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '728', 'force_discipline_light_saber_polearm_02', 'Double-Bladed Lightsaber II');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '729', 'force_discipline_light_saber_polearm_03', 'Double-Bladed Lightsaber III');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '730', 'force_discipline_light_saber_polearm_04', 'Double-Bladed Lightsaber IV');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '731', 'force_discipline_light_saber_technique_01', 'Lightsaber Technique I');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '732', 'force_discipline_light_saber_technique_02', 'Lightsaber Technique II');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '733', 'force_discipline_light_saber_technique_03', 'Lightsaber Technique III');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '734', 'force_discipline_light_saber_technique_04', 'Lightsaber Technique IV');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '735', 'force_discipline_light_saber_two_hand_01', 'Two-Handed Lightsaber I');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '736', 'force_discipline_light_saber_two_hand_02', 'Two-Handed Lightsaber II');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '737', 'force_discipline_light_saber_two_hand_03', 'Two-Handed Lightsaber III');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '738', 'force_discipline_light_saber_two_hand_04', 'Two-Handed Lightsaber IV');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '739', 'force_discipline_powers', 'Force Powers');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '740', 'force_discipline_powers_debuff_01', 'Force Diminish I');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '741', 'force_discipline_powers_debuff_02', 'Force Diminish II');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '742', 'force_discipline_powers_debuff_03', 'Force Diminish III');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '743', 'force_discipline_powers_debuff_04', 'Force Diminish IV');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '744', 'force_discipline_powers_lightning_01', 'Force Lightning I');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '745', 'force_discipline_powers_lightning_02', 'Force Lightning II');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '746', 'force_discipline_powers_lightning_03', 'Force Lightning III');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '747', 'force_discipline_powers_lightning_04', 'Force Lightning IV');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '748', 'force_discipline_powers_master', 'Master Force Wielder');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '749', 'force_discipline_powers_mental_01', 'Force Subjugate I');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '750', 'force_discipline_powers_mental_02', 'Force Subjugate II');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '751', 'force_discipline_powers_mental_03', 'Force Subjugate III');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '752', 'force_discipline_powers_mental_04', 'Force Subjugate IV');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '753', 'force_discipline_powers_novice', 'Novice Force Wielder');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '754', 'force_discipline_powers_push_01', 'Psychokineses I');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '755', 'force_discipline_powers_push_02', 'Psychokineses II');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '756', 'force_discipline_powers_push_03', 'Psychokineses III');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '757', 'force_discipline_powers_push_04', 'Psychokineses IV');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '758', 'force_rank_dark', 'Dark Force Rankings');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '759', 'force_rank_dark_master', 'Council Leader');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '760', 'force_rank_dark_novice', 'Rank Member');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '761', 'force_rank_dark_rank_01', 'Enforcer I: 1st Rank');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '762', 'force_rank_dark_rank_02', 'Enforcer II: 2nd Rank');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '763', 'force_rank_dark_rank_03', 'Enforcer III: 3rd Rank');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '764', 'force_rank_dark_rank_04', 'Enforcer IV: 4th Rank');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '765', 'force_rank_dark_rank_05', 'Templar I: 5th Rank');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '766', 'force_rank_dark_rank_06', 'Templar II: 6th Rank');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '767', 'force_rank_dark_rank_07', 'Templar III: 7th Rank');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '768', 'force_rank_dark_rank_08', 'Oppressor I: 8th Rank');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '769', 'force_rank_dark_rank_09', 'Oppressor II: 9th Rank');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '770', 'force_rank_dark_rank_10', 'The Council');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '771', 'force_rank_light', 'Light Force Rankings');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '772', 'force_rank_light_master', 'Council Leader');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '773', 'force_rank_light_novice', 'Rank Member');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '774', 'force_rank_light_rank_01', 'Sentinel I: 1st Rank');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '775', 'force_rank_light_rank_02', 'Sentinel II: 2nd Rank');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '776', 'force_rank_light_rank_03', 'Sentinel III: 3rd Rank');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '777', 'force_rank_light_rank_04', 'Sentinel IV: 4th Rank');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '778', 'force_rank_light_rank_05', 'Consular I: 5th Rank');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '779', 'force_rank_light_rank_06', 'Consular II: 6th Rank');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '780', 'force_rank_light_rank_07', 'Consular III: 7th Rank');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '781', 'force_rank_light_rank_08', 'Arbiter I: 8th Rank');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '782', 'force_rank_light_rank_09', 'Arbiter II: 9th Rank');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '783', 'force_rank_light_rank_10', 'The Council');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '784', 'force_sensitive_combat_prowess', 'Combat Prowess');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '785', 'force_sensitive_combat_prowess_master', 'Combat Prowess Master');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '786', 'force_sensitive_combat_prowess_melee_accuracy', 'Combat Prowess : Melee Accuracy');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '787', 'force_sensitive_combat_prowess_melee_accuracy_01', 'Melee Accuracy I: Weapon Finesse');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '788', 'force_sensitive_combat_prowess_melee_accuracy_02', 'Melee Accuracy II: Extension');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '789', 'force_sensitive_combat_prowess_melee_accuracy_03', 'Melee Accuracy III: Weapon Control');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '790', 'force_sensitive_combat_prowess_melee_accuracy_04', 'Melee Accuracy IV: Muscle Control');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '791', 'force_sensitive_combat_prowess_melee_speed', 'Combat Prowess : Melee Weapon Speed');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '792', 'force_sensitive_combat_prowess_melee_speed_01', 'Melee Speed I: Weapon Study');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '793', 'force_sensitive_combat_prowess_melee_speed_02', 'Melee Speed II: Wielding');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '794', 'force_sensitive_combat_prowess_melee_speed_03', 'Melee Speed III: Honed Abilities');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '795', 'force_sensitive_combat_prowess_melee_speed_04', 'Melee Speed IV: Quick Attack');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '796', 'force_sensitive_combat_prowess_novice', 'Combat Prowess Novice');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '797', 'force_sensitive_combat_prowess_ranged_accuracy', 'Combat Prowess : Ranged Accuracy');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '798', 'force_sensitive_combat_prowess_ranged_accuracy_01', 'Ranged Accuracy I: Sense Movement');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '799', 'force_sensitive_combat_prowess_ranged_accuracy_02', 'Ranged Accuracy II: Sense Speed');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '800', 'force_sensitive_combat_prowess_ranged_accuracy_03', 'Ranged Accuracy III: Vital Damage');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '801', 'force_sensitive_combat_prowess_ranged_accuracy_04', 'Ranged Accuracy IV: Kill Shot');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '802', 'force_sensitive_combat_prowess_ranged_speed', 'Combat Prowess : Ranged Weapon Speed');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '803', 'force_sensitive_combat_prowess_ranged_speed_01', 'Ranged Speed I: Anticipation');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '804', 'force_sensitive_combat_prowess_ranged_speed_02', 'Ranged Speed II: Honed Senses');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '805', 'force_sensitive_combat_prowess_ranged_speed_03', 'Ranged Speed III: Trigger Finger');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '806', 'force_sensitive_combat_prowess_ranged_speed_04', 'Ranged Speed IV: Will of the Weapon');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '807', 'force_sensitive_crafting_mastery', 'Crafting Mastery');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '808', 'force_sensitive_crafting_mastery_assembly', 'Crafting Mastery : Assembly');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '809', 'force_sensitive_crafting_mastery_assembly_01', 'Assembly I: Dextrous Touch');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '810', 'force_sensitive_crafting_mastery_assembly_02', 'Assembly II: Quality Assurance');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '811', 'force_sensitive_crafting_mastery_assembly_03', 'Assembly III: Advanced Preparation');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '812', 'force_sensitive_crafting_mastery_assembly_04', 'Assembly IV: Astute Construction');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '813', 'force_sensitive_crafting_mastery_experimentation', 'Crafting Mastery : Experimentation');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '814', 'force_sensitive_crafting_mastery_experimentation_01', 'Experimentation I: Crafting Studies');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '815', 'force_sensitive_crafting_mastery_experimentation_02', 'Experimentation II: Progressive Tinkering');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '816', 'force_sensitive_crafting_mastery_experimentation_03', 'Experimentation III: Improved Procedure');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '817', 'force_sensitive_crafting_mastery_experimentation_04', 'Experimentation IV: Advanced Analysis');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '818', 'force_sensitive_crafting_mastery_master', 'Crafting Mastery');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '819', 'force_sensitive_crafting_mastery_novice', 'Crafting Mastery Novice');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '820', 'force_sensitive_crafting_mastery_repair', 'Crafting Mastery : Repair');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '821', 'force_sensitive_crafting_mastery_repair_01', 'Repair I: Restoration');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '822', 'force_sensitive_crafting_mastery_repair_02', 'Repair II: Renovation');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '823', 'force_sensitive_crafting_mastery_repair_03', 'Repair III: Refurbishing');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '824', 'force_sensitive_crafting_mastery_repair_04', 'Repair IV: Rejuvenate');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '825', 'force_sensitive_crafting_mastery_technique', 'Crafting Mastery : Technique');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '826', 'force_sensitive_crafting_mastery_technique_01', 'Technique I: Fortunate Crafting');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '827', 'force_sensitive_crafting_mastery_technique_02', 'Technique II: Auspicious Crafting');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '828', 'force_sensitive_crafting_mastery_technique_03', 'Technique III: Substantial Crafting');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '829', 'force_sensitive_crafting_mastery_technique_04', 'Technique IV: Prosperous Crafting');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '830', 'force_sensitive_enhanced_reflexes', 'Enhanced Reflexes');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '831', 'force_sensitive_enhanced_reflexes_master', 'Enhanced Reflexes Master');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '832', 'force_sensitive_enhanced_reflexes_melee_defense', 'Enhanced Reflexes : Melee Defenses');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '833', 'force_sensitive_enhanced_reflexes_melee_defense_01', 'Melee Defense I: Attack Avoidance');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '834', 'force_sensitive_enhanced_reflexes_melee_defense_02', 'Melee Defense II: Increased Dexterity');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '835', 'force_sensitive_enhanced_reflexes_melee_defense_03', 'Melee Defense III: Heightened Agility');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '836', 'force_sensitive_enhanced_reflexes_melee_defense_04', 'Melee Defense IV: Close Combat Avoidance');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '837', 'force_sensitive_enhanced_reflexes_novice', 'Enhanced Reflexes Novice');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '838', 'force_sensitive_enhanced_reflexes_ranged_defense', 'Enhanced Reflexes : Ranged Defenses');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '839', 'force_sensitive_enhanced_reflexes_ranged_defense_01', 'Ranged Defense I: Heightened Reflexes');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '840', 'force_sensitive_enhanced_reflexes_ranged_defense_02', 'Ranged Defense II: Reaction Speed');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '841', 'force_sensitive_enhanced_reflexes_ranged_defense_03', 'Ranged Defense III: Precognitive Senses');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '842', 'force_sensitive_enhanced_reflexes_ranged_defense_04', 'Ranged Defense IV: Danger Sense');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '843', 'force_sensitive_enhanced_reflexes_survival', 'Enhanced Reflexes : Survival');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '844', 'force_sensitive_enhanced_reflexes_survival_01', 'Survival I: Wilderness Survival');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '845', 'force_sensitive_enhanced_reflexes_survival_02', 'Survival II: Nature Sense');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '846', 'force_sensitive_enhanced_reflexes_survival_03', 'Survival III: Uncanny Movement');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '847', 'force_sensitive_enhanced_reflexes_survival_04', 'Survival IV: Harmonious Nature');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '848', 'force_sensitive_enhanced_reflexes_vehicle_control', 'Enhanced Reflexes : Vehicle Control');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '849', 'force_sensitive_enhanced_reflexes_vehicle_control_01', 'Vehicle Control I: Ground Sense');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '850', 'force_sensitive_enhanced_reflexes_vehicle_control_02', 'Vehicle Control II: Superior Handling');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '851', 'force_sensitive_enhanced_reflexes_vehicle_control_03', 'Vehicle Control III: Vehicle Harmony');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '852', 'force_sensitive_enhanced_reflexes_vehicle_control_04', 'Vehicle Control IV: Reflexive Driving');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '853', 'force_sensitive_heightened_senses', 'Heightened Senses');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '854', 'force_sensitive_heightened_senses_healing', 'Heightened Senses : Healing');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '855', 'force_sensitive_heightened_senses_healing_01', 'Healing I: Sophisticated Diagnosis');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '856', 'force_sensitive_heightened_senses_healing_02', 'Healing II: Empathic Treatment');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '857', 'force_sensitive_heightened_senses_healing_03', 'Healing III: Superior Remedy');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '858', 'force_sensitive_heightened_senses_healing_04', 'Healing IV: Prominent Alleviation');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '859', 'force_sensitive_heightened_senses_luck', 'Heightened Senses : Luck');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '860', 'force_sensitive_heightened_senses_luck_01', 'Luck I: Unforeseen Events');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '861', 'force_sensitive_heightened_senses_luck_02', 'Luck II: Fortune');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '862', 'force_sensitive_heightened_senses_luck_03', 'Luck III: Serendipity');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '863', 'force_sensitive_heightened_senses_luck_04', 'Luck IV: Kismet');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '864', 'force_sensitive_heightened_senses_master', 'Heightened Senses Master');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '865', 'force_sensitive_heightened_senses_novice', 'Heightened Senses Novice');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '866', 'force_sensitive_heightened_senses_persuasion', 'Heightened Senses : Persuasion');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '867', 'force_sensitive_heightened_senses_persuasion_01', 'Persuasion I: Alignment');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '868', 'force_sensitive_heightened_senses_persuasion_02', 'Persuasion II: Blandishment');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '869', 'force_sensitive_heightened_senses_persuasion_03', 'Persuasion III: Cajolery');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '870', 'force_sensitive_heightened_senses_persuasion_04', 'Persuasion IV: Enticement');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '871', 'force_sensitive_heightened_senses_surveying', 'Heightened Senses : Surveying');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '872', 'force_sensitive_heightened_senses_surveying_01', 'Surveying I: Improved Mining ');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '873', 'force_sensitive_heightened_senses_surveying_02', 'Surveying II: Select Yields');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '874', 'force_sensitive_heightened_senses_surveying_03', 'Surveying III: Preferred Results');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '875', 'force_sensitive_heightened_senses_surveying_04', 'Surveying IV: Sharpened Assaying');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '876', 'force_title_jedi', 'Force Progression');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '877', 'force_title_jedi_master', 'Jedi Master');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '878', 'force_title_jedi_novice', 'Force Sensitive');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '879', 'force_title_jedi_rank_01', 'Jedi Initiate');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '880', 'force_title_jedi_rank_02', 'Jedi Padawan');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '881', 'force_title_jedi_rank_03', 'Jedi Knight');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '882', 'force_title_jedi_rank_04', 'Jedi Guardian');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '883', 'gunsmith', 'Gunsmith');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '884', 'image_designer', 'Image Designer');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '885', 'intermediate_engineering', 'Intermediate Engineering');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '886', 'intermediate_polylinguistics', 'Intermediate Polylinguistics');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '887', 'intermediate_xenolinguistics', 'Intermediate Xenolinguistics');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '888', 'jedi', 'Jedi');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '889', 'jedi_dark_side_journeyman', 'Dark Jedi Knight');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '890', 'jedi_dark_side_journeyman_force_manipulation_01', 'Advanced Manipulation I: Lightning Arc');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '891', 'jedi_dark_side_journeyman_force_manipulation_02', 'Advanced Manipulation II: Opponent Imbalance');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '892', 'jedi_dark_side_journeyman_force_manipulation_03', 'Advanced Manipulation III: Greater Kinesis');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '893', 'jedi_dark_side_journeyman_force_manipulation_04', 'Advanced Manipulation IV: Lightning Bolt');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '894', 'jedi_dark_side_journeyman_force_power_01', 'Advanced Force Power I');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '895', 'jedi_dark_side_journeyman_force_power_02', 'Advanced Force Power II');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '896', 'jedi_dark_side_journeyman_force_power_03', 'Advanced Force Power III');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '897', 'jedi_dark_side_journeyman_force_power_04', 'Advanced Force Power IV');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '898', 'jedi_dark_side_journeyman_healing_01', 'Skilled Healing I: Projection of Strength');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '899', 'jedi_dark_side_journeyman_healing_02', 'Skilled Healing II: Projection of Vitality');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '900', 'jedi_dark_side_journeyman_healing_03', 'Skilled Healing III: Projection of Will');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '901', 'jedi_dark_side_journeyman_healing_04', 'Skilled Healing IV: Projection of Remedy');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '902', 'jedi_dark_side_journeyman_master', 'Dark Jedi Knight');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '903', 'jedi_dark_side_journeyman_novice', 'Dark Jedi Apprentice');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '904', 'jedi_dark_side_journeyman_saber_01', 'Heavy Lightsaber I: Called Strikes');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '905', 'jedi_dark_side_journeyman_saber_02', 'Heavy Lightsaber II: Stances');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '906', 'jedi_dark_side_journeyman_saber_03', 'Heavy Lightsaber III: Sturdy Strikes');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '907', 'jedi_dark_side_journeyman_saber_04', 'Heavy Lightsaber IV: Vigorous Attack');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '908', 'jedi_dark_side_master', 'Dark Jedi Master');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '909', 'jedi_dark_side_master_force_manipulation_01', 'Superior Manipulation I: Lightning Fork');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '910', 'jedi_dark_side_master_force_manipulation_02', 'Superior Manipulation II: Project Coercion');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '911', 'jedi_dark_side_master_force_manipulation_03', 'Superior Manipulation III: Lightning Strike');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '912', 'jedi_dark_side_master_force_manipulation_04', 'Superior Manipulation IV: Drain Essence');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '913', 'jedi_dark_side_master_force_power_01', 'Superior Force Power I: Animal Anxiety');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '914', 'jedi_dark_side_master_force_power_02', 'Superior Force Power II: Animal Conciliation');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '915', 'jedi_dark_side_master_force_power_03', 'Superior Force Power III: Animal Bewilderment');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '916', 'jedi_dark_side_master_force_power_04', 'Superior Force Power IV: Mind Control');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '917', 'jedi_dark_side_master_healing_01', 'Expert Healing I: Restoration');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '918', 'jedi_dark_side_master_healing_02', 'Expert Healing II: Stimulation');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '919', 'jedi_dark_side_master_healing_03', 'Expert Healing III: Steadfastness');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '920', 'jedi_dark_side_master_healing_04', 'Expert Healing IV: Expurgation');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '921', 'jedi_dark_side_master_master', 'Dark Jedi Master');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '922', 'jedi_dark_side_master_novice', 'Dark Jedi Guardian');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '923', 'jedi_dark_side_master_saber_01', 'Dual-edge Saber I: Called Strikes');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '924', 'jedi_dark_side_master_saber_02', 'Dual-edge Saber II: Mighty Strikes');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '925', 'jedi_dark_side_master_saber_03', 'Dual-edge Saber III: Accurate Strikes');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '926', 'jedi_dark_side_master_saber_04', 'Dual-edge Saber IV: Devastating Moves');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '927', 'jedi_light_side_journeyman', 'Jedi Knight');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '928', 'jedi_light_side_journeyman_force_manipulation_01', 'Improved Manipulation I: Lightning Arc');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '929', 'jedi_light_side_journeyman_force_manipulation_02', 'Improved Manipulation II: Opponent Imbalance');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '930', 'jedi_light_side_journeyman_force_manipulation_03', 'Improved Manipulation III: Greater Kinesis');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '931', 'jedi_light_side_journeyman_force_manipulation_04', 'Improved Manipulation IV: Lightning Bolt');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '932', 'jedi_light_side_journeyman_force_power_01', 'Improved Force Power I: Animal Trepidation');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '933', 'jedi_light_side_journeyman_force_power_02', 'Improved Force Power II: Animal Tranquility');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '934', 'jedi_light_side_journeyman_force_power_03', 'Improved Force Power III: Animal Persuasion');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '935', 'jedi_light_side_journeyman_force_power_04', 'Improved Force Power IV: Confusion');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '936', 'jedi_light_side_journeyman_healing_01', 'Advanced Healing I: Aura of Regeneration');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '937', 'jedi_light_side_journeyman_healing_02', 'Advanced Healing II: Aura of Revitalization');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '938', 'jedi_light_side_journeyman_healing_03', 'Advanced Healing III: Aura of Fortitude');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '939', 'jedi_light_side_journeyman_healing_04', 'Advanced Healing IV: Aura of Purity');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '940', 'jedi_light_side_journeyman_master', 'Jedi Knight');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '941', 'jedi_light_side_journeyman_novice', 'Jedi Apprentice');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '942', 'jedi_light_side_journeyman_saber_01', 'Two-hand Lightsaber I: Precision');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '943', 'jedi_light_side_journeyman_saber_02', 'Two-hand Lightsaber II: Stability');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '944', 'jedi_light_side_journeyman_saber_03', 'Two-hand Lightsaber III: Skilled Strikes');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '945', 'jedi_light_side_journeyman_saber_04', 'Two-hand Lightsaber IV: Wild Swing');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '946', 'jedi_light_side_master', 'Jedi Master');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '947', 'jedi_light_side_master_force_manipulation_01', 'Greater Manipulation I: Lightning Fork');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '948', 'jedi_light_side_master_force_manipulation_02', 'Greater Manipulation II: Instill Apprehension');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '949', 'jedi_light_side_master_force_manipulation_03', 'Greater Manipulation III: Lightning Strike');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '950', 'jedi_light_side_master_force_manipulation_04', 'Greater Manipulation IV: Drain Essence');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '951', 'jedi_light_side_master_force_power_01', 'Greater Force Power I');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '952', 'jedi_light_side_master_force_power_02', 'Greater Force Power II');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '953', 'jedi_light_side_master_force_power_03', 'Greater Force Power III');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '954', 'jedi_light_side_master_force_power_04', 'Greater Force Power IV');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '955', 'jedi_light_side_master_healing_01', 'Superior Healing I: Restoration');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '956', 'jedi_light_side_master_healing_02', 'Superior Healing II: Invigoration');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '957', 'jedi_light_side_master_healing_03', 'Superior Healing III: Resolution');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '958', 'jedi_light_side_master_healing_04', 'Superior Healing IV: Cleansing');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '959', 'jedi_light_side_master_master', 'Jedi Master');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '960', 'jedi_light_side_master_novice', 'Jedi Guardian');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '961', 'jedi_light_side_master_saber_01', 'Polearm Saber I: Precision');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '962', 'jedi_light_side_master_saber_02', 'Polearm Saber II: Expert Strikes');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '963', 'jedi_light_side_master_saber_03', 'Polearm Saber III: Improved Precision');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '964', 'jedi_light_side_master_saber_04', 'Polearm Saber IV: Power Strikes');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '965', 'jedi_novice', 'Jedi Novice');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '966', 'jedi_padawan', 'Jedi Padawan');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '967', 'jedi_padawan_force_manipulation_01', 'Force Manipulation I: Increased Speed');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '968', 'jedi_padawan_force_manipulation_02', 'Force Manipulation II: Opponent Disorientation');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '969', 'jedi_padawan_force_manipulation_03', 'Force Manipulation III: Mental Intrusion');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '970', 'jedi_padawan_force_manipulation_04', 'Force Manipulation IV: Lesser Kinesis');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '971', 'jedi_padawan_force_power_01', 'Force Power I');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '972', 'jedi_padawan_force_power_02', 'Force Power II');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '973', 'jedi_padawan_force_power_03', 'Force Power III');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '974', 'jedi_padawan_force_power_04', 'Force Power IV');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '975', 'jedi_padawan_healing_01', 'Basic Healing I: Personal Regeneration');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '976', 'jedi_padawan_healing_02', 'Basic Healing II: Personal Revitalization');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '977', 'jedi_padawan_healing_03', 'Basic Healing III: Personal Fortitude');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '978', 'jedi_padawan_healing_04', 'Basic Healing IV: Personal Rejuvenation');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '979', 'jedi_padawan_master', 'Jedi Padawan');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '980', 'jedi_padawan_novice', 'Jedi Initiate');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '981', 'jedi_padawan_saber_01', 'Lightsaber I: Laser Weapon Basics');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '982', 'jedi_padawan_saber_02', 'Lightsaber II: Celerity');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '983', 'jedi_padawan_saber_03', 'Lightsaber III: Precision');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '984', 'jedi_padawan_saber_04', 'Lightsaber IV: Advanced Strikes');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '985', 'journalist', 'Journalist');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '986', 'marksman', 'Marksman');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '987', 'melee_weaponsmith', 'Melee Weaponsmith');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '988', 'merchant', 'Merchant');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '989', 'miner', 'Miner');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '990', 'novice_architect', 'Novice Architect');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '991', 'novice_armor_designer', 'Novice Armor Designer');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '992', 'novice_armorer', 'Novice Armorer');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '993', 'novice_bio_engineer', 'Novice Bio-Engineer');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '994', 'novice_chef', 'Novice Chef');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '995', 'novice_combat_engineer', 'Novice Combat Engineer');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '996', 'novice_combat_medic', 'Novice Combat Medic');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '997', 'novice_commando', 'Novice Commando');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '998', 'novice_cook', 'Novice Cook');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '999', 'novice_creature_handler', 'Novice Creature Handler');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1000', 'novice_doctor', 'Novice Doctor');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1001', 'novice_droid_engineer', 'Novice Droid Engineer');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1002', 'novice_droid_technician', 'Novice Droid Technician');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1003', 'novice_entertainer', 'Novice Entertainer');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1004', 'novice_explorer', 'Novice Explorer');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1005', 'novice_gunsmith', 'Novice Gunsmith');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1006', 'novice_jedi', 'Novice Jedi');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1007', 'novice_marksman', 'Novice Marksman');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1008', 'novice_melee_weapons_technician', 'Novice Melee Weapons Technician');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1009', 'novice_merchant', 'Novice Merchant');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1010', 'novice_miner', 'Novice Miner');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1011', 'novice_politician', 'Novice Politician');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1012', 'novice_ranged_weapons_technician', 'Novice Ranged Weapons Technician');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1013', 'novice_ranger', 'Novice Ranger');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1014', 'novice_smuggler', 'Novice Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1015', 'novice_teras_kasi_artist', 'Novice Teras Kasi Artist');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1016', 'novice_vehicle_engineer', 'Novice Vehicle Engineer');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1017', 'novice_vehicle_technician', 'Novice Vehicle Technician');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1018', 'novice_weaponsmith', 'Novice Weaponsmith');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1019', 'novice_xenobiologist', 'Novice Xenobiologist');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1020', 'outdoors_bio_engineer', 'Bio-Engineer');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1021', 'outdoors_bio_engineer_creature_01', 'Clone Engineering I');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1022', 'outdoors_bio_engineer_creature_02', 'Clone Engineering II');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1023', 'outdoors_bio_engineer_creature_03', 'Clone Engineering III');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1024', 'outdoors_bio_engineer_creature_04', 'Clone Engineering IV');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1025', 'outdoors_bio_engineer_dna_harvesting_01', 'DNA Sampling I');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1026', 'outdoors_bio_engineer_dna_harvesting_02', 'DNA Sampling II');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1027', 'outdoors_bio_engineer_dna_harvesting_03', 'DNA Sampling III');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1028', 'outdoors_bio_engineer_dna_harvesting_04', 'DNA Sampling IV');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1029', 'outdoors_bio_engineer_master', 'Master Bio-Engineer');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1030', 'outdoors_bio_engineer_novice', 'Novice Bio-Engineer');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1031', 'outdoors_bio_engineer_production_01', 'Engineering Techniques I');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1032', 'outdoors_bio_engineer_production_02', 'Engineering Techniques II');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1033', 'outdoors_bio_engineer_production_03', 'Engineering Techniques III');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1034', 'outdoors_bio_engineer_production_04', 'Engineering Techniques IV');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1035', 'outdoors_bio_engineer_tissue_01', 'Tissue Engineering I');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1036', 'outdoors_bio_engineer_tissue_02', 'Tissue Engineering II');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1037', 'outdoors_bio_engineer_tissue_03', 'Tissue Engineering III');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1038', 'outdoors_bio_engineer_tissue_04', 'Tissue Engineering IV');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1039', 'outdoors_creaturehandler', 'Creature Handler');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1040', 'outdoors_creaturehandler_healing_01', 'Creature Empathy I: Animal Comprehension');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1041', 'outdoors_creaturehandler_healing_02', 'Creature Empathy II: Animal Compassion');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1042', 'outdoors_creaturehandler_healing_03', 'Creature Empathy III: Biological Affinity');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1043', 'outdoors_creaturehandler_healing_04', 'Creature Empathy IV: Consonance of Will');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1044', 'outdoors_creaturehandler_master', 'Master Creature Handler');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1045', 'outdoors_creaturehandler_novice', 'Novice Creature Handler');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1046', 'outdoors_creaturehandler_support_01', 'Creature Management I: Group Organization');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1047', 'outdoors_creaturehandler_support_02', 'Creature Management II: Advanced Organization');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1048', 'outdoors_creaturehandler_support_03', 'Creature Management III: Pack Management');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1049', 'outdoors_creaturehandler_support_04', 'Creature Management IV: Absolute Trust');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1050', 'outdoors_creaturehandler_taming_01', 'Creature Taming I: Basic Domestication');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1051', 'outdoors_creaturehandler_taming_02', 'Creature Taming II: Pacification Techniques');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1052', 'outdoors_creaturehandler_taming_03', 'Creature Taming III: Behavioral Science');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1053', 'outdoors_creaturehandler_taming_04', 'Creature Taming IV: Animal Language');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1054', 'outdoors_creaturehandler_training_01', 'Creature Training I: Animal Rapport');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1055', 'outdoors_creaturehandler_training_02', 'Creature Training II: Obedience Education');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1056', 'outdoors_creaturehandler_training_03', 'Creature Training III: Martial Obedience Education');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1057', 'outdoors_creaturehandler_training_04', 'Creature Training IV: Tactical Animal Psychology');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1058', 'outdoors_miner', 'Miner');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1059', 'outdoors_miner_liquid_01', 'Intermediate Liquid Mining');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1060', 'outdoors_miner_liquid_02', 'Advanced Liquid Mining');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1061', 'outdoors_miner_liquid_03', 'Expert Liquid Mining');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1062', 'outdoors_miner_liquid_04', 'Master Liquid Mining');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1063', 'outdoors_miner_master', 'Master Miner');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1064', 'outdoors_miner_mineral_01', 'Intermediate Mineral Mining');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1065', 'outdoors_miner_mineral_02', 'Advanced Mineral Mining');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1066', 'outdoors_miner_mineral_03', 'Expert Mineral Miner');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1067', 'outdoors_miner_mineral_04', 'Master Mineral Mining');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1068', 'outdoors_miner_novice', 'Novice Miner');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1069', 'outdoors_miner_production_01', 'Intermediate Installation Production');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1070', 'outdoors_miner_production_02', 'Advanced Installation Production');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1071', 'outdoors_miner_production_03', 'Expert Installation Production');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1072', 'outdoors_miner_production_04', 'Master Installation Production');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1073', 'outdoors_miner_renewable_01', 'Intermediate Energy Mining');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1074', 'outdoors_miner_renewable_02', 'Advanced Energy Mining');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1075', 'outdoors_miner_renewable_03', 'Expert Energy Mining');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1076', 'outdoors_miner_renewable_04', 'Master Energy Mining');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1077', 'outdoors_ranger', 'Ranger');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1078', 'outdoors_ranger_harvest_01', 'Tracking I: Direction Sense');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1079', 'outdoors_ranger_harvest_02', 'Tracking II: Path Reading');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1080', 'outdoors_ranger_harvest_03', 'Tracking III: Improved Direction Sense');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1081', 'outdoors_ranger_harvest_04', 'Tracking IV: Man Hunting');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1082', 'outdoors_ranger_master', 'Master Ranger');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1083', 'outdoors_ranger_movement_01', 'Wayfaring I: Basic Concealment');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1084', 'outdoors_ranger_movement_02', 'Wayfaring II: Rough Terrain Mastery');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1085', 'outdoors_ranger_movement_03', 'Wayfaring III: Stealth Techniques');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1086', 'outdoors_ranger_movement_04', 'Wayfaring IV: Exploration Mastery');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1087', 'outdoors_ranger_novice', 'Novice Ranger');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1088', 'outdoors_ranger_support_01', 'Advanced Trapping I: Danger Recognition');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1089', 'outdoors_ranger_support_02', 'Advanced Trapping II: Imaginative Design');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1090', 'outdoors_ranger_support_03', 'Advanced Trapping III: Ingenious Design');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1091', 'outdoors_ranger_support_04', 'Advanced Trapping IV: Trapping Mastery');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1092', 'outdoors_ranger_tracking_01', 'Frontiering I: Advanced Foraging Techniques');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1093', 'outdoors_ranger_tracking_02', 'Frontiering II: Advanced Camp Engineering');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1094', 'outdoors_ranger_tracking_03', 'Frontiering III: Wilderness Survival Mastery');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1095', 'outdoors_ranger_tracking_04', 'Frontiering IV: Habitat Engineering');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1096', 'outdoors_scout', 'Scout');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1097', 'outdoors_scout_camp_01', 'Survival I: Rudimentary Techniques');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1098', 'outdoors_scout_camp_02', 'Survival II: Advanced Techniques');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1099', 'outdoors_scout_camp_03', 'Survival III: Harsh Environment Techniques');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1100', 'outdoors_scout_camp_04', 'Survival IV: Special Techniques');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1101', 'outdoors_scout_harvest_01', 'Hunting I: Civilian Methodology');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1102', 'outdoors_scout_harvest_02', 'Hunting II: Military Methodology');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1103', 'outdoors_scout_harvest_03', 'Hunting III: Trandoshan Methodology');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1104', 'outdoors_scout_harvest_04', 'Hunting IV: Unconventional Methodology');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1105', 'outdoors_scout_master', 'Master Scout');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1106', 'outdoors_scout_movement_01', 'Exploration I: Fundamentals');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1107', 'outdoors_scout_movement_02', 'Exploration II: Advanced Principles');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1108', 'outdoors_scout_movement_03', 'Exploration III: Harsh Environment Training');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1109', 'outdoors_scout_movement_04', 'Exploration IV: Alien Environment Training');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1110', 'outdoors_scout_novice', 'Novice Scout');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1111', 'outdoors_scout_tools_01', 'Trapping I: Makeshift Design');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1112', 'outdoors_scout_tools_02', 'Trapping II: Refined Design');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1113', 'outdoors_scout_tools_03', 'Trapping III: Martial Design');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1114', 'outdoors_scout_tools_04', 'Trapping IV: Elite Martial Design');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1115', 'outdoors_scout_tracking_01', 'Intermediate Creature Tracking');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1116', 'outdoors_scout_tracking_02', 'Advanced Creature Tracking');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1117', 'outdoors_scout_tracking_03', 'Expert Creature Tracking');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1118', 'outdoors_scout_tracking_04', 'Tracking Specialist');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1119', 'outdoors_squadleader', 'Squad Leader');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1120', 'outdoors_squadleader_defense_01', 'Leadership I: Enforced Discipline');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1121', 'outdoors_squadleader_defense_02', 'Leadership II: Command Directives');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1122', 'outdoors_squadleader_defense_03', 'Leadership III: Exemplary Behavior');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1123', 'outdoors_squadleader_defense_04', 'Leadership IV: Battlefield Authority');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1124', 'outdoors_squadleader_master', 'Master Squad Leader');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1125', 'outdoors_squadleader_movement_01', 'Mobility I: Terrain Guidance');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1126', 'outdoors_squadleader_movement_02', 'Mobility II: Flexibility');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1127', 'outdoors_squadleader_movement_03', 'Mobility III: Advanced Guidance');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1128', 'outdoors_squadleader_movement_04', 'Mobility IV: Advanced Flexibility');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1129', 'outdoors_squadleader_novice', 'Novice Squad Leader');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1130', 'outdoors_squadleader_offense_01', 'Strategy I: Planned Action');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1131', 'outdoors_squadleader_offense_02', 'Strategy II: Decisive Action');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1132', 'outdoors_squadleader_offense_03', 'Strategy III: Unified Strike');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1133', 'outdoors_squadleader_offense_04', 'Strategy IV: Improved Unified Strike');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1134', 'outdoors_squadleader_support_01', 'Tactics I: Battlefield Support');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1135', 'outdoors_squadleader_support_02', 'Tactics II: Ranged Defense');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1136', 'outdoors_squadleader_support_03', 'Tactics III: Retreat');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1137', 'outdoors_squadleader_support_04', 'Tactics IV: Defensive Form');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1138', 'pilot', 'Star Pilot');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1139', 'pilot_imperial_navy', 'Imperial Navy Pilot');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1140', 'pilot_imperial_navy_droid_01', 'Astromech Management I: Droid Interface Basics');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1141', 'pilot_imperial_navy_droid_02', 'Astromech Management II: Engineering Algorithms');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1142', 'pilot_imperial_navy_droid_03', 'Astromech Management III: System Balance Programming');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1143', 'pilot_imperial_navy_droid_04', 'Astromech Management IV: Droid Intelligence Theory');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1144', 'pilot_imperial_navy_master', 'Imperial Pilot Ace');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1145', 'pilot_imperial_navy_novice', 'Imperial Pilot Initiate');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1146', 'pilot_imperial_navy_procedures_01', 'Imperial Training I: Basic Training');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1147', 'pilot_imperial_navy_procedures_02', 'Imperial Training II: Imperial Regular');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1148', 'pilot_imperial_navy_procedures_03', 'Imperial Training III: Special Forces');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1149', 'pilot_imperial_navy_procedures_04', 'Imperial Training IV: Elite TIE Guard');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1150', 'pilot_imperial_navy_starships_01', 'Imperial Technology I: Intermediate TIE Combat Craft Operations');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1151', 'pilot_imperial_navy_starships_02', 'Imperial Technology II: Advanced TIE Combat Craft Operations');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1152', 'pilot_imperial_navy_starships_03', 'Imperial Technology III: Advanced Capability TIE Vessels');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1153', 'pilot_imperial_navy_starships_04', 'Imperial Technology IV: TIE Experimental Vessels');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1154', 'pilot_imperial_navy_weapons_01', 'Equipment I: Basic Imperial Starship Component Use');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1155', 'pilot_imperial_navy_weapons_02', 'Equipment II: Intermediate Imperial Starship Component Use');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1156', 'pilot_imperial_navy_weapons_03', 'Equipment III: Advanced Imperial Starship Component Use');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1157', 'pilot_imperial_navy_weapons_04', 'Equipment IV: Heavy Imperial Starship Component Use');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1158', 'pilot_neutral', 'Freelance Pilot');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1159', 'pilot_neutral_droid_01', 'Droid Interface Basics');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1160', 'pilot_neutral_droid_02', 'Engineering Algorithms');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1161', 'pilot_neutral_droid_03', 'System Balance Programming');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1162', 'pilot_neutral_droid_04', 'Droid Intelligence Theory');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1163', 'pilot_neutral_master', 'Flight Artistry');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1164', 'pilot_neutral_novice', 'Basic Pilot');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1165', 'pilot_neutral_procedures_01', 'Basic Training');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1166', 'pilot_neutral_procedures_02', 'Starship Defense');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1167', 'pilot_neutral_procedures_03', 'Advanced Technique');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1168', 'pilot_neutral_procedures_04', 'Expert Technique');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1169', 'pilot_neutral_starships_01', 'Basic Fighters');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1170', 'pilot_neutral_starships_02', 'Advanced Fighters');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1171', 'pilot_neutral_starships_03', 'Special Warships');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1172', 'pilot_neutral_starships_04', 'Exotic Vessels');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1173', 'pilot_neutral_weapons_01', 'Basic Starship Component Use');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1174', 'pilot_neutral_weapons_02', 'Intermediate Starship Component Use');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1175', 'pilot_neutral_weapons_03', 'Advanced Starship Component Use');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1176', 'pilot_neutral_weapons_04', 'Heavy Starship Component Use');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1177', 'pilot_rebel_navy', 'Alliance Starfighter Pilot');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1178', 'pilot_rebel_navy_droid_01', 'Droid Interface Basics');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1179', 'pilot_rebel_navy_droid_02', 'Engineering Algorithms');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1180', 'pilot_rebel_navy_droid_03', 'System Balance Programming');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1181', 'pilot_rebel_navy_droid_04', 'Droid Intelligence Theory');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1182', 'pilot_rebel_navy_master', 'Rebel Alliance Master Pilot');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1183', 'pilot_rebel_navy_novice', 'Alliance Starfighter Trainee');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1184', 'pilot_rebel_navy_procedures_01', 'Starfighter Survival Tactics');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1185', 'pilot_rebel_navy_procedures_02', 'Space Combat Techniques');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1186', 'pilot_rebel_navy_procedures_03', 'Advanced Space Combat');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1187', 'pilot_rebel_navy_procedures_04', 'Special Weapons and Tactics');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1188', 'pilot_rebel_navy_starships_01', 'Basic Starfighter Continuation Training');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1189', 'pilot_rebel_navy_starships_02', 'Multi-role Craft');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1190', 'pilot_rebel_navy_starships_03', 'Space Superiority Fighters');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1191', 'pilot_rebel_navy_starships_04', 'Hyper-Maneuverable Starfighters');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1192', 'pilot_rebel_navy_weapons_01', 'Equipment A: Basic Alliance Starship Component Use');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1193', 'pilot_rebel_navy_weapons_02', 'Equipment B: Intermediate Alliance Starship Component Use');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1194', 'pilot_rebel_navy_weapons_03', 'Equipment C: Advanced Alliance Starship Component Use');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1195', 'pilot_rebel_navy_weapons_04', 'Equipment D: Heavy Alliance Starship Component Use');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1196', 'politician', 'Politician');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1197', 'profession_architect', 'Architect');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1198', 'profession_architect_novice', 'Novice Architect');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1199', 'profession_armorsmith', 'Armorsmith');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1200', 'profession_armorsmith_novice', 'Novice Armorsmith');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1201', 'profession_bountyhunter', 'Bounty Hunter');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1202', 'profession_bountyhunter_novice', 'Novice Bounty Hunter');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1203', 'profession_chef', 'Chef');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1204', 'profession_chef_novice', 'Novice Chef');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1205', 'profession_combat_brawler_master', 'Master Brawler');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1206', 'profession_combat_brawler_novice', 'Novice Brawler');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1207', 'profession_combat_marksman_master', 'Master Marksman');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1208', 'profession_combat_marksman_novice', 'Novice Marksman');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1209', 'profession_combatengineer', 'Combat Engineer');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1210', 'profession_combatengineer_novice', 'Novice Combat Engineer');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1211', 'profession_combatmedic', 'Combat Medic');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1212', 'profession_combatmedic_novice', 'Novice Combat Medic');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1213', 'profession_commando', 'Commando');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1214', 'profession_commando_novice', 'Novice Commando');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1215', 'profession_crafting_artisan_master', 'Master Artisan');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1216', 'profession_crafting_artisan_novice', 'Novice Artisan');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1217', 'profession_doctor', 'Doctor');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1218', 'profession_doctor_novice', 'Novice Doctor');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1219', 'profession_entertainer', 'Entertainer');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1220', 'profession_entertainer_novice', 'Novice Entertainer');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1221', 'profession_explorer', 'Explorer');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1222', 'profession_explorer_novice', 'Novice Explorer');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1223', 'profession_gunsmith', 'Gunsmith');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1224', 'profession_gunsmith_novice', 'Novice Gunsmith');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1225', 'profession_imagedesigner', 'Image Designer');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1226', 'profession_imagedesigner_novice', 'Novice Image Designer');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1227', 'profession_marksman', 'Marksman');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1228', 'profession_marksman_novice', 'Novice Marksman');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1229', 'profession_merchant', 'Merchant');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1230', 'profession_merchant_novice', 'Novice Merchant');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1231', 'profession_miner', 'Miner');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1232', 'profession_miner_novice', 'Novice Miner');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1233', 'profession_outdoors_scout_master', 'Master Scout');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1234', 'profession_outdoors_scout_novice', 'Novice Scout');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1235', 'profession_rancher', 'Rancher');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1236', 'profession_rancher_novice', 'Novice Rancher');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1237', 'profession_ranger', 'Ranger');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1238', 'profession_ranger_novice', 'Novice Ranger');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1239', 'profession_science_medic_master', 'Master Medic');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1240', 'profession_science_medic_novice', 'Novice Medic');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1241', 'profession_smuggler', 'Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1242', 'profession_smuggler_novice', 'Novice Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1243', 'profession_social_entertainer_master', 'Master Entertainer');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1244', 'profession_social_entertainer_novice', 'Novice Entertainer');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1245', 'profession_squadleader', 'Squad Leader');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1246', 'profession_squadleader_novice', 'Novice Squad Leader');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1247', 'profession_teraskasi', 'Teras Kasi Artist');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1248', 'profession_teraskasi_novice', 'Novice Teras Kasi Artist');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1249', 'profession_weaponsmith', 'Melee Weaponsmith');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1250', 'profession_weaponsmith_novice', 'Novice Melee Weaponsmith');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1251', 'ranger', 'Ranger');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1252', 'rifle_concealment_chance', 'Sniper Support Chance');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1253', 'science', 'Science');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1254', 'science_combatmedic', 'Combat Medic');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1255', 'science_combatmedic_healing_range_01', 'Intermediate Ranged Healing Distance');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1256', 'science_combatmedic_healing_range_02', 'Advanced Ranged Healing Distance');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1257', 'science_combatmedic_healing_range_03', 'Expert Ranged Healing Distance');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1258', 'science_combatmedic_healing_range_04', 'Master Ranged Healing Distance');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1259', 'science_combatmedic_healing_range_speed_01', 'Intermediate Ranged Healing Speed');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1260', 'science_combatmedic_healing_range_speed_02', 'Advanced Ranged Healing Speed');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1261', 'science_combatmedic_healing_range_speed_03', 'Expert Ranged Healing Speed');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1262', 'science_combatmedic_healing_range_speed_04', 'Master Ranged Healing Speed');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1263', 'science_combatmedic_master', 'Master Combat Medic');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1264', 'science_combatmedic_medicine_01', 'Intermediate Combat Medicine Crafting');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1265', 'science_combatmedic_medicine_02', 'Advanced Combat Medicine Crafting');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1266', 'science_combatmedic_medicine_03', 'Expert Combat Medicine Crafting');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1267', 'science_combatmedic_medicine_04', 'Master Combat Medicine Crafting');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1268', 'science_combatmedic_novice', 'Novice Combat Medic');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1269', 'science_combatmedic_support_01', 'Intermediate Combat Medic Support');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1270', 'science_combatmedic_support_02', 'Advanced Combat Medic Support');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1271', 'science_combatmedic_support_03', 'Expert Combat Medic Support');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1272', 'science_combatmedic_support_04', 'Master Combat Medic Support');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1273', 'science_doctor', 'Doctor');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1274', 'science_doctor_ability_01', 'Intermediate Doctor\'s Medicine Knowledge');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1275', 'science_doctor_ability_02', 'Advanced Doctor\'s Medicine Knowledge');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1276', 'science_doctor_ability_03', 'Expert Doctor\'s Medicine Knowledge');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1277', 'science_doctor_ability_04', 'Master Doctor\'s Medicine Knowledge');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1278', 'science_doctor_master', 'Master Doctor');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1279', 'science_doctor_novice', 'Novice Doctor');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1280', 'science_doctor_support_01', 'Intermediate Doctor\'s Medicine Crafting');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1281', 'science_doctor_support_02', 'Advanced Doctor\'s Medicine Crafting');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1282', 'science_doctor_support_03', 'Expert Doctor\'s Medicine Crafting');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1283', 'science_doctor_support_04', 'Master Doctor\'s Medicine Crafting');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1284', 'science_doctor_wound_01', 'Intermediate Wound Treatment');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1285', 'science_doctor_wound_02', 'Advanced Wound Treatment');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1286', 'science_doctor_wound_03', 'Expert Wound Treatment');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1287', 'science_doctor_wound_04', 'Master Wound Treatment');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1288', 'science_doctor_wound_speed_01', 'Intermediate Wound Treatment Speed');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1289', 'science_doctor_wound_speed_02', 'Advanced Wound Treatment Speed');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1290', 'science_doctor_wound_speed_03', 'Expert Wound Treatment Speed');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1291', 'science_doctor_wound_speed_04', 'Master Wound Treatment Speed');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1292', 'science_medic', 'Medic');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1293', 'science_medic_ability_01', 'Pharmacology I: Applications of Medicine');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1294', 'science_medic_ability_02', 'Pharmacology II: Practical Medicine');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1295', 'science_medic_ability_03', 'Pharmacology III: Combat Medicine');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1296', 'science_medic_ability_04', 'Pharmacology IV: Xeno Pharmacology');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1297', 'science_medic_crafting_01', 'Organic Chemistry I: Basic Wound Treatment');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1298', 'science_medic_crafting_02', 'Organic Chemistry II: Enhanced Stimpacks');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1299', 'science_medic_crafting_03', 'Organic Chemistry III: Complex Wound Treatment');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1300', 'science_medic_crafting_04', 'Organic Chemistry IV: Experimental Chemistry');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1301', 'science_medic_injury_01', 'First Aid I: Simple Bandaging');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1302', 'science_medic_injury_02', 'First Aid II: Treat Bleeding');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1303', 'science_medic_injury_03', 'First Aid III: Field Dressing');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1304', 'science_medic_injury_04', 'First Aid IV: Quick Heal');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1305', 'science_medic_injury_speed_01', 'Diagnostics I: Rapid Diagnosis');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1306', 'science_medic_injury_speed_02', 'Diagnostics II: Transport Patient');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1307', 'science_medic_injury_speed_03', 'Diagnostics III: Accelerated Healing');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1308', 'science_medic_injury_speed_04', 'Diagnostics IV: Technical Diagnosis');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1309', 'science_medic_master', 'Master Medic');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1310', 'science_medic_novice', 'Novice Medic');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1311', 'skill_system_root', 'Skill System Root');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1312', 'smuggler', 'Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1313', 'social', 'Social');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1314', 'social_acrobat', 'Acrobat');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1315', 'social_acrobat_evasion_01', 'Acrobatics I: Enhanced Dexterity');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1316', 'social_acrobat_evasion_02', 'Acrobatics II: Physical Evasion');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1317', 'social_acrobat_evasion_03', 'Acrobatics III: Combat Alacrity');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1318', 'social_acrobat_evasion_04', 'Acrobatics IV: Tactical Contortion');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1319', 'social_acrobat_juggling_01', 'Juggling I: Pins');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1320', 'social_acrobat_juggling_02', 'Juggling II: Rings');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1321', 'social_acrobat_juggling_03', 'Juggling III: Sharp Objects');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1322', 'social_acrobat_juggling_04', 'Juggling IV: Flaming Objects');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1323', 'social_acrobat_master', 'Master Acrobat');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1324', 'social_acrobat_novice', 'Novice Acrobat');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1325', 'social_acrobat_shock_01', 'Juggling Effectiveness I: Balancer');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1326', 'social_acrobat_shock_02', 'Juggling Effectiveness II: Athlete');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1327', 'social_acrobat_shock_03', 'Juggling Effectiveness III: Acrobat');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1328', 'social_acrobat_shock_04', 'Juggling Effectiveness IV: Aerialist');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1329', 'social_acrobat_thrown_01', 'Throwing Weapons I: Daggers');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1330', 'social_acrobat_thrown_02', 'Throwing Weapons II: Boomerang');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1331', 'social_acrobat_thrown_03', 'Throwing Weapons III: Throwing Stars');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1332', 'social_acrobat_thrown_04', 'Throwing Weapons IV: Plasma Sphere');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1333', 'social_dance_knowledge_advanced', 'Dancing: Advanced Knowledge');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1334', 'social_dance_knowledge_basic', 'Dancing: Basic Knowledge');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1335', 'social_dance_knowledge_expert', 'Dancing: Expert Knowledge');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1336', 'social_dance_knowledge_intermediate', 'Dancing: Intermediate Knowledge');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1337', 'social_dance_knowledge_specialist', 'Dancing: Knowledge Specialist');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1338', 'social_dancer', 'Dancer');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1339', 'social_dancer_ability_01', 'Dancing Techniques I');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1340', 'social_dancer_ability_02', 'Dancing Techniques II');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1341', 'social_dancer_ability_03', 'Dancing Techniques III');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1342', 'social_dancer_ability_04', 'Technique Specialist IV');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1343', 'social_dancer_knowledge_01', 'Dancing Knowledge I');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1344', 'social_dancer_knowledge_02', 'Dancing Knowledge II');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1345', 'social_dancer_knowledge_03', 'Dancing Knowledge III');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1346', 'social_dancer_knowledge_04', 'Dancing Knowledge IV');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1347', 'social_dancer_master', 'Master Dancer');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1348', 'social_dancer_novice', 'Novice Dancer');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1349', 'social_dancer_shock_01', 'Dancer\'s Fatigue Healing I');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1350', 'social_dancer_shock_02', 'Dancer\'s Fatigue Healing II');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1351', 'social_dancer_shock_03', 'Dancer\'s Fatigue Healing III');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1352', 'social_dancer_shock_04', 'Dancer\'s Fatigue Healing IV');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1353', 'social_dancer_wound_01', 'Dancer\'s Wound Healing I');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1354', 'social_dancer_wound_02', 'Dancer\'s Wound Healing II');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1355', 'social_dancer_wound_03', 'Dancer\'s Wound Healing III');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1356', 'social_dancer_wound_04', 'Dancer\'s Wound Healing IV');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1357', 'social_entertainer', 'Entertainer');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1358', 'social_entertainer_dance_01', 'Dancing I: Basic');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1359', 'social_entertainer_dance_02', 'Dancing II: Rhythmic');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1360', 'social_entertainer_dance_03', 'Dancing III: Footloose');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1361', 'social_entertainer_dance_04', 'Dancing IV: Formal');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1362', 'social_entertainer_hairstyle_01', 'Image Design I: Facial Hair & Trim');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1363', 'social_entertainer_hairstyle_02', 'Image Design II: Basic Hair Styling');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1364', 'social_entertainer_hairstyle_03', 'Image Design III: Improved Hair Styling');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1365', 'social_entertainer_hairstyle_04', 'Image Design IV: Complex Hair Styling');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1366', 'social_entertainer_healing_01', 'Entertainment Healing I: Amateur Act');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1367', 'social_entertainer_healing_02', 'Entertainment Healing II: Professional Act');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1368', 'social_entertainer_healing_03', 'Entertainment Healing III: Center Stage');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1369', 'social_entertainer_healing_04', 'Entertainment Healing IV: Headliner');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1370', 'social_entertainer_master', 'Master Entertainer');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1371', 'social_entertainer_music_01', 'Musicianship I: Rock');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1372', 'social_entertainer_music_02', 'Musicianship II: Easy');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1373', 'social_entertainer_music_03', 'Musicianship III: Folk');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1374', 'social_entertainer_music_04', 'Musicianship IV: Jazz');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1375', 'social_entertainer_novice', 'Novice Entertainer');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1376', 'social_imagedesigner', 'Image Designer');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1377', 'social_imagedesigner_bodyform_01', 'Bodyform I: Personal Training');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1378', 'social_imagedesigner_bodyform_02', 'Bodyform II: Body Glamour');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1379', 'social_imagedesigner_bodyform_03', 'Bodyform III: Alien Bioforms');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1380', 'social_imagedesigner_bodyform_04', 'Bodyform IV: Body Mastery');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1381', 'social_imagedesigner_exotic_01', 'Face I: Facial Customization');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1382', 'social_imagedesigner_exotic_02', 'Face II: Stage Make Up & Design');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1383', 'social_imagedesigner_exotic_03', 'Face III: Alien Faceforms');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1384', 'social_imagedesigner_exotic_04', 'Face IV: Face Mastery');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1385', 'social_imagedesigner_hairstyle_01', 'Hairstyling I: Barber');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1386', 'social_imagedesigner_hairstyle_02', 'Hairstyling II: Hair Dresser');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1387', 'social_imagedesigner_hairstyle_03', 'Hairstyling III: Hair Stylist');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1388', 'social_imagedesigner_hairstyle_04', 'Hairstyling IV: Beautician');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1389', 'social_imagedesigner_markings_01', 'Markings I: Tattoos');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1390', 'social_imagedesigner_markings_02', 'Markings II: Patterns');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1391', 'social_imagedesigner_markings_03', 'Markings III: Advanced Detail');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1392', 'social_imagedesigner_markings_04', 'Markings IV: Detail Mastery');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1393', 'social_imagedesigner_master', 'Master Image Designer');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1394', 'social_imagedesigner_novice', 'Novice Image Designer');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1395', 'social_language', 'Languages');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1396', 'social_language_basic', 'Basic Language (Human Language)');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1397', 'social_language_basic_comprehend', 'Basic Comprehension (Human Language)');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1398', 'social_language_basic_speak', 'Basic Speech (Human Language)');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1399', 'social_language_bothan', 'Bothese');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1400', 'social_language_bothan_comprehend', 'Bothese Comprehension (Bothan Language)');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1401', 'social_language_bothan_speak', 'Bothese Speech (Bothan Language)');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1402', 'social_language_human', 'Basic');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1403', 'social_language_lekku', 'Lekku');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1404', 'social_language_lekku_comprehend', 'Lekku Comprehension (Twi\'lek Silent Language)');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1405', 'social_language_lekku_speak', 'Lekku Silent Speech (Twi\'lek Silent Language)');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1406', 'social_language_moncalamari', 'Mon Calamarian');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1407', 'social_language_moncalamari_comprehend', 'Mon Calamarian Comprehension (Mon Calamarian Language)');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1408', 'social_language_moncalamari_speak', 'Mon Calamarian Speech (Mon Calamarian Language)');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1409', 'social_language_rodian', 'Rodese');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1410', 'social_language_rodian_comprehend', 'Rodese Comprehension (Rodian Language)');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1411', 'social_language_rodian_speak', 'Rodese Speech (Rodian Language)');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1412', 'social_language_trandoshan', 'Dosh');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1413', 'social_language_trandoshan_comprehend', 'Dosh Comprehension (Trandoshan Language)');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1414', 'social_language_trandoshan_speak', 'Dosh Speech (Trandoshan Language)');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1415', 'social_language_twilek', 'Ryl');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1416', 'social_language_twilek_comprehend', 'Ryl Comprehension (Twi\'lek Spoken Language)');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1417', 'social_language_twilek_speak', 'Ryl Speech (Twi\'lek Spoken Language)');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1418', 'social_language_wookiee', 'Shyriiwook');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1419', 'social_language_wookiee_comprehend', 'Shyriiwook Comprehension (Wookiee Language)');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1420', 'social_language_wookiee_speak', 'Shyriiwook Speech (Wookiee Language)');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1421', 'social_language_zabrak', 'Zabrak');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1422', 'social_language_zabrak_comprehend', 'Zabrak Comprehension (Zabrak Language)');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1423', 'social_language_zabrak_speak', 'Zabrak Speech (Zabrak Language)');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1424', 'social_musician', 'Musician');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1425', 'social_musician_ability_01', 'Musical Techniques I');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1426', 'social_musician_ability_02', 'Musical Techniques II');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1427', 'social_musician_ability_03', 'Musical Techniques III');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1428', 'social_musician_ability_04', 'Technique Specialist IV');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1429', 'social_musician_knowledge_01', 'Musical Knowledge I');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1430', 'social_musician_knowledge_02', 'Musical Knowledge II');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1431', 'social_musician_knowledge_03', 'Musical Knowledge III');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1432', 'social_musician_knowledge_04', 'Musical Knowledge IV');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1433', 'social_musician_master', 'Master Musician');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1434', 'social_musician_novice', 'Novice Musician');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1435', 'social_musician_shock_01', 'Musician\'s Fatigue Healing I');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1436', 'social_musician_shock_02', 'Musician\'s Fatigue Healing II');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1437', 'social_musician_shock_03', 'Musician\'s Fatigue Healing III');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1438', 'social_musician_shock_04', 'Musician\'s Fatigue Healing IV');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1439', 'social_musician_wound_01', 'Musician\'s Wound Healing I');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1440', 'social_musician_wound_02', 'Musician\'s Wound Healing II');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1441', 'social_musician_wound_03', 'Musician\'s Wound Healing III');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1442', 'social_musician_wound_04', 'Musician\'s Wound Healing IV');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1443', 'social_politician', 'Politician');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1444', 'social_politician_civic_01', 'Civic Policy I: Jobs');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1445', 'social_politician_civic_02', 'Civic Policy II: Education');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1446', 'social_politician_civic_03', 'Civic Policy III: Medical Policies');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1447', 'social_politician_civic_04', 'Civic Policy IV: Job Policies');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1448', 'social_politician_fiscal_01', 'Fiscal Policy I: Tourism');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1449', 'social_politician_fiscal_02', 'Fiscal Policy II: Banking & Travel');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1450', 'social_politician_fiscal_03', 'Fiscal Policy III: Industry');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1451', 'social_politician_fiscal_04', 'Fiscal Policy IV: Research');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1452', 'social_politician_martial_01', 'Martial Policy I: Militia');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1453', 'social_politician_martial_02', 'Martial Policy II: Cloning');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1454', 'social_politician_martial_03', 'Martial Policy III: Stronghold');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1455', 'social_politician_martial_04', 'Martial Policy IV: Faction');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1456', 'social_politician_master', 'Master Politician');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1457', 'social_politician_novice', 'Novice Politician');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1458', 'social_politician_urban_01', 'City Customization I: Lamps & Statues');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1459', 'social_politician_urban_02', 'City Customization II: Fountains');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1460', 'social_politician_urban_03', 'City Customization III: Gardens');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1461', 'social_politician_urban_04', 'City Customization IV: Advanced Decoration');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1462', 'species_bothan', 'Bothan Species Features');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1463', 'species_human', 'Human Species Features');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1464', 'species_ithorian', 'Ithorian Species Features');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1465', 'species_moncal', 'Mon Calamari Species Features');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1466', 'species_rodian', 'Rodian Species Features');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1467', 'species_sullustan', 'Sullustan Species Features');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1468', 'species_trandoshan', 'Trandoshan Species Features');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1469', 'species_twilek', 'Twi\'lek Species Features');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1470', 'species_wookiee', 'Wookiee Species Features');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1471', 'species_zabrak', 'Zabrak Species Features');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1472', 'teras_kasi_artist', 'Teras Kasi Artist');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1473', 'vehicle_engineer', 'Vehicle Engineer');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1474', 'xenobiologist', 'Xenobiologist');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1475', 'social_language_ithorian', 'Ithorese');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1476', 'social_language_ithorian_comprehend', 'Ithorese Comprehension (Ithorian Language)');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1477', 'social_language_ithorian_speak', 'Ithorese Speech (Ithorian Language)');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1478', 'social_language_sullustan', 'Sullustese');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1479', 'social_language_sullustan_comprehend', 'Sullustese Comprehension (Sullustan Language)');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1480', 'social_langage_sullustan_speak', 'Sullustese Speech (Sullustan Language)');
INSERT INTO `client_strings` VALUES ('string/en/skl_n.stf', '1481', 'social_language_sullustan_speak', 'Sullustese Speech (Sullustan Language)');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '1', 'combat_1hsword', 'Fencer');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '2', 'combat_1hsword_ability_04', 'Bladesmaster');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '3', 'combat_1hsword_accuracy_04', 'Duelist');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '4', 'combat_1hsword_master', 'Master Fencer');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '5', 'combat_1hsword_novice', 'Novice Fencer');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '6', 'combat_1hsword_speed_04', 'Swashbuckler');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '7', 'combat_1hsword_support_04', 'Blade Weaver');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '8', 'combat_2hsword', 'Swordsman');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '9', 'combat_2hsword_ability_04', 'Expert Heavy Swordsman');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '10', 'combat_2hsword_accuracy_04', 'Cleaver');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '11', 'combat_2hsword_master', 'Master Swordsman');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '12', 'combat_2hsword_novice', 'Novice Swordsman');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '13', 'combat_2hsword_speed_04', 'Battlemaster');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '14', 'combat_2hsword_support_04', 'Warrior');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '15', 'combat_bountyhunter', 'Bounty Hunter');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '16', 'combat_bountyhunter_droidcontrol_04', 'Enforcer');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '17', 'combat_bountyhunter_droidresponse_04', 'Desperado');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '18', 'combat_bountyhunter_investigation_04', 'Stalker');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '19', 'combat_bountyhunter_master', 'Master Bounty Hunter');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '20', 'combat_bountyhunter_novice', 'Novice Bounty Hunter');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '21', 'combat_bountyhunter_support_04', 'Avenger');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '22', 'combat_brawler', 'Brawler');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '23', 'combat_brawler_1handmelee_04', 'Apprentice Swordsman');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '24', 'combat_brawler_2handmelee_04', 'Apprentice Heavy Swordsman');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '25', 'combat_brawler_master', 'Master Brawler');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '26', 'combat_brawler_novice', 'Novice Brawler');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '27', 'combat_brawler_polearm_04', 'Apprentice Pikeman');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '28', 'combat_brawler_unarmed_04', 'Teras Kasi Student');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '29', 'combat_carbine', 'Carbineer');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '30', 'combat_carbine_ability_04', 'Infiltrator');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '31', 'combat_carbine_accuracy_04', 'Mercenary');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '32', 'combat_carbine_master', 'Master Carbineer');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '33', 'combat_carbine_novice', 'Novice Carbineer');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '34', 'combat_carbine_speed_04', 'Marauder');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '35', 'combat_carbine_support_04', 'Assaulter');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '36', 'combat_commando', 'Commando');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '37', 'combat_commando_heavyweapon_accuracy_04', 'Grenadier');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '38', 'combat_commando_heavyweapon_speed_04', 'Demolitionist');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '39', 'combat_commando_master', 'Master Commando');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '40', 'combat_commando_novice', 'Novice Commando');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '41', 'combat_commando_support_04', 'Heavy Infantry');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '42', 'combat_commando_thrownweapon_04', 'Shock Trooper');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '43', 'combat_marksman', 'Marksman');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '44', 'combat_marksman_carbine_04', 'Apprentice Carbine Specialist');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '45', 'combat_marksman_master', 'Master Marksman');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '46', 'combat_marksman_novice', 'Novice Marksman');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '47', 'combat_marksman_pistol_04', 'Apprentice Gunfighter');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '48', 'combat_marksman_rifle_04', 'Apprentice Sharpshooter');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '49', 'combat_marksman_support_04', 'Guardsman');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '50', 'combat_pistol', 'Pistoleer');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '51', 'combat_pistol_ability_04', 'Trickshot');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '52', 'combat_pistol_accuracy_04', 'Gunslinger');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '53', 'combat_pistol_master', 'Master Pistoleer');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '54', 'combat_pistol_novice', 'Novice Pistoleer');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '55', 'combat_pistol_speed_04', 'Dead-Eye');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '56', 'combat_pistol_support_04', 'Quickdraw');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '57', 'combat_polearm', 'Pikeman');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '58', 'combat_polearm_ability_04', 'Foot Soldier');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '59', 'combat_polearm_accuracy_04', 'Heavy Cleaver');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '60', 'combat_polearm_master', 'Master Pikeman');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '61', 'combat_polearm_novice', 'Novice Pikeman');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '62', 'combat_polearm_speed_04', 'Pike Weaver');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '63', 'combat_polearm_support_04', 'Sentinel');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '64', 'combat_rifleman', 'Rifleman');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '65', 'combat_rifleman_ability_04', 'Gunner');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '66', 'combat_rifleman_accuracy_04', 'Sniper');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '67', 'combat_rifleman_master', 'Master Rifleman');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '68', 'combat_rifleman_novice', 'Novice Rifleman');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '69', 'combat_rifleman_speed_04', 'Assassin');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '70', 'combat_rifleman_support_04', 'Soldier');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '71', 'combat_smuggler_combat_04', 'Rogue');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '72', 'combat_smuggler_master', 'Master Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '73', 'combat_smuggler_novice', 'Novice Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '74', 'combat_smuggler_slicing_04', 'Slicer');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '75', 'combat_smuggler_spice_04', 'Fence');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '76', 'combat_smuggler_underworld_04', 'Fixer');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '77', 'combat_unarmed', 'Teras Kasi Artist');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '78', 'combat_unarmed_ability_04', 'Teras Kasi Expert');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '79', 'combat_unarmed_accuracy_04', 'Teras Kasi Mystic');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '80', 'combat_unarmed_master', 'Teras Kasi Master');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '81', 'combat_unarmed_novice', 'Teras Kasi Novice');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '82', 'combat_unarmed_speed_04', 'Teras Kasi Monk');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '83', 'combat_unarmed_support_04', 'Teras Kasi Warrior');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '84', 'crafting_architect', 'Architect');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '85', 'crafting_architect_blueprints_04', 'Home Designer');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '86', 'crafting_architect_harvesting_04', 'Installation Designer');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '87', 'crafting_architect_master', 'Master Architect');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '88', 'crafting_architect_novice', 'Novice Architect');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '89', 'crafting_architect_production_04', 'Interior Designer');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '90', 'crafting_architect_techniques_04', 'Foreman');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '91', 'crafting_armorsmith_complexity_04', 'Expert Armorsmith');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '92', 'crafting_armorsmith_deflectors_04', 'Deflector Technologist');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '93', 'crafting_armorsmith_heavy_04', 'Materials Specialist');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '94', 'crafting_armorsmith_master', 'Master Armorsmith');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '95', 'crafting_armorsmith_novice', 'Novice Armorsmith');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '96', 'crafting_armorsmith_personal_04', 'Master of Armor Design');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '97', 'crafting_artisan', 'Artisan');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '98', 'crafting_artisan_business_04', 'Businessman');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '99', 'crafting_artisan_domestic_04', 'Homemaker');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '100', 'crafting_artisan_engineering_04', 'Engineer');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '101', 'crafting_artisan_master', 'Master Artisan');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '102', 'crafting_artisan_novice', 'Novice Artisan');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '103', 'crafting_artisan_survey_04', 'Surveyor');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '104', 'crafting_chef', 'Chef');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '105', 'crafting_chef_dessert_04', 'Accomplished Baker');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '106', 'crafting_chef_dish_04', 'Iron Chef');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '107', 'crafting_chef_drink_04', 'Expert Bartender');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '108', 'crafting_chef_master', 'Master Chef');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '109', 'crafting_chef_novice', 'Novice Chef');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '110', 'crafting_chef_techniques_04', 'Culinary Master');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '111', 'crafting_droidengineer', 'Droid Engineer');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '112', 'crafting_droidengineer_blueprints_04', 'Droid Designer');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '113', 'crafting_droidengineer_master', 'Master Droid Engineer');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '114', 'crafting_droidengineer_novice', 'Novice Droid Engineer');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '115', 'crafting_droidengineer_production_04', 'Droid Builder');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '116', 'crafting_droidengineer_refinement_04', 'Droid Refiner');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '117', 'crafting_droidengineer_techniques_04', 'Expert Droid Engineer');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '118', 'crafting_merchant', 'Merchant');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '119', 'crafting_merchant_advertising_04', 'Propagandist');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '120', 'crafting_merchant_hiring_04', 'Recruiter');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '121', 'crafting_merchant_management_04', 'Manager');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '122', 'crafting_merchant_master', 'Master Merchant');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '123', 'crafting_merchant_novice', 'Novice Merchant');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '124', 'crafting_merchant_sales_04', 'Entrepreneur');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '125', 'crafting_shipwright_engineering_04', 'Starfighter Engineer');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '126', 'crafting_shipwright_master', 'Master Shipwright');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '127', 'crafting_shipwright_novice', 'Novice Shipwright');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '128', 'crafting_shipwright_propulsion_04', 'Drive Technician');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '129', 'crafting_shipwright_defense_04', 'Defense Engineer');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '130', 'crafting_shipwright_systems_04', 'Systems Expert');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '131', 'crafting_starfighter_engineer_defense_04', 'Ordnance Designer');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '132', 'crafting_starfighter_engineer_infrastructure_04', 'Drive Technician');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '133', 'crafting_starfighter_engineer_master', 'Master Starfighter Engineer');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '134', 'crafting_starfighter_engineer_novice', 'Novice Starfighter Engineer');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '135', 'crafting_starfighter_engineer_systems_04', 'Starfighter Systems Engineer');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '136', 'crafting_starfighter_engineer_weapons_04', 'Tactical Designer');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '137', 'crafting_tailor', 'Tailor');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '138', 'crafting_tailor_casual_04', 'Clothier');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '139', 'crafting_tailor_field_04', 'Uniform Marshal');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '140', 'crafting_tailor_formal_04', 'Costumier');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '141', 'crafting_tailor_master', 'Master Tailor');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '142', 'crafting_tailor_novice', 'Novice Tailor');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '143', 'crafting_tailor_production_04', 'Expert Tailor');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '144', 'crafting_weaponsmith', 'Weaponsmith');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '145', 'crafting_weaponsmith_firearms_04', 'Gunsmith');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '146', 'crafting_weaponsmith_master', 'Master Weaponsmith');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '147', 'crafting_weaponsmith_melee_04', 'Swordsmith');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '148', 'crafting_weaponsmith_munitions_04', 'Explosives Manufacturer');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '149', 'crafting_weaponsmith_novice', 'Novice Weaponsmith');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '150', 'crafting_weaponsmith_techniques_04', 'Expert Weaponsmith');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '151', 'force_rank_dark_master', 'Dark Jedi Overlord');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '152', 'force_rank_dark_novice', 'Dark Jedi Knight');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '153', 'force_rank_dark_rank_01', 'Dark Jedi Enforcer');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '154', 'force_rank_dark_rank_05', 'Dark Jedi Templar');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '155', 'force_rank_dark_rank_08', 'Dark Jedi Oppressor');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '156', 'force_rank_dark_rank_10', 'Dark Council Member');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '157', 'force_rank_light_master', 'Jedi Chancellor');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '158', 'force_rank_light_novice', 'Jedi Knight');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '159', 'force_rank_light_rank_01', 'Jedi Sentinel');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '160', 'force_rank_light_rank_05', 'Jedi Consular');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '161', 'force_rank_light_rank_08', 'Jedi Arbiter');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '162', 'force_rank_light_rank_10', 'Jedi Council Member');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '163', 'force_title_jedi_master', 'Jedi Master');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '164', 'force_title_jedi_rank_01', 'Jedi Initiate');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '165', 'force_title_jedi_rank_02', 'Jedi Padawan');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '166', 'force_title_jedi_rank_03', 'Jedi Knight');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '167', 'force_title_jedi_rank_04', 'Jedi Guardian');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '168', 'jedi', 'Jedi');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '169', 'jedi_dark_side_journeyman_force_manipulation_04', 'Dark Side Force Wielder');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '170', 'jedi_dark_side_journeyman_force_power_04', 'Dark Side Force Adept');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '171', 'jedi_dark_side_journeyman_healing_04', 'Dark Side Force Healer');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '172', 'jedi_dark_side_journeyman_master', 'Dark Jedi Knight');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '173', 'jedi_dark_side_journeyman_novice', 'Dark Jedi Apprentice');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '174', 'jedi_dark_side_journeyman_saber_04', 'Dark Saber Duelist');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '175', 'jedi_dark_side_master_force_manipulation_04', 'Dark Side Force Master');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '176', 'jedi_dark_side_master_force_power_04', 'Dark Jedi Adept');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '177', 'jedi_dark_side_master_healing_04', 'Dark Jedi Healer');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '178', 'jedi_dark_side_master_master', 'Dark Jedi Master');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '179', 'jedi_dark_side_master_novice', 'Dark Jedi Guardian');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '180', 'jedi_dark_side_master_saber_04', 'Dark Saber Master');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '181', 'jedi_light_side_journeyman_force_manipulation_04', 'Force Wielder');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '182', 'jedi_light_side_journeyman_force_power_04', 'Force Adept');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '183', 'jedi_light_side_journeyman_healing_04', 'Force Healer');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '184', 'jedi_light_side_journeyman_master', 'Jedi Knight');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '185', 'jedi_light_side_journeyman_novice', 'Jedi Apprentice');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '186', 'jedi_light_side_journeyman_saber_04', 'Lightsaber Duelist');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '187', 'jedi_light_side_master_force_manipulation_04', 'Force Master');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '188', 'jedi_light_side_master_force_power_04', 'Jedi Adept');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '189', 'jedi_light_side_master_healing_04', 'Jedi Healer');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '190', 'jedi_light_side_master_master', 'Jedi Master');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '191', 'jedi_light_side_master_novice', 'Jedi Guardian');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '192', 'jedi_light_side_master_saber_04', 'Master Lightsaber Duelist');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '193', 'jedi_padawan_force_manipulation_04', 'Apprentice Force Wielder');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '194', 'jedi_padawan_force_power_04', 'Apprentice Force Adept');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '195', 'jedi_padawan_healing_04', 'Apprentice Force Healer');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '196', 'jedi_padawan_master', 'Jedi Padawan');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '197', 'jedi_padawan_novice', 'Jedi Initiate');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '198', 'jedi_padawan_saber_04', 'Apprentice Lightsaber Duelist');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '199', 'outdoors_bio_engineer_creature_04', 'Breeder');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '200', 'outdoors_bio_engineer_dna_harvesting_04', 'Field Scientist');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '201', 'outdoors_bio_engineer_master', 'Master Bio-Engineer');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '202', 'outdoors_bio_engineer_novice', 'Novice Bio-Engineer');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '203', 'outdoors_bio_engineer_production_04', 'Geneticist');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '204', 'outdoors_bio_engineer_tissue_04', 'Expert Bio-Engineer');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '205', 'outdoors_combatmedic', 'Combat Medic');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '206', 'outdoors_creaturehandler', 'Creature Handler');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '207', 'outdoors_creaturehandler_healing_04', 'Creature Empath');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '208', 'outdoors_creaturehandler_master', 'Master Creature Handler');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '209', 'outdoors_creaturehandler_novice', 'Novice Creature Handler');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '210', 'outdoors_creaturehandler_support_04', 'Pack Master');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '211', 'outdoors_creaturehandler_taming_04', 'Creature Tamer');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '212', 'outdoors_creaturehandler_training_04', 'Creature Trainer');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '213', 'outdoors_farmer', 'Bio-Engineer');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '214', 'outdoors_miner', 'Miner');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '215', 'outdoors_miner_liquid_04', 'Liquid Extractor');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '216', 'outdoors_miner_master', 'Master Miner');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '217', 'outdoors_miner_mineral_04', 'Mineral Excavator');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '218', 'outdoors_miner_novice', 'Novice Miner');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '219', 'outdoors_miner_production_04', 'Expert Miner');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '220', 'outdoors_miner_renewable_04', 'Energy Harvester');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '221', 'outdoors_ranger', 'Ranger');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '222', 'outdoors_ranger_harvest_04', 'Tracker');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '223', 'outdoors_ranger_master', 'Master Ranger');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '224', 'outdoors_ranger_movement_04', 'Wayfarer');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '225', 'outdoors_ranger_novice', 'Novice Ranger');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '226', 'outdoors_ranger_support_04', 'Trap Master');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '227', 'outdoors_ranger_tracking_04', 'Frontiersman');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '228', 'outdoors_scout', 'Scout');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '229', 'outdoors_scout_camp_04', 'Survivalist');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '230', 'outdoors_scout_harvest_04', 'Hunter');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '231', 'outdoors_scout_master', 'Master Scout');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '232', 'outdoors_scout_movement_04', 'Explorer');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '233', 'outdoors_scout_novice', 'Novice Scout');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '234', 'outdoors_scout_tools_04', 'Trapper');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '235', 'outdoors_squadleader', 'Squad Leader');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '236', 'outdoors_squadleader_defense_04', 'Commissar');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '237', 'outdoors_squadleader_master', 'Master Squad Leader');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '238', 'outdoors_squadleader_movement_04', 'Field Commander');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '239', 'outdoors_squadleader_novice', 'Novice Squad Leader');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '240', 'outdoors_squadleader_offense_04', 'Strategist');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '241', 'outdoors_squadleader_support_04', 'Tactician');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '242', 'pilot_imperial_navy_droid_04', 'Imperial Astromech Specialist');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '243', 'pilot_imperial_navy_master', 'Imperial Pilot Ace');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '244', 'pilot_imperial_navy_novice', 'Imperial Pilot Initiate');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '245', 'pilot_imperial_navy_procedures_04', 'Imperial Pilot Elite Tactician');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '246', 'pilot_imperial_navy_starships_04', 'Imperial Technology Expert');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '247', 'pilot_imperial_navy_weapons_04', 'Imperial Ordnance Expert');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '248', 'pilot_neutral_droid_04', 'Astromech Specialist');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '249', 'pilot_neutral_master', 'Master Pilot');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '250', 'pilot_neutral_novice', 'Fledgling Pilot');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '251', 'pilot_neutral_procedures_04', 'Starship Expert Tactician');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '252', 'pilot_neutral_starships_04', 'Starship Expert');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '253', 'pilot_neutral_weapons_04', 'Space Ordnance Expert');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '254', 'pilot_rebel_navy_droid_04', 'Droid Commander');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '255', 'pilot_rebel_navy_master', 'Alliance Ace Pilot');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '256', 'pilot_rebel_navy_novice', 'Alliance Recruit');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '257', 'pilot_rebel_navy_procedures_04', 'Alliance Combat Ace Tactician');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '258', 'pilot_rebel_navy_starships_04', 'Rebel Elite Corps');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '259', 'pilot_rebel_navy_weapons_04', 'Alliance Ordnance Expert');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '260', 'science_combatmedic_healeraccuracy_04', 'Healer');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '261', 'science_combatmedic_healerspeed_04', 'Emergency Physician');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '262', 'science_combatmedic_healing_range_04', 'Medical Tactician');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '263', 'science_combatmedic_healing_range_speed_04', 'Chemical Warfare Expert');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '264', 'science_combatmedic_master', 'Master Combat Medic');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '265', 'science_combatmedic_medicine_04', 'Toxicologist');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '266', 'science_combatmedic_novice', 'Novice Combat Medic');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '267', 'science_combatmedic_support_04', 'Expert Combat Medic');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '268', 'science_doctor', 'Doctor');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '269', 'science_doctor_ability_04', 'Medical Professor');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '270', 'science_doctor_injury_04', 'Emergency Physician');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '271', 'science_doctor_master', 'Master Doctor');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '272', 'science_doctor_novice', 'Novice Doctor');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '273', 'science_doctor_support_04', 'Master Chemist');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '274', 'science_doctor_wound_04', 'Master Surgeon');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '275', 'science_doctor_wound_speed_04', 'Field Surgeon');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '276', 'science_medic', 'Medic');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '277', 'science_medic_ability_04', 'First Responder');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '278', 'science_medic_crafting_04', 'Stimpack Chemist');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '279', 'science_medic_injury_04', 'Field Stabilizer');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '280', 'science_medic_injury_speed_04', 'Emergency Technician');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '281', 'science_medic_master', 'Master Medic');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '282', 'science_medic_novice', 'Novice Medic');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '283', 'science_medic_wound_04', 'Field Surgeon');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '284', 'social_dancer_ability_04', 'Dazzler');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '285', 'social_dancer_knowledge_04', 'Choreographer');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '286', 'social_dancer_master', 'Master Dancer');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '287', 'social_dancer_novice', 'Novice Dancer');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '288', 'social_dancer_shock_04', 'Enthraller');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '289', 'social_dancer_wound_04', 'Captivator');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '290', 'social_entertainer', 'Entertainer');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '291', 'social_entertainer_dance_04', 'Apprentice Dancer');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '292', 'social_entertainer_hairstyle_04', 'Hairstylist');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '293', 'social_entertainer_healing_04', 'Apprentice Performer');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '294', 'social_entertainer_master', 'Master Entertainer');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '295', 'social_entertainer_music_04', 'Apprentice Musician');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '296', 'social_entertainer_novice', 'Novice Entertainer');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '297', 'social_imagedesigner_bodyform_04', 'Personal Trainer');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '298', 'social_imagedesigner_exotic_04', 'Plastic Surgeon');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '299', 'social_imagedesigner_hairstyle_04', 'Expert Hairstylist');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '300', 'social_imagedesigner_markings_04', 'Tattoo Artist');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '301', 'social_imagedesigner_master', 'Master Image Designer');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '302', 'social_imagedesigner_novice', 'Novice Image Designer');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '303', 'social_language', 'Linguist');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '304', 'social_musician', 'Musician');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '305', 'social_musician_ability_04', 'Virtuoso');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '306', 'social_musician_knowledge_04', 'Composer');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '307', 'social_musician_master', 'Master Musician');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '308', 'social_musician_novice', 'Novice Musician');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '309', 'social_musician_shock_04', 'Mesmerizer');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '310', 'social_musician_wound_04', 'Skilled Musician');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '311', 'social_politician_civic_04', 'Statesman');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '312', 'social_politician_fiscal_04', 'Accountant');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '313', 'social_politician_martial_04', 'Warmaster');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '314', 'social_politician_master', 'Master Politician');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '315', 'social_politician_novice', 'Novice Politician');
INSERT INTO `client_strings` VALUES ('string/en/skl_t.stf', '316', 'social_politician_urban_04', 'Urban Planner');
INSERT INTO `client_strings` VALUES ('string/en/skl_use.stf', '1', 'corpse_harvest_success', 'Corpse resources were successfully extracted!');
INSERT INTO `client_strings` VALUES ('string/en/skl_use.stf', '2', 'sys_forage_already', 'You are already foraging.');
INSERT INTO `client_strings` VALUES ('string/en/skl_use.stf', '3', 'sys_forage_start', 'You begin to search the area for goods.');
INSERT INTO `client_strings` VALUES ('string/en/skl_use.stf', '4', 'sys_forage_cant', 'You can\'t forage right now.');
INSERT INTO `client_strings` VALUES ('string/en/skl_use.stf', '5', 'sys_forage_success', 'Your attempt at foraging was a success!');
INSERT INTO `client_strings` VALUES ('string/en/skl_use.stf', '6', 'sys_forage_empty', 'There is nothing in this area to forage.');
INSERT INTO `client_strings` VALUES ('string/en/skl_use.stf', '7', 'sys_forage_fail', 'You failed to find anything worth foraging.');
INSERT INTO `client_strings` VALUES ('string/en/skl_use.stf', '8', 'sys_forage_attrib', 'You need to rest before you can forage again.');
INSERT INTO `client_strings` VALUES ('string/en/skl_use.stf', '9', 'sys_forage_movefail', 'You fail to forage because you moved.');
INSERT INTO `client_strings` VALUES ('string/en/skl_use.stf', '10', 'sys_forage_combatfail', 'Combat distracts you from your foraging attempt.');
INSERT INTO `client_strings` VALUES ('string/en/skl_use.stf', '11', 'sys_forage_noskill', 'You lack the skill to forage.');
INSERT INTO `client_strings` VALUES ('string/en/skl_use.stf', '12', 'sys_forage_noroom', 'Some foraged items were discarded, because your inventory is full.');
INSERT INTO `client_strings` VALUES ('string/en/skl_use.stf', '13', 'sys_scentmask_noskill', 'You might be a very clean person, but you lack the skill to mask your scent from creatures.');
INSERT INTO `client_strings` VALUES ('string/en/skl_use.stf', '14', 'sys_scentmask_start', 'Your natural scent has been masked from creatures.');
INSERT INTO `client_strings` VALUES ('string/en/skl_use.stf', '15', 'sys_scentmask_stop', 'Your masked scent has worn off.');
INSERT INTO `client_strings` VALUES ('string/en/skl_use.stf', '16', 'sys_scentmask_fail', 'You cannot mask your scent now.');
INSERT INTO `client_strings` VALUES ('string/en/skl_use.stf', '17', 'sys_scentmask_break', 'A creature has detected you, despite your attempts at camouflage!');
INSERT INTO `client_strings` VALUES ('string/en/skl_use.stf', '18', 'sys_scentmask_already', 'You are already masking your scent.');
INSERT INTO `client_strings` VALUES ('string/en/skl_use.stf', '19', 'survey_waypoint_name', 'Resource Survey');
INSERT INTO `client_strings` VALUES ('string/en/skl_use.stf', '20', 'creature_quality_fat', 'You harvested %DI unit(s) of %TU.  The creature was fat and healthy.');
INSERT INTO `client_strings` VALUES ('string/en/skl_use.stf', '21', 'creature_quality_medium', 'You harvested %DI unit(s) of %TU.  The creature was of medium size.');
INSERT INTO `client_strings` VALUES ('string/en/skl_use.stf', '22', 'creature_quality_skinny', 'You harvested %DI unit(s) of %TU.  The creature was scrawny and unhealthy.');
INSERT INTO `client_strings` VALUES ('string/en/skl_use.stf', '23', 'creature_quality_scrawny', 'You harvested %DI unit(s) of %TU.  The creature was skinny.');
INSERT INTO `client_strings` VALUES ('string/en/skl_use.stf', '24', 'nothing_to_harvest', 'The creature did not have any intact harvestable resources.');
INSERT INTO `client_strings` VALUES ('string/en/skl_use.stf', '25', 'sys_forage_inside', 'You can\'t forage inside a structure.');
INSERT INTO `client_strings` VALUES ('string/en/skl_use.stf', '26', 'sys_scentmask_success', 'Due to your scent mask, a %TT ignores you.');
INSERT INTO `client_strings` VALUES ('string/en/skl_use.stf', '27', 'sys_conceal_start', 'You are now concealed from view by complex camouflage.');
INSERT INTO `client_strings` VALUES ('string/en/skl_use.stf', '28', 'sys_conceal_stop', 'You are no longer concealed from view.');
INSERT INTO `client_strings` VALUES ('string/en/skl_use.stf', '29', 'sys_conceal_othersclose', 'You can\'t conceal yourself because you are too close to a potentially hostile creature or NPC.');
INSERT INTO `client_strings` VALUES ('string/en/skl_use.stf', '30', 'sys_conceal_cant', 'You can\'t conceal yourself in your current posture.');
INSERT INTO `client_strings` VALUES ('string/en/skl_use.stf', '31', 'sys_conceal_noskill', 'You don\'t have the proper skill required to conceal yourself.');
INSERT INTO `client_strings` VALUES ('string/en/skl_use.stf', '32', 'sys_scentmask_delay', 'You must wait %DI seconds to mask your scent again.');
INSERT INTO `client_strings` VALUES ('string/en/skl_use.stf', '33', 'group_conserve', 'You only harvest a portion of the resources, leaving some behind for your groupmates.');
INSERT INTO `client_strings` VALUES ('string/en/skl_use.stf', '34', 'sys_conceal_nokit', 'You need to have a Camouflage Kit in your inventory to Conceal.');
INSERT INTO `client_strings` VALUES ('string/en/skl_use.stf', '35', 'sys_conceal_remove', 'You remove the camouflage.  You are no longer concealed.');
INSERT INTO `client_strings` VALUES ('string/en/skl_use.stf', '36', 'sys_conceal_scentmasked', 'You can\'t Conceal while Scent Masked.');
INSERT INTO `client_strings` VALUES ('string/en/skl_use.stf', '37', 'sys_conceal_notplayer', 'You can only conceal yourself or another player.');
INSERT INTO `client_strings` VALUES ('string/en/skl_use.stf', '38', 'sys_scentmask_concealed', 'You can\'t mask your scent while you are concealed.');
INSERT INTO `client_strings` VALUES ('string/en/skl_use.stf', '39', 'sys_target_concealed', 'Your target is already concealed.');
INSERT INTO `client_strings` VALUES ('string/en/skl_use.stf', '40', 'sys_conceal_apply', 'You carefully apply the camouflage to %TT.');
INSERT INTO `client_strings` VALUES ('string/en/skl_use.stf', '41', 'sys_conceal_delay', 'You must wait %DI seconds to mask your scent again.');
INSERT INTO `client_strings` VALUES ('string/en/skl_use.stf', '42', 'scan_type_d', 'Select the type of entity you want to search the area for.');
INSERT INTO `client_strings` VALUES ('string/en/skl_use.stf', '43', 'scan_type_t', 'Area Track Type');
INSERT INTO `client_strings` VALUES ('string/en/skl_use.stf', '44', 'st_animals', 'Animals');
INSERT INTO `client_strings` VALUES ('string/en/skl_use.stf', '45', 'st_people', 'People');
INSERT INTO `client_strings` VALUES ('string/en/skl_use.stf', '46', 'st_players', 'Players');
INSERT INTO `client_strings` VALUES ('string/en/skl_use.stf', '47', 'scan_results_t', 'Area Track Results');
INSERT INTO `client_strings` VALUES ('string/en/skl_use.stf', '48', 'scan_results_d', 'You have examined the tracks and clues in the area for information about what kinds of creatures might be nearby.  This is what you have determined.');
INSERT INTO `client_strings` VALUES ('string/en/skl_use.stf', '49', 'sys_scan_nothing', 'You aren\'t able to determine anything from the tracks in the area.');
INSERT INTO `client_strings` VALUES ('string/en/skl_use.stf', '50', 'sys_scan_begin', 'You begin to examine the environment for information.');
INSERT INTO `client_strings` VALUES ('string/en/skl_use.stf', '51', 'sys_scan_already', 'You are already searching for information.');
INSERT INTO `client_strings` VALUES ('string/en/skl_use.stf', '52', 'sys_scan_inside', 'Your tracking skills only apply to outdoor environments.');
INSERT INTO `client_strings` VALUES ('string/en/skl_use.stf', '53', 'sys_scan_moved', 'Your attempt to gather information has been disrupted by moving around too much.');
INSERT INTO `client_strings` VALUES ('string/en/skl_use.stf', '54', 'sys_scan_combat', 'Your attempt to gather information has been disrupted by combat!');
INSERT INTO `client_strings` VALUES ('string/en/skl_use.stf', '55', 'notify_stalked', 'It seems that you are being stalked by %TO.');
INSERT INTO `client_strings` VALUES ('string/en/skl_use.stf', '56', 'sys_scentmask_break_combat', 'Combat has disrupted your camouflage.');
INSERT INTO `client_strings` VALUES ('string/en/skl_use.stf', '57', 'milk_cant', 'That creature is dry of milk.  You can\'t milk it.');
INSERT INTO `client_strings` VALUES ('string/en/skl_use.stf', '58', 'milk_not_hidden', 'The creature is spooked and won\'t let you milk it.');
INSERT INTO `client_strings` VALUES ('string/en/skl_use.stf', '59', 'milk_begin', 'You relax the creature and begin to milk it.');
INSERT INTO `client_strings` VALUES ('string/en/skl_use.stf', '60', 'milk_too_far', 'The creature has moved too far away to continue milking it.');
INSERT INTO `client_strings` VALUES ('string/en/skl_use.stf', '61', 'milk_continue', 'You continue to milk the creature.');
INSERT INTO `client_strings` VALUES ('string/en/skl_use.stf', '62', 'milk_success', 'You have successfully gathered milk from the creature!');
INSERT INTO `client_strings` VALUES ('string/en/skl_use.stf', '63', 'being_milked', 'That creature is already being milked.');
INSERT INTO `client_strings` VALUES ('string/en/skl_use.stf', '64', 'skl_use', 'You cannot milk while mounted.');
INSERT INTO `client_strings` VALUES ('string/en/skl_use.stf', '65', 'need_space_expansion', 'You cannot acquire that skill until you register the space expansion, \'Star Wars Galaxies: Jump to Lightspeed\'.');
INSERT INTO `client_strings` VALUES ('string/en/skl_use.stf', '66', 'group_harvest_bonus', 'You have received a bonus to harvesting because you were in a group!');
INSERT INTO `client_strings` VALUES ('string/en/skl_use.stf', '67', 'group_harvest_bonus_ranger', 'You have received a bonus to harvesting because you were in a group with a Ranger nearby!');
INSERT INTO `client_strings` VALUES ('string/en/skl_use.stf', '68', 'group_harvest_bonus_masterranger', 'You have received a bonus to harvesting because you were in a group with a Master Ranger nearby!');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '1', 'locked', 'The container appears to be locked.');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '2', 'slice', 'Slice');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '3', 'title', 'Slicing');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '4', 'container_0', 'You slide away a rear access panel revealing the power flow system.  If you can cut power to the locking mechanism, you should be able to open the container.  This model of container appears to have two power flow cables.');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '5', 'blue_cable', 'Cut the positive (blue) flow regulator cable.');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '6', 'red_cable', 'Cut the negative (red) flow regulator cable.');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '7', 'use_clamp', 'Shunt the power node with a molecular clamp.');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '8', 'use_analyzer', 'Install an analyzer node.');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '9', 'slicing_underway', 'Someone is already slicing that device.');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '10', 'already_slicing', 'You are already slicing something.');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '11', 'container_1', 'You have cut one of the wires to the power system.  The backup locking mechanism hasn\'t clamped down...it looks like you chose wisely.');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '12', 'container_analyze_0', 'You gently fuse the analyzer node to the power system.  After a few seconds, a scratchy electronic voice in the node says \'Analysis Complete: High probability of positive power flow to locking mechanism.\'');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '13', 'container_analyze_1', 'You gently fuse the analyzer node to the power system.  After a few seconds, a scratchy electronic voice in the node says \'Analysis Complete: High probability of negative power flow to locking mechanism.\'');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '14', 'container_clamp_0', 'You carefully install the molecular clamp on the power node.  A small indicator light on the clamp lights blue, indicating you must cut the positive power cable.');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '15', 'container_clamp_1', 'You carefully install the molecular clamp on the power node.  A small indicator light on the clamp lights red, indicating you must cut the negative power cable.');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '16', 'blue_cable_cut', 'The positive (blue) regulator cable is cut.');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '17', 'red_cable_cut', 'The negative (red) regulator cable is cut.');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '18', 'broken', 'The locking mechanism appears to be broken.  You will not be able to open this device.');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '19', 'container_examine', 'The cut is clean and the wires pose no danger of shorting the rest of the system.');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '20', 'container_success', 'With a click the locking mechanism releases.');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '21', 'container_fail', 'An angry buzz sounds and a reinforced magnetic backup lock slides into place.  It doesn\'t look like anyone will be able to access this container.');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '22', 'no_clamp', 'You need to have a Molecular Clamp to perform that action.');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '23', 'used_clamp', 'A Molecular Clamp has been used up.');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '24', 'no_node', 'You need to have a Flow Analyzer Node to perform that action.');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '25', 'used_node', 'A Flow Analyzer Node has been used up.');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '26', 'no_knife', 'You need a Precision Laser Knife to perform that action.');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '27', 'used_knife', 'Your Precision Laser Knife has lost a charge.');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '28', 'used_up_knife', 'Your Precision Laser Knife has been drained.');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '29', 'enc_mod', 'You have successfully reduced the encumberance of the armor by %DI%!');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '30', 'eff_mod', 'You have successfully increased the base effectiveness of the armor by %DI%!');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '31', 'no_armor_kit', 'You need an Armor Upgrade Kit in order to perform that action!');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '32', 'fail_armor', 'You\'ve made a critical mistake modifying the armor\'s basic systems.  The damage is extensive and while the armor still retains its previous effectiveness, no one will be able to modify it in the future.');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '33', 'armor_0', 'You have prepared several additions to the armor.  In order for the modifications to work, you\'ll need to modify the armor\'s balance and stabilizing systems to accept your changes.  The core systems seem to be protected by a simple Imperial-spec anti-tampering device.  Working carefully, you begin to disable the device.');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '34', 'armor_1', 'You\'ve managed to disable part of the anti-tampering device.  The designer of this armor did a good job, but you\'re better.  Removing the second flow regulator cable should give you access to the stabilization systems.');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '35', 'armor_analyze_0', 'You carefully integrate the analyzer node into the anti-tampering system.  After a few seconds, a scratchy electronic voice in the node says \'Analysis Complete: High probability of positive power flow to anti-tampering device.\'');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '36', 'armor_analyze_1', 'You carefully integrate the analyzer node into the anti-tampering system.  After a few seconds, a scratchy electronic voice in the node says \'Analysis Complete: High probability of negative power flow to anti-tampering device.\'');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '37', 'armor_clamp_0', 'You gently fuse the molecular clamp to the anti-tampering device expansion leads.  A small indicator light on the clamp lights blue, indicating you must cut the positive power cable.');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '38', 'armor_clamp_1', 'You gently fuse the molecular clamp to the anti-tampering device expansion leads.  A small indicator light on the clamp lights red, indicating you must cut the negative power cable.');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '39', 'armor_examine', 'You have successfully removed part of the anti-tampering device.  Another precision cut and you should be able to integrate your upgrades into the armor\'s stabilization system.');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '40', 'spd_mod', 'You have successfully increased the attack speed of the weapon by %DI%!');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '41', 'dam_mod', 'You have successfully increased the damage range of the weapon by %DI%!');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '42', 'no_weapon_kit', 'You need a Weapon Upgrade Kit in order to perform that action!');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '43', 'weapon_0', 'You have managed to strengthen the substructure of the weapon and remove excess weight.  You will need to modify the weapon\'s stabilizer systems in order for it to function properly.  The core systems seem to be protected by a simple Imperial-spec anti-tampering device.  Working carefully, you begin to disable the device.');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '44', 'weapon_1', 'You\'ve managed to disable part of the anti-tampering device.  The designer of this weapon tried to be tricky, but he wasn\'t good enough.  Removing the second flow regulator cable should give you access to the stabilization systems.');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '45', 'weapon_analyze_0', 'You carefully integrate the analyzer node into the anti-tampering system.  After a few seconds, a scratchy electronic voice in the node says \'Analysis Complete: High probability of positive power flow to anti-tampering device.\'');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '46', 'weapon_analyze_1', 'You carefully integrate the analyzer node into the anti-tampering system.  After a few seconds, a scratchy electronic voice in the node says \'Analysis Complete: High probability of negative power flow to anti-tampering device.\'');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '47', 'weapon_clamp_0', 'You gently fuse the molecular clamp to the anti-tampering device expansion leads.  A small indicator light on the clamp lights blue, indicating you must cut the positive power cable.');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '48', 'weapon_clamp_1', 'You gently fuse the molecular clamp to the anti-tampering device expansion leads.  A small indicator light on the clamp lights red, indicating you must cut the negative power cable.');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '49', 'weapon_examine', 'You have successfully removed part of the anti-tampering device.  Another precision cut and you should be able to integrate your upgrades into the weapon\'s stabilization system.');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '50', 'terminal_success', 'You have managed to slice into the terminal.  Your next mission reward will be increased.');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '51', 'terminal_fail', 'You were unable to slice into the terminal.');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '52', 'terminal_0', 'You remove the terminal\'s rear access panel.  A jumbled mess of conduits and cables press toward you.  After rooting around for a bit, you find the flow regulator attached to the reward subsystem.');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '53', 'terminal_1', 'The reward subsystem is partially rerouted.  A little bit more work and you should be able to convince this thing to give you a higher payout.');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '54', 'terminal_analyze_0', 'You carefully integrate the analyzer node into the reward subsystem.  After a few seconds, a scratchy electronic voice in the node says \'Analysis Complete: High probability of positive power flow to subsystem regulator.\'');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '55', 'terminal_analyze_1', 'You carefully integrate the analyzer node into the reward subsystem.  After a few seconds, a scratchy electronic voice in the node says \'Analysis Complete: High probability of negative power flow to subsystem regulator.\'');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '56', 'terminal_clamp_0', 'You gently fuse the molecular clamp to the reward subsytem regulator.  A small indicator light on the clamp lights blue, indicating you must cut the positive power cable.');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '57', 'terminal_clamp_1', 'You gently fuse the molecular clamp to the reward subsytem regulator.  A small indicator light on the clamp lights red, indicating you must cut the negative power cable.');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '58', 'terminal_examine', 'No one should notice the damage at first glance and there is nothing to indicate you had any involvement with this.');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '59', 'not_again', 'There isn\'t anything more you can do to the terminal.');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '60', 'hq_security_0', 'You remove the terminal\'s rear access panel.  A jumbled mess of conduits and cables press toward you.  After rooting around for a bit, you find the flow regulator attached to the override security module.');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '61', 'hq_security_1', 'The security subsystem is partially rerouted.  A little bit more work and you should be able to relax the override terminal\'s security protocol.');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '62', 'hq_security_analyze_0', 'You carefully integrate the analyzer node into the security subsystem.  After a few seconds, a scratchy electronic voice in the node says \'Analysis Complete: High probability of positive power flow to subsystem regulator.\'');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '63', 'hq_security_analyze_1', 'You carefully integrate the analyzer node into the security subsystem.  After a few seconds, a scratchy electronic voice in the node says \'Analysis Complete: High probability of negative power flow to subsystem regulator.\'');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '64', 'hq_security_clamp_0', 'You gently fuse the molecular clamp to the security subsytem regulator.  A small indicator light on the clamp lights blue, indicating you must cut the positive power cable.');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '65', 'hq_security_clamp_1', 'You gently fuse the molecular clamp to the security subsytem regulator.  A small indicator light on the clamp lights blue, indicating you must cut the negative power cable.');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '66', 'hq_security_examine', 'No one should notice the damage at first glance and there is nothing to indicate you had any involvement with this.');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '67', 'hq_security_fail', 'Unable to successfully slice the terminal, you realize that the only way to reset the terminal is to carefully repair what damage you have done.');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '68', 'hq_security_success', 'You have managed to slice into the terminal.  The security protocol for the override terminal has been significantly relaxed.');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '69', 'fail_weapon', 'You\'ve made a critical mistake modifying the weapon\'s basic systems.  The damage is extensive and while the weapon still retains its previous effectiveness, no one will be able to modify it in the future.');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '70', 'not_yet', 'You will be able to hack the network again in %DI seconds.');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '71', 'already_being_sliced', 'That item is already being sliced.');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '72', 'keypad_0', 'The panel hinges down to reveal several transistors and a pair of wires snaking through the machinery to the magnetic door lock.');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '73', 'keypad_1', 'You cut one of the wires.  You seem to have selected the correct one as the locking mechanism didn\'t auto-disable itself.');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '74', 'keypad_analyze_0', 'You carefully integrate the analyzer node into the security system.  After a few seconds, a scratchy electronic voice in the node says \'Analysis Complete: High probability of positive power flow to anti-tampering device.\'');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '75', 'keypad_analyze_1', 'You carefully integrate the analyzer node into the security system.  After a few seconds, a scratchy electronic voice in the node says \'Analysis Complete: High probability of negative power flow to anti-tampering device.\'');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '76', 'keypad_clamp_0', 'You gently fuse the molecular clamp to the security subsytem regulator.  A small indicator light on the clamp lights blue, indicating you must cut the positive power cable.');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '77', 'keypad_clamp_1', 'You gently fuse the molecular clamp to the security subsytem regulator.  A small indicator light on the clamp lights red, indicating you must cut the negative power cable.');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '78', 'keypad_examine', 'No one should notice the damage at first glance and there is nothing to indicate you had any involvement with this.');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '79', 'keypad_fail', 'Unable to successfully slice the keypad, you realize that the only way to reset it is to carefully repair what damage you have done.');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '80', 'keypad_success', 'You have managed to slice the power from the magnetic locks.  The door is now open.');
INSERT INTO `client_strings` VALUES ('string/en/slicing/slicing.stf', '81', 'already_sliced', 'That item has already been sliced.');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '1', 'accuse', 'accuse\npoint_accusingly\npoint_to_self\nblame\n~\nYou point accusingly at everyone else.\n~\n~\n%TU points accusingly at everyone.\n~\n~\nHave you been bad? Tsk, tsk.\n~\n~\n%TU points accusingly at %OUself.\n~\n~\nYou point accusingly at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU points accusingly at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\nWhat did you do this time? %TU points accusingly at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '2', 'ache', 'ache\nshrug_shoulders\nshiver\noffer_affection\n~\nYou ache all over.\n~\n~\n%TU aches all over.\n~\n~\nEat something bad? Your stomach grumbles and aches.\n~\n~\n%TU\'s stomach rumbles, obviously causing discomfort.\n~\n~\nYou let %TT know that your body aches for %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s body aches for %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s body aches for you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '3', 'adjust', 'adjust\nadjust\nadjust\n~\n~\nYou adjust your outfit. There you go. Perfect!\n~\n~\n%TU adjusts %PU outfit.\n~\n~\nYou tighten down your gear and get ready for action.\n~\n~\n%TU tightens down %PU gear and gets ready for action.\n~\n~\nYou adjust %TT\'s outfit for %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU adjusts %TT\'s outfit for %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU adjusts your outfit for you, trying to make it sit properly.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '4', 'adn', 'ADN\nstamp_feet\nface_bored\ncheck_wrist_device\n~\nYou openly show that your patience has expired.\n~\n~\n%TU openly shows that %PU patience has expired.\n~\n~\nA bit frustrated with yourself?\n~\n~\n%TU begins to look impatient with %OUself.\n~\n~\nYou encourage %TT to hurry. Any day now!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU sarcastically points out the time to %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU looks a bit impatient and tells you \"Any day now!\"\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '5', 'isafk', 'isafk\n~\n~\n~\n~\nYou notify everyone around you that you are going AFK. Hurry back, now!\n~\n~\n%TU announces that %SU is going AFK.\n~\n~\nOK... You are really AFK now.\n~\n~\n%TU is really AFK now... Honest!\n~\n~\nYou point out that %TT is AFK.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU points out that %TT is AFK.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU tells everyone that you are AFK.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '6', 'afk4drink', 'AFK4DRINK\nafk\nafk\nafk\n~\nWe\'ll be waiting! You announce you are AFK to get a drink.\n~\n~\n%TU is AFK getting something to wet %PU whistle.\n~\n~\nYou let everyone know that you will be going to grab a drink next break.\n~\n~\n%TU is thirsty and will be AFK to get a drink next break in the action.\n~\n~\nYou remind everyone that %TT went AFK to go get a beverage.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU indicates that %TT went AFK to get some liquid refreshment.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU notes that you went AFK to get a drink.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '7', 'afk4food', 'AFK4FOOD\nafk\nafk\nafk\n~\nYour stomach will thank you.  You announce you are AFK to grab a bite.\n~\n~\n%TU is going AFK to get something to eat.\n~\n~\nYou announce that you will be AFK to grab some food at the next break in the action.\n~\n~\n%TU is going AFK to find something to fill %PU stomach next break in the action.\n~\n~\nYou let everyone know that %TT went AFK to find sustenance.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU notes that %TT is AFK looking for some comestibles.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU indicates that you are AFK getting food.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '8', 'agree', 'agree\nnod_head_once\nnod_head_multiple\nnod_head_once\n~\nYou nod in agreement.\n~\n~\n%TU nods in agreement.\n~\n~\nYou agree with yourself.\n~\n~\n%TU agrees with %OUself.\n~\n~\nYou agree with %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU agrees with %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU agrees with you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '9', 'amazing', 'amazing\nface_surprised\nface_surprised\nface_surprised\n~\nThat was amazing! How did they do that?\n~\n~\n%TU thinks that was amazing! Remember, good magicians never reveal their secrets!\n~\n~\nYou amaze yourself!\n~\n~\n%TU amazes %OUself.\n~\n~\nYou try to amaze %TT with a magic trick.\n~\n~\n~\n~\n~\n~\n~\n~\n*POOF!* %TU tries to amaze %TT and makes the gray matter between %PU ears disappear!\n~\n~\n~\n~\n~\n~\n~\n~\n*POOF!* %TU tries to amaze you and makes the gray matter between %PU ears disappear!\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '10', 'apologize', 'apologize\napologize\nshrug_hands\napologize\n~\nOOPS!! Sorry everyone!!\n~\n~\n%TU apologizes to everyone.\n~\n~\nYou apologize to yourself. But, what good is that going to do unless you forgive yourself too?\n~\n~\n%TU apologizes to %OUself. Next thing you know, %SU will be forgiving %OUself too.\n~\n~\nYou apologize to %TT and beg %PT forgiveness.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU apologizes to %TT and begs %PT forgiveness.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU apologizes to you and begs your forgiveness.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '11', 'applaud', 'applaud\napplause_excited\napplause_polite\napplause_excited\n~\nYou give a hearty round of applause.\n~\n~\n%TU gives a hearty round of applause.\n~\n~\nYou give yourself a hand. Go ahead, you deserve it!\n~\n~\n%TU gives %OUself a hand.\n~\n~\nBravo! Bravo! You give %TT an ovation.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU applauds %TU.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU gives you an ovation. Good job!\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '12', 'arch', 'arch\n~\n~\n~\n~\nYou arch your back like a cat.\n~\n~\n%TU arches %PU back like a cat.\n~\n~\nYou arch your back in an effort to work the kinks out. SNAP! CRACK! POP!\n~\n~\n%TU\'s arching of %PU back is accompanied by a series of hollow popping sounds. OUCH!\n~\n~\nYou arch your back seductively for %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU arches and tries to look seductive for %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU arches %PU back and gives you a seductive sideways glance.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '14', 'ayt', 'AYT\n~\n~\nayt\n~\nYou try to figure out who is AFK and who is not.\n~\n~\n%TU tries to figure out who is AFK and who is currently at their keyboard.\n~\n~\nI don\'t know.  Are you really here?\n~\n~\n%TU contemplates %PU existence and wonders if %SU is really here.\n~\n~\nHello? %TT? Well, it seems %PT lights are on, but is anyone home?\n~\n~\n~\n~\n~\n~\n~\n~\n%TU waves %OU hand in front of %TT\'s face and wonders if %TT is there.\n~\n~\n~\n~\n~\n~\n~\n~\nHello? Anyone home? %TU waves %OU hand in front of your face trying to figure out if you are really there.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '15', 'backhand', 'backhand\nbackhand_threaten\npound_fist_palm\nbackhand\n~\nYou raise your hand as if to backhand slap someone.\n~\n~\n%TU raises %PU hand as if preparing to backhand slap someone.\n~\n~\nYou backhand slap your other palm, emphasizing your point.\n~\n~\n%TU backhand slaps %PU other palm, emphasizing %PU point.\n~\n~\nYou slap %OT in the face with a swift backhand.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU slaps %TT in the face with a swift backhand.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU slaps you in the face with a swift backhand.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '16', 'bad', 'bad\nface_surprised\nface_innocent\nface_sneer\n~\nUh. What just went horribly wrong?\n~\n~\n%TU expresses the opinion that something extremely wrong just occurred.\n~\n~\nJust how bad have you been?\n~\n~\n%TU tries to look innocent, but fails miserably. It is obvious %SU thinks that %SU has been bad.\n~\n~\nYou make it obvious that you think %TT has been bad.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU thinks that %TT has been bad.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU thinks you have been bad.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '17', 'badfeeling', 'badfeeling\nface_yuck_face\nface_yuck_face\nface_yuck_face\n~\nYou have a bad feeling about this...\n~\n~\n%TU has a bad feeling about this...\n~\n~\nYou start to express your bad feeling and think better of it.\n~\n~\n%TU starts to say something about a bad feeling and suddenly stops.\n~\n~\nYou signal to %OT that you have a bad feeling about this...\n~\n~\n~\n~\n~\n~\n~\n~\n%TU signals to %TT that %SU has bad feeling about this...\n~\n~\n~\n~\n~\n~\n~\n~\n%TU signals to you that %SU has a bad feeling about this...\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '18', 'bah', 'bah\nface_yuck_face\nface_yuck_face\nface_yuck_face\n~\nBAH!\n~\n~\n%TU sums %PU thoughts in one word, \"BAH!\"\n~\n~\nYou take one look at your surroundings and think aloud, \"BAH!\"\n~\n~\n%TU looks around and thinks aloud, \"BAH!\"\n~\n~\nYou look %TT up and down and utter, \"BAH!\"\n~\n~\n~\n~\n~\n~\n~\n~\n%TU looks %TT up and down and utters one word: \"BAH!\"\n~\n~\n~\n~\n~\n~\n~\n~\n%TU looks you up and down utters, \"BAH!\"\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '19', 'bak', 'BAK\nwave1\nwave1\nwave1\n~\nYou let everyone know that you are back at your keyboard.\n~\n~\n%TU blinks, springs back to life, and decrees, \"I\'M BACK!!\"\n~\n~\nYou smile contentedly as you realize you are back to your old self again!\n~\n~\n%TU seems back to %PU old self again!\n~\n~\nYou wish that %TT would come back to %PT keyboard.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU wishes that %TT would come back to %PT keyboard.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU wishes you would come back to your keyboard.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '20', 'bang', 'bang\nbang\n~\n~\n~\nYou bang your head to the music.\n~\n~\n%TU bangs %PU head to the music.\n~\n~\nYou bang your head against the wall.\n~\n~\n%TU bangs %PU head against the wall.\n~\n~\nYou bang %TT\'s head against the wall.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU bangs %TT\'s head against the wall.\n~\n~\n~\n~\n~\n~\n~\n~\nOUCH! %TU bangs your head against the wall.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '21', 'bark', 'bark\n~\n~\n~\n~\nYou get on all fours and bark like a dog.\n~\n~\n%TU gets on all fours and barks like a dog.\n~\n~\nYou bark at yourself.\n~\n~\n%TU barks at %OUself.\n~\n~\nBARK BARK!  You bark at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\nBARK BARK! %TU barks at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\nBARK BARK! %TU barks at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '22', 'batlashes', 'batlashes\nface_bat_eyes\nface_bat_eyes\nface_bat_eyes\n~\nAnd just whom are you trying to impress?  You bat your lashes.\n~\n~\n%TU bats %PU lashes.\n~\n~\nYou practice batting your lashes.\n~\n~\n%TU practices batting %PU lashes.\n~\n~\nYou bat your lashes at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU bats %PU lashes at %TT\n~\n~\n~\n~\n~\n~\n~\n~\n%TU bats %PU lashes at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '23', 'bbl', 'BBL\nwave1\nwave1\nwave1\n~\nYou tell everyone you will be back later... See ya soon!\n~\n~\n%TU will be back later.\n~\n~\nTrying to have an out of body experience, are we?\n~\n~\n%TU\'s mind just tried to part ways with %PU body. Think %OU has lost it?\n~\n~\nYou let %TT know that you will be back later.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU lets %TT know that %SU will be back later.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU lets you know that %SU will be back later.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '24', 'beam', 'beam\nface_smile\nface_smile\nface_smile\n~\nFeeling radiant, are we?\n~\n~\n%TU beams.\n~\n~\nYou beam at yourself.\n~\n~\n%TU beams at %OUself.\n~\n~\nYou beam at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU beams at %TT\n~\n~\n~\n~\n~\n~\n~\n~\n%TU beams at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '25', 'wookieehug', 'wookieehug\noffer_affection\nhug_self\noffer_affection\n~\nYou hold your arms out wide and look for a target to wookiee hug.\n~\n~\n%TU holds %PU arms out wide and looks for a target to wookiee hug.\n~\n~\nYou wookiee hug yourself and stretch out your shoulders.\n~\n~\n%TU gives %OUself a wookiee hug and tries to stretch out %PU shoulders.\n~\n~\nYou give %TT a great, big wookiee hug that lifts %OT off the ground.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU gives %TT a great, big wookiee hug.\n~\n~\n~\n~\n~\n~\n~\n~\nOOF! %TU gives you a great, big wookiee hug that lifts you off the ground.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '26', 'beckon', 'beckon\nbeckon\n~\nbeckon\n~\nYou do your best to gather everyone around you.\n~\n~\nGather around, folks! %TU tries to gather everyone around %OUself.\n~\n~\nYou summon your inner strength.\n~\n~\nWith a gesture to %OUself, %TU summons %PU inner strength.\n~\n~\nYou motion at %TT to come here.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU makes a summoning gesture at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU motions at you to come to %OU.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '28', 'belch', 'belch\ncover_mouth\nrub_belly\ncover_mouth\n~\nYou let out a resounding belch! Feel better?\n~\n~\n%TU lets out a resounding belch!\n~\n~\nYou try to muffle your belch.\n~\n~\n%TU\'s cheeks puff as %SU tries to muffle %PU belch.\n~\n~\nYou belch in %TT\'s face.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU belches in %TT\'s face.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU belches in your face.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '29', 'bite', 'bite\n~\n~\n~\n~\nYou snap your teeth at everyone around you.\n~\n~\n%TU snaps %PU teeth at everyone. Is %SU rabid?\n~\n~\nYou bite your lip nervously.\n~\n~\n%TU bites %PU lip nervously.\n~\n~\nYou bite %TT on the leg.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU bites %TT\'s leg.\n~\n~\n~\n~\n~\n~\n~\n~\nYEOUCH! %TU is biting your leg!\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '30', 'blame', 'blame\npoint_forward\npoint_to_self\npoint_accusingly\n~\nYou blame everyone else.\n~\n~\n%TU blames everyone else.\n~\n~\nYou blame yourself.\n~\n~\n%TU blames %OUself.\n~\n~\nYou blame %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU blames %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU blames you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '31', 'bleed', 'bleed\n~\n~\n~\n~\nMEDIC!!  You bleed on the ground.\n~\n~\n%TU bleeds on the ground.\n~\n~\nYou bleed all over yourself and make a nice pool of blood at your feet.\n~\n~\n%TU bleeds all over %OUself, leaving a sizable pool of blood at %PU feet.\n~\n~\nYou bleed all over %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU bleeds all over %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU bleeds all over you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '32', 'blink', 'blink\nface_blink\nface_blink\nface_blink\n~\nYou blink.\n~\n~\n%TU blinks.\n~\n~\nYou blink in disbelief.\n~\n~\n%TU blinks in disbelief.\n~\n~\nYou blink in disbelief at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU blinks in disbelief at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU blinks in disbelief at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '33', 'blow', 'blow\nblow_bubbles\nblow_bubbles\nblow_bubbles\n~\nYou pull out a string and some soapy water and proceed to blow bubbles.\n~\n~\n%TU pulls out a string and some soapy water and proceeds to blow bubbles.\n~\n~\nYou blow your hair out of your face.\n~\n~\n%TU blows %PU hair out of %PU face.\n~\n~\nYou blow in %TT\'s ear.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU blows in %TT\'s ear.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU blows in your ear.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '34', 'blowkiss', 'blowkiss\nkiss_blow_kiss\naccept_affection\nkiss_blow_kiss\n~\nYou blow kisses.\n~\n~\n%TU blows kisses.\n~\n~\nGot it! You catch a kiss.\n~\n~\n%TU reaches out and grabs a floating kiss.\n~\n~\nYou blow a kiss to %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU blows a kiss to %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU blows a kiss to you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '35', 'blush', 'blush\nembarrassed\nembarrassed\nembarrassed\n~\nYou blush.\n~\n~\n%TU blushes.\n~\n~\nYou blush in embarrassment.\n~\n~\n%TU blushes in embarrassment.\n~\n~\nYou blush at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU blushes at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU blushes at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '36', 'bmoc', 'BMOC\nlook_casual\nflex_biceps\nudaman\n~\nYou look around for the BMOC.\n~\n~\n%TU looks around trying to find the BMOC.\n~\n~\nYou are \"THE MAN\"!! You declare yourself BMOC.\n~\n~\nAs \"THE MAN\", %TU declares %OUself BMOC.\n~\n~\nYou cast your BMOC vote for %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU casts %PU BMOC vote for %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU casts %PU BMOC vote for you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '37', 'bob', 'bob\nnod_head_multiple\nnod_head_multiple\nnod_head_multiple\n~\nYou bob your head to the beat.\n~\n~\n%TU bobs %PU head to the beat.\n~\n~\nYou go bobbing for apples.\n~\n~\n%TU goes bobbing for apples.\n~\n~\nYou bob up from behind %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU bobs up from behind %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU bobs up from behind you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '38', 'bodyslam', 'bodyslam\n~\n~\n~\n~\nUnable to find a target, you pull a stuffed animal from your pack and bodyslam it! TAKE THAT!\n~\n~\nUnable to find a target, %TU pulls a stuffed animal from %PU pack and bodyslams it!\n~\n~\nYou pick yourself up and throw yourself on the ground.\n~\n~\n%TU picks %OUself up and throws %OUself on the ground.\n~\n~\nYou try to pick up %TT and bodyslam %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU tries to pick up %TT and bodyslam %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU tries to pick you up and bodyslam you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '39', 'boggle', 'boggle\nscratch_head\nscratch_head\nscratch_head\n~\nYou boggle at that concept.\n~\n~\n%TU boggles at that concept.\n~\n~\nYou boggle at yourself. What were you thinking?!\n~\n~\n%TU boggles at %OUself.\n~\n~\nYou boggle at %TT. What did %ST just say?\n~\n~\n~\n~\n~\n~\n~\n~\n%TU boggles at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU boggles at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '40', 'bonk', 'bonk\n~\nsmack_self\ndoor_pound\n~\nBonk! bOnk! BoNk!\n~\n~\n%TU tries to play a percussion instrumental on everyone\'s skulls.\n~\n~\nYou bonk yourself on the head. Look at all the birdies!!\n~\n~\n%TU bonks %OUself on the head.\n~\n~\nYou bonk %TT on the head. What were they thinking?!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU bonks %TT on the head resulting in a hollow sound.\n~\n~\n~\n~\n~\n~\n~\n~\nBONK! What were you thinking? %TU bonks you on the head.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '41', 'boogie', 'boogie\ncelebrate\ncelebrate1\ncelebrate\n~\nGet down! You boogie-woogie-oogie.\n~\n~\n%TU boogies to the music.\n~\n~\nYou tell yourself it\'s time to boogie.\n~\n~\n%TU gets that look in %PU eye signifying that %SU thinks it\'s time to boogie.\n~\n~\nYou tell %TT that you are going to boogie.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU tells %TT that its time for %OU to boogie.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU tells you that its time for %OU to boogie.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '42', 'bored', 'bored\nface_bored\nface_bored\nface_bored\n~\nBored!\n~\n~\n%TU is bored.\n~\n~\nYou go stir-crazy from boredom.\n~\n~\n%TU goes stir-crazy from boredom.\n~\n~\nYou tell %TT that you are bored of %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU is bored of %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU tells you that %SU is bored of you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '43', 'bounce', 'bounce\nbounce\n~\n~\n~\nYou bounce around with excitement!\n~\n~\n%TU bounces around with excitement!\n~\n~\nYou try to bounce yourself off the ground.\n~\n~\n%TU tries to bounce %OUself off the ground. Erf, that looks painful!\n~\n~\nYou bounce circles around %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU bounces circles around %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU bounces circles around you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '44', 'bouquet', 'bouquet\n~\n~\noffer_affection\n~\nWow! Great trick! You pull a flower bouquet out of thin air.\n~\n~\nWith a magical flair, %TU pulls a flower bouquet out of thin air.\n~\n~\nYou grab a flower bouquet and inhale deeply of the flowers\' smell.\n~\n~\n%TU grabs a flower bouquet and inhales deeply of the flowers\' smell.\n~\n~\nAwww. How nice of you! You give a flower bouquet to %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU hands a bouquet of flowers to %TT.\n~\n~\n~\n~\n~\n~\n~\n~\nIsn\'t that sweet? %TU just handed you a bouquet of flowers!\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '45', 'bow', 'bow\nbow2\nbow2\nbow2\n~\nYou bow.\n~\n~\n%TU bows.\n~\n~\nYou gracefully perform a flourished bow.\n~\n~\n%TU gracefully performs a flourished bow.\n~\n~\nYou bow to %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU bows to %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU bows to you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '46', 'bowhead', 'bowhead\nbow5\nbow5\nbow5\n~\nYou bow your head.\n~\n~\n%TU bows %PU head.\n~\n~\nYou bow your head and focus yourself.\n~\n~\n%TU bows %PU head and focuses %OUself.\n~\n~\nYou bow your head to %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU bows %PU head to %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU bows %PU head to you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '47', 'brandish', 'brandish\n~\n~\n~\n~\nYou brandish your weapon at the general area.\n~\n~\n%TU turns circles while brandishing %PU weapon at the general area.\n~\n~\nYou look exasperated and sarcastically brandish your weapon at yourself.\n~\n~\n%TU looks exasperated and sarcastically brandishes %PU weapon at %OUself.\n~\n~\nYou brandish your weapon menacingly at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU brandishes %PU weapon at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU brandishes %PU weapon at you menacingly.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '48', 'brb', 'BRB\nwave2\nwave2\nwave2\n~\nBe Right Back!\n~\n~\n%TU will be right back.\n~\n~\nYou take a leave of absence from reality.\n~\n~\n%TU parts ways with reality but will be right back.\n~\n~\nYou tell %TT that you will be right back.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU tells %TT that %SU will be right back.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU tells you that %SU will be right back.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '49', 'brt', 'BRT\n~\n~\n~\n~\nBRT!\n~\n~\n%TU tells everyone to go on ahead and %SU will be right there.\n~\n~\nNot much farther now!!\n~\n~\n%TU mentions that it\'s not much farther.\n~\n~\nYou tell %TT to go on and that you will be right there.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU tells %TT to go on and that %SU will be right there.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU tells you to go on and that %SU will be right there.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '50', 'burp', 'burp\npat_abdomen\ncover_mouth\npat_abdomen\n~\nYou burp loudly and look toward the judges.\n~\n~\n%TU burps loudly and looks toward the judges.\n~\n~\nWas it tasty? You burp to yourself and get a bitter, acidic taste in your mouth.\n~\n~\n%TU burps to %OUself, and gets a sour look on %PU face.\n~\n~\nYou burp in %TT\'s face.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU burps in %TT\'s face.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU burps in your face.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '51', 'bye', 'bye\nwave2\nwave2\nwave2\n~\nBYE!\n~\n~\n%TU is leaving. Bye!\n~\n~\nBYE-BYE!\n~\n~\n%TU is _really_ leaving now! Bye!\n~\n~\nYou wish %TT well and hope to see %OT soon.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU wishes %TT well and hopes to see %OT soon.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU wishes you well and hopes to see you soon.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '52', 'cackle', 'cackle\nlaugh_cackle\nlaugh_cackle\nlaugh_cackle\n~\nYou cackle.\n~\n~\n%TU cackles.\n~\n~\nYou cackle insanely at yourself.\n~\n~\n%TU cackles insanely at %OUself.\n~\n~\nYou cackle in %TT\'s face.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU cackles in %TT\'s face.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU cackles in your face.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '53', 'calm', 'calm\nstanding_placate\n~\nslow_down\n~\nYou try to calm everyone down.\n~\n~\n%TU tries to calm everyone down.\n~\n~\nTake a deep breath and count to 10. 1.. 2.. 3..\n~\n~\n%TU takes a deep breath and tries to calm %OUself down.\n~\n~\nYou try to calm %TT down.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU tries to calm %TT down.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU tries to calm you down.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '54', 'catchbreath', 'catchbreath\n~\n~\n~\n~\nYou wheeze and gasp for air as you try to catch your breath.\n~\n~\n%TU wheezes and gasps for air trying to catch %PU breath.\n~\n~\nYou rest your hands on your knees and try to catch your breath.\n~\n~\n%TU rests %PU hands on %PU knees and tries to catch %PU breath.\n~\n~\nYou signal to %TT that you will be just a moment as you catch your breath.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU signals to %TT that %SU will be just a moment as %SU catches %PU breath.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU signals to you that %SU will be just a moment as %SU catches %PU breath.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '55', 'censor', 'censor\ncover_ears_mocking\n~\nshush\n~\nYou are appalled at the usage of obscenities.\n~\n~\nBLEEP BLEEP BLEEP!!  %TU tries to censor the obscenities.\n~\n~\nYou scold yourself and wash your own mouth with soap.\n~\n~\n%TU washes %PU own mouth out with soap.\n~\n~\nYou censor %TT.\n~\n~\n~\n~\n~\n~\n~\n~\nBLEEPITY-BLEEP-BLEEP-BLEEP! %TU censors %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU censors you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '56', 'chase', 'chase\n~\n~\n~\n~\nYou don\'t have to go home, but you can\'t stay here!\n~\n~\n%TU tries to chase everyone off!\n~\n~\nYou turn in circles, chasing your own tail.\n~\n~\n%TU turns in circles, chasing %PU own tail.\n~\n~\nYou chase %TT around the area.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU chases %TT around the area.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU chases you around the area.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '57', 'cheek', 'cheek\naccept_affection\naccept_affection\n~\n~\nYou turn your head and expose your cheek looking for a kiss.\n~\n~\n%TU turns %PU head and exposes %PU cheek looking for a kiss.\n~\n~\nYou point to your cheek indicating where to kiss.\n~\n~\n%TU points to %PU cheek indicating where to kiss.\n~\n~\nYou give %TT a tender kiss on the cheek.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU gives %TT a tender kiss on the cheek.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU gives you a tender kiss on the cheek.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '58', 'cheer', 'cheer\ncelebrate\ncelebrate1\ncelebrate\n~\nYou cheer wildly.\n~\n~\n%TU cheers. YAY!!\n~\n~\nYou cheer for yourself! YAY ME!!\n~\n~\n%TU cheers for %OUself.\n~\n~\nYAY!! You cheer for %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU cheers for %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU cheers for you!\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '59', 'chestpuff', 'chestpuff\npose_proudly\npose_proudly\n~\n~\nYou puff up your chest and attempt to look imposing.\n~\n~\n%TU puffs up %PU chest and attempts to look imposing.\n~\n~\nYou chest-puff and pump up your own ego a bit.\n~\n~\n%TU does a bit of chest-puffing.\n~\n~\nYou realize that %TT is just chest-puffing and let %OT know that %ST is full of hot air.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU thinks that %TT is chest-puffing and full of hot air.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU thinks that you are chest-puffing and full of hot air.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '60', 'chortle', 'chortle\nbelly_laugh\nbelly_laugh\nbelly_laugh\n~\nYou chortle.\n~\n~\n%TU chortles.\n~\n~\nWith a series of nasally snorts, you chortle to yourself.\n~\n~\n%TU chortles to %OUself.\n~\n~\nYou chortle uncontrollably at the sight of %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU chortles uncontrollably at sight of %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU chortles uncontrollably at the sight of you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '61', 'chuckle', 'chuckle\nlaugh_cackle\nlaugh_cackle\nlaugh_cackle\n~\nYou chuckle.\n~\n~\n%TU chuckles.\n~\n~\nYou chuckle to yourself.\n~\n~\n%TU chuckles to %OUself.\n~\n~\nYou chuckle politely at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU chuckles politely at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU chuckles politely at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '62', 'clap', 'clap\napplause_polite\napplause_polite\napplause_polite\n~\nYou clap your hands together.\n~\n~\n%TU claps %PU hands together.\n~\n~\nYou give yourself a hand.\n~\n~\n%TU gives %OUself a hand.\n~\n~\nYou clap for %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU claps for %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU claps for you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '63', 'claw', 'claw\nclaw\n~\nclaw\n~\nYou hiss and bare your claws.\n~\n~\n%TU hisses and bares %PU claws.\n~\n~\nYou remove a file from your pack and begin to sharpen your claws.\n~\n~\n%TU retrieves a file from %PU pack and begins to sharpen %PU claws.\n~\n~\nYou claw at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\nROWR! %TU claws at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU claws at you!\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '64', 'combhair', 'combhair\n~\nhair_flip\n~\n~\nYou claw at the knots in your hair in desperate need of a comb.\n~\n~\n%TU claws at the knots in %PU hair in desperate need of a comb..\n~\n~\nYou comb your hair. There! Perfect!\n~\n~\n%TU combs %PU hair. Doesn\'t %SU look fantastic?\n~\n~\nYou comb %TT\'s hair.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU combs %TT\'s hair.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU combs your hair for you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '65', 'comfort', 'comfort\nstanding_placate\nhug_self\nstanding_placate\n~\nYou comfort everyone and let them know it will be OK.\n~\n~\n%TU tries to comfort everyone and says, \"It will be OK.\"\n~\n~\nYou subtly drop the hint that you could use some comforting.\n~\n~\n%TU hints that %SU could use some comforting.\n~\n~\nYou comfort %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU comforts %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU comforts you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '67', 'congratulate', 'congratulate\ncelebrate1\ncelebrate1\ncelebrate1\n~\nCongrats to all!\n~\n~\n%TU congratulates everyone.\n~\n~\nYou give yourself a pat on the back.\n~\n~\n%TU congratulates %OUself.\n~\n~\nYou congratulate %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU congratulates %TT.\n~\n~\n~\n~\n~\n~\n~\n~\nCongrats! %TU congratulates you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '68', 'cough', 'cough\ncough_polite\ncough_polite\nheavy_cough_vomit\n~\n*COUGH* *COUGH*\n~\n~\n%TU coughs loudly.\n~\n~\n*cough* *ahem* You hack out a stifled cough. Trying to tell someone something?\n~\n~\nAHEM! %TU hacks out a stifled cough, apparently trying to get someone\'s attention.\n~\n~\nYou cough in %PT face.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU coughs in %TT\'s face.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU coughs in your face.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '69', 'cover', 'cover\n~\n~\n~\n~\nYou tell everyone to cover up!\n~\n~\nUnderdressed? %TU tells everyone to cover up.\n~\n~\nFeeling a draft?\n~\n~\n%TU covers %OUself.\n~\n~\nGet some clothes on %TT!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU apparently thinks that %TT is underdressed and covers %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU thinks you are underdressed and covers you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '70', 'covereyes', 'covereyes\ncover_eyes\ncover_eyes\n~\n~\nYou cover your eyes.\n~\n~\n%TU covers %PU eyes.\n~\n~\nYou hide your eyes behind your crossed arms.\n~\n~\n%TU hides %PU eyes behind %PU crossed arms.\n~\n~\nYou cover %PT eyes.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU covers %TT\'s eyes.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU covers your eyes.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '71', 'cower', 'cower\nafraid_face\nafraid_face\nafraid_face\n~\nYou cower.\n~\n~\n%TU cowers.\n~\n~\nYou cower submissively.\n~\n~\n%TU cowers submissively.\n~\n~\nYou cower away from %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU cowers away from %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU cowers away from you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '72', 'cringe', 'cringe\nafraid_face\nafraid_face\nafraid_face\n~\nEEP! You cringe.\n~\n~\n%TU cringes.\n~\n~\nYou cringe at the thought.\n~\n~\n%TU cringes at the thought.\n~\n~\nYou cringe away from %TT in fear.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU cringes away from %TT in fear.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU cringes away from you in fear.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '73', 'cry', 'cry\nweeping\nweeping\nweeping\n~\nYou burst into tears.\n~\n~\n%TU bursts into tears.\n~\n~\nYou cry uncontrollably.\n~\n~\n%TU cries uncontrollably.\n~\n~\nYou cry on %PT shoulder.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU cries on %TT\'s shoulder.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU cries on your shoulder.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '74', 'culater', 'culater\nwave2\n~\nwave2\n~\nSee ya later.\n~\n~\n%TU will see ya all later.\n~\n~\n\"Not if I see you first!\"\n~\n~\n%TU mentions something about \"not if %ST sees you first\".\n~\n~\nSee ya later, %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU says to %TT, \"see ya later\".\n~\n~\n~\n~\n~\n~\n~\n~\n%TU will see ya later.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '76', 'curse', 'curse\nface_scowl\nface_scowl\nface_scowl\n~\nYou spew obscenities.\n~\n~\n%TU curses.\n~\n~\nYou quietly curse to yourself.\n~\n~\n%TU quietly curses under %PU breath.\n~\n~\nYou spew obscenities at %TT, and let %OT have it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU curses loudly at %TT, and then throws the dictionary at %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU curses loudly at you, laying into you verbally.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '77', 'curtsey', 'curtsey\ncurtsey1\ncurtsey\ncurtsey1\n~\nYou curtsey for your audience.\n~\n~\n%TU curtsies.\n~\n~\nYou perform a very formal curtsey.\n~\n~\n%TU performs a very formal curtsey.\n~\n~\nYou curtsey to %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU curtsies to %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU curtsies to you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '78', 'dance', 'dance\ndance_lyrical\ndance_lyrical\n~\n~\nYou dance about the area.\n~\n~\n%TU dances about the area.\n~\n~\nYou dance with yourself.\n~\n~\n%TU dances with %OUself.\n~\n~\nYou grab %TT and drag %OT to the dance-floor.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU grabs %TT and drags %OT to the dance-floor.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU grabs you and drags you to the dance-floor.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '79', 'deepbow', 'deepbow\nbow4\nbow4\nbow4\n~\nYou bow deeply.\n~\n~\n%TU bows deeply.\n~\n~\nYou bow deeply before yourself and almost fall over.\n~\n~\n%TU bows deeply before %OUself and almost falls over.\n~\n~\nYou bow deeply before %TT, showing great respect.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU bows deeply before %TT, showing great respect.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU bows deeply before you, showing great respect.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '80', 'defend', 'defend\npose_proudly\n~\n~\n~\nYou try to stand imposingly, exhibiting your intent to defend the area.\n~\n~\n%TU tries to stand imposingly, displaying intent to defend the area.\n~\n~\nYou prepare to defend yourself.\n~\n~\n%TU stands alert suggesting a readiness to defend %OUself.\n~\n~\nYou step in front of %TT, ready to defend %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU steps defensively in front of %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU steps defensively in front of you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '81', 'deride', 'deride\nlaugh_pointing\nbelly_laugh\nlaugh_pointing\n~\nPlaying the town fool? You ridicule everyone about you.\n~\n~\n%TU ridicules everyone about %OU.\n~\n~\nYou deride yourself.\n~\n~\n%TU derides %OUself.\n~\n~\nYou laugh at %TT with contempt.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU laughs at %TT with a show of contempt.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU laughs at you with contempt.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '82', 'disagree', 'disagree\nshake_head_no\nshake_head_no\nshake_head_no\n~\nYou politely disagree.\n~\n~\n%TU politely disagrees.\n~\n~\nYou change your mind and disagree with your last statement.\n~\n~\n%TU changes %PU mind and disagrees with %PU last statement.\n~\n~\nYou disagree with %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU disagrees with %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU expresses disagreement.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '84', 'doh', 'doh\nsmack_self\nsmack_self\nsmack_self\n~\nDoh!\n~\n~\n%TU gets a stupid look on %PU face and says, \"DOH!\"\n~\n~\nDOH DOH DOH!\n~\n~\n%TU slaps %OUself on the forehead and says, \"DOH!\"\n~\n~\nYou look at %OT and say \"DOH!\"\n~\n~\n~\n~\n~\n~\n~\n~\n%TU looks at %TT and says, \"DOH!\"\n~\n~\n~\n~\n~\n~\n~\n~\n%TU looks at you and says, \"DOH!\"\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '85', 'dream', 'dream\ndream\ndream\ndream\n~\nYou float away on a fluffy white cloud.\n~\n~\n%TU looks serene as %SU floats off into dreamland.\n~\n~\nDaydreaming again?\n~\n~\n%TU daydreams.\n~\n~\nDreamy, isn\'t %ST?\n~\n~\n~\n~\n~\n~\n~\n~\n%TU looks at %TT googly-eyed while daydreaming.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU looks at you googly-eyed while daydreaming.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '87', 'drool', 'drool\n~\n~\n~\n~\nYou drool incessantly, creating a small puddle at your feet.\n~\n~\n%TU drools, creating a small puddle at %PU feet.\n~\n~\nYou drool all over yourself.\n~\n~\n%TU drools all over %OUself, leaving a wet spot on %PU chest.\n~\n~\nYou drool all over %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU drools all over %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU drools all over you. YUCK!\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '88', 'duck', 'duck\nchicken\nduck\n~\n~\nYou duck!\n~\n~\n%TU ducks.\n~\n~\nQuack! Quack!\n~\n~\n%TU makes like a duck. Quack!\n~\n~\nYou duck behind %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU ducks behind %TT.\n~\n~\n~\n~\n~\n~\n~\n~\nLook out! %TU just ducked behind you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '89', 'echuta', 'echuta\n~\n~\n~\n~\nE chu ta!\n~\n~\n%TU foams at the mouth, swearing vulgarly.\n~\n~\nYou foam at the mouth, driveling as you curse under your breath.\n~\n~\n%TU foams at the mouth, driveling everywhere as %SU curses under %PU breath.\n~\n~\nYou spray %TT with spittle as you curse at %OT in %PT face.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU sprays %TT with spittle as %SU curses at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU sprays your face with spittle as %SU curses at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '90', 'eek', 'eek\nface_surprised\nface_surprised\nface_surprised\n~\nEek!\n~\n~\n%TU squeals, \"EEK!\"\n~\n~\nYou take one look at yourself and exclaim \"EEK!\"\n~\n~\n%TU looks at %OUself and exclaims \"EEK!\"\n~\n~\nYou look at %TT and exclaim \"EEK!\"\n~\n~\n~\n~\n~\n~\n~\n~\n%TU looks at %TT and exclaims \"EEK!\"\n~\n~\n~\n~\n~\n~\n~\n~\n%TU looks at you and exclaims \"EEK!\"\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '91', 'elbow', 'elbow\n~\n~\n~\n~\nYou try to clear the immediate area about you by throwing out your elbows.\n~\n~\nWatch out! %TU throws %PU elbows out and tries to clear the area around %OU.\n~\n~\nYou cringe in pain as you hit your funny bone.\n~\n~\n%TU cringes in pain as %SU hits %PU funny bone.\n~\n~\nYou elbow %TT in %PT side.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU elbows %TT in %PT side.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU elbows you in the side. Is %SU trying to tell you something?\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '92', 'embrace', 'embrace\noffer_affection\nhug_self\noffer_affection\n~\nYou hold your arms out offering a gentle embrace.\n~\n~\n%TU holds %PU arms out offering a gentle embrace.\n~\n~\nYou give yourself a warm embrace.\n~\n~\n%TU gives %OUself a warm embrace.\n~\n~\nYou gently hold %TT in your arms and give %OT a warm embrace.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU gently holds %TT in %PU arms and give %OT a warm embrace.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU gently holds you in %PU arms and gives you a warm embrace.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '93', 'encourage', 'encourage\ncelebrate1\ncelebrate1\ncelebrate1\n~\nGo Team Go!!\n~\n~\n%TU leads a cheer of encouragement. Go Team Go!!\n~\n~\nYou can do it!\n~\n~\n%TU gives %OUself a few choice words of encouragement.\n~\n~\nYou encourage %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU gives %TT a bit of encouragement.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU gives you a bit of encouragement.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '94', 'evilgrin', 'evilgrin\nface_evil_grin\nface_evil_grin\nface_evil_grin\n~\nYou crack an evil grin.\n~\n~\n%TU cracks an evil grin.\n~\n~\nYou grin evilly at your thoughts.\n~\n~\n%TU grins evilly at %PU thoughts.\n~\n~\nYou flash a wicked grin at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU flashes %TT a wicked grin.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU flashes you a wicked grin.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '95', 'exhausted', 'exhausted\ncatchbreath\ncatchbreath\ncatchbreath\n~\nYou collapse from exhaustion.\n~\n~\n%TU is exhausted and must rest.\n~\n~\nYou signal that you are absolutely exhausted.\n~\n~\n%TU signals that %SU is absolutely exhausted.\n~\n~\nYou inform %TT that you are exhausted and must rest.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU informs %TT that %SU is exhausted and must rest.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU informs you that %SU is exhausted and must rest.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '96', 'eyebrow', 'eyebrow\nface_eyebrow_arch\nface_eyebrow_arch\nface_eyebrow_arch\n~\nYou raise an eyebrow.\n~\n~\n%TU raises an eyebrow.\n~\n~\nYou raise an eyebrow at yourself.\n~\n~\n%TU raises an eyebrow at %OUself.\n~\n~\nYou raise an eyebrow at %OT. What is %ST up to?\n~\n~\n~\n~\n~\n~\n~\n~\n%TU raises an eyebrow at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU raises an eyebrow at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '97', 'faint', 'faint\n~\n~\n~\n~\nYou faint.\n~\n~\n%TU faints.\n~\n~\nYou look pale, as if about to faint.\n~\n~\n%TU looks pale, as if about to faint.\n~\n~\nYou faint into %PT arms.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU faints into %TT\'s arms.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU faints into your arms.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '98', 'false', 'false\nshake_head_no\n~\nshake_head_no\n~\nYou believe that is false.\n~\n~\n%TU does not believe that is true.\n~\n~\nOn second thought, you don\'t believe what you just said is true.\n~\n~\nAfter further thought, %TU does not believe what %SU just said to be true.\n~\n~\nYou refuse to believe what %ST is saying.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU refuses to believe what %TT is saying.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU refuses to believe what you are saying.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '99', 'faq', 'FAQ\npoint_away\npoint_away\npoint_away\n~\nYou direct everyone to the FAQ.\n~\n~\n%TU directs everyone to the FAQ.\n~\n~\nYou reference the FAQ.\n~\n~\n%TU references the FAQ.\n~\n~\nYou direct %TT to the FAQ.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU directs %TT to the FAQ.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU directs you to the FAQ.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '100', 'fear', 'fear\nshiver\nafraid_face\n~\n~\nYou tremble with fear.\n~\n~\n%TU trembles with fear.\n~\n~\nYou become paralyzed with fear.\n~\n~\n%TU becomes paralyzed with fear.\n~\n~\nYou scream in terror at the sight of %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU screams in terror at the sight of %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU screams in terror at the sight of you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '101', 'feel', 'feel\n~\n~\n~\n~\nYou feel blindly at your surroundings.\n~\n~\n%TU blindly feels at %PU surroundings.\n~\n~\nYou feel about yourself, checking for holes.\n~\n~\n%TU feels about %OUself, checking for holes.\n~\n~\nYou feel %PT bicep. What do you think?\n~\n~\n~\n~\n~\n~\n~\n~\n%TU feels %TT\'s bicep.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU feels your bicep.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '102', 'feh', 'feh\nstamp_feet\nface_yuck_face\nface_yuck_face\n~\nFEH!\n~\n~\n%TU looks disgusted and utters, \"FEH!\"\n~\n~\nYou look at the condition of your gear and exclaim, \"FEH!\"\n~\n~\n%TU looks at the condition of %PU gear and exclaims, \"FEH!\"\n~\n~\nYou look disgustedly at %TT and utter, \"FEH!\"\n~\n~\n~\n~\n~\n~\n~\n~\n%TU looks disgustedly at %TT and utters, \"FEH!\"\n~\n~\n~\n~\n~\n~\n~\n~\n%TU looks disgustedly at you and utters, \"FEH!\"\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '103', 'fiddle', 'fiddle\nmanipulate_medium\nmanipulate_medium\nmanipulate_medium\n~\nYou fiddle with random objects.\n~\n~\n%TU fiddles with random objects.\n~\n~\nYou pull a puzzle cube from your pack and fiddle with it.\n~\n~\n%TU removes a puzzle cube from %PU pack and fiddles with it.\n~\n~\nYou fiddle with %TT\'s gear.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU fiddles with %TT\'s gear.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU fiddles with your gear.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '104', 'fidget', 'fidget\ncheck_wrist_device\nlook_casual\n~\n~\nYou fidget restlessly.\n~\n~\n%TU fidgets restlessly.\n~\n~\nYou fidget restlessly in anticipation.\n~\n~\n%TU fidgets restlessly in anticipation.\n~\n~\nYou fidget restlessly at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU fidgets restlessly at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU fidgets restlessly at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '105', 'flail', 'flail\ngesticulate_wildly\ngesticulate_wildly\ngesticulate_wildly\n~\nYou flail wildly.\n~\n~\n%TU flails wildly.\n~\n~\nYou flail wildly at yourself, as if trying to get something off your body.\n~\n~\n%TU flails wildly at %OUself, as if trying to get something off %PU body.\n~\n~\nYou flail wildly at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU flails wildly at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU flails wildly at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '106', 'flame', 'flame\n~\n~\n~\n~\nYou take a deep breath and exhale verbal flames everywhere.\n~\n~\n%TU takes a deep breath and exhales verbal flames everywhere.\n~\n~\nYou put on your flame-proof suit.\n~\n~\n%TU puts on %PU flame-proof suit.\n~\n~\nYou verbally flame %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU verbally flames %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU verbally flames you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '107', 'flee', 'flee\ngesticulate_wildly\n~\n~\n~\nFLEE!!\n~\n~\nRUN FOR YOUR LIVES!! %TU is giving the signal to FLEE!!\n~\n~\nTime to flee?\n~\n~\n%TU thinks its time to flee!\n~\n~\nGO! RUN AWAY! FLEE!!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU pushes %TT away while telling %OT to flee!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU pushes you away while telling you to FLEE!\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '108', 'flex', 'flex\nflex_biceps\nflex_biceps\nflex3\n~\nYou flex your muscles.\n~\n~\n%TU flexes %PU muscles.\n~\n~\nYou flex your bicep and secretly push it up with your other hand.\n~\n~\n%TU flexes %PU bicep, but you catch %OU making it look larger with %PU other hand.\n~\n~\nYou flex for %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU flexes for %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU flexes for you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '109', 'flip', 'flip\n~\n~\n~\n~\nYou flip a coin.\n~\n~\n%TU flips a coin.\n~\n~\nYou flip head-over-heels.\n~\n~\n%TU flips head-over-heels.\n~\n~\nYou flip head-over-heels for %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU flips head-over-heels for %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU flips head-over-heels for you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '110', 'flirt', 'flirt\n~\n~\n~\n~\nYou flirt with danger.\n~\n~\n%TU flirts with danger.\n~\n~\nYou flirt with yourself. A little self-involved are we?\n~\n~\n%TU flirts with %OUself.\n~\n~\nYou flirt with %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU flirts with %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU flirts with you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '111', 'flower', 'flower\n~\n~\n~\n~\nYou pull a delicate flower from your pack and hold it gently.\n~\n~\n%TU pulls a delicate flower from %PU pack and holds it gently.\n~\n~\nYou inhale deeply trying to smell the flower\'s sweet scent.\n~\n~\n%TU inhales deeply trying to smell the flower\'s sweet scent.\n~\n~\nYou give a delicate flower to %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU gives a delicate flower to %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU gives you a delicate flower.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '112', 'flutter', 'flutter\naccept_affection\naccept_affection\naccept_affection\n~\nYou heart flutters wildly.\n~\n~\n%TU\'s heart flutters wildly.\n~\n~\nYour heart flutters wildly as you clench your chest hand-over-hand.\n~\n~\n%TU\'s heart flutters wildly as %SU clenches %PU chest hand-over-hand.\n~\n~\nYour heart flutters at the sight of %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s heart flutters at the sight of %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU\'s heart flutters at the sight of you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '113', 'fool', 'fool\n~\nsmack_self\n~\n~\nYou look around for your FOOL brand.\n~\n~\n%TU looks around for %PU FOOL brand.\n~\n~\nYou brand yourself the fool.\n~\n~\n%TU brands %OUself the fool.\n~\n~\nYou brand %TT as the FOOL!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU brands %TT as the FOOL!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU brands you as the FOOL!\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '114', 'frown', 'frown\nface_frown\nface_frown\nface_frown\n~\nYou frown.\n~\n~\n%TU frowns.\n~\n~\nYou frown at yourself.\n~\n~\n%TU frowns at %OUself.\n~\n~\nYou frown at %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU frowns at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU frowns at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '115', 'imfull', 'imfull\npat_abdomen\nrub_belly\npat_abdomen\n~\nYou pat your stomach denoting you are full.\n~\n~\n%TU pats %PU stomach denoting %SU is full.\n~\n~\nYou rub your stomach, feeling overstuffed.\n~\n~\n%TU rubs %PU stomach, looking overstuffed.\n~\n~\nYou indicate to %TT that you are full.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU indicates to %TT that %SU is full.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU indicates to you that %SU is full.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '116', 'fume', 'fume\nface_scowl\nface_scowl\nstomp_feet\n~\nYou fume with rage.\n~\n~\n%TU fumes with rage.\n~\n~\nYou fume and mouth words best left unspoken.\n~\n~\n%TU fumes and mouths words best left unspoken.\n~\n~\nYou fume with rage at %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU fumes with rage at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU fumes with rage at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '117', 'fuzzy', 'fuzzy\nface_smile\nhug_self\nface_smile\n~\nYou get that warm and fuzzy feeling inside.\n~\n~\n%TU gets that warm and fuzzy feeling inside.\n~\n~\nYou squeeze yourself with a warm and fuzzy feeling inside.\n~\n~\n%TU squeezes %OUself with a warm and fuzzy feeling inside.\n~\n~\n%TT makes you feel warm and fuzzy inside.\n~\n~\n~\n~\n~\n~\n~\n~\n%TT makes %TU feel warm and fuzzy inside.\n~\n~\n~\n~\n~\n~\n~\n~\nYou make %TU feel warm and fuzzy inside.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '118', 'gag', 'gag\nface_yuck_face\nface_yuck_face\nface_yuck_face\n~\nYou gag in disgust.\n~\n~\n%TU gags in disgust.\n~\n~\nYou stick your finger in your mouth and make gagging sounds.\n~\n~\n%TU sticks %PU finger in %PU mouth and makes gagging sounds.\n~\n~\nYou gag in disgust at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU gags in disgust at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU gags in disgust at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '119', 'gape', 'gape\nface_surprised\nface_surprised\nface_surprised\n~\nYou gape.\n~\n~\n%TU gapes.\n~\n~\nYour jaw drops and hits the ground with a resounding *THUD*.\n~\n~\n%TU\'s jaw drops and hits the ground with a resounding *THUD*.\n~\n~\nYou gape at %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU gapes at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU gapes at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '120', 'gasp', 'gasp\nface_surprised\nface_surprised\nface_surprised\n~\n*GASP!*\n~\n~\n%TU gasps.\n~\n~\nYou gasp for air!\n~\n~\n%TU wheezes and gasps for air.\n~\n~\n*GASP!* You gasp at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU gasps at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU gasps at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '121', 'gawk', 'gawk\nface_surprised\nface_surprised\nface_surprised\n~\nLooking dumbfounded, you gawk.\n~\n~\n%TU looks dumbfounded and gawks.\n~\n~\nYou gawk at yourself.\n~\n~\n%TU gawks at %OUself.\n~\n~\nYou gawk at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU gawks at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU gawks at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '122', 'gaze', 'gaze\nface_smile\nface_smile\nface_smile\n~\nYou gaze in awe at your surroundings.\n~\n~\n%TU gazes in awe at %PU surroundings.\n~\n~\nYou gaze in awe at yourself\n~\n~\n%TU gazes in awe at %OUself.\n~\n~\nYou gaze in awe at %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU gazes in awe of %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU gazes in awe of you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '123', 'giggle', 'giggle\nlaugh_titter\nlaugh_titter\nlaugh_titter\n~\nHEHE!\n~\n~\n%TU giggles.\n~\n~\nYou giggle at yourself.\n~\n~\n%TU giggles at %OUself.\n~\n~\nYou giggle at %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU giggles at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU giggles at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '124', 'giveup', 'giveup\ngiveup\ngiveup\ngiveup\n~\n\"I GIVE UP!\"\n~\n~\n%TU throws %PU hands into the air and huffs, \"I GIVE UP!\"\n~\n~\nYou shake your head and murmur \"I give up...\"\n~\n~\n%TU shakes %PU head and murmurs, \"I give up...\"\n~\n~\nApparently, %ST is not worth the trouble. \"I give up!\"\n~\n~\n~\n~\n~\n~\n~\n~\n%TU looks at %TT with disgust and says, \"I give up!\"\n~\n~\n~\n~\n~\n~\n~\n~\n%TU looks at you disgustedly and says, \"I give up!\"\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '125', 'glare', 'glare\nface_glare\nface_glare\nface_glare\n~\nYou glare about furiously.\n~\n~\n%TU glares about furiously.\n~\n~\nYou glare furiously out of the corner of your eyes.\n~\n~\n%TU glares furiously out the corner of %PU eyes.\n~\n~\nYou glare at %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU glares at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU glares at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '126', 'gloat', 'gloat\nface_evil_grin\nface_evil_grin\nface_evil_grin\n~\nYou gloat.\n~\n~\n%TU gloats.\n~\n~\nYou gloat quietly to yourself.\n~\n~\n%TU gloats quietly to %OUself.\n~\n~\nYou gloat at %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU gloats at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU gloats at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '127', 'glow', 'glow\nface_smile\nface_smile\nface_smile\n~\nYou glow happily.\n~\n~\n%TU glows happily.\n~\n~\nFeeling special?\n~\n~\n%TU feels special and glows happily.\n~\n~\nYou glow and  let %OT know how happy %ST makes you.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU glows happily at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\nAwww. %TU glows and wants you to know how happy you make %OU feel!\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '128', 'going', 'going\nstanding_raise_fist\nsmack_self\ntaunt1\n~\nCHARGE!!\n~\n~\n%TU is going to initiate combat...NOW!\n~\n~\nAre you sure you wanted to do that?\n~\n~\nLooks like %TU needs help. %SU is trying to initiate combat with %OUself.\n~\n~\nCHARGE!! Targeting...%TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU moves in to initiate an attack on %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU charges into combat targeting...YOU!\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '129', 'greet', 'greet\nwave2\nwave2\nwave2\n~\nYou greet the passers-by.\n~\n~\n%TU greets everyone.\n~\n~\nYou greet yourself.\n~\n~\n%TU greets %OUself.\n~\n~\nYou greet %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU greets %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU greets you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '130', 'grin', 'grin\nface_smile\nface_smile\nface_smile\n~\nYou grin.\n~\n~\n%TU grins.\n~\n~\nYou grin at yourself.\n~\n~\n%TU grins at %OUself.\n~\n~\nYou grin at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU grins at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU grins at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '131', 'groan', 'groan\nslump_head\nshake_head_disgust\nslump_head\n~\nYou groan loudly.\n~\n~\n%TU groans loudly.\n~\n~\nYou groan at yourself.\n~\n~\n%TU groans at %OUself.\n~\n~\nYou groan loudly at %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU groans loudly at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU groans loudly at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '132', 'grovel', 'grovel\nimplore\nimplore\nimplore\n~\nYou grovel in the dirt.\n~\n~\n%TU grovels in the dirt.\n~\n~\nYou grovel fawningly.\n~\n~\n%TU grovels fawningly.\n~\n~\nYou grovel at %TT\'s feet.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU grovels at %TT\'s feet.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU grovels at your feet.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '133', 'growl', 'growl\nface_sneer\nface_sneer\nface_sneer\n~\nGRRRRRR!\n~\n~\n%TU growls.\n~\n~\nYou growl at yourself.\n~\n~\n%TU growls at %OUself.\n~\n~\nYou growl at %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU growls at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU growls at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '134', 'grumble', 'grumble\nface_grimace\nface_grimace\nface_grimace\n~\nYou grumble.\n~\n~\n%TU grumbles.\n~\n~\nYou grumble to yourself.\n~\n~\n%TU grumbles to %OUself.\n~\n~\nYou grumble something rude about %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU grumbles something rude about %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU grumbles something rude about you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '135', 'grunt', 'grunt\nface_grimace\nface_grimace\nface_grimace\n~\nYou grunt.\n~\n~\n%TU grunts.\n~\n~\nYou grunt at yourself.\n~\n~\n%TU grunts at %OUself.\n~\n~\nYou grunt at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU grunts at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU grunts at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '136', 'gulp', 'gulp\n~\n~\n~\n~\n*GULP!!*\n~\n~\n%TU gulps.\n~\n~\nDon\'t choke now!\n~\n~\n%TU gulps down %PU drink.\n~\n~\nYou gulp at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU gulps at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU gulps at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '137', 'hack', 'hack\ncough_polite\nheavy_cough_vomit\nheavy_cough_vomit\n~\nYou hack.\n~\n~\n%TU hacks.\n~\n~\nYou hack up a furball.\n~\n~\n%TU hacks up a furball.\n~\n~\nYou hack at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU hacks at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU hacks at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '138', 'hail', 'hail\nwave_hail\nwave1\nwave_hail\n~\nYou hail passers-by.\n~\n~\n%TU greets everyone with a friendly hail.\n~\n~\nYou hail yourself with a handful of pebbles.\n~\n~\n%TU hails %OUself with a handful of pebbles.\n~\n~\nYou hail %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU hails %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU hails you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '139', 'halfnelson', 'halfnelson\n~\n~\n~\n~\nYou motion as if to put someone into a half-nelson.\n~\n~\n%TU motions as if to put someone into a half-nelson.\n~\n~\nYou put yourself in a half-nelson.\n~\n~\n%TU puts %OUself in a half-nelson.\n~\n~\nYou put %TT in a half-nelson. \"Say uncle!\"\n~\n~\n~\n~\n~\n~\n~\n~\n%TU places %TT in a half-nelson.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU places you in a half-nelson.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '140', 'halo', 'halo\nface_innocent\nface_innocent\nface_innocent\n~\nYou smile innocently and don your halo.\n~\n~\n%TU smiles innocently and dons %PU halo.\n~\n~\nYou shine your halo.\n~\n~\n%TU shines %PU halo.\n~\n~\nYou smile at %OT and don your halo.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU smiles at %TT and dons %PU halo.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU smiles at you and dons %PU halo.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '141', 'hand', 'hand\napplause_polite\napplause_polite\n~\n~\nYou ask if anyone can give you a hand.\n~\n~\n%TU asks if anyone can give %OU a hand.\n~\n~\nYou give yourself a hand.\n~\n~\n%TU gives %OUself a hand.\n~\n~\nYou give %OT a gentle kiss on the hand.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU gives %TT a gentle kiss on the hand.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU gives you a gentle kiss on the hand.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '142', 'handshake', 'handshake\nhandshake_tandem\nhandshake_tandem\nhandshake_tandem\n~\nYou offer a handshake.\n~\n~\n%TU offers a handshake.\n~\n~\nYou shake your own hand.\n~\n~\n%TU shakes %PU own hand.\n~\n~\nYou shake %PT hand.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shakes %TT\'s hand.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shakes your hand.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '143', 'headache', 'headache\ntap_head\ntap_head\ncover_ears_mocking\n~\nYou complain about a headache.\n~\n~\n%TU complains about a headache.\n~\n~\nYou grab your skull and beg the pain to stop.\n~\n~\n%TU grabs %PU skull and begs the pain to stop.\n~\n~\nYou toss %OT a couple analgesics.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU tosses a couple analgesics to %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU tosses you a couple analgesics.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '144', 'headlock', 'headlock\n~\n~\n~\n~\nYou demonstrate the proper headlock technique.\n~\n~\n%TU demonstrates the proper headlock technique.\n~\n~\nYou put yourself in a headlock.\n~\n~\n%TU puts %OUself in a headlock.\n~\n~\nYou put %TT in a headlock.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU puts %TT in a headlock.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU puts you in a headlock.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '145', 'hearnoevil', 'hearnoevil\ncover_ears_mocking\ncover_ears_mocking\ncover_ears_mocking\n~\nYou cover your ears.\n~\n~\n%TU covers %PU ears.\n~\n~\nYou stare blankly forward with your hands over your ears.\n~\n~\n%TU stares blankly forward with %PU hands over %PU ears.\n~\n~\nYou cover your ears and try to block %OT out. LA LA LA LA LA LA.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU babbles nonsense as %SU covers %PU ears and tries to not hear %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU covers %PU ears and tries to block your words out. LA LA LA LA LA LA.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '146', 'helpme', 'helpme\nhelpme\n~\nhelpme\n~\nHELP!\n~\n~\nHELP! HELP! %TU looks for help.\n~\n~\nYou help yourself.\n~\n~\n%TU helps %OUself.\n~\n~\nYou look to %OT for help.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU looks to %TT for help.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU looks to you for some help.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '147', 'hero', 'hero\nsearch\nflex_biceps\npoint _forward\n~\nYou look for a hero to save you.\n~\n~\n%TU looks for a hero to save %OU.\n~\n~\nYou are your own greatest hero!\n~\n~\n%TU is %PU own greatest hero!\n~\n~\nMY HERO! You proclaim %TT as your hero.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU proclaims %TT as %PU hero.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU proclaims you as %PU hero.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '148', 'hi5', 'hi5\nhigh_five\nhi5_tandem\nhi5_tandem\n~\nYou hold your hand up to give a hi-five.\n~\n~\n%TU holds %PU hand up to give a hi-five.\n~\n~\nYou give yourself hi-five.\n~\n~\n%TU gives %OUself a hi-five.\n~\n~\nYou give %OT a hi-five. YEAH!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU gives %TT a hi-five.\n~\n~\n~\n~\n~\n~\n~\n~\nYEAH! %TU gives you a hi-five.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '149', 'hiccup', 'hiccup\ncover_mouth\ncover_mouth\ncover_mouth\n~\nYou hiccup.\n~\n~\n%TU hiccups.\n~\n~\nYou hiccup strongly and get a bitter-sour taste in your mouth.\n~\n~\n%TU hiccups strongly and purses %PU lips at the resultant bitter-sour taste.\n~\n~\nYou hiccup and beg %TT for help to get rid of them.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU begs %TT for help to get rid of %PU hiccups.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU begs you for help to get rid of %PU hiccups.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '150', 'hiss', 'hiss\nface_glare\nface_glare\nface_glare\n~\nYou hiss.\n~\n~\n%TU hisses.\n~\n~\nYou hiss under your breath.\n~\n~\n%TU hisses under %PU breath.\n~\n~\nYou hiss at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU hisses at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU hisses at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '151', 'hobble', 'hobble\n~\n~\n~\n~\nYou hobble.\n~\n~\n%TU hobbles.\n~\n~\nYou hobble about in circles.\n~\n~\n%TU hobbles about in circles.\n~\n~\nYou hobble about %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU hobbles about %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU hobbles about you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '152', 'holdon', 'holdon\n~\nhug_self\n~\n~\nYou hold on for dear life.\n~\n~\n%TU holds on for dear life.\n~\n~\nYou hold onto yourself. Need a security blanket?\n~\n~\n%TU holds onto %OUself.\n~\n~\nYou hold onto %OT, not letting go!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU holds onto %TT, not letting go!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU holds onto you, not letting go!\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '153', 'hop', 'hop\n~\n~\n~\n~\nYou hop around.\n~\n~\n%TU hops around.\n~\n~\nYou hop on one foot.\n~\n~\n%TU hops on one foot.\n~\n~\nYou hop around %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU hops around %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU hops around you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '154', 'hose', 'hose\n~\n~\n~\n~\nYou hose everyone down.\n~\n~\n%TU hoses everyone down!\n~\n~\nYou hose yourself down. Take it easy there!\n~\n~\n%TU hoses %OUself down.\n~\n~\nYou help %TT to cool off a bit.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU hoses %TT down with cold water.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU hoses you down with cold water.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '155', 'hug', 'hug\nhug_tandem\nhug_self\nhug_tandem\n~\nYou hold your arms out and offer a hug.\n~\n~\n%TU holds %PU arms out and offers a hug.\n~\n~\nYou give yourself a hug.\n~\n~\n%TU gives %OUself a hug.\n~\n~\nYou give %OT a hug.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU gives %TT a hug.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU gives you a hug.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '156', 'huge', 'huge\nhuge\nhuge\nhuge\n~\nYou hold your arms out wide and indicate it was HUGE!\n~\n~\n%TU holds %PU arms out wide and indicates it was HUGE!\n~\n~\nYou guess that it was HUGE!\n~\n~\n%TU guesses that it was HUGE!\n~\n~\nYou indicate to %OT that it was HUGE!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU indicates to %TT that it was HUGE!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU indicates to you that it was HUGE!\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '157', 'hum', 'hum\nface_smile\nface_smile\nface_smile\n~\nYou hum.\n~\n~\n%TU hums.\n~\n~\nYou hum a tune to yourself.\n~\n~\n%TU hums a tune to %OUself.\n~\n~\nYou hum a tune for %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU hums a tune for %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU hums a tune for you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '158', 'hunger', 'hunger\n~\nrub_belly\npoint_to_self\n~\nYou grow hungry.\n~\n~\n%TU grows hungry.\n~\n~\nYour stomach rumbles with a hollow, empty sound.\n~\n~\n%TU\'s stomach rumbles with a hollow, empty sound.\n~\n~\nYou indicate to %TT that you are hungry.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU indicates to %TT that %SU is hungry.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU indicates to you that %SU is hungry.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '159', 'imitate', 'imitate\n~\n~\n~\n~\nYou imitate a statue and stand perfectly still.\n~\n~\n%TU imitates a statue and stands perfectly still.\n~\n~\nYou imitate yourself. Kind of pointless, isn\'t it?\n~\n~\n%TU imitates %OUself.\n~\n~\nYou imitate %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU imitates %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU imitates you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '160', 'innocent', 'innocent\nface_innocent\nface_innocent\nface_innocent\n~\nYou do your best to look innocent.\n~\n~\n%TU does %PU best to look innocent.\n~\n~\nYou claim innocence.\n~\n~\n%TU claims innocence.\n~\n~\nYou do your best to look innocent for %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU does %PU best to look innocent for %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU does %PU best to look innocent for you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '162', 'introduce', 'introduce\n~\n~\nhandshake_tandem\n~\nYou introduce everyone to each other.\n~\n~\n%TU introduces everyone.\n~\n~\nWELL MET! You introduce yourself to everyone.\n~\n~\nHELLO! %TU introduces %OUself to everyone.\n~\n~\nEveryone, meet %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU introduces %TT to you.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU introduces you to everyone.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '163', 'jam', 'JAM\njam\njam\njam\n~\nJust A Moment!\n~\n~\n%TU requests a moment longer.\n~\n~\nYou announce you will be done in just a moment.\n~\n~\n%TU will be done in just a moment.\n~\n~\nYou inform %TT that %ST only has just a moment to finish.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU informs %TT that %ST only has just a moment to finish.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU informs you that you only have just a moment to finish.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '164', 'jas', 'JAS\n~\n~\n~\n~\nJust one more second!\n~\n~\n%TU needs just one more second.\n~\n~\n1-one-thousand. DING! Done yet?\n~\n~\n%TU will be ready in just a second.\n~\n~\nYou inform %TT that %ST only has a few seconds left.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU informs %TT that %ST only has a few seconds left.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU informs you that you only have a few seconds left.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '165', 'jk', 'JK\nface_smile\nface_smile\nstanding_placate\n~\nHA! Just kidding!\n~\n~\nCalm down! Calm down! %TU was just kidding!\n~\n~\nYou let yourself know you were just kidding.\n~\n~\n%TU tells %OUself that %SU was just kidding.\n~\n~\nYou inform %TT that you were just kidding.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU informs %TT that %SU was just kidding.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU informs you that %SU was just kidding.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '166', 'jump', 'jump\njump\njump\n~\n~\nBOIING!! You jump high in the air!\n~\n~\n%TU jumps high in the air.\n~\n~\nYou try to jump over yourself and land square on your head.\n~\n~\n%TU tries to jump over %OUself and lands square on %PU head.\n~\n~\nYou jump up and down on %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU jumps up and down on %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU jumps up and down on you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '167', 'kiss', 'kiss\nkiss_blow_kiss\nhug_self\nkiss_tandem\n~\nYou close your eyes and pucker up, ready for a kiss.\n~\n~\n%TU closes %PU eyes and puckers up, ready for a kiss.\n~\n~\nYou kiss yourself.\n~\n~\n%TU kisses %OUself.\n~\n~\nYou kiss %TT gently on the lips.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU kisses %TT gently on the lips.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU kisses you gently on the lips.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '169', 'kowtow', 'kowtow\nbow3\nbow3\nbow3\n~\nYou kowtow.\n~\n~\n%TU kowtows.\n~\n~\nYou kowtow to yourself.\n~\n~\n%TU kowtows to %OUself.\n~\n~\nYou kowtow before %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU kowtows before %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU kowtows before you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '170', 'lagging', 'lagging\n~\n~\n~\n~\nLAAAAAGGGGG!!!\n~\n~\n%TU lags.\n~\n~\nYou announce that you are lagging.\n~\n~\n%TU announce that %SU is lagging.\n~\n~\nYou point out that %TT is lagging.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU points out that %TT is lagging.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU points out that you are lagging.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '171', 'large', 'large\n~\n~\n~\n~\nYou spread your arms out some and meter a large-ish size.\n~\n~\n%TU spreads %PU arms out some and meters a large-ish size.\n~\n~\nYou guess that it would be large.\n~\n~\n%TU guesses that it would be large.\n~\n~\nYou indicate to %TT that it was large.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU indicates to %TT that it was large.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU indicates to you that it was large.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '172', 'laugh', 'laugh\nbelly_laugh\nlaugh_cackle\nlaugh_pointing\n~\nHAHA!!\n~\n~\n%TU laughs.\n~\n~\nYou laugh at yourself.\n~\n~\n%TU laughs at %OUself.\n~\n~\nYou laugh at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU laughs at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU laughs at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '173', 'lean', 'lean\n~\n~\n~\n~\nYou lean forward.\n~\n~\n%TU leans forward.\n~\n~\nYou lean up against a wall.\n~\n~\n%TU leans up against a wall.\n~\n~\nYou lean on %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU leans on %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU leans on you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '174', 'leer', 'leer\nface_suspicious\nface_suspicious\nface_suspicious\n~\nYou leer enviously at everyone around you.\n~\n~\n%TU leers enviously at everyone around %OU.\n~\n~\nYou leer enviously at yourself.\n~\n~\n%TU leers enviously at %OUself.\n~\n~\nYou leer enviously at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU leers enviously at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU leers enviously at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '175', 'legshake', 'legshake\n~\nshiver\n~\n~\nYour legs shake.\n~\n~\n%TU legs shake.\n~\n~\nYou shake your leg, as if trying to get something off of it.\n~\n~\n%TU shakes %PU leg, as if trying to get something off of it.\n~\n~\nYou try to shake %OT off your leg.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU tries to shake %TT off %PU leg.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU tries to shake you off %PU leg.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '176', 'lick', 'lick\n~\n~\n~\n~\nYou lick your lips.\n~\n~\n%TU licks %PU lips.\n~\n~\nYou lick yourself.\n~\n~\n%TU licks %OUself. YUCK!\n~\n~\nYou lick %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU licks %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU licks you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '178', 'lol', 'LOL\nbelly_laugh\nbelly_laugh\nlaugh\n~\nThat was funny!\n~\n~\n%TU laughs out loud.\n~\n~\nYou try to hold it in, but burst out laughing.\n~\n~\n%TU tries to hold it in, but bursts out laughing.\n~\n~\nYou laugh out loud at %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU laughs out loud at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU laughs out loud at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '179', 'lost', 'lost\nsearch\nsearch\nshrug_shoulders\n~\nLost, eh?\n~\n~\n%TU looks around, seemingly lost.\n~\n~\nYou look around, utterly lost.\n~\n~\nUh-oh! %TU is utterly lost.\n~\n~\nYou think %ST is lost, eh?\n~\n~\n~\n~\n~\n~\n~\n~\n%TU thinks %TT is lost.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU thinks you are lost.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '180', 'love', 'love\naccept_affection\nhug_self\naccept_affection\n~\nAin\'t love grand?\n~\n~\nWoowoo! %TU is in love!\n~\n~\nYou love being you!\n~\n~\n%TU loves being %TU.\n~\n~\nYou profess your love to %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU loves %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU loves you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '181', 'luck', 'luck\n~\n~\n~\n~\nFeeling lucky?\n~\n~\n%TU is feeling lucky!\n~\n~\nYou wish yourself the best of luck!\n~\n~\n%TU wishes %OUself the best of luck!\n~\n~\nGood luck, %TT!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU wishes %TT good luck!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU wishes you good luck!\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '182', 'manual', 'manual\n~\n~\n~\n~\nYou produce the manual and suggest a quick read.\n~\n~\n%TU produces the manual and suggests a quick read.\n~\n~\nYou refer to the manual.\n~\n~\n%TU refers to the manual.\n~\n~\nYou politely suggest reading the manual to %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU directs %TT to the manual and suggests %ST read it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU directs you to the manual and suggests you read it.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '183', 'medium', 'medium\nmedium\nmedium\nmedium\n~\nYou spread your arms out a bit and signify a medium size.\n~\n~\n%TU spreads %PU arms out a bit and signifies a medium size.\n~\n~\nYou guess that it would be about medium sized.\n~\n~\n%TU guesses that it would be about medium sized.\n~\n~\nYou indicate to %TT that it was about medium sized.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU indicates to %TT that it was about medium sized.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU indicates to you that it was about medium sized.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '184', 'melt', 'melt\n~\nhug_self\naccept_affection\n~\nYou melt.\n~\n~\n%TU melts.\n~\n~\nYou melt into your own arms.\n~\n~\n%TU melts into %PU own arms.\n~\n~\nYou melt into %PT arms.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU melts into %TT\'s arms.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU melts into your arms.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '185', 'mimic', 'mimic\n~\n~\n~\n~\nYou mimic passers-by.\n~\n~\n%TU mimics passers-by.\n~\n~\nYou mimic yourself.\n~\n~\n%TU mimics %OUself.\n~\n~\nYou mimic %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU mimics %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU mimics you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '186', 'mirror', 'mirror\n~\n~\n~\n~\nYou hold up a mirror.\n~\n~\n%TU holds up a mirror.\n~\n~\nYou pull a mirror from your pack and check your appearance.\n~\n~\n%TU pulls a mirror from %PU pack and checks %PU appearance.\n~\n~\nYou hold up a mirror up for %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU holds up a mirror for %TT to look in.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU holds up a mirror up for you to look in. Is %SU trying to say something?\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '187', 'mope', 'mope\nslump_head\nslump_head\nslump_head\n~\nYou mope.\n~\n~\n%TU mopes.\n~\n~\nYou mope around.\n~\n~\n%TU mopes around.\n~\n~\nYou mope about %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU mopes about %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU mopes about you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '188', 'mosh', 'mosh\n~\n~\n~\n~\nYou mosh about, bumping into everyone.\n~\n~\n%TU moshes about, bumping into everyone.\n~\n~\nYou mosh by yourself, looking quite strange.\n~\n~\n%TU moshes by %OUself, looking quite strange.\n~\n~\nYou mosh into %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU moshes in to %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU moshes into you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '189', 'mourn', 'mourn\nweeping\nweeping\nweeping\n~\nYou mourn.\n~\n~\n%TU mourns.\n~\n~\nYou mourn the loss of friends.\n~\n~\n%TU mourns the loss of %PU friends.\n~\n~\nYou mourn for %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU mourns %TT\'s losses.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU mourns your losses.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '190', 'mutter', 'mutter\n~\n~\n~\n~\nYou mutter.\n~\n~\n%TU mutters.\n~\n~\nYou mutter about yourself.\n~\n~\n%TU mutters about %OUself.\n~\n~\nYou mutter something snide about %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU mutters something snide about %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU mutters something snide about you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '191', 'nails', 'nails\n~\n~\n~\n~\nYou drag your nails down a stony surface creating an annoying, high-pitched sound.\n~\n~\n%TU drags %PU nails down a stony surface creating an annoying, high-pitched sound.\n~\n~\nYou blow on your nails and buff them on your clothes.\n~\n~\n%TU blows on %PU nails and buffs them on %PU clothes.\n~\n~\nYou drag the edge of a fingernail down the side of %PT neck.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU drags the edge of a fingernail down the side of %TT\'s neck.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU drags the edge of a fingernail down the side of your neck.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '192', 'nap', 'nap\nslump_head\nslump_head\nslump_head\n~\nYou take a quick nap.\n~\n~\n%TU takes a quick nap.\n~\n~\nYou find a nice place to rest and settle in for a quick nap.\n~\n~\n%TU finds a nice place to rest and settles in for a quick nap.\n~\n~\nYou curl up in %PT lap and settle in for a catnap.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU curls up in %TT\'s lap and settles in for a catnap.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU curls up in your lap and settles in for a catnap.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '193', 'nausea', 'nausea\nface_grimace\ncover_mouth\nface_grimace\n~\nYou feel nauseous.\n~\n~\n%TU pales and looks nauseous.\n~\n~\nYou suddenly feel nauseous and quickly cover your mouth.\n~\n~\n%TU suddenly pales, looking nauseous, as %SU quickly covers %PU mouth.\n~\n~\nYou look at %TT, suddenly feeling nauseous.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU looks at %TT, suddenly looking nauseous.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU looks at you, suddenly looking nauseous. What did you do?\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '194', 'nelson', 'nelson\n~\n~\n~\n~\nYou practice your full nelson maneuver.\n~\n~\n%TU practices %PU full nelson maneuver.\n~\n~\nYou try to put yourself in a full nelson.\n~\n~\n%TU tries to put %OUself in a full nelson.\n~\n~\nWith a single swift move, you put %TT in a full nelson.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU puts %TT in a full nelson.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU puts you in a full nelson.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '196', 'nod', 'nod\nnod_head_once\nnod\nnod \n~\nYou nod.\n~\n~\n%TU nods.\n~\n~\nYou nod at yourself reassuringly.\n~\n~\n%TU nods at %OUself reassuringly.\n~\n~\nYou nod at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU nods at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU nods at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '197', 'nono', 'nono\nwave_finger_warning\nwave2\nrefuse_offer_formal\n~\nYou wag your finger as if saying, \"No-No\".\n~\n~\n%TU wags %PU finger as if saying, \"No-No\".\n~\n~\nYou decline with the shake of an opened hand.\n~\n~\n%TU declines with the shake of an opened hand.\n~\n~\nYou wag a finger negatively at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU wags a finger negatively at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU wags a finger negatively at you. \"That is a No-No.\"\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '198', 'noogie', 'noogie\n~\n~\n~\n~\nYou look for a noogie target.\n~\n~\n%TU looks around for a noogie target.\n~\n~\nYou give yourself a noogie.\n~\n~\n%TU gives %OUself a noogie.\n~\n~\nYou give %OT a noogie.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU gives %TT a noogie.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU gives you a noogie.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '199', 'nose', 'nose\nsmell_air\nsmell_air\nsmell_air\n~\nYou put your nose in the air.\n~\n~\n%TU puts %PU nose in the air.\n~\n~\nYou touch the tip of your nose.\n~\n~\n%TU touches the tip of %PU nose.\n~\n~\nYou raise your nose at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU raises %PU nose at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU raises %PU nose at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '200', 'nudge', 'nudge\n~\n~\n~\n~\nYou nudge everyone.\n~\n~\n%TU nudges everyone.\n~\n~\nYou try to nudge yourself.\n~\n~\n%TU tries to nudge %OUself.\n~\n~\nYou nudge %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU nudges %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU nudges you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '201', 'nuzzle', 'nuzzle\n~\nhug_self\naccept_affection\n~\nYou make a nuzzling motion.\n~\n~\n%TU makes a nuzzling motion.\n~\n~\nYou nuzzle yourself.\n~\n~\n%TU nuzzles %OUself.\n~\n~\nYou nuzzle %PT neck.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU nuzzles against %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU nuzzles your neck. Feels good, don\'t it?\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '202', 'omg', 'OMG\ncover_mouth\n~\ncover_mouth\n~\nOMG!\n~\n~\n%TU looks shocked and says, \"Oh my gosh!\"\n~\n~\nYou clasp your hand over your forehead and exclaim, \"Oh my gosh!\"\n~\n~\n%TU clasps %PU hand over %PU forehead and exclaims, \"Oh my gosh!\"\n~\n~\nOh my gosh, %TT!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU looks at %TT with a stunned expression and exclaims, \"Oh my gosh!\"\n~\n~\n~\n~\n~\n~\n~\n~\n%TU looks at you with a stunned expression and exclaims, \"Oh my gosh!\"\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '203', 'oneknee', 'oneknee\n~\n~\n~\n~\nYou take a knee.\n~\n~\n%TU takes a knee.\n~\n~\nYou take a knee and bow your head.\n~\n~\n%TU takes a knee and bows %PU head.\n~\n~\nYou take a knee before %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU takes a knee before %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU takes a knee before you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '204', 'opossum', 'opossum\n~\n~\n~\n~\nYou play dead.\n~\n~\n%TU plays dead.\n~\n~\nYou keel over and play dead.\n~\n~\n%TU keels over and plays dead.\n~\n~\nYou look with fear upon %TT, fall to the ground, and play dead.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU looks upon %TT with fear, falls to the ground, and plays dead.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU looks upon you with fear, falls to the ground, and plays dead.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '205', 'wildpanic', 'wildpanic\ngesticulate_wildly\ngesticulate_wildly\ngesticulate_wildly\n~\nAAAAAAYYYYYYEEEEEEEE!!!\n~\n~\n%TU panics.\n~\n~\nYou panic about, waving your hands in the air.\n~\n~\n%TU panics about, waving %PU hands in the air.\n~\n~\nYou panic about %TT, waving your hands in the air.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU panics about %TT, waving %PU hands in the air.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU panics about you, waving %PU hands in the air.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '206', 'pant', 'pant\n~\n~\n~\n~\nYou pant.\n~\n~\n%TU pants.\n~\n~\nYou hang your tongue out and pant like a dog.\n~\n~\n%TU hangs %PU tongue out and pants like a dog.\n~\n~\nYou pant at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU pants at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU pants at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '207', 'pat', 'pat\n~\npat\n~\n~\nYou pat your head.\n~\n~\n%TU pats %PU head.\n~\n~\nYou pat yourself on the back.\n~\n~\n%TU pats %OUself on the back.\n~\n~\nYou pat %OT on the head.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU pats %TT on the head.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU pats you on the head.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '208', 'peer', 'peer\nface_suspicious\nface_squint\nface_squint\n~\nYou peer around.\n~\n~\n%TU peers around.\n~\n~\nYou peer at yourself.\n~\n~\n%TU peers at %OUself.\n~\n~\nYou peer at %TT. What is %ST up to?\n~\n~\n~\n~\n~\n~\n~\n~\n%TU squints %PU eyes and peers at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU squints %PU eyes and peers at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '209', 'peptalk', 'peptalk\nstanding_raise_fist\nstanding_raise_fist\nstanding_raise_fist\n~\nGO TEAM!\n~\n~\n%TU gives everyone a pep-talk.\n~\n~\nGO ME!\n~\n~\n%TU gives %OUself a pep-talk.\n~\n~\nYou can do it, %TT!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU gives %TT a pep-talk.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU gives you a pep-talk.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '210', 'pet', 'pet\npet_creature_medium\n~\npet_medium\n~\nYou reach out and pet an imaginary creature.\n~\n~\n%TU reaches out and pets an imaginary creature.\n~\n~\nYou pet yourself.\n~\n~\n%TU pets %OUself.\n~\n~\nYou pet %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU pets %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU pets you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '211', 'peyoo', 'peyoo\nhold_nose\nsmell_armpit\nwave_on_directing\n~\nPEEEEEYYYOOOO!!\n~\n~\n%TU waves %PU hand in front of %PU nose and complains about the stench.\n~\n~\nYou sniff yourself and realize you reek.\n~\n~\n%TU sniffs %PU underarm and gets a sour face at the awful stench.\n~\n~\nYou look at %OT with a sour face and try to waft the stench away.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU looks at %TT with a sour face and tries to waft the stench away.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU looks at you with a sour face and tries to waft the stench away.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '212', 'pillow', 'pillow\n~\n~\n~\n~\nPILLOW FIGHT!\n~\n~\n%TU pulls out a pillow and starts beating everyone with it.\n~\n~\nYou tear up a pillow, sending feathers everywhere.\n~\n~\n%TU tears up a pillow, sending feathers everywhere.\n~\n~\nYou throw a pillow at %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU throws a pillow at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU throws a pillow at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '213', 'pinch', 'pinch\n~\n~\n~\n~\nYou make pinching motions like a shenk.\n~\n~\n%TU makes pinching motions like a shenk.\n~\n~\nAre you dreaming?\n~\n~\n%TU pinches %OUself to check if %SU is dreaming.\n~\n~\nYou pinch %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU pinches %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU pinches you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '214', 'plugears', 'plugears\ncover_ears_mocking\ncover_ears_mocking\ncover_ears_mocking\n~\nYou plug your ears.\n~\n~\n%TU plugs %PU ears.\n~\n~\nYou stick your fingers in your ears.\n~\n~\n%TU sticks %PU fingers in %PU ears to plug them.\n~\n~\nYou plug your ears and try to tune %OT out. LA LA LA LA LA.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU plugs %PU ears and tries to tune %TT out.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU plugs %PU ears and tries to tune you out.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '215', 'plugnose', 'plugnose\nhold_nose\nhold_nose\nhold_nose\n~\nYou pinch your nose shut.\n~\n~\n%TU punches %PU nose shut.\n~\n~\nYou pinch your nose shut with a clothes pin.\n~\n~\n%TU pinches %PU nose shut with a clothes pin.\n~\n~\nYou plug your nose at %TT\'s stench.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU plugs %PU nose at %TT\'s stench.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU plugs %PU nose at your stench.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '216', 'poke', 'poke\npoke\n~\npoke\n~\nPoke. Poke.\n~\n~\n%TU systematically pokes everyone in the ribs.\n~\n~\nYou poke yourself in the ribs, looking very sheepish.\n~\n~\n%TU pokes %OUself in the ribs, looking very sheepish.\n~\n~\nYou poke %OT in the ribs.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU pokes %TT in the ribs.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU pokes you in the ribs.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '217', 'ponder', 'ponder\nrub_chin_thoughtful\nrub_chin_thoughtful\nrub_chin_thoughtful\n~\nYou ponder.\n~\n~\n%TU ponders.\n~\n~\nYou ponder your existence.\n~\n~\n%TU ponders %PU existence.\n~\n~\nYou ponder about %OT. Hrmmm.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU ponders about %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU ponders about you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '218', 'pout', 'pout\nface_pout\nface_pout\nface_pout\n~\nYou pout.\n~\n~\n%TU pouts.\n~\n~\nYou pout at yourself.\n~\n~\n%TU pouts at %OUself.\n~\n~\nYou pout at %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU pouts at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU pouts at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '219', 'preen', 'preen\nhair_flip\nhair_flip\nhair_flip\n~\nYou preen.\n~\n~\n%TU preens.\n~\n~\nYou preen like a feline.\n~\n~\n%TU preens like a feline.\n~\n~\nYou preen gloatingly at %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU preens gloatingly at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU preens gloatingly at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '220', 'primp', 'primp\nhair_flip\nhair_flip\nhair_flip\n~\nYou primp.\n~\n~\n%TU primps.\n~\n~\nYou pull a mirror from your pack and primp yourself.\n~\n~\n%TU pulls a mirror from %PU pack and primps %OUself.\n~\n~\nYou primp yourself for %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU primps %OUself for %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU primps %OUself for you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '221', 'prod', 'prod\n~\n~\n~\n~\nYou extract a nerf prod from your pack and brandish it smugly.\n~\n~\n%TU extracts a nerf prod from %PU pack and brandishes it smugly.\n~\n~\nYou prod yourself into action.\n~\n~\n%TU prods %OUself into action.\n~\n~\nYou prod %OT, trying to evoke some emotion.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU prods %TT, trying to evoke some emotion.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU prods you, trying to evoke some emotion.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '222', 'protect', 'protect\npose_proudly\npoint_to_self\npose_proudly\n~\nYou stand your ground.\n~\n~\n%TU stands %PU ground.\n~\n~\nYou indicate that you need protection.\n~\n~\n%TU indicates that %SU needs protection.\n~\n~\nYou stand defensively in front of %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU stands defensively in front of %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU stands defensively in front of you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '223', 'pucker', 'pucker\nface_grimace\nface_grimace\nface_grimace\n~\nYou pucker.\n~\n~\n%TU puckers.\n~\n~\nYou make a sour face and pucker.\n~\n~\n%TU makes a sour face and puckers.\n~\n~\nYou pucker and make \"fish faces\" at %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU puckers and makes \"fish faces\" at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU puckers and makes \"fish faces\" at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '224', 'puke', 'puke\nheavy_cough_vomit\nheavy_cough_vomit\nheavy_cough_vomit\n~\nYou puke.\n~\n~\n%TU pukes.\n~\n~\nYou puke all over yourself.\n~\n~\n%TU pukes all over %OUself.\n~\n~\nYou puke all over %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU pukes all over %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU pukes all over you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '225', 'pull', 'pull\ncelebrate1\ncelebrate1\nstanding_raise_fist\n~\nYou call out, \"PULL!\"\n~\n~\n%TU calls out, \"PULL!\"\n~\n~\nYou raise your hand in the air and pull it back down in a victorious manner.\n~\n~\n%TU raises %PU hand in the air and pulls it back down in a victorious manner.\n~\n~\nYou try to pull %OT along.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU tries to pull %TT along.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU tries to pull you along.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '226', 'punch', 'punch\n~\n~\n~\n~\nYou shadow-box.\n~\n~\n%TU shadow-boxes.\n~\n~\nYou punch yourself in the face, giving yourself a black eye.\n~\n~\n%TU punches %OUself in the face, giving %OUself a black eye.\n~\n~\nYou punch %TT in the face.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU punches %TT in the face.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU punches you in the face.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '227', 'push', 'push\nrefuse_offer_formal\ntaunt_2\ntaunt_2\n~\nYou make a pushing motion as if trying to keep things away from yourself.\n~\n~\n%TU makes pushing motions as if trying to keep things away from %OUself.\n~\n~\nYou push yourself to the ground.\n~\n~\n%TU pushes %OUself to the ground.\n~\n~\nYou push %OT away.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU pushes %TT away.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU pushes you away.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '228', 'puzzle', 'puzzle\ntap_head\nscratch_head\nrub_chin_thoughtful\n~\nYou puzzle over the current situation.\n~\n~\n%TU puzzles over the current situation.\n~\n~\nYou puzzle over your own thoughts.\n~\n~\n%TU puzzles over %PU own thoughts.\n~\n~\nYou puzzle over %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU puzzles over %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU puzzles over you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '229', 'question', 'question\n~\n~\n~\n~\nYou question the intent.\n~\n~\n%TU questions the intent.\n~\n~\nYou question your own intent.\n~\n~\n%TU questions %PU own intent.\n~\n~\nYou question %PT intent.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU questions %TT\'s intent.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU questions your intent.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '230', 'quiet', 'quiet\nshush\nshush\nshush\n~\nYou hold your finger to your lips, indicating to be quiet.\n~\n~\n%TU holds %PU finger to %PU lips, indicating to be quiet.\n~\n~\nYou quiet yourself and place your finger vertically across your lips.\n~\n~\n%TU quiet %OUself and places a finger vertically across %PU lips.\n~\n~\nYou hold an extended finger over your lips, indicating to %TT to be quiet.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU holds an extended finger over %PU lips, indicating to %TT to be quiet.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU holds an extended finger over %PU lips, indicating to you to be quiet.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '231', 'raise', 'raise\nhands_above_head\nhands_above_head\nhands_above_head\n~\nYou raise your hand.\n~\n~\n%TU raises %PU hand.\n~\n~\nYou raise your hands in the air.\n~\n~\n%TU raises %PU hands in the air.\n~\n~\nYou raise %PT hand and declare %OT the victor.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU raises %TT\'s hand and declares %OT the victor.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU raises your hand and declares you the victor.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '232', 'raspberry', 'raspberry\ntaunt3\ntaunt3\ntaunt3\n~\nYou give everyone a raspberry. PFFFFFFTTTT!!\n~\n~\n%TU gives everyone a raspberry, spraying saliva everywhere.\n~\n~\nYou give yourself a raspberry.\n~\n~\n%TU gives %OUself a raspberry.\n~\n~\nYou give %OT a raspberry.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU gives %TT a raspberry.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU gives you a raspberry.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '233', 'ready', 'ready\nspit_hands\n~\n~\n~\nREADY!\n~\n~\n%TU is ready to go!\n~\n~\nYou check to see if you are ready.\n~\n~\n%TU checks to see if %SU is ready.\n~\n~\nI\'m ready, %TT!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU lets %TT know that %SU is ready!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU lets you know that %SU is ready!\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '234', 'reassure', 'reassure\nstanding_placate\nstanding_placate\nstanding_placate\n~\nYou reassure everyone that it will turn out OK.\n~\n~\n%TU reassures everyone that it will turn out OK.\n~\n~\nYou reassure yourself that everything will be OK.\n~\n~\n%TU reassures %OUself that everything will be OK.\n~\n~\nYou reassure %OT that everything will be fine.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU reassures %TT that everything will be fine.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU reassures you that everything will be fine.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '235', 'callretreat', 'callretreat\npoint_away\npoint_away\npoint_away\n~\nRETREAT!!\n~\n~\n%TU gives the signal to RETREAT!!\n~\n~\nYou prepare to retreat.\n~\n~\n%TU prepares to retreat.\n~\n~\nYou give %TT the signal to retreat.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU gives %TT the signal to retreat.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU gives you the signal to retreat.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '236', 'roar', 'roar\n~\n~\n~\n~\nROOOOOOAAAAARRRRRR!!!!\n~\n~\n%TU ROARS!\n~\n~\nYou roar loudly at yourself.\n~\n~\n%TU roars loudly at %OUself.\n~\n~\nYou roar loudly at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU roars loudly at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU roars loudly at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '237', 'rofl', 'ROFL\nrofl\nrofl\nrofl\n~\nWant a hand getting up?\n~\n~\n%TU rolls on the floor laughing.\n~\n~\nYou roll on the floor laughing at yourself.\n~\n~\n%TU rolls on the floor laughing at %OUself.\n~\n~\nYou roll on the floor laughing at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU rolls on the floor laughing at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU rolls on the floor laughing at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '238', 'rolleyes', 'rolleyes\nface_eye_roll\nface_eye_roll\nface_eye_roll\n~\nYou roll your eyes.\n~\n~\n%TU rolls %PU eyes.\n~\n~\nYou roll your eyes and they fall back into your skull.\n~\n~\n%TU rolls %PU eyes and they fall back into %PU skull.\n~\n~\nYou roll your eyes at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU rolls %PU eyes at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU rolls %PU eyes at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '239', 'rose', 'rose\nrose\n~\nrose\n~\nYou extend a rose and offer it.\n~\n~\n%TU extends a rose and offers it.\n~\n~\nYou give yourself a rose and smell deeply of its scent.\n~\n~\n%TU gives %OUself a rose and smells deeply of its scent.\n~\n~\nYou give %TT a rose.  -----`---,---<@\n~\n~\n~\n~\n~\n~\n~\n~\n%TU gives %TT a rose.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU gives you a rose. -----`---,---<@\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '240', 'ruffle', 'ruffle\n~\n~\n~\n~\nYou look ruffled.\n~\n~\n%TU looks ruffled.\n~\n~\nYou ruffle your own hair.\n~\n~\n%TU ruffles %PU own hair.\n~\n~\nYou ruffle %PT hair.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU ruffles %TT\'s hair.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU ruffles your hair.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '241', 'salute', 'salute\nsalute1\nsalute1\nsalute2\n~\nYou salute.\n~\n~\n%TU salutes.\n~\n~\nYou stand at attention and salute yourself.\n~\n~\n%TU stands at attention and salutes %OUself.\n~\n~\nYou salute %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU salutes %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU salutes you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '242', 'scare', 'scare\nscare\n~\nscare\n~\nBOO!\n~\n~\n%TU tries to scare everyone. BOO!\n~\n~\nYou scare yourself.\n~\n~\n%TU scares %OUself.\n~\n~\nYou sneak up and try to scare %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU tries to sneak up and scare %TT.\n~\n~\n~\n~\n~\n~\n~\n~\nBOO! %TU tries to sneak up and scare you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '243', 'scared', 'scared\nscared\nscared\ntaken_aback\n~\nYou jump and whip around to face the noise.\n~\n~\n%TU jumps and whips around to face the noise.\n~\n~\nYou shrink away, looking very scared.\n~\n~\n%TU shrinks away, looking very scared.\n~\n~\nYou shrink away from %TT, looking very scared of %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shrinks away from %TT, looking very scared of %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shrinks away from you, looking very scared.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '244', 'scold', 'scold\npoint_accusingly\nsmack_self\npoint_accusingly\n~\nYou produce a measuring stick and brandish it authoritatively.\n~\n~\n%TU produces a measuring stick and brandishes it authoritatively.\n~\n~\nYou scold yourself with slap on the hand.\n~\n~\n%TU scolds %OUself with a slap on the hand.\n~\n~\nYou scold %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU scolds %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU scolds you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '245', 'scratch', 'scratch\nscratch_head\n~\n~\n~\nYou scratch an itch.\n~\n~\n%TU scratches an itch.\n~\n~\nYou scratch the nape of your neck pensively.\n~\n~\n%TU scratches the nape of %PU neck pensively.\n~\n~\nYou scratch %PT back.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU scratches %TT\'s back.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU scratches your back.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '246', 'scream', 'scream\nscream\nscream\nscream\n~\nAAAARRRRRGGGGHHHHH!!!\n~\n~\n%TU screams.\n~\n~\nYou scream loudly at yourself in frustration.\n~\n~\n%TU screams loudly at %OUself in frustration.\n~\n~\nYou scream with frustration in %PT ear.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU screams with frustration in %TT\'s ear.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU screams with frustration in your ear.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '247', 'seenoevil', 'seenoevil\n~\n~\n~\n~\nSEE NO EVIL!!\n~\n~\n%TU covers %PU eyes.\n~\n~\nYou peek through your fingers covering your eyes.\n~\n~\n%TU peeks through %PU fingers covering %PU eyes.\n~\n~\nYou peek through your fingers at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU peeks through %PU fingers at %TT\n~\n~\n~\n~\n~\n~\n~\n~\n%TU peeks through %PU fingers at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '248', 'shake', 'shake\nshake_head_no\nshake_head_disgust\nshake_head_no\n~\nYou shake your head negatively.\n~\n~\n%TU shakes %PU head negatively.\n~\n~\nYou shake your head negatively at yourself.\n~\n~\n%TU shakes %PU head negatively at %OUself.\n~\n~\nYou shake your head negatively at %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shakes %PU head negatively at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shakes %PU head negatively at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '249', 'sharpen', 'sharpen\n~\n~\n~\n~\nYou sharpen your nails.\n~\n~\n%TU sharpens %PU nails.\n~\n~\nYou sharpen your teeth with a file.\n~\n~\n%TU sharpens %PU teeth with a file.\n~\n~\nYou sharpen a blade menacingly at %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU sharpens a blade menacingly at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU sharpens a blade menacingly at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '250', 'shiver', 'shiver\nshiver\nshiver\nshiver\n~\nYou shiver.\n~\n~\n%TU shivers.\n~\n~\nYou shiver and rub your arms in an attempt to warm up.\n~\n~\n%TU shivers and rubs %PU arms in an attempt to warm up.\n~\n~\nYou shiver at the coldness surrounding %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shivers at the coldness surrounding %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shivers at the coldness surrounding you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '251', 'shower', 'shower\n~\n~\n~\n~\nYou go to take a shower.\n~\n~\n%TU is going to take a shower.\n~\n~\nYou shower yourself in water from a jug.\n~\n~\n%TU showers %OUself in water from a jug.\n~\n~\nYou politely inform %TT that %ST needs to take a shower.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU thinks %TT needs to take a shower.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU thinks you need to take a shower.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '252', 'shrug', 'shrug\nshrug_hands\nshrug_shoulders\nhuh\n~\nYou shrug.\n~\n~\n%TU shrugs.\n~\n~\nYou shrug your shoulders helplessly.\n~\n~\n%TU shrugs %PU shoulders helplessly.\n~\n~\nYou shrug helplessly at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shrugs helplessly at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shrugs helplessly at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '253', 'shudder', 'shudder\nshiver\nshiver\nshiver\n~\nYou shudder.\n~\n~\n%TU shudders.\n~\n~\nYou shudder at the thought.\n~\n~\n%TU shudders at the thought.\n~\n~\nYou shudder at %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shudders at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shudders at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '254', 'shush', 'shush\nshush\nshush\nshush\n~\nSHUSH!\n~\n~\n%TU tries to quiet everyone down.\n~\n~\nYou shush yourself.\n~\n~\n%TU shushes %OUself.\n~\n~\nYou quickly shush %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shushes %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shushes you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '256', 'sigh', 'sigh\nface_sigh\nface_sigh\nsigh_deeply\n~\nYou sigh.\n~\n~\n%TU sighs.\n~\n~\nYou sigh with relief.\n~\n~\n%TU gives a sigh of relief.\n~\n~\nYou sigh at %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU sighs at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU sighs at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '258', 'skip', 'skip\n~\n~\n~\n~\nYou skip around the area.\n~\n~\n%TU skips around the area.\n~\n~\nYou skip in figure eights.\n~\n~\n%TU skips in figure eights.\n~\n~\nYou skip around %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU skips around %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU skips around you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '259', 'slap', 'slap\nsmack_self\nsmack_self\n~\n~\nWAKE UP! You slap yourself in the face. *SMACK!*\n~\n~\n%TU looks groggy and slaps %OUself in the face to wake up.\n~\n~\nYou slap yourself silly.\n~\n~\n%TU slaps %OUself silly.\n~\n~\nYou slap %OT across the face.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU slaps %TT across the face.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU slaps you across the face.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '260', 'slobber', 'slobber\n~\n~\n~\n~\nNeed a bib?\n~\n~\n%TU slobbers as %SU chews on a pacifier.\n~\n~\nYou slobber all over yourself.\n~\n~\n%TU slobbers all over %OUself.\n~\n~\nYou slobber all over %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU slobbers all over %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU slobbers all over you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '261', 'small', 'small\nsmall\nsmall\nsmall\n~\nYou hold your hands about 2 fists apart, signifying it was small.\n~\n~\n%TU holds %PU hands about 2 fists apart, signifying it was small.\n~\n~\nYou guess that it would be small.\n~\n~\n%TU guesses it would be small.\n~\n~\nYou indicate to %TT that it was small.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU indicates to %TT that it was small.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU indicates to you that it was small.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '262', 'smell', 'smell\nsmell_air\nsmell_armpit\nsmell_air\n~\nYou smell the air.\n~\n~\n%TU smells the air.\n~\n~\nYou smell yourself.\n~\n~\n%TU smells %OUself.\n~\n~\nYou smell %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU smells %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU smells you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '263', 'smile', 'smile\nface_smile\nface_smile\nface_smile\n~\nYou smile.\n~\n~\n%TU smiles.\n~\n~\nYou smile at yourself.\n~\n~\n%TU smiles at %OUself.\n~\n~\nYou smile at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU smiles at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU smiles at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '264', 'smirk', 'smirk\n~\n~\n~\n~\nYou smirk.\n~\n~\n%TU smirks.\n~\n~\nYou smirk at yourself.\n~\n~\n%TU smirks at %OUself.\n~\n~\nYou smirk at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU smirks at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU smirks at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '265', 'snap', 'snap\nsnap_finger1\nsnap_finger2\nsnap_finger1\n~\nSNAP!\n~\n~\n%TU snaps.\n~\n~\nShucks!\n~\n~\n%TU snaps at the missed opportunity.\n~\n~\nYou snap beckoningly at %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU snaps beckoningly at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU snaps beckoningly at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '266', 'snarl', 'snarl\nface_sneer\nface_sneer\nface_sneer\n~\nYou snarl, baring your teeth.\n~\n~\n%TU snarls, baring %PU teeth.\n~\n~\nYou snarl and grumble surly under your breath.\n~\n~\n%TU snarls and grumbles surly under %PU breath.\n~\n~\nYou snarl at %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU snarls at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU snarls at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '267', 'sneeze', 'sneeze\nsneeze\nsneeze\nsneeze\n~\nAAAAACHOOOO!\n~\n~\n%TU sneezes.\n~\n~\nYou sneeze, covering your hands in a mucous substance.\n~\n~\n%TU sneezes, covering %PU hands in a mucous substance.\n~\n~\nYou sneeze at %TT, covering %OT with slime.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU sneezes at %TT, covering %OT with slime.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU sneezes at you, covering you with slime.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '268', 'snicker', 'snicker\nlaugh_titter\nlaugh_titter\nlaugh_titter\n~\nYou snicker.\n~\n~\n%TU snickers.\n~\n~\nYou snicker at your own evil thoughts.\n~\n~\n%TU snickers at %PU own evil thoughts.\n~\n~\nYou snicker at %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU snickers at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU snickers at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '269', 'sniff', 'sniff\n~\n~\n~\n~\nYou sniff sadly.\n~\n~\n%TU sniffs sadly.\n~\n~\nYou sniff sadly to yourself.\n~\n~\n%TU sniffs sadly to %OUself.\n~\n~\nYou sniff sadly at %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU sniffs sadly at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU sniffs sadly at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '270', 'sniffle', 'sniffle\n~\n~\n~\n~\nYou sniffle.\n~\n~\n%TU sniffles.\n~\n~\nYou sniffle to yourself.\n~\n~\n%TU sniffles to %OUself.\n~\n~\nYou sniffle at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU sniffles at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU sniffles at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '271', 'snore', 'snore\nslump_head\nslump_head\nslump_head\n~\nYou snore loudly.\n~\n~\n%TU snores loudly.\n~\n~\nYou snore softly.\n~\n~\n%TU snores softly.\n~\n~\nYou snore loudly at %TT, displaying your boredom.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU snores loudly at %TT, displaying %PU boredom.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU snores loudly at you, display %PU boredom.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '272', 'snort', 'snort\n~\n~\n~\n~\nSNORT!\n~\n~\n%TU snorts.\n~\n~\nYou snort derisively.\n~\n~\n%TU snorts derisively.\n~\n~\nYou snort at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU snorts at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU snorts at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '273', 'soapbox', 'soapbox\nsoapbox\n~\n~\n~\nYou place a soapbox on the ground and offer the use of it.\n~\n~\n%TU places a soapbox on the ground and offers the use of it.\n~\n~\nYou place a soapbox on the ground, climb upon it, and begin to speak.\n~\n~\n%TU places a soapbox on the ground, climbs upon it, and begins to speak.\n~\n~\nYou try to pull %OT down from %PT soapbox.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU tries to pull %TT down from %PT soapbox.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU tries to pull you down from your soapbox.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '274', 'softclap', 'softclap\napplause_polite\napplause_polite\napplause_polite\n~\nYou show your approval with a soft applause.\n~\n~\n%TU shows %PU approval with a soft applause.\n~\n~\nYou give yourself a soft applause.\n~\n~\n%TU gives %OUself a soft applause.\n~\n~\nYou give %OT an approving, soft applause.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU gives %TT an approving, soft applause.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU gives you an approving, soft applause.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '275', 'spam', 'spam\n~\n~\n~\n~\nSPAM!\n~\n~\n%TU is sent reeling by the spam!\n~\n~\nYou send yourself reeling and your head spinning.\n~\n~\n%TU spams %OUself.\n~\n~\nYou tell %OT to QUIT SPAMMING!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU tells %TT to QUIT SPAMMING!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU tells you to QUIT SPAMMING!\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '276', 'speaknoevil', 'speaknoevil\ncover_mouth\ncover_mouth\ncover_mouth\n~\nYou cover your mouth.\n~\n~\n%TU covers %PU mouth.\n~\n~\nYou stare blankly forward with your hand over your mouth.\n~\n~\n%TU stares blankly forward with %PU hand over %PU mouth.\n~\n~\nYou cover your mouth and refuse to speak.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU covers %PU mouth and refuses to speak.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU covers %PU mouth and refuses to speak.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '277', 'spin', 'spin\nspin\nspin\n~\n~\nYou spin around to see who is behind you.\n~\n~\n%TU spins around to see who is behind %OU.\n~\n~\nYou spin around and make yourself dizzy.\n~\n~\n%TU spins around and makes himself dizzy.\n~\n~\nYou spin %TT around until %ST is dizzy.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU spins %TT around until %OT is dizzy.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU spins you around until you are dizzy.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '278', 'spit', 'spit\n~\n~\n~\n~\nYou spit.\n~\n~\n%TU spits.\n~\n~\nYou spit in your hands and prepare to get down to business.\n~\n~\n%TU spits in %PU hands and prepares to get down to business.\n~\n~\nYou spit at %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU spits at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU spits at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '279', 'squeeze', 'squeeze\n~\n~\n~\n~\nYou squeeze your emotion management toy.\n~\n~\n%TU squeezes %PU emotion management toy.\n~\n~\nYou squeeze yourself.\n~\n~\n%TU squeezes %OUself.\n~\n~\nYou squeeze %TT tightly.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU squeezes %TT tightly.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU squeezes you tightly.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '280', 'squirm', 'squirm\nsquirm\nsquirm\nsquirm\n~\nYou squirm.\n~\n~\n%TU squirms.\n~\n~\nYou squirm uneasily.\n~\n~\n%TU squirms uneasily.\n~\n~\nYou try to squirm away from %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU tries to squirm away from %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU tries to squirm away from you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '281', 'stare', 'stare\n~\n~\n~\n~\nYou stare blankly into space.\n~\n~\n%TU stares blankly into space.\n~\n~\nYou try to stare yourself down and go cross-eyed.\n~\n~\n%TU tries to stare %OUself down and goes cross-eyed.\n~\n~\nYou stare at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU stares at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU stares at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '283', 'steam', 'steam\nstamp_feet\nstamp_feet\nstamp_feet\n~\nYou boil with rage as steam pours from the top of your head.\n~\n~\n%TU boils with rage as steam pours from the top of %PU head.\n~\n~\nYou notice that steam is pouring off your body.\n~\n~\n%TU notices that steam is pouring off %PU body.\n~\n~\nYou boil over with rage at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU boils over with rage at %TT, as steam pours from %PU ears.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU boils over with rage at you, as steam pours from %PU ears.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '284', 'stink', 'stink\nsmell_air\nsmell_armpit\npoint_accusingly\n~\nWhat is that smell?!\n~\n~\n%TU gets a sour face and wonders what the stink is.\n~\n~\nUGH! You DO stink!\n~\n~\n%TU reeks and knows it.\n~\n~\nThat bad huh? Guess so since you just told %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU thinks %TT stinks.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU thinks you stink.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '285', 'stomp', 'stomp\nstamp_feet\nstamp_feet\nstamp_feet\n~\n*STOMP* *STOMP*\n~\n~\n%TU stomps around.\n~\n~\nYou stomp around, ready to mosh.\n~\n~\n%TU stomps around, ready to mosh.\n~\n~\nYou stomp on %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU stomps on %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU stomps on you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '286', 'strangle', 'strangle\nstrangle_other\nstrangle_self\nstrangle_other\n~\nYou strangle yourself.\n~\n~\n%TU strangles %OUself.\n~\n~\nYour eyes bulges from your skull due to lack of breathable air.\n~\n~\n%TU\'s eyes bulge from %PU skull due to lack of breathable air.\n~\n~\nYou strangle %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU strangles %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU strangles you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '287', 'stretch', 'stretch\nstretch\nstretch\n~\n~\nYou stretch.\n~\n~\n%TU stretches.\n~\n~\nYou warm up with a few stretching exercises.\n~\n~\n%TU warms up with a few stretching exercises.\n~\n~\nYou help %OT stretch.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU helps %TT stretch.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU helps you stretch.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '288', 'strut', 'strut\nstrut\nchicken\nstrut\n~\nYou strut.\n~\n~\n%TU struts.\n~\n~\nYou strut about like a lantern bird displaying his feathers.\n~\n~\n%TU struts about like a lantern bird displaying his feathers.\n~\n~\nYou strut around %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU struts around %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU struts around you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '289', 'sulk', 'sulk\nface_pout\nface_pout\nface_pout\n~\nYou sulk.\n~\n~\n%TU sulks.\n~\n~\nYou sulk to yourself.\n~\n~\n%TU sulks to %OUself.\n~\n~\nYou sulk at %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU sulks at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU sulks at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '290', 'summon', 'summon\nbeckon\nflex_biceps\nbeckon\n~\nYou make a summoning gesture.\n~\n~\n%TU makes a summoning gesture.\n~\n~\nYou summon all of your strength and courage.\n~\n~\n%TU summons all of %PU strength and courage.\n~\n~\nYou summon %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU summons %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU summons you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '291', 'surprised', 'surprised\nface_surprised\nface_surprised\nface_surprised\n~\nSurprising, isn\'t it?\n~\n~\n%TU suddenly looks surprised.\n~\n~\nYou look at yourself, completely surprised.\n~\n~\n%TU looks at %OUself, completely surprised.\n~\n~\nYou look at %OT, completely surprised.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU looks at %TT, completely surprised.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU looks at you, completely surprised.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '292', 'surrenderself', 'surrenderself\nhands_behind_head\nhands_behind_head\nhands_behind_head\n~\nYou surrender.\n~\n~\n%TU surrenders.\n~\n~\nYou surrender yourself to your base instincts.\n~\n~\n%TU surrenders %OUself to %PU base instincts.\n~\n~\nYou concede and surrender to %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU concedes and surrenders to %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU concedes and surrenders to you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '293', 'swat', 'swat\n~\nsmack_self\n~\n~\nYou swat at the air frantically.\n~\n~\n%TU swats at the air frantically.\n~\n~\nYou swat yourself.\n~\n~\n%TU swats %OUself.\n~\n~\nYou swat %OT like an insect.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU swats %TT like an insect.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU swats you like an insect.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '294', 'sweat', 'sweat\nsweat\nsweat\nsweat\n~\nYou sweat profusely.\n~\n~\n%TU sweats profusely.\n~\n~\nYou wipe the sweat from your brow and fling it to the ground.\n~\n~\n%TU wimps the sweat from %PU brow and flings it to the ground.\n~\n~\nYou shake your body like a canine sending sweat flying at %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shakes %PU body like a canine sending sweat flying at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shakes %PU body like a canine sending sweat flying at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '295', 'sweep', 'sweep\n~\n~\n~\n~\nYou sweep the floor.\n~\n~\n%TU sweeps the floor.\n~\n~\nYou try your best to look busy and sweep the floor.\n~\n~\n%TU tries to look busy and sweeps the floor.\n~\n~\nYou hand %OT a broom.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU hands %TT a broom.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU hands you a broom. Get to it!\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '296', 'tackle', 'tackle\n~\n~\n~\n~\nYou hunker down into a three-point stance.\n~\n~\n%TU hunkers down into a three-point stance.\n~\n~\nYou tackle yourself to the ground.\n~\n~\n%TU tackles %OUself to the ground.\n~\n~\nYou tackle %OT to the ground.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU tackles %TT to the ground.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU tackles you to the ground.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '297', 'tag', 'tag\n~\n~\n~\n~\nYou announce that you are playing tag.\n~\n~\n%TU announce that %SU is playing tag.\n~\n~\nWho\'s it?\n~\n~\n%TU wonders who is \"it\".\n~\n~\nTAG! You\'re it, %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU tags %TT.\n~\n~\n~\n~\n~\n~\n~\n~\nTAG! You\'re it! %TU tags you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '298', 'tantrum', 'tantrum\nstamp_feet\nstamp_feet\nstamp_feet\n~\nYou throw a tantrum.\n~\n~\n%TU throws a tantrum.\n~\n~\nYou know you were wrong but throw a fit anyway.\n~\n~\n%TU knows %SU was wrong but throws a fit anyway.\n~\n~\nYou throw a tantrum at %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU throws a tantrum at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU throws a tantrum at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '299', 'tap', 'tap\ntap_foot\ntap_foot\ntap_foot\n~\nYou tap your foot impatiently.\n~\n~\n%TU taps %PU foot impatiently.\n~\n~\nYou tap your fingers on the table.\n~\n~\n%TU taps %PU fingers on the table.\n~\n~\nYou tap %TT on %PT shoulder.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU taps %TT on %PT shoulder.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU taps you on the shoulder.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '300', 'provoke', 'provoke\ntaunt3\ntaunt2\ntaunt1\n~\nNeener Neener!\n~\n~\n%TU taunts everyone. Neener Neener!\n~\n~\nYou taunt yourself and succeed in getting upset.\n~\n~\n%TU taunts %OUself and succeeds in getting upset.\n~\n~\nYou taunt %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU taunts %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU taunts you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '301', 'tease', 'tease\n~\nhair_flip\ntaunt3\n~\nJust teasing!\n~\n~\n%TU was just teasing.\n~\n~\nYou tease your hair.\n~\n~\n%TU teases %PU hair.\n~\n~\nYou tease %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU teases %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU teases you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '302', 'thank', 'thank\nthank\n~\nthank\n~\nYou thank everyone.\n~\n~\n%TU thanks everyone.\n~\n~\nYou thank yourself.\n~\n~\n%TU thanks yourself.\n~\n~\nYou thank %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU thanks %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU thanks you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '304', 'thirst', 'thirst\n~\n~\n~\n~\nFeeling parched?\n~\n~\n%TU is parched.\n~\n~\nYou feel so thirsty and beg for a drink.\n~\n~\n%TU looks parched and begs for a drink.\n~\n~\nYou beg %TT for a drink.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU begs %TT for a drink.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU begs you for a drink.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '305', 'throwat', 'throwat\nthrowat\n~\nthrowat\n~\nYou throw pebble-sized stones, aimlessly passing the time.\n~\n~\n%TU throws pebble-sized stones, aimlessly passing the time.\n~\n~\nYou throw yourself at the enemy.\n~\n~\n%TU throws %OUself at the enemy.\n~\n~\nYou throw %TT at the enemy.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU throws %TT at the enemy.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU throws you at the enemy.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '306', 'throwdown', 'throwdown\nthrowdown\nthrowdown\nthrowdown\n~\nYou throw down the gauntlet.\n~\n~\n%TU throws down the gauntlet.\n~\n~\nThere can only be one!\n~\n~\n%TU throws down the gauntlet and wonders if anyone will take %PU challenge.\n~\n~\nYou throw down the gauntlet at %PT feet.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU throws down the gauntlet at %TT\'s feet.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU throws down the gauntlet at your feet.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '307', 'thxinfo', 'thxinfo\n~\n~\n~\n~\nTHX INFO!\n~\n~\n%TU thanks everyone for the information.\n~\n~\nk.thxinfo.byebye now.\n~\n~\n%TU appreciated that sharing of information. NOT!\n~\n~\nYou thank %OT for the information.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU thanks %TT for the information.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU thanks you for the information.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '308', 'tickle', 'tickle\ntickle\n~\ntickle\n~\nTime for the feather tickle torture?\n~\n~\n%TU pulls a long feather from %PU pack.\n~\n~\nYou tickle yourself.\n~\n~\n%TU tickles %OUself.\n~\n~\nYou tickle %OT mercilessly.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU tickles %TT mercilessly.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU tickles you mercilessly.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '309', 'tiny', 'tiny\ntiny\ntiny\ntiny\n~\nYou mark an approximation with your forefinger and thumb. It was tiny.\n~\n~\n%TU marks an approximation with %PU forefinger and thumb. It was tiny.\n~\n~\nYou guess that it would be tiny.\n~\n~\n%TU guesses it would be tiny.\n~\n~\nYou indicate to %TT with your forefinger and thumb that it was tiny.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU indicates to %TT with %PU forefinger and thumb that it was tiny.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU indicates to you with %PU forefinger and thumb that it was tiny.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '310', 'tiphat', 'tiphat\ntiphat\n~\ntiphat\n~\nYou tip your hat.\n~\n~\n%TU tips %PU hat.\n~\n~\nYou tip your hat to yourself.\n~\n~\n%TU tips %PU hat to %OUself.\n~\n~\nYou tip your hat to %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU tips %PU hat to %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU tips %PU hat to you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '311', 'tiptoe', 'tiptoe\n~\n~\n~\n~\nYou tiptoe though the area.\n~\n~\n%TU tiptoes through the area.\n~\n~\nYou practice tiptoeing silently.\n~\n~\n%TU practices tiptoeing silently.\n~\n~\nYou try to tiptoe past %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU tries to tiptoe past %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU tries to tiptoe past you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '312', 'tmi', 'TMI\ntaunt2\n~\ntaunt2\n~\nTOO MUCH INFO!!\n~\n~\n%TU proclaims that was TOO MUCH INFO!!\n~\n~\nSorry everyone! TMI!\n~\n~\nSorry everyone! %TU apologizes for %PU TMI offense.\n~\n~\nYou politely inform %OT that was too much info.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU brands %TT a TMI offender.\n~\n~\n~\n~\n~\n~\n~\n~\nTMI! That was too much info! Or so %TU says.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '313', 'tongue', 'tongue\n~\n~\n~\n~\nYou stick your tongue out.\n~\n~\n%TU sticks %PU tongue out.\n~\n~\nYou stick your tongue out and try to touch your nose.\n~\n~\n%TU sticks %PU tongue out and tries to touch %PU nose.\n~\n~\nYou stick your tongue out at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU sticks %PU tongue out at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU sticks %PU tongue out at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '314', 'toss', 'toss\n~\n~\n~\n~\nYou extend your arms like a child wanting to be tossed.\n~\n~\n%TU extends %PU arms like a child wanting to be tossed.\n~\n~\nYou toss yourself into the air and land flat on your face.\n~\n~\n%TU tosses %OUself into the air and lands flat on %PU face.\n~\n~\nYou toss %OT into the air.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU tosses %TT into the air.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU tosses you into the air. WHEE!!\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '315', 'tsktsk', 'tsktsk\nwave_finger_warning\nwave_finger_warning\nwave_finger_warning\n~\nYou rub one index finger over the other. Tsk Tsk.\n~\n~\n%TU rubs one index finger over the other. Tsk Tsk.\n~\n~\nYou should\'ve known better! Tsk Tsk is right.\n~\n~\n%TU agrees %SU should\'ve known better. Tsk Tsk.\n~\n~\nTsk Tsk, %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU rubs one index finger over the other at %TT. Tsk Tsk.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU rubs one index finger over the other at YOU! Tsk Tsk.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '316', 'tug', 'tug\n~\n~\n~\n~\nYou tug your gear to make sure it is secure.\n~\n~\n%TU tugs %PU gear to make sure it is secure.\n~\n~\nYou tug your sleeves and straighten out your clothes.\n~\n~\n%TU tugs %PU sleeves and straightens out %PU clothes.\n~\n~\nYou tug on %PT sleeve.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU tugs on %TT\'s sleeve.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU tugs on your sleeve.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '317', 'tweak', 'tweak\n~\n~\n~\n~\nYou tweak your neck. OUCH!\n~\n~\n%TU tweaks %PU neck. *snap* *crack* *pop*\n~\n~\nYou tweak your own nose.\n~\n~\n%TU tweaks %PU own nose.\n~\n~\nYou tweak %PT nose.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU tweaks %TT\'s nose.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU tweaks your nose.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '318', 'twibble', 'twibble\n~\n~\n~\n~\nTwibble. Twibble.\n~\n~\n%TU twibbles around aimlessly.\n~\n~\nYou twibble about in circles.\n~\n~\n%TU twibbles about in circles.\n~\n~\nYou twibble aimlessly about %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU twibbles aimlessly about %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU twibbles aimlessly about you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '319', 'twiddle', 'twiddle\n~\n~\n~\n~\nYou twiddle your thumbs.\n~\n~\n%TU twiddles %PU thumbs.\n~\n~\nYou patiently twiddle your thumbs.\n~\n~\n%TU patiently twiddles %PU thumbs.\n~\n~\nYou twiddle your thumbs at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU twiddles %PU thumbs at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU twiddles %PU thumbs at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '320', 'twirl', 'twirl\n~\n~\n~\n~\nYou twirl around gracefully.\n~\n~\n%TU twirls around gracefully.\n~\n~\nYou put a finger on top of your head and twirl like a dancer.\n~\n~\n%TU puts a finger on top of %PU head and twirls like a dancer.\n~\n~\nYou twirl %OT around gracefully.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU twirls %TT around gracefully.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU twirls you around gracefully.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '321', 'twistarm', 'twistarm\n~\n~\n~\n~\nOK. OK. Twist my arm.\n~\n~\n%TU concedes to the arm twisting.\n~\n~\nTwist it just a bit more!\n~\n~\n%TU is about to give in! Twist %PU arm just a bit more!\n~\n~\nYou twist %PT arm.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU twists %TT\'s arm.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU twists your arm.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '322', 'twitch', 'twitch\ntwitch\ntwitch\ntwitch\n~\nYou twitch.\n~\n~\n%TU twitches.\n~\n~\nYou twitch nervously.\n~\n~\n%TU twitches nervously.\n~\n~\nYou twitch at %PT comments.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU twitches at %TT\'s comments.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU twitches at your comments.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '323', 'uncle', 'uncle\n~\n~\n~\n~\nUNCLE!! UNCLE!!\n~\n~\n%TU begs for mercy. UNCLE!!\n~\n~\nSay Uncle! Say Uncle!\n~\n~\n%TU offers mercy. Just say \"Uncle\".\n~\n~\nYou beg %OT to stop. UNCLE!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU begs %TT to stop. UNCLE!\n~\n~\n~\n~\n~\n~\n~\n~\nUNCLE! %TU begs you to stop.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '324', 'veto', 'veto\n~\n~\n~\n~\nVETO!\n~\n~\n%TU vetoes that!\n~\n~\nYou veto your own idea.\n~\n~\n%TU vetoes %PU own idea.\n~\n~\nYou veto %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU vetoes %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU vetoes you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '325', 'waft', 'waft\nwaft\nwaft\nwaft\n~\nYou try to waft the stench away.\n~\n~\n%TU tries to waft the stench away.\n~\n~\nTaking a bath might help!\n~\n~\n%TU tries to waft %PU own funk away.\n~\n~\nYou try to keep %PT stench away.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU wafts the air, trying to avoid %TT\'s odor.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU wafts the air, trying to keep your odor away.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '326', 'wait', 'wait\n~\n~\n~\n~\nYou wait.\n~\n~\n%TU waits.\n~\n~\nWAIT UP!\n~\n~\nWAIT UP! %TU is almost good to go.\n~\n~\nYou wait on %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU is waiting on %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU is waiting on you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '327', 'ward', 'ward\n~\n~\ntaunt2\n~\nSTAY AWAY!\n~\n~\n%TU makes warding signs at everyone.\n~\n~\nSuperstitious? You rub a charm to ward off misfortune.\n~\n~\n%TU rubs a charm to ward off misfortune.\n~\n~\nYou make warding signs at %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU makes warding signs at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU makes warding signs at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '328', 'wave', 'wave\nwave2\nwave_hail\nwave2\n~\nYou wave.\n~\n~\n%TU waves.\n~\n~\nYou wave to yourself.\n~\n~\n%TU waves to %OUself.\n~\n~\nYou wave to %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU waves to %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU waves to you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '329', 'welcome', 'welcome\nwave2\n~\nwave2\n~\nWELCOME ALL!\n~\n~\n%TU welcomes everyone.\n~\n~\nYou welcome yourself.\n~\n~\n%TU welcomes %OUself.\n~\n~\nWelcome, %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU welcomes %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU welcomes you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '330', 'whap', 'whap\n~\nsmack_self\n~\n~\nYou whap everyone.\n~\n~\n%TU whaps everyone.\n~\n~\nYou whap yourself repeatedly.\n~\n~\n%TU whaps %OUself repeatedly.\n~\n~\nYou whap %OT upside the head.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU whaps %TT upside the head.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU whaps you upside the head.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '331', 'whimper', 'whimper\n~\n~\n~\n~\nYou whimper.\n~\n~\n%TU whimpers.\n~\n~\nYou whimper softly to yourself.\n~\n~\n%TU whimpers softly to %OUself.\n~\n~\nYou whimper softly at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU whimpers softly at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU whimpers softly at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '333', 'whisper', 'whisper\nwhisper\nwhisper\nwhisper\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n%TU whispers to %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '334', 'whistle', 'whistle\n~\n~\n~\n~\nYou whistle innocently.\n~\n~\n%TU whistles innocently.\n~\n~\nYou whistle a chipper tune.\n~\n~\n%TU whistles a chipper tune.\n~\n~\nYou whistle appreciatively at %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU whistles appreciatively at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU whistles appreciatively at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '335', 'wince', 'wince\nface_scowl\nface_scowl\nface_scowl\n~\nYou wince.\n~\n~\n%TU winces.\n~\n~\nYou wince in pain.\n~\n~\n%TU winces in pain.\n~\n~\nYou wince at %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU winces at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU winces at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '336', 'wink', 'wink\nface_wink\nface_wink\nface_wink\n~\nWink.\n~\n~\n%TU winks.\n~\n~\nYou wink suggestively.\n~\n~\n%TU winks suggestively.\n~\n~\nYou wink suggestively at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU winks suggestively at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU winks suggestively at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '337', 'wrinkle', 'wrinkle\nface_grimace\nface_grimace\nface_grimace\n~\nYou wrinkle your nose and make a sour face.\n~\n~\n%TU wrinkles %PU nose and makes a sour face.\n~\n~\nYou wrinkle your nose at yourself.\n~\n~\n%TU wrinkles %PU nose at %OUself.\n~\n~\nYou wrinkle your nose at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU wrinkles %PU nose at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU wrinkles %PU nose at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '338', 'yawn', 'yawn\nyawn\nyawn\nyawn\n~\nYAAAWWWNN!\n~\n~\n%TU yawns.\n~\n~\nYou try to hide a yawn.\n~\n~\n%TU tries to hide a yawn.\n~\n~\nYou yawn at %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU yawns at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU yawns at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '339', 'zip', 'zip\nshush\n~\nshush\n~\nYou zip your lips.\n~\n~\n%TU zips %PU lips.\n~\n~\nYou check your zipper to make sure it\'s closed.\n~\n~\n%TU checks %PU zipper to make sure it is closed.\n~\n~\nYou instruct %TT to zip %PT lips.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU instructs %TT to zip %PT lips.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU instructs you to zip your lips.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '340', 'zone', 'zone\n~\n~\n~\n~\nYou zone out.\n~\n~\n%TU zones out.\n~\n~\nYou zone out and ignore your surroundings.\n~\n~\n%TU zones out and ignores %PU surroundings.\n~\n~\nYou zone out and ignore %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU zones out and ignores %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU zones out and ignores you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '341', 'bow4', 'bow4\nbow5\nbow5\nbow5\n~\nYou bow.\n~\n~\n%TU bows.\n~\n~\nYou gracefully perform a flourished bow.\n~\n~\n%TU gracefully performs a flourished bow.\n~\n~\nYou bow to %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU bows to %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU bows to you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '343', 'bow2', 'bow2\nbow3\nbow3\nbow3\n~\nYou bow.\n~\n~\n%TU bows.\n~\n~\nYou gracefully perform a flourished bow.\n~\n~\n%TU gracefully performs a flourished bow.\n~\n~\nYou bow to %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU bows to %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU bows to you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '344', 'bow3', 'bow3\nbow4\nbow4\nbow4\n~\nYou bow.\n~\n~\n%TU bows.\n~\n~\nYou gracefully perform a flourished bow.\n~\n~\n%TU gracefully performs a flourished bow.\n~\n~\nYou bow to %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU bows to %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU bows to you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '345', 'rubnose', 'rubnose\n~\n~\n~\n~\nYou rub your nose.\n~\n~\n%TU rubs %PU nose.\n~\n~\nYou rub your nose on your sleeve.\n~\n~\n%TU rubs %PU nose on %PU sleeve.\n~\n~\nYou rub noses with %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU rubs noses with %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU rubs noses with you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '346', 'mercy', 'mercy\nbeg\nbeg\nimplore\n~\nYou appeal for mercy.\n~\n~\n%TU appeals for mercy.\n~\n~\nYou appeal to your merciful side.\n~\n~\n%TU appeals to %PU merciful side.\n~\n~\nYou beg for mercy from %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU begs for mercy from you.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU begs for mercy from %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '347', 'yes', 'yes\nnod_head_once\nnod_head_multiple\nnod_head_once\n~\nYou nod affirmatively. Yes.\n~\n~\n%TU nods affirmatively.\n~\n~\nYou nod at yourself agreeingly.\n~\n~\n%TU nods at %OUself agreeingly.\n~\n~\nYou nod affirmatively to %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU nods affirmatively at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU nods affirmatively at you.\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '348', 'snog', 'snog\n~\n~\n~\n~\nDesperate, huh?\n~\n~\n%TU looks around desperately, hoping to be snogged.\n~\n~\nYou attempt snogging yourself.\n~\n~\n%TU tries to snog %OUself.\n~\n~\nYou attempt to engage in some serious snogging with %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU moves in for some serious snogging with %TT.\n~\n~\n~\n~\n~\n~\n~\n~\nWHOA! %TU is attempting to engage in some serious snogging with you!\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '350', 'sneer', 'sneer\nface_sneer\nface_sneer\nface_sneer\n~\nYou sneer.\n~\n~\n%TU sneers.\n~\n~\nYou sneer at the thought.\n~\n~\n%TU sneers at the thought.\n~\n~\nYou sneer at %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU sneers at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU sneers at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '351', 'scowl', 'scowl\nface_scowl\nface_scowl\nface_scowl\n~\nYou scowl.\n~\n~\n%TU scowls .\n~\n~\nYou scowl at yourself.\n~\n~\n%TU scowls at %OUself.\n~\n~\nYou scowl at %OT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU scowls at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU scowls at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '352', 'eyeroll', 'eyeroll\nface_eye_roll\nface_eye_roll\nface_eye_roll\n~\nYou roll your eyes.\n~\n~\n%TU rolls %PU eyes.\n~\n~\nYou roll your eyes and they fall back into your skull.\n~\n~\n%TU rolls %PU eyes and they fall back into %PU skull.\n~\n~\nYou roll your eyes at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU rolls %PU eyes at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU rolls %PU eyes at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '353', 'knockwood', 'knockwood\ndoor_knock\ndoor_knock\ndoor_knock\n~\nYou knock.\n~\n~\n%TU knocks.\n~\n~\nYou knock on wood.\n~\n~\n%TU knocks on wood.\n~\n~\nYou knock on %TT\'s head.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU knocks on %TT\'s head.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU knocks %PU on your head. Hello?\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '354', 'closeeyes', 'closeeyes\nface_close_eyes\nface_close_eyes\nface_close_eyes\n~\nYou close your eyes for a moment.\n~\n~\n%TU closes %PU eyes for a moment.\n~\n~\nYou close your eyes for a moment, thinking.\n~\n~\n%TU closes %PU eyes for a moment, thinking.\n~\n~\nYou close your eyes, unwilling to look at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU closes %PU eyes, unwilling to look at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU closes %PU eyes, unwilling to look at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '355', 'contemplate', 'contemplate\nface_pensive\nface_pensive\nface_pensive\n~\nYou contemplate.\n~\n~\n%TU contemplates.\n~\n~\nYou contemplate your future.\n~\n~\n%TU contemplates %PU future.\n~\n~\nYou contemplate %TT\'s future.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU contemplates %TT\'s future.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU contemplates your future.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '356', 'demure', 'demure\nface_shy\nface_shy\nface_shy\n~\nYou blush shyly.\n~\n~\n%TU blushes shyly.\n~\n~\nYou blush, smiling secretly.\n~\n~\n%TU blushes, smiling secretly.\n~\n~\nYou blush shyly at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU blushes shyly at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU blushes shyly at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '357', 'attend', 'attend\nlisten\nlisten\nlisten\n~\nYou listen hard.\n~\n~\n%TU listens hard.\n~\n~\nYou listen to something only you can hear.\n~\n~\n%TU listens to something only %SU can hear.\n~\n~\nYou listen to %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU listens to %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU tries to hear you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '359', 'anxious', 'anxious\nnervous\nnervous\nnervous\n~\nYou feel anxious.\n~\n~\n%TU fidgets anxiously.\n~\n~\nYou look around anxiously.\n~\n~\n%TU looks around anxiously.\n~\n~\nYou look anxiously at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU looks anxiously at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU looks anxiously at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '360', 'pointdown', 'pointdown\npoint_down\npoint_down\npoint_down\n~\nYou point at the ground.\n~\n~\n%TU points at the ground.\n~\n~\nYou\'re staying right here!\n~\n~\n%TU is staying right here!\n~\n~\nYou tell %TT to stay right here.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU tells %TT to stay right here.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU tells you to stay right here.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '361', 'down', 'down\npoint_down\npoint_down\npoint_down\n~\nYou point at the ground.\n~\n~\n%TU points at the ground.\n~\n~\nYou\'re staying right here!\n~\n~\n%TU is staying right here!\n~\n~\nYou tell %TT to stay right here.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU tells %TT to stay right here.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU tells you to stay right here.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '362', 'pointat', 'pointat\npoint_forward\npoint_to_self\npoint_forward\n~\nYou point the way.\n~\n~\n%TU points the way.\n~\n~\nYou point at yourself.\n~\n~\n%TU points at %OUself.\n~\n~\nYou point at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU points at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU points at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '363', 'pointleft', 'pointleft\npoint_left\npoint_left\npoint_left\n~\nYou point left.\n~\n~\n%TU points left.\n~\n~\nYou point left.\n~\n~\n%TU points left.\n~\n~\nYou turn to %TT and point left.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU turns to %TT and points left. \n~ \n~\n~\n~\n~\n~\n~\n~\n%TU turns to you and points left.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '364', 'left', 'left\npoint_left\npoint_left\npoint_left\n~\nYou point left.\n~\n~\n%TU points left.\n~\n~\nYou point left.\n~\n~\n%TU points left.\n~\n~\nYou turn to %TT and point left.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU turns to %TT and points left. \n~ \n~\n~\n~\n~\n~\n~\n~\n%TU turns to you and points left.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '365', 'pointright', 'pointright\npoint_right\npoint_right\npoint_right\n~\nYou point right.\n~\n~\n%TU points right.\n~\n~\nYou point right.\n~\n~\n%TU points right.\n~\n~\nYou turn to %TT and point right.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU turns to %TT and points right. \n~ \n~\n~\n~\n~\n~\n~\n~\n%TU turns to you and points right.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '366', 'right', 'right\npoint_right\npoint_right\npoint_right\n~\nYou point right.\n~\n~\n%TU points right.\n~\n~\nYou point right.\n~\n~\n%TU points right.\n~\n~\nYou turn to %TT and point right.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU turns to %TT and points right. \n~ \n~\n~\n~\n~\n~\n~\n~\n%TU turns to you and points right.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '367', 'pointup', 'pointup\npoint_up\npoint_up\npoint_up\n~\nYou point up.\n~\n~\n%TU points up.\n~\n~\nYou point up.\n~\n~\n%TU points up.\n~\n~\nYou turn to %TT and point up.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU turns to %TT and points up. \n~ \n~\n~\n~\n~\n~\n~\n~\n%TU turns to you and points up.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '368', 'up', 'up\npoint_up\npoint_up\npoint_up\n~\nYou point up.\n~\n~\n%TU points up.\n~\n~\nYou point up.\n~\n~\n%TU points up.\n~\n~\nYou turn to %TT and point up.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU turns to %TT and points up. \n~ \n~\n~\n~\n~\n~\n~\n~\n%TU turns to you and points up.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '369', 'chestpound', 'chestpound\npound_fist_chest\npound_fist_chest\npound_fist_chest\n~\nYou pound on your chest!\n~\n~\n%TU pounds on %PU chest!\n~\n~\nYou pound on your chest, daring anyone to take you on.\n~\n~\n%TU pounds on %PU chest, daring anyone to take %OU on.\n~\n~\nYou pound your chest. Will %TT take you on?\n~\n~\n~\n~\n~\n~\n~\n~\n%TU turns to %TT and pounds %PU chest. Will %TT take %OU on? \n~ \n~\n~\n~\n~\n~\n~\n~\n%TU turns to you and pounds %PU chest. Will you take %OU on?.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '370', 'pound', 'pound\npound_fist_chest\npound_fist_chest\npound_fist_chest\n~\nYou pound on your chest!\n~\n~\n%TU pounds on %PU chest!\n~\n~\nYou pound on your chest, daring anyone to take you on.\n~\n~\n%TU pounds on %PU chest, daring anyone to take %OU on.\n~\n~\nYou pound your chest. Will %TT take you on?\n~\n~\n~\n~\n~\n~\n~\n~\n%TU turns to %TT and pounds %PU chest. Will %TT take %OU on? \n~ \n~\n~\n~\n~\n~\n~\n~\n%TU turns to you and pounds %PU chest. Will you take %OU on?.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '371', 'fistpalm', 'fistpalm\npound_fist_palm\npound_fist_palm\npound_fist_palm\n~\nYou pound your fist into your palm. Curses!\n~\n~\n%TU pounds %PU fist into %PU palm, cursing.\n~\n~\nYou slam your palm with your fist, muttering under your breath.\n~\n~\n%TU slams %PU palm into %PU fist, muttering under %PU breath.\n~\n~\nYou slam your palm with your fist, muttering under your breath about %TT\'s idiocy.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU slams %PU palm into %PU fist, muttering under %PU breath about %TT\'s idiocy.\n~ \n~\n~\n~\n~\n~\n~\n~\n%TU slams %PU palm into %PU fist, muttering under %PU breath about your idiocy.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '372', 'slit', 'slit\nslit_throat\nslit_throat\nslit_throat\n~\nSomeone\'s gonna die.\n~\n~\n%TU thinks someone\'s gonna die.\n~\n~\nYou think you\'re not long for this world.\n~\n~\n%TU thinks %SU\'s not long for this world.\n~\n~\nYou don\'t think %TT is long for this world.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU doesn\'t think %TT is long for this world.\n~ \n~\n~\n~\n~\n~\n~\n~\n%TU doesn\'t think you\'re long for this world.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '373', 'callstop', 'callstop\nstop\nstop\nstop\n~\nEverybody stop!\n~\n~\nEverybody stop!\n~\n~\nYou bravely try to stop the onrushing world.\n~\n~\n%TU bravely tries to stop the onrushing world.\n~\n~\nYou order %TT to stop.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU orders %TT to stop.\n~ \n~\n~\n~\n~\n~\n~\n~\n%TU orders you to stop.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '374', 'pshrug', 'pshrug\nshrug_hands\nshrug_shoulders\nshrug_hands\n~\nYou shrug philosophically.\n~\n~\n%TU shrugs philosophically.\n~\n~\nYou shrug your shoulders philosophically.\n~\n~\n%TU shrugs %PU shoulders philosophically.\n~\n~\nYou shrug philosophically at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shrugs philosophically at %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shrugs philosophically at you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '375', 'combarea', 'combarea\nsearch\nsearch\nsearch\n~\nLooking for something? You comb the area.\n~\n~\n%TU combs the area. Apparently, %SU is searching for something.\n~\n~\nThere you are!\n~\n~\n%TU combs the area searching for %OUself.\n~\n~\nYou comb the area searching for %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU combs the area searching for %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU combs the area looking for you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '376', 'hot', 'hot\n2hot4u\nsmackbottom\npoint_accusingly\n~\nYou are too hot!.\n~\n~\n%TU is too hot for this place!\n~\n~\nYou\'re just too hot!\n~\n~\n%TU is having a moment with %OUself.\n~\n~\nYou are too hot for %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU is too hot for %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU is too hot for you!\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '377', 'airguitar', 'airguitar\nairguitar\nairguitar\n~\n~\nYou rock the crowd.\n~\n~\n%TU rocks the room!\n~\n~\nYou rock out.\n~\n~\n%TU rocks %OUself into a frenzy.\n~\n~\nYou rock out for %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU rocks out for %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU rocks out for you!\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '378', 'bump', 'bump\n~\n~\n~\n~\nYou offer an open invitation for bumping.\n~\n~\n%TU bumps the general area.\n~\n~\nYou bump with yourself.\n~\n~\n%TU bumps with %OUself.\n~\n~\nYou bump with %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU bumps with %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU bumps you lovingly\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '379', 'choppedliver', 'choppedliver\n~\n~\n~\n~\nYou wonder what is wrong with you.  Are you chopped liver?\n~\n~\n%TU can\'t figure out what is wrong with %OUself.\n~\n~\nWhat am I?  Chopped liver?\n~\n~\n%TU wonders what is wrong with %OUself.\n~\n~\nYou ask %TT if you are chopped liver.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU asks %TT something about chopped liver.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU wonders  what  you think is wrong with %ST.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '380', 'cuckoo', 'cuckoo\ncuckoo\ncuckoo\ncuckoo\n~\nThese people are cuckoo.\n~\n~\n%TU thinks you people are cuckoo.\n~\n~\nYou just realized that you are cuckoo.\n~\n~\n%TU calls %OUself cuckoo.\n~\n~\nYou think %TT is cuckoo.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU thinks %TT is completely cuckoo!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU thinks you are cuckoo.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '381', 'makeroom', 'makeroom\nmakeroom\nmakeroom\nmakeroom\n~\nHey everybody, make room!\n~\n~\n%TU wants everyone to make room!\n~\n~\nYou make a little room for yourself.\n~\n~\n%TU makes a little room for %OUself. \n~\n~\nYou tell %TT to make some room!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU tells %TT to make some room.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU wants you to make room.\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '382', 'payup', 'payup\nexpect_tip\n~\nexpect_tip\n~\nYou expect to be reimbursed!\n~\n~\n%TU wants to get paid!\n~\n~\nDid you really owe yourself?\n~\n~\n%TU owes %OUself some money.\n~\n~\nYou ask %OT to pay up!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU asks %TT to pay up!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU would like you to pay what you owe.\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '383', 'wtg', 'wtg\nshakefist\npat\nfakepunch\n~\nWay to go!\n~\n~\n%TU cheers the group- way to go!.\n~\n~\nYou think you did a great job.\n~\n~\n%TU pat\'s %OUself on the shoulder for a job well done.\n~\n~\nYou tell %OT way to go!\n~\n~\n~\n~\n~\n~\n~\n~\n%TU congratulates %TT for a job well done.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU congratulates you for a job well done- way to go!.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '384', 'pethigh', 'pethigh\npet_creature_high\n~\npet_high\n~\nYou reach up and pet... what is that you\'re petting?.\n~\n~\n%TU reaches up and pets nothing.\n~\n~\nYou pet yourself.\n~\n~\n%TU pets %OUself.\n~\n~\nYou pet %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU pets %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU pets you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '385', 'petlow', 'petlow\npet_creature_low\n~\npet_low\n~\nYou reach down and pet... what is that you\'re petting?.\n~\n~\n%TU reaches down and pets nothing.\n~\n~\nYou pet yourself.\n~\n~\n%TU pets %OUself.\n~\n~\nYou pet %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU pets %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU pets you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '386', 'flipcoin', 'flipcoin\nflipcoin\nflipcoin\nflipcoin\n~\nYou flip a coin.\n~\n~\n%TU flips a coin.\n~\n~\nYou flip a coin.\n~\n~\n%TU flips a coin.\n~\n~\nYou flip %TT for it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU flips %TT for it.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU flips you for it.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '387', 'dies', 'dies\nhe_dies\n~\nhe_dies\n~\nDeath to all of them!\n~\n~\n%TU declares that you all will die!\n~\n~\nYou contemplate the meaning of life.\n~\n~\n%TU contemplates the meaning of life.\n~\n~\nYou grimly dictate the fate of %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU grimly dictates the fate of %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU grimly dictates your fate.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '388', 'lives', 'lives\nhe_lives\n~\nhe_lives\n~\nYou decide to let them live.\n~\n~\n%TU declares that you will all live, for now.\n~\n~\nYou contemplate the meaning of life.\n~\n~\n%TU contemplates the meaning of life.\n~\n~\nYou decide that %TT will live, for now...\n~\n~\n~\n~\n~\n~\n~\n~\n%TU decides that %TT will live, for now...\n~\n~\n~\n~\n~\n~\n~\n~\n%TU allows you to live, for now...\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '389', 'kisscheek', 'kisscheek\nkisscheek\nhug_self\nkisscheek\n~\nYou kiss anyone who might be in front of you.\n~\n~\n%TU kisses the general area on the cheek.\n~\n~\nYou kiss yourself.\n~\n~\n%TU kisses %OUself.\n~\n~\nYou give %TT a friendly kiss on the cheek.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU kisses %TT on the cheek.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU gives you a friendly kiss on the cheek.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '390', 'loser', 'loser\nloser\nloser\nloser\n~\nYou let everyone know that you are the champion, and they are not.\n~\n~\n%TU lifts %PU hand and declares everyone the loser.\n~\n~\nOh no, you\'ve lost again.\n~\n~\n%TU declares %OUself the loser.\n~\n~\nYou think %TT is a loser.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU thinks %TT is a loser.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU thinks you are a loser.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '391', 'mock', 'mock\nmock\nmock\nmock\n~\nYou mock the chattering of the crowd.\n~\n~\n%TU mocks the chattering of the crowd.\n~\n~\nYou mock your own blabbering.\n~\n~\n%TU mocks %PU own blabbering.\n~\n~\nYou mock %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU mocks %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU mocks you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '392', 'model', 'model\nmodel\nmodel\nmodel\n~\nYou model your new outfit- so nice!\n~\n~\n%TU models %OU outfit.  Very nice!\n~\n~\nYou model your clothing for yourself, but there is no mirror here!\n~\n~\n%TU models for %OUself, wishing for a mirror.\n~\n~\nYou model for %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU models for %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU models for you.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '393', 'paper', 'paper\npaper\npaper\npaper\n~\nYou choose paper!.\n~\n~\n%TU chooses paper.\n~\n~\nYou choose paper. Paper wins against nothing..\n~\n~\n%TU chooses paper.\n~\n~\nYou choose paper.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU chooses paper.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU chooses paper.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '394', 'rude', 'rude\nrude\n~\nrude\n~\nYou offer an unknown salute.\n~\n~\n%TU produces an unknown salute.\n~\n~\nYou give yourself a rude gesture.\n~\n~\n%TU gives %OUself a rude gesture.\n~\n~\nYou give %TT an unknown salute.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU gives %TT an unknown salute.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU gives you an unknown salute.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '395', 'shoo', 'shoo\nshoo\n~\nshoo\n~\nYou ask everyone to just leave.\n~\n~\n%TU asks everyone to please leave!.\n~\n~\nYou\'re asking yourself to leave?\n~\n~\n%TU asks %OUself to leave.\n~\n~\nYou tell %OT to leave.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU tells %TT to leave immediately.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU would like you to leave immediately!.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '396', 'thumbdown', 'thumbdown\nthumb_down\nthumb_down\nthumb_down\n~\nYou show your disapproval.\n~\n~\n%TU shows %PU disapproval.\n~\n~\nYou should have known better!\n~\n~\n%TU decides against %PU own plan.\n~\n~\nYou show %PT your disapproval.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shows %TT %PU disapproval.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shows you %PU disapproval.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '397', 'thumbup', 'thumbup\nthumb_up\nthumb_up\nthumb_up\n~\nYou show your approval.\n~\n~\n%TU shows %PU approval.\n~\n~\nLife is pretty good after all!\n~\n~\n%TU decides that life is good after all!\n~\n~\nYou show %PT your approval.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shows %TT %PU approval.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shows you %PU approval.\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '398', 'thumbsup', 'thumbsup\nthumbs_up\nthumbs_up\nthumbs_up\n~\nYou show your approval.\n~\n~\n%TU shows %PU approval.\n~\n~\nLife is pretty good after all!\n~\n~\n%TU decides that life is good after all!\n~\n~\nYou show %PT your approval.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shows %TT %PU approval.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shows you %PU approval.\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '399', 'thumbsdown', 'thumbsdown\nthumbs_down\nthumbs_down\nthumbs_down\n~\nYou show your disapproval.\n~\n~\n%TU shows %PU disapproval.\n~\n~\nYou should have known better!\n~\n~\n%TU decides against %PU own plan.\n~\n~\nYou show %PT your disapproval.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shows %TT %PU disapproval.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU shows you %PU disapproval.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '401', 'worship', 'worship\nworship\n~\nworship\n~\nYou are not worthy!\n~\n~\n%TU is not worthy!\n~\n~\nYou are not worthy.\n~\n~\n%TU is not worthy.\n~\n~\nYou worship %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU worships %TT.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU worships you.\n~\n~\n~\n~\n~\n~\n~\n~');
INSERT INTO `client_strings` VALUES ('string/en/socials.stf', '402', 'whatthe', 'whatthe\nwtf\nwtf\nwtf\n~\nWhat the??\n~\n~\n%TU wonders what is going on!?\n~\n~\nWhat were you thinking??\n~\n~\n%TU doesn\'t know what is happening.  Can someone explain it?.\n~\n~\nYou wonder what %OT was thinking.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU wonders what %TT was thinking.\n~\n~\n~\n~\n~\n~\n~\n~\n%TU wonders what you were thinking.\n~\n~\n~\n~\n~\n~\n~\n~\n');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '1', 'report_cargo', '\\#pconstrast3 Inspection Results: Target Contains [ \\#pconstrast1 %TO \\#pcontrast3 ]');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '2', 'nothing', 'Nothing');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '3', 'unknown', 'Unknown');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '4', 'food', 'Food Supplies');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '5', 'misc_supplies', 'Misc. Supplies');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '6', 'medical_supplies', 'Medical Supplies');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '7', 'computer_parts', 'Computer Parts');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '8', 'electronic_equipment', 'Electronic Equipment');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '9', 'trade_goods', 'Trade Goods');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '10', 'grain', 'Grain');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '11', 'construction_supplies', 'Construction Supplies');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '12', 'alcohol', 'Alcohol');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '13', 'processed_metal', 'Processed Metal');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '14', 'clothing', 'Clothing');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '15', 'passengers', 'Passengers');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '16', 'civilians', 'Civilians');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '17', 'refugees', 'Refugees');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '18', 'business_personnel', 'Business Personnel');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '19', 'computer_hardware', 'Computer Hardware');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '20', 'restaurant_supplies', 'Restaurant Supplies');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '21', 'elemental_gases', 'Elemental Gases');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '22', 'industrial_cargo', 'Industrial Cargo');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '23', 'commercial_cargo', 'Commercial Cargo');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '24', 'agricultural_supplies', 'Agricultural Supplies');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '25', 'hydroponic_supplies', 'Hydroponic Supplies');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '26', 'trade_materials', 'Trade Materials');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '27', 'bacta', 'Bacta');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '28', 'unidentifiable_substance', 'Unidentifiable Cargo');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '29', 'inspect_already', '\\#pconstrast3 You are already performing an inspection. \\#pconstrast3 ');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '30', 'inspect_too_far', '\\#pconstrast3 You need to be closer to begin an inspection of that ship. \\#pconstrast3 ');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '31', 'inspecting', '\\#pconstrast3 Initiating Inspection \\#pconstrast3 ');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '32', 'report_transfer', '\\#pconstrast3 Transfer Results: Loaded Cargo [ \\#pconstrast1 %TO \\#pcontrast3 ]');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '33', 'transfer_already', 'You are already attempting to transfer some cargo.');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '34', 'transfer_too_far', 'That ship is too far away.');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '35', 'transfer_not_disabled', 'You must first disable the ship before you can attempt to transfer its cargo!');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '36', 'transfer_nothing', 'That ship has nothing to transfer.');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '37', 'transfer_cant', 'You were unable to load the target\'s cargo into your ship.');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '38', 'transferring', '\\#pconstrast3 Initiating Cargo Transfer \\#pconstrast3 ');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '39', 'contraband', 'Contraband');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '40', 'military_plans', 'Military Plans');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '41', 'robot_core', 'CSSD-7\'s Primary Core');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '42', 'hostage_orders', 'Hostage Transfer Orders');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '43', 'ship_signature_data', 'Ship Signature Data');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '44', 'imperial_scientist', 'Imperial Scientist Identification data');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '45', 'ship_starting_coordinates', 'Nav data: Travel route start coordinates');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '46', 'imperial_hostages', 'Imperial Hostages');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '47', 'random_junk', 'Random Junk');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '48', 'unfinished_flight_log', 'Unfinished Flight Log');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '49', 'yavin_activity_log', 'Yavin Activity Log');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '50', 'mining_gear', 'Mining Gear');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '51', 'extraction_drill_parts', 'Extraction Drill Parts');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '52', 'imperial_data', 'Imperial classified data');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '53', 'dock_cannot', 'The ship denies your request to dock.');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '54', 'dock_already', 'You are already docking with a ship.');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '55', 'dock_target_already', 'That ship is already docking with another ship.');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '56', 'dock_too_far', 'You are too far away to initiate the docking protocol.');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '57', 'dock_started', 'Docking protocol initiated. Please stand by while the navicomputer manages the docking manuevers.');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '58', 'dock_complete', 'Docking operation complete. Interlocks disengaged.');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '59', 'bomb_trigger', 'Self destruction initated');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '60', 'report_cargo_group', '\\#pconstrast3 %TO\'s Inspection Results: Target Contains [ \\#pconstrast1 %TT \\#pcontrast3 ]');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '61', 'report_transfer_group', '\\#pconstrast3 %TO\'s Transfer Results: Loaded Cargo [ \\#pconstrast1 %TT \\#pcontrast3 ]');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '62', 'dock_started_group', '%TO has started a docking operation.');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '63', 'dock_complete_group', '%TO has completed a docking operation.');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '64', 'spice', 'Illegal Spices');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '65', 'weapons', 'Illegal Weapons');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '66', 'sector_recon_data', 'System Reconnaissance Data');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '67', 'stolen_art', 'Stolen Art');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '68', 'thermal_bomb', 'Thermal Bombs');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '69', 'corellia_imperial_tier4_inspect1', 'Nav Location and Frequency Charts');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '70', 'corellia_imperial_tier4_inspect2', 'Velocity Command Operational Orders');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '71', 'corellia_imperial_tier4_inspect3', 'Orders from Naj\'a Berto\'lo');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '72', 'dock_achieved', 'Navicomputer has achieved dock position. Interlocks engaged. Please stand by...');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '73', 'target_required', 'You need a target to perform that action.');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '74', 'dock_abort', 'Aborting docking operation, interlocks disengaged.');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '75', 'patrol_routes', 'Imperial patrol route data');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '76', 'military_supplies', 'Military Supplies');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '77', 'encrypted_documents', 'Encrypted Documents');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '78', 'cor_priv_tier3_capture_pilot', 'Weapons Shipment');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '79', 'encrypted_rebel_data', 'Rebel Orders (encrypted)');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '80', 'glowing_crystals', 'Lightly Glowing Crystals');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '81', 'joint_operations_plans', 'Rebel and Nym Joint Operation Report');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '82', 'pirate_data', 'Pirate Sector Report');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '83', 'rebel_battle_plans', 'Sector Maps and Battle Orders');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '84', 'rebel_plans', 'Encrypted Rebel Reports');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '85', 'shinss_personal_logs', 'Shinss\' Personal Logs');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '86', 'stolen_data', 'Stolen Imperial Data');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '87', 'personnel_dossier', 'Personnel Dossier');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '88', 'kill_orders', 'Kill Orders');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '89', 'rally_point_info', 'Punisher Gathering Location');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '90', 'hidden_base_info', 'Burial Ground Info');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '91', 'leader_location', 'Coordinates of rendez-vous with commanding officer');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '92', 'no_target', 'You need a target to use that command.');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '93', 'deathstick_ashes', 'Deathstick Ashes');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '94', 'kill_trophies', 'Kill Trophies');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '95', 'special_orders', 'Special Orders');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '96', 'shipment_orders', 'Shipment Orders');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '97', 'experiment_information', 'Experiment Information');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '98', 'fake_documents', 'Fake Documents');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '99', 'refugee_supplies', 'Refugee Supplies');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '100', 'encoded_message', 'Encoded Message');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '101', 'medical_personnel', 'Medical Personnel');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '102', 'officers', 'Officers');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '103', 'soldiers', 'Soldiers');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '104', 'engineering_crew', 'Engineering Crew');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '105', 'command_crew', 'Command Crew');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '106', 'heavy_weapons_crew', 'Heavy Weapons Crew');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '107', 'pilots', 'Pilots');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '108', 'rebel_cargo', 'Rebel Cargo');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '109', 'wookiee_slaves', 'Wookiee Slaves');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '110', 'freight_plans', 'Freight Plans');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '111', 'some_cargo', 'crates');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '112', 'not_in_suub', 'You may not use the inspect or dock commands in this ship.');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '113', 'espionage_material', 'Espionage Material');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '114', 'valarian_info', 'Hutt Attack Plans');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '115', 'blacksun_info', 'Document (Black Nemesis Sighting)');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '116', 'debris_hostage_demands', 'Debris Cult Hostage Demands');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '117', 'massassi_manifesto_report', 'Document Written in Strange Language');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '118', 'phasotron_radium', 'Phasotron Radium');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '119', 'atmospheric_inhibitor', 'Atmospheric Inhibitor');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '120', 'lemdurion_plates', 'Lemdurion Plates');
INSERT INTO `client_strings` VALUES ('string/en/space/cargo.stf', '121', 'corellian_brandy', 'Corellian Brandy');
INSERT INTO `client_strings` VALUES ('string/en/space/destroy/corellia_privateer_16.stf', '1', 'title', 'Hutt Siege');
INSERT INTO `client_strings` VALUES ('string/en/space/destroy_duty/corellia_privateer_11.stf', '1', 'title', 'Strike a blow to Nym\'s Pirates.');
INSERT INTO `client_strings` VALUES ('string/en/space/destroy_duty/corellia_privateer_11.stf', '2', 'duty_update', 'Superior Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/space/destroy_duty/corellia_privateer_11.stf', '3', 'boss_detected', 'Tactical Computer: < Vessel with veteran insignias on attack vector, weapon systems armed. >');
INSERT INTO `client_strings` VALUES ('string/en/space/destroy_duty/corellia_privateer_11.stf', '4', 'boss_title_1', 'Ponias MorningGlory (Nym\'s Dark Enforcer)');
INSERT INTO `client_strings` VALUES ('string/en/space/destroy_duty/corellia_privateer_11.stf', '5', 'boss_title_2', 'Geian Bladewrite (Nym\'s Dark Enforcer)');
INSERT INTO `client_strings` VALUES ('string/en/space/destroy_duty/corellia_privateer_11.stf', '6', 'boss_title_3', 'Morar Deathslayer (Nym\'s Dark Enforcer)');
INSERT INTO `client_strings` VALUES ('string/en/space/destroy_duty/corellia_privateer_11.stf', '7', 'boss_title_4', 'Atias Burninglight (Nym\'s Dark Enforcer)');
INSERT INTO `client_strings` VALUES ('string/en/space/destroy_duty/corellia_privateer_11.stf', '8', 'boss_title_5', 'Kyax UnNamed (Nym\'s Dark Enforcer)');
INSERT INTO `client_strings` VALUES ('string/en/space/destroy_duty/corellia_privateer_11.stf', '9', 'complete', 'Fantastic job pilot, we struck a huge blow to Nym today. Return to base for a well earned rest.');
INSERT INTO `client_strings` VALUES ('string/en/space/destroy_duty/corellia_privateer_11.stf', '10', 'dd_boss_taunt_1', 'Muahahaha!');
INSERT INTO `client_strings` VALUES ('string/en/space/destroy_duty/corellia_privateer_11.stf', '11', 'dd_boss_taunt_2', 'Your just another kill mark on my ship, fool!');
INSERT INTO `client_strings` VALUES ('string/en/space/destroy_duty/corellia_privateer_11.stf', '12', 'dd_boss_taunt_3', 'The cat becomes the mouse. The tables are turned, scum!');
INSERT INTO `client_strings` VALUES ('string/en/space/destroy_duty/corellia_privateer_11.stf', '13', 'dd_boss_taunt_4', 'Your flying skills remind me of a one winged Mynock!');
INSERT INTO `client_strings` VALUES ('string/en/space/destroy_duty/corellia_privateer_11.stf', '14', 'dd_boss_taunt_5', 'I\'ve never seen those moves from a  petty pilot before. No matter, prepare to die!');
INSERT INTO `client_strings` VALUES ('string/en/space/destroy_duty/corellia_privateer_11.stf', '15', 'found_loc', 'New coordinates of pirate activity has been uploaded to your nav computer. Go get them!');
INSERT INTO `client_strings` VALUES ('string/en/space/destroy_duty/corellia_privateer_11.stf', '16', 'level_boss', 'Superior Command: < The Hidden Daggers has sent %TO to bring you down, proceed with caution. >');
INSERT INTO `client_strings` VALUES ('string/en/space/destroy_duty/corellia_privateer_11.stf', '17', 'level_boss_dead', 'Amazing! Nym will not forget this day. Stand by for further orders.');
INSERT INTO `client_strings` VALUES ('string/en/space/destroy_duty/corellia_privateer_11.stf', '18', 'level_increase', 'Nym\'s men are sending more reinforcements in responce to our attacks.');
INSERT INTO `client_strings` VALUES ('string/en/space/destroy_duty/corellia_privateer_11.stf', '19', 'targets_detected', 'Tactical Computer: < Vessels fitting hunted ship profile on attack vector, weapon systems armed. >');
INSERT INTO `client_strings` VALUES ('string/en/space/destroy_duty/corellia_privateer_11.stf', '20', 'targets_behind', 'Tactical Computer: < Be aware, vessels trying to target this ship with their weapon systems. Attack originating direction 180 degrees. >');
INSERT INTO `client_strings` VALUES ('string/en/space/destroy_duty/corellia_privateer_11.stf', '21', 'taunt_1', 'You think you can match the skill of Nym\'s pirates? I think not!');
INSERT INTO `client_strings` VALUES ('string/en/space/destroy_duty/corellia_privateer_11.stf', '22', 'taunt_2', 'I will shred your ship, fool!');
INSERT INTO `client_strings` VALUES ('string/en/space/destroy_duty/corellia_privateer_11.stf', '23', 'taunt_3', 'You always have to interfere, well this time you stuck your nose too deep!');
INSERT INTO `client_strings` VALUES ('string/en/space/destroy_duty/corellia_privateer_11.stf', '24', 'taunt_4', 'You\'re fighting a uphill battle , and the hill just got steeper!');
INSERT INTO `client_strings` VALUES ('string/en/space/destroy_duty/corellia_privateer_11.stf', '25', 'taunt_5', 'I have crushed greater things than you! In fact, I shot a Womprat back on Tatooine last week!');
INSERT INTO `client_strings` VALUES ('string/en/space/destroy_duty/corellia_privateer_9.stf', '1', 'title', 'Attack on the Pirates in Dantooine Sector');
INSERT INTO `client_strings` VALUES ('string/en/space/destroy_duty/corellia_privateer_9.stf', '2', 'duty_update', 'Superior Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/space/destroy_duty/corellia_privateer_9.stf', '3', 'boss_detected', 'Tactical Computer: < Vessel with veteran insignias on attack vector, weapon systems armed. >');
INSERT INTO `client_strings` VALUES ('string/en/space/destroy_duty/corellia_privateer_9.stf', '4', 'boss_title_1', 'Experienced Pirate Pilot');
INSERT INTO `client_strings` VALUES ('string/en/space/destroy_duty/corellia_privateer_9.stf', '5', 'boss_title_2', 'Veteran Pirate Pilot');
INSERT INTO `client_strings` VALUES ('string/en/space/destroy_duty/corellia_privateer_9.stf', '6', 'boss_title_3', 'Grim Veteran Pirate Pilot');
INSERT INTO `client_strings` VALUES ('string/en/space/destroy_duty/corellia_privateer_9.stf', '7', 'boss_title_4', 'Furious Veteran Pirate Pilot');
INSERT INTO `client_strings` VALUES ('string/en/space/destroy_duty/corellia_privateer_9.stf', '8', 'boss_title_5', 'Ace Veteran Pirate Pilot');
INSERT INTO `client_strings` VALUES ('string/en/space/destroy_duty/corellia_privateer_9.stf', '9', 'complete', 'Fantastic job pilot! We struck a blow to the Pirates that will take them a long time to recover from. Head back to base when ready.');
INSERT INTO `client_strings` VALUES ('string/en/space/destroy_duty/corellia_privateer_9.stf', '10', 'dd_boss_taunt_1', 'Foolish puppet, you should have run while you had the chance!');
INSERT INTO `client_strings` VALUES ('string/en/space/destroy_duty/corellia_privateer_9.stf', '11', 'dd_boss_taunt_2', 'To us you\'re just a anuiance, about to be squashed!');
INSERT INTO `client_strings` VALUES ('string/en/space/destroy_duty/corellia_privateer_9.stf', '12', 'dd_boss_taunt_3', 'Too bad you ran in to me so early in your career, as I mark it\'s end!');
INSERT INTO `client_strings` VALUES ('string/en/space/destroy_duty/corellia_privateer_9.stf', '13', 'dd_boss_taunt_4', 'Maybe I should fly using just one hand, to give you a chance?');
INSERT INTO `client_strings` VALUES ('string/en/space/destroy_duty/corellia_privateer_9.stf', '14', 'dd_boss_taunt_5', 'Your pilot helmet will look good on my trophy rack, fool!');
INSERT INTO `client_strings` VALUES ('string/en/space/destroy_duty/corellia_privateer_9.stf', '15', 'found_loc', 'The next area of known Pirate activity has been uploaded to your nav computer, proceed when ready.');
INSERT INTO `client_strings` VALUES ('string/en/space/destroy_duty/corellia_privateer_9.stf', '16', 'level_boss', 'Superior Command: < The Pirates have sent one of their best pilots to take care of you, be careful! >');
INSERT INTO `client_strings` VALUES ('string/en/space/destroy_duty/corellia_privateer_9.stf', '17', 'level_boss_dead', 'That one has been a dread ever since he came to this sector, great work pilot!');
INSERT INTO `client_strings` VALUES ('string/en/space/destroy_duty/corellia_privateer_9.stf', '18', 'level_increase', 'Sensors through out the sectors show increased Pirate activity in response to our attacks.');
INSERT INTO `client_strings` VALUES ('string/en/space/destroy_duty/corellia_privateer_9.stf', '19', 'targets_detected', 'Tactical Computer: < Vessels fitting hunted ship profile on attack vector, weapon systems armed. >');
INSERT INTO `client_strings` VALUES ('string/en/space/destroy_duty/corellia_privateer_9.stf', '20', 'targets_behind', 'Tactical Computer: < Be aware, vessels trying to target this ship with their weapon systems. Attack originating direction 180 degrees. >');
INSERT INTO `client_strings` VALUES ('string/en/space/destroy_duty/corellia_privateer_9.stf', '21', 'taunt_1', 'Youre not going to survive this fight!');
INSERT INTO `client_strings` VALUES ('string/en/space/destroy_duty/corellia_privateer_9.stf', '22', 'taunt_2', 'You should turn back while you can!');
INSERT INTO `client_strings` VALUES ('string/en/space/destroy_duty/corellia_privateer_9.stf', '23', 'taunt_3', 'Your about to learn the foolishness of messing with the Pirates!');
INSERT INTO `client_strings` VALUES ('string/en/space/destroy_duty/corellia_privateer_9.stf', '24', 'taunt_4', 'You should never have come here, now you will never leave.');
INSERT INTO `client_strings` VALUES ('string/en/space/destroy_duty/corellia_privateer_9.stf', '25', 'taunt_5', 'Time to add another puppet on my kill list!');
INSERT INTO `client_strings` VALUES ('string/en/space/destroy_surpriseattack/corellia_privateer_13.stf', '1', 'title', 'Eliminate Tie Interceptors');
INSERT INTO `client_strings` VALUES ('string/en/space/destroy_surpriseattack/corellia_privateer_13.stf', '2', 'quest_update', 'Superior Command:');
INSERT INTO `client_strings` VALUES ('string/en/space/destroy_surpriseattack/corellia_privateer_13.stf', '3', 'duty_update', 'Superior Command:');
INSERT INTO `client_strings` VALUES ('string/en/space/destroy_surpriseattack/corellia_privateer_13.stf', '4', 'complete', 'Good job, pilot. Return to base for your next assignment.');
INSERT INTO `client_strings` VALUES ('string/en/space/destroy_surpriseattack/corellia_privateer_13.stf', '5', 'found_loc', 'Head to new coordinates uploaded to your nav computer.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '1', 'countermeasure_breaklock_four', 'Level 4 anti-missile countermeasures triggered');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '2', 'countermeasure_breaklock_one', 'Level 1 anti-missile countermeasures triggered');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '3', 'countermeasure_breaklock_three', 'Level 3 anti-missile countermeasures triggered');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '4', 'countermeasure_breaklock_two', 'Level 2 anti-missile countermeasures triggered');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '5', 'driod_command_delete', 'This comand must be deleted to be removed from your droid\'s datapad.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '6', 'droid_command_datapad_room', 'You can fit %DI more programs into the datapad.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '7', 'droid_command_datapad_room_nfull', 'This datapad is now full, and can not accept any more droid programs.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '8', 'droid_command_datapad_room_single', 'You can fit one more program into this datapad.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '9', 'droid_command_datapad_roomleft', 'You can fit %DI more units of programs.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '10', 'droid_command_delete', 'To remove droid commands from a droid or flight computer, you must destroy them.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '11', 'droid_command_full', 'Your droid\'s datapad is full.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '12', 'droid_command_not_enough_room', 'There isn\'t enough memory in your datapad to store this program.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '13', 'droid_command_programmed', 'Command has been transferred to your droid.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '14', 'droid_command_programmed_already', 'This program is already programmed, and cannot be loaded a second time.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '15', 'droid_command_programmed_flightcomputer', 'Command has been transferred to your flight computer.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '16', 'droid_program_prompt', 'Please select the command you wish to burn into this memory chip.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '17', 'droidcommand_breaklockfour', 'Missile Countermeasure - Four');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '18', 'droidcommand_breaklockfour_chipname', 'Ready Chip: Missle Countermeasure - Four');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '19', 'droidcommand_breaklockfour_commandname', 'Missile Countermeasure - Four');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '20', 'droidcommand_breaklockfour_description', 'Missile Countermeasure Four - This is one of the most extreme droid command measures for spoofing incoming homing warheads.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '21', 'droidcommand_breaklockone', 'Missile Countermeasure - One');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '22', 'droidcommand_breaklockone_chipname', 'Ready Chip: Missle Countermeasure - One');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '23', 'droidcommand_breaklockone_commandname', 'Missile Countermeasure - One');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '24', 'droidcommand_breaklockone_description', 'Missile Countermeasure One - This is one of the less extreme droid command measures for spoofing incoming homing warheads.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '25', 'droidcommand_breaklockthree', 'Missile Countermeasure - Three');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '26', 'droidcommand_breaklockthree_chipname', 'Ready Chip: Missle Countermeasure - Three');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '27', 'droidcommand_breaklockthree_commandname', 'Missile Countermeasure - Three');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '28', 'droidcommand_breaklockthree_description', 'Missile Countermeasure Three - This is one of the more extreme droid command measures for spoofing incoming homing warheads.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '29', 'droidcommand_breaklocktwo', 'Missile Countermeasure - Two');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '30', 'droidcommand_breaklocktwo_chipname', 'Ready Chip: Missle Countermeasure - Two');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '31', 'droidcommand_breaklocktwo_commandname', 'Missile Countermeasure - Two');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '32', 'droidcommand_breaklocktwo_description', 'Missile Countermeasure Two - This is a moderate extreme droid command measure for spoofing incoming homing warheads.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '33', 'droidcommand_engineefficiencyfour', 'Engine Tuning - Four');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '34', 'droidcommand_engineefficiencyfour_chipname', 'Ready Chip: Engine Tuning - Four');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '35', 'droidcommand_engineefficiencyfour_commandname', 'Engine Tuning - Four');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '36', 'droidcommand_engineefficiencyfour_description', 'Engine Tuning Four - This droid program allows the engines to be slightly tuned down to consume less power, at the cost of less thrust.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '37', 'droidcommand_engineefficiencyone', 'Engine Tuning - One');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '38', 'droidcommand_engineefficiencyone_chipname', 'Ready Chip: Engine Tuning - One');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '39', 'droidcommand_engineefficiencyone_commandname', 'Engine Tuning - One');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '40', 'droidcommand_engineefficiencyone_description', 'Engine Tuning One - This droid program allows the engines to be slightly tuned down to consume less power, at the cost of a bit less thrust.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '41', 'droidcommand_engineefficiencythree', 'Engine Tuning - Three');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '42', 'droidcommand_engineefficiencythree_chipname', 'Ready Chip: Engine Tuning - Three');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '43', 'droidcommand_engineefficiencythree_commandname', 'Engine Tuning - Three');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '44', 'droidcommand_engineefficiencythree_description', 'Engine Tuning Three - This droid program allows the engines to be slightly tuned down to consume less power, at the cost of a bit less thrust.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '45', 'droidcommand_engineefficiencytwo', 'Engine Tuning - Two');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '46', 'droidcommand_engineefficiencytwo_chipname', 'Ready Chip: Engine Tuning - Two');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '47', 'droidcommand_engineefficiencytwo_commandname', 'Engine Tuning - Two');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '48', 'droidcommand_engineefficiencytwo_description', 'Engine Tuning Two - This droid program allows the engines to be slightly tuned down to consume less power, at the cost of a bit less thrust.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '49', 'droidcommand_enginenormalize', 'Engine Equalization');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '50', 'droidcommand_enginenormalize_chipname', 'Ready Chip: Engine Equalization');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '51', 'droidcommand_enginenormalize_commandname', 'Engine Equalization');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '52', 'droidcommand_enginenormalize_description', 'Engine Equalization - This program stabilizes the engine operation settings to their as-manufactured defaults, or as near as they can be if the unit is damaged.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '53', 'droidcommand_engineoverloadfour', 'Engine Overload - Four');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '54', 'droidcommand_engineoverloadfour_chipname', 'Ready Chip: Engine Overload - Four');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '55', 'droidcommand_engineoverloadfour_commandname', 'Engine Overload - Four');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '56', 'droidcommand_engineoverloadfour_description', 'Engine Overload Four - This program re-balances the engines to provide more power, but is rather wasteful.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '57', 'droidcommand_engineoverloadone', 'Engine Overload - One');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '58', 'droidcommand_engineoverloadone_chipname', 'Ready Chip: Engine Overload - One');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '59', 'droidcommand_engineoverloadone_commandname', 'Engine Overload - One');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '60', 'droidcommand_engineoverloadone_description', 'Engine Overload One - This program re-balances the engines to provide more power, but is rather wasteful.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '61', 'droidcommand_engineoverloadthree', 'Engine Overload - Three');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '62', 'droidcommand_engineoverloadthree_chipname', 'Ready Chip: Engine Overload - Three');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '63', 'droidcommand_engineoverloadthree_commandname', 'Engine Overload - Three');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '64', 'droidcommand_engineoverloadthree_description', 'Engine Overload Three - This program re-balances the engines to provide more power, but is rather wasteful.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '65', 'droidcommand_engineoverloadtwo', 'Engine Overload - Two');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '66', 'droidcommand_engineoverloadtwo_chipname', 'Ready Chip: Engine Overload - Two');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '67', 'droidcommand_engineoverloadtwo_commandname', 'Engine Overload - Two');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '68', 'droidcommand_engineoverloadtwo_description', 'Engine Overload Two - This program re-balances the engines to provide more power, but is rather wasteful.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '69', 'droidcommand_mutedroid', 'Mute Droid/Flight-Computer');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '70', 'droidcommand_mutedroid_chipname', 'Ready Chip: Mute Droid/Flight-Computer');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '71', 'droidcommand_mutedroid_commandname', 'Mute Droid/Flight-Computer');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '72', 'droidcommand_mutedroid_description', 'Mute Droid/Flight-Computer - This program turns off and on the flight droid or flight-computer\'s auditory feedback mode, giving the pilot some control over how talkative and responsive they are.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '73', 'droidcommand_reactornormalize', 'Reactor Stabilization');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '74', 'droidcommand_reactornormalize_chipname', 'Ready Chip: Reactor Stabilization');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '75', 'droidcommand_reactornormalize_commandname', 'Reactor Stabilization');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '76', 'droidcommand_reactornormalize_description', 'Reactor Stabilization - The primary purpose of this droid program is to allow it to reset a starship\'s reactor back to operational settings as close to its manufactured norms as possible, given its current condition and overall \'health\'.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '77', 'droidcommand_reactoroverloadfour', 'Reactor Overload - Four');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '78', 'droidcommand_reactoroverloadfour_chipname', 'Ready Chip: Reactor Overload - Four');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '79', 'droidcommand_reactoroverloadfour_commandname', 'Reactor Overload - Four');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '80', 'droidcommand_reactoroverloadfour_description', 'Reactor Overload Four - Running this program on a droid allows it to slightly de-tune the operating parameters for a starship\'s powerplant, allowing the reactor to generate a bit more energy, at the possible cost of over-stressing it.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '81', 'droidcommand_reactoroverloadone', 'Reactor Overload - One');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '82', 'droidcommand_reactoroverloadone_chipname', 'Ready Chip: Reactor Overload - One');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '83', 'droidcommand_reactoroverloadone_commandname', 'Reactor Overload - One');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '84', 'droidcommand_reactoroverloadone_description', 'Reactor Overload One - Running this program on a droid allows it to slightly de-tune the operating parameters for a starship\'s powerplant, allowing the reactor to generate a bit more energy, at the possible cost of over-stressing it.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '85', 'droidcommand_reactoroverloadthree', 'Reactor Overload - Three');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '86', 'droidcommand_reactoroverloadthree_chipname', 'Ready Chip: Reactor Overload - Three');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '87', 'droidcommand_reactoroverloadthree_commandname', 'Reactor Overload - Three');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '88', 'droidcommand_reactoroverloadthree_description', 'Reactor Overload Three - Running this program on a droid allows it to slightly de-tune the operating parameters for a starship\'s powerplant, allowing the reactor to generate a bit more energy, at the possible cost of over-stressing it.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '89', 'droidcommand_reactoroverloadtwo', 'Reactor Overload - Two');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '90', 'droidcommand_reactoroverloadtwo_chipname', 'Ready Chip: Reactor Overload - Two');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '91', 'droidcommand_reactoroverloadtwo_commandname', 'Reactor Overload - Two');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '92', 'droidcommand_reactoroverloadtwo_description', 'Reactor Overload Two - Running this program on a droid allows it to slightly de-tune the operating parameters for a starship\'s powerplant, allowing the reactor to generate a bit more energy, at the possible cost of over-stressing it.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '93', 'droidcommand_shieldadjustfrontfour', 'Shield Front Adjust - Extreme');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '94', 'droidcommand_shieldadjustfrontfour_chipname', 'Ready Chip: Shield Front Adjust - Extreme');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '95', 'droidcommand_shieldadjustfrontfour_commandname', 'Shield Front Adjust - Extreme');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '96', 'droidcommand_shieldadjustfrontfour_description', 'Shield Front Adjust Extreme - Executing this program will instruct a ship\'s droid to adjust the shield power regulators to pump more juice into the front shields than the rear, allowing the front shields to store a slightly greater resevoir of damage-deflecting power than the rear shields.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '97', 'droidcommand_shieldadjustfrontone', 'Shield Front Adjust - Light');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '98', 'droidcommand_shieldadjustfrontone_chipname', 'Ready Chip: Shield Front Adjust - Light');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '99', 'droidcommand_shieldadjustfrontone_commandname', 'Shield Front Adjust - Light');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '100', 'droidcommand_shieldadjustfrontone_description', 'Shield Front Adjust Light - Executing this program will instruct a ship\'s droid to adjust the shield power regulators to pump more juice into the front shields than the rear, allowing the front shields to store a slightly greater resevoir of damage-deflecting power than the rear shields.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '101', 'droidcommand_shieldadjustfrontthree', 'Shield Front Adjust - Heavy');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '102', 'droidcommand_shieldadjustfrontthree_chipname', 'Ready Chip: Shield Front Adjust - Heavy');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '103', 'droidcommand_shieldadjustfrontthree_commandname', 'Shield Front Adjust - Heavy');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '104', 'droidcommand_shieldadjustfrontthree_description', 'Shield Front Adjust Heavy - Executing this program will instruct a ship\'s droid to adjust the shield power regulators to pump more juice into the front shields than the rear, allowing the front shields to store a slightly greater resevoir of damage-deflecting power than the rear shields.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '105', 'droidcommand_shieldadjustfronttwo', 'Shield Front Adjust - Moderate');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '106', 'droidcommand_shieldadjustfronttwo_chipname', 'Ready Chip: Shield Front Adjust - Moderate');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '107', 'droidcommand_shieldadjustfronttwo_commandname', 'Shield Front Adjust - Moderate');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '108', 'droidcommand_shieldadjustfronttwo_description', 'Shield Front Adjust Moderate - Executing this program will instruct a ship\'s droid to adjust the shield power regulators to pump more juice into the front shields than the rear, allowing the front shields to store a slightly greater resevoir of damage-deflecting power than the rear shields.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '109', 'droidcommand_shieldadjustrearfour', 'Shield Rear Adjust - Extreme');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '110', 'droidcommand_shieldadjustrearfour_chipname', 'Ready Chip: Shield Rear Adjust - Extreme');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '111', 'droidcommand_shieldadjustrearfour_commandname', 'Shield Rear Adjust - Extreme');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '112', 'droidcommand_shieldadjustrearfour_description', 'Shield Rear Adjust Extreme - Executing this program will instruct a ship\'s droid to adjust the shield power regulators to pump more juice into the rear shields than the front, allowing the front shields to store a slightly greater resevoir of damage-deflecting power than the rear shields.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '113', 'droidcommand_shieldadjustrearone', 'Shield Rear Adjust - Light');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '114', 'droidcommand_shieldadjustrearone_chipname', 'Ready Chip: Shield Rear Adjust - Light');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '115', 'droidcommand_shieldadjustrearone_commandname', 'Shield Rear Adjust - Light');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '116', 'droidcommand_shieldadjustrearone_description', 'Shield Rear Adjust Light - Executing this program will instruct a ship\'s droid to adjust the shield power regulators to pump more juice into the rear shields than the front, allowing the front shields to store a slightly greater resevoir of damage-deflecting power than the rear shields.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '117', 'droidcommand_shieldadjustrearthree', 'Shield Rear Adjust - Heavy');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '118', 'droidcommand_shieldadjustrearthree_chipname', 'Ready Chip: Shield Rear Adjust - Heavy');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '119', 'droidcommand_shieldadjustrearthree_commandname', 'Shield Rear Adjust - Heavy');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '120', 'droidcommand_shieldadjustrearthree_description', 'Shield Rear Adjust Heavy - Executing this program will instruct a ship\'s droid to adjust the shield power regulators to pump more juice into the rear shields than the front, allowing the front shields to store a slightly greater resevoir of damage-deflecting power than the rear shields.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '121', 'droidcommand_shieldadjustreartwo', 'Shield Rear Adjust - Moderate');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '122', 'droidcommand_shieldadjustreartwo_chipname', 'Ready Chip: Shield Rear Adjust - Moderate');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '123', 'droidcommand_shieldadjustreartwo_commandname', 'Shield Rear Adjust - Moderate');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '124', 'droidcommand_shieldadjustreartwo_description', 'Shield Rear Adjust Moderate - Executing this program will instruct a ship\'s droid to adjust the shield power regulators to pump more juice into the rear shields than the front, allowing the front shields to store a slightly greater resevoir of damage-deflecting power than the rear shields.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '125', 'droidcommand_shieldbacktofronteighty', 'Shield Front Reinforcement - Heavy');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '126', 'droidcommand_shieldbacktofronteighty_chipname', 'Ready Chip: Shield Front Reinforcement - Heavy');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '127', 'droidcommand_shieldbacktofronteighty_commandname', 'Shield Front Reinforcement - Heavy');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '128', 'droidcommand_shieldbacktofronteighty_description', 'Shield Front Reinforcement Heavy - This program drains most of the power currently stored in the rear shields of the ship and diverts it to the front, reinforcing damage resistance for those surfaces.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '129', 'droidcommand_shieldbacktofrontfifty', 'Shield Front Reinforcement - Moderate');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '130', 'droidcommand_shieldbacktofrontfifty_chipname', 'Ready Chip: Shield Front Reinforcement - Moderate');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '131', 'droidcommand_shieldbacktofrontfifty_commandname', 'Shield Front Reinforcement - Moderate');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '132', 'droidcommand_shieldbacktofrontfifty_description', 'Shield Front Reinforcement Moderate - This program drains some of the power currently stored in the rear shields of the ship and diverts it to the front, reinforcing damage resistance for those surfaces.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '133', 'droidcommand_shieldbacktofronthundred', 'Shield Front Reinforcement - Extreme');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '134', 'droidcommand_shieldbacktofronthundred_chipname', 'Ready Chip: Shield Front Reinforcement - Extreme');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '135', 'droidcommand_shieldbacktofronthundred_commandname', 'Shield Front Reinforcement - Extreme');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '136', 'droidcommand_shieldbacktofronthundred_description', 'Shield Front Reinforcement Extreme - This program drains power currently stored in the rear shields of the ship and diverts it to the front, reinforcing damage resistance for those surfaces.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '137', 'droidcommand_shieldbacktofronttwenty', 'Shield Front Reinforcement - Light');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '138', 'droidcommand_shieldbacktofronttwenty_chipname', 'Ready Chip: Shield Front Reinforcement - Light');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '139', 'droidcommand_shieldbacktofronttwenty_commandname', 'Shield Front Reinforcement - Light');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '140', 'droidcommand_shieldbacktofronttwenty_description', 'Shield Front Reinforcement Light - This program drains a bit of the power currently stored in the rear shields of the ship and diverts it to the front, reinforcing damage resistance for those surfaces.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '141', 'droidcommand_shieldemergencyfront', 'Shield Emergency Front');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '142', 'droidcommand_shieldemergencyfront_chipname', 'Ready Chip: Shield Emergency Front');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '143', 'droidcommand_shieldemergencyfront_commandname', 'Shield Emergency Front');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '144', 'droidcommand_shieldemergencyfront_description', 'Shield Emergency Front - This program immediately leeches the majority of rear shield energy and current weapon capacitor charge and diverts it all to the front shield facing. This is an instantaneous command with no lasting effects on any of the ship\'s systems involved.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '145', 'droidcommand_shieldemergencyrear', 'Shield Emergency Rear');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '146', 'droidcommand_shieldemergencyrear_chipname', 'Ready Chip: Shield Emergency Rear');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '147', 'droidcommand_shieldemergencyrear_commandname', 'Shield Emergency Rear');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '148', 'droidcommand_shieldemergencyrear_description', 'Shield Emergency Rear - This program immediately leeches the majority of front shield energy and current weapon capacitor charge and diverts it all to the rear shield facing. This is an instantaneous command with no lasting effects on any of the ship\'s systems involved.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '149', 'droidcommand_shieldfronttobackeighty', 'Shield Rear Reinforcement - Heavy');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '150', 'droidcommand_shieldfronttobackeighty_chipname', 'Ready Chip: Shield Rear Reinforcement - Heavy');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '151', 'droidcommand_shieldfronttobackeighty_commandname', 'Shield Rear Reinforcement - Heavy');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '152', 'droidcommand_shieldfronttobackeighty_description', 'Shield Rear Reinforcement Heavy - When executed, this program dials in an operational shield unit\'s power routing sub-systems to divert most of the stored power from the front surfaces of the ship to the rear areas.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '153', 'droidcommand_shieldfronttobackfifty', 'Shield Rear Reinforcement - Moderate');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '154', 'droidcommand_shieldfronttobackfifty_chipname', 'Ready Chip: Shield Rear Reinforcement - Moderate');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '155', 'droidcommand_shieldfronttobackfifty_commandname', 'Shield Rear Reinforcement - Moderate');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '156', 'droidcommand_shieldfronttobackfifty_description', 'Shield Rear Reinforcement Moderate - When executed, this program dials in an operational shield unit\'s power routing sub-systems to divert some power from the front surfaces of the ship to the rear areas.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '157', 'droidcommand_shieldfronttobackhundred', 'Shield Rear Reinforcement - Extreme');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '158', 'droidcommand_shieldfronttobackhundred_chipname', 'Ready Chip: Shield Rear Reinforcement - Extreme');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '159', 'droidcommand_shieldfronttobackhundred_commandname', 'Shield Rear Reinforcement - Extreme');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '160', 'droidcommand_shieldfronttobackhundred_description', 'Shield Rear Reinforcement Extreme - When executed, this program dials in an operational shield unit\'s power routing sub-systems to divert all the stored power from the front surfaces of the ship to the rear areas.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '161', 'droidcommand_shieldfronttobacktwenty', 'Shield Rear Reinforcement - Light');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '162', 'droidcommand_shieldfronttobacktwenty_chipname', 'Ready Chip: Shield Rear Reinforcement - Light');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '163', 'droidcommand_shieldfronttobacktwenty_commandname', 'Shield Rear Reinforcement - Light');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '164', 'droidcommand_shieldfronttobacktwenty_description', 'Shield Rear Reinforcement Light - When executed, this program dials in an operational shield unit\'s power routing sub-systems to divert a little power from the front surfaces of the ship to the rear areas.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '165', 'droidcommand_shieldnormalize', 'Shields Normalization');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '166', 'droidcommand_shieldnormalize_chipname', 'Ready Chip: Shields Normalization');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '167', 'droidcommand_shieldnormalize_commandname', 'Shields Normalization');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '168', 'droidcommand_shieldnormalize_description', 'Shields Normalization - Running this program will take whatever combat damage shielding systems that a starship possesses, and resets them back to as close to their factory-produced defaults as possible.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '169', 'droidcommand_testbacktofrontfifty_chipname', 'Burnt Chip: (TEST) Medium Front Shield Reinforcement');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '170', 'droidcommand_testbacktofrontfifty_commandname', '(TEST) Medium Front Shield Reinforcement');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '171', 'droidcommand_testfronttobackfifty_chipname', 'Burnt Chip: (TEST) Medium Rear Shield Reinforcement');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '172', 'droidcommand_testfronttobackfifty_commandname', '(TEST) Medium Rear Shield Reinforcement');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '173', 'droidcommand_testweaponnormalize_chipname', 'Burnt Chip: (TEST) Weapon Equalization');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '174', 'droidcommand_testweaponnormalize_commandname', '(TEST) Weapon Equalization');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '175', 'droidcommand_testweaponoverload1_chipname', 'Burnt Chip: (TEST) Light Weapon Overloading');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '176', 'droidcommand_testweaponoverload1_commandname', '(TEST) Light Weapon Overloading');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '177', 'droidcommand_testweaponoverload2_chipname', 'Burnt Chip: (TEST) Medium Weapon Overloading');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '178', 'droidcommand_testweaponoverload2_commandname', '(TEST) Medium Weapon Overloading');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '179', 'droidcommand_testweaponoverload3_chipname', 'Burnt Chip: (TEST) Heavy Weapon Overloading');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '180', 'droidcommand_testweaponoverload3_commandname', '(TEST) Heavy Weapon Overloading');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '181', 'droidcommand_testweaponoverload4_chipname', 'Burnt Chip: (TEST) Extreme Weapon Overloading');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '182', 'droidcommand_testweaponoverload4_commandname', '(TEST) Extreme Weapon Overloading');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '183', 'droidcommand_weapcapequalize', 'Weapon Capacitor Reset');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '184', 'droidcommand_weapcapequalize_chipname', 'Ready Chip: Weapon Capacitor Reset');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '185', 'droidcommand_weapcapequalize_commandname', 'Weapon Capacitor Reset');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '186', 'droidcommand_weapcapequalize_description', 'Weapon Capacitor Reset - Resets the weapon capacitor energy settings back to their defaults.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '187', 'droidcommand_weapcappowerupfour', 'Weapon Capacitor Overcharge - Four');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '188', 'droidcommand_weapcappowerupfour_chipname', 'Ready Chip: Weapon Capacitor Overcharge - Four');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '189', 'droidcommand_weapcappowerupfour_commandname', 'Weapon Capacitor Overcharge - Four');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '190', 'droidcommand_weapcappowerupfour_description', 'Weapon Capacitor Overcharge - Weapon Capacitor Overcharge programs tell the droid to run more power through the weapon capacitor than it is rated for, leading to enhanced performance and increased system stress.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '191', 'droidcommand_weapcappowerupone', 'Weapon Capacitor Overcharge - One');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '192', 'droidcommand_weapcappowerupone_chipname', 'Ready Chip: Weapon Capacitor Overcharge - One');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '193', 'droidcommand_weapcappowerupone_commandname', 'Weapon Capacitor Overcharge - One');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '194', 'droidcommand_weapcappowerupone_description', 'Weapon Capacitor Overcharge - Weapon Capacitor Overcharge programs tell the droid to run more power through the weapon capacitor than it is rated for, leading to enhanced performance and increased system stress.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '195', 'droidcommand_weapcappowerupthree', 'Weapon Capacitor Overcharge - Three');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '196', 'droidcommand_weapcappowerupthree_chipname', 'Ready Chip: Weapon Capacitor Overcharge - Three');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '197', 'droidcommand_weapcappowerupthree_commandname', 'Weapon Capacitor Overcharge - Three');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '198', 'droidcommand_weapcappowerupthree_description', 'Weapon Capacitor Overcharge - Weapon Capacitor Overcharge programs tell the droid to run more power through the weapon capacitor than it is rated for, leading to enhanced performance and increased system stress.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '199', 'droidcommand_weapcappoweruptwo', 'Weapon Capacitor Overcharge - Two');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '200', 'droidcommand_weapcappoweruptwo_chipname', 'Ready Chip: Weapon Capacitor Overcharge - Two');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '201', 'droidcommand_weapcappoweruptwo_commandname', 'Weapon Capacitor Overcharge - Two');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '202', 'droidcommand_weapcappoweruptwo_description', 'Weapon Capacitor Overcharge - Weapon Capacitor Overcharge programs tell the droid to run more power through the weapon capacitor than it is rated for, leading to enhanced performance and increased system stress.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '203', 'droidcommand_weapcaptoshieldfour', 'Capacitor to Shield Shunt - Four');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '204', 'droidcommand_weapcaptoshieldfour_chipname', 'Ready Chip: Capacitor to Shield Shunt - Four');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '205', 'droidcommand_weapcaptoshieldfour_commandname', 'Capacitor to Shield Shunt - Four');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '206', 'droidcommand_weapcaptoshieldfour_description', 'Capacitor to Shield Shunt - This program allows the droid to use back-up power-routing systems to shunt power currently stored in the weapon capacitor directly to the shield generator systems.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '207', 'droidcommand_weapcaptoshieldone', 'Capacitor to Shield Shunt - One');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '208', 'droidcommand_weapcaptoshieldone_chipname', 'Ready Chip: Capacitor to Shield Shunt - One');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '209', 'droidcommand_weapcaptoshieldone_commandname', 'Capacitor to Shield Shunt - One');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '210', 'droidcommand_weapcaptoshieldone_description', 'Capacitor to Shield Shunt - This program allows the droid to use back-up power-routing systems to shunt power currently stored in the weapon capacitor directly to the shield generator systems.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '211', 'droidcommand_weapcaptoshieldthree', 'Capacitor to Shield Shunt - Three');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '212', 'droidcommand_weapcaptoshieldthree_chipname', 'Ready Chip: Capacitor to Shield Shunt - Three');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '213', 'droidcommand_weapcaptoshieldthree_commandname', 'Capacitor to Shield Shunt - Three');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '214', 'droidcommand_weapcaptoshieldthree_description', 'Capacitor to Shield Shunt - This program allows the droid to use back-up power-routing systems to shunt power currently stored in the weapon capacitor directly to the shield generator systems.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '215', 'droidcommand_weapcaptoshieldtwo', 'Capacitor to Shield Shunt - Two');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '216', 'droidcommand_weapcaptoshieldtwo_chipname', 'Ready Chip: Capacitor to Shield Shunt - Two');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '217', 'droidcommand_weapcaptoshieldtwo_commandname', 'Capacitor to Shield Shunt - Two');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '218', 'droidcommand_weapcaptoshieldtwo_description', 'Capacitor to Shield Shunt - This program allows the droid to use back-up power-routing systems to shunt power currently stored in the weapon capacitor directly to the shield generator systems.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '219', 'droidcommand_weaponeffeciencyfour', 'Weapon Tuning - Four');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '220', 'droidcommand_weaponeffeciencyfour_chipname', 'Ready Chip: Weapon Tuning - Four');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '221', 'droidcommand_weaponeffeciencyfour_commandname', 'Weapon Tuning - Four');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '222', 'droidcommand_weaponeffeciencyfour_description', 'Weapon Tuning Four - Executing this program instructs the droid to re-tune the weapon power distribution grid to use slightly less of the starship\'s overall power, but at the cost of some weapon performance.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '223', 'droidcommand_weaponeffeciencyone', 'Weapon Tuning - One');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '224', 'droidcommand_weaponeffeciencyone_chipname', 'Ready Chip: Weapon Tuning - One');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '225', 'droidcommand_weaponeffeciencyone_commandname', 'Weapon Tuning - One');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '226', 'droidcommand_weaponeffeciencyone_description', 'Weapon Tuning One - Executing this program instructs the droid to re-tune the weapon power distribution grid to use slightly less of the starship\'s overall power, but at the cost of some weapon performance.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '227', 'droidcommand_weaponeffeciencythree', 'Weapon Tuning - Three');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '228', 'droidcommand_weaponeffeciencythree_chipname', 'Ready Chip: Weapon Tuning - Three');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '229', 'droidcommand_weaponeffeciencythree_commandname', 'Weapon Tuning - Three');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '230', 'droidcommand_weaponeffeciencythree_description', 'Weapon Tuning Three - Executing this program instructs the droid to re-tune the weapon power distribution grid to use slightly less of the starship\'s overall power, but at the cost of some weapon performance.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '231', 'droidcommand_weaponeffeciencytwo', 'Weapon Tuning - Two');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '232', 'droidcommand_weaponeffeciencytwo_chipname', 'Ready Chip: Weapon Tuning - Two');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '233', 'droidcommand_weaponeffeciencytwo_commandname', 'Weapon Tuning - Two');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '234', 'droidcommand_weaponeffeciencytwo_description', 'Weapon Tuning Two - Executing this program instructs the droid to re-tune the weapon power distribution grid to use slightly less of the starship\'s overall power, but at the cost of some weapon performance.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '235', 'droidcommand_weaponnormalize', 'Weapon Normalization');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '236', 'droidcommand_weaponnormalize_chipname', 'Ready Chip: Weapon Normalization');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '237', 'droidcommand_weaponnormalize_commandname', 'Weapon Normalization');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '238', 'droidcommand_weaponnormalize_description', 'Weapon Normalization - A droid executing this code will alter the starship\'s weapon power distribution sub-systems to levels as close to their \'normal\' state as possible, not accounting for the condition and health of the ship\'s systems.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '239', 'droidcommand_weaponoverload1', 'All Weapon Overload 25%');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '240', 'droidcommand_weaponoverload1_chipname', 'Ready Chip: All Weapon Overload 25%');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '241', 'droidcommand_weaponoverload1_commandname', 'Droid Command: All Weapon Overload 25%');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '242', 'droidcommand_weaponoverload1_description', 'This command will increase the damage out put of your weapons by 25%. It will increase the energy requirements as well.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '243', 'droidcommand_weaponoverloadfour', 'Weapon Overload - Four');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '244', 'droidcommand_weaponoverloadfour_chipname', 'Ready Chip: Weapon Overload - Four');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '245', 'droidcommand_weaponoverloadfour_commandname', 'Weapon Overload - Four');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '246', 'droidcommand_weaponoverloadfour_description', 'Weapon Overload - A droid running this program will tinker with the weapon power outputs and increase weapon performance a bit, but at the cost of some power effeciency and possible system stress.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '247', 'droidcommand_weaponoverloadone', 'Weapon Overload - One');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '248', 'droidcommand_weaponoverloadone_chipname', 'Ready Chip: Weapon Overload - One');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '249', 'droidcommand_weaponoverloadone_commandname', 'Weapon Overload - One');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '250', 'droidcommand_weaponoverloadone_description', 'Weapon Overload - A droid running this program will tinker with the weapon power outputs and increase weapon performance a bit, but at the cost of some power effeciency and possible system stress.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '251', 'droidcommand_weaponoverloadthree', 'Weapon Overload - Three');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '252', 'droidcommand_weaponoverloadthree_chipname', 'Ready Chip: Weapon Overload - Three');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '253', 'droidcommand_weaponoverloadthree_commandname', 'Weapon Overload - Three');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '254', 'droidcommand_weaponoverloadthree_description', 'Weapon Overload - A droid running this program will tinker with the weapon power outputs and increase weapon performance a bit, but at the cost of some power effeciency and possible system stress.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '255', 'droidcommand_weaponoverloadtwo', 'Weapon Overload - Two');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '256', 'droidcommand_weaponoverloadtwo_chipname', 'Ready Chip: Weapon Overload - Two');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '257', 'droidcommand_weaponoverloadtwo_commandname', 'Weapon Overload - Two');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '258', 'droidcommand_weaponoverloadtwo_description', 'Weapon Overload - A droid running this program will tinker with the weapon power outputs and increase weapon performance a bit, but at the cost of some power effeciency and possible system stress.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '259', 'engine_efficiency_four', 'Engine power distribution set for stage-four efficiency');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '260', 'engine_efficiency_one', 'Engine power distribution set for stage-one efficiency');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '261', 'engine_efficiency_three', 'Engine power distribution set for stage-three efficiency');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '262', 'engine_efficiency_two', 'Engine power distribution set for stage-two efficiency');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '263', 'engine_normalize', 'Engine power distribution reset to defaults');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '264', 'engine_overload_four', 'Engine power safeties over-ridden: engine power settings now at stage-four overload');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '265', 'engine_overload_one', 'Engine power safeties over-ridden: engine power settings now at stage-one overload');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '266', 'engine_overload_three', 'Engine power safeties over-ridden: engine power settings now at stage-three overload');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '267', 'engine_overload_two', 'Engine power safeties over-ridden: engine power settings now at stage-two overload');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '268', 'mute_droid', 'The Flight Systems Management Droid/Computer auditory feedback mode has been toggled.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '269', 'reactor_normalize', 'Reactor power generation reset to default levels');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '270', 'reactor_overload_four', 'Reactor power output set to stage-four overload status');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '271', 'reactor_overload_one', 'Reactor power output set to stage-one overload status');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '272', 'reactor_overload_three', 'Reactor power output set to stage-three overload status');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '273', 'reactor_overload_two', 'Reactor power output set to stage-two overload status');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '274', 'shield_adjust_front_four', 'Shield power controls adjusted to enhanced front protection.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '275', 'shield_adjust_front_one', 'Shield power controls adjusted to enhanced front protection.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '276', 'shield_adjust_front_three', 'Shield power controls adjusted to enhanced front protection.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '277', 'shield_adjust_front_two', 'Shield power controls adjusted to enhanced front protection.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '278', 'shield_adjust_rear_four', 'Shield power controls adjusted to enhanced rear protection.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '279', 'shield_adjust_rear_one', 'Shield power controls adjusted to enhanced rear protection.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '280', 'shield_adjust_rear_three', 'Shield power controls adjusted to enhanced rear protection.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '281', 'shield_adjust_rear_two', 'Shield power controls adjusted to enhanced rear protection.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '282', 'shield_emergency_front', 'Emergency measures taken to increase front shield strength.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '283', 'shield_emergency_rear', 'Emergency measures taken to increase rear shield strength.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '284', 'shields_backtofront_eighty', 'Most stored rear shield power diverted to front');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '285', 'shields_backtofront_fifty', 'Some stored rear shield power diverted to front');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '286', 'shields_backtofront_hundred', 'All stored rear shield power diverted to front');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '287', 'shields_backtofront_twenty', 'Some stored rear shield power diverted to front');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '288', 'shields_fronttoback_eighty', 'Most stored front shield power diverted to rear');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '289', 'shields_fronttoback_fifty', 'Some stored front shield power diverted to rear');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '290', 'shields_fronttoback_hundred', 'All stored front shield power diverted to rear');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '291', 'shields_fronttoback_twenty', 'Some stored front shield power diverted to rear');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '292', 'shields_normalize', 'Shield power distribution reset to defaults');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '293', 'weapcap_equalize', 'Weapon capacitor power settings reset to default');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '294', 'weapcap_powerup_four', 'Weapon capacitor power interlocks over-ridden to level four overcharge status.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '295', 'weapcap_powerup_one', 'Weapon capacitor power interlocks over-ridden to level one overcharge status.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '296', 'weapcap_powerup_three', 'Weapon capacitor power interlocks over-ridden to level three overcharge status.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '297', 'weapcap_powerup_two', 'Weapon capacitor power interlocks over-ridden to level two overcharge status.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '298', 'weapcap_to_shield_four', 'All stored weapon capacitor power has been shunted to shields.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '299', 'weapcap_to_shield_one', 'A little weapon capacitor power has been shunted to shields.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '300', 'weapcap_to_shield_three', 'Most of the stored weapon capacitor power has been shunted to shields.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '301', 'weapcap_to_shield_two', 'Some of the stored weapon capacitor power has been shunted to shields.');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '302', 'weapons_efficiency_four', 'Weapon power distribution tuned for efficiency');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '303', 'weapons_efficiency_one', 'Weapon power distribution tuned for efficiency');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '304', 'weapons_efficiency_three', 'Weapon power distribution tuned for efficiency');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '305', 'weapons_efficiency_two', 'Weapon power distribution tuned for efficiency');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '306', 'weapons_normalize', 'Weapon power distribution normalized to defaults');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '307', 'weapons_overload_four', 'Weapon power distribution extremely overloaded');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '308', 'weapons_overload_one', 'Weapon power distribution slightly overloaded');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '309', 'weapons_overload_three', 'Weapon power distribution heavily overloaded');
INSERT INTO `client_strings` VALUES ('string/en/space/droid_commands.stf', '310', 'weapons_overload_two', 'Weapon power distribution moderately overloaded');
INSERT INTO `client_strings` VALUES ('string/en/space/encoded_doc.stf', '1', 'title_ghostship', 'Mystery of the Duskrunner');
INSERT INTO `client_strings` VALUES ('string/en/space/encoded_doc.stf', '2', 'text_ghostship', '[This document contains a fragment of the book \"Mystery of the Duskrunner.\"  A favorite legend among pirates in the Tatooine sector.]\n\n...\n\nNo one ever saw the Duskrunner again after that fateful day.  The black void just seemed to swallow up the old pirate.  Her captain never launched a distress beacon, most likely consigned to go down with the ship as is the ancient tradition.  The legend, quietly whispered in the back of the more questionable cantinas, says that such a dishonorable old bandit was denied that honorable fate.  They say the Duskrunner still haunts unused Tatooine shipping lanes.  That she appears every once in a while to prey on unsuspecting ships that cross her path.\n\nThis historian does not place any faith in the wild tales of drunken pirates, but the legend is alive and well even today.\n\n[A small subfile also exists in the fragment\'s registery.]\n\n\"...I know what I saw and I saw the Duskrunner!  I\'ve stored the coordinates in this file.  They say she can\'t be killed, but that she\'ll pay a portion of her loot to any man brave enough to hunt her down and take her on!  A false distress signal in the right place...this is our chance...\"');
INSERT INTO `client_strings` VALUES ('string/en/space/encoded_doc.stf', '3', 'close', 'Close');
INSERT INTO `client_strings` VALUES ('string/en/space/encoded_doc.stf', '4', 'store_waypoint', 'Retrieve Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/space/encoded_doc.stf', '5', 'use', 'Use');
INSERT INTO `client_strings` VALUES ('string/en/space/encoded_doc.stf', '6', 'wrong_planet', 'The coordinates stored in the file don\'t refer to any location in this area.');
INSERT INTO `client_strings` VALUES ('string/en/space/encoded_doc.stf', '7', 'stored_waypoint', 'A waypoint to the coordinates in the document has been created.');
INSERT INTO `client_strings` VALUES ('string/en/space/encoded_doc.stf', '8', 'waypoint_exists', 'You already have a waypoint to that location in your datapad.');
INSERT INTO `client_strings` VALUES ('string/en/space/encoded_doc.stf', '9', 'distress_signal', 'Signal Distress');
INSERT INTO `client_strings` VALUES ('string/en/space/encoded_doc.stf', '10', 'read', 'Read');
INSERT INTO `client_strings` VALUES ('string/en/space/encoded_doc.stf', '11', 'action_wrong_planet', 'You aren\'t anywhere close to the location indicated in the document.');
INSERT INTO `client_strings` VALUES ('string/en/space/encoded_doc.stf', '12', 'need_waypoint', 'You need to read the document and retrieve the waypoint data before you can do that.');
INSERT INTO `client_strings` VALUES ('string/en/space/encoded_doc.stf', '13', 'toofar_ghostship', 'You need to get closer to the waypoint before you try and signal the ghost ship.');
INSERT INTO `client_strings` VALUES ('string/en/space/encoded_doc.stf', '14', 'trigger_ghostship', 'You engage a false distress signal, hoping to attract the attention of the legendary Duskrunner.');
INSERT INTO `client_strings` VALUES ('string/en/space/encoded_doc.stf', '15', 'event_ghostship', 'A black ship approaches from the void, shields and weapons charged.\nIt unleashes its first attack even as your targeting computer identifies it as the \'Duskrunner.\'');
INSERT INTO `client_strings` VALUES ('string/en/space/escort/corellia_privateer_14.stf', '1', 'title', 'Escort the Freighter transport to safety');
INSERT INTO `client_strings` VALUES ('string/en/space/escort/corellia_privateer_14.stf', '2', 'reason_1', 'We need to get this cargo to Yavin4 without incident. Watch our back.');
INSERT INTO `client_strings` VALUES ('string/en/space/escort/corellia_privateer_14.stf', '4', 'failed_protect', 'I\'m doomed on my own, I\'ll never make it! Your superior will hear of your failure!');
INSERT INTO `client_strings` VALUES ('string/en/space/escort/corellia_privateer_14.stf', '5', 'panic_1', 'Incoming fighter ships, they have spotted my cargo, keep them off me!');
INSERT INTO `client_strings` VALUES ('string/en/space/escort/corellia_privateer_14.stf', '6', 'panic_2', 'Hostile fighters inbound, keep them off me!');
INSERT INTO `client_strings` VALUES ('string/en/space/escort/corellia_privateer_14.stf', '7', 'panic_3', 'Hostile fighter ships attacking, they have spotted my cargo!');
INSERT INTO `client_strings` VALUES ('string/en/space/escort/corellia_privateer_14.stf', '8', 'thanks_1', 'Great job! I see that your superior didn\'t put their trust in the wrong pilot.');
INSERT INTO `client_strings` VALUES ('string/en/space/escort/corellia_privateer_14.stf', '9', 'thanks_2', 'Phew, that was a close one. We are almost there, keep your eyes open.');
INSERT INTO `client_strings` VALUES ('string/en/space/escort/corellia_privateer_14.stf', '10', 'thanks_3', 'I thought they would take us out for sure. I will let Command know of your superior skills!');
INSERT INTO `client_strings` VALUES ('string/en/space/escort/corellia_privateer_14.stf', '11', 'shields_depleted', 'My shields are failing! Get them off me quickly!');
INSERT INTO `client_strings` VALUES ('string/en/space/escort/corellia_privateer_14.stf', '12', 'hull_half', 'We\'re falling apart over here, do your job pilot!');
INSERT INTO `client_strings` VALUES ('string/en/space/escort/corellia_privateer_14.stf', '13', 'quest_update', 'Escort Command: <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/space/escort/corellia_privateer_14.stf', '15', 'failed_destroy', 'You let them destroy equipment worth millions! Report to your superior immediately.');
INSERT INTO `client_strings` VALUES ('string/en/space/escort/corellia_privateer_14.stf', '16', 'arrived_at_loc', 'Arrived at rendez-vous. Wait here for Freighter to finish hyper jump.');
INSERT INTO `client_strings` VALUES ('string/en/space/escort/corellia_privateer_14.stf', '17', 'attack_notify', 'Tactical Computer: < Incoming fighter vessels. Scans show weapons armed. >');
INSERT INTO `client_strings` VALUES ('string/en/space/escort/corellia_privateer_14.stf', '18', 'attack_stopped', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/space/escort/corellia_privateer_14.stf', '19', 'complete', 'Mission accomplished. Good job pilot. Report to your superior for further instructions.');
INSERT INTO `client_strings` VALUES ('string/en/space/escort/corellia_privateer_14.stf', '20', 'reason_2', 'We need to get this cargo to Yavin4 without incident. Watch our back.');
INSERT INTO `client_strings` VALUES ('string/en/space/escort/corellia_privateer_14.stf', '21', 'reason_3', 'We need to get this cargo to Yavin4 without incident. Watch our back.');
INSERT INTO `client_strings` VALUES ('string/en/space/escort/corellia_privateer_14.stf', '22', 'found_loc', 'Escort rendez-vous coordinates confirmed. Proceed as planned.');
INSERT INTO `client_strings` VALUES ('string/en/space/escort/corellia_privateer_14.stf', '23', 'goodbye_1', 'Good job pilot! We will take it from here. Beginning descent to surface.');
INSERT INTO `client_strings` VALUES ('string/en/space/escort/corellia_privateer_14.stf', '24', 'goodbye_2', 'Good job pilot! We will take it from here. Beginning descent to surface.');
INSERT INTO `client_strings` VALUES ('string/en/space/escort/corellia_privateer_14.stf', '25', 'goodbye_3', 'Good job pilot! We will take it from here. Beginning descent to surface.');
INSERT INTO `client_strings` VALUES ('string/en/space/escort/corellia_privateer_14.stf', '26', 'goodbye_5', 'Good job pilot! We will take it from here. Beginning descent to surface.');
INSERT INTO `client_strings` VALUES ('string/en/space/escort/corellia_privateer_14.stf', '27', 'goodbye_4', 'Good job pilot! We will take it from here. Beginning descent to surface.');
INSERT INTO `client_strings` VALUES ('string/en/space/escort/corellia_privateer_14.stf', '28', 'taunt_1', 'Cut your engines immediately or be destroyed!');
INSERT INTO `client_strings` VALUES ('string/en/space/escort/corellia_privateer_14.stf', '29', 'taunt_2', 'You are smuggling illegal goods. Cut your engines now or we will open fire!');
INSERT INTO `client_strings` VALUES ('string/en/space/escort/corellia_privateer_14.stf', '30', 'taunt_3', 'Terrorist scum! We will destroy you!');
INSERT INTO `client_strings` VALUES ('string/en/space/escort/corellia_privateer_14.stf', '31', 'taunt_4', 'You\'re no match for me, terrorist scum!');
INSERT INTO `client_strings` VALUES ('string/en/space/escort/corellia_privateer_14.stf', '32', 'taunt_5', 'I\'m taking you out, we don\'t tolerate terrorism on Yavin4!');
INSERT INTO `client_strings` VALUES ('string/en/space/escort/corellia_privateer_14.stf', '33', 'reason_4', 'We need to get this cargo to Yavin4 without incident. Watch our back.');
INSERT INTO `client_strings` VALUES ('string/en/space/escort/corellia_privateer_14.stf', '34', 'reason_5', 'We need to get this cargo to Yavin4 without incident. Watch our back.');
INSERT INTO `client_strings` VALUES ('string/en/space/escort/corellia_privateer_14.stf', '35', 'thanks_4', 'Phew, that was a close one. We are almost there, keep your eyes open.');
INSERT INTO `client_strings` VALUES ('string/en/space/escort/corellia_privateer_14.stf', '36', 'thanks_5', 'I thought they would take us out for sure. I will let Command know of your superior skills!');
INSERT INTO `client_strings` VALUES ('string/en/space/escort/corellia_privateer_14.stf', '37', 'panic_4', 'Hostile fighter ships attacking, they have spotted my cargo!');
INSERT INTO `client_strings` VALUES ('string/en/space/escort/corellia_privateer_14.stf', '38', 'panic_5', 'Hostile fighters inbound, keep them off me!');
INSERT INTO `client_strings` VALUES ('string/en/space/escort_duty/corellia_privateer_10.stf', '1', 'abort', 'Abort code recognized. Proceed as normal.');
INSERT INTO `client_strings` VALUES ('string/en/space/escort_duty/corellia_privateer_10.stf', '2', 'arrived_at_loc', 'Coordinates confirmed. Searching for target... ... ...');
INSERT INTO `client_strings` VALUES ('string/en/space/escort_duty/corellia_privateer_10.stf', '3', 'attack_notify', 'Tactical Computer: < Warning! Warning! Vessels with armed weapon systems detected! Proceed with caution. >');
INSERT INTO `client_strings` VALUES ('string/en/space/escort_duty/corellia_privateer_10.stf', '4', 'attack_stopped', 'Tactical Computer: < Area clear. Sensors cannot indicate immediate danger. Proceed as normal. >');
INSERT INTO `client_strings` VALUES ('string/en/space/escort_duty/corellia_privateer_10.stf', '5', 'complete', 'The Freighter has arrived safely. Good job, pilot!');
INSERT INTO `client_strings` VALUES ('string/en/space/escort_duty/corellia_privateer_10.stf', '6', 'failed_protect', 'You failed to efficiently escort the Freighter to safety!');
INSERT INTO `client_strings` VALUES ('string/en/space/escort_duty/corellia_privateer_10.stf', '7', 'found_loc', 'Coordinates received and updated. Proceed to designated area for next duty, pilot!');
INSERT INTO `client_strings` VALUES ('string/en/space/escort_duty/corellia_privateer_10.stf', '8', 'goodbye_1', 'Ah! The beauty of Lok. I thought I\'d never see it again. Thanks, pilot!');
INSERT INTO `client_strings` VALUES ('string/en/space/escort_duty/corellia_privateer_10.stf', '9', 'goodbye_2', 'You\'re a fine pilot, sir! Thank you for getting us to Lok in one piece!');
INSERT INTO `client_strings` VALUES ('string/en/space/escort_duty/corellia_privateer_10.stf', '10', 'goodbye_3', 'That was close! I\'m glad to see we made it out safe. Thanks, pilot!');
INSERT INTO `client_strings` VALUES ('string/en/space/escort_duty/corellia_privateer_10.stf', '11', 'goodbye_4', 'Whew! Time to hit the cantina. We\'ll raise our glasses in your honor, pilot!');
INSERT INTO `client_strings` VALUES ('string/en/space/escort_duty/corellia_privateer_10.stf', '12', 'goodbye_5', 'It was looking a little bleak there, pilot. Thanks for getting us to safety!');
INSERT INTO `client_strings` VALUES ('string/en/space/escort_duty/corellia_privateer_10.stf', '13', 'hull_half', 'Our hull has taken significant damage! We\'re gonna need some help over here, pilot!');
INSERT INTO `client_strings` VALUES ('string/en/space/escort_duty/corellia_privateer_10.stf', '14', 'panic_1', 'Incoming hostile units! This vessel isn\'t equipped for fighting! Keep us safe, pilot!');
INSERT INTO `client_strings` VALUES ('string/en/space/escort_duty/corellia_privateer_10.stf', '15', 'panic_2', 'Sensors indicate armed systems! It may get a little hectic around here!');
INSERT INTO `client_strings` VALUES ('string/en/space/escort_duty/corellia_privateer_10.stf', '16', 'panic_3', 'Keep your eyes open! My sensors indicate hostile vessels.');
INSERT INTO `client_strings` VALUES ('string/en/space/escort_duty/corellia_privateer_10.stf', '17', 'panic_4', 'I hope you know how to handle your vessel, pilot! We\'ve got hostiles on our tail!');
INSERT INTO `client_strings` VALUES ('string/en/space/escort_duty/corellia_privateer_10.stf', '18', 'panic_5', 'We\'re done for! Their weapon systems are locked on us! Don\'t let us die!');
INSERT INTO `client_strings` VALUES ('string/en/space/escort_duty/corellia_privateer_10.stf', '19', 'reason_1', 'You\'re going to escort us.. with *that*? It\'s just a bucket of bolts! You better keep hostiles off us!');
INSERT INTO `client_strings` VALUES ('string/en/space/escort_duty/corellia_privateer_10.stf', '20', 'reason_2', 'I suspect you\'re our escort. Good! We need to get this shipment of weapons to Lok, pronto!');
INSERT INTO `client_strings` VALUES ('string/en/space/escort_duty/corellia_privateer_10.stf', '21', 'reason_3', 'With you as our escort, we\'ll be drinking in a Lok cantina soon enough! We have exotic wines on this vessel, ready for consumption!');
INSERT INTO `client_strings` VALUES ('string/en/space/escort_duty/corellia_privateer_10.stf', '22', 'reason_4', 'You better be a good pilot. We have expensive trinkets in here for Queen-something-or-other! Keep an eye on us.');
INSERT INTO `client_strings` VALUES ('string/en/space/escort_duty/corellia_privateer_10.stf', '23', 'reason_5', 'Finally... what took you so long? Get us to our destination safely, ya hear?');
INSERT INTO `client_strings` VALUES ('string/en/space/escort_duty/corellia_privateer_10.stf', '24', 'shields_depleted', 'Our shields are failing! Get these hostiles off me, pilot!');
INSERT INTO `client_strings` VALUES ('string/en/space/escort_duty/corellia_privateer_10.stf', '25', 'taunt_1', 'Ha! You\'ll never get out of this system alive! Let\'s get \'em, boys!');
INSERT INTO `client_strings` VALUES ('string/en/space/escort_duty/corellia_privateer_10.stf', '26', 'taunt_2', 'We\'ll be takin\' yer freighter\'s cargo if ya\' don\'t mind! Har har!');
INSERT INTO `client_strings` VALUES ('string/en/space/escort_duty/corellia_privateer_10.stf', '27', 'taunt_3', 'Aim for their weak spot, boys! We\'ll take the bounty after we\'re done trashing their vessels!');
INSERT INTO `client_strings` VALUES ('string/en/space/escort_duty/corellia_privateer_10.stf', '28', 'taunt_4', 'Easy targets! This will be some fine targeting practice for us!');
INSERT INTO `client_strings` VALUES ('string/en/space/escort_duty/corellia_privateer_10.stf', '29', 'taunt_5', 'I\'m going to destroy you with everything I have! You\'re in *my* system now!');
INSERT INTO `client_strings` VALUES ('string/en/space/escort_duty/corellia_privateer_10.stf', '30', 'thanks_1', 'That was close! Thanks for saving our tails, pilot!');
INSERT INTO `client_strings` VALUES ('string/en/space/escort_duty/corellia_privateer_10.stf', '31', 'thanks_2', 'You know... you\'re an okay pilot! We would have been dust back there!');
INSERT INTO `client_strings` VALUES ('string/en/space/escort_duty/corellia_privateer_10.stf', '32', 'thanks_3', 'Man, we owe you a drink for that one! Great job, pilot!');
INSERT INTO `client_strings` VALUES ('string/en/space/escort_duty/corellia_privateer_10.stf', '33', 'thanks_4', 'I could almost feel the heat of that explosion from here! Nice work!');
INSERT INTO `client_strings` VALUES ('string/en/space/escort_duty/corellia_privateer_10.stf', '34', 'thanks_5', 'I gotta say, you sure know how to fly that thing!');
INSERT INTO `client_strings` VALUES ('string/en/space/escort_duty/corellia_privateer_10.stf', '35', 'title', 'Escort Trade Freighter Vessels');
INSERT INTO `client_strings` VALUES ('string/en/space/escort_duty/corellia_privateer_10.stf', '36', 'failed_destroy', 'Complete failure! Your superior will be notified!');
INSERT INTO `client_strings` VALUES ('string/en/space/escort_duty/corellia_privateer_10.stf', '37', 'duty_update', 'Trade Sector Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/space/inspect/corellia_privateer_15.stf', '1', 'title', 'Steal Shipment Orders');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '1', 'quest_in_progress', ' \\#pcontrast3 Mission in Progress: < \\#pcontrast1 %TO \\#pcontrast3 >\n \\#pcontrast2 (You must complete the mission before leaving this sector.) \\#pcontrast3 ');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '2', 'quest_failed', ' \\#pcontrast3 Mission Failed: < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '3', 'quest_won', ' \\#pcontrast3 Mission Successful: < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '4', 'quest_aborted', ' \\#pcontrast3 Mission Aborted: < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '5', 'quest_rewarded', ' \\#pcontrast3 Reward Received: < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '6', 'quest_received', ' \\#pcontrast3 Mission Received: < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '7', 'quest_update_s', ' \\#pcontrast3 Mission Update: < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '8', 'quest_update_is', ' \\#pcontrast3 Mission Update: < \\#pcontrast1 %DI %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '9', 'destroy_remainder_update', 'targets remaining to be destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '10', 'patrol_new_waypoint', 'Patrol waypoint located.');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '11', 'patrol_circuit_complete', ' \\#pcontrast3 Mission Update: < \\#pcontrast1 Patrol circuit complete. %DI circuit(s) remaining. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '12', 'patrol_target_eliminated', 'Target eliminated.  Now finish your patrol.');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '13', 'patrol_waypoint_arrived', 'You have arrived at a patrol nav point.');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '14', 'escort_new_waypoint', 'Escort rendezvous waypoint located.');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '15', 'escort_waypoint_arrived', 'You have arrived at the escort rendezvous.');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '16', 'escort_update', ' \\#pcontrast3 Escort Target: < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '17', 'escort_failed_protect', 'You failed to protect your escort target!');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '18', 'escort_failed_destroy', 'Your escort target was destroyed!');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '19', 'escort_too_far1', 'You\'re too far out.  Tighten up!');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '20', 'escort_too_far2', 'You\'re still too far out.  We need an escort here!');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '21', 'escort_too_far3', 'This area is too hot to fly without an escort. \n We\'re retreating.  Your superiors will hear about this!');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '22', 'destroy_target_waypoints', 'waypoint(s) to possible destroy target locations have been added to your datapad.');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '23', 'duty_received', ' \\#pcontrast3 Duty Received: < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '24', 'duty_aborted', ' \\#pcontrast3 Duty Ended: < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '25', 'duty_update_s', ' \\#pcontrast3 Duty Update: < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '26', 'duty_update_is', ' \\#pcontrast3 Duty Update: < \\#pcontrast1 %DI %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '27', 'destroy_duty_round_reward', '\\#pcontrast3 > \\#pcontrast1 All waves eliminated. Reward: \\#pcontrast2 %DI \\#pcontrast1 credits. \\#pcontrast3 <');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '28', 'duty_already', 'You already have an assigned duty!');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '29', 'destroy_special_reward', 'credits have been awarded as an outstanding duty performance bonus.');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '30', 'destroy_duty_complete_reward', '>  \\#pcontrast1 Duty completion bonus: \\#pcontrast2 %DI \\#pcontrast1 credits. <');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '31', 'patrol_lap_reward', 'credits have been awarded for your patrol circuit.');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '32', 'quest_alert_s', ' \\#pcontrast2 Mission Alert: \\#pcontrast3 < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '33', 'patrol_abandoned', 'You abandoned your patrol!');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '34', 'destroy_abandoned', 'You have ended your duty mission.');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '35', 'escort_abandoned', 'You abandoned your escort target!');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '36', 'escort_reward', '\\#pcontrast3 > \\#pcontrast1 Escort complete. Reward: \\#pcontrast2 %DI \\#pcontrast1 credits. \\#pcontrast3 <');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '37', 'escort_badge_reward', 'credits and a badge have been awarded for distinguished escort service!');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '38', 'destroy_remainder_update_disable', 'targets remaining to be disabled.');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '39', 'destroy_target_waypoints_disable', 'waypoint(s) to possible disable target locations have been added to your datapad.');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '40', 'inspect_target_waypoints', 'waypoint(s) to possible inspection target locations have been added to your datapad.');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '41', 'inspect_abandoned', 'You abandoned your inspection mission!');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '42', 'inspect_recovered_cargo', 'You recovered the cargo!');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '43', 'read', 'Read');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '44', 'not_in_inv', 'That object must be in your inventory.');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '45', 'signed', 'Your digital signature was imprinted on the form.');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '46', 'sign', 'Sign');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '47', 'close', 'Close');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '48', 'ta_title', 'Authorization of Transfer');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '49', 'ta_text', 'The documents contained herein are an accurate and complete record of the undersigned pilot\'s history with the Imperial Navy. This document confirms the undersigned to be transferred to a new posting as indicated in the contained form 57/G.\n\nAuthorized this day by the Imperial Naval Command.\n');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '50', 'ta_sign', 'Please indicate your confirmation of the information contained in this document as true and complete by signing with your full name below.');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '51', 'ta_sign_title', 'Digital Signature');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '52', 'recovery_abandoned', 'You abandoned the mission and the target escaped!');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '53', 'target_disabled', 'Primary target has been disabled.');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '54', 'capture_failed_escape', 'Your capture target has escaped the area!');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '55', 'capture_failed_destroy', 'Your capture target was destroyed!');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '56', 'capture_started', 'Primary mission target capture op underway.');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '57', 'capture_complete', 'Primary mission target capture op complete!');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '58', 'capture_recovery_success', 'The captured ship has been secured!');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '59', 'capture_escort_remaining', 'ship(s) remain(s) in the target\'s escort.');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '60', 'capture_escort_wiped_out', 'The target\'s escort has been eliminated.');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '61', 'destroy_duty_target_located', ' \\#pcontrast3 > \\#pcontrast1 Duty target located. A waypoint has been created. \\#pcontrast3 <');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '62', 'destroy_duty_target_detected', ' \\#pcontrast3 > \\#pcontrast1 Enemy targets are on an attack vector! \\#pcontrast3 <');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '63', 'destroy_duty_targets_remaining', ' \\#pcontrast3 Tactical Computer: < \\#pcontrast1 Target destroyed. %DI target(s) remain. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '64', 'destroy_duty_targets_dead', ' \\#pcontrast3 Tactical Computer: < \\#ffff00All enemy targets destroyed. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '65', 'destroy_duty_level_increase', ' \\#pcontrast3 > \\#ff0000 Stronger enemy ships have entered the sector! \\#pcontrast3 <');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '66', 'destroy_duty_level_boss', ' \\#pcontrast3 > \\#ff0000 An enemy commander has been dispatched to stop you! \\#pcontrast3 <');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '67', 'destroy_duty_level_boss_dead', ' \\#pcontrast3 > \\#00ff00 The enemy commander has been defeated! \\#pcontrast3 <\n \\#pcontrast3 > \\#ff0000 In response, more enemy ships have entered the sector! \\#pcontrast3 <');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '68', 'destroy_duty_boss_detected', ' \\#pcontrast3 > \\#ff0000 The enemy commander\'s wing is moving to attack! \\#pcontrast3 <');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '69', 'destroy_duty_boss_dead', ' \\#pcontrast3 Tactical Computer: < \\#00ff00 The enemy commander\'s wing has been eliminated! \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '70', 'destroy_duty_boss_reward', '>  \\#pcontrast1 Command wing elimination bonus: \\#pcontrast2 %DI \\#pcontrast1 credits. <');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '71', 'destoroy_duty_complete', ' \\#pcontrast3 > \\#00ff00 All objectives eliminated. No further enemies challenge you. \\#pcontrast3 <');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '72', 'destroy_surprise_abandoned', 'You ran away from the attack and abandoned your duty!');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '73', 'destroy_surprise_attack', 'ships have entered the area and are closing to attack!');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '74', 'recovery_reward', '\\#pcontrast3 > \\#pcontrast1 Capture complete. Reward: \\#pcontrast2 %DI \\#pcontrast1 credits. \\#pcontrast3 <');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '75', 'rescue_reward', '\\#pcontrast3 > \\#pcontrast1 Operation complete. Reward: \\#pcontrast2 %DI \\#pcontrast1 credits. \\#pcontrast3 <');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '76', 'mission_abandoned', 'You abandoned your mission!');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '77', 'quest_received_group', ' \\#pcontrast3 %TO received a mission: < \\#pcontrast1 %TT \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '78', 'quest_won_group', ' \\#pcontrast3 %TO completed a mission: < \\#pcontrast1 %TT \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '79', 'quest_failed_group', ' \\#pcontrast3 %TO failed a mission: < \\#pcontrast1 %TT \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '80', 'quest_aborted_group', ' \\#pcontrast3 %TO aborted a mission: < \\#pcontrast1 %TT \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '81', 'quest_in_progress_group', ' \\#pcontrast3 %TO\'s mission is in progress: < \\#pcontrast1 %TT \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '82', 'inspect_found_cargo', '\\#00ff00 This is the cargo you\'re looking for. Use the \'/dock\' command to retrieve it! \\#pcontrast3');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '83', 'delivery', 'Space: Delivery');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '84', 'destroy', 'Space: Destroy');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '85', 'destroy_surpriseattack', 'Space: Surprise Attack');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '86', 'delivery_no_pickup', 'Space: Delivery');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '87', 'escort', 'Space: Escort');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '88', 'escort_duty', 'Space: Escort Duty');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '89', 'assassinate', 'Space: Assassination');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '90', 'survival', 'Space: Survival');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '91', 'destroy_duty', 'Space: Destroy Duty');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '92', 'inspect', 'Space: Inspection');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '93', 'inspect_duty', 'Space: Inspection Duty');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '94', 'patrol', 'Space: Patrol');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '95', 'recovery', 'Space: Capture');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '96', 'recovery_duty', 'Space: Capture Duty');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '97', 'rescue', 'Space: Rescue');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '98', 'rescue_duty', 'Space: Rescue Duty');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '99', 'space_battle', 'Space: Battle');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '100', 'wave_defeated', ' \\#pcontrast3 Tactical Computer: < \\#pcontrast1 A wave of enemies has been destroyed. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '101', 'wave_launched', ' \\#pcontrast3 Tactical Computer: < \\#pcontrast1 A wave of enemies is attacking! \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '102', 'battle_abandoned', 'You left your allies to die in battle!');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '103', 'target_disabled2', 'You disabled your target!');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '104', 'quest_reward', 'A payment of %DI credits have been transferred to your bank account.');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '105', 'warpout_failure', '\\#ff0000 You took too long to complete the mission. A critical target has left the system! \\#pcontrast3\n');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '106', 'assassination', 'Space: Assassination');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '107', 'inspection', 'Space: Inspection');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '108', 'rescue_abandoned', 'You abandoned your mission!');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '109', 'jtl_required', 'Unable to assign mission:  This mission requires Star Wars Galaxies: Jump to Lightspeed.');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '110', 'space_surprise_attack', 'Space: Surprise Attack');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '111', 'surprise_attack', 'Space: Surprise Attack');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '112', 'rescue_target_disabled', 'The ship you are escorting has become disabled! Dock with it to perform quick repairs.');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '113', 'survival_abandoned', 'You have failed the mission due to abandoning your assignment.');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '114', 'convoy', 'Space: Convoy');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '115', 'convoy_survived', '%DF% of the convoy arrived safely! Each member of your team will receive %DI credits in payment.');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '116', 'convoy_perfect', 'You successfully protected the entire convoy! A bonus of %DI credits has been awarded to your team.');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '117', 'group_quest_received', 'You have received a group quest flag!');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '118', 'group_quest_failed', 'You have failed a group quest!');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '119', 'group_quest_won', 'You have won a group quest!');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '120', 'group_quest_aborted', 'Your group quest has been aborted.');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '121', 'left_group_quest', 'You have left a group quest.');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '122', 'valarian_sidequest', 'Lady Valarian');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '123', 'palace_access_text', 'This document authorizes the named subject access to all general parts of our beneful Lord Jabba\'s grand palace. By signing this you agree that as long as you are a guest in our magnificient Lord Jabba\'s spectacular palace you are the property of our wise and kind Lord Jabba. You also abide to follow all rules stated in document I-32 and understand that failure in doing so may be punished by your termination.');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '124', 'palace_access_title', 'Authorization of Access to the Palace of Lord Jabba');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '125', 'palace_access_sign', 'Please indicate that you understand what you have just read (or what was read to you) by signing the dotted line on the very bottom of this document. For those without reading and writing comprehension, a thumb (or other appropriate limb) print is acceptable.');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '126', 'palace_access_sign_title', 'Dotted line for signature');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '127', 'signed_palace_access', 'You signed the dotted line.');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '128', 'quest_ended', ' \\#pcontrast3 Mission Ended: < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/space/quest.stf', '129', 'quest_ended_group', ' \\#pcontrast3 %TO ended a mission: < \\#pcontrast1 %TT \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/space/quest_mail.stf', '1', 'corellia_station_mission_subject_one', 'A Unique Opportunity');
INSERT INTO `client_strings` VALUES ('string/en/space/quest_mail.stf', '2', 'corellia_station_mission_subject_two', 'The Time Has Come');
INSERT INTO `client_strings` VALUES ('string/en/space/quest_mail.stf', '3', 'corellia_station_mission_body_one', 'Greetings CorSec pilot.\n\nAllow me to introduce myself. I am a representative of the elite association known as the Cloaks.\n\nYou have been selected due to your rank within the Correllia Security Force, and you are being offered a unique opportunity.\n\nWe would like for you to consider working with our society as an agent. Your position allows you access to volumes of valuable CorSec information and supplies.\n\nIf you are interested, I would encourage you to meet with me in Corellian space to discuss the details. It needs not be said that you should mention none of this to CorSec command.\n\nCloaks over all,\n\n< Sender blocked >\nCloak Representative');
INSERT INTO `client_strings` VALUES ('string/en/space/quest_mail.stf', '4', 'corellia_station_mission_body_two', 'The time has come to serve your purpose as a Cloak agent, CorSec.\n\nVery soon, a supply transport will need to passing through the Corellian system. However, they refuse to jump in unless they will have a CorSec escort.\n\nThe supplies this freighter is carrying would help our cause tremendously, so of course we intend to take them. We need you to provide an \"escort\" for the freighter. When our attack wing comes in, you will of course allow them to attack and capture the freighter.\n\nFailure in this task will be detrimental. To you.\n\nYou will not mention this to CorSec command.\n\nCloaks over all,\n\n< Sender blocked >\nCloak Representative');
INSERT INTO `client_strings` VALUES ('string/en/space/recovery_duty/corellia_privateer_12.stf', '1', 'title', 'Capture the Star Kimogila');
INSERT INTO `client_strings` VALUES ('string/en/space/recovery_duty/corellia_privateer_12.stf', '2', 'arrival_phase_1', 'Your targeted entourage will arrive at any moment.');
INSERT INTO `client_strings` VALUES ('string/en/space/recovery_duty/corellia_privateer_12.stf', '3', 'arrival_phase_2', 'The Star Kimogila has arrived. Disable the vessel and eliminate her escorts!');
INSERT INTO `client_strings` VALUES ('string/en/space/recovery_duty/corellia_privateer_12.stf', '4', 'capture_phase_1', 'Boarding party is facing light resistance.');
INSERT INTO `client_strings` VALUES ('string/en/space/recovery_duty/corellia_privateer_12.stf', '5', 'capture_phase_2', 'Resistance eliminated. We\'ve taken the bridge. We\'ll be underway shortly.');
INSERT INTO `client_strings` VALUES ('string/en/space/recovery_duty/corellia_privateer_12.stf', '7', 'quest_update', ' \\#pcontrast3 Hutt Command: < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/space/recovery_duty/corellia_privateer_12.stf', '8', 'target_disabled', ' \\#pcontrast3 Tactical Computer: < \\#00ff00 The Star Kimogila has been disabled. Capture operation will begin shortly. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/space/recovery_duty/corellia_privateer_12.stf', '9', 'capture_started', ' \\#pcontrast3 Tactical Computer: < \\#00ff00 Primary mission target capture operation underway. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/space/recovery_duty/corellia_privateer_12.stf', '10', 'capture_complete', ' \\#pcontrast3 Tactical Computer: < \\#00ff00 Primary mission target capture operation complete! \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/space/recovery_duty/corellia_privateer_12.stf', '11', 'recovery_success', 'The Star Kimogila has been secured. Good job, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/space/recovery_duty/corellia_privateer_12.stf', '12', 'complete', 'We\'ve made it to safety. Jumping to lightspeed...now.');
INSERT INTO `client_strings` VALUES ('string/en/space/recovery_duty/corellia_privateer_12.stf', '13', 'failed_escape', 'The Star Kimogila has escaped the area. This is a disgrace! Return to base at once!');
INSERT INTO `client_strings` VALUES ('string/en/space/recovery_duty/corellia_privateer_12.stf', '14', 'failed_destroy', 'The Star Kimogila was destroyed! This is unacceptable! Return to base at once. You are to blame for this failure!');
INSERT INTO `client_strings` VALUES ('string/en/space/recovery_duty/corellia_privateer_12.stf', '15', 'abort', 'Abort code recognized. Stand by for course change... ... Confirmed. You are authorized to leave the system.');
INSERT INTO `client_strings` VALUES ('string/en/space/recovery_duty/corellia_privateer_12.stf', '16', 'escort_wiped_out', ' \\#pcontrast3 Tactical Computer: < \\#00ff00 The targeted vessel\'s escort has been eliminated. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/space/recovery_duty/corellia_privateer_12.stf', '17', 'escort_remaining', ' \\#pcontrast3 Tactical Computer: < \\#00ff00 %DI ships remain in the vessel\'s escort. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '1', 'reactor', 're');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '2', 'engine', 'en');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '3', 'shield_0', 'sh0');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '4', 'shield_1', 'sh1');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '5', 'armor_0', 'ar0');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '6', 'armor_1', 'ar1');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '7', 'capacitor', 'ca');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '8', 'booster', 'bo');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '9', 'droid_interface', 'di');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '10', 'bridge', 'br');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '11', 'hangar', 'ha');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '12', 'targeting_station', 'ts');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '13', 'weapon_0', 'we0');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '14', 'weapon_1', 'we1');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '15', 'weapon_2', 'we2');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '16', 'weapon_3', 'we3');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '17', 'weapon_4', 'we4');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '18', 'weapon_5', 'we5');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '19', 'weapon_6', 'we6');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '20', 'none', 'no');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '21', 'weapon_7', 'we7');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '22', 'weapon_8', 'we8');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '23', 'weapon_9', 'we9');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '24', 'weapon_10', 'we10');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '25', 'weapon_11', 'we11');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '26', 'weapon_12', 'we12');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '27', 'weapon_13', 'we13');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '28', 'weapon_14', 'we14');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '29', 'weapon_15', 'we15');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '30', 'weapon_16', 'we16');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '31', 'weapon_17', 'we17');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '32', 'weapon_18', 'we18');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '33', 'weapon_19', 'we19');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '34', 'weapon_20', 'we20');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '35', 'weapon_21', 'we21');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '36', 'weapon_22', 'we22');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '37', 'weapon_23', 'we23');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '38', 'weapon_24', 'we24');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '39', 'weapon_25', 'we25');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '40', 'weapon_26', 'we26');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '41', 'weapon_27', 'we27');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '42', 'weapon_28', 'we28');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '43', 'weapon_29', 'we29');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '44', 'weapon_30', 'we30');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '45', 'weapon_31', 'we31');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '46', 'weapon_32', 'we32');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '47', 'weapon_33', 'we33');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '48', 'weapon_34', 'we34');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '49', 'weapon_35', 'we35');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '50', 'weapon_36', 'we36');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '51', 'weapon_37', 'we37');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '52', 'weapon_38', 'we38');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '53', 'weapon_39', 'we39');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '54', 'weapon_40', 'we40');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '55', 'weapon_41', 'we41');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '56', 'weapon_42', 'we42');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '57', 'weapon_43', 'we43');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '58', 'weapon_44', 'we44');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '59', 'weapon_45', 'we45');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '60', 'weapon_46', 'we46');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '61', 'weapon_47', 'we47');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '62', 'weapon_48', 'we48');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '63', 'weapon_49', 'we49');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '64', 'weapon_50', 'we50');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '65', 'weapon_51', 'we51');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '66', 'weapon_52', 'we52');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '67', 'weapon_53', 'we53');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '68', 'weapon_54', 'we54');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '69', 'weapon_55', 'we55');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '70', 'weapon_56', 'we56');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '71', 'weapon_57', 'we57');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '72', 'weapon_58', 'we58');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '73', 'weapon_59', 'we59');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '74', 'weapon_60', 'we60');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '75', 'weapon_61', 'we61');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '76', 'weapon_62', 'we62');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '77', 'weapon_63', 'we63');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '78', 'weapon_64', 'we64');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '79', 'weapon_65', 'we65');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '80', 'weapon_66', 'we66');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '81', 'weapon_67', 'we67');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '82', 'weapon_68', 'we68');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '83', 'weapon_69', 'we69');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '84', 'weapon_70', 'we70');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '85', 'weapon_71', 'we71');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '86', 'weapon_72', 'we72');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '87', 'weapon_73', 'we73');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '88', 'weapon_74', 'we74');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '89', 'weapon_75', 'we75');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '90', 'weapon_76', 'we76');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '91', 'weapon_77', 'we77');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '92', 'weapon_78', 'we78');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '93', 'weapon_79', 'we79');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '94', 'weapon_80', 'we80');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '95', 'weapon_81', 'we81');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '96', 'weapon_82', 'we82');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '97', 'weapon_83', 'we83');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '98', 'weapon_84', 'we84');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '99', 'weapon_85', 'we85');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '100', 'weapon_86', 'we86');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '101', 'weapon_87', 'we87');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '102', 'weapon_88', 'we88');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '103', 'weapon_89', 'we89');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '104', 'weapon_90', 'we90');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '105', 'weapon_91', 'we91');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '106', 'weapon_92', 'we92');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '107', 'weapon_93', 'we93');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '108', 'weapon_94', 'we94');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '109', 'weapon_95', 'we95');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '110', 'weapon_96', 'we96');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '111', 'weapon_97', 'we97');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '112', 'weapon_98', 'we98');
INSERT INTO `client_strings` VALUES ('string/en/space/scst_short_n.stf', '113', 'weapon_99', 'we99');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1', 'assaultship', 'Rebel Assault Cruiser');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '2', 'awing', 'A-Wing Spearhead');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '3', 'blacksunbomber', 'Black Sun Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '4', 'blacksungunship', 'Black Sun Gunship');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '5', 'blacksunskiff', 'Black Sun Skiff');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '6', 'bwing', 'B-Wing Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '7', 'civshuttle', 'Civilian Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '8', 'civspeeder', 'Civilian Speeder');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '9', 'civtransport', 'Civilian Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '10', 'civtaxi', 'Civilian Taxi');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '11', 'freighterheavy', 'Heavy Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '12', 'freighterlight', 'Light Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '13', 'freightermedium', 'Cargo Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '14', 'huttbomber', 'Hutt Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '15', 'huttfighter', 'Hutt Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '16', 'huttgunship', 'Hutt Gunship');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '17', 'huttskiff', 'Hutt Skiff');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '18', 'nebulon', 'Alliance \"Nebulon\" Cruiser');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '19', 'lambdashuttle', 'Imperial \"Lambda\" Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '20', 'tieadvanced', 'TIE advanced Starfighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '21', 'tiebomber', 'TIE bomber pilot');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '22', 'tiefighter', 'Imperial veteran pilot');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '23', 'tieinterceptor', 'TIE interceptor pilot');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '24', 'xwing', 'X-Wing Fighter Pilot');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '25', 'tie_rookie', 'TIE fighter (Cadet)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '26', 'tie_average', 'TIE fighter (Officer)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '27', 'tie_ace', 'TIE fighter (Master)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '28', 'tieinterceptor_rookie', 'TIE interceptor Cadet');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '29', 'tieinterceptor_average', 'TIE interceptor Squadron Commander');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '30', 'tieinterceptor_ace', 'TIE interceptor Wing Leader');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '31', 'tieadvanced_rookie', 'TIE advanced cadet');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '32', 'tieadvanced_average', 'TIE advanced (Officer)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '33', 'tieadvanced_ace', 'TIE advanced Fighterpilot');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '34', 'tiebomber_rookie', 'TIE bomber cadet');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '35', 'tiebomber_average', 'TIE bomber Squadron Commander');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '36', 'tiebomber_ace', 'Wing Leader');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '37', 'xwing_rookie', 'X-Wing Fighter Cadet');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '38', 'xwing_average', 'X-Wing Fighter Commander');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '39', 'xwing_ace', 'X-Wing Fighter Wing Leader');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '40', 'yt1300', 'YT-1300 Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '41', 'blacksunfighter', 'Black Sun Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '42', 'ywing_ace', 'Y-Wing Leader');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '43', 'ywing_average', 'Y-Wing Commander');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '44', 'ywing_rookie', 'Y-Wing Cadet');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '45', 'ywing', 'Y-Wing Fighter Pilot');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '46', 'bestine_pirate', 'Commerce Raider');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '47', 'bestine_pirate_leader', 'Commerce Raider Leader');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '48', 'blacksun_pirate', 'Black Sun Pirate');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '49', 'blacksun_pirate_leader', 'Black Sun Pirate Leader');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '50', 'imperial_freighterheavy', 'Imperial Heavy Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '51', 'rebel_freighterheavy', 'Rebel Heavy Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '52', 'corsecfighter_rookie', 'CorSec Patroller');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '53', 'corsecfighter_average', 'CorSec Wing Leader');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '54', 'corsecfighter_ace', 'CorSec Defender');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '55', 'hiddendaggersbomber', 'Hidden Daggers Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '56', 'hiddendaggersfighter', 'Hidden Daggers Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '57', 'hiddendaggersgunship', 'Hidden Daggers Gunship');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '58', 'hiddendaggers_leader', 'Hidden Daggers Leader');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '59', 'rebel_trainee', 'X-Wing Cadet');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '60', 'hiddendaggersskiff', 'Hidden Daggers Skiff');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '61', 'bwing_prototype', 'B-Wing Shantipole Project Pilot');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '62', 'freighterheavy_imperial', 'Imperial Heavy Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '63', 'freighterlight_imperial', 'Imperial Light Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '64', 'freightermedium_imperial', 'Imperial Cargo Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '65', 'freighterheavy_rebel', 'Rebel Heavy Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '66', 'freighterlight_rebel', 'Rebel Light Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '67', 'freightermedium_rebel', 'Rebel Medium Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '68', 'marcus_the_mad', 'Madd Markos (Pirate)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '69', 'nym_lieutenant', 'Nym\'s Lieutenant');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '70', 'freighterheavy_mining', 'Heavy Mining Vessel');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '71', 'freightermedium_mining', 'Mining Vessel');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '72', 'freighterlight_mining', 'Light Mining Vessel');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '73', 'mining_guard_ship', 'Mining Guard Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '74', 'nym_smuggle_vessel', 'Nym Light Smuggle Vessel (Pirate)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '75', 'nym_escort_fighter', 'Nym Escort Fighter (Pirate)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '76', 'nym_cannon_ship', 'Nym Cannon Ship (Captain)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '77', 'nym_star_kimogila', 'Nym Star Kimogila (Captain)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '78', 'trandoshan_slave_barge', 'Trandoshan Slave Barge');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '79', 'trandoshan_slave_fighter', 'Trandoshan Slaver Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '80', 'huttsmuggler', 'Hutt Spice Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '81', 'recovery_overseer_shuttle', 'Recovery Overseer Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '82', 'recovery_hulk_imperial', 'Imperial Recovery Hulk');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '83', 'teststation', 'Test Space Station');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '84', 'trade_fed_fighter', 'Trade Federation Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '85', 'trade_fed_heavy_fighter', 'Trade Federation Heavy Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '86', 'corsair_raider', 'Corsair Raider');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '87', 'corsair_sloop', 'Corsair Sloop');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '88', 'corsair_manowar', 'Corsair Man o\'War');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '89', 'corsair_behemoth', 'Corsair Behemoth');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '90', 'corellian_corvette', 'Corellian Corvette');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '91', 'vortex_mission_1_shuttle', 'Imperial \"Lambda\" Shuttle (Scientist)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '92', 'vortex_mission_1_finn_darktrin', 'Finn Darktrin');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '93', 'probe_droid_pod', 'Probe Droid Pod');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '94', 'tieinterceptor_inquisitor', 'Imperial Inquisitor');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '95', 'vortex_mission_2_scientist', 'Rebel Scientist');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '96', 'vortex_mission_4_shuttle', 'Imperial \"Lambda\" Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '97', 'vortex_mission_4_guard', 'Elite Guard');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '98', 'aynat_enforcer', 'Ay\'Nat Enforcer');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '99', 'aynat_ghost', 'Ay\'Nat Ghost Elite');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '100', 'aynat_intimidator', 'Ay\'Nat Intimidator');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '101', 'aynat_outlaw', 'Ay\'Nat Outlaw Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '102', 'aynat_vaporizer', 'Ay\'Nat Vaporizer');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '103', 'aynat_yacht', 'Ay\'Nat Captain\'s Yacht');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '104', 'freighterheavy_royal_kylantha', 'Queen Kylantha\'s Frigate');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '105', 'freighterheavy_rsf_prison_ship', 'RSF Prison Transfer Ship');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '106', 'aynat_viggo', 'Ay\'Nat Warlord');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '107', 'nym_interceptor', 'Nym Interceptor Blade');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '108', 'nym_interceptor_lieutenant', 'Nym Interceptor Razor');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '109', 'nym_interceptor_captain', 'Nym Interceptor Sword');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '110', 'nym_enforcer', 'Nym Enforcer');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '111', 'nym_enforcer_capt', 'Nym Brawler');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '112', 'nym_prison_ship', 'Hostage Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '113', 'nym_capo_ship', 'Kimogila\'s Claw');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '114', 'rebel_agent', 'Rebel Agent');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '115', 'imperial_scan_freighter_tier2', 'Imperial Scan Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '116', 'rebel_raider', 'Rebel Raider Scavenger');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '117', 'rebel_raider_captain', 'Rebel Scavenger Commander');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '118', 'rebel_raider_fast_attack', 'Rebel Raider Interceptor');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '119', 'rebel_raider_bomber', 'Rebel Raider Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '120', 'kuat_fighter', 'Kuat Shipyards Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '121', 'viopa_mission_1_shuttle', 'Imperial \"Lambda\" Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '122', 'viopa_mission_3_shuttle', 'Imperial \"Lambda\" Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '123', 'viopa_mission_4_freighter', 'Kuat Shipyards Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '124', 'escape_pod', 'Escape Pod');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '125', 'player_command_tie_bomber', 'Strike Package Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '126', 'escort_tie_basic', 'Strike Package Escort');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '127', 'escort_tie_interceptor', 'Strike Package Escort');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '128', 'escort_tie_advanced', 'Strike Package Escort');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '129', 'viopa_mission_2_smuggler', 'YT-1300 Hacker');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '130', 'rebel_smuggler', 'Rebel Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '131', 'nym_smuggler', 'Nym Light Smuggle Vessel (Pirate)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '132', 'yavin_mission_1_freighter', 'Rebel Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '133', 'yavin_mission_3_shuttle', 'Imperial \"Lambda\" Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '134', 'patrol_routes', 'Imperial Patrol Routes');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '135', 'yavin_mission_2_shuttle', 'Imperial \"Lambda\" Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '136', 'droid_fighter', 'Droid Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '137', 'bh_target_guard', 'Mercenary Escort');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '138', 'bh_target_guard_elite', 'Elite Mercenary Escort');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '139', 'bh_gutcher_gorai', 'Gutcher Gorai');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '140', 'bh_rae_lux', 'Rae\'Lux');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '141', 'bh_bwar_brother', 'B\'war Brotherhood');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '142', 'bh_juree_lazar', 'Juree La\'Zar');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '143', 'dath_freelance_killer', 'Freelance Killer');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '144', 'dath_witchblood_clan_soldier', 'Witchblood Clan Soldier');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '145', 'dath_witchblood_clan_punisher', 'Witchblood Clan Punisher');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '146', 'dath_deathmarked_mercenary', 'Death-marked Mercenary');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '147', 'yt1300_smuggler', 'Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '148', 'freighterheavy_smuggler', 'Heavy Freighter (Smuggler)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '149', 'freightermedium_smuggler', 'Freighter (Smuggler)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '150', 'freighterlight_smuggler', 'Light Freighter (Smuggler)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '151', 'mercenary_guard', 'Mercenary Guard');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '152', 'mos_eisley_police', 'Mos Eisley Police');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '153', 'rsf_fighter', 'Royal Security Forces Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '154', 'rsf_defender', 'Royal Security Forces Defender');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '155', 'rsf_hunter', 'Royal Security Forces Hunter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '156', 'rogue_droid_fighter', 'Scintilla Fighter (Rogue Droid)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '157', 'rogue_droid_defender', 'Scintilla Defender (Rogue Droid)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '158', 'rogue_droid_bomber', 'Scintilla Bomber (Rogue Droid)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '159', 'rogue_droid_scrapper', 'Scintilla Scrapper (Rogue Droid)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '160', 'valarian_fighter_rookie', 'Valarian Smoker');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '161', 'valarian_gunship_average', 'Valarian Gunship');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '162', 'borvo_fighter', 'Borvo Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '163', 'borvo_defender', 'Borvo Defender');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '164', 'borvo_bomber', 'Borvo Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '165', 'naboo_miner_fighter', 'Ironfleck Marauder (Miner Fighter)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '166', 'naboo_miner_defender', 'Ironfleck Marauder (Miner Defender)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '167', 'naboo_miner_transport', 'Ironfleck Marauder (Miner Transport)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '168', 'naboo_miner_hunter', 'Ironfleck Marauder (Miner Hunter)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '169', 'valarian_freighterlight_mining', 'Valarian Mining Vessel');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '170', 'tier_3_1_a_spy', 'Imperial Spy');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '171', 'imperial_vip_shuttle', 'Imperial VIP Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '172', 'rancor_clan_soldier', 'Rancor Clan Soldier');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '173', 'rancor_clan_elite', 'Rancor Clan Striker');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '174', 'rancor_clan_gunship', 'Rancor Clan Gunship');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '175', 'rancor_clan_ace', 'Rancor Clan Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '176', 'hutt_vip_transport', 'Hutt VIP Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '177', 'valarian_fighter_replacement', 'Valarian Replacement');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '178', 'nym_smuggler_freightermedium', 'Nym Medium Smuggle Vessel (Pirate)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '179', 'lambdashuttle_advanced_recon', 'Imperial Advanced Recon Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '180', 'tieadvanced_quest_officer_rebel_t3', 'Major Kroger');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '181', 'lambdashuttle_rebel_tier3_1_officer', 'Imperial Security Officer');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '182', 'lambdashuttle_rebel_tier3_1_a_spies', 'Imperial \"Lambda\" Shuttle (Rebel Spies)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '183', 'tatooine_tier3_2_inspect_xwing', 'X-Wing Fighter (Suspect)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '184', 'tatooine_tier3_2_inspect_ywing', 'Y-Wing Fighter (Suspect)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '185', 'tatooine_tier3_2_inspect_awing', 'A-Wing Fighter (Suspect)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '186', 'tatooine_tier3_2_inspect_bwing', 'B-Wing Fighter (Suspect)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '187', 'tatooine_tier3_2_b_guard', 'TIE interceptor (Elite Guard)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '188', 'tatooine_tier3_2_b_inquisitor', 'Inquisitor');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '189', 'bwing_average', 'B-Wing Bomber Leader');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '190', 'evil_raider_hutt_heavy', 'Pirate Raider');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '191', 'evil_raider_hutt_heavy_two', 'Pirate Freebooter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '192', 'evil_raider_hutt_medium', 'Pirate Running Gunner');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '193', 'evil_raider_hutt_medium_two', 'Pirate Smash Raider');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '194', 'evil_raider_hutt_light', 'Pirate Stealth Looter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '195', 'evil_raider_hutt_light_two', 'Pirate Scout Raider');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '196', 'obsidian_torpedo_boss', 'OT-Violator');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '197', 'penumbra_omen_fighter', 'Penumbra Omen Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '198', 'penumbra_omen_eliminator', 'Penumbra Omen Eliminator');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '199', 'naboo_miner_boss', 'Miner Cobblestone (Ironfleck Luminary)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '200', 'rogue_droid_boss', 'The Iron Assembler');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '201', 'borvo_boss', 'K\'lartaeor The Nimble (Borvo Defalcator)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '202', 'rsf_boss', 'General Al\'art (Royal Forces Vindicator)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '203', 'imperial_boss', 'Captn. Silverline (Imperial Authoritarian)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '204', 'rebel_boss', 'Commander Ironstar (Alliance Subverter)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '205', 'spynet_operative_fighter', 'Spynet Operative Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '206', 'spynet_operative_bomber', 'Spynet Operative Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '207', 'spynet_operative_special_ops', 'Spynet Operative Special Ops');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '208', 'spynet_operative_assassin', 'Spynet Operative Assassin');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '209', 'blacklight_pirate_fighter', 'Blacklight Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '210', 'blacklight_pirate_bomber', 'Blacklight Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '211', 'blacklight_pirate_assassin', 'Blacklight Assassin');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '212', 'blacklight_pirate_leader', 'Blacklight Leader');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '213', 'erkon_the_vile', 'Erkon The Vile (Infamous Pirate)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '214', 'rebel_droid_training_ship', 'Rebel Training Ship (Droid Piloted)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '215', 'freighterlight_mining_nym', 'Light Mining Vessel (Nym)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '216', 'colonel_hend_shuttle_tier3', 'Colonel Hend');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '217', 'mercenary_courier', 'Railgun Merc (Courier)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '218', 'rebel_controlled_shuttle_tier3', 'Captured Engineer Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '219', 'rebel_command_shuttle_tier4', 'Folding Dancer');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '220', 'rebel_scout_shuttle', 'Rebel Advanced Recon Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '221', 'rebel_scout_fighter_tier3', 'Rebel Advanced Recon Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '222', 'colonel_hend_yacht_tier3', 'Colonel Hend\'s Yacht');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '223', 'shinss_yacht_tier3', 'Doctor Shinss\' Yacht');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '224', 'shinss_escape_shuttle_tier3', 'Doctor Shinss');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '225', 'shinss_escort_fighters_tier3', 'Railgun Merc Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '226', 'general_breckon_shuttle_tier4', 'General Breckon');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '227', 'breckon_escort_fighter_tier3', 'General Breckon\'s Escort Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '228', 'blacksun_freighterheavy', 'Black Sun Heavy Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '229', 'blacksun_freighterlighter', 'Black Sun Light Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '230', 'rebel_major_metoni', 'Major Hex Metoni');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '231', 'rebel_lt_nibs', 'Lieutenant Nibs');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '232', 'rebel_lt_asperago', 'Lieutenant Asperago');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '233', 'imperial_major_gek', 'Major Hadios Gek');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '234', 'imperial_cpt_hendrik', 'Captain Hendrik');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '235', 'imperial_cpt_oolg', 'Captain Oolg');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '236', 'corsec_cpt_tibbs', 'Captain Tibbs');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '237', 'corsec_chief_noloinian', 'Chief Noloinian');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '238', 'blacksun_asetti', 'Assetti Tiree');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '239', 'binyare_black_jack', 'Black Jack MacDougal');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '240', 'hutt_mesot', 'Mesot the Terrible');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '241', 'hiddendaggers_nebula_stalker', 'The Nebula Stalker');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '242', 'bothan_spynet_fighter_tier4', 'Bothan Escort Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '243', 'bothan_spynet_shuttle_tier4', 'Captured Engineer Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '244', 'rebel_endscout_tier4', 'Rebel A-Wing Scout');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '245', 'rebel_command_vessel_tier4', 'Nova Holiday');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '246', 'rebel_command_vessel_weak_tier2', 'Rebel Command Light Escort');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '247', 'red_skull_priate_light', 'Red Skull Light Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '248', 'red_skull_pirate_medium', 'Red Skull Medium Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '249', 'red_skull_pirate_heavy', 'Red Skull Heavy Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '250', 'unauthorized_shuttle', 'Unauthorized Civilian Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '251', 'unauthorized_freighterlight', 'Unauthorized Light Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '252', 'unauthorized_freightermedium', 'Unauthorized Medium Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '253', 'unauthorized_freightheavy', 'Unauthorized Heavy Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '254', 'unauthorized_smuggler', 'Unauthorized YT-1300');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '255', 'coynite_merc_light', 'Coynite Firespark');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '256', 'coynite_merc_medium', 'Coynite Novarunner');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '257', 'coynite_merc_heavy', 'Coynite Blackstar');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '258', 'coynite_mothership', 'Coyn\'s Tempest');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '259', 'crystal_smuggler_light', 'Crystal Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '260', 'crystal_smuggler_heavy', 'High Crystal Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '261', 'rogue_imperial_shuttle_tier4', 'Unauthorized Lambda Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '262', 'rogue_imperial_tiebomber_tier4', 'Unauthorized TIE Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '263', 'dathomir_prison_shuttle_tier4', 'Imperial Prison Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '264', 'dathomir_prison_break_shuttle_tier4', 'Prison Break Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '265', 'velocity_merc_fighter_light', 'Velocity Light Fighter Mercenary');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '266', 'velocity_merc_fighter_medium', 'Velocity Mercenary');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '267', 'velocity_merc_fighter_heavy', 'Velocity Heavy Fighter Mercenary');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '268', 'velocity_merc_captain', 'Velocity Mercenary Captain (officer)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '269', 'velocity_merc_squad_leader', 'Velocity Mercenary Squad Leader');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '270', 'velocity_smuggler', 'Velocity Mercenary Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '271', 'deserted_freighter_tier4', 'Civilian Freighter (on autopilot)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '272', 'imperial_drop_ship_tier4', 'Imperial Drop Ship');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '273', 'coynite_merc_captain', 'Coynite Mercenary Captain');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '274', 'naja_bertolo_tier5', 'Nej\'a Berto\'Lo');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '275', 'tiberus_anderlock', 'Tiberus Anderlock');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '276', 'onli_shien_tier5', 'Onli Shi\'en');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '277', 'binyare_raider_ace', 'Binayre Avenger');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '278', 'binyare_raider_average', 'Binayre Revenger');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '279', 'binyare_raider_rookie', 'Binayre Raider');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '280', 'freighterheavy_black_epsilon_tier2', 'Torton Runner');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '281', 'tieadvanced_inquisitor', 'Imperial Inquisitor');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '282', 'blacksunfighter_ace', 'Black Sun Assassin');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '283', 'yt1300_blacksun', 'Black Sun Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '284', 'yt1300_nym', 'Nym Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '285', 'lambdashuttle_troop_transport_ace', 'Imperial Troop Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '286', 'tieinterceptor_inquisitor_guard', 'Inquisitor Guard');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '287', 'bwing_ace', 'B-Wing Bombstrike Commander');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '288', 'tieaggressor_ace', 'TIE aggressor Fighterpilot');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '289', 'tieoppressor_ace', 'TIE oppressor');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '290', 'freighterlight_corellia_rebel_mission', 'Imperial Light Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '291', 'freighterheavy_corellia_rebel_mission', 'Imperial Heavy Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '292', 'freightermedium_corellia_rebel_mission', 'Imperial Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '293', 'tiedecimator_ace', 'TIE decimator');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '294', 'spynet_operative_spy', 'SpyNet Operative (Spy)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '295', 'yt1300_rebel_spy', 'Rebel Spy');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '296', 'freighterheavy_imperial_prison_transport', 'Imperial Prison Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '297', 'yt1300_fugitive_transport', 'Fugitive Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '298', 'awing_ace', 'A-Wing Leader');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '299', 'lambdashuttle_inquisition_data_vessel', 'Imperial Data Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '300', 'yt1300_civilian_transport', 'Civilian Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '301', 'freightermedium_civilian_transport', 'Civilian Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '302', 'freighterheavy_civilian_transport', 'Heavy Civilian Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '303', 'tieaggressor_inquisitor', 'Imperial Inquisitor');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '304', 'tie_vortex_spy', 'TIE fighter (Vortex Spy)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '305', 'tiedecimator_inquisitor', 'Imperial Inquisitor');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '306', 'rebel_agent_vortex', 'Vortex Agent');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '307', 'blacksungunship_leader', 'Black Sun Officer');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '308', 'freighterlight_nym', 'Nym Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '309', 'freightermedium_nym', 'Nym Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '310', 'lambdashuttle_station_commander', 'Imperial Station Commander');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '311', 'tieaggressor_uvqolo', 'Master Inquisitor Uvqolo');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '312', 'yt1300_rebel_freighter', 'Rebel Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '313', 'star_destroyer', 'Imperial Star Destroyer');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '314', 'madersim_tier3', 'Madersim');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '315', 'cadamo_sun_tier3', 'Cadamo Sun');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '316', 'dru_mdar_tier3', 'Dru\'Mdar');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '317', 'saysmond_varg_tier3', 'Saysmond Varg');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '318', 'naboo_diplomatic_corps_bad_tier3', 'NDC Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '319', 'blacksun_beldini_tier3', 'Beldini');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '320', 'blacksun_crystal_snake_tier3', 'Crystal Snake');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '321', 'blacksun_krayt_bane_tier3', 'Krayt\'s Bane');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '322', 'civshuttle_cor_tier3_pilot_capture', 'Civilan Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '323', 'blacksun_ace_s04_tier1', 'Black Sun Ace');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '324', 'blacksun_ace_s04_tier2', 'Black Sun Advanced');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '325', 'blacksun_ace_s04_tier3', 'Black Sun Wraith');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '326', 'blacksun_ace_s04_tier4', 'Black Sun Deathbringer');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '327', 'blacksun_fighter_s01_tier1', 'Black Sun Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '328', 'blacksun_fighter_s02_tier1', 'Black Sun Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '329', 'blacksun_fighter_s03_tier2', 'Black Sun Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '330', 'blacksun_fighter_s02_tier2', 'Black Sun Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '331', 'blacksun_fighter_s01_tier3', 'Black Sun Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '332', 'blacksun_fighter_s02_tier3', 'Black Sun Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '333', 'blacksun_fighter_s02_tier4', 'Black Sun Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '334', 'blacksun_fighter_s03_tier4', 'Black Sun Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '335', 'blacksun_yt1300_tier1', 'Black Sun Runner');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '336', 'blacksun_yt1300_tier2', 'Black Sun Evader');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '337', 'blacksun_yt1300_tier3', 'Black Sun Desperado');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '338', 'blacksun_yt1300_tier4', 'Black Sun Blackguard');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '339', 'blacksun_fighter_s03_tier1', 'Black Sun Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '340', 'blacksun_fighter_s01_tier2', 'Black Sun Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '341', 'blacksun_fighter_s03_tier3', 'Black Sun Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '342', 'blacksun_fighter_s01_tier4', 'Black Sun Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '343', 'blacksun_freighterheavy_tier1', 'Black Sun Heavy Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '344', 'blacksun_freighterheavy_tier2', 'Black Sun Heavy Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '345', 'blacksun_freighterheavy_tier3', 'Black Sun Heavy Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '346', 'blacksun_freighterheavy_tier4', 'Black Sun Heavy Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '347', 'blacksun_freighterlight_tier1', 'Black Sun Light Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '348', 'blacksun_freighterlight_tier2', 'Black Sun Light Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '349', 'blacksun_freighterlight_tier3', 'Black Sun Light Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '350', 'blacksun_freighterlight_tier4', 'Black Sun Light Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '351', 'blacksun_aggressor_tier3', 'Black Sun Aggressor');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '352', 'blacksun_aggressor_tier4', 'Black Sun Aggressor');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '353', 'blacksun_marauder_tier4', 'Black Sun Marauder');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '354', 'blacksun_marauder_tier3', 'Black Sun Marauder');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '355', 'blacksun_vehement_tier3', 'Black Sun Vehement');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '356', 'blacksun_vehement_tier4', 'Black Sun Vehement');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '357', 'blacksun_gunship_tier3', 'Black Sun Eradicator');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '358', 'blacksun_gunship_tier4', 'Black Sun Terminator');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '359', 'blacksun_gunship_tier5', 'Black Sun Annihilator');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '360', 'blacksun_bomber_s01_tier1', 'Black Sun Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '361', 'blacksun_bomber_s02_tier1', 'Black Sun Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '362', 'blacksun_bomber_s03_tier1', 'Black Sun Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '363', 'blacksun_bomber_s01_tier2', 'Black Sun Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '364', 'blacksun_bomber_s02_tier2', 'Black Sun Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '365', 'blacksun_bomber_s02_tier3', 'Black Sun Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '366', 'blacksun_bomber_s03_tier2', 'Black Sun Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '367', 'blacksun_bomber_s01_tier3', 'Black Sun Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '368', 'blacksun_bomber_s03_tier3', 'Black Sun Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '369', 'blacksun_bomber_s01_tier4', 'Black Sun Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '370', 'blacksun_bomber_s02_tier4', 'Black Sun Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '371', 'blacksun_bomber_s03_tier4', 'Black Sun Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '372', 'blacksun_bomber_ace_s04_tier1', 'Black Sun Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '373', 'blacksun_bomber_ace_s04_tier2', 'Black Sun Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '374', 'blacksun_bomber_ace_s04_tier3', 'Black Sun Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '375', 'blacksun_bomber_ace_s04_tier4', 'Black Sun Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '376', 'rsf_ace_tier1', 'RSF Ace');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '377', 'rsf_ace_tier2', 'RSF Ace');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '378', 'rsf_ace_tier3', 'RSF Ace');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '379', 'rsf_ace_tier4', 'RSF Ace');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '380', 'rsf_hunter_tier3', 'RSF Hunter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '381', 'rsf_hunter_tier4', 'RSF Hunter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '382', 'rsf_rawl_tier1', 'RSF Rawl');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '383', 'rsf_rawl_tier2', 'RSF Rawl');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '384', 'rsf_rawl_tier3', 'RSF Rawl');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '385', 'rsf_rawl_tier4', 'RSF Rawl');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '386', 'rsf_scanner_tier1', 'RSF Deep Space Scanner');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '387', 'rsf_scanner_tier2', 'RSF Deep Space Scanner');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '388', 'rsf_scanner_tier3', 'RSF Deep Space Scanner');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '389', 'rsf_scanner_tier4', 'RSF Deep Space Scanner');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '390', 'rsf_stinger_tier1', 'RSF Stinger');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '391', 'rsf_stinger_tier2', 'RSF Stinger');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '392', 'rsf_stinger_tier3', 'RSF Stinger');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '393', 'rsf_stinger_tier4', 'RSF Stinger');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '394', 'smuggler_freighterheavy_tier1', 'Smuggler Heavy Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '395', 'smuggler_freighterheavy_tier2', 'Smuggler Heavy Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '396', 'smuggler_freighterheavy_tier3', 'Smuggler Heavy Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '397', 'smuggler_freighterheavy_tier4', 'Smuggler Heavy Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '398', 'smuggler_freighterlight_tier1', 'Smuggler Light Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '399', 'smuggler_freighterlight_tier2', 'Smuggler Light Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '400', 'smuggler_freighterlight_tier3', 'Smuggler Light Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '401', 'smuggler_freighterlight_tier4', 'Smuggler Light Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '402', 'smuggler_yt1300_tier1', 'Smuggler Light Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '403', 'smuggler_yt1300_tier2', 'Smuggler Light Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '404', 'smuggler_yt1300_tier3', 'Smuggler Light Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '405', 'smuggler_yt1300_tier4', 'Smuggler Light Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '406', 'smuggler_freightermedium_tier1', 'Smuggler Medium Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '407', 'smuggler_freightermedium_tier2', 'Smuggler Medium Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '408', 'smuggler_freightermedium_tier3', 'Smuggler Medium Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '409', 'smuggler_freightermedium_tier4', 'Smuggler Medium Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '410', 'imp_tie_fighter_tier1', 'TIE Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '411', 'imp_tie_fighter_tier2', 'TIE Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '412', 'imp_tie_fighter_tier3', 'TIE Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '413', 'imp_tie_fighter_tier4', 'TIE Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '414', 'imp_tie_interceptor_tier1', 'TIE Interceptor');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '415', 'imp_tie_interceptor_tier2', 'TIE Interceptor');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '416', 'imp_tie_interceptor_tier3', 'TIE Interceptor');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '417', 'imp_tie_fighter_tier5', 'TIE Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '418', 'imp_tie_interceptor_tier4', 'TIE Interceptor');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '419', 'imp_tie_interceptor_tier5', 'TIE Interceptor');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '420', 'imp_tie_bomber_tier1', 'TIE Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '421', 'imp_tie_bomber_tier2', 'TIE Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '422', 'imp_tie_bomber_tier3', 'TIE Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '423', 'imp_tie_bomber_tier4', 'TIE Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '424', 'imp_tie_bomber_tier5', 'TIE Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '425', 'imp_tie_advanced_tier1', 'TIE Advanced');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '426', 'imp_tie_advanced_tier2', 'TIE Advanced');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '427', 'imp_tie_advanced_tier3', 'TIE Advanced');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '428', 'imp_tie_advanced_tier4', 'TIE Advanced');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '429', 'imp_tie_advanced_tier5', 'TIE Advanced');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '430', 'imp_tie_aggressor_tier1', 'TIE Aggressor');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '431', 'imp_tie_aggressor_tier2', 'TIE Aggressor');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '432', 'imp_tie_aggressor_tier3', 'TIE Aggressor');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '433', 'imp_tie_aggressor_tier4', 'TIE Aggressor');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '434', 'imp_tie_aggressor_tier5', 'TIE Aggressor');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '435', 'imp_tie_oppressor_tier1', 'TIE Oppressor');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '436', 'imp_tie_oppressor_tier2', 'TIE Oppressor');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '437', 'imp_tie_oppressor_tier3', 'TIE Oppressor');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '438', 'imp_tie_oppressor_tier4', 'TIE Oppressor');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '439', 'imp_tie_oppressor_tier5', 'TIE Oppressor');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '440', 'imp_decimator_tier1', 'VT-49 Decimator');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '441', 'imp_decimator_tier2', 'VT-49 Decimator');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '442', 'imp_decimator_tier3', 'VT-49 Decimator');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '443', 'imp_decimator_tier4', 'VT-49 Decimator');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '444', 'imp_decimator_tier5', 'VT-49 Decimator');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '445', 'imp_imperial_gunboat_tier1', 'Imperial Gunboat');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '446', 'spacestation_rebel', 'Rebel Space Station');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '447', 'imp_imperial_gunboat_tier2', 'Imperial Gunboat');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '448', 'imp_imperial_gunboat_tier3', 'Imperial Gunboat');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '449', 'imp_imperial_gunboat_tier4', 'Imperial Gunboat');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '450', 'imp_imperial_gunboat_tier5', 'Imperial Gunboat');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '451', 'reb_xwing_tier1', 'Rebel X-Wing');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '452', 'reb_xwing_tier2', 'Rebel X-Wing');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '453', 'reb_xwing_tier3', 'Rebel X-Wing');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '454', 'reb_xwing_tier4', 'Rebel X-Wing');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '455', 'reb_xwing_tier5', 'Rebel X-Wing');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '456', 'reb_ywing_tier1', 'Rebel Y-Wing');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '457', 'reb_ywing_tier2', 'Rebel Y-Wing');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '458', 'reb_ywing_tier3', 'Rebel Y-Wing');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '459', 'reb_ywing_tier4', 'Rebel Y-Wing');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '460', 'reb_ywing_tier5', 'Rebel Y-Wing');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '461', 'reb_awing_tier1', 'Rebel A-Wing');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '462', 'reb_awing_tier2', 'Rebel A-Wing');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '463', 'reb_awing_tier3', 'Rebel A-Wing');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '464', 'reb_awing_tier4', 'Rebel A-Wing');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '465', 'reb_awing_tier5', 'Rebel A-Wing');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '466', 'reb_bwing_tier1', 'Rebel B-Wing');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '467', 'reb_bwing_tier2', 'Rebel B-Wing');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '468', 'reb_bwing_tier3', 'Rebel B-Wing');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '469', 'reb_bwing_tier4', 'Rebel B-Wing');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '470', 'reb_bwing_tier5', 'Rebel B-Wing');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '471', 'reb_z95_tier1', 'Rebel Z-95');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '472', 'reb_z95_tier2', 'Rebel Z-95');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '473', 'reb_z95_tier3', 'Rebel Z-95');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '474', 'reb_z95_tier4', 'Rebel Z-95');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '475', 'reb_z95_tier5', 'Rebel Z-95');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '476', 'reb_ykl37r_tier1', 'Rebel YKL-37R');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '477', 'reb_ykl37r_tier2', 'Rebel YKL-37R');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '478', 'reb_ykl37r_tier3', 'Rebel YKL-37R');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '479', 'reb_ykl37r_tier4', 'Rebel YKL-37R');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '480', 'reb_ykl37r_tier5', 'Rebel YKL-37R');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '481', 'reb_yavinspy_tier4', 'Rebel Spy');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '482', 'imp_huttsmuggler_tier3', 'Hutt Smuggler (Imperial)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '483', 'reb_emissary_tier4', 'Rebel Emissary');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '484', 'nym_smuggle_transport_capture_tier4', 'Nym Smuggler Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '485', 'nym_gunship_nym_pride_tier3', 'Nym\'s Pride');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '486', 'nym_patrol_vessel_checkpoint_tier4', 'Nym Checkpoint Craft');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '487', 'nym_fighter_tier1', 'Nym Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '488', 'nym_fighter_tier2', 'Nym Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '489', 'nym_fighter_tier3', 'Nym Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '490', 'nym_fighter_tier4', 'Nym Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '491', 'nym_fighter_tier5', 'Nym Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '492', 'nym_enforcer_tier1', 'Nym Enforcer');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '493', 'nym_enforcer_tier2', 'Nym Enforcer');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '494', 'nym_enforcer_tier3', 'Nym Enforcer');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '495', 'nym_enforcer_tier4', 'Nym Enforcer');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '496', 'nym_enforcer_tier5', 'Nym Enforcer');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '497', 'nym_blastboat_tier1', 'Nym Blastboat');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '498', 'nym_blastboat_tier2', 'Nym Blastboat');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '499', 'nym_blastboat_tier3', 'Nym Blastboat');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '500', 'nym_blastboat_tier4', 'Nym Blastboat');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '501', 'nym_blastboat_tier5', 'Nym Blastboat');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '502', 'nym_bomber_tier1', 'Nym Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '503', 'nym_bomber_tier2', 'Nym Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '504', 'nym_bomber_tier3', 'Nym Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '505', 'nym_bomber_tier4', 'Nym Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '506', 'nym_bomber_tier5', 'Nym Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '507', 'nym_gunship_tier1', 'Nym Gunship');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '508', 'nym_gunship_tier2', 'Nym Gunship');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '509', 'nym_gunship_tier3', 'Nym Gunship');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '510', 'nym_gunship_tier4', 'Nym Gunship');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '511', 'nym_gunship_tier5', 'Nym Gunship');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '512', 'nym_patrol_craft_tier1', 'Nym Patrol Craft');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '513', 'nym_patrol_craft_tier2', 'Nym Patrol Craft');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '514', 'nym_patrol_craft_tier3', 'Nym Patrol Craft');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '515', 'nym_patrol_craft_tier4', 'Nym Patrol Craft');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '516', 'nym_patrol_craft_tier5', 'Nym Patrol Craft');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '517', 'hutt_fighter_s01_tier1', 'Hutt Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '518', 'hutt_fighter_s01_tier2', 'Hutt Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '519', 'hutt_fighter_s01_tier3', 'Hutt Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '520', 'hutt_fighter_s01_tier4', 'Hutt Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '521', 'hutt_fighter_s01_tier5', 'Hutt Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '522', 'hutt_fighter_s02_tier1', 'Hutt Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '523', 'hutt_fighter_s02_tier2', 'Hutt Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '524', 'hutt_fighter_s02_tier3', 'Hutt Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '525', 'hutt_fighter_s02_tier4', 'Hutt Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '526', 'hutt_fighter_s02_tier5', 'Hutt Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '527', 'hutt_pirate_s01_tier1', 'Hutt Pirate');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '528', 'hutt_pirate_s01_tier2', 'Hutt Pirate');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '529', 'hutt_pirate_s01_tier3', 'Hutt Pirate');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '530', 'hutt_pirate_s01_tier4', 'Hutt Pirate');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '531', 'hutt_pirate_s01_tier5', 'Hutt Pirate');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '532', 'hutt_pirate_s02_tier1', 'Hutt Pirate');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '533', 'hutt_pirate_s02_tier2', 'Hutt Pirate');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '534', 'hutt_pirate_s02_tier3', 'Hutt Pirate');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '535', 'hutt_pirate_s02_tier4', 'Hutt Pirate');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '536', 'hutt_pirate_s02_tier5', 'Hutt Pirate');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '537', 'hutt_bomber_s01_tier1', 'Hutt Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '538', 'hutt_bomber_s01_tier2', 'Hutt Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '539', 'hutt_bomber_s01_tier3', 'Hutt Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '540', 'hutt_bomber_s01_tier4', 'Hutt Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '541', 'hutt_bomber_s01_tier5', 'Hutt Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '542', 'hutt_bomber_s02_tier1', 'Hutt Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '543', 'hutt_bomber_s02_tier2', 'Hutt bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '544', 'hutt_bomber_s02_tier3', 'Hutt Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '545', 'hutt_bomber_s02_tier4', 'Hutt Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '546', 'hutt_bomber_s02_tier5', 'Hutt Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '547', 'hutt_freighterheavy_tier1', 'Hutt Heavy Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '548', 'hutt_freighterheavy_tier2', 'Hutt Heavy Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '549', 'hutt_freighterheavy_tier3', 'Hutt Heavy Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '550', 'hutt_freighterheavy_tier4', 'Hutt Heavy Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '551', 'hutt_freighterheavy_tier5', 'Hutt Heavy Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '552', 'hutt_freighterlight_tier1', 'Hutt Light Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '553', 'hutt_freighterlight_tier2', 'Hutt Light Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '554', 'hutt_freighterlight_tier3', 'Hutt Light Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '555', 'hutt_freighterlight_tier4', 'Hutt Light Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '556', 'hutt_freighterlight_tier5', 'Hutt Light Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '557', 'hutt_freightermedium_tier1', 'Hutt Medium Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '558', 'hutt_freightermedium_tier2', 'Hutt Medium Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '559', 'hutt_freightermedium_tier3', 'Hutt Medium Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '560', 'hutt_freightermedium_tier4', 'Hutt Medium Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '561', 'hutt_freightermedium_tier5', 'Hutt Medium Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '562', 'hutt_yt1300_tier1', 'Hutt Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '563', 'hutt_yt1300_tier2', 'Hutt Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '564', 'hutt_yt1300_tier3', 'Hutt Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '565', 'hutt_yt1300_tier4', 'Hutt Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '566', 'hutt_yt1300_tier5', 'Hutt Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '567', 'hutt_transport_tier1', 'Hutt Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '568', 'hutt_transport_tier2', 'Hutt Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '569', 'hutt_transport_tier3', 'Hutt Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '570', 'hutt_transport_tier4', 'Hutt Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '571', 'hutt_transport_tier5', 'Hutt Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '572', 'reb_transport_tier1', 'Rebel Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '573', 'reb_transport_tier2', 'Rebel Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '574', 'reb_transport_tier3', 'Rebel Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '575', 'reb_transport_tier4', 'Rebel Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '576', 'reb_transport_tier5', 'Rebel Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '577', 'imp_transport_tier1', 'Imperial Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '578', 'imp_transport_tier2', 'Imperial Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '579', 'imp_transport_tier3', 'Imperial Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '580', 'imp_transport_tier4', 'Impertial Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '581', 'imp_transport_tier5', 'Imperial Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '582', 'blacksun_transport_tier1', 'Black Sun Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '583', 'blacksun_transport_tier2', 'Black Sun Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '584', 'blacksun_transport_tier3', 'Black Sun Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '585', 'blacksun_transport_tier4', 'Black Sun Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '586', 'blacksun_transport_tier5', 'Black Sun Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '587', 'blacksun_freighterheavy_tier5', 'Black Sun Heavy Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '588', 'blacksun_marauder_tier1', 'Black Sun Marauder');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '589', 'blacksun_marauder_tier2', 'Black Sun Marauder');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '590', 'blacksun_marauder_tier5', 'Black Sun Marauder');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '591', 'blacksun_vehement_tier1', 'Black Sun Vehement');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '592', 'blacksun_vehement_tier2', 'Black Sun Vehement');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '593', 'blacksun_vehement_tier5', 'Black Sun Vehement');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '594', 'blacksun_bomber_s01_tier5', 'Black Sun Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '595', 'blacksun_bomber_s02_tier5', 'Black Sun Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '596', 'blacksun_bomber_s03_tier5', 'Black Sun Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '597', 'blacksun_bomber_ace_s04_tier5', 'Black Sun Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '598', 'blacksun_gunship_tier1', 'Black Sun Destroyer');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '599', 'blacksun_gunship_tier2', 'Black Sun Devastator');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '600', 'blacksun_ace_s04_tier5', 'Black Sun Ace');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '601', 'blacksun_fighter_s01_tier5', 'Black Sun Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '602', 'blacksun_fighter_s02_tier5', 'Black Sun Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '603', 'blacksun_fighter_s03_tier5', 'Black Sun Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '604', 'blacksun_yt1300_tier5', 'Black Sun Scoundrel');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '605', 'rsf_ace_tier5', 'RSF Ace');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '606', 'rsf_hunter_tier1', 'RSF Hunter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '607', 'rsf_hunter_tier2', 'RSF Hunter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '608', 'rsf_hunter_tier5', 'RSF Hunter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '609', 'rsf_rawl_tier5', 'RSF Rawl');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '610', 'rsf_scanner_tier5', 'RSF Deep Space Scanner');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '611', 'rsf_stinger_tier5', 'RSF Stinger');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '612', 'smuggler_freighterheavy_tier5', 'Smuggler Heavy Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '613', 'smuggler_freighterlight_tier5', 'Smuggler Light Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '614', 'smuggler_freightermedium_tier5', 'Smuggler Medium Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '615', 'smuggler_yt1300_tier5', 'Smuggler Light Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '616', 'imp_lambda_shuttle_tier1', 'Lambda Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '617', 'imp_lambda_shuttle_tier2', 'Lambda Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '618', 'imp_lambda_shuttle_tier3', 'Lambda Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '619', 'imp_lambda_shuttle_tier4', 'Lambda Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '620', 'imp_lambda_shuttle_tier5', 'Lambda Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '621', 'corsec_fighter_tier1', 'CorSec Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '622', 'corsec_fighter_tier2', 'CorSec Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '623', 'corsec_fighter_tier3', 'CorSec Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '624', 'corsec_fighter_tier4', 'CorSec Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '625', 'corsec_fighter_tier5', 'CorSec Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '626', 'corsec_interceptor_tier1', 'CorSec Interceptor');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '627', 'corsec_interceptor_tier2', 'CorSec Interceptor');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '628', 'corsec_interceptor_tier3', 'CorSec Interceptor');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '629', 'corsec_interceptor_tier4', 'CorSec Interceptor');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '630', 'corsec_interceptor_tier5', 'CorSec Interceptor');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '631', 'corsec_interdiction_craft_tier1', 'CorSec Interdiction Craft');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '632', 'corsec_interdiction_craft_tier2', 'CorSec Interdiction Craft');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '633', 'corsec_interdiction_craft_tier3', 'CorSec Interdiction Craft');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '634', 'corsec_interdiction_craft_tier4', 'CorSec Interdiction Craft');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '635', 'corsec_interdiction_craft_tier5', 'CorSec Interdiction Craft');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '636', 'corsec_gunship_tier1', 'CorSec Gunship');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '637', 'corsec_gunship_tier2', 'CorSec Gunship');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '638', 'corsec_gunship_tier3', 'CorSec Gunship');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '639', 'corsec_gunship_tier4', 'CorSec Gunship');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '640', 'corsec_gunship_tier5', 'CorSec Gunship');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '641', 'corsec_lancer_tier1', 'CorSec Lancer');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '642', 'corsec_lancer_tier2', 'CorSec Lancer');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '643', 'corsec_lancer_tier3', 'CorSec Lancer');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '644', 'corsec_lancer_tier4', 'CorSec Lancer');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '645', 'corsec_lancer_tier5', 'CorSec Lancer');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '646', 'blacksun_aggressor_tier1', 'Black Sun Aggressor');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '647', 'blacksun_aggressor_tier2', 'Black Sun Aggressor');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '648', 'blacksun_aggressor_tier5', 'Black Sun Aggressor');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '649', 'borvo_bomber_tier1', 'Borvo Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '650', 'borvo_bomber_tier2', 'Borvo Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '651', 'borvo_bomber_tier3', 'Borvo Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '652', 'borvo_bomber_tier4', 'Borvo Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '653', 'borvo_bomber_tier5', 'Borvo Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '654', 'borvo_boss_tier1', 'Borvo Boss');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '655', 'borvo_boss_tier2', 'Borvo Boss');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '656', 'borvo_boss_tier3', 'Borvo Boss');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '657', 'borvo_boss_tier4', 'Borvo Boss');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '658', 'borvo_boss_tier5', 'Borvo Boss');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '659', 'borvo_defender_tier1', 'Borvo Defender');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '660', 'borvo_defender_tier2', 'Borvo Defender');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '661', 'borvo_defender_tier3', 'Borvo Defender');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '662', 'borvo_defender_tier4', 'Borvo Defender');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '663', 'borvo_defender_tier5', 'Borvo Defender');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '664', 'borvo_fighter_tier1', 'Borvo Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '665', 'borvo_fighter_tier2', 'Borvo Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '666', 'borvo_fighter_tier3', 'Borvo Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '667', 'borvo_fighter_tier4', 'Borvo Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '668', 'borvo_fighter_tier5', 'Borvo Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '669', 'corsair_behemoth_tier1', 'Corsair Behemoth');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '670', 'corsair_behemoth_tier2', 'Corsair Behemoth');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '671', 'corsair_behemoth_tier3', 'Corsair Behemoth');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '672', 'corsair_behemoth_tier4', 'Corsair Behemoth');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '673', 'corsair_behemoth_tier5', 'Corsair Behemoth');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '674', 'corsair_manowar_tier1', 'Corsair Man O\'war');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '675', 'corsair_manowar_tier2', 'Corsair Man O\'war');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '676', 'corsair_manowar_tier3', 'Corsair Man O\'war');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '677', 'corsair_manowar_tier4', 'Corsair Man O\'war');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '678', 'corsair_manowar_tier5', 'Corsair Man O\'war');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '679', 'corsair_raider_tier1', 'Corsair Raider');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '680', 'corsair_raider_tier2', 'Corsair Raider');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '681', 'corsair_raider_tier3', 'Corsair Raider');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '682', 'corsair_raider_tier4', 'Corsair Raider');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '683', 'corsair_raider_tier5', 'Corsair Raider');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '684', 'corsair_sloop_tier1', 'Corsair Sloop');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '685', 'corsair_sloop_tier2', 'Corsair Sloop');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '686', 'corsair_sloop_tier3', 'Corsair Sloop');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '687', 'corsair_sloop_tier4', 'Corsair Sloop');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '688', 'corsair_sloop_tier5', 'Corsair Sloop');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '689', 'coynite_communications_vessel_tier1', 'Coynite Communications Vessel');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '690', 'coynite_communications_vessel_tier2', 'Coynite Communications Vessel');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '691', 'coynite_communications_vessel_tier3', 'Coynite Communications Vessel');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '692', 'coynite_communications_vessel_tier4', 'Coynite Communications Vessel');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '693', 'coynite_communications_vessel_tier5', 'Coynite Communications Vessel');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '694', 'coynite_merc_captain_tier1', 'Coynite Captain');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '695', 'coynite_merc_captain_tier2', 'Coynite Captain');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '696', 'coynite_merc_captain_tier3', 'Coynite Captain');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '697', 'coynite_merc_captain_tier4', 'Coynite Captain');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '698', 'coynite_merc_captain_tier5', 'Coynite Captain');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '699', 'coynite_merc_neutron_tier1', 'Coynite Neutron');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '700', 'coynite_merc_neutron_tier2', 'Coynite Neutron');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '701', 'coynite_merc_neutron_tier3', 'Coynite Neutron');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '702', 'coynite_merc_neutron_tier4', 'Coynite Neutron');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '703', 'coynite_merc_neutron_tier5', 'Coynite Neutron');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '704', 'coynite_merc_pulsar_tier1', 'Coynite Pulsar');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '705', 'coynite_pulsar_tier2', 'Coynite Pulsar');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '706', 'coynite_pulsar_tier3', 'Coynite Pulsar');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '707', 'coynite_pulsar_tier4', 'Coynite Pulsar');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '708', 'coynite_pulsar_tier5', 'Coynite Pulsar');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '709', 'coynite_pulsar_tier1', 'Coynite Pulsar');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '710', 'coynite_mothership_tier1', 'Coynite Mothership');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '711', 'coynite_mothership_tier2', 'Coynite Mothership');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '712', 'coynite_mothership_tier3', 'Coynite Mothership');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '713', 'coynite_mothership_tier4', 'Coyn\'s Tempest');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '714', 'coynite_mothership_tier5', 'Coyn\'s Tempest');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '715', 'crystal_smuggler_heavy_tier1', 'Crystal Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '716', 'crystal_smuggler_heavy_tier2', 'Crystal Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '717', 'crystal_smuggler_heavy_tier3', 'Crystal Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '718', 'crystal_smuggler_heavy_tier4', 'Crystal Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '719', 'crystal_smuggler_heavy_tier5', 'Crystal Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '720', 'crystal_smuggler_yt1300_tier1', 'Crystal Runner');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '721', 'crystal_smuggler_yt1300_tier2', 'Crystal Runner');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '722', 'crystal_smuggler_yt1300_tier3', 'Crystal Runner');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '723', 'crystal_smuggler_yt1300_tier4', 'Crystal Runner');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '724', 'crystal_smuggler_yt1300_tier5', 'Crystal Runner');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '725', 'dantooine_miner_boss_tier1', 'Dantooine Miner Boss');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '726', 'dantooine_miner_boss_tier2', 'Dantooine Miner Boss');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '727', 'dantooine_miner_boss_tier3', 'Dantooine Miner Boss');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '728', 'dantooine_miner_boss_tier4', 'Dantooine Miner Boss');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '729', 'dantooine_miner_boss_tier5', 'Dantooine Miner Boss');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '730', 'dantooine_miner_guard_tier1', 'Dantooine Miner Guard');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '731', 'dantooine_miner_guard_tier2', 'Dantooine Miner Guard');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '732', 'dantooine_miner_guard_tier3', 'Dantooine Miner Guard');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '733', 'dantooine_miner_guard_tier4', 'Dantooine Miner Guard');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '734', 'dantooine_miner_guard_tier5', 'Dantooine Miner Guard');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '735', 'dantooine_miner_scout_tier1', 'Dantooine Miner Scout');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '736', 'dantooine_miner_scout_tier2', 'Dantooine Miner Scout');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '737', 'dantooine_miner_scout_tier3', 'Dantooine Miner Scout');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '738', 'dantooine_miner_scout_tier4', 'Dantooine Miner Scout');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '739', 'dantooine_miner_scout_tier5', 'Dantooine Miner Scout');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '740', 'dantooine_miner_transport_tier1', 'Dantooine Miner Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '741', 'dantooine_miner_transport_tier2', 'Dantooine Miner Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '742', 'dantooine_miner_transport_tier3', 'Dantooine Miner Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '743', 'dantooine_miner_transport_tier4', 'Dantooine Miner Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '744', 'dantooine_miner_transport_tier5', 'Dantooine Miner Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '745', 'dantooine_scavenger_bomber_tier1', 'Dantooine Scavenger Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '746', 'dantooine_scavenger_bomber_tier2', 'Dantooine Scavenger Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '747', 'dantooine_scavenger_bomber_tier3', 'Dantooine Scavenger Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '748', 'dantooine_scavenger_bomber_tier4', 'Dantooine Scavenger Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '749', 'dantooine_scavenger_bomber_tier5', 'Dantooine Scavenger Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '750', 'dantooine_scavenger_boss_tier1', 'Dantooine Scavenger Boss');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '751', 'dantooine_scavenger_boss_tier2', 'Dantooine Scavenger Boss');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '752', 'dantooine_scavenger_boss_tier3', 'Dantooine Scavenger Boss');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '753', 'dantooine_scavenger_boss_tier4', 'Dantooine Scavenger Boss');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '754', 'dantooine_scavenger_boss_tier5', 'Dantooine Scavenger Boss');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '755', 'dantooine_scavenger_collector_tier1', 'Dantooine Scavenger Collector');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '756', 'dantooine_scavenger_collector_tier2', 'Dantooine Scavenger Collector');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '757', 'dantooine_scavenger_collector_tier3', 'Dantooine Scavenger Collector');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '758', 'dantooine_scavenger_collector_tier4', 'Dantooine Scavenger Collector');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '759', 'dantooine_scavenger_collector_tier5', 'Dantooine Scavenger Collector');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '760', 'dantooine_scavenger_fighter_tier1', 'Dantooine Scavenger Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '761', 'dantooine_scavenger_fighter_tier2', 'Dantooine Scavenger Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '762', 'dantooine_scavenger_fighter_tier3', 'Dantooine Scavenger Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '763', 'dantooine_scavenger_fighter_tier4', 'Dantooine Scavenger Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '764', 'dantooine_scavenger_fighter_tier5', 'Dantooine Scavenger Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '765', 'dantooine_slave_trader_boss_tier1', 'Dantooine Slave Trader Boss');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '766', 'dantooine_slave_trader_boss_tier2', 'Dantooine Slave Trader Boss');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '767', 'dantooine_slave_trader_boss_tier3', 'Dantooine Slave Trader Boss');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '768', 'dantooine_slave_trader_boss_tier4', 'Dantooine Slave Trader Boss');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '769', 'dantooine_slave_trader_boss_tier5', 'Dantooine Slave Trader Boss');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '770', 'dantooine_slave_trader_guard_tier1', 'Dantooine Slave Trader Guard');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '771', 'dantooine_slave_trader_guard_tier2', 'Dantooine Slave Trader Guard');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '772', 'dantooine_slave_trader_guard_tier3', 'Dantooine Slave Trader Guard');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '773', 'dantooine_slave_trader_guard_tier4', 'Dantooine Slave Trader Guard');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '774', 'dantooine_slave_trader_guard_tier5', 'Dantooine Slave Trader Guard');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '775', 'dantooine_slave_trader_scout_tier1', 'Dantooine Slave Trader Scout');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '776', 'dantooine_slave_trader_scout_tier2', 'Dantooine Slave Trader Scout');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '777', 'dantooine_slave_trader_scout_tier3', 'Dantooine Slave Trader Scout');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '778', 'dantooine_slave_trader_scout_tier4', 'Dantooine Slave Trader Scout');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '779', 'dantooine_slave_trader_scout_tier5', 'Dantooine Slave Trader Scout');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '780', 'dantooine_slave_trader_transport_tier1', 'Dantooine Slave Trader Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '781', 'dantooine_slave_trader_transport_tier2', 'Dantooine Slave Trader Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '782', 'dantooine_slave_trader_transport_tier3', 'Dantooine Slave Trader Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '783', 'dantooine_slave_trader_transport_tier4', 'Dantooine Slave Trader Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '784', 'dantooine_slave_trader_transport_tier5', 'Dantooine Slave Trader Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '785', 'dath_freelance_killer_tier1', 'Dathomir Freelance Killer');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '786', 'dath_freelance_killer_tier2', 'Dathomir Freelance Killer');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '787', 'dath_freelance_killer_tier3', 'Dathomir Freelance Killer');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '788', 'dath_freelance_killer_tier4', 'Dathomir Freelance Killer');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '789', 'dath_witchblood_clan_punisher_tier1', 'Witchblood Clan Punisher');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '790', 'dath_witchblood_clan_punisher_tier2', 'Witchblood Clan Punisher');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '791', 'dath_witchblood_clan_punisher_tier3', 'Witchblood Clan Punisher');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '792', 'dath_witchblood_clan_punisher_tier4', 'Witchblood Clan Punisher');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '793', 'dath_witchblood_clan_punisher_tier5', 'Witchblood Clan Punisher');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '794', 'dath_witchblood_clan_soldier_tier1', 'Witchblood Clan Soldier');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '795', 'dath_witchblood_clan_soldier_tier2', 'Witchblood Clan Soldier');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '796', 'dath_witchblood_clan_soldier_tier3', 'Witchblood Clan Soldier');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '797', 'dath_witchblood_clan_soldier_tier4', 'Witchblood Clan Soldier');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '798', 'dath_witchblood_clan_soldier_tier5', 'Witchblood Clan Soldier');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '799', 'death_watch_assassin_tier1', 'Death Watch Assassin');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '800', 'death_watch_assassin_tier2', 'Death Watch Assassin');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '801', 'death_watch_assassin_tier3', 'Death Watch Assassin');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '802', 'death_watch_assassin_tier4', 'Death Watch Assassin');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '803', 'death_watch_assassin_tier5', 'Death Watch Assassin');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '804', 'death_watch_prowler_tier1', 'Death Watch Prowler');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '805', 'death_watch_prowler_tier2', 'Death Watch Prowler');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '806', 'death_watch_prowler_tier3', 'Death Watch Prowler');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '807', 'death_watch_prowler_tier4', 'Death Watch Prowler');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '808', 'death_watch_prowler_tier5', 'Death Watch Prowler');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '809', 'death_watch_eradicator_tier1', 'Death Watch Eradicator');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '810', 'death_watch_eradicator_tier2', 'Death Watch Eradicator');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '811', 'death_watch_eradicator_tier3', 'Death Watch Eradicator');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '812', 'death_watch_eradicator_tier4', 'Death Watch Eradicator');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '813', 'death_watch_eradicator_tier5', 'Death Watch Eradicator');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '814', 'debris_smuggler_bomber_tier1', 'Elite Bomber (Ni\'lyahin Smugglers)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '815', 'debris_smuggler_bomber_tier2', 'Elite Bomber (Ni\'lyahin Smugglers)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '816', 'debris_smuggler_bomber_tier3', 'Elite Bomber (Ni\'lyahin Smugglers)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '817', 'debris_smuggler_bomber_tier4', 'Elite Bomber (Ni\'lyahin Smugglers)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '818', 'debris_smuggler_bomber_tier5', 'Elite Bomber (Ni\'lyahin Smugglers)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '819', 'debris_smuggler_collector_tier1', 'Jacynct Collector (Ni\'lyahin Smugglers)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '820', 'debris_smuggler_collector_tier2', 'Jacynct Collector (Ni\'lyahin Smugglers)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '821', 'debris_smuggler_collector_tier3', 'Jacynct Collector (Ni\'lyahin Smugglers)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '822', 'debris_smuggler_collector_tier4', 'Jacynct Collector (Ni\'lyahin Smugglers)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '823', 'debris_smuggler_collector_tier5', 'Jacynct Collector (Ni\'lyahin Smugglers)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '824', 'debris_smuggler_fighter_tier1', 'Superior Fighter (Ni\'lyahin Smugglers)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '825', 'debris_smuggler_fighter_tier2', 'Superior Fighter (Ni\'lyahin Smugglers)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '826', 'debris_smuggler_fighter_tier3', 'Superior Fighter (Ni\'lyahin Smugglers)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '827', 'debris_smuggler_fighter_tier4', 'Superior Fighter (Ni\'lyahin Smugglers)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '828', 'debris_smuggler_fighter_tier5', 'Superior Fighter (Ni\'lyahin Smugglers)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '829', 'debris_smuggler_transport_tier1', 'Smuggler\'s Transport (Ni\'lyahin Smugglers)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '830', 'debris_smuggler_transport_tier2', 'Smuggler\'s Transport (Ni\'lyahin Smugglers)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '831', 'debris_smuggler_transport_tier3', 'Smuggler\'s Transport (Ni\'lyahin Smugglers)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '832', 'debris_smuggler_transport_tier4', 'Smuggler\'s Transport (Ni\'lyahin Smugglers)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '833', 'debris_smuggler_transport_tier5', 'Smuggler\'s Transport (Ni\'lyahin Smugglers)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '834', 'endor_artisan_diplomat_tier1', 'Diplomat (S.A.T. Artisan Sect)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '835', 'endor_artisan_diplomat_tier2', 'Diplomat (S.A.T. Artisan Sect)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '836', 'endor_artisan_diplomat_tier3', 'Diplomat (S.A.T. Artisan Sect)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '837', 'endor_artisan_diplomat_tier4', 'Diplomat (S.A.T. Artisan Sect)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '838', 'endor_artisan_diplomat_tier5', 'Diplomat (S.A.T. Artisan Sect)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '839', 'endor_artisan_freighter_tier1', 'Freighter (S.A.T. Artisan Sect)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '840', 'endor_artisan_freighter_tier2', 'Freighter (S.A.T. Artisan Sect)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '841', 'endor_artisan_freighter_tier3', 'Freighter (S.A.T. Artisan Sect)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '842', 'endor_artisan_freighter_tier4', 'Freighter (S.A.T. Artisan Sect)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '843', 'endor_artisan_freighter_tier5', 'Freighter (S.A.T. Artisan Sect)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '844', 'endor_artisan_peacekeeper_tier1', 'Peacekeeper (S.A.T. Artisan Sect)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '845', 'endor_artisan_peacekeeper_tier2', 'Peacekeeper (S.A.T. Artisan Sect)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '846', 'endor_artisan_peacekeeper_tier3', 'Peacekeeper (S.A.T. Artisan Sect)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '847', 'endor_artisan_peacekeeper_tier4', 'Peacekeeper (S.A.T. Artisan Sect)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '848', 'endor_artisan_peacekeeper_tier5', 'Peacekeeper (S.A.T. Artisan Sect)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '849', 'endor_contraband_fighter_tier1', 'Contraband Inc. Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '850', 'endor_contraband_fighter_tier2', 'Contraband Inc. Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '851', 'endor_contraband_fighter_tier3', 'Contraband Inc. Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '852', 'endor_contraband_fighter_tier4', 'Contraband Inc. Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '853', 'endor_contraband_fighter_tier5', 'Contraband Inc. Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '854', 'endor_contraband_trader_tier1', 'Contraband Inc. Trader');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '855', 'endor_contraband_trader_tier2', 'Contraband Inc. Trader');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '856', 'endor_contraband_trader_tier3', 'Contraband Inc. Trader');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '857', 'endor_contraband_trader_teir4', 'Contraband Inc. Trader');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '858', 'endor_contraband_trader_tier5', 'Contraband Inc. Trader');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '859', 'endor_contraband_transport_tier1', 'Contraband Inc. Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '860', 'endor_contraband_transport_tier2', 'Contraband Inc. Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '861', 'endor_contraband_transport_tier3', 'Contraband Inc. Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '862', 'endor_contraband_transport_tier4', 'Contraband Inc. Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '863', 'endor_contraband_transport_tier5', 'Contraband Inc. Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '864', 'endor_trade_guild_bodyguard_tier1', 'Trade Guild Bodyguard');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '865', 'endor_trade_guild_bodyguard_tier2', 'Trade Guild Bodyguard');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '866', 'endor_trade_guild_bodyguard_tier3', 'Trade Guild Bodyguard');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '867', 'endor_trade_guild_bodyguard_tier4', 'Trade Guild Bodyguard');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '868', 'endor_trade_guild_bodyguard_tier5', 'Trade Guild Bodyguard');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '869', 'endor_trade_guild_collector_tier1', 'Trade Guild Collector');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '870', 'endor_trade_guild_collector_tier2', 'Trade Guild Collector');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '871', 'endor_trade_guild_collector_tier3', 'Trade Guild Collector');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '872', 'endor_trade_guild_collector_tier4', 'Trade Guild Collector');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '873', 'endor_trade_guild_collector_tier5', 'Trade Guild Collector');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '874', 'endor_trade_guild_freighter_tier1', 'Trade Guild Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '875', 'endor_trade_guild_freighter_tier2', 'Trade Guild Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '876', 'endor_trade_guild_freighter_tier3', 'Trade Guild Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '877', 'endor_trade_guild_freighter_tier4', 'Trade Guild Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '878', 'endor_trade_guild_freighter_tier5', 'Trade Guild Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '879', 'endor_trade_guild_mercenary_tier1', 'Trade Guild Mercenary');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '880', 'endor_trade_guild_mercenary_tier2', 'Trade Guild Mercenary');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '881', 'endor_trade_guild_mercenary_tier3', 'Trade Guild Mercenary');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '882', 'endor_trade_guild_mercenary_tier4', 'Trade Guild Mercenary');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '883', 'endor_trade_guild_mercenary_tier5', 'Trade Guild Mercenary');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '884', 'reb_gunboat_tier1', 'Rebel Gunboat');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '885', 'reb_gunboat_tier2', 'Rebel Gunboat');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '886', 'reb_gunboat_tier3', 'Rebel Gunboat');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '887', 'reb_gunboat_tier4', 'Rebel Gunboat');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '888', 'reb_gunboat_tier5', 'Rebel Gunboat');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '889', 'evil_raider_fighter_tier1', 'Evil Raider Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '890', 'evil_raider_fighter_tier2', 'Evil Raider Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '891', 'evil_raider_fighter_tier3', 'Evil Raider Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '892', 'evil_raider_fighter_tier4', 'Evil Raider Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '893', 'evil_raider_fighter_tier5', 'Evil Raider Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '894', 'evil_raider_cutthroat_tier1', 'Evil Raider Cutthroat');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '895', 'evil_raider_cutthroat_tier2', 'Evil Raider Cutthroat');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '896', 'evil_raider_cutthroat_tier3', 'Evil Raider Cutthroat');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '897', 'evil_raider_cutthroat_tier4', 'Evil Raider Cutthroat');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '898', 'evil_raider_cutthroat_tier5', 'Evil Raider Cutthroat');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '899', 'evil_raider_tyrant_tier1', 'Evil Raider Tyrant');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '900', 'evil_raider_tyrant_tier2', 'Evil Raider Tyrant');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '901', 'evil_raider_tyrant_tier3', 'Evil Raider Tyrant');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '902', 'evil_raider_tyrant_tier4', 'Evil Raider Tyrant');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '903', 'evil_raider_tyrant_tier5', 'Evil Raider Tyrant');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '904', 'force_assassin_tier1', 'Force Assassin');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '905', 'force_assassin_tier2', 'Force Assassin');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '906', 'force_assassin_tier3', 'Force Assassin');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '907', 'force_assassin_tier4', 'Force Assassin');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '908', 'force_assassin_tier5', 'Force Assassin');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '909', 'force_bomber_teir1', 'Force Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '910', 'force_bomber_tier2', 'Force Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '911', 'force_bomber_tier3', 'Force Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '912', 'force_bomber_tier4', 'Force Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '913', 'force_bomber_tier5', 'Force Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '914', 'hidden_daggers_eliminator_tier1', 'Hidden Daggers Eliminator');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '915', 'hidden_daggers_eliminator_tier2', 'Hidden Daggers Eliminator');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '916', 'hidden_daggers_eliminator_tier3', 'Hidden Daggers Eliminator');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '917', 'hidden_daggers_eliminator_tier4', 'Hidden Daggers Eliminator');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '918', 'hidden_daggers_eliminator_tier5', 'Hidden Daggers Eliminator');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '919', 'hidden_daggers_enforcer_tier1', 'Hidden Daggers Enforcer');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '920', 'hidden_daggers_enforcer_tier2', 'Hidden Daggers Enforcer');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '921', 'hidden_daggers_enforcer_teir3', 'Hidden Daggers Enforcer');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '922', 'hidden_daggers_enforcer_tier4', 'Hidden Daggers Enforcer');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '923', 'hidden_daggers_enforcer_tier5', 'Hidden Daggers Enforcer');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '924', 'hidden_daggers_executioner_tier1', 'Hidden Daggers Executioner');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '925', 'hidden_daggers_executioner_tier2', 'Hidden Daggers Executioner');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '926', 'hidden_daggers_executioner_tier3', 'Hidden Daggers Executioner');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '927', 'hidden_daggers_executioner_tier4', 'Hidden Daggers Executioner');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '928', 'hidden_daggers_executioner_tier5', 'Hidden Daggers Executioner');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '929', 'hidden_daggers_killer_tier1', 'Hidden Daggers Killer');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '930', 'hidden_daggers_killer_tier2', 'Hidden Daggers Killer');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '931', 'hidden_daggers_killer_tier3', 'Hidden Daggers Killer');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '932', 'hidden_daggers_killer_tier4', 'Hidden Daggers Killer');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '933', 'hidden_daggers_killer_tier5', 'Hidden Daggers Killer');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '934', 'hidden_daggers_nebula_stalker_tier1', 'Hidden Daggers Nebula Stalker');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '935', 'hidden_daggers_nebula_stalker_tier2', 'Hidden Daggers Nebula Stalker');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '936', 'hidden_daggers_nebula_stalker_tier3', 'Hidden Daggers Nebula Stalker');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '937', 'hidden_daggers_nebula_stalker_tier4', 'Hidden Daggers Nebula Stalker');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '938', 'hidden_daggers_nebula_stalker_tier5', 'Hidden Daggers Nebula Stalker');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '939', 'hidden_daggers_slayer_tier1', 'Hidden Daggers Slayer');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '940', 'hidden_daggers_slayer_tier2', 'Hidden Daggers Slayer');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '941', 'hidden_daggers_slayer_tier3', 'Hidden Daggers Slayer');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '942', 'hidden_daggers_slayer_tier4', 'Hidden Daggers Slayer');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '943', 'hidden_daggers_slayer_tier5', 'Hidden Daggers Slayer');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '944', 'hidden_daggers_gunship_tier1', 'Hidden Daggers Gunship');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '945', 'hidden_daggers_gunship_tier2', 'Hidden Daggers Gunship');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '946', 'hidden_daggers_gunship_tier3', 'Hidden Daggers Gunship');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '947', 'hidden_daggers_gunship_tier4', 'Hidden Daggers Gunship');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '948', 'hidden_daggers_gunship_tier5', 'Hidden Daggers Gunship');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '949', 'mercenary_courier_tier1', 'Mercenary Courier');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '950', 'mercenary_courier_tier2', 'Mercenary Courier');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '951', 'mercenary_courier_tier3', 'Mercenary Courier');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '952', 'mercenary_courier_tier4', 'Mercenary Courier');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '953', 'mercenary_coutier_tier5', 'Mercenary Courier');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '954', 'mercenary_guard_tier1', 'Mercenary Guard');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '955', 'mercenary_guard_tier2', 'Mercenary Guard');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '956', 'mercenary_guard_tier3', 'Mercenary Guard');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '957', 'mercenary_guard_tier4', 'Mercenary Guard');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '958', 'mercenary_guard_tier5', 'Mercenary Guard');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '959', 'mercenary_spy_fighter_tier1', 'Mercenary Spy');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '960', 'mercenary_spy_fighter_tier2', 'Mercenary Spy');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '961', 'mercenary_spy_fighter_tier3', 'Mercenary Spy');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '962', 'mercenary_spy_fighter_tier4', 'Mercenary Spy');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '963', 'mercenary_spy_fighter_tier5', 'Mercenary Spy');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '964', 'ncd_transport_light_tier1', 'NCD Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '965', 'ndc_transport_light_tier2', 'NDC Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '966', 'ndc_transport_light_tier3', 'NDC Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '967', 'ndc_transport_light_tier4', 'NDC Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '968', 'ndc_transport_light_tier5', 'NDC Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '969', 'ndc_transport_tier1', 'NDC Personnel Carrier');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '970', 'ndc_transport_tier2', 'NDC Personnel Carrier');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '971', 'ndc_transport_tier3', 'NDC Personnel Carrier');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '972', 'ndc_transport_tier4', 'NDC Personnel Carrier');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '973', 'ndc_transport_tier5', 'NDC Personnel Carrier');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '974', 'ndc_escort_tier1', 'NDC Escort');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '975', 'ndc_escort_tier2', 'NDC Escort');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '976', 'ndc_escort_tier3', 'NDC Escort');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '977', 'ndc_escort_tier4', 'NDC Escort');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '978', 'ndc_escort_tier5', 'NDC Escort');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '979', 'aynat_enforcer_tier1', 'Ay\'Nat Enforcer');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '980', 'aynat_enforcer_tier2', 'Ay\'Nat Enforcer');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '981', 'aynat_enforcer_tier3', 'Ay\'Nat Enforcer');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '982', 'aynat_enforcer_tier4', 'Ay\'Nat Enforcer');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '983', 'aynat_enforcer_tier5', 'Ay\'Nat Enforcer');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '984', 'aynat_ghost_tier1', 'Ay\'Nat Ghost');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '985', 'aynat_ghost_tier2', 'Ay\'Nat Ghost');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '986', 'aynat_ghost_tier3', 'Ay\'Nat Ghost');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '987', 'aynat_ghost_tier4', 'Ay\'Nat Ghost');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '988', 'aynat_ghost_tier5', 'Ay\'Nat Ghost');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '989', 'aynat_intimidator_tier1', 'Ay\'Nat Intimidator');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '990', 'aynat_intimidator_tier2', 'Ay\'Nat Intimidator');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '991', 'aynat_intimidator_tier3', 'Ay\'Nat Intimidator');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '992', 'aynat_intimidator_tier4', 'Ay\'Nat Intimidator');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '993', 'aynat_intimidator_tier5', 'Ay\'Nat Intimidator');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '994', 'aynat_outlaw_tier1', 'Ay\'Nat Outlaw');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '995', 'aynat_outlaw_tier2', 'Ay\'Nat Outlaw');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '996', 'aynat_outlaw_tier3', 'Ay\'Nat Outlaw');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '997', 'aynat_outlaw_tier4', 'Ay\'Nat Outlaw');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '998', 'aynet_outlaw_tier5', 'Ay\'Nat Outlaw');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '999', 'aynat_vaporizer_tier1', 'Ay\'Nat Vaporizer');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1000', 'aynat_vaporizer_tier2', 'Ay\'Nat Vaporizer');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1001', 'aynat_vaporizer_tier3', 'Ay\'Nat Vaporizer');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1002', 'aynat_vaporizer_tier4', 'Ay\'Nat Vaporizer');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1003', 'aynat_vaporizer_tier5', 'Ay\'Nat Vaporizer');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1004', 'aynat_viggo_tier1', 'Ay\'Nat Viggo');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1005', 'aynat_viggo_tier2', 'Ay\'Nat Viggo');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1006', 'aynat_viggo_tier3', 'Ay\'Nat Viggo');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1007', 'aynat_viggo_tier4', 'Ay\'Nat Viggo');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1008', 'aynat_viggo_tier5', 'Ay\'Nat Viggo');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1009', 'aynat_yacht_tier1', 'Ay\'Nat Yacht');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1010', 'aynat_yacht_tier2', 'Ay\'Nat Yacht');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1011', 'aynat_yacht_tier3', 'Ay\'Nat Yacht');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1012', 'aynat_yacht_tier4', 'Ay\'Nat Yacht');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1013', 'aynat_yacht_tier5', 'Ay\'Nat Yacht');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1014', 'blacklight_assassin_tier1', 'Blacklight Assassin');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1015', 'blacklight_assassin_tier2', 'Blacklight Assassin');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1016', 'blacklight_assassin_tier3', 'Blacklight Assassin');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1017', 'blacklight_assassin_tier4', 'Blacklight Assassin');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1018', 'blacklight_assassin_tier5', 'Blacklight Assassin');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1019', 'blacklight_bomber_tier1', 'Blacklight Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1020', 'blacklight_bomber_tier2', 'Blacklight Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1021', 'blacklight_bomber_tier3', 'Blacklight Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1022', 'blacklight_bomber_tier4', 'Blacklight Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1023', 'blacklight_bomber_tier5', 'Blacklight Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1024', 'blacklight_fighter_tier1', 'Blacklight Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1025', 'blacklight_fighter_tier2', 'Blacklight Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1026', 'blacklight_fighter_tier3', 'Blacklight Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1027', 'blacklight_fighter_tier4', 'Blacklight Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1028', 'blacklight_fighter_tier5', 'Blacklight Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1029', 'blacklight_leader_tier1', 'Blacklight Wing Commander');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1030', 'blacklight_leader_tier2', 'Blacklight Wing Commander');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1031', 'blacklight_leader_tier3', 'Blacklight Wing Commander');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1032', 'blacklight_leader_tier4', 'Blacklight Wing Commander');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1033', 'blacklight_leader_tier5', 'Blacklight Wing Commander');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1034', 'penumbra_omen_eliminator_tier1', 'Penumbra Omen Eliminator');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1035', 'penumbra_omen_eliminator_tier2', 'Penumbra Omen Eliminator');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1036', 'penumbra_omen_eliminator_tier3', 'Penumbra Omen Eliminator');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1037', 'penumbra_omen_eliminator_tier4', 'Penumbra Omen Eliminator');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1038', 'penumbra_omen_eliminator_tier5', 'Penumbra Omen Eliminator');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1039', 'penumbra_omen_fighter_tier1', 'Penumbra Omen Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1040', 'penumbra_omen_fighter_tier2', 'Penumbra Omen Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1041', 'penumbra_omen_fighter_tier3', 'Penumbra Omen Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1042', 'penumbra_omen_fighter_tier4', 'Penumbra Omen Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1043', 'penumbra_omen_fighter_tier5', 'Penumbra Omen Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1044', 'rancor_clan_ace_tier1', 'Rancor Clan Ace');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1045', 'rancor_clan_ace_teir2', 'Rancor Clan Ace');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1046', 'rancor_clan_ace_tier3', 'Rancor Clan Ace');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1047', 'rancor_clan_ace_tier4', 'Rancor Clan Ace');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1048', 'rancor_clan_ace_tier5', 'Rancor Clan Ace');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1049', 'rancor_clan_elite_tier1', 'Rancor Clan Elite');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1050', 'rancor_clan_elite_tier2', 'Rancor Clan Elite');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1051', 'rancor_clan_elite_tier3', 'Rancor Clan Elite');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1052', 'rancor_clan_elite_tier4', 'Rancor Clan Elite');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1053', 'rancor_clan_elite_tier5', 'Rancor Clan Elite');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1054', 'rancor_clan_gunship_tier1', 'Rancor Clan Gunship');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1055', 'rancor_clan_gunship_tier2', 'Rancor Clan Gunship');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1056', 'rancor_clan_gunship_tier3', 'Rancor Clan Gunship');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1057', 'rancor_clan_gunship_tier4', 'Rancor Clan Gunship');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1058', 'rancor_clan_gunship_tier5', 'Rancor Clan Gunship');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1059', 'rancor_clan_soldier_tier1', 'Rancor Clan Soldier');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1060', 'rancor_clan_soldier_tier2', 'Rancor Clan Soldier');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1061', 'rancor_clan_soldier_tier3', 'Rancor Clan Soldier');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1062', 'rancor_clan_soldier_tier4', 'Rancor Clan Soldier');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1063', 'rancor_clan_soldier_tier5', 'Rancor Clan Soldier');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1064', 'red_skull_freighter_tier1', 'Red Skull Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1065', 'red_skull_freighter_tier2', 'Red Skull Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1066', 'red_skull_freighter_tier3', 'Red Skull Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1067', 'red_skull_freighter_tier4', 'Red Skull Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1068', 'red_skull_freighter_tier5', 'Red Skull Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1069', 'red_skull_pirate_heavy_tier1', 'Red Skull Pirate');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1070', 'red_skull_pirate_heavy_tier2', 'Red Skull Pirate');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1071', 'red_skull_pirate_heavy_tier3', 'Red Skull Pirate');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1072', 'red_skull_pirate_heavy_tier4', 'Red Skull Pirate');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1073', 'red_skull_pirate_heavy_tier5', 'Red Skull Pirate');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1074', 'red_skull_pirate_medium_tier1', 'Red Skull Pirate');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1075', 'red_skull_pirate_medium_tier2', 'Red Skull Pirate');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1076', 'red_skull_pirate_medium_tier3', 'Red Skull Pirate');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1077', 'red_skull_pirate_medium_tier4', 'Red Skull Pirate');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1078', 'red_skull_pirate_medium_tier5', 'Red Skull Pirate');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1079', 'red_skull_pirate_light_tier1', 'Red Skull Pirate');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1080', 'red_skull_pirate_light_tier2', 'Red Skull Pirate');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1081', 'red_skull_pirate_light_tier3', 'Red Skull Pirate');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1082', 'red_skull_pirate_light_tier4', 'Red Skull Pirate');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1083', 'red_skull_pirate_light_tier5', 'Red Skull Pirate');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1084', 'rogue_droid_alpha_tier1', 'Rogue Droid Alpha');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1085', 'rogue_droid_alpha_tier2', 'Rogue Droid Alpha');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1086', 'rogue_droid_alpha_tier3', 'Rogue Droid Alpha');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1087', 'rogue_droid_alpha_tier4', 'Rogue Droid Alpha');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1088', 'rogue_droid_alpha_teir5', 'Rogue Droid Alpha');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1089', 'rogue_droid_defender_tier1', 'Scintilla Defender (Rogue Droid)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1090', 'rogue_droid_defender_tier2', 'Scintilla Defender (Rogue Droid)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1091', 'rogue_droid_defender_tier3', 'Scintilla Defender (Rogue Droid)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1092', 'rogue_droid_defender_tier4', 'Scintilla Defender (Rogue Droid)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1093', 'rogue_droid_defender_tier5', 'Scintilla Defender (Rogue Droid)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1094', 'rogue_droid_fighter_tier1', 'Scintilla Fighter (Rogue Droid)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1095', 'rogue_droid_fighter_tier2', 'Scintilla Fighter (Rogue Droid)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1096', 'rogue_droid_fighter_tier3', 'Scintilla Fighter (Rogue Droid)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1097', 'rogue_droid_fighter_tier4', 'Scintilla Fighter (Rogue Droid)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1098', 'rogue_droid_fighter_tier5', 'Scintilla Fighter (Rogue Droid)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1099', 'rogue_droid_scrapper_tier1', 'Scintilla Scrapper (Rogue Droid)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1100', 'rogue_droid_scrapper_tier2', 'Scintilla Scrapper (Rogue Droid)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1101', 'rogue_droid_scrapper_tier3', 'Scintilla Scrapper (Rogue Droid)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1102', 'rogue_droid_scrapper_tier4', 'Scintilla Scrapper (Rogue Droid)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1103', 'rogue_droid_scrapper_tier5', 'Scintilla Scrapper (Rogue Droid)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1104', 'nebula_assassin_bomber_tier1', 'T\'raenyan Bomber (Dark Veil Order)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1105', 'nebula_assassin_bomber_tier2', 'T\'raenyan Bomber (Dark Veil Order)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1106', 'nebula_assassin_bomber_tier3', 'T\'raenyan Bomber (Dark Veil Order)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1107', 'nebula_assassin_bomber_tier4', 'T\'raenyan Bomber (Dark Veil Order)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1108', 'nebula_assassin_bomber_tier5', 'T\'raenyan Bomber (Dark Veil Order)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1109', 'nebula_assassin_bounty_hunter_tier1', 'Vin\'ticula Bounty Hunter (Dark Veil Order)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1110', 'nebula_assassin_bounty_hunter_tier2', 'Vin\'ticula Bounty Hunter (Dark Veil Order)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1111', 'nebula_assassin_bounty_hunter_tier3', 'Vin\'ticula Bounty Hunter (Dark Veil Order)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1112', 'nebula_assassin_bounty_hunter_tier4', 'Vin\'ticula Bounty Hunter (Dark Veil Order)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1113', 'nebula_assassin_bounty_hunter_tier5', 'Vin\'ticula Bounty Hunter (Dark Veil Order)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1114', 'nebula_assassin_fighter_tier1', 'Sitaela Fighter (Dark Veil Order)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1115', 'nebula_assassin_fighter_tier2', 'Sitaela Fighter (Dark Veil Order)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1116', 'nebula_assassin_fighter_tier3', 'Sitaela Fighter (Dark Veil Order)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1117', 'nebula_assassin_fighter_tier4', 'Sitaela Fighter (Dark Veil Order)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1118', 'nebula_assassin_fighter_tier5', 'Sitaela Fighter (Dark Veil Order)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1119', 'nebula_assassin_saboteur_tier1', 'Daemicula Saboteur (Dark Veil Order)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1120', 'nebula_assassin_saboteur_tier2', 'Daemicula Saboteur (Dark Veil Order)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1121', 'nebula_assassin_saboteur_tier3', 'Daemicula Saboteur (Dark Veil Order)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1122', 'nebula_assassin_saboteur_tier4', 'Daemicula Saboteur (Dark Veil Order)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1123', 'nebula_assassin_saboteur_tier5', 'Daemicula Saboteur (Dark Veil Order)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1124', 'nebula_scientist_analyst_tier1', 'Scientist Analyst (Linear Miasma Sect)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1125', 'nebula_scientist_analyst_tier2', 'Scientist Analyst (Linear Miasma Sect)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1126', 'nebula_scientist_analyst_tier3', 'Scientist Analyst (Linear Miasma Sect)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1127', 'nebula_scientist_analyst_tier4', 'Scientist Analyst (Linear Miasma Sect)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1128', 'nebula_scientist_analyst_tier5', 'Scientist Analyst (Linear Miasma Sect)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1129', 'nebula_scientist_bodyguard_tier1', 'Scientist Bodyguard (Linear Miasma Sect)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1130', 'nebula_scientist_bodyguard_tier2', 'Scientist Bodyguard (Linear Miasma Sect)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1131', 'nebula_scientist_bodyguard_tier3', 'Scientist Bodyguard (Linear Miasma Sect)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1132', 'nebula_scientist_bodyguard_tier4', 'Scientist Bodyguard (Linear Miasma Sect)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1133', 'nebula_scientist_bodyguard_tier5', 'Scientist Bodyguard (Linear Miasma Sect)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1134', 'nebula_scientist_lookout_tier1', 'Scientist Bodyguard (Linear Miasma Sect)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1135', 'nebula_scientist_lookout_tier2', 'Scientist Bodyguard (Linear Miasma Sect)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1136', 'nebula_scientist_lookout_tier3', 'Scientist Lookout (Linear Miasma Sect)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1137', 'nebula_scientist_lookout_tier4', 'Scientist Lookout (Linear Miasma Sect)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1138', 'nebula_scientist_lookout_tier5', 'Scientist Lookout (Linear Miasma Sect)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1139', 'nebula_scientist_researcher_tier1', 'Scientist Researcher (Linear Miasma Sect)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1140', 'nebula_scientist_researcher_tier2', 'Scientist Researcher (Linear Miasma Sect)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1141', 'nebula_scientist_researcher_tier3', 'Scientist Researcher (Linear Miasma Sect)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1142', 'nebula_scientist_researcher_tier4', 'Scientist Researcher (Linear Miasma Sect)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1143', 'nebula_scientist_researcher_tier5', 'Scientist Researcher (Linear Miasma Sect)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1144', 'scavenger_collector_tier1', 'Droid Junk Collector (Detritus Satellites)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1145', 'scavenger_collector_tier2', 'Droid Junk Collector (Detritus Satellites)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1146', 'scavenger_collector_tier3', 'Droid Junk Collector (Detritus Satellites)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1147', 'scavenger_collector_tier4', 'Droid Junk Collector (Detritus Satellites)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1148', 'scavenger_collector_tier5', 'Droid Junk Collector (Detritus Satellites)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1149', 'scavenger_fanatic_tier1', 'Droid Junk Fanatic (Detritus Satellites)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1150', 'scavenger_fanatic_tier2', 'Droid Junk Fanatic (Detritus Satellites)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1151', 'scavenger_fanatic_tier3', 'Droid Junk Fanatic (Detritus Satellites)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1152', 'scavenger_fanatic_tier4', 'Droid Junk Fanatic (Detritus Satellites)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1153', 'scavenger_fanatic_tier5', 'Droid Junk Fanatic (Detritus Satellites)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1154', 'scavenger_guardian_tier1', 'Droid Junk Guardian (Detritus Satellites)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1155', 'scavenger_guardian_tier2', 'Droid Junk Guardian (Detritus Satellites)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1156', 'scavenger_guardian_tier3', 'Droid Junk Guardian (Detritus Satellites)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1157', 'scavenger_guardian_tier4', 'Droid Junk Guardian (Detritus Satellites)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1158', 'scavenger_guardian_tier5', 'Droid Junk Guardian (Detritus Satellites)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1159', 'scavenger_hunter_tier1', 'Droid Junk Hunter (Detritus Satellites)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1160', 'scavenger_hunter_tier2', 'Droid Junk Hunter (Detritus Satellites)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1161', 'scavenger_hunter_tier3', 'Droid Junk Hunter (Detritus Satellites)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1162', 'scavenger_hunter_tier4', 'Droid Junk Hunter (Detritus Satellites)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1163', 'scavenger_hunter_tier5', 'Droid Junk Hunter (Detritus Satellites)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1164', 'scavenger_raider_tier1', 'Droid Junk Raider (Detritus Satellites)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1165', 'scavenger_raider_tier2', 'Droid Junk Raider (Detritus Satellites)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1166', 'scavenger_raider_tier3', 'Droid Junk Raider (Detritus Satellites)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1167', 'scavenger_raider_tier4', 'Droid Junk Raider (Detritus Satellites)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1168', 'scavenger_raider_tier5', 'Droid Junk Raider (Detritus Satellites)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1169', 'slave_trader_guardian_tier1', 'Vin Guardian (Zel\'iphian Slave Traders)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1170', 'slave_trader_guardian_tier2', 'Vin Guardian (Zel\'iphian Slave Traders)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1171', 'slave_trader_guardian_tier3', 'Vin Guardian (Zel\'iphian Slave Traders)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1172', 'slave_trader_guardian_tier4', 'Vin Guardian (Zel\'iphian Slave Traders)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1173', 'slave_trader_guardian_tier5', 'Vin Guardian (Zel\'iphian Slave Traders)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1174', 'slave_trader_tier1', 'Vex Trader (Zel\'iphian Slave Traders)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1175', 'slave_trader_tier2', 'Vex Trader (Zel\'iphian Slave Traders)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1176', 'slave_trader_tier3', 'Vex Trader (Zel\'iphian Slave Traders)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1177', 'slave_trader_tier4', 'Vex Trader (Zel\'iphian Slave Traders)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1178', 'slave_trader_tier5', 'Vex Trader (Zel\'iphian Slave Traders)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1179', 'slave_trader_transport_tier1', 'Va\'ous Transport (Zel\'iphian Slave Traders)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1180', 'slave_trader_transport_tier2', 'Va\'ous Transport (Zel\'iphian Slave Traders)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1181', 'slave_trader_transport_tier3', 'Va\'ous Transport (Zel\'iphian Slave Traders)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1182', 'slave_trader_transport_tier4', 'Va\'ous Transport (Zel\'iphian Slave Traders)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1183', 'slave_trader_transport_tier5', 'Va\'ous Transport (Zel\'iphian Slave Traders)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1184', 'spacestation_imperial', 'Imperial Space Station');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1185', 'spacestation_neutral', 'Space Station');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1186', 'spice_pirate_fighter_tier1', 'Pirate Fighter (Zynt\'aia Spice Guardians)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1187', 'spice_pirate_fighter_tier2', 'Pirate Fighter (Zynt\'aia Spice Guardians)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1188', 'spice_pirate_fighter_tier3', 'Pirate Fighter (Zynt\'aia Spice Guardians)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1189', 'spice_pirate_fighter_tier4', 'Pirate Fighter (Zynt\'aia Spice Guardians)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1190', 'spice_pirate_fighter_tier5', 'Pirate Fighter (Zynt\'aia Spice Guardians)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1191', 'spice_pirate_spy_tier1', 'Pirate Spy (Zynt\'aia Spice Guardians)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1192', 'spice_pirate_spy_tier2', 'Pirate Spy (Zynt\'aia Spice Guardians)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1193', 'spice_pirate_spy_tier3', 'Pirate Spy (Zynt\'aia Spice Guardians)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1194', 'spice_pirate_spy_tier4', 'Pirate Spy (Zynt\'aia Spice Guardians)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1195', 'spice_pirate_spy_tier5', 'Pirate Spy (Zynt\'aia Spice Guardians)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1196', 'spice_pirate_transport_tier1', 'Pirate Transport (Zynt\'aia Spice Guardians)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1197', 'spice_pirate_transport_tier2', 'Pirate Transport (Zynt\'aia Spice Guardians)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1198', 'spice_pirate_transport_tier3', 'Pirate Transport (Zynt\'aia Spice Guardians)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1199', 'spice_pirate_transport_tier4', 'Pirate Transport (Zynt\'aia Spice Guardians)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1200', 'spice_pirate_transport_tier5', 'Pirate Transport (Zynt\'aia Spice Guardians)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1201', 'spynet_assassin_tier1', 'Spynet Assassin');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1202', 'spynet_assassin_tier2', 'Spynet Assassin');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1203', 'spynet_assassin_tier3', 'Spynet Assassin');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1204', 'spynet_assassin_tier4', 'Spynet Assassin');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1205', 'spynet_assassin_tier5', 'Spynet Assassin');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1206', 'spynet_bomber_tier1', 'Spynet Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1207', 'spynet_bomber_tier2', 'Spynet Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1208', 'spynet_bomber_tier3', 'Spynet Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1209', 'spynet_bomber_tier4', 'Spynet Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1210', 'spynet_bomber_tier5', 'Spynet Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1211', 'spynet_fighter_tier1', 'Spynet Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1212', 'spynet_fighter_tier2', 'Spynet Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1213', 'spynet_fighter_tier3', 'Spynet Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1214', 'spynet_fighter_tier4', 'Spynet Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1215', 'spynet_fighter_tier5', 'Spynet Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1216', 'spynet_special_ops_tier1', 'Spynet Special Ops');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1217', 'spynet_special_ops_tier2', 'Spynet Special Ops');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1218', 'spynet_special_ops_tier3', 'Spynet Special Ops');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1219', 'spynet_special_ops_tier4', 'Spynet Special Ops');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1220', 'spynet_special_ops_tier5', 'Spynet Special Ops');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1221', 'spynet_spy_tier1', 'Spynet Spy');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1222', 'spynet_spy_tier2', 'Spynet Spy');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1223', 'spynet_spy_tier3', 'Spynet Spy');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1224', 'spynet_spy_tier4', 'Spynet Spy');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1225', 'spynet_spy_tier5', 'Spynet Spy');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1226', 'tiberus_anderlock_tier5', 'Tiberus Anderlock');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1227', 'valarian_bomber_teir1', 'Valarian Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1228', 'valarian_bomber_tier2', 'Valarian Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1229', 'valarian_bomber_tier3', 'Valarian Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1230', 'valarian_bomber_tier4', 'Valarian Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1231', 'valarian_bomber_tier5', 'Valarian Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1232', 'valarian_freighterlight_mining_tier1', 'Valarian Light Mining Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1233', 'valarian_freighterlight_mining_tier2', 'Valarian Light Mining Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1234', 'valarian_freighterlight_mining_tier3', 'Valarian Light Mining Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1235', 'valarian_freighterlight_mining_tier4', 'Valarian Light Mining Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1236', 'valarian_freighterlight_mining_tier5', 'Valarian Light Mining Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1237', 'valarian_gunship_tier1', 'Valarian Gunship');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1238', 'valarian_gunship_tier2', 'Valarian Gunship');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1239', 'valarian_gunship_tier3', 'Valarian Gunship');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1240', 'valarian_gunship_tier4', 'Valarian Gunship');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1241', 'valarian_gunship_tier5', 'Valarian Gunship');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1242', 'velocity_merc_captain_tier1', 'Velocity Mercenary Captain');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1243', 'velocity_merc_captain_tier2', 'Velocity Mercenary Captain');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1244', 'velocity_merc_captain_tier3', 'Velocity Mercenary Captain');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1245', 'velocity_merc_captain_tier4', 'Velocity Mercenary Captain');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1246', 'velocity_merc_captain_tier5', 'Velocity Mercenary Captain');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1247', 'velocity_merc_heavy_fighter_tier1', 'Velocity Mercenary Broadaxe');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1248', 'velocity_merc_heavy_fighter_tier2', 'Velocity Mercenary Broadaxe');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1249', 'velocity_merc_heavy_fighter_tier3', 'Velocity Mercenary Broadaxe');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1250', 'velocity_merc_heavy_fighter_tier4', 'Velocity Mercenary Broadaxe');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1251', 'velocity_merc_heavy_fighter_tier5', 'Velocity Mercenary Broadaxe');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1252', 'velocity_smuggler_tier1', 'Velocity Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1253', 'velocity_smuggler_tier2', 'Velocity Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1254', 'velocity_smuggler_tier3', 'Velocity Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1255', 'velocity_smuggler_tier4', 'Velocity Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1256', 'velocity_smuggler_tier5', 'Velocity Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1257', 'vylukh_clan_ace_tier1', 'Vylukh Clan Ace');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1258', 'vylukh_clan_ace_tier2', 'Vylukh Clan Ace');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1259', 'vylukh_clan_ace_tier3', 'Vylukh Clan Ace');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1260', 'vylukh_clan_ace_tier4', 'Vylukh Clan Ace');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1261', 'vylukh_clan_ace_tier5', 'Vylukh Clan Ace');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1262', 'vylukh_clan_elite_tier1', 'Vylukh Clan Elite');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1263', 'vylukh_clan_elite_tier2', 'Vylukh Clan Elite');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1264', 'vylukh_clan_elite_tier3', 'Vylukh Clan Elite');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1265', 'vylukh_clan_elite_tier4', 'Vylukh Clan Elite');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1266', 'vylukh_clan_elite_tier5', 'Vylukh Clan Elite');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1267', 'vylukh_clan_soldier_tier1', 'Vylukh Clan Soldier');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1268', 'vylukh_clan_soldier_tier2', 'Vylukh Clan Soldier');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1269', 'vylukh_clan_soldier_tier3', 'Vylukh Clan Soldier');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1270', 'vylukh_clan_soldier_tier4', 'Vylukh Clan Soldier');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1271', 'vylukh_clan_soldier_tier5', 'Vylukh Clan Soldier');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1272', 'vylukh_clan_transport_tier1', 'Vylukh Clan Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1273', 'vylukh_clan_transport_tier2', 'Vylukh Clan Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1274', 'vylukh_clan_transport_tier3', 'Vylukh Clan Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1275', 'vylukh_clan_transport_tier4', 'Vylukh Clan Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1276', 'vylukh_clan_transport_tier5', 'Vylukh Clan Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1277', 'imp_tie_fighter_veteran_tier2', 'Imperial Veteran Commander');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1278', 'rebel_spysmuggler_tier2', 'Rebel Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1279', 'station_talus', 'Space Station: Talus');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1280', 'station_tatooine', 'Space Station: Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1281', 'station_naboo', 'Space Station: Naboo');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1282', 'station_corellia', 'Space Station: Corellia');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1283', 'station_rori', 'Space Station: Rori');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1284', 'station_yavin4', 'Space Station: Yavin4');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1285', 'station_lok', 'Space Station: Lok');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1286', 'station_dantooine', 'Space Station: Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1287', 'station_dathomir', 'Space Station: Dathomir');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1288', 'station_endor', 'Space Station: Endor');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1289', 'freighterheavy_tier1', 'Heavy Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1290', 'freighterheavy_tier2', 'Heavy Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1291', 'freighterheavy_tier3', 'Heavy Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1292', 'freighterheavy_tier4', 'Heavy Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1293', 'freighterheavy_tier5', 'Heavy Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1294', 'freightermedium_tier1', 'Medium Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1295', 'freightermedium_tier2', 'Medium Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1296', 'freightermedium_tier3', 'Medium Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1297', 'freightermedium_tier4', 'Medium Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1298', 'freighterlight_tier1', 'Light Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1299', 'freighterlight_tier2', 'Light Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1300', 'freighterlight_tier3', 'Light Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1301', 'freighterlight_tier4', 'Light Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1302', 'freighterlight_tier5', 'Light Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1303', 'bestine_pirate_tier1', 'Commerce Raider');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1304', 'bestine_pirate_tier2', 'Commerce Raider');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1305', 'bestine_pirate_tier3', 'Commerce Raider');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1306', 'bestine_pirate_tier4', 'Commerce Raider');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1307', 'bestine_pirate_tier5', 'Commerce Raider');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1308', 'bestine_pirate_leader_tier1', 'Commerce Raider Leader');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1309', 'bestine_pirate_leader_tier2', 'Commerce Raider Leader');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1310', 'bestine_pirate_leader_tier3', 'Commerce Raider Leader');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1311', 'bestine_pirate_leader_tier4', 'Commerce Raider Leader');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1312', 'bestine_pirate_leader_tier5', 'Commerce Raider Leader');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1313', 'reb_xwing_cadet_tier1', 'X-Wing Cadet');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1314', 'nym_cannon_ship_tier2', 'Nym Cannon Ship');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1315', 'spacestation_rebel_decoration', 'Rebel Space Station');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1316', 'spacestation_imperial_decoration', 'Imperial Space Station');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1317', 'spacestation_neutral_decoration', 'Neutral Space Station');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1318', 'rebel_smuggler_tier3', 'Rebel Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1319', 'tieadvanced_inquisitor_tier4', 'Imperial Inquisitor');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1320', 'tieadvanced_inquisitor_tier3', 'Imperial Inquisitor');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1321', 'tieaggressor_inquisitor_tier3', 'Imperial Inquisitor');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1322', 'tieaggressor_inquisitor_tier4', 'Imperial Inquisitor');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1323', 'freighterheavy_rebel_tier3', 'Rebel Heavy Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1324', 'freighterheavy_rebel_tier4', 'Rebel Heavy Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1325', 'blacksun_asetti_tier4', 'Asetti');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1326', 'blacksun_freightermedium_tier1', 'Black Sun Medium Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1327', 'blacksun_freightermedium_teir2', 'Black Sun Medium Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1328', 'blacksun_freightermedium_tier3', 'Black Sun Medium Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1329', 'blacksun_freightermedium_teir4', 'Black Sun Medium Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1330', 'blacksun_freightermedium_tier5', 'Black Sun Medium Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1331', 'imp_freighterheavy_tier1', 'Imperial Heavy Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1332', 'imp_freighterheavy_tier2', 'Imperial Heavy Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1333', 'imp_freighterheavy_tier3', 'Imperial Heavy Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1334', 'imp_freighterheavy_tier4', 'Imperial Heavy Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1335', 'imp_freighterheavy_tier5', 'Imperial Heavy Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1336', 'imp_freightermedium_tier1', 'Imperial Medium Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1337', 'imp_freightermedium_tier2', 'Imperial Medium Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1338', 'imp_freightermedium_tier3', 'Imperial Medium Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1339', 'imp_freightermedium_tier4', 'Imperial Medium Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1340', 'imp_freightermedium_tier5', 'Imperial Medium Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1341', 'imp_freighterlight_tier1', 'Imperial Light Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1342', 'imp_freighterlight_tier2', 'Imperial Light Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1343', 'imp_freighterlight_tier3', 'Imperial Light Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1344', 'imp_freighterlight_tier4', 'Imperial Light Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1345', 'imp_freighterlight_tier5', 'Imperial Light Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1346', 'reb_freighterheavy_tier1', 'Rebel Heavy Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1347', 'reb_freighterheavy_tier2', 'Rebel Heavy Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1348', 'reb_freighterheavy_tier3', 'Rebel Heavy Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1349', 'reb_freighterheavy_tier4', 'Rebel Heavy Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1350', 'reb_freighterheavy_tier5', 'Rebel Heavy Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1351', 'reb_freightermedium_tier1', 'Rebel Medium Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1352', 'reb_freightermedium_tier2', 'Rebel Medium Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1353', 'reb_freightermedium_tier3', 'Rebel Medium Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1354', 'reb_freightermedium_tier4', 'Rebel Medium Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1355', 'reb_freightermedium_tier5', 'Rebel Medium Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1356', 'reb_freighterlight_tier1', 'Rebel Light Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1357', 'reb_freighterlight_tier2', 'Rebel Light Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1358', 'reb_freighterlight_tier3', 'Rebel Light Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1359', 'reb_freighterlight_tier4', 'Rebel Light Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1360', 'reb_freighterlight_tier5', 'Rebel Light Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1361', 'rsf_royal_kylantha_freighter_tier1', 'Royal Kylantha Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1362', 'rsf_royal_kylantha_freighter_tier2', 'Royal Kylantha Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1363', 'rsf_royal_kylantha_freighter_tier3', 'Royal Kylantha Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1364', 'rsf_royal_kylantha_freighter_tier4', 'Royal Kylantha Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1365', 'rsf_royal_kylantha_freighter_tier5', 'Royal Kylantha Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1366', 'rsf_prison_ship_tier1', 'RSF Prison Ship');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1367', 'rsf_prison_ship_tier2', 'RSF Prison Ship');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1368', 'rsf_prison_ship_tier3', 'RSF Prison Ship');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1369', 'rsf_prison_ship_tier4', 'RSF Prison Ship');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1370', 'rsf_prison_ship_tier5', 'RSF Prison Ship');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1371', 'imp_imperial_kessel_lootboat_tier5', 'Imperial Gunboat');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1372', 'reb_kessel_lootboat_tier5', 'Rebel Gunboat');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1373', 'velocity_merc_light_fighter_tier4', 'Velocity Mercenary Lancer');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1374', 'velocity_merc_med_fighter_tier4', 'Velocity Mercenary Rapier');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1375', 'reb_bomber_leader_tier3', 'Y-Wing Bomber Leader');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1376', 'reb_unmaned_xwing_tier2', 'X-Wing Drone');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1377', 'reb_bwing_prototype_tier2', 'B-Wing Prototype');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1378', 'reb_xwing_leader_tier2', 'X-Wing Squad Leader');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1379', 'coynite_merc_quasar_tier1', 'Coynite Quasar');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1380', 'coynite_merc_quasar_tier2', 'Coynite Quasar');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1381', 'coynite_merc_quasar_tier3', 'Coynite Quasar');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1382', 'coynite_merc_quasar_tier4', 'Coynite Quasar');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1383', 'coynite_merc_quasar_tier5', 'Coynite Quasar');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1384', 'velocity_merc_group_leader_tier5', 'Velocity Mercenary Group Leader');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1385', 'velocity_commander_tier4', 'Unger Furnace (Velocity Mercenary Command)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1386', 'nym_lieutenant_tier2', 'Nym Lieutenant');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1387', 'rebel_spyfreighter_tier3', 'Rebel Command Vessel');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1388', 'nym_prison_ship_tier2', 'Hostage Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1389', 'twilight_sun_tier1', 'Twilight Sun');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1390', 'tieinterceptor_inquisitor_tier3', 'Imperial Inquisitor');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1391', 'reb_smuggler_yt1300_tier2', 'Rebel Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1392', 'reb_smuggler_ykl37r_tier2', 'Rebel Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1393', 'neutral_freighter', 'Repair Ship');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1394', 'nym_freighterheavy_tier1', 'Nym Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1395', 'nym_freighterheavy_tier2', 'Nym Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1396', 'nym_freighterheavy_tier3', 'Nym Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1397', 'nym_freighterheavy_tier4', 'Nym Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1398', 'nym_freighterheavy_tier5', 'Nym Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1399', 'nym_freighterlight_tier1', 'Nym Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1400', 'nym_freighterlight_tier2', 'Nym Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1401', 'nym_freighterlight_tier3', 'Nym Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1402', 'nym_freighterlight_tier4', 'Nym Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1403', 'nym_freighterlight_tier5', 'Nym Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1404', 'nym_freightermedium_tier1', 'Nym Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1405', 'nym_freightermedium_tier2', 'Nym Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1406', 'nym_freightermedium_tier3', 'Nym Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1407', 'nym_freightermedium_tier4', 'Nym Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1408', 'nym_freightermedium_tier5', 'Nym Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1409', 'reb_spy_yt1300_tier4', 'Rebel Spy');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1410', 'reb_fugitive_transport_ykl37r_tier4', 'Rebel Fugitive Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1411', 'reb_fugitive_transport_yt1300_tier4', 'Rebel Fugitive Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1412', 'naboo_miner_transport_tier2', 'Ironfleck Marauder (Miner Transport)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1413', 'naboo_miner_fighter_tier2', 'Ironfleck Marauder (Miner Fighter)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1414', 'valarian_gunship_inspect_tier4', 'Valarian Gunship');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1415', 'blacklight_pirate_fighter_quest', 'Blacklight Squadron Leader');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1416', 'imperial_engineer', 'Imperial Engineer');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1417', 'prison_transport_imperial', 'Imperial Prison Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1418', 'imperial_cpt_starfire', 'Captain Starfire');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1419', 'blacksun_starkiller_leader', 'O\'frin Starkiller (Black Sun Assassin)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1420', 'mercenary_tyela_leader', 'Fen McTyela (Mercenary Chief)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1421', 'hutt_starbomber', 'P\'lia Orkina (Hutt Starbomber)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1422', 'valarian_starship_ace', 'T\'haley Overseer (Valarian Starship Ace)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1423', 'blacksun_anianti', 'Henchman Ani\'anti (Black Sun Assassin)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1424', 'hidden_blackrazorcat', 'Black Razor Cat (Hidden Daggers Killer)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1425', 'corsair_shadowstalker', 'The ShadowStalker (Corsair Stealth Raider)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1426', 'nym_star_kimogila_boss', 'Nym\'s Star Kimogila (Nym Gunboat)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1427', 'rebel_droid_training_boss', 'D70-31 \"StarHunter Model\" (Rebel Droid Pilot)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1428', 'anthropology_professor_boss', 'Professor Kynas\' Bodyguard (Aii\'tkian Guardian)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1429', 'anthropology_collector', 'Aii\'tkian Collector (D-502 Anthropologists)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1430', 'anthropology_diplomat', 'Aii\'tkian Diplomat (D-502 Anthropologists)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1431', 'anthropology_guardian', 'Aii\'tkian Guardian (D-502 Anthropologists)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1432', 'anthropology_scout', 'Aii\'tkian Scout (D-502 Anthropologists)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1433', 'force_bomber_boss', 'Nvon FlameStalker (Force Tyrant)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1434', 'imperial_lt_deathfire', 'Lieutenant \"Deathfire\" McDibbs');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1435', 'junk_dealer_collector', 'Junk Collector (\"Junk X\'press\" Guild)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1436', 'junk_dealer_guardian', 'Junk Guardian (\"Junk X\'press\" Guild)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1437', 'junk_dealer_trader', 'Junk Trader (\"Junk X\'press\" Guild)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1438', 'junk_dealer_overseer', 'Junk Inventory Keeper (\"Junk X\'press\" Guild)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1439', 'mining_guard_ship_boss', 'Captain Ovica (Miner\'s Guild Captain)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1440', 'valarian_fighter_boss', 'Hendr \"Guns\" T\'uik (Valarian Bodyguard)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1441', 'scavenger_raider_boss', 'X10-700 \"Destroyer\" (Detritus Satellites)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1442', 'slave_trader_guardian_boss', 'Captain \"Iron Shackle\" Y\'ia');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1443', 'velocity_fighter_boss', 'Carta Railey (Velocity Fighter Leader)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1444', 'warrens_fighter_boss', 'Captain Skystinger (Warrens Assault Squad)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1445', 'warrens_fighter', 'Stealth Fighter (Warrens Assault Squad)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1446', 'warrens_scout', 'Stealth Scout (Warrens Assault Squad)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1447', 'hutt_fighter_boss', 'Sina \"Blood Tooth\" Farther (Hutt Leader)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1448', 'imp_interceptor_boss', 'Major Civ Darklancer (Imperial Blockade Leader)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1449', 'reb_awing_boss', 'Captain Ghren Ironwill (Alliance Assault Leader)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1450', 'debris_smuggler_boss', 'Djinn Sai\'a (Ni\'lyahin Smuggler Leader)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1451', 'coynite_merc_pulsar_boss', 'Captain Red vin\'Itl (Coynite Pulsar Aggressor)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1452', 'imp_decimator_boss', 'High Commander DarkValor');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1453', 'nebula_assassin_boss', 'Reverend Oni`antae Soli-nacae (Dark Veil Order)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1454', 'aynat_outlaw_tier5', 'Ay\'Nat Outlaw');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1455', 'endor_artisan_diplomat_boss', 'Raenna D\'maechio (Artisan Professor)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1456', 'death_watch_boss', 'The Black UnNamed (Death Watch Overlord)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1457', 'junk_droid_fighter_boss', 'NL-0 \"Demolisher\" (Jillion Bolts Co. Leader)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1458', 'junk_droid_engineer', 'E-70 Engineer (Jillion Bolts Co.)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1459', 'junk_droid_fighter', 'DQ-9 Fighter (Jillion Bolts Co.)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1460', 'junk_droid_scavenger', 'G300 Scavenger (Jillion Bolts Co.)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1461', 'reb_bwing_boss', 'High Commander Fen (Alliance Survivor)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1462', 'nebula_scientist_bodyguard_boss', 'Professor Mistrunner (Linear Miasma Leader)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1463', 'spice_pirate_boss', 'Xin \"Gunner\" Vector (Zynt\'aia Spice Protector)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1464', 'endor_trader_bodyguard_boss', 'Captain O\'in Tielord (Trader\'s Guild)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1465', 'endor_trader_bodyguard_hire', 'Traders\' Bodyguard (Trader\'s Guild)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1466', 'endor_trader_collector', 'Traders\' Collector (Trader\'s Guild)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1467', 'endor_trader_freighter', 'Traders\' Freighter (Trader\'s Guild)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1468', 'endor_trader_mercenary', 'Traders\' Mercenary (Trader\'s Guild)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1469', 'valarian_replacement_1_tier3', 'Valarian Replacement');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1470', 'valarian_replacement_2_tier3', 'Valarian Replacement');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1471', 'valarian_replacement_3_tier3', 'Valarian Replacement');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1472', 'imp_vip_shuttle_tier3', 'Imperial VIP Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1473', 'imp_tie_experimental_fighter_tier3', 'Imperial Inquisition Experimental Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1474', 'coynite_merc_pulsar_tier4', 'Coynite Pulsar');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1475', 'player_command_tie_bomber_tier1', 'Strike Package Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1476', 'player_command_tie_bomber_tier2', 'Strike Package Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1477', 'player_command_tie_bomber_tier3', 'Strike Package Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1478', 'player_command_tie_bomber_tier4', 'Strike Package Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1479', 'player_command_tie_bomber_tier5', 'Strike Package Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1480', 'escort_tie_advanced_tier1', 'Strike Package Escort');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1481', 'escort_tie_advanced_tier2', 'Strike Package Escort');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1482', 'escort_tie_advanced_tier3', 'Strike Package Escort');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1483', 'escort_tie_advanced_tier4', 'Strike Package Escort');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1484', 'escort_tie_advanced_tier5', 'Strike Package Escort');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1485', 'escort_tie_basic_tier1', 'Strike Package Escort');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1486', 'escort_tie_basic_tier2', 'Strike Package Escort');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1487', 'escort_tie_basic_tier3', 'Strike Package Escort');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1488', 'escort_tie_basic_tier4', 'Strike Package Escort');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1489', 'escort_tie_basic_tier5', 'Strike Package Escort');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1490', 'escort_tie_interceptor_tier1', 'Strike Package Escort');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1491', 'escort_tie_interceptor_tier2', 'Strike Package Escort');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1492', 'escort_tie_interceptor_tier3', 'Strike Package Escort');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1493', 'escort_tie_interceptor_tier4', 'Strike Package Escort');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1494', 'escort_tie_interceptor_tier5', 'Strike Package Escort');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1495', 'civspeeder1', 'Civilian Speeder');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1496', 'civspeeder2', 'Civilian Speeder');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1497', 'naboo_tier3_imperial_spy', 'Imperial Spy');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1498', 'nym_capo_ship_tier2', 'Kimogila\'s Claw');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1499', 'rebel_spy', 'Rebel Spy');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1500', 'rebel_raider_bomber_tier3', 'Rebel Raider Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1501', 'force_assassin', 'Force Assassin');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1502', 'rebel_gunboat', 'Rebel Gunboat');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1503', 'valarian_bomber_tier1', 'Valarian Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1504', 'mining_guard_ship_tier3', 'Mining Guard');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1505', 'tieadvanced_ace_tier4', 'TIE Advanced Ace');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1506', 'imperial_scout', 'Imperial Scout');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1507', 'blacksun_marauder', 'Black Sun Marauder');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1508', 'blacksun_aggressor', 'Black Sun Aggressor');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1509', 'rsf_rawl', 'RSF Rawl');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1510', 'blacksun_vehement', 'Black Sun Vehement');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1511', 'rsf_stinger', 'RSF Stinger');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1512', 'trade_fed_guardian', 'Trade Federation Guardian');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1513', 'trade_fed_bomber', 'Trade Federation Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1514', 'endor_smuggler_fighter', 'Contraband Inc. Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1515', 'endor_smuggler_trader', 'Contraband Inc. Trader');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1516', 'endor_smuggler_transport', 'Contraband Inc. Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1517', 'imperial_debris_collector', 'Imperial Debris Collector');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1518', 'imperial_demolition', 'Imperial Demolition Ship');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1519', 'rebel_spy_tier3', 'Rebel Spy');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1520', 'tieinterceptor_ace_tier4', 'TIE interceptor');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1521', 'tieaggressor_ace_tier3', 'TIE aggressor Fighterpilot');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1522', 'tieaggressor_ace_tier4', 'TIE aggressor Fighterpilot');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1523', 'tieoppressor_ace_tier3', 'TIE oppressor');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1524', 'tieoppressor_ace_tier4', 'TIE oppressor');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1525', 'rebel_raider_captain_tier3', 'Rebel Raider Captain');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1526', 'imperial_gunboat', 'Imperial Gunboat');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1527', 'imp_lambda_recon_tier4', 'Recon \"Lambda\" Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1528', 'hiddendaggers_enforcer', 'Hidden Daggers Enforcer');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1529', 'huttsmuggler_tier3', 'Hutt Debris Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1530', 'deathstar_debris_scavenger_tier2', 'Debris Cult Scavenger');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1531', 'deathstar_debris_fanatic_tier2', 'Debris Cult Fanatic');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1532', 'deathstar_debris_freighter_tier2', 'Debris Cult Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1533', 'deathstar_debris_guardian_tier2', 'Debris Cult Guardian');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1534', 'deathstar_debris_priest_tier3', 'Debris Cult High Priest');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1535', 'rebel_gunboat_tier3', 'Rebel Gunboat');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1536', 'rebel_raider_fast_attack_tier3', 'Rebel Raider');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1537', 'tinrilo_quest_thief_tier3', 'SunScorcher Pirate');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1538', 'tinrilo_quest_thief_tier3_all', 'SunScorcher Pirate');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1539', 'valarian_gunship_tier2_tatooine', 'Valarian Gunship');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1540', 'valarian_bomber_tier2_tatooine', 'Valarian Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1541', 'reb_xwing_tier2_tatooine', 'Rebel X-Wing');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1542', 'reb_ywing_tier2_tatooine', 'Rebel Y-Wing');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1543', 'reb_z95_tier2_tatooine', 'Rebel Z-95');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1544', 'mining_guard_ship_tatooine', 'Mining Guard');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1545', 'imp_tie_fighter_tier2_tatooine', 'TIE Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1546', 'imp_tie_bomber_tier2_tatooine', 'TIE Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1547', 'hutt_bomber_s01_tier2_tatooine', 'Hutt Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1548', 'hutt_fighter_s01_tier2_tatooine', 'Hutt Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1549', 'rsf_hunter_tier2_naboo', 'RSF Hunter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1550', 'rsf_prison_ship_tier2_naboo', 'RSF Prison Ship');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1551', 'rsf_rawl_tier2_naboo', 'RSF Rawl');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1552', 'rsf_stinger_tier2_naboo', 'RSF Stinger');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1553', 'blacksun_bomber_ace_tier3_dantooine', 'Black Sun Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1554', 'blacksun_bomber_s02_tier3_dantooine', 'Black Sun Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1555', 'blacksun_fighter_s02_tier3_dantooine', 'Black Sun Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1556', 'borvo_bomber_tier2_naboo', 'Borvo Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1557', 'borvo_defender_tier2_naboo', 'Borvo Defender');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1558', 'borvo_fighter_tier2_naboo', 'Borvo Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1559', 'civspeeder_naboo', 'Civilian Speeder');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1560', 'endor_artisan_diplomat_tier4_endor', 'Diplomat (S.A.T. Artisan Sect)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1561', 'endor_artisan_freighter_tier4_endor', 'Freighter (S.A.T. Artisan Sect)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1562', 'endor_artisan_peacekeeper_tier4_endor', 'Peacekeeper (S.A.T. Artisan Sect)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1563', 'force_assassin_tier3_dantooine', 'Force Assassin');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1564', 'force_bomber_tier3_dantooine', 'Force Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1565', 'freighterheavy_tier3_yavin4', 'Heavy Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1566', 'freighterheavy_tier3_endor', 'Heavy Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1567', 'freighterheavy_tier3_corellia', 'Heavy Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1568', 'freighterheavy_tier3_lok', 'Heavy Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1569', 'freighterheavy_tier3_dathomir', 'Heavy Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1570', 'freighterheavy_tier3_dantooine', 'Heavy Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1571', 'freighterheavy_tier3_naboo', 'Heavy Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1572', 'freighterheavy_tier3_tatooine', 'Heavy Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1573', 'imp_tie_bomber_tier2_naboo', 'TIE Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1574', 'imp_tie_bomber_tier3_dantooine', 'TIE Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1575', 'imp_tie_fighter_tier2_naboo', 'TIE Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1576', 'imp_tie_fighter_tier3_dantooine', 'TIE Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1577', 'imp_tie_interceptor_tier3_dantooine', 'TIE Interceptor');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1578', 'mining_guard_ship_tier3_dantooine', 'Mining Guard');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1579', 'reb_xwing_tier3_dantooine', 'Rebel X-Wing');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1580', 'reb_ywing_tier3_dantooine', 'Rebel Y-Wing');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1581', 'rogue_droid_alpha_tier2_naboo', 'Rogue Droid Alpha');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1582', 'rogue_droid_defender_tier2_naboo', 'Scintilla Defender (Rogue Droid)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1583', 'rogue_droid_fighter_tier2_naboo', 'Scintilla Fighter (Rogue Droid)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1584', 'rogue_droid_scrapper_tier2_naboo', 'Scintilla Scrapper (Rogue Droid)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1585', 'scavenger_collector_tier3_dantooine', 'Droid Junk Collector (Detritus Satellites)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1586', 'scavenger_fanatic_tier3_dantooine', 'Droid Junk Fanatic (Detritus Satellites)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1587', 'scavenger_freighter_tier3_dantooine', 'Droid Junk Fanatic (Detritus Satellites)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1588', 'scavenger_guardian_tier3_dantooine', 'Droid Junk Guardian (Detritus Satellites)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1589', 'scavenger_hunter_tier3_dantooine', 'Droid Junk Hunter (Detritus Satellites)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1590', 'scavenger_raider_tier3_dantooine', 'Droid Junk Raider (Detritus Satellites)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1591', 'slave_trader_guardian_tier3_dantooine', 'Vin Guardian (Zel\'iphian Slave Traders)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1592', 'slave_trader_trader_tier3_dantooine', 'Vex Trader (Zel\'iphian Slave Traders)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1593', 'slave_trader_transport_tier3_dantooine', 'Va\'ous Transport (Zel\'iphian Slave Traders)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1594', 'freighterheavy_tier3_story', 'Heavy Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1595', 'nym_kartharkk_queen_tier4', 'Kartharkk Queen');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1596', 'coynite_coynfury_tier4', 'Coyn\'s Fury');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1597', 'velocity_heartdagger_tier4', 'Heart\'s Dagger');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1598', 'imp_tie_experimental_fighter_tier2', 'Imperial Inquisition Experimental Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1599', 'huttfighter_tier3', 'Hutt Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1600', 'huttbomber_tier3', 'Hutt Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1601', 'huttskiff_tier3', 'Hutt Skiff');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1602', 'rebel_diplomat_tier3', 'Rebel Diplomat');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1603', 'rebel_diplomat_tier1', 'Rebel Diplomat');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1604', 'rebel_diplomat_tier2', 'Rebel Diplomat');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1605', 'rebel_diplomat_tier4', 'Rebel Diplomat');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1606', 'rebel_diplomat_tier5', 'Rebel Diplomat');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1607', 'hutt_mesot_tier3', 'The Terror Kreetle');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1608', 'reb_diplomat_tier2', 'Rebel Diplomat');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1609', 'reb_corellian_corevette_tier4', 'Radiant Anthem');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1610', 'imp_corellian_corvette_tier4', 'Star Ravager');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1611', 'reb_priceofliberty_tier3', 'Price of Liberty');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1612', 'rebel_command', 'Rebel Command');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1613', 'reb_ywingleader_tier4', 'Rebel Y-Wing Squad Leader');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1614', 'imp_corellian_corvette_tier5', 'Star Ravager');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1615', 'hutt_light_s01_tier3', 'Hutt Light Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1616', 'rebel_droid_training_ship_tier3', 'Rebel Droid Training Ship');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1617', 'rebel_agent_tier3', 'Rebel Agent');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1618', 'blacksun_freighterlight', 'Black Sun Light Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1619', 'duskrunner', 'Duskrunner');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1620', 'blacksun_freightermedium_tier2', 'Black Sun Medium Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1621', 'blacksun_fighter_s01_tier2_tatooine', 'Black Sun Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1622', 'blacksun_bomber_s01_tier2_tatooine', 'Black Sun Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1623', 'blacksun_freightermedium_tier4', 'Black Sun Medium Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1624', 'blacksun_freighterlight_tier5', 'Black Sun Light Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1625', 'endor_artisan_diplomat', 'Artisan Diplomat');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1626', 'dantooine_miner_guard', 'Dantooine Miner Guard');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1627', 'coynite_communications_vessel', 'Coynite Communications Vessel');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1628', 'coynite_merc_pulsar_tier2', 'Coynite Pulsar');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1629', 'coynite_merc_pulsar_tier3', 'Coynite Pulsar');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1630', 'dantooine_miner_transport', 'Dantooine Miner Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1631', 'endor_artisan_freighter', 'Artisan Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1632', 'unauthorized_freighterheavy', 'Unauthorized Heavy Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1633', 'dantooine_miner_scout', 'Dantooine Miner Scout');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1634', 'endor_artisan_peacekeeper', 'Artisan Peacekeeper');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1635', 'nebula_scientist_analyst', 'Nebula Scientist Analyst');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1636', 'nebula_scientist_bodyguard_hire', 'Nebula Scientist Bodyguard');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1637', 'nebula_scientist_lookout', 'Nebula Scientist Lookout');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1638', 'nebula_scientist_researcher', 'Nebula Scientist Researcher');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1639', 'coynite_merc_pulsar_tier5', 'Coynite Pulsar');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1640', 'neja_bertolo_tier5', 'Neja Bertolo');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1641', 'slave_trader_trader_tier1', 'Slave Trader');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1642', 'hutt_heavy_s01', 'Hutt Bully');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1643', 'hutt_heavy_s02', 'Hutt Grevious');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1644', 'hutt_transport', 'Hutt Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1645', 'slave_trader_trader_tier2', 'Slave Trader');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1646', 'hutt_vip_transport_tier3', 'VIP Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1647', 'slave_trader_trader_tier3', 'Slave Trader');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1648', 'huttgunship_tier3', 'Hutt Gunship');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1649', 'hutt_heavy_s01_tier3', 'Hutt Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1650', 'hutt_heavy_s02_tier3', 'Hutt Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1651', 'endor_contraband_trader_tier4', 'Contraband Trader');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1652', 'slave_trader_trader', 'Slave Trader');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1653', 'slave_trader_trader_tier4', 'Slave Trader');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1654', 'slave_trader_guardian', 'Slave Trader Guardian');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1655', 'slave_trader_transport', 'Slave Trader Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1656', 'slave_trader_trader_tier5', 'Slave Trader');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1657', 'tieinterceptor_average_tier3', 'TIE Interceptor');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1658', 'tieinterceptor_rookie_tier3', 'TIE Interceptor');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1659', 'tieinterceptor_tier3', 'TIE Interceptor');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1660', 'tie_average_tier3', 'TIE Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1661', 'tie_rookie_tier3', 'TIE Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1662', 'tiefighter_tier3', 'TIE Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1663', 'tiebomber_average_tier3', 'TIE Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1664', 'tiebomber_rookie_tier3', 'TIE Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1665', 'tiebomber_tier3', 'TIE Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1666', 'tieadvanced_average_tier3', 'TIE Advanced');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1667', 'tieadvanced_rookie_tier3', 'TIE Advanced');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1668', 'tieadvanced_tier3', 'TIE Advanced');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1669', 'imperial_cargo_tower', 'Imperial Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1670', 'tieinterceptor_ace_tier3', 'TIE Interceptor');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1671', 'tie_ace_tier3', 'Imperial Ace');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1672', 'tiebomber_ace_tier3', 'TIE Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1673', 'tieadvanced_ace_tier3', 'TIE Advanced');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1674', 'tiedecimator_ace_tier3', 'TIE Decimator');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1675', 'tieinterceptor_inquisitor_tier4', 'Inquisition Interceptor');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1676', 'tie_ace_tier4', 'Imperial Ace');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1677', 'dantooine_imperial_boss', 'Imperial Boss');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1678', 'imperial_worker_ship', 'Imperial Worker Ship');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1679', 'tiebomber_ace_tier4', 'TIE Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1680', 'tiebomber_tier4', 'TIE Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1681', 'tieadvanced_tier4', 'TIE Advanced');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1682', 'tiedecimator_ace_tier4', 'TIE Decimator');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1683', 'imperial_gunboat_tier4', 'Imperial Gunboat');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1684', 'freightermedium_tier5', 'Medium Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1685', 'imp_ss_mission3_freighter', 'Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1686', 'nym_enforcer_captain', 'Nym Captain');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1687', 'nym_smuggler_freightermedium_tier4', 'Nym Medium Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1688', 'nym_interceptor_captain_tier4', 'Nym Captain');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1689', 'nym_interceptor_lieutenant_tier4', 'Nym Lieutenant');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1690', 'nym_interceptor_tier4', 'Nym Interceptor');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1691', 'nym_smuggle_vessel_tier4', 'Nym Smuggler Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1692', 'nym_smuggler_tier4', 'Nym Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1693', 'nym_enforcer_captain_tier4', 'Nym Captain');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1694', 'nym_escort_fighter_tier4', 'Nym Escort');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1695', 'nym_lieutenant_tier4', 'Nym Lieutenant');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1696', 'nym_cannon_ship_tier4', 'Nym Cannon Ship');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1697', 'nym_star_kimogila_tier4', 'Kimogila Star');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1698', 'nym_karthakk_queen_tier4', 'Karthakk Queen');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1699', 'dantooine_scavenger_collector', 'Scavenger Collector');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1700', 'pirate_freighter', 'Pirate Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1701', 'scavenger_freighter', 'Scavenger Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1702', 'scavenger_freighter_tier1', 'Scavenger Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1703', 'hiddendaggers_eliminator', 'Hidden Daggers Eliminator');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1704', 'hiddendaggers_executioner', 'Hidden Dagger Executioner');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1705', 'scavenger_fanatic', 'Scavenger Fanatic');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1706', 'vylukh_clan_elite', 'Vylukh Clan Elite');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1707', 'vylukh_clan_soldier', 'Vylukh Clan Soldier');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1708', 'mercenary_spy_fighter', 'Mercenary Spy Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1709', 'scavenger_raider', 'Scavenger Raider');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1710', 'scavenger_hunter', 'Scavenger Hunter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1711', 'scavenger_missileboat', 'Scavenger Missile Boat');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1712', 'scavenger_missileboat_tier1', 'Scavenger Missile Boat');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1713', 'hiddendaggers_killer', 'Hidden Daggers Killer');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1714', 'hiddendaggers_slayer', 'Hidden Daggers Slayer');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1715', 'vylukh_clan_ace', 'Vylukh Clan Ace');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1716', 'force_bomber_tier1', 'Force Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1717', 'vylukh_clan_transport', 'Vylukh Clan Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1718', 'scavenger_freighter_tier2', 'Scavenger Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1719', 'scavenger_missileboat_tier2', 'Scavenger Missile Boat');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1720', 'debris_smuggler_collector', 'Debris Smuggler Collector');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1721', 'debris_smuggler_transport', 'Debris Smuggler Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1722', 'scavenger_freighter_tier3', 'Scavenger Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1723', 'rancor_clan_ace_tier2', 'Rancor Clan Ace');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1724', 'debris_smuggler_bomber', 'Debris Smuggler Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1725', 'debris_smuggler_fighter', 'Debris Smuggler Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1726', 'hidden_daggers_enforcer_tier3', 'Hidden Daggers Enforcer');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1727', 'scavenger_missileboat_tier3', 'Scavenger Missile Boat');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1728', 'dantooine_slave_trader_transport', 'Slave Trader Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1729', 'red_skull_freighter', 'Red Skull Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1730', 'scavenger_freighter_tier4', 'Scavenger Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1731', 'spice_pirate_transport', 'Spice Pirate Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1732', 'dantooine_scavenger_boss', 'Scavenger Boss');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1733', 'red_skull_pirate_light', 'Red Skull Pirate');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1734', 'dantooine_miner_boss', 'Miner Boss');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1735', 'dantooine_scavenger_bomber', 'Scavenger Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1736', 'dantooine_scavenger_fighter', 'Scavenger Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1737', 'dantooine_slave_trader_boss', 'Slave Trader Boss');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1738', 'dantooine_slave_trader_guard', 'Slave Trader Guard');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1739', 'dantooine_slave_trader_scout', 'Slave Trader Scout');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1740', 'death_watch_assassin', 'Death Watch Assassin');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1741', 'death_watch_bomber', 'Death Watch Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1742', 'death_watch_heavy_fighter', 'Death Watch Heavy Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1743', 'nebula_assassin_bountyhunter', 'Nebula Assassin Bountyhunter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1744', 'nebula_assassin_fighter', 'Nebula Assassin Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1745', 'scavenger_collector', 'Scavenger Collector');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1746', 'scavenger_guardian', 'Scavenger Guardian');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1747', 'spice_pirate_fighter', 'Spice Pirate Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1748', 'spice_pirate_spy', 'Spice Pirate Spy');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1749', 'scavenger_missileboat_tier4', 'Scavenger Missile Boat');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1750', 'dantooine_warrens_boss', 'Warren Boss');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1751', 'nebula_assassin_saboteur', 'Nebula Assassin Saboteur');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1752', 'nebula_assassin_bomber', 'Nebula Assassin Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1753', 'dantooine_force_boss', 'Force Boss');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1754', 'scavenger_freighter_tier5', 'Scavenger Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1755', 'force_bomber', 'Force Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1756', 'dath_freelance_killer_tier5', 'Freelance Killer');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1757', 'mercenary_courier_tier5', 'Mercenary Courier');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1758', 'rogue_droid_alpha_tier5', 'Rogue Droid Alpha');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1759', 'scavenger_missileboat_tier5', 'Scavenger Missile Boat');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1760', 'rebel_scout_fighter', 'Rebel Scout');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1761', 'corellian_corvette_interior', 'Corellian Corvette');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1762', 'rebel_freighterheavy_tier3', 'Rebel Heavy Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1763', 'rebel_scout_shuttle_tier3', 'Rebel Scout Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1764', 'rebel_saboteur_tier3', 'Rebel Saboteur');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1765', 'rebel_raider_tier3', 'Rebel Raider');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1766', 'rebel_trainee_tier3', 'Rebel Trainee');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1767', 'dantooine_rebel_boss', 'Rebel Boss');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1768', 'rebel_saboteur', 'Rebel Saboteur');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1769', 'reb_diplomat_tier4', 'Rebel Diplomat');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1770', 'rebel_gunboat_tier4', 'Rebel Gunboat');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1771', 'corellian_corvette_tier4', 'Corellian Corvette');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1772', 'reb_corellian_corvette_tier4', 'Corellian Corvette');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1773', 'rsf_scanner', 'RSF Deep Space Scanner');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1774', 'ndc_transport_light_tier1', 'NDC Light Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1775', 'valarian_gunship_inspect', 'Valarian Gunship');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1776', 'valarian_bomber_ace', 'Valarian Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1777', 'valarian_gunship_ace', 'Valarian Gunship');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1778', 'blacksun_dark_eclipse_tier1', 'Dark Eclipse');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1779', 'blacksun_dark_eclipse_tier2', 'Dark Eclipse');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1780', 'blacksun_dark_eclipse_tier3', 'Dark Eclipse');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1781', 'blacksun_dark_eclipse_tier4', 'Dark Eclipse');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1782', 'blacksun_dark_eclipse_tier5', 'Dark Eclipse');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1783', 'corsec_corona_tier1', 'CorSec Corona');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1784', 'corsec_corona_tier2', 'CorSec Corona');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1785', 'corsec_corona_tier3', 'CorSec Corona');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1786', 'corsec_corona_tier4', 'CorSec Corona');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1787', 'corsec_corona_tier5', 'CorSec Corona');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1788', 'hutt_despot_tier1', 'Despot');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1789', 'hutt_despot_tier2', 'Despot');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1790', 'hutt_despot_tier3', 'Despot');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1791', 'hutt_despot_tier4', 'Despot');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1792', 'hutt_despot_tier5', 'Despot');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1793', 'rsf_sentinel_tier1', 'RSF Sentinel');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1794', 'rsf_sentinel_tier2', 'RSF Sentinel');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1795', 'rsf_sentinel_tier3', 'RSF Sentinel');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1796', 'rsf_sentinel_tier4', 'RSF Sentinel');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1798', 'rsf_sentinel_tier5', 'RSF Sentinel');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1799', 'corsec_spec_ops_transport_tier1', 'CorSec Spec Ops Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1800', 'corsec_spec_ops_transport_tier2', 'CorSec Spec Ops Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1801', 'corsec_spec_ops_transport_tier3', 'CorSec Spec Ops Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1802', 'corsec_spec_ops_transport_tier4', 'CorSec Spec Ops Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1803', 'corsec_spec_ops_transport_tier5', 'CorSec Spec Ops Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1804', 'imp_lambda_decoy_shuttle_tier3', 'Decoy Lambda Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1805', 'imp_freightermedium_explosives_tier1', 'Imperial Medium Freighter (explosives)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1806', 'imp_freighterheavy_e62_tier1', 'Imperial Heavy Freighter (E62s)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1807', 'imp_freighterheavy_tatooine_tier1', 'Imperial Bestine Supply Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1808', 'imp_engineer_shuttle_tier3', 'Engineer Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1809', 'imp_lambda_inquisitor_shuttle_tier4', 'Imperial Inquisition Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1810', 'bloodrazor_cutthroat_tier1', 'Blood Razor Cutthroat');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1811', 'bloodrazor_cutthroat_tier2', 'Blood Razor Cutthroat');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1812', 'bloodrazor_cutthroat_tier3', 'Blood Razor Cutthroat');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1813', 'bloodrazor_cutthroat_tier4', 'Blood Razor Cutthroat');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1814', 'bloodrazor_cutthroat_tier5', 'Blood Razor Cutthroat');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1815', 'bloodrazor_berzerker_tier1', 'Blood Razor Berserker');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1816', 'bloodrazor_berzerker_tier2', 'Blood Razor Berserker');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1817', 'bloodrazor_berzerker_tier3', 'Blood Razor Berserker');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1818', 'bloodrazor_berzerker_tier4', 'Blood Razor Berserker');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1819', 'bloodrazor_berzerker_tier5', 'Blood Razor Berserker');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1820', 'bloodrazor_destroyer_tier1', 'Blood Razor Destroyer');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1821', 'bloodrazor_destroyer_tier2', 'Blood Razor Destroyer');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1822', 'bloodrazor_destroyer_tier3', 'Blood Razor Destroyer');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1823', 'bloodrazor_destroyer_tier4', 'Blood Razor Destroyer');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1824', 'bloodrazor_destroyer_tier5', 'Blood Razor Destroyer');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1825', 'kimogila_scrapper_tier1', 'Kimogila Fanatic (Scrapper)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1826', 'kimogila_scrapper_tier2', 'Kimogila Fanatic (Scrapper)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1827', 'kimogila_scrapper_tier3', 'Kimogila Fanatic (Scrapper)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1828', 'kimogila_scrapper_tier4', 'Kimogila Fanatic (Scrapper)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1829', 'kimogila_scrapper_tier5', 'Kimogila Fanatic (Scrapper)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1830', 'kimogila_inciter_tier1', 'Kimogila Fanatic (Inciter)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1831', 'kimogila_inciter_tier2', 'Kimogila Fanatic (Inciter)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1832', 'kimogila_inciter_tier3', 'Kimogila Fanatic (Inciter)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1833', 'kimogila_inciter_tier4', 'Kimogila Fanatic (Inciter)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1834', 'kimogila_inciter_tier5', 'Kimogila Fanatic (Inciter)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1835', 'kimogila_champion_tier1', 'Kimogila Fanatic (Champion)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1836', 'kimogila_champion_tier2', 'Kimogila Fanatic (Champion)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1837', 'kimogila_champion_tier3', 'Kimogila Fanatic (Champion)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1838', 'kimogila_champion_tier4', 'Kimogila Fanatic (Champion)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1839', 'kimogila_champion_tier5', 'Kimogila Fanatic (Champion)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1840', 'kimogila_battlelord_tier3', 'Kimogila Battlelord (Captain Darkscale)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1841', 'mercenary_light_cruiser_tier1', 'Mercenary Light Cruiser');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1842', 'mercenary_light_cruiser_tier2', 'Mercenary Light Cruiser');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1843', 'mercenary_light_cruiser_tier3', 'Mercenary Light Cruiser');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1844', 'mercenary_light_cruiser_tier4', 'Mercenary Light Cruiser');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1845', 'mercenary_light_cruiser_tier5', 'Mercenary Light Cruiser');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1846', 'mercenary_heavy_cruiser_tier1', 'Mercenary Heavy Cruiser');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1847', 'mercenary_heavy_cruiser_tier2', 'Mercenary Heavy Cruiser');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1848', 'mercenary_heavy_cruiser_tier3', 'Mercenary Heavy Cruiser');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1849', 'mercenary_heavy_cruiser_tier4', 'Mercenary Heavy Cruiser');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1850', 'mercenary_heavy_cruiser_tier5', 'Mercenary Heavy Cruiser');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1851', 'bloodrazor_captain_tier3', 'Blood Razor Captain (Bloodthirster Black)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1852', 'tatooine_rebel_3_3_b_smuggler_yt1300_tier3', 'Smuggler Light Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1853', 'ndc_duty_transport_tier2', 'NDC Personnel Carrier');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1854', 'civilian_science_transport_tier1', 'Civilian Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1855', 'borvo_defender_tier1_naboo', 'Borvo Defender');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1856', 'borvo_fighter_tier1_naboo', 'Borvo Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1857', 'borvo_bomber_tier1_naboo', 'Borvo Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1858', 'vsin_starbomber_tier2', 'Vsin \"Cannon\" Starbomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1859', 'po_mcannon_tier2', 'Po \"Big Guns\" Mc\'annon');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1860', 'rsf_hunter_tier1_naboo', 'RSF Hunter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1861', 'rsf_prison_ship_tier1_naboo', 'RSF Prison Ship');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1862', 'rsf_rawl_tier1_naboo', 'RSF Rawl');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1863', 'rogue_droid_alpha_tier1_naboo', 'Rogue Droid Alpha');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1864', 'rogue_droid_defender_tier1_naboo', 'Scintilla Defender (Rogue Droid)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1865', 'rogue_droid_fighter_tier1_naboo', 'Scintilla Fighter (Rogue Droid)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1866', 'rogue_droid_scrapper_tier1_naboo', 'Scintilla Scrapper (Rogue Droid)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1867', 'rsf_stinger_tier1_naboo', 'RSF Stinger');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1868', 'hutt_bomber_s01_tier1_tatooine', 'Hutt Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1869', 'hutt_fighter_s01_tier1_tatooine', 'Hutt Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1870', 'imp_tie_bomber_tier1_tatooine', 'TIE Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1871', 'imp_tie_fighter_tier1_tatooine', 'TIE Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1872', 'imp_tie_bomber_tier1_naboo', 'TIE Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1873', 'imp_tie_fighter_tier1_naboo', 'TIE Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1874', 'reb_xwing_tier1_tatooine', 'Rebel X-Wing');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1875', 'reb_ywing_tier1_tatooine', 'Rebel Y-Wing');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1876', 'reb_z95_tier1_tatooine', 'Rebel Z-95');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1877', 'valarian_gunship_tier1_tatooine', 'Valarian Gunship');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1878', 'valarian_bomber_tier1_tatooine', 'Valarian Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1879', 'hutt_assassin_s01_tier1', 'Jabba\'s Assassin');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1880', 'hutt_assassin_s01_tier2', 'Jabba\'s Assassin');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1881', 'hutt_assassin_s01_tier3', 'Jabba\'s Assassin');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1882', 'hutt_assassin_s01_tier4', 'Jabba\'s Assassin');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1883', 'hutt_assassin_s01_tier5', 'Jabba\'s Assassin');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1884', 'hutt_mission_nym_freighterheavy_tier4', 'Nym Heavy Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1885', 'dantooine_supply_freighter_light_tier3', 'Light Supply Frieghter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1886', 'dantooine_supply_freighter_medium_tier3', 'Medium Supply Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1887', 'dantooine_supply_freighter_heavy_tier3', 'Heavy Supply Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1888', 'dantooine_private_supply_freighter_light_tier3', 'Private Supply Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1889', 'dantooine_private_supply_freighter_medium_tier3', 'Private Supply Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1890', 'dantooine_private_supply_freighter_heavy_tier3', 'Private Supply Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1891', 'dantooine_cargo_freighter_light_tier3', 'Light Cargo Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1892', 'dantooine_cargo_freighter_medium_tier3', 'Medium Cargo Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1893', 'dantooine_cargo_freighter_heavy_tier3', 'Heavy Cargo Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1894', 'yavin_mining_freighter_light_tier3', 'Yavin Mining Company Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1895', 'yavin_mining_freighter_medium_tier3', 'Yavin Mining Company Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1896', 'yavin_mining_freighter_heavy_tier3', 'Yavin Mining Company Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1897', 'dantooine_pickup_freighter_heavy_tier3', 'Dantooine Station Supply Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1898', 'imp_logistics_officer_tier2', 'Imperial Logistics Officer');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1899', 'deathstar_debris_hostage_tier2', 'Debris Cult Hostage Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1900', 'deathstar_debris_communication_tier2', 'Debris Cult Communication Vessel');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1901', 'yavin_mining_executive_transport_tier2', 'Yavin Mining Company Personnel Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1902', 'deathstar_debris_highpriest_tier3', 'The Touched One (Debris Cult Leader)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1903', 'massassi_light_fighter_tier2', 'Mysterious Light Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1904', 'massassi_medium_fighter_tier2', 'Mysterious Firespray');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1905', 'massassi_light_fighter_tier3', 'Mysterious Light Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1906', 'massassi_medium_fighter_tier3', 'Mysterious Firespray');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1907', 'massassi_damaged_fighter_tier2', 'Damaged Mysterious Firespray');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1908', 'corellia_mining_shuttle_tier3', 'Fermor & Son Mining Company Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1909', 'massassi_command_ship_tier2', 'Massassi Reborn');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1910', 'illegal_freighter_tier2', 'Lupus Maroo');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1911', 'illegal_delivery_shuttle_tier2', 'Lemon Nova');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1912', 'polard_manfred_yt1300_tier2', 'Polard Manfred');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1913', 'naboo_dropoff_vessel_tier2', 'Dropoff Vessel');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1914', 'cloak_agitator_tier1', 'Cloak Agitator');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1915', 'cloak_agitator_tier2', 'Cloak Agitator');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1916', 'cloak_agitator_tier3', 'Cloak Agitator');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1917', 'cloak_agitator_tier4', 'Cloak Agitator');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1918', 'cloak_agitator_tier5', 'Cloak Agitator');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1919', 'cloak_infiltrator_tier1', 'Cloak Infiltrator');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1920', 'cloak_infiltrator_tier2', 'Cloak Infiltrator');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1921', 'cloak_infiltrator_tier3', 'Cloak Infiltrator');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1922', 'cloak_infiltrator_tier4', 'Cloak Infiltrator');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1923', 'cloak_infiltrator_tier5', 'Cloak Infiltrator');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1924', 'cloak_aggrevator_tier1', 'Cloak Aggrevator');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1925', 'cloak_aggrevator_tier2', 'Cloak Aggrevator');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1926', 'cloak_aggrevator_tier3', 'Cloak Aggrevator');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1927', 'cloak_aggrevator_tier4', 'Cloak Aggrevator');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1928', 'cloak_aggrevator_tier5', 'Cloak Aggrevator');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1929', 'cloak_annihilator_tier1', 'Cloak Annihilator');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1930', 'cloak_annihilator_tier2', 'Cloak Annihilator');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1931', 'cloak_annihilator_tier3', 'Cloak Annihilator');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1932', 'cloak_annihilator_tier4', 'Cloak Annihilator');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1933', 'cloak_annihilator_tier5', 'Cloak Annihilator');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1934', 'cloak_officer_tier3', 'Hooded Cloak');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1935', 'cloak_agent_tier3', 'Cloak Agent');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1936', 'cloak_representative_tier3', 'Cloak Representative');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1937', 'hutt_quest_hortrix_steelarm_tier3', 'Hortrix Steelarm');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1938', 'valarian_smuggler_tier2', 'Valarian Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1939', 'imp_fariso_tier3', 'Fariso');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1940', 'spynet_watcher_tier3', 'Civilian Craft');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1941', 'spynet_runner_tier3', 'Spynet Fugitive');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1942', 'freighterheavy_tier4_inspect', 'Heavy Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1943', 'poi_eisley_captain_convo_ship_tier2', 'Kelen Wordkal (Mos Eisley Police Captain)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1944', 'poi_garett_convo_ship_tier2', 'Garett Erlskel (Hutt Informant)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1945', 'poi_hutt_spy_tier1', 'Hutt Infiltrator');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1946', 'poi_valarian_fighter_tier1', 'Valarian Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1947', 'valarian_fighter_tier1', 'Valarian Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1948', 'poi_black_nemesis_bomber_tier2', 'Black Nemesis (Unknown Bomber)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1949', 'mos_eisley_police_tier2', 'Mos Eisley Police Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1950', 'poi_valarian_bomber_tier2', 'Blood Sun (Valarian Bomber)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1951', 'poi_blacksun_aggressor_tier2', 'Black Sun Aggressor');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1952', 'poi_mining_convo_ship_tier2', 'A\'Lerris Verata (Mining Chief Operator)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1953', 'cloak_leader_decoy_tier3', 'Cloak Leader');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1954', 'cloak_leader_tier4', 'Cloak and Dagger');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1955', 'tuskcat_run_delivery_drone', 'Tusk Cat Run Delivery Drone');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1956', 'tuskcat_run_attack_drone', 'Tusk Cat Run Attack Drone');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1957', 'poi_black_nemesis_wingmen_tier1', 'BlackDawn Furier (Nemesis\' WIngman)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1958', 'poi_mos_police_officer_1_tier1', 'Roris Zhaiss (Mos Eisley Officer)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1959', 'poi_mos_police_officer_2_tier1', 'Etkis Rilad (Mos Eisley Officer)');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1960', 'reb_corsec_fighter_tier1', 'CorSec Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1961', 'dantooine_raider_light_s02_tier2', 'Dantooine Light Raider');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1962', 'dantooine_raider_light_s02_tier3', 'Dantooine Light Raider');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1963', 'dantooine_raider_med_tier2', 'Dantooine Raider');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1964', 'dantooine_raider_med_tier3', 'Dantooine Raider');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1965', 'stn_dantooine_freighterheavy_tier3', 'Lemdurion Plating Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1966', 'stn_dantooine_freighterlight_tier3', 'Micro-Processor Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1967', 'stn_dantooine_freightermedium_tier3', 'Dantooine Supply Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1968', 'nezzo_milli_tier3', 'Nezzo Milli');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1969', 'stn_dantooine_twinstar_freighter_tier3', 'Twin Star Shipping Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1970', 'greenburst_light_tier3', 'Greenburst Protestor');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1971', 'greenburst_medium_tier3', 'Greenburst Protestor');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1972', 'twin_star_shipping_tier4', 'Twin Star Shipping Co.');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1973', 'imp_ss_tie_advanced_tier1', 'Storm Squadron Advanced');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1974', 'imp_ss_tie_advanced_tier2', 'Storm Squadron Advanced');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1975', 'imp_ss_tie_advanced_tier3', 'Storm Squadron Advanced');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1976', 'imp_ss_tie_advanced_tier4', 'Storm Squadron Advanced');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1977', 'imp_ss_tie_advanced_tier5', 'Storm Squadron Advanced');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1978', 'imp_ss_tie_fighter_tier1', 'Storm Squadron Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1979', 'imp_ss_tie_fighter_tier2', 'Storm Squadron Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1980', 'imp_ss_tie_fighter_tier3', 'Storm Squadron Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1981', 'imp_ss_tie_fighter_tier4', 'Storm Squadron Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1982', 'imp_ss_tie_fighter_tier5', 'Storm Squadron Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1983', 'imp_ss_tie_bomber_tier1', 'Storm Squadron Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1984', 'imp_ss_tie_bomber_tier2', 'Storm Squadron Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1985', 'imp_ss_tie_bomber_tier3', 'Storm Squadron Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1986', 'imp_ss_tie_bomber_tier4', 'Storm Squadron Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1987', 'imp_ss_tie_bomber_tier5', 'Storm Squadron Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1988', 'nym_stn_kimo_claw_tier2', 'Kimogila\'s Claw');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1989', 'nym_stn_gunship_tier1', 'Damaged Gunship');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1990', 'nym_stn_prison_ship_tier2', 'Prisoner Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1991', 'shifty_prince_tier3', 'Shifty Prince');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1992', 'bezox_mentzz_tier2', 'Bez\'ox Mentzz');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1993', 'lords_mistress_tier3', 'Lord\'s Mistress');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1994', 'reb_corsec_fighter_tier3', 'CorSec Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1995', 'reb_corsec_lancer_tier3', 'CorSec Lancer');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1996', 'hap_daniel_tier3', 'Hap Daniel');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1997', 'poi_hutt_bomber_tier1', 'Hutt Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/ship_names.stf', '1998', 'kimogila_champion_aggro_tier3', 'Kimogila Fanatic (Champion)');
INSERT INTO `client_strings` VALUES ('string/en/space/space_battlefields.stf', '92', 'not_correct_faction_single', 'You cannot sign up with this faction as you are an enemy faction.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_battlefields.stf', '93', 'not_correct_faction_group', 'You cannot sign up with this faction because a player in your ship is of the opposing faction.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_battlefields.stf', '94', 'not_enough_prestige', 'You do not have enough %TO to enter this zone. You need %DI.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_battlefields.stf', '95', 'spent_x_amount_for_ticket', 'You have spent %DI of %TO to enter this battlefield.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_difficulty.stf', '4', 'tier1', 'Tier 1');
INSERT INTO `client_strings` VALUES ('string/en/space/space_difficulty.stf', '5', 'tier2', 'Tier 2');
INSERT INTO `client_strings` VALUES ('string/en/space/space_difficulty.stf', '6', 'tier3', 'Tier 3');
INSERT INTO `client_strings` VALUES ('string/en/space/space_difficulty.stf', '7', 'tier4', 'Tier 4');
INSERT INTO `client_strings` VALUES ('string/en/space/space_difficulty.stf', '8', 'tier5', 'Tier 5');
INSERT INTO `client_strings` VALUES ('string/en/space/space_difficulty.stf', '9', 'light', 'Light');
INSERT INTO `client_strings` VALUES ('string/en/space/space_difficulty.stf', '10', 'medium', 'Medium');
INSERT INTO `client_strings` VALUES ('string/en/space/space_difficulty.stf', '11', 'hard', 'Hard');
INSERT INTO `client_strings` VALUES ('string/en/space/space_difficulty.stf', '12', 'heavy', 'Heavy');
INSERT INTO `client_strings` VALUES ('string/en/space/space_difficulty.stf', '13', 'convoy_0', 'Convoy Leader');
INSERT INTO `client_strings` VALUES ('string/en/space/space_difficulty.stf', '14', 'convoy_1', '2nd Convoy Ship');
INSERT INTO `client_strings` VALUES ('string/en/space/space_difficulty.stf', '15', 'convoy_2', '3rd Convoy Ship');
INSERT INTO `client_strings` VALUES ('string/en/space/space_difficulty.stf', '16', 'convoy_3', '4th Convoy Ship');
INSERT INTO `client_strings` VALUES ('string/en/space/space_difficulty.stf', '17', 'convoy_5', '6th Convoy Ship');
INSERT INTO `client_strings` VALUES ('string/en/space/space_difficulty.stf', '18', 'convoy_6', '7th Convoy Ship');
INSERT INTO `client_strings` VALUES ('string/en/space/space_difficulty.stf', '19', 'convoy_7', '8th Convoy Ship');
INSERT INTO `client_strings` VALUES ('string/en/space/space_difficulty.stf', '20', 'convoy_4', '5th Convoy Ship');
INSERT INTO `client_strings` VALUES ('string/en/space/space_difficulty.stf', '21', 'convoy_8', '9th Convoy Ship');
INSERT INTO `client_strings` VALUES ('string/en/space/space_difficulty.stf', '22', 'convoy_9', '10th Convoy Ship');
INSERT INTO `client_strings` VALUES ('string/en/space/space_faction.stf', '1', 'blacksun', 'Black Sun');
INSERT INTO `client_strings` VALUES ('string/en/space/space_faction.stf', '2', 'civilian', 'Civilian');
INSERT INTO `client_strings` VALUES ('string/en/space/space_faction.stf', '3', 'merchant', 'Merchant');
INSERT INTO `client_strings` VALUES ('string/en/space/space_faction.stf', '4', 'corsair', 'Corsair');
INSERT INTO `client_strings` VALUES ('string/en/space/space_faction.stf', '5', 'pirate', 'Pirate');
INSERT INTO `client_strings` VALUES ('string/en/space/space_faction.stf', '6', 'hutt', 'Hutt');
INSERT INTO `client_strings` VALUES ('string/en/space/space_faction.stf', '7', 'imperial', 'Imperial');
INSERT INTO `client_strings` VALUES ('string/en/space/space_faction.stf', '8', 'nym', 'Nym');
INSERT INTO `client_strings` VALUES ('string/en/space/space_faction.stf', '9', 'rebel_suspect', 'Rebel Suspect');
INSERT INTO `client_strings` VALUES ('string/en/space/space_faction.stf', '10', 'rebel', 'Rebel');
INSERT INTO `client_strings` VALUES ('string/en/space/space_faction.stf', '11', 'trade_fed', 'Trade Federation');
INSERT INTO `client_strings` VALUES ('string/en/space/space_faction.stf', '12', 'valarian', 'Valarian');
INSERT INTO `client_strings` VALUES ('string/en/space/space_formation.stf', '2', 'wall', 'Wall');
INSERT INTO `client_strings` VALUES ('string/en/space/space_formation.stf', '3', 'claw', 'Claw');
INSERT INTO `client_strings` VALUES ('string/en/space/space_formation.stf', '4', 'arrow', 'Arrow');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '1', 'aborting_reactor_pump', 'The reactor is already operating outside of normal parameters. Unable to pump the reactant injectors. Aborting!');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '2', 'already_active_navicomp', 'You already have an initialized and active flight computer.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '3', 'already_active_navicomp2', 'You can only have a single active flight computer at a time.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '4', 'already_active_navicomp3', 'You must get rid of the old one before you can activate this one.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '5', 'already_bmbr_strike', 'You\'ve already called in a strike team and Command won\'t release an additional force to you.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '6', 'already_ejecting', 'You have already initiated an ejection sequence.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '7', 'already_emerg_engines', 'This ship\'s systems must steady themselves before you can dump that much raw power into the engines again.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '8', 'already_emerg_shlds', 'This ship\'s systems must steady themselves before you can dump that much raw power into the shields again.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '9', 'already_emerg_wpn', 'This ship\'s systems must steady themselves before you can dump that much raw power into the weapons again.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '10', 'already_pirate_raid', 'All of the pirates willing to come to your aid are already assisting.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '11', 'already_rerouting_systems', 'The ship\'s systems are already being rerouted to equalize operational capabilities.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '12', 'ammo_added_to_bay', 'Ammunition added to ammo bay.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '13', 'ammo_bay_full', 'This ammo bay is full and cannot hold any more ammunition.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '14', 'ammo_bay_jam', 'CATASTROPHE! Your ammo feed mechanism has jammed while trying to load %TO. Remove the jammed ammunition from the bay to fix the feed mechanism.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '15', 'armor', 'armor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '16', 'autopilot_disengaged', 'Autopilot Disengaged.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '17', 'autopilot_engaged', 'Autopilot Engaged.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '18', 'beginning_reactor_restart', 'Reactor restart sequence beginning... Stand By...');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '19', 'blank_taunt', 'You must include a taunt to actually send a messager. Format: /taunt <message>');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '20', 'bomber_down', 'I\'m hit!!!! Systems are failing!!! AHHHHH!!!!');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '21', 'bomber_not_enemy_1', 'Transmitted target I.D. does not match a known enemy vessel configuration.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '22', 'bomber_not_enemy_2', 'Request for bomber Strike Package denied.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '23', 'bomber_systems_not_ready', 'You cannot call in a strike package right now.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '24', 'bombers_arriving', 'Bomber Fireteam Arriving. Beginning offensive operations now!');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '25', 'bombers_evacuating', 'Casualty numbers are unacceptable, and Command has ordered us to withdraw. You are on your own.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '26', 'bombers_mission_complete', 'The last target assignment has been destroyed. We will execute a withdrawal from this sector.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '27', 'bomberstrike_bad_skillcheck', 'You fumbled your command code authorization transmission, and are not being cleared for strike asset allocation.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '28', 'bomberstrike_none_available', 'There are no strike assets currently available to fulfill your support request.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '29', 'booster', 'booster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '30', 'booster_disabled', 'Your booster is disabled.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '31', 'booster_energy_depleted', 'Booster energy depleted.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '32', 'booster_low_energy', 'Your booster has insufficient energy to activate.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '33', 'booster_not_ready', 'Your booster is not ready to restart... please wait.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '34', 'booster_pilot_only', 'Only the pilot may use a booster.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '35', 'calling_bomberstrike', 'Transmitted target I.D. to Sector Command. Bomber Strike Package re-directed to your location.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '36', 'calling_in_repair_ship', 'Repair vessel is on its way. Hold tight till it arrives.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '37', 'calling_pirate_raid', 'Transmitted call for assistance on commonly-used pirate frequencies.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '38', 'calling_repair_ship', 'Calling in a repair vessel. Stand by while inquiries are made on SupportNet.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '39', 'cant_be_moving', 'Unable to call in the repair vessel. You are currently moving, and you must be stopped before the repair ship can find and assist you.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '40', 'cant_transfer_active_computer', 'Warning: You cannot transfer a Flight-Computer\'s memory Core that has already been activated by a pilot.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '41', 'capacitor', 'capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '42', 'certification_ordnance_none', 'You are not certified to manipulate the ship equipment you are attempting to access.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '43', 'certification_ship_none', 'You are not certified to use the ship you are attempting to access.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '44', 'complete_repair', 'Your ship has been completely repaired.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '45', 'component_already_modified', 'You cannot alter an already modified component. Normalize this component to apply another effect.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '46', 'component_not_installed', 'Trying to damage a component which is not installed.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '47', 'components_installed', 'You cannot pack this ship until all components have been removed from the ship.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '48', 'conduit_burst', '                  WARNING! WARNING! WARNING!\n      A %TO has been damaged! A Plasma leak has occurred!\n                  WARNING! WARNING! WARNING!');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '49', 'countermeasure_full_no_reload', 'You cannot add more countermeasures to that launcher until the current pack is consumed.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '50', 'damage_left_chassis', 'You did not have enough repair kits to completely repair your Chassis. %DI points of damage remain.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '51', 'damage_left_component', 'Not all damage was repaired. %DI points of damage remain on the %TO. \n');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '52', 'damage_left_component_armor', 'Not all armor damage was repaired. %DI points of armor damage remain.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '53', 'do_reactor_pump_one', 'Manual override of reactant injector controls initiated.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '54', 'do_reactor_pump_two', 'Injectors Re-Initialized outside parameters! Power output spike detected!');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '55', 'droid_command_delay', 'Your flight-computer/astromech cannot perform another command for %DI seconds.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '56', 'droid_command_fail_interface_disabled', 'You cannot do flight-computer/droid commands as your droid interface is disabled.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '57', 'droid_command_fail_no_command', 'Your flight-computer/droid is not programmed to do that action.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '58', 'droid_command_fail_no_droid', 'You must have a flight-computer/droid to activate droid commands.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '59', 'droid_command_fail_no_interface', 'Droid commands are non functional because you do not have a droid interface installed.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '60', 'droid_command_weapons_too_damaged', 'You cannot modify the power levels on ship\'s weapon suite because it is too damaged for this command.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '61', 'droid_component_not_installed', 'You cannot modify a component that is not installed on your ship.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '62', 'droid_component_too_damaged', 'You cannot modify that %TO because it is too damaged for this command.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '63', 'droid_delay_ready', 'Droid command completed. Ready for new command.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '64', 'droid_interface', 'droid interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '65', 'droid_interface_disabled', 'Your droid interface is currently disabled. Your droid will not be able to control ship subsystems until the interface is repaired.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '66', 'droid_interface_disabled_no_equip', 'The droid interface on this ship is disabled. It must be fixed before a flight-computer/astromech can be installed.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '67', 'droid_not_certified', 'You are not certified to equip this level flight-computer/astromech on your starship.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '68', 'droid_ready', 'Your flight-computer/astromech is ready for another command.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '69', 'eject', 'Launch Escape Pod');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '70', 'eject_in_10', '10 Seconds until escape pod launch.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '71', 'eject_in_20', '20 Seconds until escape pod launch.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '72', 'eject_in_30', 'Escape pod activated. 30 Seconds until escape pod launch.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '73', 'eject_in_5', '5 seconds to escape pod launch.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '74', 'ejecting', 'EJECTING!');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '75', 'email_body_1', 'From the Desk of Admiral Cilas Veckon\n\nRE: Your Obligation to the Imperial Navy\n\nDear Citizen pilot,\n   It is a dark time for those who cleave to the pillar principles of the Empire. Without heroic intervention by citizen pilots such as you, this horrid \'rebellion\' could prove to be the final undoing of our civilization, our liberty... our very lives. Hired killers have taken aim against  the selfless agents of our government, and have threatened to plunge us head-long into anarchy.\n   Moreover, sensing their despicable opportunities in this \'rebellion,\' vast armies of corrupt criminal pirates, smugglers, and assassins have banded together to further tear the fabric of Imperial decency.\n   Your Emperor needs you. Your courage. Your skill.\n\n   Several of our most capable pilot recruiters have been dispatched to educate and inform all citizens of the galaxy who have the mettle to fly for the Empire. \n   Commander Gunham can be found on the steps of the Bestine capital building - willing to offer his time, and his wealth of experience as a pilot recruiter. \n   Also, Commander Zhanks has volunteered to spread the word in Kor Vella, Corellia. You will find him welcoming new recruits in the lobby of the Kor Vella hotel.\n   And finally, our key recruitment officer, Commander Landau, will be on-duty at the steps of Theed Palace until further notice.\n\n   Visit one of these recruiters or your local Imperial Pilot trainer today!\n\n   For the Emperor,\n\n          - Admiral Cilas Veckon\n             Chief of Imperial Navy Recruitment\n             Office of the Imperial Navy');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '76', 'email_body_2', '(Communication Approved by the Office of the Imperial Navy)\n\nGreetings fellow Pilot!\n     I am Gil Burtin, founder and president of the Freelance Pilots Guild. By the will of the Emperor, our private pilots organization has been disbanded. Although this does significantly affect the economic status of free pilots throughout the galaxy, the wisdom of our beloved Emperor cannot, and should not be challenged under any circumstances.\n    Since we received the order we have worked dilligently to place our pilots within honorable organizations that support the Empire and its good works. I am quite proud to say that literally ALL of our constituent members have been offered paid positions within the Naboo Royal Security Forces, CorSec, and a handful of independent shipping organizations.\n    Of course, all top skilled pilots should find their home in the Imperial Navy - prosecuting the war against the dread \'rebellion.\' Those who do not meet the criteria for joining the Imperial Navy should come see us! We can get you placed in a job where you are paid well for doing what you love to do!\n\n   We are holding a Pilots\' Reception at the Bestine Hotel on Tatooine.\n   Please come by and chat, or visit a member of the Freelance Pilots\' Guild near you!\n   See you,\n\n   - Gil Burtin\n   Founder / President\n   Freelance Pilots Guild');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '77', 'email_body_3', 'From the De####>> TRANSMISSION SOURCE JAMMED <<####\n>>@#\n>>##\n>>#\n\n.. ATTENTION ALL FREE PILOTS! The Rebel Alliance needs you!\n\n   You don\'t know me. My name is J\'pai Brek. I\'m a new pilot coordinator for the Rebel Alliance. My apologies for jamming your incoming email and attaching this viral communique - but it\'s what I have to do if I want to stay alive. You are receiving this message because our comm scans indicate that you have been the target of an Imperial Navy recruitment effort. Please...before you make a terrible, irreversible mistake - consider joining the Rebel Alliance and becoming a champion of freedom, peace, and tolerance.\n   \n   Come to Corellia...you will find me there, or visit your local Rebel Alliance Pilot trainer.  I need to stay on the move, but if you act quickly, you can meet me in the park preserve across the street from the Tyrena Starport.\n\n###>>\n##>>\n#>>\n#\n#\n#of the Emperor,\n\n      - Grand Admiral of the Imperial Navy\n');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '78', 'email_body_trainer', 'Your Flight Status is Approved!\n\nThank you for your voluntary participation. Please take a moment to review these general hints and tips to help you become a courteous citizen pilot.\nNote: If you ever need HELP press Control+H to bring up your holocron. Find the topic you are interested in studying on the left side of the holocron viewer. Click the subject line to expand all related sub-topics.\n\n[FLIGHT CONTROLS RECAP]\n     Increase Speed - UP ARROW / \'W\'\n     Decrease Speed - DOWN ARRORW / \'S\'\n     Roll clockwise - RIGHT ARROW / \'E\'\n     Roll counter-clockwise - LEFT ARROW / \'Q\'\n     Yaw left - Mouse / Joystick / \'A\'\n     Yaw right - Mouse / Joystick / \'D\'\n\n[TARGETING]\n     TAB - Target nearest enemy starship\n     X - Target ships in front of you\n     C - Target capital ships and space stations\n\n[COMMUNICATIONS]\n     Backslash - Comm space station (also use \"/comm\")\n\n');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '79', 'email_sender_1', 'The Office of the Imperial Navy');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '80', 'email_sender_2', 'Freelance Pilot\'s Guild');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '81', 'email_sender_3', 'Unknown Transmission Source!');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '82', 'email_sender_trainer', 'Flight Authorization Center');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '83', 'email_subject_1', 'JOIN THE IMPERIAL NAVY');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '84', 'email_subject_2', 'Opportunities for Privateer Pilots! (FW: Pilots\' Guild shut down by order of The Emperor)');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '85', 'email_subject_3', 'JOIN T####>> TRANSMISSION INTERRUPTED <<####');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '86', 'email_subject_trainer', 'Flight Status: Approved');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '87', 'emergency_reset', 'System power resetting. Power settings restoring to default conditions.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '88', 'emergency_shields', 'Diverting emergency power to the shields from other systems!');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '89', 'emergency_thrust', 'Diverting emergency power to the engines from other systems!');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '90', 'emergency_weapons', 'Diverting emergency power to the weapons from other systems!');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '91', 'energy_pulse_big_failure', 'WARNING.WARNING.WARNING. EMERGENCY SHUNT FAILURE! SYSTEM DAMAGE INCURRED!');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '92', 'energy_pulse_failure', 'WARNING.WARNING.WARNING. E-PULSE EXECUTION FAILURE.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '93', 'engine', 'engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '94', 'epulse_already', 'You\'re already executing an e-pulse.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '95', 'epulse_firing', 'Standby for pulse... firing capacitor actuators.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '96', 'epulse_not_charged', 'The energy capacitor has not stored up enough energy yet for a significant pulse. E-PULSE ABORT!');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '97', 'epulse_not_enemy', 'Non-Enemy units detected in primary effect radius. Secondary system overides engaging. E-PULSE ABORT!');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '98', 'epulse_not_ready', 'Energy pulse not ready at the moment.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '99', 'epulse_systems_disabled', 'Your ship\'s systems are currently disabled. Unable to trigger an energy pulse.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '100', 'escort_ship_destroyed', 'A strike package escort fighter was just destroyed!');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '101', 'failed_to_create_controller', 'Failed to create a valid controller device for the navicomp.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '102', 'fix_hull', 'You succesfully patch the hull leak. The repair kit is consumed in the process.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '103', 'fix_plasma_conduit', 'You succesfully patch the broken plasma conduit.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '104', 'fix_plasma_conduit_destroy', 'You succesfully patch the broken plasma conduit. The repair kit is consumed in the process.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '105', 'hull_breach', 'HULL BREACH! The ship atmosphere is leaking into space. Find the Hull Access panel and patch the leak.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '106', 'hull_breach_damage', '<HULL BREACH!> You choke from lack of air.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '107', 'hyperdrive_recharged', 'Hyperdrive recharged.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '108', 'hyperspace_aborted', 'Hyperspace calculations aborted. ');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '109', 'hyperspace_in_progress', 'You cannot choose another destination as a route is already being calculated.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '110', 'hyperspace_not_ready', 'You cannot jump to hyperspace yet. You must wait %DI more seconds.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '111', 'hyperspace_ready', 'Hyperspace route calculations complete.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '112', 'hyperspace_route_begin', 'Hyperspace route calculations begun. Status: 0%');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '113', 'hyperspace_route_calculation_1', 'Hyperspace route calculating. Status: 25%');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '114', 'hyperspace_route_calculation_2', 'Hyperspace route calculating. Status: 50%');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '115', 'hyperspace_route_calculation_3', 'Hyperspace route calculating. Status: 75%');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '116', 'hyperspace_route_calculation_4', 'Hyperspace route calculation complete. Jumping to Hyperspace in 5.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '117', 'hyperspace_route_calculation_5', '                                4');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '118', 'hyperspace_route_calculation_6', '                                3');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '119', 'hyperspace_route_calculation_7', '                                2');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '120', 'hyperspace_route_calculation_8', '                                1');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '121', 'iff_spoof_dont_bother', 'Spoofing the IFF only has an effect when someone\'s currently attacking you. ');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '122', 'iff_spoofed', 'IFF Transponder settings spoofed. That ought to confuse them for a moment or so!');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '123', 'iff_spoofed_already', 'You\'ve already tried to scramble your IFF Transponder!!! Nobody\'s going to fall for that again, at least not for a while.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '124', 'iff_spoofing_unsuccessful', 'Your attackers aren\'t falling for your IFF transponder spoofing.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '125', 'imperial_wp_name', 'Imperial Navy Recruiter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '126', 'incorrect_ammo', 'This is not the correct ammo pack for this bay.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '127', 'items_in_ship', 'You cannot pack this ship into a deed until you have removed all items from its interior.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '128', 'jam_cleared', 'The %TO that jammed one of your ammo bays has been cleared. \n');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '129', 'jstart_beginning', 'Beginning jumpstart procedure.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '130', 'jstart_big_failure', 'WARNING! WARNING! CRITICAL MALFUCTION!');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '131', 'jstart_big_failure2', 'Energy accumulator has back-flashed and ship\'s sub-systems have been damaged!');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '132', 'jstart_cant_heal_enemy', 'Jumpstart target is identified as a possible enemy. Aborting procedure.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '133', 'jstart_cant_repair_npc', 'The pilot of your currently targeted ship cannot allow you to recharge their shields.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '134', 'jstart_failure', 'An unknown systems failure caused the JumpStart program to abort itself before the accumulated energy was transmitted.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '135', 'jstart_invalid_target', 'Targeting systems unable to resolve target. ERROR! JUMPSTART PROGRAM ABORT!');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '136', 'jstart_no_shield', 'The command you are attempting to use requires that you have shields to contribute energy from, yet you have none.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '137', 'jstart_no_target', 'You must have a target to use the JumpStart program.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '138', 'jstart_not_charged', 'The energy capacitor has not stored up enough energy yet for a significant pulse. JUMPSTART PROGRAM ABORT!');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '139', 'jstart_not_ready', 'Jumpstart program unable to execute. Required parameters not in compliance.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '140', 'jstart_out_of_range', 'Either your ship or the target ship aren\'t positioned close enough to the jumpstart target to begin the procedure.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '141', 'jstart_recipient_alert', 'Your ship\'s shields have just received a boost in charge by %TO.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '142', 'jstart_systems_disabled', 'Your ship\'s systems are currently disabled. Unable to begin jumpstart program.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '143', 'jstart_target_no_shield', 'The target has no shields to recharge.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '144', 'jstart_target_pc', '(Find a player-controlled ship to jumpstart.)');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '145', 'launch_space_corellia_2', 'You have been launched into the Space Corellia Tutorial zone. This is a zone specifically for new players. You will launch here until you receive your first tier 1 skill.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '146', 'launch_space_naboo_2', 'You have been launched into the Space Naboo Tutorial zone. This is a zone specifically for new players. You will launch here until you receive your first tier 1 skill.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '147', 'launch_space_tatooine_2', 'You have been launched into the Space Tatooine Tutorial zone. This is a zone specifically for new players. You will launch here until you receive your first tier 1 skill.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '148', 'lwpt', 'Spacestation');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '149', 'memory_chip_analyze', 'Analyze');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '150', 'memory_chip_burnt', 'Command has been burnt into memory chip.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '151', 'memory_chip_program', 'Program Droid Memory Chip');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '152', 'memory_chip_transfer', 'Transfer Memory Chip to Datapad');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '153', 'missile_full_no_reload', 'You cannot add more missiles to that launcher until the current pack is consumed.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '154', 'mute_droid', 'Removing flight-computer/astromech vocalization authorization');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '155', 'nblast_already', 'You\'re already executing an nblast.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '156', 'nblast_calling', 'Standy... beginning ignition source procedures.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '157', 'nblast_execute', 'NBLAST program executing...');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '158', 'nblast_no_nebula', 'Your ship must have access to the reactive trace elements located within a nebula in order to trigger an n-blast.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '159', 'nblast_not_ready', 'The energy capacitor has not stored up enough energy yet for an ignition-level pulse. ABORTING N-BLAST!');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '160', 'nblast_skill_abort', 'EMERGENCY! BACK-BLAST REACTION PATTERN DETECTED. ABORTING NBLAST PROGRAM!');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '161', 'nblast_skill_abort_fail', 'EMERGENCY! BACK-BLAST REACTION PATTERN DETECTED. NBLAST PROGRAM ABORT FAILED!!');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '162', 'nblast_systems_disabled', 'Your ship\'s systems are currently disabled. Unable to trigger an n-blast.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '163', 'nblast_unknown_failure', 'SYSTEM FAILURE. Secondary system overides engaging. ABORTING N-BLAST!');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '164', 'need_astromech', 'You must use an Astromech and not a Flight Computer for this purpose.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '165', 'need_flight_computer', 'You must use a Flight Computer and not an Astromech for this purpose.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '166', 'neutral_wp_name', 'Pilot\'s Guild Recruiter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '167', 'newbie_ship', 'You cannot redeed a starter ship!');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '168', 'no_action_station', 'You cannot perform this action while you are occupying a ship station.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '169', 'no_ammo_allowed', 'You cannot put this ammo into that slot.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '170', 'no_back_shield_energy', 'Your back shield does not have enough energy to do that.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '171', 'no_basics', 'This type of ship is not permitted in these areas. ');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '172', 'no_booster', 'Your ship does not have a booster.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '173', 'no_capacitor_energy', 'Your weapon capacitor does not have enough energy to do that.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '174', 'no_cert_on_receiver', 'Warning: The newOwner does NOT have the appopriate certification for the object you are trying to give!');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '175', 'no_damage_to_repair', 'That component is not damaged.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '176', 'no_destroy_in_flight', 'You cannot destroy the ship you are currently flying.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '177', 'no_droid_command_module', 'This flight-computer/astromech will not be able to control your ship\'s subsystems until you install a droid command interface.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '178', 'no_droid_commands', 'You don\'t know any droid commands to program this chip with.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '179', 'no_escape_pod_owner', 'You cannot use this command as you are not the ship owner.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '180', 'no_fireworks_in_space', 'You may not launch fireworks in space.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '181', 'no_fish_in_space', 'A fishing pole is insufficient for fishing in space.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '182', 'no_front_shield_energy', 'Your front shield does not have enough energy to do that.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '183', 'no_ground_vehicle_in_space', 'Ground vehicles may not be used in space.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '184', 'no_hyperdrive', 'This ship is not capable of jumping to hyperspace.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '185', 'no_hyperspace_ship_damaged', 'You cannot jump to hyperspace because your ship is disabled.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '186', 'no_hyperspace_yet', 'You cannot jump to hyperspace yet. Hyperspace route calculations are not yet complete. They will be completed in %DI seconds.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '187', 'no_kits', 'You do not have any repair kits for this type of component.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '188', 'no_moving', 'You must be standing still to pilot a ship.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '189', 'no_moving_operations', 'You must be standing still to use an operations station.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '190', 'no_moving_turret', 'You must be standing still to use a turret.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '191', 'no_placing_structures_in_space', 'You may not place structures in space.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '192', 'no_rename_space', 'You cannot rename a ship while you are in space.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '193', 'no_shield_energy', 'Your shields do not have enough energy to do that.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '194', 'no_ship', 'You cannot take off because you do not have a ship.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '195', 'no_ship_certification', 'You are not certified to pilot this ship.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '196', 'no_space_expansion', 'You do not currently own the space expansion. Go to your local software store and purchase Jump To Lightspeed to launch into space.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '197', 'no_survey_in_space', 'You may not survey or sample resources in space.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '198', 'no_trap_in_space', 'You may not use traps in space.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '199', 'no_travel_basic', 'You cannot travel with this ship as it has no hyperdrive.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '200', 'no_turret', 'This turret is not useable as there is no weapon installed.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '201', 'no_use_terminal_combat', 'You cannot use this terminal while in combat.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '202', 'no_use_terminal_dead', 'You cannot use this terminal while dead.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '203', 'no_use_terminal_incapacitated', 'You cannot use this terminal while incapacitated.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '204', 'no_working_ship', 'This ship requires a working engine and reactor to be flyable.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '205', 'noadd', 'This device cannot go there!');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '206', 'none_around_pirate_raid', 'There are no pirates within navigation distance that are willing to come to your aid.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '207', 'not_ammo', 'That is not ammunition and cannot be loaded into an ammo bay.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '208', 'not_an_astromech_for_space', 'You cannot set that as your active space-useable astromech or flight computer.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '209', 'not_certified_device', 'You aren\'t certified to operate this device.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '210', 'not_enough_lots', 'This ship requires a lot. You do not have any left and cannot create it.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '211', 'not_group_leader_for_formation', 'You must be the leader of a group to assign a formation.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '212', 'not_hyperspacing', 'You can\'t cancel anything because you aren\'t calculating a hyperspace route.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '213', 'not_missile_ammo', 'This is not ammo.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '214', 'operations', 'Operations Chair');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '215', 'packed', 'You have successfully packed this ship into a deed!');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '216', 'pilot_command_delay', 'You\'re still recovering from your last trick, and you need to wait before you can perform another');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '217', 'pilot_command_delay_bit', 'It looks like you might be ready in just a minute.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '218', 'pilot_command_delay_some', 'It looks like you might be ready in a couple more minutes...');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '219', 'pilot_command_timer_compelete', 'Everything\'s in order after the last pilot command. Ready to execute a new one!');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '220', 'pilot_ship', 'Pilot Ship');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '221', 'pirate_raid_not_enemy', 'You\'ll never be able to talk the pirates into attacking THAT.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '222', 'pirate_raid_systems_not_ready', 'A pirate raid cannot be called at the moment.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '223', 'plasma_conduit_burst0', 'A reactor conduit has burst!');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '224', 'plasma_conduit_burst1', 'An engine conduit has burst!');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '225', 'plasma_conduit_burst12', 'A weapon conduit has burst!');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '226', 'plasma_conduit_burst13', 'A weapon conduit has burst!');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '227', 'plasma_conduit_burst14', 'A weapon conduit has burst!');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '228', 'plasma_conduit_burst15', 'A weapon conduit has burst!');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '229', 'plasma_conduit_burst16', 'A weapon conduit has burst!');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '230', 'plasma_conduit_burst17', 'A weapon conduit has burst!');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '231', 'plasma_conduit_burst18', 'A weapon conduit has burst!');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '232', 'plasma_conduit_burst19', 'A weapon conduit has burst!');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '233', 'plasma_conduit_burst2', 'A shield conduit has burst!');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '234', 'plasma_conduit_burst3', 'A shield conduit has burst!');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '235', 'plasma_conduit_burst6', 'A capacitor conduit has burst!');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '236', 'plasma_conduit_burst7', 'A booster conduit has burst!');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '237', 'plasma_conduit_burst8', 'A droid/flight-computer interface conduit has burst!');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '238', 'plasma_leak_begin', 'This area of the ship has a PLASMA LEAK! It begins to scorch the flesh from your bones!');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '239', 'plasma_leak_end', 'You have successfully escaped the scorching flames of the plasma leak.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '240', 'pob_loot', 'Loot container');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '241', 'power_spike', 'Power spike underway!');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '242', 'reactor', 'reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '243', 'reactor_normalizing', 'Reactor settings beginning to return to normal...');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '244', 'reactor_pumped_already', 'You\'ve already tried to pump the Reactor!!! Wait for things to settle down before trying again.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '245', 'reactor_stabilized', 'Reactor settings have stabilized');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '246', 'reactor_standby', 'Reactor systems resetting. Stand By...');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '247', 'rebel_wp_name', 'Rebel Alliance Recruiter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '248', 'reloaded_x_countermeasure_ammo', 'You have loaded %DI of %TO into your countermeasure launcher.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '249', 'reloaded_x_missile_ammo', 'You have loaded %DI of %TO into your missile launcher.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '250', 'repair', 'Repair');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '251', 'repair_all_kits', 'Repair - Full');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '252', 'repair_arrive_hyperspace', 'Repair ship now arriving from hyperspace.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '253', 'repair_otw', 'You\'ve already tried to call in a repair vessel!!! You\'ll have to wait for it to wait for it to arrive.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '254', 'repair_single_kit', 'Repair - 1 Kit');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '255', 'repaired_x_armor_component_damage', 'You have fixed %DI points of armor damage on the %TO.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '256', 'repaired_x_armor_component_damage_destroy_kit', 'You have fixed %DI points of armor damage on the %TO. The repair kit is used up.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '257', 'repaired_x_chassis_damage', 'You have fixed %DI points of chassis damage.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '258', 'repaired_x_chassis_damage_destroy_kit', 'You have fixed %DI points of chassis damage. The repair kit is used up.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '259', 'repaired_x_component_damage', 'You have fixed %DI points of damage on the %TO.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '260', 'repaired_x_component_damage_destroy_kit', 'You have fixed %DI points of damage on the %TO. The repair kit is used up.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '261', 'repairo_beginning', 'Beginning repair procedure.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '262', 'repairo_cant_heal_enemy', 'Repair target is identified as a possible enemy. Aborting procedure.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '263', 'repairo_out_of_range', 'Either your ship or the target ship aren\'t positioned close enough to the repair target to begin the procedure.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '264', 'retire_imperial_warning', 'You cannot manually surrender pilot skills.\n\nIf you wish to retire from the Imperial Navy, you should speak to the navy recruiter for the Empire on Naboo. If you need a waypoint to the location of your local recruiter, please press the \"Get Waypoint\" button below.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '265', 'retire_neutral_warning', 'You cannot manually surrender pilot skills.\n\nIf you wish to retire your pilot skills, you should speak to the recruiter for the Pilot\'s Guild on Tatooine. If you need a waypoint to the location of your local recruiter, please press the \"Get Waypoint\" button below.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '266', 'retire_rebel_warning', 'You cannot manually surrender pilot skills.\n\nIf you wish to retire from the Rebel Navy, you should speak to the recruiter for the Rebel Alliance on Corellia. If you need a waypoint to the location of your local recruiter, please press the \"Get Waypoint\" button below.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '267', 'retire_warning_title', 'Surrender Skill');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '268', 'retire_waypoint_btn', 'Get Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '269', 'say_yes', 'You must use \"/escapePod yes\" to eject.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '270', 'scramming_reactor', 'Uncontrolled reactor overload spike detected. SCRAMMING REACTOR!');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '271', 'select_droid_for_ship', 'Set as Astromech/Flight-Computer for Space Ship');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '272', 'shield', 'shield generator');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '273', 'ship_droid_set', 'Droid has been set as space droid.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '274', 'shipoperations_falcon', 'Enter Operations Station');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '275', 'space_waypoint_syntax', '[SYNTAX] /waypoint <x> <y> <z>');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '276', 'space_yacht', 'The Sorosuub Yacht cannot be re-deeded!');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '277', 'strike_bomber_destroyed', 'A strike package bomber was just destroyed!');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '278', 'strikeforce_withdrawing', 'The Support Team is now exiting the area.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '279', 'systems_disabled_pirate_raid', 'Your ship\'s systems are currently disabled. Unable to access communications to send call for assistance.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '280', 'systems_disabled_repair_abort', 'Your ship\'s systems are currently disabled. Unable to begin repair.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '281', 'systems_disabled_strike_pack', 'Your ship\'s systems are currently disabled. Unable to access communications to send strike package request.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '282', 'systems_not_ready', 'This ship\'s systems are unable to throw that much power around right now.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '283', 'target_an_access_point', 'To use a repair kit like this you must target a repair access point.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '284', 'target_not_access_point', 'That is not repairable with this kit.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '285', 'target_not_ship', 'This command can only be executed on targets that are spacecraft.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '286', 'target_too_far', 'That is too far away to repair.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '287', 'taunt_off', 'Space Combat taunts are now disabled.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '288', 'taunt_on', 'Space Combat taunts are now enabled.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '289', 'taunt_too_long', 'Your taunt cannot be longer than 64 characters.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '290', 'terminal_pob_ship', 'Ship Permissions Terminal');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '291', 'too_far', 'You are too far away from the station to perform this action.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '292', 'too_many_pobs', 'You cannot launch another ship with an interior. Empty out one of your other ships and you may take off with this ship.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '293', 'toomanyships', 'You have too many ships in your datapad already!');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '294', 'turret_disabled', 'This turret is currently disabled and cannot be used.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '295', 'turret_lower', 'Enter lower turret.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '296', 'turret_occupied', 'That turret is currently in use so you cannot enter.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '297', 'turret_upper', 'Enter upper turret.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '298', 'unable_to_call_repairship', 'Unable to call in the repair vessel. You are currently engaged in combat maneuvers with enemy vessels and repairship can\'t defend itself.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '299', 'unmute_droid', 'Granting flight-computer/astromech vocalization authorization.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '300', 'use_escape_hatch', 'You must use the escape pod hatch to launch an escape pod.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '301', 'vampiric_abort', 'Catastrophic Failure! ABORTING to avoid additional damage!');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '302', 'vampiric_big_fail', 'Catastrophic Failure! Repairs completed, but significant additional damage suffered!');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '303', 'vampiric_good_success', 'Repairs completed, with good results.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '304', 'vampiric_great_success', 'Repairs completed, with excellent results.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '305', 'vampiric_other_repair_useless_abort', 'There isn\'t a large enough difference between your healthy and the recipients\'s unhealthy components to make it worth proceeding. Aborting Process.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '306', 'vampiric_repair', 'Re-routing heavily damaged systems through other systems.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '307', 'vampiric_repair2', 'Some damage will be incurred.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '308', 'vampiric_repair_other_underway', 'Pulling parts from your systems to partially repair your target\'s worst system.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '309', 'vampiric_repair_underway', 'Pulling parts from other systems to partially repair your worst system');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '310', 'vampiric_repair_useless_abort', 'There isn\'t a large enough difference between your healthy and unhealthy components to make it worth proceeding. Aborting Process.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '311', 'vampiric_slight_fail', 'Repairs completed at the cost of a small amount of additional damage.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '312', 'vampiric_success', 'Repairs completed.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '313', 'vrepairo_cant_repair_npc', 'The pilot of your currently targeted ship cannot allow you to repair them.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '314', 'vrepairo_repair_target_invalid', 'You must have a valid look-at target to use this ability.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '315', 'vrepairo_target_pc', '(Find a player-controlled ship to repair.)');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '316', 'wait_for_taunt', 'You must wait before you can taunt again.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '317', 'weapon', 'weapon');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '318', 'wpn_fire_fail_ammo', 'Your weapon is out of ammo.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '319', 'wpn_fire_fail_disabled', 'Your weapon is disabled.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '320', 'wpn_fire_fail_missile_acquire', 'You have not yet acquired your target.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '321', 'wpn_fire_fail_missile_range', 'Your target is out of range of your missiles.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '322', 'wpn_fire_fail_missile_self', 'You can\'t fire missiles at yourself!');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '323', 'wpn_fire_fail_missile_target', 'You have no target for your missiles.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '324', 'wpn_fire_fail_power', 'Your capacitor doesnt not have enough power for this weapon.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '325', 'wrong_faction', 'You cannot use this station because you are not the correct faction.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '326', 'wrong_parking_location', 'Your ship is not parked here. (Examine the Ship Control Device to see where it is actually parked)');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '327', 'wrong_repair_kit', 'That repair kit is not the correct type to fix this component.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '328', 'your_ship_esploded', 'Your ship has been destroyed. You have been towed to the nearest space station for repairs. You can either repair your ship at the station or transport to the closest available planet for additional services. To talk to the station, target it and use /comm.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_interaction.stf', '329', 'pob_lot_returned', 'A housing-lot requirement that had been utilized by your ship\'s interior space has been returned to you. You can still store objects inside your ship.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1', 'alarm_interior_n', 'Plasma Leak Alarm');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '2', 'arm_corellian_advanced_durasteel_n', 'Corellian Advanced Durasteel');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '3', 'arm_corellian_cheap_durasteel_n', 'Corellian Engineering Corporation Cheap Durasteel Plating');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '4', 'arm_corellian_elite_durasteel_n', 'Corellian Elite Durasteel');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '5', 'arm_corellian_enhanced_elite_plastisteel_n', 'Corellian Enhanced Elite Plastisteel');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '6', 'arm_corellian_heavy_durasteel_n', 'Corellian Heavy Durasteel');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '7', 'arm_corellian_improved_advanced_durasteel_n', 'Corellian Improved Advanced Durasteel');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '8', 'arm_corellian_light_durasteel_n', 'Corellian Engineering Corporation Light Durasteel');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '9', 'arm_corellian_modified_heavy_durasteel_n', 'Corellian Modified Heavy Durasteel');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '10', 'arm_corellian_reinforced_light_durasteel_n', 'Corellian Engineering Corp. Reinforced Light Durasteel');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '11', 'arm_corellian_reinforced_supreme_durasteel_n', 'Corellian Reinforced Supreme Durasteel');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '12', 'arm_corellian_special_standard_durasteel_n', 'Corellian Special Standard Durasteel');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '13', 'arm_corellian_standard_durasteel_n', 'Corellian Engineering Corp. Standard Durasteel Plating');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '14', 'arm_corellian_supreme_durasteel_n', 'Corellian Supreme Durasteel');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '15', 'arm_cygnus_light_weave_n', 'Cygnus Light Armor Weave');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '16', 'arm_cygnus_standard_weave_n', 'Cygnus Standard Durasteel Weave');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '17', 'arm_freitek_deluxe_light_n', 'FreiTek Inc. Deluxe Light Durasteel');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '18', 'arm_freitek_standard_n', 'FreiTek Inc. Standard Armor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '19', 'arm_gallofree_mk1_n', 'Gallofree Mark I Starfighter Armor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '20', 'arm_gallofree_mk2_n', 'Gallofree Mark II Starfighter Armor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '21', 'arm_incom_light_plate_n', 'Incom Light Starship Plating');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '22', 'arm_incom_modified_standard_plate_n', 'Incom Modified Standard Plate');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '23', 'arm_incom_standard_plate_n', 'Incom Standard Plating');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '24', 'arm_kessel_imperial_rendili_crystalline_durasteel_n', 'Rendili Crystalline Durasteel Plating');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '25', 'arm_kessel_imperial_sds_imperial_impervious_n', 'Sienar Design Systems \"Impervious\" Imperial Durasteel');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '26', 'arm_kessel_imperial_sfs_imperial_finest_n', 'Sienar Fleet Systems \"Imperial Finest\" Durasteel');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '27', 'arm_kessel_rebel_mandal_corrugated_plastisteel_n', 'MandalMotors Corrugated Plastisteel');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '28', 'arm_kessel_rebel_slayn_flexsteel_multilayer_n', 'Slayn and Korpil Flexsteel Multi-Layer Armor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '29', 'arm_kessel_rebel_sorosuub_spidershell_plating_n', 'SoroSuub \"Spider-Shell\" Armor Plating');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '30', 'arm_koensayr_advanced_durasteel_n', 'Koensayr Advanced Durasteel');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '31', 'arm_koensayr_b5_durasteel_n', 'Koensayr B5 Durasteel Armor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '32', 'arm_koensayr_b9_durasteel_n', 'Koensayr B9 Durasteel Armor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '33', 'arm_koensayr_elite_plastisteel_n', 'Koensayr Elite Plastisteel');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '34', 'arm_koensayr_enhanced_heavy_durasteel_n', 'Koensayr Enhanced Heavy Durasteel');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '35', 'arm_koensayr_enhanced_standard_durasteel_n', 'Koensayr Enhanced Standard Durasteel');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '36', 'arm_koensayr_heavy_durasteel_n', 'Koensayr Heavy Durasteel Armor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '37', 'arm_koensayr_improved_elite_plastisteel_n', 'Koensayr Improved Elite Plastisteel');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '38', 'arm_koensayr_light_advanced_durasteel_n', 'Koensayr Light Advanced Durasteel');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '39', 'arm_koensayr_limited_heavy_durasteel_n', 'Koensayr Limited Heavy Durasteel');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '40', 'arm_koensayr_limited_supreme_durasteel_n', 'Koensayr Limited Supreme Durasteel');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '41', 'arm_koensayr_promotional_b9_durasteel_n', 'Koensayr Promotional Edition B9 Durasteel');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '42', 'arm_koensayr_reinforced_b5_durasteel_n', 'Koensayr Reinforced B5 Durasteel Armor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '43', 'arm_koensayr_special_supreme_durasteel_n', 'Koensayr Special Supreme Durasteel');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '44', 'arm_koensayr_standard_durasteel_n', 'Koensayr Standard Durasteel Plating');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '45', 'arm_koensayr_supreme_durasteel_n', 'Koensayr Supreme Durasteel');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '46', 'arm_koensayr_thick_advanced_durasteel_n', 'Koensayr Thick Advanced Durasteel');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '47', 'arm_kse_advanced_durasteel_n', 'Kuat Systems Engineering Advanced Durasteel');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '48', 'arm_kse_customized_advanced_durasteel_n', 'Kuat Systems Engineering Customized Advanced Durasteel');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '49', 'arm_kse_elite_durasteel_n', 'Kuat Systems Engineering Elite Durasteel');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '50', 'arm_kse_heavy_durasteel_n', 'Kuat Systems Engineering Heavy Durasteel');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '51', 'arm_kse_intermediate_durasteel_n', 'Kuat Systems Engineering Intermediate Durasteel Plating');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '52', 'arm_kse_limited_heavy_durasteel_n', 'Kuat Systems Engineering Limited Heavy Durasteel');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '53', 'arm_kse_modified_heavy_durasteel_n', 'Kuat Systems Engineering Modified Heavy Durasteel');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '54', 'arm_kse_modified_light_durasteel_n', 'Kuat Systems Engineering Modified Light Durasteel');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '55', 'arm_kse_modified_supreme_durasteel_n', 'Kuat Systems Engineering Modified Supreme Durasteel');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '56', 'arm_kse_standard_durasteel_n', 'Kuat Systems Engineering Standard Durasteel');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '57', 'arm_kse_supreme_durasteel_n', 'Kuat Systems Engineering Supreme Durasteel');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '58', 'arm_mandal_advanced_composite_n', 'MandalMotors Advanced Composite Armor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '59', 'arm_mandal_composite_j5_n', 'MandalMotors J5 Composite Armor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '60', 'arm_mandal_composite_j7_n', 'MandalMotors J7 Composite Armor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '61', 'arm_mandal_custom_heavy_composite_n', 'MandalMotors Custom Heavy Composite');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '62', 'arm_mandal_double_insulated_i5_n', 'MandalMotors Double Insulated I5');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '63', 'arm_mandal_double_insulated_i7_n', 'MandalMotors Double Insulated I7');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '64', 'arm_mandal_double_plated_composite_j7_n', 'MandalMotors Double Plated J7 Composite Armor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '65', 'arm_mandal_elite_composite_n', 'MandalMotors Elite Composite');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '66', 'arm_mandal_enhanced_elite_composite_n', 'MandalMotors Enhanced Elite Composite');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '67', 'arm_mandal_enhanced_heavy_composite_n', 'MandalMotors Enhanced Heavy Composite');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '68', 'arm_mandal_heavy_composite_n', 'MandalMotors Heavy Composite');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '69', 'arm_mandal_insulated_i7_n', 'MandalMotors Insulated I7');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '70', 'arm_mandal_modified_supreme_composite_n', 'MandalMotors Modified Supreme Composite');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '71', 'arm_mandal_modifier_composite_j5_n', 'MandalMotors Modified J5 Composite Armor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '72', 'arm_mandal_reinforced_advanced_composite_n', 'MandalMotors Reinforced Advanced Composite');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '73', 'arm_mandal_supreme_composite_n', 'MandalMotors Supreme Composite');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '74', 'arm_mission_reward_imperial_rss_special_durasteel_n', 'Republic Sienar Systems Special Durasteel');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '75', 'arm_mission_reward_imperial_sfs_light_military_n', 'Sienar Fleet Systems Light Military Grade Durasteel');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '76', 'arm_mission_reward_neutral_kse_handcrafted_n', 'Kuat Systems Engineering Handcrafted Durasteel Plating');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '77', 'arm_mission_reward_rebel_corellian_triplate_n', 'Corellian Engineering Corp. Triplate Armor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '78', 'arm_mission_reward_rebel_incom_ultralight_n', 'Incom Ultralight Armor Plating');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '79', 'arm_moncal_advanced_weave_n', 'Mon Calamari Advanced Weave');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '80', 'arm_moncal_elite_weave_n', 'Mon Calamari Elite Weave');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '81', 'arm_moncal_improved_light_weave_n', 'Mon Calamari Improved Light Durasteel Weave');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '82', 'arm_moncal_light_weave_n', 'Mon Calamari Light Durasteel Weave');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '83', 'arm_moncal_supreme_weave_n', 'Mon Calamari Supreme Weave');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '84', 'arm_rendili_tough_plate_n', 'Rendili Tough Starship Plating');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '85', 'arm_rss_light_plastisteel_n', 'Republic Sienar Systems Light Plastisteel Armor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '86', 'arm_sds_triplate_system_n', 'Sienar Design Systems Tri-Plate Armor System');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '87', 'arm_sfs_enhanced_standard_durasteel_n', 'Sienar Fleet Systems Enhanced Standard Durasteel');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '88', 'arm_sfs_light_durasteel_n', 'Sienar Fleet Systems Light Durasteel Armor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '89', 'arm_sfs_standard_durasteel_n', 'Sienar Fleet Systems Standard Durasteel');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '90', 'arm_slayn_tech_weave_n', 'Slayn and Korpil Light Tech Weave');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '91', 'arm_sorosuub_advanced_plastisteel_n', 'SoroSuub Advanced Plastisteel');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '92', 'arm_sorosuub_elite_plastisteel_n', 'SoroSuub Elite Plastisteel');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '93', 'arm_sorosuub_enhanced_advanced_plastisteel_n', 'SoroSuub Enhanced Advanced Plastisteel');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '94', 'arm_sorosuub_heavy_plastisteel_n', 'SoroSuub Heavy Plastisteel');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '95', 'arm_sorosuub_improved_light_plastisteel_n', 'SoroSuub Improved Light Plastisteel Armor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '96', 'arm_sorosuub_intemediate_plastisteel_n', 'SoroSuub Intermediate Plastisteel');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '97', 'arm_sorosuub_modified_elite_plastisteel_n', 'SoroSuub Modified Elite Plastisteel');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '98', 'arm_sorosuub_special_intermediate_durasteel_n', 'SoroSuub Special Edition Intermediate Durasteel');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '99', 'arm_subpro_advanced_plasisteel_n', 'SubPro Advanced Plastisteel');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '100', 'arm_subpro_bargain_plastisteel_n', 'SubPro Bargain Plastisteel Armor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '101', 'arm_subpro_elite_plastisteel_n', 'SubPro Elite Plastisteel');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '102', 'arm_subpro_enhanced_supreme_plastisteel_n', 'SubPro Enhanced Supreme Plastisteel');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '103', 'arm_subpro_experimental_advanced_plastisteel_n', 'SubPro Experimental Advanced Plastisteel');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '104', 'arm_subpro_heavy_plastisteel_n', 'SubPro Heavy Plastisteel');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '105', 'arm_subpro_improved_light_plastisteel_n', 'SubPro Improved Light Plastisteel');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '106', 'arm_subpro_improved_standard_durasteel_n', 'SubPro Improved Standard Durasteel');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '107', 'arm_subpro_limited_heavy_plastisteel_n', 'SubPro Limited Heavy Plastisteel');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '108', 'arm_subpro_special_elite_plastisteel_n', 'SubPro Special Elite Plastisteel');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '109', 'arm_subpro_standard_plastisteel_n', 'SubPro Standard Plastisteel Armor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '110', 'arm_subpro_supreme_plastisteel_n', 'SubPro Supreme Plastisteel');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '111', 'armor_alderaan_royal_plate_n', 'Alderaan Royal Plate Armor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '112', 'armor_alderaan_royal_weave_n', 'Alderaan Royal Weave Armor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '113', 'armor_baktoid_mtt_prototype_n', 'Baktoid MTT Prototype Armor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '114', 'armor_baktoid_shock_armor_n', 'Baktoid Shock Armor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '115', 'armor_baktoid_spider_shell_g2_n', 'Baktoid G2 Spider Shell Armor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '116', 'armor_freitek_es4_durasteel_n', 'Freitek ES-4 Durasteel Armor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '117', 'armor_freitek_ew6_prototype_n', 'Freitek EW6 Prototype Armor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '118', 'armor_mandal_composite_j14_n', 'MandalMotors J-14 Composite Armor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '119', 'armor_mandal_insulated_i5_n', 'MandalMotors I5 Insulated Armor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '120', 'armor_reward', 'This is an exceptionally rare piece of starship armor.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '121', 'armor_reward_alderaan_elite', 'Elite Alderaan Armor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '122', 'armor_reward_baktoid_elite', 'Elite Baktoid Armor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '123', 'armor_reward_freitek_elite', 'Elite Freitek Armor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '124', 'armor_reward_mandal_elite', 'Elite Mandal Armor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '125', 'armor_reward_subpro_elite', 'Elite Subpro Armor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '126', 'armor_seinar_coated_plasteel_n', 'Sienar Coated Plastisteel Armor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '127', 'armor_seinar_enhanced_plasteel_n', 'Sienar Enhanced Plastisteel Armor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '128', 'armor_subpro_corrugated_durasteel_n', 'SubPro Corrugated Durasteel Armor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '129', 'armor_subpro_light_plasteel_n', 'SubPro Light Plastisteel Armor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '130', 'armor_subpro_reinforced_plasteel_n', 'SubPro Reinforced Plastisteel Armor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '131', 'armor_tiefighter_basic_n', 'Basic Armor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '132', 'armor_trilon_custom_n', 'Customized Trilon Armor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '133', 'armor_trilon_unknown_n', 'Unknown Trilon Armor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '134', 'armor_z95_basic_n', 'Basic Armor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '135', 'blacksun_light_pcd', 'Black Sun Light Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '136', 'blank_memory_chip_d', 'This is a droid command module that can be programmed with instructions which will allow a Flight Computer or Astromech to control the power balance of a starship during spaceflight.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '137', 'blank_memory_chip_n', 'Unprogrammed Droid Command Module');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '138', 'booster_kit_interior_n', 'Booster Access Panel');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '139', 'bst_corellian_advanced_thrust_enhancer_n', 'Corellian Engineering Corp. Advanced Thrust Enhancer');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '140', 'bst_corellian_elite_thrust_enhancer_n', 'Corellian Engineering Corp. Elite Thrust Enhancer');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '141', 'bst_corellian_experimental_tjh3_n', 'Corellian Engineering Corp. Experimental TJH-3 Starship Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '142', 'bst_corellian_heavy_thrust_enhancer_n', 'Corellian Engineering Corp. Heavy Thrust Enhancer');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '143', 'bst_corellian_highly_modified_elite_thrust_enhancer_n', 'Corellian Engineering Corp. Highly Modified Elite Thrust Enhancer');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '144', 'bst_corellian_performance_advanced_thrust_enhancer_n', 'Corellian Engineering Corp. Performance Advanced Thrust Enhancer');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '145', 'bst_corellian_promotional_standard_thrust_enhancer_n', 'Corellian Engineering Corp. Promotional Edition Standard Thrust Enhancer');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '146', 'bst_corellian_standard_thrust_enhancer_n', 'Corellian Engineering Corp. Standard Thrust Enhancer');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '147', 'bst_corellian_tjh3_n', 'Corellian Engineering Corp. TJH-3 Starship Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '148', 'bst_corellian_tuned_heavy_thrust_enhancer_n', 'Corellian Engineering Corp. Tuned Heavy Thrust Enhancer');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '149', 'bst_cygnus_flashboost4_n', 'Cygnus \"Flashboost 4\" Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '150', 'bst_cygnus_flashboost3_n', 'Cygnus \"Flash-Booster 3\" Starship Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '151', 'bst_freitek_outrunner_x1_n', 'FreiTek Inc. Outrunner X1 Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '152', 'bst_gallofree_light_n', 'Gallofree Light Starship Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '153', 'bst_incom_deluxe_fynock_n', 'Incom Deluxe \"Fynock\" Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '154', 'bst_incom_elite_sls_1_n', 'Incom Elite SLS-1 Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '155', 'bst_incom_enhanced_mynock_n', 'Incom Enhanced \"Mynock\" Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '156', 'bst_incom_fynock_n', 'Incom \"Fynock\" Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '157', 'bst_incom_intimidator_mk1_n', 'Incom Intimidator Mark I Booster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '158', 'bst_incom_intimidator_mk2_n', 'Incom Intimidator Mark II Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '159', 'bst_incom_intimidator_mk3_n', 'Incom Intimidator Mark III Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '160', 'bst_incom_intimidator_mk4_n', 'Incom Intimidator Mark IV Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '161', 'bst_incom_mynock_n', 'Incom \"Mynock\" Starship Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '162', 'bst_incom_nkj31_n', 'Incom NKJ-31 Starship Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '163', 'bst_incom_performance_nkj31_n', 'Incom Performance NKJ-31 Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '164', 'bst_incom_sls_1_n', 'Incom SLS-1 Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '165', 'bst_incom_supercharged_vynock_n', 'Incom Supercharged \"Vynock\" Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '166', 'bst_incom_vynock_n', 'Incom \"Vynock\" Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '167', 'bst_kessel_imperial_cygnus_hyperthrust_n', 'Cygnus \"Hyperthruster\" Elite Booster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '168', 'bst_kessel_imperial_sds_experimental_b7_n', 'Sienar Design Systems \"B7 Experimental\" Elite Booster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '169', 'bst_kessel_imperial_sfs_ultra_thrust_n', 'Sienar Fleet Systems \"Ultra-Thrust\" Elite Booster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '170', 'bst_kessel_rebel_incom_quicksilver_n', 'Incom \"Quicksilver\" Elite Booster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '171', 'bst_kessel_rebel_incom_windrunner_n', 'Incom \"Windrunner\" Elite Booster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '172', 'bst_kessel_rebel_mandal_lightning_m1_n', 'MandalMotors \"M1 Lightning\" Elite Booster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '173', 'bst_koensayr_advanced_n', 'Koensayr Advanced Booster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '174', 'bst_koensayr_charged_advanced_n', 'Koensayr Charged Advanced Booster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '175', 'bst_koensayr_deluxe_elite_n', 'Koensayr Deluxe Elite Booster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '176', 'bst_koensayr_elite_n', 'Koensayr Elite Booster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '177', 'bst_koensayr_evh12_n', 'Koensayr EVH-12 Starship Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '178', 'bst_koensayr_heavy_n', 'Koensayr Heavy Booster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '179', 'bst_koensayr_improved_standard_n', 'Koensayr Improved Standard Booster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '180', 'bst_koensayr_modified_heavy_n', 'Koensayr Modified Heavy Booster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '181', 'bst_koensayr_racer_mk1_n', 'Koensayr \"Racer\" Mark I Booster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '182', 'bst_koensayr_racer_mk2_n', 'Koensayr \"Racer\" Mark II Booster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '183', 'bst_koensayr_racer_mk3_n', 'Koensayr \"Racer\" Mark III Booster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '184', 'bst_koensayr_racer_mk4_n', 'Koensayr \"Racer\" Mark IV Booster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '185', 'bst_koensayr_special_evh12_n', 'Koensayr Special Edition EVH-12 Starship Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '186', 'bst_koensayr_standard_n', 'Koensayr Standard Booster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '187', 'bst_kse_als_1_n', 'Kuat Systems Engineering ALS-1 Booster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '188', 'bst_kse_bti1_n', 'Kuat Systems Engineering BTI-1 Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '189', 'bst_kse_bti2_n', 'Kuat Systems Engineering BTI-2 Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '190', 'bst_kse_bti3_n', 'Kuat Systems Engineering BTI-3 Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '191', 'bst_kse_cb6_n', 'Kuat Systems Engineering CB-6 Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '192', 'bst_kse_deluxe_bti3_n', 'Kuat Systems Engineering Deluxe BTI-3 Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '193', 'bst_kse_elite_als_1_n', 'Kuat Systems Engineering Elite ALS-1');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '194', 'bst_kse_enhanced_bti2_n', 'Kuat Systems Engineering Enhanced BTI-2 Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '195', 'bst_kse_performance_bti1_n', 'Kuat Systems Engineering Performance BTI-1 Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '196', 'bst_kse_performance_cb6_n', 'Kuat Systems Engineering Performance CB-6 Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '197', 'bst_kuat_military_mk1_n', 'Kuat Drive Yards Mark I Military Grade Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '198', 'bst_kuat_military_mk2_n', 'Kuat Drive Yards Mark II Military Grade Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '199', 'bst_kuat_military_mk3_n', 'Kuat Drive Yards Mark III Military Grade Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '200', 'bst_kuat_military_mk4_n', 'Kuat Drive Yards Mark IV Military Grade Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '201', 'bst_mandal_deluxe_jbj_mk4_n', 'MandalMotors Deluxe JBJ Mark I Starship Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '202', 'bst_mandal_enhanced_jbj_mk1_n', 'MandalMotors Enhanced JBJ Mark I Starship Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '203', 'bst_mandal_improved_jbj_mk3_n', 'MandalMotors Improved Jbj Mk3');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '204', 'bst_mandal_jbj_mk1_n', 'MandalMotors JBJ Mark I Starship Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '205', 'bst_mandal_jbj_mk2_n', 'MandalMotors JBJ Mark II Starship Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '206', 'bst_mandal_jbj_mk3_n', 'MandalMotors JBJ Mark III Starship Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '207', 'bst_mandal_jbj_mk4_n', 'MandalMotors JBJ Mark IV Starship Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '208', 'bst_mandal_jbj_mk5_n', 'MandalMotors JBJ Mark V Starship Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '209', 'bst_mandal_limited_jbj_mk5_n', 'MandalMotors Limited Edition JBJ Mark V Starship Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '210', 'bst_mandal_modified_jbj_mk2_n', 'MandalMotors Modified JBJ Mark II Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '211', 'bst_mission_reward_imperial_rss_ion_booster_n', 'Republic Sienar Systems Ion Booster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '212', 'bst_mission_reward_neutral_mandal_m_series_n', 'MandalMotors \"M Series\" Booster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '213', 'bst_mission_reward_neutral_mandal_q_series_n', 'MandalMotors \"Q Series\" Booster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '214', 'bst_mission_reward_rebel_novaldex_hypernova_n', 'Novaldex \"Hypernova\" Starship Booster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '215', 'bst_mission_reward_rebel_qualdex_halcyon_n', 'Qualdex \"Halcyon\" Starfighter Booster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '216', 'bst_moncal_advanced_n', 'Mon Calamari Advanced Booster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '217', 'bst_moncal_charged_heavy_n', 'Mon Calamari Charged Heavy Booster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '218', 'bst_moncal_deluxe_standard_n', 'Mon Calamari Deluxe Standard Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '219', 'bst_moncal_elite_n', 'Mon Calamari Elite Booster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '220', 'bst_moncal_enhanced_elite_n', 'Mon Calamari Enhanced Elite Booster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '221', 'bst_moncal_heavy_n', 'Mon Calamari Heavy Booster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '222', 'bst_moncal_jlc37_n', 'Mon Calamari JLC-37 Starship Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '223', 'bst_moncal_limited_jlc37_n', 'Mon Calamari Limited Edition JLC-37 Starship Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '224', 'bst_moncal_rare_advanced_n', 'Mon Calamari Rare Advanced Booster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '225', 'bst_moncal_standard_n', 'Mon Calamari Standard Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '226', 'bst_novaldex_pulsar_advanced_n', 'Novaldex \"Pulsar\" Advanced Booster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '227', 'bst_novaldex_pulsar_n', 'Novaldex \"Pulsar\" Booster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '228', 'bst_novaldex_quasar_advanced_n', 'Novaldex \"Quasar\" Advanced Booster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '229', 'bst_novaldex_quasar_n', 'Novaldex \"Quasar\" Booster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '230', 'bst_qualdex_xboost_mk1_n', 'Qualdex \"X-Boost\" Mark I Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '231', 'bst_qualdex_xboost_mk2_n', 'Qualdex \"X-Boost\" Mark II Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '232', 'bst_qualdex_xboost_mk3_n', 'Qualdex \"X-Boost\" Mark III Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '233', 'bst_qualdex_xboost_mk4_n', 'Qualdex \"X-Boost\" Mark IV Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '234', 'bst_reward', 'This is an exceptionally rare starship booster.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '235', 'bst_reward_incom_elite', 'Elite Incom Booster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '236', 'bst_reward_koensayr_elite', 'Elite Koensayr Booster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '237', 'bst_reward_kuat_elite', 'Elite KDY Booster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '238', 'bst_reward_novaldex_elite', 'Elite Novaldex Booster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '239', 'bst_reward_qualdex_elite', 'Elite Qualdex Booster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '240', 'bst_sap_imperial_1_n', 'Sienar Advanced Projects Imperial-1 Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '241', 'bst_sap_imperial_2_n', 'Sienar Advanced Projects Imperial-2 Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '242', 'bst_sds_enhanced_imperial_2_n', 'Sienar Design Systems Enhanced Imperial-2 Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '243', 'bst_sfs_imperial_1_n', 'Sienar Fleet Systems Imperial-1 Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '244', 'bst_sfs_imperial_2_n', 'Sienar Fleet Systems Imperial-2 Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '245', 'bst_slayn_ion_booster_mk1_n', 'Slayn and Korpil Mark I Ion-Booster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '246', 'bst_sorosuub_enhanced_liberator_mk4_n', 'Sorosuub Enhanced Liberator Mk4');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '247', 'bst_sorosuub_improved_liberator_mk2_n', 'SoroSuub Improved Mark II \"Liberator\"');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '248', 'bst_sorosuub_liberator_mk1_n', 'SoroSuub Mark I Liberator Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '249', 'bst_sorosuub_liberator_mk2_n', 'SoroSuub Mark II Liberator Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '250', 'bst_sorosuub_liberator_mk3_n', 'SoroSuub Mark III Liberator Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '251', 'bst_sorosuub_liberator_mk4_n', 'SoroSuub Mark IV Liberator Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '252', 'bst_sorosuub_liberator_mk5_n', 'SoroSuub Mark V Liberator Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '253', 'bst_sorosuub_prized_liberator_mk1_n', 'SoroSuub Prized Mark I Liberator Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '254', 'bst_sorosuub_supercharged_liberator_mk3_n', 'SoroSuub Supercharged Mark III Liberator Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '255', 'bst_sorosuub_well_tuned_liberator_mk5_n', 'SoroSuub Well Tuned Mark V Liberator Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '256', 'bst_subpro_accelatron_mk1_n', 'SubPro Mark I \"Accelatron\" Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '257', 'bst_subpro_accelatron_mk2_n', 'SubPro Mark II \"Accelatron\" Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '258', 'bst_subpro_accelatron_mk3_n', 'SubPro Mark III \"Accelatron\" Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '259', 'bst_subpro_accelatron_mk4_n', 'SubPro Mark IV \"Accelatron\" Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '260', 'bst_subpro_accelatron_mk5_n', 'SubPro Mark IV \"Accelatron\" Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '261', 'bst_subpro_deluxe_accelatron_mk3_n', 'SubPro Deluxe Mark III \"Accelatron\" Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '262', 'bst_subpro_elite_accelatron_mk5_n', 'Subpro Elite Mark V \"Accelatron\" Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '263', 'bst_subpro_enhanced_accelatron_mk2_n', 'SubPro Enhanced Mark II \"Accelatron\" Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '264', 'bst_subpro_modified_accelatron_mk4_n', 'SubPro Modified Mark IV \"Accelatron\" ');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '265', 'bst_subpro_tuned_accelatron_mk1_n', 'SubPro Tuned Mark I \"Accelatron\" Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '266', 'bst_surronian_accelerator_mk1_n', 'Surronian Accelerator Mark I');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '267', 'bst_surronian_accelerator_mk2_n', 'Surronian Accelerator Mark II');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '268', 'bst_surronian_nomad_x4_n', 'Surronian \"Nomad X-4\" Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '269', 'bst_surronian_nomad_x8_n', 'Surronian \"Nomad X-8\" Boosters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '270', 'cap_corellian_cruiser_grade_cap10_n', 'Corellian Cruiser-grade Weapons Capacitor \"CAP10\"');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '271', 'cap_corellian_cruiser_grade_cap1_n', 'Corellian Cruiser-grade Weapons Capacitor \"CAP1\"');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '272', 'cap_corellian_cruiser_grade_cap3_n', 'Corellian Cruiser-grade Weapons Capacitor \"CAP3\"');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '273', 'cap_corellian_cruiser_grade_cap5_n', 'Corellian Cruiser-grade Weapons Capacitor \"CAP5\"');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '274', 'cap_corellian_cruiser_grade_cap9_n', 'Corellian Cruiser-grade Weapons Capacitor \"CAP9\"');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '275', 'cap_corellian_deluxe_cruiser_grade_cap2_n', 'Corellian Deluxe Cruiser-grade Weapons Capacitor \"CAP2\"');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '276', 'cap_corellian_elite_n', 'Corellian Elite Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '277', 'cap_corellian_standard_n', 'Corellian Standard Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '278', 'cap_corellian_tuned_cruiser_grade_cap1_n', 'Corellian Tuned Cruiser-grade Weapons Capacitor \"CAP1\"');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '279', 'cap_cygnus_cygcap_a_n', 'Cygnus \"Cyg-Cap A\" Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '280', 'cap_cygnus_cygcap_b_n', 'Cygnus \"Cyg-Cap B\" Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '281', 'cap_freitek_xd2_n', 'FreiTek Inc. XD-2 Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '282', 'cap_gallofree_lt22_n', 'Gallofree LT-22 Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '283', 'cap_haor_chall_old_capacitor_n', 'Haor Chall Old-Tech Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '284', 'cap_huppla_pasa_tisc_old_capacitor_n', 'Huppla Pasa Tisc Old-Tech Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '285', 'cap_incom_bjn825_n', 'Incom BJN-825 Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '286', 'cap_incom_improved_rebel_mk1_n', 'Incom Improved Mark I Rebel Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '287', 'cap_incom_rebel_mk1_n', 'Incom Mark I Rebel Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '288', 'cap_incom_special_bjn825_n', 'Incom Special BJN-825 Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '289', 'cap_kessel_imperial_rendili_hyperbattery_n', 'Rendili \"Hyperbattery\" Elite Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '290', 'cap_kessel_imperial_sds_imperial_finest_n', 'Sienar Design Systems \"Imperial Finest\" Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '291', 'cap_kessel_imperial_sfs_array_n', 'Sienar Fleet Systems Capacitor Array');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '292', 'cap_kessel_rebel_armek_array_n', 'Armek Elite Capacitor Array');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '293', 'cap_kessel_rebel_deepwell_k33_prototype_n', 'Incom Deepwell Prototype K-33 Prototype Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '294', 'cap_kessel_rebel_taim_hypercharger_n', 'Taim & Bak \"Hypercharger\" Elite Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '295', 'cap_koensayr_custom_light_n', 'Koensayr Custom Light Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '296', 'cap_koensayr_deluxe_mk4_n', 'Koensayr Deluxe Mark IV Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '297', 'cap_koensayr_elite_mk5_n', 'Koensayr Elite Mark V Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '298', 'cap_koensayr_improved_light_n', 'Koensayr Improved Light Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '299', 'cap_koensayr_light_n', 'Koensayr Light Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '300', 'cap_koensayr_mk3_n', 'Koensayr Mark III Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '301', 'cap_koensayr_mk4_n', 'Koensayr Mark IV Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '302', 'cap_koensayr_mk5_n', 'Koensayr Mark V Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '303', 'cap_koensayr_rare_mk2_n', 'Koensayr Rare Mark II Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '304', 'cap_koensayr_tuned_mk3_n', 'Koensayr Tuned Mark III Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '305', 'cap_kse_elite_mk5_n', 'Kuat Systems Engineering Elite Mark V Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '306', 'cap_kse_limited_mk1_n', 'Kuat Systems Engineering Limited Mark I Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '307', 'cap_kse_limited_mk4_n', 'Kuat Systems Engineering Limited Mark IV Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '308', 'cap_kse_mk1_n', 'Kuat Systems Engineering Mark I Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '309', 'cap_kse_mk2_n', 'Kuat Systems Engineering Mark II Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '310', 'cap_kse_mk3_n', 'Kuat Systems Engineering Mark III Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '311', 'cap_kse_mk4_n', 'Kuat Systems Engineering Mark IV Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '312', 'cap_kse_mk5_n', 'Kuat Systems Engineering Mark V Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '313', 'cap_kse_performance_mk2_n', 'Kuat Systems Engineering Performance Mark II Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '314', 'cap_kse_supercharged_mk3_n', 'Kuat Systems Engineering Supercharged Mark III Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '315', 'cap_mandal_improved_powermaster_mk3_n', 'MandalMotors Improved Mark III \"Powermaster\" capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '316', 'cap_mandal_powermaster_mk1_n', 'MandalMotors Mark I \"Powermaster\" Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '317', 'cap_mandal_powermaster_mk3_n', 'MandalMotors Mark III \"Powermaster\" Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '318', 'cap_mandal_powermaster_mk4_n', 'MandalMotors Mark IV \"Powermaster\" Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '319', 'cap_mandal_powermaster_mk5_n', 'MandalMotors Mark V \"Powermaster\" Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '320', 'cap_mandal_powersoak_n', 'MandalMotors Powersoak (Original)');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '321', 'cap_mandal_provider_p1_n', 'MandalMotors \"Provider\" Model P1');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '322', 'cap_mandal_rare_powermaster_mk4_n', 'MandalMotors Rare Mark IV \"Powermaster\" Capacitor ');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '323', 'cap_mandal_special_powermaster_mk1_n', 'MandalMotors Special Mark I \"PowerMaster\" Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '324', 'cap_mandal_tuned_powermaster_mk2_n', 'MandalMotors Tuned Mark II \"Powermaster\" Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '325', 'cap_mission_reward_imperial_rendili_k_class_n', 'Rendili \"K-Class\" Weapon Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '326', 'cap_mission_reward_neutral_sorosuub_v1_n', 'SoroSuub \"V-1\" Weapon Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '327', 'cap_mission_reward_rebel_qualdex_battery_array_n', 'Qualdex Capacitor Battery Array');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '328', 'cap_moncal_advanced_n', 'Mon Calamari Advanced Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '329', 'cap_moncal_charged_light_n', 'Mon Calamari Charged Light Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '330', 'cap_moncal_deluxe_elite_n', 'Mon Calamari Deluxe Elite Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '331', 'cap_moncal_elite_n', 'Mon Calamari Elite Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '332', 'cap_moncal_enhanced_advanced_n', 'Mon Calamari Enhanced Advanced Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '333', 'cap_moncal_heavy_n', 'Mon Calamari Heavy Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '334', 'cap_moncal_light_n', 'Mon Calamari Light Capacitor ');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '335', 'cap_moncal_modified_heavy_n', 'Mon Calamari Modified Heavy Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '336', 'cap_moncal_modified_standard_n', 'Mon Calamari Modified Standard Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '337', 'cap_moncal_standard_n', 'Mon Calamari Standard Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '338', 'cap_novaldex_deluxe_wampa_s1_n', 'Novaldex Deluxe Wampa S1');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '339', 'cap_novaldex_experimental_n', 'Novaldex Experimental High-Capacitor (Unknown)');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '340', 'cap_novaldex_sarlacc_s1_n', 'Novaldex Sarlacc S1');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '341', 'cap_novaldex_sarlacc_s2_n', 'Novaldex Sarlacc S2');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '342', 'cap_novaldex_sarlacc_s3_n', 'Novaldex Sarlacc S3');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '343', 'cap_novaldex_small_capacitor_n', 'Novaldex Small Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '344', 'cap_novaldex_wampa_s1_n', 'Novaldex Wampa S1');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '345', 'cap_novaldex_wampa_s2_n', 'Novaldex Wampa S2');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '346', 'cap_novaldex_wampa_s3_n', 'Novaldex Wampa S3');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '347', 'cap_qualdex_conservator_q3_n', 'Qualdex Conservator Q3');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '348', 'cap_qualdex_conservator_q7_n', 'Qualdex Conservator Q7 Prototype');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '349', 'cap_qualdex_conservator_qx1_n', 'Qualdex Conservator QX1 Elite');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '350', 'cap_qualdex_conservator_qx2_n', 'Qualdex Conservator QX2');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '351', 'cap_qualdex_conservator_qx3_n', 'Qualdex Conservator QX3');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '352', 'cap_qualdex_conservator_qx4_n', 'Qualdex Conservator QX4');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '353', 'cap_qualdex_conservator_qx5_n', 'Qualdex Conservator QX5');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '354', 'cap_qualdex_experimental_n', 'Qualdex Experimental (Unknown Model)');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '355', 'cap_qualdex_miser_elite_n', 'Qualdex \"Miser\" Elite');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '356', 'cap_qualdex_miser_light_n', 'Qualdex \"Miser\" Light');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '357', 'cap_qualdex_miser_standard_n', 'Qualdex \"Miser\" Standard');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '358', 'cap_rendili_overseer_j7_n', 'Rendili J7 \"Overseer\" Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '359', 'cap_rendili_overseer_j8_n', 'Rendili J8 \"Overseer\" Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '360', 'cap_reward', 'This is an exceptionally rare starfighter weapon capacitor.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '361', 'cap_reward_mandal_elite', 'Elite Mandal Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '362', 'cap_reward_novaldex_elite', 'Elite Novaldex Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '363', 'cap_reward_qualdex_elite', 'Elite Qualdex Capcitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '364', 'cap_reward_sorosuub_elite', 'Elite Sorosuub Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '365', 'cap_reward_subpro_elite', 'Elite Subpro Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '366', 'cap_rss_imperial_1_n', 'Republic Sienar Systems Mark I Imperial Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '367', 'cap_sds_imperial_1_n', 'Sienar Design Systems Mark I Imperial Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '368', 'cap_sds_imperial_2_n', 'Sienar Design Systems Imperial-2 Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '369', 'cap_sds_special_imperial_2_n', 'Sienar Design Systems Special Imperial-2 Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '370', 'cap_sfs_imperial_1_n', 'Sienar Fleet Systems Mark I Imperial Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '371', 'cap_sorosuub_dynamo_mk1_n', 'SoroSuub \"Dynamo\" Mark I Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '372', 'cap_sorosuub_dynamo_mk2_n', 'SoroSuub \"Dynamo\" Mark II Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '373', 'cap_sorosuub_dynamo_mk3_n', 'SoroSuub \"Dynamo\" Mark III Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '374', 'cap_sorosuub_dynamo_mk4_n', 'Sorosuub \"Dynamo\" Mark IV Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '375', 'cap_sorosuub_enhanced_dynamo_mk1_n', 'SoroSuub Enhanced Mark I \"Dynamo\" Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '376', 'cap_sorosuub_flash_n', 'SoroSuub \"Flash\" Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '377', 'cap_sorosuub_premium_dynamo_mk2_n', 'SoroSuub Premium \"Dynamo\" Mark II Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '378', 'cap_sorosuub_supercharged_dynamo_mk4_n', 'SoroSuub Supercharged \"Dynamo\" Mark IV Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '379', 'cap_sorosuub_tuned_dynamo_mk3_n', 'SoroSuub Tuned \"Dynamo\" Mark III Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '380', 'cap_sorosuub_turbo_n', 'SoroSuub Turbo Weapons Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '381', 'cap_subpro_dauntless_z3_n', 'SubPro \"Dauntless\" Z3 Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '382', 'cap_subpro_dauntless_z5_n', 'SubPro \"Dauntless\" Z5 Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '383', 'cap_subpro_defiant_c1_n', 'SubPro \"Defiant\" C1 Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '384', 'cap_subpro_defiant_c2_n', 'SubPro \"Defiant\" C2 Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '385', 'cap_subpro_defiant_c3_n', 'SubPro \"Defiant\" C3 Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '386', 'cap_subpro_experimental_n', 'SubPro Experimental Capacitor (Unknown)');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '387', 'cap_subpro_gallant_a1_n', 'SubPro \"Gallant\" A1 Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '388', 'cap_subpro_improved_valiant_z1_n', 'SubPro Improved \"Valiant\" Z1 Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '389', 'cap_subpro_modified_defiant_c1_n', 'SubPro Modified Defiant C1 Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '390', 'cap_subpro_valiant_z1_n', 'SubPro \"Valiant\" Z1 Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '391', 'cap_tiefighter_basic_n', 'Basic Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '392', 'cap_tiefighter_elite_mk1_n', 'TIE Elite Capacitor Mark 1');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '393', 'cap_tiefighter_elite_mk2_n', 'TIE Elite Capacitor Mark 2');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '394', 'cap_tiefighter_elite_mk3_n', 'TIE Elite Capacitor Mark 3');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '395', 'cap_tiefighter_experimental_n', 'Modified TIE Capacitor (Origin Unknown)');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '396', 'cap_unknown_experimental_n', '(Unknown) Weapons Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '397', 'cap_z95_basic_n', 'Basic Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '398', 'cap_z95_deepwell_experimental_n', 'Z95 Deepwell Capacitor (Experimental)');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '399', 'cap_z95_deepwell_k3_n', 'Deepwell Capacitor Model K3');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '400', 'cap_z95_deepwell_k5_n', 'Deepwell Capacitor Model K5');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '401', 'capacitor_interior_n', 'Capacitor Access Panel');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '402', 'ddi_armek_military_grade_mk1', 'Armek Military Grade Droid Interface Mark I');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '403', 'ddi_armek_military_grade_mk2', 'Armek Military Grade Droid Interface Mark II');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '404', 'ddi_armek_military_grade_mk2_n', 'Armek Military Grade Mark II Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '405', 'ddi_cygnus_di6_n', 'Cygnus DI-6 Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '406', 'ddi_cygnus_di8_n', 'Cygnus DI-8 Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '407', 'ddi_freitek_droid_commander_mk1_n', 'FreiTek Inc. Droid Commander Mark I');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '408', 'ddi_freitek_droid_commander_mk2_n', 'FreiTek Inc. Droid Commander Mark II');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '409', 'ddi_freitek_droid_commander_mk3_n', 'FreiTek Inc. Droid Commander Mark III');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '410', 'ddi_freitek_elite_n', 'FreiTek Elite Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '411', 'ddi_freitek_modified_droid_commander_mk1_n', 'FreiTek Inc. Modified Droid Commander Mark I');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '412', 'ddi_gallofree_level1_n', 'Gallofree Level 1 Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '413', 'ddi_haor_chall_old_tech_n', 'Haor Chall Old-Tech Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '414', 'ddi_haor_chall_vintage_piece_n', 'Haor Chall Vintage-Tech Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '415', 'ddi_hk_advanced_n', 'Hoersch-Kessel Advanced Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '416', 'ddi_hk_elite_n', 'Hoersch-Kessel Elite Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '417', 'ddi_hk_mk1_n', 'Hoersch-Kessel Mark I Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '418', 'ddi_hk_mk2_n', 'Hoersch-Kessel Mark II Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '419', 'ddi_hk_mk3_n', 'Hoersch-Kessel Mark III Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '420', 'ddi_hk_mk4_n', 'Hoersch-Kessel Mark IV Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '421', 'ddi_incom_advanced_droid_interface_n', 'Incom Advanced Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '422', 'ddi_incom_deluxe_droid_interface_mk1_n', 'Incom Deluxe Mark I Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '423', 'ddi_incom_droid_interface_mk1', 'Incom Droid Interface Mark I');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '424', 'ddi_incom_droid_interface_mk2', 'Incom Droid Interface Mark II');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '425', 'ddi_incom_droid_interface_mk2_n', 'Incom Mark II Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '426', 'ddi_incom_droid_interface_mk3', 'Incom Droid Interface Mark III');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '427', 'ddi_incom_droid_interface_mk3_n', 'Incom Droid Interface Mark III');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '428', 'ddi_incom_droid_interface_mk4', 'Incom Droid Interface Mark IV');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '429', 'ddi_incom_droid_interface_mk4_n', 'Incom Droid Interface Mark IV');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '430', 'ddi_incom_elite_n', 'Incom Elite Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '431', 'ddi_incom_enhanced_droid_interface_mk4_n', 'Incom Enhanced Droid Interface Mk4');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '432', 'ddi_incom_fast_droid_interface_mk2_n', 'Incom Fast Droid Interface Mark II');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '433', 'ddi_kde_governor_mk1_n', 'Kuat Drive Yards Mark I \"Governor\" Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '434', 'ddi_kde_governor_mk2_n', 'Kuat Drive Yards \"Governor\" Droid Interface Mark II');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '435', 'ddi_kessel_imperial_cygnus_dp44_n', 'Cygnus \"DP-44\" Elite Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '436', 'ddi_kessel_imperial_sds_unknown_prototype_n', 'Sienar Design Systems Unknown Prototype Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '437', 'ddi_kessel_imperial_sfs_imperial_finest_n', 'Sienar Fleet Systems \"Imperial Finest\" Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '438', 'ddi_kessel_rebel_incom_dx61_n', 'Incom \"DX-61\" Elite Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '439', 'ddi_kessel_rebel_incom_supreme_interface_n', 'Incom \"Supreme\" Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '440', 'ddi_kessel_rebel_qualdex_integrated_array_n', 'Qualdex Integrated Droid Interface Array');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '441', 'ddi_koensayr_simple_droid_interface_n', 'Koensayr Simple Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '442', 'ddi_koensayr_standard_droid_interface_n', 'Koensayr Standard Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '443', 'ddi_kse_advanced_manager_n', 'Kuat Systems Engineering Advanced Manager Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '444', 'ddi_kse_custom_manager_mk2_n', 'Kuat Systems Engineering Custom Manager Class Mark II Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '445', 'ddi_kse_elite_manager_1_n', 'Kuat Systems Engineering \"Elite Manager 1\" Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '446', 'ddi_kse_elite_manager_2_n', 'Kuat Systems Engineering \"Elite Manager 2\" Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '447', 'ddi_kse_enhanced_manager_mk3_n', 'Kuat Systems Engineering Enhanced Manager Mark III');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '448', 'ddi_kse_improved_manager_mk1_n', 'Kuat Systems Engineering Improved Mark I Droid Manager');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '449', 'ddi_kse_manager_mk1_n', 'Kuat Systems Engineering Mark I Droid Manager');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '450', 'ddi_kse_manager_mk2_n', 'Kuat Systems Engineering Mark II Droid Manager');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '451', 'ddi_kse_manager_mk3_n', 'Kuat Systems Engineering Mark III Droid Manager');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '452', 'ddi_mandal_military_grade_mk1', 'MandalMotors Military Grade Droid Interface Mark I');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '453', 'ddi_mandal_military_grade_mk2', 'MandalMotors Military Grade Droid Interface Mark II');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '454', 'ddi_mandal_military_grade_mk2_n', 'MandalMotors Military Grade Droid Interface Mark II ');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '455', 'ddi_mission_reward_imperial_sfs_military_grade_n', 'Sienar Fleet Systems Military Grade Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '456', 'ddi_mission_reward_neutral_sorosuub_w19_n', 'SoroSuub \"W-19\" Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '457', 'ddi_mission_reward_rebel_moncal_d22_n', 'Mon Calamari \"D-22\" Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '458', 'ddi_mission_reward_rebel_novaldex_low_latency_n', 'Novaldex Low-Latency Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '459', 'ddi_moncal_advanced_interface_n', 'Mon Calamari Advanced Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '460', 'ddi_moncal_custom_dk2_n', 'Mon Calamari Custom DK-2 Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '461', 'ddi_moncal_dk1_n', 'Mon Calamari DK-1 Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '462', 'ddi_moncal_dk2_n', 'Mon Calamari DK-2 Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '463', 'ddi_moncal_dk3_n', 'Mon Calamari DK-3 Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '464', 'ddi_moncal_dk4_n', 'Mon Calamari DK-4 Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '465', 'ddi_moncal_elite_n', 'Mon Calamari Elite Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '466', 'ddi_moncal_special_dk1_n', 'Mon Calamari Special Edition DK-1 Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '467', 'ddi_novaldex_advanced_droid_interface_n', 'Novaldex Advanced Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '468', 'ddi_novaldex_custom_droid_interface_mk4_n', 'Novaldex Custom Droid Interface Mark 4');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '469', 'ddi_novaldex_droid_interface_mk1', 'Novaldex Droid Interface Mark I');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '470', 'ddi_novaldex_droid_interface_mk2', 'Novaldex Droid Interface Mark II');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '471', 'ddi_novaldex_droid_interface_mk2_n', 'Novaldex Droid Interface Mark II');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '472', 'ddi_novaldex_droid_interface_mk3', 'Novaldex Droid Interface Mark III');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '473', 'ddi_novaldex_droid_interface_mk3_n', 'Novaldex Droid Interface Mark III');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '474', 'ddi_novaldex_droid_interface_mk4', 'Novaldex Droid Interface Mark IV');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '475', 'ddi_novaldex_droid_interface_mk4_n', 'Novaldex Droid Interface Mark IV');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '476', 'ddi_novaldex_elite_n', 'Novaldex Elite Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '477', 'ddi_novaldex_special_droid_interface_mk1_n', 'Novaldex Special Droid Interface Mark I');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '478', 'ddi_qualdex_droid_interface_mk1', 'Qualdex Droid Interface Mark I');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '479', 'ddi_qualdex_droid_interface_mk2', 'Qualdex Droid Interface Mark II');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '480', 'ddi_qualdex_droid_interface_mk2_n', 'Qualdex Droid Interface Mark II ');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '481', 'ddi_qualdex_droid_interface_mk3', 'Qualdex Droid Interface Mark III');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '482', 'ddi_qualdex_droid_interface_mk3_n', 'Qualdex Droid Interface Mark III');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '483', 'ddi_qualdex_droid_interface_mk4', 'Qualdex Droid Interface Mark IV');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '484', 'ddi_qualdex_droid_interface_mk4_n', 'Qualdex Droid Interface Mark IV');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '485', 'ddi_qualdex_elite_n', 'Qualdex Elite Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '486', 'ddi_qualdex_enhanced_droid_interface_mk5_n', 'Qualdex Enhanced Droid Interface Mark 5');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '487', 'ddi_qualdex_modified_droid_interface_mk3_n', 'Qualdex Modified Droid Interface Mark III');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '488', 'ddi_rendili_elite_imperator_n', 'Rendili Elite \"Imperator\" Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '489', 'ddi_rendili_imperator_1_n', 'Rendili \"Imperator 1\" Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '490', 'ddi_rendili_imperator_2_n', 'Rendili \"Imperator 2\" Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '491', 'ddi_rss_deluxe_imperial_2_n', 'Republic Sienar Systems Deluxe Imperial-2 Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '492', 'ddi_rss_enhanced_imperial_1_n', 'Republic Sienar Systems Enhanced Mark I Imperial Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '493', 'ddi_rss_imperial_1_n', 'Republic Sienar Systems Mark I Imperial Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '494', 'ddi_rss_imperial_2_n', 'Republic Sienar Systems Imperial-2 Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '495', 'ddi_sds_elite_n', 'Sienar Design Systems Elite Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '496', 'ddi_sds_enhanced_imperial_2_n', 'Sienar Design Systems Enhanced \"Imperial 2\" Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '497', 'ddi_sds_imperial_1_n', 'Sienar Design Systems \"Imperial 1\" Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '498', 'ddi_sds_imperial_2_n', 'Sienar Design Systems \"Imperial 2\" Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '499', 'ddi_sds_imperial_3_n', 'Sienar Design Systems \"Imperial 3\" Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '500', 'ddi_sds_imperial_4_n', 'Sienar Design Systems \"Imperial 4\" Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '501', 'ddi_sds_imperial_5_n', 'Sienar Design Systems \"Imperial 5\" Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '502', 'ddi_sds_special_imperial_1_n', 'Sienar Design Systems Special \"Imperial 1\" Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '503', 'ddi_seinar_interface_mk1', 'Sienar Systems Droid Interface Mark I');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '504', 'ddi_seinar_interface_mk2', 'Sienar Systems Droid Interface Mark II');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '505', 'ddi_seinar_interface_mk2_n', 'Sienar Fleet Systems Mark II Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '506', 'ddi_seinar_interface_mk3', 'Sienar Systems Droid Interface Mark III');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '507', 'ddi_seinar_interface_mk3_n', 'Sienar Systems Droid Interface Mark III');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '508', 'ddi_seinar_interface_mk4', 'Sienar Systems Droid Interface Mark IV');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '509', 'ddi_seinar_interface_mk4_n', 'Sienar Systems Interface Mark IV');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '510', 'ddi_sfs_elite_n', 'Sienar Fleet Systems Elite Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '511', 'ddi_sfs_enhanced_imperial_1_n', 'Sienar Fleet Systems Enhanced Mark I Imperial Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '512', 'ddi_sfs_imperial_1_n', 'Sienar Fleet Systems Mark I Imperial Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '513', 'ddi_sfs_imperial_2_n', 'Sienar Fleet Systems \"Imperial 2\" Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '514', 'ddi_sfs_imperial_3_n', 'Sienar Fleet Systems \"Imperial 3\" Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '515', 'ddi_sfs_imperial_mk5_n', 'Sienar Fleet Systems Droid Interface Mark V');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '516', 'ddi_sorosuub_echelon_1_n', 'SoroSuub Echelon 1 Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '517', 'ddi_sorosuub_echelon_2_n', 'SoroSuub Echelon 2 Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '518', 'ddi_sorosuub_elite_n', 'SoroSuub Elite Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '519', 'ddi_sorosuub_enhanced_rad_mk1_n', 'SoroSuub Enhanced RAD-MK1 Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '520', 'ddi_sorosuub_modified_rad_mk2_n', 'SoroSuub Modified RAD-MK2 Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '521', 'ddi_sorosuub_rad_mk1_n', 'SoroSuub RAD-MK1 Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '522', 'ddi_sorosuub_rad_mk2_n', 'SoroSuub RAD-MK2 Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '523', 'ddi_sorosuub_rad_mk3_n', 'SoroSuub RAD-MK3 Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '524', 'ddi_subpro_improved_jrd33_n', 'SubPro Improved JRD-33 Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '525', 'ddi_subpro_jrd33_n', 'SubPro JRD-33 Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '526', 'ddi_tiefighter_basic_n', 'Basic Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '527', 'ddi_z95_basic_n', 'Basic Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '528', 'droid_command_d', 'A Droid Command');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '529', 'droid_command_n', 'A Droid Command');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '530', 'droid_interface_interior_n', 'Droid Interface Access Panel');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '531', 'ejecting', 'Ejecting!');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '532', 'eng_corellian_cruiser_grade_mk1_n', 'Corellian Mark I Cruiser-Grade Starship Engines');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '533', 'eng_corellian_cruiser_grade_mk2_n', 'Corellian Cruiser-grade Mark II Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '534', 'eng_corellian_deluxe_cruiser_grade_mk1_n', 'Corellian Deluxe Mark I Cruiser-grade Engines');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '535', 'eng_cygnus_hd3_n', 'Cygnus HD-3 Starfighter Engines');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '536', 'eng_cygnus_hd7_n', 'Cygnus HD-7 Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '537', 'eng_cygnus_hd8_n', 'Cygnus HD-8 Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '538', 'eng_cygnus_hd_5_n', 'Cygnus HD-5 Engines');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '539', 'eng_cygnus_hdx_n', 'Cygnus HD-X Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '540', 'eng_damorian_rx7_n', 'Damorian RX7 Ion Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '541', 'eng_freitek_dual_jet_n', 'FreiTek Dual Jet Engines');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '542', 'eng_gallofree_advanced_n', 'Gallofree Advanced');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '543', 'eng_gallofree_jx2_n', 'Gallofree JX-2 Drive Engines');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '544', 'eng_gallofree_jx3_n', 'Gallofree JX-3 Engines');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '545', 'eng_haor_chall_old_engine_n', 'Haor Chall Old-Tech Engines');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '546', 'eng_incom_advanced_fusialthrust_n', 'Incom Advanced Fusialthrust');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '547', 'eng_incom_advanced_n', 'Incom Advanced');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '548', 'eng_incom_e16_n', 'Incom E-16/x Ion Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '549', 'eng_incom_elite_n', 'Incom Elite');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '550', 'eng_incom_fusialthrust_2_n', 'Incom Fusialthrust 2');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '551', 'eng_incom_heavy_fusialthrust_n', 'Incom Heavy Fusialthrust');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '552', 'eng_incom_improved_fusialthrust_2_n', 'Incom Improved Fusialthrust 2');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '553', 'eng_incom_light_fusialthrust_n', 'Incom Light Fusialthrust Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '554', 'eng_kessel_imperial_rendili_hyperion_drive_n', 'Rendili \"Hyperion\" Drive Engines');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '555', 'eng_kessel_imperial_sds_special_forces_n', 'Sienar Design Systems \"Special Forces\" Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '556', 'eng_kessel_imperial_sfs_special_forces_n', 'Sienar Fleet Systems \"Special Forces\" Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '557', 'eng_kessel_rebel_incom_t11_elite_n', 'Incom T-11 Elite Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '558', 'eng_kessel_rebel_novaldex_blackhole_elite_n', 'Novaldex \"Blackhole\" Elite Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '559', 'eng_kessel_rebel_novaldex_grb1138_n', 'Novaldex \"GRB-1138\" Elite Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '560', 'eng_koensayr_advanced_n', 'Koensayr Advanced');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '561', 'eng_koensayr_dual_small_ionjet_n', 'Koensayr Dual Small Ion Jet Engines');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '562', 'eng_koensayr_elite_n', 'Koensayr Elite');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '563', 'eng_koensayr_enhanced_dual_small_ionjet_n', 'Koensayr Enhanced Dual Small Ionjet Engines');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '564', 'eng_koensayr_heavy_ionjet_n', 'Koensayr Heavy Ionjet');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '565', 'eng_koensayr_ionjet_n', 'Koensayr R200 Ion Jet Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '566', 'eng_koensayr_small_ionjet_n', 'Koensayr Small Ion-Jet Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '567', 'eng_koensayr_tuned_small_ionjet_n', 'Koensayr Tuned Small Ionjet Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '568', 'eng_kongar_defender_n', 'KonGar KGDefender Ion Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '569', 'eng_kse_a2x_n', 'Kuat Systems Engineering A-2X Thrust Engines');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '570', 'eng_kse_a5x_n', 'Kuat Systems Engineering A-5X Engines');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '571', 'eng_kse_a7x_n', 'Kuat Systems Engineering A-7X Engines');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '572', 'eng_kse_a8x_n', 'Kuat Systems Engineering A-8X Engines');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '573', 'eng_kse_advanced_n', 'Kuat Systems Engineering Advanced Engines');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '574', 'eng_kse_elite_n', 'Kuat Systems Engineering Elite Engines');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '575', 'eng_kse_improved_a2x_n', 'Kuat Systems Engineering Improved A-2X Thrust Engines');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '576', 'eng_kuat_a9x_n', 'KuatDriveSystems A-9X Thrust Engines');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '577', 'eng_kuat_f31_n', 'Kuat Engineering Systems F-31 Drive Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '578', 'eng_kuat_tc40_n', 'Kuat Engineering Systems TC-40 Engines');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '579', 'eng_mandal_advanced_n', 'MandalMotors Advanced Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '580', 'eng_mandal_elite_n', 'MandalMotors Elite Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '581', 'eng_mandal_enhanced_heavy_n', 'MandalMotors Enhanced Heavy Engines');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '582', 'eng_mandal_firestorm_2_n', 'MandalMotors \"Firestorm 2\" Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '583', 'eng_mandal_firestorm_n', 'MandalMotors \"Firestorm\" Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '584', 'eng_mandal_heavy_n', 'MandalMotors Heavy Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '585', 'eng_mandal_x37_vandal_n', 'MandalMotors X-37 Vandal Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '586', 'eng_mandal_x57_vandal_n', 'MandalMotors X-57 \"Vandal\" Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '587', 'eng_mission_reward_imperial_cygnus_megadrive_n', 'Cygnus \"Megadrive\" Starship Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '588', 'eng_mission_reward_neutral_haor_chall_military_n', 'Haor Chall Military Grade Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '589', 'eng_mission_reward_neutral_mandal_inferno_n', 'MandalMotors \"Inferno\" Starfighter Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '590', 'eng_mission_reward_rebel_incom_military_n', 'Incom Military-Grade Starfighter Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '591', 'eng_moncal_charged_standard_n', 'Mon Calamari Charged Standard Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '592', 'eng_moncal_enhanced_light_n', 'Mon Calamari Enhanced Light Drive Engines');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '593', 'eng_moncal_heavy_n', 'Mon Calamari  Heavy Ion Engines');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '594', 'eng_moncal_ifs32_n', 'Mon Calamari LFS-32 Drive Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '595', 'eng_moncal_ifs64_n', 'Mon Calamari LFS-64 Drive Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '596', 'eng_moncal_improved_heavy_n', 'Mon Calamari Improved Heavy Drive Engines');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '597', 'eng_moncal_light_n', 'Mon Calamari Light Drive Engines');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '598', 'eng_moncal_standard_n', 'Mon Calamari Standard Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '599', 'eng_novaldex_advanced_n', 'Novaldex Advanced Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '600', 'eng_novaldex_light_eventhorizon_n', 'Novaldex Light J-77 \"Event Horizon\" Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '601', 'eng_novaldex_singularity_n', 'Novaldex J-65 \"Singularity\"');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '602', 'eng_novaldex_x12_n', 'Novaldex X-12 \"Experimental\"');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '603', 'eng_novaldex_x6_n', 'Novaldex X6 Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '604', 'eng_novaldex_x7_n', 'Novaldex X7 Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '605', 'eng_novaldex_x9_n', 'Novaldex X9 Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '606', 'eng_nubian_221_n', 'Nubian 221 Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '607', 'eng_nubian_221_racing_mod_n', 'Nubian 221 - Racing Mod');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '608', 'eng_qualdex_a10_n', 'Qualdex Kyromaster A-10');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '609', 'eng_qualdex_a13_n', 'Qualdex A13 Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '610', 'eng_qualdex_advanced_n', 'Qualdex Advanced Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '611', 'eng_qualdex_b10_n', 'Qualdex B10 Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '612', 'eng_qualdex_elite_n', 'Qualdex Elite Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '613', 'eng_qualdex_igt_n', 'Qualdex IGT Engines');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '614', 'eng_qualdex_kyromaster_n', 'Qualdex Kyromaster Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '615', 'eng_qualdex_small_kyromaster_n', 'Qualdex Small \"Kyromaster\" Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '616', 'eng_rendili_demon_mk1_n', 'Rendili Demon Mark I Engines');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '617', 'eng_rendili_elite_n', 'Rendili Elite Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '618', 'eng_reward', 'This is an exceptionally rare starfighter engine.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '619', 'eng_reward_incom_elite', 'Elite Incom Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '620', 'eng_reward_koensayr_elite', 'Elite Koensayr Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '621', 'eng_reward_kuat_elite', 'Elite KDE Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '622', 'eng_reward_novaldex_elite', 'Elite Novaldex Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '623', 'eng_reward_surronian_elite', 'Elite Surronian Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '624', 'eng_rss_advanced_n', 'Republic Sienar Systems Advanced Ion Engines');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '625', 'eng_rss_elite_n', 'Republic Sienar Systems Elite Ion Engines');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '626', 'eng_rss_imperial_skyrunner_2_n', 'Republic Sienar Systems Imperial Skyrunner 2 Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '627', 'eng_rss_imperial_skyrunner_3_n', 'Republic Sienar Systems Imperial Skyrunner 3 Engines');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '628', 'eng_rss_imperial_skyrunner_4_n', 'Republic Sienar Systems Imperial Skyrunner 4 Engines');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '629', 'eng_rss_imperial_skyrunner_n', 'Republic Fleet Systems Imperial Skyrunner Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '630', 'eng_sds_imperial_1_n', 'Sienar Design Systems Imperial Ion Engines');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '631', 'eng_sds_imperial_2_n', 'Sienar Design Systems \"Imperial 2\" Ion Engines');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '632', 'eng_sds_limited_imperial_1_n', 'Sienar Design Systems Limited Edition Imperial Ion Engines');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '633', 'eng_seinar_ps56_n', 'Sienar Fleet Systems P-s5.6 Twin Ion Engines (TIE)');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '634', 'eng_sfs_advanced_n', 'Sienar Fleet Systems Advanced Ion Drive');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '635', 'eng_sfs_elite_n', 'Sienar Fleet Systems Elite Ion Engines');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '636', 'eng_sfs_imperial_1_n', 'Sienar Fleet Systems Imperial Ion Engines');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '637', 'eng_sfs_imperial_2_n', 'Sienar Fleet Systems Imperial-2 Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '638', 'eng_sfs_imperial_3_n', 'Sienar Fleet Systems Imperial-3 Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '639', 'eng_sfs_imperial_4_n', 'Sienar Fleet Systems Imperial-4 Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '640', 'eng_sfs_imperial_5_n', 'Sienar Fleet Systems Imperial-5 Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '641', 'eng_sfs_modified_imperial_3_n', 'Sienar Fleet Systems Modified Imperial-3 Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '642', 'eng_sfs_performance_imperial_1_n', 'Sienar Fleet Systems Performance Imperial Ion Engines');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '643', 'eng_sfs_tuned_imperial_2_n', 'Sienar Fleet Systems Tuned Imperial-2 Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '644', 'eng_sorosuub_l_337_ion_engine_n', 'SoroSuub L-337 Ion Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '645', 'eng_sorosuub_tuned_l_337_ion_engine_n', 'SoroSuub Tuned L-337 Ion Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '646', 'eng_sorosuub_u83r_ion_drive_n', 'SoroSuub U-83R Ion Drive');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '647', 'eng_subpro_light_engines_n', 'SubPro Light Ion Engines');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '648', 'eng_surronian_a25_n', 'Surronian A2.50 Grade Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '649', 'eng_surronian_a2_n', 'Surronian A2 Grade Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '650', 'eng_tiefighter_basic_n', 'Basic Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '651', 'eng_ubrikkian_n2_n', 'Ubrikkian N2 Drive Engines');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '652', 'eng_z95_basic_n', 'Basic Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '653', 'engine_incom_fusialthrust_d', 'Standard fusial thrust technology from the Incom corporation, generally part of the basic equipment on X-wing fighters and modified Z-95 Headhunter starships.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '654', 'engine_incom_fusialthrust_n', 'Incom Fusial Thrust Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '655', 'engine_interior_n', 'Engine Access Panel');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '656', 'engine_koensayr_ionjet_n', 'Koensayr Ionjet Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '657', 'engine_kuat_a9x_n', 'Kuat Drive Yards A-9x Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '658', 'engine_kuat_f31_n', 'Kuat Drive Yards F31 Ion Drive');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '659', 'engine_kuat_tc40_n', 'Kuat Drive Yards TC-40 Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '660', 'engine_novaldex_eventhorizon_d', 'Novaldex pushes the starship performance envelope with the J-77 \"Event Horizon\" engine. Much more power per cubic centimeter than its predecessor (the J-65), and considerable energy economy when compared to other high-performance sublight engines.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '661', 'engine_novaldex_eventhorizon_n', 'Novaldex J-77 \"Event Horizon\" Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '662', 'engine_novaldex_singularity_n', 'Novaldex \"Singularity\" Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '663', 'engine_novaldex_x12_n', 'Novaldex X12 Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '664', 'engine_nubian_221_n', 'Nubian 221 Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '665', 'engine_nubian_221_racing_mod_n', 'Nubian 221 Racing Mod');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '666', 'engine_qualdex_a10_n', 'Qualdex A10 Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '667', 'engine_qualdex_igt_n', 'Qualdex IGT Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '668', 'engine_qualdex_kyromaster_d', 'Massive starship power and maneuverability at an affordable price. The Qualdex \"Kyromaster\" line is a superb addition to any high-performance starship. Perfect for quick interdictions and the long-haul through deep space.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '669', 'engine_qualdex_kyromaster_n', 'Qualdex \"Kyromaster\" Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '670', 'engine_seinar_ps56_n', 'Sienar Fleet Systems PS-56 Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '671', 'engine_surronian_a25_n', 'Surronian A25 Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '672', 'engine_ubrikkian_n2_n', 'Ubrikkian N2 Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '673', 'escape_pod', 'Escape Pod Hatch');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '674', 'generic_armor_d', 'This is a piece of starship armor plating. This is your second layer of defense behind your shields. To equip ship components, go to a starship terminal and click \"Manage\". This will allow you to equip this item as well as compare attributes with your current components.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '675', 'hull_access_interior_n', 'Hull Access Panel');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '676', 'hyperdrive_interior_n', 'Hyperdrive Access Panel');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '677', 'life_support_interior_n', 'Life Support Subsystem');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '678', 'missile_launcher_interior_n', 'Missile Launcher Access Panel');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '679', 'navicomputer_1_d', 'Flight Computers are used to store ship management system parameter profiles that can alter ship power allocation during flight. Some starships use astromechs to perform this function instead of flight computers. Once a flight computer has been initialized, programmed data chips can be transferred to its datapad. When a flight computer is associated with a starship, any programs in its datapad will be useable by the pilot once the ship is in space.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '680', 'navicomputer_1_n', 'v1 Flight Computer');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '681', 'navicomputer_2_d', 'Flight Computers are used to store ship management system parameter profiles that can alter ship power allocation during flight. Some starships use astromechs to perform this function instead of flight computers. Once a flight computer has been initialized, programmed data chips can be transferred to its datapad. When a flight computer is associated with a starship, any programs in its datapad will be useable by the pilot once the ship is in space.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '682', 'navicomputer_2_n', 'v2 Flight Computer');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '683', 'navicomputer_3_d', 'Flight Computers are used to store ship management system parameter profiles that can alter ship power allocation during flight. Some starships use astromechs to perform this function instead of flight computers. Once a flight computer has been initialized, programmed data chips can be transferred to its datapad. When a flight computer is associated with a starship, any programs in its datapad will be useable by the pilot once the ship is in space.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '684', 'navicomputer_3_n', 'v3 Flight Computer');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '685', 'navicomputer_4_d', 'Flight Computers are used to store ship management system parameter profiles that can alter ship power allocation during flight. Some starships use astromechs to perform this function instead of flight computers. Once a flight computer has been initialized, programmed data chips can be transferred to its datapad. When a flight computer is associated with a starship, any programs in its datapad will be useable by the pilot once the ship is in space.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '686', 'navicomputer_4_n', 'v4 Flight Computer');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '687', 'navicomputer_5_d', 'Flight Computers are used to store ship management system parameter profiles that can alter ship power allocation during flight. Some starships use astromechs to perform this function instead of flight computers. Once a flight computer has been initialized, programmed data chips can be transferred to its datapad. When a flight computer is associated with a starship, any programs in its datapad will be useable by the pilot once the ship is in space.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '688', 'navicomputer_5_n', 'v5 Flight Computer');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '689', 'navicomputer_6_d', 'Flight Computers are used to store ship management system parameter profiles that can alter ship power allocation during flight. Some starships use astromechs to perform this function instead of flight computers. Once a flight computer has been initialized, programmed data chips can be transferred to its datapad. When a flight computer is associated with a starship, any programs in its datapad will be useable by the pilot once the ship is in space.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '690', 'navicomputer_6_n', 'v6 Flight Computer');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '691', 'plasma_conduit_interior_n', 'Plasma Conduit');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '692', 'rct_armek_phase_grinder_n', 'Armek Phase Grinder Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '693', 'rct_armek_super_collider_n', 'Armek Super-collider Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '694', 'rct_armek_ultra_collider_n', 'Armek Ultra Collider');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '695', 'rct_corellian_modified_bt3_n', 'Corellian Modified BT3 Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '696', 'rct_corellian_modified_bt5_n', 'Corellian Modified BT5 Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '697', 'rct_cygnus_advanced_n', 'Cygnus Advanced');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '698', 'rct_cygnus_mk1_n', 'Cygnus Mark I Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '699', 'rct_cygnus_mk2_n', 'Cygnus Mark II Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '700', 'rct_cygnus_supercharged_mk2_n', 'Cygnus Supercharger Mark II Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '701', 'rct_cygnus_tuned_mk1_n', 'Cygnus Tuned Mark I Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '702', 'rct_freitek_improved_powerhouse_mk1_n', 'Freitek Improved Mark I Powerhouse Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '703', 'rct_freitek_level1_n', 'FreiTek Inc. Level 1 Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '704', 'rct_freitek_performance_level1_n', 'FreiTek Inc. Performance Level 1 Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '705', 'rct_freitek_powerhouse_mk1_n', 'FreiTek Powerhouse Mark I Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '706', 'rct_freitek_powerhouse_mk2_n', 'FreiTek Powerhouse Mark II Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '707', 'rct_freitek_powerhouse_mk3_n', 'Freitek Powerhouse Mark III Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '708', 'rct_incom_advanced_n', 'Incom Advanced Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '709', 'rct_incom_custom_mark2_n', 'Incom Custom Mark II Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '710', 'rct_incom_elite_n', 'Incom Elite Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '711', 'rct_incom_improved_mark1_n', 'Incom Improved Mark I Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '712', 'rct_incom_mark1_n', 'Incom Mark 1 Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '713', 'rct_incom_mark2_n', 'Incom Mark 2 Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '714', 'rct_incom_mark3_n', 'Incom Mark 3 Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '715', 'rct_incom_mark4_n', 'Incom Mark 4 Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '716', 'rct_incom_mark5_n', 'Incom Mark 5 Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '717', 'rct_kessel_imperial_kdy_powermaster_n', 'Kuat Drive Yards \"Powermaster\" Elite Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '718', 'rct_kessel_imperial_sds_secret_ops_n', 'Sienar Design Systems \"Secret Ops\" Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '719', 'rct_kessel_imperial_sfs_special_forces_n', 'Sienar Fleet Systems \"Special Forces\" Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '720', 'rct_kessel_rebel_incom_overdriven_elite_n', 'Incom Overdriven Elite Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '721', 'rct_kessel_rebel_mandal_modified_gorax_n', 'MandalMotors Modified Gorax Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '722', 'rct_kessel_rebel_slayn_high_output_experimental_n', 'Slayn and Korpil High Output Experimental Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '723', 'rct_koensayr_charged_supernova_n', 'Koensayr Charger Supernova Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '724', 'rct_koensayr_enhanced_supernova_mk2_n', 'Koensayr Enhanced Mark II Supernova Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '725', 'rct_koensayr_supernova_advanced_n', 'Koensayr Supernova Advanced Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '726', 'rct_koensayr_supernova_mk2_n', 'Koensayr Mark II Supernova Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '727', 'rct_koensayr_supernova_mk3_n', 'Koensayr Supernova Mark III Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '728', 'rct_koensayr_supernova_n', 'Koensayr \"Supernova\" Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '729', 'rct_kse_custom_lx11_n', 'Kuat Systems Engineering Custom LX-11 Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '730', 'rct_kse_lx11_n', 'Kuat Systems Engineering LX-11 Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '731', 'rct_kse_lx21_n', 'Kuat Systems Engineering LX-21 ');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '732', 'rct_kse_rct_x_n', 'Kuat Systems Engineering RCT-X Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '733', 'rct_kse_rct_z_n', 'Kuat Systems Engineering RCT-Z Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '734', 'rct_kse_supreme_n', 'Kuat Systems Engineering Supreme Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '735', 'rct_mandal_dx_advanced_n', 'MandalMotors DX-Advanced Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '736', 'rct_mandal_dxr2_n', 'MandalMotors DXR-2 Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '737', 'rct_mandal_dxr3_n', 'MandalMotors DXR-3 Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '738', 'rct_mandal_dxr4_n', 'MandalMotors DXR-4 Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '739', 'rct_mandal_dxr5_n', 'MandalMotors DXR-5 Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '740', 'rct_mandal_dxr6_n', 'MandalMotors DXR-6 Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '741', 'rct_mandal_dxr_n', 'MandalMotors DXR Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '742', 'rct_mandalor_gorax_elite_n', 'Mandalor Motors \"Gorax\" Elite Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '743', 'rct_mandalor_gorax_n', 'Mandalor Motors \"Gorax\" Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '744', 'rct_mission_reward_imperial_rss_advanced_military_n', 'Republic Sienar Systems Advanced Military-Grade Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '745', 'rct_mission_reward_imperial_sds_high_output_n', 'Sienar Design Systems High-Output Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '746', 'rct_mission_reward_neutral_subpro_military_n', 'SubPro Military-Grade Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '747', 'rct_mission_reward_rebel_slayn_hypervortex_n', 'Slayn & Korpil \"Hypervortex\" Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '748', 'rct_moncal_overdriver_s1_n', 'Mon Calamari Overdriver Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '749', 'rct_moncal_overdriver_s2_n', 'Mon Calamari Overdriver S2 Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '750', 'rct_rendili_type5_n', 'Rendili Type5 Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '751', 'rct_rendili_type7_n', 'Rendili Type7 Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '752', 'rct_rendili_type_x_elite_n', 'Rendili Type X Elite Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '753', 'rct_reward', 'This is an exceptionally rare starship reactor.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '754', 'rct_reward_armek_elite', 'Elite Armek Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '755', 'rct_reward_incom_elite', 'Elite INCOM Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '756', 'rct_reward_slayn_elite', 'Elite Slayn & Korpil Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '757', 'rct_reward_subpro_elite', 'Elite Subpro Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '758', 'rct_reward_taim_elite', 'Elite Taim & Bak Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '759', 'rct_rss_advanced_n', 'Republic Sienar Systems Advanced Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '760', 'rct_rss_x12_n', 'Republic Sienar Systems X12 Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '761', 'rct_rss_x8_n', 'Republic Sienar Systems X8 Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '762', 'rct_sds_elite_n', 'Sienar Design Systems Elite Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '763', 'rct_sds_imperial_1_n', 'Sienar Design Systems Imperial 1 Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '764', 'rct_sds_special_forces_1_n', 'Sienar Design Systems Special Forces 1 Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '765', 'rct_seinar_enhanced_level1_n', 'Sienar Enhanced Level 1 Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '766', 'rct_seinar_level1_n', 'Sienar Level 1 Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '767', 'rct_seinar_level2_n', 'Sienar Level 2 Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '768', 'rct_seinar_level3_n', 'Sienar Level 3 Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '769', 'rct_seinar_level4_n', 'Sienar Level 4 Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '770', 'rct_sfs_advanced_n', 'Sienar Fleet Systems Advanced Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '771', 'rct_sfs_elite_n', 'Sienar Fleet Systems Elite Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '772', 'rct_sfs_imperial_1_n', 'Sienar Fleet Systems Imperial-1 Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '773', 'rct_sfs_imperial_2_n', 'Sienar Fleet Systems Imperial-2 Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '774', 'rct_sfs_imperial_3_n', 'Sienar Fleet Systems Imperial-3 Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '775', 'rct_sfs_imperial_4_n', 'Sienar Fleet Systems Imperial-4 Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '776', 'rct_sfs_imperial_5_n', 'Sienar Fleet Systems Imperial-5 Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '777', 'rct_slayn_hypertron_2k_n', 'Slayn & Korpil \"Hypertron 2000\" Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '778', 'rct_slayn_hypertron_4k_n', 'Slayn & Korpil \"Hypertron 4000\" Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '779', 'rct_slayn_vortex_mk1_n', 'Slayn & Korpil \"Vortex\" Mk1 Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '780', 'rct_slayn_vortex_mk2_n', 'Slayn & Korpil \"Vortex\" Mk2 Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '781', 'rct_slayn_vortex_mk3_n', 'Slayn & Korpil \"Vortex\" Mk3 Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '782', 'rct_slayn_vortex_mk4_n', 'Slayn & Korpil \"Vortex\" Mk4 Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '783', 'rct_sorosuub_fusion_reactor_1_n', 'SoroSuub Fusion Reactor 1');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '784', 'rct_sorosuub_fusion_reactor_2_n', 'SoroSuub Fusion Reactor 2');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '785', 'rct_sorosuub_fusion_reactor_3_n', 'SoroSuub Fusion Reactor 3');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '786', 'rct_sorosuub_turbine_3_n', 'SoroSuub Turbine 3');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '787', 'rct_sorosuub_turbine_advanced_n', 'SoroSuub Turbine Advanced');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '788', 'rct_subpro_aurora_max_n', 'Subpro Aurora Max');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '789', 'rct_subpro_aurora_n', 'Subpro Aurora Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '790', 'rct_subpro_dyna1_n', 'Subpro Dyna-I Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '791', 'rct_subpro_dyna2_n', 'Subpro Dyna-II Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '792', 'rct_subpro_special_dyna2_n', 'Subpro Special Dyna-II Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '793', 'rct_taim_experimental_s1_n', 'Taim & Bak Experimental Reactor S1');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '794', 'rct_taim_experimental_s2_n', 'Taim & Bak Experimental Reactor S2');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '795', 'rct_taim_experimental_s3_n', 'Taim Experimental S3');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '796', 'rct_tiefighter_basic_n', 'Basic Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '797', 'rct_unknown_distressed_aluminum_n', '(Unknown) Distressed Aluminum Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '798', 'rct_unknown_multicore_n', '(Unknown) Multi-core Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '799', 'rct_unknown_proton_chamber_n', '(Unknown) Proton Chamber Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '800', 'rct_watto_sunray_2_n', 'Watto\'s \"Sunray\" Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '801', 'rct_watto_sunray_3_n', 'Watto\'s \"Sunray\" Mark III Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '802', 'rct_z95_basic_n', 'Basic Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '803', 'reactor_interior_n', 'Reactor Access Point');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '804', 'repair_kit_armor_d', 'Armor Repair Kit');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '805', 'repair_kit_armor_n', 'Armor Repair Kit');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '806', 'repair_kit_booster_d', 'Booster Repair Kit');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '807', 'repair_kit_booster_n', 'Booster Repair Kit');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '808', 'repair_kit_capacitor_d', 'Weapon Capacitor Repair Kit');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '809', 'repair_kit_capacitor_n', 'Weapon Capacitor Repair Kit');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '810', 'repair_kit_conduit_d', 'Conduit Repair Kit');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '811', 'repair_kit_droid_interface_d', 'Droid Interface Repair Kit');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '812', 'repair_kit_droid_interface_n', 'Droid Interface Repair Kit');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '813', 'repair_kit_engine_d', 'Engine Repair Kit');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '814', 'repair_kit_engine_n', 'Engine Repair Kit');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '815', 'repair_kit_hull_d', 'Hull Repair Kit');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '816', 'repair_kit_hull_n', 'Hull Repair Kit');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '817', 'repair_kit_reactor_d', 'Reactor Repair Kit');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '818', 'repair_kit_reactor_n', 'Reactor Repair Kit');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '819', 'repair_kit_shield_d', 'Shield Generator Repair Kit');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '820', 'repair_kit_shield_n', 'Shield Generator Repair Kit');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '821', 'repair_kit_weapon_d', 'Weapon Repair Kit');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '822', 'repair_kit_weapon_n', 'Weapon Repair Kit');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '823', 'shd_armek_plasma_shell_elite_2_n', 'Armek Plasma Shell Elite 2 Shield Generator');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '824', 'shd_armek_plasma_shell_elite_n', 'Armek Plasma Shell Elite Shield Generator');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '825', 'shd_armek_plasma_shell_s1_n', 'Armek Plasma Shell Deflector Shields');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '826', 'shd_armek_plasma_shell_s2_n', 'Armek Plasma Shell Deflector Shields (S2 Elite)');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '827', 'shd_armek_plasma_shell_s3_n', 'Armek Plasma Shell S3 Shield Generator');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '828', 'shd_armek_plasma_shell_s6_n', 'Armek Plasma Shell S6 Shield Generator');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '829', 'shd_cygnus_elite_n', 'Cygnus Elite Shield Generator');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '830', 'shd_cygnus_improved_mk2_n', 'Cygnus Improved Mark II Shields');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '831', 'shd_cygnus_mk1_n', 'Cygnus Mark I Shields');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '832', 'shd_cygnus_mk2_n', 'Cygnus Mark II Shields');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '833', 'shd_cygnus_mk3_n', 'Cygnus Mark III Shields');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '834', 'shd_cygnus_mk4_n', 'Cygnus Mark IV Shields');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '835', 'shd_cygnus_mk5_n', 'Cygnus Mark V Shields');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '836', 'shd_cygnus_special_mk1_n', 'Cygnus Special Mark I Shields');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '837', 'shd_dual_deflector_s1_n', '(Unknown) Dual Deflector System');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '838', 'shd_dual_deflector_s2_n', '(Unknown) Advanced Dual Deflector System');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '839', 'shd_gallofree_defender_2_n', 'Gallofree Defender 2 Shield Generator');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '840', 'shd_gallofree_defender_elite_n', 'Gallofree Defender Elite Shield Generator');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '841', 'shd_incom_mark2_n', 'Incom Deflector Screen Mark2');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '842', 'shd_incom_mark5_n', 'Incom Deflector Screen Mark 5');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '843', 'shd_incom_mark9_n', 'Incom Deflector Screen Mark 9');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '844', 'shd_incom_rayshield_advanced_n', 'Incom Rayshield Advanced');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '845', 'shd_incom_rayshield_r4_n', 'Incom Rayshield R4');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '846', 'shd_incom_rayshield_r7_n', 'Incom Rayshield R7');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '847', 'shd_incom_rayshield_x12_n', 'Incom Rayshield X12');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '848', 'shd_incom_rayshield_x1_n', 'Incom Rayshield (Experimental)');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '849', 'shd_incom_rayshield_x2_n', 'Incom Rayshield (Second-generation Experimental)');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '850', 'shd_incom_rayshield_x5_n', 'Incom Rayshield X5 Prototype');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '851', 'shd_incom_rayshield_x7_n', 'Incom Rayshield X7');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '852', 'shd_incom_rayshield_x9_n', 'Incom Rayshield X9');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '853', 'shd_incom_rayshield_z1_n', 'Incom Rayshield Z1');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '854', 'shd_incom_rayshield_z5_n', 'Incom Rayshield Z5');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '855', 'shd_incom_rayshield_z7_n', 'Incom Rayshield Z7');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '856', 'shd_incom_techscreen_1_n', 'Incom Techscreen 1 Shield Generator');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '857', 'shd_incom_techscreen_2_n', 'Incom Techscreen 2 Shield Generator');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '858', 'shd_incom_techscreen_elite_n', 'Incom Techscreen Elite Shield Generator');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '859', 'shd_interlaced_graviton_n', '(Experimental) Interlaced Graviton Protection Grid');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '860', 'shd_kessel_imperial_cygnus_experimental_system_n', 'Cygnus Experimental Shield Generation System');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '861', 'shd_kessel_imperial_sds_secret_ops_n', 'Sienar Design Systems \"Secret Ops\" Shield Generation System');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '862', 'shd_kessel_imperial_sfs_megapolyweb_n', 'Sienar Fleet Systems \"Mega Polyweb\" Shield Generator');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '863', 'shd_kessel_rebel_incom_rayshield_overdriver_n', 'Incom \"Rayshield Overdriver\" Shield Generator');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '864', 'shd_kessel_rebel_sorosuub_ion_mesh_projection_n', 'SoroSuub Ion-Mesh Projection System');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '865', 'shd_kessel_rebel_unknown_proton_interweave_system_n', '(Unknown Manufacturer) Proton Interweave Shielding System');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '866', 'shd_koensayr_deflector_advanced_n', 'Koensayr Deflector Advanced');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '867', 'shd_koensayr_deflector_elite_n', 'Koensayr Deflector Elite');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '868', 'shd_koensayr_deflector_m1_n', 'Koensayr M1 Deflector Shield');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '869', 'shd_koensayr_deflector_m2_n', 'Koensayr Deflector Shield M2');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '870', 'shd_koensayr_deflector_m3_n', 'Koensayr Deflector M3');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '871', 'shd_koensayr_deflector_m6_n', 'Koensayr Deflector M6');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '872', 'shd_koensayr_deflector_m8_n', 'Koensayr Deflector M8');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '873', 'shd_koensayr_improved_deflector_m1_n', 'Koensayr Improved Deflector Shield M1');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '874', 'shd_koensayr_modified_deflector_advanced_n', 'Koensayr Modified Deflector Advanced');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '875', 'shd_kse_elite_n', 'Kuat Systems Engineering Elite Shield Generator');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '876', 'shd_kse_enhanced_military_mk1_n', 'Kuat Systems Engineering Enhanced Mark I Military Shield Generator');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '877', 'shd_kse_military_mk1_n', 'Kuat Systems Engineering Mark I Military Shield Generator');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '878', 'shd_kse_military_mk2_n', 'Kuat Systems Engineering Mark II Military Shield Generator');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '879', 'shd_kse_mk3_n', 'Kuat Systems Engineering Mark III Deflector Shields');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '880', 'shd_kse_mk4_n', 'Kuat Systems Engineering Mark IV Deflector Shields');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '881', 'shd_kse_mk5_n', 'Kuat Systems Engineering Mark V Deflector Shields');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '882', 'shd_kse_mk6_n', 'Kuat Systems Engineering Mark VI Deflector Shields');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '883', 'shd_kse_mk7_n', 'Kuat Systems Engineering Mark VII Deflector Shields');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '884', 'shd_mandal_double_protector_mk1_n', 'MandalMotors Double \"Protector Class\" Shields Mk1');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '885', 'shd_mandal_flexshield_ks25_n', 'MandalMotors Flexshield Ks-25 Shields');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '886', 'shd_mandal_flexshield_ks5_n', 'MandalMotors Flexshield Ks-5 Shields');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '887', 'shd_mandal_flexshield_ks7_n', 'MandalMotors Flexshield Ks-7 Shields');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '888', 'shd_mandal_flexshield_kx1_n', 'MandalMotors Flexshield Kx-1 Shields');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '889', 'shd_mandal_protector_mk1_n', 'MandalMotors \"Protector Class\" Shields Mk1');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '890', 'shd_mandalor_flexshield_ks18_n', 'MandalMotors \"Flexshield\" KS-18');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '891', 'shd_mandalor_flexshield_ks1_n', 'MandalMotors \"Flexshield\" KS-1');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '892', 'shd_mandalor_flexshield_ks3_n', 'MandalMotors \"Flexshield\" KS-3');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '893', 'shd_mission_reward_imperial_cygnus_holoscreen_n', 'Cygnus \"Holoscreen\" Shield Generator');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '894', 'shd_mission_reward_imperial_rendili_dual_projector_n', 'Rendili Dual-Projector Shield Generator');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '895', 'shd_mission_reward_neutral_armek_plasma_web_n', 'Armek \"Plasma Web\" Shield Generator');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '896', 'shd_mission_reward_neutral_koensayr_ds23_n', 'Koensayr \"DS-23\" Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '897', 'shd_mission_reward_rebel_incom_k77_n', 'Incom \"K-77\" Shield Generator');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '898', 'shd_mission_reward_rebel_taim_military_grade_n', 'Taim & Bak Military-Grade Shield Generator');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '899', 'shd_moncal_deluxe_ionweb_a_n', 'Mon Calamari Deluxe \"Ion-Web A\" Deflector Shields');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '900', 'shd_moncal_deluxe_ionweb_b_n', 'Mon Calamari Deluxe \"Ion-Web B\" Deflector Shields');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '901', 'shd_moncal_ionweb_a_n', 'Mon Calamari \"Ion-Web A\" Deflector Shields');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '902', 'shd_moncal_ionweb_advanced_n', 'Mon Calamari Ionweb Advanced Shields');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '903', 'shd_moncal_ionweb_elite_2_n', 'Mon Calamari Ionweb Elite 2 Shields');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '904', 'shd_moncal_ionweb_elite_n', 'Mon Calamari Ionweb Elite Shields');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '905', 'shd_moncal_ionweb_heavy_n', 'Mon Calamari Ionweb Heavy Shields');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '906', 'shd_moncal_n', 'Mon Calamari Standard Shield');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '907', 'shd_phased_fullerine_fx12_n', 'Phased Fullerine FX12 Shield System');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '908', 'shd_phased_fullerine_fx27_n', 'Phased Fullerine FX27 Deflector Array');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '909', 'shd_phased_fullerine_fx92_n', 'Phased Fullerine FX92 Energy Shield');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '910', 'shd_rendili_n', 'Rendili Standard Deflector Shield');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '911', 'shd_reward', 'This is an exceptionally rare starfighter shield generator.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '912', 'shd_reward_armek_elite', 'Elite Armek Shield Generator');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '913', 'shd_reward_incom_elite', 'Elite INCOM Shield Generator');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '914', 'shd_reward_mandalor_elite', 'Elite Mandalor Shield Generator');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '915', 'shd_reward_seinar_elite', 'Elite Seinar Shield Generator');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '916', 'shd_reward_taim_elite', 'Elite Taim & Bak Shield Generator');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '917', 'shd_seinar_experimental_a1_n', 'Sienar Systems Experimental Reflector (Unreleased)');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '918', 'shd_seinar_gx3_n', 'Sienar Systems GX3 Deflector');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '919', 'shd_seinar_gx7_n', 'Sienar Systems GX7 Deflector');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '920', 'shd_seinar_gx_elite_n', 'Sienar Systems GX Elite Deflector');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '921', 'shd_seinar_proton_screen_p1_n', 'Sienar Proton Screen (Abandoned Prototype)');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '922', 'shd_seinar_proton_screen_p6_n', 'Sienar Systems Proton Screen (Marketing Prototype)');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '923', 'shd_seinar_reflector_elite_n', 'Sienar Systems Elite Reflector System');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '924', 'shd_seinar_reflector_standard_n', 'Sienar Systems Standard Reflector Array');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '925', 'shd_sfs_advanced_n', 'Sienar Fleet Systems Advanced Shield');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '926', 'shd_sfs_custom_polyweb_elite_n', 'Sienar Fleet Systems Custom Polyweb Elite Shields');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '927', 'shd_sfs_imperial_deluxe_standard_n', 'Sienar Fleet Systems Deluxe Imperial Standard Shields');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '928', 'shd_sfs_imperial_heavy_n', 'Sienar Fleet Systems Imperial Heavy Shields');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '929', 'shd_sfs_imperial_special_forces_n', 'Sienar Fleet Systems Imperial Special Forces Shields');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '930', 'shd_sfs_imperial_standard_n', 'Sienar Fleet Systems Imperial Standard Shields');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '931', 'shd_sfs_limited_advanced_n', 'Sienar Fleet Systems Limited Advanced Shields');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '932', 'shd_sfs_modified_imperial_heavy_n', 'Sienar Fleet Systems Modified Imperial Heavy Deflectors');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '933', 'shd_sfs_modified_imperial_special_forces_n', 'Sienar Fleet Systems Modified Imperial Special Forces Deflectors');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '934', 'shd_sfs_modified_polyweb_advanced_n', 'Sienar Fleet Systems Modified Polyweb Advanced Deflectors');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '935', 'shd_sfs_polyweb_4_n', 'Sienar Fleet Systems Polyweb 4 Shield');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '936', 'shd_sfs_polyweb_6_n', 'Sienar Fleet Systems Polyweb 6 Shield');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '937', 'shd_sfs_polyweb_advanced_n', 'Sienar Fleet Systems Polyweb Advanced Shield');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '938', 'shd_sfs_polyweb_elite_n', 'Sienar Fleet Systems Polyweb Elite Shield');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '939', 'shd_taim_advanced_n', 'Taim & Bak Advanced');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '940', 'shd_taim_elite_n', 'Taim & Bak Elite');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '941', 'shd_taim_enhanced_advanced_n', 'Taim & Bak Enhanced Advanced');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '942', 'shd_taim_heavy_n', 'Taim & Bak Heavy');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '943', 'shd_taim_standard_n', 'Taim & Bak Standard Shields');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '944', 'shd_unknown_holosteel_x1_n', '\"Holosteel\" X1 Shielding System');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '945', 'shd_unknown_holosteel_x2_n', '\"Holosteel\" X2 Shielding System');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '946', 'shd_unknown_proton_projector_n', '(Unknown) Proton Projector Shield');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '947', 'shd_z95_basic_n', 'Basic Shield Generator');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '948', 'shield_generator_interior_n', 'Shield Generator Access Panel');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '949', 'shipcontrol_falcon', 'Pilot\'s Chair');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '950', 'targeting_station_interior_n', 'Targeting Station Access Panel');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '951', 'too_far_to_enter', 'You are too far away.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '952', 'turretcontrol_falcon', 'Turret Access Ladder');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '953', 'weapon_incom_disruptor_d', 'Long-range starship disruptor technology has been a staple of the INCOM corporation development repertoire for only a few cycles. Although the newest weapons in this line are rather stable, the older post-experimentation models are notoriously twitchy and unreliable.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '954', 'weapon_incom_disruptor_n', 'Incom Long-Range Disruptor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '955', 'weapon_interior_n', 'Weapon System Access Panel');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '956', 'weapon_slayn_ioncannon_d', 'The standard in non-lethal starship weaponry - Slayn & Korpil employs the most reliable ionic particle stream technology on the market. ');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '957', 'weapon_slayn_ioncannon_n', 'Slayn & Korpil Ion Cannon');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '958', 'weapon_subpro_tripleblaster_d', 'The SubPro \"TripleBlaster\" gets its name from a three-tiered particle acceleration process. The SubPro line is known for their high kinetic damage potential and low energy consumption. Critics of the SubPro manufacturer complain that high usage results in more wear-and-tear than their competitors, however.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '959', 'weapon_subpro_tripleblaster_n', 'SubPro \"Triple Blaster\" Advanced Flash Cannon');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '960', 'wpn_armek_advanced_n', 'Armek Advanced');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '961', 'wpn_armek_elite_n', 'ArMek Elite Ion Cannon');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '962', 'wpn_armek_sw4_n', 'ArMek SW-4 Ion Cannon');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '963', 'wpn_armek_sw6_n', 'ArMek SW-6 Ion Cannon');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '964', 'wpn_armek_sw7_n', 'ArMek SW-7a Ion Cannon');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '965', 'wpn_armek_sw8_n', 'ArMek SW-8 Ion Cannon');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '966', 'wpn_awing_blaster_n', 'Standard A-Wing Blasters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '967', 'wpn_borstel_rg9_n', 'Borstel RG9 Laser Cannon');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '968', 'wpn_bwing_blaster_n', 'Standard B-Wing Blasters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '969', 'wpn_corellian_1d_n', 'Corellian 1D Servo Turrets');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '970', 'wpn_corellian_ag1g_laser_n', 'Corellian AG-1G Laser Cannons');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '971', 'wpn_corellian_ag2g_quad_laser_n', 'Corellian AG-2G Quad Laser Cannon');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '972', 'wpn_corellian_cruiser_grade_blaster_mk1_n', 'Corellian Cruiser-Grade Mark I Blaster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '973', 'wpn_cygnus_destroyer_mk1_n', 'Cygnus Mark I \"Destroyer\" Blaster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '974', 'wpn_cygnus_destroyer_mk2_n', 'Cygnus \"Destroyer\" Class Blaster Mk2');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '975', 'wpn_cygnus_elite_n', 'Cygnus Elite Disruptor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '976', 'wpn_cygnus_eradicator_1_n', 'Cygnus \"Eradicator 1\" Disruptor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '977', 'wpn_freitek_cannoneer_mk1_n', 'FreiTek Inc. \"Cannoneer\" Mk1');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '978', 'wpn_gyrhil_auto_blaster_n', 'Gyrhil 72 Twin Auto-Blasters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '979', 'wpn_gyrhil_r9x_n', 'Gyrhil R-9X Laser Cannon');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '980', 'wpn_haor_chall_speedblaster_n', 'Haor Chall Speedblaster Cannon');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '981', 'wpn_hk_modified_scorcher_elite_n', 'Hoersch-Kessel Modified Elite \"Scorcher\"');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '982', 'wpn_hk_scorcher_2_n', 'Hoersch-Kessel \"Scorcher 2\"');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '983', 'wpn_hk_scorcher_3_n', 'Hoersch-Kessel \"Scorcher 3\"');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '984', 'wpn_hk_scorcher_advanced_n', 'Hoersch-Kessel \"Scorcher Advanced\"');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '985', 'wpn_hk_scorcher_elite_n', 'Hoersch-Kessel \"Scorcher Elite\"');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '986', 'wpn_hk_scorcher_heavy_n', 'Hoersch-Kessel \"Scorcher Heavy\"');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '987', 'wpn_hk_scorcher_n', 'Hoersch-Kessel \"Scorcher\" Cannon');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '988', 'wpn_incom_advanced_blaster_n', 'Incom Advanced Blaster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '989', 'wpn_incom_blaster_n', 'Incom Starship Blaster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '990', 'wpn_incom_elite_quad_blaster_n', 'Incom Elite Quad Blaster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '991', 'wpn_incom_heavy_blaster_n', 'Incom Heavy Blaster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '992', 'wpn_incom_heavy_quad_blaster_n', 'Incom Heavy Quad Blaster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '993', 'wpn_incom_light_blaster_n', 'Incom Light Blaster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '994', 'wpn_incom_quad_blaster_n', 'Subpro/Incom Quad Blaster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '995', 'wpn_incom_shredder_n', 'Incom \"Shredder\" Cannon');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '996', 'wpn_incom_tt13_n', 'Incom TT13 Blasters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '997', 'wpn_incom_tt8_n', 'Incom TT8 Blasters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '998', 'wpn_kdy_pounder_mk1_n', 'Kuat Drive Yards \"Pounder\" Mk1');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '999', 'wpn_kessel_imperial_rendili_prototype_x_n', 'Rendili \"Prototype X\" Disruptor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1000', 'wpn_kessel_imperial_sds_experimental_secret_ops_n', 'Sienar Design Systems Experimental \"Secret Ops\" Blaster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1001', 'wpn_kessel_imperial_sfs_elite_ops_n', 'Sienar Fleet Systems \"Elite Ops\" Blaster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1002', 'wpn_kessel_rebel_incom_dualcore_flashcannon_n', 'Incom Dual-Core Flashcannon');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1003', 'wpn_kessel_rebel_riiz_combine_slammer_cannon_n', 'Riiz Combine \"Slammer\" Cannon');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1004', 'wpn_kessel_rebel_unknown_rayslinger_n', '(Unknown Manufacturer) \"Rayslinger\" Blaster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1005', 'wpn_koensayr_deluxe_ion_accelerator_n', 'Koensayr Deluxe Ion-Accelerator Cannon');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1006', 'wpn_koensayr_ion_accelerator_2_n', 'Koensayr Ion Accelerator 2 Cannon');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1007', 'wpn_koensayr_ion_accelerator_3_n', 'Koensayr Ion Accelerator 3 Cannon');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1008', 'wpn_koensayr_ion_accelerator_advanced_n', 'Koensayr Ion Accelerator Advanced Cannon');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1009', 'wpn_koensayr_ion_accelerator_n', 'Koensayr Ion-Accelerator Cannon');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1010', 'wpn_koensayr_light_disruptor_n', 'Koensayr Light Disruptor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1011', 'wpn_koensayr_tuned_light_disruptor_n', 'Koensayr Tuned Light Disruptor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1012', 'wpn_kse_double_blaster_n', 'Kuat Systems Engineering Double Blaster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1013', 'wpn_kse_light_disruptor_n', 'Kuat Systems Engineering Light Disruptor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1014', 'wpn_mandal_advanced_annihilator_n', 'MandalMotors Advanced Annihilator');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1015', 'wpn_mandal_annihilator_mk2_n', 'MandalMotors Annihilator Mk2');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1016', 'wpn_mandal_annilhator_mk1_n', 'MandalMotors Annilhator Mk1');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1017', 'wpn_mandal_elite_annihilator_n', 'MandalMotors Elite Annihilator');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1018', 'wpn_mandal_enhanced_mangler_mk1_n', 'MandalMotors Enhanced \"Mangler\" Cannon');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1019', 'wpn_mandal_heavy_annihilator_n', 'MandalMotors Heavy Annihilator');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1020', 'wpn_mandal_mangler_mk1_n', 'MandalMotors Mark I \"Mangler\" Cannon');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1021', 'wpn_mandal_qv3_disruptor_n', 'MandalMotors QV-3 Disruptor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1022', 'wpn_mandal_qv5_disruptor_n', 'MandalMotors QV-5 Disruptor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1023', 'wpn_mandal_super_mangler_n', 'MandalMotors \"Super-Mangler\" Cannon');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1024', 'wpn_mission_reward_imperial_cygnus_starblaster_n', 'Cygnus \"Starblaster\" Disruptor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1025', 'wpn_mission_reward_imperial_sds_boltdriver_n', 'Sienar Design Systems \"Boltdriver\"');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1026', 'wpn_mission_reward_neutral_borstel_disruptor_n', 'Borstel Disruptor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1027', 'wpn_mission_reward_neutral_hk_military_blaster_n', 'Hoersch-Kessel Military-Grade Blaster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1028', 'wpn_mission_reward_neutral_mandal_light_blaster_n', 'MandalMotors Light Blaster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1029', 'wpn_mission_reward_rebel_incom_tricannon_n', 'Incom \"Tri-Cannon\"');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1030', 'wpn_mission_reward_rebel_taim_ion_driver_n', 'Taim & Bak \"Ion Driver\"');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1031', 'wpn_moncal_light_blaster_n', 'Mon Calamari Light Blaster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1032', 'wpn_rendili_advanced_n', 'Rendili Advanced Blaster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1033', 'wpn_rendili_fr13_disruptor_n', 'Rendili Fr13 Disruptor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1034', 'wpn_rendili_fr9_disruptor_n', 'Rendili FR-9 Disruptor Cannon');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1035', 'wpn_rendili_sc3_disruptor_n', 'Rendili Sc3 Disruptor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1036', 'wpn_rendili_sc8_disruptor_n', 'Rendili Sc8 Disruptor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1037', 'wpn_reward', 'This is an exceptionally rare starfighter weapon.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1038', 'wpn_reward_incom_elite', 'Elite INCOM Blaster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1039', 'wpn_reward_seinar_elite', 'Elite Seinar Blaster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1040', 'wpn_reward_slayn_elite', 'Elite Slayn & Korpil Blaster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1041', 'wpn_reward_subpro_elite', 'Elite Subpro Blaster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1042', 'wpn_reward_taim_elite', 'Elite Taim & Bak Blaster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1043', 'wpn_rss_imperial_cannon_n', 'Republic Sienar Systems Imperial Cannon');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1044', 'wpn_sds_elite_n', 'Sienar Design Systems Elite Blasters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1045', 'wpn_sds_heavy_imperial_spc_forces_cannon_n', 'Sienar Design Systems Heavy Imperial Spc Forces Cannon');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1046', 'wpn_sds_imperial_blaster_1_n', 'Sienar Design Systems Imperial Blaster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1047', 'wpn_sds_imperial_blaster_2_n', 'Sienar Design Systems Imperial Blaster 2');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1048', 'wpn_sds_imperial_special_forces_cannon_n', 'Sienar Design Systems Imperial Special Forces Cannon');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1049', 'wpn_sds_modified_elite_n', 'Sienar Design Systems Modified Elite Blaster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1050', 'wpn_seinar_disruptor_n', 'Sienar Systems Starship Disruptor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1051', 'wpn_seinar_ion_cannon_n', 'Sienar Systems Ion Cannon');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1052', 'wpn_seinar_linked_cannon_n', 'Sienar Systems Linked Laser Cannon');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1053', 'wpn_seinar_ls1_n', 'Sienar Fleet Systems L-s1 Laser Cannon');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1054', 'wpn_seinar_ls72_n', 'Sienar Fleet Systems L-s7.2 Laser Cannon');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1055', 'wpn_sfs_elite_n', 'Sienar Fleet Systems Elite Cannon');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1056', 'wpn_sfs_imperial_blaster_1_n', 'Sienar Fleet Systems Imperial Blaster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1057', 'wpn_sfs_imperial_blaster_2_n', 'Sienar Fleet Systems Imperial-2 Blaster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1058', 'wpn_sfs_imperial_blaster_3_n', 'Sienar Fleet Systems Imperial Blaster 3');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1059', 'wpn_sfs_imperial_blaster_4_n', 'Sienar Fleet Systems Imperial Blaster 4');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1060', 'wpn_sfs_imperial_special_forces_blaster_n', 'Sienar Fleet Systems Imperial Special Forces Blaster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1061', 'wpn_sfs_improved_imperial_blaster_2_n', 'Sienar Fleet Systems Improved Imperial-2 Blaster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1062', 'wpn_slayn_deluxe_light_ioncannon_n', 'Slayn & Korpil Deluxe Light Ioncannon');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1063', 'wpn_slayn_light_ioncannon_n', 'Slayn & Korpil Light Ioncannon');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1064', 'wpn_subpro_advanced_cannon_n', 'SubPro Advanced Cannon');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1065', 'wpn_subpro_improved_light_ioncannon_n', 'SubPro Improved Light Ion Cannon');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1066', 'wpn_subpro_light_ioncannon_n', 'SubPro Light Ion Cannon');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1067', 'wpn_subpro_modified_tricannon_n', 'SubPro Modified Tri-Cannon');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1068', 'wpn_subpro_tricannon_n', 'SubPro Tri-Cannon');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1069', 'wpn_subpro_tripleblaster_mark2_n', 'Mark II Subpro Tripleblaster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1070', 'wpn_subpro_tripleblaster_mark3_n', 'Subpro Tripleblaster Mark3');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1071', 'wpn_taim_elite_n', 'Taim & Bak Elite Blaster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1072', 'wpn_taim_heavy_laser_n', 'Taim & Bak Ht-12 Heavy Laser Cannon');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1073', 'wpn_taim_ix4_n', 'Taim & Bak IX4 Laser Cannon');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1074', 'wpn_taim_ix5_n', 'Taim & Bak IX5 Laser Cannon');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1075', 'wpn_taim_kx5_n', 'Taim & Bak KX5 Laser Cannon');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1076', 'wpn_taim_kx8_n', 'Taim & Bak KX8 Laser Cannon');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1077', 'wpn_taim_kx9_n', 'Taim & Bak KX9 Laser Cannon');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1078', 'wpn_tieadvanced_blaster_n', 'Standard TIE Advanced Blaster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1079', 'wpn_tiefighter_basic_n', 'Basic Weapon');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1080', 'wpn_z95_basic_n', 'Basic Weapon');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1081', 'wpn_z95_blaster_n', 'Standard Z-95 Blaster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1082', 'xwing_booster', 'X-Wing Booster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1083', 'shipoperations_falcon', 'Operations Station');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1084', 'rct_generic', 'Generic Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1085', 'shd_generic', 'Generic Shield');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1086', 'armor_generic', 'Generic Armor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1087', 'cap_generic', 'Generic Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1088', 'bst_generic', 'Generic Booster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1089', 'weapon_test_01_n', 'Generic Missile Launcher');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1090', 'weapon_std_countermeasure', 'Countermeasure Launcher');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1091', 'wpn_std_countermeasure', 'Generic Countermeasure Launcher');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1092', 'repair_kit_chassis', 'Chassis Repair Kit');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1093', 'cap_subpro_valiant_z2_n', 'SubPro \"Valiant\" Z2 Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1094', 'wpn_tieadvanced_blaster', 'TIE Advanced Generic Blaster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1095', 'generic_weapon_d', 'This is a ship weapon. It is is used to destroy enemy ships. The weapon is powered by both a capacitor and your ship\'s reactor. Every shot will drain energy from your capacitor. To equip ship components, go to a starship terminal and click \"Manage\". This will allow you to equip this item as well as compare attributes with your current components.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1096', 'generic_engine_d', 'This is an Engine. This component controls your ships flight performance, speed and handling. To equip ship components, go to a starship terminal and click \"Manage\". This will allow you to equip this item as well as compare attributes with your current components.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1097', 'generic_booster_d', 'This is a booster. It will allow your ship to temporarily accelerate and improve your top speed. By default, the \'B\' key controls your booster. To equip ship components, go to a starship terminal and click \"Manage\". This will allow you to equip this item as well as compare attributes with your current components.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1098', 'generic_capacitor_d', 'This is a weapon capacitor. Every shot that a weapon fires will drain energy from the capacitor. When this is empty, your weapons will no longer be able to fire until it recharges. To equip ship components, go to a starship terminal and click \"Manage\". This will allow you to equip this item as well as compare attributes with your current components.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1099', 'generic_droid_interface_d', 'This is a droid interface. This will allow you to equip a flight computer or astromech droid on your starship. These can be used to control your ships subsystems. To equip ship components, go to a starship terminal and click \"Manage\". This will allow you to equip this item as well as compare attributes with your current components.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1100', 'generic_reactor_d', 'This is a reactor. This component powers all of your other ship components. If your reactor fails any component that consumes power will shut down. To equip ship components, go to a starship terminal and click \"Manage\". This will allow you to equip this item as well as compare attributes with your current components.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1101', 'generic_shield_d', 'This is a shield generator. Shield generators generate a protective shell of energy around your ship. A single generator will protect both the front and rear of your ship. If your shield is damaged, the geneator will recharge the damage over time. If the generator itself is damaged, it will not regenerate. To equip ship components, go to a starship terminal and click \"Manage\". This will allow you to equip this item as well as compare attributes with your current components.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1102', 'conduit_engine', 'Engine Power Conduit');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1103', 'conduit_capacitor', 'High Powered Capacitor Conduit');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1104', 'conduit_reactor', 'Reactor Conduit');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1105', 'conduit_shield_0', 'Shield Generator Conduit');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1106', 'sorosuub_yacht_deed', 'Sorosuub Luxury Yacht Deed');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1107', 'yacht_deed_succeed', 'You successfully unpack the deed!');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1108', 'yacht_deed_failed', 'You cannot unpack the deed at this time.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1110', 'bst_kde_br12_n', 'Kuat Drive Yard BR-12 Booster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1111', 'bst_rss_special_n', 'Republic Sienar Systems Special Booster');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1112', 'cap_mandal_powermaster_mk2_n', 'MandalMotors Mark II \"Powermaster\" Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1113', 'ddi_generic', 'Generic Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1114', 'eng_generic', 'Generic Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1115', 'cap_corellian_cruiser_grade_cap2_n', 'Corellian Cruiser-grade Weapons Capacitor \"CAP2\"');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1116', 'wpn_awing_blaster', 'Standard A-Wing Blasters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1117', 'plasma_conduit_interior_d', 'This is a high energy plasma conduit. They are very fragile and prone to bursting. If they burst, IMMEDIATELY evacuate the area as the high energy plasma is very dangerous. Any components attached to this conduit will suffer sustained damage as long as the conduit is broken. These conduits must be patched using conduit patch kits. These can be purchased from your local Shipwright.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1118', 'wpn_bwing_blaster', 'Standard B-Wing Blasters');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1119', 'cap_novaldex_experimental_sarlacc_s1_n', 'Novaldex Experimental Sarlacc S1');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1120', 'conduit_shield_1', 'Shield Generator Conduit');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1121', 'repair_kit_ship_n', 'All Purpose Ship Repair Kit');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1122', 'repair_kit_ship_d', 'This repair kit can be used to repair all ship components and chassis. It cannot be used to patch plasma conduits.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1123', 'rct_prototype', 'Prototype Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1124', 'eng_prototype', 'Prototype Engine');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1125', 'shd_prototype', 'Prototype Shield Generator');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1126', 'arm_prototype', 'Prototype Armor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1127', 'cap_prototype_capacitor', 'Prototype Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_item.stf', '1128', 'wpn_prototype', 'Prototype Weapon');
INSERT INTO `client_strings` VALUES ('string/en/space/space_loot.stf', '4', 'use_credit_chip', 'Transfer credits to bank account');
INSERT INTO `client_strings` VALUES ('string/en/space/space_loot.stf', '5', 'split_with_group', 'Split credits with group');
INSERT INTO `client_strings` VALUES ('string/en/space/space_loot.stf', '6', 'group_credit_payout', 'Your group member has split a credit chip.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_loot.stf', '7', 'looted_item', '%TT has looted an item: %TO.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_loot.stf', '8', 'no_permission', 'You do not have permission to access that item.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_loot.stf', '9', 'no_more_loot', 'Your inventory is full so you cannot receive any more loot.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_loot.stf', '10', 'no_group_leader', 'Your group leader is not available to auto loot. A random member has been chosen to receive the items.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_loot.stf', '11', 'looted_credits', '%TT has looted a credit chip worth %DI credits.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_loot.stf', '12', 'looted_credits_you', 'You have looted a credit chip worth %DI credits.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_loot.stf', '13', 'looted_item_you', 'You have looted an item: %TO.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_loot.stf', '14', 'loot_box_full', 'Your loot box is full so your ship cannot hold any more loot.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_loot.stf', '15', 'rebel_only', 'You cannot equip this item because you are not a Rebel Pilot.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_loot.stf', '16', 'imperial_only', 'You cannot equip this item because you are not an Imperial Pilot.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_loot.stf', '17', 'privateer_only', 'You cannot equip this item because you are not a Neutral Pilot.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_loot.stf', '18', 'sell_loot_title', 'Sell Loot');
INSERT INTO `client_strings` VALUES ('string/en/space/space_loot.stf', '19', 'sell_loot_prompt', 'Select the item you wish to sell.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_loot.stf', '20', 'sell_loot_button', 'Sell');
INSERT INTO `client_strings` VALUES ('string/en/space/space_loot.stf', '21', 'nothing_to_sell', 'You do not have anything I wish to buy.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_loot.stf', '22', 'sold_item', 'You sold an item: %TO for %DI Credits. They have been deposited into your bank account.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_loot.stf', '23', 'item_list', '[%DI] ----------- %TO');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '93', 'ship_base', 'Starship');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '94', 'fighter_base', 'Starfighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '95', 'capital_base', 'Capital Ship');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '96', 'station_base', 'Space Station');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '97', 'player_z95', 'Z95 Headhunter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '98', 'player_ywing', 'Y-Wing Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '99', 'player_yt1300', 'YT-1300 Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '100', 'player_xwing', 'X-Wing Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '101', 'player_tieinterceptor', 'TIE Interceptor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '102', 'player_tiefighter', 'TIE Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '103', 'player_tieaggressor', 'TIE Aggressor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '104', 'player_tieadvanced', 'TIE Advanced');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '105', 'player_test_falcon', 'P4-TY Space Barge');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '106', 'player_test_corvette', 'Blockade Runner');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '107', 'player_hutt_light_s02', 'Scyk Light Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '108', 'player_hutt_light_s01', 'Dunelizard Medium Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '109', 'player_firespray', 'KFS Firespray');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '110', 'player_awing', 'A-Wing Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '111', 'player_bwing', 'B-Wing Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '112', 'player_basic_tiefighter', 'TIE Fighter (Basic)');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '113', 'player_basic_z95', 'Z95 Headhunter (Basic)');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '114', 'player_corvette', 'Corellian Corvette');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '115', 'corellian_corvette', 'Corellian Corvette');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '116', 'player_tieoppressor', 'TIE Oppressor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '117', 'player_tie_light_duty', 'TIE Light Duty Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '118', 'player_tie_in', 'TIE/In Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '119', 'player_ywing_longprobe', 'Y-Wing Longprobe');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '120', 'awing', 'A-Wing');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '121', 'awing_tier1', 'A-Wing');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '122', 'awing_tier2', 'A-Wing');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '123', 'awing_tier3', 'A-Wing');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '124', 'awing_tier4', 'A-Wing');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '125', 'awing_tier5', 'A-Wing');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '126', 'basic_hutt_light', 'Scyk M3-A Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '127', 'basic_tiefighter', 'TIE Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '128', 'basic_z95', 'Z-95 Headhunter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '129', 'blacksun_heavy_s01', 'Rihkxyrk Attack Ship');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '130', 'blacksun_heavy_s01_tier2', 'Rihkxyrk Attack Ship');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '131', 'blacksun_heavy_s01_tier3', 'Rihkxyrk Attack Ship');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '132', 'blacksun_heavy_s01_tier4', 'Rihkxyrk Attack Ship');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '133', 'blacksun_heavy_s01_tier5', 'Rihkxyrk Attack Ship');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '134', 'blacksun_heavy_s02', 'Rihkxyrk Attack Ship');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '135', 'blacksun_heavy_s02_tier1', 'Rihkxyrk Attack Ship');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '136', 'blacksun_heavy_s02_tier2', 'Rihkxyrk Attack Ship');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '137', 'blacksun_heavy_s02_tier3', 'Rihkxyrk Attack Ship');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '138', 'blacksun_heavy_s02_tier4', 'Rihkxyrk Attack Ship');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '139', 'blacksun_heavy_s02_tier5', 'Rihkxyrk Attack Ship');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '140', 'blacksun_heavy_s03', 'Rihkxyrk Attack Ship');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '141', 'blacksun_heavy_s03_tier1', 'Rihkxyrk Attack Ship');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '142', 'blacksun_heavy_s03_tier2', 'Rihkxyrk Attack Ship');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '143', 'blacksun_heavy_s03_tier3', 'Rihkxyrk Attack Ship');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '144', 'blacksun_heavy_s03_tier4', 'Rihkxyrk Attack Ship');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '145', 'blacksun_heavy_s03_tier5', 'Rihkxyrk Attack Ship');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '146', 'blacksun_heavy_s04', 'Rihkxyrk Attack Ship');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '147', 'blacksun_heavy_s04_tier1', 'Rihkxyrk Attack Ship');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '148', 'blacksun_heavy_s04_tier2', 'Rihkxyrk Attack Ship');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '149', 'blacksun_heavy_s04_tier3', 'Rihkxyrk Attack Ship');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '150', 'blacksun_heavy_s04_tier4', 'Rihkxyrk Attack Ship');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '151', 'blacksun_heavy_s04_tier5', 'Rihkxyrk Attack Ship');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '152', 'blacksun_medium_s01', 'Ixiyen Fast Attack Craft');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '153', 'blacksun_medium_s01_tier1', 'Ixiyen Fast Attack Craft');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '154', 'blacksun_medium_s01_tier2', 'Ixiyen Fast Attack Craft');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '155', 'blacksun_medium_s01_tier3', 'Ixiyen Fast Attack Craft');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '156', 'blacksun_medium_s01_tier4', 'Ixiyen Fast Attack Craft');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '157', 'blacksun_medium_s01_tier5', 'Ixiyen Fast Attack Craft');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '158', 'blacksun_medium_s02', 'Ixiyen Fast Attack Craft');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '159', 'blacksun_medium_s02_tier1', 'Ixiyen Fast Attack Craft');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '160', 'blacksun_medium_s02_tier2', 'Ixiyen Fast Attack Craft');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '161', 'blacksun_medium_s02_tier3', 'Ixiyen Fast Attack Craft');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '162', 'blacksun_medium_s02_tier4', 'Ixiyen Fast Attack Craft');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '163', 'blacksun_medium_s02_tier5', 'Ixiyen Fast Attack Craft');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '164', 'blacksun_medium_s03', 'Ixiyen Fast Attack Craft');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '165', 'blacksun_medium_s03_tier1', 'Ixiyen Fast Attack Craft');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '166', 'blacksun_medium_s03_tier2', 'Ixiyen Fast Attack Craft');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '167', 'blacksun_medium_s03_tier3', 'Ixiyen Fast Attack Craft');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '168', 'blacksun_medium_s03_tier4', 'Ixiyen Fast Attack Craft');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '169', 'blacksun_medium_s03_tier5', 'Ixiyen Fast Attack Craft');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '170', 'station_rebel', 'Rebel Alliance Space Station');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '171', 'station_imperial_decoration', 'Imperial Space Station');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '172', 'station_neutral_decoration', 'Neutral Space Station');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '173', 'station_rebel_decoration', 'Rebel Space Station');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '174', 'station_dantooine', 'Dantooine Space Station');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '175', 'station_dathomir', 'Dathomir Space Station');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '176', 'station_talus', 'Talus Space Station');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '177', 'station_rori', 'Rori Space Station');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '178', 'station_endor', 'Endor Space Station');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '179', 'station_lok', 'Lok Space Station');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '180', 'station_yavin4', 'Yavin 4 Space Station');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '181', 'station_naboo', 'Naboo Space Station');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '182', 'station_corellia', 'Corellia Space Station');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '183', 'station_tatooine', 'Tatooine Space Station');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '184', 'spacestation_neutral', 'Neutral Space Station');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '185', 'spacestation_rebel', 'Rebel Space Station');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '186', 'escape_pod', 'Escape Pod');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '187', 'lambdashuttle', 'Lambda Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '188', 'blacksun_medium_s04', 'Ixiyen Fast Attack Craft');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '189', 'blacksun_medium_s04_tier1', 'Ixiyen Fast Attack Craft');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '190', 'blacksun_medium_s04_tier2', 'Ixiyen Fast Attack Craft');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '191', 'blacksun_medium_s04_tier3', 'Ixiyen Fast Attack Craft');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '192', 'blacksun_medium_s04_tier4', 'Ixiyen Fast Attack Craft');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '193', 'blacksun_medium_s04_tier5', 'Ixiyen Fast Attack Craft');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '194', 'blacksun_light_s01', 'Kihraxz Light Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '195', 'blacksun_light_s01_tier1', 'Kihraxz Light Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '196', 'blacksun_light_s01_tier2', 'Kihraxz Light Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '197', 'blacksun_light_s01_tier3', 'Kihraxz Light Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '198', 'blacksun_light_s01_tier4', 'Kihraxz Light Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '199', 'blacksun_light_s01_tier5', 'Kihraxz Light Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '200', 'blacksun_light_s02', 'Kihraxz Light Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '201', 'blacksun_light_s02_tier1', 'Kihraxz Light Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '202', 'blacksun_light_s02_tier2', 'Kihraxz Light Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '203', 'blacksun_light_s02_tier3', 'Kihraxz Light Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '204', 'blacksun_light_s02_tier4', 'Kihraxz Light Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '205', 'blacksun_light_s02_tier5', 'Kihraxz Light Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '206', 'blacksun_light_s03', 'Kihraxz Light Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '207', 'blacksun_light_s03_tier1', 'Kihraxz Light Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '208', 'blacksun_light_s03_tier2', 'Kihraxz Light Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '209', 'blacksun_light_s03_tier3', 'Kihraxz Light Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '210', 'blacksun_light_s03_tier4', 'Kihraxz Light Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '211', 'blacksun_light_s03_tier5', 'Kihraxz Light Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '212', 'blacksun_light_s04', 'Kihraxz Light Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '213', 'blacksun_light_s04_tier1', 'Kihraxz Light Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '214', 'blacksun_light_s04_tier2', 'Kihraxz Light Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '215', 'blacksun_light_s04_tier3', 'Kihraxz Light Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '216', 'blacksun_light_s04_tier4', 'Kihraxz Light Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '217', 'blacksun_light_s04_tier5', 'Kihraxz Light Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '218', 'bwing', 'B-Wing');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '219', 'bwing_tier1', 'B-Wing');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '220', 'bwing_tier2', 'B-Wing');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '221', 'bwing_tier3', 'B-Wing');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '222', 'bwing_tier4', 'B-Wing');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '223', 'bwing_tier5', 'B-Wing');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '224', 'civshuttle', 'Civilian Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '225', 'civspeeder1', 'Civilian Speeder');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '226', 'civspeeder2', 'Civilian Speeder');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '227', 'civtaxi', 'Civilian Taxi');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '228', 'civtransport', 'Civilain Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '229', 'corvette', 'Corellian Corvette');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '230', 'corvette_interior', 'Corellian Corevette');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '231', 'decimator', 'VT-49 Decimator');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '232', 'decimator_tier1', 'VT-49 Decimator');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '233', 'decimator_tier2', 'VT-49 Decimator');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '234', 'decimator_tier3', 'VT-49 Decimator');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '235', 'decimator_tier4', 'VT-49 Decimator');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '236', 'deciamtor_tier5', 'VT-49 Decimator');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '237', 'droid_fighter', 'Droid Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '238', 'droid_fighter_tier1', 'Droid Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '239', 'droid_fighter_tier2', 'Droid Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '240', 'droid_fighter_tier3', 'Droid Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '241', 'droid_fighter_tier4', 'Droid Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '242', 'droid_fighter_tier5', 'Droid Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '243', 'escape_pod_tier1', 'Escape Pod');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '244', 'escape_pod_tier2', 'Escape Pod');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '245', 'escape_pod_tier3', 'Escape Pod');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '246', 'escape_pod_tier4', 'Escape Pod');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '247', 'escape_pod_tier5', 'Escape Pod');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '248', 'firespray', 'KSE Firespray');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '249', 'firespray_tier1', 'KSE Firespray');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '250', 'firespray_tier2', 'KSE Firespray');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '251', 'firespray_tier3', 'KSE Firespray');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '252', 'firespray_tier4', 'KSE Firespray');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '253', 'firespray_tier5', 'KSE Firespray');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '254', 'freighterheavy', 'Heavy Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '255', 'freighterheavy_tier1', 'Heavy Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '256', 'freighterheavy_tier2', 'Heavy Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '257', 'freighterheavy_tier3', 'Heavy Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '258', 'freighterheavy_tier4', 'Heavy Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '259', 'freighterheavy_tier5', 'Heavy Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '260', 'freighterlight', 'Light Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '261', 'freighterlight_tier1', 'Light Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '262', 'freighterlight_tier2', 'Light Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '263', 'freighterlight_tier3', 'Light Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '264', 'freighterlight_tier4', 'Light Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '265', 'freighterlight_tier5', 'Light Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '266', 'freightermedium', 'Medium Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '267', 'freightermedium_tier1', 'Medium Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '268', 'freightermedium_tier2', 'Medium Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '269', 'freightermedium_tier3', 'Medium Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '270', 'freightermedium_tier4', 'Medium Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '271', 'freightermedium_tier5', 'Medium Freighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '272', 'hutt_heavy_s01', 'Kimogila M12-L Heavy Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '273', 'hutt_heavy_s01_tier1', 'Kimogila M12-L Heavy Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '274', 'hutt_heavy_s01_tier2', 'Kimogila M12-L Heavy Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '275', 'hutt_heavy_s01_tier3', 'Kimogila M12-L Heavy Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '276', 'hutt_heavy_s01_tier4', 'Kimogila M12-L Heavy Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '277', 'hutt_heavy_s01_tier5', 'Kimogila M12-L Heavy Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '278', 'hutt_heavy_s02', 'Kimogila M12-L Heavy Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '279', 'hutt_heavy_s02_tier1', 'Kimogila M12-L Heavy Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '280', 'hutt_heavy_s02_tier2', 'Kimogila M12-L Heavy Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '281', 'hutt_heavy_s02_tier3', 'Kimogila M12-L Heavy Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '282', 'hutt_heavy_s02_tier4', 'Kimogila M12-L Heavy Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '283', 'hutt_heavy_s02_tier5', 'Kimogila M12-L Heavy Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '284', 'hutt_light_s01', 'Scyk M3-A Light Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '285', 'hutt_light_s01_tier1', 'Scyk M3-A Light Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '286', 'hutt_light_s01_tier2', 'Scyk M3-A Light Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '287', 'hutt_light_s01_tier3', 'Scyk M3-A Light Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '288', 'hutt_light_s01_tier4', 'Scyk M3-A Light Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '289', 'hutt_light_s01_tier5', 'Scyk M3-A Light Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '290', 'hutt_light_s02', 'Scyk M3-A Light Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '291', 'hutt_light_s02_tier1', 'Scyk M3-A Light Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '292', 'hutt_light_s02_tier2', 'Scyk M3-A Light Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '293', 'hutt_light_s02_tier3', 'Scyk M3-A Light Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '294', 'hutt_light_s02_tier4', 'Scyk M3-A Light Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '295', 'hutt_light_s02_tier5', 'Scyk M3-A Light Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '296', 'hutt_medium_s01', 'Dunelizard Medium Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '297', 'hutt_medium_s01_tier1', 'Dunelizard Medium Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '298', 'hutt_medium_s01_tier2', 'Dunelizard Medium Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '299', 'hutt_medium_s01_tier3', 'Dunelizard Medium Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '300', 'hutt_medium_s01_tier4', 'Dunelizard Medium Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '301', 'hutt_medium_s01_tier5', 'Dunelizard Medium Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '302', 'hutt_medium_s02', 'Dunelizard Medium Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '303', 'hutt_medium_s02_tier1', 'Dunelizard Medium Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '304', 'hutt_medium_s02_tier2', 'Dunelizard Medium Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '305', 'hutt_medium_s02_tier3', 'Dunelizard Medium Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '306', 'hutt_medium_s02_tier4', 'Dunelizard Medium Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '307', 'hutt_medium_s02_tier5', 'Dunelizard Medium Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '308', 'hutt_transport', 'Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '309', 'hutt_transport_tier1', 'Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '310', 'hutt_transport_tier2', 'Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '311', 'hutt_transport_tier3', 'Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '312', 'hutt_transport_tier4', 'Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '313', 'hutt_transport_tier5', 'Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '314', 'imperial_gunboat', 'Ye-4 Gunship');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '315', 'imperial_gunboat_tier1', 'Ye-4 Gunship');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '316', 'imperial_gunboat_tier2', 'Ye-4 Gunship');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '317', 'imperial_gunboat_tier3', 'Ye-4 Gunship');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '318', 'imperial_gunboat_tier4', 'Ye-4 Gunship');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '319', 'imperial_gunboat_tier5', 'Ye-4 Gunship');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '320', 'lambdashuttle_tier1', 'Lambda Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '321', 'lambdashuttle_tier2', 'Lambda Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '322', 'lambdashuttle_tier3', 'Lambda Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '323', 'lambdashuttle_tier4', 'Lambda Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '324', 'lambdashuttle_tier5', 'Lambda Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '325', 'nebulon', 'Nebulon');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '326', 'nebulon_tier1', 'Nebulon');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '327', 'nebulon_tier2', 'Nebulon');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '328', 'nebulon_tier3', 'Nebulon');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '329', 'nebulon_tier4', 'Nebulon');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '330', 'nebulon_tier5', 'Nebulon');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '331', 'corvette_tier1', 'Corellian Corevette');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '332', 'corvette_tier2', 'Corellian Corevette');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '333', 'corvette_tier3', 'Corellian Corevette');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '334', 'corvette_tier4', 'Corellian Corevette');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '335', 'corvette_tier5', 'Corellian Corevette');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '336', 'probe_droid_pod', 'Probe Droid Pod');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '337', 'probe_droid_pod_tier1', 'Probe Droid Pod');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '338', 'probe_droid_pod_tier2', 'Probe Droid Pod');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '339', 'probe_droid_pod_tier3', 'Probe Droid Pod');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '340', 'probe_droid_pod_tier4', 'Probe Droid Pod');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '341', 'probe_droid_pod_tier5', 'Probe Droid Pod');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '342', 'rebel_gunboat', 'Assault Gunboat');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '343', 'rebel_gunboat_tier1', 'Assault Gunboat');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '344', 'rebel_gunboat_tier2', 'Assault Gunboat');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '345', 'rebel_gunboat_tier3', 'Assault Gunboat');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '346', 'rebel_gunboat_tier4', 'Assault Gunboat');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '347', 'rebel_gunboat_tier5', 'Assault Gunboat');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '348', 'spacestation_imperial', 'Imperial Space Station');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '349', 'star_destroyer', 'Imperial Star Destroyer');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '350', 'star_destroyer_tier1', 'Imperial Star Destroyer');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '351', 'star_destroyer_tier2', 'Imperial Star Destroyer');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '352', 'star_destroyer_tier3', 'Imperial Star Destroyer');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '353', 'star_destroyer_tier4', 'Imperial Star Destroyer');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '354', 'star_destroyer_tier5', 'Imperial Star Destroyer');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '355', 'supplyship', 'Supply Ship');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '358', 'tie_in', 'TIE/In Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '359', 'tie_in_tier1', 'TIE/In Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '360', 'tie_in_tier2', 'TIE/In Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '361', 'tie_in_tier3', 'TIE/In Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '362', 'tie_in_tier4', 'TIE/In Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '363', 'tie_in_tier5', 'TIE/In Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '364', 'tie_light_duty', 'TIE Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '365', 'tie_light_duty_tier1', 'TIE Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '366', 'tie_light_duty_tier2', 'TIE Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '367', 'tie_light_duty_tier3', 'TIE Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '368', 'tie_light_duty_tier4', 'TIE Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '369', 'tie_light_duty_tier5', 'TIE Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '370', 'tieadvanced', 'TIE Advanced');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '371', 'tieadvanced_tier1', 'TIE Advanced');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '372', 'tieadvanced_tier2', 'TIE Advanced');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '373', 'tieadvanced_tier3', 'TIE Advanced');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '374', 'tieadvanced_tier4', 'TIE Advanced');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '375', 'tieadvanced_tier5', 'TIE Advanced');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '376', 'tieaggressor', 'TIE Aggressor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '377', 'tieaggressor_tier1', 'TIE Aggressor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '378', 'tieaggressor_tier2', 'TIE Aggressor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '379', 'tieaggressor_tier3', 'TIE Aggressor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '380', 'tieaggressor_tier4', 'TIE Aggressor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '381', 'tieaggressor_tier5', 'TIE Aggressor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '382', 'tiebomber', 'TIE Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '383', 'tiebomber_tier1', 'TIE Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '384', 'tiebomber_tier2', 'TIE Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '385', 'tiebomber_tier3', 'TIE Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '386', 'tiebomber_tier4', 'TIE Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '387', 'tiebomber_tier5', 'TIE Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '388', 'tiefighter', 'TIE Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '389', 'tiefighter_tier1', 'TIE Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '390', 'tiefighter_tier2', 'TIE Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '391', 'tiefighter_tier3', 'TIE Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '392', 'tiefighter_tier4', 'TIE Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '393', 'tiefighter_tier5', 'TIE Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '394', 'tieinterceptor', 'TIE Interceptor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '395', 'tieinterceptor_tier1', 'TIE Interceptor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '396', 'tieinterceptor_tier2', 'TIE Interceptor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '397', 'tieinterceptor_tier3', 'TIE Interceptor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '398', 'tieinterceptor_tier4', 'TIE Interceptor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '399', 'tieinterceptor_tier5', 'TIE Interceptor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '400', 'tieoppressor', 'TIE Oppressor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '401', 'tieoppressor_tier1', 'TIE Oppressor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '402', 'tieoppressor_tier2', 'TIE Oppressor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '403', 'tieoppressor_tier3', 'TIE Oppressor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '404', 'tieoppressor_tier4', 'TIE Oppressor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '405', 'tieoppressor_tier5', 'TIE Oppressor');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '406', 'xwing', 'X-Wing');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '407', 'xwing_tier1', 'X-Wing');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '408', 'xwing_tier2', 'X-Wing');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '409', 'xwing_tier3', 'X-Wing');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '410', 'xwing_tier4', 'X-Wing');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '411', 'xwing_tier5', 'X-Wing');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '412', 'ykl37r', 'YKL-37R Nova Courier');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '413', 'ykl37r_tier1', 'YKL-37R Nova Courier');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '414', 'ykl37r_tier2', 'YKL-37R Nova Courier');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '415', 'ykl37r_tier3', 'YKL-37R Nova Courier');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '416', 'ykl37r_tier4', 'YKL-37R Nova Courier');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '417', 'ykl37r_tier5', 'YKL-37R Nova Courier');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '418', 'yt1300', 'YT-1300');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '419', 'yt1300_tier1', 'YT-1300');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '420', 'yt1300_tier2', 'YT-1300');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '421', 'yt1300_tier3', 'YT-1300');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '422', 'yt1300_tier4', 'YT-1300');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '423', 'yt1300_tier5', 'YT-1300');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '424', 'ywing', 'Y-Wing');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '425', 'ywing_tier1', 'Y-Wing');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '426', 'ywing_tier2', 'Y-Wing');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '427', 'ywing_tier3', 'Y-Wing');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '428', 'ywing_tier4', 'Y-Wing');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '429', 'ywing_tier5', 'Y-Wing');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '430', 'ywing_longprobe', 'Y-Wing Longprobe');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '431', 'ywing_longprobe_tier1', 'Y-Wing Longprobe');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '432', 'ywing_longprobe_tier2', 'Y-Wing Longprobe');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '433', 'ywing_longprobe_tier3', 'Y-Wing Longprobe');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '434', 'ywing_longprobe_tier4', 'Y-Wing Longprobe');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '435', 'ywing_longprobe_tier5', 'Y-Wing Longprobe');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '436', 'z95', 'Z-95');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '437', 'z95_tier1', 'Z-95');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '438', 'z95_tier2', 'Z-95');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '439', 'z95_tier3', 'Z-95');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '440', 'z95_tier4', 'Z-95');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '441', 'z95_tier5', 'Z-95');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '442', 'blacksun_heavy_s01_tier1', 'Rihkxyrk Attack Ship');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '443', 'decimator_tier5', 'VT-49 Decimator');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '444', 'blacksun_transport_tier1', 'Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '445', 'blacksun_transport_tier2', 'Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '446', 'blacksun_transport_tier3', 'Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '447', 'blacksun_transport_tier4', 'Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '448', 'blacksun_transport_tier5', 'Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '449', 'merchant_cruiser_medium', 'HC-A1A Medium Cruiser');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '450', 'merchant_cruiser_medium_tier1', 'HC-A1A Medium Cruiser');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '451', 'merchant_cruiser_medium_tier2', 'HC-A1A Medium Cruiser');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '452', 'merchant_cruiser_medium_tier3', 'HC-A1A Medium Cruiser');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '453', 'merchant_cruiser_medium_tier4', 'HC-A1A Medium Cruiser');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '454', 'merchant_cruiser_medium_tier5', 'HC-A1A Medium Cruiser');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '455', 'sorosuub_space_yacht', 'Sorosuub Space Yacht');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '456', 'transport_science', 'Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '457', 'transport_science_tier1', 'Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '458', 'transport_science_tier2', 'Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '459', 'transport_science_tier3', 'Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '460', 'transport_science_tier4', 'Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '461', 'transport_science_tier5', 'Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '462', 'merchant_cruiser_light_tier1', 'HC-556 Light Cruiser');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '463', 'merchant_cruiser_light_tier2', 'HC-556 Light Cruiser');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '464', 'merchant_cruiser_light_tier3', 'HC-556 Light Cruiser');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '465', 'merchant_cruiser_light_tier4', 'HC-556 Light Cruiser');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '466', 'merchant_cruiser_light_tier5', 'HC-556 Light Cruiser');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '467', 'rebel_shuttle_tier1', 'Gallofree Medium Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '468', 'rebel_shuttle_tier2', 'Gallofree Medium Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '469', 'rebel_shuttle_tier3', 'Gallofree Medium Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '470', 'rebel_shuttle_tier4', 'Gallofree Medium Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '471', 'rebel_shuttle_tier5', 'Gallofree Medium Transport');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '472', 'smuggler_warlord_ship_tier1', 'Warlord Heavy Cruiser');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '473', 'smuggler_warlord_ship_tier2', 'Warlord Heavy Cruiser');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '474', 'smuggler_warlord_ship_tier3', 'Warlord Heavy Cruiser');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '475', 'smuggler_warlord_ship_tier4', 'Warlord Heavy Cruiser');
INSERT INTO `client_strings` VALUES ('string/en/space/space_mobile_type.stf', '476', 'smuggler_warlord_ship_tier5', 'Warlord Heavy Cruiser');
INSERT INTO `client_strings` VALUES ('string/en/space/space_pilot_command.stf', '1', 'multiple_systems_disrupted', 'WARNING! WARNING! WARNING! MULTIPLE SYSTEMS DISRUPTED. ATTEMPTING SYSTEM RESTART.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_pilot_command.stf', '2', 'system_disrupted', 'ALERT! ALERT! ALERT! SUB-SYSTEM DISRUPTED. ATTEMPTING SYSTEM RESTART.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_pilot_command.stf', '3', 'sub_system_restart', 'SUB-SYSTEM RESTART COMMENCING. INITIALIZATION SUBROUTINES COMING ON-LINE.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_pilot_command.stf', '4', 'disrupted_standby', 'STANDBY...');
INSERT INTO `client_strings` VALUES ('string/en/space/space_pilot_command.stf', '5', 'spacerepair_no_station', 'There are no repair craft available to be dispatched in this sector.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_pilot_command.stf', '6', 'spacerepair_unnecessary', 'Scans indicate that you don\'t appear to have any repair needs that we can help with. We are departing.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_pilot_command.stf', '7', 'spacerepair_not_enough_money_repair', 'You don\'t have enough money in the bank to cover repairs. Departing.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_pilot_command.stf', '8', 'spacerepair_no_reload_needed', 'Scans indicate that you don\'t appear to need any munitions reloaded that we can supply. Departing.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_pilot_command.stf', '9', 'spacerepair_not_enough_money_rearm', 'You don\'t have enough money in the bank to cover rearmament. Departing.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_pilot_command.stf', '10', 'spacerepair_not_enough_repair_rearm', 'You don\'t have enough money in the bank to cover repairs and rearmament. Departing.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_pilot_command.stf', '11', 'spacerepair_cannot_pay', 'You can\'t pay for this. We\'re departing. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_pilot_command.stf', '12', 'spacereload_confirm_instructions', 'Request reload again if you do. Otherwise, Do nothing and the rearmament ship will leave.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_pilot_command.stf', '13', 'inspacerepair_ship_not_safe', 'Scans indicate you are still currently targeted by hostile craft. Unable to call in the repair vessel.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_pilot_command.stf', '14', 'inspacerepair_ship_not_safe2', 'You are currently engaged in combat maneuvers with enemy vessels and repairship can\'t defend itself.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_pilot_command.stf', '15', 'bomberstrike_not_at_player', 'Fleet Operations will not allocate craft to attack that target.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_pilot_command.stf', '16', 'spacerepair_no_pob', 'Your ship is too large to be serviced by a repair or rearmament vessel. ');
INSERT INTO `client_strings` VALUES ('string/en/space/space_pilot_command.stf', '17', 'inspacerepair_service_fee', 'A small service fee might be applicable regardless of if repairs are necessary or not.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_pilot_command.stf', '18', 'inspacereload_notice', 'NOTE: A missile rack less than half empty can not usually be reloaded, due to weapon rack inner workings.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_pilot_command.stf', '19', 'pirateraid_none_available', 'There don\'t appear to be any pirates paying attention locally.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_pilot_command.stf', '20', 'cannot_repair_other', 'You cannot repair another ship right now.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_pilot_command.stf', '21', 'cannot_repair_other_must_shutdown', 'The target ship needs to close any s-foils they might have and come to a stop before you can repair them.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_pilot_command.stf', '22', 'vampiric_repair_other_underway_recipient', 'Repairs are underway on your most heavily-damaged system.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_pilot_command.stf', '23', 'spacerepair_attack', 'We\'re under attack! Bugging out!');
INSERT INTO `client_strings` VALUES ('string/en/space/space_pilot_command.stf', '24', 'gunner_fire_missile_failed', 'A gunner\'s attempt to fire a missile has failed.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_pilot_command.stf', '25', 'cannot_fire_without_lookat', 'You can\'t fire a missile unless you have a lookat target.');
INSERT INTO `client_strings` VALUES ('string/en/space/space_terminal.stf', '91', 'launch_ship', 'Launch Starship');
INSERT INTO `client_strings` VALUES ('string/en/space/space_wing.stf', '1', 'test_wing', 'Test Wing Name');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_d.stf', '1', 'loot_all_freighter', '-- Inventory Report --\n\n\"Nebula Orchid\" - Painting\n\nAn artistic approach to depict the delicacy of the rare Nebula Orchid. Painted by B\'lina Ko\'aka. Due to the limited number of these paintings created, it is the constant target of many thefts. The serial number for this particular painting is 103/3000.\n\n\"High Commander T\'lnia\" - Painting\n\nA highly-praised painting of the High Commander T\'lnia of the CorSec Security Force. The pictorialization was created to commemorate the passing of this great leader in the Battle of Yavin4. Only a few of these paintings had been created before the Empire labeled the design, and ideal, \"illegal\". The serial number for this artwork is 2/35.\n\n\"Lady T\'lnia\" - Painting\n\nThe second of the series \"The T\'lnia Family\". Wife to the High Commander T\'lnia, the Lady T\'lnia fought by her lover\'s side in the Battle of Yavin4. Legend says the Lady T\'lnia was a part of the Jedi Order, schooling young force-sensitive children how to harness their power to defeat the forces of evil. Again, the Empire deemed this particular painting \"illegal\" immediately after its first debut. The serial number for this painting is 5/40.\n\n\"Generic Advertisment\" - Painting\n\nA painting depicting a common space scene, with a station orbiting a planet. This painting is used as a generic \"welcome\" to all who visit. It can be found in cantinas, more commonly. There seems to be no serial number.\n\n\"Transport Ship\" - Painting\n\nUsed for teaching engineers, this painting is often hung in the worker\'s stations, providing a detailed representation of a Transport Ship. No serial number is attached to this painting.\n\n\"Fighter Pilot\" - Painting\n\n\"A dedication to all the proud fighter pilots in our galaxy\" is inscribed on the frame of the painting. The serial number is 2163/10000.\n\n\"Red-Thread\" rug - Rug\n\nMade from dyed bantha hair, this rug is praised for its craftsmanship and is used to characterize many a home. We currently have twelve of these rugs in our cargo. They seem to be quite popular.\n\n\"Soft Fiber\" rug - Rug\n\nIncredibly soft to the touch, this rug comes in a rustic color. Only the more wealthy folk seem to be able to afford this rug as it is very rare and takes many years to complete. The rug has been hand-woven.\n\n\n\\\\\\Authorization to Travel: DENIED BY IMPERIAL LAW!\n\\\\\\Authorization to Travel: Approved by Trade Guild\n\n** Note: To continue trading \"illegal\" goods, you\'ll probably want to avoid all Imperial influence. You could be arrested. Again, if you travel with illegal goods, you\'re taking a risk and could be arrested.\n\nSigned,\n\nX\'iak Sinae \n\nTrade Guild Commissioner');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_d.stf', '2', 'loot_tatooine_bestine_pirates', '** Warning! **\n\nWe just got a warnin\' from one o\'our leaders that teh Imperials, Rebels, an\' Neutral pilot guilds hav\' been recruitin\' new members. What does this mean fer us? More loot!! Be on teh look out fer untrained pilots. They should be easy pickin\'s fer us. We\'re bettin\' them ships parts are worth a penny to those worthless jawas too. If yeh shoot alot of them new pilots, keep a point count. We\'ll see who gets teh most points! Here\'s the tally system we\'re gonna use:\n\nImps - 15 points\nRebs - 10 points (\'cause they\'re kinda wimpy)\nNeuts - 10 (they kinda wimpy too)\n\nOh, and, Vsin \"Cannon\" Starbomber, don\'t cheat. This is a fair, honest game \'tween fellow pirates. And if yeh use missles, it be 2 points off yer score. Gotta gim \'em a chance, right? HA HA!!\n\nHappy huntin\',\n\nPo \"Big Guns\" Mc\'annon\nSecond in Charge\n');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_d.stf', '3', 'loot_tatooine_blacksun', '-- Area G-12 Report --\n\nEnemies Vanquished: 10 (5 Imperials, 2 Rebels, 2 Smugglers, 1 Black Sun)\n\n* Note: I\'m getting a little worried for our squad here in area G-12. There seems to be a huge amount of recruits coming from the Empire. We\'ve only seen a few from the Rebels, but we think there will be more. Also, we\'ve shot down a few claiming to be from the \"Smuggler\'s Alliance\", whatever that is.  We\'ll definitely keep en eye out few these new recruits. They don\'t seem to be very good.. yet.\n\n** Note: I have no idea how one of our own was shot down by another Black Sun. I\'m pretty sure it was SunCat. She\'s hated Vinstrosa since the day she met her. Vinstrosa hasn\'t reported in for several hours. I\'m going to fear for the worst. We\'ll have to dicuss what we\'re going to do with SunCat. She\'s pretty cocky and the fact that she actually reported killing another Black Sun, makes me wonder. Of course, she said it was an \"accident\". I don\'t think anyone believes her..\n\n*** Update: Make sure to send a message to me if you plan on going to the freighter raid in a few days. We\'ve got word that the freighters have received new shipments. We\'re pretty excited. If you don\'t tell me you\'re coming, you can\'t go. Send me a notice soon.\n\nSincerely,\n\nAkon Sunchaser\nBlack Sun Ace Officer');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_d.stf', '4', 'loot_tatooine_hutt', '-- Log --\n\nName: Ninure Lou\'ina\nAssignment: \"Smuggler\"\n\n098.760 Got the assignment sent to me from my boss. I hate being interrupted while harassing freighters.\n098.790 I\'m at the location where I\'m suppose to meet this \"smuggler\". The boss probably wants more spice. I don\'t doubt he\'s addicted to what he\'s been selling. Disgrace.\n098.820 No smuggler. Still waiting. I could be getting priceless paintings from freighters if it weren\'t for this \"assignment\".\n098.850 Finally. The Smuggler arrived, claiming he was late because of a run-in with the Empire new recruit pilots. Whatever.\n098.920 I docked my ship to take a look what was in the shipment, to see what I\'ve been wasting my time on. Looks like ship parts to me. How boring.\n098.950 Going to the boss. I think another Hutt buddy was laughing at me. I always get stuck doing stupid assignments.\n098.1025 I\'m under attack! Trying to see who\'s attacking me. I can\'t shake them off! Pretty good at flying, I see. Computer identifying the attacker. It\'s a...\n\n\\\\Transmission ended.');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_d.stf', '5', 'loot_tatooine_imp', '** Notice to all Personnel\n\nI\'m sure you\'ve all heard the rumors. Yes, we\'re finally opening our ranks to new recruits. Many species from all walks of life, from the worthless peasant to the weathered combatant, have flocked to our recruiters in hopes of starting a new life with the Empire. Some of you may have to teach them the ropes. Try to overlook what you usually wouldn\'t tolerate. They\'re learning. If they accidentially shoot your TIE, just remember it can all be repaired. \n\nAs for other news, I have a feeling the Rebels have followed our glorious steps and have started recruiting as well. Keep an eye out for suspicious activity. \n\nNew Opportunities: Be a role model for a new recruit today! Visit your local recruiting officer to sign up to be a mentor. You\'ll definitely get incentives for serving the Empire in this way.\n\nFor the Empire,\n\nWen Farhope\nSergeant of the Empire');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_d.stf', '6', 'loot_tatooine_mining', '-- Report from the Frontier Mining Co. --\n\nReporting Officer: Karrik Vin\'tular\nReport 1: Inventory\nReport 2: Activity\n\n* Inventory *\n\nThe following is a list of cargo I have authorized to be shipped to various destinations.\n\n056.670 - 5 Shipments of Extrusive Ore (Destination: Tatooine)\n056.770 - 10 Shipments of Duralumin Aluminum (Destination: Talus)\n056.810 - 20 Shipments of Fermionic Siliclastic Ore (Destination: Corellia)\n056.890 - 14 Shipments of Kerol Firegem Crystalline Ore (Destination: Tatooine)\n056.910 - 50 Shipments of Kammris Iron (Destination: Yavin4)\n056.1020 - 25 Shipments of Polymetric Radioactive (Destination: Dantooine)\n\n* Activity *\n\nThe area seems to be quiet. However, I have seen an influx of starships, belonging to the unheard of \"Smuggler\'s Alliance\", the Rebel Alliance and the Empire. Some sort of recruitment? We\'re usually attacked. But I think I\'ve heard about a new shipment of paintings and rugs coming from the Trade Guild\'s freighters. I hear items are pretty rare finds. I\'ve been meaning to investigate, but haven\'t had the time. We\'re getting huge orders for more resources and our miners are forced to work overtime. Seems several new folks have started their careers as Shipwrights. It\'s definitely a good deal for us. The more orders, the more money we can get for upgrades and better security. That\'s all I have to report for today.\n\nSigned,\n\nKarrik Vin\'tular\nFrontier Mining Co.');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_d.stf', '7', 'loot_tatooine_rebel', '-- Daily Log --\n\nAhh, I\'ve finally been released and authorized to fly again. My last run-in with the Empire left me in terrible shape. I was able to eject from my starship. It was unfortunately left in ruins. I was happy to hear, however, that my next assignment was to report under Major Eker. He\'s leading the rescue in the Yavin4 System, helping our Alliance brethren out of the treacherous system and away from the Empire\'s reach. I hope I can get to Yavin4 without incident. It would be nice to return to the thing I love most; trying my wings in space.\n\nHere\'s to the Alliance!\n\nSigned,\n\nSlia \"Pebbles\" Jacinth\nRookie Pilot');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_d.stf', '8', 'loot_tatooine_valarian', '- Mining -\n\nA New Recruit\'s Guide to Mining\n\nWelcome to the wonderful world of mining! It\'s a road that leads to adventure and bountiful loot for both your Trade Guild and yourself! Below are some topics you might find useful.\n\n- How To Mine: In 1, 2, 3 steps!\n- Space Slugs! Oh no! What to do in a Space Slug Emergency\n- Attacked? Maneuvers you might find useful\n- \"Eject\" is your friend\n- Don\'t steal your guild\'s loot! How to Avoid Temptation..');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_d.stf', '9', 'loot_all_freighter_2', '[The memory disk makes a low humming sound as it\'s processed into the computer. In an instant, a holocomm image materializes and depicts a group of young star pilots, laughing and obviously excited about something. The voices start out as static, then mold into a coherent conversation:]\n\nYoung Pilot 1 (male): How do I work this thing?\nYoung Pilot 2 (male): Let me see that!\nYoung Pilot 3 (female): Kual, you couldn\'t work that thing if your life depended on it!\n\n(all laugh)\n\nKual: I think it\'s working now. Serranna, John, come here!\nJohn: Good work, man! (pats Kual on the back)\nSerranna: (fluffs her hair and clears her throat)\nKual: Hello out there! We\'re the--\nSerranna: Are we recording already?!\nKual: Yes, pay attention. (ahem) We\'re the crew of the Kl-708, Trade Guild Freighter.\nSerranna: Indeed, we are! (takes the holocron from Kual) John, what are we transporting today?\nJohn: Well, Serranna, we have on board.. (turns to rummage around in the boxes at his feet) this lovely painting, a rug and some.. what\'s this? Could it be? Vasarian Brandy! Oh, this is good stuff.\nKual: Guys! Would you stop clowning around with that stuff! Give me the holocron!\n\n(Serranna and John giggle as they break open the bottle of Vasarian Brandy)\n\nKual: Do you see what I go through? (speaking to the listener of the holocomm)\nSerranna: Oh stop! You know you want some. It makes our long journey to Dantooine that much easier.\nJohn: Agreed!\nKual: I guess. I am a little paranoid and grumpy.\n(John takes the holocron away from Kual and mumbles to it)\nJohn: Shh. Don\'t tell anyone we\'re drinking this brandy!\nSerranna: What\'re we going to do when we get to Dantooine?\nKual: See the sights, of course! I\'ve never been there.\nJohn: Me either. Ah well. (turns to the holocron) This is the crew aboard the KL-708 Trade Guild Freighter, signing out.\n\n\\\\Transmission ends and the holocomm image disappears.');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_d.stf', '10', 'loot_tatooine_blacksun2', '- Dancer\'s Woe: A Sorrowful Story -\n\nI just got the news from my sister, who is a wonderful dancer by the way, that the \"Black Sun\" aren\'t a dancing squad at all. I can\'t believe my brother would play such a horrible trick on me. I\'m so going to get my revenge on him. Oh, I know! Have an image designer completely change his look while he sleeps! Oh, that\'s real good. Or I can tell the Imperial officer in our neighborhood that he has contraband in his room. That\'ll get him! Still, the sweet song of revenge doesn\'t help my plight. How do I tell these Black Sun thugs that I\'m merely a dancer, hoping to find a dance troupe to travel with? I mean, how would they understand? They hurt people and stuff! Ugh, that brother of mine.. Going to have to figure a way out of this one. I\'ll keep you updated, diary. Until next time!\n\nDancer Vee\'anna');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_d.stf', '11', 'loot_naboo_civspeeder', '-- Data Entry 045.937 --\n\nI\'m unnerved. It seems that the infamous trade route, called the Inte\'kepta Way, that I travel on frequently has become deathly quiet. I can almost predict the second I\'m usually attacked by a wandering Hutt thug or Black Sun fiend. But not today. I wonder if it has to do with the Empire\'s new recruits. They seem to be cleaning up things lately. Or is it that the Empire is actually doing their job, protecting this trade route? I\'m not sure. Anyway..\n\nToday, I\'m traveling to Rori. I\'m visiting my sister for her birthday. She should be pretty excited. She hasn\'t seen me in a few years. With all this getting attacked, I haven\'t had much time to do anything else than fleeing with my life. I\'m still keeping my guard up. Just in case. Until then..\n\nNik\'ta Tylaina\nArtisan of Naboo');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_d.stf', '12', 'loot_naboo_borvo', '\\\\Inventory Report\\\\\n\n\\\\Target: Civilian Trade Route (Code Name: Inte\'kepta Way)\n\\\\Activity: Civilian Speeders, Freighters, Royal Security Forces\n\n** Notes: Just another day on the Inte\'kepta Way. The Royal Security Forces seem to be more.. forceful lately. Unfortunately, Squad 56-TY was unable to successfully \"secure\" any freighters or civilian speeders today. It seems the Forces have hired new recruits. They\'re fresh and bright-eyed. Obviously, they haven\'t had their high spirits crushed yet. We\'ll see how excited they are to fly after we, Borvo\'s thugs, have taken a few of them out.\n\n\\\\Inventory: None (See note above)\n\nBven Ji\'ontha\nSquad 56-TY Leader');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_d.stf', '13', 'loot_naboo_droid', '[It\'s fairly difficult to make out the contents of this datadisk, its information appears to be encrypted. The computer makes a disgruntled *beep* as the disk is popped into it. It takes a considerably long moment for the computer to do anything. What\'s wrong with this thing? Piece of junk! No, pounding on it won\'t do any good. Ah, finally. The computer springs to life, spewing out the brief holocomm image of a 4-LOM droid. The image quickly disappears and the computer mumbles an incoherent string of what one might think is a communication of some sort. The words that can be made out, however, have been translated by the computer, although somewhat poorly.]\n\n//Royal Security Forces... *static* new recruits...\n//Our resources.. *incoherent language* must defend..\n//4-LOM.. *incoherent* assassin model..\n//New recruits... *long string of babble*\n//Destroy them all..\n\n//Transmission Ends.');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_d.stf', '14', 'loot_naboo_miner', '\\\\Extraction Report\n\nNumber of Transports: 6\n\nBelow is the item number of the resource delivered, the name of the captain and squad and time for your conveinence. Please let me know if this is what you\'re expecting. Due to the hightened number of attacks on our miners and demand of resources, we\'re experiencing some problems with performance. We need to hire more miners. And those damn Royal Forces need to do their job! Although, now that I think of it, they might be pressed as well. Too many thugs to keep in line.\n\n045.178 Shipment of Doonium Iron - Serial Number 45321 delivered by: Captin Klaihd of Miner\'s Guild, Area G-79L\n045.260 Shipment of Linksteel Aluminum - Serial Number 78912 delivered by: Lieutenant Hykal Mi\'na of Area TY-79\n045.345 Shipment of Amorphous Gemstone - Serial Number 125 delivered by: Ty\'nia Sunchaser of IronFleck Marauder Miner\'s Guild\n045.400 Shipment of Muon Gold - Serial Number (Unknown) delivered by: Kven Y\'lon of Hutt Syndicate ***\n045.540 Shipment of Lommite Carbonate Ore - Serial Number 450 delivered by: IronFleck Marauder Miner\'s Guild\n045.600 Shipment of Bronzium Iron - Serial Number 57965 delivered by: Cczinace Coldstar, Area DF-567\n\n*** Note: One of the more odd occurrences today. Where did this guy come from? It was quite an amusing conversation actually. Appearantly, Kven Y\'lon, as he called himself, accidentially mistook our mining outpost for a Hutt drop-off spot. It\'s been too hectic lately and I really didn\'t feel like alerting the Imperial Navy or doing the extensive amount paperwork needed to report the crime. I let him go. Kven left in a hurry, but left some spice with us. A quiet thanks, maybe? Oh well. By the way, the spice is missing now. I wonder where it could have gone?\n\n\nPenace Coldflame\n\nChief Administrative Assistant\nIronFleck Marauder Miner\'s Guild\n');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_d.stf', '15', 'loot_naboo_imperial', '** Emergency Report **\n\nName: Captain Silverline\nPriority: High\nType: Unknown Flying Starship\n\n\\\\COMMUNICATION APPROVED BY THE IMPERIAL NAVY\\\\\n\nAttention!! This is Captain Silverline, Imperial Authoritarian of the Emperor\'s Navy.  While patrolling Area D-512, we spotted a group of unidentified flying starships. They only spat out threats in response to our friendly hails which resulted in hostile, open fire directed toward us. I lost most of my men to these.. holligans! We\'ve adopted a code name for these starships: Penumbra Omen. Avoid them at all costs, my friends. The leader of the so-called Penumbra Omen only briefly identified itself as the \"OT-Violator\". Their starships seem to be like that of a Hutt smuggler\'s starcraft, although I certainly doubt any Hutt would be flying any of those ships, at least.. not like that. Their personality almost seemed.. mechanical. Still, it is imperative that we avoid these things before we learn more about them. Additionally, we\'ve renamed Quadrant IV Area D-512 to the \"Penumbra Omen Quadrant\" to further warn our new recruits.\n\nThat\'s all we have to report for now.\n\nCaptain Silverline\nImperial Authoritarian\nImperial Navy');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_d.stf', '16', 'loot_naboo_rsf', '[Receiving... .. .. Translating Rodian into Common]\n\n\\\\ Patrol Report //\n\nAnother day, another patrol. But, suprisingly, this old patrol route proved to be different today. You see, you\'ll often find me reading a book while on my patrol. It\'s easy. Just set the controls to Auto-Pilot and look up from your book a few times. Reading.. yeah, that gets old after awhile. During my trip to Tatooine, I bought this nifty gadget from the local jawa trader. It scans frequencies and transmits the data to your computer. Today, I received the following transmission from my trusty gadget:\n\n--\n\n** Emer..ency Re..t **\n\nName: Captain Silv...e\nPr...ty: H..h\nType: Unkno.... F..ying St..hip\n\n\\\\COM..TION APPR..D BY THE IMP..L N..Y\\\\\n\nAttention!! This is Captain Silverline, Imperial Authoritarian of the Emperor\'s Navy.  While patrolling Area D-512, we spotted a group of unidentified flying starships. *static* I lost most of...lligans! We\'ve ado.. code name f...tarships: Penumbra Omen. Avoid the..osts, my friends. The leade...lled Penumbra Omen only bri...e \"OT-Violator\". Their stars...utt smuggler\'s starcraft, althoug...utt would be flying any of those ships, at least.. not lik...lmost seemed.. mechanical. Still, it is imper....ditionally, we\'ve re..rant IV Area D-512 to the \"Penumbra Omen Quadrant\" to further wa...uits. [Transmission Ends]\n\n--\n\nHmm.. that didn\'t work as well as I had thought. Oh well. I\'m almost tempted to take this gadget back to the jawa I bought it from. But then again, these Penumbra Omen folks... they sound pretty interesting. Quadrant \"Penumbra Omen\", huh? Might want to check it out.\n\nOver and out,\n\nFghai\'g Windrunner\nRoyal Security Forces\n\n\n\n\n');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_d.stf', '17', 'loot_dantooine_anthro', '[Daily Log] \n\nDr. Y\'tinv\n023.768\nArea D-502\nAii\'tkian Anthropology Guild\n\nToday, we were given a new assignment from our professor, Dr. Kynas. It was a different assignment than we were used to. Because my team and I are fluent in the knowledge of molecular anthropology, we were assigned to examine a new strain of copper that we\'re now calling \'Conductive Borcarbitic Copper\'. At this time, we\'re trying to discover its origin. One of the members of the O.S.S. Guild of Area D-502 found a particularly odd artifact with the molecules of this particular copper attached to it. It\'s truly fascinating. The O.S.S. Guild of Area D-502 (they actually like to be called just plain \"Junk Dealers\") found the artifact in the Wall of Dantooine, fused, or half melted, to an asteroid. There could be more of this Conductive Borcarbitic Copper out there, but the \"Junk Dealers\" only care about the artifacts. With an alliance, both of our establishments could receive what they hope to find from the Wall of Dantooine. We\'ll see how it goes. In the meantime, we\'ll continue to study the new strain of copper. So far it seems resistant to our Ion laser tests. See future correspondence about these particular tests.\n\n\n');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_d.stf', '18', 'loot_dantooine_anthro2', '[New Copper Strain Experiments]\n\nSubject: Conductive Borcarbitic Copper\nTest 1: Ion Cannon\nDescription: We were able to effectively extract more samples of the Conductive Borcarbitic Copper from the Wall of Dantooine asteroids. The asteroid field is rich with this new strain of copper. The samples were melted down to produce a ball of copper with which we were able to conduct several tests on. In fact, even the melting process of the samples was able to give us an idea of how powerful this new copper could be. It was able to resist high temperatures of heat. We think the copper could be used as a great component for creating shields for a starship. See following tests for more information on attributes.\n\nSubject: Conductive Borcarbitic Copper\nTest 2: Blaster\nDescription: On our second run, we extracted another sample from the asteroids of the Wall of Dantooine. Again, we melted the samples to produce a lump at which we could fire with a normal blaster. Odd occurrence, however, as the copper easily melted this time whereas before it took several hours to produce a lump on which we could conduct our tests. It seems Conductive Borcarbitic Copper has a large range in the resource quality spectrum. We\'re going to continue our experiments.\n\n* Note: I\'ve gathered notes from various scientists regarding our new copper. They were each given a sample on which to conduct their own private tests. Our tests were tried in a safe environment with heavy weapons and a large staff of our trusted scientists.\n\nAttribute 1: Cold Resistance\nAttribute 2: Toughness\nAttribute 2: Heat Resistance\n\n** Note: Of course, these are not all the attributes associated with the Conductive Borcarbitic Copper. There could be more. The attributes numbers, again, seem to range greatly from sample to sample. We\'ll continue our tests.\n\n*** Note: Because our team is fluent in the molecular level of anthropology, we will continue to experiment with this new strain of copper until we get some scientists familiar with resources on our site.\n\n\nSigned,\n\nDr. Kynas\n\nAii`tkian Anthropologists\nMolecular Team\nArea D-502');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_d.stf', '19', 'loot_dantooine_blacksun', '.. Alliance Agreement ..\n\nThe undersigned proclaim alliance in which these requirements are imperative. If the following requirements and/or agreement are broken, the alliance will be null and void.\n\nRights of Travel - None shall intrude upon each other\'s airpsace with intention of hostility. Any shots fired, accidentially or on purpose, in the undersigned\'s airspace will render the alliance null and void.\n\nRights of Trade - Each establishment has the right to trade, or refuse trade, with the undersigned.\n\nRights of Alliance - The undersigned have the right to render the alliance null and void at any time.\n\nRestrictions: The said alliance is not an entitlement to have an ally against enemies. The alliance describes trade situations only.\n\nUndersigned,\n\nX10-700 \"Destroyer\" \nDetritus Satellites\nArea D-513\n056.397\n\nTvinii Blackrunn\nBlack Sun');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_d.stf', '20', 'loot_dantooine_blacksun2', '045.671\n\nAh, the \'Detritus Satellites\'. A peculiar \"collection\" of droids, if you will. The rumors have been proven true. We, the Black Sun, have formed an alliance with these little maggots. Amusing, if you ask me. What could we, the mighty Black Sun, possibly want from them? It must have something to do with their little mockup of an \"outpost\". It seems these little sentient bits n\' bolts have a way with electrical currents, harnessing their power to aid their technology with weapons systems. All I could want with them and their technology is to see how much of an explosion they would cause under the heat of my fire. But alas the \"Alliance\" will not allow it. Pity. Perhaps I\'ll be able to pick off a few \"under the radar\". As soon as the alliance ends, my Black Sun friends and I are going to have a lesson in targeting practice.\n\nFor the Black Sun,\n\nA\'kiian \"Maleficus\" Bloodlight\nBlack Sun');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_d.stf', '21', 'loot_dantooine_force', '[The computer almost chokes as the data disk is fed into the receiving mechanism. Time to get a new computer?]\n\nReceiving.. .. ......\n\n[Translating Aurebesh]\n\nReceiving .. .. ......\n\n(Writ of Execution)\n\nTarget: Any Member of the Warrens Assault Squad\n\nIt is our duty to destroy the Warrens Assault Squad. Our assassins are handling the fools that still thrive on the ground even as we speak. They are parasites that must be eliminated. Their actions against us cannot be ignored nor tolerated. We will take possession of our base once more and eradicate any sign of the Warrens Assault Squad. We will become victorious!\n\nIn victory,\n\nNvon FlameStalker \nForce Tyrant');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_d.stf', '22', 'loot_dantooine_imp', '.. Imperial Daily News ..\n\nLocal News:\n\n[Thefts Continue]\nIn the Dantoone System, locals say there are still acts of theft being committed within the Dantooine System. \'We\'re trying to clean the mess up as soon as possible\', Major Jen Kynlaz says. \'It\'s unfortunate that the locals have to bring themselves this low\'. Even still, scavengers can be seen stealing the various parts from the destroyed Rebel Base in the system. Officials say they\'re going to put a stop to this as soon as possible. But will they be able to?\n\n[Officials Still Suspicious]\nOfficials are said to be suspicious of the local slade trader\'s sect, the Zel\'iphian Slave Traders Guild, of trading slaves even though the Empire officially stated their trades \'illegal\'. \'Our sources are still investigating the issue\', Officer Vghand of the Imperial Navy says. \'They won\'t be able to get away with it for too long.\' The Zel\'iphian Slave Traders still deny any claim to trading slaves.\n\n[New Strain of Copper Found]\nThe Aii`tkian Anthropologists in Area D-502 have found a new strain of copper thanks to the O.S.S. \"Junk Dealers\" Guild. The scientists believe the new copper will be used effectively for starship shields and various parts. Local shipwrights tell us its the answer to their hopes and dreams. \'It has a large range of quality,\' says a local shipwright, Tenna Ghii\'anna, \'and has a lot of attributes. We\'ll have to see how it works with our schematics. I\'m hopeful, though.\' Scientists will continue their experiments.\n\n[Imperial Navy Continues to Recruit]\nNew recruits flood our systems by the day. Officials say, however, that they fear the Rebel Alliance has caught on to their brilliant idea. \'We had hoped to bring in new recruits to the Imperial Navy,\' says Recruiting Officer Limna Renence, \'but we fear that the Rebels have followed our idea. Now, we have to compete for new recruits.\' Locals say the more \'neutral\' factions of the galaxy have started to recruit as well. Will space be overcrowded?\n\n[Rodian Makes Off With Spice]\nLocal rodian, Cien Wenzz, was seen last night looting a freighter filled with spice. Locals say he disabled the freighter, docked with it and stole all the spice it was carrying to Dantooine. If you\'ve seen him, please contact the Imperial Navy. Cien is said to have emerald skin, pink eyes, and is of medium build. Keep an eye out for Cien Wenzz.\n\nNext issue of Imperial Daily News discusses.. \n\n- News: What\'s in store for Endor?\n- Tips: Keeping your Stormtrooper armor looking new and polished\n- Local: Best place to get TIE repairs\n\nAnd more!! Subcribe today!');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_d.stf', '23', 'loot_dantooine_imp2', '045.103\n\nDear Diary,\n\nI had a pretty horrible day. I got demoted at the Imperial Navy today from Officer to Rookie (something about spice? whatever!). My wife left me. I was mugged today by Spice Fiends (what\'s with the spice these days?!) in Tatooine by the Bestine Starport. Then, I came home and read my mail. My house is being forclosed on and my vendors ran out of inventory during the week I was gone!\n\nBoy, I\'m sure glad I saved 15% on my ship insurance by switching to \'McCheepii\'s Insurance\'.\n\nI hope tomorrow is better.\n\nWith love,\n\nBenni Vlinn\nOfficer-turned-rookie');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_d.stf', '24', 'loot_dantooine_junk', '[Information Holocast]\n\nI hope this holocast reaches everyone with hopes of good health and fortune to all. Thanks to Angl Eoni\'s discovery, we\'ve made new friends with the Aii`tkian Anthropology Guild. As you know, a new strain of copper was found just last week during one of our visits to the Wall of Dantooine. The new strain of copper has been named \'Conductive Borcarbitic Copper\'. The Aii`tkian Anthropology Guild, who\'s specialty is molecular study, is continuing their studies at this time. Due to our trade agreement with the famous Anthropology guiild, we should see a rise in our sales. We\'ll continue to extract samples of the copper during our daily trips to the Wall of Dantooine.\n\nThis week, we\'ve found some interesting objects. We\'ll disclose the information in this evening\'s meeting. If you have any concerns, or questions, feel free to contact me.\n\nIarda Ninn\nChief Holocomminucator\nO.S.S. Guild\n\n\'.. can\'t have too much junk in your life.\' - C.C. Smayl\n');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_d.stf', '25', 'loot_dantooine_junk2', '[Private Message]\n\nYiri, thank you for your concerns. We\'ll have to see what we can do about the situation. However, we have our doubts about any type of \'ploy\' idea. Her finds have sky-rocketed our sales recently. Still, we\'ve been hearing more and more rumors about this. We\'ll definitely look into the matter. Thank you again for your concerns.\n\nIarda Ninn\nChief Telecomminucator\nO.S.S. Guild\n\n\'.. can\'t have too much junk in your life.\' - C.C. Smayl\n\n\n-- Message --\nFrom: Ysere z\'Ceq\nSent: 098.451\nTo: Iarda Ninn\nSubject: My concerns..\n\nWhat\'s with this new strain of copper I keep hearing about? I have my suspicions about this Angl Eoni character. She found it? Of all people? You know she has information ties with the Hutts! I really think this is some ploy they devised to rake in the credits. I still don\'t know. We should at least hire an investigator and find out what\'s really going on. Just my two credits.\n\nYiri Osth\nJunk Dealer\n\n');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_d.stf', '26', 'loot_dantooine_junk3', '[The memory disk is hot to the touch. You really did a number on that junk dealer. Maybe you should be a little nicer, huh? Popping the disk into the system\'s computer results in a whirling \'please wait, loading\' sort of sound. Thinking.. can this computer be any slower? The computer finally spits out the information. It seems to be a daily log of some sort.]\n\n045.624\nAuthor: Angl Eoni\nSubject: Their doubts..\n\nAs I suspected, they doubt me. They doubt the validity of my claim, the new strain of copper I found. Sure, I have tie-ins with the Hutts. So what? Sure, I steal from the guild. So what? Okay, so maybe they have reasons to doubt me. I don\'t necessarily have the best track record. But they don\'t know about the thefts.. do they? I really don\'t like being doubted. Hmm.. which reminds me, I have a meeting this evening with my Hutt contact. I have a few ideas up my sleeves. They really shouldn\'t doubt me. I hate being doubted. We\'ll have to see what the \'consequences\' will be for them..\n\nAngl Eoni\nJunk Dealer');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_d.stf', '27', 'loot_dantooine_mining', '[Customer Service Correspondence]\n\nGreetings Vas,\n\nI\'m very sorry to hear of your misfortune regarding the \'Oaughe\'s Shipping\' company and your run-ins with the Valarians. We know how the Valarians can be! We\'ll replace your \'Kuat Systems Engineering Custom LX-11 Reactor\' free of cost. Just send us your receipt and we\'ll send it out immediately. Thank you for contacting Mig\'s Bits \'n\' Parts!\n\nEisu Taist\nCustomer Service Rep\nMig\'s Bits \'n\' Parts\n\n-- Message --\nFrom: Oraka Deln\nTo: Mig\'s Bits \'n\' Parts\n\nThis morning, I received my \'Kuat Systems Engineering Custom LX-11 Reactor\' (Serial Number 1-0Gh5) from \'Oaughe\'s Shipping\'. I was so excited to finally get it. I\'ve been waiting for this model since I can remember. Well, imagine my distress when my new reactor blew while I was being chased by a Valarian thug! I was almost killed. \'Oaughe\'s Shipping\' claims full responsibility. It seems the person piloting the delivery starship was.. drunk on brandy. I must say, I\'ll never use that shipping company again. The reactor is beyond repair. Please tell me you can help me with this.\n\nSincerely,\n\nVas Slis\nMiner\n\n');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_d.stf', '28', 'loot_dantooine_mining2', '[Receipt from \'Fix it Up Starship Co.\']\n\nItem                                                           \n----\nCygnus Mark III Shields\n  * Action: OK\n  * Cost: 0 cr\n\nKoensayr Ion Accelerator 3\n  * Action/Status: OK\n  * Cost: 0 cr\n\nCorellian Enhanced Elite Plastisteel\n  * Action/Status: Cracked/Repaired\n  * Cost: 3000 cr\n\nCygnus HD-5 Engines\n  * Action/Status: Leaking/Repaired\n  * Cost: 4500 cr\n\nMandalMotors DXR-3 Reactor\n  * Action/Status: OK\n  * Cost: 0 cr\n\nKoensayr Tuned Mark III Capacitor\n  * Action/Status: OK\n  * Cost: 0 cr\n\n\nTotal: 7500 cr\nStatus: PAID\n\n\nThank you for choosing \'Fix it Up Starship Co.\'! We appreciate your business!\n\nSigned,\n\nRuw Ems\nMiner\n');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_d.stf', '29', 'loot_dantooine_rebel', '[Notice]\n\nReporting Wit \"Rill\" Lloelt from Rebel Alliance..\n\nAs we speak, our brethren are launching an attack on the Imperial forces surrounding our once-mighty station. Like festering parasites, the thugs of our Dantooine System are swarming around the carcass of our head quarters, feeding off the bits and pieces left behind after the blast. As we all know, many of our men were lost during this cowardly attack. We must fight back! We must show them that the Alliance will not be easily faultered. We must defend the sanctity, the memory, of our brethren. We must secure the station and bring it back to its glory. For the Alliance!\n\nWit \"Rill\" Lloelt\nHigh Commander\nRebel Alliance\n\n\n');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_d.stf', '30', 'loot_dantooine_rebel2', '[Daily Log]\n\nThis morning, I was notified that my assignment has changed. I\'m suppose to report directly, and immediately, to a Brother Vrovel on the planet of Dantooine. I\'m traveling there now. I\'ve heard about this Brother Vrovel before and his gang, claiming to be of the Alliance. These \"Vortex\" people. Needless to say, they give me the creeps. I\'ve heard that this \'Brother\' character is a little bit of a nut. But I trust my superior\'s judgement. Supposedly, the \"Vortex\" are lacking experience pilots. I guess I\'m one of the first to go. We\'ll see how this pans out. He\'s a little obsessed with the Dark Force thing, and these so-called \"Imperial Insquisition\". Something about a planet named Vortex, and a library of knowledge. Weird things have been happening recently. I really don\'t feel safe anymore. \n\nAhinu Ranz\nRebel Pilot\n\n');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_d.stf', '31', 'loot_dantooine_scavengers', '[Translating.. ... ...]\n[Subject: Trade Agreement: Black Sun]\n\n.. Alliance Agreement ..\n\nThe undersigned proclaim alliance in which these requirements are imperative. If the following requirements and/or agreement are broken, the alliance will be null and void.\n\nRights of Travel - None shall intrude upon each other\'s airpsace with intention of hostility. Any shots fired, accidentially or on purpose, in the undersigned\'s airspace will render the alliance null and void.\n\nRights of Trade - Each establishment has the right to trade, or refuse trade, with the undersigned.\n\nRights of Alliance - The undersigned have the right to render the alliance null and void at any time.\n\nRestrictions: The said alliance is not an entitlement to have an ally against enemies. The alliance describes trade situations only.\n\nUndersigned,\n\nX10-700 \"Destroyer\" \nDetritus Satellites\nArea D-513\n056.397\n\nTvinii Blackrunn\nBlack Sun');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_d.stf', '32', 'loot_dantooine_scavengers2', '[Translating.. ... ...]\n[Subject: Trade Agreement: Nym]\n\n.. Alliance Agreement ..\n\nThe undersigned proclaim alliance in which these requirements are imperative. If the following requirements and/or agreement are broken, the alliance will be null and void.\n\nRights of Travel - None shall intrude upon each other\'s airpsace with intention of hostility. Any shots fired, accidentially or on purpose, in the undersigned\'s airspace will render the alliance null and void.\n\nRights of Trade - Each establishment has the right to trade, or refuse trade, with the undersigned.\n\nRights of Alliance - The undersigned have the right to render the alliance null and void at any time.\n\nRestrictions: The said alliance is not an entitlement to have an ally against enemies. The alliance describes trade situations only.\n\nUndersigned,\n\nX10-700 \"Destroyer\" \nDetritus Satellites\nArea D-513\n056.397\n\nVors d\'Oesti\nNym\'s Commander');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_d.stf', '33', 'loot_dantooine_scavengers3', '[Translating to Common.. ... ....]\n\n[Analysis]\n\nSubject: Rock Sample 657.980\n\nKerol Firegem Crystalline Ore: 5%\nStygium Amorphous Gemstone: 15%\nAmorphous Gemstone: 25%\nSiliclastic Ore: 45%\n\nStatus: Unsuitable\n\n---\n\nSubject: Rock Sample\n\nExtrusive Ore: 34%\nSiliclastic Ore: 15%\nKammris Iron: 51%\n\nStatus: Suitable\n\n\\\\Target Acquired.. Sending notification.\\\\\n');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_d.stf', '34', 'loot_dantooine_slave', '[Subject: Imperial Decree]\n\nThis notification is to let you know that the \"Empire\", as we know and love them, has decreed our past time of slave trading \"illegal\". The council has agreed to follow this new \"law\" as it stands. However, before you all sigh with despair and lament becoming a loyal, law-abiding citizen, I\'ll have you know we\'ve changed our \"loot\" to spice. Still illegal, still just as fun. And much more, shall we say, concealable. No doubt an Imperial Officer will stop you one of these days. Just in case that happens, we\'ve stocked all starships with \"fake\" cargo. The cargo boxes have false compartments in which we can hide spice with the legal loot on top. Thanks to our crafty engineers, it works perfectly. These new cargo boxes have gone through rigorous testing to guarantee safe and effective illegal trading. On your next shift, come by the base to receive your new shipments.\n\nHappy spice trading to all!\n\nAntage Oran\n\"The Boss\"');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_d.stf', '35', 'loot_dantooine_warren', '[Report: Assassin Attacks]\n\nJust as we thought.. I\'ve received several memos today regarding the Force Assassin attacks over the last few days. We have to be kept on alert. We\'ve claimed this area for our experiments and research. Any signs left of their outpost has been cleared away.  It was quite the sight, I must say. The scavenger droids came out of no where and removed all the debris. We didn\'t have to do a thing. I wonder what they do with it all? Anyway.. keep your eyes open. Spare no one.\n\n\\\\Transmission Ended.\\\\');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_d.stf', '36', 'loot_endor_artisan', '[Shipment Catalog]\n\n567.098\nName: Cimeron Starship 9\nCaptain: Ningenta Starfighter\n\nCarrying: One (1) cargo box of hot pants.\n               One (1) cargo box of melons.\n               One (1) cargo box of bantha dolls.\n\nDestination: Endor, Tatooine, Corellia');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_d.stf', '37', 'loot_endor_artisan2', '[Subject: Just keeping in touch..]\n\nWell, we had our annual Sabaac game a few days ago. It was a very fun time. We had a great turn out of ten folks and played all night, stuffing ourselves with Blap Biscuits, Etost\'Ew Zann, Kanali Wafers and so much more! The drinks brought by Jkenkii were another highlight of the evening and ranged from Bantha Blasters to Vasarian Brandy. O\'pianl went home with most of our credits as he won three out of five games. We\'re thinking about holding more games more often. Send in your opinions. Tell us what you think and if you\'d be interested! Until next time!\n\nGhendin Firequis');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_d.stf', '38', 'loot_endor_series_tinrilo', '[Translating... ... ..]\n\nDuring my travels to, and on, the moon of Endor, I\'ve run across some interesting areas. I plan to go back with a few of my friends and poke around. So far, I\'ve found tidbits and clues to the stories surrounding these areas.  It\'s truly fascinating.\n\n098.456 - Crash Site (4746, 13, 2077)\n\nFrom the overgrown remains, I was able to recover a datadisk that happened to be in a undisturbed lockbox. What a lucky find, I thought! The disk was badly damaged from the crash, but I was able to extract a chunk of information from it with hours of effort. The crash site was of a starship, named \'the Jade Starunner\', and belonged to a war hero, Vendi Kjleno. Unfortunately, I couldn\'t find enough information about the war hero, only that he was in the Battle of Yavin4. Attempting to escape from Imperial threat in the Endor System, the war hero couldn\'t shake the Imperial officer and met his doom, crashing on the lovely green moon. Sudden, heavy rainfall prevented me from spending anymore time at this particular site.\n\n076.290 - Imperial Survey Party (2663, 1, -4127)\n\nA difficult find, indeed. Hidden in a copse of dense trees, I found this particular site after falling down a steep hill, crashing face first into the small river below. Interestingly enough, this site seems fairly new. I can\'t imagine an assignment that would send Imperial officers to such an uncharted area. The minimal amount of damage indicates that the creatures responsible were small. (Ewoks?) I am unsure if the Gorax are in the area, but the damage would be far spread if it was, indeed, a Gorax responsible.\n\n045.709 - Solitary Hutt (-1795, 396, 6014)\n\nAn evil looking place. Skulls of past victories litter this site, casting a haunting aura and providing a perfect place for the Korga to mingle. On Endor, I find myself crawling to the top of rocky hills just to see what might be beyond the ridge. Imagine my surprise when, on reaching the top of a particularly trecherous hill of loose rock, I am immeditely attacked by Korga. I barely left with my skin in tact. I was able, while fleeing for my life, to get a quick glance of the area. Again, this will be one of those sites I return to with a horde of friends.\n\nI\'ll continue to find interesting areas. Adventure is my life.\n\nTinrilo \"Adventi\" x\'Rilsam\nExplorer Extraordinaire\n');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_d.stf', '39', 'loot_tatooine_series_tinrilo', '[Translating .. ... ..]\n\nAh.. my calling; to adventure. This log marks my first exploration, in a series of many, of the Tatooine planet. I\'m here to find those little pieces of history we often forget and have left behind. Each moment of our lives leaves a footprint for others to follow, windows through which one can taste a piece of what we have experienced. Tatooine is rich with history and I\'m here to uncover it. Dodging the common horrors of the planet, I hope to come out in one piece and with a little more information about the world around us. \n\nBut who really am I? I am Tinrilo \"Adventi\" x\'Rilsam, self-proclaimed Explorer Extraordinaire. Of course, I was not always an explorer. I\'ve recently retired from the Royal Security Forces on Naboo, having served in many battles, wars and grusome memories I\'d like to forget. I\'m old in age and in spirit, although moreso the latter; I\'ve lived my life and I\'ve seen great things. I\'ve seen my children thrive, peace achieved. I\'m an old veteran of life. Finally, I can turn my eye to my passion and dedicate the rest of my existence to it. History.. those fine threads of the past we often severe, delicate tunnels to the fading memories just beyond our reach. Bah! Enough of my ramblings. Let\'s see what we find today. Destination.. Tatooine!\n\n230.341 - Spy\'s Haven (5943, 180, -3828)\n\nEquipped with expensive computers and gadgets, I found what I\'d like to call \"Spy\'s Haven\" while exploring the deserts in the south eastern area, near Mos Eisley. While approaching, I could see the jawa closing in, barely able to keep their tricky little hands to themselves as the computers went about their business. Obviously, the site was \"fresh\". I assumed it had only been abandoned for one, maybe two days. Even with my advanced slicing skills, the computers refused to release their information. I\'m going to assume that members of the Alliance were stationed here before run off by the local wild life. On to more interesting subjects..\n\n456.076 - Mosor\'s Maze (-3043, 0, -5127)\n\nI nearly smacked into Mosor\'s Maze while trying to escape the local wildlife on my speeder. The bowcats are indeed a fickle, dangerous creature. I was able to duck into the mouth of the maze and hide while the bowcats past me by. Luckily, this trusty maze had been here when I needed it. I remember playing here as a kid, getting lost for hours. To rekindle the memories (history in of itself!), I decided to test it out myself. Unlike my childhood, I was able to get out of the maze easily. Ah, the memories.. Rumor tells us the story behind such a design of the imagination, although not a happy story at best. It is said Mosor came home from war and found his wife with his best officer, Polen. Previously, Polen had to be dismissed due to an \"accident\". Enraged, Mosor had the maze built as a momument to his promise of revenge. It was on the night of its completion that Mosor drugged his wife and her lover on Vasarian Brandy, dragging them to the maze in the whispering darkness of the night. He sealed them in thereafter, leaving them to die in the heat of Tatooine merciless gaze. The walls of the maze have since been brought down, but no corpses were found. Are the rumors true? Or was it just a tale our mothers told us to keep us out of there? I guess we\'ll never know.\n\n076.341 - Hero\'s Grave (-3675, 38, -1649)\n\nThe Hero\'s Grave. I received the location from a friend of mine who also retired to persue history. Clues left by the keepers of this site tell us it is a grave, belonging to some of the first settlers of Tatooine. Small graves surround a center stone which we believe may house the remains of the leader. Much is unknown about this place.. Unfortunately, any evidence left from history, save from the small carvings in the rocks, has been stolen long ago and only tall stones remain as a testiment to their glory and achievements.\n\nFor now, we leave Tatooine. I am headed to Naboo while my partner in history is traveling to Dathomir. I wish him well and safety.\n\nTinrilo \"Adventi\" x\'Rilsam\nExplorer Extraordinaire\n');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_d.stf', '40', 'loot_naboo_series_tinrilo', '[Translating.. ... ...]\n\nI\'ve lived most my life on this green planet. Naboo is a calm, peaceful place. But it always hasn\'t been so. War struck the planet many years ago, before my time. I\'m glad it\'s still here. I couldn\'t have picked a better place to spend my life. Perfect for one who would like to live out his or her days in solitude with a backdrop of indescribable beauty. My friend, Pisk, has left for Dathomir. We\'ve decided to meet up at the cantina in Bestine after our explorations have been drawn to a close.  I\'ll have to trust him when he says he\'ll be safe. Hm.. bah! Onto the tour of Naboo, my home planet.\n\n104.923 - Dark Prophet and the Altar of Evil (-1636, 0, -4033)\n\nHm.. silly title for a place emitting an unnatural evil. I approached the momument quietly, having seen the glimmer of a dark figure in the distance. A lone man, silhouetted by the birth of night, stood quietly, staring at the altar for quite some time. Despite my continuing approach, he did not even bother to notice me. I wondered what his story was, but didn\'t dare to ask. The eerie existence of the lifeless statues, the ever-burning flame casting a dance of light and shadow across the stone surfaces, never thwarted the beauty of the rolling hills and the happy fluttering of blue butterflies. Unfortunately, the unraveling of this place would have to wait. I don\'t think anyone would like to fight toe-to-toe with a dark prophet.\n\n089.244 - Lone Droideka (-630, 0, 3982)\n\nOne of the many remnants to the Clone Wars. A fierce warrior, the droideka rolled into battle, popping up and emitting energy shields which helped aide them against the Gungan advancements. I\'m surprised the droid hasn\'t been taken and is still here among the nature and the flowers of Naboo. Many here hold history sacred and it is why I love this planet so dearly. I wonder what this particular droideka saw in its lifetime? Now, it lays here, apart of the world and among other articles of discarded \'trash\'. Nothing, in my mind, is trash.. it\'s all a part of history.\n\n101.561 - Ongoing Struggle (963, 261, -1346)\n\nThe Galactic Civil War.. now, that\'s history for you. Throughout the galaxy, you\'ll find many pockets of strife pertaining to this ongoing phenomenon. On Naboo, I was able to find this one. I was amazed to find it still crawling with inhabitants and my suprise was what nearly gave me away to the Alliance. Another site I won\'t be able to readily explore. I\'ll try again later, I suppose. However, from my vantage point I could see many skulls peppering the landscape. It seemed to have been a brutal battle from what I could see. It was a brief visit nonethless, but a point of interest I\'ll visit again.\n\nMy plan was to visit Rori next, but I think I\'ll stick to the main planets for now. I\'ll have to visit them at another date. My next destination is Corellia, home of the Alliance.\n\nTinrilo \"Adventi\" x\'Rilsam\nExplorer Extraordinaire');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_d.stf', '41', 'template_d', 'Used to store information.');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_d.stf', '42', 'systemmessage', 'You have received %DI credits.');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_n.stf', '1', 'loot_all_freighter', 'an Inventory Report');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_n.stf', '2', 'loot_tatooine_bestine_pirates', 'Notice of Warning');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_n.stf', '3', 'loot_tatooine_blacksun', 'a Daily Report');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_n.stf', '4', 'loot_tatooine_hutt', 'a Log');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_n.stf', '5', 'loot_tatooine_imp', 'a Notice');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_n.stf', '6', 'loot_tatooine_mining', 'a Mining Report');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_n.stf', '7', 'loot_tatooine_rebel', 'an Officer\'s Log');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_n.stf', '8', 'loot_tatooine_valarian', '\"How to Mine\" Disk');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_n.stf', '9', 'loot_all_freighter_2', 'a Memory Disk');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_n.stf', '10', 'loot_tatooine_blacksun2', 'Dancer\'s Woe');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_n.stf', '11', 'loot_naboo_civspeeder', 'a Data Entry');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_n.stf', '12', 'loot_naboo_borvo', 'an Inventory Report');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_n.stf', '13', 'loot_naboo_droid', 'an Encrypted Document');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_n.stf', '14', 'loot_naboo_miner', 'an Extraction Report');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_n.stf', '15', 'loot_naboo_imperial', 'an Emergency Report');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_n.stf', '16', 'loot_naboo_rsf', 'a Patrol Report');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_n.stf', '17', 'loot_dantooine_anthro', 'a Daily Log');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_n.stf', '18', 'loot_dantooine_anthro2', 'Copper Experiments Log');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_n.stf', '19', 'loot_dantooine_blacksun', 'an Alliance Agreement');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_n.stf', '20', 'loot_dantooine_blacksun2', 'a Log');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_n.stf', '21', 'loot_dantooine_force', 'a Writ of Execution');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_n.stf', '22', 'loot_dantooine_imp', 'Imperial Daily News');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_n.stf', '23', 'loot_dantooine_imp2', 'a Diary');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_n.stf', '24', 'loot_dantooine_junk', 'a Holonet broadcast');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_n.stf', '25', 'loot_dantooine_junk2', 'a Private Message');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_n.stf', '26', 'loot_dantooine_junk3', 'a Memory Disk');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_n.stf', '27', 'loot_dantooine_mining', 'a Correspondence');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_n.stf', '28', 'loot_dantooine_mining2', 'a Receipt');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_n.stf', '29', 'loot_dantooine_rebel', 'a Notice');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_n.stf', '30', 'loot_dantooine_rebel2', 'a Daily Log');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_n.stf', '31', 'loot_dantooine_scavengers', 'an Alliance Agreement');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_n.stf', '32', 'loot_dantooine_scavengers2', 'an Alliance Agreement');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_n.stf', '33', 'loot_dantooine_scavengers3', 'an Analysis');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_n.stf', '34', 'loot_dantooine_slave', 'a Notification');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_n.stf', '35', 'loot_dantooine_warren', 'a Report');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_n.stf', '36', 'loot_endor_artisan', 'a Shipment Catalog');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_n.stf', '37', 'loot_endor_artisan2', 'a Message');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_n.stf', '38', 'loot_endor_series_tinrilo', 'an Explorer\'s Log (7/8)');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_n.stf', '39', 'loot_tatooine_series_tinrilo', 'an Explorer\'s Log (1/8)');
INSERT INTO `client_strings` VALUES ('string/en/space/story_loot_n.stf', '40', 'loot_naboo_series_tinrilo', 'an Explorer\'s Log (2/8)');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/assassins.stf', '92', 'gothit1', 'Reverend Oni`antae! I have been hit! Help me!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/assassins.stf', '93', 'gothit2', 'I will not be defeated!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/assassins.stf', '94', 'gothit3', 'You may destroy me, but you\'ll never destroy the Dark Veil Order!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/assassins.stf', '95', 'gothit4', 'Luck seems to be on your side, my friend. But you will not defeat me!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/assassins.stf', '96', 'gothit5', 'Death shall consume you, infidel!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/assassins.stf', '97', 'hityou1', 'A small victory in a vast war against unclean beings!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/assassins.stf', '98', 'hityou2', 'May your death be quick and painless, %Nu!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/assassins.stf', '99', 'hityou3', 'We shall pay homage to your essence as it is consumed by the Heart of Dathomir!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/assassins.stf', '100', 'hityou4', 'Reverend Oni`antae will be pleased!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/assassins.stf', '101', 'hityou5', 'I wish you well in the next life, infidel. The Heart of Dathomir is merciless to the unclean!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/assassins.stf', '102', 'entercombat1', 'Fear the unholy might of the Dark Veil Order!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/assassins.stf', '103', 'entercombat2', 'Reverend Oni`antae! Guide me so that we, together, may destroy this infidel!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/assassins.stf', '104', 'entercombat3', 'The cleansing will start with you, %NU!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/assassins.stf', '105', 'entercombat4', 'The sight of you digusts me! I must cleanse you from the Heart of Dathomir!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/assassins.stf', '106', 'entercombat5', 'May your pain be quick and painless, infidel!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/assassins.stf', '107', 'death1', 'Oh, Reverend Oni`antae, how I have failed you! Save me from despair!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/assassins.stf', '108', 'death2', 'May the Reverend Oni`antae sacrifice you to the Heart of Dathomir!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/assassins.stf', '109', 'death3', 'May the Heart of Dathomir flail the skin off your bones!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/assassins.stf', '110', 'death4', 'Infidel! You shall not escape the Reverend Oni`antae!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/assassins.stf', '111', 'death5', 'The Dark Veil Order shall avenge my death!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/blacksun.stf', '92', 'gothit1', 'Your weapons are weak, %NU!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/blacksun.stf', '93', 'gothit2', '%TU, is that the best you can do?');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/blacksun.stf', '94', 'gothit3', 'Alright!  No more mister nice guy!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/blacksun.stf', '95', 'gothit4', 'Hey!  That won\'t be easy to repair...');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/blacksun.stf', '96', 'gothit5', 'Lucky shot!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/blacksun.stf', '97', 'hityou1', '%NU, you\'re going down!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/blacksun.stf', '98', 'hityou2', 'You can\'t take much more of this, %NU!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/blacksun.stf', '99', 'hityou3', 'You were a worthy advisary, but now you die, %NU!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/blacksun.stf', '100', 'hityou4', 'DIE!  %NU!  DIE! DIE! DIE!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/blacksun.stf', '101', 'hityou5', 'HA HA HA HA HA!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/blacksun.stf', '102', 'entercombat1', 'Fool!  You face the Black Sun!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/blacksun.stf', '103', 'entercombat2', 'Now\'s my chance to kill the famous, %TU!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/blacksun.stf', '104', 'entercombat3', '%NU, you are mine!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/blacksun.stf', '105', 'entercombat4', 'You\'re no match for a Black Sun starfighter, %NU!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/blacksun.stf', '106', 'entercombat5', 'Let\'s see how you fare against the Black Sun, %NU!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/blacksun.stf', '107', 'death1', 'Nooooo!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/blacksun.stf', '108', 'death2', 'Argh... %NU!  You got me...');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/blacksun.stf', '109', 'death3', 'The Black Sun will avenge me!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/blacksun.stf', '110', 'death4', '%TU, you\'ll pay for this!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/blacksun.stf', '111', 'death5', 'Your day will come, %NU!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/blacksun_low.stf', '92', 'gothit1', 'Your weapons are weak!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/blacksun_low.stf', '93', 'gothit2', 'Is that the best you can do?');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/blacksun_low.stf', '94', 'gothit3', 'Alright!  No more mister nice guy!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/blacksun_low.stf', '95', 'gothit4', 'Hey!  That won\'t be easy to repair...');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/blacksun_low.stf', '96', 'gothit5', 'Lucky shot!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/blacksun_low.stf', '97', 'hityou1', 'You\'re going down!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/blacksun_low.stf', '98', 'hityou2', 'You can\'t take much more of this!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/blacksun_low.stf', '99', 'hityou3', 'You were a worthy advisary, but now you die!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/blacksun_low.stf', '100', 'hityou4', 'DIE! DIE! DIE!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/blacksun_low.stf', '101', 'hityou5', 'HA HA HA HA HA!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/blacksun_low.stf', '102', 'entercombat1', 'Fool!  You face the Black Sun!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/blacksun_low.stf', '103', 'entercombat2', 'You are a nobody!  I will destroy you!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/blacksun_low.stf', '104', 'entercombat3', 'Whoever you are, you are mine!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/blacksun_low.stf', '105', 'entercombat4', 'You\'re no match for a Black Sun starfighter!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/blacksun_low.stf', '106', 'entercombat5', 'Let\'s see how you fare against the Black Sun!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/blacksun_low.stf', '107', 'death1', 'Nooooo!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/blacksun_low.stf', '108', 'death2', 'Argh!!! You got me...');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/blacksun_low.stf', '109', 'death3', 'The Black Sun will avenge me!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/blacksun_low.stf', '110', 'death4', 'You\'ll pay for this!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/blacksun_low.stf', '111', 'death5', 'Your day will come!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/generic.stf', '92', 'gothit1', 'You\'ll have to do better than that, %NU!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/generic.stf', '93', 'gothit2', 'I can shake you!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/generic.stf', '94', 'gothit3', 'Gah!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/generic.stf', '95', 'gothit4', 'I\'ll get you for that, %TU!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/generic.stf', '96', 'gothit5', 'Nice shot, but you\'re no match for me, %NU!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/generic.stf', '97', 'hityou1', 'Take that, %TU!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/generic.stf', '98', 'hityou2', 'DIE!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/generic.stf', '99', 'hityou3', 'Surrender, %NU!  You\'re no match for me!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/generic.stf', '100', 'hityou4', 'Now I\'ve got you!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/generic.stf', '101', 'hityou5', 'Prepare to die, %NU!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/generic.stf', '102', 'entercombat1', 'I\'m going to take you out, %TU!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/generic.stf', '103', 'entercombat2', '%NU, you\'ll regret coming here!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/generic.stf', '104', 'entercombat3', 'I have arrived!  You better flee!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/generic.stf', '105', 'entercombat4', 'Let\'s see how you do against me, %NU!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/generic.stf', '106', 'entercombat5', 'Are you THE %TU?!  I\'ve heard of you... and now I will destroy you.');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/generic.stf', '107', 'death1', 'Aaarrrrggghhh...');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/generic.stf', '108', 'death2', '%NU, you\'ll never take me alive!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/generic.stf', '109', 'death3', 'Enough!  It\'s over!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/generic.stf', '110', 'death4', 'I\'ll be back, %TU!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/generic.stf', '111', 'death5', 'You cannot defeat - Aaarrrrghh!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/generic_low.stf', '92', 'gothit1', 'You\'ll have to do better than that!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/generic_low.stf', '93', 'gothit2', 'I can shake you!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/generic_low.stf', '94', 'gothit3', 'Gah!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/generic_low.stf', '95', 'gothit4', 'I\'ll get you for that!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/generic_low.stf', '96', 'gothit5', 'Nice shot, but you\'re no match for me!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/generic_low.stf', '97', 'hityou1', 'Take that!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/generic_low.stf', '98', 'hityou2', 'DIE!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/generic_low.stf', '99', 'hityou3', 'Surrender!  You\'re no match for me!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/generic_low.stf', '100', 'hityou4', 'Now I\'ve got you!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/generic_low.stf', '101', 'hityou5', 'Prepare to die!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/generic_low.stf', '102', 'entercombat1', 'I\'m going to take you out!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/generic_low.stf', '103', 'entercombat2', 'You\'ll regret coming here!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/generic_low.stf', '104', 'entercombat3', 'I have arrived!  You better flee!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/generic_low.stf', '105', 'entercombat4', 'Let\'s see how you do against me!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/generic_low.stf', '106', 'entercombat5', '%TU?!  Who are you?!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/generic_low.stf', '107', 'death1', 'Aaarrrrggghhh...');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/generic_low.stf', '108', 'death2', 'You\'ll never take me alive!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/generic_low.stf', '109', 'death3', 'Enough!  It\'s over!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/generic_low.stf', '110', 'death4', 'I\'ll be back!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/generic_low.stf', '111', 'death5', 'You cannot defeat - Aaarrrrghh!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/hutt.stf', '92', 'gothit1', 'You are strong, %NU, but I am better than you!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/hutt.stf', '93', 'gothit2', '%TU!  You will regret that!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/hutt.stf', '94', 'gothit3', 'So this is how it\'s gonna be, huh?');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/hutt.stf', '95', 'gothit4', 'Hey!  %TU, I\'ll get that repaired as soon as I deal with you.');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/hutt.stf', '96', 'gothit5', 'Luck!  That was pure luck, %NU!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/hutt.stf', '97', 'hityou1', 'You\'re going down!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/hutt.stf', '98', 'hityou2', '%NU, you can\'t take much more of this!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/hutt.stf', '99', 'hityou3', 'I\'ll get a bonus for killing the infamous %TU!  And here it comes!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/hutt.stf', '100', 'hityou4', 'GOTCHA, %NU!  Hoohaha!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/hutt.stf', '101', 'hityou5', 'Goodbye!  Nice try!  Now it\'s time for you to die!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/hutt.stf', '102', 'entercombat1', 'Fool!  I work for the Hutts!  We know where you live, %TU!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/hutt.stf', '103', 'entercombat2', 'HA!  So I get to destroy the infamous %TU.');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/hutt.stf', '104', 'entercombat3', '%TU, you are mine!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/hutt.stf', '105', 'entercombat4', 'You\'re no match for a Hutt Pilot, %NU!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/hutt.stf', '106', 'entercombat5', 'Let\'s see how you fare against a Hutt pilot!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/hutt.stf', '107', 'death1', 'Nooooo!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/hutt.stf', '108', 'death2', 'Argh!!! You got me, %NU.');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/hutt.stf', '109', 'death3', 'Jabba will get you for this, %NU!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/hutt.stf', '110', 'death4', 'You\'ll pay for this, %NU!  With your life!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/hutt.stf', '111', 'death5', '%NU, your day will come!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/hutt_assassin.stf', '1', 'death1', 'Jabba, I have failed you!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/hutt_assassin.stf', '2', 'death2', 'My allies will avenge me!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/hutt_assassin.stf', '3', 'death3', 'Jabba will get you for this, %NU!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/hutt_assassin.stf', '4', 'death4', '%NU, your day will come!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/hutt_assassin.stf', '5', 'death5', 'Be wary, for Jabba\'s assassins will be there, hunting you, when you least expect it!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/hutt_assassin.stf', '6', 'entercombat1', 'You have refused to help Jabba! You will die for your insolence!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/hutt_assassin.stf', '7', 'entercombat2', 'We have been sent by Jabba to destroy you! Never refuse to help him!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/hutt_assassin.stf', '8', 'entercombat3', 'We\'re Jabba\'s assassins, sent to destroy you for denying him the help he requested of you!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/hutt_assassin.stf', '9', 'entercombat4', 'We shall eliminate you for denying Jabba the help he deserves!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/hutt_assassin.stf', '10', 'entercombat5', 'May you die a slow, painful death for the disrespect you have shown Jabba!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/hutt_assassin.stf', '11', 'gothit1', 'You will not win, %NU!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/hutt_assassin.stf', '12', 'gothit2', 'Jabba, be with me as I kill this infidel!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/hutt_assassin.stf', '13', 'gothit3', 'A lucky shot! Jabba\'s assassins will destroy you!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/hutt_assassin.stf', '14', 'gothit4', 'Even if I die, Jabba will find you again!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/hutt_assassin.stf', '15', 'gothit5', 'Argh! Luck may be with you this time.. but not the next, %NU!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/hutt_assassin.stf', '16', 'hityou1', 'For Jabba!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/hutt_assassin.stf', '17', 'hityou2', 'Ha ha! Luck is on my side now!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/hutt_assassin.stf', '18', 'hityou3', 'We are Jabba\'s assassins and we shall prevail!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/hutt_assassin.stf', '19', 'hityou4', 'We will not fail!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/hutt_assassin.stf', '20', 'hityou5', 'Die, infidel! You have angered Jabba!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/hutt_low.stf', '92', 'gothit1', 'You are weak and pathetic!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/hutt_low.stf', '93', 'gothit2', 'Feeble, pilot.  Feeble!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/hutt_low.stf', '94', 'gothit3', 'So this is how it\'s gonna be, huh?');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/hutt_low.stf', '95', 'gothit4', 'Hey!  I\'ll get that repaired as soon as I deal with you.');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/hutt_low.stf', '96', 'gothit5', 'Luck!  That was pure luck!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/hutt_low.stf', '97', 'hityou1', 'You\'re going down!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/hutt_low.stf', '98', 'hityou2', 'You can\'t take much more of this!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/hutt_low.stf', '99', 'hityou3', 'You were a worthy advisary, but now you die!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/hutt_low.stf', '100', 'hityou4', 'GOTCHA!  Hoohaha!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/hutt_low.stf', '101', 'hityou5', 'Goodbye!  Nice try!  Now it\'s time for you to die!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/hutt_low.stf', '102', 'entercombat1', 'Fool! I work for the Hutts! We are everywhere!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/hutt_low.stf', '103', 'entercombat2', 'You are a nobody!  I will destroy you!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/hutt_low.stf', '104', 'entercombat3', 'Whoever you are, you are mine!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/hutt_low.stf', '105', 'entercombat4', 'You\'re no match for a Hutt Pilot!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/hutt_low.stf', '106', 'entercombat5', 'Let\'s see how you fare against a Hutt pilot!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/hutt_low.stf', '107', 'death1', 'Nooooo!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/hutt_low.stf', '108', 'death2', 'Argh!!! You got me...');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/hutt_low.stf', '109', 'death3', 'Jabba will avenge me!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/hutt_low.stf', '110', 'death4', 'You\'ll pay for this!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/hutt_low.stf', '111', 'death5', 'Your day will come!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/imperial.stf', '92', 'gothit1', 'You will not defeat me!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/imperial.stf', '93', 'gothit2', '%TU!  Hold your fire!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/imperial.stf', '94', 'gothit3', 'Firing on an Imperial ship!?  %TU you will be destroyed for this!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/imperial.stf', '95', 'gothit4', 'Your feeble skills are no match for the Empire, %NU!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/imperial.stf', '96', 'gothit5', 'Argh!  I will destroy you for that, %TU!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/imperial.stf', '97', 'hityou1', 'I have you now!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/imperial.stf', '98', 'hityou2', 'Now feel the wrath of the Empire, %NU!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/imperial.stf', '99', 'hityou3', 'I will not accept your surrender, %TU, you will be destroyed!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/imperial.stf', '100', 'hityou4', 'This is what happens to those who oppose the Empire!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/imperial.stf', '101', 'hityou5', 'Now you will die, %NU.');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/imperial.stf', '102', 'entercombat1', 'ATTENTION!  %TU, Lower your shields and prepare to be destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/imperial.stf', '103', 'entercombat2', '%TU, I will destroy you.');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/imperial.stf', '104', 'entercombat3', 'Do not attempt to escape, %TU!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/imperial.stf', '105', 'entercombat4', 'I have you now, %NU!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/imperial.stf', '106', 'entercombat5', '%TU!  Your death will earn me a promotion!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/imperial.stf', '107', 'death1', 'The Empire will get you for this, %TU!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/imperial.stf', '108', 'death2', 'Aaarrrgh!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/imperial.stf', '109', 'death3', 'Nooooo!!!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/imperial.stf', '110', 'death4', 'I die for the glory of the Empire!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/imperial.stf', '111', 'death5', 'You will never defeat the Empire, %TU!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/imperial_low.stf', '92', 'gothit1', 'You will not defeat me!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/imperial_low.stf', '93', 'gothit2', 'Hold your fire!  I am an Imperial Pilot!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/imperial_low.stf', '94', 'gothit3', 'Firing on an Imperial ship!?  You will be destroyed for this!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/imperial_low.stf', '95', 'gothit4', 'Your feeble skills are no match for the Empire!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/imperial_low.stf', '96', 'gothit5', 'Argh!  I will destroy you for that!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/imperial_low.stf', '97', 'hityou1', 'I have you now!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/imperial_low.stf', '98', 'hityou2', 'Now feel the wrath of the Empire!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/imperial_low.stf', '99', 'hityou3', 'I will not accept your surrender.  You will be destroyed!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/imperial_low.stf', '100', 'hityou4', 'This is what happens to those who oppose the Empire!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/imperial_low.stf', '101', 'hityou5', 'Now... you will die.');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/imperial_low.stf', '102', 'entercombat1', 'ATTENTION!  Lower your shields and prepare to be destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/imperial_low.stf', '103', 'entercombat2', 'I will destroy you.');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/imperial_low.stf', '104', 'entercombat3', 'Do not attempt to escape!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/imperial_low.stf', '105', 'entercombat4', 'I have you now!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/imperial_low.stf', '106', 'entercombat5', 'Your death will come soon!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/imperial_low.stf', '107', 'death1', 'The Empire will get you for this!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/imperial_low.stf', '108', 'death2', 'Aaarrrgh!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/imperial_low.stf', '109', 'death3', 'Nooooo!!!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/imperial_low.stf', '110', 'death4', 'I die for the glory of the Empire!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/imperial_low.stf', '111', 'death5', 'You will never defeat the Empire!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/rebel.stf', '92', 'gothit1', 'Is that all you\'ve got, %NU?!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/rebel.stf', '93', 'gothit2', 'My ship!  %NU, you\'ll regret that!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/rebel.stf', '94', 'gothit3', 'Gah!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/rebel.stf', '95', 'gothit4', 'What?!  You\'re a good pilot, %NU, but I am better!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/rebel.stf', '96', 'gothit5', 'That was a lucky shot, %NU!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/rebel.stf', '97', 'hityou1', 'You see, %NU?  You\'re no match for me!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/rebel.stf', '98', 'hityou2', 'You can\'t beat me, %NU!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/rebel.stf', '99', 'hityou3', 'The Rebel Alliance WILL defeat the Empire, %NU!  Starting with you!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/rebel.stf', '100', 'hityou4', 'You can\'t win, %NU!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/rebel.stf', '101', 'hityou5', 'GOT YOU! %NU! HA! HA!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/rebel.stf', '102', 'entercombat1', 'I\'ll kill you, %TU!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/rebel.stf', '103', 'entercombat2', 'Join the Rebel Alliance?  No?  Then I will destroy you, %TU!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/rebel.stf', '104', 'entercombat3', '%NU, you are no match for me!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/rebel.stf', '105', 'entercombat4', '%TU!  I know of you!  I\'ll try to make this quick.');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/rebel.stf', '106', 'entercombat5', 'Prepare to die!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/rebel.stf', '107', 'death1', 'Argh!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/rebel.stf', '108', 'death2', 'I couldn\'t shake you, %TU!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/rebel.stf', '109', 'death3', 'No!  The Rebel Alliance will get you for this, %NU!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/rebel.stf', '110', 'death4', 'You may have won the battle, but you\'ll never win the - Aarrrgghh!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/rebel.stf', '111', 'death5', 'Your skill is amazing, %NU!  You should be fighting FOR the Rebel Alliance, not - Aaaaarrghh...');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/rebel_low.stf', '92', 'gothit1', 'Is that all you\'ve got?!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/rebel_low.stf', '93', 'gothit2', 'My ship!  You\'ll regret that!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/rebel_low.stf', '94', 'gothit3', 'Gah!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/rebel_low.stf', '95', 'gothit4', 'What?!  You\'re not a bad pilot, but I am better!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/rebel_low.stf', '96', 'gothit5', 'That was a lucky shot!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/rebel_low.stf', '97', 'hityou1', 'You see?  You\'re no match for me!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/rebel_low.stf', '98', 'hityou2', 'You can\'t beat me!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/rebel_low.stf', '99', 'hityou3', 'The Rebel Alliance WILL defeat the Empire!  Starting with you!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/rebel_low.stf', '100', 'hityou4', 'You can\'t win!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/rebel_low.stf', '101', 'hityou5', 'GOT YOU! HA! HA!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/rebel_low.stf', '102', 'entercombat1', 'I\'ll kill you!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/rebel_low.stf', '103', 'entercombat2', 'Join the Rebel Alliance?  No?  Then I will destroy you!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/rebel_low.stf', '104', 'entercombat3', 'You are no match for me!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/rebel_low.stf', '105', 'entercombat4', '%TU?  I don\'t know who you are, but I will destroy you.');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/rebel_low.stf', '106', 'entercombat5', 'Prepare to die!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/rebel_low.stf', '107', 'death1', 'Argh!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/rebel_low.stf', '108', 'death2', 'I couldn\'t shake you!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/rebel_low.stf', '109', 'death3', 'No!  The Rebel Alliance will get you for this!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/rebel_low.stf', '110', 'death4', 'You may have won the battle, but you\'ll never win the - Aarrrgghh!');
INSERT INTO `client_strings` VALUES ('string/en/space/taunts/rebel_low.stf', '111', 'death5', 'Your skill is adequate!  You should be fighting FOR the Rebel Alliance, not - Aaaaarrghh...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_12.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_12.stf', '2', 'arrival_phase_1', 'Scanning area for the Rebel diplomat.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_12.stf', '3', 'arrival_phase_2', 'The diplomats vessle has been detected.  Transmiting waypoint.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_12.stf', '4', 'assassinate_success', 'The diplomat and escort have been destroyed!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_12.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_12.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_12.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_12.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_12.stf', '9', 'destroy_escort', 'The diplomat\'s vessle has been destroyed! Eliminate the support craft.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_12.stf', '10', 'escort_remaining', ' \\#pcontrast3 Tactical Computer: < \\#pcontrast1 %DI ships remain of the diplomats escort. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_12.stf', '11', 'escort_wiped_out', ' \\#pcontrast3 Tactical Computer: < \\#pcontrast1 Defending ships have been nullified, destroy the primary objective. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_12.stf', '12', 'failed_escape', 'The diplomat has escaped, this will be a serious blow to our negotiations in the area.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_12.stf', '13', 'quest_escort_d', 'To ensure that no one knows what happened to Darmin, you must also destroy all escort fighters that are with him.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_12.stf', '14', 'quest_escort_t', 'Destroy the Diplomat\'s Escort');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_12.stf', '15', 'quest_location_d', 'Travel to the Corellian system and intercept the diplomat. Command will locate Darmin\'s ship and update you with its progress as it moves through the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_12.stf', '16', 'quest_location_t', 'Travel to the Corellia System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_12.stf', '17', 'quest_target_d', 'Intercept and destroy the Rebel diplomat in the Corellian system. You are to make sure that Darmin never makes his meeting with the Corellian government. Once you have completed your assignment report back into your superior.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_12.stf', '18', 'quest_target_t', 'Kill the Rebel Diplomat');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_12.stf', '19', 'quest_update', ' \\#pcontrast3 Black Epsilon Command: < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_12.stf', '20', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_12.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_12.stf', '22', 'title', 'Corellia System: Eliminate The Rebel Diplomat, Darmin Lerspri.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_12.stf', '23', 'title_d', 'Black Epsilon has discovered that a Rebel diplomat, Darmin Lerspri, is on his way to Corellia on a mission to sway the government to be more supportive of the Rebellion. You are being charged with making sure that the diplomat never reaches his destination. You will also have to destroy all escort fighters with Darmin to ensure that no one can report of what the Empire has done.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_14.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_14.stf', '2', 'arrival_phase_1', 'Scanning sector for current location of the rebel bomber squadron.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_14.stf', '3', 'arrival_phase_2', 'We have a lock on the squadron. Intercept and destroy immediately.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_14.stf', '4', 'assassinate_success', 'Nice work, pilot. That is what being in Black Epsilon is all about. Return home and report to your superior officer');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_14.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_14.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_14.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_14.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_14.stf', '9', 'destroy_escort', 'You have taken out their squad leader but there are still several Y-wings left. Completely eliminate them.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_14.stf', '10', 'escort_remaining', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <%DI escort bombers remaining.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_14.stf', '11', 'escort_wiped_out', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Escort bombers eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_14.stf', '12', 'failed_escape', 'You let those bombers escape? Do you have any idea how much trouble they can cause unchecked! Return to your superior immediately.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_14.stf', '13', 'quest_escort_d', 'Even without their leader, this squadron is still very dangerous and cannot be allowed to remain. You must also destroy all members of the squad.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_14.stf', '14', 'quest_escort_t', 'Destroy the Bomber Squadron');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_14.stf', '15', 'quest_location_d', 'Travel to the Corellian system and intercept the bomber squadron. Command will update you with their progress as they travel through the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_14.stf', '16', 'quest_location_t', 'Travel to the Corellian System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_14.stf', '17', 'quest_target_d', 'Intercept and destroy the Rebel bomber leader in the Corellian system. Without their flight leader the combat capabilities of the bomber squadrons in the system will be greatly diminished.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_14.stf', '18', 'quest_target_t', 'Kill the Rebel Bomber Leader');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_14.stf', '19', 'quest_update', '\\#pcontrast1 Black Epsilon Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_14.stf', '20', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_14.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_14.stf', '22', 'title', 'Corellian System: Eliminate the Rebel Bomber Leader');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_14.stf', '23', 'title_d', 'Black Epsilon has reports that a Rebel bomber squadron is traveling through the Corellian system. This bomber group is very dangerous to Imperial interests and must be eliminated. Track down the squadron, destroy their leader, and all that fly with him.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_17.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_17.stf', '2', 'arrival_phase_1', 'We are getting a lock on the vessels position. Remember that it is going to be on the move so you have to destroy it before it reaches it\'s destination.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_17.stf', '3', 'arrival_phase_2', 'We have the lock. Sending you the navigation coordinates to it\'s current location. We will keep you updated as it progresses through the region.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_17.stf', '4', 'assassinate_success', 'Nice work, pilot. The drone sent out the distress signal right before you destroyed it. Stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_17.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_17.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_17.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_17.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_17.stf', '9', 'destroy_escort', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_17.stf', '10', 'escort_remaining', '\\#pcontrast1 Tactical Computer :\\#pcontrast3 <%DI escort fighters remanining.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_17.stf', '11', 'escort_wiped_out', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Escort fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_17.stf', '12', 'failed_escape', 'You let that ship escape. Report back to your superior and explain to him why this operation was a failure.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_17.stf', '13', 'quest_escort_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_17.stf', '14', 'quest_escort_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_17.stf', '15', 'quest_location_d', 'Travel to the Corellian system and eliminate the X-wing Drone.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_17.stf', '16', 'quest_location_t', 'Travel to the Corellian System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_17.stf', '17', 'quest_target_d', 'Intercept the X-wing drone that is being tracked by Flight Command inside of the Corellian system. Once you destroy the vessel it will send out a distress signal that can be traced back the Rebel communications relay point.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_17.stf', '18', 'quest_target_t', 'Destroy the X-wing Drone');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_17.stf', '19', 'quest_update', '\\#pcontrast1 Black Epsilon Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_17.stf', '20', 'split_quest_alert', 'Ok we have the location. Stand by for navigation location. Once you have the location, travel there immediately and begin the jamming operation.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_17.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_17.stf', '22', 'title', 'Corellia System: Eliminate the Rebel X-wing Drone');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_17.stf', '23', 'title_d', 'The Rebels have been sending drone X-wings to the Corellian system in order to get readings on Imperial formations. Black Epsilon wants to use the Rebels plan against them by attacking one of the drones. When it sends out it\'s distress signal Black Epsilon will trace it back to it\'s destination. Then you are to travel to that area and begin a jamming operation to distract the Rebels while a main assault is happening.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_4.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_4.stf', '2', 'arrival_phase_1', 'Stand by. We are getting a lock on the Rebel prototype vessel. We will send you the navigation coordinates once we have it\'s location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_4.stf', '3', 'arrival_phase_2', 'We have sent you the navigation location to the prototype. It looks like the Rebels are trying to get it out of the area. Destroy that ship before it can leave the system. We will update the waypoints with it\'s progress as it moves through the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_4.stf', '4', 'assassinate_success', 'Nice work, pilot. That will show the Rebels that we are not afraid of them. Return to your commanding officer on Talus.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_4.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_4.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_4.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_4.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_4.stf', '9', 'destroy_escort', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_4.stf', '10', 'escort_remaining', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <%DI escort fighters remaining.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_4.stf', '11', 'escort_wiped_out', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Escort fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_4.stf', '12', 'failed_escape', 'You let the B-Wing escape. The Rebels probably think that they have gotten one over on us. Fortunately for you we have a trace on another of these prototypes that is in the system. Stand by for more information.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_4.stf', '13', 'quest_escort_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_4.stf', '14', 'quest_escort_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_4.stf', '15', 'quest_location_d', 'Travel to the Corellian system and destroy the B-wing that is being tested there. When you enter the system wait until you receive a navigation waypoint to its most current location. As the B-wing prototype moves through the system the navigation waypoint will update to its most recent location. Catch up to and destroy the B-wing prototype before it can reach the end of its route and jump out of the system. ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_4.stf', '16', 'quest_location_t', 'Travel to the Corellian System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_4.stf', '17', 'quest_target_d', 'Intercept and destroy the B-wing prototype in the Corellian system. Follow the navigation waypoints to its most recent location until you have caught up to the B-wing prototype. If the B-wing prototype reaches the end of its path before you intercept it, the B-wing prototype will jump out of the system. Also keep an eye out for any escort fighters that might be traveling with it. They will retaliate when you attempt to destroy the B-wing prototype.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_4.stf', '18', 'quest_target_t', 'Destroy the B-wing Prototype');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_4.stf', '19', 'quest_update', '\\#pcontrast1 Black Epsilon Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_4.stf', '20', 'split_quest_alert', 'Another B-wing Prototype have been located. Destroy this new prototype before it gets away as well.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_4.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_4.stf', '22', 'title', 'Corellia System: Destroy the B-wing Prototype');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_4.stf', '23', 'title_d', 'Travel to the Corellia system and destroy the B-wing prototype. When you enter the system Imperial command will begin its scan for the B-wing prototype. Once they find it, they will send you a navigation waypoint to its current location. As the B-wing prototype moves through the system this navigation waypoint will update to its most current location. Follow these waypoints until you can intercept the B-wing prototype. Once you have caught up to the B-wing prototype, you must destroy the starfighter. You will have to hurry to catch up to the B-wing prototype because if it reaches the end of its route it will jump out of the system and you will lose your chance to kill it. When you complete this mission, return to Hakasha Sireen at the Imperial Base on Talus and Hakasha Sireen will train you in a new Imperial Pilot skill.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_1e.stf', '1', 'arrival_phase_1', 'The target will arive soon, stand by for waypoint.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_1e.stf', '2', 'arrival_phase_2', 'The target and escort has arrived, updating waypoint.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_1e.stf', '3', 'assassinate_success', 'The target and escort has been destroyed, mission is a success.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_1e.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_1e.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_1e.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_1e.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_1e.stf', '8', 'destroy_escort', 'Primary objective has been destroyed, proceed with escort.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_1e.stf', '9', 'escort_remaining', 'An escorting craft has been destroyed, %DI remain.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_1e.stf', '10', 'escort_wiped_out', 'The escort has been destroyed, proceed to primary objective.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_1e.stf', '11', 'failed_escape', 'The target has escaped, you fail.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_1e.stf', '12', 'quest_escort_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_1e.stf', '13', 'quest_escort_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_1e.stf', '14', 'quest_location_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_1e.stf', '15', 'quest_location_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_1e.stf', '16', 'quest_target_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_1e.stf', '17', 'quest_target_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_1e.stf', '18', 'quest_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_1e.stf', '19', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_1e.stf', '20', 'title', 'Assasinate Rebel Contact');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_1e.stf', '21', 'title_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_3_a.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_3_a.stf', '2', 'arrival_phase_1', 'Scanning system for the emissaries ship. Stand by to proceed with destoying his ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_3_a.stf', '3', 'arrival_phase_2', 'Nav location to the target vessel has been located. Proceed with extreme prejudice.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_3_a.stf', '4', 'assassinate_success', 'Good work, pilot. Without that rebel officer working as a go between, Nym is likely to pull out of the system. Return to your commander.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_3_a.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_3_a.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_3_a.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_3_a.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_3_a.stf', '9', 'destroy_escort', 'Just to be safe take out the escort fighters as well. We cannot be to careful with this situation.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_3_a.stf', '10', 'escort_remaining', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <%DI escort fighters remaining.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_3_a.stf', '11', 'escort_wiped_out', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy escort fighter eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_3_a.stf', '12', 'failed_escape', 'You let him get away! Now we have to wait for another opportunity to try to break the alliance. Report your failure to your commander.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_3_a.stf', '13', 'quest_escort_d', 'Make sure that all of the emissary\'s escort fighters are destroyed as well. Once you have completed this task return to your commander.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_3_a.stf', '14', 'quest_escort_t', 'Destroy the Escort Fighters');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_3_a.stf', '15', 'quest_location_d', 'Remain in the Yavin system and eliminate the emissary. It would seem that the emissary is attempting to flee the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_3_a.stf', '16', 'quest_location_t', 'Remain in the Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_3_a.stf', '17', 'quest_target_d', 'Intercept the Rebel emissary in the Yavin system and kill him. Without his influence it is almost assured that Nym will withdraw his support.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_3_a.stf', '18', 'quest_target_t', 'Destroy the Rebel Emissary');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_3_a.stf', '19', 'quest_update', '\\#pcontrast1 Black Epsilon Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_3_a.stf', '20', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_3_a.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_3_a.stf', '22', 'title', 'Yavin System: Eliminate the Rebel Emissary');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_3_a.stf', '23', 'title_d', 'Eliminate the Rebel emissary as he moves through the Yavin systsem. With the information on the attack gathered from the freighter, Black Espilon has managed to determine where the Rebel emissary is. Without the Emissary the Rebels will have a hard time keeping Nym\'s support.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4a.stf', '1', 'arrival_phase_1', 'Locating target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4a.stf', '2', 'arrival_phase_2', 'Target located, proceed to waypoint.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4a.stf', '3', 'assassinate_success', 'Target is destroyed, success.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4a.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4a.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4a.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4a.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4a.stf', '8', 'destroy_escort', 'Primary objective completed.  Finish taking out the escorting craft.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4a.stf', '9', 'escort_remaining', 'There are still %DI craft left in the escort.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4a.stf', '10', 'escort_wiped_out', 'All escort craft have been destroyed.  Proceed to primary objective.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4a.stf', '11', 'failed_escape', 'You have failed because the target escaped.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4a.stf', '12', 'quest_escort_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4a.stf', '13', 'quest_escort_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4a.stf', '14', 'quest_location_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4a.stf', '15', 'quest_location_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4a.stf', '16', 'quest_target_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4a.stf', '17', 'quest_target_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4a.stf', '18', 'quest_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4a.stf', '19', 'split_quest_alert', 'Stand by for split quest');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4a.stf', '20', 'title', 'Assasinate pilot');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4a.stf', '21', 'title_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4c.stf', '1', 'arrival_phase_1', 'Waiting for target to arive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4c.stf', '2', 'arrival_phase_2', 'Target has arrived, proceed to waypoint.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4c.stf', '3', 'assassinate_success', 'The mission is a success.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4c.stf', '4', 'assigned_delayed', 'Go to Tatooine Space, and kill a rebel ace.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4c.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4c.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4c.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4c.stf', '8', 'destroy_escort', 'Primary objective has been destroyed, finish off the escort.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4c.stf', '9', 'escort_remaining', 'An escorting craft has been destroyed');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4c.stf', '10', 'escort_wiped_out', 'All escorting craft have been destroyed.  Proceed with primary objective.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4c.stf', '11', 'failed_escape', 'You have failed because the target escaped.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4c.stf', '12', 'quest_escort_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4c.stf', '13', 'quest_escort_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4c.stf', '14', 'quest_location_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4c.stf', '15', 'quest_location_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4c.stf', '16', 'quest_target_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4c.stf', '17', 'quest_target_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4c.stf', '18', 'quest_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4c.stf', '19', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4c.stf', '20', 'title', 'Assasinate rebel ace');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4c.stf', '21', 'title_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4f.stf', '1', 'arrival_phase_1', 'Awaiting arrival of target craft');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4f.stf', '2', 'arrival_phase_2', 'Target has arrived in zone, proceed to waypoint');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4f.stf', '3', 'assassinate_success', 'Primary objective has been achieved.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4f.stf', '4', 'assigned_delayed', 'Destroy rebel smuggler in Dantooine Space');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4f.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4f.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4f.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4f.stf', '8', 'destroy_escort', 'Primary objective has been destroyed, proceed to secondary objective');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4f.stf', '9', 'escort_remaining', 'An escort craft has been destroyed, %DI remain');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4f.stf', '10', 'escort_wiped_out', 'The escort has been destroyed, proceed to primary objective.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4f.stf', '11', 'failed_escape', 'You have failed due to the target escaping.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4f.stf', '12', 'quest_escort_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4f.stf', '13', 'quest_escort_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4f.stf', '14', 'quest_location_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4f.stf', '15', 'quest_location_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4f.stf', '16', 'quest_target_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4f.stf', '17', 'quest_target_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4f.stf', '18', 'quest_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4f.stf', '19', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4f.stf', '20', 'title', 'Destroy rebel smuggler');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4f.stf', '21', 'title_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4_a.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4_a.stf', '2', 'arrival_phase_1', 'Checking valid locations that we found in the transports logs for the patrol vessel. Stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4_a.stf', '3', 'arrival_phase_2', 'We have the patrol vessel\'s location. Intercept vessel, destroy it, and all that fly with it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4_a.stf', '4', 'assassinate_success', 'One of the patrol vessels sent out a distress signal before being destroyed. Nym is aware of your presence.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4_a.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4_a.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4_a.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4_a.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4_a.stf', '9', 'destroy_escort', 'Take out all of the escort fighters that were with the main target as well.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4_a.stf', '10', 'escort_remaining', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <%DI escort fighters remaining.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4_a.stf', '11', 'escort_wiped_out', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy escort fighter eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4_a.stf', '12', 'failed_escape', 'We have lost the patrol vessel from our scans. You let it get away? Who knows when we will get another chance like this. Report this failure to your commander.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4_a.stf', '13', 'quest_escort_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4_a.stf', '14', 'quest_escort_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4_a.stf', '15', 'quest_location_d', 'Remain in the Lok system and intercept the Nym Patrol Craft as it patrols the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4_a.stf', '16', 'quest_location_t', 'Remain in the Lok System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4_a.stf', '17', 'quest_target_d', 'Intercept and destroy the Nym Patrol Craft as it travels around the Lok system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4_a.stf', '18', 'quest_target_t', 'Destroy the Nym Patrol Craft');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4_a.stf', '19', 'quest_update', '\\#pcontrast1 Black Epsilon Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4_a.stf', '20', 'split_quest_alert', 'Nyms is sending out his fleet to intercept you. This is a perfect opportunity for us to hit his smuggling fleet. You have to keep his combat fleet busy while we hit the transports and freighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4_a.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4_a.stf', '22', 'title', 'Lok System: Destroy the Nym Patrol Craft');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4_a.stf', '23', 'title_d', 'Intercept and destroy the Nym Patrol Craft in the Lok system. Thanks to the information we gathered from the smuggler\'s vessel we have a lock on one of the craft Nym uses to patrol the Lok system. The patrol craft is a perfect target for our retribution on Nym.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4_c.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4_c.stf', '2', 'arrival_phase_1', 'Getting a lock on your target vessel. Stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4_c.stf', '3', 'arrival_phase_2', 'Location of vessel and it\'s escort transmitted. Eliminate that vessel at all costs.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4_c.stf', '4', 'assassinate_success', 'If Nym doesn\'t get the point that we don\'t want him assisting the Rebellion now he will have to be eliminated. Head for home.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4_c.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4_c.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4_c.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4_c.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4_c.stf', '9', 'destroy_escort', 'Since you are there, you should also destroy that vessels escorts.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4_c.stf', '10', 'escort_remaining', 'Tactical Computer: <%DI escorts remaining.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4_c.stf', '11', 'escort_wiped_out', 'Tactical Computer: <Enemy escorts eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4_c.stf', '12', 'failed_escape', 'Your mission was clear. Take out that ship and you let it get away. With that vessel Nym can easily resupply and be back in operation in no time. Report back to your superior.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4_c.stf', '13', 'quest_escort_d', 'Destroy all vessels traveling with the Gunship as well.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4_c.stf', '14', 'quest_escort_t', 'Destroy the Escort Fighters');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4_c.stf', '15', 'quest_location_d', 'Remain in the Lok system and intercept the Karthakk Queen.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4_c.stf', '16', 'quest_location_t', 'Remain in the Lok System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4_c.stf', '17', 'quest_target_d', 'Iintercept and destroy the gunship in the Lok system. Nym is aware of the danger his ships are in and is trying to get this vessel out of the system before anymore damage can be done.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4_c.stf', '18', 'quest_target_t', 'Destroy the Karthakk Queen');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4_c.stf', '19', 'quest_update', '\\#pcontrast1 Black Epsilon Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4_c.stf', '20', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4_c.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4_c.stf', '22', 'title', 'Lok System: Destroy the Karthakk Queen');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier3_4_c.stf', '23', 'title_d', 'Destroy the Karthakk Queen in the Lok system. Nym\'s freighter fleet is in ruins and his fighters have been greatly reduced. We have learned from the pilot of the smuggler vessel you captured that Nym received a gift from the Rebels to help seal the now defunct deal. A gunboat was given to him by the Rebellion. We a ship of that power Nym will be able to quickly regain control and rebuild his fleet.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier4_4.stf', '1', 'quest_log_data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier4_4.stf', '2', 'arrival_phase_1', 'Scanning sector for target vessel. Stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier4_4.stf', '3', 'arrival_phase_2', 'Nej\'a Berto\'Lo is right where the captured orders said he would be but it appears he is attempting to leave the sector. Intercept and destroy.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier4_4.stf', '4', 'assassinate_success', 'The Emperor will be most pleased with your success. You have no idea of what you have just accomplished. Stand by for further instructions.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier4_4.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier4_4.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier4_4.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier4_4.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier4_4.stf', '9', 'destroy_escort', 'Send a message to our enemies and destroy everyone who was flying with Nej\'a.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier4_4.stf', '10', 'escort_remaining', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <%DI escort fighters remaining.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier4_4.stf', '11', 'escort_wiped_out', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Escort fighters destroyed.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier4_4.stf', '12', 'failed_escape', 'The Emperor will not be pleased at the news you let Nej\'a escape. Report back to your superior and hope they show mercy.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier4_4.stf', '13', 'quest_escort_d', 'Destroy all fighters flying with Nej\'a Berto\'Lo.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier4_4.stf', '14', 'quest_escort_t', 'Destroy Nej\'a\'s Escort');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier4_4.stf', '15', 'quest_location_d', 'Travel to the Dathomir system and intercept Nej\'a Berto\'Lo.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier4_4.stf', '16', 'quest_location_t', 'Travel to the Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier4_4.stf', '17', 'quest_target_d', 'Intercept and destory Nej\'a Berto\'Lo in the Dathomir system before he can jump out of the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier4_4.stf', '18', 'quest_target_t', 'Destroy Nej\'a Berto\'lo');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier4_4.stf', '19', 'quest_update', '\\#pcontrast1 Black Epsilon Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier4_4.stf', '20', 'split_quest_alert', 'During your battle with Nej\'a Berto\'Lo, we discovered the presence of a Velocity communications ship nearby. Capture and escort that ship for the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier4_4.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier4_4.stf', '22', 'title', 'Dathomir System: Kill Nej\'a Berto\'Lo');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier4_4.stf', '23', 'title_d', 'Travel to the Dathomir system and kill Nej\'a Berto\'Lo. Insurgent has been able to put all the pieces together and has discovered the location of the first target, Nej\'a Berto\'Lo. You are ordered to intercept and destroy Nej\'a, along with all that fly with him.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier4_4_d.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier4_4_d.stf', '2', 'arrival_phase_1', 'We are getting a lock on the location of the ship that received the distress signal now. Stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier4_4_d.stf', '3', 'arrival_phase_2', 'We have a lock on the vessel. It is Onli Shi\'en, the last of the enemy we are hunting. Destroy him and all that are flying with him.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier4_4_d.stf', '4', 'assassinate_success', 'You are a true servant of the Emperor. Make you final report to your commander.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier4_4_d.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier4_4_d.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier4_4_d.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier4_4_d.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier4_4_d.stf', '9', 'destroy_escort', 'Nice work on destroying Shi\'en, but there are still escort fighters that were with him alive. They all must be destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier4_4_d.stf', '10', 'escort_remaining', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <%DI escort fighters remaining.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier4_4_d.stf', '11', 'escort_wiped_out', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Escort fighters destroyed.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier4_4_d.stf', '12', 'failed_escape', 'Pilot, your orders were very clear. You were to destroy Onli Shi\'en and all with him. By letting him get away, you have allowed his plans to continue. Return and report your failure to you superior.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier4_4_d.stf', '13', 'quest_escort_d', 'Destroy all who fly with Onli Shi\'en. Once you have completed this task return to your commander.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier4_4_d.stf', '14', 'quest_escort_t', 'Destroy Onli Shi\'en\'s Escort');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier4_4_d.stf', '15', 'quest_location_d', 'Remain in the Dathomir system and intercept Onli Shi\'en\'s fighter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier4_4_d.stf', '16', 'quest_location_t', 'Remain in the Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier4_4_d.stf', '17', 'quest_target_d', 'Once you have intercepted Onli Shi\'en in the Dathomir system, kill him.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier4_4_d.stf', '18', 'quest_target_t', 'Destroy Onli Shi\'en');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier4_4_d.stf', '19', 'quest_update', '\\#pcontrast1 Black Epsilon Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier4_4_d.stf', '20', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier4_4_d.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier4_4_d.stf', '22', 'title', 'Dathomir System: Kill Onli Shi\'en');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_imperial_tier4_4_d.stf', '23', 'title_d', 'Remain in the Dathomir system and kill Onli Shi\'en. Anderlock made a fatal error right before he perished. His distress signal gave away the position of the last priority target, Onli Shi\'en. Onli is attempting to escape from the Dathomir system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_teir2_4a.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_teir2_4a.stf', '2', 'arrival_phase_1', '\\#pcontrast3 CorSec: < \\#pcontrast1 You are not far ahead of the transport, we will notify you in a moment of their arrival. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_teir2_4a.stf', '3', 'arrival_phase_2', '\\#pcontrast3 CorSec: < \\#pcontrast1 You will need to move quick, they are closer to their second jump point than we anticipated. Uploading their transponder signal to your nav computer now. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_teir2_4a.stf', '4', 'assassinate_success', '\\#pcontrast3 CorSec: < \\#pcontrast1 Great job, that is one spice shipment that won\'t be making its way to its destination. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_teir2_4a.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_teir2_4a.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_teir2_4a.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_teir2_4a.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_teir2_4a.stf', '9', 'destroy_escort', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Escort craft are considered a priority target. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_teir2_4a.stf', '10', 'escort_remaining', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 An escorting craft has been destroyed, %DI remain. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_teir2_4a.stf', '11', 'escort_wiped_out', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 All escorting craft have been destroyed. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_teir2_4a.stf', '12', 'failed_escape', '\\#pcontrast3 CorSec: < \\#pcontrast1 The transport has made the jump, now it is up to the local police forces of their target world to defend from the spice menace. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_teir2_4a.stf', '13', 'quest_escort_d', 'This is an importan shipment, expect heavy resistance.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_teir2_4a.stf', '14', 'quest_escort_t', 'Hutt Fighters');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_teir2_4a.stf', '15', 'quest_location_d', 'A smuggler lane in the Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_teir2_4a.stf', '16', 'quest_location_t', 'Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_teir2_4a.stf', '17', 'quest_target_d', 'A high speed multi purpose transport');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_teir2_4a.stf', '18', 'quest_target_t', 'Hutt Transport');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_teir2_4a.stf', '19', 'quest_update', '\\#pcontrast3 < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_teir2_4a.stf', '20', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_teir2_4a.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_teir2_4a.stf', '22', 'title', 'Dantooine System: Destroy the Spice Transport');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_teir2_4a.stf', '23', 'title_d', 'Hunt down a Hutt Transport and destroy their spice cargo');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier1_4a.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier1_4a.stf', '2', 'arrival_phase_1', '\\#pcontrast3 CorSec Command: < \\#pcontrast1 We are uploading the location of his last known position. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier1_4a.stf', '3', 'arrival_phase_2', '\\#pcontrast3 CorSec Command: < \\#pcontrast1 Upload complete, good luck Captain. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier1_4a.stf', '4', 'assassinate_success', '\\#pcontrast3 CorSec Command: < \\#pcontrast1 The Eliminator is dead, good work. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier1_4a.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier1_4a.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier1_4a.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier1_4a.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier1_4a.stf', '9', 'destroy_escort', '\\#pcontrast3 CorSec Command: < \\#pcontrast1 We need that escort eliminated as well Captain. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier1_4a.stf', '10', 'escort_remaining', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 An escorting craft has been destroyed, %DI remain. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier1_4a.stf', '11', 'escort_wiped_out', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 All escorting craft have been destroyed. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier1_4a.stf', '12', 'failed_escape', '\\#pcontrast3 CorSec Command: < \\#pcontrast1 The mark has escaped, you have failed. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier1_4a.stf', '13', 'quest_escort_d', 'Hidden Dagger Enforcers, not a priority target.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier1_4a.stf', '14', 'quest_escort_t', 'Escort');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier1_4a.stf', '15', 'quest_location_d', 'Somewhere in the Corellia System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier1_4a.stf', '16', 'quest_location_t', 'Corellia System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier1_4a.stf', '17', 'quest_target_d', 'One of the Hidden Dagger Sub-bosses');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier1_4a.stf', '18', 'quest_target_t', 'Hidden Daggers Eliminator');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier1_4a.stf', '19', 'quest_update', '\\#pcontrast3 < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier1_4a.stf', '20', 'split_quest_alert', '\\#pcontrast3 Sgt Rhea: < \\#pcontrast1 You appear to have hit a little snag out there Captain.  Get patched up and hunt that Eliminator down. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier1_4a.stf', '21', 'split_quest_alert_fail', '\\#pcontrast3 Sgt Rhea: < \\#pcontrast1 You appear to have hit a little snag out there Captain.  Get patched up and hunt that Eliminator down. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier1_4a.stf', '22', 'title', 'Corellia System: Destroy the Hidden Dagger Eliminator');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier1_4a.stf', '23', 'title_d', 'Intercept the Eliminator in space and destroy him. When you complete this mission, return to Sergeant Rhea in Coronet and Sergeant Rhea will train you in a new Pilot skill.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier2_4a.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier2_4a.stf', '2', 'arrival_phase_1', '\\#pcontrast3 CorSec: < \\#pcontrast1 You are not far ahead of the transport, we will notify you in a moment of their arrival. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier2_4a.stf', '3', 'arrival_phase_2', '\\#pcontrast3 CorSec: < \\#pcontrast1 You will need to move quick, they are closer to their second jump point than we anticipated. Uploading their transponder signal to your nav computer now. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier2_4a.stf', '4', 'assassinate_success', '\\#pcontrast3 CorSec: < \\#pcontrast1 Great job, that is one spice shipment that won\'t be making its way to its destination. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier2_4a.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier2_4a.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier2_4a.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier2_4a.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier2_4a.stf', '9', 'destroy_escort', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Escort craft are considered a priority target. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier2_4a.stf', '10', 'escort_remaining', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 An escorting craft has been destroyed, %DI remain. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier2_4a.stf', '11', 'escort_wiped_out', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 All escorting craft have been destroyed. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier2_4a.stf', '12', 'failed_escape', '\\#pcontrast3 CorSec: < \\#pcontrast1 The transport has made the jump, now it is up to the local police forces of their target world to defend from the spice menace. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier2_4a.stf', '13', 'quest_escort_d', 'This is an importan shipment, expect heavy resistance.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier2_4a.stf', '14', 'quest_escort_t', 'Hutt Fighters');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier2_4a.stf', '15', 'quest_location_d', 'A smuggler lane in the Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier2_4a.stf', '16', 'quest_location_t', 'Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier2_4a.stf', '17', 'quest_target_d', 'A high speed multi purpose transport');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier2_4a.stf', '18', 'quest_target_t', 'Hutt Transport');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier2_4a.stf', '19', 'quest_update', '\\#pcontrast3 < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier2_4a.stf', '20', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier2_4a.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier2_4a.stf', '22', 'title', 'Dantooine System: Destroy the Spice Transport');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier2_4a.stf', '23', 'title_d', 'Hunt down a Hutt Transport and destroy their spice cargo');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier3_3d.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier3_3d.stf', '2', 'arrival_phase_1', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Warning, massive hyperspace signature detected. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier3_3d.stf', '3', 'arrival_phase_2', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Black Sun  craft have exited hyperspace. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier3_3d.stf', '4', 'assassinate_success', '\\#pcontrast3 CorSec Command: < Excellent work Captain, they never saw it coming.  Return to base. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier3_3d.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier3_3d.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier3_3d.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier3_3d.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier3_3d.stf', '9', 'destroy_escort', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Primary objective destroyed, finish off any escort. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier3_3d.stf', '10', 'escort_remaining', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 An escorting craft has been destroyed, %DI remain. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier3_3d.stf', '11', 'escort_wiped_out', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 All escorting craft have been destroyed. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier3_3d.stf', '12', 'failed_escape', '\\#pcontrast3 CorSec Command: < \\#pcontrast1 The attack group got away, this is no good. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier3_3d.stf', '13', 'quest_escort_d', 'Finish off all Black Sun craft in the area');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier3_3d.stf', '14', 'quest_escort_t', 'Black Sun Fighters');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier3_3d.stf', '15', 'quest_location_d', 'An unknown location of Dantooine Space');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier3_3d.stf', '16', 'quest_location_t', 'Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier3_3d.stf', '17', 'quest_target_d', 'Priority target from this group');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier3_3d.stf', '18', 'quest_target_t', 'Black Sun Gunboat');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier3_3d.stf', '19', 'quest_update', '\\#pcontrast3 < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier3_3d.stf', '20', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier3_3d.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier3_3d.stf', '22', 'title', 'Dantooine System: Destroy the Black Sun attack group');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier3_3d.stf', '23', 'title_d', 'Destroy the Black Sun attack group');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier3_4.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier3_4.stf', '2', 'arrival_phase_1', '\\#pcontrast3 CorSecCommand: < \\#pcontrast1 Captain , do you read me? Your target will arrive soon and you must be ready for a fight. This could get pretty dangerous. Good luck! \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier3_4.stf', '3', 'arrival_phase_2', '\\#pcontrast3 CorSec Command: < \\#pcontrast1 We\'ve detected the target. It seems as if he\'s got his cronies with him. You better watch out. It\'s gonna be ugly. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier3_4.stf', '4', 'assassinate_success', '\\#pcontrast3 CorSec Command: < \\#pcontrast1 Ha! I knew you could do it, Captain. The mission is a success! \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier3_4.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier3_4.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier3_4.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier3_4.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier3_4.stf', '9', 'destroy_escort', '\\#pcontrast3 CorSec Command: < \\#pcontrast1 You\'ve destroyed the Tyrant. But we also need to get his cronies. Continue with your objective, Captain. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier3_4.stf', '10', 'escort_remaining', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 An escorting craft has been destroyed, %DI remain \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier3_4.stf', '11', 'escort_wiped_out', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 All escorting craft have been destroyed \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier3_4.stf', '12', 'failed_escape', 'Pilot! The target escaped! The mission is a failure! Return to your superior for further instruction.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier3_4.stf', '13', 'quest_escort_d', 'Not to be taken lightly, these targets need to be destroyed as well');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier3_4.stf', '14', 'quest_escort_t', 'Evil Raiders');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier3_4.stf', '15', 'quest_location_d', 'An area of Endor Space controlled by pirates');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier3_4.stf', '16', 'quest_location_t', 'Endor System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier3_4.stf', '17', 'quest_target_d', 'Primary Objective, bring down at all costs');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier3_4.stf', '18', 'quest_target_t', 'Evil Raider Tyrant');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier3_4.stf', '19', 'quest_update', '\\#pcontrast3 < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier3_4.stf', '20', 'split_quest_alert', '\\#pcontrast3 CorSec Command: < \\#pcontrast1 Keep on the alert Captain, I don\'t like the looks of this. Our computers detect a rather large hyperspace surge. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier3_4.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier3_4.stf', '22', 'title', 'Endor System: Destroy the Evil Raider Tyrant');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier3_4.stf', '23', 'title_d', 'Destroy the Tyrant of Endor');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_1b.stf', '1', 'arrival_phase_1', '\\#pcontrast3 CorSec Command: < \\#pcontrast1 They entered the area just a bit ago.  Looks like a transport with an escort, destroy all targets. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_1b.stf', '2', 'arrival_phase_2', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Target locked in. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_1b.stf', '3', 'assassinate_success', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 All targets have been destroyed. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_1b.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_1b.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_1b.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_1b.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_1b.stf', '8', 'destroy_escort', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Primary objective destroyed, destroy remaining escort. \\#pcontrast3  >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_1b.stf', '9', 'escort_remaining', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 An escorting craft has been destroyed, %DI remain. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_1b.stf', '10', 'escort_wiped_out', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 All escorting craft have been destroyed. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_1b.stf', '11', 'failed_escape', 'You have failed because the target escaped.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_1b.stf', '12', 'quest_escort_d', 'A medium Black Sun fighter variant, must be destroyed to complete the mission.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_1b.stf', '13', 'quest_escort_t', 'Black Sun Vehement');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_1b.stf', '14', 'quest_location_d', 'Off of a CorSec patrol route in the Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_1b.stf', '15', 'quest_location_t', 'Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_1b.stf', '16', 'quest_target_d', 'A light transport used by the Black Sun pirates');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_1b.stf', '17', 'quest_target_t', 'Black Sun Blackguard');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_1b.stf', '18', 'quest_update', '\\#pcontrast3 < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_1b.stf', '19', 'split_quest_alert', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Hyperspace signatures detected in close proximity. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_1b.stf', '20', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_1b.stf', '21', 'title', 'Dantooine System: Destroy the Black Sun convoy');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_1b.stf', '22', 'title_d', 'Destroy the Black Sun convoy passing through Dantooine Space');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_2a.stf', '1', 'arrival_phase_1', '\\#pcontrast3 CorSec Command: < \\#pcontrast1 Try not to underestimate them Captain, the Hidden Daggers are professionals. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_2a.stf', '2', 'arrival_phase_2', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Target locked in. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_2a.stf', '3', 'assassinate_success', '\\#pcontrast3 CorSec Command: < \\#pcontrast1 Nice shooting, that Hidden Dagger assassins group is no more.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_2a.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_2a.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_2a.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_2a.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_2a.stf', '8', 'destroy_escort', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Primary objective destroyed, finish off remaining escort. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_2a.stf', '9', 'escort_remaining', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 All escorting craft have been destroyed, %DI remain. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_2a.stf', '10', 'escort_wiped_out', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 All escorting craft have been destroyed. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_2a.stf', '11', 'failed_escape', 'You have failed the mission because the target escaped.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_2a.stf', '12', 'quest_escort_d', 'Must destroy these targets to complete the mission');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_2a.stf', '13', 'quest_escort_t', 'Hidden Dagger Eliminators');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_2a.stf', '14', 'quest_location_d', 'Somewhere in the Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_2a.stf', '15', 'quest_location_t', 'Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_2a.stf', '16', 'quest_target_d', 'A mercenary in an old band of Assassins');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_2a.stf', '17', 'quest_target_t', 'Hidden Dagger Executioner');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_2a.stf', '18', 'quest_update', '\\#pcontrast3 < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_2a.stf', '19', 'split_quest_alert', '\\#pcontrast3 CorSec Command: < \\#pcontrast1 We have an Imperial prison shuttle traveling through the area requesting escort.  The Hidden Daggers have been targeting them recently, so stay alert. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_2a.stf', '20', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_2a.stf', '21', 'title', 'Dathomir System: Destroy the Hidden Dagger Executioner');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_2a.stf', '22', 'title_d', 'Hunt down the Black Sun\'s hired thugs');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_3b.stf', '1', 'arrival_phase_1', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Searching for specified craft. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_3b.stf', '2', 'arrival_phase_2', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Target locked in.  \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_3b.stf', '3', 'assassinate_success', '\\#pcontrast3 CorSec Command: < \\#pcontrast1 Good, the odds should be more in our favor for the next assault. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_3b.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_3b.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_3b.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_3b.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_3b.stf', '8', 'destroy_escort', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Primary objective has been destroyed, finish off remaining escort. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_3b.stf', '9', 'escort_remaining', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 An escorting craft has been destroyed, %DI remain. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_3b.stf', '10', 'escort_wiped_out', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 All escorting craft have been destroyed. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_3b.stf', '11', 'failed_escape', 'You have failed because the objective escaped.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_3b.stf', '12', 'quest_escort_d', 'Must be destroyed to complete the mission');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_3b.stf', '13', 'quest_escort_t', 'Black Sun Aggressor');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_3b.stf', '14', 'quest_location_d', 'Somewhere in the Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_3b.stf', '15', 'quest_location_t', 'Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_3b.stf', '16', 'quest_target_d', 'A medium fighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_3b.stf', '17', 'quest_target_t', 'Black Sun Vehement');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_3b.stf', '18', 'quest_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_3b.stf', '19', 'split_quest_alert', '\\#pcontrast3 CorSec Command: < \\#pcontrast1 Excellent, we are starting the next offensive.  Get into position to assist. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_3b.stf', '20', 'split_quest_alert_fail', '\\#pcontrast3 CorSec Command: < \\#pcontrast1 Drat, our attacking force will be dwarfed by the Black Sun assault group.  You had better get over there quickly. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_3b.stf', '21', 'title', 'Dantooine System: Destroy the Black Sun Vehement');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_3b.stf', '22', 'title_d', 'Intercept a group of Black Sun fighters en route to the next space battle');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_4a.stf', '1', 'arrival_phase_1', '\\#pcontrast3 CorSec Command: < \\#pcontrast1 We will want the target and their escort destroyed. Stay focused. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_4a.stf', '2', 'arrival_phase_2', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Target locked in. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_4a.stf', '3', 'assassinate_success', '\\#pcontrast3 CorSec Command:< \\#pcontrast1 Excellent Captain, we are lining up some more for you now. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_4a.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_4a.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_4a.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_4a.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_4a.stf', '8', 'destroy_escort', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Primary objective destroyed, finish off any remaining escort. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_4a.stf', '9', 'escort_remaining', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 An escorting craft has been destroyed, %DI remain. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_4a.stf', '10', 'escort_wiped_out', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 All escorting craft have been destroyed. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_4a.stf', '11', 'failed_escape', 'You have failed because the target escaped.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_4a.stf', '12', 'quest_escort_d', 'Thugs that assist the Nebula Stalker, must be destroyed');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_4a.stf', '13', 'quest_escort_t', 'Hidden Dagger Enforcer');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_4a.stf', '14', 'quest_location_d', 'On the trail of the Nebula Stalker in the Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_4a.stf', '15', 'quest_location_t', 'Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_4a.stf', '16', 'quest_target_d', 'A dangerous criminal');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_4a.stf', '17', 'quest_target_t', 'Hidden Dagger Nebula Stalker');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_4a.stf', '18', 'quest_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_4a.stf', '19', 'split_quest_alert', '\\#pcontrast3 CorSec Command: < \\#pcontrast1 We have the second target on track, lets get this done quickly. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_4a.stf', '20', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_4a.stf', '21', 'title', 'Dathomir System: Assassinate  the Hidden Daggers Nebula Stalker');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_4a.stf', '22', 'title_d', 'Hunt down and Assassinate  the Hidden Daggers Nebula Stalker');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_4b.stf', '1', 'arrival_phase_1', '\\#pcontrast3 CorSec Command: < \\#pcontrast1 There is increased Hidden Dagger activity in the area, expect a sudden attack. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_4b.stf', '2', 'arrival_phase_2', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Target locked in. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_4b.stf', '3', 'assassinate_success', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 All hostile craft are eliminated. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_4b.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_4b.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_4b.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_4b.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_4b.stf', '8', 'destroy_escort', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Primary objective destroyed, finish off any remaining escort. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_4b.stf', '9', 'escort_remaining', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 An escorting craft has been destroyed, %DI remain. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_4b.stf', '10', 'escort_wiped_out', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 All escorting craft have been destroyed. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_4b.stf', '11', 'failed_escape', 'You have failed because the target escaped.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_4b.stf', '12', 'quest_escort_d', 'Must be destroyed to complete the mission');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_4b.stf', '13', 'quest_escort_t', 'Hidden Dagger Enforcer');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_4b.stf', '14', 'quest_location_d', 'On the trail of the Executioner in the Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_4b.stf', '15', 'quest_location_t', 'Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_4b.stf', '16', 'quest_target_d', 'A dangerous Hidden Dagger Assassin');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_4b.stf', '17', 'quest_target_t', 'Hidden Dagger Executioner');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_4b.stf', '18', 'quest_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_4b.stf', '19', 'split_quest_alert', 'Defend from the ambush.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_4b.stf', '20', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_4b.stf', '21', 'title', 'Dathomir System: Assassinate the Hidden Daggers Executioner');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_4b.stf', '22', 'title_d', 'Hunt down and Assassinate the Hidden Daggers Executioner');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_4d.stf', '1', 'arrival_phase_1', '\\#pcontrast3 CorSec Command: < \\#pcontrast1 This should be the last target, leave no survivors. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_4d.stf', '2', 'arrival_phase_2', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Target locked in. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_4d.stf', '3', 'assassinate_success', '\\#pcontrast3 CorSec Command: < \\#pcontrast1 Good work Captain, return to base. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_4d.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_4d.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_4d.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_4d.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_4d.stf', '8', 'destroy_escort', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Primary objective destroyed, finish off any remaining escort. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_4d.stf', '9', 'escort_remaining', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 An escorting craft has been destroyed, %DI remain. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_4d.stf', '10', 'escort_wiped_out', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 All escorting craft have been destroyed. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_4d.stf', '11', 'failed_escape', 'You have failed because the target escaped.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_4d.stf', '12', 'quest_escort_d', 'Must be destroyed to complete the mission');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_4d.stf', '13', 'quest_escort_t', 'Hidden Dagger Enforcers');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_4d.stf', '14', 'quest_location_d', 'On the trail of the Eliminator in the Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_4d.stf', '15', 'quest_location_t', 'Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_4d.stf', '16', 'quest_target_d', 'A dangerous Hidden Dagger Assassin');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_4d.stf', '17', 'quest_target_t', 'Hidden Dagger Eliminator');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_4d.stf', '18', 'quest_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_4d.stf', '19', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_4d.stf', '20', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_4d.stf', '21', 'title', 'Dathomir System: Kill the Hidden Dagger Eliminator');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_privateer_tier4_4d.stf', '22', 'title_d', 'Hunt down and Assassinate  the Hidden Daggers Assassin');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_4.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_4.stf', '2', 'arrival_phase_1', 'Scanning for the Imperial scum now, give us a few seconds.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_4.stf', '3', 'arrival_phase_2', 'Got him, proceed to the location and terminate him!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_4.stf', '4', 'assassinate_success', 'Very good pilot, we\'re all impressed! Return to base.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_4.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_4.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_4.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_4.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_4.stf', '9', 'destroy_escort', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_4.stf', '10', 'escort_remaining', 'Tactical Computer: < Scans show target vessel escort terminated. %DI escort vessels remain. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_4.stf', '11', 'escort_wiped_out', 'Tactical Computer: < Scans show target vessel escort terminated. No more escort vessels remain. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_4.stf', '12', 'failed_escape', 'Bah, he got away. Return to base for a full report of what happened.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_4.stf', '13', 'quest_escort_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_4.stf', '14', 'quest_escort_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_4.stf', '15', 'quest_location_d', 'A lot of our trouble can be traced to a TIE Veteran - commanding a small team of well-equipped forces in the Corellia region. Find him and bring him down.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_4.stf', '16', 'quest_location_t', 'Corellia system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_4.stf', '17', 'quest_target_d', 'We will update the location of the commander as often as we can. Intercept him quickly before he escapes.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_4.stf', '18', 'quest_target_t', 'Hunt the commander down.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_4.stf', '19', 'quest_update', 'Rebel Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_4.stf', '20', 'split_quest_alert', 'Rebel Command: < It looks like the TIE Veteran had a malfunction and you will get another shot at him pilot. Don\'t mess up this time! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_4.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_4.stf', '22', 'title', 'Corellia system: Destroy TIE Veteran commander.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_4.stf', '23', 'title_d', 'This Veteran TIE commander has been a trouble for us for too long. With a skilled pilot like you joining our ranks, we have a chance of getting rid of this nuisance. When you complete this mission, return to Captain Kreezo in Tyrena and Captain Kreezo will train you in a new Rebel Alliance Pilot Skill.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier3_1_c.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier3_1_c.stf', '2', 'arrival_phase_1', 'We are scanning the sector for an intercept course now, stay alert.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier3_1_c.stf', '3', 'arrival_phase_2', 'Coordinates uploaded to your nav computer, intercept and destroy the scouts!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier3_1_c.stf', '4', 'assassinate_success', 'Good work pilot! We are almost out of here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier3_1_c.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier3_1_c.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier3_1_c.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier3_1_c.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier3_1_c.stf', '9', 'destroy_escort', 'Nice one pilot, you can\'t let any of them escape though, take out those TIE\'s!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier3_1_c.stf', '10', 'escort_remaining', 'Rebel Command: < Great pilot, destroy them all! Hurry before they get within communication distance of their fleet! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier3_1_c.stf', '11', 'escort_wiped_out', 'Rebel Command: < Only one left, don\'t let him slip away pilot! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier3_1_c.stf', '12', 'failed_escape', 'You let them get away! We are preparing a emergency plan. Return to base immediately!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier3_1_c.stf', '13', 'quest_escort_d', 'The two escort TIE fighters are mainly there to slow you down and let the TIE Interceptor get away. Never the less, they can\'t be allowed to escape either as they can report the same information the Interceptor can.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier3_1_c.stf', '14', 'quest_escort_t', 'Destroy escort.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier3_1_c.stf', '15', 'quest_location_d', 'You have to stop this Imperial scout patrol but as always in the Yavin system, be careful of attracting more Imperial presence.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier3_1_c.stf', '16', 'quest_location_t', 'Yavin system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier3_1_c.stf', '17', 'quest_target_d', 'The Empire often use a modified TIE Interceptor for scouting. The TIE Interceptor is a very fast fighter so it will be difficult to catch up to him but we\'re counting on you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier3_1_c.stf', '18', 'quest_target_t', 'Destroy the Imperial scout ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier3_1_c.stf', '19', 'quest_update', 'Rebel Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier3_1_c.stf', '20', 'split_quest_alert', 'Rebel Command: < We have a fighter wing that is being intercepted by TIE ships, help them out! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier3_1_c.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier3_1_c.stf', '22', 'title', 'Yavin system: Destroy the Imperial scout patrol.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier3_1_c.stf', '23', 'title_d', 'An Imperial scout patrol has spotted you destroying their friends and they are making a break for it to report the incident. They can\'t be allowed to escape!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier3_3_a.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier3_3_a.stf', '2', 'arrival_phase_1', 'Uploading coordinates to the last known position of the Imperial reconnaissance ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier3_3_a.stf', '3', 'arrival_phase_2', 'Proceed to these coordinates and hunt the ship down. He will undoubtedly spot you and try to escape, don\'t let him.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier3_3_a.stf', '4', 'assassinate_success', 'Good work pilot. Get out of there, we have more missions that require your assistance.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier3_3_a.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier3_3_a.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier3_3_a.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier3_3_a.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier3_3_a.stf', '9', 'destroy_escort', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier3_3_a.stf', '10', 'escort_remaining', 'Rebel Fleet Command: < Good job but concentrate on the recon ship, you can\'t let it get away. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier3_3_a.stf', '11', 'escort_wiped_out', 'Rebel Fleet Command: < Well now you don\'t have to worry about those anymore, take out that recon ship! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier3_3_a.stf', '12', 'failed_escape', 'Blasted! He got away, get out of there, he\'s sure to have sent for reinforcements.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier3_3_a.stf', '13', 'quest_escort_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier3_3_a.stf', '14', 'quest_escort_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier3_3_a.stf', '15', 'quest_location_d', 'With the increasing presence of Imperial ships in this system, every mission will become harder and harder.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier3_3_a.stf', '16', 'quest_location_t', 'Endor system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier3_3_a.stf', '17', 'quest_target_d', 'The target you need to eliminate is a modified Imperial \"Lambda\" shuttle. It has advanced sensors, cameras, bugging equipment etc. Even if it doesn\'t have any valuable information about our fleet, the opportunity to destroy one of these expensive ships can not be missed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier3_3_a.stf', '18', 'quest_target_t', 'Imperial Advanced Recon ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier3_3_a.stf', '19', 'quest_update', 'Rebel Fleet Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier3_3_a.stf', '20', 'split_quest_alert', 'Rebel Fleet Command: < Time to ambush some of the Empire lackeys. Proceed to this location and help Green squadron, their numbers are down after some hard battles. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier3_3_a.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier3_3_a.stf', '22', 'title', 'Endor system: Destroy Imperial Reconnaissance Ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier3_3_a.stf', '23', 'title_d', 'One of the Empires advanced recon ships have been spotted close to the area where you dropped off the data to our command ship. We are not sure if it has revealed the location of our fleet but we can\'t take any chances. Terminate it!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier3_4.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier3_4.stf', '2', 'arrival_phase_1', 'We are pinpointing his location now, stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier3_4.stf', '3', 'arrival_phase_2', 'Found him, proceed and intercept. Good luck pilot, you will need it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier3_4.stf', '4', 'assassinate_success', 'Fantastic! You showed the Empire that their best is not good enough!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier3_4.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier3_4.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier3_4.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier3_4.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier3_4.stf', '9', 'destroy_escort', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier3_4.stf', '10', 'escort_remaining', 'Good job pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier3_4.stf', '11', 'escort_wiped_out', 'Nice! Only the Major left now, show him that you are the best!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier3_4.stf', '12', 'failed_escape', 'He got away, this will make the Empires retaliation very dangerous. Return to base.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier3_4.stf', '13', 'quest_escort_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier3_4.stf', '14', 'quest_escort_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier3_4.stf', '15', 'quest_location_d', 'The Endor system is now in a state of war. Imperial ships are everywhere and their main fleet has arrived, getting battle ready. We can\'t understand why the Empire are mobilising such enormous forces just to attack our small fleet but we need to get out of here!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier3_4.stf', '16', 'quest_location_t', 'Endor system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier3_4.stf', '17', 'quest_target_d', 'Major Kroger is a strategic genius when it comes to Navy warfare. On top of that he\'s an excellent pilot and he\'s flying one of the best fighters the Empire has, the prototype TIE advanced. We trust that if anyone can do this though, it\'s you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier3_4.stf', '18', 'quest_target_t', 'Major Kroger.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier3_4.stf', '19', 'quest_update', 'Rebel Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier3_4.stf', '20', 'split_quest_alert', 'Return to Endor immediately, the Empire is striking down on us hard!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier3_4.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier3_4.stf', '22', 'title', 'Dathomir system: Prevent Major Kroger from reaching the Endor sector.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier3_4.stf', '23', 'title_d', 'We launched several successful attacks against the Empire but they are still coming strong. They have sent for one of their best fighter pilots and navy strategists from the Dathomir system. We are sending our best, you, to take care of him before he can do any damage.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier4_2.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier4_2.stf', '2', 'arrival_phase_1', 'Uploading the correct coordinates of your target now, get ready.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier4_2.stf', '3', 'arrival_phase_2', 'Intercept and terminate him pilot! I will update his coordinates to you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier4_2.stf', '4', 'assassinate_success', 'Great job pilot! That was a devastating blow to the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier4_2.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier4_2.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier4_2.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier4_2.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier4_2.stf', '9', 'destroy_escort', 'Keep at them!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier4_2.stf', '10', 'escort_remaining', 'Good work pilot but concentrate on the Inquisitor, you can\'t let him get away!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier4_2.stf', '11', 'escort_wiped_out', 'I don\'t know how you took out all his guard but that should make terminating the Inquisitor a walk in the park, get to it!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier4_2.stf', '12', 'failed_escape', 'He got away! We have bigger things to worry about for now though. Stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier4_2.stf', '13', 'quest_escort_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier4_2.stf', '14', 'quest_escort_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier4_2.stf', '15', 'quest_location_d', 'As always a dangerous system with heavy Imperial presence. Be careful on your way to intercepting the Inquisitor but keep in mind that he is your main target and you can\'t allow yourself to be distracted.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier4_2.stf', '16', 'quest_location_t', 'Dathomir system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier4_2.stf', '17', 'quest_target_d', 'The Inquisitors of the Imperium are always dangerous foes. They are highly skilled and ruthless men, equipped with the latest technology and heavily guarded. Be prepared for a tough battle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier4_2.stf', '18', 'quest_target_t', 'Imperial Inquisitor.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier4_2.stf', '19', 'quest_update', 'Worvog Arkon: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier4_2.stf', '20', 'split_quest_alert', 'Worvog Arkon: < Your droid picked up some interesting data from the wreck of the Inquisitor. Deliver it to one of the Alliance smugglers that is nearby. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier4_2.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier4_2.stf', '22', 'title', 'Dathomir system: Terminate the Inquisitor.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier4_2.stf', '23', 'title_d', 'Another part of the Rebel Alliance is attacking vital parts of the Imperial Inquisition. The Empire has sent in one of their high ranking Inquisitors to bolster the morale and help with tactical suggestions in this battle. You will assist our fellow Alliance members by terminating this Inquisitor before he even reaches the battle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier4_4_a.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier4_4_a.stf', '2', 'arrival_phase_1', 'We are tracking the Imperial freighters now, stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier4_4_a.stf', '3', 'arrival_phase_2', 'We found them. Be careful though, we are picking up some strange ship signatures that we haven\'t encountered before.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier4_4_a.stf', '4', 'assassinate_success', 'Great job my friend! If nothing else, we have delayed any expansion ideas the Empire had in the Lok system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier4_4_a.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier4_4_a.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier4_4_a.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier4_4_a.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier4_4_a.stf', '9', 'destroy_escort', 'Good work but I\'m afraid that command wants that fleet annihilated!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier4_4_a.stf', '10', 'escort_remaining', 'Worvog Arkon: < Keep at it my friend, there\'s %DI ships remaining that need to be destroyed! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier4_4_a.stf', '11', 'escort_wiped_out', 'Worvog Arkon: < Fantastic! Only one to go! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier4_4_a.stf', '12', 'failed_escape', 'They got away! Return to base, we are going to have to formulate a new plan.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier4_4_a.stf', '13', 'quest_escort_d', 'You are ordered to annihilate that entire fleet, not just the freighter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier4_4_a.stf', '14', 'quest_escort_t', 'Annihilate any trace of the fleet.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier4_4_a.stf', '15', 'quest_location_d', 'For some reason the Imperial presence is heavy in the Endor system. To top it off their construction freighters are heavily guarded.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier4_4_a.stf', '16', 'quest_location_t', 'Endor system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier4_4_a.stf', '17', 'quest_target_d', 'Your target of destruction is an Imperial Heavy Freighter. Although they are not dangerous they can withstand a lot of damage and it\'s sure to be heavily guarded.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier4_4_a.stf', '18', 'quest_target_t', 'Imperial Freighter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier4_4_a.stf', '19', 'quest_update', 'Worvog Arkon < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier4_4_a.stf', '20', 'split_quest_alert', 'Worvog Arkon < The Empire is counter-attacking! The good news is that our reinforcements are almost there! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier4_4_a.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier4_4_a.stf', '22', 'title', 'Endor system: Make sure the Imperial freighters never reach Lok.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_rebel_tier4_4_a.stf', '23', 'title_d', 'In our campaign to prevent the new Imperial space station from ever being built in the Lok system, we have decided to attack some of their freighters with building materials.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_station_mission3_1.stf', '1', 'arrival_phase_1', 'Deep scanning for Cloak agent signature. Stand by for coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_station_mission3_1.stf', '2', 'arrival_phase_2', 'Cloak vessel found. Intercept and destroy the agent and his escort.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_station_mission3_1.stf', '3', 'assassinate_success', 'Copy that. Destruction of primary and secondary targets confirmed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_station_mission3_1.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_station_mission3_1.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_station_mission3_1.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_station_mission3_1.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_station_mission3_1.stf', '8', 'destroy_escort', 'Good work, pilot. Primary target destroyed. Now eliminate the escort wing.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_station_mission3_1.stf', '9', 'escort_remaining', '\\#pcontrast1 Tactical Computer: <\\#pcontrast3  Secondary target destroyed. %DI escort ship(s) remaining.\\#pcontrast1 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_station_mission3_1.stf', '10', 'escort_wiped_out', '\\#pcontrast1 Tactical Computer: <\\#pcontrast3  Secondary target destroyed. Escort wing eliminated.\\#pcontrast1 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_station_mission3_1.stf', '11', 'failed_escape', 'That\'s no good, pilot. The agent found us out and called off the delivery. Come back to the station for debriefing.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_station_mission3_1.stf', '12', 'quest_escort_d', 'There must be no suvivors to report back about what we are doing. You must also eliminate any escort that is traveling with the Cloak agent.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_station_mission3_1.stf', '13', 'quest_escort_t', 'Destroy the Agent\'s Escort');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_station_mission3_1.stf', '14', 'quest_location_d', 'Travel to the Corellia system. Once there, CorSec command will identify the Cloak agent and send you coordinates to his location via a navigation waypoint.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_station_mission3_1.stf', '15', 'quest_location_t', 'Travel to the Corellia System.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_station_mission3_1.stf', '16', 'quest_target_d', 'You must destroy the Cloak agent before he realizes that we are hunting him and leaves the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_station_mission3_1.stf', '17', 'quest_target_t', 'Destroy the Cloak Agent');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_station_mission3_1.stf', '18', 'quest_update', '\\#pcontrast1 CorSec Command: <\\#pcontrast3  %TO\\#pcontrast1  >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_station_mission3_1.stf', '19', 'split_quest_alert', 'Phase one complete. Begin mission phase two.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_station_mission3_1.stf', '20', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_station_mission3_1.stf', '21', 'title', 'Corellia System: Destroy the Cloak Agent');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_station_mission3_1.stf', '22', 'title_d', 'Intelligence shows that a Cloak agent will be picking up leaked CorSec information in the Corellia system. CorSec command wants you to destroy the agent and intercept the drop-off.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_station_mission5b_3.stf', '1', 'arrival_phase_1', 'Listen up, pilot. This whole operation may have just been a distraction. The Cloak leader is passing through the system as we speak. Stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_station_mission5b_3.stf', '2', 'arrival_phase_2', 'We\'ve plotted the Cloak leader\'s projected course. Intercept and destroy him. And hurry.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_station_mission5b_3.stf', '3', 'assassinate_success', 'Excellent work, pilot. The Cloak leader and his escort has been destroyed. Return to the station for debriefing.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_station_mission5b_3.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_station_mission5b_3.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_station_mission5b_3.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_station_mission5b_3.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_station_mission5b_3.stf', '8', 'destroy_escort', 'Copy that. The Cloak leader is destroyed. Now take out the remaining escort craft.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_station_mission5b_3.stf', '9', 'escort_remaining', '\\#pcontrast1 Tactical Computer: <\\#pcontrast3  Secondary target destroyed. %DI escort ships remaining.\\#pcontrast1 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_station_mission5b_3.stf', '10', 'escort_wiped_out', '\\#pcontrast1 Tactical Computer: <\\#pcontrast3  All secondary targets destroyed.\\#pcontrast1 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_station_mission5b_3.stf', '11', 'failed_escape', 'The commander is not going to be pleased that you let the Cloak leader escape. Return to the station for debriefing.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_station_mission5b_3.stf', '12', 'quest_escort_d', 'All Cloak ships flying with the leader must be destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_station_mission5b_3.stf', '13', 'quest_escort_t', 'Destroy the Leader\'s Escort');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_station_mission5b_3.stf', '14', 'quest_location_d', 'The Cloak leader must not be allowed to escape. You should not leave the Corellia system until this mission is complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_station_mission5b_3.stf', '15', 'quest_location_t', 'Remain in the Corellia System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_station_mission5b_3.stf', '16', 'quest_target_d', 'You must intercept the Cloak leader and ensure his destruction. You must not allow him to hyperspace out of the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_station_mission5b_3.stf', '17', 'quest_target_t', 'Destroy the Cloak Leader');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_station_mission5b_3.stf', '18', 'quest_update', '\\#pcontrast1 CorSec Command: <\\#pcontrast3  %TO\\#pcontrast1  >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_station_mission5b_3.stf', '19', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_station_mission5b_3.stf', '20', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_station_mission5b_3.stf', '21', 'title', 'Corellia System: Destroy the Cloak Leader');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/corellia_station_mission5b_3.stf', '22', 'title_d', 'The whole operation to this point has been a distraction so that the Cloak leader could pass through the system while CorSec\'s attention was elsewhere. You must hurry and intercept him before he can hyperspace out.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/c_darndroidspace.stf', '1', 'arrival_phase_1', 'The Black Sun is on the move.  Scanning to find the ship\'s location and trajectory.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/c_darndroidspace.stf', '2', 'arrival_phase_2', 'Kill the Black Sun Transport before it leaves the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/c_darndroidspace.stf', '3', 'assassinate_success', 'Black Sun Transport destroyed.  Return to Talus and speak with Valance Serth.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/c_darndroidspace.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/c_darndroidspace.stf', '5', 'autorewardbody', 'I just got word. Congratulations!  The Black Sun is running from this operation with their tails between their legs.   It looks like the Empire found the remaining spice transport ships and is confescating the tained spice now.  Excellent work, friend.  I have one more thing, if you don\'t mind heading back down here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/c_darndroidspace.stf', '6', 'autorewardfrom', 'Valance Serth');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/c_darndroidspace.stf', '7', 'autorewardsubject', 'Very Good Work!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/c_darndroidspace.stf', '8', 'destroy_escort', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/c_darndroidspace.stf', '9', 'escort_remaining', '%DI of 5 escorting ships remain.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/c_darndroidspace.stf', '10', 'escort_wiped_out', 'Now that the protecting ships are gone, concentrate your fire on the leader.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/c_darndroidspace.stf', '11', 'failed_escape', 'The ship suceeded in carrying some of the tainted medicinal spice to the galaxy.  You have failed.   Talk to Valance Serth and maybe you can stop another batch.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/c_darndroidspace.stf', '12', 'quest_escort_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/c_darndroidspace.stf', '13', 'quest_escort_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/c_darndroidspace.stf', '14', 'quest_location_d', 'Stop a transport before it leaves the Corellia system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/c_darndroidspace.stf', '15', 'quest_location_t', 'Corellia System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/c_darndroidspace.stf', '16', 'quest_target_d', 'Destroy the Black Sun Transport before it exits the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/c_darndroidspace.stf', '17', 'quest_target_t', 'Destroy Black Sun Transport');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/c_darndroidspace.stf', '18', 'quest_update', 'Tactical Computer');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/c_darndroidspace.stf', '19', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/c_darndroidspace.stf', '20', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/c_darndroidspace.stf', '21', 'title', 'Destroy tainted spice transport ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/c_darndroidspace.stf', '22', 'title_d', 'Destroy the Black Sun Transport before it exits the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/c_sink_imp_space.stf', '1', 'arrival_phase_1', 'The Binayre is on the move.  Scanning to find the ship\'s location and trajectory.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/c_sink_imp_space.stf', '2', 'arrival_phase_2', 'Kill the Binayre Black Jack before it leaves the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/c_sink_imp_space.stf', '3', 'assassinate_success', 'Binayre Black Jack destroyed.  Return to Talus and speak with Ceth Laike.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/c_sink_imp_space.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/c_sink_imp_space.stf', '5', 'autorewardbody', 'Great job!  I hope we sent the Binayre a message.  Come back down here.  I have a reward for you.  ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/c_sink_imp_space.stf', '6', 'autorewardfrom', 'Ceth Laike');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/c_sink_imp_space.stf', '7', 'autorewardsubject', 'Very Good Work!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/c_sink_imp_space.stf', '8', 'destroy_escort', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/c_sink_imp_space.stf', '9', 'escort_remaining', '%DI of 4 escorting ships remain.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/c_sink_imp_space.stf', '10', 'escort_wiped_out', 'Now that the protecting ships are gone, concentrate your fire on the leader.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/c_sink_imp_space.stf', '11', 'failed_escape', 'The Black Jack escaped to another system.  Let Ceth Laike know that you failed the mission.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/c_sink_imp_space.stf', '12', 'quest_escort_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/c_sink_imp_space.stf', '13', 'quest_escort_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/c_sink_imp_space.stf', '14', 'quest_location_d', 'Go to Corellia\'s System and destroy a pirate\'s ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/c_sink_imp_space.stf', '15', 'quest_location_t', 'Corellia System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/c_sink_imp_space.stf', '16', 'quest_target_d', 'Destroy a Binayre Black Jack before it exits the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/c_sink_imp_space.stf', '17', 'quest_target_t', 'Destroy Binayre Black Jack');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/c_sink_imp_space.stf', '18', 'quest_update', 'Tactical Computer');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/c_sink_imp_space.stf', '19', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/c_sink_imp_space.stf', '20', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/c_sink_imp_space.stf', '21', 'title', 'Destroy Binayre Black Jack before it exits the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/c_sink_imp_space.stf', '22', 'title_d', 'Destroy Binayre Black Jack before it exits the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/c_sink_reb_space.stf', '1', 'arrival_phase_1', 'The Hidden Daggers are on the move.  Scanning to find the ship\'s location and trajectory.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/c_sink_reb_space.stf', '2', 'arrival_phase_2', 'Kill the Hidden Daggers Killer before it leaves the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/c_sink_reb_space.stf', '3', 'assassinate_success', 'Hidden Daggers Killer destroyed.  Return to Corellia and speak with Acun Solari.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/c_sink_reb_space.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/c_sink_reb_space.stf', '5', 'autorewardbody', 'Great job!  I hope we sent the Hidden Daggers a message.  Come back down here.  I have a reward for you.  ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/c_sink_reb_space.stf', '6', 'autorewardfrom', 'Acun Solari');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/c_sink_reb_space.stf', '7', 'autorewardsubject', 'Very Good Work!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/c_sink_reb_space.stf', '8', 'destroy_escort', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/c_sink_reb_space.stf', '9', 'escort_remaining', '%DI of 3 escorting ships remain.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/c_sink_reb_space.stf', '10', 'escort_wiped_out', 'Now that the protecting ships are gone, concentrate your fire on the leader.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/c_sink_reb_space.stf', '11', 'failed_escape', 'The Hidden Daggers Killer escaped to another system.  Let Ceth Laike know that you failed the mission.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/c_sink_reb_space.stf', '12', 'quest_escort_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/c_sink_reb_space.stf', '13', 'quest_escort_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/c_sink_reb_space.stf', '14', 'quest_location_d', 'Go to Corellia\'s System and destroy a pirate\'s ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/c_sink_reb_space.stf', '15', 'quest_location_t', 'Corellia System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/c_sink_reb_space.stf', '16', 'quest_target_d', 'Destroy a Hidden Daggers Killer before it exits the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/c_sink_reb_space.stf', '17', 'quest_target_t', 'Destroy Hidden Daggers Killer');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/c_sink_reb_space.stf', '18', 'quest_update', 'Tactical Computer');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/c_sink_reb_space.stf', '19', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/c_sink_reb_space.stf', '20', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/c_sink_reb_space.stf', '21', 'title', 'Destroy Hidden Daggers Killer before it exits the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/c_sink_reb_space.stf', '22', 'title_d', 'Destroy Hidden Daggers Killer before it exits the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_imp_storyquest_01_b.stf', '1', 'arrival_phase_1', 'Scanning system for a Rebel squadron. Stand by to proceed with the attack.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_imp_storyquest_01_b.stf', '2', 'arrival_phase_2', 'Nav location to the target squad has been located. Proceed with extreme prejudice.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_imp_storyquest_01_b.stf', '3', 'assassinate_success', 'Good work, pilot. Perhaps now our captured Rebel pilot will be more inclined to talk.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_imp_storyquest_01_b.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_imp_storyquest_01_b.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_imp_storyquest_01_b.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_imp_storyquest_01_b.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_imp_storyquest_01_b.stf', '8', 'destroy_escort', 'The entire squad must be eradicated.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_imp_storyquest_01_b.stf', '9', 'escort_remaining', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <%DI Rebel fighters remaining.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_imp_storyquest_01_b.stf', '10', 'escort_wiped_out', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy Rebel fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_imp_storyquest_01_b.stf', '11', 'failed_escape', 'You let them escape! Return to the station for further instructions. Hopefully, we\'ll try again.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_imp_storyquest_01_b.stf', '12', 'quest_escort_d', 'Destroy all ships in the Rebel squadron. Make sure none escape.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_imp_storyquest_01_b.stf', '13', 'quest_escort_t', 'Destroy the entire Rebel squad.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_imp_storyquest_01_b.stf', '14', 'quest_location_d', 'Destroy a designated Rebel squadron in the Dathomir system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_imp_storyquest_01_b.stf', '15', 'quest_location_t', 'Travel to the Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_imp_storyquest_01_b.stf', '16', 'quest_target_d', 'Destroy the Rebel squad leader.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_imp_storyquest_01_b.stf', '17', 'quest_target_t', 'Destroy Rebel Squad Leader');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_imp_storyquest_01_b.stf', '18', 'quest_update', '\\#pcontrast1 Station Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_imp_storyquest_01_b.stf', '19', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_imp_storyquest_01_b.stf', '20', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_imp_storyquest_01_b.stf', '21', 'title', 'Dathomir System: Destroy a Squad of Rebel Fighters');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_imp_storyquest_01_b.stf', '22', 'title_d', 'We have the Rebel pilot in custody, but she refuses to talk. Maybe if we kill enough of her friends, her tongue will loosen.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_imp_storyquest_01_c.stf', '1', 'arrival_phase_1', 'Scanning system for a Black Sun squadron. Stand by to proceed with the attack.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_imp_storyquest_01_c.stf', '2', 'arrival_phase_2', 'Nav location to the target squad has been located. Proceed with extreme prejudice.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_imp_storyquest_01_c.stf', '3', 'assassinate_success', 'Good work, pilot. No one escapes from the Empire\'s mighty grasp.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_imp_storyquest_01_c.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_imp_storyquest_01_c.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_imp_storyquest_01_c.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_imp_storyquest_01_c.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_imp_storyquest_01_c.stf', '8', 'destroy_escort', 'The entire squad must be eradicated.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_imp_storyquest_01_c.stf', '9', 'escort_remaining', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <%DI Black Sun fighters remaining.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_imp_storyquest_01_c.stf', '10', 'escort_wiped_out', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy Black Sun fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_imp_storyquest_01_c.stf', '11', 'failed_escape', 'You let them escape! Return to the station for further instructions. Hopefully, we\'ll try again.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_imp_storyquest_01_c.stf', '12', 'quest_escort_d', 'Destroy all ships in the Black Sun squadron. Make sure none escape.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_imp_storyquest_01_c.stf', '13', 'quest_escort_t', 'Destroy the entire squad of Black Sun pirates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_imp_storyquest_01_c.stf', '14', 'quest_location_d', 'Destroy a designated Black Sun squadron in the Dathomir system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_imp_storyquest_01_c.stf', '15', 'quest_location_t', 'Travel to the Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_imp_storyquest_01_c.stf', '16', 'quest_target_d', 'Destroy the Black Sun squad leader.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_imp_storyquest_01_c.stf', '17', 'quest_target_t', 'Destroy the Black Sun Squad Leader');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_imp_storyquest_01_c.stf', '18', 'quest_update', '\\#pcontrast1 Station Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_imp_storyquest_01_c.stf', '19', 'split_quest_alert', 'One of the Black Sun pirates is escaping. Catch him! He might have the information we seek!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_imp_storyquest_01_c.stf', '20', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_imp_storyquest_01_c.stf', '21', 'title', 'Dathomir System: Destroy a Squad of Black Sun pirates');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_imp_storyquest_01_c.stf', '22', 'title_d', 'The Rebel Pilot has told us that a Black Sun pirate gave her the authorization code, but she couldn\'t name a specific pilot. We\'ll attack a squadron of Black Sun pirates and see if we can learn anything.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_imp_storyquest_01_e.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_imp_storyquest_01_e.stf', '2', 'arrival_phase_1', 'Scanning system for the escaping pirate. Stand by to proceed with destoying his ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_imp_storyquest_01_e.stf', '3', 'arrival_phase_2', 'Nav location to the target vessel has been located. Proceed with extreme prejudice.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_imp_storyquest_01_e.stf', '4', 'assassinate_success', 'Good work, pilot. No one escapes from the Empire\'s mighty grasp. Return to the station commander.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_imp_storyquest_01_e.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_imp_storyquest_01_e.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_imp_storyquest_01_e.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_imp_storyquest_01_e.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_imp_storyquest_01_e.stf', '9', 'destroy_escort', 'Just to be safe take out the escort fighters as well. We cannot be to careful with this situation.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_imp_storyquest_01_e.stf', '10', 'escort_remaining', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <%DI escort fighters remaining.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_imp_storyquest_01_e.stf', '11', 'escort_wiped_out', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy escort fighter eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_imp_storyquest_01_e.stf', '12', 'failed_escape', 'You let him get away! Pray that we can get another fix on his location or this will failure be reflected on your performance review. Report your failure to the station commander.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_imp_storyquest_01_e.stf', '13', 'quest_escort_d', 'Make sure that all of the escaping pirate\'s escort fighters are destroyed as well. Once you have completed this task return to the station commander.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_imp_storyquest_01_e.stf', '14', 'quest_escort_t', 'Destroy the Escort Fighters');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_imp_storyquest_01_e.stf', '15', 'quest_location_d', 'Remain in the Dathomir system and eliminate the escaping Blacksun pirate.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_imp_storyquest_01_e.stf', '16', 'quest_location_t', 'Remain in the Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_imp_storyquest_01_e.stf', '17', 'quest_target_d', 'Intercept the escaping Black Sun pirate and kill him. He cannot be allowed to escape and must be an example for others.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_imp_storyquest_01_e.stf', '18', 'quest_target_t', 'Destroy the Escaping Black Sun Pirate');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_imp_storyquest_01_e.stf', '19', 'quest_update', '\\#pcontrast1 Station Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_imp_storyquest_01_e.stf', '20', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_imp_storyquest_01_e.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_imp_storyquest_01_e.stf', '22', 'title', 'Dathomir System: Eliminate the Escaping Black Sun Pirate');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_imp_storyquest_01_e.stf', '23', 'title_d', 'The captive Black Sun pirate has somehow escaped. Track him down and destroy him before he makes good on his getaway.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_priv_storyquest_01_d.stf', '1', 'arrival_phase_1', '\\#pcontrast3 Station Command: < \\#pcontrast1 The Kimogila battlelord will be in the range shorly, stand by for coordinates. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_priv_storyquest_01_d.stf', '2', 'arrival_phase_2', '\\#pcontrast3 Station Command: \\#pcontrast1 The Kimogila battlelord\'s craft has dropped from hyperspace.  Transmitting his location now. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_priv_storyquest_01_d.stf', '3', 'assassinate_success', '\\#pcontrast3 Station Command: < \\#pcontrast1 The Kimogila battlelord has been destroyed!  That will teach them to mess with us. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_priv_storyquest_01_d.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_priv_storyquest_01_d.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_priv_storyquest_01_d.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_priv_storyquest_01_d.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_priv_storyquest_01_d.stf', '8', 'destroy_escort', '\\#pcontrast3 Station Command: < \\#pcontrast1 Great job, now finish off his escort. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_priv_storyquest_01_d.stf', '9', 'escort_remaining', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 An escort craft has been destroyed, %DI remain \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_priv_storyquest_01_d.stf', '10', 'escort_wiped_out', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 All escort craft have been destroyed. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_priv_storyquest_01_d.stf', '11', 'failed_escape', '\\#pcontrast3 Station Command: < \\#pcontrast1 The Kimogila battlelord has escaped! This is unacceptable. Report back to the station for another attempt. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_priv_storyquest_01_d.stf', '12', 'quest_escort_d', 'Secondary objectives: destroy at all costs. Leave no witnesses.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_priv_storyquest_01_d.stf', '13', 'quest_escort_t', 'Kimogila Pirates');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_priv_storyquest_01_d.stf', '14', 'quest_location_d', 'An area in the Lok System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_priv_storyquest_01_d.stf', '15', 'quest_location_t', 'Lok System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_priv_storyquest_01_d.stf', '16', 'quest_target_d', 'Sent cargo that was infested with lice.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_priv_storyquest_01_d.stf', '17', 'quest_target_t', 'Kimogila Battlelord.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_priv_storyquest_01_d.stf', '18', 'quest_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_priv_storyquest_01_d.stf', '19', 'split_quest_alert', '\\#pcontrast3 Station Command: < \\#pcontrast1 Well done. Return to Dathomir Space whenever you\'re ready. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_priv_storyquest_01_d.stf', '20', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_priv_storyquest_01_d.stf', '21', 'title', 'Lok System: Destroy the Kimogila Battlelord');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dathomir_station_priv_storyquest_01_d.stf', '22', 'title_d', 'Strike Back: Destroy the Kimogila supplier of the infested cargo.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_01.stf', '1', 'arrival_phase_1', 'Keep your eyes peeled for Gutcher\'s starship!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_01.stf', '2', 'arrival_phase_2', 'Your target has entered the zone. Take him out!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_01.stf', '3', 'assassinate_success', 'Gutcher Gorai is destroyed! The Bounty-Hunters Guild is quite pleased.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_01.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_01.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_01.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_01.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_01.stf', '8', 'destroy_escort', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_01.stf', '9', 'escort_remaining', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_01.stf', '10', 'escort_wiped_out', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_01.stf', '11', 'failed_escape', 'Where\'d you learn to track? Go home! Your mission is a failure!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_01.stf', '12', 'quest_escort_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_01.stf', '13', 'quest_escort_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_01.stf', '14', 'quest_location_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_01.stf', '15', 'quest_location_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_01.stf', '16', 'quest_target_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_01.stf', '17', 'quest_target_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_01.stf', '18', 'quest_update', ' \\#pcontrast3 Bounty Hunters Guild: < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_01.stf', '19', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_01.stf', '20', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_01.stf', '21', 'title', 'WANTED: Gutcher Gorai');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_01.stf', '22', 'title_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_02.stf', '1', 'arrival_phase_1', 'Be on the look-out for Rae\'Lux!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_02.stf', '2', 'arrival_phase_2', 'Rae\'Lux has slithered into the zone. Take him out!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_02.stf', '3', 'assassinate_success', 'Rae\'Lux is destroyed! The guild is most pleased with your work.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_02.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_02.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_02.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_02.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_02.stf', '8', 'destroy_escort', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_02.stf', '9', 'escort_remaining', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_02.stf', '10', 'escort_wiped_out', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_02.stf', '11', 'failed_escape', 'You scared him off! Mission failed!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_02.stf', '12', 'quest_escort_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_02.stf', '13', 'quest_escort_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_02.stf', '14', 'quest_location_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_02.stf', '15', 'quest_location_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_02.stf', '16', 'quest_target_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_02.stf', '17', 'quest_target_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_02.stf', '18', 'quest_update', ' \\#pcontrast3 Bountyhunters Guild: < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_02.stf', '19', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_02.stf', '20', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_02.stf', '21', 'title', 'WANTED: Rae\'Lux');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_02.stf', '22', 'title_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_03_a.stf', '1', 'arrival_phase_1', 'Hunt down the Bwar Brothers!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_03_a.stf', '2', 'arrival_phase_2', 'One of the infamous kidnappers has arrived in-system!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_03_a.stf', '3', 'assassinate_success', 'The first of the Bwar Brother trio is vanquished! Excellent work!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_03_a.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_03_a.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_03_a.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_03_a.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_03_a.stf', '8', 'destroy_escort', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_03_a.stf', '9', 'escort_remaining', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_03_a.stf', '10', 'escort_wiped_out', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_03_a.stf', '11', 'failed_escape', 'You let him escape! Mission failed!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_03_a.stf', '12', 'quest_escort_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_03_a.stf', '13', 'quest_escort_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_03_a.stf', '14', 'quest_location_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_03_a.stf', '15', 'quest_location_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_03_a.stf', '16', 'quest_target_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_03_a.stf', '17', 'quest_target_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_03_a.stf', '18', 'quest_update', ' \\#pcontrast3 Bountyhunters Guild: < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_03_a.stf', '19', 'split_quest_alert', ' \\#pcontrast3 Bountyhunters Guild: < \\#pcontrast1 Receiving target update on Bwar Brothers... \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_03_a.stf', '20', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_03_a.stf', '21', 'title', 'WANTED: The Bwar Brothers (part I)');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_03_a.stf', '22', 'title_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_03_b.stf', '1', 'arrival_phase_1', 'Continue your hunt for the Bwar Brothers...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_03_b.stf', '2', 'arrival_phase_2', 'One of the infamous kidnappers has arrived in-system!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_03_b.stf', '3', 'assassinate_success', 'One of the Bwar Brother trio is vanquished!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_03_b.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_03_b.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_03_b.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_03_b.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_03_b.stf', '8', 'destroy_escort', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_03_b.stf', '9', 'escort_remaining', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_03_b.stf', '10', 'escort_wiped_out', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_03_b.stf', '11', 'failed_escape', 'You let him escape! Mission failed!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_03_b.stf', '12', 'quest_escort_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_03_b.stf', '13', 'quest_escort_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_03_b.stf', '14', 'quest_location_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_03_b.stf', '15', 'quest_location_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_03_b.stf', '16', 'quest_target_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_03_b.stf', '17', 'quest_target_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_03_b.stf', '18', 'quest_update', ' \\#pcontrast3 Bountyhunters Guild: < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_03_b.stf', '19', 'split_quest_alert', '\\#pcontrast3 Bountyhunters Guild: < \\#pcontrast1 Receiving target update on Bwar Brothers... \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_03_b.stf', '20', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_03_b.stf', '21', 'title', 'WANTED: The Bwar Brothers (part II)');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_03_b.stf', '22', 'title_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_03_c.stf', '1', 'arrival_phase_1', 'The last of the villainous Bwar Brothers is coming...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_03_c.stf', '2', 'arrival_phase_2', 'Your final target has entered the system!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_03_c.stf', '3', 'assassinate_success', 'The last of the Bwar Brother trio is vanquished! Excellent work!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_03_c.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_03_c.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_03_c.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_03_c.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_03_c.stf', '8', 'destroy_escort', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_03_c.stf', '9', 'escort_remaining', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_03_c.stf', '10', 'escort_wiped_out', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_03_c.stf', '11', 'failed_escape', 'You only had one left to go! Mission failed!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_03_c.stf', '12', 'quest_escort_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_03_c.stf', '13', 'quest_escort_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_03_c.stf', '14', 'quest_location_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_03_c.stf', '15', 'quest_location_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_03_c.stf', '16', 'quest_target_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_03_c.stf', '17', 'quest_target_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_03_c.stf', '18', 'quest_update', ' \\#pcontrast3 Bountyhunters Guild: < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_03_c.stf', '19', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_03_c.stf', '20', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_03_c.stf', '21', 'title', 'WANTED: The Bwar Brothers (part III)');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_03_c.stf', '22', 'title_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_04.stf', '1', 'arrival_phase_1', 'The renegade killer Juree La\'Zar is somewhere in this system...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_04.stf', '2', 'arrival_phase_2', 'Juree La\'Zar has entered the system. Find her and destroy her!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_04.stf', '3', 'assassinate_success', 'You have defeated Juree La\'Zar! Excellent work, bounty hunter!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_04.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_04.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_04.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_04.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_04.stf', '8', 'destroy_escort', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_04.stf', '9', 'escort_remaining', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_04.stf', '10', 'escort_wiped_out', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_04.stf', '11', 'failed_escape', 'Your target has eluded capture... Mission failed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_04.stf', '12', 'quest_escort_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_04.stf', '13', 'quest_escort_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_04.stf', '14', 'quest_location_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_04.stf', '15', 'quest_location_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_04.stf', '16', 'quest_target_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_04.stf', '17', 'quest_target_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_04.stf', '18', 'quest_update', ' \\#pcontrast3 Bountyhunters Guild: < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_04.stf', '19', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_04.stf', '20', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_04.stf', '21', 'title', 'WANTED: Juree La\'Zar');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/dath_bh_wanted_list_04.stf', '22', 'title_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/imperial_ss_3.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/imperial_ss_3.stf', '2', 'arrival_phase_1', 'Scanning region for the Kimogila\'s Claw...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/imperial_ss_3.stf', '3', 'arrival_phase_2', 'Kimogila\'s Claw has been located. Waypoint created.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/imperial_ss_3.stf', '4', 'assassinate_success', 'The Kimogila\'s Claw and her escort retinue have been destroyed!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/imperial_ss_3.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/imperial_ss_3.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/imperial_ss_3.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/imperial_ss_3.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/imperial_ss_3.stf', '9', 'destroy_escort', 'The Kimogila\'s Claw is destroyed! Leave no witnesses. Eliminate the escort retinue.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/imperial_ss_3.stf', '10', 'escort_remaining', ' \\#pcontrast3 Tactical Computer: < \\#00ff00 %DI ships remain in the Kimogila\'s Claw\'s retinue. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/imperial_ss_3.stf', '11', 'escort_wiped_out', ' \\#pcontrast3 Tactical Computer: < \\#00ff00 The escort retinue has been eliminated. Destroy the Kimogila\'s Claw. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/imperial_ss_3.stf', '12', 'failed_escape', 'The Kimogila\'s Claw has escaped the region! You\'ve missed your opportunity to deal a blow to Nym!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/imperial_ss_3.stf', '13', 'quest_d', 'b');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/imperial_ss_3.stf', '14', 'quest_escort_d', 'Just to be certain that all the commanders are killed, destroy any escorts that are with the Kimogila\'s Claw as well. There is no need to let one escape because he was flying his own fighter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/imperial_ss_3.stf', '15', 'quest_escort_t', 'Destroy the Kimogila\'s Claw\'s Escort');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/imperial_ss_3.stf', '16', 'quest_location_d', 'Travel to the Lok system and destroy the Kimogila\'s Claw.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/imperial_ss_3.stf', '17', 'quest_location_t', 'Travel to the Lok System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/imperial_ss_3.stf', '18', 'quest_t', 'a');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/imperial_ss_3.stf', '19', 'quest_target_d', 'Intercept the Kimogila\'s Claw inside the Lok system. Once it is destroyed, Nym will have to focus more on control of his own system rather then assisting the Rebellion at this point.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/imperial_ss_3.stf', '20', 'quest_target_t', 'Destroy the Kimogila\'s Claw');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/imperial_ss_3.stf', '21', 'quest_update', ' \\#pcontrast3 Storm Squadron Command: < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/imperial_ss_3.stf', '22', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/imperial_ss_3.stf', '23', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/imperial_ss_3.stf', '24', 'title', 'Lok System: Destroy the Kimogila\'s Claw');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/imperial_ss_3.stf', '25', 'title_d', 'Destroy the Kimogila\'s Claw in the Lok system. The Kimogila\'s Claw contains many of Nym\'s top men, and with one strike you can hammer Nym\'s ability to command his fleet.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_4.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_4.stf', '2', 'arrival_phase_1', 'Stand by. We are scanning the system for the location of the Rebel commander.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_4.stf', '3', 'arrival_phase_2', 'We have the location of the Rebel commander. We have sent you a navigaiton waypoint to his current position. He is on the move so you will have to destroy him before he can exit the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_4.stf', '4', 'assassinate_success', 'Nice work, pilot. The Rebel leader has been destroyed and the Rebels are on the run. Return to your commander and report in.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_4.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_4.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_4.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_4.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_4.stf', '9', 'destroy_escort', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_4.stf', '10', 'escort_remaining', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <%DI escorts remaining.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_4.stf', '11', 'escort_wiped_out', '\\#pcontrast1Tactical Computer:\\#pcontrast3 <Escort fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_4.stf', '12', 'failed_escape', 'You let the leader of the squadron get away! That is unacceptable. Fortunately for you it would seem that the leader made a mistake in his jump coordinates and is still in the system. Stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_4.stf', '13', 'quest_escort_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_4.stf', '14', 'quest_escort_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_4.stf', '15', 'quest_location_d', 'Travel to the Naboo system and intercept the X-wing Squad Leader before he can leave the area.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_4.stf', '16', 'quest_location_t', 'Travel to the Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_4.stf', '17', 'quest_target_d', 'Intercept the X-wing Squad Leader in the Naboo system. It is possible that he will try to leave the system. In this case command will update the navigation waypoints of the route he is taking in order to exit the system. Track him down and destroy him before he is able to flee the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_4.stf', '18', 'quest_target_t', 'Destroy the X-wing Squad Leader');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_4.stf', '19', 'quest_update', '\\#pcontrast1 Imperial Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_4.stf', '20', 'split_quest_alert', 'By a stroke of luck you have another chance to take out the X-wing leader. Stand by for new navigation waypoint to his location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_4.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_4.stf', '22', 'title', 'Naboo System: Destroy the X-wing Squad Leader');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_4.stf', '23', 'title_d', 'Destroy the Rebel X-wing Squad Leader in the Naboo system. Imperial Intelligence has a lead on the location of the Rebel team leader who was attempting to capture a shipment of the E-62s. The Rebellion cannot be allowed to get away with these strikes on Imperial interests and the leader of this raid must be destroyed. When you complete this mission, return to Lt. Barn Sinkko in Kadaara and Lt. Sinkko will train you in a new Imperial Pilot skill.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier2_4.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier2_4.stf', '2', 'arrival_phase_1', 'Scanning Dantooine system for that traitor Hend\'s shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier2_4.stf', '3', 'arrival_phase_2', 'We have a lock on Hend\'s shuttle. Immediately proceed to nav location and destroy the traitor and any escort he has with him.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier2_4.stf', '4', 'assassinate_success', 'Justice has been served. You have performed your duty to the upmost, pilot. Make your report to your superior officer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier2_4.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier2_4.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier2_4.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier2_4.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier2_4.stf', '9', 'destroy_escort', 'Scans still indicate that some of Hend\'s escort remains. Send a clear message and hunt them down like the scum they are.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier2_4.stf', '10', 'escort_remaining', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <%DI escorts remaining.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier2_4.stf', '11', 'escort_wiped_out', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Fighter escort has been eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier2_4.stf', '12', 'failed_escape', 'The traitor has escaped! This is a dark day for the Empire. I am sure that your superior will have some questions for you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier2_4.stf', '13', 'quest_escort_d', 'All vessels that travel with the Colonel are to be eliminated.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier2_4.stf', '14', 'quest_escort_t', 'Destroy Colonel Hend\'s Escort');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier2_4.stf', '15', 'quest_location_d', 'Travel to the Dantooine system and intercept Colonel Hend\'s shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier2_4.stf', '16', 'quest_location_t', 'Travel to the Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier2_4.stf', '17', 'quest_target_d', 'Intercept and destroy Colonel Hend. He is probably being very wary and will attempt to run if he detects your presence.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier2_4.stf', '18', 'quest_target_t', 'Execute Colonel Hend');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier2_4.stf', '19', 'quest_update', '\\#pcontrast1 Imperial High Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier2_4.stf', '20', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier2_4.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier2_4.stf', '22', 'title', 'Dantooine System: Execute Colonel Hend');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier2_4.stf', '23', 'title_d', 'Kill Colonel Hend in the Dantooine system. It is now obvious that the Colonel was the traitor and has defected to the Rebellion. We have located the Colonel\'s shuttle inside the Dantooine system and he must pay for his crimes against the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier3_4.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier3_4.stf', '2', 'arrival_phase_1', 'Scanning sector for General Breckon\'s ship. Stand by for location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier3_4.stf', '3', 'arrival_phase_2', 'General Breckon\'s ship has been located. Proceed immediately and elimate the traitor and all with him.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier3_4.stf', '4', 'assassinate_success', 'Very nicely done. Breckon will no longer be a black eye on the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier3_4.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier3_4.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier3_4.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier3_4.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier3_4.stf', '9', 'destroy_escort', 'No one can know about this operation. Destroy the general\'s escort fighters as well.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier3_4.stf', '10', 'escort_remaining', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <%DI escorts remaining.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier3_4.stf', '11', 'escort_wiped_out', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Escort fighters have been eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier3_4.stf', '12', 'failed_escape', 'Fool! You allowed General Breckon to escape. Report back to your superior officer immediately.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier3_4.stf', '13', 'quest_escort_d', 'There can be no witnesses to what happened to the General. All of the General\'s escorts must meet the same fate as he did.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier3_4.stf', '14', 'quest_escort_t', 'Destroy the General\'s Escort');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier3_4.stf', '15', 'quest_location_d', 'Travel to the Dathomir and intercept General Breckon\'s shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier3_4.stf', '16', 'quest_location_t', 'Travel to the Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier3_4.stf', '17', 'quest_target_d', 'Intercept and kill General Breckon in the Dathomir system. To assist with the cover up, make sure that he never makes it out of the Dathomir system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier3_4.stf', '18', 'quest_target_t', 'Destroy the General\'s Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier3_4.stf', '19', 'quest_update', '\\#pcontrast1 Imperial High Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier3_4.stf', '20', 'split_quest_alert', 'Hold position. You are needed to escort Dr. Shinss to the prison planet drop location. Stand by for further instructions.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier3_4.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier3_4.stf', '22', 'title', 'Dathomir System: Kill General Breckon');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier3_4.stf', '23', 'title_d', 'Kill General Breckon inside the Dathomir system. The Rebel plans, the use of the Dathomir system, and the Doctor\'s statements all point that General Breckon was involved in the plot. The General is heading to Naboo in order to dispute these claims. It would be too much of a black eye on the Imperial Army when he is found guilty. Therefore, he must never make it to Naboo. See that he has an accident on his way out of Dathomir.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier3_4_c.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier3_4_c.stf', '2', 'arrival_phase_1', 'We are getting a lock on the position of the command vessel. Once you have the coordinates, proceed to that location, destroy the Price of Liberty and everything with her.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier3_4_c.stf', '3', 'arrival_phase_2', 'We have a lock. Sending the location to your navigation computer. Proceed as planned.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier3_4_c.stf', '4', 'assassinate_success', 'Good work, pilot. The Rebel menace in the Dathomir system is gone for now. Return to your superior officer and report your success.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier3_4_c.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier3_4_c.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier3_4_c.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier3_4_c.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier3_4_c.stf', '9', 'destroy_escort', 'There are still escort fighters remaining. Wipe them from the galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier3_4_c.stf', '10', 'escort_remaining', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <%DI fighter escorts remaining.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier3_4_c.stf', '11', 'escort_wiped_out', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Fighter escort eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier3_4_c.stf', '12', 'failed_escape', 'You let the command ship get away! Now the Rebels will be able to strike at us in that system again. Report your failure to your superior officer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier3_4_c.stf', '13', 'quest_escort_d', 'Destroy all escorts that fly with the Rebel command vessel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier3_4_c.stf', '14', 'quest_escort_t', 'Destroy the Escorts');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier3_4_c.stf', '15', 'quest_location_d', 'Remain in the Dathomir system and intercept the Rebel command vessel, Price of Liberty.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier3_4_c.stf', '16', 'quest_location_t', 'Remain in the Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier3_4_c.stf', '17', 'quest_target_d', 'Intercept and destroy the Rebel command vessel, Price of Liberty. The vessel appears to be on the run after the unsuccessful space battle. Make sure it is destroyed before it can vacate the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier3_4_c.stf', '18', 'quest_target_t', 'Destroy the Price of Liberty');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier3_4_c.stf', '19', 'quest_update', '\\#pcontrast1 Imperial High Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier3_4_c.stf', '20', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier3_4_c.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier3_4_c.stf', '22', 'title', 'Dathomir System: Destroy the Price of Liberty');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier3_4_c.stf', '23', 'title_d', 'Destroy the Rebel command vessel, Price of Liberty, that is inside the Dathomir system. We have received the location of the Rebel command vessel during the battle. Destroying the vessel should cripple the Rebel rescue operation.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier4_3_b.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier4_3_b.stf', '2', 'arrival_phase_1', 'Stand by for nav coordinates to the command vessel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier4_3_b.stf', '3', 'arrival_phase_2', 'Vessel located attempting to leave system. Destroy that ship and all escorts before it is able to make the jump.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier4_3_b.stf', '4', 'assassinate_success', 'Very nice, pilot. You are a credit to the Empire. Return to your superior and make a full report.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier4_3_b.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier4_3_b.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier4_3_b.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier4_3_b.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier4_3_b.stf', '9', 'destroy_escort', 'We still detect some of the escort vessels active. Send a clear message to our enemy and destroy them as well.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier4_3_b.stf', '10', 'escort_remaining', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <%DI escort fighters remaining.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier4_3_b.stf', '11', 'escort_wiped_out', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy escorts eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier4_3_b.stf', '12', 'failed_escape', 'The mothership has eluded destruction. We are most unpleased with your performance. Return to your superior and make a report on this blunder.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier4_3_b.stf', '13', 'quest_escort_d', 'Destroy the Coynite escort fighters as well as the Coynite Mothership.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier4_3_b.stf', '14', 'quest_escort_t', 'Destroy the Escort');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier4_3_b.stf', '15', 'quest_location_d', 'Remain in the Dathomir system and intercept the Coynite Mothership.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier4_3_b.stf', '16', 'quest_location_t', 'Remain in the Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier4_3_b.stf', '17', 'quest_target_d', 'Intercept and destroy the Coynite Mothership.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier4_3_b.stf', '18', 'quest_target_t', 'Destroy the Mothership');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier4_3_b.stf', '19', 'quest_update', '\\#pcontrast1 Imperial High Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier4_3_b.stf', '20', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier4_3_b.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier4_3_b.stf', '22', 'title', 'Dathomir System: Destroy the Coynite Mothership');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier4_3_b.stf', '23', 'title_d', 'Destroy the Coynite Mothership inside of the Dathomir system. It is time for you to show the Coynite what it means to cross the Empire. We have a lock on the Coynite Mothership and you are to destroy it and all that fly with her.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier4_4_b.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier4_4_b.stf', '2', 'arrival_phase_1', 'We are tracking the vessels departure point. That ship is not to leave the sector. Destroy it as soon as it enters orbit.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier4_4_b.stf', '3', 'arrival_phase_2', 'Vessel attempting to leave Dathomir has arrived in ordit. Destroy that ship and every ship with it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier4_4_b.stf', '4', 'assassinate_success', 'Very well done, pilot. But there is more work yet to be done. Stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier4_4_b.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier4_4_b.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier4_4_b.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier4_4_b.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier4_4_b.stf', '9', 'destroy_escort', 'You destoyed the ship leaving Dathomir but there are still members of its escort remaining. No one is to get out alive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier4_4_b.stf', '10', 'escort_remaining', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <%DI escort fighters remaining.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier4_4_b.stf', '11', 'escort_wiped_out', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Escort fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier4_4_b.stf', '12', 'failed_escape', 'This is a disaster. You let the ship jump out of the sector. Make a full report of your failure to your superior.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier4_4_b.stf', '13', 'quest_escort_d', 'Destroy the Coynite guards that are traveling with the prison break shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier4_4_b.stf', '14', 'quest_escort_t', 'Destroy the Escort');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier4_4_b.stf', '15', 'quest_location_d', 'Remain in the Dathomir system and intercept the Prison Break Shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier4_4_b.stf', '16', 'quest_location_t', 'Remain in the Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier4_4_b.stf', '17', 'quest_target_d', 'Intercept and destroy the prison break vessel before it can leave the system. The officers on board cannot be allowed to leave the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier4_4_b.stf', '18', 'quest_target_t', 'Destroy the Prison Break Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier4_4_b.stf', '19', 'quest_update', '\\#pcontrast1 Imperial High Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier4_4_b.stf', '20', 'split_quest_alert', 'Alert! Another vessel detected attempting to leave Dathomir\'s surface. Intercept and destroy.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier4_4_b.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier4_4_b.stf', '22', 'title', 'Dathomir System: Destroy the Prison Break Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier4_4_b.stf', '23', 'title_d', 'Destroy the Prison Break Shuttle that is attempting to leave the Dathomir system. A vessel has left the planet\'s surface. It is believed to be containing more Imperial prison officers. They must be eliminated for their failure in their duty.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier4_4_c.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier4_4_c.stf', '2', 'arrival_phase_1', 'Ship launch detected on planet surface. Stand by for interception coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier4_4_c.stf', '3', 'arrival_phase_2', 'Ship has reached orbit. This vessel and all traveling with her must also be destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier4_4_c.stf', '4', 'assassinate_success', 'Excellent, pilot. You have done well. Those who try to violate the will of the Emperor have met their just fate.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier4_4_c.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier4_4_c.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier4_4_c.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier4_4_c.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier4_4_c.stf', '9', 'destroy_escort', 'There are still some of the escorts that flew with the escaping vessel remaining. Destroy them. Destroy them all.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier4_4_c.stf', '10', 'escort_remaining', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <%DI escort fighters remaining.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier4_4_c.stf', '11', 'escort_wiped_out', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Escort fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier4_4_c.stf', '12', 'failed_escape', 'You have failed your Emperor. Report this failure to your superior and hope he has mercy to spare.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier4_4_c.stf', '13', 'quest_escort_d', 'Any ships with this vessel are enemies of the Empire. Destroy them.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier4_4_c.stf', '14', 'quest_escort_t', 'Destroy the Escort Fighters');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier4_4_c.stf', '15', 'quest_location_d', 'Remain in the Dathomir system and intercept the Prison Break Shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier4_4_c.stf', '16', 'quest_location_t', 'Remain in the Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier4_4_c.stf', '17', 'quest_target_d', 'Intercept and destroy the prison break vessel before it can leave the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier4_4_c.stf', '18', 'quest_target_t', 'Destroy the Prison Break Ship');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier4_4_c.stf', '19', 'quest_update', '\\#pcontrast1 Imperial High Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier4_4_c.stf', '20', 'split_quest_alert', 'Alert! Enemy engaged by TIE 701st wing. Enemy strength under estimated and the wing is in trouble. Request immediate assistance.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier4_4_c.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier4_4_c.stf', '22', 'title', 'Dathomir System: Destroy the Prison Break Shuttle. Part II');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_imperial_tier4_4_c.stf', '23', 'title_d', 'Destroy the next Prison Break Shuttle that is attempting to leave the Dathomir system. The prison break was a coordinated effort. Multiple ships are leaving the surface at the same time. Another one is trying to make a break for it. Catch and destroy it before it can leave the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier1_4a.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier1_4a.stf', '2', 'arrival_phase_1', '\\#pcontrast3 RSF Command: < \\#pcontrast1 We are tracking the Black Sun Ace now, stand by for an uplink of his location. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier1_4a.stf', '3', 'arrival_phase_2', '\\#pcontrast3 RSF Command: < \\#pcontrast1 Waypoint uploaded, take him down. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier1_4a.stf', '4', 'assassinate_success', '\\#pcontrast3 RSF Command: < \\#pcontrast1 The sortie is a success, nice shooting. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier1_4a.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier1_4a.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier1_4a.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier1_4a.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier1_4a.stf', '9', 'destroy_escort', '\\#pcontrast3 RSF Command: < \\#pcontrast1 Don\'t forget his wingmen, we want them all removed. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier1_4a.stf', '10', 'escort_remaining', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 An escorting craft has been destroyed, %DI remain. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier1_4a.stf', '11', 'escort_wiped_out', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 All escorting craft have been destroyed. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier1_4a.stf', '12', 'failed_escape', '\\#pcontrast3 RSF Command: < \\#pcontrast1 You let him escape to plague us still. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier1_4a.stf', '13', 'quest_escort_d', 'A group of Black Sun Pirates, these must be destroyed as well.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier1_4a.stf', '14', 'quest_escort_t', 'Escort');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier1_4a.stf', '15', 'quest_location_d', 'Somewhere in the Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier1_4a.stf', '16', 'quest_location_t', 'Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier1_4a.stf', '17', 'quest_target_d', 'A known Black Sun pirate wing leader');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier1_4a.stf', '18', 'quest_target_t', 'Black Sun Ace');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier1_4a.stf', '19', 'quest_update', '\\#pcontrast3 < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier1_4a.stf', '20', 'split_quest_alert', '\\#pcontrast3 Capt Dinge: < \\#pcontrast1 You appear to have hit a little snag out there Captain.  Get patched up and take down that Ace. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier1_4a.stf', '21', 'split_quest_alert_fail', '\\#pcontrast3 Capt Dinge: < \\#pcontrast1 You appear to have hit a little snag out there Captain.  Get patched up and take down that Ace. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier1_4a.stf', '22', 'title', 'Naboo System: Destroy the Black Sun Ace');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier1_4a.stf', '23', 'title_d', 'Eliminate a dangerous Black Sun Ace Fighter. When you complete this mission, return to Captain Dinge in the Theed Palace and Captain Dinge will train you in a new Pilot skill.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier2_1a.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier2_1a.stf', '2', 'arrival_phase_1', '\\#pcontrast3 RSF Command: < \\#pcontrast1 Tracking first target, stand by. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier2_1a.stf', '3', 'arrival_phase_2', '\\#pcontrast3 RSF Command: < \\#pcontrast1 Location has been uploaded to you, be weary he is not alone. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier2_1a.stf', '4', 'assassinate_success', '\\#pcontrast3 RSF Command: < \\#pcontrast1 The Enforcer is down, be ready for the second target\'s location. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier2_1a.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier2_1a.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier2_1a.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier2_1a.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier2_1a.stf', '9', 'destroy_escort', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Must destroy escort. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier2_1a.stf', '10', 'escort_remaining', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 An escorting ship has been destroyed, %DI remain. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier2_1a.stf', '11', 'escort_wiped_out', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 All escorting craft have been destroyed. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier2_1a.stf', '12', 'failed_escape', 'The target has escaped, you fail.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier2_1a.stf', '13', 'quest_escort_d', 'Unimportant to this mission, target of opportunity');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier2_1a.stf', '14', 'quest_escort_t', 'Ay\'Nat Ghost');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier2_1a.stf', '15', 'quest_location_d', 'Somewhere in the Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier2_1a.stf', '16', 'quest_location_t', 'Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier2_1a.stf', '17', 'quest_target_d', 'An Ay\'Nat Enforcer wanted for grevious attacks against the people of Naboo.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier2_1a.stf', '18', 'quest_target_t', 'Ay\'Nat Enforcer');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier2_1a.stf', '19', 'quest_update', '\\#pcontrast3 < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier2_1a.stf', '20', 'split_quest_alert', '\\#pcontrast3 RSF Command: < \\#pcontrast1 Tracking the second target now, prepare yourself. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier2_1a.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier2_1a.stf', '22', 'title', 'Naboo System: Destroy the Ay\'Nat Enforcer');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier2_1a.stf', '23', 'title_d', 'Destroy the Ay\'Nat Outlaws - Part I: First Mark: Ay\'Nat Enforcer');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier2_1b.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier2_1b.stf', '2', 'arrival_phase_1', '\\#pcontrast3 RSF Command: < \\#pcontrast1 The second target\'s hyperspace signature has been detected. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier2_1b.stf', '3', 'arrival_phase_2', '\\#pcontrast3 RSF Command: < \\#pcontrast1 Location being uploaded to you now, good luck. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier2_1b.stf', '4', 'assassinate_success', '\\#pcontrast3 RSF Command: < \\#pcontrast1 That is two of them, great flying. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier2_1b.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier2_1b.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier2_1b.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier2_1b.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier2_1b.stf', '9', 'destroy_escort', '\\#pcontrast3 Tactical Compuer: < \\#pcontrast1 Must destroy the escort. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier2_1b.stf', '10', 'escort_remaining', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 An escorting craft has been destroyed, %DI remain. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier2_1b.stf', '11', 'escort_wiped_out', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 All escorting craft have been destroyed. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier2_1b.stf', '12', 'failed_escape', 'The target has escaped, you fail.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier2_1b.stf', '13', 'quest_escort_d', 'Expect tougher resistance with this target.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier2_1b.stf', '14', 'quest_escort_t', 'Ay\'Nat Ghost');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier2_1b.stf', '15', 'quest_location_d', 'Somewhere in the Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier2_1b.stf', '16', 'quest_location_t', 'Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier2_1b.stf', '17', 'quest_target_d', 'An Ay\'Nat Enforcer wanted for grevious attacks against the people of Naboo.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier2_1b.stf', '18', 'quest_target_t', 'Ay\'Nat Enforcer');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier2_1b.stf', '19', 'quest_update', '\\#pcontrast3 < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier2_1b.stf', '20', 'split_quest_alert', '\\#pcontrast3 RSF Command: < \\#pcontrast1 Final target is not far from here. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier2_1b.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier2_1b.stf', '22', 'title', 'Naboo System: Destroy the Ay\'Nat Enforcer');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier2_1b.stf', '23', 'title_d', 'Destroy the Ay\'Nat Outlaws - Part II: Second Mark: Ay\'Nat Enforcer');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier2_1c.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier2_1c.stf', '2', 'arrival_phase_1', '\\#pcontrast3 RSF Command: < \\#pcontrast1 The last one is moving quickly, give us a moment. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier2_1c.stf', '3', 'arrival_phase_2', '\\#pcontrast3 RSF Command: < \\#pcontrast1 Location uploaded; hurry this one is trying to get away. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier2_1c.stf', '4', 'assassinate_success', '\\#pcontrast3 RSF Command: < \\#pcontrast1 Great job, that is all of them.  Come on home. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier2_1c.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier2_1c.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier2_1c.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier2_1c.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier2_1c.stf', '9', 'destroy_escort', '\\#pcontrast3 Tactical Comptuer: < \\#pcontrast1 Must Destroy Escort \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier2_1c.stf', '10', 'escort_remaining', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 An escorting craft has been destroyed, %DI remain. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier2_1c.stf', '11', 'escort_wiped_out', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 All escorting craft have been destroyed. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier2_1c.stf', '12', 'failed_escape', 'The target has escaped, you fail.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier2_1c.stf', '13', 'quest_escort_d', 'Must destroy the Outlaws to complete this mission.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier2_1c.stf', '14', 'quest_escort_t', 'Ay\'Nat Outlaw');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier2_1c.stf', '15', 'quest_location_d', 'Somewhere in the Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier2_1c.stf', '16', 'quest_location_t', 'Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier2_1c.stf', '17', 'quest_target_d', 'An Ay\'Nat Enforcer wanted for grevious attacks against the people of Naboo.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier2_1c.stf', '18', 'quest_target_t', 'Ay\'Nat Enforcer');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier2_1c.stf', '19', 'quest_update', '\\#pcontrast3 < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier2_1c.stf', '20', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier2_1c.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier2_1c.stf', '22', 'title', 'Naboo System: Destroy the Ay\'Nat Enforcer');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier2_1c.stf', '23', 'title_d', 'Destroy the Ay\'Nat Outlaws - Part III: Third Mark: Ay\'Nat Enforcer');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier3_1d.stf', '1', 'arrival_phase_1', '\\#pcontrast3 RSF Command: < \\#pcontrast1 Calculating intercept course for you, stand by. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier3_1d.stf', '2', 'arrival_phase_2', '\\#pcontrast3 RSF Command: < \\#pcontrast1 Uploading location to you now.  We need him destroyed, no time to chance him escaping us here in Naboo space. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier3_1d.stf', '3', 'assassinate_success', '\\#pcontrast3 Tactical Computer: <\\#pcontrast1 The deed is done.  Good job Captain, return to base. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier3_1d.stf', '4', 'assigned_delayed', '\\#pcontrast3 RSF Command: <\\#pcontrast1 Saysmond Varg has been located in the Naboo Sector.  New orders are to destroy him.  Repeat, destroy Saysmond Varg. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier3_1d.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier3_1d.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier3_1d.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier3_1d.stf', '8', 'destroy_escort', 'Destroy the Escort');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier3_1d.stf', '9', 'escort_remaining', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 An escorting craft has been destroyed. %DI escorts remain. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier3_1d.stf', '10', 'escort_wiped_out', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 All escort craft have been destroyed.  Proceed to main objective. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier3_1d.stf', '11', 'failed_escape', '\\#pcontrast3 RSF Command: < \\#pcontrast1 Varg has escaped. The force be with his mark. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier3_1d.stf', '12', 'quest_escort_d', 'Some of Saysmond\'s crack pilots, only their leader is a concern');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier3_1d.stf', '13', 'quest_escort_t', 'Black Sun Fighters');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier3_1d.stf', '14', 'quest_location_d', 'Intercept the assassin as he makes his way towards an unknown target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier3_1d.stf', '15', 'quest_location_t', 'Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier3_1d.stf', '16', 'quest_target_d', 'A dangerous assassin who has evaded capture a number of times');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier3_1d.stf', '17', 'quest_target_t', 'Saysmond Varg');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier3_1d.stf', '18', 'quest_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier3_1d.stf', '19', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier3_1d.stf', '20', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier3_1d.stf', '21', 'title', 'Naboo System: Finish off Saysmond Varg');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier3_1d.stf', '22', 'title_d', 'Saysmond Varg has evaded our nets and moved into Naboo Space.  We cannot chance an assassin of Saysmond\'s caliber this close to the Royal seat; destroy him by any means necessary.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier3_4a.stf', '1', 'arrival_phase_1', '\\#pcontrast3 RSF Command: < \\#pcontrast1 Beldini will be in the sector shorly, stand by for coordinates. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier3_4a.stf', '2', 'arrival_phase_2', '\\#pcontrast3 RSF Command: \\#pcontrast1 Beldini\'s craft has dropped from hyperspace.  Transmitting his location now. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier3_4a.stf', '3', 'assassinate_success', '\\#pcontrast3 RSF Command: < \\#pcontrast1 Beldini has been destroyed!  The Diplomatic Corps has one less assassin to fear now. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier3_4a.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier3_4a.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier3_4a.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier3_4a.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier3_4a.stf', '8', 'destroy_escort', '\\#pcontrast3 RSF Command: < \\#pcontrast1 Great job, now finish off his escort. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier3_4a.stf', '9', 'escort_remaining', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 An escort craft has been destroyed, %DI remain \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier3_4a.stf', '10', 'escort_wiped_out', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 All escort craft have been destroyed. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier3_4a.stf', '11', 'failed_escape', '\\#pcontrast3 RSF Command: < \\#pcontrast1 Beldini has escaped! This spells dark times for our Diplomatic Corps. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier3_4a.stf', '12', 'quest_escort_d', 'Secondary objectives, destroy at all costs.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier3_4a.stf', '13', 'quest_escort_t', 'Black Sun Pirates');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier3_4a.stf', '14', 'quest_location_d', 'An area in the Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier3_4a.stf', '15', 'quest_location_t', 'Dantoone System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier3_4a.stf', '16', 'quest_target_d', 'A ruthless Black Sun Assassin linked to a number of attacks on Naboo citizens');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier3_4a.stf', '17', 'quest_target_t', 'Beldini');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier3_4a.stf', '18', 'quest_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier3_4a.stf', '19', 'split_quest_alert', '\\#pcontrast3 RSF Command: < \\#pcontrast1 We have the opportunity to take out a second target.  Proceed to Lok Space as fast as possible. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier3_4a.stf', '20', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier3_4a.stf', '21', 'title', 'Dantooine System: Destroy the Black Sun Assassin');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier3_4a.stf', '22', 'title_d', 'Destroy the Black Sun Assassin');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier3_4f.stf', '1', 'arrival_phase_1', '\\#pcontrast3 RSF Command: < \\#pcontrast1 Glad you made it out of that mess.  An attack fleet was detected entering Lok Space 15 minutes ago.  They are following the pattern derived from the intercepted transmission.  This operative goes by the name of \'Krayt\'s Bane\'. Good luck. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier3_4f.stf', '2', 'arrival_phase_2', '\\#pcontrast3 RSF Command: < \\#pcontrast1 No survivors. Repeat, leave no survivors. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier3_4f.stf', '3', 'assassinate_success', '\\#pcontrast3 RSF Command: < \\#pcontrast1 Good job, it seems to me that they are just about out of Assasins.  I imagine we won\'t be hearing from the Blacksun for some time now. Return to base.\\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier3_4f.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier3_4f.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier3_4f.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier3_4f.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier3_4f.stf', '8', 'destroy_escort', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Primary target has been destroyed.  Proceed to secondary objective. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier3_4f.stf', '9', 'escort_remaining', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Escort craft has been destroyed. %DI remain. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier3_4f.stf', '10', 'escort_wiped_out', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 All escorting craft have been destroyed. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier3_4f.stf', '11', 'failed_escape', '\\#pcontrast3 RSF Command: < \\#pcontrast1 The assassin has escaped. Your mission, is a failure. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier3_4f.stf', '12', 'quest_escort_d', 'Destroy these pirates so that they will not finish the task their leaders set out to do');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier3_4f.stf', '13', 'quest_escort_t', 'Black Sun Pirates');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier3_4f.stf', '14', 'quest_location_d', 'An area of known Black Sun activity');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier3_4f.stf', '15', 'quest_location_t', 'Lok System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier3_4f.stf', '16', 'quest_target_d', 'A dangerous Black Sun Assassin');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier3_4f.stf', '17', 'quest_target_t', 'Krayts Bane');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier3_4f.stf', '18', 'quest_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier3_4f.stf', '19', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier3_4f.stf', '20', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier3_4f.stf', '21', 'title', 'Lok System: Destroy the Black Sun Operative');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_privateer_tier3_4f.stf', '22', 'title_d', 'Destroy the final Black Sun operative');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_4.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_4.stf', '2', 'arrival_phase_1', 'Stand by while we track down the TIE Veteran.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_4.stf', '3', 'arrival_phase_2', 'Found him. Proceed to these coordinates and terminate him. We will update your coordinates as he\'s moving.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_4.stf', '4', 'assassinate_success', 'Excellent work pilot! The Empire won\'t underestimate the Alliance again. Return to base pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_4.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_4.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_4.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_4.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_4.stf', '9', 'destroy_escort', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_4.stf', '10', 'escort_remaining', 'Tactical Computer: < Scans show target vessel escort terminated. %DI escort vessels remain. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_4.stf', '11', 'escort_wiped_out', 'Tactical Computer: < Scans show target vessel escort terminated. No more escort vessels remain. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_4.stf', '12', 'failed_escape', 'You let him get away pilot! Return to base immediately.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_4.stf', '13', 'quest_escort_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_4.stf', '14', 'quest_escort_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_4.stf', '15', 'quest_location_d', 'The Naboo system is crawling with the Imperial scum, be careful out there.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_4.stf', '16', 'quest_location_t', 'Naboo system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_4.stf', '17', 'quest_target_d', 'Your target is in sight. Intercept and destroy it!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_4.stf', '18', 'quest_target_t', 'TIE Veteran commander.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_4.stf', '19', 'quest_update', 'Rebel Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_4.stf', '20', 'split_quest_alert', 'Rebel Command: < It looks like the TIE Veteran had a malfunction and you will get another shot at him pilot. Don\'t mess up this time! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_4.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_4.stf', '22', 'title', 'Naboo system: Hunt down the Imperial Veteran.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_4.stf', '23', 'title_d', 'This Veteran TIE commander has been a problem for too long. Your orders are to eliminate this threat to the Alliance. When you complete this mission, return to V3-FX in Moenia and V3-FX will train you in a new Rebel Alliance Pilot Skill.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier3_1.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier3_1.stf', '2', 'arrival_phase_1', 'We are locking on to the Inquisitor leading the attack now, stand by for coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier3_1.stf', '3', 'arrival_phase_2', 'Got him, intercept and terminate the Imperial scum!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier3_1.stf', '4', 'assassinate_success', 'Great work my friend, this should cause unease among the Imperial forces.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier3_1.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier3_1.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier3_1.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier3_1.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier3_1.stf', '9', 'destroy_escort', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier3_1.stf', '10', 'escort_remaining', 'Brother Ezkiel: < Good job pilot, destroy them all! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier3_1.stf', '11', 'escort_wiped_out', 'Brother Ezkiel: < Excellent, now for the head slime. Get that inquisitor! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier3_1.stf', '12', 'failed_escape', 'He got away! We are trying to come up with a new plan, get back to base immediately!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier3_1.stf', '13', 'quest_escort_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier3_1.stf', '14', 'quest_escort_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier3_1.stf', '15', 'quest_location_d', 'The Dantooine system is relatively free of the Imperial curse but in the area you are heading to, they are launching an attack so they will be everywhere.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier3_1.stf', '16', 'quest_location_t', 'Dantooine system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier3_1.stf', '17', 'quest_target_d', 'Inquisitors are dangerous and ruthless individuals, armed with the best of gear and heavily guarded. If you manage to terminate him, it will wreak havoc with the morale of the Imperial ranks as Inquisitors are considered untouchable among the soldiers of the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier3_1.stf', '18', 'quest_target_t', 'Imperial Inquisitor.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier3_1.stf', '19', 'quest_update', 'Brother Ezkiel: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier3_1.stf', '20', 'split_quest_alert', 'Brother Ezkiel: < We\'re already reaping the benefits of the Inquisitors demise. An Imperial Officer wants to defect and need a safe escort. Stand by for coordinates. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier3_1.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier3_1.stf', '22', 'title', 'Dantooine system: Terminate the Inquisitor.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier3_1.stf', '23', 'title_d', 'The Imperial Inquisition is launching an attack on one of our space stations in the Dantooine system. We have located the leader behind the attack and it is our hope that you will be able to eliminate him my friend.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier3_3_d.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier3_3_d.stf', '2', 'arrival_phase_1', 'We have pinpointed the ship of the leader of the Blacklight pirates and are uploading his coordinates to you now, stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier3_3_d.stf', '3', 'arrival_phase_2', 'There he is! The Blacklight Pirates are known for their dogfighting, so be careful. Good luck, pilot. We\'re counting on you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier3_3_d.stf', '4', 'assassinate_success', 'Excellent! You successfully assassinated the Blacklight Pirate leader. The Spynet will undoubtedly be grateful. Return to Ezkiel for further instruction.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier3_3_d.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier3_3_d.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier3_3_d.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier3_3_d.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier3_3_d.stf', '9', 'destroy_escort', 'You\'ve successfully assassinated the leader, but his cronies won\'t let you go unscathed. Destroy them all!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier3_3_d.stf', '10', 'escort_remaining', 'Tactical Computer: < Scanning... ... Remaining Blacklight enemies in the area: %DI >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier3_3_d.stf', '11', 'escort_wiped_out', 'Vortex Command: < Your work isn\'t over yet, pilot. His cronies are gone, but you still have the Blacklight leader to deal with. Proceed with your objective! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier3_3_d.stf', '12', 'failed_escape', 'Pilot! You\'ve failed your mission! Return to Ezkiel for further instruction.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier3_3_d.stf', '13', 'quest_escort_d', 'Eliminate the leader\'s retinue as well, it\'s time to teach these pirate scum a lesson!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier3_3_d.stf', '14', 'quest_escort_t', 'Teach the Blacklights to fear us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier3_3_d.stf', '15', 'quest_location_d', 'You\'re heading straight for the center of the Blacklight pirates area so be prepared for anything!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier3_3_d.stf', '16', 'quest_location_t', 'Endor system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier3_3_d.stf', '17', 'quest_target_d', 'Pirates often obtain their rank through their combat skill so the Blacklight pirate leader will probably be a tough opponent. He\'s also bound to be heavily guarded so prepare for a bloody battle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier3_3_d.stf', '18', 'quest_target_t', 'Blacklight pirate leader.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier3_3_d.stf', '19', 'quest_update', 'Vortex Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier3_3_d.stf', '20', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier3_3_d.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier3_3_d.stf', '22', 'title', 'Endor system: Assassinate Blacklight Leader');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier3_3_d.stf', '23', 'title_d', 'The Blacklight pirate leader is within your grasp, don\'t let him slip away!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_1_a.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_1_a.stf', '2', 'arrival_phase_1', 'An Inquisitor was sent to oversee the annihilation of our shuttles. Now he\'s trying to escape, but we won\'t let him, will we?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_1_a.stf', '3', 'arrival_phase_2', 'Our reconnaissance ship has locked in on him. Intercept and terminate him pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_1_a.stf', '4', 'assassinate_success', 'Splendid! This was truly a day of victories! Return to base for repairs and some well earned rest pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_1_a.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_1_a.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_1_a.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_1_a.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_1_a.stf', '9', 'destroy_escort', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_1_a.stf', '10', 'escort_remaining', 'Brother Extok Evin: < Nice job pilot but don\'t let that Inquisitor escape! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_1_a.stf', '11', 'escort_wiped_out', 'Brother Extok Evin: < The escort is taken care of, now for the big prize! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_1_a.stf', '12', 'failed_escape', 'Bah, he got away! Return to base pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_1_a.stf', '13', 'quest_escort_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_1_a.stf', '14', 'quest_escort_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_1_a.stf', '15', 'quest_location_d', 'Even though the Imperial forces are confused by our strong counter attack, they still outnumber us and it will only be a moment before they regain morale.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_1_a.stf', '16', 'quest_location_t', 'Endor system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_1_a.stf', '17', 'quest_target_d', 'Inquisitors are always a dangerous foe. They are well trained, ruthless and have access to the best technology the Empire has to offer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_1_a.stf', '18', 'quest_target_t', 'Imperial Inquisitor.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_1_a.stf', '19', 'quest_update', 'Brother Extok Evin: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_1_a.stf', '20', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_1_a.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_1_a.stf', '22', 'title', 'Endor system: Eliminate the escaping Inquisitor.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_1_a.stf', '23', 'title_d', 'The attack was led by an Inquisitor of the Empire. He\'s now trying to escape the lost battle, let\'s make sure that he pays for the attack!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_2.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_2.stf', '2', 'arrival_phase_1', 'The reconnaissance ship is locking in on Master Inquisitor Uvqolo now, stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_2.stf', '3', 'arrival_phase_2', 'Coordinates confirmed. Good luck pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_2.stf', '4', 'assassinate_success', 'I\'m most impressed my friend. This event will strike fear through the Empires ranks!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_2.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_2.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_2.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_2.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_2.stf', '9', 'destroy_escort', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_2.stf', '10', 'escort_remaining', 'Brother Extok Evin: < Good job pilot, make them fear you! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_2.stf', '11', 'escort_wiped_out', 'Brother Extok Evin: < Great! Now show Uvqolo that he\'s met his match! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_2.stf', '12', 'failed_escape', 'He got away! I know it wasn\'t easy pilot. Stand by for new orders.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_2.stf', '13', 'quest_escort_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_2.stf', '14', 'quest_escort_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_2.stf', '15', 'quest_location_d', 'For a expert pilot like yourself, the Yavin system should be low risk. With a important individual like Uvqolo travelling through the zone though, the security will be tight so stay alert.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_2.stf', '16', 'quest_location_t', 'Yavin system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_2.stf', '17', 'quest_target_d', 'Uvqolo is as good at space combat as he is torturing innocents. He would prove a great challenge to you, if he was alone. Unfortunately, he won\'t be.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_2.stf', '18', 'quest_target_t', 'Master Inquisitor Uvqolo.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_2.stf', '19', 'quest_update', 'Brother Extok Evin: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_2.stf', '20', 'split_quest_alert', 'Brother Extok Evin: < Our reinforcements have arrived. Late of course but lets make something out of it, stand by for new orders. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_2.stf', '21', 'split_quest_alert_fail', 'Brother Extok Evin: < Look out! Sensors show multiple fighter ship signatures closing in on your position! Defend yourself pilot! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_2.stf', '22', 'title', 'Yavin system: Terminate Master Inquisitor Uvqolo.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_2.stf', '23', 'title_d', 'The Empire is bringing in one of their most feared Inquisitors, Uvqolo. He\'s a master tactician and has an uncanny ability to find what he\'s looking for. One of our spy ships got lucky though and found his travel route through the Yavin system. Unfortunately most of our space fleet is used in escort missions but it is my hope that you will be able to terminate Uvqolo while he\'s still en route to the Inquisitions space station.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_2_c.stf', '1', 'arrival_phase_1', 'Our reconnaissance ships are checking ship signatures for Uvqolo\'s location now, give us a second.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_2_c.stf', '2', 'arrival_phase_2', 'Locked in. Intercept and terminate him pilot, this is your last chance!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_2_c.stf', '3', 'assassinate_success', 'I\'m most impressed my friend. This event will strike fear through the Empires ranks!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_2_c.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_2_c.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_2_c.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_2_c.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_2_c.stf', '8', 'destroy_escort', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_2_c.stf', '9', 'escort_remaining', 'Brother Extok Evin: < Good job pilot, make them fear you! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_2_c.stf', '10', 'escort_wiped_out', 'Brother Extok Evin: < Great! Now show Uvqolo that he\'s met his match! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_2_c.stf', '11', 'failed_escape', 'The slippery wretch got away. Return to base pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_2_c.stf', '12', 'quest_escort_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_2_c.stf', '13', 'quest_escort_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_2_c.stf', '14', 'quest_location_d', 'The Dathomir system is always dangerous and the closer Uvqolo get to the Imperial fleet, the more dangerous it will become.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_2_c.stf', '15', 'quest_location_t', 'Dathomir system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_2_c.stf', '16', 'quest_target_d', 'Uvqolo is as good at space combat as he is torturing innocents. He would prove a great challenge to you, if he was alone. Unfortunately, he won\'t be.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_2_c.stf', '17', 'quest_target_t', 'Master Inquisitor Uvqolo.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_2_c.stf', '18', 'quest_update', 'Brother Extok Evin: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_2_c.stf', '19', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_2_c.stf', '20', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_2_c.stf', '21', 'title', 'Dathomir system: Last chance at Uvqolo.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_2_c.stf', '22', 'title_d', 'Uvqolo is on his way to the Dathomir system but you have one more chance at him before he reaches the Imperial fleet. Hyperspace to the Dathomir system immediately and try to intercept him before he gets away again.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_3_a.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_3_a.stf', '2', 'arrival_phase_1', 'The Inquisitor probably hope that our spy will lead him to our base. We need you to stop him before he jumps to lighspeed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_3_a.stf', '3', 'arrival_phase_2', 'Coordinates uploaded, get over there quickly. Him or his escort can not make their hyperspace jump! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_3_a.stf', '4', 'assassinate_success', 'Excellent work today my friend. Return to base.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_3_a.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_3_a.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_3_a.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_3_a.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_3_a.stf', '9', 'destroy_escort', 'Excellent work pilot but you can\'t let those other TIEs escape either!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_3_a.stf', '10', 'escort_remaining', 'Brother Extok Evin: < One more escort remaining, take it out pilot! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_3_a.stf', '11', 'escort_wiped_out', 'Brother Extok Evin: < Good job pilot, now get that Inquisitor! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_3_a.stf', '12', 'failed_escape', 'We will try and get in contact with our operative and let him know he\'s been followed. Hopefully we\'ll be able to before he reach our base.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_3_a.stf', '13', 'quest_escort_d', 'The clever Inquisitor has probably made it clear to his escort that if he\'s destroyed, they are to take off after the spy. We can\'t take any chances, destroy them all!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_3_a.stf', '14', 'quest_escort_t', 'Destroy the escort.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_3_a.stf', '15', 'quest_location_d', 'As if flying in the dangerous Dathomir system wasn\'t enough, in this mission you are looking for some of the most vicious foes here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_3_a.stf', '16', 'quest_location_t', 'Dathomir system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_3_a.stf', '17', 'quest_target_d', 'This Imperial Inquisitor is flying one of the Empires most feared ships, the heavily armed and armored Decimator. He\'s got a large number of escorts as well so be prepared for a fierce battle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_3_a.stf', '18', 'quest_target_t', 'Imperial Inquisitor.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_3_a.stf', '19', 'quest_update', 'Brother Extok Evin: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_3_a.stf', '20', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_3_a.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_3_a.stf', '22', 'title', 'Dathomir system: Stop the Inquisitor from following the Vortex spy.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/naboo_rebel_tier4_3_a.stf', '23', 'title_d', 'A Inquisitor tracked our spy and he\'s getting ready to hyperspace after him in hopes of tracking down our base of operations. You must stop him before he makes the jump.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_c.stf', '1', 'arrival_phase_1', 'Scanning system for a Black Sun squadron. Stand by to proceed with the attack.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_c.stf', '2', 'arrival_phase_2', 'Nav location to the target squad has been located. Proceed with extreme prejudice.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_c.stf', '3', 'assassinate_success', 'Good work, pilot. That proves you can handle Black Sun pirates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_c.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_c.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_c.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_c.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_c.stf', '8', 'destroy_escort', 'The entire squad must be eradicated.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_c.stf', '9', 'escort_remaining', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <%DI Black Sun fighters remaining.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_c.stf', '10', 'escort_wiped_out', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy Black Sun fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_c.stf', '11', 'failed_escape', 'You let them escape! Return to the station for further instructions. Hopefully, we\'ll try again.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_c.stf', '12', 'quest_escort_d', 'Destroy all ships in the Black Sun squadron. Make sure none escape.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_c.stf', '13', 'quest_escort_t', 'Destroy the entire Black Sun squad.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_c.stf', '14', 'quest_location_d', 'The Naboo System is full of dangerous elements. Defeat a squad of Black Sun pirates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_c.stf', '15', 'quest_location_t', 'Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_c.stf', '16', 'quest_target_d', 'Destroy the Black Sun squad leader.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_c.stf', '17', 'quest_target_t', 'Destroy Black Sun Squad Leader');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_c.stf', '18', 'quest_update', '\\#pcontrast1 Station Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_c.stf', '19', 'split_quest_alert', '\\#pcontrast1 Station Command:\\#pcontrast3 Your next mission is to prove yourself against a squad of Borvo\'s pirates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_c.stf', '20', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_c.stf', '21', 'title', 'Naboo system: Hunt Black Sun pirates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_c.stf', '22', 'title_d', 'The Rori Station\'s new supplier of repair droids has doubts about your ability to help keep future shipments safe. Prove yourself by defeating Black Sun pirates in combat.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_d.stf', '1', 'arrival_phase_1', 'Scanning system for a squadron of Borvo\'s pirates. Stand by to proceed with the attack.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_d.stf', '2', 'arrival_phase_2', 'Nav location to the target squad has been located. Proceed with extreme prejudice.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_d.stf', '3', 'assassinate_success', 'Good work, pilot. That proves you can handle Borvo\'s pirates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_d.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_d.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_d.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_d.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_d.stf', '8', 'destroy_escort', 'The entire squad must be eradicated.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_d.stf', '9', 'escort_remaining', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <%DI Borvo\'s pirates remaining.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_d.stf', '10', 'escort_wiped_out', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy Borvo\'s pirates eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_d.stf', '11', 'failed_escape', 'You let them escape! Return to the station for further instructions. Hopefully, we\'ll try again.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_d.stf', '12', 'quest_escort_d', 'Destroy all ships in the squadron of Borvo\'s pirates. Make sure none escape.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_d.stf', '13', 'quest_escort_t', 'Destroy the entire squad of Borvo\'s Pirates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_d.stf', '14', 'quest_location_d', 'The Naboo System is full of dangerous elements. Defeat a squad of Borvo\'s pirates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_d.stf', '15', 'quest_location_t', 'Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_d.stf', '16', 'quest_target_d', 'Destroy the Borvo\'s pirates squad leader.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_d.stf', '17', 'quest_target_t', 'Destroy Borvo\'s Pirates Squad Leader');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_d.stf', '18', 'quest_update', '\\#pcontrast1 Station Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_d.stf', '19', 'split_quest_alert', '\\#pcontrast1 Station Command:\\#pcontrast3 Your next mission is to prove yourself against a squad of Imperial fighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_d.stf', '20', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_d.stf', '21', 'title', 'Naboo system: Hunt Borvo\'s pirates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_d.stf', '22', 'title_d', 'The Rori Station\'s new supplier of repair droids has doubts about your ability to help keep future shipments safe. Prove yourself by defeating a squad of Borvo\'s pirates in combat.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_e.stf', '1', 'arrival_phase_1', 'Scanning system for a squadron of Imperial fighters. Stand by to proceed with the attack.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_e.stf', '2', 'arrival_phase_2', 'Nav location to the target squad has been located. Proceed with extreme prejudice.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_e.stf', '3', 'assassinate_success', 'Good work, pilot. That proves you can handle Imperial fighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_e.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_e.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_e.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_e.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_e.stf', '8', 'destroy_escort', 'The entire squad must be eradicated.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_e.stf', '9', 'escort_remaining', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <%DI Imperial fighters remaining.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_e.stf', '10', 'escort_wiped_out', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy Imperial fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_e.stf', '11', 'failed_escape', 'You let them escape! Return to the station for further instructions. Hopefully, we\'ll try again.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_e.stf', '12', 'quest_escort_d', 'Destroy all ships in the squadron of Imperial fighters. Make sure none escape.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_e.stf', '13', 'quest_escort_t', 'Destroy the entire squad of Imperial fighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_e.stf', '14', 'quest_location_d', 'The Naboo System is full of dangerous elements. Defeat a squad of Imperial fighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_e.stf', '15', 'quest_location_t', 'Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_e.stf', '16', 'quest_target_d', 'Destroy the Imperial squad leader.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_e.stf', '17', 'quest_target_t', 'Destroy Imperial Squad Leader');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_e.stf', '18', 'quest_update', '\\#pcontrast1 Station Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_e.stf', '19', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_e.stf', '20', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_e.stf', '21', 'title', 'Naboo system: Hunt Imperial fighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_e.stf', '22', 'title_d', 'The Rori Station\'s new supplier of repair droids has doubts about your ability to help keep future shipments safe. Prove yourself by defeating a squad of Imperial fighters in combat.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_f.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_f.stf', '2', 'arrival_phase_1', 'We are locking on to the Imperial Spy and jamming his comm transmissions, stand by for coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_f.stf', '3', 'arrival_phase_2', 'Got him, intercept and terminate the Imperial scum!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_f.stf', '4', 'assassinate_success', 'Great work my friend. Word getting out about our arrangement would have been dangerous.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_f.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_f.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_f.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_f.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_f.stf', '9', 'destroy_escort', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_f.stf', '10', 'escort_remaining', 'Rori Station: < Good job pilot, destroy them all! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_f.stf', '11', 'escort_wiped_out', 'Rori Station: < Excellent, now for the head slime. Get that inquisitor! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_f.stf', '12', 'failed_escape', 'He got away! We are trying to relocate him and continue to jam his comm transmissions. Return so that you can go after him again.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_f.stf', '13', 'quest_escort_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_f.stf', '14', 'quest_escort_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_f.stf', '15', 'quest_location_d', 'The Dantooine system is somewhat free of a strong Imperial influence, so the Imperial spy will most likely be jumping to another system. Stop him before that happens.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_f.stf', '16', 'quest_location_t', 'Dantooine system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_f.stf', '17', 'quest_target_d', 'The Imperial Spy is dangerous in his own right, but also has an escort to help protect him. Even worse news is that he knows you are coming after him!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_f.stf', '18', 'quest_target_t', 'Imperial Spy.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_f.stf', '19', 'quest_update', 'Rori Station: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_f.stf', '20', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_f.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_f.stf', '22', 'title', 'Dantooine system: Terminate the Imperial Spy');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/rori_station_reb_storyquest_01_f.stf', '23', 'title_d', 'An Imperial spy has discovered that you are helping the Rori Station obtain a supply of repair droids. His communication is being jammed. Stop him before he can report to his Imperial commanders.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_dantooine_owner_rebel_landing_tier2_3.stf', '1', 'arrival_phase_1', 'Stand by for the location of the Logistics Officer\'s ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_dantooine_owner_rebel_landing_tier2_3.stf', '2', 'arrival_phase_2', 'I have a lock on his vessel. Intercept and destroy that ship for taking my ships.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_dantooine_owner_rebel_landing_tier2_3.stf', '3', 'assassinate_success', 'Yes, that will make anyone who takes his place think twice about acting on reckless policies.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_dantooine_owner_rebel_landing_tier2_3.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_dantooine_owner_rebel_landing_tier2_3.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_dantooine_owner_rebel_landing_tier2_3.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_dantooine_owner_rebel_landing_tier2_3.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_dantooine_owner_rebel_landing_tier2_3.stf', '8', 'destroy_escort', 'There are still a few escorts flying around. Take them out too.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_dantooine_owner_rebel_landing_tier2_3.stf', '9', 'escort_remaining', 'Tactical Computer: < %DI escort fighters remaining. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_dantooine_owner_rebel_landing_tier2_3.stf', '10', 'escort_wiped_out', 'Tactical Computer: < Escort fighters eliminated. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_dantooine_owner_rebel_landing_tier2_3.stf', '11', 'failed_escape', 'Hmmm...looks like he got away. We will just have to try again, I guess.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_dantooine_owner_rebel_landing_tier2_3.stf', '12', 'quest_escort_d', 'Destroy everyone with the Logistics Officer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_dantooine_owner_rebel_landing_tier2_3.stf', '13', 'quest_escort_t', 'Destroy the Escort Fighters');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_dantooine_owner_rebel_landing_tier2_3.stf', '14', 'quest_location_d', 'The Imperial officer is stationed inside the Dantooine system. He doesn\'t have any reason to mask his location so he should not be very hard to find.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_dantooine_owner_rebel_landing_tier2_3.stf', '15', 'quest_location_t', 'Remain in the Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_dantooine_owner_rebel_landing_tier2_3.stf', '16', 'quest_target_d', 'Destroy the Imperial Officer so he cannot take any more of the Dantooine supply fleet.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_dantooine_owner_rebel_landing_tier2_3.stf', '17', 'quest_target_t', 'Destroy the Logistics Officer');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_dantooine_owner_rebel_landing_tier2_3.stf', '18', 'quest_update', 'Dantooine Station: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_dantooine_owner_rebel_landing_tier2_3.stf', '19', 'split_quest_alert', 'The Imperials are attacking the remaining fleet of the Dantooine station. Move to the location where they are attacking the fleet and help those freighters survive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_dantooine_owner_rebel_landing_tier2_3.stf', '20', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_dantooine_owner_rebel_landing_tier2_3.stf', '21', 'title', 'Dantooine System: Kill the Imperial Logistics Officer');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_dantooine_owner_rebel_landing_tier2_3.stf', '22', 'title_d', 'The Dantooine station owner blames the Imperial Logistics Officer located in the Dantooine station for his lost freighters. You are to intercept and destroy the officer so he cannot take any more of the station\'s supply fleet.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_endor_irs_imp_tier3_1c.stf', '1', 'arrival_phase_1', '\\#pcontrast3 Endor Station: < \\#pcontrast1 I am transmitting the targets signature to you now. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_endor_irs_imp_tier3_1c.stf', '2', 'arrival_phase_2', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Target locked in. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_endor_irs_imp_tier3_1c.stf', '3', 'assassinate_success', '\\#pcontrast3 Endor Station: < \\#pcontrast1 The fleet relays a comendation on that mission Captain.  What is the status of the freighter? \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_endor_irs_imp_tier3_1c.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_endor_irs_imp_tier3_1c.stf', '5', 'autorewardbody', 'By the authority of < Imperial Research Station: 626 - Endor 2 > you have been awarded a credit bonus of < 15000 > for < Destruction of a suspected Rebel reconnaissance craft operating near Research Station 626 > ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_endor_irs_imp_tier3_1c.stf', '6', 'autorewardfrom', 'Office of the Imperial Navy');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_endor_irs_imp_tier3_1c.stf', '7', 'autorewardsubject', 'Bonus for Mercenary Operations');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_endor_irs_imp_tier3_1c.stf', '8', 'destroy_escort', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 All escorting craft have been destroyed. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_endor_irs_imp_tier3_1c.stf', '9', 'escort_remaining', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 An escorting craft has been destroyed, %DI remain. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_endor_irs_imp_tier3_1c.stf', '10', 'escort_wiped_out', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 All escorting craft have been destroyed. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_endor_irs_imp_tier3_1c.stf', '11', 'failed_escape', '\\#pcontrast3 Endor Station: < \\#pcontrast1 Our sensors show the target has jumped out of the system.  I hope they did not find anything that could be used against us in the future. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_endor_irs_imp_tier3_1c.stf', '12', 'quest_escort_d', 'No escort is detected for the Nova Courier, but always be watchful.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_endor_irs_imp_tier3_1c.stf', '13', 'quest_escort_t', 'Escort');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_endor_irs_imp_tier3_1c.stf', '14', 'quest_location_d', 'Not far from your current location, you are the best bet for destroying this Rebel incursion.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_endor_irs_imp_tier3_1c.stf', '15', 'quest_location_t', 'Endor System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_endor_irs_imp_tier3_1c.stf', '16', 'quest_target_d', 'Susptected of being on a reconnaissance pass, Imperial command is offering a reward for their destruction. ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_endor_irs_imp_tier3_1c.stf', '17', 'quest_target_t', 'Nova Courier');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_endor_irs_imp_tier3_1c.stf', '18', 'quest_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_endor_irs_imp_tier3_1c.stf', '19', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_endor_irs_imp_tier3_1c.stf', '20', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_endor_irs_imp_tier3_1c.stf', '21', 'title', 'Endor System: Opportunities');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_endor_irs_imp_tier3_1c.stf', '22', 'title_d', 'A Nova Courier has been spotted in the Endor System.  If at all possible, move out from your escort and destroy this target and return to the Transport quickly.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_endor_irs_imp_tier3_2d.stf', '1', 'arrival_phase_1', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Scanning for target \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_endor_irs_imp_tier3_2d.stf', '2', 'arrival_phase_2', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Target locked in. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_endor_irs_imp_tier3_2d.stf', '3', 'assassinate_success', '\\#pcontrast3 Kilnstrider: <  \\#pcontrast1 I congratulate you on your quick thinking Captain.  Whatever information they might have taken is not lost to the Rebel Alliance.  This operation is now concluded.  Kilnstrider out. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_endor_irs_imp_tier3_2d.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_endor_irs_imp_tier3_2d.stf', '5', 'autorewardbody', 'By the authority of < Admiral Kilnstrider > you have been awarded a credit bonus to the sum of < 20000 > for < Elimination of a Rebel operative>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_endor_irs_imp_tier3_2d.stf', '6', 'autorewardfrom', 'Office of the Imperial Navy');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_endor_irs_imp_tier3_2d.stf', '7', 'autorewardsubject', 'Bonus for Mercenary Operations');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_endor_irs_imp_tier3_2d.stf', '8', 'destroy_escort', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Primary objective destroyed, finish off any remaining escort. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_endor_irs_imp_tier3_2d.stf', '9', 'escort_remaining', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 An escorting craft has been destroyed, %DI remain. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_endor_irs_imp_tier3_2d.stf', '10', 'escort_wiped_out', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 All escorting craft have been destroyed. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_endor_irs_imp_tier3_2d.stf', '11', 'failed_escape', '\\#pcontrast3 Kilnstrider: < \\#pcontrast1 You let him get away Captain.  Failure seems to be a common thing among you mercenaries. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_endor_irs_imp_tier3_2d.stf', '12', 'quest_escort_d', 'A pair of Rebel X-Wing fighters, only the operative is important.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_endor_irs_imp_tier3_2d.stf', '13', 'quest_escort_t', 'Escort');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_endor_irs_imp_tier3_2d.stf', '14', 'quest_location_d', 'Coming out of the Isyrn\'s Veil hyperspace point making a run for the nearest Rebel outpost');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_endor_irs_imp_tier3_2d.stf', '15', 'quest_location_t', 'Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_endor_irs_imp_tier3_2d.stf', '16', 'quest_target_d', 'The Rebel craft seen fleeing from the Endor System.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_endor_irs_imp_tier3_2d.stf', '17', 'quest_target_t', 'Rebel operative');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_endor_irs_imp_tier3_2d.stf', '18', 'quest_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_endor_irs_imp_tier3_2d.stf', '19', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_endor_irs_imp_tier3_2d.stf', '20', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_endor_irs_imp_tier3_2d.stf', '21', 'title', 'Dantooine System: The Long Run');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_endor_irs_imp_tier3_2d.stf', '22', 'title_d', 'Intercept the Rebel operative as they make their escape through the Dantooine system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_lok_nym_reb_tier2_3a.stf', '1', 'arrival_phase_1', '\\#pcontrast3 Vestil: < \\#pcontrast1 Information is key, and being able to prevent your opponent from gaining that information is second only to that. Take down this deep space scanner, it will give us the upper hand. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_lok_nym_reb_tier2_3a.stf', '2', 'arrival_phase_2', '\\#pcontrast3 Tactical Computer: < \\#pcontrast3 Target locked in. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_lok_nym_reb_tier2_3a.stf', '3', 'assassinate_success', '\\#pcontrast3 Vestil: < \\#pcontrast1 The Empire has been blinded.  More will come, but these little windows of opportunity are vital. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_lok_nym_reb_tier2_3a.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_lok_nym_reb_tier2_3a.stf', '5', 'autorewardbody', 'You have done fine work.  But I am done with you for now, maybe we can work together again in the future.  As usual, here is your fee of 10000 credits.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_lok_nym_reb_tier2_3a.stf', '6', 'autorewardfrom', 'Vestil');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_lok_nym_reb_tier2_3a.stf', '7', 'autorewardsubject', 'Last Call');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_lok_nym_reb_tier2_3a.stf', '8', 'destroy_escort', '\\#pcontrast3 Vestil: < \\#pcontrast1 No survivors, finish off their escort. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_lok_nym_reb_tier2_3a.stf', '9', 'escort_remaining', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 An escorting craft has been destroyed, %DI remain. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_lok_nym_reb_tier2_3a.stf', '10', 'escort_wiped_out', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 All escorting craft have been destroyed. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_lok_nym_reb_tier2_3a.stf', '11', 'failed_escape', '\\#pcontrast3 Vestil: < \\#pcontrast1 The scanner has made the run and is out of the system. I see nothing good coming from this. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_lok_nym_reb_tier2_3a.stf', '12', 'quest_escort_d', 'An elite group of Imperial Pirates, the Storm Squadron is not to be taken lightly.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_lok_nym_reb_tier2_3a.stf', '13', 'quest_escort_t', 'Storm Squadron');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_lok_nym_reb_tier2_3a.stf', '14', 'quest_location_d', 'Passing through the Lok System, the location of the Scanner will be provided by Nym Forces while the operation is in progress.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_lok_nym_reb_tier2_3a.stf', '15', 'quest_location_t', 'Lok System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_lok_nym_reb_tier2_3a.stf', '16', 'quest_target_d', 'An Imperial Scan Freighter used to monitor deep space activity.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_lok_nym_reb_tier2_3a.stf', '17', 'quest_target_t', 'Imperial Scan Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_lok_nym_reb_tier2_3a.stf', '18', 'quest_update', '\\#pcontrast3 < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_lok_nym_reb_tier2_3a.stf', '19', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_lok_nym_reb_tier2_3a.stf', '20', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_lok_nym_reb_tier2_3a.stf', '21', 'title', 'Lok System: Blessed Obscurity');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_lok_nym_reb_tier2_3a.stf', '22', 'title_d', 'The secrecy of operations in the Lok System is vital. Destroy an Imperial Scanner as they pass through the system to deny the Empire of vial information.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_yavin4_company_all_debrisassassinate_tier2_1.stf', '1', 'arrival_phase_1', 'We are getting a lock on the Debris Cult command vessel now. Stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_yavin4_company_all_debrisassassinate_tier2_1.stf', '2', 'arrival_phase_2', 'The lock on the command vessel has been established. Sending the navigation location to your flight computer. Intercept and destroy the Debris Cult command vessel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_yavin4_company_all_debrisassassinate_tier2_1.stf', '3', 'assassinate_success', 'That should slow down the Debris Cult\'s growth. Excellent work, pilot. You have really made this system safer for us to travel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_yavin4_company_all_debrisassassinate_tier2_1.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_yavin4_company_all_debrisassassinate_tier2_1.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_yavin4_company_all_debrisassassinate_tier2_1.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_yavin4_company_all_debrisassassinate_tier2_1.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_yavin4_company_all_debrisassassinate_tier2_1.stf', '8', 'destroy_escort', 'There are still a few escort vessels around. Let\'s clean them up too.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_yavin4_company_all_debrisassassinate_tier2_1.stf', '9', 'escort_remaining', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 < %DI escort fighters remaining. >\\#pcontrast3 \\#pcontrast1');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_yavin4_company_all_debrisassassinate_tier2_1.stf', '10', 'escort_wiped_out', '\\#pcontrast1Tactical Computer:\\#pcontrast3 < Escort fighters eliminated. >\\#pcontrast3 \\#pcontrast1');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_yavin4_company_all_debrisassassinate_tier2_1.stf', '11', 'failed_escape', 'Blast it! The command vessel escaped. Return to the station and maybe we will get another shot at it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_yavin4_company_all_debrisassassinate_tier2_1.stf', '12', 'quest_escort_d', 'For good measure, also destroy his escort fighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_yavin4_company_all_debrisassassinate_tier2_1.stf', '13', 'quest_escort_t', 'Destroy the Escort Fighters');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_yavin4_company_all_debrisassassinate_tier2_1.stf', '14', 'quest_location_d', 'The leader of the cult, like the rest of his cult, is in the Yavin system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_yavin4_company_all_debrisassassinate_tier2_1.stf', '15', 'quest_location_t', 'Remain in the Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_yavin4_company_all_debrisassassinate_tier2_1.stf', '16', 'quest_target_d', 'Intercept and destroy the Debris Cult Leader');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_yavin4_company_all_debrisassassinate_tier2_1.stf', '17', 'quest_target_t', 'Destroy the Cult Leader');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_yavin4_company_all_debrisassassinate_tier2_1.stf', '18', 'quest_update', '\\#FF0000 Yavin Mining Company:\\#FF0000 < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_yavin4_company_all_debrisassassinate_tier2_1.stf', '19', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_yavin4_company_all_debrisassassinate_tier2_1.stf', '20', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_yavin4_company_all_debrisassassinate_tier2_1.stf', '21', 'title', 'Yavin System: Kill the Debris Cult Leader');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_yavin4_company_all_debrisassassinate_tier2_1.stf', '22', 'title_d', 'The Yavin 4 Mining Company wants to take a bit of revenge on the Debris Cult for their recent attacks on the company. They have found out where the current leader of the cult is located and have hired you to kill him.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_yavin4_company_all_massassi_tier2_11.stf', '1', 'arrival_phase_1', 'Stand by for lock on the \"Massassi\" command vessel. Once this vessel is locked, intercept and destroy it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_yavin4_company_all_massassi_tier2_11.stf', '2', 'arrival_phase_2', 'Location to the \"Massassi\" command vessel has been sent to your flight computer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_yavin4_company_all_massassi_tier2_11.stf', '3', 'assassinate_success', 'Nice work. The Corellia Deep Mining Company will think twice before messing with us again.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_yavin4_company_all_massassi_tier2_11.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_yavin4_company_all_massassi_tier2_11.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_yavin4_company_all_massassi_tier2_11.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_yavin4_company_all_massassi_tier2_11.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_yavin4_company_all_massassi_tier2_11.stf', '8', 'destroy_escort', 'Take out the rest of that ships escort. We want to show the Corellia Deep Mining Company that we mean business.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_yavin4_company_all_massassi_tier2_11.stf', '9', 'escort_remaining', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 < %DI escort fighters remaining. >\\#pcontrast3 \\#pcontrast1');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_yavin4_company_all_massassi_tier2_11.stf', '10', 'escort_wiped_out', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 < Escort fighters eliminated. >\\#pcontrast3 \\#pcontrast1');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_yavin4_company_all_massassi_tier2_11.stf', '11', 'failed_escape', 'You let them get away. Hopefully we will get another shot at him. Return to the space station.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_yavin4_company_all_massassi_tier2_11.stf', '12', 'quest_escort_d', 'The job should be done cleanly. Any who are with the command vessel should also be destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_yavin4_company_all_massassi_tier2_11.stf', '13', 'quest_escort_t', 'Destroy the Vessel\'s Escort');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_yavin4_company_all_massassi_tier2_11.stf', '14', 'quest_location_d', 'The fake Massassi ship is located inside of the Yavin system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_yavin4_company_all_massassi_tier2_11.stf', '15', 'quest_location_t', 'Remain in the Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_yavin4_company_all_massassi_tier2_11.stf', '16', 'quest_target_d', 'Destroy the command vessel and send a clear message to the Yavin 4 Mining Company\'s competitor.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_yavin4_company_all_massassi_tier2_11.stf', '17', 'quest_target_t', 'Destroy the Fake Massassi Command Ship');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_yavin4_company_all_massassi_tier2_11.stf', '18', 'quest_update', '\\#FF0000 Yavin Mining Company:\\#FF0000 < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_yavin4_company_all_massassi_tier2_11.stf', '19', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_yavin4_company_all_massassi_tier2_11.stf', '20', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_yavin4_company_all_massassi_tier2_11.stf', '21', 'title', 'Yavin System: Destroy the \"Massassi\" Leader');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/stn_yavin4_company_all_massassi_tier2_11.stf', '22', 'title_d', 'Now that the secret of the Massassi is out, the company wants to punish them for their deception. They have managed to discover the location of the vessel organizing the attacks and they have hired you to deal with the vessel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_4.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_4.stf', '2', 'arrival_phase_1', 'Stand by. We are scanning the system for the Commerce Raider Leader\'s position.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_4.stf', '3', 'arrival_phase_2', 'We are sending you a navigation waypoint to the leaders current position. He is attempting to make a run for it. We will send you updated navigation waypoints as he progresses through the system. Follow and destroy him.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_4.stf', '4', 'assassinate_success', 'Nice work, pilot. Without their leader the Commerce Raiders will be far less aggressive. Report back to your commander.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_4.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_4.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_4.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_4.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_4.stf', '9', 'destroy_escort', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_4.stf', '10', 'escort_remaining', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <%DI escort fighters remaining.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_4.stf', '11', 'escort_wiped_out', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Escort fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_4.stf', '12', 'failed_escape', 'How could you let him get away? That is unacceptable. You are lucky we are still tracking the leader. Stand by for update to his location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_4.stf', '13', 'quest_escort_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_4.stf', '14', 'quest_escort_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_4.stf', '15', 'quest_location_d', 'Travel to the Tatooine system and intercept the Commerce Raider Leader.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_4.stf', '16', 'quest_location_t', 'Travel to the Tatooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_4.stf', '17', 'quest_target_d', 'Intercept and destroy the Commerce Raider Leader to the Tatooine system. In order for the Empire to have any control over these nefarious pirates you will have to take out their leader. The pirate is making a run for it so we will update you on his progress by sending you new waypoints as he moves through the sector.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_4.stf', '18', 'quest_target_t', 'Destroy the Commerce Raider Leader');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_4.stf', '19', 'quest_update', '\\#pcontrast1 Imperial Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_4.stf', '20', 'split_quest_alert', 'The leader jumped a short distance away so you still have a chance to take him out. Travel to his new location and destroy him.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_4.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_4.stf', '22', 'title', 'Tatooine System: Destroy the Commerce Raider Leader');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_4.stf', '23', 'title_d', 'Destroy the Commerce Raider Leader in the Tatooine system. The Commerce Raiders are becoming a problem that is quickly growing out of control. Intelligence has managed to get a lock on where the pirate\'s leader is laying low. Without their leader, Imperial Command hopes that the pirates will lose a great deal of their effectiveness. You are to destroy this leader. When you complete this mission, return to Lt. Akal Colzet in the Imperial Pilot\'s Association Hall next to the Bestine Capital building and Lt. Colzet will train you in a new Imperial Pilot skill.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier3_4.stf', '1', 'arrival_phase_1', 'Stand by for navigation waypoint to the X-wing fighter squadron.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier3_4.stf', '2', 'arrival_phase_2', 'X-wing fighter squadron located. Proceed to the supplied navigation waypoint and eliminate the threat.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier3_4.stf', '3', 'assassinate_success', 'The X-wing threat has been eliminated. Nice work, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier3_4.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier3_4.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier3_4.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier3_4.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier3_4.stf', '8', 'destroy_escort', 'The lead X-wing has been destroyed but other members of the squadron are still alive. Make sure that none of them are able to escape the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier3_4.stf', '9', 'escort_remaining', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <%DI enemy fighter escorts remaining.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier3_4.stf', '10', 'escort_wiped_out', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighter escorts eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier3_4.stf', '11', 'failed_escape', 'The squadron of X-wings has managed to escape the system. You have failed in your duty to protect the interests of the Empire. Report back to your commander immediately.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier3_4.stf', '12', 'quest_escort_d', 'Eliminate the Rebel threat by destroying the entire Rebel squadron.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier3_4.stf', '13', 'quest_escort_t', 'Destroy all Members of the Squadron');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier3_4.stf', '14', 'quest_location_d', 'The X-wing squadron is moving through the Endor System. Intercept and destroy them as they make their way through the region.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier3_4.stf', '15', 'quest_location_t', 'Travel to the Endor System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier3_4.stf', '16', 'quest_target_d', 'Your primary target is the squadron leader. Make sure that this Rebel never makes it to his destination.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier3_4.stf', '17', 'quest_target_t', 'Kill the X-wing Squadron Leader');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier3_4.stf', '18', 'quest_update', '\\#pcontrast1 Storm Squadron Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier3_4.stf', '19', 'split_quest_alert', 'Reports that the Rebels have attacked one of our command shuttles has just reached us. The first wave crippled the shuttle and they are reporting that the Rebels are massing for another attack. Rescue that shuttle before they can be destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier3_4.stf', '20', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier3_4.stf', '21', 'title', 'Endor System: Destroy the Rebel X-wing Squadron');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier3_4.stf', '22', 'title_d', 'We have a lock on the Rebel command vessel, but the time has not yet come to attack it. We still do not know exactly what the Rebels are doing in this system. But command wants to start culling the number of Rebels in the system. There is a Rebel X-wing squadron traveling through the Endor system. Intercept and destroy the entire squadron.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier3_4_c.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier3_4_c.stf', '2', 'arrival_phase_1', 'Proceed to target location immediately. Rebel command ship is attempting to hyper jump out of the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier3_4_c.stf', '3', 'arrival_phase_2', 'Target confirmed. Be wary it will probably be heavily guarded.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier3_4_c.stf', '4', 'assassinate_success', 'Excellent work, pilot. This is a glorious day for the Empire. Report back to your superior and give a full report.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier3_4_c.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier3_4_c.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier3_4_c.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier3_4_c.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier3_4_c.stf', '9', 'destroy_escort', 'Send a clear message to the Rebels. Destroy all the vessels that are with the command vessel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier3_4_c.stf', '10', 'escort_remaining', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy escort ship destroyed. %DI Escorts Remaining.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier3_4_c.stf', '11', 'escort_wiped_out', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy escort fighters completely eliminated. Focus attack on command ship.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier3_4_c.stf', '12', 'failed_escape', 'You let it get away! Failure is unacceptable. Report to your superior immediately.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier3_4_c.stf', '13', 'quest_escort_d', 'Destroy all vessels that fly with the command ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier3_4_c.stf', '14', 'quest_escort_t', 'Destroy the Escort Craft');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier3_4_c.stf', '15', 'quest_location_d', 'Remain in the Endor system and intercept the Rebel Command Shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier3_4_c.stf', '16', 'quest_location_t', 'Remain in the Endor System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier3_4_c.stf', '17', 'quest_target_d', 'Intercept and destroy the Rebel\'s command shuttle in the Endor system. It appears that the vessel is attempting to leave the system. You must destroy it before it can leave the area.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier3_4_c.stf', '18', 'quest_target_t', 'Destroy the Rebel Command Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier3_4_c.stf', '19', 'quest_update', '\\#pcontrast1 Storm Squadron Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier3_4_c.stf', '20', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier3_4_c.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier3_4_c.stf', '22', 'title', 'Endor System: Destroy the Rebel Command Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier3_4_c.stf', '23', 'title_d', 'Destroy the Rebel Command Shuttle in the Endor system. The recovered data reveals the secrets of the Endor project that were leaked to the Rebellion. Fortunately there was nothing there that couldn\'t be covered up and not enough information to keep the Rebels interested if we make things too costly. The Rebel command vessel is no longer needed and is to be eliminated.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier4_4.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier4_4.stf', '2', 'arrival_phase_1', 'Scanning system for stolen transport. Once you have the location destroy that transport and all that are with it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier4_4.stf', '3', 'arrival_phase_2', 'We have the location of the transport. Proceed to the location that is in your navigation computer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier4_4.stf', '4', 'assassinate_success', 'Those Bothan never knew what hit them. Excellent work, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier4_4.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier4_4.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier4_4.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier4_4.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier4_4.stf', '9', 'destroy_escort', 'You must take out the remaining escorts. No one is to be left alive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier4_4.stf', '10', 'escort_remaining', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <%DI escorts remaining.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier4_4.stf', '11', 'escort_wiped_out', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy escorts have been eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier4_4.stf', '12', 'failed_escape', 'We lost the shuttle. Now there is nothing to stop them from delivering it to the Rebellion. Report your failure to your superior officer immediately.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier4_4.stf', '13', 'quest_escort_d', 'The Bothans have gone to far in their meddling. Destroy all that fly with our transport.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier4_4.stf', '14', 'quest_escort_t', 'Destroy the Escort');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier4_4.stf', '15', 'quest_location_d', 'Travel to the Dantooine system and intercept the captured Engineer transport.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier4_4.stf', '16', 'quest_location_t', 'Travel to the Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier4_4.stf', '17', 'quest_target_d', 'Destroy the captured Engineer transport in the Dantooine system. The Bothans cannot be allowed to have this valuable source of information.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier4_4.stf', '18', 'quest_target_t', 'Destroy the Captured Engineer Transport');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier4_4.stf', '19', 'quest_update', '\\#pcontrast1 Storm Squadron Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier4_4.stf', '20', 'split_quest_alert', 'Another transport has been located. Destroy this transport and its escort as well.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier4_4.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier4_4.stf', '22', 'title', 'Dantooine System: Destroy the Captured Engineer Transport');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier4_4.stf', '23', 'title_d', 'Destroy the captured Engineer transport in the Dantooine system. The shuttle you have recovered has revealed that the Bothans took all of the transports to the Dantooine system. They are apparently waiting for Rebel agents to arrive and pick up the transports. This cannot be allowed to happen.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier4_4_a.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier4_4_a.stf', '2', 'arrival_phase_1', 'Getting a lock on the second transport. Once you have the location destroy it and all that fly with it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier4_4_a.stf', '3', 'arrival_phase_2', 'Sending the location to your navigation computer. Be alert, they are aware of your presence.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier4_4_a.stf', '4', 'assassinate_success', 'Excellent. We are now only missing one transport.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier4_4_a.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier4_4_a.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier4_4_a.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier4_4_a.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier4_4_a.stf', '9', 'destroy_escort', 'Some of the transport\'s escort still remain. Send a message and destroy them as well.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier4_4_a.stf', '10', 'escort_remaining', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <%DI escorts remaining.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier4_4_a.stf', '11', 'escort_wiped_out', '\\#pcontrast1Tactical Computer:\\#pcontrast3 <Escort fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier4_4_a.stf', '12', 'failed_escape', 'We lost the transport. Now there is nothing to stop them from delivering it to the Rebellion. Report your failure to your superior officer immediately.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier4_4_a.stf', '13', 'quest_escort_d', 'All the Bothan pilots that are with the transport must also be destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier4_4_a.stf', '14', 'quest_escort_t', 'Destroy the Escort');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier4_4_a.stf', '15', 'quest_location_d', 'Remain in the Dantooine system and intercept the captured Engineer transport.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier4_4_a.stf', '16', 'quest_location_t', 'Remain in the Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier4_4_a.stf', '17', 'quest_target_d', 'Destroy the second captured Engineer transport in the Dantooine system to avoid allowing it to fall into enemy hands.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier4_4_a.stf', '18', 'quest_target_t', 'Destroy the Captured Engineer Transport');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier4_4_a.stf', '19', 'quest_update', '\\#pcontrast1 Storm Squadron Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier4_4_a.stf', '20', 'split_quest_alert', 'The Inquisition officer requests that we capture the last transport and bring it back so he can question the Bothan spies.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier4_4_a.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier4_4_a.stf', '22', 'title', 'Dantooine System: Destroy the Captured Engineer Transport. Part II');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier4_4_a.stf', '23', 'title_d', 'Destroy the captured Engineer transport in the Dantooine system. The location of another transport has been found. Destroy this transport as well.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier4_4_c.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier4_4_c.stf', '2', 'arrival_phase_1', 'Getting a lock on the rebel command group. None of them is to make it out alive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier4_4_c.stf', '3', 'arrival_phase_2', 'We have the lock. Sending that information to your nav computer. It looks like they are trying to make a run for it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier4_4_c.stf', '4', 'assassinate_success', 'The rebels will remember this day. You have done very well. Report your success back to your superior.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier4_4_c.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier4_4_c.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier4_4_c.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier4_4_c.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier4_4_c.stf', '9', 'destroy_escort', 'There are still some other rebel ships in the area. Make sure none of them escape.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier4_4_c.stf', '10', 'escort_remaining', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <%DI enemy escorts remaining.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier4_4_c.stf', '11', 'escort_wiped_out', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy escort fighters destroyed.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier4_4_c.stf', '12', 'failed_escape', 'You let them slip through your fingers. Report this failure to your superior immediately.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier4_4_c.stf', '13', 'quest_escort_d', 'Make sure no one gets out alive. Destroy the escorts. Once completed return to your commander.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier4_4_c.stf', '14', 'quest_escort_t', 'Destroy the Escorts');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier4_4_c.stf', '15', 'quest_location_d', 'Remain in the Dantooine system and intercept the Rebel command vessel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier4_4_c.stf', '16', 'quest_location_t', 'Remain in the Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier4_4_c.stf', '17', 'quest_target_d', 'Intercept and destroy the Rebel command vessel inside the Dantooine system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier4_4_c.stf', '18', 'quest_target_t', 'Destroy the Rebel Command Vessel');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier4_4_c.stf', '19', 'quest_update', '\\#pcontrast1 Storm Squadron Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier4_4_c.stf', '20', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier4_4_c.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier4_4_c.stf', '22', 'title', 'Dantooine System: Destroy the Rebel Command Vessel');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_imperial_tier4_4_c.stf', '23', 'title_d', 'Destroy the Rebel command vessel in the Dantooine system. It was on it\'s way to pick up the captured shuttles has appeared in the system. Show the Rebels that their actions will not go unpunished.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier1_4a.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier1_4a.stf', '2', 'arrival_phase_1', '\\#pcontrast3 Smuggler Alliance: < \\#pcontrast1 The Ace will be entering your area shortly, be ready. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier1_4a.stf', '3', 'arrival_phase_2', '\\#pcontrast3 Smuggler Alliance: < \\#pcontrast1 Ok, the Black Sun group has arrived.  Leave no survivors. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier1_4a.stf', '4', 'assassinate_success', '\\#pcontrast3 Smuggler Alliance: < \\#pcontrast1 Feels good to have a little less competition. Bring it home now Captain. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier1_4a.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier1_4a.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier1_4a.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier1_4a.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier1_4a.stf', '9', 'destroy_escort', '\\#pcontrast3 Smuggler Alliance: < \\#pcontrast1 Good job on taking out that Ace, now finish off her escort. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier1_4a.stf', '10', 'escort_remaining', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 An escorting craft has been destroyed, %DI remain. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier1_4a.stf', '11', 'escort_wiped_out', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 All escorting craft have been destroyed. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier1_4a.stf', '12', 'failed_escape', '\\#pcontrast3 Smuggler Alliance: < \\#pcontrast1 This Ace will return for some more kills on our freighters.  Most unacceptable. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier1_4a.stf', '13', 'quest_escort_d', 'The Ace\'s Escort, should be easy targets. Must be destroyed to complete the mission');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier1_4a.stf', '14', 'quest_escort_t', 'Black Sun Fighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier1_4a.stf', '15', 'quest_location_d', 'Near a trade route in the Tatooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier1_4a.stf', '16', 'quest_location_t', 'Tatooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier1_4a.stf', '17', 'quest_target_d', 'A Black Sun ace terrorizing the Smuggler Alliance trade lanes');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier1_4a.stf', '18', 'quest_target_t', 'Black Sun Ace');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier1_4a.stf', '19', 'quest_update', '\\#pcontrast3 < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier1_4a.stf', '20', 'split_quest_alert', '\\#pcontrast3 Dravis: < \\#pcontrast1 You appear to have hit a little snag out there.  Get patched up and take down that Ace. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier1_4a.stf', '21', 'split_quest_alert_fail', '\\#pcontrast3 Dravis: < \\#pcontrast1 You appear to have hit a little snag out there.  Get patched up and take down that Ace. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier1_4a.stf', '22', 'title', 'Tatooine System: Eliminate the Black Sun Ace');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier1_4a.stf', '23', 'title_d', 'Destroy a Black Sun ace as they travel through the Tatooine System. When you complete this mission, return to Dravis in back room of the Mos Eisley cantina and Dravis will train you in a new Pilot skill.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier2_1a.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier2_1a.stf', '2', 'arrival_phase_1', '\\#pcontrast3 Smuggler Alliance: < \\#pcontrast1 Scanning the zone for our target, be ready. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier2_1a.stf', '3', 'arrival_phase_2', '\\#pcontrast3 Smuggler Alliance: < \\#pcontrast1 Target has arrived, proceed with the operation. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier2_1a.stf', '4', 'assassinate_success', 'The operation is a success.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier2_1a.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier2_1a.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier2_1a.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier2_1a.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier2_1a.stf', '9', 'destroy_escort', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 The objective has been destroyed, finish off any remaining escort. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier2_1a.stf', '10', 'escort_remaining', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 An escorting craft has been destroyed, %DI remain. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier2_1a.stf', '11', 'escort_wiped_out', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 All escorting craft have been destroyed, proceed to primary objective. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier2_1a.stf', '12', 'failed_escape', 'The target has escaped, you fail.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier2_1a.stf', '13', 'quest_escort_d', 'Destroy these targets as well, we cannot risk them taking over when the Behemoth is removed');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier2_1a.stf', '14', 'quest_escort_t', 'Corsair Raider');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier2_1a.stf', '15', 'quest_location_d', 'Nym trade route with Corsair occupation');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier2_1a.stf', '16', 'quest_location_t', 'Lok System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier2_1a.stf', '17', 'quest_target_d', 'Obstacle to be removed');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier2_1a.stf', '18', 'quest_target_t', 'Corsair Behemoth');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier2_1a.stf', '19', 'quest_update', '\\#pcontrast3 < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier2_1a.stf', '20', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier2_1a.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier2_1a.stf', '22', 'title', 'Lok System: Destroy the Behemoth');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier2_1a.stf', '23', 'title_d', 'Remove the Corsair Interloper');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier2_2a.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier2_2a.stf', '2', 'arrival_phase_1', '\\#pcontrast3 Smuggler Alliance: < \\#pcontrast1 We are locating the Imperial patrol, stand by. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier2_2a.stf', '3', 'arrival_phase_2', '\\#pcontrast3 Smuggler Alliance: < \\#pcontrast1 Their location has been identified, go take them down. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier2_2a.stf', '4', 'assassinate_success', 'That patrol will no longer be a problem.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier2_2a.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier2_2a.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier2_2a.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier2_2a.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier2_2a.stf', '9', 'destroy_escort', '\\#pcontrast3 Smuggler Alliance: < \\#pcontrast1 Their leader is down, finish off the rest of that patrol. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier2_2a.stf', '10', 'escort_remaining', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 An escorting craft has been destroyed, %DI remain. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier2_2a.stf', '11', 'escort_wiped_out', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 All escorting craft have been destroyed. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier2_2a.stf', '12', 'failed_escape', '\\#pcontrast3 Smuggler Alliance: < \\#pcontrast1 The leader was the important one, unfortunate that you failed to destroy him. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier2_2a.stf', '13', 'quest_escort_d', 'Do not leave these as witnesses');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier2_2a.stf', '14', 'quest_escort_t', 'TIE Fighters');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier2_2a.stf', '15', 'quest_location_d', 'Area of Dantooine Space');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier2_2a.stf', '16', 'quest_location_t', 'Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier2_2a.stf', '17', 'quest_target_d', 'Remove this threat capable of capturing our runners');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier2_2a.stf', '18', 'quest_target_t', 'TIE Interceptor');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier2_2a.stf', '19', 'quest_update', '\\#pcontrast3 < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier2_2a.stf', '20', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier2_2a.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier2_2a.stf', '22', 'title', 'Dantooine System: Destroy the Imperial Patrol');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier2_2a.stf', '23', 'title_d', 'Eliminate the Imperial interference');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier2_3a.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier2_3a.stf', '2', 'arrival_phase_1', '\\#pcontrast3 Smuggler Alliance: < \\#pcontrast1 Locating the target, stand by for waypoint upload. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier2_3a.stf', '3', 'arrival_phase_2', '\\#pcontrast3 Smuggler Alliance: < \\#pcontrast1 The Ace has been marked, proceed with the elimination. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier2_3a.stf', '4', 'assassinate_success', 'The operation is a success, return to your contact.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier2_3a.stf', '5', 'assigned_delayed', 'Uploading Target Information.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier2_3a.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier2_3a.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier2_3a.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier2_3a.stf', '9', 'destroy_escort', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 The primary target has been destroyed, finish off the escort. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier2_3a.stf', '10', 'escort_remaining', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 An escorting craft has been destroyed, %DI remain. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier2_3a.stf', '11', 'escort_wiped_out', '\\#pcontrast3 Tactical Comptuer: < \\#pcontrast1 All escorting craft have been destroyed. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier2_3a.stf', '12', 'failed_escape', 'He escaped, this is not good.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier2_3a.stf', '13', 'quest_escort_d', 'Unimportant to the mission, they will drift away once their leader is destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier2_3a.stf', '14', 'quest_escort_t', 'Black Sun Fighters');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier2_3a.stf', '15', 'quest_location_d', 'Somewhere in the Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier2_3a.stf', '16', 'quest_location_t', 'Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier2_3a.stf', '17', 'quest_target_d', 'One of the local black sun ranking operatives');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier2_3a.stf', '18', 'quest_target_t', 'Black Sun Ace');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier2_3a.stf', '19', 'quest_update', '\\#pcontrast3 < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier2_3a.stf', '20', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier2_3a.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier2_3a.stf', '22', 'title', 'Yavin System: Take out the Black Sun Ace');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier2_3a.stf', '23', 'title_d', 'Remove the competition for Yavin shipping lanes');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_1_a.stf', '1', 'arrival_phase_1', '\\#pcontrast3 Beissa: < \\#pcontrast1 It should please you to know that she hired three pilots to replace you.  We have the first one coming in shortly. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_1_a.stf', '2', 'arrival_phase_2', '\\#pcontrast3 Beissa: < \\#pcontrast1 Right on time.  Their tracking information should have been uploaded to you. Have at them. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_1_a.stf', '3', 'assassinate_success', 'Success! Valarian\'s hired killer is now history...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_1_a.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_1_a.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_1_a.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_1_a.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_1_a.stf', '8', 'destroy_escort', '\\#pcontrast3 Beissa: < \\#pcontrast1 Leave no one left alive, pilot! Destroy the target\'s escort, now. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_1_a.stf', '9', 'escort_remaining', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 An escorting craft has been destroyed, %DI remain. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_1_a.stf', '10', 'escort_wiped_out', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 All escorting craft have been destroyed. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_1_a.stf', '11', 'failed_escape', '\\#pcontrast3 Beissa: < \\#pcontrast1 Valarian\'s new hired killer managed to elude you.  Perhaps she was right in letting you get away. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_1_a.stf', '12', 'quest_escort_d', 'Required to destroy the escort to complete the mission');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_1_a.stf', '13', 'quest_escort_t', 'Escort');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_1_a.stf', '14', 'quest_location_d', 'Somewhere in the Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_1_a.stf', '15', 'quest_location_t', 'Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_1_a.stf', '16', 'quest_target_d', 'An old spice runner that worked some time for Jabba');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_1_a.stf', '17', 'quest_target_t', 'Valarian Replacement');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_1_a.stf', '18', 'quest_update', '\\#pcontrast3 < \\#pcontrast1%TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_1_a.stf', '19', 'split_quest_alert', 'You must hunt down two (2) more targets in this zone!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_1_a.stf', '20', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_1_a.stf', '21', 'title', 'Yavin System: Hunt down Valarian replacements');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_1_a.stf', '22', 'title_d', 'Show your loyalty to Jabba by destroying the fighter pilots Lady Valaria hired to replace you');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_1_b.stf', '1', 'arrival_phase_1', '\\#pcontrast3 Beissa : < \\#pcontrast1 You appear to have gotten their attention, your next target is coming to you now. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_1_b.stf', '2', 'arrival_phase_2', '\\#pcontrast3 Beissa: < \\#pcontrast1 There they are, track them down before they can locate you. \\#pcontrast3  >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_1_b.stf', '3', 'assassinate_success', '\\#pcontrast3 Beissa: < \\#pcontrast3 I think I heard Our Lady screaming all the way from Mos Eisley. She has a wonderful voice. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_1_b.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_1_b.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_1_b.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_1_b.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_1_b.stf', '8', 'destroy_escort', '\\#pcontrast3 Beissa: < \\#pcontrast1 Leave none alive.  Do not think that for a moment they might have spared you. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_1_b.stf', '9', 'escort_remaining', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 An escorting craft has been destroyed, %DI remain. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_1_b.stf', '10', 'escort_wiped_out', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 All escorting craft have been destroyed. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_1_b.stf', '11', 'failed_escape', '\\#pcontrast3 Beissa: < \\#pcontrast1 Valarian\'s new hired killer managed to elude you.  Perhaps she was right in letting you get away. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_1_b.stf', '12', 'quest_escort_d', 'Leave no survivors');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_1_b.stf', '13', 'quest_escort_t', 'Escort');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_1_b.stf', '14', 'quest_location_d', 'An area of space around the gas giant Yavin');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_1_b.stf', '15', 'quest_location_t', 'Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_1_b.stf', '16', 'quest_target_d', 'A defected Imperial pilot living a mercenary life to avoid the Empire');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_1_b.stf', '17', 'quest_target_t', 'Valarian Replacement');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_1_b.stf', '18', 'quest_update', '\\#pcontrast3 < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_1_b.stf', '19', 'split_quest_alert', '\\#pcontrast3 Beissa: < \\#pcontrast1 Your third target will be in Yavin shortly.  This is all going very well, you might just work out yet. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_1_b.stf', '20', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_1_b.stf', '21', 'title', 'Yavin System: Hunt down Valarian replacements (continued)');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_1_b.stf', '22', 'title_d', 'Continue destroying the Valarian Replacements, part 2 of 3.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_1_c.stf', '1', 'arrival_phase_1', '\\#pcontrast3 Beissa: < \\#pcontrast1 Stand by, they will be in any moment.  \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_1_c.stf', '2', 'arrival_phase_2', '\\#pcontrast3 Beissa: < \\#pcontrast1 Something odd... their hyperspace signature is only a 97% match.  Barely outside the margin for error, but we don\'t get old by being careless.  Watch your back. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_1_c.stf', '3', 'assassinate_success', '\\#pcontrast3 Beissa: < \\#pcontrast1 I don\'t like it, that was too easy. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_1_c.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_1_c.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_1_c.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_1_c.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_1_c.stf', '8', 'destroy_escort', 'Leave no one left alive, pilot! Destroy the target\'s escort, now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_1_c.stf', '9', 'escort_remaining', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 An escorting craft has been destroyed, %DI remain. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_1_c.stf', '10', 'escort_wiped_out', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 All escorting craft have been destroyed. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_1_c.stf', '11', 'failed_escape', 'One of Valarian\'s new hired killers managed to elude capture. Mission failed!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_1_c.stf', '12', 'quest_escort_d', 'The escort is unimportant to your mission for this target, ignore them.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_1_c.stf', '13', 'quest_escort_t', 'Escort');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_1_c.stf', '14', 'quest_location_d', 'Deep space near the gas giant Yavin');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_1_c.stf', '15', 'quest_location_t', 'Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_1_c.stf', '16', 'quest_target_d', 'A Rodian fighter pilot, works cheap because he loves his job');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_1_c.stf', '17', 'quest_target_t', 'Valarian Replacement');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_1_c.stf', '18', 'quest_update', '\\#pcontrast3 < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_1_c.stf', '19', 'split_quest_alert', '\\#pcontrast3 Beissa: < \\#pcontrast1 Just as I suspected, that was a decoy.  Here comes the real Valarian Replacement. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_1_c.stf', '20', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_1_c.stf', '21', 'title', 'Yavin System: Hunt down Valarian replacements');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_1_c.stf', '22', 'title_d', 'Destroy the Valarian pilots hired to replace you, part 3 of 3');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_3b.stf', '1', 'arrival_phase_1', '\\#pcontrast3 Nirame: < \\#pcontrast3 I\'m sending you the target information, one of Valarias stooges.  Be quick about this, I will have more for you shortly. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_3b.stf', '2', 'arrival_phase_2', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Target craft identified. Tracking... \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_3b.stf', '3', 'assassinate_success', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Target objective has been destroyed. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_3b.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_3b.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_3b.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_3b.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_3b.stf', '8', 'destroy_escort', '\\#pcontrast3 Primary objective destroyed, finish off any remaining escort craft. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_3b.stf', '9', 'escort_remaining', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 All escorting craft have been destroyed, %DI remaining. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_3b.stf', '10', 'escort_wiped_out', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 All escorting craft have been destroyed. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_3b.stf', '11', 'failed_escape', '\\#pcontrast3 Tacticle Computer: < \\#pcontrast3 Warning! Hyperspace signature detected in close proximity. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_3b.stf', '12', 'quest_escort_d', 'Important to this mission, all Valarian craft must be destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_3b.stf', '13', 'quest_escort_t', 'Valarian Bomber');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_3b.stf', '14', 'quest_location_d', 'Valarian controlled space in the Tatooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_3b.stf', '15', 'quest_location_t', 'Tatooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_3b.stf', '16', 'quest_target_d', 'A Valarian fighter craft');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_3b.stf', '17', 'quest_target_t', 'Valarian Gunship');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_3b.stf', '18', 'quest_update', '\\#pcontrast3 < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_3b.stf', '19', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_3b.stf', '20', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_3b.stf', '21', 'title', 'Tatooine System: Hunt Down and Destroy Valairan Operatives');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier3_3b.stf', '22', 'title_d', 'Hunt down and destroy Valairan operatives');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_3b.stf', '1', 'arrival_phase_1', '\\#pcontrast3 Nirame: < \\#pcontrast3 I\'m sending you the target information, one of Valarias stooges.  Be quick about this, I will have more for you shortly. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_3b.stf', '2', 'arrival_phase_2', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Target craft identified. Tracking... \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_3b.stf', '3', 'assassinate_success', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Target objective has been destroyed. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_3b.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_3b.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_3b.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_3b.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_3b.stf', '8', 'destroy_escort', '\\#pcontrast3 Primary objective destroyed, finish off any remaining escort craft. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_3b.stf', '9', 'escort_remaining', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 All escorting craft have been destroyed, %DI remaining. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_3b.stf', '10', 'escort_wiped_out', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 All escorting craft have been destroyed. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_3b.stf', '11', 'failed_escape', '\\#pcontrast3 Tacticle Computer: < \\#pcontrast3 Warning! Hyperspace signature detected in close proximity. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_3b.stf', '12', 'quest_escort_d', 'Important to this mission, all Valarian craft must be destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_3b.stf', '13', 'quest_escort_t', 'Valarian Bomber');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_3b.stf', '14', 'quest_location_d', 'Valarian controlled space in the Tatooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_3b.stf', '15', 'quest_location_t', 'Tatooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_3b.stf', '16', 'quest_target_d', 'A Valarian fighter craft');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_3b.stf', '17', 'quest_target_t', 'Valarian Gunship');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_3b.stf', '18', 'quest_update', '\\#pcontrast3 < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_3b.stf', '19', 'split_quest_alert', '\\#pcontrast3 Nirame: < \\#pcontrast1 About that freighter we wanted: It is in route to Endor, perhaps you can convince them to alter course. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_3b.stf', '20', 'split_quest_alert_fail', '\\#pcontrast3 Nirame: < \\#pcontrast1 He is right on top of you, take action. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_3b.stf', '21', 'title', 'Tatooine System: Hunt Down and Destroy Valarian Operatives');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_3b.stf', '22', 'title_d', 'Hunt down and destroy Valarian operatives');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_4a.stf', '1', 'arrival_phase_1', '\\#pcontrast3 Nirame: < \\#pcontrast1 This first target will not be a push over.  The craft he is flying is quite unusual, so it will be up to you to determine how best to fight them. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_4a.stf', '2', 'arrival_phase_2', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Target locked in. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_4a.stf', '3', 'assassinate_success', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 All hostile craft have been destroyed. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_4a.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_4a.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_4a.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_4a.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_4a.stf', '8', 'destroy_escort', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Primary objective destroyed, finish off all escorting craft. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_4a.stf', '9', 'escort_remaining', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 An escorting craft has been destroyed, %DI remain. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_4a.stf', '10', 'escort_wiped_out', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 All escorting craft have been destroyed. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_4a.stf', '11', 'failed_escape', 'You have failed because the target escaped.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_4a.stf', '12', 'quest_escort_d', 'Advanced versions of the basic TIE fighter, do not underestimate them');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_4a.stf', '13', 'quest_escort_t', 'TIE Advanced');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_4a.stf', '14', 'quest_location_d', 'A Nym smuggler route in the Lok System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_4a.stf', '15', 'quest_location_t', 'Lok System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_4a.stf', '16', 'quest_target_d', 'An expermental heavy fighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_4a.stf', '17', 'quest_target_t', 'TIE Oppressor');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_4a.stf', '18', 'quest_update', '\\#pcontrast3 < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_4a.stf', '19', 'split_quest_alert', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Receiving target informatin. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_4a.stf', '20', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_4a.stf', '21', 'title', 'Lok System: Assassinate the Imperial Ace');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_4a.stf', '22', 'title_d', 'Destroy the Imperial Ace in the Lok System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_4b.stf', '1', 'arrival_phase_1', '\\#pcontrast3 Nirame: < \\#pcontrast1 There is a CorSec pilot flying around in the system and this would be a good opportunity to show our power by removing their influence. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_4b.stf', '2', 'arrival_phase_2', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Target locked in. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_4b.stf', '3', 'assassinate_success', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 All hostile craft have been destroyed. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_4b.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_4b.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_4b.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_4b.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_4b.stf', '8', 'destroy_escort', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Primary objective destroyed, finish off all escorting craft. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_4b.stf', '9', 'escort_remaining', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 An escorting craft has been destroyed, %DI remain. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_4b.stf', '10', 'escort_wiped_out', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 All escorting craft have been destroyed. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_4b.stf', '11', 'failed_escape', 'You have failed because the target escaped.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_4b.stf', '12', 'quest_escort_d', 'CorSec heavy patrol craft');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_4b.stf', '13', 'quest_escort_t', 'CorSec Interdiction Craft');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_4b.stf', '14', 'quest_location_d', 'A merchant trade route in the Lok System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_4b.stf', '15', 'quest_location_t', 'Lok System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_4b.stf', '16', 'quest_target_d', 'A Corellian fiend not fit to call himself an officer of peace');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_4b.stf', '17', 'quest_target_t', 'CorSec Gunboat');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_4b.stf', '18', 'quest_update', '\\#pcontrast3 < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_4b.stf', '19', 'split_quest_alert', '\\#pcontrast3 Nirame: < \\#pcontrast1 Travel to the Dantooine System, our final target has already hyperspace jumped away. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_4b.stf', '20', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_4b.stf', '21', 'title', 'Lok System: Eliminate the CorSec patrol');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_4b.stf', '22', 'title_d', 'Show the Corellian Security they do not belong in Lok');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_4c.stf', '1', 'arrival_phase_1', '\\#pcontrast3 Nirame: < \\#pcontrast1 We are tracking him down, stand by. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_4c.stf', '2', 'arrival_phase_2', '\\#pcontrast3 Nirame: < \\#pcontrast1 Uploading target information, take him down. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_4c.stf', '3', 'assassinate_success', '\\#pcontrast3 Nirame: < \\#pcontrast1 That is all for today, return to base. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_4c.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_4c.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_4c.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_4c.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_4c.stf', '8', 'destroy_escort', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Primary objective destroyed, finish off all escorting craft. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_4c.stf', '9', 'escort_remaining', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 An escorting craft has been destroyed, %DI remain. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_4c.stf', '10', 'escort_wiped_out', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 All escorting craft have been destroyed. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_4c.stf', '11', 'failed_escape', 'You have failed because the target escaped.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_4c.stf', '12', 'quest_escort_d', 'RSF light attack craft');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_4c.stf', '13', 'quest_escort_t', 'RSF Stinger');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_4c.stf', '14', 'quest_location_d', 'Naboo trade routes in the Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_4c.stf', '15', 'quest_location_t', 'Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_4c.stf', '16', 'quest_target_d', 'A RSF ace pilot');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_4c.stf', '17', 'quest_target_t', 'RSF Ace');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_4c.stf', '18', 'quest_update', '\\#pcontrast3 < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_4c.stf', '19', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_4c.stf', '20', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_4c.stf', '21', 'title', 'Dantooine System: Assassinate the RSF Ace');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_privateer_tier4_4c.stf', '22', 'title_d', 'Complete the triple threat by destroying a RSF Ace');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_4.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_4.stf', '2', 'arrival_phase_1', 'We are tracking the TIE Veteran, stand by pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_4.stf', '3', 'arrival_phase_2', 'Got him! Proceed to intercept and terminate him immediately. We will update his coordinates as he\'s moving.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_4.stf', '4', 'assassinate_success', 'Very impressive pilot. The loss of that pilot will be a big blow to the Empire in this system. Return to base.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_4.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_4.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_4.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_4.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_4.stf', '9', 'destroy_escort', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_4.stf', '10', 'escort_remaining', 'Tactical Computer: < Scans show target vessel escort terminated. %DI escort vessels remain. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_4.stf', '11', 'escort_wiped_out', 'Tactical Computer: < Scans show target vessel escort terminated. No more escort vessels remain. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_4.stf', '12', 'failed_escape', 'You let him get away pilot! What happened up there?! Return to base immediately!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_4.stf', '13', 'quest_escort_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_4.stf', '14', 'quest_escort_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_4.stf', '15', 'quest_location_d', 'In our continous war against the Empire, eliminating key enemies like this Veteran Commander can sway the battle of a whole system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_4.stf', '16', 'quest_location_t', 'Tatooine system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_4.stf', '17', 'quest_target_d', 'The Veteran commander is being tracked. Intercept and terminate him pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_4.stf', '18', 'quest_target_t', 'Time for action.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_4.stf', '19', 'quest_update', 'Rebel Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_4.stf', '20', 'split_quest_alert', 'Rebel Command: < It looks like the TIE Veteran had a malfunction and you will get another shot at him pilot. Don\'t mess up this time! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_4.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_4.stf', '22', 'title', 'Tatooine system: Eliminate TIE Veteran commander.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_4.stf', '23', 'title_d', 'The Empire has a Veteran commander stationed in the Tatooine system that has been a problem for us ever since he\'s arrived. You\'re about to take care of that problem. When you complete this mission, return to Commander Da\'la Socuna in back room of the Mos Espa cantina and Commander Socuna will train you in a new Rebel Alliance Pilot Skill.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier3_2_b.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier3_2_b.stf', '2', 'arrival_phase_1', 'Good, you are here. We are tracking a high prize officer of the Empire, an Imperial Inquisitor. If you can defeat him, it would be a hard blow to the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier3_2_b.stf', '3', 'arrival_phase_2', 'Alright, one of our sensor vessels have locked on to him now. Chase him down and defeat him pilot, good luck!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier3_2_b.stf', '4', 'assassinate_success', 'Fantastic! Eliminating a member of the Inquisition will strike fear in the Empire, they are regarded as untouchable by their own.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier3_2_b.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier3_2_b.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier3_2_b.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier3_2_b.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier3_2_b.stf', '9', 'destroy_escort', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier3_2_b.stf', '10', 'escort_remaining', 'Rebel Command: < Excellent, there is %DI of the escort remaining. The most important is the Inquisitor though, don\'t let him get away! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier3_2_b.stf', '11', 'escort_wiped_out', 'Rebel Command: < Very good, the Inquisitor will be a easy target without his escort, go get him! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier3_2_b.stf', '12', 'failed_escape', 'Bah! He got away! Maybe there is more to the rumor of the Inquisitors invincibility than we thought.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier3_2_b.stf', '13', 'quest_escort_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier3_2_b.stf', '14', 'quest_escort_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier3_2_b.stf', '15', 'quest_location_d', 'The Dantooine system is not considered to have a heavy Imperial presence but an Inquisitor never travels alone. Don\'t let your guard down pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier3_2_b.stf', '16', 'quest_location_t', 'Dantooine system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier3_2_b.stf', '17', 'quest_target_d', 'Imperial Inquisitors are as skilled as they are ruthless. They are equipped with the best equipment and heavily guarded so this won\'t be easy. You\'ve done well so far though, don\'t let us down now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier3_2_b.stf', '18', 'quest_target_t', 'Imperial Inquisitor.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier3_2_b.stf', '19', 'quest_update', 'Rebel Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier3_2_b.stf', '20', 'split_quest_alert', 'Rebel Command: < While you are here, there\'s a squad of B-Wing bombers that could use help getting past some Imperial fighters. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier3_2_b.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier3_2_b.stf', '22', 'title', 'Dantooine system: Defeat Imperial Inquisitor in the Dantooine sector.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier3_2_b.stf', '23', 'title_d', 'We want to keep this winning streak going and we have the perfect target. An Imperial Inquisitor is in transit through the Dantooine system. Eliminate him and it will put fear through out the ranks of the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier3_4.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier3_4.stf', '2', 'arrival_phase_1', 'We are pinpointing the location of their \'Hero\' now. He\'s using some sort of scrambler, so we are not sure what kind of escort he has.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier3_4.stf', '3', 'arrival_phase_2', 'Alright, proceed to intercept him. We will update you with new coordinates as he is moving.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier3_4.stf', '4', 'assassinate_success', 'Beautifully done pilot, I would love to see the faces of the officers at that ceremony when they hear about this.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier3_4.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier3_4.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier3_4.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier3_4.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier3_4.stf', '9', 'destroy_escort', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier3_4.stf', '10', 'escort_remaining', 'Tactical Computer: < Scans show one of main targets escort vessels terminated. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier3_4.stf', '11', 'escort_wiped_out', 'Tactical Computer: < Scans show only battle functioning vessel in area is main target. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier3_4.stf', '12', 'failed_escape', 'He got away. Oh well, we\'ll get him the next time.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier3_4.stf', '13', 'quest_escort_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier3_4.stf', '14', 'quest_escort_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier3_4.stf', '15', 'quest_location_d', 'The Endor system is fairly unknown to us but initial intel shows that the Empire has been gathering an unusually large force here. For now, it remains a mystery as to why but for you, this means extra caution is to be used.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier3_4.stf', '16', 'quest_location_t', 'Endor system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier3_4.stf', '17', 'quest_target_d', 'This Imperial officer is not on his way to an award ceremony for nothing. He\'s flying one of the deadly TIE Advanced models and he\'s a skilled pilot so be swift, effective and careful.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier3_4.stf', '18', 'quest_target_t', 'Imperial fighter pilot officer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier3_4.stf', '19', 'quest_update', 'Rebel Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier3_4.stf', '20', 'split_quest_alert', 'Rebel Command: < We need some scan data from a region in this sector, stand by for new coordinates. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier3_4.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier3_4.stf', '22', 'title', 'Endor system: Terminate the Imperial \"Hero\".');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier3_4.stf', '23', 'title_d', 'An Imperial fighter pilot is on his way to be decorated for his victories against us. Let\'s send a message to the Empire they will not forget by making sure he never reaches his award ceremony.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_1_a.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_1_a.stf', '2', 'arrival_phase_1', 'The Empire is pulling out their advanced ships. I\'m assigning each of you one to hunt down, stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_1_a.stf', '3', 'arrival_phase_2', 'Alright pilot, this is your assigned target, don\'t let him slip away!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_1_a.stf', '4', 'assassinate_success', 'That\'s what I expect from my pilots! Return to base.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_1_a.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_1_a.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_1_a.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_1_a.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_1_a.stf', '9', 'destroy_escort', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_1_a.stf', '10', 'escort_remaining', 'General Ufwol: < Concentrate on the experimental TIE ship, I don\'t want that thing to get away! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_1_a.stf', '11', 'escort_wiped_out', 'General Ufwol: < Alright pilot, now take out that last TIE! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_1_a.stf', '12', 'failed_escape', 'You let him get away pilot! Return to base immediately!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_1_a.stf', '13', 'quest_escort_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_1_a.stf', '14', 'quest_escort_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_1_a.stf', '15', 'quest_location_d', 'Pay close attention to your sensors. This is a high risk area in a high risk system and you\'re chasing one of the Empires deadly new ships, you don\'t need to attract more enemies.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_1_a.stf', '16', 'quest_location_t', 'Dathomir system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_1_a.stf', '17', 'quest_target_d', 'This is one of the Empires latest and most dangerous TIE models. It\'s equipped with a rear firing turret so try to strafe it from the flanks.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_1_a.stf', '18', 'quest_target_t', 'Imperial TIE \'Aggressor\'');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_1_a.stf', '19', 'quest_update', 'General Ufwol: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_1_a.stf', '20', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_1_a.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_1_a.stf', '22', 'title', 'Dathomir system: Hunt down the Imperial advanced fighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_1_a.stf', '23', 'title_d', 'Some of the Empires advanced ships that were close by are trying to escape the carnage. Hunt them down like the vermin they are!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_3_a.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_3_a.stf', '2', 'arrival_phase_1', 'Several of the station officers are trying to escape. We\'re sending you after the commander, don\'t disappoint me pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_3_a.stf', '3', 'arrival_phase_2', 'This is the last known location of the commander, intercept and destroy his shuttle!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_3_a.stf', '4', 'assassinate_success', 'Excellent pilot, looks like I sent the right man for the job. Return to base.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_3_a.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_3_a.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_3_a.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_3_a.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_3_a.stf', '9', 'destroy_escort', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_3_a.stf', '10', 'escort_remaining', 'General Ufwol: < Concentrate on the commander pilot, you can\'t let him get away. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_3_a.stf', '11', 'escort_wiped_out', 'General Ufwol: < His escort is terminated, now take that shuttle down! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_3_a.stf', '12', 'failed_escape', 'Bah, he got away! This will go in to your record pilot. Return to base.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_3_a.stf', '13', 'quest_escort_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_3_a.stf', '14', 'quest_escort_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_3_a.stf', '15', 'quest_location_d', 'Most of the Imperial forces are either fleeing or trying to get reinforcements. The area still have a lot of them though so stay on your toes!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_3_a.stf', '16', 'quest_location_t', 'Endor system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_3_a.stf', '17', 'quest_target_d', 'The station commander is travelling in a heavily armored and armed shuttle model \'Lambda\'. He\'s also got a large escort so prepare for a difficult battle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_3_a.stf', '18', 'quest_target_t', 'Station commander.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_3_a.stf', '19', 'quest_update', 'General Ufwol: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_3_a.stf', '20', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_3_a.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_3_a.stf', '22', 'title', 'Endor system: Prevent the station commander from escaping.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_3_a.stf', '23', 'title_d', 'The Imperial space station commander is trying to escape! Eliminate him before he can jump to lightspeed!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_3_b.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_3_b.stf', '2', 'arrival_phase_1', 'The Empire has launched a bomber wing against one of our frigates! Uploading coordinates now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_3_b.stf', '3', 'arrival_phase_2', 'Alright, intercept and destroy them quickly, we can\'t let them launch those torpedoes!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_3_b.stf', '4', 'assassinate_success', 'Good job pilot, we\'re pulling back for now. Return to base.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_3_b.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_3_b.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_3_b.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_3_b.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_3_b.stf', '9', 'destroy_escort', 'You have to take them all out before they get much closer pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_3_b.stf', '10', 'escort_remaining', 'General Ufwol: < Good pilot but there\'s more of them left and they are getting close to launch distance! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_3_b.stf', '11', 'escort_wiped_out', 'General Ufwol: < Only one left pilot, hurry up! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_3_b.stf', '12', 'failed_escape', 'They launched their payload! This day was a complete disaster! You have some explaining to do pilot, return to base!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_3_b.stf', '13', 'quest_escort_d', 'Each of these bombers have a payload large enough to inflict serious damage to our frigate. You need to destroy them all pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_3_b.stf', '14', 'quest_escort_t', 'Eliminate them all.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_3_b.stf', '15', 'quest_location_d', 'The Empire is launching everything the have close to us. Your target is that bomber wing though, try to avoid everything else!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_3_b.stf', '16', 'quest_location_t', 'Endor system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_3_b.stf', '17', 'quest_target_d', 'There is one TIE Oppressor and five TIE Bombers heading for our frigate. You need to eliminate them all. They are bombers and shouldn\'t be as dangerous for you as fighters but they can still pack a punch so don\'t underestimate them.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_3_b.stf', '18', 'quest_target_t', 'Imperial bomber wing.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_3_b.stf', '19', 'quest_update', 'General Ufwol: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_3_b.stf', '20', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_3_b.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_3_b.stf', '22', 'title', 'Endor system: Stop the Imperial bombers.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_3_b.stf', '23', 'title_d', 'After our failure to eliminate the space stations defense, the Empire is launching several counterattacks. A bomber wing is heading for one of our escaping frigates. You need to intercept and destroy them before they can launch their payloads on it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_4.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_4.stf', '2', 'arrival_phase_1', 'Our reconnaissance ship is transferring the location of the the target now, stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_4.stf', '3', 'arrival_phase_2', 'Hmm, that\'s no TIE Bomber... I\'m not sure what that ship is but either way, it has to be stopped. Intercept it pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_4.stf', '4', 'assassinate_success', 'That turned out to be a lot tougher than expected but you came through for the squad pilot, good job!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_4.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_4.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_4.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_4.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_4.stf', '9', 'destroy_escort', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_4.stf', '10', 'escort_remaining', 'General Ufwol: < Good job pilot but don\'t let that big ship slip out of your grasp! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_4.stf', '11', 'escort_wiped_out', 'General Ufwol: < Excellent pilot, only the main bogey left! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_4.stf', '12', 'failed_escape', 'Maybe accepting you as a full member of the squad was a mistake pilot...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_4.stf', '13', 'quest_escort_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_4.stf', '14', 'quest_escort_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_4.stf', '15', 'quest_location_d', 'Our successful attacks on the Empire in this system have made them increase their presence and their security measures. It\'s more dangerous here than ever so don\'t even begin to relax pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_4.stf', '16', 'quest_location_t', 'Endor system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_4.stf', '17', 'quest_target_d', 'What was supposed to be a TIE bomber has turned out to be something completely different. We have never seen this ship model before so approach with extreme caution. We still need it destroyed though pilot, no time to back out now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_4.stf', '18', 'quest_target_t', '\'TIE Bomber\'');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_4.stf', '19', 'quest_update', 'General Ufwol: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_4.stf', '20', 'split_quest_alert', 'General Ufwol: < We are curious about this big ship you just took out and are sending a recovery team to pick up it\'s debris. Stand by. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_4.stf', '21', 'split_quest_alert_fail', 'General Ufwol: < You can\'t return to base just yet pilot. We have found another one of those big ships and we want to find out more about them. Stand by. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_4.stf', '22', 'title', 'Endor system: Terminate the TIE Bomber and its cargo.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_rebel_tier4_4.stf', '23', 'title_d', 'Welcome as a full member of the Crimson Phoenix pilot. You are now one of the best the Alliance Navy has to offer, make sure you keep it that way. The attack in the Endor system didn\'t give us any useful information to the production of the new Imperial fighters and now it\'s too late anyway, they are spread through out the galaxy. For this mission, Intel has provided us with information that a TIE Bomber is carrying some important machinery to the surface of the moon of Endor. Let\'s make sure it never reaches its destination.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_station_hutt_palace_access_quest_4.stf', '1', 'arrival_phase_1', 'There he is! Time to claim your bounty pilot! Don\'t let him get away!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_station_hutt_palace_access_quest_4.stf', '2', 'arrival_phase_2', 'He\'s trying to escape, but we\'ve locked on to him. Your nav computer should have a waypoint now. Go get him!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_station_hutt_palace_access_quest_4.stf', '3', 'assassinate_success', 'Not bad, not bad at all. You should get an e-mail verifying the transfer of funds to your bank account in a few seconds. Pleasure doing business with you pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_station_hutt_palace_access_quest_4.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_station_hutt_palace_access_quest_4.stf', '5', 'autorewardbody', 'Bank statement. Confirmation of fund transfer. Nairalav Shipping Co. transfered the sum of 10,000 credits to your bank account. Sincerely, Ovpi Urgon, Bank Manager, Mos Espa Valid.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_station_hutt_palace_access_quest_4.stf', '6', 'autorewardfrom', 'Mos Espa Valid');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_station_hutt_palace_access_quest_4.stf', '7', 'autorewardsubject', 'Transfer of funds to your account.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_station_hutt_palace_access_quest_4.stf', '8', 'destroy_escort', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_station_hutt_palace_access_quest_4.stf', '9', 'escort_remaining', 'Valarian Assassin Coordinator: < Good, but you better not let Hortrix escape! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_station_hutt_palace_access_quest_4.stf', '10', 'escort_wiped_out', 'Valarian Assassin Coordinator: < Alright, now claim your bounty, terminate Hortrix! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_station_hutt_palace_access_quest_4.stf', '11', 'failed_escape', 'You had him and you let him get away! That\'s it, come back when you know what you\'re doing.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_station_hutt_palace_access_quest_4.stf', '12', 'quest_escort_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_station_hutt_palace_access_quest_4.stf', '13', 'quest_escort_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_station_hutt_palace_access_quest_4.stf', '14', 'quest_location_d', 'This area of the Yavin system should be relatively safe from Imperial enemies and pirates but you got other enemies to worry about, your target is in your sights!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_station_hutt_palace_access_quest_4.stf', '15', 'quest_location_t', 'Yavin system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_station_hutt_palace_access_quest_4.stf', '16', 'quest_target_d', 'Hortrix Steelarm is not a fighter pilot but he\'s an expert at avoiding enemies and he\'s got a few tricks up his sleeve so stay sharp!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_station_hutt_palace_access_quest_4.stf', '17', 'quest_target_t', 'Hortrix Steelarm.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_station_hutt_palace_access_quest_4.stf', '18', 'quest_update', 'Valarian Assassin Coordinator: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_station_hutt_palace_access_quest_4.stf', '19', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_station_hutt_palace_access_quest_4.stf', '20', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_station_hutt_palace_access_quest_4.stf', '21', 'title', 'Yavin system: Time to get paid.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tatooine_station_hutt_palace_access_quest_4.stf', '22', 'title_d', 'Your sensors have spotted Hortrix and he\'s making a break for it. Catch up to him and terminate him but be careful, he\'s a skilled and tricky pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tat_priv_quest_trans.stf', '1', 'arrival_phase_1', '\\#pcontrast3 Talon: < \\#pcontrast1 Initial reports indicate this is the work of a flight of Canyon Corsair. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tat_priv_quest_trans.stf', '2', 'arrival_phase_2', '\\#pcontrast3 Talon: < \\#pcontrast1  We have located the ones responsible, take them down! \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tat_priv_quest_trans.stf', '3', 'assassinate_success', '\\#pcontrast3 Talon: < \\#pcontrast1 Good work, that will teach them to interfere with the alliance.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tat_priv_quest_trans.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tat_priv_quest_trans.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tat_priv_quest_trans.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tat_priv_quest_trans.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tat_priv_quest_trans.stf', '8', 'destroy_escort', '\\#pcontrast3 Talon: < \\#pcontrast1 Nice shooting on that Behemoth.  Now finish off his escort, we need to send a message. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tat_priv_quest_trans.stf', '9', 'escort_remaining', '\\#pcontrast3 Tactical Computer: \\#pcontrast1 An escorting craft has been destroyed, %DI remain. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tat_priv_quest_trans.stf', '10', 'escort_wiped_out', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 All escorting craft have been destroyed. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tat_priv_quest_trans.stf', '11', 'failed_escape', 'You let him get away, this is unacceptable.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tat_priv_quest_trans.stf', '12', 'quest_escort_d', 'A dangerous escort, destroy these to protect the cargo.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tat_priv_quest_trans.stf', '13', 'quest_escort_t', 'Corsair Man O\'war');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tat_priv_quest_trans.stf', '14', 'quest_location_d', 'Corsair Lane in the Lok System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tat_priv_quest_trans.stf', '15', 'quest_location_t', 'Lok System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tat_priv_quest_trans.stf', '16', 'quest_target_d', 'This craft has the cargo, you must destroy them before they can Hyperspace Jump away');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tat_priv_quest_trans.stf', '17', 'quest_target_t', 'Corsair Behemoth');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tat_priv_quest_trans.stf', '18', 'quest_update', '\\#pcontrast3 < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tat_priv_quest_trans.stf', '19', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tat_priv_quest_trans.stf', '20', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tat_priv_quest_trans.stf', '21', 'title', 'Lok System: Destroy the Corsair Pirates');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/tat_priv_quest_trans.stf', '22', 'title_d', 'Destroy the Corsair Pirates and recover the cargo');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/viopa_rebel_4.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/viopa_rebel_4.stf', '2', 'arrival_phase_1', 'We are pinpointing the location of the Kuat Freighter now, stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/viopa_rebel_4.stf', '3', 'arrival_phase_2', 'Location confirmed. Hurry over there and destroy that freighter. Be careful it\'s heavily guarded!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/viopa_rebel_4.stf', '4', 'assassinate_success', 'Excellent job! Get out of there pilot, the Empire will try to get revenge.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/viopa_rebel_4.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/viopa_rebel_4.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/viopa_rebel_4.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/viopa_rebel_4.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/viopa_rebel_4.stf', '9', 'destroy_escort', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/viopa_rebel_4.stf', '10', 'escort_remaining', 'Tactical Computer: < Scans show target vessel escort terminated. %DI escort vessels remain. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/viopa_rebel_4.stf', '11', 'escort_wiped_out', 'Tactical Computer: < Scans show target vessel escort terminated. No more escort vessels remain. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/viopa_rebel_4.stf', '12', 'failed_escape', 'Blasted! It got away! Return to base immediately!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/viopa_rebel_4.stf', '13', 'quest_escort_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/viopa_rebel_4.stf', '14', 'quest_escort_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/viopa_rebel_4.stf', '15', 'quest_location_d', 'The Kuat freighter is on its way to the Imperial base in the Lok system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/viopa_rebel_4.stf', '16', 'quest_location_t', 'Lok system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/viopa_rebel_4.stf', '17', 'quest_target_d', 'Wait or search the nearby area of these coordinates and ambush the Kuat freighter when you find it. Although the freighter is well guarded, don\'t focus on its escort. All that matter is that the freighter is destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/viopa_rebel_4.stf', '18', 'quest_target_t', 'Freighter spotted, destroy it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/viopa_rebel_4.stf', '19', 'quest_update', 'Rebel Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/viopa_rebel_4.stf', '20', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/viopa_rebel_4.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/viopa_rebel_4.stf', '22', 'title', 'Lok system: Destroy Kuat Freighter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/assassinate/viopa_rebel_4.stf', '23', 'title_d', 'The Kuat freighter is transporting something important to the Imperial base in the Lok system. Don\'t let it reach the base!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/convoy/test_convoy.stf', '1', 'abort', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/convoy/test_convoy.stf', '2', 'arrival_greeting', 'The rest of my ships aren\'t far behind. I\'ll let you know when we\'re ready to head out.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/convoy/test_convoy.stf', '3', 'arrived_at_loc', 'Wait at this location. The convoy will be exiting hyperspace momentarily.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/convoy/test_convoy.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/convoy/test_convoy.stf', '5', 'attack_notify', 'A wing of hostile ships is approaching the convoy!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/convoy/test_convoy.stf', '6', 'attack_stopped', 'No hostile ships remain.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/convoy/test_convoy.stf', '7', 'complete', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/convoy/test_convoy.stf', '8', 'convoy_arrived', 'The convoy has arrived.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/convoy/test_convoy.stf', '9', 'convoy_destroyed', 'The convoy has been completely destroyed! This failure is unacceptable!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/convoy/test_convoy.stf', '10', 'convoy_safe', 'A convoy ship has safely jumped to lightspeed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/convoy/test_convoy.stf', '11', 'convoy_ship_lost', 'One of the convoy ships has been lost! You need to tighten up and make sure the rest survive!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/convoy/test_convoy.stf', '12', 'found_loc', 'Meet the convoy at the following location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/convoy/test_convoy.stf', '13', 'get_moving', 'Get moving.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/convoy/test_convoy.stf', '14', 'hull_half', 'My hull is at half! Help!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/convoy/test_convoy.stf', '15', 'lets_move', 'Alright boys, time to head out!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/convoy/test_convoy.stf', '16', 'no_convoy', 'The full convoy hasn\'t arrived yet. We can\'t leave without the rest.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/convoy/test_convoy.stf', '17', 'panic_1', 'Ah! An attack!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/convoy/test_convoy.stf', '18', 'panic_2', 'Oh no! The horror!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/convoy/test_convoy.stf', '19', 'panic_3', 'Enemies are attacking!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/convoy/test_convoy.stf', '20', 'panic_4', 'Yikes!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/convoy/test_convoy.stf', '21', 'panic_5', 'OMG!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/convoy/test_convoy.stf', '22', 'panic_destroyed_1', 'OH NO!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/convoy/test_convoy.stf', '23', 'panic_destroyed_2', 'OWENED!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/convoy/test_convoy.stf', '24', 'panic_destroyed_3', 'HELPZ!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/convoy/test_convoy.stf', '25', 'panic_destroyed_4', 'CRAPOLA!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/convoy/test_convoy.stf', '26', 'panic_destroyed_5', 'YIKES!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/convoy/test_convoy.stf', '27', 'quest_escort_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/convoy/test_convoy.stf', '28', 'quest_escort_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/convoy/test_convoy.stf', '29', 'quest_location_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/convoy/test_convoy.stf', '30', 'quest_location_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/convoy/test_convoy.stf', '31', 'quest_rendezvous_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/convoy/test_convoy.stf', '32', 'quest_rendezvous_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/convoy/test_convoy.stf', '33', 'quest_update', 'Test Mission Command: <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/convoy/test_convoy.stf', '34', 'ready_to_go', 'The convoy is all here. Open a comm channel to any of our ships to give the go order. We have a schedule to keep though so we won\'t wait all day.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/convoy/test_convoy.stf', '35', 'shields_depleted', 'My shields have been depleted! Help!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/convoy/test_convoy.stf', '36', 'ship_greeting', 'How can I help you?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/convoy/test_convoy.stf', '37', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/convoy/test_convoy.stf', '38', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/convoy/test_convoy.stf', '39', 'status_report', 'What\'s your status?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/convoy/test_convoy.stf', '40', 'taunt_1', 'Now you die.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/convoy/test_convoy.stf', '41', 'taunt_2', 'Your dead.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/convoy/test_convoy.stf', '42', 'taunt_3', 'There\'s the convoy! Attack!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/convoy/test_convoy.stf', '43', 'taunt_4', 'Join the attack! Slaugher them all!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/convoy/test_convoy.stf', '44', 'taunt_5', 'Crush! Kill!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/convoy/test_convoy.stf', '45', 'thanks_1', 'Yay!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/convoy/test_convoy.stf', '46', 'thanks_2', 'Woot, we won!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/convoy/test_convoy.stf', '47', 'thanks_3', 'Alive, for another day.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/convoy/test_convoy.stf', '48', 'thanks_4', 'Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/convoy/test_convoy.stf', '49', 'thanks_5', 'Toasty!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/convoy/test_convoy.stf', '50', 'title', 'TEST CONVOY MISSION');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/convoy/test_convoy.stf', '51', 'title_d', 'This is a test convoy mission. :-)');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/convoy/test_convoy.stf', '52', 'were_moving', 'We\'re already underway.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_imperial_tier3_3a.stf', '1', 'arrived_at_delivery', 'You are at the delivery location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_imperial_tier3_3a.stf', '2', 'arrived_at_pickup', 'You have arrived at the pickup location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_imperial_tier3_3a.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_imperial_tier3_3a.stf', '4', 'attack_notify', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_imperial_tier3_3a.stf', '5', 'attack_stopped', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_imperial_tier3_3a.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_imperial_tier3_3a.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_imperial_tier3_3a.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_imperial_tier3_3a.stf', '9', 'docking_complete_delivery', 'Docking is complete');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_imperial_tier3_3a.stf', '10', 'docking_complete_pickup', 'Docking is complete');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_imperial_tier3_3a.stf', '11', 'docking_started_delivery', 'Docking has begun.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_imperial_tier3_3a.stf', '12', 'docking_started_pickup', 'Docking has begun.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_imperial_tier3_3a.stf', '13', 'failed_destroyed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_imperial_tier3_3a.stf', '14', 'found_loc_d', 'Delivery location updated.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_imperial_tier3_3a.stf', '15', 'found_loc_p', 'Pickup location updated.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_imperial_tier3_3a.stf', '16', 'hello_d', 'Welcome to the delivery point.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_imperial_tier3_3a.stf', '17', 'hello_p', 'Welcome to the pick up point.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_imperial_tier3_3a.stf', '18', 'quest_dock1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_imperial_tier3_3a.stf', '19', 'quest_dock1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_imperial_tier3_3a.stf', '20', 'quest_dock2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_imperial_tier3_3a.stf', '21', 'quest_dock2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_imperial_tier3_3a.stf', '22', 'quest_location_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_imperial_tier3_3a.stf', '23', 'quest_location_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_imperial_tier3_3a.stf', '24', 'quest_rendezvous1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_imperial_tier3_3a.stf', '25', 'quest_rendezvous1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_imperial_tier3_3a.stf', '26', 'quest_rendezvous2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_imperial_tier3_3a.stf', '27', 'quest_rendezvous2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_imperial_tier3_3a.stf', '28', 'quest_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_imperial_tier3_3a.stf', '29', 'split_quest_alert', 'Incoming split quest.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_imperial_tier3_3a.stf', '30', 'title', 'Delivery Run');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_imperial_tier3_3a.stf', '31', 'title_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_privateer_tier3_2_b.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_privateer_tier3_2_b.stf', '2', 'arrived_at_delivery', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Designated delivery point reached. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_privateer_tier3_2_b.stf', '3', 'arrived_at_pickup', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Designated pickup point reached. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_privateer_tier3_2_b.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_privateer_tier3_2_b.stf', '5', 'attack_notify', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Enemy craft detected on attack vector. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_privateer_tier3_2_b.stf', '6', 'attack_stopped', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 The attack has been stopped. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_privateer_tier3_2_b.stf', '7', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_privateer_tier3_2_b.stf', '8', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_privateer_tier3_2_b.stf', '9', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_privateer_tier3_2_b.stf', '10', 'docking_complete_delivery', '\\#pcontrast3 Transmission: < \\#pcontrast1 The docking is complete, transfer your cargo and move out, Command reports more ships heading this way. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_privateer_tier3_2_b.stf', '11', 'docking_complete_pickup', '\\#pcontrast3 Transmission: < \\#pcontrast1 We are transfering the weapons from you now.  Take this warhead to an Interceptor a few clicks over, it has a large sensor output and will help throw Black Sun persuit off my tail \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_privateer_tier3_2_b.stf', '12', 'docking_started_delivery', '\\#pcontrast3 Transmission: < \\#pcontrast1 Docking process has begun. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_privateer_tier3_2_b.stf', '13', 'docking_started_pickup', '\\#pcontrast3 Transmission: < \\#pcontrast1 Docking process has begun. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_privateer_tier3_2_b.stf', '14', 'failed_destroyed', 'You have failed because a delivery craft was destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_privateer_tier3_2_b.stf', '15', 'found_loc_d', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Contact point for the decoy ship has been received. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_privateer_tier3_2_b.stf', '16', 'found_loc_p', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Contact point for our delivery ship has been received. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_privateer_tier3_2_b.stf', '17', 'hello_d', '\\#pcontrast3 Transmission: < \\#pcontrast1 Hurry up on the dock, this area is hot. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_privateer_tier3_2_b.stf', '18', 'hello_p', '\\#pcontrast3 Transmission: < \\#pcontrast1 Lets get a move on, this transfer needs to be quick.  I have a surprise for you. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_privateer_tier3_2_b.stf', '19', 'quest_dock1_d', 'Make a switch for some fake weapons grade materials with this craft for your Weapons Shipment');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_privateer_tier3_2_b.stf', '20', 'quest_dock1_t', 'CorSec Lancer');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_privateer_tier3_2_b.stf', '21', 'quest_dock2_d', 'Deliver the fake cargo to this ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_privateer_tier3_2_b.stf', '22', 'quest_dock2_t', 'CorSec Interceptor');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_privateer_tier3_2_b.stf', '23', 'quest_location_d', 'An area of heavy Black Sun activity in the Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_privateer_tier3_2_b.stf', '24', 'quest_location_t', 'Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_privateer_tier3_2_b.stf', '25', 'quest_rendezvous1_d', 'Travel here to offload the Weapons Shipment you captured earlier');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_privateer_tier3_2_b.stf', '26', 'quest_rendezvous1_t', 'Actual Delivery');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_privateer_tier3_2_b.stf', '27', 'quest_rendezvous2_d', 'Travel here leading enemy attention away from the Lancer');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_privateer_tier3_2_b.stf', '28', 'quest_rendezvous2_t', 'Decoy Delivery');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_privateer_tier3_2_b.stf', '29', 'quest_update', '\\#pcontrast3 < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_privateer_tier3_2_b.stf', '30', 'split_quest_alert', '\\#pcontrast3 CorSec Command: < \\#pcontrast1 A Black Sun attack group is heading your way, be ready. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_privateer_tier3_2_b.stf', '31', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_privateer_tier3_2_b.stf', '32', 'title', 'Dathomir System: Courier a Decoy Between Two CorSec Fighters');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_privateer_tier3_2_b.stf', '33', 'title_d', 'Exchange cargo with the CorSec Lancer, then take the decoy to another CorSec craft.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_privateer_tier3_3.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_privateer_tier3_3.stf', '2', 'arrived_at_delivery', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Designated delivery point reached. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_privateer_tier3_3.stf', '3', 'arrived_at_pickup', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Designated pickup point reached. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_privateer_tier3_3.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_privateer_tier3_3.stf', '5', 'attack_notify', 'Enemy craft detected on attack vector.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_privateer_tier3_3.stf', '6', 'attack_stopped', 'The attack has been stopped.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_privateer_tier3_3.stf', '7', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_privateer_tier3_3.stf', '8', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_privateer_tier3_3.stf', '9', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_privateer_tier3_3.stf', '10', 'docking_complete_delivery', 'The docking is complete, I\'ll take that beacon.  I\'m going to send the next set of orders over a secure channel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_privateer_tier3_3.stf', '11', 'docking_complete_pickup', 'The hookup is good, we are sending over a package with a homing beacon the Black Sun attached. This package is a dud, they were trying to track some sensor arrays.  Take it to my partner a couple clicks off, he\'ll have more instructions there. ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_privateer_tier3_3.stf', '12', 'docking_started_delivery', 'Docking process has begun. ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_privateer_tier3_3.stf', '13', 'docking_started_pickup', 'Docking process has begun.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_privateer_tier3_3.stf', '14', 'failed_destroyed', 'You have failed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_privateer_tier3_3.stf', '15', 'found_loc_d', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Contact point for deliver ship has been received. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_privateer_tier3_3.stf', '16', 'found_loc_p', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Contact point for contact ship has been received. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_privateer_tier3_3.stf', '17', 'hello_d', '\\#pcontrast3 Transmission: < \\#pcontrast1 Standing by to receive cargo. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_privateer_tier3_3.stf', '18', 'hello_p', '\\#pcontrast3 Transmission: < \\#pcontrast1 Hello there, we have the cargo you are expecting. Move into position for docking proceedure. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_privateer_tier3_3.stf', '19', 'quest_dock1_d', 'Dock with this target to pick up a transmission beacon');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_privateer_tier3_3.stf', '20', 'quest_dock1_t', 'CorSec Interdiction Craft');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_privateer_tier3_3.stf', '21', 'quest_dock2_d', 'Dock with this target to deliver the transmissino beacon');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_privateer_tier3_3.stf', '22', 'quest_dock2_t', 'CorSec Interdiction Craft');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_privateer_tier3_3.stf', '23', 'quest_location_d', 'A meeting point in the Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_privateer_tier3_3.stf', '24', 'quest_location_t', 'Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_privateer_tier3_3.stf', '25', 'quest_rendezvous1_d', 'Meet the Interdiction craft to pick up a Black Sun spy beacon');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_privateer_tier3_3.stf', '26', 'quest_rendezvous1_t', 'Rendezvous');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_privateer_tier3_3.stf', '27', 'quest_rendezvous2_d', 'Meet antother interdiction craft that will take the beacon to confuse the Black Sun operatives');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_privateer_tier3_3.stf', '28', 'quest_rendezvous2_t', 'Rendezvous');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_privateer_tier3_3.stf', '29', 'quest_update', 'CorSec Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_privateer_tier3_3.stf', '30', 'split_quest_alert', '\\#pcontrast3 Interdiction Craft: < \\#pcontrast1 [SECURE] A freighter is coming in on this point. They will be throwing out some interference to shield your presence.  Travel with them to get into position, CorSec command will update you when they have more information [SECURE] \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_privateer_tier3_3.stf', '31', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_privateer_tier3_3.stf', '32', 'title', 'Dantooine System: Rendezvous with a CorSec contact');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_privateer_tier3_3.stf', '33', 'title_d', 'Meet with the CorSec operative');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_rebel_tier3_2_a.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_rebel_tier3_2_a.stf', '2', 'arrived_at_delivery', 'The recon officer should meet you here, transfer the data to him and see if he can spare any help for us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_rebel_tier3_2_a.stf', '3', 'arrived_at_pickup', 'The recon pilot should be around here. You should cut your engines and disarm your weapon system to show that you are not hostile.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_rebel_tier3_2_a.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_rebel_tier3_2_a.stf', '5', 'attack_notify', 'Tactical Computer: < Incoming fighter vessels. Scans show weapons armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_rebel_tier3_2_a.stf', '6', 'attack_stopped', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_rebel_tier3_2_a.stf', '7', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_rebel_tier3_2_a.stf', '8', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_rebel_tier3_2_a.stf', '9', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_rebel_tier3_2_a.stf', '10', 'docking_complete_delivery', 'Rebel Recon Officer: I will bring the data to my command to see if what we can do to help your fleet.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_rebel_tier3_2_a.stf', '11', 'docking_complete_pickup', 'Rebel Recon Pilot: Alright your ship is clean. Transferring coordinates of my officer, he should be able to assist you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_rebel_tier3_2_a.stf', '12', 'docking_started_delivery', 'Rebel Recon Officer: I\'m going through this as it\'s transferred. The fleet this mentions may be the one that is assembling in this sector the last few days.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_rebel_tier3_2_a.stf', '13', 'docking_started_pickup', 'Rebel Recon Pilot: I will need access to your ships computer and droid before giving you the location of our recon officer. We have increased security with all the Imperial activity in this sector as of late.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_rebel_tier3_2_a.stf', '14', 'failed_destroyed', 'What the heck happened up there pilot?! Return to base immediately!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_rebel_tier3_2_a.stf', '15', 'found_loc_d', 'Deliver the data to the recon officer at this location. Be careful, apparently this sector has increased imperial activity lately.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_rebel_tier3_2_a.stf', '16', 'found_loc_p', 'Contact one of the recon pilots at this location. They will want to dock and check your ships computer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_rebel_tier3_2_a.stf', '17', 'hello_d', 'Rebel Recon Officer: I\'m told you have some important data from our fleet stranded in the Endor sector. Prepare to dock for transfer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_rebel_tier3_2_a.stf', '18', 'hello_p', 'Rebel Recon Pilot: Shut down your engines, transfer ID code and prepare to dock.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_rebel_tier3_2_a.stf', '19', 'quest_dock1_d', 'With the increased Imperial presence in the system, security has been tightened. Let the Recon pilot dock with your ship to do a security scan of it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_rebel_tier3_2_a.stf', '20', 'quest_dock1_t', 'Dock for inspection.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_rebel_tier3_2_a.stf', '21', 'quest_dock2_d', 'Transmit the information you got from the Hutt smugglers to the Recon officer by docking with him.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_rebel_tier3_2_a.stf', '22', 'quest_dock2_t', 'Dock and transmit data.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_rebel_tier3_2_a.stf', '23', 'quest_location_d', 'The Lok system usually have a pretty low presence of Imperial ships but with their fleet mobilising in that system, there will be a lot more of them there. You also have to be careful with the numerous pirates that look for lone targets of opportunity.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_rebel_tier3_2_a.stf', '24', 'quest_location_t', 'Lok system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_rebel_tier3_2_a.stf', '25', 'quest_rendezvous1_d', 'Meet up with one of our Recon pilots at these coordinates. He will want to scan your ship as well as receive identification codes to make sure you are who you say you are.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_rebel_tier3_2_a.stf', '26', 'quest_rendezvous1_t', 'Security scan.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_rebel_tier3_2_a.stf', '27', 'quest_rendezvous2_d', 'Proceed to these coordinates to meet up with the Recon officer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_rebel_tier3_2_a.stf', '28', 'quest_rendezvous2_t', 'Meet the Recon officer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_rebel_tier3_2_a.stf', '29', 'quest_update', 'Rebel Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_rebel_tier3_2_a.stf', '30', 'split_quest_alert', 'Rebel Command: < We need you back in Endor pilot! Imperial scouts have located our fleet and are sending bombers! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_rebel_tier3_2_a.stf', '31', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_rebel_tier3_2_a.stf', '32', 'title', 'Lok system: Deliver Recon Data to Rebel HQ in Lok sector.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_rebel_tier3_2_a.stf', '33', 'title_d', 'The information in the Hutt smugglers computer talks about the Empire mobilising a fleet in the Lok system to attack our fleet in Endor. Travel to Lok, transfer this data to one of their commanders and see what information they can give us on the Imperial fleet in that system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_rebel_tier3_3.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_rebel_tier3_3.stf', '2', 'arrived_at_delivery', 'Excellent, prepare to dock and transfer the data.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_rebel_tier3_3.stf', '3', 'arrived_at_pickup', 'Dock with the Nym smuggler and pick up the data.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_rebel_tier3_3.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_rebel_tier3_3.stf', '5', 'attack_notify', 'Tactical Computer: < Incoming fighter vessels. Scans show weapons armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_rebel_tier3_3.stf', '6', 'attack_stopped', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_rebel_tier3_3.stf', '7', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_rebel_tier3_3.stf', '8', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_rebel_tier3_3.stf', '9', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_rebel_tier3_3.stf', '10', 'docking_complete_delivery', 'Alright we got it. Good work pilot. We have another task that need your immediate attention.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_rebel_tier3_3.stf', '11', 'docking_complete_pickup', 'There ya go, my end of the deal is over. Be careful, there\'s Imps all over this sector.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_rebel_tier3_3.stf', '12', 'docking_started_delivery', 'Downloading data, this will only take a few seconds pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_rebel_tier3_3.stf', '13', 'docking_started_pickup', 'Starting upload, make yerself comfortable.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_rebel_tier3_3.stf', '14', 'failed_destroyed', 'How could you let this happen pilot? Return to base immediately!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_rebel_tier3_3.stf', '15', 'found_loc_d', 'Meet the HQ ship at this location. There\'s a lot of Imperials in your area, we\'re counting on you to be able to take care of them.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_rebel_tier3_3.stf', '16', 'found_loc_p', 'Meet the smuggler at these coordinates, good luck!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_rebel_tier3_3.stf', '17', 'hello_d', 'This is Rebel Command ship Starsurfer, initiating docking sequence.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_rebel_tier3_3.stf', '18', 'hello_p', 'Hey Rebel, I\'ve got your goods. Lets dock so I can transfer this and be out of here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_rebel_tier3_3.stf', '19', 'quest_dock1_d', 'Dock with the Nym smuggler so that he can transfer over the Intel data about the Imperial fleet to your ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_rebel_tier3_3.stf', '20', 'quest_dock1_t', 'Transfer the Intel data.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_rebel_tier3_3.stf', '21', 'quest_dock2_d', 'Dock with our command ship and transfer the data quickly before more of the Imperial menace shows up.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_rebel_tier3_3.stf', '22', 'quest_dock2_t', 'Dock and transfer data.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_rebel_tier3_3.stf', '23', 'quest_location_d', 'We have managed to gather more information on the Endor system and unfortunately it seems to be quite crowded with Imperial forces (and more on the way). We are not sure why at this point as the information we have on the forest moon of Endor doesn\'t suggest any value.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_rebel_tier3_3.stf', '24', 'quest_location_t', 'Endor system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_rebel_tier3_3.stf', '25', 'quest_rendezvous1_d', 'The Nym smuggler has provided you with coordinates to meet up with him. Hurry over there and get that data.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_rebel_tier3_3.stf', '26', 'quest_rendezvous1_t', 'Meet with Nym smuggler.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_rebel_tier3_3.stf', '27', 'quest_rendezvous2_d', 'Bring the data to our command ship at these coordinates. Be careful, the Imperial presence in this system is increasing more and more.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_rebel_tier3_3.stf', '28', 'quest_rendezvous2_t', 'Bring data to Rebel command ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_rebel_tier3_3.stf', '29', 'quest_update', 'Rebel Fleet Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_rebel_tier3_3.stf', '30', 'split_quest_alert', 'Rebel Fleet Command: < We have the confirmed location of one of the Empires advanced spy ships and need you to take him out, proceed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_rebel_tier3_3.stf', '31', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_rebel_tier3_3.stf', '32', 'title', 'Endor system: Bring Intel data to Fleet Command.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_rebel_tier3_3.stf', '33', 'title_d', 'More of the Imperial fleet have arrived to the Endor sector but instead of just trying to hide, we have decided to launch attacks on the Empire while they are not at full strength. Your task is to meet with one of Nym\'s smugglers that have brought highly valuable intel data from the Lok Alliance Navy on the Imperial fleet moving this way.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_station_mission4_2a.stf', '1', 'arrived_at_delivery', 'Secure channel open. You are cleared to dock with the Cloak representative and transmit the false codes.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_station_mission4_2a.stf', '2', 'arrived_at_pickup', 'Secure channel open. Dock with a CorSec transport here and they will upload some unused security codes.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_station_mission4_2a.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_station_mission4_2a.stf', '4', 'attack_notify', '\\#pcontrast1 Tactical Computer: <\\#pcontrast3  Warning. Enemy craft inbound.\\#pcontrast1 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_station_mission4_2a.stf', '5', 'attack_stopped', '\\#pcontrast1 Tactical Computer: <\\#pcontrast3  Enemy threat neutralized.\\#pcontrast1 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_station_mission4_2a.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_station_mission4_2a.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_station_mission4_2a.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_station_mission4_2a.stf', '9', 'docking_complete_delivery', 'Good, pilot, good. We will be in touch soon. Now return to your Station, but mention none of this to CorSec Command.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_station_mission4_2a.stf', '10', 'docking_complete_pickup', 'Docking clamps are clear. Good luck, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_station_mission4_2a.stf', '11', 'docking_started_delivery', 'Docking request received. Begin your security code transfer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_station_mission4_2a.stf', '12', 'docking_started_pickup', 'Transferring security codes. Preparing dock sequence.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_station_mission4_2a.stf', '13', 'failed_destroyed', 'Looks like this mission is a wash. Go ahead and come back to the station for debriefing.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_station_mission4_2a.stf', '14', 'found_loc_d', 'Secure channel open. Scans are clear. Proceed to this location, dock with the Cloak rep, and transfer the false codes to him.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_station_mission4_2a.stf', '15', 'found_loc_p', 'Secure channel open. We have received your mission update. We are sending a CorSec transport to this location. They will transmit false security codes for you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_station_mission4_2a.stf', '16', 'hello_d', 'Greetings, CorSec. Have you returned with the security codes? Begin your docking sequence.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_station_mission4_2a.stf', '17', 'hello_p', 'Initiating secure channel. Hello pilot. We\'ve got some falsified security codes for you. Dock up whenever you\'re ready.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_station_mission4_2a.stf', '18', 'quest_dock1_d', 'Dock with the transport to acquire the falsified codes. This should also make this operation look belivable to any Cloak ships that may be observing.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_station_mission4_2a.stf', '19', 'quest_dock1_t', 'Dock With the CorSec Transport');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_station_mission4_2a.stf', '20', 'quest_dock2_d', 'Dock with the Cloak Representative and transmit to him the falsified security codes.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_station_mission4_2a.stf', '21', 'quest_dock2_t', 'Dock With the Cloak Representative');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_station_mission4_2a.stf', '22', 'quest_location_d', 'The CorSec transport is slated to meet you elsewhere in the Corellia system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_station_mission4_2a.stf', '23', 'quest_location_t', 'Remain in the Corellia System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_station_mission4_2a.stf', '24', 'quest_rendezvous1_d', 'Travel to the navigation waypoint and meet with the CorSec transport that CorSec Command has sent to meet you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_station_mission4_2a.stf', '25', 'quest_rendezvous1_t', 'Meet With the CorSec Transport');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_station_mission4_2a.stf', '26', 'quest_rendezvous2_d', 'Travel to the provided navigation waypoint and await the return of the Cloak Representative.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_station_mission4_2a.stf', '27', 'quest_rendezvous2_t', 'Meet With the Cloak Representative');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_station_mission4_2a.stf', '28', 'quest_update', '\\#pcontrast1 CorSec Command: <\\#pcontrast3  %TO\\#pcontrast1  >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_station_mission4_2a.stf', '29', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_station_mission4_2a.stf', '30', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_station_mission4_2a.stf', '31', 'title', 'Corellia System: Acquire CorSec Security Codes for the Cloaks');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/corellia_station_mission4_2a.stf', '32', 'title_d', 'As a test of commitment, the Cloak Representative has sent you on a mission to acquire CorSec transport security codes. CorSec Command has been monitoring your communications and has sent a transport to meet you with false codes. You can give these codes to the Cloak representative without fear of compromising CorSec security.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/dathomir_station_priv_storyquest_01_a.stf', '1', 'arrived_at_delivery', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Designated rendezvous waypoint reached. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/dathomir_station_priv_storyquest_01_a.stf', '2', 'arrived_at_pickup', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Designated rendezvous waypoint reached. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/dathomir_station_priv_storyquest_01_a.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/dathomir_station_priv_storyquest_01_a.stf', '4', 'attack_notify', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Enemy craft detected on attack vector. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/dathomir_station_priv_storyquest_01_a.stf', '5', 'attack_stopped', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Hostile activity has ceased. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/dathomir_station_priv_storyquest_01_a.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/dathomir_station_priv_storyquest_01_a.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/dathomir_station_priv_storyquest_01_a.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/dathomir_station_priv_storyquest_01_a.stf', '9', 'docking_complete_delivery', 'Delivery complete. We\'ll take it from here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/dathomir_station_priv_storyquest_01_a.stf', '10', 'docking_complete_pickup', 'The docking is complete, starting delivery.  Take the cargo to the Dathomir System to where your contact\'s ship awaits.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/dathomir_station_priv_storyquest_01_a.stf', '11', 'docking_started_delivery', 'The docking process has begun.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/dathomir_station_priv_storyquest_01_a.stf', '12', 'docking_started_pickup', 'The docking process has begun.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/dathomir_station_priv_storyquest_01_a.stf', '13', 'failed_destroyed', 'You have failed the mission!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/dathomir_station_priv_storyquest_01_a.stf', '14', 'found_loc_d', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Coordinates locked in for rendezvous point. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/dathomir_station_priv_storyquest_01_a.stf', '15', 'found_loc_p', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Coordinates locked in for rendezvous point. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/dathomir_station_priv_storyquest_01_a.stf', '16', 'hello_d', 'Come in closer to dock, and we will take that cargo off of your hands.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/dathomir_station_priv_storyquest_01_a.stf', '17', 'hello_p', 'Hey there, we got the package for your contact.  Move into position for docking.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/dathomir_station_priv_storyquest_01_a.stf', '18', 'quest_dock1_d', 'Use the /dock command to receive the cargo');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/dathomir_station_priv_storyquest_01_a.stf', '19', 'quest_dock1_t', 'Dock with Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/dathomir_station_priv_storyquest_01_a.stf', '20', 'quest_dock2_d', 'Use the /dock command to transfer the cargo');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/dathomir_station_priv_storyquest_01_a.stf', '21', 'quest_dock2_t', 'Dock with Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/dathomir_station_priv_storyquest_01_a.stf', '22', 'quest_location_d', 'Travel to the Lok System where the cargo awaits.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/dathomir_station_priv_storyquest_01_a.stf', '23', 'quest_location_t', 'Travel to the Lok System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/dathomir_station_priv_storyquest_01_a.stf', '24', 'quest_rendezvous1_d', 'Travel here to pick up the cargo from the contact');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/dathomir_station_priv_storyquest_01_a.stf', '25', 'quest_rendezvous1_t', 'Pick up Rendezvous Point');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/dathomir_station_priv_storyquest_01_a.stf', '26', 'quest_rendezvous2_d', 'Travel to Dathomir System to deliver the cargo');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/dathomir_station_priv_storyquest_01_a.stf', '27', 'quest_rendezvous2_t', 'Delivery Rendezvous Point');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/dathomir_station_priv_storyquest_01_a.stf', '28', 'quest_update', '\\#pcontrast3 < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/dathomir_station_priv_storyquest_01_a.stf', '29', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/dathomir_station_priv_storyquest_01_a.stf', '30', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/dathomir_station_priv_storyquest_01_a.stf', '31', 'title', 'Lok System: Deliver Cargo to Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/dathomir_station_priv_storyquest_01_a.stf', '32', 'title_d', 'Collect Cargo in Lok System and Deliver to Contact in Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_1_d.stf', '1', 'arrived_at_delivery', 'We have you on radar, pilot. Wait for shuttle arrival.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_1_d.stf', '2', 'arrived_at_pickup', 'We have you on radar, pilot. Wait for shuttle arrival.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_1_d.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_1_d.stf', '4', 'attack_notify', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_1_d.stf', '5', 'attack_stopped', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_1_d.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_1_d.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_1_d.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_1_d.stf', '9', 'docking_complete_delivery', 'We are all hooked up. Transfering the data now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_1_d.stf', '10', 'docking_complete_pickup', 'We are all hooked up. Transfering the data now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_1_d.stf', '11', 'docking_started_delivery', 'We are beginning hook up procedure. Please stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_1_d.stf', '12', 'docking_started_pickup', 'We are beginning hook up procedure. Please stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_1_d.stf', '13', 'failed_destroyed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_1_d.stf', '14', 'found_loc_d', 'Please proceed to the following coordinated for data transfer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_1_d.stf', '15', 'found_loc_p', 'Please proceed to the following coordinated for data transfer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_1_d.stf', '16', 'hello_d', 'Greetings, pilot. I understand that you have some data for us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_1_d.stf', '17', 'hello_p', 'Greetings, pilot. I understand that you have some data for us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_1_d.stf', '18', 'quest_dock1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_1_d.stf', '19', 'quest_dock1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_1_d.stf', '20', 'quest_dock2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_1_d.stf', '21', 'quest_dock2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_1_d.stf', '22', 'quest_location_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_1_d.stf', '23', 'quest_location_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_1_d.stf', '24', 'quest_rendezvous1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_1_d.stf', '25', 'quest_rendezvous1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_1_d.stf', '26', 'quest_rendezvous2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_1_d.stf', '27', 'quest_rendezvous2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_1_d.stf', '28', 'quest_update', 'Imperial High Command: <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_1_d.stf', '29', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_1_d.stf', '30', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_1_d.stf', '31', 'title', 'Delivery for HQ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_1_d.stf', '32', 'title_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_2_b.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_2_b.stf', '2', 'arrived_at_delivery', 'We have you on the scanners. Wait for the transfer shuttle to arrive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_2_b.stf', '3', 'arrived_at_pickup', 'We have you on the scanners. Wait for the transfer shuttle to arrive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_2_b.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_2_b.stf', '5', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters detected.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_2_b.stf', '6', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_2_b.stf', '7', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_2_b.stf', '8', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_2_b.stf', '9', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_2_b.stf', '10', 'docking_complete_delivery', 'We have the information. Wait for us to exit the area before you leave.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_2_b.stf', '11', 'docking_complete_pickup', 'The information is all yours. Take good care of it for us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_2_b.stf', '12', 'docking_started_delivery', 'Steady. Docking procedure beginning.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_2_b.stf', '13', 'docking_started_pickup', 'Steady. Docking procedure beginning.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_2_b.stf', '14', 'failed_destroyed', 'One of the delivery ships was destroyed! You had a duty to protect Imperial property. Report back to your superior immediately.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_2_b.stf', '15', 'found_loc_d', 'Delivery location has been loaded to your nav computer. Proceed as planned.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_2_b.stf', '16', 'found_loc_p', 'Pickup location has been loaded to your nav computer. Proceed as planned.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_2_b.stf', '17', 'hello_d', 'Good to see you made it. We will have the information off of you shortly.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_2_b.stf', '18', 'hello_p', 'They only sent you? You better be good, this information is highly classified.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_2_b.stf', '19', 'quest_dock1_d', 'Once the vessel arrives, use the /dock command with the shuttle. The Inquisition needs these documents to compare them against the doctor\'s statements.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_2_b.stf', '20', 'quest_dock1_t', 'Pickup the Documents');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_2_b.stf', '21', 'quest_dock2_d', 'Once the vessel arrives, use the /dock command with the shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_2_b.stf', '22', 'quest_dock2_t', 'Drop Off the Documents');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_2_b.stf', '23', 'quest_location_d', 'Remain in the Yavin system and wait to receive the navigation waypoint to the location of the delivery vessel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_2_b.stf', '24', 'quest_location_t', 'Remain in the Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_2_b.stf', '25', 'quest_rendezvous1_d', 'Travel to the arrival location of the shuttle that will deliver the orders.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_2_b.stf', '26', 'quest_rendezvous1_t', 'Meet the Delivery Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_2_b.stf', '27', 'quest_rendezvous2_d', 'Travel to the arrival location of the pickup shuttle to drop off the orders.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_2_b.stf', '28', 'quest_rendezvous2_t', 'Meet the Pickup Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_2_b.stf', '29', 'quest_update', '\\#pcontrast1 Imperial High Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_2_b.stf', '30', 'split_quest_alert', 'Pilot, proceed immediately to the Dathomir system. Doctor Shinss has returned early from his business in Endor and has been tipped off to the investigation. He fled rather then face the questions. Bring him back to us alive. He must be questioned.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_2_b.stf', '31', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_2_b.stf', '32', 'title', 'Yavin System: Transport the Documents');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_2_b.stf', '33', 'title_d', 'Travel to the Yavin system, pickup, and deliver the documents needed by the Inquisition. Once you arrive in the Yavin system, you will receive a navigation waypoint to the delivery shuttle. Travel to this location and wait for it to arrive. Once it arrives, target it and use the /dock command to transfer the documents to your ship. Then you will receive a second navigation waypoint to the pickup vessel. Travel to this location and wait for the arrival of the shuttle. Target and use the /dock command to transfer the documents to this new shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_2_c.stf', '1', 'arrived_at_delivery', 'Wait for the arrival of the command shuttle to retrieve the data.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_2_c.stf', '2', 'arrived_at_pickup', 'Wait for the arrival of the command shuttle to retrieve the data.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_2_c.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_2_c.stf', '4', 'attack_notify', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_2_c.stf', '5', 'attack_stopped', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_2_c.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_2_c.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_2_c.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_2_c.stf', '9', 'docking_complete_delivery', 'We are all hooked up here. Beginning transfer of data.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_2_c.stf', '10', 'docking_complete_pickup', 'We are all hooked up here. Beginning transfer of data.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_2_c.stf', '11', 'docking_started_delivery', 'Beginning uplink procedure. Please stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_2_c.stf', '12', 'docking_started_pickup', 'Beginning uplink procedure. Please stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_2_c.stf', '13', 'failed_destroyed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_2_c.stf', '14', 'found_loc_d', 'Please proceed to the following location and stand by for arrival of HQ command shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_2_c.stf', '15', 'found_loc_p', 'Please proceed to the following location and stand by for arrival of HQ command shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_2_c.stf', '16', 'hello_d', 'I see you, pilot. We will begin the uplink procedure as soon as we can.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_2_c.stf', '17', 'hello_p', 'I see you, pilot. We will begin the uplink procedure as soon as we can.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_2_c.stf', '18', 'quest_dock1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_2_c.stf', '19', 'quest_dock1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_2_c.stf', '20', 'quest_dock2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_2_c.stf', '21', 'quest_dock2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_2_c.stf', '22', 'quest_location_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_2_c.stf', '23', 'quest_location_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_2_c.stf', '24', 'quest_rendezvous1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_2_c.stf', '25', 'quest_rendezvous1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_2_c.stf', '26', 'quest_rendezvous2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_2_c.stf', '27', 'quest_rendezvous2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_2_c.stf', '28', 'quest_update', 'Imperial High Command:<%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_2_c.stf', '29', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_2_c.stf', '30', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_2_c.stf', '31', 'title', 'Rebel Data Dropoff');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_2_c.stf', '32', 'title_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_3.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_3.stf', '2', 'arrived_at_delivery', 'You have arrived at the delivery location. Please wait for the arrival of the command shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_3.stf', '3', 'arrived_at_pickup', 'You have arrived at the pickup location. Please wait for the arrival of the data freighter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_3.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_3.stf', '5', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters detected.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_3.stf', '6', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_3.stf', '7', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_3.stf', '8', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_3.stf', '9', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_3.stf', '10', 'docking_complete_delivery', 'Docking procedure complete. Please wait while we download the data.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_3.stf', '11', 'docking_complete_pickup', 'Docking procedure complete. Please wait while we upload the data.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_3.stf', '12', 'docking_started_delivery', 'Docking procedure beginning.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_3.stf', '13', 'docking_started_pickup', 'Docking procedure beginning.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_3.stf', '14', 'failed_destroyed', 'You have a duty to protect Imperial property. Report this failure to your superior.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_3.stf', '15', 'found_loc_d', 'Delivery navigation waypoint has been sent to you. Travel to the location to drop off the false list.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_3.stf', '16', 'found_loc_p', 'Pick up navigation waypoint has been sent to you. Travel to the location in order to pick up the false list.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_3.stf', '17', 'hello_d', 'Greetings, pilot. Please start the docking procedure when you are ready.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_3.stf', '18', 'hello_p', 'Greetings, pilot. Please start the docking procedure when you are ready.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_3.stf', '19', 'quest_dock1_d', 'Dock with the delivery vessel and pick up the fake list.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_3.stf', '20', 'quest_dock1_t', 'Pick Up the Fake List');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_3.stf', '21', 'quest_dock2_d', 'Dock with the pickup vessel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_3.stf', '22', 'quest_dock2_t', 'Drop Off the Fake List');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_3.stf', '23', 'quest_location_d', 'The doctor mentioned the Dathomir system too often. We believe that is the best place to move the fake list through.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_3.stf', '24', 'quest_location_t', 'Travel to the Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_3.stf', '25', 'quest_rendezvous1_d', 'A delivery vessel will meet you in the Dathomir system. Meet the vessel at its arrival location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_3.stf', '26', 'quest_rendezvous1_t', 'Meet the Delivery Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_3.stf', '27', 'quest_rendezvous2_d', 'Travel with the list through the Dathomir system and meet up with a tranfer vessel. We believe that you will be attacked by the Doctor\'s allies in an attempt to keep this list out of the hands of the Dathomir security forces.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_3.stf', '28', 'quest_rendezvous2_t', 'Meet the Pickup Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_3.stf', '29', 'quest_update', '\\#pcontrast1 Imperial High Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_3.stf', '30', 'split_quest_alert', 'That got the Rebel\'s attention. Keep on the alert, there are probably more fighters out there.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_3.stf', '31', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_3.stf', '32', 'title', 'Space Dathomir: Delivering a Fake List');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_imperial_tier3_3.stf', '33', 'title_d', 'The doctor has refused to give up any information on his fellow conspirators. Command has decided to leak a fake list of names in order to try to bring out any of his allies. You will transport this list in the Dathomir system where we believe that the doctor\'s friends are located. The hope is that the fake list will cause the traitors to try to eliminate you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_privateer_tier3_3b.stf', '1', 'arrived_at_delivery', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Designated delivery point reached. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_privateer_tier3_3b.stf', '2', 'arrived_at_pickup', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Designated pickup point reached. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_privateer_tier3_3b.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_privateer_tier3_3b.stf', '4', 'attack_notify', 'Enemy craft detected on attack vector.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_privateer_tier3_3b.stf', '5', 'attack_stopped', 'The attack has been stopped.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_privateer_tier3_3b.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_privateer_tier3_3b.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_privateer_tier3_3b.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_privateer_tier3_3b.stf', '9', 'docking_complete_delivery', '\\#pcontrast3 Transmission: < \\#pcontrast1 The docking is complete, transfer your cargo now. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_privateer_tier3_3b.stf', '10', 'docking_complete_pickup', '\\#pcontrast3 Transmission: < \\#pcontrast1 The hookup is good, we are transfering the compount to you now. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_privateer_tier3_3b.stf', '11', 'docking_started_delivery', '\\#pcontrast3 Transmission: < \\#pcontrast1 Docking process has begun. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_privateer_tier3_3b.stf', '12', 'docking_started_pickup', '\\#pcontrast3 Transmission: < \\#pcontrast1 Docking process has begun. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_privateer_tier3_3b.stf', '13', 'failed_destroyed', 'The mission is a failure, return to base.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_privateer_tier3_3b.stf', '14', 'found_loc_d', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Waypoint for deliver ship has been received. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_privateer_tier3_3b.stf', '15', 'found_loc_p', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Waypoint for contact ship has been received. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_privateer_tier3_3b.stf', '16', 'hello_d', '\\#pcontrast3 Transmission: < \\#pcontrast1 Standing by to receive cargo. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_privateer_tier3_3b.stf', '17', 'hello_p', '\\#pcontrast3 Transmission: < \\#pcontrast1 Hello there, we have the cargo you are expecting. Move into position for docking proceedure. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_privateer_tier3_3b.stf', '18', 'quest_dock1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_privateer_tier3_3b.stf', '19', 'quest_dock1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_privateer_tier3_3b.stf', '20', 'quest_dock2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_privateer_tier3_3b.stf', '21', 'quest_dock2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_privateer_tier3_3b.stf', '22', 'quest_location_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_privateer_tier3_3b.stf', '23', 'quest_location_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_privateer_tier3_3b.stf', '24', 'quest_rendezvous1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_privateer_tier3_3b.stf', '25', 'quest_rendezvous1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_privateer_tier3_3b.stf', '26', 'quest_rendezvous2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_privateer_tier3_3b.stf', '27', 'quest_rendezvous2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_privateer_tier3_3b.stf', '28', 'quest_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_privateer_tier3_3b.stf', '29', 'split_quest_alert', '\\#pcontrast3 RSF Command: < \\#pcontrast1 We need you to handle a transmission interception, stand by for more instructions. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_privateer_tier3_3b.stf', '30', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_privateer_tier3_3b.stf', '31', 'title', 'Running the Gauntlet');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_privateer_tier3_3b.stf', '32', 'title_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_privateer_tier4_3a.stf', '1', 'arrived_at_delivery', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Designated rendezvous location reached. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_privateer_tier4_3a.stf', '2', 'arrived_at_pickup', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Designated rendezvous location reached. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_privateer_tier4_3a.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_privateer_tier4_3a.stf', '4', 'attack_notify', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Enemy craft detected on attack vector. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_privateer_tier4_3a.stf', '5', 'attack_stopped', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Hostile activity has ceased. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_privateer_tier4_3a.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_privateer_tier4_3a.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_privateer_tier4_3a.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_privateer_tier4_3a.stf', '9', 'docking_complete_delivery', 'All right, this is what we needed.  Now get out of here, you seem to attract Rebels.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_privateer_tier4_3a.stf', '10', 'docking_complete_pickup', 'That is all of it.  We have an Imperial transport waiting for you across the zone, I\'ll upload their location to you.  Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_privateer_tier4_3a.stf', '11', 'docking_started_delivery', 'Get this transfer done quickly, we can\'t staty stationary for long.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_privateer_tier4_3a.stf', '12', 'docking_started_pickup', 'We are transfering over some encrypted material.  This sensitive information, expect some Rebel interference.  Most will come after me, but you will not have an easy run. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_privateer_tier4_3a.stf', '13', 'failed_destroyed', 'You have failed the delivery.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_privateer_tier4_3a.stf', '14', 'found_loc_d', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Rendezvous location locked in. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_privateer_tier4_3a.stf', '15', 'found_loc_p', '\\#pcontrast3 RSF Command: < \\#pcontrast1 I\'m sending you to the Imperial Freighter, they will finish instructions there. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_privateer_tier4_3a.stf', '16', 'hello_d', 'Do not delay, Rebel attack is eminent.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_privateer_tier4_3a.stf', '17', 'hello_p', 'Hail Captain, close in for docking.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_privateer_tier4_3a.stf', '18', 'quest_dock1_d', 'Pull up close to the Freighter and use the /dock command to pick up the cargo');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_privateer_tier4_3a.stf', '19', 'quest_dock1_t', 'Dock');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_privateer_tier4_3a.stf', '20', 'quest_dock2_d', 'Pull up near the transport and use the /dock command to deliver the cargo');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_privateer_tier4_3a.stf', '21', 'quest_dock2_t', 'Dock');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_privateer_tier4_3a.stf', '22', 'quest_location_d', 'Somewhere in the Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_privateer_tier4_3a.stf', '23', 'quest_location_t', 'Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_privateer_tier4_3a.stf', '24', 'quest_rendezvous1_d', 'Your first contact');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_privateer_tier4_3a.stf', '25', 'quest_rendezvous1_t', 'Imperial Heavy Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_privateer_tier4_3a.stf', '26', 'quest_rendezvous2_d', 'Your second contact');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_privateer_tier4_3a.stf', '27', 'quest_rendezvous2_t', 'Imperial Transport');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_privateer_tier4_3a.stf', '28', 'quest_update', '\\#pcontrast3 < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_privateer_tier4_3a.stf', '29', 'split_quest_alert', '\\#pcontrast3 RSF Command: < \\#pcontrast1 Head out on a quick patrol, seperation from the Transport will help to confuse the Rebels. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_privateer_tier4_3a.stf', '30', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_privateer_tier4_3a.stf', '31', 'title', 'Yavin System: Deliver Imperial Goods');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_privateer_tier4_3a.stf', '32', 'title_d', 'Be the middle man for an Imperial exchange');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_rebel_tier3_4_d.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_rebel_tier3_4_d.stf', '2', 'arrived_at_delivery', 'One of our gunboats will come pick up the unconscious pilot. Stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_rebel_tier3_4_d.stf', '3', 'arrived_at_pickup', 'The crew on the freighter have subdued the pilot of the experimental fighter and packed him up. Dock with them so they can transfer him to your ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_rebel_tier3_4_d.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_rebel_tier3_4_d.stf', '5', 'attack_notify', 'Tactical Computer: < Incoming fighter vessels. Scans show weapons armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_rebel_tier3_4_d.stf', '6', 'attack_stopped', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_rebel_tier3_4_d.stf', '7', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_rebel_tier3_4_d.stf', '8', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_rebel_tier3_4_d.stf', '9', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_rebel_tier3_4_d.stf', '10', 'docking_complete_delivery', 'The transfer was successful. We\'re out of here. You should return to Ezkiel pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_rebel_tier3_4_d.stf', '11', 'docking_complete_pickup', 'Alright. We\'ve loaded the pilot in to your cargo hold. Returning to Corellia.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_rebel_tier3_4_d.stf', '12', 'docking_started_delivery', 'We\'re docking now. Stand by for immediate transfer of the experimental model.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_rebel_tier3_4_d.stf', '13', 'docking_started_pickup', 'Good to see you pilot. We would deliver the pilot ourselves if this was anywhere but the Dathomir system. Travelling around here with an unarmed freighter is asking for trouble.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_rebel_tier3_4_d.stf', '14', 'failed_destroyed', 'Nooo! We needed that body pilot! Return to base immediately!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_rebel_tier3_4_d.stf', '15', 'found_loc_d', 'Alright, pilot. You need to deliver the \"cargo\" to this spot. We\'re with you, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_rebel_tier3_4_d.stf', '16', 'found_loc_p', 'The freighter with the captured ship will meet you at this point, pilot. You\'ll proceed to dock with them and pickup our information.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_rebel_tier3_4_d.stf', '17', 'hello_d', 'We\'ll be docking with you soon. Stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_rebel_tier3_4_d.stf', '18', 'hello_p', 'Glad to see you, pilot. Stand by for docking.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_rebel_tier3_4_d.stf', '19', 'quest_dock1_d', 'Dock with the freighter and transfer the \'pilot\' to your cargo hold. He\'s sealed in a life support system and should be fine.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_rebel_tier3_4_d.stf', '20', 'quest_dock1_t', 'Dock and transfer unconsious pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_rebel_tier3_4_d.stf', '21', 'quest_dock2_d', 'If the surrounding area is clear of enemies, dock and transfer the pilot to our gunboat.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_rebel_tier3_4_d.stf', '22', 'quest_dock2_t', 'Transfer pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_rebel_tier3_4_d.stf', '23', 'quest_location_d', 'We\'ve picked areas of the Dathomir system that should be light on enemy presence but the Empire is looking for you so right now, nothing is safe.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_rebel_tier3_4_d.stf', '24', 'quest_location_t', 'Dathomir system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_rebel_tier3_4_d.stf', '25', 'quest_rendezvous1_d', 'Meet up with our freighter at these coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_rebel_tier3_4_d.stf', '26', 'quest_rendezvous1_t', 'Meet with Rebel freighter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_rebel_tier3_4_d.stf', '27', 'quest_rendezvous2_d', 'We have sent one of our heavily guarded gunboats to this area, deliver the pilot to them immediately.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_rebel_tier3_4_d.stf', '28', 'quest_rendezvous2_t', 'Rendez-vous with Rebel gunboat.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_rebel_tier3_4_d.stf', '29', 'quest_update', 'Vortex Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_rebel_tier3_4_d.stf', '30', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_rebel_tier3_4_d.stf', '31', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_rebel_tier3_4_d.stf', '32', 'title', 'Dathomir system: Help transfer experimental pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/naboo_rebel_tier3_4_d.stf', '33', 'title_d', 'Our freighter with the ship is heading for Corellia where it can be examined closely. We want to have a look at the pilot right away though and need your assistance in moving it from the freighter to one of our gunboats in the Dathomir system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/poi_tatooine_privateer_1_a.stf', '1', 'arrived_at_delivery', 'I ran into some Valarians along the way, too. I\'ll be there in a moment.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/poi_tatooine_privateer_1_a.stf', '2', 'arrived_at_pickup', 'You\'re going to wait here for one of Jabba\'s men to give you the attack codes. Then, you\'ll bring them back to me. Hopefully, the Valarians won\'t attack you again. Be careful.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/poi_tatooine_privateer_1_a.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/poi_tatooine_privateer_1_a.stf', '4', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Incoming enemy fighters.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/poi_tatooine_privateer_1_a.stf', '5', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/poi_tatooine_privateer_1_a.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/poi_tatooine_privateer_1_a.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/poi_tatooine_privateer_1_a.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/poi_tatooine_privateer_1_a.stf', '9', 'docking_complete_delivery', 'Thank you. You\'ve been a great help to our goals.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/poi_tatooine_privateer_1_a.stf', '10', 'docking_complete_pickup', 'There ye be, kiddo. Now, get this \'ere attack codes back ta Garett safely. Ye watch out fer \'em Valarian\'s. They be bad fer business.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/poi_tatooine_privateer_1_a.stf', '11', 'docking_started_delivery', 'Beginning docking proceedures to procure the attack codes from you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/poi_tatooine_privateer_1_a.stf', '12', 'docking_started_pickup', 'Quit yer movin\' around fer a sec. Let me dock wit\' ya so\'s I can give the attack codes teh ye.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/poi_tatooine_privateer_1_a.stf', '13', 'failed_destroyed', 'Pilot! The Hutt Informant was destroyed! You failed to protect him!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/poi_tatooine_privateer_1_a.stf', '14', 'found_loc_d', 'I\'ll be here, waiting for you. Like I mentioned before, be on the lookout.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/poi_tatooine_privateer_1_a.stf', '15', 'found_loc_p', 'One of Jabba\'s spies will meet you here and give you the attack codes. Be on the lookout for Valarian influence. They knew what we were up to last time, somehow.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/poi_tatooine_privateer_1_a.stf', '16', 'hello_d', 'I\'m glad to see you made it here in one piece. Let\'s get this transfer underway.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/poi_tatooine_privateer_1_a.stf', '17', 'hello_p', '\'ey. HAH! Ye call that a ship?! Oh, sorry. Let us be continuin\' this, eh?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/poi_tatooine_privateer_1_a.stf', '18', 'quest_dock1_d', 'Once the lackey has been found, you\'ll need to dock with it using the /dock command to transfer the attack codes.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/poi_tatooine_privateer_1_a.stf', '19', 'quest_dock1_t', 'The Transfer');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/poi_tatooine_privateer_1_a.stf', '20', 'quest_dock2_d', 'To dock with Garett\'s ship, you\'ll need to use the /dock command. You better be careful, though. You\'ve heard, in passing, what happened to the last guy who scratched up Garett\'s ship. Space dust, baby.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/poi_tatooine_privateer_1_a.stf', '21', 'quest_dock2_t', 'Time for the Transfer');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/poi_tatooine_privateer_1_a.stf', '22', 'quest_location_d', 'Once you have the attack codes from Jabba\'s Star, you\'ll need to hightail it over to the updated objective point where you\'ll meet Garett.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/poi_tatooine_privateer_1_a.stf', '23', 'quest_location_t', 'Travel from Jabba\'s Star to Objective');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/poi_tatooine_privateer_1_a.stf', '24', 'quest_rendezvous1_d', 'You\'ve been ordered to pick up the attack codes from one of Jabba\'s lackeys. Go there and get it, tiger.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/poi_tatooine_privateer_1_a.stf', '25', 'quest_rendezvous1_t', 'Jabba\'s Spy');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/poi_tatooine_privateer_1_a.stf', '26', 'quest_rendezvous2_d', 'You\'ll need to find Garett and transfer the attack codes. No doubt, at this point, you\'ve discovered Valarian thugs on your tail, and fought them off without a hitch. Looks like you\'re going to need some repairs, no? To dock with Garett\'s ship, use the /dock command.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/poi_tatooine_privateer_1_a.stf', '27', 'quest_rendezvous2_t', 'Find Garett and Transfer the Codes');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/poi_tatooine_privateer_1_a.stf', '28', 'quest_update', '\\#pcontrast1 Garett:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/poi_tatooine_privateer_1_a.stf', '29', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/poi_tatooine_privateer_1_a.stf', '30', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/poi_tatooine_privateer_1_a.stf', '31', 'title', 'Tatoo System: Pick up and Delivery of the Attack Codes');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/poi_tatooine_privateer_1_a.stf', '32', 'title_d', 'At this point, you\'re hanging out at Jabba\'s Star, waiting for one of the thugs to use you as target practice while you wait for further instructions. Finally! You\'ve been told to pick up the attack codes from one of Jabba\'s \"trustees\" and then deliver them to Garett. Hopefully, you\'ll get there in one piece. The Valarians have been hunting you ever since you got in contact with Garett. Hm... You begin to wonder if there\'s a link.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission1_1.stf', '1', 'arrived_at_delivery', 'Stay here until the pick-up ship arrives.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission1_1.stf', '2', 'arrived_at_pickup', 'Stay here until the drop-off ship arrives.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission1_1.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission1_1.stf', '4', 'attack_notify', 'Tactical Computer: < Warning. Attack craft incoming. Imperial signatures detected. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission1_1.stf', '5', 'attack_stopped', 'Tactical Computer: < Attack craft neutralized. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission1_1.stf', '6', 'autorewardbody', 'You have been paid 2000 credits for services rendered to the Talus Space Station.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission1_1.stf', '7', 'autorewardfrom', 'Talus Station Command: Dept. 4S');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission1_1.stf', '8', 'autorewardsubject', 'Compensation for Services Rendered');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission1_1.stf', '9', 'docking_complete_delivery', 'Smooth as silk. Good luck to you!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission1_1.stf', '10', 'docking_complete_pickup', 'Docking clamps are clear. Now shoo!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission1_1.stf', '11', 'docking_started_delivery', 'Our team is standing by to receive the package.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission1_1.stf', '12', 'docking_started_pickup', 'Clamps open and ready for dock. Package ready for transfer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission1_1.stf', '13', 'failed_destroyed', 'That didn\'t work exactly the way that we planned. We\'re scrapping the rest of your assignments. Return to the station if you want to try again.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission1_1.stf', '14', 'found_loc_d', 'Good work, pilot. Now proceed to this navigation waypoint and deliver the package.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission1_1.stf', '15', 'found_loc_p', 'Good morning, pilot. I\'ve been assigned to monitor your progress today. We\'ve got a short series of jobs for you. Begin by flying to this waypoint and meet your first pickup.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission1_1.stf', '16', 'hello_d', 'We\'re ready to receive the package whenever you are, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission1_1.stf', '17', 'hello_p', 'Hello, pilot. Are you here to pick up the package? Dock whenever you\'re ready.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission1_1.stf', '18', 'quest_dock1_d', 'Move in close to the drop-off ship and use the /dock command to dock and receive the cargo.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission1_1.stf', '19', 'quest_dock1_t', 'Dock with the Drop-off Ship');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission1_1.stf', '20', 'quest_dock2_d', 'Move in close to the pick-up ship and use the /dock command to dock and transfer the cargo.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission1_1.stf', '21', 'quest_dock2_t', 'Dock with the Pick-up Ship');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission1_1.stf', '22', 'quest_location_d', 'This assignment takes place in the Corellia system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission1_1.stf', '23', 'quest_location_t', 'Remain in the Corellia System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission1_1.stf', '24', 'quest_rendezvous1_d', 'Travel to the specified location and await the arrival of the drop-off ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission1_1.stf', '25', 'quest_rendezvous1_t', 'Meet With the Drop-off Ship');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission1_1.stf', '26', 'quest_rendezvous2_d', 'Travel to the specified location and await the arrival of the pick-up ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission1_1.stf', '27', 'quest_rendezvous2_t', 'Meet With the Pick-up Ship');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission1_1.stf', '28', 'quest_update', 'Talus Station: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission1_1.stf', '29', 'split_quest_alert', 'Stand by for next assignment.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission1_1.stf', '30', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission1_1.stf', '31', 'title', 'Corellia System: Smuggle a Package');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission1_1.stf', '32', 'title_d', 'You have been assigned a simple smuggling mission. You need only pick up the cargo from one ship and deliver it to another ship in the same system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission1_2.stf', '1', 'arrived_at_delivery', 'Stay here until the pick-up ship arrives.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission1_2.stf', '2', 'arrived_at_pickup', 'Stay here until the drop-off ship arrives.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission1_2.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission1_2.stf', '4', 'attack_notify', 'Tactical Computer: < Warning. Attack craft incoming. Pirate signatures detected. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission1_2.stf', '5', 'attack_stopped', 'Tactical Computer: < Attack craft neutralized. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission1_2.stf', '6', 'autorewardbody', 'You have been paid 3000 credits for services rendered to the Talus Space Station.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission1_2.stf', '7', 'autorewardfrom', 'Talus Station Command: Dept. 4S');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission1_2.stf', '8', 'autorewardsubject', 'Compensation for Services Rendered');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission1_2.stf', '9', 'docking_complete_delivery', 'Couldn\'t go any better. Take care, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission1_2.stf', '10', 'docking_complete_pickup', 'You\'re clear, pilot. Carry on.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission1_2.stf', '11', 'docking_started_delivery', 'Cargo bay is ready and waiting, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission1_2.stf', '12', 'docking_started_pickup', 'Standing by for docking sequence.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission1_2.stf', '13', 'failed_destroyed', 'That didn\'t work exactly the way that we planned. We\'re scrapping the rest of your assignments. Return to the station if you want to try again.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission1_2.stf', '14', 'found_loc_d', 'Good work, pilot. Now proceed to this navigation waypoint and deliver the package.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission1_2.stf', '15', 'found_loc_p', 'This should be another simple one. Fly to this navigation waypoint and pick up the cargo. It\'s a pretty hot package, so be careful.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission1_2.stf', '16', 'hello_d', 'Good to see you. Standing by for drop off.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission1_2.stf', '17', 'hello_p', 'Greetings, pilot. We\'re ready to trade.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission1_2.stf', '18', 'quest_dock1_d', 'Move in close to the drop-off ship and use the /dock command to dock and receive the cargo.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission1_2.stf', '19', 'quest_dock1_t', 'Dock With the Drop-off Ship');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission1_2.stf', '20', 'quest_dock2_d', 'Move in close to the pick-up ship and use the /dock command to dock and transfer the cargo.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission1_2.stf', '21', 'quest_dock2_t', 'Dock With the Pick-up Ship');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission1_2.stf', '22', 'quest_location_d', 'You will need to pick up the cargo in the Corellia system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission1_2.stf', '23', 'quest_location_t', 'Remain in the Corellia System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission1_2.stf', '24', 'quest_rendezvous1_d', 'Travel to the specified location and await the arrival of the drop-off ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission1_2.stf', '25', 'quest_rendezvous1_t', 'Meet With the Drop-off Ship');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission1_2.stf', '26', 'quest_rendezvous2_d', 'Hyperspace to the Tatooine system, then travel to the specified location and await the arrival of the pick-up ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission1_2.stf', '27', 'quest_rendezvous2_t', 'Meet With the Pick-up Ship');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission1_2.stf', '28', 'quest_update', 'Talus Station: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission1_2.stf', '29', 'split_quest_alert', 'Stand by for next assignment.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission1_2.stf', '30', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission1_2.stf', '31', 'title', 'Corellia System: Smuggle a Package to Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission1_2.stf', '32', 'title_d', 'You have been assigned another simple smuggling mission. Pick up the cargo in the Corellia system and deliver it to the ship waiting in the Tatooine system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission4_2.stf', '1', 'arrived_at_delivery', 'Await the arrival of the pick-up ship at this location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission4_2.stf', '2', 'arrived_at_pickup', 'The transport will be arriving in just a few moments.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission4_2.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission4_2.stf', '4', 'attack_notify', 'Tactical Computer: < Enemy ships inbound. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission4_2.stf', '5', 'attack_stopped', 'Tactical Computer: < Enemy threat neutralized. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission4_2.stf', '6', 'autorewardbody', 'You have been paid 5000 credits for services rendered to the Talus Space Station. That is all the assignments that we have for you at this time. Your assistance is greatly appreciated!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission4_2.stf', '7', 'autorewardfrom', 'Talus Station Command: Dept. 4S');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission4_2.stf', '8', 'autorewardsubject', 'Compensation for Services Rendered');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission4_2.stf', '9', 'docking_complete_delivery', 'Clamps are clear, we have the package.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission4_2.stf', '10', 'docking_complete_pickup', 'You\'re all clear pilot. Good luck, and stay out of trouble.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission4_2.stf', '11', 'docking_started_delivery', 'You are cleared for docking. Make it quick, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission4_2.stf', '12', 'docking_started_pickup', 'Docking request received. Preparing to transfer package.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission4_2.stf', '13', 'failed_destroyed', 'That didn\'t work exactly the way that we planned. We\'re scrapping the rest of your assignments. Return to the station if you want to try again.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission4_2.stf', '14', 'found_loc_d', 'Should be smooth sailing now. We\'re transmitting the location of the delivery. Meet your pick-up ship there.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission4_2.stf', '15', 'found_loc_p', 'Await the arrival of the transport at the specified location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission4_2.stf', '16', 'hello_d', 'What was the hold up? We\'re getting behind schedule here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission4_2.stf', '17', 'hello_p', 'Greetings. Sorry about the delay, but we should be good to go, now. Hope there wasn\'t too much trouble.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission4_2.stf', '18', 'quest_dock1_d', 'Move in close to the drop-off ship and use the /dock command to receive the cargo.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission4_2.stf', '19', 'quest_dock1_t', 'Dock With the Drop-off Ship');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission4_2.stf', '20', 'quest_dock2_d', 'Move in close to the pick-up ship and use the /dock command to transfer the cargo.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission4_2.stf', '21', 'quest_dock2_t', 'Dock With the Pick-up Ship');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission4_2.stf', '22', 'quest_location_d', 'This assignment will take place in the Naboo system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission4_2.stf', '23', 'quest_location_t', 'Remain in the Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission4_2.stf', '24', 'quest_rendezvous1_d', 'Travel to the specified location and await the arrival of the drop-off ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission4_2.stf', '25', 'quest_rendezvous1_t', 'Meet With the Drop-off Ship');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission4_2.stf', '26', 'quest_rendezvous2_d', 'Travel to the specified location and await the arrival of the pick-up ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission4_2.stf', '27', 'quest_rendezvous2_t', 'Meet With the Pick-up Ship');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission4_2.stf', '28', 'quest_update', 'Talus Station: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission4_2.stf', '29', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission4_2.stf', '30', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission4_2.stf', '31', 'title', 'Naboo System: Drop off the Package');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission4_2.stf', '32', 'title_d', 'The transport\'s hyperdrive has finally been repaired. You should now be able to make the scheduled pick-up and delivery as planned.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission5_1.stf', '1', 'arrived_at_delivery', 'Await delivery drone here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission5_1.stf', '2', 'arrived_at_pickup', 'Await delivery drone here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission5_1.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission5_1.stf', '4', 'attack_notify', 'Tusk Cat Run: < Attack drones incoming >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission5_1.stf', '5', 'attack_stopped', 'Tusk Cat Run: < Attack drones destroyed >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission5_1.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission5_1.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission5_1.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission5_1.stf', '9', 'docking_complete_delivery', 'Transfer complete. Package one secure. Package two loaded into your cargo bay.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission5_1.stf', '10', 'docking_complete_pickup', 'Transfer complete. Package one loaded into your cargo bay.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission5_1.stf', '11', 'docking_started_delivery', 'Beginning docking sequence.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission5_1.stf', '12', 'docking_started_pickup', 'Beginning docking sequence.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission5_1.stf', '13', 'failed_destroyed', 'Delivery drone destroy. Run failed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission5_1.stf', '14', 'found_loc_d', 'Navigation waypoint loaded. Meet delivery drone here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission5_1.stf', '15', 'found_loc_p', 'Navigation waypoint loaded. Meet delivery drone here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission5_1.stf', '16', 'hello_d', 'Ready to transfer package one.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission5_1.stf', '17', 'hello_p', 'Ready to receive package one.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission5_1.stf', '18', 'quest_dock1_d', 'Move in close to the delivery drone and use the /dock command to receive package one.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission5_1.stf', '19', 'quest_dock1_t', 'Dock With the Delivery Drone');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission5_1.stf', '20', 'quest_dock2_d', 'Move in close to the delivery drone and use the /dock command to deliver package one and receive package two.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission5_1.stf', '21', 'quest_dock2_t', 'Dock With the Delivery Drone');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission5_1.stf', '22', 'quest_location_d', 'The Tusk Cat Run begins in the Corellia system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission5_1.stf', '23', 'quest_location_t', 'Start in the Corellia System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission5_1.stf', '24', 'quest_rendezvous1_d', 'Travel to the specified location and await the arrival of the delivery drone.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission5_1.stf', '25', 'quest_rendezvous1_t', 'Travel to the Delivery Drone One');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission5_1.stf', '26', 'quest_rendezvous2_d', 'Travel to the specified location and await the arrival of the delivery drone.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission5_1.stf', '27', 'quest_rendezvous2_t', 'Travel to Delivery Drone Two');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission5_1.stf', '28', 'quest_update', 'Tusk Cat Run: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission5_1.stf', '29', 'split_quest_alert', 'Deliver package two.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission5_1.stf', '30', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission5_1.stf', '31', 'title', 'Corellia System: Tusk Cat Run - Leg One');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/talus_station_mission5_1.stf', '32', 'title_d', 'The Tusk Cat Run is a series of small smuggling assignments using droid controlled delivery and attack drones.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_imperial_tier3_3.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_imperial_tier3_3.stf', '2', 'arrived_at_delivery', 'You have arrived at the delivery location. Please wait for the arrival of the command shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_imperial_tier3_3.stf', '3', 'arrived_at_pickup', 'You have arrived at the pickup location. Please wait for the arrival of the data shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_imperial_tier3_3.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_imperial_tier3_3.stf', '5', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters detected.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_imperial_tier3_3.stf', '6', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_imperial_tier3_3.stf', '7', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_imperial_tier3_3.stf', '8', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_imperial_tier3_3.stf', '9', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_imperial_tier3_3.stf', '10', 'docking_complete_delivery', 'Docking procedure complete. Please wait while we download the data.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_imperial_tier3_3.stf', '11', 'docking_complete_pickup', 'Docking procedure complete. Please wait while we upload the data.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_imperial_tier3_3.stf', '12', 'docking_started_delivery', 'Docking procedure beginning.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_imperial_tier3_3.stf', '13', 'docking_started_pickup', 'Docking procedure beginning.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_imperial_tier3_3.stf', '14', 'failed_destroyed', 'You let one of our ships be destroyed? That sort of puts a crimp in our plans. Report back to your superior.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_imperial_tier3_3.stf', '15', 'found_loc_d', 'Location of the delivery for the plan has been sent to your Nav computer. Proceed to this location and wait for the arrival of the shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_imperial_tier3_3.stf', '16', 'found_loc_p', 'Location of the pick-up for the plan has been sent to your Nav computer. Proceed to this location and wait for the arrival of the shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_imperial_tier3_3.stf', '17', 'hello_d', 'Greetings, pilot. Begin docking procedure whenever you are ready.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_imperial_tier3_3.stf', '18', 'hello_p', 'Greetings, pilot. Begin docking procedure whenever you are ready.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_imperial_tier3_3.stf', '19', 'quest_dock1_d', 'Once the vessel arrives, use the /dock command with the shuttle. Do not let these orders fall into enemy hands or the whole plan is ruined.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_imperial_tier3_3.stf', '20', 'quest_dock1_t', 'Pickup the Orders');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_imperial_tier3_3.stf', '21', 'quest_dock2_d', 'Once the vessel arrives, use the /dock command with the shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_imperial_tier3_3.stf', '22', 'quest_dock2_t', 'Drop Off the Orders');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_imperial_tier3_3.stf', '23', 'quest_location_d', 'Travel to the Endor system and wait to receive the navigation waypoint to the location of the delivery vessel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_imperial_tier3_3.stf', '24', 'quest_location_t', 'Travel to the Endor System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_imperial_tier3_3.stf', '25', 'quest_rendezvous1_d', 'Travel to the arrival location of the shuttle that will deliver the orders.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_imperial_tier3_3.stf', '26', 'quest_rendezvous1_t', 'Meet the Delivery Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_imperial_tier3_3.stf', '27', 'quest_rendezvous2_d', 'Travel to the arrival location of the pickup shuttle to drop off the orders.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_imperial_tier3_3.stf', '28', 'quest_rendezvous2_t', 'Meet the Pickup Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_imperial_tier3_3.stf', '29', 'quest_update', '\\#pcontrast1 Storm Squadron Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_imperial_tier3_3.stf', '30', 'split_quest_alert', 'Very interesting plan. Ok, we are going to start putting together the expendable ship. While you are waiting for us to get the ship ready, begin harassing Rebel fighters to make it look like we are going on the offensive. This will help sell the plan. Seek and destroy Rebel fighters until we contact you again.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_imperial_tier3_3.stf', '31', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_imperial_tier3_3.stf', '32', 'title', 'Endor System: Delivering a New Plan');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_imperial_tier3_3.stf', '33', 'title_d', 'Travel to the Endor system, pickup, and deliver the plan to draw the Rebels out of hiding. Once you arrive in the Endor system, you will receive a navigation waypoint to the delivery shuttle. Travel to this location and wait for it to arrive. Once it arrives, target it and use the /dock command to transfer the plans to your ship. Then you will receive a second navigation waypoint to the pickup vessel. Travel to this location and wait for the arrival of the shuttle. Target and use the /dock command to transfer the plans to this new shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_imperial_tier4_2_b.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_imperial_tier4_2_b.stf', '2', 'arrived_at_delivery', 'Stand by for the field engineer ship\'s arrival.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_imperial_tier4_2_b.stf', '3', 'arrived_at_pickup', 'Stand by for the delivery of the satellites.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_imperial_tier4_2_b.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_imperial_tier4_2_b.stf', '5', 'attack_notify', '\\#pcontrast1 Tactical Computer: \\#pcontrast3 <Enemy fighters detected.> \\#pcontrast3');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_imperial_tier4_2_b.stf', '6', 'attack_stopped', '\\#pcontrast1 Tactical Computer: \\#pcontrast3 <Enemy fighters eliminated.> \\#pcontrast3');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_imperial_tier4_2_b.stf', '7', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_imperial_tier4_2_b.stf', '8', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_imperial_tier4_2_b.stf', '9', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_imperial_tier4_2_b.stf', '10', 'docking_complete_delivery', 'Ok, we have the satellite. Good luck, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_imperial_tier4_2_b.stf', '11', 'docking_complete_pickup', 'The sattelites are on board. Deliver them out to the field engineers.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_imperial_tier4_2_b.stf', '12', 'docking_started_delivery', 'Docking procedure underway. Stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_imperial_tier4_2_b.stf', '13', 'docking_started_pickup', 'Docking procedure underway. Stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_imperial_tier4_2_b.stf', '14', 'failed_destroyed', 'The field engineer\'s ship was destroy! This is unacceptable. Report your failure to your commander.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_imperial_tier4_2_b.stf', '15', 'found_loc_d', 'Delivery location sent to your nav computer. Bring the satellite to the field engineer in that region.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_imperial_tier4_2_b.stf', '16', 'found_loc_p', 'Proceed to the location provided to your nav computer to pick up the satellites.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_imperial_tier4_2_b.stf', '17', 'hello_d', 'There you are. I have been waiting for that satellite for a while now. Lets begin docking and transfer that satellite to me.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_imperial_tier4_2_b.stf', '18', 'hello_p', 'I have the satellites you need to take to the field engineers. Lets dock and get this over with.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_imperial_tier4_2_b.stf', '19', 'quest_dock1_d', 'Dock with the delivery vessel and pickup the satellites.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_imperial_tier4_2_b.stf', '20', 'quest_dock1_t', 'Pickup the Satellites');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_imperial_tier4_2_b.stf', '21', 'quest_dock2_d', 'Dock with the engineer and transfer the first satellite to his ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_imperial_tier4_2_b.stf', '22', 'quest_dock2_t', 'Dropoff the First Satellite');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_imperial_tier4_2_b.stf', '23', 'quest_location_d', 'Remain in the Endor system and pickup the two satellites from the Imperial freighter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_imperial_tier4_2_b.stf', '24', 'quest_location_t', 'Remain in the Endor System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_imperial_tier4_2_b.stf', '25', 'quest_rendezvous1_d', 'Travel to the arrival location of the delivery vessel and wait for it to arrive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_imperial_tier4_2_b.stf', '26', 'quest_rendezvous1_t', 'Travel to the Delivery Vessel');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_imperial_tier4_2_b.stf', '27', 'quest_rendezvous2_d', 'Travel to the arrival location of the first engineer and wait for him to arrive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_imperial_tier4_2_b.stf', '28', 'quest_rendezvous2_t', 'Travel to the First Engineer');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_imperial_tier4_2_b.stf', '29', 'quest_update', '\\#pcontrast1 Storm Squadron Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_imperial_tier4_2_b.stf', '30', 'split_quest_alert', 'Bring the remaining satellite to the other field engineer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_imperial_tier4_2_b.stf', '31', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_imperial_tier4_2_b.stf', '32', 'title', 'Endor System: Satellite Delivery');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_imperial_tier4_2_b.stf', '33', 'title_d', 'Remain in the Endor system, pickup, and delivery satellites to the engineers. Even though several other shuttles managed to get away, command cannot worry about those right now. The detection satellites that ring the system were taken offline, which is how the Bothans managed to avoid detection and capture the vessels. Those satellites need to be replaced immediately. Pickup two satellites and deliver them to the engineers who will put them back into place.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3.stf', '1', 'arrived_at_delivery', 'Our transport should be here any moment...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3.stf', '2', 'arrived_at_pickup', 'Your delivery target (the Seinar Systems contractor) should be here very soon...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3.stf', '4', 'attack_notify', 'Enemy craft detected on attack vector.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3.stf', '5', 'attack_stopped', 'The attack has been stopped.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3.stf', '9', 'docking_complete_delivery', 'Ah! Many thanks to Jabba and his fine pilots. Please relay that Seinar Systems would enjoy a much deeper relationship with the Hutts...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3.stf', '10', 'docking_complete_pickup', 'All right! All the spice brandy is transferred. Knock yourself out, buddy.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3.stf', '11', 'docking_started_delivery', 'Starting automatic docking procedure now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3.stf', '12', 'docking_started_pickup', 'Hey there. Hope the Seinar Systems big-wig likes spice brandy!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3.stf', '13', 'failed_destroyed', 'You have failed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3.stf', '14', 'found_loc_d', 'Got an update for you... follow this waypoint. Meet up with the Seinar Systems contractor.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3.stf', '15', 'found_loc_p', 'Fly to this location and meet our transport.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3.stf', '16', 'hello_d', 'Greetings, smuggler. We were assured that you would have a package for us. Is this true?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3.stf', '17', 'hello_p', 'Good to see you, pilot! I have your delivery ready for transfer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3.stf', '18', 'quest_dock1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3.stf', '19', 'quest_dock1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3.stf', '20', 'quest_dock2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3.stf', '21', 'quest_dock2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3.stf', '22', 'quest_location_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3.stf', '23', 'quest_location_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3.stf', '24', 'quest_rendezvous1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3.stf', '25', 'quest_rendezvous1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3.stf', '26', 'quest_rendezvous2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3.stf', '27', 'quest_rendezvous2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3.stf', '28', 'quest_update', '\\#pcontrast3Smugglers\' Alliance: <%TO> \\#pcontrast3');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3.stf', '29', 'split_quest_alert', 'Next, you must take a special gift to the Seinar Systems legal counsel...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3.stf', '30', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3.stf', '31', 'title', 'Deliver Jabba\'s Gifts to Imperial VIP\'s');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3.stf', '32', 'title_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3_a.stf', '1', 'arrived_at_delivery', 'The transport should be here shortly...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3_a.stf', '2', 'arrived_at_pickup', 'Your delivery target (the Seinar Systems legal counsel) should be here very soon...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3_a.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3_a.stf', '4', 'attack_notify', 'Enemy craft detected on attack vector.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3_a.stf', '5', 'attack_stopped', 'The attack has been stopped.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3_a.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3_a.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3_a.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3_a.stf', '9', 'docking_complete_delivery', 'Excellent! This is a fabulous prize, my friend! Tell Jabba that we are open to his requests... whatever they may be.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3_a.stf', '10', 'docking_complete_pickup', 'All right! All of the blank documents should be transferred.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3_a.stf', '11', 'docking_started_delivery', 'Starting automatic docking procedure now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3_a.stf', '12', 'docking_started_pickup', 'Hey there. Got blank documents here... ready for transfer to the Seinar Systems legal counsel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3_a.stf', '13', 'failed_destroyed', 'You have failed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3_a.stf', '14', 'found_loc_d', 'Got an update for you... follow this waypoint. Meet up with the Seinar Systems legal counsel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3_a.stf', '15', 'found_loc_p', 'Fly to this location and meet our transport.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3_a.stf', '16', 'hello_d', 'Who are you?! Are you the delivery ship? We cannot stay here long!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3_a.stf', '17', 'hello_p', 'Good to see you, pilot! I have your delivery ready for transfer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3_a.stf', '18', 'quest_dock1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3_a.stf', '19', 'quest_dock1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3_a.stf', '20', 'quest_dock2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3_a.stf', '21', 'quest_dock2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3_a.stf', '22', 'quest_location_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3_a.stf', '23', 'quest_location_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3_a.stf', '24', 'quest_rendezvous1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3_a.stf', '25', 'quest_rendezvous1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3_a.stf', '26', 'quest_rendezvous2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3_a.stf', '27', 'quest_rendezvous2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3_a.stf', '28', 'quest_update', '\\#pcontrast3Smugglers\' Alliance: <%TO> \\#pcontrast3');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3_a.stf', '29', 'split_quest_alert', 'Lastly, you must offer a small gift to an Imperial Inquisitor who\'s coming to visit the prison satellite...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3_a.stf', '30', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3_a.stf', '31', 'title', 'Deliver Jabba\'s Gifts to Imperial VIP\'s (continued)');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3_a.stf', '32', 'title_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3_b.stf', '1', 'arrived_at_delivery', 'The transport should be here shortly...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3_b.stf', '2', 'arrived_at_pickup', 'Your delivery target (an Imperial Inquisitor) should be here very soon...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3_b.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3_b.stf', '4', 'attack_notify', 'Enemy craft detected on attack vector.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3_b.stf', '5', 'attack_stopped', 'The attack has been stopped.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3_b.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3_b.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3_b.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3_b.stf', '9', 'docking_complete_delivery', 'You tell Jabba the Hutt that the Imperial Inquisitors do not take bribes! Begone!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3_b.stf', '10', 'docking_complete_pickup', 'There you go! That should be the last delivery for today, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3_b.stf', '11', 'docking_started_delivery', 'Docking procedure is now under-way.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3_b.stf', '12', 'docking_started_pickup', 'Hey there! We\'ve got...something... for the Imperial Inquisitor.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3_b.stf', '13', 'failed_destroyed', 'You lose!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3_b.stf', '14', 'found_loc_d', 'Got an update for you... follow this waypoint. Meet up with the Imperial Inquisitor.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3_b.stf', '15', 'found_loc_p', 'Fly to this location and meet our transport.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3_b.stf', '16', 'hello_d', 'This is highly irregular, pilot! What are we doing here?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3_b.stf', '17', 'hello_p', 'Good to see you, pilot! I have your delivery ready for transfer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3_b.stf', '18', 'quest_dock1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3_b.stf', '19', 'quest_dock1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3_b.stf', '20', 'quest_dock2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3_b.stf', '21', 'quest_dock2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3_b.stf', '22', 'quest_location_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3_b.stf', '23', 'quest_location_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3_b.stf', '24', 'quest_rendezvous1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3_b.stf', '25', 'quest_rendezvous1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3_b.stf', '26', 'quest_rendezvous2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3_b.stf', '27', 'quest_rendezvous2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3_b.stf', '28', 'quest_update', '\\#pcontrast3Smugglers\' Alliance: <%TO> \\#pcontrast3');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3_b.stf', '29', 'split_quest_alert', 'Some high-level Imperials are coming to visit the prison... and they could use escort. More details to come...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3_b.stf', '30', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3_b.stf', '31', 'title', 'Deliver Jabba\'s Gifts to Imperial VIP\'s (final)');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier3_3_b.stf', '32', 'title_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier4_1a.stf', '1', 'arrived_at_delivery', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Designated rendezvous waypoint reached. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier4_1a.stf', '2', 'arrived_at_pickup', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Designated rendezvous waypoint reached. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier4_1a.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier4_1a.stf', '4', 'attack_notify', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Enemy craft detected on attack vector. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier4_1a.stf', '5', 'attack_stopped', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Hostile activity has ceased. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier4_1a.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier4_1a.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier4_1a.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier4_1a.stf', '9', 'docking_complete_delivery', 'We have another package for you to deliver, exchanging cargo now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier4_1a.stf', '10', 'docking_complete_pickup', 'The docking is complete, starting delivery.  Take the cargo to Dantooine System, we will update you from there.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier4_1a.stf', '11', 'docking_started_delivery', 'The docking process has begun.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier4_1a.stf', '12', 'docking_started_pickup', 'The docking process has begun.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier4_1a.stf', '13', 'failed_destroyed', 'You have failed the mission!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier4_1a.stf', '14', 'found_loc_d', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Coordinates locked in for rendezvous point. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier4_1a.stf', '15', 'found_loc_p', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Coordinates locked in for rendezvous point. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier4_1a.stf', '16', 'hello_d', 'We are going to get a little fancy with you, get in to dock and we can discues it further.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier4_1a.stf', '17', 'hello_p', 'Hey there, we got the package for Jabba.  Move into position for docking.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier4_1a.stf', '18', 'quest_dock1_d', 'Use the /dock command to recieve the cargo');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier4_1a.stf', '19', 'quest_dock1_t', 'Dock Target Nym Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier4_1a.stf', '20', 'quest_dock2_d', 'Use the /dock command to transfer the cargo');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier4_1a.stf', '21', 'quest_dock2_t', 'Dock Target Hutt Transport');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier4_1a.stf', '22', 'quest_location_d', 'A trade route between the Lok and Dantooine Systems');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier4_1a.stf', '23', 'quest_location_t', 'Lok - Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier4_1a.stf', '24', 'quest_rendezvous1_d', 'Travel here to recieve the cargo from the Nym contact');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier4_1a.stf', '25', 'quest_rendezvous1_t', 'Pickup Rendezvous');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier4_1a.stf', '26', 'quest_rendezvous2_d', 'Travel here to deliver the cargo');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier4_1a.stf', '27', 'quest_rendezvous2_t', 'Delivery Rendezvous');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier4_1a.stf', '28', 'quest_update', '\\#pcontrast3 < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier4_1a.stf', '29', 'split_quest_alert', '\\#pcontrast3 Hutt Transport: < \\#pcontrast1 I have a bit of CorSec heat on me at the moment, I need you to complete this delivery for me across the System.  The contact knows to expect you. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier4_1a.stf', '30', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier4_1a.stf', '31', 'title', 'Lok System: Transport Goods Between Systems');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_privateer_tier4_1a.stf', '32', 'title_d', 'Transfer cargo from a Nym contact in the Lok System to a Hutt Transport in the Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier3_1_a.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier3_1_a.stf', '2', 'arrived_at_delivery', 'Good job on those TIE\'s. Prepare to dock and transmit the codes.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier3_1_a.stf', '3', 'arrived_at_pickup', 'You are at the correct coordinates, stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier3_1_a.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier3_1_a.stf', '5', 'attack_notify', 'Tactical Computer: < Incoming fighter vessels. Scans show weapons armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier3_1_a.stf', '6', 'attack_stopped', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier3_1_a.stf', '7', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier3_1_a.stf', '8', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier3_1_a.stf', '9', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier3_1_a.stf', '10', 'docking_complete_delivery', 'Codes delivered, excellent work pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier3_1_a.stf', '11', 'docking_complete_pickup', 'We got what we need, wish us luck.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier3_1_a.stf', '12', 'docking_started_delivery', 'Initiating docking sequence, stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier3_1_a.stf', '13', 'docking_started_pickup', 'Lets see how this wretched ship handles docking with one of ours.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier3_1_a.stf', '14', 'failed_destroyed', 'Abort abort! Return to base for a full report immediately pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier3_1_a.stf', '15', 'found_loc_d', 'Good, proceed to these coordinates to meet up with one of our gunboats and deliver the codes to it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier3_1_a.stf', '16', 'found_loc_p', 'Proceed to this location and deliver a copy of the codes to our infiltrators.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier3_1_a.stf', '17', 'hello_d', 'Good to see you pilot, lets do this quickly before more Imperial fighters show up.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier3_1_a.stf', '18', 'hello_p', 'I know, ugly isn\'t it? Oh well, it will serve its purpose. Dock and transfer those security codes so we can get started pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier3_1_a.stf', '19', 'quest_dock1_d', 'If the nearby area is clear of hostile activity, dock with the infiltrators stolen ship and transfer the codes.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier3_1_a.stf', '20', 'quest_dock1_t', 'Dock and transfer codes.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier3_1_a.stf', '21', 'quest_dock2_d', 'Defeat any hostile activity in the nearby area and then dock with our gunboat and transfer the codes.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier3_1_a.stf', '22', 'quest_dock2_t', 'Dock and transfer codes.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier3_1_a.stf', '23', 'quest_location_d', 'Always be on your guard in the Dathomir system. Try to avoid any enemy contact while you\'re delivering these codes, we don\'t want our infiltrator team to come under attack before they can even start their mission.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier3_1_a.stf', '24', 'quest_location_t', 'Dathomir system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier3_1_a.stf', '25', 'quest_rendezvous1_d', 'The infiltration team will be in a stolen Lambda shuttle. They are going to put those codes to good use on the surface of Dathomir.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier3_1_a.stf', '26', 'quest_rendezvous1_t', 'Deliver codes to infiltration team.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier3_1_a.stf', '27', 'quest_rendezvous2_d', 'One of our command ships will meet you here. Although the Empire will probably change these codes quickly, we will see if we can\'t get some more use out of them.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier3_1_a.stf', '28', 'quest_rendezvous2_t', 'Deliver codes to capital ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier3_1_a.stf', '29', 'quest_update', 'Rebel Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier3_1_a.stf', '30', 'split_quest_alert', 'Gunboat Captain: < Sensors show multiple incoming TIE wings, the Empire must have figured out what\'s going on. Hold them off so we can get out of here! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier3_1_a.stf', '31', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier3_1_a.stf', '32', 'title', 'Dathomir system: Deliver Security codes to Alliance spies and fleet.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier3_1_a.stf', '33', 'title_d', 'It\'s time to put the codes you stole to good use. Deliver them to one of our commando teams first and then to one of our capital ships.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier3_3.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier3_3.stf', '2', 'arrived_at_delivery', 'The commando team is using a unmarked YT-1300 freighter, dock and transfer the data to them.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier3_3.stf', '3', 'arrived_at_pickup', 'You are at the correct coordinates, dock with Nym\'s man then fly straight to Dathomir, no detours.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier3_3.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier3_3.stf', '5', 'attack_notify', 'Tactical Computer: < Incoming fighter vessels. Scans show weapons armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier3_3.stf', '6', 'attack_stopped', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier3_3.stf', '7', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier3_3.stf', '8', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier3_3.stf', '9', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier3_3.stf', '10', 'docking_complete_delivery', 'Transfer complete. We are out of here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier3_3.stf', '11', 'docking_complete_pickup', 'Alright, we\'re done, have a safe flight to Dathomir, if there is such a thing.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier3_3.stf', '12', 'docking_started_delivery', 'Initiating docking sequence, prepare to transfer the data.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier3_3.stf', '13', 'docking_started_pickup', 'Hurry up, I\'ve got things to do and places to be.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier3_3.stf', '14', 'failed_destroyed', 'What the heck happened up there pilot? We have lost contact with our ship! Return to base immediately!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier3_3.stf', '15', 'found_loc_d', 'Our commando team will meet you at this location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier3_3.stf', '16', 'found_loc_p', 'Meet the Nym smuggler at these coordinates pilot. Hurry up, they are not famous for being patient.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier3_3.stf', '17', 'hello_d', 'Greetings pilot, prepare to dock so we can get on with the mission.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier3_3.stf', '18', 'hello_p', 'Hey there chum, I\'ve put together what info I could remember for you guys.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier3_3.stf', '19', 'quest_dock1_d', 'The smuggler put together what information he has in a data cube. Dock with him and transfer it over, then head for the Dathomir system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier3_3.stf', '20', 'quest_dock1_t', 'Dock and transfer information.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier3_3.stf', '21', 'quest_dock2_d', 'If the surrounding area is clear of hostile ships, dock with the commando teams ship and transfer the information the smuggler gave you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier3_3.stf', '22', 'quest_dock2_t', 'Dock and transfer intel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier3_3.stf', '23', 'quest_location_d', 'The Lok system is fairly safe, at least from Imperial forces. They have a bit of respect of Nym\'s forces and try not to get tangled up with him. Unfortunately the zone is infested with pirates from other clans than Nym\'s and they tend to look for lone targets of opportunity. After you have received the information from Nym\'s smuggler you\'re heading to the Dathomir system and you know the drill there, trust no one and be ready for anything.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier3_3.stf', '24', 'quest_location_t', 'Lok and Dathomir system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier3_3.stf', '25', 'quest_rendezvous1_d', 'The smuggler gave us these coordinates for your meeting. Hurry over there as he won\'t wait for you if you\'re late.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier3_3.stf', '26', 'quest_rendezvous1_t', 'Meeting with Nym\'s smuggler.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier3_3.stf', '27', 'quest_rendezvous2_d', 'The commando team will meet you at these coordinates. They are travelling in a civilian freighter, model YT-1300.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier3_3.stf', '28', 'quest_rendezvous2_t', 'Coordinates for meeting with commando team.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier3_3.stf', '29', 'quest_update', 'Rebel Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier3_3.stf', '30', 'split_quest_alert', 'Rebel Command: < Good work. We are delivering a blow to the Empire by taking out one of their patrols and could use your assistance. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier3_3.stf', '31', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier3_3.stf', '32', 'title', 'Lok and Dathomir system: Deliver security data to a Rebel commando team.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier3_3.stf', '33', 'title_d', 'There\'s a high ranking Imperial officer that is a traitor and have been imprisoned on Dathomir. In Nym\'s service there\'s a smuggler that have been inside the prison and he\'s agreed to give us any information he has about it to assist in breaking free the prisoner. Meet the smuggler in the Lok sector and take the data to one of our Commando teams in the Dathomir sector.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier4_2_a.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier4_2_a.stf', '2', 'arrived_at_delivery', 'You are at the correct location pilot. The Vortex operative should be there any second.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier4_2_a.stf', '3', 'arrived_at_pickup', 'I\'m not sure what the Vortex do for the Alliance but one of their scientists found something on Dathomir that needs to be delivered to Yavin 4 quickly, so we\'re helping them out.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier4_2_a.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier4_2_a.stf', '5', 'attack_notify', 'Tactical Computer: < Incoming fighter vessels. Scans show weapons armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier4_2_a.stf', '6', 'attack_stopped', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier4_2_a.stf', '7', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier4_2_a.stf', '8', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier4_2_a.stf', '9', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier4_2_a.stf', '10', 'docking_complete_delivery', 'Alright, I got it. I heard some guys on Tatooine say you were good, I guess they weren\'t lying. See you around.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier4_2_a.stf', '11', 'docking_complete_pickup', 'You have no idea what I had to go through to get that thing. I hope you can get it to Yavin safely.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier4_2_a.stf', '12', 'docking_started_delivery', 'Starting dock sequence.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier4_2_a.stf', '13', 'docking_started_pickup', 'Lets dock so I can transfer this over to you quickly.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier4_2_a.stf', '14', 'failed_destroyed', 'What the heck is going on pilot?! When we\'re asked for help, the Alliance expect the job to get done. Return to base right away!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier4_2_a.stf', '15', 'found_loc_d', 'So far so good. Proceed to these coordinates pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier4_2_a.stf', '16', 'found_loc_p', 'A scientist from the Vortex will meet you at these coordinates pilot. Make your way over there, on the double!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier4_2_a.stf', '17', 'hello_d', 'Glad to see you made it, lets do this.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier4_2_a.stf', '18', 'hello_p', 'You\'re here, great. I was afraid no one would be able to help us out.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier4_2_a.stf', '19', 'quest_dock1_d', 'If the area is clear, dock with the spy to transfer the package to your ship. No we didn\'t ask what we are delivering and neither should you. As soon as you got the package, head to the Yavin system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier4_2_a.stf', '20', 'quest_dock1_t', 'Dock with Rebel spy for pickup.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier4_2_a.stf', '21', 'quest_dock2_d', 'Clear out hostile fighters in the surrounding area first. When it\'s clear, quickly dock with the Vortex agent and transfer the cargo to him.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier4_2_a.stf', '22', 'quest_dock2_t', 'Dock with Vortex agent for delivery.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier4_2_a.stf', '23', 'quest_location_d', 'The Dathomir system is always dangerous so stay alert there. You\'re meeting up with one of our spies to pick up the package for the Vortex. Make sure you don\'t blow his cover by leading any hostile forces to his location. After pickup you are heading to the Yavin system. Although not as dangerous as the Dathomir system it has a heavy Imperial presence so stay sharp and don\'t let your guard down!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier4_2_a.stf', '24', 'quest_location_t', 'Dathomir and Yavin system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier4_2_a.stf', '25', 'quest_rendezvous1_d', 'One of our spies will meet you at this location. Again, be sure not to drag any hostile forces to these coordinates as it could mean the end of our spy if he\'s spotted.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier4_2_a.stf', '26', 'quest_rendezvous1_t', 'Coordinates for pickup.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier4_2_a.stf', '27', 'quest_rendezvous2_d', 'Head to these coordinates quickly. We see several Imperial fighters chasing you, they must have found out about our mission somehow!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier4_2_a.stf', '28', 'quest_rendezvous2_t', 'Coordinates for delivery, Yavin system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier4_2_a.stf', '29', 'quest_update', 'General Ufwol: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier4_2_a.stf', '30', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier4_2_a.stf', '31', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier4_2_a.stf', '32', 'title', 'Dathomir and Yavin system: Assist \'The Vortex\' with a quick delivery.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/tatooine_rebel_tier4_2_a.stf', '33', 'title_d', 'Another part of the Alliance has asked us for a favor, knowing that we are the best. Let\'s not prove them wrong. They have a important delivery they need taken care of quickly.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/test_delivery.stf', '1', 'arrived_at_delivery', 'Hang on here a bit. The garbage scow is on its way.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/test_delivery.stf', '2', 'arrived_at_pickup', 'Alright, the scow will show up at any moment.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/test_delivery.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/test_delivery.stf', '4', 'attack_notify', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/test_delivery.stf', '5', 'attack_stopped', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/test_delivery.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/test_delivery.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/test_delivery.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/test_delivery.stf', '9', 'docking_complete_delivery', 'Alright, good job, I\'ll take it from here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/test_delivery.stf', '10', 'docking_complete_pickup', 'There you go. You better deliver it fast. This stuff smells bad.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/test_delivery.stf', '11', 'docking_started_delivery', 'My boys will start to unload the stuff. Hang on a sec.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/test_delivery.stf', '12', 'docking_started_pickup', 'That\'s it, easy...easy...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/test_delivery.stf', '13', 'failed_destroyed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/test_delivery.stf', '14', 'found_loc_d', 'Here\'s the waypoint to your drop off point. Dock with the scow there to deliver the garbage.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/test_delivery.stf', '15', 'found_loc_p', 'We need you to go meet a garbage scow at this point and pick up her garbage load for transport.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/test_delivery.stf', '16', 'hello_d', 'Alright, let\'s dock and get this overwith.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/test_delivery.stf', '17', 'hello_p', 'You here to take this trash? Dock with me to pick up the load.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/test_delivery.stf', '18', 'quest_dock1_d', '4');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/test_delivery.stf', '19', 'quest_dock1_t', '4');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/test_delivery.stf', '20', 'quest_dock2_d', '6');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/test_delivery.stf', '21', 'quest_dock2_t', '6');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/test_delivery.stf', '22', 'quest_location_d', '2');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/test_delivery.stf', '23', 'quest_location_t', '2');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/test_delivery.stf', '24', 'quest_rendezvous1_d', '3');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/test_delivery.stf', '25', 'quest_rendezvous1_t', '3');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/test_delivery.stf', '26', 'quest_rendezvous2_d', '5');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/test_delivery.stf', '27', 'quest_rendezvous2_t', '5');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/test_delivery.stf', '28', 'quest_update', 'Garbage Authority: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/test_delivery.stf', '29', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/test_delivery.stf', '30', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/test_delivery.stf', '31', 'title', 'Transport the Garbage');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery/test_delivery.stf', '32', 'title_d', '1');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_imperial_tier3_1_b.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_imperial_tier3_1_b.stf', '2', 'arrived_at_delivery', 'The Lambda shuttle is on it\'s way now. Stand by until it has arrived at your location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_imperial_tier3_1_b.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_imperial_tier3_1_b.stf', '4', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Incoming enemy fighters.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_imperial_tier3_1_b.stf', '5', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_imperial_tier3_1_b.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_imperial_tier3_1_b.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_imperial_tier3_1_b.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_imperial_tier3_1_b.stf', '9', 'docking_complete_delivery', 'We have the data from the rebel officer. Command is very excited to get their hands on this information.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_imperial_tier3_1_b.stf', '10', 'docking_started_delivery', 'Beginning docking procedures in order to get the Rebel officer\'s data.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_imperial_tier3_1_b.stf', '11', 'failed_destroyed', 'You allowed your transfer shuttle to be destroyed? That was an expensive ship. You are going to have to answer to your commander about this failure.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_imperial_tier3_1_b.stf', '12', 'found_loc_d', 'Meet the shuttle at this location. Transfer the data immediately on it\'s arrival.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_imperial_tier3_1_b.stf', '13', 'hello_d', 'I understand that you have something that HQ is very interested in taking a look at.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_imperial_tier3_1_b.stf', '14', 'quest_dock2_d', 'Once the shuttle has arrived, use the /dock command on it in order to transfer the plans. Be on the look out for Rebel fighters who will probably attempt to stop this delivery from happening.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_imperial_tier3_1_b.stf', '15', 'quest_dock2_t', 'Transfer the Joint Operations Plan');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_imperial_tier3_1_b.stf', '16', 'quest_location_d', 'Remain in the Yavin system and deliver the joint operations plan to the Imperial Lambda Shuttle. You will receive a navigation waypoint to the arrival location of the shuttle. Travel to this location and wait for the shuttle to arrive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_imperial_tier3_1_b.stf', '17', 'quest_location_t', 'Remain in the Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_imperial_tier3_1_b.stf', '18', 'quest_rendezvous2_d', 'When you arrive at the navigation waypoint to the Lambda shuttle, wait for it to arrive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_imperial_tier3_1_b.stf', '19', 'quest_rendezvous2_t', 'Wait for the Arrival of the Lambda Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_imperial_tier3_1_b.stf', '20', 'quest_update', '\\#pcontrast1 Black Epsilon Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_imperial_tier3_1_b.stf', '21', 'split_quest_alert', 'High command also wants a live body to confirm the rebel officer\'s data. You are going to have to capture a rebel officer and bring him back to HQ alive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_imperial_tier3_1_b.stf', '22', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_imperial_tier3_1_b.stf', '23', 'title', 'Yavin System: Deliver the Rebel Data');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_imperial_tier3_1_b.stf', '24', 'title_d', 'Remain in the Yavin system and deliver the joint operations plan. You will receive a navigation waypoint to a shuttle that will pick up the joint operations plan from you. Travel to this navigation waypoint and wait for the shuttle to arrive. Once the shuttle arrives, use the /dock command with the shuttle targeted to transfer the plans. Enemy fighters will attempt to stop this delivery from taking place. You must keep yourself, as well as, the shuttle alive until you can complete the delivery.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_imperial_tier4_2_b.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_imperial_tier4_2_b.stf', '2', 'arrived_at_delivery', 'Wait at this location for the arrival of the lambda shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_imperial_tier4_2_b.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_imperial_tier4_2_b.stf', '4', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters detected.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_imperial_tier4_2_b.stf', '5', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_imperial_tier4_2_b.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_imperial_tier4_2_b.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_imperial_tier4_2_b.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_imperial_tier4_2_b.stf', '9', 'docking_complete_delivery', 'We have the information. We will return this to command immediately. Oh, and that Insurgent guy wanted to speak with you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_imperial_tier4_2_b.stf', '10', 'docking_started_delivery', 'Beginning docking procedure now. Stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_imperial_tier4_2_b.stf', '11', 'failed_destroyed', 'You allowed your transfer shuttle to be destroyed? That was an expensive ship. You are going to have to answer to your commander about this failure.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_imperial_tier4_2_b.stf', '12', 'found_loc_d', 'Proceed to this location to make the dropoff to a command shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_imperial_tier4_2_b.stf', '13', 'hello_d', 'Stand by, pilot. We will be ready to begin the transfer shortly.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_imperial_tier4_2_b.stf', '14', 'quest_dock2_d', 'Dock with the shuttle and transfer the data. Once you have completed this task report to your superior.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_imperial_tier4_2_b.stf', '15', 'quest_dock2_t', 'Transfer the Data');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_imperial_tier4_2_b.stf', '16', 'quest_location_d', 'Remain in the Dantooine system and travel to the navigation waypoint supplied to you. This will take you to the shuttle\'s arrival location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_imperial_tier4_2_b.stf', '17', 'quest_location_t', 'Remain in the Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_imperial_tier4_2_b.stf', '18', 'quest_rendezvous2_d', 'Travel to the arrival location and wait for the the shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_imperial_tier4_2_b.stf', '19', 'quest_rendezvous2_t', 'Meet the Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_imperial_tier4_2_b.stf', '20', 'quest_update', '\\#pcontrast1 Black Epsilon Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_imperial_tier4_2_b.stf', '21', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_imperial_tier4_2_b.stf', '22', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_imperial_tier4_2_b.stf', '23', 'title', 'Dantooine System: Deliver the Clues');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_imperial_tier4_2_b.stf', '24', 'title_d', 'Remain in the Dantooine system and transfer the data to a command shuttle. Insurgent needs that information immediately in order to continue his investigation.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_privateer_tier3_4_c.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_privateer_tier3_4_c.stf', '2', 'arrived_at_delivery', '\\#pcontrast3 CorSec Command: < \\#pcontrast1 Our man should be here soon. Just wait here. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_privateer_tier3_4_c.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_privateer_tier3_4_c.stf', '4', 'attack_notify', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Enemy craft detected on attack vector. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_privateer_tier3_4_c.stf', '5', 'attack_stopped', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Hostile activity has ceased. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_privateer_tier3_4_c.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_privateer_tier3_4_c.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_privateer_tier3_4_c.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_privateer_tier3_4_c.stf', '9', 'docking_complete_delivery', 'Transfer is complete, pleasure doing business with you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_privateer_tier3_4_c.stf', '10', 'docking_started_delivery', 'The dock looks good, transfer over the cargo now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_privateer_tier3_4_c.stf', '11', 'failed_destroyed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_privateer_tier3_4_c.stf', '12', 'found_loc_d', '\\#pcontrast3 CorSec Command: < \\#pcontrast3 Uploading a waypoint to your Nav Comptuer. Head over there and drop off your recovered cargo. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_privateer_tier3_4_c.stf', '13', 'hello_d', 'Hail Captain.  I need to get this information back to Intelligence on the double. ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_privateer_tier3_4_c.stf', '14', 'quest_dock2_d', 'Use the /dock command to link up with and transfer the cargo');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_privateer_tier3_4_c.stf', '15', 'quest_dock2_t', 'Dock');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_privateer_tier3_4_c.stf', '16', 'quest_location_d', 'A rendezvous in the Endor System with freindly craft');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_privateer_tier3_4_c.stf', '17', 'quest_location_t', 'Endor System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_privateer_tier3_4_c.stf', '18', 'quest_rendezvous2_d', 'Travel to this point to meet with your designated contact');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_privateer_tier3_4_c.stf', '19', 'quest_rendezvous2_t', 'Rendezvous');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_privateer_tier3_4_c.stf', '20', 'quest_update', '\\#pcontrast3 < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_privateer_tier3_4_c.stf', '21', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_privateer_tier3_4_c.stf', '22', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_privateer_tier3_4_c.stf', '23', 'title', 'Endor System: Transfer the recovered goods to a CorSec Lancer');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_privateer_tier3_4_c.stf', '24', 'title_d', 'Transfer the recovered goods to a CorSec Lancer');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_rebel_tier4_2_a.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_rebel_tier4_2_a.stf', '2', 'arrived_at_delivery', 'Dock with the smuggler and get out of there quickly before more of the Empire\'s goons show up.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_rebel_tier4_2_a.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_rebel_tier4_2_a.stf', '4', 'attack_notify', 'Tactical Computer: < Incoming fighter vessels. Scans show weapons armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_rebel_tier4_2_a.stf', '5', 'attack_stopped', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_rebel_tier4_2_a.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_rebel_tier4_2_a.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_rebel_tier4_2_a.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_rebel_tier4_2_a.stf', '9', 'docking_complete_delivery', 'Alright I got it. Lets get out of here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_rebel_tier4_2_a.stf', '10', 'docking_started_delivery', 'Docking, be ready to transfer that data.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_rebel_tier4_2_a.stf', '11', 'failed_destroyed', 'What are you doing up there pilot? Sleeping? That man was a valuable asset! Return to base, now!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_rebel_tier4_2_a.stf', '12', 'found_loc_d', 'The closest Rebel Smuggler can meet you at this location. Get there as fast as you can.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_rebel_tier4_2_a.stf', '13', 'hello_d', 'G\'day. Lets do this quickly, I don\'t like lingering around here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_rebel_tier4_2_a.stf', '14', 'quest_dock2_d', 'Before you dock and transfer the data to the smuggler, make sure that the surrounding area is clear of enemy presence. Both your ships will be very vulnerable during the docking process and hostile fighters can make quick work of you if any of them are around.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_rebel_tier4_2_a.stf', '15', 'quest_dock2_t', 'Dock and transfer data.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_rebel_tier4_2_a.stf', '16', 'quest_location_d', 'No time to consider your path. Bolt for our smuggler, quickest route possible. Try to avoid contact with any extra hostile presence if you can but get there fast! The longer you fly around, the more of the Imperial forces will be able to track you down.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_rebel_tier4_2_a.stf', '17', 'quest_location_t', 'Dathomir system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_rebel_tier4_2_a.stf', '18', 'quest_rendezvous2_d', 'The Rebel smuggler has sent us these coordinates as your rendez-vous point. Get there quickly!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_rebel_tier4_2_a.stf', '19', 'quest_rendezvous2_t', 'Smuggler coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_rebel_tier4_2_a.stf', '20', 'quest_update', 'Worvog Arkon: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_rebel_tier4_2_a.stf', '21', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_rebel_tier4_2_a.stf', '22', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_rebel_tier4_2_a.stf', '23', 'title', 'Deliver Inquisitor data to Alliance Smuggler.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_rebel_tier4_2_a.stf', '24', 'title_d', 'The wreck of the Imperial Inquisitor you so efficiently terminated had some important data in it. Deliver this to one of our cunning smugglers immediately but be swift, the Empire is chasing you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_station_mission3_2.stf', '1', 'arrived_at_delivery', 'Roger that, pilot. Arrival at delivery location acknowledged. Await the drop-off vessel here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_station_mission3_2.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_station_mission3_2.stf', '3', 'attack_notify', '\\#pcontrast1 Tactical Computer: <\\#pcontrast3  Warning. Enemy craft inbound.\\#pcontrast1 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_station_mission3_2.stf', '4', 'attack_stopped', '\\#pcontrast1 Tactical Computer: <\\#pcontrast3  Enemy threat neutralized.\\#pcontrast1 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_station_mission3_2.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_station_mission3_2.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_station_mission3_2.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_station_mission3_2.stf', '8', 'docking_complete_delivery', 'And... you\'re clear. Say, I don\'t recognize your ship markings. Eh, whatever... my job is done.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_station_mission3_2.stf', '9', 'docking_started_delivery', 'Standing by for docking sequence.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_station_mission3_2.stf', '10', 'failed_destroyed', 'The mission is a wash, pilot. The delivery ship was destroyed. Return to base for debriefing.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_station_mission3_2.stf', '11', 'found_loc_d', 'Transmitting coordinates of delivery location. Proceed to the waypoint and meet the drop-off vessel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_station_mission3_2.stf', '12', 'hello_d', 'Are you the agent I\'m looking for? I\'m ready to transfer the package. Do you copy?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_station_mission3_2.stf', '13', 'quest_dock2_d', 'Dock with the drop-off vessel using the /dock command, and he will transfer the leaked information to your ship. Once you have it, return to the station for debriefing and anaysis.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_station_mission3_2.stf', '14', 'quest_dock2_t', 'Receive the Leaked Information');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_station_mission3_2.stf', '15', 'quest_location_d', 'The drop-off is supposed to happen elsewhere in the Corellia system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_station_mission3_2.stf', '16', 'quest_location_t', 'Remain in the Corellia System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_station_mission3_2.stf', '17', 'quest_rendezvous2_d', 'Travel to the coordinates provided by CorSec Command. The drop-off vessel will meet you there.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_station_mission3_2.stf', '18', 'quest_rendezvous2_t', 'Meet the Delivery Ship');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_station_mission3_2.stf', '19', 'quest_update', '\\#pcontrast1 CorSec Command: <\\#pcontrast3  %TO\\#pcontrast1  >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_station_mission3_2.stf', '20', 'split_quest_alert', 'Mission successful. Return to CorSec Station.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_station_mission3_2.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_station_mission3_2.stf', '22', 'title', 'Corellia System: Intercept the Leaked Information');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_station_mission3_2.stf', '23', 'title_d', 'CorSec Command wants you to take the place of the Cloak agent and intercept the leaked information that is being delivered. You should travel to the coordinates provided by Command, dock with the delivery ship, and receive the information he is carrying. Once you have it, return to the station for analysis.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_station_mission4_1.stf', '1', 'arrived_at_delivery', 'Roger that. Looks like you\'re at the right spot. The Cloak representative should be arriving shortly. Stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_station_mission4_1.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_station_mission4_1.stf', '3', 'attack_notify', '\\#pcontrast1 Tactical Computer: <\\#pcontrast3  Warning. Enemy craft inbound.\\#pcontrast1 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_station_mission4_1.stf', '4', 'attack_stopped', '\\#pcontrast1 Tactical Computer: <\\#pcontrast3  Enemy threat neutralized.\\#pcontrast1 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_station_mission4_1.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_station_mission4_1.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_station_mission4_1.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_station_mission4_1.stf', '8', 'docking_complete_delivery', 'I\'m glad to hear that you\'ve decided to work with us. Of course, you musn\'t tell CorSec Command. Now for a small test of your commitment.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_station_mission4_1.stf', '9', 'docking_started_delivery', 'You\'ve made the right choice, CorSec. Now let me tell you about the Cloaks. I think you\'ll find it interesting.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_station_mission4_1.stf', '10', 'failed_destroyed', 'We copy, pilot. Confirming destruction of the Cloak Representative. No love lost, here. Go ahead and come back to the station for debriefing.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_station_mission4_1.stf', '11', 'found_loc_d', 'You should have the coordinates for the meeting location. Go ahead and dock with the Cloak rep if you\'re comfortable with going undercover, otherwise just destroy him.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_station_mission4_1.stf', '12', 'hello_d', 'Greetings, CorSec. I\'m glad you decided to come. Dock with my ship if you\'re interested in what I have to say.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_station_mission4_1.stf', '13', 'quest_dock2_d', 'Dock with the Cloak representative if you wish to go undercover and work with the Cloaks, otherwise just destroy him.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_station_mission4_1.stf', '14', 'quest_dock2_t', 'Dock With or Destroy the Cloak Representative');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_station_mission4_1.stf', '15', 'quest_location_d', 'The meeting location is set up in the Corellia system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_station_mission4_1.stf', '16', 'quest_location_t', 'Travel to the Corellia System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_station_mission4_1.stf', '17', 'quest_rendezvous2_d', 'Travel to the navigation waypoint and meet the Cloak Representative.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_station_mission4_1.stf', '18', 'quest_rendezvous2_t', 'Meet With the Cloak Representative');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_station_mission4_1.stf', '19', 'quest_update', '\\#pcontrast1 CorSec Command: <\\#pcontrast3  %TO\\#pcontrast1  >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_station_mission4_1.stf', '20', 'split_quest_alert', 'Incoming mission. Acquire CorSec Transport security codes and deliver them to the Cloak Representative.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_station_mission4_1.stf', '21', 'split_quest_alert_fail', 'Cloak Representative destroyed. Acceptable within mission parameters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_station_mission4_1.stf', '22', 'title', 'Corellia System: Meet the Cloak Representative');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/corellia_station_mission4_1.stf', '23', 'title_d', 'A cloak representative wishes to speak with you personally, possibly about working as a double-agent. CorSec command thinks that this may be a prime opportunity to go undercover, however, this could be a potentially dangerous assignment. You are to travel to the pre-arranged meeting location. Dock with the representative if you wish to go undercover, otherwise just blow him to space dust.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier3_1_b.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier3_1_b.stf', '2', 'arrived_at_delivery', 'Very impressive, very impressive indeed. Hold at your current position for the transfer freighter to arrive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier3_1_b.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier3_1_b.stf', '4', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters incoming.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier3_1_b.stf', '5', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier3_1_b.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier3_1_b.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier3_1_b.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier3_1_b.stf', '9', 'docking_complete_delivery', 'We have the data. You should return back to your superior officer and make a report.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier3_1_b.stf', '10', 'docking_started_delivery', 'I will hold my ship steady. Dock with me when you are ready to make the transfer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier3_1_b.stf', '11', 'failed_destroyed', 'You allowed your transfer freighter to be destroyed? That was an expensive ship. You are going to have to answer to your commander about this failure.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier3_1_b.stf', '12', 'found_loc_d', 'The transfer freighter will meet you at the location that we sent to your navigation computer. Proceed there with upmost caution.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier3_1_b.stf', '13', 'hello_d', 'Glad to see you, pilot. We will begin docking momentarily.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier3_1_b.stf', '14', 'quest_dock2_d', 'Once the freighter has arrived, use the /dock command on it in order to transfer the data. Be on the look out for Rebel fighters who will probably attempt to stop this delivery from happening.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier3_1_b.stf', '15', 'quest_dock2_t', 'Transfer the Data');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier3_1_b.stf', '16', 'quest_location_d', 'Remain in the Yavin system and deliver the data to the Imperial freighter. You will receive a navigation waypoint to the arrival location of the shuttle. Travel to this location and wait for the freighter to arrive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier3_1_b.stf', '17', 'quest_location_t', 'Remain in the Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier3_1_b.stf', '18', 'quest_rendezvous2_d', 'When you arrive at the navigation waypoint to the freighter, wait for it to arrive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier3_1_b.stf', '19', 'quest_rendezvous2_t', 'Travel to the Arrival Location');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier3_1_b.stf', '20', 'quest_update', '\\#pcontrast1 Imperial High Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier3_1_b.stf', '21', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier3_1_b.stf', '22', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier3_1_b.stf', '23', 'title', 'Yavin System: Deliver the Data to the Imperial Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier3_1_b.stf', '24', 'title_d', 'Remain in the Yavin system and deliver the data. You will receive a navigation waypoint to a freighter that will pick up the data from you. Travel to this navigation waypoint and wait for the freighter to arrive. Once the freighter arrives, use the /dock command with the freighter targeted to transfer the data. Enemy fighters will attempt to stop this delivery from taking place. You must keep yourself, as well as the freighter, alive until you can complete the delivery.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier3_3_d.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier3_3_d.stf', '2', 'arrived_at_delivery', 'You have arrived at the drop off location. Stand by for the shuttle\'s arrival.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier3_3_d.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier3_3_d.stf', '4', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters incoming.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier3_3_d.stf', '5', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier3_3_d.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier3_3_d.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier3_3_d.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier3_3_d.stf', '9', 'docking_complete_delivery', 'Docking completed. We are transfering the information now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier3_3_d.stf', '10', 'docking_started_delivery', 'Docking procedure beginning. Please stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier3_3_d.stf', '11', 'failed_destroyed', 'You allowed your transfer shuttle to be destroyed? That was an expensive ship. You are going to have to answer to your commander about this failure.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier3_3_d.stf', '12', 'found_loc_d', 'Transmitting drop off cordinates to your nav computer now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier3_3_d.stf', '13', 'hello_d', 'Good to see you, pilot. We will begin docking shortly. Your superior wants to talk to you once we are done here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier3_3_d.stf', '14', 'quest_dock2_d', 'Dock with the shuttle and transfer the plans.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier3_3_d.stf', '15', 'quest_dock2_t', 'Transfer the Plans');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier3_3_d.stf', '16', 'quest_location_d', 'A shuttle will meet you in the Naboo system. A navigation waypoint will be sent to you once you enter that system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier3_3_d.stf', '17', 'quest_location_t', 'Travel to the Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier3_3_d.stf', '18', 'quest_rendezvous2_d', 'Follow the supplied navigation waypoint to the shuttle\'s arrival location. Wait for the shuttle to arrive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier3_3_d.stf', '19', 'quest_rendezvous2_t', 'Meet the Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier3_3_d.stf', '20', 'quest_update', '\\#pcontrast1 Imperial High Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier3_3_d.stf', '21', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier3_3_d.stf', '22', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier3_3_d.stf', '23', 'title', 'Naboo System: Deliver the Plans');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier3_3_d.stf', '24', 'title_d', 'Travel to the Naboo system and deliver the Rebel plans to a command shuttle that will meet you there.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier4_1_c.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier4_1_c.stf', '2', 'arrived_at_delivery', 'Stand by for arrival of the transport shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier4_1_c.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier4_1_c.stf', '4', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters detected.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier4_1_c.stf', '5', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier4_1_c.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier4_1_c.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier4_1_c.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier4_1_c.stf', '9', 'docking_complete_delivery', 'Cargo has been transfered to the transport shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier4_1_c.stf', '10', 'docking_started_delivery', 'Beginning docking procedure.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier4_1_c.stf', '11', 'failed_destroyed', 'You allowed your transfer shuttle to be destroyed? That was an expensive ship. You are going to have to answer to your commander about this failure.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier4_1_c.stf', '12', 'found_loc_d', 'Transport shuttle will meet you at the location supplied in your nav computer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier4_1_c.stf', '13', 'hello_d', 'Hello, pilot. I am here to pick up some cargo you pulled off of a smuggler. Your commander wants to speak with you after this.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier4_1_c.stf', '14', 'quest_dock2_d', 'Dock with the shuttle and transfer the crystals to it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier4_1_c.stf', '15', 'quest_dock2_t', 'Transfer the Crystals');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier4_1_c.stf', '16', 'quest_location_d', 'The shuttle will meet you in the Dathomir system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier4_1_c.stf', '17', 'quest_location_t', 'Remain in the Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier4_1_c.stf', '18', 'quest_rendezvous2_d', 'Travel to the arrival location and wait for the shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier4_1_c.stf', '19', 'quest_rendezvous2_t', 'Meeting the Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier4_1_c.stf', '20', 'quest_update', '\\#pcontrast1 Imperial High Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier4_1_c.stf', '21', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier4_1_c.stf', '22', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier4_1_c.stf', '23', 'title', 'Dathomir System: Deliver the Crystals');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier4_1_c.stf', '24', 'title_d', 'Deliver the crystals to a command shuttle in the Dathomir system. Whatever those crystals are, those mercenaries want them back badly.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier4_3_a.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier4_3_a.stf', '2', 'arrived_at_delivery', 'Stand by for arrival of command shuttle to transfer data.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier4_3_a.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier4_3_a.stf', '4', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters detected.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier4_3_a.stf', '5', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier4_3_a.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier4_3_a.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier4_3_a.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier4_3_a.stf', '9', 'docking_complete_delivery', 'We have the transmission data safely on board. Fly safe out there pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier4_3_a.stf', '10', 'docking_started_delivery', 'Ready to begin downloading transmission data.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier4_3_a.stf', '11', 'failed_destroyed', 'You allowed your transfer shuttle to be destroyed? That was an expensive ship. You are going to have to answer to your commander about this failure.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier4_3_a.stf', '12', 'found_loc_d', 'Meet the command shuttle at this location. Dock with it once it arrives to transfer the data.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier4_3_a.stf', '13', 'hello_d', 'Hello, pilot. I understand you have that transmission data that everyone has been waiting to get their hands on.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier4_3_a.stf', '14', 'quest_dock2_d', 'Dock with the shuttle and transfer the broadcast to it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier4_3_a.stf', '15', 'quest_dock2_t', 'Transfer the Broadcast');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier4_3_a.stf', '16', 'quest_location_d', 'Remain in the Dathomir system and you will receive a navigation waypoint to the arrival location of the shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier4_3_a.stf', '17', 'quest_location_t', 'Remain in the Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier4_3_a.stf', '18', 'quest_rendezvous2_d', 'Travel to the arrival location and wait for the arrival of the shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier4_3_a.stf', '19', 'quest_rendezvous2_t', 'Meet the Command Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier4_3_a.stf', '20', 'quest_update', '\\#pcontrast1 Imperial High Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier4_3_a.stf', '21', 'split_quest_alert', 'Alert! High command located a Coynite command vessel in the sector. Prepare to assault and destroy command vessel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier4_3_a.stf', '22', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier4_3_a.stf', '23', 'title', 'Dathomir System: Dropping off the Transmission');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_imperial_tier4_3_a.stf', '24', 'title_d', 'Remain in the Endor system and deliver the intercepted transmission to a command shuttle. The Inquisition will send a shuttle out to meet you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_privateer_tier3_3b.stf', '1', 'arrived_at_delivery', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Designated rendezvous point reached. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_privateer_tier3_3b.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_privateer_tier3_3b.stf', '3', 'attack_notify', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Enemy craft detected on attack vector. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_privateer_tier3_3b.stf', '4', 'attack_stopped', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Hostile Activity has ceased. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_privateer_tier3_3b.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_privateer_tier3_3b.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_privateer_tier3_3b.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_privateer_tier3_3b.stf', '8', 'docking_complete_delivery', 'The dock looks good, send over the cargo.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_privateer_tier3_3b.stf', '9', 'docking_started_delivery', 'Cargo transfer now');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_privateer_tier3_3b.stf', '10', 'failed_destroyed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_privateer_tier3_3b.stf', '11', 'found_loc_d', '\\#pcontrast3 RSF Command: < \\#pcontrast1 We are uploading some coordinates to you now.  We have a rawl out there to meet you.  We have more tasks when it is finished. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_privateer_tier3_3b.stf', '12', 'hello_d', 'This is Captain Dekert, Command said to expect you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_privateer_tier3_3b.stf', '13', 'quest_dock2_d', 'Use the /dock command to transfer your cargo');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_privateer_tier3_3b.stf', '14', 'quest_dock2_t', 'Dock');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_privateer_tier3_3b.stf', '15', 'quest_location_d', 'An area of  Black Sun activity');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_privateer_tier3_3b.stf', '16', 'quest_location_t', 'Lok System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_privateer_tier3_3b.stf', '17', 'quest_rendezvous2_d', 'Meet up with a RSF Rawl here');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_privateer_tier3_3b.stf', '18', 'quest_rendezvous2_t', 'Rendezvous');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_privateer_tier3_3b.stf', '19', 'quest_update', '\\#pcontrast3 < %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_privateer_tier3_3b.stf', '20', 'split_quest_alert', '\\#pcontrast3 RSF Command: < \\#pcontrast1 I hate to throw you to the Swamp Stalkers here Captain but we are about to do just that.  There is a vulnerability in the Black Sun communications net we want to exploit but it is in Black Sun controlled area.  You will be a major target. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_privateer_tier3_3b.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_privateer_tier3_3b.stf', '22', 'title', 'Lok System: Deliver Encrypted Documents to the RSF Contact');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_privateer_tier3_3b.stf', '23', 'title_d', 'You must deliver the encrypted documents to a RSF contact in the Lok System.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_rebel_tier3_1_d.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_rebel_tier3_1_d.stf', '2', 'arrived_at_delivery', 'Our Rebel Contact should be here soon. Keep an eye out for enemies, pilot. We can\'t lose you now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_rebel_tier3_1_d.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_rebel_tier3_1_d.stf', '4', 'attack_notify', 'Tactical Computer: < Incoming fighter vessels. Scans show weapons armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_rebel_tier3_1_d.stf', '5', 'attack_stopped', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_rebel_tier3_1_d.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_rebel_tier3_1_d.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_rebel_tier3_1_d.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_rebel_tier3_1_d.stf', '9', 'docking_complete_delivery', 'You\'re ready to go, pilot. We\'ve received the goods.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_rebel_tier3_1_d.stf', '10', 'docking_started_delivery', 'Watch the hull, buddy! I just cleaned that!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_rebel_tier3_1_d.stf', '11', 'failed_destroyed', 'Ack, we\'ve lost contact with our freighter! Return to base immediately pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_rebel_tier3_1_d.stf', '12', 'found_loc_d', 'We\'ve given you the point at which our Rebel contact will meet you. You\'ll deliver the information to him by docking. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_rebel_tier3_1_d.stf', '13', 'hello_d', 'Greetings, pilot. H-21D here to help you out with a delivery.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_rebel_tier3_1_d.stf', '14', 'quest_dock2_d', 'If you are certain that the surrounding area is clear of the Imperial scum, dock with the freighter to transfer the data.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_rebel_tier3_1_d.stf', '15', 'quest_dock2_t', 'Dock with the freighter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_rebel_tier3_1_d.stf', '16', 'quest_location_d', 'The Dantooine system is now relatively safe but if the information you recovered from the spies ship was valuable, the Empire might try and stop you so be ready for surprises.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_rebel_tier3_1_d.stf', '17', 'quest_location_t', 'Dantooine system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_rebel_tier3_1_d.stf', '18', 'quest_rendezvous2_d', 'You should now have the coordinates that the freighter supplied us with for the rendez-vous. Make your way there with haste.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_rebel_tier3_1_d.stf', '19', 'quest_rendezvous2_t', 'Rendez-vous coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_rebel_tier3_1_d.stf', '20', 'quest_update', 'Vortex Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_rebel_tier3_1_d.stf', '21', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_rebel_tier3_1_d.stf', '22', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_rebel_tier3_1_d.stf', '23', 'title', 'Dantooine system: Deliver Imperial data.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_rebel_tier3_1_d.stf', '24', 'title_d', 'Deliver the data stolen from the spy\'s ship to one of our data freighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_rebel_tier4_3_b.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_rebel_tier4_3_b.stf', '2', 'arrived_at_delivery', 'You are at the correct location pilot, the smuggler should be there any second.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_rebel_tier4_3_b.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_rebel_tier4_3_b.stf', '4', 'attack_notify', 'Tactical Computer: < Incoming fighter vessels. Scans show weapons armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_rebel_tier4_3_b.stf', '5', 'attack_stopped', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_rebel_tier4_3_b.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_rebel_tier4_3_b.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_rebel_tier4_3_b.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_rebel_tier4_3_b.stf', '9', 'docking_complete_delivery', 'Alright I got it and I\'m out of here, be safe!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_rebel_tier4_3_b.stf', '10', 'docking_started_delivery', 'Lets do this quickly, I don\'t like the look of all those laser burns on your ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_rebel_tier4_3_b.stf', '11', 'failed_destroyed', 'That poor smuggler just tried to help. Return to base immediately pilot, we need to talk.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_rebel_tier4_3_b.stf', '12', 'found_loc_d', 'Lets make sure our operative didn\'t die in vain. Deliver the data he transferred to our smuggler at these coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_rebel_tier4_3_b.stf', '13', 'hello_d', 'Greetings, you got a package for me I\'m told.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_rebel_tier4_3_b.stf', '14', 'quest_dock2_d', 'Make sure that you have eliminated nearby Imperial threats before starting the docking sequence as both you and the smuggler will be very vulnerable while transferring the data.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_rebel_tier4_3_b.stf', '15', 'quest_dock2_t', 'Dock and transfer data.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_rebel_tier4_3_b.stf', '16', 'quest_location_d', 'You will be doing a data run through extremely dangerous areas and we know that the Empire is looking for you so I hope you came prepared for a fight my friend.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_rebel_tier4_3_b.stf', '17', 'quest_location_t', 'Dathomir system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_rebel_tier4_3_b.stf', '18', 'quest_rendezvous2_d', 'The smuggler provided us with these coordinates. Try to avoid leading Imperial forces to this area if you can.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_rebel_tier4_3_b.stf', '19', 'quest_rendezvous2_t', 'Smuggler coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_rebel_tier4_3_b.stf', '20', 'quest_update', 'Brother Extok Evin: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_rebel_tier4_3_b.stf', '21', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_rebel_tier4_3_b.stf', '22', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_rebel_tier4_3_b.stf', '23', 'title', 'Dathomir system: Deliver the Vortex operatives data.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_rebel_tier4_3_b.stf', '24', 'title_d', 'Our spy didn\'t die in vain, he managed to transfer most of his important data to your ship before his unfortunate end. Bring it to one of our smugglers immediately.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_station_emperors_access_quest_2.stf', '1', 'arrived_at_delivery', 'Hold your position pilot, we are sending over a TIE to scan your ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_station_emperors_access_quest_2.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_station_emperors_access_quest_2.stf', '3', 'attack_notify', 'Tactical Computer: < Incoming fighter vessels. Scans show weapons armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_station_emperors_access_quest_2.stf', '4', 'attack_stopped', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_station_emperors_access_quest_2.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_station_emperors_access_quest_2.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_station_emperors_access_quest_2.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_station_emperors_access_quest_2.stf', '8', 'docking_complete_delivery', 'Rebels that have uncovered our freighter routes you say? I would have said you\'re crazy, but those Rebels attacking you on your way here does confirm that something is going on. Stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_station_emperors_access_quest_2.stf', '9', 'docking_started_delivery', 'Everything looks to be in order and his ship is clear of contraband commander. Now, why are you here?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_station_emperors_access_quest_2.stf', '10', 'failed_destroyed', 'We have enough problems here as it is and don\'t need you to lead Rebel scum to our operations. Get out of here!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_station_emperors_access_quest_2.stf', '11', 'found_loc_d', 'This is the security commander of the Yavin system Imperial station. Continue to these coordinates immediately and prepare to identify yourself.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_station_emperors_access_quest_2.stf', '12', 'hello_d', 'Pilot, shut down your weapon systems and dock with me for identity confirmation and scan.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_station_emperors_access_quest_2.stf', '13', 'quest_dock2_d', 'You need to dock with the TIE Interceptor so he can confirm your identity and scan your ship for anything dangerous or illegal.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_station_emperors_access_quest_2.stf', '14', 'quest_dock2_t', 'Security scan.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_station_emperors_access_quest_2.stf', '15', 'quest_location_d', 'The Yavin system is heavily guarded by Imperial forces but there\'s still a rogue presence with unscrupulous bounty hunters, pirates and mercenaries so don\'t feel too safe.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_station_emperors_access_quest_2.stf', '16', 'quest_location_t', 'Yavin system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_station_emperors_access_quest_2.stf', '17', 'quest_rendezvous2_d', 'The security commander of the Yavin Imperial space station has ordered you to fly to these coordinates immediately.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_station_emperors_access_quest_2.stf', '18', 'quest_rendezvous2_t', 'Security meeting coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_station_emperors_access_quest_2.stf', '19', 'quest_update', 'Imperial Space Station: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_station_emperors_access_quest_2.stf', '20', 'split_quest_alert', 'Imperial Space Station: < This couldn\'t have come at a worse time since we are terminating pirates in another sector of the debris field. Although you\'re not under my command, I\'d appreciate if you flew out to where the freighter was attacked and recon the area. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_station_emperors_access_quest_2.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_station_emperors_access_quest_2.stf', '22', 'title', 'Yavin system: Delivering the bad news.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/naboo_station_emperors_access_quest_2.stf', '23', 'title_d', 'The crew of the freighter you rescued in the Naboo system asked you to deliver their suspicions that the Rebels uncovered the Imperial freighter route in the Yavin system and are planning an attack.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/poi_tatooine_privateer_1.stf', '1', 'arrived_at_delivery', '\\#pcontrast1 Hutt Informant:\\#pcontrast3 < One of Jabba\'s men will be there soon. Keep an eye out and don\'t make any sudden moves. They\'re quick to fire at unknown vessels. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/poi_tatooine_privateer_1.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/poi_tatooine_privateer_1.stf', '3', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Incoming enemy fighters.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/poi_tatooine_privateer_1.stf', '4', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/poi_tatooine_privateer_1.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/poi_tatooine_privateer_1.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/poi_tatooine_privateer_1.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/poi_tatooine_privateer_1.stf', '8', 'docking_complete_delivery', 'Secret codes, eh? Let me see these. Hm. Well... they don\'t look counterfeit. I guess I can clear these. I\'ll notify my superiors. You\'ll receive more instructions soon.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/poi_tatooine_privateer_1.stf', '9', 'docking_started_delivery', 'Beginning docking procedures to receive secret codes. Stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/poi_tatooine_privateer_1.stf', '10', 'failed_destroyed', 'Pilot! The Hutt Informant has been destroyed! Mission Failed!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/poi_tatooine_privateer_1.stf', '11', 'found_loc_d', 'One of Jabba\'s men will meet you there to receive and look over the secret codes. We will then be given further instructions.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/poi_tatooine_privateer_1.stf', '12', 'hello_d', '\'ey! I was notified that you have \'secret codes\'. No funny business now. We\'re watching you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/poi_tatooine_privateer_1.stf', '13', 'quest_dock2_d', 'Jabba\'s spy will want those secret codes pretty quickly. You begin to wonder if they\'re fake.. what would happen then? What if this is a set up? You tell yourself you probably shouldn\'t worry about such things, but decide to keep your weapon systems alert. Just in case. When the spy finally gets to the location, use /dock to transfer the orders. And be quick about it. Hutts like to shoot things.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/poi_tatooine_privateer_1.stf', '14', 'quest_dock2_t', 'Transfer Secret Codes');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/poi_tatooine_privateer_1.stf', '15', 'quest_location_d', 'To succeed in your task, you must take the secret codes from Garett Erlskel in Hutt Claims to one of Jabba\'s men in Jabba\'s Star. You can find locations to both places in your nifty little datapad, under the POI tab.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/poi_tatooine_privateer_1.stf', '16', 'quest_location_t', 'Travel from Hutt Claims to Jabba\'s Star');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/poi_tatooine_privateer_1.stf', '17', 'quest_rendezvous2_d', 'Plan to wait at the waypoint you\'re given for Jabba\'s spy. He\'s probably just finishing his lunch or just getting up from taking a nap. Be patient.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/poi_tatooine_privateer_1.stf', '18', 'quest_rendezvous2_t', 'Wait for Jabba\'s Spy');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/poi_tatooine_privateer_1.stf', '19', 'quest_update', '\\#pcontrast1 Hutt Informant:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/poi_tatooine_privateer_1.stf', '20', 'split_quest_alert', '\\#pcontrast1 Hutt Informant:\\#pcontrast3 < Looks like they accepted the secret codes. Now, it\'s time to pick up the attack orders and bring them back to Hutt Claims. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/poi_tatooine_privateer_1.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/poi_tatooine_privateer_1.stf', '22', 'title', 'Tatoo System: Deliver Secret Code to Jabba\'s Star');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/poi_tatooine_privateer_1.stf', '23', 'title_d', 'The Hutt Informant you found at Hutt Claims, Garett Erlskel, has instructed you to deliver \'secret codes\' to Jabba\'s men at the Hutt\'s origin of control in the Tatoo System, Jabba\'s Star. You might as well keep your weapon systems alert. No doubt the Valarians, hated enemies of the Hutts, have stumbled onto the details of the pending attacks ahead. You figure you can find Jabba\'s Star by looking in your nifty little datapad under the nicely-catagorized POI tab.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/poi_tatooine_privateer_2_c.stf', '1', 'arrived_at_delivery', 'Good. I will appear soon. I must make sure the Valarians aren\'t tracking us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/poi_tatooine_privateer_2_c.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/poi_tatooine_privateer_2_c.stf', '3', 'attack_notify', 'blah');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/poi_tatooine_privateer_2_c.stf', '4', 'attack_stopped', 'blah');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/poi_tatooine_privateer_2_c.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/poi_tatooine_privateer_2_c.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/poi_tatooine_privateer_2_c.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/poi_tatooine_privateer_2_c.stf', '8', 'docking_complete_delivery', 'Thank you, pilot. I must analyze this and pass it on to my superiors. We\'ll have an attack plan soon. I hope you\'ll join us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/poi_tatooine_privateer_2_c.stf', '9', 'docking_started_delivery', 'Beginning docking proceedures..');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/poi_tatooine_privateer_2_c.stf', '10', 'failed_destroyed', 'Pilot! Our cause is lost!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/poi_tatooine_privateer_2_c.stf', '11', 'found_loc_d', 'A target location has been given to you. Go here and I\'ll meet you. Stay alert. There could be Valarians on our tail.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/poi_tatooine_privateer_2_c.stf', '12', 'hello_d', 'All right, pilot. Let\'s transfer the information you found off the Valarians.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/poi_tatooine_privateer_2_c.stf', '13', 'quest_dock2_d', 'Dock with Garett by using the /dock command to transfer the information you found off the Valarians.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/poi_tatooine_privateer_2_c.stf', '14', 'quest_dock2_t', 'Dock with Garett');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/poi_tatooine_privateer_2_c.stf', '15', 'quest_location_d', 'Travel to the Tatoo System to meet Garett.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/poi_tatooine_privateer_2_c.stf', '16', 'quest_location_t', 'Tatoo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/poi_tatooine_privateer_2_c.stf', '17', 'quest_rendezvous2_d', 'At this point, you\'ll need to find Garett. You assume he\'ll be at the \"usual\" place.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/poi_tatooine_privateer_2_c.stf', '18', 'quest_rendezvous2_t', 'Find Garett');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/poi_tatooine_privateer_2_c.stf', '19', 'quest_update', '\\#pcontrast1 Hutt Informant:\\#pcontrast3 < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/poi_tatooine_privateer_2_c.stf', '20', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/poi_tatooine_privateer_2_c.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/poi_tatooine_privateer_2_c.stf', '22', 'title', 'Tatoo System: Transfer the Information to Garett');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/poi_tatooine_privateer_2_c.stf', '23', 'title_d', 'After smoking some Valarians, you\'ve been ordered to transfer the information directly to Garett. You\'re beginning to wonder what you\'re going to get out of this. It had better be good. You\'ve got components to buy.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/poi_tatooine_privateer_3.stf', '1', 'arrived_at_delivery', 'It pleases me that you made it to Jabba\'s Star safely. Our contact will arrive soon.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/poi_tatooine_privateer_3.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/poi_tatooine_privateer_3.stf', '3', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Incoming enemy fighters.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/poi_tatooine_privateer_3.stf', '4', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/poi_tatooine_privateer_3.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/poi_tatooine_privateer_3.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/poi_tatooine_privateer_3.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/poi_tatooine_privateer_3.stf', '8', 'docking_complete_delivery', 'Yeh done good, pilot. There may be room in our ranks fer folks like yeh. Carry on.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/poi_tatooine_privateer_3.stf', '9', 'docking_started_delivery', 'Let\'s git this here notice of yeh. We don\'t want Valari\'ns gettin\' yeh anymore.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/poi_tatooine_privateer_3.stf', '10', 'failed_destroyed', 'Pilot! You\'ve failed us!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/poi_tatooine_privateer_3.stf', '11', 'found_loc_d', 'I\'m sending you the location at which you\'ll meet our contact. You need to transfer the notice once you get there and after the contact arrives.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/poi_tatooine_privateer_3.stf', '12', 'hello_d', 'Let\'s git this over wit\'. I can feel Valari\'ns close.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/poi_tatooine_privateer_3.stf', '13', 'quest_dock2_d', 'To dock with the contact, use the /dock command.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/poi_tatooine_privateer_3.stf', '14', 'quest_dock2_t', 'Docking with the contact');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/poi_tatooine_privateer_3.stf', '15', 'quest_location_d', 'Travel to the Tatoo System and complete your mission.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/poi_tatooine_privateer_3.stf', '16', 'quest_location_t', 'Tatoo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/poi_tatooine_privateer_3.stf', '17', 'quest_rendezvous2_d', 'At Jabba\'s Star, easily found in the datapad under the POI tab, you\'ll need to meet with the designated contact and transfer the attack notice.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/poi_tatooine_privateer_3.stf', '18', 'quest_rendezvous2_t', 'Meet with contact at Jabba\'s Star');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/poi_tatooine_privateer_3.stf', '19', 'quest_update', '\\#pcontrast1 Hutt Informant:\\#pcontrast3 < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/poi_tatooine_privateer_3.stf', '20', 'split_quest_alert', '\\#pcontrast1 Hutt Informant:\\#pcontrast3 < So far so good. I\'ve been informed that our war vessels are ready. Escort the commander safely to the waypoint I\'ve given you. We\'ll get this attack underway with his help. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/poi_tatooine_privateer_3.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/poi_tatooine_privateer_3.stf', '22', 'title', 'Tatoo System: Transfer the Notice');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/poi_tatooine_privateer_3.stf', '23', 'title_d', 'You\'ve been given orders from Garett to deliver a notice, explaining to the contacts at Jabba\'s Star that an attack is imminent and that you need their support.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stan_dantooine_owner_all_lokdelivery_tier2_1.stf', '1', 'arrived_at_delivery', 'Stand by. The shipping company said they would meet us here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stan_dantooine_owner_all_lokdelivery_tier2_1.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stan_dantooine_owner_all_lokdelivery_tier2_1.stf', '3', 'attack_notify', 'Tactical Computer: < Enemy fighters detected. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stan_dantooine_owner_all_lokdelivery_tier2_1.stf', '4', 'attack_stopped', 'Tactical Computer: < Enemy fighters eliminated. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stan_dantooine_owner_all_lokdelivery_tier2_1.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stan_dantooine_owner_all_lokdelivery_tier2_1.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stan_dantooine_owner_all_lokdelivery_tier2_1.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stan_dantooine_owner_all_lokdelivery_tier2_1.stf', '8', 'docking_complete_delivery', 'Ok, you have the goods Dantooine ordered. We are out of here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stan_dantooine_owner_all_lokdelivery_tier2_1.stf', '9', 'docking_started_delivery', 'Transferring cargo to your vessel. Make sure that Dantooine gets that shipment.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stan_dantooine_owner_all_lokdelivery_tier2_1.stf', '10', 'failed_destroyed', 'How could you do that? They are never going to help us again.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stan_dantooine_owner_all_lokdelivery_tier2_1.stf', '11', 'found_loc_d', 'Sending you the location of where we are supposed to meet the shipping company.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stan_dantooine_owner_all_lokdelivery_tier2_1.stf', '12', 'hello_d', 'Go ahead and dock whenever you are ready. We have the cargo.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stan_dantooine_owner_all_lokdelivery_tier2_1.stf', '13', 'quest_dock2_d', 'Dock with the freighter and pick up the cargo. Then bring it back to the Dantooine station.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stan_dantooine_owner_all_lokdelivery_tier2_1.stf', '14', 'quest_dock2_t', 'Transfer the Cargo');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stan_dantooine_owner_all_lokdelivery_tier2_1.stf', '15', 'quest_location_d', 'The meeting point is located in the Lok system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stan_dantooine_owner_all_lokdelivery_tier2_1.stf', '16', 'quest_location_t', 'Travel to the Lok System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stan_dantooine_owner_all_lokdelivery_tier2_1.stf', '17', 'quest_rendezvous2_d', 'Meet the freighter at its arrival location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stan_dantooine_owner_all_lokdelivery_tier2_1.stf', '18', 'quest_rendezvous2_t', 'Meet the Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stan_dantooine_owner_all_lokdelivery_tier2_1.stf', '19', 'quest_update', 'Dantooine Station: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stan_dantooine_owner_all_lokdelivery_tier2_1.stf', '20', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stan_dantooine_owner_all_lokdelivery_tier2_1.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stan_dantooine_owner_all_lokdelivery_tier2_1.stf', '22', 'title', 'Lok System: Pickup Cargo for the Dantooine Station');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stan_dantooine_owner_all_lokdelivery_tier2_1.stf', '23', 'title_d', 'The Dantooine station has hired you to pick up a delivery that was ment for them in the Lok system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_corelliapickup_tier2_1.stf', '1', 'arrived_at_delivery', 'Stand by. The shipping company said they would meet us here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_corelliapickup_tier2_1.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_corelliapickup_tier2_1.stf', '3', 'attack_notify', 'Tactical Computer: < Enemy fighters detected. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_corelliapickup_tier2_1.stf', '4', 'attack_stopped', 'Tactical Computer: < Enemy fighters eliminated. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_corelliapickup_tier2_1.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_corelliapickup_tier2_1.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_corelliapickup_tier2_1.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_corelliapickup_tier2_1.stf', '8', 'docking_complete_delivery', 'Ok, you have the goods Dantooine ordered. We are out of here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_corelliapickup_tier2_1.stf', '9', 'docking_started_delivery', 'Transferring cargo to your vessel. Make sure that Dantooine gets that shipment.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_corelliapickup_tier2_1.stf', '10', 'failed_destroyed', 'How could you do that? They are never going to help us again.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_corelliapickup_tier2_1.stf', '11', 'found_loc_d', 'Sending you the location of where we are supposed to meet the shipping company.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_corelliapickup_tier2_1.stf', '12', 'hello_d', 'Go ahead and dock whenever you are ready. We have the cargo.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_corelliapickup_tier2_1.stf', '13', 'quest_dock2_d', 'Dock with the freighter and pick up the cargo. Then bring it back to the Dantooine station.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_corelliapickup_tier2_1.stf', '14', 'quest_dock2_t', 'Transfer the Cargo');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_corelliapickup_tier2_1.stf', '15', 'quest_location_d', 'The meeting point is located in the Corellia system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_corelliapickup_tier2_1.stf', '16', 'quest_location_t', 'Travel to the Corellia System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_corelliapickup_tier2_1.stf', '17', 'quest_rendezvous2_d', 'Meet the freighter at its arrival location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_corelliapickup_tier2_1.stf', '18', 'quest_rendezvous2_t', 'Meet the Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_corelliapickup_tier2_1.stf', '19', 'quest_update', 'Dantooine Station: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_corelliapickup_tier2_1.stf', '20', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_corelliapickup_tier2_1.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_corelliapickup_tier2_1.stf', '22', 'title', 'Corellia System: Pickup Cargo for the Dantooine Station');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_corelliapickup_tier2_1.stf', '23', 'title_d', 'The Dantooine station has hired you to pick up a delivery that was ment for them in the Corellia system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_mircropickup_tier2_01.stf', '1', 'arrived_at_delivery', 'Stand by for arrival of the freighter carrying our cargo.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_mircropickup_tier2_01.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_mircropickup_tier2_01.stf', '3', 'attack_notify', 'Tactical Computer: < Enemy fighters detected. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_mircropickup_tier2_01.stf', '4', 'attack_stopped', 'Tactical Computer: < Enemy fighters eliminated. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_mircropickup_tier2_01.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_mircropickup_tier2_01.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_mircropickup_tier2_01.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_mircropickup_tier2_01.stf', '8', 'docking_complete_delivery', 'Ok, you have the micro-processor. See you around.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_mircropickup_tier2_01.stf', '9', 'docking_started_delivery', 'Transferring cargo to your vessel now. Stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_mircropickup_tier2_01.stf', '10', 'failed_destroyed', 'We needed that cargo. Where are we going to get another one now?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_mircropickup_tier2_01.stf', '11', 'found_loc_d', 'The shipping company has agreed to meet you at the supplied location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_mircropickup_tier2_01.stf', '12', 'hello_d', 'Ok, let\'s make this fast. Dock when ready and I will transfer the goods.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_mircropickup_tier2_01.stf', '13', 'quest_dock2_d', 'Dock with the freighter and transfer it to your vessel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_mircropickup_tier2_01.stf', '14', 'quest_dock2_t', 'Pickup the Processor');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_mircropickup_tier2_01.stf', '15', 'quest_location_d', 'The shipping company has agreed to drop the cargo onto your ship as long as you meet them in Corellia.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_mircropickup_tier2_01.stf', '16', 'quest_location_t', 'Travel to the Corellia System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_mircropickup_tier2_01.stf', '17', 'quest_rendezvous2_d', 'Travel to the arrival location of the freighter and wait for them to arrive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_mircropickup_tier2_01.stf', '18', 'quest_rendezvous2_t', 'Meet the Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_mircropickup_tier2_01.stf', '19', 'quest_update', 'Dantooine Station: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_mircropickup_tier2_01.stf', '20', 'split_quest_alert', 'Travel to the Tatooine system. A freighter that was supposed to deliver Lemdurion Plates to the Dantooine system has been delayed and needs an escort through the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_mircropickup_tier2_01.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_mircropickup_tier2_01.stf', '22', 'title', 'Corellia System: Pickup the Micro-Processor');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_mircropickup_tier2_01.stf', '23', 'title_d', 'The Dantooine station has hired you to pick up a micro-processor from a shipping company in Corellia. The company will not deliver out to Dantooine and that processor is desperately needed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_naboodelivery_tier2_1.stf', '1', 'arrived_at_delivery', 'Stand by. The shipping company said they would meet us here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_naboodelivery_tier2_1.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_naboodelivery_tier2_1.stf', '3', 'attack_notify', 'Tactical Computer: < Enemy fighters detected. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_naboodelivery_tier2_1.stf', '4', 'attack_stopped', 'Tactical Computer: < Enemy fighters eliminated. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_naboodelivery_tier2_1.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_naboodelivery_tier2_1.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_naboodelivery_tier2_1.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_naboodelivery_tier2_1.stf', '8', 'docking_complete_delivery', 'Ok, you have the goods Dantooine ordered. We are out of here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_naboodelivery_tier2_1.stf', '9', 'docking_started_delivery', 'Transferring cargo to your vessel. Make sure that Dantooine gets that shipment.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_naboodelivery_tier2_1.stf', '10', 'failed_destroyed', 'How could you do that? They are never going to help us again.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_naboodelivery_tier2_1.stf', '11', 'found_loc_d', 'Sending you the location of where we are supposed to meet the shipping company.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_naboodelivery_tier2_1.stf', '12', 'hello_d', 'Go ahead and dock whenever you are ready. We have the cargo.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_naboodelivery_tier2_1.stf', '13', 'quest_dock2_d', 'Dock with the freighter and pick up the cargo. Then bring it back to the Dantooine station.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_naboodelivery_tier2_1.stf', '14', 'quest_dock2_t', 'Transfer the Cargo');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_naboodelivery_tier2_1.stf', '15', 'quest_location_d', 'The meeting point is located in the Naboo system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_naboodelivery_tier2_1.stf', '16', 'quest_location_t', 'Travel to the Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_naboodelivery_tier2_1.stf', '17', 'quest_rendezvous2_d', 'Meet the freighter at its arrival location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_naboodelivery_tier2_1.stf', '18', 'quest_rendezvous2_t', 'Meet the Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_naboodelivery_tier2_1.stf', '19', 'quest_update', 'Dantooine Station: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_naboodelivery_tier2_1.stf', '20', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_naboodelivery_tier2_1.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_naboodelivery_tier2_1.stf', '22', 'title', 'Naboo System: Pickup Cargo for the Dantooine Station');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_naboodelivery_tier2_1.stf', '23', 'title_d', 'The Dantooine station has hired you to pick up a delivery in the Naboo system that was meant for them.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_repairmission_tier2_1.stf', '1', 'arrived_at_delivery', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_repairmission_tier2_1.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_repairmission_tier2_1.stf', '3', 'attack_notify', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_repairmission_tier2_1.stf', '4', 'attack_stopped', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_repairmission_tier2_1.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_repairmission_tier2_1.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_repairmission_tier2_1.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_repairmission_tier2_1.stf', '8', 'docking_complete_delivery', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_repairmission_tier2_1.stf', '9', 'docking_started_delivery', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_repairmission_tier2_1.stf', '10', 'failed_destroyed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_repairmission_tier2_1.stf', '11', 'found_loc_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_repairmission_tier2_1.stf', '12', 'hello_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_repairmission_tier2_1.stf', '13', 'quest_dock2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_repairmission_tier2_1.stf', '14', 'quest_dock2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_repairmission_tier2_1.stf', '15', 'quest_location_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_repairmission_tier2_1.stf', '16', 'quest_location_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_repairmission_tier2_1.stf', '17', 'quest_rendezvous2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_repairmission_tier2_1.stf', '18', 'quest_rendezvous2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_repairmission_tier2_1.stf', '19', 'quest_update', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_repairmission_tier2_1.stf', '20', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_repairmission_tier2_1.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_repairmission_tier2_1.stf', '22', 'title', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_repairmission_tier2_1.stf', '23', 'title_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_tatooinedelivery_tier2_1.stf', '1', 'arrived_at_delivery', 'Stand by. The shipping company said they would meet us here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_tatooinedelivery_tier2_1.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_tatooinedelivery_tier2_1.stf', '3', 'attack_notify', 'Tactical Computer: < Enemy fighters detected. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_tatooinedelivery_tier2_1.stf', '4', 'attack_stopped', 'Tactical Computer: < Enemy fighters eliminated. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_tatooinedelivery_tier2_1.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_tatooinedelivery_tier2_1.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_tatooinedelivery_tier2_1.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_tatooinedelivery_tier2_1.stf', '8', 'docking_complete_delivery', 'Ok, you have the goods Dantooine ordered. We are out of here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_tatooinedelivery_tier2_1.stf', '9', 'docking_started_delivery', 'Transferring cargo to your vessel. Make sure that Dantooine gets that shipment.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_tatooinedelivery_tier2_1.stf', '10', 'failed_destroyed', 'How could you do that? They are never going to help us again.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_tatooinedelivery_tier2_1.stf', '11', 'found_loc_d', 'Sending you the location of where we are supposed to meet the shipping company.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_tatooinedelivery_tier2_1.stf', '12', 'hello_d', 'Go ahead and dock whenever you are ready. We have the cargo.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_tatooinedelivery_tier2_1.stf', '13', 'quest_dock2_d', 'Dock with the freighter and pick up the cargo. Then bring it back to the Dantooine station.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_tatooinedelivery_tier2_1.stf', '14', 'quest_dock2_t', 'Transfer the Cargo');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_tatooinedelivery_tier2_1.stf', '15', 'quest_location_d', 'The meeting point is located in the Tatoo system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_tatooinedelivery_tier2_1.stf', '16', 'quest_location_t', 'Travel to the Tatoo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_tatooinedelivery_tier2_1.stf', '17', 'quest_rendezvous2_d', 'Meet the freighter at its arrival location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_tatooinedelivery_tier2_1.stf', '18', 'quest_rendezvous2_t', 'Meet the Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_tatooinedelivery_tier2_1.stf', '19', 'quest_update', 'Dantooine Station: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_tatooinedelivery_tier2_1.stf', '20', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_tatooinedelivery_tier2_1.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_tatooinedelivery_tier2_1.stf', '22', 'title', 'Tatooine System: Pickup Cargo for the Dantooine Station');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_dantooine_owner_all_tatooinedelivery_tier2_1.stf', '23', 'title_d', 'The Dantooine station has hired you to pick up a delivery in the Tatoo system that was meant for them.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_yavin4_company_all_massassi_tier2_9.stf', '1', 'arrived_at_delivery', 'Stand by. Tracking Corellia Deep Mining Company supply vessel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_yavin4_company_all_massassi_tier2_9.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_yavin4_company_all_massassi_tier2_9.stf', '3', 'attack_notify', 'Tactical Computer: < Incoming enemy fighters. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_yavin4_company_all_massassi_tier2_9.stf', '4', 'attack_stopped', 'Tactical Computer: < Enemy fighters eliminated. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_yavin4_company_all_massassi_tier2_9.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_yavin4_company_all_massassi_tier2_9.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_yavin4_company_all_massassi_tier2_9.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_yavin4_company_all_massassi_tier2_9.stf', '8', 'docking_complete_delivery', 'Alright. Remember scare those Yavin boys real good. With enough pressure they will be forced to fold their operation. Keep up the good work.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_yavin4_company_all_massassi_tier2_9.stf', '9', 'docking_started_delivery', 'So everything is on schedule. A few more attacks and then you will reveal yourselves as the return of the...Massassi. Thats funny. Those fools will run for it and we take over mining Yavin.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_yavin4_company_all_massassi_tier2_9.stf', '10', 'failed_destroyed', 'Vessel destroyed. No information gathered.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_yavin4_company_all_massassi_tier2_9.stf', '11', 'found_loc_d', 'Corellia Deep Mining vessel located. Stand by for update of location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_yavin4_company_all_massassi_tier2_9.stf', '12', 'hello_d', 'Hey, they said you would be flying a strange ship but I didn\'t expect this. The Massassi plan is working great...keep it up and Yavin will be ours. Dock with me and I will drop off your payment.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_yavin4_company_all_massassi_tier2_9.stf', '13', 'quest_dock2_d', 'The vessel was expecting mercenaries pretending to be the Massassi. They want to drop off payment for trying to chase the Yavin Mining Company out of the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_yavin4_company_all_massassi_tier2_9.stf', '14', 'quest_dock2_t', 'Dock with the Vessel');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_yavin4_company_all_massassi_tier2_9.stf', '15', 'quest_location_d', 'Travel to the location supplied by the flight computer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_yavin4_company_all_massassi_tier2_9.stf', '16', 'quest_location_t', 'Remain in the Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_yavin4_company_all_massassi_tier2_9.stf', '17', 'quest_rendezvous2_d', 'Travel to the location supplied by the flight computer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_yavin4_company_all_massassi_tier2_9.stf', '18', 'quest_rendezvous2_t', 'Meet the Vessel');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_yavin4_company_all_massassi_tier2_9.stf', '19', 'quest_update', 'Flight Computer: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_yavin4_company_all_massassi_tier2_9.stf', '20', 'split_quest_alert', 'Enemy fighters detected. They must be the ships that were supposed to pick up the payment that was mistakenly given to you. Destroy them before they can get word of this error out.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_yavin4_company_all_massassi_tier2_9.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_yavin4_company_all_massassi_tier2_9.stf', '22', 'title', 'Yavin System: Investigate the Competing Mining Co. Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_yavin4_company_all_massassi_tier2_9.stf', '23', 'title_d', 'A vessel belonging to the Corellia Deep Mining Company has been spotted by your ship\'s computers. That company has no operations in the Yavin system. Find out what they are doing here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_yavin4_company_smuggler_tier2_1.stf', '1', 'arrived_at_delivery', 'Wait here for the arrival of the delivery ship. Keep a close watch out for the authorities. If they get wind of this we could all be in trouble.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_yavin4_company_smuggler_tier2_1.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_yavin4_company_smuggler_tier2_1.stf', '3', 'attack_notify', 'Tactical Computer: < Enemy fighters detected. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_yavin4_company_smuggler_tier2_1.stf', '4', 'attack_stopped', 'Tactical Computer: < Enemy fighters eliminated. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_yavin4_company_smuggler_tier2_1.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_yavin4_company_smuggler_tier2_1.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_yavin4_company_smuggler_tier2_1.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_yavin4_company_smuggler_tier2_1.stf', '8', 'docking_complete_delivery', 'Ok, now get yourself to the Naboo system and follow the arranged path. Our contact will be waiting for you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_yavin4_company_smuggler_tier2_1.stf', '9', 'docking_started_delivery', 'We are transferring the package to your ship now. Stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_yavin4_company_smuggler_tier2_1.stf', '10', 'failed_destroyed', 'You let the delivery vessel be destroyed! Blast it!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_yavin4_company_smuggler_tier2_1.stf', '11', 'found_loc_d', 'Travel to the arrival location and wait for the delivery vessel to arrive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_yavin4_company_smuggler_tier2_1.stf', '12', 'hello_d', 'You must be the new delivery pilot. Start the docking procedure whenever you are ready and we will transfer the package to you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_yavin4_company_smuggler_tier2_1.stf', '13', 'quest_dock2_d', 'Dock with the freighter and pick up the package.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_yavin4_company_smuggler_tier2_1.stf', '14', 'quest_dock2_t', 'Dock with the Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_yavin4_company_smuggler_tier2_1.stf', '15', 'quest_location_d', 'Meet the Yavin 4 Mining Company\'s ship at the location given to your navigation computer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_yavin4_company_smuggler_tier2_1.stf', '16', 'quest_location_t', 'Remain in the Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_yavin4_company_smuggler_tier2_1.stf', '17', 'quest_rendezvous2_d', 'Wait for the freighter to arrive at the assigned location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_yavin4_company_smuggler_tier2_1.stf', '18', 'quest_rendezvous2_t', 'Meet the Delivery Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_yavin4_company_smuggler_tier2_1.stf', '19', 'quest_update', '\\#FF0000 Yavin Mining Company:\\#FF0000 < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_yavin4_company_smuggler_tier2_1.stf', '20', 'split_quest_alert', 'Travel to the Naboo system and follow the assigned route. Avoid detection by officials but if anyone tries to stop you, destroy them. Once you reach the end of the route, wait for the contact to arrive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_yavin4_company_smuggler_tier2_1.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_yavin4_company_smuggler_tier2_1.stf', '22', 'title', 'Yavin System: Pick Up the Goods');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_yavin4_company_smuggler_tier2_1.stf', '23', 'title_d', 'The Yavin 4 Mining Company has hired you to pick up a mysterious package and deliver it to the Naboo system for them. The package is currently on one of their ships in the Yavin system where you are to pick it up.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_yavin4_company_smuggler_tier2_5.stf', '1', 'arrived_at_delivery', 'You have arrived at the drop off location. Stand by for the arrival of our contact.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_yavin4_company_smuggler_tier2_5.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_yavin4_company_smuggler_tier2_5.stf', '3', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 < Enemy fighters detected. >\\#pcontrast3 \\#pcontrast1');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_yavin4_company_smuggler_tier2_5.stf', '4', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 < Enemy fighters eliminated. >\\#pcontrast3 \\#pcontrast1');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_yavin4_company_smuggler_tier2_5.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_yavin4_company_smuggler_tier2_5.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_yavin4_company_smuggler_tier2_5.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_yavin4_company_smuggler_tier2_5.stf', '8', 'docking_complete_delivery', 'Thanks for the package. I will take it from here. You should go back and talk to our employers.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_yavin4_company_smuggler_tier2_5.stf', '9', 'docking_started_delivery', 'Ok, beginning transfer now. Everything looks to be in order.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_yavin4_company_smuggler_tier2_5.stf', '10', 'failed_destroyed', 'You let our contact be destroyed? Do you know how hard it is to find someone willing to work on Naboo?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_yavin4_company_smuggler_tier2_5.stf', '11', 'found_loc_d', 'Our contact\'s arrival location has been found. Travel to and wait at that location for him to arrive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_yavin4_company_smuggler_tier2_5.stf', '12', 'hello_d', 'So you are the new pilot working for the company. Glad to meet you. Dock with me and let\'s check out what you have.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_yavin4_company_smuggler_tier2_5.stf', '13', 'quest_dock2_d', 'Dock with the freighter and deliver the package to the contact. Once you have completed this, return to the Yavin station.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_yavin4_company_smuggler_tier2_5.stf', '14', 'quest_dock2_t', 'Deliver the Package');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_yavin4_company_smuggler_tier2_5.stf', '15', 'quest_location_d', 'Travel to the location given to your navigation computer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_yavin4_company_smuggler_tier2_5.stf', '16', 'quest_location_t', 'Remain in the Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_yavin4_company_smuggler_tier2_5.stf', '17', 'quest_rendezvous2_d', 'Wait for the freighter to arrive at the assigned location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_yavin4_company_smuggler_tier2_5.stf', '18', 'quest_rendezvous2_t', 'Meet the Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_yavin4_company_smuggler_tier2_5.stf', '19', 'quest_update', '\\#FF0000 Yavin Mining Company:\\#FF0000 < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_yavin4_company_smuggler_tier2_5.stf', '20', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_yavin4_company_smuggler_tier2_5.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_yavin4_company_smuggler_tier2_5.stf', '22', 'title', 'Naboo System: Making the Drop');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/stn_yavin4_company_smuggler_tier2_5.stf', '23', 'title_d', 'The Yavin 4 Mining Company\'s contact has signaled you and sent the location of where you are to meet him. Your prior troubles with the CorSec are sure to draw more involvement so make the drop off quickly.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission2_2.stf', '1', 'arrived_at_delivery', 'Stay here until the pickup ship arrives.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission2_2.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission2_2.stf', '3', 'attack_notify', 'Tactical Computer: < Warning. Enemy craft inbound. Imperial signatures detected. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission2_2.stf', '4', 'attack_stopped', 'Tactical Computer: < Enemy threat neutralized. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission2_2.stf', '5', 'autorewardbody', 'You have been paid 4000 credits for services rendered to the Talus Space Station.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission2_2.stf', '6', 'autorewardfrom', 'Talus Station Command: Dept. 4S');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission2_2.stf', '7', 'autorewardsubject', 'Compensation for Services Rendered');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission2_2.stf', '8', 'docking_complete_delivery', 'Docking completed. Everything looks in order here. See you around.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission2_2.stf', '9', 'docking_started_delivery', 'Accepting your request for dock, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission2_2.stf', '10', 'failed_destroyed', 'That didn\'t work exactly the way that we planned. We\'re scrapping the rest of your assignments. Return to the station if you want to try again.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission2_2.stf', '11', 'found_loc_d', 'We\'re transmitting the delivery location from the freighter to you. Meet the drop-off ship here and deliver the cargo.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission2_2.stf', '12', 'hello_d', 'Oh... what? We were expecting a Talus freighter. Oh well, if you\'ve got the supplies go ahead and dock when ready.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission2_2.stf', '13', 'quest_dock2_d', 'Move in close to the pick-up ship and use the /dock command to transfer the cargo.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission2_2.stf', '14', 'quest_dock2_t', 'Dock With the Pick-up Ship');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission2_2.stf', '15', 'quest_location_d', 'Hyperspace to the Naboo system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission2_2.stf', '16', 'quest_location_t', 'Tavel to the Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission2_2.stf', '17', 'quest_rendezvous2_d', 'Travel to the specified location and await the arrival of the pick-up ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission2_2.stf', '18', 'quest_rendezvous2_t', 'Meet With the Pick-up Ship');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission2_2.stf', '19', 'quest_update', 'Talus Station: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission2_2.stf', '20', 'split_quest_alert', 'Stand by for next assignment.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission2_2.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission2_2.stf', '22', 'title', 'Naboo System: Deliver the Freighter Cargo');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission2_2.stf', '23', 'title_d', 'Since you are now carrying the freighter\'s cargo, you must make the last delivery on it\'s route to naboo.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_2.stf', '1', 'arrived_at_delivery', 'Await delivery drone here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_2.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_2.stf', '3', 'attack_notify', 'Tusk Cat Run: < Attack drones incoming >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_2.stf', '4', 'attack_stopped', 'Tusk Cat Run: < Attack drones destroyed >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_2.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_2.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_2.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_2.stf', '8', 'docking_complete_delivery', 'Transfer complete. Package two secure. Package three loaded into your cargo bay. Proceed to Tatooine.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_2.stf', '9', 'docking_started_delivery', 'Beginning docking sequence.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_2.stf', '10', 'failed_destroyed', 'Delivery drone destroy. Run failed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_2.stf', '11', 'found_loc_d', 'Navigation waypoint loaded. Meet delivery drone here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_2.stf', '12', 'hello_d', 'Ready to receive package two.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_2.stf', '13', 'quest_dock2_d', 'Move in close to the delivery drone and use the /dock command to deliver package two and receive package three.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_2.stf', '14', 'quest_dock2_t', 'Dock With the Delivery Drone');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_2.stf', '15', 'quest_location_d', 'The next delivery takes place in the Corellia system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_2.stf', '16', 'quest_location_t', 'Remain in the Corellia System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_2.stf', '17', 'quest_rendezvous2_d', 'Travel to the specified location and await the arrival of the delivery drone.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_2.stf', '18', 'quest_rendezvous2_t', 'Travel to Delivery Drone Three');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_2.stf', '19', 'quest_update', 'Tusk Cat Run: <  %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_2.stf', '20', 'split_quest_alert', 'Deliver package three to Tatooine system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_2.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_2.stf', '22', 'title', 'Corellia System: Tusk Cat Run - Leg Two');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_2.stf', '23', 'title_d', 'The Tusk Cat Run is a series of small smuggling assignments using droid controlled delivery and attack drones.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_3.stf', '1', 'arrived_at_delivery', 'Await delivery drone here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_3.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_3.stf', '3', 'attack_notify', 'Tusk Cat Run: < Attack drones incoming >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_3.stf', '4', 'attack_stopped', 'Tusk Cat Run: < Attack drones destroyed >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_3.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_3.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_3.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_3.stf', '8', 'docking_complete_delivery', 'Transfer complete. Package three secure. Package four loaded into your cargo bay.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_3.stf', '9', 'docking_started_delivery', 'Beginning docking sequence.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_3.stf', '10', 'failed_destroyed', 'Delivery drone destroy. Run failed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_3.stf', '11', 'found_loc_d', 'Navigation waypoint loaded. Meet delivery drone here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_3.stf', '12', 'hello_d', 'Ready to receive package three.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_3.stf', '13', 'quest_dock2_d', 'Move in close to the delivery drone and use the /dock command to deliver package three and receive package four.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_3.stf', '14', 'quest_dock2_t', 'Dock With the Delivery Drone');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_3.stf', '15', 'quest_location_d', 'The next delivery takes place in the Tatooine system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_3.stf', '16', 'quest_location_t', 'Travel to the Tatooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_3.stf', '17', 'quest_rendezvous2_d', 'Travel to the specified location and await the arrival of the delivery drone.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_3.stf', '18', 'quest_rendezvous2_t', 'Travel to Delivery Drone Four');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_3.stf', '19', 'quest_update', 'Tusk Cat Run: <  %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_3.stf', '20', 'split_quest_alert', 'Deliver package four.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_3.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_3.stf', '22', 'title', 'Corellia System: Tusk Cat Run - Leg Three');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_3.stf', '23', 'title_d', 'The Tusk Cat Run is a series of small smuggling assignments using droid controlled delivery and attack drones.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_4.stf', '1', 'arrived_at_delivery', 'Await delivery drone here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_4.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_4.stf', '3', 'attack_notify', 'Tusk Cat Run: < Attack drones incoming >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_4.stf', '4', 'attack_stopped', 'Tusk Cat Run: < Attack drones destroyed >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_4.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_4.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_4.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_4.stf', '8', 'docking_complete_delivery', 'Transfer complete. Package four secure. Package five loaded into your cargo bay.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_4.stf', '9', 'docking_started_delivery', 'Beginning docking sequence.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_4.stf', '10', 'failed_destroyed', 'Delivery drone destroy. Run failed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_4.stf', '11', 'found_loc_d', 'Navigation waypoint loaded. Meet delivery drone here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_4.stf', '12', 'hello_d', 'Ready to receive package four.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_4.stf', '13', 'quest_dock2_d', 'Move in close to the delivery drone and use the /dock command to deliver package four and receive package five.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_4.stf', '14', 'quest_dock2_t', 'Dock With the Delivery Drone');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_4.stf', '15', 'quest_location_d', 'The next delivery takes place in the Tatooine system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_4.stf', '16', 'quest_location_t', 'Remain in the Tatooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_4.stf', '17', 'quest_rendezvous2_d', 'Travel to the specified location and await the arrival of the delivery drone.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_4.stf', '18', 'quest_rendezvous2_t', 'Travel to Delivery Drone Five');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_4.stf', '19', 'quest_update', 'Tusk Cat Run: <  %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_4.stf', '20', 'split_quest_alert', 'Deliver package five.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_4.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_4.stf', '22', 'title', 'Corellia System: Tusk Cat Run - Leg Four');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_4.stf', '23', 'title_d', 'The Tusk Cat Run is a series of small smuggling assignments using droid controlled delivery and attack drones.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_5.stf', '1', 'arrived_at_delivery', 'Await delivery drone here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_5.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_5.stf', '3', 'attack_notify', 'Tusk Cat Run: < Attack drones incoming >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_5.stf', '4', 'attack_stopped', 'Tusk Cat Run: < Attack drones destroyed >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_5.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_5.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_5.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_5.stf', '8', 'docking_complete_delivery', 'Transfer complete. Package five secure. Package six loaded into your cargo bay. Proceed to Naboo system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_5.stf', '9', 'docking_started_delivery', 'Beginning docking sequence.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_5.stf', '10', 'failed_destroyed', 'Delivery drone destroy. Run failed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_5.stf', '11', 'found_loc_d', 'Navigation waypoint loaded. Meet delivery drone here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_5.stf', '12', 'hello_d', 'Ready to receive package five.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_5.stf', '13', 'quest_dock2_d', 'Move in close to the delivery drone and use the /dock command to deliver package five and receive package six.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_5.stf', '14', 'quest_dock2_t', 'Dock With the Delivery Drone');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_5.stf', '15', 'quest_location_d', 'The next delivery takes place in the Tatooine system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_5.stf', '16', 'quest_location_t', 'Remain in the Tatooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_5.stf', '17', 'quest_rendezvous2_d', 'Travel to the specified location and await the arrival of the delivery drone.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_5.stf', '18', 'quest_rendezvous2_t', 'Travel to Delivery Drone Six');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_5.stf', '19', 'quest_update', 'Tusk Cat Run: <  %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_5.stf', '20', 'split_quest_alert', 'Deliver package six to Naboo system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_5.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_5.stf', '22', 'title', 'Corellia System: Tusk Cat Run - Leg Five');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_5.stf', '23', 'title_d', 'The Tusk Cat Run is a series of small smuggling assignments using droid controlled delivery and attack drones.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_6.stf', '1', 'arrived_at_delivery', 'Await delivery drone here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_6.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_6.stf', '3', 'attack_notify', 'Tusk Cat Run: < Attack drones incoming >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_6.stf', '4', 'attack_stopped', 'Tusk Cat Run: < Attack drones destroyed >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_6.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_6.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_6.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_6.stf', '8', 'docking_complete_delivery', 'Transfer complete. Package six secure. Package seven loaded into your cargo bay.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_6.stf', '9', 'docking_started_delivery', 'Beginning docking sequence.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_6.stf', '10', 'failed_destroyed', 'Delivery drone destroy. Run failed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_6.stf', '11', 'found_loc_d', 'Navigation waypoint loaded. Meet delivery drone here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_6.stf', '12', 'hello_d', 'Ready to receive package six.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_6.stf', '13', 'quest_dock2_d', 'Move in close to the delivery drone and use the /dock command to deliver package six and receive package seven.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_6.stf', '14', 'quest_dock2_t', 'Dock With the Delivery Drone');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_6.stf', '15', 'quest_location_d', 'The next delivery takes place in the Naboo system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_6.stf', '16', 'quest_location_t', 'Travel to the Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_6.stf', '17', 'quest_rendezvous2_d', 'Travel to the specified location and await the arrival of the delivery drone.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_6.stf', '18', 'quest_rendezvous2_t', 'Travel to Delivery Drone Seven');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_6.stf', '19', 'quest_update', 'Tusk Cat Run: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_6.stf', '20', 'split_quest_alert', 'Deliver package seven.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_6.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_6.stf', '22', 'title', 'Corellia System: Tusk Cat Run - Leg Six');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_6.stf', '23', 'title_d', 'The Tusk Cat Run is a series of small smuggling assignments using droid controlled delivery and attack drones.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_7.stf', '1', 'arrived_at_delivery', 'Await delivery drone here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_7.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_7.stf', '3', 'attack_notify', 'Tusk Cat Run: < Attack drones incoming >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_7.stf', '4', 'attack_stopped', 'Tusk Cat Run: < Attack drones destroyed >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_7.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_7.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_7.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_7.stf', '8', 'docking_complete_delivery', 'Transfer complete. Package seven secure. Package eight loaded into your cargo bay.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_7.stf', '9', 'docking_started_delivery', 'Beginning docking sequence.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_7.stf', '10', 'failed_destroyed', 'Delivery drone destroy. Run failed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_7.stf', '11', 'found_loc_d', 'Navigation waypoint loaded. Meet delivery drone here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_7.stf', '12', 'hello_d', 'Ready to receive package seven.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_7.stf', '13', 'quest_dock2_d', 'Move in close to the delivery drone and use the /dock command to deliver package seven and receive package eight.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_7.stf', '14', 'quest_dock2_t', 'Dock With the Delivery Drone');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_7.stf', '15', 'quest_location_d', 'The next delivery takes place in the Naboo system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_7.stf', '16', 'quest_location_t', 'Remain in the Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_7.stf', '17', 'quest_rendezvous2_d', 'Travel to the specified location and await the arrival of the delivery drone.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_7.stf', '18', 'quest_rendezvous2_t', 'Travel to Delivery Drone Eight');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_7.stf', '19', 'quest_update', 'Tusk Cat Run: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_7.stf', '20', 'split_quest_alert', 'Deliver package eight.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_7.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_7.stf', '22', 'title', 'Corellia System: Tusk Cat Run - Leg Seven');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_7.stf', '23', 'title_d', 'The Tusk Cat Run is a series of small smuggling assignments using droid controlled delivery and attack drones.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_8.stf', '1', 'arrived_at_delivery', 'Await delivery drone here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_8.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_8.stf', '3', 'attack_notify', 'Tusk Cat Run: < Attack drones incoming >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_8.stf', '4', 'attack_stopped', 'Tusk Cat Run: < Attack drones destroyed >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_8.stf', '5', 'autorewardbody', 'Congratulations on completing the Tusk Cat Run. A bonus award of 8000 credits is being transferred to your account!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_8.stf', '6', 'autorewardfrom', 'Talus Station Special Events Commitee');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_8.stf', '7', 'autorewardsubject', 'Tusk Cat Run Completion');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_8.stf', '8', 'docking_complete_delivery', 'Transfer complete. Package eight secure. Tusk Cat Run complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_8.stf', '9', 'docking_started_delivery', 'Beginning docking sequence.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_8.stf', '10', 'failed_destroyed', 'Delivery drone destroy. Run failed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_8.stf', '11', 'found_loc_d', 'Navigation waypoint loaded. Meet delivery drone here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_8.stf', '12', 'hello_d', 'Ready to receive package eight.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_8.stf', '13', 'quest_dock2_d', 'Move in close to the delivery drone and use the /dock command to deliver package eight and end the Tusk Cat Run.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_8.stf', '14', 'quest_dock2_t', 'Dock With the Delivery Drone');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_8.stf', '15', 'quest_location_d', 'The next delivery takes place in the Naboo system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_8.stf', '16', 'quest_location_t', 'Remain in the Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_8.stf', '17', 'quest_rendezvous2_d', 'Travel to the specified location and await the arrival of the delivery drone.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_8.stf', '18', 'quest_rendezvous2_t', 'Travel to Delivery Drone Nine');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_8.stf', '19', 'quest_update', 'Tusk Cat Run: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_8.stf', '20', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_8.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_8.stf', '22', 'title', 'Corellia System: Tusk Cat Run - Final Leg');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/talus_station_mission5_8.stf', '23', 'title_d', 'The Tusk Cat Run is a series of small smuggling assignments using droid controlled delivery and attack drones.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier3_1_d.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier3_1_d.stf', '2', 'arrived_at_delivery', 'We see you have arrived at the transfer location, pilot. Wait for shuttle arrival.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier3_1_d.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier3_1_d.stf', '4', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters detected.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier3_1_d.stf', '5', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier3_1_d.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier3_1_d.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier3_1_d.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier3_1_d.stf', '9', 'docking_complete_delivery', 'Ok, we have the data. We have a message for you from your superior on Yavin 4. You are to return to base and report in. Be safe out there, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier3_1_d.stf', '10', 'docking_started_delivery', 'We are beginning data transfer now. Please stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier3_1_d.stf', '11', 'failed_destroyed', 'You allowed your transfer shuttle to be destroyed? That was an expensive ship. You are going to have to answer to your commander about this failure.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier3_1_d.stf', '12', 'found_loc_d', 'Proceed to the following coordinates for data transfer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier3_1_d.stf', '13', 'hello_d', 'Greetings, pilot. I understand that you have something for us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier3_1_d.stf', '14', 'quest_dock2_d', 'Once the shuttle arrives, target it and use the /dock command to transfer the data to the shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier3_1_d.stf', '15', 'quest_dock2_t', 'Transfer the Data');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier3_1_d.stf', '16', 'quest_location_d', 'Remain in the Endor system and travel to the supplied navigation waypoint to the arrival location of the command shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier3_1_d.stf', '17', 'quest_location_t', 'Remain in the Endor System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier3_1_d.stf', '18', 'quest_rendezvous2_d', 'Travel to the navigaiton waypoint and wait for the arrival of the Command Shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier3_1_d.stf', '19', 'quest_rendezvous2_t', 'Meet the Command Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier3_1_d.stf', '20', 'quest_update', '\\#pcontrast1 Storm Squadron Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier3_1_d.stf', '21', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier3_1_d.stf', '22', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier3_1_d.stf', '23', 'title', 'Endor System: Deliver Encrypted Rebel Data to Command Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier3_1_d.stf', '24', 'title_d', 'Remain in the Endor system and deliver the encrypted Rebel data to a command shuttle. You will receive a navigation waypoint to arrival location of the command shuttle. Travel to that location and wait for the shuttle to arrive. Once it arrives, target the shuttle and use the /dock command to transfer the data to it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier3_2_c.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier3_2_c.stf', '2', 'arrived_at_delivery', 'Wait for the arrival of the command shuttle to retrieve the data.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier3_2_c.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier3_2_c.stf', '4', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters detected on an intercept course.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier3_2_c.stf', '5', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier3_2_c.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier3_2_c.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier3_2_c.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier3_2_c.stf', '9', 'docking_complete_delivery', 'Data transfer completed. Be safe out there, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier3_2_c.stf', '10', 'docking_started_delivery', 'Beginning uplink procedure. Please stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier3_2_c.stf', '11', 'failed_destroyed', 'You allowed your transfer shuttle to be destroyed? That was an expensive ship. You are going to have to answer to your commander about this failure.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier3_2_c.stf', '12', 'found_loc_d', 'Please proceed to the following location and stand by for arrival of HQ command shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier3_2_c.stf', '13', 'hello_d', 'I see you, pilot. We will begin the uplink procedure as soon as we finish our jump.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier3_2_c.stf', '14', 'quest_dock2_d', 'Dock with the shuttle and transfer the Rebel data to it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier3_2_c.stf', '15', 'quest_dock2_t', 'Transfer the Data');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier3_2_c.stf', '16', 'quest_location_d', 'The shuttle will meet you in the Endor system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier3_2_c.stf', '17', 'quest_location_t', 'Remain in the Endor System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier3_2_c.stf', '18', 'quest_rendezvous2_d', 'Travel to the supplied Nav waypoint and wait for the shuttle to arrive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier3_2_c.stf', '19', 'quest_rendezvous2_t', 'Meet the Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier3_2_c.stf', '20', 'quest_update', '\\#pcontrast1 Storm Squadron Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier3_2_c.stf', '21', 'split_quest_alert', 'Initiate patrol route. Keep a watch out for suspicious and especially rebellious activity. Destroy any command vessels located in the area.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier3_2_c.stf', '22', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier3_2_c.stf', '23', 'title', 'Endor System: Dropoff the Rebel Data');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier3_2_c.stf', '24', 'title_d', 'Remain in the Endor system and drop off the Rebel data to a command shuttle. They are sending the shuttle to pick up the plans from you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier4_1_d.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier4_1_d.stf', '2', 'arrived_at_delivery', 'Maintain your current position. The command shuttle will be arriving shortly to take the data.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier4_1_d.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier4_1_d.stf', '4', 'attack_notify', '\\#pcontrast1 Tactical Computer: \\#pcontrast3 <Enemy fighters detected.> \\#pcontrast3');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier4_1_d.stf', '5', 'attack_stopped', '\\#pcontrast1 Tactical Computer: \\#pcontrast3 <Enemy fighters eliminated.> \\#pcontrast3');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier4_1_d.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier4_1_d.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier4_1_d.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier4_1_d.stf', '9', 'docking_complete_delivery', 'Download completed. Nice work pilot. Your superior officer requests that you speak with him.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier4_1_d.stf', '10', 'docking_started_delivery', 'Beginning download now. Please stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier4_1_d.stf', '11', 'failed_destroyed', 'You allowed your transfer shuttle to be destroyed? That was an expensive ship. You are going to have to answer to your commander about this failure.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier4_1_d.stf', '12', 'found_loc_d', 'Transfer data to location. A shuttle will meet you there to pick up the data.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier4_1_d.stf', '13', 'hello_d', 'Hello, pilot. We can begin the data transfer whenever you are ready.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier4_1_d.stf', '14', 'quest_dock2_d', 'Dock with the shuttle and transfer the plans to command. Once you have completed this task return to your commander for further instructions.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier4_1_d.stf', '15', 'quest_dock2_t', 'Transfer the Plans');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier4_1_d.stf', '16', 'quest_location_d', 'The shuttle will meet you in the Endor system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier4_1_d.stf', '17', 'quest_location_t', 'Remain in the Endor System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier4_1_d.stf', '18', 'quest_rendezvous2_d', 'Travel to the arrival location of the shuttle and wait for it to arrive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier4_1_d.stf', '19', 'quest_rendezvous2_t', 'Meet the Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier4_1_d.stf', '20', 'quest_update', '\\#pcontrast1 Storm Squadron Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier4_1_d.stf', '21', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier4_1_d.stf', '22', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier4_1_d.stf', '23', 'title', 'Endor System: Deliver the Rebel Plans to Command');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier4_1_d.stf', '24', 'title_d', 'Remain in the Endor system and deliver the Rebel plans to a command shuttle. A shuttle will meet you in the Endor system to receive the Rebel plans from you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier4_2_c.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier4_2_c.stf', '2', 'arrived_at_delivery', 'Stand by for the field engineer ship\'s arrival.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier4_2_c.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier4_2_c.stf', '4', 'attack_notify', '\\#pcontrast1 Tactical Computer: \\#pcontrast3 <Enemy fighters detected.> \\#pcontrast3');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier4_2_c.stf', '5', 'attack_stopped', '\\#pcontrast1 Tactical Computer: \\#pcontrast3 <Enemy fighters eliminated.> \\#pcontrast3');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier4_2_c.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier4_2_c.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier4_2_c.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier4_2_c.stf', '9', 'docking_complete_delivery', 'Ok, we have the sattelite. Good luck, pilot. Your commanding officer requested that you report in.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier4_2_c.stf', '10', 'docking_started_delivery', 'Docking procedure underway. Stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier4_2_c.stf', '11', 'failed_destroyed', 'You allowed your transfer shuttle to be destroyed? That was an expensive ship. You are going to have to answer to your commander about this failure.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier4_2_c.stf', '12', 'found_loc_d', 'Delivery location sent to your nav computer. Bring the sattelite to the field engineer in that region.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier4_2_c.stf', '13', 'hello_d', 'Good day, pilot. Thanks for dropping these off to me. I will get them set up right away.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier4_2_c.stf', '14', 'quest_dock2_d', 'Dock with the engineer and transfer the last satellite to him. Once this is completed return to your commander for further instructions.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier4_2_c.stf', '15', 'quest_dock2_t', 'Transfer the Remaining Satellite');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier4_2_c.stf', '16', 'quest_location_d', 'The second engineer will meet you in the Endor system as well.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier4_2_c.stf', '17', 'quest_location_t', 'Remain in the Endor System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier4_2_c.stf', '18', 'quest_rendezvous2_d', 'Travel to the second engineer\'s arrival location and wait for him to arrive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier4_2_c.stf', '19', 'quest_rendezvous2_t', 'Travel to the Second Engineer');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier4_2_c.stf', '20', 'quest_update', '\\#pcontrast1 Imperial High Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier4_2_c.stf', '21', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier4_2_c.stf', '22', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier4_2_c.stf', '23', 'title', 'Endor System: Sattelite Delivery - Part 2');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_imperial_tier4_2_c.stf', '24', 'title_d', 'Deliver the satellite to the second engineer in the Endor system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier3_3.stf', '1', 'arrived_at_delivery', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Arrived at designated rendezvous location. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier3_3.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier3_3.stf', '3', 'attack_notify', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1  Enemy craft detected on attack vector. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier3_3.stf', '4', 'attack_stopped', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Hostile activities have ceased. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier3_3.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier3_3.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier3_3.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier3_3.stf', '8', 'docking_complete_delivery', 'Ah! Many thanks to Jabba and his fine pilots. Please relay that Seinar Systems would enjoy a much deeper relationship with the Hutts... ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier3_3.stf', '9', 'docking_started_delivery', 'Docking Procedure Has Begun');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier3_3.stf', '10', 'failed_destroyed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier3_3.stf', '11', 'found_loc_d', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 First rendezvous location locked in. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier3_3.stf', '12', 'hello_d', '\\#pcontrast3 Imperial Shuttle: < \\#pcontrast1 Greetings, smuggler. We were assured that you would have a package for us. Is this true? \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier3_3.stf', '13', 'quest_dock2_d', 'Pull up next to the craft and use the /dock command to transfer your cargo');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier3_3.stf', '14', 'quest_dock2_t', 'Dock ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier3_3.stf', '15', 'quest_location_d', 'Rendezvous points off of normal trade routes');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier3_3.stf', '16', 'quest_location_t', 'Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier3_3.stf', '17', 'quest_rendezvous2_d', 'Travel here to meet up with your contact');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier3_3.stf', '18', 'quest_rendezvous2_t', 'Deliver Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier3_3.stf', '19', 'quest_update', '\\#pcontrast3 < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier3_3.stf', '20', 'split_quest_alert', '\\#pcontrast3 Beissa: < \\#pcontrast1 You have done well so far, two more deliveries to make.  And don\'t let those Mandalorian fools interfere. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier3_3.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier3_3.stf', '22', 'title', 'Dathomir System: Transport Jabba\'s Gifts');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier3_3.stf', '23', 'title_d', 'Transport Jabba\'s gifts to the residents of Dathomir, watch out for pirate activity; most notably the Death Watch');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier3_3_a.stf', '1', 'arrived_at_delivery', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Arrived at designated rendezvous location. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier3_3_a.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier3_3_a.stf', '3', 'attack_notify', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1  Enemy craft detected on attack vector. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier3_3_a.stf', '4', 'attack_stopped', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Hostile activities have ceased. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier3_3_a.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier3_3_a.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier3_3_a.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier3_3_a.stf', '8', 'docking_complete_delivery', 'Excellent! This is a fabulous prize, my friend! Tell Jabba that we are open to his requests... whatever they may be.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier3_3_a.stf', '9', 'docking_started_delivery', 'Docking Procedure Has Begun');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier3_3_a.stf', '10', 'failed_destroyed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier3_3_a.stf', '11', 'found_loc_d', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Second rendezvous location locked in. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier3_3_a.stf', '12', 'hello_d', 'Who are you?! Are you the delivery ship? We cannot stay here long!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier3_3_a.stf', '13', 'quest_dock2_d', 'Pull up next to the craft and use the /dock command to transfer your cargo');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier3_3_a.stf', '14', 'quest_dock2_t', 'Dock ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier3_3_a.stf', '15', 'quest_location_d', 'Rendezvous points off of normal trade routes');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier3_3_a.stf', '16', 'quest_location_t', 'Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier3_3_a.stf', '17', 'quest_rendezvous2_d', 'Travel here to meet up with your contact');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier3_3_a.stf', '18', 'quest_rendezvous2_t', 'Deliver Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier3_3_a.stf', '19', 'quest_update', '\\#pcontrast3 < \\#pcontrast1 %TO  \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier3_3_a.stf', '20', 'split_quest_alert', '\\#pcontrast3 Beissa: < \\#pcontrast1 Two down, take the last package to an Inquisition contact.  Expect them to be difficult, the Imperials love to put on a show. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier3_3_a.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier3_3_a.stf', '22', 'title', 'Dathomir System: Transport Jabba\'s Gifts - Part II');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier3_3_a.stf', '23', 'title_d', 'Transport Jabba\'s gifts to the residents of Dathomir, watch out for pirate activity; most notably the Death Watch');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier3_3_b.stf', '1', 'arrived_at_delivery', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Arrived at designated rendezvous location. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier3_3_b.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier3_3_b.stf', '3', 'attack_notify', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1  Enemy craft detected on attack vector. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier3_3_b.stf', '4', 'attack_stopped', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Hostile activities have ceased. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier3_3_b.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier3_3_b.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier3_3_b.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier3_3_b.stf', '8', 'docking_complete_delivery', 'You tell Jabba the Hutt that the Imperial Inquisitors do not take bribes! Begone!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier3_3_b.stf', '9', 'docking_started_delivery', 'Docking procedure is now under-way.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier3_3_b.stf', '10', 'failed_destroyed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier3_3_b.stf', '11', 'found_loc_d', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Last rendezvous location locked in. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier3_3_b.stf', '12', 'hello_d', 'This is highly irregular, pilot! What are we doing here?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier3_3_b.stf', '13', 'quest_dock2_d', 'Pull up next to the craft and use the /dock command to transfer your cargo');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier3_3_b.stf', '14', 'quest_dock2_t', 'Dock ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier3_3_b.stf', '15', 'quest_location_d', 'Rendezvous points off of normal trade routes');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier3_3_b.stf', '16', 'quest_location_t', 'Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier3_3_b.stf', '17', 'quest_rendezvous2_d', 'Travel here to meet up with your contact');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier3_3_b.stf', '18', 'quest_rendezvous2_t', 'Deliver Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier3_3_b.stf', '19', 'quest_update', '\\#pcontrast3 < \\#pcontrast1 %TO  \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier3_3_b.stf', '20', 'split_quest_alert', '\\#pcontrast3 Beissa: < \\#pcontrast1 There is an Imperial craft not far from you requesting an escort.  We have told them you would lend a hand... for a price.  So get to it! \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier3_3_b.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier3_3_b.stf', '22', 'title', 'Dathomir System: Transport Jabba\'s Gifts Part III');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier3_3_b.stf', '23', 'title_d', 'Transport Jabba\'s gifts to the residents of Dathomir, watch out for pirate activity; most notably the Death Watch');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier4_1b.stf', '1', 'arrived_at_delivery', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Designated rendezvous waypoint reached. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier4_1b.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier4_1b.stf', '3', 'attack_notify', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Enemy craft detected on attack vector. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier4_1b.stf', '4', 'attack_stopped', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Hostile activity has ceased. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier4_1b.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier4_1b.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier4_1b.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier4_1b.stf', '8', 'docking_complete_delivery', 'The docking is complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier4_1b.stf', '9', 'docking_started_delivery', 'The docking has begun.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier4_1b.stf', '10', 'failed_destroyed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier4_1b.stf', '11', 'found_loc_d', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Coordinates locked in for rendezvous point. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier4_1b.stf', '12', 'hello_d', 'Fortunate that you came along, these transports are not ideal for fending off attacks from military craft. You should get back to your contact soon, I doubt this extra bit was expected.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier4_1b.stf', '13', 'quest_dock2_d', 'Use the /dock command to transfer the cargo');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier4_1b.stf', '14', 'quest_dock2_t', 'Hutt Transport');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier4_1b.stf', '15', 'quest_location_d', 'A quick route in the Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier4_1b.stf', '16', 'quest_location_t', 'Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier4_1b.stf', '17', 'quest_rendezvous2_d', 'Meet the transport for delivery of the goods here');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier4_1b.stf', '18', 'quest_rendezvous2_t', 'Rendezvous Point');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier4_1b.stf', '19', 'quest_update', '\\#pcontrast3 < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier4_1b.stf', '20', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier4_1b.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier4_1b.stf', '22', 'title', 'Dantooine System: Deliver Hutt Cargo');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_privateer_tier4_1b.stf', '23', 'title_d', 'Middle man the cargo from the two Hutt contacts under pressure from CorSec attacks');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_rebel_tier3_4_c.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_rebel_tier3_4_c.stf', '2', 'arrived_at_delivery', 'You are at the correct location, dock and transfer the data to our smuggler.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_rebel_tier3_4_c.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_rebel_tier3_4_c.stf', '4', 'attack_notify', 'Tactical Computer: < Incoming fighter vessels. Scans show weapons armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_rebel_tier3_4_c.stf', '5', 'attack_stopped', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_rebel_tier3_4_c.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_rebel_tier3_4_c.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_rebel_tier3_4_c.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_rebel_tier3_4_c.stf', '9', 'docking_complete_delivery', 'Alright, I\'m taking this to a nearby command fleet. Take care out there!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_rebel_tier3_4_c.stf', '10', 'docking_started_delivery', 'Initiating docking. Lets do this fast, I don\'t like this area.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_rebel_tier3_4_c.stf', '11', 'failed_destroyed', 'We lost contact with the smuggler! What happened up there pilot? Return to base immediately!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_rebel_tier3_4_c.stf', '12', 'found_loc_d', 'Move out of there quickly to this location pilot. We have arranged for a smuggler to meet you there.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_rebel_tier3_4_c.stf', '13', 'hello_d', 'Hi pilot, I was told you needed a express delivery.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_rebel_tier3_4_c.stf', '14', 'quest_dock2_d', 'If the surrounding area is safe, quickly dock with our smuggler and transfer the scan files.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_rebel_tier3_4_c.stf', '15', 'quest_dock2_t', 'Dock and transfer scan files.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_rebel_tier3_4_c.stf', '16', 'quest_location_d', 'Even though you\'re moving out of the area with heavy Imperial presence, chances are that they are on to you and will try to chase you down so be ready.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_rebel_tier3_4_c.stf', '17', 'quest_location_t', 'Endor system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_rebel_tier3_4_c.stf', '18', 'quest_rendezvous2_d', 'Our nearest smuggler has agreed to meet you at these coordinates, waste no time in getting there.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_rebel_tier3_4_c.stf', '19', 'quest_rendezvous2_t', 'Smuggler coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_rebel_tier3_4_c.stf', '20', 'quest_update', 'Rebel Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_rebel_tier3_4_c.stf', '21', 'split_quest_alert', 'Rebel Command: < One of our scout ships have found one of these new Imperial ships and we are moving in for the attack now! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_rebel_tier3_4_c.stf', '22', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_rebel_tier3_4_c.stf', '23', 'title', 'Endor system: Deliver scan data to a Rebel Smuggler.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_rebel_tier3_4_c.stf', '24', 'title_d', 'We need you to deliver the scan data that you got on your patrol to one of our smugglers immediately, so that we can plan our next point of attack.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_station_hutt_palace_access_quest_2.stf', '1', 'arrived_at_delivery', 'That\'s the location the smuggler gave us, he should be there shortly.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_station_hutt_palace_access_quest_2.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_station_hutt_palace_access_quest_2.stf', '3', 'attack_notify', 'Tactical Computer: < Incoming fighter vessels. Scans show weapons armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_station_hutt_palace_access_quest_2.stf', '4', 'attack_stopped', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_station_hutt_palace_access_quest_2.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_station_hutt_palace_access_quest_2.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_station_hutt_palace_access_quest_2.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_station_hutt_palace_access_quest_2.stf', '8', 'docking_complete_delivery', 'There you go, that should make it easier to track him down. I hope you find him, that sneaky rat swindled me out of a small fortune a while back.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_station_hutt_palace_access_quest_2.stf', '9', 'docking_started_delivery', 'I heard a rumor that he and some friends of his were going to ambush some Valarian smugglers today. I\'m not sure where, but your employer should be able to figure that out.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_station_hutt_palace_access_quest_2.stf', '10', 'failed_destroyed', 'What in the heck is going on up there pilot? How are we going to find him now? Bah come back when you know what you\'re doing.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_station_hutt_palace_access_quest_2.stf', '11', 'found_loc_d', 'One of the smugglers in this system knows most of what\'s going on here and he doesn\'t like Hortrix, so he should be perfect. We\'ve set up a meeting with him at these coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_station_hutt_palace_access_quest_2.stf', '12', 'hello_d', 'Hortrix Steelarm? Yeah, that scumbag has been hanging around here lately. Dock with me and I can transfer his ship signature. That should help you find him.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_station_hutt_palace_access_quest_2.stf', '13', 'quest_dock2_d', 'The smuggler has seen Hortrix in the Yavin system and his astromech has the ship signature of Hortrix\' vessel. Dock with him so he can transfer it to you, it will make it easier for you to track down Hortrix.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_station_hutt_palace_access_quest_2.stf', '14', 'quest_dock2_t', 'Hortrix\' ship signature.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_station_hutt_palace_access_quest_2.stf', '15', 'quest_location_d', 'The Yavin system is mostly Imperial territory so try to avoid getting their attention. Also be careful of pirates and aggressive smugglers that like to take the opportunity to attack ships they find out on their own in the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_station_hutt_palace_access_quest_2.stf', '16', 'quest_location_t', 'Yavin system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_station_hutt_palace_access_quest_2.stf', '17', 'quest_rendezvous2_d', 'These are the coordinates that the smuggler supplied us with. Hurry over there, smugglers are usually impatient and if you\'re not on time, he may just leave.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_station_hutt_palace_access_quest_2.stf', '18', 'quest_rendezvous2_t', 'Meeting coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_station_hutt_palace_access_quest_2.stf', '19', 'quest_update', 'Valarian Assassin Coordinator: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_station_hutt_palace_access_quest_2.stf', '20', 'split_quest_alert', 'Valarian Assassin Coordinator: < We only have a few smugglers operating in the Yavin system today and we\'re fairly sure we know where he\'s planning to attack. Stand by. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_station_hutt_palace_access_quest_2.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_station_hutt_palace_access_quest_2.stf', '22', 'title', 'Yavin system: Following a lead.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/tatooine_station_hutt_palace_access_quest_2.stf', '23', 'title_d', 'Hortrix Steelarm has supposedly moved to the Yavin system. One of the old timer smugglers in the system has a grudge with him and has agreed to supply us with what information he can. We\'ve set up a meeting with the smuggler, head over there quickly and find out what he knows.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/test_delivery_no_pickup.stf', '1', 'arrived_at_delivery', 'you arrived at the delivery point');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/test_delivery_no_pickup.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/test_delivery_no_pickup.stf', '3', 'attack_notify', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/test_delivery_no_pickup.stf', '4', 'attack_stopped', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/test_delivery_no_pickup.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/test_delivery_no_pickup.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/test_delivery_no_pickup.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/test_delivery_no_pickup.stf', '8', 'docking_complete_delivery', 'delivery dock complete');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/test_delivery_no_pickup.stf', '9', 'docking_started_delivery', 'delivery dock started');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/test_delivery_no_pickup.stf', '10', 'found_loc_d', 'found the dock loc');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/test_delivery_no_pickup.stf', '11', 'hello_d', 'lemme have it');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/test_delivery_no_pickup.stf', '12', 'hello_p', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/test_delivery_no_pickup.stf', '13', 'quest_dock2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/test_delivery_no_pickup.stf', '14', 'quest_dock2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/test_delivery_no_pickup.stf', '15', 'quest_location_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/test_delivery_no_pickup.stf', '16', 'quest_location_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/test_delivery_no_pickup.stf', '17', 'quest_rendezvous2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/test_delivery_no_pickup.stf', '18', 'quest_rendezvous2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/test_delivery_no_pickup.stf', '19', 'quest_update', 'quest update: %TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/test_delivery_no_pickup.stf', '20', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/test_delivery_no_pickup.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/test_delivery_no_pickup.stf', '22', 'title', 'test delivery one way');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/delivery_no_pickup/test_delivery_no_pickup.stf', '23', 'title_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_14.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_14.stf', '2', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_14.stf', '3', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_14.stf', '4', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_14.stf', '5', 'quest_destroy_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_14.stf', '6', 'quest_destroy_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_14.stf', '7', 'quest_location_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_14.stf', '8', 'quest_location_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_14.stf', '9', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_14.stf', '10', 'title', 'Paying the Cost');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_14.stf', '11', 'title_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_17.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_17.stf', '2', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_17.stf', '3', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_17.stf', '4', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_17.stf', '5', 'quest_destroy_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_17.stf', '6', 'quest_destroy_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_17.stf', '7', 'quest_location_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_17.stf', '8', 'quest_location_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_17.stf', '9', 'split_quest_alert', '\\#FF0000 Black Epsilon Command:\\#pcontrast3 <We have got the location. Stand by to beginning jamming operations.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_17.stf', '10', 'title', 'Mouse to the Cheese');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_17.stf', '11', 'title_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_2.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_2.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_2.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_2.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_2.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_2.stf', '6', 'quest_destroy_d', 'Eliminate four X-Wing Cadets. Any more then that and we might start to lose any sympathy we gained.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_2.stf', '7', 'quest_destroy_t', 'Destroy Four X-wing Cadets');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_2.stf', '8', 'quest_location_d', 'The training ground is located inside of Corellia space. Once you arrive in Corellian space start your search for the X-wing cadets. Imperial command has supplied you with several navigation waypoints that will lead you to areas of higher Rebel activity.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_2.stf', '9', 'quest_location_t', 'Travel to the Corellia System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_2.stf', '10', 'split_quest_alert', 'You are not done with your job yet. Even with this setback, we still expect you to take out four of those X-wing Cadets.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_2.stf', '11', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_2.stf', '12', 'title', 'Corellia System: Seek and Destroy Four X-wing Cadets');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_2.stf', '13', 'title_d', 'Travel to the Corellia system, hunt down, and destroy four X-wing cadets. Since the Empire is unsure where the X-wing cadets are located in the Corellia system, you will receive a few navigation waypoints to suspected areas of Rebel activity. You can check out area around the waypoints to see if you can locate the Rebel cadets or just search the system yourself. Once you have located X-wing cadets, destroy four of them. When you complete this mission, return to Hakasha Sireen at the Imperial Base on Talus for your next assignment.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_4.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_4.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_4.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_4.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_4.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_4.stf', '6', 'quest_destroy_d', 'Once you have reached the testing area show the rebels that the Empire is not afraid of their new bomber. Destroy the ship. Once you are done return to your commanding officer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_4.stf', '7', 'quest_destroy_t', 'Destroy the B-Wing Prototype');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_4.stf', '8', 'quest_location_d', 'The B-Wing is being tested in the Corellian sector out past the local security buoys in order to avoid detection. Imperial Intelligence has been aware of this testing grounds since the project launched and has all the information they need from the prototype. Travel to the Nav locaiton supplied to you to reach the trainer grounds.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_4.stf', '9', 'quest_location_t', 'Travel to the Corellian Sector');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_4.stf', '10', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_4.stf', '11', 'title', 'Destroy B-Wing Prototype');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_4.stf', '12', 'title_d', 'The rebels have been testing a new space craft in the Corellian sector. The Empire is well aware of the existance of this starfighter and wants to send a message to the rebels. You are to travel to the testing area for the B-Wing prototype and destroy the test ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_tier3_1c.stf', '1', 'assigned_delayed', 'You have been assigned a destroy from the patrol');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_tier3_1c.stf', '2', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_tier3_1c.stf', '3', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_tier3_1c.stf', '4', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_tier3_1c.stf', '5', 'quest_destroy_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_tier3_1c.stf', '6', 'quest_destroy_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_tier3_1c.stf', '7', 'quest_location_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_tier3_1c.stf', '8', 'quest_location_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_tier3_1c.stf', '9', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_tier3_1c.stf', '10', 'title', 'Destroy rebel A Wings');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_tier3_1c.stf', '11', 'title_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_tier3_3b.stf', '1', 'assigned_delayed', 'Go to this waypoint and destroy some b-wings');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_tier3_3b.stf', '2', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_tier3_3b.stf', '3', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_tier3_3b.stf', '4', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_tier3_3b.stf', '5', 'quest_destroy_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_tier3_3b.stf', '6', 'quest_destroy_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_tier3_3b.stf', '7', 'quest_location_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_tier3_3b.stf', '8', 'quest_location_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_tier3_3b.stf', '9', 'split_quest_alert', 'Be ready for a split quest');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_tier3_3b.stf', '10', 'title', 'Destroy rebels');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_tier3_3b.stf', '11', 'title_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_tier3_3f.stf', '1', 'assigned_delayed', 'Kill any rebels you come across in endor space');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_tier3_3f.stf', '2', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_tier3_3f.stf', '3', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_tier3_3f.stf', '4', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_tier3_3f.stf', '5', 'quest_destroy_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_tier3_3f.stf', '6', 'quest_destroy_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_tier3_3f.stf', '7', 'quest_location_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_tier3_3f.stf', '8', 'quest_location_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_tier3_3f.stf', '9', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_tier3_3f.stf', '10', 'title', 'Hunt for rebel craft');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_tier3_3f.stf', '11', 'title_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_tier3_4b.stf', '1', 'assigned_delayed', 'Go to Endor Space and Destroy any X-Wing you find.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_tier3_4b.stf', '2', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_tier3_4b.stf', '3', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_tier3_4b.stf', '4', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_tier3_4b.stf', '5', 'quest_destroy_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_tier3_4b.stf', '6', 'quest_destroy_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_tier3_4b.stf', '7', 'quest_location_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_tier3_4b.stf', '8', 'quest_location_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_tier3_4b.stf', '9', 'split_quest_alert', 'Incoming split quest.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_tier3_4b.stf', '10', 'title', 'Destroy X-Wings');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_imperial_tier3_4b.stf', '11', 'title_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_privateer_13a.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_privateer_13a.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_privateer_13a.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_privateer_13a.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_privateer_13a.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_privateer_13a.stf', '6', 'quest_destroy_d', 'Exact location is not known for this particular mission');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_privateer_13a.stf', '7', 'quest_destroy_t', 'Search and Destroy');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_privateer_13a.stf', '8', 'quest_location_d', 'Hunt down the targeted Nym craft in Lok Space, a specific target location is unknown.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_privateer_13a.stf', '9', 'quest_location_t', 'Lok System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_privateer_13a.stf', '10', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_privateer_13a.stf', '11', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_privateer_13a.stf', '12', 'title', 'Destroy Nym Spacecraft');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_privateer_13a.stf', '13', 'title_d', 'Hunt down Nym craft operating in the Lok System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_privateer_16.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_privateer_16.stf', '2', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_privateer_16.stf', '3', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_privateer_16.stf', '4', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_privateer_16.stf', '5', 'quest_destroy_d', 'Exact location is not known for this particular mission');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_privateer_16.stf', '6', 'quest_destroy_t', 'Search and Destroy');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_privateer_16.stf', '7', 'quest_location_d', 'Search the system for Hutt Gunships');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_privateer_16.stf', '8', 'quest_location_t', 'Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_privateer_16.stf', '9', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_privateer_16.stf', '10', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_privateer_16.stf', '11', 'title', 'Destroy Renegate Hutt Fighers');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_privateer_16.stf', '12', 'title_d', 'Hunt down the Hutt Gunships');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_privateer_2.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_privateer_2.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_privateer_2.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_privateer_2.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_privateer_2.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_privateer_2.stf', '6', 'quest_destroy_d', 'Black Sun Pirates have been reported at or around these areas, destroy them if present.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_privateer_2.stf', '7', 'quest_destroy_t', 'Areas of Black Sun Activity');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_privateer_2.stf', '8', 'quest_location_d', 'Search the provided system waypoints for concentrations of Black Sun activity.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_privateer_2.stf', '9', 'quest_location_t', 'Corellia System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_privateer_2.stf', '10', 'split_quest_alert', '\\#pcontrast3 Sgt Rhea: < \\#pcontrast1 You appear to have hit a little snag out there Captain.  Get patched up and hunt those Black Sun down. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_privateer_2.stf', '11', 'split_quest_alert_fail', '\\#pcontrast3 Sgt Rhea: < \\#pcontrast1 You appear to have hit a little snag out there Captain.  Get patched up and hunt those Black Sun down. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_privateer_2.stf', '12', 'title', 'Corellia System: Search for and Destroy Black Sun Pirates');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_privateer_2.stf', '13', 'title_d', 'Visit some of the provided waypoints and destroy any Black Sun presence you find there. When you complete this mission, return to Sergeant Rhea in Coronet for your next assignment.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_rebel_2.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_rebel_2.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_rebel_2.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_rebel_2.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_rebel_2.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_rebel_2.stf', '6', 'quest_destroy_d', 'The Imperial TIE fighter is built to be cheap and reliable. It doesn\'t have a shield system or heavy armor but it makes up for that in speed and agility. Lone TIE fighters are hard to come by, they usually travel in big packs to be more of a threat.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_rebel_2.stf', '7', 'quest_destroy_t', 'TIE Fighter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_rebel_2.stf', '8', 'quest_location_d', 'The Corellia system is relatively safe for us. It\'s considered neutral and have been left alone by the Empire for the most part. Lately they have been starting to take more and more liberties in the system though and we have to be careful not to draw too much attention or the Empire might move in full force.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_rebel_2.stf', '9', 'quest_location_t', 'Corellia system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_rebel_2.stf', '10', 'split_quest_alert', 'Rebel Command: < Don\'t let them defeat you pilot. Get back out there and show them that the Alliance fold for no one! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_rebel_2.stf', '11', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_rebel_2.stf', '12', 'title', 'Corellia system: Hunt the TIE Fighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/corellia_rebel_2.stf', '13', 'title_d', 'Search the Corellia system for easy target TIE fighters and eliminate them. Eliminate four of them to succeed with your mission of sending a message to the Empire. When you complete this mission, return to Captain Kreezo in Tyrena for your next assignment.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/c_sink_imp_space.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/c_sink_imp_space.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/c_sink_imp_space.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/c_sink_imp_space.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/c_sink_imp_space.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/c_sink_imp_space.stf', '6', 'quest_destroy_d', 'In an effort to cripple the Binayre Pirates, destroy five of their Black Jacks.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/c_sink_imp_space.stf', '7', 'quest_destroy_t', 'Destroy 5 Binyare Black Jacks');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/c_sink_imp_space.stf', '8', 'quest_location_d', 'The Binayre Pirates tend to hunt in the Corellia system.  Go there to hunt them down.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/c_sink_imp_space.stf', '9', 'quest_location_t', 'Travel to the Corellia System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/c_sink_imp_space.stf', '10', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/c_sink_imp_space.stf', '11', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/c_sink_imp_space.stf', '12', 'title', 'Corellia System: Seek and Destroy 5 Binayre ships.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/c_sink_imp_space.stf', '13', 'title_d', 'Travel to the Corellia system, hunt down, and destroy five Binayre Black Jacks. You will receive navigational points of common Binayre activity. When you complete this mission, return to Ceth Laike at the Imperial Outpost on Talus.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/c_sink_reb_space.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/c_sink_reb_space.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/c_sink_reb_space.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/c_sink_reb_space.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/c_sink_reb_space.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/c_sink_reb_space.stf', '6', 'quest_destroy_d', 'In an effort to cripple the Hidden Daggers, destroy five of their Leaders.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/c_sink_reb_space.stf', '7', 'quest_destroy_t', 'Destroy 5 Hidden Dagger Leaders');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/c_sink_reb_space.stf', '8', 'quest_location_d', 'The Hidden Daggers tend to hunt in the Corellia system.  Go there to kill their leaders.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/c_sink_reb_space.stf', '9', 'quest_location_t', 'Travel to the Corellia System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/c_sink_reb_space.stf', '10', 'split_quest_alert', 'You should not let them get the better of you.  Go back out there do your duty!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/c_sink_reb_space.stf', '11', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/c_sink_reb_space.stf', '12', 'title', 'Corellia System: Seek and Destroy 5 Hidden Dagger Leaders.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/c_sink_reb_space.stf', '13', 'title_d', 'Travel to the Corellia system, hunt down, and destroy five Hidden Dagger Leaders. You will receive navigational points of common Hidden Dagger activity. When you complete this mission, return to Acun Solari in Tyrena on Corellia.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/imperial_ss_03.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/imperial_ss_03.stf', '2', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/imperial_ss_03.stf', '3', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/imperial_ss_03.stf', '4', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/imperial_ss_03.stf', '5', 'quest_destroy_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/imperial_ss_03.stf', '6', 'quest_destroy_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/imperial_ss_03.stf', '7', 'quest_location_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/imperial_ss_03.stf', '8', 'quest_location_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/imperial_ss_03.stf', '9', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/imperial_ss_03.stf', '10', 'title', 'Judgment on Colonel Hend');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/imperial_ss_03.stf', '11', 'title_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/imperial_ss_04.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/imperial_ss_04.stf', '2', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/imperial_ss_04.stf', '3', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/imperial_ss_04.stf', '4', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/imperial_ss_04.stf', '5', 'quest_destroy_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/imperial_ss_04.stf', '6', 'quest_destroy_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/imperial_ss_04.stf', '7', 'quest_location_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/imperial_ss_04.stf', '8', 'quest_location_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/imperial_ss_04.stf', '9', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/imperial_ss_04.stf', '10', 'title', 'Destroy Nym\'s Enforcer Captains');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/imperial_ss_04.stf', '11', 'title_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/master_imperial_1.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/master_imperial_1.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/master_imperial_1.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/master_imperial_1.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/master_imperial_1.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/master_imperial_1.stf', '6', 'quest_destroy_d', 'Be on the look out for A-Wings, B-Wings, X-Wings, Y-Wings, and Rebel Gunboats to destroy. You need to destroy 30 of those craft.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/master_imperial_1.stf', '7', 'quest_destroy_t', 'Destroy Thirty Rebel Fighters');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/master_imperial_1.stf', '8', 'quest_location_d', 'The target system is Kessel. You are to travel to Kessel and attack any Rebel forces that are within the system. This should weaken the Rebels so that they are unable to properly fortify the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/master_imperial_1.stf', '9', 'quest_location_t', 'Travel to the Kessel System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/master_imperial_1.stf', '10', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/master_imperial_1.stf', '11', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/master_imperial_1.stf', '12', 'title', 'Kessel System: Seek and Destroy Rebel Fighters');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/master_imperial_1.stf', '13', 'title_d', 'Grand Admiral Nial Declann has formulated a plan to take control of the Kessel system for the Empire. You have been ordered to weaken the Rebel forces who have already taken up positions inside the system. The black holes in the system make it impossible to get a lock on individual ships so it will be nessecary to seek and destroy all targets involved. You are required to hunt down fighters and smaller, none capital, command vessels. The vessels that you are required to destroy are X-Wings, B-Wings, A-Wings, Y-Wings, and the Rebel gunboats.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/master_imperial_2.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/master_imperial_2.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/master_imperial_2.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/master_imperial_2.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/master_imperial_2.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/master_imperial_2.stf', '6', 'quest_destroy_d', 'In order to ensure that the Empire is able to gain control of the Kessel sector the Rebel\'s command vessel, a Corellian Corvette class cruiser, needs to be destroyed. Hunt down the Corvette and destroy the vessel. In order to destroy a captial ship you must target and destroy each sub-component of the ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/master_imperial_2.stf', '7', 'quest_destroy_t', 'Destroy the Rebel Corellian Corvette');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/master_imperial_2.stf', '8', 'quest_location_d', 'The Rebel battlegroup has stationed itself in the Kessel system. Because of the black holes in the region their command vessel is easily masked from long range scan so you must search the sector until you find the Rebel\'s corvette.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/master_imperial_2.stf', '9', 'quest_location_t', 'Travel to the Kessel System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/master_imperial_2.stf', '10', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/master_imperial_2.stf', '11', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/master_imperial_2.stf', '12', 'title', 'Kessel System: Seek and Destroy the Rebel Corvette');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/master_imperial_2.stf', '13', 'title_d', 'Now that the Rebel forces in the area have been reduced there is a much better chance that the Rebel command vessel can be destroyed. The Rebel battlegroup contains a Corellian Corvette class star cruiser. Grand Admiral Nial Declann\'s plan is to destroy the corvette crippling the Rebel offense in the Kessel system. Without the support of thier capital ship the Rebels will have no choice but to pull their forces from the area.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/master_rebel_1.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/master_rebel_1.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/master_rebel_1.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/master_rebel_1.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/master_rebel_1.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/master_rebel_1.stf', '6', 'quest_destroy_d', 'Hunt down and destroy any 30 Imperial Gunboats, TIE Advanced fighters, TIE Aggressor fighters, TIE Interceptors, or TIE Oppressors.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/master_rebel_1.stf', '7', 'quest_destroy_t', 'Destroy Thirty Imperial Fighters');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/master_rebel_1.stf', '8', 'quest_location_d', 'The target area is the Kessel system. You are to travel to Kessel and attack any of the Imperial forces that are within the system. This should weaken the Imperials, so that they are unable to properly fortify the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/master_rebel_1.stf', '9', 'quest_location_t', 'Travel to the Kessel System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/master_rebel_1.stf', '10', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/master_rebel_1.stf', '11', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/master_rebel_1.stf', '12', 'title', 'Kessel System: Seek and Destroy Imperial Fighters');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/master_rebel_1.stf', '13', 'title_d', 'Admiral Willham has formulated a plan to take control of the Kessel system for the Alliance. You have been ordered to weaken the Imperial forces who have already taken up positions inside the system. The black holes in the system make it impossible to get a lock on individual ships so it will be nessecary to seek and destroy all targets involved. You are required to hunt down fighters and smaller, none capital, command vessels. The vessels that you are required to destroy are TIE variants and the Imperial Gunboats.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/master_rebel_2.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/master_rebel_2.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/master_rebel_2.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/master_rebel_2.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/master_rebel_2.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/master_rebel_2.stf', '6', 'quest_destroy_d', 'In order to ensure that the Alliance is able to gain control of the Kessel system, the Imperial\'s command vessel, a Corellian Corvette class cruiser, needs to be destroyed. Hunt down the Corvette and destroy the vessel. In order to destroy a captial ship you must target and destroy each sub-component of the ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/master_rebel_2.stf', '7', 'quest_destroy_t', 'Destroy the Imperial Corellian Corvette');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/master_rebel_2.stf', '8', 'quest_location_d', 'The Imperial battlegroup has stationed itself in the Kessel system. Because of the black holes in the region their command vessel is easily masked from long range scan so you must search the system until you find the Imperial\'s corvette.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/master_rebel_2.stf', '9', 'quest_location_t', 'Travel to the Kessel System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/master_rebel_2.stf', '10', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/master_rebel_2.stf', '11', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/master_rebel_2.stf', '12', 'title', 'Kessel System: Seek and Destroy the Imperial Corvette');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/master_rebel_2.stf', '13', 'title_d', 'Now that the Imperial forces in the area have been reduced, there is a much better chance that the Imperial command vessel can be destroyed. The Imperial battlegroup contains a Corellian Corvette class star cruiser. Admiral Willham\'s plan is to destroy the corvette crippling the Imperial offense in the Kessel system. Without the support of thier capital ship the Imperials will have no choice but to pull their forces from the area.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_imperial_2.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_imperial_2.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_imperial_2.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_imperial_2.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_imperial_2.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_imperial_2.stf', '6', 'quest_destroy_d', 'Search the Naboo system for four Rebel X-wing fighter cadets. Once you have completed this task return to your commanding officer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_imperial_2.stf', '7', 'quest_destroy_t', 'Destroy Four X-Wing Fighter Cadets');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_imperial_2.stf', '8', 'quest_location_d', 'Our reports show that a squad of Rebel X-wing fighter cadets has moved into the Naboo system. Imperial command has supplied you with several areas that might be good to start your search.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_imperial_2.stf', '9', 'quest_location_t', 'Travel to the Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_imperial_2.stf', '10', 'split_quest_alert', 'You are still not done with your job. Even though you have failed, we still expect you to kill four X-wing Cadets. Get back to work.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_imperial_2.stf', '11', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_imperial_2.stf', '12', 'title', 'Naboo System: Seek and Destroy X-Wing Fighter Cadets');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_imperial_2.stf', '13', 'title_d', 'Travel to the Naboo system, hunt down, and destroy four X-wing fighter cadets. Since the Empire is unsure where the X-wing fighter cadets are located in the Naboo system, you will receive a few navigation waypoints to suspected areas of Rebel activity. You can check out area around the waypoints to see if you can locate the Rebel cadets or just search the system yourself.  When you complete this mission, return to Lt. Barn Sinkko in Kadaara for your next assignment.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_imperial_4.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_imperial_4.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_imperial_4.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_imperial_4.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_imperial_4.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_imperial_4.stf', '6', 'quest_destroy_d', 'Find the rebel leader at the given Nav location. If he is not there when you arrive destroy the xwings at the location and they will send out a distress signal that he is sure to respond to. Once you have eliminated him return to your commanding officer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_imperial_4.stf', '7', 'quest_destroy_t', 'Destroy the Rebel Leader');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_imperial_4.stf', '8', 'quest_location_d', 'Intelligence reports that the rebel leader is still located inside the Nabooian sector. They have supplied a Nav waypoint to his last known location. Search that area for the rebel leader.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_imperial_4.stf', '9', 'quest_location_t', 'Travel to the Nabooian Sector');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_imperial_4.stf', '10', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_imperial_4.stf', '11', 'title', 'Eliminate Rebel Team Leader');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_imperial_4.stf', '12', 'title_d', 'Imperial Intelligence has a lead on the location of the rebel team leader who was attempting to capture a shipment of the E-62s. The rebellion cannot be allowed to get away with these strike on Imperial interests and the leader of this raid must be destroyed. You are to hunt down and destroy the rebel strike leader.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_imperial_tier3_3_b.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_imperial_tier3_3_b.stf', '2', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_imperial_tier3_3_b.stf', '3', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_imperial_tier3_3_b.stf', '4', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_imperial_tier3_3_b.stf', '5', 'quest_destroy_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_imperial_tier3_3_b.stf', '6', 'quest_destroy_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_imperial_tier3_3_b.stf', '7', 'quest_location_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_imperial_tier3_3_b.stf', '8', 'quest_location_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_imperial_tier3_3_b.stf', '9', 'split_quest_alert', 'Imperial High Command:<Nice work making that look real. Wait for further instructions.> ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_imperial_tier3_3_b.stf', '10', 'title', 'Making It Look Real');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_imperial_tier3_3_b.stf', '11', 'title_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_imperial_tier3_4.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_imperial_tier3_4.stf', '2', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_imperial_tier3_4.stf', '3', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_imperial_tier3_4.stf', '4', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_imperial_tier3_4.stf', '5', 'quest_destroy_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_imperial_tier3_4.stf', '6', 'quest_destroy_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_imperial_tier3_4.stf', '7', 'quest_location_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_imperial_tier3_4.stf', '8', 'quest_location_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_imperial_tier3_4.stf', '9', 'split_quest_alert', 'Imperial High Command:<We have a situation here! Our Imperial Command shuttle is under heavy assault. Immediately proceed to the following location and intercept the attacking fighters.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_imperial_tier3_4.stf', '10', 'title', 'Thinning the Herd');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_imperial_tier3_4.stf', '11', 'title_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_privateer_13.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_privateer_13.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_privateer_13.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_privateer_13.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_privateer_13.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_privateer_13.stf', '6', 'quest_destroy_d', 'A pair of locations known for Ay\'Nat Ghost activity');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_privateer_13.stf', '7', 'quest_destroy_t', 'Search and Destroy');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_privateer_13.stf', '8', 'quest_location_d', 'Search the system for areas of Ay\'Nat activity');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_privateer_13.stf', '9', 'quest_location_t', 'Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_privateer_13.stf', '10', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_privateer_13.stf', '11', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_privateer_13.stf', '12', 'title', 'Naboo System: Search For and Destroy Ay\'Nat Ghost Fighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_privateer_13.stf', '13', 'title_d', 'Clear the area of Ay\'Nat activity');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_privateer_2.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_privateer_2.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_privateer_2.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_privateer_2.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_privateer_2.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_privateer_2.stf', '6', 'quest_destroy_d', 'Black Sun Pirates have been reported at or around these areas, destroy them if present.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_privateer_2.stf', '7', 'quest_destroy_t', 'Areas of Black Sun Activity');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_privateer_2.stf', '8', 'quest_location_d', 'Search the provided system waypoints for concentrations of Black Sun activity.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_privateer_2.stf', '9', 'quest_location_t', 'Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_privateer_2.stf', '10', 'split_quest_alert', '\\#pcontrast3 Capt Dinge: < \\#pcontrast1 You appear to have hit a little snag out there Captain.  Get patched up and take down those Black Sun. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_privateer_2.stf', '11', 'split_quest_alert_fail', '\\#pcontrast3 Capt Dinge: < \\#pcontrast1 You appear to have hit a little snag out there Captain.  Get patched up and take down those Black Sun. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_privateer_2.stf', '12', 'title', 'Naboo System: Search for and Destroy the Black Sun Pirates');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_privateer_2.stf', '13', 'title_d', 'Visit some of the provided waypoints and destroy any Black Sun presence you find there. When you complete this mission, return to Captain Dinge in the Theed Palace for your next assignment.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_privateer_tier3_1c.stf', '1', 'assigned_delayed', '\\#pcontrast3 RSF Command: < \\#pcontrast1 Blacksun fighters have been sighted in your area.  Track them down and destroy them. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_privateer_tier3_1c.stf', '2', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_privateer_tier3_1c.stf', '3', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_privateer_tier3_1c.stf', '4', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_privateer_tier3_1c.stf', '5', 'quest_destroy_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_privateer_tier3_1c.stf', '6', 'quest_destroy_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_privateer_tier3_1c.stf', '7', 'quest_location_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_privateer_tier3_1c.stf', '8', 'quest_location_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_privateer_tier3_1c.stf', '9', 'split_quest_alert', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Head for Naboo Space, we will have more information when you arrive. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_privateer_tier3_1c.stf', '10', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_privateer_tier3_1c.stf', '11', 'title', 'Taking out the Trash');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_privateer_tier3_1c.stf', '12', 'title_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_rebel_2.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_rebel_2.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_rebel_2.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_rebel_2.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_rebel_2.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_rebel_2.stf', '6', 'quest_destroy_d', 'The Imperial TIE fighter is built to be cheap and reliable. It doesn\'t have a shield system or heavy armor but it makes up for that in speed and agility. Lone TIE fighters are hard to come by, they usually travel in big packs to be more of a threat.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_rebel_2.stf', '7', 'quest_destroy_t', 'TIE Fighter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_rebel_2.stf', '8', 'quest_location_d', 'The Naboo system is always dangerous for us. It has a high concentration of Imperial forces and is rumored to be the Emperors home away from home.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_rebel_2.stf', '9', 'quest_location_t', 'Naboo system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_rebel_2.stf', '10', 'split_quest_alert', 'Rebel Command: < Don\'t let them defeat you pilot. Get back out there and show them that the Alliance fold for no one! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_rebel_2.stf', '11', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_rebel_2.stf', '12', 'title', 'Naboo system: Hunt the TIE Fighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/naboo_rebel_2.stf', '13', 'title_d', 'We want to show the Empire that they are not untouchable in the Naboo system. Hunt down four TIE fighters and destroy them. That should be a sufficient wake up call for the Empire. When you complete this mission, return to V3-FX in Moenia for your next assignment.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/poi_tatooine_general2_2.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/poi_tatooine_general2_2.stf', '2', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/poi_tatooine_general2_2.stf', '3', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/poi_tatooine_general2_2.stf', '4', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/poi_tatooine_general2_2.stf', '5', 'quest_destroy_d', 'The Zynt\'aia Order has forcefully claimed the mining field close to A\'Lerris\' home base. It is my duty to clear several of the pirates out in order to restore the balance to the mining field. The freighters and miners will then be able to continue their work.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/poi_tatooine_general2_2.stf', '6', 'quest_destroy_t', 'Destroy the Zynt\'aia Pirates');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/poi_tatooine_general2_2.stf', '7', 'quest_location_d', 'It has been my directive from A\'Lerris to travel to the Tatoo System, if I\'m not there already.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/poi_tatooine_general2_2.stf', '8', 'quest_location_t', 'Travel to the Tatoo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/poi_tatooine_general2_2.stf', '9', 'split_quest_alert', '\\#pcontrast1 A\'Lerris Verata:\\#pcontrast3 < We want you to continue you task, pilot, though in a different area. You\'ve done well. Soon, I\'ll transmit the additional information you\'ll need to continue your mission. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/poi_tatooine_general2_2.stf', '10', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/poi_tatooine_general2_2.stf', '11', 'title', 'Tatoo System: The Awakened: Zynt\'aia Order');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/poi_tatooine_general2_2.stf', '12', 'title_d', 'A\'Lerris Verata, the strong leader of the mining efforts in the Tatoo System, has informed me of her concerns regarding the awakened Zynt\'aia Order. Due to my presence, and my assistance with the mining efforts, the Zynt\'aia Pirates have begun to spring unwanted and stealthy attacks against the peaceful miners. It is my duty, as a directive from A\'Lerris herself, to clear the Zynt\'aia influence from the mining field. Unfortunately, it seems the Zynt\'aia Order has stirred and moved in to claim the field, destroying freighters and miners alike with little to no thought at all. It is time to extinguish the influence and replenish the balance.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/poi_tatooine_general2_2_a.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/poi_tatooine_general2_2_a.stf', '2', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/poi_tatooine_general2_2_a.stf', '3', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/poi_tatooine_general2_2_a.stf', '4', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/poi_tatooine_general2_2_a.stf', '5', 'quest_destroy_d', 'A\'Lerris has transmitted a new area in which I must extinguish the influence of the Zynt\'aia Order. Once I have completed my mission, the balance will be restored and the miners can continue their work undauntedly.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/poi_tatooine_general2_2_a.stf', '6', 'quest_destroy_t', 'Destroy the Zynt\'aia Pirates');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/poi_tatooine_general2_2_a.stf', '7', 'quest_location_d', 'My task directs me to the Tatoo System. I must travel there if I haven\'t already and complete my mission as directed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/poi_tatooine_general2_2_a.stf', '8', 'quest_location_t', 'Remain in the Tatoo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/poi_tatooine_general2_2_a.stf', '9', 'split_quest_alert', '\\#pcontrast1 A\'Lerris Verata:\\#pcontrast3 < Pilot. Listen carefully as this is a highly sensitive mission and must be undertaken with utmost care. We\'ve been contacted by the captured crew of one of our missing freighters. It seems that the Zynt\'aia pirates have taken a freighter and its crew hostage. It is your duty to rescue it and bring it home. Please be careful. We\'re counting solely on you. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/poi_tatooine_general2_2_a.stf', '10', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/poi_tatooine_general2_2_a.stf', '11', 'title', 'Tatoo System: Extinguish the Influence');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/poi_tatooine_general2_2_a.stf', '12', 'title_d', 'A\'Lerris has instructed me to move on to another area to continue my work. She\'s effortlessly transmitted the information I need to find my objective and I will continue my task with little interruption. ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_imperial_2.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_imperial_2.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_imperial_2.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_imperial_2.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_imperial_2.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_imperial_2.stf', '6', 'quest_destroy_d', 'The Empire realizes that the war against these pirates will not be won in a single battle. Instead they just want you to control the numbers of pirates in the region. Seek and destroy four commerce raiders in the Tatooine sector.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_imperial_2.stf', '7', 'quest_destroy_t', 'Destroy the Commerce Raiders');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_imperial_2.stf', '8', 'quest_location_d', 'The Commerce Raiders operate in the Tatooine system attacking it\'s rich shipping lanes and then selling the cargo to one of Tatooines many criminal overlords, such as Jabba the Hutt. Imperial command has supplied you with several navigation waypoints to areas of high pirate activity.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_imperial_2.stf', '9', 'quest_location_t', 'Travel to the Tatooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_imperial_2.stf', '10', 'split_quest_alert', 'Failure is not an option! You are still expected to kill four Commerce Raiders.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_imperial_2.stf', '11', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_imperial_2.stf', '12', 'title', 'Tatooine System: Seek and Destroy Four Commerce Raiders');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_imperial_2.stf', '13', 'title_d', 'With it\'s lucrative shipping routes and small police force the Tatooine system has become ripe with pirate activity. If the Empire wants any chance at gaining a serious foot hold on Outer Rim worlds the pirates of those sectors must be eliminated. The Commerce Raider\'s numbers are growning constantly and it is time for them to be culled. Imperial command has supplied you with several navigation waypoints to areas of high pirate activity. When you complete this mission, return to Lt. Akal Colzet in the Imperial Pilot\'s Association Hall next to the Bestine Capital building for your next assignment.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_imperial_4.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_imperial_4.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_imperial_4.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_imperial_4.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_imperial_4.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_imperial_4.stf', '6', 'quest_destroy_d', 'In order for the Empire to have any control over these nefarious pirates you will have to take out their leader. Destroy the Commerce Raider Leader.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_imperial_4.stf', '7', 'quest_destroy_t', 'Destroy the Commerce Raider Leader');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_imperial_4.stf', '8', 'quest_location_d', 'Intelligence reports that the leader is staged along a busy commerical route in the Tatooine sector. You will recieve a Nav location to the Commerce Raider Leader\'s last confirmed location on reaching the Tatooine sector.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_imperial_4.stf', '9', 'quest_location_t', 'Travel to the Tatooine Sector');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_imperial_4.stf', '10', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_imperial_4.stf', '11', 'title', 'Eliminate Pirate Leader');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_imperial_4.stf', '12', 'title_d', 'The Commerce Raiders are becoming a problem that is quickly growing out of control. Intelligence has managed to get a lock on where the pirate\'s leader is laying low. Without their leader, Imperial Command hopes that the pirates will lose a great deal of their effectiveness. You are to destroy this leader.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_imperial_tier3_3_b.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_imperial_tier3_3_b.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_imperial_tier3_3_b.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_imperial_tier3_3_b.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_imperial_tier3_3_b.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_imperial_tier3_3_b.stf', '6', 'quest_destroy_d', 'Seek and destroy any Rebel A-wing, B-wing, Y-wing, X-wing, or Z95\'s that can be found in the Endor system. Destroy them until you receive word from command that the decoy shuttle is ready.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_imperial_tier3_3_b.stf', '7', 'quest_destroy_t', 'Destroy Rebel Fighters');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_imperial_tier3_3_b.stf', '8', 'quest_location_d', 'Destroy the fighters inside of the Endor system. You will have to search for the fighters in the area.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_imperial_tier3_3_b.stf', '9', 'quest_location_t', 'Remain in the Endor System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_imperial_tier3_3_b.stf', '10', 'split_quest_alert', 'The decoy shuttle is all set up with the false information. Meet up with the shuttle and assist it through the system. In order to make sure that the Rebels are completely sold that it contains real and valuable information, you are going to have to make it look as real as possible. Destroy four of the enemy attack waves while you are escorting the shuttle. This should convince the Rebels that the plans they will find on the shuttle are real.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_imperial_tier3_3_b.stf', '11', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_imperial_tier3_3_b.stf', '12', 'title', 'Endor System: Seek and Destroy Rebel Fighters');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_imperial_tier3_3_b.stf', '13', 'title_d', 'In order to assist with the deception of the fake Imperial plans, you need to destroy a few of their craft as if the Empire is going on the offensive. Seek and destroy Rebel fighters until you are contacted by command that the decoy shuttle is ready.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_imperial_tier3_4.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_imperial_tier3_4.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_imperial_tier3_4.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_imperial_tier3_4.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_imperial_tier3_4.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_imperial_tier3_4.stf', '6', 'quest_destroy_d', 'Search the Endor system and destroy ten Rebel fighters. Any standard Rebel X-Wing, Y-Wing, A-Wing, or B-Wing will do.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_imperial_tier3_4.stf', '7', 'quest_destroy_t', 'Destroy Ten Rebel Fighters');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_imperial_tier3_4.stf', '8', 'quest_location_d', 'Find the rebel fighters in the Endor system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_imperial_tier3_4.stf', '9', 'quest_location_t', 'Travel to the Endor System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_imperial_tier3_4.stf', '10', 'split_quest_alert', 'We have a situation here! Our Imperial Command shuttle is under heavy assault. Immediately proceed to the following location and intercept the attacking fighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_imperial_tier3_4.stf', '11', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_imperial_tier3_4.stf', '12', 'title', 'Endor System: Seek and Destroy Ten Rebel Fighters');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_imperial_tier3_4.stf', '13', 'title_d', 'We have a lock on the Rebel command vessel, but the time has not yet come to attack it. We still do not know exactly what the Rebels are doing in this system. But command wants to start culling the number of Rebels in the sector. Search the Endor system and destroy ten Rebel fighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_privateer_2.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_privateer_2.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_privateer_2.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_privateer_2.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_privateer_2.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_privateer_2.stf', '6', 'quest_destroy_d', 'Black Sun Pirates have been reported at or around these areas, destroy them if present.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_privateer_2.stf', '7', 'quest_destroy_t', 'Areas of Black Sun Activity');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_privateer_2.stf', '8', 'quest_location_d', 'Search the provided system waypoints for concentrations of Black Sun activity.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_privateer_2.stf', '9', 'quest_location_t', 'Tatooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_privateer_2.stf', '10', 'split_quest_alert', '\\#pcontrast3 Dravis: < \\#pcontrast1 You appear to have hit a little snag out there.  Get patched up and take down those Black Sun. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_privateer_2.stf', '11', 'split_quest_alert_fail', '\\#pcontrast3 Dravis: < \\#pcontrast1 You appear to have hit a little snag out there.  Get patched up and take down those Black Sun. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_privateer_2.stf', '12', 'title', 'Tatooine System: Hunt the Black Sun Pirates');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_privateer_2.stf', '13', 'title_d', 'Visit some of the provided waypoints and destroy any Black Sun presence you find there. When you complete this mission, return to Dravis in back room of the Mos Eisley cantina for your next assignment.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_rebel_3.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_rebel_3.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_rebel_3.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_rebel_3.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_rebel_3.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_rebel_3.stf', '6', 'quest_d', 'The TIE fighters that attacked you on your first sensor sweep are gathering in the Tatooine system for a larger assault. Find them and take down at least four (4) of them.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_rebel_3.stf', '7', 'quest_destroy_d', 'The Imperial TIE fighter is built to be cheap and reliable. It doesn\'t have a shield system or heavy armor but it makes up for that in speed and agility. Lone TIE fighters are hard to come by, they usually travel in big packs to be more of a threat.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_rebel_3.stf', '8', 'quest_destroy_t', 'TIE Fighter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_rebel_3.stf', '9', 'quest_location_d', 'The Tatooine system doesn\'t have a heavy Imperial presence but it\'s filled to the brim with scoundrels, pirates and bounty hunters so don\'t get too relaxed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_rebel_3.stf', '10', 'quest_location_t', 'Tatooine system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_rebel_3.stf', '11', 'quest_t', 'Hunt down TIE Fighters');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_rebel_3.stf', '12', 'split_quest_alert', 'Rebel Command: < Don\'t let them defeat you pilot. Get back out there and show them that the Alliance fold for no one! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_rebel_3.stf', '13', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_rebel_3.stf', '14', 'title', 'Tatooine system: Hunt down TIE Fighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy/tatooine_rebel_3.stf', '15', 'title_d', 'The TIE fighters that attacked you on your first sensor sweep are gathering for a larger assault. Hunt down TIE fighters in the Tatooine system and destroy four (4) of them to send a message to the Empire and make them think twice about any sort of counter attack. When you complete this mission, return to Commander Da\'la Socuna in back room of the Mos Espa cantina for your next assignment.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_10.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_10.stf', '2', 'boss_detected', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Rebel captain detected, prepare for assault \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_10.stf', '3', 'boss_title_0', 'Rebel Captain');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_10.stf', '4', 'boss_title_1', 'Rebel Captain');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_10.stf', '5', 'boss_title_2', 'Rebel Captain');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_10.stf', '6', 'boss_title_3', 'Rebel Captain');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_10.stf', '7', 'boss_title_4', 'Rebel Captain');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_10.stf', '8', 'boss_title_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_10.stf', '9', 'complete', 'Another victory earned for Black Epsilon.  Return to base.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_10.stf', '10', 'dd_boss_taunt_1', 'Now you will die Imperial aggressor.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_10.stf', '11', 'dd_boss_taunt_2', 'The Rebellion will never falter!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_10.stf', '12', 'dd_boss_taunt_3', 'Prepare to be vaporized!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_10.stf', '13', 'dd_boss_taunt_4', 'Our day has come!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_10.stf', '14', 'dd_boss_taunt_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_10.stf', '15', 'duty_update', '\\#pcontrast3 Black Epsilon Command: < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_10.stf', '16', 'found_loc', 'Uploading the coordinates to suspect Rebel activity now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_10.stf', '17', 'level_boss', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 A %TO has been spotted, do not let them escape. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_10.stf', '18', 'level_boss_dead', 'This is a great blow to the Rebellion.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_10.stf', '19', 'level_increase', 'More Rebel craft have been detected.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_10.stf', '20', 'quest_destroy_d', 'Destroy any Rebel fighters that attack you. Keep a close eye out for the Rebel Captains who will come in to try to take you out if you destroy enough of their men.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_10.stf', '21', 'quest_destroy_t', 'Destroy Rebel Fighters');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_10.stf', '22', 'quest_location_d', 'Corellia, although offically neutral, has always been known for harboring members of the Rebellion. Travel to that sector to receive your first Nav location to areas of high Rebel activity.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_10.stf', '23', 'quest_location_t', 'Travel to the Corellian System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_10.stf', '24', 'targets_behind', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Enemy targets coming fast from behind! \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_10.stf', '25', 'targets_detected', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Enemy targets sighted.  Prepare for assault. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_10.stf', '26', 'taunt_1', 'The Empire sent you to hunt me? Pathetic!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_10.stf', '27', 'taunt_2', 'I hope you have life insurance.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_10.stf', '28', 'taunt_3', 'Beg all you want. I will not show mercy.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_10.stf', '29', 'taunt_4', 'This is your last chance to flee.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_10.stf', '30', 'taunt_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_10.stf', '31', 'title', 'Corellia System: Destroy the Rebel Fighters Duty');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_10.stf', '32', 'title_d', 'Travel to the Corellia system and destroy the Rebel fighters. Black Epsilon believes that it is time to take the fight to the Rebellion. Intelligence has managed to locate several areas of high Rebel activity. You are to travel to these areas and destroy any Rebels that you find in the area.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_6.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_6.stf', '2', 'boss_detected', 'Tactical Computer: < Vessel with veteran insignias on attack vector, weapon systems armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_6.stf', '3', 'boss_title_1', 'Experienced Rebel Pilot');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_6.stf', '4', 'boss_title_2', 'Veteran Rebel Pilot');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_6.stf', '5', 'boss_title_3', 'Grim Veteran Rebel Pilot');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_6.stf', '6', 'boss_title_4', 'Furious Veteran Rebel Pilot');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_6.stf', '7', 'boss_title_5', 'Ace Veteran Rebel Pilot');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_6.stf', '8', 'complete', 'Good work pilot, the Emperor would be proud. We can\'t detect anymore B-Wing Prototypes in the area, return to base.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_6.stf', '9', 'dd_boss_taunt_1', 'This is who I\'m missing supper for? Give me two minutes to handle this.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_6.stf', '10', 'dd_boss_taunt_2', 'The reign of the Empire is coming to a end and it starts with you!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_6.stf', '11', 'dd_boss_taunt_3', 'This monster is all mine, you will pay for your crimes!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_6.stf', '12', 'dd_boss_taunt_4', 'You filthy scum, I will avenge my friends!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_6.stf', '13', 'dd_boss_taunt_5', 'Finally a worthy opponent. I hope you have made peace with your maker, you\'re about to meet him!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_6.stf', '14', 'duty_update', 'Black Epsilon Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_6.stf', '15', 'found_loc', 'The next area of spotted B-Wing activity has been uploaded to your nav computer. Proceed as planned.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_6.stf', '16', 'level_boss', 'Black Epsilon Command: < The Rebel scum has sent a %TO to bring you down, proceed with caution. Emperor guide you! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_6.stf', '17', 'level_boss_dead', 'You showed amazing skills pilot, the Rebel scum will speak your name in fear! Stand by for further orders.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_6.stf', '18', 'level_increase', 'The Rebels are ramping up their activity in response to your victories.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_6.stf', '19', 'quest_destroy_d', 'Once you have reached the navigation waypoint, you will be attacked by B-wings. Destroy the B-wings at this location until you receive a new navigation waypoint to your next battleground. If you destroy enough of these B-wings, the Rebellion will send out better trained pilots in order to deal with you. Destroy duties can be quit at any time. Simply abort the mission or leave the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_6.stf', '20', 'quest_destroy_t', 'Travel to the Navigation Waypoint and Destroy the B-wings');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_6.stf', '21', 'quest_location_d', 'Travel to the Corellia system and move towards your first navigation waypoint to begin the destroy duty mission. When you destroy all attack waves at that waypoint you will receive a new navigation waypoint.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_6.stf', '22', 'quest_location_t', 'Travel to the Corellian System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_6.stf', '23', 'targets_behind', 'Tactical Computer: < Be aware, vessels trying to target this ship with their weapon systems. Attack originating direction 180 degrees. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_6.stf', '24', 'targets_detected', 'Tactical Computer: < Vessels fitting hunted ship profile on attack vector, weapon systems armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_6.stf', '25', 'taunt_1', 'You\'re all mine, Imperial dog!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_6.stf', '26', 'taunt_2', 'Your the scum that shot down my brother, I will avenge him!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_6.stf', '27', 'taunt_3', 'This new technology is far superior to your puny vessel. Prepare to die Imperial scum!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_6.stf', '28', 'taunt_4', 'You will never leave this sector, murderer!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_6.stf', '29', 'taunt_5', 'Time to pay for your endless crimes, filthy Imperial henchman!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_6.stf', '30', 'title', 'Corellia System: Destroy the Remaining B-wing Prototypes Duty');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_6.stf', '31', 'title_d', 'Travel to the Corellia system and destroy the remaining B-wing prototypes. A destroy duty is a voluntary mission that you are able to quit at any time without repercussions. When you reach the Corellia system a navigation waypoint will be sent to you. Travel to this waypoint and you will be attacked by enemy fighters. Each time you destroy a wave of fighters a new wave will attack. Once you have destroyed all the attack waves at one waypoint, you will receive a new waypoint that you can fly to and continue destroying the enemy craft. A destroy duty will continue in this manner until you decide to stop.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_8.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_8.stf', '2', 'boss_detected', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 < Hostile craft on approach path. > ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_8.stf', '3', 'boss_title_1', 'Nights Blade');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_8.stf', '4', 'boss_title_2', 'Deadly Blade');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_8.stf', '5', 'boss_title_3', 'Dancing Dagger');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_8.stf', '6', 'boss_title_4', 'Shadow Knife');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_8.stf', '7', 'boss_title_5', 'Dark Assassin');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_8.stf', '8', 'complete', 'Long range scans show no more pirate activity in the area, return to base.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_8.stf', '9', 'dd_boss_taunt_1', 'Do they send children to fight their wars now?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_8.stf', '10', 'dd_boss_taunt_2', 'Are you going to attack or stare at me all day?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_8.stf', '11', 'dd_boss_taunt_3', 'I\'m going to chop you up and feed you to my Gronda!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_8.stf', '12', 'dd_boss_taunt_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_8.stf', '13', 'dd_boss_taunt_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_8.stf', '14', 'duty_update', '\\#pcontrast1 Black Epsilon Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_8.stf', '15', 'found_loc', 'Next location of pirate activity has been uploaded to your nav computer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_8.stf', '16', 'level_boss', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 < %TO has shown up on the scanners, be ready >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_8.stf', '17', 'level_boss_dead', 'These simple pirates were no match for your superior fighting skills.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_8.stf', '18', 'level_increase', 'The enemy has taken notice of your actions, be on guard.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_8.stf', '19', 'quest_destroy_d', 'Destroy any Hidden Dagger fighter you find in any of the hot spot areas. Be on the look out for their ace pilots whom will come after you if you cause enough trouble.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_8.stf', '20', 'quest_destroy_t', 'Destroy the Hidden Daggers');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_8.stf', '21', 'quest_location_d', 'The Hidden Daggers are stationed in the Corellian system. Locate their fighters in that region and destroy them. Once you arrive in the system, Intelligence has supplied us with locations to known Hidden Dagger hot spots.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_8.stf', '22', 'quest_location_t', 'Travel to the Corellian System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_8.stf', '23', 'targets_behind', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 < Be aware, vessels trying to target this ship with their weapon systems. Attack orginating direction 180 degrees. > ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_8.stf', '24', 'targets_detected', '\\#pcontrast1Tactical Computer:\\#pcontrast3 < Vessels bearing marks of the Hidden Daggers spotted > ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_8.stf', '25', 'taunt_1', 'This one is no match for me.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_8.stf', '26', 'taunt_2', 'I have first call on the spare parts.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_8.stf', '27', 'taunt_3', 'I will decorate my house with what is left of your ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_8.stf', '28', 'taunt_4', 'The hidden daggers will not be stopped!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_8.stf', '29', 'taunt_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_8.stf', '30', 'title', 'Corellia System: Destroy the Hidden Daggers Duty');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_8.stf', '31', 'title_d', 'Travel to the Corellia system and destroy Hidden Daggers. The Rebels have many allies in the Corellian system and they are trying to gain more. They have been in negotiations with the Hidden Daggers in an attempt to gain their support. Send a message to the Hidden Daggers that any assistance they give to the Rebellion will have dire consequences.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_tier4_1.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_tier4_1.stf', '2', 'boss_detected', 'Be on the lookout. A heavy fighter has been detected in your sector.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_tier4_1.stf', '3', 'boss_title_1', 'Ripper');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_tier4_1.stf', '4', 'boss_title_2', 'Ravager');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_tier4_1.stf', '5', 'boss_title_3', 'Sky Wraith');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_tier4_1.stf', '6', 'boss_title_4', 'Space Hunter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_tier4_1.stf', '7', 'boss_title_5', 'Reaper');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_tier4_1.stf', '8', 'complete', 'You have defeated your assigned targets. Excellent flying out there, pilot. Return to your commander for mission debriefing.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_tier4_1.stf', '9', 'dd_boss_taunt_1', 'They sent you out to do a man\'s work?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_tier4_1.stf', '10', 'dd_boss_taunt_2', 'Maybe you should have choosen a new profession.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_tier4_1.stf', '11', 'dd_boss_taunt_3', 'I will make you pay for everyone of my men you destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_tier4_1.stf', '12', 'dd_boss_taunt_4', 'You have caused enough trouble. It is time for you to die.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_tier4_1.stf', '13', 'dd_boss_taunt_5', 'You are indeed skilled, but that skill will not help you now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_tier4_1.stf', '14', 'duty_update', '\\#pcontrast1 Black Epsilon Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_tier4_1.stf', '15', 'found_loc', 'We have discovered another cluster of enemy fighters that need to be cleared out. Proceed to nav location and begin the sweep and clear.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_tier4_1.stf', '16', 'level_boss', 'The heavy fighter has been eliminated. Nice job, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_tier4_1.stf', '17', 'level_boss_dead', 'The heavy fighter has been eliminated. Nice job, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_tier4_1.stf', '18', 'level_increase', 'Be careful, pilot. It looks like this set it better organized and trained then the last.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_tier4_1.stf', '19', 'quest_d', 'Velocity Mercenaries have begun increased operations in the Dantooine sector. They have even gone so far as to start attacking imperial convoys. Intelligence reports indicate that their numbers have grown to dangerous levels and need to controlled before they gain to much power in the sector.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_tier4_1.stf', '20', 'quest_destroy_d', 'Travel to the waypoint given to an area of high Velocity Mercenary density. Destroy all attacking waves in that area until you receive a new waypoint guiding you towards the next area.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_tier4_1.stf', '21', 'quest_destroy_t', 'Destroy the Velocity Mercenaries');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_tier4_1.stf', '22', 'quest_location_d', 'Travel to the Dantooine system to begin duty mission of reducing the total number of Velocity Mercenaries in the area.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_tier4_1.stf', '23', 'quest_location_t', 'Travel to the Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_tier4_1.stf', '24', 'quest_t', 'Velocity Fighter Sweep and Clear');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_tier4_1.stf', '25', 'targets_behind', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Warning! Enemy fighters detected incoming from the rear.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_tier4_1.stf', '26', 'targets_detected', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters detected.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_tier4_1.stf', '27', 'taunt_1', 'Our orders are to make sure you don\'t return alive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_tier4_1.stf', '28', 'taunt_2', 'You will pay for that!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_tier4_1.stf', '29', 'taunt_3', 'Feel the might of the Velocity.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_tier4_1.stf', '30', 'taunt_4', 'I will crush you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_tier4_1.stf', '31', 'taunt_5', 'Make it easy on yourself, give up now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_tier4_1.stf', '32', 'title', 'Dantooine System: Destroy the Velocity Mercenaries Duty');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_imperial_tier4_1.stf', '33', 'title_d', 'Travel to the Dantooine system and destroy the Velocity mercenaries. Intelligence reports that they are massing into ever increasing numbers and Command wants those numbers reduced. The mission is a simple sweep and clear. You will travel to locations of high enemy density and clear those areas out with lethal force.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_11.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_11.stf', '2', 'boss_detected', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 An enhanced vessle has been detected on attack vector. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_11.stf', '3', 'boss_title_1', 'Knife');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_11.stf', '4', 'boss_title_2', 'Blade');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_11.stf', '5', 'boss_title_3', 'Shiv');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_11.stf', '6', 'boss_title_4', 'Death Stick');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_11.stf', '7', 'boss_title_5', 'Scythe');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_11.stf', '8', 'complete', 'The destroy sortie is a success.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_11.stf', '9', 'dd_boss_taunt_1', 'I will destroy you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_11.stf', '10', 'dd_boss_taunt_2', 'The Hidden Daggers will prevail.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_11.stf', '11', 'dd_boss_taunt_3', 'I will destroy you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_11.stf', '12', 'dd_boss_taunt_4', 'Why am I faced with fools like you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_11.stf', '13', 'dd_boss_taunt_5', 'I will destroy you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_11.stf', '14', 'duty_update', '\\#pcontrast3 < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_11.stf', '15', 'found_loc', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Location for the next wave of fighters has been located. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_11.stf', '16', 'level_boss', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Enhanced vessle approacing. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_11.stf', '17', 'level_boss_dead', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 The leader has been destroyed. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_11.stf', '18', 'level_increase', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Enemy activty in the area has increased. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_11.stf', '19', 'quest_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_11.stf', '20', 'quest_destroy_d', 'Area of known Hidden Dagger activity');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_11.stf', '21', 'quest_destroy_t', 'Destroy Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_11.stf', '22', 'quest_location_d', 'Areas of high Hidden Dagger concentration');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_11.stf', '23', 'quest_location_t', 'Corellia System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_11.stf', '24', 'quest_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_11.stf', '25', 'targets_behind', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Enemy craft approaching from behind. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_11.stf', '26', 'targets_detected', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Enemy craft detected. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_11.stf', '27', 'taunt_1', 'Die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_11.stf', '28', 'taunt_2', 'Have you come to die?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_11.stf', '29', 'taunt_3', 'Die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_11.stf', '30', 'taunt_4', 'You should have been a farmer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_11.stf', '31', 'taunt_5', 'Die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_11.stf', '32', 'title', 'Corellia System: Duty: Uncover the Hidden Daggers');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_11.stf', '33', 'title_d', 'Destroy Hidden Dagger fighter groups');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_6.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_6.stf', '2', 'boss_detected', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Vessel with veteran insignias on attack vector, weapon systems armed. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_6.stf', '3', 'boss_title_1', 'Russ Grimblade (Hidden Daggers Captain)');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_6.stf', '4', 'boss_title_2', 'Xopw Laow (Hidden Daggers Captain)');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_6.stf', '5', 'boss_title_3', 'Mori the Bastard (Hidden Daggers Captain)');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_6.stf', '6', 'boss_title_4', 'Owpa Awoz (Hidden Daggers Captain)');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_6.stf', '7', 'boss_title_5', 'Quixio the Rotten (Hidden Daggers Captain)');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_6.stf', '8', 'complete', 'Fantastic job pilot, we struck a huge blow to the Hidden Daggers today. Return to base for a well earned rest.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_6.stf', '9', 'dd_boss_taunt_1', 'Muahahaha!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_6.stf', '10', 'dd_boss_taunt_2', 'Your just another kill mark on my ship, CorSec!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_6.stf', '11', 'dd_boss_taunt_3', 'The cat becomes the mouse. The tables are turned, CorSec scum!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_6.stf', '12', 'dd_boss_taunt_4', 'Your flying skills remind me of a one winged Mynock!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_6.stf', '13', 'dd_boss_taunt_5', 'I\'ve never seen those moves from a  CorSec before. No matter, prepare to die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_6.stf', '14', 'duty_update', 'CorSec Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_6.stf', '15', 'found_loc', 'New coordinates of pirate activity has been uploaded to your nav computer. Go get them!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_6.stf', '16', 'level_boss', '\\#pcontrast3 CorSec Command: < \\#pcontrast1 The Hidden Daggers has sent %TO to bring you down, proceed with caution. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_6.stf', '17', 'level_boss_dead', 'Amazing! The Hidden Daggers will not forget this day. Stand by for further orders.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_6.stf', '18', 'level_increase', 'The Hidden Daggers are sending more reinforcements in responce to our attacks.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_6.stf', '19', 'quest_destroy_d', 'Area of enemy activity');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_6.stf', '20', 'quest_destroy_t', 'Destroy Target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_6.stf', '21', 'quest_location_d', 'Dynamic sorties throughout the Corellia System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_6.stf', '22', 'quest_location_t', 'Corellia System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_6.stf', '23', 'targets_behind', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Be aware, vessels trying to target this ship with their weapon systems. Attack originating direction 180 degrees.\\#pcontrast3  >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_6.stf', '24', 'targets_detected', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Vessels fitting hunted ship profile on attack vector, weapon systems armed. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_6.stf', '25', 'taunt_1', 'You think you can match the Hidden Daggers? I think not!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_6.stf', '26', 'taunt_2', 'I will shred your ship CorSec fool!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_6.stf', '27', 'taunt_3', 'You CorSec always have to interfere, well this time you stuck your nose too deep!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_6.stf', '28', 'taunt_4', 'You\'re fighting a uphill battle CorSec, and the hill just got steeper!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_6.stf', '29', 'taunt_5', 'I have crushed greater things than you CorSec! In fact, I shot a Womprat back on Tatooine last week!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_6.stf', '30', 'title', 'Corellia System: Duty: Strike a blow to the Hidden Daggers Leadership.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_6.stf', '31', 'title_d', 'Hunt Down the Hidden Daggers Leaders');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_9.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_9.stf', '2', 'boss_detected', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 A powerful enemy craft has entered the fight. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_9.stf', '3', 'boss_title_1', 'Enforcer');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_9.stf', '4', 'boss_title_2', 'Enforcer');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_9.stf', '5', 'boss_title_3', 'Enforcer');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_9.stf', '6', 'boss_title_4', 'Enforcer');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_9.stf', '7', 'boss_title_5', 'Enforcer');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_9.stf', '8', 'complete', 'The destroy mission is a success.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_9.stf', '9', 'dd_boss_taunt_1', 'For the Emperor.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_9.stf', '10', 'dd_boss_taunt_2', 'The Empire is in control here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_9.stf', '11', 'dd_boss_taunt_3', 'For the Emperor.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_9.stf', '12', 'dd_boss_taunt_4', 'You fight a war you cannot win.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_9.stf', '13', 'dd_boss_taunt_5', 'For the Emperor.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_9.stf', '14', 'duty_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_9.stf', '15', 'found_loc', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Location to the next target area has been located. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_9.stf', '16', 'level_boss', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 %TO has been detected on local sensers. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_9.stf', '17', 'level_boss_dead', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 The ranking craft has been destoyed. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_9.stf', '18', 'level_increase', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Enemy activity has been increased. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_9.stf', '19', 'quest_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_9.stf', '20', 'quest_destroy_d', 'Area of expected enemy activity');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_9.stf', '21', 'quest_destroy_t', 'Destroy Target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_9.stf', '22', 'quest_location_d', 'Various points in the Corellian System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_9.stf', '23', 'quest_location_t', 'Corellia System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_9.stf', '24', 'quest_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_9.stf', '25', 'targets_behind', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 An enemy wave is approacing from the rear. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_9.stf', '26', 'targets_detected', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Enemy ships have been detected. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_9.stf', '27', 'taunt_1', 'Die scum.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_9.stf', '28', 'taunt_2', 'Ha, you expect to defeat the might of the Emperor\'s Navy?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_9.stf', '29', 'taunt_3', 'Die scum.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_9.stf', '30', 'taunt_4', 'The CorSec have overstepped their bounds today.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_9.stf', '31', 'taunt_5', 'Die scum.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_9.stf', '32', 'title', 'Corellia System: Duty: Stop Imperial Aggression');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_9.stf', '33', 'title_d', 'Fight off Imperial Oppression in the Corellian System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_tier4_1.stf', '1', 'boss_detected', 'An advanced ship has been dispatched.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_tier4_1.stf', '2', 'boss_title_1', 'Enforcer');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_tier4_1.stf', '3', 'boss_title_2', 'Destroyer');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_tier4_1.stf', '4', 'boss_title_3', 'Desperado');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_tier4_1.stf', '5', 'boss_title_4', 'Death Bringer');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_tier4_1.stf', '6', 'boss_title_5', 'Killer');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_tier4_1.stf', '7', 'complete', 'The mission is complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_tier4_1.stf', '8', 'dd_boss_taunt_1', 'Death for all.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_tier4_1.stf', '9', 'dd_boss_taunt_2', 'My dear CorSec idiot, this was your last mistake.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_tier4_1.stf', '10', 'dd_boss_taunt_3', 'Death for all.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_tier4_1.stf', '11', 'dd_boss_taunt_4', 'Why did you come here today?  To die is all you will find.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_tier4_1.stf', '12', 'dd_boss_taunt_5', 'Death for all.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_tier4_1.stf', '13', 'duty_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_tier4_1.stf', '14', 'found_loc', 'Location to concentrated enemy activity located.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_tier4_1.stf', '15', 'level_boss', 'An advanced craft has been dispatched.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_tier4_1.stf', '16', 'level_boss_dead', 'The advanced craft has been destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_tier4_1.stf', '17', 'level_increase', 'Enemy activity has increased.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_tier4_1.stf', '18', 'quest_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_tier4_1.stf', '19', 'quest_destroy_d', 'Travel here to destroy your target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_tier4_1.stf', '20', 'quest_destroy_t', 'Destroy Target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_tier4_1.stf', '21', 'quest_location_d', 'Hidden Dagger training grounds in the Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_tier4_1.stf', '22', 'quest_location_t', 'Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_tier4_1.stf', '23', 'quest_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_tier4_1.stf', '24', 'targets_behind', 'Enemy craft approaching from the rear.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_tier4_1.stf', '25', 'targets_detected', 'Enemy craft detected.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_tier4_1.stf', '26', 'taunt_1', 'I will destroy you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_tier4_1.stf', '27', 'taunt_2', 'This is the end for you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_tier4_1.stf', '28', 'taunt_3', 'I will destroy you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_tier4_1.stf', '29', 'taunt_4', 'A quick death is all I have to offer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_tier4_1.stf', '30', 'taunt_5', 'I will destroy you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_tier4_1.stf', '31', 'title', 'Dathomir System: Duty: Hunt for the Hidden Daggers');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_privateer_tier4_1.stf', '32', 'title_d', 'Put a halt to Hidden Dagger activity');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_rebel_6.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_rebel_6.stf', '2', 'boss_detected', ' \\#pcontrast3 Alliance HQ:  \\#pcontrast1 < Warning! Enemy commander detected on attack vector! \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_rebel_6.stf', '3', 'boss_title_0', 'TIE Combat Trainer');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_rebel_6.stf', '4', 'boss_title_1', 'TIE Combat Trainer');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_rebel_6.stf', '5', 'boss_title_2', 'TIE Combat Ace');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_rebel_6.stf', '6', 'boss_title_3', 'TIE Obsidian Squad Leader');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_rebel_6.stf', '7', 'boss_title_4', 'TIE Black Ops Commander');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_rebel_6.stf', '8', 'boss_title_5', 'TIE (Unknown) Ace');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_rebel_6.stf', '9', 'complete', 'Excellent work, Pilot! The Imperial presence in this sector has been soundly beaten. Return to base!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_rebel_6.stf', '10', 'dd_boss_taunt_1', 'You killed my men. Now you\'re mine!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_rebel_6.stf', '11', 'dd_boss_taunt_2', 'If you cut your engines, I promise not to harm you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_rebel_6.stf', '12', 'dd_boss_taunt_3', 'I\'m going to enjoy spacing you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_rebel_6.stf', '13', 'dd_boss_taunt_4', 'A thousand creds to the man who takes him out!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_rebel_6.stf', '14', 'dd_boss_taunt_5', 'Your skill is not sufficient to beat me Rebel scum!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_rebel_6.stf', '15', 'duty_update', ' \\#pcontrast3 Alliance HQ:  < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_rebel_6.stf', '16', 'found_loc', 'We are uploading coordinates of suspected Imperial ambushes. Investigate and eliminate all hostiles.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_rebel_6.stf', '17', 'level_boss', ' \\#pcontrast3 Alliance HQ: < \\#ff0000 The Imperials are sending a highly trained %TO after you. Stand by for coordinates... \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_rebel_6.stf', '18', 'level_boss_dead', 'Good work, the commander has been destroyed. We\'re still picking up Imperial activity, however. Stand by...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_rebel_6.stf', '19', 'level_increase', 'We\'ve detected that more TIE ships have been sent into the sector.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_rebel_6.stf', '20', 'quest_destroy_d', 'Fly to this potential ambush point. Destroy all enemy craft that come your way.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_rebel_6.stf', '21', 'quest_destroy_t', 'Potential Ambush Rally Point');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_rebel_6.stf', '22', 'quest_location_d', 'Patrol the Corellia system in search of potential TIE ambushes. We must make it clear to the Empire that they are not welcome here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_rebel_6.stf', '23', 'quest_location_t', 'Corellia system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_rebel_6.stf', '24', 'targets_behind', ' \\#pcontrast3 Tactical Computer:  < \\#pcontrast1 Enemy targets coming in from behind! \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_rebel_6.stf', '25', 'targets_detected', ' \\#pcontrast3 Tactical Computer:  < \\#pcontrast1 Enemy targets on incoming attack vector! \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_rebel_6.stf', '26', 'taunt_1', 'Take that Rebel scum for a spin boys!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_rebel_6.stf', '27', 'taunt_2', 'The Empire has a warrant for your death..erm arrest, cut your engines!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_rebel_6.stf', '28', 'taunt_3', 'Resistance is futile Rebel!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_rebel_6.stf', '29', 'taunt_4', 'You should have fled while you had the chance scum!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_rebel_6.stf', '30', 'taunt_5', 'Well if it isn\'t a Rebel. Are you lost little friend?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_rebel_6.stf', '31', 'title', 'Corellia system: Duty mission: Break up TIE ambushes');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_rebel_6.stf', '32', 'title_d', 'Break up TIE ambushes in the Corellia system. These missions have been outlined to give you some much needed experience in space combat, you can stop when you feel that you have learned enough.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_rebel_tier4_1.stf', '1', 'boss_detected', 'Our sensors are picking up the ship signature of Black Sun captain, get ready!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_rebel_tier4_1.stf', '2', 'boss_title_1', 'Ovlaw Grimclaw');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_rebel_tier4_1.stf', '3', 'boss_title_2', 'L\'kew Rawo');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_rebel_tier4_1.stf', '4', 'boss_title_3', 'Rita \'the Razor\'');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_rebel_tier4_1.stf', '5', 'boss_title_4', 'Walwer Bealwo');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_rebel_tier4_1.stf', '6', 'boss_title_5', 'Amos Torq');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_rebel_tier4_1.stf', '7', 'complete', 'Amazing! The Black Sun will not forget this day! Return to base and rest up, you did good today pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_rebel_tier4_1.stf', '8', 'dd_boss_taunt_1', 'You fool! Standing up to the Black Sun is suicide!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_rebel_tier4_1.stf', '9', 'dd_boss_taunt_2', 'You\'re no match for my skill Rebel!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_rebel_tier4_1.stf', '10', 'dd_boss_taunt_3', 'Pathetic worm, prepare to face my wrath!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_rebel_tier4_1.stf', '11', 'dd_boss_taunt_4', 'The Black Sun will crush you and your pathetic Nym friends!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_rebel_tier4_1.stf', '12', 'dd_boss_taunt_5', 'I\'m your worst nightmare Rebel and there\'s no waking up from this one!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_rebel_tier4_1.stf', '13', 'duty_update', 'Nym Command Officer: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_rebel_tier4_1.stf', '14', 'found_loc', 'Alright we are tracking more Black Sun fighters in this area. Give \'em hell!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_rebel_tier4_1.stf', '15', 'level_boss', 'The stinking Black Sun is responding to the attacks by sending %TO, one of their captains.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_rebel_tier4_1.stf', '16', 'level_boss_dead', 'Whow! %TO has been a thorn in our side for a long time, great job!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_rebel_tier4_1.stf', '17', 'level_increase', 'The Black Sun are waking up, you\'ll find that they will send tougher pilots in response to your attacks.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_rebel_tier4_1.stf', '18', 'quest_destroy_d', 'Proceed with terminating Black Sun scum. We will update your navigation computer with new coordinates of where they have been spotted.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_rebel_tier4_1.stf', '19', 'quest_destroy_t', 'Destroy Black Sun ships.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_rebel_tier4_1.stf', '20', 'quest_location_d', 'You\'re an experienced pilot, and the Dantooine system shouldn\'t pose a big threat, but don\'t relax too much, the sneaky Black Sun are sure to have some surprises.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_rebel_tier4_1.stf', '21', 'quest_location_t', 'Dantooine system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_rebel_tier4_1.stf', '22', 'targets_behind', 'Tactical Computer: < Be aware, vessels trying to target this ship with their weapon systems. Attack originating direction 180 degrees. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_rebel_tier4_1.stf', '23', 'targets_detected', 'Tactical Computer: < Vessels fitting hunted ship profile on attack vector, weapon systems armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_rebel_tier4_1.stf', '24', 'taunt_1', 'Take him out boys!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_rebel_tier4_1.stf', '25', 'taunt_2', 'You Rebel fools will wish you never messed with the Black Sun!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_rebel_tier4_1.stf', '26', 'taunt_3', 'For the dark prince!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_rebel_tier4_1.stf', '27', 'taunt_4', 'I got you in my sights scum, there\'s no escape!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_rebel_tier4_1.stf', '28', 'taunt_5', 'I\'m getting closer, the next bolt will fry your engine and then it\'s all over!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_rebel_tier4_1.stf', '29', 'title', 'Dantooine system: Duty mission: Strike a blow to the Black Sun.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_rebel_tier4_1.stf', '30', 'title_d', 'The Black Sun is taking more and more liberties against us. Let\'s teach them a lesson by launching guerilla attacks against their fighters. When you feel that you have exhausted your ship, yourself, or that you have enough experience to continue your training, you can return to base at any time.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_station_duty1.stf', '1', 'boss_detected', '\\#pcontrast1 Tactical Computer: <\\#pcontrast3  Cloak Ace signature detected. Enemy craft incoming.\\#pcontrast1 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_station_duty1.stf', '2', 'boss_title_1', 'Cloak Ace');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_station_duty1.stf', '3', 'boss_title_2', 'Cloak Ace');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_station_duty1.stf', '4', 'boss_title_3', 'Cloak Ace');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_station_duty1.stf', '5', 'boss_title_4', 'Cloak Ace');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_station_duty1.stf', '6', 'boss_title_5', 'Cloak Ace');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_station_duty1.stf', '7', 'complete', 'Good work, pilot. No further Cloak activity is detected in this system. Return to the station for debriefing.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_station_duty1.stf', '8', 'dd_boss_taunt_1', 'Your time has come, CorSec!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_station_duty1.stf', '9', 'dd_boss_taunt_2', 'Your time has come, CorSec!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_station_duty1.stf', '10', 'dd_boss_taunt_3', 'Your time has come, CorSec!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_station_duty1.stf', '11', 'dd_boss_taunt_4', 'Your time has come, CorSec!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_station_duty1.stf', '12', 'dd_boss_taunt_5', 'Your time has come, CorSec!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_station_duty1.stf', '13', 'duty_update', '\\#pcontrast1 CorSec Command: <\\#pcontrast3  %TO\\#pcontrast1  >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_station_duty1.stf', '14', 'found_loc', 'Transmitting location of most recent Cloak activity. Proceed to this location and destroy all targets.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_station_duty1.stf', '15', 'level_boss', '\\#pcontrast1 CorSec Command: <\\#pcontrast3  Cloak vessel communication is increasing. It seems they are sending an ace pilot after you.\\#pcontrast1  >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_station_duty1.stf', '16', 'level_boss_dead', 'Good work, pilot. Cloak activity in this area seems to have diminished. Stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_station_duty1.stf', '17', 'level_increase', 'Cloak activity in this system is increasing due to your presence.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_station_duty1.stf', '18', 'quest_destroy_d', 'Destroy all Cloak fighters that you find. When you have eliminated an entire attack wing, your computer will update the navigation waypoint to the next area of activity.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_station_duty1.stf', '19', 'quest_destroy_t', 'Eliminate the Cloak Fighters');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_station_duty1.stf', '20', 'quest_location_d', 'The Cloak fighters seem to be currently localized within the Corellia system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_station_duty1.stf', '21', 'quest_location_t', 'Remain in the Corellia System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_station_duty1.stf', '22', 'targets_behind', '\\#pcontrast1 Tactical Computer: <\\#pcontrast3  Enemy craft approaching from the rear.\\#pcontrast1 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_station_duty1.stf', '23', 'targets_detected', '\\#pcontrast1 Tactical Computer: <\\#pcontrast3  Enemy craft approaching on attack vector.\\#pcontrast1 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_station_duty1.stf', '24', 'taunt_1', 'Die, CorSec!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_station_duty1.stf', '25', 'taunt_2', 'Die, CorSec!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_station_duty1.stf', '26', 'taunt_3', 'Die, CorSec!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_station_duty1.stf', '27', 'taunt_4', 'Die, CorSec!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_station_duty1.stf', '28', 'taunt_5', 'Die, CorSec!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_station_duty1.stf', '29', 'title', 'Corellia System: Destroy Cloak Fighters Duty');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_station_duty1.stf', '30', 'title_d', 'Since the discovery of the Cloak sect, more and more Cloak fighters have been spotted in the Corellia system. You have been assigned the task of seeking out these rogues and destroying them.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_station_duty4.stf', '1', 'boss_detected', '\\#pcontrast1 Tactical Computer: <\\#pcontrast3  Cloak Officer signature detected. Enemy craft incoming.\\#pcontrast1 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_station_duty4.stf', '2', 'boss_title_1', 'Cloak Officer');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_station_duty4.stf', '3', 'boss_title_2', 'Cloak Officer');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_station_duty4.stf', '4', 'boss_title_3', 'Cloak Officer');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_station_duty4.stf', '5', 'boss_title_4', 'Cloak Officer');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_station_duty4.stf', '6', 'boss_title_5', 'Cloak Officer');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_station_duty4.stf', '7', 'complete', 'Good work, pilot. No further Cloak activity is detected in this system. Return to the station for debriefing.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_station_duty4.stf', '8', 'dd_boss_taunt_1', 'Your time has come, CorSec!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_station_duty4.stf', '9', 'dd_boss_taunt_2', 'Your time has come, CorSec!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_station_duty4.stf', '10', 'dd_boss_taunt_3', 'Your time has come, CorSec!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_station_duty4.stf', '11', 'dd_boss_taunt_4', 'Your time has come, CorSec!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_station_duty4.stf', '12', 'dd_boss_taunt_5', 'Your time has come, CorSec!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_station_duty4.stf', '13', 'duty_update', '\\#pcontrast1 CorSec Command: <\\#pcontrast3  %TO\\#pcontrast1  >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_station_duty4.stf', '14', 'found_loc', 'Transmitting location of most recent Cloak activity. Proceed to this location and destroy all targets.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_station_duty4.stf', '15', 'level_boss', '\\#pcontrast1 CorSec Command: <\\#pcontrast3  Cloak vessel communication is increasing. It seems they are sending an officer after you.\\#pcontrast1  >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_station_duty4.stf', '16', 'level_boss_dead', 'Good work, pilot. Cloak activity in this area seems to have diminished. Stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_station_duty4.stf', '17', 'level_increase', 'Cloak activity in this system is increasing due to your presence.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_station_duty4.stf', '18', 'quest_destroy_d', 'Destroy all Cloak remnants that you find. When you have eliminated an entire attack wing, your computer will update the navigation waypoint to the next area of activity.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_station_duty4.stf', '19', 'quest_destroy_t', 'Eliminate the Cloak Remnants');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_station_duty4.stf', '20', 'quest_location_d', 'The Cloak remnants seem to have regrouped in the Dathomir system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_station_duty4.stf', '21', 'quest_location_t', 'Travel to the Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_station_duty4.stf', '22', 'targets_behind', '\\#pcontrast1 Tactical Computer: <\\#pcontrast3  Enemy craft approaching from the rear.\\#pcontrast1 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_station_duty4.stf', '23', 'targets_detected', '\\#pcontrast1 Tactical Computer: <\\#pcontrast3  Enemy craft approaching on attack vector.\\#pcontrast1 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_station_duty4.stf', '24', 'taunt_1', 'Die, CorSec!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_station_duty4.stf', '25', 'taunt_2', 'Die, CorSec!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_station_duty4.stf', '26', 'taunt_3', 'Die, CorSec!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_station_duty4.stf', '27', 'taunt_4', 'Die, CorSec!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_station_duty4.stf', '28', 'taunt_5', 'Die, CorSec!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_station_duty4.stf', '29', 'title', 'Corellia System: Destroy Cloak Remnants Duty');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/corellia_station_duty4.stf', '30', 'title_d', 'Since the destruction of their leader, the Cloak forces have been scattered. Some remnant forces have regrouped in the Dathomir system, and could be plotting a return. You must get to the Dathomir system and destroy these Cloak remnants.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/dathomir_station_imp_destroy_duty_tier3.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/dathomir_station_imp_destroy_duty_tier3.stf', '2', 'boss_detected', 'Be on the look out. A Rebel Gunboat has been detected in your region.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/dathomir_station_imp_destroy_duty_tier3.stf', '3', 'boss_title_1', 'Veteran');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/dathomir_station_imp_destroy_duty_tier3.stf', '4', 'boss_title_2', 'Master Pilot');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/dathomir_station_imp_destroy_duty_tier3.stf', '5', 'boss_title_3', 'Elite');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/dathomir_station_imp_destroy_duty_tier3.stf', '6', 'boss_title_4', 'Rebel Raider Leader');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/dathomir_station_imp_destroy_duty_tier3.stf', '7', 'boss_title_5', 'Rebel Captain');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/dathomir_station_imp_destroy_duty_tier3.stf', '8', 'complete', 'Nice flying out there, pilot. You are really turning into an elite pilot. Return to your commander and report your success.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/dathomir_station_imp_destroy_duty_tier3.stf', '9', 'dd_boss_taunt_1', 'Prepare to be left to the mercys of cold, empty space.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/dathomir_station_imp_destroy_duty_tier3.stf', '10', 'dd_boss_taunt_2', 'You are the pilot that they sent against me? HA!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/dathomir_station_imp_destroy_duty_tier3.stf', '11', 'dd_boss_taunt_3', 'You had better be gone before I taunt you a second time.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/dathomir_station_imp_destroy_duty_tier3.stf', '12', 'dd_boss_taunt_4', 'Time to teach this Imperial whelp who really rules Dathomir.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/dathomir_station_imp_destroy_duty_tier3.stf', '13', 'dd_boss_taunt_5', 'You have caused enough trouble. It is time for me to end this.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/dathomir_station_imp_destroy_duty_tier3.stf', '14', 'duty_update', '\\#pcontrast1 Storm Squadron Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/dathomir_station_imp_destroy_duty_tier3.stf', '15', 'found_loc', 'We have located more pirates that need to be driven out of this system. Travel to the location provided to your nav computer and eliminate the Rebels.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/dathomir_station_imp_destroy_duty_tier3.stf', '16', 'level_boss', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <%TO has been eliminated. The Rebels in this region are leaderless.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/dathomir_station_imp_destroy_duty_tier3.stf', '17', 'level_boss_dead', 'Nice work but remember there is still more work to be done. Stand by for location of next target.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/dathomir_station_imp_destroy_duty_tier3.stf', '18', 'level_increase', 'You have done well, but that was just the beginning. The better pilots are still to come.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/dathomir_station_imp_destroy_duty_tier3.stf', '19', 'quest_d', 'Some Rebel pilots tried to gain access to Dathomir by using a fake authorization code, but they made the mistake of celebrating while their comm channel was still open. Teach them a lesson.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/dathomir_station_imp_destroy_duty_tier3.stf', '20', 'quest_destroy_d', 'Some Rebel pilots tried to gain access to Dathomir by using a fake authorization code, but they made the mistake of celebrating while their comm channel was still open. Teach them a lesson.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/dathomir_station_imp_destroy_duty_tier3.stf', '21', 'quest_destroy_t', 'Destroying the Rebels');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/dathomir_station_imp_destroy_duty_tier3.stf', '22', 'quest_location_d', 'Some Rebel pilots tried to gain access to Dathomir by using a fake authorization code, but they made the mistake of celebrating while their comm channel was still open. Teach them a lesson.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/dathomir_station_imp_destroy_duty_tier3.stf', '23', 'quest_location_t', 'Travel to the Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/dathomir_station_imp_destroy_duty_tier3.stf', '24', 'quest_t', 'Teaching the Rebels a Lesson');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/dathomir_station_imp_destroy_duty_tier3.stf', '25', 'targets_behind', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Alert! Enemy fighters incoming from behind at high speeds.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/dathomir_station_imp_destroy_duty_tier3.stf', '26', 'targets_detected', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters incoming at attack speeds. Prepare to engage.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/dathomir_station_imp_destroy_duty_tier3.stf', '27', 'taunt_1', 'Foolish Imperial! You are no match for me.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/dathomir_station_imp_destroy_duty_tier3.stf', '28', 'taunt_2', 'Nice move, but you will have to do much better in order to win.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/dathomir_station_imp_destroy_duty_tier3.stf', '29', 'taunt_3', 'Time to take out the trash...by the way, you are the trash.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/dathomir_station_imp_destroy_duty_tier3.stf', '30', 'taunt_4', 'You should have stayed at home hiding under your mother\'s skirt.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/dathomir_station_imp_destroy_duty_tier3.stf', '31', 'taunt_5', 'Stop it! That tickles.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/dathomir_station_imp_destroy_duty_tier3.stf', '32', 'title', 'Dathomir System: Destroy the Impertinent Rebels');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/dathomir_station_imp_destroy_duty_tier3.stf', '33', 'title_d', 'Travel to the Dathomir system and destroy the Rebels. Some Rebel pilots tried to gain access to Dathomir by using a fake authorization code, but they made the mistake of celebrating while their comm channel was still open. Teach them a lesson.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/dathomir_station_priv_destroy_duty_tier3.stf', '1', 'boss_detected', 'An advanced craft has been detected on approach.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/dathomir_station_priv_destroy_duty_tier3.stf', '2', 'boss_title_1', 'Black Sun Ace');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/dathomir_station_priv_destroy_duty_tier3.stf', '3', 'boss_title_2', 'Black Sun Ace');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/dathomir_station_priv_destroy_duty_tier3.stf', '4', 'boss_title_3', 'Black Sun Ace');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/dathomir_station_priv_destroy_duty_tier3.stf', '5', 'boss_title_4', 'Black Sun Ace');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/dathomir_station_priv_destroy_duty_tier3.stf', '6', 'boss_title_5', 'Black Sun Ace');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/dathomir_station_priv_destroy_duty_tier3.stf', '7', 'complete', 'The duty is complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/dathomir_station_priv_destroy_duty_tier3.stf', '8', 'dd_boss_taunt_1', 'Death for you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/dathomir_station_priv_destroy_duty_tier3.stf', '9', 'dd_boss_taunt_2', 'Your end is near.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/dathomir_station_priv_destroy_duty_tier3.stf', '10', 'dd_boss_taunt_3', 'Death for you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/dathomir_station_priv_destroy_duty_tier3.stf', '11', 'dd_boss_taunt_4', 'Pray for a quick death.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/dathomir_station_priv_destroy_duty_tier3.stf', '12', 'dd_boss_taunt_5', 'Death for you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/dathomir_station_priv_destroy_duty_tier3.stf', '13', 'duty_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/dathomir_station_priv_destroy_duty_tier3.stf', '14', 'found_loc', 'Location to the next concentration of pirates has been detected.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/dathomir_station_priv_destroy_duty_tier3.stf', '15', 'level_boss', 'A pirate has been dispatched to your location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/dathomir_station_priv_destroy_duty_tier3.stf', '16', 'level_boss_dead', 'The ace has been defeated.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/dathomir_station_priv_destroy_duty_tier3.stf', '17', 'level_increase', 'Enemy activity has increased.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/dathomir_station_priv_destroy_duty_tier3.stf', '18', 'quest_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/dathomir_station_priv_destroy_duty_tier3.stf', '19', 'quest_destroy_d', 'Travel here to find your targets');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/dathomir_station_priv_destroy_duty_tier3.stf', '20', 'quest_destroy_t', 'Destroy Target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/dathomir_station_priv_destroy_duty_tier3.stf', '21', 'quest_location_d', 'Areas of Black Sun activity');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/dathomir_station_priv_destroy_duty_tier3.stf', '22', 'quest_location_t', 'Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/dathomir_station_priv_destroy_duty_tier3.stf', '23', 'quest_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/dathomir_station_priv_destroy_duty_tier3.stf', '24', 'targets_behind', 'Enemy activity detected from the rear.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/dathomir_station_priv_destroy_duty_tier3.stf', '25', 'targets_detected', 'Enemy craft have been detected.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/dathomir_station_priv_destroy_duty_tier3.stf', '26', 'taunt_1', 'You have no business here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/dathomir_station_priv_destroy_duty_tier3.stf', '27', 'taunt_2', 'Run while you can.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/dathomir_station_priv_destroy_duty_tier3.stf', '28', 'taunt_3', 'You have no business here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/dathomir_station_priv_destroy_duty_tier3.stf', '29', 'taunt_4', 'Doom is all you will find here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/dathomir_station_priv_destroy_duty_tier3.stf', '30', 'taunt_5', 'You have no business here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/dathomir_station_priv_destroy_duty_tier3.stf', '31', 'title', 'Dathomir System: Duty: Destroy the Blacksun Pirates');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/dathomir_station_priv_destroy_duty_tier3.stf', '32', 'title_d', 'Hunt down and destroy Black Sun Pirates');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/lok_imperial_ss_1a.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/lok_imperial_ss_1a.stf', '2', 'boss_detected', ' \\#pcontrast3 Tactical Computer:  \\#pcontrast1 < Warning! Enemy commander detected on attack vector! \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/lok_imperial_ss_1a.stf', '3', 'boss_title_0', 'Pirate Lieutenant');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/lok_imperial_ss_1a.stf', '4', 'boss_title_1', 'Pirate Captain');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/lok_imperial_ss_1a.stf', '5', 'boss_title_2', 'Rogue Captain');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/lok_imperial_ss_1a.stf', '6', 'boss_title_3', 'Master Scoundrel');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/lok_imperial_ss_1a.stf', '7', 'boss_title_4', 'Warmaster');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/lok_imperial_ss_1a.stf', '8', 'boss_title_5', 'Foe Hammer');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/lok_imperial_ss_1a.stf', '9', 'complete', 'Good job, pilot! You\'ve managed to do significant damage to Nym\'s forces in this sector. Return to base.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/lok_imperial_ss_1a.stf', '10', 'dd_boss_taunt_1', 'I want to hear you scream while I cut your ship open.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/lok_imperial_ss_1a.stf', '11', 'dd_boss_taunt_2', 'We won\'t hurt you, Imperial. We just want to play.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/lok_imperial_ss_1a.stf', '12', 'dd_boss_taunt_3', 'Nym says we should capture you, but I think I\'m going to just space you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/lok_imperial_ss_1a.stf', '13', 'dd_boss_taunt_4', 'Die, Imperial scum!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/lok_imperial_ss_1a.stf', '14', 'dd_boss_taunt_5', 'You are a waste of my time.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/lok_imperial_ss_1a.stf', '15', 'duty_update', ' \\#pcontrast3 Storm Squadron Command:  < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/lok_imperial_ss_1a.stf', '16', 'found_loc', 'We\'re sending you coordinates to Nym pirate activity. Investigate and eliminate any criminals you encounter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/lok_imperial_ss_1a.stf', '17', 'level_boss', ' \\#pcontrast3 Storm Squadron Command: < \\#ff0000 Nym has sent a %TO after you. Stand by for coordinates... \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/lok_imperial_ss_1a.stf', '18', 'level_boss_dead', 'Good work, the commander is dead. We\'re still picking up pirate activity, however. Stand by...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/lok_imperial_ss_1a.stf', '19', 'level_increase', 'We\'ve detected that more of Nym\'s ships have been sent into the sector.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/lok_imperial_ss_1a.stf', '20', 'quest_destroy_d', 'Destroy any of Nym\'s fighters that are in the areas. This will weaken Nym\'s position and cause him to focus on local security rather then expanding his influence.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/lok_imperial_ss_1a.stf', '21', 'quest_destroy_t', 'Destroy Nym\'s Fighters');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/lok_imperial_ss_1a.stf', '22', 'quest_location_d', 'Travel to the Lok system and attack Nym\'s fighters there. You will receive a Nav waypoint to areas under the control of Nym.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/lok_imperial_ss_1a.stf', '23', 'quest_location_t', 'Travel to the Lok System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/lok_imperial_ss_1a.stf', '24', 'targets_behind', ' \\#pcontrast3 Tactical Computer:  < \\#pcontrast1 Enemy targets coming in from behind! \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/lok_imperial_ss_1a.stf', '25', 'targets_detected', ' \\#pcontrast3 Tactical Computer:  < \\#pcontrast1 Enemy targets on incoming attack vector! \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/lok_imperial_ss_1a.stf', '26', 'taunt_1', 'Ha, is that all you got?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/lok_imperial_ss_1a.stf', '27', 'taunt_2', 'You will pay for that!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/lok_imperial_ss_1a.stf', '28', 'taunt_3', 'Imperial scum like yourself have no buisness in Lok.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/lok_imperial_ss_1a.stf', '29', 'taunt_4', 'Nym will surely make you regret that.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/lok_imperial_ss_1a.stf', '30', 'taunt_5', 'I would suggest that you escape while you can.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/lok_imperial_ss_1a.stf', '31', 'title', 'Lok System: Destroy Nym\'s Fighters Duty');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/lok_imperial_ss_1a.stf', '32', 'title_d', 'Travel to the Lok system and destroy Nym\'s forces. Storm Squadron has been charged with weakening Nym\'s influence in the Lok system. This will cause him to focus more on local security rather then assist the Rebels.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/lok_imperial_ss_2a.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/lok_imperial_ss_2a.stf', '2', 'boss_detected', ' \\#pcontrast3 Tactical Computer:  \\#pcontrast1 < Warning! Enemy commander detected on attack vector! \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/lok_imperial_ss_2a.stf', '3', 'boss_title_0', 'Scavenger Fanatic');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/lok_imperial_ss_2a.stf', '4', 'boss_title_1', 'Scrap Seeker Lord');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/lok_imperial_ss_2a.stf', '5', 'boss_title_2', 'Death Star Cultist');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/lok_imperial_ss_2a.stf', '6', 'boss_title_3', 'Space Maddened Scavenger');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/lok_imperial_ss_2a.stf', '7', 'boss_title_4', 'Cult Master');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/lok_imperial_ss_2a.stf', '8', 'boss_title_5', 'Scavenger Overseer');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/lok_imperial_ss_2a.stf', '9', 'complete', 'Good job, pilot! You\'ve managed to do significant damage to the scavengers. Return to base.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/lok_imperial_ss_2a.stf', '10', 'dd_boss_taunt_1', 'I need new parts. Your ship will do nicely.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/lok_imperial_ss_2a.stf', '11', 'dd_boss_taunt_2', 'This is my scrap field!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/lok_imperial_ss_2a.stf', '12', 'dd_boss_taunt_3', 'Your going to end up just another piece of debris.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/lok_imperial_ss_2a.stf', '13', 'dd_boss_taunt_4', 'Die, Imperial scum!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/lok_imperial_ss_2a.stf', '14', 'dd_boss_taunt_5', 'Your ship will look very nice floating in space.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/lok_imperial_ss_2a.stf', '15', 'duty_update', ' \\#pcontrast3 Storm Squadron Command:  < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/lok_imperial_ss_2a.stf', '16', 'found_loc', 'We\'re sending you coordinates to scavenger. Investigate and eliminate any criminals you encounter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/lok_imperial_ss_2a.stf', '17', 'level_boss', ' \\#pcontrast3 Storm Squadron Command: < \\#ff0000 A notorious %TO is in that area. You must eliminate him! \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/lok_imperial_ss_2a.stf', '18', 'level_boss_dead', 'Good work, the criminal is dead. We\'re still picking up pirate activity, however. Stand by...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/lok_imperial_ss_2a.stf', '19', 'level_increase', 'We\'ve detected more scavenger ships operating in this region...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/lok_imperial_ss_2a.stf', '20', 'quest_destroy_d', 'The members of the Debris Cult are violent and very protective of the salvage. They are sure to attack any ship that isn\'t with them as soon as it is detected. Destroy as many as you can.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/lok_imperial_ss_2a.stf', '21', 'quest_destroy_t', 'Destroy the Debris Cult Fighters');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/lok_imperial_ss_2a.stf', '22', 'quest_location_d', 'Once you have arrived in the Yavin system, you will receive navigaiton waypoints to areas of high Debris Cult  concentration.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/lok_imperial_ss_2a.stf', '23', 'quest_location_t', 'Travel to the Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/lok_imperial_ss_2a.stf', '24', 'targets_behind', ' \\#pcontrast3 Tactical Computer:  < \\#pcontrast1 Enemy targets coming in from behind! \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/lok_imperial_ss_2a.stf', '25', 'targets_detected', ' \\#pcontrast3 Tactical Computer:  < \\#pcontrast1 Enemy targets on incoming attack vector! \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/lok_imperial_ss_2a.stf', '26', 'taunt_1', 'You will become debris!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/lok_imperial_ss_2a.stf', '27', 'taunt_2', 'I am ready to join the field of debris! Are you?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/lok_imperial_ss_2a.stf', '28', 'taunt_3', 'Your ship is nothing more then scrap.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/lok_imperial_ss_2a.stf', '29', 'taunt_4', 'You will become debris!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/lok_imperial_ss_2a.stf', '30', 'taunt_5', 'Your ship is nothing more then scrap.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/lok_imperial_ss_2a.stf', '31', 'title', 'Yavin System: Destroy the Debris Scavengers Duty');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/lok_imperial_ss_2a.stf', '32', 'title_d', 'Travel to the Yavin System and destroy the Debris Cult members. The Empire\'s salvage operation of the Death Star is being hampered by a number of factors, the Rebellion, the Hutts, and the fanatic Debris Cult . The Rebels and Hutts will be taken care of in their own time. For now it is important to elliminate as many of the Debris Cult members as you can.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_6.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_6.stf', '2', 'boss_detected', 'The Rebels have sent out one of their best pilots to deal with you. Be on careful look out.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_6.stf', '3', 'boss_title_1', 'Scout Pilot');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_6.stf', '4', 'boss_title_2', 'Wing Leader');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_6.stf', '5', 'boss_title_3', 'Flight Captain');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_6.stf', '6', 'boss_title_4', 'Squad Leader');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_6.stf', '7', 'boss_title_5', 'Ace');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_6.stf', '8', 'complete', 'The Rebels are in full retreat. They probably will not be back for a while. Nice work.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_6.stf', '9', 'dd_boss_taunt_1', 'Prepare to become space dust.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_6.stf', '10', 'dd_boss_taunt_2', 'No one ever has enough time and you just ran out.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_6.stf', '11', 'dd_boss_taunt_3', 'You are the one that had everyone worried?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_6.stf', '12', 'dd_boss_taunt_4', 'I hope you like the taste of laser.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_6.stf', '13', 'dd_boss_taunt_5', 'I am sorry but I have to kill you now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_6.stf', '14', 'duty_update', '\\#pcontrast1 Imperial High Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_6.stf', '15', 'found_loc', 'Rebel activity detected at this location. Clear them out.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_6.stf', '16', 'level_boss', 'Reports indicate that the Rebels have sent out a %TO to deal with you. Be on the look out.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_6.stf', '17', 'level_boss_dead', 'Nice work. The Rebels have lost a valuable ally in their illegal activities.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_6.stf', '18', 'level_increase', 'Rebels in this area have been cleared out. Scanning system for other Rebel locations.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_6.stf', '19', 'quest_destroy_d', 'Once you have reached the navigation waypoint, you will be attacked by Rebel fighters. Destroy the fighters at this location until you receive a new navigation waypoint to your next battleground. If you destroy enough of these Rebel fighters, the Rebellion will send out better trained pilots in order to deal with you. Destroy duties can be quit at any time. Simply abort the mission or leave the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_6.stf', '20', 'quest_destroy_t', 'Travel to the Navigation Waypoint and Destroy the Rebel Fighters');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_6.stf', '21', 'quest_location_d', 'Travel to the Naboo system and move towards your first navigation waypoint to begin the destroy duty mission. When you destroy all attack waves at that waypoint you will receive a new navigation waypoint.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_6.stf', '22', 'quest_location_t', 'Travel to the Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_6.stf', '23', 'targets_behind', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters incoming from the rear. Take evasive manuevers.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_6.stf', '24', 'targets_detected', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters detected. Prepare to engage.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_6.stf', '25', 'taunt_1', 'Time to die, Imperial scum.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_6.stf', '26', 'taunt_2', 'You really should get a new line of work.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_6.stf', '27', 'taunt_3', 'Time to become space dust, Imperial dog.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_6.stf', '28', 'taunt_4', 'This is going to be uncomfortable for you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_6.stf', '29', 'taunt_5', 'Well! Someone wasn\'t hugged enough as a child.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_6.stf', '30', 'title', 'Naboo System: Destroy the Rebel Fighters Duty');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_6.stf', '31', 'title_d', 'Travel to the Naboo system and destroy the Rebel fighters. A destroy duty is a voluntary mission that you are able to quit at any time without repercussions. When you reach the Naboo system a navigation waypoint will be sent to you. Travel to this waypoint and you will be attacked by enemy fighters. Each time you destroy a wave of fighters a new wave will attack. Once you have destroyed all the attack waves at one waypoint, you will receive a new waypoint that you can fly to and continue destroying the enemy craft. A destroy duty will continue in this manner until you decide to stop.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_tier2_destroyduty.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_tier2_destroyduty.stf', '2', 'boss_detected', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 < Vessel with veteran insignias on attack vector, weapon systems armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_tier2_destroyduty.stf', '3', 'boss_title_1', 'Experienced Rebel Pilot');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_tier2_destroyduty.stf', '4', 'boss_title_2', 'Veteran Rebel Pilot');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_tier2_destroyduty.stf', '5', 'boss_title_3', 'Master Rebel Pilot');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_tier2_destroyduty.stf', '6', 'boss_title_4', 'Rebel Squad Leader');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_tier2_destroyduty.stf', '7', 'boss_title_5', 'Rebel Ace');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_tier2_destroyduty.stf', '8', 'complete', 'Nice work, pilot. You have done a great service for the Inquisition and the Emperor this day. No more enemy fighters detected, return to base.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_tier2_destroyduty.stf', '9', 'dd_boss_taunt_1', 'They sent you to try to defeat me?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_tier2_destroyduty.stf', '10', 'dd_boss_taunt_2', 'You are on the wrong side, friend.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_tier2_destroyduty.stf', '11', 'dd_boss_taunt_3', 'Prepare to become space dust.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_tier2_destroyduty.stf', '12', 'dd_boss_taunt_4', 'I would have thought they would have more respect for my skills.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_tier2_destroyduty.stf', '13', 'dd_boss_taunt_5', 'I will make this quick and painless.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_tier2_destroyduty.stf', '14', 'duty_update', '\\#pcontrast1 Imperial High Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_tier2_destroyduty.stf', '15', 'found_loc', 'Area of heavy enemy fighter presence has been updated to your navigation computer. Proceed with the assault.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_tier2_destroyduty.stf', '16', 'level_boss', 'A %TO has been detected in your area. Proceed with caution.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_tier2_destroyduty.stf', '17', 'level_boss_dead', 'Now the Rebel scum know the true might of the Imperial Inquisition. Stand by for further orders.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_tier2_destroyduty.stf', '18', 'level_increase', 'Intelligence reports an increase in Rebel activities. This probably in direct response to your victories.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_tier2_destroyduty.stf', '19', 'quest_destroy_d', 'Travel to each of the given waypoints and destroy all attacking Rebels. If you cause enough trouble, they will send out their best pilots to deal with you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_tier2_destroyduty.stf', '20', 'quest_destroy_t', 'Destroy the Rebel X-wing Fighters');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_tier2_destroyduty.stf', '21', 'quest_location_d', 'Move into Dantooine space. Intelligence has reports of areas of high Rebel activity and will supply those locations to you. Travel to each navigation waypoint and destroy all Rebels there.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_tier2_destroyduty.stf', '22', 'quest_location_t', 'Travel to the Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_tier2_destroyduty.stf', '23', 'targets_behind', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy vessel detected 180 degrees from your current location.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_tier2_destroyduty.stf', '24', 'targets_detected', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 < Vessels fitting hunted ship profile on attack vector, weapon systems armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_tier2_destroyduty.stf', '25', 'taunt_1', 'You shouldn\'t be here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_tier2_destroyduty.stf', '26', 'taunt_2', 'Imperial dog, you will have to better then that.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_tier2_destroyduty.stf', '27', 'taunt_3', 'Big mistake!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_tier2_destroyduty.stf', '28', 'taunt_4', 'You are going to pay for that!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_tier2_destroyduty.stf', '29', 'taunt_5', 'I wouldn\'t want to be you right now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_tier2_destroyduty.stf', '30', 'title', 'Dantooine System: Destroy the X-wing Fighters Duty');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_tier2_destroyduty.stf', '31', 'title_d', 'Travel to the Dantooine system and destroy the Rebel X-wing fighters. High Command cannot allow the Rebellion to gain any sort of foothold in the Dantooine system. Hunt down and destroy all Rebel vessels in the region.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_tier4_1.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_tier4_1.stf', '2', 'boss_detected', 'Wave completed. Wave leader detected.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_tier4_1.stf', '3', 'boss_title_1', 'Coynite Harbringer');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_tier4_1.stf', '4', 'boss_title_2', 'Coynite Novahunter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_tier4_1.stf', '5', 'boss_title_3', 'Coynite Ionstorm');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_tier4_1.stf', '6', 'boss_title_4', 'Coynite Lightstealer');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_tier4_1.stf', '7', 'boss_title_5', 'Coynite Starsweeper');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_tier4_1.stf', '8', 'complete', 'All waves destroyed. You have performed your duty well. Return to your superior officer for additional assignments.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_tier4_1.stf', '9', 'dd_boss_taunt_1', 'You dare challenge the might of Coyn?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_tier4_1.stf', '10', 'dd_boss_taunt_2', 'That was your final mistake!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_tier4_1.stf', '11', 'dd_boss_taunt_3', 'Don\'t worry, this won\'t take long.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_tier4_1.stf', '12', 'dd_boss_taunt_4', 'For Coyn! For Glory!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_tier4_1.stf', '13', 'dd_boss_taunt_5', 'You shall have a noble death!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_tier4_1.stf', '14', 'duty_update', '\\#pcontrast1 Imperial High Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_tier4_1.stf', '15', 'found_loc', 'Located another area of high enemy activity.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_tier4_1.stf', '16', 'level_boss', '%TO has been eliminated. Nice work, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_tier4_1.stf', '17', 'level_boss_dead', 'Very nice work. Coynite\'s respect their champions and you have gained respect in their eyes for defeating one of them.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_tier4_1.stf', '18', 'level_increase', 'Be alert! The Coynite Mercenaries are become more aggressive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_tier4_1.stf', '19', 'quest_destroy_d', 'Destroy all Coynite ships you can find. If you do well enough the Coynite will send their best pilots after you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_tier4_1.stf', '20', 'quest_destroy_t', 'Destroy the Coynite Fighters');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_tier4_1.stf', '21', 'quest_location_d', 'Travel to the Dathomir system and you will receive Nav waypoints to areas of high Coynite concentrations.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_tier4_1.stf', '22', 'quest_location_t', 'Travel to the Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_tier4_1.stf', '23', 'targets_behind', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Warning! Enemy ships detected. Incoming from the rear.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_tier4_1.stf', '24', 'targets_detected', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Alert! Enemy ships engaging weapons and incoming at attack speeds.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_tier4_1.stf', '25', 'taunt_1', 'For Coyn! For Glory!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_tier4_1.stf', '26', 'taunt_2', 'Go towards the light.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_tier4_1.stf', '27', 'taunt_3', 'Prepare to be embraced by death.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_tier4_1.stf', '28', 'taunt_4', 'You should not have done that.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_tier4_1.stf', '29', 'taunt_5', 'Perhaps you wish to rethink your actions?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_tier4_1.stf', '30', 'title', 'Dathomir System: Destroy the Coynite Fighters Duty');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_imperial_tier4_1.stf', '31', 'title_d', 'Travel to the Dathomir system and destroy the Coynite fighters. The Coynite problem has begun to become out of hand. In order to protect Dathomir the Coynite numbers must be reduced.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_11.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_11.stf', '2', 'boss_detected', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Ay\'Nat Warlord on attack vector, weapon systems armed. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_11.stf', '3', 'boss_title_1', 'Ay\'Nat Warlord');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_11.stf', '4', 'boss_title_2', 'Veteran Ay\'Nat Commander');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_11.stf', '5', 'boss_title_3', 'Blood-thirsty Ay\'Nat Warlord');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_11.stf', '6', 'boss_title_4', 'Hateful Ay\'Nat Commander');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_11.stf', '7', 'boss_title_5', 'Heartless Ay\'Nat Warlord');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_11.stf', '8', 'complete', '\\#pcontrast3 RSF Command: < \\#pcontrast1 Fantastic job pilot! We struck a blow to the Ay\'Nat Legion that will take them a long time to recover from. Head back to base when ready. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_11.stf', '9', 'dd_boss_taunt_1', 'Foolish RSF puppet, you should have run while you had the chance!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_11.stf', '10', 'dd_boss_taunt_2', 'Prepare to die...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_11.stf', '11', 'dd_boss_taunt_3', 'Too bad you ran in to me so early in your career, as I mark it\'s end!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_11.stf', '12', 'dd_boss_taunt_4', 'Maybe I should fly using just one hand, to give you a chance?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_11.stf', '13', 'dd_boss_taunt_5', 'Your pilot helmet will look good on my trophy rack RSF fool!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_11.stf', '14', 'duty_update', '\\#pcontrast3 < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_11.stf', '15', 'found_loc', '\\#pcontrast3 RSF Command: < \\#pcontrast1 The next area of known Ay\'Nat Legion activity has been uploaded to your nav computer, proceed when ready. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_11.stf', '16', 'level_boss', '\\#pcontrast3 RSF Command: < \\#pcontrast1 The Ay\'Nat Legion have sent one of their best pilots to take care of you, be careful! \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_11.stf', '17', 'level_boss_dead', '\\#pcontrast3 RSF Command: < \\#pcontrast1 That one has been a dread ever since he came to this sector, great work pilot! \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_11.stf', '18', 'level_increase', 'Sensors through out the system show increased Ay\'Nat Pirate activity in response to our attacks.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_11.stf', '19', 'quest_destroy_d', 'Proceed to this point and engage Ay\'Nat craft');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_11.stf', '20', 'quest_destroy_t', 'Destroy Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_11.stf', '21', 'quest_location_d', 'Areas of Ay\'Nat activity throughout the Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_11.stf', '22', 'quest_location_t', 'Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_11.stf', '23', 'targets_behind', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Be aware, vessels trying to target this ship with their weapon systems. Attack originating direction 180 degrees. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_11.stf', '24', 'targets_detected', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Vessels fitting hunted ship profile on attack vector, weapon systems armed. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_11.stf', '25', 'taunt_1', 'I guess not all RSF is on our payroll. No matter, you won\'t be on anyones payroll after this!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_11.stf', '26', 'taunt_2', 'Royal Security Force? More like Royally Slow Fools!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_11.stf', '27', 'taunt_3', 'You are a fool to engage the Ay\'Nat Legion!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_11.stf', '28', 'taunt_4', 'The Ay\'Nat Legion leave no survivors!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_11.stf', '29', 'taunt_5', 'Time to add another RSF puppet on my kill list!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_11.stf', '30', 'title', 'Naboo System: Duty: Hunt down Ay\'Nat Pirate Legion');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_11.stf', '31', 'title_d', 'Destroy Ay\'Nat pirates throughout the Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_6.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_6.stf', '2', 'boss_detected', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Vessel with veteran insignias on attack vector, weapon systems armed. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_6.stf', '3', 'boss_title_1', 'Experienced Black Sun Pilot');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_6.stf', '4', 'boss_title_2', 'Veteran Black Sun Pilot');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_6.stf', '5', 'boss_title_3', 'Grim Veteran Black Sun Pilot');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_6.stf', '6', 'boss_title_4', 'Furious Veteran Black Sun Pilot');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_6.stf', '7', 'boss_title_5', 'Ace Veteran Black Sun Pilot');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_6.stf', '8', 'complete', 'Fantastic job pilot! We struck a blow to the Black Sun that will take them a long time to recover from. Head back to base when ready.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_6.stf', '9', 'dd_boss_taunt_1', 'Foolish RSF puppet, you should have run while you had the chance!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_6.stf', '10', 'dd_boss_taunt_2', 'To us you\'re just a anuiance, about to be squashed!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_6.stf', '11', 'dd_boss_taunt_3', 'Too bad you ran in to me so early in your career, as I mark it\'s end!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_6.stf', '12', 'dd_boss_taunt_4', 'Maybe I should fly using just one hand, to give you a chance?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_6.stf', '13', 'dd_boss_taunt_5', 'Your pilot helmet will look good on my trophy rack RSF fool!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_6.stf', '14', 'duty_update', 'RSF Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_6.stf', '15', 'found_loc', 'The next area of known Black Sun activity has been uploaded to your nav computer, proceed when ready.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_6.stf', '16', 'level_boss', 'RSF Command: < The Black Sun have sent one of their best pilots to take care of you, be careful! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_6.stf', '17', 'level_boss_dead', 'That one has been a dread ever since he came to this sector, great work pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_6.stf', '18', 'level_increase', 'Sensors through out the sectors show increased Black Sun activity in response to our attacks.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_6.stf', '19', 'quest_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_6.stf', '20', 'quest_destroy_d', 'Location of anticipated enemy activity');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_6.stf', '21', 'quest_destroy_t', 'Target Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_6.stf', '22', 'quest_location_d', 'Random sorties throughout the Naboo System.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_6.stf', '23', 'quest_location_t', 'Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_6.stf', '24', 'quest_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_6.stf', '25', 'targets_behind', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Be aware, vessels trying to target this ship with their weapon systems. Attack originating direction 180 degrees. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_6.stf', '26', 'targets_detected', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Vessels fitting hunted ship profile on attack vector, weapon systems armed. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_6.stf', '27', 'taunt_1', 'I guess not all RSF is on our payroll. No matter, you won\'t be on anyones payroll after this!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_6.stf', '28', 'taunt_2', 'Royal Security Force? More like Royally Slow Fools!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_6.stf', '29', 'taunt_3', 'Your about to learn the foolishness of messing with the Black Sun!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_6.stf', '30', 'taunt_4', 'You should never have come here, now you will never leave.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_6.stf', '31', 'taunt_5', 'Time to add another RSF puppet on my kill list!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_6.stf', '32', 'title', 'Naboo System: Duty: Devastating attack on the Black Sun');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_6.stf', '33', 'title_d', 'Hunt down Black Sun throughout the Naboo System.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_tier4_1.stf', '1', 'boss_detected', 'An advanced craft has been detected on approach.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_tier4_1.stf', '2', 'boss_title_1', 'Black Sun Ace');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_tier4_1.stf', '3', 'boss_title_2', 'Black Sun Ace');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_tier4_1.stf', '4', 'boss_title_3', 'Black Sun Ace');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_tier4_1.stf', '5', 'boss_title_4', 'Black Sun Ace');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_tier4_1.stf', '6', 'boss_title_5', 'Black Sun Ace');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_tier4_1.stf', '7', 'complete', 'The duty is complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_tier4_1.stf', '8', 'dd_boss_taunt_1', 'Death for you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_tier4_1.stf', '9', 'dd_boss_taunt_2', 'Your end is near.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_tier4_1.stf', '10', 'dd_boss_taunt_3', 'Death for you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_tier4_1.stf', '11', 'dd_boss_taunt_4', 'Pray for a quick death.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_tier4_1.stf', '12', 'dd_boss_taunt_5', 'Death for you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_tier4_1.stf', '13', 'duty_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_tier4_1.stf', '14', 'found_loc', 'Location to the next concentration of pirates has been detected.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_tier4_1.stf', '15', 'level_boss', 'A pirate has been dispatched to your location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_tier4_1.stf', '16', 'level_boss_dead', 'The ace has been defeated.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_tier4_1.stf', '17', 'level_increase', 'Enemy activity has increased.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_tier4_1.stf', '18', 'quest_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_tier4_1.stf', '19', 'quest_destroy_d', 'Travel here to find your targets');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_tier4_1.stf', '20', 'quest_destroy_t', 'Destroy Target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_tier4_1.stf', '21', 'quest_location_d', 'Areas of Black Sun activity');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_tier4_1.stf', '22', 'quest_location_t', 'Endor System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_tier4_1.stf', '23', 'quest_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_tier4_1.stf', '24', 'targets_behind', 'Enemy activity detected from the rear.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_tier4_1.stf', '25', 'targets_detected', 'Enemy craft have been detected.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_tier4_1.stf', '26', 'taunt_1', 'You have no business here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_tier4_1.stf', '27', 'taunt_2', 'Run while you can.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_tier4_1.stf', '28', 'taunt_3', 'You have no business here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_tier4_1.stf', '29', 'taunt_4', 'Doom is all you will find here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_tier4_1.stf', '30', 'taunt_5', 'You have no business here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_tier4_1.stf', '31', 'title', 'Endor System: Duty: Destroy the Blacksun Pirates');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_privateer_tier4_1.stf', '32', 'title_d', 'Hunt down and destroy Black Sun Pirates');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_rebel_6.stf', '1', 'boss_detected', ' \\#pcontrast3 Alliance HQ:  \\#pcontrast1 < Warning! Enemy commander detected on attack vector! \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_rebel_6.stf', '2', 'boss_title_0', 'TIE Combat Trainer');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_rebel_6.stf', '3', 'boss_title_1', 'TIE Combat Trainer');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_rebel_6.stf', '4', 'boss_title_2', 'TIE Combat Ace');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_rebel_6.stf', '5', 'boss_title_3', 'TIE Obsidian Squad Leader');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_rebel_6.stf', '6', 'boss_title_4', 'TIE Black Ops Commander');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_rebel_6.stf', '7', 'boss_title_5', 'TIE (Unknown) Ace');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_rebel_6.stf', '8', 'complete', 'Excellent work, Pilot! The Imperial presence in this sector has been soundly beaten. Return to base!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_rebel_6.stf', '9', 'dd_boss_taunt_1', 'You killed my men. Now you\'re mine!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_rebel_6.stf', '10', 'dd_boss_taunt_2', 'If you cut your engines, I promise not to harm you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_rebel_6.stf', '11', 'dd_boss_taunt_3', 'I\'m going to enjoy spacing you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_rebel_6.stf', '12', 'dd_boss_taunt_4', 'A thousand creds to the man who takes him out!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_rebel_6.stf', '13', 'dd_boss_taunt_5', 'I am the Grim Reaper Rebel, you will not leave this place alive!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_rebel_6.stf', '14', 'duty_update', ' \\#pcontrast3 Alliance HQ:  < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_rebel_6.stf', '15', 'found_loc', 'We are uploading coordinates of suspected Imperial ambushes. Investigate and eliminate all hostiles.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_rebel_6.stf', '16', 'level_boss', ' \\#pcontrast3 Alliance HQ: < \\#ff0000 The Imperials are sending a highly trained %TO after you. Stand by for coordinates... \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_rebel_6.stf', '17', 'level_boss_dead', 'Good work, the commander has been destroyed. We\'re still picking up Imperial activity, however. Stand by...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_rebel_6.stf', '18', 'level_increase', 'We\'ve detected that more TIE ships have been sent into the sector.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_rebel_6.stf', '19', 'quest_destroy_d', 'Be aware that the more successful attacks you perform, the more resistance you will face as the Empire steps up their alert level.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_rebel_6.stf', '20', 'quest_destroy_t', 'Destroy TIE fighters at each navigation point.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_rebel_6.stf', '21', 'quest_location_d', 'Alliance HQ will provide waypoints to potential TIE fighter ambushes. Fly to each waypoint and eliminate all hostile fighters that enter the area. When you have cleared an area, Alliance HQ will upload a new wayppoint. Continue to beat back the enemy!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_rebel_6.stf', '22', 'quest_location_t', 'Naboo system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_rebel_6.stf', '23', 'targets_behind', ' \\#pcontrast3 Tactical Computer:  < \\#pcontrast1 Enemy targets coming in from behind! \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_rebel_6.stf', '24', 'targets_detected', ' \\#pcontrast3 Tactical Computer:  < \\#pcontrast1 Enemy targets on incoming attack vector! \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_rebel_6.stf', '25', 'taunt_1', 'You\'re heading for the Imperial prisons, Rebel scum!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_rebel_6.stf', '26', 'taunt_2', 'The might of the Empire is unstoppable!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_rebel_6.stf', '27', 'taunt_3', 'It was a mistake to come here Rebel fool!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_rebel_6.stf', '28', 'taunt_4', 'Fry him boys!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_rebel_6.stf', '29', 'taunt_5', 'Your little uproar ends here Rebel scum!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_rebel_6.stf', '30', 'title', 'Naboo system: Duty mission: Break up TIE ambushes');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_rebel_6.stf', '31', 'title_d', 'Break up TIE ambushes. These missions have been outlined to give you some much needed experience in space combat, you can stop when you feel that you have learned enough.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_rebel_tier4_1.stf', '1', 'boss_detected', 'Our reconnaissance ship has spooted a Imperial Inquisitor coming to investigate. Be careful.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_rebel_tier4_1.stf', '2', 'boss_title_1', 'Imperial Inquisitor');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_rebel_tier4_1.stf', '3', 'boss_title_2', 'Imperial Inquisitor');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_rebel_tier4_1.stf', '4', 'boss_title_3', 'Imperial Inquisitor');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_rebel_tier4_1.stf', '5', 'boss_title_4', 'Imperial Inquisitor');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_rebel_tier4_1.stf', '6', 'boss_title_5', 'Imperial Inquisitor');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_rebel_tier4_1.stf', '7', 'complete', 'Amazing job out there pilot! Return to base for some well earned rest.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_rebel_tier4_1.stf', '8', 'dd_boss_taunt_1', 'It\'s been a long time since I had an actual challenge.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_rebel_tier4_1.stf', '9', 'dd_boss_taunt_2', 'Didn\'t expect the Inquisition, did you?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_rebel_tier4_1.stf', '10', 'dd_boss_taunt_3', 'Your first mistake was coming here. Your second mistake is not fleeing. You only get two mistakes.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_rebel_tier4_1.stf', '11', 'dd_boss_taunt_4', 'Repent sinner!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_rebel_tier4_1.stf', '12', 'dd_boss_taunt_5', 'You dare anger the Inquisition?!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_rebel_tier4_1.stf', '13', 'duty_update', 'Vortex Fleet Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_rebel_tier4_1.stf', '14', 'found_loc', 'More of the Inquisitions training squads have been located in this area, proceed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_rebel_tier4_1.stf', '15', 'level_boss', 'One of the Imperial Inquisitors have been spotted in this area, stay sharp!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_rebel_tier4_1.stf', '16', 'level_boss_dead', 'Fantastic job pilot! The Inquisition will be outraged!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_rebel_tier4_1.stf', '17', 'level_increase', 'We\'re getting reports that the Empire is ramping up their search for you, prepare to get busy.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_rebel_tier4_1.stf', '18', 'quest_destroy_d', 'A patrol of Inquisition trainees have been spotted at these coordinates. Eliminate any enemy forces found.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_rebel_tier4_1.stf', '19', 'quest_destroy_t', 'Targets of elimination.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_rebel_tier4_1.stf', '20', 'quest_location_d', 'The Dantooine system shouldn\'t be that dangerous for a pilot of your skill but the targets of your attack is almost fanatical in their devotion and will to prove themselves to the Inquisition.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_rebel_tier4_1.stf', '21', 'quest_location_t', 'Dantooine system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_rebel_tier4_1.stf', '22', 'targets_behind', 'Tactical Computer: < Be aware, vessels trying to target this ship with their weapon systems. Attack originating direction 180 degrees. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_rebel_tier4_1.stf', '23', 'targets_detected', 'Tactical Computer: < Vessels fitting hunted ship profile on attack vector, weapon systems armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_rebel_tier4_1.stf', '24', 'taunt_1', 'Destroy the Rebel men!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_rebel_tier4_1.stf', '25', 'taunt_2', 'You will pay for your crimes!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_rebel_tier4_1.stf', '26', 'taunt_3', 'Your pathetic attacks end here Rebel!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_rebel_tier4_1.stf', '27', 'taunt_4', 'After I crush you, I will become one of the Inquisitions elite pilots!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_rebel_tier4_1.stf', '28', 'taunt_5', 'Resistance is futile.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_rebel_tier4_1.stf', '29', 'title', 'Dantooine system: Duty mission: Attack the Inquisitions candidates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_rebel_tier4_1.stf', '30', 'title_d', 'To soften up the Inquisitions fighter force and send a message to them that we mean business, you are ordered to attack a number of their normal fighter patrols. Normal means that they are not yet part of the Inquisition as full time pilots in their service but rather they are regular navy pilots used for grunt work, trying to prove their worth to the men in black. When you feel that you have exhausted your ship, yourself or that you have enough experience to continue your training, you can return to base at anytime.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_station_imperial_destroy_duty_tier2_1.stf', '1', 'boss_detected', 'The Rebel Ace is inbound, prepare yourself pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_station_imperial_destroy_duty_tier2_1.stf', '2', 'boss_title_1', 'Infio Argon');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_station_imperial_destroy_duty_tier2_1.stf', '3', 'boss_title_2', 'Poew Scar');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_station_imperial_destroy_duty_tier2_1.stf', '4', 'boss_title_3', 'Uowas Irgon');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_station_imperial_destroy_duty_tier2_1.stf', '5', 'boss_title_4', 'Walfer Whitehand');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_station_imperial_destroy_duty_tier2_1.stf', '6', 'boss_title_5', 'General Boawa');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_station_imperial_destroy_duty_tier2_1.stf', '7', 'complete', 'Incredible! You should get some rest pilot, you\'ve gone well beyond your call of duty today!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_station_imperial_destroy_duty_tier2_1.stf', '8', 'dd_boss_taunt_1', 'I\'ve come to claim revenge!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_station_imperial_destroy_duty_tier2_1.stf', '9', 'dd_boss_taunt_2', 'Imperial scum, prepare to pay for your crimes!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_station_imperial_destroy_duty_tier2_1.stf', '10', 'dd_boss_taunt_3', 'I will destroy you, mark my words!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_station_imperial_destroy_duty_tier2_1.stf', '11', 'dd_boss_taunt_4', 'You should never have come here Imperial!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_station_imperial_destroy_duty_tier2_1.stf', '12', 'dd_boss_taunt_5', 'You will never kill another pilot of the Alliance again!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_station_imperial_destroy_duty_tier2_1.stf', '13', 'duty_update', 'Imperial Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_station_imperial_destroy_duty_tier2_1.stf', '14', 'found_loc', 'Locked in a target area, transfering waypoint.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_station_imperial_destroy_duty_tier2_1.stf', '15', 'level_boss', 'We see a familiar ship signature on our sensors. %TO, one of the Rebel Ace pilots are coming your way!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_station_imperial_destroy_duty_tier2_1.stf', '16', 'level_boss_dead', 'Excellent, the Rebel fools will miss that one!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_station_imperial_destroy_duty_tier2_1.stf', '17', 'level_increase', 'The Rebel and Nym scum are increasing their efforts in tracking you down, be ready.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_station_imperial_destroy_duty_tier2_1.stf', '18', 'quest_destroy_d', 'We will provide you with locations of Rebel and Nym ships. Follow the waypoints and deliver Imperial justice!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_station_imperial_destroy_duty_tier2_1.stf', '19', 'quest_destroy_t', 'Terminate targets of opportunity.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_station_imperial_destroy_duty_tier2_1.stf', '20', 'quest_location_d', 'This is enemy territory! Stay sharp and be careful out there pilot, an Imperial ship in this zone is like having a bullseye on your back.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_station_imperial_destroy_duty_tier2_1.stf', '21', 'quest_location_t', 'Lok system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_station_imperial_destroy_duty_tier2_1.stf', '22', 'targets_behind', 'Tactical Computer: < Be aware, vessels trying to target this ship with their weapon systems. Attack originating direction 180 degrees. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_station_imperial_destroy_duty_tier2_1.stf', '23', 'targets_detected', 'Tactical Computer: < Vessels fitting hunted ship profile on attack vector, weapon systems armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_station_imperial_destroy_duty_tier2_1.stf', '24', 'taunt_1', 'Imperial hound, prepare to die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_station_imperial_destroy_duty_tier2_1.stf', '25', 'taunt_2', 'Lackey of the false Emperor, you will fall!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_station_imperial_destroy_duty_tier2_1.stf', '26', 'taunt_3', 'Never again will you take another mans life!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_station_imperial_destroy_duty_tier2_1.stf', '27', 'taunt_4', 'We will stop your oppression!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_station_imperial_destroy_duty_tier2_1.stf', '28', 'taunt_5', 'You can\'t defeat us all!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_station_imperial_destroy_duty_tier2_1.stf', '29', 'title', 'Lok system: Duty mission: Rebels can\'t hide anywhere.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/naboo_station_imperial_destroy_duty_tier2_1.stf', '30', 'title_d', 'The Rebels has been hiding under the protection of Nym in the Lok system for too long. Nym is quite powerful and we don\'t want to invoke his full rage but we have to show the Rebels that they are not safe anywhere. By sending you in alone, we should be able to give that message without provoking Nym too much. He\'s a proud man that should see it as a honorable challenge by a good pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_imp_destroy_duty_tier3.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_imp_destroy_duty_tier3.stf', '2', 'boss_detected', 'Wave completed. Wave leader detected.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_imp_destroy_duty_tier3.stf', '3', 'boss_title_1', 'Rebel Veteran');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_imp_destroy_duty_tier3.stf', '4', 'boss_title_2', 'Rebel Raid Seeker');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_imp_destroy_duty_tier3.stf', '5', 'boss_title_3', 'Rebel Elite');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_imp_destroy_duty_tier3.stf', '6', 'boss_title_4', 'Rebel Raid Leader');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_imp_destroy_duty_tier3.stf', '7', 'boss_title_5', 'Rebel Captain');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_imp_destroy_duty_tier3.stf', '8', 'complete', 'All waves destroyed. You have performed your duty well. Return to your superior officer for additional assignments.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_imp_destroy_duty_tier3.stf', '9', 'dd_boss_taunt_1', 'You dare challenge the might of the Alliance?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_imp_destroy_duty_tier3.stf', '10', 'dd_boss_taunt_2', 'That was your final mistake!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_imp_destroy_duty_tier3.stf', '11', 'dd_boss_taunt_3', 'Don\'t worry, this won\'t take long.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_imp_destroy_duty_tier3.stf', '12', 'dd_boss_taunt_4', 'For the Rebellion! For the Alliance!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_imp_destroy_duty_tier3.stf', '13', 'dd_boss_taunt_5', 'You shall have a noble death!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_imp_destroy_duty_tier3.stf', '14', 'duty_update', '\\#pcontrast1 Imperial High Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_imp_destroy_duty_tier3.stf', '15', 'found_loc', 'Located another area of high enemy activity.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_imp_destroy_duty_tier3.stf', '16', 'level_boss', '%TO has been eliminated. Nice work, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_imp_destroy_duty_tier3.stf', '17', 'level_boss_dead', 'Very nice work. That should slow Rebel activity in this area.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_imp_destroy_duty_tier3.stf', '18', 'level_increase', 'Be alert! The Rebel pilots are become more aggressive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_imp_destroy_duty_tier3.stf', '19', 'quest_destroy_d', 'Destroy all Rebel ships you can find. If you do well enough the Rebels will send their best pilots after you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_imp_destroy_duty_tier3.stf', '20', 'quest_destroy_t', 'Destroy the Rebel Fighters');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_imp_destroy_duty_tier3.stf', '21', 'quest_location_d', 'Travel to the Naboo system if you are not already in the Naboo System.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_imp_destroy_duty_tier3.stf', '22', 'quest_location_t', 'Travel to the Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_imp_destroy_duty_tier3.stf', '23', 'targets_behind', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Warning! Enemy ships detected. Incoming from the rear.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_imp_destroy_duty_tier3.stf', '24', 'targets_detected', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Alert! Enemy ships engaging weapons and incoming at attack speeds.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_imp_destroy_duty_tier3.stf', '25', 'taunt_1', 'For the Rebellion!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_imp_destroy_duty_tier3.stf', '26', 'taunt_2', 'Go towards the light.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_imp_destroy_duty_tier3.stf', '27', 'taunt_3', 'Prepare to be embraced by death.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_imp_destroy_duty_tier3.stf', '28', 'taunt_4', 'You should not have done that.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_imp_destroy_duty_tier3.stf', '29', 'taunt_5', 'Perhaps you wish to rethink your actions?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_imp_destroy_duty_tier3.stf', '30', 'title', 'Naboo System: Destroy the Rebel Fighters Duty');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_imp_destroy_duty_tier3.stf', '31', 'title_d', 'Rebel activity in this area has increased, and they often seem to know too much about Imperial plans. Remain here in the Naboo System and destroy the Rebel fighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_reb_destroy_duty_tier3.stf', '1', 'boss_detected', 'Our reconnaissance ship has spotted an Imperial Inquisitor heading this way. Be careful.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_reb_destroy_duty_tier3.stf', '2', 'boss_title_1', 'Imperial Inquisitor');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_reb_destroy_duty_tier3.stf', '3', 'boss_title_2', 'Imperial Inquisitor');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_reb_destroy_duty_tier3.stf', '4', 'boss_title_3', 'Imperial Inquisitor');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_reb_destroy_duty_tier3.stf', '5', 'boss_title_4', 'Imperial Inquisitor');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_reb_destroy_duty_tier3.stf', '6', 'boss_title_5', 'Imperial Inquisitor');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_reb_destroy_duty_tier3.stf', '7', 'complete', 'Amazing job out there pilot! Return to base for some well earned rest.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_reb_destroy_duty_tier3.stf', '8', 'dd_boss_taunt_1', 'It\'s been a long time since I had an actual challenge.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_reb_destroy_duty_tier3.stf', '9', 'dd_boss_taunt_2', 'Didn\'t expect the Inquisition, did you?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_reb_destroy_duty_tier3.stf', '10', 'dd_boss_taunt_3', 'Your first mistake was coming here. Your second mistake is not fleeing. You only get two mistakes.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_reb_destroy_duty_tier3.stf', '11', 'dd_boss_taunt_4', 'Flee fool!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_reb_destroy_duty_tier3.stf', '12', 'dd_boss_taunt_5', 'You dare anger the Inquisition?!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_reb_destroy_duty_tier3.stf', '13', 'duty_update', 'Station Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_reb_destroy_duty_tier3.stf', '14', 'found_loc', 'More of the Inquisition squads have been located in this area, proceed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_reb_destroy_duty_tier3.stf', '15', 'level_boss', 'One of the Imperial Inquisitors have been spotted in this area, stay sharp!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_reb_destroy_duty_tier3.stf', '16', 'level_boss_dead', 'Fantastic job pilot! That should give the Inquisition something else to think about for a while!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_reb_destroy_duty_tier3.stf', '17', 'level_increase', 'We\'re getting reports that the Empire is ramping up their search for you, prepare to get busy.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_reb_destroy_duty_tier3.stf', '18', 'quest_destroy_d', 'Eliminate Imperial forces.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_reb_destroy_duty_tier3.stf', '19', 'quest_destroy_t', 'Targets of elimination.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_reb_destroy_duty_tier3.stf', '20', 'quest_location_d', 'Cause a distraction by attacking Imperial fighters in the Naboo system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_reb_destroy_duty_tier3.stf', '21', 'quest_location_t', 'Naboo system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_reb_destroy_duty_tier3.stf', '22', 'targets_behind', 'Tactical Computer: < Be aware, vessels trying to target this ship with their weapon systems. Attack originating direction 180 degrees. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_reb_destroy_duty_tier3.stf', '23', 'targets_detected', 'Tactical Computer: < Vessels fitting hunted ship profile on attack vector, weapon systems armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_reb_destroy_duty_tier3.stf', '24', 'taunt_1', 'I must destroy you!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_reb_destroy_duty_tier3.stf', '25', 'taunt_2', 'You will pay for your crimes!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_reb_destroy_duty_tier3.stf', '26', 'taunt_3', 'Your pathetic attacks end here Rebel!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_reb_destroy_duty_tier3.stf', '27', 'taunt_4', 'After I crush you, I will become one of the Inquisitions elite pilots!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_reb_destroy_duty_tier3.stf', '28', 'taunt_5', 'Resistance is futile.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_reb_destroy_duty_tier3.stf', '29', 'title', 'Naboo system: Duty mission: Disrupt Imperial Investigations.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_reb_destroy_duty_tier3.stf', '30', 'title_d', 'The Rori Station would rather the Empire had other problems to focus on rather than pay any attention to their station. Distract the Empire by attacking Imperial ships in the Naboo System.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_rsf_destroy_duty_tier3.stf', '1', 'boss_detected', 'An advanced craft has been detected on approach.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_rsf_destroy_duty_tier3.stf', '2', 'boss_title_1', 'Borvo Bomber');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_rsf_destroy_duty_tier3.stf', '3', 'boss_title_2', 'Borvo Bomber');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_rsf_destroy_duty_tier3.stf', '4', 'boss_title_3', 'Borvo Bomber');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_rsf_destroy_duty_tier3.stf', '5', 'boss_title_4', 'Borvo Bomber');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_rsf_destroy_duty_tier3.stf', '6', 'boss_title_5', 'Borvo Bomber');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_rsf_destroy_duty_tier3.stf', '7', 'complete', 'The duty is complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_rsf_destroy_duty_tier3.stf', '8', 'dd_boss_taunt_1', 'Death for you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_rsf_destroy_duty_tier3.stf', '9', 'dd_boss_taunt_2', 'Your end is near.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_rsf_destroy_duty_tier3.stf', '10', 'dd_boss_taunt_3', 'Death for you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_rsf_destroy_duty_tier3.stf', '11', 'dd_boss_taunt_4', 'Pray for a quick death.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_rsf_destroy_duty_tier3.stf', '12', 'dd_boss_taunt_5', 'Death for you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_rsf_destroy_duty_tier3.stf', '13', 'duty_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_rsf_destroy_duty_tier3.stf', '14', 'found_loc', 'Location to the next concentration of pirates has been detected.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_rsf_destroy_duty_tier3.stf', '15', 'level_boss', 'A bomber has been dispatched to your location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_rsf_destroy_duty_tier3.stf', '16', 'level_boss_dead', 'The bomber has been defeated.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_rsf_destroy_duty_tier3.stf', '17', 'level_increase', 'Enemy activity has increased.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_rsf_destroy_duty_tier3.stf', '18', 'quest_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_rsf_destroy_duty_tier3.stf', '19', 'quest_destroy_d', 'Travel here to find your targets');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_rsf_destroy_duty_tier3.stf', '20', 'quest_destroy_t', 'Destroy Target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_rsf_destroy_duty_tier3.stf', '21', 'quest_location_d', 'Areas of Borvo pirate activity');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_rsf_destroy_duty_tier3.stf', '22', 'quest_location_t', 'Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_rsf_destroy_duty_tier3.stf', '23', 'quest_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_rsf_destroy_duty_tier3.stf', '24', 'targets_behind', 'Enemy activity detected from the rear.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_rsf_destroy_duty_tier3.stf', '25', 'targets_detected', 'Enemy craft have been detected.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_rsf_destroy_duty_tier3.stf', '26', 'taunt_1', 'You have no business here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_rsf_destroy_duty_tier3.stf', '27', 'taunt_2', 'Run while you can.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_rsf_destroy_duty_tier3.stf', '28', 'taunt_3', 'You have no business here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_rsf_destroy_duty_tier3.stf', '29', 'taunt_4', 'Doom is all you will find here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_rsf_destroy_duty_tier3.stf', '30', 'taunt_5', 'You have no business here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_rsf_destroy_duty_tier3.stf', '31', 'title', 'Naboo System: Duty: Destroy the Borvo Pirates');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/rori_station_rsf_destroy_duty_tier3.stf', '32', 'title_d', 'Hunt down and destroy Borvo Pirates');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_dantooine_owner_all_raiderdestroy_tier2_1.stf', '1', 'boss_detected', 'Keep a sharp eye out. The raiders have sent out one of their crack pilots to deal with you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_dantooine_owner_all_raiderdestroy_tier2_1.stf', '2', 'boss_title_1', 'Raider Commander');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_dantooine_owner_all_raiderdestroy_tier2_1.stf', '3', 'boss_title_2', 'Raider Ace');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_dantooine_owner_all_raiderdestroy_tier2_1.stf', '4', 'boss_title_3', 'Raider Leader');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_dantooine_owner_all_raiderdestroy_tier2_1.stf', '5', 'boss_title_4', 'Raider Brigand');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_dantooine_owner_all_raiderdestroy_tier2_1.stf', '6', 'boss_title_5', 'Raider Rogue');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_dantooine_owner_all_raiderdestroy_tier2_1.stf', '7', 'complete', 'Good work, pilot. That should keep the pirates off of our backs for a little while.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_dantooine_owner_all_raiderdestroy_tier2_1.stf', '8', 'dd_boss_taunt_1', 'You will never stop us from getting what we want.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_dantooine_owner_all_raiderdestroy_tier2_1.stf', '9', 'dd_boss_taunt_2', 'You shouldn\'t have come out here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_dantooine_owner_all_raiderdestroy_tier2_1.stf', '10', 'dd_boss_taunt_3', 'Big mistake, pal! You don\'t mess with us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_dantooine_owner_all_raiderdestroy_tier2_1.stf', '11', 'dd_boss_taunt_4', 'I am going to take a great deal of pleasure in doing this.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_dantooine_owner_all_raiderdestroy_tier2_1.stf', '12', 'dd_boss_taunt_5', 'Just you? Maybe you should have brought more friends.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_dantooine_owner_all_raiderdestroy_tier2_1.stf', '13', 'duty_update', 'Dantooine Station: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_dantooine_owner_all_raiderdestroy_tier2_1.stf', '14', 'found_loc', 'We have sent you another location where the pirates are known to hang out.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_dantooine_owner_all_raiderdestroy_tier2_1.stf', '15', 'level_boss', 'We are picking up signals of another ship. I think it is a %TO. Be careful.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_dantooine_owner_all_raiderdestroy_tier2_1.stf', '16', 'level_boss_dead', 'Excellent work. Without their leaders the pirates will be crippled.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_dantooine_owner_all_raiderdestroy_tier2_1.stf', '17', 'level_increase', 'Tighten that belt, pilot. Things are just going to get rougher from here on.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_dantooine_owner_all_raiderdestroy_tier2_1.stf', '18', 'quest_destroy_d', 'Being highly territorial the pirates will attack anyone moving into their area. Once you arrive, expect to be attacked. Destroy all fighters that attack you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_dantooine_owner_all_raiderdestroy_tier2_1.stf', '19', 'quest_destroy_t', 'Destroy the Attacking Fighters');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_dantooine_owner_all_raiderdestroy_tier2_1.stf', '20', 'quest_location_d', 'The pirates are stationed in several areas around Dantooine. Since there is no law enforcement in the system, the pirates do not even make an attempt to hide so they are easy enough to track.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_dantooine_owner_all_raiderdestroy_tier2_1.stf', '21', 'quest_location_t', 'Remain in the Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_dantooine_owner_all_raiderdestroy_tier2_1.stf', '22', 'targets_behind', 'Tactical Computer: < Enemy fighters detected. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_dantooine_owner_all_raiderdestroy_tier2_1.stf', '23', 'targets_detected', 'Tactical Computer: < Enemy fighters detected. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_dantooine_owner_all_raiderdestroy_tier2_1.stf', '24', 'taunt_1', 'Prepare to become space dust.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_dantooine_owner_all_raiderdestroy_tier2_1.stf', '25', 'taunt_2', 'I will enjoy looting your corpse.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_dantooine_owner_all_raiderdestroy_tier2_1.stf', '26', 'taunt_3', 'I don\'t do this for fun...it is just business.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_dantooine_owner_all_raiderdestroy_tier2_1.stf', '27', 'taunt_4', 'You should rethink your career. Perhaps moisture farmer is more your speed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_dantooine_owner_all_raiderdestroy_tier2_1.stf', '28', 'taunt_5', 'No one does that to me and gets away with it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_dantooine_owner_all_raiderdestroy_tier2_1.stf', '29', 'title', 'Dantooine System: Destroy the Dantooine Raiders');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_dantooine_owner_all_raiderdestroy_tier2_1.stf', '30', 'title_d', 'Dantooine Raiders have been attacking the supply freighters heading to the Dantooine station. This is causing heavy shortages in supplies for the station. The owner wants you to reduce the numbers of raiders in the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_endor_irs_imp_tier4_1.stf', '1', 'boss_detected', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 A Zynt\'aia Guardian in an advanced fighter has been detected. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_endor_irs_imp_tier4_1.stf', '2', 'boss_title_1', 'Muon');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_endor_irs_imp_tier4_1.stf', '3', 'boss_title_2', 'Sunburn');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_endor_irs_imp_tier4_1.stf', '4', 'boss_title_3', 'Nutron');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_endor_irs_imp_tier4_1.stf', '5', 'boss_title_4', 'Gabaki');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_endor_irs_imp_tier4_1.stf', '6', 'boss_title_5', 'Yarrok');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_endor_irs_imp_tier4_1.stf', '7', 'complete', 'The Duty is Complete');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_endor_irs_imp_tier4_1.stf', '8', 'dd_boss_taunt_1', 'This is the end, for you!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_endor_irs_imp_tier4_1.stf', '9', 'dd_boss_taunt_2', 'This is our space now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_endor_irs_imp_tier4_1.stf', '10', 'dd_boss_taunt_3', 'Run, run while you still can little pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_endor_irs_imp_tier4_1.stf', '11', 'dd_boss_taunt_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_endor_irs_imp_tier4_1.stf', '12', 'dd_boss_taunt_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_endor_irs_imp_tier4_1.stf', '13', 'duty_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_endor_irs_imp_tier4_1.stf', '14', 'found_loc', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 The location to the next encounter has been set. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_endor_irs_imp_tier4_1.stf', '15', 'level_boss', '\\#pcontrast3 An advanced craft has been dispatched. ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_endor_irs_imp_tier4_1.stf', '16', 'level_boss_dead', '\\#pcontrast3 The advanced craft has been destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_endor_irs_imp_tier4_1.stf', '17', 'level_increase', '\\#pcontrast3 Enemy activity has increased. ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_endor_irs_imp_tier4_1.stf', '18', 'quest_destroy_d', 'Travel here to engage the targets.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_endor_irs_imp_tier4_1.stf', '19', 'quest_destroy_t', 'Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_endor_irs_imp_tier4_1.stf', '20', 'quest_location_d', 'The Zynt\'aia are not content with their little bit of the system and have spread quite quickly.  Updates to their location will be provided as you complete tasks.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_endor_irs_imp_tier4_1.stf', '21', 'quest_location_t', 'Endor System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_endor_irs_imp_tier4_1.stf', '22', 'targets_behind', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Hostile craft detected from the rear. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_endor_irs_imp_tier4_1.stf', '23', 'targets_detected', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Hostile craft detected on attack vector. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_endor_irs_imp_tier4_1.stf', '24', 'taunt_1', 'At least your death will be swift.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_endor_irs_imp_tier4_1.stf', '25', 'taunt_2', 'You had this coming.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_endor_irs_imp_tier4_1.stf', '26', 'taunt_3', 'I will add your space junk to my collection.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_endor_irs_imp_tier4_1.stf', '27', 'taunt_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_endor_irs_imp_tier4_1.stf', '28', 'taunt_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_endor_irs_imp_tier4_1.stf', '29', 'title', 'Endor System: Duty: Destroy the Zynt\'aia Spice Guardians');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_endor_irs_imp_tier4_1.stf', '30', 'title_d', 'The Zynt\'aia are causing problems outside of the Declorian Territory.  Hunt them down and destroy them.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_lok_nym_reb_tier2_1.stf', '1', 'boss_detected', '\\#pcontrast3 An advanced craft has been dispatched.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_lok_nym_reb_tier2_1.stf', '2', 'boss_title_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_lok_nym_reb_tier2_1.stf', '3', 'boss_title_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_lok_nym_reb_tier2_1.stf', '4', 'boss_title_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_lok_nym_reb_tier2_1.stf', '5', 'boss_title_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_lok_nym_reb_tier2_1.stf', '6', 'boss_title_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_lok_nym_reb_tier2_1.stf', '7', 'complete', '\\#pcontrast3 The Duty is Complete');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_lok_nym_reb_tier2_1.stf', '8', 'dd_boss_taunt_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_lok_nym_reb_tier2_1.stf', '9', 'dd_boss_taunt_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_lok_nym_reb_tier2_1.stf', '10', 'dd_boss_taunt_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_lok_nym_reb_tier2_1.stf', '11', 'dd_boss_taunt_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_lok_nym_reb_tier2_1.stf', '12', 'dd_boss_taunt_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_lok_nym_reb_tier2_1.stf', '13', 'duty_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_lok_nym_reb_tier2_1.stf', '14', 'found_loc', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Waypoint to the next concentration of Storm Squadron fighters found. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_lok_nym_reb_tier2_1.stf', '15', 'level_boss', '\\#pcontrast3 Advanced fighters detected.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_lok_nym_reb_tier2_1.stf', '16', 'level_boss_dead', '\\#pcontrast3 Their captain has been dispatched.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_lok_nym_reb_tier2_1.stf', '17', 'level_increase', '\\#pcontrast3 Enemy activity has increased.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_lok_nym_reb_tier2_1.stf', '18', 'quest_destroy_d', 'Travel here to engage the enemy.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_lok_nym_reb_tier2_1.stf', '19', 'quest_destroy_t', 'Destroy Target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_lok_nym_reb_tier2_1.stf', '20', 'quest_location_d', 'The position of the Imperial fighters will be updated as you complete your tasks');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_lok_nym_reb_tier2_1.stf', '21', 'quest_location_t', 'Lok System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_lok_nym_reb_tier2_1.stf', '22', 'targets_behind', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Hostile craft detected from the rear. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_lok_nym_reb_tier2_1.stf', '23', 'targets_detected', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Hostile craft detected on attack vector. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_lok_nym_reb_tier2_1.stf', '24', 'taunt_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_lok_nym_reb_tier2_1.stf', '25', 'taunt_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_lok_nym_reb_tier2_1.stf', '26', 'taunt_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_lok_nym_reb_tier2_1.stf', '27', 'taunt_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_lok_nym_reb_tier2_1.stf', '28', 'taunt_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_lok_nym_reb_tier2_1.stf', '29', 'title', 'Lok System: Duty: Destroy the Storm Squadron Fighters');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_lok_nym_reb_tier2_1.stf', '30', 'title_d', 'Imperial Storm Squadron fighters have infested the Lok System.  Destroy them to preserve our pirate rights.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_yavin4_company_all_debrisdestroy_tier2_1.stf', '1', 'boss_detected', 'We have picked up a vessel signature of one of their priests. He is heading your way.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_yavin4_company_all_debrisdestroy_tier2_1.stf', '2', 'boss_title_1', 'Debris Zealot');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_yavin4_company_all_debrisdestroy_tier2_1.stf', '3', 'boss_title_2', 'Debris Acoloyte');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_yavin4_company_all_debrisdestroy_tier2_1.stf', '4', 'boss_title_3', 'Debris Worshipper');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_yavin4_company_all_debrisdestroy_tier2_1.stf', '5', 'boss_title_4', 'Debris Holy Man');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_yavin4_company_all_debrisdestroy_tier2_1.stf', '6', 'boss_title_5', 'Exaulted One');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_yavin4_company_all_debrisdestroy_tier2_1.stf', '7', 'complete', 'Good work out there, pilot. That will really cut down on the number of crazies flying around this system. Report back to the station.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_yavin4_company_all_debrisdestroy_tier2_1.stf', '8', 'dd_boss_taunt_1', 'And it is written that I shall destroy you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_yavin4_company_all_debrisdestroy_tier2_1.stf', '9', 'dd_boss_taunt_2', 'You should have joined with us my child. Now you will become one with the debris.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_yavin4_company_all_debrisdestroy_tier2_1.stf', '10', 'dd_boss_taunt_3', 'I find your lack of faith to be most displeasing.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_yavin4_company_all_debrisdestroy_tier2_1.stf', '11', 'dd_boss_taunt_4', 'I will show you the way to ultimate peace.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_yavin4_company_all_debrisdestroy_tier2_1.stf', '12', 'dd_boss_taunt_5', 'Close your eyes, my child. I shall free you of your mortal coil.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_yavin4_company_all_debrisdestroy_tier2_1.stf', '13', 'duty_update', '\\#FF0000 Yavin Mining Company:\\#FF0000 < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_yavin4_company_all_debrisdestroy_tier2_1.stf', '14', 'found_loc', 'We have found another location where the cultists are gathering. Break them up.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_yavin4_company_all_debrisdestroy_tier2_1.stf', '15', 'level_boss', 'Be on the look out. The cultists have sent a %TO after you. I have heard they are bad customers.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_yavin4_company_all_debrisdestroy_tier2_1.stf', '16', 'level_boss_dead', 'Yes! Without their leaders the cultists will have a harder time recruiting new members. Keep it up.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_yavin4_company_all_debrisdestroy_tier2_1.stf', '17', 'level_increase', 'Watch yourself. The cultists know what you are up to and will do everything they can to stop you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_yavin4_company_all_debrisdestroy_tier2_1.stf', '18', 'quest_destroy_d', 'Destroy any of the Debris Cultists that decide to attack you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_yavin4_company_all_debrisdestroy_tier2_1.stf', '19', 'quest_destroy_t', 'Destroy the Cultists');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_yavin4_company_all_debrisdestroy_tier2_1.stf', '20', 'quest_location_d', 'Cult members are all over the system causing trouble for whoever they come across. Hot spots of cult activity will be sent to your nav computer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_yavin4_company_all_debrisdestroy_tier2_1.stf', '21', 'quest_location_t', 'Remain in the Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_yavin4_company_all_debrisdestroy_tier2_1.stf', '22', 'targets_behind', '\\#pcontrast1Tactical Computer: \\#pcontrast3< Enemy fighters detected. >\\#pcontrast3 \\#pcontrast1');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_yavin4_company_all_debrisdestroy_tier2_1.stf', '23', 'targets_detected', '\\#pcontrast1Tactical Computer: \\#pcontrast3< Enemy fighters detected. >\\#pcontrast3 \\#pcontrast1');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_yavin4_company_all_debrisdestroy_tier2_1.stf', '24', 'taunt_1', 'And he said unto me...destroy the disbelievers.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_yavin4_company_all_debrisdestroy_tier2_1.stf', '25', 'taunt_2', 'Faith in the great fireball is the only true faith.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_yavin4_company_all_debrisdestroy_tier2_1.stf', '26', 'taunt_3', 'Join us...join us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_yavin4_company_all_debrisdestroy_tier2_1.stf', '27', 'taunt_4', 'I have some material I would have liked to give you, but I am afraid I must kill you instead.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_yavin4_company_all_debrisdestroy_tier2_1.stf', '28', 'taunt_5', 'Die infidel!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_yavin4_company_all_debrisdestroy_tier2_1.stf', '29', 'title', 'Yavin System: Deathstar Debris Cult Destroy Duty');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/stn_yavin4_company_all_debrisdestroy_tier2_1.stf', '30', 'title_d', 'The Debris Cultist have gotten it into their heads that the Yavin 4 Mining Company is in charge of the salvage operation underway in the system. The company wants to have their numbers reduced in order to increase the security of their operations.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_imperial_6.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_imperial_6.stf', '2', 'boss_detected', 'Warning! Enemy commander detected on attack vector!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_imperial_6.stf', '3', 'boss_title_0', 'Scruffy Pirate Leader');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_imperial_6.stf', '4', 'boss_title_1', 'Pirate Ace');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_imperial_6.stf', '5', 'boss_title_2', 'Master Pirate Leader');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_imperial_6.stf', '6', 'boss_title_3', 'Pirate Lord');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_imperial_6.stf', '7', 'boss_title_4', 'Robber Baron');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_imperial_6.stf', '8', 'boss_title_5', 'Master Gunner');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_imperial_6.stf', '9', 'complete', 'Good job, pilot! You\'ve managed to suppress pirate activity in the entire sector. Return to base.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_imperial_6.stf', '10', 'dd_boss_taunt_1', 'You killed my men. Now you\'re mine!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_imperial_6.stf', '11', 'dd_boss_taunt_2', 'If you cut your engines, I promise not to harm you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_imperial_6.stf', '12', 'dd_boss_taunt_3', 'I\'m going to enjoy spacing you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_imperial_6.stf', '13', 'dd_boss_taunt_4', 'A thousand creds to the man who takes him out!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_imperial_6.stf', '14', 'dd_boss_taunt_5', 'Your death will bring me great reward.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_imperial_6.stf', '15', 'duty_update', ' \\#pcontrast3 Imperial Command:  < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_imperial_6.stf', '16', 'found_loc', 'We\'re sending you coordinates to Commerce Raider activity. Investigate and eliminate any criminals you encounter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_imperial_6.stf', '17', 'level_boss', ' \\#pcontrast3 Imperial Command: < \\#ff0000 The pirates are sending a highly trained %TO after you. Stand by for coordinates... \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_imperial_6.stf', '18', 'level_boss_dead', 'Good work, the commander is dead. We\'re still picking up pirate activity, however. Stand by...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_imperial_6.stf', '19', 'level_increase', 'We\'ve detected that more raider ships have been sent into the sector.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_imperial_6.stf', '20', 'quest_destroy_d', 'Once you have reached the navigation waypoint, you will be attacked by Commerce Raiders. Destroy the Commerce Raiders at this location until you receive a new navigation waypoint to your next battleground. If you destroy enough of these Commerce Raiders, the pirates will send out better trained pilots in order to deal with you. Destroy duties can be quit at any time. Simply abort the mission or leave the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_imperial_6.stf', '21', 'quest_destroy_t', 'Travel to the Navigation Waypoint and Destroy the Commerce Raiders');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_imperial_6.stf', '22', 'quest_location_d', 'Travel to the Tatooine system and move towards your first navigation waypoint to begin the destroy duty mission. When you destroy all attack waves at that waypoint you will receive a new navigation waypoint.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_imperial_6.stf', '23', 'quest_location_t', 'Travel to the Tatooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_imperial_6.stf', '24', 'targets_behind', ' \\#pcontrast3 Tactical Computer:  < \\#pcontrast1 Enemy targets coming in from behind! \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_imperial_6.stf', '25', 'targets_detected', ' \\#pcontrast3 Tactical Computer:  < \\#pcontrast1 Enemy targets on incoming attack vector! \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_imperial_6.stf', '26', 'taunt_1', 'Imperials have no business in the Outer Rim.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_imperial_6.stf', '27', 'taunt_2', 'If you think that you can drive us off, you are mistaken.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_imperial_6.stf', '28', 'taunt_3', 'The Empire does not conrol Tatooine space and never will.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_imperial_6.stf', '29', 'taunt_4', 'Imperials have no business in the Outer Rim.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_imperial_6.stf', '30', 'taunt_5', 'The Empire does not conrol Tatooine space and never will.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_imperial_6.stf', '31', 'title', 'Tatooine System: Destroy the Commerce Raiders Duty');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_imperial_6.stf', '32', 'title_d', 'Travel to the Tatooine system and attack the Commerce Raiders. A destroy duty is a voluntary mission that you are able to quit at any time without repercussions. When you reach the Tatooine system a navigation waypoint will be sent to you. Travel to this waypoint and you will be attacked by enemy fighters. Each time you destroy a wave of fighters a new wave will attack. Once you have destroyed all the attack waves at one waypoint, you will receive a new waypoint that you can fly to and continue destroying the enemy craft. A destroy duty will continue in this manner until you decide to stop.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_imperial_tier4_destroyduty_1.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_imperial_tier4_destroyduty_1.stf', '2', 'boss_detected', 'Be on the look out. A Red Skull Heavy Fighter has been detected in your region.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_imperial_tier4_destroyduty_1.stf', '3', 'boss_title_1', 'Veteran');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_imperial_tier4_destroyduty_1.stf', '4', 'boss_title_2', 'Master Pilot');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_imperial_tier4_destroyduty_1.stf', '5', 'boss_title_3', 'Elite');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_imperial_tier4_destroyduty_1.stf', '6', 'boss_title_4', 'Red Skull Raider Leader');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_imperial_tier4_destroyduty_1.stf', '7', 'boss_title_5', 'Red Skull Captain');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_imperial_tier4_destroyduty_1.stf', '8', 'complete', 'Nice flying out there, pilot. You are really turning into an elite pilot. Return to your commander and report your success.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_imperial_tier4_destroyduty_1.stf', '9', 'dd_boss_taunt_1', 'Prepare to be left to the mercys of cold, empty space.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_imperial_tier4_destroyduty_1.stf', '10', 'dd_boss_taunt_2', 'You are the pilot that they sent against me? HA!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_imperial_tier4_destroyduty_1.stf', '11', 'dd_boss_taunt_3', 'You had better be gone before I taunt you a second time.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_imperial_tier4_destroyduty_1.stf', '12', 'dd_boss_taunt_4', 'Time to teach this Imperial whelp who really rules Endor.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_imperial_tier4_destroyduty_1.stf', '13', 'dd_boss_taunt_5', 'You have caused enough trouble. It is time for me to end this.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_imperial_tier4_destroyduty_1.stf', '14', 'duty_update', '\\#pcontrast1 Storm Squadron Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_imperial_tier4_destroyduty_1.stf', '15', 'found_loc', 'We have located more pirates that need to be driven out of this system. Travel to the location provided to your nav computer and eliminate the Red Skulls.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_imperial_tier4_destroyduty_1.stf', '16', 'level_boss', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <%TO has been eliminated. The Red Skulls in this region are leaderless.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_imperial_tier4_destroyduty_1.stf', '17', 'level_boss_dead', 'Nice work but remember there is still more work to be done. Stand by for location of next target.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_imperial_tier4_destroyduty_1.stf', '18', 'level_increase', 'You have done well, but that was just the beginning. The better pilots are still to come.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_imperial_tier4_destroyduty_1.stf', '19', 'quest_d', 'The Red Skulls have set up points of operation in the Endor sector. Part of running the security detail in this sector involves clearing out all opposing forces. The Red Skulls need to be driven out of the sector in order for the Empire to continue it activities in this sector in secrecy.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_imperial_tier4_destroyduty_1.stf', '20', 'quest_destroy_d', 'The Red Skulls are not going to leave if we simply ask them nicely. Therefore, it is nessecary to use lethal force in order to convince them to vacate the system. If they choose to stay even after our show of strength then they will simply have to be terminated.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_imperial_tier4_destroyduty_1.stf', '21', 'quest_destroy_t', 'Destroying the Red Skulls');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_imperial_tier4_destroyduty_1.stf', '22', 'quest_location_d', 'The Red Skulls have set up operation in the Endor system. It is nessecary for you to travel to that system in order to drive them out.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_imperial_tier4_destroyduty_1.stf', '23', 'quest_location_t', 'Travel to the Endor System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_imperial_tier4_destroyduty_1.stf', '24', 'quest_t', 'Crushing the Red Skulls');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_imperial_tier4_destroyduty_1.stf', '25', 'targets_behind', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Alert! Enemy fighters incoming from behind at high speeds.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_imperial_tier4_destroyduty_1.stf', '26', 'targets_detected', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters incoming at attack speeds. Prepare to engage.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_imperial_tier4_destroyduty_1.stf', '27', 'taunt_1', 'Foolish Imperial! You are no match for me.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_imperial_tier4_destroyduty_1.stf', '28', 'taunt_2', 'Nice move, but you will have to do much better in order to win.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_imperial_tier4_destroyduty_1.stf', '29', 'taunt_3', 'Time to take out the trash...by the way, you are the trash.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_imperial_tier4_destroyduty_1.stf', '30', 'taunt_4', 'You should have stayed at home hiding under your mother\'s skirt.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_imperial_tier4_destroyduty_1.stf', '31', 'taunt_5', 'Stop it! That tickles.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_imperial_tier4_destroyduty_1.stf', '32', 'title', 'Endor System: Destroy the Red Skull Pirates Duty');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_imperial_tier4_destroyduty_1.stf', '33', 'title_d', 'Travel to the Endor system and destroy the Red Skull pirates. The Red Skulls are hampering the Imperial\'s top priority mission in the Endor system. They are also a source of leaks that the Empire cannot afford. Therefore, it is nessecary for the pirates to be removed from the Endor system. In order to do that all Imperial pilots will have to travel to areas of high pirate activity and destroy all the pirates they find.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_6.stf', '1', 'boss_detected', 'Boss Detected!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_6.stf', '2', 'boss_title_1', 'Black Sun Ace');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_6.stf', '3', 'boss_title_2', 'Black Sun Ace');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_6.stf', '4', 'boss_title_3', 'Black Sun Ace');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_6.stf', '5', 'boss_title_4', 'Black Sun Ace');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_6.stf', '6', 'boss_title_5', 'Black Sun Ace');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_6.stf', '7', 'complete', 'The sortie is complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_6.stf', '8', 'dd_boss_taunt_1', 'I will destroy you!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_6.stf', '9', 'dd_boss_taunt_2', 'Black Sun own this area, you are not welcome.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_6.stf', '10', 'dd_boss_taunt_3', 'I will destroy you!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_6.stf', '11', 'dd_boss_taunt_4', 'I must banish you from this life.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_6.stf', '12', 'dd_boss_taunt_5', 'I will destroy you!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_6.stf', '13', 'duty_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_6.stf', '14', 'found_loc', 'Location to next target located.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_6.stf', '15', 'level_boss', 'Boss [ %TO ] dispatched.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_6.stf', '16', 'level_boss_dead', 'Boss has been destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_6.stf', '17', 'level_increase', 'Enemy activity has increased.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_6.stf', '18', 'quest_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_6.stf', '19', 'quest_destroy_d', 'Area of expected enemy activity');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_6.stf', '20', 'quest_destroy_t', 'Destroy Target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_6.stf', '21', 'quest_location_d', 'Random points in the Tatooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_6.stf', '22', 'quest_location_t', 'Tatooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_6.stf', '23', 'quest_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_6.stf', '24', 'targets_behind', 'Enemy Targets approaching from behind.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_6.stf', '25', 'targets_detected', 'Enemy craft detected.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_6.stf', '26', 'taunt_1', 'Die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_6.stf', '27', 'taunt_2', 'A win for me is the end for you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_6.stf', '28', 'taunt_3', 'Die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_6.stf', '29', 'taunt_4', 'Haha, die.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_6.stf', '30', 'taunt_5', 'Die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_6.stf', '31', 'title', 'Tatooine System: Duty: Destroy Enemy Leaders');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_6.stf', '32', 'title_d', 'Defeat Black Sun forces in the area');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_8.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_8.stf', '2', 'boss_detected', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Advanced combat capable craft has entered the battle. \\#pcontrast3 > ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_8.stf', '3', 'boss_title_1', 'Grim Mastron');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_8.stf', '4', 'boss_title_2', 'Bevali Sul\'Dana');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_8.stf', '5', 'boss_title_3', 'Copo Lilo');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_8.stf', '6', 'boss_title_4', 'Sarduli ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_8.stf', '7', 'boss_title_5', 'Kasm Jou');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_8.stf', '8', 'complete', '\\#pcontrast3 Smuggler Alliance: < \\#pcontrast1 The blacksun will think twice before coming back here.  Good job. \\#pcontrast3 > ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_8.stf', '9', 'dd_boss_taunt_1', 'I will destroy you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_8.stf', '10', 'dd_boss_taunt_2', 'Your end comes today.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_8.stf', '11', 'dd_boss_taunt_3', 'I will destroy you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_8.stf', '12', 'dd_boss_taunt_4', 'I will destroy you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_8.stf', '13', 'dd_boss_taunt_5', 'I will destroy you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_8.stf', '14', 'duty_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_8.stf', '15', 'found_loc', '\\#pcontrast3 Smuggler Alliance: < \\#pcontrast1 Updating waypoint for your next target. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_8.stf', '16', 'level_boss', '\\#pcontrast3 Smuggler Allinace: < \\#pcontrast1 %TO has entered the battle, watch yourself. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_8.stf', '17', 'level_boss_dead', '\\#pcontrast3 Smuggler Alliance: < \\#pcontrast1 Nice shooting, that is one less ace. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_8.stf', '18', 'level_increase', '\\#pcontrast3 Smuggler Alliance: < \\#pcontrast1 We have detected an increase in the level of enemy activity. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_8.stf', '19', 'quest_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_8.stf', '20', 'quest_destroy_d', 'Destroy this leader to end the round');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_8.stf', '21', 'quest_destroy_t', 'Black Sun Leader');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_8.stf', '22', 'quest_location_d', 'Various points in the Tatooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_8.stf', '23', 'quest_location_t', 'Tatooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_8.stf', '24', 'quest_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_8.stf', '25', 'targets_behind', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Enemy craft approaching from a trailing position. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_8.stf', '26', 'targets_detected', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Enemy craft detected on attack vector. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_8.stf', '27', 'taunt_1', 'Die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_8.stf', '28', 'taunt_2', 'Kill kill kill!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_8.stf', '29', 'taunt_3', 'Die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_8.stf', '30', 'taunt_4', 'You should have stayed home today.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_8.stf', '31', 'taunt_5', 'Die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_8.stf', '32', 'title', 'Tatooine System: Duty: Eliminate Blacksun Presence');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_8.stf', '33', 'title_d', 'Destroy the Leaders');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_tier2_1.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_tier2_1.stf', '2', 'boss_detected', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 An advanced craft has been dispatched. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_tier2_1.stf', '3', 'boss_title_1', 'Black Sun Leader');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_tier2_1.stf', '4', 'boss_title_2', 'Black Sun Leader');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_tier2_1.stf', '5', 'boss_title_3', 'Black Sun Leader');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_tier2_1.stf', '6', 'boss_title_4', 'Black Sun Leader');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_tier2_1.stf', '7', 'boss_title_5', 'Black Sun Leader');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_tier2_1.stf', '8', 'complete', 'The duty is complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_tier2_1.stf', '9', 'dd_boss_taunt_1', 'I must crush you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_tier2_1.stf', '10', 'dd_boss_taunt_2', 'Your end will be slow and painful.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_tier2_1.stf', '11', 'dd_boss_taunt_3', 'Your end will be slow and painful.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_tier2_1.stf', '12', 'dd_boss_taunt_4', 'I must crush you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_tier2_1.stf', '13', 'dd_boss_taunt_5', 'I must crush you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_tier2_1.stf', '14', 'duty_update', '\\#pcontrast3 < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_tier2_1.stf', '15', 'found_loc', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Location to the next concentration of enemy craft has been uploaded. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_tier2_1.stf', '16', 'level_boss', 'An enemy leader has entered the area.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_tier2_1.stf', '17', 'level_boss_dead', 'The level boss is dead.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_tier2_1.stf', '18', 'level_increase', 'Enemy activity has increased.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_tier2_1.stf', '19', 'quest_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_tier2_1.stf', '20', 'quest_destroy_d', 'Area of suspected Black Sun activity');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_tier2_1.stf', '21', 'quest_destroy_t', 'Destroy Target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_tier2_1.stf', '22', 'quest_location_d', 'Locations throughout the Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_tier2_1.stf', '23', 'quest_location_t', 'Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_tier2_1.stf', '24', 'quest_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_tier2_1.stf', '25', 'targets_behind', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Enemy craft approacing from behind. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_tier2_1.stf', '26', 'targets_detected', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Enemy craft detected on intercept path. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_tier2_1.stf', '27', 'taunt_1', 'Kill them all!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_tier2_1.stf', '28', 'taunt_2', 'Prepare to meet your end.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_tier2_1.stf', '29', 'taunt_3', 'Kill them all!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_tier2_1.stf', '30', 'taunt_4', 'This will be fun!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_tier2_1.stf', '31', 'taunt_5', 'Kill them all!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_tier2_1.stf', '32', 'title', 'Yavin System: Duty: Hunt Down Black Sun Fighters');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_tier2_1.stf', '33', 'title_d', 'Fly sorties against multiple waves of blacksun fighters');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_tier4_1.stf', '1', 'boss_detected', 'An Imperial harraser is approaching on attack vector.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_tier4_1.stf', '2', 'boss_title_1', 'Examiner');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_tier4_1.stf', '3', 'boss_title_2', 'Arbitor');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_tier4_1.stf', '4', 'boss_title_3', 'Executioner');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_tier4_1.stf', '5', 'boss_title_4', 'Arbitor');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_tier4_1.stf', '6', 'boss_title_5', 'Examiner');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_tier4_1.stf', '7', 'complete', 'The mission is complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_tier4_1.stf', '8', 'dd_boss_taunt_1', 'Death for you!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_tier4_1.stf', '9', 'dd_boss_taunt_2', 'This will be your end.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_tier4_1.stf', '10', 'dd_boss_taunt_3', 'Death for you!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_tier4_1.stf', '11', 'dd_boss_taunt_4', 'Death for you!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_tier4_1.stf', '12', 'dd_boss_taunt_5', 'Death for you!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_tier4_1.stf', '13', 'duty_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_tier4_1.stf', '14', 'found_loc', 'Location to the next target has been located.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_tier4_1.stf', '15', 'level_boss', 'An Imperial Interceptor has been sent to confront you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_tier4_1.stf', '16', 'level_boss_dead', 'The Impertial craft has been destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_tier4_1.stf', '17', 'level_increase', 'Enemy activity has increased.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_tier4_1.stf', '18', 'quest_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_tier4_1.stf', '19', 'quest_destroy_d', 'Travel here to find your destroy targets');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_tier4_1.stf', '20', 'quest_destroy_t', 'Destroy Target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_tier4_1.stf', '21', 'quest_location_d', 'Smuggler Lanes in the Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_tier4_1.stf', '22', 'quest_location_t', 'Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_tier4_1.stf', '23', 'quest_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_tier4_1.stf', '24', 'targets_behind', 'Enemy craft approaching from the rear.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_tier4_1.stf', '25', 'targets_detected', 'Enemy craft detected on attack vector.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_tier4_1.stf', '26', 'taunt_1', 'Doom!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_tier4_1.stf', '27', 'taunt_2', 'Die fool!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_tier4_1.stf', '28', 'taunt_3', 'Doom!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_tier4_1.stf', '29', 'taunt_4', 'Doom!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_tier4_1.stf', '30', 'taunt_5', 'Doom!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_tier4_1.stf', '31', 'title', 'Dantooine: Duty: Destroy Hostile Craft in Smuggling Lanes');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_privateer_tier4_1.stf', '32', 'title_d', 'Remove the obstacles from our smuggling path');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_rebel_6.stf', '1', 'boss_detected', ' \\#pcontrast3 Alliance HQ:  \\#pcontrast1 < Warning! Enemy commander detected on attack vector! \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_rebel_6.stf', '2', 'boss_title_0', 'TIE Combat Trainer');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_rebel_6.stf', '3', 'boss_title_1', 'TIE Combat Trainer');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_rebel_6.stf', '4', 'boss_title_2', 'TIE Combat Ace');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_rebel_6.stf', '5', 'boss_title_3', 'TIE Obsidian Squad Leader');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_rebel_6.stf', '6', 'boss_title_4', 'TIE Black Ops Commander');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_rebel_6.stf', '7', 'boss_title_5', 'TIE (Unknown) Ace');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_rebel_6.stf', '8', 'complete', 'Excellent work, Pilot! The Imperial presence in this sector has been soundly beaten. Return to base!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_rebel_6.stf', '9', 'dd_boss_taunt_1', 'You killed my men. Now you\'re mine!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_rebel_6.stf', '10', 'dd_boss_taunt_2', 'If you cut your engines, I promise not to harm you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_rebel_6.stf', '11', 'dd_boss_taunt_3', 'I\'m going to enjoy spacing you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_rebel_6.stf', '12', 'dd_boss_taunt_4', 'A thousand creds to the man who takes him out!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_rebel_6.stf', '13', 'dd_boss_taunt_5', 'You shouldn\'t have come here Rebel fool, you won\'t leave alive!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_rebel_6.stf', '14', 'duty_update', ' \\#pcontrast3 Alliance HQ:  < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_rebel_6.stf', '15', 'found_loc', 'We are uploading coordinates of suspected Imperial ambushes. Investigate and eliminate all hostiles.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_rebel_6.stf', '16', 'level_boss', ' \\#pcontrast3 Alliance HQ: < \\#ff0000 The Imperials are sending a highly trained %TO after you. Stand by for coordinates... \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_rebel_6.stf', '17', 'level_boss_dead', 'Good work, the commander has been destroyed. We\'re still picking up Imperial activity, however. Stand by...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_rebel_6.stf', '18', 'level_increase', 'We\'ve detected that more TIE ships have been sent into the sector.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_rebel_6.stf', '19', 'quest_destroy_d', 'Fly to this potential ambush point. Destroy all enemy craft that come your way.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_rebel_6.stf', '20', 'quest_destroy_t', 'Potential Ambush Rally Point');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_rebel_6.stf', '21', 'quest_location_d', 'Patrol the Tatooine system in search of potential TIE ambushes. The Empire will gather strength in the Tatooine system if we fail!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_rebel_6.stf', '22', 'quest_location_t', 'Tatooine system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_rebel_6.stf', '23', 'targets_behind', ' \\#pcontrast3 Tactical Computer:  < \\#pcontrast1 Enemy targets coming in from behind! \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_rebel_6.stf', '24', 'targets_detected', ' \\#pcontrast3 Tactical Computer:  < \\#pcontrast1 Enemy targets on incoming attack vector! \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_rebel_6.stf', '25', 'taunt_1', 'What do we have here?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_rebel_6.stf', '26', 'taunt_2', 'Take out that Rebel fool boys.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_rebel_6.stf', '27', 'taunt_3', 'This is the last time you will get in the way of the Empire!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_rebel_6.stf', '28', 'taunt_4', 'What is the point of this Rebel, you can\'t win!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_rebel_6.stf', '29', 'taunt_5', 'I hope you don\'t value your life Rebel!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_rebel_6.stf', '30', 'title', 'Tatooine system: Duty mission: Break up TIE ambushes.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_rebel_6.stf', '31', 'title_d', 'Break up TIE ambushes. These missions have been outlined to give you some much needed experience in space combat, you can stop when you feel that you have learned enough.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_rebel_tier4_1.stf', '1', 'boss_detected', 'The Empire is dispatching one of their Ace pilots to investigate, stay cautious.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_rebel_tier4_1.stf', '2', 'boss_title_1', 'Imperial Ace Pilot');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_rebel_tier4_1.stf', '3', 'boss_title_2', 'Imperial Ace Pilot');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_rebel_tier4_1.stf', '4', 'boss_title_3', 'Imperial Ace Pilot');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_rebel_tier4_1.stf', '5', 'boss_title_4', 'Imperial Ace Pilot');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_rebel_tier4_1.stf', '6', 'boss_title_5', 'Imperial Ace Pilot');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_rebel_tier4_1.stf', '7', 'complete', 'Amazing job out there pilot! Return to base for some well earned rest.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_rebel_tier4_1.stf', '8', 'dd_boss_taunt_1', 'It\'s been a long time since I had an actual challenge.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_rebel_tier4_1.stf', '9', 'dd_boss_taunt_2', 'Rebel worm, you should have stayed in your hole.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_rebel_tier4_1.stf', '10', 'dd_boss_taunt_3', 'Your first mistake was coming here. Your second mistake is not fleeing. You only get two mistakes.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_rebel_tier4_1.stf', '11', 'dd_boss_taunt_4', 'My skills are superior in every way.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_rebel_tier4_1.stf', '12', 'dd_boss_taunt_5', 'This ship, my skills, I can\'t be defeated!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_rebel_tier4_1.stf', '13', 'duty_update', 'Rebel Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_rebel_tier4_1.stf', '14', 'found_loc', 'More Imperial patrols have been spotted in this area, proceed when ready.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_rebel_tier4_1.stf', '15', 'level_boss', 'One of the Empires Ace pilots is attacking; he\'s piloting one of their experimental fighters. Good luck pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_rebel_tier4_1.stf', '16', 'level_boss_dead', 'I\'m impressed! The Empire will speak your name in fear pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_rebel_tier4_1.stf', '17', 'level_increase', 'Our spy ships report that the Empire is increasing their presence in the sector to try and stop our attacks.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_rebel_tier4_1.stf', '18', 'quest_destroy_d', 'We will keep updating your nav computer with new areas of possible targets. Keep going until you have exhausted yourself, your ship or until you feel you have enough experience to continue your training.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_rebel_tier4_1.stf', '19', 'quest_destroy_t', 'Engage and destroy.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_rebel_tier4_1.stf', '20', 'quest_location_d', 'The Yavin system is fiercely defended by the Empire and the debris field particularly so. Be prepared for a lot of resistance.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_rebel_tier4_1.stf', '21', 'quest_location_t', 'Yavin system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_rebel_tier4_1.stf', '22', 'targets_behind', 'Tactical Computer: < Be aware, vessels trying to target this ship with their weapon systems. Attack originating direction 180 degrees. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_rebel_tier4_1.stf', '23', 'targets_detected', 'Tactical Computer: < Vessels fitting hunted ship profile on attack vector, weapon systems armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_rebel_tier4_1.stf', '24', 'taunt_1', 'Destroy the Rebel men!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_rebel_tier4_1.stf', '25', 'taunt_2', 'You will pay for your crimes!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_rebel_tier4_1.stf', '26', 'taunt_3', 'Your pathetic attacks end here Rebel!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_rebel_tier4_1.stf', '27', 'taunt_4', 'We\'re here to deliver justice!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_rebel_tier4_1.stf', '28', 'taunt_5', 'Resistance is futile.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_rebel_tier4_1.stf', '29', 'title', 'Yavin system: Duty mission: Attack Imperial patrols.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/tatooine_rebel_tier4_1.stf', '30', 'title_d', 'We have several of our smugglers ordered to steal parts of the Death Star debris in the Yavin system to see if they can find anything useful. Unfortunately the Empire has stepped up their patrols of the debris field to the point where it\'s almost impossible to sneak in. Assist our smugglers in the system by attacking Imperial patrols near the debris field.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/viopa_rebel_6.stf', '1', 'boss_detected', 'Tactical Computer: < Vessel with veteran insignias on attack vector, weapon systems armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/viopa_rebel_6.stf', '2', 'boss_title_1', 'Experienced TIE Interceptor pilot');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/viopa_rebel_6.stf', '3', 'boss_title_2', 'Grim TIE Interceptor pilot');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/viopa_rebel_6.stf', '4', 'boss_title_3', 'Ace TIE Interceptor pilot');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/viopa_rebel_6.stf', '5', 'boss_title_4', 'Battle Scarred TIE Interceptor pilot');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/viopa_rebel_6.stf', '6', 'boss_title_5', 'Master TIE Interceptor pilot');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/viopa_rebel_6.stf', '7', 'complete', 'Fantastic job pilot! We show no more Imperial patrols in this area, they must have withdrawn!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/viopa_rebel_6.stf', '8', 'dd_boss_taunt_1', 'Foolish Rebel, you actually think you can match my skill?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/viopa_rebel_6.stf', '9', 'dd_boss_taunt_2', 'I\'m superior in every way, you should never have come here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/viopa_rebel_6.stf', '10', 'dd_boss_taunt_3', 'Play time is over Rebel, you will not make it out of here alive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/viopa_rebel_6.stf', '11', 'dd_boss_taunt_4', 'You\'re the best the Rebels have? Pathetic!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/viopa_rebel_6.stf', '12', 'dd_boss_taunt_5', 'I\'m your worst nightmare, Rebel fool!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/viopa_rebel_6.stf', '13', 'duty_update', 'Rebel Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/viopa_rebel_6.stf', '14', 'found_loc', 'Proceed to intercept coordinates of the next Imperial Patrol.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/viopa_rebel_6.stf', '15', 'level_boss', 'Rebel Command: < The Empire has sent an %TO to take you out. Be careful out there! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/viopa_rebel_6.stf', '16', 'level_boss_dead', 'Amazing! That pilot has been a menace to this entire sector for as long as I can remember!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/viopa_rebel_6.stf', '17', 'level_increase', 'Scans show increased imperial activity in this area, they are looking for you pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/viopa_rebel_6.stf', '18', 'quest_destroy_d', 'Travel to these coordinates and eliminate any Imperial presence. For the Alliance!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/viopa_rebel_6.stf', '19', 'quest_destroy_t', 'Reported Imperial activity.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/viopa_rebel_6.stf', '20', 'quest_location_d', 'Travel to the Lok system to hunt Imperial patrols.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/viopa_rebel_6.stf', '21', 'quest_location_t', 'Lok system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/viopa_rebel_6.stf', '22', 'targets_behind', 'Tactical Computer: < Be aware, vessels trying to target this ship with their weapon systems. Attack originating direction 180 degrees. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/viopa_rebel_6.stf', '23', 'targets_detected', 'Tactical Computer: < Vessels fitting hunted ship profile on attack vector, weapon systems armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/viopa_rebel_6.stf', '24', 'taunt_1', 'Your resistance is futile, the Empire is everywhere!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/viopa_rebel_6.stf', '25', 'taunt_2', 'Why do you Rebels even bother? You can\'t win.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/viopa_rebel_6.stf', '26', 'taunt_3', 'Why are you doing this Rebel? The Empire is what\'s best for the galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/viopa_rebel_6.stf', '27', 'taunt_4', 'Cut your engines Rebel, your trial will be fair. There\'s no point resisting.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/viopa_rebel_6.stf', '28', 'taunt_5', 'You should have run when you had the chance Rebel!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/viopa_rebel_6.stf', '29', 'title', 'Lok system: Duty mission: Hunt Imperial patrols.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/viopa_rebel_6.stf', '30', 'title_d', 'You are doing a favor to Nym on behalf of the Alliance by attacking Imperial presence in the Lok system. When you feel that you have exhausted your ship, yourself or that you have enough experience to continue your training, you can return to base at anytime.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/vortex_mission_6.stf', '1', 'boss_detected', 'Tactical Computer: < Vessel with veteran insignias on attack vector, weapon systems armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/vortex_mission_6.stf', '2', 'boss_title_1', 'Experienced TIE Interceptor pilot');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/vortex_mission_6.stf', '3', 'boss_title_2', 'Grim TIE Interceptor pilot');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/vortex_mission_6.stf', '4', 'boss_title_3', 'Ace TIE Interceptor pilot');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/vortex_mission_6.stf', '5', 'boss_title_4', 'Battle Scarred TIE Interceptor pilot');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/vortex_mission_6.stf', '6', 'boss_title_5', 'Master TIE Interceptor pilot');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/vortex_mission_6.stf', '7', 'complete', 'Fantastic! The pilotes of the Empire are speaking your name in fear now my friend.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/vortex_mission_6.stf', '8', 'dd_boss_taunt_1', 'Foolish Rebel, you actually think you can match my skill?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/vortex_mission_6.stf', '9', 'dd_boss_taunt_2', 'I\'m superior in every way, you should never have come here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/vortex_mission_6.stf', '10', 'dd_boss_taunt_3', 'You will be the next kill notch on my cockpit, puny Rebel!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/vortex_mission_6.stf', '11', 'dd_boss_taunt_4', 'I hope you have a escape pod on that piece of trash Rebel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/vortex_mission_6.stf', '12', 'dd_boss_taunt_5', 'Imperial justice incoming, say good night.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/vortex_mission_6.stf', '13', 'duty_update', 'Rebel Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/vortex_mission_6.stf', '14', 'found_loc', 'Proceed to intercept coordinates of the next Imperial Patrol.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/vortex_mission_6.stf', '15', 'level_boss', 'Rebel Command: < The Empire has sent an %TO to take you out. Be careful out there! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/vortex_mission_6.stf', '16', 'level_boss_dead', 'I can\'t believe it. Didn\'t think anyone would win a dog fight against that monster...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/vortex_mission_6.stf', '17', 'level_increase', 'The Empire are increasing their activity in this sector to try and hunt you down.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/vortex_mission_6.stf', '18', 'quest_destroy_d', 'An Imperial patrol has been spotted at these coordinates. Intercept and destroy it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/vortex_mission_6.stf', '19', 'quest_destroy_t', 'Coordinates of Imperial patrol.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/vortex_mission_6.stf', '20', 'quest_location_d', 'Travel to the Dantooine system to help the Rebel Alliance in their war on the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/vortex_mission_6.stf', '21', 'quest_location_t', 'Dantooine system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/vortex_mission_6.stf', '22', 'targets_behind', 'Tactical Computer: < Be aware, vessels trying to target this ship with their weapon systems. Attack originating direction 180 degrees. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/vortex_mission_6.stf', '23', 'targets_detected', 'Tactical Computer: < Vessels fitting hunted ship profile on attack vector, weapon systems armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/vortex_mission_6.stf', '24', 'taunt_1', 'The might of the Empire is unstoppable!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/vortex_mission_6.stf', '25', 'taunt_2', 'Foolish Rebel! We will hunt you all down, like the rats you are!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/vortex_mission_6.stf', '26', 'taunt_3', 'Why are you doing this Rebel? The Empire is what\'s best for the galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/vortex_mission_6.stf', '27', 'taunt_4', 'Cut your engines Rebel, your trial will be fair. There\'s no point resisting.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/vortex_mission_6.stf', '28', 'taunt_5', 'I would run if I were you, Rebel scum!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/vortex_mission_6.stf', '29', 'title', 'Dantooine system: Duty mission: Attack Imperial Patrols');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/vortex_mission_6.stf', '30', 'title_d', 'You are ordered to assist in the attacks on Imperial patrols. When you feel that you have exhausted your ship, yourself or that you have enough experience to continue your training, you can return to base at anytime.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/yavin_rebel_9.stf', '1', 'boss_detected', 'Rebel Command: < Warning! Enemy commander detected on attack vector! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/yavin_rebel_9.stf', '2', 'boss_title_1', 'Hutt Gunship');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/yavin_rebel_9.stf', '3', 'boss_title_2', 'Hutt Black Star Gunship');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/yavin_rebel_9.stf', '4', 'boss_title_3', 'Hutt Stealth Gunship');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/yavin_rebel_9.stf', '5', 'boss_title_4', 'Hutt Obsidian Gunship');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/yavin_rebel_9.stf', '6', 'boss_title_5', 'Hutt Dark Gunship');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/yavin_rebel_9.stf', '7', 'complete', 'Excellent work, Pilot! The Hutt presence in this sector has been soundly beaten. Return to base!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/yavin_rebel_9.stf', '8', 'dd_boss_taunt_1', 'You killed my men. Now you\'re mine!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/yavin_rebel_9.stf', '9', 'dd_boss_taunt_2', 'If you cut your engines, I promise not to harm you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/yavin_rebel_9.stf', '10', 'dd_boss_taunt_3', 'I\'m going to enjoy spacing you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/yavin_rebel_9.stf', '11', 'dd_boss_taunt_4', 'A thousand creds to the man who takes him out!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/yavin_rebel_9.stf', '12', 'dd_boss_taunt_5', 'Your silly crusade ends here Rebel!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/yavin_rebel_9.stf', '13', 'duty_update', 'Rebel Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/yavin_rebel_9.stf', '14', 'found_loc', 'We are uploading coordinates of suspected Hutt ambushes. Investigate and eliminate all hostiles immedaitely.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/yavin_rebel_9.stf', '15', 'level_boss', 'Rebel Command: < Stay alert, pilot! Hutt Gunships coming your way... >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/yavin_rebel_9.stf', '16', 'level_boss_dead', 'Good work, the gunship has been destroyed. We\'re still picking up Hutt activity, however. Stand by...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/yavin_rebel_9.stf', '17', 'level_increase', 'We\'ve detected that more Hutt ships have been sent into the sector.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/yavin_rebel_9.stf', '18', 'quest_destroy_d', 'Proceed to these coordinates and terminate any Hutt pirates found.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/yavin_rebel_9.stf', '19', 'quest_destroy_t', 'Location of Hutt activity.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/yavin_rebel_9.stf', '20', 'quest_location_d', 'Travel to the Yavin 4 system for further orders.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/yavin_rebel_9.stf', '21', 'quest_location_t', 'Yavin 4 system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/yavin_rebel_9.stf', '22', 'targets_behind', 'Tactical Computer: < Be aware, vessels trying to target this ship with their weapon systems. Attack originating direction 180 degrees. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/yavin_rebel_9.stf', '23', 'targets_detected', 'Tactical Computer: < Vessels fitting hunted ship profile on attack vector, weapon systems armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/yavin_rebel_9.stf', '24', 'taunt_1', 'Finally some action!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/yavin_rebel_9.stf', '25', 'taunt_2', 'You were foolish coming here Rebel, you\'re no match for us!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/yavin_rebel_9.stf', '26', 'taunt_3', 'The hunter becomes the hunted!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/yavin_rebel_9.stf', '27', 'taunt_4', 'I want his helmet guys!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/yavin_rebel_9.stf', '28', 'taunt_5', 'You can run but you can\'t hide little Rebel!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/yavin_rebel_9.stf', '29', 'title', 'Yavin system: Duty mission: Cripple Hutt activity in sector.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_duty/yavin_rebel_9.stf', '30', 'title_d', 'Hutt ships have been an increasing threat in the Yavin system. Show them not to mess with the Rebel Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_1.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_1.stf', '2', 'complete', 'Good job pilot. Return to base for your next assignment by travelling to the Talus Space Station, target it by pressing \"C\", and using /comm.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_1.stf', '3', 'duty_update', 'Imperial Command:');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_1.stf', '4', 'found_loc', 'Head to new coordinates uploaded to your nav computer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_1.stf', '5', 'quest_update', 'Imperial Command:');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_1.stf', '6', 'split_quest_alert', 'This isn\'t the first time that new pilots have failed their first time out. We expect you to try again until you can get it right. Sending you a new navigation location to another patrol route.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_1.stf', '7', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_1.stf', '8', 'title', 'Corellia System: Destroy the Rebel X-wing Fighters');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_1.stf', '9', 'title_d', 'Destroy the Rebel ambush. Your patrol route has been successful and, as planned, the Rebels have attacked you. You must destroy the X-wing fighters that have attacked you. Once you have completed this task return to the Talus space station, target it by pressing the \'C\' key, and use the /comm command and return to your commanding officer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_1.stf', '10', 'unused1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_1.stf', '11', 'unused1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_1.stf', '12', 'unused2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_1.stf', '13', 'unused2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_15_split.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_15_split.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_15_split.stf', '3', 'complete', 'You have survived the Suprise Attack! Report back into your commander about the attack.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_15_split.stf', '4', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_15_split.stf', '5', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_15_split.stf', '6', 'title', 'Corellia System: Destroy the Rebel Ambush');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_15_split.stf', '7', 'title_d', 'The patrol has managed to dislodge some of the rebel pilots out of hiding. Destroy them all.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_15_split.stf', '8', 'unused1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_15_split.stf', '9', 'unused1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_15_split.stf', '10', 'unused2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_15_split.stf', '11', 'unused2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_tier3_3c.stf', '1', 'assigned_delayed', 'Enemy craft on attack vector');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_tier3_3c.stf', '2', 'complete', 'You have survived the Suprise Attack!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_tier3_3c.stf', '3', 'split_quest_alert', 'Stand by for another mission incoming.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_tier3_3c.stf', '4', 'title', 'Ambush');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_tier3_3c.stf', '5', 'title_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_tier3_3c.stf', '6', 'unused1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_tier3_3c.stf', '7', 'unused1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_tier3_3c.stf', '8', 'unused2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_tier3_3c.stf', '9', 'unused2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_tier3_3e.stf', '1', 'assigned_delayed', 'Enemy craft aproacing');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_tier3_3e.stf', '2', 'complete', 'You have survived the Suprise Attack!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_tier3_3e.stf', '3', 'default', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_tier3_3e.stf', '4', 'split_quest_alert', 'Stand by for split quest');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_tier3_3e.stf', '5', 'title', 'Fend off ambush');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_tier3_3e.stf', '6', 'title_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_tier3_3e.stf', '7', 'unused1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_tier3_3e.stf', '8', 'unused1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_tier3_3e.stf', '9', 'unused2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_tier3_3e.stf', '10', 'unused2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_tier3_4d.stf', '1', 'assigned_delayed', 'It\'s a trap!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_tier3_4d.stf', '2', 'complete', 'You have survived the Suprise Attack!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_tier3_4d.stf', '3', 'split_quest_alert', 'Incoming split quest');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_tier3_4d.stf', '4', 'title', 'Survive the Ambush');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_tier3_4d.stf', '5', 'title_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_tier3_4d.stf', '6', 'unused1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_tier3_4d.stf', '7', 'unused1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_tier3_4d.stf', '8', 'unused2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_tier3_4d.stf', '9', 'unused2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_tier3_4g.stf', '1', 'assigned_delayed', 'Incoming enemy fighters');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_tier3_4g.stf', '2', 'complete', 'You have survived the Suprise Attack!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_tier3_4g.stf', '3', 'default', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_tier3_4g.stf', '4', 'split_quest_alert', 'More fighters coming');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_tier3_4g.stf', '5', 'title', 'Suprise!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_tier3_4g.stf', '6', 'title_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_tier3_4g.stf', '7', 'unused1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_tier3_4g.stf', '8', 'unused1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_tier3_4g.stf', '9', 'unused2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_tier3_4g.stf', '10', 'unused2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_tier3_4h.stf', '1', 'assigned_delayed', 'Incoming enemy fighters');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_tier3_4h.stf', '2', 'complete', 'You have survived the Suprise Attack!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_tier3_4h.stf', '3', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_tier3_4h.stf', '4', 'title', 'Survive');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_tier3_4h.stf', '5', 'title_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_tier3_4h.stf', '6', 'unused1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_tier3_4h.stf', '7', 'unused1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_tier3_4h.stf', '8', 'unused2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_tier3_4h.stf', '9', 'unused2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_tier4_4_b.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_tier4_4_b.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_tier4_4_b.stf', '3', 'complete', 'You have survived the Suprise Attack!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_tier4_4_b.stf', '4', 'split_quest_alert', 'Attention all pilots. Enemy forces have attacked our Dathomir TIE defense squadron. That squadron is vitial to the control of the system. Protect it at all cost and defeat the enemy fighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_tier4_4_b.stf', '5', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_tier4_4_b.stf', '6', 'title', 'Dathomir System: Destroy the Velocity Ambush');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_tier4_4_b.stf', '7', 'title_d', 'Destroy all attacking Velocity fighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_tier4_4_b.stf', '8', 'unused1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_tier4_4_b.stf', '9', 'unused1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_tier4_4_b.stf', '10', 'unused2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_imperial_tier4_4_b.stf', '11', 'unused2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_privateer_1.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_privateer_1.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_privateer_1.stf', '3', 'complete', '\\#pcontrast3 CorSec Command: < \\#pcontrast1 Well done! Return to your superior for your next assignment by travelling to the Corellian Space Station and using /comm. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_privateer_1.stf', '4', 'found_loc', 'Uploaded new coordinates to your nav computer, proceed immediately.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_privateer_1.stf', '5', 'quest_update', 'CorSec Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_privateer_1.stf', '6', 'split_quest_alert', '\\#pcontrast3 Sgt Rhea: < \\#pcontrast1 You appear to have hit a little snag out there Captain.  Get patched up and run the patrol route again. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_privateer_1.stf', '7', 'split_quest_alert_fail', '\\#pcontrast3 Sgt Rhea: < \\#pcontrast1 You appear to have hit a little snag out there Captain.  Get patched up and run the patrol route again. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_privateer_1.stf', '8', 'title', 'Corellia System: Eliminate Enemy Patrol');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_privateer_1.stf', '9', 'title_d', 'Defend from the Black Sun Pirate attack.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_privateer_1.stf', '10', 'unused1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_privateer_1.stf', '11', 'unused1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_privateer_1.stf', '12', 'unused2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_privateer_1.stf', '13', 'unused2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_privateer_tier3_1_c.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_privateer_tier3_1_c.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_privateer_tier3_1_c.stf', '3', 'complete', '\\#pcontrast3 CorSec Command: < \\#pcontrast1 Good job coming out of that, return to base. \\#pcontrast3 > ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_privateer_tier3_1_c.stf', '4', 'leave_early', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_privateer_tier3_1_c.stf', '5', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_privateer_tier3_1_c.stf', '6', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_privateer_tier3_1_c.stf', '7', 'title', 'Endor System: Survive the Scavenger Attack');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_privateer_tier3_1_c.stf', '8', 'title_d', 'Survive the Scavenger attack, then return to your trainer');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_privateer_tier3_1_c.stf', '9', 'unused1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_privateer_tier3_1_c.stf', '10', 'unused1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_privateer_tier3_1_c.stf', '11', 'unused2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_privateer_tier3_1_c.stf', '12', 'unused2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_privateer_tier3_2_c.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_privateer_tier3_2_c.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_privateer_tier3_2_c.stf', '3', 'complete', '\\#pcontrast3 CorSec Command: < \\#pcontrast1 The \'Good Package\' is out of the System, return to base Captain. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_privateer_tier3_2_c.stf', '4', 'leave_early', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_privateer_tier3_2_c.stf', '5', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_privateer_tier3_2_c.stf', '6', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_privateer_tier3_2_c.stf', '7', 'title', 'Dathomir System: Eliminate the Black Sun Ambush');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_privateer_tier3_2_c.stf', '8', 'title_d', 'Eliminate the Black Sun ambush');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_privateer_tier3_2_c.stf', '9', 'unused1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_privateer_tier3_2_c.stf', '10', 'unused1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_privateer_tier3_2_c.stf', '11', 'unused2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_privateer_tier3_2_c.stf', '12', 'unused2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_privateer_tier4_1c.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_privateer_tier4_1c.stf', '2', 'complete', '\\#pcontrast3 CorSec Command: < \\#pcontrast1 They must not have been pleased with your destruction of that transport. I do not like the way hostilities have increased today, return to base. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_privateer_tier4_1c.stf', '3', 'leave_early', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_privateer_tier4_1c.stf', '4', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_privateer_tier4_1c.stf', '5', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_privateer_tier4_1c.stf', '6', 'title', 'Dantooine System: Survive the Black Sun Assault');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_privateer_tier4_1c.stf', '7', 'title_d', 'Survive the Black Sun onslaught');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_privateer_tier4_1c.stf', '8', 'unused1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_privateer_tier4_1c.stf', '9', 'unused1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_privateer_tier4_1c.stf', '10', 'unused2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_privateer_tier4_1c.stf', '11', 'unused2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_privateer_tier4_4c.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_privateer_tier4_4c.stf', '2', 'complete', '\\#pcontrast3 CorSec Command: < \\#pcontrast1 They are aware of your presence, be on guard. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_privateer_tier4_4c.stf', '3', 'leave_early', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_privateer_tier4_4c.stf', '4', 'split_quest_alert', '\\#pcontrast3 CorSec Command: < \\#pcontrast1 We are tracking the final target now. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_privateer_tier4_4c.stf', '5', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_privateer_tier4_4c.stf', '6', 'title', 'Dathomir System: Survive the Hidden Dagger Ambush');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_privateer_tier4_4c.stf', '7', 'title_d', 'Survive the Hidden Dagger ambush');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_privateer_tier4_4c.stf', '8', 'unused1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_privateer_tier4_4c.stf', '9', 'unused1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_privateer_tier4_4c.stf', '10', 'unused2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_privateer_tier4_4c.stf', '11', 'unused2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_rebel_1.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_rebel_1.stf', '2', 'complete', 'Rebel Command: < Mission Complete!  Return to base by travelling to the Corellia Space Station and using /comm. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_rebel_1.stf', '3', 'split_quest_alert', 'Rebel Command: < We have uploaded a new patrol route for you to check out pilot. Hopefully we will have more success this time. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_rebel_1.stf', '4', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_rebel_1.stf', '5', 'title', 'Corellia system: Eliminate Enemy Patrol.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_rebel_1.stf', '6', 'title_d', 'Eliminate the enemy patrol before they eliminate you!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_rebel_1.stf', '7', 'unused1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_rebel_1.stf', '8', 'unused1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_rebel_1.stf', '9', 'unused2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_rebel_1.stf', '10', 'unused2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_rebel_tier3_1_b.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_rebel_tier3_1_b.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_rebel_tier3_1_b.stf', '3', 'complete', 'You have survived the Suprise Attack!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_rebel_tier3_1_b.stf', '4', 'split_quest_alert', 'Rebel Command: < An Imperial scout patrol has spotted you! They can not be allowed to escape! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_rebel_tier3_1_b.stf', '5', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_rebel_tier3_1_b.stf', '6', 'title', 'Yavin system: Destroy the Imperial patrol.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_rebel_tier3_1_b.stf', '7', 'title_d', 'An Imperial patrol has spotted you! Destroy them quickly before they find our fleet!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_rebel_tier3_1_b.stf', '8', 'unused1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_rebel_tier3_1_b.stf', '9', 'unused1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_rebel_tier3_1_b.stf', '10', 'unused2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_rebel_tier3_1_b.stf', '11', 'unused2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_rebel_tier3_4_b.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_rebel_tier3_4_b.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_rebel_tier3_4_b.stf', '3', 'complete', 'You have survived the Suprise Attack!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_rebel_tier3_4_b.stf', '4', 'split_quest_alert', 'Rebel Fleet Command: < You keep surprising me pilot, I didn\'t think you would make it out of that alive. Head to these coordinates to help Blue squadron. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_rebel_tier3_4_b.stf', '5', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_rebel_tier3_4_b.stf', '6', 'title', 'Endor system: Defeat the Elite Imperial Ambush patrol.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_rebel_tier3_4_b.stf', '7', 'title_d', 'This elite ambush squadron must be what happened to Magenta squadron. We pray that you will be able to prevail where they didn\'t. Avenge the Magenta squadron pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_rebel_tier3_4_b.stf', '8', 'unused1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_rebel_tier3_4_b.stf', '9', 'unused1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_rebel_tier3_4_b.stf', '10', 'unused2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_rebel_tier3_4_b.stf', '11', 'unused2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_station_mission3_3.stf', '1', 'assigned_delayed', 'Incoming Cloak attack wing!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_station_mission3_3.stf', '2', 'complete', '\\#pcontrast1 CorSec Command: <\\#pcontrast3  You OK, pilot? We weren\'t expecting such a swift response. Come on back to the station for debriefing.\\#pcontrast1  >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_station_mission3_3.stf', '3', 'leave_early', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_station_mission3_3.stf', '4', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_station_mission3_3.stf', '5', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_station_mission3_3.stf', '6', 'title', 'Corellia System: Eliminate the Cloak Surprise Attack');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_station_mission3_3.stf', '7', 'title_d', 'A wing of Cloak fighters arrived in retribution for intercepting the stolen information they were supposed to receive. Eliminate them.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_station_mission3_3.stf', '8', 'unused1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_station_mission3_3.stf', '9', 'unused1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_station_mission3_3.stf', '10', 'unused2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_station_mission3_3.stf', '11', 'unused2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_station_mission4_2b.stf', '1', 'assigned_delayed', '\\#pcontrast1 Tactical Computer: <\\#pcontrast3  Warning. Enemy craft inbound.\\#pcontrast1 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_station_mission4_2b.stf', '2', 'complete', '\\#pcontrast1 Tactical Computer: <\\#pcontrast3  Enemy threat neutralized.\\#pcontrast1 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_station_mission4_2b.stf', '3', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_station_mission4_2b.stf', '4', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_station_mission4_2b.stf', '5', 'title', 'Corellia System: Cloak Retribution');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_station_mission4_2b.stf', '6', 'title_d', 'In response to destroying the Cloak Representative, a fighter wing has come in to destroy you. They must all be eliminated.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_station_mission4_2b.stf', '7', 'unused1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_station_mission4_2b.stf', '8', 'unused1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_station_mission4_2b.stf', '9', 'unused2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_station_mission4_2b.stf', '10', 'unused2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_station_mission5a_2.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_station_mission5a_2.stf', '2', 'complete', '\\#pcontrast1 CorSec Command: <\\#pcontrast3  Good work, the REAL Cloak leader is destroyed. Return to the station for debriefing.\\#pcontrast1  >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_station_mission5a_2.stf', '3', 'leave_early', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_station_mission5a_2.stf', '4', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_station_mission5a_2.stf', '5', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_station_mission5a_2.stf', '6', 'title', 'Corellia System: Destroy the True Cloak Leader');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_station_mission5a_2.stf', '7', 'title_d', 'The ship that you captured was just a decoy! Since your auto-pilot override program is already wasted, you have no choice but to destroy the true Cloak leader.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_station_mission5a_2.stf', '8', 'unused1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_station_mission5a_2.stf', '9', 'unused1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_station_mission5a_2.stf', '10', 'unused2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/corellia_station_mission5a_2.stf', '11', 'unused2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/dathomir_station_priv_storyquest_01_e.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/dathomir_station_priv_storyquest_01_e.stf', '2', 'complete', '\\#pcontrast2 Station Command: Well done. We didn\'t learn of their planned ambush until it was too late.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/dathomir_station_priv_storyquest_01_e.stf', '3', 'leave_early', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/dathomir_station_priv_storyquest_01_e.stf', '4', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/dathomir_station_priv_storyquest_01_e.stf', '5', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/dathomir_station_priv_storyquest_01_e.stf', '6', 'title', 'Dathomir System: Survive the Kimogila Ambush');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/dathomir_station_priv_storyquest_01_e.stf', '7', 'title_d', 'Onslaught: Survive the Kimogila ambush. They planned on some revenge after you defeated one of their leaders. Thwart their revenge and defeat your ambushers!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/dathomir_station_priv_storyquest_01_e.stf', '8', 'unused1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/dathomir_station_priv_storyquest_01_e.stf', '9', 'unused1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/dathomir_station_priv_storyquest_01_e.stf', '10', 'unused2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/dathomir_station_priv_storyquest_01_e.stf', '11', 'unused2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/dath_bh_revenge_01.stf', '1', 'assigned_delayed', '\\#pcontrast3 Bountyhunters Guild: < \\#pcontrast1 Stay out of Dathomir! \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/dath_bh_revenge_01.stf', '2', 'complete', 'You may have won this time... but don\'t cross the Bountyhunters\' Guild!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/dath_bh_revenge_01.stf', '3', 'duty_update', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/dath_bh_revenge_01.stf', '4', 'found_loc', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/dath_bh_revenge_01.stf', '5', 'quest_update', '\\#pcontrast3 Bountyhunters Guild: < \\#pcontrast1 %TU \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/dath_bh_revenge_01.stf', '6', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/dath_bh_revenge_01.stf', '7', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/dath_bh_revenge_01.stf', '8', 'title', 'The Hunter\'s Revenge');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/dath_bh_revenge_01.stf', '9', 'title_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/dath_bh_revenge_01.stf', '10', 'unused1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/dath_bh_revenge_01.stf', '11', 'unused1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/dath_bh_revenge_01.stf', '12', 'unused2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/dath_bh_revenge_01.stf', '13', 'unused2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_imperial_1.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_imperial_1.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_imperial_1.stf', '3', 'complete', 'Mission Complete!  Return to base by travelling to the Naboo Space Station, target it by pressing the \'C\' key, and using /comm.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_imperial_1.stf', '4', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_imperial_1.stf', '5', 'split_quest_alert_fail', 'This isn\'t the first time that new pilots have failed their first time out. We expect you to try again until you can get it right. Sending you a new navigation location to another patrol route.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_imperial_1.stf', '6', 'title', 'Naboo System: Destroy the Rebel X-wing Ambush');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_imperial_1.stf', '7', 'title_d', 'Destroy the Rebel ambush. Your patrol route has been successful and, as planned, the Rebels have attacked you. You must destroy the Rebels that have attacked you. Once you have completed this task return to the Tatooine space station, target it by pressing the \'C\' key, and use the /comm command and return to your commanding officer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_imperial_1.stf', '8', 'unused1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_imperial_1.stf', '9', 'unused1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_imperial_1.stf', '10', 'unused2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_imperial_1.stf', '11', 'unused2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_imperial_tier3_3_a.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_imperial_tier3_3_a.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_imperial_tier3_3_a.stf', '3', 'complete', 'You have survived the Suprise Attack!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_imperial_tier3_3_a.stf', '4', 'split_quest_alert', 'Pilot, we have a serious problem. The Rebels have attacked another ship. It would appear that they were uncertain what ship had the list. You are needed to help protect that other craft.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_imperial_tier3_3_a.stf', '5', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_imperial_tier3_3_a.stf', '6', 'title', 'Dathomir System: Destroy the Rebel X-wings');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_imperial_tier3_3_a.stf', '7', 'title_d', 'A group of Rebels have come in a bit to late in order to stop you from making the delivery. Destroy them.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_imperial_tier3_3_a.stf', '8', 'unused1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_imperial_tier3_3_a.stf', '9', 'unused1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_imperial_tier3_3_a.stf', '10', 'unused2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_imperial_tier3_3_a.stf', '11', 'unused2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_imperial_tier4_1_b.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_imperial_tier4_1_b.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_imperial_tier4_1_b.stf', '3', 'complete', 'You have survived the Suprise Attack!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_imperial_tier4_1_b.stf', '4', 'split_quest_alert', 'Whatever that smuggler had, someone wants it back badly. Deliver the contents to our transport shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_imperial_tier4_1_b.stf', '5', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_imperial_tier4_1_b.stf', '6', 'title', 'Dathomir System: Destroy the Mercenary Ambush');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_imperial_tier4_1_b.stf', '7', 'title_d', 'The crystal smuggler apparently had a squad of fighters watching over it. Destroy all of those fighters and make sure you secure those crystals.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_imperial_tier4_1_b.stf', '8', 'unused1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_imperial_tier4_1_b.stf', '9', 'unused1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_imperial_tier4_1_b.stf', '10', 'unused2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_imperial_tier4_1_b.stf', '11', 'unused2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_imperial_tier4_2_b.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_imperial_tier4_2_b.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_imperial_tier4_2_b.stf', '3', 'complete', 'You have survived the Suprise Attack!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_imperial_tier4_2_b.stf', '4', 'split_quest_alert', 'Coynite ships and smugglers seem to be working together. We need you to capture one of the mercenaries and return it to HQ.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_imperial_tier4_2_b.stf', '5', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_imperial_tier4_2_b.stf', '6', 'title', 'Naboo System: Destroy the Coynite Ambush');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_imperial_tier4_2_b.stf', '7', 'title_d', 'A group of mercenaries arrived to late to stop you from getting the shuttle to safety. Destroy these mercenaries.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_imperial_tier4_2_b.stf', '8', 'unused1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_imperial_tier4_2_b.stf', '9', 'unused1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_imperial_tier4_2_b.stf', '10', 'unused2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_imperial_tier4_2_b.stf', '11', 'unused2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_1.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_1.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_1.stf', '3', 'complete', 'Not bad for a newcomer! Return to base for your new assignment by travelling to the Naboo Space Station and using /comm.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_1.stf', '4', 'found_loc', 'Head to new coordinates uploaded to your nav computer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_1.stf', '5', 'quest_update', 'RSF Command:');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_1.stf', '6', 'split_quest_alert', '\\#pcontrast3 Capt Dinge: < \\#pcontrast1 You appear to have hit a little snag out there Captain.  Get patched up and run that patrol again. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_1.stf', '7', 'split_quest_alert_fail', '\\#pcontrast3 Capt Dinge: < \\#pcontrast1 You appear to have hit a little snag out there Captain.  Get patched up and run that patrol again. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_1.stf', '8', 'title', 'Naboo System: Eliminate Pirate threat');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_1.stf', '9', 'title_d', 'Destroy the ambushing Black Sun');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_1.stf', '10', 'unused1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_1.stf', '11', 'unused1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_1.stf', '12', 'unused2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_1.stf', '13', 'unused2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier3_1c.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier3_1c.stf', '2', 'complete', '\\#pcontrast3 RSF Command: < \\#pcontrast1 It appears that not all of the signatures were false.  Glad to see you made it out of that Captain. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier3_1c.stf', '3', 'leave_early', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier3_1c.stf', '4', 'split_quest_alert', '\\#pcontrast3 RSF Command: < \\#pcontrast1 Get back to the Naboo System as fast as you can.  We have secondary verification on one of those hyperspace signals. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier3_1c.stf', '5', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier3_1c.stf', '6', 'title', 'Dantooine System: Defend from the Black Sun Assault');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier3_1c.stf', '7', 'title_d', 'Defend from the Black Sun assault');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier3_1c.stf', '8', 'unused1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier3_1c.stf', '9', 'unused1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier3_1c.stf', '10', 'unused2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier3_1c.stf', '11', 'unused2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier3_2c.stf', '1', 'assigned_delayed', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Warning, more enemy craft have dropped from hyperspace. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier3_2c.stf', '2', 'complete', 'You have survived the Suprise Attack!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier3_2c.stf', '3', 'leave_early', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier3_2c.stf', '4', 'split_quest_alert', '\\#pcontrast3 RSF Command: < \\#pcontrast1 The main convoy has been compromised.  Travel to Corellia space as soon as possible.  We are setting up an ambush for the Ay\'Nat fighters heading that way. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier3_2c.stf', '5', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier3_2c.stf', '6', 'title', 'Naboo System: Survive the Ay\'Nat Assault');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier3_2c.stf', '7', 'title_d', 'Survive a final spearhead by the Ay\'Nat in the Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier3_2c.stf', '8', 'unused1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier3_2c.stf', '9', 'unused1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier3_2c.stf', '10', 'unused2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier3_2c.stf', '11', 'unused2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier3_3e.stf', '1', 'assigned_delayed', '\\#pcontrast3 RSF Command: < \\#pcontrast1 Destroy those agressors then get back here.  We have decoded the transmission. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier3_3e.stf', '2', 'complete', '\\#pcontrast3 RSF Command: < \\#pcontrast1 Return shortly, we have more work to do. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier3_3e.stf', '3', 'leave_early', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier3_3e.stf', '4', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier3_3e.stf', '5', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier3_3e.stf', '6', 'title', 'Naboo System: Defend from the Black Sun Assault');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier3_3e.stf', '7', 'title_d', 'The Black Sun  have hunted you down, defend yourself.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier3_3e.stf', '8', 'unused1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier3_3e.stf', '9', 'unused1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier3_3e.stf', '10', 'unused2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier3_3e.stf', '11', 'unused2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier3_4c.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier3_4c.stf', '2', 'complete', '\\#pcontrast3 RSF Command: < \\#pcontrast1 *#*#*#*#*#*#*#. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier3_4c.stf', '3', 'leave_early', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier3_4c.stf', '4', 'split_quest_alert', '\\#pcontrast3 RSF Command: < \\#pcontrast1 M&&#--- cking.. ## evasive man@#34444444,,, ecessary. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier3_4c.stf', '5', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier3_4c.stf', '6', 'title', 'Lok System: Survive the Black Sun Abmush');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier3_4c.stf', '7', 'title_d', 'Survive the Black Sun abmush');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier3_4c.stf', '8', 'unused1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier3_4c.stf', '9', 'unused1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier3_4c.stf', '10', 'unused2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier3_4c.stf', '11', 'unused2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier3_4d.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier3_4d.stf', '2', 'complete', '\\#pcontrast2 Systems Error: Communication Relays Are Jammed. ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier3_4d.stf', '3', 'leave_early', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier3_4d.stf', '4', 'split_quest_alert', '\\#pcontrast2 Systems Error: Communication Relays Are Jammed. ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier3_4d.stf', '5', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier3_4d.stf', '6', 'title', 'Lok System: Survive the Black Sun Ambush');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier3_4d.stf', '7', 'title_d', 'Survive the Black Sun ambush');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier3_4d.stf', '8', 'unused1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier3_4d.stf', '9', 'unused1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier3_4d.stf', '10', 'unused2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier3_4d.stf', '11', 'unused2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier3_4e.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier3_4e.stf', '2', 'complete', '\\#pcontrast3 RSF Command: < \\#pcontrast1 ---Signal Boost--- \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier3_4e.stf', '3', 'leave_early', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier3_4e.stf', '4', 'split_quest_alert', '\\#pcontrast3 RSF Command: < \\#pcontrast1 The last operative on this list has been detected, they are moving on an unknown target.  Persue and destroy. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier3_4e.stf', '5', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier3_4e.stf', '6', 'title', 'Lok System: Survive the Black Sun Abmush');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier3_4e.stf', '7', 'title_d', 'Survive the Black Sun abmush - Final Wave');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier3_4e.stf', '8', 'unused1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier3_4e.stf', '9', 'unused1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier3_4e.stf', '10', 'unused2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier3_4e.stf', '11', 'unused2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier4_2b.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier4_2b.stf', '2', 'complete', '\\#pcontrast3 RSF Command: < \\#pcontrast1 That must have been the freighters contact, good job holding them off. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier4_2b.stf', '3', 'leave_early', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier4_2b.stf', '4', 'split_quest_alert', '\\#pcontrast3 RSF Command: < \\#pcontrast1 Activity is a bit suspicious in this area, run a quick patrol while command evaluates. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier4_2b.stf', '5', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier4_2b.stf', '6', 'title', 'Endor System: Survive the Black Sun Attack');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier4_2b.stf', '7', 'title_d', 'Avoid destruction at the hand of the Black Sun');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier4_2b.stf', '8', 'unused1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier4_2b.stf', '9', 'unused1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier4_2b.stf', '10', 'unused2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier4_2b.stf', '11', 'unused2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier4_2c.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier4_2c.stf', '2', 'complete', '\\#pcontrast3 RSF Command: < \\#pcontrast1 That must have been the freighters contact, good job holding them off. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier4_2c.stf', '3', 'leave_early', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier4_2c.stf', '4', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier4_2c.stf', '5', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier4_2c.stf', '6', 'title', 'Endor System: Defend from the Black Sun Assault');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier4_2c.stf', '7', 'title_d', 'Avoid destruction at the hand of the Black Sun');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier4_2c.stf', '8', 'unused1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier4_2c.stf', '9', 'unused1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier4_2c.stf', '10', 'unused2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier4_2c.stf', '11', 'unused2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier4_2d.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier4_2d.stf', '2', 'complete', '\\#pcontrast3 RSF Command: < \\#pcontrast1 It appears you found what you were looking for.  That is enough for now, return to base. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier4_2d.stf', '3', 'leave_early', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier4_2d.stf', '4', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier4_2d.stf', '5', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier4_2d.stf', '6', 'title', 'Endor System: Survive the Black Sun Attack');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier4_2d.stf', '7', 'title_d', 'Survive the Black Sun attack');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier4_2d.stf', '8', 'unused1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier4_2d.stf', '9', 'unused1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier4_2d.stf', '10', 'unused2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_privateer_tier4_2d.stf', '11', 'unused2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_rebel_1.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_rebel_1.stf', '2', 'complete', 'Rebel Command: < Mission Complete!  Return to base for your next assignment by travelling to the Naboo space station and using /comm. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_rebel_1.stf', '3', 'split_quest_alert', 'Rebel Command: < We have uploaded a new patrol route for you to check out pilot. Hopefully we will have more success this time. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_rebel_1.stf', '4', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_rebel_1.stf', '5', 'title', 'Naboo system: Eliminate Enemy Patrol.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_rebel_1.stf', '6', 'title_d', 'An enemy patrol of Imperial TIE fighters have spotted you. Defeat them to complete the mission.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_rebel_1.stf', '7', 'unused1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_rebel_1.stf', '8', 'unused1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_rebel_1.stf', '9', 'unused2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_rebel_1.stf', '10', 'unused2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_rebel_tier3_2_c.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_rebel_tier3_2_c.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_rebel_tier3_2_c.stf', '3', 'complete', 'Brother Ezkiel: < Great work my friend, you beat the ambush. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_rebel_tier3_2_c.stf', '4', 'split_quest_alert', 'Brother Ezkiel: < Now, gather information from one of the pirate ships. The SpyNet have asked us to try and find out where their leader is. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_rebel_tier3_2_c.stf', '5', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_rebel_tier3_2_c.stf', '6', 'title', 'Dantooine system: Blacklight pirates attack!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_rebel_tier3_2_c.stf', '7', 'title_d', 'The clever pirates have ambushed you. You need to prevail and defeat them!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_rebel_tier3_2_c.stf', '8', 'unused1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_rebel_tier3_2_c.stf', '9', 'unused1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_rebel_tier3_2_c.stf', '10', 'unused2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_rebel_tier3_2_c.stf', '11', 'unused2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_rebel_tier3_3_a.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_rebel_tier3_3_a.stf', '2', 'complete', 'Brother Ezkiel: < Great job pilot, you showed those fools what a real pilot can do! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_rebel_tier3_3_a.stf', '3', 'split_quest_alert', 'Brother Ezkiel: < Holy cow! We may be in over our head! The base is up ahead and the Blacklights are on to you! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_rebel_tier3_3_a.stf', '4', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_rebel_tier3_3_a.stf', '5', 'title', 'Endor system: Blacklights strike back!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_rebel_tier3_3_a.stf', '6', 'title_d', 'You\'re being ambushed by Blacklight assassins. Defend yourself and eliminate the threat pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_rebel_tier3_3_a.stf', '7', 'unused1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_rebel_tier3_3_a.stf', '8', 'unused1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_rebel_tier3_3_a.stf', '9', 'unused2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_rebel_tier3_3_a.stf', '10', 'unused2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_rebel_tier4_2_b.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_rebel_tier4_2_b.stf', '2', 'complete', 'Brother Extok Evin: < Well done pilot, you showed them! I\'m getting new intel now, stand by. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_rebel_tier4_2_b.stf', '3', 'split_quest_alert', 'Brother Extok Evin: < You have one more chance pilot. Uvqolo hyperspaced to the Dathomir system but if you jump to lightspeed now, you may catch him when he arrives! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_rebel_tier4_2_b.stf', '4', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_rebel_tier4_2_b.stf', '5', 'title', 'Yavin system: Defend yourself against Uvqolo\'s Interceptors.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_rebel_tier4_2_b.stf', '6', 'title_d', 'Inquisitor Uvqolo had time to transmit your location to a TIE Interceptor squadron before he fled. Defend yourself and defeat Uvqolo\'s trap!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_rebel_tier4_2_b.stf', '7', 'unused1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_rebel_tier4_2_b.stf', '8', 'unused1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_rebel_tier4_2_b.stf', '9', 'unused2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_rebel_tier4_2_b.stf', '10', 'unused2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_station_emperors_access_quest_4.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_station_emperors_access_quest_4.stf', '2', 'complete', 'Imperial Space Station: < Good job! This confirms it though, we need to change our routes immediately. Try to find more of them Rebel lowlifes! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_station_emperors_access_quest_4.stf', '3', 'leave_early', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_station_emperors_access_quest_4.stf', '4', 'split_quest_alert', 'Imperial Space Station: < The scout must have alerted his friends, they are heading your way! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_station_emperors_access_quest_4.stf', '5', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_station_emperors_access_quest_4.stf', '6', 'title', 'Yavin system: Scouts spotted!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_station_emperors_access_quest_4.stf', '7', 'title_d', 'Your radar shows a Rebel scout fighter. This confirms that the route has been compromised but the commander wants you to eliminate the Rebel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_station_emperors_access_quest_4.stf', '8', 'unused1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_station_emperors_access_quest_4.stf', '9', 'unused1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_station_emperors_access_quest_4.stf', '10', 'unused2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_station_emperors_access_quest_4.stf', '11', 'unused2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_station_emperors_access_quest_5.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_station_emperors_access_quest_5.stf', '2', 'complete', 'Imperial Space Station: < Phew! You are quite the pilot, thought you were doomed. Hopefully that was it. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_station_emperors_access_quest_5.stf', '3', 'leave_early', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_station_emperors_access_quest_5.stf', '4', 'split_quest_alert', 'Imperial Space Station: < Ack! Their bombers are still in the area and they are gunning for you! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_station_emperors_access_quest_5.stf', '5', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_station_emperors_access_quest_5.stf', '6', 'title', 'Yavin system: The Rebels revenge!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_station_emperors_access_quest_5.stf', '7', 'title_d', 'The Rebel scouts alerted their friends and they are coming to avenge their friends, defend yourself!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_station_emperors_access_quest_5.stf', '8', 'unused1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_station_emperors_access_quest_5.stf', '9', 'unused1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_station_emperors_access_quest_5.stf', '10', 'unused2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_station_emperors_access_quest_5.stf', '11', 'unused2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_station_emperors_access_quest_6.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_station_emperors_access_quest_6.stf', '2', 'complete', 'Imperial Space Station: < Amazing! Your initiative and selflessnes has saved hundreds of loyal citizens pilot. If you ever visit our beloved Emperor\'s retreat on Naboo, talk to one of the Imperial pilots outside and they will reward you for your bravery. Station, over and out. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_station_emperors_access_quest_6.stf', '3', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_station_emperors_access_quest_6.stf', '4', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_station_emperors_access_quest_6.stf', '5', 'title', 'Yavin system: The last of them.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_station_emperors_access_quest_6.stf', '6', 'title_d', 'The Rebel bombers have decided to try and terminate you instead of retreating. Defeat them, they must be the last of the Rebel fools in the area.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_station_emperors_access_quest_6.stf', '7', 'unused1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_station_emperors_access_quest_6.stf', '8', 'unused1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_station_emperors_access_quest_6.stf', '9', 'unused2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/naboo_station_emperors_access_quest_6.stf', '10', 'unused2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/poi_tatooine_general_2_a.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/poi_tatooine_general_2_a.stf', '2', 'complete', 'Your mission is a success!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/poi_tatooine_general_2_a.stf', '3', 'leave_early', '\\#pcontrast1 Mos Eisley Captain:\\#pcontrast3 < Pilot! What happened out there? Did you find anything? Report back to me immediately! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/poi_tatooine_general_2_a.stf', '4', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/poi_tatooine_general_2_a.stf', '5', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/poi_tatooine_general_2_a.stf', '6', 'title', 'Tatoo System: Ghost Tide\'s Black Nemesis');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/poi_tatooine_general_2_a.stf', '7', 'title_d', 'Kelen Wordkal was right. You\'ve discovered, after a particularly interesting run-in with the Black Nemesis, something more foreboding has been causing the disappearances of the freighters traveling through the Ghost Tide Nebula.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/poi_tatooine_general_2_a.stf', '8', 'unused1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/poi_tatooine_general_2_a.stf', '9', 'unused1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/poi_tatooine_general_2_a.stf', '10', 'unused2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/poi_tatooine_general_2_a.stf', '11', 'unused2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/poi_tatooine_generic_1_a.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/poi_tatooine_generic_1_a.stf', '2', 'complete', 'You have succeeded in defeating the Black Sun Aggressors!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/poi_tatooine_generic_1_a.stf', '3', 'leave_early', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/poi_tatooine_generic_1_a.stf', '4', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/poi_tatooine_generic_1_a.stf', '5', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/poi_tatooine_generic_1_a.stf', '6', 'title', 'Tatoo System: Black Suns Attack!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/poi_tatooine_generic_1_a.stf', '7', 'title_d', 'While on the patrol, you find yourself being hounded by Black Sun Aggressors. Perhaps these are the goons that have terminated many of the missing freighters Kelen Wordkal has reported.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/poi_tatooine_generic_1_a.stf', '8', 'unused1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/poi_tatooine_generic_1_a.stf', '9', 'unused1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/poi_tatooine_generic_1_a.stf', '10', 'unused2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/poi_tatooine_generic_1_a.stf', '11', 'unused2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/poi_tatooine_privateer_2_a.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/poi_tatooine_privateer_2_a.stf', '2', 'complete', '\\#pcontrast1 Hutt Informant:\\#pcontrast3 < I\'m very impressed with your flying skills, pilot. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/poi_tatooine_privateer_2_a.stf', '3', 'split_quest_alert', '\\#pcontrast1 Hutt Informant:\\#pcontrast3 < It\'s high time we see what the Valarians are up to and how they know every step we take. Disable and inspect several Valarian lackeys to see what they know. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/poi_tatooine_privateer_2_a.stf', '4', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/poi_tatooine_privateer_2_a.stf', '5', 'title', 'Tatoo System: Valarians Attack!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/poi_tatooine_privateer_2_a.stf', '6', 'title_d', 'At this point, the Valarians are quickly topping your list of favorite enemies. With the continued attacks every step of the way, you begin to wonder exactly who is the spy informing the Valarians about your mission. Or it could be your undeniable charm. Maybe.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/poi_tatooine_privateer_2_a.stf', '7', 'unused1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/poi_tatooine_privateer_2_a.stf', '8', 'unused1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/poi_tatooine_privateer_2_a.stf', '9', 'unused2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/poi_tatooine_privateer_2_a.stf', '10', 'unused2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/sidequest_jabba_attack.stf', '1', 'assigned_delayed', 'Navigational Computer: < Warning! Warning! Enemy ships detected! Identifying... .. Jabba Assassins. Warning! Warning! Weapon systems armed! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/sidequest_jabba_attack.stf', '2', 'complete', 'You have defeated Jabba\'s assassins!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/sidequest_jabba_attack.stf', '3', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/sidequest_jabba_attack.stf', '4', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/sidequest_jabba_attack.stf', '5', 'title', 'Jabba\'s Assassins!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/sidequest_jabba_attack.stf', '6', 'title_d', 'Jabba\'s assassins have been sent after you and you begin to wonder why. Thinking back the last couple of days, you remember an informant associated with Jabba, named Rakkim Warstai. He had asked for your help in the name of Jabba and you refused. It clicks. Rakkim sent the assassins after you. He had warned you, right? Be wary of Jabba and his cronies in the future.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/sidequest_jabba_attack.stf', '7', 'unused1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/sidequest_jabba_attack.stf', '8', 'unused1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/sidequest_jabba_attack.stf', '9', 'unused2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/sidequest_jabba_attack.stf', '10', 'unused2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_dantooine_owner_smuggler_surpriseattack01_tier2_1.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_dantooine_owner_smuggler_surpriseattack01_tier2_1.stf', '2', 'complete', 'CorSec fighters have been eliminated.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_dantooine_owner_smuggler_surpriseattack01_tier2_1.stf', '3', 'leave_early', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_dantooine_owner_smuggler_surpriseattack01_tier2_1.stf', '4', 'split_quest_alert', 'There will be no witnesses to your actions. Travel to the Tatooine system, inspect, and pickup the brandy for the Lord\'s Mistress.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_dantooine_owner_smuggler_surpriseattack01_tier2_1.stf', '5', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_dantooine_owner_smuggler_surpriseattack01_tier2_1.stf', '6', 'title', 'Space Corellia: Destroy the CorSec Fighters');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_dantooine_owner_smuggler_surpriseattack01_tier2_1.stf', '7', 'title_d', 'Your acts of piracy have gained the attention of the CorSec. They cannot be allowed to report in to your actions. Destroy them all.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_dantooine_owner_smuggler_surpriseattack01_tier2_1.stf', '8', 'unused1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_dantooine_owner_smuggler_surpriseattack01_tier2_1.stf', '9', 'unused1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_dantooine_owner_smuggler_surpriseattack01_tier2_1.stf', '10', 'unused2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_dantooine_owner_smuggler_surpriseattack01_tier2_1.stf', '11', 'unused2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_dantooine_owner_smuggler_surpriseattack02_tier2_1.stf', '1', 'assigned_delayed', 'It looks like Hap Daniel, the owner of the Lord\'s Mistress, has found out where you went. Destroy him before he can report you to the authorities.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_dantooine_owner_smuggler_surpriseattack02_tier2_1.stf', '2', 'complete', 'Return the station with all of your captured booty for the operators.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_dantooine_owner_smuggler_surpriseattack02_tier2_1.stf', '3', 'leave_early', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_dantooine_owner_smuggler_surpriseattack02_tier2_1.stf', '4', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_dantooine_owner_smuggler_surpriseattack02_tier2_1.stf', '5', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_dantooine_owner_smuggler_surpriseattack02_tier2_1.stf', '6', 'title', 'Space Dantooine: Destroy the Lord\'s Master');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_dantooine_owner_smuggler_surpriseattack02_tier2_1.stf', '7', 'title_d', 'The owner of the Lord\'s Mistress has managed to track you to the Dantooine system. He will be able to easily put two and two together. Sadly Hap Daniel must be eliminated.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_dantooine_owner_smuggler_surpriseattack02_tier2_1.stf', '8', 'unused1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_dantooine_owner_smuggler_surpriseattack02_tier2_1.stf', '9', 'unused1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_dantooine_owner_smuggler_surpriseattack02_tier2_1.stf', '10', 'unused2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_dantooine_owner_smuggler_surpriseattack02_tier2_1.stf', '11', 'unused2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_endor_irs_imp_tier3_1a_sa.stf', '1', 'assigned_delayed', '\\#pcontrast3 Imperial Station: < \\#pcontrast1 Captain we have detected 3 craft heading your way at high speed.  Weapon signatures indicate x-wing attack fighters be advised. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_endor_irs_imp_tier3_1a_sa.stf', '2', 'complete', '\\#pcontrast3 Imperial Station: < \\#pcontrast1 You appear to be clear for the moment, continue on. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_endor_irs_imp_tier3_1a_sa.stf', '3', 'leave_early', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_endor_irs_imp_tier3_1a_sa.stf', '4', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_endor_irs_imp_tier3_1a_sa.stf', '5', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_endor_irs_imp_tier3_1a_sa.stf', '6', 'title', 'Naboo System:  A Bump in the Road');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_endor_irs_imp_tier3_1a_sa.stf', '7', 'title_d', 'A patrol of Rebel X-Wing fighters has interrupted your rescue operation. Dispatch them and carry on with the mission.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_endor_irs_imp_tier3_1a_sa.stf', '8', 'unused1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_endor_irs_imp_tier3_1a_sa.stf', '9', 'unused1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_endor_irs_imp_tier3_1a_sa.stf', '10', 'unused2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_endor_irs_imp_tier3_1a_sa.stf', '11', 'unused2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_endor_irs_imp_tier3_3b.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_endor_irs_imp_tier3_3b.stf', '2', 'complete', 'The Blacklight Assassins have been defeated.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_endor_irs_imp_tier3_3b.stf', '3', 'leave_early', '\\#pcontrast3 Blacklight: < \\#pcontrast1 This one is not worth our efforts, lets get out of here. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_endor_irs_imp_tier3_3b.stf', '4', 'split_quest_alert', '\\#pcontrast3 Endor Station: \\#pcontrast1 The next stop is the Linear Miasma, updating waypoint now. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_endor_irs_imp_tier3_3b.stf', '5', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_endor_irs_imp_tier3_3b.stf', '6', 'title', 'Endor System: A Shade of Onyx');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_endor_irs_imp_tier3_3b.stf', '7', 'title_d', 'Blacklight Assassins taking exception to your intrusion in the area of the Onyx Beacon have come do drive you away.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_endor_irs_imp_tier3_3b.stf', '8', 'unused1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_endor_irs_imp_tier3_3b.stf', '9', 'unused1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_endor_irs_imp_tier3_3b.stf', '10', 'unused2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_endor_irs_imp_tier3_3b.stf', '11', 'unused2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_yavin4_company_all_massassi_tier2_10.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_yavin4_company_all_massassi_tier2_10.stf', '2', 'complete', 'The enemy fighters have all been destroyed. Return to the station and report your findings.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_yavin4_company_all_massassi_tier2_10.stf', '3', 'leave_early', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_yavin4_company_all_massassi_tier2_10.stf', '4', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_yavin4_company_all_massassi_tier2_10.stf', '5', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_yavin4_company_all_massassi_tier2_10.stf', '6', 'title', 'Yavin System: Destroy the Attacking Massassi');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_yavin4_company_all_massassi_tier2_10.stf', '7', 'title_d', 'The real mercenaries pretending to be the Massassi have shown up. They must not be allowed to report your deception before you can report in to the station. Destroy them all.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_yavin4_company_all_massassi_tier2_10.stf', '8', 'unused1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_yavin4_company_all_massassi_tier2_10.stf', '9', 'unused1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_yavin4_company_all_massassi_tier2_10.stf', '10', 'unused2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_yavin4_company_all_massassi_tier2_10.stf', '11', 'unused2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_yavin4_company_all_massassi_tier2_4.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_yavin4_company_all_massassi_tier2_4.stf', '2', 'complete', 'Enemy ambush has been defeated.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_yavin4_company_all_massassi_tier2_4.stf', '3', 'leave_early', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_yavin4_company_all_massassi_tier2_4.stf', '4', 'split_quest_alert', 'Location of the damaged fighter has been confirmed. Intercept and inspect that fighter for any clues to their identity. Return to the station when you have completed your search.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_yavin4_company_all_massassi_tier2_4.stf', '5', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_yavin4_company_all_massassi_tier2_4.stf', '6', 'title', 'Yavin System: Attacked by Mysterious Fighters');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_yavin4_company_all_massassi_tier2_4.stf', '7', 'title_d', 'One of the fighters you were tailing must have detected you and set up an ambush. The damaged fighter is still on the radar but you will have to destroy these fighters in order to reach it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_yavin4_company_all_massassi_tier2_4.stf', '8', 'unused1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_yavin4_company_all_massassi_tier2_4.stf', '9', 'unused1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_yavin4_company_all_massassi_tier2_4.stf', '10', 'unused2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_yavin4_company_all_massassi_tier2_4.stf', '11', 'unused2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_yavin4_company_smuggler_tier2_3.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_yavin4_company_smuggler_tier2_3.stf', '2', 'complete', 'All the Royal Security Force fighters have been eliminated. Continue with the assigned route and make the delivery.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_yavin4_company_smuggler_tier2_3.stf', '3', 'leave_early', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_yavin4_company_smuggler_tier2_3.stf', '4', 'split_quest_alert', 'Finish the patrol route and make the drop off.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_yavin4_company_smuggler_tier2_3.stf', '5', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_yavin4_company_smuggler_tier2_3.stf', '6', 'title', 'Yavin System: Royal Security Force Interference');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_yavin4_company_smuggler_tier2_3.stf', '7', 'title_d', 'You actions have brought the attention of the Royal Security Forces. Do not let any of them report you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_yavin4_company_smuggler_tier2_3.stf', '8', 'unused1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_yavin4_company_smuggler_tier2_3.stf', '9', 'unused1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_yavin4_company_smuggler_tier2_3.stf', '10', 'unused2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/stn_yavin4_company_smuggler_tier2_3.stf', '11', 'unused2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_imperial_1.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_imperial_1.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_imperial_1.stf', '3', 'complete', 'Mission Complete!  Return to your superior for the next assignment by travelling to the Tatooine Space Station, target it by pressing the \'C\' key, and using /comm.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_imperial_1.stf', '4', 'split_quest_alert', 'Commerce Raiders are on an intercept course. Destroy them!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_imperial_1.stf', '5', 'split_quest_alert_fail', 'This isn\'t the first time that new pilots have failed their first time out. We expect you to try again until you can get it right. Sending you a new navigation location to another patrol route.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_imperial_1.stf', '6', 'title', 'Tatooine System: Destroy the Commerce Raiders');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_imperial_1.stf', '7', 'title_d', 'Destroy the pirate ambush. Your patrol route has been successful and, as planned, the Commerce Raiders have attacked you. You must destroy the pirates that have attacked you. Once you have completed this task return to the Tatooine space station, target it by pressing the \'C\' key, and use the /comm command and return to your commanding officer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_imperial_1.stf', '8', 'unused1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_imperial_1.stf', '9', 'unused1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_imperial_1.stf', '10', 'unused2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_imperial_1.stf', '11', 'unused2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_imperial_tier3_2_a.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_imperial_tier3_2_a.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_imperial_tier3_2_a.stf', '3', 'complete', 'You have survived the surprise attack!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_imperial_tier3_2_a.stf', '4', 'split_quest_alert', 'Scans of Rebel transmissions indicate Rebel communications ship nearby your location. Disable vessel and recover any information from its computers that you can. Stand by for nav location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_imperial_tier3_2_a.stf', '5', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_imperial_tier3_2_a.stf', '6', 'title', 'Endor System: Rebel Counterstrike');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_imperial_tier3_2_a.stf', '7', 'title_d', 'The Rebels have sent out a strike team in retaliation for the loss of their scout. Destroy all the Rebel fighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_imperial_tier3_2_a.stf', '8', 'unused1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_imperial_tier3_2_a.stf', '9', 'unused1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_imperial_tier3_2_a.stf', '10', 'unused2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_imperial_tier3_2_a.stf', '11', 'unused2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_imperial_tier3_3_d.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_imperial_tier3_3_d.stf', '2', 'complete', '\\#pcontrast1 Storm Squadron Command:\\#pcontrast3 <The Rebels managed to recover the false information while you were fighting the A-wings. Scan indicate increased activity around the ambush point.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_imperial_tier3_3_d.stf', '3', 'split_quest_alert', 'The Rebels have captured the decoy shuttle! The false information on it should lead them right into our ambush. Travel to the ambush point and wait for the Rebels to arrive. Maintain control of that position until we can get a full sensor scan of the surrounding area.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_imperial_tier3_3_d.stf', '4', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_imperial_tier3_3_d.stf', '5', 'title', 'Endor System: Destroy the Rebel Strikeforce');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_imperial_tier3_3_d.stf', '6', 'title_d', 'Destroy the Rebel A-wings that have been sent to eliminate you. Making sure that they are all eliminated will help in selling the deception.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_imperial_tier3_3_d.stf', '7', 'unused1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_imperial_tier3_3_d.stf', '8', 'unused1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_imperial_tier3_3_d.stf', '9', 'unused2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_imperial_tier3_3_d.stf', '10', 'unused2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_imperial_tier4_1_a.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_imperial_tier4_1_a.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_imperial_tier4_1_a.stf', '3', 'complete', 'You have survived the Suprise Attack!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_imperial_tier4_1_a.stf', '4', 'split_quest_alert', 'Alert! We just got word that you were not the only one hit. Another wing has been hit extremely hard and need support. Once you get the location get over there and help them out.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_imperial_tier4_1_a.stf', '5', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_imperial_tier4_1_a.stf', '6', 'title', 'Endor System: Destroy the Rebel Ambush');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_imperial_tier4_1_a.stf', '7', 'title_d', 'The Rebel menace in the Endor system seems to have returned. Destroy all attacking vessels.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_imperial_tier4_1_a.stf', '8', 'unused1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_imperial_tier4_1_a.stf', '9', 'unused1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_imperial_tier4_1_a.stf', '10', 'unused2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_imperial_tier4_1_a.stf', '11', 'unused2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_privateer_1.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_privateer_1.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_privateer_1.stf', '3', 'complete', 'Mission Complete!  Return to Dravis for your next assignment by travelling to the Tatooine Space Station and using /comm.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_privateer_1.stf', '4', 'split_quest_alert', '\\#pcontrast3 Dravis: < \\#pcontrast1 You appear to have hit a little snag out there.  Get patched up and run that patrol again. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_privateer_1.stf', '5', 'split_quest_alert_fail', '\\#pcontrast3 Dravis: < \\#pcontrast1 You appear to have hit a little snag out there.  Get patched up and run that patrol again. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_privateer_1.stf', '6', 'title', 'Tatooine System: Eliminate Enemy Patrol');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_privateer_1.stf', '7', 'title_d', 'Defend yourself from the Black Sun Pirate attack');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_privateer_1.stf', '8', 'unused1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_privateer_1.stf', '9', 'unused1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_privateer_1.stf', '10', 'unused2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_privateer_1.stf', '11', 'unused2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_privateer_tier3_1_d.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_privateer_tier3_1_d.stf', '2', 'complete', '\\#pcontrast3 Beissa: < \\#pcontrast1 That is the sort of amateurish attack I expect from Valaria\'s elite fighters.  Bring it home Captain, we have more work for you. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_privateer_tier3_1_d.stf', '3', 'leave_early', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_privateer_tier3_1_d.stf', '4', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_privateer_tier3_1_d.stf', '5', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_privateer_tier3_1_d.stf', '6', 'title', 'Yavin System: Defend Against a Sneak Attack');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_privateer_tier3_1_d.stf', '7', 'title_d', 'Defend agains a sneak attack by the real Valarian Replacement');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_privateer_tier3_1_d.stf', '8', 'unused1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_privateer_tier3_1_d.stf', '9', 'unused1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_privateer_tier3_1_d.stf', '10', 'unused2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_privateer_tier3_1_d.stf', '11', 'unused2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_privateer_tier4_3c_sa.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_privateer_tier4_3c_sa.stf', '2', 'complete', '\\#pcontrast3 Nirame: < \\#pcontrast1 I\'ll give this much credit to that Valarian; it was an interesting, if futile, maneuver. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_privateer_tier4_3c_sa.stf', '3', 'leave_early', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_privateer_tier4_3c_sa.stf', '4', 'split_quest_alert', '\\#pcontrast3 Nirame: < \\#pcontrast1 About that freighter we wanted: It is in route to Endor, perhaps you can convince them to alter course. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_privateer_tier4_3c_sa.stf', '5', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_privateer_tier4_3c_sa.stf', '6', 'title', 'Tatooine System: Defend from the Valarian Trick');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_privateer_tier4_3c_sa.stf', '7', 'title_d', 'Defend from the Valarian trick');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_privateer_tier4_3c_sa.stf', '8', 'unused1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_privateer_tier4_3c_sa.stf', '9', 'unused1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_privateer_tier4_3c_sa.stf', '10', 'unused2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_privateer_tier4_3c_sa.stf', '11', 'unused2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_rebel_1.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_rebel_1.stf', '2', 'complete', 'Rebel Command: < Mission Complete!  Return to base for your next assignment by travelling to the Tatooine Space Station and using /comm. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_rebel_1.stf', '3', 'quest_d', 'TIE Fighter Cadets have intercepted your sensor sweep. Eliminate them with extreme prejudice!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_rebel_1.stf', '4', 'quest_t', 'Destroy the TIE Cadets!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_rebel_1.stf', '5', 'split_quest_alert', 'Rebel Command: < We have uploaded a new patrol route for you to check out pilot. Hopefully we will have more success this time. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_rebel_1.stf', '6', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_rebel_1.stf', '7', 'title', 'Tatooine system: Destroy the TIE Cadets!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_rebel_1.stf', '8', 'title_d', 'TIE Fighter Cadets have intercepted your sensor sweep. Eliminate them with extreme prejudice!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_rebel_1.stf', '9', 'unused1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_rebel_1.stf', '10', 'unused1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_rebel_1.stf', '11', 'unused2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_rebel_1.stf', '12', 'unused2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_rebel_tier3_2_a.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_rebel_tier3_2_a.stf', '2', 'complete', 'You have survived the Suprise Attack!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_rebel_tier3_2_a.stf', '3', 'split_quest_alert', 'Rebel Command: < You impress me pilot. Let\'s keep this winning streak going with another attack where it hurts the Empire the most. Proceed to the Dantooine system for further instructions. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_rebel_tier3_2_a.stf', '4', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_rebel_tier3_2_a.stf', '5', 'title', 'Dathomir system: Defeat the elite TIE squadron.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_rebel_tier3_2_a.stf', '6', 'title_d', 'The Empire had some of their elite TIE Interceptors shadow their spy in case any complications came up. They are set on your destruction, surprise them by fighting back and show them that the Alliance have no fear!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_rebel_tier3_2_a.stf', '7', 'unused1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_rebel_tier3_2_a.stf', '8', 'unused1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_rebel_tier3_2_a.stf', '9', 'unused2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_rebel_tier3_2_a.stf', '10', 'unused2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_rebel_tier3_4_b.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_rebel_tier3_4_b.stf', '2', 'complete', 'You have survived the Suprise Attack!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_rebel_tier3_4_b.stf', '3', 'split_quest_alert', 'Rebel Command: < Good work pilot, deliver that data to one of our smugglers quickly. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_rebel_tier3_4_b.stf', '4', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_rebel_tier3_4_b.stf', '5', 'title', 'Endor system: Terminate Imperial patrol.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_rebel_tier3_4_b.stf', '6', 'title_d', 'An Imperial patrol spotted you while you were scanning the region. Defend yourself and eliminate the threat pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_rebel_tier3_4_b.stf', '7', 'unused1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_rebel_tier3_4_b.stf', '8', 'unused1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_rebel_tier3_4_b.stf', '9', 'unused2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_rebel_tier3_4_b.stf', '10', 'unused2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_rebel_tier4_1_c.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_rebel_tier4_1_c.stf', '2', 'complete', 'General Ufwol: Nice work pilot! There may be hope for you still. Return to base quickly for a debrief.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_rebel_tier4_1_c.stf', '3', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_rebel_tier4_1_c.stf', '4', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_rebel_tier4_1_c.stf', '5', 'title', 'Dathomir system: Defeat the Imperial Interceptors then return to base.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_rebel_tier4_1_c.stf', '6', 'title_d', 'An Imperial Interceptor patrol spotted you and moved in to do what they do best, intercept! Show them that they picked the wrong target pilot, show them the power of the Crimson Phoenix!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_rebel_tier4_1_c.stf', '7', 'unused1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_rebel_tier4_1_c.stf', '8', 'unused1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_rebel_tier4_1_c.stf', '9', 'unused2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/tatooine_rebel_tier4_1_c.stf', '10', 'unused2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/viopa_rebel_1.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/viopa_rebel_1.stf', '2', 'complete', 'Rebel Command: < Great work up there pilot, you took care of the Imperial filth. Return to base. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/viopa_rebel_1.stf', '3', 'quest_update', 'Rebel Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/viopa_rebel_1.stf', '4', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/viopa_rebel_1.stf', '5', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/viopa_rebel_1.stf', '6', 'title', 'Lok system: Destroy Imperial ambush.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/viopa_rebel_1.stf', '7', 'title_d', 'The area is crawling with Imperial fighters, it\'s an ambush you have to fight your way out of. Terminate the Imperial filth!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/viopa_rebel_1.stf', '8', 'unused1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/viopa_rebel_1.stf', '9', 'unused1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/viopa_rebel_1.stf', '10', 'unused2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/viopa_rebel_1.stf', '11', 'unused2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/vortex_mission_1.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/vortex_mission_1.stf', '2', 'complete', 'Brother Vrovel: < There appear to be no more Imperial scum in the area, hurry out of there and report back to me right away! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/vortex_mission_1.stf', '3', 'quest_update', 'Brother Vrovel: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/vortex_mission_1.stf', '4', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/vortex_mission_1.stf', '5', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/vortex_mission_1.stf', '6', 'title', 'Lok system: Escape the trap! Destroy all Imperial Ships in the vicinity.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/vortex_mission_1.stf', '7', 'title_d', 'The Imperial Inquisition is trying to trick you. There\'s no scientist on that shuttle. As soon as they found out that you spotted their setup Imperial fighters attacked you. Eliminate them all!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/vortex_mission_1.stf', '8', 'unused1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/vortex_mission_1.stf', '9', 'unused1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/vortex_mission_1.stf', '10', 'unused2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/vortex_mission_1.stf', '11', 'unused2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/yavin_rebel_15.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/yavin_rebel_15.stf', '2', 'complete', 'Rebel Command: < Good work pilot, you beat the ambush. Return to base for some well earned rest. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/yavin_rebel_15.stf', '3', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/yavin_rebel_15.stf', '4', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/yavin_rebel_15.stf', '5', 'title', 'Lok system: Eliminate Imperial fighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/yavin_rebel_15.stf', '6', 'title_d', 'You have to eliminate the Imperial fighters!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/yavin_rebel_15.stf', '7', 'unused1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/yavin_rebel_15.stf', '8', 'unused1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/yavin_rebel_15.stf', '9', 'unused2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/destroy_surpriseattack/yavin_rebel_15.stf', '10', 'unused2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_3.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_3.stf', '2', 'abort', 'You cannot just leave us out here without an escort. The CorSec will be all over us! Report your failure to High Command.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_3.stf', '3', 'arrived_at_loc', 'Arrived at location. Wait here for Freighter to finish hyper jump.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_3.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_3.stf', '5', 'attack_notify', 'Tactical Computer: < Incoming fighter vessels. Scans show weapons armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_3.stf', '6', 'attack_stopped', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_3.stf', '7', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_3.stf', '8', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_3.stf', '9', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_3.stf', '10', 'complete', 'Mission accomplished. Good job pilot. Report to your superior for further instructions.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_3.stf', '11', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_3.stf', '12', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_3.stf', '13', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_3.stf', '14', 'failed_destroy', 'You let the CorSec destroy equipment worth millions! We are sending another freighter to your position. Prove yourself worthy to be called an Imperial pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_3.stf', '15', 'failed_protect', 'I\'m doomed on my own, I\'ll never make it! Black Epsilon will hear of your failure!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_3.stf', '16', 'found_loc', 'Escort coordinates confirmed. Proceed as planned.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_3.stf', '17', 'goodbye_1', 'Good job pilot! We will take it from here. Beginning descent to surface.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_3.stf', '18', 'goodbye_2', 'Good job pilot! We will take it from here. Beginning descent to surface.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_3.stf', '19', 'goodbye_3', 'Good job pilot! We will take it from here. Beginning descent to surface.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_3.stf', '20', 'goodbye_4', 'Good job pilot! We will take it from here. Beginning descent to surface.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_3.stf', '21', 'goodbye_5', 'Good job pilot! We will take it from here. Beginning descent to surface.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_3.stf', '22', 'hull_half', 'We\'re falling apart over here, do your job pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_3.stf', '23', 'panic_1', 'Incoming CorSec fighter ships, they have spotted my cargo, keep them off me!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_3.stf', '24', 'panic_2', 'CorSec fighters inbound, keep them off me!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_3.stf', '25', 'panic_3', 'CorSec fighter ships attacking, they have spotted my cargo!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_3.stf', '26', 'panic_4', 'CorSec fighter ships attacking, they have spotted my cargo!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_3.stf', '27', 'panic_5', 'CorSec fighters inbound, keep them off me!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_3.stf', '28', 'quest_escort_d', 'After meeting up with freighter, follow it to the drop location. You will need to protect the freighter from local security forces who might try to stop it in order to inspect its cargo of illegal explosives.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_3.stf', '29', 'quest_escort_t', 'Escort the Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_3.stf', '30', 'quest_location_d', 'Travel to the Corellia system. Once you reach the system you will receive a navigation waypoint to the freighter\'s arrival location. Travel to this location and wait for the arrival of the freighter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_3.stf', '31', 'quest_location_t', 'Travel to the Corellian System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_3.stf', '32', 'quest_rendezvous_d', 'Travel to the navigation waypoint to the arrival location of the freighter. Wait for the freighter to arrive and then follow it as it moves through the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_3.stf', '33', 'quest_rendezvous_t', 'Meeting the Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_3.stf', '34', 'quest_update', 'Black Epsilon Command: <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_3.stf', '35', 'reason_1', 'We need to get this cargo to Coronet without incident. Watch our back.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_3.stf', '36', 'reason_2', 'We need to get this cargo to Coronet without incident. Watch our back.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_3.stf', '37', 'reason_3', 'We need to get this cargo to Coronet without incident. Watch our back.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_3.stf', '38', 'reason_4', 'We need to get this cargo to Coronet without incident. Watch our back.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_3.stf', '39', 'reason_5', 'We need to get this cargo to Coronet without incident. Watch our back.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_3.stf', '40', 'shields_depleted', 'My shields are failing! Get them off me quickly!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_3.stf', '41', 'split_quest_alert', 'A new freighter carrying the explosives is being sent to your system. Meet up with the freighter and make sure it reaches its destination.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_3.stf', '42', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_3.stf', '43', 'taunt_1', 'Cut your engines immediately or be destroyed!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_3.stf', '44', 'taunt_2', 'You are smuggling illegal goods. Cut your engines now or we will open fire!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_3.stf', '45', 'taunt_3', 'Terrorist scum! We will destroy you!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_3.stf', '46', 'taunt_4', 'You\'re no match for me, terrorist scum!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_3.stf', '47', 'taunt_5', 'I\'m taking you out, we don\'t tolerate terrorism on Corellia!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_3.stf', '48', 'thanks_1', 'Great job! I see that the Black Epsilon didn\'t put their trust in the wrong pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_3.stf', '49', 'thanks_2', 'Phew, that was a close one. We are almost there, keep your eyes open.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_3.stf', '50', 'thanks_3', 'I thought they would take us out for sure. I will let Command know of your superior skills!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_3.stf', '51', 'thanks_4', 'Phew, that was a close one. We are almost there, keep your eyes open.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_3.stf', '52', 'thanks_5', 'I thought they would take us out for sure. I will let Command know of your superior skills!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_3.stf', '53', 'title', 'Corellia System: Escort the Freighter Carrying the Expolsives');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_3.stf', '54', 'title_d', 'Travel to the Corellia system and escort the freighter through the system. Once you arrive in the Corellia system, you will receive a navigation waypoint to the freighter\'s arrival location. Travel to this location and wait for the freighter to arrive. Once the freighter arrives, follow it to its destination. You will have to keep it safe from any enemy fighters who attempt to stop it from reaching its destination. This is the first of four special assignments given to you by Hakasha Sireen. When you complete this mission, return to Hakasha Sireen at the Imperial Base on Talus for your next assignment.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2b.stf', '1', 'abort', 'I\'m dead because you aborted.  You lose.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2b.stf', '2', 'arrived_at_loc', 'Stay at the waypoint, your escortee will arrive soon.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2b.stf', '3', 'assigned_delayed', 'Proceed to escort a scanning vessle on its rounds.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2b.stf', '4', 'attack_notify', 'Enemy craft on attack approach');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2b.stf', '5', 'attack_stopped', 'Enemy craft have been destroyed');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2b.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2b.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2b.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2b.stf', '9', 'complete', 'The escort is complete');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2b.stf', '10', 'failed_destroy', 'You have failed due to the escortee being destroyed');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2b.stf', '11', 'failed_protect', 'You have failed because of bad flying, you should be ashamed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2b.stf', '12', 'found_loc', 'Proceed to the following location to pick up your escortee');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2b.stf', '13', 'goodbye_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2b.stf', '14', 'goodbye_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2b.stf', '15', 'goodbye_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2b.stf', '16', 'goodbye_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2b.stf', '17', 'goodbye_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2b.stf', '18', 'hull_half', 'Hull is down to half');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2b.stf', '19', 'panic_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2b.stf', '20', 'panic_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2b.stf', '21', 'panic_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2b.stf', '22', 'panic_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2b.stf', '23', 'panic_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2b.stf', '24', 'quest_escort_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2b.stf', '25', 'quest_escort_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2b.stf', '26', 'quest_location_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2b.stf', '27', 'quest_location_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2b.stf', '28', 'quest_rendezvous_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2b.stf', '29', 'quest_rendezvous_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2b.stf', '30', 'quest_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2b.stf', '31', 'reason_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2b.stf', '32', 'reason_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2b.stf', '33', 'reason_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2b.stf', '34', 'reason_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2b.stf', '35', 'reason_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2b.stf', '36', 'shields_depleted', 'Shields are down.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2b.stf', '37', 'split_quest_alert', 'Split Quest Incoming');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2b.stf', '38', 'taunt_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2b.stf', '39', 'taunt_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2b.stf', '40', 'taunt_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2b.stf', '41', 'taunt_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2b.stf', '42', 'taunt_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2b.stf', '43', 'thanks_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2b.stf', '44', 'thanks_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2b.stf', '45', 'thanks_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2b.stf', '46', 'thanks_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2b.stf', '47', 'thanks_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2b.stf', '48', 'title', 'Escort Imperial Scanning Craft');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2b.stf', '49', 'title_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2_b.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2_b.stf', '2', 'abort', '*static*');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2_b.stf', '3', 'arrived_at_loc', 'Stand by for arrival of the drone vessel. Once it arrives begin to escort it through the Nym controlled sector.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2_b.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2_b.stf', '5', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters detected.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2_b.stf', '6', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fights eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2_b.stf', '7', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2_b.stf', '8', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2_b.stf', '9', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2_b.stf', '10', 'complete', 'Nice work. Nym\'s pilots are in an uproar over the apparent attack on their ships by the Hutt smuggler.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2_b.stf', '11', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2_b.stf', '12', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2_b.stf', '13', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2_b.stf', '14', 'failed_destroy', 'Pilot, you were supposed to get that ship through in one piece. You flubbed the whole operation. Report back to your superior.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2_b.stf', '15', 'failed_protect', 'Pilot, you were supposed to get that ship through in one piece. You flubbed the whole operation. Report back to your superior.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2_b.stf', '16', 'found_loc', 'We will send the ship in to these nav coordinates. Meet the ship there and escort it through Nym\'s sector.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2_b.stf', '17', 'goodbye_1', '*static*');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2_b.stf', '18', 'goodbye_2', '*static*');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2_b.stf', '19', 'goodbye_3', '*static*');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2_b.stf', '20', 'goodbye_4', '*static*');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2_b.stf', '21', 'goodbye_5', '*static*');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2_b.stf', '22', 'hull_half', '*static*');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2_b.stf', '23', 'panic_1', '*static*');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2_b.stf', '24', 'panic_2', '*static*');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2_b.stf', '25', 'panic_3', '*static*');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2_b.stf', '26', 'panic_4', '*static*');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2_b.stf', '27', 'panic_5', '*static*');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2_b.stf', '28', 'quest_escort_d', 'Follow the freighter as it moves through Nym\'s space. Any of Nym\'s men who come to retaliate must be eliminated before they can alert their companions of your presence. If successful Nym will believe that the Hutts are launching a full scale attack on his operations.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2_b.stf', '29', 'quest_escort_t', 'Escort the Retrofitted Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2_b.stf', '30', 'quest_location_d', 'This operation is to take place in the Yavin system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2_b.stf', '31', 'quest_location_t', 'Remain in the Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2_b.stf', '32', 'quest_rendezvous_d', 'Meet the vessel at the supplied arrival Nav waypoint.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2_b.stf', '33', 'quest_rendezvous_t', 'Meet the Retrofitted Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2_b.stf', '34', 'quest_update', '\\#pcontrast1 Black Epsilon Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2_b.stf', '35', 'reason_1', '*static*');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2_b.stf', '36', 'reason_2', '*static*');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2_b.stf', '37', 'reason_3', '*static*');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2_b.stf', '38', 'reason_4', '*static*');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2_b.stf', '39', 'reason_5', '*static*');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2_b.stf', '40', 'shields_depleted', '*static*');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2_b.stf', '41', 'split_quest_alert', 'Long range scans show that Nym\'s men are massing and preparing to attack the Hutts. Assist the Hutts in wiping out Nym\'s attack force.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2_b.stf', '42', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2_b.stf', '43', 'taunt_1', 'What are you doing in this sector Hutt?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2_b.stf', '44', 'taunt_2', 'The Hutts have broken our agreement.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2_b.stf', '45', 'taunt_3', 'I knew we couldn\'t trust the Hutts.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2_b.stf', '46', 'taunt_4', 'It doesn\'t surprise me that the Hutts have betrayed us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2_b.stf', '47', 'taunt_5', 'Time to pay for your betrayal, Hutt.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2_b.stf', '48', 'thanks_1', '*static*');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2_b.stf', '49', 'thanks_2', '*static*');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2_b.stf', '50', 'thanks_3', '*static*');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2_b.stf', '51', 'thanks_4', '*static*');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2_b.stf', '52', 'thanks_5', '*static*');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2_b.stf', '53', 'title', 'Yavin System: Escort the Captured Hutt Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier3_2_b.stf', '54', 'title_d', 'The captured Hutt ship has been retrofit with the signature jammer and autopilot system. The jammer will allow you to remain hidden by the ships signature. When Nym\'s men scan the area all they will see is the Hutt ship and not your TIE. We will move this ship through Nym\'s territory. Since they are already highly angered they are sure to try to retaliate on the Hutt vessel. You are to protect the vessel and destroy any who try to attack it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier4_3.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier4_3.stf', '2', 'abort', 'Your orders were to make sure we dropped off the ground patrol successfully. Your superior will hear of your cowardice.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier4_3.stf', '3', 'arrived_at_loc', 'Stand by for the arrival of the drop shuttle. Once it arrives, escort it to the drop zone.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier4_3.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier4_3.stf', '5', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Alert! Enemy fighters detected. Incoming at attack speeds with weapons armed.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier4_3.stf', '6', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighter wave has been eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier4_3.stf', '7', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier4_3.stf', '8', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier4_3.stf', '9', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier4_3.stf', '10', 'complete', 'The ground forces have been dropped onto the planet\'s surface to begin their sweep. Stand by for further instructions.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier4_3.stf', '11', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier4_3.stf', '12', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier4_3.stf', '13', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier4_3.stf', '14', 'failed_destroy', 'Do you know how much effort it takes to get a commando crew trained? Report your failure to your superior.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier4_3.stf', '15', 'failed_protect', 'You left them without an escort? That is unacceptable. Report back to your commander.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier4_3.stf', '16', 'found_loc', 'Meet the drop shuttle at the location supplied to your nav computer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier4_3.stf', '17', 'goodbye_1', 'Beginning decent to drop ship depth. That planet sure doesn\'t look very hospitable. I hope out ground crew makes it okay.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier4_3.stf', '18', 'goodbye_2', 'Beginning decent to drop ship depth. That planet sure doesn\'t look very hospitable. I hope out ground crew makes it okay.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier4_3.stf', '19', 'goodbye_3', 'Beginning decent to drop ship depth. That planet sure doesn\'t look very hospitable. I hope out ground crew makes it okay.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier4_3.stf', '20', 'goodbye_4', 'Beginning decent to drop ship depth. That planet sure doesn\'t look very hospitable. I hope out ground crew makes it okay.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier4_3.stf', '21', 'goodbye_5', 'Beginning decent to drop ship depth. That planet sure doesn\'t look very hospitable. I hope out ground crew makes it okay.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier4_3.stf', '22', 'hull_half', 'Hull strength down to half. Get those fighters off of us, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier4_3.stf', '23', 'panic_1', 'Blast it! More of those mercs!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier4_3.stf', '24', 'panic_2', 'We are a troop transport not a fighter. Keep those ships off of us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier4_3.stf', '25', 'panic_3', 'I will try to evade as long as I can but it is really up to you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier4_3.stf', '26', 'panic_4', 'Keep those fighters busy while I try to make it to the drop point.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier4_3.stf', '27', 'panic_5', 'I can\'t shake them! You are going to have to destroy them.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier4_3.stf', '28', 'quest_escort_d', 'Protect the drop ship until it reaches the drop location. Once it has dropped off the strike team wait for it to leave the area.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier4_3.stf', '29', 'quest_escort_t', 'Escort the Drop Ship');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier4_3.stf', '30', 'quest_location_d', 'Meet the drop ship in the Dathomir system. You will be supplied with the arrival location of the drop ship once you enter the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier4_3.stf', '31', 'quest_location_t', 'Travel to the Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier4_3.stf', '32', 'quest_rendezvous_d', 'Travel to the arrival location and wait for the arrival of the drop ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier4_3.stf', '33', 'quest_rendezvous_t', 'Meet the Drop Ship');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier4_3.stf', '34', 'quest_update', '\\#pcontrast1 Black Epsilon Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier4_3.stf', '35', 'reason_1', 'We have to get these troopers to the drop point. Once over the drop point I will drop the pods and jump out of the sector. Keep an eye out for enemy craft.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier4_3.stf', '36', 'reason_2', 'We have to get these troopers to the drop point. Once over the drop point I will drop the pods and jump out of the sector. Keep an eye out for enemy craft.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier4_3.stf', '37', 'reason_3', 'We have to get these troopers to the drop point. Once over the drop point I will drop the pods and jump out of the sector. Keep an eye out for enemy craft.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier4_3.stf', '38', 'reason_4', 'We have to get these troopers to the drop point. Once over the drop point I will drop the pods and jump out of the sector. Keep an eye out for enemy craft.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier4_3.stf', '39', 'reason_5', 'We have to get these troopers to the drop point. Once over the drop point I will drop the pods and jump out of the sector. Keep an eye out for enemy craft.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier4_3.stf', '40', 'shields_depleted', 'We just lost our shields. Unless you get those fighters off of us, we are not going to make it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier4_3.stf', '41', 'split_quest_alert', 'Alert! Alert! Drop shuttle has been attacked and damaged, while attempting to jump out of the sector, by an enemy force. Prepare to offer assistance.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier4_3.stf', '42', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier4_3.stf', '43', 'taunt_1', 'I thought Imperial pilots were supposed to be good.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier4_3.stf', '44', 'taunt_2', 'The bosses don\'t want your kind in this sector.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier4_3.stf', '45', 'taunt_3', 'Sorry about having to blow you up. Just following orders.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier4_3.stf', '46', 'taunt_4', 'The bosses told us you would be trying this. They sure know alot of things.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier4_3.stf', '47', 'taunt_5', 'The bosses don\'t want your kind in this sector.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier4_3.stf', '48', 'thanks_1', 'We are still on target. The sooner we can get this drop done the sooner we can get out of here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier4_3.stf', '49', 'thanks_2', 'We are still on target. The sooner we can get this drop done the sooner we can get out of here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier4_3.stf', '50', 'thanks_3', 'We are still on target. The sooner we can get this drop done the sooner we can get out of here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier4_3.stf', '51', 'thanks_4', 'We are still on target. The sooner we can get this drop done the sooner we can get out of here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier4_3.stf', '52', 'thanks_5', 'We are still on target. The sooner we can get this drop done the sooner we can get out of here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier4_3.stf', '53', 'title', 'Dathomir System: Escort the Drop Ship');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_imperial_tier4_3.stf', '54', 'title_d', 'The recovered shuttle and the orders on the captured captain suggest that the people you are after went to the Dathomir sector. Insurgent believes that some of them might have landed on the planet\'s surface and wants to send in a strike team to make sure they never off if they did. The strike team will be dropped in from space and then have to travel to via land to the Imperial prison. They are not aware that this is a one way trip. You are to escort the drop ship safely through the Dathomir system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_14.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_14.stf', '2', 'abort', 'You have failed your mission.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_14.stf', '3', 'arrived_at_loc', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 You have arrived at the designated position. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_14.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_14.stf', '5', 'attack_notify', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Enemy craft have been detected. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_14.stf', '6', 'attack_stopped', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Hostile actions have ceased. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_14.stf', '7', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_14.stf', '8', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_14.stf', '9', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_14.stf', '10', 'complete', 'The escort is complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_14.stf', '11', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_14.stf', '12', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_14.stf', '13', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_14.stf', '14', 'failed_destroy', 'You have failed, the escorting craft has been destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_14.stf', '15', 'failed_protect', 'The operation has altered too far off course, this mission is a failure.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_14.stf', '16', 'found_loc', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Updating position to meet the escort. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_14.stf', '17', 'goodbye_1', 'Thank you for getting us through Captain');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_14.stf', '18', 'goodbye_2', 'Those rebels really irk me sometimes.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_14.stf', '19', 'goodbye_3', 'Thank you for getting us through Captain');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_14.stf', '20', 'goodbye_4', 'Thank you for getting us through Captain');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_14.stf', '21', 'goodbye_5', 'Thank you for getting us through Captain');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_14.stf', '22', 'hull_half', 'Hull integrity is down to half.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_14.stf', '23', 'panic_1', 'Here come the Rebel Pirates!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_14.stf', '24', 'panic_2', 'Save me, save me!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_14.stf', '25', 'panic_3', 'Here come the Rebel Pirates!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_14.stf', '26', 'panic_4', 'Here come the Rebel Pirates!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_14.stf', '27', 'panic_5', 'Here come the Rebel Pirates!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_14.stf', '28', 'quest_escort_d', 'A merchant freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_14.stf', '29', 'quest_escort_t', 'Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_14.stf', '30', 'quest_location_d', 'Smuggler path through Yavin Space');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_14.stf', '31', 'quest_location_t', 'Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_14.stf', '32', 'quest_rendezvous_d', 'Travel here to rendezvous with the freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_14.stf', '33', 'quest_rendezvous_t', 'Escort Rendezvous');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_14.stf', '34', 'quest_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_14.stf', '35', 'reason_1', 'Stay alert, the rebels have been intercepting our transport to \'assist with the rebellion\'');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_14.stf', '36', 'reason_2', 'Stay alert, the rebels have been intercepting our transport to \'assist with the rebellion\'');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_14.stf', '37', 'reason_3', 'Stay alert, the rebels have been intercepting our transport to \'assist with the rebellion\'');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_14.stf', '38', 'reason_4', 'Stay alert, the rebels have been intercepting our transport to \'assist with the rebellion\'');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_14.stf', '39', 'reason_5', 'Stay alert, the rebels have been intercepting our transport to \'assist with the rebellion\'');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_14.stf', '40', 'shields_depleted', 'Shields are down.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_14.stf', '41', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_14.stf', '42', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_14.stf', '43', 'taunt_1', 'Give it up gentlemen, we need that shipment.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_14.stf', '44', 'taunt_2', 'Stand down CorSec pilot, we do not want to hurt you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_14.stf', '45', 'taunt_3', 'Give it up gentlemen, we need that shipment.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_14.stf', '46', 'taunt_4', 'Give it up gentlemen, we need that shipment.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_14.stf', '47', 'taunt_5', 'Give it up gentlemen, we need that shipment.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_14.stf', '48', 'thanks_1', 'Rebels are no better than common pirates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_14.stf', '49', 'thanks_2', 'Those Rebels should know better.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_14.stf', '50', 'thanks_3', 'Rebels are no better than common pirates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_14.stf', '51', 'thanks_4', 'Rebels are no better than common pirates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_14.stf', '52', 'thanks_5', 'Rebels are no better than common pirates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_14.stf', '53', 'title', 'Yavin System: Escort the Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_14.stf', '54', 'title_d', 'Escort a freighter through Yavin Space against Rebel raiders');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_3.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_3.stf', '2', 'abort', 'You have failed due to aborting the mission.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_3.stf', '3', 'arrived_at_loc', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Arrived at rendezvous. Wait here for Freighter to arrive. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_3.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_3.stf', '5', 'attack_notify', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Incoming fighter vessels. Scans show weapons armed. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_3.stf', '6', 'attack_stopped', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 No more fighter vessels within sensor range. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_3.stf', '7', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_3.stf', '8', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_3.stf', '9', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_3.stf', '10', 'complete', 'Mission accomplished. Good job pilot. Report to your superior for further instructions.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_3.stf', '11', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_3.stf', '12', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_3.stf', '13', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_3.stf', '14', 'failed_destroy', 'You let the Pirates destroy that Freighter! Report to your superior immediately.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_3.stf', '15', 'failed_protect', 'I can\'t do this on my own, I have to hyper jump out of here. I thought CorSec protected this area!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_3.stf', '16', 'found_loc', 'Meeting coordinates uploaded to your nav computer, proceed with haste.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_3.stf', '17', 'goodbye_1', 'Good job pilot! We will take it from here. ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_3.stf', '18', 'goodbye_2', 'Good job pilot! We will take it from here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_3.stf', '19', 'goodbye_3', 'Good job pilot! We will take it from here. ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_3.stf', '20', 'goodbye_4', 'Good job pilot! We will take it from here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_3.stf', '21', 'goodbye_5', 'Good job pilot! We will take it from here. ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_3.stf', '22', 'hull_half', 'We\'re falling apart over here, do your job pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_3.stf', '23', 'panic_1', 'Incoming Pirate fighters, keep them off me!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_3.stf', '24', 'panic_2', 'Pirate fighters inbound! I can\'t defend against them by myself, please help!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_3.stf', '25', 'panic_3', 'The pirate fighters have caught up, they don\'t seem afraid of your presence pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_3.stf', '26', 'panic_4', 'Those blasted space pirates are incoming!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_3.stf', '27', 'panic_5', 'These pirates never give up do they?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_3.stf', '28', 'quest_escort_d', 'The freighter will make their hyperspace jump from this point.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_3.stf', '29', 'quest_escort_t', 'Escort Complete');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_3.stf', '30', 'quest_location_d', 'Corellia System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_3.stf', '31', 'quest_location_t', 'Corellia System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_3.stf', '32', 'quest_rendezvous_d', 'Fly to this point to meet up with the freighter you are escorting.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_3.stf', '33', 'quest_rendezvous_t', 'Rendezvous with the freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_3.stf', '34', 'quest_update', 'CorSec Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_3.stf', '35', 'reason_1', 'We just barely escaped the pirates over in sector OC-3101, they are hot on our tail. Please help us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_3.stf', '36', 'reason_2', 'We just barely escaped the pirates over in sector OC-3101, they are hot on our tail. Please help us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_3.stf', '37', 'reason_3', 'We just barely escaped the pirates over in sector OC-3101, they are hot on our tail. Please help us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_3.stf', '38', 'reason_4', 'We just barely escaped the pirates over in sector OC-3101, they are hot on our tail. Please help us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_3.stf', '39', 'reason_5', 'We just barely escaped the pirates over in sector OC-3101, they are hot on our tail. Please help us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_3.stf', '40', 'shields_depleted', 'My shields are failing! Get them off me quickly! ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_3.stf', '41', 'split_quest_alert', '\\#pcontrast3 Sgt Rhea: < \\#pcontrast1 You appear to have hit a little snag out there Captain.  Get patched up and run the patrol route again. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_3.stf', '42', 'split_quest_alert_fail', '\\#pcontrast3 Sgt Rhea: < \\#pcontrast1 You appear to have hit a little snag out there Captain.  Get patched up and run the patrol route again. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_3.stf', '43', 'taunt_1', 'This baby is ours, step out of the way or be destroyed CorSec! ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_3.stf', '44', 'taunt_2', 'Take \'em down boys!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_3.stf', '45', 'taunt_3', 'Like taking candy from a kid!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_3.stf', '46', 'taunt_4', 'Your moves are those of a Gungan in a desert, prepare to die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_3.stf', '47', 'taunt_5', 'Want to play, CorSec slave?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_3.stf', '48', 'thanks_1', 'Great job! I see that the CorSec have earned their reputation.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_3.stf', '49', 'thanks_2', 'Phew, that was a close one. We are almost there, keep your eyes open.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_3.stf', '50', 'thanks_3', 'You CorSec boys are worth every cred they pay you!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_3.stf', '51', 'thanks_4', 'I haven\'t seen such moves since...well never. What ever they pay you, it\'s not enough pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_3.stf', '52', 'thanks_5', 'Fantastic! I could have sworn we were done for, thanks again pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_3.stf', '53', 'title', 'Corellia System: Escort Transport to safety.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_3.stf', '54', 'title_d', 'Protect the transport from the Black Sun pirates in the area until it can make a hyperspace jump.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_1_b.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_1_b.stf', '2', 'abort', 'Gee, thanks. I\'ll find my own way back, thank you very much!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_1_b.stf', '3', 'arrived_at_loc', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Arrived at rendezvous. Wait here for Transport to arrive. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_1_b.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_1_b.stf', '5', 'attack_notify', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Incoming fighter vessels. Scans show weapons armed. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_1_b.stf', '6', 'attack_stopped', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1\\#pcontrast1 No more fighter vessels within sensor range. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_1_b.stf', '7', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_1_b.stf', '8', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_1_b.stf', '9', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_1_b.stf', '10', 'complete', '\\#pcontrast3 CorSec Command: < \\#pcontrast1 Mission accomplished. Good job, pilot. Continue with further objectives. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_1_b.stf', '11', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_1_b.stf', '12', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_1_b.stf', '13', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_1_b.stf', '14', 'failed_destroy', 'The Transport has been lost! Mission failed! Report to your superior immediately.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_1_b.stf', '15', 'failed_protect', 'Pilot, the mission is a failure! You failed to protect the transport effectively. Report to your superior.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_1_b.stf', '16', 'found_loc', '\\#pcontrast3 CorSec Command: < \\#pcontrast1 Meeting coordinates uploaded to your nav computer, proceed with haste. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_1_b.stf', '17', 'goodbye_1', 'Good job pilot! We will take it from here. ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_1_b.stf', '18', 'goodbye_2', 'We are off, thank you for the escort.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_1_b.stf', '19', 'goodbye_3', 'Good job pilot! We will take it from here. ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_1_b.stf', '20', 'goodbye_4', 'Good job pilot! We will take it from here. ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_1_b.stf', '21', 'goodbye_5', 'Good job pilot! We will take it from here. ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_1_b.stf', '22', 'hull_half', 'We\'re falling apart over here, do your job pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_1_b.stf', '23', 'panic_1', 'Incoming enemy fighters, keep them off me!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_1_b.stf', '24', 'panic_2', 'Underfire! Help us out here!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_1_b.stf', '25', 'panic_3', 'Incoming enemy fighters, keep them off me!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_1_b.stf', '26', 'panic_4', 'Incoming enemy fighters, keep them off me!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_1_b.stf', '27', 'panic_5', 'Underfire! Help us out here!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_1_b.stf', '28', 'quest_escort_d', 'Escort this civilian freighter to safety, expect hostility from the local scavengers');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_1_b.stf', '29', 'quest_escort_t', 'Light Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_1_b.stf', '30', 'quest_location_d', 'Location of Endor Space where a freighter has drifted from the shipping lanes');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_1_b.stf', '31', 'quest_location_t', 'Endor System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_1_b.stf', '32', 'quest_rendezvous_d', 'Travel to this point to meet up with the freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_1_b.stf', '33', 'quest_rendezvous_t', 'Rendezvous Location');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_1_b.stf', '34', 'quest_update', '\\#pcontrast3 < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_1_b.stf', '35', 'reason_1', 'We just barely escaped the pirates over in sector OC-3101, they are hot on our tail. Please help us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_1_b.stf', '36', 'reason_2', 'We just barely escaped the pirates over in sector OC-3101, they are hot on our tail. Please help us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_1_b.stf', '37', 'reason_3', 'We just barely escaped the pirates over in sector OC-3101, they are hot on our tail. Please help us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_1_b.stf', '38', 'reason_4', 'We just barely escaped the pirates over in sector OC-3101, they are hot on our tail. Please help us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_1_b.stf', '39', 'reason_5', 'We just barely escaped the pirates over in sector OC-3101, they are hot on our tail. Please help us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_1_b.stf', '40', 'shields_depleted', 'My shields are failing! Get them off me quickly!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_1_b.stf', '41', 'split_quest_alert', '\\#pcontrast3 CorSec Command: < \\#pcontrast1 Our computers have detected a hyperspace surge, pilot. We assume it\'s enemy ships with armed weapon systems. Stay on the alert. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_1_b.stf', '42', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_1_b.stf', '43', 'taunt_1', 'Take \'em down boys!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_1_b.stf', '44', 'taunt_2', 'Want to play, CorSec slave?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_1_b.stf', '45', 'taunt_3', 'Want to play, CorSec slave?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_1_b.stf', '46', 'taunt_4', 'Want to play, CorSec slave?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_1_b.stf', '47', 'taunt_5', 'Take \'em down boys!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_1_b.stf', '48', 'thanks_1', 'Great job! I see that the CorSec have earned their reputation.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_1_b.stf', '49', 'thanks_2', 'Fantastic! I could have sworn we were done for, thanks again pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_1_b.stf', '50', 'thanks_3', 'Fantastic! I could have sworn we were done for, thanks again pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_1_b.stf', '51', 'thanks_4', 'Fantastic! I could have sworn we were done for, thanks again pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_1_b.stf', '52', 'thanks_5', 'Great job! I see that the CorSec have earned their reputation.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_1_b.stf', '53', 'title', 'Endor System: Supply Line Escort');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_1_b.stf', '54', 'title_d', 'Escort the wayward freighter to safety');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_3_pre_a.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_3_pre_a.stf', '2', 'abort', 'This mission is a wash');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_3_pre_a.stf', '3', 'arrived_at_loc', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Large craft hyperspace signature detected. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_3_pre_a.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_3_pre_a.stf', '5', 'attack_notify', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Enemy craft detected on attack vector. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_3_pre_a.stf', '6', 'attack_stopped', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 The attack has stopped. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_3_pre_a.stf', '7', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_3_pre_a.stf', '8', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_3_pre_a.stf', '9', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_3_pre_a.stf', '10', 'complete', '\\#pcontrast3 Freighter: < \\#pcontrast1 Relaying encoded message from CorSec Command.\\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_3_pre_a.stf', '11', 'escort_too_far1', 'You are drifting, stay close.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_3_pre_a.stf', '12', 'escort_too_far2', 'You are going to blow our cover!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_3_pre_a.stf', '13', 'escort_too_far3', 'Your ship profile is easily distinguishable on scanners now, get closer!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_3_pre_a.stf', '14', 'failed_destroy', '\\#pcontrast3 CorSec Command: < \\#pcontrast1 Cover is blown, the mission is a failture. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_3_pre_a.stf', '15', 'failed_protect', '\\#pcontrast3 Freighter: < \\#pcontrast1 You are out of position, our cover is blown. \\#pcontrast3 > ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_3_pre_a.stf', '16', 'found_loc', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 CorSec IFF signature detected. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_3_pre_a.stf', '17', 'goodbye_1', 'Good luck Captain, give them hell.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_3_pre_a.stf', '18', 'goodbye_2', 'Be ready Captain, you are close.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_3_pre_a.stf', '19', 'goodbye_3', 'Good luck pilot, give them hell.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_3_pre_a.stf', '20', 'goodbye_4', 'Good luck pilot, give them hell.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_3_pre_a.stf', '21', 'goodbye_5', 'Good luck pilot, give them hell.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_3_pre_a.stf', '22', 'hull_half', 'Hull integrity at half, whatever you are going to do make it fast.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_3_pre_a.stf', '23', 'panic_1', 'Scavengers!  Get rid of them quickly, this is a sensitive operation.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_3_pre_a.stf', '24', 'panic_2', 'Scavengers!  Get rid of them quickly, this is a sensitive operation.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_3_pre_a.stf', '25', 'panic_3', 'Scavengers!  Get rid of them quickly, this is a sensitive operation.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_3_pre_a.stf', '26', 'panic_4', 'Scavengers!  Get rid of them quickly, this is a sensitive operation.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_3_pre_a.stf', '27', 'panic_5', 'Scavengers!  Get rid of them quickly, this is a sensitive operation.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_3_pre_a.stf', '28', 'quest_escort_d', 'This transport is equipped with a passive sensor jammer to mask your presence');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_3_pre_a.stf', '29', 'quest_escort_t', 'Light Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_3_pre_a.stf', '30', 'quest_location_d', 'A holding pattern within the Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_3_pre_a.stf', '31', 'quest_location_t', 'Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_3_pre_a.stf', '32', 'quest_rendezvous_d', 'Meet the freighter here');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_3_pre_a.stf', '33', 'quest_rendezvous_t', 'Rendezvous Point');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_3_pre_a.stf', '34', 'quest_update', '\\#pcontrast3 < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_3_pre_a.stf', '35', 'reason_1', 'Stay close to me and I can guard your engine signature. Lets move out.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_3_pre_a.stf', '36', 'reason_2', 'Don\'t wander away, we need to keep you close if this is to work.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_3_pre_a.stf', '37', 'reason_3', 'Stay close to me and I can guard your engine signature. Lets move out.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_3_pre_a.stf', '38', 'reason_4', 'Stay close to me and I can guard your engine signature. Lets move out.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_3_pre_a.stf', '39', 'reason_5', 'Stay close to me and I can guard your engine signature. Lets move out.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_3_pre_a.stf', '40', 'shields_depleted', 'Deflector shields are down.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_3_pre_a.stf', '41', 'split_quest_alert', '\\#pcontrast3 CorSec Command: < [SECURE] A large Black Sun assault group is moving in, they are not aware of your presence yet.  We are giving you our best guess as to their hyperspace exit point.  Good luck Captain, CorSec out. [SECURE] \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_3_pre_a.stf', '42', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_3_pre_a.stf', '43', 'taunt_1', 'Eh, where did you come from CorSec scum?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_3_pre_a.stf', '44', 'taunt_2', 'Eh, where did you come from CorSec scum?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_3_pre_a.stf', '45', 'taunt_3', 'Eh, where did you come from CorSec scum?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_3_pre_a.stf', '46', 'taunt_4', 'Eh, where did you come from CorSec scum?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_3_pre_a.stf', '47', 'taunt_5', 'Eh, where did you come from CorSec scum?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_3_pre_a.stf', '48', 'thanks_1', 'I do not think we were detected, lets keep moving.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_3_pre_a.stf', '49', 'thanks_2', 'I do not think we were detected, lets keep moving.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_3_pre_a.stf', '50', 'thanks_3', 'I do not think we were detected, lets keep moving.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_3_pre_a.stf', '51', 'thanks_4', 'I do not think we were detected, lets keep moving.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_3_pre_a.stf', '52', 'thanks_5', 'I do not think we were detected, lets keep moving.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_3_pre_a.stf', '53', 'title', 'Dantooine System: Escort the Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier3_3_pre_a.stf', '54', 'title_d', 'Follow the transport, stay in their sensor disruption area.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier4_2b.stf', '1', 'abort', 'You have failed because you aborted the mission.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier4_2b.stf', '2', 'arrived_at_loc', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Designated rendezvous point reached. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier4_2b.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier4_2b.stf', '4', 'attack_notify', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Enemy craft detected on attack vector. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier4_2b.stf', '5', 'attack_stopped', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Hostile activity has ceased. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier4_2b.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier4_2b.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier4_2b.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier4_2b.stf', '9', 'complete', '\\#pcontrast3 CorSec Command: < \\#pcontrast1 It is always good to show the Empire that Corellian Security can be trusted. Return to base Captain, that is all for today. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier4_2b.stf', '10', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier4_2b.stf', '11', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier4_2b.stf', '12', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier4_2b.stf', '13', 'failed_destroy', 'You have failed because the shuttle was destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier4_2b.stf', '14', 'failed_protect', 'You have failed to protect the shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier4_2b.stf', '15', 'found_loc', '\\#pcontrast3 CorSec Command: < \\#pcontrast1 I am uploading the rendezvous point to you now, travel over there to begin. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier4_2b.stf', '16', 'goodbye_1', 'The escort was sufficient.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier4_2b.stf', '17', 'goodbye_2', 'The prisoners thank you, I\'m sure.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier4_2b.stf', '18', 'goodbye_3', 'The escort was sufficient.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier4_2b.stf', '19', 'goodbye_4', 'The escort was sufficient.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier4_2b.stf', '20', 'goodbye_5', 'The escort was sufficient.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier4_2b.stf', '21', 'hull_half', 'Hull integrity at half.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier4_2b.stf', '22', 'panic_1', 'Fighters approaching.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier4_2b.stf', '23', 'panic_2', 'Here come the assassins.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier4_2b.stf', '24', 'panic_3', 'Fighters approaching.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier4_2b.stf', '25', 'panic_4', 'Fighters approaching.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier4_2b.stf', '26', 'panic_5', 'Fighters approaching.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier4_2b.stf', '27', 'quest_escort_d', 'Escort the shuttle as it passes through the system');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier4_2b.stf', '28', 'quest_escort_t', 'Escort');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier4_2b.stf', '29', 'quest_location_d', 'A travel lane in the Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier4_2b.stf', '30', 'quest_location_t', 'Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier4_2b.stf', '31', 'quest_rendezvous_d', 'Travel here to meet with the prison shuttle');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier4_2b.stf', '32', 'quest_rendezvous_t', 'Rendezvous Location');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier4_2b.stf', '33', 'quest_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier4_2b.stf', '34', 'reason_1', 'We have lost two shuttles to attacks recently.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier4_2b.stf', '35', 'reason_2', 'The Hidden Daggers are looking for someone; someone they obviously do not like.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier4_2b.stf', '36', 'reason_3', 'We have lost two shuttles to attacks recently.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier4_2b.stf', '37', 'reason_4', 'We have lost two shuttles to attacks recently.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier4_2b.stf', '38', 'reason_5', 'We have lost two shuttles to attacks recently.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier4_2b.stf', '39', 'shields_depleted', 'Shields are down.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier4_2b.stf', '40', 'split_quest_alert', 'Go do a destroy!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier4_2b.stf', '41', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier4_2b.stf', '42', 'taunt_1', 'Death to you fools.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier4_2b.stf', '43', 'taunt_2', 'It is unfortunate that you chose death this day.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier4_2b.stf', '44', 'taunt_3', 'Death to you fools.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier4_2b.stf', '45', 'taunt_4', 'Death to you fools.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier4_2b.stf', '46', 'taunt_5', 'Death to you fools.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier4_2b.stf', '47', 'thanks_1', 'Attackers defeated.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier4_2b.stf', '48', 'thanks_2', 'Keep alert, I will not be safe until I make my jump.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier4_2b.stf', '49', 'thanks_3', 'Attackers defeated.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier4_2b.stf', '50', 'thanks_4', 'Attackers defeated.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier4_2b.stf', '51', 'thanks_5', 'Attackers defeated.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier4_2b.stf', '52', 'title', 'Dathomir System: Escort the prison shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_privateer_tier4_2b.stf', '53', 'title_d', 'See the Dathomir prision shuttle safely through Dathomir');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_3.stf', '1', 'abort', 'Our cover is blown. We\'ll never make it!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_3.stf', '2', 'arrived_at_loc', 'That\'s the correct coordinates pilot. Wait for the transport to come out of hiding.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_3.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_3.stf', '4', 'attack_notify', 'Tactical Computer: < Incoming fighter vessels. Scans show weapons armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_3.stf', '5', 'attack_stopped', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_3.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_3.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_3.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_3.stf', '9', 'complete', 'Good job pilot, they are safe. Return to base.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_3.stf', '10', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_3.stf', '11', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_3.stf', '12', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_3.stf', '13', 'failed_destroy', 'We can\'t afford to loose transports like that pilot! Return to base, you have some explaining to do!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_3.stf', '14', 'failed_protect', 'What happened up there pilot?!  Return to base, you have some explaining to do!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_3.stf', '15', 'found_loc', 'Proceed to these coordinates immediately pilot, we have found the transport!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_3.stf', '16', 'goodbye', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_3.stf', '17', 'goodbye_1', 'Alright, we can take things from here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_3.stf', '18', 'goodbye_2', 'Alright, we can take things from here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_3.stf', '19', 'goodbye_3', 'Alright, we can take things from here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_3.stf', '20', 'goodbye_4', 'Alright, we can take things from here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_3.stf', '21', 'goodbye_5', 'Alright, we can take things from here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_3.stf', '22', 'hello', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_3.stf', '23', 'hull_half', 'I didn\'t think this ship could get in a worse state, I was wrong!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_3.stf', '24', 'panic_1', 'An Imperial patrol spotted us!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_3.stf', '25', 'panic_2', 'Darn! TIE fighters coming toward us!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_3.stf', '26', 'panic_3', 'I wish this piece of junk had some fighting abilities!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_3.stf', '27', 'panic_4', 'We\'re in your hands pilot, here they come!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_3.stf', '28', 'panic_5', 'I hope you know what you\'re doing, this will get ugly!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_3.stf', '29', 'quest_escort_d', 'Follow the Alliance transport as it makes its way through the Corellia system. Defend it against any hostile forces that attack. Ensure that the transport reaches its hyperspace jump-point safely.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_3.stf', '30', 'quest_escort_t', 'Escort the Alliance transport.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_3.stf', '31', 'quest_location_d', 'Fly to the navigation point and meet up with the Alliance transport.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_3.stf', '32', 'quest_location_t', 'Corellia system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_3.stf', '33', 'quest_rendezvous_d', 'Fly to this nav point and wait for the Alliance transport to come out of hyperspace.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_3.stf', '34', 'quest_rendezvous_t', 'Meet the Alliance transport.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_3.stf', '35', 'quest_update', 'Rebel Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_3.stf', '36', 'reason_1', 'Good to see you pilot, our ship is having all sorts of problems. We won\'t be able to go fast so we need your protection.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_3.stf', '37', 'reason_2', 'Good to see you pilot, our ship is having all sorts of problems. We won\'t be able to go fast so we need your protection.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_3.stf', '38', 'reason_3', 'Good to see you pilot, our ship is having all sorts of problems. We won\'t be able to go fast so we need your protection.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_3.stf', '39', 'reason_4', 'Good to see you pilot, our ship is having all sorts of problems. We won\'t be able to go fast so we need your protection.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_3.stf', '40', 'reason_5', 'Good to see you pilot, our ship is having all sorts of problems. We won\'t be able to go fast so we need your protection.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_3.stf', '41', 'shields_depleted', 'Our shields just went down! I hate this ship!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_3.stf', '42', 'split_quest_alert', 'Rebel Command: < There\'s another freighter that need your help pilot, don\'t let us down again! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_3.stf', '43', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_3.stf', '44', 'taunt_1', 'Cut your engines immediately and no one will be harmed!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_3.stf', '45', 'taunt_2', 'You are transporting illegal material, surrender!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_3.stf', '46', 'taunt_3', 'There\'s no way we will let you get away Rebel!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_3.stf', '47', 'taunt_4', 'Just face it Rebels, there\'s no way out of here alive!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_3.stf', '48', 'taunt_5', 'You just made my day Rebel scum, finally some action!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_3.stf', '49', 'thanks_1', 'Great job pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_3.stf', '50', 'thanks_2', 'Good, now lets get out of here!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_3.stf', '51', 'thanks_3', 'I\'m not sure this piece of junk can take another attack like that...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_3.stf', '52', 'thanks_4', 'Well I\'m impressed!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_3.stf', '53', 'thanks_5', 'I thought we were done for, thanks pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_3.stf', '54', 'title', 'Corellia system: Escort the Transport to Safety.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_3.stf', '55', 'title_d', 'Escort the Transport to Safety. A waypoint should appear, when you reach it a transport will come out of hiding momentarily. Follow it and ensure its safety from any enemy threats.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_2_c.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_2_c.stf', '2', 'abort', 'We are almost there and you\'re aborting? If I make it out alive, your commanding officer will hear of this!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_2_c.stf', '3', 'arrived_at_loc', 'You have arrived at the right location. The freighter should be there any moment.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_2_c.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_2_c.stf', '5', 'attack_notify', 'Tactical Computer: < Incoming fighter vessels. Scans show weapons armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_2_c.stf', '6', 'attack_stopped', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_2_c.stf', '7', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_2_c.stf', '8', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_2_c.stf', '9', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_2_c.stf', '10', 'complete', 'Good job pilot. Return to the base on Yavin 4 for some well deserved rest.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_2_c.stf', '11', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_2_c.stf', '12', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_2_c.stf', '13', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_2_c.stf', '14', 'failed_destroy', 'We have lost contact with our freighter! Return to the base on Yavin 4, we expect a full report on this incident!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_2_c.stf', '15', 'failed_protect', 'Our freighter had to perform a emergency hyperjump. After all you have gone through, I won\'t blame you for this failure pilot. Hopefully he\'s safe.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_2_c.stf', '16', 'found_loc', 'Rebel Command: < Proceed to these coordinates to meet with the freighter. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_2_c.stf', '17', 'goodbye_1', 'Thank you pilot, that was a close one. I\'m in your debt.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_2_c.stf', '18', 'goodbye_2', 'Thank you pilot, that was a close one. I\'m in your debt.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_2_c.stf', '19', 'goodbye_3', 'Thank you pilot, that was a close one. I\'m in your debt.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_2_c.stf', '20', 'goodbye_4', 'Thank you pilot, that was a close one. I\'m in your debt.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_2_c.stf', '21', 'goodbye_5', 'Thank you pilot, that was a close one. I\'m in your debt.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_2_c.stf', '22', 'hull_half', 'My hull is taking heavy damage. I hope you can get these TIE\'s off me pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_2_c.stf', '23', 'panic_1', 'They found us!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_2_c.stf', '24', 'panic_2', 'Incoming!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_2_c.stf', '25', 'panic_3', 'Imperial TIE ships heading our way! This will get ugly...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_2_c.stf', '26', 'panic_4', 'Damn the Emperor, TIE fighters!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_2_c.stf', '27', 'panic_5', 'Prepare for battle, we have boogeys incoming!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_2_c.stf', '28', 'quest_escort_d', 'Bring the freighter to the rest of the fleet. Be very careful and don\'t let any Imperial ships survive with knowledge of where you are taking this freighter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_2_c.stf', '29', 'quest_escort_t', 'Bring freighter to safety.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_2_c.stf', '30', 'quest_location_d', 'This area of the Endor system will be very dangerous right now as its the sector the Empire believe still may have some parts of our fleet in it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_2_c.stf', '31', 'quest_location_t', 'Endor system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_2_c.stf', '32', 'quest_rendezvous_d', 'The freighter is set to arrive at these coordinates any moment now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_2_c.stf', '33', 'quest_rendezvous_t', 'Rendez-vous with freighter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_2_c.stf', '34', 'quest_update', 'Rebel Fleet Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_2_c.stf', '35', 'reason_1', 'Hey, where is everyone?! Oh they relocated and you will take me to them? Alright, lets get moving.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_2_c.stf', '36', 'reason_2', 'Hey, where is everyone?! Oh they relocated and you will take me to them? Alright, lets get moving.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_2_c.stf', '37', 'reason_3', 'Hey, where is everyone?! Oh they relocated and you will take me to them? Alright, lets get moving.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_2_c.stf', '38', 'reason_4', 'Hey, where is everyone?! Oh they relocated and you will take me to them? Alright, lets get moving.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_2_c.stf', '39', 'reason_5', 'Hey, where is everyone?! Oh they relocated and you will take me to them? Alright, lets get moving.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_2_c.stf', '40', 'shields_depleted', 'My shields are out, curse the Empire!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_2_c.stf', '41', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_2_c.stf', '42', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_2_c.stf', '43', 'taunt_1', 'Well well, what do we have here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_2_c.stf', '44', 'taunt_2', 'Burn, you rebel scum!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_2_c.stf', '45', 'taunt_3', 'I heard what you did to our bombers. Prepare to pay!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_2_c.stf', '46', 'taunt_4', 'The Empire has tolerated you long enough Rebel!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_2_c.stf', '47', 'taunt_5', 'Your useless campaign ends here scum!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_2_c.stf', '48', 'thanks_1', 'I thought that was it for me, thank you buddy!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_2_c.stf', '49', 'thanks_2', 'I\'m still holding together, hopefully that was the last of them.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_2_c.stf', '50', 'thanks_3', 'Take that, Imperial lackeys!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_2_c.stf', '51', 'thanks_4', 'Wohoo! Nice flying pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_2_c.stf', '52', 'thanks_5', 'Phew, I don\'t think I can take anymore of that.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_2_c.stf', '53', 'title', 'Endor system: Escort straggling freighter to main fleet.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_2_c.stf', '54', 'title_d', 'One of the fleets freighters are just arriving at the original coordinates. You need to meet up with him and escort him to the rest of the fleet.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_3_c.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_3_c.stf', '2', 'abort', 'You\'re bailing on me?!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_3_c.stf', '3', 'arrived_at_loc', 'Good, you got there fast. Our smuggler should be there soon.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_3_c.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_3_c.stf', '5', 'attack_notify', 'Tactical Computer: < Incoming fighter vessels. Scans show weapons armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_3_c.stf', '6', 'attack_stopped', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_3_c.stf', '7', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_3_c.stf', '8', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_3_c.stf', '9', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_3_c.stf', '10', 'complete', 'Awesome pilot, this should be the last thing we need to be able to get out of here. Return to your base on Yavin 4 for some rest.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_3_c.stf', '11', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_3_c.stf', '12', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_3_c.stf', '13', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_3_c.stf', '14', 'failed_destroy', 'Damn the Empire, we needed those supplies!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_3_c.stf', '15', 'failed_protect', 'Bah! The smuggler had to bail, he had too many enemies on him.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_3_c.stf', '16', 'found_loc', 'Rebel Fleet Command: < Meet the smuggler at these coordinates. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_3_c.stf', '17', 'goodbye_1', 'Good show, I owe you one!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_3_c.stf', '18', 'goodbye_2', 'Good show, I owe you one!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_3_c.stf', '19', 'goodbye_3', 'Good show, I owe you one!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_3_c.stf', '20', 'goodbye_4', 'Good show, I owe you one!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_3_c.stf', '21', 'goodbye_5', 'Good show, I owe you one!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_3_c.stf', '22', 'hull_half', 'Cripes, my old baby is falling apart, I need help!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_3_c.stf', '23', 'panic_1', 'I guess it was too much to hope for a smooth ride.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_3_c.stf', '24', 'panic_2', 'No one said there would be more TIE fighters than asteroids here!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_3_c.stf', '25', 'panic_3', 'Prepare for a fight, incoming bad guys!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_3_c.stf', '26', 'panic_4', 'My ship is being scanned, they will attack when they see what I have on-board!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_3_c.stf', '27', 'panic_5', 'TIE-Fighters! They don\'t look too happy either.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_3_c.stf', '28', 'quest_escort_d', 'Escort the smuggler to our fleet. Try to avoid contact with Imperial forces at all costs and above all, don\'t lead any of them to our fleet! Good luck pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_3_c.stf', '29', 'quest_escort_t', 'Escort the Rebel smuggler.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_3_c.stf', '30', 'quest_location_d', 'It\'s our hope that you and the smuggler will be able to sneak past the Imperial presence in the system as they are looking for bigger targets but it will be hard since they seem to be all over now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_3_c.stf', '31', 'quest_location_t', 'Endor system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_3_c.stf', '32', 'quest_rendezvous_d', 'You have been supplied with the coordinates of where the smuggler will meet with you. Make haste to this location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_3_c.stf', '33', 'quest_rendezvous_t', 'Meet up with the smuggler.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_3_c.stf', '34', 'quest_update', 'Rebel Fleet Command < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_3_c.stf', '35', 'reason_1', 'Good to see you, lets get this stuff to the fleet.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_3_c.stf', '36', 'reason_2', 'Good to see you, lets get this stuff to the fleet.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_3_c.stf', '37', 'reason_3', 'Good to see you, lets get this stuff to the fleet.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_3_c.stf', '38', 'reason_4', 'Good to see you, lets get this stuff to the fleet.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_3_c.stf', '39', 'reason_5', 'Good to see you, lets get this stuff to the fleet.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_3_c.stf', '40', 'shields_depleted', 'My shields are failing! I\'m taking some serious damage here!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_3_c.stf', '41', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_3_c.stf', '42', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_3_c.stf', '43', 'taunt_1', 'You will never deliver that stuff Rebel!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_3_c.stf', '44', 'taunt_2', 'Blast them all!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_3_c.stf', '45', 'taunt_3', 'Die Rebel scum!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_3_c.stf', '46', 'taunt_4', 'You will fall from the might of the Empire!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_3_c.stf', '47', 'taunt_5', 'What will this Rebel kill bring me to today guys? 5?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_3_c.stf', '48', 'thanks_1', 'Great working with you mate!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_3_c.stf', '49', 'thanks_2', 'Well we showed them didn\'t we?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_3_c.stf', '50', 'thanks_3', 'Take that you Imperial fools!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_3_c.stf', '51', 'thanks_4', 'Hahaha, die die die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_3_c.stf', '52', 'thanks_5', 'You\'re lucky I\'m here, did you see me blast that TIE? It was beautiful!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_3_c.stf', '53', 'title', 'Endor system: Escort smuggler to fleet.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_rebel_tier3_3_c.stf', '54', 'title_d', 'One of our smugglers has arrived with the materials necessary to repair the hyperdrive systems on our capital ships. He needs an escort but we don\'t want to attract too much attention so you will assist him by yourself.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_station_mission5b_1.stf', '1', 'abort', 'You\'re the sorriest excuse for a CorSec pilot I\'ve ever seen.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_station_mission5b_1.stf', '2', 'arrived_at_loc', 'Copy that pilot. Await transport here. Keep your eyes open for the Cloak attack wing. We\'ll send out the the attack squad once they start to come in.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_station_mission5b_1.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_station_mission5b_1.stf', '4', 'attack_notify', '\\#pcontrast1 Tactical Computer: <\\#pcontrast3  Warning. Enemy craft inbound.\\#pcontrast1 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_station_mission5b_1.stf', '5', 'attack_stopped', '\\#pcontrast1 Tactical Computer: <\\#pcontrast3  Enemy threat neutralized.\\#pcontrast1 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_station_mission5b_1.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_station_mission5b_1.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_station_mission5b_1.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_station_mission5b_1.stf', '9', 'complete', 'We\'ve sent the transport home early. Stay at your current location, pilot. It\'ll just be the CorSec here now when the Cloaks come in.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_station_mission5b_1.stf', '10', 'escort_too_far1', 'You\'re moving too far out, pilot. Bring it in a little closer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_station_mission5b_1.stf', '11', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_station_mission5b_1.stf', '12', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_station_mission5b_1.stf', '13', 'failed_destroy', 'Abort the mission pilot, the transport was destroyed. Return to the station for debriefing.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_station_mission5b_1.stf', '14', 'failed_protect', 'Abort the mission pilot, the transport has moved out of range. Return to the station for debriefing.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_station_mission5b_1.stf', '15', 'found_loc', 'We\'re sending a navigation waypoint to you, pilot. Meet the transport here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_station_mission5b_1.stf', '16', 'goodbye_1', 'We\'ve gotten the signal from CorSec command. We\'re getting out of here. Good luck, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_station_mission5b_1.stf', '17', 'goodbye_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_station_mission5b_1.stf', '18', 'goodbye_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_station_mission5b_1.stf', '19', 'goodbye_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_station_mission5b_1.stf', '20', 'goodbye_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_station_mission5b_1.stf', '21', 'hull_half', 'We\'re losing hull integrity, CorSec. If you\'re going to do something, now\'s the time.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_station_mission5b_1.stf', '22', 'panic_1', 'Cloak ships coming in! Hurry signal CorSec command about this!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_station_mission5b_1.stf', '23', 'panic_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_station_mission5b_1.stf', '24', 'panic_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_station_mission5b_1.stf', '25', 'panic_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_station_mission5b_1.stf', '26', 'panic_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_station_mission5b_1.stf', '27', 'quest_escort_d', 'Escort the transport as it moves through the Corellia system. At the first sign of a cloak attack, CorSec command will make it\'s move.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_station_mission5b_1.stf', '28', 'quest_escort_t', 'Escort the Transport');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_station_mission5b_1.stf', '29', 'quest_location_d', 'The transport will meet you in the Corellia system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_station_mission5b_1.stf', '30', 'quest_location_t', 'Remain in the Corellia System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_station_mission5b_1.stf', '31', 'quest_rendezvous_d', 'Meet up with the transport at the specified location within the Corellia system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_station_mission5b_1.stf', '32', 'quest_rendezvous_t', 'Meet With the Transport');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_station_mission5b_1.stf', '33', 'quest_update', '\\#pcontrast1 CorSec Command: <\\#pcontrast3  %TO\\#pcontrast1  >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_station_mission5b_1.stf', '34', 'reason_1', 'Glad you could make it, pilot. CorSec command said that there\'s been some trouble and will signal us to hyperspace out immediately if necessary.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_station_mission5b_1.stf', '35', 'reason_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_station_mission5b_1.stf', '36', 'reason_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_station_mission5b_1.stf', '37', 'reason_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_station_mission5b_1.stf', '38', 'reason_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_station_mission5b_1.stf', '39', 'shields_depleted', 'Shields are down, CorSec. We could use some help here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_station_mission5b_1.stf', '40', 'split_quest_alert', 'Ambush the Cloak attack wing');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_station_mission5b_1.stf', '41', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_station_mission5b_1.stf', '42', 'taunt_1', 'Ah, excellent. This ship belongs to us now!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_station_mission5b_1.stf', '43', 'taunt_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_station_mission5b_1.stf', '44', 'taunt_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_station_mission5b_1.stf', '45', 'taunt_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_station_mission5b_1.stf', '46', 'taunt_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_station_mission5b_1.stf', '47', 'thanks_1', 'Good shooting, pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_station_mission5b_1.stf', '48', 'thanks_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_station_mission5b_1.stf', '49', 'thanks_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_station_mission5b_1.stf', '50', 'thanks_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_station_mission5b_1.stf', '51', 'thanks_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_station_mission5b_1.stf', '52', 'title', 'Corellia System: Watch for Cloak Attack Against Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/corellia_station_mission5b_1.stf', '53', 'title_d', 'CorSec command wants you to perform the escort as the Cloak message suggests. When the Cloak attack wing begins to arrive, command will have the transport jump out, and send in a CorSec squadron to defeat the Cloaks.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/dathomir_station_priv_storyquest_01_c.stf', '1', 'abort', '\\#pcontrast3 Freighter: < \\#pcontrast1 The command to abort has been given, our mission is a failure. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/dathomir_station_priv_storyquest_01_c.stf', '2', 'arrived_at_loc', '\\#pcontrast3 Nav Computer: < \\#pcontrast3 Rendezvous point reached.  The freighter will arive shortly. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/dathomir_station_priv_storyquest_01_c.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/dathomir_station_priv_storyquest_01_c.stf', '4', 'attack_notify', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Ships approacing on attack vector. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/dathomir_station_priv_storyquest_01_c.stf', '5', 'attack_stopped', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Hostile activity has ceased. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/dathomir_station_priv_storyquest_01_c.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/dathomir_station_priv_storyquest_01_c.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/dathomir_station_priv_storyquest_01_c.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/dathomir_station_priv_storyquest_01_c.stf', '9', 'complete', '\\#pcontrast3 Station Command: < \\#pcontrast1 The freighter should be safe from here.  Good job. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/dathomir_station_priv_storyquest_01_c.stf', '10', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/dathomir_station_priv_storyquest_01_c.stf', '11', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/dathomir_station_priv_storyquest_01_c.stf', '12', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/dathomir_station_priv_storyquest_01_c.stf', '13', 'failed_destroy', '\\#pcontrast3 Station Command: < \\#pcontrast1 You allowed the freighter to be destroyed.  We needed the pesticides they were delivering to get rid of this lice infestation! \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/dathomir_station_priv_storyquest_01_c.stf', '14', 'failed_protect', '\\#pcontrast3 Station Command: < \\#pcontrast1 The freighter was driven off course and is now lost.  We needed the pesticides they were delivering to get rid of this lice infestation! \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/dathomir_station_priv_storyquest_01_c.stf', '15', 'found_loc', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Rendezvous waypoint has been set. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/dathomir_station_priv_storyquest_01_c.stf', '16', 'goodbye_1', '\\#pcontrast3 Freighter: < \\#pcontrast1 We made it. Another successful day in the life of a flying target. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/dathomir_station_priv_storyquest_01_c.stf', '17', 'goodbye_2', '\\#pcontrast3 Freighter: < \\#pcontrast1 We should be safe from here. Thank you for the protection. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/dathomir_station_priv_storyquest_01_c.stf', '18', 'goodbye_3', '\\#pcontrast3 Freighter: < \\#pcontrast1 Nice bit of flying there, I was worried for a bit. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/dathomir_station_priv_storyquest_01_c.stf', '19', 'goodbye_4', '\\#pcontrast3 Freighter: < \\#pcontrast1 Nice bit of flying there, I was worried for a bit. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/dathomir_station_priv_storyquest_01_c.stf', '20', 'goodbye_5', '\\#pcontrast3 Freighter: < \\#pcontrast1 Nice bit of flying there, I was worried for a bit. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/dathomir_station_priv_storyquest_01_c.stf', '21', 'hull_half', '\\#pcontrast3 Freighter: < \\#pcontrast1 We are getting shot up pretty bad over here, keep those fighters off of us. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/dathomir_station_priv_storyquest_01_c.stf', '22', 'panic_1', '\\#pcontrast3 Freighter: < \\#pcontrast1 Careful, we\'re under attack. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/dathomir_station_priv_storyquest_01_c.stf', '23', 'panic_2', '\\#pcontrast3 Freighter: < \\#pcontrast1 Careful, we\'re under attack. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/dathomir_station_priv_storyquest_01_c.stf', '24', 'panic_3', '\\#pcontrast3 Freighter: < \\#pcontrast1 Careful, we\'re under attack. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/dathomir_station_priv_storyquest_01_c.stf', '25', 'panic_4', '\\#pcontrast3 Freighter: < \\#pcontrast1 Alert, we\'re under attack. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/dathomir_station_priv_storyquest_01_c.stf', '26', 'panic_5', '\\#pcontrast3 Freighter: < \\#pcontrast1 Alert, we\'re under attack. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/dathomir_station_priv_storyquest_01_c.stf', '27', 'quest_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/dathomir_station_priv_storyquest_01_c.stf', '28', 'quest_escort_d', 'Protect this target carrying the pesticides needed by the station to rid itself of a lice infestation.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/dathomir_station_priv_storyquest_01_c.stf', '29', 'quest_escort_t', 'Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/dathomir_station_priv_storyquest_01_c.stf', '30', 'quest_location_d', 'An escort route in the Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/dathomir_station_priv_storyquest_01_c.stf', '31', 'quest_location_t', 'Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/dathomir_station_priv_storyquest_01_c.stf', '32', 'quest_rendezvous_d', 'Travel here to meet up with the freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/dathomir_station_priv_storyquest_01_c.stf', '33', 'quest_rendezvous_t', 'Rendezvous Point');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/dathomir_station_priv_storyquest_01_c.stf', '34', 'quest_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/dathomir_station_priv_storyquest_01_c.stf', '35', 'quest_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/dathomir_station_priv_storyquest_01_c.stf', '36', 'reason_1', '\\#pcontrast3 Freighter: < \\#pcontrast1 Thanks for the escort. I didn\'t expect us to draw such attention. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/dathomir_station_priv_storyquest_01_c.stf', '37', 'reason_2', '\\#pcontrast3 Freighter: < \\#pcontrast1 I hope you are the best escort we have to offer. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/dathomir_station_priv_storyquest_01_c.stf', '38', 'reason_3', '\\#pcontrast3 Freighter: < \\#pcontrast1 Let\'s get underway, and may the force be with us today. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/dathomir_station_priv_storyquest_01_c.stf', '39', 'reason_4', '\\#pcontrast3 Freighter: < \\#pcontrast1 Let\'s get underway, and may the force be with us today. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/dathomir_station_priv_storyquest_01_c.stf', '40', 'reason_5', '\\#pcontrast3 Freighter: < \\#pcontrast1 Let\'s get underway, and may the force be with us today. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/dathomir_station_priv_storyquest_01_c.stf', '41', 'shields_depleted', '\\#pcontrast3 Freighter: < \\#pcontrast1 Our shields are down.  If you plan on doing something, now would be a good time. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/dathomir_station_priv_storyquest_01_c.stf', '42', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/dathomir_station_priv_storyquest_01_c.stf', '43', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/dathomir_station_priv_storyquest_01_c.stf', '44', 'taunt_1', 'This is nothing personal, just business.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/dathomir_station_priv_storyquest_01_c.stf', '45', 'taunt_2', 'This is too easy.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/dathomir_station_priv_storyquest_01_c.stf', '46', 'taunt_3', 'You will die today.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/dathomir_station_priv_storyquest_01_c.stf', '47', 'taunt_4', 'HA, this is an escort?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/dathomir_station_priv_storyquest_01_c.stf', '48', 'taunt_5', 'You call that fighting?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/dathomir_station_priv_storyquest_01_c.stf', '49', 'thanks_1', '\\#pcontrast3 Freighter: < \\#pcontrast1 Thank you for getting us through. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/dathomir_station_priv_storyquest_01_c.stf', '50', 'thanks_2', '\\#pcontrast3 Freighter: < \\#pcontrast1 Thank you for getting us through. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/dathomir_station_priv_storyquest_01_c.stf', '51', 'thanks_3', '\\#pcontrast3 Freighter: < \\#pcontrast1 Thank you for getting us through. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/dathomir_station_priv_storyquest_01_c.stf', '52', 'thanks_4', '\\#pcontrast3 Freighter: < \\#pcontrast1 Thank you for getting us through. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/dathomir_station_priv_storyquest_01_c.stf', '53', 'thanks_5', '\\#pcontrast3 Freighter: < \\#pcontrast1 Thank you for getting us through. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/dathomir_station_priv_storyquest_01_c.stf', '54', 'title', 'Dathomir System: Escort the Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/dathomir_station_priv_storyquest_01_c.stf', '55', 'title_d', 'Removing the Lice: A freighter is enroute carrying pesticides that will free the station from the lice infestation brought about by a recent cargo delivery. Be alert for an attack by the Ay\'Nat pirates, who seem to think the cargo is something more valuable.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/imperial_ss_5.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/imperial_ss_5.stf', '2', 'abort', 'You are calling off the mission? Your orders were to escort us through this system. We will be forced to report this failure.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/imperial_ss_5.stf', '3', 'arrived_at_loc', 'Wait for the arrival of the freighter. It should be jumping into the sector shortly.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/imperial_ss_5.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/imperial_ss_5.stf', '5', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighter incoming at attack speeds.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/imperial_ss_5.stf', '6', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/imperial_ss_5.stf', '7', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/imperial_ss_5.stf', '8', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/imperial_ss_5.stf', '9', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/imperial_ss_5.stf', '10', 'complete', 'Excellent job, pilot. The scan team managed to discover some very interesting things about the Rebel locations. Report back to your superior.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/imperial_ss_5.stf', '11', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/imperial_ss_5.stf', '12', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/imperial_ss_5.stf', '13', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/imperial_ss_5.stf', '14', 'failed_destroy', 'Pilot, you disappointed us. You were supposed to protect that freighter at all costs. Report your failure to your commander.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/imperial_ss_5.stf', '15', 'failed_protect', 'Pilot, you have left your duty behind. The Empire does not look kindly on cowards. Report your failure to your superior immediately.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/imperial_ss_5.stf', '16', 'found_loc', 'Jump location for the freighter located. Downloading information to your nav computer. Proceed to that location and escort the freighter through the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/imperial_ss_5.stf', '17', 'goodbye_1', 'You really showed your metal out there. Thanks for the support.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/imperial_ss_5.stf', '18', 'goodbye_2', 'With pilots like you, the Empire will never fall.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/imperial_ss_5.stf', '19', 'goodbye_3', 'Jumping out the sector. Thanks for the help.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/imperial_ss_5.stf', '20', 'goodbye_4', 'The Rebels should have thought twice before tangling with you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/imperial_ss_5.stf', '21', 'goodbye_5', 'The Rebels should have thought twice before tangling with you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/imperial_ss_5.stf', '22', 'hull_half', '\\#FF0000 Hull at half strength. Get those fighters off of us!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/imperial_ss_5.stf', '23', 'panic_1', 'Rebels! Keep them off of me while I continue the scans.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/imperial_ss_5.stf', '24', 'panic_2', 'The rebels must have gotten wind of what we were up to.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/imperial_ss_5.stf', '25', 'panic_3', 'Look out! Rebels incoming.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/imperial_ss_5.stf', '26', 'panic_4', 'Incoming rebels! Keep them off of us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/imperial_ss_5.stf', '27', 'panic_5', 'Those enemy fighters are all yours.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/imperial_ss_5.stf', '28', 'quest_escort_d', 'Escort the Scan Freighter through the system and protect it from any Rebel attack.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/imperial_ss_5.stf', '29', 'quest_escort_t', 'Protect the Scan Team');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/imperial_ss_5.stf', '30', 'quest_location_d', 'Meet the scan vessel inside the Yavin system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/imperial_ss_5.stf', '31', 'quest_location_t', 'Travel to the Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/imperial_ss_5.stf', '32', 'quest_rendezvous_d', 'In order to assure that the vessel is protected the entire time it is the system, you are to travel to the arrival location and wait for it to arrive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/imperial_ss_5.stf', '33', 'quest_rendezvous_t', 'Meet the Scanning Vessel');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/imperial_ss_5.stf', '34', 'quest_update', '\\#pcontrast1 Storm Squadron Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/imperial_ss_5.stf', '35', 'reason_1', 'Hello, pilot. We are going to begin our scans. Keep an eye out for enemy fighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/imperial_ss_5.stf', '36', 'reason_2', 'Your job is to keep enemy fighters off of us until we can complete our scans.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/imperial_ss_5.stf', '37', 'reason_3', 'Rebel activity is going to be high on this run. Be on the look out.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/imperial_ss_5.stf', '38', 'reason_4', 'We are going to attract the Rebels on this run.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/imperial_ss_5.stf', '39', 'reason_5', 'Time to test your skills pilot. Rebels will be coming out of everywhere on this run.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/imperial_ss_5.stf', '40', 'shields_depleted', '\\#FF0000 We just lost our shields! We are not going to last much longer at this rate.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/imperial_ss_5.stf', '41', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/imperial_ss_5.stf', '42', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/imperial_ss_5.stf', '43', 'taunt_1', 'Come get some.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/imperial_ss_5.stf', '44', 'taunt_2', 'You don\'t want any of this.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/imperial_ss_5.stf', '45', 'taunt_3', 'I have a prediction for your future...pain.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/imperial_ss_5.stf', '46', 'taunt_4', 'Give up now, Imperial dog.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/imperial_ss_5.stf', '47', 'taunt_5', 'You would be a good pilot. If you didn\'t fly like a blind bantha.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/imperial_ss_5.stf', '48', 'thanks_1', 'Wow. I didn\'t think we would make it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/imperial_ss_5.stf', '49', 'thanks_2', 'Odd. I always thought the Rebels were tougher then that.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/imperial_ss_5.stf', '50', 'thanks_3', 'Did you see that ship? Looked just like a firework.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/imperial_ss_5.stf', '51', 'thanks_4', 'Just wasn\'t their day.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/imperial_ss_5.stf', '52', 'thanks_5', 'Did you hear them scream? No? Oh, right we are in space.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/imperial_ss_5.stf', '53', 'title', 'Escort the Scan Team');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/imperial_ss_5.stf', '54', 'title_d', 'Now that the Empire is armed with a record of Rebel activities in the area they have a good idea of where they need to look to find out about the Rebel\'s find. They are sending out a scanning craft to search the areas noted on in the activity log. You are to protect the scanning craft from any attempt to destroy it so they can get readings of the area. ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_3.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_3.stf', '2', 'abort', 'Things are too hot. My ship is damaged...pulling out...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_3.stf', '3', 'arrived_at_loc', 'The E-62 is jumping into the system now. Stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_3.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_3.stf', '5', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters detected. Defend the transport.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_3.stf', '6', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighter eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_3.stf', '7', 'attack_warn_1', 'Rebels! It looks like they were after the E-62 technology after all.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_3.stf', '8', 'attack_warn_2', 'A group of Rebels is moving in to attack, be prepared to defend.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_3.stf', '9', 'attack_warn_3', 'Rebels! Heads up!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_3.stf', '10', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_3.stf', '11', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_3.stf', '12', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_3.stf', '13', 'complete', 'The E-62 is away. Return to your superior for further instructions.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_3.stf', '14', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_3.stf', '15', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_3.stf', '16', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_3.stf', '17', 'failed_destroy', 'Your orders were to protect that operative and the transport. Report your failure to your superior.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_3.stf', '18', 'failed_protect', 'You left the E-62 without an escort! That is unacceptable. Prove yourself worthy! We are sending a new freighter to your location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_3.stf', '19', 'found_loc', 'Location to the E-62 jump point located. Meet the transport there.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_3.stf', '20', 'goodbye', 'We have all the information we need. I\'m heading back to base. I suggest you do the same.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_3.stf', '21', 'goodbye_1', 'We have all the information we need. I\'m heading back to base. I suggest you do the same.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_3.stf', '22', 'goodbye_2', 'We have all the information we need. I\'m heading back to base. I suggest you do the same.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_3.stf', '23', 'goodbye_3', 'We have all the information we need. I\'m heading back to base. I suggest you do the same.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_3.stf', '24', 'goodbye_4', 'We have all the information we need. I\'m heading back to base. I suggest you do the same.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_3.stf', '25', 'goodbye_5', 'We have all the information we need. I\'m heading back to base. I suggest you do the same.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_3.stf', '26', 'hello', 'This is Operative 1345-2. I am broadcasting the decoy E-62 information. Keep your eyes peeled.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_3.stf', '27', 'hull_half', 'Our hull is at half strength. Get those fighters off of us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_3.stf', '28', 'panic_1', 'Enemy ships incomming. You will have to fend them off.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_3.stf', '29', 'panic_2', 'Blast it! We have been spotted.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_3.stf', '30', 'panic_3', 'Keep those fighters off of us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_3.stf', '31', 'panic_4', 'Rebel fighters incoming. I hope you know how to fly that thing.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_3.stf', '32', 'panic_5', 'Here they come. This isn\'t good.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_3.stf', '33', 'quest_escort_d', 'Once the freighter containing the E-62s has arrived, follow it to it\'s destination. You will have to protect it from any attempt to attack the vessel. Especially keep a careful eye out for Rebels.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_3.stf', '34', 'quest_escort_t', 'Escort the Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_3.stf', '35', 'quest_location_d', 'Remain in the Naboo system. Once you finish the patrol, you will receive a navigation waypoint to the freighter\'s arrival location. Travel to this location and wait for the arrival of the freighter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_3.stf', '36', 'quest_location_t', 'Remain in the Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_3.stf', '37', 'quest_rendezvous_d', 'Travel to the navigation waypoint supplied to your by Imperial Flight Command. Wait at the arrival waypoint for the freighter to arrive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_3.stf', '38', 'quest_rendezvous_t', 'Meet the Decoy E-62 Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_3.stf', '39', 'quest_update', '\\#pcontrast1 Imperial High Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_3.stf', '40', 'reason_1', 'We are starting our sensor sweep now. Be on the look out for enemy fighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_3.stf', '41', 'reason_2', 'We are starting our sensor sweep now. Be on the look out for enemy fighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_3.stf', '42', 'reason_3', 'We are starting our sensor sweep now. Be on the look out for enemy fighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_3.stf', '43', 'reason_4', 'We are starting our sensor sweep now. Be on the look out for enemy fighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_3.stf', '44', 'reason_5', 'We are starting our sensor sweep now. Be on the look out for enemy fighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_3.stf', '45', 'shields_depleted', 'Ok, we just lost our shields. We are not going to last much longer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_3.stf', '46', 'split_quest_alert', 'A new freighter carrying the E-62s is being sent to your system. Meet up with the freighter and make sure it reaches its destination.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_3.stf', '47', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_3.stf', '48', 'taunt_1', 'Prepare to become space dust.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_3.stf', '49', 'taunt_2', 'I hope you have good insurance.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_3.stf', '50', 'taunt_3', 'I have good news and bad news. The good news is that you will die soon. The bad news is that you will die soon.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_3.stf', '51', 'taunt_4', 'This will only take a second.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_3.stf', '52', 'taunt_5', 'Imperial dog! You will pay for that.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_3.stf', '53', 'thanks_1', 'Wow! That was some nice flying.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_3.stf', '54', 'thanks_2', 'You really showed those Rebels the might of the Imperial Navy.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_3.stf', '55', 'thanks_3', 'Oooooo, pretty colors.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_3.stf', '56', 'thanks_4', 'Will they never learn?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_3.stf', '57', 'thanks_5', 'That had to hurt.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_3.stf', '58', 'title', 'Naboo System: Escort the Decoy E-62 Transport');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_3.stf', '59', 'title_d', 'Remain in the Naboo system and escort the freighter through the system. Once you finish the patrol in the Naboo system, you will receive a navigation waypoint to the freighter\'s arrival location. Travel to this location and wait for the freighter to arrive. Once the freighter arrives, follow it to its destination. You will have to keep it safe from any enemy fighters who attempt to stop it from reaching its destination.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_1.stf', '1', 'abort', 'High Command will hear about your failure in your duty, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_1.stf', '2', 'arrived_at_loc', 'Arrived at destination. Wait here for the engineers to disembark and shuttle to hyper jump.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_1.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_1.stf', '4', 'attack_notify', 'Tactical Computer: < Incoming fighter vessels. Scans show weapons armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_1.stf', '5', 'attack_stopped', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_1.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_1.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_1.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_1.stf', '9', 'complete', 'Good work pilot. You have successfully protected the Empire\'s engineers so they can begin work on a most important project.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_1.stf', '10', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_1.stf', '11', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_1.stf', '12', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_1.stf', '13', 'failed_destroy', 'The Lambda shuttle has been destroyed. High Command will be most displeased with your performance. Report to your superior immediately.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_1.stf', '14', 'failed_protect', 'What are you doing leaving me out here on my own? High Command will hear of your failure!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_1.stf', '15', 'found_loc', 'Escort rendez-vous coordinates confirmed. Proceed as planned.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_1.stf', '16', 'goodbye_1', 'Thanks for the escort, pilot. I wouldn\'t have made it without you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_1.stf', '17', 'goodbye_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_1.stf', '18', 'goodbye_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_1.stf', '19', 'goodbye_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_1.stf', '20', 'goodbye_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_1.stf', '21', 'hull_half', 'Pilot, we are under heavy fire down here! Get those fighters off of me.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_1.stf', '22', 'panic_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_1.stf', '23', 'panic_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_1.stf', '24', 'panic_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_1.stf', '25', 'panic_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_1.stf', '26', 'panic_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_1.stf', '27', 'quest_escort_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_1.stf', '28', 'quest_escort_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_1.stf', '29', 'quest_location_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_1.stf', '30', 'quest_location_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_1.stf', '31', 'quest_rendezvous_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_1.stf', '32', 'quest_rendezvous_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_1.stf', '33', 'quest_update', 'Imperial High Command: <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_1.stf', '34', 'reason_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_1.stf', '35', 'reason_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_1.stf', '36', 'reason_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_1.stf', '37', 'reason_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_1.stf', '38', 'reason_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_1.stf', '39', 'shields_depleted', 'We just lost our shields! We are not going to last much longer unless you can get those fighters off of us!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_1.stf', '40', 'split_quest_alert', 'ALERT! Another Lamdba shuttle has been capture by rebel pilots. Proceed immediately to last know location and recover the shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_1.stf', '41', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_1.stf', '42', 'taunt_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_1.stf', '43', 'taunt_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_1.stf', '44', 'taunt_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_1.stf', '45', 'taunt_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_1.stf', '46', 'taunt_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_1.stf', '47', 'thanks_1', 'Nice flying out there. Those rebel fighters came out of no where. Almost like they were waiting for us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_1.stf', '48', 'thanks_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_1.stf', '49', 'thanks_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_1.stf', '50', 'thanks_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_1.stf', '51', 'thanks_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_1.stf', '52', 'title', 'Escort the Engineers');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_1.stf', '53', 'title_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_3_a.stf', '1', 'abort', 'What are you doing, pilot? You are aborting too early.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_3_a.stf', '2', 'arrived_at_loc', 'Wait for the decoy shuttle to arrive and then begin the mission.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_3_a.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_3_a.stf', '4', 'attack_notify', 'Tactical Computer:<Enemy fighters detected. Incoming at high speeds.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_3_a.stf', '5', 'attack_stopped', 'Tactical Computer:<Enemy fighter destroyed. Detecting no further ships.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_3_a.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_3_a.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_3_a.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_3_a.stf', '9', 'complete', 'Pilot maybe you didn\'t understand that you were supposed to let the rebels take the ship. Report to your superior immediately.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_3_a.stf', '10', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_3_a.stf', '11', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_3_a.stf', '12', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_3_a.stf', '13', 'failed_destroy', 'Nice work, pilot. The rebels should scan the wreckage and find the false information we planted.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_3_a.stf', '14', 'failed_protect', 'Nice work, pilot. The rebels should easily take control of the ship and find the information we planted on board.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_3_a.stf', '15', 'found_loc', 'Tactical Computer:<Destination located. Awaiting arrival of escort ship.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_3_a.stf', '16', 'goodbye_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_3_a.stf', '17', 'goodbye_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_3_a.stf', '18', 'goodbye_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_3_a.stf', '19', 'goodbye_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_3_a.stf', '20', 'goodbye_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_3_a.stf', '21', 'hull_half', 'Hull at half strength. Shouldn\'t be too much longer now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_3_a.stf', '22', 'panic_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_3_a.stf', '23', 'panic_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_3_a.stf', '24', 'panic_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_3_a.stf', '25', 'panic_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_3_a.stf', '26', 'panic_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_3_a.stf', '27', 'quest_escort_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_3_a.stf', '28', 'quest_escort_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_3_a.stf', '29', 'quest_location_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_3_a.stf', '30', 'quest_location_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_3_a.stf', '31', 'quest_rendezvous_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_3_a.stf', '32', 'quest_rendezvous_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_3_a.stf', '33', 'quest_update', 'Imperial High Command:<%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_3_a.stf', '34', 'reason_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_3_a.stf', '35', 'reason_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_3_a.stf', '36', 'reason_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_3_a.stf', '37', 'reason_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_3_a.stf', '38', 'reason_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_3_a.stf', '39', 'shields_depleted', 'There went our shields. Prepare to get out of here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_3_a.stf', '40', 'split_quest_alert', 'Imperial High Command:<Now that the rebels have that data it is time to spring our plan. Stand by for further instructions.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_3_a.stf', '41', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_3_a.stf', '42', 'taunt_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_3_a.stf', '43', 'taunt_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_3_a.stf', '44', 'taunt_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_3_a.stf', '45', 'taunt_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_3_a.stf', '46', 'taunt_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_3_a.stf', '47', 'thanks_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_3_a.stf', '48', 'thanks_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_3_a.stf', '49', 'thanks_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_3_a.stf', '50', 'thanks_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_3_a.stf', '51', 'thanks_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_3_a.stf', '52', 'title', 'Bright, Shiny Lure');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_3_a.stf', '53', 'title_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_4_a.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_4_a.stf', '2', 'abort', 'You aborted? What are you thinking? The doctor must be sent to Dathomir Prison.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_4_a.stf', '3', 'arrived_at_loc', 'This is the location that the prison ship will arrive. Hold position and then escort it to the drop point.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_4_a.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_4_a.stf', '5', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters detected. Incoming at attack speed.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_4_a.stf', '6', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy wing destroyed.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_4_a.stf', '7', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_4_a.stf', '8', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_4_a.stf', '9', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_4_a.stf', '10', 'complete', 'The pod with the doctor has safely been dropped to the prison. Hold position for further instructions.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_4_a.stf', '11', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_4_a.stf', '12', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_4_a.stf', '13', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_4_a.stf', '14', 'failed_destroy', 'The prison ship has been destroyed. At least the doctor didn\'t all into enemy hands but we wanted him alive. Speak to your superior about this failure.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_4_a.stf', '15', 'failed_protect', 'You left the ship on its own! What were you thinking. Return to your superior immeidately and explain your actions.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_4_a.stf', '16', 'found_loc', 'Proceed to the location that has been sent to your navigation computer and wait for the prison ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_4_a.stf', '17', 'goodbye_1', 'Dropping the prisoners and jumping out of the system. Thanks pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_4_a.stf', '18', 'goodbye_2', 'Dropping the prisoners and jumping out of the system. Thanks pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_4_a.stf', '19', 'goodbye_3', 'Dropping the prisoners and jumping out of the system. Thanks pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_4_a.stf', '20', 'goodbye_4', 'Dropping the prisoners and jumping out of the system. Thanks pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_4_a.stf', '21', 'goodbye_5', 'Dropping the prisoners and jumping out of the system. Thanks pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_4_a.stf', '22', 'hull_half', 'Our hull is down fifty percent. Get these fighters off of us!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_4_a.stf', '23', 'panic_1', 'Rebels? I have never seen them hit a prison ship before.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_4_a.stf', '24', 'panic_2', 'They must be after the doctor.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_4_a.stf', '25', 'panic_3', 'Rebels! They are all yours pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_4_a.stf', '26', 'panic_4', 'They are trying to free the doctor. Stop them at all costs.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_4_a.stf', '27', 'panic_5', 'Rebel scum. They cannot be allowed to rescue the doctor.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_4_a.stf', '28', 'quest_escort_d', 'Follow the prison shuttle to the drop location and protect it until it can drop the doctor on the planet.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_4_a.stf', '29', 'quest_escort_t', 'Escort the Prison Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_4_a.stf', '30', 'quest_location_d', 'Meet the prison shuttle at the supplied navigation waypoint inside the Dathomir system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_4_a.stf', '31', 'quest_location_t', 'Remain in the Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_4_a.stf', '32', 'quest_rendezvous_d', 'Wait at the navigation waypoint for the prison shuttle to arrive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_4_a.stf', '33', 'quest_rendezvous_t', 'Meet the Prison Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_4_a.stf', '34', 'quest_update', '\\#pcontrast1 Imperial High Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_4_a.stf', '35', 'reason_1', 'We have the doctor secured. Beginning our run to drop zone.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_4_a.stf', '36', 'reason_2', 'We have the doctor secured. Beginning our run to drop zone.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_4_a.stf', '37', 'reason_3', 'We have the doctor secured. Beginning our run to drop zone.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_4_a.stf', '38', 'reason_4', 'We have the doctor secured. Beginning our run to drop zone.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_4_a.stf', '39', 'reason_5', 'We have the doctor secured. Beginning our run to drop zone.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_4_a.stf', '40', 'shields_depleted', 'We just lost our shields! Get these fighters off of us!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_4_a.stf', '41', 'split_quest_alert', 'Reports are coming in that Rebels have staged a major assault on the Dathomir TIEs in an attempt to rescue the doctor. You are to join the battle. Stand by for location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_4_a.stf', '42', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_4_a.stf', '43', 'taunt_1', 'Sorry, you can\'t have him.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_4_a.stf', '44', 'taunt_2', 'If we can\'t have him, no one will!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_4_a.stf', '45', 'taunt_3', 'We wanted to do this the easy way.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_4_a.stf', '46', 'taunt_4', 'Fighters, focus your firepower on that shuttle!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_4_a.stf', '47', 'taunt_5', 'Sorry, doc. Looks like you are taking one for the team this time.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_4_a.stf', '48', 'thanks_1', 'Nice work, pilot. They will think twice about attacking again.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_4_a.stf', '49', 'thanks_2', 'Those Rebels lit up like fireworks.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_4_a.stf', '50', 'thanks_3', 'Prisoners are secure. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_4_a.stf', '51', 'thanks_4', 'Prisoners are secure. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_4_a.stf', '52', 'thanks_5', 'Prisoners are secure. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_4_a.stf', '53', 'title', 'Dathomir System: Escort Doctor Shinss\'s Prison Ship');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier3_4_a.stf', '54', 'title_d', 'The Inquisition has decided against executing the doctor. His knowledge is simply to valuable but we cannot allow him too run freely. He is to be dropped at the Dathomir prison. Since you are already in the region, you are to escort the Doctor\'s prison ship through the system to ensure he does not escape.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier4_4.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier4_4.stf', '2', 'abort', 'Your orders were to escort us through this area. High Command will hear of this failure I assure you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier4_4.stf', '3', 'arrived_at_loc', 'Stand by for arrival of Prison transport. We anticipate a smooth flight.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier4_4.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier4_4.stf', '5', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Warning! Enemy fighters detected.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier4_4.stf', '6', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighter wing eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier4_4.stf', '7', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier4_4.stf', '8', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier4_4.stf', '9', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier4_4.stf', '10', 'complete', 'Prison ship depositing it\'s cargo on the planet surface. Nice work, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier4_4.stf', '11', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier4_4.stf', '12', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier4_4.stf', '13', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier4_4.stf', '14', 'failed_destroy', 'They were only prisoners but that is no excuse for failing a direct order. Report back to your superior.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier4_4.stf', '15', 'failed_protect', 'You left your target. This is unacceptable. Report back to command.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier4_4.stf', '16', 'found_loc', 'The prison transport will arrive at this nav location. Meet that ship here and escort it through the sector.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier4_4.stf', '17', 'goodbye_1', 'Thanks for the escort. You had better find out why those Coynites are still in the sector though.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier4_4.stf', '18', 'goodbye_2', 'Thanks for the escort. You had better find out why those Coynites are still in the sector though.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier4_4.stf', '19', 'goodbye_3', 'Thanks for the escort. You had better find out why those Coynites are still in the sector though.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier4_4.stf', '20', 'goodbye_4', 'Thanks for the escort. You had better find out why those Coynites are still in the sector though.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier4_4.stf', '21', 'goodbye_5', 'Thanks for the escort. You had better find out why those Coynites are still in the sector though.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier4_4.stf', '22', 'hull_half', '\\#FF0000 Our hull is down to half strength! We are not going to last much longer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier4_4.stf', '23', 'panic_1', 'What! I thought these mercs were driven out of this sector?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier4_4.stf', '24', 'panic_2', 'The mercs are back! I don\'t think that was their command vessel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier4_4.stf', '25', 'panic_3', 'Coynite mercenaries! Didn\'t you kill all of them?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier4_4.stf', '26', 'panic_4', 'What! I thought these mercs were driven out of this sector?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier4_4.stf', '27', 'panic_5', 'Coynite mercenaries! Didn\'t you kill all of them?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier4_4.stf', '28', 'quest_escort_d', 'Escort and protect the prison ship until it makes its prison drop.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier4_4.stf', '29', 'quest_escort_t', 'Escort the Prison Ship');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier4_4.stf', '30', 'quest_location_d', 'The prison ship will meet you in the Dathomir system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier4_4.stf', '31', 'quest_location_t', 'Travel to the Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier4_4.stf', '32', 'quest_rendezvous_d', 'Travel to the navigation waypoint and wait for the arrival of the prison ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier4_4.stf', '33', 'quest_rendezvous_t', 'Meet the Prison Ship');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier4_4.stf', '34', 'quest_update', '\\#pcontrast1 Imperial High Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier4_4.stf', '35', 'reason_1', 'I have a ship full of enemies of the state that need to be dropped to the prison. Should be a smooth ride.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier4_4.stf', '36', 'reason_2', 'I have a ship full of enemies of the state that need to be dropped to the prison. Should be a smooth ride.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier4_4.stf', '37', 'reason_3', 'I have a ship full of enemies of the state that need to be dropped to the prison. Should be a smooth ride.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier4_4.stf', '38', 'reason_4', 'I have a ship full of enemies of the state that need to be dropped to the prison. Should be a smooth ride.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier4_4.stf', '39', 'reason_5', 'I have a ship full of enemies of the state that need to be dropped to the prison. Should be a smooth ride.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier4_4.stf', '40', 'shields_depleted', 'There went our shields. Get those fighters off of us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier4_4.stf', '41', 'split_quest_alert', 'It appears that the Coynite were not defeated as we had hoped. This appears to have been a decoy attack for their real plan to get a ship off of the planet\'s surface. Stand by for more information.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier4_4.stf', '42', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier4_4.stf', '43', 'taunt_1', 'For Coyn! For Glory!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier4_4.stf', '44', 'taunt_2', 'You are the one who destroyed Coyn\'s Tempest. Time to pay the price!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier4_4.stf', '45', 'taunt_3', 'Your heart shall not beat another day.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier4_4.stf', '46', 'taunt_4', 'Draw your last breath and prepare to die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier4_4.stf', '47', 'taunt_5', 'You are a fool to think you could beat us so easily.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier4_4.stf', '48', 'thanks_1', 'I still can\'t believe that there are more of those mercs out there.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier4_4.stf', '49', 'thanks_2', 'I still can\'t believe that there are more of those mercs out there.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier4_4.stf', '50', 'thanks_3', 'I still can\'t believe that there are more of those mercs out there.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier4_4.stf', '51', 'thanks_4', 'I still can\'t believe that there are more of those mercs out there.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier4_4.stf', '52', 'thanks_5', 'I still can\'t believe that there are more of those mercs out there.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier4_4.stf', '53', 'title', 'Dathomir System: Escort the Prison Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_imperial_tier4_4.stf', '54', 'title_d', 'The Coynite have apparently been defeated and it is time to return to standard duties. A prison ship is preparing a drop on Dathomir and needs an escort through the system. Meet and escort this prison ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_15.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_15.stf', '2', 'abort', 'Aborting as ordered. Preparing escape to hyperspace.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_15.stf', '3', 'arrived_at_loc', 'The RSF Prison Ship is on it\'s way. Wait here...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_15.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_15.stf', '5', 'attack_notify', 'Tactical Computer: < Pirate Starships on intercept course! General Alert! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_15.stf', '6', 'attack_stopped', 'Tactical Computer: < Pirate interceptors have been eliminated. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_15.stf', '7', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_15.stf', '8', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_15.stf', '9', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_15.stf', '10', 'complete', 'The prison ship is away... Great job pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_15.stf', '11', 'duty_update', '\\#pcontrast3  < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_15.stf', '12', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_15.stf', '13', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_15.stf', '14', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_15.stf', '15', 'failed_destroy', '\\#pcontrast3 RSF Command: < \\#pcontrast1 Those prisoners were NOT supposed to die! The mission is a failure. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_15.stf', '16', 'failed_protect', 'The prison ship has been lost...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_15.stf', '17', 'found_loc', '\\#pcontrast3 RSF Command: < \\#pcontrast1 Another RSF Prison Ship has requested an escort. You are commanded to assist. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_15.stf', '18', 'goodbye_1', 'The Royal Security Force never lets me down, thank you pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_15.stf', '19', 'goodbye_2', 'Bumpy ride but we made it in one piece thanks to you pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_15.stf', '20', 'goodbye_3', 'After this, I\'m putting some defense weapons on my freighter. Thanks again my friend.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_15.stf', '21', 'goodbye_4', 'That was a close one and your the only reason we survived. Accept our gratitude pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_15.stf', '22', 'goodbye_5', 'I\'d like to come back in a different ships and teach those scum a thing or two. Anyway, thank you for the help pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_15.stf', '23', 'hull_half', 'Our sensors register multiple hull breeches, you have to take care of those pirates now!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_15.stf', '24', 'panic_1', 'Hostile fighters inbound!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_15.stf', '25', 'panic_2', 'Pirate wretches, they want to free their buddies... or kill them!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_15.stf', '26', 'panic_3', 'It\'s the Ay\'Nat pirate legion!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_15.stf', '27', 'panic_4', 'Oh no, Ay\'Nat Legion! You better be good at your job pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_15.stf', '28', 'panic_5', 'Oh no! Pirates!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_15.stf', '29', 'quest_escort_d', 'Escort this craft full of Ay\'Nat criminals out of the system');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_15.stf', '30', 'quest_escort_t', 'RSF Prison Ship');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_15.stf', '31', 'quest_location_d', 'A hidden location in Naboo Space');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_15.stf', '32', 'quest_location_t', 'Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_15.stf', '33', 'quest_rendezvous_d', 'Meet up with the prison ship here');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_15.stf', '34', 'quest_rendezvous_t', 'Escort Rendezvous');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_15.stf', '35', 'quest_update', '\\#pcontrast3 < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_15.stf', '36', 'reason_1', 'There you are. I hope you\'re good at this...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_15.stf', '37', 'reason_2', 'Thank you for escorting us pilot. We\'ve had trouble out here before so, stay alert!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_15.stf', '38', 'reason_3', 'My job depends on me making this transport on time, so I hope you know what you are doing pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_15.stf', '39', 'reason_4', 'Perfect, a RSF pilot. Last time we didn\'t get a escort and those Ay\'Nat Legion pirates put my ship in the docks for a month!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_15.stf', '40', 'reason_5', 'Greetings pilot, good to see you. Let\'s head for the surface quickly, I don\'t want any incidents.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_15.stf', '41', 'shields_depleted', 'Our shields are down! If you don\'t get rid of those pilotes, we are done for!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_15.stf', '42', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_15.stf', '43', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_15.stf', '44', 'taunt_1', 'The RSF are a bunch of cowards!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_15.stf', '45', 'taunt_2', 'We\'re boarding this ship to liberate our comrades!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_15.stf', '46', 'taunt_3', 'I will enjoy cutting your ship in half RSF puppet!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_15.stf', '47', 'taunt_4', 'You\'re attacking us in that hunk of junk RSF? You can\'t be serious.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_15.stf', '48', 'taunt_5', 'I\'ll guide you back down to Naboo RSF weakling, without your ship of course.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_15.stf', '49', 'thanks_1', 'Great job pilot, lets hurry out of here!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_15.stf', '50', 'thanks_2', 'Back in my day, I would have dealt with those pirates twice as fast..');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_15.stf', '51', 'thanks_3', 'Splendid, finally a RSF pilot that know what he\'s doing!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_15.stf', '52', 'thanks_4', 'Hahaha, they will think twice before attacking us again!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_15.stf', '53', 'thanks_5', 'Any chance you looking for a new career as bodyguard?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_15.stf', '54', 'title', 'Naboo System: Escort RSF Prison Ship to hyperspace point');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_15.stf', '55', 'title_d', 'Protect the RSF Prison ship from an Ay\'Nat Jailbreak');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_3.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_3.stf', '2', 'abort', 'You have failed because you aborted the mission.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_3.stf', '3', 'arrived_at_loc', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Arrived at rendezvous. Transport should be here momentarily. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_3.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_3.stf', '5', 'attack_notify', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Incoming fighter vessels. Scans show weapons armed.  \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_3.stf', '6', 'attack_stopped', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 No more fighter vessels within sensor range. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_3.stf', '7', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_3.stf', '8', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_3.stf', '9', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_3.stf', '10', 'complete', 'The Transport is safe. Great job up there, report back to base for further instructions.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_3.stf', '11', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_3.stf', '12', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_3.stf', '13', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_3.stf', '14', 'failed_destroy', '\\#pcontrast3 RSF Command: < \\#pcontrast1 That poor transport never had a chance. Report back to your superior for a full report immediately. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_3.stf', '15', 'failed_protect', 'I can\'t take on these pirates on my own! I\'m doing a emergency jump to hyperspace!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_3.stf', '16', 'found_loc', '\\#pcontrast3 RSF Command: < \\#pcontrast1 Escort meeting coordinates uploaded. Proceed as soon as possible. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_3.stf', '17', 'goodbye_1', 'Phew, we made it! Thank you pilot, we couldn\'t have done it without you!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_3.stf', '18', 'goodbye_2', 'These medicines will be most welcome.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_3.stf', '19', 'goodbye_3', 'Excellent work Captain, we are making the jump now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_3.stf', '20', 'goodbye_4', 'Phew, we made it! Thank you pilot, we couldn\'t have done it without you!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_3.stf', '21', 'goodbye_5', 'Phew, we made it! Thank you pilot, we couldn\'t have done it without you!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_3.stf', '22', 'hull_half', 'We have multiple hull breeches! I\'m preparing a emergency hyperspace jump. If you can\'t protect us we\'re going to have to bail!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_3.stf', '23', 'panic_1', 'Pirate scum incoming, I hope you can handle this!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_3.stf', '24', 'panic_2', 'Fighter vessels incoming, they don\'t look friendly!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_3.stf', '25', 'panic_3', 'Pirates! I hope your up to this pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_3.stf', '26', 'panic_4', 'Thugs on attack vector! We\'re not built for fighting, it\'s all up to you pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_3.stf', '27', 'panic_5', 'Here they come, get ready!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_3.stf', '28', 'quest_escort_d', 'A heavy freighter transporting medical supplies.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_3.stf', '29', 'quest_escort_t', 'Medical Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_3.stf', '30', 'quest_location_d', 'Path through the Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_3.stf', '31', 'quest_location_t', 'Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_3.stf', '32', 'quest_rendezvous_d', 'Travel to this point to meet the medical freighter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_3.stf', '33', 'quest_rendezvous_t', 'Rendezvous Point');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_3.stf', '34', 'quest_update', 'RSF Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_3.stf', '35', 'reason_1', 'We\'re transporting emergency medical supplies for victims of the terrrorist attack on Theed. Please make sure we get through safely!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_3.stf', '36', 'reason_2', 'We\'re transporting emergency medical supplies for victims of the terrrorist attack on Theed. Please make sure we get through safely!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_3.stf', '37', 'reason_3', 'We\'re transporting emergency medical supplies for victims of the terrrorist attack on Theed. Please make sure we get through safely!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_3.stf', '38', 'reason_4', 'We\'re transporting emergency medical supplies for victims of the terrrorist attack on Theed. Please make sure we get through safely!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_3.stf', '39', 'reason_5', 'We\'re transporting emergency medical supplies for victims of the terrrorist attack on Theed. Please make sure we get through safely!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_3.stf', '40', 'shields_depleted', 'Our shields are depleted pilot, we can\'t take many more hits like that!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_3.stf', '41', 'split_quest_alert', '\\#pcontrast3 Capt Dinge: < \\#pcontrast1 You appear to have hit a little snag out there Captain.  Get patched up and run that patrol again. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_3.stf', '42', 'split_quest_alert_fail', '\\#pcontrast3 Capt Dinge: < \\#pcontrast1 You appear to have hit a little snag out there Captain.  Get patched up and run that patrol again. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_3.stf', '43', 'taunt_1', 'The Black Sun claim the content of this transport. Step back or face the consequences.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_3.stf', '44', 'taunt_2', 'Don\'t even think about it RSF fool, no one gets in the way of the Black Sun!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_3.stf', '45', 'taunt_3', 'Your whole organisation is a joke RSF pilot, everyone knows that the Black Sun rules here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_3.stf', '46', 'taunt_4', 'Pack yourself out of here RSF drone, we\'re taking this ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_3.stf', '47', 'taunt_5', 'Everyone is the property of the Black Sun, they just don\'t know it yet!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_3.stf', '48', 'thanks_1', 'Whow, you were amazing!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_3.stf', '49', 'thanks_2', 'Nice going pilot! Keep it up, I got a feeling it\'s not over yet.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_3.stf', '50', 'thanks_3', 'I see the RSF reputation is not just a rumor after all!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_3.stf', '51', 'thanks_4', 'Yes! That\'s how you take care of that pirate scum!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_3.stf', '52', 'thanks_5', 'Awesome piloting my friend, hopefully that was the last of them.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_3.stf', '53', 'title', 'Naboo System: Escort emergency medical transport to safety');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_3.stf', '54', 'title_d', 'Protect a medical freighter from Black Sun aggression.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier3_2a.stf', '1', 'abort', '\\#pcontrast3 Cadamo Sun: < \\#pcontrast1 The command to abort has been given, our mission is a failure. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier3_2a.stf', '2', 'arrived_at_loc', '\\#pcontrast3 Nav Computer: < \\#pcontrast3 Rendezvous point reached.  The Cadamo Sun will arive shortly. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier3_2a.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier3_2a.stf', '4', 'attack_notify', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Ships approacing on attack vector. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier3_2a.stf', '5', 'attack_stopped', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Hostile activity has ceased. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier3_2a.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier3_2a.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier3_2a.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier3_2a.stf', '9', 'complete', '\\#pcontrast3 RSF Command: < \\#pcontrast1 The Cadamo Sun has reached their hyperspace jump point.  Good job. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier3_2a.stf', '10', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier3_2a.stf', '11', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier3_2a.stf', '12', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier3_2a.stf', '13', 'failed_destroy', '\\#pcontrast3 RSF Command: < \\#pcontrast1 you allowed the Cadamo Sun to be destroyed.  Now they will focus all of their forces on the real target! \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier3_2a.stf', '14', 'failed_protect', '\\#pcontrast3 RSF Command: < \\#pcontrast1 They have figured out the Cadamo Sun was a decoy, all forces are focused on the Madersim now. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier3_2a.stf', '15', 'found_loc', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Rendezvous waypoint has been set. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier3_2a.stf', '16', 'goodbye_1', '\\#pcontrast3 Cadamo Sun: < \\#pcontrast1 Jump point reached. Another successful day in the life of a flying target. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier3_2a.stf', '17', 'goodbye_2', '\\#pcontrast3 Cadamo Sun: < \\#pcontrast1 This is where we split, thank you for the protection. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier3_2a.stf', '18', 'goodbye_3', '\\#pcontrast3 Cadamo Sun: < \\#pcontrast1 Nice bit of flying there, I was worried for a bit. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier3_2a.stf', '19', 'goodbye_4', '\\#pcontrast3 Cadamo Sun: < \\#pcontrast1 Nice bit of flying there, I was worried for a bit. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier3_2a.stf', '20', 'goodbye_5', '\\#pcontrast3 Cadamo Sun: < \\#pcontrast1 Nice bit of flying there, I was worried for a bit. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier3_2a.stf', '21', 'hull_half', '\\#pcontrast3 Cadamo Sun: < \\#pcontrast1 We are getting shot up pretty bad over here, keep those fighters off of us. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier3_2a.stf', '22', 'panic_1', '\\#pcontrast3 Cadamo Sun: < \\#pcontrast1 Careful, we can\'t take much more. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier3_2a.stf', '23', 'panic_2', '\\#pcontrast3 Cadamo Sun: < \\#pcontrast1 Careful, we can\'t take much more. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier3_2a.stf', '24', 'panic_3', '\\#pcontrast3 Cadamo Sun: < \\#pcontrast1 Careful, we can\'t take much more. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier3_2a.stf', '25', 'panic_4', '\\#pcontrast3 Cadamo Sun: < \\#pcontrast1 Careful, we can\'t take much more. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier3_2a.stf', '26', 'panic_5', '\\#pcontrast3 Cadamo Sun: < \\#pcontrast1 Careful, we can\'t take much more. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier3_2a.stf', '27', 'quest_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier3_2a.stf', '28', 'quest_escort_d', 'Protect this target as they serve as a decoy to split the Ay\'Nat pirate assault');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier3_2a.stf', '29', 'quest_escort_t', 'Cadamo Sun');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier3_2a.stf', '30', 'quest_location_d', 'An escort route in the Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier3_2a.stf', '31', 'quest_location_t', 'Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier3_2a.stf', '32', 'quest_rendezvous_d', 'Travel here to meet up with the Cadamo Sun');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier3_2a.stf', '33', 'quest_rendezvous_t', 'Rendezvous Point');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier3_2a.stf', '34', 'quest_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier3_2a.stf', '35', 'quest_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier3_2a.stf', '36', 'reason_1', '\\#pcontrast3 Cadamo Sun: < \\#pcontrast1 Thanks for the escort, I don\'t like these decoy missions. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier3_2a.stf', '37', 'reason_2', '\\#pcontrast3 Cadamo Sun: < \\#pcontrast1 I hope you are the best escort we have to offer. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier3_2a.stf', '38', 'reason_3', '\\#pcontrast3 Cadamo Sun: < \\#pcontrast1 Let\'s get underway, and may the force be with us today. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier3_2a.stf', '39', 'reason_4', '\\#pcontrast3 Cadamo Sun: < \\#pcontrast1 Let\'s get underway, and may the force be with us today. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier3_2a.stf', '40', 'reason_5', '\\#pcontrast3 Cadamo Sun: < \\#pcontrast1 Let\'s get underway, and may the force be with us today. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier3_2a.stf', '41', 'shields_depleted', '\\#pcontrast3 Cadamo Sun: < \\#pcontrast1 Our shields are down.  If you plan on doing something, now would be a good time. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier3_2a.stf', '42', 'split_quest_alert', '\\#pcontrast3 RSF Command: <\\#pcontrast1 You have more fighters heading your way Captain, be ready for them.\\#pcontrast3');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier3_2a.stf', '43', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier3_2a.stf', '44', 'taunt_1', 'This is nothing personal, just business.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier3_2a.stf', '45', 'taunt_2', 'This is too easy.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier3_2a.stf', '46', 'taunt_3', 'You will die today.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier3_2a.stf', '47', 'taunt_4', 'HA, this is an escort?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier3_2a.stf', '48', 'taunt_5', 'You call that fighting?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier3_2a.stf', '49', 'thanks_1', '\\#pcontrast3 Cadamo Sun: < \\#pcontrast1 Thank you for getting us through. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier3_2a.stf', '50', 'thanks_2', '\\#pcontrast3 Cadamo Sun: < \\#pcontrast1 Thank you for getting us through. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier3_2a.stf', '51', 'thanks_3', '\\#pcontrast3 Cadamo Sun: < \\#pcontrast1 Thank you for getting us through. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier3_2a.stf', '52', 'thanks_4', '\\#pcontrast3 Cadamo Sun: < \\#pcontrast1 Thank you for getting us through. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier3_2a.stf', '53', 'thanks_5', '\\#pcontrast3 Cadamo Sun: < \\#pcontrast1 Thank you for getting us through. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier3_2a.stf', '54', 'title', 'Naboo System: Escort the Cadamo Sun');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier3_2a.stf', '55', 'title_d', 'The Cadamo Sun is flying as a decoy and will likely come under heavy attack from the Ay\'Nat pirates.  Be on your guard.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1a.stf', '1', 'abort', 'You have failed because you aborted.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1a.stf', '2', 'arrived_at_loc', '\\#pcontrast3 RSF Command: < \\#pcontrast1 The scanner is coming out of hyperspace soon.  This is not a routine escort, these craft are priority targets. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1a.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1a.stf', '4', 'attack_notify', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Enemy craft have been detected on attack vector. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1a.stf', '5', 'attack_stopped', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Hostile activity has ceased. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1a.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1a.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1a.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1a.stf', '9', 'complete', 'The scanner has made their return jump');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1a.stf', '10', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1a.stf', '11', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1a.stf', '12', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1a.stf', '13', 'failed_destroy', 'You have failed because the the escort craft has been destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1a.stf', '14', 'failed_protect', 'You have failed to protect the scanner.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1a.stf', '15', 'found_loc', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Location to the rendezvous has been uploaded. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1a.stf', '16', 'goodbye_1', 'This is all we needed, thanks for the escort.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1a.stf', '17', 'goodbye_2', 'This is all we needed, thanks for the escort.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1a.stf', '18', 'goodbye_3', 'This is all we needed, thanks for the escort.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1a.stf', '19', 'goodbye_4', 'This is all we needed, thanks for the escort.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1a.stf', '20', 'goodbye_5', 'This is all we needed, thanks for the escort.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1a.stf', '21', 'hull_half', 'Hull integrity is at half.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1a.stf', '22', 'panic_1', 'Black Sun fighters, move to defend.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1a.stf', '23', 'panic_2', 'Here they come!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1a.stf', '24', 'panic_3', 'Black Sun fighters, move to defend.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1a.stf', '25', 'panic_4', 'Black Sun fighters, move to defend.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1a.stf', '26', 'panic_5', 'Black Sun fighters, move to defend.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1a.stf', '27', 'quest_escort_d', 'RSF Deep Space Scanner');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1a.stf', '28', 'quest_escort_t', 'Escort Target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1a.stf', '29', 'quest_location_d', 'Patrol route through the Endor System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1a.stf', '30', 'quest_location_t', 'Endor System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1a.stf', '31', 'quest_rendezvous_d', 'Travel here to meet the Scan Ship');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1a.stf', '32', 'quest_rendezvous_t', 'Rendezvous Point');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1a.stf', '33', 'quest_update', '\\#pcontrast3 < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1a.stf', '34', 'reason_1', 'Hostile activity in this region is high, stay on alert.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1a.stf', '35', 'reason_2', 'Black Sun have alerted us to their intentions.  Not a good sign.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1a.stf', '36', 'reason_3', 'Hostile activity in this region is high, stay on alert.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1a.stf', '37', 'reason_4', 'Hostile activity in this region is high, stay on alert.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1a.stf', '38', 'reason_5', 'Hostile activity in this region is high, stay on alert.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1a.stf', '39', 'shields_depleted', 'Shields have been depleated.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1a.stf', '40', 'split_quest_alert', '\\#pcontrast3 RSF Command: < \\#pcontrast1 Priority alert coming in from Imperial HQ, there is a shuttle passing through Endor that needs an escort and you are the closest available operative. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1a.stf', '41', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1a.stf', '42', 'taunt_1', 'This day is your last.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1a.stf', '43', 'taunt_2', 'Prepare to die.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1a.stf', '44', 'taunt_3', 'This day is your last.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1a.stf', '45', 'taunt_4', 'This day is your last.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1a.stf', '46', 'taunt_5', 'This day is your last.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1a.stf', '47', 'thanks_1', 'Good work.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1a.stf', '48', 'thanks_2', 'Nice shooting Captain.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1a.stf', '49', 'thanks_3', 'Good work.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1a.stf', '50', 'thanks_4', 'Good work.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1a.stf', '51', 'thanks_5', 'Good work.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1a.stf', '52', 'title', 'Endor System: Escort the RSF Scanner');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1a.stf', '53', 'title_d', 'Escort a RSF deep space scanner through the Endor System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1b.stf', '1', 'abort', 'You have failed the mission because you aborted.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1b.stf', '2', 'arrived_at_loc', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Designated rendezvous point reached. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1b.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1b.stf', '4', 'attack_notify', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Enemy craft detected on approach vector. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1b.stf', '5', 'attack_stopped', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Hostile actions have ceased. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1b.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1b.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1b.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1b.stf', '9', 'complete', '\\#pcontrast3 RSF Command: < \\#pcontrast1 The shuttle is away. That is enough for today, return to base. \\#pcontrast3 > ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1b.stf', '10', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1b.stf', '11', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1b.stf', '12', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1b.stf', '13', 'failed_destroy', 'You have failed because the target you were escorting was destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1b.stf', '14', 'failed_protect', 'You have failed to protect your target.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1b.stf', '15', 'found_loc', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Rendezvous point locked in. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1b.stf', '16', 'goodbye_1', 'The escort was sufficient, I shal recomend you to my superiors.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1b.stf', '17', 'goodbye_2', 'The escort was sufficient, I shal recomend you to my superiors.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1b.stf', '18', 'goodbye_3', 'The escort was sufficient, I shal recomend you to my superiors.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1b.stf', '19', 'goodbye_4', 'The escort was sufficient, I shal recomend you to my superiors.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1b.stf', '20', 'goodbye_5', 'The escort was sufficient, I shal recomend you to my superiors.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1b.stf', '21', 'hull_half', 'Hull integrity down to half.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1b.stf', '22', 'panic_1', 'Rebel fighters, stand by to defend.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1b.stf', '23', 'panic_2', 'We are detecting fighters on approach, go earn your pay.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1b.stf', '24', 'panic_3', 'We are detecting fighters on approach, go earn your pay.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1b.stf', '25', 'panic_4', 'We are detecting fighters on approach, go earn your pay.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1b.stf', '26', 'panic_5', 'We are detecting fighters on approach, go earn your pay.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1b.stf', '27', 'quest_escort_d', 'Imperial Lambda Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1b.stf', '28', 'quest_escort_t', 'Escort Target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1b.stf', '29', 'quest_location_d', 'Travel route in the Endor System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1b.stf', '30', 'quest_location_t', 'Endor System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1b.stf', '31', 'quest_rendezvous_d', 'Meet the Imperial Official here');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1b.stf', '32', 'quest_rendezvous_t', 'Rendezvous Point');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1b.stf', '33', 'quest_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1b.stf', '34', 'reason_1', 'You come highly recommended. Please do not disappoint me.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1b.stf', '35', 'reason_2', 'You come highly recommended. Please do not disappoint me.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1b.stf', '36', 'reason_3', 'You come highly recommended. Please do not disappoint me.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1b.stf', '37', 'reason_4', 'You come highly recommended. Please do not disappoint me.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1b.stf', '38', 'reason_5', 'You come highly recommended. Please do not disappoint me.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1b.stf', '39', 'shields_depleted', 'Shields have been depleted.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1b.stf', '40', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1b.stf', '41', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1b.stf', '42', 'taunt_1', 'I regret that you had to be in our way.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1b.stf', '43', 'taunt_2', 'Stand aside, we have no issues with the RSF.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1b.stf', '44', 'taunt_3', 'I regret that you had to be in our way.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1b.stf', '45', 'taunt_4', 'I regret that you had to be in our way.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1b.stf', '46', 'taunt_5', 'I regret that you had to be in our way.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1b.stf', '47', 'thanks_1', 'This wave is destroyed, but stay cautious.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1b.stf', '48', 'thanks_2', 'The Alliance does not know when to quit, be ready for more.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1b.stf', '49', 'thanks_3', 'This wave is destroyed, but stay cautious.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1b.stf', '50', 'thanks_4', 'This wave is destroyed, but stay cautious.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1b.stf', '51', 'thanks_5', 'This wave is destroyed, but stay cautious.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1b.stf', '52', 'title', 'Endor System: Escort the Imperial Official');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_1b.stf', '53', 'title_d', 'See the Imperial official safely through Endor Space');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_4b.stf', '1', 'abort', 'You have failed the mission because you aborted.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_4b.stf', '2', 'arrived_at_loc', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Designated rendezvous point reached. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_4b.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_4b.stf', '4', 'attack_notify', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Enemy craft detected on attack vector. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_4b.stf', '5', 'attack_stopped', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Hostile activity has ceased. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_4b.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_4b.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_4b.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_4b.stf', '9', 'complete', '\\#pcontrast3 RSF Scanner Ship: < \\#pcontrast1 Located concentration of Black Sun fighters, notifying command. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_4b.stf', '10', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_4b.stf', '11', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_4b.stf', '12', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_4b.stf', '13', 'failed_destroy', 'You have failed due to the scanner being destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_4b.stf', '14', 'failed_protect', 'You have failed to protect the scanner vessle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_4b.stf', '15', 'found_loc', '\\#pcontrast3 RSF Command: < \\#pcontrast1 We are sending in a scanner to locate the remainder of their forces.  If we are able to pin point them we can concentrate our efforts.  Uploading a rendezvous point to you now. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_4b.stf', '16', 'goodbye_1', 'That is all we need, jumping out now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_4b.stf', '17', 'goodbye_2', 'That is all we need, jumping out now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_4b.stf', '18', 'goodbye_3', 'That is all we need, jumping out now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_4b.stf', '19', 'goodbye_4', 'That is all we need, jumping out now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_4b.stf', '20', 'goodbye_5', 'That is all we need, jumping out now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_4b.stf', '21', 'hull_half', 'Hull integrity at half.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_4b.stf', '22', 'panic_1', 'Fighters approaching.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_4b.stf', '23', 'panic_2', 'Ah, Black Sun.. how fitting.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_4b.stf', '24', 'panic_3', 'Fighters approaching.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_4b.stf', '25', 'panic_4', 'Fighters approaching.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_4b.stf', '26', 'panic_5', 'Fighters approaching.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_4b.stf', '27', 'quest_escort_d', 'Keep this ship safe as they make their rounds.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_4b.stf', '28', 'quest_escort_t', 'RSF Deep Space Scanner');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_4b.stf', '29', 'quest_location_d', 'A patrol route in the Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_4b.stf', '30', 'quest_location_t', 'Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_4b.stf', '31', 'quest_rendezvous_d', 'Travel here to meet with the ship to be escorted');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_4b.stf', '32', 'quest_rendezvous_t', 'Rendezvous Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_4b.stf', '33', 'quest_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_4b.stf', '34', 'reason_1', 'We need to finish this route, command is counting on it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_4b.stf', '35', 'reason_2', 'We need to finish this route, command is counting on it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_4b.stf', '36', 'reason_3', 'We need to finish this route, command is counting on it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_4b.stf', '37', 'reason_4', 'We need to finish this route, command is counting on it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_4b.stf', '38', 'reason_5', 'We need to finish this route, command is counting on it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_4b.stf', '39', 'shields_depleted', 'Shields are down.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_4b.stf', '40', 'split_quest_alert', '\\#pcontrast3 We are sending in an attack force based on the findings from our scanner.  They will need you even more this time, Black Sun activity has been non stop since our last encounter. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_4b.stf', '41', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_4b.stf', '42', 'taunt_1', 'Were you looking for me RSF fools?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_4b.stf', '43', 'taunt_2', 'This job is going to be the death of you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_4b.stf', '44', 'taunt_3', 'Were you looking for me RSF fools?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_4b.stf', '45', 'taunt_4', 'Were you looking for me RSF fools?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_4b.stf', '46', 'taunt_5', 'Were you looking for me RSF fools?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_4b.stf', '47', 'thanks_1', 'Activity is high, stay watchful.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_4b.stf', '48', 'thanks_2', 'They will send more, I can feel it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_4b.stf', '49', 'thanks_3', 'Activity is high, stay watchful.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_4b.stf', '50', 'thanks_4', 'Activity is high, stay watchful.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_4b.stf', '51', 'thanks_5', 'Activity is high, stay watchful.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_4b.stf', '52', 'title', 'Yavin System: Escort the Deep Space Scan Ship');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_privateer_tier4_4b.stf', '53', 'title_d', 'Escort the scanner safely through the system');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_3.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_3.stf', '2', 'abort', 'NO! We\'re not going to make it! Please help us! Don\'t leave us...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_3.stf', '3', 'arrived_at_loc', 'Alliance HQ: Wait here for Alliance Refugee Transport to arrive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_3.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_3.stf', '5', 'attack_notify', 'Tactical Computer: < Hostiles on approach vector to escort target! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_3.stf', '6', 'attack_stopped', 'Tactical Computer: < Hostiles Eliminated! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_3.stf', '7', 'attack_warn_1', 'Imperial fighters on an attack vector! Watch out!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_3.stf', '8', 'attack_warn_2', 'Head\'s up, buddy! TIE fighters inbound!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_3.stf', '9', 'attack_warn_3', 'Look out! Imperial TIE fighters on the offensive!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_3.stf', '10', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_3.stf', '11', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_3.stf', '12', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_3.stf', '13', 'complete', 'The refugees are safe. Good work, return to base.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_3.stf', '14', 'duty_update', 'Rebel Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_3.stf', '15', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_3.stf', '16', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_3.stf', '17', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_3.stf', '18', 'failed_destroy', 'All refugees have been lost. The mission is a failure. Return to base.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_3.stf', '19', 'failed_protect', 'Refugee transport has been lost! Mission is a failure.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_3.stf', '20', 'found_loc', 'Fly to the Alliance Refugee Transport\'s last known location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_3.stf', '21', 'goodbye', 'Thanks for taking care of us, friend! The Force be with you...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_3.stf', '22', 'goodbye_1', 'We are very grateful for your gallant rescue, my friend! The Force be with you...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_3.stf', '23', 'goodbye_2', 'The refugees thank you, my friend... as I\'m sure do all of their relatives and of course the Alliance. The Force be with you!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_3.stf', '24', 'goodbye_3', 'Excellent work, buddy! Everyone on-board is safe and sound. We\'ll let Alliance Command know how much you helped us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_3.stf', '25', 'goodbye_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_3.stf', '26', 'goodbye_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_3.stf', '27', 'hello', 'Thank the maker! Please! You must help us get these refugees out of the system. The Empire has been on our tail since the last hyper-jump.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_3.stf', '28', 'hull_half', 'Help! The ship is torn to pieces! People are dying in here!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_3.stf', '29', 'panic_1', 'We are under attack!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_3.stf', '30', 'panic_2', 'Get these fighters off us, now!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_3.stf', '31', 'panic_3', 'Help! Their tearing us apart!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_3.stf', '32', 'panic_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_3.stf', '33', 'panic_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_3.stf', '34', 'quest_escort_d', 'Protect the Alliance Refugee Transport as it makes its way out of the Naboo system. Destroy any hostiles that attack the transport. Keep a close watch on the Refugees... ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_3.stf', '35', 'quest_escort_t', 'Escort Alliance Refugee Transport.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_3.stf', '36', 'quest_location_d', 'Locate an Alliance refugee transport that has been lost in the Naboo system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_3.stf', '37', 'quest_location_t', 'Naboo system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_3.stf', '38', 'quest_rendezvous_d', 'Fly to the intercept point and wait for the Alliance refugee transport to arrive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_3.stf', '39', 'quest_rendezvous_t', 'Transport Intercept.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_3.stf', '40', 'quest_update', 'Rebel Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_3.stf', '41', 'reason_1', 'The Empire thinks our refugees are Rebel spies! Can you believe that?!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_3.stf', '42', 'reason_2', 'Imperial interceptors have been tailing us since we picked up these passengers.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_3.stf', '43', 'reason_3', 'I think the Empire wants to ask us some questions... after they\'ve spaced us!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_3.stf', '44', 'reason_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_3.stf', '45', 'reason_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_3.stf', '46', 'shields_depleted', 'Whoah! Our shields are down, buddy! Keep the badguys off us, okay?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_3.stf', '47', 'split_quest_alert', 'Rebel Command: < There\'s another freighter that need your help pilot, don\'t let us down again! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_3.stf', '48', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_3.stf', '49', 'taunt_1', 'You are transporting Rebel terrorists! Lower your shields and prepare to be boarded!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_3.stf', '50', 'taunt_2', 'I\'ve seen you before, Rebel scum! But this time will be the last...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_3.stf', '51', 'taunt_3', 'Dump out those spies you\'re protecting... and we\'ll let you live!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_3.stf', '52', 'taunt_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_3.stf', '53', 'taunt_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_3.stf', '54', 'thanks_1', 'Whew! Good shooting!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_3.stf', '55', 'thanks_2', 'Excellent work, my friend!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_3.stf', '56', 'thanks_3', 'Now THAT\'S what an Alliance Pilot can do!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_3.stf', '57', 'thanks_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_3.stf', '58', 'thanks_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_3.stf', '59', 'title', 'Naboo system: Protect Alliance Refugee Transport.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_3.stf', '60', 'title_d', 'REDIRECT: Protect Alliance Refugee Transport.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier3_1_a.stf', '1', 'abort', 'Wait! You can\'t leave me here rebel! I will be executed by the Empire!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier3_1_a.stf', '2', 'arrived_at_loc', 'Objective completed. Please stand by for our imperial contact...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier3_1_a.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier3_1_a.stf', '4', 'attack_notify', 'Tactical Computer: < Incoming fighter vessels. Scans show weapons armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier3_1_a.stf', '5', 'attack_stopped', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier3_1_a.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier3_1_a.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier3_1_a.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier3_1_a.stf', '9', 'complete', 'Objective completed. Good work, pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier3_1_a.stf', '10', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier3_1_a.stf', '11', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier3_1_a.stf', '12', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier3_1_a.stf', '13', 'failed_destroy', 'Mission failed! The civilian shuttle was destroyed. Return to Ezkiel for further instruction...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier3_1_a.stf', '14', 'failed_protect', 'Mission failed! Too far away from civilian shuttle to escort. Return to Ezkiel for further instruction...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier3_1_a.stf', '15', 'found_loc', 'Escort rendez-vous coordinates confirmed. Proceed as planned.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier3_1_a.stf', '16', 'goodbye_1', 'Thank you for confirming the location of the infernal Vortex, Rebel Fool!.  Navy Command, position Verified. You may commence your attack!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier3_1_a.stf', '17', 'goodbye_2', 'Thank you for confirming the location of the infernal Vortex, Rebel Fool!.  Navy Command, position Verified. You may commence your attack!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier3_1_a.stf', '18', 'goodbye_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier3_1_a.stf', '19', 'goodbye_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier3_1_a.stf', '20', 'goodbye_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier3_1_a.stf', '21', 'hull_half', 'Pilot! My hull is half! Pay more attention to your mission!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier3_1_a.stf', '22', 'panic_1', 'Pilot! Pay attention! I\'m getting hit here! The Empire must have found out about my willingness to help you! Save me!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier3_1_a.stf', '23', 'panic_2', 'Do you have ancient equipment on that piece of junk? I\'m getting attacked here! The Empire must have found out about my helping you!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier3_1_a.stf', '24', 'panic_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier3_1_a.stf', '25', 'panic_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier3_1_a.stf', '26', 'panic_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier3_1_a.stf', '27', 'quest_escort_d', 'Escort the Imperial officer to the safety of our base. Make sure you are not followed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier3_1_a.stf', '28', 'quest_escort_t', 'Escort the officer to safety.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier3_1_a.stf', '29', 'quest_location_d', 'Even though the Imperial forces are in chaos without their Inquisitor leader, they are not harmless so stay vigilant my friend.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier3_1_a.stf', '30', 'quest_location_t', 'Dantooine system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier3_1_a.stf', '31', 'quest_rendezvous_d', 'The defecting Imperial officer has commanded a civilian marked freighter to avoid detection. He\'s provided us with these coordinates as the meeting spot. Be careful, we are not completely sure we can trust him.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier3_1_a.stf', '32', 'quest_rendezvous_t', 'Rendez-vous with the Imperial officer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier3_1_a.stf', '33', 'quest_update', 'Vortex Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier3_1_a.stf', '34', 'reason_1', 'I\'m glad you\'re here pilot. I was afraid no one would show up. Lets get over to your base where I\'ll be safe.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier3_1_a.stf', '35', 'reason_2', 'I\'m glad you\'re here pilot. I was afraid no one would show up. Lets get over to your base where I\'ll be safe.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier3_1_a.stf', '36', 'reason_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier3_1_a.stf', '37', 'reason_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier3_1_a.stf', '38', 'reason_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier3_1_a.stf', '39', 'shields_depleted', 'My shields! Pilot, get me out of here!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier3_1_a.stf', '40', 'split_quest_alert', 'Brother Ezkiel: < The Imperial officer was a spy! We\'ve detected enemy ships on the way to your location. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier3_1_a.stf', '41', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier3_1_a.stf', '42', 'taunt_1', 'Fools! You\'ll never get away from us! It\'s no use! Give up!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier3_1_a.stf', '43', 'taunt_2', 'Give up while you can! You\'ll never escape us!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier3_1_a.stf', '44', 'taunt_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier3_1_a.stf', '45', 'taunt_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier3_1_a.stf', '46', 'taunt_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier3_1_a.stf', '47', 'thanks_1', 'Not too bad. Your skills are impressive. Thank you for the help.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier3_1_a.stf', '48', 'thanks_2', 'That was pretty close. I\'m impressed by your flying skills. But I don\'t think it\'s over yet. Keep a close eye out for more Imperial ships.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier3_1_a.stf', '49', 'thanks_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier3_1_a.stf', '50', 'thanks_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier3_1_a.stf', '51', 'thanks_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier3_1_a.stf', '52', 'title', 'Dantooine system: Escort Imperial informant to base.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier3_1_a.stf', '53', 'title_d', 'With the timely demise of the Inquisitor at your hands, an Imperial officer has contacted us with the intent to defect. He claims to have information regarding the Force Crystal experiments and will share it with us if we provide him an escort to safety. That\'s where your special skills come in my friend.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier4_1_b.stf', '1', 'abort', 'You..you\'re leaving us to our death pilot..');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier4_1_b.stf', '2', 'arrived_at_loc', 'You are at the rendez-vous coordinates pilot, the freighter should be there any second.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier4_1_b.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier4_1_b.stf', '4', 'attack_notify', 'Tactical Computer: < Incoming fighter vessels. Scans show weapons armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier4_1_b.stf', '5', 'attack_stopped', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier4_1_b.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier4_1_b.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier4_1_b.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier4_1_b.stf', '9', 'complete', 'Good job pilot, the freighter has jumped to lightspeed. Return to base.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier4_1_b.stf', '10', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier4_1_b.stf', '11', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier4_1_b.stf', '12', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier4_1_b.stf', '13', 'failed_destroy', 'We have lost contact with the freighter! You have some serious explanation to do pilot, return to base!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier4_1_b.stf', '14', 'failed_protect', 'We have lost contact with the freighter! You have some serious explanation to do pilot, return to base!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier4_1_b.stf', '15', 'found_loc', 'Rendez-vous with the personnel freighter at this location pilot. Protect it while the crew repair their hyperspace system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier4_1_b.stf', '16', 'goodbye_1', 'Repairs complete, initiating jump to lightspeed. Thanks for the help pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier4_1_b.stf', '17', 'goodbye_2', 'Repairs complete, initiating jump to lightspeed. Thanks for the help pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier4_1_b.stf', '18', 'goodbye_3', 'Repairs complete, initiating jump to lightspeed. Thanks for the help pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier4_1_b.stf', '19', 'goodbye_4', 'Repairs complete, initiating jump to lightspeed. Thanks for the help pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier4_1_b.stf', '20', 'goodbye_5', 'Repairs complete, initiating jump to lightspeed. Thanks for the help pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier4_1_b.stf', '21', 'hull_half', 'We are taking serious damage pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier4_1_b.stf', '22', 'panic_1', 'I was wondering when they would be here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier4_1_b.stf', '23', 'panic_2', 'I hope you\'re good at this pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier4_1_b.stf', '24', 'panic_3', 'Incoming TIE ships!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier4_1_b.stf', '25', 'panic_4', 'Son of a worrt, incoming lackeys of the Empire!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier4_1_b.stf', '26', 'panic_5', 'This could get really ugly...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier4_1_b.stf', '27', 'quest_escort_d', 'The freighter crew is working as hard as they can to repair the hyperdrive system of their ship. Protect them from any attacks until they can perform their jump to lightspeed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier4_1_b.stf', '28', 'quest_escort_t', 'Freighter repairing.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier4_1_b.stf', '29', 'quest_location_d', 'This area is extremely dangerous, the Empire is scouting it trying to find any of the freighters that did not manage to escape their attack. Be prepared for danger.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier4_1_b.stf', '30', 'quest_location_t', 'Endor system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier4_1_b.stf', '31', 'quest_rendezvous_d', 'The freighter has requested that escort meet it at these coordinates. Get there immediately pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier4_1_b.stf', '32', 'quest_rendezvous_t', 'Rendez-vous location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier4_1_b.stf', '33', 'quest_update', 'Brother Extok Evin: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier4_1_b.stf', '34', 'reason_1', 'Glad you were still here pilot. Protect us while we try to repair the hyperdrive systems.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier4_1_b.stf', '35', 'reason_2', 'Glad you were still here pilot. Protect us while we try to repair the hyperdrive systems.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier4_1_b.stf', '36', 'reason_3', 'Glad you were still here pilot. Protect us while we try to repair the hyperdrive systems.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier4_1_b.stf', '37', 'reason_4', 'Glad you were still here pilot. Protect us while we try to repair the hyperdrive systems.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier4_1_b.stf', '38', 'reason_5', 'Glad you were still here pilot. Protect us while we try to repair the hyperdrive systems.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier4_1_b.stf', '39', 'shields_depleted', 'Well there goes our shields. If you can\'t take care of these TIE\'s quickly, we\'re in deep trouble.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier4_1_b.stf', '40', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier4_1_b.stf', '41', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier4_1_b.stf', '42', 'taunt_1', 'You\'re not going anywhere Rebels!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier4_1_b.stf', '43', 'taunt_2', 'Here\'s another one, lets take care of it!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier4_1_b.stf', '44', 'taunt_3', 'Our orders are simple men, leave none alive!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier4_1_b.stf', '45', 'taunt_4', 'Squad, listen up! Attack pattern Alpha!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier4_1_b.stf', '46', 'taunt_5', 'Time to teach these terrorists a lesson!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier4_1_b.stf', '47', 'thanks_1', 'We are still in one piece, lets keep moving!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier4_1_b.stf', '48', 'thanks_2', 'Great work pilot but we need more time to finish the repairs!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier4_1_b.stf', '49', 'thanks_3', 'Good job pilot, we\'re almost done here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier4_1_b.stf', '50', 'thanks_4', 'Almost home free!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier4_1_b.stf', '51', 'thanks_5', 'Nice shot pilot, glad to have you with us!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier4_1_b.stf', '52', 'title', 'Endor system: Protect freighter while it repairs hyperdrive system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/naboo_rebel_tier4_1_b.stf', '53', 'title_d', 'One of our personnel freighters have not been able to perform their jump to lightspeed due to a hyperdrive malfunction. We need you to provide escort of it while the crew repairs the broken system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1.stf', '1', 'abort', 'Wait! We have to get to the mining field! I have work to do too, you know!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1.stf', '2', 'arrived_at_loc', 'Stay here, pilot, and wait for the freighter. The freighter and its cargo are cleared to head toward the mining field. This is meant to be an uneventful run other than the stray Valarian here and there. Report to me immediately if you see any sign of trouble. I expect there to be none.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1.stf', '4', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Incoming enemy fighters.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1.stf', '5', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1.stf', '9', 'complete', 'You\'re doing well so far, pilot. Soon, we\'ll trust you with more sensitive missions. Thank you, again, for helping us. Times are dangerous and we can\'t be too careful.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1.stf', '10', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1.stf', '11', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1.stf', '12', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1.stf', '13', 'failed_destroy', 'Pilot! This was suppose to be a *simple* mission! You\'ve wasted innocent lives here!!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1.stf', '14', 'failed_protect', 'Pilot! We had to launch emergency measures because you were too far away to escort the cleared freighter! This isn\'t a science. It\'s suppose to be easy!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1.stf', '15', 'found_loc', 'The freighter will meet you here. You will then proceed to guide the cleared freighter to the mining field. Think you can handle that?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1.stf', '16', 'goodbye_1', 'Thank you for guiding us to our destination.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1.stf', '17', 'goodbye_2', 'Thanks, pilot! It was very uneventful. Just how I like it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1.stf', '18', 'goodbye_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1.stf', '19', 'goodbye_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1.stf', '20', 'goodbye_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1.stf', '21', 'hull_half', 'My hull is half! Help!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1.stf', '22', 'panic_1', 'We\'re getting hit!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1.stf', '23', 'panic_2', 'Pilot! Pay attention! I\'m under attack here!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1.stf', '24', 'panic_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1.stf', '25', 'panic_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1.stf', '26', 'panic_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1.stf', '27', 'quest_escort_d', 'Once I have met the freighter at the rendezvous point, I must guide the freighter to the mining field. I will then have completed my mission. It would be a good idea for me to wait for more intructions afterward.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1.stf', '28', 'quest_escort_t', 'Escort the Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1.stf', '29', 'quest_location_d', 'I must travel to the Tatoo System to complete my task. If I\'m in another system, It\'d be a good idea for me to enable my hyperdrive and pick a location to jump to. (Use \"h\" to enable the Hyperspace Map and choose your destination).');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1.stf', '30', 'quest_location_t', 'Travel to the Tatoo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1.stf', '31', 'quest_rendezvous_d', 'A location, at which I will meet the said freighter, will be transmitted to me by A\'Lerris Verata, the Mining Chief Operator. I must go there and wait for the freighter, after which I will guide it to safety.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1.stf', '32', 'quest_rendezvous_t', 'Contact and Wait for the Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1.stf', '33', 'quest_update', '\\#pcontrast1 A\'Lerris Verata:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1.stf', '34', 'reason_1', 'Just hoping to get to the mining field alive. I hear there\'s been more pirate attacks than we like these days.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1.stf', '35', 'reason_2', 'Just a normal miner looking to mine and transport goods back to home base. You think you can help me with that?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1.stf', '36', 'reason_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1.stf', '37', 'reason_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1.stf', '38', 'reason_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1.stf', '39', 'shields_depleted', 'My shields are gone! You\'re suppose to be protecting me!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1.stf', '40', 'split_quest_alert', '\\#pcontrast1 A\'Lerris Verata:\\#pcontrast3 < Nothing special, pilot. Another escort run. However, this time, you\'re going to escort a freighter from the mining field back to home base. We don\'t expect any problems. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1.stf', '41', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1.stf', '42', 'taunt_1', 'DIE!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1.stf', '43', 'taunt_2', 'Going to get you! HAHA!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1.stf', '44', 'taunt_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1.stf', '45', 'taunt_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1.stf', '46', 'taunt_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1.stf', '47', 'thanks_1', 'Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1.stf', '48', 'thanks_2', 'That was close!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1.stf', '49', 'thanks_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1.stf', '50', 'thanks_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1.stf', '51', 'thanks_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1.stf', '52', 'title', 'Tatoo System: Earning Trust - Part I');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1.stf', '53', 'title_d', 'A\'Lerris Verata, the Mining Chief Operator of the Tatoo System\'s mining efforts, has instructed me to guide a cleared freighter from home base to a mining field not too far from here. She doesn\'t expect any trouble from the nearby pirates, other than an occassional Valarian or two. A\'Lerris mentioned that there has been heightened activity around the field and more pirates have been attacking as of late. I\'m beginning to wonder why. Basically, A\'Lerris and her employees don\'t trust me. Why should they? They\'re practically surrounded by Hutts daily and come in contact with them and their wicked schemes, diminishing any sliver of trust they may have reserved for anyone else. I hope to earn their respect. Maybe they\'ll have more meaningful tasks for me. It\'s not to say escorting freighters isn\'t meaningful. I\'m just looking for something... more.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_a.stf', '1', 'abort', 'Ahh! No! How am I suppose to get back safely?!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_a.stf', '2', 'arrived_at_loc', 'Wait here for the freighter to arrive. You\'re doing well so far. I\'m very grateful for your assistance. If this mission goes as well as the last, we\'ll be giving you more sensitive projects. Keep your focus.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_a.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_a.stf', '4', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Incoming enemy fighters.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_a.stf', '5', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_a.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_a.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_a.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_a.stf', '9', 'complete', 'Well done, pilot. You\'re quickly becoming an asset to us. You\'ve helped us greatly.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_a.stf', '10', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_a.stf', '11', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_a.stf', '12', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_a.stf', '13', 'failed_destroy', 'Argh! What is wrong with you? You\'re suppose to guide the freighter to *safety* not to death!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_a.stf', '14', 'failed_protect', 'Pilot! You\'re walking on thin ice here. I can\'t keep losing freighters because of you!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_a.stf', '15', 'found_loc', 'I\'ve transmitted the location at which you\'ll meet the freighter. Guide it to safety. Again, we expect no problems during this run. However, it would be wise to keep your systems alert for suspicious activity.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_a.stf', '16', 'goodbye_1', 'Another shipment for home base. Thank to you, pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_a.stf', '17', 'goodbye_2', 'It\'s good seeing you, pilot. Thanks for the escort! Be careful out there!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_a.stf', '18', 'goodbye_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_a.stf', '19', 'goodbye_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_a.stf', '20', 'goodbye_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_a.stf', '21', 'hull_half', 'Ah! My hull is at half! Help me out over here!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_a.stf', '22', 'panic_1', 'Argh! I just got my transport fixed! C\'mon, pilot! Help me out here!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_a.stf', '23', 'panic_2', 'Whoa! Getting attacked over here!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_a.stf', '24', 'panic_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_a.stf', '25', 'panic_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_a.stf', '26', 'panic_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_a.stf', '27', 'quest_escort_d', 'Once I meet with the freighter\'s captain, I will escort him and his cargo to the designated area. If pirates attack, I must be ready to fight them off. It\'s only a matter of time before the pirates begin to notice my presence and learn of my goals.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_a.stf', '28', 'quest_escort_t', 'Escort the Freighter to Safety');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_a.stf', '29', 'quest_location_d', 'Again, I must travel to the Tatoo System if I\'m not already there. I can do this by enabling my hyperdrives and picking a location to jump to. (Use \"h\" to enable the Hyperspace Map and choose your destination).');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_a.stf', '30', 'quest_location_t', 'Travel to the Tatoo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_a.stf', '31', 'quest_rendezvous_d', 'Again, I\'ll need to meet with the freighter at the location I\'m given by A\'Lerris Verata. It should be easy to guess, once I\'m there, where the freighter needs to go and how I\'ll accomplish it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_a.stf', '32', 'quest_rendezvous_t', 'Meet the Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_a.stf', '33', 'quest_update', '\\#pcontrast1 A\'Lerris Verata:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_a.stf', '34', 'reason_1', 'Hoping to make it to home base and drop off another shipment. Same ol\' stuff, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_a.stf', '35', 'reason_2', 'You look like you\'re a veteran of this. Good. I have no fear, then. To home base!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_a.stf', '36', 'reason_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_a.stf', '37', 'reason_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_a.stf', '38', 'reason_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_a.stf', '39', 'shields_depleted', 'My shields are gone! Would you help me out over here?!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_a.stf', '40', 'split_quest_alert', '\\#pcontrast1 A\'Lerris Verata:\\#pcontrast3 < Good work, pilot. We have another escort for you. Don\'t worry. You\'ll be able out of this type of work soon. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_a.stf', '41', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_a.stf', '42', 'taunt_1', 'Die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_a.stf', '43', 'taunt_2', 'Kill the freighter!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_a.stf', '44', 'taunt_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_a.stf', '45', 'taunt_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_a.stf', '46', 'taunt_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_a.stf', '47', 'thanks_1', 'Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_a.stf', '48', 'thanks_2', 'Glad ya got that pirate off me!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_a.stf', '49', 'thanks_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_a.stf', '50', 'thanks_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_a.stf', '51', 'thanks_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_a.stf', '52', 'title', 'Tatoo System: Earning Trust - Part II');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_a.stf', '53', 'title_d', 'It\'s amazing to realize how many lives have been affected by the Hutts and the evils of our galaxy. I hope to gain the trust of the miners here in the Tatoo System. The chance has been brought to me in the way of small tasks given to me by A\'Lerris Verata, the strong leader of the mining efforts in this system. My second task is much like my first; I must escort a freighter from the mining field to home base so rich resources can be fed into their outpost. And, much like the last time, I will do well.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_b.stf', '1', 'abort', 'What are yeh doin\', pilot? Wha\'s wit\' quitin\' all\'o a sudden, eh?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_b.stf', '2', 'arrived_at_loc', 'I\'m glad to see you there, pilot. You know the drill. Meet the freighter and escort it to the mining field. It is crucial to be careful. I believe the pirates in the area have learned of our recent activity. I\'d be prepared if I were you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_b.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_b.stf', '4', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Incoming enemy fighters.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_b.stf', '5', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_b.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_b.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_b.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_b.stf', '9', 'complete', 'I\'m amazed at your ability to weigh through the odds and focus. I\'m very impressed and glad you\'ve joined us in our goals. It is refreshing to have you on our team.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_b.stf', '10', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_b.stf', '11', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_b.stf', '12', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_b.stf', '13', 'failed_destroy', 'A tragic loss, pilot. You\'re not to blame. The pirates have come in hard and took us by surprise. Either way, you\'ve done well.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_b.stf', '14', 'failed_protect', 'Pilot! You\'ve abandoned your post! This is dishonorable and disgraceful to our efforts! I\'m very disappointed in you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_b.stf', '15', 'found_loc', 'I\'ve transmitted the location at which you\'ll meet the final freighter. Complete this and we\'ll move you onto more interesting activities.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_b.stf', '16', 'goodbye_1', 'Tha\' was an interestin\' run, eh pilot? I be glad yer wit\' us. Wit\'out yeh, we would have been a goner.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_b.stf', '17', 'goodbye_2', 'I\'m definitely goin\' teh need some repairs after tha\' run! HAHA!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_b.stf', '18', 'goodbye_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_b.stf', '19', 'goodbye_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_b.stf', '20', 'goodbye_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_b.stf', '21', 'hull_half', 'Would yeh get off yer keister an\' help us o\'er here?! Our hull be sittin\' at half! Git o\'er here an\' give us some pertection!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_b.stf', '22', 'panic_1', 'Ah! We be takin\' damage o\'er here! Pirates be on us!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_b.stf', '23', 'panic_2', '\'ey crew! Start hootin\' an\' hollerin\' at them pirates \'dere while they be shootin\' at us! Tha\'ll git \'em goin\'! HAHA! [You start to hear muffled voices and hearty laughter] \"Arg!\", \"Arg, mateys!\"');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_b.stf', '24', 'panic_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_b.stf', '25', 'panic_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_b.stf', '26', 'panic_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_b.stf', '27', 'quest_escort_d', 'Once I\'ve met with the freighter, I must guide the freighter to the target location. Again, I must have my systems alert. There\'s no doubt that, during this task, pirates will attack. I have to prepare myself. For the freighter\'s crew... and myself.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_b.stf', '28', 'quest_escort_t', 'Escort the Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_b.stf', '29', 'quest_location_d', 'If I\'m not in the Tatoo System already, I should get there by enabling my hyperspace drives and picking a jump stop within the Tatoo System. (Use \"h\" to enable the Hyperspace Map and choose your destination).');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_b.stf', '30', 'quest_location_t', 'Travel to the Tatoo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_b.stf', '31', 'quest_rendezvous_d', 'I\'ve done this several times beforehand. I need to meet the freighter and crew at the transmission point that A\'Lerris has given to me. If the freighter hasn\'t arrived at the target location by the time I get there, I should wait. It will arrive soon.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_b.stf', '32', 'quest_rendezvous_t', 'Meet with the Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_b.stf', '33', 'quest_update', '\\#pcontrast1 A\'Lerris Verata:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_b.stf', '34', 'reason_1', 'Just lookin\' teh get back teh home base wit\' as lil\'o trouble as possible.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_b.stf', '35', 'reason_2', 'Another rookie pilot! HAHA! Sorry, me friend. Git us teh home base iffin\' yeh would. We be grateful fer yer services.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_b.stf', '36', 'reason_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_b.stf', '37', 'reason_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_b.stf', '38', 'reason_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_b.stf', '39', 'shields_depleted', 'Eh! Our shields be gone, yeh lazy pilot! Git o\'er here an\' help us!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_b.stf', '40', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_b.stf', '41', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_b.stf', '42', 'taunt_1', 'Another tasty freighter for ME!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_b.stf', '43', 'taunt_2', 'I\'m going to disable you and play with you like a cat does with its mouse! HA!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_b.stf', '44', 'taunt_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_b.stf', '45', 'taunt_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_b.stf', '46', 'taunt_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_b.stf', '47', 'thanks_1', 'Whew! Good job, pilot. Yer a good wingman!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_b.stf', '48', 'thanks_2', 'Tha\' was close. Nothin\' like a brush wit\' death, right? HA!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_b.stf', '49', 'thanks_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_b.stf', '50', 'thanks_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_b.stf', '51', 'thanks_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_b.stf', '52', 'title', 'Tatoo System: Earning Trust - Part III');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_general2_1_b.stf', '53', 'title_d', 'A\'Lerris has promised me more interesting work once I\'m through escorting the last freighter to the mining field. She\'s warned me, very strongly, that the pirates in the area have noticed our activity. There\'s no doubt, as I expected, that we\'ll be attacked on this run. I must ready myself for the worst. Once I\'ve completed this task, I will have gained the trust of A\'Lerris and her employees.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_privateer_3_a.stf', '1', 'abort', 'You can\'t abandon your mission, pilot!!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_privateer_3_a.stf', '2', 'arrived_at_loc', 'Stay here. The commander will arrive shortly. Always keep an eye out for Valarian influence. I feel they are near.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_privateer_3_a.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_privateer_3_a.stf', '4', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Incoming enemy fighters.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_privateer_3_a.stf', '5', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_privateer_3_a.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_privateer_3_a.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_privateer_3_a.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_privateer_3_a.stf', '9', 'complete', 'Fantastic work, pilot! Soon, we\'ll launch the attack from Hutt Claims and be victorious!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_privateer_3_a.stf', '10', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_privateer_3_a.stf', '11', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_privateer_3_a.stf', '12', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_privateer_3_a.stf', '13', 'failed_destroy', 'We\'ve failed our directive, pilot! You could have guarded the commander better!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_privateer_3_a.stf', '14', 'failed_protect', 'Pilot! You\'ve failed to protect our commander!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_privateer_3_a.stf', '15', 'found_loc', 'I\'ve transmitted the information to you as to where you\'ll meet our war ships. Escort the commander safely and we\'ll begin our attack. ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_privateer_3_a.stf', '16', 'goodbye_1', 'Thank you, pilot. We\'ll set up momentarily.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_privateer_3_a.stf', '17', 'goodbye_2', 'Thank yeh, pilot! Yer a good seed. We\'re gonna set up \'ere at this point.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_privateer_3_a.stf', '18', 'goodbye_3', 'It\'s about time. We\'ll let you know when we\'re ready for your help.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_privateer_3_a.stf', '19', 'goodbye_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_privateer_3_a.stf', '20', 'goodbye_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_privateer_3_a.stf', '21', 'hull_half', 'Pilot! Pay attention! We\'re getting hit over here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_privateer_3_a.stf', '22', 'panic_1', 'I\'m getting attacked!!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_privateer_3_a.stf', '23', 'panic_2', 'Arh! Git yeh enemies off o\' me.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_privateer_3_a.stf', '24', 'panic_3', 'Pilot! I\'m getting damaged! Get them off me!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_privateer_3_a.stf', '25', 'panic_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_privateer_3_a.stf', '26', 'panic_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_privateer_3_a.stf', '27', 'quest_escort_d', 'Escort the Commander and guide him back to Hutt Claims safely.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_privateer_3_a.stf', '28', 'quest_escort_t', 'Escort the Commander');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_privateer_3_a.stf', '29', 'quest_location_d', 'Travel to the Tatoo System.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_privateer_3_a.stf', '30', 'quest_location_t', 'Tatoo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_privateer_3_a.stf', '31', 'quest_rendezvous_d', 'Meet the Commander here and guide him back to Hutt Claims safely.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_privateer_3_a.stf', '32', 'quest_rendezvous_t', 'Meet the Commander');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_privateer_3_a.stf', '33', 'quest_update', '\\#pcontrast1 Garett:\\#pcontrast3 < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_privateer_3_a.stf', '34', 'reason_1', 'You know what to do, pilot. Escort me to Hutt Claims.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_privateer_3_a.stf', '35', 'reason_2', 'We need teh git teh Hutt Claims teh launch our attack.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_privateer_3_a.stf', '36', 'reason_3', 'I\'m ready to go. Let\'s get this underway.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_privateer_3_a.stf', '37', 'reason_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_privateer_3_a.stf', '38', 'reason_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_privateer_3_a.stf', '39', 'shields_depleted', 'Ah! My shields are out!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_privateer_3_a.stf', '40', 'split_quest_alert', '\\#pcontrast1 Hutt Informant:\\#pcontrast3 < We\'re ready for the battle. It should be a smooth attack. Wait.. I\'m getting technical readout from my scanners that there are ships with armed weapon systems in the area. We may need your help, pilot! Help us out with this battle! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_privateer_3_a.stf', '41', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_privateer_3_a.stf', '42', 'taunt_1', 'Die Hutts!!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_privateer_3_a.stf', '43', 'taunt_2', 'You\'ll never be successful in your launch against the Station, fools!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_privateer_3_a.stf', '44', 'taunt_3', 'You\'ll never escape alive!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_privateer_3_a.stf', '45', 'taunt_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_privateer_3_a.stf', '46', 'taunt_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_privateer_3_a.stf', '47', 'thanks_1', 'That was close.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_privateer_3_a.stf', '48', 'thanks_2', 'Yer lucky, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_privateer_3_a.stf', '49', 'thanks_3', 'Thanks for getting that Valarian off me!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_privateer_3_a.stf', '50', 'thanks_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_privateer_3_a.stf', '51', 'thanks_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_privateer_3_a.stf', '52', 'title', 'Tatoo System: Escort the Commander');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/poi_tatooine_privateer_3_a.stf', '53', 'title_d', 'You\'ve been given the directive to escort the commander to Hutt Claims in the Tatoo System.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/rori_station_reb_storyquest_01_a.stf', '1', 'abort', 'Wait! You can\'t leave me here! If those Borvo thugs take my ship, I\'ll be killed for sure!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/rori_station_reb_storyquest_01_a.stf', '2', 'arrived_at_loc', 'Objective completed. Please stand by for our contact...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/rori_station_reb_storyquest_01_a.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/rori_station_reb_storyquest_01_a.stf', '4', 'attack_notify', 'Tactical Computer: < Incoming fighter vessels. Scans show weapons armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/rori_station_reb_storyquest_01_a.stf', '5', 'attack_stopped', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/rori_station_reb_storyquest_01_a.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/rori_station_reb_storyquest_01_a.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/rori_station_reb_storyquest_01_a.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/rori_station_reb_storyquest_01_a.stf', '9', 'complete', 'Objective completed. Good work, pilot! I should be safe from here and be able to finish the delivery.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/rori_station_reb_storyquest_01_a.stf', '10', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/rori_station_reb_storyquest_01_a.stf', '11', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/rori_station_reb_storyquest_01_a.stf', '12', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/rori_station_reb_storyquest_01_a.stf', '13', 'failed_destroy', 'Mission failed! The civilian shuttle was destroyed. Return to Rori Station for further instruction...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/rori_station_reb_storyquest_01_a.stf', '14', 'failed_protect', 'Mission failed! Too far away from civilian shuttle to escort. Return to Rori Station for further instruction...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/rori_station_reb_storyquest_01_a.stf', '15', 'found_loc', 'Escort rally point coordinates confirmed. Proceed as planned.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/rori_station_reb_storyquest_01_a.stf', '16', 'goodbye_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/rori_station_reb_storyquest_01_a.stf', '17', 'goodbye_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/rori_station_reb_storyquest_01_a.stf', '18', 'goodbye_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/rori_station_reb_storyquest_01_a.stf', '19', 'goodbye_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/rori_station_reb_storyquest_01_a.stf', '20', 'goodbye_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/rori_station_reb_storyquest_01_a.stf', '21', 'hull_half', 'Pilot! My hull is half! Pay more attention to your mission!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/rori_station_reb_storyquest_01_a.stf', '22', 'panic_1', 'Pilot! Pay attention! I\'m getting hit here! Save me!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/rori_station_reb_storyquest_01_a.stf', '23', 'panic_2', 'Do you have ancient equipment on that piece of junk? I\'m getting attacked here!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/rori_station_reb_storyquest_01_a.stf', '24', 'panic_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/rori_station_reb_storyquest_01_a.stf', '25', 'panic_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/rori_station_reb_storyquest_01_a.stf', '26', 'panic_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/rori_station_reb_storyquest_01_a.stf', '27', 'quest_escort_d', 'Escort the freighter to a safe location for their delivery. Make sure you are not followed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/rori_station_reb_storyquest_01_a.stf', '28', 'quest_escort_t', 'Escort the freighter to safety.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/rori_station_reb_storyquest_01_a.stf', '29', 'quest_location_d', 'Borvo\'s pirates have ceaselessly interfered with the Rori Station and its ability to conduct business. That includes having repair droids delivered. They only want the cargo because taking it will disrupt station activity. It\'s your job to make sure that does not happen.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/rori_station_reb_storyquest_01_a.stf', '30', 'quest_location_t', 'Naboo System.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/rori_station_reb_storyquest_01_a.stf', '31', 'quest_rendezvous_d', 'A new supplier has agreed to provide repair droids and to do so in secrecy. Protect their shipment.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/rori_station_reb_storyquest_01_a.stf', '32', 'quest_rendezvous_t', 'Meet the freighter at the rally point.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/rori_station_reb_storyquest_01_a.stf', '33', 'quest_update', 'Station Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/rori_station_reb_storyquest_01_a.stf', '34', 'reason_1', 'I\'m glad you\'re here pilot. I was afraid no one would show up.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/rori_station_reb_storyquest_01_a.stf', '35', 'reason_2', 'I\'m glad you\'re here pilot. I was afraid no one would show up.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/rori_station_reb_storyquest_01_a.stf', '36', 'reason_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/rori_station_reb_storyquest_01_a.stf', '37', 'reason_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/rori_station_reb_storyquest_01_a.stf', '38', 'reason_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/rori_station_reb_storyquest_01_a.stf', '39', 'shields_depleted', 'My shields! Pilot, get me out of here!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/rori_station_reb_storyquest_01_a.stf', '40', 'split_quest_alert', 'Station Command: No, bad news! More Borvo pirates hit the freighter just before it could make its delivery,  and they made off with the cargo! After them!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/rori_station_reb_storyquest_01_a.stf', '41', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/rori_station_reb_storyquest_01_a.stf', '42', 'taunt_1', 'Fools! You\'ll never get away from us! It\'s no use! Give up!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/rori_station_reb_storyquest_01_a.stf', '43', 'taunt_2', 'Give up while you can! You\'ll never escape us!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/rori_station_reb_storyquest_01_a.stf', '44', 'taunt_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/rori_station_reb_storyquest_01_a.stf', '45', 'taunt_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/rori_station_reb_storyquest_01_a.stf', '46', 'taunt_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/rori_station_reb_storyquest_01_a.stf', '47', 'thanks_1', 'Not too bad. Your skills are impressive. Thank you for the help.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/rori_station_reb_storyquest_01_a.stf', '48', 'thanks_2', 'That was pretty close. I\'m impressed by your flying skills. But I don\'t think it\'s over yet. Keep a close eye out for more pirate ships.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/rori_station_reb_storyquest_01_a.stf', '49', 'thanks_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/rori_station_reb_storyquest_01_a.stf', '50', 'thanks_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/rori_station_reb_storyquest_01_a.stf', '51', 'thanks_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/rori_station_reb_storyquest_01_a.stf', '52', 'title', 'Naboo system: Escort freighter to delivery point.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/rori_station_reb_storyquest_01_a.stf', '53', 'title_d', 'The Rori Station has asked for your help... and discretion... in helping to secure repair droids for the station.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_dantooine_owner_all_repairmission_tier2_2.stf', '1', 'abort', 'What are you doing? I thought the station actually wanted this stuff.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_dantooine_owner_all_repairmission_tier2_2.stf', '2', 'arrived_at_loc', 'Ok, wait here for the freighter with that plating to arrive. Once he shows up, escort the freighter to the Dantooine jump point.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_dantooine_owner_all_repairmission_tier2_2.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_dantooine_owner_all_repairmission_tier2_2.stf', '4', 'attack_notify', 'Tactical Computer: < Incoming enemy fighters. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_dantooine_owner_all_repairmission_tier2_2.stf', '5', 'attack_stopped', 'Tactical Computer: < Enemy fighters eliminated. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_dantooine_owner_all_repairmission_tier2_2.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_dantooine_owner_all_repairmission_tier2_2.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_dantooine_owner_all_repairmission_tier2_2.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_dantooine_owner_all_repairmission_tier2_2.stf', '9', 'complete', 'Ok, we have the freighter on our scans. Good work.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_dantooine_owner_all_repairmission_tier2_2.stf', '10', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_dantooine_owner_all_repairmission_tier2_2.stf', '11', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_dantooine_owner_all_repairmission_tier2_2.stf', '12', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_dantooine_owner_all_repairmission_tier2_2.stf', '13', 'failed_destroy', 'We needed that plating...what the ship? Who cares...I needed that plating!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_dantooine_owner_all_repairmission_tier2_2.stf', '14', 'failed_protect', 'Travel from assigned nav point to nav point looking for anything unusual.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_dantooine_owner_all_repairmission_tier2_2.stf', '15', 'found_loc', 'Alright. He said he would meet us here. Get there and make sure he gets to Dantooine in one piece.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_dantooine_owner_all_repairmission_tier2_2.stf', '16', 'goodbye_1', 'See ya, later. Can\'t say I like this but I guess I was paid.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_dantooine_owner_all_repairmission_tier2_2.stf', '17', 'goodbye_2', 'See ya, later. Can\'t say I like this but I guess I was paid.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_dantooine_owner_all_repairmission_tier2_2.stf', '18', 'goodbye_3', 'See ya, later. Can\'t say I like this but I guess I was paid.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_dantooine_owner_all_repairmission_tier2_2.stf', '19', 'goodbye_4', 'See ya, later. Can\'t say I like this but I guess I was paid.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_dantooine_owner_all_repairmission_tier2_2.stf', '20', 'goodbye_5', 'See ya, later. Can\'t say I like this but I guess I was paid.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_dantooine_owner_all_repairmission_tier2_2.stf', '21', 'hull_half', 'My hull is about to crack! This is the worst job I have ever taken.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_dantooine_owner_all_repairmission_tier2_2.stf', '22', 'panic_1', 'Pirates! Keep them away from me.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_dantooine_owner_all_repairmission_tier2_2.stf', '23', 'panic_2', 'No amount of money is worth this.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_dantooine_owner_all_repairmission_tier2_2.stf', '24', 'panic_3', 'This is the last time I ever agree to go to Dantooine.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_dantooine_owner_all_repairmission_tier2_2.stf', '25', 'panic_4', 'Going to Dantooine is bad luck...look at all those pirates!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_dantooine_owner_all_repairmission_tier2_2.stf', '26', 'panic_5', 'What is the deal with all of these pirates?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_dantooine_owner_all_repairmission_tier2_2.stf', '27', 'quest_escort_d', 'Escor the freighter through the system and protect it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_dantooine_owner_all_repairmission_tier2_2.stf', '28', 'quest_escort_t', 'Escort the Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_dantooine_owner_all_repairmission_tier2_2.stf', '29', 'quest_location_d', 'The Freighter is currently waiting in the Tatooine system for an escort.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_dantooine_owner_all_repairmission_tier2_2.stf', '30', 'quest_location_t', 'Travel to the Tatooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_dantooine_owner_all_repairmission_tier2_2.stf', '31', 'quest_rendezvous_d', 'A navigation location will be supplied to you once you enter the Tatooine system. Meet the freighter at the arrival point.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_dantooine_owner_all_repairmission_tier2_2.stf', '32', 'quest_rendezvous_t', 'Meet the Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_dantooine_owner_all_repairmission_tier2_2.stf', '33', 'quest_update', 'Dantooine Station: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_dantooine_owner_all_repairmission_tier2_2.stf', '34', 'reason_1', 'Ok, fine. If you watch my back as I head to the jump point, I will make the delivery to Dantooine.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_dantooine_owner_all_repairmission_tier2_2.stf', '35', 'reason_2', 'Ok, fine. If you watch my back as I head to the jump point, I will make the delivery to Dantooine.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_dantooine_owner_all_repairmission_tier2_2.stf', '36', 'reason_3', 'Ok, fine. If you watch my back as I head to the jump point, I will make the delivery to Dantooine.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_dantooine_owner_all_repairmission_tier2_2.stf', '37', 'reason_4', 'Ok, fine. If you watch my back as I head to the jump point, I will make the delivery to Dantooine.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_dantooine_owner_all_repairmission_tier2_2.stf', '38', 'reason_5', 'Ok, fine. If you watch my back as I head to the jump point, I will make the delivery to Dantooine.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_dantooine_owner_all_repairmission_tier2_2.stf', '39', 'shields_depleted', 'Well, there went my shields. I hope your boss is going to pay for any damage I take.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_dantooine_owner_all_repairmission_tier2_2.stf', '40', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_dantooine_owner_all_repairmission_tier2_2.stf', '41', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_dantooine_owner_all_repairmission_tier2_2.stf', '42', 'taunt_1', 'Look at that...a fat prize.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_dantooine_owner_all_repairmission_tier2_2.stf', '43', 'taunt_2', 'Ah, a ship ripe with booty!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_dantooine_owner_all_repairmission_tier2_2.stf', '44', 'taunt_3', 'I think that cargo will fetch a hefty price.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_dantooine_owner_all_repairmission_tier2_2.stf', '45', 'taunt_4', 'You should really just run now!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_dantooine_owner_all_repairmission_tier2_2.stf', '46', 'taunt_5', 'Avast matey...hand over the cargo and we might only blow your ship up.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_dantooine_owner_all_repairmission_tier2_2.stf', '47', 'thanks_1', 'At least you are competent.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_dantooine_owner_all_repairmission_tier2_2.stf', '48', 'thanks_2', 'I guess it could be worse.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_dantooine_owner_all_repairmission_tier2_2.stf', '49', 'thanks_3', 'I still don\'t want to go to Dantooine.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_dantooine_owner_all_repairmission_tier2_2.stf', '50', 'thanks_4', 'Not sure which is worse...the pirates or having to go to Dantooine.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_dantooine_owner_all_repairmission_tier2_2.stf', '51', 'thanks_5', 'At least you are competent.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_dantooine_owner_all_repairmission_tier2_2.stf', '52', 'title', 'Tatooine System: Escort the Lemdurion Plate Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_dantooine_owner_all_repairmission_tier2_2.stf', '53', 'title_d', 'The Dantooine station had made an agreement to buy a shipment of cargo out of the Tatooine system. The freighter refuses to make the jump to Dantooine unless someone can escort it through the system. You need to escort the target through the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_1b.stf', '1', 'abort', 'I am not hanging around here with no escort.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_1b.stf', '2', 'arrived_at_loc', '\\#pcontrast3 Endor Station: < \\#pcontrast1 The transport will be joining you shortly. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_1b.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_1b.stf', '4', 'attack_notify', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Hostile craft detected on attack vector. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_1b.stf', '5', 'attack_stopped', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Hostile activity has ceased. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_1b.stf', '6', 'autorewardbody', 'Completion Bonus: The Long Way Home (10000)');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_1b.stf', '7', 'autorewardfrom', 'Endor Station');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_1b.stf', '8', 'autorewardsubject', 'The Long Way Home');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_1b.stf', '9', 'complete', 'The freighter is safely on its way to the Research Station.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_1b.stf', '10', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_1b.stf', '11', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_1b.stf', '12', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_1b.stf', '13', 'failed_destroy', '\\#pcontrast3 Endor Station: < \\#pcontrast1 I will have to notify Imperial Command about this failure.  They were counting on this shipment. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_1b.stf', '14', 'failed_protect', '\\#pcontrast3 Transport: < \\#pcontrast1 This operation is a bust. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_1b.stf', '15', 'found_loc', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Calculated rendezvous point locked in. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_1b.stf', '16', 'goodbye_1', 'Thanks Captain, I knew you would see us through.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_1b.stf', '17', 'goodbye_2', 'This is Transport IZ-5W44 signing off.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_1b.stf', '18', 'goodbye_3', 'Shipment delivered almost on time even.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_1b.stf', '19', 'goodbye_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_1b.stf', '20', 'goodbye_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_1b.stf', '21', 'hull_half', 'Hull integrity is at critical levels.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_1b.stf', '22', 'panic_1', 'Ah, there they are.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_1b.stf', '23', 'panic_2', 'More Rebels.  Not sure if they are from around here or they tracked us from Naboo.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_1b.stf', '24', 'panic_3', 'Fighters coming in quickly.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_1b.stf', '25', 'panic_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_1b.stf', '26', 'panic_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_1b.stf', '27', 'quest_escort_d', 'Escort the Imperial transport, guarding against further Rebel Assault.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_1b.stf', '28', 'quest_escort_t', 'Escort');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_1b.stf', '29', 'quest_location_d', 'Entering from the nearest hyperspace point the freighter will make their way to the Endor Station and safety.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_1b.stf', '30', 'quest_location_t', 'Endor System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_1b.stf', '31', 'quest_rendezvous_d', 'Travel here to meet the transport coming in from the Naboo System.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_1b.stf', '32', 'quest_rendezvous_t', 'Rendezvous Location');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_1b.stf', '33', 'quest_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_1b.stf', '34', 'reason_1', 'Good to see you made it through ok Captain.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_1b.stf', '35', 'reason_2', 'Ok, lets get underway.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_1b.stf', '36', 'reason_3', 'I don\'t expect those Rebels have given up already.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_1b.stf', '37', 'reason_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_1b.stf', '38', 'reason_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_1b.stf', '39', 'shields_depleted', 'Shield energies have been drained, our hull is vulnerable.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_1b.stf', '40', 'split_quest_alert', '\\#pcontrast3 Endor Station: < \\#pcontrast1 Captain I have a relay from the Fleet. A Nova Courier has come out of hyperspace not far from your location.  They request that you make a sortie against this target if the opportunity presents itself in light of your current obligations to the Transport.  There are no overriding priorities, the choice is up to you. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_1b.stf', '41', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_1b.stf', '42', 'taunt_1', 'You Imperials are always up to some problems.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_1b.stf', '43', 'taunt_2', 'This shipment will not pass.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_1b.stf', '44', 'taunt_3', 'What research components have a radioactive signature that large?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_1b.stf', '45', 'taunt_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_1b.stf', '46', 'taunt_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_1b.stf', '47', 'thanks_1', 'Great job.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_1b.stf', '48', 'thanks_2', 'We are almost through, just hold them a bit longer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_1b.stf', '49', 'thanks_3', 'Almost there.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_1b.stf', '50', 'thanks_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_1b.stf', '51', 'thanks_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_1b.stf', '52', 'title', 'Endor System: The Long Way Home');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_1b.stf', '53', 'title_d', 'Finish the repair and recovery of the Imperial transport by bringing them safely to the station in Endor.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_2a.stf', '1', 'abort', '\\#pcontrast3 Fariso: < \\#pcontrast1 We are making the jump, this mission is too dangerous to fly with no escort.  Marsh out. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_2a.stf', '2', 'arrived_at_loc', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Rendezvous location reached. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_2a.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_2a.stf', '4', 'attack_notify', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Hostile craft detected on attack vector. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_2a.stf', '5', 'attack_stopped', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Hostile activity has ceased. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_2a.stf', '6', 'autorewardbody', 'Your duty was cut a bit short, but I always tip my escort.  My ship, my crew and myself are all out in one piece, so here is a little something from all of us. - Jenson Marsh, Captain of the Fariso');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_2a.stf', '7', 'autorewardfrom', 'Jenson Marsh');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_2a.stf', '8', 'autorewardsubject', 'For your efforts');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_2a.stf', '9', 'complete', '\\#pcontrast3 Endor Station: < \\#pcontrast1 Thank you for getting them through Captain.  Knowing he is safe is a great comfort. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_2a.stf', '10', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_2a.stf', '11', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_2a.stf', '12', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_2a.stf', '13', 'failed_destroy', '\\#pcontrast3 Endor Station: < \\#pcontrast1 Oh dear, those poor pilots.  This is very sad indeed. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_2a.stf', '14', 'failed_protect', '\\#pcontrast3 Fariso: < \\#pcontrast1 I am not willing to risk my neck with a suspect pilot, we are jumping out.  Fariso out. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_2a.stf', '15', 'found_loc', '\\#pcontrast3 Endor Station: < \\#pcontrast1 Here is the location where you can meet the Fariso.  Captain Marsh can be terse, but is not really a bad person. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_2a.stf', '16', 'goodbye_1', 'Well it looks like you have more important things to deal with Captain, we are taking off.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_2a.stf', '17', 'goodbye_2', 'Can\'t argue with directives from Command, get to it Captain.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_2a.stf', '18', 'goodbye_3', 'We can make this jump on our own.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_2a.stf', '19', 'goodbye_4', 'Maybe we can work together again sometime Captain.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_2a.stf', '20', 'goodbye_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_2a.stf', '21', 'hull_half', '\\#pcontrast3 Marsh: < \\#pcontrast1 Either I\'ve picked up some Viridian termites, or you don\'t know how to keep those fighters off our back.  Which is it Captain? \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_2a.stf', '22', 'panic_1', 'Raiders, bottom feeders of the Endor System.  They should be no match for you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_2a.stf', '23', 'panic_2', 'It is times like this that make me miss my TIE.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_2a.stf', '24', 'panic_3', 'Maybe I\'ll just stick my blaster out a window, I must have monkeys manning my turrets.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_2a.stf', '25', 'panic_4', 'Well don\'t just sit around, get after them.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_2a.stf', '26', 'panic_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_2a.stf', '27', 'quest_escort_d', 'Escort the Fariso and their cargo safely to the Research Station on Endor');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_2a.stf', '28', 'quest_escort_t', 'Escort');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_2a.stf', '29', 'quest_location_d', 'The Endor System, while not known for heavy pirate activity, is certainly dangerous to a lone freighter.  Increased Imperial presence due to the new Research Station have caused tensions with the unexpected Rebel population in this area and more forces have slowly moved into the system to combat this presence.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_2a.stf', '30', 'quest_location_t', 'Endor System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_2a.stf', '31', 'quest_rendezvous_d', 'The Fariso is expected to make their jump into the System at this point');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_2a.stf', '32', 'quest_rendezvous_t', 'Rendezvous Point');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_2a.stf', '33', 'quest_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_2a.stf', '34', 'reason_1', 'We evaded two groups of Raiders and one Rebel patrol yesterday, so keep your eyes open.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_2a.stf', '35', 'reason_2', 'Hearing that TIE roar brings me back to my Navy days.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_2a.stf', '36', 'reason_3', 'Look at this, a proper escort.  You would think I was carrying something important.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_2a.stf', '37', 'reason_4', 'Try to stay close Captain, I have a bad feeling about todays flight.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_2a.stf', '38', 'reason_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_2a.stf', '39', 'shields_depleted', '\\#pcontrast3 Fariso: < \\#pcontrast1 Shields are down.  I am starting to wonder who\'s side you are on Captain. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_2a.stf', '40', 'split_quest_alert', '\\#pcontrast3 Kilnstrider: < \\#pcontrast1 Admiral Kilnstrider here, this operation is under my authority now. There is activity near an unattended nebula, take down one of those ships and find what they are carrying.  Do not ask questions, just complete the search. Kilnstrider out. > \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_2a.stf', '41', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_2a.stf', '42', 'taunt_1', 'A fat and juicy cargo ship for us to get our riches.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_2a.stf', '43', 'taunt_2', 'Just go away now Imperial dog, you do not want to mess with the likes of us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_2a.stf', '44', 'taunt_3', 'Your cargo will be mine, and I am perfectly willing to scrape whatever I can from your wreckage.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_2a.stf', '45', 'taunt_4', 'You are no match for me little man.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_2a.stf', '46', 'taunt_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_2a.stf', '47', 'thanks_1', 'That is all we ever get from these pirates.  A lot of talk that they never deliver on.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_2a.stf', '48', 'thanks_2', 'Way to show them the business end of Imperial technology.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_2a.stf', '49', 'thanks_3', 'Haha, that put them in their place.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_2a.stf', '50', 'thanks_4', 'There never seems to be a shortage of fools.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_2a.stf', '51', 'thanks_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_2a.stf', '52', 'title', 'Endor System: Bring in the Fariso');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_endor_irs_imp_tier3_2a.stf', '53', 'title_d', 'The Fariso is a civilian YT-1300 piloted by a retired TIE pilot named Jenson Marsh working on contract with the Imperial Research Station on Endor.  Today\'s cargo has be classified as important enough to warrant a fighter escort as they make their approach to the station.  Your mission is to rendezvous with the Transport as they enter the system and see them safely to the landing station in orbit around Endor.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_lok_nym_reb_tier2_2a.stf', '1', 'abort', 'The VIP\'s are too valuable for this sort of disregard.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_lok_nym_reb_tier2_2a.stf', '2', 'arrived_at_loc', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Designated rendezvous point reached. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_lok_nym_reb_tier2_2a.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_lok_nym_reb_tier2_2a.stf', '4', 'attack_notify', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Hostile craft detected on attack vector. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_lok_nym_reb_tier2_2a.stf', '5', 'attack_stopped', '\\#pcontrast3 Tactical Comptuer: < \\#pcontrast1 Hostile activity has ceased. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_lok_nym_reb_tier2_2a.stf', '6', 'autorewardbody', 'You do good work.  We are sending something you way... 10000 credits isn\'t much, but we like to show a little appreciation.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_lok_nym_reb_tier2_2a.stf', '7', 'autorewardfrom', 'Vestil');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_lok_nym_reb_tier2_2a.stf', '8', 'autorewardsubject', 'A Tip for Ya');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_lok_nym_reb_tier2_2a.stf', '9', 'complete', 'The Kimigila\'s Claw is away.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_lok_nym_reb_tier2_2a.stf', '10', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_lok_nym_reb_tier2_2a.stf', '11', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_lok_nym_reb_tier2_2a.stf', '12', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_lok_nym_reb_tier2_2a.stf', '13', 'failed_destroy', '\\#pcontrast3 Vestil < \\#pcontrast1 The Kimogila\'s claw is lost and our generals killed.  We are finished! \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_lok_nym_reb_tier2_2a.stf', '14', 'failed_protect', '\\#pcontrast3 You have failed to protect the Kimogila\'s Claw');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_lok_nym_reb_tier2_2a.stf', '15', 'found_loc', '\\#pcontrast3 Vestil: < \\#pcontrast1 I have uploaded the rendezvous point for the Kimigila\'s claw to you.  Do not lose this transport, they are vital to our continued operations. Storm Squadron wants this transport.  They will come fast and often, stay with it and get them through. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_lok_nym_reb_tier2_2a.stf', '16', 'goodbye_1', 'We are through.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_lok_nym_reb_tier2_2a.stf', '17', 'goodbye_2', 'Making the jump to lightspeed now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_lok_nym_reb_tier2_2a.stf', '18', 'goodbye_3', 'Kimogila\'s Claw, out.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_lok_nym_reb_tier2_2a.stf', '19', 'goodbye_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_lok_nym_reb_tier2_2a.stf', '20', 'goodbye_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_lok_nym_reb_tier2_2a.stf', '21', 'hull_half', 'Hull integrity is at half. ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_lok_nym_reb_tier2_2a.stf', '22', 'panic_1', 'Fighters inbound.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_lok_nym_reb_tier2_2a.stf', '23', 'panic_2', 'Stay focused, they will not miss this opportunity.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_lok_nym_reb_tier2_2a.stf', '24', 'panic_3', 'Imperials detected.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_lok_nym_reb_tier2_2a.stf', '25', 'panic_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_lok_nym_reb_tier2_2a.stf', '26', 'panic_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_lok_nym_reb_tier2_2a.stf', '27', 'quest_escort_d', 'Protect the Claw and her important cargo');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_lok_nym_reb_tier2_2a.stf', '28', 'quest_escort_t', 'Kimogila\'s Claw');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_lok_nym_reb_tier2_2a.stf', '29', 'quest_location_d', 'The travel route for the Kimogila\'s Claw is classified, but we have reason to believe this information was compromised.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_lok_nym_reb_tier2_2a.stf', '30', 'quest_location_t', 'Lok System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_lok_nym_reb_tier2_2a.stf', '31', 'quest_rendezvous_d', 'Travel here to meet the Transport');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_lok_nym_reb_tier2_2a.stf', '32', 'quest_rendezvous_t', 'Rendezvous Point');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_lok_nym_reb_tier2_2a.stf', '33', 'quest_update', '\\#pcontrast3 < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_lok_nym_reb_tier2_2a.stf', '34', 'reason_1', 'We have some important cargo today.  Do NOT fail us Captain.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_lok_nym_reb_tier2_2a.stf', '35', 'reason_2', 'I do not believe that the Imperials would pass up a target like this.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_lok_nym_reb_tier2_2a.stf', '36', 'reason_3', 'I know we have a mole... I suspect that zabrak woman, she is the only one that could sell us out.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_lok_nym_reb_tier2_2a.stf', '37', 'reason_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_lok_nym_reb_tier2_2a.stf', '38', 'reason_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_lok_nym_reb_tier2_2a.stf', '39', 'shields_depleted', 'Our deflector shields are down.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_lok_nym_reb_tier2_2a.stf', '40', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_lok_nym_reb_tier2_2a.stf', '41', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_lok_nym_reb_tier2_2a.stf', '42', 'taunt_1', 'You were foolish to think you could get away.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_lok_nym_reb_tier2_2a.stf', '43', 'taunt_2', 'Oberhaur will give me a promotion for this!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_lok_nym_reb_tier2_2a.stf', '44', 'taunt_3', 'You will not make it through.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_lok_nym_reb_tier2_2a.stf', '45', 'taunt_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_lok_nym_reb_tier2_2a.stf', '46', 'taunt_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_lok_nym_reb_tier2_2a.stf', '47', 'thanks_1', 'The cargo is still safe, for now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_lok_nym_reb_tier2_2a.stf', '48', 'thanks_2', 'The Imperials want this system, this pressure is unrelenting.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_lok_nym_reb_tier2_2a.stf', '49', 'thanks_3', 'Rather weak storm if you ask me.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_lok_nym_reb_tier2_2a.stf', '50', 'thanks_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_lok_nym_reb_tier2_2a.stf', '51', 'thanks_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_lok_nym_reb_tier2_2a.stf', '52', 'title', 'Lok System: Shelter from the Storm');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_lok_nym_reb_tier2_2a.stf', '53', 'title_d', 'With mounting pressure from the Empire, Nym has called in several of his highest ranking Captains to mount directed operations against the Empire and Storm Squadron forces operating in the Lok System.  You are charged to protect this transport at all costs.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_yavin4_company_all_opening_tier2_3.stf', '1', 'abort', 'Hey, you were hired to do a job. If you leave us out here we are going to fall into the same situation as that last executive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_yavin4_company_all_opening_tier2_3.stf', '2', 'arrived_at_loc', 'Wait at this location for our executive transport to jump into the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_yavin4_company_all_opening_tier2_3.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_yavin4_company_all_opening_tier2_3.stf', '4', 'attack_notify', 'Tactical Computer: < Enemy fighters detected. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_yavin4_company_all_opening_tier2_3.stf', '5', 'attack_stopped', 'Tactical Computer: < Enemy fighters eliminated. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_yavin4_company_all_opening_tier2_3.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_yavin4_company_all_opening_tier2_3.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_yavin4_company_all_opening_tier2_3.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_yavin4_company_all_opening_tier2_3.stf', '9', 'complete', 'The executive is safely at our headquarters. Return to Yavin station.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_yavin4_company_all_opening_tier2_3.stf', '10', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_yavin4_company_all_opening_tier2_3.stf', '11', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_yavin4_company_all_opening_tier2_3.stf', '12', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_yavin4_company_all_opening_tier2_3.stf', '13', 'failed_destroy', 'You lost another one? I know we have alot of executives but we will eventually run out. Maybe you should come back to the station for a while.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_yavin4_company_all_opening_tier2_3.stf', '14', 'failed_protect', 'You lost another one? I know we have alot of executives but we will eventually run out. Maybe you should come back to the station for a while.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_yavin4_company_all_opening_tier2_3.stf', '15', 'found_loc', 'Arrival location of the executive transport has been sent to your flight computer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_yavin4_company_all_opening_tier2_3.stf', '16', 'goodbye_1', 'Thanks for watching my back.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_yavin4_company_all_opening_tier2_3.stf', '17', 'goodbye_2', 'Good work, pilot. The company certainly could use someone like you around.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_yavin4_company_all_opening_tier2_3.stf', '18', 'goodbye_3', 'I am proud of you. With you skills and my leadership we could go far.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_yavin4_company_all_opening_tier2_3.stf', '19', 'goodbye_4', 'It is a good thing I was there to direct you. We could have been in real trouble out there.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_yavin4_company_all_opening_tier2_3.stf', '20', 'goodbye_5', 'Someday you might amount to something.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_yavin4_company_all_opening_tier2_3.stf', '21', 'hull_half', 'You are supposed to protect me. My hull is cracking...get them off of me!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_yavin4_company_all_opening_tier2_3.stf', '22', 'panic_1', 'Time for you to get to work.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_yavin4_company_all_opening_tier2_3.stf', '23', 'panic_2', 'Stop your loafing and get in there.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_yavin4_company_all_opening_tier2_3.stf', '24', 'panic_3', 'Remember take out the lead fighter first.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_yavin4_company_all_opening_tier2_3.stf', '25', 'panic_4', 'Maybe you should try using your...what are they called...oh yeah blasters on them.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_yavin4_company_all_opening_tier2_3.stf', '26', 'panic_5', 'You distract them while I try to sneak away.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_yavin4_company_all_opening_tier2_3.stf', '27', 'quest_escort_d', 'Escort the new executive through the system and protect him from any of the Debris Cultists who might try to stop him.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_yavin4_company_all_opening_tier2_3.stf', '28', 'quest_escort_t', 'Escort the Transport');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_yavin4_company_all_opening_tier2_3.stf', '29', 'quest_location_d', 'The new executive will meet you in the Yavin system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_yavin4_company_all_opening_tier2_3.stf', '30', 'quest_location_t', 'Remain in the Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_yavin4_company_all_opening_tier2_3.stf', '31', 'quest_rendezvous_d', 'Travel to the arrival location and wait for the arrival of the new executive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_yavin4_company_all_opening_tier2_3.stf', '32', 'quest_rendezvous_t', 'Meet the Transport');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_yavin4_company_all_opening_tier2_3.stf', '33', 'quest_update', '\\#FF0000 Yavin Mining Company:\\#FF0000 < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_yavin4_company_all_opening_tier2_3.stf', '34', 'reason_1', 'Aren\'t you the pilot who lost my successor? Never mind, just get me to the station.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_yavin4_company_all_opening_tier2_3.stf', '35', 'reason_2', 'Aren\'t you the pilot who lost my successor? Never mind, just get me to the station.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_yavin4_company_all_opening_tier2_3.stf', '36', 'reason_3', 'Aren\'t you the pilot who lost my successor? Never mind, just get me to the station.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_yavin4_company_all_opening_tier2_3.stf', '37', 'reason_4', 'Aren\'t you the pilot who lost my successor? Never mind, just get me to the station.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_yavin4_company_all_opening_tier2_3.stf', '38', 'reason_5', 'Aren\'t you the pilot who lost my successor? Never mind, just get me to the station.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_yavin4_company_all_opening_tier2_3.stf', '39', 'shields_depleted', 'Well, there went our shields. I need you to get them off of us immediately.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_yavin4_company_all_opening_tier2_3.stf', '40', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_yavin4_company_all_opening_tier2_3.stf', '41', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_yavin4_company_all_opening_tier2_3.stf', '42', 'taunt_1', 'We will show you company men what it is like to become one with the debris.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_yavin4_company_all_opening_tier2_3.stf', '43', 'taunt_2', 'You have taken your last piece of holy ground.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_yavin4_company_all_opening_tier2_3.stf', '44', 'taunt_3', 'I shall be traveling to nirvana soon.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_yavin4_company_all_opening_tier2_3.stf', '45', 'taunt_4', 'Do not fear them my brothers. They do not have faith!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_yavin4_company_all_opening_tier2_3.stf', '46', 'taunt_5', 'The might of the great fireball is on my side!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_yavin4_company_all_opening_tier2_3.stf', '47', 'thanks_1', 'So you do have some talent. Good!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_yavin4_company_all_opening_tier2_3.stf', '48', 'thanks_2', 'You would have done better if you had followed my instructions.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_yavin4_company_all_opening_tier2_3.stf', '49', 'thanks_3', 'Next time, try to destroy them faster.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_yavin4_company_all_opening_tier2_3.stf', '50', 'thanks_4', 'I have a deadline to make. Let\'s keep moving.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_yavin4_company_all_opening_tier2_3.stf', '51', 'thanks_5', 'Sloppy, very sloppy.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_yavin4_company_all_opening_tier2_3.stf', '52', 'title', 'Yavin System: Escort the Yavin Mining Co. Executive');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/stn_yavin4_company_all_opening_tier2_3.stf', '53', 'title_d', 'Even though you lost the last executive for the company, they had a back up plan. Another executive is waiting to enter the system but needs an escort through the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_3.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_3.stf', '2', 'abort', 'Things are too hot.  I don\'t think we can make it.  We\'re pulling out and heading back to base.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_3.stf', '3', 'arrived_at_loc', 'Wait here for the Imperial transport.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_3.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_3.stf', '5', 'attack_notify', 'Warning! Hostiles detected on attack vector. Defend our transport!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_3.stf', '6', 'attack_stopped', 'All enemy fighters have been eliminated.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_3.stf', '7', 'attack_warn_1', 'Heads up! Some of the pirates have caught up with us!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_3.stf', '8', 'attack_warn_2', 'More pirates are moving in to attack!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_3.stf', '9', 'attack_warn_3', 'A wing of pirates are making an attack run!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_3.stf', '10', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_3.stf', '11', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_3.stf', '12', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_3.stf', '13', 'complete', 'The transport is safely away! Report back in to your superior officer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_3.stf', '14', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_3.stf', '15', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_3.stf', '16', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_3.stf', '17', 'failed_destroy', 'Mission failed! The transport has been destroyed!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_3.stf', '18', 'failed_protect', 'Mission failed! The transport was lost!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_3.stf', '19', 'found_loc', 'A waypoint to the Imperial transport has been found. Uploading to navi-computer, now...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_3.stf', '20', 'goodbye', 'We can make it from here.  Thanks for the escort, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_3.stf', '21', 'goodbye_1', 'Thanks for the escort, pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_3.stf', '22', 'goodbye_2', 'We can take it from here...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_3.stf', '23', 'goodbye_3', 'Good work, pilot. We can take it from here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_3.stf', '24', 'goodbye_4', 'Thanks for the escort. Signing off...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_3.stf', '25', 'goodbye_5', 'Appreciate the help, pilot. Preparing to jump to lightspeed...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_3.stf', '26', 'hello', 'Thanks for responding, pilot.  We managed to shake the pirates, but they might come back.  We need a combat escort to our embarkation point.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_3.stf', '27', 'hull_half', 'Get to work, pilot! Hull is at fifty percent!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_3.stf', '28', 'panic_1', 'Requesting assistance! Incoming hostiles!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_3.stf', '29', 'panic_2', 'Get those bandits, pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_3.stf', '30', 'panic_3', 'Look out! Incoming fighters!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_3.stf', '31', 'panic_4', 'Hey! Take out those fighters before they destroy us!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_3.stf', '32', 'panic_5', 'We are under attack!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_3.stf', '33', 'quest_escort_d', 'Once you have met up with the freighter, wait for it to beginning flying along its assigned route. Follow the freighter and keep a close watch out for pirate fighters who might try to capture or destroy the vessel. Once it has reached it designated, it will leave the area and your mission will be complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_3.stf', '34', 'quest_escort_t', 'Escort the Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_3.stf', '35', 'quest_location_d', 'Remain in the Tatooine system. Once you finish the patrol, you will receive a navigation waypoint to the freighter\'s arrival location. Travel to this location and wait for the arrival of the freighter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_3.stf', '36', 'quest_location_t', 'Remain in the Tatooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_3.stf', '37', 'quest_rendezvous_d', 'Travel to the navigation waypoint supplied to your by Imperial Flight Command. Wait at the arrival waypoint for the freighter to arrive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_3.stf', '38', 'quest_rendezvous_t', 'Meet the Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_3.stf', '39', 'quest_update', '\\#pcontrast1 Imperial Command:\\#pcontrast1 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_3.stf', '40', 'reason_1', 'Cover us, pilot! We\'ve been hounded by pirates ever since we left dry-dock!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_3.stf', '41', 'reason_2', 'We\'ve got to get this cargo out of this system right away, pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_3.stf', '42', 'reason_3', 'Pirates are after this cargo... with a ferocity we\'ve never seen!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_3.stf', '43', 'reason_4', 'I\'ve got to get this load of weapons out of the system, friend.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_3.stf', '44', 'reason_5', 'We shook the pirates at the last nav point, but I\'m sure they\'ll be back!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_3.stf', '45', 'shields_depleted', 'Our shields are gone!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_3.stf', '46', 'split_quest_alert', 'A new freighter carrying the important cargo is being sent to your system. Meet up with the freighter and make sure it reaches its destination.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_3.stf', '47', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_3.stf', '48', 'taunt_1', 'Dump your cargo!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_3.stf', '49', 'taunt_2', 'Get out of our way, pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_3.stf', '50', 'taunt_3', 'This transport is ours, squint!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_3.stf', '51', 'taunt_4', 'Back off, pal!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_3.stf', '52', 'taunt_5', 'This cargo is mine!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_3.stf', '53', 'thanks_1', 'Good shooting, pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_3.stf', '54', 'thanks_2', 'Nice work, my friend!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_3.stf', '55', 'thanks_3', 'Keep it up, pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_3.stf', '56', 'thanks_4', 'That\'s how to do it, buddy!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_3.stf', '57', 'thanks_5', 'You\'re pretty handy with that thing, huh?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_3.stf', '58', 'title', 'Tatooine System: Escort the Imperial Transport');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_3.stf', '59', 'title_d', 'Remain in the Tatooine system and escort the freighter through the system. Once you finish the patrol in the Tatooine system, you will receive a navigation waypoint to the freighter\'s arrival location. Travel to this location and wait for the freighter to arrive. Once the freighter arrives, follow it to its destination. You will have to keep it safe from any enemy fighters who attempt to stop it from reaching its destination.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_1.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_1.stf', '2', 'abort', 'High Command will hear about your failure in your duty, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_1.stf', '3', 'arrived_at_loc', 'Arrived at destination. Wait here for the arrival of the engineers\' transport and escort it safely through the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_1.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_1.stf', '5', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 < Incoming fighter vessels. Scans show weapons armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_1.stf', '6', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_1.stf', '7', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_1.stf', '8', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_1.stf', '9', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_1.stf', '10', 'complete', 'Good work, pilot. You have successfully protected the Empire\'s engineers so they can begin work on a most important project.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_1.stf', '11', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_1.stf', '12', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_1.stf', '13', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_1.stf', '14', 'failed_destroy', 'The transport has been destroyed. High Command will be most displeased with your performance. Report to your superior immediately.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_1.stf', '15', 'failed_protect', 'What are you doing leaving the transport out there on it\'s own. Your orders were to escort that transport through the system. Obedience is not an option! Report to your superior.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_1.stf', '16', 'found_loc', 'Coordinates confirmed and sent to your nav computer. Proceed to location and wait for the arrival of the transport.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_1.stf', '17', 'goodbye_1', 'Thanks for the escort, pilot. I wouldn\'t have made it without you. These engineers are highly important to the Imperial operation underway here in Endor.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_1.stf', '18', 'goodbye_2', 'Thanks for the escort, pilot. I wouldn\'t have made it without you. These engineers are highly important to the Imperial operation underway here in Endor.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_1.stf', '19', 'goodbye_3', 'Thanks for the escort, pilot. I wouldn\'t have made it without you. These engineers are highly important to the Imperial operation underway here in Endor.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_1.stf', '20', 'goodbye_4', 'Thanks for the escort, pilot. I wouldn\'t have made it without you. These engineers are highly important to the Imperial operation underway here in Endor.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_1.stf', '21', 'goodbye_5', 'Thanks for the escort, pilot. I wouldn\'t have made it without you. These engineers are highly important to the Imperial operation underway here in Endor.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_1.stf', '22', 'hull_half', 'Pilot, we are under heavy fire down here! Get those fighters off of me.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_1.stf', '23', 'panic_1', 'Rebels! What are they doing in the Endor system?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_1.stf', '24', 'panic_2', 'We are under attack! You have to keep us safe.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_1.stf', '25', 'panic_3', 'Why are the Rebels interested in this system?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_1.stf', '26', 'panic_4', 'Look out! Rebels are incoming.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_1.stf', '27', 'panic_5', 'Keep those fighters off our backs. We have to get these engineers to the staging area.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_1.stf', '28', 'quest_escort_d', 'Escort the engineers through the Endor system to their destination. We don\'t expect any problems but if some arise, you are to take care of them.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_1.stf', '29', 'quest_escort_t', 'Escort the Engineer\'s Transport');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_1.stf', '30', 'quest_location_d', 'You are to meet the engineers inside of the Endor system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_1.stf', '31', 'quest_location_t', 'Travel to the Endor System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_1.stf', '32', 'quest_rendezvous_d', 'Travel to the navigation waypoint of the arrival location of the shuttle. Wait for the shuttle to arrive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_1.stf', '33', 'quest_rendezvous_t', 'Meet the Engineer\'s Transport');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_1.stf', '34', 'quest_update', '\\#pcontrast3 Storm Squadron Command:\\#pcontrast1 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_1.stf', '35', 'reason_1', 'Hello, pilot. We have the engineers and the core in storage. This should be a smooth flight.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_1.stf', '36', 'reason_2', 'Hello, pilot. We have the engineers and the core in storage. This should be a smooth flight.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_1.stf', '37', 'reason_3', 'Hello, pilot. We have the engineers and the core in storage. This should be a smooth flight.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_1.stf', '38', 'reason_4', 'Hello, pilot. We have the engineers and the core in storage. This should be a smooth flight.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_1.stf', '39', 'reason_5', 'Hello, pilot. We have the engineers and the core in storage. This should be a smooth flight.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_1.stf', '40', 'shields_depleted', 'We just lost our shields! We are not going to last much longer unless you can get those fighters off of us!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_1.stf', '41', 'split_quest_alert', 'Another Engineer transport has been captured by Rebel pilots. Proceed immediately to last known location and recover the transport.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_1.stf', '42', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_1.stf', '43', 'taunt_1', 'Hand over the engineers and the core and no one will get hurt.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_1.stf', '44', 'taunt_2', 'We just want the transport.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_1.stf', '45', 'taunt_3', 'Don\'t make this hard on yourself. Hand over the transport.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_1.stf', '46', 'taunt_4', 'That is the transport we are after. Focus all attacks on it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_1.stf', '47', 'taunt_5', 'If we cannot capture the transport, our orders are to destroy it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_1.stf', '48', 'thanks_1', 'Nice flying out there. Those Rebel fighters came out of no where. Almost like they were waiting for us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_1.stf', '49', 'thanks_2', 'Nice flying out there. Those Rebel fighters came out of no where. Almost like they were waiting for us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_1.stf', '50', 'thanks_3', 'Nice flying out there. Those Rebel fighters came out of no where. Almost like they were waiting for us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_1.stf', '51', 'thanks_4', 'Nice flying out there. Those Rebel fighters came out of no where. Almost like they were waiting for us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_1.stf', '52', 'thanks_5', 'Nice flying out there. Those Rebel fighters came out of no where. Almost like they were waiting for us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_1.stf', '53', 'title', 'Endor System: Escort the Engineer\'s Transport');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_1.stf', '54', 'title_d', 'The Empire has started a major undertaking in the Endor system. They have not been forthcoming with details about what they are doing, but they have a need for materials and manpower. Storm Squadron has been placed in charge of system security. Your first mission is to escort a shuttle of engineers coming from the Yavin salvage operation through the Endor system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_3_a.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_3_a.stf', '2', 'abort', 'What are you doing, pilot? You are aborting too early. The Rebels will know this is a trap.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_3_a.stf', '3', 'arrived_at_loc', 'Wait for the decoy shuttle to arrive and then begin the mission. To completely sell this deception, you are going to have kill several attacking waves of enemy fighters before we can be sure the Rebels will think the information is genuine.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_3_a.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_3_a.stf', '5', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters detected. Incoming at high speeds.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_3_a.stf', '6', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighter destroyed. Detecting no further ships.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_3_a.stf', '7', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_3_a.stf', '8', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_3_a.stf', '9', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_3_a.stf', '10', 'complete', 'You may have succeeded in getting the Rebels the plans but there is very little chance that they are going to believe that they are real. We cannot write this one off as a complete failure but you didn\'t accomplish what was needed of you. Report back into your commander.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_3_a.stf', '11', 'escort_too_far1', 'Pilot, if you leave the decoy shuttle unprotected the Rebels will know something is wrong. Stay with the shuttle and destroy those Rebels so they think what is on that shuttle is important.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_3_a.stf', '12', 'escort_too_far2', 'Pilot, the Rebels are getting suspicious. Get back here and put on a good show.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_3_a.stf', '13', 'escort_too_far3', 'Blast it! The Rebels are leaving, this is obviously a trap. Way to blow the operation. Report back to your superior.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_3_a.stf', '14', 'failed_destroy', 'Pilot, that was too easy. The Rebels might scan the wreckage and find the plans but they are never going to believe them. They are rebellious, not stupid. You are going to need to report back to your commander.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_3_a.stf', '15', 'failed_protect', 'Pilot, that was too easy. The Rebels might scan the wreckage and find the plans but they are never going to believe them.  They are rebellious, not stupid. You are going to need to report back to your commander.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_3_a.stf', '16', 'found_loc', 'Meet up with the decoy shuttle at supplied navigation location. Once the enemy attacks, destroy several of their attack waves. When we have their curiosity peeked, the shuttle will make a run for it and allow itself to be captured. Just make sure you put on a good show and destroy at least four attack waves.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_3_a.stf', '17', 'goodbye_1', 'Blast it! You didn\'t destroy nearly enough of those fighters for the Rebels to be interested in following me. This mission is a big failure. Report back into your superior.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_3_a.stf', '18', 'goodbye_2', 'Blast it! You didn\'t destroy nearly enough of those fighters for the Rebels to be interested in following me. This mission is a big failure. Report back into your superior.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_3_a.stf', '19', 'goodbye_3', 'Blast it! You didn\'t destroy nearly enough of those fighters for the Rebels to be interested in following me. This mission is a big failure. Report back into your superior.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_3_a.stf', '20', 'goodbye_4', 'Blast it! You didn\'t destroy nearly enough of those fighters for the Rebels to be interested in following me. This mission is a big failure. Report back into your superior.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_3_a.stf', '21', 'goodbye_5', 'Blast it! You didn\'t destroy nearly enough of those fighters for the Rebels to be interested in following me. This mission is a big failure. Report back into your superior.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_3_a.stf', '22', 'hull_half', 'Hull is at half strength! I have to stay alive for longer or the Rebels will not buy the fake plans. Get them off of me and destroy some more waves!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_3_a.stf', '23', 'panic_1', 'Excellent! It looks like the Rebels are coming to investigate. Put on a good show and make it look like you are protecting something really important.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_3_a.stf', '24', 'panic_2', 'Excellent! It looks like the Rebels are coming to investigate. Put on a good show and make it look like you are protecting something really important.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_3_a.stf', '25', 'panic_3', 'Excellent! It looks like the Rebels are coming to investigate. Put on a good show and make it look like you are protecting something really important.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_3_a.stf', '26', 'panic_4', 'Excellent! It looks like the Rebels are coming to investigate. Put on a good show and make it look like you are protecting something really important.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_3_a.stf', '27', 'panic_5', 'Excellent! It looks like the Rebels are coming to investigate. Put on a good show and make it look like you are protecting something really important.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_3_a.stf', '28', 'quest_escort_d', 'Follow the decoy shuttle along its route. Destroy at least four waves of enemy fighters before the shuttle is destroyed or the shuttle reaches the end of its designated route.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_3_a.stf', '29', 'quest_escort_t', 'Escort the Decoy Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_3_a.stf', '30', 'quest_location_d', 'The navigation waypoint to the arrival location of the decoy shuttle will be supplied to you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_3_a.stf', '31', 'quest_location_t', 'Remain in the Endor System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_3_a.stf', '32', 'quest_rendezvous_d', 'Travel to the navigation waypoint and wait for the arrival of the shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_3_a.stf', '33', 'quest_rendezvous_t', 'Meeting the Decoy Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_3_a.stf', '34', 'quest_update', '\\#pcontrast1 Storm Squadron Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_3_a.stf', '35', 'reason_1', 'Alright! We have the fake plans on our ship. Remember, you need to make this look real! Once the enemy attacks, destroy several of their attacking waves to make them think you are protecting some valuable information. Once we have done enough to sell our project, I will pretend to make a run for it and let the shuttle be captured.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_3_a.stf', '36', 'reason_2', 'Alright! We have the fake plans on our ship. Remember, you need to make this look real! Once the enemy attacks, destroy several of their attacking waves to make them think you are protecting some valuable information. Once we have done enough to sell our project, I will pretend to make a run for it and let the shuttle be captured.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_3_a.stf', '37', 'reason_3', 'Alright! We have the fake plans on our ship. Remember, you need to make this look real! Once the enemy attacks, destroy several of their attacking waves to make them think you are protecting some valuable information. Once we have done enough to sell our project, I will pretend to make a run for it and let the shuttle be captured.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_3_a.stf', '38', 'reason_4', 'Alright! We have the fake plans on our ship. Remember, you need to make this look real! Once the enemy attacks, destroy several of their attacking waves to make them think you are protecting some valuable information. Once we have done enough to sell our project, I will pretend to make a run for it and let the shuttle be captured.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_3_a.stf', '39', 'reason_5', 'Alright! We have the fake plans on our ship. Remember, you need to make this look real! Once the enemy attacks, destroy several of their attacking waves to make them think you are protecting some valuable information. Once we have done enough to sell our project, I will pretend to make a run for it and let the shuttle be captured.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_3_a.stf', '40', 'shields_depleted', 'There went our shields. We can\'t let them capture me too early. The Rebels may be weak but they are not dumb. If they take me too easily, they will never buy it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_3_a.stf', '41', 'split_quest_alert', 'That should be enough to get the Rebels convinced that those fake documents are the real deal. The decoy shuttle is making a run for it and will let himself get captured. Keep a close watch, because it looks like the Rebels have also developed an unhealthy interest in you. Destroy any vessels that attack you and stand by for further notice.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_3_a.stf', '42', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_3_a.stf', '43', 'taunt_1', 'You might as well run since you cannot win.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_3_a.stf', '44', 'taunt_2', 'Just hand over the transport and no one gets hurt.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_3_a.stf', '45', 'taunt_3', 'If I were you I would run, Imperial dog.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_3_a.stf', '46', 'taunt_4', 'You are going to regret trying to fight.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_3_a.stf', '47', 'taunt_5', 'You might as well run since you cannot win.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_3_a.stf', '48', 'thanks_1', 'That\'s it! Keep it up. A little more of that and the Rebels will be absolutely convinced that this shuttle contains something really important.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_3_a.stf', '49', 'thanks_2', 'That\'s it! Keep it up. A little more of that and the Rebels will be absolutely convinced that this shuttle contains something really important.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_3_a.stf', '50', 'thanks_3', 'That\'s it! Keep it up. A little more of that and the Rebels will be absolutely convinced that this shuttle contains something really important.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_3_a.stf', '51', 'thanks_4', 'That\'s it! Keep it up. A little more of that and the Rebels will be absolutely convinced that this shuttle contains something really important.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_3_a.stf', '52', 'thanks_5', 'That\'s it! Keep it up. A little more of that and the Rebels will be absolutely convinced that this shuttle contains something really important.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_3_a.stf', '53', 'title', 'Endor System: Destroy Four Rebel Fighter Waves');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier3_3_a.stf', '54', 'title_d', 'The fake orders have been planeted on this decoy shuttle. You are to follow the shuttle until the Rebels attack. You are going to have to make the Rebels believe that the shuttle contains highly important information. In order to do this, you need to destroy at least four waves of enemy fighters before they either destroy the decoy shuttle or the decoy shuttle reaches the end of its designated path.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier4_3.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier4_3.stf', '2', 'abort', 'Fool...do you know who I am? Your superior will be most displeased that you failed in your duty.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier4_3.stf', '3', 'arrived_at_loc', 'Stand by for the arrival of the Inquisitior\'s shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier4_3.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier4_3.stf', '5', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Warning! Enemy fighters detected.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier4_3.stf', '6', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighter wing destroyed.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier4_3.stf', '7', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier4_3.stf', '8', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier4_3.stf', '9', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier4_3.stf', '10', 'complete', 'The Inquistitor is here. He says you are a fine example of the Empire\'s best.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier4_3.stf', '11', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier4_3.stf', '12', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier4_3.stf', '13', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier4_3.stf', '14', 'failed_destroy', 'The shuttle has been destroyed! The Inquisition is not going to be pleased with the loss of their man. Report back to your superior.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier4_3.stf', '15', 'failed_protect', 'You left the shuttle on its own! What were you thinking. Make a full report of your failur to your superior.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier4_3.stf', '16', 'found_loc', 'Location of shuttle jump point located. Proceed to location and await further instructions.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier4_3.stf', '17', 'goodbye_1', 'You have done well. Have no worries, I will reveal the truth of why the rebels are in this sector in due time.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier4_3.stf', '18', 'goodbye_2', 'You have done well. Have no worries, I will reveal the truth of why the rebels are in this sector in due time.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier4_3.stf', '19', 'goodbye_3', 'You have done well. Have no worries, I will reveal the truth of why the rebels are in this sector in due time.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier4_3.stf', '20', 'goodbye_4', 'You have done well. Have no worries, I will reveal the truth of why the rebels are in this sector in due time.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier4_3.stf', '21', 'goodbye_5', 'You have done well. Have no worries, I will reveal the truth of why the rebels are in this sector in due time.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier4_3.stf', '22', 'hull_half', 'Our hull is at half strength. Get those fighters off of us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier4_3.stf', '23', 'panic_1', 'You call this security! Rebels are swarming all over this sector.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier4_3.stf', '24', 'panic_2', 'Rebels! My route was supposed to be secure. There will be some questions.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier4_3.stf', '25', 'panic_3', 'It is time to prove yourself loyal.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier4_3.stf', '26', 'panic_4', 'Do not fail me, pilot! The Emperor himself knows my name.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier4_3.stf', '27', 'panic_5', 'Rebels! My route was supposed to be secure. There will be some questions.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier4_3.stf', '28', 'quest_escort_d', 'Follow and protect the Inquisitior\'s shuttle as it moves through the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier4_3.stf', '29', 'quest_escort_t', 'Escort the Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier4_3.stf', '30', 'quest_location_d', 'Your orders are to meet the shuttle in the Endor system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier4_3.stf', '31', 'quest_location_t', 'Travel to the Endor System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier4_3.stf', '32', 'quest_rendezvous_d', 'Travel to the shuttle\'s arrival location and wait for it to show up.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier4_3.stf', '33', 'quest_rendezvous_t', 'Meet the Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier4_3.stf', '34', 'quest_update', '\\#pcontrast1 Storm Squadron Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier4_3.stf', '35', 'reason_1', 'I am Inquisition Hizee of the Imperial Inquisition. I will root out the cause of your breach in security. Escort me to headquarters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier4_3.stf', '36', 'reason_2', 'I am Inquisition Hizee of the Imperial Inquisition. I will root out the cause of your breach in security. Escort me to headquarters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier4_3.stf', '37', 'reason_3', 'I am Inquisition Hizee of the Imperial Inquisition. I will root out the cause of your breach in security. Escort me to headquarters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier4_3.stf', '38', 'reason_4', 'I am Inquisition Hizee of the Imperial Inquisition. I will root out the cause of your breach in security. Escort me to headquarters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier4_3.stf', '39', 'reason_5', 'I am Inquisition Hizee of the Imperial Inquisition. I will root out the cause of your breach in security. Escort me to headquarters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier4_3.stf', '40', 'shields_depleted', 'There went our shields. We can\'t hold out much longer!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier4_3.stf', '41', 'split_quest_alert', 'Alert! One of our stolen shuttles has returned to Endorian space. Capture and return that shuttle to headquarters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier4_3.stf', '42', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier4_3.stf', '43', 'taunt_1', 'You will have to try harder then that!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier4_3.stf', '44', 'taunt_2', 'Give up! We have some questions for YOU!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier4_3.stf', '45', 'taunt_3', 'Is that all you got?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier4_3.stf', '46', 'taunt_4', 'Prepare to be made into space dust.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier4_3.stf', '47', 'taunt_5', 'Imperial dog! You time is up.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier4_3.stf', '48', 'thanks_1', 'You have done very well! Perhaps you will avoid my questions.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier4_3.stf', '49', 'thanks_2', 'You are proving yourself a loyal soldier to the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier4_3.stf', '50', 'thanks_3', 'I think you will be a valued asset to my investigation.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier4_3.stf', '51', 'thanks_4', 'I see by your actions that you are loyal.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier4_3.stf', '52', 'thanks_5', 'You and I are going to get along very well, I think.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier4_3.stf', '53', 'title', 'Endor System: Escort the Inquisitor\'s Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_imperial_tier4_3.stf', '54', 'title_d', 'The Emperor has sent an Inquisitor to assist Storm Squadron with their investigation into the Bothan and Rebel attacks. It appears that he is concerned there might be an insider assisting the Bothans. You are to escort the Inquisitor\'s shuttle through the system safely.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_3.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_3.stf', '2', 'abort', 'Our cover is blown. We\'ll never make it!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_3.stf', '3', 'arrived_at_loc', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 You have arrived at the rendezvous point. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_3.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_3.stf', '5', 'attack_notify', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Enemy craft approaching on attack vector. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_3.stf', '6', 'attack_stopped', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Enemy activity has ceased. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_3.stf', '7', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_3.stf', '8', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_3.stf', '9', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_3.stf', '10', 'complete', 'The escort is complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_3.stf', '11', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_3.stf', '12', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_3.stf', '13', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_3.stf', '14', 'failed_destroy', '\\#pcontrast3 Smuggler Alliance: < \\#pcontrast1 You can answer to Jabba for this one, I was not involved if they ask. \\#pcontrast3 > ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_3.stf', '15', 'failed_protect', '\\#pcontrast3 Smuggler Alliance: < \\#pcontrast1 You are about the most worthless fighter jockey I\'ve seen yet. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_3.stf', '16', 'found_loc', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Location to rendezvous updated. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_3.stf', '17', 'goodbye', 'Alright, we can take things from here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_3.stf', '18', 'goodbye_1', 'Alright, we can take things from here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_3.stf', '19', 'goodbye_2', 'That\'s a wrap, take care Captain.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_3.stf', '20', 'goodbye_3', 'Alright, we can take things from here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_3.stf', '21', 'goodbye_4', 'Alright, we can take things from here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_3.stf', '22', 'goodbye_5', 'Alright, we can take things from here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_3.stf', '23', 'hello', 'We need to get this cargo to Coronet without incident. Watch our back.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_3.stf', '24', 'hull_half', 'Hull is at half.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_3.stf', '25', 'panic_1', 'Fighters coming, keep them off of me.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_3.stf', '26', 'panic_2', 'Here come the Black Sun.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_3.stf', '27', 'panic_3', 'Protect this shipment or it is both of our heads.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_3.stf', '28', 'panic_4', 'Protect this shipment or it is both of our heads.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_3.stf', '29', 'panic_5', 'Protect this shipment or it is both of our heads.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_3.stf', '30', 'quest_escort_d', 'Escort this freighter to safety');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_3.stf', '31', 'quest_escort_t', 'Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_3.stf', '32', 'quest_location_d', 'A transport lane in the Tatooine System.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_3.stf', '33', 'quest_location_t', 'Tatooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_3.stf', '34', 'quest_rendezvous_d', 'Meet the freighter here');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_3.stf', '35', 'quest_rendezvous_t', 'Rendezvous Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_3.stf', '36', 'quest_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_3.stf', '37', 'reason_1', 'We need to get this through to Coronet.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_3.stf', '38', 'reason_2', 'Glad to have you here Captain, the Black Sun have been rampant lately.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_3.stf', '39', 'reason_3', 'Glad to have you here Captain, the Black Sun have been rampant lately.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_3.stf', '40', 'reason_4', 'Glad to have you here Captain, the Black Sun have been rampant lately.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_3.stf', '41', 'reason_5', 'Glad to have you here Captain, the Black Sun have been rampant lately.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_3.stf', '42', 'shields_depleted', 'Shields depleted.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_3.stf', '43', 'split_quest_alert', '\\#pcontrast3 Dravis: < \\#pcontrast1 You appear to have hit a little snag out there.  Get patched up and run that patrol again. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_3.stf', '44', 'split_quest_alert_fail', '\\#pcontrast3 Dravis: < \\#pcontrast1 You appear to have hit a little snag out there.  Get patched up and run that patrol again. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_3.stf', '45', 'taunt_1', 'Today you die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_3.stf', '46', 'taunt_2', 'This cargo will not pass.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_3.stf', '47', 'taunt_3', 'Easy Money with this group.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_3.stf', '48', 'taunt_4', 'Easy Money with this group.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_3.stf', '49', 'taunt_5', 'Easy Money with this group.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_3.stf', '50', 'thanks_1', 'Thanks for getting us through Captain.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_3.stf', '51', 'thanks_2', 'Those Black Sun didn\'t scare me for a moment.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_3.stf', '52', 'thanks_3', 'The Alliance is grateful.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_3.stf', '53', 'thanks_4', 'I\'ll owe you a drink Captain.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_3.stf', '54', 'thanks_5', 'I\'ll owe you a drink Captain.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_3.stf', '55', 'title', 'Tatooine System: Escort the Transport to Safety');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_3.stf', '56', 'title_d', 'Escort the freighter through Tatooine space.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier2_4a.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier2_4a.stf', '2', 'abort', 'I\'m out of here, you are too unreliable.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier2_4a.stf', '3', 'arrived_at_loc', '\\#pcontrast3 Smuggler Alliance: < \\#pcontrast1 This is the spot, wait for that freighter to come in. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier2_4a.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier2_4a.stf', '5', 'attack_notify', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Enemy craft detected on attack vector. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier2_4a.stf', '6', 'attack_stopped', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Hostile activity has stopped. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier2_4a.stf', '7', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier2_4a.stf', '8', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier2_4a.stf', '9', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier2_4a.stf', '10', 'complete', 'The freighter is on it\'s way, good job.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier2_4a.stf', '11', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier2_4a.stf', '12', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier2_4a.stf', '13', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier2_4a.stf', '14', 'failed_destroy', '\\#pcontrast3 Smuggler Alliance: < \\#pcontrast1T he freighter was destroyed, this is unacceptable. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier2_4a.stf', '15', 'failed_protect', 'You have failed to protect your charge.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier2_4a.stf', '16', 'found_loc', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Location to the meeting point has been uploaded. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier2_4a.stf', '17', 'goodbye_1', 'Good job getting us through there.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier2_4a.stf', '18', 'goodbye_2', 'I owe you a drink Captain.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier2_4a.stf', '19', 'goodbye_3', 'Good job getting us through there.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier2_4a.stf', '20', 'goodbye_4', 'Good job getting us through there.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier2_4a.stf', '21', 'goodbye_5', 'Good job getting us through there.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier2_4a.stf', '22', 'hull_half', 'Hull integrity is at half.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier2_4a.stf', '23', 'panic_1', 'Here come the Hutt\'s.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier2_4a.stf', '24', 'panic_2', 'Some Alliance this is.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier2_4a.stf', '25', 'panic_3', 'Here come the Hutt\'s.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier2_4a.stf', '26', 'panic_4', 'Here come the Hutt\'s.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier2_4a.stf', '27', 'panic_5', 'Here come the Hutt\'s.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier2_4a.stf', '28', 'quest_escort_d', 'A slow moving transport, prone to Hutt assault');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier2_4a.stf', '29', 'quest_escort_t', 'Valarian Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier2_4a.stf', '30', 'quest_location_d', 'A transport route through Hutt Controlled space');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier2_4a.stf', '31', 'quest_location_t', 'Tatooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier2_4a.stf', '32', 'quest_rendezvous_d', 'Meet up with the Valarian freighter here');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier2_4a.stf', '33', 'quest_rendezvous_t', 'Escort Rendezvous');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier2_4a.stf', '34', 'quest_update', '\\#pcontrast3 < %TO > ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier2_4a.stf', '35', 'reason_1', 'Stay on guard, the Hutt\'s have never really been good at honoring an alliance.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier2_4a.stf', '36', 'reason_2', 'I anticipate problems of the Hutt kind, be ready.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier2_4a.stf', '37', 'reason_3', 'Stay on guard, the Hutt\'s have never really been good at honoring an alliance.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier2_4a.stf', '38', 'reason_4', 'Stay on guard, the Hutt\'s have never really been good at honoring an alliance.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier2_4a.stf', '39', 'reason_5', 'Stay on guard, the Hutt\'s have never really been good at honoring an alliance.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier2_4a.stf', '40', 'shields_depleted', 'Shield energies have been depleted!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier2_4a.stf', '41', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier2_4a.stf', '42', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier2_4a.stf', '43', 'taunt_1', 'This area belongs to the Hutt\'s you fool');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier2_4a.stf', '44', 'taunt_2', 'Valarian dog.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier2_4a.stf', '45', 'taunt_3', 'This area belongs to the Hutt\'s you fool');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier2_4a.stf', '46', 'taunt_4', 'This area belongs to the Hutt\'s you fool');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier2_4a.stf', '47', 'taunt_5', 'This area belongs to the Hutt\'s you fool');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier2_4a.stf', '48', 'thanks_1', 'That will show them.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier2_4a.stf', '49', 'thanks_2', 'Hah, that will shut his mouth!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier2_4a.stf', '50', 'thanks_3', 'That will show them.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier2_4a.stf', '51', 'thanks_4', 'That will show them.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier2_4a.stf', '52', 'thanks_5', 'That will show them.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier2_4a.stf', '53', 'title', 'Tatooine System: Escort the Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier2_4a.stf', '54', 'title_d', 'Protect Valarian interests from Hutt pirates');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier3_3_c.stf', '1', 'abort', 'Mission Aborted!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier3_3_c.stf', '2', 'arrived_at_loc', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Arrived at the designated location. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier3_3_c.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier3_3_c.stf', '4', 'attack_notify', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Hostile craft detected on attack vector. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier3_3_c.stf', '5', 'attack_stopped', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Hostile activities have ceased. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier3_3_c.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier3_3_c.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier3_3_c.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier3_3_c.stf', '9', 'complete', '\\#pcontrast3 Beissa: < \\#pcontrast1 Good job getting them through, now return to the palace so we may continue. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier3_3_c.stf', '10', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier3_3_c.stf', '11', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier3_3_c.stf', '12', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier3_3_c.stf', '13', 'failed_destroy', 'The shuttle was destroyed! Mission failure!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier3_3_c.stf', '14', 'failed_protect', 'Your target has been lost! Mission failed!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier3_3_c.stf', '15', 'found_loc', '\\#pcontrast3 Beissa: < \\#pcontrast1 A Seinar Fleet Systems representative is in route to Endor but wants a quick escort through Dathomir while the receive a transmission.  Get them through safely, the show of good faith will be greatly appreciated. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier3_3_c.stf', '16', 'goodbye_1', 'Excellent job pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier3_3_c.stf', '17', 'goodbye_2', 'I shal commend you to my superiors Captain.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier3_3_c.stf', '18', 'goodbye_3', 'Excellent job pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier3_3_c.stf', '19', 'goodbye_4', 'Excellent job pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier3_3_c.stf', '20', 'goodbye_5', 'Excellent job pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier3_3_c.stf', '21', 'hull_half', 'Gah! Our hull is almost torn open! Help us, please!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier3_3_c.stf', '22', 'panic_1', 'We\'re in trouble!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier3_3_c.stf', '23', 'panic_2', 'Get this guy off us!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier3_3_c.stf', '24', 'panic_3', 'Hey! Help!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier3_3_c.stf', '25', 'panic_4', 'We\'re in trouble!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier3_3_c.stf', '26', 'panic_5', 'We\'re in trouble!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier3_3_c.stf', '27', 'quest_escort_d', 'Escort the Imperial shuttle through the system');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier3_3_c.stf', '28', 'quest_escort_t', 'Escort Target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier3_3_c.stf', '29', 'quest_location_d', 'A dangerous area of the Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier3_3_c.stf', '30', 'quest_location_t', 'Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier3_3_c.stf', '31', 'quest_rendezvous_d', 'Travel here to meet with the Imperial shuttle');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier3_3_c.stf', '32', 'quest_rendezvous_t', 'Rendezvous Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier3_3_c.stf', '33', 'quest_update', '\\#pcontrast3 < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier3_3_c.stf', '34', 'reason_1', 'We\'ve got a Seinar Systems contractor on-board. Needs to get through the system quickly and cleanly...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier3_3_c.stf', '35', 'reason_2', 'We\'ve got a Seinar Systems contractor on-board. Needs to get through the system quickly and cleanly...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier3_3_c.stf', '36', 'reason_3', 'We\'ve got a Seinar Systems contractor on-board. Needs to get through the system quickly and cleanly...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier3_3_c.stf', '37', 'reason_4', 'We\'ve got a Seinar Systems contractor on-board. Needs to get through the system quickly and cleanly...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier3_3_c.stf', '38', 'reason_5', 'We\'ve got a Seinar Systems contractor on-board. Needs to get through the system quickly and cleanly...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier3_3_c.stf', '39', 'shields_depleted', 'Oh no! Our shields are gone! Help us!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier3_3_c.stf', '40', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier3_3_c.stf', '41', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier3_3_c.stf', '42', 'taunt_1', 'Now you die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier3_3_c.stf', '43', 'taunt_2', 'I\'m not sure who I hate more, Hutts or Imperials.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier3_3_c.stf', '44', 'taunt_3', 'Now you die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier3_3_c.stf', '45', 'taunt_4', 'Now you die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier3_3_c.stf', '46', 'taunt_5', 'Now you die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier3_3_c.stf', '47', 'thanks_1', 'Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier3_3_c.stf', '48', 'thanks_2', 'Good work, but stay alert.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier3_3_c.stf', '49', 'thanks_3', 'Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier3_3_c.stf', '50', 'thanks_4', 'Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier3_3_c.stf', '51', 'thanks_5', 'Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier3_3_c.stf', '52', 'title', 'Dathomir System: Escort the VIP Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_privateer_tier3_3_c.stf', '53', 'title_d', 'Escort the Imperial shuttle through hostile territory');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_2.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_2.stf', '2', 'abort', 'We can\'t make it! MAYDAY! MAYDAY! <*static*>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_2.stf', '3', 'arrived_at_loc', 'You are at the correct location pilot, the refugee freighter should be there in a second. Escort him while he\'s repairing his ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_2.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_2.stf', '5', 'attack_notify', 'Tactical Computer: < Incoming fighter vessels. Scans show weapons armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_2.stf', '6', 'attack_stopped', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_2.stf', '7', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_2.stf', '8', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_2.stf', '9', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_2.stf', '10', 'complete', 'Great job pilot, they are safe. Return to base.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_2.stf', '11', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_2.stf', '12', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_2.stf', '13', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_2.stf', '14', 'failed_destroy', 'You have any idea how many lifes were lost?! Return to base immediately!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_2.stf', '15', 'failed_protect', 'You have any idea how many lifes were lost?! What were you doing out there? Return to base immediately!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_2.stf', '16', 'found_loc', 'Head to this location immediately, a refugee ship is in trouble.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_2.stf', '17', 'goodbye', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_2.stf', '18', 'goodbye_1', 'Safe and sound! Thanks, pilot! We\'ll see you around...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_2.stf', '19', 'goodbye_2', 'Safe and sound! Thanks, pilot! We\'ll see you around...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_2.stf', '20', 'goodbye_3', 'Safe and sound! Thanks, pilot! We\'ll see you around...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_2.stf', '21', 'goodbye_4', 'Safe and sound! Thanks, pilot! We\'ll see you around...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_2.stf', '22', 'goodbye_5', 'Safe and sound! Thanks, pilot! We\'ll see you around...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_2.stf', '23', 'hello', 'Man, it\'s good to see you! We just shook a pair of TIE fighters off our tail. Hopefully they won\'t come back...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_2.stf', '24', 'hull_half', 'We\'re taking heavy damage here pilot, can\'t take much more!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_2.stf', '25', 'panic_1', 'I guess we didn\'t shake them after all!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_2.stf', '26', 'panic_2', 'More TIE fighters heading our way!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_2.stf', '27', 'panic_3', 'Not again...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_2.stf', '28', 'panic_4', 'Imperial scum, coming straight for us!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_2.stf', '29', 'panic_5', 'Hold on everyone, this will get bumpy!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_2.stf', '30', 'quest_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_2.stf', '31', 'quest_escort_d', 'Escort the crippled refugee transport to a safe location. Stay sharp!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_2.stf', '32', 'quest_escort_t', 'Escort the Alliance transport.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_2.stf', '33', 'quest_location_d', 'Fly to the rendezvous point and join a crippled Alliance transport for the last leg of its journey.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_2.stf', '34', 'quest_location_t', 'Tatooine system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_2.stf', '35', 'quest_rendezvous_d', 'Fly to this location and await the arrival of a crippled Alliance transport.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_2.stf', '36', 'quest_rendezvous_t', 'Rally point for refugee transport.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_2.stf', '37', 'quest_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_2.stf', '38', 'quest_update', 'Rebel Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_2.stf', '39', 'reason_1', 'Man, it\'s good to see you! We just shook a pair of TIE fighters off our tail but they took a few chunks out of us first.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_2.stf', '40', 'reason_2', 'Man, it\'s good to see you! We just shook a pair of TIE fighters off our tail but they took a few chunks out of us first.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_2.stf', '41', 'reason_3', 'Man, it\'s good to see you! We just shook a pair of TIE fighters off our tail but they took a few chunks out of us first.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_2.stf', '42', 'reason_4', 'Man, it\'s good to see you! We just shook a pair of TIE fighters off our tail but they took a few chunks out of us first.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_2.stf', '43', 'reason_5', 'Man, it\'s good to see you! We just shook some TIE fighters off our tail but they took a few chunks out of us first.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_2.stf', '44', 'shields_depleted', 'Our shields are done for! I hope you can take care of these TIE\'s quickly!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_2.stf', '45', 'split_quest_alert', 'Rebel Command: < There\'s another freighter that need your help pilot, don\'t let us down again! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_2.stf', '46', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_2.stf', '47', 'taunt_1', 'Thought you would get away that easy Rebel scum?!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_2.stf', '48', 'taunt_2', 'Finally some action in this backwater system!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_2.stf', '49', 'taunt_3', 'You are in violation of enough Imperial laws for us to kill you if you don\'t surrender!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_2.stf', '50', 'taunt_4', 'Cut your engines and surrender Rebels!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_2.stf', '51', 'taunt_5', 'Rebel fools, you won\'t leave this system alive!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_2.stf', '52', 'thanks_1', 'Lets get a move on, I suspect more will come.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_2.stf', '53', 'thanks_2', 'Good job pilot, very impressive!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_2.stf', '54', 'thanks_3', 'I\'m not sure this piece of junk will hold for another attack like that...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_2.stf', '55', 'thanks_4', 'You showed \'em pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_2.stf', '56', 'thanks_5', 'Good, lets keep moving.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_2.stf', '57', 'title', 'Tatooine system: Escort Crippled Refugee Transport.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_2.stf', '58', 'title_d', 'Escort a crippled refugee transport. A waypoint should be displaying where you need to go. When you arrive the transport should be there momentarily. Follow it and defend it from any enemy threats.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_1_c.stf', '1', 'abort', 'What are you doing?! We are doomed without your help!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_1_c.stf', '2', 'arrived_at_loc', 'The infiltrators ship should be at that location any second.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_1_c.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_1_c.stf', '4', 'attack_notify', 'Tactical Computer: < Incoming fighter vessels. Scans show weapons armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_1_c.stf', '5', 'attack_stopped', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_1_c.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_1_c.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_1_c.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_1_c.stf', '9', 'complete', 'The infiltrators are safe, great work pilot. Return to base for some rest before your next mission.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_1_c.stf', '10', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_1_c.stf', '11', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_1_c.stf', '12', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_1_c.stf', '13', 'failed_destroy', 'We lost contact with our men, what is going on out there pilot?!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_1_c.stf', '14', 'failed_protect', 'We lost contact with our men, they said you were no where near them when they were being attacked?! I expect a full report on what happened.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_1_c.stf', '15', 'found_loc', 'Get to these coordinates immediately pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_1_c.stf', '16', 'goodbye_1', 'Wohoo! We\'re home free thanks to you my friend!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_1_c.stf', '17', 'goodbye_2', 'Wohoo! We\'re home free thanks to you my friend!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_1_c.stf', '18', 'goodbye_3', 'Wohoo! We\'re home free thanks to you my friend!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_1_c.stf', '19', 'goodbye_4', 'Wohoo! We\'re home free thanks to you my friend!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_1_c.stf', '20', 'goodbye_5', 'Wohoo! We\'re home free thanks to you my friend!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_1_c.stf', '21', 'hull_half', 'This crappy ship is falling apart, we need help over here!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_1_c.stf', '22', 'panic_1', 'Here they come!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_1_c.stf', '23', 'panic_2', 'Incoming!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_1_c.stf', '24', 'panic_3', 'They are sending everything they got after us!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_1_c.stf', '25', 'panic_4', 'Evasive maneuver!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_1_c.stf', '26', 'panic_5', 'More TIE\'s! Open fire, now!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_1_c.stf', '27', 'quest_escort_d', 'Assist the infiltration team in escaping. The Imperial fighters are fast and will undoubtedly catch up to you so be ready to defend them.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_1_c.stf', '28', 'quest_escort_t', 'Escort the infiltration team.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_1_c.stf', '29', 'quest_location_d', 'This area of the Dathomir system is very dangerous and the infiltration team is being chased by Imperial fighters so come prepared.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_1_c.stf', '30', 'quest_location_t', 'Dathomir system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_1_c.stf', '31', 'quest_rendezvous_d', 'The infiltration team provided us with these coordinates, meet with them there immediately.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_1_c.stf', '32', 'quest_rendezvous_t', 'Rendez-vous coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_1_c.stf', '33', 'quest_update', 'Rebel Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_1_c.stf', '34', 'reason_1', 'They are everywhere, lets get the heck out of here!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_1_c.stf', '35', 'reason_2', 'They are everywhere, lets get the heck out of here!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_1_c.stf', '36', 'reason_3', 'They are everywhere, lets get the heck out of here!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_1_c.stf', '37', 'reason_4', 'They are everywhere, lets get the heck out of here!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_1_c.stf', '38', 'reason_5', 'They are everywhere, lets get the heck out of here!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_1_c.stf', '39', 'shields_depleted', 'Our shields are down, piece of junk Imperial ship!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_1_c.stf', '40', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_1_c.stf', '41', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_1_c.stf', '42', 'taunt_1', 'You will pay for what you did, Rebel filth!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_1_c.stf', '43', 'taunt_2', 'You will not get away, even if it\'s the last thing I do!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_1_c.stf', '44', 'taunt_3', 'You blasted Rebels, die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_1_c.stf', '45', 'taunt_4', 'Open fire guys, the Admiral wants their heads on a plate!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_1_c.stf', '46', 'taunt_5', 'Did you really expect to get away with it, rebel scum!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_1_c.stf', '47', 'thanks_1', 'We are still in one piece, lets keep moving!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_1_c.stf', '48', 'thanks_2', 'Great work everyone but we\'re not out of this yet!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_1_c.stf', '49', 'thanks_3', 'That takes care of them, lets get out of here!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_1_c.stf', '50', 'thanks_4', 'Almost home free!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_1_c.stf', '51', 'thanks_5', 'Nice shot pilot, glad to have you with us!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_1_c.stf', '52', 'title', 'Dathomir system: Rescue the Rebel infiltrators.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_1_c.stf', '53', 'title_d', 'The infiltration team that you provided the security codes to earlier had a successful mission but they have been spotted and need you to escort them to safety.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_3_b.stf', '1', 'abort', 'What are you doing pilot?! Get back here, we can\'t get out of here alive without you!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_3_b.stf', '2', 'arrived_at_loc', 'The freighter with the defector and survivors of our Commando team should be here in a second, get ready.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_3_b.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_3_b.stf', '4', 'attack_notify', 'Tactical Computer: < Incoming fighter vessels. Scans show weapons armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_3_b.stf', '5', 'attack_stopped', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_3_b.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_3_b.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_3_b.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_3_b.stf', '9', 'complete', 'Hold at this position and cut off any more fighters trying to track that freighter pilot. We\'ve payed too high a price to let the Empire defeat us now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_3_b.stf', '10', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_3_b.stf', '11', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_3_b.stf', '12', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_3_b.stf', '13', 'failed_destroy', 'Blast! We almost had him too. Report back to base pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_3_b.stf', '14', 'failed_protect', 'The freighter had to do a emergency hyperspace jump because of your poor protection! If they didn\'t make it, I will have you incarcerated pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_3_b.stf', '15', 'found_loc', 'Rebel Command: < The Commando team was all but wiped out breaking out the Imperial defector but they got him. They are chased by numerous squads of TIE\'s though and need your help! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_3_b.stf', '16', 'goodbye_1', 'This guy better be worth all this. Hold at this position pilot and take out any ships trying to follow us!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_3_b.stf', '17', 'goodbye_2', 'This guy better be worth all this. Hold at this position pilot and take out any ships trying to follow us!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_3_b.stf', '18', 'goodbye_3', 'This guy better be worth all this. Hold at this position pilot and take out any ships trying to follow us!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_3_b.stf', '19', 'goodbye_4', 'This guy better be worth all this. Hold at this position pilot and take out any ships trying to follow us!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_3_b.stf', '20', 'goodbye_5', 'This guy better be worth all this. Hold at this position pilot and take out any ships trying to follow us!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_3_b.stf', '21', 'hull_half', 'We are taking massive hull damage pilot, think you can take care of these TIE\'s?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_3_b.stf', '22', 'panic_1', 'How many of these bastards are there!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_3_b.stf', '23', 'panic_2', 'TIE ships at 1 o\'clock!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_3_b.stf', '24', 'panic_3', 'Boogeys incoming!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_3_b.stf', '25', 'panic_4', 'Blast! More Imperial fighters coming our way!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_3_b.stf', '26', 'panic_5', 'Lets avenge our fallen! Come and get it Imperial scum!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_3_b.stf', '27', 'quest_escort_d', 'Escort the commando team and the freed prisoner to safety. Know that you will come under heavy fire; we have sensors showing multiple hostile fighters closing in.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_3_b.stf', '28', 'quest_escort_t', 'Escort commando team.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_3_b.stf', '29', 'quest_location_d', 'You\'re heading in to Imperial areas to help the commando team escape so expect severe resistance!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_3_b.stf', '30', 'quest_location_t', 'Dathomir system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_3_b.stf', '31', 'quest_rendezvous_d', 'The distress message from our commando team gave us these coordinates. It\'s the furthest out of Imperial areas that they think they can make it on there own. Get over there immediately pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_3_b.stf', '32', 'quest_rendezvous_t', 'Meeting coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_3_b.stf', '33', 'quest_update', 'Rebel Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_3_b.stf', '34', 'reason_1', 'Lets get out of here pilot. My team was all but wiped out so I only have wounded men handling our weapon systems. We\'re going to need your help.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_3_b.stf', '35', 'reason_2', 'Lets get out of here pilot. My team was all but wiped out so I only have wounded men handling our weapon systems. We\'re going to need your help.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_3_b.stf', '36', 'reason_3', 'Lets get out of here pilot. My team was all but wiped out so I only have wounded men handling our weapon systems. We\'re going to need your help.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_3_b.stf', '37', 'reason_4', 'Lets get out of here pilot. My team was all but wiped out so I only have wounded men handling our weapon systems. We\'re going to need your help.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_3_b.stf', '38', 'reason_5', 'Lets get out of here pilot. My team was all but wiped out so I only have wounded men handling our weapon systems. We\'re going to need your help.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_3_b.stf', '39', 'shields_depleted', 'We have lost power to our shields pilot. You\'re going to have to ramp it up and take out those TIE\'s.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_3_b.stf', '40', 'split_quest_alert', 'Rebel Command: < You heard them pilot! We will provide you with coordinates where you can make a stand against any pursuers. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_3_b.stf', '41', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_3_b.stf', '42', 'taunt_1', 'You will never make it out of here alive!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_3_b.stf', '43', 'taunt_2', 'No one escapes Dathomir!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_3_b.stf', '44', 'taunt_3', 'Resistance is futile Rebels.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_3_b.stf', '45', 'taunt_4', 'You stand no chance, just give it up Rebels.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_3_b.stf', '46', 'taunt_5', 'Say good night Rebel fools.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_3_b.stf', '47', 'thanks_1', 'Lets keep moving, hopefully that was the last of them.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_3_b.stf', '48', 'thanks_2', 'There\'s one good thing about them wanting us so bad, the guy in the back is probably as important as we thought.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_3_b.stf', '49', 'thanks_3', 'Yeah, take that you bastards!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_3_b.stf', '50', 'thanks_4', 'Keep it up pilot, I have a feeling there\'s more to come.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_3_b.stf', '51', 'thanks_5', 'Keep them coming, we\'ll take them all out!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_3_b.stf', '52', 'title', 'Dathomir system: Help the survivors of the commando team escape.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/tatooine_rebel_tier3_3_b.stf', '53', 'title_d', 'The commando team breaking out the Imperial defector has been all but wiped out. You need to make sure that they can escape the Imperial fighters trying to catch them.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/viopa_rebel_2.stf', '1', 'abort', 'You\'re aborting?! Alright, I\'m out of here!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/viopa_rebel_2.stf', '2', 'arrived_at_loc', 'This is the correct coordinates, the hacker should be there any moment.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/viopa_rebel_2.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/viopa_rebel_2.stf', '4', 'attack_notify', 'Tactical Computer: < Incoming fighter vessels. Scans show weapons armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/viopa_rebel_2.stf', '5', 'attack_stopped', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/viopa_rebel_2.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/viopa_rebel_2.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/viopa_rebel_2.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/viopa_rebel_2.stf', '9', 'complete', 'Great work pilot, we got what we wanted and you saved the hacker. Return to base.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/viopa_rebel_2.stf', '10', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/viopa_rebel_2.stf', '11', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/viopa_rebel_2.stf', '12', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/viopa_rebel_2.stf', '13', 'failed_destroy', 'We have lost contact with the hacker! Get out of there pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/viopa_rebel_2.stf', '14', 'failed_protect', 'That\'s it, I can\'t take on these TIE\'s on my own, performing hyperspace jump.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/viopa_rebel_2.stf', '15', 'found_loc', 'Rebel Command: < Proceed as planned to the rendez-vous coordinates. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/viopa_rebel_2.stf', '16', 'goodbye_1', 'This is the last time I\'m doing the Alliance a service. Your data is readable, I\'m out of here!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/viopa_rebel_2.stf', '17', 'goodbye_2', 'This is the last time I\'m doing the Alliance a service. Your data is readable, I\'m out of here!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/viopa_rebel_2.stf', '18', 'goodbye_3', 'This is the last time I\'m doing the Alliance a service. Your data is readable, I\'m out of here!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/viopa_rebel_2.stf', '19', 'goodbye_4', 'This is the last time I\'m doing the Alliance a service. Your data is readable, I\'m out of here!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/viopa_rebel_2.stf', '20', 'goodbye_5', 'This is the last time I\'m doing the Alliance a service. Your data is readable, I\'m out of here!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/viopa_rebel_2.stf', '21', 'hull_half', 'My ship is falling apart, get them off me now!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/viopa_rebel_2.stf', '22', 'panic_1', 'Crap! I knew working for the Alliance was a bad idea.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/viopa_rebel_2.stf', '23', 'panic_2', 'Blasted Imperial fighters incoming!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/viopa_rebel_2.stf', '24', 'panic_3', 'What are these TIE\'s doing here?! Someone must have set us up!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/viopa_rebel_2.stf', '25', 'panic_4', 'TIE Fighters! And they are not being friendly either!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/viopa_rebel_2.stf', '26', 'panic_5', 'I knew it.. TIE Fighters incoming, weapons blasting!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/viopa_rebel_2.stf', '27', 'quest_escort_d', 'The hacker wants to keep moving while slicing the Imperial data. Escort him and stay sharp!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/viopa_rebel_2.stf', '28', 'quest_escort_t', 'Guard the hacker.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/viopa_rebel_2.stf', '29', 'quest_location_d', 'Travel to the Dantooine system where the hacker will meet up with you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/viopa_rebel_2.stf', '30', 'quest_location_t', 'Dantooine system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/viopa_rebel_2.stf', '31', 'quest_rendezvous_d', 'Quickly travel to these coordinates to meet up with the hacker.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/viopa_rebel_2.stf', '32', 'quest_rendezvous_t', 'Rendez-vous coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/viopa_rebel_2.stf', '33', 'quest_update', 'Rebel Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/viopa_rebel_2.stf', '34', 'reason_1', 'Keep moving, transfer the data and I will fix it. Stay sharp, this area has had a lot of strange activity lately.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/viopa_rebel_2.stf', '35', 'reason_2', 'Keep moving, transfer the data and I will fix it. Stay sharp, this area has had a lot of strange activity lately.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/viopa_rebel_2.stf', '36', 'reason_3', 'Keep moving, transfer the data and I will fix it. Stay sharp, this area has had a lot of strange activity lately.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/viopa_rebel_2.stf', '37', 'reason_4', 'Keep moving, transfer the data and I will fix it. Stay sharp, this area has had a lot of strange activity lately.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/viopa_rebel_2.stf', '38', 'reason_5', 'Keep moving, transfer the data and I will fix it. Stay sharp, this area has had a lot of strange activity lately.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/viopa_rebel_2.stf', '39', 'shields_depleted', 'Shields fried! I can\'t encrypt this and fight these TIE\'s at the same time, get them off me!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/viopa_rebel_2.stf', '40', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/viopa_rebel_2.stf', '41', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/viopa_rebel_2.stf', '42', 'taunt_1', 'You are in violation of Imperial Law, code 401-1D0. Surrender immediately.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/viopa_rebel_2.stf', '43', 'taunt_2', 'Scans show contraband onboard your vessels. Turn off your engines and surrender!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/viopa_rebel_2.stf', '44', 'taunt_3', 'Rebel scum, you messed up this time!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/viopa_rebel_2.stf', '45', 'taunt_4', 'Change of orders, eliminate them.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/viopa_rebel_2.stf', '46', 'taunt_5', 'Resistance is futile, surrender now!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/viopa_rebel_2.stf', '47', 'thanks_1', 'Not bad, I\'m almost done here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/viopa_rebel_2.stf', '48', 'thanks_2', 'At least you sent a competent pilot. Still have some work left on this data.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/viopa_rebel_2.stf', '49', 'thanks_3', 'Clear, for now. I\'m almost done here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/viopa_rebel_2.stf', '50', 'thanks_4', 'Phew, thought this would be my last job. I\'m still working on this data.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/viopa_rebel_2.stf', '51', 'thanks_5', 'Great, I\'m almost finished here too. Stay sharp.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/viopa_rebel_2.stf', '52', 'title', 'Dantooine system: Meet with hacker to slice the Imperial data.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/viopa_rebel_2.stf', '53', 'title_d', 'Your orders are to meet up with a hacker that supposedly can crack the encrypted Imperial data.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_1.stf', '1', 'abort', 'My ship is falling apart, I\'m out of here!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_1.stf', '2', 'arrived_at_loc', 'Arrived at rendez-vous coordinates. Detecting incoming vessel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_1.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_1.stf', '4', 'attack_notify', 'Tactical Computer: < Incoming fighter vessels. Scans show weapons armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_1.stf', '5', 'attack_stopped', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_1.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_1.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_1.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_1.stf', '9', 'complete', 'Vessel belonging to Finn Darktrin leaving area.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_1.stf', '10', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_1.stf', '11', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_1.stf', '12', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_1.stf', '13', 'failed_destroy', 'Finn Darktrin\'s vessel have been terminated. Transmission was not complete upon destruction.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_1.stf', '14', 'failed_protect', 'Finn Darktrin\'s vessel has jumped to hyperspace without finishing transmission.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_1.stf', '15', 'found_loc', 'Uploaded coordinates to rendez-vous with subject: Finn Darktrin.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_1.stf', '16', 'goodbye_1', 'Transmission complete. If there\'s any of those Corsairs that ambushed us left, take them out to make sure they didn\'t listen in on our transmission. Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_1.stf', '17', 'goodbye_2', 'Transmission complete. If there\'s any of those Corsairs that ambushed us left, take them out to make sure they didn\'t listen in on our transmission. Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_1.stf', '18', 'goodbye_3', 'Transmission complete. If there\'s any of those Corsairs that ambushed us left, take them out to make sure they didn\'t listen in on our transmission. Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_1.stf', '19', 'goodbye_4', 'Transmission complete. If there\'s any of those Corsairs that ambushed us left, take them out to make sure they didn\'t listen in on our transmission. Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_1.stf', '20', 'goodbye_5', 'Transmission complete. If there\'s any of those Corsairs that ambushed us left, take them out to make sure they didn\'t listen in on our transmission. Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_1.stf', '21', 'hull_half', 'I\'m tracking multiple hull breaches! I can\'t take much more damage. Help!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_1.stf', '22', 'panic_1', 'I guess those Corsairs doesn\'t give up, keep them busy while I transmit the ship signature data and intercept coordinates to you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_1.stf', '23', 'panic_2', 'Cursed pirates!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_1.stf', '24', 'panic_3', 'Bah, incoming Corsair fighters!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_1.stf', '25', 'panic_4', 'Pirate fighters heading our way, get ready pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_1.stf', '26', 'panic_5', 'Blasted Corsairs, they are everywhere now a days!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_1.stf', '27', 'quest_escort_d', 'Escort Finn Darktrin while he\'s transmitting the coordinates of the Imperial scientist.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_1.stf', '28', 'quest_escort_t', 'Escort Finn Darktrin.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_1.stf', '29', 'quest_location_d', 'The Alliance officer will meet you in the Lok system, proceed to there immediately.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_1.stf', '30', 'quest_location_t', 'Lok system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_1.stf', '31', 'quest_rendezvous_d', 'The Rebel officer will meet you at these coordinates. Hurry over there.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_1.stf', '32', 'quest_rendezvous_t', 'Coordinates for meeting.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_1.stf', '33', 'quest_update', 'Navigation droid: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_1.stf', '34', 'reason_1', 'Sorry I\'m late, I had to avoid some Corsair pirates. I have the information you need. Lets keep moving as I transmit it. You will need to disable and inspect the Imperial shuttle to make sure the scientist is onboard.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_1.stf', '35', 'reason_2', 'Sorry I\'m late, I had to avoid some Corsair pirates. I have the information you need. Lets keep moving as I transmit it. You will need to disable and inspect the Imperial shuttle to make sure the scientist is onboard.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_1.stf', '36', 'reason_3', 'Sorry I\'m late, I had to avoid some Corsair pirates. I have the information you need. Lets keep moving as I transmit it. You will need to disable and inspect the Imperial shuttle to make sure the scientist is onboard.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_1.stf', '37', 'reason_4', 'Sorry I\'m late, I had to avoid some Corsair pirates. I have the information you need. Lets keep moving as I transmit it. You will need to disable and inspect the Imperial shuttle to make sure the scientist is onboard.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_1.stf', '38', 'reason_5', 'Sorry I\'m late, I had to avoid some Corsair pirates. I have the information you need. Lets keep moving as I transmit it. You will need to disable and inspect the Imperial shuttle to make sure the scientist is onboard.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_1.stf', '39', 'shields_depleted', 'My shields are failing, get them off me! I\'m not done transmitting the data.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_1.stf', '40', 'split_quest_alert', 'Transmission of necessary data complete. Proceed to intercept spot and disable the Imperial shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_1.stf', '41', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_1.stf', '42', 'taunt_1', 'Kill your engines and prepare to be boarded.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_1.stf', '43', 'taunt_2', 'If you release your cargo peacefully, we will not harm you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_1.stf', '44', 'taunt_3', 'Time to die, weakling!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_1.stf', '45', 'taunt_4', 'I\'ve got you in my sights.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_1.stf', '46', 'taunt_5', 'This one is ours!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_1.stf', '47', 'thanks_1', 'Thanks for taking care of the Corsair. Transmit is almost done.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_1.stf', '48', 'thanks_2', 'Thanks for taking care of the Corsair. Transmit is almost done.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_1.stf', '49', 'thanks_3', 'Thanks for taking care of the Corsair. Transmit is almost done.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_1.stf', '50', 'thanks_4', 'Thanks for taking care of the Corsair. Transmit is almost done.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_1.stf', '51', 'thanks_5', 'Thanks for taking care of the Corsair. Transmit is almost done.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_1.stf', '52', 'title', 'Lok system: Get information needed to kidnap Imperial scientist.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_1.stf', '53', 'title_d', 'The Vortex is sending you to the Lok system. There you will meet up with a Rebel officer that has the location of an Imperial scientist that you need to kidnap.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_2.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_2.stf', '2', 'abort', 'Where are you going? You\'re leaving me to my death!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_2.stf', '3', 'arrived_at_loc', 'You have arrived at the space station. Await docking confirmation.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_2.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_2.stf', '5', 'attack_notify', 'Tactical Computer: < Incoming fighter vessels. Scans show weapons armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_2.stf', '6', 'attack_stopped', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_2.stf', '7', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_2.stf', '8', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_2.stf', '9', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_2.stf', '10', 'complete', 'We are lucky to have as skilled a pilot as you in our ranks my friend. Return to Dantooine.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_2.stf', '11', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_2.stf', '12', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_2.stf', '13', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_2.stf', '14', 'failed_destroy', 'We lost contact with our brother. Get out of there, now!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_2.stf', '15', 'failed_protect', 'I can\'t make it on my own! I\'m doing a emergency hyperspace jump, may the force be with us...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_2.stf', '16', 'found_loc', 'Your navigation droid should upload the coordinates of the space station. Proceed as planned.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_2.stf', '17', 'goodbye_1', 'Thank you my friend, I could never have made it without you. See you back on Dantooine!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_2.stf', '18', 'goodbye_2', 'Thank you my friend, I could never have made it without you. See you back on Dantooine!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_2.stf', '19', 'goodbye_3', 'Thank you my friend, I could never have made it without you. See you back on Dantooine!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_2.stf', '20', 'goodbye_4', 'Thank you my friend, I could never have made it without you. See you back on Dantooine!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_2.stf', '21', 'goodbye_5', 'Thank you my friend, I could never have made it without you. See you back on Dantooine!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_2.stf', '22', 'hull_half', 'My hull has multiple breeches! I can\'t take much more of this!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_2.stf', '23', 'panic_1', 'Here they come...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_2.stf', '24', 'panic_2', 'TIE ships, hot on our tail!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_2.stf', '25', 'panic_3', 'Curse the Empire! TIE-Fighters inbound!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_2.stf', '26', 'panic_4', 'I don\'t think they want the data, I think they want us dead...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_2.stf', '27', 'panic_5', 'I hope your as good as they say pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_2.stf', '28', 'quest_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_2.stf', '29', 'quest_escort_d', 'The Vortex scientist was ambushed inside the space station. You both need to escape the Yavin system. The scientist is not a good fighter pilot and need your escort out of there.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_2.stf', '30', 'quest_escort_t', 'The Empire on your heels.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_2.stf', '31', 'quest_location_d', 'The smuggler space station is located in the Yavin system, travel there immediately.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_2.stf', '32', 'quest_location_t', 'Yavin system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_2.stf', '33', 'quest_rendezvous_d', 'This is the location of a civilian space station, often used by the shadier inhabitants of the galaxy to make deals out of the view of the Empire. Get over there and dock with the station to meet with the Vortex scientist inside.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_2.stf', '34', 'quest_rendezvous_t', 'Smuggler space station.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_2.stf', '35', 'quest_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_2.stf', '36', 'quest_update', 'Brother Vrovel: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_2.stf', '37', 'reason_1', 'We need to get out of here! I got the data but Imperial Soldiers attacked me in the hangar!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_2.stf', '38', 'reason_2', 'We need to get out of here! I got the data but Imperial Soldiers attacked me in the hangar!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_2.stf', '39', 'reason_3', 'We need to get out of here! I got the data but Imperial Soldiers attacked me in the hangar!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_2.stf', '40', 'reason_4', 'We need to get out of here! I got the data but Imperial Soldiers attacked me in the hangar!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_2.stf', '41', 'reason_5', 'We need to get out of here! I got the data but Imperial Soldiers attacked me in the hangar!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_2.stf', '42', 'shields_depleted', 'My shields are fried! May the force be with us now my friend...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_2.stf', '43', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_2.stf', '44', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_2.stf', '45', 'taunt_1', 'Imperial Inquisition, cut your engines immediately!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_2.stf', '46', 'taunt_2', 'Foolish Rebels, the might of the Empire will crush you all!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_2.stf', '47', 'taunt_3', 'You are aiding a known criminal, step aside if you want to live!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_2.stf', '48', 'taunt_4', 'You\'re all mine, Rebel scum!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_2.stf', '49', 'taunt_5', 'The will of the Emperor guides us, you are all doomed!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_2.stf', '50', 'thanks_1', 'We\'re lucky to have you on our side my friend.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_2.stf', '51', 'thanks_2', 'Good work! We\'re not home free just yet though, my nav computer is still working out the hyperspace jump.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_2.stf', '52', 'thanks_3', 'I owe you my life my friend! I will let Vrovel know of your bravery.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_2.stf', '53', 'thanks_4', 'Phew, I\'m almost ready to make the jump to hyperspace. Hopefully that was the last of them.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_2.stf', '54', 'thanks_5', 'We\'re almost home free my friend!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_2.stf', '55', 'title', 'Yavin system: Bring research data to scientist.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/vortex_mission_2.stf', '56', 'title_d', 'Your orders are to travel to meet up with one of the Vortex scientists at a space station with the Imperial data. He\'s there purchasing some additional information from a smuggler. The Vortex hope that the two pieces of data can be made sense out of by the scientist when combined.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_13.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_13.stf', '2', 'abort', 'Your commanding officer will hear about this!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_13.stf', '3', 'arrived_at_loc', 'You are at the right location. The shuttle should be here in a few seconds.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_13.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_13.stf', '5', 'attack_notify', 'Tactical Computer: < Incoming fighter vessels. Scans show weapons armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_13.stf', '6', 'attack_stopped', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_13.stf', '7', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_13.stf', '8', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_13.stf', '9', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_13.stf', '10', 'complete', 'The shuttle is safe, good job pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_13.stf', '11', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_13.stf', '12', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_13.stf', '13', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_13.stf', '14', 'failed_destroy', 'No! We lost contact with them, get out of there!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_13.stf', '15', 'failed_protect', 'I can\'t make it on my own! Performing emergency hyperspace jump, may the force be with us...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_13.stf', '16', 'found_loc', 'Move on to the designated meeting coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_13.stf', '17', 'goodbye_1', 'Alright, we are jumping to hyperspeed. Great work pilot, we couldn\'t have made it out of there without you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_13.stf', '18', 'goodbye_2', 'Alright, we are jumping to hyperspeed. Great work pilot, we couldn\'t have made it out of there without you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_13.stf', '19', 'goodbye_3', 'Alright, we are jumping to hyperspeed. Great work pilot, we couldn\'t have made it out of there without you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_13.stf', '20', 'goodbye_4', 'Alright, we are jumping to hyperspeed. Great work pilot, we couldn\'t have made it out of there without you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_13.stf', '21', 'goodbye_5', 'Alright, we are jumping to hyperspeed. Great work pilot, we couldn\'t have made it out of there without you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_13.stf', '22', 'hull_half', 'Our ship is falling apart pilot, we need help quickly!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_13.stf', '23', 'panic_1', 'Ack! Imperial patrol, they spotted us!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_13.stf', '24', 'panic_2', 'TIE ships, hot on our tail!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_13.stf', '25', 'panic_3', 'Curse the Empire! TIE-Fighters inbound!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_13.stf', '26', 'panic_4', 'All these TIE-Fighters for just this one woman, she has to be important.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_13.stf', '27', 'panic_5', 'Bah! An Imperial patrol closing in!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_13.stf', '28', 'quest_escort_d', 'Escort the freighter and it\'s precious cargo safely out of the Yavin system. Stay close and stay alert!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_13.stf', '29', 'quest_escort_t', 'Escort the freighter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_13.stf', '30', 'quest_location_d', 'The Yavin system is crawling with Imperial fighters and they have put up a blockade around the moon of Yavin 4. You will without a doubt be kept busy so be ready for a fight!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_13.stf', '31', 'quest_location_t', 'Yavin system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_13.stf', '32', 'quest_rendezvous_d', 'The Rebel freighter will stay hidden until you arrive at this location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_13.stf', '33', 'quest_rendezvous_t', 'Rendez-vous with the freighter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_13.stf', '34', 'quest_update', 'Rebel Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_13.stf', '35', 'reason_1', 'Good to see you pilot. Apparently this lady is really important so stay sharp.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_13.stf', '36', 'reason_2', 'Good to see you pilot. Apparently this lady is really important so stay sharp.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_13.stf', '37', 'reason_3', 'Good to see you pilot. Apparently this lady is really important so stay sharp.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_13.stf', '38', 'reason_4', 'Good to see you pilot. Apparently this lady is really important so stay sharp.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_13.stf', '39', 'reason_5', 'Good to see you pilot. Apparently this lady is really important so stay sharp.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_13.stf', '40', 'shields_depleted', 'We just lost our shields! Hang on Lady, it\'s going to get bumpy!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_13.stf', '41', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_13.stf', '42', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_13.stf', '43', 'taunt_1', 'We have the highest authority of the Imperial Inquisition to destroy them, no mercy guys!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_13.stf', '44', 'taunt_2', 'You are not going anywhere, foolish Rebels!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_13.stf', '45', 'taunt_3', 'Get some! Get some!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_13.stf', '46', 'taunt_4', 'The might of the Empire is unstoppable, puny Rebels!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_13.stf', '47', 'taunt_5', 'This is the last day of your life, foolish Rebels!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_13.stf', '48', 'thanks_1', 'You okay M\'Lady? We\'re fine over here pilot, great work out there!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_13.stf', '49', 'thanks_2', 'Yeah! Take that, Imperial filth!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_13.stf', '50', 'thanks_3', 'Whow! Did you see that M\'Lady? Those TIE\'s won\'t bother us again!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_13.stf', '51', 'thanks_4', 'Great job pilot! Hopefully they didn\'t call for backup.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_13.stf', '52', 'thanks_5', 'More of the Emperors drones turned in to space junk, nice going pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_13.stf', '53', 'title', 'Yavin system: Escort important person out of the Yavin system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_13.stf', '54', 'title_d', 'You are ordered to provide escort for a freighter trying to get through the Imperial blockade around Yavin 4. The lady being transported is apparently extremely important to the Alliance and can not be harmed or captured by the Empire. We are counting on you pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_16.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_16.stf', '2', 'abort', 'I can\'t take this on my own, performing emergency hyperspace jump!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_16.stf', '3', 'arrived_at_loc', 'You are at the rendez-vous coordinates. Wait for the smuggler to arrive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_16.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_16.stf', '5', 'attack_notify', 'Tactical Computer: < Incoming fighter vessels. Scans show weapons armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_16.stf', '6', 'attack_stopped', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_16.stf', '7', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_16.stf', '8', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_16.stf', '9', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_16.stf', '10', 'complete', 'The smuggler has made it to safety. Good work pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_16.stf', '11', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_16.stf', '12', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_16.stf', '13', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_16.stf', '14', 'failed_destroy', 'Hello?! We have lost contact with the smuggler, what\'s happening up there pilot?!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_16.stf', '15', 'failed_protect', 'The smuggler have too many fighters on him, he\'s trying a emergency hyperspace jump!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_16.stf', '16', 'found_loc', 'Meet the smuggler at these coordinates pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_16.stf', '17', 'goodbye_1', 'Thanks for the escort pilot, I\'m jumping to hyperspace. See you back at base!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_16.stf', '18', 'goodbye_2', 'Thanks for the escort pilot, I\'m jumping to hyperspace. See you back at base!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_16.stf', '19', 'goodbye_3', 'Thanks for the escort pilot, I\'m jumping to hyperspace. See you back at base!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_16.stf', '20', 'goodbye_4', 'Thanks for the escort pilot, I\'m jumping to hyperspace. See you back at base!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_16.stf', '21', 'goodbye_5', 'Thanks for the escort pilot, I\'m jumping to hyperspace. See you back at base!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_16.stf', '22', 'hull_half', 'I\'m tracking multiple hull breaches! I can\'t take much more damage. Help!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_16.stf', '23', 'panic_1', 'An Imperial patrol picked us up, prepare for a fight!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_16.stf', '24', 'panic_2', 'Imperials, they are gunning for us!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_16.stf', '25', 'panic_3', 'And I was hoping we could slip out of here undetected...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_16.stf', '26', 'panic_4', 'TIE-Fighters, help me out here pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_16.stf', '27', 'panic_5', 'TIE\'s incoming, give them a warm welcome pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_16.stf', '28', 'quest_escort_d', 'Escort the Nym smuggler to the Rebel space station. Keep your eyes open, the Empire seems to be one step ahead of us through out this entire operation.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_16.stf', '29', 'quest_escort_t', 'Escort the Nym smuggler.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_16.stf', '30', 'quest_location_d', 'You are to head to the Lok system to meet up with one of Nym\'s smugglers. The Lok system is relatively safe from the Empire but it\'s heavily inhabited by different pirate factions on the look out for a lone traveler so stay sharp!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_16.stf', '31', 'quest_location_t', 'Lok system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_16.stf', '32', 'quest_rendezvous_d', 'The Nym smuggler has provided us with these coordinates for your rendez-vous. Make haste over there.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_16.stf', '33', 'quest_rendezvous_t', 'Coordinates of the Nym smuggler.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_16.stf', '34', 'quest_update', 'Rebel Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_16.stf', '35', 'reason_1', 'Alright, so we\'re taking this stuff to our outpost. Keep an eye out for Imperial patrols pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_16.stf', '36', 'reason_2', 'Alright, so we\'re taking this stuff to our outpost. Keep an eye out for Imperial patrols pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_16.stf', '37', 'reason_3', 'Alright, so we\'re taking this stuff to our outpost. Keep an eye out for Imperial patrols pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_16.stf', '38', 'reason_4', 'Alright, so we\'re taking this stuff to our outpost. Keep an eye out for Imperial patrols pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_16.stf', '39', 'reason_5', 'Alright, so we\'re taking this stuff to our outpost. Keep an eye out for Imperial patrols pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_16.stf', '40', 'shields_depleted', 'My shields are out, you better take care of these guys fast pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_16.stf', '41', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_16.stf', '42', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_16.stf', '43', 'taunt_1', 'We are detecting illegal cargo on your ship. Cooperate and you will not be harmed!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_16.stf', '44', 'taunt_2', 'Blasted Rebels, you\'re not getting out of this one!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_16.stf', '45', 'taunt_3', 'You stuck your nose in too deep this time Rebels!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_16.stf', '46', 'taunt_4', 'I usually eat Rebel scum for breakfast but I guess dinner is fine as well!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_16.stf', '47', 'taunt_5', 'You can\'t match our skill Rebels, you may as well give up!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_16.stf', '48', 'thanks_1', 'Great working with you pilot. I\'ll be safe from here, see you around!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_16.stf', '49', 'thanks_2', 'Great working with you pilot. I\'ll be safe from here, see you around!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_16.stf', '50', 'thanks_3', 'Great working with you pilot. I\'ll be safe from here, see you around!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_16.stf', '51', 'thanks_4', 'Great working with you pilot. I\'ll be safe from here, see you around!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_16.stf', '52', 'thanks_5', 'Great working with you pilot. I\'ll be safe from here, see you around!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_16.stf', '53', 'title', 'Lok system: Escort the smuggler transporting Death Star data.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort/yavin_rebel_16.stf', '54', 'title_d', 'Apparently the Death Star section from the freighter in the last mission pummeled through orbit and landed on Lok, still partly intact. Nym has found it and he\'s willing to sell it to the Alliance. You have to travel to Lok and escort the Nym smuggler transporting it to the Rebel Space station in the Lok system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_11.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_11.stf', '2', 'abort', 'Abort call has been issued. Return to base.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_11.stf', '3', 'arrived_at_loc', 'Hold at this location for the scanning craft.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_11.stf', '4', 'attack_notify', ' \\#pcontrast3 Tactical Computer: < \\#pcontrast1 Rebel craft on attack vector. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_11.stf', '5', 'attack_stopped', ' \\#pcontrast3 Tactical Computer: < \\#pcontrast1 Rebel craft have been destroyed \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_11.stf', '6', 'complete', 'The scanning vessel has completed its rounds.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_11.stf', '7', 'duty_update', ' \\#pcontrast3 Black Epsilon Command: < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_11.stf', '8', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_11.stf', '9', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_11.stf', '10', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_11.stf', '11', 'failed_destroy', 'The scanning craft has been destroyed. Lets hope this blunder does not cause other craft to fall victem as well.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_11.stf', '12', 'failed_protect', 'You have failed to protect the scanning vessel.  Return to base at once.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_11.stf', '13', 'found_loc', 'Travel to the waypoint and await the arrival of our scanning craft.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_11.stf', '14', 'goodbye_1', 'Good job on the escort, enemy activity will continue to be monitored.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_11.stf', '15', 'goodbye_2', 'I hope to meet you at the cantina back on the ground.  I owe you one.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_11.stf', '16', 'goodbye_3', 'I thought I was done for a couple times, way to pull it through!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_11.stf', '17', 'goodbye_4', 'I thought I was done for a couple times, way to pull it through!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_11.stf', '18', 'goodbye_5', 'I thought I was done for a couple times, way to pull it through!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_11.stf', '19', 'hull_half', 'Hull integrity down to half.  Get these Rebels off of me!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_11.stf', '20', 'panic_1', 'Rebels!  This is not an assault craft, protect me!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_11.stf', '21', 'panic_2', 'You can\'t let me die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_11.stf', '22', 'panic_3', 'Keep them off while I continue the scan!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_11.stf', '23', 'panic_4', 'Enemy fighters are here!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_11.stf', '24', 'panic_5', 'Rebels!  This is not an assault craft, protect me!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_11.stf', '25', 'quest_escort_d', 'Follow the freighter to it\'s destination. Keep it protected from any enemy fighter that might try to take it\'s cargo.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_11.stf', '26', 'quest_escort_t', 'Protect the Imperial Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_11.stf', '27', 'quest_location_d', 'The freighters will be jumping into Corellia system and need to have their escort meet them. You will be supplied the arrival location of your assigned vessel. Meet the vessel at this location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_11.stf', '28', 'quest_location_t', 'Travel to the Corellia System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_11.stf', '29', 'quest_rendezvous_d', 'The freighter will not arrive until you are at the arrival location. This is to ensure that they have an escort the entire time they are in Corellian system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_11.stf', '30', 'quest_rendezvous_t', 'Meet the Imperial Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_11.stf', '31', 'reason_1', 'We have to get this patrol done.  Black Epsilon squadron needs to know the enemy flight reports.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_11.stf', '32', 'reason_2', 'Command is waiting on these scans, lets get a move on.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_11.stf', '33', 'reason_3', 'I need to get back in time for a tour of Agrilate Swamp, lets get this done quickly.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_11.stf', '34', 'reason_4', 'I need to get back in time for a tour of Agrilate Swamp, lets get this done quickly.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_11.stf', '35', 'reason_5', 'I need to get back in time for a tour of Agrilate Swamp, lets get this done quickly.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_11.stf', '36', 'shields_depleted', 'Shields are down, I repeat my shields are down.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_11.stf', '37', 'taunt_1', 'You cannot hope to beat us, power down now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_11.stf', '38', 'taunt_2', 'The Empire should expect no mercy.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_11.stf', '39', 'taunt_3', 'Your overthrow is imminent Imperial dog.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_11.stf', '40', 'taunt_4', 'The Alliance stands stong!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_11.stf', '41', 'taunt_5', 'The Alliance stands stong!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_11.stf', '42', 'thanks_1', 'Great job on the escrort, it is good to be home.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_11.stf', '43', 'thanks_2', 'Whew, that was some great flying ace.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_11.stf', '44', 'thanks_3', 'I am thankful of high command for these escorts.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_11.stf', '45', 'thanks_4', 'I am thankful of high command for these escorts.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_11.stf', '46', 'thanks_5', 'I am thankful of high command for these escorts.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_11.stf', '47', 'title', 'Corellia System: Protect the Imperial Freighters Duty');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_11.stf', '48', 'title_d', 'Travel to the Corellia system and escort important Imperial military supplies that are being sent in from Naboo. These will help restock the military that is located on Talus. It is highly important that the cargo ships arrive at their destination safely and most importantly do not fall into Rebel hands.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_7.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_7.stf', '2', 'abort', 'Abort code received, preparing hyper jump out of the sector.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_7.stf', '3', 'arrived_at_loc', 'We have confirmed your coordinates to be correct. Freighter should arrive from hyperspace any second.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_7.stf', '4', 'attack_notify', 'Tactical Computer: < Vessels on intercept course approaching, weapon systems armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_7.stf', '5', 'attack_stopped', 'Tactical Computer: < Sensors indicate no more fighter vessels with armed weapon systems in area. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_7.stf', '6', 'complete', 'The Freighter has arrived safely, good job pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_7.stf', '7', 'duty_update', '\\#pcontrast1 Black Epsilon Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_7.stf', '8', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_7.stf', '9', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_7.stf', '10', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_7.stf', '11', 'failed_destroy', 'That shipment was invaluable to us! You will have to answer to your superior for this pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_7.stf', '12', 'failed_protect', 'The Freighter had to make a jump to hyperspace, your protection wasn\'t sufficient pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_7.stf', '13', 'found_loc', 'Coordinates for rendez-vous point with next freighter uploaded to your nav computer. Proceed immediately pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_7.stf', '14', 'goodbye_1', 'Alright we made it in one piece. Descending to surface, thanks for the help pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_7.stf', '15', 'goodbye_2', 'We couldn\'t have made it without you pilot, was a pleasure to work with you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_7.stf', '16', 'goodbye_3', 'Thank you pilot, we got it from here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_7.stf', '17', 'goodbye_4', 'Excellent work Pilot, those Rebel scum will think twice before attacking our Freighters again.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_7.stf', '18', 'goodbye_5', 'Ah finally here, heading for the nearest cantina. Thanks for the escort pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_7.stf', '19', 'hull_half', 'We are falling apart over here, get those Rebel scum off me!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_7.stf', '20', 'panic_1', 'Incoming Rebel fighters, they are gunning for me, take them out quick!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_7.stf', '21', 'panic_2', 'Rebel fighters! This vessel is not equipped to handle a fight, you have to help us!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_7.stf', '22', 'panic_3', 'Oh no, sensors show Rebel fighters incoming!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_7.stf', '23', 'panic_4', 'Time to earn your pay pilot, we got Rebel fighters approaching.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_7.stf', '24', 'panic_5', 'We\'re not home free yet, Rebel fighters approaching fast!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_7.stf', '25', 'quest_escort_d', 'Follow the freighter and protect it from attack. Enemy fighters will jump into the area and attack the freighter. Freighters are not very sturdy, so it is important for you to take out the enemy fighters as quickly as you can.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_7.stf', '26', 'quest_escort_t', 'Protect the Imperial Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_7.stf', '27', 'quest_location_d', 'Travel to the Corellia system and move towards your first navigation waypoint to begin the escort duty. After it arrives, follow the Imperial freighter until it reaches its destination.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_7.stf', '28', 'quest_location_t', 'Travel to the Corellian System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_7.stf', '29', 'quest_rendezvous_d', 'Travel to the navigation waypoint and wait for the Imperial freighter to arrive. Once the freighter is in the system, follow it to its destination.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_7.stf', '30', 'quest_rendezvous_t', 'Meet the Freighter at the Navigation Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_7.stf', '31', 'reason_1', 'Greetings pilot, good to see you. We\'re hauling some new equipment for the boys on the ground and need some protection.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_7.stf', '32', 'reason_2', 'Pilot, good to see you. We are transporting a prisoner for the Inquisition and need a escort.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_7.stf', '33', 'reason_3', 'Good our escort is here. We\'re sitting on a barrel of explosives here so keep any hostiles far away from us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_7.stf', '34', 'reason_4', 'G\'Day pilot. We\'re running a taxi service here I guess, hauling some important dude in the back. Keep an eye on us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_7.stf', '35', 'reason_5', 'Transmitting my Imperial ID code now. Protect us with your life pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_7.stf', '36', 'shields_depleted', 'My shields are failing, you better get rid of these fighters quick pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_7.stf', '37', 'taunt_1', 'You will never reach Corellia, filthy Imperial!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_7.stf', '38', 'taunt_2', 'We won\'t be satisfied with taking your cargo, we\'re taking your life Imperial scum!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_7.stf', '39', 'taunt_3', 'Easy pickins, say good night Imperial wretches!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_7.stf', '40', 'taunt_4', 'Freeeedoooom!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_7.stf', '41', 'taunt_5', 'Revenge is best served through a Laser cannon!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_7.stf', '42', 'thanks_1', 'Good job pilot, glad to have you here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_7.stf', '43', 'thanks_2', 'Phew, thought they had us for sure.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_7.stf', '44', 'thanks_3', 'You know how to handle that ship, I\'ll give you that pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_7.stf', '45', 'thanks_4', 'Whow! Did you see that Rebel scum when you took off his wing? Beautiful!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_7.stf', '46', 'thanks_5', 'You make me miss being a fighter pilot, nice moves!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_7.stf', '47', 'title', 'Corellia System: Escort the Imperial Freighters Duty');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_7.stf', '48', 'title_d', 'Travel to the Corellia system and escort the Imperial freighters through the system. An escort duty is a voluntary mission that you are able to quit at any time without repercussions. When you reach the Corellia system, you will get a navigation waypoint to the arrival location of an Imperial freighter that you will need to escort through the system. Travel to the waypoint and wait until the freighter hyperjumps into the system. Once it is in the area, it will begin to fly through the system. You need to follow the freighter until it reaches its destination. Keep a careful eye out for enemy attack since they will attempt to destroy this freighter. Once completed you will receive another waypoint to the arrival location of another freighter. This escort duty can be stopped at any time by simply aborting the mission or leaving the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_9.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_9.stf', '2', 'abort', 'Mission has been aborted, returning to base.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_9.stf', '3', 'arrived_at_loc', 'The freighter will arive soon, prepare to take up escort positions.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_9.stf', '4', 'attack_notify', '\\#pcontrast3 Tactical Computer: < \\#pconstrast1 Enemy vessels detected. Systems battle ready! \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_9.stf', '5', 'attack_stopped', '\\#pcontrast3 Tactical Computer: < \\#contrast1 Hostile craft eliminated. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_9.stf', '6', 'complete', 'The freighter has reached it\'s destination, return for another transport.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_9.stf', '7', 'duty_update', '\\#contrast3 Black Epsilon Command: < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_9.stf', '8', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_9.stf', '9', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_9.stf', '10', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_9.stf', '11', 'failed_destroy', 'The freighter has been destroyed.  You have failed your mission.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_9.stf', '12', 'failed_protect', 'You have failed to protect the freighter.  The mission is aborted.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_9.stf', '13', 'found_loc', 'Freighter jump location sent to your nav computer. Proceed as planned.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_9.stf', '14', 'goodbye_1', 'Thank you for the escort, I\'ll be sure to ask for you next time through as well.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_9.stf', '15', 'goodbye_2', 'Thank you for the escort, I\'ll be sure to ask for you next time through as well.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_9.stf', '16', 'goodbye_3', 'Thank you for the escort, I\'ll be sure to ask for you next time through as well.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_9.stf', '17', 'goodbye_4', 'Thank you for the escort, I\'ll be sure to ask for you next time through as well.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_9.stf', '18', 'goodbye_5', 'Thank you for the escort, I\'ll be sure to ask for you next time through as well.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_9.stf', '19', 'hull_half', 'Hull integrity is below 50%, please hurry!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_9.stf', '20', 'panic_1', 'Pirates!  Do you think they will believe that I don\'t have any cargo?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_9.stf', '21', 'panic_2', 'Hutts! What are they doing around here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_9.stf', '22', 'panic_3', 'Not again. I always get attacked on this run.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_9.stf', '23', 'panic_4', 'Oh great, as if my life wasn\'t hard enough.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_9.stf', '24', 'panic_5', 'I hope you know how to fly that thing.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_9.stf', '25', 'quest_escort_d', 'Follow the freighter to it\'s destination. Keep it protected from any enemy fighter that might try to take it\'s cargo.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_9.stf', '26', 'quest_escort_t', 'Protect the Civilian Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_9.stf', '27', 'quest_location_d', 'The freighters will be jumping into Corellia system and need to have their escort meet them. You will be supplied the arrival location of your assigned vessel. Meet the vessel at this location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_9.stf', '28', 'quest_location_t', 'Travel to the Corellia System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_9.stf', '29', 'quest_rendezvous_d', 'The freighter will not arrive until you are at the arrival location. This is to ensure that they have an escort the entire time they are in Corellian system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_9.stf', '30', 'quest_rendezvous_t', 'Meet the Civilian Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_9.stf', '31', 'reason_1', 'Stay alert, this is a known pirate area.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_9.stf', '32', 'reason_2', 'Imperial high command really wants my cargo. So please watch my back.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_9.stf', '33', 'reason_3', 'Be on the look out. I attract pirates like a garbage attracts womp rats.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_9.stf', '34', 'reason_4', 'I feel much safer with you escorting me through this dangerous area.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_9.stf', '35', 'reason_5', 'Keep on the alert. Pirates are all over the place.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_9.stf', '36', 'shields_depleted', 'Shields are down, if you are going to act do it now!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_9.stf', '37', 'taunt_1', 'This will be so easy they might as well deliver the goods to us!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_9.stf', '38', 'taunt_2', 'You might as well give up now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_9.stf', '39', 'taunt_3', 'Borvo will be pleased with our prize.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_9.stf', '40', 'taunt_4', 'Ok, no more Mr. Nice Guy.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_9.stf', '41', 'taunt_5', 'This will only take a second.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_9.stf', '42', 'thanks', 'Great job, the Empire sure gets my vote.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_9.stf', '43', 'thanks_1', 'Great job, the Empire sure gets my vote.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_9.stf', '44', 'thanks_2', 'Great job, the Empire sure gets my vote.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_9.stf', '45', 'thanks_3', 'Great job, the Empire sure gets my vote.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_9.stf', '46', 'thanks_4', 'Great job, the Empire sure gets my vote.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_9.stf', '47', 'thanks_5', 'Great job, the Empire sure gets my vote.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_9.stf', '48', 'title', 'Corellia System: Protect Local Shipping Duty');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_9.stf', '49', 'title_d', 'Due to the inefficency of the CorSec the Empire has decided that it must help freighters in the region get their cargo through without being attacked by pirates. You will be assigned a freighter that you will need to protect from any attempt to capture it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_tier4_2.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_tier4_2.stf', '2', 'abort', 'We are not armed. You cannot leave us the mercy of these pirates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_tier4_2.stf', '3', 'arrived_at_loc', 'Wait here for the arrival of the freighter vessel. Once it arrives escort it safely through the sector.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_tier4_2.stf', '4', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Warning! Incoming enemy fighters.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_tier4_2.stf', '5', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighter wave destroyed.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_tier4_2.stf', '6', 'complete', 'You have completed the escort run. Return to your commander to take another duty mission or train. Or remain in the sector to escort another ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_tier4_2.stf', '7', 'duty_update', '\\#pcontrast1 Black Epsilon Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_tier4_2.stf', '8', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_tier4_2.stf', '9', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_tier4_2.stf', '10', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_tier4_2.stf', '11', 'failed_destroy', 'You have failed to protect the Imperial interests in this region. Report this failure to your commander.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_tier4_2.stf', '12', 'failed_protect', 'You have failed to protect the Imperial interests in this region. Report this failure to your commander.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_tier4_2.stf', '13', 'found_loc', 'Freighter will arrive at the location sent to your nav computer. Meet the freighter there and escort it through the sector.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_tier4_2.stf', '14', 'goodbye_1', 'Thanks, pilot. Those mercs have been harassing our ships for a while now. Something needs to be done.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_tier4_2.stf', '15', 'goodbye_2', 'I appreciate the escort. Without you those mercs would have had us for sure.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_tier4_2.stf', '16', 'goodbye_3', 'Those Velocity guys have been attacking ships all across the sector. Something needs to be done.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_tier4_2.stf', '17', 'goodbye_4', 'These supplies were much needed for our troops. You have done well, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_tier4_2.stf', '18', 'goodbye_5', 'Without you here, our cargo would be in the hands of the enemy right now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_tier4_2.stf', '19', 'hull_half', 'Our hull is at half strength. Get those enemy fighters off of us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_tier4_2.stf', '20', 'panic_1', 'Enemy fighters! I should have known.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_tier4_2.stf', '21', 'panic_2', 'Look out! Those Velocity mercs are swarming all over.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_tier4_2.stf', '22', 'panic_3', 'Did I ever tell you about the time... Enemy Fighters! Blast, I just spilled coffee on myself.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_tier4_2.stf', '23', 'panic_4', 'What are the chances of us running into these enemies?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_tier4_2.stf', '24', 'panic_5', 'So, they have come again.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_tier4_2.stf', '25', 'quest_d', 'The Velocity Mercenaries have been attacking Imperial shipping lanes and have captured a number of freighters carrying important supplies for the war effort. Every freighter traveling through the Dantooine sector is now required to have an escort fighter to protect them against these attacks. Meet and escort freighters through the Dantooine sector, protecting them from attack.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_tier4_2.stf', '26', 'quest_escort_d', 'After the freighter arrives, follow the freighter through the system until it reaches it\'s final destination. Keep a close watch out for the Velocity mercenaries who might try to destroy or capture these supply freighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_tier4_2.stf', '27', 'quest_escort_t', 'Protect the Imperial Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_tier4_2.stf', '28', 'quest_location_d', 'Meet your assigned freighter inside of the Dantooine system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_tier4_2.stf', '29', 'quest_location_t', 'Travel to the Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_tier4_2.stf', '30', 'quest_rendezvous_d', 'Travel to the navigation waypoint provided and wait for the arrival of the freighter assigned to you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_tier4_2.stf', '31', 'quest_rendezvous_t', 'Meet the Imperial Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_tier4_2.stf', '32', 'quest_t', 'Protecting Imperial Interests');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_tier4_2.stf', '33', 'reason_1', 'I am glad to see you. With those mercenaries swarming this area I don\'t feel safe.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_tier4_2.stf', '34', 'reason_2', 'These supplies have to get through. Supplies are running low at the outpost.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_tier4_2.stf', '35', 'reason_3', 'You had best keep a careful watch. Ships have been getting attacked all over this area.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_tier4_2.stf', '36', 'reason_4', 'I am glad to see you. I was attacked three times last week.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_tier4_2.stf', '37', 'reason_5', 'I have a ship full of blaster batteries and medical supplies. Chances are we are going to draw alot of attention.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_tier4_2.stf', '38', 'shields_depleted', 'There went our shields. We are not going to last much longer!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_tier4_2.stf', '39', 'taunt_1', 'Run while you can, Imperial dog.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_tier4_2.stf', '40', 'taunt_2', 'Why you dirty womprat!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_tier4_2.stf', '41', 'taunt_3', 'I am going to enjoy this.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_tier4_2.stf', '42', 'taunt_4', 'You fly like a blind bantha.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_tier4_2.stf', '43', 'taunt_5', 'Why don\'t you just be a good little pilot and give us the ship?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_tier4_2.stf', '44', 'thanks_1', 'Yeah, take that and some of that and how about a little of this...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_tier4_2.stf', '45', 'thanks_2', 'You are like an enraged rancor aren\'t you?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_tier4_2.stf', '46', 'thanks_3', 'Ha...they are not so tough now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_tier4_2.stf', '47', 'thanks_4', 'They never even knew what hit them.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_tier4_2.stf', '48', 'thanks_5', 'I bet they didn\'t see that coming.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_tier4_2.stf', '49', 'title', 'Dantooine System: Protect Imperial Interests Duty');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_imperial_tier4_2.stf', '50', 'title_d', 'Velocity mercenaries have been harrassing Imperial Freighters moving through the Dantooine system. Because of the lose of several valuable ships, Imperial Command has declared that all freighters moving through the Dantooine system shall have fighter escort to protect them against the attacks by the mercenaries.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_10.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_10.stf', '2', 'abort', 'You have aborted your mission and failed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_10.stf', '3', 'arrived_at_loc', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 You are at the predesignated location. Hold here for transport. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_10.stf', '4', 'attack_notify', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Enemy craft have been detected on attack vector. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_10.stf', '5', 'attack_stopped', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 The attacking wave has stopped. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_10.stf', '6', 'complete', 'The mission is a complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_10.stf', '7', 'duty_update', '\\#pcontrast3 < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_10.stf', '8', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_10.stf', '9', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_10.stf', '10', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_10.stf', '11', 'failed_destroy', 'You have failed your mission, the transport was destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_10.stf', '12', 'failed_protect', 'You have failed to protect your charge.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_10.stf', '13', 'found_loc', '\\#pcontrast3 CorSec Command: < \\#pcontrast1 Updating your Nav Computer with the freighters waypoint. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_10.stf', '14', 'goodbye_1', 'Good bye.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_10.stf', '15', 'goodbye_2', 'I\'m getting away from this mess.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_10.stf', '16', 'goodbye_3', 'Good bye.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_10.stf', '17', 'goodbye_4', 'Good bye.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_10.stf', '18', 'goodbye_5', 'Good bye.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_10.stf', '19', 'hull_half', 'Hull integrity is at half.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_10.stf', '20', 'panic_1', 'Help!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_10.stf', '21', 'panic_2', 'Ah, I was expecting this.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_10.stf', '22', 'panic_3', 'Help!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_10.stf', '23', 'panic_4', 'Help!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_10.stf', '24', 'panic_5', 'Help!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_10.stf', '25', 'quest_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_10.stf', '26', 'quest_escort_d', 'Defend against attacks from both Rebel and Imperial forces');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_10.stf', '27', 'quest_escort_t', 'Protect the freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_10.stf', '28', 'quest_location_d', 'Smuggler route through Lok System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_10.stf', '29', 'quest_location_t', 'Lok System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_10.stf', '30', 'quest_rendezvous_d', 'Meet the freighter at this location');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_10.stf', '31', 'quest_rendezvous_t', 'Escort Rendezvous');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_10.stf', '32', 'quest_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_10.stf', '33', 'reason_1', 'We can\'t be too careful.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_10.stf', '34', 'reason_2', 'Stay on the alert.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_10.stf', '35', 'reason_3', 'We can\'t be too careful.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_10.stf', '36', 'reason_4', 'We can\'t be too careful.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_10.stf', '37', 'reason_5', 'We can\'t be too careful.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_10.stf', '38', 'shields_depleted', 'Deflector shields are down.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_10.stf', '39', 'taunt_1', 'You will die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_10.stf', '40', 'taunt_2', 'You are a fool to get in the way.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_10.stf', '41', 'taunt_3', 'You will die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_10.stf', '42', 'taunt_4', 'You will die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_10.stf', '43', 'taunt_5', 'You will die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_10.stf', '44', 'thanks_1', 'Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_10.stf', '45', 'thanks_2', 'Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_10.stf', '46', 'thanks_3', 'Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_10.stf', '47', 'thanks_4', 'Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_10.stf', '48', 'thanks_5', 'Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_10.stf', '49', 'title', 'Lok System: Duty: Escort the Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_10.stf', '50', 'title_d', 'Get the freighter through the war');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_7.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_7.stf', '2', 'abort', 'Abort code received, preparing hyper jump out of the sector.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_7.stf', '3', 'arrived_at_loc', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 You are at the correct coordinates. Freighter should arrive shortly. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_7.stf', '4', 'attack_notify', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Vessels on intercept course approaching, weapon systems armed. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_7.stf', '5', 'attack_stopped', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Sensors indicate no more fighter vessels with armed weapon systems in area. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_7.stf', '6', 'complete', '\\#pcontrast3 CorSec Command: < \\#pcontrast1 Another merchant safely on the ground, great job pilot! \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_7.stf', '7', 'duty_update', 'CorSec Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_7.stf', '8', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_7.stf', '9', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_7.stf', '10', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_7.stf', '11', 'failed_destroy', '\\#pcontrast3 CorSec Command: < \\#pcontrast1 All those civilians... I\'m sure you did all you could pilot but we expect a full report on what happened. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_7.stf', '12', 'failed_protect', '\\#pcontrast3 CorSec Command: < \\#pcontrast1 The Merchant ship was about to be destroyed and had to make a quick jump to hyperspace. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_7.stf', '13', 'found_loc', '\\#pcontrast3 CorSec Command: < \\#pcontrast1 We have another Merchant ship being chased by Pirates. Get over to these coordinates quickly pilot. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_7.stf', '14', 'goodbye_1', 'Praise the CorSec, we would never have made it without you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_7.stf', '15', 'goodbye_2', 'I knew I could count on the Ace pilots of the CorSec to bring us down safely. Thank you!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_7.stf', '16', 'goodbye_3', 'Thank you pilot, we would have been toast without you!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_7.stf', '17', 'goodbye_4', 'Fantastic, I never thought we\'d made it alive! You are a lifesaver friend, thank you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_7.stf', '18', 'goodbye_5', 'You sure taught those pirates a lesson, thank you again pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_7.stf', '19', 'hull_half', 'Our hull is leaking! You have to get them off me, now!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_7.stf', '20', 'panic_1', 'Here they come, time to earn your pay CorSec!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_7.stf', '21', 'panic_2', 'More pirates incoming! We can\'t defend ourselves, our fate is in your hands pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_7.stf', '22', 'panic_3', 'Pirate fighter ships incoming!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_7.stf', '23', 'panic_4', 'More pirates, we\'re done for now...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_7.stf', '24', 'panic_5', 'Pirate fighters, incoming fast!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_7.stf', '25', 'quest_escort_d', 'One of the many freighter craft transversing this sector.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_7.stf', '26', 'quest_escort_t', 'Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_7.stf', '27', 'quest_location_d', 'Throughout the Corellia System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_7.stf', '28', 'quest_location_t', 'Corellia System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_7.stf', '29', 'quest_rendezvous_d', 'Meet the freighter for escort here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_7.stf', '30', 'quest_rendezvous_t', 'Rendezvous Point');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_7.stf', '31', 'reason_1', 'So happy to see you pilot! We shook some pirates back there but I don\'t think they gave up.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_7.stf', '32', 'reason_2', 'We\'re transporting spices worth a fortune and have been dodging pirates all over the system. Your a welcome sight CorSec.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_7.stf', '33', 'reason_3', 'Oh hi. I think we\'ll be fine but if you really want to escort us, we won\'t say no.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_7.stf', '34', 'reason_4', 'Help? We don\'t need help. Fine, you can tag along but stay out of our way.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_7.stf', '35', 'reason_5', 'Please help! The pirates are hot on our trail and we don\'t have the means to defend ourselves!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_7.stf', '36', 'shields_depleted', 'Our shields are breaking down! We\'re in big trouble!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_7.stf', '37', 'taunt_1', 'Time to fill my coffers with some more creds. Stay out of the way CorSec!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_7.stf', '38', 'taunt_2', 'There\'s no escape, shut off your engines! We won\'t hurt you, promise.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_7.stf', '39', 'taunt_3', 'Fear me, CorSec weakling! Whow I sound scary..is this thing still on...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_7.stf', '40', 'taunt_4', 'We\'re taking over, pack yourself out of here or face our wrath CorSec!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_7.stf', '41', 'taunt_5', 'You don\'t want to mess with me CorSec.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_7.stf', '42', 'thanks_1', 'Nice moves pilot. I feel a lot more secure now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_7.stf', '43', 'thanks_2', 'Not bad pilot, not bad at all.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_7.stf', '44', 'thanks_3', 'I love you! I mean, thank you pilot...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_7.stf', '45', 'thanks_4', 'Yes! That\'s how it\'s done. Show them what happens when they mess with us!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_7.stf', '46', 'thanks_5', 'Some great flying pilot, wish I could pull those moves in this hunk of trash.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_7.stf', '47', 'title', 'Corellia System: Duty: Escort Merchant Freighters');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_7.stf', '48', 'title_d', 'Escort the freighter along their route through Black Sun and Hidden Daggers aggression.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_tier4_1.stf', '1', 'abort', 'You have failed because you aborted the mission.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_tier4_1.stf', '2', 'arrived_at_loc', 'You have arrived at the rendezvous point.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_tier4_1.stf', '3', 'attack_notify', 'Enemy craft approaching on attack vector.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_tier4_1.stf', '4', 'attack_stopped', 'Enemy activity has ceased.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_tier4_1.stf', '5', 'complete', 'The mission is a success!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_tier4_1.stf', '6', 'duty_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_tier4_1.stf', '7', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_tier4_1.stf', '8', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_tier4_1.stf', '9', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_tier4_1.stf', '10', 'failed_destroy', 'You have failed because the freighter was destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_tier4_1.stf', '11', 'failed_protect', 'You have failed to protect the freighter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_tier4_1.stf', '12', 'found_loc', 'Rendezvous point updated.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_tier4_1.stf', '13', 'goodbye_1', 'Good bye.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_tier4_1.stf', '14', 'goodbye_2', 'Yes!  I\'m outta here!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_tier4_1.stf', '15', 'goodbye_3', 'Good bye.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_tier4_1.stf', '16', 'goodbye_4', 'Good bye.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_tier4_1.stf', '17', 'goodbye_5', 'Good bye.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_tier4_1.stf', '18', 'hull_half', 'Hull integrity at half.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_tier4_1.stf', '19', 'panic_1', 'Fighters, save me!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_tier4_1.stf', '20', 'panic_2', 'Oh no, here they come.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_tier4_1.stf', '21', 'panic_3', 'Fighters, save me!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_tier4_1.stf', '22', 'panic_4', 'Fighters, save me!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_tier4_1.stf', '23', 'panic_5', 'Fighters, save me!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_tier4_1.stf', '24', 'quest_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_tier4_1.stf', '25', 'quest_escort_d', 'A cargo freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_tier4_1.stf', '26', 'quest_escort_t', 'Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_tier4_1.stf', '27', 'quest_location_d', 'A trade route in the Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_tier4_1.stf', '28', 'quest_location_t', 'Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_tier4_1.stf', '29', 'quest_rendezvous_d', 'Travel here to meet up with the freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_tier4_1.stf', '30', 'quest_rendezvous_t', 'Rendezvous Point');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_tier4_1.stf', '31', 'quest_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_tier4_1.stf', '32', 'reason_1', 'Freighters like mine will be an easy target!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_tier4_1.stf', '33', 'reason_2', 'Those Witch Clan fighters are monsters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_tier4_1.stf', '34', 'reason_3', 'Freighters like mine will be an easy target!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_tier4_1.stf', '35', 'reason_4', 'Freighters like mine will be an easy target!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_tier4_1.stf', '36', 'reason_5', 'Freighters like mine will be an easy target!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_tier4_1.stf', '37', 'shields_depleted', 'Shields depleated.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_tier4_1.stf', '38', 'taunt_1', 'Die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_tier4_1.stf', '39', 'taunt_2', 'I will consume your soul!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_tier4_1.stf', '40', 'taunt_3', 'Die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_tier4_1.stf', '41', 'taunt_4', 'Die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_tier4_1.stf', '42', 'taunt_5', 'Die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_tier4_1.stf', '43', 'thanks_1', 'Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_tier4_1.stf', '44', 'thanks_2', 'Oh, thank goodness.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_tier4_1.stf', '45', 'thanks_3', 'Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_tier4_1.stf', '46', 'thanks_4', 'Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_tier4_1.stf', '47', 'thanks_5', 'Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_tier4_1.stf', '48', 'title', 'Dathomir System: Duty: Escort the Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_privateer_tier4_1.stf', '49', 'title_d', 'Protect the freighter on its flight through Dathomir Space');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_7.stf', '1', 'abort', 'Abort code received. Heading back to base.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_7.stf', '2', 'arrived_at_loc', 'Wait at this location. An Alliance refugee transport will arrive shortly.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_7.stf', '3', 'attack_notify', ' \\#pcontrast3 Tactical Computer: < \\#pcontrast1 Hostiles on approach vector to escort target! \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_7.stf', '4', 'attack_stopped', ' \\#pcontrast3 Tactical Computer: < \\#pcontrast1 Hostile fighters eliminated. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_7.stf', '5', 'complete', 'Alliance HQ: < The refugees have made it through the region safely. Good job. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_7.stf', '6', 'duty_update', ' \\#pcontrast3 Alliance HQ: < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_7.stf', '7', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_7.stf', '8', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_7.stf', '9', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_7.stf', '10', 'failed_destroy', 'Those refugees were depending on you, Pilot! Return to your commanding officer at once!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_7.stf', '11', 'failed_protect', 'The Alliance refugee transport has been redirected. Your mission is a failure.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_7.stf', '12', 'found_loc', 'Alliance HQ: < Travel to the rally point and wait for your escort target to arrive. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_7.stf', '13', 'goodbye_1', 'Everyone on-board appreciates your help! Thank you!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_7.stf', '14', 'goodbye_2', 'Alright, I can take it from here. Time to get these people home... Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_7.stf', '15', 'goodbye_3', 'Yeah! We made it. The Alliance owes you a debt of gratitude. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_7.stf', '16', 'goodbye_4', 'What a ride! The Alliance owes me more than standard pay, I think! Thanks for the escort, though.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_7.stf', '17', 'goodbye_5', 'We\'re ready to get these refugees back home. Thanks for the escort!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_7.stf', '18', 'hull_half', 'I\'m tracking multiple hull breaches! I can\'t take much more damage. Help!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_7.stf', '19', 'panic_1', 'They\'re moving to attack! Please help us!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_7.stf', '20', 'panic_2', 'I think...no it can\'t be... They\'re opening fire! Hostiles! Repeat, hostiles on attack vector!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_7.stf', '21', 'panic_3', 'Those new ships are moving in too fast for coincidence. Prepare for assault.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_7.stf', '22', 'panic_4', 'No, no, no. Not now. This was my last job of the day. Why can\'t they leave my shipment alone!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_7.stf', '23', 'panic_5', 'Those new contacts don\'t look friendly. The Force be with you, friend.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_7.stf', '24', 'quest_escort_d', 'Defend the transport as it attempts to leave the Corellia system. Protect against any and all hostile forces that threaten you or the transport.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_7.stf', '25', 'quest_escort_t', 'Protect the Alliance refugee transport.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_7.stf', '26', 'quest_location_d', 'Alliance HQ will be uploading navigation points for you to follow. Meet the refugee transport at the nav point and escort it to safety.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_7.stf', '27', 'quest_location_t', 'Corellia system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_7.stf', '28', 'quest_rendezvous_d', 'The Alliance is trying to get refugees out of the system before the war consumes them. Protect the transport as it flies. Defend against all hostile forces until the transport is away.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_7.stf', '29', 'quest_rendezvous_t', 'Meet the Alliance Refugee Transport and escort it to safety.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_7.stf', '30', 'reason_1', 'Alliance Freighter reporting! We have a hold full of refugees who need to get home, buddy.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_7.stf', '31', 'reason_2', 'Requesting fighter escort. Repeat! Requesting fighter escort!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_7.stf', '32', 'reason_3', 'Hey there, pilot! Let\'s get these refugees back home. Whadda you say?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_7.stf', '33', 'reason_4', 'Good to see you, pilot! Cover us so we can get these refugees back where they belong.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_7.stf', '34', 'reason_5', 'This is the freight commander speaking. Form up and keep us safe! We have a lot of injured on-board and don\'t need any more excitement!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_7.stf', '35', 'shields_depleted', 'Our shields are out. Get rid of those fighters now!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_7.stf', '36', 'taunt_1', 'Rebel scum! Prepare to die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_7.stf', '37', 'taunt_2', 'Refugees, eh? You expect us to believe that... traitor?!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_7.stf', '38', 'taunt_3', 'Time to die, Rebel scum!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_7.stf', '39', 'taunt_4', 'I\'ve got you in my sights.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_7.stf', '40', 'taunt_5', 'Kill the Rebel traitors!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_7.stf', '41', 'thanks_1', 'Thanks for taking out those punks. Now let\'s get these refugees back home!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_7.stf', '42', 'thanks_2', 'Whew, thanks for thinking fast there. We would have been spaced without your help!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_7.stf', '43', 'thanks_3', 'Very impressive, my friend! The Force is with you...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_7.stf', '44', 'thanks_4', 'I can\'t believe we made it! Thanks a million, pal!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_7.stf', '45', 'thanks_5', 'All refugees safe and sound. Thanks for your help, pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_7.stf', '46', 'title', 'Corellia system: Duty mission: Protect Refugee Transports');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_7.stf', '47', 'title_d', 'Protect Refugee Transports. These missions have been outlined to give you some much needed experience in space combat, you can stop when you feel that you have learned enough.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_tier4_1.stf', '1', 'abort', 'What the?! Where are you going Rebel?!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_tier4_1.stf', '2', 'arrived_at_loc', 'You\'re at the correct coordinates Rebel, one of our freighters should be there soon.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_tier4_1.stf', '3', 'attack_notify', 'Tactical Computer: < Vessels on intercept course approaching, weapon systems armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_tier4_1.stf', '4', 'attack_stopped', 'Tactical Computer: < Sensors indicate no more fighter vessels with armed weapon systems in area. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_tier4_1.stf', '5', 'complete', 'Good job pilot, the freighter is safe.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_tier4_1.stf', '6', 'duty_update', 'Nym Command Officer: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_tier4_1.stf', '7', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_tier4_1.stf', '8', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_tier4_1.stf', '9', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_tier4_1.stf', '10', 'failed_destroy', 'I knew we shouldn\'t have put our trust in a Rebel! We lost that freighter, get out of there!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_tier4_1.stf', '11', 'failed_protect', 'Our freighter had to perform a emergency hyperspace jump! What were you doing out there, sightseeing?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_tier4_1.stf', '12', 'found_loc', 'Alright, proceed to these coordinates to meet up with our freighter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_tier4_1.stf', '13', 'goodbye_1', 'Not bad for a Rebel, see you around!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_tier4_1.stf', '14', 'goodbye_2', 'I owe you a drink Rebel, excellent work!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_tier4_1.stf', '15', 'goodbye_3', 'We\'ll be ok from here pilot, thanks for the help!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_tier4_1.stf', '16', 'goodbye_4', 'Jumping to lightspeed, good flying with ya!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_tier4_1.stf', '17', 'goodbye_5', 'There\'ll be a party tonight, this stuff is worth a ton of creds!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_tier4_1.stf', '18', 'hull_half', 'Ah crap, my old baby is falling apart over here, going to need some serious help!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_tier4_1.stf', '19', 'panic_1', 'Guess they didn\'t like us taking off with their stuff!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_tier4_1.stf', '20', 'panic_2', 'Here come the Empires henchmen!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_tier4_1.stf', '21', 'panic_3', 'Didn\'t think they would let us just fly out of here with their stuff.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_tier4_1.stf', '22', 'panic_4', 'Angry bubble-boys heading our way!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_tier4_1.stf', '23', 'panic_5', 'We must have hit the jackpot this time, they are really angry!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_tier4_1.stf', '24', 'quest_escort_d', 'Escort the freighter safely out of the Dathomir system. Be prepared though, the Empire is searching everywhere for you!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_tier4_1.stf', '25', 'quest_escort_t', 'Escort the freighter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_tier4_1.stf', '26', 'quest_location_d', 'The Dathomir system is always a dangerous place to traverse and after our successful raid, the Empire is scouring it for enemies. Be careful.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_tier4_1.stf', '27', 'quest_location_t', 'Dathomir system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_tier4_1.stf', '28', 'quest_rendezvous_d', 'We have uploaded the coordinates of the next freighter that need your escort.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_tier4_1.stf', '29', 'quest_rendezvous_t', 'Coordinates of freighter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_tier4_1.stf', '30', 'reason_1', 'A Rebel eh? Well hopefully you know how to fly, I doubt the Empire will let us walse out of here with this stuff.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_tier4_1.stf', '31', 'reason_2', 'We got some class A military equipment from the raid down there. I\'m sure the Empire wants it back so lets get out of here!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_tier4_1.stf', '32', 'reason_3', 'Hey there. Get me out of this one in one piece and I\'ll get you a nice bonus at the end.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_tier4_1.stf', '33', 'reason_4', 'Greetings, lets not waste any time. The Empire was hot on our tail down on the ground.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_tier4_1.stf', '34', 'reason_5', 'Good, you\'re here. We should get moving, I have a feeling the Empire won\'t let us escape without a fight.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_tier4_1.stf', '35', 'shields_depleted', 'My shields are fried! I need your help pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_tier4_1.stf', '36', 'taunt_1', 'You pathetic pirates, think the Rebel scum will save you?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_tier4_1.stf', '37', 'taunt_2', 'You should have stayed on Lok pirate, no one steals from the Empire!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_tier4_1.stf', '38', 'taunt_3', 'Looks like we got a bonus guys, that\'s a Rebel!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_tier4_1.stf', '39', 'taunt_4', 'Rebels and Nym working together eh? I guess they need all the help they can get!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_tier4_1.stf', '40', 'taunt_5', 'You know you won\'t leave this system alive, just surrender!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_tier4_1.stf', '41', 'thanks_1', 'Awesome! Makes me wish these old bones still had the reflexes to pilot a fighter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_tier4_1.stf', '42', 'thanks_2', 'Rebel flight school must have made some improvements, that was impressive!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_tier4_1.stf', '43', 'thanks_3', 'Yeah! Fry that Imperial scum, haha!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_tier4_1.stf', '44', 'thanks_4', 'Systems still green on my end, lets keep moving before more come along.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_tier4_1.stf', '45', 'thanks_5', 'Nice flying pilot! My nav computer is almost done preparing for the jump. Lets move along!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_tier4_1.stf', '46', 'title', 'Dathomir system: Duty mission: Escort Nym freighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/corellia_rebel_tier4_1.stf', '47', 'title_d', 'Our mighty pirates have raided an Imperial outpost in the Dathomir system and now we need to get the bounty to Lok. Provide a safe escort for our freighters. When you feel that you have exhausted your ship, yourself or that you have enough experience to continue your training, you can return to base at anytime.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_imp_escort_duty_tier3.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_imp_escort_duty_tier3.stf', '2', 'abort', 'You cannot leave us out here! We are carring important supplies for the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_imp_escort_duty_tier3.stf', '3', 'arrived_at_loc', 'Hold at your current location. The vessel you are assigned to escort will be arriving shortly.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_imp_escort_duty_tier3.stf', '4', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Warning! Enemy fighters detected.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_imp_escort_duty_tier3.stf', '5', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighter wing has been eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_imp_escort_duty_tier3.stf', '6', 'complete', 'The freighter is safely away. Wait for command to assign you another freighter to escort or return to your commander to take a new mission.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_imp_escort_duty_tier3.stf', '7', 'duty_update', '\\#pcontrast1 Storm Squadron Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_imp_escort_duty_tier3.stf', '8', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_imp_escort_duty_tier3.stf', '9', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_imp_escort_duty_tier3.stf', '10', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_imp_escort_duty_tier3.stf', '11', 'failed_destroy', 'Your orders were to make sure that vessel arrived at HQ safely. Return to your superior and explain your failure.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_imp_escort_duty_tier3.stf', '12', 'failed_protect', 'You left that vessel out there unarmed and at the mercy of Rebels. You will have alot of explaining to do. Return to your superior.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_imp_escort_duty_tier3.stf', '13', 'found_loc', 'The escort vessel will be arriving at the location supplied to your nav computer. Travel to that location and await the arrival of that vessel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_imp_escort_duty_tier3.stf', '14', 'goodbye_1', 'We appreciate your help out there pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_imp_escort_duty_tier3.stf', '15', 'goodbye_2', 'Thanks for getting us through this sector. Those Rebels really need to be cleared out.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_imp_escort_duty_tier3.stf', '16', 'goodbye_3', 'You have done a great service to me and the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_imp_escort_duty_tier3.stf', '17', 'goodbye_4', 'My cargo will help save honest Imperial lives. You have my thanks.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_imp_escort_duty_tier3.stf', '18', 'goodbye_5', 'Be safe, pilot. Thanks for watching my back.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_imp_escort_duty_tier3.stf', '19', 'hull_half', 'Hull at half strength! They told me you were good...prove it!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_imp_escort_duty_tier3.stf', '20', 'panic_1', 'Blasted Rebels!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_imp_escort_duty_tier3.stf', '21', 'panic_2', 'Do I look worried? I think not.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_imp_escort_duty_tier3.stf', '22', 'panic_3', 'Go get them. That is your job isn\'t it?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_imp_escort_duty_tier3.stf', '23', 'panic_4', 'Rebels are after me! Who will repel them?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_imp_escort_duty_tier3.stf', '24', 'panic_5', 'You had better send those Rebels into oblivion.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_imp_escort_duty_tier3.stf', '25', 'quest_escort_d', 'After you have met with your target transport, follow it through the Dathomir system until it arrives at it\'s final destination. There is a good chance that Rebels will attack and the transport must be defended at all costs because of the importance of it\'s cargo.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_imp_escort_duty_tier3.stf', '26', 'quest_escort_t', 'Protect the Imperial Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_imp_escort_duty_tier3.stf', '27', 'quest_location_d', 'The freighters are arriving in the Dathomir system before they are being attacked by the Rebels. Meet them at their jump location inside the Dathomir system and escort them safely to their destination.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_imp_escort_duty_tier3.stf', '28', 'quest_location_t', 'Travel to the Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_imp_escort_duty_tier3.stf', '29', 'quest_rendezvous_d', 'Command will supply the jump in location of the transport. The freighter will not arrive until you are at that location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_imp_escort_duty_tier3.stf', '30', 'quest_rendezvous_t', 'Meet the Imperial Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_imp_escort_duty_tier3.stf', '31', 'reason_1', 'I have a ship full of cargo for the Imperial Prison.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_imp_escort_duty_tier3.stf', '32', 'reason_2', 'I just arrived from a Yavin salvage operation. I understand you will be my escort.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_imp_escort_duty_tier3.stf', '33', 'reason_3', 'I hope we have a smooth flight. My last one was an absolute mess. Rebels coming out of everywhere.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_imp_escort_duty_tier3.stf', '34', 'reason_4', 'An escort? I don\'t need an escort. I have been flying since the days of the Old Republic and I have never been attacked by anyone.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_imp_escort_duty_tier3.stf', '35', 'reason_5', 'Glad to have you with me. I have some very valuable stuff on this ship and it would be a shame to lose it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_imp_escort_duty_tier3.stf', '36', 'shields_depleted', 'There went our shields! Get those fighters off of us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_imp_escort_duty_tier3.stf', '37', 'taunt_1', 'Give us the freighter and no one gets hurt.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_imp_escort_duty_tier3.stf', '38', 'taunt_2', 'We just want what is ours...so give us your freighter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_imp_escort_duty_tier3.stf', '39', 'taunt_3', 'You are really starting to make me mad.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_imp_escort_duty_tier3.stf', '40', 'taunt_4', 'Imperial scum like you are better off dead.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_imp_escort_duty_tier3.stf', '41', 'taunt_5', 'That\'s just great! You scratched my new paint job!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_imp_escort_duty_tier3.stf', '42', 'thanks_1', 'I am glad that you are out here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_imp_escort_duty_tier3.stf', '43', 'thanks_2', 'They were not that tough. Back in my day we used to have to fight twice as many Rebels.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_imp_escort_duty_tier3.stf', '44', 'thanks_3', 'Today is a glorious day for the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_imp_escort_duty_tier3.stf', '45', 'thanks_4', 'Rebels are no match for your superior skills.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_imp_escort_duty_tier3.stf', '46', 'thanks_5', 'Thanks for saving my skin.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_imp_escort_duty_tier3.stf', '47', 'title', 'Dathomir System: Protect the Imperial Freighters Duty');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_imp_escort_duty_tier3.stf', '48', 'title_d', 'Rebels have been attacking Imperial traffic moving through the Dathomir system. The Emperor has decreed that all transports shall have an escort through the system because of the important cargo, nessecary for resupplying the Imperial Prison, that they are carrying.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_priv_escort_duty_tier3.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_priv_escort_duty_tier3.stf', '2', 'abort', 'Aborting as ordered. Preparing escape to hyperspace.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_priv_escort_duty_tier3.stf', '3', 'arrived_at_loc', '\\#pcontrast3 Station Command: < \\#pcontrast1 Transport is on its way, await their arrival at this location. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_priv_escort_duty_tier3.stf', '4', 'attack_notify', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Vessels on intercept course approaching, weapon systems armed. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_priv_escort_duty_tier3.stf', '5', 'attack_stopped', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Sensors indicate no more fighter vessels with armed weapon systems in area. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_priv_escort_duty_tier3.stf', '6', 'complete', 'Another victory, great job pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_priv_escort_duty_tier3.stf', '7', 'duty_update', 'Station Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_priv_escort_duty_tier3.stf', '8', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_priv_escort_duty_tier3.stf', '9', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_priv_escort_duty_tier3.stf', '10', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_priv_escort_duty_tier3.stf', '11', 'failed_destroy', '\\#pcontrast3 Station Command: < \\#pcontrast1 I can\'t believe these scum destroyed a transport full of innocents. We will need a full report on this tragedy pilot. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_priv_escort_duty_tier3.stf', '12', 'failed_protect', 'Transport had to escape through a emergency hyperspace jump pilot, there were just too many of the pirates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_priv_escort_duty_tier3.stf', '13', 'found_loc', 'We have a request from another transport with important passengers for a safe escort. New coordinates uploaded.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_priv_escort_duty_tier3.stf', '14', 'goodbye_1', 'You haven\'t let me down, thank you pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_priv_escort_duty_tier3.stf', '15', 'goodbye_2', 'Bumpy ride but we made it in one piece thanks to you pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_priv_escort_duty_tier3.stf', '16', 'goodbye_3', 'After this, I\'m putting some defense weapons on my freighter. Thanks again my friend.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_priv_escort_duty_tier3.stf', '17', 'goodbye_4', 'That was a close one and your the only reason we survived. Accept our gratitude pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_priv_escort_duty_tier3.stf', '18', 'goodbye_5', 'I\'d like to come back in a different ships and teach those scum a thing or two. Anyway, thank you for the help pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_priv_escort_duty_tier3.stf', '19', 'hull_half', 'Our sensors register multiple hull breeches, you have to take care of those pirates now!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_priv_escort_duty_tier3.stf', '20', 'panic_1', 'Hostile fighters inbound!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_priv_escort_duty_tier3.stf', '21', 'panic_2', 'Pirate wretches, they want my cargo!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_priv_escort_duty_tier3.stf', '22', 'panic_3', 'Help us, they will kill us all!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_priv_escort_duty_tier3.stf', '23', 'panic_4', 'Oh no, pirates! You better be good at your job pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_priv_escort_duty_tier3.stf', '24', 'panic_5', 'Uh oh, we got unwanted attention. I think they are pirates!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_priv_escort_duty_tier3.stf', '25', 'quest_escort_d', 'A passenger transport to be escorted through this sector.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_priv_escort_duty_tier3.stf', '26', 'quest_escort_t', 'Escort Target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_priv_escort_duty_tier3.stf', '27', 'quest_location_d', 'Transport route through the Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_priv_escort_duty_tier3.stf', '28', 'quest_location_t', 'Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_priv_escort_duty_tier3.stf', '29', 'quest_rendezvous_d', 'Meet the transport at this location');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_priv_escort_duty_tier3.stf', '30', 'quest_rendezvous_t', 'Rally Point');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_priv_escort_duty_tier3.stf', '31', 'reason_1', 'There you are. I hope you\'re good at this, we have cargo that could attract every pirate in the sector...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_priv_escort_duty_tier3.stf', '32', 'reason_2', 'Thank you for escorting us pilot. We have passengers on board, so stay alert.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_priv_escort_duty_tier3.stf', '33', 'reason_3', 'My job depends on me making this transport on time, so I hope you know what you are doing pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_priv_escort_duty_tier3.stf', '34', 'reason_4', 'Perfect, a pilot. Last time we didn\'t get an escort and those Black Sun pirates put my ship in the docks for a month!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_priv_escort_duty_tier3.stf', '35', 'reason_5', 'Greetings pilot, good to see you. Lets head for the surface quickly, I don\'t want any incidents.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_priv_escort_duty_tier3.stf', '36', 'shields_depleted', 'Our shields are down! If you don\'t get rid of those pilotes, we are done for!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_priv_escort_duty_tier3.stf', '37', 'taunt_1', 'Get out of here while you still can scum.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_priv_escort_duty_tier3.stf', '38', 'taunt_2', 'We\'re boarding this ship, now it\'s just a question if you want to die for it or not.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_priv_escort_duty_tier3.stf', '39', 'taunt_3', 'I will enjoy cutting your ship in half!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_priv_escort_duty_tier3.stf', '40', 'taunt_4', 'You\'re attacking us in that hunk of junk? You can\'t be serious.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_priv_escort_duty_tier3.stf', '41', 'taunt_5', 'I\'ll guide you back down to the ground... without your ship of course.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_priv_escort_duty_tier3.stf', '42', 'thanks_1', 'Great job pilot, lets hurry out of here!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_priv_escort_duty_tier3.stf', '43', 'thanks_2', 'Back in my day, I would have dealt with those pirates twice as fast..');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_priv_escort_duty_tier3.stf', '44', 'thanks_3', 'Splendid, finally a pilot that knows what he\'s doing!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_priv_escort_duty_tier3.stf', '45', 'thanks_4', 'Hahaha, they will think twice before attacking us again!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_priv_escort_duty_tier3.stf', '46', 'thanks_5', 'Any chance you looking for a new career as bodyguard?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_priv_escort_duty_tier3.stf', '47', 'title', 'Dathomir System: Duty: Escort Passenger Transports');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/dathomir_station_priv_escort_duty_tier3.stf', '48', 'title_d', 'Protect transports from Black Sun aggression.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_1c.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_1c.stf', '2', 'abort', 'Abort code received. Heading back to base.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_1c.stf', '3', 'arrived_at_loc', 'The fake transport will arrive soon. Use it to bait Nym\'s pirates into attacking.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_1c.stf', '4', 'attack_notify', ' \\#pcontrast3 Tactical Computer: < \\#pcontrast1 Nym\'s pirates detected on attack vector! \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_1c.stf', '5', 'attack_stopped', ' \\#pcontrast3 Tactical Computer: < \\#pcontrast1 Hostile fighters eliminated. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_1c.stf', '6', 'complete', 'The ship has made it through the region. Cycle back and escort another fake transport through.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_1c.stf', '7', 'duty_update', ' \\#pcontrast3 Imperial Command: < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_1c.stf', '8', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_1c.stf', '9', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_1c.stf', '10', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_1c.stf', '11', 'failed_destroy', 'The transports have been lost! The pilots on board have been lost! Return to base, this mission is over.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_1c.stf', '12', 'failed_protect', 'The transport has left the area prematurely! This mission is over.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_1c.stf', '13', 'found_loc', 'Travel to the rendezvous waypoint and wait for the fake transport to arrive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_1c.stf', '14', 'goodbye_1', 'We\'re going to head back to base. Another transport will meet you in a bit.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_1c.stf', '15', 'goodbye_2', 'We\'re going to head back to base. Another transport will meet you in a bit.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_1c.stf', '16', 'goodbye_3', 'We\'re going to head back to base. Another transport will meet you in a bit.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_1c.stf', '17', 'goodbye_4', 'We\'re going to head back to base. Another transport will meet you in a bit.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_1c.stf', '18', 'goodbye_5', 'We\'re going to head back to base. Another transport will meet you in a bit.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_1c.stf', '19', 'hull_half', 'I\'m tracking multiple hull breaches! I can\'t take much more damage. Help!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_1c.stf', '20', 'panic_1', 'Nym\'s pirates have taken the bait. Head\'s up.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_1c.stf', '21', 'panic_2', 'Boy, those guys look pretty mad.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_1c.stf', '22', 'panic_3', 'I hope you know how to fly that thing.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_1c.stf', '23', 'panic_4', 'Nym\'s pirates decided to show up. How nice of them.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_1c.stf', '24', 'panic_5', 'Destroy them all!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_1c.stf', '25', 'quest_escort_d', 'Follow the freighter to it\'s destination. You must protect it from anyone who attempts to take it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_1c.stf', '26', 'quest_escort_t', 'Protect the Imperial Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_1c.stf', '27', 'quest_location_d', 'Meet the freighters inside of the Lok system. You will receive a navigation waypoint to the arrival location of your assigned freighter once you reach the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_1c.stf', '28', 'quest_location_t', 'Travel to the Lok System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_1c.stf', '29', 'quest_rendezvous_d', 'Wait for the freighter at the arrival location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_1c.stf', '30', 'quest_rendezvous_t', 'Meet the Imperial Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_1c.stf', '31', 'reason_1', 'Keep your eyes open for pirates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_1c.stf', '32', 'reason_2', 'Let\'s see if Nym takes the bait.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_1c.stf', '33', 'reason_3', 'I don\'t think any pirate can resist this nice fat lure.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_1c.stf', '34', 'reason_4', 'Stay alert! This place is crawling with pirates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_1c.stf', '35', 'reason_5', 'Ready to go catch ourselves some pirate scum?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_1c.stf', '36', 'shields_depleted', 'Our shields are out. Get them off of me!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_1c.stf', '37', 'taunt_1', 'Time to die, Imperial scum!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_1c.stf', '38', 'taunt_2', 'Big mistake, Imperial puppet!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_1c.stf', '39', 'taunt_3', 'Give up and I promise to make it quick.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_1c.stf', '40', 'taunt_4', 'You are better then most Imperials but you are not good enough.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_1c.stf', '41', 'taunt_5', 'Prepare to be blown out of the sky.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_1c.stf', '42', 'thanks_1', 'Good job, let\'s go find more pirates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_1c.stf', '43', 'thanks_2', 'Nice work, but there are always more pirates to find.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_1c.stf', '44', 'thanks_3', 'Don\'t get cocky. There are more pirates out there.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_1c.stf', '45', 'thanks_4', 'Let get back to work.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_1c.stf', '46', 'thanks_5', 'Not bad...not bad at all.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_1c.stf', '47', 'title', 'Lok System: Bait and Destroy Nym\'s Pirates');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_1c.stf', '48', 'title_d', 'Nym has never liked the fact that the Empire has a base located on Lok. He is constantly hampering Imperial shipments heading into the system. With our current operations it is important that those shipments make it to the base without incident. You are to protect those shipments from attacks from Nym\'s men.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_2c.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_2c.stf', '2', 'abort', 'Abort code received. Heading back to base.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_2c.stf', '3', 'arrived_at_loc', 'The relic transport will arrive soon. Protect it as it calculates a lightspeed jump.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_2c.stf', '4', 'attack_notify', ' \\#pcontrast3 Tactical Computer: < \\#pcontrast1 Pirates detected on attack vector! \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_2c.stf', '5', 'attack_stopped', ' \\#pcontrast3 Tactical Computer: < \\#pcontrast1 Hostile fighters eliminated. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_2c.stf', '6', 'complete', 'The relic transport has left the Yavin system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_2c.stf', '7', 'duty_update', ' \\#pcontrast3 Imperial Command: < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_2c.stf', '8', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_2c.stf', '9', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_2c.stf', '10', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_2c.stf', '11', 'failed_destroy', 'The transport and all salvage on board has been lost! Return to base immediately.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_2c.stf', '12', 'failed_protect', 'The transport has left the area prematurely! This mission is over.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_2c.stf', '13', 'found_loc', 'Travel to the rendezvous waypoint and wait for the transport to arrive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_2c.stf', '14', 'goodbye_1', 'Our lightspeed vector is locked in. Thanks for the escort.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_2c.stf', '15', 'goodbye_2', 'Preparing for lightspeed jump. Thanks for the escort.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_2c.stf', '16', 'goodbye_3', 'Hyperspace coordinates locked in. Safe travels, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_2c.stf', '17', 'goodbye_4', 'Our lightspeed vector is locked in. Thanks for the escort.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_2c.stf', '18', 'goodbye_5', 'Preparing for lightspeed jump. Thanks for the escort.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_2c.stf', '19', 'hull_half', 'I\'m tracking multiple hull breaches! I can\'t take much more damage. Help!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_2c.stf', '20', 'panic_1', 'Scavengers are moving in to attack!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_2c.stf', '21', 'panic_2', 'Scavenger fighters! Hold them off.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_2c.stf', '22', 'panic_3', 'It looks like those scavengers mean business.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_2c.stf', '23', 'panic_4', 'Keep them off of me. I cannot last long against them.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_2c.stf', '24', 'panic_5', 'Scavengers incoming! Engage at will.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_2c.stf', '25', 'quest_escort_d', 'Follow the freighter until it reaches its jump point. Be on the look out for the Debris Cult who will most likely try to destroy the freighter rather then see their debris leave the area.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_2c.stf', '26', 'quest_escort_t', 'Protect the Imperial Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_2c.stf', '27', 'quest_location_d', 'Meet the salvage freighters inside of the Yavin system. You will receive a navigation waypoint to the meeting point of your assigned freighter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_2c.stf', '28', 'quest_location_t', 'Travel to the Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_2c.stf', '29', 'quest_rendezvous_d', 'Travel to the navigation waypoint and wait for the freighter to be ready for departure.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_2c.stf', '30', 'quest_rendezvous_t', 'Meet the Imperial Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_2c.stf', '31', 'reason_1', 'We need to move this salvage to a safe location for processing. Keep your eyes peeled for pirates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_2c.stf', '32', 'reason_2', 'We need to move this salvage to a safe location for processing. Keep your eyes peeled for pirates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_2c.stf', '33', 'reason_3', 'We need to move this salvage to a safe location for processing. Keep your eyes peeled for pirates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_2c.stf', '34', 'reason_4', 'We need to move this salvage to a safe location for processing. Keep your eyes peeled for pirates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_2c.stf', '35', 'reason_5', 'We need to move this salvage to a safe location for processing. Keep your eyes peeled for pirates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_2c.stf', '36', 'shields_depleted', 'Our shields are out. Get them off of me!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_2c.stf', '37', 'taunt_1', 'That cargo is mine.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_2c.stf', '38', 'taunt_2', 'The debris you picked up belongs to us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_2c.stf', '39', 'taunt_3', 'We will have that freighter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_2c.stf', '40', 'taunt_4', 'You have violated this holy place.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_2c.stf', '41', 'taunt_5', 'Prepare to become one with the debris field.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_2c.stf', '42', 'thanks_1', 'Great shooting!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_2c.stf', '43', 'thanks_2', 'That should keep those scavengers thinking for a while.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_2c.stf', '44', 'thanks_3', 'I am glad that you are out here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_2c.stf', '45', 'thanks_4', 'Well done! You are a credit to the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_2c.stf', '46', 'thanks_5', 'They couldn\'t have enjoyed that.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_2c.stf', '47', 'title', 'Yavin System: Protect the Imperial Salvage Freighters Duty');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/lok_imperial_ss_2c.stf', '48', 'title_d', 'The Empire salvage operation has been filling numerous cargo freighters with the salvaged pieces of the Death Star. These freighters are then sent out of the system to other areas of Imperial interest. The Debris Cult, who believe that all Death Star debris is theirs by devine right, have been attacking these cargo freighters and taking the scrap for their own. The Empire wants these ships protected as they leave the region.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_7.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_7.stf', '2', 'abort', 'We are sitting ducks without your support.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_7.stf', '3', 'arrived_at_loc', 'Stand by for transport\'s arrival. Escort the transport safely to it\'s landing area.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_7.stf', '4', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters detected.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_7.stf', '5', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_7.stf', '6', 'complete', 'The transport has made the landing successfully. Stand by to escort another transport or return to your superior to accept another duty.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_7.stf', '7', 'duty_update', '\\#pcontrast1 Imperial High Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_7.stf', '8', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_7.stf', '9', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_7.stf', '10', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_7.stf', '11', 'failed_destroy', 'You were supposed to protect that transport, not watch it be destroyed. Report back to your superior.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_7.stf', '12', 'failed_protect', 'You were supposed to escort that transport to safety. Report back to your superior.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_7.stf', '13', 'found_loc', 'Transport jump location updated in your nav computer. Meet transport at waypoint and escort it through zone.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_7.stf', '14', 'goodbye_1', 'Thanks for playing watch dog. We wouldn\'t have made it without you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_7.stf', '15', 'goodbye_2', 'Thanks for playing watch dog. We wouldn\'t have made it without you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_7.stf', '16', 'goodbye_3', 'Thanks for playing watch dog. We wouldn\'t have made it without you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_7.stf', '17', 'goodbye_4', 'Thanks for playing watch dog. We wouldn\'t have made it without you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_7.stf', '18', 'goodbye_5', 'Thanks for playing watch dog. We wouldn\'t have made it without you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_7.stf', '19', 'hull_half', 'Our hull if at half strength! Get those fighters off of us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_7.stf', '20', 'panic_1', 'I was hoping to make it through without getting into a fight.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_7.stf', '21', 'panic_2', 'Looks like we have company.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_7.stf', '22', 'panic_3', 'I hope you are a good pilot. I have kids.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_7.stf', '23', 'panic_4', 'Trouble ahead!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_7.stf', '24', 'panic_5', 'Rebels! They are after my cargo.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_7.stf', '25', 'quest_escort_d', 'Follow the freighter and protect it from attack. Enemy fighters will jump into the area and attack the freighter. Freighters are not very sturdy, so it is important for you to take out the enemy fighters as quickly as you can.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_7.stf', '26', 'quest_escort_t', 'Protect the Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_7.stf', '27', 'quest_location_d', 'Travel to the Naboo system and move towards your first navigation waypoint to begin the escort duty. After it arrives, follow the freighter until it reaches its destination.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_7.stf', '28', 'quest_location_t', 'Travel to the Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_7.stf', '29', 'quest_rendezvous_d', 'Travel to the navigation waypoint and wait for the freighter to arrive. Once the freighter is in the system, follow it to its destination.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_7.stf', '30', 'quest_rendezvous_t', 'Meet the Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_7.stf', '31', 'reason_1', 'We have a cargo bay full of supplies from the Outer Rim. I bet our enemies would love to get their hands on this.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_7.stf', '32', 'reason_2', 'We have a cargo bay full of supplies from the Outer Rim. I bet our enemies would love to get their hands on this.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_7.stf', '33', 'reason_3', 'We have a cargo bay full of supplies from the Outer Rim. I bet our enemies would love to get their hands on this.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_7.stf', '34', 'reason_4', 'We have a cargo bay full of supplies from the Outer Rim. I bet our enemies would love to get their hands on this.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_7.stf', '35', 'reason_5', 'We have a cargo bay full of supplies from the Outer Rim. I bet our enemies would love to get their hands on this.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_7.stf', '36', 'shields_depleted', 'Our shields are down! We are not going to last much longer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_7.stf', '37', 'taunt_1', 'Nice try, Imperial scum. Better luck next time.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_7.stf', '38', 'taunt_2', 'Just hand over the ship and no one gets hurt.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_7.stf', '39', 'taunt_3', 'You really should get into another line of work.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_7.stf', '40', 'taunt_4', 'That freighter is ours!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_7.stf', '41', 'taunt_5', 'This is going to hurt...you mainly.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_7.stf', '42', 'thanks_1', 'Nice flying, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_7.stf', '43', 'thanks_2', 'I am sure glad that you are here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_7.stf', '44', 'thanks_3', 'The Empire has my full support now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_7.stf', '45', 'thanks_4', 'I don\'t know why they keep trying.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_7.stf', '46', 'thanks_5', 'They really want my cargo, don\'t they?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_7.stf', '47', 'title', 'Naboo System: Escort the Emperor\'s Freighters Duty');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_7.stf', '48', 'title_d', 'Travel to the Naboo system and escort the freighters through the system. An escort duty is a voluntary mission that you are able to quit at any time without repercussions. When you reach the Naboo system, you will get a navigation waypoint to the arrival location of a freighter that you will need to escort through the system. Travel to the waypoint and wait until the freighter hyperjumps into the system. Once it is in the area, it will begin to fly through the system. You need to follow the freighter until it reaches its destination. Keep a careful eye out for enemy attack since they will attempt to destroy this freighter. Once completed you will receive another waypoint to the arrival location of another freighter. This escort duty can be stopped at any time by simply aborting the mission or leaving the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier2_escortduty.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier2_escortduty.stf', '2', 'abort', 'Abort message recieved. Return to base.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier2_escortduty.stf', '3', 'arrived_at_loc', 'Maintain at this location for further instructions.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier2_escortduty.stf', '4', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters detected. Incomming on attack vector.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier2_escortduty.stf', '5', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters have been eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier2_escortduty.stf', '6', 'complete', 'Transport has been escorted to safety.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier2_escortduty.stf', '7', 'duty_update', '\\#pcontrast1 Imperial High Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier2_escortduty.stf', '8', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier2_escortduty.stf', '9', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier2_escortduty.stf', '10', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier2_escortduty.stf', '11', 'failed_destroy', 'The freighter has been destroyed. Return to base and make a full report on your failure.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier2_escortduty.stf', '12', 'failed_protect', 'You have failed to protect the freighter. Return to base and make a full report of your actions.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier2_escortduty.stf', '13', 'found_loc', 'Travel to the waypoint and await the arrival of the freighter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier2_escortduty.stf', '14', 'goodbye_1', 'You have served the Emperor well.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier2_escortduty.stf', '15', 'goodbye_2', 'I shall inform high command of your success.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier2_escortduty.stf', '16', 'goodbye_3', 'Thanks for playing watch dog, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier2_escortduty.stf', '17', 'goodbye_4', 'You have served the Emperor well.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier2_escortduty.stf', '18', 'goodbye_5', 'I shall inform high command of your success.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier2_escortduty.stf', '19', 'hull_half', 'Hull strength cut in half. Get these fighters off of me!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier2_escortduty.stf', '20', 'panic_1', 'Rebel! They are coming right at me!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier2_escortduty.stf', '21', 'panic_2', 'Our cargo must be protected.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier2_escortduty.stf', '22', 'panic_3', 'Rebel scum! They are all yours, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier2_escortduty.stf', '23', 'panic_4', 'Full power to forward shields.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier2_escortduty.stf', '24', 'panic_5', 'This doesn\'t look good.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier2_escortduty.stf', '25', 'quest_escort_d', 'Once the freighter arrives, follow it to it\'s destination. Watch out for Rebel fighters who might try to take the freighter for their own.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier2_escortduty.stf', '26', 'quest_escort_t', 'Protect the Imperial Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier2_escortduty.stf', '27', 'quest_location_d', 'The vessels entering the Naboo system are to be met by an escort. You will receive a navigation waypoint to the arrival location of your assigned freighter when you enter Naboo system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier2_escortduty.stf', '28', 'quest_location_t', 'Travel to the Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier2_escortduty.stf', '29', 'quest_rendezvous_d', 'Travel to the arrival location and wait for the arrival of the freighter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier2_escortduty.stf', '30', 'quest_rendezvous_t', 'Meet the Imperial Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier2_escortduty.stf', '31', 'reason_1', 'Watch over us until we can get to our jump location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier2_escortduty.stf', '32', 'reason_2', 'Word is the rebellion is interested in stopping us from reaching Endor.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier2_escortduty.stf', '33', 'reason_3', 'This cargo must make it to Endor.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier2_escortduty.stf', '34', 'reason_4', 'In the name of the Emperor, protect us until we jump.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier2_escortduty.stf', '35', 'reason_5', 'This cargo must make it to Endor.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier2_escortduty.stf', '36', 'shields_depleted', 'I just lost my shields. I cannot hold out for much longer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier2_escortduty.stf', '37', 'taunt_1', 'I don\'t know why I was worried...the Empire is pathetic.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier2_escortduty.stf', '38', 'taunt_2', 'So sad. It is a shame you have to die so young.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier2_escortduty.stf', '39', 'taunt_3', 'Hand over the freighter, Imperial dog.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier2_escortduty.stf', '40', 'taunt_4', 'You will only feel this for a second.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier2_escortduty.stf', '41', 'taunt_5', 'Time for you to say goodbye.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier2_escortduty.stf', '42', 'thanks_1', 'Word of your success shall reach the Emperor.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier2_escortduty.stf', '43', 'thanks_2', 'Word of your success shall reach the Emperor.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier2_escortduty.stf', '44', 'thanks_3', 'Word of your success shall reach the Emperor.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier2_escortduty.stf', '45', 'thanks_4', 'Word of your success shall reach the Emperor.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier2_escortduty.stf', '46', 'thanks_5', 'Word of your success shall reach the Emperor.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier2_escortduty.stf', '47', 'title', 'Naboo System: Escort the Imperial Freighters Duty');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier2_escortduty.stf', '48', 'title_d', 'The Rebels have targeted the rich Imperial shipping lanes of Naboo as a good source of supplies. The recent attacks on Imperial cargo vessels has prompted the Emperor to demand all Imperial shipping is to have a fighter escort as it moves through the Naboo system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier4_2.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier4_2.stf', '2', 'abort', '\\#FF0000 Pilot, your order were clear. You were to escort us to the drop location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier4_2.stf', '3', 'arrived_at_loc', 'Hold your current position until the arrival of the prison transport.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier4_2.stf', '4', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Warning! Enemy ships detected. Incoming at high speeds.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier4_2.stf', '5', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy ships eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier4_2.stf', '6', 'complete', 'The prison ship has safely made it\'s delivery of prisoners. Stand by to help escort another ship or return to your superior to check in.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier4_2.stf', '7', 'duty_update', '\\#pcontrast1 Imperial High Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier4_2.stf', '8', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier4_2.stf', '9', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier4_2.stf', '10', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier4_2.stf', '11', 'failed_destroy', 'I know that they were only prisoners but your orders were to keep that ship safe. Report your failure to your superior.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier4_2.stf', '12', 'failed_protect', 'You have failed in your duty with your cowardice. Report your failed to your commander.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier4_2.stf', '13', 'found_loc', 'We have sent the arrival location to your nav computer. Wait at that location for the arrival of the prison ship and escort it safely through the sector.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier4_2.stf', '14', 'goodbye_1', 'Prisoners are dropped to the surface. Jumping out of the sector now. Thanks, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier4_2.stf', '15', 'goodbye_2', 'Prisoners are dropped to the surface. Jumping out of the sector now. Thanks, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier4_2.stf', '16', 'goodbye_3', 'Prisoners are dropped to the surface. Jumping out of the sector now. Thanks, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier4_2.stf', '17', 'goodbye_4', 'Prisoners are dropped to the surface. Jumping out of the sector now. Thanks, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier4_2.stf', '18', 'goodbye_5', 'Prisoners are dropped to the surface. Jumping out of the sector now. Thanks, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier4_2.stf', '19', 'hull_half', 'Hull integrety down to fifity percent. We are not going to last much longer unless you get those fighters off of us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier4_2.stf', '20', 'panic_1', 'What the...? Who are they?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier4_2.stf', '21', 'panic_2', 'What? We are under attack!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier4_2.stf', '22', 'panic_3', 'What would anyone want with a prison ship?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier4_2.stf', '23', 'panic_4', 'Whoa! Look out!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier4_2.stf', '24', 'panic_5', 'What? We are under attack!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier4_2.stf', '25', 'quest_escort_d', 'Follow and protect the shuttle to it\'s drop location. Keep an eye out for Coynite fighters, who have been harassing prison transports..');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier4_2.stf', '26', 'quest_escort_t', 'Protect the Prison Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier4_2.stf', '27', 'quest_location_d', 'Meet the Prison Shuttles as they enter the Dathomir system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier4_2.stf', '28', 'quest_location_t', 'Travel to the Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier4_2.stf', '29', 'quest_rendezvous_d', 'Travel to the supplied navigaiton waypoint and wait for the shuttle to arrive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier4_2.stf', '30', 'quest_rendezvous_t', 'Meet the Prison Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier4_2.stf', '31', 'reason_1', 'Hello, pilot. Prison ship D4-343 in route to drop off prisoners reporting in.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier4_2.stf', '32', 'reason_2', 'Hello, pilot. Prison ship D7-932 in route to drop off prisoners reporting in.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier4_2.stf', '33', 'reason_3', 'Hello, pilot. Prison ship D9- 441 in route to drop off prisoners reporting in.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier4_2.stf', '34', 'reason_4', 'Hello, pilot. Prison ship D8-002 in route to drop off prisoners reporting in.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier4_2.stf', '35', 'reason_5', 'Hello, pilot. Prison ship D6-229 in route to drop off prisoners reporting in.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier4_2.stf', '36', 'shields_depleted', 'There went our shields. You had better start protecting us better, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier4_2.stf', '37', 'taunt_1', 'Hey, look at that...target practice!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier4_2.stf', '38', 'taunt_2', 'You will fall to my might.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier4_2.stf', '39', 'taunt_3', 'For Coyn! For Glory!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier4_2.stf', '40', 'taunt_4', 'It is wrong to lock any man up. We shall set them free...or at least their souls.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier4_2.stf', '41', 'taunt_5', 'Feel the wrath of Coyn.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier4_2.stf', '42', 'thanks_1', 'You are a credit to the uniform.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier4_2.stf', '43', 'thanks_2', 'Who do you think they were?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier4_2.stf', '44', 'thanks_3', 'Why do you think they tried to hit an Imperial prison ship? Seems crazy to me.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier4_2.stf', '45', 'thanks_4', 'Not very good pirates, are they.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier4_2.stf', '46', 'thanks_5', 'I just don\'t understand why they would want to attack us like that.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier4_2.stf', '47', 'title', 'Dathomir System: Escort the Prison Shuttle Duty');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_imperial_tier4_2.stf', '48', 'title_d', 'The Empire has a high influx of prisoners that it wishes to keep alive but doesn\'t want to hold in any standard prison. These prisoners are to be shipped to Dathomir where they will remain for the rest of their lives. With the Coynite activity in the system command wants to ensure that they make it to the prison. You are to escort prison vessels as they enter the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_7.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_7.stf', '2', 'abort', 'Aborting as ordered. Preparing escape to hyperspace.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_7.stf', '3', 'arrived_at_loc', '\\#pcontrast3 RSF Command: < \\#pcontrast1 Transport is on its way, await their arrival at this location. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_7.stf', '4', 'attack_notify', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Vessels on intercept course approaching, weapon systems armed. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_7.stf', '5', 'attack_stopped', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Sensors indicate no more fighter vessels with armed weapon systems in area. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_7.stf', '6', 'complete', 'Another victory for the Royal Security Forces, great job pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_7.stf', '7', 'duty_update', 'RSF Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_7.stf', '8', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_7.stf', '9', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_7.stf', '10', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_7.stf', '11', 'failed_destroy', '\\#pcontrast3 RSF Command: < \\#pcontrast1 I can\'t believe these scum destroyed a transport full of innocents. We will need a full report on this tragedy pilot. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_7.stf', '12', 'failed_protect', 'Transport had to escape through a emergency hyperspace jump pilot, there were just too many of the pirates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_7.stf', '13', 'found_loc', 'We have a request from another transport with important cargo for a safe escort. New coordinates uploaded.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_7.stf', '14', 'goodbye_1', 'The Royal Security Force never lets me down, thank you pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_7.stf', '15', 'goodbye_2', 'Bumpy ride but we made it in one piece thanks to you pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_7.stf', '16', 'goodbye_3', 'After this, I\'m putting some defense weapons on my freighter. Thanks again my friend.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_7.stf', '17', 'goodbye_4', 'That was a close one and your the only reason we survived. Accept our gratitude pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_7.stf', '18', 'goodbye_5', 'I\'d like to come back in a different ships and teach those scum a thing or two. Anyway, thank you for the help pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_7.stf', '19', 'hull_half', 'Our sensors register multiple hull breeches, you have to take care of those pirates now!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_7.stf', '20', 'panic_1', 'Hostile fighters inbound!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_7.stf', '21', 'panic_2', 'Pirate wretches, they want my cargo!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_7.stf', '22', 'panic_3', 'Help us, they will kill us all!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_7.stf', '23', 'panic_4', 'Oh no, pirates! You better be good at your job pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_7.stf', '24', 'panic_5', 'Uh oh, we got unwanted attention. I think they are pirates!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_7.stf', '25', 'quest_escort_d', 'A merchant freighter to be escorted through this sector.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_7.stf', '26', 'quest_escort_t', 'Escort Target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_7.stf', '27', 'quest_location_d', 'Merchant route through the Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_7.stf', '28', 'quest_location_t', 'Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_7.stf', '29', 'quest_rendezvous_d', 'Meet the freighter at this location');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_7.stf', '30', 'quest_rendezvous_t', 'Rendezvous Point');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_7.stf', '31', 'reason_1', 'There you are. I hope you\'re good at this, we have cargo that could attract every pirate in the sector...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_7.stf', '32', 'reason_2', 'Thank you for escorting us pilot. We have grade A military equipment for the RSF on board, so stay alert.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_7.stf', '33', 'reason_3', 'My job depends on me making this transport on time, so I hope you know what you are doing pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_7.stf', '34', 'reason_4', 'Perfect, a RSF pilot. Last time we didn\'t get an escort and those Black Sun pirates put my ship in the docks for a month!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_7.stf', '35', 'reason_5', 'Greetings pilot, good to see you. Lets head for the surface quickly, I don\'t want any incidents.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_7.stf', '36', 'shields_depleted', 'Our shields are down! If you don\'t get rid of those pilotes, we are done for!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_7.stf', '37', 'taunt_1', 'Get out of here while you still can RSF scum.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_7.stf', '38', 'taunt_2', 'We\'re boarding this ship, now it\'s just a question if you want to die for it or not.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_7.stf', '39', 'taunt_3', 'I will enjoy cutting your ship in half RSF puppet!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_7.stf', '40', 'taunt_4', 'You\'re attacking us in that hunk of junk RSF? You can\'t be serious.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_7.stf', '41', 'taunt_5', 'I\'ll guide you back down to Naboo RSF weakling, without your ship of course.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_7.stf', '42', 'thanks_1', 'Great job pilot, lets hurry out of here!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_7.stf', '43', 'thanks_2', 'Back in my day, I would have dealt with those pirates twice as fast..');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_7.stf', '44', 'thanks_3', 'Splendid, finally a RSF pilot that know what he\'s doing!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_7.stf', '45', 'thanks_4', 'Hahaha, they will think twice before attacking us again!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_7.stf', '46', 'thanks_5', 'Any chance you looking for a new career as bodyguard?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_7.stf', '47', 'title', 'Naboo System: Duty: Escort Freighters');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_7.stf', '48', 'title_d', 'Protect freighters from Black Sun aggression.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_9.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_9.stf', '2', 'abort', 'Aborting as ordered. Preparing escape to hyperspace.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_9.stf', '3', 'arrived_at_loc', '\\#pcontrast3 RSF Command: < \\#pcontrast1 One of Queen Kylantha\'s cargo freighters is on its way. Wait here... \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_9.stf', '4', 'attack_notify', '\\#pcontrast3 Tactical Computer: <  \\#pcontrast1 Pirate Starships on intercept course! General Alert! \\#pcontrast3 > ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_9.stf', '5', 'attack_stopped', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Pirate interceptors have been eliminated. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_9.stf', '6', 'complete', 'The Queen will be most pleased! Great job pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_9.stf', '7', 'duty_update', '\\#pcontrast3 < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_9.stf', '8', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_9.stf', '9', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_9.stf', '10', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_9.stf', '11', 'failed_destroy', '\\#pcontrast3 RSF Command: < \\#pcontrast1 I can\'t believe we lost another royal freighter! No doubt the Queen will be furious! \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_9.stf', '12', 'failed_protect', 'The Queen\'s freighter has been lost...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_9.stf', '13', 'found_loc', '\\#pcontrast3 RSF Command: < \\#pcontrast1 Another of Queen Kylantha\'s freighters has requested an escort. You are commanded to assist. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_9.stf', '14', 'goodbye_1', 'The Royal Security Force never lets me down, thank you pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_9.stf', '15', 'goodbye_2', 'Bumpy ride but we made it in one piece thanks to you pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_9.stf', '16', 'goodbye_3', 'After this, I\'m putting some defense weapons on my freighter. Thanks again my friend.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_9.stf', '17', 'goodbye_4', 'That was a close one and your the only reason we survived. Accept our gratitude pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_9.stf', '18', 'goodbye_5', 'I\'d like to come back in a different ships and teach those scum a thing or two. Anyway, thank you for the help pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_9.stf', '19', 'hull_half', 'Our sensors register multiple hull breeches, you have to take care of those pirates now!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_9.stf', '20', 'panic_1', 'Hostile fighters inbound!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_9.stf', '21', 'panic_2', 'Pirate wretches, they want the Queen\'s cargo!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_9.stf', '22', 'panic_3', 'It\'s the Ay\'Nat pirate legion!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_9.stf', '23', 'panic_4', 'Oh no, Ay\'Nat Legion! You better be good at your job pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_9.stf', '24', 'panic_5', 'Oh no! Pirates! After the Queen\'s personal cargo!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_9.stf', '25', 'quest_escort_d', 'A freighter belonging to the royal seat of Naboo');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_9.stf', '26', 'quest_escort_t', 'Royal Kylanthian Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_9.stf', '27', 'quest_location_d', 'Trade route in the Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_9.stf', '28', 'quest_location_t', 'Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_9.stf', '29', 'quest_rendezvous_d', 'Meet the Freighter here for Escort');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_9.stf', '30', 'quest_rendezvous_t', 'Rendezvous Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_9.stf', '31', 'reason_1', 'There you are. I hope you\'re good at this, the Queen\'s cargo attracts every pirate in the sector...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_9.stf', '32', 'reason_2', 'Thank you for escorting us pilot. We\'ve had trouble out here before so, stay alert!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_9.stf', '33', 'reason_3', 'My job depends on me making this transport on time, so I hope you know what you are doing pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_9.stf', '34', 'reason_4', 'Perfect, a RSF pilot. Last time we didn\'t get an escort and those Ay\'Nat Legion pirates put my ship in the docks for a month!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_9.stf', '35', 'reason_5', 'Greetings pilot, good to see you. Lets head for the surface quickly, I don\'t want any incidents.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_9.stf', '36', 'shields_depleted', 'Our shields are down! If you don\'t get rid of those pilotes, we are done for!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_9.stf', '37', 'taunt_1', 'The RSF are a bunch of cowards!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_9.stf', '38', 'taunt_2', 'We\'re boarding this ship, now it\'s just a question if you want to die for it or not.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_9.stf', '39', 'taunt_3', 'I will enjoy cutting your ship in half RSF puppet!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_9.stf', '40', 'taunt_4', 'You\'re attacking us in that hunk of junk RSF? You can\'t be serious.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_9.stf', '41', 'taunt_5', 'I\'ll guide you back down to Naboo RSF weakling, without your ship of course.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_9.stf', '42', 'thanks_1', 'Great job pilot, lets hurry out of here!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_9.stf', '43', 'thanks_2', 'Back in my day, I would have dealt with those pirates twice as fast..');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_9.stf', '44', 'thanks_3', 'Splendid, finally a RSF pilot that knows what they\'re doing!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_9.stf', '45', 'thanks_4', 'Hahaha, they will think twice before attacking us again!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_9.stf', '46', 'thanks_5', 'Any chance you looking for a new career as bodyguard?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_9.stf', '47', 'title', 'Naboo System: Duty: Escort Freighters');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_9.stf', '48', 'title_d', 'Escort the Royal Freighters Through Ay\'Nat held space');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_tier4_1.stf', '1', 'abort', 'You have failed because you aborted the mission.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_tier4_1.stf', '2', 'arrived_at_loc', 'The craft to escort has arrived at the rendezvous.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_tier4_1.stf', '3', 'attack_notify', 'Enemy craft attacking.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_tier4_1.stf', '4', 'attack_stopped', 'The attack has been repelled.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_tier4_1.stf', '5', 'complete', 'The escort is complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_tier4_1.stf', '6', 'duty_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_tier4_1.stf', '7', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_tier4_1.stf', '8', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_tier4_1.stf', '9', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_tier4_1.stf', '10', 'failed_destroy', 'You have failed because the transport was destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_tier4_1.stf', '11', 'failed_protect', 'You have failed to protect the transport.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_tier4_1.stf', '12', 'found_loc', 'Location to the rendezvous point updated.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_tier4_1.stf', '13', 'goodbye_1', 'This is our stop, heading out.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_tier4_1.stf', '14', 'goodbye_2', 'I\'m off, thanks.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_tier4_1.stf', '15', 'goodbye_3', 'Good bye.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_tier4_1.stf', '16', 'goodbye_4', 'Good bye.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_tier4_1.stf', '17', 'goodbye_5', 'Good bye.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_tier4_1.stf', '18', 'hull_half', 'Hull integrity is at half.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_tier4_1.stf', '19', 'panic_1', 'Danger!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_tier4_1.stf', '20', 'panic_2', 'Ack, Borvo!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_tier4_1.stf', '21', 'panic_3', 'Danger!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_tier4_1.stf', '22', 'panic_4', 'Danger!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_tier4_1.stf', '23', 'panic_5', 'Danger!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_tier4_1.stf', '24', 'quest_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_tier4_1.stf', '25', 'quest_escort_d', 'A merchant freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_tier4_1.stf', '26', 'quest_escort_t', 'Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_tier4_1.stf', '27', 'quest_location_d', 'Trade route in the Endor System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_tier4_1.stf', '28', 'quest_location_t', 'Endor System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_tier4_1.stf', '29', 'quest_rendezvous_d', 'Travel here to meet with the freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_tier4_1.stf', '30', 'quest_rendezvous_t', 'Rendezvous Point');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_tier4_1.stf', '31', 'quest_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_tier4_1.stf', '32', 'reason_1', 'Borvo wants this cargo; we must be careful.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_tier4_1.stf', '33', 'reason_2', 'This will be eventful for sure.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_tier4_1.stf', '34', 'reason_3', 'Borvo wants this cargo; we must be careful.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_tier4_1.stf', '35', 'reason_4', 'Borvo wants this cargo; we must be careful.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_tier4_1.stf', '36', 'reason_5', 'Borvo wants this cargo; we must be careful.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_tier4_1.stf', '37', 'shields_depleted', 'Shields have been depleted.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_tier4_1.stf', '38', 'taunt_1', 'Run now little fool.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_tier4_1.stf', '39', 'taunt_2', 'My cargo, get out of my way.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_tier4_1.stf', '40', 'taunt_3', 'You will die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_tier4_1.stf', '41', 'taunt_4', 'You will die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_tier4_1.stf', '42', 'taunt_5', 'You will die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_tier4_1.stf', '43', 'thanks_1', 'Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_tier4_1.stf', '44', 'thanks_2', 'Great shooting.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_tier4_1.stf', '45', 'thanks_3', 'Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_tier4_1.stf', '46', 'thanks_4', 'Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_tier4_1.stf', '47', 'thanks_5', 'Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_tier4_1.stf', '48', 'title', 'Endor System: Duty: Escort the Mining Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_privateer_tier4_1.stf', '49', 'title_d', 'Defend the freighter from Borvo the Hutt');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_7.stf', '1', 'abort', 'We are doomed without your help pilot! What are you doing?!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_7.stf', '2', 'arrived_at_loc', 'You are at the correct location pilot, the freighter will be there any second.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_7.stf', '3', 'attack_notify', 'Tactical Computer: < Vessels on intercept course approaching, weapon systems armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_7.stf', '4', 'attack_stopped', 'Tactical Computer: < Sensors indicate no more fighter vessels with armed weapon systems in area. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_7.stf', '5', 'complete', 'Thank you pilot, home free!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_7.stf', '6', 'duty_update', ' \\#pcontrast3 Alliance HQ:  < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_7.stf', '7', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_7.stf', '8', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_7.stf', '9', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_7.stf', '10', 'failed_destroy', 'We cant afford those kind of casaulties pilot. Return to base!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_7.stf', '11', 'failed_protect', 'The freighter informed us that your protection was not adequate and that he had to make an emergency jump to lightspeed. Return to base!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_7.stf', '12', 'found_loc', 'Uploading coordinates to rendez-vous with the next freighter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_7.stf', '13', 'goodbye_1', 'Jumping to lightspeed. Thank you for the help pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_7.stf', '14', 'goodbye_2', 'Well that was a rush! See you around pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_7.stf', '15', 'goodbye_3', 'We\'re safe from here, was a privilege to work with you pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_7.stf', '16', 'goodbye_4', 'That was fun! Want to do it again? Just kidding, thanks again pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_7.stf', '17', 'goodbye_5', 'We\'re ready to take off, thanks for providing a solid escort pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_7.stf', '18', 'hull_half', 'We\'re falling apart over here! You have to get rid of these TIE\'s now pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_7.stf', '19', 'panic_1', 'Time to prove your worth pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_7.stf', '20', 'panic_2', 'A TIE patrol, they have spotted us!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_7.stf', '21', 'panic_3', 'I think that Imperial patrol saw us, prepare for battle pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_7.stf', '22', 'panic_4', 'Darn! TIE fighters closing in!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_7.stf', '23', 'panic_5', 'We\'re detected! This could get rough!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_7.stf', '24', 'quest_escort_d', 'Protect the Alliance freighter from incoming attack until it reaches its hyperspace jump point. Once the transport is away, Alliance HQ will upload a new rally point for you to follow.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_7.stf', '25', 'quest_escort_t', 'Escort the Alliance freighter to its destination.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_7.stf', '26', 'quest_location_d', 'Follow waypoints to distressed Alliance freighters. Escort each freighter to its destination and protect it from hostile fire.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_7.stf', '27', 'quest_location_t', 'Naboo system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_7.stf', '28', 'quest_rendezvous_d', 'Alliance HQ has provided a waypoint to the Alliance freighter. Go to this navigation point, meet the freighter and protect it as it flies.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_7.stf', '29', 'quest_rendezvous_t', 'Meet up with the Alliance freighter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_7.stf', '30', 'reason_1', 'We have medical supplies for the frontline pilot, it\'s imperative that they make it!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_7.stf', '31', 'reason_2', 'We\'re shipping hardware to a stranded Alliance freighter pilot, they are depending on us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_7.stf', '32', 'reason_3', 'Good to see you pilot, Naboo space is always a dangerous route to take but I had no choice.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_7.stf', '33', 'reason_4', 'There you are, we\'re ready to take off. Follow us pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_7.stf', '34', 'reason_5', 'We\'re shipping two platoons of Alliance grunts back here, their safety is in your hands pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_7.stf', '35', 'shields_depleted', 'Our shields are failing! We\'re in deep trouble!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_7.stf', '36', 'taunt_1', 'You thought we\'d just let you fly out of here Rebel scum?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_7.stf', '37', 'taunt_2', 'Scans show illegal cargo, cut your engines immediately!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_7.stf', '38', 'taunt_3', 'Finally, some fun around here. Take no prisoners boys!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_7.stf', '39', 'taunt_4', 'Well, well. What do we have here? Rebel fools!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_7.stf', '40', 'taunt_5', 'Stay focused men, the Rebels are tricky!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_7.stf', '41', 'thanks_1', 'Take that, Imperial scum!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_7.stf', '42', 'thanks_2', 'Lets keep moving before more of them show up!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_7.stf', '43', 'thanks_3', 'Nice shot pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_7.stf', '44', 'thanks_4', 'Excellent!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_7.stf', '45', 'thanks_5', 'You showed them pilot! Nice flying!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_7.stf', '46', 'title', 'Naboo system: Duty mission: Escort Rebel freighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_7.stf', '47', 'title_d', 'Assist the Rebel freighters with a safe escort to their destinations. These missions have been outlined to give you some much needed experience in space combat, you can stop when you feel that you have learned enough.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_tier4_1.stf', '1', 'abort', 'You can\'t abort now, we\'re not safe yet!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_tier4_1.stf', '2', 'arrived_at_loc', 'The shuttle is almost there, stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_tier4_1.stf', '3', 'attack_notify', 'Tactical Computer: < Vessels on intercept course approaching, weapon systems armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_tier4_1.stf', '4', 'attack_stopped', 'Tactical Computer: < Sensors indicate no more fighter vessels with armed weapon systems in area. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_tier4_1.stf', '5', 'complete', 'Good job pilot, they are safe. Stand by for further orders.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_tier4_1.stf', '6', 'duty_update', 'Vortex Fleet Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_tier4_1.stf', '7', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_tier4_1.stf', '8', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_tier4_1.stf', '9', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_tier4_1.stf', '10', 'failed_destroy', 'You let all those people die pilot... Return to base immediately!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_tier4_1.stf', '11', 'failed_protect', 'The shuttle was forced to perform an emergency hyperspace jump, you better pray that they are alright pilot. Return to base!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_tier4_1.stf', '12', 'found_loc', 'One of the shuttles will meet you at this location, get over there as fast as you can pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_tier4_1.stf', '13', 'goodbye_1', 'Jumping to lightspeed. Thank you for the help pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_tier4_1.stf', '14', 'goodbye_2', 'Well that was a rush! See you around pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_tier4_1.stf', '15', 'goodbye_3', 'That was fun! Want to do it again? Just kidding, thanks again pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_tier4_1.stf', '16', 'goodbye_4', 'That was fun! Want to do it again? Just kidding, thanks again pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_tier4_1.stf', '17', 'goodbye_5', 'We\'re ready to take off, thanks for providing a solid escort pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_tier4_1.stf', '18', 'hull_half', 'Sensors show multiple hull breaches! You need to get these fighters off us!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_tier4_1.stf', '19', 'panic_1', 'Time to prove your worth pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_tier4_1.stf', '20', 'panic_2', 'I hope you\'re as good as we were told.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_tier4_1.stf', '21', 'panic_3', 'Everyone strap in, this is going to get bumpy!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_tier4_1.stf', '22', 'panic_4', 'I didn\'t think we could slip out undetected.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_tier4_1.stf', '23', 'panic_5', 'Imperial fighters heading our way!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_tier4_1.stf', '24', 'quest_escort_d', 'Escort the transport to a safe location for their hyperspace jump. Stay alert and good luck.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_tier4_1.stf', '25', 'quest_escort_t', 'Escort transport to safety.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_tier4_1.stf', '26', 'quest_location_d', 'The Yavin system is quite dangerous, even for someone of your skill. The Empire is guarding the debris of their blown up space station fiercely so try to avoid getting their attention.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_tier4_1.stf', '27', 'quest_location_t', 'Yavin system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_tier4_1.stf', '28', 'quest_rendezvous_d', 'One of the transports have provided us with these coordinates as rendez-vous. Get there quickly pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_tier4_1.stf', '29', 'quest_rendezvous_t', 'Coordinates of transport.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_tier4_1.stf', '30', 'reason_1', 'Alright, lets get out of here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_tier4_1.stf', '31', 'reason_2', 'I\'m transporting a lot of non combat personnel, lets get them safely out of here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_tier4_1.stf', '32', 'reason_3', 'Good to see you pilot, lets not waste any time.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_tier4_1.stf', '33', 'reason_4', 'We\'re ready to leave this system, lets go.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_tier4_1.stf', '34', 'reason_5', 'Greetings pilot, glad that you are here. Lets get moving.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_tier4_1.stf', '35', 'shields_depleted', 'Our shields are depleted pilot, this will get ugly!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_tier4_1.stf', '36', 'taunt_1', 'Leaving already Rebels?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_tier4_1.stf', '37', 'taunt_2', 'And I thought this was going to be another boring shift!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_tier4_1.stf', '38', 'taunt_3', 'Cut your engines immediately and we will spare your lives!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_tier4_1.stf', '39', 'taunt_4', 'The Inquisition will have our heads if we let these guys get away, failure is not an option men!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_tier4_1.stf', '40', 'taunt_5', 'You have your orders men, they can\'t leave this system alive!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_tier4_1.stf', '41', 'thanks_1', 'Take that, Imperial scum!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_tier4_1.stf', '42', 'thanks_2', 'Lets keep moving before more of them show up!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_tier4_1.stf', '43', 'thanks_3', 'Nice shot pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_tier4_1.stf', '44', 'thanks_4', 'The Empire\'s going to have to do a bit better than that with you around, good job pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_tier4_1.stf', '45', 'thanks_5', 'Suddenly, I\'m not so worried anymore. You\'re a monster of a fighter pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_tier4_1.stf', '46', 'title', 'Yavin system: Duty mission: Help Vortex personnel evacuate.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/naboo_rebel_tier4_1.stf', '47', 'title_d', 'Some freighters with Vortex personnel have been ordered to evacuate to more secure locations in preparation for the attacks. Your mission is to provide a safe escort for them. When you feel that you have exhausted your ship, yourself or that you have enough experience to continue your training, you can return to base at anytime.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_imp_escort_duty_tier3.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_imp_escort_duty_tier3.stf', '2', 'abort', '\\#FF0000 Pilot, your orders were clear. You were to escort us to the drop location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_imp_escort_duty_tier3.stf', '3', 'arrived_at_loc', 'Hold your current position until the arrival of the freighter we are to escort.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_imp_escort_duty_tier3.stf', '4', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Warning! Enemy ships detected. Incoming at high speeds.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_imp_escort_duty_tier3.stf', '5', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy ships eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_imp_escort_duty_tier3.stf', '6', 'complete', 'The freighter has safely made it\'s delivery. Stand by to help escort another ship or return to your superior to check in.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_imp_escort_duty_tier3.stf', '7', 'duty_update', '\\#pcontrast1 Imperial High Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_imp_escort_duty_tier3.stf', '8', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_imp_escort_duty_tier3.stf', '9', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_imp_escort_duty_tier3.stf', '10', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_imp_escort_duty_tier3.stf', '11', 'failed_destroy', 'Your orders were to keep that ship safe. Report your failure to your superior.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_imp_escort_duty_tier3.stf', '12', 'failed_protect', 'You have failed in your duty with your cowardice. Report your failed to your commander.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_imp_escort_duty_tier3.stf', '13', 'found_loc', 'We have sent the arrival location to your nav computer. Wait at that location for the arrival of the freighter and escort it safely through the sector.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_imp_escort_duty_tier3.stf', '14', 'goodbye_1', 'Supplies have been dropped to the surface. Jumping out of the sector now. Thanks, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_imp_escort_duty_tier3.stf', '15', 'goodbye_2', 'Supplies have been dropped to the surface. Jumping out of the sector now. Thanks, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_imp_escort_duty_tier3.stf', '16', 'goodbye_3', 'Supplies have been dropped to the surface. Jumping out of the sector now. Thanks, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_imp_escort_duty_tier3.stf', '17', 'goodbye_4', 'Supplies have been dropped to the surface. Jumping out of the sector now. Thanks, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_imp_escort_duty_tier3.stf', '18', 'goodbye_5', 'Supplies have been dropped to the surface. Jumping out of the sector now. Thanks, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_imp_escort_duty_tier3.stf', '19', 'hull_half', 'Hull integrety down to fifity percent. We are not going to last much longer unless you get those fighters off of us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_imp_escort_duty_tier3.stf', '20', 'panic_1', 'What the...? Who are they?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_imp_escort_duty_tier3.stf', '21', 'panic_2', 'What? We are under attack!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_imp_escort_duty_tier3.stf', '22', 'panic_3', 'How did they know we were here?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_imp_escort_duty_tier3.stf', '23', 'panic_4', 'Whoa! Look out!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_imp_escort_duty_tier3.stf', '24', 'panic_5', 'What? We are under attack!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_imp_escort_duty_tier3.stf', '25', 'quest_escort_d', 'Follow and protect the Imperial freighter to it\'s drop location. Remain alert for Rebel fighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_imp_escort_duty_tier3.stf', '26', 'quest_escort_t', 'Protect the Imperial Freighters');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_imp_escort_duty_tier3.stf', '27', 'quest_location_d', 'Meet the Imperial Freighters as they enter the Naboo System.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_imp_escort_duty_tier3.stf', '28', 'quest_location_t', 'Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_imp_escort_duty_tier3.stf', '29', 'quest_rendezvous_d', 'Travel to the supplied navigaiton waypoint and wait for the Imperial freighter to arrive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_imp_escort_duty_tier3.stf', '30', 'quest_rendezvous_t', 'Meet the Imperial Freighters');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_imp_escort_duty_tier3.stf', '31', 'reason_1', 'Hello, pilot. Imperial freighter FR3-9b23 in route to drop off supplies reporting in.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_imp_escort_duty_tier3.stf', '32', 'reason_2', 'Hello, pilot. Imperial freighter FR6-6f02 in route to drop off supplies reporting in.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_imp_escort_duty_tier3.stf', '33', 'reason_3', 'Hello, pilot. Imperial freighter FR9-7y41 in route to drop off supplies reporting in.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_imp_escort_duty_tier3.stf', '34', 'reason_4', 'Hello, pilot. Imperial freighter FR8-0s09 in route to drop off supplies reporting in.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_imp_escort_duty_tier3.stf', '35', 'reason_5', 'Hello, pilot. Imperial freighter FR4-9q12 in route to drop off supplies reporting in.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_imp_escort_duty_tier3.stf', '36', 'shields_depleted', 'Our shields are down! You\'d best start doing a better job protecting us, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_imp_escort_duty_tier3.stf', '37', 'taunt_1', 'Hey, look at that...target practice!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_imp_escort_duty_tier3.stf', '38', 'taunt_2', 'You will fall to my might.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_imp_escort_duty_tier3.stf', '39', 'taunt_3', 'For the Rebellion!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_imp_escort_duty_tier3.stf', '40', 'taunt_4', 'We don\'t know why you are here, but it can\'t be good!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_imp_escort_duty_tier3.stf', '41', 'taunt_5', 'Feel the sting of the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_imp_escort_duty_tier3.stf', '42', 'thanks_1', 'You are a credit to the uniform.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_imp_escort_duty_tier3.stf', '43', 'thanks_2', 'Who do you think they were?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_imp_escort_duty_tier3.stf', '44', 'thanks_3', 'How did they know we were here?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_imp_escort_duty_tier3.stf', '45', 'thanks_4', 'Not very good pirates, are they.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_imp_escort_duty_tier3.stf', '46', 'thanks_5', 'I just don\'t understand why they would want to attack us like that.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_imp_escort_duty_tier3.stf', '47', 'title', 'Naboo System: Escort the Imperial Freighters Duty');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_imp_escort_duty_tier3.stf', '48', 'title_d', 'The Empire has important supplies for our forces in the Naboo System. Our efforts there are important and should be disrupted by such petty problems as a lack of supplies.  You are to escort the supply freighters as they enter the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_reb_escort_duty_tier3.stf', '1', 'abort', 'You can\'t abort now, we\'re not safe yet!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_reb_escort_duty_tier3.stf', '2', 'arrived_at_loc', 'The freighter is almost there, stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_reb_escort_duty_tier3.stf', '3', 'attack_notify', 'Tactical Computer: < Vessels on intercept course approaching, weapon systems armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_reb_escort_duty_tier3.stf', '4', 'attack_stopped', 'Tactical Computer: < Sensors indicate no more fighter vessels with armed weapon systems in area. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_reb_escort_duty_tier3.stf', '5', 'complete', 'Good job pilot, they are safe. Stand by for further orders.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_reb_escort_duty_tier3.stf', '6', 'duty_update', 'Station Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_reb_escort_duty_tier3.stf', '7', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_reb_escort_duty_tier3.stf', '8', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_reb_escort_duty_tier3.stf', '9', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_reb_escort_duty_tier3.stf', '10', 'failed_destroy', 'You let them intecept our shipment pilot! Return to base immediately!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_reb_escort_duty_tier3.stf', '11', 'failed_protect', 'The freighter was forced to perform an emergency hyperspace jump, you better pray that they are alright pilot. Return to base!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_reb_escort_duty_tier3.stf', '12', 'found_loc', 'One of the freighters will meet you at this location, get over there as fast as you can pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_reb_escort_duty_tier3.stf', '13', 'goodbye_1', 'Making the delivery. Thank you for the help pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_reb_escort_duty_tier3.stf', '14', 'goodbye_2', 'Well that was a rush! See you around pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_reb_escort_duty_tier3.stf', '15', 'goodbye_3', 'That was fun! Want to do it again? Just kidding, thanks again pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_reb_escort_duty_tier3.stf', '16', 'goodbye_4', 'That was fun! Want to do it again? Just kidding, thanks again pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_reb_escort_duty_tier3.stf', '17', 'goodbye_5', 'We\'re ready to make our delivery, thanks for providing a solid escort pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_reb_escort_duty_tier3.stf', '18', 'hull_half', 'Sensors show multiple hull breaches! You need to get these fighters off us!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_reb_escort_duty_tier3.stf', '19', 'panic_1', 'Time to prove your worth pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_reb_escort_duty_tier3.stf', '20', 'panic_2', 'I hope you\'re as good as we were told.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_reb_escort_duty_tier3.stf', '21', 'panic_3', 'Everyone strap in, this is going to get bumpy!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_reb_escort_duty_tier3.stf', '22', 'panic_4', 'I didn\'t think we could slip out undetected.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_reb_escort_duty_tier3.stf', '23', 'panic_5', 'Fighters heading our way!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_reb_escort_duty_tier3.stf', '24', 'quest_escort_d', 'Escort the freighter to a location where they can deliver their shipment in safety. Stay alert and good luck.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_reb_escort_duty_tier3.stf', '25', 'quest_escort_t', 'Escort the Freighter to safety.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_reb_escort_duty_tier3.stf', '26', 'quest_location_d', 'The Naboo System is a hotbed of activity these days. Watch your back... you never know who will take an interest in these shipments.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_reb_escort_duty_tier3.stf', '27', 'quest_location_t', 'Naboo System.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_reb_escort_duty_tier3.stf', '28', 'quest_rendezvous_d', 'One of the freighters have provided us with these coordinates as rally point. Get there quickly pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_reb_escort_duty_tier3.stf', '29', 'quest_rendezvous_t', 'Coordinates of Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_reb_escort_duty_tier3.stf', '30', 'reason_1', 'Alright, lets get out of here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_reb_escort_duty_tier3.stf', '31', 'reason_2', 'This shipment is marked as urgent... lets get it there on time.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_reb_escort_duty_tier3.stf', '32', 'reason_3', 'Good to see you pilot, lets not waste any time.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_reb_escort_duty_tier3.stf', '33', 'reason_4', 'We\'re ready to leave this system, lets go.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_reb_escort_duty_tier3.stf', '34', 'reason_5', 'Greetings pilot, glad that you are here. Lets get moving.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_reb_escort_duty_tier3.stf', '35', 'shields_depleted', 'Our shields are depleted pilot, this will get ugly!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_reb_escort_duty_tier3.stf', '36', 'taunt_1', 'Leaving already Rebels?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_reb_escort_duty_tier3.stf', '37', 'taunt_2', 'And I thought this was going to be another boring shift!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_reb_escort_duty_tier3.stf', '38', 'taunt_3', 'Cut your engines immediately and we will spare your lives!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_reb_escort_duty_tier3.stf', '39', 'taunt_4', 'Failure is not possible against a novice like you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_reb_escort_duty_tier3.stf', '40', 'taunt_5', 'Spare no one and stop that freighter!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_reb_escort_duty_tier3.stf', '41', 'thanks_1', 'Take that, scum!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_reb_escort_duty_tier3.stf', '42', 'thanks_2', 'Lets keep moving before more of them show up!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_reb_escort_duty_tier3.stf', '43', 'thanks_3', 'Nice shot pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_reb_escort_duty_tier3.stf', '44', 'thanks_4', 'They\'ll have to do a bit better than that with you around, good job pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_reb_escort_duty_tier3.stf', '45', 'thanks_5', 'Suddenly, I\'m not so worried anymore. You\'re a monster of a fighter pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_reb_escort_duty_tier3.stf', '46', 'title', 'Naboo System: Protect Shipments of Repair Droids Duty');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_reb_escort_duty_tier3.stf', '47', 'title_d', 'Some freighters with repair droids for the Rori Station are enroute. Your mission is to provide a safe escort for them. When you feel that you have exhausted your ship or yourself, you can return to base at anytime.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_rsf_escort_duty_tier3.stf', '1', 'abort', 'You have failed because you aborted the mission.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_rsf_escort_duty_tier3.stf', '2', 'arrived_at_loc', 'The trransport has arrived at the rally point.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_rsf_escort_duty_tier3.stf', '3', 'attack_notify', 'Enemy craft attacking.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_rsf_escort_duty_tier3.stf', '4', 'attack_stopped', 'The attack has been repelled.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_rsf_escort_duty_tier3.stf', '5', 'complete', 'The escort is complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_rsf_escort_duty_tier3.stf', '6', 'duty_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_rsf_escort_duty_tier3.stf', '7', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_rsf_escort_duty_tier3.stf', '8', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_rsf_escort_duty_tier3.stf', '9', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_rsf_escort_duty_tier3.stf', '10', 'failed_destroy', 'You have failed because the transport was destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_rsf_escort_duty_tier3.stf', '11', 'failed_protect', 'You have failed to protect the transport.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_rsf_escort_duty_tier3.stf', '12', 'found_loc', 'Location to the rendezvous point updated.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_rsf_escort_duty_tier3.stf', '13', 'goodbye_1', 'This is our stop, heading out.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_rsf_escort_duty_tier3.stf', '14', 'goodbye_2', 'I\'m off, thanks.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_rsf_escort_duty_tier3.stf', '15', 'goodbye_3', 'Good bye.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_rsf_escort_duty_tier3.stf', '16', 'goodbye_4', 'Good bye.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_rsf_escort_duty_tier3.stf', '17', 'goodbye_5', 'Good bye.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_rsf_escort_duty_tier3.stf', '18', 'hull_half', 'Hull integrity is at half.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_rsf_escort_duty_tier3.stf', '19', 'panic_1', 'Danger!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_rsf_escort_duty_tier3.stf', '20', 'panic_2', 'Ack, Blacksun!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_rsf_escort_duty_tier3.stf', '21', 'panic_3', 'Danger!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_rsf_escort_duty_tier3.stf', '22', 'panic_4', 'Danger!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_rsf_escort_duty_tier3.stf', '23', 'panic_5', 'Danger!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_rsf_escort_duty_tier3.stf', '24', 'quest_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_rsf_escort_duty_tier3.stf', '25', 'quest_escort_d', 'A transport carrying dignitaries to the planet surface.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_rsf_escort_duty_tier3.stf', '26', 'quest_escort_t', 'Transport');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_rsf_escort_duty_tier3.stf', '27', 'quest_location_d', 'The Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_rsf_escort_duty_tier3.stf', '28', 'quest_location_t', 'Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_rsf_escort_duty_tier3.stf', '29', 'quest_rendezvous_d', 'Travel here to meet with the transport');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_rsf_escort_duty_tier3.stf', '30', 'quest_rendezvous_t', 'Rally Point');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_rsf_escort_duty_tier3.stf', '31', 'quest_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_rsf_escort_duty_tier3.stf', '32', 'reason_1', 'Black Sun pirates want to rob these dignitaries; we must be careful.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_rsf_escort_duty_tier3.stf', '33', 'reason_2', 'This will be eventful for sure.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_rsf_escort_duty_tier3.stf', '34', 'reason_3', 'Black Sun pirateswant to rob these dignitaries; we must be careful.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_rsf_escort_duty_tier3.stf', '35', 'reason_4', 'Black Sun pirates want to rob these dignitaries; we must be careful.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_rsf_escort_duty_tier3.stf', '36', 'reason_5', 'Black Sun pirateswant to rob these dignitaries; we must be careful.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_rsf_escort_duty_tier3.stf', '37', 'shields_depleted', 'Shields have been depleted.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_rsf_escort_duty_tier3.stf', '38', 'taunt_1', 'Run now little fool.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_rsf_escort_duty_tier3.stf', '39', 'taunt_2', 'My cargo, get out of my way.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_rsf_escort_duty_tier3.stf', '40', 'taunt_3', 'You will die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_rsf_escort_duty_tier3.stf', '41', 'taunt_4', 'You will die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_rsf_escort_duty_tier3.stf', '42', 'taunt_5', 'You will die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_rsf_escort_duty_tier3.stf', '43', 'thanks_1', 'Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_rsf_escort_duty_tier3.stf', '44', 'thanks_2', 'Great shooting.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_rsf_escort_duty_tier3.stf', '45', 'thanks_3', 'Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_rsf_escort_duty_tier3.stf', '46', 'thanks_4', 'Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_rsf_escort_duty_tier3.stf', '47', 'thanks_5', 'Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_rsf_escort_duty_tier3.stf', '48', 'title', 'Naboo System: Escort the Dignitary Transports');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/rori_station_rsf_escort_duty_tier3.stf', '49', 'title_d', 'Defend the transport from Blacksun Pirates');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_dantooine_owner_all_escortduty_tier2_1.stf', '1', 'abort', 'Good. I didn\'t want to come out here anyways.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_dantooine_owner_all_escortduty_tier2_1.stf', '2', 'arrived_at_loc', 'Stand by for the arrival of the freighter. Make sure it gets to the station in one piece.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_dantooine_owner_all_escortduty_tier2_1.stf', '3', 'attack_notify', 'Tactical Computer: < Enemy fighters detected. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_dantooine_owner_all_escortduty_tier2_1.stf', '4', 'attack_stopped', 'Tactical Computer: < Enemy fighters eliminated. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_dantooine_owner_all_escortduty_tier2_1.stf', '5', 'complete', 'Freighter has been successfully escorted to the station. Stand by for another freighter to arrive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_dantooine_owner_all_escortduty_tier2_1.stf', '6', 'duty_update', 'Dantooine Station: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_dantooine_owner_all_escortduty_tier2_1.stf', '7', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_dantooine_owner_all_escortduty_tier2_1.stf', '8', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_dantooine_owner_all_escortduty_tier2_1.stf', '9', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_dantooine_owner_all_escortduty_tier2_1.stf', '10', 'failed_destroy', 'Blast it! We needed those supplies.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_dantooine_owner_all_escortduty_tier2_1.stf', '11', 'failed_protect', 'Just like everyone other freighter that comes this way. Oh well, back to the drawing board.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_dantooine_owner_all_escortduty_tier2_1.stf', '12', 'found_loc', 'We sent you the arrival location of a freigher jumping in from another system. Meet with the freighter and escort it to the station.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_dantooine_owner_all_escortduty_tier2_1.stf', '13', 'goodbye_1', 'Fine, we will drop our cargo off here. You didn\'t have to be so pushy.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_dantooine_owner_all_escortduty_tier2_1.stf', '14', 'goodbye_2', 'Fine, we will drop our cargo off here. You didn\'t have to be so pushy.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_dantooine_owner_all_escortduty_tier2_1.stf', '15', 'goodbye_3', 'Fine, we will drop our cargo off here. You didn\'t have to be so pushy.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_dantooine_owner_all_escortduty_tier2_1.stf', '16', 'goodbye_4', 'Fine, we will drop our cargo off here. You didn\'t have to be so pushy.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_dantooine_owner_all_escortduty_tier2_1.stf', '17', 'goodbye_5', 'Fine, we will drop our cargo off here. You didn\'t have to be so pushy.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_dantooine_owner_all_escortduty_tier2_1.stf', '18', 'hull_half', 'You captured us...now protect us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_dantooine_owner_all_escortduty_tier2_1.stf', '19', 'panic_1', 'What a day. First I get jumped in Corellia and now this!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_dantooine_owner_all_escortduty_tier2_1.stf', '20', 'panic_2', 'Hey, you better protect your prize or your boss is going to get mad.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_dantooine_owner_all_escortduty_tier2_1.stf', '21', 'panic_3', 'What kind of pirate are you?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_dantooine_owner_all_escortduty_tier2_1.stf', '22', 'panic_4', 'This is rich! Pirates trying to steal from theives.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_dantooine_owner_all_escortduty_tier2_1.stf', '23', 'panic_5', 'I think I will follow you...at least you don\'t seem to want to kill me.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_dantooine_owner_all_escortduty_tier2_1.stf', '24', 'quest_escort_d', 'Escort the freighter to the station, protecting from the Dantooine Raiders.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_dantooine_owner_all_escortduty_tier2_1.stf', '25', 'quest_escort_t', 'Escort the Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_dantooine_owner_all_escortduty_tier2_1.stf', '26', 'quest_location_d', 'The freighters will be jumping in from the Corellian system. Meet them at their arrival location and escort them to the station.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_dantooine_owner_all_escortduty_tier2_1.stf', '27', 'quest_location_t', 'Remain in the Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_dantooine_owner_all_escortduty_tier2_1.stf', '28', 'quest_rendezvous_d', 'Wait for the freighter to arrive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_dantooine_owner_all_escortduty_tier2_1.stf', '29', 'quest_rendezvous_t', 'Meet the Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_dantooine_owner_all_escortduty_tier2_1.stf', '30', 'reason_1', 'Ok, we are here. The other guy said you would lead me to where you wanted me to go.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_dantooine_owner_all_escortduty_tier2_1.stf', '31', 'reason_2', 'Ok, we are here. The other guy said you would lead me to where you wanted me to go.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_dantooine_owner_all_escortduty_tier2_1.stf', '32', 'reason_3', 'Ok, we are here. The other guy said you would lead me to where you wanted me to go.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_dantooine_owner_all_escortduty_tier2_1.stf', '33', 'reason_4', 'Ok, we are here. The other guy said you would lead me to where you wanted me to go.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_dantooine_owner_all_escortduty_tier2_1.stf', '34', 'reason_5', 'Ok, we are here. The other guy said you would lead me to where you wanted me to go.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_dantooine_owner_all_escortduty_tier2_1.stf', '35', 'shields_depleted', 'There went my shields. I guess you didn\'t want me all that badly.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_dantooine_owner_all_escortduty_tier2_1.stf', '36', 'taunt_1', 'Give us that ship or we will destroy you both.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_dantooine_owner_all_escortduty_tier2_1.stf', '37', 'taunt_2', 'No one sneaks by me.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_dantooine_owner_all_escortduty_tier2_1.stf', '38', 'taunt_3', 'This is going to be easy.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_dantooine_owner_all_escortduty_tier2_1.stf', '39', 'taunt_4', 'Booty! That freighter will be a rich prize.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_dantooine_owner_all_escortduty_tier2_1.stf', '40', 'taunt_5', 'If I cannot have it, no one will.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_dantooine_owner_all_escortduty_tier2_1.stf', '41', 'thanks_1', 'Thanks, I guess.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_dantooine_owner_all_escortduty_tier2_1.stf', '42', 'thanks_2', 'So you think I should be grateful?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_dantooine_owner_all_escortduty_tier2_1.stf', '43', 'thanks_3', 'At least you don\'t seem to want to blow me up.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_dantooine_owner_all_escortduty_tier2_1.stf', '44', 'thanks_4', 'My cargo is yours...just keep me in one piece.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_dantooine_owner_all_escortduty_tier2_1.stf', '45', 'thanks_5', 'The other guy said you would protect me.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_dantooine_owner_all_escortduty_tier2_1.stf', '46', 'title', 'Dantooine System: Escort the Freighters Duty');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_dantooine_owner_all_escortduty_tier2_1.stf', '47', 'title_d', 'The Dantooine station is having major supply problems. Partly because of its remoteness, but it also looses a large number of freighters to Dantooine Raiders. The station owner has hired you to escort his freighters through the Dantooine system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_endor_irs_imp_tier4_1.stf', '1', 'abort', 'Copy that, mission aborted.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_endor_irs_imp_tier4_1.stf', '2', 'arrived_at_loc', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Designated rendezvous point reached. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_endor_irs_imp_tier4_1.stf', '3', 'attack_notify', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Hostile craft detected on attack vector. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_endor_irs_imp_tier4_1.stf', '4', 'attack_stopped', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Hostile activity has ceased. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_endor_irs_imp_tier4_1.stf', '5', 'complete', 'This Cycle is Complete');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_endor_irs_imp_tier4_1.stf', '6', 'duty_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_endor_irs_imp_tier4_1.stf', '7', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_endor_irs_imp_tier4_1.stf', '8', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_endor_irs_imp_tier4_1.stf', '9', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_endor_irs_imp_tier4_1.stf', '10', 'failed_destroy', 'You have failed the duty because the transport was destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_endor_irs_imp_tier4_1.stf', '11', 'failed_protect', 'You have failed to protect the transport.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_endor_irs_imp_tier4_1.stf', '12', 'found_loc', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Rendezvous point locked in. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_endor_irs_imp_tier4_1.stf', '13', 'goodbye_1', 'We are making our final approach now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_endor_irs_imp_tier4_1.stf', '14', 'goodbye_2', 'This is where we get off, thanks Captain.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_endor_irs_imp_tier4_1.stf', '15', 'goodbye_3', 'Clearing for landing.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_endor_irs_imp_tier4_1.stf', '16', 'goodbye_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_endor_irs_imp_tier4_1.stf', '17', 'goodbye_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_endor_irs_imp_tier4_1.stf', '18', 'hull_half', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_endor_irs_imp_tier4_1.stf', '19', 'panic_1', 'Rebels, and they look dangerous.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_endor_irs_imp_tier4_1.stf', '20', 'panic_2', 'Rebel scum!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_endor_irs_imp_tier4_1.stf', '21', 'panic_3', 'More Rebels!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_endor_irs_imp_tier4_1.stf', '22', 'panic_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_endor_irs_imp_tier4_1.stf', '23', 'panic_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_endor_irs_imp_tier4_1.stf', '24', 'quest_escort_d', 'Imperial Transport carrying goods and supplies for the Station.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_endor_irs_imp_tier4_1.stf', '25', 'quest_escort_t', 'Imperial Transport');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_endor_irs_imp_tier4_1.stf', '26', 'quest_location_d', 'The Transports will be making their jump a ways out from the station, travel to them and escort them back.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_endor_irs_imp_tier4_1.stf', '27', 'quest_location_t', 'Endor System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_endor_irs_imp_tier4_1.stf', '28', 'quest_rendezvous_d', 'Travel here to meet with the transport.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_endor_irs_imp_tier4_1.stf', '29', 'quest_rendezvous_t', 'Rendezvous Point');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_endor_irs_imp_tier4_1.stf', '30', 'reason_1', 'Lets get a move on Captain, danger surrounds us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_endor_irs_imp_tier4_1.stf', '31', 'reason_2', 'Be careful, the enemy is watching.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_endor_irs_imp_tier4_1.stf', '32', 'reason_3', 'Rebels were shadowing us earlier, so I expect an attack anytime.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_endor_irs_imp_tier4_1.stf', '33', 'reason_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_endor_irs_imp_tier4_1.stf', '34', 'reason_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_endor_irs_imp_tier4_1.stf', '35', 'shields_depleted', 'Shields have been depleted.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_endor_irs_imp_tier4_1.stf', '36', 'taunt_1', 'Give up your cargo!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_endor_irs_imp_tier4_1.stf', '37', 'taunt_2', 'This craft will not make its destination.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_endor_irs_imp_tier4_1.stf', '38', 'taunt_3', 'For the Rebellion!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_endor_irs_imp_tier4_1.stf', '39', 'taunt_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_endor_irs_imp_tier4_1.stf', '40', 'taunt_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_endor_irs_imp_tier4_1.stf', '41', 'thanks_1', 'Excellent shooting Captain.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_endor_irs_imp_tier4_1.stf', '42', 'thanks_2', 'That is all it takes.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_endor_irs_imp_tier4_1.stf', '43', 'thanks_3', 'Rebel fools.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_endor_irs_imp_tier4_1.stf', '44', 'thanks_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_endor_irs_imp_tier4_1.stf', '45', 'thanks_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_endor_irs_imp_tier4_1.stf', '46', 'title', 'Endor System: Duty: Escort Imperial Transports');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_endor_irs_imp_tier4_1.stf', '47', 'title_d', 'Imperial Transports are flying goods and supplies into the Research Station.  Meet them at their arrival point and escort them safely to the base.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_lok_nym_reb_tier2_1.stf', '1', 'abort', 'We are taking off, this craft is in no condition to fight on its own.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_lok_nym_reb_tier2_1.stf', '2', 'arrived_at_loc', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Designated rednezvous point reached. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_lok_nym_reb_tier2_1.stf', '3', 'attack_notify', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Hostile craft detected on attack vector. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_lok_nym_reb_tier2_1.stf', '4', 'attack_stopped', '\\#pcontrast3 Tactical Comptuer: < \\#pcontrast1 Hostile activity has ceased.  \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_lok_nym_reb_tier2_1.stf', '5', 'complete', '\\#pcontrast3 This round is complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_lok_nym_reb_tier2_1.stf', '6', 'duty_update', ' \\#pcontrast3 < \\#pcontrast1 %TO\\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_lok_nym_reb_tier2_1.stf', '7', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_lok_nym_reb_tier2_1.stf', '8', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_lok_nym_reb_tier2_1.stf', '9', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_lok_nym_reb_tier2_1.stf', '10', 'failed_destroy', '\\#pcontrast3 The gunship was destroyed, you fail this mission.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_lok_nym_reb_tier2_1.stf', '11', 'failed_protect', '\\#pcontrast3 You have failed to protect the gunship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_lok_nym_reb_tier2_1.stf', '12', 'found_loc', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Rendezvous point locked in. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_lok_nym_reb_tier2_1.stf', '13', 'goodbye_1', 'This is where we go.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_lok_nym_reb_tier2_1.stf', '14', 'goodbye_2', 'Making the jump to hyperspace now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_lok_nym_reb_tier2_1.stf', '15', 'goodbye_3', 'Ok, we are out safely.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_lok_nym_reb_tier2_1.stf', '16', 'goodbye_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_lok_nym_reb_tier2_1.stf', '17', 'goodbye_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_lok_nym_reb_tier2_1.stf', '18', 'hull_half', 'Hull integrity is at half.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_lok_nym_reb_tier2_1.stf', '19', 'panic_1', 'SS fighters coming in fast.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_lok_nym_reb_tier2_1.stf', '20', 'panic_2', 'Powering weapons.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_lok_nym_reb_tier2_1.stf', '21', 'panic_3', 'TIE signatures detected.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_lok_nym_reb_tier2_1.stf', '22', 'panic_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_lok_nym_reb_tier2_1.stf', '23', 'panic_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_lok_nym_reb_tier2_1.stf', '24', 'quest_escort_d', 'The gunship has had bad reactor damage.  Their shielding and weapon system will not be enough to ward off the Storm Squadron fighters on their own.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_lok_nym_reb_tier2_1.stf', '25', 'quest_escort_t', 'Damaged Gunship');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_lok_nym_reb_tier2_1.stf', '26', 'quest_location_d', 'The gunship will travel through the system to a safe jump point.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_lok_nym_reb_tier2_1.stf', '27', 'quest_location_t', 'Lok System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_lok_nym_reb_tier2_1.stf', '28', 'quest_rendezvous_d', 'Travel here to meet the gunship for escort.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_lok_nym_reb_tier2_1.stf', '29', 'quest_rendezvous_t', 'Rendezvous');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_lok_nym_reb_tier2_1.stf', '30', 'reason_1', 'Be on your toes, we have reason to suspect Storm Squadron knows of our weakened state and will deem us a target of opportunity.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_lok_nym_reb_tier2_1.stf', '31', 'reason_2', 'I don\'t imagine we will have a peaceful trip today.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_lok_nym_reb_tier2_1.stf', '32', 'reason_3', 'We will be an irresistable target for those Imperial fighters.  We must be cautious.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_lok_nym_reb_tier2_1.stf', '33', 'reason_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_lok_nym_reb_tier2_1.stf', '34', 'reason_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_lok_nym_reb_tier2_1.stf', '35', 'shields_depleted', 'Shield energies have been depleated.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_lok_nym_reb_tier2_1.stf', '36', 'taunt_1', 'You will pay for your lack of discression.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_lok_nym_reb_tier2_1.stf', '37', 'taunt_2', 'Pirate dog, you will die.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_lok_nym_reb_tier2_1.stf', '38', 'taunt_3', 'By Imperial decree, you will be destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_lok_nym_reb_tier2_1.stf', '39', 'taunt_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_lok_nym_reb_tier2_1.stf', '40', 'taunt_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_lok_nym_reb_tier2_1.stf', '41', 'thanks_1', 'There goes one wave.  More will be in the area.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_lok_nym_reb_tier2_1.stf', '42', 'thanks_2', 'I can\'t imagine that will be the last of them.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_lok_nym_reb_tier2_1.stf', '43', 'thanks_3', 'The Empire is an endless supply of fools.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_lok_nym_reb_tier2_1.stf', '44', 'thanks_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_lok_nym_reb_tier2_1.stf', '45', 'thanks_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_lok_nym_reb_tier2_1.stf', '46', 'title', 'Lok System: Duty: Transport the Damaged Gunship');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_lok_nym_reb_tier2_1.stf', '47', 'title_d', 'A Nym Gunship with a badly damaged reactor needs escort out of the system.  We expect heavy resistance from Storm Squadron fighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_yavin4_company_all_freighterescort_tier2_1.stf', '1', 'abort', 'We really needed your help getting through this system. We should have never hired you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_yavin4_company_all_freighterescort_tier2_1.stf', '2', 'arrived_at_loc', 'Wait at this location for the arrival of the company freighter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_yavin4_company_all_freighterescort_tier2_1.stf', '3', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 < Enemy fighters detected. >\\#pcontrast3 \\#pcontrast1');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_yavin4_company_all_freighterescort_tier2_1.stf', '4', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 < Enemy fighters eliminated. >\\#pcontrast3 \\#pcontrast1');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_yavin4_company_all_freighterescort_tier2_1.stf', '5', 'complete', 'The freighter has completed its run and has launched in hyperspace. Prepare to meet a new freighter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_yavin4_company_all_freighterescort_tier2_1.stf', '6', 'duty_update', '\\#FF0000 Yavin Mining Company:\\#FF0000 < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_yavin4_company_all_freighterescort_tier2_1.stf', '7', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_yavin4_company_all_freighterescort_tier2_1.stf', '8', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_yavin4_company_all_freighterescort_tier2_1.stf', '9', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_yavin4_company_all_freighterescort_tier2_1.stf', '10', 'failed_destroy', 'You allowed the freighter to be destroyed. This does not bode well for the future of our company.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_yavin4_company_all_freighterescort_tier2_1.stf', '11', 'failed_protect', 'You were hired to watch over that freighter until it could jump out of the system. We do not pay pilots, who do not complete their jobs.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_yavin4_company_all_freighterescort_tier2_1.stf', '12', 'found_loc', 'Arrival location of the freighter located. Travel to this location and meet the freighter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_yavin4_company_all_freighterescort_tier2_1.stf', '13', 'goodbye_1', 'Thanks for watching over us. Be well, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_yavin4_company_all_freighterescort_tier2_1.stf', '14', 'goodbye_2', 'Great work out there. We would never have made it past all those zealots without you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_yavin4_company_all_freighterescort_tier2_1.stf', '15', 'goodbye_3', 'I have my jump cooridnates locked in. Take care, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_yavin4_company_all_freighterescort_tier2_1.stf', '16', 'goodbye_4', 'Preparing to make the jump to light speed. Safe journey to you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_yavin4_company_all_freighterescort_tier2_1.stf', '17', 'goodbye_5', 'You did good out there. Real good! See ya around.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_yavin4_company_all_freighterescort_tier2_1.stf', '18', 'hull_half', 'Our hull is down to half strength! Requesting assistance.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_yavin4_company_all_freighterescort_tier2_1.stf', '19', 'panic_1', 'Look out! Those cultists are back.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_yavin4_company_all_freighterescort_tier2_1.stf', '20', 'panic_2', 'Great! Members of the debris cult.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_yavin4_company_all_freighterescort_tier2_1.stf', '21', 'panic_3', 'I was hoping that this was going to be a nice quite flight.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_yavin4_company_all_freighterescort_tier2_1.stf', '22', 'panic_4', 'Ok, let\'s see your stuff.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_yavin4_company_all_freighterescort_tier2_1.stf', '23', 'panic_5', 'Well, it looks like we are going to be swarmed by these loonies.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_yavin4_company_all_freighterescort_tier2_1.stf', '24', 'quest_escort_d', 'Escort the freighter from the system and protect it from the Debris Cultists.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_yavin4_company_all_freighterescort_tier2_1.stf', '25', 'quest_escort_t', 'Escort the Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_yavin4_company_all_freighterescort_tier2_1.stf', '26', 'quest_location_d', 'Meet the freighter full of minerals from the surface and escort it from the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_yavin4_company_all_freighterescort_tier2_1.stf', '27', 'quest_location_t', 'Remain in the Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_yavin4_company_all_freighterescort_tier2_1.stf', '28', 'quest_rendezvous_d', 'Travel to the arrival location of the freighter and wait for it to arrive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_yavin4_company_all_freighterescort_tier2_1.stf', '29', 'quest_rendezvous_t', 'Meet the Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_yavin4_company_all_freighterescort_tier2_1.stf', '30', 'reason_1', 'I need to get this shipment of minerals to the Tatoo system. So just watch my back until I can make the jump out of the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_yavin4_company_all_freighterescort_tier2_1.stf', '31', 'reason_2', 'I need to get this shipment of steel to the Corellian system. So just watch my back until I can make the jump out of the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_yavin4_company_all_freighterescort_tier2_1.stf', '32', 'reason_3', 'I need to get this shipment of gas to the Naboo system. So just watch my back until I can make the jump out of the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_yavin4_company_all_freighterescort_tier2_1.stf', '33', 'reason_4', 'I need to get this shipment of radioactives to the Lok system. So just watch my back until I can make the jump out of the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_yavin4_company_all_freighterescort_tier2_1.stf', '34', 'reason_5', 'I need to get this shipment of ore to the Bespin system. So just watch my back until I can make the jump out of the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_yavin4_company_all_freighterescort_tier2_1.stf', '35', 'shields_depleted', 'They just knocked out our shields! Get those fighters off of us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_yavin4_company_all_freighterescort_tier2_1.stf', '36', 'taunt_1', 'And the great fireball spoke and we listened...and it was good.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_yavin4_company_all_freighterescort_tier2_1.stf', '37', 'taunt_2', 'Nirvana awaits those who float amongst the debris.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_yavin4_company_all_freighterescort_tier2_1.stf', '38', 'taunt_3', 'The light in the sky tells us that you must join it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_yavin4_company_all_freighterescort_tier2_1.stf', '39', 'taunt_4', 'Mohab said unto the crowd...the infidels who tarnish the field must pay with their life\'s blood.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_yavin4_company_all_freighterescort_tier2_1.stf', '40', 'taunt_5', 'You will be at peace soon, but I fear that an unbeliever like you will not be going to nirvana.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_yavin4_company_all_freighterescort_tier2_1.stf', '41', 'thanks_1', 'The company sure got their moneys worth when they hired you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_yavin4_company_all_freighterescort_tier2_1.stf', '42', 'thanks_2', 'Well at least those cultists got what they wanted...to be part of the debris.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_yavin4_company_all_freighterescort_tier2_1.stf', '43', 'thanks_3', 'I wonder if they will become martyrs for that?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_yavin4_company_all_freighterescort_tier2_1.stf', '44', 'thanks_4', 'Perhaps they should have choosen another religion.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_yavin4_company_all_freighterescort_tier2_1.stf', '45', 'thanks_5', 'The galaxy now has a few less loonies running around.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_yavin4_company_all_freighterescort_tier2_1.stf', '46', 'title', 'Yavin System: Escort the Yavin Mining Co. Freighters');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/stn_yavin4_company_all_freighterescort_tier2_1.stf', '47', 'title_d', 'The Yavin 4 Mining Company is being accused by the Debris Cult of transporting salvage from the Yavin system out of the area and they are doing everything in their power to stop those freighters. The Yavin 4 Mining Company has hired you to make sure that their freighters make it out of the system in one piece.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_7.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_7.stf', '2', 'abort', 'Abort code received. Heading back to base.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_7.stf', '3', 'arrived_at_loc', 'Wait at this location. The escort target should arrive shortly.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_7.stf', '4', 'attack_notify', ' \\#pcontrast3 Tactical Computer: < \\#pcontrast1 Hostiles on approach vector to escort target! \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_7.stf', '5', 'attack_stopped', ' \\#pcontrast3 Tactical Computer: < \\#pcontrast1 Hostile fighters eliminated. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_7.stf', '6', 'complete', 'The ship has made it through the region safely. Good job.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_7.stf', '7', 'duty_update', ' \\#pcontrast3 Imperial Command: < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_7.stf', '8', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_7.stf', '9', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_7.stf', '10', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_7.stf', '11', 'failed_destroy', 'You allowed a valuable shipment of material to be lost! This is unacceptable. Report to your commanding officer at once!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_7.stf', '12', 'failed_protect', 'Your escort target has jumped to hyperspace without delivering its cargo! You will be blamed for this failure! Return to base.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_7.stf', '13', 'found_loc', 'Travel to the rendezvous waypoint and wait for your escort target to arrive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_7.stf', '14', 'goodbye_1', 'Thanks for the escort. Things were a little rougher than usual, but I\'ll still put in a good word for you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_7.stf', '15', 'goodbye_2', 'Alright, I can take it from here. Time to get this cargo unloaded and take a well deserved rest.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_7.stf', '16', 'goodbye_3', 'Yeah! We made it. I owe you a drink, friend. You really came through for me that time.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_7.stf', '17', 'goodbye_4', 'What a ride! The Empire better pay me double for this one. Thanks for the escort, though.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_7.stf', '18', 'goodbye_5', 'I\'m ready to begin the lightspeed jump to my next destination. Thanks for watching my back and good luck.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_7.stf', '19', 'hull_half', 'I\'m tracking multiple hull breaches! I can\'t take much more damage. Help!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_7.stf', '20', 'panic_1', 'By the Emperor! They\'re moving in to attack. Help me, you fool. Help me!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_7.stf', '21', 'panic_2', 'I think...no it can\'t be... They\'re opening fire! Hostiles! Repeat, hostiles on attack vector!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_7.stf', '22', 'panic_3', 'Those new ships are moving in too fast for coincidence. Prepare for assault.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_7.stf', '23', 'panic_4', 'No, no, no. Not now. This was my last job of the day. Why can\'t they leave my shipment alone!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_7.stf', '24', 'panic_5', 'Those new contacts don\'t look friendly. May the Emperor guide you to victory, friend.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_7.stf', '25', 'quest_escort_d', 'Follow the freighter and protect it from attack. Enemy fighters will jump into the area and attack the freighter. Freighters are not very sturdy, so it is important for you to take out the enemy fighters as quickly as you can.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_7.stf', '26', 'quest_escort_t', 'Protect the Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_7.stf', '27', 'quest_location_d', 'Travel to theTatooine system and move towards your first navigation waypoint to begin the escort duty. After it arrives, follow the cargo freighter until it reaches its destination.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_7.stf', '28', 'quest_location_t', 'Travel to the Tatooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_7.stf', '29', 'quest_rendezvous_d', 'Travel to the navigation waypoint and wait for the cargo freighter to arrive. Once the freighter is in the system, follow it to its destination.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_7.stf', '30', 'quest_rendezvous_t', 'Meet the Cargo Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_7.stf', '31', 'reason_1', 'I have to get these %TO to Bestine right away. Let\'s go, I don\'t have all day!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_7.stf', '32', 'reason_2', 'Ah, you\'re on time. I hate sitting out here on a load of %TO unprotected.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_7.stf', '33', 'reason_3', 'I\'ve got a hold full of %TO and I\'m looking to get it unloaded before my shift ends and they keep me on overtime, so let\'s move.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_7.stf', '34', 'reason_4', 'Good to see the Empire has an escort ready for me. Let\'s get moving, High Command is expecting this shipment of %TO.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_7.stf', '35', 'reason_5', 'I\'m locking in my route. Stay on my wing. These %TO are valuable and I don\'t want to be out here alone.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_7.stf', '36', 'shields_depleted', 'Our shields are out. Get them off of me!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_7.stf', '37', 'taunt_1', 'Kill your engines and prepare to be boarded.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_7.stf', '38', 'taunt_2', 'If you release your cargo peacefully, we will not harm you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_7.stf', '39', 'taunt_3', 'Time to die, Imperial scum!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_7.stf', '40', 'taunt_4', 'I\'ve got you in my sights.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_7.stf', '41', 'taunt_5', 'Kill the Imperial fools.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_7.stf', '42', 'thanks_1', 'Thanks for taking out those punks. Now let\'s get this cargo to dock.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_7.stf', '43', 'thanks_2', 'Whew, thanks for thinking fast there. I would have been spaced without you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_7.stf', '44', 'thanks_3', 'Impressive, friend! You certainly know how to use that thing.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_7.stf', '45', 'thanks_4', 'I can\'t believe we made it. I think I need to change my flightsuit.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_7.stf', '46', 'thanks_5', 'You fight with the Emperor\'s own passion, pilot. I\'m honored to have you as a guide.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_7.stf', '47', 'title', 'Tatooine System: Escort the Cargo Freighters Duty');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_7.stf', '48', 'title_d', 'Travel to the Tatooine system and escort the cargo freighters through the system. An escort duty is a voluntary mission that you are able to quit at any time without repercussions. When you reach the Tatooine system, you will get a navigation waypoint to the arrival location of a cargo freighter that you will need to escort through the system. Travel to the waypoint and wait until the freighter hyperjumps into the system. Once it is in the area, it will begin to fly through the system. You need to follow the freighter until it reaches its destination. Keep a careful eye out for enemy attack since they will attempt to destroy this freighter. Once completed you will receive another waypoint to the arrival location of another freighter. This escort duty can be stopped at any time by simply aborting the mission or leaving the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_tier4_escortduty_1.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_tier4_escortduty_1.stf', '2', 'abort', 'You cannot leave us out here! We are carring important supplies for the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_tier4_escortduty_1.stf', '3', 'arrived_at_loc', 'Hold at your current location. The vessel you are assigned to escort will be arriving shortly.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_tier4_escortduty_1.stf', '4', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Warning! Enemy fighters detected.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_tier4_escortduty_1.stf', '5', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighter wing has been eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_tier4_escortduty_1.stf', '6', 'complete', 'The freighter is safely away. Wait for command to assign you another freighter to escort or return to your commander to take a new mission.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_tier4_escortduty_1.stf', '7', 'duty_update', '\\#pcontrast1 Storm Squadron Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_tier4_escortduty_1.stf', '8', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_tier4_escortduty_1.stf', '9', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_tier4_escortduty_1.stf', '10', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_tier4_escortduty_1.stf', '11', 'failed_destroy', 'Your orders were to make sure that vessel arrived at HQ safely. Return to your superior and explain your failure.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_tier4_escortduty_1.stf', '12', 'failed_protect', 'You left that vessel out there unarmed and at the mercy of pirates. You will have alot of explaining to do. Return to your superior.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_tier4_escortduty_1.stf', '13', 'found_loc', 'The escort vessel will be arriving at the location supplied to your nav computer. Travel to that location and await the arrival of that vessel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_tier4_escortduty_1.stf', '14', 'goodbye_1', 'We appreciate your help out there pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_tier4_escortduty_1.stf', '15', 'goodbye_2', 'Thanks for getting us through this sector. Those Red Skulls really need to be cleared out.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_tier4_escortduty_1.stf', '16', 'goodbye_3', 'You have done a great service to me and the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_tier4_escortduty_1.stf', '17', 'goodbye_4', 'My cargo will help save honest Imperial lives. You have my thanks.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_tier4_escortduty_1.stf', '18', 'goodbye_5', 'Be safe, pilot. Thanks for watching my back.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_tier4_escortduty_1.stf', '19', 'hull_half', 'Hull at half strength! They told me you were good...prove it!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_tier4_escortduty_1.stf', '20', 'panic_1', 'Blasted pirates!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_tier4_escortduty_1.stf', '21', 'panic_2', 'Do I look worried? I think not.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_tier4_escortduty_1.stf', '22', 'panic_3', 'Go get them. That is your job isn\'t it?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_tier4_escortduty_1.stf', '23', 'panic_4', 'Pirates are after my booty! I always wanted to say that.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_tier4_escortduty_1.stf', '24', 'panic_5', 'You had better send those pirates into oblivion.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_tier4_escortduty_1.stf', '25', 'quest_escort_d', 'After you have met with your target transport, follow it through the Endor system until it arrives at it\'s final destination. There is a good chance that pirates will attack and the transport must be defended at all costs because of the importance of it\'s cargo.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_tier4_escortduty_1.stf', '26', 'quest_escort_t', 'Protect the Imperial Transport');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_tier4_escortduty_1.stf', '27', 'quest_location_d', 'The freighters are arriving in the Endor system before they are being attacked by the pirates. Meet them at their jump location inside the Endor system and escort them safely to their destination..');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_tier4_escortduty_1.stf', '28', 'quest_location_t', 'Travel to the Endor System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_tier4_escortduty_1.stf', '29', 'quest_rendezvous_d', 'Command will supply the jump in location of the transport. The freighter will not arrive until you are at that location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_tier4_escortduty_1.stf', '30', 'quest_rendezvous_t', 'Meet the Imperial Transport');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_tier4_escortduty_1.stf', '31', 'reason_1', 'I have a ship full of cargo for the Engineers on the second moon.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_tier4_escortduty_1.stf', '32', 'reason_2', 'I just arrived from a Yavin salvage operation. I understand you will be my escort.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_tier4_escortduty_1.stf', '33', 'reason_3', 'I hope we have a smooth flight. My last one was an absolute mess. Pirates coming out of everywhere.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_tier4_escortduty_1.stf', '34', 'reason_4', 'An escort? I don\'t need an escort. I have been flying since the days of the Old Republic and I have never been attacked by anyone.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_tier4_escortduty_1.stf', '35', 'reason_5', 'Glad to have you with me. I have some very valuable stuff on this ship and it would be a shame to lose it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_tier4_escortduty_1.stf', '36', 'shields_depleted', 'There went our shields! Get those fighters off of us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_tier4_escortduty_1.stf', '37', 'taunt_1', 'Give us the freighter and no one gets hurt.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_tier4_escortduty_1.stf', '38', 'taunt_2', 'We just want what is ours...so give us your freighter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_tier4_escortduty_1.stf', '39', 'taunt_3', 'You are really starting to make me mad.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_tier4_escortduty_1.stf', '40', 'taunt_4', 'Imperial scum like you are better off dead.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_tier4_escortduty_1.stf', '41', 'taunt_5', 'That\'s just great! You scratched my new paint job!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_tier4_escortduty_1.stf', '42', 'thanks_1', 'I am glad that you are out here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_tier4_escortduty_1.stf', '43', 'thanks_2', 'They were not that tough. Back in my day we used to have to fight twice as many pirates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_tier4_escortduty_1.stf', '44', 'thanks_3', 'Today is a glorious day for the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_tier4_escortduty_1.stf', '45', 'thanks_4', 'Pirates are no match for your superior skills.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_tier4_escortduty_1.stf', '46', 'thanks_5', 'Thanks for saving my skin.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_tier4_escortduty_1.stf', '47', 'title', 'Endor System: Protect the Imperial Transports Duty');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_imperial_tier4_escortduty_1.stf', '48', 'title_d', 'Red Skull pirates have been attacking the increased Imperial traffic moving through the Endor system. The Emperor has decreed that all transports shall have an escort through the system because of the important cargo, nessecary for a top secret project in the system, that they are carrying.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_7.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_7.stf', '2', 'abort', '\\#pcontrast3 Transport: < \\#pcontrast1 We are outta here, no point sticking around if you are going to abandon us. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_7.stf', '3', 'arrived_at_loc', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Hyperspace signatures detected. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_7.stf', '4', 'attack_notify', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1Enemy craft detected on attack vector. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_7.stf', '5', 'attack_stopped', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 The attack has stopped. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_7.stf', '6', 'complete', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Designated hyperspace jump point has been reached. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_7.stf', '7', 'duty_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_7.stf', '8', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_7.stf', '9', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_7.stf', '10', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_7.stf', '11', 'failed_destroy', 'You have failed, your transport was destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_7.stf', '12', 'failed_protect', 'You have failed to protect your target.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_7.stf', '13', 'found_loc', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Location to rendezvous located. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_7.stf', '14', 'goodbye_1', 'Good bye.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_7.stf', '15', 'goodbye_2', 'That is all, I\'m out of here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_7.stf', '16', 'goodbye_3', 'Good bye.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_7.stf', '17', 'goodbye_4', 'Good bye.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_7.stf', '18', 'goodbye_5', 'Good bye.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_7.stf', '19', 'hull_half', 'Hull integrity at half.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_7.stf', '20', 'panic_1', 'More fighters!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_7.stf', '21', 'panic_2', 'Help!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_7.stf', '22', 'panic_3', 'Help!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_7.stf', '23', 'panic_4', 'Help!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_7.stf', '24', 'panic_5', 'Help!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_7.stf', '25', 'quest_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_7.stf', '26', 'quest_escort_d', 'Protect this freighter as it completes its route');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_7.stf', '27', 'quest_escort_t', 'Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_7.stf', '28', 'quest_location_d', 'Merchant route in the Tatooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_7.stf', '29', 'quest_location_t', 'Tatooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_7.stf', '30', 'quest_rendezvous_d', 'Travel here to meet up with the freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_7.stf', '31', 'quest_rendezvous_t', 'Rendezvous Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_7.stf', '32', 'quest_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_7.stf', '33', 'reason_1', 'Those Black Sun are waiting, I can feel it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_7.stf', '34', 'reason_2', 'I feel danger in the air today.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_7.stf', '35', 'reason_3', 'Those Black Sun are waiting, I can feel it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_7.stf', '36', 'reason_4', 'Those Black Sun are waiting, I can feel it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_7.stf', '37', 'reason_5', 'Those Black Sun are waiting, I can feel it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_7.stf', '38', 'shields_depleted', 'Shields have been depleated.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_7.stf', '39', 'taunt_1', 'You will die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_7.stf', '40', 'taunt_2', 'Why don\'t you just leave the freighter to us and move along.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_7.stf', '41', 'taunt_3', 'You will die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_7.stf', '42', 'taunt_4', 'You will die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_7.stf', '43', 'taunt_5', 'You will die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_7.stf', '44', 'thanks_1', 'Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_7.stf', '45', 'thanks_2', 'Far too dangerous.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_7.stf', '46', 'thanks_3', 'Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_7.stf', '47', 'thanks_4', 'Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_7.stf', '48', 'thanks_5', 'Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_7.stf', '49', 'title', 'Tatooine System: Duty: Escort the Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_7.stf', '50', 'title_d', 'Protect the freighters from Black Sun aggression');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier2_1.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier2_1.stf', '2', 'abort', 'The mission was aborted, this is horrible.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier2_1.stf', '3', 'arrived_at_loc', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 You have arrived at the designated position. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier2_1.stf', '4', 'attack_notify', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Hostile craft approacing on attack vector. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier2_1.stf', '5', 'attack_stopped', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Hostile activity has ceased. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier2_1.stf', '6', 'complete', 'This run is complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier2_1.stf', '7', 'duty_update', '\\#pcontrast3 < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier2_1.stf', '8', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier2_1.stf', '9', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier2_1.stf', '10', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier2_1.stf', '11', 'failed_destroy', 'You have failed to protect the transport.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier2_1.stf', '12', 'failed_protect', 'You have failed to protect the transport.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier2_1.stf', '13', 'found_loc', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Location to rendezvous point set. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier2_1.stf', '14', 'goodbye_1', 'Ok, lets go.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier2_1.stf', '15', 'goodbye_2', 'Thanks for the escort.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier2_1.stf', '16', 'goodbye_3', 'Thanks for the escort.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier2_1.stf', '17', 'goodbye_4', 'Thanks for the escort.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier2_1.stf', '18', 'goodbye_5', 'Thanks for the escort.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier2_1.stf', '19', 'hull_half', 'Hull integrity at half.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier2_1.stf', '20', 'panic_1', 'The Corsairs are here!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier2_1.stf', '21', 'panic_2', 'They are after my precious cargo!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier2_1.stf', '22', 'panic_3', 'Protect me! This bucket of bolts cannot take many hits.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier2_1.stf', '23', 'panic_4', 'Pirates! They think they have the advantage, but you will show them.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier2_1.stf', '24', 'panic_5', 'I knew they would show up.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier2_1.stf', '25', 'quest_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier2_1.stf', '26', 'quest_escort_d', 'Protect our trade goods from Corsair raiders');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier2_1.stf', '27', 'quest_escort_t', 'Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier2_1.stf', '28', 'quest_location_d', 'A smuggler route in the Lok system');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier2_1.stf', '29', 'quest_location_t', 'Lok System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier2_1.stf', '30', 'quest_rendezvous_d', 'Travel here to meet up with the freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier2_1.stf', '31', 'quest_rendezvous_t', 'Rendezvous Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier2_1.stf', '32', 'quest_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier2_1.stf', '33', 'reason_1', 'The Corsair Pirates will be looking for us, be watchful.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier2_1.stf', '34', 'reason_2', 'Oh look, the owl will protect me from the cat.  How nice.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier2_1.stf', '35', 'reason_3', 'The Corsair Pirates will be looking for us, be watchful.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier2_1.stf', '36', 'reason_4', 'The Corsair Pirates will be looking for us, be watchful.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier2_1.stf', '37', 'reason_5', 'The Corsair Pirates will be looking for us, be watchful.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier2_1.stf', '38', 'shields_depleted', 'Shields are down.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier2_1.stf', '39', 'taunt_1', 'You will die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier2_1.stf', '40', 'taunt_2', 'Things are going to go badly for you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier2_1.stf', '41', 'taunt_3', 'What! How dare you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier2_1.stf', '42', 'taunt_4', 'Just give us the freighter and we will only hurt you a little bit.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier2_1.stf', '43', 'taunt_5', 'So you want to play rough?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier2_1.stf', '44', 'thanks_1', 'Thanks for saving us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier2_1.stf', '45', 'thanks_2', 'Did you see them blow up? Just like a firework.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier2_1.stf', '46', 'thanks_3', 'That was a close one.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier2_1.stf', '47', 'thanks_4', 'You are pretty good, but back in my day we used to have to fight them will our bare knuckles.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier2_1.stf', '48', 'thanks_5', 'And I was worried.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier2_1.stf', '49', 'title', 'Lok System: Duty: Escort the Freighters');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier2_1.stf', '50', 'title_d', 'Protect the freighter from Corsair aggression');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier4_1.stf', '1', 'abort', 'The spice is lost, you fail.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier4_1.stf', '2', 'arrived_at_loc', 'You have arrived at the target location.  Wait for the Nym Transport to arrive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier4_1.stf', '3', 'attack_notify', 'Imperial craft dropping from hyperspace.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier4_1.stf', '4', 'attack_stopped', 'The attacking wing has been stopped.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier4_1.stf', '5', 'complete', 'We are through, thanks!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier4_1.stf', '6', 'duty_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier4_1.stf', '7', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier4_1.stf', '8', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier4_1.stf', '9', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier4_1.stf', '10', 'failed_destroy', 'The transport craft have been destroyed, you fail.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier4_1.stf', '11', 'failed_protect', 'You have failed to protect the transport.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier4_1.stf', '12', 'found_loc', 'Uploading waypoing to rendezvous.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier4_1.stf', '13', 'goodbye_1', 'This is it, we are outta here!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier4_1.stf', '14', 'goodbye_2', 'Great job Captain!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier4_1.stf', '15', 'goodbye_3', 'Good bye!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier4_1.stf', '16', 'goodbye_4', 'Good bye!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier4_1.stf', '17', 'goodbye_5', 'Good bye!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier4_1.stf', '18', 'hull_half', 'Hull integrity at half.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier4_1.stf', '19', 'panic_1', 'Ack!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier4_1.stf', '20', 'panic_2', 'More Imperials, don\'t they ever run out?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier4_1.stf', '21', 'panic_3', 'Ack!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier4_1.stf', '22', 'panic_4', 'Ack!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier4_1.stf', '23', 'panic_5', 'Ack!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier4_1.stf', '24', 'quest_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier4_1.stf', '25', 'quest_escort_d', 'A spice freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier4_1.stf', '26', 'quest_escort_t', 'Nym Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier4_1.stf', '27', 'quest_location_d', 'A Nym travel route in the Lok System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier4_1.stf', '28', 'quest_location_t', 'Lok System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier4_1.stf', '29', 'quest_rendezvous_d', 'Travel here to meet the Nym craft');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier4_1.stf', '30', 'quest_rendezvous_t', 'Rendezvous Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier4_1.stf', '31', 'quest_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier4_1.stf', '32', 'reason_1', 'Watch out for those Imperials, they will be gunning for us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier4_1.stf', '33', 'reason_2', 'Imperials have been an increasing problem.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier4_1.stf', '34', 'reason_3', 'Watch out for those Imperials, they will be gunning for us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier4_1.stf', '35', 'reason_4', 'Watch out for those Imperials, they will be gunning for us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier4_1.stf', '36', 'reason_5', 'Watch out for those Imperials, they will be gunning for us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier4_1.stf', '37', 'shields_depleted', 'Shields have been depleated.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier4_1.stf', '38', 'taunt_1', 'Filthy smugglers!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier4_1.stf', '39', 'taunt_2', 'You will die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier4_1.stf', '40', 'taunt_3', 'You will die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier4_1.stf', '41', 'taunt_4', 'You will die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier4_1.stf', '42', 'taunt_5', 'You will die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier4_1.stf', '43', 'thanks_1', 'They seem motivated today!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier4_1.stf', '44', 'thanks_2', 'Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier4_1.stf', '45', 'thanks_3', 'Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier4_1.stf', '46', 'thanks_4', 'Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier4_1.stf', '47', 'thanks_5', 'Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier4_1.stf', '48', 'title', 'Lok System: Duty: Escort the Nym Spice Craft');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_privateer_tier4_1.stf', '49', 'title_d', 'Protect the Nym Freighter against Imperial aggression');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_7.stf', '1', 'abort', 'Abort code received. Heading back to base.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_7.stf', '2', 'arrived_at_loc', 'Wait at this location. An Alliance refugee transport will arrive shortly.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_7.stf', '3', 'attack_notify', ' \\#pcontrast3 Tactical Computer: < \\#pcontrast1 Hostiles on approach vector to escort target! \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_7.stf', '4', 'attack_stopped', ' \\#pcontrast3 Tactical Computer: < \\#pcontrast1 Hostile fighters eliminated. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_7.stf', '5', 'complete', 'Alliance HQ: < The refugees have made it through the region safely. Good job. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_7.stf', '6', 'duty_update', ' \\#pcontrast3 Alliance HQ: < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_7.stf', '7', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_7.stf', '8', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_7.stf', '9', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_7.stf', '10', 'failed_destroy', 'Those refugees were depending on you, Pilot! Return to your commanding officer at once!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_7.stf', '11', 'failed_protect', 'The Alliance refugee transport has been redirected. Your mission is a failure.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_7.stf', '12', 'found_loc', 'Travel to the rally point and wait for your escort target to arrive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_7.stf', '13', 'goodbye_1', 'Everyone on-board appreciates your help! Thank you!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_7.stf', '14', 'goodbye_2', 'Alright, I can take it from here. Time to get these people home... Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_7.stf', '15', 'goodbye_3', 'Yeah! We made it. The Alliance owes you a debt of gratitude. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_7.stf', '16', 'goodbye_4', 'What a ride! The Alliance owes me more than standard pay, I think! Thanks for the escort, though.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_7.stf', '17', 'goodbye_5', 'We\'re ready to get these refugees back home. Thanks for the escort!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_7.stf', '18', 'hull_half', 'I\'m tracking multiple hull breaches! I can\'t take much more damage. Help!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_7.stf', '19', 'panic_1', 'They\'re moving to attack! Please help us!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_7.stf', '20', 'panic_2', 'I think...no it can\'t be... They\'re opening fire! Hostiles! Repeat, hostiles on attack vector!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_7.stf', '21', 'panic_3', 'Those new ships are moving in too fast for coincidence. Prepare for assault.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_7.stf', '22', 'panic_4', 'No, no, no. Not now. This was my last job of the day. Why can\'t they leave my shipment alone!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_7.stf', '23', 'panic_5', 'Those new contacts don\'t look friendly. The Force be with you, friend.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_7.stf', '24', 'quest_escort_d', 'Follow the Alliance Transport as it makes its way out of the system. Protect the transport from hostile forces as it advances. Once a transport has reached its destination, Alliance HQ will provide a new waypoint to another distressed transport.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_7.stf', '25', 'quest_escort_t', 'Escort Alliance Transport.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_7.stf', '26', 'quest_location_d', 'Patrol the Tatooine system and protect Alliance transports that have been separated from the main fleet.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_7.stf', '27', 'quest_location_t', 'Tatooine system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_7.stf', '28', 'quest_rendezvous_d', 'Fly to the nav point and intercept an incoming Alliance Transport.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_7.stf', '29', 'quest_rendezvous_t', 'Intercept Alliance Transport.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_7.stf', '30', 'reason_1', 'Alliance Freighter reporting! We have a hold full of refugees who need to get home, buddy.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_7.stf', '31', 'reason_2', 'Requesting fighter escort. Repeat! Requesting fighter escort!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_7.stf', '32', 'reason_3', 'Hey there, pilot! Let\'s get these refugees back home. Whadda you say?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_7.stf', '33', 'reason_4', 'Good to see you, pilot! Cover us so we can get these refugees back where they belong.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_7.stf', '34', 'reason_5', 'This is the freight commander speaking. Form up and keep us safe! We have a lot of injured on-board and don\'t need any more excitement!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_7.stf', '35', 'shields_depleted', 'Our shields are out. Get rid of those fighters now!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_7.stf', '36', 'taunt_1', 'Rebel scum! Prepare to die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_7.stf', '37', 'taunt_2', 'Refugees, eh? You expect us to believe that... traitor?!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_7.stf', '38', 'taunt_3', 'Time to die, Rebel scum!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_7.stf', '39', 'taunt_4', 'I\'ve got you in my sights.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_7.stf', '40', 'taunt_5', 'Kill the Rebel traitors!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_7.stf', '41', 'thanks_1', 'Thanks for taking out those punks. Now let\'s get these refugees back home!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_7.stf', '42', 'thanks_2', 'Whew, thanks for thinking fast there. We would have been spaced without your help!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_7.stf', '43', 'thanks_3', 'Very impressive, my friend! The Force is with you...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_7.stf', '44', 'thanks_4', 'I can\'t believe we made it! Thanks a million, pal!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_7.stf', '45', 'thanks_5', 'All refugees safe and sound. Thanks for your help, pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_7.stf', '46', 'title', 'Tatooine system: Duty mission: Protect Refugee Transports.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_7.stf', '47', 'title_d', 'Protect Refugee Transports. These missions have been outlined to give you some much needed experience in space combat, you can stop when you feel that you have learned enough.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_tier4_1.stf', '1', 'abort', 'You can\'t abort now, we\'re not safe yet!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_tier4_1.stf', '2', 'arrived_at_loc', 'The spy ship should be there any second, stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_tier4_1.stf', '3', 'attack_notify', 'Tactical Computer: < Vessels on intercept course approaching, weapon systems armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_tier4_1.stf', '4', 'attack_stopped', 'Tactical Computer: < Sensors indicate no more fighter vessels with armed weapon systems in area. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_tier4_1.stf', '5', 'complete', 'Good job pilot, they are safe from there. Stand by for your next assignment.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_tier4_1.stf', '6', 'duty_update', 'Rebel Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_tier4_1.stf', '7', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_tier4_1.stf', '8', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_tier4_1.stf', '9', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_tier4_1.stf', '10', 'failed_destroy', 'We cant afford those kind of casaulties pilot. Return to base.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_tier4_1.stf', '11', 'failed_protect', 'The spy ship was forced to do an emergency hyperspace jump. I hope for your sake that they are okay. Return to base.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_tier4_1.stf', '12', 'found_loc', 'One of our spy ships will meet you at these coordinates, proceed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_tier4_1.stf', '13', 'goodbye_1', 'Jumping to lightspeed. Thank you for the help pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_tier4_1.stf', '14', 'goodbye_2', 'Well that was a rush! See you around pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_tier4_1.stf', '15', 'goodbye_3', 'We\'re safe from here, was a privilege to work with you pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_tier4_1.stf', '16', 'goodbye_4', 'That was fun! Want to do it again? Just kidding, thanks again pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_tier4_1.stf', '17', 'goodbye_5', 'We\'re ready to take off, thanks for providing a solid escort pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_tier4_1.stf', '18', 'hull_half', 'Our ship is falling apart, you have to take care of these TIE\'s, now!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_tier4_1.stf', '19', 'panic_1', 'Time to prove your worth pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_tier4_1.stf', '20', 'panic_2', 'I hope you\'re as good as we were told.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_tier4_1.stf', '21', 'panic_3', 'To battle stations!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_tier4_1.stf', '22', 'panic_4', 'I didn\'t think we could slip out undetected.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_tier4_1.stf', '23', 'panic_5', 'Here they come!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_tier4_1.stf', '24', 'quest_escort_d', 'Escort the spy ship to safety pilot. Not only do they have invaluable data onboard but you are responsible for the life of the crew as well and in these days, we can\'t afford to lose anyone.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_tier4_1.stf', '25', 'quest_escort_t', 'Escort spy ship to safety.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_tier4_1.stf', '26', 'quest_location_d', 'The Imperial navy seem to be everywhere in the Endor system lately and they are guarding the moon of Endor fiercely. Stay sharp out there pilot, the lives of the crew on those spy ships may very well be in your hands.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_tier4_1.stf', '27', 'quest_location_t', 'Endor system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_tier4_1.stf', '28', 'quest_rendezvous_d', 'We will keep updating your nav computer with coordinates of new spy ships that need an escort out of the system. When you have exhausted yourself, your ship or feel that you are experienced enough for more training, return to base.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_tier4_1.stf', '29', 'quest_rendezvous_t', 'New rendez-vous coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_tier4_1.stf', '30', 'reason_1', 'Alright, lets get out of here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_tier4_1.stf', '31', 'reason_2', 'We\'ve been hiding in a nebula for a week scanning the surface of that worthless moon, can\'t wait to get out of here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_tier4_1.stf', '32', 'reason_3', 'Good to see you pilot, lets not waste any time.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_tier4_1.stf', '33', 'reason_4', 'We\'re ready to leave this system, lets go.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_tier4_1.stf', '34', 'reason_5', 'Greetings pilot, glad that you are here. Lets get moving.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_tier4_1.stf', '35', 'shields_depleted', 'That last hit fried our shields, we\'re in trouble!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_tier4_1.stf', '36', 'taunt_1', 'Leaving already Rebels?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_tier4_1.stf', '37', 'taunt_2', 'And I thought this was going to be another boring shift!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_tier4_1.stf', '38', 'taunt_3', 'Cut your engines immediately and we will spare your lives!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_tier4_1.stf', '39', 'taunt_4', 'Sorry to crash your party Rebel fools!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_tier4_1.stf', '40', 'taunt_5', 'You have your orders men, they can\'t leave this system alive!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_tier4_1.stf', '41', 'thanks_1', 'Take that, Imperial scum!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_tier4_1.stf', '42', 'thanks_2', 'Lets keep moving before more of them show up!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_tier4_1.stf', '43', 'thanks_3', 'Nice shot pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_tier4_1.stf', '44', 'thanks_4', 'Hehehe.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_tier4_1.stf', '45', 'thanks_5', 'Is that the best the Empire have? Wimps!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_tier4_1.stf', '46', 'title', 'Endor system: Duty mission: Escort Rebel spy vessels.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/tatooine_rebel_tier4_1.stf', '47', 'title_d', 'We have several of our spy vessels assigned to the Endor system to try and figure out what the Empire is doing on the moon of Endor. They need safe escorts when they are ready to return to base with their findings or to re-supply.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/viopa_rebel_5.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/viopa_rebel_5.stf', '2', 'abort', 'Abort code received, performing emergency hyperspace jump.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/viopa_rebel_5.stf', '3', 'arrived_at_loc', 'You are at the right coordinates pilot, the smuggler should be there momentarily.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/viopa_rebel_5.stf', '4', 'attack_notify', 'Tactical Computer: < Vessels on intercept course approaching, weapon systems armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/viopa_rebel_5.stf', '5', 'attack_stopped', 'Tactical Computer: < Sensors indicate no more fighter vessels with armed weapon systems in area. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/viopa_rebel_5.stf', '6', 'complete', 'The smuggler is safe from here, nice flying out there pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/viopa_rebel_5.stf', '7', 'duty_update', 'Rebel Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/viopa_rebel_5.stf', '8', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/viopa_rebel_5.stf', '9', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/viopa_rebel_5.stf', '10', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/viopa_rebel_5.stf', '11', 'failed_destroy', 'We lost contact with the smuggler, what happened? This is a hard blow to us pilot, we\'re already struggling with low resources.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/viopa_rebel_5.stf', '12', 'failed_protect', 'The smuggler had to do a emergency hyperspace jump, he didn\'t have enough protection. I hope he will be alright.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/viopa_rebel_5.stf', '13', 'found_loc', 'The next smuggler should meet you at these coordinates pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/viopa_rebel_5.stf', '14', 'goodbye_1', 'Great working with ya mate, I\'ll be fine now!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/viopa_rebel_5.stf', '15', 'goodbye_2', '\'twas a pleasure pilot, see ya!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/viopa_rebel_5.stf', '16', 'goodbye_3', 'Always nice to work with competent people, see you again sometime I hope!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/viopa_rebel_5.stf', '17', 'goodbye_4', 'Wouldn\'t have made it without you pilot, thanks!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/viopa_rebel_5.stf', '18', 'goodbye_5', 'I owe you a big one pilot, could never have made that on my own!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/viopa_rebel_5.stf', '19', 'hull_half', 'Crap, this thing is falling apart, I need some help!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/viopa_rebel_5.stf', '20', 'panic_1', 'I\'m being scanned... Darnit, Imperials!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/viopa_rebel_5.stf', '21', 'panic_2', 'Here they come, like a flock of angry mynocks!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/viopa_rebel_5.stf', '22', 'panic_3', 'They picked us up, incoming TIE fighters!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/viopa_rebel_5.stf', '23', 'panic_4', 'Oh @#!%, Imperial fighters heading our way!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/viopa_rebel_5.stf', '24', 'panic_5', 'Uh oh, these guys look pissed!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/viopa_rebel_5.stf', '25', 'quest_escort_d', 'Provide a safe escort for the smuggler. Stay close to him and keep your eyes open for any threats.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/viopa_rebel_5.stf', '26', 'quest_escort_t', 'Escort the smuggler.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/viopa_rebel_5.stf', '27', 'quest_location_d', 'The Lok system has a low Imperial presence but they perform raids on pirates and rebels from time to time so be careful.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/viopa_rebel_5.stf', '28', 'quest_location_t', 'Lok system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/viopa_rebel_5.stf', '29', 'quest_rendezvous_d', 'You should now have the coordinates of the next smuggler in need of an escort, hurry over there.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/viopa_rebel_5.stf', '30', 'quest_rendezvous_t', 'Coordinates of the next smuggler.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/viopa_rebel_5.stf', '31', 'reason_1', 'Good to see ya mate! Lets get this show on the road.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/viopa_rebel_5.stf', '32', 'reason_2', 'Hi there pilot, you\'re my escort eh? Well I hope you\'re good.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/viopa_rebel_5.stf', '33', 'reason_3', 'Hi there, I have several wounded soldiers in the back, so hopefully this will be a smooth ride.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/viopa_rebel_5.stf', '34', 'reason_4', 'Greetings, keep up, I\'m not waiting for anyone!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/viopa_rebel_5.stf', '35', 'reason_5', 'Hey there, we should be fine, just keep me covered in case things get hot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/viopa_rebel_5.stf', '36', 'shields_depleted', 'Shields depleted! We\'re in trouble now!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/viopa_rebel_5.stf', '37', 'taunt_1', 'Do you Rebels think we\'re stupid? Lethal force allowed, proceed men.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/viopa_rebel_5.stf', '38', 'taunt_2', 'You Rebels made a mistake, you always do.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/viopa_rebel_5.stf', '39', 'taunt_3', 'We could see you Rebel fools miles away, Imperial justice doesn\'t let anything slip by!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/viopa_rebel_5.stf', '40', 'taunt_4', 'You couldn\'t smuggle sand to Tatooine, poor little Rebels.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/viopa_rebel_5.stf', '41', 'taunt_5', 'These Rebels actually thought they could get away with it. Use of lethal force is encour..approved.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/viopa_rebel_5.stf', '42', 'thanks_1', 'Nice work pilot! I thought they had us!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/viopa_rebel_5.stf', '43', 'thanks_2', 'I sure am glad you were here pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/viopa_rebel_5.stf', '44', 'thanks_3', 'I knew I should have put wipers on this ship, there\'s TIE scraps all over my windshield.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/viopa_rebel_5.stf', '45', 'thanks_4', 'I wasn\'t even worried, nice going pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/viopa_rebel_5.stf', '46', 'thanks_5', 'I don\'t think those guys knew what hit them, way to go!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/viopa_rebel_5.stf', '47', 'title', 'Lok system: Duty mission: Escort smugglers past Imperial patrols.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/viopa_rebel_5.stf', '48', 'title_d', 'Your orders are to provide a safe escort for Rebel and Nym smugglers in the Lok system. When you feel that you have exhausted your ship, yourself or that you have enough experience to continue your training, you can return to base at anytime.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/vortex_mission_5.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/vortex_mission_5.stf', '2', 'abort', 'Abort code received, performing emergency hyperspace jump.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/vortex_mission_5.stf', '3', 'arrived_at_loc', 'You have arrived at the rendez-vous coordinates. Expect freighter to arrive shortly.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/vortex_mission_5.stf', '4', 'attack_notify', 'Tactical Computer: < Vessels on intercept course approaching, weapon systems armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/vortex_mission_5.stf', '5', 'attack_stopped', 'Tactical Computer: < Sensors indicate no more fighter vessels with armed weapon systems in area. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/vortex_mission_5.stf', '6', 'complete', 'The Freighter is safe, great job!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/vortex_mission_5.stf', '7', 'duty_update', 'Rebel Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/vortex_mission_5.stf', '8', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/vortex_mission_5.stf', '9', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/vortex_mission_5.stf', '10', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/vortex_mission_5.stf', '11', 'failed_destroy', 'The Alliance is already struggling with equipment, we can\'t loose important transports like that! We expect a full report upon your return!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/vortex_mission_5.stf', '12', 'failed_protect', 'The transport had to make a emergency hyperspace jump since he couldn\'t count on your protection! Pray that he made it in one piece.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/vortex_mission_5.stf', '13', 'found_loc', 'We have uploaded the coordinates for the next transport in need of a escort.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/vortex_mission_5.stf', '14', 'goodbye_1', 'We will be okay from here. Thank you for your invaluable assistance pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/vortex_mission_5.stf', '15', 'goodbye_2', 'It was a pleasure to work with you pilot, I hope to see you again.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/vortex_mission_5.stf', '16', 'goodbye_3', 'We only got out of that in one piece thanks to you pilot. I owe you one!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/vortex_mission_5.stf', '17', 'goodbye_4', 'Score one for the good guys! Thanks a lot my friend, be careful out here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/vortex_mission_5.stf', '18', 'goodbye_5', 'Thank you for the escort pilot. I\'ll buy you a drink the next time I see you!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/vortex_mission_5.stf', '19', 'hull_half', 'This old hunk of metal is breaking apart! You better get them off us now!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/vortex_mission_5.stf', '20', 'panic_1', 'Imperial patrol heading our way! Show them what you\'re made of pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/vortex_mission_5.stf', '21', 'panic_2', 'TIE Fighters! This could get ugly.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/vortex_mission_5.stf', '22', 'panic_3', 'I\'m being scanned by an Imperial patrol!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/vortex_mission_5.stf', '23', 'panic_4', 'Imperial scum incoming! Performing evasive maneuvers!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/vortex_mission_5.stf', '24', 'panic_5', 'Lackeys of the Empire heading our way!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/vortex_mission_5.stf', '25', 'quest_escort_d', 'The Alliance is stretched thin on resources as it is so make sure that every smuggler makes it to their destination safely.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/vortex_mission_5.stf', '26', 'quest_escort_t', 'Escort smuggler.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/vortex_mission_5.stf', '27', 'quest_location_d', 'The Dantooine system has had an increasing amount of Imperial presence so escorting these smugglers safely will prove a challenge.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/vortex_mission_5.stf', '28', 'quest_location_t', 'Dantooine system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/vortex_mission_5.stf', '29', 'quest_rendezvous_d', 'We have been contacted by another smuggler in need of assistance. You should have the coordinates so get going.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/vortex_mission_5.stf', '30', 'quest_rendezvous_t', 'Contacted by another smuggler.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/vortex_mission_5.stf', '31', 'reason_1', 'G\'day pilot. Glad you are here, these sectors are overrun with Imperial scum.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/vortex_mission_5.stf', '32', 'reason_2', 'Greetings, I got some disabled soldiers that need transport to a medical frigate. Take well care of us pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/vortex_mission_5.stf', '33', 'reason_3', 'Great to see you pilot. I have weapons and electrical equipment onboard so hopefully no Imperial patrols will get too close.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/vortex_mission_5.stf', '34', 'reason_4', 'Hail friend! Hauling some X-Wing replacement parts for the frontlines here. You will make sure we reach them safely right?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/vortex_mission_5.stf', '35', 'reason_5', 'You better not slow me down hotshot...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/vortex_mission_5.stf', '36', 'shields_depleted', 'Our shields are fried! Do your job and get these TIE\'s of us now!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/vortex_mission_5.stf', '37', 'taunt_1', 'What do we have here? Poor little Rebel scum, you just took a wrong turn. Your last mistake!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/vortex_mission_5.stf', '38', 'taunt_2', 'Imperial security patrol to unidentified cargo freighter. We have detected suspicious...bah, die Rebel scum!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/vortex_mission_5.stf', '39', 'taunt_3', 'The might of the Empire will crush you all, foolish Rebels!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/vortex_mission_5.stf', '40', 'taunt_4', 'You are in violation of Imperial law, code XA-313-C. Prepare to die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/vortex_mission_5.stf', '41', 'taunt_5', 'Hey, Rebel fool. You will be the fifth of your despicable kind that I blow to pieces this week!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/vortex_mission_5.stf', '42', 'thanks_1', 'I hope those were the last ones...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/vortex_mission_5.stf', '43', 'thanks_2', 'Alright! Lets get this baby out of here before more of them show up.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/vortex_mission_5.stf', '44', 'thanks_3', 'Good guys 1 Evil Empire 0!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/vortex_mission_5.stf', '45', 'thanks_4', 'Haha! That last TIE pilot will be flying all the way to Coruscant, without his ship!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/vortex_mission_5.stf', '46', 'thanks_5', 'I knew we had the best fighter pilots in the galaxy, way to go!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/vortex_mission_5.stf', '47', 'title', 'Dantooine system: Duty mission: Escort Rebel Smugglers.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/vortex_mission_5.stf', '48', 'title_d', 'Various Alliance smugglers need a safe escort and it\'s your job to provide them with it. When you feel that you have exhausted your ship, yourself or that you have enough experience to continue your training, you can return to base at anytime.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/yavin_rebel_10.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/yavin_rebel_10.stf', '2', 'abort', 'Abort code received. Heading back to base.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/yavin_rebel_10.stf', '3', 'arrived_at_loc', 'Wait at this location. An Alliance refugee transport will arrive shortly.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/yavin_rebel_10.stf', '4', 'attack_notify', 'Tactical Computer: < Vessels on intercept course approaching, weapon systems armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/yavin_rebel_10.stf', '5', 'attack_stopped', 'Tactical Computer: < Sensors indicate no more fighter vessels with armed weapon systems in area. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/yavin_rebel_10.stf', '6', 'complete', 'The refugees have made it through the region safely. Good job.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/yavin_rebel_10.stf', '7', 'duty_update', 'Rebel Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/yavin_rebel_10.stf', '8', 'escort_too_far1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/yavin_rebel_10.stf', '9', 'escort_too_far2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/yavin_rebel_10.stf', '10', 'escort_too_far3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/yavin_rebel_10.stf', '11', 'failed_destroy', 'Those refugees were depending on you, Pilot! Return to your commanding officer at once!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/yavin_rebel_10.stf', '12', 'failed_protect', 'The Alliance refugee transport has been redirected. Your mission is a failure.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/yavin_rebel_10.stf', '13', 'found_loc', 'Travel to the rally point and wait for the refugee transport to arrive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/yavin_rebel_10.stf', '14', 'goodbye_1', 'Everyone on-board appreciates your help! Thank you!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/yavin_rebel_10.stf', '15', 'goodbye_2', 'Alright, I can take it from here. Time to get these people home... Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/yavin_rebel_10.stf', '16', 'goodbye_3', 'Yeah! We made it. The Alliance owes you a debt of gratitude. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/yavin_rebel_10.stf', '17', 'goodbye_4', 'What a ride! The Alliance owes me more than standard pay, I think! Thanks for the escort, though.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/yavin_rebel_10.stf', '18', 'goodbye_5', 'We\'re ready to get these refugees back home. Thanks for the escort!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/yavin_rebel_10.stf', '19', 'hull_half', 'I\'m tracking multiple hull breaches! I can\'t take much more damage. Help!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/yavin_rebel_10.stf', '20', 'panic_1', 'They\'re moving to attack! Please help us!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/yavin_rebel_10.stf', '21', 'panic_2', 'I think...no it can\'t be... They\'re opening fire! Hostiles! Repeat, hostiles on attack vector!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/yavin_rebel_10.stf', '22', 'panic_3', 'Those new ships are moving in too fast for it to be a coincidence. Prepare for assault.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/yavin_rebel_10.stf', '23', 'panic_4', 'No, no, no. Not now. This was my last job of the day. Why can\'t they just leave us alone!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/yavin_rebel_10.stf', '24', 'panic_5', 'Those new contacts don\'t look friendly. The Force be with us, friend.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/yavin_rebel_10.stf', '25', 'quest_escort_d', 'This will prove to be quite tough, the Empire\'s block on the Yavin 4 moon will make sneaking out without being noticed near to impossible.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/yavin_rebel_10.stf', '26', 'quest_escort_t', 'Escort the refugee freighter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/yavin_rebel_10.stf', '27', 'quest_location_d', 'Since the destruction of the Imperial enormous space station the Yavin system is overrun with Imperial forces trying to salvage what\'s left of it and making sure no one else steal anything. They have put a blockade up over the moon of Yavin 4 so escorting the refugee freighters will prove tricky.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/yavin_rebel_10.stf', '28', 'quest_location_t', 'Yavin system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/yavin_rebel_10.stf', '29', 'quest_rendezvous_d', 'You should now have the coordinates of another refugee freighter in need of an escort. Hurry over there and protect them at all costs.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/yavin_rebel_10.stf', '30', 'quest_rendezvous_t', 'Location of refugee freighter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/yavin_rebel_10.stf', '31', 'reason_1', 'Alliance Freighter reporting! We have a hold full of refugees who need to get home, buddy.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/yavin_rebel_10.stf', '32', 'reason_2', 'Requesting fighter escort. Repeat! Requesting fighter escort!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/yavin_rebel_10.stf', '33', 'reason_3', 'Hey there, pilot! Let\'s get these refugees back home. Whadda you say?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/yavin_rebel_10.stf', '34', 'reason_4', 'Good to see you, pilot! Cover us so we can get these refugees back where they belong.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/yavin_rebel_10.stf', '35', 'reason_5', 'This is the freight commander speaking. Form up and keep us safe! We have a lot of injured on-board and don\'t need any more excitement!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/yavin_rebel_10.stf', '36', 'shields_depleted', 'Our shields are out. Get rid of those fighters now!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/yavin_rebel_10.stf', '37', 'taunt_1', 'Rebel scum! Prepare to die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/yavin_rebel_10.stf', '38', 'taunt_2', 'Refugees, eh? You expect us to believe that... traitor?!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/yavin_rebel_10.stf', '39', 'taunt_3', 'Time to die, Rebel scum!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/yavin_rebel_10.stf', '40', 'taunt_4', 'I\'ve got you in my sights.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/yavin_rebel_10.stf', '41', 'taunt_5', 'Kill the Rebel traitors!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/yavin_rebel_10.stf', '42', 'thanks_1', 'Thanks for taking out those punks. Now let\'s get these refugees back home!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/yavin_rebel_10.stf', '43', 'thanks_2', 'Whew, thanks for thinking fast there. We would have been spaced without your help!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/yavin_rebel_10.stf', '44', 'thanks_3', 'Very impressive, my friend! The Force is with you...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/yavin_rebel_10.stf', '45', 'thanks_4', 'I can\'t believe we made it! Thanks a million, pal!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/yavin_rebel_10.stf', '46', 'thanks_5', 'All refugees safe and sound. Thanks for your help, pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/yavin_rebel_10.stf', '47', 'title', 'Yavin system: Duty mission: Protect refugee freighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/escort_duty/yavin_rebel_10.stf', '48', 'title_d', 'With the increased Imperial threat in the Yavin system, the Alliance is helping refugees escape the system. You need to make sure they make it through the Imperial blockade safely. When you feel that you have exhausted your ship, yourself or that you have enough experience to continue your training, you can return to base at anytime.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_13.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_13.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_13.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_13.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_13.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_13.stf', '6', 'quest_dock_d', 'Once you have succeeded in finding the Personnel Dossier you will need to dock with the ship in order to transfer the data. Use the /dock command in order to start the docking procedure. Wait until the procedure is complete and you receive the system message of success before leaving. Be very careful at this point because you will be vunlerable to attacks while docked with another vessel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_13.stf', '7', 'quest_dock_t', 'Dock with the Rebel Smuggler and Transfer the Personnel Dossier');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_13.stf', '8', 'quest_inspect_d', 'Inspect the Rebel smuggler vessel for the Personnel Dossier. To inspect a ship first you must disable it\'s engines by targeting its subsystems. Use the \'[\' or \']\' key in order to target its engines. Attack the vessel until its engines are at 0%. Then move in close and use the /inspect or press the \'I\' key to start inspecting the Rebel smuggler. Make sure you have the disabled Rebel smuggler targeted when you attempt this.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_13.stf', '9', 'quest_inspect_t', 'Inspect the Rebel Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_13.stf', '10', 'quest_location_d', 'Travel to the Corellia system and inspect the Rebel smuggler. You will receive a navigation waypoint to the area that the Rebel smuggler can be found in. Travel to this navigation waypoint and look around for the Rebel smuggler.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_13.stf', '11', 'quest_location_t', 'Travel to the Corellian System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_13.stf', '12', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_13.stf', '13', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_13.stf', '14', 'title', 'Corellia System: Inspect the Rebel Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_13.stf', '15', 'title_d', 'Travel to the Corellia system and inspect the Rebel smuggler. When you enter the system you will receive a navigation waypoint to an area that the Rebel smuggler should be. Travel to this location and look around it for the Rebel smuggler. Once you have found the smuggler you will need to disable his vessel. In order to disable a vessel use the \'[\' or \']\' to target the ships subsystems and target its engines. Attack the Rebel smuggler until its engines are at 0%. Now move in close and use presse the \'I\' key or type /inspect with the Rebel smuggler targeted. After you have found the personnel dossier, type /dock in order to transfer the dossier onto your ship. Be wary because you will be very vunerable while docking with another vessel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier3_1d.stf', '1', 'assigned_delayed', 'Go inspect a vessle for rebel documents.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier3_1d.stf', '2', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier3_1d.stf', '3', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier3_1d.stf', '4', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier3_1d.stf', '5', 'quest_dock_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier3_1d.stf', '6', 'quest_dock_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier3_1d.stf', '7', 'quest_inspect_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier3_1d.stf', '8', 'quest_inspect_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier3_1d.stf', '9', 'quest_location_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier3_1d.stf', '10', 'quest_location_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier3_1d.stf', '11', 'split_quest_alert', 'Start Inspect from Destroy');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier3_1d.stf', '12', 'title', 'Inspect Craft for Suspected Rebel Cargo');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier3_1d.stf', '13', 'title_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier3_1_a.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier3_1_a.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier3_1_a.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier3_1_a.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier3_1_a.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier3_1_a.stf', '6', 'quest_dock_d', 'Dock with the disabled spy and transfer the Joint Operations Plan to your ship. Once you have that you will need to delivery that a command shuttle immediatley.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier3_1_a.stf', '7', 'quest_dock_t', 'Transfer the Joint Operations Plan');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier3_1_a.stf', '8', 'quest_inspect_d', 'Scans indicate that a Rebel spy is in the region. This vessel must be disabled and searched in order to discover what information he might have on the alliance between the Rebels and Nym. ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier3_1_a.stf', '9', 'quest_inspect_t', 'Inspect the Rebel Spy');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier3_1_a.stf', '10', 'quest_location_d', 'The signature shows that the Rebel\'s vessel is located inside the Yavin system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier3_1_a.stf', '11', 'quest_location_t', 'Remain in the Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier3_1_a.stf', '12', 'split_quest_alert', 'Headquarters needs that information immediately. Transfer it to an Imperial shuttle for immediate delivery to command.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier3_1_a.stf', '13', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier3_1_a.stf', '14', 'title', 'Yavin System: Inspect the Rebel Spy');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier3_1_a.stf', '15', 'title_d', 'Remain in the Yavin system and inspect the Rebel spy. While on your patrol your short range scanners picked up the signature of a Rebel spy. Intercept and disable this Rebel, so you can inspect it for any sort of operations plan between Nym and the Rebellion.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier3_2a.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier3_2a.stf', '2', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier3_2a.stf', '3', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier3_2a.stf', '4', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier3_2a.stf', '5', 'quest_dock_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier3_2a.stf', '6', 'quest_dock_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier3_2a.stf', '7', 'quest_inspect_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier3_2a.stf', '8', 'quest_inspect_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier3_2a.stf', '9', 'quest_location_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier3_2a.stf', '10', 'quest_location_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier3_2a.stf', '11', 'split_quest_alert', 'Split quest coming');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier3_2a.stf', '12', 'title', 'Inspect merchant craft');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier3_2a.stf', '13', 'title_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier4_1_a.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier4_1_a.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier4_1_a.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier4_1_a.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier4_1_a.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier4_1_a.stf', '6', 'quest_dock_d', 'Once you have found the navigation charts, dock with the vessel and transfer the charts to your ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier4_1_a.stf', '7', 'quest_dock_t', 'Transfer the Navigation Information Charts');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier4_1_a.stf', '8', 'quest_inspect_d', 'Disable and inspect the captain for any information regarding their operation in the Dantooine system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier4_1_a.stf', '9', 'quest_inspect_t', 'Inspect the Velocity Mercenary Captain');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier4_1_a.stf', '10', 'quest_location_d', 'The target vessels signal is coming from inside the Dantooine system. Intercept the Velocity mercenary captain at the supplied navigation waypoint.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier4_1_a.stf', '11', 'quest_location_t', 'Remain in the Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier4_1_a.stf', '12', 'split_quest_alert', 'Interesting, the reports you have recovered have a communications relay point and frequency indicated in them. Travel to location and tune into the frequency.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier4_1_a.stf', '13', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier4_1_a.stf', '14', 'title', 'Dantooine System: Inspect the Velocity Mercenary Captain');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier4_1_a.stf', '15', 'title_d', 'Remain in the Dantooine system and inspect the Velocity mercenary captain. The officer\'s starfighter has been spotted on your radar. Intercept, disable, and inspect that vessel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier4_2_a.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier4_2_a.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier4_2_a.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier4_2_a.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier4_2_a.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier4_2_a.stf', '6', 'quest_dock_d', 'Once you have found the orders, dock and transfer them to your craft.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier4_2_a.stf', '7', 'quest_dock_t', 'Transfer the Operational Orders');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier4_2_a.stf', '8', 'quest_inspect_d', 'Once the vessel is disabled, you need to inspect the craft for any more information that might be of use to Insurgent\'s investigation.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier4_2_a.stf', '9', 'quest_inspect_t', 'Inspect the Velocity Mercenary Group Leader');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier4_2_a.stf', '10', 'quest_location_d', 'The target vessel is in the area. Intercept and disable that craft at the supplied navigation waypoint.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier4_2_a.stf', '11', 'quest_location_t', 'Remain in the Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier4_2_a.stf', '12', 'split_quest_alert', 'Bring those orders to a shuttle that will meet you in Dantooine space. Insurgent wants to get a close and personal look at them. Stand by for nav coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier4_2_a.stf', '13', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier4_2_a.stf', '14', 'title', 'Dantooine System: Inspect the Velocity Mercenary Group Leader');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier4_2_a.stf', '15', 'title_d', 'Remain in the Dantooine system and inspect the Velocity mercenary group leader. Intelligence has report seeing one in the system not far from where you are located.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier4_3_c.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier4_3_c.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier4_3_c.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier4_3_c.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier4_3_c.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier4_3_c.stf', '6', 'quest_dock_d', 'Dock with the disabled commander and transfer the orders to your fighter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier4_3_c.stf', '7', 'quest_dock_t', 'Transfer the Orders');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier4_3_c.stf', '8', 'quest_inspect_d', 'Once the commander is disabled, inspect it to find out who is sending him his orders.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier4_3_c.stf', '9', 'quest_inspect_t', 'Inspect the Velocity Mercenary Flight Commander');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier4_3_c.stf', '10', 'quest_location_d', 'The commander\'s ship is located inside the Dathomir system. Intercept his vessel near the supplied navigation waypoint.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier4_3_c.stf', '11', 'quest_location_t', 'Remain in the Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier4_3_c.stf', '12', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier4_3_c.stf', '13', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier4_3_c.stf', '14', 'title', 'Dathomir System: Inspect the Velocity Mercenary Flight Commander');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_imperial_tier4_3_c.stf', '15', 'title_d', 'A Velocity mercenary flight commander has been spotted in the Dathomir system. Intercept, disable, and inspect his vessel for who ever he is getting his orders from.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_privateer_15.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_privateer_15.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_privateer_15.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_privateer_15.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_privateer_15.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_privateer_15.stf', '6', 'quest_dock_d', 'If the craft you have inspected containes the cargo you need, use the default \'[\' or \']\' keys to cycle through their components to the engine slot.  After disabling the craft, pull up close and use the /dock command to retreive the cargo.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_privateer_15.stf', '7', 'quest_dock_t', 'Docking');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_privateer_15.stf', '8', 'quest_inspect_d', 'While you have the objective craft targeted, use /inspect command to determine their cargo.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_privateer_15.stf', '9', 'quest_inspect_t', 'Inspect Target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_privateer_15.stf', '10', 'quest_location_d', 'Unknown location in the Lok System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_privateer_15.stf', '11', 'quest_location_t', 'Lok System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_privateer_15.stf', '12', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_privateer_15.stf', '13', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_privateer_15.stf', '14', 'title', 'Lok System: Search for Shipment Orders');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_privateer_15.stf', '15', 'title_d', 'Inspect a Nym Cannon Ship for shipment orders');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_privateer_tier3_2.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_privateer_tier3_2.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_privateer_tier3_2.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_privateer_tier3_2.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_privateer_tier3_2.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_privateer_tier3_2.stf', '6', 'quest_dock_d', 'An unmarked transport with contraband cargo');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_privateer_tier3_2.stf', '7', 'quest_dock_t', 'Civilian Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_privateer_tier3_2.stf', '8', 'quest_inspect_d', 'A weapon shipment to be used against peaceful worlds');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_privateer_tier3_2.stf', '9', 'quest_inspect_t', 'Weapons Shipment');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_privateer_tier3_2.stf', '10', 'quest_location_d', 'A trade route in the Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_privateer_tier3_2.stf', '11', 'quest_location_t', 'Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_privateer_tier3_2.stf', '12', 'split_quest_alert', '\\#pcontrast3 CorSec Command: < \\#pcontrast1 Pilot! Stay on the alert! Our systems are going haywire over here! Travel to the following location, it will disrupt their hyperspace jumps \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_privateer_tier3_2.stf', '13', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_privateer_tier3_2.stf', '14', 'title', 'Dathomir System: Capture the Weapons Shipment');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_privateer_tier3_2.stf', '15', 'title_d', 'Inspect a Civilian Shuttle around Dathomir for contraband.  Intercept a weapons shipment intended for the Black Sun');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_privateer_tier3_4_b.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_privateer_tier3_4_b.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_privateer_tier3_4_b.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_privateer_tier3_4_b.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_privateer_tier3_4_b.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_privateer_tier3_4_b.stf', '6', 'quest_dock_d', 'If they have vital information, use the /dock command to retrive it');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_privateer_tier3_4_b.stf', '7', 'quest_dock_t', 'Docking');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_privateer_tier3_4_b.stf', '8', 'quest_inspect_d', 'Disable this craft by shooting out their engines, then /inspect to search their cargo');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_privateer_tier3_4_b.stf', '9', 'quest_inspect_t', 'Evil Raider Tyrant');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_privateer_tier3_4_b.stf', '10', 'quest_location_d', 'Location of the Endor System with a confirmed Tyrant sighting');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_privateer_tier3_4_b.stf', '11', 'quest_location_t', 'Endor System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_privateer_tier3_4_b.stf', '12', 'split_quest_alert', '\\#pcontrast3 CorSec Command: < \\#pcontrast1 Excellent! Now.. deliver the information to one of our Lancers. Further intructions will be given to you as soon as we know them. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_privateer_tier3_4_b.stf', '13', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_privateer_tier3_4_b.stf', '14', 'title', 'Space Endor: Recover Information from the Raider Tyrant');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_privateer_tier3_4_b.stf', '15', 'title_d', 'Recover information from the Evil Raider Tyrant');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_rebel_tier3_2.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_rebel_tier3_2.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_rebel_tier3_2.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_rebel_tier3_2.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_rebel_tier3_2.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_rebel_tier3_2.stf', '6', 'quest_dock_d', 'When you have disabled and inspected a Hutt smuggler with system reconnaissance data in their computer, dock with them and transfer it to your ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_rebel_tier3_2.stf', '7', 'quest_dock_t', 'System reconnaissance data.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_rebel_tier3_2.stf', '8', 'quest_inspect_d', 'Inspect Hutt Spice Smugglers until you find one that is carrying system reconnaissance data in their computer. When you find one, disable and dock with it to transfer the data to your ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_rebel_tier3_2.stf', '9', 'quest_inspect_t', 'Inspect Hutt Spice Smugglers.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_rebel_tier3_2.stf', '10', 'quest_location_d', 'We don\'t have much information about the Endor system currently and hope that you can get us some data from the Hutt smugglers in this sector.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_rebel_tier3_2.stf', '11', 'quest_location_t', 'Endor system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_rebel_tier3_2.stf', '12', 'split_quest_alert', 'Rebel Fleet Command: < Somehow the Hutts have information about the Imperial Navy moving in on our position! Deliver this data to our fleet in the Lok sector. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_rebel_tier3_2.stf', '13', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_rebel_tier3_2.stf', '14', 'title', 'Endor system: Find out what the Hutt smugglers know about the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/corellia_rebel_tier3_2.stf', '15', 'title_d', 'The Endor system is fairly uncharted to us. We\'ve spotted some Hutt smugglers though and if anyone have information about the system, it would be them. Your mission is to try and find one of their smugglers with Endor system data in their computer and steal it from them.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/imperial_ss_1.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/imperial_ss_1.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/imperial_ss_1.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/imperial_ss_1.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/imperial_ss_1.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/imperial_ss_1.stf', '6', 'quest_dock_d', 'Once you have succeeded in finding the Hostage Orders you will need to dock with the ship in order to transfer the data. Use the /dock command in order to start the docking procedure. Wait until the procedure is complete and you receive the system message of success before leaving. Be very careful at this point because you will be vunlerable to attacks while docked with another vessel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/imperial_ss_1.stf', '7', 'quest_dock_t', 'Dock with the Nym Lieutenant and Transfer the Hostage Orders');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/imperial_ss_1.stf', '8', 'quest_inspect_d', 'Inspect a Nym Lieutenant\'s vessel for the Hostage Orders. To inspect a ship first you must disable it\'s engines by targeting its subsystems. Use the \'[\' or \']\' key in order to target its engines. Attack the vessel until its engines are at 0%. Then move in close and use the /inspect or press the \'I\' key to start inspecting the Nym Lieutenant. Make sure you have the disabled the Nym Lieutenant targeted when you attempt this.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/imperial_ss_1.stf', '9', 'quest_inspect_t', 'Inspect the Nym Lieutenant');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/imperial_ss_1.stf', '10', 'quest_location_d', 'Travel to the Lok system and inspect a Nym Lieutenant. You will need to search the system for your target, but a good place to start your search is near the Lok space station.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/imperial_ss_1.stf', '11', 'quest_location_t', 'Travel to the Lok System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/imperial_ss_1.stf', '12', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/imperial_ss_1.stf', '13', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/imperial_ss_1.stf', '14', 'title', 'Lok System: Inspect the Nym Lieutenants');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/imperial_ss_1.stf', '15', 'title_d', 'Travel to the Lok system and inspect a Nym lieutenant. When you enter the system you will need to search the system for a Nym lieutenant. A good place to start is near the Lok space station. Once you have found a Nym lieutenant you will need to disable his vessel. In order to disable a vessel use the \'[\' or \']\' to target the ships subsystems and target its engines. Attack the Nym lieutenant until its engines are at 0%. Now move in close and use presse the \'I\' key or type /inspect with the Nym lieutenant targeted. After you have found the hostage orders, type /dock in order to transfer the orders onto your ship. Be wary because you will be very vunerable while docking with another vessel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/imperial_ss_4.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/imperial_ss_4.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/imperial_ss_4.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/imperial_ss_4.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/imperial_ss_4.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/imperial_ss_4.stf', '6', 'quest_dock_d', 'Once you have found the activity log, transfer it to your vessel by docking with the disabled agent.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/imperial_ss_4.stf', '7', 'quest_dock_t', 'Transfer the Yavin Activity Logs');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/imperial_ss_4.stf', '8', 'quest_inspect_d', 'Disable and inspect a Rebel Agent for an activity log. It is very possible that not every agent will have a completed activity log. You will have to keep inspecting Rebel agents until you locate one.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/imperial_ss_4.stf', '9', 'quest_inspect_t', 'Inspect a Rebel Agent');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/imperial_ss_4.stf', '10', 'quest_location_d', 'The meeting location is inside the Yavin system. A navigation waypoint to this meeting area will be supplied to you when you reach the Yavin system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/imperial_ss_4.stf', '11', 'quest_location_t', 'Travel to the Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/imperial_ss_4.stf', '12', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/imperial_ss_4.stf', '13', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/imperial_ss_4.stf', '14', 'title', 'Yavin System: Inspect the Rebel Agent');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/imperial_ss_4.stf', '15', 'title_d', 'Travel to the Yavin system and inspect the Rebel agent. The first step in discovering what the Rebels have located is to find an operations report on one of their agents. Intelligence has located an area that agents meet with flight commanders to exchange information. You must get to this location and inspect an agent for a completed activity report. If an agent is not at the location when you arrive you might need to destroy a few of the commanders to get some more Rebel pilots to come to the rescue.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier2_1.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier2_1.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier2_1.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier2_1.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier2_1.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier2_1.stf', '6', 'quest_dock_d', 'Once you have succeeded in finding the encrypted documents, you will need to dock with the ship in order to transfer the data. Use the /dock command in order to start the docking procedure. Wait until the procedure is complete and you receive the system message of success before leaving. Be very careful at this point because you will be vunlerable to attacks while docked with another vessel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier2_1.stf', '7', 'quest_dock_t', 'Dock with the Railgun Mercenary Courier and Transfer the Encrypted Documents');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier2_1.stf', '8', 'quest_inspect_d', 'Inspect the Railgun mercenary courier\'s vessel for the encrypted documents. To inspect a ship first you must disable it\'s engines by targeting its subsystems. Use the \'[\' or \']\' key in order to target its engines. Attack the vessel until its engines are at 0%. Then move in close and use the /inspect or press the \'I\' key to start inspecting the Railgun mercenary courier. Make sure you have the disabled Railgun mercenary courier targeted when you attempt this.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier2_1.stf', '9', 'quest_inspect_t', 'Inspect the Railgun Mercenary Courier');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier2_1.stf', '10', 'quest_location_d', 'Travel to the Naboo system and inspect the Railgun mercenary courier. You will receive a navigation waypoint to the area that the Railgun mercenary courier can be found in. Travel to this navigation waypoint and look around for the Railgun mercenary courier.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier2_1.stf', '11', 'quest_location_t', 'Travel to the Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier2_1.stf', '12', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier2_1.stf', '13', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier2_1.stf', '14', 'title', 'Naboo System: Inspect the Railgun Mercenary Courier');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier2_1.stf', '15', 'title_d', 'Travel to the Naboo system and inspect the Railgun mercenary courier. When you enter the system you will receive a navigation waypoint to an area that the Railgun mercenary courier should be. Travel to this location and look around it for the Railgun mercenary courier. Once you have found the courier you will need to disable his vessel. In order to disable a vessel use the \'[\' or \']\' to target the ships subsystems and target its engines. Attack the Railgun mercenary courier until its engines are at 0%. Now move in close and use the \'I\' key or type /inspect with the Railgun mercenary courier targeted. After you have found the encrypted documents, type /dock in order to transfer the documents onto your ship. Be wary because you will be very vulnerable while docking with another vessel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_1_a.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_1_a.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_1_a.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_1_a.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_1_a.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_1_a.stf', '6', 'quest_dock_d', 'Once you have found the report, dock with the fighter, and transfer it to your craft.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_1_a.stf', '7', 'quest_dock_t', 'Transfer the Pirate Sector Report');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_1_a.stf', '8', 'quest_inspect_d', 'Intercept the mercenary spy, disable his craft, and inspect it for the data that was transfered between the yacht and fighter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_1_a.stf', '9', 'quest_inspect_t', 'Inspect the Mercenary Spy');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_1_a.stf', '10', 'quest_location_d', 'Command has a lock on the mercenary craft inside the Yavin system. You are to travel to the Yavin system and inspect the fighter. A navigation waypoint will be supplied to the mercenary spy\'s location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_1_a.stf', '11', 'quest_location_t', 'Travel to the Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_1_a.stf', '12', 'split_quest_alert', 'Nice work, pilot. We are sending a freighter to your area for transfer of that data. Stand by for coordinates to the transfer vessel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_1_a.stf', '13', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_1_a.stf', '14', 'title', 'Yavin System: Inspect the Mercenary Spy');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_1_a.stf', '15', 'title_d', 'The Yacht made a stop in the Yavin system and met with a mercenary fighter. The computers indicate that some information was transfered between the two vessels and Command wants to know what that information contained.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_1_b.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_1_b.stf', '2', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_1_b.stf', '3', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_1_b.stf', '4', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_1_b.stf', '5', 'quest_dock_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_1_b.stf', '6', 'quest_dock_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_1_b.stf', '7', 'quest_inspect_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_1_b.stf', '8', 'quest_inspect_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_1_b.stf', '9', 'quest_location_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_1_b.stf', '10', 'quest_location_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_1_b.stf', '11', 'split_quest_alert', 'Imperial High Command: <Enemy fighters detected in route to intercept a supply freighter. Prepare to intercept!>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_1_b.stf', '12', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_1_b.stf', '13', 'title', 'Scouting the Scout - Part 2');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_1_b.stf', '14', 'title_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_2.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_2.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_2.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_2.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_2.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_2.stf', '6', 'quest_dock_d', 'Dock with the yacht and transfer the logs to your vessel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_2.stf', '7', 'quest_dock_t', 'Transfer the Personal Logs');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_2.stf', '8', 'quest_inspect_d', 'Once you have located the doctor\'s yatch, disable and inspect it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_2.stf', '9', 'quest_inspect_t', 'Inspect the Doctor Shinss\' Yacht');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_2.stf', '10', 'quest_location_d', 'Doctor Shinss is working on the salvage operation in the Yavin system and has been using his personal yacht a great deal. You will be supplied with a navigaiton waypoint to where the yacht is moored.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_2.stf', '11', 'quest_location_t', 'Travel to the Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_2.stf', '12', 'split_quest_alert', 'Proceed immediately to Imperial Communications Satellite 247d to transmit data. Location will be downloaded to your nav computer shortly.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_2.stf', '13', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_2.stf', '14', 'title', 'Yavin System: Inspect Doctor Shinss\' Yacht');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_2.stf', '15', 'title_d', 'Your questioning of Lt. Colonel Barlow has led you to believe that Doctor Shinss was involved in Colonel Hend\'s traitorous activity. Inquisition command wants more proof against the doctor and you will need to inspect the doctor\'s personal yacht for proof that he was involved.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_2_b.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_2_b.stf', '2', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_2_b.stf', '3', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_2_b.stf', '4', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_2_b.stf', '5', 'quest_dock_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_2_b.stf', '6', 'quest_dock_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_2_b.stf', '7', 'quest_inspect_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_2_b.stf', '8', 'quest_inspect_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_2_b.stf', '9', 'quest_location_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_2_b.stf', '10', 'quest_location_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_2_b.stf', '11', 'split_quest_alert', 'Imperial High Command:<Nice work, pilot. Wait for further instructions.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_2_b.stf', '12', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_2_b.stf', '13', 'title', 'Data Hunt');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_2_b.stf', '14', 'title_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_3_c.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_3_c.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_3_c.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_3_c.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_3_c.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_3_c.stf', '6', 'quest_dock_d', 'Dock with the Rebel command vessel and transfer the reports to your vessel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_3_c.stf', '7', 'quest_dock_t', 'Transfer the Encrypted Rebel Reports');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_3_c.stf', '8', 'quest_inspect_d', 'Disable the Rebel command vessel and inspect it for any information on the Rebel operations in the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_3_c.stf', '9', 'quest_inspect_t', 'Disable the Rebel Command Vessel');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_3_c.stf', '10', 'quest_location_d', 'The Rebel command vessel appears to still be in the Dathomir system. You will be supplied with a navigation waypoint to its most recent location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_3_c.stf', '11', 'quest_location_t', 'Remain in the Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_3_c.stf', '12', 'split_quest_alert', 'Nice work, pilot. Fly that information back to the Naboo system for immediate transfer to a shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_3_c.stf', '13', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_3_c.stf', '14', 'title', 'Dathomir System: Inspect the Rebel Command Vessel');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_3_c.stf', '15', 'title_d', 'During the attacks on the crippled shuttle, the Rebel pilots where sending signals to what appears to be a command vessel. Hunt down that vessel and inspect it for any information that we can find useful.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_4_b.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_4_b.stf', '2', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_4_b.stf', '3', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_4_b.stf', '4', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_4_b.stf', '5', 'quest_dock_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_4_b.stf', '6', 'quest_dock_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_4_b.stf', '7', 'quest_inspect_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_4_b.stf', '8', 'quest_inspect_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_4_b.stf', '9', 'quest_location_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_4_b.stf', '10', 'quest_location_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_4_b.stf', '11', 'split_quest_alert', 'Imperial High Command:<Looks like that ship had all the information that the colonel leaked to the aliance. We no longer need the rebel command ship intact. Stand by for coordinates to that ship.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_4_b.stf', '12', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_4_b.stf', '13', 'title', 'Closing the Book on the Colonel');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier3_4_b.stf', '14', 'title_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier4_1_a.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier4_1_a.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier4_1_a.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier4_1_a.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier4_1_a.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier4_1_a.stf', '6', 'quest_dock_d', 'Once you have discovered what the smuggler was carrying, dock with his ship and transfer the cargo to your ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier4_1_a.stf', '7', 'quest_dock_t', 'Transfer the Glowing Crystals');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier4_1_a.stf', '8', 'quest_inspect_d', 'Disable and inspect the smuggler\'s cargo.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier4_1_a.stf', '9', 'quest_inspect_t', 'Inspect the Crystal Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier4_1_a.stf', '10', 'quest_location_d', 'The ship has just left Dathomir\'s surface. Intercept it before it is able to leave the system. A navigation waypoint to its most recent location will be supplied to you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier4_1_a.stf', '11', 'quest_location_t', 'Remain in the Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier4_1_a.stf', '12', 'split_quest_alert', 'Hold current position for further instructions.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier4_1_a.stf', '13', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier4_1_a.stf', '14', 'title', 'Dathomir System: Inspect the Crystal Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_imperial_tier4_1_a.stf', '15', 'title_d', 'A vessel\'s signature has been spotted leaving the surface of Dathomir. Capture and inspect this vessel. The Inquisition is very interested to find out what is on board.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_privateer_tier3_3a.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_privateer_tier3_3a.stf', '2', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_privateer_tier3_3a.stf', '3', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_privateer_tier3_3a.stf', '4', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_privateer_tier3_3a.stf', '5', 'quest_dock_d', 'If the craft you have inspected containes the cargo you need, use the default \'[\' or \']\' keys to cycle through their components to the engine slot.  After disabling the craft, pull up close and use the /dock command to retreive the cargo.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_privateer_tier3_3a.stf', '6', 'quest_dock_t', 'Docking');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_privateer_tier3_3a.stf', '7', 'quest_inspect_d', 'While you have the objective craft targeted, use /inspect command to determine their cargo.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_privateer_tier3_3a.stf', '8', 'quest_inspect_t', 'Inspect Target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_privateer_tier3_3a.stf', '9', 'quest_location_d', 'A location in the Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_privateer_tier3_3a.stf', '10', 'quest_location_t', 'Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_privateer_tier3_3a.stf', '11', 'split_quest_alert', '\\#pcontrast3 RSF Command: < \\#pcontrast1 We are decoding the information you took from that NDC craft now.  Travel to Lok Space, we need you to meet up with one of our fighters for a quick delivery. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_privateer_tier3_3a.stf', '12', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_privateer_tier3_3a.stf', '13', 'title', 'Naboo System: Discover the Naboo Diplomatic Corps Cargo');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_privateer_tier3_3a.stf', '14', 'title_d', 'Track down an errant Naboo Diplomatic Corps craft and uncover what their cargo is.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_privateer_tier4_2a.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_privateer_tier4_2a.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_privateer_tier4_2a.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_privateer_tier4_2a.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_privateer_tier4_2a.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_privateer_tier4_2a.stf', '6', 'quest_dock_d', 'Destroy the targets engines and then /dock to retrieve the cargo');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_privateer_tier4_2a.stf', '7', 'quest_dock_t', 'Dock');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_privateer_tier4_2a.stf', '8', 'quest_inspect_d', 'Use the /inspect command to determine if the freighter has the Industrial Cargo');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_privateer_tier4_2a.stf', '9', 'quest_inspect_t', 'Inspect Target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_privateer_tier4_2a.stf', '10', 'quest_location_d', 'A travel point in the Endor System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_privateer_tier4_2a.stf', '11', 'quest_location_t', 'Endor System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_privateer_tier4_2a.stf', '12', 'split_quest_alert', '\\#pcontrast3 RSF Command: < \\#pcontrast1 Be on alert, there are fighters heading your way. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_privateer_tier4_2a.stf', '13', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_privateer_tier4_2a.stf', '14', 'title', 'Endor System: Recover Industrial Cargo from the Mining Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_privateer_tier4_2a.stf', '15', 'title_d', 'Inspect a heavy freighter in this area for industrial supplies.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_rebel_tier3_1_c.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_rebel_tier3_1_c.stf', '2', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_rebel_tier3_1_c.stf', '3', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_rebel_tier3_1_c.stf', '4', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_rebel_tier3_1_c.stf', '5', 'quest_dock_d', 'Dock with the spies disabled ship and transfer over the contents of his onboard computer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_rebel_tier3_1_c.stf', '6', 'quest_dock_t', 'Dock and steal information.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_rebel_tier3_1_c.stf', '7', 'quest_inspect_d', 'The spy is piloting a civilian vessel, model YT-1300. It shouldn\'t be a difficult target for you but it does have some weaponry so don\'t relax. Disable the engines or the reactor of his ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_rebel_tier3_1_c.stf', '8', 'quest_inspect_t', 'The spies vessel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_rebel_tier3_1_c.stf', '9', 'quest_location_d', 'The Imperial forces in the area are in disarray and shouldn\'t pose much of a threat but you can never be too careful my friend.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_rebel_tier3_1_c.stf', '10', 'quest_location_t', 'Dantooine system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_rebel_tier3_1_c.stf', '11', 'split_quest_alert', 'Brother Ezkiel: < Good work, pilot. Bring the information to one of our data freighters. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_rebel_tier3_1_c.stf', '12', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_rebel_tier3_1_c.stf', '13', 'title', 'Dantooine system: Catch the Imperial spy.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_rebel_tier3_1_c.stf', '14', 'title_d', 'The Imperial officer that tricked us is trying to escape, don\'t let him. Hunt down his ship, disable its engine or reactor and steal any information he may have in his onboard computer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_rebel_tier3_2_d.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_rebel_tier3_2_d.stf', '2', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_rebel_tier3_2_d.stf', '3', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_rebel_tier3_2_d.stf', '4', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_rebel_tier3_2_d.stf', '5', 'quest_dock_d', 'Dock with the disabled Blacklight pirate and transfer the location of their leader to your ship. Then return to base while we plan the attack.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_rebel_tier3_2_d.stf', '6', 'quest_dock_t', 'Dock and transfer data.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_rebel_tier3_2_d.stf', '7', 'quest_inspect_d', 'Try to find a Blacklight Squadron Leader and see if he has the location of their leader in his computer system. If he does, disable his engines or reactor and dock with him to transfer it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_rebel_tier3_2_d.stf', '8', 'quest_inspect_t', 'Blacklight Squadron Leader.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_rebel_tier3_2_d.stf', '9', 'quest_location_d', 'This will take you inside Blacklight pirate territory so stay sharp and be prepared for a fight.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_rebel_tier3_2_d.stf', '10', 'quest_location_t', 'Dantooine system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_rebel_tier3_2_d.stf', '11', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_rebel_tier3_2_d.stf', '12', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_rebel_tier3_2_d.stf', '13', 'title', 'Dantooine system: Inspect remaining Blacklight Pirates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/naboo_rebel_tier3_2_d.stf', '14', 'title_d', 'We\'ve found the location of some more Blacklight pirate scum. Disable and inspect them, if you find the location of their leader, dock and transfer that data to your ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/poi_tatooine_general_2.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/poi_tatooine_general_2.stf', '2', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/poi_tatooine_general_2.stf', '3', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/poi_tatooine_general_2.stf', '4', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/poi_tatooine_general_2.stf', '5', 'quest_dock_d', 'After having disabled and inspected your enemy, use the /dock command to procure your designated cargo.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/poi_tatooine_general_2.stf', '6', 'quest_dock_t', 'Dock with the Disabled Black Sun Aggressor');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/poi_tatooine_general_2.stf', '7', 'quest_inspect_d', 'To inspect a target, you must disable the ship by targeting their reactors or engines (use the []\'s to twitch between different components of your enemy\'s ship). After having disabled your enemy, you must inspect it by using the \"i\" key.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/poi_tatooine_general_2.stf', '8', 'quest_inspect_t', 'Inspect Black Sun Aggressors');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/poi_tatooine_general_2.stf', '9', 'quest_location_d', 'If in another system, travel to the Tatoo System by using your hyperspace map (by pressing \"H\") and clicking a Hyperspace point.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/poi_tatooine_general_2.stf', '10', 'quest_location_t', 'Travel to the Tatoo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/poi_tatooine_general_2.stf', '11', 'split_quest_alert', '\\#pcontrast1 Mos Eisley Captain:\\#pcontrast3 < Pilot! Keep your systems alert. I can\'t even identify what\'s on the radar! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/poi_tatooine_general_2.stf', '12', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/poi_tatooine_general_2.stf', '13', 'title', 'Tatoo System: Black Sun Hunt');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/poi_tatooine_general_2.stf', '14', 'title_d', 'Kelen Wordkal suspects that the Black Sun Aggressors in the Ghost Tide Nebula may have information regarding the where abouts of the missing freighters. Whether or not the Black Suns are responsible, hunting and disabling several Black Sun Aggressors may very well get to the bottom of the situation.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/poi_tatooine_privateer_2_b.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/poi_tatooine_privateer_2_b.stf', '2', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/poi_tatooine_privateer_2_b.stf', '3', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/poi_tatooine_privateer_2_b.stf', '4', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/poi_tatooine_privateer_2_b.stf', '5', 'quest_dock_d', 'To dock with a disabled ship, use the /dock command.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/poi_tatooine_privateer_2_b.stf', '6', 'quest_dock_t', 'Docking with Valarians');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/poi_tatooine_privateer_2_b.stf', '7', 'quest_inspect_d', 'Somewhere around the waypoint you received from Garett, Valarians fly around like a moth to a flame. Disable them by targeting their engines or reactors (by using the []\'s), and get close to inspect (by pressing \'i\'). If you find what you\'re looking for, you\'ll need to /dock with the disabled ship and pull the information. Piece of Pyollian cake.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/poi_tatooine_privateer_2_b.stf', '8', 'quest_inspect_t', 'Inspect Valarians');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/poi_tatooine_privateer_2_b.stf', '9', 'quest_location_d', 'Fly your ship to the Tatoo System for some Valarian-inspecting fun.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/poi_tatooine_privateer_2_b.stf', '10', 'quest_location_t', 'Travel to the Tatoo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/poi_tatooine_privateer_2_b.stf', '11', 'split_quest_alert', '\\#pcontrast1 Hutt Informant:\\#pcontrast3 < Good work. Now, bring the information to me and we\'ll analyze it. I knew they were onto us, somehow. I\'m glad we\'ll get to the bottom of this relatively soon. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/poi_tatooine_privateer_2_b.stf', '12', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/poi_tatooine_privateer_2_b.stf', '13', 'title', 'Tatoo System: Hunting the Valarians for Information');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/poi_tatooine_privateer_2_b.stf', '14', 'title_d', 'You\'ve been given the task from Garett to hunt down the Valarians. He has a feeling the Valarians are onto them and must find out for sure by disabling and inspecting. Looks like you\'re the person for the job. Dirty work at its best.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/privateer_inspection_1.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/privateer_inspection_1.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/privateer_inspection_1.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/privateer_inspection_1.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/privateer_inspection_1.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/privateer_inspection_1.stf', '6', 'quest_dock_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/privateer_inspection_1.stf', '7', 'quest_dock_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/privateer_inspection_1.stf', '8', 'quest_inspect_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/privateer_inspection_1.stf', '9', 'quest_inspect_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/privateer_inspection_1.stf', '10', 'quest_location_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/privateer_inspection_1.stf', '11', 'quest_location_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/privateer_inspection_1.stf', '12', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/privateer_inspection_1.stf', '13', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/privateer_inspection_1.stf', '14', 'title', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/privateer_inspection_1.stf', '15', 'title_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/robot_sidequest.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/robot_sidequest.stf', '2', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/robot_sidequest.stf', '3', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/robot_sidequest.stf', '4', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/robot_sidequest.stf', '5', 'quest_dock_d', '4');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/robot_sidequest.stf', '6', 'quest_dock_t', '4');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/robot_sidequest.stf', '7', 'quest_inspect_d', '3');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/robot_sidequest.stf', '8', 'quest_inspect_t', '3');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/robot_sidequest.stf', '9', 'quest_location_d', '2');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/robot_sidequest.stf', '10', 'quest_location_t', '2');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/robot_sidequest.stf', '11', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/robot_sidequest.stf', '12', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/robot_sidequest.stf', '13', 'title', 'Recover CSSD-7\'s Core from Madd Markus');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/robot_sidequest.stf', '14', 'title_d', '1');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_dantooine_owner_smuggler_inspect01_tier2_1.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_dantooine_owner_smuggler_inspect01_tier2_1.stf', '2', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_dantooine_owner_smuggler_inspect01_tier2_1.stf', '3', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_dantooine_owner_smuggler_inspect01_tier2_1.stf', '4', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_dantooine_owner_smuggler_inspect01_tier2_1.stf', '5', 'quest_dock_d', 'Dock with the freighter and transfer the cargo onto your ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_dantooine_owner_smuggler_inspect01_tier2_1.stf', '6', 'quest_dock_t', 'Dock with the Shifty Prince');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_dantooine_owner_smuggler_inspect01_tier2_1.stf', '7', 'quest_inspect_d', 'Inspect the freighter and make sure that it has the phasotron radium on it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_dantooine_owner_smuggler_inspect01_tier2_1.stf', '8', 'quest_inspect_t', 'Inspect the Shifty Prince');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_dantooine_owner_smuggler_inspect01_tier2_1.stf', '9', 'quest_location_d', 'The Shifty Prince is currently located inside of the Naboo system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_dantooine_owner_smuggler_inspect01_tier2_1.stf', '10', 'quest_location_t', 'Travel to the Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_dantooine_owner_smuggler_inspect01_tier2_1.stf', '11', 'split_quest_alert', 'The Phasotron Radium is now safely in your possession. Travel to Corellia and capture the Bez\'ox Mentzz.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_dantooine_owner_smuggler_inspect01_tier2_1.stf', '12', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_dantooine_owner_smuggler_inspect01_tier2_1.stf', '13', 'title', 'Naboo System: Inspect the Shifty Prince');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_dantooine_owner_smuggler_inspect01_tier2_1.stf', '14', 'title_d', 'The Dantooine station wants you to commit a few acts of piracy in order to get them some more supplies. Your first task is to inspect a freighter called the Shifty Prince. It should be carrying some phasotron radium that the station is in need of.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_dantooine_owner_smuggler_inspect02_tier2_1.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_dantooine_owner_smuggler_inspect02_tier2_1.stf', '2', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_dantooine_owner_smuggler_inspect02_tier2_1.stf', '3', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_dantooine_owner_smuggler_inspect02_tier2_1.stf', '4', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_dantooine_owner_smuggler_inspect02_tier2_1.stf', '5', 'quest_dock_d', 'Dock with the ship and transfer some of the brandy onto your vessel. Once completed return to the Dantooine station.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_dantooine_owner_smuggler_inspect02_tier2_1.stf', '6', 'quest_dock_t', 'Dock with the Lord\'s Mistress');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_dantooine_owner_smuggler_inspect02_tier2_1.stf', '7', 'quest_inspect_d', 'Inspect the vessel and make sure that it still has the load of Corellian Brandy on it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_dantooine_owner_smuggler_inspect02_tier2_1.stf', '8', 'quest_inspect_t', 'Inspect the Lord\'s Mistress');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_dantooine_owner_smuggler_inspect02_tier2_1.stf', '9', 'quest_location_d', 'The Lord\'s Mistress is located in the Tatooine system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_dantooine_owner_smuggler_inspect02_tier2_1.stf', '10', 'quest_location_t', 'Travel to the Tatooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_dantooine_owner_smuggler_inspect02_tier2_1.stf', '11', 'split_quest_alert', 'Return to the Dantooine system with the brandy.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_dantooine_owner_smuggler_inspect02_tier2_1.stf', '12', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_dantooine_owner_smuggler_inspect02_tier2_1.stf', '13', 'title', 'Tatooine System: Inspect the Lord\'s Mistress');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_dantooine_owner_smuggler_inspect02_tier2_1.stf', '14', 'title_d', 'The Dantooine station owner also wants some Corellian Brandy for his private use. He discovered that the Lord\'s Mistress is carrying some very fine brandy and wants you to get him some of it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_endor_irs_imp_tier3_2b.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_endor_irs_imp_tier3_2b.stf', '2', 'autorewardbody', 'Completion Bonus: Intrigue (5000)');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_endor_irs_imp_tier3_2b.stf', '3', 'autorewardfrom', 'Endor Station');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_endor_irs_imp_tier3_2b.stf', '4', 'autorewardsubject', 'Intrigue');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_endor_irs_imp_tier3_2b.stf', '5', 'quest_dock_d', 'If the target has the cargo you are interested in, disable them by targeting either the engines or reactor with the default component cycle keys \'[\' or \']\', once the ship is disabled you can pull up close and with the ship targeted use the /dock command to retrieve the cargo.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_endor_irs_imp_tier3_2b.stf', '6', 'quest_dock_t', 'Dock');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_endor_irs_imp_tier3_2b.stf', '7', 'quest_inspect_d', 'Target the craft and use the default \'I\' key or /inspect to determine what cargo they possess.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_endor_irs_imp_tier3_2b.stf', '8', 'quest_inspect_t', 'Inspection');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_endor_irs_imp_tier3_2b.stf', '9', 'quest_location_d', 'a Nebula in the Endor System just outside of normal sensor sweeps.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_endor_irs_imp_tier3_2b.stf', '10', 'quest_location_t', 'Endor System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_endor_irs_imp_tier3_2b.stf', '11', 'split_quest_alert', '\\#pcontrast3 Kilnstrider: < \\#pcontrast1 I suspected as much. Wait, we have a ship moving fast from that location.  Get into persuit, do not let them get away Captain. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_endor_irs_imp_tier3_2b.stf', '12', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_endor_irs_imp_tier3_2b.stf', '13', 'title', 'Endor System: Intrigue');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_endor_irs_imp_tier3_2b.stf', '14', 'title_d', 'On command by Admiral Kilnstrider, inspect the suspicious ship near a distant nebula.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_yavin4_company_all_massassi_tier2_2.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_yavin4_company_all_massassi_tier2_2.stf', '2', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_yavin4_company_all_massassi_tier2_2.stf', '3', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_yavin4_company_all_massassi_tier2_2.stf', '4', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_yavin4_company_all_massassi_tier2_2.stf', '5', 'quest_dock_d', 'Dock with the fighter and transfer anything you find to your vessel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_yavin4_company_all_massassi_tier2_2.stf', '6', 'quest_dock_t', 'Dock with the Fighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_yavin4_company_all_massassi_tier2_2.stf', '7', 'quest_inspect_d', 'Disable and inspect the fighter to see if it has any clues about who these fighters are.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_yavin4_company_all_massassi_tier2_2.stf', '8', 'quest_inspect_t', 'Inspect the Fighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_yavin4_company_all_massassi_tier2_2.stf', '9', 'quest_location_d', 'The damaged fighter is located inside the Yavin system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_yavin4_company_all_massassi_tier2_2.stf', '10', 'quest_location_t', 'Remain in the Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_yavin4_company_all_massassi_tier2_2.stf', '11', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_yavin4_company_all_massassi_tier2_2.stf', '12', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_yavin4_company_all_massassi_tier2_2.stf', '13', 'title', 'Yavin System: Inspect the Damaged Fighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_yavin4_company_all_massassi_tier2_2.stf', '14', 'title_d', 'Your flight computer has a lock on the damaged fighter. Inspect and dock with the vessel to see if you can gain any clues about who they are.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_yavin4_company_all_massassi_tier2_5.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_yavin4_company_all_massassi_tier2_5.stf', '2', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_yavin4_company_all_massassi_tier2_5.stf', '3', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_yavin4_company_all_massassi_tier2_5.stf', '4', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_yavin4_company_all_massassi_tier2_5.stf', '5', 'quest_dock_d', 'Dock with the fighter and transfer anything you find to your vessel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_yavin4_company_all_massassi_tier2_5.stf', '6', 'quest_dock_t', 'Dock with the Fighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_yavin4_company_all_massassi_tier2_5.stf', '7', 'quest_inspect_d', 'Disable and inspect the fighter to see if it has any clues about who these fighters are.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_yavin4_company_all_massassi_tier2_5.stf', '8', 'quest_inspect_t', 'Inspect the Fighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_yavin4_company_all_massassi_tier2_5.stf', '9', 'quest_location_d', 'The damaged fighter is located inside the Yavin system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_yavin4_company_all_massassi_tier2_5.stf', '10', 'quest_location_t', 'Remain in the Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_yavin4_company_all_massassi_tier2_5.stf', '11', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_yavin4_company_all_massassi_tier2_5.stf', '12', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_yavin4_company_all_massassi_tier2_5.stf', '13', 'title', 'Yavin System: Inspect the Damaged Fighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_yavin4_company_all_massassi_tier2_5.stf', '14', 'title_d', 'Your flight computer has a lock on the damaged fighter. Inspect and dock with the vessel to see if you can gain any clues about who they are.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_yavin4_company_all_opening_tier2_1.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_yavin4_company_all_opening_tier2_1.stf', '2', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_yavin4_company_all_opening_tier2_1.stf', '3', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_yavin4_company_all_opening_tier2_1.stf', '4', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_yavin4_company_all_opening_tier2_1.stf', '5', 'quest_dock_d', 'Use the dock command to transfer the lead to your vessel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_yavin4_company_all_opening_tier2_1.stf', '6', 'quest_dock_t', 'Dock with the Debris Cult Communication Vessel');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_yavin4_company_all_opening_tier2_1.stf', '7', 'quest_inspect_d', 'Once you have located the Debris Cult Communication Vessel, inspect its computers to see if there are any leads to the location of the hostage.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_yavin4_company_all_opening_tier2_1.stf', '8', 'quest_inspect_t', 'Inspect the Debris Cult Communication Vessel');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_yavin4_company_all_opening_tier2_1.stf', '9', 'quest_location_d', 'The source of the broadcasts is coming from within the Yavin system. Always in the same location so the ship should not be hard to find.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_yavin4_company_all_opening_tier2_1.stf', '10', 'quest_location_t', 'Remain in the Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_yavin4_company_all_opening_tier2_1.stf', '11', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_yavin4_company_all_opening_tier2_1.stf', '12', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_yavin4_company_all_opening_tier2_1.stf', '13', 'title', 'Yavin System: Inspect the Debris Cult Communication Vessel');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_yavin4_company_all_opening_tier2_1.stf', '14', 'title_d', 'The Yavin Mining Company has been having problems with the crazed, debris cult demanding that they leave the area immediately. Despite the company telling the cult that they have nothing to do with the salvage operation underway in the Yavin system, the cult has continued its harrasment of company operations. Recently the cult has captured one of the mining company executives and is threatening to kill him unless their demands are met. The Yavin mining company wants you to find and resuce their executive. The debris cult has not covered their steps very well and the mining company has located the source of the cults demands. They think that inspecting that vessel will be a good start to finding their missing executive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_yavin4_company_all_tier2_1.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_yavin4_company_all_tier2_1.stf', '2', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_yavin4_company_all_tier2_1.stf', '3', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_yavin4_company_all_tier2_1.stf', '4', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_yavin4_company_all_tier2_1.stf', '5', 'quest_dock_d', 'Tranfer the information to your ship and return it to the Yavin station.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_yavin4_company_all_tier2_1.stf', '6', 'quest_dock_t', 'Dock with the Vessel');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_yavin4_company_all_tier2_1.stf', '7', 'quest_inspect_d', 'The Debris Cult\'s ship probably has the location to the executive\'s holding place.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_yavin4_company_all_tier2_1.stf', '8', 'quest_inspect_t', 'Inspect the Communication Vessel');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_yavin4_company_all_tier2_1.stf', '9', 'quest_location_d', 'The communication vessel is in the Yavin system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_yavin4_company_all_tier2_1.stf', '10', 'quest_location_t', 'Remain in the Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_yavin4_company_all_tier2_1.stf', '11', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_yavin4_company_all_tier2_1.stf', '12', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_yavin4_company_all_tier2_1.stf', '13', 'title', 'Space Yavin: Inspect the Debris Cult Communication Vessel');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/stn_yavin4_company_all_tier2_1.stf', '14', 'title_d', 'The missing executive of the Yavin 4 Mining Company is being held hostage by the Debris Cult. The location of the executive is unknown but the ship that has been sending in the demands is not making any attempt to hide. Inspect this vessel to see if you can locate the executive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier3_1_b.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier3_1_b.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier3_1_b.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier3_1_b.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier3_1_b.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier3_1_b.stf', '6', 'quest_dock_d', 'Once you have located the Rebel orders, dock with the scout and transfer them to your vessel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier3_1_b.stf', '7', 'quest_dock_t', 'Transfer the Rebel Orders');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier3_1_b.stf', '8', 'quest_inspect_d', 'Disable and inspect the scout to see if he might have any information as to why they are here and what they are planning.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier3_1_b.stf', '9', 'quest_inspect_t', 'Inspect the Rebel Advanced Recon Fighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier3_1_b.stf', '10', 'quest_location_d', 'The Rebel Recon fighter is still inside the system. He doesn\'t seem to be aware that he has been spotted. A navigation waypoint to the scout\'s location will be supplied to you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier3_1_b.stf', '11', 'quest_location_t', 'Remain in the Endor System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier3_1_b.stf', '12', 'split_quest_alert', 'Alert! Enemy fighters have attacked an Imperial supply freighter. Freighter reports that they managed to escape but are badly damaged. Prepare to meet with the freighter, assist with repairs, and escort it through the system safely.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier3_1_b.stf', '13', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier3_1_b.stf', '14', 'title', 'Endor System: Inspect the Rebel Advanced Recon Fighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier3_1_b.stf', '15', 'title_d', 'Remain in the Endor systema nd inspect a Rebel Advanced Recon fighter that was noticed on scanners during your last mission. You need to find out why the Rebels are in this system and how they knew about the Imperial engineers\' shuttles.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier3_2.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier3_2.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier3_2.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier3_2.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier3_2.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier3_2.stf', '6', 'quest_dock_d', 'Once you have found some more information that command can use against the Rebels, dock with the scout and transfer that information to your vessel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier3_2.stf', '7', 'quest_dock_t', 'Transfer the Rebel Orders');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier3_2.stf', '8', 'quest_inspect_d', 'Disable and inspect the scout for any more data that can be used by command.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier3_2.stf', '9', 'quest_inspect_t', 'Inspect the Rebel Advanced Recon Fighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier3_2.stf', '10', 'quest_location_d', 'Intelligence has located another Rebel Advanced Recon fighter in the Endor system. Travel to the supplied navigaiton waypoint in order to find the second scout.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier3_2.stf', '11', 'quest_location_t', 'Travel to the Endor System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier3_2.stf', '12', 'split_quest_alert', 'Alert! Enemy ships detected incoming at attack speeds. Take evasive action immediately. Destroy all incoming fighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier3_2.stf', '13', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier3_2.stf', '14', 'title', 'Endor System: Inspect Another Rebel Advanced Recon Fighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier3_2.stf', '15', 'title_d', 'Travel to the Endor system and inspect another Rebel Advanced Recon fighter. Command needs more details as to the Rebel operation in the system. Intelligence has a lock on the location of another Rebel Advanced Recon fighter that seems to be a good target.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier3_2_b.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier3_2_b.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier3_2_b.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier3_2_b.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier3_2_b.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier3_2_b.stf', '6', 'quest_dock_d', 'Dock with the Rebel advanced recon freighter and transfer the reports to your vessel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier3_2_b.stf', '7', 'quest_dock_t', 'Transfer the Rebel Reports');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier3_2_b.stf', '8', 'quest_inspect_d', 'Once the vessel is disabled, inspect it and find any information that command can use.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier3_2_b.stf', '9', 'quest_inspect_t', 'Inspect the Rebel Advanced Recon Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier3_2_b.stf', '10', 'quest_location_d', 'A navigation waypoint of the Rebel advanced recon freighter will be supplied to you. Intercept and disable that vessel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier3_2_b.stf', '11', 'quest_location_t', 'Remain in the Endor System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier3_2_b.stf', '12', 'split_quest_alert', 'Transfer the data that you captured from the communications vessel to an Imperial Intelligence shuttle. Stand by for nav location information.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier3_2_b.stf', '13', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier3_2_b.stf', '14', 'title', 'Endor System: Inspect the Rebel Advanced Recon Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier3_2_b.stf', '15', 'title_d', 'It would seem that the Rebels didn\'t expect you to survive their trap. There is one of their recon freighters nearby that was coordinating the attack. Chances are good that they have the information we are after on that craft. Disable and inspect that vessel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier3_4_b.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier3_4_b.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier3_4_b.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier3_4_b.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier3_4_b.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier3_4_b.stf', '6', 'quest_dock_d', 'Dock with the Rebel command shuttle and transfer the stolen Imperial data to your vessel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier3_4_b.stf', '7', 'quest_dock_t', 'Transfer the Stolen Imperial Data');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier3_4_b.stf', '8', 'quest_inspect_d', 'Disable and inspect the Rebel command shuttle for any information that Storm Squadron can use against the Rebels.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier3_4_b.stf', '9', 'quest_inspect_t', 'Inspect the Rebel Command Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier3_4_b.stf', '10', 'quest_location_d', 'The location of the Rebel command shuttle has been found in the Endor system. A navigation waypoint to it will be supplied to you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier3_4_b.stf', '11', 'quest_location_t', 'Remain in the Endor System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier3_4_b.stf', '12', 'split_quest_alert', 'Looks like that ship had all the information that was leaked to the Alliance. We no longer need the Rebel command ship intact. Stand by for coordinates to that ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier3_4_b.stf', '13', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier3_4_b.stf', '14', 'title', 'Endor System: Inspect the Rebel Command Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier3_4_b.stf', '15', 'title_d', 'During the attack, command picked up a signal being sent from the fighters to a Rebel command shuttle. Intercept and inspect that vessel inside the Endor system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier4_1_c.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier4_1_c.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier4_1_c.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier4_1_c.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier4_1_c.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier4_1_c.stf', '6', 'quest_dock_d', 'Once you found the sector maps, dock with the disabled scout, and transfer those maps to your craft.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier4_1_c.stf', '7', 'quest_dock_t', 'Transfer the Sector Maps and Battle Plans');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier4_1_c.stf', '8', 'quest_inspect_d', 'Intercept, disable, and inspect the Rebel A-wing scout\'s databanks.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier4_1_c.stf', '9', 'quest_inspect_t', 'Inspect the Rebel A-wing Scout');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier4_1_c.stf', '10', 'quest_location_d', 'The Rebel A-wing scout is still located inside the Endor system. A navigation waypoint to its most recent location will be supplied to you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier4_1_c.stf', '11', 'quest_location_t', 'Remain in the Endor System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier4_1_c.stf', '12', 'split_quest_alert', 'Get that information back to headquarters immediately.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier4_1_c.stf', '13', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier4_1_c.stf', '14', 'title', 'Endor System: Inspect the Rebel A-wing Scout');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_imperial_tier4_1_c.stf', '15', 'title_d', 'During the battle, a Rebel A-wing scout was noticed in the area. This scout might have valuable information about the Rebel goals in this system. Disable and inspect the scout\'s databanks for any information on the Rebels intentions.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_privateer_tier3_2.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_privateer_tier3_2.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_privateer_tier3_2.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_privateer_tier3_2.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_privateer_tier3_2.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_privateer_tier3_2.stf', '6', 'quest_dock_d', 'If the craft you have inspected containes the cargo you need, use the default \'[\' or \']\' keys to cycle through their components to the engine slot.  After disabling the craft, pull up close and use the /dock command to retreive the cargo.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_privateer_tier3_2.stf', '7', 'quest_dock_t', 'Docking');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_privateer_tier3_2.stf', '8', 'quest_inspect_d', 'While you have the objective craft targeted, use /inspect command to determine their cargo.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_privateer_tier3_2.stf', '9', 'quest_inspect_t', 'Inspect Target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_privateer_tier3_2.stf', '10', 'quest_location_d', 'An area of Dathomir with known Witchblood activity');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_privateer_tier3_2.stf', '11', 'quest_location_t', 'Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_privateer_tier3_2.stf', '12', 'split_quest_alert', '\\#pcontrast3 Beissa: < \\#pcontrast1 Excellent, now that you have the location of their Punisher rally get over there and find out where the burial ground is located. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_privateer_tier3_2.stf', '13', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_privateer_tier3_2.stf', '14', 'title', 'Dathomir System: Disable and Inspect Witchblood Clan Soldiers');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_privateer_tier3_2.stf', '15', 'title_d', 'Disable the Witchblood Clan Soldier and inspect him for information about a Witchblood Punisher rally');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_privateer_tier3_2_a.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_privateer_tier3_2_a.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_privateer_tier3_2_a.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_privateer_tier3_2_a.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_privateer_tier3_2_a.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_privateer_tier3_2_a.stf', '6', 'quest_dock_d', 'To dock with a target, destroy their engines and use the /dock command');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_privateer_tier3_2_a.stf', '7', 'quest_dock_t', 'Dock Target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_privateer_tier3_2_a.stf', '8', 'quest_inspect_d', 'You can /inspect a target to determine what if any cargo they posess');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_privateer_tier3_2_a.stf', '9', 'quest_inspect_t', 'Inspect Target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_privateer_tier3_2_a.stf', '10', 'quest_location_d', 'The rally point for the Witchblood Clan Punishers');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_privateer_tier3_2_a.stf', '11', 'quest_location_t', 'Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_privateer_tier3_2_a.stf', '12', 'split_quest_alert', '\\#pcontrast3 Beissa: < \\#pcontrast1 Excellent, now get over to their burial ground.  They will be all over you there, but you must stay in the area while we carry out our operation. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_privateer_tier3_2_a.stf', '13', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_privateer_tier3_2_a.stf', '14', 'title', 'Dathomir Sytem: Inspect Witchblood Punishers for Burial Ground Location');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_privateer_tier3_2_a.stf', '15', 'title_d', 'Disrupt a gathering of Witchblood Clan Punishers and inspect them for locations to the Witchblood Clan Burial Grounds');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_privateer_tier4_3a.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_privateer_tier4_3a.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_privateer_tier4_3a.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_privateer_tier4_3a.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_privateer_tier4_3a.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_privateer_tier4_3a.stf', '6', 'quest_dock_d', 'If one of them is determiend to have the freight plans, use the /dock command after disabling them to retreive it');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_privateer_tier4_3a.stf', '7', 'quest_dock_t', 'Dock Target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_privateer_tier4_3a.stf', '8', 'quest_inspect_d', 'Inspect the local Valarian Gunships for freight plans');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_privateer_tier4_3a.stf', '9', 'quest_inspect_t', 'Valarian Gunship');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_privateer_tier4_3a.stf', '10', 'quest_location_d', 'A area of Dantooine with \'Secret\' valarian activity.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_privateer_tier4_3a.stf', '11', 'quest_location_t', 'Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_privateer_tier4_3a.stf', '12', 'split_quest_alert', '\\#pcontrast3 Nirame: < \\#pcontrast1 We are going to analyze this data.  Until then, how about putting those high prices blasters to use.  Get out to the Tatooine System, I\'ll update you with target information from there. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_privateer_tier4_3a.stf', '13', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_privateer_tier4_3a.stf', '14', 'title', 'Dantooine System: Capture the Valarian Freight Plans');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_privateer_tier4_3a.stf', '15', 'title_d', 'Disable and inspect a Valarian Gunship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_rebel_tier3_2.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_rebel_tier3_2.stf', '2', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_rebel_tier3_2.stf', '3', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_rebel_tier3_2.stf', '4', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_rebel_tier3_2.stf', '5', 'quest_dock_d', 'Dock with the disabled traitor ship and disarm that thermal bomb.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_rebel_tier3_2.stf', '6', 'quest_dock_t', 'Dock and disarm the bomb.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_rebel_tier3_2.stf', '7', 'quest_inspect_d', 'If you find a ship with a bomb or other similar device, disable it at once and dock with it to secure the threat.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_rebel_tier3_2.stf', '8', 'quest_inspect_t', 'Imperial infiltrator.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_rebel_tier3_2.stf', '9', 'quest_location_d', 'The Dathomir system is always dangerous, even when you\'re in a area controlled by us like this one so stay sharp.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_rebel_tier3_2.stf', '10', 'quest_location_t', 'Dathomir system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_rebel_tier3_2.stf', '11', 'split_quest_alert', 'Rebel Command: < We are showing multiple TIE Interceptor ships incoming, the spy must have had a hidden guard. Prepare for battle! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_rebel_tier3_2.stf', '12', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_rebel_tier3_2.stf', '13', 'title', 'Dathomir system: Investigate suspicious Rebel craft.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/tatooine_rebel_tier3_2.stf', '14', 'title_d', 'You are ordered to fly to the designated areas and inspect suspicious Rebel craft to try and catch Imperial terrorist infiltrators.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/viopa_rebel_1.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/viopa_rebel_1.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/viopa_rebel_1.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/viopa_rebel_1.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/viopa_rebel_1.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/viopa_rebel_1.stf', '6', 'quest_dock_d', 'It is the correct Imperial shuttle. Disable and dock with it so that you can hack and transfer the data to your ship, then hurry out of there.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/viopa_rebel_1.stf', '7', 'quest_dock_t', 'Correct shuttle, dock and transfer data.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/viopa_rebel_1.stf', '8', 'quest_inspect_d', 'Inspect the Imperial shuttle to make sure it got what we want. If it does and you haven\'t disabled it already, do so, then dock and transfer the data over to your ship. To target specific components on a star ship, input the bracket commands ( ] or [ ) to your tactical computer. This will all be easier if you have destroyed it\'s escort as docking under enemy fire is not recommended.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/viopa_rebel_1.stf', '9', 'quest_inspect_t', 'Inspect the Imperial \'Lambda\' shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/viopa_rebel_1.stf', '10', 'quest_location_d', 'The area of the Lok system that the stranded shuttle is in should be relatively safe from pirates. Unfortunately, the Empire is most likely sending a rescue team to the area so keep your eyes open for them. It is our hope that they have not already reached it but if they have, search the nearby area for the shuttle, destroy its escorts and disable it so you can get the data we need.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/viopa_rebel_1.stf', '11', 'quest_location_t', 'Lok system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/viopa_rebel_1.stf', '12', 'quest_update', 'Rebel Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/viopa_rebel_1.stf', '13', 'split_quest_alert', 'Rebel Command: < Scan show multiple incoming TIE fighters! Get rid of them fast and then get out of there! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/viopa_rebel_1.stf', '14', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/viopa_rebel_1.stf', '15', 'title', 'Lok system: Steal Imperial information.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/viopa_rebel_1.stf', '16', 'title_d', 'Nym pirates have found a stranded Imperial \"Lambda\" shuttle. You\'re ordered to travel to it and hack its on board computer and see if there\'s any useful information in it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/vortex_mission_1.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/vortex_mission_1.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/vortex_mission_1.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/vortex_mission_1.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/vortex_mission_1.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/vortex_mission_1.stf', '6', 'quest_dock_d', 'It\'s a trap! There\'s no scientist on board. Instead there\'s an Imperial Inquisitor posing as the scientist. Your ships sensors have indicates that he\'s swallowed a tracking device, probably hoping that you will take him back to the Vortex base.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/vortex_mission_1.stf', '7', 'quest_dock_t', 'Do not dock!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/vortex_mission_1.stf', '8', 'quest_inspect_d', 'Inspect the shuttle to make sure that it has the scientist onboard.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/vortex_mission_1.stf', '9', 'quest_inspect_t', 'Inspect the Imperial shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/vortex_mission_1.stf', '10', 'quest_location_d', 'You now have the coordinates of the ambush spot for the Imperial shuttle. The shuttle will pass through this area within a few minutes. If he\'s not there already when you arrive, search the nearby area or wait for him to arrive then ambush him.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/vortex_mission_1.stf', '11', 'quest_location_t', 'Location of ambush.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/vortex_mission_1.stf', '12', 'quest_update', 'Brother Vrovel: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/vortex_mission_1.stf', '13', 'split_quest_alert', 'It\'s a trap! That\'s not a scientist, it\'s an Imperial Inquisitor!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/vortex_mission_1.stf', '14', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/vortex_mission_1.stf', '15', 'title', 'Lok system: Kidnap the Imperial scientist.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/vortex_mission_1.stf', '16', 'title_d', 'Now that you have the location of the Imperial shuttle, your orders are to intercept it and disable it. You will then proceed to launch a space assault droid on to its hull so that it can take control of the ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/vortex_mission_4.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/vortex_mission_4.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/vortex_mission_4.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/vortex_mission_4.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/vortex_mission_4.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/vortex_mission_4.stf', '6', 'quest_dock_d', 'To transfer the shuttles travel routes and start location, dock with him as soon as he\'s disabled and you have inspected him to make sure it\'s the correct ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/vortex_mission_4.stf', '7', 'quest_dock_t', 'Transfer the travel routes.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/vortex_mission_4.stf', '8', 'quest_inspect_d', 'The officer is travelling in an Imperial shuttle class \'Lambda\'. If it\'s not at this location when you arrive there, search the nearby area and find a good spot to ambush the shuttle from when it arrives. Disable the ships engine or reactor and get the travel routes from the shuttles navigation computer. To target specific components on a star ship, input the bracket commands ( ] or [ ) to your tactical computer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/vortex_mission_4.stf', '9', 'quest_inspect_t', 'Imperial officer shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/vortex_mission_4.stf', '10', 'quest_location_d', 'Quickly travel to the system of Dantooine to intercept the Imperial officer. When you arrive in the system, we will update your navigation computer with the correct coordinates for the interception. We don\'t have a confirmation on when the officers shuttle will pass these coordinates but our recon ship monitoring the area says he hasn\'t yet. When you get to the location wait until the shuttle appears and proceed with the ambush.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/vortex_mission_4.stf', '11', 'quest_location_t', 'Dantooine system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/vortex_mission_4.stf', '12', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/vortex_mission_4.stf', '13', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/vortex_mission_4.stf', '14', 'title', 'Dantooine system: Steal location of Imperial Research Project.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/vortex_mission_4.stf', '15', 'title_d', 'Your orders are to ambush the Imperial Officers shuttle and get the location of where the ship took off from by hacking its onboard computer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/yavin_rebel_14.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/yavin_rebel_14.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/yavin_rebel_14.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/yavin_rebel_14.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/yavin_rebel_14.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/yavin_rebel_14.stf', '6', 'quest_dock_d', 'Dock and let your droid hack their computer for the patrol routes. If you haven\'t destroyed its escort already, it\'s probably a good idea to do so before docking.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/yavin_rebel_14.stf', '7', 'quest_dock_t', 'Steal the patrol route data.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/yavin_rebel_14.stf', '8', 'quest_inspect_d', 'Inspect the shuttle to make sure it has the routes of the Imperial patrols. If it does, disable it and dock to transfer the data. To target specific components on a star ship, input the bracket commands ( ] or [ ) to your tactical computer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/yavin_rebel_14.stf', '9', 'quest_inspect_t', 'Inspect the shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/yavin_rebel_14.stf', '10', 'quest_location_d', 'With the heavy Imperial presence in the Yavin system that shuttle won\'t stay immobile for long. If it\'s not at the location when you get there the rescue team already got to it. If so, search the nearby area until you find it, destroy its escort, disable, inspect and dock with it if it\'s the correct shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/yavin_rebel_14.stf', '11', 'quest_location_t', 'Yavin system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/yavin_rebel_14.stf', '12', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/yavin_rebel_14.stf', '13', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/yavin_rebel_14.stf', '14', 'title', 'Yavin system: Steal patrol routes from Imperial spy shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/yavin_rebel_14.stf', '15', 'title_d', 'An Imperial shuttle has malfunctioned in the Yavin system. The Alliance need to establish a new blockade run and by getting data from this spy shuttle that should be a lot easier. It won\'t stay immobilized for long though as the Empire without a doubt has sent a rescue team.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/yavin_rebel_15.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/yavin_rebel_15.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/yavin_rebel_15.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/yavin_rebel_15.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/yavin_rebel_15.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/yavin_rebel_15.stf', '6', 'quest_dock_d', 'The clever Empire has wired the whole shuttle with a self destruct system. They would rather have the database blown to pieces than fall in our hands. Ignore the shuttle, destroy the Imperial ambush and get out of there!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/yavin_rebel_15.stf', '7', 'quest_dock_t', 'Error in the plan.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/yavin_rebel_15.stf', '8', 'quest_inspect_d', 'Inspect the Imperial shuttle to make sure it has what we need. If it does, disable its engines or reactor if you haven\'t already. To target specific components on a star ship, input the bracket commands ( ] or [ ) to your tactical computer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/yavin_rebel_15.stf', '9', 'quest_inspect_t', 'Make sure it\'s the right shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/yavin_rebel_15.stf', '10', 'quest_location_d', 'Always be careful in the Lok system. The system is infested with pirate activity and even though the Nym pirates don\'t bother us there\'s plenty of other pirate clans that will jump at the chance of destroying a lone fighter. When you get to the waypoint, search the nearby area for the shuttle as it may not have arrived at those coordinates yet.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/yavin_rebel_15.stf', '11', 'quest_location_t', 'Lok system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/yavin_rebel_15.stf', '12', 'quest_update', 'Rebel Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/yavin_rebel_15.stf', '13', 'split_quest_alert', 'Rebel Command: < The shuttle is wired with a self destruct system. Detecting incoming Imperial Fighters, destroy them! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/yavin_rebel_15.stf', '14', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/yavin_rebel_15.stf', '15', 'title', 'Lok system: Intercept and steal data from Imperial recovery shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/inspect/yavin_rebel_15.stf', '16', 'title_d', 'A part of the database on the Death Star space station has been found fairly intact in the debris floating around the moon of Yavin 4. Unfortunately the Empire has already recovered it and are shipping it through the Lok system right now.. Your job is to steal it from them.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_1.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_1.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_1.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_1.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_1.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_1.stf', '6', 'quest_location_d', 'Travel to the Corellia system and follow the patrol navigation waypoints. As you reach one navigation waypoint, you will get a new waypoint to the next location on the patrol route.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_1.stf', '7', 'quest_location_t', 'Travel to the Corellian System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_1.stf', '8', 'quest_patrol1_d', 'Head to the first waypoint. This route will take you past the busiest shipping lane in Corellian space. The Corellia Star Lane serves thousands of ships heading to and from Corellia every day. It is highly doubtful that rebels will choose to stike at this location with the sheer number of ships around.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_1.stf', '9', 'quest_patrol1_t', 'Travel to the First Stop');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_1.stf', '10', 'quest_patrol2_d', 'Head towards the second waypoint set to your Nav computer. You will fly by the shipping lanes serving primarly serving trade between the duel worlds and Corellia, the Solar Skyway. Rebels probably will not risk an attack in this sector due to the high level of local traffic. They probably will not risk an accident.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_1.stf', '11', 'quest_patrol2_t', 'Travel to the Second Stop');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_1.stf', '12', 'quest_patrol3_d', 'This Nav waypoint will take you by the shadier routes that are commonly used by Corellia\'s many smuggler pilots. The locals usually refer to it as the Invisible Highway since Corsec\'s either don\'t see or don\'t choose to see what takes place there. ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_1.stf', '13', 'quest_patrol3_t', 'Travel to the Third Stop');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_1.stf', '14', 'quest_patrol4_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_1.stf', '15', 'quest_patrol4_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_1.stf', '16', 'quest_patrol5_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_1.stf', '17', 'quest_patrol5_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_1.stf', '18', 'quest_patrol6_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_1.stf', '19', 'quest_patrol6_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_1.stf', '20', 'quest_patrol7_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_1.stf', '21', 'quest_patrol7_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_1.stf', '22', 'quest_patrol8_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_1.stf', '23', 'quest_patrol8_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_1.stf', '24', 'quest_patrol9_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_1.stf', '25', 'quest_patrol9_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_1.stf', '26', 'quest_patrol_d', 'When you reach a patrol waypoint you will receive a new one to your next location. Follow each of the patrol waypoints until you reach the end of your patrol.  This is the first of four special assignments given to you by Hakasha Sireen. When you complete this mission, return to Hakasha Sireen at the Imperial Base on Talus for your next assignment.  After you complete these four special assignments, Hakasha Sireen will train you in a new Imperial Pilot skill.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_1.stf', '27', 'quest_patrol_t', 'Follow the Patrol Route');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_1.stf', '28', 'quest_target_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_1.stf', '29', 'quest_target_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_1.stf', '30', 'quest_update', '\\#pcontrast1 Imperial High Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_1.stf', '31', 'split_quest_alert', 'Incoming unidentified fighers with active weapon systems. Destroy all attacking craft.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_1.stf', '32', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_1.stf', '33', 'title', 'Corellia System: Patrol the Corellia System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_1.stf', '34', 'title_d', 'Run a patrol route in the Corellia system in order to bait a Rebel attack on your craft. Once you arrive in the Corellia system you will receive a navigation waypoint to the first stop on the patrol route. Travel to this waypoint. Once you arrive the navigation waypoint will update to the next stop on the patrol route. Continue following these navigation waypoints until you have completed the patrol. When you complete this mission, return to Hakasha Sireen at the Imperial Base on Talus for your next assignment.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_15.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_15.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_15.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_15.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_15.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_15.stf', '6', 'quest_location_d', 'Travel to the Corellia system and follow the patrol navigation waypoints. As you reach one navigation waypoint, you will get a new waypoint to the next location on the patrol route.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_15.stf', '7', 'quest_location_t', 'Travel to the Corellian System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_15.stf', '8', 'quest_patrol_d', 'When you reach a navigation waypoint you will receive a new one to the next location. Follow the patrol waypoints until you come to the end of your patrol.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_15.stf', '9', 'quest_patrol_t', 'Follow the Patrol Route');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_15.stf', '10', 'quest_target_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_15.stf', '11', 'quest_target_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_15.stf', '12', 'split_quest_alert', 'Alert! Rebel craft detected in the area.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_15.stf', '13', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_15.stf', '14', 'splitquestbody', 'Local space scanning craft have detected a group of Rebel X-wing in your vicinity.  Your orders are to destroy them completely.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_15.stf', '15', 'splitquestfrom', 'Black Epsilon Command');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_15.stf', '16', 'splitquestsubject', 'Rebel Craft Detected');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_15.stf', '17', 'title', 'Corellia System: Patrol the Corellia System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_15.stf', '18', 'title_d', 'Black Epsilon wants to keep it\'s advantage in the region. In order to do that they need to make patrols of the region keeping a close watch out for Rebel activity. You are to make a patrol of Corellian space scanning for Rebel ships.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_tier3_1.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_tier3_1.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_tier3_1.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_tier3_1.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_tier3_1.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_tier3_1.stf', '6', 'quest_location_d', 'Travel to the Yavin system and follow the patrol navigation waypoints. As you reach one navigation waypoint, you will get a new waypoint to the next location on the patrol route.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_tier3_1.stf', '7', 'quest_location_t', 'Travel to the Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_tier3_1.stf', '8', 'quest_patrol_d', 'When you reach a navigation waypoint you will receive a new one to the next location. Follow the patrol waypoints until you come to the end of your patrol.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_tier3_1.stf', '9', 'quest_patrol_t', 'Follow the Patrol Route');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_tier3_1.stf', '10', 'quest_target_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_tier3_1.stf', '11', 'quest_target_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_tier3_1.stf', '12', 'split_quest_alert', 'Scans indicate a Rebel officer nearby. Disable and inspect the rebel officer for any information relating to their alliance with Nym.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_tier3_1.stf', '13', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_tier3_1.stf', '14', 'title', 'Yavin System: Patrol the Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_tier3_1.stf', '15', 'title_d', 'An Alliance has been built between the Rebels and Nym. Their combined forces are causing a great deal of havok with the Imperial salvage operation in the Yavin system. Black Epsilon has been brought  in to try force Nym to break off his direct alliance with the Rebellion. In order to start this operation command needs to gather intelligence on thier joint operation so you are going out on patrol to find a Rebel officer who might have access to that information.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_tier3_1b.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_tier3_1b.stf', '2', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_tier3_1b.stf', '3', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_tier3_1b.stf', '4', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_tier3_1b.stf', '5', 'quest_location_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_tier3_1b.stf', '6', 'quest_location_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_tier3_1b.stf', '7', 'quest_patrol_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_tier3_1b.stf', '8', 'quest_patrol_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_tier3_1b.stf', '9', 'quest_target_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_tier3_1b.stf', '10', 'quest_target_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_tier3_1b.stf', '11', 'split_quest_alert', 'Stand by for splitquest');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_tier3_1b.stf', '12', 'title', 'On the Prowl');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_tier3_1b.stf', '13', 'title_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_tier4_1.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_tier4_1.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_tier4_1.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_tier4_1.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_tier4_1.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_tier4_1.stf', '6', 'quest_location_d', 'Travel to the Dantooine system and follow the patrol navigation waypoints. As you reach one navigation waypoint, you will get a new waypoint to the next location on the patrol route.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_tier4_1.stf', '7', 'quest_location_t', 'Travel to the Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_tier4_1.stf', '8', 'quest_patrol_d', 'When you reach a navigation waypoint you will receive a new one to the next location. Follow the patrol waypoints until you come to the end of your patrol.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_tier4_1.stf', '9', 'quest_patrol_t', 'Follow the Patrol Route');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_tier4_1.stf', '10', 'quest_target_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_tier4_1.stf', '11', 'quest_target_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_tier4_1.stf', '12', 'split_quest_alert', 'Your patrol has revealed a Velocity ship with officer markings. Capture and inspect that ship for any information about the mercenaries plot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_tier4_1.stf', '13', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_tier4_1.stf', '14', 'title', 'Dantooine System: Patrol the Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_tier4_1.stf', '15', 'title_d', 'Insurgent has sent you out on a patrol to investigate the movements of the Velocity mercenary fighters in the region. If you are able to locate an officer you are to disable and inspect that officer\'s computer database.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_tier4_3_b.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_tier4_3_b.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_tier4_3_b.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_tier4_3_b.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_tier4_3_b.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_tier4_3_b.stf', '6', 'quest_location_d', 'Remain in the Dathomir system and follow the patrol navigation waypoints. As you reach one navigation waypoint, you will get a new waypoint to the next location on the patrol route.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_tier4_3_b.stf', '7', 'quest_location_t', 'Remain in the Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_tier4_3_b.stf', '8', 'quest_patrol_d', 'When you reach a navigation waypoint you will receive a new one to the next location. Follow the patrol waypoints until you come to the end of your patrol.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_tier4_3_b.stf', '9', 'quest_patrol_t', 'Follow the Patrol Route');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_tier4_3_b.stf', '10', 'quest_target_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_tier4_3_b.stf', '11', 'quest_target_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_tier4_3_b.stf', '12', 'split_quest_alert', 'Scans indicate a ship bearing the markings of an officer located. Disable and inspect that ship for their order data.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_tier4_3_b.stf', '13', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_tier4_3_b.stf', '14', 'title', 'Dathomir System: Patrol the Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_imperial_tier4_3_b.stf', '15', 'title_d', 'The drop ship pilot\'s description of the enemy flight leader has peeked Insurgent\'s interest. You are to patrol the region and look for any sign of the enemy. Be on the look out for any enemy officers that might have more information on the enemy flight leader.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_1.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_1.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_1.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_1.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_1.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_1.stf', '6', 'quest_location_d', 'Corellia System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_1.stf', '7', 'quest_location_t', 'Corellia System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_1.stf', '8', 'quest_patrol_d', 'When you reach a patrol waypoint you will receive a new one to your next location. Follow each of the patrol waypoints until you reach the end of your patrol.  This is the first of four special assignments given to you by Sergeant Rhea. When you complete this mission, return to Sergeant Rhea in Coronet for your next assignment.  After you complete these four special assignments, Sergeant Rhea will train you in a new Pilot skill.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_1.stf', '9', 'quest_patrol_t', 'Trade Route X143');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_1.stf', '10', 'quest_target_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_1.stf', '11', 'quest_target_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_1.stf', '12', 'quest_update', 'CorSec Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_1.stf', '13', 'split_quest_alert', '\\#pcontrast3 Tactical Computer: <\\#pcontrast1Pirate wing detected.  They are moving to attack!\\#pcontrast3>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_1.stf', '14', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_1.stf', '15', 'title', 'Corellia System: Patrol Corellia Trade Route X143');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_1.stf', '16', 'title_d', 'Patrol for pirates in the Corellia System. When you complete this mission, return to Sergeant Rhea in Coronet for your next assignment.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_3.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_3.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_3.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_3.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_3.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_3.stf', '6', 'quest_location_d', 'Patrol route in the Corellia System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_3.stf', '7', 'quest_location_t', 'Corellia System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_3.stf', '8', 'quest_patrol_d', 'Travel to this location');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_3.stf', '9', 'quest_patrol_t', 'Patrol Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_3.stf', '10', 'quest_target_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_3.stf', '11', 'quest_target_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_3.stf', '12', 'quest_update', 'CorSec Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_3.stf', '13', 'split_quest_alert', '\\#pcontrast3CorSec Command: <\\#pcontrast1We have received a distress call from a Freighter, he\'s being chased by pirates. Help him out immediately!\\#pcontrast3>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_3.stf', '14', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_3.stf', '15', 'title', 'Corellia System: Patrol Corellia Space Sector IV-3121');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_3.stf', '16', 'title_d', 'Patrol for Illegal Activity. When you complete this mission, return to Sergeant Rhea in Coronet for your next assignment.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_tier3_1_a.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_tier3_1_a.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_tier3_1_a.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_tier3_1_a.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_tier3_1_a.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_tier3_1_a.stf', '6', 'quest_location_d', 'Patrol route between multiple Endor trade lanes');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_tier3_1_a.stf', '7', 'quest_location_t', 'Endor System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_tier3_1_a.stf', '8', 'quest_patrol_d', 'Travel to this location');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_tier3_1_a.stf', '9', 'quest_patrol_t', 'Patrol Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_tier3_1_a.stf', '10', 'quest_target_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_tier3_1_a.stf', '11', 'quest_target_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_tier3_1_a.stf', '12', 'split_quest_alert', ' \\#pcontrast3 CorSec command: < \\#pcontrast1 We\'ve received news that a damaged transport is along this supply line. Escort the ship and its crew to the nearest safe location. We suspect there\'s enemy activity. Be wary. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_tier3_1_a.stf', '13', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_tier3_1_a.stf', '14', 'title', 'Endor System: Patrol Supply Line');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_tier3_1_a.stf', '15', 'title_d', 'Patrol Endor space lanes for possible hostile activity');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_tier3_3_a.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_tier3_3_a.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_tier3_3_a.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_tier3_3_a.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_tier3_3_a.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_tier3_3_a.stf', '6', 'quest_location_d', 'Estimated jump points in the Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_tier3_3_a.stf', '7', 'quest_location_t', 'Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_tier3_3_a.stf', '8', 'quest_patrol_d', 'Stay on this path until more information can be provided');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_tier3_3_a.stf', '9', 'quest_patrol_t', 'Patrol Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_tier3_3_a.stf', '10', 'quest_target_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_tier3_3_a.stf', '11', 'quest_target_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_tier3_3_a.stf', '12', 'split_quest_alert', '\\#pcontrast3 CorSec Command: < \\#pcontrast1 Here they come, you should be able to detect their hyperspace signatures.  Good luck, you will need it. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_tier3_3_a.stf', '13', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_tier3_3_a.stf', '14', 'title', 'Dantooine System: Follow the Patrol to get into position for the attack');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_tier3_3_a.stf', '15', 'title_d', 'Follow the Patrol to get into position for the attack');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_tier4_1a.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_tier4_1a.stf', '2', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_tier4_1a.stf', '3', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_tier4_1a.stf', '4', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_tier4_1a.stf', '5', 'quest_location_d', 'A patrol route in the Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_tier4_1a.stf', '6', 'quest_location_t', 'Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_tier4_1a.stf', '7', 'quest_patrol_d', 'Travel here to complete the patrol');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_tier4_1a.stf', '8', 'quest_patrol_t', 'Patrol Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_tier4_1a.stf', '9', 'quest_target_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_tier4_1a.stf', '10', 'quest_target_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_tier4_1a.stf', '11', 'split_quest_alert', '\\#pcontrast3 CorSec Command: < \\#pcontrast1 We have located the signature of a Black Sun patrol near your area. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_tier4_1a.stf', '12', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_tier4_1a.stf', '13', 'title', 'Dantooine System: Patrol for the Blacksun Pirate');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_privateer_tier4_1a.stf', '14', 'title_d', 'Run a patrol through Dantooine space, keep an eye on the radar for Black Sun pirates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_1.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_1.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_1.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_1.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_1.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_1.stf', '6', 'quest_location_d', 'The Alliance has designed a new munitions transport route here in the Corellia system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_1.stf', '7', 'quest_location_t', 'Corellia system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_1.stf', '8', 'quest_patrol1_d', 'Verify that the newly appointed Alliance munitions transport route is safe. Eliminate any hostiles that engage you along the way.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_1.stf', '9', 'quest_patrol1_t', 'New Transport Route: Alpha');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_1.stf', '10', 'quest_patrol2_d', 'Fly to this nav point and continue verification of the new route.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_1.stf', '11', 'quest_patrol2_t', 'New Transport Route: Bravo');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_1.stf', '12', 'quest_patrol3_d', 'Fly to this nav point and continue verification of the new route.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_1.stf', '13', 'quest_patrol3_t', 'New Transport Route: Gamma');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_1.stf', '14', 'quest_patrol4_d', 'Fly to this nav point and continue verification of the new route.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_1.stf', '15', 'quest_patrol4_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_1.stf', '16', 'quest_patrol5_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_1.stf', '17', 'quest_patrol5_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_1.stf', '18', 'quest_patrol6_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_1.stf', '19', 'quest_patrol6_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_1.stf', '20', 'quest_patrol7_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_1.stf', '21', 'quest_patrol7_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_1.stf', '22', 'quest_patrol8_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_1.stf', '23', 'quest_patrol8_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_1.stf', '24', 'quest_patrol9_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_1.stf', '25', 'quest_patrol9_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_1.stf', '26', 'quest_patrol_d', 'When you reach a patrol waypoint you will receive a new one to your next location. Follow each of the patrol waypoints until you reach the end of your patrol.  This is the first of four special assignments given to you by Captain Kreezo. When you complete this mission, return to Captain Kreezo in Tyrena for your next assignment.  After you complete these four special assignments, Captain Kreezo will train you in a new Rebel Alliance Pilot skill.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_1.stf', '27', 'quest_patrol_t', 'Waypoint updates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_1.stf', '28', 'quest_target_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_1.stf', '29', 'quest_target_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_1.stf', '30', 'split_quest_alert', 'Rebel Command: < We are picking up Imperial fighter ship signatures. Prepare to defend yourself pilot! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_1.stf', '31', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_1.stf', '32', 'title', 'Corellia system: Evaluate new transport route.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_1.stf', '33', 'title_d', 'Evaluate new transport route. We\'re trying to find a new safe route in the Corellia system and need your help scouting possible routes. When you complete this mission, return to Captain Kreezo in Tyrena for your next assignment.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_3.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_3.stf', '2', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_3.stf', '3', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_3.stf', '4', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_3.stf', '5', 'quest_location_d', 'The Corellia system is fairly safe from Imperial contact but you can\'t relax, the Empire is not non existant and pirates can be found anywhere in the galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_3.stf', '6', 'quest_location_t', 'Corellia system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_3.stf', '7', 'quest_patrol1_d', 'Fly to this navigation point in earch of a lost refugee transport.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_3.stf', '8', 'quest_patrol1_t', 'Search and Rescue: Alpha');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_3.stf', '9', 'quest_patrol2_d', 'Continue your search for a lost refugee transport at this nav point.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_3.stf', '10', 'quest_patrol2_t', 'Search and Rescue: Bravo');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_3.stf', '11', 'quest_patrol3_d', 'Fly to this nav point and continue your search for a lost refugee transport');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_3.stf', '12', 'quest_patrol3_t', 'Search and Rescue: Gamma');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_3.stf', '13', 'quest_patrol4_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_3.stf', '14', 'quest_patrol4_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_3.stf', '15', 'quest_patrol5_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_3.stf', '16', 'quest_patrol5_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_3.stf', '17', 'quest_patrol6_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_3.stf', '18', 'quest_patrol6_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_3.stf', '19', 'quest_patrol7_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_3.stf', '20', 'quest_patrol7_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_3.stf', '21', 'quest_patrol8_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_3.stf', '22', 'quest_patrol8_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_3.stf', '23', 'quest_patrol9_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_3.stf', '24', 'quest_patrol9_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_3.stf', '25', 'quest_patrol_d', 'Waypoints of the search route will be provided to your nav computer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_3.stf', '26', 'quest_patrol_t', 'Patrol Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_3.stf', '27', 'quest_target_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_3.stf', '28', 'quest_target_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_3.stf', '29', 'split_quest_alert', 'Our sensors have picked up one of the transports! Stand by for orders.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_3.stf', '30', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_3.stf', '31', 'title', 'Corellia system: Search for lost refugee transports.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_3.stf', '32', 'title_d', 'Search for lost refugee transports. We will provide you with waypoints to possible locations. Follow them and keep your eyes peeled. When you complete this mission, return to Captain Kreezo in Tyrena for your next assignment.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_tier3_1_a.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_tier3_1_a.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_tier3_1_a.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_tier3_1_a.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_tier3_1_a.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_tier3_1_a.stf', '6', 'quest_location_d', 'Moving this massive fleet out of the Yavin system will be very difficult. There\'s an enormous Imperial presence in this system. It is our hope that you will clear any small patrols of Imperial ships and the Empire will just take it as a minor attack and not send a big backup before the fleet can sneak out.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_tier3_1_a.stf', '7', 'quest_location_t', 'Yavin system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_tier3_1_a.stf', '8', 'quest_patrol_d', 'We are uploading the coordinates of the blockade run on the fly. Follow the waypoints as they appear and terminate any Imperial presence quickly.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_tier3_1_a.stf', '9', 'quest_patrol_t', 'Follow the uploaded coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_tier3_1_a.stf', '10', 'quest_target_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_tier3_1_a.stf', '11', 'quest_target_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_tier3_1_a.stf', '12', 'split_quest_alert', 'Rebel Command: < Scans show a Imperial patrol heading in your direction. Take them out before they spot our fleet. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_tier3_1_a.stf', '13', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_tier3_1_a.stf', '14', 'title', 'Yavin system: Clear escape route in front of escaping Rebel fleet.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_tier3_1_a.stf', '15', 'title_d', 'Even though the captured the spy, the presence of Imperial fighters shows that he had already managed to contact his contractors. We can\'t take any chances and need to do a emergency evacuation of our fleet. You need to help by clearing out any Imperial ships in the escape route. Travel ahead of the fleet and purge any Imperial ships you come across.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_tier3_4_a.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_tier3_4_a.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_tier3_4_a.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_tier3_4_a.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_tier3_4_a.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_tier3_4_a.stf', '6', 'quest_location_d', 'The Endor system seem to have more Imperial fighters than asteroids lately so it doesn\'t take a genius to guess what happened to Magenta squadron but we don\'t leave anyone behind if we can help it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_tier3_4_a.stf', '7', 'quest_location_t', 'Endor system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_tier3_4_a.stf', '8', 'quest_patrol_d', 'Search the designated area for any sign of what happened to Magenta squadron.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_tier3_4_a.stf', '9', 'quest_patrol_t', 'Last area of contact from Magenta squadron.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_tier3_4_a.stf', '10', 'quest_target_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_tier3_4_a.stf', '11', 'quest_target_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_tier3_4_a.stf', '12', 'split_quest_alert', 'Tactical Computer: < Sensors show several incoming fighter vessels, their targeting systems is trying to lock on this vessel. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_tier3_4_a.stf', '13', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_tier3_4_a.stf', '14', 'title', 'Endor system: Investigate area where Magenta squadron vanished.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/corellia_rebel_tier3_4_a.stf', '15', 'title_d', 'We have lost contact with one of our squadrons and it is our hope that you can find them, or at least find out what happened to them. Search the area where they were last heard from.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_1.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_1.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_1.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_1.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_1.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_1.stf', '6', 'quest_location_d', 'Travel to the Naboo system and follow the patrol navigation waypoints. As you reach one navigation waypoint, you will get a new waypoint to the next location on the patrol route.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_1.stf', '7', 'quest_location_t', 'Travel to the Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_1.stf', '8', 'quest_patrol1_d', 'Fly to the first stop on the patrol. This patrol path will lead you by the famed Imperial Intergalatic Lanes. The Lanes are used primarily by dignitaries and officers of the Empire. This area is well patrolled and trouble rarely happens in this region. Once you have reached your location you will receive a new Nav point leading to your next stop.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_1.stf', '9', 'quest_patrol1_t', 'Traveling to the First Stop');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_1.stf', '10', 'quest_patrol2_d', 'Fly to the second stop on your patrol. You will fly past the Green Spaceway on your path to the second Nav point. The Green Spaceway is used primarily by passenger transports and freighter on their way to Naboo. This space lane is slightly less safe then the Imperial Intergalatic Lanes but is still far safer then anywhere along the Outer Rim.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_1.stf', '11', 'quest_patrol2_t', 'Traveling to the Second Stop');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_1.stf', '12', 'quest_patrol3_d', 'Fly to the third stop on the patrol. If there is a rough part of Naboo, then the Undercart is it. Smugglers, pirates, and ne\'er-do-wells often use this space lane to reach Naboo in order to bypass Imperial checkpoints. This is the most dangerous part of the patrol.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_1.stf', '13', 'quest_patrol3_t', 'Traveling to the Third Stop');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_1.stf', '14', 'quest_patrol4_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_1.stf', '15', 'quest_patrol4_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_1.stf', '16', 'quest_patrol5_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_1.stf', '17', 'quest_patrol5_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_1.stf', '18', 'quest_patrol6_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_1.stf', '19', 'quest_patrol6_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_1.stf', '20', 'quest_patrol7_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_1.stf', '21', 'quest_patrol7_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_1.stf', '22', 'quest_patrol8_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_1.stf', '23', 'quest_patrol8_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_1.stf', '24', 'quest_patrol9_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_1.stf', '25', 'quest_patrol9_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_1.stf', '26', 'quest_patrol_d', 'When you reach a patrol waypoint you will receive a new one to your next location. Follow each of the patrol waypoints until you reach the end of your patrol.  This is the first of four special assignments given to you by Lt. Barn Sinkko. When you complete this mission, return to Lt. Barn Sinkko in Kadaara for your next assignment.  After you complete these four special assignments, Lt. Barn Sinkko will train you in a new Imperial Pilot skill.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_1.stf', '27', 'quest_patrol_t', 'Follow the Patrol Route');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_1.stf', '28', 'quest_target_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_1.stf', '29', 'quest_target_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_1.stf', '30', 'split_quest_alert', 'Warning! Enemy ships detected. Destroy the attacking enemy craft.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_1.stf', '31', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_1.stf', '32', 'title', 'Naboo System: Patrol the Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_1.stf', '33', 'title_d', 'Run a patrol route in the Naboo system in order to keep a watch out for trouble. Once you arrive in the Naboo system you will receive a navigation waypoint to the first stop on the patrol route. Travel to this waypoint. Once you arrive the navigation waypoint will update to the next stop on the patrol route. Continue following these navigation waypoints until you have completed the patrol. When you complete this mission, return to Lt. Barn Sinkko in Kadaara for your next assignment.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_3.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_3.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_3.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_3.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_3.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_3.stf', '6', 'quest_location_d', 'Travel to the Naboo system and follow the patrol navigation waypoints. As you reach one navigation waypoint, you will get a new waypoint to the next location on the patrol route.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_3.stf', '7', 'quest_location_t', 'Travel to the Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_3.stf', '8', 'quest_patrol1_d', 'Travel along the Green Spaceway until you reach your first patrol point. You will receive a second Nav waypoint once you reach this location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_3.stf', '9', 'quest_patrol1_t', 'Travel to the First Stop');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_3.stf', '10', 'quest_patrol2_d', 'You will be traveling past an unused shipping lane on your way to the second patrol point. This shipping lane was closed down by the Empire to decrease the amount of checkpoints they had to man. This increased traffic along the other space lanes but decreased the cost to the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_3.stf', '11', 'quest_patrol2_t', 'Travel to the Second Stop');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_3.stf', '12', 'quest_patrol3_d', 'As you travel to the third patrol point you will have to pass through an area in Naboo called Free Space. It is so named because patrols rarely come out this far and it has become a haven for illegal activity. Be on your guard as you pass through this region.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_3.stf', '13', 'quest_patrol3_t', 'Travel to the Third Stop');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_3.stf', '14', 'quest_patrol4_d', 'The fourth Nav waypoint will take you closer to the Rori Lines. The Rori Lines connect commerical shipping between Naboo and it\'s moon. A number of ships use this as an arrival location due to it\'s relative safety and low traffic.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_3.stf', '15', 'quest_patrol4_t', 'Travel to the Fourth Stop');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_3.stf', '16', 'quest_patrol5_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_3.stf', '17', 'quest_patrol5_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_3.stf', '18', 'quest_patrol6_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_3.stf', '19', 'quest_patrol6_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_3.stf', '20', 'quest_patrol7_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_3.stf', '21', 'quest_patrol7_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_3.stf', '22', 'quest_patrol8_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_3.stf', '23', 'quest_patrol8_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_3.stf', '24', 'quest_patrol9_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_3.stf', '25', 'quest_patrol9_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_3.stf', '26', 'quest_patrol_d', 'When you reach a navigation waypoint you will receive a new one to the next location. Follow the patrol waypoints until you come to the end of your patrol.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_3.stf', '27', 'quest_patrol_t', 'Follow the Patrol Route');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_3.stf', '28', 'quest_target_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_3.stf', '29', 'quest_target_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_3.stf', '30', 'split_quest_alert', 'Stand by for arrival location of the E-62 transport freighter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_3.stf', '31', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_3.stf', '32', 'title', 'Naboo System: Meet the E-62 Transport Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_3.stf', '33', 'title_d', 'Travel the assigned security patrol route until you are contacted by the Imperial freighter carrying the E-62\'s. Once you have made contact with the vessel escort it safely through the zone, paying close attention for Rebel activity. It is highly possible you will be attacked while escorting the vessel. When you complete this mission, return to Lt. Barn Sinkko in Kadaara for your next assignment.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_tier3_2_d.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_tier3_2_d.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_tier3_2_d.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_tier3_2_d.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_tier3_2_d.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_tier3_2_d.stf', '6', 'quest_location_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_tier3_2_d.stf', '7', 'quest_location_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_tier3_2_d.stf', '8', 'quest_patrol_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_tier3_2_d.stf', '9', 'quest_patrol_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_tier3_2_d.stf', '10', 'quest_target_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_tier3_2_d.stf', '11', 'quest_target_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_tier3_2_d.stf', '12', 'split_quest_alert', 'Imperial High Command:<Calling all Imperial pilots. 3rd wing has encountered heavy rebel resistance. All available pilots are to proceed immediately to the following location.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_tier3_2_d.stf', '13', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_tier3_2_d.stf', '14', 'title', 'Keeping Watch');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_tier3_2_d.stf', '15', 'title_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_tier4_1.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_tier4_1.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_tier4_1.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_tier4_1.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_tier4_1.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_tier4_1.stf', '6', 'quest_location_d', 'Travel to the Dathomir system and follow the patrol navigation waypoints. As you reach one navigation waypoint, you will get a new waypoint to the next location on the patrol route.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_tier4_1.stf', '7', 'quest_location_t', 'Travel to the Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_tier4_1.stf', '8', 'quest_patrol_d', 'When you reach a navigation waypoint you will receive a new one to the next location. Follow the patrol waypoints until you come to the end of your patrol.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_tier4_1.stf', '9', 'quest_patrol_t', 'Follow the Patrol Route');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_tier4_1.stf', '10', 'quest_target_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_tier4_1.stf', '11', 'quest_target_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_tier4_1.stf', '12', 'split_quest_alert', 'Alert! Unauthorized vessel suspected of smuggling attempting to leave system. Detain vessel and inspect its contents.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_tier4_1.stf', '13', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_tier4_1.stf', '14', 'title', 'Dathomir System: Patrol the Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_imperial_tier4_1.stf', '15', 'title_d', 'The Inquisition has been alerted to higher levels of unauthorized activity in the Dathomir system. They want to find out what this activity is and who is behind it. You are to patrol the Dathomir system and keep your eyes open for any suspicious activity.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_1.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_1.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_1.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_1.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_1.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_1.stf', '6', 'quest_location_d', 'Multiple points through the Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_1.stf', '7', 'quest_location_t', 'Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_1.stf', '8', 'quest_patrol_d', 'When you reach a patrol waypoint you will receive a new one to your next location. Follow each of the patrol waypoints until you reach the end of your patrol.  This is the first of four special assignments given to you by Captain Dinge of the RSF. When you complete this mission, return to Captain Dinge in the Theed Palace for your next assignment.  After you complete these four special assignments, Captain Dinge will train you in a new Pilot skill.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_1.stf', '9', 'quest_patrol_t', 'Patrol Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_1.stf', '10', 'quest_target_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_1.stf', '11', 'quest_target_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_1.stf', '12', 'quest_update', 'RSF Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_1.stf', '13', 'split_quest_alert', '\\#pcontrast3 RSF Command: < \\#pcontrast1 Pirate wing detected.  They are moving to attack! \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_1.stf', '14', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_1.stf', '15', 'title', 'Naboo System: Patrol Naboo \"Crystal\" Sector');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_1.stf', '16', 'title_d', 'Run a patrol through the Naboo System. When you complete this mission, return to Captain Dinge in the Theed Palace for your next assignment.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_3.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_3.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_3.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_3.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_3.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_3.stf', '6', 'quest_location_d', 'Patrol through the Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_3.stf', '7', 'quest_location_t', 'Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_3.stf', '8', 'quest_patrol_d', 'When you reach a patrol waypoint you will receive a new one to your next location. Follow each of the patrol waypoints until you reach the end of your patrol.  This is the third of four special assignments given to you by Captain Dinge of the RSF. When you complete this mission, return to Captain Dinge in the Theed Palace for your next assignment.  After you complete these four special assignments, Captain Dinge will train you in a new Pilot skill.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_3.stf', '9', 'quest_patrol_t', 'Patrol Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_3.stf', '10', 'quest_target_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_3.stf', '11', 'quest_target_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_3.stf', '12', 'split_quest_alert', '\\#pcontrast3 RSF Command: < \\#pcontrast1 We have received a request for escort from a local freighter.  Proceed to the uploaded waypoint and take over this task. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_3.stf', '13', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_3.stf', '14', 'title', 'Naboo System: Patrol Naboo Space');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_3.stf', '15', 'title_d', 'Patrol for hostile activity. When you complete this mission, return to Captain Dinge in the Theed Palace for your next assignment.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_tier3_1b.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_tier3_1b.stf', '2', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_tier3_1b.stf', '3', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_tier3_1b.stf', '4', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_tier3_1b.stf', '5', 'quest_location_d', 'Quick Route through the Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_tier3_1b.stf', '6', 'quest_location_t', 'Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_tier3_1b.stf', '7', 'quest_patrol_d', 'Travel to this Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_tier3_1b.stf', '8', 'quest_patrol_t', 'Patrol Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_tier3_1b.stf', '9', 'quest_target_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_tier3_1b.stf', '10', 'quest_target_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_tier3_1b.stf', '11', 'split_quest_alert', '\\#pcontrast3 RSF Command: < \\#pcontrast1 I knew that was too easy.  We have phantom hyperspace signatures going off all over.  Registering Black Sun activity in Naboo, Corellia even at your position. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_tier3_1b.stf', '12', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_tier3_1b.stf', '13', 'title', 'Dantooine System: Fly a Holding Pattern');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_tier3_1b.stf', '14', 'title_d', 'Fly a holding pattern while RSF Intelligence attempts to discover what went wrong');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_tier4_2c.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_tier4_2c.stf', '2', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_tier4_2c.stf', '3', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_tier4_2c.stf', '4', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_tier4_2c.stf', '5', 'quest_location_d', 'A Patrol route in the Endor System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_tier4_2c.stf', '6', 'quest_location_t', 'Endor System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_tier4_2c.stf', '7', 'quest_patrol_d', 'Travel here to complete the patrol');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_tier4_2c.stf', '8', 'quest_patrol_t', 'Patrol Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_tier4_2c.stf', '9', 'quest_target_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_tier4_2c.stf', '10', 'quest_target_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_tier4_2c.stf', '11', 'split_quest_alert', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Detecting multiple hyperspace signatures. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_tier4_2c.stf', '12', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_tier4_2c.stf', '13', 'title', 'Endor System: Patrol for the Blacksun Presence');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_tier4_2c.stf', '14', 'title_d', 'Keep an eye out for Black Sun aggression');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_tier4_3b.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_tier4_3b.stf', '2', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_tier4_3b.stf', '3', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_tier4_3b.stf', '4', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_tier4_3b.stf', '5', 'quest_location_d', 'A patrol route in the Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_tier4_3b.stf', '6', 'quest_location_t', 'Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_tier4_3b.stf', '7', 'quest_patrol_d', 'Travel here to complete the patrol');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_tier4_3b.stf', '8', 'quest_patrol_t', 'Patrol Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_tier4_3b.stf', '9', 'quest_target_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_tier4_3b.stf', '10', 'quest_target_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_tier4_3b.stf', '11', 'split_quest_alert', '\\#pcontrast3 RSF Command: < \\#pcontrast1 There is a heavy Black Sun force moving into Yavin not far from your location.  Their target is unknown, but we are not willing to wait and find out.  Go dispatch them. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_tier4_3b.stf', '12', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_tier4_3b.stf', '13', 'title', 'Yavin System: Fly a Decoy Patrol');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_privateer_tier4_3b.stf', '14', 'title_d', 'Fly a patrol through Yavin Space to split Rebel observation');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_1.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_1.stf', '2', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_1.stf', '3', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_1.stf', '4', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_1.stf', '5', 'quest_location_d', 'Fly through the Naboo system. Hit each patrol point in your route. Ensure that this transit route is safe for future Alliance operations.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_1.stf', '6', 'quest_location_t', 'Naboo system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_1.stf', '7', 'quest_patrol1_d', 'Fly to this navigation point in the Naboo system. You are free to defend yourself against any hostiles you might encounter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_1.stf', '8', 'quest_patrol1_t', 'Naboo patrol phase 1');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_1.stf', '9', 'quest_patrol2_d', 'Continue your patrol of the Naboo system. Fly to this navigation point.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_1.stf', '10', 'quest_patrol2_t', 'Naboo patrol phase 2');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_1.stf', '11', 'quest_patrol3_d', 'Patrol to this navigation point. Be careful - long range Imperial scans may detect you in the area.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_1.stf', '12', 'quest_patrol3_t', 'Naboo patrol phase 3');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_1.stf', '13', 'quest_patrol4_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_1.stf', '14', 'quest_patrol4_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_1.stf', '15', 'quest_patrol5_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_1.stf', '16', 'quest_patrol5_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_1.stf', '17', 'quest_patrol6_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_1.stf', '18', 'quest_patrol6_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_1.stf', '19', 'quest_patrol7_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_1.stf', '20', 'quest_patrol7_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_1.stf', '21', 'quest_patrol8_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_1.stf', '22', 'quest_patrol8_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_1.stf', '23', 'quest_patrol9_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_1.stf', '24', 'quest_patrol9_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_1.stf', '25', 'quest_patrol_d', 'When you reach a patrol waypoint you will receive a new one to your next location. Follow each of the patrol waypoints until you reach the end of your patrol.  This is the first of four special assignments given to you by V3-FX. When you complete this mission, return to V3-FX in Moenia for your next assignment.  After you complete these four special assignments, V3-FX will train you in a new Rebel Alliance Pilot skill.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_1.stf', '26', 'quest_patrol_t', 'Patrol the Nabooan Frontier.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_1.stf', '27', 'quest_target_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_1.stf', '28', 'quest_target_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_1.stf', '29', 'split_quest_alert', 'Warning! Incoming hostiles. Destroy them all.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_1.stf', '30', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_1.stf', '31', 'title', 'Naboo system: Patrol Nabooan frontier.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_1.stf', '32', 'title_d', 'Patrol the Nabooan frontier. We will update your nav computer with waypoints of possible safe routes. Follow them and keep your eye out for enemy threats. When you complete this mission, return to V3-FX in Moenia for your next assignment.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_3.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_3.stf', '2', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_3.stf', '3', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_3.stf', '4', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_3.stf', '5', 'quest_location_d', 'Scout an updated transport route in the Naboo system. Report to V3-FX for immediate relay to Alliance HQ.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_3.stf', '6', 'quest_location_t', 'Naboo system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_3.stf', '7', 'quest_patrol1_d', 'Fly to this nav point and ensure that it is safe. Eliminate any hostiles that you encounter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_3.stf', '8', 'quest_patrol1_t', 'Supply Route One');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_3.stf', '9', 'quest_patrol2_d', 'Continue your search of the Naboo system. Ensure that this second navigation point is clear of hostiles.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_3.stf', '10', 'quest_patrol2_t', 'Supply Route Two');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_3.stf', '11', 'quest_patrol3_d', 'Fly to this location and ensure that the Naboo system supply route is safe to use.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_3.stf', '12', 'quest_patrol3_t', 'Supply Route Three');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_3.stf', '13', 'quest_patrol4_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_3.stf', '14', 'quest_patrol4_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_3.stf', '15', 'quest_patrol5_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_3.stf', '16', 'quest_patrol5_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_3.stf', '17', 'quest_patrol6_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_3.stf', '18', 'quest_patrol6_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_3.stf', '19', 'quest_patrol7_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_3.stf', '20', 'quest_patrol7_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_3.stf', '21', 'quest_patrol8_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_3.stf', '22', 'quest_patrol8_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_3.stf', '23', 'quest_patrol9_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_3.stf', '24', 'quest_patrol9_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_3.stf', '25', 'quest_patrol_d', 'The Alliance is trying to establish a new transport route in the Naboo system, away from Imperial attention. Your mission is to patrol this route to make sure that it\'s safe before we send in transports.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_3.stf', '26', 'quest_patrol_t', 'Find a new supply route for the Alliance');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_3.stf', '27', 'quest_target_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_3.stf', '28', 'quest_target_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_3.stf', '29', 'split_quest_alert', 'Rebel Command: < Mission redirect! An Alliance transport needs your immediate assistance! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_3.stf', '30', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_3.stf', '31', 'title', 'Naboo system: Find New Supply Route.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_3.stf', '32', 'title_d', 'Find a New Supply Route. We will update your nav computer with new waypoints of possible secure supply routes. Follow them and keep your eye out for any enemy threats. When you complete this mission, return to V3-FX in Moenia for your next assignment.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_2_b.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_2_b.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_2_b.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_2_b.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_2_b.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_2_b.stf', '6', 'quest_location_d', 'You are on the edge of the Blacklight infested area but they are sneaky and may launch an ambush so stay alert.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_2_b.stf', '7', 'quest_location_t', 'Dantooine system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_2_b.stf', '8', 'quest_patrol1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_2_b.stf', '9', 'quest_patrol1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_2_b.stf', '10', 'quest_patrol2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_2_b.stf', '11', 'quest_patrol2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_2_b.stf', '12', 'quest_patrol3_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_2_b.stf', '13', 'quest_patrol3_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_2_b.stf', '14', 'quest_patrol4_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_2_b.stf', '15', 'quest_patrol4_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_2_b.stf', '16', 'quest_patrol5_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_2_b.stf', '17', 'quest_patrol5_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_2_b.stf', '18', 'quest_patrol6_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_2_b.stf', '19', 'quest_patrol6_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_2_b.stf', '20', 'quest_patrol7_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_2_b.stf', '21', 'quest_patrol7_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_2_b.stf', '22', 'quest_patrol8_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_2_b.stf', '23', 'quest_patrol8_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_2_b.stf', '24', 'quest_patrol9_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_2_b.stf', '25', 'quest_patrol9_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_2_b.stf', '26', 'quest_patrol_d', 'We will upload new patrol coordinates to your nav computer as you reach them. Proceed as planned.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_2_b.stf', '27', 'quest_patrol_t', 'Patrol coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_2_b.stf', '28', 'quest_target_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_2_b.stf', '29', 'quest_target_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_2_b.stf', '30', 'split_quest_alert', 'Brother Ezkiel: < Stay on the alert, pilot. Our sensors detect enemy ships incoming. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_2_b.stf', '31', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_2_b.stf', '32', 'title', 'Dantooine system: Patrol Blacklight Pirate Sector.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_2_b.stf', '33', 'title_d', 'The SpyNet commander you rescued have requested that we patrol the area and make sure none of the Blacklights are following him. We will provide you with patrol coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_3.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_3.stf', '2', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_3.stf', '3', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_3.stf', '4', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_3.stf', '5', 'quest_location_d', 'We don\'t have that much information about the Endor system but the Imperial presence seem unusually high for what seem to be a system with no real value. Be careful out there my friend.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_3.stf', '6', 'quest_location_t', 'Endor system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_3.stf', '7', 'quest_patrol1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_3.stf', '8', 'quest_patrol1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_3.stf', '9', 'quest_patrol2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_3.stf', '10', 'quest_patrol2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_3.stf', '11', 'quest_patrol3_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_3.stf', '12', 'quest_patrol3_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_3.stf', '13', 'quest_patrol4_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_3.stf', '14', 'quest_patrol4_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_3.stf', '15', 'quest_patrol5_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_3.stf', '16', 'quest_patrol5_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_3.stf', '17', 'quest_patrol6_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_3.stf', '18', 'quest_patrol6_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_3.stf', '19', 'quest_patrol7_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_3.stf', '20', 'quest_patrol7_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_3.stf', '21', 'quest_patrol8_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_3.stf', '22', 'quest_patrol8_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_3.stf', '23', 'quest_patrol9_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_3.stf', '24', 'quest_patrol9_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_3.stf', '25', 'quest_patrol_d', 'We will be updating your nav computer with the search grid we planned out. Stay alert and on the look out for anything suspicious.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_3.stf', '26', 'quest_patrol_t', 'Search grid.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_3.stf', '27', 'quest_target_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_3.stf', '28', 'quest_target_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_3.stf', '29', 'split_quest_alert', 'Brother Ezkiel: < Look out! Keep on the alert, pilot! Blacklights coming in hard and fast! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_3.stf', '30', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_3.stf', '31', 'title', 'Endor system: The search for the Blacklight base of operations.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_3.stf', '32', 'title_d', 'Apparently the Blacklight pirates base their operation out of the Endor system. The coordinates we got from the Blacklight pirate in your last mission weren\'t exactly accurate though but we have set up a search grid for you to follow and scan.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_3_c.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_3_c.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_3_c.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_3_c.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_3_c.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_3_c.stf', '6', 'quest_location_d', 'You are still in a high risk area of a high risk system so no time to relax my friend.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_3_c.stf', '7', 'quest_location_t', 'Endor system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_3_c.stf', '8', 'quest_patrol1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_3_c.stf', '9', 'quest_patrol1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_3_c.stf', '10', 'quest_patrol2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_3_c.stf', '11', 'quest_patrol2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_3_c.stf', '12', 'quest_patrol3_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_3_c.stf', '13', 'quest_patrol3_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_3_c.stf', '14', 'quest_patrol4_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_3_c.stf', '15', 'quest_patrol4_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_3_c.stf', '16', 'quest_patrol5_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_3_c.stf', '17', 'quest_patrol5_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_3_c.stf', '18', 'quest_patrol6_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_3_c.stf', '19', 'quest_patrol6_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_3_c.stf', '20', 'quest_patrol7_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_3_c.stf', '21', 'quest_patrol7_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_3_c.stf', '22', 'quest_patrol8_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_3_c.stf', '23', 'quest_patrol8_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_3_c.stf', '24', 'quest_patrol9_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_3_c.stf', '25', 'quest_patrol9_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_3_c.stf', '26', 'quest_patrol_d', 'We will update your patrol and try to keep it away from nearby Blacklight pirates while your sensors are scanning the command ships.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_3_c.stf', '27', 'quest_patrol_t', 'Patrol coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_3_c.stf', '28', 'quest_target_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_3_c.stf', '29', 'quest_target_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_3_c.stf', '30', 'split_quest_alert', 'Brother Ezkiel: < We got him! Proceed with the mission, pilot. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_3_c.stf', '31', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_3_c.stf', '32', 'title', 'Endor system: Patrol for the Blacklight Leader.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_3_c.stf', '33', 'title_d', 'We have the area of the Blacklight pirates command staff nailed down, now to find which ship the leader is in. Patrol the assigned area and let your scan systems do the work.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_4_a.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_4_a.stf', '2', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_4_a.stf', '3', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_4_a.stf', '4', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_4_a.stf', '5', 'quest_location_d', 'The Dathomir system is dangerous and the area you will patrol in is no exception as it\'s close to Imperial Navy fleets.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_4_a.stf', '6', 'quest_location_t', 'Dathomir system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_4_a.stf', '7', 'quest_patrol1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_4_a.stf', '8', 'quest_patrol1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_4_a.stf', '9', 'quest_patrol2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_4_a.stf', '10', 'quest_patrol2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_4_a.stf', '11', 'quest_patrol3_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_4_a.stf', '12', 'quest_patrol3_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_4_a.stf', '13', 'quest_patrol4_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_4_a.stf', '14', 'quest_patrol4_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_4_a.stf', '15', 'quest_patrol5_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_4_a.stf', '16', 'quest_patrol5_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_4_a.stf', '17', 'quest_patrol6_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_4_a.stf', '18', 'quest_patrol6_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_4_a.stf', '19', 'quest_patrol7_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_4_a.stf', '20', 'quest_patrol7_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_4_a.stf', '21', 'quest_patrol8_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_4_a.stf', '22', 'quest_patrol8_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_4_a.stf', '23', 'quest_patrol9_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_4_a.stf', '24', 'quest_patrol9_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_4_a.stf', '25', 'quest_patrol_d', 'We are updating your ship with new coordinates as you search for small groups of Imperial ships.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_4_a.stf', '26', 'quest_patrol_t', 'Search coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_4_a.stf', '27', 'quest_target_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_4_a.stf', '28', 'quest_target_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_4_a.stf', '29', 'split_quest_alert', 'Brother Ezkiel: < Blast it! Our systems are warning us that there are more enemies in the area. Keep a lookout and try to single out a target. We need it disabled, information is important to us at this stage. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_4_a.stf', '30', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_4_a.stf', '31', 'title', 'Dathomir system: Patrol for lone Imperial ships.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_rebel_tier3_4_a.stf', '32', 'title_d', 'Try to find a ship of the Imperial Inquisition that is relatively alone. We will provide you with coordinates to search.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_station_emperors_access_quest_3.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_station_emperors_access_quest_3.stf', '2', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_station_emperors_access_quest_3.stf', '3', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_station_emperors_access_quest_3.stf', '4', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_station_emperors_access_quest_3.stf', '5', 'quest_location_d', 'The freighter route is supposed to be secure but a lot talk for that the freighter crew was right and it\'s been compromised so be prepared.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_station_emperors_access_quest_3.stf', '6', 'quest_location_t', 'Yavin system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_station_emperors_access_quest_3.stf', '7', 'quest_patrol_d', 'The Imperial space station will provide you with waypoints along the freighter route, follow them and keep your eyes on your radar.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_station_emperors_access_quest_3.stf', '8', 'quest_patrol_t', 'Follow the waypoints.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_station_emperors_access_quest_3.stf', '9', 'quest_target_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_station_emperors_access_quest_3.stf', '10', 'quest_target_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_station_emperors_access_quest_3.stf', '11', 'split_quest_alert', 'Imperial Space Station: < There! Rebel scout ships, get them! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_station_emperors_access_quest_3.stf', '12', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_station_emperors_access_quest_3.stf', '13', 'title', 'Yavin system: Patrol the freighter route.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/naboo_station_emperors_access_quest_3.stf', '14', 'title_d', 'The security commander of the Imperial space station in Yavin has asked you a favor. He wants you to confirm the freighter crews suspiciouns that the Rebels are planning to attack their freighter convoys. Travel out to the route and patrol it, to see if you can find any of the Rebel scum.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/poi_tatooine_general_1.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/poi_tatooine_general_1.stf', '2', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/poi_tatooine_general_1.stf', '3', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/poi_tatooine_general_1.stf', '4', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/poi_tatooine_general_1.stf', '5', 'quest_location_d', 'If in another system, travel to the Tatoo System by using your hyperspace map (by pressing \"H\") and clicking a Hyperspace point.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/poi_tatooine_general_1.stf', '6', 'quest_location_t', 'Tatoo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/poi_tatooine_general_1.stf', '7', 'quest_patrol_d', 'Patrol the Ghost Tide Nebula and keep your systems alert for suspicious activity.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/poi_tatooine_general_1.stf', '8', 'quest_patrol_t', 'Patrol the Ghost Tide Nebula');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/poi_tatooine_general_1.stf', '9', 'quest_target_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/poi_tatooine_general_1.stf', '10', 'quest_target_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/poi_tatooine_general_1.stf', '11', 'split_quest_alert', '\\#pcontrast1 Mos Eisley Captain:\\#pcontrast3 < Pilot! I\'m detecting enemy vessels with armed weapon systems coming your way! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/poi_tatooine_general_1.stf', '12', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/poi_tatooine_general_1.stf', '13', 'title', 'Tatoo System: Patrol the Ghost Tides');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/poi_tatooine_general_1.stf', '14', 'title_d', 'The Most Eisley Police Captain, Kelen Wordkal, personally overlooks the process for clearing freighters to their destinations. It is normal protocal for the freighters to report back to the captain when they have reached their destination. However, as of late, the freighters that have been cleared to venture through the Ghost Tides Nebula to the mining station beyond have never returned nor have they checked in with the captain. Kelen Wordkal fears the worst. It is your duty to unravel the mystery of the Ghost Tides Nebula Disappearances.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/poi_tatooine_privateer_2.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/poi_tatooine_privateer_2.stf', '2', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/poi_tatooine_privateer_2.stf', '3', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/poi_tatooine_privateer_2.stf', '4', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/poi_tatooine_privateer_2.stf', '5', 'quest_location_d', 'Fly to the Tatoo System for your mission.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/poi_tatooine_privateer_2.stf', '6', 'quest_location_t', 'Tatoo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/poi_tatooine_privateer_2.stf', '7', 'quest_patrol_d', 'Fly your nifty ship to designated areas sent to you by Garett.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/poi_tatooine_privateer_2.stf', '8', 'quest_patrol_t', 'Patrol Valarian-Controlled Areas');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/poi_tatooine_privateer_2.stf', '9', 'quest_target_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/poi_tatooine_privateer_2.stf', '10', 'quest_target_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/poi_tatooine_privateer_2.stf', '11', 'split_quest_alert', '\\#pcontrast1 Hutt Informant:\\#pcontrast3 < Watch your back, pilot! Valarians coming in hard and fast! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/poi_tatooine_privateer_2.stf', '12', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/poi_tatooine_privateer_2.stf', '13', 'title', 'Tatoo System: Patrol Valarian-Controlled Areas');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/poi_tatooine_privateer_2.stf', '14', 'title_d', 'You\'ve been given the task to patrol the Valarian-controlled areas surrounding Hutt Claims. Time for a little revenge! You rub your hands together evilly and cackle... at this rate, you probably look as scary as an Overkreetle. May want to work on your scariness rating.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_dantooine_owner_all_repairmission_tier2_5.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_dantooine_owner_all_repairmission_tier2_5.stf', '2', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_dantooine_owner_all_repairmission_tier2_5.stf', '3', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_dantooine_owner_all_repairmission_tier2_5.stf', '4', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_dantooine_owner_all_repairmission_tier2_5.stf', '5', 'quest_location_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_dantooine_owner_all_repairmission_tier2_5.stf', '6', 'quest_location_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_dantooine_owner_all_repairmission_tier2_5.stf', '7', 'quest_patrol_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_dantooine_owner_all_repairmission_tier2_5.stf', '8', 'quest_patrol_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_dantooine_owner_all_repairmission_tier2_5.stf', '9', 'quest_target_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_dantooine_owner_all_repairmission_tier2_5.stf', '10', 'quest_target_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_dantooine_owner_all_repairmission_tier2_5.stf', '11', 'split_quest_alert', 'Scans have picked up the signature of the missing freighter. It would seem to be disabled. Move to the location and assist it with repairs.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_dantooine_owner_all_repairmission_tier2_5.stf', '12', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_dantooine_owner_all_repairmission_tier2_5.stf', '13', 'title', 'Yavin System: Find the Mission Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_dantooine_owner_all_repairmission_tier2_5.stf', '14', 'title_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_endor_irs_imp_tier3_3a.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_endor_irs_imp_tier3_3a.stf', '2', 'autorewardbody', 'Completion Bonus: The Onyx Beacon (5000)');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_endor_irs_imp_tier3_3a.stf', '3', 'autorewardfrom', 'Endor Station');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_endor_irs_imp_tier3_3a.stf', '4', 'autorewardsubject', 'The Grand Tour');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_endor_irs_imp_tier3_3a.stf', '5', 'quest_location_d', 'Fly an interrupted patrol to learn about the POI\'s around the Endor System.  The first stop is the Onyx Beacon, frequented by the Black Light Pirates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_endor_irs_imp_tier3_3a.stf', '6', 'quest_location_t', 'The Onyx Beacon');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_endor_irs_imp_tier3_3a.stf', '7', 'quest_patrol_d', 'Travel here to complete this portion of The Grand Tour');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_endor_irs_imp_tier3_3a.stf', '8', 'quest_patrol_t', 'Leg Destination');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_endor_irs_imp_tier3_3a.stf', '9', 'quest_target_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_endor_irs_imp_tier3_3a.stf', '10', 'quest_target_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_endor_irs_imp_tier3_3a.stf', '11', 'split_quest_alert', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Hostile craft detected on attack vector. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_endor_irs_imp_tier3_3a.stf', '12', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_endor_irs_imp_tier3_3a.stf', '13', 'title', 'Endor System: The Grand Tour - Onyx Beacon');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_endor_irs_imp_tier3_3a.stf', '14', 'title_d', 'A phenomenon in stellar communications, \"beacons\" are locations in space caused by the interactions of radiation, bodies of high gravity and a few unidentified but key forces are used to collect relayed burst transmissions. These natural relay stations are popular among pirates, smugglers and over the last few years the Rebel Alliance due to the high difficulty in intercepting transmissions.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_endor_irs_imp_tier3_3c.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_endor_irs_imp_tier3_3c.stf', '2', 'autorewardbody', 'Completion Bonus: Linear Maisma (5000)');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_endor_irs_imp_tier3_3c.stf', '3', 'autorewardfrom', 'Endor Station');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_endor_irs_imp_tier3_3c.stf', '4', 'autorewardsubject', 'The Grand Tour');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_endor_irs_imp_tier3_3c.stf', '5', 'quest_location_d', 'Fly an interrupted patrol to learn about the POI\'s around the Endor System.  The second stop is the Linear Miasma, a space cloud frequented by research scientists.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_endor_irs_imp_tier3_3c.stf', '6', 'quest_location_t', 'Linear Miasma');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_endor_irs_imp_tier3_3c.stf', '7', 'quest_patrol_d', 'Travel here to complete this portion of The Grand Tour');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_endor_irs_imp_tier3_3c.stf', '8', 'quest_patrol_t', 'Leg Destination');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_endor_irs_imp_tier3_3c.stf', '9', 'quest_target_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_endor_irs_imp_tier3_3c.stf', '10', 'quest_target_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_endor_irs_imp_tier3_3c.stf', '11', 'split_quest_alert', '\\#pcontrast3 Endor System: < \\#pcontrast1 Some researchers at the nebula have sent a distress signal, they are under attack by Zynt`aia Guardians.  Travel to their location and help ensure their safety by destroying the Zynt\'aia. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_endor_irs_imp_tier3_3c.stf', '12', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_endor_irs_imp_tier3_3c.stf', '13', 'title', 'Endor System: The Grand Tour - Linear Miasma');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_endor_irs_imp_tier3_3c.stf', '14', 'title_d', 'The Linear Miasma is a large pocket of space gas comprised mostly of the half million tons of bacta that was released from the destruction of a KDY B-12 Transport \'Suveron\'. The cause of detour and subsequent destruction of the transport was reportedly a critical reactor failure. What the Linear researchers study is the unique case of bacta surviving the vacuum of space. Though it is in no way suitable for medicinal use anymore, the cloud is still popular among research communities.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_endor_irs_imp_tier3_3e.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_endor_irs_imp_tier3_3e.stf', '2', 'autorewardbody', 'Completion Bonus: Declorian Territory (5000)');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_endor_irs_imp_tier3_3e.stf', '3', 'autorewardfrom', 'Endor Station');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_endor_irs_imp_tier3_3e.stf', '4', 'autorewardsubject', 'The Grand Tour');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_endor_irs_imp_tier3_3e.stf', '5', 'quest_location_d', 'Fly an interrupted patrol to learn about the POI\'s around the Endor System.  The second stop is the Linear Miasma, a space cloud frequented by research scientists.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_endor_irs_imp_tier3_3e.stf', '6', 'quest_location_t', 'Declorian Territory');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_endor_irs_imp_tier3_3e.stf', '7', 'quest_patrol_d', 'Travel here to complete this portion of The Grand Tour');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_endor_irs_imp_tier3_3e.stf', '8', 'quest_patrol_t', 'Leg Destination');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_endor_irs_imp_tier3_3e.stf', '9', 'quest_target_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_endor_irs_imp_tier3_3e.stf', '10', 'quest_target_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_endor_irs_imp_tier3_3e.stf', '11', 'split_quest_alert', '\\#pcontrast3 Endor Station: < \\#pcontrast1 The Zynt\'aia are unlikely to be pleased with your presence in this area. Engage and destroy the pirates. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_endor_irs_imp_tier3_3e.stf', '12', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_endor_irs_imp_tier3_3e.stf', '13', 'title', 'Endor System: The Grand Tour - Declorian Territory');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_endor_irs_imp_tier3_3e.stf', '14', 'title_d', 'The Declorian Territory is a rather unimportant part of the Endor System; far from any trade lanes it is frequented by the Zynt\'aia spice clan. These spice pirates have taken an interest in the Linear Miasma, though the gains of this particular cloud to their spice operations are unknown. The Empire sends patrols to this area on occasion at the behest of the Linear Scientists to keep the pirates in check. Your mission is to make a foray into this are and engage the forces there.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_all_massassi_tier2_11.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_all_massassi_tier2_11.stf', '2', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_all_massassi_tier2_11.stf', '3', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_all_massassi_tier2_11.stf', '4', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_all_massassi_tier2_11.stf', '5', 'quest_location_d', 'The area to be searched is in the Yavin system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_all_massassi_tier2_11.stf', '6', 'quest_location_t', 'Remain in the Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_all_massassi_tier2_11.stf', '7', 'quest_patrol_d', 'Travel from assigned nav point to nav point looking for anything unusual.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_all_massassi_tier2_11.stf', '8', 'quest_patrol_t', 'Patrol the Third Region');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_all_massassi_tier2_11.stf', '9', 'quest_target_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_all_massassi_tier2_11.stf', '10', 'quest_target_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_all_massassi_tier2_11.stf', '11', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_all_massassi_tier2_11.stf', '12', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_all_massassi_tier2_11.stf', '13', 'title', 'Yavin System: Searching for Clues');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_all_massassi_tier2_11.stf', '14', 'title_d', 'The Yavin 4 Mining Company wants you to check out a region of space mentioned on the Massassi document you recovered. You are to fly a patrol around the region to see if you can find anything unusual.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_all_massassi_tier2_3.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_all_massassi_tier2_3.stf', '2', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_all_massassi_tier2_3.stf', '3', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_all_massassi_tier2_3.stf', '4', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_all_massassi_tier2_3.stf', '5', 'quest_location_d', 'The fighter is still inside of the Yavin system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_all_massassi_tier2_3.stf', '6', 'quest_location_t', 'Remain in the Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_all_massassi_tier2_3.stf', '7', 'quest_patrol_d', 'Follow the trail until you can locate the damaged fighter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_all_massassi_tier2_3.stf', '8', 'quest_patrol_t', 'Follow the Trail');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_all_massassi_tier2_3.stf', '9', 'quest_target_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_all_massassi_tier2_3.stf', '10', 'quest_target_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_all_massassi_tier2_3.stf', '11', 'split_quest_alert', 'The damaged vessel is directly ahead. Prepare to intercept and inspect that fighter. \\#FF0000 WARNING!\\#FF0000 Enemy fighters detected on an interception course. Defeat the enemy fighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_all_massassi_tier2_3.stf', '12', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_all_massassi_tier2_3.stf', '13', 'title', 'Yavin System: Follow the Damaged Fighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_all_massassi_tier2_3.stf', '14', 'title_d', 'Your scanners is picking up the trail of a damaged fighter. It is probably one of the fighters that was attacking the mining convoy. Follow the trail and investigate this damaged fighter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_all_massassi_tier2_6.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_all_massassi_tier2_6.stf', '2', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_all_massassi_tier2_6.stf', '3', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_all_massassi_tier2_6.stf', '4', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_all_massassi_tier2_6.stf', '5', 'quest_location_d', 'The area to be searched is in the Yavin system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_all_massassi_tier2_6.stf', '6', 'quest_location_t', 'Remain in the Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_all_massassi_tier2_6.stf', '7', 'quest_patrol_d', 'Travel from assigned nav point to nav point looking for anything unusual.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_all_massassi_tier2_6.stf', '8', 'quest_patrol_t', 'Patrol the First Region');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_all_massassi_tier2_6.stf', '9', 'quest_target_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_all_massassi_tier2_6.stf', '10', 'quest_target_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_all_massassi_tier2_6.stf', '11', 'split_quest_alert', 'Your computers have picked up a strange signal coming from up ahead. Move into optimum signal range and investigate.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_all_massassi_tier2_6.stf', '12', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_all_massassi_tier2_6.stf', '13', 'title', 'Yavin System: Following the Leads');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_all_massassi_tier2_6.stf', '14', 'title_d', 'The Yavin 4 Mining Company wants you to check out a region of space mentioned on the Massassi document you recovered. You are to fly a patrol around the region to see if you can find anything unusual.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_all_massassi_tier2_8.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_all_massassi_tier2_8.stf', '2', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_all_massassi_tier2_8.stf', '3', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_all_massassi_tier2_8.stf', '4', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_all_massassi_tier2_8.stf', '5', 'quest_location_d', 'The area to be searched is in the Yavin system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_all_massassi_tier2_8.stf', '6', 'quest_location_t', 'Remain in the Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_all_massassi_tier2_8.stf', '7', 'quest_patrol_d', 'Travel from assigned nav point to nav point looking for anything unusual.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_all_massassi_tier2_8.stf', '8', 'quest_patrol_t', 'Patrol the First Region');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_all_massassi_tier2_8.stf', '9', 'quest_target_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_all_massassi_tier2_8.stf', '10', 'quest_target_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_all_massassi_tier2_8.stf', '11', 'split_quest_alert', 'Scans show a strange vessel signature up ahead. Move closer into range of the vessel, target it, and use the /comm to opening a hailing channel with that vessel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_all_massassi_tier2_8.stf', '12', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_all_massassi_tier2_8.stf', '13', 'title', 'Yavin System: Searching for Clues');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_all_massassi_tier2_8.stf', '14', 'title_d', 'The Yavin 4 Mining Company wants you to check out a region of space mentioned on the Massassi document you recovered. You are to fly a patrol around the region to see if you can find anything unusual.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_smuggler_tier2_2.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_smuggler_tier2_2.stf', '2', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_smuggler_tier2_2.stf', '3', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_smuggler_tier2_2.stf', '4', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_smuggler_tier2_2.stf', '5', 'quest_location_d', 'You are to meet the contact in the Naboo system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_smuggler_tier2_2.stf', '6', 'quest_location_t', 'Travel to the Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_smuggler_tier2_2.stf', '7', 'quest_patrol_d', 'Travel from nav point to nav point until the Yavin 4 Mining Company\'s man in Naboo makes contact with you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_smuggler_tier2_2.stf', '8', 'quest_patrol_t', 'Follow the Assigned Patrol');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_smuggler_tier2_2.stf', '9', 'quest_target_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_smuggler_tier2_2.stf', '10', 'quest_target_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_smuggler_tier2_2.stf', '11', 'split_quest_alert', 'Royal Security Force fighters detected. They must not be allowed to report in to your presence. Destroy them all.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_smuggler_tier2_2.stf', '12', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_smuggler_tier2_2.stf', '13', 'title', 'Naboo System: Travel the Assigned Route');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_smuggler_tier2_2.stf', '14', 'title_d', 'The Yavin 4 Mining Company has hired you to delivery a \'secret\' package to a contact of theirs in the Naboo system. You are to fly an assigned route so that the contact knows you are the ship he wants to meet with. Avoid any contact with security but if nessecary destroy any vessels that try to interfer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_smuggler_tier2_4.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_smuggler_tier2_4.stf', '2', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_smuggler_tier2_4.stf', '3', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_smuggler_tier2_4.stf', '4', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_smuggler_tier2_4.stf', '5', 'quest_location_d', 'The contact will meet you in the Naboo system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_smuggler_tier2_4.stf', '6', 'quest_location_t', 'Remain in the Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_smuggler_tier2_4.stf', '7', 'quest_patrol_d', 'Complete the patrol route and meet the contact.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_smuggler_tier2_4.stf', '8', 'quest_patrol_t', 'Finish the Patrol');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_smuggler_tier2_4.stf', '9', 'quest_target_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_smuggler_tier2_4.stf', '10', 'quest_target_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_smuggler_tier2_4.stf', '11', 'split_quest_alert', 'Drop off location detected. Travel to the drop off point and wait for the arrival of the contact.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_smuggler_tier2_4.stf', '12', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_smuggler_tier2_4.stf', '13', 'title', 'Naboo System: Finish the Assigned Route');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/stn_yavin4_company_smuggler_tier2_4.stf', '14', 'title_d', 'Now that the Royal Security Forces have been taken care of complete the assigned route and meet with the contact.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_1.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_1.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_1.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_1.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_1.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_1.stf', '6', 'quest_location_d', 'Travel to the Tatooine system and follow the patrol navigation waypoints. As you reach one navigation waypoint, you will get a new waypoint to the next location on the patrol route.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_1.stf', '7', 'quest_location_t', 'Travel to the Tatooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_1.stf', '8', 'quest_patrol1_d', 'The first stop on the Patrol will take you past the Commerical Trade Run. This infamous trade route is used mainly be large corporate shipping companies picking up and dropping off goods on Tatooine. The Commerical Trade Run is rarely targetted by pirates since most freighters have their own escorts and getting on the bad side of some of the larger companies is almost as bad as angering Jabba.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_1.stf', '9', 'quest_patrol1_t', 'Travel to First Nav Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_1.stf', '10', 'quest_patrol2_d', 'The second stop on the Patrol crosses paths with the Public Ways. The Public Ways, as it name suggests, is used mainly by the general public. Immigrants of all sorts, as well as, privately owned transport vessels use the Public Ways to travel to and from Tatooine. It is not uncommon for pirates to attack privately owned freighters traveling along the Ways.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_1.stf', '11', 'quest_patrol2_t', 'Travel to the Second Nav Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_1.stf', '12', 'quest_patrol3_d', 'The third stop on the Patrol will take you along the Lower Trade Route. The Lower Trade Route is one of the most heavily hit regions in the Tatooine sector since it is primarily used by smaller trade companys who cannot afford to hire escorts for their freighters. The rich bounty and low risk make it a favorite target for pirates of all sorts.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_1.stf', '13', 'quest_patrol3_t', 'Travel to the Third Nav Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_1.stf', '14', 'quest_patrol4_d', 'The fourth stop on your Patrol route will bring you into empty space. No major vessel routes cross through this area, making a hot spot as a pirate staging area.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_1.stf', '15', 'quest_patrol4_t', 'Travel to the Fourth Nav Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_1.stf', '16', 'quest_patrol5_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_1.stf', '17', 'quest_patrol5_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_1.stf', '18', 'quest_patrol6_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_1.stf', '19', 'quest_patrol6_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_1.stf', '20', 'quest_patrol7_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_1.stf', '21', 'quest_patrol7_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_1.stf', '22', 'quest_patrol8_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_1.stf', '23', 'quest_patrol8_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_1.stf', '24', 'quest_patrol9_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_1.stf', '25', 'quest_patrol9_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_1.stf', '26', 'quest_patrol_d', 'When you reach a patrol waypoint you will receive a new one to your next location. Follow each of the patrol waypoints until you reach the end of your patrol.  This is the first of four special assignments given to you by Lt. Akal Colzet.  When you complete this mission, return to Lt. Akal Colzet in the Imperial Pilot\'s Association Hall next to the Bestine Capital building for your next assignment.  After you complete these four special assignments, Lt. Akal Colzet will train you in a new Imperial Pilot skill.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_1.stf', '27', 'quest_patrol_t', 'Follow the Patrol Route');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_1.stf', '28', 'quest_target_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_1.stf', '29', 'quest_target_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_1.stf', '30', 'split_quest_alert', 'Warning! Pirate fighters detected. Eliminate threat.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_1.stf', '31', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_1.stf', '32', 'surprise_attack_alert', 'Pirate wing detected.  They are moving to attack commercial traffic!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_1.stf', '33', 'surpriseattackbody', 'Sensors have located a wing of 4 pirate ships moving to attack commercial traffic.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_1.stf', '34', 'surpriseattackfrom', 'Targeting Computer');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_1.stf', '35', 'surpriseattacksubject', 'Enemy Ships Detected');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_1.stf', '36', 'title', 'Tatooine System: Patrol the Tatooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_1.stf', '37', 'title_d', 'Run a patrol route in the Tatooine system in order to keep an eye out for pirate activity. Once you arrive in the Tatooine system, you will receive a navigation waypoint to the first stop on the patrol route. Travel to this waypoint. Once you arrive, the navigation waypoint will update to the next stop on the patrol route. Continue following these navigation waypoints until you have completed the patrol. When you complete this mission, return to Lt. Akal Colzet in the Imperial Pilot\'s Association Hall next to the Bestine Capital building for your next assignment.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_3.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_3.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_3.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_3.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_3.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_3.stf', '6', 'quest_location_d', 'Travel to the Tatooine system and follow the patrol navigation waypoints. As you reach one navigation waypoint, you will get a new waypoint to the next location on the patrol route.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_3.stf', '7', 'quest_location_t', 'Travel to the Tatooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_3.stf', '8', 'quest_patrol1_d', 'The first area of concern is the first quadrant of the jump zone. Pirates commonly attack ships just after they jump into a region before those ships have a chance to get any sort of defense prepared.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_3.stf', '9', 'quest_patrol1_t', 'Travel to First Nav Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_3.stf', '10', 'quest_patrol2_d', 'Move to the second point in the patrol that will lead across areas that the Imperial freighters will jump into the zone at.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_3.stf', '11', 'quest_patrol2_t', 'Travel to the Second Nav Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_3.stf', '12', 'quest_patrol3_d', 'The third stop on the patrol leads past what is considered dead space. Dead space is an area that no major vessels or patrol usually take place in. Pirate love to use these areas to stage their attacks on unsuspecting freighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_3.stf', '13', 'quest_patrol3_t', 'Travel to the Third Nav Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_3.stf', '14', 'quest_patrol4_d', 'The fourth stop on the patrol will take you over to where the freighters will be staging after arrival. Generally pirates do not like to attack staging areas, to many ships in to tight of an area, but especially daring pirates have been known to make attempts on multiple ships at once in a staging area.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_3.stf', '15', 'quest_patrol4_t', 'Travel to the Fourth Nav Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_3.stf', '16', 'quest_patrol5_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_3.stf', '17', 'quest_patrol5_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_3.stf', '18', 'quest_patrol6_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_3.stf', '19', 'quest_patrol6_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_3.stf', '20', 'quest_patrol7_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_3.stf', '21', 'quest_patrol7_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_3.stf', '22', 'quest_patrol8_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_3.stf', '23', 'quest_patrol8_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_3.stf', '24', 'quest_patrol9_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_3.stf', '25', 'quest_patrol9_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_3.stf', '26', 'quest_patrol_d', 'When you reach a navigation waypoint you will receive a new one to the next location. Follow the patrol waypoints until you come to the end of your patrol.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_3.stf', '27', 'quest_patrol_t', 'Follow the Patrol Route');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_3.stf', '28', 'quest_target_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_3.stf', '29', 'quest_target_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_3.stf', '30', 'split_quest_alert', 'Alert! Receiving distress signal from Imperial transport! The transport is on the run from Commerce Raiders. Stand by to escort transport through sector.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_3.stf', '31', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_3.stf', '32', 'splitquestbody', 'Imperial Transport ZE43/t requesting immediate fire support.  We are under attack by pirate forces.  We require an escort to a safe location.  Waypoint to our current coordinates attached...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_3.stf', '33', 'splitquestfrom', 'Imperial Transport ZE43/t');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_3.stf', '34', 'splitquestsubject', 'Requesting Assistance!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_3.stf', '35', 'title', 'Tatooine System: Meet the Imperial Transport');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_3.stf', '36', 'title_d', 'The Empire is expecting some very important shipments of cargo to be coming into the Tatooine system on it\'s way to Bestine. These supplies are slated to go to the ground forces located in and around the Imperial capital of Tatooine and it is imperitive that they make it to their destination. You are to patrol the arrival and drop off locations of these ships shortly before they arrive to reduce any attempt by pirates to take these craft. When you complete this mission, return to Lt. Akal Colzet in the Imperial Pilot\'s Association Hall next to the Bestine Capital building for your next assignment.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_tier3_2_d.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_tier3_2_d.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_tier3_2_d.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_tier3_2_d.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_tier3_2_d.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_tier3_2_d.stf', '6', 'quest_location_d', 'Remain in the Endor system and follow the patrol navigation waypoints. As you reach one navigation waypoint, you will get a new waypoint to the next location on the patrol route.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_tier3_2_d.stf', '7', 'quest_location_t', 'Remain in the Endor System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_tier3_2_d.stf', '8', 'quest_patrol_d', 'When you reach a navigation waypoint you will receive a new one to the next location. Follow the patrol waypoints until you come to the end of your patrol.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_tier3_2_d.stf', '9', 'quest_patrol_t', 'Follow the Patrol Route');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_tier3_2_d.stf', '10', 'quest_target_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_tier3_2_d.stf', '11', 'quest_target_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_tier3_2_d.stf', '12', 'split_quest_alert', 'Calling all Imperial pilots. 3rd TIE Wing has encountered heavy Rebel resistance. All available pilots are to proceed immediately to the following location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_tier3_2_d.stf', '13', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_tier3_2_d.stf', '14', 'title', 'Endor System: Patrol the Endor System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_tier3_2_d.stf', '15', 'title_d', 'Command wants you to patrol the area looking for Rebel activity while they inspect the data you recovered.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_tier4_1.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_tier4_1.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_tier4_1.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_tier4_1.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_tier4_1.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_tier4_1.stf', '6', 'quest_location_d', 'Travel to the Endor system and follow the patrol navigation waypoints. As you reach one navigation waypoint, you will get a new waypoint to the next location on the patrol route.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_tier4_1.stf', '7', 'quest_location_t', 'Travel to the Endor System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_tier4_1.stf', '8', 'quest_patrol_d', 'When you reach a navigation waypoint you will receive a new one to the next location. Follow the patrol waypoints until you come to the end of your patrol.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_tier4_1.stf', '9', 'quest_patrol_t', 'Follow the Patrol Route');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_tier4_1.stf', '10', 'quest_target_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_tier4_1.stf', '11', 'quest_target_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_tier4_1.stf', '12', 'split_quest_alert', 'Alert! Enemy fighters detected. Incoming at attack speed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_tier4_1.stf', '13', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_tier4_1.stf', '14', 'title', 'Endor System: Patrol the Endor System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_imperial_tier4_1.stf', '15', 'title_d', 'Storm Squadron has been charged with security of the Endor system and the Empire\'s new top secret project. You are to fly patrol duty in the Endor system and keep a close watch out for any suspicious activity.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_privateer_1.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_privateer_1.stf', '2', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_privateer_1.stf', '3', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_privateer_1.stf', '4', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_privateer_1.stf', '5', 'quest_location_d', 'Smugglers Alliance route in the Tatooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_privateer_1.stf', '6', 'quest_location_t', 'Tatooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_privateer_1.stf', '7', 'quest_patrol_d', 'When you reach a patrol waypoint you will receive a new one to your next location. Follow each of the patrol waypoints until you reach the end of your patrol.  This is the first of four special assignments given to you by Dravis of the Smuggler\'s Alliance. When you complete this mission, return to Dravis in back room of the Mos Eisley cantina for your next assignment.  After you complete these four special assignments, Dravis will train you in a new Pilot skill.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_privateer_1.stf', '8', 'quest_patrol_t', 'Patrol Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_privateer_1.stf', '9', 'quest_target_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_privateer_1.stf', '10', 'quest_target_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_privateer_1.stf', '11', 'split_quest_alert', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Enemy craft detected on attack vector. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_privateer_1.stf', '12', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_privateer_1.stf', '13', 'surprise_attack_alert', 'Pirate wing detected.  They are moving to attack!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_privateer_1.stf', '14', 'surpriseattackbody', 'Sensors have located a wing of 4 pirate ships moving to attack.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_privateer_1.stf', '15', 'surpriseattackfrom', 'Targeting Computer');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_privateer_1.stf', '16', 'surpriseattacksubject', 'Enemy Ships Detected');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_privateer_1.stf', '17', 'title', 'Tatooine System: Patrol Smuggler\'s Alliance Route');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_privateer_1.stf', '18', 'title_d', 'Travel smuggler route, keep a watch for Black Sun raiders. When you complete this mission, return to Dravis in back room of the Mos Eisley cantina for your next assignment.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_privateer_3.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_privateer_3.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_privateer_3.stf', '3', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_privateer_3.stf', '4', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_privateer_3.stf', '5', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_privateer_3.stf', '6', 'quest_location_d', 'A patrol route in the Tatooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_privateer_3.stf', '7', 'quest_location_t', 'Tatooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_privateer_3.stf', '8', 'quest_patrol_d', 'When you reach a patrol waypoint you will receive a new one to your next location. Follow each of the patrol waypoints until you reach the end of your patrol.  This is the third of four special assignments given to you by Dravis of the Smuggler\'s Alliance. When you complete this mission, return to Dravis in back room of the Mos Eisley cantina for your next assignment.  After you complete these four special assignments, Dravis will train you in a new Pilot skill.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_privateer_3.stf', '9', 'quest_patrol_t', 'Patrol Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_privateer_3.stf', '10', 'quest_target_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_privateer_3.stf', '11', 'quest_target_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_privateer_3.stf', '12', 'split_quest_alert', '\\#pcontrast3 Smuggler Alliance: < \\#pcontrast1 We have a friendly freighter requesting an escort, head on over there and check things out. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_privateer_3.stf', '13', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_privateer_3.stf', '14', 'title', 'Tatooine System: Patrol Tatooine Space');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_privateer_3.stf', '15', 'title_d', 'Patrol and area of Tatooine Space. When you complete this mission, return to Dravis in back room of the Mos Eisley cantina for your next assignment.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_privateer_tier3_4.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_privateer_tier3_4.stf', '2', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_privateer_tier3_4.stf', '3', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_privateer_tier3_4.stf', '4', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_privateer_tier3_4.stf', '5', 'quest_location_d', 'A patrol route in the Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_privateer_tier3_4.stf', '6', 'quest_location_t', 'Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_privateer_tier3_4.stf', '7', 'quest_patrol_d', 'Travel here to complete the Patrol');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_privateer_tier3_4.stf', '8', 'quest_patrol_t', 'Patrol Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_privateer_tier3_4.stf', '9', 'quest_target_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_privateer_tier3_4.stf', '10', 'quest_target_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_privateer_tier3_4.stf', '11', 'split_quest_alert', '\\#pcontrast3 Beissa: < \\#pcontrast1 We are sending some Hutt forces to engaged the Rancor Clan in battle. Proceed there immediately and ensure that our side wins! \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_privateer_tier3_4.stf', '12', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_privateer_tier3_4.stf', '13', 'title', 'Dathomir System: Patrol for Rancor Clan forces');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_privateer_tier3_4.stf', '14', 'title_d', 'Patrol Dathomir space to locate concentrations of the Rancor Clan forces');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_privateer_tier3_4_c.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_privateer_tier3_4_c.stf', '2', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_privateer_tier3_4_c.stf', '3', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_privateer_tier3_4_c.stf', '4', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_privateer_tier3_4_c.stf', '5', 'quest_location_d', 'Somewhere in the Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_privateer_tier3_4_c.stf', '6', 'quest_location_t', 'Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_privateer_tier3_4_c.stf', '7', 'quest_patrol_d', 'Travel to this point to complete the mission');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_privateer_tier3_4_c.stf', '8', 'quest_patrol_t', 'Patrol Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_privateer_tier3_4_c.stf', '9', 'quest_target_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_privateer_tier3_4_c.stf', '10', 'quest_target_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_privateer_tier3_4_c.stf', '11', 'split_quest_alert', '\\#pcontrast3 Beissa: < \\#pcontrast1 We have him tracked, he has come under some fire and appears to be listing \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_privateer_tier3_4_c.stf', '12', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_privateer_tier3_4_c.stf', '13', 'title', 'Dathomir System: Search for Hutt VIP Ally');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_privateer_tier3_4_c.stf', '14', 'title_d', 'Search Dathomir space for the Sienar contact');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_1.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_1.stf', '2', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_1.stf', '3', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_1.stf', '4', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_1.stf', '5', 'quest_d', 'Perform a multi-point sensor sweep of the Tatooine system. The Alliance is planning to move heavy cargo along this path if it is clear of hostiles.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_1.stf', '6', 'quest_location_d', 'Patrol the Tatooine system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_1.stf', '7', 'quest_location_t', 'Tatooine system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_1.stf', '8', 'quest_patrol1_d', 'First phase of Alliance sensor sweep. Fly to this navigation point.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_1.stf', '9', 'quest_patrol1_t', 'Rally Alpha');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_1.stf', '10', 'quest_patrol2_d', 'Second phase of Alliance sensor sweep in the Tatooine system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_1.stf', '11', 'quest_patrol2_t', 'Rally Bravo');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_1.stf', '12', 'quest_patrol3_d', 'Third phase of Alliance sensor sweep.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_1.stf', '13', 'quest_patrol3_t', 'Rally Gamma');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_1.stf', '14', 'quest_patrol4_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_1.stf', '15', 'quest_patrol4_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_1.stf', '16', 'quest_patrol5_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_1.stf', '17', 'quest_patrol5_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_1.stf', '18', 'quest_patrol6_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_1.stf', '19', 'quest_patrol6_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_1.stf', '20', 'quest_patrol7_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_1.stf', '21', 'quest_patrol7_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_1.stf', '22', 'quest_patrol8_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_1.stf', '23', 'quest_patrol8_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_1.stf', '24', 'quest_patrol9_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_1.stf', '25', 'quest_patrol9_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_1.stf', '26', 'quest_patrol_d', 'When you reach a patrol waypoint you will receive a new one to your next location. Follow each of the patrol waypoints until you reach the end of your patrol.  This is the first of four special assignments given to you by Commander Da\'la Socuna. When you complete this mission, return to Commander Da\'la Socuna in the back room of the Mos Espa cantina for your next assignment.  After you complete these four special assignments, Commander Da\'la Socuna will train you in a new Rebel Alliance Pilot skill.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_1.stf', '27', 'quest_patrol_t', 'Patrol navigation points along the Alliance supply route.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_1.stf', '28', 'quest_t', 'Patrol the Rebel supply route.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_1.stf', '29', 'quest_target_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_1.stf', '30', 'quest_target_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_1.stf', '31', 'split_quest_alert', 'Alliance HQ: < Warning, we\'ve detected an Imperial Patrol closing in on your position! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_1.stf', '32', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_1.stf', '33', 'title', 'Tatooine system: Patrol the Rebel supply route.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_1.stf', '34', 'title_d', 'Patrol the Rebel supply route in the Tatooine system. When you complete this mission, return to Commander Da\'la Socuna in the back room of the Mos Espa cantina for your next assignment.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_2.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_2.stf', '2', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_2.stf', '3', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_2.stf', '4', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_2.stf', '5', 'quest_d', 'Patrol the Tatooine system in search of a suitable route for Alliance transports to follow. The previous route has been compromised and the Empire is now aware of the Alliance intentions here in Tatooine.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_2.stf', '6', 'quest_location_d', 'The Tatooine system doesn\'t have a high presence of Imperial forces but plenty of pirates, bounty hunters and other less than friendly pilots so stay sharp out there.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_2.stf', '7', 'quest_location_t', 'Tatooine system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_2.stf', '8', 'quest_patrol1_d', 'Patrol Tatooine space to lock down a new Alliance transport route.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_2.stf', '9', 'quest_patrol1_t', 'Alliance Transport Route Alpha');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_2.stf', '10', 'quest_patrol2_d', 'Continue your patrol for a new Alliance transport route.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_2.stf', '11', 'quest_patrol2_t', 'Alliance Transport Route Bravo');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_2.stf', '12', 'quest_patrol3_d', 'Continue your patrol for a new Alliance transport route.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_2.stf', '13', 'quest_patrol3_t', 'Alliance Transport Route Gamma');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_2.stf', '14', 'quest_patrol4_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_2.stf', '15', 'quest_patrol4_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_2.stf', '16', 'quest_patrol5_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_2.stf', '17', 'quest_patrol5_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_2.stf', '18', 'quest_patrol6_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_2.stf', '19', 'quest_patrol6_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_2.stf', '20', 'quest_patrol7_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_2.stf', '21', 'quest_patrol7_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_2.stf', '22', 'quest_patrol8_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_2.stf', '23', 'quest_patrol8_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_2.stf', '24', 'quest_patrol9_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_2.stf', '25', 'quest_patrol9_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_2.stf', '26', 'quest_patrol_d', 'Alliance HQ will update your navi-computer with waypoints. Fly to each waypoint and ensure the safety of the planned Alliance supply route.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_2.stf', '27', 'quest_patrol_t', 'Patrol the Alliance supply route in the Tatooine system to ensure its safety.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_2.stf', '28', 'quest_t', 'Scout a new Alliance transport route');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_2.stf', '29', 'quest_target_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_2.stf', '30', 'quest_target_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_2.stf', '31', 'split_quest_alert', 'Calling off sensor sweep immediately! We have a crippled transport you must escort right now...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_2.stf', '32', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_2.stf', '33', 'surprise_attack_alert', 'Pirate wing detected.  They are moving to attack commercial traffic!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_2.stf', '34', 'surpriseattackbody', 'Sensors have located a wing of 4 pirate ships moving to attack commercial traffic.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_2.stf', '35', 'surpriseattackfrom', 'Targeting Computer');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_2.stf', '36', 'surpriseattacksubject', 'Enemy Ships Detected');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_2.stf', '37', 'title', 'Tatooine system: Supply route security patrol.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_2.stf', '38', 'title_d', 'Patrol by following the waypoints as they appear on your screen, keep your eye out for any enemy activity. When you complete this mission, return to Commander Da\'la Socuna in back room of the Mos Espa cantina for your next assignment.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_tier3_4_a.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_tier3_4_a.stf', '2', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_tier3_4_a.stf', '3', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_tier3_4_a.stf', '4', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_tier3_4_a.stf', '5', 'quest_location_d', 'The Endor system is high risk, there\'s no doubt about that. This mission will be taking you dangerously close to the more Imperial dominated areas so be extremely careful pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_tier3_4_a.stf', '6', 'quest_location_t', 'Endor system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_tier3_4_a.stf', '7', 'quest_patrol_d', 'We will update your nav computer with new waypoints of suspect areas where the Empire may have deployed some of these new ships.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_tier3_4_a.stf', '8', 'quest_patrol_t', 'Scan route.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_tier3_4_a.stf', '9', 'quest_target_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_tier3_4_a.stf', '10', 'quest_target_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_tier3_4_a.stf', '11', 'split_quest_alert', 'Rebel Command: < You have been spotted! TIE Fighters are moving in your direction. Take them out quickly! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_tier3_4_a.stf', '12', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_tier3_4_a.stf', '13', 'title', 'Endor system: Scan a region of the Endor system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_tier3_4_a.stf', '14', 'title_d', 'In order to find out what the Empire is doing in such large force here, we need some more scan data. We\'ve heard rumors that they are testing some new ship type and we hope that you can find us some evidence of that.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_tier4_1_b.stf', '1', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_tier4_1_b.stf', '2', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_tier4_1_b.stf', '3', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_tier4_1_b.stf', '4', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_tier4_1_b.stf', '5', 'quest_location_d', 'There couldn\'t be a worse place to be on the run. Keep a close eye on your sensors. If you see any hostile blips, try to take a route around them. Move quickly though, the Empire is on your tail!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_tier4_1_b.stf', '6', 'quest_location_t', 'Dathomir system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_tier4_1_b.stf', '7', 'quest_patrol_d', 'We will update your nav computer with the waypoints of the pre-planned escape route. Follow them but not to the point where you run in to more hostile forces. If you have to circle around something, do so, just do it quickly.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_tier4_1_b.stf', '8', 'quest_patrol_t', 'Pre-planned escape route.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_tier4_1_b.stf', '9', 'quest_target_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_tier4_1_b.stf', '10', 'quest_target_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_tier4_1_b.stf', '11', 'split_quest_alert', 'General Ufwol: < Imperial Interceptors close by! Defend yourself! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_tier4_1_b.stf', '12', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_tier4_1_b.stf', '13', 'title', 'Dathomir system: Escape the Empires counter attack.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tatooine_rebel_tier4_1_b.stf', '14', 'title_d', 'That didn\'t go as planned pilot; let\'s hope that your escape will! We have a pre planned escape route for you, follow it but move quickly!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tat_priv_quest_trans.stf', '1', 'assigned_delayed', 'Find the Rendezvous Point.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tat_priv_quest_trans.stf', '2', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tat_priv_quest_trans.stf', '3', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tat_priv_quest_trans.stf', '4', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tat_priv_quest_trans.stf', '5', 'quest_location_d', 'A rendezvous point in the Lok System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tat_priv_quest_trans.stf', '6', 'quest_location_t', 'Lok System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tat_priv_quest_trans.stf', '7', 'quest_patrol_d', 'Meeting point for Nym contact');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tat_priv_quest_trans.stf', '8', 'quest_patrol_t', 'Rendezvous Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tat_priv_quest_trans.stf', '9', 'quest_target_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tat_priv_quest_trans.stf', '10', 'quest_target_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tat_priv_quest_trans.stf', '11', 'split_quest_alert', 'The contact has been destroyed.  Scanning area for clues to the aggressors identity.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tat_priv_quest_trans.stf', '12', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tat_priv_quest_trans.stf', '13', 'title', 'Lok System: Rendezvous with the Nym Contact');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/patrol/tat_priv_quest_trans.stf', '14', 'title_d', 'Rendezvous: Meet with the Nym contact to collect the package for Shamdon');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/quests.stf', '1', 'imperial_category', 'Imperial Navy');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/quests.stf', '2', 'rebel_category', 'Rebel Alliance');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/quests.stf', '3', 'neutral_category', 'Privateer Assignments');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/quests.stf', '4', 'jabba_sidequest', 'Jabba the Hutt');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/quests.stf', '5', 'valarian_sidequest', 'Lady Valarian');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/quests.stf', '6', 'imperial_research_station_endor', 'Imperial Research Station: 626 - Endor 2');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/quests.stf', '7', 'nym', 'Nym, Warlord of Lok');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/quests.stf', '8', 'dantooine_station', 'Dantooine Space Station');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/quests.stf', '9', 'yavin4_station', 'Yavin 4 Space Station');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/quests.stf', '10', 'rori_station', 'Rori Space Station');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/quests.stf', '11', 'dathomir_station', 'Dathomir Space Station');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_16.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_16.stf', '2', 'abort', 'Understood, aborting mission.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_16.stf', '3', 'angry_disable', 'What are you doing? We need those to fly!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_16.stf', '4', 'arrival_phase_1', 'The freighter will arrive momentarily, destroy the escort, and disable the Torton Runner\'s engines.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_16.stf', '5', 'arrival_phase_2', 'Target sighted, execute attack. Once you have the freighter targeted use the \']\' key to cycle through it\'s subsystems. Get the engine targeted and fire on the ship until it reaches 0% in order to disable the freighter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_16.stf', '6', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_16.stf', '7', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Warning! Incoming enemy fighters.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_16.stf', '8', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_16.stf', '9', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_16.stf', '10', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_16.stf', '11', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_16.stf', '12', 'capture_complete', '\\#pcontrast1 Black Epsilon Command:\\#pcontrast3 <The Torton Runner is ours. Escort it to a safe jump point.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_16.stf', '13', 'capture_phase_1', 'You will never capture the Torton Runner, Imperial scum.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_16.stf', '14', 'capture_phase_2', 'Ok, fine...so you captured the Torton Runner. What are you planning on doing to us?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_16.stf', '15', 'capture_started', ' \\#pcontrast3 Tactical Computer: < \\#pcontrast1 Uploading system virus \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_16.stf', '16', 'complete', 'Operation is complete, ship is underway to its new destination.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_16.stf', '17', 'escort_remaining', ' \\#pcontrast3 Tactical Computer: < \\#pcontrast1 %DI fighters in operation, destroy them quickly \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_16.stf', '18', 'escort_wiped_out', ' \\#pcontrast3 Tactical Computer: < \\#pcontrast1 Escorting craft have all been destroyed, proceed with primary objective \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_16.stf', '19', 'failed_destroy', 'The freighter was destroyed, you have failed your mission.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_16.stf', '20', 'failed_escape', 'The freighter has escaped, you have failed in you mission.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_16.stf', '21', 'panic_1', 'Yes, my brothers. Don\'t let me fall into Imperial hands.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_16.stf', '22', 'panic_2', 'I am at the mercy of the Empire. Destroy me!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_16.stf', '23', 'panic_3', 'My brothers, you must destroy me before I am in the hands of the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_16.stf', '24', 'panic_4', 'It is time for you to be destroyed, Imperial scum.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_16.stf', '25', 'panic_5', 'My brothers have come to destroy you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_16.stf', '26', 'quest_disable_d', 'Once you have intercepted the Torton Runner, you will need to disable it in order to begin the capture process. Use the \'[\' or \']\' key to target the Torton Runner\'s subsystems. Cycle through them until you have its engines targeted. Attack the freighter until its engines are at 0%.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_16.stf', '27', 'quest_disable_t', 'Disable the Tortun Runner');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_16.stf', '28', 'quest_escort_d', 'Once the Torton Runner is captured, you will need to escort it through the Corellia system. Follow and protect the Torton Runner until it reaches its destination. The Hidden Daggers will probably send fighters out to attempt to destroy your prize. You will need to keep the Torton Runner safe from them.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_16.stf', '29', 'quest_escort_t', 'Escort the Torton Runner');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_16.stf', '30', 'quest_location_d', 'Travel to the Corellia system and capture the Torton Runner. Once you enter the system, wait until Imperial command sends you a navigation waypoint to the freighter\'s most recent location. As the Torton Runner moves through the system this navigation waypoint will update to its most recent location. Intercept the Torton Runner before it reaches the end of its path or the vessel will jump out of the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_16.stf', '31', 'quest_location_t', 'Travel to the Corellia System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_16.stf', '32', 'quest_recover_d', 'Once the Torton Runner is disabled you can begin the capture process. Move in close to the Torton Runner and wait for the capture process to begin. It might take a couple minutes for the process to begin so you will need to stay close to the vessel while this is happening. Wait until the capture process is completed before you move away from the Torton Runner. You will be vulnerable at this point so it might be a good idea to destroy any escort vessels that are with the ship before attempting to capture it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_16.stf', '33', 'quest_recover_t', 'Capture the Torton Runner');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_16.stf', '34', 'quest_update', ' \\#pcontrast3 Black Epsilon Command: < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_16.stf', '35', 'recovery_success', 'The freighter is secured, operation successful.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_16.stf', '36', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_16.stf', '37', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_16.stf', '38', 'target_disabled', 'The freighter has been disabled, move close in order to upload the virus. In order to capture it move in close to the vessel and stay stationary by it. The capture process will begin a few moment after you have done this.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_16.stf', '39', 'taunt_1', 'That is our ship you Imperial dog.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_16.stf', '40', 'taunt_2', 'Flee now and you will not feel our anger.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_16.stf', '41', 'taunt_3', 'Your Emperor cannot help you now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_16.stf', '42', 'taunt_4', 'We will get revenge and you will never see us coming.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_16.stf', '43', 'taunt_5', 'I thought Imperial pilots had some measure of skill, I guess I was wrong.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_16.stf', '44', 'thanks_1', 'You are indeed skilled but it will not help you, more will come.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_16.stf', '45', 'thanks_2', 'You may have won this battle but there will be more.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_16.stf', '46', 'thanks_3', 'You may have captured me but that will not stop the others.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_16.stf', '47', 'thanks_4', 'Imperial dog! You will come to an unfortunate end.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_16.stf', '48', 'thanks_5', 'Imperial dog! You will come to an unfortunate end.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_16.stf', '49', 'title', 'Corellia System: Capture the Torton Runner');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_16.stf', '50', 'title_d', 'Travel to the Corellia system and capture the Torton Runner. Once you arrive in the Corellia system, wait until Imperial command can get you the location of the target freighter. Once they have a lock, you will receive a navigation waypoint to its current location. This navigation waypoint will update as the Tortun Runner moves through the system. Follow these navigation waypoints until you intercept the freighter. Once you have intercepted the freighter, disable it by targeting the vessel\'s subsystems. Use the \'[\' or \']\' to target the Torton Runner\'s engines and then attack the ship until its engines are at 0%. Now move in close to the freighter and wait for the capture process to begin. This process may take a couple of minutes so you will need to stay near the freighter until it begins. Be careful because you will be vunlerable while waiting for the capture process to complete. Once the vessel is captured you will need to escort it to safety. Follow the Torton Runner until it reaches its destination. Keep an eye out for enemy fighters who might attempt to retake the vessel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1a.stf', '1', 'abort', 'Flee like the coward you are.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1a.stf', '2', 'angry_disable', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1a.stf', '3', 'arrival_phase_1', 'Target is approaching, stand by');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1a.stf', '4', 'arrival_phase_2', 'Target has arrived at pre determined point, proceed with capture.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1a.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1a.stf', '6', 'attack_notify', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1a.stf', '7', 'attack_stopped', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1a.stf', '8', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1a.stf', '9', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1a.stf', '10', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1a.stf', '11', 'capture_complete', 'The capture is complete');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1a.stf', '12', 'capture_phase_1', 'Get your grubby paws off of me.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1a.stf', '13', 'capture_phase_2', 'Capture is almost complete');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1a.stf', '14', 'capture_started', 'The capture process has begun');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1a.stf', '15', 'complete', 'Mission is Complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1a.stf', '16', 'escort_remaining', 'An escort craft has been destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1a.stf', '17', 'escort_wiped_out', 'The escort wing has been destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1a.stf', '18', 'failed_destroy', 'The target has been destroyed, you fail.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1a.stf', '19', 'failed_escape', 'The target has escaped, you fail.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1a.stf', '20', 'panic_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1a.stf', '21', 'panic_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1a.stf', '22', 'panic_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1a.stf', '23', 'panic_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1a.stf', '24', 'panic_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1a.stf', '25', 'quest_disable_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1a.stf', '26', 'quest_disable_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1a.stf', '27', 'quest_escort_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1a.stf', '28', 'quest_escort_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1a.stf', '29', 'quest_location_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1a.stf', '30', 'quest_location_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1a.stf', '31', 'quest_recover_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1a.stf', '32', 'quest_recover_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1a.stf', '33', 'quest_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1a.stf', '34', 'recovery_success', 'The recovery was a success');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1a.stf', '35', 'split_quest_alert', 'Incoming, split quest.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1a.stf', '36', 'target_disabled', 'The target has been disabled.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1a.stf', '37', 'taunt_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1a.stf', '38', 'taunt_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1a.stf', '39', 'taunt_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1a.stf', '40', 'taunt_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1a.stf', '41', 'taunt_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1a.stf', '42', 'thanks_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1a.stf', '43', 'thanks_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1a.stf', '44', 'thanks_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1a.stf', '45', 'thanks_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1a.stf', '46', 'thanks_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1a.stf', '47', 'title', 'Recover Rebel Operative');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1a.stf', '48', 'title_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1_c.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1_c.stf', '2', 'abort', 'Glad to see that you came to your senses.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1_c.stf', '3', 'angry_disable', 'Blast it! You knocked my engines offline.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1_c.stf', '4', 'arrival_phase_1', 'Scanning system for known locations of Rebel officers. Prepare for interception once we have navigation waypoint.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1_c.stf', '5', 'arrival_phase_2', 'Nav location to a Rebel officer sent to your computer. Intercept and capture that officer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1_c.stf', '6', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1_c.stf', '7', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Incoming enemy fighters.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1_c.stf', '8', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1_c.stf', '9', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1_c.stf', '10', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1_c.stf', '11', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1_c.stf', '12', 'capture_complete', 'Autopilot of captured vessel reprogrammed. Escort it to a safe recovery location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1_c.stf', '13', 'capture_phase_1', 'You can question me all you want! I will never talk!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1_c.stf', '14', 'capture_phase_2', 'My ship is yours but you will never get what you want from me.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1_c.stf', '15', 'capture_started', 'Beginning reprogramming of autopilot. Stand by for further instructions.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1_c.stf', '16', 'complete', 'Rebel officer is in the hands of the Inquisiton. We will confirm the information in the recovered data shortly.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1_c.stf', '17', 'escort_remaining', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <%DI escort fighters remaining.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1_c.stf', '18', 'escort_wiped_out', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighter escort eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1_c.stf', '19', 'failed_destroy', 'We needed that officer to confirm what was in those rebel reports. Without him the whole operation is a bust. Report back to your surperior immediately.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1_c.stf', '20', 'failed_escape', 'We needed that officer to confirm what was in those rebel reports. Without him the whole operation is a bust. Report back to your surperior immediately.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1_c.stf', '21', 'panic_1', 'They think that I am with you! They will destroy me too.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1_c.stf', '22', 'panic_2', 'What! Wait! Why are they attacking me too.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1_c.stf', '23', 'panic_3', 'They would destroy me rather then let me fall into enemy hands?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1_c.stf', '24', 'panic_4', 'What! Wait! Why are they attacking me too.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1_c.stf', '25', 'panic_5', 'They would destroy me rather then let me fall into enemy hands?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1_c.stf', '26', 'quest_disable_d', 'There is a Y-wing leading a flight of X-wings and Y-wings. Disable and capture that ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1_c.stf', '27', 'quest_disable_t', 'Disable the Rebel Y-wing');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1_c.stf', '28', 'quest_escort_d', 'Follow the Y-wing and protect it on its way back to Imperial controlled space.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1_c.stf', '29', 'quest_escort_t', 'Escort the Rebel Y-wing');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1_c.stf', '30', 'quest_location_d', 'Remain in the Yavin system and capture the Rebel Y-wing pilot. It is important that the pilot comes from the Yavin system since they will be the best source of information.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1_c.stf', '31', 'quest_location_t', 'Remain in the Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1_c.stf', '32', 'quest_recover_d', 'Once the vessel is disabled, move in close and wait for the capture process to begin. You will probably want to destroy the escort fighters before doing this to avoid being attacked while the capture is happening.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1_c.stf', '33', 'quest_recover_t', 'Capture the Rebel Y-wing');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1_c.stf', '34', 'quest_update', '\\#pcontrast1 Black Epsilon Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1_c.stf', '35', 'recovery_success', 'The rebel scum is in our hands. It will not be long before he is begging to tell us all he knows. Come back home, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1_c.stf', '36', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1_c.stf', '37', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1_c.stf', '38', 'target_disabled', 'Target\'s engines are offline. Move in close and wait for the capture process to begin.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1_c.stf', '39', 'taunt_1', 'Die, Imperial dog!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1_c.stf', '40', 'taunt_2', 'Long live the rebellion.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1_c.stf', '41', 'taunt_3', 'We shall overcome.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1_c.stf', '42', 'taunt_4', 'Imperial scum like you shouldn\'t be allowed to live.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1_c.stf', '43', 'taunt_5', 'Prepare for your own demise.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1_c.stf', '44', 'thanks_1', 'Bleh, you killed them all.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1_c.stf', '45', 'thanks_2', 'Better them then us I suppose.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1_c.stf', '46', 'thanks_3', 'You will rue the day you messed with the rebellion.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1_c.stf', '47', 'thanks_4', 'Bleh, you killed them all.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1_c.stf', '48', 'thanks_5', 'Bleh, you killed them all.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1_c.stf', '49', 'title', 'Yavin System: Capture a Rebel Y-wing');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_1_c.stf', '50', 'title_d', 'Now that command has the Joint Operations Plan they will need a live body to question so they can compare the two. This will enable the Empire to determine what is real and what is false in the plan. Capture a Rebel pilot so he can be questioned. Fortunately the location of a Rebel Y-wing pilot was discovered while you were delivering the Joint Operations Plan.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_2.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_2.stf', '2', 'abort', 'Wait! You can\'t leave us out here without an escort. Jabba will kill us for just being caught.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_2.stf', '3', 'angry_disable', 'Jabba paid good money for those engines. He isn\'t going to be happy with either you or me.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_2.stf', '4', 'arrival_phase_1', 'We have a target Hutt ship. Getting lock now. Stand by to capture that craft.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_2.stf', '5', 'arrival_phase_2', 'Location to the Hutt smuggling ship sent to your nav computer. Capture and escort that craft for the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_2.stf', '6', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_2.stf', '7', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Incoming enemy fighters.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_2.stf', '8', 'attack_stopped', '\\#pcontrast1Tactical Computer:\\#pcontrast3 <Enemy fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_2.stf', '9', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_2.stf', '10', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_2.stf', '11', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_2.stf', '12', 'capture_complete', 'Smuggler has the coordinates they are going to fly to. Escort the ship safely through the sector.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_2.stf', '13', 'capture_phase_1', 'What do you want? I thought we had an understanding.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_2.stf', '14', 'capture_phase_2', 'Fine, fine. I will head to your coordinates. Just don\'t blow me up.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_2.stf', '15', 'capture_started', 'Sending surrender ultimatium to smuggler.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_2.stf', '16', 'complete', 'Hutt smuggler safely in Imperial hands.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_2.stf', '17', 'escort_remaining', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <%DI escort fighters remaining.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_2.stf', '18', 'escort_wiped_out', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Escort fighters destroyed.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_2.stf', '19', 'failed_destroy', 'It should have been a simple operation. You recover a hutt ship so we can use it against Nym\'s forces. Report back into your superior.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_2.stf', '20', 'failed_escape', 'It should have been a simple operation. You recover a hutt ship so we can use it against Nym\'s forces. Report back into your superior.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_2.stf', '21', 'panic_1', 'We are in big trouble.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_2.stf', '22', 'panic_2', 'Man, am I going to get it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_2.stf', '23', 'panic_3', 'I can tell Jabba is not pleased.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_2.stf', '24', 'panic_4', 'I don\'t think they liked you capturing me.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_2.stf', '25', 'panic_5', 'So, how does it feel to be on Jabba\'s most wanted list?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_2.stf', '26', 'quest_disable_d', 'Disable the Hutt debris smuggler which is a perfect ship to be outfitted with the jammer. It is being escorted by several fighters so these might need to be destroyed before trying to capture the vessel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_2.stf', '27', 'quest_disable_t', 'Disable the Hutt Debris Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_2.stf', '28', 'quest_escort_d', 'Follow the Hutt smuggler\'s vessel back to Imperial space.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_2.stf', '29', 'quest_escort_t', 'Escort the Hutt Debris Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_2.stf', '30', 'quest_location_d', 'Intelligence has located a perfect Hutt vessel to capture. Once you have entered the Yavin system you will receive a navigation waypoint of the Hutt debris smuggler.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_2.stf', '31', 'quest_location_t', 'Travel to the Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_2.stf', '32', 'quest_recover_d', 'Once the vessel has been disabled, move in close, and begin the capture process.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_2.stf', '33', 'quest_recover_t', 'Capture the Hutt Debris Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_2.stf', '34', 'quest_update', '\\#pcontrast1 Black Epsilon Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_2.stf', '35', 'recovery_success', 'Smuggler ship is in our hands. We will begin retrofitting it to suit our needs. Nice work, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_2.stf', '36', 'split_quest_alert', 'Prepare to start phase two of our operation. The Hutts and Nyms have made an agreement not to mess with each others territory. Head into Nym controlled space and start broadcasting on Hutt frequency. Nym\'s men should come swarming to protect their area.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_2.stf', '37', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_2.stf', '38', 'target_disabled', 'Target\'s engines are offline. Move in close and wait for the capture process to begin.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_2.stf', '39', 'taunt_1', 'Steal Hutt property will you? I thought even Imperial knew better then that.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_2.stf', '40', 'taunt_2', 'You made a huge mistake, Imperial dog.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_2.stf', '41', 'taunt_3', 'So you decided to break our agreement did you?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_2.stf', '42', 'taunt_4', 'Not a wise move to anger Jabba.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_2.stf', '43', 'taunt_5', 'Time for us to collect your hide.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_2.stf', '44', 'thanks_1', 'I don\'t know who is worse. You or them!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_2.stf', '45', 'thanks_2', 'I don\'t know who is worse. You or them!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_2.stf', '46', 'thanks_3', 'I don\'t know who is worse. You or them!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_2.stf', '47', 'thanks_4', 'I don\'t know who is worse. You or them!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_2.stf', '48', 'thanks_5', 'I don\'t know who is worse. You or them!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_2.stf', '49', 'title', 'Yavin System: Capture the Hutt Debris Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_2.stf', '50', 'title_d', 'Black Epsilon has come up with a plan to cause Nym to break off his assistance of the Rebellion in the Yavin system. First old wounds between the Hutts and Nym must be opened up in order to cause the two sides to start fighting. You are to capture a Hutt vessel, which the Empire will retrofit with a minor signature jammer, and then use it to attack Nym forces. This should cause Nym to retaliate and, therefore, starting a fight between the two pirate factions.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_3d.stf', '1', 'abort', 'You have failed due to aborting the quest.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_3d.stf', '2', 'angry_disable', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_3d.stf', '3', 'arrival_phase_1', 'The craft will be here shortly');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_3d.stf', '4', 'arrival_phase_2', 'Target has arrived.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_3d.stf', '5', 'assigned_delayed', 'Capture rebel freighter in Dathomir space');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_3d.stf', '6', 'attack_notify', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_3d.stf', '7', 'attack_stopped', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_3d.stf', '8', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_3d.stf', '9', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_3d.stf', '10', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_3d.stf', '11', 'capture_complete', 'The capture is complete');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_3d.stf', '12', 'capture_phase_1', 'Capture has begun');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_3d.stf', '13', 'capture_phase_2', 'Capture is almost complete');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_3d.stf', '14', 'capture_started', 'Capture has begun.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_3d.stf', '15', 'complete', 'The mission is complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_3d.stf', '16', 'escort_remaining', 'An escorting craft has been destroyed. %DI remain.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_3d.stf', '17', 'escort_wiped_out', 'The escort has been wiped out, proceed to primary objective.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_3d.stf', '18', 'failed_destroy', 'You have failed due to the target being destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_3d.stf', '19', 'failed_escape', 'You have failed due to the target escaping.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_3d.stf', '20', 'panic_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_3d.stf', '21', 'panic_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_3d.stf', '22', 'panic_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_3d.stf', '23', 'panic_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_3d.stf', '24', 'panic_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_3d.stf', '25', 'quest_disable_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_3d.stf', '26', 'quest_disable_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_3d.stf', '27', 'quest_escort_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_3d.stf', '28', 'quest_escort_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_3d.stf', '29', 'quest_location_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_3d.stf', '30', 'quest_location_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_3d.stf', '31', 'quest_recover_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_3d.stf', '32', 'quest_recover_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_3d.stf', '33', 'quest_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_3d.stf', '34', 'recovery_success', 'The recovery was a success.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_3d.stf', '35', 'split_quest_alert', 'Stand by for split quest.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_3d.stf', '36', 'target_disabled', 'The target has been disabled.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_3d.stf', '37', 'taunt_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_3d.stf', '38', 'taunt_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_3d.stf', '39', 'taunt_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_3d.stf', '40', 'taunt_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_3d.stf', '41', 'taunt_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_3d.stf', '42', 'thanks_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_3d.stf', '43', 'thanks_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_3d.stf', '44', 'thanks_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_3d.stf', '45', 'thanks_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_3d.stf', '46', 'thanks_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_3d.stf', '47', 'title', 'Capture rebel freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_3d.stf', '48', 'title_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_4.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_4.stf', '2', 'abort', 'That right! Run like the Imperial coward you are.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_4.stf', '3', 'angry_disable', 'You think that you are so smart, crippling me like that. One day I hope to return the favor.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_4.stf', '4', 'arrival_phase_1', 'Scanning system for target of opportunity that we can capture. Stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_4.stf', '5', 'arrival_phase_2', 'We have a lock on one of Nym\'s transport vessels that is a likely canidate. Capture and bring it back to a safe jump point. We will pick it up on our end.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_4.stf', '6', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_4.stf', '7', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters detected.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_4.stf', '8', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters destroyed.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_4.stf', '9', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_4.stf', '10', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_4.stf', '11', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_4.stf', '12', 'capture_complete', 'Transport has surrendered. Prepare to escort it to a safe jump location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_4.stf', '13', 'capture_phase_1', 'You have made a big mistake messing with Nym in his own system of power.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_4.stf', '14', 'capture_phase_2', 'Listen, you may have gotten me and I will follow without anymore fight but you will regret this.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_4.stf', '15', 'capture_started', 'Sending terms of surrender to the transport.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_4.stf', '16', 'complete', 'Transport is safely in Imperial hands.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_4.stf', '17', 'escort_remaining', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <%DI escorts remaining.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_4.stf', '18', 'escort_wiped_out', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy escort eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_4.stf', '19', 'failed_destroy', 'We wanted that ship in one piece. We will have to wait for another day to try again. Report back in with your superior.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_4.stf', '20', 'failed_escape', 'You let that ship get away? Now Nym will be alerted to our presence. Report your failure to your superior.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_4.stf', '21', 'panic_1', 'You know they will kill me rather then let me be captured.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_4.stf', '22', 'panic_2', 'Oh, great...now you did it!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_4.stf', '23', 'panic_3', 'Oh, well. It has been a nice life.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_4.stf', '24', 'panic_4', 'Maybe they will make it quick and I won\'t feel anything.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_4.stf', '25', 'panic_5', 'I have a wife and two kids! Thanks for getting me killed, Imperial dog.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_4.stf', '26', 'quest_disable_d', 'Disable the smuggler\'s vessel so we can capture it, search its flight computer, and question its pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_4.stf', '27', 'quest_disable_t', 'Disable the Nym Smuggler Transport');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_4.stf', '28', 'quest_escort_d', 'Once the ship is under our command, escort it safely into Imperial hands.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_4.stf', '29', 'quest_escort_t', 'Escort the Nym Smuggler Transport');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_4.stf', '30', 'quest_location_d', 'This operation is going to take place in Nym\'s backyard. We have a lock on one of his smuggler vessels in the area. Capture this vessel before it can leave the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_4.stf', '31', 'quest_location_t', 'Travel to the Lok System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_4.stf', '32', 'quest_recover_d', 'Once disabled, move in close to begin the capture process.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_4.stf', '33', 'quest_recover_t', 'Capture the Nym Smuggler Transport');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_4.stf', '34', 'quest_update', '\\#pcontrast1 Black Epsilon Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_4.stf', '35', 'recovery_success', 'Nice work, pilot. We have the ship under our control. Our technicians are already sifting through it\'s logs.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_4.stf', '36', 'split_quest_alert', 'The transports logs indicate a location of a patrol ship that Nym has running checkpoints around the zone. Your job is to destroy that vessel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_4.stf', '37', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_4.stf', '38', 'target_disabled', 'The transports engines are offline. Move in close and wait for the terms of surrender to be issued.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_4.stf', '39', 'taunt_1', 'You didn\'t think that Nym would just let you walk away with his property, did you?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_4.stf', '40', 'taunt_2', 'The Empire has no business in Lok! Get out of here before I do something about it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_4.stf', '41', 'taunt_3', 'You are making a huge mistake. Nym isn\'t going to stand for this!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_4.stf', '42', 'taunt_4', 'Ok, that\'s it! The kid gloves are coming off.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_4.stf', '43', 'taunt_5', 'Stealing from Nym! You are mad!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_4.stf', '44', 'thanks_1', 'There will be more.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_4.stf', '45', 'thanks_2', 'So you beat a few of Nym\'s men. You still are not going to make it all the way.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_4.stf', '46', 'thanks_3', 'Hey! I am not dead. That makes me happy. But I am still captured. That makes me sad.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_4.stf', '47', 'thanks_4', 'It is only a matter of time before they do take you out.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_4.stf', '48', 'thanks_5', 'Blast it! I was really looking forward to watching you die.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_4.stf', '49', 'title', 'Lok System: Capture the Nym Smuggler Transport');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier3_4.stf', '50', 'title_d', 'Now that the alliance between the Rebels and Nym has been broken, it is time to punish Nym for crossing the Empire. Black Espilon will strike close to his home in the Lok system. Our first goal is to capture one of Nym\'s smugglers in the region in order to get information about his other vessels locations.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_2.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_2.stf', '2', 'abort', '*static*');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_2.stf', '3', 'angry_disable', '*static*');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_2.stf', '4', 'arrival_phase_1', 'Getting a lock on the drifting ship now. Stand by for coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_2.stf', '5', 'arrival_phase_2', 'We have sent the vessel\'s location to your nav computer. It appears to be on autopilot. Disable the vessel\'s engines and reset the autopilot to return to Imperial space.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_2.stf', '6', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_2.stf', '7', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Incoming enemy fighters detected.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_2.stf', '8', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_2.stf', '9', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_2.stf', '10', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_2.stf', '11', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_2.stf', '12', 'capture_complete', 'Autopilot reset. Escort vessel back into Imperial space.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_2.stf', '13', 'capture_phase_1', '*static*');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_2.stf', '14', 'capture_phase_2', '*static*');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_2.stf', '15', 'capture_started', 'Beginning reprogramming of autopilot program. Stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_2.stf', '16', 'complete', 'Shuttle is on its way back to Imperial controlled space.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_2.stf', '17', 'escort_remaining', '\\#pcontrast1Tactical Computer:\\#pcontrast3 <%DI escorts remaining.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_2.stf', '18', 'escort_wiped_out', '\\#pcontrast1Tactical Computer:\\#pcontrast3 <Escorts eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_2.stf', '19', 'failed_destroy', 'We needed that shuttle to search it for clues. You incompentance cost us the best lead that we had. Report back to your commander immediately.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_2.stf', '20', 'failed_escape', 'You lost a shuttle that was on auto pilot? That sort of bumbling is the kind that gets men demoted. Report to your superior.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_2.stf', '21', 'panic_1', '*static*');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_2.stf', '22', 'panic_2', '*static*');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_2.stf', '23', 'panic_3', '*static*');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_2.stf', '24', 'panic_4', '*static*');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_2.stf', '25', 'panic_5', '*static*');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_2.stf', '26', 'quest_disable_d', 'Once you intercept the freighter, disable it so the autopilot can be reprogrammed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_2.stf', '27', 'quest_disable_t', 'Disable the Civilian Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_2.stf', '28', 'quest_escort_d', 'Follow the freighter until it reaches it\'s destination. Be on the look out for enemy fighters who might not want this ship recovered.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_2.stf', '29', 'quest_escort_t', 'Escort the Civilian Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_2.stf', '30', 'quest_location_d', 'The ship is adrift in the Dantooine system. Intercept the vessel before it can drift out of the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_2.stf', '31', 'quest_location_t', 'Travel to the Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_2.stf', '32', 'quest_recover_d', 'Move in close to the vessel and wait for the capture process to begin.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_2.stf', '33', 'quest_recover_t', 'Capture the Civilian Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_2.stf', '34', 'quest_update', '\\#pcontrast1 Black Epsilon Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_2.stf', '35', 'recovery_success', 'You have served well. The vessel will be investigated and perhaps we can gain a clue as to why it was here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_2.stf', '36', 'split_quest_alert', 'Now that we have the shuttle lets see what else those mercenaries can tell us. Return to mercenary space, disable, and inspect another mercenary officer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_2.stf', '37', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_2.stf', '38', 'target_disabled', 'The engines on the shuttle have shut down. Move in close to the freighter and reprogram it\'s autopilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_2.stf', '39', 'taunt_1', 'That ship belongs to us! We stole it from the Empire fair and square.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_2.stf', '40', 'taunt_2', 'You might as well give us back that shuttle, since you dont have a choice anyways.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_2.stf', '41', 'taunt_3', 'I will not only take the shuttle but I will also destroy you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_2.stf', '42', 'taunt_4', 'Your such a waste of good laser beams.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_2.stf', '43', 'taunt_5', 'You really should have stayed at home.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_2.stf', '44', 'thanks_1', '*static*');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_2.stf', '45', 'thanks_2', '*static*');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_2.stf', '46', 'thanks_3', '*static*');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_2.stf', '47', 'thanks_4', '*static*');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_2.stf', '48', 'thanks_5', '*static*');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_2.stf', '49', 'title', 'Dantooine System: Capture the Civilian Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_2.stf', '50', 'title_d', 'Insurgent has somehow discovered the location of an abandoned ship drifting along the outer rim of the system. He wants you to intercept and bring this vessel back so it can be examined. He believes that it might have some significance with his investigation.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_4_a.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_4_a.stf', '2', 'abort', 'Yeah, good plan there. You don\'t want to mess with our masters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_4_a.stf', '3', 'angry_disable', 'I will not be offline for very long! I know I can get this thing working again.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_4_a.stf', '4', 'arrival_phase_1', 'Tracking communications ship. Stand by for nav coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_4_a.stf', '5', 'arrival_phase_2', 'Location updated in your nav computer. It would appear that the communications ship is attempting to flee. Track it down and capture it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_4_a.stf', '6', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_4_a.stf', '7', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters detected.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_4_a.stf', '8', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_4_a.stf', '9', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_4_a.stf', '10', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_4_a.stf', '11', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_4_a.stf', '12', 'capture_complete', 'Autopilot reprogrammed. Returning vessel to Imperial space.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_4_a.stf', '13', 'capture_phase_1', 'You really don\'t know what is going on do you? Our masters are more powerful then one such as yourself can ever understand.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_4_a.stf', '14', 'capture_phase_2', 'You might take us but our masters already are aware of what you have done. You should be be prepared to feel the retribution of a jedi.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_4_a.stf', '15', 'capture_started', 'Reprogramming vessel\'s autopilot. Stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_4_a.stf', '16', 'complete', 'Successfully recovered enemy vessel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_4_a.stf', '17', 'escort_remaining', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <%DI escort fighters remaining.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_4_a.stf', '18', 'escort_wiped_out', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Escort fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_4_a.stf', '19', 'failed_destroy', 'We needed that vessel in order to help us find the other two cohorts of Nej\'a. You failed the Emperor and the Empire. Report to your superior.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_4_a.stf', '20', 'failed_escape', 'Your blundering incompetence has let that ship escape. Make a full report to your superior.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_4_a.stf', '21', 'panic_1', 'We accept death with dignity.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_4_a.stf', '22', 'panic_2', 'For Coynite. For glory.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_4_a.stf', '23', 'panic_3', 'Do not let me be dishonored by being captured, my brothers.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_4_a.stf', '24', 'panic_4', 'We accept death with dignity.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_4_a.stf', '25', 'panic_5', 'Do not let me be dishonored by being captured, my brothers.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_4_a.stf', '26', 'quest_disable_d', 'Intercept and disable the Velocity smuggler in order to capture it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_4_a.stf', '27', 'quest_disable_t', 'Disable the Velocity Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_4_a.stf', '28', 'quest_escort_d', 'Escort the smuggler to a safe location for a jump back into Imperial controlled space. Be on the look out for enemy craft who will probably attempt to recapture this ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_4_a.stf', '29', 'quest_escort_t', 'Escort the Velocity Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_4_a.stf', '30', 'quest_location_d', 'The Velocity Smuggler is located inside the Dathomir system. Intercept and capture that vessel before it can escape the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_4_a.stf', '31', 'quest_location_t', 'Remain in the Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_4_a.stf', '32', 'quest_recover_d', 'Move in close and wait for the capture process to begin.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_4_a.stf', '33', 'quest_recover_t', 'Capture the Velocity Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_4_a.stf', '34', 'quest_update', '\\#pcontrast1 Black Epsilon Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_4_a.stf', '35', 'recovery_success', 'We will begin our scans of the vessel to see if we can discover any lead on the location of the other two. Stand by for further instructions.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_4_a.stf', '36', 'split_quest_alert', 'Warning! Enemy fighters incoming at high speeds with weapons armed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_4_a.stf', '37', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_4_a.stf', '38', 'target_disabled', 'The communications vessel\'s engines are offline. Prepare to reprogram the ships autopilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_4_a.stf', '39', 'taunt_1', 'For Coynite! For glory!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_4_a.stf', '40', 'taunt_2', 'Your time draws near.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_4_a.stf', '41', 'taunt_3', 'You will be quite a prize, Imperial dog.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_4_a.stf', '42', 'taunt_4', 'Your time draws near.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_4_a.stf', '43', 'taunt_5', 'You will be quite a prize, Imperial dog.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_4_a.stf', '44', 'thanks_1', 'You have defeated them in battle. But you shall not win the war.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_4_a.stf', '45', 'thanks_2', 'My brothers died with honor.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_4_a.stf', '46', 'thanks_3', 'Praise for the fallen!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_4_a.stf', '47', 'thanks_4', 'You think you have won? Don\'t make me laugh.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_4_a.stf', '48', 'thanks_5', 'You think you have won? Don\'t make me laugh.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_4_a.stf', '49', 'title', 'Dathomir System: Capture the Velocity Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_imperial_tier4_4_a.stf', '50', 'title_d', 'Just before his destruction, Nej\'a sent out a signal to another vessel. This vessel probably will have information on the other two targets. Capture and bring the Velocity smuggler back to Insurgent.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_privateer_tier3_1.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_privateer_tier3_1.stf', '2', 'abort', 'Understood, aborting mission.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_privateer_tier3_1.stf', '3', 'angry_disable', 'You have some nerve attacking a Nym craft');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_privateer_tier3_1.stf', '4', 'arrival_phase_1', '\\#pcontrast3 CorSec: < \\#pcontrast1 The vessle is not where the distress becon reported, stand by while we scan. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_privateer_tier3_1.stf', '5', 'arrival_phase_2', '\\#pcontrast3 CorSec: < \\#pcontrast1 The ship is on the move again, not sure why they would do this but go catch them, we want questions answered. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_privateer_tier3_1.stf', '6', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_privateer_tier3_1.stf', '7', 'attack_notify', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Enemy craft detected on attack vector. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_privateer_tier3_1.stf', '8', 'attack_stopped', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Enemy activity has stopped. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_privateer_tier3_1.stf', '9', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_privateer_tier3_1.stf', '10', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_privateer_tier3_1.stf', '11', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_privateer_tier3_1.stf', '12', 'capture_complete', ' \\#pcontrast3 CorSec Command: < \\#pcontrast1 Now that you have him, escort him out of the system and we can handle it from there. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_privateer_tier3_1.stf', '13', 'capture_phase_1', 'System assault has begun on the ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_privateer_tier3_1.stf', '14', 'capture_phase_2', 'Systems have been captured.  Life support systems are altered, the pilot should be unconscious.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_privateer_tier3_1.stf', '15', 'capture_started', ' \\#pcontrast3 Tactical Computer: < \\#pcontrast1 Uploading sytem virus \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_privateer_tier3_1.stf', '16', 'complete', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Operation is complete, ship is underway to its new destination. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_privateer_tier3_1.stf', '17', 'escort_remaining', ' \\#pcontrast3 Tactical Computer: < \\#pcontrast1 An escorting craft has been destroyed, %DI remain \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_privateer_tier3_1.stf', '18', 'escort_wiped_out', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 All escorting craft have been destroyed \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_privateer_tier3_1.stf', '19', 'failed_destroy', 'The target ship was destroyed, you have failed your mission.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_privateer_tier3_1.stf', '20', 'failed_escape', 'The freighter has escaped, you have failed in you mission.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_privateer_tier3_1.stf', '21', 'panic_1', 'Help! They\'re on to us! We\'re being attacked.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_privateer_tier3_1.stf', '22', 'panic_2', 'Hey! Pay attention! They\'re attacking us!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_privateer_tier3_1.stf', '23', 'panic_3', 'Hey! Pay attention! They\'re attacking us!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_privateer_tier3_1.stf', '24', 'panic_4', 'Hey! Pay attention! They\'re attacking us!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_privateer_tier3_1.stf', '25', 'panic_5', 'Hey! Pay attention! They\'re attacking us!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_privateer_tier3_1.stf', '26', 'quest_disable_d', 'Target the Enforcers engine to disable');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_privateer_tier3_1.stf', '27', 'quest_disable_t', 'Disable Target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_privateer_tier3_1.stf', '28', 'quest_escort_d', 'Escort the Enforcer out of the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_privateer_tier3_1.stf', '29', 'quest_escort_t', 'Escort Target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_privateer_tier3_1.stf', '30', 'quest_location_d', 'Area of Lok Space');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_privateer_tier3_1.stf', '31', 'quest_location_t', 'Lok System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_privateer_tier3_1.stf', '32', 'quest_recover_d', 'Pull up close to the target to begin the recovery process');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_privateer_tier3_1.stf', '33', 'quest_recover_t', 'Recover Target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_privateer_tier3_1.stf', '34', 'quest_update', ' \\#pcontrast3  < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_privateer_tier3_1.stf', '35', 'recovery_success', 'The target ship is secured, operation successful.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_privateer_tier3_1.stf', '36', 'split_quest_alert', ' \\#pcontrast3 CorSec command: < \\#pcontrast1 Good work. Patrol the supply line in the Endor System for suspicious activity. We\'re expecting an attack. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_privateer_tier3_1.stf', '37', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_privateer_tier3_1.stf', '38', 'target_disabled', ' \\#pcontrast3 Tactical Computer: < \\#pcontrast1 The target ship has been disabled, move into position to begin capture process \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_privateer_tier3_1.stf', '39', 'taunt_1', 'You will not survive this.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_privateer_tier3_1.stf', '40', 'taunt_2', 'I will destroy you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_privateer_tier3_1.stf', '41', 'taunt_3', 'You will not survive this.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_privateer_tier3_1.stf', '42', 'taunt_4', 'You will not survive this.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_privateer_tier3_1.stf', '43', 'taunt_5', 'You will not survive this.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_privateer_tier3_1.stf', '44', 'thanks_1', 'Good job.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_privateer_tier3_1.stf', '45', 'thanks_2', 'Great fighting there Captain.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_privateer_tier3_1.stf', '46', 'thanks_3', 'Good job.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_privateer_tier3_1.stf', '47', 'thanks_4', 'Good job.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_privateer_tier3_1.stf', '48', 'thanks_5', 'Good job.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_privateer_tier3_1.stf', '49', 'title', 'Lok System: Recover Nym Vessel');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_privateer_tier3_1.stf', '50', 'title_d', 'Capture the Nym Enforcer');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier3_1.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier3_1.stf', '2', 'abort', 'Abort code received. Initiating emergency hyperspace jump.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier3_1.stf', '3', 'angry_disable', 'My friends will come for me Rebel, you better run while you can!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier3_1.stf', '4', 'arrival_phase_1', 'We are scanning for the Spy now, will give you the coordinates in a moment.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier3_1.stf', '5', 'arrival_phase_2', 'Found him! Proceed to these coordinates immediately and disable him.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier3_1.stf', '6', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier3_1.stf', '7', 'attack_notify', 'Tactical Computer: < Incoming fighter vessels. Scans show weapons armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier3_1.stf', '8', 'attack_stopped', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier3_1.stf', '9', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier3_1.stf', '10', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier3_1.stf', '11', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier3_1.stf', '12', 'capture_complete', 'Space Assault Droid: < Unit has control over vessel. Subject pacified. Piloting to pre-programmed coordinates. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier3_1.stf', '13', 'capture_phase_1', 'Unit triggering laser cutter, breaching target vessel hull.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier3_1.stf', '14', 'capture_phase_2', 'Pacifying subject, taking control of target vessel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier3_1.stf', '15', 'capture_started', 'Space Assault Droid: < Unit shows target vessel disabled, initiating attack sequence. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier3_1.stf', '16', 'complete', 'Navigation computer shows that target vessel has reached escape coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier3_1.stf', '17', 'escort_remaining', 'Placeholder, he has no escort.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier3_1.stf', '18', 'escort_wiped_out', 'Placeholder, he has no escort.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier3_1.stf', '19', 'failed_destroy', 'We wanted that spy alive to find out what he knew pilot! Return to base for a full report immediately!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier3_1.stf', '20', 'failed_escape', 'You let the spy get away! Get back to base immediately, we will have to evacuate our fleet!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier3_1.stf', '21', 'panic_1', 'Target vessels sensors indicate attack fighters type TIE trying to terminate unit.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier3_1.stf', '22', 'panic_2', 'Target vessels sensors indicate attack fighters type TIE trying to terminate unit.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier3_1.stf', '23', 'panic_3', 'Target vessels sensors indicate attack fighters type TIE trying to terminate unit.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier3_1.stf', '24', 'panic_4', 'Target vessels sensors indicate attack fighters type TIE trying to terminate unit.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier3_1.stf', '25', 'panic_5', ' Target vessels sensors indicate attack fighters type TIE trying to terminate unit.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier3_1.stf', '26', 'quest_disable_d', 'Disable the engines or the reactor of the spy\'s ship so that your space assault droid can take control of it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier3_1.stf', '27', 'quest_disable_t', 'Disable the spy\'s ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier3_1.stf', '28', 'quest_escort_d', 'Escort the spy\'s ship back to us so we can interrogate the wretch. Be careful, the Empire will probably try and terminate him rather than have him fall in to our hands.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier3_1.stf', '29', 'quest_escort_t', 'Escort the spy\'s ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier3_1.stf', '30', 'quest_location_d', 'This will be a tricky mission. You need to catch the spy before he reaches an Imperial fleet. The problem is that the Empire is all over the Yavin system and he may get lucky and run in to a large number of Imperial ships faster than you can get to him.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier3_1.stf', '31', 'quest_location_t', 'Yavin system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier3_1.stf', '32', 'quest_recover_d', 'Your space assault droid is taking control of the spy\'s ship. Keep the ship safe while the droid is working.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier3_1.stf', '33', 'quest_recover_t', 'Droid taking over.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier3_1.stf', '34', 'quest_update', 'Rebel Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier3_1.stf', '35', 'recovery_success', 'Good work pilot. The presence of those TIE\'s show that the Empire have already been contacted by the spy though.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier3_1.stf', '36', 'split_quest_alert', 'Rebel Command: < We need to evacuate the main part of our fleet. Sweep the escape route and clear out any Imperial targets you come across. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier3_1.stf', '37', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier3_1.stf', '38', 'target_disabled', 'Tactical Computer: < Scans show target vessel disabled. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier3_1.stf', '39', 'taunt_1', 'Our orders are very clear men, proceed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier3_1.stf', '40', 'taunt_2', 'Your petty crusade stops here Rebel!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier3_1.stf', '41', 'taunt_3', 'The law is very clear on how to handle terrorists, say good night Rebel!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier3_1.stf', '42', 'taunt_4', 'No one leaves this area alive men, no one!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier3_1.stf', '43', 'taunt_5', 'Exterminate them all!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier3_1.stf', '44', 'thanks_1', 'Target vessels sensors show attack fighters type TIE terminated.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier3_1.stf', '45', 'thanks_2', 'Target vessels sensors show attack fighters type TIE terminated.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier3_1.stf', '46', 'thanks_3', 'Target vessels sensors show attack fighters type TIE terminated.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier3_1.stf', '47', 'thanks_4', 'Target vessels sensors show attack fighters type TIE terminated.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier3_1.stf', '48', 'thanks_5', 'Target vessels sensors show attack fighters type TIE terminated.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier3_1.stf', '49', 'title', 'Yavin system: Capture the Imperial spy.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier3_1.stf', '50', 'title_d', 'An Imperial spy has found out the location of our space ship hangars on Yavin 4. You need to catch up to him and bring him back for questioning before he reaches the Imperial fleet.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier4_4.stf', '1', 'abort', 'You better have a good reason for aborting pilot! Initiating emergency hyperspace jump!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier4_4.stf', '2', 'angry_disable', 'You will never get away with this you Rebel scum!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier4_4.stf', '3', 'arrival_phase_1', 'Alright, the Rebels spy ships is transmitting the coordinates of the technicians ship to you now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier4_4.stf', '4', 'arrival_phase_2', 'Intercept the technicians shuttle and disable it. The spies we have aboard will try to take control of the ship when it\'s disabled.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier4_4.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier4_4.stf', '6', 'attack_notify', 'Tactical Computer: < Incoming fighter vessels. Scans show weapons armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier4_4.stf', '7', 'attack_stopped', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier4_4.stf', '8', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier4_4.stf', '9', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier4_4.stf', '10', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier4_4.stf', '11', 'capture_complete', 'Worvog Arkon: < The Rebel Commando\'s have finished repairs on the shuttle. Escort them to safety. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier4_4.stf', '12', 'capture_phase_1', 'Team Warscythe reporting. Terminating the crew, status report in 10.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier4_4.stf', '13', 'capture_phase_2', 'Crew terminated, package intact. Repairing shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier4_4.stf', '14', 'capture_started', 'Worvog Arkon: < Contacting the Rebel Commando team on board. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier4_4.stf', '15', 'complete', 'Good job my friend. The Commando squad leader is effective, he \'convinced\' the technician to give us the route of the Imperial freighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier4_4.stf', '16', 'escort_remaining', 'Worvog Arkon: < Our spy vessel tells me there\'s %DI escort ships left. Destroy them all if you can. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier4_4.stf', '17', 'escort_wiped_out', 'Worvog Arkon: < I\'m getting the report that there are no more escort fighters left, good job pilot. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier4_4.stf', '18', 'failed_destroy', 'The Rebels lost some of their best men there, I think you will have some explaining to do pilot...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier4_4.stf', '19', 'failed_escape', 'The technician slipped away! This is not good, we need to come up with a new plan quickly...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier4_4.stf', '20', 'panic_1', 'TIE ships approaching. Our pilot is skilled but this vessel is not designed for fighter combat so we will need your assistance pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier4_4.stf', '21', 'panic_2', 'Bogeys two o\'clock.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier4_4.stf', '22', 'panic_3', 'Enemy fighters incoming.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier4_4.stf', '23', 'panic_4', 'TIE Fighters attacking. Lets terminate them quickly and move on.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier4_4.stf', '24', 'panic_5', 'More victims at 10 o\'clock.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier4_4.stf', '25', 'quest_disable_d', 'Disable the reactor or engines of the shuttle so that they can\'t escape once the attack is under way.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier4_4.stf', '26', 'quest_disable_t', 'Disable \'Lambda\' shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier4_4.stf', '27', 'quest_escort_d', 'Escort the stolen shuttle to safety. We are reading dozens of incoming fighter ships, the Empire is determined not to let you get away. For lack of a better term, may the force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier4_4.stf', '28', 'quest_escort_t', 'Escort stolen shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier4_4.stf', '29', 'quest_location_d', 'The Dantooine system shouldn\'t be very dangerous for an experienced pilot like you but this shuttle is heavily guarded and who knows what other surprises the Empire has in the area so stay alert.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier4_4.stf', '30', 'quest_location_t', 'Dantooine system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier4_4.stf', '31', 'quest_recover_d', 'While the commando team is taking control of the shuttle, keep it safe from enemy ships.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier4_4.stf', '32', 'quest_recover_t', 'Alliance commando team taking control.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier4_4.stf', '33', 'quest_update', 'Worvog Arkon: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier4_4.stf', '34', 'recovery_success', 'Alright, the shuttle is safe from there. Good job pilot, stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier4_4.stf', '35', 'split_quest_alert', 'We have the location of some of the Imperial freighters shipping parts for the space station. They are taking a secretive route through the Endor system, lets make a surprise visit.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier4_4.stf', '36', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier4_4.stf', '37', 'target_disabled', 'Alright, the techicians shuttle is disabled, good work!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier4_4.stf', '38', 'taunt_1', 'We have been sanctioned to terminate you all Rebels.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier4_4.stf', '39', 'taunt_2', 'Terminate the escort first men.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier4_4.stf', '40', 'taunt_3', 'We will not let you leave here with that man, even if it means he doesn\'t leave either!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier4_4.stf', '41', 'taunt_4', 'End of the line Rebel fools!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier4_4.stf', '42', 'taunt_5', 'I will destroy you, foolish Rebels!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier4_4.stf', '43', 'thanks_1', 'Enemy fighter wing terminated.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier4_4.stf', '44', 'thanks_2', 'No more bogeys within scan range.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier4_4.stf', '45', 'thanks_3', 'TIE Fighters eliminated, move on.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier4_4.stf', '46', 'thanks_4', 'Excellent, proceed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier4_4.stf', '47', 'thanks_5', 'That was the last of that fighter wing, proceed as planned.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier4_4.stf', '48', 'title', 'Dantooine system: Kidnap Imperial technician.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_rebel_tier4_4.stf', '49', 'title_d', 'We are about to kidnap one of the technicians building the new Imperial space station in the Lok system. The Alliance have managed to place a commando team on board his shuttle. You need to take out the shuttle escort and disable the ship so that they can take control of it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission2_1.stf', '1', 'abort', 'What? You\'re just going to leave me out here like so much flotsam? Grrr... you\'ll pay for this.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission2_1.stf', '2', 'angry_disable', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission2_1.stf', '3', 'arrival_phase_1', 'Plotting projected path of Cloak officer. Stand by for coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission2_1.stf', '4', 'arrival_phase_2', 'Target acquired. Disable the \"Hooded Cloak\" and upload the autopilot program before he jumps out of the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission2_1.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission2_1.stf', '6', 'attack_notify', '\\#pcontrast1 Tactical Computer: <\\#pcontrast3  Warning. Enemy craft inbound.\\#pcontrast1 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission2_1.stf', '7', 'attack_stopped', '\\#pcontrast1 Tactical Computer: <\\#pcontrast3  Enemy threat neutralized.\\#pcontrast1 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission2_1.stf', '8', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission2_1.stf', '9', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission2_1.stf', '10', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission2_1.stf', '11', 'capture_complete', 'Copy that. Acknowledge completion of program upload sequence. Escort the target home, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission2_1.stf', '12', 'capture_phase_1', 'What\'s this? \"Downloading auto-pi...\" WHAT? NO!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission2_1.stf', '13', 'capture_phase_2', 'Don\'t do this, CorSec. We could make a deal. I know people! Don\'t take me in...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission2_1.stf', '14', 'capture_started', 'We copy that, pilot. Acknowledge initiation of auto-pilot override program upload sequence.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission2_1.stf', '15', 'complete', 'Good work. The auto-pilot program has the Cloak officer en route to CorSec HQ. Return to the station for debriefing.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission2_1.stf', '16', 'escort_remaining', '\\#pcontrast1 Tactical Computer: <\\#pcontrast3  Secondary target destroyed. %DI escort ship(s) remaining.\\#pcontrast1 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission2_1.stf', '17', 'escort_wiped_out', '\\#pcontrast1 Tactical Computer: <\\#pcontrast3  Secondary target destroyed. Escort wing eliminated.\\#pcontrast1 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission2_1.stf', '18', 'failed_destroy', 'The commander is not going to be pleased that you let the Cloak officer be destroyed. Return to the station for debriefing, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission2_1.stf', '19', 'failed_escape', 'The commander is not going to be pleased that you let the Cloak officer escape. Return to the station for debriefing, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission2_1.stf', '20', 'panic_1', 'Ah, yes. Here come the reinforcements. Wait... why are they targeting me.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission2_1.stf', '21', 'panic_2', 'You are done for now. Arg, no you fools. Shoot the CorSec!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission2_1.stf', '22', 'panic_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission2_1.stf', '23', 'panic_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission2_1.stf', '24', 'panic_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission2_1.stf', '25', 'quest_disable_d', 'Intercept and engage the Cloak officer and his escort wing. You must do only enough damage to the officer to disable his ship. He must not be destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission2_1.stf', '26', 'quest_disable_t', 'Disable the Cloak Officer');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission2_1.stf', '27', 'quest_escort_d', 'When the target ship is under CorSec control, you must escort it through the system while it makes the necessary hyperspace calculations for the jump to headquarters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission2_1.stf', '28', 'quest_escort_t', 'Escort the Cloak Officer');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission2_1.stf', '29', 'quest_location_d', 'You must travel to the Corellia system. Once there, CorSec Command will plot the projected course of the Cloak officer and send you corrdinates via a navigation waypoint.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission2_1.stf', '30', 'quest_location_t', 'Travel to the Corellia System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission2_1.stf', '31', 'quest_recover_d', 'After the Cloak officer\'s ship has been disabled, move in and remain close to upload the auto-pilot override program.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission2_1.stf', '32', 'quest_recover_t', 'Upload the Auto-pilot Override Program');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission2_1.stf', '33', 'quest_update', '\\#pcontrast1 CorSec Command: <\\#pcontrast3  %TO\\#pcontrast1  >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission2_1.stf', '34', 'recovery_success', 'Good work. The auto-pilot program has the Cloak officer en route to CorSec HQ. Return to the station for debriefing.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission2_1.stf', '35', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission2_1.stf', '36', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission2_1.stf', '37', 'target_disabled', 'Confirming target ship as disabled. Proceed with program upload sequence.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission2_1.stf', '38', 'taunt_1', 'Apologies, sir. We cannot allow you to be captured.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission2_1.stf', '39', 'taunt_2', 'You allowed yourself to be captured? You are too pathetic to be a Cloak officer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission2_1.stf', '40', 'taunt_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission2_1.stf', '41', 'taunt_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission2_1.stf', '42', 'taunt_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission2_1.stf', '43', 'thanks_1', 'Gragh! You will pay for this, CorSec.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission2_1.stf', '44', 'thanks_2', 'Next time you will not be so lucky.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission2_1.stf', '45', 'thanks_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission2_1.stf', '46', 'thanks_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission2_1.stf', '47', 'thanks_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission2_1.stf', '48', 'title', 'Corellia System: Capture the Cloak Officer');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission2_1.stf', '49', 'title_d', 'CorSec Command has received information that a high-ranking officer of the Cloak cell will be passing through the Corellia system. He is to be captured and brought to headquarters for questioning. You must intercept the Cloak Officer, eliminate his escort and disable his ship. Once the ship is disabled you will be able to upload the auto-pilot override program. When the ship is under CorSec control, you must escort it while it makes hyperspace calculations for the jump to CorSec headquarters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission5a_1.stf', '1', 'abort', 'Yes, run like the coward that you are, CorSec. You will face the wrath of the Cloaks soon.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission5a_1.stf', '2', 'angry_disable', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission5a_1.stf', '3', 'arrival_phase_1', 'We are having difficulty tracking the Cloak leader. Stand by while we filter the scan data.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission5a_1.stf', '4', 'arrival_phase_2', 'Target found. Projected path plotted based on current heading. Intercept and disable the target, and upload the auto-pilot override program.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission5a_1.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission5a_1.stf', '6', 'attack_notify', '\\#pcontrast1 Tactical Computer: <\\#pcontrast3  Warning. Enemy craft inbound.\\#pcontrast1 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission5a_1.stf', '7', 'attack_stopped', '\\#pcontrast1 Tactical Computer: <\\#pcontrast3  Enemy threat neutralized.\\#pcontrast1 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission5a_1.stf', '8', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission5a_1.stf', '9', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission5a_1.stf', '10', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission5a_1.stf', '11', 'capture_complete', 'Copy that. Acknowledge completion of program upload sequence. Escort the target home, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission5a_1.stf', '12', 'capture_phase_1', 'Oh no! Please don\'t upload that program. It can\'t be!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission5a_1.stf', '13', 'capture_phase_2', 'All is lost! I am captured. REPEAT. I AM CAPTURED!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission5a_1.stf', '14', 'capture_started', 'We copy that, pilot. Acknowledge initiation of auto-pilot override program upload sequence.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission5a_1.stf', '15', 'complete', 'Something doesn\'t seem right here, pilot. Stay alert.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission5a_1.stf', '16', 'escort_remaining', '\\#pcontrast1 Tactical Computer: <\\#pcontrast3  Secondary target destroyed. %DI escort ship(s) remaining.\\#pcontrast1 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission5a_1.stf', '17', 'escort_wiped_out', '\\#pcontrast1 Tactical Computer: <\\#pcontrast3  Secondary target destroyed. Escort wing eliminated.\\#pcontrast1 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission5a_1.stf', '18', 'failed_destroy', 'The commander is not going to be pleased that you let the Cloak leader be destroyed. Return to the station for debriefing, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission5a_1.stf', '19', 'failed_escape', 'The commander is not going to be pleased that you let the Cloak leader escape. Return to the station for debriefing, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission5a_1.stf', '20', 'panic_1', 'Uh oh! You are in for it now!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission5a_1.stf', '21', 'panic_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission5a_1.stf', '22', 'panic_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission5a_1.stf', '23', 'panic_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission5a_1.stf', '24', 'panic_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission5a_1.stf', '25', 'quest_disable_d', 'Intercept the Cloak leader, but do not destroy him. Damage his ship only enough to disable him and prevent him from escaping.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission5a_1.stf', '26', 'quest_disable_t', 'Disable the Cloak leader');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission5a_1.stf', '27', 'quest_escort_d', 'Once the Cloak leader is under our control, escort him back to Command for detainment. You can probably expect heavy resistance here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission5a_1.stf', '28', 'quest_escort_t', 'Escort the Captured Leader');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission5a_1.stf', '29', 'quest_location_d', 'The Cloak leader is moving through the Corellia system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission5a_1.stf', '30', 'quest_location_t', 'Remain in the Corellia System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission5a_1.stf', '31', 'quest_recover_d', 'Move in close to the disabled Cloak leader\'s ship and the auto-pilot override program will begin to upload automatically.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission5a_1.stf', '32', 'quest_recover_t', 'Upload the Autopilot Override Program');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission5a_1.stf', '33', 'quest_update', '\\#pcontrast1 CorSec Command: <\\#pcontrast3  %TO\\#pcontrast1  >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission5a_1.stf', '34', 'recovery_success', 'Something doesn\'t seem right here, pilot. Stay alert.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission5a_1.stf', '35', 'split_quest_alert', 'The other ship was a decoy. The true Cloak leader is incoming on attack vector. Your auto-pilot program is wasted, you must destroy him.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission5a_1.stf', '36', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission5a_1.stf', '37', 'target_disabled', 'Confirming target ship as disabled. Proceed with program upload sequence.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission5a_1.stf', '38', 'taunt_1', 'Die, CorSec!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission5a_1.stf', '39', 'taunt_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission5a_1.stf', '40', 'taunt_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission5a_1.stf', '41', 'taunt_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission5a_1.stf', '42', 'taunt_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission5a_1.stf', '43', 'thanks_1', 'Don\'t worry, your time will come.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission5a_1.stf', '44', 'thanks_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission5a_1.stf', '45', 'thanks_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission5a_1.stf', '46', 'thanks_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission5a_1.stf', '47', 'thanks_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission5a_1.stf', '48', 'title', 'Corellia System: Capture the Cloak Leader');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/corellia_station_mission5a_1.stf', '49', 'title_d', 'The Cloak leader is on the move through the Corellian system. CorSec command wants him disabled, captured, and brought back to Command for detainment.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_a.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_a.stf', '2', 'abort', 'Why have you aborted the recovery operation? We must find out where they got that code.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_a.stf', '3', 'angry_disable', 'You think that you are so very clever. We will see who is clever when this is all over with.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_a.stf', '4', 'arrival_phase_1', 'The Rebel officer is nearby. We are scanning the system for her exact location. Stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_a.stf', '5', 'arrival_phase_2', 'We have located the Rebel officer! That information has been sent to your nav computer. Disable the Rebel officer\'s ship and capture her.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_a.stf', '6', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_a.stf', '7', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters detected.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_a.stf', '8', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_a.stf', '9', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_a.stf', '10', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_a.stf', '11', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_a.stf', '12', 'capture_complete', 'The Rebel officer has been captured. Let\'s escort her out of here and to a safe location for interrogation.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_a.stf', '13', 'capture_phase_1', 'Boarding party reporting in. We are facing resistance. Hold any other fighters off until we have successfully taken the ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_a.stf', '14', 'capture_phase_2', 'Rebels have been eliminated. Initializing the ship\'s restart sequence now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_a.stf', '15', 'capture_started', 'Beginning capture process. Stand by until the Rebel officer is in our custody.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_a.stf', '16', 'complete', 'Mission completed. You have served your Emperor well, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_a.stf', '17', 'escort_remaining', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <%DI ships remaining in the transport\'s escort.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_a.stf', '18', 'escort_wiped_out', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <The transport\'s escort has been eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_a.stf', '19', 'failed_destroy', 'Your orders were to capture the Rebel officer not destroy her. Return to your superior immediately for debriefing.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_a.stf', '20', 'failed_escape', 'You have failed to capture the Rebel officer. Return to your superior immediately for debriefing.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_a.stf', '21', 'panic_1', 'I won\'t be taken alive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_a.stf', '22', 'panic_2', 'Your end approaches, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_a.stf', '23', 'panic_3', 'They\'ll destroy me and my ship rather than let us remain in your filthy hands.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_a.stf', '24', 'panic_4', 'More and more ships will come. Just wait and see.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_a.stf', '25', 'panic_5', 'Ha, you\'re under attack again.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_a.stf', '26', 'quest_disable_d', 'Finding out where this Rebel officer got those authorization codes is important to the Empire. Capture her.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_a.stf', '27', 'quest_disable_t', 'Disable the Rebel Officer\'s ship');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_a.stf', '28', 'quest_escort_d', 'Follow the captured Rebel officer\'s ship to safety. Protect it from any Rebel attack.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_a.stf', '29', 'quest_escort_t', 'Escort the Captured Rebel Officer\'s Ship');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_a.stf', '30', 'quest_location_d', 'The Rebel officer has not yet left the Dathomir system. Track her down and capture her before she can leave the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_a.stf', '31', 'quest_location_t', 'Remain in the Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_a.stf', '32', 'quest_recover_d', 'Once the Rebel officer\'s ship is disabled, move in close, and wait for the capture process to begin.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_a.stf', '33', 'quest_recover_t', 'Capture the Rebel Officer');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_a.stf', '34', 'quest_update', '\\#pcontrast1 Station Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_a.stf', '35', 'recovery_success', 'The Rebel officer has been captured and is ready for interrogation. Good work, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_a.stf', '36', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_a.stf', '37', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_a.stf', '38', 'target_disabled', 'The Rebel officer has been disabled. Move in close and wait for the boarding operation to get underway.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_a.stf', '39', 'taunt_1', 'It isn\'t going to be as easy as you thought.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_a.stf', '40', 'taunt_2', 'Give up or we will be forced to hurt you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_a.stf', '41', 'taunt_3', 'Fine! Fighters, disable the captive ship so that we may board it and free our brother in arms.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_a.stf', '42', 'taunt_4', 'You know you cannot win.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_a.stf', '43', 'taunt_5', 'We will find out what you are doing out here, Imperial dog.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_a.stf', '44', 'thanks_1', 'Nice work, pilot. You lit those Rebels up.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_a.stf', '45', 'thanks_2', 'Way to drive those Rebels away.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_a.stf', '46', 'thanks_3', 'I feel much safer with you flying escort.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_a.stf', '47', 'thanks_4', 'Hang in there. There can\'t be that many Rebels left.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_a.stf', '48', 'thanks_5', 'They just are not willing to let us go.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_a.stf', '49', 'title', 'Dathomir System: Capture the Rebel Officer');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_a.stf', '50', 'title_d', 'A Rebel Officer tried to present what seemed to be genuine authorization codes, but was recognized as the Rebel she is. Capture her so that we can find out where she got those codes.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_d.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_d.stf', '2', 'abort', 'Why have you aborted the recovery operation? Don\'t let that fleeing pirate get away!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_d.stf', '3', 'angry_disable', 'You think that you are so very clever. We will see who is clever when this is all over with.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_d.stf', '4', 'arrival_phase_1', 'One of the Black Sun pirates fled from the area. We are scanning the system for its location. Stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_d.stf', '5', 'arrival_phase_2', 'We have located the fleeing pirate! That information has been sent to your nav computer. Disable the ship and capture it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_d.stf', '6', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_d.stf', '7', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters detected.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_d.stf', '8', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_d.stf', '9', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_d.stf', '10', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_d.stf', '11', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_d.stf', '12', 'capture_complete', 'The fleeing Black Sun pirate has been captured. Let\'s escort it out of here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_d.stf', '13', 'capture_phase_1', 'Boarding party reporting in. We are facing resistance. Hold any other fighters off until we have successfully retaken the ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_d.stf', '14', 'capture_phase_2', 'The Black Sun pirates have been eliminated. Initializing restart sequence on the captured ship now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_d.stf', '15', 'capture_started', 'Beginning capture process. Stand by until the Black Sun pirate\'s ship has been taken.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_d.stf', '16', 'complete', 'Mission completed. You have served your Emperor well, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_d.stf', '17', 'escort_remaining', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <%DI ships remaining in the transport\'s escort.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_d.stf', '18', 'escort_wiped_out', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <The transport\'s escort has been eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_d.stf', '19', 'failed_destroy', 'Your orders were to capture that pirate not destroy him. Return to your superior immediately for debriefing.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_d.stf', '20', 'failed_escape', 'You have failed to capture the fleeing Black Sun pirate. Return to your superior immediately for debriefing.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_d.stf', '21', 'panic_1', 'Ah... here come more of my comrades. I\'ll escape you yet.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_d.stf', '22', 'panic_2', 'More pirates! They\'ll defeat you, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_d.stf', '23', 'panic_3', 'Great! I\'ll be free soon. You can\'t stop them from freeing me!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_d.stf', '24', 'panic_4', 'You should never have attacked the Black Sun, fool.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_d.stf', '25', 'panic_5', 'Blast it! If they can\'t free me, they\'ll destroy my ship rather than let it remain in your hands.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_d.stf', '26', 'quest_disable_d', 'The information that pirate has could be important. You have to disable the his ship and capture it for the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_d.stf', '27', 'quest_disable_t', 'Disable the fleeing Black Sun Pirate\'s Ship');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_d.stf', '28', 'quest_escort_d', 'Follow the captive Black Sun pirate as it is taken to a safe location. Protect it from any attack.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_d.stf', '29', 'quest_escort_t', 'Escort the captured Black Sun Pirate');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_d.stf', '30', 'quest_location_d', 'The fleeing pirate has not yet left the Dathomir system. Track it down and capture it before it can leave the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_d.stf', '31', 'quest_location_t', 'Remain in the Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_d.stf', '32', 'quest_recover_d', 'Once the pirate\'s ship is disabled, move in close, and wait for the capture process to begin.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_d.stf', '33', 'quest_recover_t', 'Capture the fleeing Black Sun Pirate\'s Ship');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_d.stf', '34', 'quest_update', '\\#pcontrast1 Station Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_d.stf', '35', 'recovery_success', 'The fleeing Black Sun pirate has been captured and is ready for interrogation. Good work, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_d.stf', '36', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_d.stf', '37', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_d.stf', '38', 'target_disabled', 'The fleeing Black Sun pirate\'s ship has been disabled. Move in close and wait for the boarding operation to get underway.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_d.stf', '39', 'taunt_1', 'It isn\'t going to be as easy as you thought.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_d.stf', '40', 'taunt_2', 'Give up your captive or we will be forced to hurt you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_d.stf', '41', 'taunt_3', 'Fine! Fighters, destroy the captive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_d.stf', '42', 'taunt_4', 'You know you cannot win.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_d.stf', '43', 'taunt_5', 'We will find out what you are doing out here, Imperial dog.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_d.stf', '44', 'thanks_1', 'Nice work, pilot. You lit those pirates up.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_d.stf', '45', 'thanks_2', 'Way to drive those pirates away.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_d.stf', '46', 'thanks_3', 'I feel much safer with you flying escort.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_d.stf', '47', 'thanks_4', 'Hang in there. There can\'t be that many pirates left.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_d.stf', '48', 'thanks_5', 'They just are not willing to let us go.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_d.stf', '49', 'title', 'Dathomir System: Capture the Fleeing Black Sun Pirate');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_imp_storyquest_01_d.stf', '50', 'title_d', 'During your attack on Black Sun pirates, one of them turned and fled. We think this may be a sign that the fleeing pirate knows something. Capture it so that we may interrogate the pirate.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_priv_storyquest_01_b.stf', '1', 'abort', 'You let the cargo get away! Pray we can get a fix on it\'s location before it\'s too late.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_priv_storyquest_01_b.stf', '2', 'angry_disable', 'Do you really think you have won?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_priv_storyquest_01_b.stf', '3', 'arrival_phase_1', '\\#pcontrast3 Station Command: <\\#pcontrast1 Stay alert, the thieves are close. \\#pcontrast3>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_priv_storyquest_01_b.stf', '4', 'arrival_phase_2', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 The thieves have appeared.  Preparing systems for combat. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_priv_storyquest_01_b.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_priv_storyquest_01_b.stf', '6', 'attack_notify', 'Enemy craft detected on attack vector.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_priv_storyquest_01_b.stf', '7', 'attack_stopped', 'Enemy activity has stopped.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_priv_storyquest_01_b.stf', '8', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_priv_storyquest_01_b.stf', '9', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_priv_storyquest_01_b.stf', '10', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_priv_storyquest_01_b.stf', '11', 'capture_complete', 'Ship systems have been captured, setting autopilot for jump to hyperspace.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_priv_storyquest_01_b.stf', '12', 'capture_phase_1', 'Nav Computer: System Conversion Begun.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_priv_storyquest_01_b.stf', '13', 'capture_phase_2', 'Nav Computer: Capture Protocol 90% complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_priv_storyquest_01_b.stf', '14', 'capture_started', 'Nav Computer: Beginning Capture Protocol.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_priv_storyquest_01_b.stf', '15', 'complete', 'I appear to be at your mercy, Captain.  Shall we get moving then?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_priv_storyquest_01_b.stf', '16', 'escort_remaining', '\\#pcontrast3 Tactical Computer < \\#pcontrast1 An escort has been destroyed, %DI remain in the escort \\#pcontrast3 > ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_priv_storyquest_01_b.stf', '17', 'escort_wiped_out', '\\#pcontrast3 Tacitcal Computer: < \\#pcontrast1 The escort has been wiped out, proceed with primary objective. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_priv_storyquest_01_b.stf', '18', 'failed_destroy', '\\#pcontrast3 Station Command: < \\#pcontrast1 Damn, we needed that vessel intact. The cargo has been lost... no, it was transfered to another ship. Return for further information. > \\#pcontrast3');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_priv_storyquest_01_b.stf', '19', 'failed_escape', '\\#pcontrast3 Station Command: < \\#pcontrast1 They have eluded us. We\'ll try to get a fix on their location. Report back in for further updates. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_priv_storyquest_01_b.stf', '20', 'panic_1', 'I won\'t be taken alive!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_priv_storyquest_01_b.stf', '21', 'panic_2', 'Give up! You\'ve never recover this cargo.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_priv_storyquest_01_b.stf', '22', 'panic_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_priv_storyquest_01_b.stf', '23', 'panic_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_priv_storyquest_01_b.stf', '24', 'panic_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_priv_storyquest_01_b.stf', '25', 'quest_disable_d', 'Target the ship\'s engines to disable it');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_priv_storyquest_01_b.stf', '26', 'quest_disable_t', 'Disable Target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_priv_storyquest_01_b.stf', '27', 'quest_escort_d', 'Escort the captive ship into position for a hyperspace jump');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_priv_storyquest_01_b.stf', '28', 'quest_escort_t', 'Escort Target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_priv_storyquest_01_b.stf', '29', 'quest_location_d', 'Head to last known location of the thieves who stole the cargo.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_priv_storyquest_01_b.stf', '30', 'quest_location_t', 'Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_priv_storyquest_01_b.stf', '31', 'quest_recover_d', 'Pull up close to begin the capture protocol');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_priv_storyquest_01_b.stf', '32', 'quest_recover_t', 'Recover Target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_priv_storyquest_01_b.stf', '33', 'quest_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_priv_storyquest_01_b.stf', '34', 'recovery_success', '\\#pcontrast3 Station Command: < \\#pcontrast1 Good job pilot, the cargo has been recovered and is on it\'s way to our lockup. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_priv_storyquest_01_b.stf', '35', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_priv_storyquest_01_b.stf', '36', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_priv_storyquest_01_b.stf', '37', 'target_disabled', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Target has successfully been disabled. \\#pcontrast3 > ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_priv_storyquest_01_b.stf', '38', 'taunt_1', 'If we cannot have it, no one shall.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_priv_storyquest_01_b.stf', '39', 'taunt_2', 'We would welcome death over failure!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_priv_storyquest_01_b.stf', '40', 'taunt_3', 'We will have that cargo and discover it\'s contents!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_priv_storyquest_01_b.stf', '41', 'taunt_4', 'You\'ll not get away again!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_priv_storyquest_01_b.stf', '42', 'taunt_5', 'If we cannot have it, no one shall.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_priv_storyquest_01_b.stf', '43', 'thanks_1', 'Don\'t worry, your time will come.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_priv_storyquest_01_b.stf', '44', 'thanks_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_priv_storyquest_01_b.stf', '45', 'thanks_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_priv_storyquest_01_b.stf', '46', 'thanks_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_priv_storyquest_01_b.stf', '47', 'thanks_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_priv_storyquest_01_b.stf', '48', 'title', 'Dantooine System: Retrieve the ship with the stolen cargo.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/dathomir_station_priv_storyquest_01_b.stf', '49', 'title_d', 'Before the freighter with our cargo could get to our lockup, it was intercepted and robbed. It would seem that the freighter left your protection too soon. Go to Dantooine and recover our stolen cargo.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_2.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_2.stf', '2', 'abort', 'We\'ve received an abort code... you can\'t just leave us out here. We\'re unarmed!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_2.stf', '3', 'angry_disable', 'What do you mean our engines are offline? Oh, I am so going to make you pay for that!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_2.stf', '4', 'arrival_phase_1', 'The hostage convoy will arrive at any moment.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_2.stf', '5', 'arrival_phase_2', 'The hostage convoy has been detected in the region. Disable the transport and rescue the hostages!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_2.stf', '6', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_2.stf', '7', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters detected.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_2.stf', '8', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_2.stf', '9', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_2.stf', '10', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_2.stf', '11', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_2.stf', '12', 'capture_complete', ' \\#pcontrast3 Tactical Computer: < \\#00ff00 Primary mission target capture operation complete! \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_2.stf', '13', 'capture_phase_1', 'This is primary agent. We\'ve broken free of our captors and have started to take the bridge. Buy us a little more time...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_2.stf', '14', 'capture_phase_2', 'This is primary agent. We\'ve taken the bridge. Looks like a standard control configuration...we\'ll be underway shortly.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_2.stf', '15', 'capture_started', ' \\#pcontrast3 Tactical Computer: < \\#00ff00 Primary mission target capture operation underway. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_2.stf', '16', 'complete', 'We have our hyperspace jump calculated. Thanks for watching our backs. We owe you one.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_2.stf', '17', 'escort_remaining', ' \\#pcontrast3 Tactical Computer: < \\#00ff00 %DI ships remain in the hostage escort. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_2.stf', '18', 'escort_wiped_out', ' \\#pcontrast3 Tactical Computer: < \\#00ff00 The hostage escort has been eliminated. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_2.stf', '19', 'failed_destroy', 'The hostages have been killed! This is unacceptable! Return to base at once. You are to blame for this failure!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_2.stf', '20', 'failed_escape', 'The hostages have been transported out of the area! We\'ll never find them now. Return to base at once!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_2.stf', '21', 'panic_1', 'Looks like Nym\'s dogs have our scent.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_2.stf', '22', 'panic_2', 'Nym sent some of his boys out. You better take care of them.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_2.stf', '23', 'panic_3', 'Nice! Nym sent the welcome wagon.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_2.stf', '24', 'panic_4', 'Time to show these boys what Storm Squadron is all about.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_2.stf', '25', 'panic_5', 'This could get ugly.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_2.stf', '26', 'quest_disable_d', 'Once you have intercepted the hostage transport, you will need to disable it in order to begin the capture process. Use the \'[\' or \']\' key to target the hostage transport\'s subsystems. Cycle through them until you have its engines targeted. Attack the transport until its engines are at 0%.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_2.stf', '27', 'quest_disable_t', 'Disable the Hostage Transport');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_2.stf', '28', 'quest_escort_d', 'Once the hostage transport is captured, you will need to escort it through the Lok system. Follow and protect the hostage transport until it reaches its destination. Nym will probably send fighters out to attempt to destroy your prize rather then let you save them. You will need to keep the hostage transport safe from them.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_2.stf', '29', 'quest_escort_t', 'Escort the Hostages Transport');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_2.stf', '30', 'quest_location_d', 'Travel to the Lok system and capture the hostage transport. Once you enter the system, wait until Imperial command sends you a navigation waypoint to the transport\'s most recent location. As the hostage transport moves through the system this navigation waypoint will update to its most recent location. Intercept the transport before it reaches the end of its path or the vessel will jump out of the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_2.stf', '31', 'quest_location_t', 'Travel to the Lok System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_2.stf', '32', 'quest_recover_d', 'Once the hostage transport is disabled you can begin the capture process. Move in close to the hostage transport and wait for the capture process to begin. It might take a couple minutes for the process to begin so you will need to stay close to the vessel while this is happening. Wait until the capture process is completed before you move away from the hostage transport. You will be vulnerable at this point so it might be a good idea to destroy any escort vessels that are with the ship before attempting to capture it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_2.stf', '33', 'quest_recover_t', 'Capture the Hostage Transport');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_2.stf', '34', 'quest_update', ' \\#pcontrast3 Storm Squadron Command: < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_2.stf', '35', 'recovery_success', 'The hostages are safe and are en route to base. Good job, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_2.stf', '36', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_2.stf', '37', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_2.stf', '38', 'target_disabled', 'The hostage transport has been disabled. Move in close to the vessel and stand by until they can make contact.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_2.stf', '39', 'taunt_1', 'No one steals from Nym!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_2.stf', '40', 'taunt_2', 'You thought we would just let you fly out of here?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_2.stf', '41', 'taunt_3', 'This system is ruled by Nym, the Empire is not welcome here!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_2.stf', '42', 'taunt_4', 'Time to pay for your insolence Imperial fools!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_2.stf', '43', 'taunt_5', 'Good to see you, it\'s been a while since I had a challenge!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_2.stf', '44', 'thanks_1', 'We are in the clear. Nice work, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_2.stf', '45', 'thanks_2', 'We are in the clear. Nice work, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_2.stf', '46', 'thanks_3', 'We are in the clear. Nice work, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_2.stf', '47', 'thanks_4', 'We are in the clear. Nice work, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_2.stf', '48', 'thanks_5', 'We are in the clear. Nice work, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_2.stf', '49', 'title', 'Lok System: Capture the Hostage Transport');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_2.stf', '50', 'title_d', 'Travel to the Lok system and capture the hostage transport. Once you arrive in the Lok system, wait until Imperial command can get you the location of the target transport. Once they have a lock, you will receive a navigation waypoint to its current location. This navigation waypoint will update as the hostage transport moves through the system. Follow these navigation waypoints until you intercept the transport. Once you have intercepted the transport, disable it by targeting the vessel\'s subsystems. Use the \'[\' or \']\' to target the hostage transport\'s engines and then attack the ship until its engines are at 0%. Now move in close to the transport and wait for the capture process to begin. This process may take a couple of minutes so you will need to stay near the transport until it begins. Be careful because you will be vunlerable while waiting for the capture process to complete. Once the vessel is captured you will need to escort it to safety. Follow the hostage transport until it reaches its destination. Keep an eye out for enemy fighters who might attempt to retake the vessel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_6.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_6.stf', '2', 'abort', 'Where are you going? We do not have any means of protecting ourselves. Your superior will certainly learn of your failure.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_6.stf', '3', 'angry_disable', 'Alert! Alert! This is the Twilight Sun. We have been crippled by an Imperial attack. Requesting Alliance fighter support for immediate assistance.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_6.stf', '4', 'arrival_phase_1', 'Stand by for the arrival location of the vessel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_6.stf', '5', 'arrival_phase_2', 'Arrival location has been sent to your nav computer. Proceed with the operation.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_6.stf', '6', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_6.stf', '7', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Warning! Enemy fighters detected.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_6.stf', '8', 'attack_stopped', '\\#pcontrast1Tactical Computer:\\#pcontrast3 <Enemy fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_6.stf', '9', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_6.stf', '10', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_6.stf', '11', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_6.stf', '12', 'capture_complete', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Recovery of vessel completed.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_6.stf', '13', 'capture_phase_1', 'Boarding vessel now. This shouldn\'t take very long. Stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_6.stf', '14', 'capture_phase_2', 'Mild resistance. Nothing we can\'t handle. Almost complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_6.stf', '15', 'capture_started', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Recovery of vessel beginning.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_6.stf', '16', 'complete', 'Nice work, pilot. We have the vessel safely. Return to your superior officer and report in.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_6.stf', '17', 'escort_remaining', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <%DI ship escorts remaining.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_6.stf', '18', 'escort_wiped_out', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy escorts eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_6.stf', '19', 'failed_destroy', 'You were supposed to capture and return that ship to us, not let it be destroyed. Report back to your commander immediately.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_6.stf', '20', 'failed_escape', 'You let it get away! Report your failure to your commander immediately.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_6.stf', '21', 'panic_1', 'Rebels are swarming in! Look out!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_6.stf', '22', 'panic_2', 'Smells like a heap of trouble ahead.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_6.stf', '23', 'panic_3', 'Keep them off of me!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_6.stf', '24', 'panic_4', 'Rebels...it\'s whats for dinner.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_6.stf', '25', 'panic_5', 'I am here to chew bubble gum and beat some Rebels. And I am all out of buggle gum.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_6.stf', '26', 'quest_disable_d', 'Destroy the Twilight Sun\'s engines and disable it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_6.stf', '27', 'quest_disable_t', 'Disable the Twilight Sun');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_6.stf', '28', 'quest_escort_d', 'Escort the Twilight Sun and core into Imperial hands. The Rebels are not going to let their prize get away easily so be prepared to fight.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_6.stf', '29', 'quest_escort_t', 'Escort the Twilight Sun');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_6.stf', '30', 'quest_location_d', 'Travel to the Yavin system and capture the Twilight Sun. If the gunboat manages to get out of the Yavin system chances are very slim that the Empire will be able to find where they went.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_6.stf', '31', 'quest_location_t', 'Travel to the Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_6.stf', '32', 'quest_recover_d', 'Once the vessel is disabled, move in close to begin the capture process. You might want to destroy the gunboat\'s escort before attempting this though.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_6.stf', '33', 'quest_recover_t', 'Capture the Twilight Sun');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_6.stf', '34', 'quest_update', '\\#pcontrast1 Storm Squadron Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_6.stf', '35', 'recovery_success', 'Nice work, pilot. You have performed a difficult task brilliantly. Make a full report to your superior.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_6.stf', '36', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_6.stf', '37', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_6.stf', '38', 'target_disabled', 'The ship\'s engines are offline. Move in and proceed with the boarding operation, before it can get it\'s engines back online.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_6.stf', '39', 'taunt_1', 'You cannot escape. That core is ours!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_6.stf', '40', 'taunt_2', 'Fighters! Focus your fire on the Twilight Sun. We cannot allow the Empire to get that core back.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_6.stf', '41', 'taunt_3', 'Things are looking grim...for you that is.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_6.stf', '42', 'taunt_4', 'Freedom!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_6.stf', '43', 'taunt_5', 'Who let this Imperial dog off its leash?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_6.stf', '44', 'thanks_1', 'I bet they will feel that in the morning.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_6.stf', '45', 'thanks_2', 'These Rebels are just the way I like them...dead.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_6.stf', '46', 'thanks_3', 'I don\'t think we will have any more trouble with those rebels.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_6.stf', '47', 'thanks_4', 'Nice shooting.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_6.stf', '48', 'thanks_5', 'Looks like Storm Squadron sent me the right pilot for the job.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_6.stf', '49', 'title', 'Yavin System: Capture the Twilight Sun');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/imperial_ss_6.stf', '50', 'title_d', 'The scan team has discovered that the Rebels have found the Death Star\'s firing core and are trying to transport it from the system on a gunboat, called the Twilight Sun. The Empire wants that core back in one piece. You are to capture the gunboat carring the firing core, but be warned the ship is being highly protected by the Rebels.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier2_3.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier2_3.stf', '2', 'abort', 'Don\'t worry about us, pilot. We are going to make it just fine.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier2_3.stf', '3', 'angry_disable', 'Why did you do that? I was fine until you showed up.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier2_3.stf', '4', 'arrival_phase_1', 'We are beginning our scans for Colonel Hend\'s shuttle. Stand by for nav location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier2_3.stf', '5', 'arrival_phase_2', 'Pilot, we have a lock on Colonel Hend\'s shuttle. Proceed with the rescue operation.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier2_3.stf', '6', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier2_3.stf', '7', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters detected. Incoming at attack speeds.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier2_3.stf', '8', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier2_3.stf', '9', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier2_3.stf', '10', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier2_3.stf', '11', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier2_3.stf', '12', 'capture_complete', 'We have the ship. Colonel Hend is fine. Escort us to the colonel\'s jump location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier2_3.stf', '13', 'capture_phase_1', 'I don\'t think this is necessary. We should be able to get away on our own.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier2_3.stf', '14', 'capture_phase_2', 'Uh...thanks for the help, pilot. We will supply the boarding party with the correct jump location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier2_3.stf', '15', 'capture_started', 'Beginning main assault on shuttle. Please stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier2_3.stf', '16', 'complete', 'What...the? Colonel Hend\'s shuttle just jumped in the wrong direction. Pilot, get back to your superior officer and make a report...something isn\'t right here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier2_3.stf', '17', 'escort_remaining', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <%DI escort fighters remaining.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier2_3.stf', '18', 'escort_wiped_out', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighter escort destroyed. Beginning shuttle recovery procedure.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier2_3.stf', '19', 'failed_destroy', 'Colonel Hend\'s shuttle has been destroyed. Your failure to protect the colonel is most disturbing. Report back to your superior.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier2_3.stf', '20', 'failed_escape', 'The shuttle jumped out of this sector. Pilot, your orders were to recover the colonel and you failed in that simple task. Report to your superior.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier2_3.stf', '21', 'panic_1', 'Rebels! They must have gotten word of our plan.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier2_3.stf', '22', 'panic_2', 'Great! I mean look out...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier2_3.stf', '23', 'panic_3', 'Looks like you are going to be busy.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier2_3.stf', '24', 'panic_4', 'You better take care of this.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier2_3.stf', '25', 'panic_5', 'Rebel fighters? Where did they come from?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier2_3.stf', '26', 'quest_disable_d', 'Once you have intercepted Colonel Hend\'s shuttle, you will need to disable it in order to begin the capture process. Use the \'[\' or \']\' key to target Colonel Hend\'s shuttle\'s subsystems. Cycle through them until you have its engines targeted. Attack the shuttle until its engines are at 0%.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier2_3.stf', '27', 'quest_disable_t', 'Disable Colonel Hend\'s Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier2_3.stf', '28', 'quest_escort_d', 'Once Colonel Hend\'s shuttle is captured, you will need to escort it through the Corellia system. Follow and protect Colonel Hend\'s shuttle until it reaches its destination. The Rebels will probably send fighters out to attempt to destroy your prize. You will need to keep Colonel Hend\'s shuttle safe from them.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier2_3.stf', '29', 'quest_escort_t', 'Escort Colonel Hend\'s Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier2_3.stf', '30', 'quest_location_d', 'Travel to the Naboo system and capture Colonel Hend\'s shuttle. Once you enter the system, wait until Imperial command sends you a navigation waypoint to the shuttle\'s most recent location. As Colonel Hend\'s shuttle moves through the system this navigation waypoint will update to its most recent location. Intercept Colonel Hend\'s shuttle before it reaches the end of its path or the vessel will jump out of the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier2_3.stf', '31', 'quest_location_t', 'Travel to the Nabooian System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier2_3.stf', '32', 'quest_recover_d', 'Once Colonel Hend\'s shuttle is disabled you can begin the capture process. Move in close to Colonel Hend\'s shuttle and wait for the capture process to begin. It might take a couple minutes for the process to begin so you will need to stay close to the vessel while this is happening. Wait until the capture process is completed before you move away from Colonel Hend\'s shuttle. You will be vulnerable at this point so it might be a good idea to destroy any escort vessels that are with the ship before attempting to capture it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier2_3.stf', '33', 'quest_recover_t', 'Capture Colonel Hend\'s Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier2_3.stf', '34', 'quest_update', '\\#pcontrast1 Imperial High Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier2_3.stf', '35', 'recovery_success', 'Nice work, pilot. Remain on guard until Colonel Hend jumps out of the system. Report back to your superior officer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier2_3.stf', '36', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier2_3.stf', '37', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier2_3.stf', '38', 'target_disabled', 'Excellent work, pilot. Now get that boarding party onto the shuttle and recover it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier2_3.stf', '39', 'taunt_1', 'You cannot have him, he is ours!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier2_3.stf', '40', 'taunt_2', 'Big mistake, Imperial dog.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier2_3.stf', '41', 'taunt_3', 'Freedom has its price and I am willing to pay it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier2_3.stf', '42', 'taunt_4', 'This looks like it is going to get interesting.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier2_3.stf', '43', 'taunt_5', 'Colonel Hend doesn\'t want to stay with you anymore...let him go!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier2_3.stf', '44', 'thanks_1', 'Uhhh, nice work?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier2_3.stf', '45', 'thanks_2', 'That looks like them all. I will be fine by myself...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier2_3.stf', '46', 'thanks_3', 'I am sure that I can handle it from here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier2_3.stf', '47', 'thanks_4', 'I have an idea. You fly that way and I will fly the other way...we split up and they will not know where I went.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier2_3.stf', '48', 'thanks_5', 'I think the Rebels have given up. I should be fine from now on.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier2_3.stf', '49', 'title', 'Naboo System: Capture Colonel Hend\'s Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier2_3.stf', '50', 'title_d', 'Travel to the Naboo system and capture Colonel Hend\'s shuttle. Once you arrive in the Naboo system, wait until Imperial command can get you the location of the target shuttle. Once they have a lock, you will receive a navigation waypoint to its current location. This navigation waypoint will update as Colonel Hend\'s shuttle moves through the system. Follow these navigation waypoints until you intercept the shuttle. Once you have intercepted the shuttle, disable it by targeting the vessel\'s subsystems. Use the \'[\' or \']\' to target Colonel Hend\'s shuttle\'s engines and then attack the ship until its engines are at 0%. Now move in close to the shuttle and wait for the capture process to begin. This process may take a couple of minutes so you will need to stay near the shuttle until it begins. Be careful because you will be vulnerable while waiting for the capture process to complete. Once the vessel is captured you will need to escort it to safety. Follow Colonel Hend\'s shuttle until it reaches its destination. Keep an eye out for enemy fighters who might attempt to retake the vessel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1.stf', '2', 'abort', 'Yeah, that\'s right. You don\'t have any business with me anyways.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1.stf', '3', 'angry_disable', 'Hey, what did you do that for? We were just out on a simple pleasure cruise. There was no need to get violent.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1.stf', '4', 'arrival_phase_1', 'Scanning system for colonel\'s yacht.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1.stf', '5', 'arrival_phase_2', 'Location of yacht discovered. Transfering the data to your navigation computer. Proceed as planned.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1.stf', '6', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1.stf', '7', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Incoming Enemy fighters.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1.stf', '8', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters have been eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1.stf', '9', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1.stf', '10', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1.stf', '11', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1.stf', '12', 'capture_complete', 'Yacht captured. Prepare to escort her back to HQ.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1.stf', '13', 'capture_phase_1', 'What are you doing? You have no right to board us!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1.stf', '14', 'capture_phase_2', 'Call this off before it is too late. Your superiors will not be happy when they hear about this.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1.stf', '15', 'capture_started', 'Boarding process underway. Please stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1.stf', '16', 'complete', 'Well done. We have the ship in our possession. Now let us see what the good colonel kept in the ship\'s systems.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1.stf', '17', 'escort_remaining', '\\#pcontrast1 Target Computer:\\#pcontrast3 <%DI escorts remaining.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1.stf', '18', 'escort_wiped_out', '\\#pcontrast1 Target Computer:\\#pcontrast3 <Escort fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1.stf', '19', 'failed_destroy', 'Pilot, your orders were to recover that ship, not destroy it. Report back to your superior.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1.stf', '20', 'failed_escape', 'Pilot, I thought we had made it clear that you were to capture that ship. Report back to your superior immediately.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1.stf', '21', 'panic_1', 'Rebels incoming! Keep them off of us until we can make the jump.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1.stf', '22', 'panic_2', 'Watch our back. Those Rebels are not going to be happy about the lose of this shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1.stf', '23', 'panic_3', 'I was wondering when they would show up.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1.stf', '24', 'panic_4', 'Make short work of those Rebels. We have a job to do.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1.stf', '25', 'panic_5', 'They just don\'t know when to quit, do they?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1.stf', '26', 'quest_disable_d', 'Take the engines of the yacht offline so you can begin the capture process.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1.stf', '27', 'quest_disable_t', 'Disable Colonel Hend\'s Yacht');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1.stf', '28', 'quest_escort_d', 'Return the yacht back to Imperial hands. If it is important as we think it is you can expect to be attacked trying to recover it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1.stf', '29', 'quest_escort_t', 'Escort Colonel Hend\'s Yacht');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1.stf', '30', 'quest_location_d', 'Travel to the Naboo system and intercept the yacht. Flight command reports that it left the system breifly and then returned. A navigation waypoint will be supplied to you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1.stf', '31', 'quest_location_t', 'Travel to the Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1.stf', '32', 'quest_recover_d', 'Once it is disabled, move in close to begin the capture process.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1.stf', '33', 'quest_recover_t', 'Capture Colonel Hend\'s Yacht');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1.stf', '34', 'quest_update', '\\#pcontrast1 Imperial High Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1.stf', '35', 'recovery_success', 'Excellent work, pilot. Stand by until the yacht jumps.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1.stf', '36', 'split_quest_alert', 'We think we have found something very interesting in the yacht\'s comptures. The shuttle transfered some data to a mercenary craft on it\'s way to Yavin 4. Proceed immediately to the Yavin sector and inspect that craft\'s computers.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1.stf', '37', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1.stf', '38', 'target_disabled', 'The yacht is disabled. Take control of it before it can get its engines back online.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1.stf', '39', 'taunt_1', 'You will never take that vessel!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1.stf', '40', 'taunt_2', 'Your the pilot who killed Hend! You are going to pay for that!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1.stf', '41', 'taunt_3', 'To get that shuttle you are going to have to get through me first!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1.stf', '42', 'taunt_4', 'Attack pattern delta! Now!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1.stf', '43', 'taunt_5', 'The force is not with you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1.stf', '44', 'thanks_1', 'Foolish Rebels! They should have just stayed at home.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1.stf', '45', 'thanks_2', 'Very well done, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1.stf', '46', 'thanks_3', 'What a waste! Not the Rebels...I just spilled my drink.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1.stf', '47', 'thanks_4', 'They really need to train their pilots better if they plan on defeating us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1.stf', '48', 'thanks_5', 'That was the sorriest thing I have seen in a long time. Where did they get those useless pilots?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1.stf', '49', 'title', 'Naboo System: Capture Colonel Hend\'s Yacht');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1.stf', '50', 'title_d', 'Someone has stolen the now deceased Colonel Hend\'s private yacht. Command thinks that this yacht might have more information regarding Colonel Hend\'s activities and wants it back so they can investigate. Capture and return the yacht to Imperial hands.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1_a.stf', '1', 'abort', 'Why have you aborted the recovery operation? That shuttle is now lost to the rebels.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1_a.stf', '2', 'angry_disable', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1_a.stf', '3', 'arrival_phase_1', 'The rebels have taken the Lamdba shuttle. Wait until it comes into range.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1_a.stf', '4', 'arrival_phase_2', 'The shuttle is in range. Disable it and recapture it from the rebellion.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1_a.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1_a.stf', '6', 'attack_notify', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1_a.stf', '7', 'attack_stopped', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1_a.stf', '8', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1_a.stf', '9', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1_a.stf', '10', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1_a.stf', '11', 'capture_complete', 'Lambda shuttle back in imperial hands. Lets get it out of here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1_a.stf', '12', 'capture_phase_1', 'Boarding party reporting in. We are facing resistance, hold any other fighters off until we have successfully retaken the ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1_a.stf', '13', 'capture_phase_2', 'Rebels have been elimated. Initilizing shuttle restart squence now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1_a.stf', '14', 'capture_started', 'Boarding party reporting in. Beginning assault on shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1_a.stf', '15', 'complete', 'Good work pilot. We are jumping out of the sector...now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1_a.stf', '16', 'escort_remaining', 'Tactical Computer: %DI ships remaining in the shuttles escort.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1_a.stf', '17', 'escort_wiped_out', 'Tactical Computer: The shuttles escort has been eliminated.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1_a.stf', '18', 'failed_destroy', 'Your orders were to retake the shuttle not destroy it. Return to your superior immediately for debriefing.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1_a.stf', '19', 'failed_escape', 'You have failed to recapture the shuttle from rebel hands. Return to your superior immediately for debriefing.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1_a.stf', '20', 'panic_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1_a.stf', '21', 'panic_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1_a.stf', '22', 'panic_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1_a.stf', '23', 'panic_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1_a.stf', '24', 'panic_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1_a.stf', '25', 'quest_disable_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1_a.stf', '26', 'quest_disable_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1_a.stf', '27', 'quest_escort_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1_a.stf', '28', 'quest_escort_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1_a.stf', '29', 'quest_location_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1_a.stf', '30', 'quest_location_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1_a.stf', '31', 'quest_recover_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1_a.stf', '32', 'quest_recover_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1_a.stf', '33', 'quest_update', 'Imperial High Command: <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1_a.stf', '34', 'recovery_success', 'The Lambda shuttle and engineers onboard have been safely recovered. Good work, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1_a.stf', '35', 'split_quest_alert', 'During your assault on the shuttle a rebel scout was detected nearby. You are to capture that scout\'s computers and retrieve any information it might have.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1_a.stf', '36', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1_a.stf', '37', 'target_disabled', 'Lambda shuttle has been disabled. Boarding operation will begin shortly.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1_a.stf', '38', 'taunt_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1_a.stf', '39', 'taunt_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1_a.stf', '40', 'taunt_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1_a.stf', '41', 'taunt_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1_a.stf', '42', 'taunt_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1_a.stf', '43', 'thanks_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1_a.stf', '44', 'thanks_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1_a.stf', '45', 'thanks_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1_a.stf', '46', 'thanks_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1_a.stf', '47', 'thanks_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1_a.stf', '48', 'title', 'Daring Rescue');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_1_a.stf', '49', 'title_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_2_c.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_2_c.stf', '2', 'abort', 'Ha, I knew you couldn\'t catch me.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_2_c.stf', '3', 'angry_disable', 'You are planning on bringing me back alive, aren\'t you? Just kill me and get it over with.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_2_c.stf', '4', 'arrival_phase_1', 'Stand by. Scanning system for vessel Doctor Shinss took to escape his post on Endor.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_2_c.stf', '5', 'arrival_phase_2', 'Freighter containing Doctor Shinss has been located. Location has been sent to your nav computer. Proceed with caution, scans show the freighter has an escort.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_2_c.stf', '6', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_2_c.stf', '7', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Incoming enemy fighters.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_2_c.stf', '8', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_2_c.stf', '9', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_2_c.stf', '10', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_2_c.stf', '11', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_2_c.stf', '12', 'capture_complete', 'Freighter with Doctor Shinss has been retaken. Prepare to escort it to jump point.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_2_c.stf', '13', 'capture_phase_1', 'Stop, please stop! Just let me go.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_2_c.stf', '14', 'capture_phase_2', 'No...you mustn\'t. I will not last long in the hands of the Inquistion.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_2_c.stf', '15', 'capture_started', 'Capture procedure underway.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_2_c.stf', '16', 'complete', 'Wonderful, just wonderful. Now they are going to put me to the question. You may have done your duty today, but I hope you realize what you have done to me.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_2_c.stf', '17', 'escort_remaining', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <%DI escort fighters remaining.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_2_c.stf', '18', 'escort_wiped_out', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Escort fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_2_c.stf', '19', 'failed_destroy', 'You were to capture the doctor\'s shuttle, not blow it up! Report to your superior immediately.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_2_c.stf', '20', 'failed_escape', 'The doctor managed to elude you! That is a black mark on your career...yes indeed it is. Return to your superior and make a report.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_2_c.stf', '21', 'panic_1', 'They are going to destroy me rather then let me be captured?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_2_c.stf', '22', 'panic_2', 'I think I made a big mistake.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_2_c.stf', '23', 'panic_3', 'I guess it is better to die then to be handed over to the Inquisition.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_2_c.stf', '24', 'panic_4', 'Listen...just let me go and no one will get hurt.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_2_c.stf', '25', 'panic_5', 'Rebel fighters. I hope they are here to rescue me. What? No, I am with you!!!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_2_c.stf', '26', 'quest_disable_d', 'Disable the Doctor\'s ship in order to capture it. Scans show he has picked up an escort somewhere along the way so you should take them out first.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_2_c.stf', '27', 'quest_disable_t', 'Disable the Doctor\'s Vessel');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_2_c.stf', '28', 'quest_escort_d', 'Follow and protect the doctor on his way back to be questioned by the Inquisition.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_2_c.stf', '29', 'quest_escort_t', 'Escort the Doctor\'s Vessel');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_2_c.stf', '30', 'quest_location_d', 'Based on our calculations of his jump speed and heading, it would seem the doctor is headed into the Dathomir system. It is unknown why he would choose to head to a closed system, but you are to capture him there.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_2_c.stf', '31', 'quest_location_t', 'Travel to the Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_2_c.stf', '32', 'quest_recover_d', 'Once disabled, move in close to the vessel to being the capture process.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_2_c.stf', '33', 'quest_recover_t', 'Capture the Doctor\'s Vessel');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_2_c.stf', '34', 'quest_update', 'Imperial High Command:<%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_2_c.stf', '35', 'recovery_success', 'You have arrived at the jump point. Wait for the doctor\'s shuttle to jump out.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_2_c.stf', '36', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_2_c.stf', '37', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_2_c.stf', '38', 'target_disabled', 'The freighter\'s engines are down. Begin capture procedure.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_2_c.stf', '39', 'taunt_1', 'Hand over the doctor and no one gets hurt.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_2_c.stf', '40', 'taunt_2', 'You had better rethink your plan, Imperial dog.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_2_c.stf', '41', 'taunt_3', 'The doctor is ours. Hands off!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_2_c.stf', '42', 'taunt_4', 'Just turn and run like all the other cowardly Imperials do.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_2_c.stf', '43', 'taunt_5', 'You are in way over your head. Time to drown.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_2_c.stf', '44', 'thanks_1', 'Time for me to face the questions. I hope you are happy with what you have done.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_2_c.stf', '45', 'thanks_2', 'Time for me to face the questions. I hope you are happy with what you have done.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_2_c.stf', '46', 'thanks_3', 'Time for me to face the questions. I hope you are happy with what you have done.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_2_c.stf', '47', 'thanks_4', 'Time for me to face the questions. I hope you are happy with what you have done.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_2_c.stf', '48', 'thanks_5', 'Time for me to face the questions. I hope you are happy with what you have done.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_2_c.stf', '49', 'title', 'Dathomir System: Capture Doctor Shinss');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier3_2_c.stf', '50', 'title_d', 'Doctor Shinss has discovered that we have begun an investigation on him and has fled rather then face the questions. He stole a freighter and jumped out of the Yavin system a short time ago. You are to track down and capture the doctor so he can be put to the question.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2.stf', '2', 'abort', 'Yeah, get out of here. We are not in need of your assistance.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2.stf', '3', 'angry_disable', 'Imperial dog! What is the meaning of this outrage?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2.stf', '4', 'arrival_phase_1', 'We are working on getting a lock on the vessel. Once you have its location, travel to her, and bring her back to HQ.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2.stf', '5', 'arrival_phase_2', 'Sending location of vessel to your nav computer. Go get us that freighter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2.stf', '6', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2.stf', '7', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Incoming enemy fighters.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2.stf', '8', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2.stf', '9', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2.stf', '10', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2.stf', '11', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2.stf', '12', 'capture_complete', 'Capture process completed. Freighter vessel set to autopilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2.stf', '13', 'capture_phase_1', 'We have nothing you Imperials are interested in.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2.stf', '14', 'capture_phase_2', 'Alright, alright already! We will set the ship on autopilot. Just don\'t get trigger happy.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2.stf', '15', 'capture_started', 'Capture process underway.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2.stf', '16', 'complete', 'Nice work, pilot. Our freighter contains a lot more of that material you picked up from that smaller smuggler ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2.stf', '17', 'escort_remaining', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <%DI escorts remaining.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2.stf', '18', 'escort_wiped_out', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Escort fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2.stf', '19', 'failed_destroy', 'They would rather destroy that ship then let us find out what was on it? We really need one of those ships back in one piece. Report to your superior.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2.stf', '20', 'failed_escape', 'You failed to capture us that ship. Report back to your commander and explain your actions.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2.stf', '21', 'panic_1', 'Oh, great! They hired me and now they are coming to blow me out of the sky.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2.stf', '22', 'panic_2', 'Well, they said this was going to be dangerous.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2.stf', '23', 'panic_3', 'They look like they mean business.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2.stf', '24', 'panic_4', 'Oh, great! They hired me and now they are coming to blow me out of the sky.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2.stf', '25', 'panic_5', 'Oh, great! They hired me and now they are coming to blow me out of the sky.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2.stf', '26', 'quest_disable_d', 'Disable the crystal smuggler\'s engines.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2.stf', '27', 'quest_disable_t', 'Disable the Crystal Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2.stf', '28', 'quest_escort_d', 'Bring the smuggler back to a designated jump location. Keep a close watch over the smuggler in case anyone attempts to free him.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2.stf', '29', 'quest_escort_t', 'Escort the Crystal Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2.stf', '30', 'quest_location_d', 'Command got a lock on the vessel landing on the surface. Once the ship takes off you will receive a navigation waypoint to its current location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2.stf', '31', 'quest_location_t', 'Travel to the Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2.stf', '32', 'quest_recover_d', 'Once disabled, move your fighter in close and wait for the capture process to begin.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2.stf', '33', 'quest_recover_t', 'Capture the Crystal Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2.stf', '34', 'quest_update', '\\#pcontrast1 Imperial High Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2.stf', '35', 'recovery_success', 'Vessel is underway. Nice job, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2.stf', '36', 'split_quest_alert', 'Alert! Distress signal incoming from damaged recon vessel. Assist vessel with repairs and escort it to safety.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2.stf', '37', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2.stf', '38', 'target_disabled', 'The freighter has been disabled. Start docking procedures and capture that ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2.stf', '39', 'taunt_1', 'If we can\'t have her, no one will!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2.stf', '40', 'taunt_2', 'For Coyn! For glory!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2.stf', '41', 'taunt_3', 'You should have left well enough alone.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2.stf', '42', 'taunt_4', 'This will only hurt for a second.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2.stf', '43', 'taunt_5', 'I am going to make this quick.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2.stf', '44', 'thanks_1', 'Your turning me over to the Inquisition? What kind of monster are you?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2.stf', '45', 'thanks_2', 'Your turning me over to the Inquisition? What kind of monster are you?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2.stf', '46', 'thanks_3', 'Your turning me over to the Inquisition? What kind of monster are you?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2.stf', '47', 'thanks_4', 'Your turning me over to the Inquisition? What kind of monster are you?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2.stf', '48', 'thanks_5', 'Your turning me over to the Inquisition? What kind of monster are you?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2.stf', '49', 'title', 'Dathomir System: Capture the Crystal Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2.stf', '50', 'title_d', 'The crystals that were recovered from the smuggler are among the most contraband material in the Empire. Just the few crystals that the smuggler had are worth a small fortune, but the question remains, how did they know those crystals were on Dathomir? Ever since that smuggler was discovered command has been keeping even closer watch and they have found another apparent crystal smuggler. This time you are to capture the vessel and bring it back so command can question it\'s pilot and investigate it\'s contents.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2_c.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2_c.stf', '2', 'abort', 'Yeah, thats right get out of here. I always knew that Imperial pilots were cowards.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2_c.stf', '3', 'angry_disable', 'By Coyn! My engines are offline. Your aim is true pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2_c.stf', '4', 'arrival_phase_1', 'Getting lock on Coynite Mercenary fighter. Stand by for coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2_c.stf', '5', 'arrival_phase_2', 'We have transfered the location of the fighter to your nav computer. Capture the fighters leader and escort it back to Imperial space.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2_c.stf', '6', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2_c.stf', '7', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters incoming.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2_c.stf', '8', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2_c.stf', '9', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2_c.stf', '10', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2_c.stf', '11', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2_c.stf', '12', 'capture_complete', 'Escort captured fighter to safety.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2_c.stf', '13', 'capture_phase_1', 'What are you doing? I haven\'t done anything wrong.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2_c.stf', '14', 'capture_phase_2', 'Fine, fine... We will come with you. Just lay off the pressure, will you?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2_c.stf', '15', 'capture_started', 'Docking procedure underway.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2_c.stf', '16', 'complete', 'Nice work. Return to your superior officer for debriefing.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2_c.stf', '17', 'escort_remaining', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <%DI escort fighters remaining.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2_c.stf', '18', 'escort_wiped_out', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Escort eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2_c.stf', '19', 'failed_destroy', 'Your orders were to capture us that ship. Make your excuses to your superior.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2_c.stf', '20', 'failed_escape', 'Your orders were to capture us that ship. Make your excuses to your superior.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2_c.stf', '21', 'panic_1', 'My brothers will kill me before allowing Imperial scum to take me captive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2_c.stf', '22', 'panic_2', 'My nobel death shall be sung in the high places of the universe.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2_c.stf', '23', 'panic_3', 'I would rather die then be a servant of the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2_c.stf', '24', 'panic_4', 'My brothers will kill me before allowing Imperial scum to take me captive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2_c.stf', '25', 'panic_5', 'My brothers will kill me before allowing Imperial scum to take me captive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2_c.stf', '26', 'quest_disable_d', 'Disable the Neutron\'s engines.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2_c.stf', '27', 'quest_disable_t', 'Disable the Coynite Neutron');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2_c.stf', '28', 'quest_escort_d', 'Follow and protect the Neutron to a safe jump location. Command is very interested in finding out more about the Coynite and why they are in this system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2_c.stf', '29', 'quest_escort_t', 'Escort the Coynite Neutron');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2_c.stf', '30', 'quest_location_d', 'The target vessel and its escort are moving through the Dathomir system. Capture that ship before it can leave the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2_c.stf', '31', 'quest_location_t', 'Remain in the Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2_c.stf', '32', 'quest_recover_d', 'Once disabled, move in close to the Neutron and wait for the capture process to begin.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2_c.stf', '33', 'quest_recover_t', 'Capture the Coynite Neutron');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2_c.stf', '34', 'quest_update', '\\#pcontrast1 Imperial High Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2_c.stf', '35', 'recovery_success', 'We have the Coynite Mercenary. Nice work pilot. Head for home.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2_c.stf', '36', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2_c.stf', '37', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2_c.stf', '38', 'target_disabled', 'Targets engines are off line. Close the distance and prepare to capture.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2_c.stf', '39', 'taunt_1', 'For Coyn! For Glory!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2_c.stf', '40', 'taunt_2', 'We shall overcome!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2_c.stf', '41', 'taunt_3', 'The time for mercy is at an end.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2_c.stf', '42', 'taunt_4', 'So you want to play rough, eh? How about some of this! And a little of that! And a whole boat load of this!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2_c.stf', '43', 'taunt_5', 'Mercy is for the weak. I shall crush you!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2_c.stf', '44', 'thanks_1', 'You are a mighty pilot, but they will be back.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2_c.stf', '45', 'thanks_2', 'You have not yet defeated the Coynite.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2_c.stf', '46', 'thanks_3', 'They will be remembered as heroes.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2_c.stf', '47', 'thanks_4', 'You may have destroyed them but I will never bow.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2_c.stf', '48', 'thanks_5', 'They will be remembered as heroes.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2_c.stf', '49', 'title', 'Dathomir System: Capture a Coynite Neutron');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_2_c.stf', '50', 'title_d', 'Command wants to know more about these mercenaries. They have discovered a patrol of their ships moving across the system. You are to capture one of the Neutron fighters in that group and escort it back to Imperial hands.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_4_a.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_4_a.stf', '2', 'abort', 'Thats right! Let us go. Thank you, thank you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_4_a.stf', '3', 'angry_disable', 'You don\'t understand! We can\'t go back there. You don\'t understand what it was like...please, just let me go.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_4_a.stf', '4', 'arrival_phase_1', 'Scanning system for departing ship. Stand by for nav location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_4_a.stf', '5', 'arrival_phase_2', 'Nav coordinates have been updated. We want that ship in one piece. Capture it...don\'t blow it up.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_4_a.stf', '6', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_4_a.stf', '7', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Incoming enemy fighters.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_4_a.stf', '8', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_4_a.stf', '9', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_4_a.stf', '10', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_4_a.stf', '11', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_4_a.stf', '12', 'capture_complete', 'Capture completed. Escort vessel back to Imperial space.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_4_a.stf', '13', 'capture_phase_1', 'Just let us go. We don\'t want to go back.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_4_a.stf', '14', 'capture_phase_2', 'If you are not going to let us go. Just kill us. Anything is better then going back to that cursed planet.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_4_a.stf', '15', 'capture_started', 'Capture process underway. Stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_4_a.stf', '16', 'complete', 'Vessel has been returned to Imperial hands.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_4_a.stf', '17', 'escort_remaining', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <%DI escort fighters remaining.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_4_a.stf', '18', 'escort_wiped_out', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Escort fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_4_a.stf', '19', 'failed_destroy', 'We needed that shuttle in one piece but it was better then letting it escape. Report back to your superior.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_4_a.stf', '20', 'failed_escape', 'You let the shuttle get away. This is a disaster. Report back to your superior.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_4_a.stf', '21', 'panic_1', 'I would rather die then go back...blow us up please.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_4_a.stf', '22', 'panic_2', 'I would rather die then go back...blow us up please.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_4_a.stf', '23', 'panic_3', 'I would rather die then go back...blow us up please.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_4_a.stf', '24', 'panic_4', 'I would rather die then go back...blow us up please.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_4_a.stf', '25', 'panic_5', 'I would rather die then go back...blow us up please.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_4_a.stf', '26', 'quest_disable_d', 'Intercept and disable the prison break ship before it can leave teh system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_4_a.stf', '27', 'quest_disable_t', 'Disable the Prison Break Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_4_a.stf', '28', 'quest_escort_d', 'Escort and protect the vessel until the Inquistion can get their hands on it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_4_a.stf', '29', 'quest_escort_t', 'Escort the Prison Break Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_4_a.stf', '30', 'quest_location_d', 'The vessel has just taken off from the surface. Intercept and capture that vessel inside the Dathomir system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_4_a.stf', '31', 'quest_location_t', 'Remain in the Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_4_a.stf', '32', 'quest_recover_d', 'Move in close to the disabled shuttle and wait for the capture process to begin.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_4_a.stf', '33', 'quest_recover_t', 'Capture the Prison Break Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_4_a.stf', '34', 'quest_update', '\\#pcontrast1 Imperial High Command: \\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_4_a.stf', '35', 'recovery_success', 'We have them now. Nice work, pilot. Stand by for further instructions.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_4_a.stf', '36', 'split_quest_alert', 'They are Imperial officers trying to get off the planet. Their computers indicate that others are trying to leave as well. Stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_4_a.stf', '37', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_4_a.stf', '38', 'target_disabled', 'Transports engines have been disabled. Begin docking procedure.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_4_a.stf', '39', 'taunt_1', 'They paid well for our protection. Now is time to show them that they got a bargin.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_4_a.stf', '40', 'taunt_2', 'For Coyn! For Glory!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_4_a.stf', '41', 'taunt_3', 'You can\'t have them, Imperial dog. They belong to us!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_4_a.stf', '42', 'taunt_4', 'You will not have time to realize the error of your ways.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_4_a.stf', '43', 'taunt_5', 'Your ship will give off a nice glow when I blow it up.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_4_a.stf', '44', 'thanks_1', 'You may have beat them this time but more will come. That is what we paid them for at least.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_4_a.stf', '45', 'thanks_2', 'You may have beat them this time but more will come. That is what we paid them for at least.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_4_a.stf', '46', 'thanks_3', 'You may have beat them this time but more will come. That is what we paid them for at least.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_4_a.stf', '47', 'thanks_4', 'You may have beat them this time but more will come. That is what we paid them for at least.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_4_a.stf', '48', 'thanks_5', 'You may have beat them this time but more will come. That is what we paid them for at least.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_4_a.stf', '49', 'title', 'Dathomir System: Capture the Prison Break Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_imperial_tier4_4_a.stf', '50', 'title_d', 'Alerts are going off all over the system. Multiple craft are leaving the planet\'s surface. You are assigned to capture the lead vessel and bring it back to the Inqusition so they can better determine a course of action.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_14.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_14.stf', '2', 'abort', 'Roger, abort code received. Heading home...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_14.stf', '3', 'angry_disable', 'The Ay\'Nat will not stand for this!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_14.stf', '4', 'arrival_phase_1', '\\#pcontrast3 RSF Command: < \\#pcontrast1 The Ay\'Nat Captain\'s entourage will arrive at any moment. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_14.stf', '5', 'arrival_phase_2', '\\#pcontrast3 RSF Command: < \\#pcontrast1 The Ay\'Nat Captain\'s yacht has arrived. Disable the yacht and eliminate her escort! \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_14.stf', '6', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_14.stf', '7', 'attack_notify', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Enemy craft detected on attack vector. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_14.stf', '8', 'attack_stopped', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Enemy activity has stopped. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_14.stf', '9', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_14.stf', '10', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_14.stf', '11', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_14.stf', '12', 'capture_complete', ' \\#pcontrast3 Tactical Computer: < \\#pcontrast1 Primary mission target capture operation complete! \\#pcontrast3  >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_14.stf', '13', 'capture_phase_1', 'Boarding party is facing light resistance.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_14.stf', '14', 'capture_phase_2', 'Resistance eliminated. We\'ve taken the bridge. We\'ll be underway shortly.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_14.stf', '15', 'capture_started', ' \\#pcontrast3 Tactical Computer: < \\#00ff00 Primary mission target capture operation underway. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_14.stf', '16', 'complete', 'We\'ve made it to safety. Jumping to lightspeed...now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_14.stf', '17', 'escort_remaining', ' \\#pcontrast3 Tactical Computer: < \\#00ff00 %DI ships remain in the pirate captain\'s escort. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_14.stf', '18', 'escort_wiped_out', ' \\#pcontrast3 Tactical Computer: < \\#00ff00 The pirate captain\'s escort has been eliminated. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_14.stf', '19', 'failed_destroy', 'The Ay\'Nat Captain\'s yacht was destroyed! This is unacceptable! Return to base at once. You are to blame for this failure!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_14.stf', '20', 'failed_escape', 'The Ay\'Nat Captain\'s yacht has escaped the area. This is a disgrace! Return to base at once!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_14.stf', '21', 'panic_1', 'Incoming fighters, watch our back.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_14.stf', '22', 'panic_2', 'Keep the heat off, we can\'t take much.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_14.stf', '23', 'panic_3', 'Incoming fighters, watch our back.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_14.stf', '24', 'panic_4', 'Incoming fighters, watch our back.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_14.stf', '25', 'panic_5', 'Incoming fighters, watch our back.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_14.stf', '26', 'quest_disable_d', 'Attack this ships engines to disable.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_14.stf', '27', 'quest_disable_t', 'Ay\'Nat Yacht');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_14.stf', '28', 'quest_escort_d', 'Escort the craft safely out of the Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_14.stf', '29', 'quest_escort_t', 'Ay\'Nat Yacht');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_14.stf', '30', 'quest_location_d', 'Deep space Naboo');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_14.stf', '31', 'quest_location_t', 'Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_14.stf', '32', 'quest_recover_d', 'Pull up close to begin the capture process.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_14.stf', '33', 'quest_recover_t', 'Ay\'Nat Yacht');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_14.stf', '34', 'quest_update', ' \\#pcontrast3  < %TO  >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_14.stf', '35', 'recovery_success', 'The pirate Captain\'s yacht has been secured. Good job, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_14.stf', '36', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_14.stf', '37', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_14.stf', '38', 'target_disabled', ' \\#pcontrast3 Tactical Computer: < \\#00ff00 The Ay\'Nat Captain\'s ship has been disabled. Capture operation will begin shortly. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_14.stf', '39', 'taunt_1', 'You have something that belongs to us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_14.stf', '40', 'taunt_2', 'Your days end now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_14.stf', '41', 'taunt_3', 'You have something that belongs to us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_14.stf', '42', 'taunt_4', 'You have something that belongs to us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_14.stf', '43', 'taunt_5', 'You have something that belongs to us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_14.stf', '44', 'thanks_1', 'Haha, nice shooting.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_14.stf', '45', 'thanks_2', 'Try to keep this gem in perfect condition.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_14.stf', '46', 'thanks_3', 'Thanks for getting us out of there.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_14.stf', '47', 'thanks_4', 'Thanks for getting us out of there.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_14.stf', '48', 'thanks_5', 'Thanks for getting us out of there.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_14.stf', '49', 'title', 'Naboo System: Capture the Ay\'Nat Captain\'s personal yacht');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_14.stf', '50', 'title_d', 'Capture a dangerous fugitive in the Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_tier3_1a.stf', '1', 'abort', 'You let the Varg get away, this is most distressing.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_tier3_1a.stf', '2', 'angry_disable', 'Do you really think you have won?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_tier3_1a.stf', '3', 'arrival_phase_1', '\\#pcontrast3 RSF Command: <\\#pcontrast1 Stay alert, Saymonz Varg is expected any moment \\#pcontrast3>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_tier3_1a.stf', '4', 'arrival_phase_2', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 A vessel matching the description of the Dru`Mdar has appeared with escort.  Preparing systems for combat. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_tier3_1a.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_tier3_1a.stf', '6', 'attack_notify', 'Enemy craft detected on attack vector.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_tier3_1a.stf', '7', 'attack_stopped', 'Enemy activity has stopped.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_tier3_1a.stf', '8', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_tier3_1a.stf', '9', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_tier3_1a.stf', '10', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_tier3_1a.stf', '11', 'capture_complete', 'Ship systems have been captured, setting autopilot for jump to hyperspace.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_tier3_1a.stf', '12', 'capture_phase_1', 'Nav Computer: System Conversion Begun.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_tier3_1a.stf', '13', 'capture_phase_2', 'Nav Computer: Capture Protocol 90% complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_tier3_1a.stf', '14', 'capture_started', 'Nav Computer: Beginning Capture Protocol.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_tier3_1a.stf', '15', 'complete', 'I appear to be at your mercy, Captain.  Shall we get moving then?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_tier3_1a.stf', '16', 'escort_remaining', '\\#pcontrast3 Tactical Computer < \\#pcontrast1 An escort has been destroyed, %DI remain in the Dru`Mdar escort \\#pcontrast3 > ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_tier3_1a.stf', '17', 'escort_wiped_out', '\\#pcontrast3 Tacitcal Computer: < \\#pcontrast1 The Dru`Mdar escort has been wiped out, proceed with primary objective. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_tier3_1a.stf', '18', 'failed_destroy', '\\#pcontrast3 RSF Command: < \\#pcontrast1 Damn, we needed that vessel intact, Saymonz would have been a bonus. > \\#pcontrast3');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_tier3_1a.stf', '19', 'failed_escape', '\\#pcontrast3 RSF Command: < \\#pcontrast1 Drats, Saymonz has eluded us again. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_tier3_1a.stf', '20', 'panic_1', '[System Lock]');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_tier3_1a.stf', '21', 'panic_2', '[System Lock]');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_tier3_1a.stf', '22', 'panic_3', '[System Lock]');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_tier3_1a.stf', '23', 'panic_4', '[System Lock]');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_tier3_1a.stf', '24', 'panic_5', '[System Lock]');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_tier3_1a.stf', '25', 'quest_disable_d', 'Target the Dru\'Mdar\'s engines to disable it');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_tier3_1a.stf', '26', 'quest_disable_t', 'Disable Target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_tier3_1a.stf', '27', 'quest_escort_d', 'Escort the Dru\'Mdar into position for a hyperspace jump');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_tier3_1a.stf', '28', 'quest_escort_t', 'Escort Target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_tier3_1a.stf', '29', 'quest_location_d', 'Area of friendly control in the Dantooine System, this assassin was either brave, or stupid.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_tier3_1a.stf', '30', 'quest_location_t', 'Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_tier3_1a.stf', '31', 'quest_recover_d', 'Pull up close to begin the capture protocol');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_tier3_1a.stf', '32', 'quest_recover_t', 'Recover Target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_tier3_1a.stf', '33', 'quest_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_tier3_1a.stf', '34', 'recovery_success', '\\#pcontrast3 RSF Command: < \\#pcontrast1 Good job pilot, Saysmond Varg is on his way to RSF custody now. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_tier3_1a.stf', '35', 'split_quest_alert', '\\#pcontrast3 RSF Command: < \\#pcontrast1 Priority Alert! Priority Alert!  Preliminary scans indicate that the target Saysmond Varg was not on the Dru`Mdar. Proceed to following patrol route and await orders. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_tier3_1a.stf', '36', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_tier3_1a.stf', '37', 'target_disabled', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Target has successfully been disabled. \\#pcontrast3 > ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_tier3_1a.stf', '38', 'taunt_1', 'Hide behind your hostage RSF fool, they will not save you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_tier3_1a.stf', '39', 'taunt_2', 'He would welcome death over capture!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_tier3_1a.stf', '40', 'taunt_3', 'Hide behind your hostage RSF fool, they will not save you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_tier3_1a.stf', '41', 'taunt_4', 'Hide behind your hostage RSF fool, they will not save you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_tier3_1a.stf', '42', 'taunt_5', 'Hide behind your hostage RSF fool, they will not save you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_tier3_1a.stf', '43', 'thanks_1', '[System Lock]');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_tier3_1a.stf', '44', 'thanks_2', '[System Lock]');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_tier3_1a.stf', '45', 'thanks_3', '[System Lock]');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_tier3_1a.stf', '46', 'thanks_4', '[System Lock]');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_tier3_1a.stf', '47', 'thanks_5', '[System Lock]');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_tier3_1a.stf', '48', 'title', 'Dantooine System: Capture a Black Sun Assassin');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_privateer_tier3_1a.stf', '49', 'title_d', 'Capture Saysmond Varg, a known Black Sun assassin wanted in connection to attacks on Naboo citizens');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_rebel_tier3_4_c.stf', '1', 'abort', 'Receiving abort code. Initiating self destruct sequence.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_rebel_tier3_4_c.stf', '2', 'angry_disable', 'Rebel scum! The Imperial Inquisition and our allies will find you and crush your puny army! You haven\'t heard the last of us!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_rebel_tier3_4_c.stf', '3', 'arrival_phase_1', 'Stay on the alert, pilot. We\'ve located a perfect target for your recovery mission. Our systems detect a hyperspace surge in your area.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_rebel_tier3_4_c.stf', '4', 'arrival_phase_2', 'Timing couldn\'t be more perfect. The target has arrived. Watch out for its escort.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_rebel_tier3_4_c.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_rebel_tier3_4_c.stf', '6', 'attack_notify', 'Tactical Computer: < Incoming fighter vessels. Scans show weapons armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_rebel_tier3_4_c.stf', '7', 'attack_stopped', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_rebel_tier3_4_c.stf', '8', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_rebel_tier3_4_c.stf', '9', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_rebel_tier3_4_c.stf', '10', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_rebel_tier3_4_c.stf', '11', 'capture_complete', 'Vortex Command: < Excellent, the droid has control of the ship and it\'s repaired. Provide a safe escort for him pilot. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_rebel_tier3_4_c.stf', '12', 'capture_phase_1', 'Unit has breached vessel. Subduing crew.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_rebel_tier3_4_c.stf', '13', 'capture_phase_2', 'Unit in place with full control of vessel. Repairing engine system now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_rebel_tier3_4_c.stf', '14', 'capture_started', 'Tactical Computer: < Scanning ... ... Capture underway. Stand by. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_rebel_tier3_4_c.stf', '15', 'complete', 'Unit reached safety point. Moving target vessel to rendez-vous coordinates with allied freighter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_rebel_tier3_4_c.stf', '16', 'escort_remaining', 'Vortex Command: < Nice one, pilot! Only %DI enemy vessels left in the area. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_rebel_tier3_4_c.stf', '17', 'escort_wiped_out', 'Vortex Command: < Excellent! The escort vessels have been destroyed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_rebel_tier3_4_c.stf', '18', 'failed_destroy', 'Pilot! The mission is a failure. The target ship was destroyed! Report to Ezkiel for further instruction.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_rebel_tier3_4_c.stf', '19', 'failed_escape', 'The enemy has hyperspaced out of your immediate area. The mission is a failure, pilot. Report to Ezkiel for further instruction.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_rebel_tier3_4_c.stf', '20', 'panic_1', 'Ship sensors show incoming fighter vessels with armed weapons systems.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_rebel_tier3_4_c.stf', '21', 'panic_2', 'Ship sensors show incoming fighter vessels with armed weapons systems.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_rebel_tier3_4_c.stf', '22', 'panic_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_rebel_tier3_4_c.stf', '23', 'panic_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_rebel_tier3_4_c.stf', '24', 'panic_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_rebel_tier3_4_c.stf', '25', 'quest_disable_d', 'Disable the experimental fighter. Keep in mind that its escort will try to eliminate you and if everything else fail, they will try to eliminate fighter itself. You will need to dispatch of them or you will have trouble finishing the mission.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_rebel_tier3_4_c.stf', '26', 'quest_disable_t', 'Disable the Experimental fighter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_rebel_tier3_4_c.stf', '27', 'quest_escort_d', 'Escort the captured fighter to safety. The Empire is close by and will undoubtedly send fighters to prevent you from escaping, so be prepared.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_rebel_tier3_4_c.stf', '28', 'quest_escort_t', 'Escort captured fighter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_rebel_tier3_4_c.stf', '29', 'quest_location_d', 'You\'re out of the high risk area packed with Imperial presence but in the Dathomir system there\'s really no where to relax.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_rebel_tier3_4_c.stf', '30', 'quest_location_t', 'Dathomir system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_rebel_tier3_4_c.stf', '31', 'quest_recover_d', 'The space assault droid is trying to get control of the ship. Keep it safe in the meantime.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_rebel_tier3_4_c.stf', '32', 'quest_recover_t', 'Space assault droid launched.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_rebel_tier3_4_c.stf', '33', 'quest_update', 'Vortex Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_rebel_tier3_4_c.stf', '34', 'recovery_success', 'That was a close one. Good work, pilot. We should be able to get some useful information off that ship and the Inquisitor inside it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_rebel_tier3_4_c.stf', '35', 'split_quest_alert', 'Brother Ezkiel: < Good, we have the ship. Our freighter crew is packing up the \'pilot\' as we\'d like to have an immediate look at him. Stand by. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_rebel_tier3_4_c.stf', '36', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_rebel_tier3_4_c.stf', '37', 'target_disabled', 'Vortex Command: < Target has been disabled. You\'re astromech should be launching the space assault droid now, keep the ship safe while it\'s doing its work. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_rebel_tier3_4_c.stf', '38', 'taunt_1', 'You won\'t get away with this, rebel!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_rebel_tier3_4_c.stf', '39', 'taunt_2', 'Destroy them! Don\'t let them get away! You\'ll pay, rebel scum, you\'ll pay!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_rebel_tier3_4_c.stf', '40', 'taunt_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_rebel_tier3_4_c.stf', '41', 'taunt_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_rebel_tier3_4_c.stf', '42', 'taunt_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_rebel_tier3_4_c.stf', '43', 'thanks_1', 'Ship sensors show area clear of hostile fighter vessels. Continuing flight on planned escape path.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_rebel_tier3_4_c.stf', '44', 'thanks_2', 'Ship sensors show area clear of hostile fighter vessels. Continuing flight on planned escape path.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_rebel_tier3_4_c.stf', '45', 'thanks_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_rebel_tier3_4_c.stf', '46', 'thanks_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_rebel_tier3_4_c.stf', '47', 'thanks_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_rebel_tier3_4_c.stf', '48', 'title', 'Dathomir system: Recover experimental fighter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/naboo_rebel_tier3_4_c.stf', '49', 'title_d', 'We have detected a hyperspace surge near you with the ship signature fitting one of the Inquisitions experimental fighters. It\'s not alone though so you will need to destroy his escort before capturing him.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/poi_tatooine_general2_3.stf', '1', 'abort', 'We\'re almost home, pilot! Don\'t quit on us! We still need your help!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/poi_tatooine_general2_3.stf', '2', 'angry_disable', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/poi_tatooine_general2_3.stf', '3', 'arrival_phase_1', 'The Zynt\'aia Order\'s mining freighter is almost in our grasp, pilot. We\'re counting on you to capture it and guide it to home base.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/poi_tatooine_general2_3.stf', '4', 'arrival_phase_2', 'Ahh! The freighter. Pilot, you know what to do. We\'re with you every step of the way.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/poi_tatooine_general2_3.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/poi_tatooine_general2_3.stf', '6', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Incoming enemy fighters.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/poi_tatooine_general2_3.stf', '7', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/poi_tatooine_general2_3.stf', '8', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/poi_tatooine_general2_3.stf', '9', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/poi_tatooine_general2_3.stf', '10', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/poi_tatooine_general2_3.stf', '11', 'capture_complete', '\\#pcontrast1 A\'Lerris Verata:\\#pcontrast3 < Good work, pilot. You were able to capture the Zynt\'aia freighter flawlessly! Now escort her to safety. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/poi_tatooine_general2_3.stf', '12', 'capture_phase_1', 'You\'ll never take us alive!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/poi_tatooine_general2_3.stf', '13', 'capture_phase_2', 'You may have gotten lucky this time, pilot! The Zynt\'aia Order will find you!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/poi_tatooine_general2_3.stf', '14', 'capture_started', '\\#pcontrast1 A\'Lerris Verata:\\#pcontrast3 < So far so good. Stay on this freighter until the capture process is completed. I\'ll keep a look out for any attacks coming in. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/poi_tatooine_general2_3.stf', '15', 'complete', 'Good work, pilot. Your mission is a success!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/poi_tatooine_general2_3.stf', '16', 'escort_remaining', '\\#pcontrast1 A\'Lerris Verata:\\#pcontrast3 < You\'ve destroyed an enemy ship, pilot! You have %DI enemies left to destroy. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/poi_tatooine_general2_3.stf', '17', 'escort_wiped_out', '\\#pcontrast1 A\'Lerris Verata:\\#pcontrast3 < We\'re getting closer to our goal. The freighter\'s escort has been completely wiped out! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/poi_tatooine_general2_3.stf', '18', 'failed_destroy', 'Pilot! You\'ve failed us! The Zynt\'aia freighter was destroyed!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/poi_tatooine_general2_3.stf', '19', 'failed_escape', 'Pilot! You\'ve failed us! The Zynt\'aia freighter has escaped!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/poi_tatooine_general2_3.stf', '20', 'panic_1', 'We\'ll need you now more than ever, pilot! We\'ve got enemies on our tail!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/poi_tatooine_general2_3.stf', '21', 'panic_2', 'Ahh!! We\'re getting hit!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/poi_tatooine_general2_3.stf', '22', 'panic_3', 'Please help us! We\'re getting toasted over here!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/poi_tatooine_general2_3.stf', '23', 'panic_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/poi_tatooine_general2_3.stf', '24', 'panic_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/poi_tatooine_general2_3.stf', '25', 'quest_disable_d', 'By selecting the freighter\'s engines or reactor, I can disable the target effortlessly and continue the steps needed to capture the freighter for A\'Lerris. (Target the engine or reactor by using the [] keys).');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/poi_tatooine_general2_3.stf', '26', 'quest_disable_t', 'Disable the Zynt\'aian Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/poi_tatooine_general2_3.stf', '27', 'quest_escort_d', 'Once I have disabled and recovered the freighter, I must escort it safely back to home base.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/poi_tatooine_general2_3.stf', '28', 'quest_escort_t', 'Escort the Recovered Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/poi_tatooine_general2_3.stf', '29', 'quest_location_d', 'I need to travel to the Tatoo System, if I\'m not there already.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/poi_tatooine_general2_3.stf', '30', 'quest_location_t', 'Travel to the Tatoo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/poi_tatooine_general2_3.stf', '31', 'quest_recover_d', 'Once I have disabled the freighter, I must hover close to it. Soon, it will be infiltrated by allies which will follow to me safety.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/poi_tatooine_general2_3.stf', '32', 'quest_recover_t', 'Recover the Zynt\'aian Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/poi_tatooine_general2_3.stf', '33', 'quest_update', '\\#pcontrast1 A\'Lerris Verata:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/poi_tatooine_general2_3.stf', '34', 'recovery_success', 'I\'m extremely impressed with your performance, pilot. Not only did you willingly face danger, but you also excelled in the task given! Come home, pilot. You deserve a celebration thrown in your name.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/poi_tatooine_general2_3.stf', '35', 'split_quest_alert', '\\#pcontrast1 A\'Lerris Verata:\\#pcontrast3 < Pilot! You\'re breaking up over here! You need to...transmission point...stop Zynt\'aia from calling...reinforcments. Stop signal at...costs.[Transmission Ends] >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/poi_tatooine_general2_3.stf', '36', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/poi_tatooine_general2_3.stf', '37', 'target_disabled', 'The Zynt\'aia freighter has been disabled. Waste no time getting close to it while trying to defend it from incoming attacks. We\'re counting on you, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/poi_tatooine_general2_3.stf', '38', 'taunt_1', 'Stop! You\'re flying in hostile air space, pilot! We have no choice but to open fire!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/poi_tatooine_general2_3.stf', '39', 'taunt_2', 'This is our freighter, pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/poi_tatooine_general2_3.stf', '40', 'taunt_3', 'I\'m going to defend this freighter with my life! But you\'ll be the first to die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/poi_tatooine_general2_3.stf', '41', 'taunt_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/poi_tatooine_general2_3.stf', '42', 'taunt_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/poi_tatooine_general2_3.stf', '43', 'thanks_1', 'That was a little close. If you hadn\'t been here, I\'d be toast!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/poi_tatooine_general2_3.stf', '44', 'thanks_2', 'I hope you\'re going to pay for the repairs I need!!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/poi_tatooine_general2_3.stf', '45', 'thanks_3', 'Ugh. I can\'t *wait* to go home after this.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/poi_tatooine_general2_3.stf', '46', 'thanks_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/poi_tatooine_general2_3.stf', '47', 'thanks_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/poi_tatooine_general2_3.stf', '48', 'title', 'Tatoo System: That Word We Call \"Revenge\"');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/poi_tatooine_general2_3.stf', '49', 'title_d', 'The continual tension between A\'Lerris\' miners and the Zynt\'aia Order centers around a sphere of obsidian. Granted, this \"sphere of obsidian\" is none other than a misplaced asteroid, rumored to hold high concentrations of rare and valuable resources. How did it get here? Why must a war, a fight, be the knee-jerk reaction to settle conflicts? Within the smooth, reflectant facets of the ebon asteroid, one can feel a tug at the soul, making the onlooker wonder if there\'s something... darker inside. Perhaps it is only a mirror, a glassy surface only meant to show us what lies within our very selves.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/rori_station_reb_storyquest_01_b.stf', '1', 'abort', 'Receiving abort code. Failure is not acceptable... attempting to relocate stolen cargo.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/rori_station_reb_storyquest_01_b.stf', '2', 'angry_disable', 'Rebel scum! We and our allies will find you and crush you! You haven\'t heard the last of us!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/rori_station_reb_storyquest_01_b.stf', '3', 'arrival_phase_1', 'Stay on the alert, pilot. We\'ve located a perfect target for your recovery mission. Our systems detect a hyperspace surge in your area.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/rori_station_reb_storyquest_01_b.stf', '4', 'arrival_phase_2', 'Timing couldn\'t be more perfect. The target has arrived. Watch out for its escort.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/rori_station_reb_storyquest_01_b.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/rori_station_reb_storyquest_01_b.stf', '6', 'attack_notify', 'Tactical Computer: < Incoming fighter vessels. Scans show weapons armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/rori_station_reb_storyquest_01_b.stf', '7', 'attack_stopped', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/rori_station_reb_storyquest_01_b.stf', '8', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/rori_station_reb_storyquest_01_b.stf', '9', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/rori_station_reb_storyquest_01_b.stf', '10', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/rori_station_reb_storyquest_01_b.stf', '11', 'capture_complete', 'Station Command: < Excellent, the droid has control of the ship and it\'s repaired. Provide a safe escort for him pilot. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/rori_station_reb_storyquest_01_b.stf', '12', 'capture_phase_1', 'Unit has breached vessel. Subduing crew.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/rori_station_reb_storyquest_01_b.stf', '13', 'capture_phase_2', 'Unit in place with full control of vessel. Repairing engine system now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/rori_station_reb_storyquest_01_b.stf', '14', 'capture_started', 'Tactical Computer: < Scanning ... ... Capture underway. Stand by. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/rori_station_reb_storyquest_01_b.stf', '15', 'complete', 'Unit reached safety point. Moving target vessel to rendez-vous coordinates with allied freighter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/rori_station_reb_storyquest_01_b.stf', '16', 'escort_remaining', 'Station Command: < Nice one, pilot! Only %DI enemy vessels left in the area. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/rori_station_reb_storyquest_01_b.stf', '17', 'escort_wiped_out', 'Station Command: < Amazing! The escort vessels have been destroyed. Disable that ship, pilot! We\'re counting on you. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/rori_station_reb_storyquest_01_b.stf', '18', 'failed_destroy', 'Pilot! The target ship was destroyed, but it looks like the cargo was transferred to another ship. We are attempting to locate that ship. Return to the Rori Station for now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/rori_station_reb_storyquest_01_b.stf', '19', 'failed_escape', 'The enemy has hyperspaced out of your immediate area. We are attempting to relocate that ship now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/rori_station_reb_storyquest_01_b.stf', '20', 'panic_1', 'Ship sensors show incoming fighter vessels with armed weapons systems.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/rori_station_reb_storyquest_01_b.stf', '21', 'panic_2', 'Ship sensors show incoming fighter vessels with armed weapons systems.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/rori_station_reb_storyquest_01_b.stf', '22', 'panic_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/rori_station_reb_storyquest_01_b.stf', '23', 'panic_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/rori_station_reb_storyquest_01_b.stf', '24', 'panic_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/rori_station_reb_storyquest_01_b.stf', '25', 'quest_disable_d', 'Disable the Borvo Bomber with the cargo of repair droids. Keep in mind that its escort will try to eliminate you and won\'t hesitate to try and eliminate the bomber itself just to keep you from recovering it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/rori_station_reb_storyquest_01_b.stf', '26', 'quest_disable_t', 'Disable the Borvo Bomber.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/rori_station_reb_storyquest_01_b.stf', '27', 'quest_escort_d', 'Escort the captured fighter to a safe hyperspace jump point.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/rori_station_reb_storyquest_01_b.stf', '28', 'quest_escort_t', 'Escort captured fighter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/rori_station_reb_storyquest_01_b.stf', '29', 'quest_location_d', 'Track down the Borvo pirate that stole the shipment of repair droids.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/rori_station_reb_storyquest_01_b.stf', '30', 'quest_location_t', 'Yavin system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/rori_station_reb_storyquest_01_b.stf', '31', 'quest_recover_d', 'The space assault droid is trying to get control of the ship. Keep it safe in the meantime.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/rori_station_reb_storyquest_01_b.stf', '32', 'quest_recover_t', 'Space assault droid launched.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/rori_station_reb_storyquest_01_b.stf', '33', 'quest_update', 'Station Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/rori_station_reb_storyquest_01_b.stf', '34', 'recovery_success', 'That was a close one. Good work, pilot. We should be able to get our cargo off of that ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/rori_station_reb_storyquest_01_b.stf', '35', 'split_quest_alert', 'Station Command: < We are attempting to relocate the cargo. Stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/rori_station_reb_storyquest_01_b.stf', '36', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/rori_station_reb_storyquest_01_b.stf', '37', 'target_disabled', 'Target has been disabled. We\'re launching the space assault droid now, keep the ship safe while it\'s doing its work.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/rori_station_reb_storyquest_01_b.stf', '38', 'taunt_1', 'You won\'t get away with this, rebel!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/rori_station_reb_storyquest_01_b.stf', '39', 'taunt_2', 'Destroy them! Don\'t let them get away! You\'ll pay, Rebel scum, you\'ll pay!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/rori_station_reb_storyquest_01_b.stf', '40', 'taunt_3', 'This isn\'t your fight, Rebel scum!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/rori_station_reb_storyquest_01_b.stf', '41', 'taunt_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/rori_station_reb_storyquest_01_b.stf', '42', 'taunt_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/rori_station_reb_storyquest_01_b.stf', '43', 'thanks_1', 'Ship sensors show area clear of hostile fighter vessels. Continuing flight on planned escape path.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/rori_station_reb_storyquest_01_b.stf', '44', 'thanks_2', 'Ship sensors show area clear of hostile fighter vessels. Continuing flight on planned escape path.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/rori_station_reb_storyquest_01_b.stf', '45', 'thanks_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/rori_station_reb_storyquest_01_b.stf', '46', 'thanks_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/rori_station_reb_storyquest_01_b.stf', '47', 'thanks_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/rori_station_reb_storyquest_01_b.stf', '48', 'title', 'Yavin System: Recover stolen cargo from Borvo pirates');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/rori_station_reb_storyquest_01_b.stf', '49', 'title_d', 'Borvo pirates made off with the shipment of repair droids you were just escorting to the Rori Station. Recapture that shipment and ensure that it can safely make the jump back to the Naboo System.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_all_repairmission_tier2_3.stf', '1', 'abort', 'Ha, I knew you would run from the great NEZZO!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_all_repairmission_tier2_3.stf', '2', 'angry_disable', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_all_repairmission_tier2_3.stf', '3', 'arrival_phase_1', 'Stand by for location of Nezzo Milli\'s ship. ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_all_repairmission_tier2_3.stf', '4', 'arrival_phase_2', 'Ship located. Nezzo is considered dangerous. Proceed with caution.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_all_repairmission_tier2_3.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_all_repairmission_tier2_3.stf', '6', 'attack_notify', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_all_repairmission_tier2_3.stf', '7', 'attack_stopped', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_all_repairmission_tier2_3.stf', '8', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_all_repairmission_tier2_3.stf', '9', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_all_repairmission_tier2_3.stf', '10', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_all_repairmission_tier2_3.stf', '11', 'capture_complete', 'Autopilot has been reprogrammed. Escort vessel back to safe jump point.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_all_repairmission_tier2_3.stf', '12', 'capture_phase_1', 'Hey, you can\'t do that! Don\'t you know who I am?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_all_repairmission_tier2_3.stf', '13', 'capture_phase_2', 'So you think you have heard the last of NEZZO? I will show you...one day I shall have my revenge.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_all_repairmission_tier2_3.stf', '14', 'capture_started', 'Beginning autopilot reprogramming sequence. Stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_all_repairmission_tier2_3.stf', '15', 'complete', 'We have Nezzo back with us. We will be sure to see that he gets the help he needs.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_all_repairmission_tier2_3.stf', '16', 'escort_remaining', 'Tactical Computer: < %DI escort fighters remaining. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_all_repairmission_tier2_3.stf', '17', 'escort_wiped_out', 'Tactical Computer: < Escort fighters eliminated. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_all_repairmission_tier2_3.stf', '18', 'failed_destroy', 'We wanted him back in one piece, not dead. That ship was valuable property.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_all_repairmission_tier2_3.stf', '19', 'failed_escape', 'You let that lunatic get away! What kind of fighter pilot are you?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_all_repairmission_tier2_3.stf', '20', 'panic_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_all_repairmission_tier2_3.stf', '21', 'panic_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_all_repairmission_tier2_3.stf', '22', 'panic_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_all_repairmission_tier2_3.stf', '23', 'panic_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_all_repairmission_tier2_3.stf', '24', 'panic_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_all_repairmission_tier2_3.stf', '25', 'quest_disable_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_all_repairmission_tier2_3.stf', '26', 'quest_disable_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_all_repairmission_tier2_3.stf', '27', 'quest_escort_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_all_repairmission_tier2_3.stf', '28', 'quest_escort_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_all_repairmission_tier2_3.stf', '29', 'quest_location_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_all_repairmission_tier2_3.stf', '30', 'quest_location_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_all_repairmission_tier2_3.stf', '31', 'quest_recover_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_all_repairmission_tier2_3.stf', '32', 'quest_recover_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_all_repairmission_tier2_3.stf', '33', 'quest_update', 'Twin Star Shipping: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_all_repairmission_tier2_3.stf', '34', 'recovery_success', 'The vessel is now jumping out of the system. Stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_all_repairmission_tier2_3.stf', '35', 'split_quest_alert', 'Your next assignment is to travel to Endor and help our shipping fleet against a band of environmental radicals known as the Greenburst.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_all_repairmission_tier2_3.stf', '36', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_all_repairmission_tier2_3.stf', '37', 'target_disabled', 'His ship is offline. Move in close while we trigger the flight computer overrride.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_all_repairmission_tier2_3.stf', '38', 'taunt_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_all_repairmission_tier2_3.stf', '39', 'taunt_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_all_repairmission_tier2_3.stf', '40', 'taunt_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_all_repairmission_tier2_3.stf', '41', 'taunt_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_all_repairmission_tier2_3.stf', '42', 'taunt_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_all_repairmission_tier2_3.stf', '43', 'thanks_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_all_repairmission_tier2_3.stf', '44', 'thanks_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_all_repairmission_tier2_3.stf', '45', 'thanks_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_all_repairmission_tier2_3.stf', '46', 'thanks_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_all_repairmission_tier2_3.stf', '47', 'thanks_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_all_repairmission_tier2_3.stf', '48', 'title', 'Space Lok: Capture Nezzo Milli');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_all_repairmission_tier2_3.stf', '49', 'title_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_rebel_landing_tier2_1.stf', '1', 'abort', 'Hey, I thought you were going to help us?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_rebel_landing_tier2_1.stf', '2', 'angry_disable', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_rebel_landing_tier2_1.stf', '3', 'arrival_phase_1', 'Ok, I am tracking one of my ships. When I send you its location, you go and rescue it...okay?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_rebel_landing_tier2_1.stf', '4', 'arrival_phase_2', 'I have a lock on my ship. Intercept and recapture it for me.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_rebel_landing_tier2_1.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_rebel_landing_tier2_1.stf', '6', 'attack_notify', 'Tactical Computer: < Incoming enemy fighters. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_rebel_landing_tier2_1.stf', '7', 'attack_stopped', 'Tactical Computer: < Enemy fighters eliminated. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_rebel_landing_tier2_1.stf', '8', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_rebel_landing_tier2_1.stf', '9', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_rebel_landing_tier2_1.stf', '10', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_rebel_landing_tier2_1.stf', '11', 'capture_complete', 'Freighter is back under its own power. Escort it to safety.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_rebel_landing_tier2_1.stf', '12', 'capture_phase_1', 'Hey, I knew old Droz wouldn\'t leave us to rot under the yoke of these Imperials.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_rebel_landing_tier2_1.stf', '13', 'capture_phase_2', 'Ok, our systems are back online. Powering up now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_rebel_landing_tier2_1.stf', '14', 'capture_started', 'Assisting freighter on restarting its systems. Stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_rebel_landing_tier2_1.stf', '15', 'complete', 'Ok, I have my freighter back. You did good pilot...real good.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_rebel_landing_tier2_1.stf', '16', 'escort_remaining', 'Tactical Computer: < %DI escort fighters remaining. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_rebel_landing_tier2_1.stf', '17', 'escort_wiped_out', 'Tactical Computer: < Escort fighters eliminated. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_rebel_landing_tier2_1.stf', '18', 'failed_destroy', 'I was really hoping that it wouldn\'t come to this. Blast those Imperials!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_rebel_landing_tier2_1.stf', '19', 'failed_escape', 'You let them take my freighter out of the system. I doubt I will ever see that one again.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_rebel_landing_tier2_1.stf', '20', 'panic_1', 'I knew they would not let me get away so easily.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_rebel_landing_tier2_1.stf', '21', 'panic_2', 'We wanted to escape...not die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_rebel_landing_tier2_1.stf', '22', 'panic_3', 'Imperial TIEs incoming. Keep them off of me.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_rebel_landing_tier2_1.stf', '23', 'panic_4', 'Wow, we sure made them mad.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_rebel_landing_tier2_1.stf', '24', 'panic_5', 'I should have known...they are coming back to finish me off.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_rebel_landing_tier2_1.stf', '25', 'quest_disable_d', 'Shut down the freighters systems so the pilot can reprogram the autopilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_rebel_landing_tier2_1.stf', '26', 'quest_disable_t', 'Disable the Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_rebel_landing_tier2_1.stf', '27', 'quest_escort_d', 'Escort the freighter to safety, protecting it from Imperial counterattacks.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_rebel_landing_tier2_1.stf', '28', 'quest_escort_t', 'Escort the Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_rebel_landing_tier2_1.stf', '29', 'quest_location_d', 'The supply fleet is being used by the Imperials in the Dantooine system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_rebel_landing_tier2_1.stf', '30', 'quest_location_t', 'Remain in the Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_rebel_landing_tier2_1.stf', '31', 'quest_recover_d', 'Move in close to the freighter and wait for them to get their systems back online.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_rebel_landing_tier2_1.stf', '32', 'quest_recover_t', 'Recovery the Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_rebel_landing_tier2_1.stf', '33', 'quest_update', 'Dantooine Station: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_rebel_landing_tier2_1.stf', '34', 'recovery_success', 'My freighter is jumping to safety now...thanks.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_rebel_landing_tier2_1.stf', '35', 'split_quest_alert', 'The Imperials are destroying the some of the Dantooine stations supply fleet as punishment for the loss of that freighter. Help the fleet drive off the attackers.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_rebel_landing_tier2_1.stf', '36', 'split_quest_alert_fail', 'Destroy the Imperial Logistic\'s Officer. He is the reason that the Dantooine supply fleet was conscripted and is ultimately responsible for the loss of the frieghter. Stand by for coordinates to his location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_rebel_landing_tier2_1.stf', '37', 'target_disabled', 'Freighters systems shut down. Move in close and assist it in escape.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_rebel_landing_tier2_1.stf', '38', 'taunt_1', 'Foolish Rebel! You cannot thwart the will of the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_rebel_landing_tier2_1.stf', '39', 'taunt_2', 'Fine, we will just destroy the freighter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_rebel_landing_tier2_1.stf', '40', 'taunt_3', 'Rebel scum like you should know their place.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_rebel_landing_tier2_1.stf', '41', 'taunt_4', 'That freighter is as good as dead.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_rebel_landing_tier2_1.stf', '42', 'taunt_5', 'Do you really think you will win?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_rebel_landing_tier2_1.stf', '43', 'thanks_1', 'You did it. Nice work.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_rebel_landing_tier2_1.stf', '44', 'thanks_2', 'Droz picked the right pilot for this job.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_rebel_landing_tier2_1.stf', '45', 'thanks_3', 'I always like the Rebellion.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_rebel_landing_tier2_1.stf', '46', 'thanks_4', 'The Empire has been taught a lesson.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_rebel_landing_tier2_1.stf', '47', 'thanks_5', 'I knew Droz wouldn\'t leave me to rot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_rebel_landing_tier2_1.stf', '48', 'title', 'Dantooine System: Rescue the Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_rebel_landing_tier2_1.stf', '49', 'title_d', 'The Dantooine station has had most of its supply fleet conscripted by the Empire and the station owner has asked you to assist him in getting those ships back. He has offered you landing rights for assisting him.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_smuggler_recovery01_tier2_1.stf', '1', 'abort', 'Yes! We don\'t belong to you anyways.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_smuggler_recovery01_tier2_1.stf', '2', 'angry_disable', 'Hey, settle down! We can work something out.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_smuggler_recovery01_tier2_1.stf', '3', 'arrival_phase_1', 'The Bez\'ox Mentzz should be jumping in any moment now. Intercept and capture that freighter. Those supplies are important to us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_smuggler_recovery01_tier2_1.stf', '4', 'arrival_phase_2', 'There they are. Intecept and capture the Bez\'ox Mentzz. For good measure maybe you should wipe out its escort too.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_smuggler_recovery01_tier2_1.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_smuggler_recovery01_tier2_1.stf', '6', 'attack_notify', 'Tactical Computer: < Enemy fighters detected. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_smuggler_recovery01_tier2_1.stf', '7', 'attack_stopped', 'Tactical Computer: < Enemy fighters eliminated. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_smuggler_recovery01_tier2_1.stf', '8', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_smuggler_recovery01_tier2_1.stf', '9', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_smuggler_recovery01_tier2_1.stf', '10', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_smuggler_recovery01_tier2_1.stf', '11', 'capture_complete', 'Escort the Bez\'ox Mentzz out of the area. We need that Inhibitor.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_smuggler_recovery01_tier2_1.stf', '12', 'capture_phase_1', 'What are you doing? We are not carrying anything valuable!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_smuggler_recovery01_tier2_1.stf', '13', 'capture_phase_2', 'Ok, well I am yours. I have no wish to be destroyed. You tell me what you want me to do and I will do it!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_smuggler_recovery01_tier2_1.stf', '14', 'capture_started', 'Dantooine Station: < I will inform the Bez\'ox Mentzz to alter its route or you will blow it out of the sky. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_smuggler_recovery01_tier2_1.stf', '15', 'complete', 'We have the Inhibitor. You have been a great help. Now get ready for your next assignment.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_smuggler_recovery01_tier2_1.stf', '16', 'escort_remaining', 'Tactical Computer: < %DI escort fighters remaining. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_smuggler_recovery01_tier2_1.stf', '17', 'escort_wiped_out', 'Tactical Computer: < Escort fighters eliminated. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_smuggler_recovery01_tier2_1.stf', '18', 'failed_destroy', 'Oh, this is great...just great! We needed that part. Now we are going to have to start all over again.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_smuggler_recovery01_tier2_1.stf', '19', 'failed_escape', 'Oh, this is great...just great! We needed that part. Now we are going to have to start all over again.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_smuggler_recovery01_tier2_1.stf', '20', 'panic_1', 'Look what you did! The owner has a zero tolerance policy on piracy. He is sending his thugs out to blow me up.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_smuggler_recovery01_tier2_1.stf', '21', 'panic_2', 'Not me...the other ship!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_smuggler_recovery01_tier2_1.stf', '22', 'panic_3', 'This is terrible. First I get highjacked and now I am being shot at.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_smuggler_recovery01_tier2_1.stf', '23', 'panic_4', 'I cannot believe my misfortune.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_smuggler_recovery01_tier2_1.stf', '24', 'panic_5', 'Not me...the other ship!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_smuggler_recovery01_tier2_1.stf', '25', 'quest_disable_d', 'Intercept, disable, and capture the Bezox Mentzz.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_smuggler_recovery01_tier2_1.stf', '26', 'quest_disable_t', 'Disable the Bezox Mentzz');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_smuggler_recovery01_tier2_1.stf', '27', 'quest_escort_d', 'Follow the Bezox Mentzz through the system. Keep a watch out for the CorSec, who are always watchful of piracy.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_smuggler_recovery01_tier2_1.stf', '28', 'quest_escort_t', 'Escort the Bezox Mentzz');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_smuggler_recovery01_tier2_1.stf', '29', 'quest_location_d', 'The Bezox Mentzz is traveling through the rich shipping lanes of the Corellia system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_smuggler_recovery01_tier2_1.stf', '30', 'quest_location_t', 'Travel to the Corellia System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_smuggler_recovery01_tier2_1.stf', '31', 'quest_recover_d', 'After the ship is disabled move in close and wait for the capture process to begin.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_smuggler_recovery01_tier2_1.stf', '32', 'quest_recover_t', 'Capture the Bezox Mentzz');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_smuggler_recovery01_tier2_1.stf', '33', 'quest_update', 'Dantooine Station: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_smuggler_recovery01_tier2_1.stf', '34', 'recovery_success', 'Yes! We have the Bez\'ox Mentzz on our scanners. Good work, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_smuggler_recovery01_tier2_1.stf', '35', 'split_quest_alert', 'CorSec fighters detected! Incoming at high speeds. Destroy them all.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_smuggler_recovery01_tier2_1.stf', '36', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_smuggler_recovery01_tier2_1.stf', '37', 'target_disabled', 'Move in close and I will send them a warning. They are going to be coming out to me after all!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_smuggler_recovery01_tier2_1.stf', '38', 'taunt_1', 'Pirates like you don\'t deserve mercy.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_smuggler_recovery01_tier2_1.stf', '39', 'taunt_2', 'Better we destroy the ship then let you have it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_smuggler_recovery01_tier2_1.stf', '40', 'taunt_3', 'I don\'t think you are going to get away with this.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_smuggler_recovery01_tier2_1.stf', '41', 'taunt_4', 'Prepare to become dust.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_smuggler_recovery01_tier2_1.stf', '42', 'taunt_5', 'I feel sorry for you...well no I don\'t.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_smuggler_recovery01_tier2_1.stf', '43', 'thanks_1', 'I will follow you...just keep me safe.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_smuggler_recovery01_tier2_1.stf', '44', 'thanks_2', 'At least I am alive...for now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_smuggler_recovery01_tier2_1.stf', '45', 'thanks_3', 'Can\'t you just take the cargo and leave me alone?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_smuggler_recovery01_tier2_1.stf', '46', 'thanks_4', 'I will follow you...just keep me safe.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_smuggler_recovery01_tier2_1.stf', '47', 'thanks_5', 'Can\'t you just take the cargo and leave me alone?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_smuggler_recovery01_tier2_1.stf', '48', 'title', 'Corellia System: Capture the Bez\'ox Mentzz');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_dantooine_owner_smuggler_recovery01_tier2_1.stf', '49', 'title_d', 'The Dantooine station wants the supplies that are being shipped inside the Corellia system on the Bezox Mentzz. Intercept and capture that vessel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_endor_irs_imp_tier3_2c.stf', '1', 'abort', 'I thank you for your incompetence Imperial dog.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_endor_irs_imp_tier3_2c.stf', '2', 'angry_disable', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_endor_irs_imp_tier3_2c.stf', '3', 'arrival_phase_1', '\\#pcontrast3 Kilnstrider: < \\#pcontrast1 Get moving Captain, we do not want that ship to escape. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_endor_irs_imp_tier3_2c.stf', '4', 'arrival_phase_2', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Target has been locked in. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_endor_irs_imp_tier3_2c.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_endor_irs_imp_tier3_2c.stf', '6', 'attack_notify', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Hostile craft detected on attack vector. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_endor_irs_imp_tier3_2c.stf', '7', 'attack_stopped', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Hostile actions has ceased. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_endor_irs_imp_tier3_2c.stf', '8', 'autorewardbody', 'By the authority of < Admiral Kilnstrider > you have been awarded a credit bonus to the sum of < 20000 > for < Capture of a Rebel operative> ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_endor_irs_imp_tier3_2c.stf', '9', 'autorewardfrom', 'Office of the Imperial Navy');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_endor_irs_imp_tier3_2c.stf', '10', 'autorewardsubject', 'Bonus for Mercenary Operations');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_endor_irs_imp_tier3_2c.stf', '11', 'capture_complete', 'The capture is complete');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_endor_irs_imp_tier3_2c.stf', '12', 'capture_phase_1', 'Hey, I\'m just an innocent bystander here... why don\'t you just let me go.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_endor_irs_imp_tier3_2c.stf', '13', 'capture_phase_2', 'You know, we really don\'t have to go through all of this trouble.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_endor_irs_imp_tier3_2c.stf', '14', 'capture_started', 'System override protocol begun.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_endor_irs_imp_tier3_2c.stf', '15', 'complete', '\\#pcontrast3 Kilnstrider: < \\#pcontrast1 Good work Captain, I will take personal pleasure in extracting the information we need from this pilot about what they are doing in this system.  Kilnstrider out. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_endor_irs_imp_tier3_2c.stf', '16', 'escort_remaining', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 And escorting craft has been destroyed, %DI remain. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_endor_irs_imp_tier3_2c.stf', '17', 'escort_wiped_out', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 All escorting craft have been destroyed. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_endor_irs_imp_tier3_2c.stf', '18', 'failed_destroy', '\\#pcontrast3 Kilnstrider: < \\#pcontrast1 It is unfortunate to find such incompetence infesting our navy. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_endor_irs_imp_tier3_2c.stf', '19', 'failed_escape', '\\#pcontrast3 Kilnstrider: < \\#pcontrast1 It is unfortunate to find such incompetence infesting our navy. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_endor_irs_imp_tier3_2c.stf', '20', 'panic_1', 'Make it quick!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_endor_irs_imp_tier3_2c.stf', '21', 'panic_2', 'Get him, get him... save me, save me!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_endor_irs_imp_tier3_2c.stf', '22', 'panic_3', 'It doesn\'t have to be this way!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_endor_irs_imp_tier3_2c.stf', '23', 'panic_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_endor_irs_imp_tier3_2c.stf', '24', 'panic_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_endor_irs_imp_tier3_2c.stf', '25', 'quest_disable_d', 'Cycle through the targets components with the default [ or ] keys until you select their engines or reactor.  Fire on the target until one of these components and you are notified that the target has been disabled.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_endor_irs_imp_tier3_2c.stf', '26', 'quest_disable_t', 'Disable');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_endor_irs_imp_tier3_2c.stf', '27', 'quest_escort_d', 'Escort the captured starfighter to the Endor Station, protecting against retributive attacks by Rebel forces.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_endor_irs_imp_tier3_2c.stf', '28', 'quest_escort_t', 'Escort');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_endor_irs_imp_tier3_2c.stf', '29', 'quest_location_d', 'An escape route near the suspicious nebula.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_endor_irs_imp_tier3_2c.stf', '30', 'quest_location_t', 'Endor System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_endor_irs_imp_tier3_2c.stf', '31', 'quest_recover_d', 'Fly up next to the disabled craft and the recovery process will begin.  When this process ends the ship will repair itself and move out to an egress point.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_endor_irs_imp_tier3_2c.stf', '32', 'quest_recover_t', 'Recovery');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_endor_irs_imp_tier3_2c.stf', '33', 'quest_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_endor_irs_imp_tier3_2c.stf', '34', 'recovery_success', '\\#pcontrast3 Endor Station: < \\#pcontrast1 I have control of the ship now Captain.  The Admiral sends his thanks and I have been authorized to present a mercenary bonus for this operation. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_endor_irs_imp_tier3_2c.stf', '35', 'split_quest_alert', '\\#pcontrast3 Endor Station: < \\#pcontrast1 Jump signatures show them coming out near Isryn\'s Veil in the Dantooine System.  Proceed with best haste and you may still catch them. And I may overlook this current failure. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_endor_irs_imp_tier3_2c.stf', '36', 'split_quest_alert_fail', '\\#pcontrast3 Endor Station: < \\#pcontrast1 Jump signatures show them coming out near Isryn\'s Veil in the Dantooine System.  Proceed with best haste and you may still catch them. And I may overlook this current failure. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_endor_irs_imp_tier3_2c.stf', '37', 'target_disabled', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 The target is disabled, approach to begin capture protocol. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_endor_irs_imp_tier3_2c.stf', '38', 'taunt_1', 'We can\'t let them take you alive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_endor_irs_imp_tier3_2c.stf', '39', 'taunt_2', 'You underestimate the conviction of our Rebel fighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_endor_irs_imp_tier3_2c.stf', '40', 'taunt_3', 'We are coming for you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_endor_irs_imp_tier3_2c.stf', '41', 'taunt_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_endor_irs_imp_tier3_2c.stf', '42', 'taunt_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_endor_irs_imp_tier3_2c.stf', '43', 'thanks_1', 'They will send more, you won\'t get away.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_endor_irs_imp_tier3_2c.stf', '44', 'thanks_2', 'I won\'t talk, you can\'t make me talk.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_endor_irs_imp_tier3_2c.stf', '45', 'thanks_3', 'How do I get myself into these things.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_endor_irs_imp_tier3_2c.stf', '46', 'thanks_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_endor_irs_imp_tier3_2c.stf', '47', 'thanks_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_endor_irs_imp_tier3_2c.stf', '48', 'title', 'Endor System: Fox and the Hound');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_endor_irs_imp_tier3_2c.stf', '49', 'title_d', 'Capture the escaping starfighter, Admiral Kilnstrider wants the pilot for questioning.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_lok_nym_reb_tier2_1a.stf', '1', 'abort', 'This is too much, we are out of here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_lok_nym_reb_tier2_1a.stf', '2', 'angry_disable', 'Imperial override disabled.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_lok_nym_reb_tier2_1a.stf', '3', 'arrival_phase_1', '\\#pcontrast3 Vestil: < \\#pcontrast1 I\'m Vestil Kwass.  I work for Nym, and now you work for me.  We are tracking the prisoner ship now, it is odd for one craft to be handed back and forth so much but this is the way they want it. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_lok_nym_reb_tier2_1a.stf', '4', 'arrival_phase_2', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Target locked in. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_lok_nym_reb_tier2_1a.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_lok_nym_reb_tier2_1a.stf', '6', 'attack_notify', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Hostile craft detected on attack vector. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_lok_nym_reb_tier2_1a.stf', '7', 'attack_stopped', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Hostile activity has ceased. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_lok_nym_reb_tier2_1a.stf', '8', 'autorewardbody', 'I can promise that we will treat those Imperial prisoners better than they would have treated ours.  I have included a 10000 credit bonus for you, keep up the good work.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_lok_nym_reb_tier2_1a.stf', '9', 'autorewardfrom', 'Vestil');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_lok_nym_reb_tier2_1a.stf', '10', 'autorewardsubject', 'Getting our boys home safe.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_lok_nym_reb_tier2_1a.stf', '11', 'capture_complete', '\\#pcontrast3 The recovery is complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_lok_nym_reb_tier2_1a.stf', '12', 'capture_phase_1', 'Hurry up, they will send another attack group soon.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_lok_nym_reb_tier2_1a.stf', '13', 'capture_phase_2', 'System restart complete, we will be underway shortly.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_lok_nym_reb_tier2_1a.stf', '14', 'capture_started', '\\#pcontrast3 The recovery has begun');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_lok_nym_reb_tier2_1a.stf', '15', 'complete', '\\#pcontrast3 The operation is a success.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_lok_nym_reb_tier2_1a.stf', '16', 'escort_remaining', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 An escorting craft has been destroyed, %DI remain. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_lok_nym_reb_tier2_1a.stf', '17', 'escort_wiped_out', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 All escorting craft have been destroyed. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_lok_nym_reb_tier2_1a.stf', '18', 'failed_destroy', '\\#pcontrast3 Mission Failed: The prisoner ship was destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_lok_nym_reb_tier2_1a.stf', '19', 'failed_escape', '\\#pcontrast3 Vestil: < \\#pcontrast1 The Empire has recovered their men, and we have lost ours.  This is hardly a good result. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_lok_nym_reb_tier2_1a.stf', '20', 'panic_1', 'They are coming back for more.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_lok_nym_reb_tier2_1a.stf', '21', 'panic_2', 'Not this again.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_lok_nym_reb_tier2_1a.stf', '22', 'panic_3', 'My, this is oddly familiar.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_lok_nym_reb_tier2_1a.stf', '23', 'panic_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_lok_nym_reb_tier2_1a.stf', '24', 'panic_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_lok_nym_reb_tier2_1a.stf', '25', 'quest_disable_d', 'Target the transport by using the default \'[\' and \']\' keys to cycle to the engine component and destroy it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_lok_nym_reb_tier2_1a.stf', '26', 'quest_disable_t', 'Disable Target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_lok_nym_reb_tier2_1a.stf', '27', 'quest_escort_d', 'Escort the transport safely out of the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_lok_nym_reb_tier2_1a.stf', '28', 'quest_escort_t', 'Escort Target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_lok_nym_reb_tier2_1a.stf', '29', 'quest_location_d', 'Chase down the transport as they flee through the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_lok_nym_reb_tier2_1a.stf', '30', 'quest_location_t', 'Lok System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_lok_nym_reb_tier2_1a.stf', '31', 'quest_recover_d', 'Pull up near the disabled craft to begin the recovery process.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_lok_nym_reb_tier2_1a.stf', '32', 'quest_recover_t', 'Recover Target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_lok_nym_reb_tier2_1a.stf', '33', 'quest_update', '\\#pcontrast3 < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_lok_nym_reb_tier2_1a.stf', '34', 'recovery_success', '\\#pcontrast3 Prisoner Ship: < \\#pcontrast1 We are making our jump now. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_lok_nym_reb_tier2_1a.stf', '35', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_lok_nym_reb_tier2_1a.stf', '36', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_lok_nym_reb_tier2_1a.stf', '37', 'target_disabled', 'The Prisoner Ship is disabled, begin the recovery.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_lok_nym_reb_tier2_1a.stf', '38', 'taunt_1', 'The hostages have been declared expendable.  ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_lok_nym_reb_tier2_1a.stf', '39', 'taunt_2', 'They will die with honor.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_lok_nym_reb_tier2_1a.stf', '40', 'taunt_3', 'The Emperor wills your distruction.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_lok_nym_reb_tier2_1a.stf', '41', 'taunt_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_lok_nym_reb_tier2_1a.stf', '42', 'taunt_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_lok_nym_reb_tier2_1a.stf', '43', 'thanks_1', 'Only a bit more and we are out of here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_lok_nym_reb_tier2_1a.stf', '44', 'thanks_2', 'Stay focused, they are out to destroy us it appears.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_lok_nym_reb_tier2_1a.stf', '45', 'thanks_3', 'Maybe capture wasn\'t so bad.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_lok_nym_reb_tier2_1a.stf', '46', 'thanks_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_lok_nym_reb_tier2_1a.stf', '47', 'thanks_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_lok_nym_reb_tier2_1a.stf', '48', 'title', 'Lok System: Contention');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_lok_nym_reb_tier2_1a.stf', '49', 'title_d', 'The Storm Squadron, an elite group of Imperial Pilots, have recovered a number of Imperial prisoners in transit to a safe location.  Go liberate that transport from the Imperials and get it back on track.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_company_all_opening_tier2_2.stf', '1', 'abort', 'I thought you were going to rescue me? Those cultist will certainly capture me again.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_company_all_opening_tier2_2.stf', '2', 'angry_disable', 'You have angered the might of the great fireball...what? The prisoner has escaped....this can\'t be!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_company_all_opening_tier2_2.stf', '3', 'arrival_phase_1', 'Stand by. We are transmitting the location data to your flight computer now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_company_all_opening_tier2_2.stf', '4', 'arrival_phase_2', 'You should have the target location in your flight computer, now. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_company_all_opening_tier2_2.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_company_all_opening_tier2_2.stf', '6', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters detected.>\\#pcontrast3 \\#pcontrast1');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_company_all_opening_tier2_2.stf', '7', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters eliminated.>\\#pcontrast3 \\#pcontrast1');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_company_all_opening_tier2_2.stf', '8', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_company_all_opening_tier2_2.stf', '9', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_company_all_opening_tier2_2.stf', '10', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_company_all_opening_tier2_2.stf', '11', 'capture_complete', 'Target vessel\'s engines are back online. Escort it to safety.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_company_all_opening_tier2_2.stf', '12', 'capture_phase_1', 'I managed to overpower my captures when you disabled the ship. Let me get this back online and then let\'s get out of here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_company_all_opening_tier2_2.stf', '13', 'capture_phase_2', 'Ok, I managed to reroute power from the life support systems. Let\'s get out of here!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_company_all_opening_tier2_2.stf', '14', 'capture_started', 'Target disabled. Stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_company_all_opening_tier2_2.stf', '15', 'complete', 'The executive has been safely returned to the mining company. Return to the Yavin station.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_company_all_opening_tier2_2.stf', '16', 'escort_remaining', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <%DI fighter escorts remaining.>\\#pcontrast3 \\#pcontrast1');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_company_all_opening_tier2_2.stf', '17', 'escort_wiped_out', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighter escort eliminated.>\\#pcontrast3 \\#pcontrast1');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_company_all_opening_tier2_2.stf', '18', 'failed_destroy', 'This is most unfortunate. Fortunately we took into account that we might lose our man so we took extra precautions. We have another executive waiting to take his place. Stand by to escort that vessel safely through Yavin.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_company_all_opening_tier2_2.stf', '19', 'failed_escape', 'I doubt that we will be seeing our man ever again now. Fortunately we took failure into account and took some extra precautions. We have another executive waiting to take his place. Stand by to escort that vessel safely through Yavin.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_company_all_opening_tier2_2.stf', '20', 'panic_1', 'Debris Cultist! They just won\'t let me go.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_company_all_opening_tier2_2.stf', '21', 'panic_2', 'Destroy them! Destroy them all!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_company_all_opening_tier2_2.stf', '22', 'panic_3', 'I hope the company hired a good pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_company_all_opening_tier2_2.stf', '23', 'panic_4', 'It doesn\'t look like we are in the clear yet.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_company_all_opening_tier2_2.stf', '24', 'panic_5', 'They are not going to try to capture me this time.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_company_all_opening_tier2_2.stf', '25', 'quest_disable_d', 'Bring the hostage vessel to a complete stop to give the executive a chance to gain control of the vessel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_company_all_opening_tier2_2.stf', '26', 'quest_disable_t', 'Disable the Hostage Vessel');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_company_all_opening_tier2_2.stf', '27', 'quest_escort_d', 'Follow the vessel to safety and protect it from Debris Cult counterattacks.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_company_all_opening_tier2_2.stf', '28', 'quest_escort_t', 'Escort the Hostage Vessel');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_company_all_opening_tier2_2.stf', '29', 'quest_location_d', 'The ship holding the executive is located in the Yavin system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_company_all_opening_tier2_2.stf', '30', 'quest_location_t', 'Remain in the Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_company_all_opening_tier2_2.stf', '31', 'quest_recover_d', 'Move in close to the vessel and wait for the executive to contact you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_company_all_opening_tier2_2.stf', '32', 'quest_recover_t', 'Rescue the Hostage');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_company_all_opening_tier2_2.stf', '33', 'quest_update', '\\#FF0000 Yavin Mining Company: \\#FF0000 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_company_all_opening_tier2_2.stf', '34', 'recovery_success', 'Excellent work. We knew that you were right for the job. Return to the station.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_company_all_opening_tier2_2.stf', '35', 'split_quest_alert', 'The Yavin Mining Company has another executive waiting to take over for their lost man. Escort this executive through the Yavin system safely.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_company_all_opening_tier2_2.stf', '36', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_company_all_opening_tier2_2.stf', '37', 'target_disabled', 'Nice work. Now dock with the vessel and try to free our man.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_company_all_opening_tier2_2.stf', '38', 'taunt_1', 'We warned you to leave...now feel our wrath.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_company_all_opening_tier2_2.stf', '39', 'taunt_2', 'If you strike me down, I shall only become one with the scrap.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_company_all_opening_tier2_2.stf', '40', 'taunt_3', 'You shall be added to the field of debris.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_company_all_opening_tier2_2.stf', '41', 'taunt_4', 'Our lord commands that you do not make it out alive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_company_all_opening_tier2_2.stf', '42', 'taunt_5', 'Prepare yourself...you are about to meet eternity.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_company_all_opening_tier2_2.stf', '43', 'thanks_1', 'Nice flying. That was close.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_company_all_opening_tier2_2.stf', '44', 'thanks_2', 'The company definitely got what they paid for when they hired you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_company_all_opening_tier2_2.stf', '45', 'thanks_3', 'This computer is fried. It will take me a little while to get my jump cordinates locked in. ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_company_all_opening_tier2_2.stf', '46', 'thanks_4', 'Those debris cultist are crazy! They blame us for the Imperial salvage operation.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_company_all_opening_tier2_2.stf', '47', 'thanks_5', 'Thanks! You are making a habit out of saving me.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_company_all_opening_tier2_2.stf', '48', 'title', 'Yavin System: Rescue the Company Executive');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_company_all_opening_tier2_2.stf', '49', 'title_d', 'The information that you recovered has revealed where the executive is being held hostage. Intercept that ship and rescue the executive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_1.stf', '1', 'abort', 'You have failed in your duty to the Empire to put a stop to illegal smuggling.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_1.stf', '2', 'angry_disable', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_1.stf', '3', 'arrival_phase_1', 'We are getting a lock on the illegal vessel. Stand by for coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_1.stf', '4', 'arrival_phase_2', 'The location of the illegal vessel has been sent to your nav computer. Intercept and capture that vessel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_1.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_1.stf', '6', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 < Enemy fighters detected. >\\#pcontrast3 \\#pcontrast1');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_1.stf', '7', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 < Enemy fighters eliminated. >\\#pcontrast3 \\#pcontrast1');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_1.stf', '8', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_1.stf', '9', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_1.stf', '10', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_1.stf', '11', 'capture_complete', 'The vessel is under your control. Escort it back for questioning by the Empire authorities.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_1.stf', '12', 'capture_phase_1', 'What are you doing? You have no right! ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_1.stf', '13', 'capture_phase_2', 'Fine, I will follow you. Just don\'t blow me up.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_1.stf', '14', 'capture_started', 'Capture process beginning. The target vessel will have 30 seconds to comply or be destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_1.stf', '15', 'complete', 'The vessel is in Imperial hands. Return to your normal duties.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_1.stf', '16', 'escort_remaining', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 < %DI escort fighters remaining. >\\#pcontrast3 \\#pcontrast1');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_1.stf', '17', 'escort_wiped_out', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 < Enemy escort fighters eliminated. >\\#pcontrast3 \\#pcontrast1');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_1.stf', '18', 'failed_destroy', 'You were supposed to capture that ship, not destroy it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_1.stf', '19', 'failed_escape', 'You were supposed to capture that ship, not let it get away.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_1.stf', '20', 'panic_1', 'They are going to destroy me rather then let me be captured.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_1.stf', '21', 'panic_2', 'You captured me, now you have to keep me alive!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_1.stf', '22', 'panic_3', 'Polard is never going to let me talk.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_1.stf', '23', 'panic_4', 'Blast it! I knew that if I got captured Polard would never let me live.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_1.stf', '24', 'panic_5', 'They are not going to let me talk. You have to protect me!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_1.stf', '25', 'quest_disable_d', 'Intercept and disable the freighter before it can leave the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_1.stf', '26', 'quest_disable_t', 'Disable the Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_1.stf', '27', 'quest_escort_d', 'Escort the freighter back to the station so that the pilot can be questioned.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_1.stf', '28', 'quest_escort_t', 'Escort the Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_1.stf', '29', 'quest_location_d', 'The ship is still in the Yavin system but it is probably getting ready to jump from the system. Intercept it before it can escape.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_1.stf', '30', 'quest_location_t', 'Remain in the Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_1.stf', '31', 'quest_recover_d', 'Once disabled, move in close to the freighter and a warning will be sent. If the vessel refuses to return to base you will destroy it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_1.stf', '32', 'quest_recover_t', 'Capture the Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_1.stf', '33', 'quest_update', '\\#FF0000 Yavin Station Imperial Command:\\#FF0000 < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_1.stf', '34', 'recovery_success', 'The illegal smuggler is back in our hands. If we have anything further for you to do we will inform the Yavin station.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_1.stf', '35', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_1.stf', '36', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_1.stf', '37', 'target_disabled', 'The vessel\'s engine system is shut down. Move in close and deliver our ultimatium.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_1.stf', '38', 'taunt_1', 'So you thought you could just get away did you?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_1.stf', '39', 'taunt_2', 'Imperials should keep their noses out of our business.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_1.stf', '40', 'taunt_3', 'We are never going to let him talk.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_1.stf', '41', 'taunt_4', 'I have to kill you. It is nothing personal, just business.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_1.stf', '42', 'taunt_5', 'Polard isn\'t going to be happy when he hears about this mess.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_1.stf', '43', 'thanks_1', 'There are going to be more.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_1.stf', '44', 'thanks_2', 'I am in so much trouble right now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_1.stf', '45', 'thanks_3', 'Listen...as long as you protect me I will tell you everything I know.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_1.stf', '46', 'thanks_4', 'They mean business.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_1.stf', '47', 'thanks_5', 'You have to protect me from Polard.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_1.stf', '48', 'title', 'Yavin System: Capture the Illegal Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_1.stf', '49', 'title_d', 'A freighter that was hired by the Yavin 4 Mining Company is attempting to leave the system without paying its flight tax. Intercept, capture, and escort this vessel back to Imperial hands for questioning.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_3.stf', '1', 'abort', 'I knew that Imperials were cowards.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_3.stf', '2', 'angry_disable', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_3.stf', '3', 'arrival_phase_1', 'Tracking Polard Manfred. Stand by to intercept.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_3.stf', '4', 'arrival_phase_2', 'We have a lock on the smuggler. Capture and bring this man to justice.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_3.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_3.stf', '6', 'attack_notify', 'Tactical Computer: < Enemy fighters detected. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_3.stf', '7', 'attack_stopped', 'Tactical Computer: < Enemy fighters eliminated. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_3.stf', '8', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_3.stf', '9', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_3.stf', '10', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_3.stf', '11', 'capture_complete', 'Polard Manfred\'s ship is now under our control. Escort him to a safe jump point.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_3.stf', '12', 'capture_phase_1', 'What are you doing? I am a private ship and you have no right.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_3.stf', '13', 'capture_phase_2', 'Okay, already. I will obey and go where you want me to.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_3.stf', '14', 'capture_started', 'Sending warning to Polard Manfred to stand down and relinquish control of the vessel over to us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_3.stf', '15', 'complete', 'Polard Manfred is now in Imperial hands. Return to the Yavin 4 station and speak with the operation.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_3.stf', '16', 'escort_remaining', 'Tactical Computer: <%DI enemy escort fighters remaining. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_3.stf', '17', 'escort_wiped_out', 'Tactical Computer: < Escort fighters eliminated. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_3.stf', '18', 'failed_destroy', 'We wanted to bring Polard to stand trial. Not kill him.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_3.stf', '19', 'failed_escape', 'Polard got away. Hopefully we will get another chance at this.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_3.stf', '20', 'panic_1', 'My own men are turning on me! Help!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_3.stf', '21', 'panic_2', 'They will never let me live. I know to much!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_3.stf', '22', 'panic_3', 'Those pilots will do what ever it takes to make sure I don\'t talk.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_3.stf', '23', 'panic_4', 'You have written my death warrent.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_3.stf', '24', 'panic_5', 'Blast it! They are not going to let me live.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_3.stf', '25', 'quest_disable_d', 'Intercept and disable Polard Manfred\'s vessel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_3.stf', '26', 'quest_disable_t', 'Disable Polard Manfred');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_3.stf', '27', 'quest_escort_d', 'Escort Polard Manfred to Imperial hands. Keep the prisoner safe from any associates of his that might try to kill him rather then let him talk.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_3.stf', '28', 'quest_escort_t', 'Escort Polard Manfred');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_3.stf', '29', 'quest_location_d', 'Polard Manfred\'s ship is in the Corellia system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_3.stf', '30', 'quest_location_t', 'Remain in the Corellia System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_3.stf', '31', 'quest_recover_d', 'Move in close and if he does not agree to return peacefully, you will administer immediate justice on him.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_3.stf', '32', 'quest_recover_t', 'Capture Polard Manfred');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_3.stf', '33', 'quest_update', 'Imperial Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_3.stf', '34', 'recovery_success', 'The vessel is away. It is heading towards one of our Star Destroyers who will pick up the criminal shortly.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_3.stf', '35', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_3.stf', '36', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_3.stf', '37', 'target_disabled', 'Move in close and deliver the ultimatium. ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_3.stf', '38', 'taunt_1', 'You have betrayed us for the last time.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_3.stf', '39', 'taunt_2', 'Polard, you will never get a chance to talk.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_3.stf', '40', 'taunt_3', 'Sorry boss, but rules are rules.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_3.stf', '41', 'taunt_4', 'I am going to take a great deal of pleasure in this.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_3.stf', '42', 'taunt_5', 'Don\'t think that you will get away so easily.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_3.stf', '43', 'thanks_1', 'Well thanks for my life...I guess.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_3.stf', '44', 'thanks_2', 'Imperial prison or being blow to bits...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_3.stf', '45', 'thanks_3', 'I will tell you everything I know.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_3.stf', '46', 'thanks_4', 'They will be back. I cannot be allowed to live.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_3.stf', '47', 'thanks_5', 'Today just hasn\'t been my day.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_3.stf', '48', 'title', 'Space Corellia: Capture Polard Manfred');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/stn_yavin4_imp_imperial_tier2_3.stf', '49', 'title_d', 'Polard Manfred is apparently running an illegal smuggling operation. You are to capture Manfred and turn him over to Imperial hands for questioning.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier3_1_a.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier3_1_a.stf', '2', 'abort', 'Why have you aborted the recovery operation? That transport is now lost to the Rebels.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier3_1_a.stf', '3', 'angry_disable', 'You think that you are so very clever. We will see who is clever when this is all over with.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier3_1_a.stf', '4', 'arrival_phase_1', 'The Rebels have taken control of the Engineer transport. We are scanning the system for its location. Stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier3_1_a.stf', '5', 'arrival_phase_2', 'We have located the transport! That information has been sent to your nav computer. Disable it and recapture it from the Rebellion.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier3_1_a.stf', '6', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier3_1_a.stf', '7', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters detected.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier3_1_a.stf', '8', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier3_1_a.stf', '9', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier3_1_a.stf', '10', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier3_1_a.stf', '11', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier3_1_a.stf', '12', 'capture_complete', 'The Engineer transport is back in Imperial hands. Let\'s get it out of here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier3_1_a.stf', '13', 'capture_phase_1', 'Boarding party reporting in. We are facing resistance. Hold any other fighters off until we have successfully retaken the ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier3_1_a.stf', '14', 'capture_phase_2', 'Rebels have been eliminated. Initializing transport restart sequence now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier3_1_a.stf', '15', 'capture_started', 'Beginning transport capture process. Stand by until the transport is back in Imperial hands.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier3_1_a.stf', '16', 'complete', 'Mission completed. You have served your Emperor well, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier3_1_a.stf', '17', 'escort_remaining', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <%DI ships remaining in the transport\'s escort.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier3_1_a.stf', '18', 'escort_wiped_out', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <The transport\'s escort has been eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier3_1_a.stf', '19', 'failed_destroy', 'Your orders were to retake the transport not destroy it. Return to your superior immediately for debriefing.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier3_1_a.stf', '20', 'failed_escape', 'You have failed to recapture the transport from Rebel hands. Return to your superior immediately for debriefing.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier3_1_a.stf', '21', 'panic_1', 'Looks like trouble ahead.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier3_1_a.stf', '22', 'panic_2', 'More Rebels! They are all yours, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier3_1_a.stf', '23', 'panic_3', 'Great! We just get freed and now they are trying to take us back.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier3_1_a.stf', '24', 'panic_4', 'The Rebels have to have some sort of base of operations out here for there to be so many of them.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier3_1_a.stf', '25', 'panic_5', 'Blast it! Looks like we are under attack.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier3_1_a.stf', '26', 'quest_disable_d', 'The engineers are to important to the Empire to be destroyed. You have to disable the transport and recapture it for the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier3_1_a.stf', '27', 'quest_disable_t', 'Disable the Engineer Transport');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier3_1_a.stf', '28', 'quest_escort_d', 'Follow the transport to safety. Protect it from any Rebel attack.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier3_1_a.stf', '29', 'quest_escort_t', 'Escort the Engineer Transport');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier3_1_a.stf', '30', 'quest_location_d', 'The transport has not yet left the Endor system. Track it down and recapture it before it can leave the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier3_1_a.stf', '31', 'quest_location_t', 'Remain in the Endor System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier3_1_a.stf', '32', 'quest_recover_d', 'Once the transport is disabled, move in close, and wait for the capture process to begin.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier3_1_a.stf', '33', 'quest_recover_t', 'Capture the Engineer Transport');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier3_1_a.stf', '34', 'quest_update', '\\#pcontrast1 Storm Squadron Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier3_1_a.stf', '35', 'recovery_success', 'The transport and engineers onboard have been safely recovered. Good work, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier3_1_a.stf', '36', 'split_quest_alert', 'During your assault on the transport, a Rebel scout was detected nearby. You are to capture that scout\'s computers and retrieve any information it might have.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier3_1_a.stf', '37', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier3_1_a.stf', '38', 'target_disabled', 'Engineer transport has been disabled. Move in close and wait for the boarding operation to get underway.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier3_1_a.stf', '39', 'taunt_1', 'It isn\'t going to be as easy as you thought.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier3_1_a.stf', '40', 'taunt_2', 'Give up the transport or we will be forced to hurt you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier3_1_a.stf', '41', 'taunt_3', 'Fine! Fighters, destroy the transport.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier3_1_a.stf', '42', 'taunt_4', 'You know you cannot win.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier3_1_a.stf', '43', 'taunt_5', 'We will find out what you are doing out here, Imperial dog.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier3_1_a.stf', '44', 'thanks_1', 'Nice work, pilot. You lit those Rebels up.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier3_1_a.stf', '45', 'thanks_2', 'Way to drive those Rebels away.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier3_1_a.stf', '46', 'thanks_3', 'I feel much safer with you flying escort.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier3_1_a.stf', '47', 'thanks_4', 'Hang in there. There can\'t be that many Rebels left.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier3_1_a.stf', '48', 'thanks_5', 'They just are not willing to let us go.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier3_1_a.stf', '49', 'title', 'Endor System: Capture the Engineer Transport Under Rebel Control');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier3_1_a.stf', '50', 'title_d', 'The shuttle you were protecting was not the only transport attacked. Rebels have taken another shuttle that was coming in from the Yavin system. The transport is still inside the Endor system. You must rescue the transport and the engineers on board.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2.stf', '2', 'abort', 'We are at the mercy of our enemies out here. Why are you leaving?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2.stf', '3', 'angry_disable', 'Imperial dog! You are making a big mistake. I suggest you leave now before you regret it forever.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2.stf', '4', 'arrival_phase_1', 'Scanning system for jump location. Once we have the location, proceed to that area, engage, and disable the transport.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2.stf', '5', 'arrival_phase_2', 'We have a lock. Sending the location to your nav computer. Capture that transport and return it to headquarters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2.stf', '6', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2.stf', '7', 'attack_notify', '\\#pcontrast1 Tactical Computer: \\#pcontrast3 <Enemy fighters detected.> \\#pcontrast3');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2.stf', '8', 'attack_stopped', '\\#pcontrast1 Tactical Computer: \\#pcontrast3 <Enemy fighters eliminated.> \\#pcontrast3');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2.stf', '9', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2.stf', '10', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2.stf', '11', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2.stf', '12', 'capture_complete', 'Transport is back in Imperial control. Escort it back to headquarters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2.stf', '13', 'capture_phase_1', 'We have taken back control of the transport from the Bothans. Attempting to get engines back online.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2.stf', '14', 'capture_phase_2', 'We almost have it. We should be under way shortly.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2.stf', '15', 'capture_started', 'Docking procedure beginning.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2.stf', '16', 'complete', 'The transport is safely in Imperial hands.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2.stf', '17', 'escort_remaining', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <%DI escorts remaining.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2.stf', '18', 'escort_wiped_out', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy escort fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2.stf', '19', 'failed_destroy', 'We wanted that transport back in one piece. Report your failure to your superior immediately.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2.stf', '20', 'failed_escape', 'You let the Bothans escape with our transport! Report you disgrace to your superior.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2.stf', '21', 'panic_1', 'It looks like the Bothan spies had some help.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2.stf', '22', 'panic_2', 'The Bothans had some support vessels in the area.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2.stf', '23', 'panic_3', 'I knew it! The Bothans must have been working for the Rebels.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2.stf', '24', 'panic_4', 'Rebels! The Bothans and them have to be working together.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2.stf', '25', 'panic_5', 'Look out! Rebels incoming.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2.stf', '26', 'quest_disable_d', 'Intercept and disable the transport before it can leave the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2.stf', '27', 'quest_disable_t', 'Disable the Captured Engineer Transport');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2.stf', '28', 'quest_escort_d', 'Follow the transport back to Imperial controlled space. The Inquisition will question the spy and find out more about their plan.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2.stf', '29', 'quest_escort_t', 'Escort the Captured Engineer Transport');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2.stf', '30', 'quest_location_d', 'Travel to the Endor system and recover the transports stolen by the Bothans. The Bothan\'s are attempting to leave the system. Capture this vessel before it can do so.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2.stf', '31', 'quest_location_t', 'Travel to the Endor System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2.stf', '32', 'quest_recover_d', 'Once the transport is disabled, move in close and wait for the capture process to begin.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2.stf', '33', 'quest_recover_t', 'Capture the Captured Engineer Transport');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2.stf', '34', 'quest_update', '\\#pcontrast1 Storm Squadron Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2.stf', '35', 'recovery_success', 'Nice work, pilot. The transport is back safely in Imperial space.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2.stf', '36', 'split_quest_alert', 'Several transports are still under Bothan control. You are needed to recover another one before it gets away.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2.stf', '37', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2.stf', '38', 'target_disabled', 'The transport\'s engines are offline. Quickly start the docking procedure.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2.stf', '39', 'taunt_1', 'Release the transport back into our control.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2.stf', '40', 'taunt_2', 'What are you planning out here, Imperial dog?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2.stf', '41', 'taunt_3', 'You are going to pay for that!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2.stf', '42', 'taunt_4', 'You cannot hide the truth forever.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2.stf', '43', 'taunt_5', 'Move in! We must recapture that transport!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2.stf', '44', 'thanks_1', 'Good work, pilot. The Rebels will think twice about attacking again.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2.stf', '45', 'thanks_2', 'It looks like the Bothans\' friend were not up to the challenge.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2.stf', '46', 'thanks_3', 'Excellent! Show them no mercy.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2.stf', '47', 'thanks_4', 'The Bothan dogs and their allies are no match for the might of the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2.stf', '48', 'thanks_5', 'Keep a close eye out. I am sure there are more out there.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2.stf', '49', 'title', 'Endor System: Capture Bothan Controlled Engineer Transport');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2.stf', '50', 'title_d', 'Members of the Bothan Spynet have captured several engineer transports and are attempting to fly them out of the system. These transport contain some very important information that cannot be allowed to fall into Rebel hands. Capture and return your targetted transport before it can escape the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_a.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_a.stf', '2', 'abort', 'We are at the mercy of our enemies out here. Why are you leaving?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_a.stf', '3', 'angry_disable', 'What! What have you done? We will not fall so easily.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_a.stf', '4', 'arrival_phase_1', 'Scanning system for jump location. Once we have the location, proceed to that area, engage, and disable the transport.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_a.stf', '5', 'arrival_phase_2', 'We have a lock. Sending the location to your nav computer. Capture that shuttle and return it to headquarters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_a.stf', '6', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_a.stf', '7', 'attack_notify', '\\#pcontrast1 Tactical Computer: \\#pcontrast3 <Enemy fighters detected.> \\#pcontrast3');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_a.stf', '8', 'attack_stopped', '\\#pcontrast1 Tactical Computer: \\#pcontrast3 <Enemy fighters eliminated.> \\#pcontrast3');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_a.stf', '9', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_a.stf', '10', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_a.stf', '11', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_a.stf', '12', 'capture_complete', 'The transport is back in Imperial control. Escort it back to headquarters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_a.stf', '13', 'capture_phase_1', 'We have taken back control of the transport from the Bothans. Attempting to get engines back online.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_a.stf', '14', 'capture_phase_2', 'We almost have it. We should be under way shortly.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_a.stf', '15', 'capture_started', 'Docking procedure beginning.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_a.stf', '16', 'complete', 'The transport is safely in Imperial hands.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_a.stf', '17', 'escort_remaining', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <%DI escorts remaining.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_a.stf', '18', 'escort_wiped_out', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy escort fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_a.stf', '19', 'failed_destroy', 'We wanted that transport back in one piece. Report your failure to your superior immediately.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_a.stf', '20', 'failed_escape', 'You let the Bothans escape with our transport! Report you disgrace to your superior.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_a.stf', '21', 'panic_1', 'It looks like the Bothan spies had some help.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_a.stf', '22', 'panic_2', 'The Bothans had some support vessels in the area.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_a.stf', '23', 'panic_3', 'I knew it! The Bothans must have been working for the Rebels.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_a.stf', '24', 'panic_4', 'Rebels! The Bothans and them have to be working together.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_a.stf', '25', 'panic_5', 'Look out! Rebels incoming.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_a.stf', '26', 'quest_disable_d', 'Disable the transport\'s engines so that it may be recovered.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_a.stf', '27', 'quest_disable_t', 'Disable the Captured Engineer Transport');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_a.stf', '28', 'quest_escort_d', 'Follow and protect the transport on it\'s way back to Imperial space.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_a.stf', '29', 'quest_escort_t', 'Escort the Captured Engineer Transport');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_a.stf', '30', 'quest_location_d', 'The next transport is still in the Endor system. Intercept it before it is able to leave the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_a.stf', '31', 'quest_location_t', 'Remain in the Endor System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_a.stf', '32', 'quest_recover_d', 'Once the engines are offline, move in close, and wait for the capture process to begin.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_a.stf', '33', 'quest_recover_t', 'Capture the Captured Engineer Transport');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_a.stf', '34', 'quest_update', '\\#pcontrast1 Storm Squadron Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_a.stf', '35', 'recovery_success', 'Nice work, pilot. Most of the transports made it back to Imperial space.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_a.stf', '36', 'split_quest_alert', 'The satellites that were destroyed need to be replaced immediately. Meet up with a supply freighter and deliver the satellites to the field engineers.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_a.stf', '37', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_a.stf', '38', 'target_disabled', 'The transport\'s engines are offline. Quickly start the docking procedure.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_a.stf', '39', 'taunt_1', 'You may have won last time but this time will be different.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_a.stf', '40', 'taunt_2', 'I feel sorry for you...wait, no I don\'t! Die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_a.stf', '41', 'taunt_3', 'We shall overcome your injustice.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_a.stf', '42', 'taunt_4', 'Ignore the Imperial fighter! It is the transport that is important.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_a.stf', '43', 'taunt_5', 'Don\'t let the transport get away.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_a.stf', '44', 'thanks_1', 'Good work, pilot. The Rebels will think twice about attacking again.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_a.stf', '45', 'thanks_2', 'It looks like the Bothans\' friend were not up to the challenge.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_a.stf', '46', 'thanks_3', 'Excellent! Show them no mercy.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_a.stf', '47', 'thanks_4', 'The Bothan dogs and their allies are no match for the might of the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_a.stf', '48', 'thanks_5', 'Keep a close eye out. I am sure there are more out there.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_a.stf', '49', 'title', 'Endor System: Recover Another Stolen Engineer Transport');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_a.stf', '50', 'title_d', 'The Bothan\'s have attacked and captured several engineer\'s transports. We must get as many of them back as we can. Each one contains important information about the project. Capture and return another transport to Imperial control.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_c.stf', '1', 'abort', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_c.stf', '2', 'angry_disable', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_c.stf', '3', 'arrival_phase_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_c.stf', '4', 'arrival_phase_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_c.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_c.stf', '6', 'attack_notify', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_c.stf', '7', 'attack_stopped', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_c.stf', '8', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_c.stf', '9', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_c.stf', '10', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_c.stf', '11', 'capture_complete', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_c.stf', '12', 'capture_phase_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_c.stf', '13', 'capture_phase_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_c.stf', '14', 'capture_started', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_c.stf', '15', 'complete', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_c.stf', '16', 'escort_remaining', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_c.stf', '17', 'escort_wiped_out', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_c.stf', '18', 'failed_destroy', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_c.stf', '19', 'failed_escape', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_c.stf', '20', 'panic_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_c.stf', '21', 'panic_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_c.stf', '22', 'panic_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_c.stf', '23', 'panic_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_c.stf', '24', 'panic_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_c.stf', '25', 'quest_disable_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_c.stf', '26', 'quest_disable_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_c.stf', '27', 'quest_escort_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_c.stf', '28', 'quest_escort_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_c.stf', '29', 'quest_location_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_c.stf', '30', 'quest_location_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_c.stf', '31', 'quest_recover_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_c.stf', '32', 'quest_recover_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_c.stf', '33', 'quest_update', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_c.stf', '34', 'recovery_success', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_c.stf', '35', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_c.stf', '36', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_c.stf', '37', 'target_disabled', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_c.stf', '38', 'taunt_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_c.stf', '39', 'taunt_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_c.stf', '40', 'taunt_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_c.stf', '41', 'taunt_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_c.stf', '42', 'taunt_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_c.stf', '43', 'thanks_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_c.stf', '44', 'thanks_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_c.stf', '45', 'thanks_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_c.stf', '46', 'thanks_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_c.stf', '47', 'thanks_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_c.stf', '48', 'title', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_2_c.stf', '49', 'title_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_4_b.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_4_b.stf', '2', 'abort', 'You just made our day, buddy. Good luck explaining this one.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_4_b.stf', '3', 'angry_disable', 'Do you think that it will be this easy? You had better run now before our allies show up and destroy you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_4_b.stf', '4', 'arrival_phase_1', 'Tracking stolen transport. Stand by for the navigation location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_4_b.stf', '5', 'arrival_phase_2', 'Stolen shuttle located. Disable, capture, and return that transport to Imperial hands.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_4_b.stf', '6', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_4_b.stf', '7', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters detected.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_4_b.stf', '8', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_4_b.stf', '9', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_4_b.stf', '10', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_4_b.stf', '11', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_4_b.stf', '12', 'capture_complete', 'Transport is back under Imperial control. Preparing for departure.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_4_b.stf', '13', 'capture_phase_1', 'Systems shut down. Attempting to reboot now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_4_b.stf', '14', 'capture_phase_2', 'Systems coming back online. We will follow you, just don\'t destroy us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_4_b.stf', '15', 'capture_started', 'Beginning capture procedure.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_4_b.stf', '16', 'complete', 'Transport has been returned to Imperial space.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_4_b.stf', '17', 'escort_remaining', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <%DI escorts remaining.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_4_b.stf', '18', 'escort_wiped_out', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Escort fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_4_b.stf', '19', 'failed_destroy', 'The Inquisition requested that ship personally. You had better have a good explaination ready. Report back.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_4_b.stf', '20', 'failed_escape', 'The Inquisition requested that ship personally. You had better have a good explaination ready. Report back.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_4_b.stf', '21', 'panic_1', 'They are going to destroy us rather then let us be captured.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_4_b.stf', '22', 'panic_2', 'I would rather die then be turned over to the Inquisition.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_4_b.stf', '23', 'panic_3', 'You should give up now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_4_b.stf', '24', 'panic_4', 'They will never let us be captured alive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_4_b.stf', '25', 'panic_5', 'For the Rebellion I give my life.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_4_b.stf', '26', 'quest_disable_d', 'Intercept and disable the transport\'s engines.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_4_b.stf', '27', 'quest_disable_t', 'Disable the Captured Engineer Transport');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_4_b.stf', '28', 'quest_escort_d', 'Follow and protect the transport until it can make the jump back to Endor and the Inquisitor.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_4_b.stf', '29', 'quest_escort_t', 'Escort the Captured Engineer Transport');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_4_b.stf', '30', 'quest_location_d', 'The last transport is in the Dantooine system. Capture it before the Bothan\'s can move it out of the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_4_b.stf', '31', 'quest_location_t', 'Remain in the Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_4_b.stf', '32', 'quest_recover_d', 'Once the transport is disabled, move in close and wait for the capture process to begin.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_4_b.stf', '33', 'quest_recover_t', 'Capture the Captured Engineer Transport');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_4_b.stf', '34', 'quest_update', '\\#pcontrast1 Storm Squadron Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_4_b.stf', '35', 'recovery_success', 'Nice flying out there, pilot. We have the transport and the agent is most ancious to question those Bothans.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_4_b.stf', '36', 'split_quest_alert', 'Rebel Command Vessels located. Destroy all enemy vessels.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_4_b.stf', '37', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_4_b.stf', '38', 'target_disabled', 'The shuttles engines are down. Being docking procedures.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_4_b.stf', '39', 'taunt_1', 'That transport belongs to us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_4_b.stf', '40', 'taunt_2', 'You are out of your league, Imperial dog.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_4_b.stf', '41', 'taunt_3', 'We will retake the transport, and destroy you in the process.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_4_b.stf', '42', 'taunt_4', 'If you want that transport you are going to have to come through me first.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_4_b.stf', '43', 'taunt_5', 'Freedom!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_4_b.stf', '44', 'thanks_1', 'Have a heart, let me die with honor.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_4_b.stf', '45', 'thanks_2', 'Soldier to soldier...just destroy me.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_4_b.stf', '46', 'thanks_3', 'Many have fallen, but the tyranny of the Empire will never win.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_4_b.stf', '47', 'thanks_4', 'One day, I shall have my revenge on you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_4_b.stf', '48', 'thanks_5', 'Have a heart, let me die with honor.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_4_b.stf', '49', 'title', 'Dantooine System: Capture the Stolen Engineer Transport');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_imperial_tier4_4_b.stf', '50', 'title_d', 'The Inquisitor wants the Bothan spies sent back to him so he can question them about their operation. We have located the third and final missing transport inside the Dantooine system. You are to capture it and send it back to Endor.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier3_1.stf', '1', 'abort', 'You\'ve got to be kidding me?! You can\'t abort NOW!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier3_1.stf', '2', 'angry_disable', 'This can\'t be happening!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier3_1.stf', '3', 'arrival_phase_1', '\\#pcontrast3 Beissa: < \\#pcontrast1 The hijacked freighter should arrive there any minute, now... \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier3_1.stf', '4', 'arrival_phase_2', '\\#pcontrast3 Beissa: < \\#pcontrast1 There! Valarian\'s henchmen have flown right into our trap! Disable the ship and clear out the Valarian fighters. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier3_1.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier3_1.stf', '6', 'attack_notify', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Enemy craft detected on attack vector. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier3_1.stf', '7', 'attack_stopped', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Enemy activity has stopped. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier3_1.stf', '8', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier3_1.stf', '9', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier3_1.stf', '10', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier3_1.stf', '11', 'capture_complete', 'Whew! All right. The ship is ours.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier3_1.stf', '12', 'capture_phase_1', 'Whoah! They have mini-turrets mounted in the corridors! This will take a bit longer than we suspected...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier3_1.stf', '13', 'capture_phase_2', 'Okay, the turret defense system is down. We are now moving on to the command deck...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier3_1.stf', '14', 'capture_started', 'Okay! Cover us. We\'re going to advance on the bridge...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier3_1.stf', '15', 'complete', '\\#pcontrast3 Smuggler Alliance: < \\#pcontrast1 You are on the path to redemption, pilot! But there is still more to do... \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier3_1.stf', '16', 'escort_remaining', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 An escorting craft has been destroyed, %DI remain. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier3_1.stf', '17', 'escort_wiped_out', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 All escorting craft have been destroyed. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier3_1.stf', '18', 'failed_destroy', 'The weapons shipment is destroyed! Now we\'ll have to start this operation all over again. You FAIL.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier3_1.stf', '19', 'failed_escape', 'Valarian\'s thugs made off with the hijacked transport! You FAIL!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier3_1.stf', '20', 'panic_1', 'Apparently, Lady Valarian\'s not going to let this shipment go without a fight!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier3_1.stf', '21', 'panic_2', 'Look out! Incoming fighters!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier3_1.stf', '22', 'panic_3', 'Keep those fighters off our backs!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier3_1.stf', '23', 'panic_4', 'Keep those fighters off our backs!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier3_1.stf', '24', 'panic_5', 'Keep those fighters off our backs!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier3_1.stf', '25', 'quest_disable_d', 'Target the freighters engines to disable it');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier3_1.stf', '26', 'quest_disable_t', 'Disable Target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier3_1.stf', '27', 'quest_escort_d', 'Escort the recovered freighter out of the system');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier3_1.stf', '28', 'quest_escort_t', 'Escort Target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier3_1.stf', '29', 'quest_location_d', 'Deep space near the gas giant Yavin');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier3_1.stf', '30', 'quest_location_t', 'Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier3_1.stf', '31', 'quest_recover_d', 'Pull up near the freighter to begin the capture process');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier3_1.stf', '32', 'quest_recover_t', 'Recover Target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier3_1.stf', '33', 'quest_update', '\\#pcontrast3 < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier3_1.stf', '34', 'recovery_success', '\\#pcontrast3 Beissa: < \\#pcontrast1 The weapons shipment has been safely returned to Hutt control. Jabba will be most pleased! \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier3_1.stf', '35', 'split_quest_alert', '\\#pcontrast3 Beissa: < \\#pcontrast1 Since you have decided to come back to Jabba, we would like a little demonstration for Lady Valaria so that she may remember you fondly.  Hunt down your replacements. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier3_1.stf', '36', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier3_1.stf', '37', 'target_disabled', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Target has been disabled. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier3_1.stf', '38', 'taunt_1', 'We took it from you once, we can do so again.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier3_1.stf', '39', 'taunt_2', 'This will be your end.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier3_1.stf', '40', 'taunt_3', 'We took it from you once, we can do so again.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier3_1.stf', '41', 'taunt_4', 'We took it from you once, we can do so again.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier3_1.stf', '42', 'taunt_5', 'We took it from you once, we can do so again.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier3_1.stf', '43', 'thanks_1', 'Good shooting!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier3_1.stf', '44', 'thanks_2', 'You sure know how to handle yourself in a fight!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier3_1.stf', '45', 'thanks_3', 'Now that\'s what I call pilot skill, my friend!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier3_1.stf', '46', 'thanks_4', 'Now that\'s what I call pilot skill, my friend!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier3_1.stf', '47', 'thanks_5', 'Now that\'s what I call pilot skill, my friend!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier3_1.stf', '48', 'title', 'Yavin System: Recover Stolen Weapons Shipment');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier3_1.stf', '49', 'title_d', 'Steal back for Jabba the weapons shipment that was never rightfully his to begin with');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2a.stf', '1', 'abort', 'You have abandoned the freighter to a dire fate.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2a.stf', '2', 'angry_disable', 'Good work, now get us repaired and out of here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2a.stf', '3', 'arrival_phase_1', '\\#pcontrast3 Nirame: < \\#pcontrast1 The freighter made a short hyperspace jump, it will take a moment to pin point. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2a.stf', '4', 'arrival_phase_2', '\\#pcontrast3 Nirame: < \\#pcontrast1 There, get over and begin the extraction before the Imperials notice you are here. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2a.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2a.stf', '6', 'attack_notify', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Enemy craft detected on attack vector. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2a.stf', '7', 'attack_stopped', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Hostile Activity has stopped. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2a.stf', '8', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2a.stf', '9', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2a.stf', '10', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2a.stf', '11', 'capture_complete', 'The recovery is complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2a.stf', '12', 'capture_phase_1', 'Beginning salavage operations.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2a.stf', '13', 'capture_phase_2', 'The salvage is almost complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2a.stf', '14', 'capture_started', 'Commence Salvage.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2a.stf', '15', 'complete', 'The freighter has safely been recovered.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2a.stf', '16', 'escort_remaining', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 An escorting craft has been destroyed, %DI remian. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2a.stf', '17', 'escort_wiped_out', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 All escorting craft have been destroyed. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2a.stf', '18', 'failed_destroy', 'The freighter has been destroyed, you fail.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2a.stf', '19', 'failed_escape', 'The freighter has jumped from the system, you fail.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2a.stf', '20', 'panic_1', 'Imperial craft detected');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2a.stf', '21', 'panic_2', 'More of the Emperors goons.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2a.stf', '22', 'panic_3', 'Imperial craft detected');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2a.stf', '23', 'panic_4', 'Imperial craft detected');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2a.stf', '24', 'panic_5', 'Imperial craft detected');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2a.stf', '25', 'quest_disable_d', 'Destroy the targets engines to disable them');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2a.stf', '26', 'quest_disable_t', 'Disable Target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2a.stf', '27', 'quest_escort_d', 'Escort the target safely out of the system');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2a.stf', '28', 'quest_escort_t', 'Escort Target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2a.stf', '29', 'quest_location_d', 'Somewhere in the Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2a.stf', '30', 'quest_location_t', 'Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2a.stf', '31', 'quest_recover_d', 'Pull up next to the target to begin the recovery process');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2a.stf', '32', 'quest_recover_t', 'Recover Target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2a.stf', '33', 'quest_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2a.stf', '34', 'recovery_success', 'The freighter has safely been recovered.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2a.stf', '35', 'split_quest_alert', '\\#pcontrast3 Nirame: < \\#pcontrast1 With their forces scrambling to attack you they have left one of their own craft waiting for an escort.  Go liberate their shuttle as they tried from our \'friends\' here. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2a.stf', '36', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2a.stf', '37', 'target_disabled', 'The primary objective has been disabled, proceed with capture operations.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2a.stf', '38', 'taunt_1', 'This was a mistake pirate.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2a.stf', '39', 'taunt_2', 'Escape is punishable by death.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2a.stf', '40', 'taunt_3', 'This was a mistake pirate.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2a.stf', '41', 'taunt_4', 'This was a mistake pirate.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2a.stf', '42', 'taunt_5', 'This was a mistake pirate.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2a.stf', '43', 'thanks_1', 'All dead, good job.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2a.stf', '44', 'thanks_2', 'Ha, that will show them.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2a.stf', '45', 'thanks_3', 'All dead, good job.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2a.stf', '46', 'thanks_4', 'All dead, good job.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2a.stf', '47', 'thanks_5', 'All dead, good job.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2a.stf', '48', 'title', 'Dantooine System: Recover the Captured Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2a.stf', '49', 'title_d', 'Recover the captured Black Sun craft from Imperial custody');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2b.stf', '1', 'abort', 'The mission is a failure because you aborted.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2b.stf', '2', 'angry_disable', 'What are you doing?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2b.stf', '3', 'arrival_phase_1', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Coordinates locked in. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2b.stf', '4', 'arrival_phase_2', '\\#pcontrast3 Nirame: < \\#pcontrast1 I have transmitted you their location.  And expect a negative response. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2b.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2b.stf', '6', 'attack_notify', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Enemy craft detected on attack vector. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2b.stf', '7', 'attack_stopped', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Hostile Activity has stopped. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2b.stf', '8', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2b.stf', '9', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2b.stf', '10', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2b.stf', '11', 'capture_complete', 'System Capture Completed');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2b.stf', '12', 'capture_phase_1', 'You do realize who you are dealing with don\'t you?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2b.stf', '13', 'capture_phase_2', '[SQUELCH]');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2b.stf', '14', 'capture_started', 'Systems Override Begun');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2b.stf', '15', 'complete', 'Mission successful');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2b.stf', '16', 'escort_remaining', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 An escorting craft has been destroyed, %DI remian. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2b.stf', '17', 'escort_wiped_out', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 All escorting craft have been destroyed. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2b.stf', '18', 'failed_destroy', 'The freighter was destroyed, you fail.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2b.stf', '19', 'failed_escape', 'The freighter has escaped, you fail.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2b.stf', '20', 'panic_1', 'Fighters approaching');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2b.stf', '21', 'panic_2', 'Fighters approaching');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2b.stf', '22', 'panic_3', 'Fighters approaching');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2b.stf', '23', 'panic_4', 'Fighters approaching');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2b.stf', '24', 'panic_5', 'Fighters approaching');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2b.stf', '25', 'quest_disable_d', 'Target the Shuttles engines to stop them');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2b.stf', '26', 'quest_disable_t', 'Disable Target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2b.stf', '27', 'quest_escort_d', 'Escort the Shuttle out of the System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2b.stf', '28', 'quest_escort_t', 'Escort Target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2b.stf', '29', 'quest_location_d', 'Near an Imperial patrol route');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2b.stf', '30', 'quest_location_t', 'Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2b.stf', '31', 'quest_recover_d', 'Fly next to the disabled Shuttle to begin the capture process');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2b.stf', '32', 'quest_recover_t', 'Recover Target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2b.stf', '33', 'quest_update', '\\#pcontrast3 < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2b.stf', '34', 'recovery_success', 'The operation was a success.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2b.stf', '35', 'split_quest_alert', '\\#pcontrast3 Nirame: < \\#pcontrast1 You have a major hyperspace signature going off right at your location! \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2b.stf', '36', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2b.stf', '37', 'target_disabled', 'The Imperial Freigher has been disabled.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2b.stf', '38', 'taunt_1', 'You cannot be allowed to suceed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2b.stf', '39', 'taunt_2', 'You cannot be allowed to suceed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2b.stf', '40', 'taunt_3', 'You cannot be allowed to suceed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2b.stf', '41', 'taunt_4', 'You cannot be allowed to suceed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2b.stf', '42', 'taunt_5', 'You cannot be allowed to suceed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2b.stf', '43', 'thanks_1', 'Hostiles dispatched.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2b.stf', '44', 'thanks_2', 'Hostiles dispatched.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2b.stf', '45', 'thanks_3', 'Hostiles dispatched.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2b.stf', '46', 'thanks_4', 'Hostiles dispatched.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2b.stf', '47', 'thanks_5', 'Hostiles dispatched.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2b.stf', '48', 'title', 'Dantooine System: Capture the Imperial Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_2b.stf', '49', 'title_d', 'Sneak in behind the Imperials as they are distracted by your last capture and steal one of the Shuttles');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_3c.stf', '1', 'abort', 'You have aborted the mission.  Mission Failed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_3c.stf', '2', 'angry_disable', 'You just wait until the Lady hears about this.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_3c.stf', '3', 'arrival_phase_1', '\\#pcontrast3 Nirame: < \\#pcontrast1 Good, you got there first.  By our calculations this should be a short wait. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_3c.stf', '4', 'arrival_phase_2', '\\#pcontrast3 Nirame: < \\#pcontrast1 Ask and you will receive.  Go do your thing. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_3c.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_3c.stf', '6', 'attack_notify', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Hostile craft detected on attack vector. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_3c.stf', '7', 'attack_stopped', '\\#pcontrast3 Tactical computer: < \\#pcontrast1 Hostile activity has ceased. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_3c.stf', '8', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_3c.stf', '9', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_3c.stf', '10', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_3c.stf', '11', 'capture_complete', 'Capture operations completed');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_3c.stf', '12', 'capture_phase_1', 'You will not get away with this');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_3c.stf', '13', 'capture_phase_2', 'The signal has been sent, enjoy our hospitality');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_3c.stf', '14', 'capture_started', 'Capture operations begun');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_3c.stf', '15', 'complete', 'The mission is complete');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_3c.stf', '16', 'escort_remaining', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 An escorting craft has been destroyed, %DI remain. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_3c.stf', '17', 'escort_wiped_out', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 All escorting craft have been destroyed. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_3c.stf', '18', 'failed_destroy', 'The freighter has been destroyed, you fail');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_3c.stf', '19', 'failed_escape', 'The freighter has escaped, you fail');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_3c.stf', '20', 'panic_1', 'Come get us brothers, don\'t let this fool get away');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_3c.stf', '21', 'panic_2', 'This was a mistake.  A grave mistake.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_3c.stf', '22', 'panic_3', 'Come get us brothers, don\'t let this fool get away');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_3c.stf', '23', 'panic_4', 'Come get us brothers, don\'t let this fool get away');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_3c.stf', '24', 'panic_5', 'Come get us brothers, don\'t let this fool get away');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_3c.stf', '25', 'quest_disable_d', 'Destroy the targets engines to disable them');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_3c.stf', '26', 'quest_disable_t', 'Disable Target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_3c.stf', '27', 'quest_escort_d', 'Escort the captured freighter out of the system');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_3c.stf', '28', 'quest_escort_t', 'Escort target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_3c.stf', '29', 'quest_location_d', 'A trade route in the Endor System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_3c.stf', '30', 'quest_location_t', 'Endor System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_3c.stf', '31', 'quest_recover_d', 'Pull up next to the disabled freighter to begin the capture process');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_3c.stf', '32', 'quest_recover_t', 'Recover Target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_3c.stf', '33', 'quest_update', '\\#pcontrast3 < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_3c.stf', '34', 'recovery_success', 'The recovery was a success');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_3c.stf', '35', 'split_quest_alert', '\\#pcontrast3 Nirame: < \\#pcontrast1 About that freighter we wanted: It is in route to Endor, perhaps you can convince them to alter course. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_3c.stf', '36', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_3c.stf', '37', 'target_disabled', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 The target has been disabled. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_3c.stf', '38', 'taunt_1', 'We will destroy you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_3c.stf', '39', 'taunt_2', 'You Hutt fool.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_3c.stf', '40', 'taunt_3', 'We will destroy you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_3c.stf', '41', 'taunt_4', 'We will destroy you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_3c.stf', '42', 'taunt_5', 'We will destroy you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_3c.stf', '43', 'thanks_1', 'Do you think that is all fool?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_3c.stf', '44', 'thanks_2', 'There will be more, our wrath is limitless.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_3c.stf', '45', 'thanks_3', 'Do you think that is all fool?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_3c.stf', '46', 'thanks_4', 'Do you think that is all fool?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_3c.stf', '47', 'thanks_5', 'Do you think that is all fool?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_3c.stf', '48', 'title', 'Endor System: Capture the Valarian Mining Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_privateer_tier4_3c.stf', '49', 'title_d', 'Capture the Valarian Mining Freigher as it arrives in the Endor System.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier3_1.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier3_1.stf', '2', 'abort', 'Abort code received. Initiating emergency hyperspace jump.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier3_1.stf', '3', 'angry_disable', 'I will never give up any information to you, Rebel scum!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier3_1.stf', '4', 'arrival_phase_1', 'Tracking the Security Officers ship now, stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier3_1.stf', '5', 'arrival_phase_2', 'Found him, intercept him immediately. We will update coordinates of his ship as often as we can but hurry.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier3_1.stf', '6', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier3_1.stf', '7', 'attack_notify', 'Tactical Computer: < Incoming fighter vessels. Scans show weapons armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier3_1.stf', '8', 'attack_stopped', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier3_1.stf', '9', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier3_1.stf', '10', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier3_1.stf', '11', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier3_1.stf', '12', 'capture_complete', 'Space Assault Droid: < Unit has control over vessel. Subject pacified. Piloting to pre-programmed coordinates. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier3_1.stf', '13', 'capture_phase_1', 'Unit triggering laser cutter, breaching target vessel hull.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier3_1.stf', '14', 'capture_phase_1_1', 'Unit triggering laser cutter, breaching target vessel hull.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier3_1.stf', '15', 'capture_phase_1_2', 'Unit triggering laser cutter, breaching target vessel hull.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier3_1.stf', '16', 'capture_phase_1_3', 'Unit triggering laser cutter, breaching target vessel hull.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier3_1.stf', '17', 'capture_phase_1_4', 'Unit triggering laser cutter, breaching target vessel hull.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier3_1.stf', '18', 'capture_phase_1_5', 'Unit triggering laser cutter, breaching target vessel hull.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier3_1.stf', '19', 'capture_phase_2', 'Eliminating any threat to unit.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier3_1.stf', '20', 'capture_phase_2_1', 'Eliminating any threat to unit.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier3_1.stf', '21', 'capture_phase_2_2', 'Eliminating any threat to unit.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier3_1.stf', '22', 'capture_phase_2_3', 'Eliminating any threat to unit.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier3_1.stf', '23', 'capture_phase_2_4', 'Eliminating any threat to unit.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier3_1.stf', '24', 'capture_phase_2_5', 'Eliminating any threat to unit.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier3_1.stf', '25', 'capture_started', 'Space Assault Droid: < Unit shows target vessel disabled, initiating attack sequence. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier3_1.stf', '26', 'complete', 'Navigation computer shows that target vessel has reached escape coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier3_1.stf', '27', 'escort_remaining', 'Tactical Computer: < Sensors show %DI remaining target escort vessel. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier3_1.stf', '28', 'escort_wiped_out', 'Tactical Computer: < Sensors show no remaining target escort vessels. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier3_1.stf', '29', 'failed_destroy', 'Bah, we\'re going to have to find a different way to infiltrate the fleet.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier3_1.stf', '30', 'failed_escape', 'We lost contact with him, he must have reached territory scrambled by the Empire. Return to base pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier3_1.stf', '31', 'panic_1', 'Target vessels sensors indicate attack fighters type TIE trying to terminate unit.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier3_1.stf', '32', 'panic_2', 'Target vessels sensors indicate attack fighters type TIE trying to terminate unit.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier3_1.stf', '33', 'panic_3', 'Target vessels sensors indicate attack fighters type TIE trying to terminate unit.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier3_1.stf', '34', 'panic_4', 'Target vessels sensors indicate attack fighters type TIE trying to terminate unit.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier3_1.stf', '35', 'panic_5', 'Target vessels sensors indicate attack fighters type TIE trying to terminate unit.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier3_1.stf', '36', 'quest_disable_d', 'Disable the officers shuttle so that your space assault droid can take control of the ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier3_1.stf', '37', 'quest_disable_t', 'Disable the shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier3_1.stf', '38', 'quest_escort_d', 'Escort the stolen shuttle to safety. Imperial ships will almost certainly try to interfere so stay sharp!.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier3_1.stf', '39', 'quest_escort_t', 'Escort shuttle to safety.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier3_1.stf', '40', 'quest_location_d', 'The Dathomir system, much like the planet, is a dangerous place. It\'s heavily guarded by the Empire as they seem to not want anyone getting access to, or perhaps leave, the planet of Dathomir. Every mission in this system should be considered high risk.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier3_1.stf', '41', 'quest_location_t', 'Dathomir system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier3_1.stf', '42', 'quest_log_data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier3_1.stf', '43', 'quest_recover_d', 'The space assault droid is taking charge of the shuttle. Protect it from any outside interference in the meantime.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier3_1.stf', '44', 'quest_recover_t', 'Space assault droid taking charge.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier3_1.stf', '45', 'quest_update', 'Rebel Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier3_1.stf', '46', 'recovery_success', 'Great work pilot, this should make our operation a lot easier.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier3_1.stf', '47', 'split_quest_alert', 'Alright, time to put those codes to good use. Contacting our infiltration squad for rendez-vous coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier3_1.stf', '48', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier3_1.stf', '49', 'target_disabled', 'Tactical Computer: < Scans show target vessel disabled. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier3_1.stf', '50', 'taunt_1', 'There is no way you\'re leaving this system with that man onboard, even if it means his death!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier3_1.stf', '51', 'taunt_2', 'Rebel fools!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier3_1.stf', '52', 'taunt_3', 'You thought we would just let you fly out of here?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier3_1.stf', '53', 'taunt_4', 'You have one chance to surrender or we will destroy you all!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier3_1.stf', '54', 'taunt_5', 'Shut down your engines, in the name of the Emperor!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier3_1.stf', '55', 'thanks_1', 'Target vessels sensors show attack fighters type TIE terminated.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier3_1.stf', '56', 'thanks_2', 'Target vessels sensors show attack fighters type TIE terminated.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier3_1.stf', '57', 'thanks_3', 'Target vessels sensors show attack fighters type TIE terminated.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier3_1.stf', '58', 'thanks_4', 'Target vessels sensors show attack fighters type TIE terminated.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier3_1.stf', '59', 'thanks_5', 'Target vessels sensors show attack fighters type TIE terminated.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier3_1.stf', '60', 'title', 'Dathomir system: Kidnap Imperial security officer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier3_1.stf', '61', 'title_d', 'To start off our operations in the Dathomir section we need you to obtain some security codes from an Imperial security officer. We can use these codes to infiltrate and decimate the Imperial fleets infrastructure in this system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier4_2.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier4_2.stf', '2', 'abort', 'Receiving abort code. Initiating self destruct sequence.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier4_2.stf', '3', 'angry_disable', 'This is pointless, the Imperial Navy will destroy this ship with me in it rather than let you have it!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier4_2.stf', '4', 'arrival_phase_1', 'Receiving coordinates from our recon ship, stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier4_2.stf', '5', 'arrival_phase_2', 'Coordinates uploaded, get moving pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier4_2.stf', '6', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier4_2.stf', '7', 'attack_notify', 'Tactical Computer: < Incoming fighter vessels. Scans show weapons armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier4_2.stf', '8', 'attack_stopped', 'Tactical Computer: < Incoming fighter vessels. Scans show weapons armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier4_2.stf', '9', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier4_2.stf', '10', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier4_2.stf', '11', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier4_2.stf', '12', 'capture_complete', 'General Ufwol: < Alright, the droid is in control of the ship, escort it out of there. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier4_2.stf', '13', 'capture_phase_1', 'Unit has breached vessel. Terminating crew.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier4_2.stf', '14', 'capture_phase_2', 'Unit in place with full control of vessel. Repairing engine system now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier4_2.stf', '15', 'capture_started', 'General Ufwol: < Good, the space assault droid is attached to the hull of the vessel. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier4_2.stf', '16', 'complete', 'Good work pilot. Hopefully we can get something useful out of this ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier4_2.stf', '17', 'escort_remaining', 'General Ufwol: < Nice pilot but don\'t let that TIE Oppressor get away! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier4_2.stf', '18', 'escort_wiped_out', 'General Ufwol: < Good, that should make this a lot easier. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier4_2.stf', '19', 'failed_destroy', 'What happened out there pilot? I expect more from my squad, you should know that by now!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier4_2.stf', '20', 'failed_escape', 'What happened out there pilot? I expect more from my squad, you should know that by now!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier4_2.stf', '21', 'panic_1', 'Ship sensors show incoming fighter vessels with armed weapons systems.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier4_2.stf', '22', 'panic_2', 'Ship sensors show incoming fighter vessels with armed weapons systems.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier4_2.stf', '23', 'panic_3', 'Ship sensors show incoming fighter vessels with armed weapons systems.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier4_2.stf', '24', 'panic_4', 'Ship sensors show incoming fighter vessels with armed weapons systems.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier4_2.stf', '25', 'panic_5', 'Ship sensors show incoming fighter vessels with armed weapons systems.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier4_2.stf', '26', 'quest_disable_d', 'The TIE Oppressor is the target that we\'re after. It\'s a prototype advanced bomber that the Empire recently started to manufacture. It\'s not without a fighter defense though and it\'s got a fairly large escort so it will be dangerous. Use your targeting computer ([ or ] by default) and attack its reactor or engines to disable it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier4_2.stf', '27', 'quest_disable_t', 'Disable TIE Oppressor.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier4_2.stf', '28', 'quest_escort_d', 'The Empire will try to stop you from leaving this area at all costs, even if it means destroying their own ship. Be ready for the attacks!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier4_2.stf', '29', 'quest_escort_t', 'Escort the stolen ship to safety.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier4_2.stf', '30', 'quest_location_d', 'You will be heading in to Imperial areas in the Dathomir system so the danger level is extreme. Try to avoid any enemy contact until you find the target of the mission. The TIE Oppressor and its escort will be dangerous enough.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier4_2.stf', '31', 'quest_location_t', 'Dathomir system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier4_2.stf', '32', 'quest_recover_d', 'As soon as the TIE Oppressor has been disabled a space assault droid will be launched on to it. It will breach the hull and try to take control of the ship. While it\'s doing this, it\'s imperative that you keep the TIE Oppressor safe by eliminating any nearby threats.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier4_2.stf', '33', 'quest_recover_t', 'Steal the enemy ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier4_2.stf', '34', 'quest_update', 'General Ufwol: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier4_2.stf', '35', 'recovery_success', 'The ship is entering hyperspace, your part is done. Good job pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier4_2.stf', '36', 'split_quest_alert', 'General Ufwol: < A part of the Alliance called the Vortex have contacted us. They need our help with a quick delivery, stand by for new orders. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier4_2.stf', '37', 'split_quest_alert_fail', 'General Ufwol: < Not the outcome we hoped for pilot but we may have another chance. Stand by for new orders. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier4_2.stf', '38', 'target_disabled', 'Target disabled, launch the droid. Good, stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier4_2.stf', '39', 'taunt_1', 'You know your orders men, destroy them all.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier4_2.stf', '40', 'taunt_2', 'You are not leaving this area with that ship Rebel scum!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier4_2.stf', '41', 'taunt_3', 'When I thought Rebels could not get any dumber, they surprise me again!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier4_2.stf', '42', 'taunt_4', 'There is no way you are getting out of this alive Rebels!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier4_2.stf', '43', 'taunt_5', 'You have broken so many Imperial laws that we will execute the punishment right here!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier4_2.stf', '44', 'thanks_1', 'Ship sensors show area clear of hostile fighter vessels. Continuing flight on planned escape path.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier4_2.stf', '45', 'thanks_2', 'Ship sensors show area clear of hostile fighter vessels. Continuing flight on planned escape path.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier4_2.stf', '46', 'thanks_3', 'Ship sensors show area clear of hostile fighter vessels. Continuing flight on planned escape path.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier4_2.stf', '47', 'thanks_4', 'Ship sensors show area clear of hostile fighter vessels. Continuing flight on planned escape path.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier4_2.stf', '48', 'thanks_5', 'Ship sensors show area clear of hostile fighter vessels. Continuing flight on planned escape path.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier4_2.stf', '49', 'title', 'Dathomir system: Steal one of the Empires advanced fighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/tatooine_rebel_tier4_2.stf', '50', 'title_d', 'We\'re trying to figure out where these new Imperial fighters are manufactured and it\'s our hope that examining one will tell us that. We have managed to track down one that isn\'t too heavily guarded and we want you to sneak in to Imperial territory and steal it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/test_recovery.stf', '1', 'abort', 'Roger, abort code received. Heading home...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/test_recovery.stf', '2', 'angry_disable', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/test_recovery.stf', '3', 'arrival_phase_1', 'The enemy convoy will arrive at any moment.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/test_recovery.stf', '4', 'arrival_phase_2', 'The enemy convoy has arrived. Stop the enemy convoy and eliminate her escort!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/test_recovery.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/test_recovery.stf', '6', 'attack_notify', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/test_recovery.stf', '7', 'attack_stopped', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/test_recovery.stf', '8', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/test_recovery.stf', '9', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/test_recovery.stf', '10', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/test_recovery.stf', '11', 'capture_complete', ' \\#pcontrast3 Tactical Computer: < \\#00ff00 Primary mission target capture operation complete! \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/test_recovery.stf', '12', 'capture_phase_1', 'Boarding party is facing light resistance.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/test_recovery.stf', '13', 'capture_phase_2', 'Resistance eliminated. We\'ve taken the bridge. We\'ll be underway shortly.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/test_recovery.stf', '14', 'capture_started', ' \\#pcontrast3 Tactical Computer: < \\#00ff00 Primary mission target capture operation underway. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/test_recovery.stf', '15', 'complete', 'We\'ve made it to safety. Jumping to lightspeed...now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/test_recovery.stf', '16', 'escort_remaining', ' \\#pcontrast3 Tactical Computer: < \\#00ff00 %DI ships remain in the target\'s escort. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/test_recovery.stf', '17', 'escort_wiped_out', ' \\#pcontrast3 Tactical Computer: < \\#00ff00 The target\'s escort has been eliminated. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/test_recovery.stf', '18', 'failed_destroy', 'Your capture target was destroyed! This is unacceptable! Return to base at once. You are to blame for this failure!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/test_recovery.stf', '19', 'failed_escape', 'Your capture target has escaped the area. This is a disgrace! Return to base at once!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/test_recovery.stf', '20', 'panic_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/test_recovery.stf', '21', 'panic_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/test_recovery.stf', '22', 'panic_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/test_recovery.stf', '23', 'panic_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/test_recovery.stf', '24', 'panic_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/test_recovery.stf', '25', 'quest_disable_d', '3');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/test_recovery.stf', '26', 'quest_disable_t', '3');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/test_recovery.stf', '27', 'quest_escort_d', '5');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/test_recovery.stf', '28', 'quest_escort_t', '5');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/test_recovery.stf', '29', 'quest_location_d', '2');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/test_recovery.stf', '30', 'quest_location_t', '2');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/test_recovery.stf', '31', 'quest_recover_d', '4');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/test_recovery.stf', '32', 'quest_recover_t', '4');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/test_recovery.stf', '33', 'quest_update', ' \\#pcontrast3 Imperial Command: < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/test_recovery.stf', '34', 'recovery_success', 'The captured ship has been secured. Good job, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/test_recovery.stf', '35', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/test_recovery.stf', '36', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/test_recovery.stf', '37', 'target_disabled', ' \\#pcontrast3 Tactical Computer: < \\#00ff00 The target ship has been disabled. Capture operation will begin shortly. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/test_recovery.stf', '38', 'taunt_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/test_recovery.stf', '39', 'taunt_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/test_recovery.stf', '40', 'taunt_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/test_recovery.stf', '41', 'taunt_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/test_recovery.stf', '42', 'taunt_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/test_recovery.stf', '43', 'thanks_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/test_recovery.stf', '44', 'thanks_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/test_recovery.stf', '45', 'thanks_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/test_recovery.stf', '46', 'thanks_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/test_recovery.stf', '47', 'thanks_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/test_recovery.stf', '48', 'title', 'Capture the enemy ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/test_recovery.stf', '49', 'title_d', '1');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/viopa_rebel_3.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/viopa_rebel_3.stf', '2', 'abort', 'We can\'t abort now! Where are you going?!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/viopa_rebel_3.stf', '3', 'angry_disable', 'You Rebel scum will never get away with this!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/viopa_rebel_3.stf', '4', 'arrival_phase_1', 'We are awaiting word from our spies, the shuttle should be here any moment now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/viopa_rebel_3.stf', '5', 'arrival_phase_2', 'The Imperial shuttle has arrived. Intercept and disable it!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/viopa_rebel_3.stf', '6', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/viopa_rebel_3.stf', '7', 'attack_notify', 'Tactical Computer: < Incoming fighter vessels. Scans show weapons armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/viopa_rebel_3.stf', '8', 'attack_stopped', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/viopa_rebel_3.stf', '9', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/viopa_rebel_3.stf', '10', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/viopa_rebel_3.stf', '11', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/viopa_rebel_3.stf', '12', 'capture_complete', 'Tactical Computer: < Scans show target vessel self repairing and powering up. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/viopa_rebel_3.stf', '13', 'capture_phase_1', 'Rebel Commando Augustson here, we are fighting our way to the cockpit!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/viopa_rebel_3.stf', '14', 'capture_phase_2', 'We have taken control of the cockpit. Initiating self repair.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/viopa_rebel_3.stf', '15', 'capture_started', 'Rebel Command: < Capture initiated. Our men are attacking the crew now. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/viopa_rebel_3.stf', '16', 'complete', 'Alright, we can take it from here. Thanks for the help pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/viopa_rebel_3.stf', '17', 'escort_remaining', 'Tactical Computer: < Sensors still show armed fighter vessels in immediate area. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/viopa_rebel_3.stf', '18', 'escort_wiped_out', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/viopa_rebel_3.stf', '19', 'failed_destroy', 'Our own men were on that ship pilot! Return to base immediately!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/viopa_rebel_3.stf', '20', 'failed_escape', 'They escaped! I hope we can get another chance at this. Report back to base pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/viopa_rebel_3.stf', '21', 'hull_half', 'We\'re falling apart pilot, we need your help!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/viopa_rebel_3.stf', '22', 'panic_1', 'Crap! Imperial fighters incoming!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/viopa_rebel_3.stf', '23', 'panic_2', 'TIE fighters heading our way, they don\'t look too happy either!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/viopa_rebel_3.stf', '24', 'panic_3', 'Curse the Empire! TIE ships gunning for us!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/viopa_rebel_3.stf', '25', 'panic_4', 'I hope you\'re good enough because here comes more TIE\'s!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/viopa_rebel_3.stf', '26', 'panic_5', 'And I thought this was going to be a smooth run...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/viopa_rebel_3.stf', '27', 'quest_disable_d', 'Disable the officers shuttle and let the Alliance commando team go to work while you protect the ship. To target specific components on a star ship, input the bracket commands ( ] or [ ) to your tactical computer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/viopa_rebel_3.stf', '28', 'quest_disable_t', 'Disable officers shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/viopa_rebel_3.stf', '29', 'quest_escort_d', 'Escort the kidnapped officer and the commando team to safety. The Empire will most likely send reinforcements to try and hunt you down so be ready for a battle!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/viopa_rebel_3.stf', '30', 'quest_escort_t', 'Escort the kidnapped officer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/viopa_rebel_3.stf', '31', 'quest_location_d', 'In addition to the dangers of the Imperial shuttles escort you have to try and avoid all the pirates that roam the Lok system. We will continually update the location of the Imperial shuttle as it\'s moving but get to it quickly.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/viopa_rebel_3.stf', '32', 'quest_location_t', 'Lok system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/viopa_rebel_3.stf', '33', 'quest_recover_d', 'The Rebel commando team is currently making short work of the crew on the Imperial shuttle. Protect it while they are fighting.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/viopa_rebel_3.stf', '34', 'quest_recover_t', 'Rebel commandos at their best.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/viopa_rebel_3.stf', '35', 'quest_update', 'Rebel Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/viopa_rebel_3.stf', '36', 'recovery_success', 'We got him. Thank you pilot, your service was invaluable, see you back on the ground!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/viopa_rebel_3.stf', '37', 'shields_depleted', 'Our shields are fried! Hang on everyone!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/viopa_rebel_3.stf', '38', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/viopa_rebel_3.stf', '39', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/viopa_rebel_3.stf', '40', 'target_disabled', 'Tactical Computer: < Scans show target vessel disabled. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/viopa_rebel_3.stf', '41', 'taunt_1', 'You thought we\'d just let you fly out of here with one of your ships? Silly Rebels.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/viopa_rebel_3.stf', '42', 'taunt_2', 'Only one thing better than shooting down Rebels, shooting down stupid Rebels!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/viopa_rebel_3.stf', '43', 'taunt_3', 'Crash and burn Rebel fool, crash and burn!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/viopa_rebel_3.stf', '44', 'taunt_4', 'This day just got a whole lot better. Time to get some Rebel kill marks!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/viopa_rebel_3.stf', '45', 'taunt_5', 'If you give up now, we\'ll spare your life Rebel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/viopa_rebel_3.stf', '46', 'thanks_1', 'Way to go pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/viopa_rebel_3.stf', '47', 'thanks_2', 'We\'re almost home free, hang in there pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/viopa_rebel_3.stf', '48', 'thanks_3', 'Nice work pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/viopa_rebel_3.stf', '49', 'thanks_4', 'Wohoo! Wish I could be out there with you pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/viopa_rebel_3.stf', '50', 'thanks_5', 'That will teach those Imperial scum! Keep it up pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/viopa_rebel_3.stf', '51', 'title', 'Lok system: Kidnap Imperial officer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/viopa_rebel_3.stf', '52', 'title_d', 'We have finished analyzing the data you recovered and have learned of several routes of some sort of vessels that are approaching Lok. The information is vague but can\'t be ignored. To get more of an understanding we need you to kidnap an Imperial officer. We have planted some of our spies on the officer\'s shuttle,  they need your help in disabling the ship so they can take control of it and then escort it out of the area.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/vortex_mission_3.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/vortex_mission_3.stf', '2', 'abort', 'I can\'t abort now, your leaving me to my death...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/vortex_mission_3.stf', '3', 'angry_disable', 'You will not get away with this, Rebel scum!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/vortex_mission_3.stf', '4', 'arrival_phase_1', 'The Imperial prison transport should arrive any second now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/vortex_mission_3.stf', '5', 'arrival_phase_2', 'The Imperial prison ship has arrived. Intercept it at this location and disable it!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/vortex_mission_3.stf', '6', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/vortex_mission_3.stf', '7', 'attack_notify', 'Tactical Computer: < Incoming fighter vessels. Scans show weapons armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/vortex_mission_3.stf', '8', 'attack_stopped', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/vortex_mission_3.stf', '9', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/vortex_mission_3.stf', '10', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/vortex_mission_3.stf', '11', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/vortex_mission_3.stf', '12', 'capture_complete', 'Tactical Computer: < Scans show target vessel self repairing and powering up. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/vortex_mission_3.stf', '13', 'capture_phase_1', 'We are overpowering the guards. I\'m heading for the bridge!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/vortex_mission_3.stf', '14', 'capture_phase_2', 'I\'ve taken the bridge with the help of some other prisoners. I\'m trying to figure out the flight controls of this baby now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/vortex_mission_3.stf', '15', 'capture_started', 'Tactical Computer: < Hack sequence complete. All prison cells on board target vessel unlocked. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/vortex_mission_3.stf', '16', 'complete', 'Navigation course plotted. Initiating jump to lightspeed, heading for Lok. Thank you my friend!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/vortex_mission_3.stf', '17', 'escort_remaining', 'Tactical Computer: < Sensors still show armed fighter vessels in immediate area. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/vortex_mission_3.stf', '18', 'escort_wiped_out', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/vortex_mission_3.stf', '19', 'failed_destroy', 'The prison transport is destroyed! All those lives... Return to base immediately!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/vortex_mission_3.stf', '20', 'failed_escape', 'They got away! This might be the end of this operation. Return to base immediately!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/vortex_mission_3.stf', '21', 'hull_half', 'We\'re taking massive damage! Better get them now pilot, we won\'t last long!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/vortex_mission_3.stf', '22', 'panic_1', 'Imperial fools incoming! I can\'t help much in this ship so you better be good pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/vortex_mission_3.stf', '23', 'panic_2', 'I was hoping we could slip away quietly, what was I thinking.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/vortex_mission_3.stf', '24', 'panic_3', 'Here they come!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/vortex_mission_3.stf', '25', 'panic_4', 'I wonder if they won\'t shoot us, since we have some of their own onboard...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/vortex_mission_3.stf', '26', 'panic_5', 'More TIE fighters, help us pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/vortex_mission_3.stf', '27', 'quest_disable_d', 'Take out the engines or reactor of the ship to stop it in its tracks. Your droid will then hack the onboard computer and open the prison cells. To target specific components on a star ship, input the bracket commands ( ] or [ ) to your tactical computer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/vortex_mission_3.stf', '28', 'quest_disable_t', 'Disable the transport.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/vortex_mission_3.stf', '29', 'quest_escort_d', 'Help the prisoners get to the safety of the Rebel base. Escort them and destroy any enemy presence near their ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/vortex_mission_3.stf', '30', 'quest_escort_t', 'Get the shuttle to safety.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/vortex_mission_3.stf', '31', 'quest_location_d', 'The prison ship is travelling through a dangerous part of the Yavin system and it will only get worse the closer to the Imperial fleet he gets.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/vortex_mission_3.stf', '32', 'quest_location_t', 'Yavin system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/vortex_mission_3.stf', '33', 'quest_recover_d', 'The prison cells have been unlocked, it\'s now in the hands of the prisoners to take control of the shuttle. If any enemy fighters are in the area, try to take them out quickly.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/vortex_mission_3.stf', '34', 'quest_recover_t', 'Out of your hands.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/vortex_mission_3.stf', '35', 'quest_update', 'Brother Vrovel: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/vortex_mission_3.stf', '36', 'recovery_success', 'The smuggler and the rest of the prisoners are safe. Great job pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/vortex_mission_3.stf', '37', 'shields_depleted', 'Well no more shields over here, this is going to get bumpy!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/vortex_mission_3.stf', '38', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/vortex_mission_3.stf', '39', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/vortex_mission_3.stf', '40', 'target_disabled', 'Tactical Computer: < Scans show target vessel disabled. Initiating hack sequence to unlock prison cells. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/vortex_mission_3.stf', '41', 'taunt_1', 'You have 10 seconds to shut down your engines and surrender!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/vortex_mission_3.stf', '42', 'taunt_2', 'Imperial law demands your execution.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/vortex_mission_3.stf', '43', 'taunt_3', 'Assisting convicted criminals is a crime punishable by death.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/vortex_mission_3.stf', '44', 'taunt_4', 'Show no mercy boys!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/vortex_mission_3.stf', '45', 'taunt_5', 'You Rebels just made a huge mistake!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/vortex_mission_3.stf', '46', 'thanks_1', 'Wohoo! I give this to the Alliance, they sure hire good pilots!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/vortex_mission_3.stf', '47', 'thanks_2', 'Not bad, not bad at all...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/vortex_mission_3.stf', '48', 'thanks_3', 'Another score for the good guys!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/vortex_mission_3.stf', '49', 'thanks_4', 'Well, you showed them...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/vortex_mission_3.stf', '50', 'thanks_5', 'I owe you a big one pilot, nice job!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/vortex_mission_3.stf', '51', 'title', 'Yavin system: Rescue the smuggler.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery/vortex_mission_3.stf', '52', 'title_d', 'The smuggler is currently being transported to the Yavin Imperial fleet for interrogation. It is your duty to make sure that he never gets there. Your first option is to disable the prison vessel and hack it\'s computer to open the prisoners cells so they can take over the ship. Your second option, well hopefully it will never come to that.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_imperial_tier4_3.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_imperial_tier4_3.stf', '2', 'abort', 'That\'s right. You had better let us go. We work for very important people.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_imperial_tier4_3.stf', '3', 'angry_disable', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_imperial_tier4_3.stf', '4', 'arrival_phase_1', 'Tracking ship using an illegal flight plan. Once we have a lock on it, disable the ship, reset it autopilot, and bring it back into Imperial control.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_imperial_tier4_3.stf', '5', 'arrival_phase_2', 'Location sent to your nav computer. Proceed as planned.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_imperial_tier4_3.stf', '6', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters detected.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_imperial_tier4_3.stf', '7', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_imperial_tier4_3.stf', '8', 'capture_complete', 'Autopilot reprogrammed. Ship heading to Imperial space.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_imperial_tier4_3.stf', '9', 'capture_phase_1', 'You will be sorry. Once our leaders hear about this they will retaliate.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_imperial_tier4_3.stf', '10', 'capture_phase_1_1', 'You will be sorry. Once our leaders hear about this they will retaliate.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_imperial_tier4_3.stf', '11', 'capture_phase_1_2', 'I have a prediction...you are not going to live long for this.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_imperial_tier4_3.stf', '12', 'capture_phase_1_3', 'Hey, are you sure you want to do this?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_imperial_tier4_3.stf', '13', 'capture_phase_1_4', 'Wait a minute...I thought we were the ones who were supposed to be capturing ships.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_imperial_tier4_3.stf', '14', 'capture_phase_1_5', 'I don\'t think that you really want to do this.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_imperial_tier4_3.stf', '15', 'capture_phase_2', 'You are really asking for it. You won\'t know what hit you until it is too late.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_imperial_tier4_3.stf', '16', 'capture_phase_2_1', 'You are really asking for it. You won\'t know what hit you until it is too late.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_imperial_tier4_3.stf', '17', 'capture_phase_2_2', 'My friends are coming to destroy you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_imperial_tier4_3.stf', '18', 'capture_phase_2_3', 'You will never win, so why try?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_imperial_tier4_3.stf', '19', 'capture_phase_2_4', 'You might have taken me but keeping me is another story.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_imperial_tier4_3.stf', '20', 'capture_phase_2_5', 'Time for you to pay for what you have done.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_imperial_tier4_3.stf', '21', 'capture_started', 'Beginning autopilot reprogramming. Stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_imperial_tier4_3.stf', '22', 'complete', 'Good job. That should send them a message that we will not remain idle while they attack us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_imperial_tier4_3.stf', '23', 'complete_1', 'Nice work, pilot. We have recovered some of what the Velocity mercs stole from us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_imperial_tier4_3.stf', '24', 'complete_2', 'Good job. That should send them a message that we will not remain idle while they attack us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_imperial_tier4_3.stf', '25', 'complete_3', 'Nice work, pilot. We have recovered some of what the Velocity mercs stole from us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_imperial_tier4_3.stf', '26', 'complete_4', 'Good job. That should send them a message that we will not remain idle while they attack us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_imperial_tier4_3.stf', '27', 'complete_5', 'Good job. That should send them a message that we will not remain idle while they attack us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_imperial_tier4_3.stf', '28', 'escort_remaining', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <%DI enemy fighter escorts remaining.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_imperial_tier4_3.stf', '29', 'escort_wiped_out', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Escorts eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_imperial_tier4_3.stf', '30', 'failed_destroy', 'Your orders were to capture that ship let it be destroyed. Report back immediately.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_imperial_tier4_3.stf', '31', 'failed_escape', 'You let that ship escape. That is not acceptable. Report back immediately.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_imperial_tier4_3.stf', '32', 'panic_1', 'Here they come, just like I knew they would.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_imperial_tier4_3.stf', '33', 'panic_2', 'Time for you to pay for messing with the Velocity.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_imperial_tier4_3.stf', '34', 'panic_3', 'See you on the other side.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_imperial_tier4_3.stf', '35', 'panic_4', 'The Velocity never lets anything slip through their fingers.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_imperial_tier4_3.stf', '36', 'panic_5', 'When will you Imperials ever learn? You cannot control everything.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_imperial_tier4_3.stf', '37', 'quest_d', 'The Velocity mercenaries have been striking at Imperial supply lines with regularity. Imperial command feels that it is time to return the favor. You are tasked with capturing and returning enemy transport vessels in order to recover what was stolen from the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_imperial_tier4_3.stf', '38', 'quest_disable_d', 'Once the smuggler is intercepted, target its engines and disable the vessel. Once its engines are at 0%, move in close to begin the capture process.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_imperial_tier4_3.stf', '39', 'quest_disable_t', 'Disable the Velocity Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_imperial_tier4_3.stf', '40', 'quest_escort_d', 'Follow and protect the captured Velocity smuggler as it moves to its destination. Keep an eye out for any enemy fighters that might try to destroy or recapture this vessel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_imperial_tier4_3.stf', '41', 'quest_escort_t', 'Escort the Velocity Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_imperial_tier4_3.stf', '42', 'quest_location_d', 'Travel to the Dantooine system and capture the Velocity smuggler. A navigation waypoint of the smugglers most recent location will be given to you when you enter the system. This waypoint will update as the smuggler moves through the system. Follow these waypoints and intercept the smuggler.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_imperial_tier4_3.stf', '43', 'quest_location_t', 'Travel to the Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_imperial_tier4_3.stf', '44', 'quest_recover_d', 'Move in close to the disabled smuggler and wait for the capture process to start. This may take a few minutes to begin. You will be vulnerable while in this position so it is a good idea to take out any escort fighters the smuggler might have with him first.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_imperial_tier4_3.stf', '45', 'quest_recover_t', 'Capture the Velocity Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_imperial_tier4_3.stf', '46', 'quest_t', 'Capturing Velocity Supply Vessels');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_imperial_tier4_3.stf', '47', 'quest_update', '\\#pcontrast1 Black Epsilon Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_imperial_tier4_3.stf', '48', 'recovery_success', 'Nice work, pilot. You have recovered the Emperor a very nice prize. Report back to your superior for debriefing or wait for another capture assignment.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_imperial_tier4_3.stf', '49', 'target_disabled', 'The smuggler\'s engines are offline. Move in close to the vessel and wait for its autopilot to be reprogramed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_imperial_tier4_3.stf', '50', 'taunt_1', 'If we can\'t have that freighter, no one will.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_imperial_tier4_3.stf', '51', 'taunt_2', 'You will pay for that!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_imperial_tier4_3.stf', '52', 'taunt_3', 'You Imperials are all the same, weak and cowardly.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_imperial_tier4_3.stf', '53', 'taunt_4', 'How does it feel to be drawing your last breath?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_imperial_tier4_3.stf', '54', 'taunt_5', 'Are you crying? There is no crying in space!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_imperial_tier4_3.stf', '55', 'thanks_1', 'They will be back.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_imperial_tier4_3.stf', '56', 'thanks_2', 'You are better then you look, I will admit that.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_imperial_tier4_3.stf', '57', 'thanks_3', 'Your getting worried now, aren\'t you?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_imperial_tier4_3.stf', '58', 'thanks_4', 'If I were you, I would just give up now. But then again, I have half a brain.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_imperial_tier4_3.stf', '59', 'thanks_5', '*sniff* *sniff* You reek of fear!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_imperial_tier4_3.stf', '60', 'title', 'Dantooine System: Capture the Velocity Smuggler Transports Duty');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_imperial_tier4_3.stf', '61', 'title_d', 'Travel to the Dantooine system and capture the Velocity Smuggler. Once in the system you will receive a navigation waypoint to the smugglers most recent location. This navigation waypoint will update as the smuggler moves through the system. You must intercept the smuggler before he is able to leave the system. Once you have reached the smuggler, disable it by targeting the vessels engines. After you have the vessel disabled,  move in close and wait for the capture process to begin. Now that the vessel is captured, escort it through the system and back into Imperial hands. After this is completed you will receive a new navigation waypoint to another Velocity smuggler that needs to be captured. This is a duty mission and can be quit at any time. Simply abort the mission or leave the system in order to stop the mission.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_12.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_12.stf', '2', 'abort', 'The mission is a failure because you aborted.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_12.stf', '3', 'angry_disable', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_12.stf', '4', 'arrival_phase_1', '\\#pcontrast3 CorSec Command: < \\#pcontrast1 Stand by for an updated waypoint. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_12.stf', '5', 'arrival_phase_2', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Target has been located, proceed to intercept. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_12.stf', '6', 'attack_notify', '\\#pcontrast3 Tactical Comptuer: < \\#pcontrast1 Enemy craft approaching on attack vector. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_12.stf', '7', 'attack_stopped', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Enemy activity has stopped. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_12.stf', '8', 'capture_complete', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 The capture has been completed. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_12.stf', '9', 'capture_phase_1', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 The capture has begun. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_12.stf', '10', 'capture_phase_1_1', 'You\'ll never take me alive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_12.stf', '11', 'capture_phase_1_2', 'I\'ll never surrender!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_12.stf', '12', 'capture_phase_1_3', 'You\'ll never take me alive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_12.stf', '13', 'capture_phase_1_4', 'You\'ll never take me alive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_12.stf', '14', 'capture_phase_1_5', 'You\'ll never take me alive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_12.stf', '15', 'capture_phase_2', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 The capture is almost complete. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_12.stf', '16', 'capture_phase_2_1', 'Did I say never?  I really mean, don\'t hurt me please.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_12.stf', '17', 'capture_phase_2_2', 'Ok ok, I surrender.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_12.stf', '18', 'capture_phase_2_3', 'Did I say never?  I really mean, don\'t hurt me please.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_12.stf', '19', 'capture_phase_2_4', 'Did I say never?  I really mean, don\'t hurt me please.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_12.stf', '20', 'capture_phase_2_5', 'Did I say never?  I really mean, don\'t hurt me please.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_12.stf', '21', 'capture_started', 'The capture has begun.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_12.stf', '22', 'complete', 'Capture complete');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_12.stf', '23', 'complete_1', 'I need a new career.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_12.stf', '24', 'complete_2', 'This will not go over well with Nym.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_12.stf', '25', 'complete_3', 'Well, that was easy');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_12.stf', '26', 'complete_4', 'Well, that was easy');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_12.stf', '27', 'complete_5', 'Well, that was easy');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_12.stf', '28', 'escort_remaining', '\\#pcontrast3 Tactical Comptuer: < \\#pcontrast1 An escorting craft has been destroyed, %DI remain. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_12.stf', '29', 'escort_wiped_out', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 All escorting craft have been destroyed. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_12.stf', '30', 'failed_destroy', 'The mission objective has been destroyed, you fail.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_12.stf', '31', 'failed_escape', 'The mission objective has escaped, you fail.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_12.stf', '32', 'panic_1', 'We are all going to die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_12.stf', '33', 'panic_2', 'They won\'t let you get away with this!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_12.stf', '34', 'panic_3', 'We are all going to die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_12.stf', '35', 'panic_4', 'We are all going to die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_12.stf', '36', 'panic_5', 'We are all going to die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_12.stf', '37', 'quest_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_12.stf', '38', 'quest_disable_d', 'Target the ships engines to disable it');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_12.stf', '39', 'quest_disable_t', 'Disable Target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_12.stf', '40', 'quest_escort_d', 'After the capture, escort the craft out of the system');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_12.stf', '41', 'quest_escort_t', 'Escort Target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_12.stf', '42', 'quest_location_d', 'A known Nym travel route in the Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_12.stf', '43', 'quest_location_t', 'Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_12.stf', '44', 'quest_recover_d', 'After disabling the target, pull up close to begin the capture');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_12.stf', '45', 'quest_recover_t', 'Recover Target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_12.stf', '46', 'quest_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_12.stf', '47', 'quest_update', '\\#pcontrast3 < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_12.stf', '48', 'recovery_success', 'Recovery is a success.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_12.stf', '49', 'target_disabled', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 The mission objective has been disabled. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_12.stf', '50', 'taunt_1', 'You will not escape with that craft');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_12.stf', '51', 'taunt_2', 'That belongs to Nym.  Either return it or die with it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_12.stf', '52', 'taunt_3', 'You will not escape with that craft');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_12.stf', '53', 'taunt_4', 'You will not escape with that craft');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_12.stf', '54', 'taunt_5', 'You will not escape with that craft');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_12.stf', '55', 'thanks_1', 'Well, at least I made it through that.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_12.stf', '56', 'thanks_2', 'I just can\'t win.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_12.stf', '57', 'thanks_3', 'The freighter is on it\'s way, good job.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_12.stf', '58', 'thanks_4', 'The freighter is on it\'s way, good job.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_12.stf', '59', 'thanks_5', 'The freighter is on it\'s way, good job.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_12.stf', '60', 'title', 'Yavin System: Capture the Nym Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_12.stf', '61', 'title_d', 'Capture a Nym Smuggling Freighter in Yavin Space');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_tier4_1.stf', '1', 'abort', 'You have failed because you aborted the mission.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_tier4_1.stf', '2', 'angry_disable', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_tier4_1.stf', '3', 'arrival_phase_1', 'Await arrival of the Target.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_tier4_1.stf', '4', 'arrival_phase_2', 'Objective has arrived in zone, proceed with capture.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_tier4_1.stf', '5', 'attack_notify', 'Enemy craft detected on attack vector.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_tier4_1.stf', '6', 'attack_stopped', 'Enemy activity has stopped.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_tier4_1.stf', '7', 'capture_complete', 'Capture process is complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_tier4_1.stf', '8', 'capture_phase_1', 'Capture has begun.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_tier4_1.stf', '9', 'capture_phase_1_1', 'Capture has begun.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_tier4_1.stf', '10', 'capture_phase_1_2', 'Capture has begun.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_tier4_1.stf', '11', 'capture_phase_1_3', 'Capture has begun.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_tier4_1.stf', '12', 'capture_phase_1_4', 'Capture has begun.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_tier4_1.stf', '13', 'capture_phase_1_5', 'Capture has begun.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_tier4_1.stf', '14', 'capture_phase_2', 'Capture is almost complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_tier4_1.stf', '15', 'capture_phase_2_1', 'Capture is almost complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_tier4_1.stf', '16', 'capture_phase_2_2', 'Capture is almost complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_tier4_1.stf', '17', 'capture_phase_2_3', 'Capture is almost complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_tier4_1.stf', '18', 'capture_phase_2_4', 'Capture is almost complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_tier4_1.stf', '19', 'capture_phase_2_5', 'Capture is almost complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_tier4_1.stf', '20', 'capture_started', 'Capture has begun.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_tier4_1.stf', '21', 'complete', 'The capture is complete');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_tier4_1.stf', '22', 'complete_1', 'The capture is complete');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_tier4_1.stf', '23', 'complete_2', 'The capture is complete');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_tier4_1.stf', '24', 'complete_3', 'The capture is complete');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_tier4_1.stf', '25', 'complete_4', 'The capture is complete');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_tier4_1.stf', '26', 'complete_5', 'The capture is complete');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_tier4_1.stf', '27', 'escort_remaining', 'An escorting craft has been destroyed, %DI remain.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_tier4_1.stf', '28', 'escort_wiped_out', 'All escorting craft have been destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_tier4_1.stf', '29', 'failed_destroy', 'You have failed because the gunship was destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_tier4_1.stf', '30', 'failed_escape', 'You have failed because the gunship escaped.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_tier4_1.stf', '31', 'panic_1', 'Tracking Targets on Intercept');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_tier4_1.stf', '32', 'panic_2', 'Destroy them my brothers');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_tier4_1.stf', '33', 'panic_3', 'Destroy them my brothers');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_tier4_1.stf', '34', 'panic_4', 'Destroy them my brothers');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_tier4_1.stf', '35', 'panic_5', 'Destroy them my brothers');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_tier4_1.stf', '36', 'quest_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_tier4_1.stf', '37', 'quest_disable_d', 'Destroy their engines to disable the target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_tier4_1.stf', '38', 'quest_disable_t', 'Disable Target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_tier4_1.stf', '39', 'quest_escort_d', 'Escort the transport out of the system');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_tier4_1.stf', '40', 'quest_escort_t', 'Escort Target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_tier4_1.stf', '41', 'quest_location_d', 'A Black Sun travel route in the Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_tier4_1.stf', '42', 'quest_location_t', 'Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_tier4_1.stf', '43', 'quest_recover_d', 'Fly up next to the target to begin the capture process');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_tier4_1.stf', '44', 'quest_recover_t', 'Recover Target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_tier4_1.stf', '45', 'quest_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_tier4_1.stf', '46', 'quest_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_tier4_1.stf', '47', 'recovery_success', 'The recovery is a success.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_tier4_1.stf', '48', 'target_disabled', 'Target is disabled.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_tier4_1.stf', '49', 'taunt_1', 'Today you die.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_tier4_1.stf', '50', 'taunt_2', 'Today you die.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_tier4_1.stf', '51', 'taunt_3', 'Today you die.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_tier4_1.stf', '52', 'taunt_4', 'Today you die.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_tier4_1.stf', '53', 'taunt_5', 'Today you die.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_tier4_1.stf', '54', 'thanks_1', 'You cannot survive forever');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_tier4_1.stf', '55', 'thanks_2', 'You cannot survive forever');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_tier4_1.stf', '56', 'thanks_3', 'You cannot survive forever');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_tier4_1.stf', '57', 'thanks_4', 'You cannot survive forever');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_tier4_1.stf', '58', 'thanks_5', 'You cannot survive forever');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_tier4_1.stf', '59', 'title', 'Dantooine System: Duty: Capture the Blacksun Gunship');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_privateer_tier4_1.stf', '60', 'title_d', 'Capture a Black Sun transport and escort them out of the system');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_rebel_tier4_1.stf', '1', 'abort', 'Arr, you can\'t leave us now mate! Those TIE\'s will eat us alive!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_rebel_tier4_1.stf', '2', 'angry_disable', 'You\'re crazy if you think you can get away with this Rebel!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_rebel_tier4_1.stf', '3', 'arrival_phase_1', 'Alright Rebel, waiting for word of a position from our men. Stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_rebel_tier4_1.stf', '4', 'arrival_phase_2', 'They have arrived, intercept them! I will keep their position updated as fast as I can.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_rebel_tier4_1.stf', '5', 'attack_notify', 'Tactical Computer: < Incoming fighter vessels. Scans show weapons armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_rebel_tier4_1.stf', '6', 'attack_stopped', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_rebel_tier4_1.stf', '7', 'capture_complete', 'Nym Command Officer: < Alright, get ready to move out! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_rebel_tier4_1.stf', '8', 'capture_phase_1_1', 'Good job, we\'re taking over this ship! Put \'em out of their misery men!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_rebel_tier4_1.stf', '9', 'capture_phase_1_2', 'Let \'em have it boys!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_rebel_tier4_1.stf', '10', 'capture_phase_1_3', 'Surprise you Imperial fools!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_rebel_tier4_1.stf', '11', 'capture_phase_1_4', 'It\'s party time!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_rebel_tier4_1.stf', '12', 'capture_phase_1_5', 'Touch those guns and you die! This ship now belongs to Nym!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_rebel_tier4_1.stf', '13', 'capture_phase_2_1', 'We\'re breaking down the door to the bridge now, the ship will be ours in a few seconds!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_rebel_tier4_1.stf', '14', 'capture_phase_2_2', 'The ship is ours boys!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_rebel_tier4_1.stf', '15', 'capture_phase_2_3', 'Break down that door men!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_rebel_tier4_1.stf', '16', 'capture_phase_2_4', 'We are in contr.. take that Imperial scum! Well almost in control, give us a few more seconds.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_rebel_tier4_1.stf', '17', 'capture_phase_2_5', 'I could do this all day, nothing better than stealing from the Empire!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_rebel_tier4_1.stf', '18', 'capture_started', 'Nym Command Officer: < Our boys are getting rid of the crew now, stand by. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_rebel_tier4_1.stf', '19', 'complete', 'It\'s party time boys! We\'re out of here!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_rebel_tier4_1.stf', '20', 'complete_1', 'It\'s party time boys! We\'re out of here!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_rebel_tier4_1.stf', '21', 'complete_2', 'Good job everyone, most fun I\'ve had all week!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_rebel_tier4_1.stf', '22', 'complete_3', 'Let me hear you boys! Nym! Nym! Nym!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_rebel_tier4_1.stf', '23', 'complete_4', 'That\'s it? They barely put up any resistance at all!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_rebel_tier4_1.stf', '24', 'complete_5', 'Only problem with space combat, I don\'t get to eat my victims! Oh well, we\'re out of here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_rebel_tier4_1.stf', '25', 'escort_remaining', 'Nym Command Officer: < %DI to go. You need to take those ships out to ensure the safety of our boys! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_rebel_tier4_1.stf', '26', 'escort_wiped_out', 'Nym Command Officer: < Good job, that should make this a lot easier. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_rebel_tier4_1.stf', '27', 'failed_destroy', 'Dangit pilot! We lost all those men! You got some explaning to do, return to base!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_rebel_tier4_1.stf', '28', 'failed_escape', 'They got away! Rebels..sigh. Oh well, we\'ll get them next time.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_rebel_tier4_1.stf', '29', 'panic_1', 'Here comes their buddies, lets rock these guys!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_rebel_tier4_1.stf', '30', 'panic_2', 'TIE ships incoming. Good, wouldn\'t want to leave here without a real fight!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_rebel_tier4_1.stf', '31', 'panic_3', 'The Empire has arrived, lets give them a warm welcome!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_rebel_tier4_1.stf', '32', 'panic_4', 'Those TIE\'s don\'t look friendly, I wonder why?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_rebel_tier4_1.stf', '33', 'panic_5', 'Finally some real action. Arm your weapons buddy, time to play!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_rebel_tier4_1.stf', '34', 'quest_disable_d', 'Proceed to the coordinates we provide you with, destroy the escort of the Imperial troop transport and disable it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_rebel_tier4_1.stf', '35', 'quest_disable_t', 'Troop transport.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_rebel_tier4_1.stf', '36', 'quest_escort_d', 'Once the transport is ours, escort it to the pre-determined coordinates safely.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_rebel_tier4_1.stf', '37', 'quest_escort_t', 'The transport is ours.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_rebel_tier4_1.stf', '38', 'quest_location_d', 'We are not sure why but the Endor system has gathered and immense amount of the Imperial Navy lately and you need to stay sharp while performing missions in it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_rebel_tier4_1.stf', '39', 'quest_location_t', 'Endor system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_rebel_tier4_1.stf', '40', 'quest_recover_d', 'Our superior pirates are about to take control of the vessel. Keep it safe from interference by Imperial forces while they are crushing all resistance.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_rebel_tier4_1.stf', '41', 'quest_recover_t', 'Arrgh!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_rebel_tier4_1.stf', '42', 'quest_update', 'Nym Command Officer: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_rebel_tier4_1.stf', '43', 'recovery_success', 'Nice work pilot, our boys are safe!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_rebel_tier4_1.stf', '44', 'target_disabled', 'Tactical Computer: < Scans show target vessel disabled. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_rebel_tier4_1.stf', '45', 'taunt_1', 'You filthy pirates, you will pay for this!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_rebel_tier4_1.stf', '46', 'taunt_2', 'You really expected to get away with this?!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_rebel_tier4_1.stf', '47', 'taunt_3', 'Rebels or Nym, no matter, you\'re all scum!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_rebel_tier4_1.stf', '48', 'taunt_4', 'This joyride ends here you fools!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_rebel_tier4_1.stf', '49', 'taunt_5', 'Surrender immediately or you will all be destroyed!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_rebel_tier4_1.stf', '50', 'thanks_1', 'That was awesome! Nym 1, Empire 0!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_rebel_tier4_1.stf', '51', 'thanks_2', 'Great job everyone! If we get back to Lok, we need to throw one heck of a party!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_rebel_tier4_1.stf', '52', 'thanks_3', 'Bah, they hardly put up a fight!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_rebel_tier4_1.stf', '53', 'thanks_4', 'Is that all the Empire got?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_rebel_tier4_1.stf', '54', 'thanks_5', 'It\'s over already? Hopefully they\'ll send some more our way..haha!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_rebel_tier4_1.stf', '55', 'title', 'Endor system: Duty mission: Help Nym pirates hijack Imperial troop transports.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/corellia_rebel_tier4_1.stf', '56', 'title_d', 'We are striking an attack against the heavy Imperial presence in the Endor system. We have infiltrated a bunch of their troop transports with our men and they need your assistance in disabling the ships and taking out their escort. When you feel that you have exhausted your ship, yourself or that you have enough experience to continue your training, you can return to base at anytime.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_1b.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_1b.stf', '2', 'abort', 'Roger, abort code received. Heading home...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_1b.stf', '3', 'angry_disable', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_1b.stf', '4', 'arrival_phase_1', 'The smuggler should arrive at any moment.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_1b.stf', '5', 'arrival_phase_2', 'The smuggler has arrived. Disable the smuggler and capture the ship!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_1b.stf', '6', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Incoming enemy fighters detected.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_1b.stf', '7', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_1b.stf', '8', 'capture_complete', ' \\#pcontrast3 Tactical Computer: < \\#00ff00 The smuggler will now follow us. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_1b.stf', '9', 'capture_phase_1', 'Alright, alright. I give up. Just don\'t shoot me. I have to get this thing moving again before we can go anywhere.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_1b.stf', '10', 'capture_phase_1_1', 'Alright, alright. I give up. Just don\'t shoot me. I have to get this thing moving again before we can go anywhere.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_1b.stf', '11', 'capture_phase_1_2', 'Alright, alright. I give up. Just don\'t shoot me. I have to get this thing moving again before we can go anywhere.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_1b.stf', '12', 'capture_phase_1_3', 'Alright, alright. I give up. Just don\'t shoot me. I have to get this thing moving again before we can go anywhere.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_1b.stf', '13', 'capture_phase_1_4', 'Alright, alright. I give up. Just don\'t shoot me. I have to get this thing moving again before we can go anywhere.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_1b.stf', '14', 'capture_phase_1_5', 'Alright, alright. I give up. Just don\'t shoot me. I have to get this thing moving again before we can go anywhere.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_1b.stf', '15', 'capture_phase_2', 'Almost have the damage fixed. Your lucky I have replacement parts on hand.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_1b.stf', '16', 'capture_phase_2_1', 'Almost have the damage fixed. Your lucky I have replacement parts on hand.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_1b.stf', '17', 'capture_phase_2_2', 'Almost have the damage fixed. Your lucky I have replacement parts on hand.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_1b.stf', '18', 'capture_phase_2_3', 'Almost have the damage fixed. Your lucky I have replacement parts on hand.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_1b.stf', '19', 'capture_phase_2_4', 'Almost have the damage fixed. Your lucky I have replacement parts on hand.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_1b.stf', '20', 'capture_phase_2_5', 'Almost have the damage fixed. Your lucky I have replacement parts on hand.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_1b.stf', '21', 'capture_started', ' \\#pcontrast3 Tactical Computer: < \\#00ff00 The smuggler has laid down arms and is now considering the offer to join or die. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_1b.stf', '22', 'complete', 'I\'ll deliver this cargo to your base, but Nym is going to hear about it!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_1b.stf', '23', 'complete_1', 'I\'ll deliver this cargo to your base, but Nym is going to hear about it!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_1b.stf', '24', 'complete_2', 'I\'ll deliver this cargo to your base, but Nym is going to hear about it!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_1b.stf', '25', 'complete_3', 'I\'ll deliver this cargo to your base, but Nym is going to hear about it!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_1b.stf', '26', 'complete_4', 'I\'ll deliver this cargo to your base, but Nym is going to hear about it!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_1b.stf', '27', 'complete_5', 'I\'ll deliver this cargo to your base, but Nym is going to hear about it!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_1b.stf', '28', 'escort_remaining', ' \\#pcontrast3 Tactical Computer: < \\#00ff00 %DI ships remain in the smuggler\'s escort. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_1b.stf', '29', 'escort_wiped_out', ' \\#pcontrast3 Tactical Computer: < \\#00ff00 The smuggler\'s escort has been eliminated. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_1b.stf', '30', 'failed_destroy', 'The smuggler was destroyed! We want to recover the contraband, not wipe it out. Return to base for debriefing.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_1b.stf', '31', 'failed_escape', 'The smuggler has escaped the area. He\'ll notify Nym of our plans. We\'ll be lucky to find any smugglers now. Return to base.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_1b.stf', '32', 'panic_1', 'They are going to destroy me! You must protect me.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_1b.stf', '33', 'panic_2', 'Nym destroys any of his ships that fall into enemy hands.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_1b.stf', '34', 'panic_3', 'I am in so much trouble.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_1b.stf', '35', 'panic_4', 'I don\'t want to die so you had better protect me.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_1b.stf', '36', 'panic_5', 'I don\'t want to die so you had better protect me.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_1b.stf', '37', 'quest_disable_d', 'You must disable the freighter so you can capture it. To do this target the vessel, use the \']\' to target the ships engines, and fire on the vessel until it\'s engines reach 0% and it is disabled.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_1b.stf', '38', 'quest_disable_t', 'Disable the Nym Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_1b.stf', '39', 'quest_escort_d', 'Follow the freighter to safety. You must protect it against attacks from Nym\'s men who will surely try to recapture the vessel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_1b.stf', '40', 'quest_escort_t', 'Escort the Nym Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_1b.stf', '41', 'quest_location_d', 'For maximum shock effect, capturing the vessels right under Nym\'s thumb will work best. Once inside the Lok system you will receive a navigation waypoint to a freighter that belongs to Nym. You will receive updated navigation locations as it moves through the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_1b.stf', '42', 'quest_location_t', 'Travel to the Lok System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_1b.stf', '43', 'quest_recover_d', 'Once the vessel is disabled, move in close to the freighter. Remain stationary near it and wait for the capture process to begin. It might take a few moments for this process to start. Wait until it begins and completes before moving.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_1b.stf', '44', 'quest_recover_t', 'Capture the Nym Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_1b.stf', '45', 'quest_update', ' \\#pcontrast3 Imperial Command: < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_1b.stf', '46', 'recovery_success', 'The smuggler\'s cargo has been secured. Good job, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_1b.stf', '47', 'target_disabled', ' \\#pcontrast3 Tactical Computer: < \\#00ff00 The smuggler\'s ship has been disabled and the ultimatum delivered. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_1b.stf', '48', 'taunt_1', 'That is Nym\'s freighter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_1b.stf', '49', 'taunt_2', 'You have no business here,Imperial.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_1b.stf', '50', 'taunt_3', 'Why don\'t you just go back from where you came?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_1b.stf', '51', 'taunt_4', 'I am going to enjoy this.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_1b.stf', '52', 'taunt_5', 'You are not going to like what I am going to do.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_1b.stf', '53', 'thanks_1', 'Gee, thanks. I get to live for a little while longer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_1b.stf', '54', 'thanks_2', 'Instead of going through all this trouble, why not let me go?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_1b.stf', '55', 'thanks_3', 'Can I make you a deal? Let me go and I will give you some of my cargo.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_1b.stf', '56', 'thanks_4', 'Instead of going through all this trouble, why not let me go?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_1b.stf', '57', 'thanks_5', 'Gee, thanks. I get to live for a little while longer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_1b.stf', '58', 'title', 'Lok System: Capture the Nym Freighters Duty');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_1b.stf', '59', 'title_d', 'Nym has a number of illegal shipments moving to and from the Lok system every day. The Empire has decided as part of the punishment against Nym for his assistance to the Rebellion, they are going to crack down on those shipments. Capture Nym\'s freighters for the Empire as they move through the Lok system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_2b.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_2b.stf', '2', 'abort', 'Roger, abort code received. Heading home...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_2b.stf', '3', 'angry_disable', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_2b.stf', '4', 'arrival_phase_1', 'Scanning system for Debris Cult freighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_2b.stf', '5', 'arrival_phase_2', 'Debris Cult freighter located. Disable the scavenger and capture the ship!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_2b.stf', '6', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Alert! Debris Cult fighters incoming. Prepare to defend captured vessel.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_2b.stf', '7', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Scavenger fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_2b.stf', '8', 'capture_complete', ' \\#pcontrast3 Tactical Computer: < \\#00ff00 The scavenger will now follow us. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_2b.stf', '9', 'capture_phase_1', 'What have you done? Why are you reprogramming my auto pilot?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_2b.stf', '10', 'capture_phase_1_1', 'What have you done? Why are you reprogramming my auto pilot?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_2b.stf', '11', 'capture_phase_1_2', 'What have you done? Why are you reprogramming my auto pilot?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_2b.stf', '12', 'capture_phase_1_3', 'What have you done? Why are you reprogramming my auto pilot?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_2b.stf', '13', 'capture_phase_1_4', 'What have you done? Why are you reprogramming my auto pilot?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_2b.stf', '14', 'capture_phase_1_5', 'What have you done? Why are you reprogramming my auto pilot?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_2b.stf', '15', 'capture_phase_2', 'I cannot control my own ship! Just destroy me and allow me to return to scrap!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_2b.stf', '16', 'capture_phase_2_1', 'I cannot control my own ship! Just destroy me and allow me to return to scrap!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_2b.stf', '17', 'capture_phase_2_2', 'I cannot control my own ship! Just destroy me and allow me to return to scrap!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_2b.stf', '18', 'capture_phase_2_3', 'I cannot control my own ship! Just destroy me and allow me to return to scrap!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_2b.stf', '19', 'capture_phase_2_4', 'I cannot control my own ship! Just destroy me and allow me to return to scrap!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_2b.stf', '20', 'capture_phase_2_5', 'I cannot control my own ship! Just destroy me and allow me to return to scrap!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_2b.stf', '21', 'capture_started', ' \\#pcontrast3 Tactical Computer: < \\#00ff00 The scavenger freighter had been powered down. Prepare to program auto pilot.\\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_2b.stf', '22', 'complete', 'Nice work, pilot. We have recovered the freighter and it contains a great deal of our missing salvage.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_2b.stf', '23', 'complete_1', 'Nice work, pilot. We have recovered the freighter and it contains a great deal of our missing salvage.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_2b.stf', '24', 'complete_2', 'Nice work, pilot. We have recovered the freighter and it contains a great deal of our missing salvage.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_2b.stf', '25', 'complete_3', 'Nice work, pilot. We have recovered the freighter and it contains a great deal of our missing salvage.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_2b.stf', '26', 'complete_4', 'Nice work, pilot. We have recovered the freighter and it contains a great deal of our missing salvage.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_2b.stf', '27', 'complete_5', 'Nice work, pilot. We have recovered the freighter and it contains a great deal of our missing salvage.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_2b.stf', '28', 'escort_remaining', ' \\#pcontrast3 Tactical Computer: < \\#00ff00 %DI ships remain in the scavenger\'s escort. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_2b.stf', '29', 'escort_wiped_out', ' \\#pcontrast3 Tactical Computer: < \\#00ff00 The scavenger\'s escort has been eliminated. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_2b.stf', '30', 'failed_destroy', 'The scavenger was destroyed! We want to recover the salvage, not wipe it out. Return to base for debriefing.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_2b.stf', '31', 'failed_escape', 'The scavenger has escaped the area. Return to base.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_2b.stf', '32', 'panic_1', 'Yes, allow me to join the scrap.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_2b.stf', '33', 'panic_2', 'Blow us to bits!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_2b.stf', '34', 'panic_3', 'We must be destroyed and float for eternity.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_2b.stf', '35', 'panic_4', 'Yes, destroy us! We will be one with the field.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_2b.stf', '36', 'panic_5', 'Yes, allow me to join the scrap.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_2b.stf', '37', 'quest_disable_d', 'You will need to disable the freighter in order to capture it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_2b.stf', '38', 'quest_disable_t', 'Disable the Debris Cult Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_2b.stf', '39', 'quest_escort_d', 'Once the freighter is captured, follow it until it is safely back in Imperial hands. The Scavengers are surely going to try to recapture their vessel so be on your guard.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_2b.stf', '40', 'quest_escort_t', 'Escorting the Debris Cult Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_2b.stf', '41', 'quest_location_d', 'Once you have entered the Yavin system you will receive a navigation waypoint to the location of a freighter trying to leave the system. ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_2b.stf', '42', 'quest_location_t', 'Travel to the Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_2b.stf', '43', 'quest_recover_d', 'Once the freighter is disabled, move in close, and wait for the capture process to begin.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_2b.stf', '44', 'quest_recover_t', 'Capture the Debris Cult Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_2b.stf', '45', 'quest_update', ' \\#pcontrast3 Storm Squadron Command: < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_2b.stf', '46', 'recovery_success', 'The scavenger\'s cargo has been secured. Good job, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_2b.stf', '47', 'target_disabled', ' \\#pcontrast3 Tactical Computer: < \\#00ff00 The scavenger\'s ship has been temporarily disabled. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_2b.stf', '48', 'taunt_1', 'Time to die, Imperial scum.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_2b.stf', '49', 'taunt_2', 'You will regret messing with us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_2b.stf', '50', 'taunt_3', 'We shall turn you into salvage.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_2b.stf', '51', 'taunt_4', 'You will not escape us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_2b.stf', '52', 'taunt_5', 'Prepare to become part of the debris field.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_2b.stf', '53', 'thanks_1', 'You have added to the scrap. For that you have my thanks.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_2b.stf', '54', 'thanks_2', 'We should join them in the eternal float of debris.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_2b.stf', '55', 'thanks_3', 'Another beautiful explosion. Not as big as the big bang but still very nice.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_2b.stf', '56', 'thanks_4', 'We should join them in the eternal float of debris.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_2b.stf', '57', 'thanks_5', 'You have added to the scrap. For that you have my thanks.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_2b.stf', '58', 'title', 'Yavin System: Capture the Debris Cult Freighter Duty');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/lok_imperial_ss_2b.stf', '59', 'title_d', 'The Debris Cult have been religiously gathering large quanities of valuable Death Star debris and shipping them out of the system. While the Empire has no idea what the Scavengers are planning to do with the debris they have collected, they do not want to lose the valuable salvage. You must capture these fleeing freighters and bring their cargo back for the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier2_recoveryduty.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier2_recoveryduty.stf', '2', 'abort', 'Abort command received. Return to base.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier2_recoveryduty.stf', '3', 'angry_disable', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier2_recoveryduty.stf', '4', 'arrival_phase_1', 'The mine freighter is set to arrive shortly.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier2_recoveryduty.stf', '5', 'arrival_phase_2', 'The mine freighter has arrived. Eliminate the escort and disable that ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier2_recoveryduty.stf', '6', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Incoming enemy fighters.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier2_recoveryduty.stf', '7', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier2_recoveryduty.stf', '8', 'capture_complete', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Freighter captured. Prepare to escort it out of this sector.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier2_recoveryduty.stf', '9', 'capture_phase_1', 'Boarding party facing light resistance.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier2_recoveryduty.stf', '10', 'capture_phase_1_1', 'Boarding party facing light resistance.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier2_recoveryduty.stf', '11', 'capture_phase_1_2', 'Boarding party facing light resistance.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier2_recoveryduty.stf', '12', 'capture_phase_1_3', 'Boarding party facing light resistance.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier2_recoveryduty.stf', '13', 'capture_phase_1_4', 'Boarding party facing light resistance.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier2_recoveryduty.stf', '14', 'capture_phase_1_5', 'Boarding party facing light resistance.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier2_recoveryduty.stf', '15', 'capture_phase_2', 'Bridge captured. We will have her back up and running briefly.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier2_recoveryduty.stf', '16', 'capture_phase_2_1', 'Bridge captured. We will have her back up and running briefly.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier2_recoveryduty.stf', '17', 'capture_phase_2_2', 'Bridge captured. We will have her back up and running briefly.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier2_recoveryduty.stf', '18', 'capture_phase_2_3', 'Bridge captured. We will have her back up and running briefly.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier2_recoveryduty.stf', '19', 'capture_phase_2_4', 'Bridge captured. We will have her back up and running briefly.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier2_recoveryduty.stf', '20', 'capture_phase_2_5', 'Bridge captured. We will have her back up and running briefly.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier2_recoveryduty.stf', '21', 'capture_started', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Boarding operation underway.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier2_recoveryduty.stf', '22', 'complete', 'Nice work, pilot. The captured mining vessel is in Imperial hands. Report back to your superior or wait for another target vessel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier2_recoveryduty.stf', '23', 'complete_1', 'Nice work, pilot. The captured mining vessel is in Imperial hands. Report back to your superior or wait for another target vessel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier2_recoveryduty.stf', '24', 'complete_2', 'Nice work, pilot. The captured mining vessel is in Imperial hands. Report back to your superior or wait for another target vessel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier2_recoveryduty.stf', '25', 'complete_3', 'Nice work, pilot. The captured mining vessel is in Imperial hands. Report back to your superior or wait for another target vessel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier2_recoveryduty.stf', '26', 'complete_4', 'Nice work, pilot. The captured mining vessel is in Imperial hands. Report back to your superior or wait for another target vessel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier2_recoveryduty.stf', '27', 'complete_5', 'Nice work, pilot. The captured mining vessel is in Imperial hands. Report back to your superior or wait for another target vessel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier2_recoveryduty.stf', '28', 'escort_remaining', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <%DI enemy escorts remaining.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier2_recoveryduty.stf', '29', 'escort_wiped_out', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy escorts have been eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier2_recoveryduty.stf', '30', 'failed_destroy', 'We lost the freighter with all hands aboard. Failure is not tolerated in the Imperial Inquisition. Return to your superior immediately.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier2_recoveryduty.stf', '31', 'failed_escape', 'The freighter jumped out of the system. You lost her pilot. Report to your superior at once.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier2_recoveryduty.stf', '32', 'panic_1', 'I hope they are on their way to rescue us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier2_recoveryduty.stf', '33', 'panic_2', 'Your in for it now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier2_recoveryduty.stf', '34', 'panic_3', 'You should flee while you have the chance.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier2_recoveryduty.stf', '35', 'panic_4', 'They aren\'t going to let you have me.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier2_recoveryduty.stf', '36', 'panic_5', 'Prepare to become space dust, Imperial dog.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier2_recoveryduty.stf', '37', 'quest_disable_d', 'Once you have caught up to the freighter you will need to disable the vessel. In order to disable a ship, target it, then use the \']\' key to cycle through that ship\'s systems. Target it\'s engines and shoot the vessel. Once the ships engines reach 0% the ship will be disabled.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier2_recoveryduty.stf', '38', 'quest_disable_t', 'Disable the Miner Transport');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier2_recoveryduty.stf', '39', 'quest_escort_d', 'The Rebels will not like losing their prize to the Empire and will probably try to take it back. Follow the freighter until it reaches it\'s destination, protecting it from all attackers.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier2_recoveryduty.stf', '40', 'quest_escort_t', 'Escort the Miner Transport');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier2_recoveryduty.stf', '41', 'quest_location_d', 'The mining guild is operating in Naboo space and is supplying the Rebels with supplies. You will receive a navigation waypoint to the target craft once you enter Naboo space. This waypoint will update as the vessel moves through the zone.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier2_recoveryduty.stf', '42', 'quest_location_t', 'Travel to the Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier2_recoveryduty.stf', '43', 'quest_recover_d', 'Now that the ship is disabled move in close to begin the capture process. You will need to remain close and stationary in order to capture the vessel. It may take a few moments for the capture process to begin so remain in your current locaiton until it is finished.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier2_recoveryduty.stf', '44', 'quest_recover_t', 'Capture the Miner Transport');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier2_recoveryduty.stf', '45', 'quest_update', '\\#pcontrast1 Imperial High Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier2_recoveryduty.stf', '46', 'recovery_success', 'The freighter is secure. Nice work out there, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier2_recoveryduty.stf', '47', 'target_disabled', 'Target freighter has been disabled.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier2_recoveryduty.stf', '48', 'taunt_1', 'That ship belongs to us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier2_recoveryduty.stf', '49', 'taunt_2', 'If we can\'t have it, no one will.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier2_recoveryduty.stf', '50', 'taunt_3', 'You will regret that.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier2_recoveryduty.stf', '51', 'taunt_4', 'Prepare to be wasted.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier2_recoveryduty.stf', '52', 'taunt_5', 'I didn\'t know that the Empire let you guys off your leashes.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier2_recoveryduty.stf', '53', 'thanks_1', 'You are better then you look.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier2_recoveryduty.stf', '54', 'thanks_2', 'There will be more, you can count on it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier2_recoveryduty.stf', '55', 'thanks_3', 'That was nice flying but you will have to do better then that to survive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier2_recoveryduty.stf', '56', 'thanks_4', 'Why don\'t you die?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier2_recoveryduty.stf', '57', 'thanks_5', 'Bleh! The next wave will get you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier2_recoveryduty.stf', '58', 'title', 'Naboo System: Capture the Ironfleck Marauder (Miner Transport) Duty');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier2_recoveryduty.stf', '59', 'title_d', 'Intelligence has reported that the miners of Naboo are supplying Rebel ships with goods. Your assignment is to capture these supply vessels going to the Rebels and returning them to Imperial hands.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier4_3.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier4_3.stf', '2', 'abort', 'Please don\'t report this. You will not see us in this region again, I swear.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier4_3.stf', '3', 'angry_disable', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier4_3.stf', '4', 'arrival_phase_1', 'Getting a lock on the unauthorized ships. Stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier4_3.stf', '5', 'arrival_phase_2', 'We have a lock on their location. Capture those ships and bring them back to HQ. Any escort that they have with them are expendable.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier4_3.stf', '6', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Alert! Enemy fighters incoming.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier4_3.stf', '7', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier4_3.stf', '8', 'capture_complete', 'The ship is set on autopilot and will head back to HQ.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier4_3.stf', '9', 'capture_phase_1', 'Hey, how about you just let us go?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier4_3.stf', '10', 'capture_phase_1_1', 'Hey, how about you just let us go?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier4_3.stf', '11', 'capture_phase_1_2', 'Now our commander is going to hear about this.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier4_3.stf', '12', 'capture_phase_1_3', 'Do you know what they are going to do to us?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier4_3.stf', '13', 'capture_phase_1_4', 'Hey, I have an idea. Let us go!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier4_3.stf', '14', 'capture_phase_1_5', 'Well at least you are not going to kill us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier4_3.stf', '15', 'capture_phase_2', 'Okay...okay. We will set autopilot. Just don\'t blow us out of space.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier4_3.stf', '16', 'capture_phase_2_1', 'Okay...okay. We will set autopilot. Just don\'t blow us out of space.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier4_3.stf', '17', 'capture_phase_2_2', 'Fine. We will do whatever you want.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier4_3.stf', '18', 'capture_phase_2_3', 'The Inquisition is going to have a field day with me.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier4_3.stf', '19', 'capture_phase_2_4', 'I give up.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier4_3.stf', '20', 'capture_phase_2_5', 'I will just tell them I got lost. Do you think they will buy that?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier4_3.stf', '21', 'capture_started', 'Starting docking procedure.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier4_3.stf', '22', 'complete', 'The rogue ship is back in Imperial hands and the Inquisition is questioning the pilot. Nice work.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier4_3.stf', '23', 'complete_1', 'The rogue ship is back in Imperial hands and the Inquisition is questioning the pilot. Nice work.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier4_3.stf', '24', 'complete_2', 'The rogue ship is back in Imperial hands and the Inquisition is questioning the pilot. Nice work.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier4_3.stf', '25', 'complete_3', 'The rogue ship is back in Imperial hands and the Inquisition is questioning the pilot. Nice work.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier4_3.stf', '26', 'complete_4', 'The rogue ship is back in Imperial hands and the Inquisition is questioning the pilot. Nice work.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier4_3.stf', '27', 'complete_5', 'The rogue ship is back in Imperial hands and the Inquisition is questioning the pilot. Nice work.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier4_3.stf', '28', 'escort_remaining', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <%DI escorts remaining.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier4_3.stf', '29', 'escort_wiped_out', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Escort fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier4_3.stf', '30', 'failed_destroy', 'You were told to bring that ship back to us in one piece. Failure is never rewarded. Speak to your superior immediately.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier4_3.stf', '31', 'failed_escape', 'You let them get away. That is unacceptable. Return to your commander immediately.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier4_3.stf', '32', 'panic_1', 'Great, first I get caught and now this...just isn\'t my day.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier4_3.stf', '33', 'panic_2', 'Just let them destroy me. Better that then the Inquisition.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier4_3.stf', '34', 'panic_3', 'Great, first I get caught and now this...just isn\'t my day.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier4_3.stf', '35', 'panic_4', 'Just let them destroy me. Better that then the Inquisition.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier4_3.stf', '36', 'panic_5', 'Just let them destroy me. Better that then the Inquisition.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier4_3.stf', '37', 'quest_disable_d', 'Intercept and disable these unauthorized vessels before they can leave the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier4_3.stf', '38', 'quest_disable_t', 'Disable the Unauthorized Vessel');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier4_3.stf', '39', 'quest_escort_d', 'Follow the vessel back to a safe jump location. Make sure they arrive alive since any one of them could be a Rebel spy.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier4_3.stf', '40', 'quest_escort_t', 'Escort the Unauthorized Vessel');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier4_3.stf', '41', 'quest_location_d', 'A navigation waypoint to an unauthorized vessel will be given to you once you enter the Dathomir system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier4_3.stf', '42', 'quest_location_t', 'Travel to the Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier4_3.stf', '43', 'quest_recover_d', 'Once disabled, move in close to the target vessel and wait for the capture process to begin.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier4_3.stf', '44', 'quest_recover_t', 'Capture the Unauthorized Vessel');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier4_3.stf', '45', 'quest_update', '\\#pcontrast1 Imperial High Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier4_3.stf', '46', 'recovery_success', 'Alright we have the trespasser. Nice work, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier4_3.stf', '47', 'target_disabled', 'The engines are out on the ship. Start your docking procedure.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier4_3.stf', '48', 'taunt_1', 'This is too easy.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier4_3.stf', '49', 'taunt_2', 'Beg! Maybe I will let you live.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier4_3.stf', '50', 'taunt_3', 'You may take my life but you can never take my freedom!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier4_3.stf', '51', 'taunt_4', 'You are not very good, are you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier4_3.stf', '52', 'taunt_5', 'Ha! I laugh at your pathetic attempts to defeat me.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier4_3.stf', '53', 'thanks_1', 'Should have let them destroy me.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier4_3.stf', '54', 'thanks_2', 'Oh good, you save me. Now how about you let me go.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier4_3.stf', '55', 'thanks_3', 'Hmmm, I think I would have rather had the rebels blow me up.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier4_3.stf', '56', 'thanks_4', 'Should have let them destroy me.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier4_3.stf', '57', 'thanks_5', 'Oh good, you save me. Now how about you let me go.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier4_3.stf', '58', 'title', 'Dathomir System: Capture the Rogue Imperial Vessels Duty');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_imperial_tier4_3.stf', '59', 'title_d', 'Occasionally an Imperial ship will enter the Dathomir system. These ships are to be captured and the pilots turned over to the Inquistion for questioning.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_10.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_10.stf', '2', 'abort', 'Roger, abort code received. Heading home...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_10.stf', '3', 'angry_disable', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_10.stf', '4', 'arrival_phase_1', '\\#pcontrast3 RSF Command: < \\#pcontrast1 The captured trasnport will arrive shortly \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_10.stf', '5', 'arrival_phase_2', '\\#pcontrast3 RSF Command: < \\#pcontrast1 The NDC Transport has arrived. Disable the craft and eliminate her escort! \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_10.stf', '6', 'attack_notify', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Enemy craft detected on attack vector. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_10.stf', '7', 'attack_stopped', '\\#pcontrast3 Tactical Comptuer: < \\#pcontrast1 The attack has stopped. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_10.stf', '8', 'capture_complete', ' \\#pcontrast3 Tactical Computer: < \\#00ff00 Primary mission target recovery operation complete! \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_10.stf', '9', 'capture_phase_1', 'Boarding party is facing light resistance.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_10.stf', '10', 'capture_phase_1_1', 'Recovery process has begun.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_10.stf', '11', 'capture_phase_1_2', 'Recovery process has begun.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_10.stf', '12', 'capture_phase_1_3', 'Recovery process has begun.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_10.stf', '13', 'capture_phase_1_4', 'Recovery process has begun.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_10.stf', '14', 'capture_phase_1_5', 'Recovery process has begun.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_10.stf', '15', 'capture_phase_2', 'Resistance eliminated. We\'ve taken the bridge. We\'ll be underway shortly.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_10.stf', '16', 'capture_phase_2_1', 'Recovery almost done.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_10.stf', '17', 'capture_phase_2_2', 'Recovery almost done.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_10.stf', '18', 'capture_phase_2_3', 'Recovery almost done.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_10.stf', '19', 'capture_phase_2_4', 'Recovery almost done.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_10.stf', '20', 'capture_phase_2_5', 'Recovery almost done.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_10.stf', '21', 'capture_started', ' \\#pcontrast3 Tactical Computer: < \\#00ff00 Primary mission target recovery operation underway. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_10.stf', '22', 'complete', 'We\'ve made it to safety. Jumping to lightspeed...now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_10.stf', '23', 'complete_1', 'It is complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_10.stf', '24', 'complete_2', 'It is complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_10.stf', '25', 'complete_3', 'It is complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_10.stf', '26', 'complete_4', 'It is complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_10.stf', '27', 'complete_5', 'It is complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_10.stf', '28', 'escort_remaining', ' \\#pcontrast3 Tactical Computer: < \\#00ff00 %DI ships remain . \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_10.stf', '29', 'escort_wiped_out', ' \\#pcontrast3 Tactical Computer: < \\#00ff00 The escorting craft have been eliminated. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_10.stf', '30', 'failed_destroy', 'The transport was destroyed! This is unacceptable! Return to base at once. You are to blame for this failure!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_10.stf', '31', 'failed_escape', 'The transport has escaped the area under Ay\'Nat. This is a disgrace! Return to base at once!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_10.stf', '32', 'panic_1', 'Ack!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_10.stf', '33', 'panic_2', 'We are under attack!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_10.stf', '34', 'panic_3', 'Save us!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_10.stf', '35', 'panic_4', 'We are under attack!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_10.stf', '36', 'panic_5', 'We are under attack!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_10.stf', '37', 'quest_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_10.stf', '38', 'quest_disable_d', 'Target the engines to disable the target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_10.stf', '39', 'quest_disable_t', 'Disable');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_10.stf', '40', 'quest_escort_d', 'Escort the captured ship safely out of the system');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_10.stf', '41', 'quest_escort_t', 'Escort');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_10.stf', '42', 'quest_location_d', 'Area of known Ay\'Nat activity');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_10.stf', '43', 'quest_location_t', 'Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_10.stf', '44', 'quest_recover_d', 'Pull up close to a disabled craft to initiate capture');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_10.stf', '45', 'quest_recover_t', 'Recover');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_10.stf', '46', 'quest_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_10.stf', '47', 'quest_update', ' \\#pcontrast3 RSF Command: < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_10.stf', '48', 'recovery_success', 'The NDC Transport has been secured. Good job, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_10.stf', '49', 'target_disabled', ' \\#pcontrast3 Tactical Computer: < \\#00ff00 The NDC Transport has been disabled. Recovery operation will begin shortly. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_10.stf', '50', 'taunt_1', 'If we can\'t have that ship, none may.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_10.stf', '51', 'taunt_2', 'Royal Security Fools');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_10.stf', '52', 'taunt_3', 'I hear death in space is almost instant.  Pitty.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_10.stf', '53', 'taunt_4', 'I grow tied of this.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_10.stf', '54', 'taunt_5', 'You will die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_10.stf', '55', 'thanks_1', 'Thank you for getting us out of there.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_10.stf', '56', 'thanks_2', 'This was a long day, thank you Captain');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_10.stf', '57', 'thanks_3', 'Huzzah for the RSF');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_10.stf', '58', 'thanks_4', 'Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_10.stf', '59', 'thanks_5', 'I commend you Captain');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_10.stf', '60', 'title', 'Naboo System: Duty: Recover the Captured Diplomatic Corps Transport');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_10.stf', '61', 'title_d', 'Recover a NDC craft from Ay\'Nat pirates');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_tier4_1.stf', '1', 'abort', 'You have failed due to aborting your mission.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_tier4_1.stf', '2', 'angry_disable', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_tier4_1.stf', '3', 'arrival_phase_1', 'Stand by for a location update.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_tier4_1.stf', '4', 'arrival_phase_2', 'The target and escort has arrived, proceed with operation.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_tier4_1.stf', '5', 'attack_notify', 'Enemy craft detected on attack vector.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_tier4_1.stf', '6', 'attack_stopped', 'Enemy activity has stopped.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_tier4_1.stf', '7', 'capture_complete', 'The capture is complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_tier4_1.stf', '8', 'capture_phase_1', 'The capture process has begun.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_tier4_1.stf', '9', 'capture_phase_1_1', 'Capture had begun!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_tier4_1.stf', '10', 'capture_phase_1_2', 'Capture had begun!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_tier4_1.stf', '11', 'capture_phase_1_3', 'Capture had begun!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_tier4_1.stf', '12', 'capture_phase_1_4', 'Capture had begun!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_tier4_1.stf', '13', 'capture_phase_1_5', 'Capture had begun!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_tier4_1.stf', '14', 'capture_phase_2', 'The capture process is almost complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_tier4_1.stf', '15', 'capture_phase_2_1', 'The capture process is almost complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_tier4_1.stf', '16', 'capture_phase_2_2', 'The capture process is almost complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_tier4_1.stf', '17', 'capture_phase_2_3', 'Capture is almost done!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_tier4_1.stf', '18', 'capture_phase_2_4', 'Capture is almost done!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_tier4_1.stf', '19', 'capture_phase_2_5', 'Capture is almost done!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_tier4_1.stf', '20', 'capture_started', 'Starting capture.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_tier4_1.stf', '21', 'complete', 'The capture is complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_tier4_1.stf', '22', 'complete_1', 'We have taken the bridge!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_tier4_1.stf', '23', 'complete_2', 'The capture is complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_tier4_1.stf', '24', 'complete_3', 'The capture is complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_tier4_1.stf', '25', 'complete_4', 'The capture is complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_tier4_1.stf', '26', 'complete_5', 'The capture is complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_tier4_1.stf', '27', 'escort_remaining', 'An escorting craft has been destroyed, %DI remain.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_tier4_1.stf', '28', 'escort_wiped_out', 'All escorting craft have been destroyed, proceed to primary objective.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_tier4_1.stf', '29', 'failed_destroy', 'You have failed as the target was destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_tier4_1.stf', '30', 'failed_escape', 'You have failed because the target escaped.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_tier4_1.stf', '31', 'panic_1', 'The Ay\'Nat want their Yacht back Captain.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_tier4_1.stf', '32', 'panic_2', 'Fighters, prepare to defend.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_tier4_1.stf', '33', 'panic_3', 'Ack!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_tier4_1.stf', '34', 'panic_4', 'Ack!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_tier4_1.stf', '35', 'panic_5', 'Ack!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_tier4_1.stf', '36', 'quest_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_tier4_1.stf', '37', 'quest_disable_d', 'Destroy the crafts engines to disable them');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_tier4_1.stf', '38', 'quest_disable_t', 'Disable Target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_tier4_1.stf', '39', 'quest_escort_d', 'Escort the craft out of the system');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_tier4_1.stf', '40', 'quest_escort_t', 'Escort Target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_tier4_1.stf', '41', 'quest_location_d', 'A travel route in the Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_tier4_1.stf', '42', 'quest_location_t', 'Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_tier4_1.stf', '43', 'quest_recover_d', 'Fly up next to the target to begin the capture process');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_tier4_1.stf', '44', 'quest_recover_t', 'Recover Target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_tier4_1.stf', '45', 'quest_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_tier4_1.stf', '46', 'quest_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_tier4_1.stf', '47', 'recovery_success', 'The recovery mission was a success.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_tier4_1.stf', '48', 'target_disabled', 'The target has been disabled, proceed with capture.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_tier4_1.stf', '49', 'taunt_1', 'You were a fool to even try.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_tier4_1.stf', '50', 'taunt_2', 'You will die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_tier4_1.stf', '51', 'taunt_3', 'You will die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_tier4_1.stf', '52', 'taunt_4', 'You will die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_tier4_1.stf', '53', 'taunt_5', 'You will die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_tier4_1.stf', '54', 'thanks_1', 'Well, this just fantastic');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_tier4_1.stf', '55', 'thanks_2', 'We\'ll meet again!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_tier4_1.stf', '56', 'thanks_3', 'Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_tier4_1.stf', '57', 'thanks_4', 'Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_tier4_1.stf', '58', 'thanks_5', 'Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_tier4_1.stf', '59', 'title', 'Yavin System: Duty: Capture the Ay\'Nat outlaws.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_privateer_tier4_1.stf', '60', 'title_d', 'Capture an Ay\'Nat Viggo');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_rebel_tier4_1.stf', '1', 'abort', 'Abort code received, trying to perform emergency hyperspace jump.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_rebel_tier4_1.stf', '2', 'angry_disable', 'There will be no where for you to hide after this Rebel!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_rebel_tier4_1.stf', '3', 'arrival_phase_1', 'Receiving coordinates on a data shuttle now, stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_rebel_tier4_1.stf', '4', 'arrival_phase_2', 'Coordinates uploaded. Intercept and disable this shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_rebel_tier4_1.stf', '5', 'attack_notify', 'Tactical Computer: < Incoming fighter vessels. Scans show weapons armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_rebel_tier4_1.stf', '6', 'attack_stopped', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_rebel_tier4_1.stf', '7', 'capture_complete', 'Vortex Fleet Command: < The droid is in control, escort the ship to safety. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_rebel_tier4_1.stf', '8', 'capture_phase_1', 'Unit triggering laser cutter, breaching target vessel hull.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_rebel_tier4_1.stf', '9', 'capture_phase_1_1', 'Unit triggering laser cutter, breaching target vessel hull.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_rebel_tier4_1.stf', '10', 'capture_phase_1_2', 'Unit triggering laser cutter, breaching target vessel hull.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_rebel_tier4_1.stf', '11', 'capture_phase_1_3', 'Unit triggering laser cutter, breaching target vessel hull.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_rebel_tier4_1.stf', '12', 'capture_phase_1_4', 'Unit triggering laser cutter, breaching target vessel hull.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_rebel_tier4_1.stf', '13', 'capture_phase_1_5', 'Unit triggering laser cutter, breaching target vessel hull.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_rebel_tier4_1.stf', '14', 'capture_phase_2', 'Eliminating any threat to unit.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_rebel_tier4_1.stf', '15', 'capture_phase_2_1', 'Eliminating any threat to unit.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_rebel_tier4_1.stf', '16', 'capture_phase_2_2', 'Eliminating any threat to unit.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_rebel_tier4_1.stf', '17', 'capture_phase_2_3', 'Eliminating any threat to unit.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_rebel_tier4_1.stf', '18', 'capture_phase_2_4', 'Eliminating any threat to unit.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_rebel_tier4_1.stf', '19', 'capture_phase_2_5', 'Eliminating any threat to unit.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_rebel_tier4_1.stf', '20', 'capture_started', 'Tactical Computer: < Scans show droid unit in contact with target vessel and initiating capture sequence. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_rebel_tier4_1.stf', '21', 'complete', 'Onboard computer confirm target vessel at correct location. Initiating hyperspace jump.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_rebel_tier4_1.stf', '22', 'complete_1', 'Onboard computer confirm target vessel at correct location. Initiating hyperspace jump.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_rebel_tier4_1.stf', '23', 'complete_2', 'Onboard computer confirm target vessel at correct location. Initiating hyperspace jump.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_rebel_tier4_1.stf', '24', 'complete_3', 'Onboard computer confirm target vessel at correct location. Initiating hyperspace jump.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_rebel_tier4_1.stf', '25', 'complete_4', 'Onboard computer confirm target vessel at correct location. Initiating hyperspace jump.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_rebel_tier4_1.stf', '26', 'complete_5', 'Onboard computer confirm target vessel at correct location. Initiating hyperspace jump.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_rebel_tier4_1.stf', '27', 'escort_remaining', 'Vortex Fleet Command: < Good job pilot, %DI escort ships remaining. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_rebel_tier4_1.stf', '28', 'escort_wiped_out', 'Vortex Fleet Command: < Escort terminated, proceed with the mission pilot. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_rebel_tier4_1.stf', '29', 'failed_destroy', 'Blast! The data shuttle has been destroyed. Get out of there pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_rebel_tier4_1.stf', '30', 'failed_escape', 'The data shuttle slipped out of your grasp pilot, mission aborted.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_rebel_tier4_1.stf', '31', 'panic_1', 'Target vessels sensors indicate attack fighters type TIE trying to terminate unit.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_rebel_tier4_1.stf', '32', 'panic_2', 'Target vessels sensors indicate attack fighters type TIE trying to terminate unit.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_rebel_tier4_1.stf', '33', 'panic_3', 'Target vessels sensors indicate attack fighters type TIE trying to terminate unit.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_rebel_tier4_1.stf', '34', 'panic_4', 'Target vessels sensors indicate attack fighters type TIE trying to terminate unit.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_rebel_tier4_1.stf', '35', 'panic_5', 'Target vessels sensors indicate attack fighters type TIE trying to terminate unit.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_rebel_tier4_1.stf', '36', 'quest_disable_d', 'The \'Lambda\' shuttles used to transport the Inquisitions data are heavily guarded and well armed themselves. Come prepared pilot, it will be tough.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_rebel_tier4_1.stf', '37', 'quest_disable_t', 'Imperial data transport.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_rebel_tier4_1.stf', '38', 'quest_escort_d', 'Escort the stolen shuttle to safety. The droid is calculating the jump to hyperspace and you need to keep the Imperial fighters that will undoubtedly chase you, away from the shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_rebel_tier4_1.stf', '39', 'quest_escort_t', 'Escort the stolen shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_rebel_tier4_1.stf', '40', 'quest_location_d', 'The Endor system has a very heavy Imperial presence for some reason. You can never let your guard down while travelling here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_rebel_tier4_1.stf', '41', 'quest_location_t', 'Endor system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_rebel_tier4_1.stf', '42', 'quest_recover_d', 'The droid is attempting to gain control of the shuttle. While he\'s doing that, you need to keep the ship safe from Imperial forces. They will rather blow up their ship than have it stolen.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_rebel_tier4_1.stf', '43', 'quest_recover_t', 'Launching droid.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_rebel_tier4_1.stf', '44', 'quest_update', 'Vortex Fleet Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_rebel_tier4_1.stf', '45', 'recovery_success', 'Good job pilot, this information should be very valuable to our operation.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_rebel_tier4_1.stf', '46', 'target_disabled', 'Tactical Computer: < Scans show target vessel disabled. Transferring droid model IG-31-V to target vessel. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_rebel_tier4_1.stf', '47', 'taunt_1', 'You have some nerve Rebel fool, or you\'re just stupid!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_rebel_tier4_1.stf', '48', 'taunt_2', 'There\'s no way you are going anywhere with that ship Rebel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_rebel_tier4_1.stf', '49', 'taunt_3', 'This pitiful attempt at theft is about to end. Terminating data shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_rebel_tier4_1.stf', '50', 'taunt_4', 'You know our orders men, leave no one alive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_rebel_tier4_1.stf', '51', 'taunt_5', 'You stole the wrong shuttle Rebel, your punishment can\'t be anything but death.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_rebel_tier4_1.stf', '52', 'thanks_1', 'Target vessels sensors show attack fighters type TIE terminated.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_rebel_tier4_1.stf', '53', 'thanks_2', 'Target vessels sensors show attack fighters type TIE terminated.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_rebel_tier4_1.stf', '54', 'thanks_3', 'Target vessels sensors show attack fighters type TIE terminated.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_rebel_tier4_1.stf', '55', 'thanks_4', 'Target vessels sensors show attack fighters type TIE terminated.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_rebel_tier4_1.stf', '56', 'thanks_5', 'Target vessels sensors show attack fighters type TIE terminated.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_rebel_tier4_1.stf', '57', 'title', 'Endor system: Duty mission: Capture Inquisitor data transporting shuttles.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/naboo_rebel_tier4_1.stf', '58', 'title_d', 'The Imperial Inquisition is transporting sensitive data on heavily guarded shuttles across the Endor system. We have some new Space Assault Droids in our possession and if we can steal some of these vessels it will be a major victory in our campaign against the Inquisition. When you feel that you have exhausted your ship, yourself or that you have enough experience to continue your training, you can return to base at anytime.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/stn_dantooine_owner_smuggler_recoveryduty_tier2_1.stf', '1', 'abort', 'That\'s right! Get out of here, pirate.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/stn_dantooine_owner_smuggler_recoveryduty_tier2_1.stf', '2', 'angry_disable', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/stn_dantooine_owner_smuggler_recoveryduty_tier2_1.stf', '3', 'arrival_phase_1', 'Stand by. This is a rich shipping lane. A freighter full of cargo will be by shortly.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/stn_dantooine_owner_smuggler_recoveryduty_tier2_1.stf', '4', 'arrival_phase_2', 'Ok, there it is. Capture it and send it back to Dantooine. I will have another ship to meet it on this side.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/stn_dantooine_owner_smuggler_recoveryduty_tier2_1.stf', '5', 'attack_notify', 'Tactical Computer: < CorSec fighters incoming. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/stn_dantooine_owner_smuggler_recoveryduty_tier2_1.stf', '6', 'attack_stopped', 'Tactical Computer: < CorSec fighters destroyed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/stn_dantooine_owner_smuggler_recoveryduty_tier2_1.stf', '7', 'capture_complete', 'Capture process completed. Escort ship to jump coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/stn_dantooine_owner_smuggler_recoveryduty_tier2_1.stf', '8', 'capture_phase_1_1', 'Blasted pirates! The CorSec are going to hear about this.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/stn_dantooine_owner_smuggler_recoveryduty_tier2_1.stf', '9', 'capture_phase_1_2', 'Hey, what are you doing?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/stn_dantooine_owner_smuggler_recoveryduty_tier2_1.stf', '10', 'capture_phase_1_3', 'Why don\'t you pirates get a real job?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/stn_dantooine_owner_smuggler_recoveryduty_tier2_1.stf', '11', 'capture_phase_1_4', 'So, do you really think you will get away with this?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/stn_dantooine_owner_smuggler_recoveryduty_tier2_1.stf', '12', 'capture_phase_1_5', 'Piracy is a capital offense in this region. You will be caught.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/stn_dantooine_owner_smuggler_recoveryduty_tier2_1.stf', '13', 'capture_phase_2_1', 'Fine, I will do whatever you want me to...just don\'t destroy me.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/stn_dantooine_owner_smuggler_recoveryduty_tier2_1.stf', '14', 'capture_phase_2_2', 'Ok, I will go to Dantooine.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/stn_dantooine_owner_smuggler_recoveryduty_tier2_1.stf', '15', 'capture_phase_2_3', 'You might have captured me but you will pay.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/stn_dantooine_owner_smuggler_recoveryduty_tier2_1.stf', '16', 'capture_phase_2_4', 'Dantooine? Fine...but you will pay for your crimes.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/stn_dantooine_owner_smuggler_recoveryduty_tier2_1.stf', '17', 'capture_phase_2_5', 'I will go to Dantooine but I assure you I will escape once I get the chance.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/stn_dantooine_owner_smuggler_recoveryduty_tier2_1.stf', '18', 'capture_started', 'Capture process beginning. Stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/stn_dantooine_owner_smuggler_recoveryduty_tier2_1.stf', '19', 'complete', 'Ok, I will go to Dantooine, but I am not doing this out of my own free will.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/stn_dantooine_owner_smuggler_recoveryduty_tier2_1.stf', '20', 'escort_remaining', 'Tactical Computer: < %DI escort fighters remaining. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/stn_dantooine_owner_smuggler_recoveryduty_tier2_1.stf', '21', 'escort_wiped_out', 'Tactical Computer: < Escort fighters eliminated. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/stn_dantooine_owner_smuggler_recoveryduty_tier2_1.stf', '22', 'failed_destroy', 'Blast it! We need those supplies, not scrap metal.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/stn_dantooine_owner_smuggler_recoveryduty_tier2_1.stf', '23', 'failed_escape', 'You let it get away? I thought you said you were a good pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/stn_dantooine_owner_smuggler_recoveryduty_tier2_1.stf', '24', 'panic_1', 'What are they doing? Those incompent fools...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/stn_dantooine_owner_smuggler_recoveryduty_tier2_1.stf', '25', 'panic_2', 'Hey, I am not with him! Shoot him, not me!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/stn_dantooine_owner_smuggler_recoveryduty_tier2_1.stf', '26', 'panic_3', 'Great...the CorSec would rather have me destroyed then fall into pirates hands.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/stn_dantooine_owner_smuggler_recoveryduty_tier2_1.stf', '27', 'panic_4', 'I don\'t believe this. They have no clue what they are doing.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/stn_dantooine_owner_smuggler_recoveryduty_tier2_1.stf', '28', 'panic_5', 'Look what you have done.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/stn_dantooine_owner_smuggler_recoveryduty_tier2_1.stf', '29', 'quest_disable_d', 'Target the freighters engines and get them to come to a complete stop.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/stn_dantooine_owner_smuggler_recoveryduty_tier2_1.stf', '30', 'quest_disable_t', 'Disable the Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/stn_dantooine_owner_smuggler_recoveryduty_tier2_1.stf', '31', 'quest_escort_d', 'Follow the freighter until it reaches a jump point to the Dantooine system. Protect it from CorSec who might try to get involved.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/stn_dantooine_owner_smuggler_recoveryduty_tier2_1.stf', '32', 'quest_escort_t', 'Escort the Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/stn_dantooine_owner_smuggler_recoveryduty_tier2_1.stf', '33', 'quest_location_d', 'The station wants you to raid the shipping lanes of Corellia.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/stn_dantooine_owner_smuggler_recoveryduty_tier2_1.stf', '34', 'quest_location_t', 'Travel to the Corellia System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/stn_dantooine_owner_smuggler_recoveryduty_tier2_1.stf', '35', 'quest_recover_d', 'Move in close to the freighter and wait for them to surrender.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/stn_dantooine_owner_smuggler_recoveryduty_tier2_1.stf', '36', 'quest_recover_t', 'Capture the Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/stn_dantooine_owner_smuggler_recoveryduty_tier2_1.stf', '37', 'quest_update', 'Dantooine Station: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/stn_dantooine_owner_smuggler_recoveryduty_tier2_1.stf', '38', 'recovery_success', 'Good work. We will have our people on this side escort that freighter the rest of the way. There are more ships waiting to be captured if you want to do that again.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/stn_dantooine_owner_smuggler_recoveryduty_tier2_1.stf', '39', 'target_disabled', 'The freighter has shut down it\'s engines. Move in close and wait for it to surrender.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/stn_dantooine_owner_smuggler_recoveryduty_tier2_1.stf', '40', 'taunt_1', 'You will cease your current illegal activity immediately.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/stn_dantooine_owner_smuggler_recoveryduty_tier2_1.stf', '41', 'taunt_2', 'You are in violation of Corellian law. Prepare to be destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/stn_dantooine_owner_smuggler_recoveryduty_tier2_1.stf', '42', 'taunt_3', 'Piracy is a capital offense.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/stn_dantooine_owner_smuggler_recoveryduty_tier2_1.stf', '43', 'taunt_4', 'Pirates like you deserve no mercy.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/stn_dantooine_owner_smuggler_recoveryduty_tier2_1.stf', '44', 'taunt_5', 'We will not allow you to have the freighter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/stn_dantooine_owner_smuggler_recoveryduty_tier2_1.stf', '45', 'thanks_1', 'Well, I guess I am stuck with you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/stn_dantooine_owner_smuggler_recoveryduty_tier2_1.stf', '46', 'thanks_2', 'CorSecs are nearly as bad as you pirates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/stn_dantooine_owner_smuggler_recoveryduty_tier2_1.stf', '47', 'thanks_3', 'I don\'t know who is worse...you or them.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/stn_dantooine_owner_smuggler_recoveryduty_tier2_1.stf', '48', 'thanks_4', 'This just isn\'t my day.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/stn_dantooine_owner_smuggler_recoveryduty_tier2_1.stf', '49', 'thanks_5', 'If I stay with you, they will blow me up. If I try to escape, you will blow me up. This stinks!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/stn_dantooine_owner_smuggler_recoveryduty_tier2_1.stf', '50', 'title', 'Corellia System: Capture Cargo Freighter\'s Duty');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/stn_dantooine_owner_smuggler_recoveryduty_tier2_1.stf', '51', 'title_d', 'The Dantooine station needs supplies. They are willing to do anything to get those supplies, even support piracy. You are to raid the rich shipping lanes of Corellia and send the captured freighters to Dantooine.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_imperial_tier4_recoveryduty_1.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_imperial_tier4_recoveryduty_1.stf', '2', 'abort', 'You are leaving us to the mercy of these pirates! What are you thinking? Your superior will hear of this failure!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_imperial_tier4_recoveryduty_1.stf', '3', 'angry_disable', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_imperial_tier4_recoveryduty_1.stf', '4', 'arrival_phase_1', 'Scanning system for mission transports. Stand by for location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_imperial_tier4_recoveryduty_1.stf', '5', 'arrival_phase_2', 'We have a lock on our transport. Intercept and recapture our ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_imperial_tier4_recoveryduty_1.stf', '6', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters incoming.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_imperial_tier4_recoveryduty_1.stf', '7', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_imperial_tier4_recoveryduty_1.stf', '8', 'capture_complete', 'Autopilot under Imperial control. Stand by to escort freighter to HQ.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_imperial_tier4_recoveryduty_1.stf', '9', 'capture_phase_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_imperial_tier4_recoveryduty_1.stf', '10', 'capture_phase_1_1', 'Do you know who I work for? No! Well if you did you wouldn\'t do it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_imperial_tier4_recoveryduty_1.stf', '11', 'capture_phase_1_2', 'What are you doing to my computer system?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_imperial_tier4_recoveryduty_1.stf', '12', 'capture_phase_1_3', 'I will never be taken alive! Hmmm...on second thought I will come along peacefully.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_imperial_tier4_recoveryduty_1.stf', '13', 'capture_phase_1_4', 'This is private property! Granted it was private property before we stole it, but that still doesn\'t make what you are doing right.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_imperial_tier4_recoveryduty_1.stf', '14', 'capture_phase_1_5', 'Hey, what are you doing to my Nav computer?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_imperial_tier4_recoveryduty_1.stf', '15', 'capture_phase_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_imperial_tier4_recoveryduty_1.stf', '16', 'capture_phase_2_1', 'You might have control over my ship but you will never have control over me.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_imperial_tier4_recoveryduty_1.stf', '17', 'capture_phase_2_2', 'The Red Skulls will not stand for this.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_imperial_tier4_recoveryduty_1.stf', '18', 'capture_phase_2_3', 'I thought the Empire was fair and just...you have shattered my dreams.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_imperial_tier4_recoveryduty_1.stf', '19', 'capture_phase_2_4', 'I can\'t control my ship! You have done something to my computers!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_imperial_tier4_recoveryduty_1.stf', '20', 'capture_phase_2_5', 'One day I shall get my revenge.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_imperial_tier4_recoveryduty_1.stf', '21', 'capture_started', 'Beginning autopilot reconfigeration. Stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_imperial_tier4_recoveryduty_1.stf', '22', 'complete', 'We have the Red Skull freighter. It\'s cargo bay is full of our stolen property. Nice work, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_imperial_tier4_recoveryduty_1.stf', '23', 'complete_1', 'We have the Red Skull freighter. It\'s cargo bay is full of our stolen property. Nice work, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_imperial_tier4_recoveryduty_1.stf', '24', 'complete_2', 'We have the Red Skull freighter. It\'s cargo bay is full of our stolen property. Nice work, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_imperial_tier4_recoveryduty_1.stf', '25', 'complete_3', 'We have the Red Skull freighter. It\'s cargo bay is full of our stolen property. Nice work, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_imperial_tier4_recoveryduty_1.stf', '26', 'complete_4', 'We have the Red Skull freighter. It\'s cargo bay is full of our stolen property. Nice work, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_imperial_tier4_recoveryduty_1.stf', '27', 'complete_5', 'We have the Red Skull freighter. It\'s cargo bay is full of our stolen property. Nice work, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_imperial_tier4_recoveryduty_1.stf', '28', 'escort_remaining', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <%TO enemy escorts remaining.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_imperial_tier4_recoveryduty_1.stf', '29', 'escort_wiped_out', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy escort eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_imperial_tier4_recoveryduty_1.stf', '30', 'failed_destroy', 'I thought your orders were clear, pilot. You were to recapture that ship not destroy it. Return to your superior.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_imperial_tier4_recoveryduty_1.stf', '31', 'failed_escape', 'Your incompetence let that ship get away. That is a huge set back for the Empire. Report your failure to your superior.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_imperial_tier4_recoveryduty_1.stf', '32', 'panic_1', 'Yes! My friends are here to punish you. Wait! Why are they targeting me?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_imperial_tier4_recoveryduty_1.stf', '33', 'panic_2', 'Prepare to pay the price of crossing the Red Skulls.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_imperial_tier4_recoveryduty_1.stf', '34', 'panic_3', 'No, don\'t shoot at me! I am on your side.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_imperial_tier4_recoveryduty_1.stf', '35', 'panic_4', 'Here comes the Red Skulls. Now you are in big trouble.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_imperial_tier4_recoveryduty_1.stf', '36', 'panic_5', 'Yes! My friends are here to punish you. Wait! Why are they targeting me?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_imperial_tier4_recoveryduty_1.stf', '37', 'quest_disable_d', 'Once the Freighter is located, disable it by targetting the freighter\'s engines or other sub-systems in order to bring it to a complete hault.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_imperial_tier4_recoveryduty_1.stf', '38', 'quest_disable_t', 'Disable the Red Skull Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_imperial_tier4_recoveryduty_1.stf', '39', 'quest_escort_d', 'Follow the freighter back to Imperial space. It is highly possible that the Red Skulls will try to recapture or destroy the freighter rather then to let it passively fall into Imperial hands. Be alert and ready to defend your prize.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_imperial_tier4_recoveryduty_1.stf', '40', 'quest_escort_t', 'Escort the Red Skull Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_imperial_tier4_recoveryduty_1.stf', '41', 'quest_location_d', 'The Red Skulls have stationed themselves in the Endor system. The transports are attempting to leave this system for parts unknown. You need to intercept these freighters before they can leave the area.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_imperial_tier4_recoveryduty_1.stf', '42', 'quest_location_t', 'Travel to the Endor System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_imperial_tier4_recoveryduty_1.stf', '43', 'quest_recover_d', 'Move in close to the disabled freighter and wait for the capture operation to begin. You have been supplied a program that will automatically reconfigure the freighters Nav computer to only accept coordinates sent in by Imperial Flight Control. This process may take a few minutes to begin.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_imperial_tier4_recoveryduty_1.stf', '44', 'quest_recover_t', 'Capture the Red Skull Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_imperial_tier4_recoveryduty_1.stf', '45', 'quest_update', '\\#pcontrast1 Storm Squadron Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_imperial_tier4_recoveryduty_1.stf', '46', 'recovery_success', 'Excellent job, pilot. That ship was vitial to the Emperor\'s plans for this system. Report back to your commanding officer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_imperial_tier4_recoveryduty_1.stf', '47', 'target_disabled', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Targets engines disabled. Begin docking procedures.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_imperial_tier4_recoveryduty_1.stf', '48', 'taunt_1', 'If we can\'t have that freighter, no one can.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_imperial_tier4_recoveryduty_1.stf', '49', 'taunt_2', 'You are good, but not good enough.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_imperial_tier4_recoveryduty_1.stf', '50', 'taunt_3', 'I have a perdiction that in the end you are going to be nothing more then space junk.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_imperial_tier4_recoveryduty_1.stf', '51', 'taunt_4', 'You don\'t actually think you can win, do you?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_imperial_tier4_recoveryduty_1.stf', '52', 'taunt_5', 'It\'s time for me to show you what I can do.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_imperial_tier4_recoveryduty_1.stf', '53', 'thanks_1', 'Next time, Imperial dog. Next time.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_imperial_tier4_recoveryduty_1.stf', '54', 'thanks_2', 'More will come and they will rescue me this time.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_imperial_tier4_recoveryduty_1.stf', '55', 'thanks_3', 'You should just leave before more of my friends show up.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_imperial_tier4_recoveryduty_1.stf', '56', 'thanks_4', 'I have an idea. I will split my cargo with you...how does that sound?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_imperial_tier4_recoveryduty_1.stf', '57', 'thanks_5', 'You are just making them mad.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_imperial_tier4_recoveryduty_1.stf', '58', 'title', 'Endor System: Capture the Red Skull Freighter Duty');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_imperial_tier4_recoveryduty_1.stf', '59', 'title_d', 'The Empire wants the property that the Red Skulls have hijacked from its freighters in the Endor system. You are to intercept the Red Skull transports, capture them, and escort them back to Imperial space.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_5.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_5.stf', '2', 'abort', 'The hijacked freighter has been abandoned.  This mission is a wash.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_5.stf', '3', 'angry_disable', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_5.stf', '4', 'arrival_phase_1', '\\#pcontrast3 Smuggler Alliance: < \\#pcontrast1 Prepare for the arrival of the freighter \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_5.stf', '5', 'arrival_phase_2', '\\#pcontrast3 Smuggler Alliance: < \\#pcontrast1 The freighter is in zone.  Don\'t mess this up rookiee. \\#pcontrast3 > ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_5.stf', '6', 'attack_notify', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Enemy craft detected on attack vector. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_5.stf', '7', 'attack_stopped', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Enemy activity has stopped. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_5.stf', '8', 'capture_complete', '\\#pcontrast3 Smuggler Alliance: < \\#pcontrast1 The freighter is ours, lets get out of here. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_5.stf', '9', 'capture_phase_1', 'Systems malfunction. Command systems overridden.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_5.stf', '10', 'capture_phase_1_1', 'System Capture In Progress');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_5.stf', '11', 'capture_phase_1_2', 'System Capture In Progress');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_5.stf', '12', 'capture_phase_1_3', 'Won\'t somebody save me!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_5.stf', '13', 'capture_phase_1_4', 'Won\'t somebody save me!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_5.stf', '14', 'capture_phase_1_5', 'Won\'t somebody save me!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_5.stf', '15', 'capture_phase_2', 'Capture is complete.  Proceeding to egress path.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_5.stf', '16', 'capture_phase_2_1', 'Capture is complete.  Proceeding to egress path.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_5.stf', '17', 'capture_phase_2_2', 'Capture is complete.  Proceeding to egress path.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_5.stf', '18', 'capture_phase_2_3', 'I am almost finished!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_5.stf', '19', 'capture_phase_2_4', 'I am almost finished!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_5.stf', '20', 'capture_phase_2_5', 'I am almost finished!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_5.stf', '21', 'capture_started', 'Tactical Computer: < Capture preceedings have begun. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_5.stf', '22', 'complete', 'Capture Complete');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_5.stf', '23', 'complete_1', 'Capture Complete');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_5.stf', '24', 'complete_2', 'Capture Complete');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_5.stf', '25', 'complete_3', 'It is done.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_5.stf', '26', 'complete_4', 'It is done.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_5.stf', '27', 'complete_5', 'It is done.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_5.stf', '28', 'escort_remaining', 'Tactical Comptuer: < An escorting ship has been destroyed. %DI remain. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_5.stf', '29', 'escort_wiped_out', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 The escort has been wiped out.  Proceed to primary objective. \\#pcontrast3 > ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_5.stf', '30', 'failed_destroy', '\\#pcontrast3 Smuggler Alliance: < \\#pcontrast1 Bantha poodoo! We wanted that freigher intact. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_5.stf', '31', 'failed_escape', '\\#pcontrast3 Smuggler Alliance: < \\#pcontrast1 The freighter was supposed to be ours, you have failed us. \\#pcontrast3 > ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_5.stf', '32', 'panic_1', 'Hostile ships approaching.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_5.stf', '33', 'panic_2', 'We are doomed');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_5.stf', '34', 'panic_3', 'Ack!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_5.stf', '35', 'panic_4', 'Ack!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_5.stf', '36', 'panic_5', 'Ack!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_5.stf', '37', 'quest_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_5.stf', '38', 'quest_disable_d', 'Target the freighters engines to disable the craft for takeover');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_5.stf', '39', 'quest_disable_t', 'Disable Phase');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_5.stf', '40', 'quest_escort_d', 'Guard the freighter as it moves to a hyperspace jump point');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_5.stf', '41', 'quest_escort_t', 'Escort Phase');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_5.stf', '42', 'quest_location_d', 'Areas of space in the Tatooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_5.stf', '43', 'quest_location_t', 'Tatooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_5.stf', '44', 'quest_recover_d', 'Pull up close to the disabled craft to initiate docking proceedures');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_5.stf', '45', 'quest_recover_t', 'Recover Phase');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_5.stf', '46', 'quest_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_5.stf', '47', 'quest_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_5.stf', '48', 'recovery_success', '\\#pcontrast3 Smuggler Alliance: < \\#pcontrast1 The freigher is safely in hyperspace.  Mission successful. \\#pcontrast3 > ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_5.stf', '49', 'target_disabled', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 The target has been disabled. \\#pcontrast3 > ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_5.stf', '50', 'taunt_1', 'Hutt fool, this was your last mistake');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_5.stf', '51', 'taunt_2', 'For the Lady!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_5.stf', '52', 'taunt_3', 'You will die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_5.stf', '53', 'taunt_4', 'You will die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_5.stf', '54', 'taunt_5', 'You will die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_5.stf', '55', 'thanks_1', 'Hostil Craft Defeated');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_5.stf', '56', 'thanks_2', 'Area is clear');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_5.stf', '57', 'thanks_3', 'Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_5.stf', '58', 'thanks_4', 'Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_5.stf', '59', 'thanks_5', 'Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_5.stf', '60', 'title', 'Tatooine System: Duty: Capture Valarian Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_5.stf', '61', 'title_d', 'Capture the Valarian goods and escort them out.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier2_1.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier2_1.stf', '2', 'abort', 'Forget this!  I\'m not going to stay here with no escort.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier2_1.stf', '3', 'angry_disable', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier2_1.stf', '4', 'arrival_phase_1', '\\#pcontrast3 Smuggler Alliance: < \\#pcontrast1 The target will arive soon, stand by. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier2_1.stf', '5', 'arrival_phase_2', '\\#pcontrast3 Smuggler Alliance: < \\#pcontrast1 The target has arrived, lets go liberate some goods. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier2_1.stf', '6', 'attack_notify', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Enemy craft detected on attack vector. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier2_1.stf', '7', 'attack_stopped', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Enemy activity has stopped. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier2_1.stf', '8', 'capture_complete', 'The capture is complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier2_1.stf', '9', 'capture_phase_1', 'Quick, call for the Imperials!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier2_1.stf', '10', 'capture_phase_1_1', 'Quick, call for the Imperials!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier2_1.stf', '11', 'capture_phase_1_2', 'This is a mistake.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier2_1.stf', '12', 'capture_phase_1_3', 'Capture has begun!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier2_1.stf', '13', 'capture_phase_1_4', 'Capture has begun!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier2_1.stf', '14', 'capture_phase_1_5', 'Capture has begun!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier2_1.stf', '15', 'capture_phase_2', 'Ack, panic!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier2_1.stf', '16', 'capture_phase_2_1', 'Automated System Capture Complete');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier2_1.stf', '17', 'capture_phase_2_2', 'Automated System Capture Complete');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier2_1.stf', '18', 'capture_phase_2_3', 'I am done for!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier2_1.stf', '19', 'capture_phase_2_4', 'I am done for!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier2_1.stf', '20', 'capture_phase_2_5', 'I am done for!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier2_1.stf', '21', 'capture_started', 'Capture has begun.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier2_1.stf', '22', 'complete', 'Capture Complete');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier2_1.stf', '23', 'complete_1', 'Capture Complete');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier2_1.stf', '24', 'complete_2', 'Capture Complete');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier2_1.stf', '25', 'complete_3', 'It is finished');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier2_1.stf', '26', 'complete_4', 'It is finished');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier2_1.stf', '27', 'complete_5', 'It is finished');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier2_1.stf', '28', 'escort_remaining', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 An escorting craft has been destroyed, %DI remain. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier2_1.stf', '29', 'escort_wiped_out', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 All escorting craft have been destroyed. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier2_1.stf', '30', 'failed_destroy', 'You have failed as the transport was destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier2_1.stf', '31', 'failed_escape', 'The transport has escaped, you fail.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier2_1.stf', '32', 'panic_1', 'At least let me defend myself, they won\'t let me be taken.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier2_1.stf', '33', 'panic_2', 'I\'m the victim here!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier2_1.stf', '34', 'panic_3', 'Ack!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier2_1.stf', '35', 'panic_4', 'Ack!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier2_1.stf', '36', 'panic_5', 'Ack!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier2_1.stf', '37', 'quest_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier2_1.stf', '38', 'quest_disable_d', 'Shoot the freighters engines to disable them');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier2_1.stf', '39', 'quest_disable_t', 'Disable Target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier2_1.stf', '40', 'quest_escort_d', 'Escort the Freighter out of the system.  The Imperials would rather destroy them than let us have them.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier2_1.stf', '41', 'quest_escort_t', 'Escort Target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier2_1.stf', '42', 'quest_location_d', 'Trade lanes in the Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier2_1.stf', '43', 'quest_location_t', 'Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier2_1.stf', '44', 'quest_recover_d', 'Pull up close to begin the capture phase');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier2_1.stf', '45', 'quest_recover_t', 'Recover Target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier2_1.stf', '46', 'quest_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier2_1.stf', '47', 'quest_update', '\\#pcontrast3 < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier2_1.stf', '48', 'recovery_success', 'The recovery is a success.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier2_1.stf', '49', 'target_disabled', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 The freighter is disabled, proceed with capture. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier2_1.stf', '50', 'taunt_1', 'Piracy will not be tolerated');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier2_1.stf', '51', 'taunt_2', 'Your chance to surrender has passed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier2_1.stf', '52', 'taunt_3', 'You will die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier2_1.stf', '53', 'taunt_4', 'You will die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier2_1.stf', '54', 'taunt_5', 'You will die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier2_1.stf', '55', 'thanks_1', 'I am not sure who is worse, you or them!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier2_1.stf', '56', 'thanks_2', 'I better not get blamed for this.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier2_1.stf', '57', 'thanks_3', 'Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier2_1.stf', '58', 'thanks_4', 'Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier2_1.stf', '59', 'thanks_5', 'Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier2_1.stf', '60', 'title', 'Dantooine System: Duty: Disrupt Dantooine Shipping');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier2_1.stf', '61', 'title_d', 'Piracy in deep space, capture civilian freighters');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier4_1.stf', '1', 'abort', 'You have failed the mission because it was aborted.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier4_1.stf', '2', 'angry_disable', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier4_1.stf', '3', 'arrival_phase_1', 'Awaiting arrival of the freighter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier4_1.stf', '4', 'arrival_phase_2', 'The freighter has arrived, proceed to intercept.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier4_1.stf', '5', 'attack_notify', 'Enemy craft detected on attack vector.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier4_1.stf', '6', 'attack_stopped', 'Enemy activity has stopped.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier4_1.stf', '7', 'capture_complete', 'Capture is complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier4_1.stf', '8', 'capture_phase_1', 'Capture has begun.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier4_1.stf', '9', 'capture_phase_1_1', 'You are a fool to go against the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier4_1.stf', '10', 'capture_phase_1_2', 'This is a mistake');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier4_1.stf', '11', 'capture_phase_1_3', 'You have signed your own death warrant');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier4_1.stf', '12', 'capture_phase_1_4', 'Capture beginning!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier4_1.stf', '13', 'capture_phase_1_5', 'Capture beginning!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier4_1.stf', '14', 'capture_phase_2', 'Capture is almost complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier4_1.stf', '15', 'capture_phase_2_1', 'Too late to turn back now fool');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier4_1.stf', '16', 'capture_phase_2_2', 'Lead the way... to our doom');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier4_1.stf', '17', 'capture_phase_2_3', 'The Empire approaches, our fall is eminent.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier4_1.stf', '18', 'capture_phase_2_4', 'The capture is almost complete!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier4_1.stf', '19', 'capture_phase_2_5', 'The capture is almost complete!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier4_1.stf', '20', 'capture_started', 'Beginning Capture Process.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier4_1.stf', '21', 'complete', 'Capture done!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier4_1.stf', '22', 'complete_1', 'The freighter is away, good job.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier4_1.stf', '23', 'complete_2', 'One less imperial in the trade lanes');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier4_1.stf', '24', 'complete_3', 'Profit');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier4_1.stf', '25', 'complete_4', 'Capture done!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier4_1.stf', '26', 'complete_5', 'Capture done!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier4_1.stf', '27', 'escort_remaining', 'Escorting craft has been destroyed, %DI remain.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier4_1.stf', '28', 'escort_wiped_out', 'All Escorting craft have been destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier4_1.stf', '29', 'failed_destroy', 'You have failed because the freighter was destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier4_1.stf', '30', 'failed_escape', 'You have failed because the freighter escaped.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier4_1.stf', '31', 'panic_1', 'They come for us both.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier4_1.stf', '32', 'panic_2', 'You cannot be allowed to succeed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier4_1.stf', '33', 'panic_3', 'I for one welcome death');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier4_1.stf', '34', 'panic_4', 'Help!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier4_1.stf', '35', 'panic_5', 'Help!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier4_1.stf', '36', 'quest_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier4_1.stf', '37', 'quest_disable_d', 'Target the crafts engines to disable them');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier4_1.stf', '38', 'quest_disable_t', 'Disable Target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier4_1.stf', '39', 'quest_escort_d', 'Escort the target safely out of the system');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier4_1.stf', '40', 'quest_escort_t', 'Escort Target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier4_1.stf', '41', 'quest_location_d', 'An Imperial trade route in the Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier4_1.stf', '42', 'quest_location_t', 'Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier4_1.stf', '43', 'quest_recover_d', 'Fly up near the target to begin the capture process');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier4_1.stf', '44', 'quest_recover_t', 'Recover Target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier4_1.stf', '45', 'quest_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier4_1.stf', '46', 'quest_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier4_1.stf', '47', 'recovery_success', 'The operation is a success.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier4_1.stf', '48', 'target_disabled', 'The objective has been disabled.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier4_1.stf', '49', 'taunt_1', 'Those who stand agains the Empire will perish');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier4_1.stf', '50', 'taunt_2', 'Die Pirate!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier4_1.stf', '51', 'taunt_3', 'You were a fool.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier4_1.stf', '52', 'taunt_4', 'You will die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier4_1.stf', '53', 'taunt_5', 'You will die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier4_1.stf', '54', 'thanks_1', 'You cannot hold out forever');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier4_1.stf', '55', 'thanks_2', 'More will come');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier4_1.stf', '56', 'thanks_3', 'The resources of the Empire are limitless');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier4_1.stf', '57', 'thanks_4', 'Thank you!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier4_1.stf', '58', 'thanks_5', 'Thank you!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier4_1.stf', '59', 'title', 'Dantooine System: Duty: Capture the Imperial Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_privateer_tier4_1.stf', '60', 'title_d', 'Steal the Imperial freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_rebel_tier4_1.stf', '1', 'abort', 'I guess the help of the Alliance have limits eh?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_rebel_tier4_1.stf', '2', 'angry_disable', 'You will never get away with this!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_rebel_tier4_1.stf', '3', 'arrival_phase_1', 'Receiving coordinates from one of our spy ships now, stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_rebel_tier4_1.stf', '4', 'arrival_phase_2', 'Proceed to these coordinates and disable the prison transport.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_rebel_tier4_1.stf', '5', 'attack_notify', 'Tactical Computer: < Incoming fighter vessels. Scans show weapons armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_rebel_tier4_1.stf', '6', 'attack_stopped', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_rebel_tier4_1.stf', '7', 'capture_complete', 'Rebel Command: < The prisoners are in control, escort them to safety. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_rebel_tier4_1.stf', '8', 'capture_phase_1', 'Hello? Thanks for the help! We will try and over-power the crew!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_rebel_tier4_1.stf', '9', 'capture_phase_1_1', 'Hello? Thanks for the help! We will try and over-power the crew!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_rebel_tier4_1.stf', '10', 'capture_phase_1_2', 'We\'ll never get a chance like this again boys! Take out the crew!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_rebel_tier4_1.stf', '11', 'capture_phase_1_3', 'You\'re not so tough now that the cells are open are you? Take this you Imperial scum!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_rebel_tier4_1.stf', '12', 'capture_phase_1_4', 'Who ever said the Alliance were nothing but terrorists need to think again. We will try to take over the ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_rebel_tier4_1.stf', '13', 'capture_phase_1_5', 'Our cells are open! Charge them boys, take over the ship!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_rebel_tier4_1.stf', '14', 'capture_phase_2', 'We have control of the bridge, one of our guys is repairing the engines now!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_rebel_tier4_1.stf', '15', 'capture_phase_2_1', 'We have control of the bridge, one of our guys is repairing the engines now!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_rebel_tier4_1.stf', '16', 'capture_phase_2_2', 'I\'m in the pilot seat now and we\'re getting the ship up and running, hold on.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_rebel_tier4_1.stf', '17', 'capture_phase_2_3', 'Time to get out of here, this ship is ours!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_rebel_tier4_1.stf', '18', 'capture_phase_2_4', 'Rebel? We are in control here, doing the final repairs of the ship and then we\'re ready to move out.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_rebel_tier4_1.stf', '19', 'capture_phase_2_5', 'Freedom, here we come! We\'re almost ready to get the heck out of here pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_rebel_tier4_1.stf', '20', 'capture_started', 'Rebel Command: < The virus is unlocking the cells, wait for the prisoners to take control of the vessel and then escort them out of there. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_rebel_tier4_1.stf', '21', 'complete', 'We are in your debt Rebel, we won\'t forget this.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_rebel_tier4_1.stf', '22', 'complete_1', 'We are in your debt Rebel, we won\'t forget this.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_rebel_tier4_1.stf', '23', 'complete_2', 'I can almost taste the Jawa juice in my home cantina. We\'re home free boys!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_rebel_tier4_1.stf', '24', 'complete_3', 'This guy deserve a standing ovation boys, I think we\'re safe!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_rebel_tier4_1.stf', '25', 'complete_4', 'I thought my days would end in an Imperial prison. We are very grateful my friend.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_rebel_tier4_1.stf', '26', 'complete_5', 'I think that\'s it everyone, we\'re out of here! Thanks again Rebel!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_rebel_tier4_1.stf', '27', 'escort_remaining', 'Rebel Command: < Good job, take out all of the escort fighters! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_rebel_tier4_1.stf', '28', 'escort_wiped_out', 'Rebel Command: < Great, that should make the rest of this mission a breeze! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_rebel_tier4_1.stf', '29', 'failed_destroy', 'We lost the prison ship, abort the mission!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_rebel_tier4_1.stf', '30', 'failed_escape', 'The prison ship slipped away, this mission is over.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_rebel_tier4_1.stf', '31', 'panic_1', 'I wish this piece of junk had some weapons!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_rebel_tier4_1.stf', '32', 'panic_2', 'Bubble boys heading our way!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_rebel_tier4_1.stf', '33', 'panic_3', 'I was hoping that they were busy elsewhere but I guess not.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_rebel_tier4_1.stf', '34', 'panic_4', 'Hang on boys, the Empire doesn\'t want us to leave just yet!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_rebel_tier4_1.stf', '35', 'panic_5', 'TIE fighters! Shouldn\'t be a problem for you right? Right?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_rebel_tier4_1.stf', '36', 'quest_disable_d', 'Use your targeting computer ([ or ] by default) to disable the prison transports engines or reactor.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_rebel_tier4_1.stf', '37', 'quest_disable_t', 'Disable prison transport.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_rebel_tier4_1.stf', '38', 'quest_escort_d', 'Quickly escort the prison transport out of the area. The Empire has undoubtedly called for reinforcements so be prepared to come under attack.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_rebel_tier4_1.stf', '39', 'quest_escort_t', 'Escort prisoners to safety.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_rebel_tier4_1.stf', '40', 'quest_location_d', 'The Dathomir system is highly guarded by the Empire. It seems they want no one to gain access to its hospitable planet, or be allowed to leave it. They have one of their high security prisons on the planet it\'s guarded like it was the Emperors palace.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_rebel_tier4_1.stf', '41', 'quest_location_t', 'Dathomir system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_rebel_tier4_1.stf', '42', 'quest_recover_d', 'The prisoners have broken free and are trying to gain control of the transport. Ensure their safety from enemy ships in the meantime.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_rebel_tier4_1.stf', '43', 'quest_recover_t', 'Prisoners break free.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_rebel_tier4_1.stf', '44', 'quest_update', 'Rebel Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_rebel_tier4_1.stf', '45', 'recovery_success', 'Great job pilot, the prisoners are safe. One of our shuttles will pick them up.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_rebel_tier4_1.stf', '46', 'target_disabled', 'Tactical Computer: < Sensors indicate target vessel disabled. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_rebel_tier4_1.stf', '47', 'taunt_1', 'Sometimes I think you Rebels have gone mad. Did you think we\'d just let you fly out of here?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_rebel_tier4_1.stf', '48', 'taunt_2', 'So that\'s what the Rebels do now a days, free convicted prisoners. Well I guess you\'re all the same.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_rebel_tier4_1.stf', '49', 'taunt_3', 'Just when I thought Rebels couldn\'t get any dumber, you pull a stunt like this.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_rebel_tier4_1.stf', '50', 'taunt_4', 'You\'re in violation of so many Imperial laws that I\'ll do our judges a favor and never let you make the courtroom.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_rebel_tier4_1.stf', '51', 'taunt_5', 'Your joyride ends here fools!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_rebel_tier4_1.stf', '52', 'thanks_1', 'Haha, did you see that guys? They didn\'t know what hit \'em!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_rebel_tier4_1.stf', '53', 'thanks_2', 'That\'s right! Cream those suckers!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_rebel_tier4_1.stf', '54', 'thanks_3', 'I wish I was out there, it\'s not right that you get to have all the fun!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_rebel_tier4_1.stf', '55', 'thanks_4', 'Yeah! Bring \'em on! We got the super pilot of doom covering our back!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_rebel_tier4_1.stf', '56', 'thanks_5', 'I\'m glad he\'s on our side guys.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_rebel_tier4_1.stf', '57', 'title', 'Dathomir system: Duty mission: Rescue prisoners from the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_rebel_tier4_1.stf', '58', 'title_d', 'Your orders are to intercept prison ships in the Dathomir system to try and break free captured Rebels and the wrongfully convicted. We have equipped your ship with a probe that can hack the onboard computer to open the prison cells on the Imperial transport. When you feel that you have exhausted your ship, yourself or that you have enough experience to continue your training, you can return to base at anytime.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_station_hutt_recovery_duty_tier1_1.stf', '1', 'abort', 'Hey! What are you doing? You\'re supposed to escort us out of here!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_station_hutt_recovery_duty_tier1_1.stf', '2', 'angry_disable', 'Wh..what is going on here?!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_station_hutt_recovery_duty_tier1_1.stf', '3', 'arrival_phase_1', 'Alright, one of our infiltrated crews has contacted me and they are ready to take control. Uploading coordinates to you now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_station_hutt_recovery_duty_tier1_1.stf', '4', 'arrival_phase_2', 'You should have the coordinates now, get over there and disable that freighter so our boys can take control of it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_station_hutt_recovery_duty_tier1_1.stf', '5', 'attack_notify', 'Tactical Computer: < Incoming fighter vessels. Scans show weapons armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_station_hutt_recovery_duty_tier1_1.stf', '6', 'attack_stopped', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_station_hutt_recovery_duty_tier1_1.stf', '7', 'capture_complete', 'Hutt Pirate Captain: < Our boys are in control. Escort them to safety pilot. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_station_hutt_recovery_duty_tier1_1.stf', '8', 'capture_phase_1_1', 'It\'s party time boys!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_station_hutt_recovery_duty_tier1_1.stf', '9', 'capture_phase_1_2', 'Let\'s take this piece of junk.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_station_hutt_recovery_duty_tier1_1.stf', '10', 'capture_phase_1_3', 'Alright we\'re starting the fun, we\'ll let you know when we\'re in control pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_station_hutt_recovery_duty_tier1_1.stf', '11', 'capture_phase_1_4', 'The freighter will be ours in a flash, stand by pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_station_hutt_recovery_duty_tier1_1.stf', '12', 'capture_phase_1_5', 'Boys, the ship is disabled, let\'s knock out the crew and get out of here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_station_hutt_recovery_duty_tier1_1.stf', '13', 'capture_phase_2_1', 'Alright pilot, we\'re in control and repairing the ship now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_station_hutt_recovery_duty_tier1_1.stf', '14', 'capture_phase_2_2', 'We got it pilot. Working on getting the ship running now, give us a few more seconds.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_station_hutt_recovery_duty_tier1_1.stf', '15', 'capture_phase_2_3', 'The freighter is ours, piece a cake. Escort us out of here pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_station_hutt_recovery_duty_tier1_1.stf', '16', 'capture_phase_2_4', 'The freighter crew put up little resistance, as expected. We\'ll be rolling out of here in a few seconds.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_station_hutt_recovery_duty_tier1_1.stf', '17', 'capture_phase_2_5', 'We did our part, now it\'s up to you to take us safely out of here pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_station_hutt_recovery_duty_tier1_1.stf', '18', 'capture_started', 'Tactical Computer: < Sensors show laser fire onboard target vessel. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_station_hutt_recovery_duty_tier1_1.stf', '19', 'complete', 'We\'re fine from here. Not too bad pilot, see you around!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_station_hutt_recovery_duty_tier1_1.stf', '20', 'escort_remaining', 'Hutt Pirate Captain: < Good job pilot! Taking out the escort will ensure the safety of our men on the freighter. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_station_hutt_recovery_duty_tier1_1.stf', '21', 'escort_wiped_out', 'Hutt Pirate Captain: < Very nice, continue as planned, pilot. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_station_hutt_recovery_duty_tier1_1.stf', '22', 'failed_destroy', 'Some of our best men were on that ship! You better have a good explanation for this pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_station_hutt_recovery_duty_tier1_1.stf', '23', 'failed_escape', 'Bah, the freighter hyperspaced out of the system. We don\'t pay pilots for incompetence so don\'t expect a reward.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_station_hutt_recovery_duty_tier1_1.stf', '24', 'panic_1', 'I wish this piece of junk had some weapons, I don\'t like feeling helpless.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_station_hutt_recovery_duty_tier1_1.stf', '25', 'panic_2', 'Time to earn your pay pilot, we got bogeys incoming.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_station_hutt_recovery_duty_tier1_1.stf', '26', 'panic_3', 'Looks like we got company, brace yourself boys.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_station_hutt_recovery_duty_tier1_1.stf', '27', 'panic_4', 'Hmm, I don\'t like the look of those fighters that just popped up on our sensors.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_station_hutt_recovery_duty_tier1_1.stf', '28', 'panic_5', 'This is the part I hate, stuck in a useless freighter while my escort has all the fun.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_station_hutt_recovery_duty_tier1_1.stf', '29', 'quest_disable_d', 'The Hutt pirates have infiltrated the freighter with some of their pirates. Disable it so that they can take over the ship. In order to disable it you need to target and destroy its reactor or engines. To target specific components on a star ship, input the bracket commands ( ] or [ ) to your tactical computer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_station_hutt_recovery_duty_tier1_1.stf', '30', 'quest_disable_t', 'Disable the freighter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_station_hutt_recovery_duty_tier1_1.stf', '31', 'quest_escort_d', 'The pirates are in control and need a escort to safety. Follow the freighter and be ready to defend it from hostile fighters picking up on your activity.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_station_hutt_recovery_duty_tier1_1.stf', '32', 'quest_escort_t', 'Get out of there!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_station_hutt_recovery_duty_tier1_1.stf', '33', 'quest_location_d', 'The Tatooine system is a haven for the scum of the galaxy. Pirates, smugglers and mercenaries flock to the system and prey on the weak. Stay sharp out there and treat everyone as a possible threat.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_station_hutt_recovery_duty_tier1_1.stf', '34', 'quest_location_t', 'Tatooine system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_station_hutt_recovery_duty_tier1_1.stf', '35', 'quest_recover_d', 'The Hutt pirates are starting to take over the freighter, in the way that only they can. While they are busy onboard the freighter make sure to keep it safe from nearby enemies.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_station_hutt_recovery_duty_tier1_1.stf', '36', 'quest_recover_t', 'Pirate brawl.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_station_hutt_recovery_duty_tier1_1.stf', '37', 'quest_update', 'Hutt Pirate Captain: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_station_hutt_recovery_duty_tier1_1.stf', '38', 'recovery_success', 'Not too bad pilot, I guess we owe you some pay for that.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_station_hutt_recovery_duty_tier1_1.stf', '39', 'target_disabled', 'Tactical Computer: < Scans show target vessel disabled. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_station_hutt_recovery_duty_tier1_1.stf', '40', 'taunt_1', 'Stand down and we may let you live!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_station_hutt_recovery_duty_tier1_1.stf', '41', 'taunt_2', 'End of the line I\'m afraid.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_station_hutt_recovery_duty_tier1_1.stf', '42', 'taunt_3', 'You\'re not leaving with that freighter, sorry.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_station_hutt_recovery_duty_tier1_1.stf', '43', 'taunt_4', 'You blasted Hutt scum think you can do what you please around here. Well think again!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_station_hutt_recovery_duty_tier1_1.stf', '44', 'taunt_5', 'Pirate fools, did you really think we would just let you fly out of here?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_station_hutt_recovery_duty_tier1_1.stf', '45', 'thanks_1', 'Hahaha, awesome work pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_station_hutt_recovery_duty_tier1_1.stf', '46', 'thanks_2', 'Yeah! Looks like we hired the right pilot this time.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_station_hutt_recovery_duty_tier1_1.stf', '47', 'thanks_3', 'This pilot has some skill! Wouldn\'t you agree boys?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_station_hutt_recovery_duty_tier1_1.stf', '48', 'thanks_4', 'Well, I guess I can just turn on the autopilot. Looks like you got it covered out there pilot');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_station_hutt_recovery_duty_tier1_1.stf', '49', 'thanks_5', 'Me and the boys will just continue our Sabacc game now, you seem to be able to handle yourself out there pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_station_hutt_recovery_duty_tier1_1.stf', '50', 'title', 'Tatooine system: Duty mission: Assist the Hutts in capturing freighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/tatooine_station_hutt_recovery_duty_tier1_1.stf', '51', 'title_d', 'Jabba, the Hutt crime lord of Tatooine is hiring pilots in the Tatooine system to assist him in capturing freighters with valuable merchandise. Follow the instructions in the mission closely, you don\'t want to fail Jabba once he\'s hired your services.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/test_recovery_duty.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/test_recovery_duty.stf', '2', 'abort', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/test_recovery_duty.stf', '3', 'arrival_phase_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/test_recovery_duty.stf', '4', 'arrival_phase_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/test_recovery_duty.stf', '5', 'attack_notify', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/test_recovery_duty.stf', '6', 'attack_stopped', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/test_recovery_duty.stf', '7', 'capture_complete', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/test_recovery_duty.stf', '8', 'capture_phase_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/test_recovery_duty.stf', '9', 'capture_phase_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/test_recovery_duty.stf', '10', 'capture_phase_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/test_recovery_duty.stf', '11', 'capture_phase_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/test_recovery_duty.stf', '12', 'capture_phase_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/test_recovery_duty.stf', '13', 'capture_phase_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/test_recovery_duty.stf', '14', 'capture_phase_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/test_recovery_duty.stf', '15', 'capture_phase_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/test_recovery_duty.stf', '16', 'capture_phase_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/test_recovery_duty.stf', '17', 'capture_phase_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/test_recovery_duty.stf', '18', 'capture_started', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/test_recovery_duty.stf', '19', 'complete', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/test_recovery_duty.stf', '20', 'complete_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/test_recovery_duty.stf', '21', 'complete_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/test_recovery_duty.stf', '22', 'complete_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/test_recovery_duty.stf', '23', 'complete_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/test_recovery_duty.stf', '24', 'complete_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/test_recovery_duty.stf', '25', 'escort_remaining', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/test_recovery_duty.stf', '26', 'escort_wiped_out', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/test_recovery_duty.stf', '27', 'failed_destroy', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/test_recovery_duty.stf', '28', 'failed_escape', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/test_recovery_duty.stf', '29', 'panic_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/test_recovery_duty.stf', '30', 'panic_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/test_recovery_duty.stf', '31', 'panic_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/test_recovery_duty.stf', '32', 'panic_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/test_recovery_duty.stf', '33', 'panic_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/test_recovery_duty.stf', '34', 'quest_disable_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/test_recovery_duty.stf', '35', 'quest_disable_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/test_recovery_duty.stf', '36', 'quest_escort_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/test_recovery_duty.stf', '37', 'quest_escort_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/test_recovery_duty.stf', '38', 'quest_location_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/test_recovery_duty.stf', '39', 'quest_location_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/test_recovery_duty.stf', '40', 'quest_recover_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/test_recovery_duty.stf', '41', 'quest_recover_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/test_recovery_duty.stf', '42', 'quest_update', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/test_recovery_duty.stf', '43', 'recovery_success', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/test_recovery_duty.stf', '44', 'target_disabled', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/test_recovery_duty.stf', '45', 'taunt_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/test_recovery_duty.stf', '46', 'taunt_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/test_recovery_duty.stf', '47', 'taunt_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/test_recovery_duty.stf', '48', 'taunt_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/test_recovery_duty.stf', '49', 'taunt_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/test_recovery_duty.stf', '50', 'thanks_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/test_recovery_duty.stf', '51', 'thanks_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/test_recovery_duty.stf', '52', 'thanks_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/test_recovery_duty.stf', '53', 'thanks_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/test_recovery_duty.stf', '54', 'thanks_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/test_recovery_duty.stf', '55', 'title', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/test_recovery_duty.stf', '56', 'title_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/viopa_rebel_7.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/viopa_rebel_7.stf', '2', 'abort', 'You better have a good reason for aborting in the middle of this Rebel!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/viopa_rebel_7.stf', '3', 'angry_disable', 'We will have our revenge, mark my words!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/viopa_rebel_7.stf', '4', 'arrival_phase_1', 'Okay Rebel. We have some men aboard a Corsair ship that should arrive any moment now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/viopa_rebel_7.stf', '5', 'arrival_phase_2', 'The Corsair fools are here. Intercept and disable their engines Rebel!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/viopa_rebel_7.stf', '6', 'attack_notify', 'Tactical Computer: < Incoming fighter vessels. Scans show weapons armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/viopa_rebel_7.stf', '7', 'attack_stopped', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/viopa_rebel_7.stf', '8', 'attack_update', 'Tactical Computer: < Sensors show armed fighter vessels on intercept course. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/viopa_rebel_7.stf', '9', 'capture_complete', 'Tactical Computer: < Scans show target vessel self repairing and powering up. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/viopa_rebel_7.stf', '10', 'capture_phase_1', 'Time to show these Corsair numbnuts who they are dealing with!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/viopa_rebel_7.stf', '11', 'capture_phase_1_1', 'Time to show these Corsair numbnuts who they are dealing with!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/viopa_rebel_7.stf', '12', 'capture_phase_1_2', 'Party time boys! Shoot \'em down!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/viopa_rebel_7.stf', '13', 'capture_phase_1_3', 'For Lord Nym!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/viopa_rebel_7.stf', '14', 'capture_phase_1_4', 'To the bridge! No prisoners!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/viopa_rebel_7.stf', '15', 'capture_phase_1_5', 'Making our way to the bridge, these Corsairs won\'t know what hit \'em!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/viopa_rebel_7.stf', '16', 'capture_phase_2', 'This will be a breeze, half the crew were drunk!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/viopa_rebel_7.stf', '17', 'capture_phase_2_1', 'This will be a breeze, half the crew were drunk!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/viopa_rebel_7.stf', '18', 'capture_phase_2_2', 'Arrrgh! Keep fighting boys!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/viopa_rebel_7.stf', '19', 'capture_phase_2_3', 'Take this, weakling Corsairs!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/viopa_rebel_7.stf', '20', 'capture_phase_2_4', 'Kicking down the door to the bridge now. Muahahaha!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/viopa_rebel_7.stf', '21', 'capture_phase_2_5', 'Hey! That one is still alive!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/viopa_rebel_7.stf', '22', 'capture_started', 'Nym Pirate Officer: < Their ship is disabled. Our men will fight to the bridge, hold tight Rebel. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/viopa_rebel_7.stf', '23', 'complete', 'Well, we\'re out of here. Not bad for a Rebel, not bad at all!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/viopa_rebel_7.stf', '24', 'complete_1', 'Well, we\'re out of here. Not bad for a Rebel, not bad at all!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/viopa_rebel_7.stf', '25', 'complete_2', 'Alright, we\'re safe. Time to party boys!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/viopa_rebel_7.stf', '26', 'complete_3', 'This will do fine. Good job out there Rebel!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/viopa_rebel_7.stf', '27', 'complete_4', 'What can I say, you got the job done Rebel. See ya!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/viopa_rebel_7.stf', '28', 'complete_5', 'Stop by Nym\'s casino for a drink later pilot, it\'s on me!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/viopa_rebel_7.stf', '29', 'escort_remaining', 'Tactical Computer: < Sensors still show armed fighter vessels in immediate area. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/viopa_rebel_7.stf', '30', 'escort_wiped_out', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/viopa_rebel_7.stf', '31', 'failed_destroy', 'Crap! What happened Rebel? We lost contact with our guys!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/viopa_rebel_7.stf', '32', 'failed_escape', 'The Corsair snakes escaped! Oh well, plenty more where they came from!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/viopa_rebel_7.stf', '33', 'hull_half', 'Aww crap mate, we\'re loosing hull pressure here. Get those fools of us!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/viopa_rebel_7.stf', '34', 'panic_1', 'Incoming Corsairs. Show us what you can do Rebel!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/viopa_rebel_7.stf', '35', 'panic_2', 'I guess they didn\'t want us to take their ship!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/viopa_rebel_7.stf', '36', 'panic_3', 'Your show now Rebel, take those fools out!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/viopa_rebel_7.stf', '37', 'panic_4', 'I guess they want their ship back. Well they can\'t have it!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/viopa_rebel_7.stf', '38', 'panic_5', 'Hopefully you\'re good Rebel, we got company!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/viopa_rebel_7.stf', '39', 'quest_disable_d', 'Disable the engines or reactor of the Corsair ship so that the Nym pirates on board can take control of the vessel. To target specific components on a star ship, input the bracket commands ( ] or [ ) to your tactical computer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/viopa_rebel_7.stf', '40', 'quest_disable_t', 'Disable the Corsair ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/viopa_rebel_7.stf', '41', 'quest_escort_d', 'Escort the stolen ship to safety and be prepared for Corsair counter attacks.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/viopa_rebel_7.stf', '42', 'quest_escort_t', 'Escort the bounty.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/viopa_rebel_7.stf', '43', 'quest_location_d', 'The Corsair have been the biggest threat to Nym ruling Lok for many years, but so far, Nym has prevailed. Stealing the ships of the Corsair will wage the war even more in the favor of Nym, so it\'s one of his favorite hobbies.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/viopa_rebel_7.stf', '44', 'quest_location_t', 'Lok system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/viopa_rebel_7.stf', '45', 'quest_recover_d', 'The Nym pirates are wreaking havoc on board the Corsair ship. In the meantime you should protect it from any outside threats.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/viopa_rebel_7.stf', '46', 'quest_recover_t', 'Arrgh.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/viopa_rebel_7.stf', '47', 'quest_update', 'Nym Pirate Officer: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/viopa_rebel_7.stf', '48', 'recovery_success', 'We got the ship. Great job Rebel, ever considered a career in piracy?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/viopa_rebel_7.stf', '49', 'shields_depleted', 'Alright, we just lost our shields. Hand me that bottle man!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/viopa_rebel_7.stf', '50', 'target_disabled', 'Tactical Computer: < Scans show target vessel disabled. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/viopa_rebel_7.stf', '51', 'taunt_1', 'What the heck do you think you\'re doing to our ship?!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/viopa_rebel_7.stf', '52', 'taunt_2', 'Nym\'s and Rebel\'s, you\'re all fools!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/viopa_rebel_7.stf', '53', 'taunt_3', 'My head, I knew I shouldn\'t have had that last bottle yesterday...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/viopa_rebel_7.stf', '54', 'taunt_4', 'Finally a good fight, take it to \'em boys!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/viopa_rebel_7.stf', '55', 'taunt_5', 'Well well, what do we have here? Nym fools and Rebel scum getting all cozy, we can\'t have that!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/viopa_rebel_7.stf', '56', 'thanks_1', 'Whow! I guess Rebels know how to fly after all!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/viopa_rebel_7.stf', '57', 'thanks_2', 'That\'s it! If I didn\'t know better, I\'d think you were one of us Rebel!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/viopa_rebel_7.stf', '58', 'thanks_3', 'Sit back and enjoy the show boys, this pilot is not bad!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/viopa_rebel_7.stf', '59', 'thanks_4', 'You owe me 50 creds guys, I told you he would make it!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/viopa_rebel_7.stf', '60', 'thanks_5', 'Boom! That\'s it Rebel, bring it to \'em!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/viopa_rebel_7.stf', '61', 'title', 'Lok system: Duty mission: Steal Corsair ships.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/viopa_rebel_7.stf', '62', 'title_d', 'Nym has asked us for a favor in their war against the Corsair pirates. They have infiltrated some of the Corsair ships and need you to disable and escort them. When you feel that you have exhausted your ship, yourself or that you have enough experience to continue your training, you can return to base at anytime.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/vortex_mission_7.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/vortex_mission_7.stf', '2', 'abort', 'Abort code received, trying to perform emergency hyperspace jump.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/vortex_mission_7.stf', '3', 'angry_disable', 'You will pay for this, Rebel scum!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/vortex_mission_7.stf', '4', 'arrival_phase_1', 'The target should arrive in this system any moment now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/vortex_mission_7.stf', '5', 'arrival_phase_2', 'The Imperial ship has arrived. Intercept and disable it quickly!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/vortex_mission_7.stf', '6', 'attack_notify', 'Tactical Computer: < Incoming fighter vessels. Scans show weapons armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/vortex_mission_7.stf', '7', 'attack_stopped', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/vortex_mission_7.stf', '8', 'attack_update', 'Tactical Computer: < Sensors show armed fighter vessels on intercept course. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/vortex_mission_7.stf', '9', 'capture_complete', 'Tactical Computer: < Scans show target vessel self repairing and powering up. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/vortex_mission_7.stf', '10', 'capture_phase_1', 'Unit has breached target vessel. Terminating threats to unit.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/vortex_mission_7.stf', '11', 'capture_phase_1_1', 'Unit has breached target vessel. Terminating threats to unit.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/vortex_mission_7.stf', '12', 'capture_phase_1_2', 'Unit has breached target vessel. Terminating threats to unit.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/vortex_mission_7.stf', '13', 'capture_phase_1_3', 'Unit has breached target vessel. Terminating threats to unit.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/vortex_mission_7.stf', '14', 'capture_phase_1_4', 'Unit has breached target vessel. Terminating threats to unit.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/vortex_mission_7.stf', '15', 'capture_phase_1_5', 'Unit has breached target vessel. Terminating threats to unit.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/vortex_mission_7.stf', '16', 'capture_phase_2', 'Unit in place with full control of vessel. Self repairing ship now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/vortex_mission_7.stf', '17', 'capture_phase_2_1', 'Unit in place with full control of vessel. Self repairing ship now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/vortex_mission_7.stf', '18', 'capture_phase_2_2', 'Unit in place with full control of vessel. Self repairing ship now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/vortex_mission_7.stf', '19', 'capture_phase_2_3', 'Unit in place with full control of vessel. Self repairing ship now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/vortex_mission_7.stf', '20', 'capture_phase_2_4', 'Unit in place with full control of vessel. Self repairing ship now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/vortex_mission_7.stf', '21', 'capture_phase_2_5', 'Unit in place with full control of vessel. Self repairing ship now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/vortex_mission_7.stf', '22', 'capture_started', 'Tactical Computer: < Scans show droid unit in contact with target vessel and initiating capture sequence. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/vortex_mission_7.stf', '23', 'complete', 'Navigation course set. Initiating jump to hyperspeed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/vortex_mission_7.stf', '24', 'complete_1', 'Navigation course set. Initiating jump to hyperspeed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/vortex_mission_7.stf', '25', 'complete_2', 'Navigation course set. Initiating jump to hyperspeed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/vortex_mission_7.stf', '26', 'complete_3', 'Navigation course set. Initiating jump to hyperspeed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/vortex_mission_7.stf', '27', 'complete_4', 'Navigation course set. Initiating jump to hyperspeed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/vortex_mission_7.stf', '28', 'complete_5', 'Navigation course set. Initiating jump to hyperspeed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/vortex_mission_7.stf', '29', 'escort_remaining', 'Tactical Computer: < Sensors still show armed fighter vessels in immediate area. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/vortex_mission_7.stf', '30', 'escort_wiped_out', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/vortex_mission_7.stf', '31', 'failed_destroy', 'The Imperial ship has been destroyed. Abort mission. We\'ll get them next time!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/vortex_mission_7.stf', '32', 'failed_escape', 'The Imperial ship got away! Get out of there before reinforcements come your way.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/vortex_mission_7.stf', '33', 'panic_1', 'Sensors show incoming fighter vessels with armed weapons systems.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/vortex_mission_7.stf', '34', 'panic_2', 'Sensors show incoming fighter vessels with armed weapons systems.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/vortex_mission_7.stf', '35', 'panic_3', 'Sensors show incoming fighter vessels with armed weapons systems.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/vortex_mission_7.stf', '36', 'panic_4', 'Sensors show incoming fighter vessels with armed weapons systems.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/vortex_mission_7.stf', '37', 'panic_5', 'Sensors show incoming fighter vessels with armed weapons systems.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/vortex_mission_7.stf', '38', 'quest_disable_d', 'Disable the Imperial ship so that the space assault droid can take control of the ship. To target specific components on a star ship, input the bracket commands ( ] or [ ) to your tactical computer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/vortex_mission_7.stf', '39', 'quest_disable_t', 'Disable enemy vessel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/vortex_mission_7.stf', '40', 'quest_escort_d', 'Escort the stolen ship to the safety of our base. The Empire will not let you leave unscathed if they can prevent it so stay sharp.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/vortex_mission_7.stf', '41', 'quest_escort_t', 'Escort the stolen ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/vortex_mission_7.stf', '42', 'quest_location_d', 'Lately there\'s been an increasing Imperial presence in the Dantooine system. If we can capture some of their ships it will make us stronger and them weaker as well as provide some useful information.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/vortex_mission_7.stf', '43', 'quest_location_t', 'Dantooine system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/vortex_mission_7.stf', '44', 'quest_recover_d', 'The droid is now working on taking control of the ship. Protect it from Imperial fighters until the droid is done.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/vortex_mission_7.stf', '45', 'quest_recover_t', 'Stealing the ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/vortex_mission_7.stf', '46', 'quest_update', 'Rebel Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/vortex_mission_7.stf', '47', 'recovery_success', 'The ship is ours, on it\'s way to one of our space docks right now. Excellent work pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/vortex_mission_7.stf', '48', 'target_disabled', 'Tactical Computer: < Scans show target vessel disabled. Transferring droid model IG-31-V to target vessel. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/vortex_mission_7.stf', '49', 'taunt_1', 'You have broken multiple Imperial laws. Surrender or face the consequences.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/vortex_mission_7.stf', '50', 'taunt_2', 'You Rebel scum think you can do as you please around here. Well it ends now!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/vortex_mission_7.stf', '51', 'taunt_3', 'Rebel fool! You think we would just let you fly out of here with one of our ships?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/vortex_mission_7.stf', '52', 'taunt_4', 'I hope you didn\'t expect to come back from this mission Rebel?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/vortex_mission_7.stf', '53', 'taunt_5', 'The might of the Empire will crush you like the bug you are, Rebel fool!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/vortex_mission_7.stf', '54', 'thanks_1', 'Sensors show area clear of hostile fighter vessels. Continuing flight on planned escape path.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/vortex_mission_7.stf', '55', 'thanks_2', 'Sensors show area clear of hostile fighter vessels. Continuing flight on planned escape path.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/vortex_mission_7.stf', '56', 'thanks_3', 'Sensors show area clear of hostile fighter vessels. Continuing flight on planned escape path.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/vortex_mission_7.stf', '57', 'thanks_4', 'Sensors show area clear of hostile fighter vessels. Continuing flight on planned escape path.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/vortex_mission_7.stf', '58', 'thanks_5', 'Sensors show area clear of hostile fighter vessels. Continuing flight on planned escape path.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/vortex_mission_7.stf', '59', 'title', 'Dantooine system: Duty mission: Capture Imperial ships.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/vortex_mission_7.stf', '60', 'title_d', 'To level the war against the Empire a bit more we have decided to try and steal some of their fighter ships. They will also prove useful in infiltration and terror attacks against the Imperial fleet. Your ship is armed with an automated space assault droid that will take control of the enemy ship once you have disabled it. When you feel that you have exhausted your ship, yourself or that you have enough experience to continue your training, you can return to base at anytime.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/yavin_rebel_12.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/yavin_rebel_12.stf', '2', 'abort', 'Abort code received, trying to perform emergency hyperspace jump.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/yavin_rebel_12.stf', '3', 'angry_disable', 'What stunt are you crazy Rebels trying to pull here?!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/yavin_rebel_12.stf', '4', 'arrival_phase_1', 'The target should arrive in this sector any moment now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/yavin_rebel_12.stf', '5', 'arrival_phase_2', 'The Imperial ship has arrived. Intercept and disable it quickly!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/yavin_rebel_12.stf', '6', 'attack_notify', 'Tactical Computer: < Incoming fighter vessels. Scans show weapons armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/yavin_rebel_12.stf', '7', 'attack_stopped', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/yavin_rebel_12.stf', '8', 'capture_complete', 'Tactical Computer: < Scans show target vessel self repairing and powering up. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/yavin_rebel_12.stf', '9', 'capture_phase_1', 'Unit has breached target vessel. Terminating threats to unit.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/yavin_rebel_12.stf', '10', 'capture_phase_1_1', 'Unit has breached target vessel. Terminating threats to unit.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/yavin_rebel_12.stf', '11', 'capture_phase_1_2', 'Unit has breached target vessel. Terminating threats to unit.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/yavin_rebel_12.stf', '12', 'capture_phase_1_3', 'Unit has breached target vessel. Terminating threats to unit.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/yavin_rebel_12.stf', '13', 'capture_phase_1_4', 'Unit has breached target vessel. Terminating threats to unit.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/yavin_rebel_12.stf', '14', 'capture_phase_1_5', 'Unit has breached target vessel. Terminating threats to unit.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/yavin_rebel_12.stf', '15', 'capture_phase_2', 'Unit in place with full control of vessel. Self repairing ship now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/yavin_rebel_12.stf', '16', 'capture_phase_2_1', 'Unit in place with full control of vessel. Self repairing ship now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/yavin_rebel_12.stf', '17', 'capture_phase_2_2', 'Unit in place with full control of vessel. Self repairing ship now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/yavin_rebel_12.stf', '18', 'capture_phase_2_3', 'Unit in place with full control of vessel. Self repairing ship now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/yavin_rebel_12.stf', '19', 'capture_phase_2_4', 'Unit in place with full control of vessel. Self repairing ship now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/yavin_rebel_12.stf', '20', 'capture_phase_2_5', 'Unit in place with full control of vessel. Self repairing ship now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/yavin_rebel_12.stf', '21', 'capture_started', 'Tactical Computer: < Scans show droid unit in contact with target vessel and initiating capture sequence. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/yavin_rebel_12.stf', '22', 'complete', 'Navigation course set. Initiating jump to hyperspeed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/yavin_rebel_12.stf', '23', 'complete_1', 'Navigation course set. Initiating jump to hyperspeed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/yavin_rebel_12.stf', '24', 'complete_2', 'Navigation course set. Initiating jump to hyperspeed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/yavin_rebel_12.stf', '25', 'complete_3', 'Navigation course set. Initiating jump to hyperspeed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/yavin_rebel_12.stf', '26', 'complete_4', 'Navigation course set. Initiating jump to hyperspeed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/yavin_rebel_12.stf', '27', 'complete_5', 'Navigation course set. Initiating jump to hyperspeed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/yavin_rebel_12.stf', '28', 'duty_update', 'Rebel Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/yavin_rebel_12.stf', '29', 'escort_remaining', 'Tactical Computer: < Sensors still show armed fighter vessels in immediate area. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/yavin_rebel_12.stf', '30', 'escort_wiped_out', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/yavin_rebel_12.stf', '31', 'failed_destroy', 'The Imperial ship has been destroyed. Abort mission. We\'ll get them next time!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/yavin_rebel_12.stf', '32', 'failed_escape', 'The Imperial ship got away! Get out of there before reinforcements come your way.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/yavin_rebel_12.stf', '33', 'panic_1', 'Sensors show incoming fighter vessels with armed weapons systems.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/yavin_rebel_12.stf', '34', 'panic_2', 'Sensors show incoming fighter vessels with armed weapons systems.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/yavin_rebel_12.stf', '35', 'panic_3', 'Sensors show incoming fighter vessels with armed weapons systems.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/yavin_rebel_12.stf', '36', 'panic_4', 'Sensors show incoming fighter vessels with armed weapons systems.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/yavin_rebel_12.stf', '37', 'panic_5', 'Sensors show incoming fighter vessels with armed weapons systems.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/yavin_rebel_12.stf', '38', 'quest_disable_d', 'Disable the Imperial ship so that the space assault droid can take control of the ship. To target specific components on a star ship, input the bracket commands ( ] or [ ) to your tactical computer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/yavin_rebel_12.stf', '39', 'quest_disable_t', 'Disable the Imperial vessel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/yavin_rebel_12.stf', '40', 'quest_escort_d', 'Escort the stolen ship to the safety of our base. The Empire will not let you leave unscathed if they can prevent it so be ready for everything.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/yavin_rebel_12.stf', '41', 'quest_escort_t', 'Escort stolen ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/yavin_rebel_12.stf', '42', 'quest_location_d', 'The Imperial navy heavily outnumber the Alliance in the Yavin system so we need to be smart in our approach here. Stealing Imperial ships is a small victory everytime as it weakens the Empire and make us stronger. Be careful out there pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/yavin_rebel_12.stf', '43', 'quest_location_t', 'Yavin system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/yavin_rebel_12.stf', '44', 'quest_recover_d', 'The droid is now working on taking control of the ship. Protect it from Imperial fighters until the droid is done.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/yavin_rebel_12.stf', '45', 'quest_recover_t', 'Let the droid do its magic.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/yavin_rebel_12.stf', '46', 'quest_update', 'Rebel Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/yavin_rebel_12.stf', '47', 'recovery_success', 'The ship is ours, on it\'s way to one of our space docks right now. Excellent work pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/yavin_rebel_12.stf', '48', 'target_disabled', 'Tactical Computer: < Scans show target vessel disabled. Transferring droid model IG-31-V to target vessel. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/yavin_rebel_12.stf', '49', 'taunt_1', 'You have broken multiple Imperial laws. Surrender or face the consequences.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/yavin_rebel_12.stf', '50', 'taunt_2', 'You Rebel scum think you can do as you please around here. Well it ends now!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/yavin_rebel_12.stf', '51', 'taunt_3', 'Rebel fool! You think we would just let you fly out of here with one of our ships?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/yavin_rebel_12.stf', '52', 'taunt_4', 'I hope you didn\'t expect to come back from this mission Rebel?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/yavin_rebel_12.stf', '53', 'taunt_5', 'The might of the Empire will crush you like the bug you are, Rebel fool!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/yavin_rebel_12.stf', '54', 'thanks_1', 'Sensors show area clear of hostile fighter vessels. Continuing flight on planned escape path.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/yavin_rebel_12.stf', '55', 'thanks_2', 'Sensors show area clear of hostile fighter vessels. Continuing flight on planned escape path.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/yavin_rebel_12.stf', '56', 'thanks_3', 'Sensors show area clear of hostile fighter vessels. Continuing flight on planned escape path.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/yavin_rebel_12.stf', '57', 'thanks_4', 'Sensors show area clear of hostile fighter vessels. Continuing flight on planned escape path.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/yavin_rebel_12.stf', '58', 'thanks_5', 'Sensors show area clear of hostile fighter vessels. Continuing flight on planned escape path.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/yavin_rebel_12.stf', '59', 'title', 'Yavin system: Duty mission: Steal Imperial ships.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/recovery_duty/yavin_rebel_12.stf', '60', 'title_d', 'To level the war against the Empire a bit more we have decided to try and steal some of their fighter ships. They will also prove useful in infiltration and terror attacks against the Imperial fleet. Your ship is armed with an automated space assault droid that will take control of the enemy ship once you have disabled it. When you feel that you have exhausted your ship, yourself or that you have enough experience to continue your training, you can return to base at anytime.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_2c.stf', '1', 'abort', 'You have aborted, I will self destruct now. You lose.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_2c.stf', '2', 'arrival_phase_1', 'Getting waypoint for rescue target.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_2c.stf', '3', 'arrival_phase_2', 'Rescue target has arrived, proceed to position.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_2c.stf', '4', 'assigned_delayed', 'Rescue a transport in peril.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_2c.stf', '5', 'attack_notify', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_2c.stf', '6', 'attack_stopped', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_2c.stf', '7', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_2c.stf', '8', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_2c.stf', '9', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_2c.stf', '10', 'complete', 'The rescue is complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_2c.stf', '11', 'docking_complete', 'Docking is complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_2c.stf', '12', 'docking_started', 'The docking process has started.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_2c.stf', '13', 'failed_destroy', 'You have failed due to the rescue target being destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_2c.stf', '14', 'panic_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_2c.stf', '15', 'panic_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_2c.stf', '16', 'panic_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_2c.stf', '17', 'panic_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_2c.stf', '18', 'panic_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_2c.stf', '19', 'quest_dock_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_2c.stf', '20', 'quest_dock_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_2c.stf', '21', 'quest_escort_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_2c.stf', '22', 'quest_escort_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_2c.stf', '23', 'quest_location_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_2c.stf', '24', 'quest_location_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_2c.stf', '25', 'quest_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_2c.stf', '26', 'recovery_success', 'The recovery was a success.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_2c.stf', '27', 'rescue_phase_1', 'You have begun docking.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_2c.stf', '28', 'rescue_phase_2', 'You have ended docking.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_2c.stf', '29', 'split_quest_alert', 'Split quest incoming.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_2c.stf', '30', 'taunt_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_2c.stf', '31', 'taunt_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_2c.stf', '32', 'taunt_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_2c.stf', '33', 'taunt_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_2c.stf', '34', 'taunt_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_2c.stf', '35', 'thanks_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_2c.stf', '36', 'thanks_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_2c.stf', '37', 'thanks_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_2c.stf', '38', 'thanks_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_2c.stf', '39', 'thanks_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_2c.stf', '40', 'title', 'Rescue freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_2c.stf', '41', 'title_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_3.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_3.stf', '2', 'abort', 'Where are you going? I thought that I had information HQ wanted?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_3.stf', '3', 'arrival_phase_1', 'Getting nav location of the damaged freighter. We believe it knows the location of the Rebel emissary to Nym in this system. Stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_3.stf', '4', 'arrival_phase_2', 'We have the location. Assist freighter with repairs and escort it back to HQ.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_3.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_3.stf', '6', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Incoming enemy fighters.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_3.stf', '7', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_3.stf', '8', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_3.stf', '9', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_3.stf', '10', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_3.stf', '11', 'complete', 'The pilot of the freighter informs us that the emissary is in the area and was part of the joint attack force that hit his vessel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_3.stf', '12', 'docking_complete', 'Freighter attempting to restart engines. Stand by to escort it to safety.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_3.stf', '13', 'docking_started', 'Freighter is attempting to initiate repairs. Stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_3.stf', '14', 'failed_destroy', 'We needed that ship in one piece. Hopefully we will get another chance to discover the location of the Rebel emissary. Report back to your commander.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_3.stf', '15', 'panic_1', 'I knew they would be back. Cover me!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_3.stf', '16', 'panic_2', 'They have come back to finish the job!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_3.stf', '17', 'panic_3', 'Look out! The enemy is upon us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_3.stf', '18', 'panic_4', 'I hope you are a better pilot then they are.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_3.stf', '19', 'panic_5', 'Enemy fighters! They are not going to let me get away.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_3.stf', '20', 'quest_dock_d', 'When you arrive at the freighter\'s location, target it, and use the /dock command in order to assist the freighter with repairs.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_3.stf', '21', 'quest_dock_t', 'Assist the Freighter With Repairs');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_3.stf', '22', 'quest_escort_d', 'Once the Imperial freighter is repaired, follow it to its destination. Keep on guard, since this weakened prey will certainly draw the enemies attention.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_3.stf', '23', 'quest_escort_t', 'Escort the Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_3.stf', '24', 'quest_location_d', 'Travel to the Yavin system and assist the damaged Imperial freighter with repairs. You will receive a navigation waypoint to the damaged freighter\'s location. Travel to that waypoint to meet up with the freighter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_3.stf', '25', 'quest_location_t', 'Travel to the Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_3.stf', '26', 'quest_update', '\\#pcontrast1 Black Epsilon Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_3.stf', '27', 'recovery_success', 'Freighter is away. Good work pilot. Stand by while we question the pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_3.stf', '28', 'rescue_abandoned', 'Where are you going? I thought that I had information HQ wanted?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_3.stf', '29', 'rescue_phase_1', 'Good to see you. I was hit by both rebel and Nym fighters. It looked like there was a Rebel command vessel coordinating the attack.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_3.stf', '30', 'rescue_phase_2', 'Engines are back online. Hopefully we will not see any more of those joint attacks like the one that hit me.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_3.stf', '31', 'split_quest_alert', 'The freighter captain gave us a good idea of where to look for the Rebel emissary. Stand by while we preform long range scans for his vessel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_3.stf', '32', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_3.stf', '33', 'taunt_1', 'Looks like the Imperial dog is trying to escape.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_3.stf', '34', 'taunt_2', 'Resistance will get you no where.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_3.stf', '35', 'taunt_3', 'Give up and you will not be hurt.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_3.stf', '36', 'taunt_4', 'Time to pay for your villiany.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_3.stf', '37', 'taunt_5', 'Looks like the Imperial dog is trying to escape.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_3.stf', '38', 'thanks_1', 'Wow, you are better then you look.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_3.stf', '39', 'thanks_2', 'I certainly feel safer with you watching my back.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_3.stf', '40', 'thanks_3', 'Thanks, pilot. I am glad I am on your side.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_3.stf', '41', 'thanks_4', 'I certainly feel safer with you watching my back.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_3.stf', '42', 'thanks_5', 'Wow, you are better then you look.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_3.stf', '43', 'title', 'Yavin System: Rescue the Imperial Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier3_3.stf', '44', 'title_d', 'Travel to the Yavin system and rescue a damaged Imperial freighter. Once inside the system, you will receive a navigation waypoint to the freighter\'s location. The freighter is damged and currently unable to move. You will need to travel to the freighter location and assist it with repairs. When you reach the freighter, target it and use the /dock command to assist it with repairs. Once the freighter is repaired, escort it through the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier4_3_a.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier4_3_a.stf', '2', 'abort', 'You can\'t just leave us out here...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier4_3_a.stf', '3', 'arrival_phase_1', 'Getting a lock on the last know position of the drop shuttle. Stand by to intercept.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier4_3_a.stf', '4', 'arrival_phase_2', 'Proceed to the location provided your navigation computer. Scans indicate that the ship is badly damaged and under heavy attack.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier4_3_a.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier4_3_a.stf', '6', 'attack_notify', '\\#pcontrast1Tactical Computer:\\#pcontrast3 <Enemy fighters detected.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier4_3_a.stf', '7', 'attack_stopped', '\\#pcontrast1Tactical Computer:\\#pcontrast3 <Enemy fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier4_3_a.stf', '8', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier4_3_a.stf', '9', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier4_3_a.stf', '10', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier4_3_a.stf', '11', 'complete', 'The drop ship has been safely returned to Imperial space. We must find those responsible. Stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier4_3_a.stf', '12', 'docking_complete', 'They are attempting to restart their engines now. Stand by to escort ship out of the area.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier4_3_a.stf', '13', 'docking_started', 'Beginning docking procedure. Assist in repairs to the best of your ability.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier4_3_a.stf', '14', 'failed_destroy', 'That ship was a valuable piece of equipment. You were to protect it and not let the enemy destroy it. Report back to your commander immediately.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier4_3_a.stf', '15', 'panic_1', 'Keep them off of us! We cannot take much punishment.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier4_3_a.stf', '16', 'panic_2', 'At least I do not see that fighter leader.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier4_3_a.stf', '17', 'panic_3', 'It could be worse. That lead fighter pilot could come back.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier4_3_a.stf', '18', 'panic_4', 'At least I do not see that fighter leader.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier4_3_a.stf', '19', 'panic_5', 'Keep them off of us! We cannot take much punishment.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier4_3_a.stf', '20', 'quest_dock_d', 'Dock with the drop ship and assist it any way you can.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier4_3_a.stf', '21', 'quest_dock_t', 'Assist the Imperial Drop Ship with Repairs');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier4_3_a.stf', '22', 'quest_escort_d', 'Follow the drop ship on it\'s way to the seconday jump location. Protect it against any attacks that might come in.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier4_3_a.stf', '23', 'quest_escort_t', 'Escort the Imperial Drop Ship');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier4_3_a.stf', '24', 'quest_location_d', 'Somehow the vessel was pulled out of hyperspace and attacked by the mercs before it could leave the Dathomir system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier4_3_a.stf', '25', 'quest_location_t', 'Remain in the Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier4_3_a.stf', '26', 'quest_update', '\\#pcontrast1 Black Epsilon Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier4_3_a.stf', '27', 'recovery_success', 'The drop ship is safe. Stand by for further instructions.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier4_3_a.stf', '28', 'rescue_abandoned', 'You can\'t just leave us out here...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier4_3_a.stf', '29', 'rescue_phase_1', 'We are glad to see you. They were all over us and then scrambled out of there just before you arrived. We wouldn\'t have survived another second without you showing up.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier4_3_a.stf', '30', 'rescue_phase_2', 'Thank you, pilot. We will be restarting our engines now. Oh, one more thing, the leader of the fighters that disabled us was an amazing pilot. Thought maybe he might be someone we are looking for.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier4_3_a.stf', '31', 'split_quest_alert', 'You are to patrol the area looking for any signs of the enemy fighters. Any officer that you come across is to be disabled and inspected. Insurgent seemed most interested in the shuttle pilot\'s discription of the fighter leader.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier4_3_a.stf', '32', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier4_3_a.stf', '33', 'taunt_1', 'Nej\'a will be so proud of us when you are no more.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier4_3_a.stf', '34', 'taunt_2', 'Nej\'a told us that you would try to save that ship. ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier4_3_a.stf', '35', 'taunt_3', 'I am surprised Nej\'a didn\'t want to take care of you himself.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier4_3_a.stf', '36', 'taunt_4', 'Ok boys, looks like we have a live on here. Let\'s change that!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier4_3_a.stf', '37', 'taunt_5', 'Nej\'a knew you couldn\'t resist playing the hero. Time to die, Imperial dog.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier4_3_a.stf', '38', 'thanks_1', 'I bet Nej\'a is that amazing pilot who attacked us earlier.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier4_3_a.stf', '39', 'thanks_2', 'Do you think Nej\'a is the leader?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier4_3_a.stf', '40', 'thanks_3', 'Nej\'a? I wonder if he is that amazing pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier4_3_a.stf', '41', 'thanks_4', 'Maybe we should get out of here before that Nej\'a guy shows up.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier4_3_a.stf', '42', 'thanks_5', 'No offense, but if Nej\'a is that pilot I saw earlier we should really get out of here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier4_3_a.stf', '43', 'title', 'Dathomir System: Rescue the Imperial Drop Ship');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_imperial_tier4_3_a.stf', '44', 'title_d', 'Remain in the Dathomir system and assist the Imperial drop ship with repairs. The drop ship has been hit by the enemy before it could completely get out of the system. The first wave managed to temporarily disable the vessel and scans indicate a second wave moving in. Meet the disabled vessel, assist it with repairs, and protect it while it moves towards the secondary jump location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_2_b.stf', '1', 'abort', 'What are you doing pilot?! If I survive this I will have you incarcerated!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_2_b.stf', '2', 'arrival_phase_1', 'A Rebel diplomat and his retinue were ambushed by some Imperial fighters and is drifting in space, they need our help.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_2_b.stf', '3', 'arrival_phase_2', 'Get over to their location before an Imperial Shuttle reach him. Transfer some spare part so they can fix their ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_2_b.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_2_b.stf', '5', 'attack_notify', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_2_b.stf', '6', 'attack_stopped', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_2_b.stf', '7', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_2_b.stf', '8', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_2_b.stf', '9', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_2_b.stf', '10', 'complete', 'Too bad about the Inquisitor but the day wasn\'t a complete loss. Return to base.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_2_b.stf', '11', 'docking_complete', 'They got the spare parts. As soon as they are up and running, escort them out of there.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_2_b.stf', '12', 'docking_started', 'I\'m sure that the Empire left some fighters in the area so dock and transfer those spare parts quickly.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_2_b.stf', '13', 'failed_destroy', 'We lost contact with the diplomats vessel! You can\'t seem to get anything right today can you pilot? Return to base immediately!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_2_b.stf', '14', 'panic_1', 'Me and my crew are not fighters! The evil Empire has no honor!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_2_b.stf', '15', 'panic_2', 'Not more of them!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_2_b.stf', '16', 'panic_3', 'I guess trying to talk to them would be pointless?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_2_b.stf', '17', 'panic_4', 'I\'m starting to get really angry. We have not done anything to warrant this!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_2_b.stf', '18', 'panic_5', 'You\'d think they have something better to do!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_2_b.stf', '19', 'quest_dock_d', 'Dock with the diplomats ship and transfer over tools and spare parts so they can repair their engines. Defend them from any enemies while they are repairing their ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_2_b.stf', '20', 'quest_dock_t', 'Dock with diplomat ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_2_b.stf', '21', 'quest_escort_d', 'The Empire have undoubtedly spotted you by now and will send fighters to try and disable or destroy the diplomats ship. Escort him to safety.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_2_b.stf', '22', 'quest_escort_t', 'Escort the diplomat to safety.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_2_b.stf', '23', 'quest_location_d', 'Be careful on your way to the diplomats vessel and try not to attract more enemy presence. You need to still keep a good speed though as that Imperial shuttle is closing in to capture the diplomat.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_2_b.stf', '24', 'quest_location_t', 'Dathomir system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_2_b.stf', '25', 'quest_update', 'Worvog Arkon: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_2_b.stf', '26', 'recovery_success', 'They will be safe from here pilot. Good job.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_2_b.stf', '27', 'rescue_abandoned', 'What are you doing pilot?! If I survive this I will have you incarcerated!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_2_b.stf', '28', 'rescue_phase_1', 'We are so glad to see you pilot! Who knows what might have happened to us if you weren\'t here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_2_b.stf', '29', 'rescue_phase_2', 'We have the spare parts. Our technician says he will have our ship running in no time.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_2_b.stf', '30', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_2_b.stf', '31', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_2_b.stf', '32', 'taunt_1', 'You are not going anywhere Rebels!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_2_b.stf', '33', 'taunt_2', 'Cut your engines immediately or we will destroy you!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_2_b.stf', '34', 'taunt_3', 'That man is wanted for questioning, surrender now or we have no choice but to destroy you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_2_b.stf', '35', 'taunt_4', 'You are all known Rebels, if you don\'t stop immediately, we have the right to terminate you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_2_b.stf', '36', 'taunt_5', 'The great Empire wants the people on that ship for questioning, or dead, it\'s your choice!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_2_b.stf', '37', 'thanks_1', 'All this senseless killing...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_2_b.stf', '38', 'thanks_2', 'I guess it was us or them eh?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_2_b.stf', '39', 'thanks_3', 'You think they would give up after all those casaulties..');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_2_b.stf', '40', 'thanks_4', 'I hope they get the picture and leave us alone, this is madness!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_2_b.stf', '41', 'thanks_5', 'Please let that be the last of them...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_2_b.stf', '42', 'title', 'Dathomir system: Rescue the Rebel diplomat.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_2_b.stf', '43', 'title_d', 'We have received a distress call from one of our diplomats near to you. Him and his retinue was ambushed by Imperial fighters and are floating around in space with disabled engines while an Imperial Shuttle is closing in to capture them. Hurry over there and transfer repair hardware to them.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_4_b.stf', '1', 'abort', 'Aborting eh? Well you can forget about the information then.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_4_b.stf', '2', 'arrival_phase_1', 'Just a second, transmitting the location of the SpyNet agents vessel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_4_b.stf', '3', 'arrival_phase_2', 'Get over there quickly and transfer over the spare parts he need. From the information he gave us, the Empire is still chasing him.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_4_b.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_4_b.stf', '5', 'attack_notify', 'Tactical Computer: < Incoming fighter vessels. Scans show weapons armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_4_b.stf', '6', 'attack_stopped', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_4_b.stf', '7', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_4_b.stf', '8', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_4_b.stf', '9', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_4_b.stf', '10', 'complete', 'Thanks Rebel. I guess I owe you this data for free. Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_4_b.stf', '11', 'docking_complete', 'Okay, now escort him to safety and he will give us the route of the Imperial freighters, that was the deal.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_4_b.stf', '12', 'docking_started', 'I\'ve transmitted a list of what spare parts he need to your astromech, it will take care of it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_4_b.stf', '13', 'failed_destroy', 'Damnation! That was our last chance. Return to base immediately, we need to come up with a new plan.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_4_b.stf', '14', 'panic_1', 'I knew they wouldn\'t give up.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_4_b.stf', '15', 'panic_2', 'They really don\'t want me to share this information with anyone.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_4_b.stf', '16', 'panic_3', 'I\'m not much of a fighter pilot so I hope you\'re good.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_4_b.stf', '17', 'panic_4', 'Hostiles gunning for us!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_4_b.stf', '18', 'panic_5', 'Here they come, get ready.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_4_b.stf', '19', 'quest_dock_d', 'If you are certain that the surrounding area is clear of enemy presence, dock with the spy and transfer repair materials to him.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_4_b.stf', '20', 'quest_dock_t', 'Dock with the spy.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_4_b.stf', '21', 'quest_escort_d', 'Escort the spy to safety. Once he\'s safe he will provide us with the route of the Imperial freighter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_4_b.stf', '22', 'quest_escort_t', 'Get out safely.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_4_b.stf', '23', 'quest_location_d', 'The Endor system is crawling with Imperial fighters and the area where the spy is drifting is especially dangerous. Try to sneak by Imperial patrols but if it can\'t be avoided, dispatch of them quickly. Under no circumstance are you to lead them to the location of the spy.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_4_b.stf', '24', 'quest_location_t', 'Endor system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_4_b.stf', '25', 'quest_update', 'Worvog Arkon: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_4_b.stf', '26', 'recovery_success', 'Alright, the spy is safe and transmitted the route information.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_4_b.stf', '27', 'rescue_abandoned', 'Aborting eh? Well you can forget about the information then.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_4_b.stf', '28', 'rescue_phase_1', 'Glad to see you Rebel. Lets dock so I can get this thing fixed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_4_b.stf', '29', 'rescue_phase_2', 'All done. Now if you get me out of here safely, I will transmit the information you need.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_4_b.stf', '30', 'split_quest_alert', 'Worvog Arkon: < The Imperial fleet is almost leaving the Endor sector. You\'re closest so get over there fast and start the attack! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_4_b.stf', '31', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_4_b.stf', '32', 'taunt_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_4_b.stf', '33', 'taunt_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_4_b.stf', '34', 'taunt_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_4_b.stf', '35', 'taunt_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_4_b.stf', '36', 'taunt_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_4_b.stf', '37', 'thanks_1', 'Phew, close one.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_4_b.stf', '38', 'thanks_2', 'Get me out of here now!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_4_b.stf', '39', 'thanks_3', 'I have a feeling there will be more of them.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_4_b.stf', '40', 'thanks_4', 'Lets not linger around here and wait for more of them to arrive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_4_b.stf', '41', 'thanks_5', 'You\'re good Rebel, I\'ll give you that.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_4_b.stf', '42', 'title', 'Endor system: Rescue the spy.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_rebel_tier4_4_b.stf', '43', 'title_d', 'We got a second chance in stopping the Imperial freighter carrying station building materials to Lok. A SpyNet operative have contacted the Alliance. He was ambushed by the Empire but got away. He took heavy damage though and his ship have malfunctioned. If we help him, he will give up the freighters route. Hurry over to his location and transfer some repair tools to his ship, then escort him to safety.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_station_mission1_1.stf', '1', 'abort', 'What? You can\'t leave us like this. You can be sure I\'ll notify CorSec command...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_station_mission1_1.stf', '2', 'arrival_phase_1', 'We are tracking the distress call to the originating vessel. Stand by for coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_station_mission1_1.stf', '3', 'arrival_phase_2', 'Transmitting coordinates now. Investigate the situation and assist with standard repair procedures.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_station_mission1_1.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_station_mission1_1.stf', '5', 'attack_notify', '\\#pcontrast1 Tactical Computer: <\\#pcontrast3  Warning. Unidentified enemy craft inbound.\\#pcontrast1 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_station_mission1_1.stf', '6', 'attack_stopped', '\\#pcontrast1 Tactical Computer: <\\#pcontrast3  Enemy threat neutralized.\\#pcontrast1 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_station_mission1_1.stf', '7', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_station_mission1_1.stf', '8', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_station_mission1_1.stf', '9', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_station_mission1_1.stf', '10', 'complete', 'Good work, pilot. Return to the station for debriefing.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_station_mission1_1.stf', '11', 'docking_complete', 'Copy that, pilot. Acknowledge docking procedure complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_station_mission1_1.stf', '12', 'docking_started', 'We copy, pilot. Acknowledge initiation of docking procedure. Execute standard repair procedures.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_station_mission1_1.stf', '13', 'failed_destroy', 'Command is not happy with you, pilot. Return to the station for debriefing.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_station_mission1_1.stf', '14', 'panic_1', 'Those are the ships! Those are the ships that attacked us!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_station_mission1_1.stf', '15', 'panic_2', 'More of those fighters! What do they want?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_station_mission1_1.stf', '16', 'panic_3', 'More fighters! Show them who\'s boss, CorSec!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_station_mission1_1.stf', '17', 'panic_4', 'MORE of those ships? What\'s going on here?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_station_mission1_1.stf', '18', 'panic_5', 'We can\'t take much more, CorSec. Please help us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_station_mission1_1.stf', '19', 'quest_dock_d', 'When you arrive at the freighter\'s location, target it and use the /dock command to dock with the vessel and assist with repairs.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_station_mission1_1.stf', '20', 'quest_dock_t', 'Assist the Freighter With Repairs');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_station_mission1_1.stf', '21', 'quest_escort_d', 'The freighter is repaired, but is not operating at full capabilities. You must escort the ship while it makes hyperspace calculations and prepares to jump. The freighter is extremely vulnerable during this period, so keep a sharp eye out.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_station_mission1_1.stf', '22', 'quest_escort_t', 'Escort the Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_station_mission1_1.stf', '23', 'quest_location_d', 'Travel to the Corellia system. Once there, you will receive a navigation waypoint from CorSec command. Travel to the waypoint to meet with the disabled freighter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_station_mission1_1.stf', '24', 'quest_location_t', 'Travel to the Corellia System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_station_mission1_1.stf', '25', 'quest_update', '\\#pcontrast1 CorSec Command: <\\#pcontrast3  %TO\\#pcontrast1  >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_station_mission1_1.stf', '26', 'recovery_success', 'Freighter hyperspace jump confirmed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_station_mission1_1.stf', '27', 'rescue_abandoned', 'What? You can\'t leave us like this. You can be sure I\'ll notify CorSec command...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_station_mission1_1.stf', '28', 'rescue_phase_1', 'Thank you for your help, CorSec. We were attacked, but never boarded. Something funny is going on here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_station_mission1_1.stf', '29', 'rescue_phase_2', 'Systems are operational. That\'ll be good enough to get us back home.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_station_mission1_1.stf', '30', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_station_mission1_1.stf', '31', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_station_mission1_1.stf', '32', 'taunt_1', 'Just as we planned. Your days are numbered, CorSec.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_station_mission1_1.stf', '33', 'taunt_2', 'CorSec is so predictable. You will fall, just like all the rest.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_station_mission1_1.stf', '34', 'taunt_3', 'You cannot resist helping those in need, can you. Now you will be defeated.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_station_mission1_1.stf', '35', 'taunt_4', 'Nice of you to join us, CorSec. Good-bye.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_station_mission1_1.stf', '36', 'taunt_5', 'Meddlesome CorSec. Right on time.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_station_mission1_1.stf', '37', 'thanks_1', 'CorSec was right to send a pilot like you on this job.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_station_mission1_1.stf', '38', 'thanks_2', 'I\'ve never seen ship configurations like that before. I wonder who they are?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_station_mission1_1.stf', '39', 'thanks_3', 'Great work, pilot. You have our eternal gratitude.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_station_mission1_1.stf', '40', 'thanks_4', 'Whew, I was worried there for a minute.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_station_mission1_1.stf', '41', 'thanks_5', 'Hopefully they stay gone this time.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_station_mission1_1.stf', '42', 'title', 'Corellia System: Rescue the Merchant Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/corellia_station_mission1_1.stf', '43', 'title_d', 'CorSec command has received a distress call on emergency channels. A merchant freighter has fallen under attack and is in need of assistance. You must travel to the location provided by CorSec command and assist with the repairs. The freighter is currently disabled and is unable to move. When you have arrived at the vessel, target it and use the /dock command to dock with the ship and assist with repairs. You must then escort the freighter until it is able to make its hyperspace calculations and jump safely.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/imperial_ss_03.stf', '1', 'abort', 'I see you triggered your abort code. Good idea...save yourself.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/imperial_ss_03.stf', '2', 'arrival_phase_1', 'We are sending you the last known location of the colonels ship. Stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/imperial_ss_03.stf', '3', 'arrival_phase_2', 'Proceed to the following coordinates. Recover the colonel at all costs.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/imperial_ss_03.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/imperial_ss_03.stf', '5', 'attack_notify', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/imperial_ss_03.stf', '6', 'attack_stopped', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/imperial_ss_03.stf', '7', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/imperial_ss_03.stf', '8', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/imperial_ss_03.stf', '9', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/imperial_ss_03.stf', '10', 'complete', 'Nice work, pilot. ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/imperial_ss_03.stf', '11', 'docking_complete', 'Docking completed. Please stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/imperial_ss_03.stf', '12', 'docking_started', 'Docking procedure initiated. Stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/imperial_ss_03.stf', '13', 'failed_destroy', 'The colonel\'s ship has been destroyed. We wanted him back to us in one piece, pilot. Report to your superior officer immediately.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/imperial_ss_03.stf', '14', 'panic_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/imperial_ss_03.stf', '15', 'panic_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/imperial_ss_03.stf', '16', 'panic_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/imperial_ss_03.stf', '17', 'panic_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/imperial_ss_03.stf', '18', 'panic_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/imperial_ss_03.stf', '19', 'quest_dock_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/imperial_ss_03.stf', '20', 'quest_dock_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/imperial_ss_03.stf', '21', 'quest_escort_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/imperial_ss_03.stf', '22', 'quest_escort_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/imperial_ss_03.stf', '23', 'quest_location_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/imperial_ss_03.stf', '24', 'quest_location_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/imperial_ss_03.stf', '25', 'quest_update', 'Imperial High Command:<%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/imperial_ss_03.stf', '26', 'recovery_success', 'Something isn\'t right here! His jump coordinates were away from Imperial control space. Report to your superior for debreifing.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/imperial_ss_03.stf', '27', 'rescue_abandoned', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/imperial_ss_03.stf', '28', 'rescue_phase_1', 'Maybe this isn\'t a good idea. We have some containment leaks that could be hazordous to your craft.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/imperial_ss_03.stf', '29', 'rescue_phase_2', 'Ok you are hooked up...what now?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/imperial_ss_03.stf', '30', 'split_quest_alert', 'Imperial High Command:<The rest of the transmission you recovered has just been decoded. Colonel Hend is the spy. Judgment has been rendered by the Inquistion in this matter and the colonel is to be elimated immediately.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/imperial_ss_03.stf', '31', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/imperial_ss_03.stf', '32', 'taunt_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/imperial_ss_03.stf', '33', 'taunt_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/imperial_ss_03.stf', '34', 'taunt_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/imperial_ss_03.stf', '35', 'taunt_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/imperial_ss_03.stf', '36', 'taunt_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/imperial_ss_03.stf', '37', 'thanks_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/imperial_ss_03.stf', '38', 'thanks_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/imperial_ss_03.stf', '39', 'thanks_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/imperial_ss_03.stf', '40', 'thanks_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/imperial_ss_03.stf', '41', 'thanks_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/imperial_ss_03.stf', '42', 'title', 'Saving Colonel Hend');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/imperial_ss_03.stf', '43', 'title_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_1_c.stf', '1', 'abort', 'What? You have aborted the attack! We cannot last without your protection...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_1_c.stf', '2', 'arrival_phase_1', 'Uploading current location of supply freighter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_1_c.stf', '3', 'arrival_phase_2', 'Current location of supply freighter sent. Protect our freighter from those enemy fighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_1_c.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_1_c.stf', '5', 'attack_notify', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_1_c.stf', '6', 'attack_stopped', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_1_c.stf', '7', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_1_c.stf', '8', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_1_c.stf', '9', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_1_c.stf', '10', 'complete', 'The freighter is safe and sound. Nice work out there, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_1_c.stf', '11', 'docking_complete', 'Docking procedure completed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_1_c.stf', '12', 'docking_started', 'Docking procedure commencing.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_1_c.stf', '13', 'failed_destroy', 'That freighter has been destroyed. Return to your superior and make a full report as to why you failed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_1_c.stf', '14', 'panic_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_1_c.stf', '15', 'panic_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_1_c.stf', '16', 'panic_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_1_c.stf', '17', 'panic_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_1_c.stf', '18', 'panic_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_1_c.stf', '19', 'quest_dock_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_1_c.stf', '20', 'quest_dock_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_1_c.stf', '21', 'quest_escort_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_1_c.stf', '22', 'quest_escort_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_1_c.stf', '23', 'quest_location_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_1_c.stf', '24', 'quest_location_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_1_c.stf', '25', 'quest_update', 'Imperial High Command: <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_1_c.stf', '26', 'recovery_success', 'Thanks, pilot. We have made it to our jump point. Please wait until we are clear.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_1_c.stf', '27', 'rescue_abandoned', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_1_c.stf', '28', 'rescue_phase_1', 'Starting docking procedure. Just a few more seconds...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_1_c.stf', '29', 'rescue_phase_2', 'We are all hooked up. Lets get out of here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_1_c.stf', '30', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_1_c.stf', '31', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_1_c.stf', '32', 'taunt_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_1_c.stf', '33', 'taunt_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_1_c.stf', '34', 'taunt_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_1_c.stf', '35', 'taunt_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_1_c.stf', '36', 'taunt_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_1_c.stf', '37', 'thanks_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_1_c.stf', '38', 'thanks_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_1_c.stf', '39', 'thanks_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_1_c.stf', '40', 'thanks_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_1_c.stf', '41', 'thanks_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_1_c.stf', '42', 'title', 'Out of the Fire');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_1_c.stf', '43', 'title_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_3_b.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_3_b.stf', '2', 'abort', 'What are you doing? We cannot hold out without your support.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_3_b.stf', '3', 'arrival_phase_1', 'Retreiving last known location of the shuttle. Stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_3_b.stf', '4', 'arrival_phase_2', 'We are sending the location of the shuttle to your nav computer. Proceed to that location immediately and rescue our ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_3_b.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_3_b.stf', '6', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters detected.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_3_b.stf', '7', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_3_b.stf', '8', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_3_b.stf', '9', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_3_b.stf', '10', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_3_b.stf', '11', 'complete', 'The shuttle is safe. Nice work, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_3_b.stf', '12', 'docking_complete', 'Docking procedure completed. Stand by to escort shuttle out of danger area.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_3_b.stf', '13', 'docking_started', 'Beginning docking procedure. Stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_3_b.stf', '14', 'failed_destroy', 'Pilot, the shuttle has been destroyed. Return to your superior and make a full report.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_3_b.stf', '15', 'panic_1', 'Where are all these Rebels coming from?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_3_b.stf', '16', 'panic_2', 'Look out! There are more of them out there.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_3_b.stf', '17', 'panic_3', 'My ship can\'t take many hits. You better be good.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_3_b.stf', '18', 'panic_4', 'Why me? All I wanted was a nice quite flight.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_3_b.stf', '19', 'panic_5', 'Where are all these rebels coming from?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_3_b.stf', '20', 'quest_dock_d', 'When you arrive at the shuttle\'s location, target it, and use the /dock command in order to assist the shuttle with repairs.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_3_b.stf', '21', 'quest_dock_t', 'Assist the Shuttle with Repairs');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_3_b.stf', '22', 'quest_escort_d', 'Once the Imperial Lambda shuttle is repaired, follow it to its destination. Keep on guard! Because this shuttle is weakened prey, it will certainly draw the enemy\'s attention.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_3_b.stf', '23', 'quest_escort_t', 'Escort the Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_3_b.stf', '24', 'quest_location_d', 'Remain in the Dathomir system and assist the damaged Imperial Lambda shuttle with repairs. You will receive a navigation waypoint of the damaged shuttle\'s location. Travel to that waypoint to meet up with the shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_3_b.stf', '25', 'quest_location_t', 'Remain in the Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_3_b.stf', '26', 'quest_update', '\\#pcontrast1 Imperial High Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_3_b.stf', '27', 'recovery_success', 'The shuttle is beginning jump procedure. Stand by until it is safely out of the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_3_b.stf', '28', 'rescue_abandoned', 'What are you doing? We cannot hold out without your support.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_3_b.stf', '29', 'rescue_phase_1', 'I am really glad to see you. I don\'t know how much longer I could have held out.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_3_b.stf', '30', 'rescue_phase_2', 'Ok, we are all hooked up. Let\'s try to get out of here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_3_b.stf', '31', 'split_quest_alert', 'We believe that we located a command ship. During that fight we detected encrypted signals being sent to the fighters. We want whatever information that ship might have.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_3_b.stf', '32', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_3_b.stf', '33', 'taunt_1', 'You will not make it out of here alive!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_3_b.stf', '34', 'taunt_2', 'The Alliance will never let you escape.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_3_b.stf', '35', 'taunt_3', 'Time to pay for your crimes, Imperial dog.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_3_b.stf', '36', 'taunt_4', 'The galaxy doesn\'t need you kind around.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_3_b.stf', '37', 'taunt_5', 'I almost feel sorry for what I am about to do to you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_3_b.stf', '38', 'thanks_1', 'You really saved us! Thanks for your help.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_3_b.stf', '39', 'thanks_2', 'You really saved us! Thanks for your help.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_3_b.stf', '40', 'thanks_3', 'You really saved us! Thanks for your help.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_3_b.stf', '41', 'thanks_4', 'You really saved us! Thanks for your help.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_3_b.stf', '42', 'thanks_5', 'You really saved us! Thanks for your help.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_3_b.stf', '43', 'title', 'Dathomir System: Rescue the Lambda Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_3_b.stf', '44', 'title_d', 'Remain in the Dathomir system and rescue a damaged Imperial Lambda shuttle. Once inside the system, you will receive a navigation waypoint to the shuttle\'s location. The shuttle is damaged and currently unable to move. You will need to travel to the shuttle\'s location and assist it with repairs. When you reach the shuttle, target it and use the /dock command to assist it with repairs. Once the shuttle is repaired, escort it through the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_4_a.stf', '1', 'abort', 'Pilot! What are you doing...get back here! We cannot survive without your protection.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_4_a.stf', '2', 'arrival_phase_1', 'We are taking heavy fire. Get here on the double.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_4_a.stf', '3', 'arrival_phase_2', 'I don\'t know how much longer we can hold out. Get here right away.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_4_a.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_4_a.stf', '5', 'attack_notify', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_4_a.stf', '6', 'attack_stopped', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_4_a.stf', '7', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_4_a.stf', '8', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_4_a.stf', '9', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_4_a.stf', '10', 'complete', 'Well done, pilot. You have proven yourself time and time again.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_4_a.stf', '11', 'docking_complete', 'Docking procedure completed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_4_a.stf', '12', 'docking_started', 'Beginning docking procedure. Stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_4_a.stf', '13', 'failed_destroy', 'Pilot you are to return to your superior immediately. The loss of that ship is a serious set back to the Empire. You have a lot of explaining to do.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_4_a.stf', '14', 'panic_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_4_a.stf', '15', 'panic_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_4_a.stf', '16', 'panic_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_4_a.stf', '17', 'panic_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_4_a.stf', '18', 'panic_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_4_a.stf', '19', 'quest_dock_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_4_a.stf', '20', 'quest_dock_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_4_a.stf', '21', 'quest_escort_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_4_a.stf', '22', 'quest_escort_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_4_a.stf', '23', 'quest_location_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_4_a.stf', '24', 'quest_location_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_4_a.stf', '25', 'quest_update', 'Imperial High Command:<%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_4_a.stf', '26', 'recovery_success', 'Well done! We should be in the clear now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_4_a.stf', '27', 'rescue_abandoned', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_4_a.stf', '28', 'rescue_phase_1', 'Docking procedure completed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_4_a.stf', '29', 'rescue_phase_2', 'Beginning docking procedure. Stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_4_a.stf', '30', 'split_quest_alert', 'Imperial High Command:<Stand by. Decyphering message intercepted during the attack.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_4_a.stf', '31', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_4_a.stf', '32', 'taunt_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_4_a.stf', '33', 'taunt_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_4_a.stf', '34', 'taunt_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_4_a.stf', '35', 'taunt_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_4_a.stf', '36', 'taunt_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_4_a.stf', '37', 'thanks_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_4_a.stf', '38', 'thanks_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_4_a.stf', '39', 'thanks_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_4_a.stf', '40', 'thanks_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_4_a.stf', '41', 'thanks_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_4_a.stf', '42', 'title', 'Saving High Command');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier3_4_a.stf', '43', 'title_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier4_2_a.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier4_2_a.stf', '2', 'abort', 'We are going to be at the mercy of our enemies without you. Your commander will hear of this failure.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier4_2_a.stf', '3', 'arrival_phase_1', 'Scanning system for disabled recon vessel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier4_2_a.stf', '4', 'arrival_phase_2', 'Vessel\'s location sent to your nav computer. Assist the vessel with repairs and escort it to safety.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier4_2_a.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier4_2_a.stf', '6', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters incoming.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier4_2_a.stf', '7', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier4_2_a.stf', '8', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier4_2_a.stf', '9', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier4_2_a.stf', '10', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier4_2_a.stf', '11', 'complete', 'Good work, pilot. The recon ship has been returned safely.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier4_2_a.stf', '12', 'docking_complete', 'Repairs completed. Prepare to follow the recon shuttle to a safe jump location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier4_2_a.stf', '13', 'docking_started', 'Beginning repairs.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier4_2_a.stf', '14', 'failed_destroy', 'You were ordered to get that ship back to us in one piece. If you are unable to handle your assignments perhaps you should retire.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier4_2_a.stf', '15', 'panic_1', 'Those are the same fighters that hit me earlier.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier4_2_a.stf', '16', 'panic_2', 'I saw a massive number of those same ships just before I was attacked.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier4_2_a.stf', '17', 'panic_3', 'Looks like the same Coynite\'s that hit me earlier.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier4_2_a.stf', '18', 'panic_4', 'They really don\'t want me to report back about what I discovered.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier4_2_a.stf', '19', 'panic_5', 'I saw a massive number of those same ships just before I was attacked.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier4_2_a.stf', '20', 'quest_dock_d', 'Dock with the shuttle and assist it with any repairs it might need.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier4_2_a.stf', '21', 'quest_dock_t', 'Assist the Recon Shuttle with Repairs');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier4_2_a.stf', '22', 'quest_escort_d', 'Follow and protect the shuttle as it moves through the Dathomir system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier4_2_a.stf', '23', 'quest_escort_t', 'Escort the Recon Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier4_2_a.stf', '24', 'quest_location_d', 'The distress signal is coming from inside the Dathomir system. A navigation waypoint to its location will be supplied to you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier4_2_a.stf', '25', 'quest_location_t', 'Remain in the Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier4_2_a.stf', '26', 'quest_update', '\\#pcontrast1 Imperial High Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier4_2_a.stf', '27', 'recovery_success', 'Good job, pilot. You are really making a name for yourself.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier4_2_a.stf', '28', 'rescue_abandoned', 'We are going to be at the mercy of our enemies without you. Your commander will hear of this failure.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier4_2_a.stf', '29', 'rescue_phase_1', 'Good to see a friendly out here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier4_2_a.stf', '30', 'rescue_phase_2', 'Engines back online. We will be underway shortly.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier4_2_a.stf', '31', 'split_quest_alert', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Warning! Enemy fighters incoming at attack speeds with weapons armed.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier4_2_a.stf', '32', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier4_2_a.stf', '33', 'taunt_1', 'We are back to finish the job.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier4_2_a.stf', '34', 'taunt_2', 'This is going to be too easy. Where is the challenge?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier4_2_a.stf', '35', 'taunt_3', 'My brothers and I shall sings songs of your demise.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier4_2_a.stf', '36', 'taunt_4', 'Contact your next of kin.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier4_2_a.stf', '37', 'taunt_5', 'What? How dare you! That\'s it! Time to be vaporized.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier4_2_a.stf', '38', 'thanks_1', 'Good to have you on our side. I will report on the massing of Coynite mercs in the region to our superiors.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier4_2_a.stf', '39', 'thanks_2', 'Good to have you on our side. I will report on the massing of Coynite mercs in the region to our superiors.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier4_2_a.stf', '40', 'thanks_3', 'Good to have you on our side. I will report on the massing of Coynite mercs in the region to our superiors.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier4_2_a.stf', '41', 'thanks_4', 'Good to have you on our side. I will report on the massing of Coynite mercs in the region to our superiors.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier4_2_a.stf', '42', 'thanks_5', 'Good to have you on our side. I will report on the massing of Coynite mercs in the region to our superiors.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier4_2_a.stf', '43', 'title', 'Dathomir System: Rescue the Recon Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_imperial_tier4_2_a.stf', '44', 'title_d', 'A distress signal has gone out from a recon shuttle. Apparently the Coynite mercenaries that attacked you also attacked this other vessel. The shuttle is damaged but still functional. The Coynite apparently broke off their attack on it in order to rescue the smuggler you captured. Assist the shuttle and escort it to safety.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_privateer_tier3_2e.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_privateer_tier3_2e.stf', '2', 'abort', '\\#pcontrast3 Madersim: < \\#pcontrast1 Where are you going, we cannot survive without you! \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_privateer_tier3_2e.stf', '3', 'arrival_phase_1', '\\#pcontrast3 RSF Command: < \\#pcontrast1 We are locking down the Madersims\' position.  Stand-by. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_privateer_tier3_2e.stf', '4', 'arrival_phase_2', '\\#pcontrast3 Madersim: < \\#pcontrast1 This is the RSF Madersim, we just escaped a heavy attack. Quickly dock to assist with repairs! \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_privateer_tier3_2e.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_privateer_tier3_2e.stf', '6', 'attack_notify', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Enemy craft detected on attack vector. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_privateer_tier3_2e.stf', '7', 'attack_stopped', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 The attack has stopped. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_privateer_tier3_2e.stf', '8', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_privateer_tier3_2e.stf', '9', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_privateer_tier3_2e.stf', '10', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_privateer_tier3_2e.stf', '11', 'complete', '\\#pcontrast3 RSF Command: < \\#pcontrast1 The Madersim has successfully made their jump to hyperspace.  They are safe to complete their mission.  Time for you to return to base pilot. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_privateer_tier3_2e.stf', '12', 'docking_complete', 'Docking is complete, quick repairs beginning.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_privateer_tier3_2e.stf', '13', 'docking_started', 'Docking process has begun. ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_privateer_tier3_2e.stf', '14', 'failed_destroy', '\\#pcontrast3 RSF Command: < \\#pcontrast1 The Madersim has been destroyed, this is horrible. Return to base. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_privateer_tier3_2e.stf', '15', 'panic_1', 'This is not looking very well. ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_privateer_tier3_2e.stf', '16', 'panic_2', 'More Ay\'Nat!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_privateer_tier3_2e.stf', '17', 'panic_3', 'Protect us Captain, please!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_privateer_tier3_2e.stf', '18', 'panic_4', 'This is not looking very well. ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_privateer_tier3_2e.stf', '19', 'panic_5', 'This is not looking very well. ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_privateer_tier3_2e.stf', '20', 'quest_dock_d', 'Pull up next to the Madersim and use the /dock command');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_privateer_tier3_2e.stf', '21', 'quest_dock_t', 'Docking');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_privateer_tier3_2e.stf', '22', 'quest_escort_d', 'Escort the repaired transport out of the zone');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_privateer_tier3_2e.stf', '23', 'quest_escort_t', 'Escort');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_privateer_tier3_2e.stf', '24', 'quest_location_d', 'The secret escort route of the RSF Madersim');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_privateer_tier3_2e.stf', '25', 'quest_location_t', 'Corellia System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_privateer_tier3_2e.stf', '26', 'quest_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_privateer_tier3_2e.stf', '27', 'recovery_success', '\\#pcontrast3 RSF Command: < \\#pcontrast1 The mission is complete, return to base.  And great job out there today. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_privateer_tier3_2e.stf', '28', 'rescue_abandoned', 'Mission aborted, you fail.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_privateer_tier3_2e.stf', '29', 'rescue_phase_1', '\\#pcontrast3 Madersim: < \\#pcontrast1 Hurry with those repairs, we need to get underway. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_privateer_tier3_2e.stf', '30', 'rescue_phase_2', '\\#pcontrast3 Madersim: < \\#pcontrast1 The repairs are sufficient to go, lets get out of here. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_privateer_tier3_2e.stf', '31', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_privateer_tier3_2e.stf', '32', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_privateer_tier3_2e.stf', '33', 'taunt_1', 'You will not survive this!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_privateer_tier3_2e.stf', '34', 'taunt_2', 'We will finish you now!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_privateer_tier3_2e.stf', '35', 'taunt_3', 'RSF Slime.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_privateer_tier3_2e.stf', '36', 'taunt_4', 'You will not survive this!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_privateer_tier3_2e.stf', '37', 'taunt_5', 'You will not survive this!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_privateer_tier3_2e.stf', '38', 'thanks_1', 'Thank you for getting us out in once piece. ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_privateer_tier3_2e.stf', '39', 'thanks_2', 'That was close Captain, you arrived just in time.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_privateer_tier3_2e.stf', '40', 'thanks_3', 'I think it is a good day to retire.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_privateer_tier3_2e.stf', '41', 'thanks_4', 'Thank you for getting us out in once piece. ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_privateer_tier3_2e.stf', '42', 'thanks_5', 'Thank you for getting us out in once piece. ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_privateer_tier3_2e.stf', '43', 'title', 'Corellia System: Rescue the RSF Madersim');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_privateer_tier3_2e.stf', '44', 'title_d', 'Rescue the RSF Madersim which is listing in space');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier3_2_a.stf', '1', 'abort', 'Pilot! Get back here! I will report you to your superior for failing your mission!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier3_2_a.stf', '2', 'arrival_phase_1', 'Uploading coordinates of Commander Kt\'lya\'s crippled ship now, stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier3_2_a.stf', '3', 'arrival_phase_2', 'Upload complete, get over there quickly pilot. Dock with him and transfer some spare parts so he can repair his ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier3_2_a.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier3_2_a.stf', '5', 'attack_notify', 'Tactical Computer: < Incoming fighter vessels. Scans show weapons armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier3_2_a.stf', '6', 'attack_stopped', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier3_2_a.stf', '7', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier3_2_a.stf', '8', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier3_2_a.stf', '9', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier3_2_a.stf', '10', 'complete', 'Mission complete. Proceed with objectives. Good work, pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier3_2_a.stf', '11', 'docking_complete', 'Docking complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier3_2_a.stf', '12', 'docking_started', 'Stand by. Proceeding with docking ...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier3_2_a.stf', '13', 'failed_destroy', 'Mission failed! Commander Kt\'lya\'s vessel was destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier3_2_a.stf', '14', 'panic_1', 'Pilot! Pay attention! I\'m under fire! Get them off my tail!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier3_2_a.stf', '15', 'panic_2', 'They\'re on me! Get these bastards off me!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier3_2_a.stf', '16', 'panic_3', 'I\'ve been hit! Get these vessels off me!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier3_2_a.stf', '17', 'panic_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier3_2_a.stf', '18', 'panic_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier3_2_a.stf', '19', 'quest_dock_d', 'Dock with the commanders ship and transfer over some spare parts so he can get his ship running again.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier3_2_a.stf', '20', 'quest_dock_t', 'Repair the commanders ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier3_2_a.stf', '21', 'quest_escort_d', 'Make haste out of the area together with the commander. Make sure that he makes it out safely.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier3_2_a.stf', '22', 'quest_escort_t', 'Escape!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier3_2_a.stf', '23', 'quest_location_d', 'Although the first attack of the Blacklight pirates were beaten, they are still present in the area and there\'s bound to be several of them surrounding the place where the SpyNet commander was attacked.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier3_2_a.stf', '24', 'quest_location_t', 'Dantooine system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier3_2_a.stf', '25', 'quest_update', 'Vortex Commander: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier3_2_a.stf', '26', 'recovery_success', 'Brother Ezkiel: < Good work, pilot. The commander is now safe. Proceed with further objectives. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier3_2_a.stf', '27', 'rescue_abandoned', 'Pilot! Get back here! I will report you to your superior for failing your mission!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier3_2_a.stf', '28', 'rescue_phase_1', 'Hurry! We have no time to just sit here!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier3_2_a.stf', '29', 'rescue_phase_2', 'Good, good. Let\'s get out of here!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier3_2_a.stf', '30', 'split_quest_alert', 'Brother Ezkiel: < Good work, pilot. We need you to patrol the perimeter for anymore enemy ships. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier3_2_a.stf', '31', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier3_2_a.stf', '32', 'taunt_1', 'We could have just captured you, now we will destroy you!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier3_2_a.stf', '33', 'taunt_2', 'Attack pattern bloodfang, annihilate them!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier3_2_a.stf', '34', 'taunt_3', 'Take \'em out boys!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier3_2_a.stf', '35', 'taunt_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier3_2_a.stf', '36', 'taunt_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier3_2_a.stf', '37', 'thanks_1', 'Whew! Thanks, pilot. It was getting close there for a second!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier3_2_a.stf', '38', 'thanks_2', 'That was close! Thanks, pilot. I\'m glad to be on your team.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier3_2_a.stf', '39', 'thanks_3', 'It\'s about time you showed up!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier3_2_a.stf', '40', 'thanks_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier3_2_a.stf', '41', 'thanks_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier3_2_a.stf', '42', 'title', 'Dantooine system: Rescue Commander Kt\'lya.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier3_2_a.stf', '43', 'title_d', 'One of the SpyNet officers have been attacked and disabled. We need you to rescue him before the Blacklight pirates get a shuttle over there to capture him.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier4_3.stf', '1', 'abort', 'What the.. we\'re not done here yet!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier4_3.stf', '2', 'arrival_phase_1', 'Alright, uploading the coordinates of our spies disabled ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier4_3.stf', '3', 'arrival_phase_2', 'Proceed quickly to the location pilot. The Inquisitions frigate is closing in on him.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier4_3.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier4_3.stf', '5', 'attack_notify', 'Tactical Computer: < Incoming fighter vessels. Scans show weapons armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier4_3.stf', '6', 'attack_stopped', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier4_3.stf', '7', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier4_3.stf', '8', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier4_3.stf', '9', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier4_3.stf', '10', 'complete', 'Good work pilot, stand by for further orders.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier4_3.stf', '11', 'docking_complete', 'So far so good. Take the spy to safety pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier4_3.stf', '12', 'docking_started', 'Dock with our operative and transfer the repair tools to his ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier4_3.stf', '13', 'failed_destroy', 'Damnation! We lost our operative! Stand by...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier4_3.stf', '14', 'panic_1', 'I guess they have given up on the idea of capturing me alive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier4_3.stf', '15', 'panic_2', 'Wish I had a real ship and not this piece of junk.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier4_3.stf', '16', 'panic_3', 'Here they come, lets give them a warm welcome.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier4_3.stf', '17', 'panic_4', 'Sensors picking up hostile fighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier4_3.stf', '18', 'panic_5', 'I wonder if there\'s a tracker on this ship, they seem to know our exact location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier4_3.stf', '19', 'quest_dock_d', 'Dock with the spies ship and transfer the spare parts and repair tools. Defend his ship while he\'s performing the repairs.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier4_3.stf', '20', 'quest_dock_t', 'Dock and transfer repair material.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier4_3.stf', '21', 'quest_escort_d', 'Escort our spy while he\'s calculating his jump to lightspeed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier4_3.stf', '22', 'quest_escort_t', 'Escort the spy to safety.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier4_3.stf', '23', 'quest_location_d', 'The Dathomir system is always dangerous, even for hardened veterans like yourself. No one but the most elite of pilots (or the most dumb but they are in minority and wont live for long) go here, which makes it a hostile environment indeed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier4_3.stf', '24', 'quest_location_t', 'Dathomir system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier4_3.stf', '25', 'quest_update', 'Brother Extok Evin: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier4_3.stf', '26', 'recovery_success', 'He\'s safe from there, good job pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier4_3.stf', '27', 'rescue_abandoned', 'What the.. we\'re not done here yet!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier4_3.stf', '28', 'rescue_phase_1', 'Good to see you pilot, thought this would be my last mission.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier4_3.stf', '29', 'rescue_phase_2', 'Alright, I should be up and running in a few seconds.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier4_3.stf', '30', 'split_quest_alert', 'Brother Extok Evin: < Our reconnaissance ship reports that an Inquisitor is getting ready to hyperspace after our spy, you must stop him! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier4_3.stf', '31', 'split_quest_alert_fail', 'Brother Extok Evin: < Ack, we have lost contact with our operative. The brave soul didn\'t go in vain though, he managed to transfer most of his data to your ship before his demise. Stand by. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier4_3.stf', '32', 'taunt_1', 'You\'re not going anywhere Rebel fools!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier4_3.stf', '33', 'taunt_2', 'No one escapes the Imperial Inquisition!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier4_3.stf', '34', 'taunt_3', 'You know your orders men, if we can\'t capture them, we destroy them!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier4_3.stf', '35', 'taunt_4', 'Waging war on the Inquisition is suicide you Rebel scum!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier4_3.stf', '36', 'taunt_5', 'You can\'t win this battle Rebels, surrender now and we will show mercy!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier4_3.stf', '37', 'thanks_1', 'Well we showed them, didn\'t we?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier4_3.stf', '38', 'thanks_2', 'Take that you filthy scum!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier4_3.stf', '39', 'thanks_3', 'No one captures Trova Ruaw, no one!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier4_3.stf', '40', 'thanks_4', 'Whow, you are good pilot, very good.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier4_3.stf', '41', 'thanks_5', 'Alright, lets not stick around and wait for more.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier4_3.stf', '42', 'title', 'Dathomir system: Save a Vortex operative.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/naboo_rebel_tier4_3.stf', '43', 'title_d', 'One of our spies have had a malfunction on his ship and is drifting through Dathomir space with the Inquisition quickly closing in on him. You need to get to him fast with repair materials and escort him to safety.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/poi_tatooine_general2_2_b.stf', '1', 'abort', 'Why are you doing this to us? We\'re so close to going home!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/poi_tatooine_general2_2_b.stf', '2', 'arrival_phase_1', 'Listen closely, pilot. Soon, I will transmit the data needed to find our downed freighter. It is your job to rescue it and fly it home to safety.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/poi_tatooine_general2_2_b.stf', '3', 'arrival_phase_2', 'The freighter has come in range of our detection sensors. Travel there and rescue it before it\'s too late. Please, pilot. We needn\'t lose any more lives to this frivolous mess. I expect you to do well.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/poi_tatooine_general2_2_b.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/poi_tatooine_general2_2_b.stf', '5', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Incoming enemy fighters.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/poi_tatooine_general2_2_b.stf', '6', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/poi_tatooine_general2_2_b.stf', '7', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/poi_tatooine_general2_2_b.stf', '8', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/poi_tatooine_general2_2_b.stf', '9', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/poi_tatooine_general2_2_b.stf', '10', 'complete', 'Phenomenal job, my friend! I knew we could count on you! Your mission is complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/poi_tatooine_general2_2_b.stf', '11', 'docking_complete', 'Good, pilot. Now, our men will re-capture the freighter and guide it back home. However, you must protect it from incoming Zynt\'aia pirate attacks. No doubt, they\'ll try to destroy the freighter now that we\'ve rescued it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/poi_tatooine_general2_2_b.stf', '12', 'docking_started', 'Be still, pilot. Our men are boarding now, hoping to re-capture the freighter. Stick close.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/poi_tatooine_general2_2_b.stf', '13', 'failed_destroy', 'Your mission is lost, pilot! The freighter has been destroyed. It was a hard task. Understood. We must mourn for the loss of our crew.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/poi_tatooine_general2_2_b.stf', '14', 'panic_1', 'Look alive, pilot! They\'re coming at us hard!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/poi_tatooine_general2_2_b.stf', '15', 'panic_2', 'Oof! Help us! We\'re getting attacked!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/poi_tatooine_general2_2_b.stf', '16', 'panic_3', 'That\'s gonna hurt! Hey pilot! Are you taking the scenic route or something? Get back here and help us!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/poi_tatooine_general2_2_b.stf', '17', 'panic_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/poi_tatooine_general2_2_b.stf', '18', 'panic_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/poi_tatooine_general2_2_b.stf', '19', 'quest_dock_d', 'I must find the disabled Darksing D-45 and dock with it once I\'ve found it. I can do this by getting close and enabling the docking proceedures. (Use the /dock command to dock with the freighter).');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/poi_tatooine_general2_2_b.stf', '20', 'quest_dock_t', 'Dock with the Darksing D-45');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/poi_tatooine_general2_2_b.stf', '21', 'quest_escort_d', 'Once I\'ve completed the docking proceedures with the Darksing D-45, I must escort it to safety. I have no doubt I\'ll be attacked along the way by the Zynt\'aia Order. I must prepare myself.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/poi_tatooine_general2_2_b.stf', '22', 'quest_escort_t', 'Escort the Darksing D-45 to Safety');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/poi_tatooine_general2_2_b.stf', '23', 'quest_location_d', 'I must remain in the Tatoo System for my mission. It is my directive to do so.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/poi_tatooine_general2_2_b.stf', '24', 'quest_location_t', 'Remain the Tatoo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/poi_tatooine_general2_2_b.stf', '25', 'quest_update', '\\#pcontrast1 A\'Lerris Verata:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/poi_tatooine_general2_2_b.stf', '26', 'recovery_success', 'Good work, pilot. The freighter is on its way home. I\'m very impressed by the way you\'ve handled yourself.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/poi_tatooine_general2_2_b.stf', '27', 'rescue_abandoned', 'We\'re so close, pilot! Don\'t quit on us!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/poi_tatooine_general2_2_b.stf', '28', 'rescue_phase_1', 'Finally!! We\'re saved!! You must have been sent by A\'Lerris!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/poi_tatooine_general2_2_b.stf', '29', 'rescue_phase_2', 'We\'ve got out systems on-line again. We\'ll follow you closely. Keep enemies off us. We\'re still pretty weak!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/poi_tatooine_general2_2_b.stf', '30', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/poi_tatooine_general2_2_b.stf', '31', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/poi_tatooine_general2_2_b.stf', '32', 'taunt_1', 'You\'ll never capture this freighter!!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/poi_tatooine_general2_2_b.stf', '33', 'taunt_2', 'Never upset the Zynt\'aia Order. You\'ll never win!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/poi_tatooine_general2_2_b.stf', '34', 'taunt_3', 'It\'s time to taste anger!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/poi_tatooine_general2_2_b.stf', '35', 'taunt_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/poi_tatooine_general2_2_b.stf', '36', 'taunt_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/poi_tatooine_general2_2_b.stf', '37', 'thanks_1', 'Thank you for that, pilot! I\'m glad we have you on our side.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/poi_tatooine_general2_2_b.stf', '38', 'thanks_2', 'That was really close. Your flying skills are unmatched!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/poi_tatooine_general2_2_b.stf', '39', 'thanks_3', 'Excellent! It makes me glad that you\'re on our side in this conflict.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/poi_tatooine_general2_2_b.stf', '40', 'thanks_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/poi_tatooine_general2_2_b.stf', '41', 'thanks_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/poi_tatooine_general2_2_b.stf', '42', 'title', 'Tatoo System: Darksing D-45 Crew');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/poi_tatooine_general2_2_b.stf', '43', 'title_d', 'While eliminating the Zynt\'aia influence in the mining field located close to A\'Lerris\' outpost, I received a distressful call from Miss Verata herself. It seems that one of her freighters has been captured by the Zynt\'aia Order. It is my duty to travel to its known location and rescue it from the hands of her--now \"our\"--enemies. I expect the resistance I meet to be extensive and dangerous. I can only hope I make it out alive with the freighter and its crew intact.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_dantooine_owner_all_repairmission_tier2_6.stf', '1', 'abort', 'We really need you help. Our life support systems are failing...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_dantooine_owner_all_repairmission_tier2_6.stf', '2', 'arrival_phase_1', 'Disabled freighter on scans. Stand by for update.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_dantooine_owner_all_repairmission_tier2_6.stf', '3', 'arrival_phase_2', 'Freighter located. Proceed with rescue operation.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_dantooine_owner_all_repairmission_tier2_6.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_dantooine_owner_all_repairmission_tier2_6.stf', '5', 'attack_notify', 'Tactical Computer: < Enemy fighters detected. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_dantooine_owner_all_repairmission_tier2_6.stf', '6', 'attack_stopped', 'Tactical Computer: < Enemy fighters eliminated. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_dantooine_owner_all_repairmission_tier2_6.stf', '7', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_dantooine_owner_all_repairmission_tier2_6.stf', '8', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_dantooine_owner_all_repairmission_tier2_6.stf', '9', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_dantooine_owner_all_repairmission_tier2_6.stf', '10', 'complete', 'Good work, you have found our missing freighter. You can tell the Dantooine station that we will pick up its contract.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_dantooine_owner_all_repairmission_tier2_6.stf', '11', 'docking_complete', 'Repairs completed. Freighter start up sequence underway.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_dantooine_owner_all_repairmission_tier2_6.stf', '12', 'docking_started', 'Beginning repairs. Stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_dantooine_owner_all_repairmission_tier2_6.stf', '13', 'failed_destroy', 'Freighter destroyed. We are not going to help anyone who doesn\'t help us first.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_dantooine_owner_all_repairmission_tier2_6.stf', '14', 'panic_1', 'Who are those guys?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_dantooine_owner_all_repairmission_tier2_6.stf', '15', 'panic_2', 'Hey...I heard about these nut jobs.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_dantooine_owner_all_repairmission_tier2_6.stf', '16', 'panic_3', 'Why would they want me?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_dantooine_owner_all_repairmission_tier2_6.stf', '17', 'panic_4', 'So, first I get hit by an asteroid and disabled and now this...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_dantooine_owner_all_repairmission_tier2_6.stf', '18', 'panic_5', 'Hmmmm...maybe being disabled wasn\'t so bad.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_dantooine_owner_all_repairmission_tier2_6.stf', '19', 'quest_dock_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_dantooine_owner_all_repairmission_tier2_6.stf', '20', 'quest_dock_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_dantooine_owner_all_repairmission_tier2_6.stf', '21', 'quest_escort_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_dantooine_owner_all_repairmission_tier2_6.stf', '22', 'quest_escort_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_dantooine_owner_all_repairmission_tier2_6.stf', '23', 'quest_location_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_dantooine_owner_all_repairmission_tier2_6.stf', '24', 'quest_location_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_dantooine_owner_all_repairmission_tier2_6.stf', '25', 'quest_update', 'Twin Star Shipping: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_dantooine_owner_all_repairmission_tier2_6.stf', '26', 'recovery_success', 'The freighter is back. Good work.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_dantooine_owner_all_repairmission_tier2_6.stf', '27', 'rescue_abandoned', 'You are doing what? Well then forget our deal.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_dantooine_owner_all_repairmission_tier2_6.stf', '28', 'rescue_phase_1', 'Oh, wow...we thought we were done for. Thanks for finding us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_dantooine_owner_all_repairmission_tier2_6.stf', '29', 'rescue_phase_2', 'Ok, looks like we should be ready to go in just a moment. Thanks again for your help, friend.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_dantooine_owner_all_repairmission_tier2_6.stf', '30', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_dantooine_owner_all_repairmission_tier2_6.stf', '31', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_dantooine_owner_all_repairmission_tier2_6.stf', '32', 'taunt_1', 'You belong to us now!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_dantooine_owner_all_repairmission_tier2_6.stf', '33', 'taunt_2', 'Prepare to become one with the great debris field.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_dantooine_owner_all_repairmission_tier2_6.stf', '34', 'taunt_3', 'I thank you for the gift that you are about to give.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_dantooine_owner_all_repairmission_tier2_6.stf', '35', 'taunt_4', 'May the great fireball forgive you for your sins.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_dantooine_owner_all_repairmission_tier2_6.stf', '36', 'taunt_5', 'Only those who believe shall ever leave the field.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_dantooine_owner_all_repairmission_tier2_6.stf', '37', 'thanks_1', 'Who were those guys? They are crazy!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_dantooine_owner_all_repairmission_tier2_6.stf', '38', 'thanks_2', 'I guess they will start worshipping some of their own junk now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_dantooine_owner_all_repairmission_tier2_6.stf', '39', 'thanks_3', 'That will teach them.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_dantooine_owner_all_repairmission_tier2_6.stf', '40', 'thanks_4', 'This place is nuts...I am getting out of here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_dantooine_owner_all_repairmission_tier2_6.stf', '41', 'thanks_5', 'I think they had one to many...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_dantooine_owner_all_repairmission_tier2_6.stf', '42', 'title', 'Yavin System: Rescue the Disabled Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_dantooine_owner_all_repairmission_tier2_6.stf', '43', 'title_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_endor_irs_imp_tier3_1a.stf', '1', 'abort', 'I am not hanging around here with no escort.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_endor_irs_imp_tier3_1a.stf', '2', 'arrival_phase_1', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Searching for the transports distress beacon... stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_endor_irs_imp_tier3_1a.stf', '3', 'arrival_phase_2', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Distress signal located.  Target location locked in. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_endor_irs_imp_tier3_1a.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_endor_irs_imp_tier3_1a.stf', '5', 'attack_notify', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Hostile craft detected on attack vector. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_endor_irs_imp_tier3_1a.stf', '6', 'attack_stopped', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Hostile actions have ceased. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_endor_irs_imp_tier3_1a.stf', '7', 'autorewardbody', 'Completion Bonus: Deliverance (5000)');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_endor_irs_imp_tier3_1a.stf', '8', 'autorewardfrom', 'Endor Station');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_endor_irs_imp_tier3_1a.stf', '9', 'autorewardsubject', 'Deliverance');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_endor_irs_imp_tier3_1a.stf', '10', 'complete', 'The transport is away.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_endor_irs_imp_tier3_1a.stf', '11', 'docking_complete', 'Docking process is complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_endor_irs_imp_tier3_1a.stf', '12', 'docking_started', 'Docking process has begun.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_endor_irs_imp_tier3_1a.stf', '13', 'failed_destroy', '\\#pcontrast3 Endor Staion: < \\#pcontrast1 Oh, this is most terrible. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_endor_irs_imp_tier3_1a.stf', '14', 'panic_1', 'Here they come again.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_endor_irs_imp_tier3_1a.stf', '15', 'panic_2', 'More Rebels coming.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_endor_irs_imp_tier3_1a.stf', '16', 'panic_3', 'I have seen this before.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_endor_irs_imp_tier3_1a.stf', '17', 'panic_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_endor_irs_imp_tier3_1a.stf', '18', 'panic_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_endor_irs_imp_tier3_1a.stf', '19', 'quest_dock_d', 'Target the transport and use the /dock command to initiate the repair procedure.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_endor_irs_imp_tier3_1a.stf', '20', 'quest_dock_t', 'Dock');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_endor_irs_imp_tier3_1a.stf', '21', 'quest_escort_d', 'Escort the Transport safely to their jump point in the Naboo system and Rendezvous with them in Endor to complete the mission.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_endor_irs_imp_tier3_1a.stf', '22', 'quest_escort_t', 'Escort');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_endor_irs_imp_tier3_1a.stf', '23', 'quest_location_d', 'The transport dropped out of Hyperspace early after an emergency jump to escape from the Rebel attack craft.  Location will be updated when you are in range of their distress signal.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_endor_irs_imp_tier3_1a.stf', '24', 'quest_location_t', 'Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_endor_irs_imp_tier3_1a.stf', '25', 'quest_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_endor_irs_imp_tier3_1a.stf', '26', 'recovery_success', '\\#pcontrast3 Endor Station: < \\#pcontrast1 The transport has informed us they made the jump from the Naboo System. Their destination point is near the Area D-435 hyperspace point in the Endor System.  Meet them there and finish bringing them into the station. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_endor_irs_imp_tier3_1a.stf', '27', 'rescue_abandoned', 'This is why the empire is a worse place for working with mercenaries.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_endor_irs_imp_tier3_1a.stf', '28', 'rescue_phase_1', 'Interlocks engaged, begining engine jumpstart sequence now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_endor_irs_imp_tier3_1a.stf', '29', 'rescue_phase_2', 'Emergency startup is complete, lets get out of here Captain.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_endor_irs_imp_tier3_1a.stf', '30', 'split_quest_alert', '\\#pcontrast3 Endor Station: < \\#pcontrast1 The transport is away.  Hyperspace to the Endor System, navpoint Area D-435 to make the rendezvous here and complete the mission. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_endor_irs_imp_tier3_1a.stf', '31', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_endor_irs_imp_tier3_1a.stf', '32', 'taunt_1', 'This time there will be no escape.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_endor_irs_imp_tier3_1a.stf', '33', 'taunt_2', 'I knew we would find you nearby.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_endor_irs_imp_tier3_1a.stf', '34', 'taunt_3', 'Your friend there will be no help to you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_endor_irs_imp_tier3_1a.stf', '35', 'taunt_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_endor_irs_imp_tier3_1a.stf', '36', 'taunt_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_endor_irs_imp_tier3_1a.stf', '37', 'thanks_1', 'Excellent.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_endor_irs_imp_tier3_1a.stf', '38', 'thanks_2', 'Not so viscious now that there is a ship with guns firing back.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_endor_irs_imp_tier3_1a.stf', '39', 'thanks_3', 'Just a bit longer then we will make the jump.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_endor_irs_imp_tier3_1a.stf', '40', 'thanks_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_endor_irs_imp_tier3_1a.stf', '41', 'thanks_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_endor_irs_imp_tier3_1a.stf', '42', 'title', 'Naboo System: Deliverance');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_endor_irs_imp_tier3_1a.stf', '43', 'title_d', 'An  Imperial Transport bearing weapons for the Imperial Research Station on Endor has been badly damaged in an escape from rebel pilots.  Track down the freighter with the provided homing waypoint and get them back underway to the station.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_company_all_massassi_tier2_9.stf', '1', 'abort', 'What are you doing out here? That\'s right, just keep flying.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_company_all_massassi_tier2_9.stf', '2', 'arrival_phase_1', 'Gaining lock on the starship signature. Stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_company_all_massassi_tier2_9.stf', '3', 'arrival_phase_2', 'Ship locked. Ship is bearing the markings of the Corellia Deep Mining Company.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_company_all_massassi_tier2_9.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_company_all_massassi_tier2_9.stf', '5', 'attack_notify', 'Tactical Computer: < Enemy fighters detected. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_company_all_massassi_tier2_9.stf', '6', 'attack_stopped', 'Tactical Computer: < Enemy fighters eliminated. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_company_all_massassi_tier2_9.stf', '7', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_company_all_massassi_tier2_9.stf', '8', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_company_all_massassi_tier2_9.stf', '9', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_company_all_massassi_tier2_9.stf', '10', 'complete', 'Corellia Deep Mining Co. is obviously suppling these fake Massassi. They obviously are attempting to drive the Yavin Mining Company out of the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_company_all_massassi_tier2_9.stf', '11', 'docking_complete', 'Docking procedure completed. Transfered supplies for the Corellia Deep Mining Co. to your vessel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_company_all_massassi_tier2_9.stf', '12', 'docking_started', 'Beginning docking procedure. Stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_company_all_massassi_tier2_9.stf', '13', 'failed_destroy', 'Corellia Deep Mining Co. ship destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_company_all_massassi_tier2_9.stf', '14', 'panic_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_company_all_massassi_tier2_9.stf', '15', 'panic_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_company_all_massassi_tier2_9.stf', '16', 'panic_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_company_all_massassi_tier2_9.stf', '17', 'panic_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_company_all_massassi_tier2_9.stf', '18', 'panic_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_company_all_massassi_tier2_9.stf', '19', 'quest_dock_d', 'The vessel is offering you payment, thinking that you are part of the mercenaries it hired to pretend to be Massassi. Dock with the vessel and take the payment.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_company_all_massassi_tier2_9.stf', '20', 'quest_dock_t', 'Pickup the Payment');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_company_all_massassi_tier2_9.stf', '21', 'quest_escort_d', 'Wait at your current location until the vessel leaves the area.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_company_all_massassi_tier2_9.stf', '22', 'quest_escort_t', 'Wait Until the Vessel Leave');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_company_all_massassi_tier2_9.stf', '23', 'quest_location_d', 'The current location of the ship is near your present position.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_company_all_massassi_tier2_9.stf', '24', 'quest_location_t', 'Remain in the Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_company_all_massassi_tier2_9.stf', '25', 'quest_update', '\\#FF0000 Flight Computer:\\#FF0000 < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_company_all_massassi_tier2_9.stf', '26', 'recovery_success', 'Corellia Deep Mining Co. ship preparing to make the jump to hyper space.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_company_all_massassi_tier2_9.stf', '27', 'rescue_abandoned', 'What are you doing out here? That\'s right, just keep flying.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_company_all_massassi_tier2_9.stf', '28', 'rescue_phase_1', 'They told me that you wouldn\'t be flying anything normal but I didn\'t quite expect you to be in that ship. Whatever...I have the supplies you need.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_company_all_massassi_tier2_9.stf', '29', 'rescue_phase_2', 'Ok there you go. Remember keep the pressure on the those creeps and they will eventually fold operations.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_company_all_massassi_tier2_9.stf', '30', 'split_quest_alert', 'Incoming enemy fighters detected. These are obviously the ships that were supposed to be picking up the supplies. Destroy them before they can report your presence.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_company_all_massassi_tier2_9.stf', '31', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_company_all_massassi_tier2_9.stf', '32', 'taunt_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_company_all_massassi_tier2_9.stf', '33', 'taunt_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_company_all_massassi_tier2_9.stf', '34', 'taunt_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_company_all_massassi_tier2_9.stf', '35', 'taunt_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_company_all_massassi_tier2_9.stf', '36', 'taunt_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_company_all_massassi_tier2_9.stf', '37', 'thanks_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_company_all_massassi_tier2_9.stf', '38', 'thanks_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_company_all_massassi_tier2_9.stf', '39', 'thanks_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_company_all_massassi_tier2_9.stf', '40', 'thanks_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_company_all_massassi_tier2_9.stf', '41', 'thanks_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_company_all_massassi_tier2_9.stf', '42', 'title', 'Yavin System: Investigate the Corellia Deep Mining Co. Vessel');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_company_all_massassi_tier2_9.stf', '43', 'title_d', 'A ship bearing the Corellia Deep Mining Company logo has been spotted in the area. They have no operations this far out and should be investigated.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_imp_imperial_tier2_2.stf', '1', 'abort', 'Yeah, that\'s right Imperial scum. Run away.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_imp_imperial_tier2_2.stf', '2', 'arrival_phase_1', 'You have arrived at the meeting location. We are sending out a warning for the vessel to be stopped for a search.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_imp_imperial_tier2_2.stf', '3', 'arrival_phase_2', 'The vessel has complied with our request. Dock and start the inspection of the vessel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_imp_imperial_tier2_2.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_imp_imperial_tier2_2.stf', '5', 'attack_notify', 'Tactical Computer: < Enemy fighters incoming. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_imp_imperial_tier2_2.stf', '6', 'attack_stopped', 'Tactical Computer: < Enemy fighters eliminated. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_imp_imperial_tier2_2.stf', '7', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_imp_imperial_tier2_2.stf', '8', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_imp_imperial_tier2_2.stf', '9', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_imp_imperial_tier2_2.stf', '10', 'complete', 'The vessel had the location of the head of the smuggling operation. Stand by to capture the responsible party.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_imp_imperial_tier2_2.stf', '11', 'docking_complete', 'The search should be concluded momentarily. Stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_imp_imperial_tier2_2.stf', '12', 'docking_started', 'Starting the search of the vessel. Stand by for further instructions.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_imp_imperial_tier2_2.stf', '13', 'failed_destroy', 'You let that vessel be destroyed? We needed that ship to find out more about the smuggling operation.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_imp_imperial_tier2_2.stf', '14', 'panic_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_imp_imperial_tier2_2.stf', '15', 'panic_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_imp_imperial_tier2_2.stf', '16', 'panic_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_imp_imperial_tier2_2.stf', '17', 'panic_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_imp_imperial_tier2_2.stf', '18', 'panic_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_imp_imperial_tier2_2.stf', '19', 'quest_dock_d', 'Dock with the freighter and look for information about the head of the smuggler operation.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_imp_imperial_tier2_2.stf', '20', 'quest_dock_t', 'Dock with the Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_imp_imperial_tier2_2.stf', '21', 'quest_escort_d', 'Throw the back the small fish now in order to catch the big fish later.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_imp_imperial_tier2_2.stf', '22', 'quest_escort_t', 'Let the Freighter Leave');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_imp_imperial_tier2_2.stf', '23', 'quest_location_d', 'Meet the contact freighter in the Corellia system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_imp_imperial_tier2_2.stf', '24', 'quest_location_t', 'Travel to the Corellia System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_imp_imperial_tier2_2.stf', '25', 'quest_update', 'Imperial Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_imp_imperial_tier2_2.stf', '26', 'recovery_success', 'Are you done. I hope you found what you were looking for.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_imp_imperial_tier2_2.stf', '27', 'rescue_abandoned', 'I told you that I didn\'t have anything you wanted.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_imp_imperial_tier2_2.stf', '28', 'rescue_phase_1', 'Fine, you can search my ship. I have nothing to hide.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_imp_imperial_tier2_2.stf', '29', 'rescue_phase_2', 'See I had nothing that would interest you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_imp_imperial_tier2_2.stf', '30', 'split_quest_alert', 'Stand by for further information about the location of the head of the smuggling operation, Polard Manfred. Bring this smuggler into custody.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_imp_imperial_tier2_2.stf', '31', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_imp_imperial_tier2_2.stf', '32', 'taunt_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_imp_imperial_tier2_2.stf', '33', 'taunt_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_imp_imperial_tier2_2.stf', '34', 'taunt_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_imp_imperial_tier2_2.stf', '35', 'taunt_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_imp_imperial_tier2_2.stf', '36', 'taunt_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_imp_imperial_tier2_2.stf', '37', 'thanks_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_imp_imperial_tier2_2.stf', '38', 'thanks_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_imp_imperial_tier2_2.stf', '39', 'thanks_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_imp_imperial_tier2_2.stf', '40', 'thanks_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_imp_imperial_tier2_2.stf', '41', 'thanks_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_imp_imperial_tier2_2.stf', '42', 'title', 'Space Corellia: Meet the Smuggler');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/stn_yavin4_imp_imperial_tier2_2.stf', '43', 'title_d', 'The information gathered from the vessel attempting to leave the Yavin system revealed that there is a large smuggling operation taking place in the Corellia system. Travel to Corellia and meet with the vessel that was supposed to be the freighters contact.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/talus_station_mission2_1.stf', '1', 'abort', 'Don\'t leave us here! Didn\'t you say you\'d help us?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/talus_station_mission2_1.stf', '2', 'arrival_phase_1', 'Hang on, pilot. We\'ve got reports of a distress call from one of our freighters in your area...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/talus_station_mission2_1.stf', '3', 'arrival_phase_2', 'Here\'s a waypoint to the freighter, looks like they need some help. Fly to the area and check it out. Assist the freighter with repairs if necessary.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/talus_station_mission2_1.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/talus_station_mission2_1.stf', '5', 'attack_notify', 'Tactical Computer: < Enemy craft inbound. Pirate signatures detected. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/talus_station_mission2_1.stf', '6', 'attack_stopped', 'Tactical Computer: < Enemy threat neutralized. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/talus_station_mission2_1.stf', '7', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/talus_station_mission2_1.stf', '8', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/talus_station_mission2_1.stf', '9', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/talus_station_mission2_1.stf', '10', 'complete', 'The freighter is away and headed back to the station. You\'ll need to make their last delivery run to Naboo for them.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/talus_station_mission2_1.stf', '11', 'docking_complete', 'Critical repairs to the freighter are complete. Escort them while they make preparations to jump to hyperspace.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/talus_station_mission2_1.stf', '12', 'docking_started', 'The freighter will need to return to base. They are going to load their last shipment into your cargo bay.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/talus_station_mission2_1.stf', '13', 'failed_destroy', 'That didn\'t work exactly the way that we planned. We\'re scrapping the rest of your assignments. Return to the station if you want to try again.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/talus_station_mission2_1.stf', '14', 'panic_1', 'Fighters incoming! Watch out!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/talus_station_mission2_1.stf', '15', 'panic_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/talus_station_mission2_1.stf', '16', 'panic_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/talus_station_mission2_1.stf', '17', 'panic_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/talus_station_mission2_1.stf', '18', 'panic_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/talus_station_mission2_1.stf', '19', 'quest_dock_d', 'Travel to the freighter\'s location and move in close. Dock with the ship using the /dock command to provide assistance with repairs and to load the freighter\'s cargo onto your ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/talus_station_mission2_1.stf', '20', 'quest_dock_t', 'Assist With Repairs');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/talus_station_mission2_1.stf', '21', 'quest_escort_d', 'You will need to escort the freighter while it makes hyperspace calculations to return to base.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/talus_station_mission2_1.stf', '22', 'quest_escort_t', 'Escort the Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/talus_station_mission2_1.stf', '23', 'quest_location_d', 'The freighter is not far away from your location in the Tatooine system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/talus_station_mission2_1.stf', '24', 'quest_location_t', 'Remain in the Tatooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/talus_station_mission2_1.stf', '25', 'quest_update', 'Talus Station: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/talus_station_mission2_1.stf', '26', 'recovery_success', 'Thanks for the help, pilot. Preparing for the jump to hyperspace.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/talus_station_mission2_1.stf', '27', 'rescue_abandoned', 'Don\'t leave us here! Didn\'t you say you\'d help us?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/talus_station_mission2_1.stf', '28', 'rescue_phase_1', 'Just in time. I didn\'t think anyone was going to be able to help us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/talus_station_mission2_1.stf', '29', 'rescue_phase_2', 'Critical systems look stable. I think this should be enough to get us back to the station.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/talus_station_mission2_1.stf', '30', 'split_quest_alert', 'Make the delivery to the Naboo system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/talus_station_mission2_1.stf', '31', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/talus_station_mission2_1.stf', '32', 'taunt_1', 'Hey, that freighter is ours! We found it first!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/talus_station_mission2_1.stf', '33', 'taunt_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/talus_station_mission2_1.stf', '34', 'taunt_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/talus_station_mission2_1.stf', '35', 'taunt_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/talus_station_mission2_1.stf', '36', 'taunt_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/talus_station_mission2_1.stf', '37', 'thanks_1', 'Alright. Looks like we\'re in the clear again. For now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/talus_station_mission2_1.stf', '38', 'thanks_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/talus_station_mission2_1.stf', '39', 'thanks_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/talus_station_mission2_1.stf', '40', 'thanks_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/talus_station_mission2_1.stf', '41', 'thanks_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/talus_station_mission2_1.stf', '42', 'title', 'Tatooine System: Assist the Talusian Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/talus_station_mission2_1.stf', '43', 'title_d', 'A nearby freighter from the Talus Space Station has fallen under attack and is need of assistance. You are the closest ship and have been requested to provide whatever help is necessary.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_1_c.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_1_c.stf', '2', 'abort', 'What? You have aborted the attack! We cannot last without your protection...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_1_c.stf', '3', 'arrival_phase_1', 'Getting arrival location of the supply freighter. It looks like she was hit pretty hard. Once you get to her, dock with her, and assist with any repairs you can.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_1_c.stf', '4', 'arrival_phase_2', 'Current location of supply freighter sent to your nav computer. Help the supply freighter get under way and escort her to safety.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_1_c.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_1_c.stf', '6', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Incoming enemy fighters detected.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_1_c.stf', '7', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_1_c.stf', '8', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_1_c.stf', '9', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_1_c.stf', '10', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_1_c.stf', '11', 'complete', 'The freighter is safe and sound. Nice work out there, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_1_c.stf', '12', 'docking_complete', 'Docking procedure completed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_1_c.stf', '13', 'docking_started', 'Beginning docking procedure.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_1_c.stf', '14', 'failed_destroy', 'That freighter has been destroyed. Return to your superior and make a full report as to why you failed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_1_c.stf', '15', 'panic_1', 'More Rebels! Like we haven\'t had enough trouble.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_1_c.stf', '16', 'panic_2', 'Rebels are swarming all over Endor.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_1_c.stf', '17', 'panic_3', 'Look out! There are more of them out there.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_1_c.stf', '18', 'panic_4', 'Keep them off of us. We are already in bad shape.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_1_c.stf', '19', 'panic_5', 'Someone has to do something about this Rebel problem.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_1_c.stf', '20', 'quest_dock_d', 'When you arrive at the freighter\'s location, target it, and use the /dock command in order to assist the freighter with repairs.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_1_c.stf', '21', 'quest_dock_t', 'Assist the Imperial Freighter with Repairs');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_1_c.stf', '22', 'quest_escort_d', 'Once the Imperial freighter is repaired, follow it to its destination. Keep on guard, since this weakened prey will certainly draw the enemies attention.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_1_c.stf', '23', 'quest_escort_t', 'Escort the Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_1_c.stf', '24', 'quest_location_d', 'Remain in the Endor system and assist the damaged Imperial freighter with repairs. You will receive a navigation waypoint to the damaged freighter\'s location. Travel to that waypoint to meet up with the freighter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_1_c.stf', '25', 'quest_location_t', 'Remain in the Endor System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_1_c.stf', '26', 'quest_update', '\\#pcontrast1 Imperial High Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_1_c.stf', '27', 'recovery_success', 'Thanks, pilot. We have made it to our jump point. Please wait until we are clear.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_1_c.stf', '28', 'rescue_abandoned', 'What? You have aborted the attack! We cannot last without your protection...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_1_c.stf', '29', 'rescue_phase_1', 'Thanks for the assistance. Those Rebs came out of nowhere and hit us from all sides. We were barely able to jump out in one piece. Hopefully they were not able to track us to here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_1_c.stf', '30', 'rescue_phase_2', 'Well I guess that is going to have to do. Let\'s get out of here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_1_c.stf', '31', 'split_quest_alert', 'Imperial High Command wants that data you took off of that Rebel scout. Sending you navigation location for a pickup ship. Bring the data to this location and transfer it to the command shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_1_c.stf', '32', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_1_c.stf', '33', 'taunt_1', 'You will not get away with that freighter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_1_c.stf', '34', 'taunt_2', 'Focus on the freighter. Take it out!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_1_c.stf', '35', 'taunt_3', 'Imperial dog, you do not stand a chance.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_1_c.stf', '36', 'taunt_4', 'I suggest you find a new line of work.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_1_c.stf', '37', 'taunt_5', 'We are back to finish the job we started.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_1_c.stf', '38', 'thanks_1', 'Great job. Now let\'s get this cargo to headquarters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_1_c.stf', '39', 'thanks_2', 'Yes! Now let\'s get out of here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_1_c.stf', '40', 'thanks_3', 'I really hope more of them don\'t show up.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_1_c.stf', '41', 'thanks_4', 'Why would they be so persistant? Unless they know what cargo I am carrying.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_1_c.stf', '42', 'thanks_5', 'This cannot be by chance that Rebels just keep showing up.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_1_c.stf', '43', 'title', 'Endor System: Rescue the Imperial Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_1_c.stf', '44', 'title_d', 'Remain in the Endor system and rescue a damaged Imperial freighter. Once inside the system, you will receive a navigation waypoint to the freighter\'s location. The freighter is damaged and currently unable to move. You will need to travel to the freighter location and assist it with repairs. When you reach the freighter, target it and use the /dock command to assist it with repairs. Once the freighter is repaired, escort it through the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_4_a.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_4_a.stf', '2', 'abort', 'Pilot! What are you doing...get back here! We cannot survive without your protection.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_4_a.stf', '3', 'arrival_phase_1', 'We are taking heavy fire. Get here on the double.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_4_a.stf', '4', 'arrival_phase_2', 'I don\'t know how much longer we can hold out. Get here right away.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_4_a.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_4_a.stf', '6', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Incoming enemy fighters detected.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_4_a.stf', '7', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_4_a.stf', '8', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_4_a.stf', '9', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_4_a.stf', '10', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_4_a.stf', '11', 'complete', 'Well done, pilot. You have proven yourself time and time again.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_4_a.stf', '12', 'docking_complete', 'Docking procedure completed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_4_a.stf', '13', 'docking_started', 'Beginning docking procedure. Stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_4_a.stf', '14', 'failed_destroy', 'Pilot you are to return to your superior immediately. The loss of that ship is a serious set back to the Empire. You have a lot of explaining to do.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_4_a.stf', '15', 'panic_1', 'More Rebels! Keep them off of us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_4_a.stf', '16', 'panic_2', 'Be alert. It looks like we have attacking Rebels on our hands.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_4_a.stf', '17', 'panic_3', 'Be alert. It looks like we have attacking Rebels on our hands.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_4_a.stf', '18', 'panic_4', 'More Rebels! Keep them off of us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_4_a.stf', '19', 'panic_5', 'More Rebels! Keep them off of us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_4_a.stf', '20', 'quest_dock_d', 'Dock with the shuttle and assist it with repairs.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_4_a.stf', '21', 'quest_dock_t', 'Assist the Imperial Lambda Shuttle with Repairs');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_4_a.stf', '22', 'quest_escort_d', 'Follow the shuttle until it can reach a safe jump location. Be on the look out for enemy fighters coming to finish the shuttle off.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_4_a.stf', '23', 'quest_escort_t', 'Escort the Imperial Lambda Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_4_a.stf', '24', 'quest_location_d', 'The shuttle is inside of the Endor system. A navigation waypoint will be supplied to you from the location of its distress signal.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_4_a.stf', '25', 'quest_location_t', 'Remain in the Endor System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_4_a.stf', '26', 'quest_update', '\\#pcontrast1 Storm Squadron Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_4_a.stf', '27', 'recovery_success', 'Well done! We should be in the clear now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_4_a.stf', '28', 'rescue_abandoned', 'Pilot! What are you doing...get back here! We cannot survive without your protection.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_4_a.stf', '29', 'rescue_phase_1', 'Beginning to initiate repairs. We barely managed to get away from those Rebels in one piece.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_4_a.stf', '30', 'rescue_phase_2', 'Repairs completed. Escort us to a safe jump point.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_4_a.stf', '31', 'split_quest_alert', 'Stand by. We managed to pick up Rebel transmissions taking place while shuttle was under attack. Intercept and inspect that vessel for any information we can use against the Rebellion.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_4_a.stf', '32', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_4_a.stf', '33', 'taunt_1', 'We located your command vessel! Time for some payback.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_4_a.stf', '34', 'taunt_2', 'Nice try! Better luck next time.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_4_a.stf', '35', 'taunt_3', 'Your shuttle doesn\'t stand a chance.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_4_a.stf', '36', 'taunt_4', 'We will find out what is going on around here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_4_a.stf', '37', 'taunt_5', 'Don\'t even try to stop us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_4_a.stf', '38', 'thanks_1', 'Nice work, pilot. You are an asset to the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_4_a.stf', '39', 'thanks_2', 'Nice work, pilot. You are an asset to the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_4_a.stf', '40', 'thanks_3', 'Nice work, pilot. You are an asset to the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_4_a.stf', '41', 'thanks_4', 'Nice work, pilot. You are an asset to the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_4_a.stf', '42', 'thanks_5', 'Nice work, pilot. You are an asset to the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_4_a.stf', '43', 'title', 'Endor System: Rescue the Imperial Lambda Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier3_4_a.stf', '44', 'title_d', 'The Rebels have attacked one of our command shuttles. The first wave of the Rebel fighters has crippled the shuttle and another wave of fighters is on its way. Travel to the shuttle, assist it with repairs, and help it escape.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier4_3_a.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier4_3_a.stf', '2', 'abort', 'We barely managed to make it back here in one piece and now you are just going to leave us?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier4_3_a.stf', '3', 'arrival_phase_1', 'Scanning system for last known location of shuttle. The shuttle probably isn\'t in good shape so once you get there help with repairs.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier4_3_a.stf', '4', 'arrival_phase_2', 'We located the shuttle and sent that to your nav computer. It is adrift and badly in need of repairs.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier4_3_a.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier4_3_a.stf', '6', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters detected.> \\#pcontrast3');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier4_3_a.stf', '7', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters eliminated.> \\#pcontrast3');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier4_3_a.stf', '8', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier4_3_a.stf', '9', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier4_3_a.stf', '10', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier4_3_a.stf', '11', 'complete', 'Nice work, pilot. Now we can find out where they took our other missing shuttles.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier4_3_a.stf', '12', 'docking_complete', 'Shuttle engines coming back online. Escort that shuttle back to headquarters for investigation.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier4_3_a.stf', '13', 'docking_started', 'Careful, pilot. That shuttle is very fragile and any slips at this point could mean disaster.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier4_3_a.stf', '14', 'failed_destroy', 'We needed that shuttle in one piece. Report back to your superior and explain your failure to him.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier4_3_a.stf', '15', 'panic_1', 'Rebels! They have been swarming this sector for days now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier4_3_a.stf', '16', 'panic_2', 'Hold them off. We are still not at 100 percent.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier4_3_a.stf', '17', 'panic_3', 'Look out! Rebel fighters are attacking.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier4_3_a.stf', '18', 'panic_4', 'Rebels! They have weapon lock on my ship!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier4_3_a.stf', '19', 'panic_5', 'Rebels! They have been swarming this sector for days now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier4_3_a.stf', '20', 'quest_dock_d', 'Dock with the shuttle and assist it in repairing it\'s damaged engines.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier4_3_a.stf', '21', 'quest_dock_t', 'Assist the Stolen Shuttle with Repairs');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier4_3_a.stf', '22', 'quest_escort_d', 'Once repaired, escort and protect the shuttle back to Imperial space.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier4_3_a.stf', '23', 'quest_escort_t', 'Escort the Stolen Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier4_3_a.stf', '24', 'quest_location_d', 'The shuttle jumped in to the Endor system but then it\'s engines went offline.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier4_3_a.stf', '25', 'quest_location_t', 'Remain in the Endor System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier4_3_a.stf', '26', 'quest_update', '\\#pcontrast1 Storm Squadron Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier4_3_a.stf', '27', 'recovery_success', 'Excellent. We now can scan the shuttles computers for the location of our other missing shuttles.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier4_3_a.stf', '28', 'rescue_abandoned', 'We barely managed to make it back here in one piece and now you are just going to leave us?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier4_3_a.stf', '29', 'rescue_phase_1', 'Good to see a friendly. We managed to fight off the Bothan and recover the ship but were badly damaged during the escape.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier4_3_a.stf', '30', 'rescue_phase_2', 'Alright, I think that should do it. Restarting engines now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier4_3_a.stf', '31', 'split_quest_alert', 'Alert! Calling all available craft. Large number of enemy fighters engaging Grey Squad. All available craft assist Grey Squad.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier4_3_a.stf', '32', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier4_3_a.stf', '33', 'taunt_1', 'Give it up! You cannot win this fight.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier4_3_a.stf', '34', 'taunt_2', 'Imperial dogs like you are better kept on a short leash.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier4_3_a.stf', '35', 'taunt_3', 'Focus on the shuttle. We must get it back!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier4_3_a.stf', '36', 'taunt_4', 'You will regret that!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier4_3_a.stf', '37', 'taunt_5', 'Try as you might, you cannot defeat us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier4_3_a.stf', '38', 'thanks_1', 'I didn\'t think we were going to make it that time.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier4_3_a.stf', '39', 'thanks_2', 'It looks like if they can\'t capture us, they are going to destroy us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier4_3_a.stf', '40', 'thanks_3', 'I hope this rusty bucket holds together.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier4_3_a.stf', '41', 'thanks_4', 'I hope that Inqusitior can find out why they are here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier4_3_a.stf', '42', 'thanks_5', 'Thanks, pilot. We would be in a world of hurt without you here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier4_3_a.stf', '43', 'title', 'Endor System: Rescue the Stolen Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_imperial_tier4_3_a.stf', '44', 'title_d', 'One of the shuttles that was stolen by the Bothans has managed to return to Endor. It appears to be badly damaged but intact. Rescue the shuttle and return it to Imperial control.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_privateer_tier3_4_d.stf', '1', 'abort', 'Jabba will hear of this! You\'re finished, smuggler!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_privateer_tier3_4_d.stf', '2', 'arrival_phase_1', '\\#pcontrast3 Beissa: < \\#pcontrast1 We got a garbled transmission from our Hutt VIP... he\'s somewhere close... \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_privateer_tier3_4_d.stf', '3', 'arrival_phase_2', '\\#pcontrast3 Beissa: < \\#pcontrast1 There, we have a lock.  Get over there pilot. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_privateer_tier3_4_d.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_privateer_tier3_4_d.stf', '5', 'attack_notify', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Enemy craft detected on attack vector. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_privateer_tier3_4_d.stf', '6', 'attack_stopped', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Hostile Activity has ceased. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_privateer_tier3_4_d.stf', '7', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_privateer_tier3_4_d.stf', '8', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_privateer_tier3_4_d.stf', '9', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_privateer_tier3_4_d.stf', '10', 'complete', '\\#pcontrast3 Beissa: < \\#pcontrast1 The Hutt VIP is saved. Great work. Jabba might even be pleased.\\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_privateer_tier3_4_d.stf', '11', 'docking_complete', 'Docking complete...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_privateer_tier3_4_d.stf', '12', 'docking_started', 'Docking procedure underway');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_privateer_tier3_4_d.stf', '13', 'failed_destroy', 'The Hutt Ally was destroyed! Mission failed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_privateer_tier3_4_d.stf', '14', 'panic_1', 'Enemy craft coming, take care of them');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_privateer_tier3_4_d.stf', '15', 'panic_2', 'Here they come');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_privateer_tier3_4_d.stf', '16', 'panic_3', 'Enemy craft coming, take care of them');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_privateer_tier3_4_d.stf', '17', 'panic_4', 'Enemy craft coming, take care of them');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_privateer_tier3_4_d.stf', '18', 'panic_5', 'Enemy craft coming, take care of them');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_privateer_tier3_4_d.stf', '19', 'quest_dock_d', 'Pull up near the Imperial Shuttle and /dock to begin repairs');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_privateer_tier3_4_d.stf', '20', 'quest_dock_t', 'Dock Target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_privateer_tier3_4_d.stf', '21', 'quest_escort_d', 'Escort the Imperial Shuttle as they make their way to a hyperspace jump');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_privateer_tier3_4_d.stf', '22', 'quest_escort_t', 'Escort Target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_privateer_tier3_4_d.stf', '23', 'quest_location_d', 'An area of the Dathomir System with high concentration of the Rancor Clan Fighters');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_privateer_tier3_4_d.stf', '24', 'quest_location_t', 'Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_privateer_tier3_4_d.stf', '25', 'quest_update', '\\#pcontrast3 < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_privateer_tier3_4_d.stf', '26', 'recovery_success', 'Great work! Our friend is now safely away.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_privateer_tier3_4_d.stf', '27', 'rescue_abandoned', 'Mission aborted, you fail.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_privateer_tier3_4_d.stf', '28', 'rescue_phase_1', 'Be careful! I have some sensitive equipment in here!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_privateer_tier3_4_d.stf', '29', 'rescue_phase_2', 'Hmph. Well, it sure took you long enough!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_privateer_tier3_4_d.stf', '30', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_privateer_tier3_4_d.stf', '31', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_privateer_tier3_4_d.stf', '32', 'taunt_1', 'You will not survive the day');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_privateer_tier3_4_d.stf', '33', 'taunt_2', 'Imperial lackey, die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_privateer_tier3_4_d.stf', '34', 'taunt_3', 'You will not survive the day');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_privateer_tier3_4_d.stf', '35', 'taunt_4', 'You will not survive the day');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_privateer_tier3_4_d.stf', '36', 'taunt_5', 'You will not survive the day');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_privateer_tier3_4_d.stf', '37', 'thanks_1', 'Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_privateer_tier3_4_d.stf', '38', 'thanks_2', 'Where did those fools learn to fly?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_privateer_tier3_4_d.stf', '39', 'thanks_3', 'Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_privateer_tier3_4_d.stf', '40', 'thanks_4', 'Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_privateer_tier3_4_d.stf', '41', 'thanks_5', 'Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_privateer_tier3_4_d.stf', '42', 'title', 'Dathomir System: Rescue Hutt VIP from Rancor Clan raiders');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_privateer_tier3_4_d.stf', '43', 'title_d', 'Rescue the Imperial Shuttle from Rancor Clan attack');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_station_hutt_palace_access_quest_1.stf', '1', 'abort', 'I thought you were sent to help me? Where are you going?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_station_hutt_palace_access_quest_1.stf', '2', 'arrival_phase_1', 'Lets get this started. One of Jabba\'s smugglers is disabled by Imperial TIE\'s and waiting to be picked up by one of their shuttles. Let\'s \'rescue\' him.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_station_hutt_palace_access_quest_1.stf', '3', 'arrival_phase_2', 'There\'s the coordinates. Get over there and help him escape. Pretend that you are on Jabba\'s payroll and hopefully he can tell you where Hortrix Steelarm is.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_station_hutt_palace_access_quest_1.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_station_hutt_palace_access_quest_1.stf', '5', 'attack_notify', 'Tactical Computer: < Incoming fighter vessels. Scans show weapons armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_station_hutt_palace_access_quest_1.stf', '6', 'attack_stopped', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_station_hutt_palace_access_quest_1.stf', '7', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_station_hutt_palace_access_quest_1.stf', '8', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_station_hutt_palace_access_quest_1.stf', '9', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_station_hutt_palace_access_quest_1.stf', '10', 'complete', 'Hortrix Steelarm you say? Last I heard he was smuggling parts from that blown up space station in the Yavin system. Anyway, see you around and thanks for the help!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_station_hutt_palace_access_quest_1.stf', '11', 'docking_complete', 'Nice, you should have his confidence now. Escort him to safety and try to get information from him.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_station_hutt_palace_access_quest_1.stf', '12', 'docking_started', 'Transfer some spare parts over to his ship so he can repair it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_station_hutt_palace_access_quest_1.stf', '13', 'failed_destroy', 'I won\'t cry over one of Jabba\'s henchmen but I thought you were a competent pilot. Come back when you can finish the job!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_station_hutt_palace_access_quest_1.stf', '14', 'panic_1', 'As I thought, these blasted Imperial scum never give up!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_station_hutt_palace_access_quest_1.stf', '15', 'panic_2', 'I assume that you will help me destroy these fools?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_station_hutt_palace_access_quest_1.stf', '16', 'panic_3', 'These guys are worse than a womp rat infestation, they never go away!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_station_hutt_palace_access_quest_1.stf', '17', 'panic_4', 'My sensors are picking up more TIE ships heading our way!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_station_hutt_palace_access_quest_1.stf', '18', 'panic_5', 'Arrgh! Do they never give up?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_station_hutt_palace_access_quest_1.stf', '19', 'quest_dock_d', 'Target and dock with the Hutt smuggler to transfer the spare parts to him. Make sure there\'s no enemies close by as you will be very vulnerable during the docking procedure.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_station_hutt_palace_access_quest_1.stf', '20', 'quest_dock_t', 'Transfer spare parts.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_station_hutt_palace_access_quest_1.stf', '21', 'quest_escort_d', 'Escort the Hutt smuggler to safety and try to pry some information about Hortrix Steelarm from him.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_station_hutt_palace_access_quest_1.stf', '22', 'quest_escort_t', 'Escort the smuggler.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_station_hutt_palace_access_quest_1.stf', '23', 'quest_location_d', 'The area where the smuggler was disabled is one of the few that sees a bit of Imperial activity in the Tatooine system. Although the Empire usually doesn\'t attack people without some reason, stay alert as they are suspicious of everyone in this area of the galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_station_hutt_palace_access_quest_1.stf', '24', 'quest_location_t', 'Tatooine system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_station_hutt_palace_access_quest_1.stf', '25', 'quest_update', 'Valarian Assassin Coordinator: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_station_hutt_palace_access_quest_1.stf', '26', 'recovery_success', 'Good job. At least we got some clues to where we should continue our search.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_station_hutt_palace_access_quest_1.stf', '27', 'rescue_abandoned', 'I thought you were sent to help me? Where are you going?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_station_hutt_palace_access_quest_1.stf', '28', 'rescue_phase_1', 'Hey there! You were sent by the palace to help me? Wow, I didn\'t think what I was hauling was that important.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_station_hutt_palace_access_quest_1.stf', '29', 'rescue_phase_2', 'Great, I got the parts I need, give me a few seconds and I will have this baby working again.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_station_hutt_palace_access_quest_1.stf', '30', 'split_quest_alert', 'Valarian Assassin Coordinator: < Alright head over to the Yavin system, we\'ll set up a meeting for you with a smuggler that might know if Hortrix is there. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_station_hutt_palace_access_quest_1.stf', '31', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_station_hutt_palace_access_quest_1.stf', '32', 'taunt_1', 'Pirate scum, there\'s no escape!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_station_hutt_palace_access_quest_1.stf', '33', 'taunt_2', 'That man is a wanted criminal and by assisting him, so are you!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_station_hutt_palace_access_quest_1.stf', '34', 'taunt_3', 'You Hutts think you are the big cheese in this system, well we got a surprise for you!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_station_hutt_palace_access_quest_1.stf', '35', 'taunt_4', 'That ship is now the property of the Emperor, shut down your engines and surrender immediately!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_station_hutt_palace_access_quest_1.stf', '36', 'taunt_5', 'Sorry to ruin your day pirates but you are not going anywhere!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_station_hutt_palace_access_quest_1.stf', '37', 'thanks_1', 'That was beautiful *sniff*');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_station_hutt_palace_access_quest_1.stf', '38', 'thanks_2', 'Yes! Keep them coming, we\'ll take them all down!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_station_hutt_palace_access_quest_1.stf', '39', 'thanks_3', 'You made that one look easy pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_station_hutt_palace_access_quest_1.stf', '40', 'thanks_4', 'Is it just me or do you agree that these fools are almost too easy?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_station_hutt_palace_access_quest_1.stf', '41', 'thanks_5', 'Nothing like the sound of TIE debris bouncing of your hull is there?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_station_hutt_palace_access_quest_1.stf', '42', 'title', 'Tatooine system: Grasping for clues.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/tatooine_station_hutt_palace_access_quest_1.stf', '43', 'title_d', 'You have been offered a bounty for eliminating one of Jabba\'s smugglers named Hortrix Steelarm by Lady Valarian and the first order of business is to track him down. Another of Jabba\'s smugglers has been disabled by an Imperial TIE patrol. He\'s left drifting in Tatooine space waiting to be picked up by an Imperial shuttle. Let\'s \'rescue\' him and hopefully he will divulge some information on Hortrix. Keep pretending that you are on Jabba\'s payroll while communicating with the smuggler.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/test_rescue.stf', '1', 'abort', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/test_rescue.stf', '2', 'arrival_phase_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/test_rescue.stf', '3', 'arrival_phase_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/test_rescue.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/test_rescue.stf', '5', 'attack_notify', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/test_rescue.stf', '6', 'attack_stopped', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/test_rescue.stf', '7', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/test_rescue.stf', '8', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/test_rescue.stf', '9', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/test_rescue.stf', '10', 'complete', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/test_rescue.stf', '11', 'docking_complete', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/test_rescue.stf', '12', 'docking_started', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/test_rescue.stf', '13', 'failed_destroy', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/test_rescue.stf', '14', 'panic_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/test_rescue.stf', '15', 'panic_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/test_rescue.stf', '16', 'panic_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/test_rescue.stf', '17', 'panic_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/test_rescue.stf', '18', 'panic_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/test_rescue.stf', '19', 'quest_dock_d', '3');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/test_rescue.stf', '20', 'quest_dock_t', '3');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/test_rescue.stf', '21', 'quest_escort_d', '4');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/test_rescue.stf', '22', 'quest_escort_t', '4');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/test_rescue.stf', '23', 'quest_location_d', '2');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/test_rescue.stf', '24', 'quest_location_t', '2');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/test_rescue.stf', '25', 'quest_update', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/test_rescue.stf', '26', 'recovery_success', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/test_rescue.stf', '27', 'rescue_abandoned', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/test_rescue.stf', '28', 'rescue_phase_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/test_rescue.stf', '29', 'rescue_phase_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/test_rescue.stf', '30', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/test_rescue.stf', '31', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/test_rescue.stf', '32', 'taunt_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/test_rescue.stf', '33', 'taunt_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/test_rescue.stf', '34', 'taunt_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/test_rescue.stf', '35', 'taunt_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/test_rescue.stf', '36', 'taunt_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/test_rescue.stf', '37', 'thanks_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/test_rescue.stf', '38', 'thanks_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/test_rescue.stf', '39', 'thanks_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/test_rescue.stf', '40', 'thanks_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/test_rescue.stf', '41', 'thanks_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/test_rescue.stf', '42', 'title', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue/test_rescue.stf', '43', 'title_d', '1');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_imperial_tier4_4.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_imperial_tier4_4.stf', '2', 'abort', 'We are unarmed and you are leaving us at the mercy of these pirates! Fiend!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_imperial_tier4_4.stf', '3', 'arrival_phase_1', 'Stand by for navigation coordinates of freighter\'s distress signal.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_imperial_tier4_4.stf', '4', 'arrival_phase_2', 'Location has been transfered to your nav computer. Travel to them and drop off the repair supplies. Then escort them through the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_imperial_tier4_4.stf', '5', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Incoming enemy fighters.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_imperial_tier4_4.stf', '6', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_imperial_tier4_4.stf', '7', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_imperial_tier4_4.stf', '8', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_imperial_tier4_4.stf', '9', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_imperial_tier4_4.stf', '10', 'complete', 'Excellent work, pilot. We have the crippled freighter safely back in space dock. It looks like all of it\'s cargo is still intact. Wait at your current location to assist another freighter or return to your commander to receive a new mission.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_imperial_tier4_4.stf', '11', 'complete_1', 'Freighter has been safely returned to Imperial space.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_imperial_tier4_4.stf', '12', 'complete_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_imperial_tier4_4.stf', '13', 'complete_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_imperial_tier4_4.stf', '14', 'complete_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_imperial_tier4_4.stf', '15', 'complete_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_imperial_tier4_4.stf', '16', 'docking_complete', 'The freighter has completed it\'s repairs. Prepare to escort it to safety.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_imperial_tier4_4.stf', '17', 'docking_started', 'The freighter has recieved the supplies and is conducting emergency repairs. Please stand by.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_imperial_tier4_4.stf', '18', 'failed_destroy', 'You lost the Empire a valuable piece of equipment by not protecting that freighter correctly. Report back.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_imperial_tier4_4.stf', '19', 'panic_1', 'These guys are determined.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_imperial_tier4_4.stf', '20', 'panic_2', 'I just want to go home!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_imperial_tier4_4.stf', '21', 'panic_3', 'They do not look very happy.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_imperial_tier4_4.stf', '22', 'panic_4', 'And so that is how I made it through space scho...what do little red blips on my radar screen mean?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_imperial_tier4_4.stf', '23', 'panic_5', 'Umm...do you think they are friendly?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_imperial_tier4_4.stf', '24', 'quest_d', 'Velocity mercenaries have been hitting Imperial transport ships. Sometimes they will hit the transports and then leave them in space without capturing or destroying them. It is up to you to assist those ships with repairs and escort them back home.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_imperial_tier4_4.stf', '25', 'quest_dock_d', 'Once you have located the damage vessel, use the /dock command on it and to assist the freighter with repairs. The vessel will be able to get underway shortly after you help it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_imperial_tier4_4.stf', '26', 'quest_dock_t', 'Assist the Freighter With Repairs');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_imperial_tier4_4.stf', '27', 'quest_escort_d', 'After the vessel is underway, follow it and make sure that it arrives at a safe jump location without incident. Reports of Velocity mercenary activity show that there is a high chance they will attack the vessel, so be alert and ready to defend the freighter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_imperial_tier4_4.stf', '28', 'quest_escort_t', 'Escort the Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_imperial_tier4_4.stf', '29', 'quest_location_d', 'Travel to the Dantooine system and follow the supplied navigation waypoint to the damaged freighter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_imperial_tier4_4.stf', '30', 'quest_location_t', 'Travel to the Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_imperial_tier4_4.stf', '31', 'quest_t', 'Rescue Disabled Vessels');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_imperial_tier4_4.stf', '32', 'quest_update', '\\#pcontrast1 Black Epsilon Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_imperial_tier4_4.stf', '33', 'recovery_success', 'Nice work, pilot. We might have lost the freighters cargo but at least we still have the ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_imperial_tier4_4.stf', '34', 'rescue_phase_1_1', 'It is so nice to see a friendly face. Not sure what happened since I was asleep in the back.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_imperial_tier4_4.stf', '35', 'rescue_phase_1_2', 'I am not sure but I think I was attacked by those Velocity guys.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_imperial_tier4_4.stf', '36', 'rescue_phase_1_3', 'My engines are offline right now but I can fix them.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_imperial_tier4_4.stf', '37', 'rescue_phase_1_4', 'Hey, a rescue party. The Empire really knows how to take care of its own.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_imperial_tier4_4.stf', '38', 'rescue_phase_1_5', 'Those mercs came out of no where. Not sure why they just left me though. Maybe they had something better to do.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_imperial_tier4_4.stf', '39', 'rescue_phase_2_1', 'Ok, engines back online. Preparing to get out of here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_imperial_tier4_4.stf', '40', 'rescue_phase_2_2', 'This old bucket of bolts is back online. Why do I get the feeling that we will be seeing more of those Velocity guys?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_imperial_tier4_4.stf', '41', 'rescue_phase_2_3', 'We are all ready to get out of here. Follow me.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_imperial_tier4_4.stf', '42', 'rescue_phase_2_4', 'Hey, did you know that kicking your engine will actually make it work? Let\'s get out of here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_imperial_tier4_4.stf', '43', 'rescue_phase_2_5', 'It should hold together long enough to make our escape. Let\'s go.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_imperial_tier4_4.stf', '44', 'taunt_1', 'That ship is ours! Hand it over Imperial dog.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_imperial_tier4_4.stf', '45', 'taunt_2', 'I am going to enjoy grinding you to dust.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_imperial_tier4_4.stf', '46', 'taunt_3', 'Don\'t make me angry! You wouldn\'t like me when I am angry.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_imperial_tier4_4.stf', '47', 'taunt_4', 'Looks like you time is up.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_imperial_tier4_4.stf', '48', 'taunt_5', 'Gee, just what I wanted. An Imperial dog to shoot at.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_imperial_tier4_4.stf', '49', 'thanks_1', 'Woo! Nice flying!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_imperial_tier4_4.stf', '50', 'thanks_2', 'Looks like they should have made like a tree and gotten out of here...hahaha...ummm...*sigh*...nevermind.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_imperial_tier4_4.stf', '51', 'thanks_3', 'They didn\'t have a chance.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_imperial_tier4_4.stf', '52', 'thanks_4', 'That will teach them for messing with the baddest pilot in space...and you were here too.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_imperial_tier4_4.stf', '53', 'thanks_5', 'Yes! I lived!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_imperial_tier4_4.stf', '54', 'title', 'Dantooine System: Rescue Damaged Imperial Freighters Duty');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_imperial_tier4_4.stf', '55', 'title_d', 'Travel to the Dantooine sytem and rescue the damaged Imperial freighters. Once you arrive in the Dantooine system, you will receive a navigation waypoint to the location of a damaged freighter. Travel to the location and use the /dock command to assist the freighter with repairs. Once the vessel is repaired escort it through the system to safety. Once the freighter is safely away, you will receive a new navigation waypoint to another freighter in need of assistance. This is a duty mission and can be quit at any time. Simply abort the mission or leave the system to end the mission.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_privateer_tier4_1.stf', '1', 'abort', 'You have failed because you aborted the mission.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_privateer_tier4_1.stf', '2', 'arrival_phase_1', 'Await arrival of the rescue ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_privateer_tier4_1.stf', '3', 'arrival_phase_2', 'The ship to be rescued has arrived.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_privateer_tier4_1.stf', '4', 'attack_notify', 'Attacking craft detected!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_privateer_tier4_1.stf', '5', 'attack_stopped', 'The attack has stopped.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_privateer_tier4_1.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_privateer_tier4_1.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_privateer_tier4_1.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_privateer_tier4_1.stf', '9', 'complete', 'The recovery is complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_privateer_tier4_1.stf', '10', 'complete_1', 'Recovery is complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_privateer_tier4_1.stf', '11', 'complete_2', 'Recovery is complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_privateer_tier4_1.stf', '12', 'complete_3', 'Recovery is complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_privateer_tier4_1.stf', '13', 'complete_4', 'Recovery is complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_privateer_tier4_1.stf', '14', 'complete_5', 'Recovery is complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_privateer_tier4_1.stf', '15', 'docking_complete', 'Docking is complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_privateer_tier4_1.stf', '16', 'docking_started', 'Docking has begun.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_privateer_tier4_1.stf', '17', 'failed_destroy', 'You have failed because the civilain craft was destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_privateer_tier4_1.stf', '18', 'panic_1', 'Dirty Hutts, coming this way!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_privateer_tier4_1.stf', '19', 'panic_2', 'The Hutts do not like to lose.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_privateer_tier4_1.stf', '20', 'panic_3', 'Help!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_privateer_tier4_1.stf', '21', 'panic_4', 'Help!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_privateer_tier4_1.stf', '22', 'panic_5', 'Help!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_privateer_tier4_1.stf', '23', 'quest_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_privateer_tier4_1.stf', '24', 'quest_dock_d', 'Fly up near the Freighter and /dock to begin repairs');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_privateer_tier4_1.stf', '25', 'quest_dock_t', 'Dock Target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_privateer_tier4_1.stf', '26', 'quest_escort_d', 'Escort the freighter safely out of the system');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_privateer_tier4_1.stf', '27', 'quest_escort_t', 'Escort Target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_privateer_tier4_1.stf', '28', 'quest_location_d', 'A merchant route in the Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_privateer_tier4_1.stf', '29', 'quest_location_t', 'Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_privateer_tier4_1.stf', '30', 'quest_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_privateer_tier4_1.stf', '31', 'quest_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_privateer_tier4_1.stf', '32', 'recovery_success', 'The recovery is a success.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_privateer_tier4_1.stf', '33', 'rescue_phase_1_1', 'Docking has begun.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_privateer_tier4_1.stf', '34', 'rescue_phase_1_2', 'C\'mon, the Hutts will be here!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_privateer_tier4_1.stf', '35', 'rescue_phase_1_3', 'I hate my job.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_privateer_tier4_1.stf', '36', 'rescue_phase_1_4', 'Docking has begun.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_privateer_tier4_1.stf', '37', 'rescue_phase_1_5', 'Docking has begun.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_privateer_tier4_1.stf', '38', 'rescue_phase_2_1', 'Be on guard, I won\'t outrun much in this tub.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_privateer_tier4_1.stf', '39', 'rescue_phase_2_2', 'Moving out now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_privateer_tier4_1.stf', '40', 'rescue_phase_2_3', 'Lets go');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_privateer_tier4_1.stf', '41', 'rescue_phase_2_4', 'Docking has ended.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_privateer_tier4_1.stf', '42', 'rescue_phase_2_5', 'Docking has ended.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_privateer_tier4_1.stf', '43', 'taunt_1', 'The ship is mine fool');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_privateer_tier4_1.stf', '44', 'taunt_2', 'CorSec Idiot, you don\'t know where you are not wanted.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_privateer_tier4_1.stf', '45', 'taunt_3', 'Die Fools');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_privateer_tier4_1.stf', '46', 'taunt_4', 'You will die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_privateer_tier4_1.stf', '47', 'taunt_5', 'You will die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_privateer_tier4_1.stf', '48', 'thanks_1', 'Oh, thank goodness');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_privateer_tier4_1.stf', '49', 'thanks_2', 'Yes!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_privateer_tier4_1.stf', '50', 'thanks_3', 'That will teach them');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_privateer_tier4_1.stf', '51', 'thanks_4', 'Thank you!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_privateer_tier4_1.stf', '52', 'thanks_5', 'Thank you!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_privateer_tier4_1.stf', '53', 'title', 'Dantooine System: Duty: Rescue the Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_privateer_tier4_1.stf', '54', 'title_d', 'Repair and escort the damaged freighter out of the system');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_rebel_tier4_1.stf', '1', 'abort', 'Why didn\'t you just leave us drifting?! If we survive this, your superior will hear from us!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_rebel_tier4_1.stf', '2', 'arrival_phase_1', 'Pinpointing the location of the next ship that needs help.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_rebel_tier4_1.stf', '3', 'arrival_phase_2', 'Location set, get over there!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_rebel_tier4_1.stf', '4', 'attack_notify', 'Tactical Computer: < Incoming fighter vessels. Scans show weapons armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_rebel_tier4_1.stf', '5', 'attack_stopped', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_rebel_tier4_1.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_rebel_tier4_1.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_rebel_tier4_1.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_rebel_tier4_1.stf', '9', 'complete', 'Good job Rebel!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_rebel_tier4_1.stf', '10', 'complete_1', 'Phew, we\'re safe, thanks pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_rebel_tier4_1.stf', '11', 'complete_2', 'We\'re home free! Initiating jump to lightspeed!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_rebel_tier4_1.stf', '12', 'complete_3', 'Thank you so much pilot, couldn\'t have made it without you!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_rebel_tier4_1.stf', '13', 'complete_4', 'Never thought I\'d get out of this one alive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_rebel_tier4_1.stf', '14', 'complete_5', 'Another victory for the Alliance!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_rebel_tier4_1.stf', '15', 'docking_complete', 'Transfer complete, wait for them to power up then escort them out of there.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_rebel_tier4_1.stf', '16', 'docking_started', 'They are initiating docking sequence. Transfer over the engine hardware so they can repair their ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_rebel_tier4_1.stf', '17', 'failed_destroy', 'I don\'t think Rebel Command will be too happy about that pilot. Return to base.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_rebel_tier4_1.stf', '18', 'panic_1', 'They won\'t let us escape so easily pilot, here they come!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_rebel_tier4_1.stf', '19', 'panic_2', 'Strap in guys, TIE ships attacking!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_rebel_tier4_1.stf', '20', 'panic_3', 'Here comes the Empire!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_rebel_tier4_1.stf', '21', 'panic_4', 'Hold on to something, it\'s going to get bumpy!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_rebel_tier4_1.stf', '22', 'panic_5', 'I was hoping we would be home free but I was wrong.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_rebel_tier4_1.stf', '23', 'quest_dock_d', 'Dock with the disabled Rebel ship and transfer repair tools and spare parts so that they can get out of there.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_rebel_tier4_1.stf', '24', 'quest_dock_t', 'Dock and transfer repair tools.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_rebel_tier4_1.stf', '25', 'quest_escort_d', 'Escort the repaired Rebel ship to safety and then return to save another drifting ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_rebel_tier4_1.stf', '26', 'quest_escort_t', 'Escort repaired Rebel ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_rebel_tier4_1.stf', '27', 'quest_location_d', 'The Dantooine system should be fairly safe for you but the Empire have probably left fighters to guard the survivors of the ambush so stay alert.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_rebel_tier4_1.stf', '28', 'quest_location_t', 'Dantooine system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_rebel_tier4_1.stf', '29', 'quest_update', 'Nym Command Officer: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_rebel_tier4_1.stf', '30', 'recovery_success', 'Awesome! One less ship in the clutch of the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_rebel_tier4_1.stf', '31', 'rescue_phase_1_1', 'You brought repair equipment?! You have no idea how glad I am to see you pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_rebel_tier4_1.stf', '32', 'rescue_phase_1_2', 'I knew you guys would come!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_rebel_tier4_1.stf', '33', 'rescue_phase_1_3', 'I thought you were the Empire coming to collect me. Good to see you!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_rebel_tier4_1.stf', '34', 'rescue_phase_1_4', 'Nice to see you pilot, was starting to get cold out here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_rebel_tier4_1.stf', '35', 'rescue_phase_1_5', 'I\'ve been trying to repair this piece of junk for the last four hours. Glad you\'re here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_rebel_tier4_1.stf', '36', 'rescue_phase_2_1', 'Okay, it\'s up and running, lets get out of here!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_rebel_tier4_1.stf', '37', 'rescue_phase_2_2', 'That should do it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_rebel_tier4_1.stf', '38', 'rescue_phase_2_3', 'Alright, time to get the heck out of here!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_rebel_tier4_1.stf', '39', 'rescue_phase_2_4', 'I can\'t wait to get some ground under my feet.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_rebel_tier4_1.stf', '40', 'rescue_phase_2_5', 'Looks like that Imperial prison cell will have to find another customer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_rebel_tier4_1.stf', '41', 'taunt_1', 'You\'re not going anywhere Rebels!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_rebel_tier4_1.stf', '42', 'taunt_2', 'We should have destroyed you right away Rebels!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_rebel_tier4_1.stf', '43', 'taunt_3', 'Terrorist scum, the only place you\'re going is the Dathomir prison!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_rebel_tier4_1.stf', '44', 'taunt_4', 'Looks like the Rebels found some friends. Well it won\'t save you!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_rebel_tier4_1.stf', '45', 'taunt_5', 'By trying to escape, you just sealed your fate Rebels!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_rebel_tier4_1.stf', '46', 'thanks_1', 'Take that, Imperial filth!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_rebel_tier4_1.stf', '47', 'thanks_2', 'The Empire just can\'t do anything right can they?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_rebel_tier4_1.stf', '48', 'thanks_3', 'Wohoo, bring \'em on, we\'ll take \'em all!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_rebel_tier4_1.stf', '49', 'thanks_4', 'That\'s the best you got? Imperial scum!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_rebel_tier4_1.stf', '50', 'thanks_5', 'Glad you\'re here pilot, that was hairy!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_rebel_tier4_1.stf', '51', 'title', 'Dantooine system: Duty mission: Rescue disabled Rebel ships.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/corellia_rebel_tier4_1.stf', '52', 'title_d', 'An Imperial ambush nearly decimated a Rebel fleet in the Dantooine system. There are a few survivors out there still drifting and the Empire has sent capital ships to the location to capture them. You and some of the other members of our squad is to proceed to the area and help the disabled ships with repairs and then escort them to safety. When you feel that you have exhausted your ship, yourself or that you have enough experience to continue your training, you can return to base at anytime.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_imperial_tier4_4.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_imperial_tier4_4.stf', '2', 'abort', 'You can\'t just leave us out here. We need your protection.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_imperial_tier4_4.stf', '3', 'arrival_phase_1', 'We are getting a lock on the disabled vessel. Stand by for location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_imperial_tier4_4.stf', '4', 'arrival_phase_2', 'Location of ship has been sent to your nav computer. Assist ship with repairs and bring them safely back.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_imperial_tier4_4.stf', '5', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters detected.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_imperial_tier4_4.stf', '6', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_imperial_tier4_4.stf', '7', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_imperial_tier4_4.stf', '8', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_imperial_tier4_4.stf', '9', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_imperial_tier4_4.stf', '10', 'complete', 'Good job, pilot. Make your report to your superior officer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_imperial_tier4_4.stf', '11', 'complete_1', 'Nice work. The ship is back safely. Make your report to your superior officer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_imperial_tier4_4.stf', '12', 'complete_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_imperial_tier4_4.stf', '13', 'complete_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_imperial_tier4_4.stf', '14', 'complete_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_imperial_tier4_4.stf', '15', 'complete_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_imperial_tier4_4.stf', '16', 'docking_complete', 'Repairs on the vessel have been completed. Stand by to escort her home.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_imperial_tier4_4.stf', '17', 'docking_started', 'Repairs on the damaged vessel beginning.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_imperial_tier4_4.stf', '18', 'failed_destroy', 'You lost our ship. Your job is to repair and protect those ships, not let them be blown up. Report back to your commander.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_imperial_tier4_4.stf', '19', 'panic_1', 'Rebels! Of course, they have a nose for finding the weak and wounded.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_imperial_tier4_4.stf', '20', 'panic_2', 'I can\'t fight or evade in my condition. You will have to deal with these guys.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_imperial_tier4_4.stf', '21', 'panic_3', 'Just when I thought everything was going to turn out okay.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_imperial_tier4_4.stf', '22', 'panic_4', 'Rebels just never leave well enough alone.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_imperial_tier4_4.stf', '23', 'panic_5', 'Stinking Rebels! Why do they have to show up now?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_imperial_tier4_4.stf', '24', 'quest_dock_d', 'Once you have located the damage vessel, use the /dock command on it and to assist the transport with repairs. The vessel will be able to get underway shortly after you help it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_imperial_tier4_4.stf', '25', 'quest_dock_t', 'Assist the Imperial Transport with Repairs');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_imperial_tier4_4.stf', '26', 'quest_escort_d', 'After the vessel is underway, follow it and make sure that it arrives at a safe jump location without incident. Reports of Rebel activity show that there is a high chance they will attack the vessel, so be alert and ready to defend the transport.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_imperial_tier4_4.stf', '27', 'quest_escort_t', 'Escort the Imperial Transport');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_imperial_tier4_4.stf', '28', 'quest_location_d', 'Travel to the Dathomir system and follow the supplied navigation waypoint to the damaged transport.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_imperial_tier4_4.stf', '29', 'quest_location_t', 'Travel to the Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_imperial_tier4_4.stf', '30', 'quest_update', '\\#pcontrast1 Imperial High Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_imperial_tier4_4.stf', '31', 'recovery_success', 'Stand by for vessel to jump out of sector.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_imperial_tier4_4.stf', '32', 'rescue_phase_1_1', 'I was wondering if anyone was coming. This area can get pretty deserted.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_imperial_tier4_4.stf', '33', 'rescue_phase_1_2', 'Glad to see a friendly. Nothing but trouble since I entered this system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_imperial_tier4_4.stf', '34', 'rescue_phase_1_3', 'You don\'t know how glad I am to see you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_imperial_tier4_4.stf', '35', 'rescue_phase_1_4', 'Excellent, and we are almost repaired too.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_imperial_tier4_4.stf', '36', 'rescue_phase_1_5', 'Hold on for just a second and we will be up and running.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_imperial_tier4_4.stf', '37', 'rescue_phase_2_1', 'All ready to go here. Follow me.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_imperial_tier4_4.stf', '38', 'rescue_phase_2_2', 'Ready to start up my engines. I hope those Rebels don\'t come back.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_imperial_tier4_4.stf', '39', 'rescue_phase_2_3', 'Restarting engines now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_imperial_tier4_4.stf', '40', 'rescue_phase_2_4', 'All fixed up. Follow me.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_imperial_tier4_4.stf', '41', 'rescue_phase_2_5', 'Hey, kicking my engines actually worked! Let\'s get out of here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_imperial_tier4_4.stf', '42', 'taunt_1', 'There is nothing like killing Imperial dogs in the morning!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_imperial_tier4_4.stf', '43', 'taunt_2', 'You are in so much trouble.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_imperial_tier4_4.stf', '44', 'taunt_3', 'Prepare to face justice, Imperial dog.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_imperial_tier4_4.stf', '45', 'taunt_4', 'I am here to bust heads! Yours looks about right.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_imperial_tier4_4.stf', '46', 'taunt_5', 'For the Rebellion!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_imperial_tier4_4.stf', '47', 'thanks_1', 'Your the best. Things might turn out okay.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_imperial_tier4_4.stf', '48', 'thanks_2', 'Wow...you made short work of those Rebels.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_imperial_tier4_4.stf', '49', 'thanks_3', 'Thanks, you sure saved my bacon.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_imperial_tier4_4.stf', '50', 'thanks_4', 'Your the best. Things might turn out okay.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_imperial_tier4_4.stf', '51', 'thanks_5', 'Wow...you made short work of those Rebels.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_imperial_tier4_4.stf', '52', 'title', 'Dathomir System: Rescue the Imperial Transports Duty');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_imperial_tier4_4.stf', '53', 'title_d', 'Travel to the Dathomir sytem and rescue the damaged Imperial transports. Once you arrive in the Dathomir system, you will receive a navigation waypoint to the location of a damaged transport. Travel to the location and use the /dock command to assist the transport with repairs. Once the vessel is repaired escort it through the system to safety. Once the transport is safely away, you will receive a new navigation waypoint to another transport in need of assistance. This is a duty mission and can be quit at any time. Simply abort the mission or leave the system to end the mission.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_privateer_tier4_1.stf', '1', 'abort', 'You have failed because you aborted the mission.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_privateer_tier4_1.stf', '2', 'arrival_phase_1', 'Await the arrival of the rescue craft.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_privateer_tier4_1.stf', '3', 'arrival_phase_2', 'The rescue craft has arrived.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_privateer_tier4_1.stf', '4', 'attack_notify', 'The attack has begun.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_privateer_tier4_1.stf', '5', 'attack_stopped', 'The attack has stopped.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_privateer_tier4_1.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_privateer_tier4_1.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_privateer_tier4_1.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_privateer_tier4_1.stf', '9', 'complete', 'The recovery is compelte.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_privateer_tier4_1.stf', '10', 'complete_1', 'The recovery is complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_privateer_tier4_1.stf', '11', 'complete_2', 'The recovery is complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_privateer_tier4_1.stf', '12', 'complete_3', 'The recovery is complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_privateer_tier4_1.stf', '13', 'complete_4', 'The recovery is complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_privateer_tier4_1.stf', '14', 'complete_5', 'The recovery is complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_privateer_tier4_1.stf', '15', 'docking_complete', 'The docking process is complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_privateer_tier4_1.stf', '16', 'docking_started', 'The docking process has begun.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_privateer_tier4_1.stf', '17', 'failed_destroy', 'You have failed because the rescue craft was destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_privateer_tier4_1.stf', '18', 'panic_1', 'They are coming back!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_privateer_tier4_1.stf', '19', 'panic_2', 'Please save me!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_privateer_tier4_1.stf', '20', 'panic_3', 'Please save me!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_privateer_tier4_1.stf', '21', 'panic_4', 'Please save me!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_privateer_tier4_1.stf', '22', 'panic_5', 'Please save me!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_privateer_tier4_1.stf', '23', 'quest_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_privateer_tier4_1.stf', '24', 'quest_dock_d', 'Fly up near the Freighter and /dock to begin repairs');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_privateer_tier4_1.stf', '25', 'quest_dock_t', 'Dock Target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_privateer_tier4_1.stf', '26', 'quest_escort_d', 'Escort the freighter safely out of the system');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_privateer_tier4_1.stf', '27', 'quest_escort_t', 'Escort Target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_privateer_tier4_1.stf', '28', 'quest_location_d', 'Near a trade route in the Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_privateer_tier4_1.stf', '29', 'quest_location_t', 'Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_privateer_tier4_1.stf', '30', 'quest_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_privateer_tier4_1.stf', '31', 'quest_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_privateer_tier4_1.stf', '32', 'recovery_success', 'The recovery was a success.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_privateer_tier4_1.stf', '33', 'rescue_phase_1_1', 'Hurry, hurry!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_privateer_tier4_1.stf', '34', 'rescue_phase_1_2', 'We got to move!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_privateer_tier4_1.stf', '35', 'rescue_phase_1_3', 'Rescue me!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_privateer_tier4_1.stf', '36', 'rescue_phase_1_4', 'Rescue me!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_privateer_tier4_1.stf', '37', 'rescue_phase_1_5', 'Rescue me!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_privateer_tier4_1.stf', '38', 'rescue_phase_2_1', 'Lets get out of here');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_privateer_tier4_1.stf', '39', 'rescue_phase_2_2', 'Ok, lets go');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_privateer_tier4_1.stf', '40', 'rescue_phase_2_3', 'Lets get out of here');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_privateer_tier4_1.stf', '41', 'rescue_phase_2_4', 'Lets get out of here');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_privateer_tier4_1.stf', '42', 'rescue_phase_2_5', 'Lets get out of here');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_privateer_tier4_1.stf', '43', 'taunt_1', 'RSF Slime');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_privateer_tier4_1.stf', '44', 'taunt_2', 'You will die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_privateer_tier4_1.stf', '45', 'taunt_3', 'You will die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_privateer_tier4_1.stf', '46', 'taunt_4', 'You will die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_privateer_tier4_1.stf', '47', 'taunt_5', 'You will die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_privateer_tier4_1.stf', '48', 'thanks_1', 'Thank you for saving me!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_privateer_tier4_1.stf', '49', 'thanks_2', 'Yeah, take that you bums');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_privateer_tier4_1.stf', '50', 'thanks_3', 'Thank you for saving me!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_privateer_tier4_1.stf', '51', 'thanks_4', 'Thank you for saving me!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_privateer_tier4_1.stf', '52', 'thanks_5', 'Thank you for saving me!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_privateer_tier4_1.stf', '53', 'title', 'Yavin System: Duty: Rescue the Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_privateer_tier4_1.stf', '54', 'title_d', 'Rescue the civilian freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_rebel_tier4_1.stf', '1', 'abort', 'What?! We won\'t survive this on our own!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_rebel_tier4_1.stf', '2', 'arrival_phase_1', 'Alright pilot, we have a lot of transports that need help. Uploading the coordinates to one.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_rebel_tier4_1.stf', '3', 'arrival_phase_2', 'You will find one of the drifting transports near this location. Hurry over there.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_rebel_tier4_1.stf', '4', 'attack_notify', 'Tactical Computer: < Incoming fighter vessels. Scans show weapons armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_rebel_tier4_1.stf', '5', 'attack_stopped', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_rebel_tier4_1.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_rebel_tier4_1.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_rebel_tier4_1.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_rebel_tier4_1.stf', '9', 'complete', 'We\'re jumping to lightspeed, thank you pilot, couldn\'t have done it without you!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_rebel_tier4_1.stf', '10', 'docking_complete', 'As soon as the transport is running, escort them to safety.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_rebel_tier4_1.stf', '11', 'docking_started', 'Dock and transfer the repair parts and tools over to the transport quickly.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_rebel_tier4_1.stf', '12', 'failed_destroy', 'All those people... return to base pilot. We\'d rather have the Empire catch these people than have them all murdered.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_rebel_tier4_1.stf', '13', 'panic_1', 'Not again...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_rebel_tier4_1.stf', '14', 'panic_2', 'More of the Empires fighters coming this way!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_rebel_tier4_1.stf', '15', 'panic_3', 'Looks like the Empire has come to put the nail in our coffin!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_rebel_tier4_1.stf', '16', 'panic_4', 'Should we just surrender?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_rebel_tier4_1.stf', '17', 'panic_5', 'Please help us pilot, we are not fighters!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_rebel_tier4_1.stf', '18', 'quest_dock_d', 'Dock with the stranded freighter and transfer the parts it need to be repaired.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_rebel_tier4_1.stf', '19', 'quest_dock_t', 'Dock and transfer spare parts.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_rebel_tier4_1.stf', '20', 'quest_escort_d', 'Escort the transport to a safer location. Stay alert, the Imperial forces are closing in.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_rebel_tier4_1.stf', '21', 'quest_escort_t', 'Escort civilian transport to safety.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_rebel_tier4_1.stf', '22', 'quest_location_d', 'Even though the Dantooine system shouldn\'t be much of a threat to you, the presence of the Imperial Inquisition makes it more dangerous than normal. Stay alert.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_rebel_tier4_1.stf', '23', 'quest_location_t', 'Dantooine system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_rebel_tier4_1.stf', '24', 'quest_update', 'Vortex Fleet Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_rebel_tier4_1.stf', '25', 'recovery_success', 'Good job pilot, those people are safe. Stand by for further orders.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_rebel_tier4_1.stf', '26', 'rescue_phase_1_1', 'So glad you are here!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_rebel_tier4_1.stf', '27', 'rescue_phase_1_2', 'I\'m not sure this is a good idea, maybe it would be safer to just let them capture us?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_rebel_tier4_1.stf', '28', 'rescue_phase_1_3', 'Good to see you pilot, lets hurry up and get out of here!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_rebel_tier4_1.stf', '29', 'rescue_phase_1_4', 'Are you sure about this? What if they come back?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_rebel_tier4_1.stf', '30', 'rescue_phase_1_5', 'I hope we can get out of here before more of them show up.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_rebel_tier4_1.stf', '31', 'rescue_phase_2_1', 'Hey, is anyone a technician on this piece of junk?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_rebel_tier4_1.stf', '32', 'rescue_phase_2_2', 'Alright, lets get out of here!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_rebel_tier4_1.stf', '33', 'rescue_phase_2_3', 'I got a bad feeling about this..');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_rebel_tier4_1.stf', '34', 'rescue_phase_2_4', 'We got the tools, we should be repaired in just a moment.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_rebel_tier4_1.stf', '35', 'rescue_phase_2_5', 'The Empire will be so surprised when they come back and we are all gone..hehe.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_rebel_tier4_1.stf', '36', 'taunt_1', 'By order of the Imperial Inquisition, cut your engines immediately!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_rebel_tier4_1.stf', '37', 'taunt_2', 'If you don\'t let us board them, we will destroy them Rebel!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_rebel_tier4_1.stf', '38', 'taunt_3', 'No one expects the Imperial Inquisition!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_rebel_tier4_1.stf', '39', 'taunt_4', 'You thought we would just let you fly out of here? I don\'t think so Rebel!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_rebel_tier4_1.stf', '40', 'taunt_5', 'Surrender and we may let you live, persist and you will perish!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_rebel_tier4_1.stf', '41', 'thanks_1', 'Lucky for us, you know what you\'re doing.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_rebel_tier4_1.stf', '42', 'thanks_2', 'I think I just saw my life pass before my eyes..');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_rebel_tier4_1.stf', '43', 'thanks_3', 'Is it over?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_rebel_tier4_1.stf', '44', 'thanks_4', 'Get us out of here!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_rebel_tier4_1.stf', '45', 'thanks_5', 'This is the last time I\'m getting on a space ship!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_rebel_tier4_1.stf', '46', 'title', 'Dantooine system: Duty mission: Rescue civilian transports.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/naboo_rebel_tier4_1.stf', '47', 'title_d', 'A large number of civilian transports were disabled by Imperial raids in the Dantooine system. The intelligence that we have suggests that the Inquisition is looking for a Jedi on these ships. The civilian vessels are drifting in space while the Inquisitions capital ships are closing in and your orders are to beat them to the punch. Your ship is equipped with repair material that can be transfered to the transports. When you feel that you have exhausted your ship, yourself or that you have enough experience to continue your training, you can return to base at anytime.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_imperial_tier4_rescueduty_1.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_imperial_tier4_rescueduty_1.stf', '2', 'abort', 'We are already a mess and you are leaving us! Pirates have been detected in this area.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_imperial_tier4_rescueduty_1.stf', '3', 'arrival_phase_1', 'Getting a lock on the disabled ship and sending the location to your nav computer. Assist that ship with repairs and escort it to HQ.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_imperial_tier4_rescueduty_1.stf', '4', 'arrival_phase_2', 'The disabled vessel just limped into the sector. Assist with repairs and escort her home.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_imperial_tier4_rescueduty_1.stf', '5', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Incoming enemy fighters.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_imperial_tier4_rescueduty_1.stf', '6', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_imperial_tier4_rescueduty_1.stf', '7', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_imperial_tier4_rescueduty_1.stf', '8', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_imperial_tier4_rescueduty_1.stf', '9', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_imperial_tier4_rescueduty_1.stf', '10', 'complete', 'Nice work, pilot. We have her safe and sound. Report your success back to your superior or remain in the area to be assigned another vessel to rescue.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_imperial_tier4_rescueduty_1.stf', '11', 'complete_1', 'Nice work, pilot. We have her safe and sound. Report your success back to your superior.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_imperial_tier4_rescueduty_1.stf', '12', 'complete_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_imperial_tier4_rescueduty_1.stf', '13', 'complete_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_imperial_tier4_rescueduty_1.stf', '14', 'complete_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_imperial_tier4_rescueduty_1.stf', '15', 'complete_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_imperial_tier4_rescueduty_1.stf', '16', 'docking_complete', 'Repairs completed. Escort the ship back to HQ.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_imperial_tier4_rescueduty_1.stf', '17', 'docking_started', 'Docking procedure started. Once repairs are completed escort her home.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_imperial_tier4_rescueduty_1.stf', '18', 'failed_destroy', 'We wanted that ship back in one piece. Report your failure to your commander.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_imperial_tier4_rescueduty_1.stf', '19', 'panic_1', 'It looks like those Red Skulls are coming back to finish the job.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_imperial_tier4_rescueduty_1.stf', '20', 'panic_2', 'Those pirates are tenacious.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_imperial_tier4_rescueduty_1.stf', '21', 'panic_3', 'I am going to be useless in this fight. They are all yours.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_imperial_tier4_rescueduty_1.stf', '22', 'panic_4', 'Hammer them...fast!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_imperial_tier4_rescueduty_1.stf', '23', 'panic_5', 'Look out! Pirates coming in at twelve o\'clock.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_imperial_tier4_rescueduty_1.stf', '24', 'quest_dock_d', 'Once you have located the damage vessel, use the /dock command on it and to assist the transport with repairs. The vessel will be able to get underway shortly after you help it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_imperial_tier4_rescueduty_1.stf', '25', 'quest_dock_t', 'Assisting the Imperial Transport with Repairs');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_imperial_tier4_rescueduty_1.stf', '26', 'quest_escort_d', 'After the vessel is underway, follow it and make sure that it arrives at a safe jump location without incident. Reports of Rebel activity show that there is a high chance they will attack the vessel, so be alert and ready to defend the transport.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_imperial_tier4_rescueduty_1.stf', '27', 'quest_escort_t', 'Escort the Imperial Transport');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_imperial_tier4_rescueduty_1.stf', '28', 'quest_location_d', 'Travel to the Endor system and follow the supplied navigation waypoint to the damaged transport.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_imperial_tier4_rescueduty_1.stf', '29', 'quest_location_t', 'Travel to the Endor System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_imperial_tier4_rescueduty_1.stf', '30', 'quest_update', '\\#pcontrast1 Storm Squadron Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_imperial_tier4_rescueduty_1.stf', '31', 'recovery_success', 'Stand by, pilot. She is on final approach.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_imperial_tier4_rescueduty_1.stf', '32', 'rescue_phase_1_1', 'Glad to see someone other then those pirates. They have been coming back taunting me every few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_imperial_tier4_rescueduty_1.stf', '33', 'rescue_phase_1_2', 'I will try to get my engine back online so we can get out of here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_imperial_tier4_rescueduty_1.stf', '34', 'rescue_phase_1_3', 'Those pirates took my engine out and then took off. I think you spooked them.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_imperial_tier4_rescueduty_1.stf', '35', 'rescue_phase_1_4', 'Not sure if I can get my engine restarted but I will try.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_imperial_tier4_rescueduty_1.stf', '36', 'rescue_phase_1_5', 'You scared off those pirates. Let me see if I can get restarted and get out of here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_imperial_tier4_rescueduty_1.stf', '37', 'rescue_phase_2_1', 'My engine is back online. Follow me!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_imperial_tier4_rescueduty_1.stf', '38', 'rescue_phase_2_2', 'Ok, she started but I don\'t know how long she will last.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_imperial_tier4_rescueduty_1.stf', '39', 'rescue_phase_2_3', 'I just completed my repairs. Let\'s get out of here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_imperial_tier4_rescueduty_1.stf', '40', 'rescue_phase_2_4', 'Wow, that was lucky. I wasn\'t damaged as bad as I first thought. Follow me.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_imperial_tier4_rescueduty_1.stf', '41', 'rescue_phase_2_5', 'The repairs have been completed. Follow me out of here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_imperial_tier4_rescueduty_1.stf', '42', 'taunt_1', 'Try running. You might actually make it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_imperial_tier4_rescueduty_1.stf', '43', 'taunt_2', 'Give us the freighter and no one gets hurt.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_imperial_tier4_rescueduty_1.stf', '44', 'taunt_3', 'You have crossed the wrong pilot this time.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_imperial_tier4_rescueduty_1.stf', '45', 'taunt_4', 'I was going to let you live but now you are mine!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_imperial_tier4_rescueduty_1.stf', '46', 'taunt_5', 'That\'s it. No more mister nice guy.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_imperial_tier4_rescueduty_1.stf', '47', 'thanks_1', 'Wow, you took all those ships out. You are good.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_imperial_tier4_rescueduty_1.stf', '48', 'thanks_2', 'What happened? I wasn\'t paying attention.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_imperial_tier4_rescueduty_1.stf', '49', 'thanks_3', 'Hey, you destroyed them all. Nice work.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_imperial_tier4_rescueduty_1.stf', '50', 'thanks_4', 'Yeah that was all me. They couldn\'t handle my extreme skills.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_imperial_tier4_rescueduty_1.stf', '51', 'thanks_5', 'How do I become an Imperial pilot?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_imperial_tier4_rescueduty_1.stf', '52', 'title', 'Endor System: Rescue the Imperial Transports Duty');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_imperial_tier4_rescueduty_1.stf', '53', 'title_d', 'Travel to the Endor sytem and rescue the damaged Imperial transports. Once you arrive in the Endor system, you will receive a navigation waypoint to the location of a damaged transport. Travel to the location and use the /dock command to assist the transport with repairs. Once the vessel is repaired escort it through the system to safety. Once the transport is safely away, you will receive a new navigation waypoint to another transport in need of assistance. This is a duty mission and can be quit at any time. Simply abort the mission or leave the system to end the mission.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_privateer_tier4_1.stf', '1', 'abort', 'You have failed your mission.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_privateer_tier4_1.stf', '2', 'arrival_phase_1', 'Hold for location update on the freighter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_privateer_tier4_1.stf', '3', 'arrival_phase_2', 'The freighter has arrived, proceed to location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_privateer_tier4_1.stf', '4', 'attack_notify', 'Enemy craft incoming.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_privateer_tier4_1.stf', '5', 'attack_stopped', 'The attack has stopped.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_privateer_tier4_1.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_privateer_tier4_1.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_privateer_tier4_1.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_privateer_tier4_1.stf', '9', 'complete', 'The mission is complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_privateer_tier4_1.stf', '10', 'complete_1', 'The freighter is in, good job.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_privateer_tier4_1.stf', '11', 'complete_2', 'The Freighter has succesfully been recovered.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_privateer_tier4_1.stf', '12', 'complete_3', 'The Freighter has succesfully been recovered.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_privateer_tier4_1.stf', '13', 'complete_4', 'Action complete, stand by for more orders.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_privateer_tier4_1.stf', '14', 'complete_5', 'The Freighter has succesfully been recovered.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_privateer_tier4_1.stf', '15', 'docking_complete', 'The docking is complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_privateer_tier4_1.stf', '16', 'docking_started', 'The docking process has begun.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_privateer_tier4_1.stf', '17', 'failed_destroy', 'You have failed due to the freighter being destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_privateer_tier4_1.stf', '18', 'panic_1', 'Defend me please!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_privateer_tier4_1.stf', '19', 'panic_2', 'Here comes the heat!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_privateer_tier4_1.stf', '20', 'panic_3', 'Defend me please!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_privateer_tier4_1.stf', '21', 'panic_4', 'Can\'t an honest smuggler catcha  break?!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_privateer_tier4_1.stf', '22', 'panic_5', 'Defend me please!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_privateer_tier4_1.stf', '23', 'quest_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_privateer_tier4_1.stf', '24', 'quest_dock_d', 'Fly up near the Freighter and /dock to begin repairs');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_privateer_tier4_1.stf', '25', 'quest_dock_t', 'Dock Target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_privateer_tier4_1.stf', '26', 'quest_escort_d', 'Escort the freighter safely out of the system');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_privateer_tier4_1.stf', '27', 'quest_escort_t', 'Escort Target');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_privateer_tier4_1.stf', '28', 'quest_location_d', 'A Nym trade route in the Lok System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_privateer_tier4_1.stf', '29', 'quest_location_t', 'Lok System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_privateer_tier4_1.stf', '30', 'quest_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_privateer_tier4_1.stf', '31', 'quest_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_privateer_tier4_1.stf', '32', 'recovery_success', 'The operation was a success.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_privateer_tier4_1.stf', '33', 'rescue_phase_1_1', 'Docking has begun.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_privateer_tier4_1.stf', '34', 'rescue_phase_1_2', 'Thank goodness you are here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_privateer_tier4_1.stf', '35', 'rescue_phase_1_3', 'Docking has begun.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_privateer_tier4_1.stf', '36', 'rescue_phase_1_4', 'Lets get out of here, the cops here swarm like womp rats.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_privateer_tier4_1.stf', '37', 'rescue_phase_1_5', 'Docking has begun.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_privateer_tier4_1.stf', '38', 'rescue_phase_2_1', 'Docking is done.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_privateer_tier4_1.stf', '39', 'rescue_phase_2_2', 'That\'s it, lets move!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_privateer_tier4_1.stf', '40', 'rescue_phase_2_3', 'Docking is done.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_privateer_tier4_1.stf', '41', 'rescue_phase_2_4', 'Docking is done.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_privateer_tier4_1.stf', '42', 'rescue_phase_2_5', 'I hope we can make it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_privateer_tier4_1.stf', '43', 'taunt_1', 'Attemping to run was not a wise move.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_privateer_tier4_1.stf', '44', 'taunt_2', 'You will die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_privateer_tier4_1.stf', '45', 'taunt_3', 'Surrender now, and you may find mercy.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_privateer_tier4_1.stf', '46', 'taunt_4', 'You will die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_privateer_tier4_1.stf', '47', 'taunt_5', 'You will die!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_privateer_tier4_1.stf', '48', 'thanks_1', 'Ha, take that!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_privateer_tier4_1.stf', '49', 'thanks_2', 'Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_privateer_tier4_1.stf', '50', 'thanks_3', 'Always more where that came from.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_privateer_tier4_1.stf', '51', 'thanks_4', 'Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_privateer_tier4_1.stf', '52', 'thanks_5', 'I don\'t get paid enough for this.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_privateer_tier4_1.stf', '53', 'title', 'Lok System: Duty: Recover the Nym Freighter');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_privateer_tier4_1.stf', '54', 'title_d', 'Rescue the Nym Freighter from combined attacks by police forces');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_rebel_tier4_1.stf', '1', 'abort', 'What are you doing..? You\'re leaving us to our death..');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_rebel_tier4_1.stf', '2', 'arrival_phase_1', 'Alright pilot, we have a lot of transports that need help. Uploading the coordinates to one.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_rebel_tier4_1.stf', '3', 'arrival_phase_2', 'You will find one of the drifting transports near this location. Hurry over there.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_rebel_tier4_1.stf', '4', 'attack_notify', 'Tactical Computer: < Incoming fighter vessels. Scans show weapons armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_rebel_tier4_1.stf', '5', 'attack_stopped', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_rebel_tier4_1.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_rebel_tier4_1.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_rebel_tier4_1.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_rebel_tier4_1.stf', '9', 'complete', 'We are most grateful pilot, I\'m sure we would never have seen the light of day again.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_rebel_tier4_1.stf', '10', 'complete_1', 'I guess this beats an Imperial interrogation cell. We\'re out of here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_rebel_tier4_1.stf', '11', 'complete_2', 'We are most grateful pilot, I\'m sure we would never have seen the light of day again.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_rebel_tier4_1.stf', '12', 'complete_3', 'Where do I sign up to join the Rebellion?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_rebel_tier4_1.stf', '13', 'complete_4', 'We are all in your debt pilot, please accept our gratitude.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_rebel_tier4_1.stf', '14', 'complete_5', 'We\'re home free everyone, thanks to this amazing pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_rebel_tier4_1.stf', '15', 'docking_complete', 'As soon as the transport is running, escort them to safety.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_rebel_tier4_1.stf', '16', 'docking_started', 'Dock and transfer the repair parts and tools over to the transport quickly.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_rebel_tier4_1.stf', '17', 'failed_destroy', 'All those people... return to base pilot. We\'d rather have the Empire catch these people than have them all murdered.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_rebel_tier4_1.stf', '18', 'panic_1', 'Not again...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_rebel_tier4_1.stf', '19', 'panic_2', 'More of the Empires fighters coming this way!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_rebel_tier4_1.stf', '20', 'panic_3', 'Looks like the Empire has come to put the nail in our coffin!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_rebel_tier4_1.stf', '21', 'panic_4', 'Should we just surrender?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_rebel_tier4_1.stf', '22', 'panic_5', 'Please help us pilot, we are not fighters!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_rebel_tier4_1.stf', '23', 'quest_dock_d', 'Dock with the disabled fugitive transport and transfer the spare parts they need to repair their ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_rebel_tier4_1.stf', '24', 'quest_dock_t', 'Dock and transfer spare parts.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_rebel_tier4_1.stf', '25', 'quest_escort_d', 'Escort the transport to safety quickly. Our sensors show more and more Imperial ships entering the area so be prepared to come under attack.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_rebel_tier4_1.stf', '26', 'quest_escort_t', 'Escort the transport.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_rebel_tier4_1.stf', '27', 'quest_location_d', 'The Dantooine system should be fairly safe for an experienced pilot as yourself but the Empire is moving in some of their fleet in to this area so stay alert.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_rebel_tier4_1.stf', '28', 'quest_location_t', 'Dantooine system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_rebel_tier4_1.stf', '29', 'quest_update', 'Rebel Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_rebel_tier4_1.stf', '30', 'recovery_success', 'Great, they are safe! Stand by for further orders.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_rebel_tier4_1.stf', '31', 'rescue_phase_1_1', 'So glad you are here!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_rebel_tier4_1.stf', '32', 'rescue_phase_1_2', 'I\'m not sure this is a good idea, maybe it would be safer to just let them capture us?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_rebel_tier4_1.stf', '33', 'rescue_phase_1_3', 'I hope we can get out of here before more of them show up.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_rebel_tier4_1.stf', '34', 'rescue_phase_1_4', 'Good to see you pilot, lets hurry up and get out of here!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_rebel_tier4_1.stf', '35', 'rescue_phase_1_5', 'Are you sure about this? What if they come back?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_rebel_tier4_1.stf', '36', 'rescue_phase_2_1', 'We got the tools, we should be repaired in just a moment.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_rebel_tier4_1.stf', '37', 'rescue_phase_2_2', 'Hey, is anyone a technician on this piece of junk?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_rebel_tier4_1.stf', '38', 'rescue_phase_2_3', 'Alright, lets get out of here!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_rebel_tier4_1.stf', '39', 'rescue_phase_2_4', 'I got a bad feeling about this..');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_rebel_tier4_1.stf', '40', 'rescue_phase_2_5', 'The Empire will be so surprised when they come back and we are all gone..hehe.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_rebel_tier4_1.stf', '41', 'taunt_1', 'You\'re not going anywhere you Rebel fools.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_rebel_tier4_1.stf', '42', 'taunt_2', 'You have three seconds to cut your engines and surrender or we will destroy you!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_rebel_tier4_1.stf', '43', 'taunt_3', 'That ship now belongs to the Emperor, surrender it immediately!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_rebel_tier4_1.stf', '44', 'taunt_4', 'You have your orders men, if they don\'t stop, terminate them.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_rebel_tier4_1.stf', '45', 'taunt_5', 'You will not leave this system alive unless you surrender.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_rebel_tier4_1.stf', '46', 'thanks_1', 'Lucky for us, you know what you\'re doing.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_rebel_tier4_1.stf', '47', 'thanks_2', 'I think I just saw my life pass before my eyes..');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_rebel_tier4_1.stf', '48', 'thanks_3', 'Is it over?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_rebel_tier4_1.stf', '49', 'thanks_4', 'Get us out of here!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_rebel_tier4_1.stf', '50', 'thanks_5', 'This is the last time I\'m getting on a space ship!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_rebel_tier4_1.stf', '51', 'title', 'Dantooine system: Duty mission: Rescue fugitive transports.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/tatooine_rebel_tier4_1.stf', '52', 'title_d', 'A civilian fugitive fleet with some Alliance members in it was ambushed in the Dantooine system by the Empire. Several of the transports have been disabled and are drifting through space. The Empire is moving in capital ships to capture the crew and passengers. Let\' beat them to it and save these people. When you feel that you have exhausted your ship, yourself or that you have enough experience to continue your training, you can return to base at anytime.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/test_rescue_duty.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/test_rescue_duty.stf', '2', 'abort', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/test_rescue_duty.stf', '3', 'arrival_phase_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/test_rescue_duty.stf', '4', 'arrival_phase_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/test_rescue_duty.stf', '5', 'attack_notify', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/test_rescue_duty.stf', '6', 'attack_stopped', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/test_rescue_duty.stf', '7', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/test_rescue_duty.stf', '8', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/test_rescue_duty.stf', '9', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/test_rescue_duty.stf', '10', 'complete', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/test_rescue_duty.stf', '11', 'docking_complete', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/test_rescue_duty.stf', '12', 'docking_started', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/test_rescue_duty.stf', '13', 'failed_destroy', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/test_rescue_duty.stf', '14', 'panic_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/test_rescue_duty.stf', '15', 'panic_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/test_rescue_duty.stf', '16', 'panic_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/test_rescue_duty.stf', '17', 'panic_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/test_rescue_duty.stf', '18', 'panic_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/test_rescue_duty.stf', '19', 'quest_dock_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/test_rescue_duty.stf', '20', 'quest_dock_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/test_rescue_duty.stf', '21', 'quest_escort_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/test_rescue_duty.stf', '22', 'quest_escort_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/test_rescue_duty.stf', '23', 'quest_location_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/test_rescue_duty.stf', '24', 'quest_location_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/test_rescue_duty.stf', '25', 'quest_update', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/test_rescue_duty.stf', '26', 'recovery_success', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/test_rescue_duty.stf', '27', 'rescue_phase_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/test_rescue_duty.stf', '28', 'rescue_phase_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/test_rescue_duty.stf', '29', 'rescue_phase_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/test_rescue_duty.stf', '30', 'rescue_phase_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/test_rescue_duty.stf', '31', 'rescue_phase_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/test_rescue_duty.stf', '32', 'rescue_phase_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/test_rescue_duty.stf', '33', 'rescue_phase_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/test_rescue_duty.stf', '34', 'rescue_phase_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/test_rescue_duty.stf', '35', 'rescue_phase_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/test_rescue_duty.stf', '36', 'rescue_phase_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/test_rescue_duty.stf', '37', 'taunt_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/test_rescue_duty.stf', '38', 'taunt_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/test_rescue_duty.stf', '39', 'taunt_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/test_rescue_duty.stf', '40', 'taunt_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/test_rescue_duty.stf', '41', 'taunt_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/test_rescue_duty.stf', '42', 'thanks_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/test_rescue_duty.stf', '43', 'thanks_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/test_rescue_duty.stf', '44', 'thanks_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/test_rescue_duty.stf', '45', 'thanks_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/test_rescue_duty.stf', '46', 'thanks_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/test_rescue_duty.stf', '47', 'title', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/rescue_duty/test_rescue_duty.stf', '48', 'title_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier3_2d.stf', '1', 'allies_arrived', 'Allies have arrived');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier3_2d.stf', '2', 'allies_remain', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier3_2d.stf', '3', 'allies_win', 'Viva La Empire');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier3_2d.stf', '4', 'assigned_delayed', 'Go to this waypoing and protect a training wing.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier3_2d.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier3_2d.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier3_2d.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier3_2d.stf', '8', 'battle_started', 'The battle has started.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier3_2d.stf', '9', 'enemies_arrived', 'The Rebels are here');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier3_2d.stf', '10', 'enemies_remain', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier3_2d.stf', '11', 'enemies_win', 'Rebels win, this is a bad thing.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier3_2d.stf', '12', 'found_loc', 'Waypoint to location has been set.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier3_2d.stf', '13', 'quest_findbattle_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier3_2d.stf', '14', 'quest_findbattle_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier3_2d.stf', '15', 'quest_helpallies_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier3_2d.stf', '16', 'quest_helpallies_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier3_2d.stf', '17', 'quest_location_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier3_2d.stf', '18', 'quest_location_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier3_2d.stf', '19', 'quest_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier3_2d.stf', '20', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier3_2d.stf', '21', 'title', 'Protect the Trainees');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier3_2d.stf', '22', 'title_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier3_2_c.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier3_2_c.stf', '2', 'allies_arrived', 'The Hutt force has grouped and is waiting for Nym to attack.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier3_2_c.stf', '3', 'allies_remain', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <%DI Hutt fighters remaining.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier3_2_c.stf', '4', 'allies_win', 'Nice work. Nym\'s forces have been wiped out. They will have to think twice about operating in this system with both the Imperial and Hutts fighting them. Make a full report back to your superior.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier3_2_c.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier3_2_c.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier3_2_c.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier3_2_c.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier3_2_c.stf', '9', 'battle_abandoned', 'What are you doing? You left the Hutt forces outnumbered and outclassed. Nym needs to fear the Hutts not think of them as easy prey. This is unacceptable! Report back to your commanding officer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier3_2_c.stf', '10', 'battle_started', 'Nym\'s forces have engaged the Hutts. Make sure that the Hutts are victorious.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier3_2_c.stf', '11', 'enemies_arrived', 'Nym\'s forces have jumped into the system. They are heading towards the Hutts at attack speeds.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier3_2_c.stf', '12', 'enemies_remain', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <%DI Nym fighters remaining.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier3_2_c.stf', '13', 'enemies_win', 'Blast it! Nym has won the day. Now they have the confidence that they can fight both the Empire and Hutt forces. This operation is a failure. Report back to your superior.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier3_2_c.stf', '14', 'found_loc', 'Located coordinates of projected attack by Nyms forces. Assist the Hutt defenders in the area. Remember the Hutts are not friendlies and will fire on you. Do not destroy any of the Hutt defenders.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier3_2_c.stf', '15', 'quest_findbattle_d', 'Travel to the supplied navigation waypoint that will be given to you. This waypoint will lead you to the location that the battle will take place.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier3_2_c.stf', '16', 'quest_findbattle_t', 'Travel to the Battle Location');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier3_2_c.stf', '17', 'quest_helpallies_d', 'Once at the battle location, wait for the arrival of Nym\'s forces and for the battle to start. Destroy all of Nym\'s men before they can destroy all of the Hutts. The Hutts are outnumbered so your assistance is important. Becareful, since the Hutts are not friendly to the Empire they may open fire on you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier3_2_c.stf', '18', 'quest_helpallies_t', 'Help the Hutts Defeat Nym\'s Men');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier3_2_c.stf', '19', 'quest_location_d', 'Remain in the Yavin system and assist the Hutts in destroying Nym\'s men. Travel to the navigation waypoint that you will receive to the battle location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier3_2_c.stf', '20', 'quest_location_t', 'Remain in the Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier3_2_c.stf', '21', 'quest_update', '\\#pcontrast1 Black Epsilon Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier3_2_c.stf', '22', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier3_2_c.stf', '23', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier3_2_c.stf', '24', 'title', 'Yavin System: Help the Hutts Battle Nym\'s Forces');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier3_2_c.stf', '25', 'title_d', 'Remain in the Yavin system and help the Hutts beat Nym in a battle. You will receive a navigation waypoint to the place where the battle is going to take place. Travel to this location and wait for the arrival of the Hutts and Nym\'s men. When the battle is joined, assist the Hutts on destroying Nym\'s men before Nym\'s men can wipe out the Hutts. If all of the Hutts die then you will have lost the battle. Be very careful because the Hutts are not friendly and will fire on you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier4_4_c.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier4_4_c.stf', '2', 'allies_arrived', 'TIE squadron regrouping to defend against assault.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier4_4_c.stf', '3', 'allies_remain', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <%DI allied fighters remaining.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier4_4_c.stf', '4', 'allies_win', 'Anderlock\'s wing has been completely destroyed. ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier4_4_c.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier4_4_c.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier4_4_c.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier4_4_c.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier4_4_c.stf', '9', 'battle_abandoned', 'You have left the TIE squadron to the mercy of the enemy. Report your failure to your commander.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier4_4_c.stf', '10', 'battle_started', 'Enemy fighters engaging TIE squadron.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier4_4_c.stf', '11', 'enemies_arrived', 'Scans indicate presence of large enemy force massing for attack on TIE squadron.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier4_4_c.stf', '12', 'enemies_remain', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <%DI enemy fighters remaining.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier4_4_c.stf', '13', 'enemies_win', 'TIE squadron completely destroyed. Anderlock has established control of the area.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier4_4_c.stf', '14', 'found_loc', 'Proceed to navigation waypoint supplied to you. That TIE squadron must be protected in order to keep enemies from the area. While you are at it destroy every enemy fighter, especially Anderlock.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier4_4_c.stf', '15', 'quest_findbattle_d', 'Travel to the supplied navigation waypoint and meet up with the TIEs as they prepare to battle the enemy.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier4_4_c.stf', '16', 'quest_findbattle_t', 'Travel to the Battle Location');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier4_4_c.stf', '17', 'quest_helpallies_d', 'Destroy the attacking enemy fighters before they can eliminate the remaining TIE fighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier4_4_c.stf', '18', 'quest_helpallies_t', 'Help the TIEs Defeat Tiberus Anderlock');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier4_4_c.stf', '19', 'quest_location_d', 'The battle is being waged in the Dathomir system. A navigation waypoint to the battle location will be supplied to you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier4_4_c.stf', '20', 'quest_location_t', 'Remain in the Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier4_4_c.stf', '21', 'quest_update', '\\#pcontrast1 Black Epsilon Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier4_4_c.stf', '22', 'split_quest_alert', 'Anderlock sent out a distress signal in his last moment. Tracing signal reveals that the vessel that recieved the signal is attempting to leave the sector. Track and destroy this vessel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier4_4_c.stf', '23', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier4_4_c.stf', '24', 'title', 'Dathomir System: Defeat Tiberus Anderlock in Battle');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_imperial_tier4_4_c.stf', '25', 'title_d', 'A highly important TIE squadron has been attacked by enemy forces. The enemy is being lead by your second priority target. You must protect the TIE squadron and destroy all the attackers, including Tiberous Anderlock.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3a.stf', '1', 'allies_arrived', 'Allied forces have arrived.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3a.stf', '2', 'allies_remain', 'An allied craft has been destroyed, %DI remain.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3a.stf', '3', 'allies_remaining', 'An allied craft has been destroyed, %DI remain.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3a.stf', '4', 'allies_win', 'Allied forces have won.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3a.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3a.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3a.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3a.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3a.stf', '9', 'battle_abandoned', 'The battle has been abandoned');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3a.stf', '10', 'battle_started', 'The battle has begun.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3a.stf', '11', 'enemies_arrived', '\\#pcontrast3 CorSec Command: < \\#pcontrast1 The Black Sun are entering normal space now. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3a.stf', '12', 'enemies_remain', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 a hostile craft has been destroyed, %DI remain. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3a.stf', '13', 'enemies_remaining', 'An enemy craft has been destroyed, %DI remain.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3a.stf', '14', 'enemies_win', 'Enemy forces have won.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3a.stf', '15', 'found_loc', '\\#pcontrast3 CorSec Command: < \\#pcontrast1 Travel to this location to rendezvous with the attack force. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3a.stf', '16', 'quest_findbattle_d', 'Travel here to engage hostile forces');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3a.stf', '17', 'quest_findbattle_t', 'Battle Point');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3a.stf', '18', 'quest_helpallies_d', 'Assist your CorSec allies to destroy the Black Sun');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3a.stf', '19', 'quest_helpallies_t', 'Corellian Security');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3a.stf', '20', 'quest_location_d', 'A battle point in the Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3a.stf', '21', 'quest_location_t', 'Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3a.stf', '22', 'quest_update', '\\#pcontrast3 < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3a.stf', '23', 'split_quest_alert', '\\#pcontrast3 CorSec Command: < \\#pcontrast1 We are moving into the next attack position now.  There is a small contingient of Black Sun craft heading for the battle point.  It would be best if they did not arrive. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3a.stf', '24', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3a.stf', '25', 'title', 'Dantooine System: Assist the CorSec against the Black Sun');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3a.stf', '26', 'title_d', 'Stand up to the Black Sun pirates invading this system');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3c_lose.stf', '1', 'allies_arrived', '\\#pcontrast3 CorSec Command: < \\#pcontrast1 The CorSec wing should be coming out of Hyperspace any moment now. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3c_lose.stf', '2', 'allies_remain', 'An allied craft has been destroyed, %DI remain.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3c_lose.stf', '3', 'allies_remaining', 'An allied craft has been destroyed, %DI remain.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3c_lose.stf', '4', 'allies_win', '\\#pcontrast3 CorSec Command: < \\#pcontrast1 Excellent, that will show those Black Sun that the Corellian Security forces are not to be taken lightly. Return to base Captain. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3c_lose.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3c_lose.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3c_lose.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3c_lose.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3c_lose.stf', '9', 'battle_abandoned', 'The battle has been abandoned');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3c_lose.stf', '10', 'battle_started', '\\#pcontrast3 Black Sun: < \\#pcontrast1 You were a fool to come CorSec dogs. \\#pcontrast1 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3c_lose.stf', '11', 'enemies_arrived', '\\#pcontrast3 CorSec Command: < \\#pcontrast1 Black Sun forces coming out of hyperspace. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3c_lose.stf', '12', 'enemies_remain', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 An enemy craft has been destroyed, %DI remain. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3c_lose.stf', '13', 'enemies_remaining', 'An enemy craft has been destroyed, %DI remain.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3c_lose.stf', '14', 'enemies_win', 'Enemy forces have won.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3c_lose.stf', '15', 'found_loc', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Waypoint to allied rendezvous set. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3c_lose.stf', '16', 'quest_findbattle_d', 'Travel here to rendezvous with CorSec forces');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3c_lose.stf', '17', 'quest_findbattle_t', 'Battle Point');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3c_lose.stf', '18', 'quest_helpallies_d', 'Assist your allies in this battle');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3c_lose.stf', '19', 'quest_helpallies_t', 'Corellian Security Fighters');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3c_lose.stf', '20', 'quest_location_d', 'A battle point in the Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3c_lose.stf', '21', 'quest_location_t', 'Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3c_lose.stf', '22', 'quest_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3c_lose.stf', '23', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3c_lose.stf', '24', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3c_lose.stf', '25', 'title', 'Dantooine System: Assist the CorSec against the Black Sun');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3c_lose.stf', '26', 'title_d', 'Assist the Corellian Security Forces in an attack against the Black Sun Pirates');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3c_win.stf', '1', 'allies_arrived', '\\#pcontrast3 CorSec Command: < \\#pcontrast1 The CorSec wing should be coming out of Hyperspace any moment now. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3c_win.stf', '2', 'allies_remain', 'An allied craft has been destroyed, %DI remain.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3c_win.stf', '3', 'allies_remaining', 'An allied craft has been destroyed, %DI remain.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3c_win.stf', '4', 'allies_win', '\\#pcontrast3 CorSec Command: < \\#pcontrast1 Excellent, that will show those Black Sun that the Corellian Security forces are not to be taken lightly. Return to base Captain. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3c_win.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3c_win.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3c_win.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3c_win.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3c_win.stf', '9', 'battle_abandoned', 'The battle has been abandoned');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3c_win.stf', '10', 'battle_started', '\\#pcontrast3 Black Sun: < \\#pcontrast1 You were a fool to come CorSec dogs. \\#pcontrast1 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3c_win.stf', '11', 'enemies_arrived', '\\#pcontrast3 CorSec Command: < \\#pcontrast1 Black Sun forces coming out of hyperspace. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3c_win.stf', '12', 'enemies_remain', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 An enemy craft has been destroyed, %DI remain. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3c_win.stf', '13', 'enemies_remaining', 'An enemy craft has been destroyed, %DI remain.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3c_win.stf', '14', 'enemies_win', 'Enemy forces have won.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3c_win.stf', '15', 'found_loc', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Waypoint to allied rendezvous set. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3c_win.stf', '16', 'quest_findbattle_d', 'Travel here to rendezvous with CorSec forces');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3c_win.stf', '17', 'quest_findbattle_t', 'Battle Point');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3c_win.stf', '18', 'quest_helpallies_d', 'Assist your allies in this battle');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3c_win.stf', '19', 'quest_helpallies_t', 'Corellian Security Fighters');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3c_win.stf', '20', 'quest_location_d', 'A battle point in the Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3c_win.stf', '21', 'quest_location_t', 'Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3c_win.stf', '22', 'quest_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3c_win.stf', '23', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3c_win.stf', '24', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3c_win.stf', '25', 'title', 'Dantooine System: Assist the CorSec against the Black Sun');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_privateer_tier4_3c_win.stf', '26', 'title_d', 'Assist the Corellian Security Forces in an attack against the Black Sun Pirates');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_1_d.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_1_d.stf', '2', 'allies_arrived', 'They started following us a while back, we can\'t let them reach the fleet.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_1_d.stf', '3', 'allies_remain', 'Rebel Pilot: < Critical system failure, my engines are burning! I nee... >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_1_d.stf', '4', 'allies_win', 'Fantastic job pilot! If you ever look for a reassignment to a squad, look me up. Now lets get out of here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_1_d.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_1_d.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_1_d.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_1_d.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_1_d.stf', '9', 'battle_abandoned', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_1_d.stf', '10', 'battle_started', 'Here they come, attack pattern Green 2! Give them a fight they won\'t forget!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_1_d.stf', '11', 'enemies_arrived', 'There they are, get ready guys!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_1_d.stf', '12', 'enemies_remain', 'X-Wing Squad Leader: < Good job everyone, only %DI Imperial scum to go! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_1_d.stf', '13', 'enemies_win', 'My ship is burning up! Get out of he...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_1_d.stf', '14', 'found_loc', 'Good to see you pilot. Proceed to these coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_1_d.stf', '15', 'quest_findbattle_d', 'The X-Wing squadron has set these coordinates as the location where they will perform their counter attack. Join up with them quickly.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_1_d.stf', '16', 'quest_findbattle_t', 'Coordinates of battle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_1_d.stf', '17', 'quest_helpallies_d', 'We would send in more reinforcements but the whole idea here is to not let the Empire know the amount of ship we have in transit right now. You and the X-Wing squadron will be on your own. Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_1_d.stf', '18', 'quest_helpallies_t', 'Assist the X-Wings.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_1_d.stf', '19', 'quest_location_d', 'While flying over to the X-Wing squadron, be careful to not attract more Imperial fighters. The Yavin system is crawling with them.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_1_d.stf', '20', 'quest_location_t', 'Yavin system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_1_d.stf', '21', 'quest_update', 'X-Wing Squad Leader: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_1_d.stf', '22', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_1_d.stf', '23', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_1_d.stf', '24', 'title', 'Yavin system: Assist X-Wing squad in defeating Imperial patrols.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_1_d.stf', '25', 'title_d', 'The X-Wing squadron that\'s covering the rear of the fleet is being followed by Imperial fighters. Assist them in defeating the Imperial scum while the fleet escapes.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_3_b.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_3_b.stf', '2', 'allies_arrived', 'Good to see you pilot. We\'ve taken a beating so your presence is gladly accepted.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_3_b.stf', '3', 'allies_remain', 'Tactical Computer: < Sensors indicate termination of ally squad member. %DI allied ship remain in vicinity. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_3_b.stf', '4', 'allies_win', 'That\'s how it\'s done! Great job guys!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_3_b.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_3_b.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_3_b.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_3_b.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_3_b.stf', '9', 'battle_abandoned', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_3_b.stf', '10', 'battle_started', 'Time to fry some Imperial scum, bring it to them guys!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_3_b.stf', '11', 'enemies_arrived', 'Alright, the fools have arrived, get ready.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_3_b.stf', '12', 'enemies_remain', 'Green Squadron Leader: < Hang in there everyone! Only %DI left! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_3_b.stf', '13', 'enemies_win', 'Can\'t keep my ship together, I\'m falling ap..');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_3_b.stf', '14', 'found_loc', 'Proceed to these coordinates, We will rendez-vous with you there.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_3_b.stf', '15', 'quest_findbattle_d', 'The Green Squadron leader has given you these coordinates as the point where they will try to fight back the pursuing TIE fighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_3_b.stf', '16', 'quest_findbattle_t', 'Green Squadron rendez-vous.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_3_b.stf', '17', 'quest_helpallies_d', 'The heavy Y-Wings are having trouble with the nimbler TIE fighters and will need your help in defeating them or perish.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_3_b.stf', '18', 'quest_helpallies_t', 'Assist the Green Squadron.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_3_b.stf', '19', 'quest_location_d', 'The Endor system is now starting to look like a war zone. We have more reinforcements coming from the Lok system and more and more Imperial reinforcements are pouring in ahead of their main fleet.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_3_b.stf', '20', 'quest_location_t', 'Endor system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_3_b.stf', '21', 'quest_update', 'Green Squadron Leader: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_3_b.stf', '22', 'split_quest_alert', 'Rebel Fleet Command: < Great work out there pilot. One of our smugglers have brought equipment we need to repair our hyperdrive systems. He needs a escort. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_3_b.stf', '23', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_3_b.stf', '24', 'title', 'Endor system: Assist Green Squadron in attacking the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_3_b.stf', '25', 'title_d', 'We have started some smaller attacks on parts of the Imperial Navy in the system. One of our Y-Wing squadrons has been hunted down after a successful mission and need your help in destroying the pursuing TIE fighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_4_c.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_4_c.stf', '2', 'allies_arrived', 'We are here. Prepare for battle everyone.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_4_c.stf', '3', 'allies_remain', 'Rebel Pilot: < It burns! Please no! Nooo... >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_4_c.stf', '4', 'allies_win', 'I knew we could take them, great job everyone!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_4_c.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_4_c.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_4_c.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_4_c.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_4_c.stf', '9', 'battle_abandoned', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_4_c.stf', '10', 'battle_started', 'Marvin, cover the left flank. Zeda, attack second from the right. Go go go!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_4_c.stf', '11', 'enemies_arrived', 'There they are. This will be tough guys so no playing around, do your job and do it well!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_4_c.stf', '12', 'enemies_remain', 'Blue Squadron Leader: < %DI more! Keep it up! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_4_c.stf', '13', 'enemies_win', 'Damn the Empire! Damn you a...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_4_c.stf', '14', 'found_loc', 'Listen up pilot, this is Blue Squad Leader. Rendez-vous with us at these coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_4_c.stf', '15', 'quest_findbattle_d', 'This is the location of the Blue Squadron, hurry over there and assist them in their attack.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_4_c.stf', '16', 'quest_findbattle_t', 'Blue Squadrons location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_4_c.stf', '17', 'quest_helpallies_d', 'Concentrate on the small and fast TIE fighters first, those are the ships our heavy B and Y-Wings have a hard time fighting.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_4_c.stf', '18', 'quest_helpallies_t', 'Assist Blue Squadron.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_4_c.stf', '19', 'quest_location_d', 'Small skirmishes are blossoming up all over the Endor system as the Empire is trying to find the location of the Rebel fleet. Although this was an attack by our ships, it turned ugly by the presence of the fast TIE fighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_4_c.stf', '20', 'quest_location_t', 'Endor system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_4_c.stf', '21', 'quest_update', 'Blue Squadron Leader: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_4_c.stf', '22', 'split_quest_alert', 'Rebel Fleet Command: < I got the report, good job pilot. We are about ready to get out of here but the Empire is launching a last desperate attack. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_4_c.stf', '23', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_4_c.stf', '24', 'title', 'Endor system: Assist Blue Squadron in destroying a TIE Bomber wing.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier3_4_c.stf', '25', 'title_d', 'Blue squadron was ordered to terminate a TIE bomber squadron. Unfortunately the Imperial bombers got reinforced by TIE fighters. Our Y and B-Wings have a hard time defeating these small ships and need your assistance.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_1_a.stf', '1', 'allies_arrived', 'We have arrived, join up pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_1_a.stf', '2', 'allies_remain', 'Nym Pilot: < I\'m going down! Make them pay bo... >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_1_a.stf', '3', 'allies_win', 'Great job guys, the Black Sun should think twice before they try something like this again. Return to base everyone.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_1_a.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_1_a.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_1_a.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_1_a.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_1_a.stf', '8', 'battle_abandoned', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_1_a.stf', '9', 'battle_started', 'Lets bring it to them boys!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_1_a.stf', '10', 'enemies_arrived', 'Hostile vessel activity confirmed in target area.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_1_a.stf', '11', 'enemies_remain', 'Nym Pirate Squad Leader: < Haha take that you Black Sun loosers! Only %DI left guys! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_1_a.stf', '12', 'enemies_win', 'Pull out! This battle is lost and...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_1_a.stf', '13', 'found_loc', 'Proceed to this location to meet up with us.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_1_a.stf', '14', 'quest_findbattle_d', 'Recon ships have detected Black Sun precense in this area. Proceed to the location immediately.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_1_a.stf', '15', 'quest_findbattle_t', 'Coordinates of attack.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_1_a.stf', '16', 'quest_helpallies_d', 'Assist the gathered Nym and Alliance fighters in destroying the present Black Sun vessels.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_1_a.stf', '17', 'quest_helpallies_t', 'Assist in the attack.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_1_a.stf', '18', 'quest_location_d', 'You are entering hostile sectors of the Dathomir system. Stay sharp and be prepared for attack.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_1_a.stf', '19', 'quest_location_t', 'Dathomir system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_1_a.stf', '20', 'quest_update', 'Nym Pirate Squad Leader: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_1_a.stf', '21', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_1_a.stf', '22', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_1_a.stf', '23', 'title', 'Dathomir system: Bring the battle back to the Black Sun.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_1_a.stf', '24', 'title_d', 'After our huge success in beating off the initial Black Sun attack they are in disarray and now is the time to strike. Assist one of Nym\'s fighter squadrons in delivering vengeance upon the Black Sun.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_1_b.stf', '1', 'allies_arrived', 'Some of the Black Sun Fighters got past you? We need to get out of here!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_1_b.stf', '2', 'allies_remain', 'Nym Freighter Pilot: < Too much damage! We have massive hull brea... >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_1_b.stf', '3', 'allies_win', 'At least they didn\'t get us all. Return to base before more of them arrive pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_1_b.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_1_b.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_1_b.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_1_b.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_1_b.stf', '8', 'battle_abandoned', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_1_b.stf', '9', 'battle_started', 'They are locking on to me, this is going to hurt!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_1_b.stf', '10', 'enemies_arrived', 'We have multiple Black Sun fighter ships closing in, we need help now!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_1_b.stf', '11', 'enemies_remain', 'Tactical Computer: < Scans show enemy vessel terminated. %DI remain. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_1_b.stf', '12', 'enemies_win', 'I\'m going down! Save yourself pi..');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_1_b.stf', '13', 'found_loc', 'We need your help at this location! Now pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_1_b.stf', '14', 'quest_findbattle_d', 'These are your assigned coordinates, you will find some mining vessels under heavy attack by the Black Sun.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_1_b.stf', '15', 'quest_findbattle_t', 'Your battle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_1_b.stf', '16', 'quest_helpallies_d', 'We need to save what can be saved. Assist the Nym Fighters and Freighters in this area and terminate the Black Sun threat.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_1_b.stf', '17', 'quest_helpallies_t', 'Assist the mining vessels.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_1_b.stf', '18', 'quest_location_d', 'Although this part of the Dathomir system is relatively free from hostile ships normally, it\'s now crawling with Black Sun bombers and fighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_1_b.stf', '19', 'quest_location_t', 'Dathomir system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_1_b.stf', '20', 'quest_update', 'Nym Freighter Pilot: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_1_b.stf', '21', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_1_b.stf', '22', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_1_b.stf', '23', 'title', 'Dathomir system: Save the Nym freighters from total annihilation.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_1_b.stf', '24', 'title_d', 'Several Black Sun ship managed to slip by our and Nym\'s blockade and the mining vessels are under attack. Assist and save as many of them as you can.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_3.stf', '1', 'allies_arrived', 'We are in position to start the attack. Join up pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_3.stf', '2', 'allies_remain', 'Nym Squadron Leader: < Hang in there guys! We can do this! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_3.stf', '3', 'allies_win', 'Great job everyone, the Rebel bomber squadrons are closing in. You are free to pull out.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_3.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_3.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_3.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_3.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_3.stf', '8', 'battle_abandoned', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_3.stf', '9', 'battle_started', 'Time to show these fools the wrath of the pirates of Nym, take no prisoners guys!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_3.stf', '10', 'enemies_arrived', 'My sensors show multiple bogeys. Looks like this will be a lot of fun guys.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_3.stf', '11', 'enemies_remain', 'Nym Squadron Leader: < Yehaa! Take that you Imperial scum! Only %DI more guys! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_3.stf', '12', 'enemies_win', 'Pull out of there pilot! We\'re doomed, I can...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_3.stf', '13', 'found_loc', 'We will meet you at this location, hurry over here or we will start without you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_3.stf', '14', 'quest_findbattle_d', 'This is the point of attack. We will breach the Imperial defences here so that the B-Wing bombers can press through and launch their payload on the station.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_3.stf', '15', 'quest_findbattle_t', 'Coordinates of attack.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_3.stf', '16', 'quest_helpallies_d', 'Join up with the other ships from Worvog\'s squadron and destroy the Imperial presence in the area.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_3.stf', '17', 'quest_helpallies_t', 'Crush the Imperial defence.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_3.stf', '18', 'quest_location_d', 'The Dathomir system is normally dangerous but this sector of it will be even worse. You will be close to an Imperial base and enemies will be everywhere.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_3.stf', '19', 'quest_location_t', 'Dathomir system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_3.stf', '20', 'quest_update', 'Nym Squadron Leader: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_3.stf', '21', 'split_quest_alert', 'Worvog Arkon: < Damnation! One of the Rebels B-Wing squadrons have been intercepted by Imperial ships and need help, stand by. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_3.stf', '22', 'split_quest_alert_fail', 'Worvog Arkon: < We managed to do some damage but our Bombers are in trouble. Stand by for orders. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_3.stf', '23', 'title', 'Dathomir system: Help the Alliance attack on an Imperial space station.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_3.stf', '24', 'title_d', 'Our squad has been assigned to assist in a guerilla strike on an Imperial space station. We need to pave the way through enemy defense for the Alliance B-Wing bombers.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_3_a.stf', '1', 'allies_arrived', 'This is Snow Squadron Leader, we need fighter support, now! We have multiple enemy fighters closing in on our position!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_3_a.stf', '2', 'allies_remain', 'Snow Squadron Leader: < We are not built for fighter combat...if you don\'t step it up pilot, we\'re all doomed! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_3_a.stf', '3', 'allies_win', 'Our gratitude pilot, we would have been cooked if you didn\'t show up when you did.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_3_a.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_3_a.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_3_a.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_3_a.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_3_a.stf', '8', 'battle_abandoned', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_3_a.stf', '9', 'battle_started', 'Good to see you pilot. This will get tough but we have seen worse, right guys? Lets show them they picked the wrong fight today!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_3_a.stf', '10', 'enemies_arrived', 'The enemy is forming in to battle positions. Defensive formation Z guys, get your act together!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_3_a.stf', '11', 'enemies_remain', 'Snow Squadron Leader: < Yes! Hang in there everyone! Only %DI more left! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_3_a.stf', '12', 'enemies_win', 'Get out of here pilot! There\'s noth...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_3_a.stf', '13', 'found_loc', 'This is Snow Squadron Leader, my Bomber wing is under heavy fire! We will try to make it to these coordinates, need fighter support there!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_3_a.stf', '14', 'quest_findbattle_d', 'These are the coordinates where the Snow Squadron reported in the ambush, hurry over there.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_3_a.stf', '15', 'quest_findbattle_t', 'Coordinates of ambush.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_3_a.stf', '16', 'quest_helpallies_d', 'Although the Snow Squadron are all experienced pilots, their heavy B-Wings have problems with the nimbler TIE ships and will need your help in defeating them.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_3_a.stf', '17', 'quest_helpallies_t', 'Save the Snow Squadron.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_3_a.stf', '18', 'quest_location_d', 'As in your previous mission, you\'re in an area of the Dathomir system where the Imperial presence is extreme. Take caution and stay vigilant.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_3_a.stf', '19', 'quest_location_t', 'Dathomir system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_3_a.stf', '20', 'quest_update', 'Snow Squadron Leader: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_3_a.stf', '21', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_3_a.stf', '22', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_3_a.stf', '23', 'title', 'Dathomir system: Save one of the ambushed Rebel B-Wing squadrons.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_3_a.stf', '24', 'title_d', 'We have a problem, several of our B-Wings on the way to the space station have been ambushed. You need to hurry over to them and assist in defeating the attackers.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_4_c.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_4_c.stf', '2', 'allies_arrived', 'Our reinforcements have arrived, join up with them quickly, the Empire is closing in.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_4_c.stf', '3', 'allies_remain', 'Allied Pilot: < What are those ships?! They are too tough! Tell my w... >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_4_c.stf', '4', 'allies_win', 'Good work everyone. We\'re sending in a Tech team to retrieve debris of those new Imperial vessels. Return to base.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_4_c.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_4_c.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_4_c.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_4_c.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_4_c.stf', '9', 'battle_abandoned', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_4_c.stf', '10', 'battle_started', 'Bring the fight to them. Be careful of those new TIE ships though, we\'re not sure what they are capable of.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_4_c.stf', '11', 'enemies_arrived', 'The Imperial forces have arrived, everyone prepare for battle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_4_c.stf', '12', 'enemies_remain', ' Worvog Arkon: < Keep it up everyone, you can do this! There\'s only %DI left! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_4_c.stf', '13', 'enemies_remaining', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_4_c.stf', '14', 'enemies_win', 'Pull out! We don\'t need more casaulties!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_4_c.stf', '15', 'found_loc', 'The reinforcements will arrive at this location, get there fast pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_4_c.stf', '16', 'quest_findbattle_d', 'The Imperial fighters are closing in on you, proceed to this area immediately where your reinforcements will meet up with you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_4_c.stf', '17', 'quest_findbattle_t', 'Rendez-vous location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_4_c.stf', '18', 'quest_helpallies_d', 'With the help of your reinforcements, turn the table on the Empire and teach them a lesson.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_4_c.stf', '19', 'quest_helpallies_t', 'Reinforcements arrive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_4_c.stf', '20', 'quest_location_d', 'If you can, avoid running in to more enemies on your way to your reinforcements. Keep in mind though, the Imperial fighters are close behind you and you can\'t allow yourself to be detoured for long.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_4_c.stf', '21', 'quest_location_t', 'Endor system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_4_c.stf', '22', 'quest_update', 'Worvog Arkon: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_4_c.stf', '23', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_4_c.stf', '24', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_4_c.stf', '25', 'title', 'Endor system: Defeat the Empires retaliation.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_rebel_tier4_4_c.stf', '26', 'title_d', 'The Empire is trying to retaliate for your attack on their freighter, they want your head. We have sent reinforcements to the area, lets show the Empire that we are not afraid of them.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_station_mission5b_2.stf', '1', 'allies_arrived', 'CorSec attack wing has arrived. Stand by, detecting hyperspace jump.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_station_mission5b_2.stf', '2', 'allies_remain', '\\#pcontrast1 Tactical Computer: <\\#pcontrast3  CorSec ship destroyed. %DI allied ships remaining.\\#pcontrast1 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_station_mission5b_2.stf', '3', 'allies_win', 'Good work, pilot. All Cloak vessels have been... wait. Stand by, we\'re tracking another signal.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_station_mission5b_2.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_station_mission5b_2.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_station_mission5b_2.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_station_mission5b_2.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_station_mission5b_2.stf', '8', 'battle_started', 'It\'s a setup! There are far too many Cloaks here. It was a trick just to lure us here, we are the real target. Destroy them all.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_station_mission5b_2.stf', '9', 'enemies_arrived', 'Cloak attack wing has hyperspaced in. Wow, there\'s a lot of them. Is this right?');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_station_mission5b_2.stf', '10', 'enemies_remain', '\\#pcontrast1 Tactical Computer: <\\#pcontrast3  Enemy ship destroyed. %DI enemy ships remaining.\\#pcontrast1 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_station_mission5b_2.stf', '11', 'enemies_win', 'Withdraw, pilot. Our attack wing has been wiped out. Return to the station for debriefing.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_station_mission5b_2.stf', '12', 'found_loc', 'Note the navigation waypoint, pilot. This is the expected hyperspace jump point of the Cloak attack wing.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_station_mission5b_2.stf', '13', 'quest_findbattle_d', 'You have been given the most likely jump point for the Cloak attack wing. Remain in this area.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_station_mission5b_2.stf', '14', 'quest_findbattle_t', 'Stay at the Jump Point');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_station_mission5b_2.stf', '15', 'quest_helpallies_d', 'The Cloaks have planned an ambush. Far too many ships have come in than should be necessary to take down a transport. This attack was planned against the CorSec itself. Help CorSec destroy all the Cloak fighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_station_mission5b_2.stf', '16', 'quest_helpallies_t', 'Assist the CorSec Squad');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_station_mission5b_2.stf', '17', 'quest_location_d', 'Your assistance will likely be needed in this battle. Do not leave the Corellia system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_station_mission5b_2.stf', '18', 'quest_location_t', 'Remain in the Corellia System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_station_mission5b_2.stf', '19', 'quest_update', '\\#pcontrast1 CorSec Command: <\\#pcontrast3  %TO\\#pcontrast1  >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_station_mission5b_2.stf', '20', 'split_quest_alert', 'Tracking signature of Cloak Leader vessel');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_station_mission5b_2.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_station_mission5b_2.stf', '22', 'title', 'Corellia System: Ambush the Cloak Attack Wing');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/corellia_station_mission5b_2.stf', '23', 'title_d', 'The Cloak attack wing has started to hyperspace in. A signal has been sent to CorSec command. They will be sending a CorSec attack squad to deal with this menace.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier3_2_e.stf', '1', 'allies_arrived', 'Tactical Comptuer:<Third wing located. Third wind has substained heavy casualties.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier3_2_e.stf', '2', 'allies_remain', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier3_2_e.stf', '3', 'allies_win', 'Tactical Computer:<Enemy fighters have been elimated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier3_2_e.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier3_2_e.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier3_2_e.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier3_2_e.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier3_2_e.stf', '8', 'battle_abandoned', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier3_2_e.stf', '9', 'battle_started', 'Tactical Computer:<Third wing engaging enemy fighters.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier3_2_e.stf', '10', 'enemies_arrived', 'Tactical Computer:<Enemy fighter located. Closing at high speeds.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier3_2_e.stf', '11', 'enemies_remain', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier3_2_e.stf', '12', 'enemies_win', 'Imperial High Command:<We have lost third wing. Report back to your superior for a full report.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier3_2_e.stf', '13', 'found_loc', 'Arrived at last known location of third wing.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier3_2_e.stf', '14', 'quest_findbattle_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier3_2_e.stf', '15', 'quest_findbattle_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier3_2_e.stf', '16', 'quest_helpallies_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier3_2_e.stf', '17', 'quest_helpallies_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier3_2_e.stf', '18', 'quest_location_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier3_2_e.stf', '19', 'quest_location_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier3_2_e.stf', '20', 'quest_update', 'Imperial High Command:<%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier3_2_e.stf', '21', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier3_2_e.stf', '22', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier3_2_e.stf', '23', 'title', 'Fire in the Sky');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier3_2_e.stf', '24', 'title_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier3_4_b.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier3_4_b.stf', '2', 'allies_arrived', 'TIE Fighter group has formed up to try to hold off the rebel fighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier3_4_b.stf', '3', 'allies_remain', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <%DI allied fighters remaining.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier3_4_b.stf', '4', 'allies_win', 'The enemy has been destroyed. This is a great day for the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier3_4_b.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier3_4_b.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier3_4_b.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier3_4_b.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier3_4_b.stf', '9', 'battle_abandoned', 'What are you doing? You left our forces outnumbered and outclassed! This is unacceptable! Report back to your commanding officer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier3_4_b.stf', '10', 'battle_started', 'Allied fighters have engaged the enemy.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier3_4_b.stf', '11', 'enemies_arrived', 'Enemy fighters detected exiting hyper space.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier3_4_b.stf', '12', 'enemies_remain', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <%DI enemy fighters remaining.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier3_4_b.stf', '13', 'enemies_win', 'The Rebels have won this day. But we will return with a vengence. Return to your superior officer and give a full report.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier3_4_b.stf', '14', 'found_loc', 'Sending your navigation computer the location of the TIE wing. Join up with them and help beat back the enemy.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier3_4_b.stf', '15', 'quest_findbattle_d', 'Travel to the supplied navigation waypoint that will be given to you. This waypoint will lead you to the location that the battle will take place.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier3_4_b.stf', '16', 'quest_findbattle_t', 'Travel to the Battle Location');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier3_4_b.stf', '17', 'quest_helpallies_d', 'Once at the battle location, wait for the arrival of the TIE wing and for the battle to start. Destroy all of the attacking Rebels before they can destroy all of the TIEs. The TIEs are outnumbered so your assistance is important.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier3_4_b.stf', '18', 'quest_helpallies_t', 'Help the TIE Wing Defeat the Rebels');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier3_4_b.stf', '19', 'quest_location_d', 'Remain in the Dathomir system and assist the TIE wing in destroying the attacking Rebels. Travel to the navigation waypoint that you will receive to the battle location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier3_4_b.stf', '20', 'quest_location_t', 'Remain in the Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier3_4_b.stf', '21', 'quest_update', '\\#pcontrast1 Imperial High Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier3_4_b.stf', '22', 'split_quest_alert', 'We have located the Rebel command ship in the Dathomir system. Launch an immediate strike at the heart of our enemy.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier3_4_b.stf', '23', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier3_4_b.stf', '24', 'title', 'Dathomir System: Battle the Rebel Forces');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier3_4_b.stf', '25', 'title_d', 'Remain in the Dathomir system and help our TIE wing beat the Rebels in a battle. You will receive a navigation waypoint to the place where the battle is going to take place. Travel to this location and wait for the arrival of the TIEs and Rebels. When the battle is joined, assist the TIE wing with destroying  the Rebel force before the Rebels can wipe out the TIE wing. If all of the TIEs die then you will have lost the battle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier4_4_d.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier4_4_d.stf', '2', 'allies_arrived', 'TIE 701st wing assembled.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier4_4_d.stf', '3', 'allies_remain', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <%DI allied fighters remaining.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier4_4_d.stf', '4', 'allies_win', 'Enemy fighters have been eliminated. Scans indicate last few remaining Coynite vessels fleeing the system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier4_4_d.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier4_4_d.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier4_4_d.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier4_4_d.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier4_4_d.stf', '9', 'battle_abandoned', 'You left the 701st alone! They will not stand much of chance against the superior force. Report your failure to your commander.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier4_4_d.stf', '10', 'battle_started', 'Warning! TIE 701st wing engaging enemy. Highly outnumbered.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier4_4_d.stf', '11', 'enemies_arrived', 'Enemy fighters assembled.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier4_4_d.stf', '12', 'enemies_remain', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <%DI enemy fighters remaining.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier4_4_d.stf', '13', 'enemies_win', 'TIE 701st wing has been destroyed. Thier destuction means loss of control in system. Report to your superior immediately.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier4_4_d.stf', '14', 'found_loc', 'We have located the squadron. Travel immediately to their location and assist them in the destruction of the enemy. Keep the 701st alive, they are essential to the protection of the Dathomir sector.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier4_4_d.stf', '15', 'quest_findbattle_d', 'Meet the 701st at the supplied navigation waypoint and wait for the arrival of the enemy.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier4_4_d.stf', '16', 'quest_findbattle_t', 'Travel to Battle Location');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier4_4_d.stf', '17', 'quest_helpallies_d', 'You must destroy all the enemy attacking vessels before they can destroy the remaining TIEs in the 701st.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier4_4_d.stf', '18', 'quest_helpallies_t', 'Help the 701st Defeat the Coynite');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier4_4_d.stf', '19', 'quest_location_d', 'The attack is taking place in the Dathomir system. A navigaiton waypoint will be supplied to you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier4_4_d.stf', '20', 'quest_location_t', 'Remain in the Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier4_4_d.stf', '21', 'quest_update', '\\#pcontrast1 Imperial High Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier4_4_d.stf', '22', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier4_4_d.stf', '23', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier4_4_d.stf', '24', 'title', 'Dathomir System: Battle the Coynite Fighters');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_imperial_tier4_4_d.stf', '25', 'title_d', 'The Coynite have attacked the 701st TIE wing over Dathomir. That TIE defense force is highly important for the security of the Dathomir system and must be keep alive. Assist the 701st in its defense against the Coynite.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier3_2d.stf', '1', 'allies_arrived', '\\#pcontrast3 RSF Command: < \\#pcontrast1 Your backup has arrived.  Good luck. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier3_2d.stf', '2', 'allies_remain', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 An Allied Craft has been destroyed, %DI remain. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier3_2d.stf', '3', 'allies_remaining', 'An allied craft has been destroyed, %DI remain.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier3_2d.stf', '4', 'allies_win', '\\#pcontrast3 RSF Command: < \\#pcontrast1 The mission is a success, enemy fighters have all been destroyed. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier3_2d.stf', '5', 'assigned_delayed', '\\#pcontrast3 RSF Command: < \\#pcontrast1 Proceed to the following waypoint. We are expecting to intercept a large number of enemy fighters and have diverted some of the Madersims\' escort to assist you.  We cannot afford to lose those escorts.  Command out! \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier3_2d.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier3_2d.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier3_2d.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier3_2d.stf', '9', 'battle_abandoned', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier3_2d.stf', '10', 'battle_started', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Enemy forces have been engaged. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier3_2d.stf', '11', 'enemies_arrived', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Hostile craft are approaching. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier3_2d.stf', '12', 'enemies_remain', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 An enemy craft has been destroyd, %DI remain. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier3_2d.stf', '13', 'enemies_remaining', 'An enemy craft has been destroyed, %DI remain.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier3_2d.stf', '14', 'enemies_win', '\\#pcontrast3 RSF Command: < \\#pcontrast1 The Madersims\' escort has been destroyed, this is unacceptable. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier3_2d.stf', '15', 'found_loc', '\\#pcontrast3 RSF Command: < \\#pcontrast1 We pulled these ships from the Madersim\'s escort and cannot afford to lose them.  Defend as much as possible \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier3_2d.stf', '16', 'quest_findbattle_d', 'Travel here to set up the ambush for the Ay\'Nat pirates');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier3_2d.stf', '17', 'quest_findbattle_t', 'Ambush Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier3_2d.stf', '18', 'quest_helpallies_d', 'These were taking from the RSF Madersim, to lose them would be failure on your part');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier3_2d.stf', '19', 'quest_helpallies_t', 'Defend the RSF Craft');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier3_2d.stf', '20', 'quest_location_d', 'An area in the Corellia System where we expect the Ay\'Nat pirates to make an appearance');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier3_2d.stf', '21', 'quest_location_t', 'Corellia System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier3_2d.stf', '22', 'quest_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier3_2d.stf', '23', 'split_quest_alert', '\\#pcontrast3 RSF Command: < \\#pcontrast1 Get out to the Madersim\'s last known position.  I fear they will be under attack soon with insufficient protection. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier3_2d.stf', '24', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier3_2d.stf', '25', 'title', 'Corellia System: Destroy the Ay\'Nat Pirates');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier3_2d.stf', '26', 'title_d', 'Set up to intercept for the Ay\'Nat pirates advancing on the main target, the RSF Madersim.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier3_4b.stf', '1', 'allies_arrived', '\\#pcontrast3 RSF Command: < \\#pcontrast1 We have sent a hunter squad to assist you for this mission.  It should not be a problem. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier3_4b.stf', '2', 'allies_remain', '%DI Allied craft remain.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier3_4b.stf', '3', 'allies_remaining', 'An allied craft has been destroyed, %DI remain.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier3_4b.stf', '4', 'allies_win', '\\#pcontrast3 RSF Command: < \\#pcontrast1 Good work... wait, we are picking up something on scanners. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier3_4b.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier3_4b.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier3_4b.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier3_4b.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier3_4b.stf', '9', 'battle_abandoned', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier3_4b.stf', '10', 'battle_started', '\\#pcontrast3 Crystal Snake: < \\#pcontrast1 Enjoy this moment RSF trash, it will be your last. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier3_4b.stf', '11', 'enemies_arrived', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Enemy craft have entered normal space. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier3_4b.stf', '12', 'enemies_remain', '%DI Enemy craft remain.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier3_4b.stf', '13', 'enemies_remaining', 'An enemy craft has been destroyed, %DI remain.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier3_4b.stf', '14', 'enemies_win', '\\#pcontrast3 RSF Command: < \\#pcontrast1 We needed that hunter group alive, this is unacceptable. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier3_4b.stf', '15', 'found_loc', '\\#pcontrast3 RSF Command: < \\#pcontrast1 Scanners show a second target in the area, travel to the following area.  Keep an eye out for a Black Sun operative named Crystal Snake. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier3_4b.stf', '16', 'quest_findbattle_d', 'Travel here to set up the ambush');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier3_4b.stf', '17', 'quest_findbattle_t', 'Ambush Point');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier3_4b.stf', '18', 'quest_helpallies_d', 'A trio of RSF Hunters, you fail the mission if they all die');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier3_4b.stf', '19', 'quest_helpallies_t', 'Allies');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier3_4b.stf', '20', 'quest_location_d', 'An area of the Lok System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier3_4b.stf', '21', 'quest_location_t', 'Lok System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier3_4b.stf', '22', 'quest_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier3_4b.stf', '23', 'split_quest_alert', '\\#pcontrast3 RSF Command: < \\#pcontrast1 Enemy fighters are moving in on your position. Repeat, enemy fighters moving in on your  position. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier3_4b.stf', '24', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier3_4b.stf', '25', 'title', 'Lok System: Assist the RSF Take down Crystal Snake');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier3_4b.stf', '26', 'title_d', 'A face to face battle with a Black Sun Ace fighter named Crystal Snake');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4a.stf', '1', 'allies_arrived', '\\#pcontrast3 RSF Command: < \\#pcontrast1 The attack group is moving into position now. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4a.stf', '2', 'allies_remain', '%DI Allied craft remian');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4a.stf', '3', 'allies_remaining', 'An allied craft has been destroyed, %DI remain.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4a.stf', '4', 'allies_win', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 All hostile craft have been eliminated. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4a.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4a.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4a.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4a.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4a.stf', '9', 'battle_abandoned', '\\#pcontrast3 You have abandoned the battle, the mission is a failure.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4a.stf', '10', 'battle_started', '\\#pcontrast3 RSF Forces: < \\#pcontrast1 Engaging hostiles now. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4a.stf', '11', 'enemies_arrived', '\\#pcontrast3 RSF Command: < \\#pcontrast1 The Black Sun are coming out of hyperspace now... there are more than we were expecting. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4a.stf', '12', 'enemies_remain', '%DI Hostile craft remain');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4a.stf', '13', 'enemies_remaining', 'An enemy craft has been destroyed, %DI remain.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4a.stf', '14', 'enemies_win', '\\#pcontrast3 RSF Command: < \\#pcontrast1 We are routed, this is horrible. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4a.stf', '15', 'found_loc', '\\#pcontrast3 RSF Command: < \\#pcontrast1 Transmitting the coordinates to you now, good luck Captain. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4a.stf', '16', 'quest_findbattle_d', 'Travel here to participate in the fighting');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4a.stf', '17', 'quest_findbattle_t', 'Battle Location');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4a.stf', '18', 'quest_helpallies_d', 'RSF Forces are undermanned and outgunned, you must turn the tide of battle');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4a.stf', '19', 'quest_helpallies_t', 'Allies');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4a.stf', '20', 'quest_location_d', 'A battle agains Black Sun pirates');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4a.stf', '21', 'quest_location_t', 'Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4a.stf', '22', 'quest_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4a.stf', '23', 'split_quest_alert', '\\#pcontrast3 RSF Command: < \\#pcontrast1 I do not think that is the last of them.  I have another task for you to finish before then. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4a.stf', '24', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4a.stf', '25', 'title', 'Yavin System: Assist the RSF Forces');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4a.stf', '26', 'title_d', 'Assist RSF forces an an attack on the Black Sun.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4c_lose.stf', '1', 'allies_arrived', '\\#pcontrast3 RSF Command: < \\#pcontrast1 The attack group is moving into position now. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4c_lose.stf', '2', 'allies_remain', '%DI Allied craft remian');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4c_lose.stf', '3', 'allies_remaining', 'An allied craft has been destroyed, %DI remain.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4c_lose.stf', '4', 'allies_win', '\\#pcontrast3 RSF Command: < \\#pcontrast1 Huzzah, that will be the end of them.  Return to base Captain. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4c_lose.stf', '5', 'assigned_delayed', 'Prepare for Space Battle');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4c_lose.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4c_lose.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4c_lose.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4c_lose.stf', '9', 'battle_abandoned', '\\#pcontrast3 You have abandoned the battle, the mission is a failure.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4c_lose.stf', '10', 'battle_started', '\\#pcontrast3 RSF Forces: < \\#pcontrast1 Engaging hostiles now. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4c_lose.stf', '11', 'enemies_arrived', '\\#pcontrast3 RSF Forces: < \\#pcontrast1 I have never seen this many Black Sun in one place before. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4c_lose.stf', '12', 'enemies_remain', '%DI Hostil craft remain');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4c_lose.stf', '13', 'enemies_remaining', 'An enemy craft has been destroyed, %DI remain.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4c_lose.stf', '14', 'enemies_win', '\\#pcontrast3 RSF Command: < \\#pcontrast1 We are routed, this is horrible. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4c_lose.stf', '15', 'found_loc', '\\#pcontrast3 RSF Command: < \\#pcontrast1 This will be a great battle Captain, represent the RSF proudly. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4c_lose.stf', '16', 'quest_findbattle_d', 'Travel here to engage the Black Sun');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4c_lose.stf', '17', 'quest_findbattle_t', 'Battle point');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4c_lose.stf', '18', 'quest_helpallies_d', 'Your allies in this battle');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4c_lose.stf', '19', 'quest_helpallies_t', 'RSF Forces');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4c_lose.stf', '20', 'quest_location_d', 'A battle point in the Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4c_lose.stf', '21', 'quest_location_t', 'Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4c_lose.stf', '22', 'quest_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4c_lose.stf', '23', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4c_lose.stf', '24', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4c_lose.stf', '25', 'title', 'Yavin System: Final Battle Against the Black Sun');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4c_lose.stf', '26', 'title_d', 'A final battle against the Black Sun in the Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4c_win.stf', '1', 'allies_arrived', '\\#pcontrast3 RSF Command: < \\#pcontrast1 The attack group is moving into position now. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4c_win.stf', '2', 'allies_remain', '%DI Allied craft remian');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4c_win.stf', '3', 'allies_remaining', 'An allied craft has been destroyed, %DI remain.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4c_win.stf', '4', 'allies_win', '\\#pcontrast3 RSF Command: < \\#pcontrast1 Huzzah, that will be the end of them.  Return to base Captain. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4c_win.stf', '5', 'assigned_delayed', 'Prepare for Space Battle');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4c_win.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4c_win.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4c_win.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4c_win.stf', '9', 'battle_abandoned', '\\#pcontrast3 You have abandoned the battle, the mission is a failure.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4c_win.stf', '10', 'battle_started', '\\#pcontrast3 RSF Forces: < \\#pcontrast1 Engaging hostiles now. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4c_win.stf', '11', 'enemies_arrived', '\\#pcontrast3 RSF Forces: < \\#pcontrast1 I have never seen this many Black Sun in one place before. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4c_win.stf', '12', 'enemies_remain', '%DI Hostil craft remain');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4c_win.stf', '13', 'enemies_remaining', 'An enemy craft has been destroyed, %DI remain.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4c_win.stf', '14', 'enemies_win', '\\#pcontrast3 RSF Command: < \\#pcontrast1 We are routed, this is horrible. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4c_win.stf', '15', 'found_loc', '\\#pcontrast3 RSF Command: < \\#pcontrast1 This will be a great battle Captain, represent the RSF proudly. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4c_win.stf', '16', 'quest_findbattle_d', 'Travel here to engage the Black Sun');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4c_win.stf', '17', 'quest_findbattle_t', 'Battle point');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4c_win.stf', '18', 'quest_helpallies_d', 'Your allies in this battle');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4c_win.stf', '19', 'quest_helpallies_t', 'RSF Forces');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4c_win.stf', '20', 'quest_location_d', 'A battle point in the Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4c_win.stf', '21', 'quest_location_t', 'Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4c_win.stf', '22', 'quest_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4c_win.stf', '23', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4c_win.stf', '24', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4c_win.stf', '25', 'title', 'Yavin System: Final Battle Against the Black Sun');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_privateer_tier4_4c_win.stf', '26', 'title_d', 'A final battle against the Black Sun in the Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier3_2.stf', '1', 'allies_arrived', 'The SpyNet fighters have arrived, form up with them and prepare to intercept the pirates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier3_2.stf', '2', 'allies_remain', 'Tactical Computer: < Sensors indicate loss of ally vessel. %DI friendly vessel(s) remain. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier3_2.stf', '3', 'allies_win', 'Great job pilot, you impressed both us and the SpyNet.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier3_2.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier3_2.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier3_2.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier3_2.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier3_2.stf', '8', 'battle_abandoned', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier3_2.stf', '9', 'battle_started', 'This is it! Good luck everyone, show them the error of their ways!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier3_2.stf', '10', 'enemies_arrived', 'Our sensors have picked up the Blacklight pirates. Get ready everyone.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier3_2.stf', '11', 'enemies_remain', 'Tactical Computer: < Sensors show enemy target terminated. %DI enemy target(s) remain.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier3_2.stf', '12', 'enemies_win', 'That battle is lost pilot! Get out of there and return to base immediately!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier3_2.stf', '13', 'found_loc', 'Alright pilot, the Blacklight scum are moving in to attack one of the SpyNet\'s bases of operations. The SpyNet has set up a intercept ambush of the Blacklight pirates but could use your help as they are outnumbered. Proceed to this location immediately.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier3_2.stf', '14', 'quest_findbattle_d', 'The SpyNet fighters are retreating to these coordinates and have asked for us to send our reinforcements to there. Head over there with haste my friend.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier3_2.stf', '15', 'quest_findbattle_t', 'Location of attack.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier3_2.stf', '16', 'quest_helpallies_d', 'Terminate the attacking Blacklight pirates in this area and save the SpyNet operatives.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier3_2.stf', '17', 'quest_helpallies_t', 'Save the SpyNet fighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier3_2.stf', '18', 'quest_location_d', 'Though the Dantooine system is fairly safe from the Imperial menace, the Blacklight pirates are a cunning bunch and shouldn\'t be underestimated.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier3_2.stf', '19', 'quest_location_t', 'Dantooine system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier3_2.stf', '20', 'quest_update', 'Brother Ezkiel: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier3_2.stf', '21', 'split_quest_alert', 'Brother Ezkiel: < Pilot! Rescue the SpyNet Commander. His ship has been disabled by the pirates and they are moving in bigger ships to capture him! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier3_2.stf', '22', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier3_2.stf', '23', 'title', 'Dantooine system: Help the SpyNet Operatives');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier3_2.stf', '24', 'title_d', 'The SpyNet is having some problems with the Blacklight pirates in the Dantooine system and has asked us for a favor before they slice the data we took from the Imperial spy. The SpyNet is currently under open attack in one sector of the Dantooine system and request fighter support, we are sending them you to assist.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier3_4.stf', '1', 'allies_arrived', 'Your reinforcements are on their way, join up with them immediately pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier3_4.stf', '2', 'allies_remain', 'Rebel Pilot: < I got this one in my sights, just need one more second... No! Where did he come fro... >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier3_4.stf', '3', 'allies_win', 'That was a fantastic show of skill out there, pilot! Our side was successful in defeating the Imperial Inquisitor. Soon, the information we seek will be in our hands.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier3_4.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier3_4.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier3_4.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier3_4.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier3_4.stf', '8', 'battle_abandoned', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier3_4.stf', '9', 'battle_started', 'Be careful out there, our side looks to be sorely outnumbered. The Imperial Inquisition has been trained to be ruthless in every situation. Good luck to you all, may the force be with you!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier3_4.stf', '10', 'enemies_arrived', 'Sensors are picking up heavy enemy presence in this area. Be prepared for anything my friends.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier3_4.stf', '11', 'enemies_remain', 'Tactical Computer: < Sensors show enemy target terminated. %DI enemy target(s) remain.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier3_4.stf', '12', 'enemies_win', 'Our cause is lost. You fought well, but we had very little resources to attack the base to begin with. Return to me, pilot, for further instruction.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier3_4.stf', '13', 'found_loc', 'We found the supposed location of the experimental operations for the Imperial Inquisition. Proceed with caution and good luck.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier3_4.stf', '14', 'quest_findbattle_d', 'The X-Wing squadron will try to make it to these coordinates and prepare a stand against the Imperial attackers. Proceed to this waypoint as fast as you can.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier3_4.stf', '15', 'quest_findbattle_t', 'Coordinates of attack.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier3_4.stf', '16', 'quest_helpallies_d', 'Help the X-Wing squadron fight off their pursuers. They have heard of you and their morale is lifted knowing that you are coming to assist them. Don\'t let them down my friend.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier3_4.stf', '17', 'quest_helpallies_t', 'Assist the X-Wing squadron.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier3_4.stf', '18', 'quest_location_d', 'It makes sense that the Imperial Inquisition is in the Dathomir system. It\'s heavily guarded by the Empire for some reason and a extremely dangerous area. Whenever you are here, proceed with caution.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier3_4.stf', '19', 'quest_location_t', 'Dathomir system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier3_4.stf', '20', 'quest_update', 'Brother Ezkiel: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier3_4.stf', '21', 'split_quest_alert', 'Brother Ezkiel: < Good work, pilot. Now, find us a lone target and disable his ship. We need as much information as possible. Continue on the patrol and report as soon as you find something. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier3_4.stf', '22', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier3_4.stf', '23', 'title', 'Dathomir system: The Imperial Inquisition attacks.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier3_4.stf', '24', 'title_d', 'With the sliced data from the Imperial spy we have now found what we hope to be the right location of the Empires heinous experiments. One of our fighter wings has come under heavy attack though and require your assistance.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_2_a.stf', '1', 'allies_arrived', 'Join up with the rest of your squadron as soon as you can.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_2_a.stf', '2', 'allies_remain', 'Rebel Pilot: < I can\'t shake this one! Missile war... >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_2_a.stf', '3', 'allies_win', 'Good job everyone, I\'m very impressed! Return to base for debrief everyone.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_2_a.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_2_a.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_2_a.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_2_a.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_2_a.stf', '8', 'battle_abandoned', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_2_a.stf', '9', 'battle_started', 'Alright, show them what you guys can do!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_2_a.stf', '10', 'enemies_arrived', 'Brother Extok Evin: < Our reconnaissance ship has confirmed a TIE ship model Oppressor in the target wing. This should be interesting. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_2_a.stf', '11', 'enemies_remain', 'Tactical Computer: < Sensors show enemy target terminated. %DI enemy targets remain. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_2_a.stf', '12', 'enemies_win', 'Pull out pilot, you\'re getting crushed over there!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_2_a.stf', '13', 'found_loc', 'The rest of your squadron will meet you in this area. We have the opportunity to take on one of the Empires new experimental TIE ships.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_2_a.stf', '14', 'quest_findbattle_d', 'Your reinforcements will meet up with you at these coordinates, proceed quickly but with caution.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_2_a.stf', '15', 'quest_findbattle_t', 'Meeting coordinates of attack.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_2_a.stf', '16', 'quest_helpallies_d', 'Support your X-Wing squadron and complete a vicious strike against the Imperial forces in the area.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_2_a.stf', '17', 'quest_helpallies_t', 'Attack the Imperial fighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_2_a.stf', '18', 'quest_location_d', 'Yavin is not a high risk system to experienced pilots like yourself but if the Empire is testing experimental fighters, you can bet they will be well guarded.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_2_a.stf', '19', 'quest_location_t', 'Yavin system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_2_a.stf', '20', 'quest_update', 'Brother Extok Evin: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_2_a.stf', '21', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_2_a.stf', '22', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_2_a.stf', '23', 'title', 'Yavin system: Attack one of the Empires new experimental TIE ships.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_2_a.stf', '24', 'title_d', 'Although the reinforcements arrived late, a opportunity have opened up for you to make something of it. The Empire is testing out some of their new TIE models in a nearby area, lets teach them a real lesson.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_4.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_4.stf', '2', 'allies_arrived', 'The Inquisition is anticipating our attack so this will be rough. I have trust that it\'s not beyond your capabilities though.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_4.stf', '3', 'allies_remain', 'Rebel Pilot: < My ship is falling apart! I need hel.. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_4.stf', '4', 'allies_win', 'Good job everyone, stand by for new orders.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_4.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_4.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_4.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_4.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_4.stf', '9', 'battle_abandoned', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_4.stf', '10', 'battle_started', 'Alright my friends, show them what you\'re made of!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_4.stf', '11', 'enemies_arrived', 'You and the rest of the fighters will try and wittle down the enemy fighters so that our bombers can move in safely.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_4.stf', '12', 'enemies_remain', 'Tactical Computer: < Sensors show enemy target terminated. %DI enemy targets remain. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_4.stf', '13', 'enemies_win', 'Pull out! We need to come up with a backup plan quickly!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_4.stf', '14', 'found_loc', 'Meet up with the rest of the squadron at this location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_4.stf', '15', 'quest_findbattle_d', 'This is the coordinates where we will initialize the attack on the base defense. Proceed to there immediately but try to avoid any enemy contact while travelling.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_4.stf', '16', 'quest_findbattle_t', 'Attack coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_4.stf', '17', 'quest_helpallies_d', 'Coordinate with your fellow pilots and attack the base defense. Destroy them all and give the command for our bombers to move in. Good luck pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_4.stf', '18', 'quest_helpallies_t', 'Attack!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_4.stf', '19', 'quest_location_d', 'The extreme risk Dathomir system is as dangerous as ever. We don\'t need more enemies than there already are at the base so try to avoid contact with hostile craft on your way to the attack coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_4.stf', '20', 'quest_location_t', 'Dathomir system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_4.stf', '21', 'quest_update', 'Brother Extok Evin: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_4.stf', '22', 'split_quest_alert', 'Brother Extok Evin: < One of our bomber squadrons have run in to an ambush, head over there and help them out! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_4.stf', '23', 'split_quest_alert_fail', 'Brother Extok Evin: < One of our bomber squadrons have outflanked the Imperial defenses and may still be able to take out the base but they need help, stand by. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_4.stf', '24', 'title', 'Dathomir system: Attack the Inquisition\'s base of operations.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_4.stf', '25', 'title_d', 'The data retrieved in the previous mission points out a space station in Dathomir as the Inquisitions current base of operations. We have been busy laying out the plan of attack and your orders are to help clear out fighters before our bombers are called in.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_4_a.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_4_a.stf', '2', 'allies_arrived', 'Hurry over there pilot, or there won\'t be anything left of our bombers!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_4_a.stf', '3', 'allies_remain', 'Brother Extok Evin: < One of our bombers have fallen! Avenge him my friends! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_4_a.stf', '4', 'allies_win', 'Excellent! B-Wing squadron Vicious, proceed as planned. Return to base pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_4_a.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_4_a.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_4_a.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_4_a.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_4_a.stf', '9', 'battle_abandoned', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_4_a.stf', '10', 'battle_started', 'May the force be with you my friends!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_4_a.stf', '11', 'enemies_arrived', 'I\'m getting reports of several advanced TIE ships in the enemy force, this will be rough.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_4_a.stf', '12', 'enemies_remain', 'Tactical Computer: < Sensors show enemy target terminated. %DI enemy target(s) remain. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_4_a.stf', '13', 'enemies_win', 'Pull out pilot! Hopefully some of our other bomber squadrons have had better luck.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_4_a.stf', '14', 'found_loc', 'Uploading coordinates of our ambushed bomber squadron.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_4_a.stf', '15', 'quest_findbattle_d', 'These are the coordinates the bomber squadron provided us with as a rendez-vous for any reinforcements we could send.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_4_a.stf', '16', 'quest_findbattle_t', 'Intercept coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_4_a.stf', '17', 'quest_helpallies_d', 'Assist our bombers in defeating the Imperial fighters trying to eliminate them.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_4_a.stf', '18', 'quest_helpallies_t', 'Defeat the Imperial fighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_4_a.stf', '19', 'quest_location_d', 'Even though we initially crippled the base defense of the Empire, they can still bite. There\'s several Imperial fighters still in the area and extreme caution is my advice.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_4_a.stf', '20', 'quest_location_t', 'Dathomir system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_4_a.stf', '21', 'quest_update', 'Brother Extok Evin: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_4_a.stf', '22', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_4_a.stf', '23', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_4_a.stf', '24', 'title', 'Dathomir system: Assist ambushed bomber squadron.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_rebel_tier4_4_a.stf', '25', 'title_d', 'One of our bomber squadrons have been ambushed on their way to the base and need your immediate assistance or they will perish!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_station_emperors_access_quest_1.stf', '1', 'allies_arrived', 'We have made it to our emergency coordinates but the Rebel scum is right behind us!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_station_emperors_access_quest_1.stf', '2', 'allies_remain', 'Imperial freighter: < Ahh! Our ship is burning up! We need help n... >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_station_emperors_access_quest_1.stf', '3', 'allies_win', 'Imperial freighter: < Thank you pilot, you came just in time or we would have been done for. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_station_emperors_access_quest_1.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_station_emperors_access_quest_1.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_station_emperors_access_quest_1.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_station_emperors_access_quest_1.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_station_emperors_access_quest_1.stf', '8', 'battle_started', 'Our systems are crippled, we\'re a sitting duck out here!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_station_emperors_access_quest_1.stf', '9', 'enemies_arrived', 'Here they come! Any Imperial ship that is receiving this, please assist!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_station_emperors_access_quest_1.stf', '10', 'enemies_remain', 'Imperial freighter: < Yes! Good job pilot, only %DI of them left! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_station_emperors_access_quest_1.stf', '11', 'enemies_win', 'Imperial freighter: < We can\'t survive this, ejecting! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_station_emperors_access_quest_1.stf', '12', 'found_loc', 'This .. an em...ency bro..ca.. We a.. under att..k by Rebel figh..rs. N..d help at th..e coor..nat.. immed..tely!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_station_emperors_access_quest_1.stf', '13', 'quest_findbattle_d', 'The freighter under attack provided the space station with these coordinates, explaining that they will try to make it there in hopes of being rescued. Get over there as quickly as you can.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_station_emperors_access_quest_1.stf', '14', 'quest_findbattle_t', 'Coordinates of attack.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_station_emperors_access_quest_1.stf', '15', 'quest_helpallies_d', 'The Imperial freighter has made it to the coordinates it provided but the Rebel scum are right on top of it. Deliver justice to the Rebel terrorists swiftly.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_station_emperors_access_quest_1.stf', '16', 'quest_helpallies_t', 'The freighter made it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_station_emperors_access_quest_1.stf', '17', 'quest_location_d', 'This is Imperial territory and you should be safe here. The Rebels attacking freighters in this area are either really brave or really stupid, time for you to find out which.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_station_emperors_access_quest_1.stf', '18', 'quest_location_t', 'Naboo system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_station_emperors_access_quest_1.stf', '19', 'quest_update', 'Imperial freighter: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_station_emperors_access_quest_1.stf', '20', 'split_quest_alert', 'Imperial freighter: < I know it\'s a lot to ask but we think the Rebels uncovered our Yavin freighter route and are planning an attack. Can you please deliver the message to our station in the Yavin system? >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_station_emperors_access_quest_1.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_station_emperors_access_quest_1.stf', '22', 'title', 'Naboo system: Rescue the freighter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/naboo_station_emperors_access_quest_1.stf', '23', 'title_d', 'The space station of Naboo received a emergency call from an Imperial freighter under attack by Rebels. You have volunteered to assist the freighter and need to hurry over to the coordinates the attacked Imperial ship provided.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/poi_tatooine_general_3.stf', '1', 'allies_arrived', 'The officers assigned to this task, the attack against the mysterious Black Nemesis, have arrived at the desginated attack point.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/poi_tatooine_general_3.stf', '2', 'allies_remain', '\\#pcontrast1 Mos Eisley Captain:\\#pcontrast3 < Pilot!! We\'ve lost one of our officers! There\'s only %DI left! Defend him with all your efforts! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/poi_tatooine_general_3.stf', '3', 'allies_win', 'Finally the freighters can travel with ease and safety. Thank you, pilot. We\'ve won this day.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/poi_tatooine_general_3.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/poi_tatooine_general_3.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/poi_tatooine_general_3.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/poi_tatooine_general_3.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/poi_tatooine_general_3.stf', '8', 'battle_started', 'The battle has begun! Defeat the Black Nemesis and win the day, pilot. The officers I assigned to this mission are well-adept in flight and fighting. But they\'ll need to be guarded and protected regardless. I\'m counting on you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/poi_tatooine_general_3.stf', '9', 'enemies_arrived', 'The Black Nemesis has arrived at the designated battle point. My radar detects additional enemies, however. I advise being careful, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/poi_tatooine_general_3.stf', '10', 'enemies_remain', '\\#pcontrast1 Mos Eisley Captain:\\#pcontrast3 < An enemy has been vanquished! There are %DI of them left! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/poi_tatooine_general_3.stf', '11', 'enemies_win', 'The Black Nemesis has defeated us! He will live on and continue to hunt our freighters until he\'s stopped! We won\'t give up just yet!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/poi_tatooine_general_3.stf', '12', 'found_loc', 'I\'ve transmitted the location at which the Black Nemesis has last been seen. Go there. The officers will meet you there.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/poi_tatooine_general_3.stf', '13', 'quest_findbattle_d', 'Kelen has transmitted the location at which the battle will take place.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/poi_tatooine_general_3.stf', '14', 'quest_findbattle_t', 'Find the Battle Site');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/poi_tatooine_general_3.stf', '15', 'quest_helpallies_d', 'It is your duty to help the Mos Eisley Officers defeat the Black Nemesis and restore peace and safety to the Tatoo System.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/poi_tatooine_general_3.stf', '16', 'quest_helpallies_t', 'Help the Officers');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/poi_tatooine_general_3.stf', '17', 'quest_location_d', 'Your mission takes place in the Tatoo System. Travel there and complete you mission.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/poi_tatooine_general_3.stf', '18', 'quest_location_t', 'Travel to Tatoo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/poi_tatooine_general_3.stf', '19', 'quest_update', '\\#pcontrast1 Mos Eisley Captain:\\#pcontrast3 < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/poi_tatooine_general_3.stf', '20', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/poi_tatooine_general_3.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/poi_tatooine_general_3.stf', '22', 'title', 'Tatoo System: The BlackDawn Existence');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/poi_tatooine_general_3.stf', '23', 'title_d', 'Kelen seemed terribly bent on ridding the galaxy of the Black Nemesis, an entity that has been terrorizing many a freighter for months. You have been tasked with heading up this operation, fondly called the \"BlackDawn Existence\", and are expected to lead two Mis Eisley Officers into battle. Will you succeed? Only time will tell.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/poi_tatooine_privateer_3_b.stf', '1', 'allies_arrived', 'Our war ships have arrived. Stand by, pilot. We\'ll need your help.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/poi_tatooine_privateer_3_b.stf', '2', 'allies_remain', '\\#pcontrast1 Hutt Informant:\\#pcontrast3 < Pilot! We lost one of our war ships! We have %DI remaining! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/poi_tatooine_privateer_3_b.stf', '3', 'allies_win', 'A long, hard battle won. Thank you, pilot. Soon, we\'ll be able to take over the Space Station and rule the Tatoo System. I garner it will be some time, however. Your name will go down in history.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/poi_tatooine_privateer_3_b.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/poi_tatooine_privateer_3_b.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/poi_tatooine_privateer_3_b.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/poi_tatooine_privateer_3_b.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/poi_tatooine_privateer_3_b.stf', '8', 'battle_started', 'The battle has begun, pilot. Stay with us. There\'s no doubt we\'ll need your help weighing the odds.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/poi_tatooine_privateer_3_b.stf', '9', 'enemies_arrived', 'Pilot, stay alert. The Mos Eisley police have come to defend the Space Station against us. This will be a long battle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/poi_tatooine_privateer_3_b.stf', '10', 'enemies_remain', '\\#pcontrast1 Hutt Informant:\\#pcontrast3 < Their numbers are dwindling. By my system\'s count, there are %DI enemy ships left. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/poi_tatooine_privateer_3_b.stf', '11', 'enemies_win', '\\#pcontrast1 Hutt Informant:\\#pcontrast3 < We\'ve lost! The Space Station has been well defended by the Mos Eisley Police. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/poi_tatooine_privateer_3_b.stf', '12', 'found_loc', 'Pilot, pay attention. I\'m transmitting a location to you. In moments, we\'ll arrive, hoping to storm the Space Station and take it over. Meet us here. We\'ll no doubt need your help as we\'re expecting heavy resistance. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/poi_tatooine_privateer_3_b.stf', '13', 'quest_findbattle_d', 'Travel to the waypoint given to you by Garett and participate in the battle between the Hutts and the Mos Eisley Police.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/poi_tatooine_privateer_3_b.stf', '14', 'quest_findbattle_t', 'Find the battle at Hutt Claims');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/poi_tatooine_privateer_3_b.stf', '15', 'quest_helpallies_d', 'After having arrived at the waypoint given, help your allies defeat the Mos Eisley Police and capture the Space Station.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/poi_tatooine_privateer_3_b.stf', '16', 'quest_helpallies_t', 'Help Your Allies');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/poi_tatooine_privateer_3_b.stf', '17', 'quest_location_d', 'Travel to the Tatoo System for your mission.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/poi_tatooine_privateer_3_b.stf', '18', 'quest_location_t', 'Tatoo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/poi_tatooine_privateer_3_b.stf', '19', 'quest_update', '\\#pcontrast1 Hutt Informant:\\#pcontrast3 < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/poi_tatooine_privateer_3_b.stf', '20', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/poi_tatooine_privateer_3_b.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/poi_tatooine_privateer_3_b.stf', '22', 'title', 'Tatoo System: Attack on the Space Station');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/poi_tatooine_privateer_3_b.stf', '23', 'title_d', 'The time is near and the attack on the Space Station is imminent. Your part in this crazy scheme is to assist the Hutts, driving them to victory. After all this time, one question floats in your mind; what exactly are you going to get out of this? Tax breaks on repairs in Tatooine? A percentage of the revenue made by the Space Station? Or a lousy shirt? And why do the Hutts want to attack a Space Station anyway? It doesn\'t take you long to figure out and understand the lure of the credit.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_dantooine_owner_all_repairmission_tier2_4.stf', '1', 'allies_arrived', 'Our fleet is assembled. We expect the Greenburst to show up at any time now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_dantooine_owner_all_repairmission_tier2_4.stf', '2', 'allies_remain', 'Tactical Computer: < %DI freighters remaining. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_dantooine_owner_all_repairmission_tier2_4.stf', '3', 'allies_win', 'Nice work, pilot. Our fleet is mostly intact and the Greenburst have been taught an important lesson.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_dantooine_owner_all_repairmission_tier2_4.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_dantooine_owner_all_repairmission_tier2_4.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_dantooine_owner_all_repairmission_tier2_4.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_dantooine_owner_all_repairmission_tier2_4.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_dantooine_owner_all_repairmission_tier2_4.stf', '8', 'battle_started', 'The Greenburst have given up peaceful protest and are now attacking our freighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_dantooine_owner_all_repairmission_tier2_4.stf', '9', 'enemies_arrived', 'The Greenburst have arrived. They look like they want trouble.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_dantooine_owner_all_repairmission_tier2_4.stf', '10', 'enemies_remain', 'Tactical Computer: < %DI enemy fighters remaining. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_dantooine_owner_all_repairmission_tier2_4.stf', '11', 'enemies_win', 'You lost to a bunch of protesters? That not only cost you pride it cost us five freighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_dantooine_owner_all_repairmission_tier2_4.stf', '12', 'found_loc', 'The freighter convoy will assemble at this point. Meet them there.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_dantooine_owner_all_repairmission_tier2_4.stf', '13', 'quest_findbattle_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_dantooine_owner_all_repairmission_tier2_4.stf', '14', 'quest_findbattle_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_dantooine_owner_all_repairmission_tier2_4.stf', '15', 'quest_helpallies_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_dantooine_owner_all_repairmission_tier2_4.stf', '16', 'quest_helpallies_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_dantooine_owner_all_repairmission_tier2_4.stf', '17', 'quest_location_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_dantooine_owner_all_repairmission_tier2_4.stf', '18', 'quest_location_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_dantooine_owner_all_repairmission_tier2_4.stf', '19', 'quest_update', 'Twin Star Shipping: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_dantooine_owner_all_repairmission_tier2_4.stf', '20', 'split_quest_alert', 'Ok, now for your last task, you need to travel to Yavin and see if you can find one of Twin Star\'s freighters that has been overdue for the past day.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_dantooine_owner_all_repairmission_tier2_4.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_dantooine_owner_all_repairmission_tier2_4.stf', '22', 'title', 'Endor System: Protect Twin Star Shipping');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_dantooine_owner_all_repairmission_tier2_4.stf', '23', 'title_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_dantooine_owner_rebel_landing_tier2_2.stf', '1', 'allies_arrived', 'I have a lock on some of my supply fleet. They look pretty beat up but they are intact. Get to them fast and take out any Imperials that try to destroy them.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_dantooine_owner_rebel_landing_tier2_2.stf', '2', 'allies_remain', 'Tactical Computer: < %DI freighters remaining. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_dantooine_owner_rebel_landing_tier2_2.stf', '3', 'allies_win', 'Great work. I am going to tell those ships to get out of there before anymore Imperials show up.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_dantooine_owner_rebel_landing_tier2_2.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_dantooine_owner_rebel_landing_tier2_2.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_dantooine_owner_rebel_landing_tier2_2.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_dantooine_owner_rebel_landing_tier2_2.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_dantooine_owner_rebel_landing_tier2_2.stf', '8', 'battle_started', 'The Imperials are attacking my fleet! You have to protect those unarmed freighters from the TIEs.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_dantooine_owner_rebel_landing_tier2_2.stf', '9', 'enemies_arrived', 'I am now picking up Imperial fighters moving towards the supply fleet at attack speeds. Protect those freighters!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_dantooine_owner_rebel_landing_tier2_2.stf', '10', 'enemies_remain', 'Tactical Computer: < %DI enemy fighters remaining. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_dantooine_owner_rebel_landing_tier2_2.stf', '11', 'enemies_win', 'Well there went some very valuable ships. I really hope your Rebellion does better protecting its own interests then you did mine.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_dantooine_owner_rebel_landing_tier2_2.stf', '12', 'found_loc', 'I have a lock on the supply fleet. Sending you the location now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_dantooine_owner_rebel_landing_tier2_2.stf', '13', 'quest_findbattle_d', 'Travel to the supply fleet and protect them from the Imperial fighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_dantooine_owner_rebel_landing_tier2_2.stf', '14', 'quest_findbattle_t', 'Travel to the Supply Fleet');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_dantooine_owner_rebel_landing_tier2_2.stf', '15', 'quest_helpallies_d', 'Destroy the Imperial fighters before they destroy the supply fleet.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_dantooine_owner_rebel_landing_tier2_2.stf', '16', 'quest_helpallies_t', 'Defeat the Imperial Attackers');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_dantooine_owner_rebel_landing_tier2_2.stf', '17', 'quest_location_d', 'The supply fleet is located inside of the Dantooine system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_dantooine_owner_rebel_landing_tier2_2.stf', '18', 'quest_location_t', 'Travel to the Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_dantooine_owner_rebel_landing_tier2_2.stf', '19', 'quest_update', 'Dantooine Station: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_dantooine_owner_rebel_landing_tier2_2.stf', '20', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_dantooine_owner_rebel_landing_tier2_2.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_dantooine_owner_rebel_landing_tier2_2.stf', '22', 'title', 'Dantooine System: Protect the Supply Fleet');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_dantooine_owner_rebel_landing_tier2_2.stf', '23', 'title_d', 'The Imperials are attacking some of the Dantooine station\'s supply fleet in retaliation for the loss of one of the freighters. Protect the supply fleet from the Imperial attack.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_endor_irs_imp_tier3_3d.stf', '1', 'allies_arrived', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Friendly IFF signatures detected. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_endor_irs_imp_tier3_3d.stf', '2', 'allies_remain', '\\#pcontrast1 An allied craft has been destroyed, %DI remain.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_endor_irs_imp_tier3_3d.stf', '3', 'allies_win', 'The spice pirates have been driven back.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_endor_irs_imp_tier3_3d.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_endor_irs_imp_tier3_3d.stf', '5', 'autorewardbody', 'Completion Bonus: The Ends of Understanding (5000)');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_endor_irs_imp_tier3_3d.stf', '6', 'autorewardfrom', 'Endor Station');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_endor_irs_imp_tier3_3d.stf', '7', 'autorewardsubject', 'The Grand Tour');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_endor_irs_imp_tier3_3d.stf', '8', 'battle_started', 'The battle has begun.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_endor_irs_imp_tier3_3d.stf', '9', 'enemies_arrived', '\\#pcontrast3 Tactical Computer: < \\#pcontrast3 Targets locked in. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_endor_irs_imp_tier3_3d.stf', '10', 'enemies_remain', '\\#pcontrast3 An enemy craft has been destroyed, %DI remain.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_endor_irs_imp_tier3_3d.stf', '11', 'enemies_win', '\\#pcontrast3 Endor Station: < \\#pcontrast1 Much knowledge has been lost for this.  Our future will be a less enlightened place. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_endor_irs_imp_tier3_3d.stf', '12', 'found_loc', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Engagement location locked in. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_endor_irs_imp_tier3_3d.stf', '13', 'quest_findbattle_d', 'Travel to the fight location quickly, forces have already engaged.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_endor_irs_imp_tier3_3d.stf', '14', 'quest_findbattle_t', 'Travel');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_endor_irs_imp_tier3_3d.stf', '15', 'quest_helpallies_d', 'Protect the scientists from the Zynt`aia Spice Guardians.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_endor_irs_imp_tier3_3d.stf', '16', 'quest_helpallies_t', 'Linear Scientists');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_endor_irs_imp_tier3_3d.stf', '17', 'quest_location_d', 'The confortation comes to a head not far from the heart of the nebula.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_endor_irs_imp_tier3_3d.stf', '18', 'quest_location_t', 'Endor System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_endor_irs_imp_tier3_3d.stf', '19', 'quest_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_endor_irs_imp_tier3_3d.stf', '20', 'split_quest_alert', '\\#pcontrast3 Endor Station: \\#pcontrast1 The next stop is the Declorian Territory, meeting area for the Zynt\'aia Spice Pirates. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_endor_irs_imp_tier3_3d.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_endor_irs_imp_tier3_3d.stf', '22', 'title', 'Endor System: The Ends of Understanding');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_endor_irs_imp_tier3_3d.stf', '23', 'title_d', 'Spice pirates have attacked the researchers operating out of the Linear Miasma.  Move in to assist the scientists against the pirate agression.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_yavin4_company_all_massassi_tier2_1.stf', '1', 'allies_arrived', 'We are picking up distress signals from one of our convoys. They are under heavy fire from those strange fighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_yavin4_company_all_massassi_tier2_1.stf', '2', 'allies_remain', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 < %DI freighters remaining. >\\#pcontrast3 \\#pcontrast1');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_yavin4_company_all_massassi_tier2_1.stf', '3', 'allies_win', 'Excellent work, pilot. You managed to at least save some of the fleet.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_yavin4_company_all_massassi_tier2_1.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_yavin4_company_all_massassi_tier2_1.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_yavin4_company_all_massassi_tier2_1.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_yavin4_company_all_massassi_tier2_1.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_yavin4_company_all_massassi_tier2_1.stf', '8', 'battle_started', 'Enemy fighters are swarming all over our convoy. They are in desperate need of your assistance.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_yavin4_company_all_massassi_tier2_1.stf', '9', 'enemies_arrived', 'The enemy fighters have called in some backup. Our freighters are not going to last much longer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_yavin4_company_all_massassi_tier2_1.stf', '10', 'enemies_remain', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 < %DI enemy fighters remaining. >\\#pcontrast3 \\#pcontrast1');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_yavin4_company_all_massassi_tier2_1.stf', '11', 'enemies_win', 'The Yavin Mining Company freighters have all been destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_yavin4_company_all_massassi_tier2_1.stf', '12', 'found_loc', 'We are sending you the location of the distress signal from the freighters. Travel to them immediately and drive off their attackers before the convoy is destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_yavin4_company_all_massassi_tier2_1.stf', '13', 'quest_findbattle_d', 'The company has supplied you with the location of the distress signal. Travel to this location and rescue the shipping convoy.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_yavin4_company_all_massassi_tier2_1.stf', '14', 'quest_findbattle_t', 'Travel to the Attack Site');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_yavin4_company_all_massassi_tier2_1.stf', '15', 'quest_helpallies_d', 'Destroy the mysterious attackers before they can destroy the shipping convoy.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_yavin4_company_all_massassi_tier2_1.stf', '16', 'quest_helpallies_t', 'Rescue the Shipping Convoy');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_yavin4_company_all_massassi_tier2_1.stf', '17', 'quest_location_d', 'The shipping convoy is located in the Yavin system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_yavin4_company_all_massassi_tier2_1.stf', '18', 'quest_location_t', 'Remain in the Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_yavin4_company_all_massassi_tier2_1.stf', '19', 'quest_update', '\\#FF0000 Yavin Mining Company:\\#FF0000 < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_yavin4_company_all_massassi_tier2_1.stf', '20', 'split_quest_alert', 'We are picking up the signature of a damaged enemy fighter who is trying to escape from the battle. Intercept and inspect that fighter for any clue to their identity and why they attacking our ships. Return to the station when you have completed your search.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_yavin4_company_all_massassi_tier2_1.stf', '21', 'split_quest_alert_fail', 'It is unfortunate that we lost the convoy but we are picking up a plasma trail from one of the fighters. It must be damaged. Follow that plasma leak and inspect that damaged fighter for any clues.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_yavin4_company_all_massassi_tier2_1.stf', '22', 'title', 'Space Yavin: Rescue Mining Fleet Under Attack');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/stn_yavin4_company_all_massassi_tier2_1.stf', '23', 'title_d', 'A Yavin 4 Mining Company shipping convoy has come under fire from a mysterious assailant. The company has hired you to rescue its fleet and discover more information about these attackers.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier3_2_e.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier3_2_e.stf', '2', 'allies_arrived', '3rd TIE Wing located. Scans indicate heavy casualties.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier3_2_e.stf', '3', 'allies_remain', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <%DI allied fighters remaining.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier3_2_e.stf', '4', 'allies_remaining', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier3_2_e.stf', '5', 'allies_win', 'Excellent work, pilot. The Rebel scum have all been eliminated, thanks to you. Return to your superior and make your report.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier3_2_e.stf', '6', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier3_2_e.stf', '7', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier3_2_e.stf', '8', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier3_2_e.stf', '9', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier3_2_e.stf', '10', 'battle_abandoned', 'The 3rd TIE Wing doesn\'t stand a chance without your help. You have failed the Empire this day.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier3_2_e.stf', '11', 'battle_started', '3rd TIE Wing engaging enemy fighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier3_2_e.stf', '12', 'enemies_arrived', 'Enemy fighter located. Closing at high speeds.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier3_2_e.stf', '13', 'enemies_remain', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <%DI enemy fighters remaining.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier3_2_e.stf', '14', 'enemies_remaining', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier3_2_e.stf', '15', 'enemies_win', 'Imperial High Command:<We have lost the 3rd TIE Wing. Report back to your superior for a full report.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier3_2_e.stf', '16', 'found_loc', 'Updating your nav computer with the last known location of the 3rd TIE Wing. Travel there immediately and support those fighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier3_2_e.stf', '17', 'quest_findbattle_d', 'Travel to the supplied navigation waypoint that will be given to you. This waypoint will lead you to the location that the battle will take place.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier3_2_e.stf', '18', 'quest_findbattle_t', 'Travel to the Battle Location');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier3_2_e.stf', '19', 'quest_helpallies_d', 'Once at the battle location, wait for the arrival of the TIE wing and for the battle to start. Destroy all of the attacking Rebels before they can destroy all of the TIEs. The TIEs are outnumbered so your assistance is important.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier3_2_e.stf', '20', 'quest_helpallies_t', 'Help the TIE Wing Defeat the Rebels');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier3_2_e.stf', '21', 'quest_location_d', 'Remain in the Endor system and assist the TIE wing in destroying the attacking Rebels. Travel to the navigation waypoint that you will receive to the battle location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier3_2_e.stf', '22', 'quest_location_t', 'Remain in the Endor System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier3_2_e.stf', '23', 'quest_update', '\\#pcontrast1 Storm Squadron Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier3_2_e.stf', '24', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier3_2_e.stf', '25', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier3_2_e.stf', '26', 'title', 'Endor System: Battle the Rebel Forces');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier3_2_e.stf', '27', 'title_d', 'Remain in the Endor system and help our TIE wing beat the Rebels in a battle. You will receive a navigation waypoint to the place where the battle is going to take place. Travel to this location and wait for the arrival of the TIEs and Rebels. When the battle is joined, assist the TIE wing with destroying  the Rebel force before the Rebels can wipe out the TIE wing. If all of the TIEs die then you will have lost the battle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier4_1_b.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier4_1_b.stf', '2', 'allies_arrived', 'Allied TIE fighters regrouping to try to fend off the Rebel assault.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier4_1_b.stf', '3', 'allies_remain', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <%DI allied fighters remaining.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier4_1_b.stf', '4', 'allies_remaining', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier4_1_b.stf', '5', 'allies_win', 'You have handed the Empire a glorious victory over the Rebellion.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier4_1_b.stf', '6', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier4_1_b.stf', '7', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier4_1_b.stf', '8', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier4_1_b.stf', '9', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier4_1_b.stf', '10', 'battle_abandoned', 'You have left the TIE defense force at the mercy of our enemies. The Empire does not tolerate cowards. Report back to your superior.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier4_1_b.stf', '11', 'battle_started', 'The enemy has engaged the TIE fighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier4_1_b.stf', '12', 'enemies_arrived', 'Warning! Enemy fighters detected.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier4_1_b.stf', '13', 'enemies_remain', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <%DI enemy fighters remaining.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier4_1_b.stf', '14', 'enemies_remaining', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier4_1_b.stf', '15', 'enemies_win', 'The wing has been destroyed. The Rebellion may have won this battle but they have not won the war. Return to your superior officer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier4_1_b.stf', '16', 'found_loc', 'We have the location of the besieged TIEs. Travel to the navigation waypoint immediately and protect those fighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier4_1_b.stf', '17', 'quest_findbattle_d', 'Travel to the navigaiton waypoint and join up with the TIE squadron.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier4_1_b.stf', '18', 'quest_findbattle_t', 'Travel to the Battle Location');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier4_1_b.stf', '19', 'quest_helpallies_d', 'You must destroy the Rebel attackers before they can eliminate the remaining TIE fighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier4_1_b.stf', '20', 'quest_helpallies_t', 'Help the TIEs Defeat the Rebel Forces');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier4_1_b.stf', '21', 'quest_location_d', 'The navigation waypoint to the TIEs rally point will be supplied to you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier4_1_b.stf', '22', 'quest_location_t', 'Remain in the Endor System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier4_1_b.stf', '23', 'quest_update', '\\#pcontrast1 Storm Squadron Command:\\#pcontrast3 <%TO> \\#pcontrast3 ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier4_1_b.stf', '24', 'split_quest_alert', 'An enemy scout vessel has been detected in the area. Disable that scout and recover the contents of its main frame.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier4_1_b.stf', '25', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier4_1_b.stf', '26', 'title', 'Endor System: Battle the Rebel Forces');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier4_1_b.stf', '27', 'title_d', 'The Rebels have launched an attack on the local TIE defense force. The TIE force has been badly hurt and are now regrouping for a final stand. Those fighters are vital to the operations in the Endor system and need to be protected. You must save the TIEs.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier4_3_b.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier4_3_b.stf', '2', 'allies_arrived', 'TIE forces regrouping to defend against hostiles.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier4_3_b.stf', '3', 'allies_remain', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <%DI allied fighters remaining.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier4_3_b.stf', '4', 'allies_remaining', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier4_3_b.stf', '5', 'allies_win', 'All enemy fighters eliminated. Grey Squadron still intact. Report in to your superior.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier4_3_b.stf', '6', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier4_3_b.stf', '7', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier4_3_b.stf', '8', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier4_3_b.stf', '9', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier4_3_b.stf', '10', 'battle_abandoned', 'Grey Squadron is going to be wiped out because you failed to assist them. You have brought shame to Storm Squadron. Report back to your superior.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier4_3_b.stf', '11', 'battle_started', 'Fighters engaging. Enemy fighters greatly outnumber TIE squad.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier4_3_b.stf', '12', 'enemies_arrived', 'Enemy fighters detected. Traveling towards Grey Squadron at high speeds.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier4_3_b.stf', '13', 'enemies_remain', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <%DI enemy fighters remaining.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier4_3_b.stf', '14', 'enemies_remaining', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier4_3_b.stf', '15', 'enemies_win', 'Grey Squadron eliminated. Make report back to your superior on situation.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier4_3_b.stf', '16', 'found_loc', 'We have Grey Squads location. Proceed there immediately and assist with their defense.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier4_3_b.stf', '17', 'quest_findbattle_d', 'Travel to the supplied navigation waypoint and meet up with the TIEs.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier4_3_b.stf', '18', 'quest_findbattle_t', 'Travel to the Battle Location');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier4_3_b.stf', '19', 'quest_helpallies_d', 'You must destroy all the attacking Rebels before they can eliminate the remaining TIEs.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier4_3_b.stf', '20', 'quest_helpallies_t', 'Help Grey Squadron Defeat the Rebel Forces');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier4_3_b.stf', '21', 'quest_location_d', 'You will be supplied the navigaiton waypoint to Grey Squadron.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier4_3_b.stf', '22', 'quest_location_t', 'Remain in the Endor System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier4_3_b.stf', '23', 'quest_update', '\\#pcontrast1 Storm Squadron Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier4_3_b.stf', '24', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier4_3_b.stf', '25', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier4_3_b.stf', '26', 'title', 'Endor System: Battle the Rebel Forces');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_imperial_tier4_3_b.stf', '27', 'title_d', 'Grey Squadron has been hit hard and the remaining TIEs are regrouping. The Rebels have momentarily broken off their attack but scans show they are regrouping. You must meet up with the remaining TIEs and help them defend against the Rebels.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_privateer_tier3_4_a.stf', '1', 'allies_arrived', '\\#pcontrast3 Tactical Computer: < \\#pcontrast3 Hutt forces have exited hyperspace. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_privateer_tier3_4_a.stf', '2', 'allies_remain', '%DI Allied craft remain');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_privateer_tier3_4_a.stf', '3', 'allies_remaining', 'An allied craft has been destroyed, %DI remain.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_privateer_tier3_4_a.stf', '4', 'allies_win', 'The Hutts are victorious! Good job!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_privateer_tier3_4_a.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_privateer_tier3_4_a.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_privateer_tier3_4_a.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_privateer_tier3_4_a.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_privateer_tier3_4_a.stf', '9', 'battle_abandoned', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_privateer_tier3_4_a.stf', '10', 'battle_started', '\\#pcontrast3 Hutt Forces: < \\#pcontrast1 These Rancor clan will soon be space dust. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_privateer_tier3_4_a.stf', '11', 'enemies_arrived', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Rancor clan starships detected coming out of hyperspace... \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_privateer_tier3_4_a.stf', '12', 'enemies_remain', '%DI Enemy craft remain');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_privateer_tier3_4_a.stf', '13', 'enemies_remaining', 'An enemy craft has been destroyed, %DI remain.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_privateer_tier3_4_a.stf', '14', 'enemies_win', '\\#pcontrast3 Beissa: < \\#pcontrast1 Our battle group has been defeated! Mission failed! \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_privateer_tier3_4_a.stf', '15', 'found_loc', '\\#pcontrast3 Beissa: < \\#pcontrast1 We have the location of a battle between Hutt and Rancor clan forces. Go there immediately!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_privateer_tier3_4_a.stf', '16', 'quest_findbattle_d', 'Travel here to find the allied Hutt and enemy Rancor Clan battle');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_privateer_tier3_4_a.stf', '17', 'quest_findbattle_t', 'Battle Point');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_privateer_tier3_4_a.stf', '18', 'quest_helpallies_d', 'Fight for the Hutts to ensure victory over the Rancor Clan');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_privateer_tier3_4_a.stf', '19', 'quest_helpallies_t', 'Assist Allies');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_privateer_tier3_4_a.stf', '20', 'quest_location_d', 'An ambush point in the Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_privateer_tier3_4_a.stf', '21', 'quest_location_t', 'Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_privateer_tier3_4_a.stf', '22', 'quest_update', '\\#pcontrast3 < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_privateer_tier3_4_a.stf', '23', 'split_quest_alert', 'Another battle is about to be joined. Our Hutt VIP contact could be lost in the fray. Go there and find him!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_privateer_tier3_4_a.stf', '24', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_privateer_tier3_4_a.stf', '25', 'title', 'Dathomir System: Space Battle with Rancor Clan');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_privateer_tier3_4_a.stf', '26', 'title_d', 'Assist the Hutt forces in the destruction of the Rancor Clan');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_privateer_tier3_4_b.stf', '1', 'allies_arrived', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Hutt forces are coming out of hyperspace... \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_privateer_tier3_4_b.stf', '2', 'allies_remain', '%DI Allied craft remain');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_privateer_tier3_4_b.stf', '3', 'allies_remaining', 'An allied craft has been destroyed, %DI remain.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_privateer_tier3_4_b.stf', '4', 'allies_win', 'The Hutts are victorious! Good job!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_privateer_tier3_4_b.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_privateer_tier3_4_b.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_privateer_tier3_4_b.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_privateer_tier3_4_b.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_privateer_tier3_4_b.stf', '9', 'battle_abandoned', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_privateer_tier3_4_b.stf', '10', 'battle_started', '\\#pcontrast3 Hutt Forces: < \\#pcontrast1 This must be their entire clan here, you better be as good as they say pilot. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_privateer_tier3_4_b.stf', '11', 'enemies_arrived', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Rancor clan starships detected coming out of hyperspace... \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_privateer_tier3_4_b.stf', '12', 'enemies_remain', '%DI Enemies remain');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_privateer_tier3_4_b.stf', '13', 'enemies_remaining', 'An enemy craft has been destroyed, %DI remain.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_privateer_tier3_4_b.stf', '14', 'enemies_win', 'Our battle group has been defeated! Mission failed!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_privateer_tier3_4_b.stf', '15', 'found_loc', 'A critical Hutt ally could be caught in another battle with the Rancor Clan. Go there and see that our side wins!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_privateer_tier3_4_b.stf', '16', 'quest_findbattle_d', 'Travel here to participate in the battle');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_privateer_tier3_4_b.stf', '17', 'quest_findbattle_t', 'Battle Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_privateer_tier3_4_b.stf', '18', 'quest_helpallies_d', 'Asssist the Hutt forces in defeating the Rancor Clan');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_privateer_tier3_4_b.stf', '19', 'quest_helpallies_t', 'Hutt Forces');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_privateer_tier3_4_b.stf', '20', 'quest_location_d', 'A location of high Rancor Clan influence');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_privateer_tier3_4_b.stf', '21', 'quest_location_t', 'Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_privateer_tier3_4_b.stf', '22', 'quest_update', '\\#pcontrast3Smugglers\' Alliance: <%TO>\\#pcontrast3');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_privateer_tier3_4_b.stf', '23', 'split_quest_alert', '\\#pcontrast3 Hutt Forces: < \\#pcontrast1 The Imperial craft is not here contact is not here! We need you to search for him. Location information is coming next... \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_privateer_tier3_4_b.stf', '24', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_privateer_tier3_4_b.stf', '25', 'title', 'Dathomir Sytem: Destroy the Rancor Clan');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_privateer_tier3_4_b.stf', '26', 'title_d', 'Destroy the Rancor Clan, and keep an eye out for the Lambda Shuttle with a Sienar Systems engineer on board');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_2_c.stf', '1', 'allies_arrived', 'Good to see you pilot. We were on our way to bomb some Imperial Freighters but were spotted by those fighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_2_c.stf', '2', 'allies_remain', 'Crimson Squadron Leader: < We are taking heavy losses, this is looking grim. Step it up everyone! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_2_c.stf', '3', 'allies_win', 'Excellent, we will continue to our original target, you can return to base. Thanks again pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_2_c.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_2_c.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_2_c.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_2_c.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_2_c.stf', '8', 'battle_abandoned', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_2_c.stf', '9', 'battle_started', 'Here they come! Crimson squad, anti fighter battle plan razor. May the Force be with you all!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_2_c.stf', '10', 'enemies_arrived', 'There they are, we have no choice but to try and fight our way through them.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_2_c.stf', '11', 'enemies_remain', 'Crimson Squadron Leader: < Excellent! Only %DI more! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_2_c.stf', '12', 'enemies_win', 'Get out of here pilot! The mission is a failure, we are taking heavy lo...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_2_c.stf', '13', 'found_loc', 'Meet with the B-Wing squad at this location pilot. Hurry, the TIE Fighters following them are getting closer by the second.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_2_c.stf', '14', 'quest_findbattle_d', 'The B-Wing squadron estimate that they will be intercepted by the Imperial fighters near these coordinates. Get over there ASAP pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_2_c.stf', '15', 'quest_findbattle_t', 'Rendez-vous coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_2_c.stf', '16', 'quest_helpallies_d', 'B-Wings are designed to eliminate capital ships and space stations. When they come under fire from massed forces of fighters, they are in trouble. That\'s where you come in pilot, help them break through the Imperial forces.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_2_c.stf', '17', 'quest_helpallies_t', 'Assist the Crimson Squadron.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_2_c.stf', '18', 'quest_location_d', 'Though the Dantooine system doesn\'t have a heavy presence of Imperial forces, this area is one that they are controlling. Try to avoid getting the attention of more enemy forces on your way to the B-Wing squadron.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_2_c.stf', '19', 'quest_location_t', 'Dantooine system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_2_c.stf', '20', 'quest_update', 'Crimson Squadron Leader: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_2_c.stf', '21', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_2_c.stf', '22', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_2_c.stf', '23', 'title', 'Dantooine system: Assist B-Wing Bomber squad in eliminating intercepting TIE Fighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_2_c.stf', '24', 'title_d', 'A squad of B-Wing bombers were on their way to attack some Imperial freighters but were spotted by a TIE wing. Assist them in eliminating the Imperial fighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_3_a.stf', '1', 'allies_arrived', 'Good to see you pilot. I heard you were good, will be a pleasure to work with you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_3_a.stf', '2', 'allies_remain', 'Scythe Squadron Leader: < Ack, you Imperial scum, we will avenge him! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_3_a.stf', '3', 'allies_win', 'That should make the Empire think twice before messing with us again!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_3_a.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_3_a.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_3_a.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_3_a.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_3_a.stf', '8', 'battle_abandoned', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_3_a.stf', '9', 'battle_started', 'Don\'t let them get a chance to figure out what\'s going on, attack, attack!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_3_a.stf', '10', 'enemies_arrived', 'Here they come, prepare for battle everyone.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_3_a.stf', '11', 'enemies_remain', 'Rebel Command: < Good, sensors indicate %DI more Imperial ships in the area. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_3_a.stf', '12', 'enemies_win', 'Pull out pilot! We are doome..');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_3_a.stf', '13', 'found_loc', 'Greetings, proceed to this location and assist us in terminating one of the Imperial Patrols.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_3_a.stf', '14', 'quest_findbattle_d', 'The X-Wing squadron codenamed Scythe have set these coordinates as their point of attack. Meet up with them there immediately.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_3_a.stf', '15', 'quest_findbattle_t', 'Battle coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_3_a.stf', '16', 'quest_helpallies_d', 'With Scythe squadron at your side, bring some punishment on the Imperial filth.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_3_a.stf', '17', 'quest_helpallies_t', 'Defeat the Imperial patrol.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_3_a.stf', '18', 'quest_location_d', 'With our successful attacks in the Dathomir system lately, the Empire has increased their alert status and the system is more dangerous than ever. Avoid attracting any extra attention at all costs while you are on your way to meet up with the X-Wing squadron.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_3_a.stf', '19', 'quest_location_t', 'Dathomir system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_3_a.stf', '20', 'quest_update', 'Scythe Squadron Leader: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_3_a.stf', '21', 'split_quest_alert', 'Rebel Command: < The Commando team sent to break out the defector need your help again, stand by for more information. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_3_a.stf', '22', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_3_a.stf', '23', 'title', 'Dathomir system: Terminate the Imperial patrol.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_3_a.stf', '24', 'title_d', 'One of our X-Wing squadrons has been ordered to eliminate one of the Empire\'s guard patrols. The patrol turned out to be a bit larger than expected so they could use your assistance.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_4_d.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_4_d.stf', '2', 'allies_arrived', 'Good to see you again pilot! Lets see what this new fighter of theirs can do.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_4_d.stf', '3', 'allies_remain', 'Rebel pilot: < Taking heavy fire! Need help over he... >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_4_d.stf', '4', 'allies_win', 'I think they need to put that thing back in the garage for some more improvements. Return to base everyone, great job!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_4_d.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_4_d.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_4_d.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_4_d.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_4_d.stf', '9', 'battle_abandoned', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_4_d.stf', '10', 'battle_started', 'Lets show them that it doesn\'t matter what new ships they have, our skill is superior!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_4_d.stf', '11', 'enemies_arrived', 'The Imperial ships have detected us but they don\'t appear to withdraw, I guess they have trust in the capabilities of that new ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_4_d.stf', '12', 'enemies_remain', 'Tactical Computer: < Sensors show termination of enemy vessel. %DI enemy vessels remain. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_4_d.stf', '13', 'enemies_win', 'Pull out pilot, pull ou...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_4_d.stf', '14', 'found_loc', 'The Empire is having a test of one of their new fighters at this location. We could use your help over here pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_4_d.stf', '15', 'quest_findbattle_d', 'These are the coordinates supplied by our reconnaissance ship. The X-Wing squadron assisting you in the attack will meet you there.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_4_d.stf', '16', 'quest_findbattle_t', 'Battle coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_4_d.stf', '17', 'quest_helpallies_d', 'Destroy all the Imperial forces in the vicinity. We can\'t take the risk of capturing that prototype fighter intact in such a hostile area, we\'ll just examine the debris after you have blown it to pieces.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_4_d.stf', '18', 'quest_helpallies_t', 'Destroy the Imperial forces.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_4_d.stf', '19', 'quest_location_d', 'You\'re heading back in to the areas heavily defended by Imperial forces. The good news is you will have reinforcements with you, the bad news is that you will fight a prototype fighter that may turn out to be very dangerous.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_4_d.stf', '20', 'quest_location_t', 'Endor system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_4_d.stf', '21', 'quest_update', 'Scythe Squadron Leader: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_4_d.stf', '22', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_4_d.stf', '23', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_4_d.stf', '24', 'title', 'Endor system: Help a Rebel Squadron fight the Empires prototype fighter.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier3_4_d.stf', '25', 'title_d', 'One of our reconnaissance ships spotted one of these new prototype fighters of the Empire. We\'ve decided to launch an attack and try to find out as much as we can about the ship from its debris. You\'re ordered to assist in the attack pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_1.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_1.stf', '2', 'allies_arrived', 'We are in position, join up pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_1.stf', '3', 'allies_remain', 'Rebel Pilot: < My baby is falling apart! Ejecting! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_1.stf', '4', 'allies_win', 'That\'s the best the Empire has? Pathetic.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_1.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_1.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_1.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_1.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_1.stf', '9', 'battle_abandoned', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_1.stf', '10', 'battle_started', 'Lets show these fools how it\'s really done. Attack pattern V!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_1.stf', '11', 'enemies_arrived', 'Greetings pilot, enemy presence is confirmed at the correct coordinates. Proceed as planned.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_1.stf', '12', 'enemies_remain', 'Tactical Computer: < Sensors show enemy target terminated. %DI enemy targets remain. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_1.stf', '13', 'enemies_win', 'Pull out, pull out! We can\'t w.. this! Reg..up n..');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_1.stf', '14', 'found_loc', 'Proceed to these coordinates and join up with us, on the double!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_1.stf', '15', 'quest_findbattle_d', 'The coordinates to the Imperial training area should now be in your nav computer. Approach with care but be swift, the rest of the squad will join up with you near these coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_1.stf', '16', 'quest_findbattle_t', 'Imperial training area.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_1.stf', '17', 'quest_helpallies_d', 'Show the rest of the squad that you belong here pilot. Assist them in decimating the Imperial fools!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_1.stf', '18', 'quest_helpallies_t', 'Attack the Imperial scum!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_1.stf', '19', 'quest_location_d', 'The Dathomir system is always considered a high-risk system. It\'s extremely well guarded by the Empire and only the craziest or best pilots not belonging to the Empire travels there, which makes it even more dangerous. To make it worse, you\'re heading in to Imperial areas.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_1.stf', '20', 'quest_location_t', 'Dathomir system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_1.stf', '21', 'quest_update', 'Crimson Phoenix Squadron Leader: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_1.stf', '22', 'split_quest_alert', 'General Ufwol: < The Empire is scattering their forces. Lets drive the nail in further, stand by for assignments. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_1.stf', '23', 'split_quest_alert_fail', 'General Ufwol: < You need to get out of there! We\'re uploading the pre-planned escape route to your nav computer now. Get ready to move! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_1.stf', '24', 'title', 'Dathomir system: Attack the Empires advanced fighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_1.stf', '25', 'title_d', 'The Empire is testing out some of their new ships, lets give them a training they won\'t forget.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_3.stf', '1', 'allies_arrived', 'Our fighter squadron has arrived, join up as fast as you can.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_3.stf', '2', 'allies_remain', 'Rebel Pilot: < Phew that was a close one! Alright, now I just need to shake this...ack! Nooo... >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_3.stf', '3', 'allies_win', 'Good job, pull back for a breather. The bomber squadron will take it from here.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_3.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_3.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_3.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_3.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_3.stf', '8', 'battle_abandoned', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_3.stf', '9', 'battle_started', 'It\'s time men, give them all you got!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_3.stf', '10', 'enemies_arrived', 'Your task here is to pave the way for our bombers through their fighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_3.stf', '11', 'enemies_remain', 'Tactical Computer: < Sensors show enemy target terminated. %DI enemy targets remain. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_3.stf', '12', 'enemies_win', 'I\'m giving the bombers an abort order, we are taking too heavy losses!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_3.stf', '13', 'found_loc', 'Proceed to these coordinates pilot, the rest of the squadron will meet you there.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_3.stf', '14', 'quest_findbattle_d', 'These are the coordinates of attack. The rest of the squadron will meet you close to this location. Make your way there with haste.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_3.stf', '15', 'quest_findbattle_t', 'Coordinates of attack.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_3.stf', '16', 'quest_helpallies_d', 'With the rest of the squadron, take out the fighter defense of the Imperial space station so that our bombers can make it through.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_3.stf', '17', 'quest_helpallies_t', 'Destroy the ships fighter defense.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_3.stf', '18', 'quest_location_d', 'We are not sure why the Empire has such a large part of their navy stationed in the Endor system but it makes it a dangerous place for us. It\'s our hope that there\'s so many of them here because they are manufacturing these new advanced TIE\'s in this system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_3.stf', '19', 'quest_location_t', 'Endor system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_3.stf', '20', 'quest_update', 'General Ufwol: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_3.stf', '21', 'split_quest_alert', 'General Ufwol: < I have intel data incoming, stand by for further orders. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_3.stf', '22', 'split_quest_alert_fail', 'General Ufwol: < Blast! The Empire has launched a bomber wing toward one of our frigates that are trying to pull out of the area. Stand by for new orders. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_3.stf', '23', 'title', 'Endor system: Defeat Imperial space station guard.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_3.stf', '24', 'title_d', 'Unfortunately examining the stolen TIE Oppressor didn\'t give us any useful information about its origin. A lot of these new prototype ships have been deployed in the Endor system though so it\'s our suspicion that they may be manufactured there. We are about to launch a attack on one of the Imperial outposts in the system and Crimson Phoenix have been ordered to help clean out the base defensive fighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_4_b.stf', '1', 'allies_arrived', 'The rest of the squadron is here, join up with them quickly and prepare to attack.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_4_b.stf', '2', 'allies_remain', 'Rebel Pilot: < My ship is falling apart, I need help! They are all ove... >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_4_b.stf', '3', 'allies_win', 'And that my friends is why we are considered the best of the best. I\'m proud of you all.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_4_b.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_4_b.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_4_b.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_4_b.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_4_b.stf', '8', 'battle_abandoned', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_4_b.stf', '9', 'battle_started', 'Remember your training men and as some people would say, may the force be with you. Attack!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_4_b.stf', '10', 'enemies_arrived', 'We have confirmed the enemies presence in this area.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_4_b.stf', '11', 'enemies_remain', 'Tactical Computer: < Sensors show enemy target terminated. %DI enemy targets remain. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_4_b.stf', '12', 'enemies_win', 'Retreat, retreat! Those new ships are beasts, we need to come up with new strategies before we try this again.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_4_b.stf', '13', 'found_loc', 'One of Nym\'s smugglers spotted the new TIE ship in this area. We\'re sending in the rest of the squadron to assist you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_4_b.stf', '14', 'quest_findbattle_d', 'The squadron will rally close to these coordinates and attack the enemy forces. Proceed to there with haste but use caution.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_4_b.stf', '15', 'quest_findbattle_t', 'Battle coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_4_b.stf', '16', 'quest_helpallies_d', 'Show these Imperial scum that the Crimson Phoenix fear no one, eliminate all of their forces in the area!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_4_b.stf', '17', 'quest_helpallies_t', 'The Crimson Phoenix attacks.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_4_b.stf', '18', 'quest_location_d', 'You know the drill in the Dathomir system, extreme caution at all times. The target of attack is deep inside Imperial territory so be very careful approaching it, we don\'t want to lead more enemies over to the battle.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_4_b.stf', '19', 'quest_location_t', 'Dathomir system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_4_b.stf', '20', 'quest_update', 'General Ufwol: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_4_b.stf', '21', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_4_b.stf', '22', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_4_b.stf', '23', 'title', 'Dathomir system: Defeat one of the Empires experimental ships.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_rebel_tier4_4_b.stf', '24', 'title_d', 'We have found another of the new ships that you just encountered. Seeing how they were so dangerous, we are sending the squadron to assist you in bringing it down. We will keep monitoring it during the battle to try and find out as much as we can about it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_station_hutt_palace_access_quest_3.stf', '1', 'allies_arrived', 'To any nearby Valarian pilots! We have been ambushed and need assistance quickly! Our coordinates are...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_station_hutt_palace_access_quest_3.stf', '2', 'allies_remain', 'Valarian Smuggler: < Ahh! My ship is falling apart! Eje... >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_station_hutt_palace_access_quest_3.stf', '3', 'allies_win', 'Thank you pilot, I thought I was done for!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_station_hutt_palace_access_quest_3.stf', '4', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_station_hutt_palace_access_quest_3.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_station_hutt_palace_access_quest_3.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_station_hutt_palace_access_quest_3.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_station_hutt_palace_access_quest_3.stf', '8', 'battle_started', 'Here they come! We will try to hold out for as long as we can but we need help now!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_station_hutt_palace_access_quest_3.stf', '9', 'enemies_arrived', 'They are right on top of us! Please, someone, we need help!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_station_hutt_palace_access_quest_3.stf', '10', 'enemies_remain', 'Valarian Smuggler: < Haha! Take that you Hutt scum! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_station_hutt_palace_access_quest_3.stf', '11', 'enemies_win', 'Pull out of there pilot! That battle is lost!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_station_hutt_palace_access_quest_3.stf', '12', 'found_loc', '...eavy attack! We n... hel... Heading for th... coor...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_station_hutt_palace_access_quest_3.stf', '13', 'quest_findbattle_d', 'The Valarian smugglers are trying to make it to these coordinates in hope that someone will assist them there. Get over there quickly before they are annihilated.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_station_hutt_palace_access_quest_3.stf', '14', 'quest_findbattle_t', 'Ambush coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_station_hutt_palace_access_quest_3.stf', '15', 'quest_helpallies_d', 'Although it doesn\'t look like Hortrix is part of the ambush force, you should assist the smugglers and save them from the Hutt scum.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_station_hutt_palace_access_quest_3.stf', '16', 'quest_helpallies_t', 'Save the smugglers.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_station_hutt_palace_access_quest_3.stf', '17', 'quest_location_d', 'If you\'re a enemy of the Empire, the Yavin system should be considered very dangerous as they are widespread through out the system. There\'s also a number of smugglers, bounty hunters and pirates trying to scavenge parts of the large debris field in the system and they are not afraid to prey on targets of opportunity.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_station_hutt_palace_access_quest_3.stf', '18', 'quest_location_t', 'Yavin system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_station_hutt_palace_access_quest_3.stf', '19', 'quest_update', 'Valarian smuggler: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_station_hutt_palace_access_quest_3.stf', '20', 'split_quest_alert', 'Tactical Computer: < Scans show ship signature of vessel Scythe IV. Registered owner: Chiss male known as Hortrix Steelarm. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_station_hutt_palace_access_quest_3.stf', '21', 'split_quest_alert_fail', 'Tactical Computer: < Scans show ship signature of vessel Scythe IV. Registered owner: Chiss male known as Hortrix Steelarm. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_station_hutt_palace_access_quest_3.stf', '22', 'title', 'Yavin system: Save the Valarian smugglers.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/tatooine_station_hutt_palace_access_quest_3.stf', '23', 'title_d', 'Hortrix Steelarm has planned a ambush on some Valarian smugglers in the Yavin system and your employer think he knows here. Just as he\'s about to give you the coordinates you receive a distress call from one of the smugglers, the ambush is already taking place!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/test_space_battle.stf', '1', 'actually_you_suck', 'U suxxor.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/test_space_battle.stf', '2', 'allies_arrived', 'The TIE fighters have exited lightspeed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/test_space_battle.stf', '3', 'allies_remain', ' \\#pcontrast3 Tactical Computer: < \\#pcontrast1 %DI allies remain. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/test_space_battle.stf', '4', 'allies_win', 'The Rebels have been defeated.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/test_space_battle.stf', '5', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/test_space_battle.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/test_space_battle.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/test_space_battle.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/test_space_battle.stf', '9', 'battle_abandoned', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/test_space_battle.stf', '10', 'battle_started', 'Let\'s get ready to ruuuumble!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/test_space_battle.stf', '11', 'die', 'Waste the rebs! DIE!@#$@');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/test_space_battle.stf', '12', 'enemies_arrived', 'The Rebels are here! Prepare for their attack!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/test_space_battle.stf', '13', 'enemies_remain', ' \\#pcontrast3 Tactical Computer: < \\#pcontrast1 %DI enemies remain. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/test_space_battle.stf', '14', 'enemies_win', 'You\'ve sustained too many loses. Retreat!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/test_space_battle.stf', '15', 'found_loc', 'The Rebels will be here soon! We\'re dispatching a group of TIE fighters to assist you. Head to your new waypoint to meet them.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/test_space_battle.stf', '16', 'gonna_kill_u', 'I\'m gonna kill u Rebs.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/test_space_battle.stf', '17', 'lets_go', 'Let\'s go, punk.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/test_space_battle.stf', '18', 'no_you_suck', 'East Side!!!!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/test_space_battle.stf', '19', 'quest_findbattle_d', '3');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/test_space_battle.stf', '20', 'quest_findbattle_t', '3');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/test_space_battle.stf', '21', 'quest_helpallies_d', '4');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/test_space_battle.stf', '22', 'quest_helpallies_t', '4');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/test_space_battle.stf', '23', 'quest_location_d', '2');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/test_space_battle.stf', '24', 'quest_location_t', '2');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/test_space_battle.stf', '25', 'quest_update', ' \\#pcontrast3 Imperial Command: < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/test_space_battle.stf', '26', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/test_space_battle.stf', '27', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/test_space_battle.stf', '28', 'title', 'Destroy the Rebels!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/test_space_battle.stf', '29', 'title_d', '1');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/space_battle/test_space_battle.stf', '30', 'you_suck', 'West side!!!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_2_a.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_2_a.stf', '2', 'arrived_at_loc', 'Stand by to begin your transmission. Once that starts prepare for Nym\'s pirates to storm in. You will have to stay in the area until the entire broadcast is complete in order to get everyones attention.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_2_a.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_2_a.stf', '4', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Incoming enemy fighters.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_2_a.stf', '5', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_2_a.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_2_a.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_2_a.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_2_a.stf', '9', 'first_attack', 'Looks like you got the pirates attention. Defend yourself but do not leave the area.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_2_a.stf', '10', 'found_loc', 'This is the location from which you should broadcast. This should get all of Nym\'s attention.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_2_a.stf', '11', 'mission_complete', 'Broadcast complete. Interception of pirate chatter shows that you did gather alot of attention.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_2_a.stf', '12', 'outofrange', 'You have moved to far away from location to broadcast correctly. Move back in range immediately.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_2_a.stf', '13', 'outofrange_failed', 'Broadcast ceased. Interception of pirate chatter shows that you failed to gather much attention.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_2_a.stf', '14', 'quest_defendpoint_d', 'Once you have started it is important that you completely finish the entire broadcast in order to reach the maximum number of Nym\'s vessels. Protect yourself from any incoming fighters but do not leave the region until it is completed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_2_a.stf', '15', 'quest_defendpoint_t', 'Defend the Broadcast Location');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_2_a.stf', '16', 'quest_location_d', 'The perfect broadcast point has been located in the Yavin system. It will reach the maximum number of Nym\'s ships. Unfortunately this means it also has the maximum amount of risk because there will be more vessels coming to investigate.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_2_a.stf', '17', 'quest_location_t', 'Remain in Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_2_a.stf', '18', 'quest_reachpoint_d', 'Travel to the navigaiton waypoint supplied to you and wait until the broadcast begins.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_2_a.stf', '19', 'quest_reachpoint_t', 'Start the Broadcast Operation');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_2_a.stf', '20', 'quest_update', '\\#pcontrast1 Black Epsilon Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_2_a.stf', '21', 'split_quest_alert', 'The captured Hutt smuggler has been refit and set up on autopilot. We are going to fly it through Nym\'s space. Your fighter should be masked sufficently by the larger smuggler vessel that you will be able to strike at the pirates as they investigate the smuggler. This should convince Nym that the Hutts are behind all this.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_2_a.stf', '22', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_2_a.stf', '23', 'title', 'Yavin System: Broadcasting in Nym\'s Space');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_2_a.stf', '24', 'title_d', 'The next stage of the plan is to move into an area that the Hutts and Nym have agreed belongs to Nym. Once in this region you will begin transmitting Hutt signals. This will cause Nym to send his men in to investigate why a Hutt vessel is in his area. You are then to destroy as many of Nym\'s men as you can while continueing to broadcast. When enough of Nym\'s men have heard the broadcast, they should be very aggrevated and quite confused as to what the Hutts are doing.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_2_a.stf', '25', 'trans_update', 'Transmission Update: <%DI percent of broadcast completed.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_2_a.stf', '26', 'transmission_received', 'Transmission Update: <Broadcast across Nym\'s space is completed. Stand by for further instructions.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_2_a.stf', '27', 'transmission_start', 'Transmission Update: <Beginning broadcast on Hutt frequency.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_4e.stf', '1', 'arrived_at_loc', 'You are at the survival location');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_4e.stf', '2', 'assigned_delayed', 'Go to this location and defeat all attackers.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_4e.stf', '3', 'attack_notify', 'Fighter wave incoming');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_4e.stf', '4', 'attack_stopped', 'Wave is defeated');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_4e.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_4e.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_4e.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_4e.stf', '8', 'first_attack', 'It has begun');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_4e.stf', '9', 'found_loc', 'Wayping updated');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_4e.stf', '10', 'mission_complete', 'Mission is a success');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_4e.stf', '11', 'outofrange', 'You are moving out of range, return to the waypoint.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_4e.stf', '12', 'outofrange_failed', 'You have failed for moving too far.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_4e.stf', '13', 'quest_defendpoint_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_4e.stf', '14', 'quest_defendpoint_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_4e.stf', '15', 'quest_location_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_4e.stf', '16', 'quest_location_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_4e.stf', '17', 'quest_reachpoint_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_4e.stf', '18', 'quest_reachpoint_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_4e.stf', '19', 'quest_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_4e.stf', '20', 'split_quest_alert', 'Splitquest warning');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_4e.stf', '21', 'title', 'Survival');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_4e.stf', '22', 'title_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_4e.stf', '23', 'trans_update', '%DI/600 Seconds have passed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_4e.stf', '24', 'transmission_received', 'Timer is compleated.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_4e.stf', '25', 'transmission_start', 'The transmission has begun.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_4_b.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_4_b.stf', '2', 'arrived_at_loc', 'Stand by at this location. Nym\'s pirates are on an interception course.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_4_b.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_4_b.stf', '4', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters incoming.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_4_b.stf', '5', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_4_b.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_4_b.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_4_b.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_4_b.stf', '9', 'first_attack', 'Keep your eyes peeled. Enemy fighters are heading right at you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_4_b.stf', '10', 'found_loc', 'Travel to the location supplied to your navigation computer. This is far enough away that Nym\'s fighters will not be able to make it back to protect their freighters until it is too late.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_4_b.stf', '11', 'mission_complete', 'Our mission was a complete success. Nym\'s smuggler fleet has been sustained heavy loses.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_4_b.stf', '12', 'outofrange', 'You have moved out of optimum target range. Return immediately.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_4_b.stf', '13', 'outofrange_failed', 'Nym\'s pirates have called off their attack on you and have returned to protect their smuggler fleet. Operation is a failure. Report in to your superior.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_4_b.stf', '14', 'quest_defendpoint_d', 'It will take some time for the fighters guarding the freighters to receive the transmission so you will have to remain at that point until they are committed. Remain by the transmission point but you will need to defend yourself to the upmost from all the attention you will receive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_4_b.stf', '15', 'quest_defendpoint_t', 'Defend the Transmission Point');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_4_b.stf', '16', 'quest_location_d', 'The designated transmission point will be supplied to your navigaiton computer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_4_b.stf', '17', 'quest_location_t', 'Remain in the Lok System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_4_b.stf', '18', 'quest_reachpoint_d', 'Travel to the transmission point and wait for the broadcast to begin. With any luck Nym\'s fighters will be drawn to you like moths to a flame.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_4_b.stf', '19', 'quest_reachpoint_t', 'Travel to the Transmission Point');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_4_b.stf', '20', 'quest_update', '\\#pcontrast1 Black Epsilon Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_4_b.stf', '21', 'split_quest_alert', 'Nym has been sent a message and it is time for you to put the period on it. Nym recieved a gift from his Rebel friends in the form of a ship. Your assignment is to destoy that ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_4_b.stf', '22', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_4_b.stf', '23', 'title', 'Lok System: Getting Nym\'s Attention');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_4_b.stf', '24', 'title_d', 'Black Epsilon wants to get a crack at bombing Nym\'s freighters. They are heavily guarded but if you were to draw off the fighters we would be able to launch our attack. You are to begin a transmission of your presence far from the freighter fleet. You will have to remain in that area for a long time in order to get the attention of Nym\'s fighters. You will most likely get alot of attention but with any luck you will be able to pull the escorts away from the freighters and we can hit that fleet with our bombers.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_4_b.stf', '25', 'trans_update', 'Mission Update: <Bomber group %DI percent of the way to Nym\'s smuggler fleet.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_4_b.stf', '26', 'transmission_received', 'Mission Update: <Bombers attacking Nym\'s smuggler fleet. Mission successful.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier3_4_b.stf', '27', 'transmission_start', 'Mission Update: <Bombers are beginning to make their attack run.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier4_1_b.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier4_1_b.stf', '2', 'arrived_at_loc', 'You have arrived at the location. Tune into the frequency and stand by to see if you start receiving a signal.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier4_1_b.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier4_1_b.stf', '4', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Alert! Enemy vessels detecting incoming at attack speeds.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier4_1_b.stf', '5', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy wave eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier4_1_b.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier4_1_b.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier4_1_b.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier4_1_b.stf', '9', 'first_attack', 'Be on the alert, pilot. Enemy fighters are heading your way at attack speeds. Remain around your current location until that transmission is completed. We have to know what it says.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier4_1_b.stf', '10', 'found_loc', 'Coordinates loaded into your nav computer. Proceed to location and see if you can locate a signal.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier4_1_b.stf', '11', 'mission_complete', 'The transmission has been completed. Return to home base and see if your superior can make sense out of it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier4_1_b.stf', '12', 'outofrange', 'You have lost the signal. Return to the transmission location immediately.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier4_1_b.stf', '13', 'outofrange_failed', 'You were unable to reestablish a transmission link. Report back to your commanding officer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier4_1_b.stf', '14', 'quest_defendpoint_d', 'Remain at the location until you completely receive the message. If the Velocity are watching this location you can expect company. Do not leave the area until you have the message. Once you have this information report back to Insurgent.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier4_1_b.stf', '15', 'quest_defendpoint_t', 'Defend the Transmission Point');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier4_1_b.stf', '16', 'quest_location_d', 'The location is inside the Dantooine system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier4_1_b.stf', '17', 'quest_location_t', 'Remain in the Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier4_1_b.stf', '18', 'quest_reachpoint_d', 'Once you have arrived at the location wait to tune into the frequency and see what you can pick up.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier4_1_b.stf', '19', 'quest_reachpoint_t', 'Begin to Tap into Enemy Communication');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier4_1_b.stf', '20', 'quest_update', '\\#pcontrast1 Black Epsilon Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier4_1_b.stf', '21', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier4_1_b.stf', '22', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier4_1_b.stf', '23', 'title', 'Dantooine System: Tap into Enemy Communications');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier4_1_b.stf', '24', 'title_d', 'The location and frequency discoverd on the captain\'s fighter must be investigated. Travel to the location and tune into the frequency to see what you can find out.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier4_1_b.stf', '25', 'trans_update', 'Transmission Update: <%DI percent of the transmission downloaded.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier4_1_b.stf', '26', 'transmission_received', 'Transmission Update: <Transmission Received. It would seem all the mercenary fighters are to continue their harassment of Imperial interests in this sector until further notified.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_imperial_tier4_1_b.stf', '27', 'transmission_start', 'Transmission Update: <We have located some chatter on the frequency indicated in the officer\'s records. Beginning to download transmission.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_privateer_tier3_2_a.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_privateer_tier3_2_a.stf', '2', 'arrived_at_loc', '\\#pcontrast3 CorSec Command: < \\#pcontrast1 Enemy ships dropping out of hyperspace.  Stay at this location at all costs \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_privateer_tier3_2_a.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_privateer_tier3_2_a.stf', '4', 'attack_notify', ' \\#pcontrast3 Tactical Computer: < \\#pcontrast1 Enemy ships detected on attack vector. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_privateer_tier3_2_a.stf', '5', 'attack_stopped', ' \\#pcontrast3 Tactical Computer: < \\#pcontrast1 Scanning... No enemies detected in system. Scanning ... \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_privateer_tier3_2_a.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_privateer_tier3_2_a.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_privateer_tier3_2_a.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_privateer_tier3_2_a.stf', '9', 'first_attack', ' \\#pcontrast3 Tactical Computer: < \\#pcontrast1 Hyperspace surge detected. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_privateer_tier3_2_a.stf', '10', 'found_loc', '\\#pcontrast3 CorSec Command: < \\#pcontrast1 Excellent, the counter attack has been scrambled.  Go to this position, it will cause the attack craft to make multiple jumps and stagger the assault. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_privateer_tier3_2_a.stf', '11', 'mission_complete', '\\#pcontrast3 CorSec Command: < \\#pcontrast1 That appears to be the last of them. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_privateer_tier3_2_a.stf', '12', 'outofrange', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 You are leaving the ambush area, stay on target. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_privateer_tier3_2_a.stf', '13', 'outofrange_failed', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 The Black Sun have detected our movements and are breaking the ambush, our mission has failed. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_privateer_tier3_2_a.stf', '14', 'quest_defendpoint_d', 'You must survive the onslaught over a period of several minutes');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_privateer_tier3_2_a.stf', '15', 'quest_defendpoint_t', 'Survive');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_privateer_tier3_2_a.stf', '16', 'quest_location_d', 'An area of near disorder near the planet of Dathomir');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_privateer_tier3_2_a.stf', '17', 'quest_location_t', 'Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_privateer_tier3_2_a.stf', '18', 'quest_reachpoint_d', 'Travel to this point for the confrontation, it will keep the whole attacking fleet from assaulting at once');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_privateer_tier3_2_a.stf', '19', 'quest_reachpoint_t', 'Battlepoint');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_privateer_tier3_2_a.stf', '20', 'quest_update', '\\#pcontrast3 < \\#pcontrast1%TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_privateer_tier3_2_a.stf', '21', 'split_quest_alert', '\\#pcontrast3 CorSec Command: < \\#pcontrast1 We\'re very impressed! Good work, pilot. Now that we have the weapons, we need get them to the proper facilities. We have a Lancer on its way out to meet you. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_privateer_tier3_2_a.stf', '22', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_privateer_tier3_2_a.stf', '23', 'title', 'Dathomir System: Survive the Black Sun Assault');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_privateer_tier3_2_a.stf', '24', 'title_d', 'Survive against the Black Sun assault');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_privateer_tier3_2_a.stf', '25', 'trans_update', 'Hang in there Pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_privateer_tier3_2_a.stf', '26', 'transmission_received', '\\#pcontrast3 CorSec Command: < \\#pcontrast1 We are detecting no more hyperspace surges. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_privateer_tier3_2_a.stf', '27', 'transmission_start', '\\#pcontrast3 CorSec Command: < \\#pcontrast1 The assault waves are on your position now! \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_privateer_tier3_4_a.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_privateer_tier3_4_a.stf', '2', 'arrived_at_loc', '\\#pcontrast3 CorSec Command: < \\#pcontrast1 This really doesn\'t look good. I suspect enemy ships to show up at any moment. Keep an eye out. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_privateer_tier3_4_a.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_privateer_tier3_4_a.stf', '4', 'attack_notify', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Enemy craft detected on attack vector \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_privateer_tier3_4_a.stf', '5', 'attack_stopped', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Hostile activities have ceased \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_privateer_tier3_4_a.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_privateer_tier3_4_a.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_privateer_tier3_4_a.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_privateer_tier3_4_a.stf', '9', 'first_attack', '\\#pcontrast3 CorSec Command: < \\#pcontrast1 Enemy ships coming in weapons armed.  We\'re counting on you, Captain \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_privateer_tier3_4_a.stf', '10', 'found_loc', '\\#pcontrast3 CorSec Command: <  \\#pcontrast1 Okay. We\'ve detected suspicious activity in Sector H-910. Go check it out and report back to us. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_privateer_tier3_4_a.stf', '11', 'mission_complete', 'Mission Success! Continue with further objectives.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_privateer_tier3_4_a.stf', '12', 'outofrange', 'Tactical Computer: < Warning! Warning! Objective too far away! Warning! Warning! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_privateer_tier3_4_a.stf', '13', 'outofrange_failed', 'Mission Failure! Objective out of range! Return to your superior for further instructions.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_privateer_tier3_4_a.stf', '14', 'quest_defendpoint_d', 'Defend from the attacking waves');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_privateer_tier3_4_a.stf', '15', 'quest_defendpoint_t', 'Assault Point');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_privateer_tier3_4_a.stf', '16', 'quest_location_d', 'Area of high hyperspace activity');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_privateer_tier3_4_a.stf', '17', 'quest_location_t', 'Endor System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_privateer_tier3_4_a.stf', '18', 'quest_reachpoint_d', 'Large hyperspace surges detected in this area');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_privateer_tier3_4_a.stf', '19', 'quest_reachpoint_t', 'Suspicious Activity');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_privateer_tier3_4_a.stf', '20', 'quest_update', '\\#pcontrast3 < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_privateer_tier3_4_a.stf', '21', 'split_quest_alert', '\\#pcontrast3 CorSec Command: < Good work, Captain. We are tracking one or more Tyrants not far from your location.  Try to disable one and recover any information that may help us with our pirate hunting. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_privateer_tier3_4_a.stf', '22', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_privateer_tier3_4_a.stf', '23', 'title', 'Endor System: Survive the Evil Raider Assault');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_privateer_tier3_4_a.stf', '24', 'title_d', 'Survive the retributive assault from the Evil Raiders');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_privateer_tier3_4_a.stf', '25', 'trans_update', '\\#pcontrast3 CorSec Command: < \\#pcontrast1 Captain! You have to win this mission. Be careful and keep an eye out for attack! \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_privateer_tier3_4_a.stf', '26', 'transmission_received', '\\#pcontrast3 CorSec Command: < \\#pcontrast1 The data has been sent! \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_privateer_tier3_4_a.stf', '27', 'transmission_start', '\\#pcontrast3 CorSec Command: < \\#pcontrast1 Stay in the area as you relay the hyperspace activity back to us.  More Raiders are on their way so be ready. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier3_2_b.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier3_2_b.stf', '2', 'arrived_at_loc', 'You have arrived at the intercept coordinates. I hope you\'re as good as I think, this will get rough.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier3_2_b.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier3_2_b.stf', '4', 'attack_notify', 'Tactical Computer: < Incoming fighter vessels. Scans show weapons armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier3_2_b.stf', '5', 'attack_stopped', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier3_2_b.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier3_2_b.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier3_2_b.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier3_2_b.stf', '9', 'first_attack', 'Here they come! May the force be with you pilot, you will need it...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier3_2_b.stf', '10', 'found_loc', 'Uploaded intercept coordinates to your nav computer. Hurry there pilot, our fighters are all busy guarding their assigned routes!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier3_2_b.stf', '11', 'mission_complete', 'Amazing, I didn\'t think you could do it. Get out of there, we are safe in this nebula for now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier3_2_b.stf', '12', 'outofrange', 'Rebel Fleet Command: < You are moving too far away from the intercept coordinates, bombers will slip through! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier3_2_b.stf', '13', 'outofrange_failed', 'Rebel Fleet Command: < The fighters are upon us, you let them slip through! We are under atta.. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier3_2_b.stf', '14', 'quest_defendpoint_d', 'The fleet is starting its relocation. They will need approximately ten minutes to reach safety. Hang in there and good luck pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier3_2_b.stf', '15', 'quest_defendpoint_t', 'Fleet moving.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier3_2_b.stf', '16', 'quest_location_d', 'The Endor system is still mostly uncharted to us but we have managed to find a nebula that we hope to hide our fleet in while they are repairing.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier3_2_b.stf', '17', 'quest_location_t', 'Endor system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier3_2_b.stf', '18', 'quest_reachpoint_d', 'You are at the correct coordinates. Don\'t let any Imperial ships get through you to the fleet.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier3_2_b.stf', '19', 'quest_reachpoint_t', 'Your sector.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier3_2_b.stf', '20', 'quest_update', 'Rebel Fleet Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier3_2_b.stf', '21', 'split_quest_alert', 'Rebel Fleet Command: < A straggling freighter of ours are arriving out our old location. You need to get over there and escort him to us without being detected. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier3_2_b.stf', '22', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier3_2_b.stf', '23', 'title', 'Endor system: Prevent Imperial fighters from reaching the fleet in the Endor system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier3_2_b.stf', '24', 'title_d', 'Our fleet in the Endor system has been spotted and the Empire is sending fighters and bombers our way! We are trying to fight them off but are spread out too thin. You are assigned a sector to protect from any Imperial ships passing through while our fleet move to a new hiding spot. Hurry!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier3_2_b.stf', '25', 'trans_update', 'Tactical Computer: < %DI percent of the fleet has escaped in to the nebula. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier3_2_b.stf', '26', 'transmission_received', 'Rebel Fleet Command: < Almost the entire fleet are in the nebula, hold out for just a few more seconds pilot! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier3_2_b.stf', '27', 'transmission_start', 'Rebel Fleet Command: < We are moving in to a nearby nebula to hide. We need ten minutes! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier3_4_d.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier3_4_d.stf', '2', 'arrived_at_loc', 'You are at your designated coordinates, don\'t let any enemies pass you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier3_4_d.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier3_4_d.stf', '4', 'attack_notify', 'Tactical Computer: < Incoming fighter vessels. Scans show weapons armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier3_4_d.stf', '5', 'attack_stopped', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier3_4_d.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier3_4_d.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier3_4_d.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier3_4_d.stf', '9', 'first_attack', 'Here they come pilot, get ready and may the force be with you my friend!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier3_4_d.stf', '10', 'found_loc', 'The enemy is launching several last attacks on our fleet. I\'m assigning you to intercept one of their wings at these coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier3_4_d.stf', '11', 'mission_complete', 'Fantastic job pilot! We are the last ship to jump and we have had no capital ship losses thanks to you and the other fighter pilots.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier3_4_d.stf', '12', 'outofrange', 'The enemy will slip by, get back to the intercept point pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier3_4_d.stf', '13', 'outofrange_failed', 'We are losing capital ships, bombers slipped by you, get out of there pilot, we are launching with what we have left!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier3_4_d.stf', '14', 'quest_defendpoint_d', 'Don\'t let any enemy ships pass you by. This will be extremely difficult and I wish I could send you more backup but our fighters are spread thin protecting their assigned spots. Good luck pilot, we depend on you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier3_4_d.stf', '15', 'quest_defendpoint_t', 'Defend the assigned area.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier3_4_d.stf', '16', 'quest_location_d', 'We are getting ready to leave the Endor system. Our fleet is moving out of the nebula to the location where they initiate their jump to lightspeed. Unfortunately Imperial ships noticed them as soon as they started moving and they are launching an attack with anything they have close enough to get to our fleet in time.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier3_4_d.stf', '17', 'quest_location_t', 'Endor system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier3_4_d.stf', '18', 'quest_reachpoint_d', 'This is the area that you are assigned to protect.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier3_4_d.stf', '19', 'quest_reachpoint_t', 'Your assigned blockade area.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier3_4_d.stf', '20', 'quest_update', 'Rebel Fleet Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier3_4_d.stf', '21', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier3_4_d.stf', '22', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier3_4_d.stf', '23', 'title', 'Endor system: Defend against the Empire\'s last attack.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier3_4_d.stf', '24', 'title_d', 'Our capital ships have finished their repairs and are starting to evacuate. The Empire has pinpointed their location and are launching one last attack. We are assigning you to defend an area in the path of the attacking Imperial ships. Don\'t let anyone get by you!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier3_4_d.stf', '25', 'trans_update', 'Tactical Computer: < %DI % of fleet has performed hyperspace jump. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier3_4_d.stf', '26', 'transmission_received', 'Rebel Fleet Command: < The last of our ships are jumping to lightspeed now, get out of there pilot! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier3_4_d.stf', '27', 'transmission_start', 'Rebel Fleet Command: < We need five minutes to launch all our capital ships to hyperspace. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier4_1.stf', '1', 'arrived_at_loc', 'You are at your assigned sector. If they come your way, you need to hold them off for five minutes!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier4_1.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier4_1.stf', '3', 'attack_notify', 'Tactical Computer: < Incoming fighter vessels. Scans show weapons armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier4_1.stf', '4', 'attack_stopped', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier4_1.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier4_1.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier4_1.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier4_1.stf', '8', 'first_attack', 'I\'m sorry pilot but they seemed to have picked your route. I hope you\'re as good as they say.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier4_1.stf', '9', 'found_loc', 'You have been assigned this location, proceed to there and keep your eyes open for hostiles.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier4_1.stf', '10', 'mission_complete', 'Nym Mining Pilot: < We\'re safe pilot. Good job, we owe you a big one! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier4_1.stf', '11', 'outofrange', 'Worvog Arkon: < You\'re too far from your position, the Black Sun will sneak by you! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier4_1.stf', '12', 'outofrange_failed', 'Nym Mining Pilot: < They are all over us! We\'re taking heavy casaulties! We need he.. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier4_1.stf', '13', 'quest_defendpoint_d', 'Stay close to these coordinates and defeat any enemy ship that come within distance, don\'t let any slip past you before Nym\'s mining vessels have evacuated.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier4_1.stf', '14', 'quest_defendpoint_t', 'Defend the area.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier4_1.stf', '15', 'quest_location_d', 'This area of the Dathomir system is relatively free from hostile encounters but the Black Sun is mounting a large scale attack and they may already be in the area when you arrive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier4_1.stf', '16', 'quest_location_t', 'Dathomir system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier4_1.stf', '17', 'quest_reachpoint_d', 'This is your assigned area to defend. Keep your eye out for any hostile ships.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier4_1.stf', '18', 'quest_reachpoint_t', 'Your defensive coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier4_1.stf', '19', 'quest_update', 'Worvog Arkon: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier4_1.stf', '20', 'split_quest_alert', 'Worvog Arkon: < Thanks to your efforts, the Black Sun is vulnerable. Lets exploit that, stand by for orders. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier4_1.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier4_1.stf', '22', 'title', 'Dathomir system: Stop the Black Sun from reaching mining vessels.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier4_1.stf', '23', 'title_d', 'Nym has asked us to help some of his mining vessels in the Dathomir system escape an oncoming Black Sun attack. Several Alliance and Nym fighters have been stationed at different spots through out the nearby area to cover any incoming Black Sun ships from reaching the mining vessels while they evacuate.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier4_1.stf', '24', 'trans_update', 'Tactical Computer: < %DI percent of friendly fleet has moved to safety. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier4_1.stf', '25', 'transmission_received', 'Tactical Computer: < 100 percent of friendly fleet has moved to safety. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier4_1.stf', '26', 'transmission_start', 'Nym Mining Pilot: < We are beginning to move now, we need about five minutes to get to safety. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier4_3_b.stf', '1', 'arrived_at_loc', 'You have been assigned this location to cover the bombers retreat. Don\'t let anyone pass!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier4_3_b.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier4_3_b.stf', '3', 'attack_notify', 'Tactical Computer: < Incoming fighter vessels. Scans show weapons armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier4_3_b.stf', '4', 'attack_stopped', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier4_3_b.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier4_3_b.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier4_3_b.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier4_3_b.stf', '8', 'first_attack', 'We see multiple bandits incoming towards you. Good luck pilot, we\'re counting on you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier4_3_b.stf', '9', 'found_loc', 'Get over to this location quickly and cover our bombers retreat pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier4_3_b.stf', '10', 'mission_complete', 'Worvog Arkon: < All the Rebel bombers have left the sector. You amaze me pilot, didn\'t think anyone could survive that assault. Head back to base. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier4_3_b.stf', '11', 'outofrange', 'Worvog Arkon: < You are too far away from your assigned sector, the Imperial fighters will slip by you! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier4_3_b.stf', '12', 'outofrange_failed', 'Worvog Arkon: < We\'re losing squads all over the place up there! Get out of there while you still can pilot! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier4_3_b.stf', '13', 'quest_defendpoint_d', 'Stay close to these coordinated and don\'t let any hostile ships get past you. We will inform you when our bombers are safe. Good luck pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier4_3_b.stf', '14', 'quest_defendpoint_t', 'Defend these coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier4_3_b.stf', '15', 'quest_location_d', 'We are aware that you are asked to do this in a very hostile sector of the Dathomir system but it is our hope that you will prevail.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier4_3_b.stf', '16', 'quest_location_t', 'Dathomir system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier4_3_b.stf', '17', 'quest_reachpoint_d', 'Fly to this area immediately and cover the Alliance B-Wings retreat.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier4_3_b.stf', '18', 'quest_reachpoint_t', 'Assigned area.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier4_3_b.stf', '19', 'quest_update', 'Worvog Arkon: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier4_3_b.stf', '20', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier4_3_b.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier4_3_b.stf', '22', 'title', 'Dathomir system: Cover the Rebel bombers retreat.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier4_3_b.stf', '23', 'title_d', 'After the failed attack on the space stations defenses, we need to retreat out of the area. The Empire is sending fighters to intercept our bombers and your orders are to cover their retreat.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier4_3_b.stf', '24', 'trans_update', 'Worvog Arkon: < %DI percent of the Rebel bombers have escaped the sector. Hang in there my friend, fight them off! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier4_3_b.stf', '25', 'transmission_received', 'Worvog Arkon: < The last of the B-Wing squadrons are jumping to hyperspeed, we didn\'t suffer a single loss! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_rebel_tier4_3_b.stf', '26', 'transmission_start', 'Worvog Arkon: < We\'re estimating that the Rebel B-Wings need about 8 minutes to hyperspace out safely. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_tier2_final.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_tier2_final.stf', '2', 'arrived_at_loc', ' \\#pcontrast3 Black Epsilon Command: < \\#pcontrast1 Enemy ships dropping out of hyperspace.  Stay at this location at all costs \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_tier2_final.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_tier2_final.stf', '4', 'attack_notify', ' \\#pcontrast3 Tactical Computer: < \\#pcontrast1 Enemy ships detected on attack vector. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_tier2_final.stf', '5', 'attack_stopped', ' \\#pcontrast3 Tactical Computer: < \\#pcontrast1 The Rebel attacking craft have been eliminated \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_tier2_final.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_tier2_final.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_tier2_final.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_tier2_final.stf', '9', 'first_attack', ' \\#pcontrast3 Tactical Computer: < \\#pcontrast1 Hyperspace surge detected. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_tier2_final.stf', '10', 'found_loc', 'Excellent, the counter attack has been scrambled.  Go to this position, it will cause the attack craft to make multiple jumps and stagger the assault.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_tier2_final.stf', '11', 'mission_complete', 'The mission is a success, return to base.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_tier2_final.stf', '12', 'outofrange', ' \\#pcontrast3 Tactical Computer: < \\#pcontrast1 You are leaving the ambush area, stay on target. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_tier2_final.stf', '13', 'outofrange_failed', ' \\#pcontrast3 Tactical Computer: < \\#pcontrast1 The Rebels have detected our movements and are breaking the ambush, our mission has failed. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_tier2_final.stf', '14', 'quest_defendpoint_d', 'When you begin jamming the Rebel communications, they will send out fighters to try to destroy you. Defend yourself but do not leave the area until the operation is completed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_tier2_final.stf', '15', 'quest_defendpoint_t', 'Defend the Rebel Communications Relay Point');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_tier2_final.stf', '16', 'quest_location_d', 'Travel to the Corellia system and jam the Rebel communications relay point. Once in the Corellia system you will receive a navigation waypoint to the Rebel communications relay point. Travel to that location and wait for the jamming operation to begin.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_tier2_final.stf', '17', 'quest_location_t', 'Travel to the Corellia System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_tier2_final.stf', '18', 'quest_reachpoint_d', 'Once you have arrived at the navigation waypoint, wait until the jamming operation begins. Once the operation begins, you will need to remain in the area until it completes. You will receive regular updates on how long you have until the operation is over. If you move to far away from the navigation waypoint you will receive a warning message. If you remain outside of the area for to long the mission will fail.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_tier2_final.stf', '19', 'quest_reachpoint_t', 'Start the Jamming Operation');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_tier2_final.stf', '20', 'quest_update', ' \\#pcontrast3 Black Epsilon Command: < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_tier2_final.stf', '21', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_tier2_final.stf', '22', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_tier2_final.stf', '23', 'title', 'Corellia System: Jam the Rebel Communications');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_tier2_final.stf', '24', 'title_d', 'Travel to the Corellia system and jam the Rebel communications relay point. When you enter the Corellia system you will receive a navigation waypoint to the Rebel communications relay point. Travel to this waypoint and wait for the jamming operation to begin. In order to succeed, you need to stay near the navigation waypoint. If you move to far away you will receive a warning message for you to return. Once the jamming operation begins the Rebels will send out fighters to attack you. Defend yourself against attack but do not leave the area until the jamming operation is completed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_tier2_final.stf', '25', 'trans_update', ' \\#pcontrast3 Black Epsilon Command: < \\#pcontrast1 %DI percent of the enemy force has been committed, stay focused \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_tier2_final.stf', '26', 'transmission_received', '\\#pcontrast3 Black Epsilon Command: < \\#pcontrast1 All enemy craft committed. Black Epsilon bombers have been launched.\\#pcontrast1 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_tier2_final.stf', '27', 'transmission_recieved', ' \\#pcontrast3 Black Epsilon Command: < \\#pcontrast1 All enemy craft committed.  Black Epsilon bombers have been launched. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/corellia_tier2_final.stf', '28', 'transmission_start', ' \\#pcontrast3 Black Epsilon Command: < \\#pcontrast1 Enemy ships inbound. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/imperial_ss_02.stf', '1', 'title', 'Intercept the Rebel transmission.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/imperial_ss_02.stf', '2', 'found_loc', 'We\'ve found an ideal location to intercept the Rebel beam-wave transmission. Go there now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/imperial_ss_02.stf', '3', 'arrived_at_loc', 'The Rebel transmission will be easy to intercept here. Don\'t stray too far from this point. The transmission should start at any moment.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/imperial_ss_02.stf', '4', 'transmission_start', ' \\#pcontrast3 Comm Computer: < \\#pcontrast1 Rebel transmission detected. Recording started. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/imperial_ss_02.stf', '5', 'trans_update', ' \\#pcontrast3 Comm Computer: < \\#pcontrast1 %DI% of Rebel transmission received. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/imperial_ss_02.stf', '6', 'transmission_received', ' \\#pcontrast3 Comm Computer: < \\#pcontrast1 100% of transmission received. Checksum validation complete. Transmission is authentic. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/imperial_ss_02.stf', '7', 'mission_complete', 'Good job, return to base with the transmission!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/imperial_ss_02.stf', '8', 'quest_update', ' \\#pcontrast3 Imperial Command: < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/imperial_ss_02.stf', '9', 'outofrange', ' \\#pcontrast3 Comm Computer: < \\#ff0000 Transmission signal fading. Signal is too distant! \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/imperial_ss_02.stf', '10', 'outofrange_failed', ' \\#pcontrast3 Comm Computer: < \\#ff0000 Transmission signal lost! \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/imperial_ss_02.stf', '11', 'first_attack', 'System scans have detected enemy ships at lightspeed moving in your direction. You\'ve been detected. Defend yourself, but get that transmission!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/imperial_ss_02.stf', '12', 'attack_notify', ' \\#pcontrast3 Tactical Computer: < \\#pcontrast1 Enemy ships detected on attack vector. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/imperial_ss_02.stf', '13', 'attack_stopped', ' \\#pcontrast3 Tactical Computer: < \\#pcontrast1 Enemy attack wing has been eliminated. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/imperial_ss_2.stf', '1', 'arrived_at_loc', 'Arrived at scan location. Will begin to intercept transmission shortly.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/imperial_ss_2.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/imperial_ss_2.stf', '3', 'attack_notify', 'Tactical Computer:<Multiple enemy fighters located.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/imperial_ss_2.stf', '4', 'attack_stopped', 'Tactical Computer:<Enemy fighter wind eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/imperial_ss_2.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/imperial_ss_2.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/imperial_ss_2.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/imperial_ss_2.stf', '8', 'first_attack', 'You have been spotted and enemy fighters are on an intercept course. Continue to intercept the transmission at all costs.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/imperial_ss_2.stf', '9', 'found_loc', 'Uploading transmission coordinated to your Nav. Proceed to that point to begin transmission.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/imperial_ss_2.stf', '10', 'mission_complete', 'Transmission successfully intercepted.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/imperial_ss_2.stf', '11', 'outofrange', 'Tactical Computer:<Lost transmission. Return immediately to transmission location to reestablish connection to signal.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/imperial_ss_2.stf', '12', 'outofrange_failed', 'Imperial High Command:<We lost the signal. You didn\'t stay close enough to the broadcast area. Report back to your superior, you have some serious explaining to do.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/imperial_ss_2.stf', '13', 'quest_defendpoint_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/imperial_ss_2.stf', '14', 'quest_defendpoint_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/imperial_ss_2.stf', '15', 'quest_location_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/imperial_ss_2.stf', '16', 'quest_location_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/imperial_ss_2.stf', '17', 'quest_reachpoint_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/imperial_ss_2.stf', '18', 'quest_reachpoint_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/imperial_ss_2.stf', '19', 'quest_update', 'Imperial High Command:<%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/imperial_ss_2.stf', '20', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/imperial_ss_2.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/imperial_ss_2.stf', '22', 'title', 'Intercept Nym\'s Signal');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/imperial_ss_2.stf', '23', 'title_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/imperial_ss_2.stf', '24', 'trans_update', 'Tactical Computer:<%DI minutes until transmission completes.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/imperial_ss_2.stf', '25', 'transmission_received', 'Tactical Computer:<Transmission completed.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/imperial_ss_2.stf', '26', 'transmission_start', 'Tactical Computer:<Signal found. Beginning transmission to HQ.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier2_2.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier2_2.stf', '2', 'arrived_at_loc', 'You have arrived at the transmission location. Stand by to begin tranmission interception.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier2_2.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier2_2.stf', '4', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters detected on an interception course.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier2_2.stf', '5', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighter wave has been elimated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier2_2.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier2_2.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier2_2.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier2_2.stf', '9', 'first_attack', 'You have been spotted by enemy fighters. Hold them off until you have finished recieving that transmission.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier2_2.stf', '10', 'found_loc', 'Optimum transmission location dectected. Proceed to the designated area immediately.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier2_2.stf', '11', 'mission_complete', 'Good work, pilot. We have the Rebel transmission. Return to your superior officer and make a full report.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier2_2.stf', '12', 'outofrange', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Tranmission signal interrupted. Return to the optimum transmission location immediately.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier2_2.stf', '13', 'outofrange_failed', 'We lost the signal! You moved to far away from the transmission location. Report your failure to your superior officer, pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier2_2.stf', '14', 'quest_defendpoint_d', 'When you begin intercepting the Rebel communications, they will send out fighters to try to destroy you. Defend yourself but do not leave the area until the operation is completed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier2_2.stf', '15', 'quest_defendpoint_t', 'Defend the Interception Point');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier2_2.stf', '16', 'quest_location_d', 'Travel to the Dantooine system and intercept the Rebel communications. Once in the Dantooine system, you will receive a navigation waypoint to the Rebel communications relay point. Travel to that location and wait for the interception operation to begin.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier2_2.stf', '17', 'quest_location_t', 'Travel to the Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier2_2.stf', '18', 'quest_reachpoint_d', 'Once you have arrived at the navigation waypoint, wait until the interception operation begins. Once the operation begins, you will need to remain in the area until it completes. You will receive regular updates on how long you have until the operation is over. If you move to far away from the navigation waypoint you will receive a warning message. If you remain outside of the area for to long the mission will fail.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier2_2.stf', '19', 'quest_reachpoint_t', 'Start the Interception of the Rebel Signal');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier2_2.stf', '20', 'quest_update', '\\#pcontrast1 Imperial High Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier2_2.stf', '21', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier2_2.stf', '22', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier2_2.stf', '23', 'title', 'Dantooine System: Intercept the Enemy Signal');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier2_2.stf', '24', 'title_d', 'Travel to the Dantooine system and intercept the Rebel communications. When you enter the Dantooine system you will receive a navigation waypoint to the Rebel communications relay point. Travel to this waypoint and wait for the interception operation to begin. In order to succeed, you need to stay near the navigation waypoint. If you move to far away you will receive a warning message for you to return. Once the interception operation begins the Rebels will send out fighters to attack you. Defend yourself against attack but do not leave the area until the Rebel message is completely received.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier2_2.stf', '25', 'trans_update', 'Transmission Update:<%DI percent of transmission received.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier2_2.stf', '26', 'transmission_received', 'Transmission Update:<Transmission Received.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier2_2.stf', '27', 'transmission_start', 'Transmission Updata:<Signal located. Beginning transmission interception now.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier3_2_a.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier3_2_a.stf', '2', 'arrived_at_loc', 'Hold at your current location. Transmission will begin shortly. Stay near the satellite or we will lose all the data.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier3_2_a.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier3_2_a.stf', '4', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Warning! Incoming enemy fighters.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier3_2_a.stf', '5', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighter wing has been eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier3_2_a.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier3_2_a.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier3_2_a.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier3_2_a.stf', '9', 'first_attack', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Warning! Enemy fighters moving into engage.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier3_2_a.stf', '10', 'found_loc', 'You should have the satellite location in your nav computer. Proceed to that location immediately for data transmission.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier3_2_a.stf', '11', 'mission_complete', 'Mission Completed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier3_2_a.stf', '12', 'outofrange', 'Tranmission Progress:<Signal lost. Satellite out of range. Return to reestablish tranmission.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier3_2_a.stf', '13', 'outofrange_failed', 'We lost the signal! Pilot you have some explaining to do with your superior as to why you left the area and cost us important information.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier3_2_a.stf', '14', 'quest_defendpoint_d', 'Once you have arrived at the location, wait for the transmission to begin. You might attract unwanted attention from those who don\'t want us to get that information, but you will need to remain in the area to make sure that you send a complete transmission.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier3_2_a.stf', '15', 'quest_defendpoint_t', 'Transmit the Logs');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier3_2_a.stf', '16', 'quest_location_d', 'The satellite that command wants you to use is located in the Yavin system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier3_2_a.stf', '17', 'quest_location_t', 'Remain in the Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier3_2_a.stf', '18', 'quest_reachpoint_d', 'Travel to the Nav waypoint given, which will lead you to the Imperial communication satellite.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier3_2_a.stf', '19', 'quest_reachpoint_t', 'Travel to the Satellite');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier3_2_a.stf', '20', 'quest_update', '\\#pcontrast1 Imperial High Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier3_2_a.stf', '21', 'split_quest_alert', 'We have the information from the spy\'s ship. While you are in the sector we need you to pick up some documents on Dr. Shinss\' project to compare against his statement. Location of the delivery vessel has been uploaded to your nav computer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier3_2_a.stf', '22', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier3_2_a.stf', '23', 'title', 'Yavin System: Transmit the Data To Headquarters');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier3_2_a.stf', '24', 'title_d', 'Inquisition command wants that data immediately, but there aren\'t any vessels available to pick it up. You will have to risk transmitting the logs via a satellite. Travel to an Imperial satellite and transmit the data to command.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier3_2_a.stf', '25', 'trans_update', 'Transmission Progress:<%DI percent of transmission sent.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier3_2_a.stf', '26', 'transmission_received', 'Transmission Progress:<Transmission completed. Please stand by.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier3_2_a.stf', '27', 'transmission_start', 'Transmission Progress:<Transmission started. Remain in the area to avoid irrepairable data lose.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier3_3_c.stf', '1', 'arrived_at_loc', 'Arrived at ambush location. Scanning for enemy fighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier3_3_c.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier3_3_c.stf', '3', 'attack_notify', 'Tactical Computer:<Enemy fighters located. Incoming at high speeds.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier3_3_c.stf', '4', 'attack_stopped', 'Tactical Computer:<Attack wave destroyed.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier3_3_c.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier3_3_c.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier3_3_c.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier3_3_c.stf', '8', 'first_attack', 'Enemy fighters located. Incoming at high speeds.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier3_3_c.stf', '9', 'found_loc', 'Ambush location discovered. Updating nav computer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier3_3_c.stf', '10', 'mission_complete', 'Tactical Computer:<Location of rebel primary command vessel located and sent to Imperial High Command.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier3_3_c.stf', '11', 'outofrange', 'Tactical Computer:<Tranmission interrupted. Return to ambush point immediately.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier3_3_c.stf', '12', 'outofrange_failed', 'Imperial High Command:<We lost the transmission because you move too far away. Report to your superior immediately.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier3_3_c.stf', '13', 'quest_defendpoint_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier3_3_c.stf', '14', 'quest_defendpoint_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier3_3_c.stf', '15', 'quest_location_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier3_3_c.stf', '16', 'quest_location_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier3_3_c.stf', '17', 'quest_reachpoint_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier3_3_c.stf', '18', 'quest_reachpoint_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier3_3_c.stf', '19', 'quest_update', 'Imperial High Command:<%To>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier3_3_c.stf', '20', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier3_3_c.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier3_3_c.stf', '22', 'title', 'Setting The Trap.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier3_3_c.stf', '23', 'title_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier3_3_c.stf', '24', 'trans_update', 'Transmission Status:<%DI minutes left until transmission complete.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier3_3_c.stf', '25', 'transmission_received', 'Transmission Status:<Transmission Completed. Location of rebel command vessel discovered.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier3_3_c.stf', '26', 'transmission_start', 'Transmission Status:<Scanning area for rebel command vessel. %DI minutes until complete.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier4_3.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier4_3.stf', '2', 'arrived_at_loc', 'Stand by for next transmission to take place. Stay in this location until transmission is completed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier4_3.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier4_3.stf', '4', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Warning! Enemy fighters incoming at attack speeds with weapons armed.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier4_3.stf', '5', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy wave eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier4_3.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier4_3.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier4_3.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier4_3.stf', '9', 'first_attack', 'You have been spotted. Be on the look out for enemy fighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier4_3.stf', '10', 'found_loc', 'Transmission point located. Travel to the location in your nav computer and stand by to intercept the transmission.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier4_3.stf', '11', 'mission_complete', 'Nice work, pilot. Stand by for delivery information.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier4_3.stf', '12', 'outofrange', 'Transmission signal lost. Return to transmission location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier4_3.stf', '13', 'outofrange_failed', 'Transmission signal ended. Return to your superior officer to explain your failure to gather the information.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier4_3.stf', '14', 'quest_defendpoint_d', 'You must remain at that location until the signal is completed. If the Coynite notice you they will attack. Defend yourself but do not leave the area until the signal is completed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier4_3.stf', '15', 'quest_defendpoint_t', 'Defend the Interception Point');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier4_3.stf', '16', 'quest_location_d', 'The relay point is located inside of the Dathomir system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier4_3.stf', '17', 'quest_location_t', 'Travel to the Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier4_3.stf', '18', 'quest_reachpoint_d', 'Once you have reached the relay point, wait for the broadcast to begin.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier4_3.stf', '19', 'quest_reachpoint_t', 'Intercept the Coynite Message');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier4_3.stf', '20', 'quest_update', '\\#pcontrast1 Imperial High Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier4_3.stf', '21', 'split_quest_alert', 'We need that data brought to one of our command vessels so we can decypher the message. Stand by for the navigation coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier4_3.stf', '22', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier4_3.stf', '23', 'title', 'Dathomir System: Intercept the Coynite Message');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier4_3.stf', '24', 'title_d', 'The captured Coynite held out for as long as he could but eventually talked. Apparently the Coynite have an ally or allies from the prison on the planet\'s surface. They have been using communications satellites to broadcast instructions to the Coynite. You are to travel to one of the relay points and intercept these instructions.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier4_3.stf', '25', 'trans_update', 'Transmission Update: <%DI percent of message received.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier4_3.stf', '26', 'transmission_received', 'Transmission Update: <Transmission received. Stand by for further instructions.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_imperial_tier4_3.stf', '27', 'transmission_start', 'Transmission Update: <Transmission frequency located. Beginning download of encrypted message.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_privateer_tier3_3c.stf', '1', 'arrived_at_loc', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Intercept point has been reached. Hold here. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_privateer_tier3_3c.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_privateer_tier3_3c.stf', '3', 'attack_notify', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Enemy craft have appeared on attack vector. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_privateer_tier3_3c.stf', '4', 'attack_stopped', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Attack group has been defeated. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_privateer_tier3_3c.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_privateer_tier3_3c.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_privateer_tier3_3c.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_privateer_tier3_3c.stf', '8', 'first_attack', '\\#pcontrast3 RSF Command: < \\#pcontrast1 Here they come! \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_privateer_tier3_3c.stf', '9', 'found_loc', '\\#pcontrast3 RSF Command: < \\#pcontrast1 Proceed to the following waypoint to intercept a transmission for the target\'s location.  Your presence will not be a secret, you must hold out until you have that transmission. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_privateer_tier3_3c.stf', '10', 'mission_complete', '\\#pcontrast3 RSF Command: < \\#pcontrast1 Transmission has been relayed, stand by for coordinates. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_privateer_tier3_3c.stf', '11', 'outofrange', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Warning! Leaving the transmission intercept area. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_privateer_tier3_3c.stf', '12', 'outofrange_failed', '\\#pcontrast3 RSF  Command: < \\#pcontrast1 The transmission was lost, now there is no telling where they will end up. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_privateer_tier3_3c.stf', '13', 'quest_defendpoint_d', 'Stay at this location until the transmission intercept is complete');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_privateer_tier3_3c.stf', '14', 'quest_defendpoint_t', 'Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_privateer_tier3_3c.stf', '15', 'quest_location_d', 'An area of Black Sun controlled space');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_privateer_tier3_3c.stf', '16', 'quest_location_t', 'Lok System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_privateer_tier3_3c.stf', '17', 'quest_reachpoint_d', 'Travel to this location to begin the intercept');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_privateer_tier3_3c.stf', '18', 'quest_reachpoint_t', 'Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_privateer_tier3_3c.stf', '19', 'quest_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_privateer_tier3_3c.stf', '20', 'split_quest_alert', '\\#pcontrast3 RSF Command: < \\#pcontrast1 There were some stragglers that didn\'t make the jump in when they saw their side was losing; be weary.  Return to base Captain.\\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_privateer_tier3_3c.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_privateer_tier3_3c.stf', '22', 'title', 'Lok System: Intercept a Black Sun Transmission');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_privateer_tier3_3c.stf', '23', 'title_d', 'You must maintain presence in a location where you can intercept a Black Sun transmission');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_privateer_tier3_3c.stf', '24', 'trans_update', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Datastream relay: Estimated %DI% complete. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_privateer_tier3_3c.stf', '25', 'transmission_received', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Datastream intercept complete. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_privateer_tier3_3c.stf', '26', 'transmission_start', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Datastream intercept has begun. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_privateer_tier4_3c.stf', '1', 'arrived_at_loc', '\\#pcontrast3 RSF Command: < \\#pcontrast1 Ok, this is the spot.  This will probably go down in history as the worst ambush ever, but stay focused and stay alive... we want those Black Sun destroyed. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_privateer_tier4_3c.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_privateer_tier4_3c.stf', '3', 'attack_notify', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Hostile craft detected on attack vector. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_privateer_tier4_3c.stf', '4', 'attack_stopped', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Hostile activity has ceased. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_privateer_tier4_3c.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_privateer_tier4_3c.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_privateer_tier4_3c.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_privateer_tier4_3c.stf', '8', 'first_attack', '\\#pcontrast3 RSF Command: < \\#pcontrast1 The hyperspace signatures are spiking, be ready. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_privateer_tier4_3c.stf', '9', 'found_loc', '\\#pcontrast3 RSF Command: < \\#pcontrast1 Calculated entry point is here, move into position. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_privateer_tier4_3c.stf', '10', 'mission_complete', '\\#pcontrast3 RSF Command: < \\#pcontrast1 That is enough, whatever plans they had are pointless now.  Return to base. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_privateer_tier4_3c.stf', '11', 'outofrange', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 You are moving out of range for the ambush, return to the nav location. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_privateer_tier4_3c.stf', '12', 'outofrange_failed', '\\#pcontrast3 RSF Command: < \\#pcontrast1 What are you hoping to accomplish out there?  This ambush was a horrible idea. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_privateer_tier4_3c.stf', '13', 'quest_defendpoint_d', 'Stay at this position through the duration of the assault');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_privateer_tier4_3c.stf', '14', 'quest_defendpoint_t', 'Assault Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_privateer_tier4_3c.stf', '15', 'quest_location_d', 'An area of Imperial control in the Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_privateer_tier4_3c.stf', '16', 'quest_location_t', 'Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_privateer_tier4_3c.stf', '17', 'quest_reachpoint_d', 'Travel here to intercept the Black Sun force');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_privateer_tier4_3c.stf', '18', 'quest_reachpoint_t', 'Ambush Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_privateer_tier4_3c.stf', '19', 'quest_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_privateer_tier4_3c.stf', '20', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_privateer_tier4_3c.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_privateer_tier4_3c.stf', '22', 'title', 'Yavin System: Intercept the Black Sun Assault');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_privateer_tier4_3c.stf', '23', 'title_d', 'Launch an attack on the Black Sun assault force moving into Yavin Space');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_privateer_tier4_3c.stf', '24', 'trans_update', '\\#pcontrast3 RSF Command: < \\#pcontrast1 Stay focused Captain. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_privateer_tier4_3c.stf', '25', 'transmission_received', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Hyperspace signatures dismished. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_privateer_tier4_3c.stf', '26', 'transmission_start', '\\#pcontrast3 Tactical computer: < \\#pcontrast1 A large number of hyperspace signatures detected. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_1_b.stf', '1', 'arrived_at_loc', 'The Imperial Informant was a spy! He led the Imperial Inqusition right to the base! Defend the base for approximately seven minutes, that should give them enough time to prepare their defenses!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_1_b.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_1_b.stf', '3', 'attack_notify', 'Tactical Computer: < Incoming fighter vessels. Scans show weapons armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_1_b.stf', '4', 'attack_stopped', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_1_b.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_1_b.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_1_b.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_1_b.stf', '8', 'first_attack', 'Alert! Alert! Enemy vessels closing in!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_1_b.stf', '9', 'found_loc', 'Suspicious activity in the area, sir. Proceed with caution');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_1_b.stf', '10', 'mission_complete', 'Mission complete! Continue with objectives.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_1_b.stf', '11', 'outofrange', 'Brother Ezkiel: < What are you doing pilot! Get back in there and fight! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_1_b.stf', '12', 'outofrange_failed', 'Mission failed! Too far away from objective point. Return to Ezkiel.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_1_b.stf', '13', 'quest_defendpoint_d', 'Guard this area with everything you have, don\'t let the Imperial fighters break through until the base defense is prepared.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_1_b.stf', '14', 'quest_defendpoint_t', 'Let no one through!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_1_b.stf', '15', 'quest_location_d', 'This area of the Dantooine system is fairly secure but the Imperial Inquisition is moving a massive fleet our way.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_1_b.stf', '16', 'quest_location_t', 'Dantooine system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_1_b.stf', '17', 'quest_reachpoint_d', 'This is the coordinates of the area you are assigned to protect my friend.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_1_b.stf', '18', 'quest_reachpoint_t', 'Your assigned area of protection.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_1_b.stf', '19', 'quest_update', 'Vortex Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_1_b.stf', '20', 'split_quest_alert', 'Brother Ezkiel: < The Imperial spy that you escorted earlier is trying to escape. Disable his ship and transfer over any information he may have in his onboard computer! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_1_b.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_1_b.stf', '22', 'title', 'Dantooine system: The Inquisition attacks!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_1_b.stf', '23', 'title_d', 'The Imperial officer scum was a spy sent to confirm the presence of our organisation on this base. The Inquisition is sending a massive attack our way. The base took heavy damage in the earlier attack and needs a few minutes to prepare the defenses. Try to hold off the Imperial forces at your assigned location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_1_b.stf', '24', 'trans_update', 'Vortex Command: < Stay alert, pilot. The Space station defenses are %DI percent operational. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_1_b.stf', '25', 'transmission_received', 'Vortex Command: < Great work, pilot! Thanks to yours and other pilots outstanding work, the space station defences are operational and should be able to easily fend off the attack. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_1_b.stf', '26', 'transmission_start', 'Vortex Command: < Be on the alert, pilot! Our sensors detect enemy activity. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_3_b.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_3_b.stf', '2', 'arrived_at_loc', 'Keep your eyes open, pilot. Our systems show multiple fighter ships heading toward you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_3_b.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_3_b.stf', '4', 'attack_notify', 'Tactical Computer: < Incoming fighter vessels. Scans show weapons armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_3_b.stf', '5', 'attack_stopped', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_3_b.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_3_b.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_3_b.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_3_b.stf', '9', 'first_attack', 'Here they come, pilot! They\'re dangerous bastards. Keep your wits about you. Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_3_b.stf', '10', 'found_loc', 'We\'ve detected a suspicious amount of activity in this region. Defend this point against any Blacklight enemy while we scan for the Blacklight HQ.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_3_b.stf', '11', 'mission_complete', 'Mission success! Proceed with further objectives.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_3_b.stf', '12', 'outofrange', 'Tactical Computer: < Warning! Objective Point out of range! Return to initial coordinates immediately. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_3_b.stf', '13', 'outofrange_failed', 'Brother Ezkiel: < Ack, some of the Blacklight pirates got past you and are making short work of the SpyNet recon ships. Return to base pilot. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_3_b.stf', '14', 'quest_defendpoint_d', 'Defend this area and don\'t let any of the pirates get past you until the SpyNet ships are done. I know we ask a lot of you my friend but if anyone can do it, it\'s you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_3_b.stf', '15', 'quest_defendpoint_t', 'Defend the area.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_3_b.stf', '16', 'quest_location_d', 'The Endor system seem to be a high risk system normally but you are in the middle of Blacklight territory so it will be especially dangerous. We are all hoping for your success down here my friend.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_3_b.stf', '17', 'quest_location_t', 'Endor system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_3_b.stf', '18', 'quest_reachpoint_d', 'These are the coordinates that is best suited to intercept the incoming Blacklight pirates. Stay close to it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_3_b.stf', '19', 'quest_reachpoint_t', 'Correct coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_3_b.stf', '20', 'quest_update', 'Brother Ezkiel < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_3_b.stf', '21', 'split_quest_alert', 'Brother Ezkiel: < Pilot, you impress me. Songs of your success will be taught in the halls of the Vortex. Back to business. We need you to find the exact location of the Blacklight leader. Stand by. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_3_b.stf', '22', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_3_b.stf', '23', 'title', 'Endor system: Survival of the fittest.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_3_b.stf', '24', 'title_d', 'We have found the Blacklight base of operations and need to pinpoint their command. The SpyNet have sent in some of their highly advanced recon ships. You need to keep them safe from the incoming mass of pirates while they scan the area.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_3_b.stf', '25', 'trans_update', 'Brother Ezkiel: < Pilot, hold out for a while longer. The SpyNet are %DI% done with the scans. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_3_b.stf', '26', 'transmission_received', 'Brother Ezkiel: < The spy ships are complete, stand by. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_3_b.stf', '27', 'transmission_start', 'Brother Ezkiel: < Pilot, we need you to defend this area while our spy ships scan the area for the Blacklights command. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_4_b.stf', '1', 'arrived_at_loc', 'Stay on the alert, pilot. You know the drill. There\'s enemy activity in these parts. Don\'t let your guard down.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_4_b.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_4_b.stf', '3', 'attack_notify', 'Tactical Computer: < Incoming fighter vessels. Scans show weapons armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_4_b.stf', '4', 'attack_stopped', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_4_b.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_4_b.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_4_b.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_4_b.stf', '8', 'first_attack', 'Forget trying to disable ships, they are coming for you en masse! Our sensor ships are close to that location as well so we need you to keep them busy while we relocate.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_4_b.stf', '9', 'found_loc', 'Proceed to the desginated area. Enemy presence detected.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_4_b.stf', '10', 'mission_complete', 'Mission success! Proceed with further objectives.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_4_b.stf', '11', 'outofrange', 'Vortex Command: < You are getting too far in to Imperial territory, they will lock their capital ships to you! Return to the coordinates we provided you with. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_4_b.stf', '12', 'outofrange_failed', 'Vortex Command: < You went too deep in to the Imperial territory and they have locked on to you. There\'s nothing left to do but retreat, return to base! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_4_b.stf', '13', 'quest_defendpoint_d', 'You have been spotted! We have multiple Imperial fighters heading your way, prepare for attack!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_4_b.stf', '14', 'quest_defendpoint_t', 'Under attack!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_4_b.stf', '15', 'quest_location_d', 'You are getting deeper in to Imperial territory and the danger level is increasing, stay alert.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_4_b.stf', '16', 'quest_location_t', 'Dathomir system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_4_b.stf', '17', 'quest_reachpoint_d', 'You are at the correct coordinates, stand by while we do a scan for smaller groups of Inquisitor ships.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_4_b.stf', '18', 'quest_reachpoint_t', 'Correct location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_4_b.stf', '19', 'quest_update', 'Vortex Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_4_b.stf', '20', 'split_quest_alert', 'Brother Ezkiel: < You\'re an amazing pilot! Good work. Back to the old objective, try to find and disable a ship of the Imperial Inquisition. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_4_b.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_4_b.stf', '22', 'title', 'Dathomir system: Disable Imperial ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_4_b.stf', '23', 'title_d', 'We may have located a small group of Imperial ships. We will alert you if we find any suitable ships of the Inquisition for you to capture as you head for the waypoints we provide you with.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_4_b.stf', '24', 'trans_update', 'Vortex Command: < Keep it up pilot, Our sensor ships are %DI percent done with relocating to a safe location. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_4_b.stf', '25', 'transmission_received', 'Vortex Command: < You are home free pilot! We are doing the final scans now but it seems the Empire has given up sending more fighters. Amazing job! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier3_4_b.stf', '26', 'transmission_start', 'Vortex Command: < There\'s more of them than we can count. I don\'t know what to tell you pilot, you\'re in our thoughts, may the force be with you. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier4_1.stf', '1', 'arrived_at_loc', 'You are in your assigned sector. Prevent any Imperial ships from getting past you pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier4_1.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier4_1.stf', '3', 'attack_notify', 'Tactical Computer: < Incoming fighter vessels. Scans show weapons armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier4_1.stf', '4', 'attack_stopped', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier4_1.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier4_1.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier4_1.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier4_1.stf', '8', 'first_attack', 'This will get rough pilot, the Empire is sending heavy forces from several directions. The life of those people is in your hands!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier4_1.stf', '9', 'found_loc', 'You\'ve been assigned this sector to block any Imperial ships coming through that route. Get over there quickly.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier4_1.stf', '10', 'mission_complete', 'Brother Extok Evin: < Great work pilot, our shuttles are safe! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier4_1.stf', '11', 'outofrange', 'Brother Extok Evin: < You\'re too far away from your assigned coordinates, get back there quickly! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier4_1.stf', '12', 'outofrange_failed', 'Brother Extok Evin: < You let them slip by you, our shuttles are trying to perform emergency jumps to hyperspace! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier4_1.stf', '13', 'quest_defendpoint_d', 'Don\'t let any enemy ships pass you by pilot, those freighters can not defend themselves against Imperial bombers or fighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier4_1.stf', '14', 'quest_defendpoint_t', 'Defend the freighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier4_1.stf', '15', 'quest_location_d', 'The Endor system has a high concentration of Imperial forces and many of them are heading your way! I would be very surprised if you won\'t at least run in to a few in the area you have been ordered to intercept.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier4_1.stf', '16', 'quest_location_t', 'Endor system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier4_1.stf', '17', 'quest_reachpoint_d', 'This is the area you have been assigned to protect.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier4_1.stf', '18', 'quest_reachpoint_t', 'Location of intercept.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier4_1.stf', '19', 'quest_update', 'Brother Extok Evin: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier4_1.stf', '20', 'split_quest_alert', 'Brother Extok Evin: < A target of opportunity has opened up, stand by for further instructions. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier4_1.stf', '21', 'split_quest_alert_fail', 'Brother Extok Evin: < All may not be lost, most of the freighters have managed to get away even though the defense broke at some points. We have a distress call from a freighter though, need you to investigate. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier4_1.stf', '22', 'title', 'Endor system: Prevent the Imperial fleet from destroying personnel shuttles.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier4_1.stf', '23', 'title_d', 'The Inquisition has somehow found out about the route through the Endor system that some of our freighters carrying Vortex personnel to safety are using. They are sending their elite fighters to the area and we need you to block one of the possible attack routes the Inquisition may take, long enough for the freighters to get to safety.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier4_1.stf', '24', 'trans_update', 'Brother Extok Evin: < %DI percent of the personnel shuttles have jumped to lightspeed. Keep it up! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier4_1.stf', '25', 'transmission_received', 'Brother Extok Evin: < Our last shuttle is jumping to lightspeed as we speak, amazing job pilot! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier4_1.stf', '26', 'transmission_start', 'Brother Extok Evin: < Our shuttles has started calculating their lightspeed jumps. The fleet commander estimate that they need about six minutes. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier4_4_b.stf', '1', 'arrived_at_loc', 'Patrol this location and don\'t let anything get past you pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier4_4_b.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier4_4_b.stf', '3', 'attack_notify', 'Tactical Computer: < Incoming fighter vessels. Scans show weapons armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier4_4_b.stf', '4', 'attack_stopped', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier4_4_b.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier4_4_b.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier4_4_b.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier4_4_b.stf', '8', 'first_attack', 'Here they come pilot and it\'s not looking good... May the force be with you my friend.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier4_4_b.stf', '9', 'found_loc', 'I\'ve assigned you this sector pilot, your squad is spread out covering the nearby areas. Head over there quickly!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier4_4_b.stf', '10', 'mission_complete', 'Brother Extok Evin: < Splendid job pilot, the bomber squadrons have pulled out safely. Mission complete! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier4_4_b.stf', '11', 'outofrange', 'Brother Extok Evin: < You\'re too far away from your assigned sector pilot, get back there immediately! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier4_4_b.stf', '12', 'outofrange_failed', 'Brother Extok Evin: < Our bomber squadrons are taking casaulties! Abort mission everyone, abort! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier4_4_b.stf', '13', 'quest_defendpoint_d', 'Our last chance pilot. You will come under heavy attack in a few seconds, we\'re all crossing our fingers that you will do the impossible and prevail.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier4_4_b.stf', '14', 'quest_defendpoint_t', 'The last stand.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier4_4_b.stf', '15', 'quest_location_d', 'After our initial failure to eliminate the defense force of the base, the area is now crawling with Imperial fighters. Be prepared for anything!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier4_4_b.stf', '16', 'quest_location_t', 'Dathomir system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier4_4_b.stf', '17', 'quest_reachpoint_d', 'The Imperial attackers will be passing through these coordinates on their way to intercept our bombers. Proceed to the waypoint right away pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier4_4_b.stf', '18', 'quest_reachpoint_t', 'Point of defense.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier4_4_b.stf', '19', 'quest_update', 'Brother Extok Evin: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier4_4_b.stf', '20', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier4_4_b.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier4_4_b.stf', '22', 'title', 'Dathomir system: Cover the B-Wing squads\' flank.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier4_4_b.stf', '23', 'title_d', 'Some of our bombers have outflanked the Imperial defences but the Empire has picked up on it and is moving to intercept. We\'re putting you in the middle of their intercept route to prevent them from getting to our bombers.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier4_4_b.stf', '24', 'trans_update', 'Brother Extok Evin: < The B-Wings have delivered %DI percent of their payloads, hang in there pilot! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier4_4_b.stf', '25', 'transmission_received', 'Brother Extok Evin: < The station is burning, all payloads delivered! The B-Wings are starting to pull out. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/naboo_rebel_tier4_4_b.stf', '26', 'transmission_start', 'Brother Extok Evin: < The first B-Wings are within firing range of the station. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/poi_tatooine_general2_3_a.stf', '1', 'arrived_at_loc', '\\#pcontrast1 A\'Lerris Verata:\\#pcontrast3 < This is the transmis--*static* ...stop signal. Be careful, pilot! [Transmission Ends] >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/poi_tatooine_general2_3_a.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/poi_tatooine_general2_3_a.stf', '3', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Incoming enemy fighters.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/poi_tatooine_general2_3_a.stf', '4', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters eliminated.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/poi_tatooine_general2_3_a.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/poi_tatooine_general2_3_a.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/poi_tatooine_general2_3_a.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/poi_tatooine_general2_3_a.stf', '8', 'first_attack', 'I can\'t seem to get through to you, pilot! Enemies! My systems have detected heightened activity--[Transmission Ends]');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/poi_tatooine_general2_3_a.stf', '9', 'found_loc', 'Pilot! Listen carefully. I\'ve sent you a point that you can jam the Zynt\'aia. Please be careful.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/poi_tatooine_general2_3_a.stf', '10', 'mission_complete', 'You have stopped the Zynt\'aia from sending out the distress signal.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/poi_tatooine_general2_3_a.stf', '11', 'outofrange', 'Pilot! You\'re too far away from the transmission point. Move closer or risk mission failure!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/poi_tatooine_general2_3_a.stf', '12', 'outofrange_failed', 'Mission failed! You moved too far away from the transmission point.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/poi_tatooine_general2_3_a.stf', '13', 'quest_defendpoint_d', 'Once I am at the transmission point, I must remain in the area for the designated time and survive.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/poi_tatooine_general2_3_a.stf', '14', 'quest_defendpoint_t', 'Fire of Survival: Defend');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/poi_tatooine_general2_3_a.stf', '15', 'quest_location_d', 'It is my duty to remain in the Tatoo System as directed by A\'Lerris Verata.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/poi_tatooine_general2_3_a.stf', '16', 'quest_location_t', 'Remain in the Tatoo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/poi_tatooine_general2_3_a.stf', '17', 'quest_reachpoint_d', 'To face my hardest challenge, I must travel to the transmission point as was given to me by A\'Lerris.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/poi_tatooine_general2_3_a.stf', '18', 'quest_reachpoint_t', 'Fire of Survival: Transmission Point');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/poi_tatooine_general2_3_a.stf', '19', 'quest_update', '\\#pcontrast1 A\'Lerris Verata:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/poi_tatooine_general2_3_a.stf', '20', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/poi_tatooine_general2_3_a.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/poi_tatooine_general2_3_a.stf', '22', 'title', 'Tatoo System: Fire of Survival');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/poi_tatooine_general2_3_a.stf', '23', 'title_d', 'The fire of survival... It is a sudden thing. When one is faced with dire circumstance, a well of fire, like lava coursing through one\'s veins, springs forth with unmatched strength. The flames consume your soul, your very essence, inspiring you to face the odds no matter what the consequence! This is how I felt as the first of those many walls washed over me. My hands felt hot to the touch, my heart in my throat. My favorite companion, my trusty ship, shuttered with each of their passing, laser bolts melting my enemies\' hulls in one fell swoop. All I wanted to do was survive.. and survive I did.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/poi_tatooine_general2_3_a.stf', '24', 'trans_update', 'Mission Update: < %DI percent of signal blocked. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/poi_tatooine_general2_3_a.stf', '25', 'transmission_received', 'Mission Update: < You\'ve survived and successfully blocked the distress signal! Mission Success! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/poi_tatooine_general2_3_a.stf', '26', 'transmission_start', 'Mission Update: < Pilot! It will take about 5 minutes to successful jam that signal! I am sure your presence will be noted. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/stn_endor_irs_imp_tier3_3f.stf', '1', 'arrived_at_loc', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Destination reached. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/stn_endor_irs_imp_tier3_3f.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/stn_endor_irs_imp_tier3_3f.stf', '3', 'attack_notify', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Hostile craft detected on attack vector. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/stn_endor_irs_imp_tier3_3f.stf', '4', 'attack_stopped', '\\#pcontrast3 Tactical Comptuer: < \\#pcontrast1 Hostile activity has ceased. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/stn_endor_irs_imp_tier3_3f.stf', '5', 'autorewardbody', 'Completion Bonus: Attenuation (20000)');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/stn_endor_irs_imp_tier3_3f.stf', '6', 'autorewardfrom', 'Endor Station');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/stn_endor_irs_imp_tier3_3f.stf', '7', 'autorewardsubject', 'The Grand Tour');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/stn_endor_irs_imp_tier3_3f.stf', '8', 'first_attack', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Hyperspace signatures detected. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/stn_endor_irs_imp_tier3_3f.stf', '9', 'found_loc', '\\#pcontrast3 Nav Comptuer: < \\#pcontrast1 Waypoint set. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/stn_endor_irs_imp_tier3_3f.stf', '10', 'mission_complete', '\\#pcontrast3 Endor Station: < \\#pcontrast3 Excellent job Captain.  This completes your tour of duty in the Endor System and your current contract is closed. Check back later, and we might have further work for you. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/stn_endor_irs_imp_tier3_3f.stf', '11', 'outofrange', '\\#pcontrast3 Nav Comptuer: < \\#pcontrast1 Leaving the designated battlepoint. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/stn_endor_irs_imp_tier3_3f.stf', '12', 'outofrange_failed', '\\#pcontrast3 You have failed the mission for leaving the battle location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/stn_endor_irs_imp_tier3_3f.stf', '13', 'quest_defendpoint_d', 'Defend from the Zynt\'aia attack, destroy as many fighters as you can before the time is up.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/stn_endor_irs_imp_tier3_3f.stf', '14', 'quest_defendpoint_t', 'Defend');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/stn_endor_irs_imp_tier3_3f.stf', '15', 'quest_location_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/stn_endor_irs_imp_tier3_3f.stf', '16', 'quest_location_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/stn_endor_irs_imp_tier3_3f.stf', '17', 'quest_reachpoint_d', 'A battlepoint with pirates in the Declorian Territory.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/stn_endor_irs_imp_tier3_3f.stf', '18', 'quest_reachpoint_t', 'Battlepoint');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/stn_endor_irs_imp_tier3_3f.stf', '19', 'quest_update', '%TO');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/stn_endor_irs_imp_tier3_3f.stf', '20', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/stn_endor_irs_imp_tier3_3f.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/stn_endor_irs_imp_tier3_3f.stf', '22', 'title', 'Endor System: Attenuation');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/stn_endor_irs_imp_tier3_3f.stf', '23', 'title_d', 'The Zynt\'aia Spice Pirates have been increasing their activity in the Endor System. A threat to the growing research station on the local moon of Endor 2,an offensive patrol to disrupt and hopefully destroy their operations around the Declorian Territory has issued by Naval Operations.  You must survive assault by the pirates for 6 minutes to complete the operation.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/stn_endor_irs_imp_tier3_3f.stf', '24', 'trans_update', 'Operation in progress, %DI of 100 complete. ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/stn_endor_irs_imp_tier3_3f.stf', '25', 'transmission_received', '\\#pcontrast3 The assault is complete. ');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/stn_endor_irs_imp_tier3_3f.stf', '26', 'transmission_start', '\\#pcontrast3 Timer has begun.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/stn_yavin4_company_all_massassi_tier2_7.stf', '1', 'arrived_at_loc', 'You have reach the optimum transmission point. Stand by for the interception of the signal to begin.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/stn_yavin4_company_all_massassi_tier2_7.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/stn_yavin4_company_all_massassi_tier2_7.stf', '3', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 < Enemy fighters detected. >\\#pcontrast3 \\#pcontrast1');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/stn_yavin4_company_all_massassi_tier2_7.stf', '4', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 < Enemy fighters eliminated. >\\#pcontrast3 \\#pcontrast1');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/stn_yavin4_company_all_massassi_tier2_7.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/stn_yavin4_company_all_massassi_tier2_7.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/stn_yavin4_company_all_massassi_tier2_7.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/stn_yavin4_company_all_massassi_tier2_7.stf', '8', 'first_attack', 'Enemy fighters have detected your presence. Remain in the area until the transmission is completed but defend yourself against all attacking craft.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/stn_yavin4_company_all_massassi_tier2_7.stf', '9', 'found_loc', 'Optimum transmission interception point calculated. Move to this location to intercept signal.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/stn_yavin4_company_all_massassi_tier2_7.stf', '10', 'mission_complete', 'Transmission completed. Transmission appears to be orders from the Deep Corellia Mining Co. to agents posing as Massassi to drive the Yavin Mining Co. out of business. They are trying to take over the rich mining operations on Yavin 4.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/stn_yavin4_company_all_massassi_tier2_7.stf', '11', 'outofrange', 'Signal interupted. Return immediately to optimum transmission location in order to reestablish a link.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/stn_yavin4_company_all_massassi_tier2_7.stf', '12', 'outofrange_failed', 'The signal has stopped broadcasting. Transmission incomplete. Return to Yavin station.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/stn_yavin4_company_all_massassi_tier2_7.stf', '13', 'quest_defendpoint_d', 'The computer estimates that it will take about five minutes in order to get the entire broadcast. Remain in the area until it is completely intercepted.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/stn_yavin4_company_all_massassi_tier2_7.stf', '14', 'quest_defendpoint_t', 'Intercept the Transmission');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/stn_yavin4_company_all_massassi_tier2_7.stf', '15', 'quest_location_d', 'The signal is being beamed into the Yavin system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/stn_yavin4_company_all_massassi_tier2_7.stf', '16', 'quest_location_t', 'Remain in the Yavin System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/stn_yavin4_company_all_massassi_tier2_7.stf', '17', 'quest_reachpoint_d', 'Your computer has determined the location of the strongest signal strength. Travel to that point and tap into the signal.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/stn_yavin4_company_all_massassi_tier2_7.stf', '18', 'quest_reachpoint_t', 'Travel to Signal Location');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/stn_yavin4_company_all_massassi_tier2_7.stf', '19', 'quest_update', '\\#FF0000 Flight Computer:\\#FF0000 < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/stn_yavin4_company_all_massassi_tier2_7.stf', '20', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/stn_yavin4_company_all_massassi_tier2_7.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/stn_yavin4_company_all_massassi_tier2_7.stf', '22', 'title', 'Yavin System: Intercept the Massassi Transmission');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/stn_yavin4_company_all_massassi_tier2_7.stf', '23', 'title_d', 'You have detected a signal coming from the Corellia system to this location. The signal is weak but you think you could tap into it.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/stn_yavin4_company_all_massassi_tier2_7.stf', '24', 'trans_update', '\\#FF0000 Flight Computer:\\#FF0000 \\#pcontrast3 < %DI percent of the transmission completed. > \\#pcontrast3');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/stn_yavin4_company_all_massassi_tier2_7.stf', '25', 'transmission_received', '\\#FF0000 Flight Computer:\\#FF0000 \\#pcontrast3 < Transmission completed. Decrypting now. > \\#pcontrast3');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/stn_yavin4_company_all_massassi_tier2_7.stf', '26', 'transmission_start', '\\#FF0000 Flight Computer:\\#FF0000 \\#pcontrast3 < Transmission link up established. Stand by for transmission updates. > \\#pcontrast3');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/talus_station_mission4_1.stf', '1', 'arrived_at_loc', 'The transport\'s arrival has been delayed due to hyperdrive malfunctions. You must remain within range of this location until the transport arrives. Do no leave this area.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/talus_station_mission4_1.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/talus_station_mission4_1.stf', '3', 'attack_notify', 'Tactical Computer: < Enemy craft inbound. Imperial signatures detected. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/talus_station_mission4_1.stf', '4', 'attack_stopped', 'Tactical Computer: < Enemy threat neutralized. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/talus_station_mission4_1.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/talus_station_mission4_1.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/talus_station_mission4_1.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/talus_station_mission4_1.stf', '8', 'first_attack', 'The Imperial Navy has been monitoring our communications! They have sent an attack wing to intercept you. Defend yourself, but do not leave this area until the transport arrives.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/talus_station_mission4_1.stf', '9', 'found_loc', 'Navigation waypoint uploaded. Another standard pickup. Travel to this location and await the arrival of the transport.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/talus_station_mission4_1.stf', '10', 'mission_complete', 'Talus Station: < The transport\'s hyperdrive is repaired. They should be arriving any second now. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/talus_station_mission4_1.stf', '11', 'outofrange', 'Talus Station: < Be careful. You are moving too far away from the transport jump location. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/talus_station_mission4_1.stf', '12', 'outofrange_failed', 'Talus Station: < You\'ve gone out of range from the transport jump location. They will likely be boarded by the Empire. We\'re scrapping this mission. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/talus_station_mission4_1.stf', '13', 'quest_defendpoint_d', 'The transport is experiencing hyperdrive difficulties. You must remain at this location until the transport arrives. If attacked, you may defend yourself, but do not leave this area.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/talus_station_mission4_1.stf', '14', 'quest_defendpoint_t', 'Remain at This Location');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/talus_station_mission4_1.stf', '15', 'quest_location_d', 'You must meet the transport in the Naboo system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/talus_station_mission4_1.stf', '16', 'quest_location_t', 'Remain in the Naboo System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/talus_station_mission4_1.stf', '17', 'quest_reachpoint_d', 'Travel to the specified location and await the arrival of the drop-off ship.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/talus_station_mission4_1.stf', '18', 'quest_reachpoint_t', 'Meet With the Drop-off Ship');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/talus_station_mission4_1.stf', '19', 'quest_update', 'Talus Station: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/talus_station_mission4_1.stf', '20', 'split_quest_alert', 'Dock with the transport.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/talus_station_mission4_1.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/talus_station_mission4_1.stf', '22', 'title', 'Naboo System: Pick Up Package From the Transport');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/talus_station_mission4_1.stf', '23', 'title_d', 'Your next assignment is to meet a transport in the Naboo system to receive a package for delivery.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/talus_station_mission4_1.stf', '24', 'trans_update', 'Transport hyperdrive repair status: %DI% complete');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/talus_station_mission4_1.stf', '25', 'transmission_received', 'Transport hyperdrive repairs complete.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/talus_station_mission4_1.stf', '26', 'transmission_start', 'Transport hyperdrive undergoing repairs.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_imperial_tier3_3_c.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_imperial_tier3_3_c.stf', '2', 'arrived_at_loc', 'Arrived at ambush location. Scanning for enemy fighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_imperial_tier3_3_c.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_imperial_tier3_3_c.stf', '4', 'attack_notify', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Enemy fighters located. Incoming at high speeds.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_imperial_tier3_3_c.stf', '5', 'attack_stopped', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Attack wave destroyed.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_imperial_tier3_3_c.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_imperial_tier3_3_c.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_imperial_tier3_3_c.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_imperial_tier3_3_c.stf', '9', 'first_attack', 'Enemy fighters located. Incoming at high speeds.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_imperial_tier3_3_c.stf', '10', 'found_loc', 'Ambush location discovered. Updating the navigation computer.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_imperial_tier3_3_c.stf', '11', 'mission_complete', 'Location of Rebel primary command vessel located and sent to Imperial High Command. Report back to your superior for further instructions.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_imperial_tier3_3_c.stf', '12', 'outofrange', '\\#pcontrast1 Tactical Computer:\\#pcontrast3 <Tranmission interrupted. Return to ambush point immediately.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_imperial_tier3_3_c.stf', '13', 'outofrange_failed', 'We lost the transmission because you moved too far away. Report to your superior immediately.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_imperial_tier3_3_c.stf', '14', 'quest_defendpoint_d', 'When you begin the scan you can expect to be attacked by Rebel fighters falling into our ambush. Defend yourself but do not leave the area until the operation is completed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_imperial_tier3_3_c.stf', '15', 'quest_defendpoint_t', 'Defend the Ambush Point');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_imperial_tier3_3_c.stf', '16', 'quest_location_d', 'Remain in the Endor system and scan from the ambush point. Once in the Endor system you will receive a navigation waypoint to the ambush point. Travel to that location and wait for the scan to begin.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_imperial_tier3_3_c.stf', '17', 'quest_location_t', 'Remain in the Endor System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_imperial_tier3_3_c.stf', '18', 'quest_reachpoint_d', 'Once you have arrived at the navigation waypoint, wait until the scan begins. Once the scan begins, you will need to remain in the area until it completes. You will receive regular updates on how long you have until the operation is over. If you move to far away from the navigation waypoint you will receive a warning message. If you remain outside of the area for to long the mission will fail.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_imperial_tier3_3_c.stf', '19', 'quest_reachpoint_t', 'Travel to the Ambush Point');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_imperial_tier3_3_c.stf', '20', 'quest_update', '\\#pcontrast1 Storm Squadron Command:\\#pcontrast3 <%TO>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_imperial_tier3_3_c.stf', '21', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_imperial_tier3_3_c.stf', '22', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_imperial_tier3_3_c.stf', '23', 'title', 'Endor System: Scanning System for Rebel Command');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_imperial_tier3_3_c.stf', '24', 'title_d', 'Travel to the Endor system and start the system scan at the ambush point. When you enter the Endor system you will receive a navigation waypoint to the ambush point. Travel to this waypoint and wait for the scan to begin. In order to succeed, you need to stay near the navigation waypoint. If you move to far away you will receive a warning message for you to return. Once the scan begins the Rebels will send out fighters to attack you. Defend yourself against attack but do not leave the area until the scan is completed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_imperial_tier3_3_c.stf', '25', 'trans_update', 'Transmission Status: <%DI percent of system scan completed.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_imperial_tier3_3_c.stf', '26', 'transmission_received', 'Transmission Status: <Transmission Completed. Location of Rebel command vessel discovered.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_imperial_tier3_3_c.stf', '27', 'transmission_start', 'Transmission Status: <Scanning area for Rebel command vessel.  Complete scan should take about 10 minutes.>');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_privateer_tier3_2_b.stf', '1', 'arrived_at_loc', '\\#pcontrast3 Beissa: < \\#pcontrast1 Okay! You\'ve entered the Witchblood clan\'s sacred burial zone... they\'re sure to descend on you shortly.  I wouldn\'t want to be you right now. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_privateer_tier3_2_b.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_privateer_tier3_2_b.stf', '3', 'attack_notify', '\\#pcontrast3 Tactical Computer: < \\#pcontrast3 Hyperspace signatures detected in close proximity. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_privateer_tier3_2_b.stf', '4', 'attack_stopped', '\\#pcontrast3 Beissa: < \\#pcontrast1 Stay focused, and stay alive.  We need them focused on you and not us. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_privateer_tier3_2_b.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_privateer_tier3_2_b.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_privateer_tier3_2_b.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_privateer_tier3_2_b.stf', '8', 'first_attack', '\\#pcontrast3 Beissa: < \\#pcontrast3 All right! Here they come! Keep them busy while we work our way into their base... \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_privateer_tier3_2_b.stf', '9', 'found_loc', '\\#pcontrast3 Beissa: < \\#pcontrast1 Fly to that location and keep the Witchblood clan busy. We\'ll sneak into their hidden base, and set detonators! \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_privateer_tier3_2_b.stf', '10', 'mission_complete', '\\#pcontrast3 Beissa: < \\#pcontrast1 Great work! We\'ve set all the detonators at their stronghold. We\'re clearing out so we can set off the charges.  Meet us back at Jabba\'s Palace \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_privateer_tier3_2_b.stf', '11', 'outofrange', '\\#pcontrast3 Beissa: < \\#pcontrast1 Get back to the pirates\' burial zone! If the Witchblood disengage, they\'ll find us and the mission will be lost! \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_privateer_tier3_2_b.stf', '12', 'outofrange_failed', '\\#pcontrast3 Beissa: < \\#pcontrast1 You went too far from the burial zone! Witchblood scouts are returning to their base. The mission is scrapped! \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_privateer_tier3_2_b.stf', '13', 'quest_defendpoint_d', 'Stay at this location until you are given instruction to leave');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_privateer_tier3_2_b.stf', '14', 'quest_defendpoint_t', 'Burial Ground');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_privateer_tier3_2_b.stf', '15', 'quest_location_d', 'The spaceborne burial ground of the Dathomir Witchblood Clan');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_privateer_tier3_2_b.stf', '16', 'quest_location_t', 'Dathomir System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_privateer_tier3_2_b.stf', '17', 'quest_reachpoint_d', 'Travel to this location to begin the operation');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_privateer_tier3_2_b.stf', '18', 'quest_reachpoint_t', 'Burial Ground');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_privateer_tier3_2_b.stf', '19', 'quest_update', '\\#pcontrast3 < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_privateer_tier3_2_b.stf', '20', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_privateer_tier3_2_b.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_privateer_tier3_2_b.stf', '22', 'title', 'Dathomir System: Provide a distraction at the Witchblood Clan Burial Grounds');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_privateer_tier3_2_b.stf', '23', 'title_d', 'Go make your presence known at the Witchblood Clan burial grounds to occupy them while Hutt forces infiltrate their stronghold');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_privateer_tier3_2_b.stf', '24', 'trans_update', '%DI/60 recieved.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_privateer_tier3_2_b.stf', '25', 'transmission_received', 'Survival Complete');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_privateer_tier3_2_b.stf', '26', 'transmission_start', 'Survival Started');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_privateer_tier4_2c.stf', '1', 'arrived_at_loc', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Large hyperspace signature detected at this location.  Please take evasive action. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_privateer_tier4_2c.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_privateer_tier4_2c.stf', '3', 'attack_notify', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Hostile craft detected on attack vector. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_privateer_tier4_2c.stf', '4', 'attack_stopped', '\\#pcontrast3 Tactical Computer: < \\#pcontrast1 Hostile activity has ceased. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_privateer_tier4_2c.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_privateer_tier4_2c.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_privateer_tier4_2c.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_privateer_tier4_2c.stf', '8', 'first_attack', '\\#pcontrast3 Nirame: < \\#pcontrast1 It\'s a trap! \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_privateer_tier4_2c.stf', '9', 'found_loc', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Hyperspace Signature detected. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_privateer_tier4_2c.stf', '10', 'mission_complete', '\\#pcontrast3 Nirame: < \\#pcontrast1 I would get out of there if I were you. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_privateer_tier4_2c.stf', '11', 'outofrange', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Systems Failture. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_privateer_tier4_2c.stf', '12', 'outofrange_failed', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Systems Failture. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_privateer_tier4_2c.stf', '13', 'quest_defendpoint_d', 'Imperial Attack');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_privateer_tier4_2c.stf', '14', 'quest_defendpoint_t', 'Ambush Point');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_privateer_tier4_2c.stf', '15', 'quest_location_d', 'Imperial controlled section of Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_privateer_tier4_2c.stf', '16', 'quest_location_t', 'Dantooine System');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_privateer_tier4_2c.stf', '17', 'quest_reachpoint_d', 'Imperial Attack');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_privateer_tier4_2c.stf', '18', 'quest_reachpoint_t', 'Ambush Point');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_privateer_tier4_2c.stf', '19', 'quest_update', '\\#pcontrast3 < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_privateer_tier4_2c.stf', '20', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_privateer_tier4_2c.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_privateer_tier4_2c.stf', '22', 'title', 'Dantooine System: Escape from the Imperial Attack');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_privateer_tier4_2c.stf', '23', 'title_d', 'Escape from the Imperial attack!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_privateer_tier4_2c.stf', '24', 'trans_update', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Calculating egress route, %DI complete. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_privateer_tier4_2c.stf', '25', 'transmission_received', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Egress calculations complete \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_privateer_tier4_2c.stf', '26', 'transmission_start', '\\#pcontrast3 Nav Computer: < \\#pcontrast1 Calculating egress route. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier3_1_b.stf', '1', 'arrived_at_loc', 'Intercept the incoming TIE ships at this location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier3_1_b.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier3_1_b.stf', '3', 'attack_notify', 'Tactical Computer: < Incoming fighter vessels. Scans show weapons armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier3_1_b.stf', '4', 'attack_stopped', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier3_1_b.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier3_1_b.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier3_1_b.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier3_1_b.stf', '8', 'first_attack', 'They are almost upon you pilot, our thoughts are with you...');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier3_1_b.stf', '9', 'found_loc', 'We calculated some coordinates to intercept the incoming TIE-Fighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier3_1_b.stf', '10', 'mission_complete', 'Gunboat Captain: < Great job pilot, we are out of here! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier3_1_b.stf', '11', 'outofrange', 'Gunboat Captain: < Move back to the Intercept coordinates or they will slip by! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier3_1_b.stf', '12', 'outofrange_failed', 'Gunboat Captain: < We are taking heavy damage from TIE Bombers! Perform emergency hyp..sp..e... >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier3_1_b.stf', '13', 'quest_defendpoint_d', 'Don\'t let any of the Imperial fighters get past you. Our gunboat need about three minutes to calculate their jump to lightspeed.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier3_1_b.stf', '14', 'quest_defendpoint_t', 'Defend the area.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier3_1_b.stf', '15', 'quest_location_d', 'As if the Dathomir system wasn\'t dangerous enough, several squadrons of TIE\'s are heading your way! We know we\'re asking a lot pilot but you have to cover the escape of our gunboat, we need those codes!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier3_1_b.stf', '16', 'quest_location_t', 'Dathomir system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier3_1_b.stf', '17', 'quest_reachpoint_d', 'Our reconnaissance ships tell us that these coordinates will put your right in between the incoming TIE\'s and our fleeing gunboat.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier3_1_b.stf', '18', 'quest_reachpoint_t', 'Coordinates of intercept.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier3_1_b.stf', '19', 'quest_update', 'Gunboat Captain: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier3_1_b.stf', '20', 'split_quest_alert', 'Rebel Command: < Our infiltrators succeded their mission but they have been discovered, you need to help them out! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier3_1_b.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier3_1_b.stf', '22', 'title', 'Dathomir system: Defend the gunboat.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier3_1_b.stf', '23', 'title_d', 'The Empire has caught up to what\'s going on and are launching a full scale attack to destroy the gunboat you delivered the codes to. Cover the gunboats escape.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier3_1_b.stf', '24', 'trans_update', 'Gunboat Captain: < Our nav computer is calculating jump, %DI percent done. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier3_1_b.stf', '25', 'transmission_received', 'Gunboat Captain: < Nav computer finished, prepare for jump to lightspeed! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier3_1_b.stf', '26', 'transmission_start', 'Gunboat Captain: < We need about three minutes pilot, hang in there! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier3_3_c.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier3_3_c.stf', '2', 'arrived_at_loc', 'Make a stand here, don\'t let any Imperial ships get by you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier3_3_c.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier3_3_c.stf', '4', 'attack_notify', 'Tactical Computer: < Incoming fighter vessels. Scans show weapons armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier3_3_c.stf', '5', 'attack_stopped', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier3_3_c.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier3_3_c.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier3_3_c.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier3_3_c.stf', '9', 'first_attack', 'Here they come pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier3_3_c.stf', '10', 'found_loc', 'I hope you still have some fighting left in you pilot, we\'re counting on you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier3_3_c.stf', '11', 'mission_complete', 'Rebel Command: < Our team is safe. Get back to base pilot, you\'ve more than deserved a long rest. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier3_3_c.stf', '12', 'outofrange', 'Rebel Command: < Move back to original position, you\'re too far out, fighters will slip by! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier3_3_c.stf', '13', 'outofrange_failed', 'Rebel Command: < A squad of TIE Interceptors slipped by! Return to base immediately! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier3_3_c.stf', '14', 'quest_defendpoint_d', 'Let none of the Imperial forces get by you. The commando team has estimated that it will take their crippled ship about three minutes to get prepared for the jump to lightspeed, you need to provide them with that time.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier3_3_c.stf', '15', 'quest_defendpoint_t', 'None shall pass!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier3_3_c.stf', '16', 'quest_location_d', 'Not only have the Dathomir system been like an angry bee\'s nest of Imperials lately, they know where you are and they are heading your way! Be ready for anything!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier3_3_c.stf', '17', 'quest_location_t', 'Dathomir system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier3_3_c.stf', '18', 'quest_reachpoint_d', 'These are the coordinates we have calculated will put you in the middle of our commando team and their pursuers. Proceed to there immediately.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier3_3_c.stf', '19', 'quest_reachpoint_t', 'Coordinates of interception.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier3_3_c.stf', '20', 'quest_update', 'Rebel Command: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier3_3_c.stf', '21', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier3_3_c.stf', '22', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier3_3_c.stf', '23', 'title', 'Dathomir system: Make a stand.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier3_3_c.stf', '24', 'title_d', 'You have helped the commando team break through the Imperial blockade but there\'s multiple fighters still chasing after them. Get in their way and let none pass!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier3_3_c.stf', '25', 'trans_update', 'Rebel Command: < Our commando team are %DI percent done with calculating their hyperspace jump, hang in there! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier3_3_c.stf', '26', 'transmission_received', 'Rebel Command: < Our Commando team report that they are starting their hyperspace jump sequence. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier3_3_c.stf', '27', 'transmission_start', 'Rebel Command: < The Commando teams nav computer need about three minutes to calculate their hyperspace jump. Give them the time pilot! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier4_2_b.stf', '1', 'Quest Log Data', 'Text');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier4_2_b.stf', '2', 'arrived_at_loc', 'You are in the correct position pilot. Keep any ships out of the area until our recovery team is done, at all costs!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier4_2_b.stf', '3', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier4_2_b.stf', '4', 'attack_notify', 'Tactical Computer: < Incoming fighter vessels. Scans show weapons armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier4_2_b.stf', '5', 'attack_stopped', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier4_2_b.stf', '6', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier4_2_b.stf', '7', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier4_2_b.stf', '8', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier4_2_b.stf', '9', 'first_attack', 'Here they come pilot, make me proud!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier4_2_b.stf', '10', 'found_loc', 'A pirate attack took out one of the Empires new ships and it\'s fairly intact. We have a recovery team nearby but the Empire is on their way as well. Proceed to these coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier4_2_b.stf', '11', 'mission_complete', 'You came through in the end after all, good.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier4_2_b.stf', '12', 'outofrange', 'General Ufwol: < You are too far from your assigned area, get back there now pilot! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier4_2_b.stf', '13', 'outofrange_failed', 'General Ufwol: < Our recovery team is getting pounded by enemy fighters and are forced to retreat. You are to return to base immediately! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier4_2_b.stf', '14', 'quest_defendpoint_d', 'Our reconnaissance ships are picking up several incoming Imperial fighters. Prepare for battle and make us proud pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier4_2_b.stf', '15', 'quest_defendpoint_t', 'Incoming Imperial fighters.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier4_2_b.stf', '16', 'quest_location_d', 'The area you\'re heading in to have been the subject of several pirate attacks lately so be careful. As if that wasn\'t enough though, the amount of Imperial forces closing in is staggering.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier4_2_b.stf', '17', 'quest_location_t', 'Dathomir system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier4_2_b.stf', '18', 'quest_reachpoint_d', 'These are the coordinates assigned for you to defend. Keep an eye out for any enemy presence and let none get past you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier4_2_b.stf', '19', 'quest_reachpoint_t', 'Assigned defense coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier4_2_b.stf', '20', 'quest_update', 'General Ufwol: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier4_2_b.stf', '21', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier4_2_b.stf', '22', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier4_2_b.stf', '23', 'title', 'Dathomir system: Protect the Alliance recovery team.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier4_2_b.stf', '24', 'title_d', 'A pirate attack in the Dathomir system against the Empires forces took out one of these new Imperial prototype ships. It\'s fairly intact and one of our nearby recovery teams are moving in to collect it. Unfortunately the Empire is also moving in with a large force to make sure that nothing important was left behind by the pirates. You need to guard one of the possible routes that the Empires forces may take and prevent any of them from getting past you. The rest of our squadron is spread out guarding other intercept routes so you will be on your own out there. Good luck pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier4_2_b.stf', '25', 'trans_update', 'General Ufwol: < Our recovery team is about %DI percent done. Hang in there pilot! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier4_2_b.stf', '26', 'transmission_received', 'General Ufwol: < The recovery team is done and pulling out! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier4_2_b.stf', '27', 'transmission_start', 'General Ufwol: < Our recovery team is in position at the wreck and have begun the operation. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier4_4_a.stf', '1', 'arrived_at_loc', 'This is right in the path the Imperial scum is taking to get to the debris before us. Don\'t let anything get by pilot!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier4_4_a.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier4_4_a.stf', '3', 'attack_notify', 'Tactical Computer: < Incoming fighter vessels. Scans show weapons armed. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier4_4_a.stf', '4', 'attack_stopped', 'Tactical Computer: < No more fighter vessels within sensor range. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier4_4_a.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier4_4_a.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier4_4_a.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier4_4_a.stf', '8', 'first_attack', 'The Empire is sending everything they have, this will get rough! We\'re trying to get reinforcements to you but for now, it\'s in your hands pilot.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier4_4_a.stf', '9', 'found_loc', 'We need to buy the recovery team time, prcoeed to this location.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier4_4_a.stf', '10', 'mission_complete', 'General Ufwol: < Amazing work pilot! The recovery team is done and safely out of there. Get back to base for some well earned celebration. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier4_4_a.stf', '11', 'outofrange', 'General Ufwol: < You\'re too far away from the enemies route, they will get past you if you don\'t get back quickly! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier4_4_a.stf', '12', 'outofrange_failed', 'General Ufwol: < Our recovery team is being annihilated! Get out of there while there\'s still time! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier4_4_a.stf', '13', 'quest_defendpoint_d', 'The amount of Imperial forces heading your way is frightening. Fortunately, we have the best the Alliance can offer in their way, you!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier4_4_a.stf', '14', 'quest_defendpoint_t', 'Fend off the Imperial attack.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier4_4_a.stf', '15', 'quest_location_d', 'You\'re in a dangerous area of this dangerous system and the Imperial forces are on their way, full throttle. Prepare yourself and make the Crimson Phoenix and Alliance proud!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier4_4_a.stf', '16', 'quest_location_t', 'Endor system.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier4_4_a.stf', '17', 'quest_reachpoint_d', 'This is the waypoint to intercept the oncoming Imperial forces from. Don\'t stray from it too far or enemy fighters may slip past you.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier4_4_a.stf', '18', 'quest_reachpoint_t', 'Point of interception.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier4_4_a.stf', '19', 'quest_update', 'General Ufwol: < %TO >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier4_4_a.stf', '20', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier4_4_a.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier4_4_a.stf', '22', 'title', 'Endor system: Protect the Rebel recovery team.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier4_4_a.stf', '23', 'title_d', 'Good job pilot. Now we want the debris of that new ship that you destroyed so that we can find weaknesses in its construction. We have a recovery team on its way to collect it but unfortunately the Empire is sending a large force of their fighters to prevent our success. We need you to buy our recovery team enough time to complete their mission.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier4_4_a.stf', '24', 'trans_update', 'General Ufwol: < The recovery team is %DI percent done. Hang in there pilot, we\'re counting on you! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier4_4_a.stf', '25', 'transmission_received', 'General Ufwol: < The recovery team got all the debris, they are preparing to pull out, just a few more seconds! >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/tatooine_rebel_tier4_4_a.stf', '26', 'transmission_start', 'General Ufwol: < The recovery team has started the operation. They estimate they need about six minutes to complete the task. >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/test_survival.stf', '1', 'arrived_at_loc', 'The Rebel transmission will be easy to intercept here. Don\'t stray too far from this point. The transmission should start at any moment.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/test_survival.stf', '2', 'assigned_delayed', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/test_survival.stf', '3', 'attack_notify', ' \\#pcontrast3 Tactical Computer: < \\#pcontrast1 Enemy ships detected on attack vector. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/test_survival.stf', '4', 'attack_stopped', ' \\#pcontrast3 Tactical Computer: < \\#pcontrast1 Enemy attack wing has been eliminated. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/test_survival.stf', '5', 'autorewardbody', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/test_survival.stf', '6', 'autorewardfrom', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/test_survival.stf', '7', 'autorewardsubject', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/test_survival.stf', '8', 'first_attack', 'System scans have detected Rebel ships at lightspeed moving in your direction. You\'ve been detected. Defend yourself, but get that transmission!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/test_survival.stf', '9', 'found_loc', 'We\'ve found an ideal location to intercept the Rebel beam-wave transmission. Go there now.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/test_survival.stf', '10', 'mission_complete', 'Good job, return to base with the transmission!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/test_survival.stf', '11', 'outofrange', ' \\#pcontrast3 Comm Computer: < \\#ff0000 Transmission signal fading. Signal is too distant! \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/test_survival.stf', '12', 'outofrange_failed', ' \\#pcontrast3 Comm Computer: < \\#ff0000 Transmission signal lost! \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/test_survival.stf', '13', 'quest_defendpoint_d', '4');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/test_survival.stf', '14', 'quest_defendpoint_t', '4');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/test_survival.stf', '15', 'quest_location_d', '2');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/test_survival.stf', '16', 'quest_location_t', '2');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/test_survival.stf', '17', 'quest_reachpoint_d', '3');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/test_survival.stf', '18', 'quest_reachpoint_t', '3');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/test_survival.stf', '19', 'quest_update', ' \\#pcontrast3 Imperial Command: < \\#pcontrast1 %TO \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/test_survival.stf', '20', 'split_quest_alert', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/test_survival.stf', '21', 'split_quest_alert_fail', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/test_survival.stf', '22', 'title', 'Intercept the Rebel transmission.');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/test_survival.stf', '23', 'title_d', '1');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/test_survival.stf', '24', 'trans_update', ' \\#pcontrast3 Comm Computer: < \\#pcontrast1 %DI% of Rebel transmission received. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/test_survival.stf', '25', 'transmission_received', ' \\#pcontrast3 Comm Computer: < \\#pcontrast1 100% of transmission received. Checksum validation complete. Transmission is authentic. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/survival/test_survival.stf', '26', 'transmission_start', ' \\#pcontrast3 Comm Computer: < \\#pcontrast1 Rebel transmission detected. Recording started. \\#pcontrast3 >');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/_debug/_debug.stf', '1', 'string_0', 'thi sis a test!!!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/_debug/_debug.stf', '2', 'string_1', 'thi sis a test!!!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/_debug/_debug.stf', '3', 'string_2', 'thi sis a test!!!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/_debug/_debug.stf', '4', 'string_3', 'thi sis a test!!!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/_debug/_debug.stf', '5', 'string_4', 'thi sis a test!!!');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/_debug/_debug.stf', '6', 'string_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/_debug/_debug.stf', '7', 'string_6', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/_debug/_debug.stf', '8', 'string_7', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/_debug/_debug.stf', '9', 'string_8', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/_debug/_debug.stf', '10', 'string_9', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/_debug/_debug.stf', '11', 'temp1_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/_debug/_debug.stf', '12', 'temp1_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/_debug/_debug.stf', '13', 'temp2_d', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/_debug/_debug.stf', '14', 'temp2_t', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/_debug/_debug.stf', '15', 'test11', '');
INSERT INTO `client_strings` VALUES ('string/en/spacequest/_debug/_debug.stf', '16', 'title_d', '');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '1', 'adv_deflector_shields', 'Equipment Certification Level: 7\n\nA Mark IV deflector shield generator.  Shield generators provide a first line of defense against incoming energy weapons.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '2', 'adv_durasteel_plating', 'Equipment Certification Level: 7\n\nA Mark IV durasteel alloy plating that provides superior protection for small starfighters like the X-Wing and the Z95 Headhunter.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '3', 'adv_exhaust', 'An advanced exhaust system for a starfighter engine.  A well built exhaust system can significantly affect engine performance.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '4', 'adv_fuel_regulation', 'An advanced fuel regulation system for a starfighter engine.  The regulation system affects the fuel mixture burned by the sublight drives, so a well built system will positively affect engine performance.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '5', 'advanced_capacitor_battery', 'An advanced starship weapon capacitor battery.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '6', 'advanced_fuel_ignition', 'An advanced booster fuel ignition system.  A component used in the production of high quality starship boosters.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '7', 'advanced_fusion_core', 'An advanced fusion core.  A well built fusion core affects the generation rate of a reactor.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '8', 'advanced_power_distributor', 'An advanced reactor power distributor.  As one might expect from the name, this system distributes energy generated by the reactor to the components in a ship that require it.  ');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '9', 'advanced_projector_unit', 'An advanced projector unit.  This is the system that projects the generated shields to the parts of the ship that require it.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '10', 'advanced_recharge_module', 'An advanced recharge module for a starship weapon capacitor.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '11', 'analysis_tool', 'This tool is used by Reverse Engineers to analyze starship components.  All looted ship components have a reverse engineering level---placing that number of identical components in this tool, then using the tool, will result in the creation of a starship component superior in quality to the ones consumed in the process.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '12', 'armor_effectiveness_intensifier_mk1', 'This is a component used in the manufacture of starfighter weapons.  This component boosts the armor effectiveness of the weapon, but decreases the shield effectiveness.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '13', 'armor_effectiveness_intensifier_mk2', 'This is a component used in the manufacture of starfighter weapons.  This component boosts the armor effectiveness of the weapon, but decreases the shield effectiveness.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '14', 'armor_effectiveness_intensifier_mk3', 'This is a component used in the manufacture of starfighter weapons.  This component boosts the armor effectiveness of the weapon, but decreases the shield effectiveness.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '15', 'armor_effectiveness_intensifier_mk4', 'This is a component used in the manufacture of starfighter weapons.  This component boosts the armor effectiveness of the weapon, but decreases the shield effectiveness.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '16', 'armor_effectiveness_intensifier_mk5', 'This is a component used in the manufacture of starfighter weapons.  This component boosts the armor effectiveness of the weapon, but decreases the shield effectiveness.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '17', 'armor_reinforcement_panel_mk1', 'This is a component used in the manufacture of starfighter armor.  Using these panels will strengthen the armor, but will make your starfighter heavier.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '18', 'armor_reinforcement_panel_mk2', 'This is a component used in the manufacture of starfighter armor.  Using these panels will strengthen the armor, but will make your starfighter heavier.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '19', 'armor_reinforcement_panel_mk3', 'This is a component used in the manufacture of starfighter armor.  Using these panels will strengthen the armor, but will make your starfighter heavier.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '20', 'armor_reinforcement_panel_mk4', 'This is a component used in the manufacture of starfighter armor.  Using these panels will strengthen the armor, but will make your starfighter heavier.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '21', 'armor_reinforcement_panel_mk5', 'This is a component used in the manufacture of starfighter armor.  Using these panels will strengthen the armor, but will make your starfighter heavier.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '22', 'awing_chassis_token', 'Alliance RZ-1 A-wing Starfighter \nBy far the fastest starfighter used in the Galactic Civil War, the compact A-wing is the Rebel Alliance\'s response to the Empire\'s growing number of TIE fighters and TIE variants. Because of its speed, the A-wing excels at hit-and-run missions, long-range patrols and reconnaissance, and surgical strikes against large starships. A stock A-wing\'s speed is provided by two powerful Novaldex J-77 \"Event Horizon\" engines. A combination of adjustable thrust-vector controls built into each engine and thruster-control jets located between the engines supply the vehicle\'s famed maneuverability. Unfortunately, the A-wing\'s controls are notoriously sensitive and few pilots can handle the craft at top speed. The A-wing relies on its speed and agility in combat. Its armament is relatively weak, consisting of two wing-mounted blaster cannons. A-wings require constant maintenance, and the Alliance has found it extremely difficult to keep a squadron of A-wings operational for any length of time. Despite this, the A-wing is quickly becoming one of the galaxy\'s most prominent interceptor fighters.\n');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '23', 'blacksun_heavy_chassis_token', 'TransGalMeg \"Rihkxyrk\" (rik-zerk) Attack Ship\nBeing a relatively sluggish ship hasn\'t made the \"Rihkxyrk\" a push-over. Quite the contrary. The defenses and weapon load of most \"Rihkxyrk\" assault fighters is frightening, and is their hallmark. It can be very demoralizing to line up an \"Rihkxyrk\" in your sights and salvo off missiles and cannon pulses only to see them sloughed off by heavy-duty shielding systems and thick, heavy armor. Most \"Rihkxyrk\" pilots are an unflappable group, developing a high level of confidence in themselves and their machines after wading through heavy fire and coming through undamaged.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '24', 'blacksun_light_chassis_token', 'TransGalMeg \"Kihraxz\" (ki-Rax) Assault Fighter\nThe \"Kihraxz\" Assault Fighter is able to quickly close with and surgically attack its target before they are aware. TransGalMeg\'s design emphasis for this ship was on speed, and as a result defenses are at a premium and weapons loadout is reduced. This might be seen as a dire limitation, but the maneuverability of the ship is such that it can normally avoid attacks that would not be able to withstand. Although a cheaper ship, a number of pilots continue to fly the \"Kihraxz\" even though they could afford something larger, simply because the ship\'s performance suits their personal combat style.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '25', 'blacksun_medium_chassis_token', 'TransGalMeg \"Ixiyen\" (ix-Ehn) Fast Attack Craft\n\nThe \"Ixiyen\" is designed to be a dominant force in the average fighter-on-fighter confrontation. It is also armed and protected well enough to be able to harry much larger ships. Although not operated in large numbers by any governmental organizations, it isn\'t for lack of quality and performance. The \"Ixiyen\" is a deadly opponent and capable of holding its own against most of the front-line combat craft currently in existence.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '26', 'blaster_deflection_layer', 'A layer in advanced starfighter armor that helps reflect incoming blaster fire off the ship.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '27', 'booster_mk1', 'Equipment Certification Level: 1\n\nA Mark I starship booster.  Boosters can be used for an extra, temporary burst of speed.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '28', 'booster_mk2', 'Equipment Certification Level: 3\n\nA Mark II starship booster.  Boosters can be used for an extra, temporary burst of speed.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '29', 'booster_mk3', 'Equipment Certification Level: 5\n\nA Mark III starship booster.  Boosters can be used for an extra, temporary burst of speed.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '30', 'booster_mk4', 'Equipment Certification Level: 7\n\nA Mark IV starship booster.  Boosters can be used for an extra, temporary burst of speed.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '31', 'booster_mk5', 'Equipment Certification Level: 9\n\nA Mark V starship booster.  Boosters can be used for an extra, temporary burst of speed.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '32', 'booster_overdriver_mk1', 'This is a component used in the manufacture of starfighter boosters.  An overdriver gives a booster a higher speed and acceleration, but increases the overall mass of the ship.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '33', 'booster_overdriver_mk2', 'This is a component used in the manufacture of starfighter boosters.  An overdriver gives a booster a higher speed and acceleration, but increases the overall mass of the ship.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '34', 'booster_overdriver_mk3', 'This is a component used in the manufacture of starfighter boosters.  An overdriver gives a booster a higher speed and acceleration, but increases the overall mass of the ship.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '35', 'booster_overdriver_mk4', 'This is a component used in the manufacture of starfighter boosters.  An overdriver gives a booster a higher speed and acceleration, but increases the overall mass of the ship.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '36', 'booster_overdriver_mk5', 'This is a component used in the manufacture of starfighter boosters.  An overdriver gives a booster a higher speed and acceleration, but increases the overall mass of the ship.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '37', 'bwing_chassis_token', 'B-Wing\nPersonally designed by Commander Ackbar with the help of skilled Verpine shipbuilders as part of the Shantipole Project, the B-wing has proved one the most versatile starfighters in the galaxy. Initially, only one B-wing was produced to test the ship\'s unique design. This single starfighter was then sent on a test mission to destroy an entire TIE fighter staging area on Yunkor IX. The B-wing succeeded, and the Rebellion commissioned a full squadron of the starfighters.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '38', 'capacitor_mk1', 'Equipment Certification Level: 1\n\nA Mark I weapon capacitor.  Capacitors are used to the store the energy that powers starfighter weapon systems.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '39', 'capacitor_mk2', 'Equipment Certification Level: 3\n\nA Mark II weapon capacitor.  Capacitors are used to the store the energy that powers starfighter weapon systems.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '40', 'capacitor_mk3', 'Equipment Certification Level: 5\n\nA Mark III weapon capacitor.  Capacitors are used to the store the energy that powers starfighter weapon systems.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '41', 'capacitor_mk4', 'Equipment Certification Level: 7\n\nA Mark IV weapon capacitor.  Capacitors are used to the store the energy that powers starfighter weapon systems.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '42', 'capacitor_mk5', 'Equipment Certification Level: 9\n\nA Mark V weapon capacitor.  Capacitors are used to the store the energy that powers starfighter weapon systems.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '43', 'ddi_mk1', 'Equipment Certification Level: 1\n\nA Mark I Droid Interface.  Droid interfaces are the link between the systems of a starfighter and the astromech droid or flight computer installed in them.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '44', 'ddi_mk2', 'Equipment Certification Level: 3\n\nA Mark II Droid Interface.  Droid interfaces are the link between the systems of a starfighter and the astromech droid or flight computer installed in them.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '45', 'ddi_mk3', 'Equipment Certification Level: 5\n\nA Mark III Droid Interface.  Droid interfaces are the link between the systems of a starfighter and the astromech droid or flight computer installed in them.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '46', 'ddi_mk4', 'Equipment Certification Level: 7\n\nA Mark IV Droid Interface.  Droid interfaces are the link between the systems of a starfighter and the astromech droid or flight computer installed in them.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '47', 'ddi_mk5', 'Equipment Certification Level: 9\n\nA Mark V Droid Interface.  Droid interfaces are the link between the systems of a starfighter and the astromech droid or flight computer installed in them.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '48', 'decimator_chassis_token', 'VT49 Decimator\n\nThe VT49 Decimator is most correctly classified as an Assault ship. It is heavily armed and armored, and built to carry light to medium loads into dangerous places. Its form follows its function, and its shape offers a relatively small target with no large fins or wings as seen in some of the less combat-oriented craft of the Empire, such as the Lambda-class shuttle. Armor and deflector shielding is particularly heavy, and the weapons load-out is fearsome and includes turrets capable of engaging any target fast enough to out-maneuver the VT49.\n');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '49', 'deflector_shields', 'Equipment Certification Level: 3\n\nA Mark II deflector shield generator.  Shield generators provide a first line of defense against incoming energy weapons.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '50', 'droid_brain_upgrade_mk1', 'This is a component used in the manufacture of starfighter droid interfaces.   This upgrade increases the command speed of the interface, but also increases the energy maintenance.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '51', 'droid_brain_upgrade_mk2', 'This is a component used in the manufacture of starfighter droid interfaces.   This upgrade increases the command speed of the interface, but also increases the energy maintenance.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '52', 'droid_brain_upgrade_mk3', 'This is a component used in the manufacture of starfighter droid interfaces.   This upgrade increases the command speed of the interface, but also increases the energy maintenance.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '53', 'droid_brain_upgrade_mk4', 'This is a component used in the manufacture of starfighter droid interfaces.   This upgrade increases the command speed of the interface, but also increases the energy maintenance.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '54', 'droid_brain_upgrade_mk5', 'This is a component used in the manufacture of starfighter droid interfaces.   This upgrade increases the command speed of the interface, but also increases the energy maintenance.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '55', 'durasteel_panel', 'An armored panel made of a strong durasteel alloy.  This is the basic component in most starfighter armor.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '56', 'durasteel_plating', 'Equipment Certification Level: 3\n\nMark II durasteel plating fit for most small starfighters.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '57', 'energy_absorption_layer', 'A layer of material designed to soften the impact of energy weapons on a starfighter\'s hull.  ');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '58', 'energy_saver_battery_mk1', 'This is a component used in the manufacture of starfighter weapon capacitors.  This battery reduces the energy maintenance of the capacitor, but decreases the amount of energy the capacitor can store.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '59', 'energy_saver_battery_mk2', 'This is a component used in the manufacture of starfighter weapon capacitors.  This battery reduces the energy maintenance of the capacitor, but decreases the amount of energy the capacitor can store.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '60', 'energy_saver_battery_mk3', 'This is a component used in the manufacture of starfighter weapon capacitors.  This battery reduces the energy maintenance of the capacitor, but decreases the amount of energy the capacitor can store.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '61', 'energy_saver_battery_mk4', 'This is a component used in the manufacture of starfighter weapon capacitors.  This battery reduces the energy maintenance of the capacitor, but decreases the amount of energy the capacitor can store.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '62', 'energy_saver_battery_mk5', 'This is a component used in the manufacture of starfighter weapon capacitors.  This battery reduces the energy maintenance of the capacitor, but decreases the amount of energy the capacitor can store.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '63', 'eng_mk1', 'Equipment Certification Level: 1\n\nA mark I starfighter engine.  Engines of this size are good for rookie pilots not comfortable with high performance models, or for pilots who want to concentrate their resources on higher firepower.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '64', 'eng_mk2', 'Equipment Certification Level: 3\n\nA mark II starfighter engine.  Bigger and faster than the Mark I models.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '65', 'eng_mk3', 'Equipment Certification Level: 5\n\nA mark III starfighter engine.  This is a midsize engine that can be tweaked for some serious speed.  It is still outclassed in size and speed by higher model engines, but for pilots working with smaller reactors and chassis, the mark III is a good choice.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '66', 'eng_mk4', 'Equipment Certification Level: 7\n\nA mark IV starfighter engine.  A solid-performing midsize engine.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '67', 'eng_mk5', 'Equipment Certification Level: 9\n\nA mark V starfigher engine.  A solid-performing midsize engine.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '68', 'engine_limiter_mk1', 'This is a component used in the manufacture of starfighter engines.  A limiter decreases energy maintenance, but negatively impacts acceleration and speed.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '69', 'engine_limiter_mk2', 'This is a component used in the manufacture of starfighter engines.  A limiter decreases energy maintenance, but negatively impacts acceleration and speed.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '70', 'engine_limiter_mk3', 'This is a component used in the manufacture of starfighter engines.  A limiter decreases energy maintenance, but negatively impacts acceleration and speed.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '71', 'engine_limiter_mk4', 'This is a component used in the manufacture of starfighter engines.  A limiter decreases energy maintenance, but negatively impacts acceleration and speed.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '72', 'engine_limiter_mk5', 'This is a component used in the manufacture of starfighter engines.  A limiter decreases energy maintenance, but negatively impacts acceleration and speed.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '73', 'engine_mass_reduction_kit_mk1', 'This is a component used in the manufacture of starfighter engines.   This kit decreases the overall mass of an engine, but also decreases the deceleration ability of the ship.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '74', 'engine_mass_reduction_kit_mk2', 'This is a component used in the manufacture of starfighter engines.   This kit decreases the overall mass of an engine, but also decreases the deceleration ability of the ship.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '75', 'engine_mass_reduction_kit_mk3', 'This is a component used in the manufacture of starfighter engines.   This kit decreases the overall mass of an engine, but also decreases the deceleration ability of the ship.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '76', 'engine_mass_reduction_kit_mk4', 'This is a component used in the manufacture of starfighter engines.   This kit decreases the overall mass of an engine, but also decreases the deceleration ability of the ship.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '77', 'engine_mass_reduction_kit_mk5', 'This is a component used in the manufacture of starfighter engines.   This kit decreases the overall mass of an engine, but also decreases the deceleration ability of the ship.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '78', 'engine_overdriver_mk1', 'This is a component used in the manufacture of starfighter engines.  An overdriver increases acceleration and speed, but also increases energy maintenance.  ');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '79', 'engine_overdriver_mk2', 'This is a component used in the manufacture of starfighter engines.  An overdriver increases acceleration and speed, but also increases energy maintenance.  ');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '80', 'engine_overdriver_mk3', 'This is a component used in the manufacture of starfighter engines.  An overdriver increases acceleration and speed, but also increases energy maintenance.  ');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '81', 'engine_overdriver_mk4', 'This is a component used in the manufacture of starfighter engines.  An overdriver increases acceleration and speed, but also increases energy maintenance.  ');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '82', 'engine_overdriver_mk5', 'This is a component used in the manufacture of starfighter engines.  An overdriver increases acceleration and speed, but also increases energy maintenance.  ');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '83', 'exp_deflector_shields', 'Equipment Certification Level: 9\n\nA Mark V deflector shield generator.  Shield generators provide a first line of defense against incoming energy weapons.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '84', 'exp_durasteel_plating', 'Equipment Certification Level: 9\n\nA Mark V durasteel alloy that provides excellent protection for small starfighters.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '85', 'extended_life_battery_mk1', 'This is a component used in the manufacture of starfighter weapon capacitors.  This battery increases the amount of energy a capacitor can store, but has a slow recharge rate.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '86', 'extended_life_battery_mk2', 'This is a component used in the manufacture of starfighter weapon capacitors.  This battery increases the amount of energy a capacitor can store, but has a slow recharge rate.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '87', 'extended_life_battery_mk3', 'This is a component used in the manufacture of starfighter weapon capacitors.  This battery increases the amount of energy a capacitor can store, but has a slow recharge rate.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '88', 'extended_life_battery_mk4', 'This is a component used in the manufacture of starfighter weapon capacitors.  This battery increases the amount of energy a capacitor can store, but has a slow recharge rate.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '89', 'extended_life_battery_mk5', 'This is a component used in the manufacture of starfighter weapon capacitors.  This battery increases the amount of energy a capacitor can store, but has a slow recharge rate.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '90', 'extended_life_fuel_cell_mk1', 'This is a component used in the manufacture of starfighter boosters.  The extended life fuel cell increases the amount of energy a booster can store, but the energy recharges slower.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '91', 'extended_life_fuel_cell_mk2', 'This is a component used in the manufacture of starfighter boosters.  The extended life fuel cell increases the amount of energy a booster can store, but the energy recharges slower.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '92', 'extended_life_fuel_cell_mk3', 'This is a component used in the manufacture of starfighter boosters.  The extended life fuel cell increases the amount of energy a booster can store, but the energy recharges slower.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '93', 'extended_life_fuel_cell_mk4', 'This is a component used in the manufacture of starfighter boosters.  The extended life fuel cell increases the amount of energy a booster can store, but the energy recharges slower.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '94', 'extended_life_fuel_cell_mk5', 'This is a component used in the manufacture of starfighter boosters.  The extended life fuel cell increases the amount of energy a booster can store, but the energy recharges slower.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '95', 'fast_charge_fuel_cell_mk1', 'This is a component used in the manufacture of starfighter boosters.  A fast charge fuel cell recharges faster than other fuel cells, but can store less energy overall.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '96', 'fast_charge_fuel_cell_mk2', 'This is a component used in the manufacture of starfighter boosters.  A fast charge fuel cell recharges faster than other fuel cells, but can store less energy overall.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '97', 'fast_charge_fuel_cell_mk3', 'This is a component used in the manufacture of starfighter boosters.  A fast charge fuel cell recharges faster than other fuel cells, but can store less energy overall.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '98', 'fast_charge_fuel_cell_mk4', 'This is a component used in the manufacture of starfighter boosters.  A fast charge fuel cell recharges faster than other fuel cells, but can store less energy overall.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '99', 'fast_charge_fuel_cell_mk5', 'This is a component used in the manufacture of starfighter boosters.  A fast charge fuel cell recharges faster than other fuel cells, but can store less energy overall.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '100', 'firespray_chassis_token', 'KSE Firespray\n\nThe Firespray-class patrol and attack ship has been recently re-introduced to the market by Kuat Systems Engineering. Although the original design was generated a number of years earlier, the prototype vessels built at that time were all lost in the hangar where they were being stored during an unfortunate prison escape incident. A sole ship survived the catastrophe and the design has since attained some notoriety owing to the escapades of its pilot. Rather than building to contract, KSE had generated the Firespray design as a project to shop around and had fronted all the cash for the prototypes, confident that once people had seen their performance purchase orders would come rolling in. Instead, the loss of the prototypes put the company in financial dire straights with nothing concrete to show for the Firespray project, and no way to generate interest in the product through demonstrations. Having already drained accounts originally stocked by a huge initial financial outlay, KSE mothballed the project and everything that had been built so far, including reams of technical data and all of the specialized tools used to build the prototype vessels. KSE then went on to enhance their existing offerings and go on to carve an even larger niche for themselves in the market for post-sale ship upgrade kits.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '101', 'fusion_reactor_mk1', 'Equipment Certification Level: 1\n\nA Mark I fusion reactor.  This provides enough power to run a small starfighter.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '102', 'fusion_reactor_mk2', 'Equipment Certification Level: 3\n\nA Mark II fusion reactor.  This provides enough power to run a small starfighter.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '103', 'fusion_reactor_mk3', 'Equipment Certification Level: 5\n\nA Mark III fusion reactor.  This provides enough power to run a small starfighter.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '104', 'fusion_reactor_mk4', 'Equipment Certification Level: 7\n\nA Mark IV fusion reactor.  This provides enough power to run a small starfighter.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '105', 'fusion_reactor_mk5', 'Equipment Certification Level: 9\n\nA Mark V fusion reactor.  This provides enough power to run a small starfighter.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '106', 'heavy_battery_mk1', 'This is a component used in the manufacture of starfighter capacitors. A heavy battery increases the maximum energy storage of a capacitor, but also increases the energy maintenance.  ');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '107', 'heavy_battery_mk2', 'This is a component used in the manufacture of starfighter capacitors. A heavy battery increases the maximum energy storage of a capacitor, but also increases the energy maintenance.  ');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '108', 'heavy_battery_mk3', 'This is a component used in the manufacture of starfighter capacitors. A heavy battery increases the maximum energy storage of a capacitor, but also increases the energy maintenance.  ');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '109', 'heavy_battery_mk4', 'This is a component used in the manufacture of starfighter capacitors. A heavy battery increases the maximum energy storage of a capacitor, but also increases the energy maintenance.  ');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '110', 'heavy_battery_mk5', 'This is a component used in the manufacture of starfighter capacitors. A heavy battery increases the maximum energy storage of a capacitor, but also increases the energy maintenance.  ');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '111', 'heavy_deflector_shields', 'Equipment Certification Level: 5\n\nA Mark V deflector shield generator.  Shield generators provide a first line of defense against incoming energy weapons.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '112', 'heavy_fuel_cell_mk1', 'This is a component used in the manufacture of starfighter boosters.  A heavy fuel cell increases the energy a booster can store, but also increases the consumption rate.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '113', 'heavy_fuel_cell_mk2', 'This is a component used in the manufacture of starfighter boosters.  A heavy fuel cell increases the energy a booster can store, but also increases the consumption rate.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '114', 'heavy_fuel_cell_mk3', 'This is a component used in the manufacture of starfighter boosters.  A heavy fuel cell increases the energy a booster can store, but also increases the consumption rate.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '115', 'heavy_fuel_cell_mk4', 'This is a component used in the manufacture of starfighter boosters.  A heavy fuel cell increases the energy a booster can store, but also increases the consumption rate.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '116', 'heavy_fuel_cell_mk5', 'This is a component used in the manufacture of starfighter boosters.  A heavy fuel cell increases the energy a booster can store, but also increases the consumption rate.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '117', 'hutt_heavy_chassis_token', 'MandalorMotors M12-L multi-role starfighter\nThe Hutt crime organization, having set their sites on uncontested domination of the Galaxy\'s space smuggling and pilot / mercenary economies, returned to MandalorMotors for yet another custom starship. The M12-L is a long-range multi-role starfighter with exceptional weapons capabilities and superb defensive systems. The numerous gun emplacements available aboard the M12 \"Kimogila\" allow it to serve as a heavy fighter, while its generous torpedo capabilities allow it to play the role of a \'bomber\' in special circumstances. Due to its flexibility, this starfighter is beginning to enjoy a high degree of popularity among the free mercenaries in Dathomir and Endor.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '118', 'hutt_lgt_body', 'A body segment for a Scyk M3-A fighter.  Multiple wing types can be attached to this style of body.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '119', 'hutt_lgt_wing_s01', 'A wing variant for the Scyk M3-A fighter.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '120', 'hutt_lgt_wing_s02', 'A wing variant for the Scyk M3-A fighter.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '121', 'hutt_light_chassis_token', 'MandalorMotors M3-A interceptor\nThis lightly-armored interceptor was the first of a custom starfighter series commissioned by the Hutt crime organization (although no hard evidence remains to support this).  Rumors also indicate that MandalorMotors has reaped significant financial benefits from playing both sides of the Galactic Civil War. Even in the face of tremendous personal risk, the executives of MandalorMotors have opted to provide custom products to both the Empire and the Rebel Alliance, while supporting a gray-market of parts and accessories to private space pilots and the discerning smuggler. The M3-A \"Scyk\" is a very accurate, nimble fighter that functions especially well for base defense and capital ship escort duties. It\'s limited loadout makes it a reasonable choice for short-range strikes en masse, but it\'s obvious lack of armor make it unattractive for assaults on heavily armored targets.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '122', 'hutt_medium_chassis_token', 'MandalorMotors G1-M4-C starfighter\nAs Outer Rim merchants forged relationships with high-end starship armor and shield system suppliers, the Hutt crime organization had to change their tactics. To continue unfettered piracy of the remote regions, (and to maintain profit margins) the Hutts commissioned a second ship from MandalorMotors; a more capable, more heavily armored starship with significantly increased firepower over the \"Scyk,\" but without sacrificing too much of the maneuverability upon which Hutt pilots had grown to rely. The result is the G1-M4-C \"Dunelizard\" starfighter: a lean, muscular space craft with impressive agility, and a generous weapons loadout. ');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '123', 'hutt_turret_ship_chassis_token', 'MandalorMotors M22-T heavy assault starfighter\nThe Hutt crime faction\'s space piracy operations have met with a considerable amount of success of late. This is due in no small part to the Empire splitting its attention between piracy suppression and the growing Alliance threat. Sensing an opportunity and spurred on by his pirate fleet\'s recent accomplishments, Jabba has seen fit to commit more of his resources to the development of larger and more powerful craft. Thus, Jabba commissioned the development of the M22-T Krayt, a turreted heavy fighter designed with the goal of creating a more powerful craft that will hopefully allow fewer pilots to do the work of many. The way Jabba sees it, if he has fewer people flying for him, he doesn\'t have to split the proceeds from his piracy operation with as many people.\n	The M22-T Krayt is built in the same format seen in most in heavy star fighters, with flight crew being limited to workstations accessed from outside the craft. All other interior space is service-access only and can not be accessed during flight. Increases in chassis space have all been allocated to combat equipment such as the turret and its support systems. Regardless of whether the new design serves Jabba\'s needs, most independent operators are considering the possibility of operating a 2-person ship, something that prior to the M22-T had only been the purview of the military.\n');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '124', 'hvy_durasteel_plating', 'Equipment Certification Level: 5\n\nA Mark III durasteel alloy that provides quality protection for small starfighters.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '125', 'hyperdrive_class1', 'A class 1 hyperdrive unit.   One of the fastest classes of hyperdrive commercially available.  Faster speeds can be achieved, but only through extensive modification.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '126', 'hyperdrive_class2', 'A class 2 hyperdrive.  This is a fairly standard hyperdrive equipped on many production model starfighters.  ');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '127', 'hyperdrive_class3', 'A class 3 hyperdrive.  A comparatively slow hyperdrive to the class 1 and 2 models, but still good for fast travel between systems.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '128', 'lgt_durasteel_plating', 'Equipment Certification Level: 1\n\nA Mark I durasteel alloy that provides adequate protection for small starfighters.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '129', 'light_deflector_shields', 'Equipment Certification Level: 1\n\nA Mark I deflector shield generator.  Shield generators provide a first line of defense against incoming energy weapons.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '130', 'maintenance_reduction_kit_mk1', 'This is a component used in the manufacture of starfighter droid interfaces.  This upgrade will bring the energy maintenance of the interface down, but will also negatively impact the droid command speed.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '131', 'maintenance_reduction_kit_mk2', 'This is a component used in the manufacture of starfighter droid interfaces.  This upgrade will bring the energy maintenance of the interface down, but will also negatively impact the droid command speed.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '132', 'maintenance_reduction_kit_mk3', 'This is a component used in the manufacture of starfighter droid interfaces.  This upgrade will bring the energy maintenance of the interface down, but will also negatively impact the droid command speed.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '133', 'maintenance_reduction_kit_mk4', 'This is a component used in the manufacture of starfighter droid interfaces.  This upgrade will bring the energy maintenance of the interface down, but will also negatively impact the droid command speed.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '134', 'maintenance_reduction_kit_mk5', 'This is a component used in the manufacture of starfighter droid interfaces.  This upgrade will bring the energy maintenance of the interface down, but will also negatively impact the droid command speed.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '135', 'mass_reduction_kit_mk1', 'This is a component used in the manufacture of starfighter armor.  This kit will reduce the weight of the armor, but will negatively affect the strength of the armor.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '136', 'mass_reduction_kit_mk2', 'This is a component used in the manufacture of starfighter armor.  This kit will reduce the weight of the armor, but will negatively affect the strength of the armor.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '137', 'mass_reduction_kit_mk3', 'This is a component used in the manufacture of starfighter armor.  This kit will reduce the weight of the armor, but will negatively affect the strength of the armor.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '138', 'mass_reduction_kit_mk4', 'This is a component used in the manufacture of starfighter armor.  This kit will reduce the weight of the armor, but will negatively affect the strength of the armor.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '139', 'mass_reduction_kit_mk5', 'This is a component used in the manufacture of starfighter armor.  This kit will reduce the weight of the armor, but will negatively affect the strength of the armor.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '140', 'max_damage_intensifier_mk1', 'This is a component used in the manufacture of starfighter weapons.  It increases the maximum damage potential of a weapon, but decreases the minimum damage.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '141', 'max_damage_intensifier_mk2', 'This is a component used in the manufacture of starfighter weapons.  It increases the maximum damage potential of a weapon, but decreases the minimum damage.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '142', 'max_damage_intensifier_mk3', 'This is a component used in the manufacture of starfighter weapons.  It increases the maximum damage potential of a weapon, but decreases the minimum damage.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '143', 'max_damage_intensifier_mk4', 'This is a component used in the manufacture of starfighter weapons.  It increases the maximum damage potential of a weapon, but decreases the minimum damage.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '144', 'max_damage_intensifier_mk5', 'This is a component used in the manufacture of starfighter weapons.  It increases the maximum damage potential of a weapon, but decreases the minimum damage.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '145', 'min_damage_intensifier_mk1', 'This is a component used in the manufacture of starfighter weapons.  It increases the minimum damage potential of a weapon, but decreases the maximum damage.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '146', 'min_damage_intensifier_mk2', 'This is a component used in the manufacture of starfighter weapons.  It increases the minimum damage potential of a weapon, but decreases the maximum damage.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '147', 'min_damage_intensifier_mk3', 'This is a component used in the manufacture of starfighter weapons.  It increases the minimum damage potential of a weapon, but decreases the maximum damage.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '148', 'min_damage_intensifier_mk4', 'This is a component used in the manufacture of starfighter weapons.  It increases the minimum damage potential of a weapon, but decreases the maximum damage.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '149', 'min_damage_intensifier_mk5', 'This is a component used in the manufacture of starfighter weapons.  It increases the minimum damage potential of a weapon, but decreases the maximum damage.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '150', 'primary_fuel_tank', 'A primary fuel source for a starship booster system.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '151', 'quick_recharge_battery_mk1', 'This is a component used in the manufacture of starfighter capacitors.  This battery recharges faster than most, but can store less energy overall.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '152', 'quick_recharge_battery_mk2', 'This is a component used in the manufacture of starfighter capacitors.  This battery recharges faster than most, but can store less energy overall.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '153', 'quick_recharge_battery_mk3', 'This is a component used in the manufacture of starfighter capacitors.  This battery recharges faster than most, but can store less energy overall.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '154', 'quick_recharge_battery_mk4', 'This is a component used in the manufacture of starfighter capacitors.  This battery recharges faster than most, but can store less energy overall.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '155', 'quick_recharge_battery_mk5', 'This is a component used in the manufacture of starfighter capacitors.  This battery recharges faster than most, but can store less energy overall.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '156', 'quick_shot_upgrade_mk1', 'This is a component used in the manufacture of starfighter weapons.  It increases the firing rate of the weapon, but also increases the capacitor energy required per shot.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '157', 'quick_shot_upgrade_mk2', 'This is a component used in the manufacture of starfighter weapons.  It increases the firing rate of the weapon, but also increases the capacitor energy required per shot.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '158', 'quick_shot_upgrade_mk3', 'This is a component used in the manufacture of starfighter weapons.  It increases the firing rate of the weapon, but also increases the capacitor energy required per shot.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '159', 'quick_shot_upgrade_mk4', 'This is a component used in the manufacture of starfighter weapons.  It increases the firing rate of the weapon, but also increases the capacitor energy required per shot.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '160', 'quick_shot_upgrade_mk5', 'This is a component used in the manufacture of starfighter weapons.  It increases the firing rate of the weapon, but also increases the capacitor energy required per shot.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '161', 'reactor_limiter_mk1', 'This is a component used in the manufacture of starfighter reactors.  The limiter lowers the mass of the reactor, but also lowers the amount of energy it can generate.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '162', 'reactor_limiter_mk2', 'This is a component used in the manufacture of starfighter reactors.  The limiter lowers the mass of the reactor, but also lowers the amount of energy it can generate.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '163', 'reactor_limiter_mk3', 'This is a component used in the manufacture of starfighter reactors.  The limiter lowers the mass of the reactor, but also lowers the amount of energy it can generate.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '164', 'reactor_limiter_mk4', 'This is a component used in the manufacture of starfighter reactors.  The limiter lowers the mass of the reactor, but also lowers the amount of energy it can generate.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '165', 'reactor_limiter_mk5', 'This is a component used in the manufacture of starfighter reactors.  The limiter lowers the mass of the reactor, but also lowers the amount of energy it can generate.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '166', 'reactor_overcharger_mk1', 'This is a component used in the manufacture of starfighter reactors.  An overcharger increases the amount of energy a reactor generates, but also increases the mass.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '167', 'reactor_overcharger_mk2', 'This is a component used in the manufacture of starfighter reactors.  An overcharger increases the amount of energy a reactor generates, but also increases the mass.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '168', 'reactor_overcharger_mk3', 'This is a component used in the manufacture of starfighter reactors.  An overcharger increases the amount of energy a reactor generates, but also increases the mass.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '169', 'reactor_overcharger_mk4', 'This is a component used in the manufacture of starfighter reactors.  An overcharger increases the amount of energy a reactor generates, but also increases the mass.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '170', 'reactor_overcharger_mk5', 'This is a component used in the manufacture of starfighter reactors.  An overcharger increases the amount of energy a reactor generates, but also increases the mass.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '171', 'retrofit_kit', 'A retrofit kit is used in the reverse engineering process.  It contains parts necessary for breaking down and rebuilding used spaceship parts.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '172', 'rev_deed', 'This is a disk containing a schematic for a spaceship component improved by the reverse engineering process.  Using this disk will give you the schematic.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '173', 'secondary_fuel_tank', 'An alternate fuel source for a starship booster system.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '174', 'shield_effectiveness_intensifier_mk1', 'This is a component used in the manufacture of starfighter weapons.  It increases a weapon\'s effectiveness against shields, but decreases its effectiveness against armor plating.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '175', 'shield_effectiveness_intensifier_mk2', 'This is a component used in the manufacture of starfighter weapons.  It increases a weapon\'s effectiveness against shields, but decreases its effectiveness against armor plating.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '176', 'shield_effectiveness_intensifier_mk3', 'This is a component used in the manufacture of starfighter weapons.  It increases a weapon\'s effectiveness against shields, but decreases its effectiveness against armor plating.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '177', 'shield_effectiveness_intensifier_mk4', 'This is a component used in the manufacture of starfighter weapons.  It increases a weapon\'s effectiveness against shields, but decreases its effectiveness against armor plating.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '178', 'shield_effectiveness_intensifier_mk5', 'This is a component used in the manufacture of starfighter weapons.  It increases a weapon\'s effectiveness against shields, but decreases its effectiveness against armor plating.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '179', 'shield_energy_saver_kit_mk1', 'This is a component used in the manufacture of starfighter shield generators.  An energy saver kit decreases the energy maintenance of the generator, but also decreases the shield effectiveness.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '180', 'shield_energy_saver_kit_mk2', 'This is a component used in the manufacture of starfighter shield generators.  An energy saver kit decreases the energy maintenance of the generator, but also decreases the shield effectiveness.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '181', 'shield_energy_saver_kit_mk3', 'This is a component used in the manufacture of starfighter shield generators.  An energy saver kit decreases the energy maintenance of the generator, but also decreases the shield effectiveness.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '182', 'shield_energy_saver_kit_mk4', 'This is a component used in the manufacture of starfighter shield generators.  An energy saver kit decreases the energy maintenance of the generator, but also decreases the shield effectiveness.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '183', 'shield_energy_saver_kit_mk5', 'This is a component used in the manufacture of starfighter shield generators.  An energy saver kit decreases the energy maintenance of the generator, but also decreases the shield effectiveness.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '184', 'shield_intensifier_mk1', 'This is a component used in the manufacture of starfighter shield generators.  An intensifier increases the shield effectiveness, but also increases the energy maintenance.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '185', 'shield_intensifier_mk2', 'This is a component used in the manufacture of starfighter shield generators.  An intensifier increases the shield effectiveness, but also increases the energy maintenance.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '186', 'shield_intensifier_mk3', 'This is a component used in the manufacture of starfighter shield generators.  An intensifier increases the shield effectiveness, but also increases the energy maintenance.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '187', 'shield_intensifier_mk4', 'This is a component used in the manufacture of starfighter shield generators.  An intensifier increases the shield effectiveness, but also increases the energy maintenance.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '188', 'shield_intensifier_mk5', 'This is a component used in the manufacture of starfighter shield generators.  An intensifier increases the shield effectiveness, but also increases the energy maintenance.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '189', 'shield_limiter_mk1', 'This is a component used in the manufacture of starfighter shield generators.  A limiter decreases the effectiveness of the generator, but increases the recharge rate of the shields.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '190', 'shield_limiter_mk2', 'This is a component used in the manufacture of starfighter shield generators.  A limiter decreases the effectiveness of the generator, but increases the recharge rate of the shields.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '191', 'shield_limiter_mk3', 'This is a component used in the manufacture of starfighter shield generators.  A limiter decreases the effectiveness of the generator, but increases the recharge rate of the shields.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '192', 'shield_limiter_mk4', 'This is a component used in the manufacture of starfighter shield generators.  A limiter decreases the effectiveness of the generator, but increases the recharge rate of the shields.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '193', 'shield_limiter_mk5', 'This is a component used in the manufacture of starfighter shield generators.  A limiter decreases the effectiveness of the generator, but increases the recharge rate of the shields.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '194', 'shield_overcharger_mk1', 'This is a component used in the manufacture of starfighter shield generators.  An overcharger increases the effectiveness of shields, but decreases the recharge rate.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '195', 'shield_overcharger_mk2', 'This is a component used in the manufacture of starfighter shield generators.  An overcharger increases the effectiveness of shields, but decreases the recharge rate.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '196', 'shield_overcharger_mk3', 'This is a component used in the manufacture of starfighter shield generators.  An overcharger increases the effectiveness of shields, but decreases the recharge rate.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '197', 'shield_overcharger_mk4', 'This is a component used in the manufacture of starfighter shield generators.  An overcharger increases the effectiveness of shields, but decreases the recharge rate.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '198', 'shield_overcharger_mk5', 'This is a component used in the manufacture of starfighter shield generators.  An overcharger increases the effectiveness of shields, but decreases the recharge rate.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '199', 'ship_deed', 'A deed for a completed starship chassis.  If the owner of this deed does not currently own a ship, this can be unpacked into a working starship chassis.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '200', 'speed_limiter_upgrade_mk1', 'This is a component used in the manufacture of starfighter weapons.  A limiter decreases the firing rate of a weapon, but also decreases the capacitor energy required per shot.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '201', 'speed_limiter_upgrade_mk2', 'This is a component used in the manufacture of starfighter weapons.  A limiter decreases the firing rate of a weapon, but also decreases the capacitor energy required per shot.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '202', 'speed_limiter_upgrade_mk3', 'This is a component used in the manufacture of starfighter weapons.  A limiter decreases the firing rate of a weapon, but also decreases the capacitor energy required per shot.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '203', 'speed_limiter_upgrade_mk4', 'This is a component used in the manufacture of starfighter weapons.  A limiter decreases the firing rate of a weapon, but also decreases the capacitor energy required per shot.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '204', 'speed_limiter_upgrade_mk5', 'This is a component used in the manufacture of starfighter weapons.  A limiter decreases the firing rate of a weapon, but also decreases the capacitor energy required per shot.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '205', 'standard_capacitor_battery', 'A standard grade starship weapon capacitor battery.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '206', 'standard_fuel_ignition', 'A standard booster fuel ignition system.  A component used in the production of starship boosters.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '207', 'standard_fusion_core', 'A standard fusion core.  A well built fusion core affects the generation rate of a reactor.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '208', 'standard_power_distributor', 'As one might expect from the name, this system distributes energy generated by the reactor to the components in a ship that require it.  ');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '209', 'standard_projector_unit', 'A standard projector unit.  This is the system that projects the generated shields to the parts of the ship that require it.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '210', 'standard_recharge_module', 'A standard grade recharge module for a starship weapon capacitor.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '211', 'std_exhaust', 'A standard exhaust system for a starfighter engine.  A well built exhaust system can significantly affect engine performance.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '212', 'std_fuel_regulation', 'An advanced fuel regulation system for a starfighter engine.  The regulation system affects the fuel mixture burned by the sublight drives, so a well built system will positively affect engine performance.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '213', 'texture_kit_s01', 'This kit can change the paint style of a starfighter.\n\nRESTRICTIONS:  Imperial ships may not be re-textured.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '214', 'texture_kit_s02', 'This kit can change the paint style of a starfighter.\n\nRESTRICTIONS:  Imperial ships may not be re-textured.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '215', 'texture_kit_s03', 'This kit can change the paint style of a starfighter.\n\nRESTRICTIONS:  Imperial ships may not be re-textured.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '216', 'texture_kit_s04', 'This kit can change the paint style of a starfighter.\n\nRESTRICTIONS:  Imperial ships may not be re-textured.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '217', 'texture_kit_s05', 'This kit can change the paint style of a starfighter.\n\nRESTRICTIONS:  Imperial ships may not be re-textured.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '218', 'texture_kit_s06', 'This kit can change the paint style of a starfighter.\n\nRESTRICTIONS:  Imperial ships may not be re-textured.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '219', 'tie_fighter_body', 'A body segment for a TIE style fighter.  This is a required component on all TIE variants.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '220', 'tie_in_chassis_token', 'Sienar Fleet Systems TIE/ln Space Superiority Starfighter \nFrom the beginning of the Galactic Civil War, the Emperor has stressed that the conflict will be a war of attrition. Nowhere is that philosophy more evident than in the design and tactics of the staple starfighter of the Imperial Navy, the TIE fighter. TIE fighters are meant to overwhelm enemy forces in huge numbers and have therefore been designed for speed and affordability rather than resilience. The TIE fighter is built around twin ion engine technology and is among the fastest and most maneuverable craft in the galaxy. The TIE fighter can outrun most Alliance vehicles. And while the TIE fighter\'s standard laser cannons are not very powerful on their own, when dozens of TIE fighters attack simultaneously, they can demolish anything in their path.\n\nThe TIE/ln is the direct result of the continual evolution of the TIE fighter design. Revisions in the design brought on by analysis of engagements in which the TIE fighter participated have directed the implementation of little changes to the design which have reached their current level of development in the TIE/ln. This improved TIE can carry a slightly heavier load of weaponry and avionics. The only externally visible difference between the TIE/ln and the TIE is that the newer revision is a slightly darker color.\n');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '221', 'tie_light_duty_chassis_token', 'Sienar Fleet Systems TIE Space Superiority Starfighter \nFrom the beginning of the Galactic Civil War, the Emperor has stressed that the conflict will be a war of attrition. Nowhere is that philosophy more evident than in the design and tactics of the staple starfighter of the Imperial Navy, the TIE fighter. TIE fighters are meant to overwhelm enemy forces in huge numbers and have therefore been designed for speed and affordability rather than resilience. The TIE fighter is built around twin ion engine technology and is among the fastest and most maneuverable craft in the galaxy. The TIE fighter can outrun most Alliance vehicles. And while the TIE fighter\'s standard laser cannons are not very powerful on their own, when dozens of TIE fighters attack simultaneously, they can demolish anything in their path.\n\nThe TIE Light Duty is a slighty less powerful version of the TIE fighter. It is used to allow new pilots to get used to the unique nature of flight combat operations in space, without using up more expensive higher-end vessels. TIE Light Duty\'s are either high-mileage units that are pulled off the line and rebuilt, or are new hulls fitted out with salvaged and refurbished parts. In addition to using lesser-rated parts in the construction of the TIE Light Duty, limiters are placed on the power generation and other systems in an effort to both keep the trainee pilot out of trouble, and prevent over-stressing the weaker equipment.\n');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '222', 'tieadvanced_chassis_token', 'Sienar Fleet Systems TIE Advanced x1 Prototype \nThe TIE Advanced is the prototype TIE fighter flown by Darth Vader at the Battle of Yavin. An experimental craft combining TIE fighter technology with more conventional starfighter components, like a hyperdrive and deflector shield generators, the TIE Advanced eventually became the template for the incredibly efficient TIE interceptor. As in all TIE starfighters, the prototype\'s propulsion system revolves around twin ion engines, although its solar ionization reactor is much more powerful than those on standard TIE fighters. Despite the improved power supply, Vader\'s TIE proved only slightly faster than the previous TIE models due to inefficient shield generators, which consumed a great deal of power, and the increased mass created by the addition of heavy armor plating. With Darth Vader at the controls, the TIE Advanced is a devastating starfighter. While piloting the prototype, Vader very nearly thwarted the Rebel Alliance\'s attempt to destroy the Death Star. Only the last-minute arrival of Han Solo and the Millennium Falcon prevented the Sith Lord from firing on Luke Skywalker\'s X-wing. After being clipped by the Falcon\'s quad laser cannons, the prototype spun into space. Vader eventually regained of control of the craft and fled to the nearest Imperial facility. The prototype has been repaired and remains one of Vader\'s most prized possessions. ');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '223', 'tieaggressor_chassis_token', 'SANTHE/SIENAR Technologies TIE Aggressor\nThe TIE Aggressor is a heavy fighter-bomber multi-role craft that was developed prior to the destruction of the first Death Star and as a direct response to a perceived growth in the amount of heavy shipping aligned with the Rebel Alliance. Its most obvious design feature is an anti-fighter defensive turret mounted on the aft dorsal surface of the fuselage, and a heavier than normal forward-firing laser cannon battery. \nThe TIE Aggressor is neither fighter nor bomber, but rather something in between. It\'s a favorite with the more free-spirited pilots of the Imperial fighter cadre who enjoy longer missions away from base where they can be apart from the larger formations normally associated with an Imperial raid on Rebellion re-supply shipping.\n\nThe TIE Aggressor can accomodate a second person in the gunner position.  You must launch while grouped with a friend to take advantage of this feature.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '224', 'tiebomber_chassis_token', 'Sienar Fleet Systems TIE Bomber \nOf all the TIE fighter variants produced by Sienar Fleet Systems for the Galactic Empire, the TIE bomber is one of the most effective. The heavy assault ship, designed for strategic strikes against surface and deep space targets, is one of the most heavily-armed starships in the Imperial fleet. TIE bombers utilize the distinctive bent wings found on the TIE Advanced prototype. These solar array panels frame a rounded TIE cockpit and a large ordnance pod that can be configured to carry a wide array of destructive weapons. While not nearly as fast or agile as the original TIE fighter, TIE bombers are much more destructive. A single TIE bomber\'s payload can include a volatile combination of torpedoes, missiles, and other explosives. TIE bombers are deployed against space stations, orbital docking platforms, and orbital facilities, but they are especially effective against capital ships. After standard TIE fighters weaken the target\'s defenses, the bombers swoop in to disable vital areas such as the shield generators and engines.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '225', 'tiefighter_chassis_token', 'Sienar Fleet Systems TIE/Ln Space Superiority Starfighter \nFrom the beginning of the Galactic Civil War, the Emperor has stressed that the conflict will be a war of attrition. Nowhere is that philosophy more evident than in the design and tactics of the staple starfighter of the Imperial Navy, the TIE fighter. TIE fighters are meant to overwhelm enemy forces in huge numbers and have therefore been designed for speed and affordability rather than resilience. The TIE fighter is built around twin ion engine technology and is among the fastest and most maneuverable craft in the galaxy. The TIE fighter can outrun most Alliance vehicles. And while the TIE fighter\'s standard laser cannons are not very powerful on their own, when dozens of TIE fighters attack simultaneously, they can demolish anything in their path.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '226', 'tieinterceptor_chassis_token', 'Sienar Fleet Systems TIE Interceptor \nThe TIE interceptor is a direct response to the Rebel Alliance\'s development of faster and more dangerous starfighters. Hoping to develop a vehicle that could compete with the A-wing in both speed and maneuverability, Sienar Fleet Systems has invested huge sums into improving upon the standard TIE fighter\'s existing twin ion engines. The resulting ion stream projectors allow TIE interceptors to execute tight turns and rolls not possible in most other starfighters. This complex engine system makes the TIE interceptor one of the fastest starfighter in the Imperial fleet, and it outperforms nearly every starfighter in the galaxy during dogfights. The TIE interceptor\'s bent wings, an element lifted directly from the TIE Advanced prototype, give the starfighter a smaller profile and increased power.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '227', 'tieoppressor_chassis_token', 'Sienar Fleet Systems TIE Oppressor Strike Starfighter\nA recent development, the TIE Oppressor is being deployed in limited numbers among selected units of the Imperial starfighter cadre elite. It is an attempt to build a variant of the standard TIE hull that can carry heavy weapon payloads with sufficient armor and shielding to allow the ship to operate in the vanguard of an Imperial assault force. It also has enough solar array surface to assist in generation of the energy needed to power it all. All of the offensive and defensive equipment packed into the Oppressor comes at the cost of space for engine installations. Although most Imperial fighters are designed to have superior maneuverability, this is a trait in which the TIE Oppressor is rated by most of its pilots as merely average. This lack of dizzying maneuverability is a result of the Oppressor mounting the same basic engine arrangement as seen on earlier TIE starfighter types, but with its thrust being sapped by much heavier and more solid spaceframe. In return for the deficits in combat maneuvering capability, the Oppressor carries one of the most potent offensive and defensive packages fielded in any Imperial starfighter spaceframe. \n\nOnly the most veteran Imperial TIE pilots are being allowed to participate in the Oppressor flight test program as only these personnel are deemed to have the tactical know-how to properly employ the ship as well as the loyalty to be trusted with such as expensive flight article. Although currently serving in the fleet as part of a \'Limited Fielding Test Initiative\' and considered a minor trial program by the Imperial Navy, the actual numbers of fighters being fielded would make most Alliance officers wince.\n');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '228', 'upgraded_retro_thrusters_mk1', 'This is a component used in the manufacture of starfighter engines.  These retro-thrusters increase the deceleration ability of the ship, but they adversely affect the mass of the ship.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '229', 'upgraded_retro_thrusters_mk2', 'This is a component used in the manufacture of starfighter engines.  These retro-thrusters increase the deceleration ability of the ship, but they adversely affect the mass of the ship.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '230', 'upgraded_retro_thrusters_mk3', 'This is a component used in the manufacture of starfighter engines.  These retro-thrusters increase the deceleration ability of the ship, but they adversely affect the mass of the ship.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '231', 'upgraded_retro_thrusters_mk4', 'This is a component used in the manufacture of starfighter engines.  These retro-thrusters increase the deceleration ability of the ship, but they adversely affect the mass of the ship.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '232', 'upgraded_retro_thrusters_mk5', 'This is a component used in the manufacture of starfighter engines.  These retro-thrusters increase the deceleration ability of the ship, but they adversely affect the mass of the ship.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '233', 'weapon_basic_launcher', 'A standard wing mounted missile launcher.  Equip a missile pack into this launcher to make it operational.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '234', 'weapon_basic_missile_pack', 'A standard pack of homing missiles designed for a standard wing mounted missile launcher.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '235', 'weapon_chaff_launcher', 'A chaff launcher used to deter incoming missiles.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '236', 'weapon_chaff_pack', 'Ammo pack for a chaff launcher.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '237', 'weapon_confuser_launcher', 'An IFF Confuser launcher used to deter incoming missiles. Launches a small device that makes enemy missiles think they are headed toward a friendly target. More effective than Micro-Chaff.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '238', 'weapon_confuser_pack', 'Ammo pack for a IFF Confuser launcher.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '239', 'weapon_decoy_launcher', 'A sensor decoy system used to deter incoming missiles.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '240', 'weapon_decoy_pack', 'Ammo pack for a sensor decoy launcher.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '241', 'weapon_em_launcher', 'An EM Emitter launcher used to deter incoming missiles. It creates a small electromagnetic field that disrupts missile subsystems. Highly effective.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '242', 'weapon_em_pack', 'An ammo pack for an EM Emitter launcher.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '243', 'weapon_microchaff_launcher', 'A Micro-Chaff launcher used to deter incoming missiles. More effective than standard chaff or a sensor decoy.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '244', 'weapon_microchaff_pack', 'Ammo pack for a Micro-Chaff launcher.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '245', 'wpn_advanced_blaster', 'Equipment Certification Level: 7\n\nAn advanced starship blaster.  Blasters are effective in disabling shield projectors and generators, but are also effective against armor plating on most starships.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '246', 'wpn_advanced_disruptor', 'Equipment Certification Level: 7\n\nAn advanced starship disruptor.  Disruptor guns are most effective against armor plating and weaves on starships, and least effective against shield projectors and generators.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '247', 'wpn_advanced_ioncannon', 'Equipment Certification Level: 7\n\nAn advanced ion cannon.  Ion cannons are effective at disabling the shield projectors and generators on starships, but lack strength when trying to penetrate heavy armor plating.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '248', 'wpn_concussion_missile', 'A pack of anti-shield concussion missiles. These missiles explode just before impact with the target. The concussion blast rapidly expands across a large surface area, stressing shield generators. The missile is very effective against shields, but has no armor penetration.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '249', 'wpn_concussion_missile_mk1', 'A pack of concussion missiles.  These can be loaded into a missile launcher by dragging them onto the launcher.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '250', 'wpn_concussion_missile_mk2', 'A pack of concussion missiles.  These can be loaded into a missile launcher by dragging them onto the launcher.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '251', 'wpn_experimental_blaster', 'Equipment Certification Level: 9\n\nAn experimental starship blaster.  Blasters are effective in disabling shield projectors and generators, but are also effective against armor plating on most starships.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '252', 'wpn_experimental_disruptor', 'Equipment Certification Level: 9\n\nAn experimental starship disruptor.  Disruptor guns are most effective against armor plating and weaves on starships, and least effective against shield projectors and generators.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '253', 'wpn_experimental_ioncannon', 'Equipment Certification Level: 9\n\nAn experimental ion cannon.  Ion cannons are effective at disabling the shield projectors and generators on starships, but lack strength when trying to penetrate heavy armor plating.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '254', 'wpn_heavy_blaster', 'Equipment Certification Level: 5\n\nA heavy starship blaster.  Blasters are effective in disabling shield projectors and generators, but are also effective against armor plating on most starships.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '255', 'wpn_heavy_disruptor', 'Equipment Certification Level: 5\n\nA heavy starship disruptor.  Disruptor guns are most effective against armor plating and weaves on starships, and least effective against shield projectors and generators.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '256', 'wpn_heavy_ioncannon', 'Equipment Certification Level: 5\n\nA heavy ion cannon.  Ion cannons are effective at disabling the shield projectors and generators on starships, but lack strength when trying to penetrate heavy armor plating.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '257', 'wpn_imagerec_missile', 'A pack of sophisticated Image-Rec missiles. These missiles have an advanced target identification and tracking computer loaded on board. Image-Rec missiles are able to track longer and avoid standard countermeasures. The missile is moderately effective against shields and armor.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '258', 'wpn_imagerec_missile_mk1', 'A pack of image-rec missiles.  These can be loaded into a missile launcher by dragging them onto the launcher.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '259', 'wpn_imagerec_missile_mk2', 'A pack of image-rec missiles.  These can be loaded into a missile launcher by dragging them onto the launcher.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '260', 'wpn_launcher_concussion', 'This missile launcher accepts concussion missiles.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '261', 'wpn_launcher_concussion_mk1', 'Equipment Certification Level: 2\n\nThis missile launcher accepts concussion missiles.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '262', 'wpn_launcher_concussion_mk2', 'Equipment Certification Level: 5\n\nThis missile launcher accepts concussion missiles.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '263', 'wpn_launcher_concussion_mk3', 'Equipment Certification Level: 8\n\nThis missile launcher accepts concussion missiles.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '264', 'wpn_launcher_imagerec', 'This missile launcher accepts Image-Rec missiles.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '265', 'wpn_launcher_imagerec_mk1', 'Equipment Certification Level: 4\n\nThis missile launcher accepts Image-Rec missiles.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '266', 'wpn_launcher_imagerec_mk2', 'Equipment Certification Level: 8\n\nThis missile launcher accepts Image-Rec missiles.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '267', 'wpn_launcher_proton', 'This missile launcher accepts proton missiles.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '268', 'wpn_launcher_proton_mk1', 'Equipment Certification Level: 1\n\nThis missile launcher accepts proton missiles.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '269', 'wpn_launcher_proton_mk2', 'Equipment Certification Level: 3\n\nThis missile launcher accepts proton missiles.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '270', 'wpn_launcher_proton_mk3', 'Equipment Certification Level: 6\n\nThis missile launcher accepts proton missiles.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '271', 'wpn_launcher_proton_mk4', 'Equipment Certification Level: 9\n\nThis missile launcher accepts proton missiles.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '272', 'wpn_launcher_seismic', 'This missile launcher accepts seismic missiles.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '273', 'wpn_launcher_seismic_mk1', 'Equipment Certification Level: 3\n\nThis missile launcher accepts seismic missiles.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '274', 'wpn_launcher_seismic_mk2', 'Equipment Certification Level: 6\n\nThis missile launcher accepts seismic missiles.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '275', 'wpn_launcher_seismic_mk3', 'Equipment Certification Level: 9\n\nThis missile launcher accepts seismic missiles.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '276', 'wpn_launcher_spacebomb', 'This missile launcher accepts spacebombs.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '277', 'wpn_launcher_spacebomb_mk1', 'Equipment Certification Level: 5\n\nThis missile launcher accepts spacebombs.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '278', 'wpn_launcher_spacebomb_mk2', 'Equipment Certification Level: 10\n\nThis missile launcher accepts spacebombs.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '279', 'wpn_light_blaster', 'Equipment Certification Level: 1\n\nA light starship blaster.  Blasters are effective in disabling shield projectors and generators, but are also effective against armor plating on most starships.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '280', 'wpn_light_disruptor', 'Equipment Certification Level: 1\n\nA light starship disruptor.  Disruptor guns are most effective against armor plating and weaves on starships, and least effective against shield projectors and generators.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '281', 'wpn_light_ioncannon', 'Equipment Certification Level: 1\n\nA light ion cannon.  Ion cannons are effective at disabling the shield projectors and generators on starships, but lack strength when trying to penetrate heavy armor plating.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '282', 'wpn_medium_blaster', 'Equipment Certification Level: 3\n\nA mid-grade starship blaster.  Blasters are effective in disabling shield projectors and generators, but are also effective against armor plating on most starships.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '283', 'wpn_medium_disruptor', 'Equipment Certification Level: 3\n\nA mid-grade starship disruptor.  Disruptor guns are most effective against armor plating and weaves on starships, and least effective against shield projectors and generators.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '284', 'wpn_medium_ioncannon', 'Equipment Certification Level: 3\n\nA mid-grade ion cannon.  Ion cannons are effective at disabling the shield projectors and generators on starships, but lack strength when trying to penetrate heavy armor plating.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '285', 'wpn_missile_launcher_mk1', 'This is a missile launcher.  Missile packs can be equipped into this launcher by dragging the missiles onto the launcher when it is equipped in your ship.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '286', 'wpn_missile_launcher_mk2', 'This is a missile launcher.  Missile packs can be equipped into this launcher by dragging the missiles onto the launcher when it is equipped in your ship.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '287', 'wpn_missile_launcher_mk3', 'This is a missile launcher.  Missile packs can be equipped into this launcher by dragging the missiles onto the launcher when it is equipped in your ship.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '288', 'wpn_proton_missile', 'A standard spec proton missile pack. This is a lightweight, small-sized missile in standard military use. It is moderately effective against shields and armor. A larger number of these missiles can be carried due to their compact size.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '289', 'wpn_proton_missile_mk1', 'A pack of proton missiles.  These can be loaded into a missile launcher by dragging them onto the launcher.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '290', 'wpn_proton_missile_mk2', 'A pack of proton missiles.  These can be loaded into a missile launcher by dragging them onto the launcher.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '291', 'wpn_seismic_missile', 'A pack of seismic armor piercing missiles. Seismic missiles, also called \"shakers\", are designed to penetrate the upper layers of a target\'s armor plating. The missile then shatters into a high frequency pulse-blast that buckles the remaining armor. These missiles are highly effective against armor, but have a hard time penetrating energy shields.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '292', 'wpn_seismic_missile_mk1', 'A pack of seismic missiles.  These can be loaded into a missile launcher by dragging them onto the launcher.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '293', 'wpn_seismic_missile_mk2', 'A pack of seismic missiles.  These can be loaded into a missile launcher by dragging them onto the launcher.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '294', 'wpn_spacebomb_missile_mk1', 'A pack of high-yield spacebombs. These missiles are bulky and ponderous. They move toward a target slowly and can only track for a limited amount of time. Due to its slow rate of speed, spacebombs are particularly vulnerable to countermeasure and point defense systems. If the spacebomb survives to reach the target, it packs a wicked punch. Spacebombs are usually deployed against capital ships, undefended hard targets, and targets that aren\'t carrying countermeasures.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '295', 'xwing_body', 'A wingless body of an X-Wing starfighter.  This needs wings and a cockpit to be considered a complete chassis.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '296', 'xwing_booster_1', 'A Mark I booster designed for an X-Wing starfighter. ');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '297', 'xwing_booster_2', 'A Mark II booster designed for an X-Wing starfighter.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '298', 'xwing_chassis_token', 'X-Wing \nIncom Corporation T-65 X-Wing Space Superiority Fighter \nThe X-wing is among the most advanced single-pilot starfighter ever produced. The starfighter receives its name from its double-layered wings, which separate into an \"X\" formation during combat to increase the craft\'s field of fire. Each wing is armed with a high-powered laser cannon and accurate proton torpedo launchers. Although the X-wing is designed for just one pilot and no passengers, the X-wing jockey is never truly alone thanks to the astromech socket located behind the cockpit. One of the X-wing\'s greatest assets is its durability: the fighter\'s reinforced titanium alloy hull, deflector shield projectors, and transparisteel canopy ensure that it can withstand several hits without suffering serious damage. The X-wing\'s history is nearly as important as its capabilities. Designed by Incom Corporation in the early days of the Empire, the X-wing schematics found their way into Rebel hands when several Incom engineers defected to the Alliance. The Rebels began producing the X-wings in modest numbers and the vehicle has quickly become one the most important weapons in the Alliance arsenal.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '299', 'xwing_cockpit', 'A cockpit for an X-Wing starfighter.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '300', 'xwing_custom_kit', 'A paint kit used to change the coloration of many starfighters.  \n\nRESTRICTIONS:  Imperial ships may not be colorized.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '301', 'xwing_wing_l', 'A disassembled left wing for a X-Wing starfighter.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '302', 'xwing_wing_r', 'A disassembled right wing for an X-Wing starfighter.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '303', 'ykl37r_chassis_token', 'Gallofree YKL-37R Nova Courier\nThe Nova Courier follows the pattern well-established by Corellian Engineering Corporation\'s \'YT\' series of transports. Although the larger freighters such as the Medium Transport are built to ply the shipping lanes which are patrolled and relatively free of obstructions, and make their profits on the idea of efficiency of scale, the smaller transports profit off of the special services they offer. They are smaller, more maneuverable vessels equipped for carrying smaller cargos through safe and hazardous space, and they possess a nominal ability to defend themselves. Intended to be crewed by just a handful, almost all systems are made to be accessible and maintainable by a small crew with light tools. In the hands of Rebellion pilots, the Nova Couriers have developed a reputation for being adept at ducking into asteroid belts to avoid pursuers, fighting off individual TIE patrol ships, and generally becoming masters of smuggling weapons, information, and personnel past Imperial blockades.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '304', 'yt1300_chassis_token', 'YT-1300 \nCorellian Engineering Corporation YT-1300 Transport \nA stock light freighter, the YT-1300 is an adaptable, all-purpose, cargo transport built on a modular design. Off the assembly line, a YT-1300 is a fairly standard vessel, with rudimentary engine, communications, and life-support systems. However, the vessel\'s appeal is the fact that it can be upgraded with great ease. In fact, Corellian Engineering Corporation has earned a small fortune selling conversion kits. The most popular modification is an enhanced hyperdrive package, although many pilots also outfit the craft with military-grade weapons, long-range sensor suites, and powerful deflector shields. Han Solo\'s Millennium Falcon is the most infamous (and most heavily-modified) YT-1300 in existence.\n');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '305', 'ywing_chassis_token', 'Koensayr BTL-S3 Y-Wing Attack Starfighter \nPrior to the advent of the X-wing, the Y-wing served as the Rebel Alliance\'s primary attack starfighter. The snub fighter, characterized by its triangular cockpit and two long engine pylons was considered outdated by the time of the Battle of Yavin, but its durability and heavy-firepower has ensured it a place in Alliance fleet. While the Alliance relies on the Y-wing for everything from escort duty to reconnaissance, the starfighter was originally designed for close-quarters combat with space stations and large starships. Light bombing runs and surgical strikes are also part of the Y-wing\'s mission profile. The starfighter\'s modular weapons emplacements allow it to be upgraded easily, yet another reason for its continued success. While the Rebel Alliance maintains the largest fleet of active Y-wings, the starfighters are also in heavy use by criminal organizations, mercenary groups, pirates, and privateers.\n\nThe Y-Wing can accomodate a second person in the gunner position.  You must launch while grouped with a friend to take advantage of this feature.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '306', 'ywing_longprobe_chassis_token', 'Koensayr BTL-A4 Y-Wing (LP) LongProbeAttack Starfighter \nPrior to the advent of the X-wing, the Y-wing served as the Rebel Alliance\'s primary attack starfighter. The snub fighter, characterized by its triangular cockpit and two long engine pylons was considered outdated by the time of the Battle of Yavin, but its durability and heavy-firepower has ensured it a place in Alliance fleet. While the Alliance relies on the Y-wing for everything from escort duty to reconnaissance, the starfighter was originally designed for close-quarters combat with space stations and large starships. Light bombing runs and surgical strikes are also part of the Y-wing\'s mission profile. The starfighter\'s modular weapons emplacements allow it to be upgraded easily, yet another reason for its continued success. While the Rebel Alliance maintains the largest fleet of active Y-wings, the starfighters are also in heavy use by criminal organizations, mercenary groups, pirates, and privateers.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '307', 'z95_body', 'A wingless body of a Z-95 Headhunter.  This needs wings and a cockpit to be considered a complete chassis.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '308', 'z95_chassis_token', 'Incom/Subpro Z-95-AF4 Headhunter \nOne of the oldest starfighters still in use, the Headhunter predates the Battle of Yavin by several decades and has experienced several revivals since its first appearance. The starfighter\'s longevity is based on its legendary resilience and it still remains an attractive option to mercenaries and security personnel throughout the galaxy. The starfighter is identified by a pair of fixed wings equipped equipped with rear-mounted maneuvering jets. Easy to modify, the Headhunter can support a wide range of laser cannons and missile-launcher, placing it on par with the Y-wing in terms of sheer destructive capability. The Rebel Alliance has even been known to convert Headhunters for short-range bombing runs. The Rebels also use Headhunters for training missions because the vehicle\'s controls are nearly identical to those of the X-wing and Y-wing. ');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '309', 'z95_cockpit', 'A cockpit for a Z-95 Headhunter.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '310', 'z95_wing_l', 'A disassembled left wing for a Z-95 Headhunter.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_d.stf', '311', 'z95_wing_r', 'A disassembled right wing for a Z-95 Headhunter.');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '1', 'adv_deflector_shields', 'Mark IV Deflector Shield Generator');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '2', 'adv_durasteel_plating', 'Mark IV Durasteel Plating');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '3', 'adv_exhaust', 'Advanced Exhaust System');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '4', 'adv_fuel_regulation', 'Advanced Fuel Regulation System');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '5', 'advanced_capacitor_battery', 'Advanced Capacitor Battery');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '6', 'advanced_droid_harness', 'Advanced Droid Harness');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '7', 'advanced_fuel_ignition', 'Advanced Fuel Ignition System');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '8', 'advanced_fusion_core', 'Advanced Fusion Reactor Core');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '9', 'advanced_power_distributor', 'Advanced Reactor Power Distributor ');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '10', 'advanced_projector_unit', 'Advanced Shield Projector Unit');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '11', 'advanced_recharge_module', 'Advanced Capacitor Recharge Module');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '12', 'advanced_ship_circuitry', 'Advanced Ship Droid Circuitry');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '13', 'all_master', 'Master Rebel, Imperial, or Freelance Pilot');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '14', 'analysis_tool', 'Component Analysis Tool');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '15', 'armor1', 'Mark I Armor Plating');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '16', 'armor_analysis_tool', 'Armor Analysis Tool');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '17', 'armor_effectiveness_intensifier_mk1', 'Armor Effectiveness Intensifier - Mark I');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '18', 'armor_effectiveness_intensifier_mk2', 'Armor Effectiveness Intensifier - Mark II');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '19', 'armor_effectiveness_intensifier_mk3', 'Armor Effectiveness Intensifier - Mark III');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '20', 'armor_effectiveness_intensifier_mk4', 'Armor Effectiveness Intensifier - Mark IV');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '21', 'armor_effectiveness_intensifier_mk5', 'Armor Effectiveness Intensifier - Mark V');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '22', 'armor_reinforcement_panel_mk1', 'Armor Reinforcement Panel - Mark I');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '23', 'armor_reinforcement_panel_mk2', 'Armor Reinforcement Panel - Mark II');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '24', 'armor_reinforcement_panel_mk3', 'Armor Reinforcement Panel - Mark III');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '25', 'armor_reinforcement_panel_mk4', 'Armor Reinforcement Panel - Mark IV');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '26', 'armor_reinforcement_panel_mk5', 'Armor Reinforcement Panel - Mark V');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '27', 'awing_chassis_token', 'A-Wing Chassis Blueprints');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '28', 'awing_deed', 'A-Wing Deed');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '29', 'base_armor_subcomponent', 'Armor Component Upgrade');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '30', 'base_armor_subcomponent_mk1', 'Mark I Armor Upgrade');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '31', 'base_armor_subcomponent_mk2', 'Mark II Armor Upgrade (or Lower)');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '32', 'base_armor_subcomponent_mk3', 'Mark III Armor Upgrade (or Lower)');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '33', 'base_armor_subcomponent_mk4', 'Mark IV Armor Upgrade (or Lower)');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '34', 'base_armor_subcomponent_mk5', 'Mark V Armor Upgrade (or Lower)');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '35', 'base_booster', 'Basic Booster');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '36', 'base_booster_subcomponent', 'Booster Component Upgrade');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '37', 'base_booster_subcomponent_mk1', 'Mark I Booster Upgrade (or Lower)');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '38', 'base_booster_subcomponent_mk2', 'Mark II Booster Upgrade (or Lower)');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '39', 'base_booster_subcomponent_mk3', 'Mark III Booster Upgrade (or Lower)');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '40', 'base_booster_subcomponent_mk4', 'Mark IV Booster Upgrade (or Lower)');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '41', 'base_booster_subcomponent_mk5', 'Mark V Booster Upgrade (or Lower)');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '42', 'base_capacitor', 'Basic Weapon Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '43', 'base_capacitor_subcomponent', 'Capacitor Component Upgrade');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '44', 'base_capacitor_subcomponent_mk1', 'Mark I Capacitor Upgrade (or Lower)');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '45', 'base_capacitor_subcomponent_mk2', 'Mark II Capacitor Upgrade (or Lower)');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '46', 'base_capacitor_subcomponent_mk3', 'Mark III Capacitor Upgrade (or Lower)');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '47', 'base_capacitor_subcomponent_mk4', 'Mark IV Capacitor Upgrade (or Lower)');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '48', 'base_capacitor_subcomponent_mk5', 'Mark V Capacitor Upgrade (or Lower)');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '49', 'base_droid_interface', 'Basic Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '50', 'base_droid_interface_subcomponent', 'Droid Interface Component Upgrade');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '51', 'base_droid_interface_subcomponent_mk1', 'Mark I Droid Interface Upgrade (or Lower)');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '52', 'base_droid_interface_subcomponent_mk2', 'Mark II Droid Interface Upgrade (or Lower)');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '53', 'base_droid_interface_subcomponent_mk3', 'Mark III Droid Interface Upgrade (or Lower)');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '54', 'base_droid_interface_subcomponent_mk4', 'Mark IV Droid Interface Upgrade (or Lower)');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '55', 'base_droid_interface_subcomponent_mk5', 'Mark V Droid Interface Upgrade (or Lower)');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '56', 'base_engine', 'Basic Engine');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '57', 'base_engine_subcomponent', 'Engine Component Upgrade');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '58', 'base_engine_subcomponent_mk1', 'Mark I Engine Upgrade (or Lower)');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '59', 'base_engine_subcomponent_mk2', 'Mark II Engine Upgrade (or Lower)');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '60', 'base_engine_subcomponent_mk3', 'Mark III Engine Upgrade (or Lower)');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '61', 'base_engine_subcomponent_mk4', 'Mark IV Engine Upgrade (or Lower)');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '62', 'base_engine_subcomponent_mk5', 'Mark V Engine Upgrade (or Lower)');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '63', 'base_reactor', 'Single Core Fusion Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '64', 'base_reactor_subcomponent', 'Reactor Component Upgrade');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '65', 'base_reactor_subcomponent_mk1', 'Mark I Reactor Upgrade (or Lower)');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '66', 'base_reactor_subcomponent_mk2', 'Mark II Reactor Upgrade (or Lower)');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '67', 'base_reactor_subcomponent_mk3', 'Mark III Reactor Upgrade (or Lower)');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '68', 'base_reactor_subcomponent_mk4', 'Mark IV Reactor Upgrade (or Lower)');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '69', 'base_reactor_subcomponent_mk5', 'Mark V Reactor Upgrade (or Lower)');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '70', 'base_shields', 'Basic Shield Generator');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '71', 'base_shields_subcomponent', 'Shield Component Upgrade');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '72', 'base_shields_subcomponent_mk1', 'Mark I Shield Upgrade (or Lower)');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '73', 'base_shields_subcomponent_mk2', 'Mark II Shield Upgrade (or Lower)');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '74', 'base_shields_subcomponent_mk3', 'Mark III Shield Upgrade (or Lower)');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '75', 'base_shields_subcomponent_mk4', 'Mark IV Shield Upgrade (or Lower)');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '76', 'base_shields_subcomponent_mk5', 'Mark V Shield Upgrade (or Lower)');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '77', 'base_weapon', 'Mark I Laser Cannons');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '78', 'base_weapon_subcomponent', 'Weapon Component Upgrade');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '79', 'base_weapon_subcomponent_mk1', 'Mark I Weapon Upgrade (or Lower)');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '80', 'base_weapon_subcomponent_mk2', 'Mark II Weapon Upgrade (or Lower)');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '81', 'base_weapon_subcomponent_mk3', 'Mark III Weapon Upgrade (or Lower)');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '82', 'base_weapon_subcomponent_mk4', 'Mark IV Weapon Upgrade (or Lower)');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '83', 'base_weapon_subcomponent_mk5', 'Mark V Weapon Upgrade (or Lower)');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '84', 'blacksun_heavy_s01_chassis_token', 'Rihkxyrk Attack Ship Chassis Blueprints, Style 1');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '85', 'blacksun_heavy_s01_deed', 'Rihkxyrk Attack Ship Deed, Style 1');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '86', 'blacksun_heavy_s02_chassis_token', 'Rihkxyrk Attack Ship Chassis Blueprints, Style 2');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '87', 'blacksun_heavy_s02_deed', 'Rihkxyrk Attack Ship Deed, Style 2');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '88', 'blacksun_heavy_s03_chassis_token', 'Rihkxyrk Attack Ship Chassis Blueprints, Style 3');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '89', 'blacksun_heavy_s03_deed', 'Rihkxyrk Attack Ship Deed, Style 3');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '90', 'blacksun_heavy_s04_chassis_token', 'Rihkxyrk Attack Ship Chassis Blueprints, Style 4');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '91', 'blacksun_heavy_s04_deed', 'Rihkxyrk Attack Ship Deed, Style 4');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '92', 'blacksun_light_s01_chassis_token', 'Kihraxz Light Fighter Chassis Blueprints, Style 1');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '93', 'blacksun_light_s01_deed', 'Kihraxz Light Fighter Deed, Style 1');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '94', 'blacksun_light_s02_chassis_token', 'Kihraxz Light Fighter Chassis Blueprints, Style 2');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '95', 'blacksun_light_s02_deed', 'Kihraxz Light Fighter Deed, Style 2');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '96', 'blacksun_light_s03_chassis_token', 'Kihraxz Light Fighter Chassis Blueprints, Style 3');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '97', 'blacksun_light_s03_deed', 'Kihraxz Light Fighter Deed, Style 3');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '98', 'blacksun_light_s04_chassis_token', 'Kihraxz Light Fighter Chassis Blueprints, Style 4');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '99', 'blacksun_light_s04_deed', 'Kihraxz Light Fighter Deed, Style 4');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '100', 'blacksun_medium_s01_chassis_token', 'Ixiyen Fast Attack Craft Chassis Blueprints, Style 1');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '101', 'blacksun_medium_s01_deed', 'Ixiyen Fast Attack Craft Deed, Style 1');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '102', 'blacksun_medium_s02_chassis_token', 'Ixiyen Fast Attack Craft Chassis Blueprints, Style 2');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '103', 'blacksun_medium_s02_deed', 'Ixiyen Fast Attack Craft Deed, Style 2');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '104', 'blacksun_medium_s03_chassis_token', 'Ixiyen Fast Attack Craft Chassis Blueprints, Style 3');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '105', 'blacksun_medium_s03_deed', 'Ixiyen Fast Attack Craft Deed, Style 3');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '106', 'blacksun_medium_s04_chassis_token', 'Ixiyen Fast Attack Craft Chassis Blueprints, Style 4');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '107', 'blacksun_medium_s04_deed', 'Ixiyen Fast Attack Craft Deed, Style 4');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '108', 'blaster_deflection_layer', 'Blaster Deflection Layer');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '109', 'booster_analysis_tool', 'Booster Analysis Tool');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '110', 'booster_mk1', 'Mark I Booster');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '111', 'booster_mk2', 'Mark II Booster');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '112', 'booster_mk3', 'Mark III Booster');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '113', 'booster_mk4', 'Mark IV Booster');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '114', 'booster_mk5', 'Mark V Booster');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '115', 'booster_overdriver_mk1', 'Booster Overdriver - Mark I');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '116', 'booster_overdriver_mk2', 'Booster Overdriver - Mark II');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '117', 'booster_overdriver_mk3', 'Booster Overdriver - Mark III');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '118', 'booster_overdriver_mk4', 'Booster Overdriver - Mark IV');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '119', 'booster_overdriver_mk5', 'Booster Overdriver - Mark V');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '120', 'bwing_chassis_token', 'B-Wing Chassis Blueprints');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '121', 'bwing_deed', 'B-Wing Deed');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '122', 'capacitor_analysis_tool', 'Weapon Capacitor Analysis Tool');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '123', 'capacitor_mk1', 'Mark I Weapons Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '124', 'capacitor_mk2', 'Mark II Weapons Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '125', 'capacitor_mk3', 'Mark III Weapons Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '126', 'capacitor_mk4', 'Mark IV Weapons Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '127', 'capacitor_mk5', 'Mark V Weapons Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '128', 'chassis_token', 'X-Wing Chassis Blueprints');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '129', 'ddi_mk1', 'Mark I Droid Interface ');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '130', 'ddi_mk2', 'Mark II Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '131', 'ddi_mk3', 'Mark III Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '132', 'ddi_mk4', 'Mark IV Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '133', 'ddi_mk5', 'Mark V Droid Interface');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '134', 'decimator_chassis_token', 'VT-49 Decimator Chassis Blueprints');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '135', 'decimator_deed', 'VT-49 Decimator Deed');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '136', 'deflector_shields', 'Mark II Deflector Shield Generator');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '137', 'droid_brain_interface', 'Droid Brain Ship Interface');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '138', 'droid_brain_upgrade_mk1', 'Droid Brain Upgrade - Mark I');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '139', 'droid_brain_upgrade_mk2', 'Droid Brain Upgrade - Mark II');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '140', 'droid_brain_upgrade_mk3', 'Droid Brain Upgrade - Mark III');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '141', 'droid_brain_upgrade_mk4', 'Droid Brain Upgrade - Mark IV');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '142', 'droid_brain_upgrade_mk5', 'Droid Brain Upgrade - Mark V');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '143', 'droid_harness', 'Standard Droid Harness');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '144', 'droid_interface_analysis_tool', 'Droid Interface Analysis Tool');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '145', 'durasteel_panel', 'Durasteel Panel');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '146', 'durasteel_plating', 'Mark II Durasteel Plating');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '147', 'energy_absorption_layer', 'Energy Absorption Layer');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '148', 'energy_saver_battery_mk1', 'Energy Saver Battery - Mark I');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '149', 'energy_saver_battery_mk2', 'Energy Saver Battery - Mark II');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '150', 'energy_saver_battery_mk3', 'Energy Saver Battery - Mark III');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '151', 'energy_saver_battery_mk4', 'Energy Saver Battery - Mark IV');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '152', 'energy_saver_battery_mk5', 'Energy Saver Battery - Mark V');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '153', 'eng_mk1', 'Mark I Starfighter Engine');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '154', 'eng_mk2', 'Mark II Starfighter Engine');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '155', 'eng_mk3', 'Mark III Starfighter Engine');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '156', 'eng_mk4', 'Mark IV Starfighter Engine');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '157', 'eng_mk5', 'Mark V Starfighter Engine');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '158', 'engine_analysis_tool', 'Engine Analysis Tool');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '159', 'engine_incom_fusialthrust_improved_n', 'Improved INCOM Fusialthrust Engine');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '160', 'engine_limiter_mk', '');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '161', 'engine_limiter_mk1', 'Engine Limiter - Mark I');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '162', 'engine_limiter_mk2', 'Engine Limiter - Mark II');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '163', 'engine_limiter_mk3', 'Engine Limiter - Mark III');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '164', 'engine_limiter_mk4', 'Engine Limiter - Mark IV');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '165', 'engine_limiter_mk5', 'Engine Limiter - Mark V');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '166', 'engine_novaldex_eventhorizon_improved_n', 'Improved Novaldex \"Event Horizon\" Engine');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '167', 'engine_overdriver_mk1', 'Engine Overdriver - Mark I');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '168', 'engine_overdriver_mk2', 'Engine Overdriver - Mark II');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '169', 'engine_overdriver_mk3', 'Engine Overdriver - Mark III');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '170', 'engine_overdriver_mk4', 'Engine Overdriver - Mark IV');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '171', 'engine_overdriver_mk5', 'Engine Overdriver - Mark V');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '172', 'engine_qualdex_kyromaster_improved_n', 'Improved Qualdex Kyromaster Engine');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '173', 'exp_deflector_shields', 'Mark V Deflector Shield Generator');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '174', 'exp_durasteel_plating', 'Mark V Durasteel Plating');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '175', 'extended_life_battery_mk1', 'Extended Life Battery - Mark I');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '176', 'extended_life_battery_mk2', 'Extended Life Battery - Mark II');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '177', 'extended_life_battery_mk3', 'Extended Life Battery - Mark III');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '178', 'extended_life_battery_mk4', 'Extended Life Battery - Mark IV');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '179', 'extended_life_battery_mk5', 'Extended Life Battery - Mark V');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '180', 'extended_life_fuel_cell_mk1', 'Extended Life Fuel Cell - Mark I');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '181', 'extended_life_fuel_cell_mk2', 'Extended Life Fuel Cell - Mark II');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '182', 'extended_life_fuel_cell_mk3', 'Extended Life Fuel Cell - Mark III');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '183', 'extended_life_fuel_cell_mk4', 'Extended Life Fuel Cell - Mark IV');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '184', 'extended_life_fuel_cell_mk5', 'Extended Life Fuel Cell - Mark V');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '185', 'fast_charge_fuel_cell_mk1', 'Fast Charge Fuel Cell - Mark I');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '186', 'fast_charge_fuel_cell_mk2', 'Fast Charge Fuel Cell - Mark II');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '187', 'fast_charge_fuel_cell_mk3', 'Fast Charge Fuel Cell - Mark III');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '188', 'fast_charge_fuel_cell_mk4', 'Fast Charge Fuel Cell - Mark IV');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '189', 'fast_charge_fuel_cell_mk5', 'Fast Charge Fuel Cell - Mark V');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '190', 'firespray_chassis_token', 'KSE Firespray Chassis Blueprints');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '191', 'firespray_deed', 'KSE Firespray Deed');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '192', 'fusion_reactor_mk1', 'Mark I Fusion Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '193', 'fusion_reactor_mk2', 'Mark II Fusion Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '194', 'fusion_reactor_mk3', 'Mark III Fusion Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '195', 'fusion_reactor_mk4', 'Mark IV Fusion Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '196', 'fusion_reactor_mk5', 'Mark V Fusion Reactor');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '197', 'heavy_battery_mk1', 'Heavy Battery - Mark I');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '198', 'heavy_battery_mk2', 'Heavy Battery - Mark II');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '199', 'heavy_battery_mk3', 'Heavy Battery - Mark III');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '200', 'heavy_battery_mk4', 'Heavy Battery - Mark IV');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '201', 'heavy_battery_mk5', 'Heavy Battery - Mark V');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '202', 'heavy_deflector_shields', 'Mark III Deflector Shield Generator');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '203', 'heavy_fuel_cell_mk1', 'Heavy Fuel Cell - Mark I');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '204', 'heavy_fuel_cell_mk2', 'Heavy Fuel Cell - Mark II');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '205', 'heavy_fuel_cell_mk3', 'Heavy Fuel Cell - Mark III');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '206', 'heavy_fuel_cell_mk4', 'Heavy Fuel Cell - Mark IV');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '207', 'heavy_fuel_cell_mk5', 'Heavy Fuel Cell - Mark V');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '208', 'hutt_heavy_s01_chassis_token', 'Kimogila Chassis Blueprints, Style 1');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '209', 'hutt_heavy_s01_deed', 'Kimogila Deed, Style 1');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '210', 'hutt_heavy_s02_chassis_token', 'Kimogila Chassis Blueprints, Style 2');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '211', 'hutt_heavy_s02_deed', 'Kimogila Deed, Style 2');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '212', 'hutt_lgt_body', 'Scyk Light Fighter Body');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '213', 'hutt_lgt_wing_base', 'Scyk Light Fighter Wings');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '214', 'hutt_lgt_wing_s01', 'Scyk Light Fighter Wings');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '215', 'hutt_lgt_wing_s02', 'Scyk Light Fighter Wings');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '216', 'hutt_light_chassis_token', 'Scyk Light Fighter Chassis Blueprints, Style 1');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '217', 'hutt_light_deed', 'Scyk Light Fighter Deed, Style 1');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '218', 'hutt_light_s02_chassis_token', 'Scyk Light Fighter Chassis Blueprints, Style 2');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '219', 'hutt_light_s02_deed', 'Scyk Light Fighter Deed, Style 2');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '220', 'hutt_medium_s01_chassis_token', 'Dunelizard Chassis Blueprints, Style 1');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '221', 'hutt_medium_s01_deed', 'Dunelizard Deed, Style 1');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '222', 'hutt_medium_s02_chassis_token', 'Dunelizard Chassis Blueprints, Style 2');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '223', 'hutt_medium_s02_deed', 'Dunelizard Deed, Style 2');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '224', 'hutt_turret_ship_chassis_token', 'M22-T \"Krayt\" Chassis Blueprints');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '225', 'hutt_turret_ship_deed', 'M22-T \"Krayt\" Heavy Fighter Deed');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '226', 'hvy_durasteel_plating', 'Mark III Durasteel Plating');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '227', 'hyperdrive_class1', 'Class 1 Hyperdrive');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '228', 'hyperdrive_class2', 'Class 2 Hyperdrive');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '229', 'hyperdrive_class3', 'Class 3 Hyperdrive');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '230', 'lgt_durasteel_plating', 'Mark I Durasteel Plating');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '231', 'light_deflector_shields', 'Mark I Shield Generator');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '232', 'maintenance_reduction_kit_mk1', 'Maintenance Reduction Kit - Mark I');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '233', 'maintenance_reduction_kit_mk2', 'Maintenance Reduction Kit - Mark II');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '234', 'maintenance_reduction_kit_mk3', 'Maintenance Reduction Kit - Mark III');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '235', 'maintenance_reduction_kit_mk4', 'Maintenance Reduction Kit - Mark IV');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '236', 'maintenance_reduction_kit_mk5', 'Maintenance Reduction Kit - Mark V');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '237', 'mass_reduction_kit_mk1', 'Mass Reduction Kit - Mark I');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '238', 'mass_reduction_kit_mk2', 'Mass Reduction Kit - Mark II');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '239', 'mass_reduction_kit_mk3', 'Mass Reduction Kit - Mark III');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '240', 'mass_reduction_kit_mk4', 'Mass Reduction Kit - Mark IV');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '241', 'mass_reduction_kit_mk5', 'Mass Reduction Kit - Mark V');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '242', 'max_damage_intensifier_mk1', 'Max Damage Intensifier - Mark I');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '243', 'max_damage_intensifier_mk2', 'Max Damage Intensifier - Mark II');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '244', 'max_damage_intensifier_mk3', 'Max Damage Intensifier - Mark III');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '245', 'max_damage_intensifier_mk4', 'Max Damage Intensifier - Mark IV');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '246', 'max_damage_intensifier_mk5', 'Max Damage Intensifier - Mark V');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '247', 'min_damage_intensifier_mk1', 'Min Damage Intensifier - Mark I');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '248', 'min_damage_intensifier_mk2', 'Min Damage Intensifier - Mark II');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '249', 'min_damage_intensifier_mk3', 'Min Damage Intensifier - Mark III');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '250', 'min_damage_intensifier_mk4', 'Min Damage Intensifier - Mark IV');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '251', 'min_damage_intensifier_mk5', 'Min Damage Intensifier - Mark V');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '252', 'primary_fuel_tank', 'Primary Booster Fuel Tank');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '253', 'quick_recharge_battery_mk1', 'Quick Recharge Battery - Mark I');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '254', 'quick_recharge_battery_mk2', 'Quick Recharge Battery - Mark II');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '255', 'quick_recharge_battery_mk3', 'Quick Recharge Battery - Mark III');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '256', 'quick_recharge_battery_mk4', 'Quick Recharge Battery - Mark IV');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '257', 'quick_recharge_battery_mk5', 'Quick Recharge Battery - Mark V');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '258', 'quick_shot_upgrade_mk1', 'Quick Shot Upgrade - Mark I');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '259', 'quick_shot_upgrade_mk2', 'Quick Shot Upgrade - Mark II');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '260', 'quick_shot_upgrade_mk3', 'Quick Shot Upgrade - Mark III');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '261', 'quick_shot_upgrade_mk4', 'Quick Shot Upgrade - Mark IV');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '262', 'quick_shot_upgrade_mk5', 'Quick Shot Upgrade - Mark V');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '263', 'reactor_analysis_tool', 'Reactor Analysis Tool');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '264', 'reactor_limiter_mk1', 'Reactor Limiter - Mark I');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '265', 'reactor_limiter_mk2', 'Reactor Limiter - Mark II');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '266', 'reactor_limiter_mk3', 'Reactor Limiter - Mark III');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '267', 'reactor_limiter_mk4', 'Reactor Limiter - Mark IV');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '268', 'reactor_limiter_mk5', 'Reactor Limiter - Mark V');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '269', 'reactor_overcharger_mk1', 'Reactor Overcharger - Mark I');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '270', 'reactor_overcharger_mk2', 'Reactor Overcharger - Mark II');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '271', 'reactor_overcharger_mk3', 'Reactor Overcharger - Mark III');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '272', 'reactor_overcharger_mk4', 'Reactor Overcharger - Mark IV');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '273', 'reactor_overcharger_mk5', 'Reactor Overcharger - Mark V');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '274', 'retrofit_kit', 'Retrofit Kit');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '275', 'rev_eventhorizon', 'Improved Novaldex \"Event Horizon\" Engine');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '276', 'rev_incom_fusialthrust', 'Improved Incom Fusial Thrust Engine');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '277', 'rev_qualdex_kyromaster', 'Improved Qualdex Kyromaster Engine');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '278', 'rev_weapon_incom_disruptor', 'Improved INCOM Long-Range Disruptor');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '279', 'rev_weapon_slayn_ioncannon', 'Improved Slayn & Korpil Ion Cannon');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '280', 'rev_weapon_subpro_tripleblaster', 'Improved SubPro \"Triple Blaster\" Advanced Flash Cannon');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '281', 'secondary_fuel_tank', 'Secondary Booster Fuel Tank');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '282', 'shield_effectiveness_intensifier_mk1', 'Shield Effectiveness Intensifier - Mark I');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '283', 'shield_effectiveness_intensifier_mk2', 'Shield Effectiveness Intensifier - Mark II');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '284', 'shield_effectiveness_intensifier_mk3', 'Shield Effectiveness Intensifier - Mark III');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '285', 'shield_effectiveness_intensifier_mk4', 'Shield Effectiveness Intensifier - Mark IV');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '286', 'shield_effectiveness_intensifier_mk5', 'Shield Effectiveness Intensifier - Mark V');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '287', 'shield_energy_saver_kit_mk1', 'Shield Energy Saver Kit - Mark I');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '288', 'shield_energy_saver_kit_mk2', 'Shield Energy Saver Kit - Mark II');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '289', 'shield_energy_saver_kit_mk3', 'Shield Energy Saver Kit - Mark III');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '290', 'shield_energy_saver_kit_mk4', 'Shield Energy Saver Kit - Mark IV');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '291', 'shield_energy_saver_kit_mk5', 'Shield Energy Saver Kit - Mark V');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '292', 'shield_intensifier_mk1', 'Shield Intensifier - Mark I');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '293', 'shield_intensifier_mk2', 'Shield Intensifier - Mark II');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '294', 'shield_intensifier_mk3', 'Shield Intensifier - Mark III');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '295', 'shield_intensifier_mk4', 'Shield Intensifier - Mark IV');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '296', 'shield_intensifier_mk5', 'Shield Intensifier - Mark V');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '297', 'shield_limiter_mk1', 'Shield Limiter - Mark I');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '298', 'shield_limiter_mk2', 'Shield Limiter - Mark II');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '299', 'shield_limiter_mk3', 'Shield Limiter - Mark III');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '300', 'shield_limiter_mk4', 'Shield Limiter - Mark IV');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '301', 'shield_limiter_mk5', 'Shield Limiter - Mark V');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '302', 'shield_overcharger_mk1', 'Shield Overcharger - Mark I');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '303', 'shield_overcharger_mk2', 'Shield Overcharger - Mark II');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '304', 'shield_overcharger_mk3', 'Shield Overcharger - Mark III');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '305', 'shield_overcharger_mk4', 'Shield Overcharger - Mark IV');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '306', 'shield_overcharger_mk5', 'Shield Overcharger - Mark V');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '307', 'shields_analysis_tool', 'Shield Analysis Tool');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '308', 'speed_limiter_upgrade_mk1', 'Speed Limiter Upgrade - Mark I');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '309', 'speed_limiter_upgrade_mk2', 'Speed Limiter Upgrade - Mark II');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '310', 'speed_limiter_upgrade_mk3', 'Speed Limiter Upgrade - Mark III');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '311', 'speed_limiter_upgrade_mk4', 'Speed Limiter Upgrade - Mark IV');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '312', 'speed_limiter_upgrade_mk5', 'Speed Limiter Upgrade - Mark V');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '313', 'standard_capacitor_battery', 'Standard Capacitor Battery');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '314', 'standard_fuel_ignition', 'Standard Fuel Ignition System');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '315', 'standard_fusion_core', 'Standard Fusion Reactor Core');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '316', 'standard_power_distributor', 'Standard Reactor Power Distributor');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '317', 'standard_projector_unit', 'Standard Shield Projector Unit');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '318', 'standard_recharge_module', 'Standard Capacitor Recharge Module');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '319', 'std_exhaust', 'Standard Exhaust System');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '320', 'std_fuel_regulation', 'Standard Fuel Regulation System');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '321', 'texture_kit_s01', 'Starship Texture Kit, Style 1');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '322', 'texture_kit_s02', 'Starship Texture Kit, Style 2');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '323', 'texture_kit_s03', 'Starship Texture Kit, Style 3');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '324', 'texture_kit_s04', 'Starship Texture Kit, Style 4');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '325', 'texture_kit_s05', 'Starship Texture Kit, Style 5');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '326', 'texture_kit_s06', 'Starship Texture Kit, Style 6');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '327', 'tie_fighter_body', 'TIE Fighter Body');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '328', 'tie_in_chassis_token', 'TIE/In Chassis Blueprints');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '329', 'tie_in_deed', 'TIE/In Deed');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '330', 'tie_light_duty_chassis_token', 'TIE Light Duty Fighter Chassis Blueprints');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '331', 'tie_light_duty_deed', 'TIE Light Duty Fighter Deed');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '332', 'tieadvanced_chassis_token', 'TIE Advanced Chassis Blueprints');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '333', 'tieadvanced_deed', 'TIE Advanced Deed');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '334', 'tieaggressor_chassis_token', 'TIE Aggressor Chassis Blueprints');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '335', 'tieaggressor_deed', 'TIE Aggressor Deed');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '336', 'tiebomber_chassis_token', 'TIE Bomber Chassis Blueprints');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '337', 'tiebomber_deed', 'TIE Bomber Deed');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '338', 'tiefighter_chassis_token', 'TIE Fighter Chassis Blueprints');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '339', 'tiefighter_deed', 'TIE Fighter Deed');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '340', 'tieinterceptor_chassis_token', 'TIE Interceptor Chassis Blueprints');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '341', 'tieinterceptor_deed', 'TIE Interceptor Deed');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '342', 'tieoppressor_chassis_token', 'TIE Oppressor Chassis Blueprints');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '343', 'tieoppressor_deed', 'TIE Oppressor Deed');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '344', 'upgraded_retro_thrusters_mk1', 'Upgraded Retro Thrusters - Mark I');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '345', 'upgraded_retro_thrusters_mk2', 'Upgraded Retro Thrusters - Mark II');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '346', 'upgraded_retro_thrusters_mk3', 'Upgraded Retro Thrusters - Mark III');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '347', 'upgraded_retro_thrusters_mk4', 'Upgraded Retro Thrusters - Mark IV');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '348', 'upgraded_retro_thrusters_mk5', 'Upgraded Retro Thrusters - Mark V');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '349', 'weapon_analysis_tool', 'Weapon Analysis Tool');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '350', 'weapon_basic_launcher', 'Standard Missile Launcher');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '351', 'weapon_basic_missile_pack', 'Standard Homing Missile Pack');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '352', 'weapon_chaff_launcher', 'Chaff Launcher');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '353', 'weapon_chaff_pack', 'Chaff Pack');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '354', 'weapon_confuser_launcher', 'IFF Confuser Launcher');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '355', 'weapon_confuser_pack', 'IFF Confuser Pack');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '356', 'weapon_decoy_launcher', 'Sensor Decoy Launcher');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '357', 'weapon_decoy_pack', 'Sensor Decoy Pack');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '358', 'weapon_em_launcher', 'EM Emitter Launcher');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '359', 'weapon_em_pack', 'EM Emitter Pack');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '360', 'weapon_incom_disruptor_improved_n', 'Improved Incom Disruptor');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '361', 'weapon_microchaff_launcher', 'Micro-Chaff Launcher');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '362', 'weapon_microchaff_pack', 'Micro-Chaff pack');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '363', 'weapon_slayn_ioncannon_improved_n', 'Improved Slayn & Korpil Ion Cannon');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '364', 'weapon_subpro_tripleblaster_improved_n', 'Improved Subpro Tripleblaster');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '365', 'wpn_advanced_blaster', 'Advanced Blaster (Red)');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '366', 'wpn_advanced_blaster_green', 'Advanced Blaster (Green)');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '367', 'wpn_advanced_disruptor', 'Advanced Disruptor');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '368', 'wpn_advanced_ioncannon', 'Advanced Ion Cannon');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '369', 'wpn_concussion_missile_mk1', 'Mark I Concussion Missile Pack');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '370', 'wpn_concussion_missile_mk2', 'Mark II Concussion Missile Pack');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '371', 'wpn_concussion_missile_mk3', 'Mark III Concussion Missile Pack');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '372', 'wpn_experimental_blaster', 'Experimental Blaster (Red)');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '373', 'wpn_experimental_blaster_green', 'Experimental Blaster (Green)');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '374', 'wpn_experimental_disruptor', 'Experimental Disruptor');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '375', 'wpn_experimental_ioncannon', 'Experimental Ion Cannon');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '376', 'wpn_heavy_blaster', 'Heavy Blaster (Red)');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '377', 'wpn_heavy_blaster_green', 'Heavy Blaster (Green)');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '378', 'wpn_heavy_disruptor', 'Heavy Disruptor');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '379', 'wpn_heavy_ioncannon', 'Heavy Ion Cannon');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '380', 'wpn_imagerec_missile_mk1', 'Mark I Image-Rec Missile Pack');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '381', 'wpn_imagerec_missile_mk2', 'Mark II Image-Rec Missile Pack');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '382', 'wpn_launcher_concussion_mk1', 'Mark I Concussion Launcher');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '383', 'wpn_launcher_concussion_mk2', 'Mark II Concussion Launcher');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '384', 'wpn_launcher_concussion_mk3', 'Mark III Concussion Launcher');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '385', 'wpn_launcher_imagerec_mk1', 'Mark I Image-Rec Launcher');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '386', 'wpn_launcher_imagerec_mk2', 'Mark II Image-Rec Launcher');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '387', 'wpn_launcher_proton_mk1', 'Mark I Proton Launcher');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '388', 'wpn_launcher_proton_mk2', 'Mark II Proton Launcher');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '389', 'wpn_launcher_proton_mk3', 'Mark III Proton Launcher');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '390', 'wpn_launcher_proton_mk4', 'Mark IV Proton Launcher');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '391', 'wpn_launcher_seismic_mk1', 'Mark I Seismic Launcher');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '392', 'wpn_launcher_seismic_mk2', 'Mark II Seismic Launcher');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '393', 'wpn_launcher_seismic_mk3', 'Mark III Seismic Launcher');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '394', 'wpn_launcher_spacebomb_mk1', 'Mark I Spacebomb Launcher');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '395', 'wpn_launcher_spacebomb_mk2', 'Mark II Spacebomb Launcher');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '396', 'wpn_light_blaster', 'Light Blaster (Red)');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '397', 'wpn_light_blaster_green', 'Light Blaster (Green)');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '398', 'wpn_light_disruptor', 'Light Disruptor');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '399', 'wpn_light_ioncannon', 'Light Ion Cannon');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '400', 'wpn_medium_blaster', 'Mid-Grade Blaster (Red)');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '401', 'wpn_medium_blaster_green', 'Mid-Grade Blaster (Green)');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '402', 'wpn_medium_disruptor', 'Mid-Grade Disruptor');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '403', 'wpn_medium_ioncannon', 'Mid-Grade Ion Cannon');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '404', 'wpn_missile_launcher_mk1', 'Mark I Missile Launcher');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '405', 'wpn_missile_launcher_mk2', 'Mark II Missile Launcher');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '406', 'wpn_missile_launcher_mk3', 'Mark III Missile Launcher');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '407', 'wpn_missile_launcher_mk4', 'Mark IV Missile Launcher');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '408', 'wpn_missile_launcher_mk5', 'Mark V Missile Launcher');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '409', 'wpn_proton_missile_mk1', 'Mark I Proton Missile Pack');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '410', 'wpn_proton_missile_mk2', 'Mark II Proton Missile Pack');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '411', 'wpn_proton_missile_mk3', 'Mark III Proton Missile Pack');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '412', 'wpn_proton_missile_mk4', 'Mark IV Proton Missile Pack');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '413', 'wpn_seismic_missile_mk1', 'Mark I Seismic Missile Pack');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '414', 'wpn_seismic_missile_mk2', 'Mark II Seismic Missile Pack');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '415', 'wpn_seismic_missile_mk3', 'Mark III Seismic Missile Pack');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '416', 'wpn_spacebomb_missile_mk1', 'Mark I Spacebomb Pack');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '417', 'wpn_spacebomb_missile_mk2', 'Mark II Spacebomb Pack');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '418', 'xwing_body', 'X-Wing Body');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '419', 'xwing_booster_1', 'Mark I X-Wing Booster');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '420', 'xwing_booster_2', 'Mark II X-Wing Booster');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '421', 'xwing_cockpit', 'X-Wing Cockpit');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '422', 'xwing_custom_kit', 'Starship Paint Kit');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '423', 'xwing_deed', 'X-Wing Deed');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '424', 'xwing_wing_l', 'Left X-Wing Wing');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '425', 'xwing_wing_r', 'Right X-Wing Wing');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '426', 'ykl37r_chassis_token', 'YKL-37R Nova Courier Chassis Blueprints');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '427', 'ykl37r_deed', 'YKL-37R Nova Courier Deed');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '428', 'yt1300_chassis_token', 'YT-1300 Chassis Blueprints');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '429', 'yt1300_deed', 'YT-1300 Deed');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '430', 'ywing_chassis_token', 'Y-Wing Chassis Blueprints');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '431', 'ywing_deed', 'Y-Wing Deed');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '432', 'ywing_longprobe_chassis_token', 'Y-Wing \"Longprobe\" Chassis Blueprints');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '433', 'ywing_longprobe_deed', 'Y-Wing \"Longprobe\" Deed');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '434', 'z95_body', 'Z-95 Body');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '435', 'z95_chassis_deed', 'Z95 Deed');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '436', 'z95_chassis_token', 'Z-95 Chassis Blueprints');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '437', 'z95_cockpit', 'Z-95 Cockpit');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '438', 'z95_deed', 'Z-95 Deed');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '439', 'z95_wing_l', 'Left Z-95 Wing');
INSERT INTO `client_strings` VALUES ('string/en/space_crafting_n.stf', '440', 'z95_wing_r', 'Right Z-95 Wing');
INSERT INTO `client_strings` VALUES ('string/en/space_item_d.stf', '1', 'encoded_document', 'Data encoded on a disk, compatible with a standard datapad or computer system.');
INSERT INTO `client_strings` VALUES ('string/en/space_item_d.stf', '2', 'transfer_auth', 'This is an Imperial Authorization of Transfer form, digitally encoded on a thick reinforced military disk. The form details the official record of your service in the Imperial Navy. It needs to be countersigned before you can be officially accepted for transfer.');
INSERT INTO `client_strings` VALUES ('string/en/space_item_d.stf', '3', 'firespray_schematic_part', 'This is a fragment of a Kuat Systems Engineering technical schematic.  Maybe if you had the other pieces, an analysis tool could make sense of its garbled contents.');
INSERT INTO `client_strings` VALUES ('string/en/space_item_d.stf', '4', 'newbie_ship', 'This is a spaceship entrusted to you by a pilot trainer.  It is limited in its capabilities---you may not modify it, and the ship is not equipped with a hyperdrive.  You will need to get a crafted chassis before you can modify your ship, or travel at lightspeed.');
INSERT INTO `client_strings` VALUES ('string/en/space_item_d.stf', '5', 'palace_access_doc', 'These appear to be forged documents for entry into the palace of Jabba the Hutt. They don\'t seem to have been used yet, so you only need to glue a photo of yourself onto them and sign the dotted line. Thumb print is apparently accepted for those without reading and writing comprehension.');
INSERT INTO `client_strings` VALUES ('string/en/space_item_n.stf', '1', 'awing_pcd', 'A-Wing');
INSERT INTO `client_strings` VALUES ('string/en/space_item_n.stf', '2', 'basic_hutt_light_pcd', 'Light Hutt Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space_item_n.stf', '3', 'basic_tiefighter_pcd', 'TIE Light Duty Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space_item_n.stf', '4', 'basic_z95_pcd', 'Z-95 Headhunter');
INSERT INTO `client_strings` VALUES ('string/en/space_item_n.stf', '5', 'blacksun_heavy_pcd', 'Rihkxyrk Attack Ship');
INSERT INTO `client_strings` VALUES ('string/en/space_item_n.stf', '6', 'blacksun_light_pcd', 'Kihraxz Light Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space_item_n.stf', '7', 'blacksun_medium_pcd', 'Ixiyen Fast Attack Craft');
INSERT INTO `client_strings` VALUES ('string/en/space_item_n.stf', '8', 'bst_incom_intimidator_mk1', 'Mark I Incom \"Intimidator\" Booster');
INSERT INTO `client_strings` VALUES ('string/en/space_item_n.stf', '9', 'bst_incom_intimidator_mk2', 'Mark II Incom \"Intimidator\" Booster');
INSERT INTO `client_strings` VALUES ('string/en/space_item_n.stf', '10', 'bst_incom_intimidator_mk3', 'Mark III Incom \"Intimidator\" Booster');
INSERT INTO `client_strings` VALUES ('string/en/space_item_n.stf', '11', 'bst_incom_intimidator_mk4', 'Mark IV Incom \"Intimidator\" Booster');
INSERT INTO `client_strings` VALUES ('string/en/space_item_n.stf', '12', 'bst_koensayr_racer_mk1', 'Mark I Koensayr \"Racer\" Booster');
INSERT INTO `client_strings` VALUES ('string/en/space_item_n.stf', '13', 'bst_koensayr_racer_mk2', 'Mark II Koensayr \"Racer\" Booster');
INSERT INTO `client_strings` VALUES ('string/en/space_item_n.stf', '14', 'bst_koensayr_racer_mk3', 'Mark III Koensayr \"Racer\" Booster');
INSERT INTO `client_strings` VALUES ('string/en/space_item_n.stf', '15', 'bst_koensayr_racer_mk4', 'Mark IV Koensayr \"Racer\" Booster');
INSERT INTO `client_strings` VALUES ('string/en/space_item_n.stf', '16', 'bst_kuat_military_mk1', 'Mark I Kuat Military-Grade Booster');
INSERT INTO `client_strings` VALUES ('string/en/space_item_n.stf', '17', 'bst_kuat_military_mk2', 'Mark II Kuat Military-Grade Booster');
INSERT INTO `client_strings` VALUES ('string/en/space_item_n.stf', '18', 'bst_kuat_military_mk3', 'Mark III Kuat Military-Grade Booster');
INSERT INTO `client_strings` VALUES ('string/en/space_item_n.stf', '19', 'bst_kuat_military_mk4', 'Mark IV Kuat Military-Grade Booster');
INSERT INTO `client_strings` VALUES ('string/en/space_item_n.stf', '20', 'bst_novaldex_pulsar', 'Novaldex \"Pulsar\" Booster');
INSERT INTO `client_strings` VALUES ('string/en/space_item_n.stf', '21', 'bst_novaldex_pulsar_advanced', 'Advanced Novaldex \"Pulsar\" Booster');
INSERT INTO `client_strings` VALUES ('string/en/space_item_n.stf', '22', 'bst_novaldex_quasar', 'Novaldex \"Quasar\" Booster');
INSERT INTO `client_strings` VALUES ('string/en/space_item_n.stf', '23', 'bst_novaldex_quasar_advanced', 'Advanced Novaldex \"Quasar\" Booster');
INSERT INTO `client_strings` VALUES ('string/en/space_item_n.stf', '24', 'bst_qualdex_xboost_mk1', 'Mark I Qualdex \"X-Boost\" Booster');
INSERT INTO `client_strings` VALUES ('string/en/space_item_n.stf', '25', 'bst_qualdex_xboost_mk2', 'Mark II Qualdex \"X-Boost\" Booster');
INSERT INTO `client_strings` VALUES ('string/en/space_item_n.stf', '26', 'bst_qualdex_xboost_mk3', 'Mark III Qualdex \"X-Boost\" Booster');
INSERT INTO `client_strings` VALUES ('string/en/space_item_n.stf', '27', 'bst_qualdex_xboost_mk4', 'Mark IV Qualdex \"X-Boost\" Booster');
INSERT INTO `client_strings` VALUES ('string/en/space_item_n.stf', '28', 'bst_surronian_accelerator_mk1', 'Mark I Surronian \"Accelerator\" Booster');
INSERT INTO `client_strings` VALUES ('string/en/space_item_n.stf', '29', 'bst_surronian_accelerator_mk2', 'Mark II Surronian \"Accelerator\" Booster');
INSERT INTO `client_strings` VALUES ('string/en/space_item_n.stf', '30', 'bst_surronian_nomad_x4', 'Surronian X4 \"Nomad\" Booster');
INSERT INTO `client_strings` VALUES ('string/en/space_item_n.stf', '31', 'bst_surronian_nomad_x8', 'Surronian X8 \"Nomad\" Booster');
INSERT INTO `client_strings` VALUES ('string/en/space_item_n.stf', '32', 'bwing_pcd', 'B-Wing');
INSERT INTO `client_strings` VALUES ('string/en/space_item_n.stf', '33', 'decimator_pcd', 'VT-49 Decimator');
INSERT INTO `client_strings` VALUES ('string/en/space_item_n.stf', '34', 'encoded_document', 'Encoded Document');
INSERT INTO `client_strings` VALUES ('string/en/space_item_n.stf', '35', 'firespray_pcd', 'KSE Firespray');
INSERT INTO `client_strings` VALUES ('string/en/space_item_n.stf', '36', 'firespray_schematic_part1', 'A Kuat Systems Engineering schematic fragment (1/8)');
INSERT INTO `client_strings` VALUES ('string/en/space_item_n.stf', '37', 'firespray_schematic_part2', 'A Kuat Systems Engineering schematic fragment (2/8)');
INSERT INTO `client_strings` VALUES ('string/en/space_item_n.stf', '38', 'firespray_schematic_part3', 'A Kuat Systems Engineering schematic fragment (3/8)');
INSERT INTO `client_strings` VALUES ('string/en/space_item_n.stf', '39', 'firespray_schematic_part4', 'A Kuat Systems Engineering schematic fragment (4/8)');
INSERT INTO `client_strings` VALUES ('string/en/space_item_n.stf', '40', 'firespray_schematic_part5', 'A Kuat Systems Engineering schematic fragment (5/8)');
INSERT INTO `client_strings` VALUES ('string/en/space_item_n.stf', '41', 'firespray_schematic_part6', 'A Kuat Systems Engineering schematic fragment (6/8)');
INSERT INTO `client_strings` VALUES ('string/en/space_item_n.stf', '42', 'firespray_schematic_part7', 'A Kuat Systems Engineering schematic fragment (7/8)');
INSERT INTO `client_strings` VALUES ('string/en/space_item_n.stf', '43', 'firespray_schematic_part8', 'A Kuat Systems Engineering schematic fragment (8/8)');
INSERT INTO `client_strings` VALUES ('string/en/space_item_n.stf', '44', 'hutt_heavy_s01_pcd', 'Kimogila Heavy Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space_item_n.stf', '45', 'hutt_heavy_s02_pcd', 'Kimogila Heavy Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space_item_n.stf', '46', 'hutt_light_pcd', 'Scyk Light Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space_item_n.stf', '47', 'hutt_light_s02_pcd', 'Scyk Light Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space_item_n.stf', '48', 'hutt_medium_s01_pcd', 'Dunelizard Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space_item_n.stf', '49', 'hutt_medium_s02_pcd', 'Dunelizard Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space_item_n.stf', '50', 'hutt_turret_ship_pcd', 'M22-T \"Krayt\" Heavy Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space_item_n.stf', '51', 'palace_access_doc', 'Palace Access Document');
INSERT INTO `client_strings` VALUES ('string/en/space_item_n.stf', '52', 'sorosuub_space_yacht_pcd', 'Sorosuub Luxury Yacht');
INSERT INTO `client_strings` VALUES ('string/en/space_item_n.stf', '53', 'test_xwing_pcd', 'X-Wing');
INSERT INTO `client_strings` VALUES ('string/en/space_item_n.stf', '54', 'tie_in_pcd', 'TIE/IN ');
INSERT INTO `client_strings` VALUES ('string/en/space_item_n.stf', '55', 'tie_light_duty_pcd', 'TIE Light Duty Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space_item_n.stf', '56', 'tieadvanced_pcd', 'TIE Advanced');
INSERT INTO `client_strings` VALUES ('string/en/space_item_n.stf', '57', 'tieaggressor_pcd', 'TIE Aggressor');
INSERT INTO `client_strings` VALUES ('string/en/space_item_n.stf', '58', 'tiebomber_pcd', 'TIE Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space_item_n.stf', '59', 'tiefighter_pcd', 'TIE Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space_item_n.stf', '60', 'tieinterceptor_pcd', 'TIE Interceptor');
INSERT INTO `client_strings` VALUES ('string/en/space_item_n.stf', '61', 'tieoppressor_pcd', 'TIE Oppressor');
INSERT INTO `client_strings` VALUES ('string/en/space_item_n.stf', '62', 'transfer_auth', 'Authorization of Transfer');
INSERT INTO `client_strings` VALUES ('string/en/space_item_n.stf', '63', 'ykl37r_pcd', 'YKL-37R');
INSERT INTO `client_strings` VALUES ('string/en/space_item_n.stf', '64', 'yt1300_pcd', 'YT-1300');
INSERT INTO `client_strings` VALUES ('string/en/space_item_n.stf', '65', 'ywing_longprobe_pcd', 'Y-Wing Longprobe');
INSERT INTO `client_strings` VALUES ('string/en/space_item_n.stf', '66', 'ywing_pcd', 'Y-Wing');
INSERT INTO `client_strings` VALUES ('string/en/space_item_n.stf', '67', 'z95_pcd', 'Z-95 Headhunter');
INSERT INTO `client_strings` VALUES ('string/en/space_ship.stf', '1', 'capital_base', 'Capital Ship');
INSERT INTO `client_strings` VALUES ('string/en/space_ship.stf', '2', 'corellian_corvette', 'Corellian Corvette');
INSERT INTO `client_strings` VALUES ('string/en/space_ship.stf', '3', 'fighter_base', 'Starfighter');
INSERT INTO `client_strings` VALUES ('string/en/space_ship.stf', '4', 'player_awing', 'A-Wing Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space_ship.stf', '5', 'player_basic_hutt_light', 'Scyk Light Fighter (Basic)');
INSERT INTO `client_strings` VALUES ('string/en/space_ship.stf', '6', 'player_basic_tiefighter', 'TIE Fighter (Basic)');
INSERT INTO `client_strings` VALUES ('string/en/space_ship.stf', '7', 'player_basic_z95', 'Z95 Headhunter (Basic)');
INSERT INTO `client_strings` VALUES ('string/en/space_ship.stf', '8', 'player_blacksun_heavy_s01', 'Rihkxyrk Attack Ship, Style 1');
INSERT INTO `client_strings` VALUES ('string/en/space_ship.stf', '9', 'player_blacksun_heavy_s02', 'Rihkxyrk Attack Ship, Style 2');
INSERT INTO `client_strings` VALUES ('string/en/space_ship.stf', '10', 'player_blacksun_heavy_s03', 'Rihkxyrk Attack Ship, Style 3');
INSERT INTO `client_strings` VALUES ('string/en/space_ship.stf', '11', 'player_blacksun_heavy_s04', 'Rihkxyrk Attack Ship, Style 4');
INSERT INTO `client_strings` VALUES ('string/en/space_ship.stf', '12', 'player_blacksun_light_s01', 'Kihraxz Light Fighter, Style 1');
INSERT INTO `client_strings` VALUES ('string/en/space_ship.stf', '13', 'player_blacksun_light_s02', 'Kihraxz Light Fighter, Style 2');
INSERT INTO `client_strings` VALUES ('string/en/space_ship.stf', '14', 'player_blacksun_light_s03', 'Kihraxz Light Fighter, Style 3');
INSERT INTO `client_strings` VALUES ('string/en/space_ship.stf', '15', 'player_blacksun_light_s04', 'Kihraxz Light Fighter, Style 4');
INSERT INTO `client_strings` VALUES ('string/en/space_ship.stf', '16', 'player_blacksun_medium_s01', 'Ixiyen Fast Attack Craft, Style 1');
INSERT INTO `client_strings` VALUES ('string/en/space_ship.stf', '17', 'player_blacksun_medium_s02', 'Ixiyen Fast Attack Craft, Style 2');
INSERT INTO `client_strings` VALUES ('string/en/space_ship.stf', '18', 'player_blacksun_medium_s03', 'Ixiyen Fast Attack Craft, Style 3');
INSERT INTO `client_strings` VALUES ('string/en/space_ship.stf', '19', 'player_blacksun_medium_s04', 'Ixiyen Fast Attack Craft, Style 4');
INSERT INTO `client_strings` VALUES ('string/en/space_ship.stf', '20', 'player_bwing', 'B-Wing Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space_ship.stf', '21', 'player_corvette', 'Corellian Corvette');
INSERT INTO `client_strings` VALUES ('string/en/space_ship.stf', '22', 'player_decimator', 'VT-49 Decimator');
INSERT INTO `client_strings` VALUES ('string/en/space_ship.stf', '23', 'player_firespray', 'KSE Firespray');
INSERT INTO `client_strings` VALUES ('string/en/space_ship.stf', '24', 'player_hutt_heavy_s01', 'Kimogila Fighter, Style 1');
INSERT INTO `client_strings` VALUES ('string/en/space_ship.stf', '25', 'player_hutt_heavy_s02', 'Kimogila Fighter, Style 2');
INSERT INTO `client_strings` VALUES ('string/en/space_ship.stf', '26', 'player_hutt_light_s01', 'Scyk M3-A Fighter, Style 1');
INSERT INTO `client_strings` VALUES ('string/en/space_ship.stf', '27', 'player_hutt_light_s02', 'Scyk M3-A Fighter, Style 2');
INSERT INTO `client_strings` VALUES ('string/en/space_ship.stf', '28', 'player_hutt_medium_s01', 'Dunelizard Fighter, Style 1');
INSERT INTO `client_strings` VALUES ('string/en/space_ship.stf', '29', 'player_hutt_medium_s02', 'Dunelizard Fighter, Style 2');
INSERT INTO `client_strings` VALUES ('string/en/space_ship.stf', '30', 'player_hutt_turret_ship', 'M22-T \"Krayt\" Gunship');
INSERT INTO `client_strings` VALUES ('string/en/space_ship.stf', '31', 'player_prototype_hutt_light', 'Prototype Scyk M3-A Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space_ship.stf', '32', 'player_prototype_tiefighter', 'Prototype TIE Light Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space_ship.stf', '33', 'player_prototype_z95', 'Prototype Z95 Headhunter');
INSERT INTO `client_strings` VALUES ('string/en/space_ship.stf', '34', 'player_sorosuub_space_yacht', 'Sorosuub Luxury Yacht');
INSERT INTO `client_strings` VALUES ('string/en/space_ship.stf', '35', 'player_test_corvette', 'Blockade Runner');
INSERT INTO `client_strings` VALUES ('string/en/space_ship.stf', '36', 'player_test_falcon', 'P4-TY Space Barge');
INSERT INTO `client_strings` VALUES ('string/en/space_ship.stf', '37', 'player_tie_in', 'TIE/In Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space_ship.stf', '38', 'player_tie_light_duty', 'TIE Light Duty Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space_ship.stf', '39', 'player_tieadvanced', 'TIE Advanced');
INSERT INTO `client_strings` VALUES ('string/en/space_ship.stf', '40', 'player_tieaggressor', 'TIE Aggressor');
INSERT INTO `client_strings` VALUES ('string/en/space_ship.stf', '41', 'player_tiebomber', 'TIE Bomber');
INSERT INTO `client_strings` VALUES ('string/en/space_ship.stf', '42', 'player_tiefighter', 'TIE Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space_ship.stf', '43', 'player_tieinterceptor', 'TIE Interceptor');
INSERT INTO `client_strings` VALUES ('string/en/space_ship.stf', '44', 'player_tieoppressor', 'TIE Oppressor');
INSERT INTO `client_strings` VALUES ('string/en/space_ship.stf', '45', 'player_xwing', 'X-Wing Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space_ship.stf', '46', 'player_ykl37r', 'YKL-37R Nova Courier');
INSERT INTO `client_strings` VALUES ('string/en/space_ship.stf', '47', 'player_yt1300', 'YT-1300 Transport');
INSERT INTO `client_strings` VALUES ('string/en/space_ship.stf', '48', 'player_ywing', 'Y-Wing Fighter');
INSERT INTO `client_strings` VALUES ('string/en/space_ship.stf', '49', 'player_ywing_longprobe', 'Y-Wing Longprobe');
INSERT INTO `client_strings` VALUES ('string/en/space_ship.stf', '50', 'player_z95', 'Z95 Headhunter');
INSERT INTO `client_strings` VALUES ('string/en/space_ship.stf', '51', 'ship_base', 'Starship');
INSERT INTO `client_strings` VALUES ('string/en/space_ship.stf', '52', 'station_base', 'Space Station');
INSERT INTO `client_strings` VALUES ('string/en/space_trainer.stf', '1', 'rebel_trainer_1', 'Rebel Trainer');
INSERT INTO `client_strings` VALUES ('string/en/space_trainer.stf', '2', 'rebel_trainer_2', 'Other Rebel Trainer');
INSERT INTO `client_strings` VALUES ('string/en/spam.stf', '1', 'loot_item_self', 'You loot %TU from %TT.');
INSERT INTO `client_strings` VALUES ('string/en/spam.stf', '2', 'loot_item_other', '%TU looted %TT from %TO.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_afarathucave.stf', '1', 'cant_work', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_afarathucave.stf', '2', 'dontknowyou_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_afarathucave.stf', '3', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_afarathucave.stf', '4', 'next', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_afarathucave.stf', '5', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_afarathucave.stf', '6', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_afarathucave.stf', '7', 'npc_1_1', 'Ah, it is one of your kind. Your species are prone to violent actions more so than mine, thus you may want to be part of this, yes? It will help your people and mine, rest assured. Shall I continue?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_afarathucave.stf', '8', 'npc_2_1', 'A group of extremists calling themselves the Afarathu have made a pact with the Tribunals. Many of us know that this will soon make the Afarathu cocky, and soon they will begin raiding everyone with their stolen weapons. They need to be shown that might leads to violence. You will show them, yes? Good.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_afarathucave.stf', '9', 'npc_3_1', 'Yes, as are many of our people, as well. Our politics are far more heated than yours are, with the Empire controlling all. A good day to you, pacifist.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_afarathucave.stf', '10', 'npc_4_1', 'Your people have a history according to your historians, if I know correctly. Some of my sisters only understand communication through violence.  Therefore, you would be an excellent moderator. Shall I continue?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_afarathucave.stf', '11', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_afarathucave.stf', '12', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_afarathucave.stf', '13', 'npc_backtowork_1', 'Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_afarathucave.stf', '14', 'npc_breech_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_afarathucave.stf', '15', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_afarathucave.stf', '16', 'npc_failure_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_afarathucave.stf', '17', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_afarathucave.stf', '18', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_afarathucave.stf', '19', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_afarathucave.stf', '20', 'npc_noloc_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_afarathucave.stf', '21', 'npc_reset', 'So be it. Farewell.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_afarathucave.stf', '22', 'npc_reward_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_afarathucave.stf', '23', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_afarathucave.stf', '24', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_afarathucave.stf', '25', 'npc_work_1', 'Did you find the Afarathu Cult lair?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_afarathucave.stf', '26', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_afarathucave.stf', '27', 'player_1_1', 'I\'m listening. Go on.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_afarathucave.stf', '28', 'player_2_1', 'No thanks. I\'m a pacifist.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_afarathucave.stf', '29', 'player_3_1', 'What do you mean \'prone to violent actions\'?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_afarathucave.stf', '30', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_afarathucave.stf', '31', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_afarathucave.stf', '32', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_afarathucave.stf', '33', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_afarathucave.stf', '34', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_afarathucave.stf', '35', 'player_reset', 'I changed my mind. I\'m not going.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_afarathucave.stf', '36', 'player_sorry', 'Not yet. I am on my way.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_afarathucave.stf', '37', 'return_waypoint_description_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_afarathucave.stf', '38', 'return_waypoint_name_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_afarathucave.stf', '39', 'waypoint_description_1', 'This system of caves house an extremist group of Selonians who are known to raid all manner of people.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_afarathucave.stf', '40', 'waypoint_name_1', 'Afarathu Cave');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_drall_patriot_hideout.stf', '1', 'cant_work', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_drall_patriot_hideout.stf', '2', 'dontknowyou_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_drall_patriot_hideout.stf', '3', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_drall_patriot_hideout.stf', '4', 'next', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_drall_patriot_hideout.stf', '5', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_drall_patriot_hideout.stf', '6', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_drall_patriot_hideout.stf', '7', 'npc_1_1', 'Hey you! Have you heard the new song playing in the cantina? \"The Empire\'s Slave\" is a band of musicians who have been singing about bringing down all kinds of government. Do you want to know where they might be playing next?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_drall_patriot_hideout.stf', '8', 'npc_2_1', 'They were saying that anyone who wants to help destroy all governments should show up at the Patriots\' base of operations. Watch out, though, because they probably might think you work for either the Empire or the Rebellion.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_drall_patriot_hideout.stf', '9', 'npc_3_1', 'Yeah, you\'re probably one of those Imperials, or worse yet, one of those Rebels. You\'re just like those guys they were talking about. Well, you can go off and be a slave to them? I know I\'m not!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_drall_patriot_hideout.stf', '10', 'npc_4_1', 'There\'s a group of guys who call themselves the Patriots, right? They\'re a bunch of Drall like me who want to smash every government to the ground, and they formed a band to spread the message! They are sooo wizard!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_drall_patriot_hideout.stf', '11', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_drall_patriot_hideout.stf', '12', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_drall_patriot_hideout.stf', '13', 'npc_backtowork_1', 'Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_drall_patriot_hideout.stf', '14', 'npc_breech_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_drall_patriot_hideout.stf', '15', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_drall_patriot_hideout.stf', '16', 'npc_failure_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_drall_patriot_hideout.stf', '17', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_drall_patriot_hideout.stf', '18', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_drall_patriot_hideout.stf', '19', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_drall_patriot_hideout.stf', '20', 'npc_noloc_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_drall_patriot_hideout.stf', '21', 'npc_reset', 'So be it. Farewell.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_drall_patriot_hideout.stf', '22', 'npc_reward_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_drall_patriot_hideout.stf', '23', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_drall_patriot_hideout.stf', '24', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_drall_patriot_hideout.stf', '25', 'npc_work_1', 'Did you find the Drall Patriots\' hideout?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_drall_patriot_hideout.stf', '26', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_drall_patriot_hideout.stf', '27', 'player_1_1', 'Sure, tell me.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_drall_patriot_hideout.stf', '28', 'player_2_1', 'Nope, not interested.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_drall_patriot_hideout.stf', '29', 'player_3_1', 'Who is \"The Empire\'s Slave\"?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_drall_patriot_hideout.stf', '30', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_drall_patriot_hideout.stf', '31', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_drall_patriot_hideout.stf', '32', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_drall_patriot_hideout.stf', '33', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_drall_patriot_hideout.stf', '34', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_drall_patriot_hideout.stf', '35', 'player_reset', 'No. I\'ve decided not to go there.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_drall_patriot_hideout.stf', '36', 'player_sorry', 'Not yet. I am on my way there now.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_drall_patriot_hideout.stf', '37', 'return_waypoint_description_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_drall_patriot_hideout.stf', '38', 'return_waypoint_name_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_drall_patriot_hideout.stf', '39', 'waypoint_description_1', 'A group calling themselves the Drall Patriots use these caves to stage attacks on people.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_drall_patriot_hideout.stf', '40', 'waypoint_name_1', 'Drall Patriots\' Hideout');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_imperial_strongold.stf', '1', 'cant_work', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_imperial_strongold.stf', '2', 'dontknowyou_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_imperial_strongold.stf', '3', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_imperial_strongold.stf', '4', 'next', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_imperial_strongold.stf', '5', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_imperial_strongold.stf', '6', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_imperial_strongold.stf', '7', 'npc_1_1', 'Hey there, kid. You look like you have an eye for detail. Have you ever thought of being a \"Professional Eye-Witness\"? If so, I have some advice for you. Interested?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_imperial_strongold.stf', '8', 'npc_2_1', 'I knew you were that kind of guy. Look... the Empire has set up shop a little ways up the road. Let\'s just say they know of me and won\'t let me within 1000m of the place. You though can get a good look around there, then one day when I run a story on it, I\'ll look you up, got it? Here\'s where you can find it.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_imperial_strongold.stf', '9', 'npc_3_1', 'What\'s wrong, kid? Are you scared of the truth? Or perhaps you just can\'t handle it?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_imperial_strongold.stf', '10', 'npc_4_1', 'Well, as you can tell by looking at me, I\'m a journalist. I write for all of the major News HoloStations throughout the galaxy, and am well known for my surprise exposes. Matter of fact, right now I\'m planning one and you can be part of it! Interested?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_imperial_strongold.stf', '11', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_imperial_strongold.stf', '12', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_imperial_strongold.stf', '13', 'npc_backtowork_1', 'Good luck to you!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_imperial_strongold.stf', '14', 'npc_breech_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_imperial_strongold.stf', '15', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_imperial_strongold.stf', '16', 'npc_failure_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_imperial_strongold.stf', '17', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_imperial_strongold.stf', '18', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_imperial_strongold.stf', '19', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_imperial_strongold.stf', '20', 'npc_noloc_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_imperial_strongold.stf', '21', 'npc_reset', 'Well, okay. Maybe some other time.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_imperial_strongold.stf', '22', 'npc_reward_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_imperial_strongold.stf', '23', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_imperial_strongold.stf', '24', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_imperial_strongold.stf', '25', 'npc_work_1', 'Did you locate the Imperial Stronghold?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_imperial_strongold.stf', '26', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_imperial_strongold.stf', '27', 'player_1_1', 'Absolutely! Count me in!!!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_imperial_strongold.stf', '28', 'player_2_1', 'Ummm.. No thanks... I\'m leaving now.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_imperial_strongold.stf', '29', 'player_3_1', 'Hold on. What are you talking about?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_imperial_strongold.stf', '30', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_imperial_strongold.stf', '31', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_imperial_strongold.stf', '32', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_imperial_strongold.stf', '33', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_imperial_strongold.stf', '34', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_imperial_strongold.stf', '35', 'player_reset', 'No. I\'ve decided to stay away from it for the time being.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_imperial_strongold.stf', '36', 'player_sorry', 'I\'m on my way there right now.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_imperial_strongold.stf', '37', 'return_waypoint_description_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_imperial_strongold.stf', '38', 'return_waypoint_name_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_imperial_strongold.stf', '39', 'waypoint_description_1', 'The Empire has gone to great lengths to construct this outpost, but no one knows what it\'s for. Perhaps you might be the one to find out.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_imperial_strongold.stf', '40', 'waypoint_name_1', 'Imperial Stronghold');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_lord_nyax_cult.stf', '1', 'cant_work', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_lord_nyax_cult.stf', '2', 'dontknowyou_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_lord_nyax_cult.stf', '3', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_lord_nyax_cult.stf', '4', 'next', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_lord_nyax_cult.stf', '5', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_lord_nyax_cult.stf', '6', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_lord_nyax_cult.stf', '7', 'npc_1_1', 'Everyone here in town thinks I\'ve gone crazy, but I know what I heard! You! You can go out there and prove that I haven\'t gone nuts! You need to go out into the wilderness and stop these cultists from bringing back Lord Nyax\'s ghost!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_lord_nyax_cult.stf', '8', 'npc_2_1', 'I knew someone would finally believe me! Here\'s where I saw them. If you have friends, bring them with you too! Someone has to stop these guys in case they actually know how to bring someone back from the dead!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_lord_nyax_cult.stf', '9', 'npc_3_1', 'You\'re just like everyone else here! I swear it\'s not just a story to tell kids! These guys are serious! Someone has to stop them before they summon up his ghost!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_lord_nyax_cult.stf', '10', 'npc_4_1', 'What? You\'ve never heard of Lord Nyax? He was the worst thing ever seen on Corellia? dressed all in black, choking people with his mind, you name it!Most people think he\'s just a story you tell to kids who are misbehaving, but I\'m telling you, he\'s real!! Or at least these guys think he is!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_lord_nyax_cult.stf', '11', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_lord_nyax_cult.stf', '12', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_lord_nyax_cult.stf', '13', 'npc_backtowork_1', 'I sure hope you can verify my story so people stop thinking that I\'m crazy.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_lord_nyax_cult.stf', '14', 'npc_breech_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_lord_nyax_cult.stf', '15', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_lord_nyax_cult.stf', '16', 'npc_failure_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_lord_nyax_cult.stf', '17', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_lord_nyax_cult.stf', '18', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_lord_nyax_cult.stf', '19', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_lord_nyax_cult.stf', '20', 'npc_noloc_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_lord_nyax_cult.stf', '21', 'npc_reset', 'Perhaps that is for the best.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_lord_nyax_cult.stf', '22', 'npc_reward_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_lord_nyax_cult.stf', '23', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_lord_nyax_cult.stf', '24', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_lord_nyax_cult.stf', '25', 'npc_work_1', 'Did you find the followers of Lord Nyax?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_lord_nyax_cult.stf', '26', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_lord_nyax_cult.stf', '27', 'player_1_1', 'Umm... sure, I\'ll help you.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_lord_nyax_cult.stf', '28', 'player_2_1', 'No thanks. You sound like you\'re one card short of a full Sabbac deck.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_lord_nyax_cult.stf', '29', 'player_3_1', 'Who is Lord Nyax?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_lord_nyax_cult.stf', '30', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_lord_nyax_cult.stf', '31', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_lord_nyax_cult.stf', '32', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_lord_nyax_cult.stf', '33', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_lord_nyax_cult.stf', '34', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_lord_nyax_cult.stf', '35', 'player_reset', 'I\'ve decided not to search for them.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_lord_nyax_cult.stf', '36', 'player_sorry', 'Not yet. I am still looking.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_lord_nyax_cult.stf', '37', 'return_waypoint_description_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_lord_nyax_cult.stf', '38', 'return_waypoint_name_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_lord_nyax_cult.stf', '39', 'waypoint_description_1', 'This is the temple where a group of cultists are trying to bring Lord Nyax back from the dead.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_lord_nyax_cult.stf', '40', 'waypoint_name_1', 'Lord Nyax Cult');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_rogue_corsec.stf', '1', 'cant_work', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_rogue_corsec.stf', '2', 'dontknowyou_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_rogue_corsec.stf', '3', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_rogue_corsec.stf', '4', 'next', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_rogue_corsec.stf', '5', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_rogue_corsec.stf', '6', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_rogue_corsec.stf', '7', 'npc_1_1', 'I can\'t believe it!! Aarrrgh! If he weren\'t my friend, I\'d go do it myself. Huh? Oh, sorry... didn\'t see you there. Hey! Are you interested in unofficially helping the remaining \"good\" CorSec agents?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_rogue_corsec.stf', '8', 'npc_2_1', 'Here\'s where you can find the island all those thugs are using as a \"base\". If you find you have the time, go show them what happens to traitors!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_rogue_corsec.stf', '9', 'npc_3_1', 'Well, at least you\'re better than those rogues are. Thanks for your honesty.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_rogue_corsec.stf', '10', 'npc_4_1', 'My former partner, and best friend at that, apparently has gone \"rogue\". He joined up with a group of former agents that have decided to go into business for themselves. Not only that, he stole quite a number of weapons from the armory before he left. GRRrrrr!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_rogue_corsec.stf', '11', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_rogue_corsec.stf', '12', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_rogue_corsec.stf', '13', 'npc_backtowork_1', 'Good luck, then.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_rogue_corsec.stf', '14', 'npc_breech_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_rogue_corsec.stf', '15', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_rogue_corsec.stf', '16', 'npc_failure_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_rogue_corsec.stf', '17', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_rogue_corsec.stf', '18', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_rogue_corsec.stf', '19', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_rogue_corsec.stf', '20', 'npc_noloc_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_rogue_corsec.stf', '21', 'npc_reset', 'That might be wise. But even so - the very idea of wholesome justice dies today... along with your courage.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_rogue_corsec.stf', '22', 'npc_reward_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_rogue_corsec.stf', '23', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_rogue_corsec.stf', '24', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_rogue_corsec.stf', '25', 'npc_work_1', 'Did you find the Rogue Corsec encampment?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_rogue_corsec.stf', '26', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_rogue_corsec.stf', '27', 'player_1_1', 'Sure, I\'ll help.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_rogue_corsec.stf', '28', 'player_2_1', 'Sorry... I don\'t do anything unofficial.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_rogue_corsec.stf', '29', 'player_3_1', 'Why are you so angry?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_rogue_corsec.stf', '30', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_rogue_corsec.stf', '31', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_rogue_corsec.stf', '32', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_rogue_corsec.stf', '33', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_rogue_corsec.stf', '34', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_rogue_corsec.stf', '35', 'player_reset', 'I\'ve decided not to look for it.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_rogue_corsec.stf', '36', 'player_sorry', 'Not yet. I\'m still looking.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_rogue_corsec.stf', '37', 'return_waypoint_description_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_rogue_corsec.stf', '38', 'return_waypoint_name_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_rogue_corsec.stf', '39', 'waypoint_description_1', 'An island where former members of CorSec have set up a base of operations for their thievery.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_corellia_rogue_corsec.stf', '40', 'waypoint_name_1', 'Rogue Island');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_force_crytsal_hunters_cave.stf', '1', 'cant_work', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_force_crytsal_hunters_cave.stf', '2', 'dontknowyou_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_force_crytsal_hunters_cave.stf', '3', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_force_crytsal_hunters_cave.stf', '4', 'next', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_force_crytsal_hunters_cave.stf', '5', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_force_crytsal_hunters_cave.stf', '6', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_force_crytsal_hunters_cave.stf', '7', 'npc_1_1', 'Want to hear a crazy story? This guy last night in the cantina was telling us where there\'s this group of people running around moving things with their minds. He says there was this cave filled with crystals where all of them live. Crazy, huh? He even told us where it was, too. Interested in going out there to see if this is real or not?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_force_crytsal_hunters_cave.stf', '8', 'npc_2_1', 'It\'s your time, not mine. Okay, this is where he said the place was. I\'ll warn you that if you find nothing there, it\'s your own fault for believing this guy. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_force_crytsal_hunters_cave.stf', '9', 'npc_3_1', 'That\'s what I\'m saying! I\'m not running out there to find out if he\'s telling the truth or not. Then again, what if he was?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_force_crytsal_hunters_cave.stf', '10', 'npc_4_1', 'Okay, here\'s the full story. He says he\'s a medic, right? He gets this call from some weird guy who says his brother needs help. The guy goes running out to these caves with the weirdo, finds the brother, then heals him up. While he\'s doing that, he says everyone around there were doing crazy things like moving stuff and jumping real high. Go figure. Interested in knowing where?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_force_crytsal_hunters_cave.stf', '11', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_force_crytsal_hunters_cave.stf', '12', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_force_crytsal_hunters_cave.stf', '13', 'npc_backtowork_1', 'Then good luck to you.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_force_crytsal_hunters_cave.stf', '14', 'npc_breech_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_force_crytsal_hunters_cave.stf', '15', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_force_crytsal_hunters_cave.stf', '16', 'npc_failure_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_force_crytsal_hunters_cave.stf', '17', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_force_crytsal_hunters_cave.stf', '18', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_force_crytsal_hunters_cave.stf', '19', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_force_crytsal_hunters_cave.stf', '20', 'npc_noloc_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_force_crytsal_hunters_cave.stf', '21', 'npc_reset', 'Hmmm. Well, okay.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_force_crytsal_hunters_cave.stf', '22', 'npc_reward_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_force_crytsal_hunters_cave.stf', '23', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_force_crytsal_hunters_cave.stf', '24', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_force_crytsal_hunters_cave.stf', '25', 'npc_work_1', 'Did you find the force crystal hunters\' encampment?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_force_crytsal_hunters_cave.stf', '26', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_force_crytsal_hunters_cave.stf', '27', 'player_1_1', 'Sure, I have nothing better to do.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_force_crytsal_hunters_cave.stf', '28', 'player_2_1', 'No thanks. It sounds like some tall tale.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_force_crytsal_hunters_cave.stf', '29', 'player_3_1', 'How did he say he found out about the place?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_force_crytsal_hunters_cave.stf', '30', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_force_crytsal_hunters_cave.stf', '31', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_force_crytsal_hunters_cave.stf', '32', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_force_crytsal_hunters_cave.stf', '33', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_force_crytsal_hunters_cave.stf', '34', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_force_crytsal_hunters_cave.stf', '35', 'player_reset', 'I\'ve decided to skip it.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_force_crytsal_hunters_cave.stf', '36', 'player_sorry', 'I am still looking for the crystal hunters.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_force_crytsal_hunters_cave.stf', '37', 'return_waypoint_description_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_force_crytsal_hunters_cave.stf', '38', 'return_waypoint_name_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_force_crytsal_hunters_cave.stf', '39', 'waypoint_description_1', 'According to the story, this cave is filled with people who can do strange things with their mind');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_force_crytsal_hunters_cave.stf', '40', 'waypoint_name_1', 'Mysterious Crystal Cave');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_janta_stronghold.stf', '1', 'cant_work', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_janta_stronghold.stf', '2', 'dontknowyou_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_janta_stronghold.stf', '3', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_janta_stronghold.stf', '4', 'next', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_janta_stronghold.stf', '5', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_janta_stronghold.stf', '6', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_janta_stronghold.stf', '7', 'npc_1_1', 'Would you mind helping a starving artisan? Just the other day, I was accosted by some of those primitive Dantari. I thought I was dead, but at the last moment, all they took were a couple of my sculptures. Mind you, I\'m happy to be alive, but I would have preferred to have kept my art, as well. Would you help see if the art is still there?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_janta_stronghold.stf', '8', 'npc_2_1', 'Thank you so much! I saw them run off to their cave well, when I dared to open my eyes, that is. I\'m pretty certain they smashed it once they realized it couldn\'t be eaten, but if you happen to find it there, I\'d greatly appreciate it if you brought it back.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_janta_stronghold.stf', '9', 'npc_3_1', 'Well a good day to you, too! Hmph!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_janta_stronghold.stf', '10', 'npc_4_1', 'I don\'t know, to tell you the truth. When they came upon me, I thought it was curtains for me. They started to grunt at me, holding out some spears and pointing to my artwork. All they kept saying was Janta.  Looking back, I think they were trying to trade with me, but I don\'t know how to communicate with them. Could you help me?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_janta_stronghold.stf', '11', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_janta_stronghold.stf', '12', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_janta_stronghold.stf', '13', 'npc_backtowork_1', 'Good luck, then.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_janta_stronghold.stf', '14', 'npc_breech_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_janta_stronghold.stf', '15', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_janta_stronghold.stf', '16', 'npc_failure_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_janta_stronghold.stf', '17', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_janta_stronghold.stf', '18', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_janta_stronghold.stf', '19', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_janta_stronghold.stf', '20', 'npc_noloc_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_janta_stronghold.stf', '21', 'npc_reset', 'Fine.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_janta_stronghold.stf', '22', 'npc_reward_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_janta_stronghold.stf', '23', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_janta_stronghold.stf', '24', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_janta_stronghold.stf', '25', 'npc_work_1', 'Did you find them?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_janta_stronghold.stf', '26', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_janta_stronghold.stf', '27', 'player_1_1', 'Sure, I\'ll help you.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_janta_stronghold.stf', '28', 'player_2_1', 'Sorry, I\'m busy.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_janta_stronghold.stf', '29', 'player_3_1', 'Why didn\'t they kill you?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_janta_stronghold.stf', '30', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_janta_stronghold.stf', '31', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_janta_stronghold.stf', '32', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_janta_stronghold.stf', '33', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_janta_stronghold.stf', '34', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_janta_stronghold.stf', '35', 'player_reset', 'I\'ve decided to quit looking.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_janta_stronghold.stf', '36', 'player_sorry', 'I am still looking for them.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_janta_stronghold.stf', '37', 'return_waypoint_description_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_janta_stronghold.stf', '38', 'return_waypoint_name_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_janta_stronghold.stf', '39', 'waypoint_description_1', 'A group of Dantari make this system of caves their home.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_janta_stronghold.stf', '40', 'waypoint_name_1', 'Janta Stronghold');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_kunga_stronghold.stf', '1', 'cant_work', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_kunga_stronghold.stf', '2', 'dontknowyou_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_kunga_stronghold.stf', '3', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_kunga_stronghold.stf', '4', 'next', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_kunga_stronghold.stf', '5', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_kunga_stronghold.stf', '6', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_kunga_stronghold.stf', '7', 'npc_1_1', 'If you are looking for opportunities to help the Empire, then you are speaking with the right person. We are doing preliminary reconnaissance on the native Dantari. Since the Empire has just begun to take control of this planet, any information on the surrounding Dantari will help. Are you interested in helping the Empire?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_kunga_stronghold.stf', '8', 'npc_2_1', 'Very good. Here are the coordinates of an area we suspect the Dantari to have a heavy concentration of their people. All we need you to do is observe the area. When we need the information, we will come to you and ask you for your detailed report.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_kunga_stronghold.stf', '9', 'npc_3_1', 'Helping the Empire should be the most important thing on your list of things to do.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_kunga_stronghold.stf', '10', 'npc_4_1', 'The Dantari are a threat to our stormtroopers. At this time, we are devoting all of our efforts to wipe out the remaining Rebel sympathy on this planet. Once the Rebels have been completely stopped, we can then focus our attentions on subjugating the indigenous species, the Dantari.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_kunga_stronghold.stf', '11', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_kunga_stronghold.stf', '12', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_kunga_stronghold.stf', '13', 'npc_backtowork_1', 'Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_kunga_stronghold.stf', '14', 'npc_breech_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_kunga_stronghold.stf', '15', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_kunga_stronghold.stf', '16', 'npc_failure_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_kunga_stronghold.stf', '17', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_kunga_stronghold.stf', '18', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_kunga_stronghold.stf', '19', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_kunga_stronghold.stf', '20', 'npc_noloc_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_kunga_stronghold.stf', '21', 'npc_reset', 'Okay. Fine.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_kunga_stronghold.stf', '22', 'npc_reward_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_kunga_stronghold.stf', '23', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_kunga_stronghold.stf', '24', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_kunga_stronghold.stf', '25', 'npc_work_1', 'Did you find them?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_kunga_stronghold.stf', '26', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_kunga_stronghold.stf', '27', 'player_1_1', 'Yes, I wish to help the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_kunga_stronghold.stf', '28', 'player_2_1', 'Sorry, I have more important things to do.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_kunga_stronghold.stf', '29', 'player_3_1', 'Why are you concerned with the Dantari?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_kunga_stronghold.stf', '30', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_kunga_stronghold.stf', '31', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_kunga_stronghold.stf', '32', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_kunga_stronghold.stf', '33', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_kunga_stronghold.stf', '34', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_kunga_stronghold.stf', '35', 'player_reset', 'I decided to quit looking.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_kunga_stronghold.stf', '36', 'player_sorry', 'Not yet. I am still looking.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_kunga_stronghold.stf', '37', 'return_waypoint_description_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_kunga_stronghold.stf', '38', 'return_waypoint_name_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_kunga_stronghold.stf', '39', 'waypoint_description_1', 'According to the Imperial Officer, this area is home to aggressive Dantari');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_kunga_stronghold.stf', '40', 'waypoint_name_1', 'Dantari Stronghold');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_mokk_stronghold.stf', '1', 'cant_work', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_mokk_stronghold.stf', '2', 'dontknowyou_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_mokk_stronghold.stf', '3', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_mokk_stronghold.stf', '4', 'next', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_mokk_stronghold.stf', '5', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_mokk_stronghold.stf', '6', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_mokk_stronghold.stf', '7', 'npc_1_1', 'How are you doing today? The name\'s Daiv Dekven, Scout. Look, you might be able to help me out, actually. I\'m nursing some wounds right now, but I was checking up on a cave to see if it\'s already being used by some Dantari. Do you think you might be able to help me, since I can\'t do it myself?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_mokk_stronghold.stf', '8', 'npc_2_1', 'Thanks a lot, friend. Let me mark down on your datapad where I saw this cave. All I need to know is if some Dantari are using it. I\'ve heard a tribe named the Mokk Dantari are using it, but I need to make sure. I\'ll run off to the hospital shortly once you leave. Thanks again!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_mokk_stronghold.stf', '9', 'npc_3_1', 'Hey, I understand. If I hadn\'t spent so much time running around this planet, the Dantari would still scare me too!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_mokk_stronghold.stf', '10', 'npc_4_1', 'Heck, I\'m not one for lying. I\'m a Rebel. Judging by the look in your eye, I\'d say you are too, eh? Yeah,  I\'m a good judge of character. Anyway, as you were asking - I\'m looking for a new place to hide out in case the long arm of the Empire comes down on us. That\'s why I\'m checking out these caves to make sure Dantari aren\'t already there.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_mokk_stronghold.stf', '11', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_mokk_stronghold.stf', '12', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_mokk_stronghold.stf', '13', 'npc_backtowork_1', 'Good luck, then.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_mokk_stronghold.stf', '14', 'npc_breech_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_mokk_stronghold.stf', '15', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_mokk_stronghold.stf', '16', 'npc_failure_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_mokk_stronghold.stf', '17', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_mokk_stronghold.stf', '18', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_mokk_stronghold.stf', '19', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_mokk_stronghold.stf', '20', 'npc_noloc_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_mokk_stronghold.stf', '21', 'npc_reset', 'Suit yourself.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_mokk_stronghold.stf', '22', 'npc_reward_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_mokk_stronghold.stf', '23', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_mokk_stronghold.stf', '24', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_mokk_stronghold.stf', '25', 'npc_work_1', 'Did you find the Mokk?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_mokk_stronghold.stf', '26', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_mokk_stronghold.stf', '27', 'player_1_1', 'Sure, I\'ll help.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_mokk_stronghold.stf', '28', 'player_2_1', 'Sorry, I\'m a bit busy.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_mokk_stronghold.stf', '29', 'player_3_1', 'What are you doing on Dantooine?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_mokk_stronghold.stf', '30', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_mokk_stronghold.stf', '31', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_mokk_stronghold.stf', '32', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_mokk_stronghold.stf', '33', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_mokk_stronghold.stf', '34', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_mokk_stronghold.stf', '35', 'player_reset', 'I\'ve decided to leave them alone.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_mokk_stronghold.stf', '36', 'player_sorry', 'Not yet. I am still looking for them.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_mokk_stronghold.stf', '37', 'return_waypoint_description_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_mokk_stronghold.stf', '38', 'return_waypoint_name_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_mokk_stronghold.stf', '39', 'waypoint_description_1', 'According to Daiv, this cave system may or may not hold a tribe of Dantari called the Mokk.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dantooine_mokk_stronghold.stf', '40', 'waypoint_name_1', 'Mokk Caves');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_crashed_civilian_transport.stf', '1', 'cant_work', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_crashed_civilian_transport.stf', '2', 'dontknowyou_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_crashed_civilian_transport.stf', '3', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_crashed_civilian_transport.stf', '4', 'next', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_crashed_civilian_transport.stf', '5', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_crashed_civilian_transport.stf', '6', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_crashed_civilian_transport.stf', '7', 'npc_1_1', 'You... come closer. I don\'t have too much longer. I will give you something in exchange for your promise to tell others. I am the last survivor of a crashed cruise liner, the Star Tours Tzarina. If you promise to tell others of our fate, I will tell you where the wreckage is. Perhaps you can find something salvageable there. Agreed?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_crashed_civilian_transport.stf', '8', 'npc_2_1', 'Thank you, friend. Tell the Star Tours company that they need to fix their droids, they\'re crazy! I will mark where we crashed on your datapad. Watch out, before I got out of there, I saw a number of scavengers approaching the area looking for food. I need to sleep now, good luck.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_crashed_civilian_transport.stf', '9', 'npc_3_1', 'I see. Very well, then I think I need to sleep now. I\'m very cold.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_crashed_civilian_transport.stf', '10', 'npc_4_1', 'I was one of many who were lucky enough to be some of the first passengers on Star Tours newest luxury yacht. Everything was fine until the droid captain changed course towards Yavin to show us something \"neat\". The ship was hit by a strange T.I.E. Fighter that was tumbling out of control. Our hyperdrive initiated and drove us straight into this planet. You must let others know...');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_crashed_civilian_transport.stf', '11', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_crashed_civilian_transport.stf', '12', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_crashed_civilian_transport.stf', '13', 'npc_backtowork_1', 'Good luck, then.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_crashed_civilian_transport.stf', '14', 'npc_breech_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_crashed_civilian_transport.stf', '15', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_crashed_civilian_transport.stf', '16', 'npc_failure_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_crashed_civilian_transport.stf', '17', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_crashed_civilian_transport.stf', '18', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_crashed_civilian_transport.stf', '19', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_crashed_civilian_transport.stf', '20', 'npc_noloc_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_crashed_civilian_transport.stf', '21', 'npc_reset', 'Oh, I see. Farewell, then.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_crashed_civilian_transport.stf', '22', 'npc_reward_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_crashed_civilian_transport.stf', '23', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_crashed_civilian_transport.stf', '24', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_crashed_civilian_transport.stf', '25', 'npc_work_1', 'Did you find the crashed starship?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_crashed_civilian_transport.stf', '26', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_crashed_civilian_transport.stf', '27', 'player_1_1', 'I promise I will tell others of your fate.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_crashed_civilian_transport.stf', '28', 'player_2_1', 'I am not interested, sorry.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_crashed_civilian_transport.stf', '29', 'player_3_1', 'What happened to the ship?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_crashed_civilian_transport.stf', '30', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_crashed_civilian_transport.stf', '31', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_crashed_civilian_transport.stf', '32', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_crashed_civilian_transport.stf', '33', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_crashed_civilian_transport.stf', '34', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_crashed_civilian_transport.stf', '35', 'player_reset', 'I\'ve decided to do something else.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_crashed_civilian_transport.stf', '36', 'player_sorry', 'Not yet. I am still looking.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_crashed_civilian_transport.stf', '37', 'return_waypoint_description_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_crashed_civilian_transport.stf', '38', 'return_waypoint_name_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_crashed_civilian_transport.stf', '39', 'waypoint_description_1', 'The remains of the Tzarina, the largest ship in the Star Tours fleet.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_crashed_civilian_transport.stf', '40', 'waypoint_name_1', 'Crashed Civilian Transport Ship');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_mutant_rancor_cave.stf', '1', 'cant_work', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_mutant_rancor_cave.stf', '2', 'dontknowyou_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_mutant_rancor_cave.stf', '3', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_mutant_rancor_cave.stf', '4', 'next', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_mutant_rancor_cave.stf', '5', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_mutant_rancor_cave.stf', '6', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_mutant_rancor_cave.stf', '7', 'npc_1_1', 'Slave, I will have words with you. You seem to have been given more freedom than most of your ilk, therefore I charge you with a task that other slaves may are not able to complete. It has come to my attention that there is a cave filled with many inbred rancors. These creatures must be destroyed before they spread their line. Are you ready for your task?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_mutant_rancor_cave.stf', '8', 'npc_2_1', 'I will mark the location of the cave on your datapad so that you can attend to this immediately. You are charged with entering the cave and destroying as many of these abominations as possible before you find your own life extinguished. Go now.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_mutant_rancor_cave.stf', '9', 'npc_3_1', 'I will find who your owner is and bring upon a wrathful vengeance for your insolence. Your owner has not trained you adequately, slave. This will be rectified immediately.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_mutant_rancor_cave.stf', '10', 'npc_4_1', 'A fellow sister had found that even though she desired to be trained to tame rancors, she had not the skill within her. Though she was directed to undertake different tasks, she rebelled and went into exile. It seems she has decided to continue with her training on her own, resulting in a perversion of the noble line of rancor. You will eradicate these mutants.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_mutant_rancor_cave.stf', '11', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_mutant_rancor_cave.stf', '12', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_mutant_rancor_cave.stf', '13', 'npc_backtowork_1', 'Good luck, then.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_mutant_rancor_cave.stf', '14', 'npc_breech_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_mutant_rancor_cave.stf', '15', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_mutant_rancor_cave.stf', '16', 'npc_failure_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_mutant_rancor_cave.stf', '17', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_mutant_rancor_cave.stf', '18', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_mutant_rancor_cave.stf', '19', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_mutant_rancor_cave.stf', '20', 'npc_noloc_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_mutant_rancor_cave.stf', '21', 'npc_reset', 'Then fare well... if you can.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_mutant_rancor_cave.stf', '22', 'npc_reward_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_mutant_rancor_cave.stf', '23', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_mutant_rancor_cave.stf', '24', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_mutant_rancor_cave.stf', '25', 'npc_work_1', 'Did you find the mutant rancor cave?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_mutant_rancor_cave.stf', '26', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_mutant_rancor_cave.stf', '27', 'player_1_1', 'Yes, mistress.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_mutant_rancor_cave.stf', '28', 'player_2_1', 'No, mistress, I cannot do this.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_mutant_rancor_cave.stf', '29', 'player_3_1', 'How could something like this happen?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_mutant_rancor_cave.stf', '30', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_mutant_rancor_cave.stf', '31', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_mutant_rancor_cave.stf', '32', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_mutant_rancor_cave.stf', '33', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_mutant_rancor_cave.stf', '34', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_mutant_rancor_cave.stf', '35', 'player_reset', 'I have other plans, mistress.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_mutant_rancor_cave.stf', '36', 'player_sorry', 'Not yet. I am still looking.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_mutant_rancor_cave.stf', '37', 'return_waypoint_description_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_mutant_rancor_cave.stf', '38', 'return_waypoint_name_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_mutant_rancor_cave.stf', '39', 'waypoint_description_1', 'A cave filled with horribly inbred rancors. Destroy all you see so that they can no longer breed.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_mutant_rancor_cave.stf', '40', 'waypoint_name_1', 'Mutant Rancor Cave');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nightsister_forcedlabor_camp.stf', '1', 'cant_work', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nightsister_forcedlabor_camp.stf', '2', 'dontknowyou_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nightsister_forcedlabor_camp.stf', '3', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nightsister_forcedlabor_camp.stf', '4', 'next', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nightsister_forcedlabor_camp.stf', '5', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nightsister_forcedlabor_camp.stf', '6', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nightsister_forcedlabor_camp.stf', '7', 'npc_1_1', 'You were able to escape from the sisters, too? What? You\'re from the stars!? Then maybe you might be able to help! The Nightsisters chose the strongest of their slaves and force them to work the mines! I managed to escape and search for help, for we cannot save ourselves! Will you please help us gain our freedom?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nightsister_forcedlabor_camp.stf', '8', 'npc_2_1', 'Oh, thank you! Here is where the mines are. Were trapped down deep inside the mines, and the Nightsisters oversee everything we do. If you\'re going to help us, you will need to bring help of your own. I look forward to seeing my friends again? thank you so much.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nightsister_forcedlabor_camp.stf', '9', 'npc_3_1', 'I guess I understand. The Nightsisters are something no one should have to face in a battle. I will be off to try to find someone who is able to help.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nightsister_forcedlabor_camp.stf', '10', 'npc_4_1', 'They were the first people I sought out. The Empire told me that they would prefer to leave well enough alone, and that they didn\'t care about a few escaped slaves. Blast the Empire! They are no better than the Nightsisters! Will you help us, please?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nightsister_forcedlabor_camp.stf', '11', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nightsister_forcedlabor_camp.stf', '12', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nightsister_forcedlabor_camp.stf', '13', 'npc_backtowork_1', 'Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nightsister_forcedlabor_camp.stf', '14', 'npc_breech_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nightsister_forcedlabor_camp.stf', '15', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nightsister_forcedlabor_camp.stf', '16', 'npc_failure_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nightsister_forcedlabor_camp.stf', '17', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nightsister_forcedlabor_camp.stf', '18', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nightsister_forcedlabor_camp.stf', '19', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nightsister_forcedlabor_camp.stf', '20', 'npc_noloc_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nightsister_forcedlabor_camp.stf', '21', 'npc_reset', 'No problem. I hope to see you around.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nightsister_forcedlabor_camp.stf', '22', 'npc_reward_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nightsister_forcedlabor_camp.stf', '23', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nightsister_forcedlabor_camp.stf', '24', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nightsister_forcedlabor_camp.stf', '25', 'npc_work_1', 'Did you find it?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nightsister_forcedlabor_camp.stf', '26', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nightsister_forcedlabor_camp.stf', '27', 'player_1_1', 'Yes, I\'ll definitely help!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nightsister_forcedlabor_camp.stf', '28', 'player_2_1', 'I cannot help you.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nightsister_forcedlabor_camp.stf', '29', 'player_3_1', 'Why don\'t you ask the Empire for help?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nightsister_forcedlabor_camp.stf', '30', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nightsister_forcedlabor_camp.stf', '31', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nightsister_forcedlabor_camp.stf', '32', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nightsister_forcedlabor_camp.stf', '33', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nightsister_forcedlabor_camp.stf', '34', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nightsister_forcedlabor_camp.stf', '35', 'player_reset', 'I\'ve decided to pass on this expedition.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nightsister_forcedlabor_camp.stf', '36', 'player_sorry', 'Not yet. I am still looking.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nightsister_forcedlabor_camp.stf', '37', 'return_waypoint_description_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nightsister_forcedlabor_camp.stf', '38', 'return_waypoint_name_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nightsister_forcedlabor_camp.stf', '39', 'waypoint_description_1', 'A series of resource mines that are being worked by slaves of the Nightsisters.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nightsister_forcedlabor_camp.stf', '40', 'waypoint_name_1', 'Forced-Labor Mine');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_azzenaj.stf', '1', 'cant_work', 'Your mind is too occupied at the moment, come back another time when you are not so distracted.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_azzenaj.stf', '2', 'dontknowyou_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_azzenaj.stf', '3', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_azzenaj.stf', '4', 'next', 'What do you want maggot?! Can\'t you see I\'m busy?!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_azzenaj.stf', '5', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_azzenaj.stf', '6', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_azzenaj.stf', '7', 'npc_1_1', 'Hmm, so you are looking to prove yourself worthy of your life eh? Well there is a little something you could assist me with I suppose. A few nights ago an initiate of mine was out collecting some herbs. She should have been back the same day but we haven\'t seen her since. This isn\'t the first time that we\'ve lost sisters out in that area. Can you go out there and see what you can find out maggot?!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_azzenaj.stf', '8', 'npc_2_1', 'Excellent. The area where this herb grows is around here. Get out there and find out what happened!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_azzenaj.stf', '9', 'npc_3_1', 'Your probably afraid maggot! Well I guess I couldn\'t expect anything less from one of your kind.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_azzenaj.stf', '10', 'npc_4_1', 'Dathomir is a dangerous place and we\'ve heard rumors about...well you don\'t need to know about that. Just go find her already!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_azzenaj.stf', '11', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_azzenaj.stf', '12', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_azzenaj.stf', '13', 'npc_backtowork_1', 'You better maggot!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_azzenaj.stf', '14', 'npc_breech_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_azzenaj.stf', '15', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_azzenaj.stf', '16', 'npc_failure_1', 'You failed me maggot! What good are you?! Get out of my sight!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_azzenaj.stf', '17', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_azzenaj.stf', '18', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_azzenaj.stf', '19', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_azzenaj.stf', '20', 'npc_noloc_1', 'What do you want maggot?! Can\'t you see I\'m busy?!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_azzenaj.stf', '21', 'npc_reset', 'Knew I shouldn\'t have put any trust in one of your kind!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_azzenaj.stf', '22', 'npc_reward_1', 'As I thought. We\'ve heard rumors about this foul clan before. Knowing the location of their cave will prove most useful. You have served me well maggot!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_azzenaj.stf', '23', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_azzenaj.stf', '24', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_azzenaj.stf', '25', 'npc_work_1', 'What are you doing here maggot?! You\'re supposed to be out there checking what happened to my initiate!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_azzenaj.stf', '26', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_azzenaj.stf', '27', 'player_1_1', 'Yes witch, I will see what I can find out. Where is this area?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_azzenaj.stf', '28', 'player_2_1', 'If she didn\'t return, I may not either. Doesn\'t sound like something I would want to get involved in.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_azzenaj.stf', '29', 'player_3_1', 'Do you have any idea what it could be out there?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_azzenaj.stf', '30', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_azzenaj.stf', '31', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_azzenaj.stf', '32', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_azzenaj.stf', '33', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_azzenaj.stf', '34', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_azzenaj.stf', '35', 'player_reset', 'I\'ve decided that it\'s probably not a good idea for me to head in to that area.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_azzenaj.stf', '36', 'player_sorry', 'I\'m sorry witch; I will get right back out there and see what I can find.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_azzenaj.stf', '37', 'return_waypoint_description_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_azzenaj.stf', '38', 'return_waypoint_name_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_azzenaj.stf', '39', 'waypoint_description_1', 'This is where a cave of outcast Nightsisters is rumored to live.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_azzenaj.stf', '40', 'waypoint_name_1', 'Nightsister cave');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_leandra.stf', '1', 'cant_work', 'You should finish your current tasks before bothering me, now get out!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_leandra.stf', '2', 'dontknowyou_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_leandra.stf', '3', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_leandra.stf', '4', 'next', 'I don\'t have time for you, get out of here!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_leandra.stf', '5', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_leandra.stf', '6', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_leandra.stf', '7', 'npc_1_1', 'There\'s an abomination of a clan that holds fortress in a cave near the Great Canyon. We need someone to scout out this place for a weakness in their defenses. These heretics must be eradicated!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_leandra.stf', '8', 'npc_2_1', 'Excellent. They are located in this area, find out as many details as you can and hurry back.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_leandra.stf', '9', 'npc_3_1', 'Fine! Find the help you need and come back when you have it.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_leandra.stf', '10', 'npc_4_1', 'They are an abomination! They don\'t even befriend the Rancor and are a disgrace to our entire sisterhood!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_leandra.stf', '11', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_leandra.stf', '12', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_leandra.stf', '13', 'npc_backtowork_1', 'Hurry! I didn\'t say you could slack on this important task did I?!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_leandra.stf', '14', 'npc_breech_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_leandra.stf', '15', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_leandra.stf', '16', 'npc_failure_1', 'You\'re just as useless as I thought!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_leandra.stf', '17', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_leandra.stf', '18', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_leandra.stf', '19', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_leandra.stf', '20', 'npc_noloc_1', 'I don\'t have time for you, get out of here!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_leandra.stf', '21', 'npc_reset', 'Apologies won\'t help me! Get out of here and don\'t come back until you\'re of any use to me!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_leandra.stf', '22', 'npc_reward_1', 'I suppose this could help, we will get right to planning what we have to do next.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_leandra.stf', '23', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_leandra.stf', '24', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_leandra.stf', '25', 'npc_work_1', 'You return empty handed?!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_leandra.stf', '26', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_leandra.stf', '27', 'player_1_1', 'I will try my best.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_leandra.stf', '28', 'player_2_1', 'It sounds like I would need more assistance with me than I have right now. I will have to say no for now.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_leandra.stf', '29', 'player_3_1', 'But they are also nightsisters?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_leandra.stf', '30', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_leandra.stf', '31', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_leandra.stf', '32', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_leandra.stf', '33', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_leandra.stf', '34', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_leandra.stf', '35', 'player_reset', 'I can\'t do it right now, very sorry.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_leandra.stf', '36', 'player_sorry', 'I have not managed to do your mission yet but I will get right on it.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_leandra.stf', '37', 'return_waypoint_description_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_leandra.stf', '38', 'return_waypoint_name_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_leandra.stf', '39', 'waypoint_description_1', 'This is where a cave of outcast Nightsisters is rumored to live.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_leandra.stf', '40', 'waypoint_name_1', 'Nightsister Cave');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_olof.stf', '1', 'cant_work', 'You already have plenty of things to worry about, come back when your less occupied.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_olof.stf', '2', 'dontknowyou_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_olof.stf', '3', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_olof.stf', '4', 'next', 'I have lots of things to do, but nothing for you right now.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_olof.stf', '5', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_olof.stf', '6', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_olof.stf', '7', 'npc_1_1', 'Lets see, yes, you could probably assist me. I\'ve heard of a clan of the dangerous Nightsisters that has developed a strange symbiosis with some other creatures than the Rancor. I\'d appreciate it if you could find out what\'s going on out there.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_olof.stf', '8', 'npc_2_1', 'Good, I know they have their base of operations somewhere in this area. Let me know what you find out.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_olof.stf', '9', 'npc_3_1', 'Thought you were more skilled than you are I guess.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_olof.stf', '10', 'npc_4_1', 'Well if we can find a common variable in the way they tame their rancors and these creatures, we may be one step closer to...well but that\'s classified information.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_olof.stf', '11', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_olof.stf', '12', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_olof.stf', '13', 'npc_backtowork_1', 'Good, the sooner I get this information the better. Get to it soldier!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_olof.stf', '14', 'npc_breech_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_olof.stf', '15', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_olof.stf', '16', 'npc_failure_1', 'Bah, thought I could count on you doing this! Get out of here; I have no use for imbeciles.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_olof.stf', '17', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_olof.stf', '18', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_olof.stf', '19', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_olof.stf', '20', 'npc_noloc_1', 'I have lots of things to do, but nothing for you right now.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_olof.stf', '21', 'npc_reset', 'Didn\'t take you for the spineless type. Well I\'m sure someone more courageous can assist me then.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_olof.stf', '22', 'npc_reward_1', 'Spiders eh? Hmm interesting, we may have to put together a strike force and see if we can capture some species.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_olof.stf', '23', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_olof.stf', '24', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_olof.stf', '25', 'npc_work_1', 'Already back?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_olof.stf', '26', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_olof.stf', '27', 'player_1_1', 'Sounds interesting, I will see what I can find out.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_olof.stf', '28', 'player_2_1', 'Nightsisters, from what I\'ve heard about them, I should stay as far away from where ever they are as possible. No thanks.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_olof.stf', '29', 'player_3_1', 'Why would this be interesting information?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_olof.stf', '30', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_olof.stf', '31', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_olof.stf', '32', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_olof.stf', '33', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_olof.stf', '34', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_olof.stf', '35', 'player_reset', 'I\'ve decided that it\'s probably not a good idea for me to head in to that area.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_olof.stf', '36', 'player_sorry', 'Sorry no, haven\'t had time yet. Will get right on it.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_olof.stf', '37', 'return_waypoint_description_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_olof.stf', '38', 'return_waypoint_name_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_olof.stf', '39', 'waypoint_description_1', 'This is where a cave of outcast Nightsisters is rumored to live.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_nsister_cave_olof.stf', '40', 'waypoint_name_1', 'Nightsister cave');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_singing_vs_nightsister.stf', '1', 'cant_work', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_singing_vs_nightsister.stf', '2', 'dontknowyou_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_singing_vs_nightsister.stf', '3', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_singing_vs_nightsister.stf', '4', 'next', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_singing_vs_nightsister.stf', '5', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_singing_vs_nightsister.stf', '6', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_singing_vs_nightsister.stf', '7', 'npc_1_1', 'You are a slave that has been granted greater freedoms, are you not? Then you are needed to help your mistresses defeat the Singing Mountain clan and their Clan Mother, Augwynne. You need to journey to the field of battle where your Nightsisters will claim victory over those worthless excuses for witches and take up arms against them.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_singing_vs_nightsister.stf', '8', 'npc_2_1', 'That is a good slave. Here is where the battle wages. Go forth and rip their hearts from their chests! You are commanded to fight until your life is quenched, at which time another will take your place. Now go!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_singing_vs_nightsister.stf', '9', 'npc_3_1', 'YOU HAVE BEEN GIVEN A COMMAND! This was not a request. When your mistress has heard of this flagrant disobedience, you will wish you had died upon the fields immediately.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_singing_vs_nightsister.stf', '10', 'npc_4_1', 'You shall be able to find more than ample supplies and weapons on the bodies of those who have come before you. Do not dare to disturb the dead bodies of your Mistresses, or even of the pathetic Singing Mountatin sisters, for you are beneath such an honor. Now, you are directed to leave at once.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_singing_vs_nightsister.stf', '11', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_singing_vs_nightsister.stf', '12', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_singing_vs_nightsister.stf', '13', 'npc_backtowork_1', 'Do so.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_singing_vs_nightsister.stf', '14', 'npc_breech_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_singing_vs_nightsister.stf', '15', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_singing_vs_nightsister.stf', '16', 'npc_failure_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_singing_vs_nightsister.stf', '17', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_singing_vs_nightsister.stf', '18', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_singing_vs_nightsister.stf', '19', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_singing_vs_nightsister.stf', '20', 'npc_noloc_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_singing_vs_nightsister.stf', '21', 'npc_reset', 'Hm. Unwise.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_singing_vs_nightsister.stf', '22', 'npc_reward_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_singing_vs_nightsister.stf', '23', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_singing_vs_nightsister.stf', '24', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_singing_vs_nightsister.stf', '25', 'npc_work_1', 'Did you find it?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_singing_vs_nightsister.stf', '26', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_singing_vs_nightsister.stf', '27', 'player_1_1', 'Yes, my mistress, I shall.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_singing_vs_nightsister.stf', '28', 'player_2_1', 'I cannot do so, mistress.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_singing_vs_nightsister.stf', '29', 'player_3_1', 'What will I be armed with?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_singing_vs_nightsister.stf', '30', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_singing_vs_nightsister.stf', '31', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_singing_vs_nightsister.stf', '32', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_singing_vs_nightsister.stf', '33', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_singing_vs_nightsister.stf', '34', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_singing_vs_nightsister.stf', '35', 'player_reset', 'I\'ve decided to pass on this.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_singing_vs_nightsister.stf', '36', 'player_sorry', 'I am still looking, mistress.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_singing_vs_nightsister.stf', '37', 'return_waypoint_description_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_singing_vs_nightsister.stf', '38', 'return_waypoint_name_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_singing_vs_nightsister.stf', '39', 'waypoint_description_1', 'Here is where you will find a battle being waged between the Nightsisters and Singing Mountain Clan');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_dathomir_singing_vs_nightsister.stf', '40', 'waypoint_name_1', 'Battle of Witches');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_jinda_spiritualists.stf', '1', 'cant_work', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_jinda_spiritualists.stf', '2', 'dontknowyou_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_jinda_spiritualists.stf', '3', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_jinda_spiritualists.stf', '4', 'next', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_jinda_spiritualists.stf', '5', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_jinda_spiritualists.stf', '6', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_jinda_spiritualists.stf', '7', 'npc_1_1', 'You there! Do you want to know where you can find some of those blasted little buggers called Ewoks? I know the perfect place where you can find some and show them what a blaster does. So do you want to know or not?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_jinda_spiritualists.stf', '8', 'npc_2_1', 'Let me see your datapad! Okay, I\'ve marked it down where you can find them and wipe out those little rats. I\'d do it myself, but my shuttle is leaving soon. Good luck, and kill one for me!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_jinda_spiritualists.stf', '9', 'npc_3_1', 'Well you should! Those nasty little things will eat anything you have the moment you turn your back on them! Hpmh!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_jinda_spiritualists.stf', '10', 'npc_4_1', 'WHY AM I SO ANGRY?! I\'m angry because I came all the way to this planet to study those little rodents only to have them ruin my droid! I sent a droid to record everything the Jinda were doing in their rituals, the tribe I was studying. Then they went ahead and ATE IT!!! I spent my life savings on that thing, and I can\'t afford another! ');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_jinda_spiritualists.stf', '11', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_jinda_spiritualists.stf', '12', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_jinda_spiritualists.stf', '13', 'npc_backtowork_1', 'Good luck, then.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_jinda_spiritualists.stf', '14', 'npc_breech_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_jinda_spiritualists.stf', '15', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_jinda_spiritualists.stf', '16', 'npc_failure_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_jinda_spiritualists.stf', '17', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_jinda_spiritualists.stf', '18', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_jinda_spiritualists.stf', '19', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_jinda_spiritualists.stf', '20', 'npc_noloc_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_jinda_spiritualists.stf', '21', 'npc_reset', 'AAAH! Fine!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_jinda_spiritualists.stf', '22', 'npc_reward_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_jinda_spiritualists.stf', '23', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_jinda_spiritualists.stf', '24', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_jinda_spiritualists.stf', '25', 'npc_work_1', 'Did you find them?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_jinda_spiritualists.stf', '26', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_jinda_spiritualists.stf', '27', 'player_1_1', 'Sure, tell me.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_jinda_spiritualists.stf', '28', 'player_2_1', 'Sorry, I have no gripes with the Ewoks!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_jinda_spiritualists.stf', '29', 'player_3_1', 'Easy, friend. Why are you so angry?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_jinda_spiritualists.stf', '30', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_jinda_spiritualists.stf', '31', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_jinda_spiritualists.stf', '32', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_jinda_spiritualists.stf', '33', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_jinda_spiritualists.stf', '34', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_jinda_spiritualists.stf', '35', 'player_reset', 'I\'ve decided to quit looking.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_jinda_spiritualists.stf', '36', 'player_sorry', 'I am still looking.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_jinda_spiritualists.stf', '37', 'return_waypoint_description_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_jinda_spiritualists.stf', '38', 'return_waypoint_name_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_jinda_spiritualists.stf', '39', 'waypoint_description_1', 'A tribe of ewoks called the Jinda perform strange shamanistic rituals within this cave');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_jinda_spiritualists.stf', '40', 'waypoint_name_1', 'Jinda Ewok Tribe');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_korga_cave.stf', '1', 'cant_work', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_korga_cave.stf', '2', 'dontknowyou_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_korga_cave.stf', '3', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_korga_cave.stf', '4', 'next', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_korga_cave.stf', '5', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_korga_cave.stf', '6', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_korga_cave.stf', '7', 'npc_1_1', 'Hello! I represent an organization called Rescue Our Lesser Brothers. We\'re dedicated to helping species that cannot help themselves. We\'ve had the plight of the Ewok brought to our attention, and we\'re now striving to help them from the vicious Dulok species. Would you like to help join our crusade?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_korga_cave.stf', '8', 'npc_2_1', 'One tribe of these Duloks are called the Korga, and they\'ve been become quite adept in killing their cousins, the Ewoks. We figure that if their numbers were whittled down a little, the Ewoks would have a better chance. Here\'s where the Korga can be found. Travel there and wipe out those little buggers.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_korga_cave.stf', '9', 'npc_3_1', 'You\'re probably one of those Imperials, aren\'t you? It\'s just like an Imperial to say \'Who cares about the Ewoks?\". If you don\'t help them, they won\'t help you! Well, if they were in a position to help. Arg! You know what I\'m trying to say.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_korga_cave.stf', '10', 'npc_4_1', 'Oh, we\'ve made great strides in helping the Narglatch on Naboo. We\'ve set them up in a nice cave so they can breed without the threat of others. We\'ve also helped a group of people learn how to raise Kimogilas on Lok. We\'re responsible for many, many good things in this galaxy. So, do you want to help us?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_korga_cave.stf', '11', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_korga_cave.stf', '12', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_korga_cave.stf', '13', 'npc_backtowork_1', 'Good! Take care.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_korga_cave.stf', '14', 'npc_breech_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_korga_cave.stf', '15', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_korga_cave.stf', '16', 'npc_failure_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_korga_cave.stf', '17', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_korga_cave.stf', '18', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_korga_cave.stf', '19', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_korga_cave.stf', '20', 'npc_noloc_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_korga_cave.stf', '21', 'npc_reset', 'Well. Well... alright.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_korga_cave.stf', '22', 'npc_reward_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_korga_cave.stf', '23', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_korga_cave.stf', '24', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_korga_cave.stf', '25', 'npc_work_1', 'Did you find them?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_korga_cave.stf', '26', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_korga_cave.stf', '27', 'player_1_1', 'Sure, I\'ll help those little guys!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_korga_cave.stf', '28', 'player_2_1', 'Sorry, I don\'t care about Ewoks.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_korga_cave.stf', '29', 'player_3_1', 'What else do you help other than Ewoks?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_korga_cave.stf', '30', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_korga_cave.stf', '31', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_korga_cave.stf', '32', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_korga_cave.stf', '33', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_korga_cave.stf', '34', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_korga_cave.stf', '35', 'player_reset', 'I decided to quit looking.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_korga_cave.stf', '36', 'player_sorry', 'I am still looking.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_korga_cave.stf', '37', 'return_waypoint_description_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_korga_cave.stf', '38', 'return_waypoint_name_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_korga_cave.stf', '39', 'waypoint_description_1', 'This cave is the home to a branch of Duloks who call themselves the Korga tribe.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_korga_cave.stf', '40', 'waypoint_name_1', 'Korga Cave');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_marauder_orphans.stf', '1', 'cant_work', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_marauder_orphans.stf', '2', 'dontknowyou_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_marauder_orphans.stf', '3', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_marauder_orphans.stf', '4', 'next', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_marauder_orphans.stf', '5', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_marauder_orphans.stf', '6', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_marauder_orphans.stf', '7', 'npc_1_1', 'How are you doing? The name\'s Eyd Tommsin. You interested in the Bounty Hunter trade like me? I\'m just about ready to leave this planet, so I\'ve got a hot tip for you. There\'s a bunch of Marauders who didn\'t listen to their mommy and daddy or whatever they have for parents. Well, they done left their citadel and decided to set up a new home. Basically, they\'re ripe for the hunting, if you can see what I mean? Wanna know where?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_marauder_orphans.stf', '8', 'npc_2_1', 'You\'ve got the right attitude for this planet! Okay, let me show you where they ran off to. I\'m pretty certain they probably brought some weapons with them, so it won\'t be as easy as shooting them one by one. Then again, I don\'t think I need to tell you that. Good luck, and make sure you save some for me for when I get back.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_marauder_orphans.stf', '9', 'npc_3_1', 'Well, if you\'re not a Bounty Hunter, I don\'t know what you\'re doing on this planet. There\'s nothing of interest except for all the indigenous wildlife. Whatever.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_marauder_orphans.stf', '10', 'npc_4_1', 'I\'ve come here to add to my pelt collection. What else do you think I\'m here for? My health? This moon is dangerous! If it weren\'t so much fun hunting down those Ewoks, I\'d find some other planet to work on my skills. I\'m leaving for home, so do you want the tip or not?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_marauder_orphans.stf', '11', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_marauder_orphans.stf', '12', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_marauder_orphans.stf', '13', 'npc_backtowork_1', 'You\'ve got the right attitude for this planet! Okay, let me show you where they ran off to. I\'m pretty certain they probably brought some weapons with them, so it won\'t be as easy as shooting them one by one. Then again, I don\'t think I need to tell you that. Good luck, and make sure you save some for me for when I get back.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_marauder_orphans.stf', '14', 'npc_breech_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_marauder_orphans.stf', '15', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_marauder_orphans.stf', '16', 'npc_failure_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_marauder_orphans.stf', '17', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_marauder_orphans.stf', '18', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_marauder_orphans.stf', '19', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_marauder_orphans.stf', '20', 'npc_noloc_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_marauder_orphans.stf', '21', 'npc_reset', 'Well, if you\'re not a Bounty Hunter, I don\'t know what you\'re doing on this planet. There\'s nothing of interest except for all the indigenous wildlife. Whatever.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_marauder_orphans.stf', '22', 'npc_reward_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_marauder_orphans.stf', '23', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_marauder_orphans.stf', '24', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_marauder_orphans.stf', '25', 'npc_work_1', 'Did you find them?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_marauder_orphans.stf', '26', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_marauder_orphans.stf', '27', 'player_1_1', 'Yeah, sounds like fun.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_marauder_orphans.stf', '28', 'player_2_1', 'No thanks. I\'m not a Bounty Hunter.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_marauder_orphans.stf', '29', 'player_3_1', 'What are you doing here on Endor?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_marauder_orphans.stf', '30', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_marauder_orphans.stf', '31', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_marauder_orphans.stf', '32', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_marauder_orphans.stf', '33', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_marauder_orphans.stf', '34', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_marauder_orphans.stf', '35', 'player_reset', 'I decided to quit looking.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_marauder_orphans.stf', '36', 'player_sorry', 'I am still looking.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_marauder_orphans.stf', '37', 'return_waypoint_description_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_marauder_orphans.stf', '38', 'return_waypoint_name_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_marauder_orphans.stf', '39', 'waypoint_description_1', 'A group of Marauders have left the safety of King Terak\'s Citadel and aren\'t expecting company.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_endor_marauder_orphans.stf', '40', 'waypoint_name_1', 'Marauder Settlement');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_canyon_corsair_stronghold.stf', '1', 'cant_work', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_canyon_corsair_stronghold.stf', '2', 'dontknowyou_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_canyon_corsair_stronghold.stf', '3', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_canyon_corsair_stronghold.stf', '4', 'next', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_canyon_corsair_stronghold.stf', '5', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_canyon_corsair_stronghold.stf', '6', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_canyon_corsair_stronghold.stf', '7', 'npc_1_1', 'Ahoy there! Ha ha. Have you ever wanted to be a pirate? I know I sure have. I spent over 20 years in the Imperial Navy combating pirates, blowing up ships, and being struck in the head, I found out something about myself! I want to be a pirate! And I know exactly where I can join up with some! How about you? do you want to be a pirate too?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_canyon_corsair_stronghold.stf', '8', 'npc_2_1', 'Good for you! From what I\'ve been told, all you need to do is go right up to these Canyon Corsairs and tell them you want to be a pirate and they\'ll welcome you with open arms. This is where they have their base! Maybe I\'ll see you and we can do pirate things together!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_canyon_corsair_stronghold.stf', '9', 'npc_3_1', 'What could be better than sailing the spacelanes and boarding vessels! HA! It sounds like a great life! Well, you\'re missing out, I say!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_canyon_corsair_stronghold.stf', '10', 'npc_4_1', 'Hmm? Oh, of course I was hit on the head! What Imperial Naval Captain hasn\'t been? All it did was convince me to retire and join up with these rough brigands! I\'ll walk right up to them and say, \"My name is Boyrake Heapfood and I want to be a pirate!\" I\'ll be a pirate in no time, just like those other nice pirates! Do you want to be a pirate too?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_canyon_corsair_stronghold.stf', '11', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_canyon_corsair_stronghold.stf', '12', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_canyon_corsair_stronghold.stf', '13', 'npc_backtowork_1', 'Good for you! From what I\'ve been told, all you need to do is go right up to these Canyon Corsairs and tell them you want to be a pirate and they\'ll welcome you with open arms. This is where they have their base! Maybe I\'ll see you and we can do pirate things together!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_canyon_corsair_stronghold.stf', '14', 'npc_breech_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_canyon_corsair_stronghold.stf', '15', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_canyon_corsair_stronghold.stf', '16', 'npc_failure_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_canyon_corsair_stronghold.stf', '17', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_canyon_corsair_stronghold.stf', '18', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_canyon_corsair_stronghold.stf', '19', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_canyon_corsair_stronghold.stf', '20', 'npc_noloc_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_canyon_corsair_stronghold.stf', '21', 'npc_reset', 'What could be better than sailing the spacelanes and boarding vessels! HA! It sounds like a great life! Well, you\'re missing out, I say!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_canyon_corsair_stronghold.stf', '22', 'npc_reward_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_canyon_corsair_stronghold.stf', '23', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_canyon_corsair_stronghold.stf', '24', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_canyon_corsair_stronghold.stf', '25', 'npc_work_1', 'Did you find them?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_canyon_corsair_stronghold.stf', '26', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_canyon_corsair_stronghold.stf', '27', 'player_1_1', 'Yes! The pirate\'s life is for me!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_canyon_corsair_stronghold.stf', '28', 'player_2_1', 'No thanks, I don\'t want to be a pirate.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_canyon_corsair_stronghold.stf', '29', 'player_3_1', 'Did you say you were hit on the head?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_canyon_corsair_stronghold.stf', '30', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_canyon_corsair_stronghold.stf', '31', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_canyon_corsair_stronghold.stf', '32', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_canyon_corsair_stronghold.stf', '33', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_canyon_corsair_stronghold.stf', '34', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_canyon_corsair_stronghold.stf', '35', 'player_reset', 'I decided to quit looking.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_canyon_corsair_stronghold.stf', '36', 'player_sorry', 'I am still looking for them.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_canyon_corsair_stronghold.stf', '37', 'return_waypoint_description_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_canyon_corsair_stronghold.stf', '38', 'return_waypoint_name_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_canyon_corsair_stronghold.stf', '39', 'waypoint_description_1', 'According to Boyrake, this is where the Canyon Corsairs are holed up.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_canyon_corsair_stronghold.stf', '40', 'waypoint_name_1', 'Canyon Corsair Stronghold');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_kimogila_cult.stf', '1', 'cant_work', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_kimogila_cult.stf', '2', 'dontknowyou_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_kimogila_cult.stf', '3', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_kimogila_cult.stf', '4', 'next', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_kimogila_cult.stf', '5', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_kimogila_cult.stf', '6', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_kimogila_cult.stf', '7', 'npc_1_1', 'Hello there. I\'m in the business of selling food and have just found out my new courier might have quit. I have an important customer who has placed a large order for some specialty foods, but I won\'t be able to fill that order. Could you go out to them and see if they got the message from my courier?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_kimogila_cult.stf', '8', 'npc_2_1', 'Thank you for having a heart. This is where I always have the food delivered, so you should be able to find someone there you can talk to. If you see my courier, please let him know that he still has a job as long as he comes back.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_kimogila_cult.stf', '9', 'npc_3_1', 'Well, I understand. Thank you anyway.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_kimogila_cult.stf', '10', 'npc_4_1', 'An odd assortment of different meats is what they always order. And by the ton, too! Boy, they sure do go through a lot food! I wonder what they\'re feeding out there? Oh well? I\'m just concerned that nothing\'s happened to my courier. Can you do this for me?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_kimogila_cult.stf', '11', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_kimogila_cult.stf', '12', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_kimogila_cult.stf', '13', 'npc_backtowork_1', 'Thank you for having a heart. If you see my courier, please let him know that he still has a job as long as he comes back.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_kimogila_cult.stf', '14', 'npc_breech_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_kimogila_cult.stf', '15', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_kimogila_cult.stf', '16', 'npc_failure_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_kimogila_cult.stf', '17', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_kimogila_cult.stf', '18', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_kimogila_cult.stf', '19', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_kimogila_cult.stf', '20', 'npc_noloc_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_kimogila_cult.stf', '21', 'npc_reset', 'Well, I understand. Thank you anyway.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_kimogila_cult.stf', '22', 'npc_reward_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_kimogila_cult.stf', '23', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_kimogila_cult.stf', '24', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_kimogila_cult.stf', '25', 'npc_work_1', 'Did you find them?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_kimogila_cult.stf', '26', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_kimogila_cult.stf', '27', 'player_1_1', 'Sure, I\'ll do it for you.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_kimogila_cult.stf', '28', 'player_2_1', 'Sorry, I\'m busy.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_kimogila_cult.stf', '29', 'player_3_1', 'What kind of specialty food do they buy?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_kimogila_cult.stf', '30', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_kimogila_cult.stf', '31', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_kimogila_cult.stf', '32', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_kimogila_cult.stf', '33', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_kimogila_cult.stf', '34', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_kimogila_cult.stf', '35', 'player_reset', 'No. I decided to quit looking.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_kimogila_cult.stf', '36', 'player_sorry', 'I am still looking for them.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_kimogila_cult.stf', '37', 'return_waypoint_description_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_kimogila_cult.stf', '38', 'return_waypoint_name_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_kimogila_cult.stf', '39', 'waypoint_description_1', 'This is where a group of people have purchased large amounts of food.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_lok_kimogila_cult.stf', '40', 'waypoint_name_1', 'Mysterious Customers');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_gungan_warrior_stronghold.stf', '1', 'cant_work', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_gungan_warrior_stronghold.stf', '2', 'dontknowyou_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_gungan_warrior_stronghold.stf', '3', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_gungan_warrior_stronghold.stf', '4', 'next', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_gungan_warrior_stronghold.stf', '5', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_gungan_warrior_stronghold.stf', '6', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_gungan_warrior_stronghold.stf', '7', 'npc_1_1', 'Har, har, har! Do you want to hear a good one? I heard some Gungans today saying that they\'ve got some kind of monastery where they train their elite warriors! Elite Gungans? HAR, HAR, HAR! That\'s hilarious! Wanna know where they claim the temple is?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_gungan_warrior_stronghold.stf', '8', 'npc_2_1', 'So they say it\'s out past the swamps. One of them dared me to go make fun of them to their face. I\'m gonna have a few more drinks with the boys, then we\'ll all show up. I\'ve marked it on your datapad, so you can also make fun of them as well.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_gungan_warrior_stronghold.stf', '9', 'npc_3_1', 'Oh you\'re one of them Gungan lovers, aren\'t you? I bet your momma was Gungan, wasn\'t she? Well heck anytime you want to know where your momma came from, you just tell me, okay?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_gungan_warrior_stronghold.stf', '10', 'npc_4_1', 'I couldn\'t tell with all that \"meesa\" and \'yoosa\" junk. They said they train their most sacred warriors there, and that only a few Gungans are even allowed to train with them. Something about snatching the Boomba from the Faamba\'s mouth, or somethin\'. Wanna know where it is?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_gungan_warrior_stronghold.stf', '11', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_gungan_warrior_stronghold.stf', '12', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_gungan_warrior_stronghold.stf', '13', 'npc_backtowork_1', 'Good luck, then.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_gungan_warrior_stronghold.stf', '14', 'npc_breech_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_gungan_warrior_stronghold.stf', '15', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_gungan_warrior_stronghold.stf', '16', 'npc_failure_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_gungan_warrior_stronghold.stf', '17', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_gungan_warrior_stronghold.stf', '18', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_gungan_warrior_stronghold.stf', '19', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_gungan_warrior_stronghold.stf', '20', 'npc_noloc_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_gungan_warrior_stronghold.stf', '21', 'npc_reset', 'Oh you\'re one of them Gungan lovers, aren\'t you? I bet your momma was Gungan, wasn\'t she? Well heck anytime you want to know where your momma came from, you just tell me, okay?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_gungan_warrior_stronghold.stf', '22', 'npc_reward_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_gungan_warrior_stronghold.stf', '23', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_gungan_warrior_stronghold.stf', '24', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_gungan_warrior_stronghold.stf', '25', 'npc_work_1', 'Did you find the gungan warrior encampment?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_gungan_warrior_stronghold.stf', '26', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_gungan_warrior_stronghold.stf', '27', 'player_1_1', 'Sure, I\'d love to know!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_gungan_warrior_stronghold.stf', '28', 'player_2_1', 'No thanks. Gungans should be respected just as much as anyone else.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_gungan_warrior_stronghold.stf', '29', 'player_3_1', 'What did they say about the monastery?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_gungan_warrior_stronghold.stf', '30', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_gungan_warrior_stronghold.stf', '31', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_gungan_warrior_stronghold.stf', '32', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_gungan_warrior_stronghold.stf', '33', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_gungan_warrior_stronghold.stf', '34', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_gungan_warrior_stronghold.stf', '35', 'player_reset', 'I decided to quit looking.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_gungan_warrior_stronghold.stf', '36', 'player_sorry', 'Not yet. I\'m still looking.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_gungan_warrior_stronghold.stf', '37', 'return_waypoint_description_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_gungan_warrior_stronghold.stf', '38', 'return_waypoint_name_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_gungan_warrior_stronghold.stf', '39', 'waypoint_description_1', 'A sacred place of learning and training, Gungan warriors guard this place with their lives.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_gungan_warrior_stronghold.stf', '40', 'waypoint_name_1', 'Gungan Warrior Stronghold');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_imperial_weapon_research_facility.stf', '1', 'cant_work', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_imperial_weapon_research_facility.stf', '2', 'dontknowyou_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_imperial_weapon_research_facility.stf', '3', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_imperial_weapon_research_facility.stf', '4', 'next', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_imperial_weapon_research_facility.stf', '5', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_imperial_weapon_research_facility.stf', '6', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_imperial_weapon_research_facility.stf', '7', 'npc_1_1', 'Wanna know the truth? I mean the real TRUTH! Ever heard of the Death Star? It was real, man! How do I know? Because I know where they were inventing it, and I know where they\'re making other things, too! I can tell if you if you\'re a fellow believer.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_imperial_weapon_research_facility.stf', '8', 'npc_2_1', 'Okay, it\'s a ways out there. I\'ll show you on your datapad. Watch out, though. The Empire doesn\'t want their little secrets getting out, but we\'ll all know one day. I\'m telling you, the truth is out there. Go see it for yourself and you\'ll believe!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_imperial_weapon_research_facility.stf', '9', 'npc_3_1', 'Yeah, you say that now. You just wait, though. One day the Empire\'s going to come knocking on your door with some kind of stormtrooper droid, then no one\'s going to ever hear from you again. You\'ll see...');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_imperial_weapon_research_facility.stf', '10', 'npc_4_1', 'I was traveling from Theed to Moenia,  right? Well, I got lost and saw some stormtroopers, right? I asked them for directions, and they told me to \"move along\". What was behind them? Yeah... some droid-looking stormtrooper. See what I\'m saying?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_imperial_weapon_research_facility.stf', '11', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_imperial_weapon_research_facility.stf', '12', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_imperial_weapon_research_facility.stf', '13', 'npc_backtowork_1', 'Okay, it\'s a ways out there. I\'ll show you on your datapad. Watch out, though. The Empire doesn\'t want their little secrets getting out, but we\'ll all know one day. I\'m telling you, the truth is out there. Go see it for yourself and you\'ll believe!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_imperial_weapon_research_facility.stf', '14', 'npc_breech_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_imperial_weapon_research_facility.stf', '15', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_imperial_weapon_research_facility.stf', '16', 'npc_failure_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_imperial_weapon_research_facility.stf', '17', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_imperial_weapon_research_facility.stf', '18', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_imperial_weapon_research_facility.stf', '19', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_imperial_weapon_research_facility.stf', '20', 'npc_noloc_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_imperial_weapon_research_facility.stf', '21', 'npc_reset', 'Yeah, you say that now. You just wait, though. One day the Empire\'s going to come knocking on your door with some kind of stormtrooper droid, then no one\'s going to ever hear from you again. You\'ll see...');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_imperial_weapon_research_facility.stf', '22', 'npc_reward_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_imperial_weapon_research_facility.stf', '23', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_imperial_weapon_research_facility.stf', '24', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_imperial_weapon_research_facility.stf', '25', 'npc_work_1', 'Did you find them?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_imperial_weapon_research_facility.stf', '26', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_imperial_weapon_research_facility.stf', '27', 'player_1_1', 'Yes, I believe you! Tell me where!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_imperial_weapon_research_facility.stf', '28', 'player_2_1', 'No thanks... you sound a bit out there yourself.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_imperial_weapon_research_facility.stf', '29', 'player_3_1', 'How did you find out?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_imperial_weapon_research_facility.stf', '30', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_imperial_weapon_research_facility.stf', '31', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_imperial_weapon_research_facility.stf', '32', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_imperial_weapon_research_facility.stf', '33', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_imperial_weapon_research_facility.stf', '34', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_imperial_weapon_research_facility.stf', '35', 'player_reset', 'I decided to quit looking.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_imperial_weapon_research_facility.stf', '36', 'player_sorry', 'Not yet. I am still looking.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_imperial_weapon_research_facility.stf', '37', 'return_waypoint_description_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_imperial_weapon_research_facility.stf', '38', 'return_waypoint_name_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_imperial_weapon_research_facility.stf', '39', 'waypoint_description_1', 'A top secret area patrolled by all manner of stormtroopers and droids. This is a restricted area.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_imperial_weapon_research_facility.stf', '40', 'waypoint_name_1', 'Imperial Weapon Research Facility');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_mauler_encampment.stf', '1', 'cant_work', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_mauler_encampment.stf', '2', 'dontknowyou_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_mauler_encampment.stf', '3', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_mauler_encampment.stf', '4', 'next', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_mauler_encampment.stf', '5', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_mauler_encampment.stf', '6', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_mauler_encampment.stf', '7', 'npc_1_1', 'You there! You have the look of someone who spends their time with? unsavory characters. Would you be interested in knowing where others of your kind can be found? I\'m sure these hired killers have a lot of credits just laying around. Interested?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_mauler_encampment.stf', '8', 'npc_2_1', 'Yes, yes you looked like someone who would be motivated by greed. I\'ll mark it on your datapad. Make sure you tell everyone you know? that\'ll teach these Maulers to turn me down. Ha! Their secret base isn\'t so secret anymore, is it?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_mauler_encampment.stf', '9', 'npc_3_1', 'Oh! MY attitude? You don\'t like MY attitude? I\'ll have you know I\'m one of the most well respected people within the higher circles of the Naboo Nobility. You, on the other hand, look to be nothing more than a simple street narglatch! Be off with you.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_mauler_encampment.stf', '10', 'npc_4_1', 'There\'s a group of assassi?er, I mean to say, exterminators who are well known for their skills. Well, they turned down my money, and I\'ll have none of that! I\'m making it a point that everyone knows where their base is to teach them a lesson! Interested?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_mauler_encampment.stf', '11', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_mauler_encampment.stf', '12', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_mauler_encampment.stf', '13', 'npc_backtowork_1', 'Yes, yes you looked like someone who would be motivated by greed. I\'ll mark it on your datapad. Make sure you tell everyone you know? that\'ll teach these Maulers to turn me down. Ha! Their secret base isn\'t so secret anymore, is it?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_mauler_encampment.stf', '14', 'npc_breech_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_mauler_encampment.stf', '15', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_mauler_encampment.stf', '16', 'npc_failure_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_mauler_encampment.stf', '17', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_mauler_encampment.stf', '18', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_mauler_encampment.stf', '19', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_mauler_encampment.stf', '20', 'npc_noloc_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_mauler_encampment.stf', '21', 'npc_reset', 'Oh! MY attitude? You don\'t like MY attitude? I\'ll have you know I\'m one of the most well respected people within the higher circles of the Naboo Nobility. You, on the other hand, look to be nothing more than a simple street narglatch! Be off with you.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_mauler_encampment.stf', '22', 'npc_reward_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_mauler_encampment.stf', '23', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_mauler_encampment.stf', '24', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_mauler_encampment.stf', '25', 'npc_work_1', 'Did you find them?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_mauler_encampment.stf', '26', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_mauler_encampment.stf', '27', 'player_1_1', 'Sure!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_mauler_encampment.stf', '28', 'player_2_1', 'No thanks. I don\'t like your attitude.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_mauler_encampment.stf', '29', 'player_3_1', 'Why are you telling me this?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_mauler_encampment.stf', '30', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_mauler_encampment.stf', '31', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_mauler_encampment.stf', '32', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_mauler_encampment.stf', '33', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_mauler_encampment.stf', '34', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_mauler_encampment.stf', '35', 'player_reset', 'I decided to quit looking because I don\'t like your attitude.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_mauler_encampment.stf', '36', 'player_sorry', 'I am still looking.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_mauler_encampment.stf', '37', 'return_waypoint_description_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_mauler_encampment.stf', '38', 'return_waypoint_name_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_mauler_encampment.stf', '39', 'waypoint_description_1', 'A camp of assassins devoted to the former teachings of someone called Darth Maul');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_mauler_encampment.stf', '40', 'waypoint_name_1', 'Mauler Encampment');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_narglatch_cave.stf', '1', 'cant_work', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_narglatch_cave.stf', '2', 'dontknowyou_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_narglatch_cave.stf', '3', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_narglatch_cave.stf', '4', 'next', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_narglatch_cave.stf', '5', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_narglatch_cave.stf', '6', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_narglatch_cave.stf', '7', 'npc_1_1', 'Whoohoo...barely made it out of that one today. I found a whole colony of narglatches nestled up in a cave a ways out. To think I was about to walk right inside and rest for a bit. If you\'ve got nothing left to live for, I can tell you where to find them.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_narglatch_cave.stf', '8', 'npc_2_1', 'Well, they\'re up thataways a yonder. How about I just mark it down in your datapad, eh? Remember, this isn\'t fun and games. They may look all cuddley, but they\'ll rip your throat out the first chance they get. Good luck, friend.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_narglatch_cave.stf', '9', 'npc_3_1', 'I don\'t blame you. Those narglatches aren\'t something I like messing with. Well, good day to you.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_narglatch_cave.stf', '10', 'npc_4_1', 'Don\'t you know? Whenever narglatches come together and start settling down, they only pick a place that\'s rich in resources. That place they\'re at is a virtual bank in resources. Then again...you have to deal with the narglatches first.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_narglatch_cave.stf', '11', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_narglatch_cave.stf', '12', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_narglatch_cave.stf', '13', 'npc_backtowork_1', 'Well, they\'re up thataways a yonder. How about I just mark it down in your datapad, eh? Remember, this isn\'t fun and games. They may look all cuddley, but they\'ll rip your throat out the first chance they get. Good luck, friend.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_narglatch_cave.stf', '14', 'npc_breech_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_narglatch_cave.stf', '15', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_narglatch_cave.stf', '16', 'npc_failure_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_narglatch_cave.stf', '17', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_narglatch_cave.stf', '18', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_narglatch_cave.stf', '19', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_narglatch_cave.stf', '20', 'npc_noloc_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_narglatch_cave.stf', '21', 'npc_reset', 'I don\'t blame you. Those narglatches aren\'t something I like messing with. Well, good day to you.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_narglatch_cave.stf', '22', 'npc_reward_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_narglatch_cave.stf', '23', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_narglatch_cave.stf', '24', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_narglatch_cave.stf', '25', 'npc_work_1', 'Did you find the narglatch cave?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_narglatch_cave.stf', '26', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_narglatch_cave.stf', '27', 'player_1_1', 'Sure, where are they?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_narglatch_cave.stf', '28', 'player_2_1', 'No thanks.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_narglatch_cave.stf', '29', 'player_3_1', 'Why would I care about a narglatch colony?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_narglatch_cave.stf', '30', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_narglatch_cave.stf', '31', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_narglatch_cave.stf', '32', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_narglatch_cave.stf', '33', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_narglatch_cave.stf', '34', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_narglatch_cave.stf', '35', 'player_reset', 'I decided to stop looking. I have other things to do.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_narglatch_cave.stf', '36', 'player_sorry', 'Not yet. I am still looking.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_narglatch_cave.stf', '37', 'return_waypoint_description_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_narglatch_cave.stf', '38', 'return_waypoint_name_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_narglatch_cave.stf', '39', 'waypoint_description_1', 'The cave is teeming with narglatches who have chosen to make it their home.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_narglatch_cave.stf', '40', 'waypoint_name_1', 'Narglatch Cave');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_noble_pirate_rescue_hanna.stf', '1', 'cant_work', 'You have too many things to do right now. I don\'t think you have the time to help me.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_noble_pirate_rescue_hanna.stf', '2', 'dontknowyou_1', 'Go away! I don\'t need your help.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_noble_pirate_rescue_hanna.stf', '3', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_noble_pirate_rescue_hanna.stf', '4', 'next', 'I have no more work for you.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_noble_pirate_rescue_hanna.stf', '5', 'notit_1', 'No! You did it wrong! Go try again!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_noble_pirate_rescue_hanna.stf', '6', 'notyet', 'I\'m sorry, but you can\'t help me right now.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_noble_pirate_rescue_hanna.stf', '7', 'npc_1_1', 'My sister! Where could she be? You! Will you help me? She has been kidnapped by pirates. Please help me, I don\'t have enough money to pay their ransom. Will you save her for me?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_noble_pirate_rescue_hanna.stf', '8', 'npc_2_1', 'Thank you, my kind friend. Please hurry. I fear she may be in danger. Let me have your datapad. I can enter the information for you.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_noble_pirate_rescue_hanna.stf', '9', 'npc_3_1', 'Ahh! Someone help me! This pirate is threatening to hurt me!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_noble_pirate_rescue_hanna.stf', '10', 'npc_4_1', 'I don\'t have any other information. Except, you may want to bring your friends with you. Pirates are vile and dangerous.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_noble_pirate_rescue_hanna.stf', '11', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_noble_pirate_rescue_hanna.stf', '12', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_noble_pirate_rescue_hanna.stf', '13', 'npc_backtowork_1', 'At least I still have hope. Please save her as soon as possible.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_noble_pirate_rescue_hanna.stf', '14', 'npc_breech_1', 'Where is my sister? I must find my sister! You! Will you go find her? She was captured by pirates! They demand that we pay some sort of ransom for her return. Please help me! You can find the pirate hideout here; I\'ve marked it on your map.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_noble_pirate_rescue_hanna.stf', '15', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_noble_pirate_rescue_hanna.stf', '16', 'npc_failure_1', 'No! You were suppose to save her! You\'ve failed me.. Please leave.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_noble_pirate_rescue_hanna.stf', '17', 'npc_more_1_1', 'I have no other information for you except that the hideout can be found in the mountains. Please help me. I\'m desperate!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_noble_pirate_rescue_hanna.stf', '18', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_noble_pirate_rescue_hanna.stf', '19', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_noble_pirate_rescue_hanna.stf', '20', 'npc_noloc_1', 'Please come back later. I may have something for you to do.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_noble_pirate_rescue_hanna.stf', '21', 'npc_reset', 'You\'re so cruel!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_noble_pirate_rescue_hanna.stf', '22', 'npc_reward_1', 'Thank you! You saved my sister. I am ever so grateful!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_noble_pirate_rescue_hanna.stf', '23', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_noble_pirate_rescue_hanna.stf', '24', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_noble_pirate_rescue_hanna.stf', '25', 'npc_work_1', 'Did you rescue her?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_noble_pirate_rescue_hanna.stf', '26', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_noble_pirate_rescue_hanna.stf', '27', 'player_1_1', 'Yes, I will save her for you.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_noble_pirate_rescue_hanna.stf', '28', 'player_2_1', 'No, I can\'t help you. I\'m a pirate too!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_noble_pirate_rescue_hanna.stf', '29', 'player_3_1', 'What other information do you have about these pirates?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_noble_pirate_rescue_hanna.stf', '30', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_noble_pirate_rescue_hanna.stf', '31', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_noble_pirate_rescue_hanna.stf', '32', 'player_more_1_1', 'What other information do you have?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_noble_pirate_rescue_hanna.stf', '33', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_noble_pirate_rescue_hanna.stf', '34', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_noble_pirate_rescue_hanna.stf', '35', 'player_reset', 'I changed my mind. I really don\'t want to rescue your sister.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_noble_pirate_rescue_hanna.stf', '36', 'player_sorry', 'The pirates are a bit more difficult than I thought. I plan to try again, though.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_noble_pirate_rescue_hanna.stf', '37', 'return_waypoint_description_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_noble_pirate_rescue_hanna.stf', '38', 'return_waypoint_name_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_noble_pirate_rescue_hanna.stf', '39', 'waypoint_description_1', 'A deserted bunker inhabited by vile pirates. Rumors have said that several nobles are held here for ransom.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_noble_pirate_rescue_hanna.stf', '40', 'waypoint_name_1', 'Pirate Bunker');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_pirate_pirate_rescue_ketter.stf', '1', 'cant_work', 'Go away an\' let a pirate drink. Ye have too many things goin\' on right now.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_pirate_pirate_rescue_ketter.stf', '2', 'dontknowyou_1', 'Go away! I don\'t need your help.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_pirate_pirate_rescue_ketter.stf', '3', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_pirate_pirate_rescue_ketter.stf', '4', 'next', 'I have nothin\' else fer ye today.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_pirate_pirate_rescue_ketter.stf', '5', 'notit_1', 'No, go back out an\' try again, scrawny kid.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_pirate_pirate_rescue_ketter.stf', '6', 'notyet', 'Ye can\'t help me, go away.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_pirate_pirate_rescue_ketter.stf', '7', 'npc_1_1', 'I be admirin\' the bravery of \'dem pirates. Kidnappin\' nobles, keepin\' \'em locked up fer ransom. Hmm.. I bet yer hankerin\' ta find where they be keepin\' dem nobles.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_pirate_pirate_rescue_ketter.stf', '8', 'npc_2_1', 'Fine. Gimme yer datapad. Let me see wha\' I can do wit\' it. I hope I don\'t break it. Ha ha!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_pirate_pirate_rescue_ketter.stf', '9', 'npc_3_1', 'Yer nothin\' but a coward. Ye couldn\'t go up against pirates anyway. Yer a scrawny kid.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_pirate_pirate_rescue_ketter.stf', '10', 'npc_4_1', 'Neh. Just that they be kidnappin\' nobles all over Naboo, keepin\' \'em for ransom.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_pirate_pirate_rescue_ketter.stf', '11', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_pirate_pirate_rescue_ketter.stf', '12', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_pirate_pirate_rescue_ketter.stf', '13', 'npc_backtowork_1', 'Get ye goin\' then, kid! Don\'t waste me time on yer belly-achin\'.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_pirate_pirate_rescue_ketter.stf', '14', 'npc_breech_1', 'Where is my sister? I must find my sister! You! Will you go find her? She was captured by pirates! They demand that we pay some sort of ransom for her return. Please help me! You can find the pirate hideout here; I\'ve marked it on your map.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_pirate_pirate_rescue_ketter.stf', '15', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_pirate_pirate_rescue_ketter.stf', '16', 'npc_failure_1', 'Ye can\'t do anythin\' right, can ye?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_pirate_pirate_rescue_ketter.stf', '17', 'npc_more_1_1', 'I have no other information for you except that the hideout can be found in the mountains. Please help me. I\'m desperate!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_pirate_pirate_rescue_ketter.stf', '18', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_pirate_pirate_rescue_ketter.stf', '19', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_pirate_pirate_rescue_ketter.stf', '20', 'npc_noloc_1', 'Come back later, I\'m busy.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_pirate_pirate_rescue_ketter.stf', '21', 'npc_reset', 'Pah! Get out o\' here an\' let me drink in peace.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_pirate_pirate_rescue_ketter.stf', '22', 'npc_reward_1', 'I have nothin\' fer ye. Ye were only suppose ta\' investigate.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_pirate_pirate_rescue_ketter.stf', '23', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_pirate_pirate_rescue_ketter.stf', '24', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_pirate_pirate_rescue_ketter.stf', '25', 'npc_work_1', 'Oh, it\'s the scrawny kid. What did ye find out?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_pirate_pirate_rescue_ketter.stf', '26', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_pirate_pirate_rescue_ketter.stf', '27', 'player_1_1', 'Yes, I am pretty interested.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_pirate_pirate_rescue_ketter.stf', '28', 'player_2_1', 'No, I\'m not interested in anything a drunk pirate has to say.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_pirate_pirate_rescue_ketter.stf', '29', 'player_3_1', 'Do you have anymore information about these pirates?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_pirate_pirate_rescue_ketter.stf', '30', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_pirate_pirate_rescue_ketter.stf', '31', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_pirate_pirate_rescue_ketter.stf', '32', 'player_more_1_1', 'What other information do you have?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_pirate_pirate_rescue_ketter.stf', '33', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_pirate_pirate_rescue_ketter.stf', '34', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_pirate_pirate_rescue_ketter.stf', '35', 'player_reset', 'I decided to quit looking.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_pirate_pirate_rescue_ketter.stf', '36', 'player_sorry', 'Nothing. I still have some investigating to do.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_pirate_pirate_rescue_ketter.stf', '37', 'return_waypoint_description_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_pirate_pirate_rescue_ketter.stf', '38', 'return_waypoint_name_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_pirate_pirate_rescue_ketter.stf', '39', 'waypoint_description_1', 'A deserted bunker inhabited by vile pirates. Rumors have said that several nobles are held here for ransom.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_pirate_pirate_rescue_ketter.stf', '40', 'waypoint_name_1', 'Pirate Bunker');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_servant_pirate_rescue_demitri.stf', '1', 'cant_work', 'You have too many other things to do at the moment. Come back when you have more time.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_servant_pirate_rescue_demitri.stf', '2', 'dontknowyou_1', 'Go away! I don\'t need your help.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_servant_pirate_rescue_demitri.stf', '3', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_servant_pirate_rescue_demitri.stf', '4', 'next', 'I have nothing else for you to help me with.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_servant_pirate_rescue_demitri.stf', '5', 'notit_1', 'Unfortunately, I\'m not looking for anything right now.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_servant_pirate_rescue_demitri.stf', '6', 'notyet', 'You can\'t help me right now.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_servant_pirate_rescue_demitri.stf', '7', 'npc_1_1', 'I\'m looking for my master. Have you seen him? I suppose you haven\'t unless you\'ve visited the pirate hideout. Oh? You haven\'t heard? My master was kidnapped. Will you rescue him?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_servant_pirate_rescue_demitri.stf', '8', 'npc_2_1', 'I\'m not exactly sure where this pirate hideout is, but I can enter the information, that I do know, in your datapad.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_servant_pirate_rescue_demitri.stf', '9', 'npc_3_1', 'You\'re not very good at lying.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_servant_pirate_rescue_demitri.stf', '10', 'npc_4_1', 'I only know the general location of where it might be found. However, I have heard that many treasures can be found in a pirate hideout. Oh, and you may want to bring friends with you. It won\'t be easy.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_servant_pirate_rescue_demitri.stf', '11', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_servant_pirate_rescue_demitri.stf', '12', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_servant_pirate_rescue_demitri.stf', '13', 'npc_backtowork_1', 'I\'ve entered the information in your datapad. You should go look for him.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_servant_pirate_rescue_demitri.stf', '14', 'npc_breech_1', 'Where is my sister? I must find my sister! You! Will you go find her? She was captured by pirates! They demand that we pay some sort of ransom for her return. Please help me! You can find the pirate hideout here; I\'ve marked it on your map.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_servant_pirate_rescue_demitri.stf', '15', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_servant_pirate_rescue_demitri.stf', '16', 'npc_failure_1', 'My master? You couldn\'t save him? I\'m hopeless!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_servant_pirate_rescue_demitri.stf', '17', 'npc_more_1_1', 'I have no other information for you except that the hideout can be found in the mountains. Please help me. I\'m desperate!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_servant_pirate_rescue_demitri.stf', '18', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_servant_pirate_rescue_demitri.stf', '19', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_servant_pirate_rescue_demitri.stf', '20', 'npc_noloc_1', 'Come back later. I may have something for you to do.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_servant_pirate_rescue_demitri.stf', '21', 'npc_reset', 'I will find someone else to help me, then.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_servant_pirate_rescue_demitri.stf', '22', 'npc_reward_1', 'I have no reward for you, unfortunately. But thank you for rescuing my master.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_servant_pirate_rescue_demitri.stf', '23', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_servant_pirate_rescue_demitri.stf', '24', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_servant_pirate_rescue_demitri.stf', '25', 'npc_work_1', 'Is he safe?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_servant_pirate_rescue_demitri.stf', '26', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_servant_pirate_rescue_demitri.stf', '27', 'player_1_1', 'Yes, I will rescue him for you.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_servant_pirate_rescue_demitri.stf', '28', 'player_2_1', 'No, I\'m allergic to pirates.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_servant_pirate_rescue_demitri.stf', '29', 'player_3_1', 'What other information do you have about this pirate hideout?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_servant_pirate_rescue_demitri.stf', '30', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_servant_pirate_rescue_demitri.stf', '31', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_servant_pirate_rescue_demitri.stf', '32', 'player_more_1_1', 'What other information do you have?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_servant_pirate_rescue_demitri.stf', '33', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_servant_pirate_rescue_demitri.stf', '34', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_servant_pirate_rescue_demitri.stf', '35', 'player_reset', 'I decided to quit looking.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_servant_pirate_rescue_demitri.stf', '36', 'player_sorry', 'Not yet. I am still looking.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_servant_pirate_rescue_demitri.stf', '37', 'return_waypoint_description_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_servant_pirate_rescue_demitri.stf', '38', 'return_waypoint_name_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_servant_pirate_rescue_demitri.stf', '39', 'waypoint_description_1', 'A deserted bunker inhabited by vile pirates. Rumors have said that several nobles are held here for ransom.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_servant_pirate_rescue_demitri.stf', '40', 'waypoint_name_1', 'Pirate Bunker');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_veermok_cave.stf', '1', 'cant_work', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_veermok_cave.stf', '2', 'dontknowyou_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_veermok_cave.stf', '3', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_veermok_cave.stf', '4', 'next', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_veermok_cave.stf', '5', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_veermok_cave.stf', '6', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_veermok_cave.stf', '7', 'npc_1_1', 'Come here, come here. Have you ever heard of the Lost Jandosan Mines? I used to be one of the miners at Jandosan, until those dirty Veermoks decided to make it their home. Do you want to know where the mines used to be?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_veermok_cave.stf', '8', 'npc_2_1', 'Well, it\'s a ways off from here. Let me just mark it down on your datapad. Why don\'t you go out there and give those Veermoks a little whatfor? Those blasted things killed some good men, and I wouldn\'t mind seeing them get their just desserts.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_veermok_cave.stf', '9', 'npc_3_1', 'Oh, I see. Just a crazy old miner, eh? You don\'t have time to list to the stories of those who came before you, eh? You\'re just like all the rest of the kids today!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_veermok_cave.stf', '10', 'npc_4_1', 'Oh, this was years before you were born, kid! That place was full of all kinds of resources! We would have made a killing were it not for those danged apes! They just came by one day and killed everyone, then made it their new home. It still burns me to this day!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_veermok_cave.stf', '11', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_veermok_cave.stf', '12', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_veermok_cave.stf', '13', 'npc_backtowork_1', 'Well, it\'s a ways off from here. Let me just mark it down on your datapad. Why don\'t you go out there and give those Veermoks a little whatfor? Those blasted things killed some good men, and I wouldn\'t mind seeing them get their just desserts.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_veermok_cave.stf', '14', 'npc_breech_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_veermok_cave.stf', '15', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_veermok_cave.stf', '16', 'npc_failure_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_veermok_cave.stf', '17', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_veermok_cave.stf', '18', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_veermok_cave.stf', '19', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_veermok_cave.stf', '20', 'npc_noloc_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_veermok_cave.stf', '21', 'npc_reset', 'Oh, I see. Just a crazy old miner, eh? You don\'t have time to list to the stories of those who came before you, eh? You\'re just like all the rest of the kids today!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_veermok_cave.stf', '22', 'npc_reward_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_veermok_cave.stf', '23', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_veermok_cave.stf', '24', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_veermok_cave.stf', '25', 'npc_work_1', 'Did you locate the veermok cave?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_veermok_cave.stf', '26', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_veermok_cave.stf', '27', 'player_1_1', 'Yes, I\'d be interested in knowing.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_veermok_cave.stf', '28', 'player_2_1', 'No thanks.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_veermok_cave.stf', '29', 'player_3_1', 'What happened at the Jandosan Mines?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_veermok_cave.stf', '30', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_veermok_cave.stf', '31', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_veermok_cave.stf', '32', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_veermok_cave.stf', '33', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_veermok_cave.stf', '34', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_veermok_cave.stf', '35', 'player_reset', 'I have decided to skip this little adventure.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_veermok_cave.stf', '36', 'player_sorry', 'Not yet. I am still looking.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_veermok_cave.stf', '37', 'return_waypoint_description_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_veermok_cave.stf', '38', 'return_waypoint_name_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_veermok_cave.stf', '39', 'waypoint_description_1', 'This is an ancient ore mine that was overtaken by a troupe of Giant Veermoks.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_naboo_veermok_cave.stf', '40', 'waypoint_name_1', 'Veermok Cave');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_borgle_bat_cave.stf', '1', 'cant_work', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_borgle_bat_cave.stf', '2', 'dontknowyou_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_borgle_bat_cave.stf', '3', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_borgle_bat_cave.stf', '4', 'next', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_borgle_bat_cave.stf', '5', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_borgle_bat_cave.stf', '6', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_borgle_bat_cave.stf', '7', 'npc_1_1', 'You must help me! My husband was telling our kids about the caves filled with Borgles, and it seems they went off to go see the caves firsthand. I\'m afraid the worst has happened to them!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_borgle_bat_cave.stf', '8', 'npc_2_1', 'Oh, thank you! Here is where the caves are. If you see them there, let them know that if they don\'t come home soon, they\'ll miss dinner.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_borgle_bat_cave.stf', '9', 'npc_3_1', 'I wish my kids had the same common sense as you!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_borgle_bat_cave.stf', '10', 'npc_4_1', 'I tried doing that already. He told me that the kids have to learn the hard way. Needless to say, I\'ve kicked him out until my kids get home safely. Will you please help?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_borgle_bat_cave.stf', '11', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_borgle_bat_cave.stf', '12', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_borgle_bat_cave.stf', '13', 'npc_backtowork_1', 'Oh, thank you! Here is where the caves are. If you see them there, let them know that if they don\'t come home soon, they\'ll miss dinner.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_borgle_bat_cave.stf', '14', 'npc_breech_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_borgle_bat_cave.stf', '15', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_borgle_bat_cave.stf', '16', 'npc_failure_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_borgle_bat_cave.stf', '17', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_borgle_bat_cave.stf', '18', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_borgle_bat_cave.stf', '19', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_borgle_bat_cave.stf', '20', 'npc_noloc_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_borgle_bat_cave.stf', '21', 'npc_reset', 'I wish my kids had the same common sense as you!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_borgle_bat_cave.stf', '22', 'npc_reward_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_borgle_bat_cave.stf', '23', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_borgle_bat_cave.stf', '24', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_borgle_bat_cave.stf', '25', 'npc_work_1', 'Did you find the borgle bats cave?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_borgle_bat_cave.stf', '26', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_borgle_bat_cave.stf', '27', 'player_1_1', 'Sure, I\'ll help you.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_borgle_bat_cave.stf', '28', 'player_2_1', 'No thanks, sounds too dangerous.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_borgle_bat_cave.stf', '29', 'player_3_1', 'Why don\'t you get your husband to find them?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_borgle_bat_cave.stf', '30', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_borgle_bat_cave.stf', '31', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_borgle_bat_cave.stf', '32', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_borgle_bat_cave.stf', '33', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_borgle_bat_cave.stf', '34', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_borgle_bat_cave.stf', '35', 'player_reset', 'I decided to stop looking.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_borgle_bat_cave.stf', '36', 'player_sorry', 'Not yet. I am still looking.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_borgle_bat_cave.stf', '37', 'return_waypoint_description_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_borgle_bat_cave.stf', '38', 'return_waypoint_name_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_borgle_bat_cave.stf', '39', 'waypoint_description_1', 'A natural home to the most successful predators on Rori, the Borgle Bat Caves can be quite dangerous.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_borgle_bat_cave.stf', '40', 'waypoint_name_1', 'Borgle Bat Caves');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_cobral_hideout.stf', '1', 'cant_work', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_cobral_hideout.stf', '2', 'dontknowyou_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_cobral_hideout.stf', '3', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_cobral_hideout.stf', '4', 'next', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_cobral_hideout.stf', '5', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_cobral_hideout.stf', '6', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_cobral_hideout.stf', '7', 'npc_1_1', 'Are you interested in helping you fellow citizens of Rori? We\'re recruiting people to help put a stop to the menace posed by the Cobrals. We\'re asking everyone to do their part and help eradicate this threat. Are you willing to do your part?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_cobral_hideout.stf', '8', 'npc_2_1', 'You\'re the kind of person we were looking for! Here\'s where you can find the Cobral hideout. Go out there and give them everything you\'ve got! We can\'t pay you, but you can take anything you find on them.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_cobral_hideout.stf', '9', 'npc_3_1', 'That\'s a shame, kid. Without people like you helping, the Cobrals will eventually come up with some dastardly plan that will have all of Rori under their control. Think on that, then come back when you\'re interested.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_cobral_hideout.stf', '10', 'npc_4_1', 'They are an organization comprised by some of the most despicable individuals on Rori. They are being led by the evil Cobral Overlord, who is bent on the domination of this moon. Only if everyone comes together can we finally put a stop to them.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_cobral_hideout.stf', '11', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_cobral_hideout.stf', '12', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_cobral_hideout.stf', '13', 'npc_backtowork_1', 'Good. Go out there and give them everything you\'ve got! We can\'t pay you, but you can take anything you find on them.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_cobral_hideout.stf', '14', 'npc_breech_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_cobral_hideout.stf', '15', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_cobral_hideout.stf', '16', 'npc_failure_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_cobral_hideout.stf', '17', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_cobral_hideout.stf', '18', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_cobral_hideout.stf', '19', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_cobral_hideout.stf', '20', 'npc_noloc_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_cobral_hideout.stf', '21', 'npc_reset', 'That\'s a shame, kid. Without people like you helping, the Cobrals will eventually come up with some dastardly plan that will have all of Rori under their control. Think on that, then come back when you\'re interested.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_cobral_hideout.stf', '22', 'npc_reward_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_cobral_hideout.stf', '23', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_cobral_hideout.stf', '24', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_cobral_hideout.stf', '25', 'npc_work_1', 'Did you find those Cobral?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_cobral_hideout.stf', '26', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_cobral_hideout.stf', '27', 'player_1_1', 'Yes, I\'ll do my part!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_cobral_hideout.stf', '28', 'player_2_1', 'Sorry, I don\'t want to get involved.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_cobral_hideout.stf', '29', 'player_3_1', 'Who are the Cobrals?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_cobral_hideout.stf', '30', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_cobral_hideout.stf', '31', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_cobral_hideout.stf', '32', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_cobral_hideout.stf', '33', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_cobral_hideout.stf', '34', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_cobral_hideout.stf', '35', 'player_reset', 'I can\'t continue to look for them.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_cobral_hideout.stf', '36', 'player_sorry', 'Not yet. I am still looking.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_cobral_hideout.stf', '37', 'return_waypoint_description_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_cobral_hideout.stf', '38', 'return_waypoint_name_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_cobral_hideout.stf', '39', 'waypoint_description_1', 'The evil Cobral organization forged Imperial documents to get a hold of this fortress.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_cobral_hideout.stf', '40', 'waypoint_name_1', 'Cobral Hideout');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_creature_village.stf', '1', 'cant_work', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_creature_village.stf', '2', 'dontknowyou_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_creature_village.stf', '3', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_creature_village.stf', '4', 'next', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_creature_village.stf', '5', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_creature_village.stf', '6', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_creature_village.stf', '7', 'npc_1_1', 'If you\'re interested, I have a business proposal for you. I inherited a farm recently, but it\'s been overrun by all manners of creatures. I can\'t handle them myself, but if you can help clear them, I let you have any of the resources that are there. Interested?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_creature_village.stf', '8', 'npc_2_1', 'My dad said it was just a ways off from here. I\'ll mark the area on your datapad. Remember, kill any of the creatures you find and those resources are all yours. I just want to honor my fathers dying wish of killing all those critters.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_creature_village.stf', '9', 'npc_3_1', 'Well, I can understand. I should be able to find someone who\'s willing to make some money off of some old-fashioned hard work. Have a good day.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_creature_village.stf', '10', 'npc_4_1', 'My dad built that farm with his own bare hands! About 20 years ago, there was a good summer for breeding and all kinds of creatures started showing up, eventually driving him off of his own property. His dying wish was to see everyone of those creatures dead!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_creature_village.stf', '11', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_creature_village.stf', '12', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_creature_village.stf', '13', 'npc_backtowork_1', 'My dad said it was just a ways off from here. I\'ll mark the area on your datapad. Remember, kill any of the creatures you find and those resources are all yours. I just want to honor my fathers dying wish of killing all those critters.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_creature_village.stf', '14', 'npc_breech_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_creature_village.stf', '15', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_creature_village.stf', '16', 'npc_failure_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_creature_village.stf', '17', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_creature_village.stf', '18', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_creature_village.stf', '19', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_creature_village.stf', '20', 'npc_noloc_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_creature_village.stf', '21', 'npc_reset', 'Well, I can understand. I should be able to find someone who\'s willing to make some money off of some old-fashioned hard work. Have a good day.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_creature_village.stf', '22', 'npc_reward_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_creature_village.stf', '23', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_creature_village.stf', '24', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_creature_village.stf', '25', 'npc_work_1', 'Did you find the village?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_creature_village.stf', '26', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_creature_village.stf', '27', 'player_1_1', 'Sounds good to me. Where is it?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_creature_village.stf', '28', 'player_2_1', 'Sorry, I\'m not interested.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_creature_village.stf', '29', 'player_3_1', 'What kind of inheritance is a farm?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_creature_village.stf', '30', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_creature_village.stf', '31', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_creature_village.stf', '32', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_creature_village.stf', '33', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_creature_village.stf', '34', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_creature_village.stf', '35', 'player_reset', 'I have decided to stop looking.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_creature_village.stf', '36', 'player_sorry', 'Not yet. I am still looking.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_creature_village.stf', '37', 'return_waypoint_description_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_creature_village.stf', '38', 'return_waypoint_name_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_creature_village.stf', '39', 'waypoint_description_1', 'What was once a farm is now a breeding ground for all kinds of creatures.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_creature_village.stf', '40', 'waypoint_name_1', 'Creature Village');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_hyperdrive_research_facility.stf', '1', 'cant_work', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_hyperdrive_research_facility.stf', '2', 'dontknowyou_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_hyperdrive_research_facility.stf', '3', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_hyperdrive_research_facility.stf', '4', 'next', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_hyperdrive_research_facility.stf', '5', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_hyperdrive_research_facility.stf', '6', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_hyperdrive_research_facility.stf', '7', 'npc_1_1', 'Are you one of those Rebel types? If so, I know a place where you can do some serious damage to them, if you\'re in that kind of mind. You interested?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_hyperdrive_research_facility.stf', '8', 'npc_2_1', 'You can find a Hyperdrive yard where I marked it on your datapad. Mind you, I\'m not going to help you with blowing up the place, but it sure will keep me warm at night knowing they got their just desserts for snubbing me.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_hyperdrive_research_facility.stf', '9', 'npc_3_1', 'Well, I can\'t blame you. I\'m not going to run out there and do anything myself, either. I was just hoping someone who already planned on doing so would focus their anger on the place the put me out of business.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_hyperdrive_research_facility.stf', '10', 'npc_4_1', 'Because they undersold me, that\'s why! I used to work on making some real fine hyperdrives for them, but then they went off and bought my company right out from under me. That place used to be mine, and I swear I\'m not going to see it owned by anyone else!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_hyperdrive_research_facility.stf', '11', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_hyperdrive_research_facility.stf', '12', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_hyperdrive_research_facility.stf', '13', 'npc_backtowork_1', 'You can find a Hyperdrive yard where I marked it on your datapad. Mind you, I\'m not going to help you with blowing up the place, but it sure will keep me warm at night knowing they got their just desserts for snubbing me.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_hyperdrive_research_facility.stf', '14', 'npc_breech_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_hyperdrive_research_facility.stf', '15', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_hyperdrive_research_facility.stf', '16', 'npc_failure_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_hyperdrive_research_facility.stf', '17', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_hyperdrive_research_facility.stf', '18', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_hyperdrive_research_facility.stf', '19', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_hyperdrive_research_facility.stf', '20', 'npc_noloc_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_hyperdrive_research_facility.stf', '21', 'npc_reset', 'Well, I can\'t blame you. I\'m not going to run out there and do anything myself, either. I was just hoping someone who already planned on doing so would focus their anger on the place the put me out of business.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_hyperdrive_research_facility.stf', '22', 'npc_reward_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_hyperdrive_research_facility.stf', '23', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_hyperdrive_research_facility.stf', '24', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_hyperdrive_research_facility.stf', '25', 'npc_work_1', 'Did you find the hyperdrive yard?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_hyperdrive_research_facility.stf', '26', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_hyperdrive_research_facility.stf', '27', 'player_1_1', 'Sure. Tell me where.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_hyperdrive_research_facility.stf', '28', 'player_2_1', 'No thanks. I\'m not into sabotage.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_hyperdrive_research_facility.stf', '29', 'player_3_1', 'Why do you want to see the Empire hurt?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_hyperdrive_research_facility.stf', '30', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_hyperdrive_research_facility.stf', '31', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_hyperdrive_research_facility.stf', '32', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_hyperdrive_research_facility.stf', '33', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_hyperdrive_research_facility.stf', '34', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_hyperdrive_research_facility.stf', '35', 'player_reset', 'Actually, I\'ve decided to quit.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_hyperdrive_research_facility.stf', '36', 'player_sorry', 'Not yet. I am still looking.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_hyperdrive_research_facility.stf', '37', 'return_waypoint_description_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_hyperdrive_research_facility.stf', '38', 'return_waypoint_name_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_hyperdrive_research_facility.stf', '39', 'waypoint_description_1', 'A network of underground chambers houses a vast assortment of hyperdrives');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_hyperdrive_research_facility.stf', '40', 'waypoint_name_1', 'Imperial Hyperdrive Research Facility');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_military_base.stf', '1', 'cant_work', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_military_base.stf', '2', 'dontknowyou_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_military_base.stf', '3', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_military_base.stf', '4', 'next', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_military_base.stf', '5', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_military_base.stf', '6', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_military_base.stf', '7', 'npc_1_1', 'This declaration concerns all Rebels and sympathizers to the Rebel cause. The Empire has chosen to end it\'s war with Rebellion. The Empire is offering amnesty to all Rebels, and has set a meeting location for peace negotiations. Are you interested in peace with the Empire?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_military_base.stf', '8', 'npc_2_1', 'I will mark it on your datapad for you. As a sign of our trust, during the peace meeting the Empire has disarmed and asks you to do the same. This offer apply to those who are openly Rebels, therefore you will need to announce your intent. Good luck? I mean? Good day, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_military_base.stf', '9', 'npc_3_1', 'Very good, citizen. It is refreshing to hear open loyalty to the Emperor. I would offer you the warning to not approach the area we are herding these Rebels to. The stormtroopers there have orders of shoot to kill. Please direct any rebellious citizens my way, thank you.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_military_base.stf', '10', 'npc_4_1', 'Absolutely. The Emperor has decreed that the war has taken too much of a toll on both sides. He feels that proper negotiation can solve many problems. He has even suggested that there will be a celebration of tea and cookies when the negotiations are complete.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_military_base.stf', '11', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_military_base.stf', '12', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_military_base.stf', '13', 'npc_backtowork_1', 'I will mark it on your datapad for you. As a sign of our trust, during the peace meeting the Empire has disarmed and asks you to do the same. This offer apply to those who are openly Rebels, therefore you will need to announce your intent. Good luck. I mean, good day, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_military_base.stf', '14', 'npc_breech_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_military_base.stf', '15', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_military_base.stf', '16', 'npc_failure_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_military_base.stf', '17', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_military_base.stf', '18', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_military_base.stf', '19', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_military_base.stf', '20', 'npc_noloc_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_military_base.stf', '21', 'npc_reset', 'Very good, citizen. It is refreshing to hear open loyalty to the Emperor. I would offer you the warning to not approach the area we are herding these Rebels to. The stormtroopers there have orders of shoot to kill. Please direct any rebellious citizens my way, thank you.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_military_base.stf', '22', 'npc_reward_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_military_base.stf', '23', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_military_base.stf', '24', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_military_base.stf', '25', 'npc_work_1', 'Done already?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_military_base.stf', '26', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_military_base.stf', '27', 'player_1_1', 'Yes, I am. Where can I sign the peace treaty?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_military_base.stf', '28', 'player_2_1', 'Sorry, but I\'m not some Rebel scum.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_military_base.stf', '29', 'player_3_1', 'So the Galactic Civil War is finally over?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_military_base.stf', '30', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_military_base.stf', '31', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_military_base.stf', '32', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_military_base.stf', '33', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_military_base.stf', '34', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_military_base.stf', '35', 'player_reset', 'I\'ve decided to skip this little adventure.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_military_base.stf', '36', 'player_sorry', 'Not yet. I am still working.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_military_base.stf', '37', 'return_waypoint_description_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_military_base.stf', '38', 'return_waypoint_name_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_military_base.stf', '39', 'waypoint_description_1', 'A forward military base constructed by the Imperials for unknown reasons.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_imperial_military_base.stf', '40', 'waypoint_name_1', 'Imperial Military Base');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_kobola_spice_mine.stf', '1', 'cant_work', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_kobola_spice_mine.stf', '2', 'dontknowyou_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_kobola_spice_mine.stf', '3', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_kobola_spice_mine.stf', '4', 'next', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_kobola_spice_mine.stf', '5', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_kobola_spice_mine.stf', '6', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_kobola_spice_mine.stf', '7', 'npc_1_1', 'You need to help us! The city government has proof that the Kobola crime syndicate has established a presence here on Rori. The Empire has ignored our pleas for help, so we\'re asking everyone else to help us! Will you help us to rid ourselves of this threat?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_kobola_spice_mine.stf', '8', 'npc_2_1', 'Spectacular! This is where we think the Kobola are hiding out, mining spice. If you find any citizens in there, try to help them escape as well. Thank you!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_kobola_spice_mine.stf', '9', 'npc_3_1', 'That\'s exactly what the Empire said too. If you don\'t help us, who will?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_kobola_spice_mine.stf', '10', 'npc_4_1', 'People from the surrounding cities have been disappearing without a trace. At first we though it was some wild creature, until we found someone who escaped from the mines. They told us how slaves are being forced to mine spice at blaster point!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_kobola_spice_mine.stf', '11', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_kobola_spice_mine.stf', '12', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_kobola_spice_mine.stf', '13', 'npc_backtowork_1', 'If you find any citizens in there, try to help them escape as well. Thank you!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_kobola_spice_mine.stf', '14', 'npc_breech_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_kobola_spice_mine.stf', '15', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_kobola_spice_mine.stf', '16', 'npc_failure_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_kobola_spice_mine.stf', '17', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_kobola_spice_mine.stf', '18', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_kobola_spice_mine.stf', '19', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_kobola_spice_mine.stf', '20', 'npc_noloc_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_kobola_spice_mine.stf', '21', 'npc_reset', 'That\'s exactly what the Empire said too. If you don\'t help us, who will?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_kobola_spice_mine.stf', '22', 'npc_reward_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_kobola_spice_mine.stf', '23', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_kobola_spice_mine.stf', '24', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_kobola_spice_mine.stf', '25', 'npc_work_1', 'Did you find them?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_kobola_spice_mine.stf', '26', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_kobola_spice_mine.stf', '27', 'player_1_1', 'Yes, I\'ll help you.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_kobola_spice_mine.stf', '28', 'player_2_1', 'Sorry, this doesn\'t involve me.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_kobola_spice_mine.stf', '29', 'player_3_1', 'What is your proof?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_kobola_spice_mine.stf', '30', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_kobola_spice_mine.stf', '31', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_kobola_spice_mine.stf', '32', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_kobola_spice_mine.stf', '33', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_kobola_spice_mine.stf', '34', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_kobola_spice_mine.stf', '35', 'player_reset', 'I can\'t do this anymore. It doesn\'t involve me.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_kobola_spice_mine.stf', '36', 'player_sorry', 'Not yet. I am still looking.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_kobola_spice_mine.stf', '37', 'return_waypoint_description_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_kobola_spice_mine.stf', '38', 'return_waypoint_name_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_kobola_spice_mine.stf', '39', 'waypoint_description_1', 'Mysterious caves filled with spice are rumored to be controlled by the Kobola Crime Syndicate');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_rori_kobola_spice_mine.stf', '40', 'waypoint_name_1', 'Kobola Spice Mine');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_aakuan_champions.stf', '1', 'cant_work', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_aakuan_champions.stf', '2', 'dontknowyou_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_aakuan_champions.stf', '3', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_aakuan_champions.stf', '4', 'next', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_aakuan_champions.stf', '5', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_aakuan_champions.stf', '6', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_aakuan_champions.stf', '7', 'npc_1_1', 'We are members of the True Aakuan Order. We are asking any of those who have a streak of individualism to come forth an help stop a threat to our planet. Are you someone who finds that they will be the one to come forward and fulfill their destiny?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_aakuan_champions.stf', '8', 'npc_2_1', 'Yes, you are the one. A powerful anarchist has subverted our order of philosophical thinkers and has brainwashed them. They all need to be killed to bring back the balance to all things. Go find them and bring to them the gift of balance - with your blaster.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_aakuan_champions.stf', '9', 'npc_3_1', 'You speak as if we are brothers, but we are not. You are one who is out of balance, yet you do not wish to see it. If you wish to become one with a harmonious nature, seek us out and we will show you where your lessons can begin.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_aakuan_champions.stf', '10', 'npc_4_1', 'We practice a philosophy of eternal balance. There is nothing that is so powerful that you must bend your will to it. One of our order has become unbalanced and now spreads his will to everyone. Anyone who will not listen to him, his followers are instructed to destroy. Will you be the one fortold to be of assistance?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_aakuan_champions.stf', '11', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_aakuan_champions.stf', '12', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_aakuan_champions.stf', '13', 'npc_backtowork_1', 'Go find them and bring to them the gift of balance - with your blaster.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_aakuan_champions.stf', '14', 'npc_breech_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_aakuan_champions.stf', '15', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_aakuan_champions.stf', '16', 'npc_failure_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_aakuan_champions.stf', '17', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_aakuan_champions.stf', '18', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_aakuan_champions.stf', '19', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_aakuan_champions.stf', '20', 'npc_noloc_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_aakuan_champions.stf', '21', 'npc_reset', 'You are one who is out of balance, yet you do not wish to see it. If you wish to become one with a harmonious nature, seek us out and we will show you where your lessons can begin.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_aakuan_champions.stf', '22', 'npc_reward_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_aakuan_champions.stf', '23', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_aakuan_champions.stf', '24', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_aakuan_champions.stf', '25', 'npc_work_1', 'Done already?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_aakuan_champions.stf', '26', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_aakuan_champions.stf', '27', 'player_1_1', 'Ummm.. yeah. I think.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_aakuan_champions.stf', '28', 'player_2_1', 'No thanks, you\'re a bit too weird for me.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_aakuan_champions.stf', '29', 'player_3_1', 'Why are you the \"True\" Aakuans?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_aakuan_champions.stf', '30', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_aakuan_champions.stf', '31', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_aakuan_champions.stf', '32', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_aakuan_champions.stf', '33', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_aakuan_champions.stf', '34', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_aakuan_champions.stf', '35', 'player_reset', 'I\'ve decided to quit.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_aakuan_champions.stf', '36', 'player_sorry', 'Not yet. I am still looking.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_aakuan_champions.stf', '37', 'return_waypoint_description_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_aakuan_champions.stf', '38', 'return_waypoint_name_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_aakuan_champions.stf', '39', 'waypoint_description_1', 'A crazy anarachist rules the Aakuans with an iron fist within these caverns');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_aakuan_champions.stf', '40', 'waypoint_name_1', 'Aakuan Champions');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_berserk_khmurra.stf', '1', 'cant_work', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_berserk_khmurra.stf', '2', 'dontknowyou_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_berserk_khmurra.stf', '3', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_berserk_khmurra.stf', '4', 'next', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_berserk_khmurra.stf', '5', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_berserk_khmurra.stf', '6', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_berserk_khmurra.stf', '7', 'npc_1_1', 'How dare he? How dare he take my money, kill my family, then tell me \'buyer beware\'?! WHO DOES HE THINK HE IS? Ah? sorry. Ah!!! You might be interested in this! Do you want to know where there are all manners of creatures you can destroy for fun?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_berserk_khmurra.stf', '8', 'npc_2_1', 'Yes, yes, you looked like someone who would. Let me mark this down on your datapad for you. Here is where you can find a wide assortment of Khmurra that are bred to kill. Kill as many as you want. That\'ll teach him not to support his product!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_berserk_khmurra.stf', '9', 'npc_3_1', 'Suit yourself. I\'m sure I\'ll find someone who likes blowing away large blood-thirsty creatures.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_berserk_khmurra.stf', '10', 'npc_4_1', 'I purchased a specially bred Khmurra to guard my house. The bio-engineer I bought it from said he had a lab filled with resources that increased both their viciousness and their loyalty. Well, he was only half right. It killed my whole family, and the engineer won\'t even give me my money back, the sith-spit! Do you want to kill some Khmurra?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_berserk_khmurra.stf', '11', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_berserk_khmurra.stf', '12', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_berserk_khmurra.stf', '13', 'npc_backtowork_1', 'Yes, yes, you looked like someone who would do this. Let me mark this down on your datapad for you. Here is where you can find a wide assortment of Khmurra that are bred to kill. Kill as many as you want. That\'ll teach him not to support his product!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_berserk_khmurra.stf', '14', 'npc_breech_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_berserk_khmurra.stf', '15', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_berserk_khmurra.stf', '16', 'npc_failure_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_berserk_khmurra.stf', '17', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_berserk_khmurra.stf', '18', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_berserk_khmurra.stf', '19', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_berserk_khmurra.stf', '20', 'npc_noloc_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_berserk_khmurra.stf', '21', 'npc_reset', 'Suit yourself. I\'m sure I\'ll find someone who likes blowing away large blood-thirsty creatures.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_berserk_khmurra.stf', '22', 'npc_reward_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_berserk_khmurra.stf', '23', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_berserk_khmurra.stf', '24', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_berserk_khmurra.stf', '25', 'npc_work_1', 'Done already?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_berserk_khmurra.stf', '26', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_berserk_khmurra.stf', '27', 'player_1_1', 'Sure! I like killing critters!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_berserk_khmurra.stf', '28', 'player_2_1', 'No thanks. I don\'t like the way this sounds.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_berserk_khmurra.stf', '29', 'player_3_1', 'Why are you so angry?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_berserk_khmurra.stf', '30', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_berserk_khmurra.stf', '31', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_berserk_khmurra.stf', '32', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_berserk_khmurra.stf', '33', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_berserk_khmurra.stf', '34', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_berserk_khmurra.stf', '35', 'player_reset', 'I\'ve decided to pass on this little adventure.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_berserk_khmurra.stf', '36', 'player_sorry', 'Not yet. I am still looking.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_berserk_khmurra.stf', '37', 'return_waypoint_description_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_berserk_khmurra.stf', '38', 'return_waypoint_name_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_berserk_khmurra.stf', '39', 'waypoint_description_1', 'This cave is rumored to be filled with overgrown Khmurra');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_berserk_khmurra.stf', '40', 'waypoint_name_1', 'Khmurra Cave');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_binyare_pirate_base.stf', '1', 'cant_work', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_binyare_pirate_base.stf', '2', 'dontknowyou_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_binyare_pirate_base.stf', '3', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_binyare_pirate_base.stf', '4', 'next', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_binyare_pirate_base.stf', '5', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_binyare_pirate_base.stf', '6', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_binyare_pirate_base.stf', '7', 'npc_1_1', 'If you\'re looking for some good credits and some good gear, I know just the place. There\'s a bunch of Binayre pirates just around the corner who have a real nice place. If you take them out, anything you find is yours. We just want to place to ourselves. Interested?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_binyare_pirate_base.stf', '8', 'npc_2_1', 'You sound like the kind of person we could use on our crew! We\'re not signing anyone on right now, but if you go make some trouble for the Binayre, we might come and look you up in the future. Here\'s where you can find them. Good luck, friend.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_binyare_pirate_base.stf', '9', 'npc_3_1', 'Yes, this is the kind of job that requires a real man, or woman, for that matter. Someone who\'s a sissy like you couldn\'t handle this type of work. Why don\'t you go off somewhere and drink your tea, okay?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_binyare_pirate_base.stf', '10', 'npc_4_1', 'Have you seen those guys!? They\'d kill us! Uhh, I mean, they\'d kill us if we - if we showed up without weapons! Yeah - that\'s it. If we had no weapons, they\'d kill us. We\'re just giving you the chance because we like the way you look. So are you interested or not?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_binyare_pirate_base.stf', '11', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_binyare_pirate_base.stf', '12', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_binyare_pirate_base.stf', '13', 'npc_backtowork_1', 'You sound like the kind of person we could use on our crew! We\'re not signing anyone on right now, but if you go make some trouble for the Binayre, we might come and look you up in the future. Here\'s where you can find them. Good luck, friend.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_binyare_pirate_base.stf', '14', 'npc_breech_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_binyare_pirate_base.stf', '15', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_binyare_pirate_base.stf', '16', 'npc_failure_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_binyare_pirate_base.stf', '17', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_binyare_pirate_base.stf', '18', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_binyare_pirate_base.stf', '19', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_binyare_pirate_base.stf', '20', 'npc_noloc_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_binyare_pirate_base.stf', '21', 'npc_reset', 'Yes, this is the kind of job that requires a real man, or woman, for that matter. Someone who\'s a sissy like you couldn\'t handle this type of work. Why don\'t you go off somewhere and drink your tea, okay?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_binyare_pirate_base.stf', '22', 'npc_reward_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_binyare_pirate_base.stf', '23', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_binyare_pirate_base.stf', '24', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_binyare_pirate_base.stf', '25', 'npc_work_1', 'Did you find them?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_binyare_pirate_base.stf', '26', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_binyare_pirate_base.stf', '27', 'player_1_1', 'Sure, I\'ll help to kill them all.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_binyare_pirate_base.stf', '28', 'player_2_1', 'No thanks.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_binyare_pirate_base.stf', '29', 'player_3_1', 'Why don\'t you do it yourself?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_binyare_pirate_base.stf', '30', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_binyare_pirate_base.stf', '31', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_binyare_pirate_base.stf', '32', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_binyare_pirate_base.stf', '33', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_binyare_pirate_base.stf', '34', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_binyare_pirate_base.stf', '35', 'player_reset', 'I\'ve decided that I can\'t do this anymore.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_binyare_pirate_base.stf', '36', 'player_sorry', 'Not yet. I am still looking. Don\'t worry. I\'ll find them!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_binyare_pirate_base.stf', '37', 'return_waypoint_description_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_binyare_pirate_base.stf', '38', 'return_waypoint_name_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_binyare_pirate_base.stf', '39', 'waypoint_description_1', 'The Binayre have made their base of operations in a former law-enforcement camp');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_binyare_pirate_base.stf', '40', 'waypoint_name_1', 'Binayre Pirate Base');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_lost_aqualish_war_party.stf', '1', 'cant_work', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_lost_aqualish_war_party.stf', '2', 'dontknowyou_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_lost_aqualish_war_party.stf', '3', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_lost_aqualish_war_party.stf', '4', 'next', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_lost_aqualish_war_party.stf', '5', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_lost_aqualish_war_party.stf', '6', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_lost_aqualish_war_party.stf', '7', 'npc_1_1', 'You there. Lookin\' for a long term job that involves you getting your hands a bit dirty? If so, I know of a place where you can make some money by taking out a group of Aqualishes. They\'ve got all kinds of good weapons on them you probably can use or sell. Interested?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_lost_aqualish_war_party.stf', '8', 'npc_2_1', 'Good to hear, good to hear. This is where you can find the so-called \"Lost Aqualish War Party\". Go out there and make sure they get lost permanently. They\'re just bad for business.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_lost_aqualish_war_party.stf', '9', 'npc_3_1', 'Go figure. Offer someone a good paying job, and they turn it down because they don\'t want to get their hands dirty. Get out of my face!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_lost_aqualish_war_party.stf', '10', 'npc_4_1', 'Look, here\'s the deal, okay? These guys have started up a band of mercenaries since they got lost from their detachment. The problem is that they are just too good, and are ruining my company\'s chance of getting good deals. The less of them there are, the better for us. So, are you interested?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_lost_aqualish_war_party.stf', '11', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_lost_aqualish_war_party.stf', '12', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_lost_aqualish_war_party.stf', '13', 'npc_backtowork_1', 'Good to hear, good to hear. This is where you can find the so-called \"Lost Aqualish War Party\". Go out there and make sure they get lost permanently. They\'re just bad for business.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_lost_aqualish_war_party.stf', '14', 'npc_breech_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_lost_aqualish_war_party.stf', '15', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_lost_aqualish_war_party.stf', '16', 'npc_failure_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_lost_aqualish_war_party.stf', '17', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_lost_aqualish_war_party.stf', '18', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_lost_aqualish_war_party.stf', '19', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_lost_aqualish_war_party.stf', '20', 'npc_noloc_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_lost_aqualish_war_party.stf', '21', 'npc_reset', 'Go figure. Offer someone a good paying job, and they turn it down because they don\'t want to get their hands dirty. Get out of my face!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_lost_aqualish_war_party.stf', '22', 'npc_reward_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_lost_aqualish_war_party.stf', '23', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_lost_aqualish_war_party.stf', '24', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_lost_aqualish_war_party.stf', '25', 'npc_work_1', 'Did you find them?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_lost_aqualish_war_party.stf', '26', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_lost_aqualish_war_party.stf', '27', 'player_1_1', 'Yes, I\'m interested.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_lost_aqualish_war_party.stf', '28', 'player_2_1', 'No thanks.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_lost_aqualish_war_party.stf', '29', 'player_3_1', 'Why are you offering this to me?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_lost_aqualish_war_party.stf', '30', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_lost_aqualish_war_party.stf', '31', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_lost_aqualish_war_party.stf', '32', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_lost_aqualish_war_party.stf', '33', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_lost_aqualish_war_party.stf', '34', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_lost_aqualish_war_party.stf', '35', 'player_reset', 'No. I\'ve decided to stop looking.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_lost_aqualish_war_party.stf', '36', 'player_sorry', 'I am still looking.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_lost_aqualish_war_party.stf', '37', 'return_waypoint_description_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_lost_aqualish_war_party.stf', '38', 'return_waypoint_name_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_lost_aqualish_war_party.stf', '39', 'waypoint_description_1', 'These Aqualish have decided to make this system of natural caves their base of operations.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_talus_lost_aqualish_war_party.stf', '40', 'waypoint_name_1', 'Lost Aqualish War Party');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_beetle_cave.stf', '1', 'cant_work', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_beetle_cave.stf', '2', 'dontknowyou_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_beetle_cave.stf', '3', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_beetle_cave.stf', '4', 'next', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_beetle_cave.stf', '5', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_beetle_cave.stf', '6', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_beetle_cave.stf', '7', 'npc_1_1', 'Have you ever heard of the story that young Sand People boys prove their age of ascension by going out and touching the nose of a Krayt Dragon? Me and my friends know where to find one and are going to do it tomorrow. You wanna go too?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_beetle_cave.stf', '8', 'npc_2_1', 'Yeah, me too! I don\'t think they\'re as scary as they\'re made out to be. This is where my grandpa told me where he saw one when he was a kid! Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_beetle_cave.stf', '9', 'npc_3_1', 'You\'re just scared, that\'s all. Me and my friends aren\'t scared... well, not that much.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_beetle_cave.stf', '10', 'npc_4_1', 'We\'ve been told stories all about it. My grandpa said he knew where one used to live. He said he found the Dragon in the cave and punched it in the nose. My grandpa\'s a good guy and he wouldn\'t lie, no-siree!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_beetle_cave.stf', '11', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_beetle_cave.stf', '12', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_beetle_cave.stf', '13', 'npc_backtowork_1', 'Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_beetle_cave.stf', '14', 'npc_breech_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_beetle_cave.stf', '15', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_beetle_cave.stf', '16', 'npc_failure_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_beetle_cave.stf', '17', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_beetle_cave.stf', '18', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_beetle_cave.stf', '19', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_beetle_cave.stf', '20', 'npc_noloc_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_beetle_cave.stf', '21', 'npc_reset', 'You\'re just scared, that\'s all. Me and my friends aren\'t scared... well, not that much.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_beetle_cave.stf', '22', 'npc_reward_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_beetle_cave.stf', '23', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_beetle_cave.stf', '24', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_beetle_cave.stf', '25', 'npc_work_1', 'Did you find it?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_beetle_cave.stf', '26', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_beetle_cave.stf', '27', 'player_1_1', 'I\'d love to see a Krayt Dragon!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_beetle_cave.stf', '28', 'player_2_1', 'A Krayt Dragon? No thanks!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_beetle_cave.stf', '29', 'player_3_1', 'Where do you plan to find a Krayt Dragon?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_beetle_cave.stf', '30', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_beetle_cave.stf', '31', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_beetle_cave.stf', '32', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_beetle_cave.stf', '33', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_beetle_cave.stf', '34', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_beetle_cave.stf', '35', 'player_reset', 'I have decided to quit looking.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_beetle_cave.stf', '36', 'player_sorry', 'Not yet. I am still looking.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_beetle_cave.stf', '37', 'return_waypoint_description_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_beetle_cave.stf', '38', 'return_waypoint_name_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_beetle_cave.stf', '39', 'waypoint_description_1', 'A cave where it\'s rumored a Krayt Dragon lives... well, as of 80 years ago, that is.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_beetle_cave.stf', '40', 'waypoint_name_1', 'Mysterious Cave');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_fort_tusken.stf', '1', 'cant_work', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_fort_tusken.stf', '2', 'dontknowyou_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_fort_tusken.stf', '3', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_fort_tusken.stf', '4', 'next', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_fort_tusken.stf', '5', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_fort_tusken.stf', '6', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_fort_tusken.stf', '7', 'npc_1_1', 'Would you mind helping an old man? I have a friend who went out to look at Fort Tusken to try to get rid of the Sand People. The problem is that I haven\'t heard from him for over a year now. Could you go out there and see if he\'s still alive? I\'d greatly appreciate it.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_fort_tusken.stf', '8', 'npc_2_1', 'Oh, wonderful. I\'d do it myself, but I\'m afraid those Tuskens would get me before I knew it. I doubt he\'s still alive out there, but if you see him, tell Old Ben I said \"Hi\". Thanks again, friend.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_fort_tusken.stf', '9', 'npc_3_1', 'I don\'t blame you. I\'m scared of them myself. Well, it didn\'t hurt to ask. Thanks anyway.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_fort_tusken.stf', '10', 'npc_4_1', 'I\'m not sure. He said he knew a good trick on scaring them away, but said it was a secret. All I know is that he left one day with some kid and that\'s the last I saw of him.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_fort_tusken.stf', '11', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_fort_tusken.stf', '12', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_fort_tusken.stf', '13', 'npc_backtowork_1', 'Oh, wonderful. I\'d do it myself, but I\'m afraid those Tuskens would get me before I knew it. I doubt he\'s still alive out there, but if you see him, tell Old Ben I said \"Hi\". Thanks again, friend.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_fort_tusken.stf', '14', 'npc_breech_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_fort_tusken.stf', '15', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_fort_tusken.stf', '16', 'npc_failure_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_fort_tusken.stf', '17', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_fort_tusken.stf', '18', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_fort_tusken.stf', '19', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_fort_tusken.stf', '20', 'npc_noloc_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_fort_tusken.stf', '21', 'npc_reset', 'I don\'t blame you. I\'m scared of them myself. Well, it didn\'t hurt to ask. Thanks anyway.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_fort_tusken.stf', '22', 'npc_reward_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_fort_tusken.stf', '23', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_fort_tusken.stf', '24', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_fort_tusken.stf', '25', 'npc_work_1', 'Did you find it?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_fort_tusken.stf', '26', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_fort_tusken.stf', '27', 'player_1_1', 'Sure, I\'ll do it for you.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_fort_tusken.stf', '28', 'player_2_1', 'Sorry, I\'m scared of Sand People.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_fort_tusken.stf', '29', 'player_3_1', 'How was he planning on getting rid of the Tuskens?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_fort_tusken.stf', '30', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_fort_tusken.stf', '31', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_fort_tusken.stf', '32', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_fort_tusken.stf', '33', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_fort_tusken.stf', '34', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_fort_tusken.stf', '35', 'player_reset', 'I\'ve decided to stop looking. I have other things to do.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_fort_tusken.stf', '36', 'player_sorry', 'Not yet. I am still looking.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_fort_tusken.stf', '37', 'return_waypoint_description_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_fort_tusken.stf', '38', 'return_waypoint_name_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_fort_tusken.stf', '39', 'waypoint_description_1', 'Originally the first Human settlement on Tatooine, Fort Tusken has been home to Sandpeople for over a century.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_fort_tusken.stf', '40', 'waypoint_name_1', 'Fort Tusken');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_hutt_hideout.stf', '1', 'cant_work', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_hutt_hideout.stf', '2', 'dontknowyou_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_hutt_hideout.stf', '3', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_hutt_hideout.stf', '4', 'next', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_hutt_hideout.stf', '5', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_hutt_hideout.stf', '6', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_hutt_hideout.stf', '7', 'npc_1_1', 'Hic * Hey, you wanna help a guy out? I\'m gonna go show that Jabba that he can\'t push me around anymore. I know where he keeps all his stuff hidden away, and I\'m * hic* goin\' there to take it from him. I bet you wanna know where it is, don\'t you?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_hutt_hideout.stf', '8', 'npc_2_1', 'Yeah, I thought you did. Let me see your datapad yeah.. it\'s over * hic * here somewhere. You can meet me out there and we\'ll take all of his loot! I\'ll let * hic * you have half the stuff. Heyyyy.... what are best friends for, eh?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_hutt_hideout.stf', '9', 'npc_3_1', '\'Cause you don\'t have a spine, that\'s why! You\'re just like that * hic * slug! Why don\'t you come back here when you get some courage, eh? You can get some from the cantina like me, in case you don\'t know where * hic * to get it.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_hutt_hideout.stf', '10', 'npc_4_1', 'What did he do to me?! WHAT DID HE * hic * DO TO ME?! He... erm... he went ahead and... er... I don\'t * hic * know anymore. It doesn\'t matter! He needs to be set straight! And taking all his stuff will show him who\'s the master, right! Wanna know where he keeps the stuff?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_hutt_hideout.stf', '11', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_hutt_hideout.stf', '12', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_hutt_hideout.stf', '13', 'npc_backtowork_1', 'Yeah, I though you did. Let me see your datapad, yeah.. it\'s over * hic * here somewhere. You can meet me out there and we\'ll take all of his loot! I\'ll let * hic * you have half the stuff. Heyyyy... what are best friends for, eh?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_hutt_hideout.stf', '14', 'npc_breech_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_hutt_hideout.stf', '15', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_hutt_hideout.stf', '16', 'npc_failure_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_hutt_hideout.stf', '17', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_hutt_hideout.stf', '18', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_hutt_hideout.stf', '19', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_hutt_hideout.stf', '20', 'npc_noloc_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_hutt_hideout.stf', '21', 'npc_reset', '\'Cause you don\'t have a spine, that\'s why! You\'re just like that * hic * slug! Why don\'t you come back here when you get some courage, eh? You can get some from the cantina like me, in case you don\'t know where * hic * to get it.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_hutt_hideout.stf', '22', 'npc_reward_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_hutt_hideout.stf', '23', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_hutt_hideout.stf', '24', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_hutt_hideout.stf', '25', 'npc_work_1', 'Did you find it?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_hutt_hideout.stf', '26', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_hutt_hideout.stf', '27', 'player_1_1', 'Yes, I\'d like to know.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_hutt_hideout.stf', '28', 'player_2_1', 'No thanks. I don\'t like messing with Jabba.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_hutt_hideout.stf', '29', 'player_3_1', 'What did Jabba do to you?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_hutt_hideout.stf', '30', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_hutt_hideout.stf', '31', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_hutt_hideout.stf', '32', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_hutt_hideout.stf', '33', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_hutt_hideout.stf', '34', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_hutt_hideout.stf', '35', 'player_reset', 'No. I decided to stop looking. Wonder why?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_hutt_hideout.stf', '36', 'player_sorry', 'No. Not yet. I am still looking. I would still like to know...');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_hutt_hideout.stf', '37', 'return_waypoint_description_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_hutt_hideout.stf', '38', 'return_waypoint_name_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_hutt_hideout.stf', '39', 'waypoint_description_1', 'A safehouse for Jabba\'s \"stuff\". Many looted items find themselves here before inspection.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_hutt_hideout.stf', '40', 'waypoint_name_1', 'Hutt Hideout');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_rebel_military_base.stf', '1', 'cant_work', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_rebel_military_base.stf', '2', 'dontknowyou_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_rebel_military_base.stf', '3', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_rebel_military_base.stf', '4', 'next', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_rebel_military_base.stf', '5', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_rebel_military_base.stf', '6', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_rebel_military_base.stf', '7', 'npc_1_1', 'An informant has let us know that there is a small band of Rebels that have set up camp nearby. Since the Empire proper cannot investigate this claim, you are being charged with the duty of doing reconnaissance. Are you ready for the coordinates?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_rebel_military_base.stf', '8', 'npc_2_1', 'According to the informant\'s information, you should be able to find these rebels at this location. The intelligence we have is that they are small in number, and should be able to be easily handled. You may be called upon later by the Empire for further information.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_rebel_military_base.stf', '9', 'npc_3_1', 'The only acceptable answer will be that you have a precious assignment by someone of higher rank than myself. This is the case, I presume?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_rebel_military_base.stf', '10', 'npc_4_1', 'We have lost some numbers due to Sandpeople raids recently. Since this is not a major threat, we do not have the resources to direct towards these Rebels. According to our information, there should only be a small number of them there. Ready for your coordinates?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_rebel_military_base.stf', '11', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_rebel_military_base.stf', '12', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_rebel_military_base.stf', '13', 'npc_backtowork_1', 'According to the informant\'s information, you should be able to find these rebels at this location. The intelligence we have is that they are small in number, and should be able to be easily handled. You may be called upon later by the Empire for further information.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_rebel_military_base.stf', '14', 'npc_breech_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_rebel_military_base.stf', '15', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_rebel_military_base.stf', '16', 'npc_failure_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_rebel_military_base.stf', '17', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_rebel_military_base.stf', '18', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_rebel_military_base.stf', '19', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_rebel_military_base.stf', '20', 'npc_noloc_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_rebel_military_base.stf', '21', 'npc_reset', 'The only acceptable answer will be that you have a precious assignment by someone of higher rank than myself. This is the case, I presume?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_rebel_military_base.stf', '22', 'npc_reward_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_rebel_military_base.stf', '23', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_rebel_military_base.stf', '24', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_rebel_military_base.stf', '25', 'npc_work_1', 'Did you find it?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_rebel_military_base.stf', '26', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_rebel_military_base.stf', '27', 'player_1_1', 'Yes, sir!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_rebel_military_base.stf', '28', 'player_2_1', 'No sir, I cannot do this.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_rebel_military_base.stf', '29', 'player_3_1', 'Why doesn\'t the Empire take care of this matter personally?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_rebel_military_base.stf', '30', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_rebel_military_base.stf', '31', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_rebel_military_base.stf', '32', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_rebel_military_base.stf', '33', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_rebel_military_base.stf', '34', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_rebel_military_base.stf', '35', 'player_reset', 'I decided to stop looking.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_rebel_military_base.stf', '36', 'player_sorry', 'Not yet, sir. I am still looking.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_rebel_military_base.stf', '37', 'return_waypoint_description_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_rebel_military_base.stf', '38', 'return_waypoint_name_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_rebel_military_base.stf', '39', 'waypoint_description_1', 'An encampment of Rebels have managed to stay out of the eye of the Imperials.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_rebel_military_base.stf', '40', 'waypoint_name_1', 'Rebel Military Base');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_squill_cave.stf', '1', 'cant_work', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_squill_cave.stf', '2', 'dontknowyou_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_squill_cave.stf', '3', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_squill_cave.stf', '4', 'next', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_squill_cave.stf', '5', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_squill_cave.stf', '6', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_squill_cave.stf', '7', 'npc_1_1', 'You there! Have I got a deal for you! Have you ever been interested into going into business in the squill industry? How do I do that, you ask? Well, quite easily, I\'ll tell you. All you need to do is go out to these caves, kill a bunch of squill, then \"presto!\"... you\'re in business! Interested?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_squill_cave.stf', '8', 'npc_2_1', 'Just sign this contract here... good, and here... excellent! All you need to do is go out here and kill the little buggers! Once you have them down to a manageable level, we\'ll move in and take over - er - I mean... help your guide business endeavors.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_squill_cave.stf', '9', 'npc_3_1', 'How could you pass up an opportunity of a lifetime like this. Something like this just doesn\'t fall into your lap everyday! Take intiative! Take a chance! Take my word - squill hides are the future!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_squill_cave.stf', '10', 'npc_4_1', 'Are they popular? Are you kidding me? Every kid from here to Coruscant wants to get their hands on a genuine squill hide jacket! You can\'t go wrong with squill! That\'s what I always say - you just can\'t go wrong! So, you interested or what?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_squill_cave.stf', '11', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_squill_cave.stf', '12', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_squill_cave.stf', '13', 'npc_backtowork_1', 'Well get out there and get to work!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_squill_cave.stf', '14', 'npc_breech_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_squill_cave.stf', '15', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_squill_cave.stf', '16', 'npc_failure_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_squill_cave.stf', '17', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_squill_cave.stf', '18', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_squill_cave.stf', '19', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_squill_cave.stf', '20', 'npc_noloc_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_squill_cave.stf', '21', 'npc_reset', 'How could you pass up an opportunity of a lifetime like this. Something like this just doesn\'t fall into your lap everyday! Take intiative! Take a chance! Take my word - squill hides are the future!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_squill_cave.stf', '22', 'npc_reward_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_squill_cave.stf', '23', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_squill_cave.stf', '24', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_squill_cave.stf', '25', 'npc_work_1', 'Did you find the squills\' lair?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_squill_cave.stf', '26', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_squill_cave.stf', '27', 'player_1_1', 'Yes! Yes! Tell me more!!!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_squill_cave.stf', '28', 'player_2_1', 'Sorry, I\'m not interested.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_squill_cave.stf', '29', 'player_3_1', 'Are squill that popular of a commodity?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_squill_cave.stf', '30', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_squill_cave.stf', '31', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_squill_cave.stf', '32', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_squill_cave.stf', '33', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_squill_cave.stf', '34', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_squill_cave.stf', '35', 'player_reset', 'I decided to quit looking.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_squill_cave.stf', '36', 'player_sorry', 'Not yet. I am still looking.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_squill_cave.stf', '37', 'return_waypoint_description_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_squill_cave.stf', '38', 'return_waypoint_name_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_squill_cave.stf', '39', 'waypoint_description_1', 'A den of squill that have enjoyed a tremendous upswing in their population due to easily available food.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_squill_cave.stf', '40', 'waypoint_name_1', 'Squill Cave');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_bunker.stf', '1', 'cant_work', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_bunker.stf', '2', 'dontknowyou_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_bunker.stf', '3', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_bunker.stf', '4', 'next', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_bunker.stf', '5', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_bunker.stf', '6', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_bunker.stf', '7', 'npc_1_1', 'If you\'re loyal to the Empire, I have need of your services. The Empire needs you to venture forward and kill as many Sand People as you can, specifically in a known region where they have taken control of a key facility. Will you do this for your Emperor?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_bunker.stf', '8', 'npc_2_1', 'Very good. Here are the coordinates to the facility. Remember - like a Rebel, the only good Tusken is a dead one. The more that are killed, the easier it will be to launch an assault on the facility to take it back.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_bunker.stf', '9', 'npc_3_1', 'That is a very disrespectful tone to take, citizen. If I didn\'t know better, I\'d say that was some the type of statement a Rebel sympathizer would make. You\'re not one of those Rebel scum, are you?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_bunker.stf', '10', 'npc_4_1', 'The Empire does not answer to you citizen. You answer to the Empire. The Empire is not obligated to tell you that it lost a facility to the Sand People and that no one has reported it to Prefect Talmont yet for fear of being reprimanded. Yes, you are not privy to that type of information.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_bunker.stf', '11', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_bunker.stf', '12', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_bunker.stf', '13', 'npc_backtowork_1', 'Very good. Here are the coordinates to the facility. Remember - like a Rebel, the only good Tusken is a dead one. The more that are killed, the easier it will be to launch an assault on the facility to take it back.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_bunker.stf', '14', 'npc_breech_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_bunker.stf', '15', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_bunker.stf', '16', 'npc_failure_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_bunker.stf', '17', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_bunker.stf', '18', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_bunker.stf', '19', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_bunker.stf', '20', 'npc_noloc_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_bunker.stf', '21', 'npc_reset', 'That is a very disrespectful tone to take, citizen. If I didn\'t know better, I\'d say that was some the type of statement a Rebel sympathizer would make. You\'re not one of those Rebel scum, are you?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_bunker.stf', '22', 'npc_reward_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_bunker.stf', '23', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_bunker.stf', '24', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_bunker.stf', '25', 'npc_work_1', 'Did you find it?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_bunker.stf', '26', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_bunker.stf', '27', 'player_1_1', 'Yes, I will do so!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_bunker.stf', '28', 'player_2_1', 'Sorry, he\'s not my Emperor.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_bunker.stf', '29', 'player_3_1', 'Why doesn\'t the Empire just do it itself?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_bunker.stf', '30', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_bunker.stf', '31', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_bunker.stf', '32', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_bunker.stf', '33', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_bunker.stf', '34', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_bunker.stf', '35', 'player_reset', 'I decided to quit looking.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_bunker.stf', '36', 'player_sorry', 'Not yet. I am still looking.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_bunker.stf', '37', 'return_waypoint_description_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_bunker.stf', '38', 'return_waypoint_name_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_bunker.stf', '39', 'waypoint_description_1', 'An Imperial Base now controlled by Tusken Raiders.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_bunker.stf', '40', 'waypoint_name_1', 'Tusken Bunker');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_village.stf', '1', 'cant_work', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_village.stf', '2', 'dontknowyou_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_village.stf', '3', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_village.stf', '4', 'next', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_village.stf', '5', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_village.stf', '6', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_village.stf', '7', 'npc_1_1', 'Listen here! We\'re pleading for help from anyone that will listen. Our village was overrun by Tuskens a while back, and the Empire won\'t send anyone out there to help! You have to help us take back our village! Will you help us?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_village.stf', '8', 'npc_2_1', 'The village is out in the wastelands and not easy to find. I\'ll show you where it is on your datapad. Please kill those Tuskens before that Tusken King comes back and continues to pluck off the refugees one by one.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_village.stf', '9', 'npc_3_1', 'First the Empire won\'t help, now you won\'t. Will anyone help us? I hate this planet!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_village.stf', '10', 'npc_4_1', 'We were targeted by a Tusken War Party and we weren\'t able to hold them off! We\'re still hearty folk, though, so we\'re not leaving. Well, that is unless the King of the Tuskens stop killing us off. He\'s hunting us down one by one like we\'re Eopie or something. Will you help us?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_village.stf', '11', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_village.stf', '12', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_village.stf', '13', 'npc_backtowork_1', 'The village is out in the wastelands and not easy to find. I\'ll show you where it is on your datapad. Please kill those Tuskens before that Tusken King comes back and continues to pluck off the refugees one by one.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_village.stf', '14', 'npc_breech_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_village.stf', '15', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_village.stf', '16', 'npc_failure_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_village.stf', '17', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_village.stf', '18', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_village.stf', '19', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_village.stf', '20', 'npc_noloc_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_village.stf', '21', 'npc_reset', 'First the Empire won\'t help, now you won\'t. Will anyone help us? I hate this planet!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_village.stf', '22', 'npc_reward_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_village.stf', '23', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_village.stf', '24', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_village.stf', '25', 'npc_work_1', 'Did you find the village?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_village.stf', '26', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_village.stf', '27', 'player_1_1', 'Sure, I\'ll help stop those Tuskens! Where\'s the village?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_village.stf', '28', 'player_2_1', 'Sorry, but I don\'t want to tangle with Tuskens.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_village.stf', '29', 'player_3_1', 'What happened to your village?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_village.stf', '30', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_village.stf', '31', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_village.stf', '32', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_village.stf', '33', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_village.stf', '34', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_village.stf', '35', 'player_reset', 'I cannot do this right now. I have other matters to attend to.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_village.stf', '36', 'player_sorry', 'Not yet. I am still looking.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_village.stf', '37', 'return_waypoint_description_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_village.stf', '38', 'return_waypoint_name_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_village.stf', '39', 'waypoint_description_1', 'A village of moisture farmers have lost their homes to marauding Tuskens.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_tatooine_tusken_village.stf', '40', 'waypoint_name_1', 'Tusken Village');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_imperial_outpost.stf', '1', 'cant_work', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_imperial_outpost.stf', '2', 'dontknowyou_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_imperial_outpost.stf', '3', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_imperial_outpost.stf', '4', 'next', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_imperial_outpost.stf', '5', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_imperial_outpost.stf', '6', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_imperial_outpost.stf', '7', 'npc_1_1', 'What are you standing around for? The Empire has us pinned down and you\'re just gawking? Look, we need your help. The Empire has setup a facility nearby, and we\'ve managed to break through their lines to gain entrance to their outpost. You have to join the rest of the Alliance forces out there and help wipe out the Empire!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_imperial_outpost.stf', '8', 'npc_2_1', 'I\'ll mark it on your datapad. Now get out there and help topple the Empire!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_imperial_outpost.stf', '9', 'npc_3_1', 'If you don\'t help, who will? If you casually stand aside as the Empire has it\'s way, we\'ll all be slaves to the Emperor!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_imperial_outpost.stf', '10', 'npc_4_1', 'It\'s a standard forward base where they re-supply their troops and tend to the wounded. If we can get them here, we might be able to push the Empire back long enough for everyone to make it off of the planet.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_imperial_outpost.stf', '11', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_imperial_outpost.stf', '12', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_imperial_outpost.stf', '13', 'npc_backtowork_1', 'I\'ll mark it on your datapad. Now get out there and help topple the Empire!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_imperial_outpost.stf', '14', 'npc_breech_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_imperial_outpost.stf', '15', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_imperial_outpost.stf', '16', 'npc_failure_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_imperial_outpost.stf', '17', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_imperial_outpost.stf', '18', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_imperial_outpost.stf', '19', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_imperial_outpost.stf', '20', 'npc_noloc_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_imperial_outpost.stf', '21', 'npc_reset', 'If you don\'t help, who will? If you casually stand aside as the Empire has it\'s way, we\'ll all be slaves to the Emperor!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_imperial_outpost.stf', '22', 'npc_reward_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_imperial_outpost.stf', '23', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_imperial_outpost.stf', '24', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_imperial_outpost.stf', '25', 'npc_work_1', 'Did you locate the outpost?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_imperial_outpost.stf', '26', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_imperial_outpost.stf', '27', 'player_1_1', 'Sure, I\'ll help! Where is it?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_imperial_outpost.stf', '28', 'player_2_1', 'Sorry, I can\'t help.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_imperial_outpost.stf', '29', 'player_3_1', 'What kind of base does the Empire have?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_imperial_outpost.stf', '30', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_imperial_outpost.stf', '31', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_imperial_outpost.stf', '32', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_imperial_outpost.stf', '33', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_imperial_outpost.stf', '34', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_imperial_outpost.stf', '35', 'player_reset', 'I cannot continue in this quest.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_imperial_outpost.stf', '36', 'player_sorry', 'Not yet. I am still looking.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_imperial_outpost.stf', '37', 'return_waypoint_description_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_imperial_outpost.stf', '38', 'return_waypoint_name_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_imperial_outpost.stf', '39', 'waypoint_description_1', 'A forward assault base, the Empire stages many of their assaults from here.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_imperial_outpost.stf', '40', 'waypoint_name_1', 'Imperial Outpost');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_palace_of_the_woolamander.stf', '1', 'cant_work', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_palace_of_the_woolamander.stf', '2', 'dontknowyou_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_palace_of_the_woolamander.stf', '3', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_palace_of_the_woolamander.stf', '4', 'next', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_palace_of_the_woolamander.stf', '5', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_palace_of_the_woolamander.stf', '6', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_palace_of_the_woolamander.stf', '7', 'npc_1_1', 'Hello there! Perhaps you might be able to help me. I am conducting a survey of the local wildlife in the area, but have sprained my ankle. I won\'t be able to continue my studies, and all I had left was one last place the locals call the Palace of the Woolamander. Perhaps you may be interested in going there for me?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_palace_of_the_woolamander.stf', '8', 'npc_2_1', 'Oh, thank you. I was told it is located a little ways off. Here, let me mark it in your datapad. All I\'m interested in knowing is if this place does indeed contain woolamanders as the stories say. If so, take studies of their sizes and what differences the local resources have on their physiology. Once you have about 3 years of notes, please come back to me.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_palace_of_the_woolamander.stf', '9', 'npc_3_1', 'Well, I\'ve always said that the life of a xeno-biologist isn\'t for everyone! If you find any other brave xeno-biologists on your journeys, please direct them to me. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_palace_of_the_woolamander.stf', '10', 'npc_4_1', 'Why, because there are supposedly an extraordinary amount of woolamanders that live there. It seems that when the temple was first found, instead of finding the builders of the structure, the locals found a den thriving with the creatures. Stories go on to say that the place is rich in resources, thus allowing these creatures to breed at alarming rates.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_palace_of_the_woolamander.stf', '11', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_palace_of_the_woolamander.stf', '12', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_palace_of_the_woolamander.stf', '13', 'npc_backtowork_1', 'Oh, thank you. I was told it is located a little ways off. Here, let me mark it in your datapad. All I\'m interested in knowing is if this place does indeed contain woolamanders as the stories say. If so, take studies of their sizes and what differences the local resources have on their physiology. Once you have about 3 years of notes, please come back to me.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_palace_of_the_woolamander.stf', '14', 'npc_breech_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_palace_of_the_woolamander.stf', '15', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_palace_of_the_woolamander.stf', '16', 'npc_failure_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_palace_of_the_woolamander.stf', '17', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_palace_of_the_woolamander.stf', '18', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_palace_of_the_woolamander.stf', '19', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_palace_of_the_woolamander.stf', '20', 'npc_noloc_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_palace_of_the_woolamander.stf', '21', 'npc_reset', 'Well, I\'ve always said that the life of a xeno-biologist isn\'t for everyone! If you find any other brave xeno-biologists on your journeys, please direct them to me. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_palace_of_the_woolamander.stf', '22', 'npc_reward_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_palace_of_the_woolamander.stf', '23', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_palace_of_the_woolamander.stf', '24', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_palace_of_the_woolamander.stf', '25', 'npc_work_1', 'Did you locate the Palace of the Woolamander?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_palace_of_the_woolamander.stf', '26', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_palace_of_the_woolamander.stf', '27', 'player_1_1', 'Sounds interesting. Sure!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_palace_of_the_woolamander.stf', '28', 'player_2_1', 'No thanks.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_palace_of_the_woolamander.stf', '29', 'player_3_1', 'Why do the locals call it that?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_palace_of_the_woolamander.stf', '30', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_palace_of_the_woolamander.stf', '31', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_palace_of_the_woolamander.stf', '32', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_palace_of_the_woolamander.stf', '33', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_palace_of_the_woolamander.stf', '34', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_palace_of_the_woolamander.stf', '35', 'player_reset', 'No. I cannot continue to look right now.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_palace_of_the_woolamander.stf', '36', 'player_sorry', 'Not yet. I am still looking.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_palace_of_the_woolamander.stf', '37', 'return_waypoint_description_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_palace_of_the_woolamander.stf', '38', 'return_waypoint_name_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_palace_of_the_woolamander.stf', '39', 'waypoint_description_1', 'Though the original builders are long gone, woolamanders have taken up residence here.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_palace_of_the_woolamander.stf', '40', 'waypoint_name_1', 'Palace of the Woolamander');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_exarkun.stf', '1', 'cant_work', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_exarkun.stf', '2', 'dontknowyou_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_exarkun.stf', '3', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_exarkun.stf', '4', 'next', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_exarkun.stf', '5', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_exarkun.stf', '6', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_exarkun.stf', '7', 'npc_1_1', 'Do you wish power, friend? A power that is stronger than even the might of the Empire? A power stronger than the Empire contained within your fingertips? Yessss... your eyes betray you... Then I shall lead you to where you may fulfill your destiny. Just speak the words.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_exarkun.stf', '8', 'npc_2_1', 'Yesss... you will find it within a Temple shrouded by ages of neglect. Within the temple lies the secrets to power. Only those that are strong enough to endure the trials will find what lies in the heart of the Temple. Those that are weak will guard the temple for the rest of eternity...');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_exarkun.stf', '9', 'npc_3_1', 'You use insults to express your feelings of fear... this is your first step to the path of power... let this build within you, friend.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_exarkun.stf', '10', 'npc_4_1', 'Unimaginable power held and taught by the greatest master this galaxy has ever seen. You are interested in holding this power, are you not? Yesss... Yes, you are.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_exarkun.stf', '11', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_exarkun.stf', '12', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_exarkun.stf', '13', 'npc_backtowork_1', 'Yesss... you will find it within a Temple shrouded by ages of neglect. Within the temple lies the secrets to power. Only those that are strong enough to endure the trials will find what lies in the heart of the Temple. Those that are weak will guard the temple for the rest of eternity...');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_exarkun.stf', '14', 'npc_breech_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_exarkun.stf', '15', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_exarkun.stf', '16', 'npc_failure_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_exarkun.stf', '17', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_exarkun.stf', '18', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_exarkun.stf', '19', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_exarkun.stf', '20', 'npc_noloc_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_exarkun.stf', '21', 'npc_reset', 'You use insults to express your feelings of fear... this is your first step to the path of power... let this build within you, friend.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_exarkun.stf', '22', 'npc_reward_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_exarkun.stf', '23', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_exarkun.stf', '24', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_exarkun.stf', '25', 'npc_work_1', 'Did you find the temple?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_exarkun.stf', '26', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_exarkun.stf', '27', 'player_1_1', 'Show me this power.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_exarkun.stf', '28', 'player_2_1', 'Sorry, you\'re too creepy.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_exarkun.stf', '29', 'player_3_1', 'What kind of power are we talking about?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_exarkun.stf', '30', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_exarkun.stf', '31', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_exarkun.stf', '32', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_exarkun.stf', '33', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_exarkun.stf', '34', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_exarkun.stf', '35', 'player_reset', 'I have decided to pass on this... because you\'re too creepy to be giving advice.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_exarkun.stf', '36', 'player_sorry', 'Not yet. I am still looking.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_exarkun.stf', '37', 'return_waypoint_description_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_exarkun.stf', '38', 'return_waypoint_name_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_exarkun.stf', '39', 'waypoint_description_1', 'This is where you will find a temple containing a mysterious \"power\"');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_exarkun.stf', '40', 'waypoint_name_1', 'Ancient Temple');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_the_blueleaf_cluster.stf', '1', 'cant_work', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_the_blueleaf_cluster.stf', '2', 'dontknowyou_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_the_blueleaf_cluster.stf', '3', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_the_blueleaf_cluster.stf', '4', 'next', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_the_blueleaf_cluster.stf', '5', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_the_blueleaf_cluster.stf', '6', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_the_blueleaf_cluster.stf', '7', 'npc_1_1', 'Hello there! You might be asking yourself why someone like me would be here on a planet like this, aren\'t you? Well, I am a representative of Star Tours, a travel agency known Galaxy-wide. We\'re conducting surveys on possible future business expansions. Hey! Perhaps you might be able to help? Would you be interested in helping us?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_the_blueleaf_cluster.stf', '8', 'npc_2_1', 'Spectacular! All we need is for you to go to this building and explore the area. We\'ll ask other passerbys if they\'ll do the same for us as well. Just get a feel of the place, and ask yourself \"Is this the type of place I would bring my family on vacation\". We\'ll eventually meet up again and I\'ll then ask you what your opinion of the place is.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_the_blueleaf_cluster.stf', '9', 'npc_3_1', 'Ah, what a shame. To think I had a couple of tickets that I was thinking of giving away for our new cruiseliner, the Tzarina. Well, tickets for whenever it gets back from it\'s voyage. Well, ta-ta!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_the_blueleaf_cluster.stf', '10', 'npc_4_1', 'Well, if you\'re familiar with us, you\'ll know that we sell exciting tours across the galaxy. We\'re looking into offering a new way of exploring the galaxy that we call home, in what we call a \"safari\". One of the highlights will be to show off indigenous structures to explore? all safely, of course.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_the_blueleaf_cluster.stf', '11', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_the_blueleaf_cluster.stf', '12', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_the_blueleaf_cluster.stf', '13', 'npc_backtowork_1', 'Good! All we need is for you to go to this building and explore the area. We\'ll ask other passerbys if they\'ll do the same for us as well. Just get a feel of the place, and ask yourself \"Is this the type of place I would bring my family on vacation\". We\'ll eventually meet up again and I\'ll then ask you what your opinion of the place is.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_the_blueleaf_cluster.stf', '14', 'npc_breech_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_the_blueleaf_cluster.stf', '15', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_the_blueleaf_cluster.stf', '16', 'npc_failure_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_the_blueleaf_cluster.stf', '17', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_the_blueleaf_cluster.stf', '18', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_the_blueleaf_cluster.stf', '19', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_the_blueleaf_cluster.stf', '20', 'npc_noloc_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_the_blueleaf_cluster.stf', '21', 'npc_reset', 'Ah, what a shame. To think I had a couple of tickets that I was thinking of giving away for our new cruiseliner, the Tzarina. Well, tickets for whenever it gets back from it\'s voyage. Well, ta-ta!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_the_blueleaf_cluster.stf', '22', 'npc_reward_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_the_blueleaf_cluster.stf', '23', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_the_blueleaf_cluster.stf', '24', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_the_blueleaf_cluster.stf', '25', 'npc_work_1', 'Did you find it?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_the_blueleaf_cluster.stf', '26', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_the_blueleaf_cluster.stf', '27', 'player_1_1', 'Sure, I\'ll help you guys.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_the_blueleaf_cluster.stf', '28', 'player_2_1', 'Sorry, I\'m too busy.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_the_blueleaf_cluster.stf', '29', 'player_3_1', 'What are these business expansions?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_the_blueleaf_cluster.stf', '30', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_the_blueleaf_cluster.stf', '31', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_the_blueleaf_cluster.stf', '32', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_the_blueleaf_cluster.stf', '33', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_the_blueleaf_cluster.stf', '34', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_the_blueleaf_cluster.stf', '35', 'player_reset', 'I\'ve decided to do something else.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_the_blueleaf_cluster.stf', '36', 'player_sorry', 'Not yet. I am still looking.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_the_blueleaf_cluster.stf', '37', 'return_waypoint_description_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_the_blueleaf_cluster.stf', '38', 'return_waypoint_name_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_the_blueleaf_cluster.stf', '39', 'waypoint_description_1', 'An old temple that the travel agent has assured you is perfectly safe.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/herald_yavin_temple_of_the_blueleaf_cluster.stf', '40', 'waypoint_name_1', 'Temple of the Blueleaf Cluster');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '1', 'cant_work', 'It appears you have other tasks to attend to. Come back later when you are not so busy.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '2', 'dontknowyou_1', 'Interested in joining the RSF are you?  Speak with Surlin Rolei in Theed to get started.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '3', 'dontknowyou_2', 'I\'m on official RSF business, please move along.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '4', 'dontknowyou_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '5', 'dontknowyou_4', 'I am just a humble hermit, not worth your bother.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '6', 'dontknowyou_5', 'I do not know who it is you are looking for, but it sure is not me.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '7', 'dontknowyou_6', 'You are not the one one I am waiting for, I suggest you move along.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '8', 'dontknowyou_7', 'You had best be moving along, I have no business with you.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '9', 'gotowork_1', 'Hmm... I do not appear to have the correct forms.  You may wish to see the recruiting agent again.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '10', 'gotowork_2', 'Is this some sort of joke?  Go back to HQ and tell them to bring me the right equipment.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '11', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '12', 'gotowork_4', 'This was not wat I expected.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '13', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '14', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '15', 'gotowork_7', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '16', 'next', 'That is all I have for you.  Welcome to the exciting life of an RSF agent.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '17', 'notit_1', 'Well, this does not appear to be your information. Perhaps there is some mixup.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '18', 'notit_2', 'Is this some sort of joke? Go back to HQ and tell them to bring me the right equipment.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '19', 'notit_3', 'This is not the blaster I am looking for.  Move along.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '20', 'notit_4', 'This is not the information we were told to expect.  Did you speak with the right person?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '21', 'notit_5', 'This is not the sort of thing I was expecting.  Are you sure you know what you are doing?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '22', 'notit_6', 'Blast, this is not the information that we need.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '23', 'notit_7', 'I am not sure what this is, but I am sure I do not want it.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '24', 'notyet', 'We are not taking any more recruits at this time.  Please try again later.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '25', 'npc_1_1', 'Welcome recruit.  Today we will begin your basic training to be a RSF agent.  Your first task will be to pick up your enlistment information from Captain Tish.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '26', 'npc_1_2', 'Welcome back.   For your first mission we need you to deliver a camera to one of our field agents so that they will be able to monitor activity in their sector.  We have aranged to have them meet you for a new one.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '27', 'npc_1_3', 'It is time to take you training to the next level.  The goal of the RSF is peace, and that often involves confrontation.  I am going to want to see how you can handle your weapons against a pack of shaupaut that have been bothering travelers in the area.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '28', 'npc_1_4', 'We need you to meet with a contact of ours.  Their report hinted at information regarding a known criminal in the area, but we wish to avoid the chance our transmission might be intercepted. So we want you to go out and get the full report in person.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '29', 'npc_1_5', 'The information you retreived for us is hardly a suprise.  These pirates, barely able to call them selves part of the trade federation, have been an increasing bother as of late.  I want you to  go visit a location of suspected loyalists and remove the threat, use any force necessary.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '30', 'npc_1_6', 'Good work on that trade federation camp.  While you were out we got a bit more information on activity in the area, and believe there is a chance to nab one of their leaders.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '31', 'npc_1_7', 'This is the chance we have been waiting for.  A location to one of their leaders, Taron.  For this mission we will need you to go for one of his decoy locations, while the main force aprehends him at his actual hideout.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '32', 'npc_2_1', 'Excellent.  You should be able to find him down by the lake shore.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '33', 'npc_2_2', 'Great, they are working on an important task so it will be a great benefit for them to not come all the way back into town.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '34', 'npc_2_3', 'It is good that you are confidant, but try not to let them take you unaware.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '35', 'npc_2_4', 'Be careful in your travels.  They do not suspect anything yet, but if the wrong people learn of your mission it might compromise our plan.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '36', 'npc_2_5', 'I do not like violent solutions, but we will not allow piracy.  Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '37', 'npc_2_6', 'This one will not be easy.  We need you to retreive a information from one of their people that will tell us the location of a local leader.  Someone who has caused problems for us in the past.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '38', 'npc_2_7', 'No doubt about that.  And be careful, just because they are a decoy does not mean they won\'t be using real blasters.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '39', 'npc_3_1', 'The life of an RSF agent is not for everyone.  Feel free to come back when you you are up to the task.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '40', 'npc_3_2', 'We\'ll have another recruit run this camera out.  Try to be available later, our agents are always in need of replacements.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '41', 'npc_3_3', 'It is good that you know your limits.  Come back when you feel up to task.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '42', 'npc_3_4', 'We can send another if we act quickly.  These sort of things pop up from time to time, so expect a similar task during your training.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '43', 'npc_3_5', 'I understand, train some more and then return.  Threats such as these can not be taken lightly.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '44', 'npc_3_6', 'Now is the time to turn back.  The RSF is not for the faint of heart.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '45', 'npc_3_7', 'Well, we would really like to have your help on this one.  Glory is a poor goal for a public servant.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '46', 'npc_4_1', 'Captain Tish likes to meet each recruit personally.  And well, he appears to be doing a bit of fishing right now.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '47', 'npc_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '48', 'npc_4_3', 'In fact it is, we pulled this one for you so that we could monitor your progress.  Don\'t worry, it will come with the usual payoff.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '49', 'npc_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '50', 'npc_4_5', 'The loyalists are fanatics. Such an occurance is unlikely. Maybe if we could strike one of their leaders, but they are well hidden.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '51', 'npc_4_6', 'He is a scout of theirs, and with strikes like that which you have just performed for us the local heads are forced to take their briefings in person.  If we can get the information from this scout, then we can strike at the source for once.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '52', 'npc_4_7', 'We have learned of his decoy patrols a number of times in the past.  If we ignore this one he might become suspicious.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '53', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '54', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '55', 'npc_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '56', 'npc_5_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '57', 'npc_5_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '58', 'npc_5_6', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '59', 'npc_5_7', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '60', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '61', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '62', 'npc_6_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '63', 'npc_6_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '64', 'npc_6_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '65', 'npc_6_6', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '66', 'npc_6_7', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '67', 'npc_backtowork_1', 'Head on over see the Captain, I\'ll let him know you have resumed your mission.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '68', 'npc_backtowork_2', 'We need that camera delivered, time is a costly thing in the recon business.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '69', 'npc_backtowork_3', 'Back to work with you then.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '70', 'npc_backtowork_4', 'Time is short, we need that information to prepare our next move.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '71', 'npc_backtowork_5', 'Quit loitering around when there are threats to remove.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '72', 'npc_backtowork_6', 'Get back out there, and bring down that scout.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '73', 'npc_backtowork_7', 'Try to hurry, we do not want this opportunity to pass by.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '74', 'npc_breech_1', 'Oh good, I\'ve been expecting you.  Let me get this signed and you can return for your regular duties.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '75', 'npc_breech_2', 'I\'ve been waiting for you all day, do you have my camera?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '76', 'npc_breech_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '77', 'npc_breech_4', 'You must be my contact.  They will need this encryption code in order to read it. Try not to delay, our targets could move at any time.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '78', 'npc_breech_5', 'You have some nerve showing up around here.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '79', 'npc_breech_6', 'Hey, you are not my contact!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '80', 'npc_breech_7', 'I do not think that I am ready to be stopped yet.  Get him boys.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '81', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '82', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '83', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '85', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '86', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '87', 'npc_dropoff_7', 'Thank you for ruining my life buddy, I will try to return the favor some day.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '88', 'npc_failure_1', 'I\'m not sure how you failed this mission, but that appears to be the case.  Such a simple thing too.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '89', 'npc_failure_2', 'I\'m affraid to say that you failed the mission.  Without the camera, the little information our agent was able to gather might not be enough to further our investigation.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '90', 'npc_failure_3', 'It appears the Shaupaut got the best of you.  Perhaps you will want to try again after your skills have improved.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '91', 'npc_failure_4', 'The report is no good to us anymore, I think our targets may have been tipped off.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '92', 'npc_failure_5', 'It appears the pirates have the upper hand today.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '93', 'npc_failure_6', 'It appears the scout has gotten away. We can try again in a short time, come back then.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '94', 'npc_failure_7', 'Looks like he is the one that got away.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '95', 'npc_more_1_1', 'That would be nice. Say, I don\'t suppose you have seen a droid, about waist high with a fishing pole around have you? Nevermind, I\'ll just radio in and get HQ to start a  search for him.  You had best hurry back now.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '96', 'npc_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '97', 'npc_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '98', 'npc_more_1_4', 'Yes, my suspicions were true.  Trade federation reminent activity has been in the increase as of late and the recent raids on settlers has been the result of that increase.  Pirates until the end it would seem.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '99', 'npc_more_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '100', 'npc_more_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '101', 'npc_more_1_7', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '102', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '103', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '104', 'npc_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '105', 'npc_more_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '106', 'npc_more_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '107', 'npc_more_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '108', 'npc_more_2_7', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '109', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '110', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '111', 'npc_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '112', 'npc_more_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '113', 'npc_more_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '114', 'npc_more_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '115', 'npc_more_3_7', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '116', 'npc_noloc_1', 'We are having troubles with your enlistment documents.  Try again later, perhaps we will have them sorted out by then.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '117', 'npc_noloc_2', 'All of our agents have reported in, and none require resupply at this time.  Try again in a bit.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '118', 'npc_noloc_3', 'We haven\'t received the information that we requested for your next task.  Try again in a little while.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '119', 'npc_noloc_4', 'We don\'t have anything at this time, try back in a little while.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '120', 'npc_noloc_5', 'We have lost track of all our targets, come back later and maybe we will have updated information then.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '121', 'npc_noloc_6', 'We are unable to locate their scouts at this time. Do not worry, one will turn up soon.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '122', 'npc_noloc_7', 'We appear to be having technical difficulties.  ');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '123', 'npc_reset', 'Ok, I have notified our agent not to expect you. Return when you are prepared.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '124', 'npc_reward_1', 'You see, that was not so difficult.  With these in hand we can get you going on your training.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '125', 'npc_reward_2', 'I hear that the camera delivered was just in time.  They are back out gathering some good information for us.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '126', 'npc_reward_3', 'That was some good work you performed out there.  Here is your money as promised.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '127', 'npc_reward_4', 'This is just the information we need, come back soon and we will have the next task waiting for you.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '128', 'npc_reward_5', 'That is a good thing you did, the peace has prospered.  Take a rest, and then return later for more.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '129', 'npc_reward_6', 'This information could be the key to a long lasting peace, good work.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '130', 'npc_reward_7', 'He turned the tables on us that time.  Good job in bringing him in on your own, you have the makings of a fine officer.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '131', 'npc_smuggle_1', 'This is exactly what we need.  Welcome aboard.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '132', 'npc_smuggle_2', 'This is what I needed.  Now I can get back to monitoring my targets.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '133', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '134', 'npc_smuggle_4', 'And do try to be careful, we don\'t want to tip off the marks.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '135', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '136', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '137', 'npc_smuggle_7', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '138', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '139', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '140', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '141', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '142', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '143', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '144', 'npc_takeme_7', 'Ok, I surrender.  Take me in, just do not hurt me.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '145', 'npc_work_1', 'I do not see your forms, did you make it to see Captain Tish?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '146', 'npc_work_2', 'Our field agent is still waiting on that camera.  Perhaps you could speed it up a bit?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '147', 'npc_work_3', 'Having trouble locating your target?  Might be bad data.  Destroy your current mission file, then talk to me again for  a new one.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '148', 'npc_work_4', 'You appear to have returned empty handed.  Hurry, this information is critical.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '149', 'npc_work_5', 'My reports indicate that the pirates are still active.  Please try to hurry.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '150', 'npc_work_6', 'You have not completed the task, don\'t let this scout get away.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '151', 'npc_work_7', 'We need you to hit that decoy camp, no time to delay.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '152', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '153', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '154', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '155', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '156', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '157', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '158', 'otherescort_7', 'I am not the one you should be taking in, I swear.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '159', 'player_1_1', 'I\'ll get right on that sir.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '160', 'player_1_2', 'That shouldn\'t be too much trouble.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '161', 'player_1_3', 'I can perform this duty, those shaupaut don\'t stand a chance.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '162', 'player_1_4', 'I will get right on that sir.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '163', 'player_1_5', 'I will get that problem taken care of.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '164', 'player_1_6', 'I am willing to help in any way.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '165', 'player_1_7', 'I will take care of all my area, you just get Taron brought in.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '166', 'player_2_1', 'I don\'t think I am ready to begin my training.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '167', 'player_2_2', 'I can\'t make it at this time, you are best to send another.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '168', 'player_2_3', 'I don\'t think I am ready for a pack of shaupaut at this time. ');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '169', 'player_2_4', 'Maybe you should send someone else.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '170', 'player_2_5', 'I do not feel that I am ready for a task such as this.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '171', 'player_2_6', 'I am not ready for an assignment like this.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '172', 'player_2_7', 'I am not sure I like the idea of going for a bunch of decoys.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '173', 'player_3_1', 'Why don\'t you have them transmitted.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '174', 'player_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '175', 'player_3_3', 'This sounds like a job for public works?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '176', 'player_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '177', 'player_3_5', 'Maybe we can convince them to come in quietly.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '178', 'player_3_6', 'How can this person lead us to one of their leaders?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '179', 'player_3_7', 'If we know that it is a decoy, why are we going after it?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '180', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '181', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '182', 'player_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '183', 'player_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '184', 'player_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '185', 'player_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '186', 'player_4_7', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '187', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '188', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '189', 'player_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '190', 'player_5_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '191', 'player_5_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '192', 'player_5_6', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '193', 'player_5_7', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '194', 'player_more_1_1', 'Aren\'t you supposed to be fishing?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '195', 'player_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '196', 'player_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '197', 'player_more_1_4', 'Is everything included in the report?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '198', 'player_more_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '199', 'player_more_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '200', 'player_more_1_7', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '201', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '202', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '203', 'player_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '204', 'player_more_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '205', 'player_more_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '206', 'player_more_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '207', 'player_more_2_7', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '208', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '209', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '210', 'player_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '211', 'player_more_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '212', 'player_more_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '213', 'player_more_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '214', 'player_more_3_7', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '215', 'player_reset', 'Something appears to have gone wrong. Give me another chance.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '216', 'player_sorry', 'I am ready to continue with my task.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '217', 'return_waypoint_description_1', 'Surlin Rolei');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '218', 'return_waypoint_description_2', 'Surlin Rolei');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '219', 'return_waypoint_description_3', 'Surlin Rolei');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '220', 'return_waypoint_description_4', 'Surlin Rolei');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '221', 'return_waypoint_description_5', 'Surlin Rolei');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '222', 'return_waypoint_description_6', 'Surlin Rolei');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '223', 'return_waypoint_description_7', 'Surlin Rolei');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '224', 'return_waypoint_name_1', 'Surlin Rolei');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '225', 'return_waypoint_name_2', 'Surlin Rolei');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '226', 'return_waypoint_name_3', 'Surlin Rolei');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '227', 'return_waypoint_name_4', 'Surlin Rolei');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '228', 'return_waypoint_name_5', 'Surlin Rolei');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '229', 'return_waypoint_name_6', 'Surlin Rolei');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '230', 'return_waypoint_name_7', 'Surlin Rolei');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '231', 'waypoint_description_1', 'Captain Tish');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '232', 'waypoint_description_2', 'Camera Delivery');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '233', 'waypoint_description_3', 'Shaupaut Pack');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '234', 'waypoint_description_4', 'Field Agent');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '235', 'waypoint_description_5', 'Trade Federation Loyalists');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '236', 'waypoint_description_6', 'Trade Federation Scout');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '237', 'waypoint_description_7', 'Trade Federation Decoys');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '238', 'waypoint_name_1', 'Captain Tish');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '239', 'waypoint_name_2', 'RSF Field Agent');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '240', 'waypoint_name_3', 'Shaupaut Pack');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '241', 'waypoint_name_4', 'RSF Contact');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '242', 'waypoint_name_5', 'Trade Federation Loyalists');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '243', 'waypoint_name_6', 'Trade Federation Scout');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/naboo_rsf_surlin_rolei.stf', '244', 'waypoint_name_7', 'Trade Federation Decoys');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '1', 'cant_work', 'We can\'t talk right now. Lady Valarian suspects that there is a spy in our midst. You should take care of your personal business and come back later.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '2', 'dontknowyou_1', 'Look. I\'m waiting for someone. You\'d better not be seen with me. I have the death sentence on twelve systems!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '3', 'dontknowyou_2', 'I have no idea what you\'re talking about.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '4', 'dontknowyou_3', 'Who are you?  Sorry, I\'m rather distracted at the moment...');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '5', 'dontknowyou_4', 'Get away from me.  I\'m dangerous');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '6', 'dontknowyou_5', 'You don\'t want any part of me.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '7', 'dontknowyou_6', 'I\'m very busy and very important.  I can\'t talk to you.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '8', 'gotowork_1', 'Are you kidding? I\'m here for the new roster. Not THAT!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '9', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '10', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '11', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '12', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '13', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '14', 'next', 'Sorry I can\'t help you. I have a number of new recruits to train. Why don\'t you speak with Lady Valarian?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '15', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '16', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '17', 'notit_3', 'What is this?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '18', 'notit_4', 'What is this?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '19', 'notit_5', 'I\'m not sure what that is.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '20', 'notit_6', 'This isn\'t the egg.  What is this?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '21', 'notyet', 'You should chat with Kavas over there. She\'s got plenty of work for folks like you.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '22', 'npc_1_1', 'Kavas says you\'re ready to do some real work. I\'ve put your name on a list of new recruits. Deliver it to our chief assassin to avoid getting murdered in the street.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '23', 'npc_1_2', 'Lady Valarian\'s compound guard was supposed to deliver lunch some time ago. We haven\'t heard anything and we\'re starting to worry. Can you go check it out?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '24', 'npc_1_3', 'Rumor has it Jabba hired an off world scientist named Dr. Kaum to come help him develop some weapons technology.  Dr. Kaum doesn\'t know any of Jabba\'s thugs, so go pick him up before they get there.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '25', 'npc_1_4', 'There\'s a murderer on the loose.  Never let it be said that we let something like this happen in our territory.  I want this one killed.  Are we clear?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '26', 'npc_1_5', 'Jabba\'s trying to be clever.  He sent someone to taint our water supplies.  Find the one\'s responsible and bring back whatever they\'re putting in our water.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '27', 'npc_1_6', 'This is it.  This one will get you in to see Valarian herself.  She wants you to steal an expensive avian egg from a delivery guy.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '28', 'npc_2_1', 'Good choice. Here\'s the updated ledger. You\'ll find our Chief Assassin on the outskirts of town.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '29', 'npc_2_2', 'Excellent. Head out toward the edge of town and see if you can escort our friend here.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '30', 'npc_2_3', 'Great.  When you get him back here we\'ll take *good* care of him.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '31', 'npc_2_4', 'Right.  Murder will not be tolerated.  Not of innocents.  If this guy were killing Jabba\'s people, who would notice?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '32', 'npc_2_5', 'I knew I could count on you.  There\'s likely to be more than one of them.  Get them all if you can.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '33', 'npc_2_6', 'I had a feeling.  Anyone that\'s hung around here as long as you certainly wants to see the boss lady.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '34', 'npc_3_1', 'That\'s what I thought. ');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '35', 'npc_3_2', 'Unwise. Lady Valarian expects loyalty. I\'ll try to keep your unwillingness a secret.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '36', 'npc_3_3', 'Yeah, you\'re right.  Maybe whoever we hire to take your place...');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '37', 'npc_3_4', 'You sound more cowardly then you used to.  Are you feeling all right?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '38', 'npc_3_5', 'We don\'t have a lot of time on this one so come back as soon as you\'re free.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '39', 'npc_3_6', 'Well, don\'t keep the boss waiting, she doesn\'t like it.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '40', 'npc_4_1', 'Never you mind. If you are not known to our chief assassin you will surely die...');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '41', 'npc_4_2', 'Lady Valarian ordered a special Rill casserole. I\'m sure she\'d share it if it arrives safely.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '42', 'npc_4_3', 'Just tell him Jabba wants to meet him for a drink first.  This guy doesn\'t know anything about what\'s going on here.  We\'re gonna make sure he knows the score.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '43', 'npc_4_4', 'Killers aren\'t good business.  Who\'s gonna gamble if everyone\'s dead?  Who\'s gonna pay for protection.  This one has to be taken care of.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '44', 'npc_4_5', 'I don\'t know yet.  That\'s why I need you to bring it back.  Lots of our customers are getting sick, whatever this stuff is.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '45', 'npc_4_6', 'That\'s the joke.  Jabba ordered it special.  His chef, Porcellus, was going to make him a special meal.  We\'re gonna annoy Jabba and have a nice dinner all at the same time!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '46', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '47', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '48', 'npc_5_3', 'No one seems to know, though from what I hear Dr. Kaum\'s specialty is beam weapons.  Probably just some new kind of rifle.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '49', 'npc_5_4', 'Someone called Roden Venthrall.  A student, apparently, of Dolac Legasi\'s.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '50', 'npc_5_5', 'You know what our number one selling drink is at the Despot?  Water.  It\'s a desert friend, everybody needs water!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '51', 'npc_5_6', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '52', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '53', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '54', 'npc_6_3', 'You should have plenty of lead time, but even if you don\'t I know you know how to fight...');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '55', 'npc_6_4', 'Heh, another murderer serving a life sentence in an imperial prison on Dathomir.  You don\'t want to run into that guy, trust me.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '56', 'npc_6_5', 'Positive.  We spotted a couple of them near our moisture harvesters.  Don\'t get careless, these guys are for real.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '57', 'npc_6_6', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '58', 'npc_backtowork_1', 'Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '59', 'npc_backtowork_2', 'Please hurry.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '60', 'npc_backtowork_3', 'Get out there before Jabba\'s fiends find him.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '61', 'npc_backtowork_4', 'Get out there and find that guy!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '62', 'npc_backtowork_5', 'Get out there and find these guys, we\'re going out of business here!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '63', 'npc_backtowork_6', 'Get it before it goes bad.  Do you know how bad those things smell when they\'re ripe?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '64', 'npc_breech_1', 'Over here! You\'re the new one, eh?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '65', 'npc_breech_2', 'Great!  I\'m glad somebody finally figured out that I needed help!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '66', 'npc_breech_3', 'I\'m looking for an escort to, uh...Mr. The Hutt\'s palace?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '67', 'npc_breech_4', 'I\'ll kill you too!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '68', 'npc_breech_5', 'Heh, something else we can foul up besides water.  Get him boys!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '69', 'npc_breech_6', 'NO!  Do you know who this egg is for?  Bodyguards!  Save me!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '70', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '71', 'npc_dropoff_2', 'Thanks for the safe trip!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '72', 'npc_dropoff_3', 'Oh, thank you for bringing me safely to the city.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '73', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '74', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '75', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '76', 'npc_failure_1', 'How could you have failed to deliver a list of NAMES?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '77', 'npc_failure_2', 'Lady Valarian does not tolerate skipping lunch!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '78', 'npc_failure_3', 'You let him get away?!?  Great.  I thought you were more competent than this...');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '79', 'npc_failure_4', 'That guy\'s gonna go on a killing spree.  You should be ashamed.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '80', 'npc_failure_5', 'Great, we\'re ruined.  All thanks to you.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '81', 'npc_failure_6', 'Jabba got his egg?  I can\'t believe this!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '82', 'npc_more_1_1', 'No. You have too little blood on your hands. Keep trying, though. See if Ind has more work for you.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '83', 'npc_more_1_2', 'These guys wouldn\'t let me get back to work.  I\'m glad you came along.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '84', 'npc_more_1_3', 'Oh, well, that\'s fine then.  I hope they have blue milk....');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '85', 'npc_more_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '86', 'npc_more_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '87', 'npc_more_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '88', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '89', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '90', 'npc_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '91', 'npc_more_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '92', 'npc_more_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '93', 'npc_more_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '94', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '95', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '96', 'npc_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '97', 'npc_more_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '98', 'npc_more_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '99', 'npc_more_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '100', 'npc_noloc_1', 'Wait a minute. I think our Chief Assassin is off-world today. Why don\'t you come back in a few cycles?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '101', 'npc_noloc_2', 'Actually - if I remember correctly Kavas said she got a message from the compound guard a few moments ago. Perhaps all is well. Check back with me later.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '102', 'npc_noloc_3', 'Hm...it seems the good doctor hasn\'t arrived yet.  Come back in a few minutes and I\'ll keep you posted.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '103', 'npc_noloc_4', 'When I get a fix on this guy\'s location I\'ll let you know.  Actually, just come back later and I\'ll tell you what\'s going on.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '104', 'npc_noloc_5', 'If you ask me again in a few minutes we should be able to figure out exactly where these guys are.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '105', 'npc_noloc_6', 'Wait a sec...you\'ll have to come back in a few and I\'ll tell you where the delivery guy is.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '106', 'npc_reset_1', 'You\'re in too deep now, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '107', 'npc_reward_1', 'Good to have you on the team. Lady Valarian wants all of her new recruits to use these fresh Republic Blasters. So here you go. Be careful with it...');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '108', 'npc_reward_2', 'Perfect, Jabba will be furious! Here, you\'ve earned every last one of these credits.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '109', 'npc_reward_3', 'Great.  Now that he\'s here we\'ll make sure he\'s working for the right team.  Here\'s some cash to help you along, oh, and we found this on the good doctor.  You can have it too.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '110', 'npc_reward_4', 'I can\'t tell you how happy I am that this is taken care of.  Our loyal customers have nothing but good things to say about you.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '111', 'npc_reward_5', 'Excellent work once again.  Valarian\'s been talking about you lately.  I think she\'ll invite you to see her soon.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '112', 'npc_reward_6', 'You got it!  Great.  Valarian\'s ready to see you.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '113', 'npc_smuggle_1', 'Aah. Welcome to the Valarian family.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '114', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '115', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '116', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '117', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '118', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '119', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '120', 'npc_takeme_2', 'Ok, I\'m ready to head back to the Despot.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '121', 'npc_takeme_3', 'Where are we going?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '122', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '123', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '124', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '125', 'npc_work_1', 'Are you done already?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '126', 'npc_work_2', 'Why haven\'t you found Valarian\'s compound guard?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '127', 'npc_work_3', 'Where\'s the scientist?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '128', 'npc_work_4', 'Did you take care of that little problem we were having?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '129', 'npc_work_5', 'Did you take care of our little problem?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '130', 'npc_work_6', 'Where\'s the egg?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '131', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '132', 'otherescort_2', 'I\'m waiting for somebody, and guess what?  It\'s not you!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '133', 'otherescort_3', 'I\'m waiting for someone, sorry, I can\'t talk.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '134', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '135', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '136', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '137', 'player_1_1', 'Sounds good. Sign me up.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '138', 'player_1_2', 'I would be happy to.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '139', 'player_1_3', 'Ok, I\'ll go get him.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '140', 'player_1_4', 'Got it.  Kill the killer.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '141', 'player_1_5', 'I\'ll get right to it.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '142', 'player_1_6', 'I\'ll do it.  I\'ve been waiting for this...');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '143', 'player_2_1', 'I am not ready yet.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '144', 'player_2_2', 'I can\'t do this right now.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '145', 'player_2_3', 'This sounds like something someone else could do.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '146', 'player_2_4', 'This sounds dangerous.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '147', 'player_2_5', 'I\'m a little busy.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '148', 'player_2_6', 'I\'ll have to come back later.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '149', 'player_3_1', 'Who is this assassin?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '150', 'player_3_2', 'What\'s for lunch?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '151', 'player_3_3', 'Won\'t he realize I\'m not taking him to Jabba\'s?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '152', 'player_3_4', 'Why don\'t we just hire this murderer?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '153', 'player_3_5', 'What are they putting in the water?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '154', 'player_3_6', 'Where is it being delivered to?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '155', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '156', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '157', 'player_4_3', 'What kind of weapon are they building?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '158', 'player_4_4', 'Who is this killer.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '159', 'player_4_5', 'Why the water supply?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '160', 'player_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '161', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '162', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '163', 'player_5_3', 'What if Jabba\'s guys show up?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '164', 'player_5_4', 'Who\'s Dolac Legasi?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '165', 'player_5_5', 'You\'re sure it\'s Jabba\'s guys?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '166', 'player_5_6', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '167', 'player_more_1_1', 'Am I really a member of the family now?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '168', 'player_more_1_2', 'What happened out here?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '169', 'player_more_1_3', 'Uh...Jabba wants to have a drink with you.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '170', 'player_more_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '171', 'player_more_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '172', 'player_more_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '173', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '174', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '175', 'player_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '176', 'player_more_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '177', 'player_more_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '178', 'player_more_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '179', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '180', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '181', 'player_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '182', 'player_more_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '183', 'player_more_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '184', 'player_more_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '185', 'player_reset_1', 'I don\'t want to do this anymore.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '186', 'player_sorry_1', 'My mistake. I\'ll get back to work.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '187', 'return_waypoint_description_1', 'Return to Ind at the Lucky Despot for more quests.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '188', 'return_waypoint_description_2', 'Return to Ind at the Lucky Despot');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '189', 'return_waypoint_description_3', 'Return to Ind at the Lucky Despot and dropoff Dr. Kaum');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '190', 'return_waypoint_description_4', 'Return to Ind at the Lucky Despot');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '191', 'return_waypoint_description_5', 'Return to Ind at the Lucky Despot');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '192', 'return_waypoint_description_6', 'Return to Ind at the Lucky Despot');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '193', 'return_waypoint_name_1', 'Lucky Despot');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '194', 'return_waypoint_name_2', 'Lucky Despot');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '195', 'return_waypoint_name_3', 'LUCKY DESPOT');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '196', 'return_waypoint_name_4', 'LUCKY DESPOT');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '197', 'return_waypoint_name_5', 'LUCKY DESPOT');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '198', 'return_waypoint_name_6', 'LUCKY DESPOT');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '199', 'waypoint_description_1', 'Deliver the updated employee roster to the Chief Assassin to avoid being murdered.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '200', 'waypoint_description_2', 'Go find the guard who hasn\'t brought back lunch yet.  He may be in trouble...');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '201', 'waypoint_description_3', 'Find Dr. Kaum and return him to the Lucky Despot');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '202', 'waypoint_description_4', 'Find the murderer Roden Venthrall and deal with him.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '203', 'waypoint_description_5', 'Find the ones polluting the water supply, destroy them, and bring back the poison');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '204', 'waypoint_description_6', 'Find Jabba\'s Delivery Boy and retrieve the avian egg from him.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '205', 'waypoint_name_1', 'LADY VALARIAN: Valarian\'s Chief Assassin');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '206', 'waypoint_name_2', 'LADY VALARIAN: Pick up the Compound Guard');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '207', 'waypoint_name_3', 'LADY VALARIAN: Find the scientist');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '208', 'waypoint_name_4', 'LADY VALARIAN: find the killer');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '209', 'waypoint_name_5', 'LADY VALARIAN: Take care of the poisoners');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '210', 'waypoint_name_6', 'LADY VALARIAN: Get the egg');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '211', 'player_reset_2', 'I don\'t want to do this anymore.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '212', 'player_reset_3', 'I don\'t want to do this anymore.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '213', 'player_reset_4', 'I don\'t want to do this anymore.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '214', 'player_reset_5', 'I don\'t want to do this anymore.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '215', 'player_reset_6', 'I don\'t want to do this anymore.\n');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '216', 'player_sorry_2', 'My mistake. I\'ll get back to work.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '217', 'player_sorry_3', 'My mistake. I\'ll get back to work.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '218', 'player_sorry_4', 'My mistake. I\'ll get back to work.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '219', 'player_sorry_5', 'My mistake. I\'ll get back to work.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '220', 'npc_reset_2', 'You\'re in too deep now, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '221', 'npc_reset_3', 'You\'re in too deep now, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '222', 'npc_reset_4', 'You\'re in too deep now, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '223', 'npc_reset_5', 'You\'re in too deep now, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '224', 'npc_reset_6', 'You\'re in too deep now, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '225', 'gotowork', 'Are you kidding?  I\'m here for the new roster.  What is this?  Don\'t you have it?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_ind.stf', '226', 'player_sorry_6', 'My mistake.  I\'ll get back to work.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '1', 'cant_work', 'Lady Valarian has scheduled a very important meeting. I must prepare for it. Come back when you\'re done with your other tasks and I may be able to help you.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '2', 'dontknowyou_1', 'That filthy crimeboss Lady Valarian has sent one of her thugs to destroy me. You\'d better get out of here if you know what\'s good for you.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '3', 'dontknowyou_2', 'You better get out of here if you don\'t wanna die.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '4', 'dontknowyou_3', 'You\'re not the one Kavas told me about. Get out of here... or go to the Lucky Despot and drop a few credits. Tell Kavas I said hello.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '5', 'dontknowyou_4', 'You\'re not the one Kavas told me about. Get out of here... or go to the Lucky Despot and drop a few credits. Tell Kavas I said hello.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '6', 'dontknowyou_5', 'Who do you think you\'re talking to?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '7', 'dontknowyou_6', 'Get away from me, I\'m busy.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '8', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '9', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '10', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '11', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '12', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '13', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '14', 'next', 'I appreciate your help. Why don\'t you ask Ind over there if he needs any help?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '15', 'notit_1', 'Thank you but... what is this? I can\'t use this. You may as well keep it for yourself.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '16', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '17', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '18', 'notit_4', 'Where\'s my package?  You don\'t have it?  What, did you lose it?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '19', 'notit_5', 'What?  What\'s this?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '20', 'notit_6', 'What\'s this?  This isn\'t what we asked for.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '21', 'notyet', 'Who are you? You look crafty enough but I have never heard of you. Come back when you have earned a reputation and I may be able to use your help.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '22', 'npc_1_1', 'I would guess that you\'re here to earn Lady Valarian\'s respect. This is a wise choice, my friend. Work for me first, and I will spread word of your courage and fidelity.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '23', 'npc_1_2', 'We have reliable information that Jabba the Hutt has sent a group of enforcers to patrol the edge of town and eliminate our operatives. Find them and destroy them.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '24', 'npc_1_3', 'Word of your deeds has spread. Many others in the Valarian organization are hearing of your deeds. Are you willing to do another favor for me?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '25', 'npc_1_4', 'You\'ve made quite a name for yourself here at the despot.  For that you get to slide for a while.  Here, I just need somebody to pick something up for me.  That\'s it. ');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '26', 'npc_1_5', 'Jabba sent a thug over to the Despot earlier, and he was harrassing some of our patrons.  I don\'t want any misunderstandings, I want this guy killed.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '27', 'npc_1_6', 'There\'s not much time for discussion.  Jabba sent an assassin to kill Lady Valarian, but he missed.  He did manage to grab most of our financial records though.  Get them back, at all costs!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '28', 'npc_2_1', 'Joyous! Our ex-friend Cie Vos has decided to liberate a case of rations from our stock. Punish him and bring the rations to me.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '29', 'npc_2_2', 'They\'ll most certainly be armed - and probably well-trained. So, be cautious.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '30', 'npc_2_3', 'Lady Valarian needs this revised proclamation to be delivered to her advocate just outside of town. He\'s an Ithorian... named Ysho... shouldn\'t be hard to find.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '31', 'npc_2_4', 'Great.  Go find my friend Ki\'shai and get the package.  Make the delivery back to me and you\'ll get paid.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '32', 'npc_2_5', 'Good.  I knew I could count on you.  Take care of this and you won\'t be forgotten.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '33', 'npc_2_6', 'Good.  If you pull this one off I\'ll put in a good word for you myself.  I guarantee you\'ll move up for this.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '34', 'npc_3_1', 'You\'ll be back. Your kind always comes back.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '35', 'npc_3_2', 'Well, I hope none of our friends get killed.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '36', 'npc_3_3', 'A shame. Please come back when you have some time.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '37', 'npc_3_4', 'It\'s just a simple delivery.  What\'s you\'re problem?  Maybe you aren\'t as loyal as I thought.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '38', 'npc_3_5', 'You sure about that?  I\'m not sure you want to say that right now.  You\'re on the cusp of greatness.  You\'re almost part of the family here.  You may want to think about this a bit.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '39', 'npc_3_6', 'I can\'t believe I had so much faith in you.  Why now, after all this time, do you finally show your true cowardice?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '40', 'npc_4_1', 'Lady Valarian cares. She can open doors for you, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '41', 'npc_4_2', 'That filthy slug has been trying to destroy our operation for a very long time. Fortunately, we are smarter and more skilled than Jabba\'s rank-and-file.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '42', 'npc_4_3', 'Our friends are hearing that you have great strength and courage... impeccable loyalty. All good things to have said about you, my friend. Will you help me again?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '43', 'npc_4_4', 'You\'ll find out.  Don\'t worry, it\'s nothing illegal.  I mean, not strictly anyway...');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '44', 'npc_4_5', 'Respect.  You need it and you get it.  And also, cash.  You\'ll get some cash too.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '45', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '46', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '47', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '48', 'npc_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '49', 'npc_5_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '50', 'npc_5_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '51', 'npc_5_6', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '52', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '53', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '54', 'npc_6_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '55', 'npc_6_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '56', 'npc_6_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '57', 'npc_6_6', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '58', 'npc_backtowork_1', 'Perhaps you should try looking just outside of town?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '59', 'npc_backtowork_2', 'Keep looking! Our friends are in danger. We can\'t have you dawdling!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '60', 'npc_backtowork_3', 'You\'re looking for Ysho, an Ithorian male... who should be waiting for you just outside of town. Please come back when you\'e delivered the proclamation.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '61', 'npc_backtowork_4', 'Well don\'t keep me waiting.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '62', 'npc_backtowork_5', 'Don\'t waste time here.  I know he\'s not here!  Go find him.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '63', 'npc_backtowork_6', 'For the sake of your own life you better get back to work...');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '64', 'npc_breech_1', 'Valarian sells POISON to her patrons! I stole this to prove it to the authorities! Please don\'t shoot me!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '65', 'npc_breech_2', 'There\'s a Valarian thug come to kill us. ATTACK!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '66', 'npc_breech_3', 'Nice work.  I thought I was going to be in real trouble.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '67', 'npc_breech_4', 'Ho! You better be that friend of Kavas\' I was told to meet.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '68', 'npc_breech_5', 'You got something to say?  Say it with blood!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '69', 'npc_breech_6', 'You\'re all Valarian could find to send after me?  Hahahahaha!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '70', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '71', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '72', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '73', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '74', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '75', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '76', 'npc_failure_1', 'You\'re not making such a good impression, my friend. You\'ll need to try harder if you are going to earn Lady Valarian\'s respect.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '77', 'npc_failure_2', 'Luckily one of our other friends has taken care of the Hutt enforcers. Thanks for nothing. Try to stay sharp the next time I give you something important to do.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '78', 'npc_failure_3', 'No! No! This will not do. This will simply not do at all!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '79', 'npc_failure_4', 'Couldn\'t make a simple delivery?  Is this the kind of reputation you want?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '80', 'npc_failure_5', 'You look bad.  I mean, not as bad as you made us look, but still...');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '81', 'npc_failure_6', 'That\'s it, we\'re probably ruined now.  It\'ll take a miracle for us to stay on our feet after a debacle like this.  Good work.  Oh, in case you can\'t tell, that\'s sarcasm!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '82', 'npc_more_1_1', 'I don\'t TRUST you! Either you let me go or you kill me right here!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '83', 'npc_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '84', 'npc_more_1_3', 'Don\'t worry about it.  Just head back to the Despot and have a drink.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '85', 'npc_more_1_4', 'Kavas ordered an old-style camera as a gift for Ind. We mixed it in with a shipment of spice from Aeten II... and there was a whole mess... I don\'t have time to go into details.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '86', 'npc_more_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '87', 'npc_more_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '88', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '89', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '90', 'npc_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '91', 'npc_more_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '92', 'npc_more_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '93', 'npc_more_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '94', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '95', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '96', 'npc_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '97', 'npc_more_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '98', 'npc_more_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '99', 'npc_more_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '100', 'npc_noloc_1', 'Actually - I believe I need to prepare the private suites downstairs for some visitors. Why don\'t you come back later when I have some more time?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '101', 'npc_noloc_2', 'Ind tells me that we\'ve got some friends who\'ve intercepted a group of Jabba\'s enforcers just outside the city. We\'ll see if these are the ones we\'re looking for. Come back and speak to me later today, please.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '102', 'npc_noloc_3', 'Now that I think about it - we should probably handle this differently. Please give me some time and come back in a little while. I need to sort things out.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '103', 'npc_noloc_4', 'Hang on, there may be trouble.  Come back and see me later, I have to work something out.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '104', 'npc_noloc_5', 'Well, some of our people were keeping an eye on this thug, and now he\'s vanished.  Come back later and I\'ll see if we can find him again.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '105', 'npc_noloc_6', 'I don\'t know where the assassin went, but if you come back in a few minutes I may have a better idea.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '106', 'npc_reset', 'Perhaps you should pay more attention next time. Take some notes perhaps. Ah, well.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '107', 'npc_reward_1', 'Ah, yes. The rations. Good job.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '108', 'npc_reward_2', 'Bravo! You\'ve made this a safer place for legitimate businesspeople like us. Here is a small token of our gratitude. Don\'t spend it all in one place.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '109', 'npc_reward_3', 'I hear there was some trouble? You did quite well nonetheless. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '110', 'npc_reward_4', 'Great!  Ind\'s gonna love it.  Thanks.  Here\'s some creds, don\'t spend em anywhere but the Despot, okay?  Haha.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '111', 'npc_reward_5', 'That\'s the way we handle things.  Jabba\'s steaming on his \"throne\" right now.  Good work.  Oh, by the way, Ind says she has some work for you, or if you want I have something else for you to do.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '112', 'npc_reward_6', 'You did it!  Valarian\'s so pleased she\'s told me to let you into the inner sanctum.  That means you\'ll be dealing with Ind from now on.  Treat her right, and you\'ll get the same in return.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '113', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '114', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '115', 'npc_smuggle_3', 'Ah, the proclamation.  I can\'t tell you how much easier this is going to make things for us.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '116', 'npc_smuggle_4', 'Here you go. The photo capture unit got smashed - but I think that Kavas knows how to fix it. See you around!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '117', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '118', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '119', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '120', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '121', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '122', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '123', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '124', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '125', 'npc_work_1', 'Did you recover what I require?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '126', 'npc_work_2', 'Will you please take care of Jabba\'s Enforcers? They could be here at any moment!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '127', 'npc_work_3', 'Have you delivered the proclamation?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '128', 'npc_work_4', 'Hey, did you make that pick up for me?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '129', 'npc_work_5', 'How come I haven\'t heard about Jabba\'s thug dying yet?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '130', 'npc_work_6', 'Where\'s the briefcase?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '131', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '132', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '133', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '134', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '135', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '136', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '137', 'player_1_1', 'Let\'s get started.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '138', 'player_1_2', 'Sounds like fun.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '139', 'player_1_3', 'Of course. What is it?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '140', 'player_1_4', 'Sure, no problem.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '141', 'player_1_5', 'I\'m clear.  He\'s gone.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '142', 'player_1_6', 'I\'m on my way.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '143', 'player_2_1', 'I can\'t help you right now.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '144', 'player_2_2', 'I can\'t do this right now.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '145', 'player_2_3', 'I\'m not available at the moment.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '146', 'player_2_4', 'Sorry, I\'m busy right now.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '147', 'player_2_5', 'This isn\'t my type of work.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '148', 'player_2_6', 'This is too much work.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '149', 'player_3_1', 'Who cares if you think I\'m courageous?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '150', 'player_3_2', 'Why would Jabba do this?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '151', 'player_3_3', 'What are people hearing about me?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '152', 'player_3_4', 'What\'s this thing I\'m picking up?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '153', 'player_3_5', 'What\'s the payout on this?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '154', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '155', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '156', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '157', 'player_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '158', 'player_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '159', 'player_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '160', 'player_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '161', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '162', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '163', 'player_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '164', 'player_5_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '165', 'player_5_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '166', 'player_5_6', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '167', 'player_more_1_1', 'What are you talking about?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '168', 'player_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '169', 'player_more_1_3', 'What is this proclamation for?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '170', 'player_more_1_4', 'What is this thing I\'m supposed to retrieve?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '171', 'player_more_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '172', 'player_more_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '173', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '174', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '175', 'player_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '176', 'player_more_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '177', 'player_more_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '178', 'player_more_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '179', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '180', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '181', 'player_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '182', 'player_more_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '183', 'player_more_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '184', 'player_more_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '185', 'player_reset', 'I couldn\'t find the target.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '186', 'player_sorry', 'I am still looking for my target.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '187', 'return_waypoint_description_1', 'Return the rations to Kavas Urdano at the Lucky Despot');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '188', 'return_waypoint_description_2', 'Return to the Lucky Despot to receive your reward.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '189', 'return_waypoint_description_3', 'Return to the Lucky Despot to receive your reward.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '190', 'return_waypoint_description_4', 'Return to the Lucky Despot to receive your reward.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '191', 'return_waypoint_description_5', 'Return back to the Lucky Despot and speak to Kavas.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '192', 'return_waypoint_description_6', 'Return to the Lucky Despot and speak with Kavas.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '193', 'return_waypoint_name_1', 'Lucky Despot');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '194', 'return_waypoint_name_2', 'Lucky Despot');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '195', 'return_waypoint_name_3', 'Lucky Despot');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '196', 'return_waypoint_name_4', 'Lucky Despot');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '197', 'return_waypoint_name_5', 'Lucky Despot');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '198', 'return_waypoint_name_6', 'Lucky Despot');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '199', 'waypoint_description_1', 'Eliminate the thief \"Cie Vos\" and return the rations to Kavas Urdano at the Lucky Despot');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '200', 'waypoint_description_2', 'Destroy Jabba\'s Enforcers who\'ve been sent to kill Lady Valarian');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '201', 'waypoint_description_3', 'Find Ysho and deliver the prolcamation.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '202', 'waypoint_description_4', 'Find Ki\'shai and recover Kava\'s gift for Ind.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '203', 'waypoint_description_5', 'Jabba\'s enforcer must be taught a lesson.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '204', 'waypoint_description_6', 'Jabba\'s assassin missed Lady Valarian, but stole important financial documents.  Return the briefcase to Kavas.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '205', 'waypoint_name_1', 'VALARIAN: Cie Vos');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '206', 'waypoint_name_2', 'LADY VALARIAN: Jabba Enforcers');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '207', 'waypoint_name_3', 'LADY VALARIAN: Deliver a proclamation for Lady Valarian.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '208', 'waypoint_name_4', 'LADY VALARIAN: Pick up a gift for Ind.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '209', 'waypoint_name_5', 'LADY VALARIAN: Find and kill Jabba\'s Enforcer');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_valarian_kavas_urdano.stf', '210', 'waypoint_name_6', 'LADY VALARIAN: Retrieve the briefcase from the assassin.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_jowir.stf', '1', 'cant_work', 'Sorry. I\'m a bit busy right now. You look pretty busy, too. Why don\'t you come back later? Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_jowir.stf', '2', 'dontknowyou_1', 'Get out of here!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_jowir.stf', '3', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_jowir.stf', '4', 'next', 'I can\'t keep giving out Zicx. They\'re rare. Did you know they are impossible to destroy? It\'s mind-boggling... but true. Good day.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_jowir.stf', '5', 'notit_1', 'Like I said... I don\'t do business with anyone who wanders in out of the sand. If you\'re not on official business from Jabba the Hutt - and if you\'re not a friend of a friend, I don\'t want to waste my time with you.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_jowir.stf', '6', 'notyet', 'Who are you? I don\'t do business with just anyone. You need a voucher... or a buy order from Jabba himself! Goodbye.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_jowir.stf', '7', 'npc_1_1', 'So Goru sent you to me? To get your hands on some Zicx bugs, right? That\'s fine. Goru is a good friend. What would you say if I asked you to do me a small favor first?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_jowir.stf', '8', 'npc_2_1', 'Great! One of Valarian\'s thugs knocked off a recent delivery to Jabba\'s Palace. A specially processed jar of spice. Return it to me and I will give you a hearty measure of Zicx bugs from my private collection.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_jowir.stf', '9', 'npc_3_1', 'Well, if you see Goru again - tell him he still owes me twelve thousand credits for that stunt he pulled on Rori. (I wonder if he ever got off that rock?)');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_jowir.stf', '10', 'npc_4_1', 'Goru probably told you that I\'m in the spice business. I\'ve used my skills as a biologist to create a spice refinement method that is... astounding! Unfortunately, some of my samples have been stolen. I would like them returned to me.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_jowir.stf', '11', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_jowir.stf', '12', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_jowir.stf', '13', 'npc_backtowork_1', 'They should be just outside of town. Thrash them and retrieve my spice and I will give you a jar of fresh young Zicx that you can take back to Goru.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_jowir.stf', '14', 'npc_breech_1', 'The spice is MINE! Stay away or we\'ll destroy you!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_jowir.stf', '15', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_jowir.stf', '16', 'npc_failure_1', 'Valarian\'s thugs made off with my spice. You failed me.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_jowir.stf', '17', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_jowir.stf', '18', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_jowir.stf', '19', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_jowir.stf', '20', 'npc_noloc_1', 'Actually... you might want to come back and see me later on. There is something that I need to do at the moment.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_jowir.stf', '21', 'npc_reset', 'Fine. Why don\'t you come back later? Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_jowir.stf', '22', 'npc_reward_1', 'Thank you for retrieving the spice. Take this jar of young Zicx... and be very careful if and when you decide to approach the Sarlacc. In fact, you might want to see my friend Palu on the other side of town... she may have something you can use.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_jowir.stf', '23', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_jowir.stf', '24', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_jowir.stf', '25', 'npc_work_1', 'Did you find Valarian\'s thieves?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_jowir.stf', '26', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_jowir.stf', '27', 'player_1_1', 'I don\'t mind. Just tell me what you want and I\'ll be happy to help.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_jowir.stf', '28', 'player_2_1', 'Actually, I\'m not interested in doing any favors for you.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_jowir.stf', '29', 'player_3_1', 'What sort of favor?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_jowir.stf', '30', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_jowir.stf', '31', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_jowir.stf', '32', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_jowir.stf', '33', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_jowir.stf', '34', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_jowir.stf', '35', 'player_reset', 'I can\'t do this anymore.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_jowir.stf', '36', 'player_sorry', 'Not yet. I am still looking for them.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_jowir.stf', '37', 'return_waypoint_description_1', 'Return the spice to Jowir Ar\'Lensa to retrieve your reward.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_jowir.stf', '38', 'return_waypoint_name_1', 'Jowir Ar\'Lensa');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_jowir.stf', '39', 'waypoint_description_1', 'Some of Valarian\'s thieves have stolen specially prepared spice. Jowir needs this spice returned to him. In exchange, he will give you a jar of Zicx bugs for use in a special weapon.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_jowir.stf', '40', 'waypoint_name_1', 'Valarian Thieves');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_palu.stf', '1', 'cant_work', 'I\'m a little busy at the moment... making disease-resistant clothing and other high-quality garb for Jabba\'s elite forces. Check back with me later.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_palu.stf', '2', 'dontknowyou_1', 'Valarian\'s thugs told me that if I moved... they would disintegrate me on the spot! Please go! I don\'t want them to kill you, too.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_palu.stf', '3', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_palu.stf', '4', 'next', 'I can\'t give you anything else. If Jabba finds out that I gave you special disease-resistant equipment... which is made EXCLUSIVELY for his elite guard... he\'ll have us both killed. Now, go on. Goodbye!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_palu.stf', '5', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_palu.stf', '6', 'notyet', 'Hello. I don\'t know you. Why don\'t you go to the other side of town and see Jowir Ar\'Lensa. He loves meeting new people. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_palu.stf', '7', 'npc_1_1', 'You want my help? Then you help me, first. The palace scouts say that my sister left to come back here several hours ago... but she hasn\'t shown up. I fear the worst. Can you run to the edge of town and see if you can find my sister? Bring her back here to me?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_palu.stf', '8', 'npc_2_1', 'Thanks. When you return I will reward you with special disease-resistant equipment... none better in the galaxy. Now, please hurry!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_palu.stf', '9', 'npc_3_1', 'Are you kidding me? You don\'t have TIME to help? You better change your mind!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_palu.stf', '10', 'npc_4_1', 'Feinu. She runs errands for me. Mostly she delivers new equipment to Jabba\'s elite guard. Jabba and I have an agreement of sorts. The road from here to there is pretty dangerous. Valarian is always trying to mess things up. I worry that they have done something bad to Feinu. Will you go find her for me?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_palu.stf', '11', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_palu.stf', '12', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_palu.stf', '13', 'npc_backtowork_1', 'She was supposed to be following the road to the palace... so she could be just outside of town. Please hurry!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_palu.stf', '14', 'npc_breech_1', 'Please! Help me!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_palu.stf', '15', 'npc_dropoff_1', 'Ahh... thank you so much for helping me! Those thugs would have disintegrated me for sure!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_palu.stf', '16', 'npc_failure_1', 'How could you have let this happen?! Oh, no... no... no... What am I going to do, now?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_palu.stf', '17', 'npc_more_1_1', 'They caught me on the way back from the palace. My sister says I shouldn\'t walk the road to Wayfar by myself. Valarian\'s thugs jumped me and told me they were going to hold me for ransom.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_palu.stf', '18', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_palu.stf', '19', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_palu.stf', '20', 'npc_noloc_1', 'Wait a minute. Now that I think about it... maybe we should wait. Feinu has a new friend outside of town. Maybe she\'s stopped off for a visit?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_palu.stf', '21', 'npc_reset', 'Then I hope, for your sake ... she\'s not hurt. Jabba helps me when I need him. I may need him to teach you a lesson. Do you understand?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_palu.stf', '22', 'npc_reward_1', 'Thank you so much! Here - please take this special suit.  It is resistant to disease. Jabba\'s scouts use this type of equipment whenever they\'re around the Sarlacc. It keeps them alive.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_palu.stf', '23', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_palu.stf', '24', 'npc_takeme_1', 'Take me to my sister, please! We\'ll get revenge on these Valarian swoopers some day!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_palu.stf', '25', 'npc_work_1', 'Did you find her?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_palu.stf', '26', 'otherescort_1', 'Save yourself! Valarian\'s enforcers are trying to kill me!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_palu.stf', '27', 'player_1_1', 'Yes. I will find her and bring her back here unharmed.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_palu.stf', '28', 'player_2_1', 'No, I have no time to help you now.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_palu.stf', '29', 'player_3_1', 'Your sister?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_palu.stf', '30', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_palu.stf', '31', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_palu.stf', '32', 'player_more_1_1', 'How did they get a hold of you?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_palu.stf', '33', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_palu.stf', '34', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_palu.stf', '35', 'player_reset', 'I can\'t do this anymore.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_palu.stf', '36', 'player_sorry', 'I am still looking for her.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_palu.stf', '37', 'return_waypoint_description_1', 'Bring Feinu back to her big sister in town to collect your reward.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_palu.stf', '38', 'return_waypoint_name_1', 'Return to Palu');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_palu.stf', '39', 'waypoint_description_1', 'Valarian\'s thugs kidnapped Palu\'s little sister on her way back from the palace. Rescue her and return her to Palu\'s shop.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tato_zicx_palu.stf', '40', 'waypoint_name_1', 'Save Palu\'s little sister');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tusken_village_quest_npc.stf', '1', 'cant_work', 'Looks like you\'ve got a full plate already. Maybe you should come back later.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tusken_village_quest_npc.stf', '2', 'next', 'Thanks to your brave efforts, we are about ready to move back in. Just planning our attack on the remaining Tusken Raiders. Thank you again for all your invaluable help.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tusken_village_quest_npc.stf', '3', 'notit_1', 'Hm...that\'s not exactly what I was looking for.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tusken_village_quest_npc.stf', '4', 'notyet', 'I\'m sorry, I can\'t speak with you just yet...');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tusken_village_quest_npc.stf', '5', 'npc_1_1', 'Our village has been attacked by Tusken Raiders! It was horrible, so many of my friends fell so swiftly, so few of us got away...');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tusken_village_quest_npc.stf', '6', 'npc_2_1', 'Thank you! Thank you!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tusken_village_quest_npc.stf', '7', 'npc_3_1', 'Nobody cares about anyone but themselves anymore! If you can\'t help, you should just get out of here!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tusken_village_quest_npc.stf', '8', 'npc_4_1', 'They\'re still in the village, looting and burning our homes! Tuskens are cowards when faced with a strong foe though. If you could take out their leader, they won\'t stand when we take back what is ours!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tusken_village_quest_npc.stf', '9', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tusken_village_quest_npc.stf', '10', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tusken_village_quest_npc.stf', '11', 'npc_backtowork_1', 'They are still in the village, won\'t you do something?!?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tusken_village_quest_npc.stf', '12', 'npc_failure_1', 'You are pathetic! You couldn\'t kill a one legged wamp rat without getting knocked down!');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tusken_village_quest_npc.stf', '13', 'npc_noloc_1', 'I\'m uh.. wait.. no.. Uh.. Come back later.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tusken_village_quest_npc.stf', '14', 'npc_reset', 'Well, thanks for trying! Maybe you can come back when you are more capable.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tusken_village_quest_npc.stf', '15', 'npc_reward_1', 'He\'s dead? We are forever in your debt. The survivors of our village has gathered what we could to show our appreciation for your heroism. It\'s not much, but all we have, please accept it.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tusken_village_quest_npc.stf', '16', 'npc_work_1', 'Have you killed them yet? Have you killed their \"King.\"');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tusken_village_quest_npc.stf', '17', 'player_1_1', 'I will try to help. I\'ll go to your village and see what I can do.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tusken_village_quest_npc.stf', '18', 'player_2_1', 'Sorry, I don\'t think I can handle that right now.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tusken_village_quest_npc.stf', '19', 'player_3_1', 'I\'m so sorry. Is there anything I can do to help?');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tusken_village_quest_npc.stf', '20', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tusken_village_quest_npc.stf', '21', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tusken_village_quest_npc.stf', '22', 'player_reset', 'I don\'t think I can handle this job.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tusken_village_quest_npc.stf', '23', 'player_sorry', 'I think I can help you now.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tusken_village_quest_npc.stf', '24', 'waypoint_name_1', 'Pillaged village');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tusken_village_quest_npc.stf', '25', 'waypoint_description_1', 'This village is currently overrun with Tusken Raiders.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tusken_village_quest_npc.stf', '26', 'return_waypoint_name_1', 'Tolan Nokkar');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tusken_village_quest_npc.stf', '27', 'return_waypoint_description_1', 'Return and inform Tolan Nokkar that the Tusken King has fallen.');
INSERT INTO `client_strings` VALUES ('string/en/spawning/static_npc/tusken_village_quest_npc.stf', '28', 'default', '');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '1', 'human', 'Human');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '2', 'rodian', 'Rodian');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '3', 'trandoshan', 'Trandoshan');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '4', 'moncalamari', 'Mon Calamari');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '5', 'wookiee', 'Wookiee');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '6', 'bothan', 'Bothan');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '7', 'twilek', 'Twi\'lek');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '8', 'zabrak', 'Zabrak');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '9', 'abyssin', 'Abyssin');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '10', 'aqualish', 'Aqualish');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '11', 'arcona', 'Arcona');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '12', 'askajian', 'Askajian');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '13', 'bith', 'Bith');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '14', 'bomarrmonk', 'Bomarr Monk');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '15', 'chadrafan', 'Chadra Fan');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '16', 'chevin', 'Chevin');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '17', 'dantari', 'Dantari');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '18', 'devaronian', 'Devaronian');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '19', 'drall', 'Drall');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '20', 'dug', 'Dug');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '21', 'duros', 'Duros');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '22', 'elomin', 'Elomin');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '23', 'ewok', 'Ewok');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '24', 'feeorin', 'Feeorin');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '25', 'frogdog', 'Frog Dog');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '26', 'gamorrean', 'Gamorrean');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '27', 'gorax', 'Gorax');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '28', 'gotal', 'Gotal');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '29', 'gran', 'Gran');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '30', 'gungan', 'Gungan');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '31', 'gupin', 'Gupin');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '32', 'hutt', 'Hutt');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '33', 'ishitib', 'IshiTib');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '34', 'ithorian', 'Ithorian');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '35', 'jawa', 'Jawa');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '36', 'kiffu', 'Kiffu');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '37', 'kitonak', 'Kitonak');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '38', 'klatooinian', 'Klatooinian');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '39', 'kowakianmonkeylizard', 'Kowakian Monkey Lizard');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '40', 'kubaz', 'Kubaz');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '41', 'marauder', 'Marauder');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '42', 'massassiwarrior', 'Massassi Warrior');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '43', 'nikto', 'Nikto');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '44', 'ortolan', 'Ortolan');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '45', 'palowick', 'Palowick');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '46', 'phlog', 'Phlog');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '47', 'quarren', 'Quarren');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '48', 'selonian', 'Selonian');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '49', 'shistavanen', 'Shistavanen');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '50', 'sullustan', 'Sullustan');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '51', 'talz', 'Talz');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '52', 'teek', 'Teek');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '53', 'tulgah', 'Tulgah');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '54', 'toydarian', 'Toydarian');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '55', 'tuskenraider', 'Tusken Raider');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '56', 'weequay', 'Weequay');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '57', 'whiffid', 'Whiphid');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '58', 'wistie', 'Wistie');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '59', 'yuzzum', 'Yuzzum');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '60', 'angler', 'Angler');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '61', 'bageraset', 'Bageraset');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '62', 'bantha', 'Bantha');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '63', 'barkmite', 'BarkMite');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '64', 'baznitch', 'BazNitch');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '65', 'beardedjax', 'Bearded Jax');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '66', 'blackfish', 'Blackfish');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '67', 'blistmok', 'Blistmok');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '68', 'bluefish', 'Bluefish');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '69', 'blurrg', 'Blurrg');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '70', 'boarwolf', 'BoarWolf');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '71', 'bocatt', 'Bocatt');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '72', 'bol', 'Bol');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '73', 'bollebol', 'BolleBol');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '74', 'bolma', 'Bolma');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '75', 'bordok', 'Bordok');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '76', 'borgle', 'Borgle');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '77', 'brackaset', 'Brackaset');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '78', 'capperspineflap', 'Capper Spineflap');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '79', 'carrionspat', 'Carrion Spat');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '80', 'choku', 'Choku');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '81', 'chuba', 'Chuba');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '82', 'coloclawfish', 'ColoClawFish');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '83', 'condordragon', 'CondorDragon');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '84', 'corelliansandpanther', 'Corellian Sand Panther');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '85', 'corellianslicehound', 'Corellian Slice Hound');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '86', 'crownedrasp', 'Crowned Rasp');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '87', 'crystalsnake', 'Crystal Snake');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '88', 'cupa', 'CuPa');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '89', 'dalyrake', 'Dalyrake');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '90', 'dewback', 'Dewback');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '91', 'dunelizard', 'Dune Lizard');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '92', 'durni', 'Durni');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '93', 'dwarfnuna', 'Dwarf Nuna');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '94', 'eopie', 'Eopie');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '95', 'faa', 'Faa');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '96', 'falumpaset', 'Falumpaset');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '97', 'fambaa', 'Fambaa');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '98', 'fannedrawl', 'Fanned Rawl');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '99', 'flewt', 'Flewt');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '100', 'flit', 'Flit');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '101', 'fliterasp', 'FliteRasp');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '102', 'fynock', 'Fynock');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '103', 'gacklebat', 'GackleBat');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '104', 'gapingspider', 'GapingSpider');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '105', 'gekk', 'Gekk');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '106', 'gnort', 'Gnort');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '107', 'graul', 'Graul');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '108', 'greatgrassplainstuskcat', 'Great Grass Plains Tusk Cat');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '109', 'gronda', 'Gronda');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '110', 'gualama', 'Gualama');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '111', 'gubbur', 'Gubbur');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '112', 'gufdrolg', 'Guf Drolg');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '113', 'gulginaw', 'Gulginaw');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '114', 'gurk', 'Gurk');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '115', 'gurnaset', 'Gurnaset');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '116', 'gurrek', 'Gurrek');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '117', 'hanadak', 'Hanadak');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '118', 'hermitspider', 'HermitSpider');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '119', 'hornedkrevol', 'Horned Krevol');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '120', 'hornedrasp', 'Horned Rasp');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '121', 'hufdun', 'Huf Dun');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '122', 'huurton', 'Huurton');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '123', 'ikopi', 'Ikopi');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '124', 'jellyfish', 'Jellyfish');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '125', 'kaadu', 'Kaadu');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '126', 'kaitok', 'Kaitok');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '127', 'kima', 'Kima');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '128', 'kimogila', 'Kimogila');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '129', 'kittle', 'Kittle');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '130', 'kliknik', 'Kliknik');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '131', 'krahbu', 'Krahbu');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '132', 'kraytdragon', 'Krayt Dragon');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '133', 'kupernug', 'Kupernug');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '134', 'kusak', 'Kusak');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '135', 'kwi', 'Kwi');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '136', 'laa', 'Laa');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '137', 'langlatch', 'Langlatch');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '138', 'lanternbird', 'Lantern Bird');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '139', 'malkloc', 'Malkloc');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '140', 'mamien', 'Mamien');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '141', 'mawgax', 'Mawgax');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '142', 'merek', 'Merek');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '143', 'mott', 'Mott');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '144', 'murra', 'Murra');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '145', 'mynock', 'Mynock');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '146', 'narglatch', 'Narglatch');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '147', 'nerf', 'Nerf');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '148', 'nuna', 'Nuna');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '149', 'opeeseakiller', 'OpeeSeaKiller');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '150', 'predatorialbutterfly', 'Predatorial Butterfly');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '151', 'pekopeko', 'Peko Peko');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '152', 'perlek', 'Perlek');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '153', 'pharple', 'Pharple');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '154', 'piket', 'Piket');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '155', 'plumedrasp', 'Plumed Rasp');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '156', 'pufferfish', 'Pufferfish');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '157', 'pugoriss', 'Pugoriss');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '158', 'purbole', 'Purbole');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '159', 'quenker', 'Quenker');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '160', 'qurvel', 'Qurvel');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '161', 'rancor', 'Rancor');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '162', 'ray', 'Ray');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '163', 'remmer', 'Remmer');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '164', 'reptilianflyer', 'Reptilian Flyer');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '165', 'roba', 'Roba');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '166', 'rockmite', 'RockMite');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '167', 'ronto', 'Ronto');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '168', 'saltmynock', 'SaltMynock');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '169', 'sarlacc', 'Sarlacc');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '170', 'scurrier', 'Scurrier');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '171', 'sharnaff', 'Sharnaff');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '172', 'shaupaut', 'Shaupaut');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '173', 'shearmite', 'ShearMite');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '174', 'skreeg', 'Skreeg');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '175', 'snorbal', 'Snorbal');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '176', 'spinedpuc', 'SpinedPuc');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '177', 'spinedsnake', 'Spined Snake');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '178', 'squall', 'Squall');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '179', 'squill', 'Squill');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '180', 'stintaril', 'Stintaril');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '181', 'stripedfish', 'Striped Fish');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '182', 'swirlprong', 'Swirl Prong');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '183', 'tancmite', 'TancMite');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '184', 'tauntaun', 'TaunTaun');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '185', 'tesselatedarborealbinjinphant', 'Tesselated Arboreal Binjinphant');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '186', 'thune', 'Thune');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '187', 'torton', 'Torton');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '188', 'tybis', 'Tybis');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '189', 'veermok', 'Veermok');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '190', 'verne', 'Verne');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '191', 'vesp', 'Vesp');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '192', 'virvur', 'VirVur');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '193', 'vlutore', 'Vlutore');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '194', 'vogeel', 'VogEel');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '195', 'voritorlizard', 'Voritor Lizard');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '196', 'vynock', 'Vynock');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '197', 'whisperbird', 'Whisper Bird');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '198', 'wingedornith', 'WingedOrnith');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '199', 'womprat', 'WompRat');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '200', 'woolamander', 'Woolamander');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '201', 'worrt', 'Worrt');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '202', 'zuccaboar', 'ZuccaBoar');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '203', 'assassindroid', 'Assassin Droid');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '204', 'astromech', 'Astromech');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '205', 'bartenderdroid', 'Bartender Droid');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '206', 'bugdroid', 'BugDroid');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '207', 'darktrooper', 'Darktrooper');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '208', 'demolitionmech', 'Demolitionmech');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '209', 'doordroid', 'Door Droid');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '210', 'droideka', 'Droideka');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '211', 'interrogator', 'Interrogator');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '212', 'jeditrainer', 'Jedi Trainer');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '213', 'loadlifter', 'Load Lifter');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '214', 'mousedroid', 'Mouse Droid');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '215', 'powerdroid', 'Power Droid');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '216', 'probot', 'Probot');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '217', 'protocoldroid', 'Protocol Droid');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '218', 'repairdroid', 'Repair Droid');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '219', 'spiderdroid', 'Spider Droid');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '220', 'surgicaldroid', 'Surgical Droid');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '221', 'tattletaledroid', 'Tattletale Droid');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '222', 'trackerdroid', 'Tracker Droid');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '223', 'treadwell', 'Treadwell');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '224', 'ev9d9', 'EV-9D9');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '225', 'maulprobedroid', 'Maul Probe Droid');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '226', 'atst', 'AT-ST');
INSERT INTO `client_strings` VALUES ('string/en/species.stf', '227', 'atat', 'AT-AT');
INSERT INTO `client_strings` VALUES ('string/en/spice/spice.stf', '1', 'bio_kliknik_fortitude_boost_consume', 'Your innards harden.');
INSERT INTO `client_strings` VALUES ('string/en/spice/spice.stf', '2', 'bio_kliknik_fortitude_boost_done', 'The weakness passes as your body completes its cleansing.');
INSERT INTO `client_strings` VALUES ('string/en/spice/spice.stf', '3', 'bio_kliknik_fortitude_boost_downer', 'You weaken as your inner armor begins to dissolve.');
INSERT INTO `client_strings` VALUES ('string/en/spice/spice.stf', '4', 'bio_kwi_adrenal_boost_consume', 'Your body tingles as the adrenalin courses through your veins.');
INSERT INTO `client_strings` VALUES ('string/en/spice/spice.stf', '5', 'bio_kwi_adrenal_boost_done', 'You regain your composure.');
INSERT INTO `client_strings` VALUES ('string/en/spice/spice.stf', '6', 'bio_kwi_adrenal_boost_downer', 'You feel cold and begin to shake as the adrenalin dissipates.');
INSERT INTO `client_strings` VALUES ('string/en/spice/spice.stf', '7', 'booster_blue_consume', 'You consume the Booster Blue and feel a boost to your physical speed.');
INSERT INTO `client_strings` VALUES ('string/en/spice/spice.stf', '8', 'booster_blue_done', 'Your reaction time returns to normal as your body adjusts to the lack of Booster Blue.');
INSERT INTO `client_strings` VALUES ('string/en/spice/spice.stf', '9', 'booster_blue_downer', 'Your reaction time slows considerably as the Booster Blue\'s effects fade.');
INSERT INTO `client_strings` VALUES ('string/en/spice/spice.stf', '10', 'crash_n_burn_consume', 'You become intensely aware of your surroundings and filled with a sense of apathy.');
INSERT INTO `client_strings` VALUES ('string/en/spice/spice.stf', '11', 'crash_n_burn_done', 'The feeling of apathy from the Crash n\' Burn leaves you.');
INSERT INTO `client_strings` VALUES ('string/en/spice/spice.stf', '12', 'crash_n_burn_downer', 'The awareness enhancing effects of the Crash n\' Burn fade, but the feeling of apathy intensifies.');
INSERT INTO `client_strings` VALUES ('string/en/spice/spice.stf', '13', 'droid_lube_consume', 'The zypolene burns as you apply it, causing you to feel more resiliant.');
INSERT INTO `client_strings` VALUES ('string/en/spice/spice.stf', '14', 'droid_lube_done', 'The zypolene induced vulnerability has ended.');
INSERT INTO `client_strings` VALUES ('string/en/spice/spice.stf', '15', 'droid_lube_downer', 'The zypolene\'s effects fade, leaving you feeling vulnerable.');
INSERT INTO `client_strings` VALUES ('string/en/spice/spice.stf', '16', 'giggledust_consume', 'You feel light headed and filled with euphoria.');
INSERT INTO `client_strings` VALUES ('string/en/spice/spice.stf', '17', 'giggledust_done', 'The depression of the absense of Giggledust has faded.');
INSERT INTO `client_strings` VALUES ('string/en/spice/spice.stf', '18', 'giggledust_downer', 'The sense of euphoria from the Giggledust fades, leaving you feeling depressed.');
INSERT INTO `client_strings` VALUES ('string/en/spice/spice.stf', '19', 'grey_gabaki_consume', 'The Grey Gabaki fills you with a sharp sense of focus.');
INSERT INTO `client_strings` VALUES ('string/en/spice/spice.stf', '20', 'grey_gabaki_done', 'The drowsy feeling of the Grey Gabaki has passed.');
INSERT INTO `client_strings` VALUES ('string/en/spice/spice.stf', '21', 'grey_gabaki_downer', 'The focusing effects of the Grey Gabaki have left you feeling drowsy.');
INSERT INTO `client_strings` VALUES ('string/en/spice/spice.stf', '22', 'gunjack_consume', 'The Gunjack burns in your throat.  You feel an intense rush of physical strength.');
INSERT INTO `client_strings` VALUES ('string/en/spice/spice.stf', '23', 'gunjack_done', 'The sluggishness induced by the Gunjack seems to be gone.');
INSERT INTO `client_strings` VALUES ('string/en/spice/spice.stf', '24', 'gunjack_downer', 'The Gunjack\'s effects dissipate leaving you feeling weak and sluggish.');
INSERT INTO `client_strings` VALUES ('string/en/spice/spice.stf', '25', 'kliknik_boost_consume', 'Your innards harden.');
INSERT INTO `client_strings` VALUES ('string/en/spice/spice.stf', '26', 'kliknik_boost_done', 'The weakness passes as your body completes its cleansing.');
INSERT INTO `client_strings` VALUES ('string/en/spice/spice.stf', '27', 'kliknik_boost_downer', 'You weaken as your inner armor begins to dissolve.');
INSERT INTO `client_strings` VALUES ('string/en/spice/spice.stf', '28', 'kwi_boost_consume', 'Your body tingles as the adrenalin courses through your veins.');
INSERT INTO `client_strings` VALUES ('string/en/spice/spice.stf', '29', 'kwi_boost_done', 'You regain your composure.');
INSERT INTO `client_strings` VALUES ('string/en/spice/spice.stf', '30', 'kwi_boost_downer', 'You feel cold and begin to shake as the adrenalin dissipates.');
INSERT INTO `client_strings` VALUES ('string/en/spice/spice.stf', '31', 'muon_gold_consume', 'The Muon Gold irradiates your body increasing your mental clarity and focus.');
INSERT INTO `client_strings` VALUES ('string/en/spice/spice.stf', '32', 'muon_gold_done', 'The negative effects of the Muon Gold seem to have passed.');
INSERT INTO `client_strings` VALUES ('string/en/spice/spice.stf', '33', 'muon_gold_downer', 'The Muon Gold fades, leaves your mind feeling weak and slow.');
INSERT INTO `client_strings` VALUES ('string/en/spice/spice.stf', '34', 'neutron_pixey_consume', 'As you consume the Neutron Pixie you begin to feel light headed.');
INSERT INTO `client_strings` VALUES ('string/en/spice/spice.stf', '35', 'neutron_pixey_done', 'The negative effects of the Neutron Pixie seem to have left your body.');
INSERT INTO `client_strings` VALUES ('string/en/spice/spice.stf', '36', 'neutron_pixey_downer', 'The mind enhancing effects of the Neutron Pixie leave.  You have to fight to retain consciousness.');
INSERT INTO `client_strings` VALUES ('string/en/spice/spice.stf', '37', 'pyrepenol_consume', 'As you swallow the pyrepenol, you suddenly feel your muscles surge with strength.');
INSERT INTO `client_strings` VALUES ('string/en/spice/spice.stf', '38', 'pyrepenol_done', 'The aches in your muscles have ended.');
INSERT INTO `client_strings` VALUES ('string/en/spice/spice.stf', '39', 'pyrepenol_downer', 'Your stength enhancement fades, leaving your muscles sore and weak.');
INSERT INTO `client_strings` VALUES ('string/en/spice/spice.stf', '40', 'scramjet_consume', 'Your muscles burst with new strength as you consume the Scramjet.');
INSERT INTO `client_strings` VALUES ('string/en/spice/spice.stf', '41', 'scramjet_done', 'You no longer feel weak.');
INSERT INTO `client_strings` VALUES ('string/en/spice/spice.stf', '42', 'scramjet_downer', 'The strength enhancing effects of the Scramjet pass, leaving you feeling weakened.');
INSERT INTO `client_strings` VALUES ('string/en/spice/spice.stf', '43', 'sedative_h4b_consume', 'As you inject the sedative, your sense of feeling deadens.');
INSERT INTO `client_strings` VALUES ('string/en/spice/spice.stf', '44', 'sedative_h4b_done', 'The sedative\'s aftereffects have faded.');
INSERT INTO `client_strings` VALUES ('string/en/spice/spice.stf', '45', 'sedative_h4b_downer', 'The effects of the sedative fade leaving you intensely sensitive to wounds.');
INSERT INTO `client_strings` VALUES ('string/en/spice/spice.stf', '46', 'shadowpaw_consume', 'You feel an increase in your reaction speed.');
INSERT INTO `client_strings` VALUES ('string/en/spice/spice.stf', '47', 'shadowpaw_done', 'The decrease in your reaction speed seems to have passed.');
INSERT INTO `client_strings` VALUES ('string/en/spice/spice.stf', '48', 'shadowpaw_downer', 'Your reaction speed has slowed considerably.');
INSERT INTO `client_strings` VALUES ('string/en/spice/spice.stf', '49', 'sweetblossom_consume', 'Aches and pains leave your body as the Sweetblossom takes effect.');
INSERT INTO `client_strings` VALUES ('string/en/spice/spice.stf', '50', 'sweetblossom_done', 'The effects of the Sweetblossom have left your system.');
INSERT INTO `client_strings` VALUES ('string/en/spice/spice.stf', '51', 'sweetblossom_downer', 'As the anaesthetic Sweetblossom fades, your wounds suddenly feel sharply more painful.');
INSERT INTO `client_strings` VALUES ('string/en/spice/spice.stf', '52', 'sys_already_spiced', 'You are already under the influence of spice.');
INSERT INTO `client_strings` VALUES ('string/en/spice/spice.stf', '53', 'thruster_head_consume', 'You feel a rush of mental awareness and a massive increase in your mental capabilities.');
INSERT INTO `client_strings` VALUES ('string/en/spice/spice.stf', '54', 'thruster_head_done', 'The intense nausea seems to have left.');
INSERT INTO `client_strings` VALUES ('string/en/spice/spice.stf', '55', 'thruster_head_downer', 'The mind enhancement of the Thruster Head leaves you wracked with nausea.');
INSERT INTO `client_strings` VALUES ('string/en/spice/spice.stf', '56', 'yarrock_consume', 'Lights flash before your eyes as the Yarrock expands your mind.');
INSERT INTO `client_strings` VALUES ('string/en/spice/spice.stf', '57', 'yarrock_done', 'The headache from the Yarrock seems to have gone.');
INSERT INTO `client_strings` VALUES ('string/en/spice/spice.stf', '58', 'yarrock_downer', 'The mind enhance effects of the Yarrock dissipate leaving you with a splitting headache.');
INSERT INTO `client_strings` VALUES ('string/en/squad_leader.stf', '1', 'squad_leader_command', 'Squad Leader %TT: %TO.');
INSERT INTO `client_strings` VALUES ('string/en/state_d.stf', '1', 'aiming', 'Aiming increases the chances of successfully hitting a target.');
INSERT INTO `client_strings` VALUES ('string/en/state_d.stf', '2', 'alert', 'A meditative state used to focus powerful inner energies.');
INSERT INTO `client_strings` VALUES ('string/en/state_d.stf', '3', 'berserk', 'When someone is berserk, they hit harder but get hit more often.');
INSERT INTO `client_strings` VALUES ('string/en/state_d.stf', '4', 'bleeding', 'Bleeding can adversely affect various stat pools.  It can be stopped if a medic successfully applies First Aid.');
INSERT INTO `client_strings` VALUES ('string/en/state_d.stf', '5', 'blinded', 'While blinded, combat accuracy falls dramatically.');
INSERT INTO `client_strings` VALUES ('string/en/state_d.stf', '6', 'blocking', 'Blocking - Cut - Please bug report this string if seen in game.');
INSERT INTO `client_strings` VALUES ('string/en/state_d.stf', '7', 'combat', 'This displays if a player, NPC, or creature is in combat.');
INSERT INTO `client_strings` VALUES ('string/en/state_d.stf', '8', 'cover', 'Cover gives a defensive bonus and allows the use of Surprise Shot.  It makes its benefactor immobile unless they have Sneak.');
INSERT INTO `client_strings` VALUES ('string/en/state_d.stf', '9', 'diseased', 'Disease can cause wounds to various attributes, and generally causes these wounds slowly.  It can be cured if a doctor successfully uses Cure Disease medicines.');
INSERT INTO `client_strings` VALUES ('string/en/state_d.stf', '10', 'dizzy', 'Being dizzy makes it possible to fall down when changing postures.');
INSERT INTO `client_strings` VALUES ('string/en/state_d.stf', '11', 'driving', 'Driving a vehicle limits what additional actions you can attempt.');
INSERT INTO `client_strings` VALUES ('string/en/state_d.stf', '12', 'feigndeath', 'A feigned death can trick enemies into believing that their target is really dead.');
INSERT INTO `client_strings` VALUES ('string/en/state_d.stf', '13', 'frozen', 'When one is frozen, they are unable to run or walk.');
INSERT INTO `client_strings` VALUES ('string/en/state_d.stf', '14', 'immobilized', 'When one is immobilized, they are unable to run or walk.');
INSERT INTO `client_strings` VALUES ('string/en/state_d.stf', '15', 'intimidated', 'Those who are intimidated do not hit as often.');
INSERT INTO `client_strings` VALUES ('string/en/state_d.stf', '16', 'maskscent', 'A masked scent may prevent aggressive creatures from attacking players who approach them.');
INSERT INTO `client_strings` VALUES ('string/en/state_d.stf', '17', 'meditate', 'Meditate');
INSERT INTO `client_strings` VALUES ('string/en/state_d.stf', '18', 'mountedcreature', 'Currently carrying a rider.');
INSERT INTO `client_strings` VALUES ('string/en/state_d.stf', '19', 'onfire', 'Fire!!  This quickly damages stat pools while also creating wound damage.');
INSERT INTO `client_strings` VALUES ('string/en/state_d.stf', '20', 'peace', 'Peace shows that somebody has ceased hostilities towards their combat target.');
INSERT INTO `client_strings` VALUES ('string/en/state_d.stf', '21', 'pilotingship', 'Piloting a ship allows space travel and combat.');
INSERT INTO `client_strings` VALUES ('string/en/state_d.stf', '22', 'poisoned', 'Poison can adversely affect various stat pools, and causes its damage rather quickly.  It can be cured if a doctor successfully uses Cure Poison medicine.');
INSERT INTO `client_strings` VALUES ('string/en/state_d.stf', '23', 'rallied', 'Rallied is a group-wide bonus to hit percentage.');
INSERT INTO `client_strings` VALUES ('string/en/state_d.stf', '24', 'ridingmount', 'Riding a mount limits what additional actions you can attempt.');
INSERT INTO `client_strings` VALUES ('string/en/state_d.stf', '25', 'sittingonchair', 'Sitting on a chair.');
INSERT INTO `client_strings` VALUES ('string/en/state_d.stf', '26', 'sneaking', 'Sneaking allows you to slowly move around while Taking Cover.');
INSERT INTO `client_strings` VALUES ('string/en/state_d.stf', '27', 'stunned', 'The stunned state takes away a round of combat and temporarily lowers some stats.');
INSERT INTO `client_strings` VALUES ('string/en/state_d.stf', '28', 'swimming', 'Swimming allows you to wade through deep water.');
INSERT INTO `client_strings` VALUES ('string/en/state_d.stf', '29', 'tef', 'A Temporary Enemy Flag is acquired when you perform an action which temporarily makes you an enemy of some faction.');
INSERT INTO `client_strings` VALUES ('string/en/state_d.stf', '30', 'tumbling', 'Tumbling gives a defensive bonus to whoever is in that state.');
INSERT INTO `client_strings` VALUES ('string/en/state_d.stf', '31', 'shipinterior', 'Inside a starship interior.');
INSERT INTO `client_strings` VALUES ('string/en/state_d.stf', '32', 'shipgunner', 'Manning a weapon on a starship.');
INSERT INTO `client_strings` VALUES ('string/en/state_d.stf', '33', 'pilotingpobship', 'Piloting a ship allows space travel and combat.');
INSERT INTO `client_strings` VALUES ('string/en/state_d.stf', '34', 'shipoperations', 'While using the Ship Operations station, a pilot can execute special abilities and droid programs.');
INSERT INTO `client_strings` VALUES ('string/en/state_n.stf', '1', 'cover', 'Under Cover');
INSERT INTO `client_strings` VALUES ('string/en/state_n.stf', '2', 'combat', 'Fighting');
INSERT INTO `client_strings` VALUES ('string/en/state_n.stf', '3', 'peace', 'Peaced');
INSERT INTO `client_strings` VALUES ('string/en/state_n.stf', '4', 'aiming', 'Aiming');
INSERT INTO `client_strings` VALUES ('string/en/state_n.stf', '6', 'berserk', 'Berserk');
INSERT INTO `client_strings` VALUES ('string/en/state_n.stf', '7', 'feigndeath', 'Feign Death');
INSERT INTO `client_strings` VALUES ('string/en/state_n.stf', '8', 'tumbling', 'Tumbling');
INSERT INTO `client_strings` VALUES ('string/en/state_n.stf', '9', 'rallied', 'Rallied');
INSERT INTO `client_strings` VALUES ('string/en/state_n.stf', '10', 'stunned', 'Stunned');
INSERT INTO `client_strings` VALUES ('string/en/state_n.stf', '11', 'blinded', 'Blinded');
INSERT INTO `client_strings` VALUES ('string/en/state_n.stf', '12', 'dizzy', 'Dizzy');
INSERT INTO `client_strings` VALUES ('string/en/state_n.stf', '13', 'intimidated', 'Intimidated');
INSERT INTO `client_strings` VALUES ('string/en/state_n.stf', '14', 'immobilized', 'Immobilized');
INSERT INTO `client_strings` VALUES ('string/en/state_n.stf', '15', 'frozen', 'Frozen');
INSERT INTO `client_strings` VALUES ('string/en/state_n.stf', '16', 'swimming', 'Swimming');
INSERT INTO `client_strings` VALUES ('string/en/state_n.stf', '17', 'sittingonchair', 'Sitting On Chair');
INSERT INTO `client_strings` VALUES ('string/en/state_n.stf', '18', 'maskscent', 'Scent Masked');
INSERT INTO `client_strings` VALUES ('string/en/state_n.stf', '19', 'poisoned', 'Poisoned');
INSERT INTO `client_strings` VALUES ('string/en/state_n.stf', '20', 'bleeding', 'Bleeding');
INSERT INTO `client_strings` VALUES ('string/en/state_n.stf', '21', 'diseased', 'Diseased');
INSERT INTO `client_strings` VALUES ('string/en/state_n.stf', '22', 'onfire', 'On Fire!');
INSERT INTO `client_strings` VALUES ('string/en/state_n.stf', '23', 'blocking', 'Blocking');
INSERT INTO `client_strings` VALUES ('string/en/state_n.stf', '24', 'meditate', 'Meditate');
INSERT INTO `client_strings` VALUES ('string/en/state_n.stf', '25', 'alert', 'Meditating');
INSERT INTO `client_strings` VALUES ('string/en/state_n.stf', '26', 'tef', 'Temporary Enemy Flag');
INSERT INTO `client_strings` VALUES ('string/en/state_n.stf', '27', 'ridingmount', 'Riding a Mount');
INSERT INTO `client_strings` VALUES ('string/en/state_n.stf', '28', 'mountedcreature', 'Mounted');
INSERT INTO `client_strings` VALUES ('string/en/state_n.stf', '29', 'driving', 'Driving');
INSERT INTO `client_strings` VALUES ('string/en/state_n.stf', '30', 'pilotingship', 'Piloting a Ship');
INSERT INTO `client_strings` VALUES ('string/en/state_n.stf', '31', 'shipoperations', 'Ship Operations');
INSERT INTO `client_strings` VALUES ('string/en/state_n.stf', '32', 'shipinterior', 'Inside a ship Interior');
INSERT INTO `client_strings` VALUES ('string/en/state_n.stf', '33', 'pilotingpobship', 'Piloting a Ship');
INSERT INTO `client_strings` VALUES ('string/en/state_n.stf', '34', 'shipgunner', 'Ship Gunner');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '1', 'next', 'You\'d like to see the Diktat? Please go right in.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '2', 'cantwork', 'I\'m afraid the Diktat is busy right now. You look a bit busy yourself, or I might have a job for you. See me later, maybe.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '3', 'npc_reset', 'If you can\'t accomplish that one little task, I\'ll be hard pressed to convince the Diktat it\'s worthwhile to see you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '4', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '5', 'npc_1_1', 'You\'d like to see the Diktat? You and a lot of others. I\'m his aide. I don\'t suppose you brought me something? Some nice little gift? No? Well then, you might want to do me a favor. Another person much like yourself also wants to see the Diktat. He\'s called to say he has a nice little gift ready for me. Would you care to bring it here?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '6', 'npc_2_1', 'That\'s nice of you. Let\'s see, this gift is coming from a merchant, a Devaronian named Midgoss D\'la -- Dalla -- my, I can hardly pronounce this. It doesn\'t matter. I don\'t know what he\'s giving, so please hurry when you bring it back.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '7', 'npc_3_1', 'I\'m sorry you can\'t take care of this little favor. I\'m afraid the Diktat is very busy right now, and for the rest of the day. Maybe longer.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '8', 'npc_4_1', 'What do I like? Oh, you know -- good food, a nice bottle of Corellian Double Brandy -- interesting new gadgets, kitchenware, stock options -- a nice house with a prime view -- Really, this position has a high turnover, so I have to consolidate my portfolio quickly, and in many ways. So, will you do me the favor of picking up my little gift?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '9', 'npc_backtowork_1', 'I\'ve told you all I can. It\'s just a small favor. Will you go now?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '10', 'npc_reward_1', 'Ooh, what did he send me? It\'s a -- umm. A Devaronian fur glosser. Well. That was remarkably thoughtless. All right, thanks for nothing. I\'m afraid the Diktat is still busy, goodbye.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '11', 'npc_work_1', 'I\'m sorry to say the Diktat is still busy. Not to change the subject, but did you pick up that little gift for me yet? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '12', 'npc_noloc_1', 'Hold on, the Diktat is calling me. Talk to me again in a moment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '13', 'npc_failure_1', 'You couldn\'t pick up that little item for me? How disappointing. I\'m afraid the Diktat is still busy, and likely to remain so.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '14', 'otherescort_1', 'I am not being the person you are seeking, no.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '15', 'dontknowyou_1', 'I am not being the person you are seeking, no.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '16', 'npc_breech_1', 'Hah! I am calling to you, friend, if you are arriving here from the Diktat\'s aide\'s office, yes!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '17', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '18', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '19', 'npc_smuggle_1', 'Friend! Truly I am in the bad spot, so shortly after I did arrive here on Corellia. Most egregiously was I sucked dry of credits by the dirty fink confidence artist Zoda Burb. Via you, I am giving to the Diktat\'s human aide, Brantlee Somebody, this specimen model thing of my finest wares! I am hoping she will be letting me see the Diktat, so he can be locating and arresting the lousy crook Zoda Burb! Go! Yes!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '20', 'gotowork_1', 'You are to be taking my things and stuff to the Diktat\'s aide person lady! Stop being here! Be there! Go, go, go!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '21', 'notit_1', 'I was expecting a nice gift from that Devaronian. This doesn\'t look like it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '26', 'player_3_1', 'What sorts of \"little gifts\" do you like?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '27', 'npc_1_2', 'I\'m sorry, the Diktat is still busy. But I do have a little favor I might ask of you. Another citizen who is, like yourself, looking to get the Diktat\'s attention has very kindly offered me a nice little gift. I wonder if you\'d pick up this one for me? That would be such a nice favor -- I\'m sure the Diktat would appreciate your kindness.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '28', 'npc_2_2', 'Oh, that\'s so nice. You\'re looking for a Corellian man named Zoda Burb. His application says he\'s \"a small businessman engaged in a variety of projects.\" Neonian Red Cheese -- mm, mmm! Please hurry!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '29', 'npc_3_2', 'I\'m sorry you can\'t go get even a dollop of that Red Cheese. I\'m afraid the Diktat is very busy right now, and for the rest of the day. Maybe longer.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '30', 'npc_4_2', 'I\'m told that this citizen has imported a container of Neonian Red Cheese. Have you had it? Oooh, so delicately delicious. I love that stuff. That\'s a nice way to grab my attention, just for future reference. I wish you\'d bring it here. Will you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '31', 'npc_backtowork_2', 'I\'ve told you all I can. It\'s just a small favor. Will you go now?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '32', 'npc_reward_2', 'Neonian Red Cheese, yum! This is the greatest job. I get presents all day from total strangers. Here\'s a little present for you, too. Oh, the Diktat? Sorry, he\'s still busy. But check with me again soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '33', 'npc_work_2', 'I\'m sorry to say the Diktat is still busy. Not to change the subject, but did you pick up that little gift for me yet? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '34', 'npc_noloc_2', 'Hold on, the Diktat is calling me. Talk to me again in a moment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '35', 'npc_failure_2', 'You couldn\'t pick up that little item for me? How disappointing. I\'m afraid the Diktat is still busy, and likely to remain so.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '36', 'otherescort_2', 'I\'m not the guy you want, believe me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '37', 'dontknowyou_2', 'I\'m not the guy you want, believe me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '38', 'npc_breech_2', 'Hello there! I\'m hoping you\'re from the Diktat\'s office in Coronet!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '39', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '40', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '41', 'npc_smuggle_2', 'Hi! If you\'re willing to pass this message along to the Diktat\'s aide, please just tell her that if some Devaronian merchant has been telling her a pack of lies about me, just to ignore them. I hope I can get the Diktat\'s ear long enough to talk to him about that.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '42', 'gotowork_2', 'That Neonian Red Cheese is quite delicate, you really should be going!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '43', 'notit_2', 'That doesn\'t look like Neonian Red Cheese -- at least, not the stuff I was promised by that Zoda Burb.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '48', 'player_3_2', 'What nice little gift would you like me to pick up?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '49', 'npc_1_3', 'Oh, you agai-- Wait, maybe you can help! I just got a troubling call from my roommate. My pet razor cat cub, Missy, is gone! She wandered out into the wilderness all alone! Will you please, please, please go find Missy? I\'d be ever so grateful, and so would the Diktat.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '50', 'npc_2_3', 'Good! Now, she\'s very well trained, so if you just say in a firm commanding voice, \"Here, Missy!\" she\'ll follow you all the way here. Please hurry!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '51', 'npc_3_3', 'I\'m sorry you can\'t rescue Missy. I\'m afraid the Diktat is very busy right now, and for a long time ahead. Poor Missy!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '52', 'npc_4_3', 'Don\'t worry, Missy\'s just a baby, the littlest possiblerazor cat. Some of them out there grow big, which is why I\'m worried. A big male might kill Missy for sport, and a mother might try to adopt my pet as her own cub. So will you please rescue her, fast?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '53', 'npc_backtowork_3', 'I\'ve told you all I can. Please hurry and rescue Missy!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '54', 'npc_reward_3', 'Missy! It\'s Missy-wissy-wussums, yes! Who\'s a good kitty? Who\'s our good little kittykins? Yes! All right, you can see the Diktat now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '55', 'npc_work_3', 'I\'m sorry to say the Diktat is still busy. Not to change the subject, but did you rescue Missy yet? I\'m terribly worried!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '56', 'npc_noloc_3', 'Hold on, the Diktat is calling me. Talk to me again in a moment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '57', 'npc_failure_3', 'You couldn\'t rescue Missy? Oh, that\'s terrible! Well, the Diktat is still busy, and he\'s going to stay busy until Missy gets back here safe.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '58', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '59', 'dontknowyou_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '60', 'npc_breech_3', 'Nrrrr-rrr! Hrrrnnnn!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '61', 'npc_takeme_3', 'Prrr-rrrr-rrrr-rrrr --');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '62', 'npc_dropoff_3', 'Prrr-rrrr-rrrr-rrrr --');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '63', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '65', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '70', 'player_3_3', 'How big is Missy? Those razor cats grow pretty large.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '71', 'npc_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '72', 'npc_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '73', 'npc_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '74', 'npc_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '75', 'npc_backtowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '76', 'npc_reward_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '77', 'npc_work_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '78', 'npc_noloc_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '79', 'npc_failure_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '80', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '81', 'dontknowyou_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '82', 'npc_breech_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '92', 'player_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '137', 'npc_reset_1', 'If you can\'t accomplish that one little task, I\'ll be hard pressed to convince the Diktat it\'s worthwhile to see you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '138', 'npc_reset_2', 'If you can\'t accomplish that one little task, I\'ll be hard pressed to convince the Diktat it\'s worthwhile to see you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '139', 'npc_reset_3', 'If you can\'t accomplish that one little task, I\'ll be hard pressed to convince the Diktat it\'s worthwhile to see you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '140', 'waypoint_description_1', 'Retrieve a gift for Brantlee from a Devaronian merchant name Midgoss D\'labaninaph.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '141', 'waypoint_description_2', 'Retrieve another gift for Brantlee - this time some imported Neonian Red Cheese from Zoda Burb.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '142', 'waypoint_description_3', 'Rescue Brantlee\'s pet razor cat, Missy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '143', 'return_waypoint_description_1', 'Return to Brantlee Spondoon with the gift.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '144', 'return_waypoint_description_2', 'Return to Brantlee Spondoon with the Neonian Red Cheese.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '145', 'return_waypoint_description_3', 'Return to Brantlee Spondoon with Missy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '146', 'return_waypoint_name_1', 'Brantlee Spondoon');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '147', 'return_waypoint_name_2', 'Brantlee Spondoon');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '148', 'return_waypoint_name_3', 'Brantlee Spondoon');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '149', 'waypoint_name_1', 'Midgoss D\'labaninaph');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '150', 'waypoint_name_2', 'Zoda Burb');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/brantlee_spondoon.stf', '151', 'waypoint_name_3', 'Missy');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '1', 'next', 'You have been most helpful, thank you, but I require nothing further of you at the moment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '2', 'cantwork', 'You seem a bit preoccupied and I do not wish to distract you from your current mission. Return when you have finished your task.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '3', 'npc_reset', 'I thank you for your interest. Please feel free to return if you change your mind and would like to help me again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '4', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '5', 'npc_1_1', 'Greetings, friend. I am known as Chertyl Ruluwoor and I\'m currently investigating a series of terrorist attacks aimed at Selonian dens. So far I\'ve been unable to identify those responsible, but I\'ve just received a tip that could lead to a break in my case. I\'m wondering if I could call upon you to assist me? I need you to pick up a recording taken by an amateur holocam operator and bring it to me. Can I rely upon you?   ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '6', 'npc_2_1', 'I appreciate your help. My contact\'s name is Kafleer Tredahl and he\'s waiting at the following coordinates. I\'ll tell him to expect you. Please be careful bringing this recording back. Kafleer thinks someone is watching him. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '7', 'npc_3_1', 'I understand if you do not wish to become involved. Thank you for your time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '8', 'npc_4_1', 'It was taken recently during an Imperial anti-alien demonstration and I believe it could reveal the identities of these terrorists. I\'d go myself but my contact does not wish to be seen speaking with me. He thinks it may result in strikes against his family.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '9', 'npc_backtowork_1', 'Was I unclear about something?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '10', 'npc_reward_1', 'Thank you, friend. This holo recording will hopefully further my investigation and allow me to close this case. Please accept this in exchange for your services.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '11', 'npc_work_1', 'Have you had an opportunity to pick up that holo recording? I don\'t know how long my contact will wait for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '12', 'npc_noloc_1', 'As soon as my contact transmits his coordinates, I\'ll share them with you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '13', 'npc_failure_1', 'I regret that you were unable to bring this recording back. I shall endeavor to find another way to acquire this evidence.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '14', 'otherescort_1', 'I don\'t think I\'m the person you\'re looking for.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '15', 'dontknowyou_1', 'Can\'t talk, sorry. I\'m on a secret mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '16', 'npc_breech_1', 'Over here! Did Chertyl send you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '17', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '18', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '19', 'npc_smuggle_1', 'Tell Chertyl I\'ve marked the sections she needs to pay attention to with blinking arrows. I hope she finds the creeps that are attacking her people.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '20', 'gotowork_1', 'I hope she finds the information useful.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '21', 'notit_1', 'This is not the holo recording I was expecting. Can you bring me the recording?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '26', 'player_3_1', 'What does the holo recording show?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '27', 'npc_1_2', 'I have terrible news! Young Kafleer just contacted me - his mother, Zayna, has been kidnapped by the same terrorists I\'m investigating. I dare not go after her myself for fear of straining the already tense relations between native Corellians and my people. Could you please see to it that Zayna is freed and brought back to me safely? Do what you will with the kidnappers. They deserve what they get. Will you help?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '28', 'npc_2_2', 'You are noble and just. Kafleer\'s holocams managed to catch the attackers in the act and allowed him to follow them. He\'s sent us they\'re coordinates. Please hurry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '29', 'npc_3_2', 'I must find someone to help rescue Kafleer\'s mother. There\'s no telling what those brutes intend to do.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '30', 'npc_4_2', 'Kafleer saw two of them snatch his poor mother from her home. There might be more waiting for them outside of the city, however. You must be careful!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '31', 'npc_backtowork_2', 'Please hurry! Zayna\'s life may be in great danger.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '32', 'npc_reward_2', 'You are a true champion! You have my thanks and the thanks of my people. Blessings upon your den.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '33', 'npc_work_2', 'Have you rescued Zayna from the clutches of those vile terrorists?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '34', 'npc_noloc_2', 'Fortunately for us, the terrorists were followed and I should be receiving their coordinates soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '35', 'npc_failure_2', 'Oh no! This is terrible! What will become of Zayna now? I must find a way to help her!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '36', 'otherescort_2', 'I\'m afraid I can\'t talk at the moment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '37', 'dontknowyou_2', 'I\'m afraid I can\'t talk at the moment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '38', 'npc_breech_2', 'Help! These brutes have kidnapped me! ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '39', 'npc_takeme_2', 'Thank you so much for your help. Did Chertyl send you? Bless her! Please take me to her.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '40', 'npc_dropoff_2', 'I don\'t know what I would have done without your help. I\'ll never forget you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '41', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '42', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '43', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '48', 'player_3_2', 'How many terrorists are we talking about here?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '49', 'npc_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '50', 'npc_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '51', 'npc_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '52', 'npc_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '53', 'npc_backtowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '54', 'npc_reward_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '55', 'npc_work_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '56', 'npc_noloc_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '57', 'npc_failure_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '58', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '59', 'dontknowyou_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '60', 'npc_breech_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '61', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '62', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '63', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '65', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '70', 'player_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '71', 'npc_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '72', 'npc_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '73', 'npc_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '74', 'npc_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '75', 'npc_backtowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '76', 'npc_reward_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '77', 'npc_work_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '78', 'npc_noloc_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '79', 'npc_failure_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '80', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '81', 'dontknowyou_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '82', 'npc_breech_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '92', 'player_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '137', 'npc_reset_1', 'I thank you for your interest. Please feel free to return if you change your mind and would like to help me again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/chertyl_ruluwoor.stf', '138', 'npc_reset_2', 'I thank you for your interest. Please feel free to return if you change your mind and would like to help me again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '1', 'next', 'I have things under control. I think. I\'ll let you know if I need you. Thanks for all your help.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '2', 'cantwork', 'If you\'re like me, then you really shouldn\'t be trying to juggle too many tasks at once. Come back when you\'ve cleaned some off your plate.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '3', 'npc_reset', 'I can\'t afford to leave these matters unresolved. Come back when you think you can help me close these cases.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '4', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '5', 'npc_1_1', 'Where\'s that witness? Why didn\'t you bring the witness? Wait. Are you my backup from Coronet? Oh, sorry. Captain Coraline Dynes. I\'m the head of security around here. I\'m a little busy at the moment so I can\'t really chat. Unless you\'d care to help out? I desperately need someone to escort a witness back here. Do you think you could help me out?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '6', 'npc_2_1', 'You\'re a lifesaver. The man you\'re looking for is a Bothan named Lith K\'alis. He\'s currently \"in hiding.\" He\'s convinced he\'s a target of Black Sun assassins. Problem is, he may be right. Have your blaster handy. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '7', 'npc_3_1', 'Okay, well then welcome to Doaba Guerfel and stay out of trouble.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '8', 'npc_4_1', 'The only one in a murder case I\'m investigating. Black Sun is involved, which means that witnesses are all but non-existent. This witness only came forward because he thinks he\'s next. Can you help him out?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '9', 'npc_backtowork_1', 'I\'ve given you all the info I\'ve got. You still interested?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '10', 'npc_reward_1', 'Job well done, friend. I sure could use more like you on my team. Enforcing the law in this town is no easy task. Black Sun has a pretty tight control on the Mining Guild out here. Makes for some messy business.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '11', 'npc_work_1', 'Did you bring that witness back yet? I don\'t know how much longer that poor Bothan can last out there.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '12', 'npc_noloc_1', 'The witness should transmit his location to me momentarily. Check back with me in a bit.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '13', 'npc_failure_1', 'Looks like I get to add yet another unsolved murder to my pile. Thanks for nothing.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '14', 'otherescort_1', 'Go away! I can\'t be seen with you!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '15', 'dontknowyou_1', 'Go away! I can\'t be seen with you!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '16', 'npc_breech_1', 'Psst! Hey! Over here! You from Captain Dynes?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '17', 'npc_takeme_1', 'Thank the stars you got here when you did. I\'m sure those Black Sun killers are closing in on me. Let\'s get out of here!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '18', 'npc_dropoff_1', 'You\'re a pal and I owe you one. Take my advice: Get out of this town before it\'s too late.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '19', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '20', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '21', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '26', 'player_3_1', 'What kind of witness?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '27', 'npc_1_2', 'If you\'ve decided to hang around, I could certainly still use your help. I\'ve managed to locate a suspect in an arson case but I don\'t have the manpower or the time to go and arrest this criminal myself. He\'s an arsonist and not a killer so I doubt he\'ll put up a struggle, especially if you brandish a blaster. Think you can bring him in for me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '28', 'npc_2_2', 'Where were you two years ago when I got this assignment, huh? Thanks, I certainly appreciate your help. The suspect is a Rodian named Kalio Uldi. And be on our guard because even though he may be a coward, he\'s likely to have friends that are not. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '29', 'npc_3_2', 'I was so hoping you\'d say yes, but I understand. Not your problem. Excuse me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '30', 'npc_4_2', 'A Corellian Engineering Corporation warehouse. No one was in it at the time. It held a lot of shipping manifests, however. I\'m sure he was trying to cover something up for someone upstairs.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '31', 'npc_backtowork_2', 'Did you have further questions or do you wish to reconsider?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '32', 'npc_reward_2', 'A huge thanks, friend. Here, go treat yourself to a nice dinner somewhere. Vreni Island is lovely this time of year, by the way. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '33', 'npc_work_2', 'Did you bring my suspect in? He\'s likely to leave the system if we don\'t act fast.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '34', 'npc_noloc_2', 'My people will get me Kalio\'s coordinates in just a sec. Could you hang on for a bit?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '35', 'npc_failure_2', 'Well, at least it wasn\'t a murderer that got away. You have to look at the bright side as often as possible here in Doaba Guerfel.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '36', 'otherescort_2', 'Buzz off! I\'m busy!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '37', 'dontknowyou_2', 'Buzz off! I\'m busy!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '38', 'npc_breech_2', 'Everyone knows that liquid is not nearly as flammable as-uh, oh! Looks like trouble!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '39', 'npc_takeme_2', 'Okay, okay! I\'ll go with you, take it easy. You bounty hunter types are so touchy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '40', 'npc_dropoff_2', 'I\'d like to say it\'s been a pleasure, except it obviously hasn\'t. And don\'t think they\'re sending me to Kessel - I got friends in high places, pal!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '41', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '42', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '43', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '48', 'player_3_2', 'What did he burn down?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '49', 'npc_1_3', 'Just the agent I was hoping to see. Need your help again. I know, big surprise, huh? This time the assignment is pretty straightforward. We just received an anonymous transmission warning us of a potential violent situation. It seems a Black Sun gangster is on his way to a Mining Guild representative\'s home to murder him. I\'d certainly appreciate it if you were to intercept this Aqualish and prevent a murder. If this Aqualish is the guy I think, arresting him will not be an option. Want to tackle this?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '50', 'npc_2_3', 'If I get a promotion out of this, I\'m taking you to dinner on Vreni Island. Please be careful. This Aqualish, a brute named Blurga Vuto, is one tough customer. If you want to take some friends along, I understand.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '51', 'npc_3_3', 'Well, you risked yourself enough on my account. No hard feelings, buddy. Take care.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '52', 'npc_4_3', 'The Guild is negotiating with the big Corellian corporations for higher wages for their workers. Black Sun wanted them to drop the issue but this rep refused.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '53', 'npc_backtowork_3', 'You seem jittery. I understand if you want to back out.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '54', 'npc_reward_3', 'If law enforcement was not your choice of a career, I think you\'ve undersold yourself. You\'ve got the looks, the skills, and the nerve to be a top security officer. Best of luck to you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '55', 'npc_work_3', 'Did you stop that Aqualish killer? I need to know when I can let the Mining Guild representative return to his home.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '56', 'npc_noloc_3', 'My people are tracking Blurga now. I should have his coordinates shortly.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '57', 'npc_failure_3', 'I guess I better get the Mining Guild rep off the planet. We lose more of those guys this way.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '58', 'otherescort_3', 'Go away! Blurga is in the mood to kill!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '59', 'dontknowyou_3', 'Go away! Blurga is in the mood to kill!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '60', 'npc_breech_3', 'Blurga will smash you! That will teach you to interfere in Blurga\'s business!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '61', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '62', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '63', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '65', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '70', 'player_3_3', 'Why does Black Sun want to murder a Mining representative?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '71', 'npc_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '72', 'npc_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '73', 'npc_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '74', 'npc_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '75', 'npc_backtowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '76', 'npc_reward_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '77', 'npc_work_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '78', 'npc_noloc_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '79', 'npc_failure_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '80', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '81', 'dontknowyou_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '82', 'npc_breech_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '92', 'player_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '137', 'npc_reset_1', 'I can\'t afford to leave these matters unresolved. Come back when you think you can help me close these cases.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '138', 'npc_reset_2', 'I can\'t afford to leave these matters unresolved. Come back when you think you can help me close these cases.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/coraline_dynes.stf', '139', 'npc_reset_3', 'I can\'t afford to leave these matters unresolved. Come back when you think you can help me close these cases.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '1', 'next', 'You\'ve been a great help, buddy. Thanks! But I think I need to finish this alone. I\'ll keep you in mind for future assignments.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '2', 'cantwork', 'Working for me can be a bit dangerous. Come back when you\'ve finished what you\'re doing and we\'ll talk.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '3', 'npc_reset', 'This sort of work isn\'t for everyone. If you change your mind, you know where to find me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '4', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '5', 'npc_1_1', 'I\'m an undercover CorSec officer in the middle of an investigation and I need your help. A witness has agreed to come forward and needs to be safely escorted back here. I have to attend an important meeting with my Black Sun contacts or else my cover will be blown. Can you help me out?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '6', 'npc_2_1', 'Chandra Conrad is a valuable witness against Black Sun so be careful. No doubt their goons are turning Corellia upside-down trying to find her. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '7', 'npc_3_1', 'You\'re right. It\'s not fair for me to ask a civilian like you to risk going up against Black Sun.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '8', 'npc_4_1', 'A multiple homicide committed by some highly placed Black Sun operatives. That means this job could be very dangerous. Do you think you\'re up for it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '9', 'npc_backtowork_1', 'I told you everything you need to know. Are you going to go get her?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '10', 'npc_reward_1', 'Well done. Now I can get her to safety and we can see about bringing down some of these Black Sun lowlifes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '11', 'npc_work_1', 'You\'d better find her soon. Black Sun will have people out looking for her.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '12', 'npc_noloc_1', 'She\'ll contact me when she finds a safe place for you to meet her. Come see me in a little while, maybe she\'ll have called by then.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '13', 'npc_failure_1', 'I\'m sure you tried your best. You can\'t save everybody. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '14', 'otherescort_1', 'I\'m waiting here to meet somebody else. Good luck to you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '15', 'dontknowyou_1', 'I\'m waiting here to meet somebody else. Good luck to you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '16', 'npc_breech_1', 'I sure hope you\'re my escort.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '17', 'npc_takeme_1', 'I hope I can be of some help bringing those criminals to justice.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '18', 'npc_dropoff_1', 'I couldn\'t have made it back here without your help. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '19', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '20', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '21', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '26', 'player_3_1', 'What is she a witness to?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '27', 'npc_1_2', 'Great work on that last job. Getting her back here safely could not have been easy. Do you think you might be up to something a little tougher? I want you to bring one of those Black Sun crooks in for questioning. How about it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '28', 'npc_2_2', 'Obrio Caldori is a mid-level operative but he\'s not part of Black Sun\'s muscle, he\'s more like an administrator. Bring him back here in one piece, but be careful. He\'s certain to have some guards.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '29', 'npc_3_2', 'Probably for the best. You don\'t want Black Sun to start noticing you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '30', 'npc_4_2', 'His name is Obrio Caldori and he\'s wanted in connection with those murders witnessed by Chandra Conrad. We\'re hoping he\'ll lead us to some higher-ups in the organization.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '31', 'npc_backtowork_2', 'I\'ve told you what I can. Are you going to bring him in?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '32', 'npc_reward_2', 'You\'re a natural at this. Ever think of going into security?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '33', 'npc_work_2', 'I\'m still waiting for you to make that arrest for me. What are you waiting for?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '34', 'npc_noloc_2', 'I should receive word about his present location very soon. Come see me in a little while.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '35', 'npc_failure_2', 'You couldn\'t bring him in? Don\'t worry about it. We\'ll get him eventually.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '36', 'otherescort_2', 'You\'re not my contact. You\'d better get moving.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '37', 'dontknowyou_2', 'You\'re not my contact. You\'d better get moving.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '38', 'npc_breech_2', 'I don\'t like the look of this guy. Take him out.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '39', 'npc_takeme_2', 'Easy there, killer! I won\'t cause you any more trouble.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '40', 'npc_dropoff_2', 'You haven\'t got anything on me. I\'ll be out of here in no time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '41', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '42', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '43', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '48', 'player_3_2', 'No.  Who do you want me to bring in?\n');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '49', 'npc_1_3', 'We\'re on to something big. Caldori was all too eager to cooperate once he discovered how much our witness already knew. He\'s turned over evidence implicating one of Black Sun\'s major players. Do you think you\'re up to bringing this hotshot in?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '50', 'npc_2_3', 'Voydd Blancken won\'t come easily. His personal guards are highly trained experts. If you have some backup you trust, I\'d recommend bringing them along.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '51', 'npc_3_3', 'Maybe your face is getting a little too familiar to Black Sun. It\'s better if you stay out of this one.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '52', 'npc_4_3', 'His name is Voydd Blancken. Bringing him to justice will be a major blow to Black Sun. He knows where a lot of bodies are buried. Do you think you can bring him in alive?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '53', 'npc_backtowork_3', 'If you don\'t think you can handle this job, just say the word.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '54', 'npc_reward_3', 'Black Sun will be recovering from this for a long time. Well done, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '55', 'npc_work_3', 'You\'re not having second thoughts about this operation are you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '56', 'npc_noloc_3', 'There\'s some big Black Sun meeting going on right now and I need to find out who called it. Come see me in a little while.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '57', 'npc_failure_3', 'I never thought this guy would be easy to take down. We\'ll just have to plan a little better next time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '58', 'otherescort_3', 'This is not a good place for you to be. Why don\'t you just go on your way?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '59', 'dontknowyou_3', 'This is not a good place for you to be. Why don\'t you just go on your way?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '60', 'npc_breech_3', 'Would you gentlemen care to dispose of this nuisance for me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '61', 'npc_takeme_3', 'I\'ll come along with you for now. You won\'t be able to hold me for long.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '62', 'npc_dropoff_3', 'I\'ll come along with you for now. You won\'t be able to hold me for long.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '63', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '65', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '70', 'player_3_3', 'Who is this guy?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '71', 'npc_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '72', 'npc_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '73', 'npc_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '74', 'npc_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '75', 'npc_backtowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '76', 'npc_reward_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '77', 'npc_work_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '78', 'npc_noloc_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '79', 'npc_failure_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '80', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '81', 'dontknowyou_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '82', 'npc_breech_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '92', 'player_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '137', 'npc_reset_1', 'This sort of work isn\'t for everyone. If you change your mind, you know where to find me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '138', 'npc_reset_2', 'This sort of work isn\'t for everyone. If you change your mind, you know where to find me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/corran_horn.stf', '139', 'npc_reset_3', 'This sort of work isn\'t for everyone. If you change your mind, you know where to find me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '1', 'next', 'Really, you needn\'t trouble yourself to wander my way any time soon. All proceeds apace.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '2', 'cantwork', 'You there. I have a likely assignment for you once you are not so busy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '3', 'npc_reset', 'I regret your lack of will. I sincerely hope you\'ll resume work on my behalf at your early convenience.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '4', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '5', 'npc_1_1', 'I am Crev Bombaasa, provider of unusual services. My current clients include Shalera, known as the Lady Hutt. Yes, I thought that might capture your attention. I offer work. My informant has diligently followed an individual named Didina Lippinoss and has prepared a report of her movements. I wish you to bring me that report.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '6', 'npc_2_1', 'Your agreement pleases me. You are looking for a Bothan -- don\'t they always make the best informants? -- named Sli\'woon Biul. Go, then.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '7', 'npc_3_1', 'I am sorry we cannot work together. I believe you overlook a significant opportunity.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '8', 'npc_4_1', 'Didina Lippinoss is the constant companion of one Karrek Flim, a name you may recognize if you peruse lists of Corellia\'s wealthiest people. Flim is a Corporate Sector Viceprex -- Didina does certain work that he\'d prefer not to be seen doing -- really, following her makes perfect sense if one seeks incriminating information. Will you bring me the report?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '9', 'npc_backtowork_1', 'I have told you all you need to know. Go, and let me resume my work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '10', 'npc_reward_1', 'Splendid. I can already imagine the delightful gossip this report will engender, should the worthy Viceprex fail to meet the Lady Hutt\'s needs. Feints, thrusts, parries -- You may go now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '11', 'npc_work_1', 'I expected you to bring the Lippinoss dossier from the Bothan informant. You do not have it. I am displeased.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '12', 'npc_noloc_1', 'Very well. Contact me again shortly, after I arrange the coordinates for the rendezvous.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '13', 'npc_failure_1', 'I see you failed to secure that informant\'s report. It shows truly poor judgment to disappoint me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '14', 'otherescort_1', 'I am not the person ee-you are looking for.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '15', 'dontknowyou_1', 'I have no reason to speak to ee-you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '16', 'npc_breech_1', 'Ee-yes! Over here! I bring ee-you the report!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '17', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '18', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '19', 'npc_smuggle_1', 'Ee-you will wish to convey this report to Crev Bombaasa quickly. It is quite entertaining, ee-yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '20', 'gotowork_1', 'You should be doing something, yes?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '21', 'notit_1', 'I expected you to bring the Lippinoss dossier from the Bothan informant. This isn\'t it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '26', 'player_3_1', 'Who is Didina Lippinoss, and why did you have her followed?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '27', 'npc_1_2', 'I have reviewed the evidence in the dossier you brought me regarding Didina Lippinoss. I find it adequate for presentation to Lippinoss herself. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '28', 'npc_2_2', 'I\'m pleased we\'ll be working together again. I have arranged a rendezvous in the wilderness, away from prying eyes, with Lippinoss\'s servant Meeko -- a Talz, one of those four-eyed folk.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '29', 'npc_3_2', 'I regret that we cannot continue working together as before. I believe you overlook a significant opportunity.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '30', 'npc_4_2', 'The dossier presents copious evidence of Lippinoss\'s criminal actions committed in the cause of her companion, Corporate Sector Viceprex Karrek Flim. Undoubtedly this embarrassing and incriminating data will compel Lippinoss to funnel secret CSA data to me. Therefore, it behooves you to deliver this report to her quickly. Will you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '31', 'npc_backtowork_2', 'I have told you all you need to know. Go, and let me resume my work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '32', 'npc_reward_2', 'Mmm. If that servant\'s belief is correct, Didina Lippinoss may not see reason regarding her dossier. How exasperating! I hope this will not lead to an untidy fracas.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '33', 'npc_work_2', 'I expected you to deliver that Lippinoss dossier to her Talz servant. I understand that you haven\'t yet made the delivery. I am displeased.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '34', 'npc_noloc_2', 'My people are even now arranging a meeting with Lippinoss\'s servant, a Talz named Meeko. Contact me again soon and I shall have the coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '35', 'npc_failure_2', 'You could not deliver a simple dossier to that servant? I am disappointed. Enough of you, go.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '36', 'otherescort_2', 'I am waiting for another.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '37', 'dontknowyou_2', 'I have no business with you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '38', 'npc_breech_2', 'Were you sent by Crev Bombaasa?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '39', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '40', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '41', 'npc_smuggle_2', 'Bombaasa was quite enigmatic about the contents of this dossier, and the need to meet at this remote location. I hope this doesn\'t indicate some sordid blackmail attempt. My employer will not comply, I assure you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '42', 'gotowork_2', 'I expected you to bring some kind of dossier about my employer, Didina Lippinoss. If you don\'t have it, you\'re just wasting my time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '43', 'notit_2', 'I expected you to bring some kind of dossier about my employer, Didina Lippinoss. This isn\'t it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '48', 'player_3_2', 'What will you accomplish by showing the dossier to Didina Lippinoss?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '49', 'npc_1_3', 'It appears that Didina Lippinoss grew angry about my dossier of her criminal activities. Far from complying with my simple requests for information, she has turned the matter into an untidy fracas by hiring a bounty hunter to kill me. How tiresome. Will you please stop this bounty hunter?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '50', 'npc_2_3', 'Good. Find him at these coordinates. Report back when you\'re done.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '51', 'npc_3_3', 'I am sorry we cannot continue working together. You understand that if you inform anyone else of this opportunity, it will go badly for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '52', 'npc_4_3', 'Lippinoss has hired a bounty hunter named Mornng -- a Trandoshan. His Guild certification is current, but his career to date appears to be short. This encourages me to think that you can dispose of him with only a few of your allies as backup. Will you remove this troublesome hunter?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '53', 'npc_backtowork_3', 'I have told you all you need to know. Go, and let me resume my work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '54', 'npc_reward_3', 'Ah, how frustrating this whole Lippinoss endeavor has been. Really, you\'d think the woman would understand that her very existence is on the line. Then again, I wonder if she\'d say the same about me? I expect only one of us will emerge from this alive.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '55', 'npc_work_3', 'I expected you to take care of that Trandoshan bounty hunter by now. He may be close. I am very displeased.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '56', 'npc_noloc_3', 'I have informants tracing the bounty hunter\'s movements. Contact me again soon, after they report his coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '57', 'npc_failure_3', 'You did not stop that bounty hunter? I am aggravated beyond description. I urge you to leave town at once, because after I finally deal with this nuisance, I may well move on to you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '58', 'otherescort_3', 'You have no business here. Move on.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '59', 'dontknowyou_3', 'You have no business here. Move on.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '60', 'npc_breech_3', 'Hsss. My target sends someone to fight back? That always makes the job more entertaining.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '61', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '62', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '63', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '64', 'gotowork_3', 'Don\'t you have something to do?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '65', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '70', 'player_3_3', 'Who is the bounty hunter?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '71', 'npc_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '72', 'npc_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '73', 'npc_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '74', 'npc_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '75', 'npc_backtowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '76', 'npc_reward_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '77', 'npc_work_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '78', 'npc_noloc_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '79', 'npc_failure_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '80', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '81', 'dontknowyou_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '82', 'npc_breech_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '92', 'player_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '137', 'npc_reset_1', 'I regret your lack of will. I sincerely hope you\'ll resume work on my behalf at your early convenience.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '138', 'npc_reset_2', 'I regret your lack of will. I sincerely hope you\'ll resume work on my behalf at your early convenience.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '139', 'npc_reset_3', 'I regret your lack of will. I sincerely hope you\'ll resume work on my behalf at your early convenience.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '140', 'waypoint_description_1', 'Retrieve the report detailing the activites of Didina Lippinoss from a Bothan informant.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '141', 'waypoint_description_2', 'Deliver the report to Didina Lippinoss\' servant, Meeko.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '142', 'waypoint_description_3', 'Eliminate the bounty hunter hired by Didina Lippinoss to kill Crev.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '143', 'return_waypoint_description_1', 'Return to Crev Bombaasa with the report.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '144', 'return_waypoint_description_2', 'Return to Crev Bombaasa and let him know the delivery has been completed.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '145', 'return_waypoint_description_3', 'Return to Crev Bombaasa and let him know the bounty hunter is no longer a threat.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '146', 'return_waypoint_name_1', 'Crev Bombaasa');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '147', 'return_waypoint_name_2', 'Crev Bombaasa');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '148', 'return_waypoint_name_3', 'Crev Bombaasa');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '149', 'waypoint_name_1', 'Bothan informant');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '150', 'waypoint_name_2', 'Meeko');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/crev_bombaasa.stf', '151', 'waypoint_name_3', 'Bounty hunter');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '1', 'next', 'I believe your utility here is at an end, at least for the time being. Goodbye.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '2', 'cantwork', 'You should not approach the Diktat\'s office while you\'re already busy with another job. Return later when you are unencumbered.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '3', 'npc_reset', 'I am disappointed with your lack of will. But you still have utility for this office, so return here when you feel greater gumption.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '4', 'notyet', 'I am occupied. Speak with my aide, Brantlee Spondoon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '5', 'npc_1_1', 'Hmm. You\'re seeking work? Well, if Brantlee has sent you in, I\'m prepared to test your utility to this office. I know -- I\'ll send you to pick up a shipping order. The Corporate Sector Authority has placed a large order with the Corellian Engineering Corporation for cargo ships for its Bonadan mining facilities. Meet with the CSA representative at the designated wilderness rendezvous.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '6', 'npc_2_1', 'Very well. Be on your way, and report here when you have the Bonadan shipping order.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '7', 'npc_3_1', 'You will not carry out the will of the Diktat\'s office? You have a short future on Corellia, I think. Goodbye.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '8', 'npc_4_1', 'This is a matter of Corellian planetary security. All shipping orders require the approval of my Transport Commission. Given the intensely competitive nature of the Corellian engineering industry, I prefer to render such procedures invulnerable to surveillance by rival corporations. Will you make the pickup?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '9', 'npc_backtowork_1', 'I have nothing more to tell you. Please go, my time is valuable.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '10', 'npc_reward_1', 'The CSA procurement agent expressed disapproval of our procedure? Interesting. What was his name? Windle Meeker. Hmm. Very well. You have demonstrated your utility to this office and may return when you desire more work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '11', 'npc_work_1', 'You have not picked up that Bonadan shipping order. It remains to be seen whether you have utility for this office.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '12', 'npc_noloc_1', 'Wait, I have an incoming call I must answer. Return shortly and I\'ll give you the coordinates for the rendezvous.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '13', 'npc_failure_1', 'Picking up that Bonadan shipping order was a simple task. You seem to lack utility for this office. Goodbye.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '14', 'otherescort_1', 'I\'m with the Corporate Sector. Leave me alone.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '15', 'dontknowyou_1', 'I\'m with the Corporate Sector. Leave me alone.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '16', 'npc_breech_1', 'Are you from the Diktat\'s office? I\'ve been waiting for some time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '17', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '18', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '19', 'npc_smuggle_1', 'I am frankly disgruntled that I, a CSA procurement officer, can\'t place a simple order for cargo ships with any vendor except Corellian Engineering Corporation. And why must these orders must go through the Diktat\'s office? What a bottleneck!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '20', 'gotowork_1', 'What a bottleneck!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '21', 'notit_1', 'This isn\'t the Bonadan shipping order I expected.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '26', 'player_3_1', 'Why is this rendezvous in the wilderness?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '27', 'npc_1_2', 'Ah. You\'ll do, you\'re convenient. Please deliver the approved Bonadan shipping order -- in fact, the very one you picked up earlier from that CSA representative -- to the appropriate Transport Commission processing agent at the agreed wilderness rendezvous.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '28', 'npc_2_2', 'Very well. Return here when you\'ve made the delivery, and I shall arrange payment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '29', 'npc_3_2', 'You had shown a certain minimal utility to this office, but now I doubt that our relationship will be productive.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '30', 'npc_4_2', 'Your levity is refreshing. I assure you that the Diktat\'s office takes precautions appropriate to planetary security. We don\'t like unapproved observers taking note of sensitive government transactions. Make no mistake -- this transaction is sensitive. Will you deliver the order?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '31', 'npc_backtowork_2', 'I have nothing more to tell you. Please go, my time is valuable.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '32', 'npc_reward_2', 'That Transport Commission processing agent expressed a desire for \"bonus pay,\" did he? How amusing. What was his name? Merlyx Dolv? Well. Hmm. All right, you have proved useful.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '33', 'npc_work_2', 'You have not delivered that approved Bonadan shipping order. It remains to be seen whether you have lasting utility for this office.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '34', 'npc_noloc_2', 'Wait, I have an incoming call I must answer. Return shortly and I\'ll give you the coordinates for the rendezvous.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '35', 'npc_failure_2', 'Delivering that approved Bonadan shipping order was a simple task. You seem to lack utility for this office. Goodbye.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '36', 'otherescort_2', 'I\'m on Transport Commission business. Leave me alone.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '37', 'dontknowyou_2', 'I\'m on Transport Commission business. Leave me alone.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '38', 'npc_breech_2', 'Are you meeting me to drop off the Transport Commission order?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '39', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '40', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '41', 'npc_smuggle_2', 'I note that this order, like all the Bonadan shipping orders before it, adds an \"administrative surcharge.\" How can the Diktat justify this overhead solely for cargo ships sold to Bonadan? At least, how can he justify it without guaranteeing a portion of the proceeds as bonus pay for relevant Transport Commission employees?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '42', 'gotowork_2', 'I was expecting an approved Transport Commission order for cargo ships for Bonadan. If you don\'t have it, I\'ve been waiting here for nothing.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '43', 'notit_2', 'I was expecting an approved Transport Commission order for cargo ships for Bonadan. Don\'t you have it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '48', 'player_3_2', 'Why are you processing documents in the wilderness? Can\'t you send them over the HoloNet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '49', 'npc_1_3', 'Ah. You\'ve performed reasonably well for me before. You\'ll do. Dwynn Biuval, a sales representative of the Corellian Engineering Corporation, has kindly made a generous donation to the Commission for Rehabilitation of Unwanted Krahbu, a charity I administer. I want you to pick up this donation.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '50', 'npc_2_3', 'Good. The CEC rep wishes to deliver the paym-- donation in the wilderness, thereby evading publicity that would certainly draw every shady charity looking for a handout. Return here with the money.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '51', 'npc_3_3', 'You had shown a certain utility to this office, but now I doubt that our relationship will be productive over the long term.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '52', 'npc_4_3', 'This office recently approved a sale of CEC cargo ships to the Corporate Sector Authority world of Bonadan. I expedited the administrative process of approving that transaction. No doubt the CEC believes I can do an equally effective job administering my charity. Will you pick up their donation?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '53', 'npc_backtowork_3', 'I have nothing more to tell you. Please go, my time is valuable.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '54', 'npc_reward_3', 'Excellent. I shall have this contract payment processed at once. What? Charitable donation? Oh, of course. The krahbu. I shall have this charitable donation processed at once. Goodbye for now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '55', 'npc_work_3', 'You have not picked up that charitable donation.  It remains to be seen whether you have lasting utility for this office.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '56', 'npc_noloc_3', 'Wait, I have an incoming call I must answer. Return shortly and I\'ll give you the coordinates for the rendezvous.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '57', 'npc_failure_3', 'Picking up that processing payment -- I mean, charitable donation -- was a simple task. You seem to lack utility for this office after all. Goodbye.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '58', 'otherescort_3', 'I don\'t think you\'re looking for me, are you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '59', 'dontknowyou_3', 'I don\'t think you\'re looking for me, are you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '60', 'npc_breech_3', 'Hello! You\'re from the Diktat\'s office, correct?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '61', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '62', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '63', 'npc_smuggle_3', 'We at the CEC certainly appreciate the Diktat\'s effectiveness in smoothing the way for our victory over rival firms in that big Bonadan contract. We hope this contract payment will -- what? Charitable donation? Oh. Of course. We\'re sure this charitable donation will go to a good cause.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '65', 'notit_3', 'I was expecting a processing payment -- I mean, charitable donation -- from the CEC. That doesn\'t look like it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '70', 'player_3_3', 'Why did the CEC make this donation?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '71', 'npc_1_4', 'Ah! You\'re shown up in timely fashion. Lieutenant Mien Halloor of the Imperial Customs Office is preparing to approve a certain transaction. But he is distracted by a fiscal crisis in his favorite charity. To free his attention from such petty concerns, I\'d like you to deliver this donation.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '72', 'npc_2_4', 'Fine. Meet Lt. Halloor at the agreed rendezvous in the wilderness. I gather he is an aficionado of wilderness hikes. Return here when you\'ve made the delivery.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '73', 'npc_3_4', 'You had shown a certain utility to this office, but now I doubt that our relationship will be productive over the long term.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '74', 'npc_4_4', 'Imperial Customs is assessing the shipment of certain Corellian Engineering starships to the Corporate Sector world of Bonadan. Lt. Halloor has discovered issues relating to the transaction of which I had not been aware. I do hope his charity\'s current financial crisis doesn\'t distract him as he weighs these complex trade issues. Will you bring him this donation?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '75', 'npc_backtowork_4', 'I have nothing more to tell you. Please go, my time is valuable.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '76', 'npc_reward_4', 'Perhaps you do posess the necessary qualities to be of use to this office.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '77', 'npc_work_4', 'You have not delivered that incentive reward payment to the Imperial official.  It remains to be seen whether you have lasting utility for this office.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '78', 'npc_noloc_4', 'Wait, I have an incoming call I must answer. Return shortly and I\'ll give you the coordinates for the rendezvous.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '79', 'npc_failure_4', 'Delivering that incentive reward payment was a simple task. You seem to lack utility for this office after all. Goodbye.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '80', 'otherescort_4', 'Imperial business. Move along.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '81', 'dontknowyou_4', 'Imperial business. Move along.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '82', 'npc_breech_4', 'You! You\'re with the Diktat\'s office, correct? Over here!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '85', 'npc_smuggle_4', 'I\'m pleased to see that the Diktat is aware of the pressing need for funds for the Customs Office Loyalty Day Parade. That is all.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '86', 'gotowork_4', 'I was under the impression that the Diktat was making a donation to the Customs Office Loyalty Day Parade. Was I mistaken? This will weigh on my mind as I adjudge the Bonadan shipping order.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '87', 'notit_4', 'I was under the impression that the Diktat was making a donation to the Customs Office Loyalty Day Parade. This isn\'t it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '92', 'player_3_4', 'What transaction is the customs officer preparing to approve?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '93', 'npc_1_5', 'What effrontery! Oh, it\'s you. I\'ve just received a high-handed note from a minor bureaucrat whom I believe you dealt with in the past, named -- let\'s see -- Merlyx Dolv. Our Dolv appears to be \"having second thoughts\" about approving the recent sale of Corellian Engineering ships to the Corporate Sector world of Bonadan. Bring him here. I intend to give him a stern talking-to, and perhaps much more.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '94', 'npc_2_5', 'Good. Evidently Dolv seeks solitude and obscurity in the wilderness, but one of my agents has pinpointed his location. Bring him here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '95', 'npc_3_5', 'You had shown a certain minimal utility to this office, but now I doubt that our relationship will be productive over the long term.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '96', 'npc_4_5', 'That is none of your concern! I mean -- ah -- he lacks comprehensive understanding of the extra-procedural back-channel negotiation involved in executing a complex deal. But enough chatter -- bring him here, and I shall explain in inordinate detail. Will you do this?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '97', 'npc_backtowork_5', 'I have nothing more to tell you. Please go, my time is valuable.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '98', 'npc_reward_5', 'So, here is Dolv. I take it you had an uneventful trip? What? Mercenaries? And you stopped them? Hmph. Well, take your payment and go.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '99', 'npc_work_5', 'You have not brought me the Transport Commission processing agent.  It remains to be seen whether you have lasting utility for this office.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '100', 'npc_noloc_5', 'Wait, I have an incoming call I must answer. Return shortly and I\'ll give you the coordinates for the rendezvous.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '101', 'npc_failure_5', 'Bringing me the Transport Commission official was a simple task. You seem to lack utility for this office after all. Goodbye.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '102', 'otherescort_5', 'I\'m not the one you\'re looking for.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '103', 'dontknowyou_5', 'I\'m not the one you\'re looking for.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '104', 'npc_breech_5', 'You again! Did the Diktat send you this time, or are you on your own?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '105', 'npc_takeme_5', 'You\'re taking me to the Diktat? Oh, no. I don\'t know who\'s worse -- the Diktat or those mercenaries the Corellian Engineering Corporation has hired to kill me. Well, I\'ll choose the safer route for now. Lead the way.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '106', 'npc_dropoff_5', 'So here it ends. I wonder how many Transport Commission officials have stood here in my place before, awaiting the same fate, because of that Bonadan Contract?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '114', 'player_3_5', 'Why is Merlyx Dolv having second thoughts about the Bonadan sale?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '115', 'npc_1_6', 'You! Let us dispense with persiflage. Merlyx Dolv, the minor bureaucrat you brought here recently, turns out, against all reason, to have a friend. If Dolv doesn\'t return alive soon, the friend will release certain incriminating evidence to the public. This cannot be tolerated. You must carry these instructions to a certain agent, quickly.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '116', 'npc_2_6', 'The recipient awaits you in the wilderness, away from prying eyes. Tell no one about this, or you will soon be in the same circumstances as Merlyx Dolv. Go!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '117', 'npc_3_6', 'You had shown unusual utility to this office, but that time is past. Tell no one of this, or you will soon share the same circumstances as Merlyx Dolv.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '118', 'npc_4_6', 'Dolv is currently on a long, long vacation far, far away. I doubt he will return to his friend before that friend decides to go public. Deliver the instructions with all speed. Will you go?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '119', 'npc_backtowork_6', 'I have nothing more to tell you. Go, quickly!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '120', 'npc_reward_6', 'Very well. We shall hope for a pleasant resolution to this matter soon. As a token of my faith in your discretion, please accept this reward -- a desirable art object from my personal collection.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '121', 'npc_work_6', 'You have not delivered the order to that -- to the official I mentioned. I caution you not to fail in this important assignment. Be quick about it!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '122', 'npc_noloc_6', 'Wait, I have an incoming call I must answer. Return shortly and I\'ll give you the coordinates for the rendezvous.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '123', 'npc_failure_6', 'You failed to deliver that message? You have caused me unusual aggravation. Goodbye.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '124', 'otherescort_6', 'You got the wrong guy. Get lost.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '125', 'dontknowyou_6', 'You got the wrong guy. Get lost.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '126', 'npc_breech_6', 'You from the government guy? I expect I\'m the guy you want.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '129', 'npc_smuggle_6', 'You can tell your guy that his situation is gonna be taken care of. Tell him the Lady Hutt wouldn\'t mind a gift -- it\'s her birthday soon. Haw! Tell him that!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '130', 'gotowork_6', 'I sorta-kinda expected you\'d have some instructions for me. I guess not. I\'m gettin\' all disappointed and everything. That\'s always bad.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '131', 'notit_6', 'I sorta-kinda expected you\'d have some instructions for me. This isn\'t those.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '136', 'player_3_6', 'Why don\'t you expect Dolv to return to his friend alive?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '137', 'npc_reset_1', 'I am disappointed with your lack of will. But you still have utility for this office, so return here when you feel greater gumption.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '138', 'npc_reset_2', 'I am disappointed with your lack of will. But you still have utility for this office, so return here when you feel greater gumption.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '139', 'npc_reset_3', 'I am disappointed with your lack of will. But you still have utility for this office, so return here when you feel greater gumption.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '140', 'npc_reset_4', 'I am disappointed with your lack of will. But you still have utility for this office, so return here when you feel greater gumption.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '141', 'npc_reset_5', 'I am disappointed with your lack of will. But you still have utility for this office, so return here when you feel greater gumption.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '142', 'npc_reset_6', 'I am disappointed with your lack of will. But you still have utility for this office, so return here when you feel greater gumption.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '143', 'waypoint_description_1', 'Go get the Bonadan shipping order from the Corporate Sector Authority representative.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '144', 'waypoint_description_2', 'Deliver the Bonadan shipping order to the Transport Commission processing agent.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '145', 'waypoint_description_3', 'Fetch a donation from Dwynn Biuval for the Commission for the Rehabilitation of Unwanted Krahbu.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '146', 'waypoint_description_4', 'Deliver a donation from Daclif Gallamby to Lt. Mien Halloor for the Lieutenant\'s favorite charity.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '147', 'waypoint_description_5', 'Escort Merlyx Dolv to Daclif Gallamby.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '148', 'waypoint_description_6', 'Bring instructions to a... *cough*... certain agent Daclif has hired.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '149', 'return_waypoint_description_1', 'Return to Daclif Gallamby with the Bonadan shipping order.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '150', 'return_waypoint_description_2', 'Return to Daclif Gallamby and let him know the Bonadan shipping order has been delivered.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '151', 'return_waypoint_description_3', 'Return to Daclif Gallamby with the donation for the Commission for the Rehabilitation of Unwanted Krahbu.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '152', 'return_waypoint_description_4', 'Return to Daclif Gallamby and let him know the donation has been delivered.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '153', 'return_waypoint_description_5', 'Return to Daclif Gallamby with Merlyx Dolv.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '154', 'return_waypoint_description_6', 'Return to Daclif Gallamby and let him know the \"wolf is circling the henhouse.\"');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '155', 'return_waypoint_name_1', 'Daclif Gallamby');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '156', 'return_waypoint_name_2', 'Daclif Gallamby');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '157', 'return_waypoint_name_3', 'Daclif Gallamby');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '158', 'return_waypoint_name_4', 'Daclif Gallamby');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '159', 'return_waypoint_name_5', 'Daclif Gallamby');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '160', 'return_waypoint_name_6', 'Daclif Gallamby');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '161', 'waypoint_name_1', 'CSA representative with the shipping order');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '162', 'waypoint_name_2', 'Transport Commission processing agent');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '163', 'waypoint_name_3', 'Courier with the donation');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '164', 'waypoint_name_4', 'Courier to be given the donation\n');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '165', 'waypoint_name_5', 'Merlyx Dolv');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/daclif_gallamby.stf', '166', 'waypoint_name_6', 'Hired agent');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '1', 'next', 'Don\'t have anything else for you right now. But I liked your style. Check back now and again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '2', 'cantwork', 'I never trusted anyone that claimed they could juggle several things at once. Check back when you\'re not preoccupied. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '3', 'npc_reset', 'That\'s what I get for relying on amateurs. Come back when you\'re serious about work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '4', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '5', 'npc_1_1', 'Hey, pal. I\'m looking for a new partner. But I just can\'t accept anyone. You gotta prove yourself first. My line of work ain\'t for the timid or the slow-witted. You seem pretty tough to me. Tell you what. If you can make one of my problems go away, I\'ll consider showing you the trade. You in?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '6', 'npc_2_1', 'Nice. The problem\'s name is Yensi Kolyin and he\'s a Gran. He didn\'t have the stomach for the trade and now he wants out. I need you to retire him. I hope I\'ve made myself clear.  ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '7', 'npc_3_1', 'It\'s always easy to spot the timid and slow-witted. Beat it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '8', 'npc_4_1', 'Piracy is what I\'m talking about. Lots of money to be made in that business. But first that problem I was mentioning. You gonna help me take care of it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '9', 'npc_backtowork_1', 'I guess I didn\'t make myself clear. Don\'t want to learn the trade, eh?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '10', 'npc_reward_1', 'Not bad. But that Gran was pretty easy pickings. I\'m not sure if you\'re trade material. Let me think about it some more. Now get out of here. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '11', 'npc_work_1', 'Did you retire that Gran yet? How will you prove yourself a worthy partner if you can\'t do something as simple as that?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '12', 'npc_noloc_1', 'Let me get this loser\'s coordinates so you can take care of business.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '13', 'npc_failure_1', 'Gran are generally pacifists, did you know that? And you couldn\'t retire one? I think the local cantina needs a barmaid. Beat it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '14', 'otherescort_1', 'I cannot talk now. I\'m terribly busy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '15', 'dontknowyou_1', 'I cannot talk now. I\'m terribly busy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '16', 'npc_breech_1', 'I knew Dalla the Black would send someone eventually. You are a fool to deal with that murderer.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '17', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '18', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '19', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '20', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '21', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '26', 'player_3_1', 'What trade is this?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '27', 'npc_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '28', 'npc_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '29', 'npc_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '30', 'npc_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '31', 'npc_backtowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '32', 'npc_reward_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '33', 'npc_work_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '34', 'npc_noloc_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '35', 'npc_failure_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '36', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '37', 'dontknowyou_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '38', 'npc_breech_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '39', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '40', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '41', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '42', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '43', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '48', 'player_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '49', 'npc_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '50', 'npc_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '51', 'npc_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '52', 'npc_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '53', 'npc_backtowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '54', 'npc_reward_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '55', 'npc_work_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '56', 'npc_noloc_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '57', 'npc_failure_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '58', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '59', 'dontknowyou_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '60', 'npc_breech_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '61', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '62', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '63', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '65', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '70', 'player_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '71', 'npc_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '72', 'npc_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '73', 'npc_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '74', 'npc_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '75', 'npc_backtowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '76', 'npc_reward_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '77', 'npc_work_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '78', 'npc_noloc_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '79', 'npc_failure_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '80', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '81', 'dontknowyou_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '82', 'npc_breech_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '92', 'player_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '137', 'npc_reset_1', 'That\'s what I get for relying on amateurs. Come back when you\'re serious about work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dalla_solo.stf', '138', 'npc_reset_2', 'That\'s what I get for relying on amateurs. Come back when you\'re serious about work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '1', 'next', 'I don\'t have anything for you at the moment. Try me again later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '2', 'cantwork', 'I need your undivided attention. When you\'ve finished your current job, I might be able to find some work for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '3', 'npc_reset', 'Not quite up to the task yet? See me again when you can handle it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '4', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '5', 'npc_1_1', 'I work for the Corporate Sector Authority. You look like you know how to handle yourself. I need someone to pick up a disc from a data slicer. Do you want to make a few credits? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '6', 'npc_2_1', 'My slicer has a bit of a gambling problem, so he\'s hiding outside the city at the moment. I\'ll let him know you\'re picking up the data.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '7', 'npc_3_1', 'I guess I was wrong about you being able to handle yourself.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '8', 'npc_4_1', 'My boss has been altering shipping orders to cover up bribes he\'s been accepting. I want you to pick up the original records from my data slicer. What do you say?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '9', 'npc_backtowork_1', 'I\'ve told you all I can. Are you still going?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '10', 'npc_reward_1', 'All right. You can be sure I\'ll send this record of criminal activity where it can do the most good. You\'ve helped me a lot, and I won\'t forget it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '11', 'npc_work_1', 'Why haven\'t you got that information for me yet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '12', 'npc_noloc_1', 'My slicer is a little wary of strangers right now, so I\'ll have to call him and smooth your arrival. Check with me in a minute.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '13', 'npc_failure_1', 'The terrain was a little too rough for you, I guess.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '14', 'otherescort_1', 'I\'m not the person you need to meet.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '15', 'dontknowyou_1', 'I\'m waiting to meet somebody else.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '16', 'npc_breech_1', 'Did Dannik Malaan send you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '17', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '18', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '19', 'npc_smuggle_1', 'I did what he asked me to. He\'ll square my debts now, right?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '20', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '21', 'notit_1', 'This isn\'t the disc I hired you to bring me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '26', 'player_3_1', 'I\'d like to make a lot more than that. What\'s involved?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '27', 'npc_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '28', 'npc_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '29', 'npc_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '30', 'npc_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '31', 'npc_backtowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '32', 'npc_reward_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '33', 'npc_work_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '34', 'npc_noloc_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '35', 'npc_failure_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '36', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '37', 'dontknowyou_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '38', 'npc_breech_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '39', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '40', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '41', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '42', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '43', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '48', 'player_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '49', 'npc_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '50', 'npc_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '51', 'npc_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '52', 'npc_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '53', 'npc_backtowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '54', 'npc_reward_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '55', 'npc_work_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '56', 'npc_noloc_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '57', 'npc_failure_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '58', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '59', 'dontknowyou_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '60', 'npc_breech_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '61', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '62', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '63', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '65', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '70', 'player_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '71', 'npc_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '72', 'npc_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '73', 'npc_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '74', 'npc_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '75', 'npc_backtowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '76', 'npc_reward_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '77', 'npc_work_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '78', 'npc_noloc_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '79', 'npc_failure_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '80', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '81', 'dontknowyou_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '82', 'npc_breech_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '92', 'player_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '137', 'npc_reset_1', 'Not quite up to the task yet? See me again when you can handle it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/dannik_malaan.stf', '138', 'npc_reset_2', 'Not quite up to the task yet? See me again when you can handle it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '1', 'next', 'You\'ve got nerves of carbonite. As soon as I have some more work, you\'re on the payroll.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '2', 'cantwork', 'If you want to work for me, you can\'t be working for anyone else. Come see me later when you don\'t have other obligations.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '3', 'npc_reset', 'Things might not seem so bleak later. Come see me again if you want to give it another try.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '4', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '5', 'npc_1_1', 'Why so down in the mouth, kid? There\'s a seamy underside to this town and that means credits to be made by people like us. My name\'s Kel\'Vannon, I\'m a private investigator. I\'ve got some hot leads in a case and I could use a little backup. Interested?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '6', 'npc_2_1', 'I\'ve got a friend in CorSec named Shaedra Valouri. She\'s helping me track a few leads that will break this case. Go and pick up what she has for me. She\'s meeting you outside of town in case corrupt officers try and stop her.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '7', 'npc_3_1', 'You do what you have to. I know the score.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '8', 'npc_4_1', 'Graft, murder, revenge -- all the things this city was founded on. I need you to go pick up some evidence. Are you with me or not? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '9', 'npc_backtowork_1', 'I\'ve told you all I can. Are you going?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '10', 'npc_reward_1', 'You\'ve got guts, kid. See me again about more work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '11', 'npc_work_1', 'You\'d better get that evidence soon. I want to break this case wide open before the next sunrise.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '12', 'npc_noloc_1', 'I should hear from my contact shortly. Come see me in a little while.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '13', 'npc_failure_1', 'Sometimes that\'s just life in the big city. Don\'t let it get to you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '14', 'otherescort_1', 'I\'m sorry, I\'m not waiting here for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '15', 'dontknowyou_1', 'I\'m busy at the moment. You should just go about your business.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '16', 'npc_breech_1', 'You must be Kel\'Vannon\'s new assistant. I hope you have better luck than his last one.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '17', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '18', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '19', 'npc_smuggle_1', 'They tried to bury this deep. This thing is much bigger than we realized. Tell him to be careful.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '20', 'gotowork_1', 'Tell Denell to watch his back.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '21', 'notit_1', 'These aren\'t the CorSec files you were supposed to bring me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '26', 'player_3_1', 'What sort of case is it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '27', 'npc_1_2', 'They found Shaedra and they killed her, all because she was helping me. She\'d worked with some of those people for years and they still shot her down in cold blood. Will you help me bring her killers to justice? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '28', 'npc_2_2', 'I\'ve made arrangements for you to meet Captain Varley under the guise of selling back that evidence against him. If you can take down his cronies and bring him here, I\'ll make sure he spills his guts. With him out of the holo, we can shut down this smuggling operation once and for all.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '29', 'npc_3_2', 'It\'s not the first time someone has backed out on me, and it won\'t be the last. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '30', 'npc_4_2', 'They think that they\'re untouchable because they work for CorSec. You just get that captain here and I\'ll make him sing. Don\'t you worry about that. What do you say?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '31', 'npc_backtowork_2', 'I\'ve told you all I know. Will you bring him in? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '32', 'npc_reward_2', 'Nice work, kid. Now to find out how much he knows. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '33', 'npc_work_2', 'You\'d better get him soon. I can\'t wait forever.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '34', 'npc_noloc_2', 'I\'m going to make arrangements for you to meet the captain and sell back that evidence. Give me a few minutes to work out the details and then come back.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '35', 'npc_failure_2', 'I guess there\'s a seamy underside to the wilderness too. Sorry about that, kid.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '36', 'otherescort_2', 'We don\'t have any business with you. Beat it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '37', 'dontknowyou_2', 'Beat it. This is CorSec business.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '38', 'npc_breech_2', 'I think we\'ll just take that disk instead of buying it. Get him!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '39', 'npc_takeme_2', 'Don\'t get crazy now. I\'ll come along quietly.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '40', 'npc_dropoff_2', 'When Black Sun hears of this, your lives won\'t be worth an Old Republic credit.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '41', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '42', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '43', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '48', 'player_3_2', 'How can we stop corrupt CorSec personnel? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '49', 'npc_1_3', 'CorSec\'s involvement in this scam is all washed up but there\'s one loose end we need to tie up: Black Sun. What do you say, kid? Are you willing to take on the galaxy\'s toughest criminal racket?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '50', 'npc_2_3', 'We\'re gonna end this operation once and for all. Captain Varley spilled the location of Black Sun\'s little spice den. How about you go and fill it so full of holes that even the Force won\'t hold it together.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '51', 'npc_3_3', 'I never pegged you for a coward. I always thought you\'d see this thing through.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '52', 'npc_4_3', 'If death is gonna come for us, we can still look it in the eye and make it buy us a drink first. So are you in or not?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '53', 'npc_backtowork_3', 'Quit poking at me, kid, and just say what\'s on your mind.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '54', 'npc_reward_3', 'We haven\'t really shut down Black Sun, just this one operation. But their days are numbered. You did good kid. You can be my backup any time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '55', 'npc_work_3', 'So did you blast that spice den into space dust yet? Get a move on, kid. If Black Sun gets wise to us, they\'ll have to scrape us off the walls with a lightsaber.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '56', 'npc_noloc_3', 'Our best time of attack will be when they switch out the shifts. Come see me in a little while. It\'s not quite time yet.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '57', 'npc_failure_3', 'Maybe we didn\'t take them down today, but their time is coming. Bank on it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '58', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '59', 'dontknowyou_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '60', 'npc_breech_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '61', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '62', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '63', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '65', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '70', 'player_3_3', 'That sounds like suicide.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '71', 'npc_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '72', 'npc_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '73', 'npc_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '74', 'npc_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '75', 'npc_backtowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '76', 'npc_reward_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '77', 'npc_work_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '78', 'npc_noloc_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '79', 'npc_failure_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '80', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '81', 'dontknowyou_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '82', 'npc_breech_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '92', 'player_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '137', 'npc_reset_1', 'Things might not seem so bleak later. Come see me again if you want to give it another try.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '138', 'npc_reset_2', 'Things might not seem so bleak later. Come see me again if you want to give it another try.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/denell_kel_vannon.stf', '139', 'npc_reset_3', 'Things might not seem so bleak later. Come see me again if you want to give it another try.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '1', 'next', 'I really have nothing more for you to do. Please, I\'d prefer to be alone just now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '2', 'cantwork', 'Darling, are you currently occupied? Oh, I see you\'re busy. Do drop back here when you\'re free, hmm?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '3', 'npc_reset', 'How utterly tiresome. Very well, return to me when you may.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '4', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '5', 'npc_1_1', 'Darling! I absolutely insist you help me! I\'m in the most awful jam over some forged records about my dearest Karrek. You know him, of course? Karrek Flim, the Corporate Sector Viceprex? Of course you know him. Will you bring me these forged records, taking whatever steps may be needed and not telling anyone? That would be lovely.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '6', 'npc_2_1', 'Too marvelous. Here are the coordinates where you\'ll find an aggravating data slicer named Bin Huusir or something like that. Do get the datadisc from him, and if violence is required, well, I suppose we\'ll all just have to live with that, hmm? Except Bin, of course.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '7', 'npc_3_1', 'You tiresome little being, leave me alone.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '8', 'npc_4_1', 'Well, if you know dear Karrek, you absolutely know he would in no way be responsible for ordering the leveling of numerous old-growth forests here in the Corellian system. You do understand that, don\'t you? Of course you do, any thinking being would. But that is what these detestable forged records are supposed to show. Will you get the data?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '9', 'npc_backtowork_1', 'Really, you know quite enough already. Please go, go, on your way!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '10', 'npc_reward_1', 'Darling! How pleasant. Here\'s a little something for your trouble. Ta.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '11', 'npc_work_1', 'Haven\'t you brought me that forged disc? Then why in the galaxy are you bothering me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '12', 'npc_noloc_1', 'I have no clear idea where this data slicer is right now, but I expect one of Karrek\'s little people will tell me shortly. Talk to me again soon. Ta.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '13', 'npc_failure_1', 'Did you not bring that disc? Dear me, how tiresome you are. Ta.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '14', 'otherescort_1', 'I don\'t think I\'m the one you\'re looking for.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '15', 'dontknowyou_1', 'I have no business with you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '16', 'npc_breech_1', 'You\'re not hauling me back to that Corporate Sector dimwit!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '17', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '18', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '19', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '20', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '21', 'notit_1', 'I wanted the disc of Karrek Flim\'s correspondence. Don\'t you have it? How tiresome.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '26', 'player_3_1', 'What are these forged records?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '27', 'npc_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '28', 'npc_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '29', 'npc_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '30', 'npc_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '31', 'npc_backtowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '32', 'npc_reward_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '33', 'npc_work_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '34', 'npc_noloc_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '35', 'npc_failure_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '36', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '37', 'dontknowyou_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '38', 'npc_breech_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '39', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '40', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '41', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '42', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '43', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '48', 'player_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '49', 'npc_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '50', 'npc_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '51', 'npc_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '52', 'npc_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '53', 'npc_backtowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '54', 'npc_reward_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '55', 'npc_work_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '56', 'npc_noloc_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '57', 'npc_failure_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '58', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '59', 'dontknowyou_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '60', 'npc_breech_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '61', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '62', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '63', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '65', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '70', 'player_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '71', 'npc_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '72', 'npc_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '73', 'npc_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '74', 'npc_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '75', 'npc_backtowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '76', 'npc_reward_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '77', 'npc_work_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '78', 'npc_noloc_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '79', 'npc_failure_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '80', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '81', 'dontknowyou_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '82', 'npc_breech_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '92', 'player_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/didina_lippinoss.stf', '137', 'npc_reset_1', 'How utterly tiresome. Very well, return to me when you may.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '1', 'next', 'You\'ve been a great help to our cause, but I think our operations here on Corellia will pause momentarily. No sense in forcing the Empire to squeeze this system any more than it is. Check back with me from time to time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '2', 'cantwork', 'My assignments consist of precision strikes against Imperial targets and call for concentration and quick thinking. Distractions tend to make operatives sloppy. Come back when you have none.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '3', 'npc_reset', 'It\'s a shame you couldn\'t finish what you began. I need operatives that can follow through on their promises. Check back with me when you\'re ready to do that.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '4', 'notyet', 'I\'m a busy man. Talk to Irenez and she can schedule an appointment with me. Oh, and if you\'re not sympathetic to the Rebellion, you\'re wasting my time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '5', 'npc_1_1', 'If Irenez thinks you\'re ready, that\'s good enough for me. The name\'s Iblis but everyone around here calls me the Commander. When dealing with the Empire you have to be efficient and precise. No room in my organization for flashy heroes. Those types get their comrades killed. You do the job you\'re assigned and nothing else. Understand? Good. Your first assignment is escort duty. One of our contacts in the Corellian Shipbuilder\'s Union is about to be arrested by ISB goons. Get him back here safely and get rid of anyone who tries to stop you. Can you handle that?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '6', 'npc_2_1', 'Good. Man\'s name is Hlaano Dunlix. He\'ll know to expect you. He\'s currently in hiding so be prepared for a bit of a journey. It\'s more important that you get Dunlix here alive than it is to leave no Imperial witnesses. If things get hot, get out of there fast.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '7', 'npc_3_1', 'Looks like I\'ll have to have a little chat with Irenez. Dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '8', 'npc_4_1', 'He\'s been covering up shipments of starfighters that have been diverted to Rebel bases in the Outer Rim. Someone ratted him out and now the Imperials want to interrogate him. We can\'t let that happen.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '9', 'npc_backtowork_1', 'Was something unclear, soldier?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '10', 'npc_reward_1', 'Nice job. We\'ll get Dunlix safely off Corellia. Have a drink on me, soldier - you\'ve earned it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '11', 'npc_work_1', 'Have you brought Dunlix back yet? We need to secure this agent.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '12', 'npc_noloc_1', 'I\'ll get Dunlix\'s coordinates in just a few moments.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '13', 'npc_failure_1', 'Those are not exactly the results I was hoping for, citizen. I\'ll have to bring in some specialists now. Maybe you should take some time off.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '14', 'otherescort_1', 'I don\'t believe I\'m the individual you\'re looking for.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '15', 'dontknowyou_1', 'I can\'t talk now. I\'m waiting for someone.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '16', 'npc_breech_1', 'Did the Commander send you? I\'m Dunlix. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '17', 'npc_takeme_1', 'Good thing you arrived when you did, those Imperial goons will be here any minute. Let\'s go.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '18', 'npc_dropoff_1', 'Much obliged, friend. I know I wouldn\'t have made it without your help. I agree with the Commander - go treat yourself to some Corellian Double-Brandy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '19', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '20', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '21', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '26', 'player_3_1', 'Why do the Imperials want this representative?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '27', 'npc_1_2', 'Your second assignment is a retrieval mission. An ISB agent has managed to acquire a classified internal CorSec report that identifies several Rebel sympathizers within at least half a dozen major Corellian corporations. That report must not fall into Imperial Intelligence\'s hands. I need you to intercept the ISB agent and bring me this report. Can you do that?  ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '28', 'npc_2_2', 'The agent\'s name is Drillen Foyle and he\'ll likely have requested a small stormtrooper escort. Once you get the report, break off the engagement if there is still resistance. Getting the report back to us is what\'s important. You can kill stormtroopers on your own time. And in fact I encourage you to do so.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '29', 'npc_3_2', 'I can\'t imagine why you\'d be wasting my time. Dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '30', 'npc_4_2', 'I think a fairly high-ranking CorSec official sold us out. We\'ll have to identify this dangerous leak and deal with it soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '31', 'npc_backtowork_2', 'I\'ve got nothing more to tell you about this mission. Do you wish me to find someone else to give it to?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '32', 'npc_reward_2', 'Well handled, soldier. I think I like your style. A performance like that should be suitably rewarded.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '33', 'npc_work_2', 'Did you get that report yet, soldier? It could cause quite a bit of damage to our organization.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '34', 'npc_noloc_2', 'We\'ve been tracking the movements of this ISB officer and should have those coordinates shortly.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '35', 'npc_failure_2', 'A report like that can cause significant damage to our operations. I\'ll have to order several precision strikes against various Imperial targets if we\'re to avoid an all-out attack. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '36', 'otherescort_2', 'I\'m on Imperial business. Keep moving.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '37', 'dontknowyou_2', 'I\'m on Imperial business. Keep moving.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '38', 'npc_breech_2', 'No one should have known I was out here. Open fire, men!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '39', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '40', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '41', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '42', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '43', 'notit_2', 'This is not the CorSec report. That\'s what I need.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '48', 'player_3_2', 'How did this ISB agent get this report?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '49', 'npc_1_3', 'Back just in time. We\'ve identified the leak inside of CorSec. A certain Captain Egan Garrud. I need him silenced. Our contacts tell us that he\'s been tipped off, so he knows we\'ll be sending someone. Garrud is one tough gundark, so you might wish to call in some help from trusted comrades. Think you can tackle him?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '50', 'npc_2_3', 'He\'s a crack shot so don\'t let him keep you at a distance or he\'s likely to pick you and your friends off like nafen flies. Best of luck.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '51', 'npc_3_3', 'I actually understand your hesitation to tackle this mission. All right, I\'ll find someone else.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '52', 'npc_4_3', 'Let me put it this way - I\'d bring friends along and I\'m a great shot. Garrud is fast on his feet, deadly accurate with a blaster, and he fights to win. He is not going to go easy. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '53', 'npc_backtowork_3', 'If you wish to reconsider, I understand.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '54', 'npc_reward_3', 'Glad to see you made it back alive, soldier. Anyone that can take on Garrud and live is someone I want on my side. Enjoy your reward.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '55', 'npc_work_3', 'Did you take out Garrud? He threatens many of our operatives in the field. We need him silenced.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '56', 'npc_noloc_3', 'Garrud went into hiding but we\'ll track him down soon enough.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '57', 'npc_failure_3', 'We may have to call in a \"specialist\" to take Garrud out. I appreciate your attempt, though.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '58', 'otherescort_3', 'I\'m busy. Buzz off.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '59', 'dontknowyou_3', 'I\'m busy. Buzz off.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '60', 'npc_breech_3', 'Keep your distance, pal, or I\'ll drop you where you stand!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '61', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '62', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '63', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '65', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '70', 'player_3_3', 'Do you really think I\'ll need friends to take care of Garrud?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '71', 'npc_1_4', 'Turns out that Captain Garrud wasn\'t working alone. My people have identified a Bothan informant named Fadulk Di\'keer that\'s been playing both sides of the fence. This guy\'s worked as an assistant to quite a few Corellian bigwigs, including the late Diktat himself. Turns out the Imperials have also identified him so he\'s on the lam. Find him before the Imperials do and bring him back here. Understand that we need him very much alive if we\'re to discover what kind of information he\'s sold to the Empire concerning our activities. Can you do it? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '72', 'npc_2_4', 'Great. Remember that the Empire wants this guy pretty badly too, so be expecting a fight. After all, the Empire\'s way of solving a problem is to throw more stormtroopers at it. Best of luck. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '73', 'npc_3_4', 'You should have more confidence in your abilities, soldier. Fine, I\'ll find someone else.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '74', 'npc_4_4', 'No, he\'s a records keeper and definitely no soldier. He should come along quietly although he may call on the Imperials for help if they show up.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '75', 'npc_backtowork_4', 'I can find someone else to do this if you\'d like to reconsider.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '76', 'npc_reward_4', 'Top performance, soldier. You\'re a definite asset to this organization.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '77', 'npc_work_4', 'Have you brought Di\'keer in yet? We can\'t let the Imperials get to him first.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '78', 'npc_noloc_4', 'We should have the Bothan\'s coordinates shortly. Check back with me in a bit.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '79', 'npc_failure_4', 'This is unfortunate. If we don\'t know which of our covert agents have been compromised we can\'t take steps to protect them.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '80', 'otherescort_4', 'You\'re looking for someone else, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '81', 'dontknowyou_4', 'Can\'t talk now. I\'m trying to keep a low profile.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '82', 'npc_breech_4', 'Uh oh, looks like trouble! Don\'t shoot! ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '83', 'npc_takeme_4', 'I\'ll come along quietly. Just take it easy. How do I get myself into these messes?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '84', 'npc_dropoff_4', 'I appreciate your efforts to keep me alive, despite the fact that you were escorting me back here. Although I\'d rather be in the hands of the Rebels than Imperial Intelligence any day.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '92', 'player_3_4', 'Should I expect trouble from this Bothan?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '93', 'npc_1_5', 'Looks like the pro-Imperial corporations have taken matters into their own hands and have hired a bounty hunter to bring me in. They\'ve spared no expense, apparently, since they\'ve hired a particularly dangerous lady by the name of Kalia Kulmina. She\'s a Zabrak and she\'s as deadly as she is beautiful. Think you could stop her from making me into a statistic?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '94', 'npc_2_5', 'I\'ll give you the same advice I gave you on an earlier mission: if you have tough friends, bring them along. Kalia will be very difficult to bring down. But you know, if there\'s anyone that can do it, I think it\'s you. Best of luck.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '95', 'npc_3_5', 'A respect someone that knows their limits. No hard feelings. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '96', 'npc_4_5', 'She\'s worked for Imperial Intelligence quite a bit and rumor has it that she specialized in hunting rogue Jedi that had escaped the Purge. They\'re all gone and she\'s still alive, so that should tell you something.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '97', 'npc_backtowork_5', 'If you\'d like to back out, now is the time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '98', 'npc_reward_5', 'Stellar job, soldier, simply stellar. I\'ll be honest with you - I didn\'t think you\'d make it back. But I\'ve never been happier to be proven wrong. You\'re one tough sand panther, you know that?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '99', 'npc_work_5', 'Have you taken care of that bounty hunter problem? I need to know whether I should get my affairs in order or not.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '100', 'npc_noloc_5', 'My people have been tracking Kalia\'s movements ever since she arrived on Corellia. I\'ll get you her coordinates in just a moment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '101', 'npc_failure_5', 'We\'ll see how close this lady gets before I can take her out. Assuming I get lucky, that is. I appreciate the attempt, soldier. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '102', 'otherescort_5', 'I\'m working. Leave while you still can.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '103', 'dontknowyou_5', 'I\'m working. Leave while you still can.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '104', 'npc_breech_5', 'Pitiful fool, throw your life away if you want. But you will not stop me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '114', 'player_3_5', 'How did Kalia earn her reputation?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '115', 'npc_1_6', 'Given your track record, soldier, I could think of no one better qualified to tackle this mission. We\'ve just discovered that an Imperial Special Forces Unit is being formed whose sole mission is to take out my command center. I need these Imperial agents eliminated before they can complete their training and launch their attack. If you think you needed help with past missions, then you\'re definitely going to need an elite team to pull this one off. You have to hit them hard and fast. Can I count on you one last time?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '116', 'npc_2_6', 'Best of luck to you, soldier. I know I\'ve made the right choice by picking you. I just hope the Force is with all of us today.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '117', 'npc_3_6', 'I\'ve asked too much of you already, soldier. May Fortune bless your future endeavors. Farewell.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '118', 'npc_4_6', 'Not much, but they may have some Dark Troopers working with them. You\'ll need to be well prepared for anything.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '119', 'npc_backtowork_6', 'I understand if you\'d like to back out. It won\'t change my high opinion of you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '120', 'npc_reward_6', 'You\'re one in a million, soldier! My organization couldn\'t ask for a better operative - we owe you a great debt. I salute you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '121', 'npc_work_6', 'Did you take care of that commando training facility? They may strike us at any moment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '122', 'npc_noloc_6', 'I\'ll transmit the coordinates to the Imperial garrison in just a few moments.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '123', 'npc_failure_6', 'I\'ll have to organize a second attack. We\'ve lost the element of surprise but with any luck they won\'t be able to reinforce their position before we can strike again. Thanks for your help. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '136', 'player_3_6', 'Anything you can tell me about this Imperial Special Forces Unit?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '137', 'npc_reset_1', 'It\'s a shame you couldn\'t finish what you began. I need operatives that can follow through on their promises. Check back with me when you\'re ready to do that.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '138', 'npc_reset_2', 'It\'s a shame you couldn\'t finish what you began. I need operatives that can follow through on their promises. Check back with me when you\'re ready to do that.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '139', 'npc_reset_3', 'It\'s a shame you couldn\'t finish what you began. I need operatives that can follow through on their promises. Check back with me when you\'re ready to do that.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '140', 'npc_reset_4', 'It\'s a shame you couldn\'t finish what you began. I need operatives that can follow through on their promises. Check back with me when you\'re ready to do that.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '141', 'npc_reset_5', 'It\'s a shame you couldn\'t finish what you began. I need operatives that can follow through on their promises. Check back with me when you\'re ready to do that.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '142', 'npc_reset_6', 'It\'s a shame you couldn\'t finish what you began. I need operatives that can follow through on their promises. Check back with me when you\'re ready to do that.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '143', 'waypoint_description_1', 'Find Hlaano Dunlix and escort him back to Garm Bel Iblis.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '144', 'waypoint_description_2', 'Intercept Drillen Foyle, an ISB agent, and bring Garm Bel Iblis the CorSec report he carries.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '145', 'waypoint_description_3', 'Captain Egan Garrud is a traitor. Eliminate him.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '146', 'waypoint_description_4', 'Find the Bothan informant, Fadulk Di\'keer, and bring him to Garm Bel Iblis... alive.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '147', 'waypoint_description_5', 'Stop Kalia Kulmina, a Zabrak assassin, before she can get to Garm Bel Iblis.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '148', 'waypoint_description_6', 'Eliminate the Imperial Special Forces Unit that threatens Garm Bel Iblis\' command center.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '149', 'return_waypoint_description_1', 'Return to Garm Bel Ilbis with Hlaano Dunlix.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '150', 'return_waypoint_description_2', 'Return to Garm Bel Ilbis with the report.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '151', 'return_waypoint_description_3', 'Return to Garm Bel Ilbis and let him know Captain Garrud is gone.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '152', 'return_waypoint_description_4', 'Return to Garm Bel Ilbis with Fadulk Di\'keer.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '153', 'return_waypoint_description_5', 'Return to Garm Bel Ilbis and let him know he\'s safe from Kalia Kulmina.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '154', 'return_waypoint_description_6', 'Return to Garm Bel Ilbis and let him know the Imperial Special Forces Unit has been eradicated.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '155', 'return_waypoint_name_1', 'Garm Bel Ilbis');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '156', 'return_waypoint_name_2', 'Garm Bel Ilbis');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '157', 'return_waypoint_name_3', 'Garm Bel Ilbis');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '158', 'return_waypoint_name_4', 'Garm Bel Ilbis');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '159', 'return_waypoint_name_5', 'Garm Bel Ilbis');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '160', 'return_waypoint_name_6', 'Garm Bel Ilbis');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '161', 'waypoint_name_1', 'Hlaano Dunlix\'s location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '162', 'waypoint_name_2', 'the ISB agent\'s location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '163', 'waypoint_name_3', 'Captain Garrud\'s location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '164', 'waypoint_name_4', 'The Bothan informant\'s location.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '165', 'waypoint_name_5', 'The Zabrak assassin\'s location.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/garm_bel_iblis.stf', '166', 'waypoint_name_6', 'The training location of the Imperial Special Forces Unit');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '1', 'next', 'You\'re quite a smooth operator. I don\'t have anything worthy of you just now, but I will definitely keep you in mind.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '2', 'cantwork', 'You and I should talk business once you\'ve completed your current job.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '3', 'npc_reset', 'If you think you\'d like to try this later, come back and see me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '4', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '5', 'npc_1_1', 'The name is Ghent. I work for Talon Karrde and I need some help. You seem a likely prospect. Would you be interested in making a few credits? I can use a little help with a pickup run. What do you say?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '6', 'npc_2_1', 'I thought you might be interested. You\'ll be looking for Ara Miorri. She\'s a little on the eccentric side, doing all her business outside of town -- although I hear that\'s becoming more common.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '7', 'npc_3_1', 'Afraid you might get yourself in trouble? Probably good thinking. Good luck to you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '8', 'npc_4_1', 'A disk that a friend of mine has put together to help me with my shipping interests. I need someone to get it for me, as I seem to have picked up a tail. Don\'t ask who\'s tailing me -- I don\'t know. Will you make the pickup?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '9', 'npc_backtowork_1', 'You haven\'t lost interest in the job already, have you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '10', 'npc_reward_1', 'A job well done. Maybe we can do more business later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '11', 'npc_work_1', 'Have you picked up that disk yet? I was hoping to get it today.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '12', 'npc_noloc_1', 'She\'ll contact me when she\'s ready to make the drop. See me in a little while.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '13', 'npc_failure_1', 'Got a little hairy, I take it? That sometimes happens in our line of work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '14', 'otherescort_1', 'You\'re looking for someone? Sorry, it\'s not me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '15', 'dontknowyou_1', 'I\'m just waiting for a courier. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '16', 'npc_breech_1', 'Did Ghent send you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '17', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '18', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '19', 'npc_smuggle_1', 'You tell Ghent he owes me big-time for this. These are some high-clearance codes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '20', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '21', 'notit_1', 'I don\'t think this is the disk she told you to give me. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '26', 'player_3_1', 'What do you need me to pick up?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '27', 'npc_1_2', 'Do you recall that Rodian who tried to interfere with our last bit of business? Not long after you left that slicer, Ara Niorri, the Rodian\'s partner killed her. Ara was a gifted woman, and I don\'t like it when my friends get murdered. Will you do something about it for me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '28', 'npc_2_2', 'Good, I didn\'t think you\'d let this slide. The Rodian\'s name is Vralla. I\'d be careful of her -- you foiled her partner, so she may be looking for you. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '29', 'npc_3_2', 'I guess she didn\'t impress you very much. I\'ll handle it myself.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '30', 'npc_4_2', 'That\'s what I\'m trying to figure out. Probably another Hutt somewhere on Corellia. She likes to keep her own hands clean nowadays, but she sends others to do the dirtiest possible work. Will you avenge Ara?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '31', 'npc_backtowork_2', 'I\'ve told you what I know. You haven\'t changed your mind, have you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '32', 'npc_reward_2', 'So the lady Hutt was involved in this. Just as I suspected. I believe I\'ll have to discourage her from messing with me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '33', 'npc_work_2', 'Have you found that blasted killer yet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '34', 'npc_noloc_2', 'One of my informants will send the Rodian\'s location shortly. See me again in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '35', 'npc_failure_2', 'I asked too much of you. Thank you for trying.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '36', 'otherescort_2', 'Keep looking, you\'ll find whoever you\'re looking for.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '37', 'dontknowyou_2', 'I don\'t think I know you. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '38', 'npc_breech_2', 'Well, if it isn\'t the little wretch who foiled my partner. Milady Hutt will be most pleased if I kill you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '39', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '40', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '41', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '42', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '43', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '48', 'player_3_2', 'Why did the Rodians attack me and kill Ara? Who sent them?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '49', 'npc_1_3', 'I\'ve been keeping my eye on the Lady Hutt after our recent run-ins. I hear tell me she\'s expecting an important delivery from Naboo soon. Will you intercept it for me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '50', 'npc_2_3', 'I knew I could count on you. The ship just landed in a remote location, and the delivery is being made by hand. Find the courier and take the package. I don\'t like doing business this way, but the Lady Hutt must learn who she\'s dealing with.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '51', 'npc_3_3', 'All right. Best to stay out of these power struggles if you don\'t have a vested interest.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '52', 'npc_4_3', 'Technically I\'m only going against one Hutt, but actually the answer is yes. You can\'t get far in this business without taking some risks. Besides, I know a few things they don\'t. Trust me on this. So will you do it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '53', 'npc_backtowork_3', 'I\'ve told you all I can. Will you get that package now?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '54', 'npc_reward_3', 'You got it? Good. Now I\'ll find out what the Lady is mixed up in. Thanks for your good work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '55', 'npc_work_3', 'Were you going to intercept that courier, or did you subcontract this job?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '56', 'npc_noloc_3', 'Once the courier leaves with the package, my informant will contact me. See me soon and I should be ready.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '57', 'npc_failure_3', 'You weren\'t able to get the package? A minor setback. They happen.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '58', 'otherescort_3', 'I don\'t think you\'re looking for me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '59', 'dontknowyou_3', 'I\'m just delivering a message. Nothing to concern yourself with.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '60', 'npc_breech_3', 'You just made the last mistake of your life.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '61', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '62', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '63', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '65', 'notit_3', 'Are you sure you didn\'t mean to give me something else?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '70', 'player_3_3', 'Are you really willing to go against the Hutts?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '71', 'npc_1_4', 'I can\'t believe the lengths people in this business will go to. The Lady Hutt has purchased a genetically engineered virus that heightens aggression. There are some things I\'m just not willing to be involved in, and engineered viruses are right up there. Will you deliver this virus sample to the Biological Control Bureau for me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '72', 'npc_2_4', 'Good. I\'ve arranged for a quiet dropoff with one of the BCB couriers. Just meet him, give him the package, and there\'ll be no questions asked. I hope they can get a retrovirus started in case anyone tries something foolish.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '73', 'npc_3_4', 'I can\'t fault your good sense. Good luck to you. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '74', 'npc_4_4', 'Shouldn\'t affect anyone you know. I wouldn\'t be surprised if they try to change that. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '75', 'npc_backtowork_4', 'Don\'t you want to make that delivery for me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '76', 'npc_reward_4', 'Thanks. Kind of strange to be helping people for a change. I\'ll try not to make it a habit. It might be bad for business. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '77', 'npc_work_4', 'Were you going to deliver that virus or just wait for it to mutate into something else?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '78', 'npc_noloc_4', 'Give me a few minutes to arrange a quiet meeting with a BCB courier. Come back shortly.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '79', 'npc_failure_4', 'No luck? I\'ll try to send over another sample.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '80', 'otherescort_4', 'Keep looking, friend.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '81', 'dontknowyou_4', 'I\'m just waiting for a delivery.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '82', 'npc_breech_4', 'Are you looking for me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '85', 'npc_smuggle_4', 'Thanks. I\'ll get this back to the BCB for analysis right away.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '86', 'gotowork_4', 'Weren\'t you supposed to be bringing me some new virus sample? Where is it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '87', 'notit_4', 'I was expecting a virus sample. What are you giving me this for?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '92', 'player_3_4', 'Umm -- it\'s not contagious, is it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '137', 'npc_reset_1', 'If you think you\'d like to try this later, come back and see me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '138', 'npc_reset_2', 'If you think you\'d like to try this later, come back and see me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '139', 'npc_reset_3', 'If you think you\'d like to try this later, come back and see me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '140', 'npc_reset_4', 'If you think you\'d like to try this later, come back and see me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '141', 'npc_reset_5', 'If you think you\'d like to try this later, come back and see me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ghent.stf', '142', 'npc_reset_6', 'If you think you\'d like to try this later, come back and see me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '1', 'next', 'I no longer require your services. You have served the Empire well, however, so check back with me in the future for possible work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '2', 'cantwork', 'You seem rather preoccupied. Come back when you have some free time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '3', 'npc_reset', 'I\'m disappointed by your lack of resolve. However, you may come back when you feel you can finish the tasks I assign you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '4', 'notyet', 'See Sergeant Tarl about assignments. When he clears you, come back and see me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '5', 'npc_1_1', 'I see Sergeant Tarl has cleared you. Good. Let\'s get right to work, shall we? I need you to deliver this dispatch to one of my junior officers. It details Lord Vader\'s plan to search for the Rebellion\'s new secret base and gives some specific instructions involving a native of Tatooine. These orders are classified, so make sure this encrypted disc does not fall into the wrong hands. Can you do this?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '6', 'npc_2_1', 'The officer this must go to is Lieutenant Errad Brytok of the Star Destroyer Chimaera. He knows to expect you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '7', 'npc_3_1', 'Why would you ask for an appointment with me and then refuse to work? You\'re dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '8', 'npc_4_1', 'Lord Vader\'s affairs are none of your concern. Will you go?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '9', 'npc_backtowork_1', 'I\'ve explained everything you need to know. Do you wish to reconsider your service with me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '10', 'npc_reward_1', 'Well done. I should have warned you. Agents of the Rebellion are everywhere and they\'re especially eager to get their hands on orders involving the search for their hidden base.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '11', 'npc_work_1', 'Have you delivered those orders yet? We have Imperial Star Destroyers waiting to be dispatched.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '12', 'npc_noloc_1', 'My junior officer will transmit his coordinates shortly.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '13', 'npc_failure_1', 'Fortunately, that disc\'s encryption will destroy the data if the proper codes are not introduced. I do, however, find it a bit disappointing that you failed at such a simple task.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '14', 'otherescort_1', 'I\'m on Imperial business. I can\'t talk.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '15', 'dontknowyou_1', 'I\'m on Imperial business. I can\'t talk.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '16', 'npc_breech_1', 'Did Captain Pellaeon send you? I\'m Lt. Brytok.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '17', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '18', 'npc_dropoff_1', 'I believe you were supposed to deliver some instructions from Captain Pellaeon. Do you have them?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '19', 'npc_smuggle_1', 'I\'ll make sure the Star Destroyer Chimaera receives these orders immediately.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '20', 'gotowork_1', 'Sorry, can\'t talk now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '21', 'notit_1', 'These are not Captain Pellaeon\'s orders. Those are what I need.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '26', 'player_3_1', 'What native of Tatooine is this?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '27', 'npc_1_2', 'I\'ve been asked by Admiral Ozzel to review requisitions for Imperial probe droids. Captain Needa of the Star Destroyer Avenger believes that Rebel agents tampered with his shipment and would like to request another.  Could you pick up his new requisition form and bring it back to me for review?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '28', 'npc_2_2', 'You\'ll be picking the requisition up from the Avenger\'s quartermaster, Sergeant Donsull. He\'s been informed that you\'re coming.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '29', 'npc_3_2', 'Do you believe this assignment is not prestigious enough for you? We are responding to Lord Vader\'s personal instructions. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '30', 'npc_4_2', 'Isn\'t it rather obvious? We\'re conducting a search for the Rebellion\'s new command center.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '31', 'npc_backtowork_2', 'Do you wish to be released from this assignment?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '32', 'npc_reward_2', 'Well done. I\'m glad to see that Rebel agents are incapable of interfering with your mission\'s success. I\'ve made of note of this in my official report.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '33', 'npc_work_2', 'Have you picked up Captain Needa\'s requisition form? The Star Destroyer Avenger cannot depart until it receives those probe droids.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '34', 'npc_noloc_2', 'The quartermaster will transmit his coordinates to me shortly.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '35', 'npc_failure_2', 'Picking up a requisition is hardly an arduous task. Your failure is both disappointing and enlightening.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '36', 'otherescort_2', 'I\'m busy and can\'t talk right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '37', 'dontknowyou_2', 'I\'m busy and can\'t talk right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '38', 'npc_breech_2', 'Are you here to pick up a requisition order? Did Captain Pellaeon send you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '39', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '40', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '41', 'npc_smuggle_2', 'Here is Captain Needa\'s requisition order. Have the probe droids sent via transport to the Star Destroyer Avenger.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '42', 'gotowork_2', 'Sorry, can\'t talk now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '43', 'notit_2', 'This is not a requisition order. That is what I need.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '48', 'player_3_2', 'Why are Star Destroyers requesting more probe droids?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '49', 'npc_1_3', 'Sergeant Tarl\'s investigations have uncovered an information broker named Helfin Hundi who\'s been selling Imperial transport manifests to the Rebellion. I\'d like you to arrest this criminal and bring him here for processing. I doubt this individual will give you any problems. Can you carry out this task?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '50', 'npc_2_3', 'Good. Make sure Helfin makes it here alive. We need to conduct some lengthy interrogations and need him in good health for that.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '51', 'npc_3_3', 'This is truly becoming tiresome. You\'re dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '52', 'npc_4_3', 'The worm is well connected so he may have a few friends show up to try and \"liberate\" him. I\'m certain you\'re capable of handling such ruffians, however.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '53', 'npc_backtowork_3', 'Do you wish to reconsider performing this task?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '54', 'npc_reward_3', 'I knew you\'d come through. Cowardly spies are no match for someone of your skill and resolve. Congratulations.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '55', 'npc_work_3', 'Have you brought that Rebel agent in for questioning yet? We need the list of his known associates and contacts if we\'re to prevent further classified information from leaking out.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '56', 'npc_noloc_3', 'Our informants will provide me with Helfin\'s location in just a few moments.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '57', 'npc_failure_3', 'Your failure means the Rebellion will continue to get their hands on classified Imperial records. That is not good.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '58', 'otherescort_3', 'Buzz off, buddy, I\'m busy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '59', 'dontknowyou_3', 'Buzz off, buddy, I\'m busy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '60', 'npc_breech_3', 'Blast! Looks like the Imperials are wise to my setup!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '61', 'npc_takeme_3', 'Don\'t hurt me! I won\'t resist!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '62', 'npc_dropoff_3', 'I\'m getting interrogated, aren\'t I? Can I say good-bye to my wife and kids?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '63', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '64', 'gotowork_3', 'Sorry, can\'t talk now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '65', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '70', 'player_3_3', 'Sounds way too easy. What\'s the catch?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '71', 'npc_1_4', 'Imperial Intelligence has provided me with the name of the mastermind behind this Corellian industrial spy ring. Admiral Ozzel would like me to take care of this, which of course means I\'m turning to you. Can you remove this threat to Imperial security? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '72', 'npc_2_4', 'Excellent. The target\'s name is Xoron Gulfel. He\'s likely to have a few bodyguards with him. We must not allow Xoron to escape.  ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '73', 'npc_3_4', 'You refusal will be included in my official report to Admiral Ozzel. Do not waste any more of my time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '74', 'npc_4_4', 'Again you ask questions when you should simply be following orders. The Admiral\'s reasons are his own. Do you want the assignment or not?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '75', 'npc_backtowork_4', 'There is nothing further to say about this mission. Do you wish to decline?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '76', 'npc_reward_4', 'You should consider a career with Imperial Intelligence. Your professionalism and talent is exactly what that division is looking for. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '77', 'npc_work_4', 'Have you removed that threat to Imperial security? Admiral Ozzel is counting on you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '78', 'npc_noloc_4', 'Intelligence will transmit the current whereabouts of Xoron shortly.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '79', 'npc_failure_4', 'Allowing Xoron to escape will cost the Empire dearly, citizen, not to mention having earned you the Admiral\'s displeasure. You may go.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '80', 'otherescort_4', 'Don\'t bother me. I\'m a very busy man.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '81', 'dontknowyou_4', 'Don\'t bother me. I\'m a very busy man.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '82', 'npc_breech_4', 'So Ozzel decided to pay the hush money, eh? Hand it over!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '86', 'gotowork_4', 'Sorry, can\'t talk now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '92', 'player_3_4', 'Why is Admiral Ozzel becoming involved? Isn\'t this a matter for Imperial Intelligence?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '137', 'npc_reset_1', 'I\'m disappointed by your lack of resolve. However, you may come back when you feel you can finish the tasks I assign you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '138', 'npc_reset_2', 'I\'m disappointed by your lack of resolve. However, you may come back when you feel you can finish the tasks I assign you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '139', 'npc_reset_3', 'I\'m disappointed by your lack of resolve. However, you may come back when you feel you can finish the tasks I assign you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '140', 'npc_reset_4', 'I\'m disappointed by your lack of resolve. However, you may come back when you feel you can finish the tasks I assign you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilad_pellaeon.stf', '141', 'default', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '1', 'next', 'I think the poaching situation here is under control. I suggest you relax and have a good time here in Kor Vella.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '2', 'cantwork', 'Hello. I have a job waiting here as soon as you\'re not busy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '3', 'npc_reset_1', 'I understand your situation. I\'ve had to abandon many attempts to get these poachers. But I kept trying, and I hope you will too.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '4', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '5', 'npc_1_1', 'I\'m with Corellian Security\'s detachment investigating animal poaching outside Tyrena. I\'ve learned that an offworld tourist happened to record an illegal killing of a gronda outside town. I\'d be grateful if you\'d get the holorecording from the tourist and bring it to me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '6', 'npc_2_1', 'Fine. I understand the tourist is a Gran -- one of those three-eyed folks -- named Snee-Roos. Get the datadisc from him at these coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '7', 'npc_3_1', 'I\'m sorry to hear that. Poaching is a big problem around here, and we need all the help we can get to stop it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '8', 'npc_4_1', 'Poachers take local wildlife for pelts or biomaterials, or as exotic pets to sell offworld. It\'s been an ongoing problem for too long, and local populations are falling to dangerous levels. But if you bring me this recording, I may finally have the lead I need to stop the gang. Will you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '9', 'npc_backtowork_1', 'I\'ve told you all I know. I\'d appreciate it if you\'d pick up that disc.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '10', 'npc_reward_1', 'This looks like just the evidence I need to identify the main poaching gang and stop them for good. Check with me soon for another job.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '11', 'npc_work_1', 'Have you met with that tourist yet to pick up the holorecording?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '12', 'npc_noloc_1', 'Just a moment. Sorry, my commander is calling for a progress report. See me in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '13', 'npc_failure_1', 'Didn\'t you bring that tourist\'s recording. This will make it harder to catch that poaching gang.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '14', 'otherescort_1', 'I\'m waiting for someone else.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '15', 'dontknowyou_1', 'I\'m waiting for someone else.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '16', 'npc_breech_1', 'Helloooo! You are working for the Corellian Security human person?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '17', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '18', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '19', 'npc_smuggle_1', 'I am Snee-Roos! So good to meet a new person! I am having the most wonderful time here on my vacaction. First a gronda killing, and now police excitement! What? The recording? Oh yes, here is the recording for you to give to the Corellian Security human. It was so nice to talk to you!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '20', 'gotowork_1', ' It was so nice to talk to you! We should go gronda hunting sometime, with holocameras, of course.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '21', 'notit_1', 'That isn\'t the tourist\'s holorecording of the gronda killing, is it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '26', 'player_3_1', 'Why is there poaching outside Kor Vella?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '27', 'npc_1_2', 'I have another job for you, if you like. That tourist\'s recording of the gronda killing gave me enough information to identify the poaching gang and locate their hideout. Now that I know where they\'re based, I\'d like you to destroy the place.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '28', 'npc_2_2', 'Good. The hideout looks big enough for maybe three or four gangsters. If they\'re Black Sun, as I\'m starting to suspect, they\'ll be well armed. You may want to get some backup. Check with me here when you\'ve succeeded.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '29', 'npc_3_2', 'I\'m sorry you don\'t feel up to this job, but I admit it\'s quite a task.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '30', 'npc_4_2', 'Once I identified the poachers from the holo, I sent a probe droid to track them from Kor Vella\'s seedier bars straight back to their hideout. Our forces are busy on other police matters, so will you blow up the hideout for us?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '31', 'npc_backtowork_2', 'I\'ve told you all I know. I\'d appreciate it if you\'d get started destroying that hideout.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '32', 'npc_reward_2', 'What a breakthrough! I hope this will stop the poaching, at least for a while. Good work!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '33', 'npc_work_2', 'I\'ve told you all I know. I\'d appreciate it if you\'d assault that building now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '34', 'npc_noloc_2', 'Just a moment. Sorry, my commander is calling for a progress report. See me in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '35', 'npc_failure_2', 'You didn\'t take out that poacher hideout? I hope we can get another team to hit it before they evacuate.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '36', 'otherescort_2', 'You got no business around here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '37', 'dontknowyou_2', 'You got no business around here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '38', 'npc_breech_2', 'We\'re found! Black Sun\'ll kill us if this base gets torched!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '39', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '40', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '41', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '42', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '43', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '48', 'player_3_2', 'How did you locate the poachers\' hideout?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '49', 'npc_1_3', 'You took out that poacher hideout for us, but an unexpected consequence has arisen. Some gang members weren\'t at the hideout when you destroyed it. They evacuated another hideout and irresponsibly released the live animals they kept there -- including a pack of the most dangerous beasts, slice hounds. The pack is menacing local citizens. I\'m asking you to destroy the pack.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '50', 'npc_2_3', 'All right. It\'s a small pack of five or six slice hounds. You\'ll probably need some backup to put them down. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '51', 'npc_3_3', 'I\'m sorry you don\'t feel up to this job, but I admit it\'s quite a task.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '52', 'npc_4_3', 'The poachers were planning to sell the animals offworld as \"exotic pets.\" Sometimes these animals go to tough customers who train them to fight. In these cases the poachers intentionally drive the beasts mad before selling them, to make them fierce. We think that\'s what happened with these slice hounds. Will you destroy them?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '53', 'npc_backtowork_3', 'I\'ve told you all I know. I\'d appreciate it if you\'d go after that pack of slice hounds.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '54', 'npc_reward_3', 'That was a sad job, but I\'m glad you were up to it. In this job I\'ve really learned to hate poachers. I hope that with your help we\'ve controlled the problem.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '55', 'npc_work_3', 'I\'ve told you all I know. I\'d appreciate it if you\'d go after those slice hounds.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '56', 'npc_noloc_3', 'Just a moment. Sorry, my commander is calling for a progress report. See me in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '57', 'npc_failure_3', 'You didn\'t destroy that pack of slice hounds? Well, I can\'t blame you. We\'ll keep trying.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '58', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '59', 'dontknowyou_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '60', 'npc_breech_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '61', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '62', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '63', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '65', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '70', 'player_3_3', 'Why were poachers keeping live animals?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '71', 'npc_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '72', 'npc_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '73', 'npc_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '74', 'npc_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '75', 'npc_backtowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '76', 'npc_reward_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '77', 'npc_work_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '78', 'npc_noloc_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '79', 'npc_failure_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '80', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '81', 'dontknowyou_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '82', 'npc_breech_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '92', 'player_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '137', 'npc_reset_2', 'I understand your situation. I\'ve had to abandon many attempts to get these poachers. But I kept trying, and I hope you will too.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/gilker_budz.stf', '138', 'npc_reset_3', 'I understand your situation. I\'ve had to abandon many attempts to get these poachers. But I kept trying, and I hope you will too.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '1', 'next', 'Hey, nice to see you again. I\'m sitting pretty right now, not a care in the world. Talk to you later, maybe.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '2', 'cantwork', 'Hey there. I can\'t leave this area just now, but I\'d really like it if you dropped by when you\'re not so busy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '3', 'npc_reset', 'Hey, I understand. I hope you\'ll check back with me later, though.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '4', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '5', 'npc_1_1', 'Hey there. I can\'t leave this area just now -- I\'m waiting on a nice bottle of Corellian Double-Brandy from a new friend -- but I need someone to pick up a payment for an Offworld Backchannel Cargo Transit Permit renewal. Can you get it for me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '6', 'npc_2_1', 'Fine. You\'re meeting a fellow called \"Professor\" Minnet, who leads a group of enterprising cargo transit specialists called Sidepocket.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '7', 'npc_3_1', 'Well, I\'d love to talk, but as I said, I\'m waiting on some Double-Brandy. See you around.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '8', 'npc_4_1', 'An Offworld Backchannel Cargo Transit Permit lets you avoid undue attention from the authorities -- for instance, me -- and take your goods offworld without trouble. Of course, a permit like that requires hefty fees, paid frequently. But don\'t worry, those fees keep your local tax rates low. Will you pick up the renewal fee for me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '9', 'npc_backtowork_1', 'Were you hoping to get some of that Double-Brandy I\'m waiting for? Sorry, it\'s all claimed.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '10', 'npc_reward_1', 'Hey, wait -- this isn\'t a payment. It\'s -- let\'s see -- a dossier of past Offworld Transit Permits I granted to smugg -- uh, merchants. Hmm. Well, I\'ll pay you for your time. And I think I have more work for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '11', 'npc_work_1', 'I hope you\'re still planning to meet \"Professor\" Minnet and pick up that Offworld Backchannel Permit renewal fee.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '12', 'npc_noloc_1', 'Whoa, I\'m getting a call about that Double-Brandy I\'m expecting. Check with me in a moment, okay? Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '13', 'npc_failure_1', 'No renewal fee? Well, that will make life a little tougher for \"Professor\" Minnet and his Sidepocket group. Hope they don\'t blame you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '14', 'otherescort_1', 'I\'m waiting for someone else.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '15', 'dontknowyou_1', 'I haven\'t got anything much to say to you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '16', 'npc_breech_1', 'Are you from that corrupt sleemo cop, Darjeek?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '17', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '18', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '19', 'npc_smuggle_1', 'Tell Darjeek his renewal schedule is about to be cut short. This dossier should convince him to stay out of our way.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '20', 'gotowork_1', 'Just deliver the dossier like a good little lackey.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '21', 'notit_1', 'I was expecting an Offworld Backchannel Cargo Transit Permit renewal fee from \"Professor\" Minnet. That isn\'t it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '26', 'player_3_1', 'What is an Offworld Backchannel Cargo Transit Permit?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '27', 'npc_1_2', 'Hey. I checked into that stuff about Offworld Transit Permits. Someone must be eavesdropping on meetings I\'ve had out in the wilderness. Never mind what I was doing at the meetings. I know a Bothan who\'s told me many useful things in the past. I want you to bring him in for another report -- though I doubt he\'ll follow you willingly.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '28', 'npc_2_2', 'Hey, that\'s great. You need to find a Bothan named Siv\'rool Linnaie. Bring him back here, and not so heavily wounded that he can\'t talk.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '29', 'npc_3_2', 'No? Hey, I thought we were friends. Well, maybe later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '30', 'npc_4_2', 'Hey, I\'d love to ramble across the hills looking for this one Bothan. Honest. But I\'m stuck here waiting for a gift -- some durindfire gems from a new friend. So you\'ll have to get the informant for me. Will you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '31', 'npc_backtowork_2', 'Are you sticking around to see those durindfire gems? I\'d just as soon that you start after that Bothan.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '32', 'npc_reward_2', 'I expect our friend Siv\'rool has a lot to tell me about \"Professor\" Minnet\'s Sidepocket gang, and their source of information about me. Stick around -- I may have another job for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '33', 'npc_work_2', 'I don\'t see that Bothan informant, Siv\'rool. Hope you\'ll bring him soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '34', 'npc_noloc_2', 'Whoa, I\'m getting a call about those durindfire gems I\'m expecting. Check with me in a moment, okay? Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '35', 'npc_failure_2', 'You didn\'t bring that Bothan informant? Well, I\'ll get him here one of these days.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '36', 'otherescort_2', 'I\'m not the one ee-you\'re looking for.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '37', 'dontknowyou_2', 'I have nothing to say to ee-you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '38', 'npc_breech_2', 'Don\'t let him take me, my friends!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '39', 'npc_takeme_2', 'Ee-yes, well -- I shall go quietly with ee-you. But my friends from \"Professor\" Minnet\'s Sidepocket gang have not ee-yet forgotten me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '40', 'npc_dropoff_2', 'Umm. I did not think ee-you would make it here alive. I may be forced to betray my friends, painful as that may be.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '41', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '42', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '43', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '48', 'player_3_2', 'Why don\'t you bring in this Bothan informant yourself?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '49', 'npc_1_3', 'Hey. That Bothan informant told me what I already knew: Those smugglers, \"Professor\" Minnet and his Sidepocket gang, have been spying on me at a listening post out in the wilderness. This could be bad for my career. I\'d like you to blow up their listening post, but that\'s too much trouble.  Just take out the guy with the info.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '50', 'npc_2_3', 'Great. You\'ll find him at these coordinates, assuming that informant told me right. And I think he knows the consequences of telling me wrong.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '51', 'npc_3_3', 'What, you\'re squeamish about a few smugglers? Man.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '52', 'npc_4_3', 'Well, out in the wilderness I screen a lot of Offworld Backchannel Cargo Transit Permit applicants. That Sidepockets gang must have wanted to find inside data on how to get a permit. Yeah, that\'s it. Anyway, about that guy -- will you kill him?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '53', 'npc_backtowork_3', 'That guy is out there waiting. I think you should get going.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '54', 'npc_reward_3', 'Great work! And who really cares if there\'s a few less smugglers now? On Corellia we\'ve got all the smugglers the galaxy will ever need. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '55', 'npc_work_3', 'Haven\'t you destroyed that listening post? I\'d help you, but I\'m waiting on a delivery of Fricaseed Puff-cakes from a new friend.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '56', 'npc_noloc_3', 'Whoa, I\'m getting a call about some Fricaseed Puff-cakes I\'m expecting from a new friend. Check with me in a moment, okay?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '57', 'npc_failure_3', 'You didn\'t kill that guy? Man, I\'m very disappointed. I don\'t feel like I can go out in the wilderness any more.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '58', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '59', 'dontknowyou_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '60', 'npc_breech_3', 'You won\'t stop me!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '61', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '62', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '63', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '65', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '70', 'player_3_3', 'Why was the Sidepocket gang spying on you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '71', 'npc_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '72', 'npc_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '73', 'npc_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '74', 'npc_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '75', 'npc_backtowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '76', 'npc_reward_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '77', 'npc_work_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '78', 'npc_noloc_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '79', 'npc_failure_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '80', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '81', 'dontknowyou_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '82', 'npc_breech_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '92', 'player_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '137', 'npc_reset_1', 'Hey, I understand. I hope you\'ll check back with me later, though.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '138', 'npc_reset_2', 'Hey, I understand. I hope you\'ll check back with me later, though.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '139', 'npc_reset_3', 'Hey, I understand. I hope you\'ll check back with me later, though.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ging_darjeek.stf', '140', 'npc_reset_4', 'Hey, I understand. I hope you\'ll check back with me later, though.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '1', 'next', 'You\'ve been a big help. If you want to get more involved with Black Sun you should speak with Zekka Thyne.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '2', 'cantwork', 'You can\'t work for me if you\'re working for someone else.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '3', 'npc_reset', 'If you think you\'re up to it later, check back and try again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '4', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '5', 'npc_1_1', 'Black Sun is definitely the outfit to get involved with. We have our hand in everything from gambling to smuggling. Are you interested in working for Black Sun?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '6', 'npc_2_1', 'Welcome to the organization. Go and find Hammond Ballater and bring him to me. He knows better than to think that Black Sun would let him go completely.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '7', 'npc_3_1', 'You should get out of here before you become a liability.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '8', 'npc_4_1', 'Right now I need information from someone who used to work for us but now works for Shalera -- the Lady Hutt, as she\'s known hereabouts. He hasn\'t been cooperative. Could you find him and bring him here?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '9', 'npc_backtowork_1', 'Is there a problem?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '10', 'npc_reward_1', 'Good job. See me again if you need more work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '11', 'npc_work_1', 'Have you found Hammond Ballater yet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '12', 'npc_noloc_1', 'I need to take an important call. See me in a while and we can get started.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '13', 'npc_failure_1', 'I had high hopes for you. I\'m sorry this didn\'t work out.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '14', 'otherescort_1', 'My business is not with you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '15', 'dontknowyou_1', 'My business is not with you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '16', 'npc_breech_1', 'You must be the one Black Sun sent to get me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '17', 'npc_takeme_1', 'I\'ll go with you, I don\'t want this to get any worse.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '18', 'npc_dropoff_1', 'They never let you go completely. This may be you one day.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '19', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '20', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '21', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '26', 'player_3_1', 'What sort of work?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '27', 'npc_1_2', 'We\'ve had a double agent in the Lady Hutt\'s organization for some time now. It turns out that he\'s been selling information about Black Sun to her. That\'s the problem with double agents -- you just can\'t trust them. Would you teach him a lesson for us?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '28', 'npc_2_2', 'Good. You\'ll meet him in the place where he meets his usual contact. His name is Dev Breeger -- not that it matters any more.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '29', 'npc_3_2', 'Most people prefer not to say \"no\" to me. You\'ve got guts, I\'ll give you that.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '30', 'npc_4_2', 'The lesson would be: Betraying Black Sun means certain death. Will you make that clear to him?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '31', 'npc_backtowork_2', 'Are you going to ice that traitor or not?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '32', 'npc_reward_2', 'Black Sun can find further use for you. Speak with Zekka Thyne, my superior. I\'ll let him know about you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '33', 'npc_work_2', 'Were you going to extinguish that traitor any time soon?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '34', 'npc_noloc_2', 'Give me a few minutes to find out where his next meeting is supposed to be. See me again shortly.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '35', 'npc_failure_2', 'I take it you ran into some unforeseen difficulties along the way? Well, I guess we\'ll find someone else to finish him off.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '36', 'otherescort_2', 'I hope you find the person you\'re looking for soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '37', 'dontknowyou_2', 'Awfully quiet here today.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '38', 'npc_breech_2', 'You\'re not my contact -- Uh-oh. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '39', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '40', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '41', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '42', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '43', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '48', 'player_3_2', 'What lesson would that be?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '49', 'npc_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '50', 'npc_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '51', 'npc_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '52', 'npc_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '53', 'npc_backtowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '54', 'npc_reward_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '55', 'npc_work_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '56', 'npc_noloc_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '57', 'npc_failure_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '58', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '59', 'dontknowyou_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '60', 'npc_breech_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '61', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '62', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '63', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '65', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '70', 'player_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '71', 'npc_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '72', 'npc_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '73', 'npc_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '74', 'npc_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '75', 'npc_backtowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '76', 'npc_reward_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '77', 'npc_work_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '78', 'npc_noloc_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '79', 'npc_failure_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '80', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '81', 'dontknowyou_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '82', 'npc_breech_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '92', 'player_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '137', 'npc_reset_1', 'If you think you\'re up to it later, check back and try again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grobber.stf', '138', 'npc_reset_2', 'If you think you\'re up to it later, check back and try again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '1', 'next', 'I have the militia band situation under control now, thanks to you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '2', 'cantwork', 'When you\'re not so busy, would you mind checking back with me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '3', 'npc_reset', 'I\'m sorry to hear that. This situation is turning into a fiasco.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '4', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '5', 'npc_1_1', 'Hello. I was out with our militia\'s band, the Fighting 357th Serenaders, on a training exercise. When we returned to base, I forgot my kloo horn. One of our band members went to retrieve it, but he just called to say he got lost. If you\'ll escort him here safely, along with my kloo horn, I\'ll make it worth your while.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '6', 'npc_2_1', 'Thanks. The band member\'s name is Vincol Dunker. He found my kloo horn, so don\'t let anything happen to him. That might hurt the horn. Sorry, just joking.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '7', 'npc_3_1', 'Sorry to hear that. This whole situation is rapidly becoming a fiasco.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '8', 'npc_4_1', 'Look, you try herding a pack of wayward Serenaders out in the middle of nowhere, and you\'ll lose track of details too. I hope if you can get the band member and my horn back safely, I won\'t get into trouble with my commander. Will you bring him here?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '9', 'npc_backtowork_1', 'I hope you\'re ready to move out and retrieve Vincol and my kloo horn.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '10', 'npc_reward_1', 'Thanks. Please accept this for your good work. Wait -- Vincol\'s brought that new arrangement, too. I forgot all about that! Check with me again if you want another job.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '11', 'npc_work_1', 'I need you to bring back our band member, Vincol Dunker, and my kloo horn. Are you having trouble finding him?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '12', 'npc_noloc_1', 'I got some confused coordinates from the band member, Vincol Dunker, so I\'m waiting for another call from him. Check with me in a few moments.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '13', 'npc_failure_1', 'You didn\'t bring Vincol back? I hope he\'s all right. Not to mention my kloo horn, which he\'d better be treating carefully.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '14', 'otherescort_1', 'I\'m waiting for another party.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '15', 'dontknowyou_1', 'I haven\'t got anything to say to you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '16', 'npc_breech_1', 'Are you here to bring me to Grondorn? I have his kloo horn!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '17', 'npc_takeme_1', 'I swear, that Grondorn Muse could forget his own trousers sometimes. He\'ll get in big trouble for that someday. Can you guide me back? I have a poor sense of direction.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '18', 'npc_dropoff_1', 'Thanks. Grondorn, here\'s your horn, along with a datadisc I found beside it. I guess you forgot everything but your trousers, huh?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '19', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '20', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '21', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '26', 'player_3_1', 'Why did you forget and leave your kloo horn behind?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '27', 'npc_1_2', 'I need your help again. I promised to deliver this arrangement of \"Corellia Ho!\" to the band leader of the Battling 166th Troubadours. Unfortunately, I have to wait here for new militia orders. Can you deliver it for me? I\'ll pay you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '28', 'npc_2_2', 'Great. You want to find the Battling 166th band leader, Pytor Tuko. He\'s out in the wilderness on a training exercise.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '29', 'npc_3_2', 'Well, thanks for your earlier help, anyway.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '30', 'npc_4_2', 'You must know that tune -- brace up, Corellia, stand firm and tall? None shall subdue you, you\'ll never fall? Go your own way and let none hold you back, for your future calls you ever ever on-n-n-n-n? No? Well, it\'s a rouser. I hope you\'ll deliver my arrangement.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '31', 'npc_backtowork_2', 'I hope you\'ll get started soon and deliver that arrangement.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '32', 'npc_reward_2', 'Thanks. Now the Battling 166th Troubadours can hold rehearsals out there in the wilderness -- which, if you\'ve ever heard them play, you know is probably for the best.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '33', 'npc_work_2', 'Have you delivered that arrangement of \"Corellia Ho\"? The Battling 166th is waiting.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '34', 'npc_noloc_2', 'Sorry, I\'m getting a call about the new orders. Let me just take this, and then check back with me in a moment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '35', 'npc_failure_2', 'You didn\'t deliver that arrangement? Oh well, I\'ll try to send another copy to Pytor.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '36', 'otherescort_2', 'I\'m expecting someone else, actually.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '37', 'dontknowyou_2', 'I\'d prefer not to get into a conversation right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '38', 'npc_breech_2', 'Are you bringing Muse\'s arrangement of \"Corellia Ho\"?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '39', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '40', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '41', 'npc_smuggle_2', 'I wondered if I\'d get this. That Grondorn -- talented, I grant you, but he couldn\'t remember to put his shirt on unless he got a written order.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '42', 'gotowork_2', 'I was expecting Grondorn Muse\'s arrangement of \"Corellia Ho.\" Don\'t you have it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '43', 'notit_2', 'I was expecting Grondorn Muse\'s arrangement of \"Corellia Ho.\" That isn\'t it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '48', 'player_3_2', 'What is \"Corellia Ho!\"');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '49', 'npc_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '50', 'npc_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '51', 'npc_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '52', 'npc_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '53', 'npc_backtowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '54', 'npc_reward_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '55', 'npc_work_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '56', 'npc_noloc_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '57', 'npc_failure_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '58', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '59', 'dontknowyou_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '60', 'npc_breech_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '61', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '62', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '63', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '65', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '70', 'player_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '71', 'npc_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '72', 'npc_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '73', 'npc_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '74', 'npc_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '75', 'npc_backtowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '76', 'npc_reward_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '77', 'npc_work_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '78', 'npc_noloc_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '79', 'npc_failure_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '80', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '81', 'dontknowyou_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '82', 'npc_breech_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '92', 'player_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '137', 'npc_reset_1', 'I\'m sorry to hear that. This situation is turning into a fiasco.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '138', 'npc_reset_2', 'I\'m sorry to hear that. This situation is turning into a fiasco.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/grondorn_muse.stf', '139', 'npc_reset_3', 'I\'m sorry to hear that. This situation is turning into a fiasco.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '1', 'next', 'I appreciate your help. We\'re still on Booster Terrik\'s trail. We\'ll get him one of these days.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '2', 'cantwork', 'If you\'re willing to help catch a notorious smuggler, check with me when you\'re not so busy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '3', 'npc_reset', 'I understand. Please see me when you want to try again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '4', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '5', 'npc_1_1', 'Hello there. I\'m Hal Horn. I retired from CorSec a while back, but my son, Corran, is following in the family career. I\'m helping him stop the recent traffic in survapierre, an Old Republic medicine with illegal recreational uses. I\'d like you to pick up some correspondence from a slythmonger that may lead us to the supplier.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '6', 'npc_2_1', 'Great! You\'re looking for a Rodian slythmonger named Doogo. He\'ll try to get money out of you for the datadisc, but I\'ve told him I won\'t pay until I see what he\'s got. Bring the disc to me here. Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '7', 'npc_3_1', 'I\'m sorry you can\'t help. I\'d think that keeping lousy drugs off Corellia would be a worthwhile motive for anybody.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '8', 'npc_4_1', 'Even after the state revokes the licenses of medical criminals, some hard cases still practice illegally, and they need suppliers. A slythmonger sells illegal prescription drugs for these disbarred medics. I\'ve found one willing to be an informant. Will you pick up his records?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '9', 'npc_backtowork_1', 'I really don\'t know what else to say. If you\'ll pick up that disc and bring it here, I\'d be grateful.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '10', 'npc_reward_1', 'You were attacked by Booster Terrik\'s thugs? I\'m not surprised. That Terrik is the worst smuggler on Corellia. Hmm. Tell you what -- I may have another job for you soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '11', 'npc_work_1', 'Have you picked up that disc from the slythmonger? I need that evidence to take the next step in my investigation.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '12', 'npc_noloc_1', 'I\'m waiting for the slythmonger to contact me. He\'s skittish, so it may be a few minutes. Check with me again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '13', 'npc_failure_1', 'Didn\'t you get that slythmonger\'s correspondence? Well, I\'ll try sending someone else.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '14', 'otherescort_1', 'Get lost.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '15', 'dontknowyou_1', 'Get lost.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '16', 'npc_breech_1', 'Are you from Horn? I\'ve got the data.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '17', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '18', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '19', 'npc_smuggle_1', 'Look, I want more credits. I\'ve got thugs on my tail from Booster Terrik, the guy who controls the whole survapierre trade. He\'s gonna kill me if he finds I gave this stuff to Horn. Tell him I want double!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '20', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '21', 'notit_1', 'I wanted the notes from that Rodian slythmonger. This isn\'t what I need.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '26', 'player_3_1', 'What is a slythmonger?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '27', 'npc_1_2', 'That Rodian slythmonger\'s correspondence implicates a former medic in the import of survapierre. I want you to bring me this disgraced medic\'s former assistant for a friendly talking-to -- strictly unofficial, of course, now that I\'m retired. Even a retired CorSec official can still make an impression. Will you escort the assistant here?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '28', 'npc_2_2', 'Good. You\'re looking for an Aqualish medic named Mwaloob. I understand Booster Terrik would strongly prefer that this medic never makes it to me alive. So expect some company on the way back.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '29', 'npc_3_2', 'You did so well for me before, I hoped we could work together again. Well, I still hope we can.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '30', 'npc_4_2', 'I\'m looking to talk to Mwaloob, an Aqualish -- one of those tusked types. He has a shady background and a rude attitude, so you can see this will be fun. But he knows a lot of dirty secrets about his onetime boss, a medic named Sporg Lutwink. If Mwaloob spills his secrets, I can get Lutwink. But first I need you to bring me Mwaloob. Will you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '31', 'npc_backtowork_2', 'I really don\'t know what else to say. If you\'ll pick up Mwaloob and bring him here safely, I\'d be grateful.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '32', 'npc_reward_2', 'I\'m glad you made it back safely. Word on the street is that Booster Terrik wants this whole investigation shut down quick. I have to move even quicker, so check with me when you want another job.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '33', 'npc_work_2', 'Have you brought in that Aqualish medic yet? I need his information.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '34', 'npc_noloc_2', 'I\'m arranging the rendezvous with the Aqualish even as we speak. Check with me in a minute for the coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '35', 'npc_failure_2', 'Couldn\'t bring in that Aqualish? I expect that was Booster Terrik\'s doing. Lousy smuggler. Word is that Terrik would like to shut down my investigation, quick.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '36', 'otherescort_2', 'If you think I\'m going anywhere with you, think again, rubber-lipped freak.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '37', 'dontknowyou_2', 'Get away from me, you deformed nonentity.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '38', 'npc_breech_2', 'You! Disgusting rubber-lipped freak! I\'m about done waiting for you!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '39', 'npc_takeme_2', 'How you contemptible tuskless wretches ever manage to run a functioning society is beyond me, not that this place is any shining example of \"functioning.\" All right, get me to that cop Horn, and no talking. Seeing your rubbery gob writhe makes me physically ill.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '40', 'npc_dropoff_2', 'If that\'s the last I happen to see of you -- well, I guess I\'ll raise a toast in solitude tonight at that happy thought.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '41', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '42', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '43', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '48', 'player_3_2', 'Who is the assistant?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '49', 'npc_1_3', 'I interrogated that Aqualish you brought in, the former assistant to the survapierre smuggler Sporg Lutwink. I\'ve got enough evidence now to arrest Lutwink -- or, more precisely, make a citizen\'s arrest and turn him over to my old CorSec buddies. Can you help this old retiree by bringing Lutwink here?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '50', 'npc_2_3', 'Good. If you bring in Lutwink safely, I\'ll be one step further along in my investigation of the smuggled survapierre drug supply. Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '51', 'npc_3_3', 'After all the help you\'ve been so far -- well, I hope we\'ll get a chance to work together again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '52', 'npc_4_3', 'Lutwink was a well-regarded medic, until he started doing illegal image-redesign jobs for wanted criminals. From there he fell into spice smuggling, and after that into all kinds of illegal pharmaceuticals. If you\'d bring in this crook, you\'d be doing the whole galaxy a favor. Will you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '53', 'npc_backtowork_3', 'I really don\'t know what else to say. If you\'ll arrest Sporg Lutwink and bring him here, I\'d be grateful.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '54', 'npc_reward_3', 'Great work! Now I\'m one step closer to catching the real source of most of Corellia\'s traffic in survapierre -- Booster Terrik!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '55', 'npc_work_3', 'I don\'t know what else to tell you. If you\'ll bring Sporg Lutwink here safely, you\'ll do me a great favor. Please hurry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '56', 'npc_noloc_3', 'Wait -- I\'ve just received a report that Lutwink is moving. I have to get accurate coordinates. Check with me in a few moments.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '57', 'npc_failure_3', 'You couldn\'t bring Sporg Lutwink here? That means Booster Terrik will get away clean -- this time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '58', 'otherescort_3', 'I think you\'re looking for someone else.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '59', 'dontknowyou_3', 'I have nothing to say to you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '60', 'npc_breech_3', 'Oh, dear. You have the smell of CorSec about you, all sweat and ozone. Do you have something to say to me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '61', 'npc_takeme_3', 'Well, if the esteemed CorSec officer Hal Horn sent you, then I obviously have no choice but compliance. However, it\'s possible my associates may hold different opinions.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '62', 'npc_dropoff_3', 'Thank you for a lovely trip. Now I believe certain highly-placed individuals will move to ensure my speedy release.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '63', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '65', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '70', 'player_3_3', 'Who is Sporg Lutwink?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '71', 'npc_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '72', 'npc_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '73', 'npc_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '74', 'npc_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '75', 'npc_backtowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '76', 'npc_reward_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '77', 'npc_work_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '78', 'npc_noloc_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '79', 'npc_failure_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '80', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '81', 'dontknowyou_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '82', 'npc_breech_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '92', 'player_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '137', 'npc_reset_1', 'I understand. Please see me when you want to try again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '138', 'npc_reset_2', 'I understand. Please see me when you want to try again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/hal_horn.stf', '139', 'npc_reset_3', 'I understand. Please see me when you want to try again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '1', 'next', 'Can\'t talk, I\'m busy getting ready for my next race.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '2', 'cantwork', 'I can see you asking yourself, \"Is that really Ignar Ominaz, the swoop racer?\" Yes indeed, that\'s me. I have a job for you when you\'re not busy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '3', 'npc_reset', 'If I had your lack of ambition, I\'d never have become a famous swoop racer. Never give up, friend! Try me again later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '4', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '5', 'npc_1_1', 'I can see you asking yourself, \"Is that really Ignar Ominaz, the swoop racer?\" Yes indeed, that\'s me. I don\'t give autographs in person, but you can buy them from my HoloNet site. I\'m giving you a chance to help me tune my new swoop. I ordered a custom power converter from Coronet, but the delivery agent is lost somewhere and needs safe escort here. Can you bring him?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '6', 'npc_2_1', 'Excellent! I forget the delivery agent\'s name, but he\'s a Drall, one of those little furry folks. I expect he must be a young fan eager to get into the world of swoop racing. Bring him here and give him a thrill.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '7', 'npc_3_1', 'I don\'t think you understand what a rare opportunity it is to work for someone famous. Many of my fans would kill for this chance. Ah well.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '8', 'npc_4_1', 'What? You never heard of me? I expect you have and just forgot. Everyone in the galaxy followed my career back in the good Old Republic days, when I vied with Sergi-X Arrogantus for the Corulag championship. I\'m still in the game, and this bike will carry me to another  championship -- as soon as you bring me that courier. Will you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '9', 'npc_backtowork_1', 'We\'ve talked this through already. I need to get back to work, and so do you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '10', 'npc_reward_1', 'Well! Ah, um -- I guess this little fellow isn\'t quite ready for the racing game just yet. Anyway. Here, here\'s a little something for your time. You can tell your grandchildren you got these credits from Ignar Ominaz.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '11', 'npc_work_1', 'Where\'s that courier? I need that power converter soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '12', 'npc_noloc_1', 'I\'m waiting on that courier to give me his coordinates. Check back with me in a moment. Meanwhile, you might want to check out my HoloNet site, where you can buy genuine autographed souvenirs of my career.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '13', 'npc_failure_1', 'Sorry you couldn\'t make it to the finish line, friend. Don\'t forget my HoloNet site, where you can buy genuine autographed souvenirs of my career.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '14', 'otherescort_1', 'I\'m waiting for someone else.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '15', 'dontknowyou_1', 'Sorry, I\'m waiting for someone.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '16', 'npc_breech_1', 'Are you from the customer who ordered this power converter?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '17', 'npc_takeme_1', 'What kind of idiot tries to fine-tune a swoop bike in the Agrilat Swamp? The crystal growth will ruin this power converter. Bring me to this nincompoop, and I\'ll tell him where he\'s gone wrong.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '18', 'npc_dropoff_1', 'Thanks. You, Mister -- wait, let me check my order -- Mister Ominar. I mean Ominaz. If you had the brains of a kenalpa tree, you\'d know -- wait. Ominaz. Any relation to that old washed-up swoop racer?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '19', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '20', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '21', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '26', 'player_3_1', 'I gather that you\'re famous?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '27', 'npc_1_2', 'You know, we professional swoop racers have rivalries that go way back. Why, I remember how many times Sergi-X Arrogantus used to call me a dirty -- well, anyway. My old rival Dinnik Innik is travelling here for a head-to-head race with me, just us, no publicity. He called and said he needs a guide through the swamp. Will you escort him?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '28', 'npc_2_2', 'Good! It\'s hard to see Dinnik Innik, \'cause he\'s so small, but once you find him, bring him here for the race of the century!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '29', 'npc_3_2', 'Come on! You\'re missing a chance to see racing history here. I\'m sure you\'ll change your mind soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '30', 'npc_4_2', 'Oh, for years Dinnik and I have fought for track position like a couple of slice hounds. He\'s a wiry little Chadra Fan, so there\'s a weight advantage right there. But the old Ignar Ominaz tactical magic brings its own advantages, you know. I expect he wants one last chance to prove he\'s still in the game. Poor guy, I pity him. Will you bring him here?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '31', 'npc_backtowork_2', 'I\'ve told you plenty to get you started. It\'s up to you from here, friend.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '32', 'npc_reward_2', 'Uh. Umm. Well. Tell you what, friend, let\'s pretend this never happened. Here\'s something for your time. And don\'t forget the souvenirs available on my HoloNet site.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '33', 'npc_work_2', 'Haven\'t you brought Dinnik Innik here yet? I\'m ready to race!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '34', 'npc_noloc_2', 'I\'m waiting on Dinnik Innik to send me his coordinates. Check back with me in a moment. Meanwhile, you might want to look at my HoloNet site, where you can buy genuine autographed souvenirs of my career.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '35', 'npc_failure_2', 'Where\'s Dinnik? No Dinnik? I was all ready to race!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '36', 'otherescort_2', 'I\'m waiting for someone else.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '37', 'dontknowyou_2', 'I\'m waiting for someone, sorry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '38', 'npc_breech_2', 'Did Ignar send you to guide me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '39', 'npc_takeme_2', 'The Agrilat Swamp gives me the chills. I\'m glad you\'re here to take me to Ignar. I hear some disease is driving all the animals crazy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '40', 'npc_dropoff_2', 'Thanks, friend. So, Ignar! I\'m not racing you today. I\'m not racing you ever again. I have a holo showing how you sabotaged my swoop in our last race, and I\'m reporting you to the Commission! You\'ll never race again, Ignar! I wanted to see the look on your face when I told you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '41', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '42', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '43', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '48', 'player_3_2', 'Why are you and Dinnik Innik rivals?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '49', 'npc_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '50', 'npc_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '51', 'npc_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '52', 'npc_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '53', 'npc_backtowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '54', 'npc_reward_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '55', 'npc_work_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '56', 'npc_noloc_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '57', 'npc_failure_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '58', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '59', 'dontknowyou_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '60', 'npc_breech_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '61', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '62', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '63', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '65', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '70', 'player_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '71', 'npc_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '72', 'npc_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '73', 'npc_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '74', 'npc_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '75', 'npc_backtowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '76', 'npc_reward_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '77', 'npc_work_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '78', 'npc_noloc_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '79', 'npc_failure_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '80', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '81', 'dontknowyou_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '82', 'npc_breech_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '92', 'player_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '137', 'npc_reset_1', 'If I had your lack of ambition, I\'d never have become a famous swoop racer. Never give up, friend! Try me again later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '138', 'npc_reset_2', 'If I had your lack of ambition, I\'d never have become a famous swoop racer. Never give up, friend! Try me again later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/ignar_ominaz.stf', '139', 'npc_reset_3', 'If I had your lack of ambition, I\'d never have become a famous swoop racer. Never give up, friend! Try me again later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '1', 'next', 'You\'ve performed your duties admirably. I don\'t have anything else for you right now, but feel free to speak with Garm Bel Iblis. I\'ve cleared you. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '2', 'cantwork', 'Finish your current job and then come se me about some work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '3', 'npc_reset', 'If you change your mind and want to try and help later, you know where to find me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '4', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '5', 'npc_1_1', 'I\'m known as Irenez. I\'m currently involved in fighting Black Sun. If you\'re interested in helping Corellia fight back against the criminals that try to plunder her I could certainly use your help. Interested?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '6', 'npc_2_1', 'Good. Bring me Tessa Wylden. She\'s an accountant for Black Sun and can tell us a lot about how their money flows. She\'ll have guards so do be careful.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '7', 'npc_3_1', 'Just looking out for number one, eh? I see how it is.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '8', 'npc_4_1', 'To start with, I need someone to capture one of the money people. There\'s one we\'ve been tailing for that very purpose. How about it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '9', 'npc_backtowork_1', 'Was there something else you had to say?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '10', 'npc_reward_1', 'Good job. Come see me again if you want more work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '11', 'npc_work_1', 'Have you arrested that Black Sun number cruncher yet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '12', 'npc_noloc_1', 'I should receive word as to where you can find Tessa shortly. Why don\'t you come back in a little while?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '13', 'npc_failure_1', 'You couldn\'t bring her in after all, eh? I guess we\'ll have to make another attempt later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '14', 'otherescort_1', 'I\'m not who you\'re looking for.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '15', 'dontknowyou_1', 'Why don\'t you go on about your business?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '16', 'npc_breech_1', 'I think we may have a problem...');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '17', 'npc_takeme_1', 'I\'m not armed! Don\'t hurt me!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '18', 'npc_dropoff_1', 'You shouldn\'t interfere in Black Sun business. It\'s unhealthy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '19', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '20', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '21', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '26', 'player_3_1', 'What sort of help do you need?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '27', 'npc_1_2', 'That woman you brought us was a goldmine of information. One very immediate lead we got was the recent hiring of an assassin. I\'d like you to try and stop him. Will you do it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '28', 'npc_2_2', 'Good, because this can\'t wait. He\'s called Skazz and he\'s deadly, so don\'t take any chances with him. Find him and stop him cold.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '29', 'npc_3_2', 'Then I\'d better find someone else to handle this right away.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '30', 'npc_4_2', 'The head of CorSec, which is why it\'s extremely important he be stopped. Will you do it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '31', 'npc_backtowork_2', 'The sooner you leave the sooner you can stop him.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '32', 'npc_reward_2', 'Good work. Corellia is in your debt.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '33', 'npc_work_2', 'Have you stopped that assassin yet? Time\'s running out.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '34', 'npc_noloc_2', 'I need a few moments to make some last minute preparations with CorSec. Can you come back in a few minutes?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '35', 'npc_failure_2', 'That assassin has got to be stopped. I guess I\'ll have to find another way.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '36', 'otherescort_2', 'I don\'t have any business with you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '37', 'dontknowyou_2', 'I don\'t have any business with you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '38', 'npc_breech_2', 'You should not interfere with me. Here\'s why.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '39', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '40', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '41', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '42', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '43', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '48', 'player_3_2', 'Who has he been hired to kill?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '49', 'npc_1_3', 'You\'re not going to believe where one of those money trails led us. Black Sun has been buying weapons from the blasted Imperials. This next one may be a little tricky. Are you still willing to help?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '50', 'npc_2_3', 'You have courage. I need you to take out the Black Sun members who are waiting to purchase some weapons.  If the Imperials arrive and the Black Sun thugs aren\'t there, the deal will fall through.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '51', 'npc_3_3', 'Getting nervous about angering the Black Sun?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '52', 'npc_4_3', 'Not at the moment, no. I just need you to take out the group of Black Sun thugs awaiting their next shipment of weapons. Will you do it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '53', 'npc_backtowork_3', 'If you\'re going to do this, please leave straight away.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '54', 'npc_reward_3', 'You\'re very talented. You should consider speaking with the Commander. He might be able to find a use for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '55', 'npc_work_3', 'Have you stopped the Black Sun from purchasing those weapons yet? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '56', 'npc_noloc_3', 'I should soon receive the exact coordinates for where the Black Sun is meeting their imperial suppliers. Come back and see me in a little while.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '57', 'npc_failure_3', 'You didn\'t stop the weapons deal? Whatever nefarious use they put those weapons to is on your head... not mine.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '58', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '59', 'dontknowyou_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '60', 'npc_breech_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '61', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '62', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '63', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '65', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '70', 'player_3_3', 'You don\'t want me to attack a company of Imperial soldiers or something crazy do you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '71', 'npc_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '72', 'npc_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '73', 'npc_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '74', 'npc_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '75', 'npc_backtowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '76', 'npc_reward_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '77', 'npc_work_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '78', 'npc_noloc_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '79', 'npc_failure_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '80', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '81', 'dontknowyou_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '82', 'npc_breech_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '92', 'player_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '137', 'npc_reset_1', 'If you change your mind and want to try and help later, you know where to find me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '138', 'npc_reset_2', 'If you change your mind and want to try and help later, you know where to find me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '139', 'npc_reset_3', 'If you change your mind and want to try and help later, you know where to find me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '140', 'waypoint_description_3', 'Take out the Black Sun thugs before the Imperials arrive to sell weapons to them.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '141', 'waypoint_description_2', 'Kill the Black Sun assassin named Skazz.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '142', 'waypoint_description_1', 'Bring Tessa Wylden to Irenez.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '143', 'return_waypoint_description_1', 'Return to Irenez with Tessa Wylden.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '144', 'return_waypoint_description_2', 'Return to Irenez and let her know Skazz is no longer a threat.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '145', 'return_waypoint_description_3', 'Return to Irenez and let her know that the weapons deal has been foiled.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '146', 'return_waypoint_name_1', 'Irenez');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '147', 'return_waypoint_name_2', 'Irenez');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '148', 'return_waypoint_name_3', 'Irenez');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '149', 'waypoint_name_1', 'Location of Tessa Wylden');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '150', 'waypoint_name_2', 'Location of Skazz');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/irenez.stf', '151', 'waypoint_name_3', 'Location for the weapons deal');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '1', 'next', 'I\'ve gotten all the Bonadan Contract witnesses to safety. I don\'t have anything else right now, but thanks for your earlier help.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '2', 'cantwork', 'I hope you\'ll check back here once you\'re not so busy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '3', 'npc_reset', 'All right, but don\'t delay once you\'re ready to try again. Time is running out.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '4', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '5', 'npc_1_1', 'Hello. I\'m the local rep for the Corellian Shipbuilders Union. I need to send a sensitive report to a friend of mine in CorSec\'s fraud division, but the company -- that\'s the Corellian Engineering Corporation -- controls local access to the HoloNet. Will you hand-deliver it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '6', 'npc_2_1', 'I\'m glad to hear that. You\'re looking for CorSec officer Nola Indervin. This report has some delicate things to say about CorSec, so make sure you don\'t give it to any other officer except Nola.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '7', 'npc_3_1', 'I\'m sorry you can\'t do this. Corellia needs to know what\'s in this report.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '8', 'npc_4_1', 'Our union has been building cargo ships that the company is selling to the planet Bonadan. I\'ve compared the CEC productivity cost reports with outgoing product manifests, and the figures don\'t agree. At all. Someone high up is shaving a lot off the top. Will you deliver the report that documents the fraud?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '9', 'npc_backtowork_1', 'I hope you\'ll get going soon to deliver that report. It\'s important.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '10', 'npc_reward_1', 'I hope Nola can show that report where it will do some good. It worries me that CorSec officers attacked you. I wonder how high this scandal goes? I\'m afraid we won\'t like the answer.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '11', 'npc_work_1', 'Have you delivered that Bonadan Contract report to Nola Indervin yet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '12', 'npc_noloc_1', 'I arranged for Nola to pick a suitable rendezvous in the wilderness. I\'m waiting to get her current coordinates. Check with me in a few moments.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '13', 'npc_failure_1', 'You didn\'t deliver that Bonadan Contract report to Nola? I\'ll have to find someone else. Thanks anyway.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '14', 'otherescort_1', 'I\'m waiting for another appointment, thank you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '15', 'dontknowyou_1', 'I haven\'t got time to talk now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '16', 'npc_breech_1', 'Do you have that report from Jadam Questrel?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '17', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '18', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '19', 'npc_smuggle_1', 'I\'ll take this to my superiors in the fraud division. I hope they\'ll assign a high-clearance team to investigate.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '20', 'gotowork_1', 'I expected you to bring a report on something called the \"Bonadan Contract\" from Jadam Questrel. Don\'t you have it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '21', 'notit_1', 'I expected you to bring a report on something called the \"Bonadan Contract\" from Jadam Questrel. That isn\'t it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '26', 'player_3_1', 'What is in the report?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '27', 'npc_1_2', 'I need your help, quick! When I had you take that disc to Nola Indrivin from CorSec, and then other CorSec people attacked you, that meant trouble. Now Nola just sent me a distress call, cut off in mid-sentence. Her superiors have kidnapped her to find out what she knows about the Bonadan Contract. This is my fault. I need you to rescue her!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '28', 'npc_2_2', 'Good. Nola is being held in a hideout in the wilderness. She told me the coordinates just before she got cut off. Please hurry!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '29', 'npc_3_2', 'You can\'t leave poor Nola to suffer out there! Please reconsider.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '30', 'npc_4_2', 'Someone high up in the Corellian government is skimming illegal profits on cargo ships sold to the planet Bonadan. Whoever that is, he must be using CorSec\'s fraud division as his muscle to shut down investigators -- investigators like Nola. Please help her, quickly!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '31', 'npc_backtowork_2', 'There\'s no more time to waste. Get out there and rescue Nola!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '32', 'npc_reward_2', 'Thanks, friend. I\'ll get Nola to a safe place. Sounds like she has some worries, so you might stick around if you want another job.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '33', 'npc_work_2', 'Haven\'t you rescued Nola from those CorSec officers? Hurry!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '34', 'npc_noloc_2', 'Nola gave me the coordinates just before she got cut off, but the last number was missing. I have a probe droid scouting around that location to find the wilderness hideout. Check with me in a moment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '35', 'npc_failure_2', 'You couldn\'t rescue Nola? Oh no. What will I do now? Think, think.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '36', 'otherescort_2', 'I\'m waiting for another appointment, I hope.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '37', 'dontknowyou_2', 'I haven\'t got time to talk now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '38', 'npc_breech_2', 'These cops are crooks! Shoot them!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '39', 'npc_takeme_2', 'What a great, great pleasure it is to see you again. I never suspected that CorSec\'s fraud division could be corrupt at such high levels. I need to get back to Jadam to warn him.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '40', 'npc_dropoff_2', 'Thanks. That\'s another big favor I owe you. Jadam, I\'m all right now, but I have something to tell you about my partner, Officer Targettal.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '41', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '42', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '43', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '48', 'player_3_2', 'What would Nola\'s CorSec superiors know about the Bonadan Contract?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '49', 'npc_1_3', 'When you brought Nola Indervin here, she told me the corruption in her CorSec fraud division goes way up. Before her superiors kidnapped her, she\'d told her CorSec partner, Lunce Targettal, about the Bonadan Contract. Now she\'s afraid the corrupt cops will go after Officer Targettal. Can you bring him here?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '50', 'npc_2_3', 'Good. Be on the alert for corrupt CorSec fraud cops. At this point they\'ll be marshalling their big guns to stop this investigation.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '51', 'npc_3_3', 'That\'s unfortunate. Well, I\'ll see that Officer Targettal gets to safety somehow.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '52', 'npc_4_3', 'No, CorSec as a whole is probably clean. But there could be any number of bad officers in the fraud division involved in this Bonadan mess. I hope you\'ll escort Officer Targettal here so we can protect him.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '53', 'npc_backtowork_3', 'Officer Targettal is waiting at the rendezvous for your escort. Please bring him back before CorSec\'s corrupt officers find him.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '54', 'npc_reward_3', 'Thanks. We\'ll get Officer Targettal to a place of safety. I don\'t know how this Bonadan Contract scandal will play out. You may want to be cautious until the responsible parties are brought to justice.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '55', 'npc_work_3', 'You haven\'t escorted Officer Targettal here yet? I hope the corrupt CorSec officers haven\'t found him.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '56', 'npc_noloc_3', 'I\'m waiting to hear from Officer Targettal with his rendezvous coordinates. Check with me in a few moments.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '57', 'npc_failure_3', 'You didn\'t bring Officer Targettal? I hope he\'s all right. At least now he\'s warned not to trust his fellow fraud officers in CorSec.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '58', 'otherescort_3', 'I\'m waiting for a different escort.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '59', 'dontknowyou_3', 'I really haven\'t got time to talk, sorry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '60', 'npc_breech_3', 'Did Jadam Questrel send you to get me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '61', 'npc_takeme_3', 'I\'ve been scared out of my wits after what happened to Nola Indervin. I doubt that all of CorSec is compromised, but the corruption has spread more widely in the fraud division than I would have suspected.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '62', 'npc_dropoff_3', 'Thanks for saving my skin. Now I\'m going into hiding. This Bonadan Contract must involve some major players, and they\'ll be after all of us.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '63', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '65', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '70', 'player_3_3', 'Do you think all of CorSec is corrupt?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '71', 'npc_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '72', 'npc_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '73', 'npc_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '74', 'npc_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '75', 'npc_backtowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '76', 'npc_reward_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '77', 'npc_work_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '78', 'npc_noloc_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '79', 'npc_failure_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '80', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '81', 'dontknowyou_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '82', 'npc_breech_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '92', 'player_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '137', 'npc_reset_1', 'All right, but don\'t delay once you\'re ready to try again. Time is running out.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '138', 'npc_reset_2', 'All right, but don\'t delay once you\'re ready to try again. Time is running out.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '139', 'npc_reset_3', 'All right, but don\'t delay once you\'re ready to try again. Time is running out.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/jadam_questrel.stf', '140', 'npc_reset_4', 'All right, but don\'t delay once you\'re ready to try again. Time is running out.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '1', 'next', 'You\'ve killed the beast for now, friend. But it always comes back. It always comes back.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '2', 'cantwork', 'My tasks are dangerous and require your full attention. Come back when you dare to face the savage beast.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '3', 'npc_reset', 'The beast eventually drives everyone mad, friend. It will get you too. Run while you can.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '4', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '5', 'npc_1_1', 'He can\'t trick me. I know the Jedi were the guardians of peace and justice in the Old Republic. Everyone knew that. Yet no one did anything when they were hunted down. No one spoke out against the massacre. And now there is blood on my hands. This beast can never die, friend. But we must try nonetheless. Will you help me track this monster and stop its murderous rampage? We must act before the galaxy suffers. Before the darkness comes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '6', 'npc_2_1', 'Go quickly. Show no mercy. This foul thing corrupts everything it touches. It must be stopped. It can\'t be stopped. Go quickly.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '7', 'npc_3_1', 'Who will shed light on the darkness? Who will restore order to the galaxy? I did not mean to kill the light...');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '8', 'npc_4_1', 'I was there when the light was extinguished, friend. I helped extinguish it. Now I must live in darkness, for that is the only place that will have me. Will you help me stop this beast\'s rampage?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '9', 'npc_backtowork_1', 'Yes, I also hear their voices. I see their pale faces staring at me. Accusing me. Please help me stop the monster that killed them.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '10', 'npc_reward_1', 'The beast is defeated for now but it will return. It always returns.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '11', 'npc_work_1', 'Have you slain the monster, friend? Have you made the billions who stood by and watched this slaughter take place face their crime?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '12', 'npc_noloc_1', 'Soon, the beast shall make itself known soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '13', 'npc_failure_1', 'Did I not tell you that this beast could not die? Why do you hunt what you can never catch? Why do you seek to go back to a time that is forever lost to you? Go, go away.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '14', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '15', 'dontknowyou_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '16', 'npc_breech_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '17', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '18', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '19', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '20', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '21', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '26', 'player_3_1', 'What are you talking about?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '27', 'npc_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '28', 'npc_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '29', 'npc_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '30', 'npc_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '31', 'npc_backtowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '32', 'npc_reward_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '33', 'npc_work_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '34', 'npc_noloc_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '35', 'npc_failure_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '36', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '37', 'dontknowyou_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '38', 'npc_breech_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '39', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '40', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '41', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '42', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '43', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '48', 'player_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '49', 'npc_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '50', 'npc_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '51', 'npc_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '52', 'npc_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '53', 'npc_backtowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '54', 'npc_reward_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '55', 'npc_work_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '56', 'npc_noloc_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '57', 'npc_failure_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '58', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '59', 'dontknowyou_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '60', 'npc_breech_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '61', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '62', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '63', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '65', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '70', 'player_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '71', 'npc_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '72', 'npc_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '73', 'npc_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '74', 'npc_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '75', 'npc_backtowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '76', 'npc_reward_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '77', 'npc_work_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '78', 'npc_noloc_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '79', 'npc_failure_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '80', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '81', 'dontknowyou_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '82', 'npc_breech_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '92', 'player_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '137', 'npc_reset_1', 'The beast eventually drives everyone mad, friend. It will get you too. Run while you can.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/joz_jodhul.stf', '138', 'npc_reset_2', 'The beast eventually drives everyone mad, friend. It will get you too. Run while you can.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '1', 'cant_work', 'Come and see me for a job when you\'re no longer employed by someone else.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '2', 'dontknowyou_1', 'I\'m waiting to meet someone else.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '3', 'dontknowyou_2', 'I have no business with you. Please leave me alone.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '4', 'dontknowyou_3', 'This is private business. Why don\'t you just keep walking?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '5', 'gotowork_1', 'This is not the disk you were supposed to give me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '6', 'gotowork_2', 'You lost the spice? Are you trying to get us both killed?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '7', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '8', 'next', 'You\'ve done everything I asked of you. I think you should go speak with Shalera. Though you should call her \"Lady Hutt\" in her presence.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '9', 'notit_1', 'What\'s this?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '10', 'notit_2', 'What\'s this?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '11', 'notit_3', 'What\'s this?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '12', 'notyet', 'If you\'re looking to for work, first go talk to Lasha. That\'s right... Lasha Bindari. \n\nShe\'s currently handling the business in Kor Vella. Look for her there.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '13', 'npc_1_1', 'You\'ve come to work for the Lady Hutt, have you? Smart to sign on to the winning team. How about we start you off with something simple? I need a courier to go pick up this week\'s drop. Interested?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '14', 'npc_1_2', 'Have you interacted with the Hutts much? They\'re not all as refined as Shalera. You should consider yourself lucky to be involved with her business. If you\'re interested in another job, I\'ve got a way for you to work for two Hutts at once. The Lady would like to send Jabba a gift of some spice, as a gesture of goodwill. We need you to deliver this gift to the garbage hauler who\'ll be transporting it. How about it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '15', 'npc_1_3', 'Black Sun doesn\'t know it yet, but its days are numbered. Shalera has had about enough of their constant interference. She wants to send them a message they\'ll understand. Would you like to be the messenger?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '16', 'npc_2_1', 'Go and meet Dray Ithicus, one of our other couriers, and be careful. Black Sun has been pestering our couriers recently. Be assured that won\'t last much longer. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '17', 'npc_2_2', 'Bring this spice to Breel\'ik Nar. He\'s posing as a garbage hauler. Breel\'ik will take the spice from here and make certain it reaches Tatooine safely. The spice is sealed... we\'ll know if you tamper with it. So don\'t!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '18', 'npc_2_3', 'Your... ahem... target will be Lacklo Blant, a mid-ranking member of the Black Sun. He\'ll more than likely have at least one or two others with him, so prepare this \"message\" accordingly.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '19', 'npc_3_1', 'You\'ll never get to meet the Lady Hutt if you don\'t prove yourself.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '20', 'npc_3_2', 'Suit yourself. I\'ll find somebody else.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '21', 'npc_3_3', 'I understand. You don\'t want to get caught in the middle of a gang war.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '22', 'npc_4_1', 'Just some bank authorizations. They wouldn\'t be anything you could access, in case you had any bright ideas. What do you say?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '23', 'npc_4_2', 'You\'d be surprised how many credits you save if you smuggle spice in toxic waste shipments headed for Tatooine. No tariffs and no one ever looks too closely. Will you do it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '24', 'npc_4_3', 'This would be more of a lethal message -- to one of the Black Sun lieutenants. Still interested?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '25', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '26', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '27', 'npc_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '28', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '29', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '30', 'npc_6_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '31', 'npc_backtowork_1', 'Why don\'t you run along and meet that courier.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '32', 'npc_backtowork_2', 'Haven\'t you dropped that spice off yet? What are you waiting for?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '33', 'npc_backtowork_3', 'Have you killed that Black Sun vermin yet? The Lady is waiting for the good news.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '34', 'npc_breech_1', 'Finally! I was wondering if the sand panthers had gotten you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '35', 'npc_breech_2', 'Do you have something for me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '36', 'npc_breech_3', 'So that \"Lady\" Hutt wants to play, does she?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '37', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '38', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '39', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '40', 'npc_failure_1', 'This is a rough business. I\'m sure you\'ll do better next time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '41', 'npc_failure_2', 'This mishap is not going to go over well with the Lady.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '42', 'npc_failure_3', 'Now he knows we\'re after him. We\'ll still have to take him down though. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '43', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '44', 'npc_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '45', 'npc_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '46', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '47', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '48', 'npc_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '49', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '50', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '51', 'npc_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '52', 'npc_noloc_1', 'I\'m waiting for the courier to check in. Come see me again in a little while.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '53', 'npc_noloc_2', 'He\'s going to let me know where you should meet him. Come see me in a little while.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '54', 'npc_noloc_3', 'We\'ve got someone looking for him now. Come back in a little while. I should know his location by then.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '55', 'npc_reset', 'If you want to work for the Lady Hutt, come see me when you think you\'re tough enough.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '56', 'npc_reward_1', 'You\'re not bad. If you\'re interested in more work come see me again soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '57', 'npc_reward_2', 'Well done. I may have to mention you to the Lady soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '58', 'npc_reward_3', 'You\'re definitely going places. Go and talk to the Lady Hutt.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '59', 'npc_smuggle_1', 'Don\'t lose it or it\'ll be both our heads.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '60', 'npc_smuggle_2', 'I wish I could just take this spice and retire, but one Hutt out to kill me would be bad enough. I shudder to think how two of them might split me up.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '61', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '62', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '63', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '64', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '65', 'npc_work_1', 'Did you want to tell me something?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '66', 'npc_work_2', 'You\'re going to go drop off that spice aren\'t you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '67', 'npc_work_3', 'Did you change your mind already?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '68', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '69', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '70', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '71', 'player_1_1', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '72', 'player_1_2', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '73', 'player_1_3', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '74', 'player_2_1', 'No');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '75', 'player_2_2', 'No');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '76', 'player_2_3', 'No');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '77', 'player_3_1', 'What would I be picking up? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '78', 'player_3_2', 'Why are you using a garbage hauler?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '79', 'player_3_3', 'I suppose I could make another delivery.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '80', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '81', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '82', 'player_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '83', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '84', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '85', 'player_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '86', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '87', 'player_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '88', 'player_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '89', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '90', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '91', 'player_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '92', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '93', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '94', 'player_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '95', 'player_reset', 'I can\'t do this mission anymore.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '96', 'player_sorry', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '97', 'return_waypoint_description_1', 'Return to Karena Keer with the bank authorizations.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '98', 'return_waypoint_description_2', 'Karena is waiting for word that the gift has been delivered.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '99', 'return_waypoint_description_3', 'Karena is waiting for word that Lacklo Blant is dead.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '100', 'return_waypoint_name_1', 'Karena Keer');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '101', 'return_waypoint_name_2', 'Karena Keer');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '102', 'return_waypoint_name_3', 'Karena Keer');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '103', 'waypoint_description_1', 'This is where you\'ll find Dray Ithicus. Get the bank authorizations from him and return to Karena.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '104', 'waypoint_description_2', 'This is where you can find the garbage hauler, Breel\'ik Nar. Bring the spice to him.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '105', 'waypoint_description_3', 'This is where you\'ll find Lacklo Blant, a Black Sun lieutenant. Kill him.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '106', 'waypoint_name_1', 'Make the pick up.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '107', 'waypoint_name_2', 'Gift for Jabba.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '108', 'waypoint_name_3', 'Message for the Black Sun.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '109', 'npc_reset_1', 'If you want to work for the Lady Hutt, come see me when you think you\'re tough enough.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '110', 'npc_reset_2', 'If you want to work for the Lady Hutt, come see me when you think you\'re tough enough.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '111', 'npc_reset_3', 'If you want to work for the Lady Hutt, come see me when you think you\'re tough enough.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '112', 'player_reset_1', 'I can\'t do this mission anymore.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '113', 'player_reset_2', 'I can\'t do this mission anymore.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '114', 'player_reset_3', 'I can\'t do this mission anymore.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '115', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '116', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karena_keer.stf', '117', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '1', 'next', 'I don\'t have any work for you right now. Check back with me another time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '2', 'cantwork', 'See me after you\'ve finished your current job.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '3', 'npc_reset', 'You may want to try this job again after you\'ve had a little more training.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '4', 'notyet', 'I\'m a busy man. Speak with Vinya Maysor, my deputy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '5', 'npc_1_1', 'Vinya tells me you\'ve been a big help to her. I can always use a competent and discreet operative. Would you be interested in doing some work for me? I need you to pick up something from a courier.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '6', 'npc_2_1', 'It all seems very hush-hush, so be careful. The courier is named Mia. I\'ll leave you to your work now. I should really get back to mine too.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '7', 'npc_3_1', 'Not very exciting, I\'ll grant you. Well then, I should really get back to work. Good day.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '8', 'npc_4_1', 'I was asked to send someone I can trust to pick up a copy of some evidence in a fraud investigation. Would you mind collecting that for me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '9', 'npc_backtowork_1', 'I\'ve told you all I know. Was there anything else?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '10', 'npc_reward_1', 'I\'ll review this, but I\'m led to understand this investigation was cancelled due to lack of evidence.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '11', 'npc_work_1', 'Did you pick up that information from the courier yet? I\'m very curious to see it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '12', 'npc_noloc_1', 'The courier will contact me with a meeting point shortly. See me again in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '13', 'npc_failure_1', 'What a pity. I wonder what that information was about.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '14', 'otherescort_1', 'I\'m waiting here to meet somebody else.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '15', 'dontknowyou_1', 'I\'m waiting here to meet somebody else.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '16', 'npc_breech_1', 'Did the Viceprex send you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '17', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '18', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '19', 'npc_smuggle_1', 'I was told to get this information to the Viceprex if anything happened to the officers involved. Now it\'s up to you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '20', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '21', 'notit_1', 'This isn\'t what I was expecting. I think you gave me the wrong item.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '26', 'player_3_1', 'What sort of pickup?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '27', 'npc_1_2', 'After reviewing that disk you brought me, I decided to have an outside source look into a certain shipping irregularity. Too many officials are implicated in this scandal to trust it to normal channels. Would you mind taking this to my independent investigator\'s courier?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '28', 'npc_2_2', 'Good. You\'ll be looking for Tabor Claxx. Don\'t give the disk to anybody else, even if they claim to be some sort of official. I\'ll smooth out any problems that arise from that.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '29', 'npc_3_2', 'So be it. On your way then.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '30', 'npc_4_2', 'It would be impolitic to say. Besides, this may be the work of a very creative data slicer. We\'ll just keep this quiet until we have all the facts, is that understood? Good. So will you make the delivery?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '31', 'npc_backtowork_2', 'If you\'re doing this, it\'s time to get going.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '32', 'npc_reward_2', 'Yes, that courier does work for the Lady Hutt. You\'re bemused by my unorthodox choice of investigators? Don\'t be. Use a thief to catch a thief. Besides, the Lady has impressive resources at her disposal.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '33', 'npc_work_2', 'Have you delivered that disk yet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '34', 'npc_noloc_2', 'Just a moment, I have to take this call. Check with me later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '35', 'npc_failure_2', 'You weren\'t able to make the delivery. I guess I\'ll just have to try again.\n');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '36', 'otherescort_2', 'My business is with someone else.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '37', 'dontknowyou_2', 'I can\'t talk to you right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '38', 'npc_breech_2', 'You looking for me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '39', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '40', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '41', 'npc_smuggle_2', 'I\'ll bring this to the Lady Hutt straight away.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '42', 'gotowork_2', 'You don\'t have the disk? What am I supposed to tell the Lady Hutt?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '43', 'notit_2', 'Umm -- keep looking. You tried to give me the wrong thing.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '48', 'player_3_2', 'How high up does this scandal go?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '49', 'npc_1_3', 'What pleasant news. It seems that investigation into the Lady Hutt was a clever forgery by data slicers trying to discredit several high-ranking Corellian officials. Good thing we stopped that. The Lady Hutt is sending me a thank-you gift for giving her the opportunity to take part in that investigation. Will you pick it up?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '50', 'npc_2_3', 'Wonderful. You\'ll be meeting with Tabor Claxx again. I believe you\'re already acquainted. It may be delicate, so do be careful.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '51', 'npc_3_3', 'As you wish. I must be on about my business now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '52', 'npc_4_3', 'I\'m not really sure. But the Lady so craves legitimacy that I didn\'t have the heart to tell her \"no.\" Will you pick up her present for me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '53', 'npc_backtowork_3', 'It\'s just a simple task, but if you\'re too busy, just say so.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '54', 'npc_reward_3', 'No wonder everyone calls her the Lady Hutt. What a gracious gesture.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '55', 'npc_work_3', 'Have you picked up my present yet? Do hurry, I\'m curious to see it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '56', 'npc_noloc_3', 'Just a moment, I have to take this call. Check with me later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '57', 'npc_failure_3', 'What, no present? How disappointing.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '58', 'otherescort_3', 'I\'m waiting here to meet someone else. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '59', 'dontknowyou_3', 'I\'m waiting here to meet someone else. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '60', 'npc_breech_3', 'Good to see you again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '61', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '62', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '63', 'npc_smuggle_3', 'The Lady Hutt sends her warmest regards to the Viceprex, and she hopes he will accept this bauble as a token of her friendship. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '65', 'notit_3', 'If this is a gift from the Lady Hutt, I\'m baffled. Are you sure you didn\'t mean to give me something else?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '70', 'player_3_3', 'What is the Lady Hutt\'s present?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '71', 'npc_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '72', 'npc_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '73', 'npc_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '74', 'npc_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '75', 'npc_backtowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '76', 'npc_reward_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '77', 'npc_work_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '78', 'npc_noloc_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '79', 'npc_failure_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '80', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '81', 'dontknowyou_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '82', 'npc_breech_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '92', 'player_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '137', 'npc_reset_1', 'You may want to try this job again after you\'ve had a little more training.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '138', 'npc_reset_2', 'You may want to try this job again after you\'ve had a little more training.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/karrek_flim.stf', '139', 'npc_reset_3', 'You may want to try this job again after you\'ve had a little more training.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '1', 'next', 'Salutations! I have no current crises with which to trouble you. I wish you well.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '2', 'cantwork', 'Salutations! I am the Selonian ambassador. If you seek work, you may inquire with me when you are no longer busy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '3', 'npc_reset', 'I see. I thank you for your courteous notice. Perhaps we may work together again soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '4', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '5', 'npc_1_1', 'Salutations! I am known as Kirkin Liawoon, Ambassador Plenipotentiary from the Overden of Selonia to Corellia. You are no doubt here regarding work. I request you to bring to me my sept-mate, Lacnor, from her current assignment in the wilderness.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '6', 'npc_2_1', 'I am most glad to hear this. You may find Lacnor at these coordinates in the wilderness, where she was tracking reports of a covert gathering by human hostiles. I wish you good luck.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '7', 'npc_3_1', 'I am sorry to hear this. Perhaps we shall work together sometime in the future.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '8', 'npc_4_1', 'She is investigating anti-Selonian activity among Corellian humans. I am hearing increasing reports of racial hostility. I do not know what is causing it, but I suspect it is actually industrial espionage by the human-controlled Corellian Engineering Corporation against Selonian shipbuilding interests. Will you bring Lacnor here, so that I may learn more?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '9', 'npc_backtowork_1', 'I have no more information to tell you. I request that you start your assignment now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '10', 'npc_reward_1', 'You have my gratitude for bringing Lacnor safely to me. If her report is correct, my suspicions about corporate espionage may give way to a more alarming notion. I shall investigate further. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '11', 'npc_work_1', 'I see that you have not brought me my sept-mate, Lacnor. I hope you will succeed in your assignment soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '12', 'npc_noloc_1', 'Excuse me. I am receiving an urgent call from a sept-mate. Please consult with me again shortly, and I shall convey Lacnor\'s coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '13', 'npc_failure_1', 'I understand. You need not worry that I would think you a failure. May we work together again soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '14', 'otherescort_1', 'I am sorry, but I believe you seek a different party.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '15', 'dontknowyou_1', 'I am sorry, but I believe you seek a different party.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '16', 'npc_breech_1', 'Salutations! Do you journey here on the recommendation of my sept-mate, Ambassador Liawoon?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '17', 'npc_takeme_1', 'I am in some distress. I sent my probe droids to covertly survey a gathering of anti-Selonian humans. The proceedings alarm me. We must return to Ambassador Liawoon at once, please.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '18', 'npc_dropoff_1', 'You have my gratitude. Now I must tell my sept-mate of the terrible atmosphere I witnessed at that gathering. Sister, I believe this is not corporate espionage but simple, frightening hatred.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '19', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '20', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '21', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '26', 'player_3_1', 'What is Lacnor doing in the wilderness?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '27', 'npc_1_2', 'Salutations again. I request of you another favor. My sept-mate Kiantryl has witnessed, at great personal risk, a recent anti-Selonian meeting held secretly in the wilderness. She recorded the meeting from her place of hiding, and now wishes to dispatch the holo to me. However, we do not trust the HoloNet for this. Will you meet Kiantryl in the wilderness and bring me the holorecording?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '28', 'npc_2_2', 'I wish you well on your journey. Beware of the anti-Selonian meeting attendees, who may well wish to prevent this recording from arriving here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '29', 'npc_3_2', 'I am sorry to hear this. Perhaps we shall work together sometime in the future.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '30', 'npc_4_2', 'The gathering drew together many Corellian humans, some quite powerful in this society, who share hostility toward my people. At one time I thought this was an economic issue, fostered by the Corellian Engineering Corporation against our shipbuilding interests. Now I fear that we are seeing the growth of simple race hatred. Will you bring me the holo, so that I can collect more data?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '31', 'npc_backtowork_2', 'I have no more information to tell you. I request that you start your assignment now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '32', 'npc_reward_2', 'Again you have my gratitude. I shall have my sisters analyze this holo. We may wish to take precautions against these individuals.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '33', 'npc_work_2', 'I see that you have not yet succeeded in your assignment. I wish you a speedy success.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '34', 'npc_noloc_2', 'Excuse me. I am receiving an urgent call from a sept-mate. Please consult with me again shortly, and I shall convey the proper coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '35', 'npc_failure_2', 'I understand. You need not worry that I would think you a failure. May we work together again soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '36', 'otherescort_2', 'I believe you\'ve mistaken me for someone else.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '37', 'dontknowyou_2', 'I believe you\'ve mistaken me for someone else.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '38', 'npc_breech_2', 'Salutations! I have the recording here for Ambassador Liawoon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '39', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '40', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '41', 'npc_smuggle_2', 'This gathering included some of the leaders of Corellian industry. The recording shows everything. I find it quite frightening. Please take it to the Ambassador at once.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '42', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '43', 'notit_2', 'I expected a datadisc with the holorecording. This is not it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '48', 'player_3_2', 'What was this anti-Selonian gathering?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '49', 'npc_1_3', 'I am distraught at the news that my sept-mate, Lacnor -- I believe you met her before -- has been kidnapped by anti-Selonian humans. I fear for her life. If you could rescue her, preferably without creating a diplomatic incident, the Selonian Overden will reward you handsomely.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '50', 'npc_2_3', 'I am glad you accept. The kidnappers took Lacnor in the wilderness, as she recorded one of their meetings. You must find her before they bring her back to a city and begin their unspeakable treatments.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '51', 'npc_3_3', 'I am very sorry to hear this. My sept-mate\'s situation is urgent. I hope you will reconsider soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '52', 'npc_4_3', 'Lacnor has been most diligent in recording the illegal activities of anti-Selonian activists. She must have accidentally revealed herself to them. Many of these humans are powerful figures in Corellian society, and would resent having their names associated with human-Selonian hostility. You will rescue her, I hope?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '53', 'npc_backtowork_3', 'I have no more information to tell you. I request that you start your assignment now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '54', 'npc_reward_3', 'The safe arrival of my sept-mate is joyous news. You have rendered an admirable service to my people. Selonia will not forget. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '55', 'npc_work_3', 'I see that you have not yet succeeded in your assignment. I wish you a speedy success.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '56', 'npc_noloc_3', 'Excuse me. I am receiving an urgent call from a sept-mate. Please consult with me again shortly, and I shall convey the proper coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '57', 'npc_failure_3', 'I understand. You need not worry that I would think you a failure. May we work together again soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '58', 'otherescort_3', 'I can\'t speak to you right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '59', 'dontknowyou_3', 'I can\'t speak to you right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '60', 'npc_breech_3', 'Help me! They are -- excuse me. Salutations! Help me! They are armed and holding me hostage!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '61', 'npc_takeme_3', 'You have my gratitude. I apologize for forgetting my manners in hailing you. Will you take me to Ambassador Liawoon, please?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '62', 'npc_dropoff_3', 'I thank you for your kindness in rescuing and escorting me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '63', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '65', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '70', 'player_3_3', 'Why did humans kidnap Lacnor?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '71', 'npc_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '72', 'npc_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '73', 'npc_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '74', 'npc_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '75', 'npc_backtowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '76', 'npc_reward_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '77', 'npc_work_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '78', 'npc_noloc_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '79', 'npc_failure_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '80', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '81', 'dontknowyou_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '82', 'npc_breech_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '92', 'player_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '137', 'npc_reset_1', 'I see. I thank you for your courteous notice. Perhaps we may work together again soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '138', 'npc_reset_2', 'I see. I thank you for your courteous notice. Perhaps we may work together again soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/kirkin_liawoon.stf', '139', 'npc_reset_3', 'I see. I thank you for your courteous notice. Perhaps we may work together again soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '1', 'next', 'I don\'t have any work for you right now. If you\'re looking for more work, try speaking with Karena Keer. She\'s usually at the cantina in Tyrena.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '2', 'cantwork', 'I can\'t trust you to work for me if you\'re already working for somebody else. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '3', 'npc_reset_1', 'You\'re giving up? If you think you can handle this later come back and see me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '4', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '5', 'npc_1_1', 'So you want to get in good with the Lady Hutt, do you? Smart move. I need someone to handle a little problem she\'s having. Some investigators have been looking into the Lady\'s shipping interests. Do you think you can do some looking of your own?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '6', 'npc_2_1', 'Good. The investigators\' courier will be leaving shortly for their mobile base. Our tracer should lead you right to him. If he won\'t give you the report he\'s carrying, take it from him.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '7', 'npc_3_1', 'Afraid you\'re in over your head? You may be right.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '8', 'npc_4_1', 'A courier is bringing the investigators\' most recent report to a mobile base they\'ve set up. I want you to intercept this report so I can see how much they know. Interested?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '9', 'npc_backtowork_1', 'I hope you\'re not backing out on me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '10', 'npc_reward_1', 'You got the report? Good work. I\'ll just look this over.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '11', 'npc_work_1', 'Why haven\'t you intercepted that report yet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '12', 'npc_noloc_1', 'I\'m having someone plant a tracer on the courier. They\'ll contact me once that\'s done. See me in a while.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '13', 'npc_failure_1', 'Blast it! I need that information.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '14', 'otherescort_1', 'I\'m not who you\'re looking for. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '15', 'dontknowyou_1', 'I\'m on official business citizen. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '16', 'npc_breech_1', 'Stay.. stay away, I\'m an official courier!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '17', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '18', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '19', 'npc_smuggle_1', 'Here! Just take the disk, okay? I don\'t want any trouble!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '20', 'gotowork_1', 'Please just leave me alone. I just do this job part-time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '21', 'notit_1', 'What is this? You were supposed to bring me the results of that investigation.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '26', 'player_3_1', 'What problem could I help the Lady Hutt with?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '27', 'npc_1_2', 'That evidence report you picked up was pretty thorough. Fortunately most of the investigators are being cooperative, if you take my meaning. Interested in helping me with two CorSec officers who aren\'t? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '28', 'npc_2_2', 'I think the Lady Hutt is going to take a shine to you. Find these two troublesome CorSec officers and do what\'s necessary. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '29', 'npc_3_2', 'It would be unfortunate if word of this job offer got out.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '30', 'npc_4_2', 'I want them removed from the equation completely. I want it to be as though the world opened up and swallowed them. I want them unable to interfere with the Lady Hutt in any fashion. Ever. Is that plain enough for you? Will you do it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '31', 'npc_backtowork_2', 'I\'ve said all I can. Now you need to go if you\'re going to do this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '32', 'npc_reward_2', 'The Lady Hutt will be pleased when I tell her of your service. I\'m impressed myself, and I don\'t impress easily.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '33', 'npc_work_2', 'You\'d better finish this quickly. Those two could ruin everything.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '34', 'npc_noloc_2', 'Once we have their location we\'ll be ready. Can you see me in a while?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '35', 'npc_failure_2', 'You failed? This will complicate matters. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '36', 'otherescort_2', 'I don\'t know who you\'re looking for, but it isn\'t us.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '37', 'dontknowyou_2', 'We\'re on official business. You just keep moving.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '38', 'npc_breech_2', 'Here comes trouble.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '39', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '40', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '41', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '42', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '43', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '48', 'player_3_2', 'What sort of help are you looking for?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '49', 'npc_1_3', 'We\'ve had a lucky break. An informant of ours, inside CorSec, has managed to plant a tracking device on the CorSec officer who is leading the investigation on the Lady Hutt. I think its time to bring this problem to an end. If this officer were to \"disappear\" our problems should evaporate like so much spiced tea.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '50', 'npc_2_3', 'You are becoming a valuable asset to the Lady Hutt. If you manage to pull this off, I will recommend you to her. Go now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '51', 'npc_3_3', 'I hope you\'re not developing a conscience. That could make your life complicated.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '52', 'npc_4_3', 'You cut right to the heart of the matter. No lead investigator, no evidence, no case. Will you do it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '53', 'npc_backtowork_3', 'You\'re not backing out on us now, are you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '54', 'npc_reward_3', 'Thanks. If you\'ve not already spoken with Shalera the Lady Hutt in Tyrena, now would be a good time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '55', 'npc_work_3', 'Why are you here? I know you haven\'t taken care of that CorSec Officer yet. What are you waiting for?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '56', 'npc_noloc_3', 'Let me double-check the tracking frequency. Come back in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '57', 'npc_failure_3', 'Sometimes things don\'t go like you plan them. Disappointing, but it happens.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '58', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '59', 'dontknowyou_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '60', 'npc_breech_3', 'So, I see the \"Lady\" Hutt has sent one of her goons, just as we expected. Now you will learn how foolish it is to interfere in CorSec affairs.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '61', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '62', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '63', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '65', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '70', 'player_3_3', 'I take it you want me to eliminate him?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '71', 'npc_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '72', 'npc_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '73', 'npc_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '74', 'npc_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '75', 'npc_backtowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '76', 'npc_reward_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '77', 'npc_work_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '78', 'npc_noloc_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '79', 'npc_failure_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '80', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '81', 'dontknowyou_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '82', 'npc_breech_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '92', 'player_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '137', 'npc_reset_2', 'You\'re giving up? If you think you can handle this later come back and see me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '138', 'npc_reset_3', 'You\'re giving up? If you think you can handle this later come back and see me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '139', 'gotowork', 'Please just leave me alone. I just do this job part-time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '140', 'waypoint_description_1', 'Intercept an investigative report being sent by courier to their mobile base.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '141', 'waypoint_description_2', 'Eliminate some CorSec officers who are not cooperating with Lasha.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '142', 'waypoint_description_3', 'Remove the CorSec officer who is leading the investigation into the Lady Hutt Shalera.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '143', 'return_waypoint_description_1', 'Return to Lasha Bindari with the investigative report.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '144', 'return_waypoint_description_2', 'Return to Lasha Bindari and let her know the uncooperative CorSec officers are gone.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '145', 'return_waypoint_description_3', 'Return to Lasha Bindari with word of the lead investigator\'s untimely passing.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '146', 'waypoint_name_1', 'Intercept the report');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '147', 'waypoint_name_2', 'Kill the CorSec officers');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '148', 'waypoint_name_3', 'Kill the lead investigator');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '149', 'return_waypoint_name_1', 'Lasha Bindari');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '150', 'return_waypoint_name_2', 'Lasha Bindari');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/lasha_bindari.stf', '151', 'return_waypoint_name_3', 'Lasha Bindari');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '1', 'next', 'I don\'t have anything more for you now, friend, but keep checking back with me. You never know when business will be booming again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '2', 'cantwork', 'My assignments take a good deal of concentration. Come back when you can focus a bit more.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '3', 'npc_reset', 'Follow-through is important in my line of work, buddy. Come back when you can give me that.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '4', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '5', 'npc_1_1', 'Hey there, friend. I\'m a recruiter, of sorts, on the lookout for promising young talent. I represent an organization that values ingenuity, loyalty, and above all, discretion. If this sounds intriguing, I have a little \"job\" for you, something to let me get a better understanding of your skills. A former agent left our organization owing us some money. Not a huge sum but enough to warrant a visit from someone like you. I doubt this individual has the money on him but what he does have are some bank codes that would assist our collection efforts. Can you bring me these codes?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '6', 'npc_2_1', 'Great. I like your enthusiasm. Oh, and by the way, I doubt this client will give these codes up willingly so you may have to persuade him. To death. Best of luck.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '7', 'npc_3_1', 'Well, our organization is not for everybody. Take it easy, friend.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '8', 'npc_4_1', 'The name of my organization is not something we should discuss until I\'ve determined that you\'re a suitable candidate. You want to try and prove that?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '9', 'npc_backtowork_1', 'I\'ve given you all the info you\'re going to get. Still interested?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '10', 'npc_reward_1', 'Not bad, not bad at all. Another performance like that and I may just recommend you to my employers.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '11', 'npc_work_1', 'Did you get those bank codes? Remember, I\'m evaluating your performance.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '12', 'npc_noloc_1', 'I\'ll get you our former agent\'s coordinates in just a few moments.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '13', 'npc_failure_1', 'Maybe you don\'t have what it takes to join our elite ranks. Don\'t sweat it, though, not everyone in the galaxy can be equally as competent.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '14', 'otherescort_1', 'Back off! I\'m busy!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '15', 'dontknowyou_1', 'Back off! I\'m busy!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '16', 'npc_breech_1', 'I knew Black Sun would be sending someone after me. Die, scum!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '17', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '18', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '19', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '20', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '21', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '26', 'player_3_1', 'What organization do you represent?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '27', 'npc_1_2', 'You performed so well on that last job that I\'ve decided to only give you one more test. Since you got us these bank codes, it only seems fair that you should be the one to deliver them to my superior. Seems simple enough, right? Can you do it? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '28', 'npc_2_2', 'All right. Take these codes to a man named Gnurr Fenkel. He knows to expect you, so if he doesn\'t say, \"You looking for Corellian Double-Brandy?\" when he sees you, blast him and bring the codes back to me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '29', 'npc_3_2', 'Eh, no big loss. There\'s plenty more candidates out there.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '30', 'npc_4_2', 'There\'s a possibility that a few tough guys might try and take these codes away from you. Competitors, you understand. Nothing someone like you couldn\'t handle, though. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '31', 'npc_backtowork_2', 'I don\'t have anything else to tell you. You going or not?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '32', 'npc_reward_2', 'Now those are the kind of results our organization prizes, friend. I\'ll mention you to my boss. We may be in touch.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '33', 'npc_work_2', 'Did you deliver those codes yet? My superior, he doesn\'t like to wait.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '34', 'npc_noloc_2', 'My superior should transmit his coordinates to me in just a few moments.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '35', 'npc_failure_2', 'Failure to deliver some codes pretty much eliminates you from our list of \"possible candidates.\" Maybe you should try moisture farming.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '36', 'otherescort_2', 'Sorry, friend, can\'t help you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '37', 'dontknowyou_2', 'Sorry, friend, can\'t help you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '38', 'npc_breech_2', 'Hey, buddy! Over here! You looking for some Corellian Double-Brandy? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '39', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '40', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '41', 'npc_smuggle_2', 'I\'ll make sure these get to our accounting department. You know Luthin spoke well of you. Keep up the good work and you may find yourself joining our extended family.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '42', 'gotowork_2', 'Where are those codes you were supposed to give me, friend?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '43', 'notit_2', 'These are not the codes I was supposed to get. You\'re not trying to cheat us, are you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '48', 'player_3_2', 'It seems too simple. What\'s the catch?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '49', 'npc_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '50', 'npc_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '51', 'npc_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '52', 'npc_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '53', 'npc_backtowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '54', 'npc_reward_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '55', 'npc_work_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '56', 'npc_noloc_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '57', 'npc_failure_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '58', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '59', 'dontknowyou_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '60', 'npc_breech_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '61', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '62', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '63', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '65', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '70', 'player_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '71', 'npc_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '72', 'npc_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '73', 'npc_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '74', 'npc_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '75', 'npc_backtowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '76', 'npc_reward_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '77', 'npc_work_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '78', 'npc_noloc_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '79', 'npc_failure_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '80', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '81', 'dontknowyou_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '82', 'npc_breech_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '92', 'player_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '137', 'npc_reset_1', 'Follow-through is important in my line of work, buddy. Come back when you can give me that.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '138', 'npc_reset_2', 'Follow-through is important in my line of work, buddy. Come back when you can give me that.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/luthin_dlunar.stf', '139', 'npc_reset_3', 'Follow-through is important in my line of work, buddy. Come back when you can give me that.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '1', 'next', 'That\'s all the work I have for you right now. I\'ll keep you in mind if anything else comes my way.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '2', 'cantwork', 'Sorry, I can\'t hire you if you\'re working for somebody else.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '3', 'npc_reset', 'If you think you can handle this job later, come back and see me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '4', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '5', 'npc_1_1', 'I like your style. Not everybody has the moxie to walk right up to a Corellian Engineering Corporation bigwig and just start chatting. If you want a little temporary work, I think I could help you out with a few errands. Interested?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '6', 'npc_2_1', 'Take this datadisc to Banyon Craddok, he\'s an investigator I\'ve helped a time or two in the past. He\'ll know what to do with it. You may want to keep an eye out for Black Sun. I think they may be involved in this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '7', 'npc_3_1', 'You know the way out. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '8', 'npc_4_1', 'To start with, there\'s a delivery you could make for me. Some investigators are looking into some questionable shipping practices and I have some information that could be very valuable to the investigation. Will you do it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '9', 'npc_backtowork_1', 'Are you going to make that delivery or not?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '10', 'npc_reward_1', 'Come see me again if you want to handle another errand for me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '11', 'npc_work_1', 'I was hoping you would have delivered that disk by now. Shouldn\'t you get on with that?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '12', 'npc_noloc_1', 'Come and see me in a little while. I need to find out where I should have him meet you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '13', 'npc_failure_1', 'That\'s not a very good start to our relationship, is it? No matter, I\'m sure you\'ll do better next time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '14', 'otherescort_1', 'I\'m waiting here to meet somebody else. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '15', 'dontknowyou_1', 'I\'m waiting here to meet somebody else. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '16', 'npc_breech_1', 'Perfect timing, I just got here myself.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '17', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '18', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '19', 'npc_smuggle_1', 'This will put things in a different light. You tell Krast not to worry. It\'ll all be taken care of.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '20', 'gotowork_1', 'You lost the disk you were supposed to bring me? What happened to it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '21', 'notit_1', 'That\'s not the disk I was told to expect. Look again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '26', 'player_3_1', 'What kind of errands do you have in mind?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '27', 'npc_1_2', 'The Corporate Sector Authority representative in Coronet has been causing me a lot of difficulties recently and I\'m starting to wonder if he\'s completely on the up and up. Do you think you could help me out with this? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '28', 'npc_2_2', 'I\'m glad to hear it. The slicer is known as Fugue. Why is it slicers are never called anything normal?  Like Hank maybe. Just once I\'d like to meet a slicer named Hank. But I digress, meet Fugue and bring me his report.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '29', 'npc_3_2', 'How disappointing, I thought we were just starting to work well together.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '30', 'npc_4_2', 'Ha-ha! I really do like your style. Refreshingly straightforward. No, I recently paid a data slicer to examine his records and I just want you to pick up his report. Appointment for pummeling -- ha, ha! I love it! So will you do it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '31', 'npc_backtowork_2', 'I\'ve told you all you need to know. Are you going to go or not?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '32', 'npc_reward_2', 'This is good news indeed. It always helps to have a friend in the CSA who\'s eager to cooperate.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '33', 'npc_work_2', 'Have you met with that data slicer yet? He\'s probably wondering where you are.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '34', 'npc_noloc_2', 'Come back to see me in a little while. I should get the rendezvous point any time now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '35', 'npc_failure_2', 'This isn\'t working quite like I expected but I\'m sure we\'ll get past it in time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '36', 'otherescort_2', 'I\'m sorry, I don\'t know where the person you\'re looking for is.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '37', 'dontknowyou_2', 'My business is not with you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '38', 'npc_breech_2', 'I think you\'re looking for me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '39', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '40', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '41', 'npc_smuggle_2', 'Krast is gonna love this. I totally got the goods on that CSA guy in Coronet. If this got out he\'d be finished.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '42', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '43', 'notit_2', 'This is not the item you were supposed to give me. You might want to look again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '48', 'player_3_2', 'Am I supposed to make an appointment to pummel him into cooperating or something? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '49', 'npc_1_3', 'Ah, there\'s my go-getter. How would you feel about delivering another message for me? I\'m much more confident in your abilities over those of my regular employees. What do you say?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '50', 'npc_2_3', 'Jeter Corona is a courier for an associate named Lasha Bindari. Please give him this urgent message to pass on to her.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '51', 'npc_3_3', 'I guess I should stick with my regular employees.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '52', 'npc_4_3', 'Entirely correct -- except for the part about the credits. I just want you to deliver a message to a business associate. Can I count on you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '53', 'npc_backtowork_3', 'Are you going to deliver my message or not?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '54', 'npc_reward_3', 'You\'re an invaluable aide. I really must see about hiring you on full-time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '55', 'npc_work_3', 'Have you delivered that message yet? It really is urgent.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '56', 'npc_noloc_3', 'I need to find out where you\'ll be meeting the courier. Would you mind stepping outside for a few minutes while I make this call?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '57', 'npc_failure_3', 'I\'m sorry you ran into all that trouble. I hope you\'re all right.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '58', 'otherescort_3', 'I don\'t think I\'m the one you\'re looking for.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '59', 'dontknowyou_3', 'I\'m waiting for somebody. Good luck to you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '60', 'npc_breech_3', 'Are you the messenger?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '61', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '62', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '63', 'npc_smuggle_3', 'I\'ll bring this to Lasha straight away.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '64', 'gotowork_3', 'What happened to the message you were supposed to bring? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '65', 'notit_3', 'That isn\'t the message you were supposed to give me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '70', 'player_3_3', 'Let me guess. You want me to surreptitiously meet a total stranger out in the middle of nowhere and hand them a stack of credits while beating off angry predators.  ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '71', 'npc_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '72', 'npc_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '73', 'npc_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '74', 'npc_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '75', 'npc_backtowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '76', 'npc_reward_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '77', 'npc_work_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '78', 'npc_noloc_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '79', 'npc_failure_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '80', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '81', 'dontknowyou_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '82', 'npc_breech_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '92', 'player_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '137', 'npc_reset_1', 'If you think you can handle this job later, come back and see me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '138', 'npc_reset_2', 'If you think you can handle this job later, come back and see me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/noren_krast.stf', '139', 'npc_reset_3', 'If you think you can handle this job later, come back and see me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '1', 'next', 'You\'ve been a big help. If I ever need more help, I won\'t hesitate to ask.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '2', 'cantwork', 'You\'ve already got a job. Come see me when you need some work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '3', 'npc_reset', 'If the job is too tough right now, see me soon and try again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '4', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '5', 'npc_1_1', 'Hey there, friend, you have a friendly face. Perhaps you can help me with a little problem. I\'m a spice trader, and I operate within the law -- mostly. But I was doing a little trading with the Lady Hutt\'s associates recently, and I think it might have been recorded. Can you help me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '6', 'npc_2_1', 'Glad to hear it.  Some guy recorded my transaction and he\'s blackmailing me with it.  I want you to take care of him for me.  Can you do that?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '7', 'npc_3_1', 'It\'s just not my day, is it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '8', 'npc_4_1', 'Right to the point. I like that. There\'s a guy who was hanging out near where I was talking to these, um...associates. I didn\'t notice him until my business was already concluded. I want you to take care of him. Will you do it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '9', 'npc_backtowork_1', 'You haven\'t changed your mind about helping me, have you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '10', 'npc_reward_1', 'That\'s top-flight work, friend. Thanks. Next time I\'ll be more careful about where I conduct my business.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '11', 'npc_work_1', 'Did you take out that blackmailer yet? I\'m a nervous wreck here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '12', 'npc_noloc_1', 'Give me a few minutes to get the exact coordinates. I\'m a little jumpy today. In a little while I should have them.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '13', 'npc_failure_1', 'You couldn\'t take him down, eh? Well, thanks for trying.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '14', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '15', 'dontknowyou_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '16', 'npc_breech_1', 'You\'re not getting this tape!  It\'s mine!  It\'ll make me rich!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '17', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '18', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '19', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '20', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '21', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '26', 'player_3_1', 'I\'m not sure. What do you want me to do?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '27', 'npc_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '28', 'npc_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '29', 'npc_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '30', 'npc_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '31', 'npc_backtowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '32', 'npc_reward_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '33', 'npc_work_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '34', 'npc_noloc_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '35', 'npc_failure_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '36', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '37', 'dontknowyou_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '38', 'npc_breech_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '39', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '40', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '41', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '42', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '43', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '48', 'player_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '49', 'npc_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '50', 'npc_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '51', 'npc_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '52', 'npc_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '53', 'npc_backtowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '54', 'npc_reward_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '55', 'npc_work_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '56', 'npc_noloc_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '57', 'npc_failure_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '58', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '59', 'dontknowyou_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '60', 'npc_breech_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '61', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '62', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '63', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '65', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '70', 'player_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '71', 'npc_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '72', 'npc_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '73', 'npc_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '74', 'npc_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '75', 'npc_backtowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '76', 'npc_reward_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '77', 'npc_work_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '78', 'npc_noloc_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '79', 'npc_failure_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '80', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '81', 'dontknowyou_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '82', 'npc_breech_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '92', 'player_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '137', 'npc_reset_1', 'If the job is too tough right now, see me soon and try again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/palejo_reshad.stf', '138', 'npc_reset_2', 'If the job is too tough right now, see me soon and try again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '1', 'next', 'I don\'t have anything else for you right now. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '2', 'cantwork', 'You already have a job. I never hire anybody who works for someone else.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '3', 'npc_reset', 'You think you can do this later, then come see me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '4', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '5', 'npc_1_1', 'Are you looking for work? I got a doozy of a job lined up that I can\'t do because the law is keeping a close eye on me. I figure, I get you to do this guy and we split the money. You in?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '6', 'npc_2_1', 'I always like working with a shrewd negotiator. There\'s a guild mining rep that\'s been causing some problems for Black Sun. He\'s moral, upright and won\'t just do what he\'s told and take the money. His name\'s Jinz Finzer. Kill him.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '7', 'npc_3_1', 'You breathe word one of this to anybody and Black Sun will burn you so quickly there won\'t even be any smoke.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '8', 'npc_4_1', 'That\'s fair. How about I offer you 80% and I keep the rest as a finder\'s fee? Then I lie about how much money I was offered and give you the same amount I was going to in the first place? Do you want to kill this guy or not?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '9', 'npc_backtowork_1', 'If you\'re not gonna go blast this guy, let me know now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '10', 'npc_reward_1', 'Here\'s your money, now beat it. I can\'t be seen associating with you disreputable types. I have my standards, you know.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '11', 'npc_work_1', 'Haven\'t you taken care of this yet? You\'re not going soft on me are you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '12', 'npc_noloc_1', 'I have a probe droid following your target. Come back in a few minutes and I should know where you can find him.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '13', 'npc_failure_1', 'You didn\'t kill him? What am I paying you for -- Oh wait, I guess I\'m not.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '14', 'otherescort_1', 'I\'m sorry, friend, I don\'t have any business with you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '15', 'dontknowyou_1', 'I\'m sorry, friend, I don\'t have any business with you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '16', 'npc_breech_1', 'You Black Sun Goons never give up do you? You can\'t buy me!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '17', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '18', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '19', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '20', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '21', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '26', 'player_3_1', 'If I\'m doing all the work, shouldn\'t I get more of the money?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '27', 'npc_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '28', 'npc_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '29', 'npc_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '30', 'npc_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '31', 'npc_backtowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '32', 'npc_reward_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '33', 'npc_work_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '34', 'npc_noloc_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '35', 'npc_failure_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '36', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '37', 'dontknowyou_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '38', 'npc_breech_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '39', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '40', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '41', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '42', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '43', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '48', 'player_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '49', 'npc_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '50', 'npc_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '51', 'npc_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '52', 'npc_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '53', 'npc_backtowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '54', 'npc_reward_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '55', 'npc_work_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '56', 'npc_noloc_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '57', 'npc_failure_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '58', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '59', 'dontknowyou_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '60', 'npc_breech_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '61', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '62', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '63', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '65', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '70', 'player_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '71', 'npc_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '72', 'npc_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '73', 'npc_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '74', 'npc_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '75', 'npc_backtowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '76', 'npc_reward_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '77', 'npc_work_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '78', 'npc_noloc_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '79', 'npc_failure_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '80', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '81', 'dontknowyou_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '82', 'npc_breech_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '92', 'player_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '137', 'npc_reset_1', 'You think you can do this later, then come see me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/scolex_grath.stf', '138', 'npc_reset_2', 'You think you can do this later, then come see me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '1', 'next', 'You done good, friend. I don\'t need you anymore. Though I do appreciate someone who knows how to take orders. Keep checking back with me now and again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '2', 'cantwork', 'I\'m a bit busy right now, and by the look of it, so are you. Come back when you get some free time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '3', 'npc_reset', 'You\'re kidding, right? I should have known better than to rely on some stranger. I got nothing for you. Come back if you develop a spine.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '4', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '5', 'npc_1_1', 'You like swoop races? Maybe you\'ve heard of me. Name\'s Serji-X Arrogantus, best swoop racer in the Core Worlds. And if you ever hear anyone say that Ingar Ominaz is best, then you know you\'re dealing with an idiot. So how would you feel about helping a celebrity out? There\'s this bet handler who\'s made a lot of money off me over the years. Recently I asked him to share some \"insider\" information but the ungrateful worm refuses. Now does that seem like a friend to you? If you can get me his bet ledger, I\'d certainly pay handsomely for it. Want to get on my good side?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '6', 'npc_2_1', 'All right then. The guy you\'re looking for is an Ishi Tib named Gleeb Tchotle. He\'s not likely to hand over his ledger, which he keeps on his person at all times, so you might have to persuade him to hand it over. Oh and if he ends up demised, I won\'t shed any tears.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '7', 'npc_3_1', 'Beat it then! I got work to do!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '8', 'npc_4_1', 'You know, little things like bet amounts, odds, who has faith in you and who doesn\'t - the kind of thing that someone like me needs to know.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '9', 'npc_backtowork_1', 'You want to do this or not?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '10', 'npc_reward_1', 'Hey, hey, now this is the sort of result I expect from a true professional. You should go talk to my friend Luthin Dlunar in Bela Vistal. He\'s always looking for promising new talent.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '11', 'npc_work_1', 'Did you get me that ledger yet? I need it to conduct some business, pal.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '12', 'npc_noloc_1', 'I\'ll find out where that little worm is hiding and then you can get me what I want.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '13', 'npc_failure_1', 'You couldn\'t get a ledger from a harmless bookie? I was obviously talking to the wrong person. See ya.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '14', 'otherescort_1', 'Excuse me, I\'m quite busy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '15', 'dontknowyou_1', 'Excuse me, I\'m quite busy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '16', 'npc_breech_1', 'Do I know you? Did you place a bet on the last swoop races? Wait! I don\'t know you! Keep away!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '17', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '18', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '19', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '20', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '21', 'notit_1', 'This ain\'t the ledger, pal. Where\'s the ledger?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '26', 'player_3_1', 'What kind of insider information?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '27', 'npc_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '28', 'npc_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '29', 'npc_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '30', 'npc_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '31', 'npc_backtowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '32', 'npc_reward_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '33', 'npc_work_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '34', 'npc_noloc_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '35', 'npc_failure_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '36', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '37', 'dontknowyou_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '38', 'npc_breech_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '39', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '40', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '41', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '42', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '43', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '48', 'player_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '49', 'npc_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '50', 'npc_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '51', 'npc_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '52', 'npc_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '53', 'npc_backtowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '54', 'npc_reward_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '55', 'npc_work_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '56', 'npc_noloc_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '57', 'npc_failure_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '58', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '59', 'dontknowyou_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '60', 'npc_breech_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '61', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '62', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '63', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '65', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '70', 'player_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '71', 'npc_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '72', 'npc_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '73', 'npc_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '74', 'npc_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '75', 'npc_backtowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '76', 'npc_reward_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '77', 'npc_work_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '78', 'npc_noloc_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '79', 'npc_failure_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '80', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '81', 'dontknowyou_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '82', 'npc_breech_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '92', 'player_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '137', 'npc_reset_1', 'You\'re kidding, right? I should have known better than to rely on some stranger. I got nothing for you. Come back if you develop a spine.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/serji_x_arrogantus.stf', '138', 'npc_reset_2', 'You\'re kidding, right? I should have known better than to rely on some stranger. I got nothing for you. Come back if you develop a spine.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '1', 'next', 'Business is running smoothly. But if I have any more difficulties, you\'re my first choice to solve them.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '2', 'cantwork', 'See me again when you\'ve finished with your present employer.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '3', 'npc_reset', 'Sometimes unforeseen difficulties make our work harder. See me again later and try again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '4', 'notyet', 'I lack time to talk to you at the moment. Very regrettable, I know. But please talk with one of my lieutenants, Karena Keer. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '5', 'npc_1_1', 'Welcome. I am Shalera -- some call me the Lady Hutt. You needn\'t look so nervous. I never eat my guests -- at least not without tea, and you\'ve just missed that. As it happens, I need some short-term help. My regular people are busy with a new project. Do you think you might be willing to deliver a message for me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '6', 'npc_2_1', 'You have the heart of a Jedi, always willing to aid the cause of peace. Bring my message to the courier waiting outside the city. We tend to conduct these affairs away from places where people might notice.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '7', 'npc_3_1', 'Perhaps you are wise not to put yourself between rivals such as Black Sun and myself.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '8', 'npc_4_1', 'Recently things have been getting out of hand between my business rivals, Black Sun and I. All that bad blood is not good for business and draws unwanted attention. Will you help me arrange a sit-down?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '9', 'npc_backtowork_1', 'That\'s all I can tell you right now. Please proceed with the task.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '10', 'npc_reward_1', 'A thousand thanks, my friend. I have the feeling you and I shall get along very well.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '11', 'npc_work_1', 'Haven\'t you delivered my message yet? I\'m a patient Hutt, but --');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '12', 'npc_noloc_1', 'Now that I think of it, this may not be the best time to deliver such a message. See me about this again later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '13', 'npc_failure_1', 'Regrettable that you weren\'t able to succeed, but these things happen.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '14', 'otherescort_1', 'You and I don\'t have any business to discuss');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '15', 'dontknowyou_1', 'I\'m here waiting for someone.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '16', 'npc_breech_1', 'Are you here to deliver the message from the Lady Hutt?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '17', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '18', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '19', 'npc_smuggle_1', 'I\'ll bring this to the boss right away.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '20', 'gotowork_1', 'You didn\'t bring the message? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '21', 'notit_1', 'I think you meant to give me something different.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '26', 'player_3_1', 'Who is getting this message?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '27', 'npc_1_2', 'I fear your previous efforts on my behalf bore little fruit. The people in charge of Black Sun let their dislike of me cloud their judgment. Speaking of my illustrious competitors, you might assist me in teaching them a lesson. They\'ve been crossing the line recently, and I want to discourage their childish antics.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '28', 'npc_2_2', 'Ah, so like myself -- willing to negotiate but unafraid of conflict. Black Sun recently shipped a valuable commodity to Corellia that they are temporarily storing at one of their smuggling dens. They\'ve hired some offworld specialist mercenary to guard the stuff, but I want that mercenary eliminated.  Understand?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '29', 'npc_3_2', 'Truly your years belie your wisdom. It would indeed be foolish to get caught up in our struggle.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '30', 'npc_4_2', 'Petty things, really. Like telling CorSec the location of some of my hidden installations. Will you discourage such escapades on my behalf?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '31', 'npc_backtowork_2', 'You know all that you require. Go destroy that merc.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '32', 'npc_reward_2', 'Excellent. Once again you have my gratitude.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '33', 'npc_work_2', 'Why haven\'t you destroyed that mercenary yet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '34', 'npc_noloc_2', 'Perhaps we should wait a bit on that job.  I have just received news that may alter the social landscape. Meet with me later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '35', 'npc_failure_2', 'What a pity. I thought you\'d be able to handle that. Very regrettable.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '36', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '37', 'dontknowyou_2', 'Not me.  You don\'t want to talk to me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '38', 'npc_breech_2', 'One of the Lady Hutt\'s new toys, eh?  You won\'t last.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '39', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '40', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '41', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '42', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '43', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '48', 'player_3_2', 'What sort of childish antics?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '49', 'npc_1_3', 'I have need of you once more, my friend. One of my employees, an accountant, is away from the hustle and bustle of the city while she cleans up my more frontier accounting practices, but she needs an escort to get back safely. Will you help me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '50', 'npc_2_3', 'I knew I could count on you. Her work is very important to me, so please bring her back safely. I\'m sure she\'s completely out of place in the wilderness.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '51', 'npc_3_3', 'I admire your sense of self-preservation. It\'s dangerous out in the wilderness.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '52', 'npc_4_3', 'She was escorted to a hidden location to do her work without any interruptions and now needs an escort back. She\'s not really the outdoorsy type, but she likes to get away while she figures out how to clean up my credits.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '53', 'npc_backtowork_3', 'Please hurry and bring back my accountant. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '54', 'npc_reward_3', 'Where others would fail, you succeed. Well done.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '55', 'npc_work_3', 'You mean she\'s still waiting out in the wilderness? Well, go get her!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '56', 'npc_noloc_3', 'Oh bother! She just called in to tell me she wanted to double-check some new Imperial tax laws. Would you mind waiting a little while and then coming back?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '57', 'npc_failure_3', 'You failed me? Words cannot express my surprise and regret. I\'m sure you won\'t let it happen again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '58', 'otherescort_3', 'Sorry, I\'m waiting for somebody else. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '59', 'dontknowyou_3', 'I\'m busy right now and don\'t have time to talk.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '60', 'npc_breech_3', 'Did Shalera send you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '61', 'npc_takeme_3', 'I\'m so glad you\'re here. I\'ve had enough of the wilderness. Take me back to the Lady Hutt.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '62', 'npc_dropoff_3', 'Thanks for getting me here. I never could have made it by myself.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '63', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '65', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '70', 'player_3_3', 'Why does she need an escort?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '71', 'npc_1_4', 'My friend, I need your help in a delicate matter involving my business. One of my lieutenants thinks that because he works for me, he can do anything he wishes. He\'s been drawing unwanted attention to my organization. Can you help me deal with him?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '72', 'npc_2_4', 'Deal with him as you think best, of course. I\'ve learned to trust your judgment. I warn you, though -- he\'s very full of himself and may not be willing to listen to reason.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '73', 'npc_3_4', 'Once again your wisdom astounds me. You\'re right, this is a family matter, and I should attend to it myself.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '74', 'npc_4_4', 'Demanding money from merchants. Shooting people who annoy him, and then warning witnesses \"who his boss is\" and how \"they\'d better keep quiet.\" Killing the Corsec officer who was investigating his case. Things like that. All very regrettable. Will you help me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '75', 'npc_backtowork_4', 'I really need you to attend to this matter with all speed.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '76', 'npc_reward_4', 'That\'s one way to keep someone from misbehaving. You should have been born a Hutt.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '77', 'npc_work_4', 'Haven\'t you yet shown my lieutenant the error of his ways?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '78', 'npc_noloc_4', 'Actually, I\'m not sure where he is right now. See me later, and with luck I\'ll have the coordinates you need.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '79', 'npc_failure_4', 'I was so sure you could make him behave. How regrettable.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '80', 'otherescort_4', 'I know you\'re not here to see me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '81', 'dontknowyou_4', 'What are you bothering me for? Get a job.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '82', 'npc_breech_4', 'I work for Shalera the Hutt, you fool! You can\'t touch me!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '92', 'player_3_4', 'How has he been drawing attention to you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '93', 'npc_1_5', 'This business never gets dull. A pilot known to be friendly to the Alliance has managed to get in trouble with CorSec instead of the Imperials. I\'m being paid to smuggle him off-planet. Will you bring him to me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '94', 'npc_2_5', 'Your loyalty is an inspiration to all who know you. The pilot\'s name is Naz Tulos. Bring him to me before CorSec catches up with him.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '95', 'npc_3_5', 'Very prudent of you not to meddle in Rebel affairs. The Empire is not well disposed toward that sort of behavior. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '96', 'npc_4_5', 'Let\'s just say he rashly assumed that a CorSec ship belonged to the Empire. At the time, he was doing something the Imperials wouldn\'t like, and so he took action. Very regrettable. Will you bring him to me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '97', 'npc_backtowork_5', 'Hurry up and bring him to me, or neither of us will make any credits off this situation.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '98', 'npc_reward_5', 'I admire your resourcefulness. You\'ve done very well.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '99', 'npc_work_5', 'If you don\'t find him soon, then CorSec will.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '100', 'npc_noloc_5', 'Actually, things are a little hot for him right now. I\'ll send you to find him when things have cooled down a little.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '101', 'npc_failure_5', 'I do so hate to lose an opportunity to make credits. Oh well, no use worrying about what we can\'t change.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '102', 'otherescort_5', 'I don\'t know who you\'re looking for, but I do know it isn\'t me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '103', 'dontknowyou_5', 'I\'m afraid I don\'t have time for idle chitchat. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '104', 'npc_breech_5', 'Did the Lady Hutt send you to find somebody?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '105', 'npc_takeme_5', 'CorSec, ImpSec. How am I supposed to keep track of all these details? Just help get me off this world.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '106', 'npc_dropoff_5', 'Thanks for getting me here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '114', 'player_3_5', 'How did he get in trouble with the CorSec?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '115', 'npc_1_6', 'Do you know much about the Berserker Virus? It\'s an ailment that has recently been infecting the creatures of Naboo. It makes them unusually aggressive. I\'m sending a sample of the virus to Jabba. You\'ve been very dependable so far. Will you deliver the sample to his courier?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '116', 'npc_2_6', 'Fine. Black Sun is very keen to take this sample back from us. One of my operatives \"found\" it on one of their couriers. Be careful that they don\'t foul up this delivery. I don\'t want anything to upset Jabba, he has a bit of a temper.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '117', 'npc_3_6', 'I completely understand. I too am wary of handling this sort of biohazard.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '118', 'npc_4_6', 'They\'ve not yet managed to engineer a strain that works on sapient creatures, so you should be completely safe. Will you do it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '119', 'npc_backtowork_6', 'I can\'t tell you anything more. Please -- just make the delivery.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '120', 'npc_reward_6', 'You\'re everything a Hutt could want in an employee. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '121', 'npc_work_6', 'You haven\'t delivered it yet? Jabba is waiting.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '122', 'npc_noloc_6', 'They haven\'t paid me, so I don\'t want it delivered quite yet. Come back and see me later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '123', 'npc_failure_6', 'Very regrettable. Jabba will not be happy about this. I\'ll try to leave your name out of it when he asks what went wrong.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '124', 'otherescort_6', 'I\'m waiting for somebody else. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '125', 'dontknowyou_6', 'Sorry, I can\'t talk right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '126', 'npc_breech_6', 'Hey! Are you the courier from Shalera?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '129', 'npc_smuggle_6', 'That\'s what I\'ve been waiting for. Take care.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '130', 'gotowork_6', 'Where\'s my package?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '131', 'notit_6', 'What\'s that? You were supposed to give me something different.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '136', 'player_3_6', 'Is it safe for me to handle this virus?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '137', 'npc_reset_1', 'Sometimes unforeseen difficulties make our work harder. See me again later and try again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '138', 'npc_reset_2', 'Sometimes unforeseen difficulties make our work harder. See me again later and try again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '139', 'npc_reset_3', 'Sometimes unforeseen difficulties make our work harder. See me again later and try again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '140', 'npc_reset_4', 'Sometimes unforeseen difficulties make our work harder. See me again later and try again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '141', 'npc_reset_5', 'Sometimes unforeseen difficulties make our work harder. See me again later and try again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '142', 'npc_reset_6', 'Sometimes unforeseen difficulties make our work harder. See me again later and try again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '143', 'waypoint_description_1', 'Deliver a message to a courier named Gatt Blanth. He will be awaiting you outside the city at this location.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '144', 'waypoint_description_2', 'Eliminate the Mercenary working for the Black Sun.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '145', 'waypoint_description_3', 'Escort Salya Greeler, a member of Shalera\'s organization, to the Lady Hutt.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '146', 'waypoint_description_4', 'Neutralize one of Shalera\'s lieutenants, Yime Kalulez, who has gotten out of hand and is causing problems for the Lady Hutt.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '147', 'waypoint_description_5', 'Rescue Naz Tulos, a pilot, from CorSec and return him to Shalera.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '148', 'waypoint_description_6', 'Deliver a sample of the Berserker Virus to a courier who will take it to Jabba on Tatooine.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '149', 'return_waypoint_description_1', 'Return to Shalera, the Lady Hutt, and let her know the message was delivered.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '150', 'return_waypoint_description_2', 'Return to Shalera, the Lady Hutt, and let her know the Mercenary is dead.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '151', 'return_waypoint_description_3', 'Return to Shalera, the Lady Hutt, with Salya Greeler.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '152', 'return_waypoint_description_4', 'Return to Shalera, the Lady Hutt and let her know Yime Kalulez has been punished.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '153', 'return_waypoint_description_5', 'Return to Shalera, the Lady Hutt, with Naz Tulos.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '154', 'return_waypoint_description_6', 'Return to Shalera, the Lady Hutt, and let her know the Berserker Virus is one its way to Tatooine.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '155', 'return_waypoint_name_1', 'Shalera the Hutt');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '156', 'return_waypoint_name_2', 'Shalera the Hutt');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '157', 'return_waypoint_name_3', 'Shalera the Hutt');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '158', 'return_waypoint_name_4', 'Shalera the Hutt');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '159', 'return_waypoint_name_5', 'Shalera the Hutt');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '160', 'return_waypoint_name_6', 'Shalera the Hutt');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '161', 'waypoint_name_1', 'Deliver a message');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '162', 'waypoint_name_2', 'Kill the Black Sun Mercenary');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '163', 'waypoint_name_3', 'Escort the accountant home');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '164', 'waypoint_name_4', 'Neutralize the trouble-making lieutenant');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '165', 'waypoint_name_5', 'Rescue the pilot');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/shalera.stf', '166', 'waypoint_name_6', 'A gift for Jabba');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '1', 'next', 'I don\'t have any more work for you right now. I\'ll keep you in mind when something else comes up.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '2', 'cantwork', 'You already have a job. When it\'s finished, see me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '3', 'npc_reset', 'Check back and see me when you\'re a little tougher. I\'ll still have a job for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '4', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '5', 'npc_1_1', 'You were wise to seek me out -- Black Sun is a force to be reckoned with on this world. Are you looking for work? I have a job that\'s perfect for a freelancer such as yourself. The Lady Hutt has planted an agent in our midst. We need this agent removed. Will you do the removal?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '6', 'npc_2_1', 'Good. It would be best if something happened to her after she leaves town. We\'d rather this problem disappeared quietly. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '7', 'npc_3_1', 'Then I suppose we have no business to conduct with one another.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '8', 'npc_4_1', 'A Twi\'lek dancer named Kalar\'naa. She\'s the common link to several information leaks that have troubled us recently. She leaves town to meet her contact every few days. Will you see to it that she doesn\'t do that again?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '9', 'npc_backtowork_1', 'I\'ve told you all I can. Are you going to take care of this?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '10', 'npc_reward_1', 'You have served Black Sun well. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '11', 'npc_work_1', 'I\'d hate for that informant to pass on more information. Were you going to finish this mission soon?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '12', 'npc_noloc_1', 'We have someone keeping an eye on her. He\'ll contact me when she leaves town. See me in a little while.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '13', 'npc_failure_1', 'That\'s a bit of a disappointment. I\'ll need to find another way to handle this matter.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '14', 'otherescort_1', 'I\'m not the one you seek.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '15', 'dontknowyou_1', 'I\'m waiting for someone else.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '16', 'npc_breech_1', 'I knew they\'d figure it out eventually. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '17', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '18', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '19', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '20', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '21', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '26', 'player_3_1', 'Who is this agent?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '27', 'npc_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '28', 'npc_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '29', 'npc_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '30', 'npc_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '31', 'npc_backtowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '32', 'npc_reward_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '33', 'npc_work_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '34', 'npc_noloc_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '35', 'npc_failure_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '36', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '37', 'dontknowyou_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '38', 'npc_breech_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '39', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '40', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '41', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '42', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '43', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '48', 'player_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '49', 'npc_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '50', 'npc_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '51', 'npc_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '52', 'npc_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '53', 'npc_backtowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '54', 'npc_reward_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '55', 'npc_work_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '56', 'npc_noloc_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '57', 'npc_failure_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '58', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '59', 'dontknowyou_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '60', 'npc_breech_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '61', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '62', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '63', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '65', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '70', 'player_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '71', 'npc_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '72', 'npc_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '73', 'npc_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '74', 'npc_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '75', 'npc_backtowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '76', 'npc_reward_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '77', 'npc_work_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '78', 'npc_noloc_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '79', 'npc_failure_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '80', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '81', 'dontknowyou_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '82', 'npc_breech_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '92', 'player_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '137', 'npc_reset_1', 'Check back and see me when you\'re a little tougher. I\'ll still have a job for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/skinkner.stf', '138', 'npc_reset_2', 'Check back and see me when you\'re a little tougher. I\'ll still have a job for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '1', 'next', 'You\'re quite a smooth operator. I don\'t have anything worthy of you just now, but I will definitely keep you in mind.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '2', 'cantwork', 'You and I should talk business once you\'ve completed your current job.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '3', 'npc_reset', 'If you think you\'d like to try this later, come back and see me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '4', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '5', 'npc_1_1', 'The name is Talon Karrde. I\'m in the import/export business and find myself temporarily without an assistant. You seem a likely prospect. Would you be interested in making a few credits? I can use a little help with a pickup run. What do you say?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '6', 'npc_2_1', 'I thought you might be interested. You\'ll be looking for Ara Miorri. She\'s a little on the eccentric side, doing all her business outside of town -- although I hear that\'s becoming more common.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '7', 'npc_3_1', 'Afraid you might get yourself in trouble? Probably good thinking. Good luck to you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '8', 'npc_4_1', 'A disk that a data slicer associate of mine has put together to help me with my shipping interests. I need someone to get it in my place, as I seem to have picked up a tail. Don\'t ask who\'s tailing me -- I don\'t know. Will you make the pickup?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '9', 'npc_backtowork_1', 'You haven\'t lost interest in the job already, have you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '10', 'npc_reward_1', 'A job well done, my friend. Maybe we can do more business later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '11', 'npc_work_1', 'Have you picked up that disk yet? I was hoping to get it today.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '12', 'npc_noloc_1', 'She\'ll contact me when she\'s ready to make the drop. See me in a little while.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '13', 'npc_failure_1', 'Got a little hairy, I take it? That sometimes happens in our line of work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '14', 'otherescort_1', 'You\'re looking for someone? Sorry, it\'s not me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '15', 'dontknowyou_1', 'I\'m just waiting for a courier. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '16', 'npc_breech_1', 'Did Karrde send you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '17', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '18', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '19', 'npc_smuggle_1', 'You tell Karrde he owes me big-time for this. These are some high-clearance codes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '20', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '21', 'notit_1', 'I don\'t think this is the disk she told you to give me. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '26', 'player_3_1', 'What do you need me to pick up?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '27', 'npc_1_2', 'Do you recall that Rodian who tried to interfere with our last bit of business? Not long after you left that slicer, Ara Niorri, the Rodian\'s partner killed her. Ara was a gifted woman, and I do not take kindly to associates being murdered. Will you be my tool of vengence?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '28', 'npc_2_2', 'Good, I didn\'t think you\'d let this offense stand unanswered. The Rodian\'s name is Vralla. I\'d be careful of her -- you foiled her partner, so she may be looking for you. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '29', 'npc_3_2', 'I guess she didn\'t impress you very much. I\'ll handle it myself.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '30', 'npc_4_2', 'Ah, answering that question is my current priority. I suspect a certain Hutt rival elsewhere on Corellia. She likes to keep her own hands clean nowadays, but she sends others to do the dirtiest possible work. Will you avenge Ara?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '31', 'npc_backtowork_2', 'I\'ve told you what I know. You haven\'t changed your mind, have you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '32', 'npc_reward_2', 'So the lady Hutt was involved in this. Just as I suspected. I believe I\'ll have to discourage her from playing in my affairs.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '33', 'npc_work_2', 'Have you found that blasted killer yet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '34', 'npc_noloc_2', 'One of my informants will send the Rodian\'s location shortly. See me again in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '35', 'npc_failure_2', 'I asked too much of you. Thank you for trying.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '36', 'otherescort_2', 'Keep looking, you\'ll find whoever you seek.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '37', 'dontknowyou_2', 'I don\'t think I know you. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '38', 'npc_breech_2', 'Well, if it isn\'t the little wretch who foiled my partner. Milady Hutt will be most pleased if I kill you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '39', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '40', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '41', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '42', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '43', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '48', 'player_3_2', 'Why did the Rodians attack me and kill Ara? Who sent them?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '49', 'npc_1_3', 'I\'ve been keeping my eye on the Lady Hutt after our recent run-ins. My informants tell me she\'s expecting an important delivery from Naboo soon. Will you intercept it for me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '50', 'npc_2_3', 'I knew I could count on you. The ship just landed in a remote location, and the delivery is being made by hand. Find the courier and take the package. I don\'t like doing business this way, but the Lady Hutt must learn the consequences of interfering with me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '51', 'npc_3_3', 'All right. Best to stay out of these power struggles if you don\'t have a vested interest.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '52', 'npc_4_3', 'Technically I\'m only going against one Hutt, but in truth, the answer to your question is yes. Nobody gets far in this business without taking some risks. Besides, I know a few things they don\'t. Trust me on this. So will you do it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '53', 'npc_backtowork_3', 'I\'ve told you all I can. Will you get that package now?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '54', 'npc_reward_3', 'You got it? Good. Now I\'ll find out what the Lady is mixed up in. Thanks for your good work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '55', 'npc_work_3', 'Were you going to intercept that courier, or did you subcontract this job?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '56', 'npc_noloc_3', 'Once the courier leaves with the package, my informant will contact me. See me soon and I should be ready.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '57', 'npc_failure_3', 'You weren\'t able to get the package? A minor setback. They happen.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '58', 'otherescort_3', 'I don\'t think you\'re looking for me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '59', 'dontknowyou_3', 'I\'m just delivering a message. Nothing to concern yourself with.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '60', 'npc_breech_3', 'You just made the last mistake of your life.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '61', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '62', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '63', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '65', 'notit_3', 'Are you sure you didn\'t mean to give me something else?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '70', 'player_3_3', 'Are you really willing to go against the Hutts?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '71', 'npc_1_4', 'I\'m always a little horrified at the lengths people in this business will go to. The Lady Hutt has purchased a genetically engineered virus that heightens aggression. There are some things I\'m just not willing to be involved in, and engineered viruses are right up there. Will you deliver this virus sample to the Biological Control Bureau for me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '72', 'npc_2_4', 'Good. I\'ve arranged for a quiet dropoff with one of the BCB couriers. Just meet him, give him the package, and there\'ll be no questions asked. I hope they can get a retrovirus started in case anyone tries something foolish.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '73', 'npc_3_4', 'I can\'t fault your good sense. Good luck to you. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '74', 'npc_4_4', 'I am assured that its current form does not affect sapient races. I wouldn\'t be surprised if they try to change that. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '75', 'npc_backtowork_4', 'Don\'t you want to make that delivery for me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '76', 'npc_reward_4', 'Thanks. Kind of strange to be helping people for a change. I\'ll try not to make it a habit. It might be bad for business. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '77', 'npc_work_4', 'Were you going to deliver that virus or just wait for it to mutate into something else?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '78', 'npc_noloc_4', 'Give me a few minutes to arrange a quiet meeting with a BCB courier. Come back shortly.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '79', 'npc_failure_4', 'No luck? I\'ll try to send over another sample.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '80', 'otherescort_4', 'Keep looking, friend.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '81', 'dontknowyou_4', 'I\'m just waiting for a delivery.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '82', 'npc_breech_4', 'Are you looking for me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '85', 'npc_smuggle_4', 'Thanks. I\'ll get this back to the BCB for analysis right away.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '86', 'gotowork_4', 'Weren\'t you supposed to be bringing me some new virus sample? Where is it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '87', 'notit_4', 'I was expecting a virus sample. What are you giving me this for?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '92', 'player_3_4', 'Umm -- it\'s not contagious, is it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '137', 'npc_reset_1', 'If you think you\'d like to try this later, come back and see me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '138', 'npc_reset_2', 'If you think you\'d like to try this later, come back and see me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '139', 'npc_reset_3', 'If you think you\'d like to try this later, come back and see me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '140', 'npc_reset_4', 'If you think you\'d like to try this later, come back and see me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '141', 'npc_reset_5', 'If you think you\'d like to try this later, come back and see me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/talon_karrde.stf', '142', 'npc_reset_6', 'If you think you\'d like to try this later, come back and see me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '1', 'next', 'Your service to the Empire has been noted. I have nothing further for you at this time. Perhaps you should speak with Captain Pellaeon. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '2', 'cantwork', 'You have a job at the moment. See me once you\'ve finished it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '3', 'npc_reset', 'Check back later if you want to finish what you started.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '4', 'notyet', 'Speak to Captain Pellaeon.  I\'m sure he has some work for you.  Come back to me later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '5', 'npc_1_1', 'So you want to serve the Empire and prove yourself, eh? I might have just the task for you. There\'s an informant we use, Dina Whisper. We suspect she\'s selling sensitive information to the Rebels. Would you bring her to us for questioning? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '6', 'npc_2_1', 'Always a pleasure to see people take an interest in the welfare of the Empire. You\'ll be looking for Dina Whisper. Keep an eye open -- you don\'t want her Rebel pals getting the drop on you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '7', 'npc_3_1', 'Suddenly not so keen to serve the Empire? What was your name again?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '8', 'npc_4_1', 'I\'m sure she\'s picking up interesting information in her dealings with us. Too bad she can\'t be trusted. I hope we won\'t have that problem with you. So, interested?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '9', 'npc_backtowork_1', 'Were you going to arrest that traitor?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '10', 'npc_reward_1', 'Good work, citizen. The Empire appreciates your service.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '11', 'npc_work_1', 'Arresting traitors to the Empire is your number-one priority right now. Get moving!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '12', 'npc_noloc_1', 'Once we find her current location I\'ll send you on your way. Check back with me soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '13', 'npc_failure_1', 'She eluded your grasp? She\'s more clever than I thought. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '14', 'otherescort_1', 'I\'m not the person you need to find.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '15', 'dontknowyou_1', 'I\'m waiting for someone.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '16', 'npc_breech_1', 'What do you want?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '17', 'npc_takeme_1', 'Don\'t hurt me. I\'ll go quietly.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '18', 'npc_dropoff_1', 'This can\'t be happening to me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '19', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '20', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '21', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '26', 'player_3_1', 'What sort of secrets?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '27', 'npc_1_2', 'Very interesting information we picked up from that arrest you made. Apparently there\'s a small black-market outpost operating outside of town. How about taking care of the people who run it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '28', 'npc_2_2', 'I never doubted you for a moment. We can\'t allow an operation like this to continue. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '29', 'npc_3_2', 'Thinking about those illegal goods, are you? I hope you don\'t get hurt when we take care of these guys.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '30', 'npc_4_2', 'Don\'t get cute. They sell information and weapons to the Rebels, so unless you plan on treason to the Empire, stick to the job at hand. Will you take out those running the outpost?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '31', 'npc_backtowork_2', 'Have you changed your mind about the mission?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '32', 'npc_reward_2', 'Well done, citizen. Your next step is to speak with Captain Pellaeon. He may have further work for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '33', 'npc_work_2', 'Were you planning to take care of that black-market outpost soon?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '34', 'npc_noloc_2', 'As soon as I\'ve confirmed the exact location with our agents I\'ll be ready for you. See me again in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '35', 'npc_failure_2', 'If it was that difficult, perhaps more drastic measures will be needed.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '36', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '37', 'dontknowyou_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '38', 'npc_breech_2', 'You can\'t shut me down!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '39', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '40', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '41', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '42', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '43', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '48', 'player_3_2', 'Do they have anything I can use?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '49', 'npc_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '50', 'npc_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '51', 'npc_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '52', 'npc_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '53', 'npc_backtowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '54', 'npc_reward_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '55', 'npc_work_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '56', 'npc_noloc_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '57', 'npc_failure_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '58', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '59', 'dontknowyou_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '60', 'npc_breech_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '61', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '62', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '63', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '65', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '70', 'player_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '71', 'npc_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '72', 'npc_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '73', 'npc_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '74', 'npc_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '75', 'npc_backtowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '76', 'npc_reward_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '77', 'npc_work_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '78', 'npc_noloc_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '79', 'npc_failure_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '80', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '81', 'dontknowyou_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '82', 'npc_breech_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '92', 'player_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '137', 'npc_reset_1', 'Check back later if you want to finish what you started.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '138', 'npc_reset_2', 'Check back later if you want to finish what you started.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '139', 'npc_reset_3', 'Check back later if you want to finish what you started.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/tarl.stf', '140', 'default', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '1', 'next', 'I don\'t have any more work for you right now. Maybe later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '2', 'cantwork', 'You\'re working for somebody else right now. I won\'t even think about hiring you if you\'re working for somebody else.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '3', 'npc_reset', 'You\'re backing out on me? If you think you can handle it, maybe I\'ll let you try again later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '4', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '5', 'npc_1_1', 'The name is Thrackan Sal-Solo. I hope you\'re here to work, because I have big things that need doing fast and without stupid questions. Are you willing to work with that understanding?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '6', 'npc_2_1', 'I\'m glad we got that sorted out. Now go find that Selonian terrorist and kill her. You needn\'t bother looking in town, she\'s trying to stay out of the public eye.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '7', 'npc_3_1', 'Then why are you wasting my time? Get out.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '8', 'npc_4_1', 'Starting with the stupid questions already. I can see that you\'re going to be trouble. I\'ll explain this once. My people have located a notorious Selonian terrorist who is hiding out on Corellia. I want you to remove this threat to the public. Is that simple enough?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '9', 'npc_backtowork_1', 'You\'re not giving up are you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '10', 'npc_reward_1', 'Not bad. I\'ll consider hiring you again sometime.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '11', 'npc_work_1', 'Did you stop that terrorist, or were you waiting for her to kill again?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '12', 'npc_noloc_1', 'I need a few minutes to make some final arrangements. Check back soon, and don\'t keep me waiting.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '13', 'npc_failure_1', 'You failed? I didn\'t hire you to fail.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '14', 'otherescort_1', 'I\'m sorry, gentle sapient. I\'m not the one whom you seek.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '15', 'dontknowyou_1', 'I\'m sorry, but I\'m waiting for somebody else.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '16', 'npc_breech_1', 'My sisters warned me someone was after us. I didn\'t believe it until now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '17', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '18', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '19', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '20', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '21', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '26', 'player_3_1', 'Umm -- doing what exactly?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '27', 'npc_1_2', 'Let\'s get right to work. Faleera, the terrorist I sent you after, was known to consort with a man named Jermo Tharrn. I want someone to bring him back here for questioning. Can you do that without any annoying questions?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '28', 'npc_2_2', 'Fine. Try not to cause trouble with any friends of his. I don\'t want them to think he\'s under arrest and try something foolish. Don\'t let them stop you, though.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '29', 'npc_3_2', 'Then get out, I\'m a busy man.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '30', 'npc_4_2', 'I guess it was too much to hope. That\'s why I want him brought here for questioning, rather than arrested and interrogated. Now will you do it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '31', 'npc_backtowork_2', 'Were you going to be on your way or was there something else?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '32', 'npc_reward_2', 'His friends were Selonians, were they? Perhaps we\'ll be able to wipe out this terrorist cell once and for all.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '33', 'npc_work_2', 'As I recall, I gave you a job. Did I explain it too quickly for you the first time?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '34', 'npc_noloc_2', 'I expect a call with his location any time now. Come back and see me in a few minutes. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '35', 'npc_failure_2', 'Why am I always surrounded by incompetents? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '36', 'otherescort_2', 'I\'m very sorry, friend, I\'m not who you seek.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '37', 'dontknowyou_2', 'I can\'t talk to you right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '38', 'npc_breech_2', 'Is there something I can help you with, friend?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '39', 'npc_takeme_2', 'Questioning? All right, I\'m sorry my friends attacked you. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '40', 'npc_dropoff_2', 'Perhaps they finally found Faleera\'s killer.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '41', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '42', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '43', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '48', 'player_3_2', 'What if he hasn\'t done anything?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '49', 'npc_1_3', 'We\'re checking some leads we got from your last mission, but meanwhile I want you to pursue another problem. No questions this time. Will you do it or not?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '50', 'npc_2_3', 'Fine, his name is Tormyll Fassoola, and his blackmailing days are numbered. Find him and bring me the disk he\'s been using to blackmail the Diktat.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '51', 'npc_3_3', 'I have things to do. Goodbye. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '52', 'npc_4_3', 'Because I\'ll tell you what to do, that\'s how. A data slicer is blackmailing the Diktat with falsified recordings of a death squad he supposedly sanctioned. If I give him the recordings, then maybe he\'ll get back to work instead of trying to cover his behind. Will you help?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '53', 'npc_backtowork_3', 'I\'ve told you everything I can. Or did you have another question to torment me with?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '54', 'npc_reward_3', '\"Cover-up.\" Hah! That was a feeble dodge.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '55', 'npc_work_3', 'I thought you were going to retrieve that falsified evidence. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '56', 'npc_noloc_3', 'As soon as my agents call with his location, I\'ll let you know. Check back with me soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '57', 'npc_failure_3', 'The Diktat isn\'t going to like this. Would you mind spelling your name for me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '58', 'otherescort_3', 'I\'m waiting for somebody else.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '59', 'dontknowyou_3', 'We don\'t have any business with one another.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '60', 'npc_breech_3', 'I won\'t let you cover this up!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '61', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '62', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '63', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '65', 'notit_3', 'You gave me the wrong thing. Stop wasting my time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '70', 'player_3_3', 'How will I know what to do if I don\'t ask questions?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '71', 'npc_1_4', 'We finally confirmed the information we got out of that suspect you arrested. The Selonian terrorist cell is operating from a den out in the wilderness. I want you to wipe out the entire nest. Will you do it? Go ahead, I know you\'re just dying to ask me a question.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '72', 'npc_2_4', 'Good. Go find them, and don\'t leave any of those vermin alive. I\'m counting on you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '73', 'npc_3_4', 'Then I have no more time for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '74', 'npc_4_4', 'I should have seen that coming. So will you do it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '75', 'npc_backtowork_4', 'Were you going to stop those terrorists, or have you lost your nerve?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '76', 'npc_reward_4', 'You\'ve done fine work and have been a big help to the Diktat.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '77', 'npc_work_4', 'Is that terrorist cell wiped out yet? I\'d hate for them to strike again because it took too long for you to stop them.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '78', 'npc_noloc_4', 'I need to make some last-minute arrangements. See me in a few minutes. We can get started then.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '79', 'npc_failure_4', 'You failed? Any more deaths will be on your conscience. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '80', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '81', 'dontknowyou_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '82', 'npc_breech_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '92', 'player_3_4', 'Actually, other than the location, that briefing pretty well covered it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '137', 'npc_reset_1', 'You\'re backing out on me? If you think you can handle it, maybe I\'ll let you try again later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '138', 'npc_reset_2', 'You\'re backing out on me? If you think you can handle it, maybe I\'ll let you try again later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '139', 'npc_reset_3', 'You\'re backing out on me? If you think you can handle it, maybe I\'ll let you try again later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/thrackan_sal_solo.stf', '140', 'npc_reset_4', 'You\'re backing out on me? If you think you can handle it, maybe I\'ll let you try again later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '1', 'next', 'I have satisfied my yearning for revenge and achieved a certain quietus. I thank you again for your help.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '2', 'cantwork', 'I have a mission of compelling importance available to you, once you are not so busy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '3', 'npc_reset', 'Your cavalier dismissal of my urgent need for revenge dissatisfies me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '4', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '5', 'npc_1_1', 'Have you ever seen the holopainting of our beloved Emperor with his hand held high, receiving the adulation of a huge crowd? Yes, that\'s right, \'Palpatine Triumphant.\' That was mine. It made me famous on Coruscant. Now I\'m back home seeking a certain critic, the slime-toad Faswald Vorsuble. The acid he spouted about my first showing, decades ago, I shall not repeat. For years I have planned to teach him a lesson. You can teach it. I want you to destroy his vacation home.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '6', 'npc_2_1', 'Good. I have the wilderness coordinates of his home right here. I believe he has some kind of large pet as a guard, so have a care.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '7', 'npc_3_1', 'You seem too concerned by issues of legality. You won\'t have much place in the New Order if you keep on that way.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '8', 'npc_4_1', '\'Legal\'? This is the New Order. What\'s \'legal\' is whatever the Empire says is legal. And nowadays I have friends so high up in the Empire that, essentially, what\'s legal is whatever I say is legal. Will you destroy Vorsuble\'s home or not?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '9', 'npc_backtowork_1', 'I grow impatient for you to carry out my revenge. Go!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '10', 'npc_reward_1', 'Immensely cathartic. Yet still I feel the canker in my heart, demanding further revenge. I may have more work for you soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '11', 'npc_work_1', 'Haven\'t you destroyed Faswald Vorsuble\'s vacation home? I anticipate the calamity so strongly, I can hardly contain myself.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '12', 'npc_noloc_1', 'I am waiting for an informant to relay to me the location of Vorsuble\'s vacation home. Check with me shortly.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '13', 'npc_failure_1', 'You were perhaps too squeamish to destroy that home? Well, I can always find someone else to enact my just revenge.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '14', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '15', 'dontknowyou_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '16', 'npc_breech_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '17', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '18', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '19', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '20', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '21', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '26', 'player_3_1', 'Destroying a critic\'s home for one bad review may be satisfying, but it isn\'t legal, is it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '27', 'npc_1_2', 'I still recall the awful things the critic Faswald Vorsuble wrote about me all those years ago. \'Spews color in erratic gobs, like the trail of blood from a wounded mynock.\' I cannot rest until Faswald Vorsuble knows, first-hand, what a trail of blood looks like -- close up. I want you to destroy him. Trust me, you\'ll do the galactic arts community a favor.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '28', 'npc_2_2', 'Good. As you cut down Faswald Vorsuble with blaster fire, be calm, for this is the man who called me \'an egomaniacal dabbler.\'');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '29', 'npc_3_2', 'When this is the man who called me \'hopeless in talent and, by all reports, in personal character,\' you can allow him to live?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '30', 'npc_4_2', '\'I have not discerned who trained this neophyte Chassu. Perhaps no reputable teacher will admit to foisting on the galaxy this ninth-rate purveyor of puerile, polychromatic poppycock.\' I ask you, can you allow this inhuman vandal of character to survive a moment longer?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '31', 'npc_backtowork_2', 'I still burn at Vorsuble\'s words: \'Depicts human faces as though viewing them through a Gran\'s third eye.\' This man must die, and you are idly waiting here. Go!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '32', 'npc_reward_2', '\'Shows a philosophy of artistic composition that seems derived from the scrap-heaps of Doaba Guerfel.\' A man who says that of me deserves to die.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '33', 'npc_work_2', 'Every moment burns Vorsuble\'s words more deeply in my memory: \'An artist who apparently seeks to start a new movement called Incoherence.\' Do not return until he is dead, do you hear?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '34', 'npc_noloc_2', 'I have a probe droid looking for Vorsuble right now. In moments, I expect to know his location. Talk to me then.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '35', 'npc_failure_2', 'No! I cannot believe that this odious man still draws breath. It is an offense against the galaxy. Mark me -- I shall see him destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '36', 'otherescort_2', 'I daresay you\'re talking to the wrong person.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '37', 'dontknowyou_2', 'I want nothing to do with you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '38', 'npc_breech_2', 'It is some ruffian. Protect me, or you are fired!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '39', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '40', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '41', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '42', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '43', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '48', 'player_3_2', 'What else did Vorsuble write about you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '49', 'npc_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '50', 'npc_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '51', 'npc_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '52', 'npc_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '53', 'npc_backtowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '54', 'npc_reward_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '55', 'npc_work_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '56', 'npc_noloc_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '57', 'npc_failure_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '58', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '59', 'dontknowyou_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '60', 'npc_breech_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '61', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '62', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '63', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '65', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '70', 'player_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '71', 'npc_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '72', 'npc_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '73', 'npc_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '74', 'npc_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '75', 'npc_backtowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '76', 'npc_reward_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '77', 'npc_work_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '78', 'npc_noloc_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '79', 'npc_failure_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '80', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '81', 'dontknowyou_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '82', 'npc_breech_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '92', 'player_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '137', 'npc_reset_1', 'Your cavalier dismissal of my urgent need for revenge dissatisfies me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/venthan_chassu.stf', '138', 'npc_reset_2', 'Your cavalier dismissal of my urgent need for revenge dissatisfies me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '1', 'next', 'Your services are very much appreciated. I don\'t have anything further for you right now. Perhaps you should speak with the Viceprex.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '2', 'cantwork', 'Finish up your current job and then see me about some work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '3', 'npc_reset', 'I\'ll keep the job open for you in case you change your mind.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '4', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '5', 'npc_1_1', 'You want to work for the Corporate Sector Authority? One of the Viceprex\'s underlings has had data slicers alter shipping documents to make the Viceprex seem incompetent and corrupt. I need help with damage control. What do you say?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '6', 'npc_2_1', 'Bring this disk to Reeve Taggart. He\'ll make some changes in this altered report and then upload it to where it belongs.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '7', 'npc_3_1', 'Don\'t you have somewhere else to be?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '8', 'npc_4_1', 'He\'s not the only one who can employ data slicers to alter records. I want you to take this datadisc to our slicer. Let\'s just say when he\'s finished, it won\'t be the Viceprex who looks like a fool. Will you do it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '9', 'npc_backtowork_1', 'Are you going to make that delivery?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '10', 'npc_reward_1', 'Wonderful. Come back and see me later. The CSA may be able to offer you more work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '11', 'npc_work_1', 'Have you dropped off that disk yet? It\'s something you shouldn\'t wait to do.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '12', 'npc_noloc_1', 'I need to contact our slicer and see where he wants the drop. Check back in a few minutes after I take care of that.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '13', 'npc_failure_1', 'Ran in to difficulties along the way, did you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '14', 'otherescort_1', 'I\'m waiting for someone else, friend, sorry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '15', 'dontknowyou_1', 'I\'m waiting for someone else, friend, sorry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '16', 'npc_breech_1', 'Do you have something for me from the Deputy Viceprex?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '17', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '18', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '19', 'npc_smuggle_1', 'You tell them I\'ll take care of this right away. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '20', 'gotowork_1', 'What did you do with the disk you were supposed to bring me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '21', 'notit_1', 'That\'s not the disk I was told to expect. Look again. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '26', 'player_3_1', 'What are you hiring me to do exactly?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '27', 'npc_1_2', 'I\'m glad you\'re here. We\'ve had one of the spice mining union representatives quietly brought to Corellia to negotiate a special deal. Would you mind escorting him here safely? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '28', 'npc_2_2', 'These trips aren\'t all that uncommon. It\'s one of the perks when you\'re a union rep who works with the CSA. Try not to draw attention when you escort him back. The fewer folks who know he\'s here, the better.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '29', 'npc_3_2', 'I\'ll look for someone else to help me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '30', 'npc_4_2', 'A temporary reduction of shipping rates, as well as other good and valuable considerations for which reciprocal benefits would manifest in due time for those individuals vested in the -- I shouldn\'t bore you with details. Will you do it? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '31', 'npc_backtowork_2', 'Did you want this job or not?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '32', 'npc_reward_2', 'I hope you didn\'t have too much trouble. I\'ll take care of things from here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '33', 'npc_work_2', 'Haven\'t you even left yet? Get moving.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '34', 'npc_noloc_2', 'Let me call our associates on the other end and make sure everything is clear. See me in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '35', 'npc_failure_2', 'I hate it when unforeseen problems arise. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '36', 'otherescort_2', 'I\'m expecting to meet somebody else here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '37', 'dontknowyou_2', 'I\'m waiting for someone else to meet me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '38', 'npc_breech_2', 'Are you here to bring me to the CSA Deputy Viceprex?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '39', 'npc_takeme_2', 'I\'m glad to see you. For a moment I thought somebody was after me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '40', 'npc_dropoff_2', 'Good job getting me here. This is a rough place.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '41', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '42', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '43', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '48', 'player_3_2', 'What sort of deal?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '49', 'npc_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '50', 'npc_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '51', 'npc_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '52', 'npc_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '53', 'npc_backtowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '54', 'npc_reward_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '55', 'npc_work_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '56', 'npc_noloc_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '57', 'npc_failure_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '58', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '59', 'dontknowyou_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '60', 'npc_breech_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '61', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '62', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '63', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '65', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '70', 'player_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '71', 'npc_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '72', 'npc_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '73', 'npc_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '74', 'npc_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '75', 'npc_backtowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '76', 'npc_reward_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '77', 'npc_work_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '78', 'npc_noloc_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '79', 'npc_failure_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '80', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '81', 'dontknowyou_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '82', 'npc_breech_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '92', 'player_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '137', 'npc_reset_1', 'I\'ll keep the job open for you in case you change your mind.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/vinya_maysor.stf', '138', 'npc_reset_2', 'I\'ll keep the job open for you in case you change your mind.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '1', 'next', 'Don\'t need you anymore, buddy. At least not at the moment. Check back with me later. I may have some more work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '2', 'cantwork', 'You want work from me? Get rid of your other obligations first.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '3', 'npc_reset', 'Don\'t come back till you\'re ready to play with the big boys.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '4', 'notyet', 'I\'m a busy man, pal. Talk to Grobber. If he doesn\'t kill you, maybe we\'ll have a little chat.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '5', 'npc_1_1', 'So Grobber decided not to blast you, huh? Okay, listen up. I\'m in the process of consolidating some \"business interests\" here on Corellia. So far, all of my associates have gone along with the program. Some are not so smart. One of these jokers has a list of clients he refuses to share. Find this worm, remove him, and get me that list. He carries it with him at all times. Suspicious little sleemo, huh? Can you handle that?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '6', 'npc_2_1', 'Good answer. This walking corpse is a Bothan named Korowee Fa\'lorn. But you can just refer to him as bantha fodder. Bring me the encrypted disc he\'s carrying. You can keep everything else you find on him.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '7', 'npc_3_1', 'You know I could\'ve sworn you just said \"no.\" People who work for me don\'t get to say that much.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '8', 'npc_4_1', 'The kind that have access to a lot of money and some well-known peccadilloes. So you in or not? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '9', 'npc_backtowork_1', 'I got nothing more to say about this. Is this too much for you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '10', 'npc_reward_1', 'Nicely done. Poor Korowee probably never knew what hit him. Stick around. I could use someone like you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '11', 'npc_work_1', 'Have you gotten me that list yet? I need those names and Korowee removed.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '12', 'npc_noloc_1', 'A suspicious sleemo like Korowee moves around a lot. We\'ll get a fix on him eventually.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '13', 'npc_failure_1', 'If you were trying to impress me, this isn\'t a good start.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '14', 'otherescort_1', 'I\'m rather busy at the moment. Please do not disturb me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '15', 'dontknowyou_1', 'I\'m rather busy at the moment. Please do not disturb me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '16', 'npc_breech_1', 'You have the look of one of Thyne\'s killers. You won\'t get the drop on me!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '17', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '18', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '19', 'npc_smuggle_1', 'Wait.. on second thought, its just some stupid names on a disk. Definately not worth dying over. Here, take the disk. Tell Thyne I said, \"Hello.\"');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '20', 'gotowork_1', 'What do you want? I already gave you the disk. Can\'t you just leave me alone?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '21', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '26', 'player_3_1', 'What kind of clients?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '27', 'npc_1_2', 'Guess what? Turns out a rival had his eyes on old Korowee\'s list and isn\'t terribly happy I got my hands on it. If there\'s one thing I can\'t stand, it\'s professional jealousy. Take care of this loser before he gets too steamed and goes and does something stupid like hire an assassin to try and take me out. Can you do that?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '28', 'npc_2_2', 'Careful with this guy. He\'s got a rather nasty reputation. Name\'s Wedu Belar and he\'s a pretty good shot too.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '29', 'npc_3_2', 'I can\'t stand people that waste my time. Beat it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '30', 'npc_4_2', 'They\'re as common in my line of work as fleas on a bantha. Course, some of them have really short careers. You don\'t seem like a short timer to me. Willing to test that? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '31', 'npc_backtowork_2', 'You getting nervous, pal? You want to back out?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '32', 'npc_reward_2', 'Where were you a couple of years ago? You could have solved a lot of problems for me. Good work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '33', 'npc_work_2', 'Is Wedu a distant memory? What are you waiting for?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '34', 'npc_noloc_2', 'As soon as my people give me Wedu\'s current location, I\'ll pass that on to you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '35', 'npc_failure_2', 'You let this joker live? How could you do that? Now I\'ll have to burn his entire house to the ground.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '36', 'otherescort_2', 'Do not disturb me. I am busy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '37', 'dontknowyou_2', 'Do not disturb me. I am busy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '38', 'npc_breech_2', 'I know who sent you and why. Take me out if you can.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '39', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '40', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '41', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '42', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '43', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '48', 'player_3_2', 'You get a lot of assassins coming after you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '49', 'npc_1_3', 'While you were out having a good time, my people came across something interesting. Wedu had been doing more than simply steaming about that little list. He\'d done his homework and had collected some rather incriminating files on many of my clients. This makes them nervous, as I\'m sure you can imagine. Fortunately, I know exactly where these files exist. I need you to find the guy holding them and take him out. Think you can handle that?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '50', 'npc_2_3', 'Try not to be seen, if you can help it. CorSec don\'t take too kindly to this kind of thing. Also, this guy, name\'s Wililikin, will probably not be alone, so expect a fight.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '51', 'npc_3_3', 'Really? That\'s a shame. And we were becoming such good friends, too. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '52', 'npc_4_3', 'The kind that gets people sent to Dathomir or the Spice Mines of Kessel. Now can I rely on you to help me with this or do you want out?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '53', 'npc_backtowork_3', 'Gotta get this Wililikin guy before he takes action with those files. What are you waiting for, buddy?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '54', 'npc_reward_3', 'Well done. My clients will sleep easier, which means I\'ll sleep easier... which means I won\'t have to kill you while you sleep. Just kidding, buddy, I knew you wouldn\'t fail me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '55', 'npc_work_3', 'I hear Wililikin\'s still breathing... what\'s the holdup? You gotta move faster, buddy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '56', 'npc_noloc_3', 'I\'ll get you Wililikin\'s location in just a few moments.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '57', 'npc_failure_3', 'What kind of a mercenary can\'t destroy a petty group of thugs? You should find a new line of work, pal.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '58', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '59', 'dontknowyou_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '60', 'npc_breech_3', 'Who\'re you? What do you want? Oh no... attack!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '61', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '62', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '63', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '65', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '70', 'player_3_3', 'What kind of evidence?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '71', 'npc_1_4', 'It was bound to happen sooner or later. One of Wedu\'s partners has called in a favor and has hired an assassin to \"take care of me.\" Now I\'ve seen what you can do and I know you\'re more than a match for this trained killer. Can you take of this guy? For old time\'s sake?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '72', 'npc_2_4', 'Good. Take this killer out so I can go back to sleeping peacefully at nights. And of course feel free to keep whatever the loser\'s got on him.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '73', 'npc_3_4', 'My life is in danger and you refuse to help? I think our friendship is ended.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '74', 'npc_4_4', 'He goes by the name of Drune Juntura and he operates out of Mos Eisley. You can handle this for me, right?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '75', 'npc_backtowork_4', 'I ain\'t getting any younger, pal. Why are you standing around?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '76', 'npc_reward_4', 'You\'ll make a name for yourself yet, killer, you just wait and see. I think you\'ll find folks around here will give you a little more respect from now on.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '77', 'npc_work_4', 'Why haven\'t you taken this killer out yet? We\'re talking about my life here!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '78', 'npc_noloc_4', 'As soon as I know where this assassin\'s at, I\'ll let you know.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '79', 'npc_failure_4', 'You mean he\'s still out there? He could be at my front door right now? Why did I ever bother with you? Get lost!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '80', 'otherescort_4', 'Go away.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '81', 'dontknowyou_4', 'Go away.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '82', 'npc_breech_4', 'Thyne will not escape me. You only delay the inevitable.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '92', 'player_3_4', 'Is this killer anyone I should know?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '137', 'npc_reset_1', 'Don\'t come back till you\'re ready to play with the big boys.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '138', 'npc_reset_2', 'Don\'t come back till you\'re ready to play with the big boys.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '139', 'npc_reset_3', 'Don\'t come back till you\'re ready to play with the big boys.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '140', 'npc_reset_4', 'Don\'t come back till you\'re ready to play with the big boys.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '141', 'waypoint_description_1', 'Kill the Bothan, Korowee Fa\'lorn, and get the encrypted disc he carries.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '142', 'waypoint_description_2', 'Find and kill Wedu Belar.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '143', 'waypoint_description_3', 'Remove the threat Wililikin holds by eliminating Wililikin himself.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '144', 'waypoint_description_4', 'Imtercept the assassin, Drune Juntura, and stop him.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '145', 'waypoint_name_1', 'Kill Korowee Fa\'lorn.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '146', 'waypoint_name_2', 'Kill Wedu Belar.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '147', 'waypoint_name_3', 'Kill Wililikin.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '148', 'waypoint_name_4', 'Kill Drune Juntura.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/corellia/zekka_thyne.stf', '149', 'gotowork', 'What do you want? I already gave you the disk. Can\'t you just leave me alone?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '1', 'cant_work', 'You appear to be busy. I do so hope you are under orders by an Officer even higher than myself. If not, I hope you reconsider your current employment and return back to work under my command.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '2', 'dontknowyou_1', 'Move along. You are not part of this operation.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '3', 'dontknowyou_2', 'Who are you? I do not know you nor do you have any business speaking to me. Move along.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '4', 'dontknowyou_3', 'Oh, you\'re not picking these up?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '5', 'dontknowyou_4', 'Who are you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '6', 'gotowork_1', 'What?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '7', 'gotowork_2', 'Yes?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '8', 'gotowork_3', 'Hmm?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '9', 'gotowork_4', 'No, this is not what I am intended to deliver to the other family members.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '10', 'next', 'You have performed a remarkable service for my kin, myself, and the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '11', 'notit_1', 'What is this?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '12', 'notit_2', 'I did not ask for you this. Take it back!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '13', 'notit_3', 'This is not what I asked for! I do not have time to \"joke.\"');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '14', 'notit_4', 'What is this?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '15', 'notyet', 'I am quite busy and do not have the time to speak with you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '16', 'npc_1_1', 'Good day to you, soldier. I have been briefed on your excellent performance in the field, therefore I am directing this assignment to you. I need you to intercept a squadron of soldiers that have gone rogue. Bring them back here for questioning. Understood?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '17', 'npc_1_2', 'I have debriefed this \"commander\" and have been told some interesting news, indeed. I have had to contact one of the Empire\'s Chief Inquisitors to come retrieve him. He has landed nearby and I need you to escort him here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '18', 'npc_1_3', 'I cannot believe the audacity of that Inquisitor! Whether he works for the Emperor himself, he forgets with whom he is speaking, or for that matter, what family I come from. Speaking of which, I have some holographs of my family that I need picked up. Would you do this for me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '19', 'npc_1_4', 'Hmmmm.... that holovid was most disturbing. Considering most of it was touched up by their propagandists, there was still enough to unsettle me. I need you to do one more thing for me. Please deliver a note to my manservant, Jaaves. Will you do this for me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '20', 'npc_2_1', 'Very good. I would not be surprised to find them reticent to your apprehending them. If they choose not to come willingly, then use whatever force is needed. I would prefer the outcome to entail your bringing in at least one of them for questioning.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '21', 'npc_2_2', 'As would be expected of you. But, I do place my trust within your abilities that you will do so in a prompt manner. I shall be waiting patiently, for I have a few questions to ask him myself.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '22', 'npc_2_3', 'Please listen. Since a Rebel can be hiding anywhere, I hope you keep this quiet. If they were to gather information on my family, many innocents could be hurt. Be rather covert about picking up these holographs of them. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '23', 'npc_2_4', 'Yes. Yes, it is unfortunately. This is for no other reason than to protect my family were they not to come. Please do not mistake my loyaltys, soldier. Family first, then the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '24', 'npc_3_1', 'This was not a request, soldier - this was an order. I understand you may have suffered a concussion, therefore go see a medic, then report back to me to accept this assignment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '25', 'npc_3_2', 'Why? I will give you a few moments to think on that, and I will expect a very clear answer.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '26', 'npc_3_3', 'Very well. Since this is not an official order, I cannot force you to do so. A shame, though. I will have to note on your record your lack of initiative.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '27', 'npc_3_4', 'Believe what you must, soldier, but for the time being I am still your Commander. A shame we could not work together. Very well, from hereon I shall make it a point to remind you of the hierarchy in our relationship.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '28', 'npc_4_1', 'We have received reports that a group of stormtroopers have been raiding a nearby village known for their vocal sympathy towards rebels. Though I do not tolerate that type of scum, the murder of non-combatants will not be allowed. These stormtroopers are not under my command, therefore they are obviously deserters and need to be taken care of accordingly.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '29', 'npc_4_2', 'All I was able to get out of him was his callsign and rank. Reports have come in to show his squad killed every last man, woman, and child in that village. His justification was the claim that he was working directly for the Emperor\'s people. We\'ll let the Inquisitor see about that!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '30', 'npc_4_3', 'We are a proud family of loyalists who have served the Old Republic for many centuries. We have had many within our family be Senatorial Guards and held various functions within the Old Repubilc. When the Emperor changed to a New Order, we were quite pleased, and continued to serve as we have done in the past. Soon the Rebels will realize the Empire is here to restore order to the galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '31', 'npc_4_4', 'Wha..? NO! I would never sully the honor of my family name by engaging in an action such as that! I would sooner die than disgrace the Lytus name! No... this is an invitation to a family meeting. I am calling the family together so that we may discuss many matters.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '32', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '33', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '34', 'npc_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '35', 'npc_5_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '36', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '37', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '38', 'npc_6_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '39', 'npc_6_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '40', 'npc_backtowork_1', 'You will need to track down that squad of stormtroopers who are causing problems, then bring them back here');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '41', 'npc_backtowork_2', 'You are to bring back the Inquisitor without any harm coming to him. Remember, the Inqusitors report directly to His Excellence, the Emperor.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '42', 'npc_backtowork_3', 'I need you to pick up a datapad containing a lot of pictures of my home life.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '43', 'npc_backtowork_4', 'Jaaves is waiting! He has been a loyal servant to our family for many years. Do not offend him by waiting any longer!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '44', 'npc_breech_1', 'Over there... a witness. Take him out before the operation is uncovered.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '45', 'npc_breech_2', 'You must be the agent sent to escort me back to Lytus, correct?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '46', 'npc_breech_3', 'Hey there. Are you the one picking up this holovid?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '47', 'npc_breech_4', 'You are the one that was described by Master Lytus. Do you have the invitiation?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '48', 'npc_dropoff_1', 'You took your time in bringing me back. I will be sure to let your commander know.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '49', 'npc_dropoff_2', 'Since you have brought me here in a timely manner, I will not associate you with the Commander poking his nose where it doesn\'t belong.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '50', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '51', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '52', 'npc_failure_1', 'You were not able to find the squad? The Empire has no room for inept agents. Good day to you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '53', 'npc_failure_2', 'You were to bring him back here personally, I am afraid that you will need to be detained within the local whereabouts until I can hand you over to the Emperor\'s men.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '54', 'npc_failure_3', 'How were you able to mess this one up? Tell me! How?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '55', 'npc_failure_4', 'How were you unable to find him? This is horrible!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '56', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '57', 'npc_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '58', 'npc_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '59', 'npc_more_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '60', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '61', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '62', 'npc_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '63', 'npc_more_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '64', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '65', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '66', 'npc_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '67', 'npc_more_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '68', 'npc_noloc_1', 'Let me confer with my Intelligence as to the whereabouts of this squadron. Please check back with me in a short while.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '69', 'npc_noloc_2', 'Let me confirm where the Inquisitor can be found and I will be able to give you the coordinates. Check back with me in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '70', 'npc_noloc_3', 'Let me contact the holograph developer. Check back with me in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '71', 'npc_noloc_4', 'Let me contact Jaaves and find out where he can be located. Check back with me in a short while.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '72', 'npc_reset', 'That is a shame. I do hope you know this will go down on your permanent record.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '73', 'npc_reward_1', 'You have done well, soldier. This will be marked on your record, I hope you know. As for this commander, I will speak with him personally and discern why he deserted the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '74', 'npc_reward_2', 'You have done well. I will now hand over this prisoner to the Inquisitor, and also ask a few questions myself. You are dismissed for now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '75', 'npc_reward_3', 'Why does this datadisk look like it has been accessed? Did you view these images? Nevermind, it\'s too late now, but I hope you have the decency not speak about things you do not understand. As far as you are concerned, these are family pictures, alright? I now have to see if this matches the Inquisitor\'s contradicting story. Leave me for now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '76', 'npc_reward_4', 'I offer you my thanks for doing this. Our meeting will convene in a while. Depending on the outcome of the decision, I may introduce you to the rest of the family. In the meantime I present you this, a family artifact, only owned by Lytus family members and their close friends.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '77', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '78', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '79', 'npc_smuggle_3', 'Okay, good. Look, tell the guy who\'s buying this that the images aren\'t that great, but I was able to clean them up alot which really helped. I also put the label on there like he wanted me to.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '80', 'npc_smuggle_4', 'Yes, this is it. I see you have been involved in these matters. Fear not, for the Lytus family is quite honorable. They will see to it the Empire survives, but without the taint of the Emperor.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '81', 'npc_takeme_1', 'I surrender. Take me to your Commander at once. I am a special agent for the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '82', 'npc_takeme_2', 'You are late. Now... take me to that meddlesome Commander immediately. I do not have time to waste on this matter.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '83', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '84', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '85', 'npc_work_1', 'Did you need your orders clarified?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '86', 'npc_work_2', 'Why have you not left to escort the Chief Inquisitor here yet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '87', 'npc_work_3', 'Did you have a question?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '88', 'npc_work_4', 'Why are you still here?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '89', 'otherescort_1', 'Move along. You are not part of this operation.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '90', 'otherescort_2', 'Who are you? I do not know you nor do you have any business speaking to me. Move before I have a couple of questions to ask myself.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '91', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '92', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '93', 'player_1_1', 'Yes, sir. I\'ll leave at once.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '94', 'player_1_2', 'Yes, sir. I will bring him here safe and sound.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '95', 'player_1_3', 'Yes sir, I shall.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '96', 'player_1_4', 'Sure, I\'ll do it. I take it this is covert, correct?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '97', 'player_2_1', 'I am not able to perform that function, sir.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '98', 'player_2_2', 'Sir, I cannot do this?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '99', 'player_2_3', 'No sir, I am not available for this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '100', 'player_2_4', 'No... I do not trust your ability to command anymore, Lytus.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '101', 'player_3_1', 'What do you mean  \'gone rogue\'?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '102', 'player_3_2', 'What was this news?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '103', 'player_3_3', 'Why is your family so special?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '104', 'player_3_4', 'Is this a letter of defection?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '105', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '106', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '107', 'player_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '108', 'player_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '109', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '110', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '111', 'player_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '112', 'player_5_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '113', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '114', 'player_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '115', 'player_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '116', 'player_more_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '117', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '118', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '119', 'player_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '120', 'player_more_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '121', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '122', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '123', 'player_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '124', 'player_more_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '125', 'player_reset', 'I cannot perform this assignment any longer.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '126', 'player_sorry', 'What was my mission again, sir?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '127', 'return_waypoint_description_1', 'Commander Lytus is waiting to question this \"officer\".');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '128', 'return_waypoint_description_2', 'Commander Lytus is waiting for you to return');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '129', 'return_waypoint_description_3', 'Commander Lytus is waiting for you to return');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '130', 'return_waypoint_description_4', 'Commander Lytus is waiting for your return.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '131', 'return_waypoint_name_1', 'Commander Lytus');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '132', 'return_waypoint_name_2', 'Commander Lytus');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '133', 'return_waypoint_name_3', 'Commander Lytus');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '134', 'return_waypoint_name_4', 'Commander Lytus');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '135', 'waypoint_description_1', 'This is where you will find the outfit of Stormtroopers that have gone rogue');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '136', 'waypoint_description_2', 'This is where you will find the Chief Inquisitor');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '137', 'waypoint_description_3', 'This is where you will find the Holovid Developer');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '138', 'waypoint_description_4', 'This is where you will find Jaaves.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '139', 'waypoint_name_1', 'Rogue Troopers');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '140', 'waypoint_name_2', 'Chief Inquisitor');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '141', 'waypoint_name_3', 'Holovid Developer');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '142', 'waypoint_name_4', 'Jaaves');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '143', 'npc_reset_1', 'That is a shame. I do hope you know this will go down on your permanent record.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '144', 'npc_reset_2', 'That is a shame. I do hope you know this will go down on your permanent record.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '145', 'npc_reset_3', 'That is a shame. I do hope you know this will go down on your permanent record.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '146', 'npc_reset_4', 'That is a shame. I do hope you know this will go down on your permanent record.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '147', 'player_reset_1', 'I cannot perform this assignment any longer.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '148', 'player_reset_2', 'I cannot perform this assignment any longer.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '149', 'player_reset_3', 'I cannot perform this assignment any longer.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '150', 'player_reset_4', 'I cannot perform this assignment any longer.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '151', 'player_sorry_1', 'What was my mission again, sir?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '152', 'player_sorry_2', 'What was my mission again, sir?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '153', 'player_sorry_3', 'What was my mission again, sir?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_jatrian_lytus.stf', '154', 'player_sorry_4', 'What was my mission again, sir?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '1', 'cant_work', 'I have a certain project to discuss with you when you are less busy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '2', 'dontknowyou_1', 'You got the wrong person.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '3', 'dontknowyou_2', 'You\'ve got the wrong fellow. Don\'t make my day any worse than it already is.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '4', 'dontknowyou_3', 'Ee-you have the wrong individual.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '5', 'gotowork_1', 'Get going, he\'s waiting.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '6', 'gotowork_2', 'Lead me to that scientist.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '7', 'gotowork_3', 'Ee-your client is waiting!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '8', 'next', 'I have determined, to my own satisfaction, the truth of the destruction of Alderaan. I shall act on that understanding shortly. You have been very helpful.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '9', 'notit_1', 'I expected a fragment of the destroyed planet Alderaan. This isn\'t it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '10', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '11', 'notit_3', 'I expected you to bring me a recording of a transmission from the Death Star made shortly after the destruction of Alderaan. That isn\'t it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '12', 'notyet', 'I can\'t help you... I only employ Imperial operatives. Look elsewhere for work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '13', 'npc_1_1', 'Hello. I ask that you help me investigate a troublesome and politically sensitive subject -- to be blunt, the destruction of Alderaan. I have contracted with a certain specialist in procurement to obtain a specimen from the destroyed planet, and I ask that you bring me the sample -- discreetly. Will you do so?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '14', 'npc_1_2', 'I have received an Imperial Intelligence report that a certain space pirate is on Dantooine. I believe this pirate can tell me something useful about the destruction of Alderaan. I want you to bring the pirate here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '15', 'npc_1_3', 'Based on a lead from that pirate you arrested for me, I have secured an alleged holorecording of the destruction of Alderaan. It may shed considerable light on my inquiry, if you will bring it here for me -- discreetly.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '16', 'npc_2_1', 'Very well. My contact has specified a rendezvous point in the wilderness. Bring the sample here, and again, tell no one.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '17', 'npc_2_2', 'Very well. Move quickly, before some over-eager footsoldier spots our subject and decides to try some target practice.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '18', 'npc_2_3', 'Very well. My contact is a Bothan informant. They seem to excel in procuring such contraband data. Please bring the recording here at once.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '19', 'npc_3_1', 'Very well. I\'d prefer that you tell no one of this matter.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '20', 'npc_3_2', 'Very well. As before, I\'d prefer that you tell no one about my investigation.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '21', 'npc_3_3', 'Very well. As before, I hope you will not tell anyone of this matter.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '22', 'npc_4_1', 'The official story, of course, has it that Rebels on Alderaan accidentally destroyed the planet as they prepared to use a new super-weapon against the Empire. Some evidence is troubling to that account, and that is all I wish to say at this time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '23', 'npc_4_2', 'I believe this document considers the pirate\'s name classified. I can say that our subject is the last survivor of an engagement with Imperial soldiers that destroyed both sides.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '24', 'npc_4_3', 'I\'m told it\'s a transmission sent from the Death Star shortly after the destruction of Alderaan. Apparently an Imperial maintenance supervisor aboard the battle station sent the message despite strict orders to maintain silence.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '25', 'npc_5_1', 'Possibly there is nothing to learn. However, certain world-shattering calamities could be expected to leave telltale radiation scarring, impact patterns, and a variety of more esoteric signatures. Such signs could indicate the nature of Alderaan\'s fate.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '26', 'npc_5_2', 'I recognize the subject\'s name from briefings about piracy at the Graveyard of Alderaan. Those rogues know much about the planet\'s destruction, though of course most of it is legend and fabulation.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '27', 'npc_5_3', 'Obviously it was a terrible tragedy in any case. Regarding the agency of the destruction I have only preliminary conclusions, and would prefer to seek more evidence before speaking my mind.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '28', 'npc_6_1', 'I believe the contact would prefer to remain anonymous. Will you bring me the sample?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '29', 'npc_6_2', 'My findings are inconsistent with Imperial Intelligence reports of the Rebellion\'s super-weapon. Beyond that I prefer not to speculate. Will you bring that pirate here?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '30', 'npc_6_3', 'If the Empire did in fact play a role -- but no, I am speaking prematurely. It makes no sense to borrow trouble. Please bring me the recording of the Death Star transmission -- and again, I would appreciate discretion.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '31', 'npc_backtowork_1', 'I know nothing else to say, other than what I\'ve already explained. I ask you to bring me the sample I ordered.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '32', 'npc_backtowork_2', 'That is all I have to say. Bring me that pirate, who may shed light on the destruction of Alderaan.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '33', 'npc_backtowork_3', 'I have no more information. I\'d like you to bring me that recording of the Death Star transmission promptly.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '34', 'npc_breech_1', 'Hey! Did that scientist Talmaron send you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '35', 'npc_breech_2', 'Help! I don\'t care if you\'re with the Empire -- you\'ve got to be better than these animals!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '36', 'npc_breech_3', 'Ee-you are from the Imperial scientist, Talmaron?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '37', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '38', 'npc_dropoff_2', 'This scientist -- an Imperial -- looking into Alderaan? I thought all you guys were hushing it up, like that transmission sent from the Death Star telling about how it blew up the planet. I\'m really surprised.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '39', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '40', 'npc_failure_1', 'You did not bring me the sample from Alderaan? I wish I\'d understood your limitations beforehand.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '41', 'npc_failure_2', 'You didn\'t bring me that pirate? Very well. I must find someone with greater abilities to do the job.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '42', 'npc_failure_3', 'You didn\'t bring that recording of the Death Star transmission? How unfortunate. I must find someone more capable.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '43', 'npc_more_1_1', 'Look, buddy -- if your scientist friend puts that hunk of rock under an analyzer, he\'ll see radiation signatures like nothing else in the galaxy, radiation that\'s specifically associated with Alderaan. So don\'t give me a hard time, right? Get going, he\'s waiting.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '44', 'npc_more_1_2', 'Alderaan? Hey, I captured so many ships there at that Graveyard -- people leaving mementos in orbit, you know -- and I heard all the stories. Yeah, I know lots about Alderaan. Lead me to that scientist, and I\'ll see what kind of deal I can work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '45', 'npc_more_1_3', 'Ee-you should pay, ee-yourself, for such information -- but I shall say this: The voice is panicky, and cries much, but is clearly heard to say, \"We killed them, we killed the whole world.\" Ee-your client is waiting!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '46', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '47', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '48', 'npc_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '49', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '50', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '51', 'npc_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '52', 'npc_noloc_1', 'I am awaiting exact coordinates for the rendezvous from my contact, who is somewhat sensitive regarding Imperial observation. Contact me again shortly for the coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '53', 'npc_noloc_2', 'I have probe droids out looking for the pirate and should have coordinates soon. Contact me shortly.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '54', 'npc_noloc_3', 'I\'m awaiting coordinates for a rendezvous from the informant who secured the recording. Contact me again shortly.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '55', 'npc_reset', 'Very well. I wish you\'d told me of your reluctance before accepting the assignment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '56', 'npc_reward_1', 'Very well. I shall analyze this specimen for telltale clues. I compensate you for your time, and I ask you to contact me again in the near future.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '57', 'npc_reward_2', 'If what this pirate says is true -- and I must confirm it, of course -- this opens up a new avenue of inquiry. Here -- let me compensate you for your effort, and please contact me again soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '58', 'npc_reward_3', 'Very well. Now let me listen to this transmission -- hmm. That is -- hmm. I must say, the evidence appears -- well, I believe I\'d best keep my own counsel regarding further actions. I can\'t use Imperial funds to pay you this time but hopefully you\'ll find this a suitable reward. Again, I ask you to maintain discretion.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '59', 'npc_smuggle_1', 'I got his piece of Alderaan right here. There\'s plenty of \'em to go around.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '60', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '61', 'npc_smuggle_3', 'Ee-yes, I have the transmission from the Death Star that ee-your client wanted. I expect prompt payment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '62', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '63', 'npc_takeme_2', 'I\'ll go quietly. This has been a lousy day, so far, on a pretty lousy planet. And I think my day is about to get a lot worse.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '64', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '65', 'npc_work_1', 'I wish you to bring me a specimen of the destroyed planet Alderaan. That isn\'t too difficult, I presume.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '66', 'npc_work_2', 'I\'m waiting for you to bring me that pirate, who may shed light on the destruction of Alderaan.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '67', 'npc_work_3', 'I hope you\'ll bring me that recording of the transmission made from the Death Star. I\'d like to hear it soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '68', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '69', 'otherescort_2', 'I\'m not the one you\'re looking for. Don\'t make my day any worse than it already is.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '70', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '71', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '72', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '73', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '74', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '75', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '76', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '77', 'player_3_1', 'Why are you investigating the destruction of Alderaan?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '78', 'player_3_2', 'Who is the pirate?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '79', 'player_3_3', 'What is this recording?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '80', 'player_4_1', 'What can you learn from a fragment of Alderaan?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '81', 'player_4_2', 'Why could the pirate tell you anything about the destruction of Alderaan?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '82', 'player_4_3', 'What do you think really happened to Alderaan?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '83', 'player_5_1', 'Who is this procurement specialist?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '84', 'player_5_2', 'What did you learn from the fragment of Alderaan that I brought you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '85', 'player_5_3', 'What would you do if you thought the Empire isn\'t telling the truth about Alderaan?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '86', 'player_more_1_1', 'How do I know this is really a piece of Alderaan, and not some rock you just picked up?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '87', 'player_more_1_2', 'I\'m working for a scientist who wants to talk to you about Alderaan\'s destruction? Do you know anything about it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '88', 'player_more_1_3', 'What is on this recording?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '89', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '90', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '91', 'player_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '92', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '93', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '94', 'player_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '95', 'player_reset', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '96', 'player_sorry', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '97', 'return_waypoint_description_1', 'This Imperial scientist awaits a fragment of the destroyed world Alderaan, which he hopes to analyze.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '98', 'return_waypoint_description_2', 'This Imperial scientist has ordered the arrest of a pirate who may know something about the destruction of Alderaan.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '99', 'return_waypoint_description_3', 'This Imperial scientist awaits a recording of a transmission sent from the Death Star shortly after the destruction of Alderaan.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '100', 'return_waypoint_name_1', 'Xaan Talmaron');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '101', 'return_waypoint_name_2', 'Xaan Talmaron');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '102', 'return_waypoint_name_3', 'Xaan Talmaron');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '103', 'waypoint_description_1', 'Imperial scientist Xaan Talmaron has contracted to obtain a specimen of the destroyed planet Alderaan from a \"procurement specialist\" at these coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '104', 'waypoint_description_2', 'Imperial scientist Xaan Talmaron wishes to have this pirate arrested, in hopes of learning about the Empire\'s role in the destruction of Alderaan.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '105', 'waypoint_description_3', 'Imperial scientist Xaan Talmaron has arranged with a Bothan informant to purchase a recording of a transmission sent from the Death Star shortly after the destruction of Alderaan.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '106', 'waypoint_name_1', 'Alderaan Fragment');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '107', 'waypoint_name_2', 'Pirate of Alderaan');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '108', 'waypoint_name_3', 'Death Star Transmission');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '109', 'npc_reset_1', 'Very well. I wish you\'d told me of your reluctance before accepting the assignment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '110', 'npc_reset_2', 'Very well. I wish you\'d told me of your reluctance before accepting the assignment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '111', 'npc_reset_3', 'Very well. I wish you\'d told me of your reluctance before accepting the assignment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '112', 'npc_reset_4', 'Very well. I wish you\'d told me of your reluctance before accepting the assignment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '113', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '114', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '115', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '116', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '117', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '118', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '119', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '120', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_imperialgarrison_xaan_talmaron.stf', '121', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '1', 'cant_work', 'I can use a little help with something. When you\'ve got some free time, come back and see me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '2', 'dontknowyou_1', 'I\'m just waiting for a delivery, citizen. You can go on your way. I\'ll be just fine.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '3', 'dontknowyou_2', 'You don\'t want to be here. It\'s too dangerous.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '4', 'gotowork_1', 'You didn\'t lose the package did you? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '5', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '6', 'next', 'I can\'t thank you enough for the help you\'ve given me. Come back and see me again soon, maybe I\'ll have more work for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '7', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '8', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '9', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '10', 'npc_1_1', 'The Empire is a rough place to be a miner. I try to look after my people but corruption runs rampant and most officials are a lot more concerned with the numbers making them look good than they are with making the numbers worth anything. Sorry, I tend to get a bit caught up. Are you looking for work by any chance? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '11', 'npc_1_2', 'I hope you can help me. Someone trying to force me to vote against tighter safety regulations has kidnapped my subordinate. I don\'t want to risk my people with lax safety standards, but I don\'t want my assistant killed either. Would you be willing to try a rescue?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '12', 'npc_2_1', 'Deliver these reports to the commander\'s courier and be careful. Not everyone wants the commander to see just how much skimming goes on. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '13', 'npc_2_2', 'I\'m very grateful. All of my workers are outfitted with a locating device in case of trouble during a mining operation. This should aid you in locating the kidnappers. Be very careful, I don\'t want anyone getting killed who didn\'t start this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '14', 'npc_3_1', 'Oh well, I\'ll find someone else then.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '15', 'npc_3_2', 'No matter what I do, somebody will die.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '16', 'npc_4_1', 'Commander Lytus has actually expressed an interest in finding out the truth about what goes on at this operation. I need someone to deliver these reports to his courier. He\'ll be pretty shocked at the discrepancy between these and the ones that were filed officially. Interested?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '17', 'npc_4_2', 'I\'m not certain but I have a sneaking suspicion that the Corporate Sector Authority is involved somehow. They\'re a lot more concerned with credits than they are with people. Can you help me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '18', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '19', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '20', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '21', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '22', 'npc_backtowork_1', 'Was there something you needed to say to me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '23', 'npc_backtowork_2', 'I wish I had more for you to go on but I\'m afraid that\'s it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '24', 'npc_breech_1', 'Do you have a delivery for Commander Lytus?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '25', 'npc_breech_2', 'Please help me!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '26', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '27', 'npc_dropoff_2', 'Thanks for saving me from those lowlifes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '28', 'npc_failure_1', 'I guess somebody doesn\'t want the truth to come out. I\'m sure you tried your best.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '29', 'npc_failure_2', 'I know you tried your best. Don\'t feel too bad. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '30', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '31', 'npc_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '32', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '33', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '34', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '35', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '36', 'npc_noloc_1', 'I need to contact the commander and see where you\'ll be meeting his courier. Come back and see me in a little while.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '37', 'npc_noloc_2', 'Something seems to be jamming my assistant\'s locater device. Come back in a few minutes, I\'ll see if I can get someone to boost signal strength.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '38', 'npc_reset', 'Come back when you think you\'re ready to see this all the way through.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '39', 'npc_reward_1', 'Thanks for taking care of that. Maybe my people will get treated a little better now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '40', 'npc_reward_2', 'I don\'t know how to thank you. Words are inadequate.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '41', 'npc_smuggle_1', 'I\'ll see that the commander gets this straight away.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '42', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '43', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '44', 'npc_takeme_2', 'Kelvus sent you to rescue me? What a relief, I thought I was a goner for sure.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '45', 'npc_work_1', 'Have you delivered those records yet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '46', 'npc_work_2', 'Is everything proceeding according to plan for that rescue?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '47', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '48', 'otherescort_2', 'You don\'t want to be here. It\'s too dangerous.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '49', 'player_1_1', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '50', 'player_1_2', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '51', 'player_2_1', 'No');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '52', 'player_2_2', 'No');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '53', 'player_3_1', 'What sort of work?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '54', 'player_3_2', 'Do you know who took your assistant?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '55', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '56', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '57', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '58', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '59', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '60', 'player_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '61', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '62', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '63', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '64', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '65', 'player_reset', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '66', 'player_sorry', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '67', 'return_waypoint_description_1', 'Return to Kelvus Naria and tell him you\'ve completed your assignment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '68', 'return_waypoint_description_2', 'Escort the miner safely to Kelvus Naria ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '69', 'return_waypoint_name_1', 'Kelvus Naria');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '70', 'return_waypoint_name_2', 'Kelvus Naria');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '71', 'waypoint_description_1', 'Deliver the datadisc to the Imperial courier.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '72', 'waypoint_description_2', 'Locate and free the kidnapped miner.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '73', 'waypoint_name_1', 'Courier\'s location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '74', 'waypoint_name_2', 'Kidnapped miner\'s location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '75', 'npc_reset_1', 'Come back when you think you\'re ready to see this all the way through.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '76', 'npc_rest_2', 'Come back when you think you\'re ready to see this all the way through.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '77', 'npc_reset_3', 'Come back when you think you\'re ready to see this all the way through.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '78', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '79', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '80', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '81', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '82', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_miningoutpost_kelvus_naria.stf', '83', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '1', 'cant_work', 'You look a little busy. Come back later when you don\'t have so much to do.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '2', 'dontknowyou_1', 'No, you don\'t fit the description. I\'m sorry, I\'m waiting for someone and you are not them.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '3', 'dontknowyou_2', 'Move along, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '4', 'dontknowyou_3', 'Citizen, go on about your business or I will arrest you for interfering with my duties.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '5', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '6', 'gotowork_2', 'What is this? I have no need of it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '7', 'gotowork_3', 'What is this? Citizen, go on about your business or I will arrest you for interfering with my duties.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '8', 'next', 'Nice work there, youngster. Don\'t worry about any enemies you\'ve made working for me; you\'re a courier and nothing more. And besides, if anyone does hold a grudge, the Empire and the Mining Guild are both too big to have their opinion influenced by anyone stationed on this planet.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '9', 'notit_1', 'There must be some mistake here. This isn\'t the ledger I asked for.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '10', 'notit_2', 'What is this? I have no need for your junk.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '11', 'notit_3', 'Why are you bringing this to me? I don\'t want it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '12', 'notyet', 'You don\'t look very reliable. Maybe after you\'ve helped out around here a little more I\'d be willing to trust you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '13', 'npc_1_1', 'You want some quick cash? My business partner has a ledger containing some interesting information regarding an illegal business deal between my boss and a certain commander of the local Imperial garrison. I need someone to visit with him and bring back the ledger. What do you say?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '14', 'npc_1_2', 'I\'d really like to keep Commander Lytus out of this unfortunate business. I\'ve prepared a report showing how Kelvus \"stole\" Imperial resources from the garrison. Once Lytus has a look at this I\'m sure he\'ll turn his back on Kelvus and let him take the fall. My grudge is with Kelvus and not the commander, after all. Would you be willing to deliver this report?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '15', 'npc_1_3', 'Confound that wretched commander and this unnatural sense of loyalty. Can you believe he actually defended Kelvus against the accusations from the Imperial high command? Who ever heard of an Imperial that wasn\'t completely self serving? I\'ve had enough of Lytus. He can suffer with Kelvus for all I care. I need you to do one last favor for me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '16', 'npc_2_1', 'That\'s what I want to hear. Ok, you\'ll find my friend Coer Clem at the location I\'ve uploaded to your datapad. Talk with Coer, then bring the ledger back here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '17', 'npc_2_2', 'Ok, here is a briefcase containing the report. You\'ll find the location of an Imperial ensign marked on your datapad. I want you to hand the report to him with specific instructions to return it to his commander. If he asks who sent it tell him nothing. And one other thing: Coer is missing. I can only assume that Kelvus knows of my plot. He may take steps to hinder your mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '18', 'npc_2_3', 'Good. There is a squad leader I know that disapproves of the way Lytus runs the Imperial garrison. He has agreed to meet my courier at the location now appearing on your datapad. Bring the ledger to him and the rest will take care of itself. Don\'t forget to return for your payment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '19', 'npc_3_1', 'Have it your own way. Just stay out of the way of my plans.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '20', 'npc_3_2', 'Don\'t worry about it. I\'ll find some other way to bring this to the Imperials. And if you\'re thinking about reporting this... just remember the good work you did for me last time. I know I will.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '21', 'npc_3_3', 'Very well then. I know you won\'t tell anyone about this? Afterall, by now you\'re officially a co-conspirator.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '22', 'npc_4_1', 'I\'ve got a little cash I can reward you with. And I don\'t believe anyone is going to miss this old mineral survey tool.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '23', 'npc_4_2', 'Yes, it is. That\'s why I\'m prepared to pay you well for this service.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '24', 'npc_4_3', 'Don\'t you know by now that I\'ll make it worth your time?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '25', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '26', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '27', 'npc_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '28', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '29', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '30', 'npc_6_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '31', 'npc_backtowork_1', 'I marked a location on your datapad. I want you to go there and talk to my friend Coer Clem. He will give you a ledger. Bring that back to me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '32', 'npc_backtowork_2', 'Take the briefcase I gave you to the location of the Imperial ensign marked on your datapad.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '33', 'npc_backtowork_3', 'Take the ledger to the squad leader indicated on your datapad.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '34', 'npc_breech_1', 'Are you the one Stoos sent?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '35', 'npc_breech_2', 'Unless you have pressing business with the Empire, I suggest you move along, citizen. We are on patrol.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '36', 'npc_breech_3', 'Move along, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '37', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '38', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '39', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '40', 'npc_failure_1', 'What happened? Ah damn, I hope Coer took the trouble to make a copy of that ledger.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '41', 'npc_failure_2', 'That\'s too bad. Luckily I\'ve kept a backup copy, so I\'m not too terribly inconvenienced by this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '42', 'npc_failure_3', 'Hah. Good thing I kept the original copy of that ledger. Better luck next time?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '43', 'npc_more_1_1', 'Good work. Here, take this. Do I need to tell you to be careful with it and bring it right back to Stoos?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '44', 'npc_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '45', 'npc_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '46', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '47', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '48', 'npc_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '49', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '50', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '51', 'npc_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '52', 'npc_noloc_1', 'Look at the time! I\'ve got to turn those reports in pronto. Could you get back to me later? We\'ll finish talking then.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '53', 'npc_noloc_2', 'Look at the time! I\'ve got to turn those reports in pronto. Could you get back to me later? We\'ll finish talking then.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '54', 'npc_noloc_3', 'Look at the time! I\'ve got to turn those reports in pronto. Could you get back to me later? We\'ll finish talking then.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '55', 'npc_reset', 'I guess I can\'t make you work. But stay out of my way or you\'ll regret it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '56', 'npc_reward_1', 'Oh yes, this is good stuff. Look at this: Kelvus Naria has been loaning groups of miners to the Imperial garrison to use as unskilled labor, while Commander Lytus has been funneling Imperial supplies to the mining outpost. Very nice. Exactly what I wanted. Here is the payment we agreed upon earlier.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '57', 'npc_reward_2', 'The report was delivered? That suits me just fine. I\'ve only to give commander Lytus a little time to realize the danger of his precarious situation, then I will send this report to a friend I have in the Imperial high command.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '58', 'npc_reward_3', 'You continue to impress me with your resourcefulness. It\'s only a matter of time before Kelvus is removed by the mining guild. Unfortunately I think that squad leader is doomed. Lytus is a crafty, crafty man and this incident likely will not ruin his career. Hopefully he doesn\'t bear grudges. Take this... it may save your life.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '59', 'npc_smuggle_1', 'Here\'s the ledger. Take it straight back to Stoos and be careful.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '60', 'npc_smuggle_2', 'A report? For the commander? Issues vital to the Empire? It sounds like he would be interested. I\'ll have to check it for explosives, but I\'ll make sure he sees it. Can\'t be too careful these days.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '61', 'npc_smuggle_3', 'This is the information that Stoos promised? Good work, citizen. While you may have angered an Imperial commander with this action there are many more in the Empire who approve of what you have just done.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '62', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '63', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '64', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '65', 'npc_work_1', 'Do you have the ledger yet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '66', 'npc_work_2', 'Have you delivered the report?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '67', 'npc_work_3', 'Have you delivered the ledger?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '68', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '69', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '70', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '71', 'player_1_1', 'I\'ll bring you the ledger.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '72', 'player_1_2', 'Yes, I will deliver the report.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '73', 'player_1_3', 'Yes, I will help.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '74', 'player_2_1', 'I\'d rather not get involved in this sort of thing.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '75', 'player_2_2', 'This is starting to sound like blackmail. I\'d rather not.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '76', 'player_2_3', 'This is way too risky. Count me out.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '77', 'player_3_1', 'What do I get for helping you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '78', 'player_3_2', 'Doesn\'t this sound a little dangerous?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '79', 'player_3_3', 'What is in it for me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '80', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '81', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '82', 'player_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '83', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '84', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '85', 'player_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '86', 'player_more_1_1', 'I am here for the ledger.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '87', 'player_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '88', 'player_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '89', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '90', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '91', 'player_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '92', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '93', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '94', 'player_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '95', 'player_reset', 'On second thought, I\'d really rather not get involved in this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '96', 'player_sorry', 'What do you want me to do again?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '97', 'return_waypoint_description_1', 'Foreman at the miner\'s guild.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '98', 'return_waypoint_description_2', 'Mining outpost foreman.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '99', 'return_waypoint_description_3', 'Mining outpost foreman.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '100', 'return_waypoint_name_1', 'Stoos Olko');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '101', 'return_waypoint_name_2', 'Stoos Olko');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '102', 'return_waypoint_name_3', 'Stoos Olko');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '103', 'waypoint_description_1', 'Stoos Olko\'s friend and partner in crime. Stoos sends you to Coer to retrieve a ledger.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '104', 'waypoint_description_2', 'Stoos Olko wishes you to deliver a falsified report to this Imperial ensign.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '105', 'waypoint_description_3', 'This is the squad leader Stoos Olko wants you to deliver Kelvus\' ledger to.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '106', 'waypoint_name_1', 'Coer Clem');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '107', 'waypoint_name_2', 'Imperial Ensign');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '108', 'waypoint_name_3', 'Stormtrooper Squad Leader');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '109', 'npc_reset_1', 'I guess I can\'t make you work. But stay out of my way or you\'ll regret it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '110', 'npc_reset_2', 'I guess I can\'t make you work. But stay out of my way or you\'ll regret it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '111', 'npc_reset_3', 'I guess I can\'t make you work. But stay out of my way or you\'ll regret it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '112', 'player_reset_1', 'On second thought, I\'d really rather not get involved in this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '113', 'player_reset_2', 'On second thought, I\'d really rather not get involved in this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '114', 'player_reset_3', 'On second thought, I\'d really rather not get involved in this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '115', 'player_sorry_1', 'What do you want me to do again?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '116', 'player_sorry_2', 'What do you want me to do again?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_mining_outpost_stoos_olko.stf', '117', 'player_sorry_3', 'What do you want me to do again?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '1', 'cant_work', 'My missions require a good deal of concentration. Come back when you are not so preoccupied.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '2', 'dontknowyou_1', 'This is a restricted area. Move along.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '3', 'dontknowyou_2', 'I cannot speak to you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '4', 'dontknowyou_3', 'There is nothing you can do for us. Away with you!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '5', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '6', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '7', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '8', 'next', 'There is nothing else I need you to do at the moment. Check back with me at a later date.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '9', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '10', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '11', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '12', 'notyet', 'I\'m sorry, but I\'m looking for someone with an open mind toward... let\'s call it an alternative to a certain type of government. But I thank you for your interest.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '13', 'npc_1_1', 'I am called Drakka Judarrl. I am a Jedi. I need your help to stop a stormtrooper squad from slaughtering dozens of natives. They\'ve been helping me conduct raids on the Imperial garrison. Will you help?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '14', 'npc_1_2', 'The Dantari chieftain that\'s been helping me conduct my raids on the Imperial garrison has just had his only child kidnapped by Imperials. Could you please attempt a rescue? I could not forgive myself if this young innocent was killed.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '15', 'npc_1_3', 'The Emperor\'s agent here on Dantooine, a sinister figure by the name of Luthik Uwyr, has organized some of the natives into a deadly strike force. He is teaching them to use the dark side. We must stop these agents of evil before this practice spreads offworld. Can you do it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '16', 'npc_2_1', 'You can intercept the squad at these coordinates. I will be watching but I cannot interfere. My presence must not be revealed to the Empire. Not yet.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '17', 'npc_2_2', 'Here are the coordinates. Dantari scouts have been tracking these commandos. Please hurry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '18', 'npc_2_3', 'You can intercept this raiding party at these coordinates. My Dantari scouts have been keeping tabs on them. Please be careful and bring allies with you if you can.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '19', 'npc_3_1', 'I will trouble you no further. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '20', 'npc_3_2', 'I shall find another to help me. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '21', 'npc_3_3', 'This mission may be too dangerous for you. You are wise to refuse.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '22', 'npc_4_1', 'Yes. I am possibly the last of my kind, although I sense the presence of a few others. I have not made any attempts to contact them for my master told me I must not let the Emperor know I exist.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '23', 'npc_4_2', 'I saw many Jedi struck down, yes. I saw the power wielded by the Emperor and his lethal weapon, Darth Vader. I wish I could wipe those memories from my mind.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '24', 'npc_4_3', 'Yes, they have a rudimentary grasp of its power but it is sufficient to make them formidable warriors. Do you still wish to tackle them?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '25', 'npc_5_1', 'He became one with the Force years ago. I was only a Padawan at the time. He saved me from the Jedi Purge.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '26', 'npc_5_2', 'We went into hiding. I was much younger then, still only a Padawan. My master helped many members of the Senate escape the Empire\'s persecution. It was a dark time. Darth Vader eventually caught up with my master. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '27', 'npc_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '28', 'npc_6_1', 'I came to Dantooine when the Rebel base was first established here. I wanted to study them to understand the state of the Rebellion. I think I must reveal myself to the Empire soon. I sense our time is coming. In the meantime, I\'ll continue to organize strikes against the Empire with the help of the Dantari. Will you help them?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '29', 'npc_6_2', 'I was whisked away by a smuggler who had been aiding my master. Since that time, years ago, I\'ve been careful to hide my presence. I rarely use the Force for fear of being detected by the Emperor\'s spies. But please, enough talk - will you help my Dantari friend?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '30', 'npc_6_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '31', 'npc_backtowork_1', 'You must hurry or else the Dantari will suffer greatly.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '32', 'npc_backtowork_2', 'You must hurry, friend. I don\'t how much longer the storm commandos will let the child live.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '33', 'npc_backtowork_3', 'It would be best if you took allies along. These raiders will use the dark side against you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '34', 'npc_breech_1', 'This is a restricted area! You\'re under arrest! Open fire, men!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '35', 'npc_breech_2', 'Get your hands off me, you Imperial scum! My people will make you pay for this affront!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '36', 'npc_breech_3', 'Let us demonstrate the power of the dark side!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '37', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '38', 'npc_dropoff_2', 'My thanks. I would likely be dead now were it not for your bravery. Are you a Jedi too?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '39', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '40', 'npc_failure_1', 'These are some of the Emperor\'s elite troops. I should have sent you in with more help.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '41', 'npc_failure_2', 'I must find a way to save that poor child. I thank you for your attempt.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '42', 'npc_failure_3', 'I do not wish to reveal myself prematurely but it may be time for me to take care of this menace myself.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '43', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '44', 'npc_more_1_2', 'Yes, and I hope one day to be one as well. The Jedi are the most cunning warriors in the galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '45', 'npc_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '46', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '47', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '48', 'npc_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '49', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '50', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '51', 'npc_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '52', 'npc_noloc_1', 'Allow me to verify those coordinates I gave you. Just a moment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '53', 'npc_noloc_2', 'Let me verify those coordinates with my Dantari contacts. Check back with me in a few moments.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '54', 'npc_noloc_3', 'I must get an update from my Dantari scouts. You must know where to meet these raiders.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '55', 'npc_reset', 'I should not have asked you to perform these tasks. I should have realized they were beyond your skill.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '56', 'npc_reward_1', 'I am most grateful for your help. I\'ve been able to accumulate a considerable amount of credits from our raids. Please accept this as a reward.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '57', 'npc_reward_2', 'I am in your debt. Please accept this as payment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '58', 'npc_reward_3', 'You are a valued friend of the Alliance and it is my hope that you will continue to serve the cause of freedom and justice. The Empire cannot last forever. Take this artifact, it will help to guide you on the right path. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '59', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '60', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '61', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '62', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '63', 'npc_takeme_2', 'Did Drakka send you? Please take me back to her. She is very brave. I hope to one day be her equal.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '64', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '65', 'npc_work_1', 'Have you intercepted that stormtrooper squad yet? I don\'t want innocent Dantari being killed.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '66', 'npc_work_2', 'Did you save that young Dantari woman? She cannot be made to suffer for my deeds.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '67', 'npc_work_3', 'Have you removed the threat of that strike force? They must not be allowed to teach others what they have learned.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '68', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '69', 'otherescort_2', 'I cannot speak to you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '70', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '71', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '72', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '73', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '74', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '75', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '76', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '77', 'player_3_1', 'Wait! Did you just say you were a Jedi?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '78', 'player_3_2', 'Did you actually witness the Jedi Purge?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '79', 'player_3_3', 'These native warriors know how to use the dark side?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '80', 'player_4_1', 'Where is your master now?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '81', 'player_4_2', 'How did you and your master survive?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '82', 'player_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '83', 'player_5_1', 'How long have you been here?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '84', 'player_5_2', 'How did you escape?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '85', 'player_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '86', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '87', 'player_more_1_2', 'Do you know that Drakka is a Jedi?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '88', 'player_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '89', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '90', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '91', 'player_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '92', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '93', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '94', 'player_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '95', 'player_reset', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '96', 'player_sorry', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '97', 'return_waypoint_description_1', 'Report your success back to Drakka Judarrl.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '98', 'return_waypoint_description_2', 'Escort the Dantari woman back to Drakka Judarrl.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '99', 'return_waypoint_description_3', 'Report your success back to Drakka Judarrl.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '100', 'return_waypoint_name_1', 'Drakka Judarrl\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '101', 'return_waypoint_name_2', 'Drakka Judarrl\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '102', 'return_waypoint_name_3', 'Drakka Judarrl\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '103', 'waypoint_description_1', 'Intercept the squad and stop them from destroying Dantari villages.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '104', 'waypoint_description_2', 'Rescue the Dantari chieftain\'s daughter from her captors.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '105', 'waypoint_description_3', 'Remove the threat of the dark side raiders.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '106', 'waypoint_name_1', 'Stormtrooper Squad\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '107', 'waypoint_name_2', 'Young Dantari Woman\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '108', 'waypoint_name_3', 'Dantari Dark Side Strike Force\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '109', 'npc_reset_1', 'I should not have asked you to perform these tasks. I should have realized they were beyond your skill.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '110', 'npc_reset_2', 'I should not have asked you to perform these tasks. I should have realized they were beyond your skill.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '111', 'npc_reset_3', 'I should not have asked you to perform these tasks. I should have realized they were beyond your skill.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '112', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '113', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '114', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '115', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '116', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '117', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '118', 'go_away', 'Please leave, I fear that I can\'t help you anymore. I hope you can find someone stronger in the force to save you from the path of destruction.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/dantooine_remotehaven_drakka_judarrl.stf', '119', 'jedi', 'I\'m honored by your presence. I\'m afraid I don\'t have anything to teach you though, only a word of advice. Be careful, the terror around here is dangerous and enforced both by the living and the long gone.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '1', 'cant_work', 'Your soul speaks volumes, friend... it screams for blood and vengeance... give into it, for it will bring to you many gifts. Return to me when you are ready for teaching.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '2', 'dontknowyou_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '3', 'dontknowyou_2', 'Ah... it\'s because you ARE a whelp. Remove yourself from my sight lest I remove your sight from you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '4', 'dontknowyou_3', 'Oh... I\'m sorry, I thought you were a bad guy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '5', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '6', 'gotowork_2', 'What is this? You were supposed to bring that worthless Jedi artifact! Give it to me now before I shred your soul apart.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '7', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '8', 'next', 'You have proven yourself well... perhaps the Master may one day choose you over one of the other initiates... that is, if you do not die first.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '9', 'notit_1', 'I do not need any gifts, initiate. What you offer does not compare to the power of the Dark Side.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '10', 'notit_2', 'What is this? I do not want this. I have the dark side, which fuels my every waking desire.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '11', 'notit_3', 'This proves nothing to me. Bring me something more evident of your success.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '12', 'notyet', 'Your soul speaks volumes, friend... it screams for blood and vengeance... give into it, for it will bring to you many gifts. Return to me when you are ready for teaching.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '13', 'npc_1_1', 'Well, well, it seems an initiate comes upon me so brazen. I feel great anger within you, yes I do. Let me see how you choose to channel that fire. I sense a powerful presence nearby that seems somehow bound to this temple. I wish you to seek it out and destroy it. Can you manage this paltry task?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '14', 'npc_1_2', 'Ah, I see you have managed this simple task. I have discovered what bond the animal shared with the temple, and find it to be nothing but a Holocron used to record the weak teachings of the Jedi. The animal apparently found the device and brought it here, to its nest. Now I command you to take the device to one of my brothers so that you can learn to revile the trappings of the Jedi.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '15', 'npc_1_3', 'I still feel a presence within these halls... though faint, it is attuned to the Force. As my Master had believed, there is still a Jedi that lives. Now is the time for your test, initiate. Will you take it, or walk away a coward?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '16', 'npc_2_1', 'Though you say that with much vehemence, the results have yet to be seen. Take your hate and your anger and direct it at whatever monstrosity lurks nearby. If you cannot use your hate as a weapon, then you are not worth our time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '17', 'npc_2_2', 'He will be waiting for you. As you walk, let this Holocron touch your skin, touch your heart, and touch your mind. Learn to hate the feeling, and remember it... forever.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '18', 'npc_2_3', 'Good... your arrogance will serve you well, or it will kill you. Only those strong with the Dark Side will be considered to join our ranks. Go, and return with a sign of your victory.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '19', 'npc_3_1', 'Oh, yes you will, yes you will... when you least expect it, your anger and bile will rise up to control you... learn to give in to it and it will be your strongest ally. Think on that, initiate.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '20', 'npc_3_2', 'Yes.... you feel it, don\'t you. The dark side is the only true power, initiate. See how easily you give yourself to your anger? Feel how strong you are now? Yessss..... you do, don\'t you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '21', 'npc_3_3', 'Oh, you will, will you? Yes, you are more under the control of the dark side than you believe. Feel it, initiate... let it inside of you... let it rule you....');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '22', 'npc_4_1', 'These old ruins, you fool, was once a holy place to the failed Jedi many centuries ago. I feel a faint presence inside and am now thinking that not all of the Jedi were righteously destroyed by the Master. We will see...');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '23', 'npc_4_2', 'I shall enter the temple proper and sanctify it with horror and evil. The ridiculous pacifistic nature of the Jedi is an affront to our true teachings. I will remove all trace there ever were Jedi that created this place.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '24', 'npc_4_3', 'Our Master is the one who was able to do what no Sith had done before. He is the one who caused the end of the Jedi\'s existence. And today, you will exterminate the last living Jedi.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '25', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '26', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '27', 'npc_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '28', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '29', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '30', 'npc_6_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '31', 'npc_backtowork_1', 'Take your hate and your anger and direct it at whatever monstrosity lurks nearby.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '32', 'npc_backtowork_2', 'Bring this frail Holocron to my brethren. They will use the dark side to destroy it once and for all.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '33', 'npc_backtowork_3', 'Venture forth, seek out this last remaining Jedi and strike him down with all your hate and fury! Return with a trophy of your victory.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '34', 'npc_breech_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '35', 'npc_breech_2', 'You are the one that Luthik spoke of? Bah! You look like nothing more than a whelp!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '36', 'npc_breech_3', 'Oh great Force powers, come to me! My training will defeat you, monster!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '37', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '38', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '39', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '40', 'npc_failure_1', 'You are a pathetic worm not worthy of interest by myself or my brethren. We do not accept weakness amongst us.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '41', 'npc_failure_2', 'So.... perhaps you were the presence I felt, after all. You have chosen to keep the Holocron for yourself, have you?. We shall wait for the most painful time before we dispose of you....');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '42', 'npc_failure_3', 'You are weak and helpless. You are not worthy of the teachings of the Sith, worthless wretch. Begone from my sight before I kill you myself.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '43', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '44', 'npc_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '45', 'npc_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '46', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '47', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '48', 'npc_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '49', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '50', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '51', 'npc_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '52', 'npc_noloc_1', 'Gather all of your hatred around you before you venture forth. Speak with me in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '53', 'npc_noloc_2', 'I will contact my brethren to announce your coming. You are a pathetic weakling compared to their might, and it is not time for you to die yet. Speak with me in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '54', 'npc_noloc_3', 'Let me use the dark side to determine where the Jedi resides. Return to me in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '55', 'npc_reset_1', 'Ha.. Haha... HaHaHahahahaa..... Oh, friend, you are very mistaken. Your anger guides you so strongly... you will come over in time, rest assured.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '56', 'npc_reward_1', 'You have felt life quenched through the power of your revulsion. The exquisite thrill of giving yourself to the Dark Side will be your gift forever. In the meantime, I shall now attend to the disturbing presence I feel.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '57', 'npc_reward_2', 'You know in your heart that peace is the discretion of the fool, for the wise man chooses to lash out at his enemies. You have seen what happened to the Jedi. It is now time to rebuild the Empire of the Sith again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '58', 'npc_reward_3', 'Were the Jedi reduced to something as pathetic as that? With him dead, our victory over the Jedi is now complete. Perhaps the Master may take me as an apprentice. If so... perhaps one day I will take you as mine as well. This artefact will help guide your path to ultimate victory in the meantime.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '59', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '60', 'npc_smuggle_2', 'Ugh. This artifact needs to be destroyed immediately before it affronts my senses any further. Go back to Luthik, whelp, for your deed here is done.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '61', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '62', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '63', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '64', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '65', 'npc_work_1', 'Your fear makes you wait... let your fear guide you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '66', 'npc_work_2', 'Why do you pause? My brethren await you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '67', 'npc_work_3', 'Why have you not destroyed the Jedi yet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '68', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '69', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '70', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '71', 'player_1_1', 'Yes, I will destroy it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '72', 'player_1_2', 'I will bring this accursed object to your Brother.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '73', 'player_1_3', 'I am ready. I will show that Jedi who is stronger.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '74', 'player_2_1', 'No, I will not let my anger control me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '75', 'player_2_2', 'NO! The Jedi were noble beings! You lie!!!!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '76', 'player_2_3', 'Stop calling me names! I\'ll kill you before I do anything else for you!!!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '77', 'player_3_1', 'Why are you here at the old ruins?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '78', 'player_3_2', 'What will you do while I deliver this?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '79', 'player_3_3', 'Who is the Master?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '80', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '81', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '82', 'player_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '83', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '84', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '85', 'player_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '86', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '87', 'player_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '88', 'player_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '89', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '90', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '91', 'player_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '92', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '93', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '94', 'player_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '95', 'player_reset_1', 'I will not be controlled by you any longer!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '96', 'player_sorry_1', 'Tell me what I have to do.....');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '97', 'return_waypoint_description_1', 'Return to him to relay your victory');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '98', 'return_waypoint_description_2', 'Return to the Dark Prophet, for he may have more to teach you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '99', 'return_waypoint_description_3', 'Return to the teacher and revel in your success.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '100', 'return_waypoint_name_1', 'Luthik Uwyr');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '101', 'return_waypoint_name_2', 'Luthik Uwyr');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '102', 'return_waypoint_name_3', 'The Dark Prophet');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '103', 'waypoint_description_1', 'Luthik feels the presence of a being at this location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '104', 'waypoint_description_2', 'Meet a brother of Luthik\'s order here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '105', 'waypoint_description_3', 'The last remnant of the Jedi Order resides here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '106', 'waypoint_name_1', 'Guardian of the Temple');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '107', 'waypoint_name_2', 'The Dark Brother');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '108', 'waypoint_name_3', 'The Last Jedi');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '109', 'player_reset_2', 'I will not be controlled by you any longer!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '110', 'player_reset_3', 'I will not be controlled by you any longer!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '111', 'player_sorry_2', 'Tell me what I have to do.....');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '112', 'player_sorry_3', 'Tell me what I have to do.....');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '113', 'npc_reset_2', 'Ha.. Haha... HaHaHahahahaa..... Oh, friend, you are very mistaken. Your anger guides you so strongly... you will come over in time, rest assured.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '114', 'npc_reset_3', 'Ha.. Haha... HaHaHahahahaa..... Oh, friend, you are very mistaken. Your anger guides you so strongly... you will come over in time, rest assured.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '115', 'go_away', 'Leave at once, before I show you the true power of the dark side!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/luthik_uwyr.stf', '116', 'jedi', 'Leave this place at once! There is nothing for you here! If you persist in staying around, you will follow the path of every other pathetic Jedi that was once here!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '1', 'cant_work', 'If you\'re looking for work when you finish what you\'re doing, come back to me. I may have something for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '2', 'dontknowyou_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '3', 'dontknowyou_2', 'Ulgh ked troben!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '4', 'dontknowyou_3', 'I\'m waiting for someone in particular. Don\'t you have anything better to do?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '5', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '6', 'gotowork_2', 'Elex send eat?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '7', 'gotowork_3', 'This is not the item I was supposed to pick up.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '8', 'next', 'You have been a valuable aid. I\'ll let you know if I have any more work for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '9', 'notit_1', 'This is not what I asked for, citizen. Return when you have completed your mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '10', 'notit_2', 'This is not what I asked for, citizen. Return when you have completed your mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '11', 'notit_3', 'This is not what I asked for, citizen. Return when you have completed your mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '12', 'notyet', 'Your loyalty to the Empire\'s goals is not evident. Return when you have proven yourself.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '13', 'npc_1_1', 'What business do you have on Dantooine? This is a restricted area. I could however use someone outside of our chain of command to investigate a rumor from a less than reliable source. It could turn out to be dangerous, or completely harmless.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '14', 'npc_1_2', 'In light of your past report, I feel it is necessary to reward my information source. Would you care to act as my courier?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '15', 'npc_1_3', 'I have another task for you. This one is... difficult. I can understand if you\'d rather not take part in this. It seems that someone on this post is... less than completely loyal to the Empire. I need a courier who isn\'t afraid killing some crooked soldiers.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '16', 'npc_2_1', 'I\'m told there are Rebels making a base not far from here. I\'ve uploaded the coordinates to your datapad. Make a quick search of the area. If you should see any Rebels I want them killed. Otherwise return here for payment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '17', 'npc_2_2', 'Take these rations to the location indicated on your data pad. The Dantari tribesman you meet there should be happy to receive them, though he does not speak our language with any degree of competency. Be sure you report back afterwards for your pay.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '18', 'npc_2_3', 'That\'s good. Take this recording rod to the location of the Imperial courier marked on your data pad. Once you\'ve made the delivery report back to me. Be careful, though. Word is that this traitor might have brought in some mercenaries from Lok as hired muscle. Watch your back.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '19', 'npc_3_1', 'Although you\'re probably not a Rebel, if you\'re not actively assisting the Empire I can no longer guarantee your safety. Proceed at your own risk.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '20', 'npc_3_2', 'Although you\'re probably not a Rebel, if you\'re not actively assisting the Empire I can no longer guarantee your safety. Proceed at your own risk.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '21', 'npc_3_3', 'I expected as much. That\'s fine. Just keep this quiet is all I ask.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '22', 'npc_4_1', 'The Empire needs your help. If that is not enough for you, then how about these credits?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '23', 'npc_4_2', 'The glory of serving the Empire. Now tell me, yes or no citizen.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '24', 'npc_4_3', 'Unfortunately it\'s the commander of this post who you would be working against. I made a recording of him talking with one of his aides regarding matters that were... while not rebellious, not completely in line with the Empire\'s sentiments, or the instructions of his commanding officer. If you deliver the recording rod I will pay you well. The mission is simple; it\'s the political implications that are tough to deal with. Fortunately for you, that will be my responsibility.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '25', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '26', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '27', 'npc_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '28', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '29', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '30', 'npc_6_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '31', 'npc_backtowork_1', 'Make your way to the location marked on your datapad. Kill any rebels you might find there, and report back to me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '32', 'npc_backtowork_2', 'Take the rations I gave you to the dantari tribesman you will find at the location marked on your data pad.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '33', 'npc_backtowork_3', 'You\'re killing me. Would you get out of here already? Take that recording rod to the Imperial courier.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '34', 'npc_breech_1', 'Stay sharp, this could be trouble...');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '35', 'npc_breech_2', 'Yuguth debagh kurfun. Bring eat?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '36', 'npc_breech_3', 'Are you the courier?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '37', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '38', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '39', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '40', 'npc_failure_1', 'You\'re lucky you\'re not one of my soldiers. I\'ll have to find someone who is capable of following my instructions.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '41', 'npc_failure_2', 'You\'re lucky you\'re not one of my soldiers. I\'ll have to find someone who is capable of following my instructions.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '42', 'npc_failure_3', 'This is a disaster. Although I think there\'s a way I can explain this. Not for your sake mind you, but for my own. You\'re just lucky we share this common interest.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '43', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '44', 'npc_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '45', 'npc_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '46', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '47', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '48', 'npc_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '49', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '50', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '51', 'npc_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '52', 'npc_noloc_1', 'Excuse me for a moment, I have to attend to some paperwork. Come back soon and we will discuss this further.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '53', 'npc_noloc_2', 'Excuse me for a moment, I have to attend to some paperwork. Come back soon and we will discuss this further.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '54', 'npc_noloc_3', 'Excuse me for a moment, I have to attend to some paperwork. Come back soon and we will discuss this further.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '55', 'npc_reset', 'Although you\'re probably not a Rebel, if you\'re not actively assisting the Empire I can no longer guarantee your safety. Proceed at your own risk.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '56', 'npc_reward_1', 'You found Rebels? That\'s really interesting. I honestly thought I was sending you out on a wild goose chase. I\'ll have to revise my opinion regarding the \'source\' of my information on the Rebels. But I digress. Here is your reward, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '57', 'npc_reward_2', 'I\'m glad I took the effort to establish contact with those people. They may prove an invaluable resource in rooting out the Rebel scum. The sooner we\'ve accomplished that, the sooner I can get stationed somewhere off this forgotten dusty old relic of a planet.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '58', 'npc_reward_3', 'Your discretion in this matter is much appreciated. I would request that you remain quiet. Do not tell a soul about this and you will live a long and happy life.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '59', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '60', 'npc_smuggle_2', 'Yuguth thank.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '61', 'npc_smuggle_3', 'This is my responsibilty now. Go back and tell the sergeant the item was safely delivered.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '62', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '63', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '64', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '65', 'npc_work_1', 'Is there a problem with your mission, citizen?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '66', 'npc_work_2', 'Yes citizen? Was there a problem?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '67', 'npc_work_3', 'Do you need something, citizen?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '68', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '69', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '70', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '71', 'player_1_1', 'I\'ll check it out. What do you want me to do?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '72', 'player_1_2', 'Yes sir.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '73', 'player_1_3', 'Sounds dangerous. I\'ll do it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '74', 'player_2_1', 'I\'d rather not.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '75', 'player_2_2', 'No, I\'d rather not.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '76', 'player_2_3', 'No way. This is your problem, you deal with it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '77', 'player_3_1', 'Why should I?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '78', 'player_3_2', 'What is in it for me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '79', 'player_3_3', 'This doesn\'t sound like my problem. What exactly is going on here and why would I want to put myself in the middle of this mess?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '80', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '81', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '82', 'player_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '83', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '84', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '85', 'player_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '86', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '87', 'player_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '88', 'player_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '89', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '90', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '91', 'player_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '92', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '93', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '94', 'player_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '95', 'player_reset', 'It sounds a little dangerous. On second thought I can\'t help you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '96', 'player_sorry', 'I\'m sorry, what do you need me to do?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '97', 'return_waypoint_description_1', 'Stormtrooper Sergeant');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '98', 'return_waypoint_description_2', 'Stormtrooper Sergeant');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '99', 'return_waypoint_description_3', 'Stormtrooper Sergeant');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '100', 'return_waypoint_name_1', 'LX-466');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '101', 'return_waypoint_name_2', 'LX-466');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '102', 'return_waypoint_name_3', 'LX-466');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '103', 'waypoint_description_1', 'This is the location of a possible Rebel base. LX-466 wants you to kill any Rebels you find in the area.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '104', 'waypoint_description_2', 'This is the location of a Dantari Tribesman. LX-466 wants you to deliver a supply of rations to the tribesman.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '105', 'waypoint_description_3', 'Location of an Imperial courier. LX-466 has asked you to deliver a recording rod to this location.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '106', 'waypoint_name_1', 'Rebels');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '107', 'waypoint_name_2', 'Dantari Tribesman');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '108', 'waypoint_name_3', 'Courier Rendevous');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '109', 'npc_reset_1', 'Although you\'re probably not a Rebel, if you\'re not actively assisting the Empire I can no longer guarantee your safety. Proceed at your own risk.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '110', 'npc_reset_2', 'Although you\'re probably not a Rebel, if you\'re not actively assisting the Empire I can no longer guarantee your safety. Proceed at your own risk.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '111', 'npc_reset_3', 'Although you\'re probably not a Rebel, if you\'re not actively assisting the Empire I can no longer guarantee your safety. Proceed at your own risk.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '112', 'player_reset_1', 'It sounds a little dangerous. On second thought I can\'t help you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '113', 'player_reset_3', 'It sounds a little dangerous. On second thought I can\'t help you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '114', 'player_reset_2', 'It sounds a little dangerous. On second thought I can\'t help you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '115', 'player_sorry_1', 'I\'m sorry, what do you need me to do?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '116', 'player_sorry_2', 'I\'m sorry, what do you need me to do?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/lx_466.stf', '117', 'player_sorry_3', 'I\'m sorry, what do you need me to do?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '1', 'cant_work', 'Finish up what you\'re doing and come back here if you want work. I\'ll make it worth your while.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '2', 'dontknowyou_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '3', 'dontknowyou_2', 'You\'re not the person I\'m waiting for.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '4', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '5', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '6', 'next', 'It\'s too bad you don\'t serve under me. I could use a few more like you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '7', 'notit_1', 'Ok maybe you\'re just not understanding me. I want you to destroy a defective droideka. What is this garbage you\'re handing me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '8', 'notit_2', 'Hey look, you\'ve helped me out in the past, but I don\'t want your junk.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '9', 'notyet', 'No, I\'m not sure I trust you enough yet. Maybe if you come back later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '10', 'npc_1_1', 'Ok, I\'m having a seriously messed up day. A beat up old droideka we\'ve been keeping around just ran rampant and escaped the garrison. None of my scout troopers are available to recover the thing. Unless you\'re going to volunteer to hunt the thing down I suggest you stay out of my way.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '11', 'npc_1_2', 'Thanks for taking down that droideka. That was a real load off my mind. You seem interested in what we\'re doing out here. I wonder if you\'d like to join one of my scouts on a patrol back to the base?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '12', 'npc_2_1', 'That\'s the first good news I\'ve had all day, citizen. Ok, let me show you this tactical map. You\'ll find that droideka about here. It\'s a beat up hunk of junk we\'d been using for search and destroy missions on the Rebels, but its circuits just couldn\'t handle the stress. Don\'t feel the need to be overly gentle in the process of shutting it down.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '13', 'npc_2_2', 'Alright then. Let me put the coordinates on your datapad. Head out there, meet up with SG-619 and head back this way. If you see anything strange, just remember you\'re on a scouting mission. SG-619 will make his report when he gets back.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '14', 'npc_3_1', 'Is that so? Well guess what: I\'m your problem now. Slip up just an inch and I\'ll see you regret it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '15', 'npc_3_2', 'Not a problem. I thought for a moment you might think it was fun.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '16', 'npc_4_1', 'It\'s good to have friends, but it\'s better to have money. Help me and I\'ll see you have both.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '17', 'npc_4_2', 'Sure, why not?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '18', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '19', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '20', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '21', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '22', 'npc_backtowork_1', 'Ok, it\'s really simple... here\'s the location of the malfunctioning droideka. Just head out that way and take the old bucket of bolts down. Okay?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '23', 'npc_backtowork_2', 'Meet up with SG-619 at the location on your datapad and return with him to the garrison.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '24', 'npc_breech_1', 'Possible entity reform initiated. Identify: true. Proceed with primary order.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '25', 'npc_breech_2', 'SG-619 checking in... no, they aren\'t here yet.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '26', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '27', 'npc_dropoff_2', 'You\'re alright for someone not serving in our unit. Thanks for working with us.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '28', 'npc_failure_1', 'And you\'re giving up? Hopefully some of my scout troopers will be back soon. Best to let the professionals handle this one.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '29', 'npc_failure_2', 'Well, you weren\'t scheduled to be on that patrol, so it\'s not like you could be held accountable for this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '30', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '31', 'npc_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '32', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '33', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '34', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '35', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '36', 'npc_noloc_1', 'Hold on a second, I\'ve got some orders to radio out. Get back to me afterwards, alright?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '37', 'npc_noloc_2', 'Hold on a second, I\'ve got some orders to radio out. Get back to me afterwards, alright?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '38', 'npc_reset', 'Just great. Incompetent and indecisive. Don\'t worry, I\'ll find someone who can take care of this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '39', 'npc_reward_1', 'The old rust bucket didn\'t give you too much trouble, did it? Don\'t spend all these credits in one place, eh kid?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '40', 'npc_reward_2', 'Good to see you back. I\'ll expect your report soon, SG-619. As for you, citizen... here\'s your pay.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '41', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '42', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '43', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '44', 'npc_takeme_2', 'Alright, I was wondering when you would get here. You ready to make this patrol?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '45', 'npc_work_1', 'Did you catch up to that droideka yet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '46', 'npc_work_2', 'What is it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '47', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '48', 'otherescort_2', 'No, I\'m not the person you\'re looking for. Maybe you should look around here a little more.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '49', 'player_1_1', 'I\'ll take care of your droideka problems.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '50', 'player_1_2', 'Sure, that sounds like fun.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '51', 'player_2_1', 'That\'s not my problem.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '52', 'player_2_2', 'Sorry, I\'m too busy for that.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '53', 'player_3_1', 'I could probably do it. But why would I?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '54', 'player_3_2', 'Do I get paid for this?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '55', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '56', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '57', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '58', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '59', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '60', 'player_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '61', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '62', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '63', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '64', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '65', 'player_reset', 'On second thought, this is too much of a problem.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '66', 'player_sorry', 'I\'m sorry, what did you want me to do again?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '67', 'return_waypoint_description_1', 'Scout trooper commander.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '68', 'return_waypoint_description_2', 'Scout trooper commander.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '69', 'return_waypoint_name_1', 'SG-567');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '70', 'return_waypoint_name_2', 'SG-567');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '71', 'waypoint_description_1', 'Find and destroy the malfunctioning old droideka.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '72', 'waypoint_description_2', 'This is the scheduled location of your rendezvous with the scout trooper.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '73', 'waypoint_name_1', 'Droideka');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '74', 'waypoint_name_2', 'Scout Trooper Rendezvous');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '75', 'player_reset_1', 'On second thought, this is too much of a problem.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '76', 'player_sorry_1', 'I\'m sorry, what did you want me to do again?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '77', 'npc_reset_1', 'Just great. Incompetent and indecisive. Don\'t worry, I\'ll find someone who can take care of this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '78', 'player_reset_2', 'On second thought, this is too much of a problem.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '79', 'player_sorry_2', 'I\'m sorry, what did you want me to do again?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dantooine/sg_567.stf', '80', 'npc_reset_2', 'Just great. Incompetent and indecisive. Don\'t worry, I\'ll find someone who can take care of this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '1', 'cant_work', 'Ah... your mind is preoccupied... Hahaha... you will be an easy one. You will remember to come back to me when you are not so distracted...');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '2', 'dontknowyou_1', 'Look at the mess you made! Get out of here before the reinforcements come.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '3', 'dontknowyou_2', 'Oh, you\'re not here to pick me up? Nevermind, then.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '4', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '5', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '6', 'next', 'My little pet, I am sad to see you go, yet the Clan Mother wishes to use you for her own ends. Oh... I could have treated you so much better... very well, I release you, and I will let you remember everything, as well.... hahaha.... Now, go see the Mother!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '7', 'notit_1', 'Oh, you are so cute, little one. You wish to shower me in gifts... no, you may keep that one for yourself.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '8', 'notit_2', 'No, pet, I do not want this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '9', 'notit_3', 'I don\'t want this, you stupid little pet! Now go do what I said.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '10', 'notyet', 'Ah... your mind is preoccupied... Hahaha... you will be an easy one. You will remember to come back to me when you are not so distracted...');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '11', 'npc_1_1', 'I have heard of your name spoken in whispers among the Sisters. You want to help me, don\'t you? You will feel more complete by offering your help, and want to give in to my every desire....');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '12', 'npc_1_2', 'I am sickened to hear what has recently happened. It seems the Singing Mountain Sisters know not how to leave well enough alone. Very well, I shall set my pet upon them, won\'t I?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '13', 'npc_1_3', 'Oh, the Empire is quite effective indeed, aren\'t they? They have already sent someone to replace my \'toy\'. Perhaps this one might know how to leave our beautiful planet this time. Pet! Go fetch this one for me!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '14', 'npc_2_1', 'Yes, you are a good little one, aren\'t you. You will now go bring to me the newest arrival to the Imperial Prison. He is quite handsome, and I have not had a fun toy to play with for a while. Do not make me wait long...');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '15', 'npc_2_2', 'Yes, it pleases you more than anything to do so. Go find the Nightsister who has fallen sway to the Singing Mountain\'s silly preachings, then bring her back to me. You may do as you please to the other Sisters there.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '16', 'npc_2_3', 'So willing... you are such a good pet, aren\'t you? Now, go bring him here unharmed and maybe I\'ll give you a treat... you\'d like that, wouldn\'t you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '17', 'npc_3_1', 'Oh... you are stronger than you look. Hmmm... I don\'t know whether to be angry or to view you as a challenge. I do so fear if I try any harder, I might shatter your little mind...');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '18', 'npc_3_2', 'Oh, broken my compulsion, have you? You think you\'re clever, don\'t you? Hahaha... you are in the heart of our home, and you think you\'re going to walk out of here? Not so clever after all, are you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '19', 'npc_3_3', 'So. You could have remained happy being my pet, but instead you choose to have it this way... very well then... let me see how you plan on leaving our stronghold, little pet.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '20', 'npc_4_1', 'I am helping you, little one. I am helping you to see that you cannot be happy unless you fulfill my whims... Anything I want, I deserve... I am helping you to see that. You like it when I help you, don\'t you? And now you want to help me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '21', 'npc_4_2', 'The loathsome Singing Sisters have had the audacity to persuade one of our Sisters forsake the use of the Shadow Magics! This will not do. How dare they try to play with the mind of a Nightsister!! Who do they think they are?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '22', 'npc_4_3', 'There is a whole galaxy out there, little pet, which I think you very well know. The Sisters only wish to visit your people and bring them our culture. If they refuse... *sigh*... then we will have to kill them. I know they will be happy with us as their rulers.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '23', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '24', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '25', 'npc_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '26', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '27', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '28', 'npc_6_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '29', 'npc_backtowork_1', 'You will be a good little pet and fetch me the Officer that has arrived at the prison so that I may... entertain myself.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '30', 'npc_backtowork_2', 'You are to fetch that impudent little girl who now claims to be a Singing Sister... and then I will deal with her.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '31', 'npc_backtowork_3', 'Go and fetch this new officer who is replacing the last one. Bring him back to me relatively unharmed.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '32', 'npc_breech_1', 'What\'s going on here? Who are you? Guards, protect me!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '33', 'npc_breech_2', 'Oh no!!! I\'ve been found out! Please, just let me go!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '34', 'npc_dropoff_1', 'Who is this? Is this one of those Nightsisters? Whatever you want of me, you will not have it!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '35', 'npc_dropoff_2', 'Baritha, I\'m so sorry.... I\'m so very sorry... I\'m sorry.... please don\'t hurt me....  pleaaasee......');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '36', 'npc_failure_1', 'Bad, bad, bad pet!!! I told you to bring me a toy, and you have failed me. Perhaps I will tire of you and find a new pet.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '37', 'npc_failure_2', 'You didn\'t bring her here? This make me very angry... VERY angry. Do you know what I do to my pets when they make me angry?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '38', 'npc_failure_3', 'You stupid little creature! I gave you a simple task, and you couldn\'t even do that!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '39', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '40', 'npc_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '41', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '42', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '43', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '44', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '45', 'npc_noloc_1', 'Let us wait for him to emerge from his sanctuary, shall we?  Come back to me in a little while.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '46', 'npc_noloc_2', 'She will be meeting with her co-conspirators soon. Come back to me and I will tell you when you will want to leave.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '47', 'npc_noloc_3', 'You will wait until he is less guarded. Ask me again in a little while when you should leave to do so.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '48', 'npc_reset', 'Ahhh... a fiesty one.... well, this changes things, doesn\'t it? Now think carefully about what I am about to say. Either join me... or die.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '49', 'npc_reward_1', 'Oh, he is a strong looking one, isn\'t he? I hope this one will be more of a challenge this time.... you have done well, my precious pet. You may please me again in the future. For now, leave me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '50', 'npc_reward_2', 'Oh, you brought her back here. Here, let me pat you on the head, precious pet. You did good, didn\'t you? Yes, you did good... Now, as for you, Sister, you will learn the price of your mistake. Leave me, pet.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '51', 'npc_reward_3', 'Ah... he has the look of someone important... very good, pet. Now, go to your corner and sit there until Ihave further need of you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '52', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '53', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '54', 'npc_takeme_1', 'Where are you taking me? I command you, Let me go at once. Oh... you have a weapon. Very well, lead on');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '55', 'npc_takeme_2', 'No, please! You don\'t know what she\'ll do to me!! Please...please, I beg you... if you have any soul, please let me gooooo!!!!!!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '56', 'npc_work_1', 'Yes, little pet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '57', 'npc_work_2', 'Yes, my precious pet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '58', 'npc_work_3', 'Yes, my precious pet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '59', 'otherescort_1', 'I am not the person you are looking for.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '60', 'otherescort_2', 'Nope, I\'m not the one you\'re looking for. I think the other one\'s over there.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '61', 'player_1_1', 'What\'s going on he--.......... yesss... Yes, I want to help you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '62', 'player_1_2', 'Yes, my mistress, I will fulfill your wishes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '63', 'player_1_3', 'Yes, my dark mistress.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '64', 'player_2_1', 'What\'s going on?! No! Get away from me!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '65', 'player_2_2', 'I... must... fight... this.... NOOOO!!!!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '66', 'player_2_3', 'Get... out... of... my... head!!!! NO!!!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '67', 'player_3_1', 'What are you doing to my head?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '68', 'player_3_2', 'What has the enemy done?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '69', 'player_3_3', 'Why does my mistress wish to leave?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '70', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '71', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '72', 'player_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '73', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '74', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '75', 'player_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '76', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '77', 'player_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '78', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '79', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '80', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '81', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '82', 'player_reset', 'I remember who I am now, Baritha. You have no power over me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '83', 'player_sorry', 'Mistress, what do you wish of me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '84', 'return_waypoint_description_1', 'You want to return the Imperial to Baritha. There is nothing more in the world you want.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '85', 'return_waypoint_description_2', 'Your dark mistress wishes you to hurry. You don\'t want to keep her waiting, do you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '86', 'return_waypoint_name_1', 'Baritha');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '87', 'return_waypoint_name_2', 'Baritha');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '88', 'waypoint_description_1', 'Apparently Baritha has chosen this person to be a \'toy\', whatever she means by that.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '89', 'waypoint_description_2', 'This is where you will find the traitor. Kill her friends then bring her back.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '90', 'waypoint_name_1', 'Newly Arrived Imperial');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '91', 'waypoint_name_2', 'Defecting Nightsister');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '92', 'npc_reset_1', 'Ahhh... a fiesty one.... well, this changes things, doesn\'t it? Now think carefully about what I am about to say. Either join me... or die.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '93', 'npc_reset_2', 'Ahhh... a fiesty one.... well, this changes things, doesn\'t it? Now think carefully about what I am about to say. Either join me... or die.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '94', 'npc_reset_3', 'Ahhh... a fiesty one.... well, this changes things, doesn\'t it? Now think carefully about what I am about to say. Either join me... or die.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '95', 'npc_reset_4', 'Ahhh... a fiesty one.... well, this changes things, doesn\'t it? Now think carefully about what I am about to say. Either join me... or die.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '96', 'player_reset_1', 'I remember who I am now, Baritha. You have no power over me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '97', 'player_reset_2', 'I remember who I am now, Baritha. You have no power over me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '98', 'player_reset_3', 'I remember who I am now, Baritha. You have no power over me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '99', 'player_reset_4', 'I remember who I am now, Baritha. You have no power over me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '100', 'player_sorry_1', 'Mistress, what do you wish of me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '101', 'player_sorry_2', 'Mistress, what do you wish of me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '102', 'player_sorry_3', 'Mistress, what do you wish of me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/baritha.stf', '103', 'player_sorry_4', 'Mistress, what do you wish of me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '1', 'cant_work', 'These walls whisper to me and they tell me that you might be the one. But you must put that to the test when you are not so preoccupied.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '2', 'dontknowyou_1', 'The darkness is rising to embrace all of us. There is no escape...');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '3', 'dontknowyou_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '4', 'dontknowyou_3', 'You do not understand the power of the dark side. Leave, fool!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '5', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '6', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '7', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '8', 'next', 'You\'ve conquered the darkness. Or have you? Can anyone ever truly do that? Not when the darkness lives inside of us. You can feel it, can\'t you? You of all beings should be able to feel it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '9', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '10', 'notit_2', 'That is not the shadow stone shard. Bring me the shard.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '11', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '12', 'notyet', 'Go and speak to Mozo Bondog. He will tell you what you need to do.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '13', 'npc_1_1', 'Has the fool Mozo sent you to solve the mystery of the disappearing inmates? I doubt you can, stranger. Odd, isn\'t it, that I call you stranger when I must seem just as strange to you? Stranger, perhaps. But in this place, most things seem strange. About those disappearing inmates... Interested?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '14', 'npc_1_2', 'You\'d like to know where the \'place of shadows\' is, wouldn\'t you? And what the shadow stone is? Perhaps I know of a place where this exists. But do you truly wish to go there?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '15', 'npc_1_3', 'The shard has revealed the ancient evil behind these wraiths. Do you think you can stop it? Do you dare try?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '16', 'npc_2_1', 'As it turns out, one of them has reappeared. Finding him will undoubtably shed some light on where the others have gone. But you must hurry. Dathomir is not exactly the sort of place one wishes to wander about. There are many horrors, both seen and unseen, that can claim a being\'s life... or soul.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '17', 'npc_2_2', 'Very well. Bring me the shadow shard and I may be able to help you solve this mystery. You can only get the shard by shattering the shadow stone. The wraiths will try to stop you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '18', 'npc_2_3', 'Go to these coordinates and face the master of these wraiths. This sinister force is strong with the dark side. It is not likely that you\'ll return.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '19', 'npc_3_1', 'I didn\'t think you\'d be the one to solve this riddle. I\'m not sure what made you think you could. Was it the fact that the Force is strong in you? Oh dear, I\'ve said too much.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '20', 'npc_3_2', 'Perhaps you are wiser than you look. This affair is beyond your feeble skills.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '21', 'npc_3_3', 'The dark side has a strong influence on the weak-minded. It is perhaps best that you choose not to face this power.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '22', 'npc_4_1', 'As I said, Dathomir is full of strange occurrences. In most cases, the prison cells were still sealed and there was no evidence of a breakout. What do you think this would imply?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '23', 'npc_4_2', 'The whispers told me, of course. I am not without my own skills, stranger. Why do you think I\'m here? I was considered far too dangerous to be allowed to remain free, yet no one dared execute me. Isn\'t that odd?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '24', 'npc_4_3', 'The shard was a piece of a Sith holocron and it is a Sith that you go to face now. This agent of evil has enslaved many souls on Dathomir. This dark warrior can enslave the minds of others.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '25', 'npc_5_1', 'That is a good conclusion, yet the recording devices show no evidence of any foul play. And there\'s the issue of the wraiths.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '26', 'npc_5_2', 'The Emperor, who else? He declared me a threat to the Empire and had me imprisoned here. Don\'t you find that amusing? The Emperor declaring me a threat? I chuckle everytime I think of that.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '27', 'npc_5_3', 'Yes, the Sith took possession of their bodies and they were none the wiser. Prison guards would wipe the evidence away and none would remember their actions.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '28', 'npc_6_1', 'The specters of those who have died on Dathomir. And those must surely number in the thousands. Could the wraiths have helped these inmates escape? Locate the lost inmate and you might have your answer. Do you wish to do it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '29', 'npc_6_2', 'Perhaps because he knew I could one day challenge him for control of the Empire. I was close to finding the key that would have allowed me to do that. But that is another matter...');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '30', 'npc_6_3', 'Yes, I have watched it happen time and again. The Sith wanted my allegiance but I refused to give it. I was too powerful to be controlled like the others so the Sith warrior was making arrangements to have me destroyed. I couldn\'t allow this to happen. Shall you go and end this menace once and for all?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '31', 'npc_backtowork_1', 'Do you hear the whispers too? They tell of unspeakable horrors.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '32', 'npc_backtowork_2', 'If you hesitate, you\'ll be lost.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '33', 'npc_backtowork_3', 'Waiting will not make this task any easier.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '34', 'npc_breech_1', 'The wraiths are everywhere! Can\'t you hear them? Silence them!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '35', 'npc_breech_2', 'silence...');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '36', 'npc_breech_3', 'I have been expecting you. The dark side hungers for you. Come embrace it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '37', 'npc_dropoff_1', 'There is no refuge! No sanctuary! You should have let me die out there...');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '38', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '39', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '40', 'npc_failure_1', 'What hope did you have against such an ancient evil? You are nothing compared to its power.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '41', 'npc_failure_2', 'No shard, no secrets revealed. Such a waste.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '42', 'npc_failure_3', 'The darkness will spread from Dathomir to other planets. Perhaps the Emperor will have to become involved.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '43', 'npc_more_1_1', 'The wraiths willed it to be so. Nothing can contend against them. Soon they will spread to other planets.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '44', 'npc_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '45', 'npc_more_1_3', 'I am a phantom from the past that has come to claim the future. Those who do not join me will be destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '46', 'npc_more_2_1', 'The ghosts of the past. The shadows that move and speak in your mind. Can\'t you hear them? Can\'t you see them?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '47', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '48', 'npc_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '49', 'npc_more_3_1', 'The place of shadows! That is where they come from. And the shadow stone is where they get their power. They will come for all of us! There is no escape!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '50', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '51', 'npc_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '52', 'npc_noloc_1', 'The whispers reveal more secrets to me. I must listen closely or the wraiths shall become angry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '53', 'npc_noloc_2', 'The wraiths are becoming angry with me. I must take a few moments to speak to them. I don\'t wish them to view me as their enemy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '54', 'npc_noloc_3', 'The Sith tries to hide from my sight but I know how to find shadows in the darkness.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '55', 'npc_reset', 'This is beyond you. Go back to the light where all is safe. The dark is no place for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '56', 'npc_reward_1', 'More questions? How could this be? That is the nature of clues. They answer old questions and create new ones. There will always be questions. Claim the reward Mozo has provided for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '57', 'npc_reward_2', 'You have brought me the crystal shard. Excellent. I must study its secrets before I can help you fight the wraiths.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '58', 'npc_reward_3', 'There are many evils in this universe. The Sith are but one of these. I am another. Remember that the light cannot exist without darkness.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '59', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '60', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '61', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '62', 'npc_takeme_1', 'Can you see them? The wraiths? There is no escaping them! They will always be there!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '63', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '64', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '65', 'npc_work_1', 'Have you found the missing inmate? What secrets await to be revealed?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '66', 'npc_work_2', 'Where is the shard of the shadow stone? I cannot help you if I do not have it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '67', 'npc_work_3', 'Have you confronted this ancient evil? It will conquer this planet if you fail to stop it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '68', 'otherescort_1', 'Run! The wraiths are after you!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '69', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '70', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '71', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '72', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '73', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '74', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '75', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '76', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '77', 'player_3_1', 'Tell me more about the disappearances.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '78', 'player_3_2', 'How do you know where the shadow stone is?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '79', 'player_3_3', 'What is this ancient evil?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '80', 'player_4_1', 'The inmates had help on the inside.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '81', 'player_4_2', 'Who sent you here?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '82', 'player_4_3', 'Is this how the inmates were allowed to escape?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '83', 'player_5_1', 'What are the wraiths?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '84', 'player_5_2', 'Why did the Emperor feel you were a threat?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '85', 'player_5_3', 'You\'ve known this all along, haven\'t you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '86', 'player_more_1_1', 'How did you get out of your cell?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '87', 'player_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '88', 'player_more_1_3', 'Who are you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '89', 'player_more_2_1', 'What are these wraiths?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '90', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '91', 'player_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '92', 'player_more_3_1', 'Where do these wraiths come from?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '93', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '94', 'player_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '95', 'player_reset', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '96', 'player_sorry', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '97', 'return_waypoint_description_1', 'Escort the inmate back to Dolac Legasi.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '98', 'return_waypoint_description_2', 'Bring the shard back to Dolac Legasi.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '99', 'return_waypoint_description_3', 'Report your success back to Dolac Legasi.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '100', 'return_waypoint_name_1', 'Dolac Legasi\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '101', 'return_waypoint_name_2', 'Dolac Legasi\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '102', 'return_waypoint_name_3', 'Dolac Legasi\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '103', 'waypoint_description_1', 'Locate the escaped inmate.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '104', 'waypoint_description_2', 'Shatter the shadow stone and retrieve the shard.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '105', 'waypoint_description_3', 'Destroy the ancient evil before it spreads throughout the galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '106', 'waypoint_name_1', 'Escaped Inmate\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '107', 'waypoint_name_2', 'Shadow Stone\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '108', 'waypoint_name_3', 'Master of the Wraiths\' Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '109', 'npc_reset_1', 'This is beyond you. Go back to the light where all is safe. The dark is no place for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '110', 'npc_reset_2', 'This is beyond you. Go back to the light where all is safe. The dark is no place for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '111', 'npc_reset_3', 'This is beyond you. Go back to the light where all is safe. The dark is no place for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '112', 'npc_reset_4', 'This is beyond you. Go back to the light where all is safe. The dark is no place for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '113', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '114', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '115', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '116', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '117', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '118', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '119', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_dolac_legasi.stf', '120', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '1', 'cant_work', 'You lookin\' for work? No, I guess you\'re busy. Well, check with me when you want a job.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '2', 'dontknowyou_1', 'Get away from me or I\'ll kill you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '3', 'dontknowyou_2', 'Get out of this area, or you will soon die.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '4', 'dontknowyou_3', 'Get out of this area, or you will soon suffer.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '5', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '6', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '7', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '8', 'next', 'I personally got nothing else for you to do. But you could help us with this disappearing-inmates problem by talking with that prisoner Dolac Legasi. Be careful, he\'s a weird one.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '9', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '10', 'notit_2', 'I was expectin\' you to bring me my backpack, the one that stinkin\' mercenary warlord stole. This ain\'t it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '11', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '12', 'notyet', 'Away with you... if you are not part of the Empire, then you are of no use to me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '13', 'npc_1_1', 'Yeah? You lookin\' for work? Great, I got work I\'m dyin\' to give you, \'cause if I had to do it myself, I\'d be dyin\', get me? Got a lot of escaped prisoners lately. One is -- let\'s see -- a \"teras kasi master convicted of dangerous insurgent talk.\" Wanna go kill this escaped master for me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '14', 'npc_1_2', 'This really stinks! Okay, another prisoner gets out, fine -- this one is, let\'s see, \"a notorious mercenary warlord from Lok\" -- but on the way out, this mighty warlord stole my favorite backpack! I hate that! I want you to find this warlord, do the whole fatality thing you did before, and bring me back that backpack. You up for that?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '15', 'npc_1_3', 'Another escapee. I don\'t get it. Whadda they makin\' these doors out of, eggshells? This one is -- lemme see -- \"a notorious leader of the Janta clan on Dantooine.\" I\'m seein\' no percentage in goin\' out into that wasteland after this nobody. I want you to take care of it, and I\'ll pay you outta my travel and entertainment budget.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '16', 'npc_2_1', 'Great. You just put a few blaster bolts in that wall-kicker and report back here for a nice reward.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '17', 'npc_2_2', 'Okay. Get out there, kill the warlord, and try to avoid damaging my backpack. Keep your priorities straight here, like I do.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '18', 'npc_2_3', 'Great. I\'ll wanna hear back from you here, just as soon as you dispose of this little clan leader thing.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '19', 'npc_3_1', 'No? Whaddya mean no? Like I got all day to stand around talking with the likes of you? Get out.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '20', 'npc_3_2', 'You scared of a crummy warlord? Maybe I\'m not so hot on your prospects here after all.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '21', 'npc_3_3', 'Then you and I got nothin\' else to talk about. After all I did for you, too!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '22', 'npc_4_1', 'Me? I\'m a security chief. I don\'t know nothin\' about nobody. I just look at the manifests -- \"oh look, another bunch got free and ran out into the wilds\" -- and I send people after them. People like you. You interested in this job or not?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '23', 'npc_4_2', 'It\'s an old jet model once worn by a great bounty hunter, Viume Loggun. He\'s dead now. The jetpack doesn\'t actually work, which is kind of directly the reason he died. But it\'s a great souvenir, and I want it back from that stinkin\' warlord who stole it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '24', 'npc_4_3', 'I got no idea who this prisoner is or why he, or possibly she, is here. But the prisoner escaped, and it\'s up to you to kill him, or conceivably her, before he (or maybe she) can get offworld. Okay?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '25', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '26', 'npc_5_2', 'Beats me. Someone who, it says here, \"led a brutal but unsuccessful assault on the Empire\'s outpost on Lok, commanded by General Otto.\" What kind of name is \"Otto\"? Well, never mind. Anything else you wanna know?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '27', 'npc_5_3', 'You got me! Not only do we have people gettin\' out into the wilds, we got \'em literally disappearing out of the cells and vanishing totally -- I mean like into thin air. It\'s a weird planet, Dathomir is, and it makes this place weird just bein\' here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '28', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '29', 'npc_6_2', '\"Wraith\"? Like a ghost? Boy, you got me. I expect bein\' in this lousy place does somethin\' to the mind. I personally feel like my mind is as finely tuned as ever, but I\'m made of sterner stuff than most. Anyway, about that backpack -- will you bring it back?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '30', 'npc_6_3', 'More about \"wraiths,\" huh? We\'re hearin\' that from some of the prisoners still inside, not that you\'d think there\'s any left after all these escapes. The only guy I can think of who\'d know something about that is one of our weirder prisoners, Dolac Legasi. If you take out this Janta clan leader for me, I\'ll let you talk to him, okay?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '31', 'npc_backtowork_1', 'I don\'t got all day to talk, you know? Just go out and kill that escaped teras kasi master.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '32', 'npc_backtowork_2', 'Look, let\'s not let that stinkin\' warlord wander around all day with my backpack in tow. Get movin\'!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '33', 'npc_backtowork_3', 'I told you plenty already. Get goin\' and take out that Janta clan leader.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '34', 'npc_breech_1', 'You want to take me back to face those wraiths! I won\'t let you!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '35', 'npc_breech_2', 'That prison steals the mind! I will kill you before I go back!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '36', 'npc_breech_3', 'The wraiths have stolen my spirit! I shall steal yours -- kill you and eat your heart!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '37', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '38', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '39', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '40', 'npc_failure_1', 'What, one little teras kasi master was too tough for you? You definitely ain\'t cut out for this job. Not that you\'d want it, believe me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '41', 'npc_failure_2', 'You didn\'t bring back my backpack? Friend, you\'re now officially on my Mess-Up Roster. I tell you this -- that\'s a place it\'s no good to be.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '42', 'npc_failure_3', 'You didn\'t take care of that Janta clan leader? What is the thing with that leader? Is there, like, a spare Imperial walker running interference?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '43', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '44', 'npc_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '45', 'npc_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '46', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '47', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '48', 'npc_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '49', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '50', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '51', 'npc_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '52', 'npc_noloc_1', 'I\'m waitin\' to hear on the current coordinates of that teras kasi master. Details, details. Like I got all day to wait on some probe droid. You check with me in a moment, okay?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '53', 'npc_noloc_2', 'I\'m waitin\' on some probe droids to send this warlord\'s current location. Check with me in a moment, okay?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '54', 'npc_noloc_3', 'I\'m waitin\' on some probe droids to get the right coordinates. That\'s my life, waitin\' on probe droids. Brother! Talk to me again soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '55', 'npc_reset', 'Yeah, I know what you mean. I pull out of a lot of my jobs too, but they\'re always there waiting on me when I get back. Likely this one will be waiting for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '56', 'npc_reward_1', 'Yeah, I know you took out that teras kasi master. We got probe droids everywhere lookin\' at everything. It\'s enough to make you spooked, ain\'t it? Well, here\'s your reward, and check back with me. We always got escaped prisoners around here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '57', 'npc_reward_2', 'Hey! My backpack! Never thought I\'d see it again. Okay, friend, you\'re officially my new favorite person. Tell you what, get in touch with me for more work when you want it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '58', 'npc_reward_3', 'I gotta say, you do good work. Take this reward, and I wanna have you talk to a prisoner who may know somethin\' about all these disappearances. Dolac Legasi, that\'s his name. Dolac won\'t talk to me -- he hates me, which is fine by me as long as he stays in his cell. Talk to him, see what you can find out about disappearances, take care of it, and I\'ll authorize more rewards. Okay?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '59', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '60', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '61', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '62', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '63', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '64', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '65', 'npc_work_1', 'I thought I told you to take out that teras kasi master. What, you\'re taking in the atmosphere around here?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '66', 'npc_work_2', 'You got my backpack? No, I see you don\'t. Which makes me wonder why you\'re botherin\' me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '67', 'npc_work_3', 'You taken care of that escaped Janta clan leader? Why not? I don\'t wanna have to do it myself, lemme tell you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '68', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '69', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '70', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '71', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '72', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '73', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '74', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '75', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '76', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '77', 'player_3_1', 'What do you know about this escaped teras kasi master?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '78', 'player_3_2', 'Why is this backpack important to you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '79', 'player_3_3', 'What can you tell me about this leader of the Janta clan?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '80', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '81', 'player_4_2', 'Who is the mercenary warlord?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '82', 'player_4_3', 'Why do prisoners keep escaping this prison?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '83', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '84', 'player_5_2', 'The prisoner I defeated before mentioned a \"wraith\" in the prison. What is that about?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '85', 'player_5_3', 'The prisoners I defeated before talked about \"wraiths\" in the prison. What is that about?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '86', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '87', 'player_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '88', 'player_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '89', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '90', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '91', 'player_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '92', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '93', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '94', 'player_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '95', 'player_reset', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '96', 'player_sorry', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '97', 'return_waypoint_description_1', 'The Imperial Prison security chief awaits news of the fate of the escaped teras kasi master.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '98', 'return_waypoint_description_2', 'The Imperial Prison security chief awaits the return of his prized backpack, stolen by an escaped Lok mercenary warlord.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '99', 'return_waypoint_description_3', 'The Imperial Prison security chief awaits a report on the escaped Janta clan leader from Dantooine.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '100', 'return_waypoint_name_1', 'Mozo Bondog');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '101', 'return_waypoint_name_2', 'Mozo Bondog');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '102', 'return_waypoint_name_3', 'Mozo Bondog');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '103', 'waypoint_description_1', 'Imperial Prison security chief Mozo Bondog wants this escaped prisoner killed.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '104', 'waypoint_description_2', 'This warlord from the planet Lok escaped Dathomir Imperial Prison. Security Chief Mozo Bondog wants the backpack that the escapee stole.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '105', 'waypoint_description_3', 'Imperial Prison security chief Mozo Bondog wants this Dantooine escapee killed.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '106', 'waypoint_name_1', 'Teras Kasi Master');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '107', 'waypoint_name_2', 'Mercenary Warlord');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '108', 'waypoint_name_3', 'Janta Clan Leader');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '109', 'npc_reset_1', 'Yeah, I know what you mean. I pull out of a lot of my jobs too, but they\'re always there waiting on me when I get back. Likely this one will be waiting for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '110', 'npc_reset_2', 'Yeah, I know what you mean. I pull out of a lot of my jobs too, but they\'re always there waiting on me when I get back. Likely this one will be waiting for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '111', 'npc_reset_3', 'Yeah, I know what you mean. I pull out of a lot of my jobs too, but they\'re always there waiting on me when I get back. Likely this one will be waiting for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '112', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '113', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '114', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '115', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '116', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_imperialprison_mozo_bondog.stf', '117', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '1', 'cant_work', 'I need someone who will dedicate themselves to my assignments. Come back when you are not as occupied.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '2', 'dontknowyou_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '3', 'dontknowyou_2', 'Away with you. I am on a mission from my clan.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '4', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '5', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '6', 'next', 'I have nothing further for you at present.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '7', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '8', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '9', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '10', 'npc_1_1', 'Are you here to help, offworlder? I have little time for you if you\'re not. One of my rancors has escaped from its pen. These creatures take years to train and I don\'t want to lose all the work that went into this one. Could you help me get it back?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '11', 'npc_1_2', 'It appears that Singing Mountain Clan has been raiding our territory looking for rancor nests. They are probably also responsible for freeing the rancors from their pens. I need someone to wipe this raiding party out. Could you handle that?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '12', 'npc_2_1', 'My scouts reported unusual rancor activity in this area. Go and check it out. If you find my rancor, bring it back here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '13', 'npc_2_2', 'Head to these coordinates. The Singing Mountain Clan\'s raiding party should be there. Wipe them all out. This will not be easy so you might wish to bring allies.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '14', 'npc_3_1', 'Why do you waste my time then? Away with you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '15', 'npc_3_2', 'I believe you are correct. You probably can\'t handle a Singing Mountain Clan raiding party.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '16', 'npc_4_1', 'Normally yes, but I\'ve sprayed you with a musk that the rancor will recognize. You will be safe and it will follow you back here. Will you do it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '17', 'npc_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '18', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '19', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '20', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '21', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '22', 'npc_backtowork_1', 'Why are you just standing around?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '23', 'npc_backtowork_2', 'Ogling me won\'t help you accomplish this goal.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '24', 'npc_breech_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '25', 'npc_breech_2', 'A stranger approaches, sisters! Be on your guard!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '26', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '27', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '28', 'npc_failure_1', 'I\'ve just lost years of hard work and training. I must investigate how this rancor escaped from its pen.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '29', 'npc_failure_2', 'I must find a way to dispose of this raiding party. Perhaps I will go personally.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '30', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '31', 'npc_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '32', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '33', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '34', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '35', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '36', 'npc_noloc_1', 'Let me verify these coordinates with my scouts. Return in a few moments.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '37', 'npc_noloc_2', 'I must verify the coordinates with my scouts. Come back in a few moments.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '38', 'npc_reset', 'I do not have time for those who cannot finish what they begin. If that changes, you may see me again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '39', 'npc_reward_1', 'You have done well. Take this as compensation for your efforts.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '40', 'npc_reward_2', 'Well done. You are efficient, for an offworlder. Claim your reward.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '41', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '42', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '43', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '44', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '45', 'npc_work_1', 'Have you found my rancor? I do not wish our rivals to claim this beast.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '46', 'npc_work_2', 'Have you destroyed that raiding party? They must be stopped.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '47', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '48', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '49', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '50', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '51', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '52', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '53', 'player_3_1', 'Wouldn\'t the rancor eat me if I approached it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '54', 'player_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '55', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '56', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '57', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '58', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '59', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '60', 'player_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '61', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '62', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '63', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '64', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '65', 'player_reset', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '66', 'player_sorry', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '67', 'return_waypoint_description_1', 'Return the escaped rancor back to Fath Hray.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '68', 'return_waypoint_description_2', 'Report your success back to Fath Hray.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '69', 'return_waypoint_name_1', 'Fath Hray\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '70', 'return_waypoint_name_2', 'Fath Hray\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '71', 'waypoint_description_1', 'Find the escaped rancor.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '72', 'waypoint_description_2', 'Wipe out the Singing Mountain Clan raiding party.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '73', 'waypoint_name_1', 'Escaped Rancor\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '74', 'waypoint_name_2', 'Raiding Party\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '75', 'npc_reset_1', 'I do not have time for those who cannot finish what they begin. If that changes, you may see me again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '76', 'npc_reset_2', 'I do not have time for those who cannot finish what they begin. If that changes, you may see me again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '77', 'npc_reset_3', 'I do not have time for those who cannot finish what they begin. If that changes, you may see me again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '78', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '79', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '80', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '81', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '82', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_nightsisterstronghold_fath_hray.stf', '83', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '1', 'cant_work', 'I\'m run ragged around here, so I could really use your help when you\'re not so busy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '2', 'dontknowyou_1', 'You got the wrong person, friend.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '3', 'dontknowyou_2', 'Imperial business. Move along.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '4', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '5', 'gotowork_2', 'I expected you to bring me Shibb Nisshil\'s Cyber-Rancor Project findings. Don\'t you have the datadisc?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '6', 'next', 'I won\'t say everything is under control here, but I don\'t have anything for you to do right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '7', 'notit_1', 'I was expecting briny bath salts from Tibrin for my boss, Shib Nisshil. This isn\'t the salts.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '8', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '9', 'notyet', 'I deal with Imperial personnel only... move along.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '10', 'npc_1_1', 'At last! Running this outpost is so much work, it turns my scales blue. But you\'re here to help me, right? Right? I need you to pick up an order of Shibb Nisshil\'s briny bath salts that\'s gone off-course. Interested?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '11', 'npc_1_2', 'Hello again! I\'m desperate again! I can\'t find time to get out to the wilderness to drop off a datadisc to a certain other party. Will you kindly do so?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '12', 'npc_2_1', 'Great. The person you meet may seem a little bit, I don\'t know -- criminal? But it\'s strictly all right. It\'s not like Dathomir has laws anyway. Bring me the salts and I\'ll pay you for your effort.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '13', 'npc_2_2', 'Here\'s the disc. You\'re looking for an Imperial Intelligence officer. He probably won\'t want to talk much, so just give it to him and get back here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '14', 'npc_3_1', 'All right then, I\'ll just have to send a droid. Hope it doesn\'t get lost again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '15', 'npc_3_2', 'I\'m sorry to hear that. I hate offending Imperial Intelligence. Let me know if you reconsider.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '16', 'npc_4_1', 'Shibb Nisshil is an Ishi Tib. So he needs immersion in briny water every day or two to keep his lungs moist. Shibb prefers a particular brine salt that we have to import from his home planet, Tibrin.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '17', 'npc_4_2', 'Well -- I\'ll tell you this much, and I hope you\'ll be discreet. Imperial Intelligence is getting nasty about Shibb Nisshil\'s lack of regular communiques. To keep them happy, I secretly deliver copies of his findings to Intelligence officers at a secret rendezvous in the wilderness. But I can\'t make it this time. Will you go?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '18', 'npc_5_1', 'These particular brine salts aren\'t on the usual Imperial supply requisition forms, so we have to resort to unauthorized \"procurement specialists.\" These folks sometimes lack updated landing charts, not to mention adequate clearances to get past the blockades. So this latest delivery agent sort of crash-landed in the wilderness.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '19', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '20', 'npc_6_1', 'He\'s the chief scientist at this outpost. He\'s working on a project that -- well, I\'m not sure if I\'m supposed to talk about that. But he gets really cranky when he doesn\'t bathe in his particular briny salts, so will you go get them?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '21', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '22', 'npc_backtowork_1', 'I don\'t have a lot more information for you. I just need you to bring me those briny bath salts.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '23', 'npc_backtowork_2', 'I don\'t know what else to tell you. Just take this disc to the Imperial Intelligence officer at the wilderness rendezvous, then return here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '24', 'npc_breech_1', 'You! You here to pick up these bath salts?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '25', 'npc_breech_2', 'You there! I\'m waiting for those project findings.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '26', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '27', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '28', 'npc_failure_1', 'You didn\'t bring those briny bath salts? Oh no. This will be bad for Shibb Nisshil\'s morale.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '29', 'npc_failure_2', 'You didn\'t deliver that disc to the Imperial Intelligence officer? Oh dear. They\'ll be mad at Shibb Nisshil.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '30', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '31', 'npc_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '32', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '33', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '34', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '35', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '36', 'npc_noloc_1', 'I\'m waiting to hear from our delivery agent on the exact coordinates of the rendezvous. These \"procurement specialists\" get touchy, you know. Talk to me again in a few moments.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '37', 'npc_noloc_2', 'I\'m waiting to hear from Imperial Intelligence about the rendezvous coordinates. They\'re usually quite punctual about that, so talk to me again in a few moments.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '38', 'npc_reset', 'You don\'t want to run this one little errand? If you had to do everything around here that I do, you\'d run screaming from the planet.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '39', 'npc_reward_1', 'The briny bath salts. At last something goes right in this domain of chaos. I\'m sure Shibb Nisshil will be glad, the next bath he takes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '40', 'npc_reward_2', 'Did that officer have anything to say about the project? Oh, really? Well, we\'ll see who has more influence on Coruscant, him or Shibb Nisshil. I\'ll bet on Shibb every time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '41', 'npc_smuggle_1', 'I\'m never ever gonna tell anyone that I crash-landed my ship just to deliver some stupid -- oh, I can\'t even say the words. Here, take \'em. And tell your employer that the next delivery is gonna have a considerable surcharge.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '42', 'npc_smuggle_2', 'I suspect the notion of building an unstoppable army of cyber-rancors as shock troops will find favor in certain parts of Coruscant. But personally, I consider the idea ludicrous, and I shall so inform my superiors.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '43', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '44', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '45', 'npc_work_1', 'I hope you\'ll bring me those briny bath salts that Shibb Nisshil is waiting for.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '46', 'npc_work_2', 'I hope you\'re planning to deliver that disc to the Imperial Intelligence officer who\'s waiting for it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '47', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '48', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '49', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '50', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '51', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '52', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '53', 'player_3_1', '\"Briny bath salts\"?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '54', 'player_3_2', '\"Drop off a datadisc to a certain other party\"?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '55', 'player_4_1', '\"Gone off-course\"?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '56', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '57', 'player_5_1', 'Who is Shibb Nisshil?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '58', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '59', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '60', 'player_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '61', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '62', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '63', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '64', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '65', 'player_reset', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '66', 'player_sorry', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '67', 'return_waypoint_description_1', 'This assistant to Imperial scientist Shibb Nisshil awaits delivery of Nisshil\'s special briny bath salts imported from Tibrin.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '68', 'return_waypoint_description_2', 'This assistant to Imperial scientist Shibb Nisshil waits to hear the disposition of the Cyber-Rancor Project findings she secretly sent to an Imperial Intelligence officer.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '69', 'return_waypoint_name_1', 'Shaki Hamachil');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '70', 'return_waypoint_name_2', 'Shaki Hamachil');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '71', 'waypoint_description_1', 'Research assistant Shaki Hamachil\'s superior, scientist Shibb Nisshil, wants the special salts carried from Tibrin to Dathomir by a \"procurement specialist.\"');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '72', 'waypoint_description_2', 'This officer is waiting for the Cyber-Rancor Project research findings sent secretly by Imperial scientist Shibb Nisshil\'s assistant, Shaki Hamachil.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '73', 'waypoint_name_1', 'Briny Bath Salts');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '74', 'waypoint_name_2', 'Imperial Intelligence Officer');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '75', 'npc_reset_1', 'You don\'t want to run this one little errand? If you had to do everything around here that I do, you\'d run screaming from the planet.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '76', 'npc_reset_2', 'You don\'t want to run this one little errand? If you had to do everything around here that I do, you\'d run screaming from the planet.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '77', 'npc_reset_3', 'You don\'t want to run this one little errand? If you had to do everything around here that I do, you\'d run screaming from the planet.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '78', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '79', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '80', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '81', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '82', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shaki_hamachil.stf', '83', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '1', 'cant_work', 'You may find it rewarding to meet with me soon, after you are not so busy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '2', 'dontknowyou_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '3', 'dontknowyou_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '4', 'dontknowyou_3', 'Bounty Hunter\'s Guild business. Don\'t get in my way.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '5', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '6', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '7', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '8', 'next', 'All is proceeding according to plan. I no longer need your assistance.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '9', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '10', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '11', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '12', 'notyet', 'My time is valuable and you, obviously, are not worthy of it. Only a servant of the Empire will be of any use to me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '13', 'npc_1_1', 'Ahh -- you are here to help my Cyber-Rancor project? To augment the Empire\'s forces with an unstoppable legion of mechano-organic monstrosities? How good. I have located a minor specimen in the wild. If you kill this rancor, I shall reward you and assign you further work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '14', 'npc_1_2', 'Ah, you again. A pack of thieves has stolen one of my valuable research animals, a rancor of unusual genetic heritage. I urge you to pursue the thieves, kill them, and return the rancor here safely.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '15', 'npc_1_3', 'Oh, dear. I understand that the Ithorian do-gooder naturalist, Wallaw somebody, has actually hired a bounty hunter to kill me. What a nuisance. Can you dispose of this bounty hunter and his team for me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '16', 'npc_2_1', 'Very well. The specimen is evidently old and somewhat deformed, but may still present a challenge. Be wary.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '17', 'npc_2_2', 'Good. Assemble your team and move quickly. Return the rancor here -- it should follow you tamely.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '18', 'npc_2_3', 'Good. I shall reward you upon your return here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '19', 'npc_3_1', 'Then waste no more of my time, imbecile.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '20', 'npc_3_2', 'Then bother me no more.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '21', 'npc_3_3', 'After your previous aid to the cause of science, I am disappointed.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '22', 'npc_4_1', 'Genetic material, you buffoon! I shall send out a bioengineer team to secure the slain rancor\'s genetic stock for later cloning and mechanization. Soon every rancor on Dathomir may lend its genes to my plan. Will you destroy this single specimen?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '23', 'npc_4_2', 'Regrettably, some Ithorian do-gooder naturalist at the Trade Outpost has taken it into his malformed head to obstruct my work. Claims it would depopulate Dathomir of rancors -- as though that were a bad thing. He hired these thieves. Will you return the test rancor here and ensure his silly goals remain unmet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '24', 'npc_4_3', 'I\'d -- I would prefer not to involve my superiors in this embarrassing little fracas. I fear a certain loss of reputation and consequent budget reductions. Really, I\'m sure an agent with your capacities can handle one bounty hunter and a few hired terrorists. Will you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '25', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '26', 'npc_5_2', 'My team implanted a control chip in the creature\'s brain, rendering it docile. After you destroy its captors, simply speak to it in a firm voice and it will follow you blindly. Return it here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '27', 'npc_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '28', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '29', 'npc_6_2', 'My probe droids show four individuals, apparently fairly well-armed. You may need a small strike team to dispatch them. Will you do it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '30', 'npc_6_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '31', 'npc_backtowork_1', 'I have told you everything necessary. You must destroy the rancor specimen to secure my approval.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '32', 'npc_backtowork_2', 'I have told you everything pertinent. Rescue my valuable test rancor from those thieves.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '33', 'npc_backtowork_3', 'There is nothing more to explain. Simply stop that bounty hunter so I can return to my research with a clear mind.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '34', 'npc_breech_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '35', 'npc_breech_2', 'You\'re not here for that Rancor are you?  Hah!  We already \"disposed\" of that!  Now it\'s your turn!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '36', 'npc_breech_3', 'Enemy sighted. Fire at will.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '37', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '38', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '39', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '40', 'npc_failure_1', 'You did not destroy that single rancor specimen? I very much fear I have no work for someone of such mean qualifications.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '41', 'npc_failure_2', 'You did not rescue my test rancor? This is a blow to science.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '42', 'npc_failure_3', 'Dear, dear. I suppose I shall have to alert my superiors about this bounty hunter. What a nuisance.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '43', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '44', 'npc_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '45', 'npc_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '46', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '47', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '48', 'npc_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '49', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '50', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '51', 'npc_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '52', 'npc_noloc_1', 'Ah, one moment. I\'m receiving a report of interesting experimental results. Talk to me again shortly.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '53', 'npc_noloc_2', 'Drat. My probe droid has malfunctioned. When its repair circuits activate, I shall have the rancor\'s coordinates. Talk to me again shortly.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '54', 'npc_noloc_3', 'I am awaiting a report from my probe droid on the bounty hunter\'s whereabouts. Then I shall have coordinates for you. Talk to me shortly.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '55', 'npc_reset', 'I have little patience with quitters. Still, I am short-handed, so stop by again when you feel ready.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '56', 'npc_reward_1', 'My probe droids relayed your efficient dispatch of the creature. I reward you appropriately, and desire you to contact me again for further assignments.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '57', 'npc_reward_2', 'Ah, that\'s too bad.  They killed it, eh?  Well you did your job well enough anyway.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '58', 'npc_reward_3', 'The bounty hunter is dead? A relief. Now I can return to breeding my army of cyber-rancors. Oh, you\'ll want a reward, I suppose? Here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '59', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '60', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '61', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '62', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '63', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '64', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '65', 'npc_work_1', 'I expect you to destroy that rancor specimen. I would have hoped you\'d be on your way already.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '66', 'npc_work_2', 'I expect you to rescue my valuable test rancor from those thieves. What\'s keeping you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '67', 'npc_work_3', 'I certainly hope you can dispose of that nuisance bounty hunter before long.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '68', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '69', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '70', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '71', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '72', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '73', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '74', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '75', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '76', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '77', 'player_3_1', 'Why do you want me to kill this rancor? How can you use a dead one?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '78', 'player_3_2', 'Who hired these thieves to take the test rancor from you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '79', 'player_3_3', 'Why not get the Empire to cancel the bounty hunter\'s contract, or just kill the hunter for you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '80', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '81', 'player_4_2', 'How, exactly, do I rescue a rancor?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '82', 'player_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '83', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '84', 'player_5_2', 'How strong is the team that kidnapped your rancor?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '85', 'player_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '86', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '87', 'player_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '88', 'player_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '89', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '90', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '91', 'player_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '92', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '93', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '94', 'player_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '95', 'player_reset', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '96', 'player_sorry', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '97', 'return_waypoint_description_1', 'This Imperial scientist awaits a report of the destruction of the gnarled rancor, so that he can harvest its genetic material for his planned army of cyber-rancors.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '98', 'return_waypoint_description_2', 'This Imperial scientist awaits the safe return of his stolen test rancor, or information about what happened.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '99', 'return_waypoint_description_3', 'This Imperial scientist awaits news of the bounty hunter hired to terminate him and his cyber-rancor research program.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '100', 'return_waypoint_name_1', 'Shibb Nisshil');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '101', 'return_waypoint_name_2', 'Shibb Nisshil');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '102', 'return_waypoint_name_3', 'Shibb Nisshil');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '103', 'waypoint_description_1', 'Imperial scientist Shibb Nisshil wants this rancor destroyed so he can harvest its genetic material for his planned army of cyber-rancors.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '104', 'waypoint_description_2', 'Thieves have taken Imperial scientist Shibb Nisshil\'s mutated rancor. He wants the thieves killed and the rancor returned safely to him.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '105', 'waypoint_description_3', 'Imperial scientist Shibb Nisshil wants to stop this bounty hunter, who was hired by an Ithorian naturalist to terminate Nisshil and his cyber-rancor experiments.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '106', 'waypoint_name_1', 'Gnarled Rancor');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '107', 'waypoint_name_2', 'Test Rancor');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '108', 'waypoint_name_3', 'Bounty Hunter');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '109', 'npc_reset_1', 'I have little patience with quitters. Still, I am short-handed, so stop by again when you feel ready.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '110', 'npc_reset_2', 'I have little patience with quitters. Still, I am short-handed, so stop by again when you feel ready.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '111', 'npc_reset_3', 'I have little patience with quitters. Still, I am short-handed, so stop by again when you feel ready.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '112', 'npc_reset_4', 'I have little patience with quitters. Still, I am short-handed, so stop by again when you feel ready.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '113', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '114', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '115', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '116', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '117', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '118', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '119', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_researchoutpost_shibb_nisshil.stf', '120', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '1', 'cant_work', 'You are far too busy with other matters. Please come back when you are not so busy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '2', 'dontknowyou_1', 'I cannot speak to you now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '3', 'dontknowyou_2', 'Go away, offworlder! This matter does not concern you!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '4', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '5', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '6', 'next', 'There is nothing more for you to do.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '7', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '8', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '9', 'notyet', 'Go and speak to Vhaunda. She must determine your worthiness before I can assign you missions.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '10', 'npc_1_1', 'Greetings, offworlder, I am Izaryx, rancor trainer of the Singing Mountain Clan. Recently, our rivals, the Nightsisters, have been attacking our scouts. They are convinced that we wish to steal their trained rancors. One of my scouts just sent a distress signal and I have no remaining warriors to send to her rescue. Can you help her out of her predicament?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '11', 'npc_1_2', 'Fath Hray\'s hatred has once again brought suffering to my sisters. She has sent a war party to attack some of our settlements. Rumor has it that this war party is attempting to infect our rancors with something called the Berserker Virus. I need you to stop these raiders before this can happen. Can you do it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '12', 'npc_2_1', 'Hurry to these coordinates and save her from becoming another casualty of war. If you can save her, escort her back here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '13', 'npc_2_2', 'Here are the coordinates. You should bring allies as these Nightsister warriors are quite formidable. My scout who has been tracking this war party will aid you if she can. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '14', 'npc_3_1', 'I had heard that offworlders were cowards but I did not wish to believe it. Perhaps I should revisit that issue.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '15', 'npc_3_2', 'I understand. This is a personal matter between myself and Fath Hray.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '16', 'npc_4_1', 'Her patrol had fallen victim to a Nightsister ambush. Please hurry and you may be able to save her.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '17', 'npc_4_2', 'I was once a member of the Nightsister Clan but I could not accept Gethzerion\'s evil. I rejected them and joined the Singing Mountain Clan. I was Fath Hray\'s apprentice and she felt personally betrayed.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '18', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '19', 'npc_5_2', 'I am not sure but I understand it makes domesticated animals impossible to control. I can\'t allow our rancors to become infected with it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '20', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '21', 'npc_6_2', 'I do not think so, but I have no way of knowing for certain. This mission is filled with risk. Do you wish to tackle it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '22', 'npc_backtowork_1', 'You should hurry. I don\'t know how much longer my scout can hold out.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '23', 'npc_backtowork_2', 'Why do you delay? Do you wish to reconsider?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '24', 'npc_breech_1', 'You will not defeat a member of the Singing Mountain Clan! Have at you, Nightsisters!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '25', 'npc_breech_2', 'Kill these offworlders, my sisters! Slay them all!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '26', 'npc_dropoff_1', 'My thanks, offworlder. You are an ally of the Singing Mountain Clan.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '27', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '28', 'npc_failure_1', 'The Nightsisters will pay for their treachery. Fath Hray\'s vengeance comes at too high a price.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '29', 'npc_failure_2', 'I shall have to deal with Fath Hray myself. I wished it did not have to come to this but now there is no choice.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '30', 'npc_more_1_1', 'Fath Hray, still feeling betrayed over Izaryx\'s defection, wants to hurt Singing Mountain however she can and so attempts to start a war.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '31', 'npc_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '32', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '33', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '34', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '35', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '36', 'npc_noloc_1', 'I must verify the coordinates sent in the distress call.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '37', 'npc_noloc_2', 'Allow me to verify the war party\'s latest location. Come back in a few moments.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '38', 'npc_reset', 'I will find someone else to accomplish this mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '39', 'npc_reward_1', 'You have my thanks, offworlder. Please accept this as payment for your courageous deeds.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '40', 'npc_reward_2', 'You are brave and your skills are magnificent. Please accept this reward.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '41', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '42', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '43', 'npc_takeme_1', 'It is a good thing you arrived when you did. Please take me back to Izaryx, for I have much to report.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '44', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '45', 'npc_work_1', 'Did you save my scout from the Nightsisters?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '46', 'npc_work_2', 'Have you stopped that war party yet? We must now allow the Berserker Virus to spread on Dathomir.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '47', 'otherescort_1', 'I am not waiting for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '48', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '49', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '50', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '51', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '52', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '53', 'player_3_1', 'Why did your scout send a distress signal?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '54', 'player_3_2', 'Why does Fath Hray hate you so much?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '55', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '56', 'player_4_2', 'What is the Berserker Virus?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '57', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '58', 'player_5_2', 'Does this virus affect sentients?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '59', 'player_more_1_1', 'What is happening?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '60', 'player_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '61', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '62', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '63', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '64', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '65', 'player_reset', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '66', 'player_sorry', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '67', 'return_waypoint_description_1', 'Escort the scout back to Izaryx.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '68', 'return_waypoint_description_2', 'Report the news back to Izaryx.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '69', 'return_waypoint_name_1', 'Izaryx\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '70', 'return_waypoint_name_2', 'Izaryx\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '71', 'waypoint_description_1', 'Rescue the scout from the Nightsister raiding party.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '72', 'waypoint_description_2', 'Stop the Nightsister war party from spreading the Berserker Virus.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '73', 'waypoint_name_1', 'Singing Mountain Scout\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '74', 'waypoint_name_2', 'Nightsister War Party\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '75', 'npc_reset_1', 'I will find someone else to accomplish this mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '76', 'npc_reset_2', 'I will find someone else to accomplish this mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '77', 'npc_reset_3', 'I will find someone else to accomplish this mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '78', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '79', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '80', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '81', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '82', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_izaryx.stf', '83', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '1', 'cant_work', 'When you get some free time, please come and speak to me again. I may have tasks for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '2', 'dontknowyou_1', 'I\'m a bit busy, pal.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '3', 'dontknowyou_2', 'Can\'t help you, friend.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '4', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '5', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '6', 'next', 'You have served me well, offworlder. Visit me from time to time and perhaps I\'ll have more tasks for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '7', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '8', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '9', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '10', 'npc_1_1', 'Greetings, offworlder. I am known among my sisters as Zideera. I am apprenticed to Huntress Vhaunda. Recently my mistress has become cross with me due to my growing interest in offworlders, particularly of the male variety. I have explained that I am only curious for they seem quite strange to me - strange but not unappealing. There is one in particular who has fascinated me and now finds himself in need of aid. I cannot aid him myself - my mistress would punish me harshly. Could you help him?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '11', 'npc_1_2', 'My pirate friend has informed me that one of his crewmates has contacted him. It seems my pirate friend needs to return to his people to continue plying his trade. Will you bring my pirate friend\'s crewman back here? It will be safer for them if they can travel back to his ship together.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '12', 'npc_2_1', 'Excellent. I believe his ship was shot down by an Imperial patrol. One of my scout sisters gave me the coordinates of the crash. Could you go there and bring this male back here safely?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '13', 'npc_2_2', 'Excellent. Please hurry. I hear that the Nightsisters have sent a raiding party to investigate the ship\'s landing. They tend to kill offworlders they encounter in the wilds.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '14', 'npc_3_1', 'How sad. I would hate to lose this fascinating male. He has proven a most interesting specimen to study.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '15', 'npc_3_2', 'And just when I was beginning to like you. What a shame.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '16', 'npc_4_1', 'I believe you would refer to him as a pirate. He preys upon the weak members of your kind, which is good since this would serve to cull your herd. Correct?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '17', 'npc_4_2', 'My mistress does not know he\'s still here. I\'m hiding him, you see. It would be bad for both of us if she were to discover him.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '18', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '19', 'npc_5_2', 'I\'ll tell her they arrived together and wish to trade with our clan.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '20', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '21', 'npc_6_2', 'Where males are concerned, it\'s quite necessary. She does not understand my fascination with them and I cannot explain it. I\'ve asked my pirate friend to show her but he\'s convinced that\'s not a wise idea.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '22', 'npc_backtowork_1', 'I have nothing further to tell you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '23', 'npc_backtowork_2', 'Why do you delay? Please find the shipmate.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '24', 'npc_breech_1', 'Over here! Get these blasted creatures off me!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '25', 'npc_breech_2', 'Over here! Are you the one that will take me to my captain?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '26', 'npc_dropoff_1', 'I owe you one, friend. I hope I get a chance to repay you someday.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '27', 'npc_dropoff_2', 'Much obliged, friend. If we ever cross paths again, I hope to remember your kindness.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '28', 'npc_failure_1', 'Where will I find another male as fascinating as that pirate? His greeting customs were most delightful.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '29', 'npc_failure_2', 'Now I shall have to continue to hide my pirate friend in my hut. I suppose that is not entirely bad.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '30', 'npc_more_1_1', 'Let\'s just say that I know how to treat the ladies right. Learn to do that and you\'ll go far in this galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '31', 'npc_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '32', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '33', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '34', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '35', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '36', 'npc_noloc_1', 'I must verify the pirate\'s location. Come back in a few moments.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '37', 'npc_noloc_2', 'One moment while I verify the shipmate\'s location with my pirate friend.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '38', 'npc_reset', 'Come back when you can finish what you begin.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '39', 'npc_reward_1', 'I thank you for bringing him back to me. Please keep this to yourself and accept this as a reward.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '40', 'npc_reward_2', 'Thank you for your help. Please accept this as payment for your services.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '41', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '42', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '43', 'npc_takeme_1', 'A good thing you came when you did, friend. If your goal is to bring me back to that lovely lass Zideera, then lead on.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '44', 'npc_takeme_2', 'Let\'s get a move on, friend. The noises in this place are enough to send shivers up my spine.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '45', 'npc_work_1', 'Did you find my missing pirate?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '46', 'npc_work_2', 'Did you find my pirate friend\'s shipmate?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '47', 'otherescort_1', 'I\'m not the fellow you\'re looking for.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '48', 'otherescort_2', 'You aren\'t looking for me, stranger.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '49', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '50', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '51', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '52', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '53', 'player_3_1', 'Who is this offworlder?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '54', 'player_3_2', 'Why doesn\'t your pirate friend simply go out to meet his shipmate?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '55', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '56', 'player_4_2', 'Won\'t she discover him when the shipmate arrives?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '57', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '58', 'player_5_2', 'You\'ve gotten good at lying to your mistress, haven\'t you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '59', 'player_more_1_1', 'Why is Zideera so taken with you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '60', 'player_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '61', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '62', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '63', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '64', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '65', 'player_reset', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '66', 'player_sorry', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '67', 'return_waypoint_description_1', 'Escort the pirate back to Zideera.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '68', 'return_waypoint_description_2', 'Escort the shipmate back to Zideera.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '69', 'return_waypoint_name_1', 'Zideera\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '70', 'return_waypoint_name_2', 'Zideera\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '71', 'waypoint_description_1', 'Rescue the stranded pirate before he\'s eaten by rancors.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '72', 'waypoint_description_2', 'Find the shipmate before the Nightsisters do.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '73', 'waypoint_name_1', 'Stranded Pirate\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '74', 'waypoint_name_2', 'Pirate Shipmate\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '75', 'npc_reset_1', 'Come back when you can finish what you begin.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '76', 'npc_reset_2', 'Come back when you can finish what you begin.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '77', 'npc_reset_3', 'Come back when you can finish what you begin.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '78', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '79', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '80', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '81', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '82', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainclanstronghold_zideera.stf', '83', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '1', 'cant_work', 'The Singing Mountain Clan is in dire need of aid. When you are not so busy, come back and help us.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '2', 'dontknowyou_1', 'You\'ve picked a dangerous place to be. I recommend finding a safe spot to view the carnage if you value your own skin.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '3', 'dontknowyou_2', 'You gaze into the face of your doom. Be gone from this place, lest it steal the life from your frail body.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '4', 'dontknowyou_3', 'Leave, my friend, before evil consumes you. These witches have no love for intruders.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '5', 'dontknowyou_4', 'Do you seek the blackest pits of despair? Then look no further. But if you value your lives, flee as though a thousand nightmares pursued you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '6', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '7', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '8', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '9', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '10', 'next', 'It shall not be forgotten, how you have aided the Singing Mountain Clan. We have nothing further to ask of you at this time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '11', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '12', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '13', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '14', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '15', 'notyet', 'If you wish to earn my trust, first speak with Vurlene.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '16', 'npc_1_1', 'Welcome to the Singing Mountain Clan Stronghold. Vurlene informs me you are trustworthy. Have you come to aid us in our fight against Gethzerion? She attacks us constantly though we are no threat to her. Now one of our trusted servants has betrayed us. There is no love lost between our people but our need is great. Will you help us, stranger? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '17', 'npc_1_2', 'It\'s strange and yet not entirely unpleasant to see your face at Singing Mountain Stronghold in these harsh times. Perhaps you will be willing to aid us in the recovery of a stolen item if we have not imposed on your good nature too much already. What say you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '18', 'npc_1_3', 'It seems we are constantly seeking your aid in our struggle against the Nightsisters. We would not pester you so frequently if they would just leave us alone. Now they have kidnapped one of our youngest. Will you help us find her?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '19', 'npc_1_4', 'I have a great request to make of you, my friend. It may be beyond your abilities but I will ask anyway. A Nightsister named Morathax has orchestrated all our recent troubles. It would be best for the Singing Mountain Clan if she were removed lest she chip away at us until there is nothing left. Do you think you can handle the job?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '20', 'npc_2_1', 'Compassion is a welcome change to this world. Aldiae, my most trusted servant, has betrayed us and gone to tell Gethzerion of all our weaknesses. Please bring my traitorous servant back here before our vulnerabilities are revealed to those who loathe us.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '21', 'npc_2_2', 'I was right about you. You have an aura of altruism about you that shines through your gruff exterior. If you can find a Nightsister named Vhuransa, we believe she is the one who has stolen our sacred lore. We would be grateful were you to return it to us.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '22', 'npc_2_3', 'Seek out Jhuryx. The Nightsisters took her and it will be no small task to rescue her from their clutches. Take the greatest of care with your preparations. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '23', 'npc_2_4', 'It is bold of you to attempt this but have a care: Morathax will be well guarded by those loyal to her and will not be a quick victory. I caution you to bring friends you trust to aid you in this endeavor. It would sadden us to lose our outsider friend to one such as she.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '24', 'npc_3_1', 'Life must have treated you very cruelly for you to be this callous. Perhaps it will make you strong, but I wouldn\'t count on it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '25', 'npc_3_2', 'Perhaps it seems a small thing to you but to us it is the sum of our history.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '26', 'npc_3_3', 'A hard thing, to deny us the return of our own.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '27', 'npc_3_4', 'It was too much to hope for. Now if you will excuse me, I must find a way to secure the safety of my clan.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '28', 'npc_4_1', 'If simple compassion for an oppressed people will not motivate you then I fail to know what will. We have little enough to offer you but will give you what we can. All I can do is ask. What say you, will you help?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '29', 'npc_4_2', 'An item very precious to the Singing Mountain Clan. It is a compilation of the wisdom of our clan. All the mystical knowledge we have collected over the centuries has been stolen form us. Will you aid us in its recovery?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '30', 'npc_4_3', 'So they can turn her to the path of darkness thus strengthening their clan. We just want our lost sister back. Will you help us?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '31', 'npc_4_4', 'A disciple of Gethzerion who seems to come from the same mould. The last thing we need is both of them trying to destroy us. Can we rely on your help?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '32', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '33', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '34', 'npc_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '35', 'npc_5_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '36', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '37', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '38', 'npc_6_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '39', 'npc_6_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '40', 'npc_backtowork_1', 'You have something on your mind perhaps?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '41', 'npc_backtowork_2', 'I\'ve told you what I can. The rest is up to you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '42', 'npc_backtowork_3', 'Will you rescue our lost sister or have you reconsidered your answer?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '43', 'npc_backtowork_4', 'Have you decided this task is beyond your abilities?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '44', 'npc_breech_1', 'Get away from me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '45', 'npc_breech_2', 'You think you can take anything from me? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '46', 'npc_breech_3', 'At last my sisters send aid.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '47', 'npc_breech_4', 'Now you will experience the power of the dark side.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '48', 'npc_dropoff_1', 'Perhaps they\'ll be merciful. They\'ve always had a soft streak here. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '49', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '50', 'npc_dropoff_3', 'Whatever your reasons for saving me, outsider, I thank you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '51', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '52', 'npc_failure_1', 'Things look bleak but perhaps we may yet weather this storm.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '53', 'npc_failure_2', 'This bodes ill for my sisters and I. We must find a way to recover this tome before she brings it to the Nightsisters or all is lost.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '54', 'npc_failure_3', 'We will weep for our lost sister, for when next we see her it will be in battle against one another.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '55', 'npc_failure_4', 'She will be on her guard now and we must be doubly on ours.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '56', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '57', 'npc_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '58', 'npc_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '59', 'npc_more_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '60', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '61', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '62', 'npc_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '63', 'npc_more_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '64', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '65', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '66', 'npc_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '67', 'npc_more_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '68', 'npc_noloc_1', 'Perhaps my sisters and I can divine a location for you to find what we seek. Give me a bit of privacy that we may confer.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '69', 'npc_noloc_2', 'This is an inauspicious moment for you to begin your journey. Be patient and return to me soon. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '70', 'npc_noloc_3', 'My sisters and I will try and divine her current whereabouts. Give me a few minutes of privacy that we may pool our abilities and then return to me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '71', 'npc_noloc_4', 'My sisters and I must merge our talents to divine Morathax\'s location. Give me some privacy and I shall see it done. Return to me shortly.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '72', 'npc_reset', 'Perhaps you are not yet ready for our tasks. Return to us when you feel you are capable of rendering us aid.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '73', 'npc_reward_1', 'We of the Singing Mountain Clan do not easily come to trust outsiders. Perhaps you will teach us the error of this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '74', 'npc_reward_2', 'Once again you demonstrate to me that we can look for allies outside our own clan. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '75', 'npc_reward_3', 'If ever there was an outsider that should have been born one of us, surely it must be you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '76', 'npc_reward_4', 'You are a true friend to the Singing Mountain Clan. Perhaps we shall take a less dim view of strangers henceforth.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '77', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '78', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '79', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '80', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '81', 'npc_takeme_1', 'I should have known better than to go. But it was too good an offer to turn down.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '82', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '83', 'npc_takeme_3', 'Take me home.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '84', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '85', 'npc_work_1', 'Have you managed to recapture my traitorous servant yet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '86', 'npc_work_2', 'Have you caught up with Vhuransa yet? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '87', 'npc_work_3', 'Please hurry and find our lost sister. Time is of the essence.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '88', 'npc_work_4', 'Be careful when you face this one, my friend. She is both clever and powerful.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '89', 'otherescort_1', 'You\'ve picked a dangerous place to be. I recommend finding a safe spot to view the carnage if you value your own skin.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '90', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '91', 'otherescort_3', 'Leave, my friend, before evil consumes you. These witches have no love for intruders.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '92', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '93', 'player_1_1', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '94', 'player_1_2', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '95', 'player_1_3', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '96', 'player_1_4', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '97', 'player_2_1', 'No');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '98', 'player_2_2', 'No');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '99', 'player_2_3', 'No');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '100', 'player_2_4', 'No');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '101', 'player_3_1', 'Why should I help your clan?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '102', 'player_3_2', 'What was stolen from you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '103', 'player_3_3', 'Why would they kidnap one of you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '104', 'player_3_4', 'Who is this Morathax?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '105', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '106', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '107', 'player_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '108', 'player_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '109', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '110', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '111', 'player_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '112', 'player_5_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '113', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '114', 'player_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '115', 'player_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '116', 'player_more_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '117', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '118', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '119', 'player_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '120', 'player_more_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '121', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '122', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '123', 'player_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '124', 'player_more_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '125', 'player_reset', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '126', 'player_sorry', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '127', 'return_waypoint_description_1', 'Return to Aujante K\'lee with your prisoner.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '128', 'return_waypoint_description_2', 'Return the Stolen item to Aujante K\'lee');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '129', 'return_waypoint_description_3', 'Escort Jhuryx back to Aujante K\'lee safely.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '130', 'return_waypoint_description_4', 'Return to Aujante K\'lee and inform her of your victory.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '131', 'return_waypoint_name_1', 'Aujante K\'lee');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '132', 'return_waypoint_name_2', 'Aujante K\'lee');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '133', 'return_waypoint_name_3', 'Aujante K\'lee');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '134', 'return_waypoint_name_4', 'Aujante K\'lee');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '135', 'waypoint_description_1', 'Find and capture Aldiae');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '136', 'waypoint_description_2', 'Find Vhuransa and defeat her to retrieve what was stolen.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '137', 'waypoint_description_3', 'Find and rescue Jhuryx from her captors');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '138', 'waypoint_description_4', 'Find and destroy Morathax');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '139', 'waypoint_name_1', 'Aldiae\'s location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '140', 'waypoint_name_2', 'Vhuransa\'a location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '141', 'waypoint_name_3', 'Jhuryx\'s location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '142', 'waypoint_name_4', 'Morathax\'s location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '143', 'npc_reset_1', 'Perhaps you are not yet ready for our tasks. Return to us when you feel you are capable of rendering us aid.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '144', 'npc_reset_2', 'Perhaps you are not yet ready for our tasks. Return to us when you feel you are capable of rendering us aid.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '145', 'npc_reset_3', 'Perhaps you are not yet ready for our tasks. Return to us when you feel you are capable of rendering us aid.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '146', 'npc_reset_4', 'Perhaps you are not yet ready for our tasks. Return to us when you feel you are capable of rendering us aid.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '147', 'npc_reset_5', 'Perhaps you are not yet ready for our tasks. Return to us when you feel you are capable of rendering us aid.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '148', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '149', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '150', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '151', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '152', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '153', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '154', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '155', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '156', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_singingmountainstronghold_aujante_klee.stf', '157', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '1', 'cant_work', 'You seem to stay quite busy. I like that. When you have the time to take on some more work, I think we could do business together.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '2', 'dontknowyou_1', 'Get away from me if you value your own skin. I have no use for outsiders.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '3', 'dontknowyou_2', 'This isn\'t the place for you. I\'m waiting for another.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '4', 'dontknowyou_3', 'You are not the one I seek. Remove yourself from my presence and you may yet live.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '5', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '6', 'gotowork_2', 'What have you done with the lightsaber? If that swindler is up to something he\'ll spend more years dying than he has yet lived.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '7', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '8', 'next', 'I think it would be for the best if we severed our association for a short time. I\'m still trying to make a deal to get offworld and we wouldn\'t want people to get the wrong idea about us. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '9', 'notit_1', 'The lightsaber would be that handle shaped thing with a stud on it. Have another look why don\'t you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '10', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '11', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '12', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '13', 'npc_1_1', 'I think you and I are going to be great friends. We share a certain flair for business and a way with people, don\'t you think? Between my brains and your capacity for mayhem, I think we\'ll go far. You do have a capacity for mayhem I hope. You\'re certainly on the wrong world if you don\'t. You could show me those skills by recovering an item of mine that was wrongfully taken from me. I\'ll even pay you. What do you say?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '14', 'npc_1_2', 'My dear friend! Back to see me in this, my darkest hour? I knew you\'d never believe those foul rumors people were spreading about me. It\'s times like this that teach you who your friends are. I only wish I had someone to help me clear up this mess. Wait -- here\'s a thought. People haven\'t found a reason to distrust you yet. Can you help me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '15', 'npc_1_3', 'You\'ve got to help me. The Nightsisters realized I sold them a phony copy of their lightsaber and now they\'ve sent one of their worst after me to kill me. Why doesn\'t anybody ever have a sense of humor about these matters? Please, tell me you\'ll help me!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '16', 'npc_2_1', 'All you need to do is find the Nightsister Gruthashaal and convince her to give up my lightsaber. I hope she hasn\'t figured out how to get the blamed thing running. The Nightsisters are notoriously uncooperative so be prepared for the worst.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '17', 'npc_2_2', 'I knew I could count on you. Just deliver this lightsaber to the Nightsister Trujhazii. It will bring peace between us. The other Nightsisters are a little upset about the whole affair - don\'t let any of them give you any trouble.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '18', 'npc_2_3', 'I knew you wouldn\'t let them take me. We mean too much to one another to let a little thing like fraud come between us. Go and find this murderous Nightsister and convince her of my goodwill -- or barring that, put a stop to her.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '19', 'npc_3_1', 'I understand your reticence. I\'m not keen to get into a fight with a lightsaber-wielding Nightsister. What if she got the blasted thing working?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '20', 'npc_3_2', 'I can\'t believe you\'d leave an old friend in the lurch like this. After all we\'ve been through together.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '21', 'npc_3_3', 'My blood is on your hands. You could have saved me and didn\'t.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '22', 'npc_4_1', 'An ancient lightsaber that I purchased as a collector\'s item. It doesn\'t actually work but is nonetheless quite valuable. One of those blasted Nightsisters took it from my old partner because of some imagined slight or other. Will get it back for me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '23', 'npc_4_2', 'Nothing you need concern yourself with. You have my complete assurance that all the charges are largely without any basis in fact and even if they were, there\'s certainly not enough evidence for a conviction. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '24', 'npc_4_3', 'I expected to be off of this blasted world before they found out. Things didn\'t work out like I planned or I\'d be drunk in a villa on Naboo right now. Terrible things happen to people who fall afoul of those Nightsisters. Help me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '25', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '26', 'npc_5_2', 'A simple thing really. I found a buyer for that lightsaber and if you can make the delivery for me I\'ll have enough credits to make my problems disappear. What do you say?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '27', 'npc_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '28', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '29', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '30', 'npc_6_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '31', 'npc_backtowork_1', 'You\'ve got something on your mind. Spit it out.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '32', 'npc_backtowork_2', 'What\'s on your mind? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '33', 'npc_backtowork_3', 'You haven\'t changed your mind have you? I\'d hate to think I offended you in some way.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '34', 'npc_breech_1', 'That imbecile needs to learn that I\'m not going to let any of his little minions steal this priceless historical artifact. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '35', 'npc_breech_2', 'That scoundrel better deliver this time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '36', 'npc_breech_3', 'You will not stand between us and our revenge.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '37', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '38', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '39', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '40', 'npc_failure_1', 'What will I tell my buyer? Perhaps I can sell the idea that this Nightsister is my courier. Then when she kills him the matter will resolve itself and I can find another buyer.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '41', 'npc_failure_2', 'Blast and double blast! Some days it just isn\'t profitable swindling people.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '42', 'npc_failure_3', 'You couldn\'t stop her? I\'ve got to find a place to hide.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '43', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '44', 'npc_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '45', 'npc_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '46', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '47', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '48', 'npc_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '49', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '50', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '51', 'npc_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '52', 'npc_noloc_1', 'Some of the other Nightsisters of her clan may still be peeved about that imagined slight.  It might be best if we waited before attempting to conclude this business. Come see me later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '53', 'npc_noloc_2', 'Give me a few minutes to make some final arrangements and then we\'ll get started, all right?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '54', 'npc_noloc_3', 'Wait! Maybe you should just wait here and protect me. That\'s not a bad idea is it? Or maybe you should go. I can\'t decide.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '55', 'npc_reset', 'Don\'t think you\'re up to this right now, eh? Come back when you think you\'re ready.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '56', 'npc_reward_1', 'Steal? The nerve of her. I offered a very fair price for this. It\'s hardly my fault she turned it down.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '57', 'npc_reward_2', 'I never doubted you for a moment. I knew that if anybody could pull this off it was you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '58', 'npc_reward_3', 'Thank you. I need to find a way off of this blasted rock before they send another one of those bloodthirsty monsters after me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '59', 'npc_smuggle_1', 'Go back and be done with me!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '60', 'npc_smuggle_2', 'I told my sisters that rather than paying the ransom we should just rip his head off and take the lightsaber off his corpse, but they wouldn\'t listen.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '61', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '62', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '63', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '64', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '65', 'npc_work_1', 'Get a move on now. There\'s no time like the present for getting things done. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '66', 'npc_work_2', 'Have you made that little delivery we discussed. Waiting isn\'t going to help this matter any.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '67', 'npc_work_3', 'You\'re going to leave soon and stop her from killing me aren\'t you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '68', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '69', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '70', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '71', 'player_1_1', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '72', 'player_1_2', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '73', 'player_1_3', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '74', 'player_2_1', 'No');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '75', 'player_2_2', 'No');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '76', 'player_2_3', 'No');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '77', 'player_3_1', 'What was taken from you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '78', 'player_3_2', 'What rumors? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '79', 'player_3_3', 'What did you expect to happen?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '80', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '81', 'player_4_2', 'What do you want me to do this time? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '82', 'player_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '83', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '84', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '85', 'player_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '86', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '87', 'player_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '88', 'player_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '89', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '90', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '91', 'player_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '92', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '93', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '94', 'player_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '95', 'player_reset', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '96', 'player_sorry', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '97', 'return_waypoint_description_1', 'Return to Singular Nak with the broken lightsaber.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '98', 'return_waypoint_description_2', 'Return to Singular Nak at the Trade Outpost.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '99', 'return_waypoint_description_3', 'Return to Singular Nak and inform him of your success.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '100', 'return_waypoint_name_1', 'Singular Nak');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '101', 'return_waypoint_name_2', 'Singular Nak');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '102', 'return_waypoint_name_3', 'Singular Nak');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '103', 'waypoint_description_1', 'Find Grthashaal and take the broken lightsaber from her');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '104', 'waypoint_description_2', 'Bring the lightsaber to Trujhazii');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '105', 'waypoint_description_3', 'Go and stop the Nightsister before she kills Singular Nak');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '106', 'waypoint_name_1', 'Gruthashaal\'s location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '107', 'waypoint_name_2', 'Trujhazii\'s location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '108', 'waypoint_name_3', 'The Nightsister Stalker\'s location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '109', 'npc_reset_1', 'Don\'t think you\'re up to this right now, eh? Come back when you think you\'re ready.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '110', 'npc_reset_2', 'Don\'t think you\'re up to this right now, eh? Come back when you think you\'re ready.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '111', 'npc_reset_3', 'Don\'t think you\'re up to this right now, eh? Come back when you think you\'re ready.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '112', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '113', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '114', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '115', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '116', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_singular_nak.stf', '117', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '1', 'cant_work', 'I urgently require your help as soon as you are not busy!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '2', 'dontknowyou_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '3', 'dontknowyou_2', 'Away from me, stranger.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '4', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '5', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '6', 'next', 'I have uncovered no new plans by Shibb Nisshil to purloin Dathomir\'s rancors. Perhaps he has discarded his evil scheme.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '7', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '8', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '9', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '10', 'npc_1_1', 'Oh, you have arrived in time to impede Shibb Nisshil\'s evil plan! His hunting team has captured a bull rancor in the wild and is taking it to an unspeakable fate. You must stop the hunting team and rescue the rancor!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '11', 'npc_1_2', 'It is another nefarious scheme by Imperial scientist Shibb Nisshil! He has somehow enlisted an outcast from the Nightsister clan to lead a slave team that hunts rancors. Such a fearsome team can capture rancors by the hundreds, irretrievably damaging the Dathomir ecology. You must destroy this hunting team!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '12', 'npc_2_1', 'Good. If you simply speak to the rancor in a firm voice, it will follow you here. Then I can remove Nisshil\'s mind-control chip and restore the creature to its natural vigor. Go!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '13', 'npc_2_2', 'Your enthusiasm reassures me. I understand these Nightsisters to be formidable opponents, so you may require help. Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '14', 'npc_3_1', 'You would stand by and see Dathomir\'s delicate ecology ruined? You are a monster like Nisshil!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '15', 'npc_3_2', 'You would passively watch Shibb Nisshil denude Dathomir of all its rancors for his evil plan?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '16', 'npc_4_1', 'He is an Imperial scientist at the Research Outpost. He is plundering Dathomir of its rancors to create an army of Imperial cyber-rancors! The damage to the ecosystem will be immense. Will you rescue this bull rancor from a ghastly fate?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '17', 'npc_4_2', 'She is evidently a lunatic who assaulted several senior clan members. Now she works for Nisshil because she wishes to see the Empire destroy her former clan. Very sad, but we cannot let this maniac further Nisshil\'s evil scheme. Will you stop her team?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '18', 'npc_5_1', 'Shibb Nisshil\'s hunting team has implanted the rancor with a mind-control chip that renders it docile as a bolma calf. They are taking the rancor to his lab now. Shoot the hunters and the tame beast will follow you here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '19', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '20', 'npc_6_1', 'They are only common mercenaries. Actually, I suppose they must be uncommonly well armed to capture a rancor. But you still must stop them! Except maybe you will need help from friends.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '21', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '22', 'npc_backtowork_1', 'I have told you all I know. You must rescue that helpless bull rancor from Shibb Nisshil\'s evil hunters!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '23', 'npc_backtowork_2', 'That is all I know. You must stop that Nightsister outcast and her hunting team. Save the rancors!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '24', 'npc_breech_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '25', 'npc_breech_2', 'An enemy! Kill!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '26', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '27', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '28', 'npc_failure_1', 'You did not rescue that helpless bull rancor? Oh, my heart goes out to it, thinking of its terrible fate!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '29', 'npc_failure_2', 'You did not stop that Nightsister and her hunting team? I am distraught and depressed.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '30', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '31', 'npc_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '32', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '33', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '34', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '35', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '36', 'npc_noloc_1', 'I have probe droids looking, even now, for the mercenary hunting party. Talk to me again shortly, and I shall have coordinates for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '37', 'npc_noloc_2', 'I have probe droids scouting to locate the Nightsister outcast and her hunting team. Contact me shortly for coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '38', 'npc_reset', 'But all the rancors of Dathomir depend on you to keep them from Shibb Nisshil\'s evil clutches!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '39', 'npc_reward_1', 'Oh, what a fine specimen! I shall remove the mind-control chip promptly -- taking proper precautions, of course. Here is a reward for your fine effort!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '40', 'npc_reward_2', 'You have helped the rancors of Dathomir live happier lives, unencumbered by Imperial concerns. Thank you!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '41', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '42', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '43', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '44', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '45', 'npc_work_1', 'You must rescue that helpless bull rancor from Shibb Nisshil\'s evil mercenary hunters!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '46', 'npc_work_2', 'You must stop that Nightsister outcast and her hunting team. Save the rancors!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '47', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '48', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '49', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '50', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '51', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '52', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '53', 'player_3_1', 'Who is Shibb Nisshil and what is his evil plan?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '54', 'player_3_2', 'How did Shibb Nisshil enlist an outcast from the Nightsister clan?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '55', 'player_4_1', 'How, exactly, am I to rescue a bull rancor?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '56', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '57', 'player_5_1', 'How strong is this hunting team?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '58', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '59', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '60', 'player_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '61', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '62', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '63', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '64', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '65', 'player_reset', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '66', 'player_sorry', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '67', 'return_waypoint_description_1', 'This Ithorian naturalist awaits dropoff of a bull rancor rescued from the hunting team hired by Imperial scientist Shibb Nisshil.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '68', 'return_waypoint_description_2', 'This Ithorian naturalist wants news of the destruction of the rancor hunting team led by an outcast from the Nightsister clan.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '69', 'return_waypoint_name_1', 'Wallaw Loowobbli');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '70', 'return_waypoint_name_2', 'Wallaw Loowobbli');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '71', 'waypoint_description_1', 'Ithorian naturalist Wallaw Loowobbli wants this mind-controlled rancor rescued from the hunting team that is bringing it to Imperial scientist Shibb Nisshil.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '72', 'waypoint_description_2', 'Ithorian naturalist Wallaw Loowobbli wants the destruction of this team and its leader, an outcast from the Nightsister clan.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '73', 'waypoint_name_1', 'Bull Rancor');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '74', 'waypoint_name_2', 'Rancor Hunting Team');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '75', 'npc_reset_1', 'But all the rancors of Dathomir depend on you to keep them from Shibb Nisshil\'s evil clutches!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '76', 'npc_reset_2', 'But all the rancors of Dathomir depend on you to keep them from Shibb Nisshil\'s evil clutches!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '77', 'npc_reset_3', 'But all the rancors of Dathomir depend on you to keep them from Shibb Nisshil\'s evil clutches!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '78', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '79', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '80', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '81', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '82', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/dathomir_tradeoutpost_wallaw_loowobbli.stf', '83', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '1', 'cant_work', 'You look a bit preoccupied. Why don\'t you take care of whatever it is you\'re doing now and come back. I may have work for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '2', 'dontknowyou_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '3', 'dontknowyou_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '4', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '5', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '6', 'next', 'You are worthy of the honor of helping my mistress Kais. Go speak with her now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '7', 'notit_1', 'You realize this is not what I asked for at all? What made you think this is what I wanted? By the book of shadows, these outworlders are inept.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '8', 'notit_2', 'You realize this is not what I asked for at all? What made you think this is what I wanted? By the book of shadows, these outworlders are inept.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '9', 'notyet', 'You may have potential, but I do not know if you are ready to serve. Come back after you have helped us more.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '10', 'npc_1_1', 'Yes? Come closer. You\'ll do nicely, outsider. I\'m struggling with a dilemma. I\'m an apprentice healer in the service of Kais. I find myself constantly competing for her favor with another apprentice. Would you object to making sure she never hinders me again?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '11', 'npc_1_2', 'You have done well so far. I have another task for you. Our spies report having seen a certain singing mountain clan healer using an incredibly effective salve. From what I am told the salve sounds like something I read about once, I believe it was called bac-ta. Are you willing to find this healer and bring me her salve to study?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '12', 'npc_2_1', 'That\'s fine. Daverda is currently gathering herbs near the location I\'ve marked on this map. Go there, kill her, and return quickly.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '13', 'npc_2_2', 'Good. The scouts report her location over that way. Don\'t try to negotiate with her. Just eliminate her as quickly and efficiently as possible. I do not want the Singing Mountain Clan to know we have stolen their secret. Once you have the salve, return it to me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '14', 'npc_3_1', 'Hah, timid mouse. Very well then, there is more than one way to skin a brackaset.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '15', 'npc_3_2', 'Outworlder, you try my patience.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '16', 'npc_4_1', 'I\'d take care of this myself, but it would reflect poorly on the healers if I did. The rest of the clan shouldn\'t see us as political schemers. The last thing I need is Kais to see me as overly ambitious. If you help me with this dilemma I\'ll be sure to reward you well.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '17', 'npc_4_2', 'Do this for me and I will let Kais know you can be trusted. Also I will reward you with a kit of healing herbs and poultices.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '18', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '19', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '20', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '21', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '22', 'npc_backtowork_1', 'She\'s out gathering herbs for Kais. Look at this map I made. Right here. Now hurry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '23', 'npc_backtowork_2', 'Look, here is my map. Study it carefully. The healer was spotted in this area. Now get going!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '24', 'npc_breech_1', 'What are you doing here?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '25', 'npc_breech_2', 'I\'m not looking for company. Go away.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '26', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '27', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '28', 'npc_failure_1', 'By the book of shadows, these outworlders are inept.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '29', 'npc_failure_2', 'By the book of shadows, these outworlders are inept.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '30', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '31', 'npc_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '32', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '33', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '34', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '35', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '36', 'npc_noloc_1', 'Something is not right here. Come back later, I may have work for you then.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '37', 'npc_noloc_2', 'Something is not right here. Come back later, I may have work for you then.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '38', 'npc_reset', 'Well, perhaps you are correct. Come back when you feel up to the challenge.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '39', 'npc_reward_1', 'Ah, she is... dead? Oh lovely. I\'m glad you are working for me. Yes, you are such a wonderful little pet. As promised - here is your treat, pet.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '40', 'npc_reward_2', 'You have the salve? Give it to me at once. Hmm, what an odd smell. Familiar, but I just can\'t place it. Very well, here is your reward. Kais should be waiting for you. I must study the salve. Leave.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '41', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '42', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '43', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '44', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '45', 'npc_work_1', 'You\'re not scared are you? Look, she\'s not all that tough. I\'d do it myself if it weren\'t for certain political entanglements.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '46', 'npc_work_2', 'I suggest you start out immediately.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '47', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '48', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '49', 'player_1_1', 'I will do it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '50', 'player_1_2', 'Yes, I will.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '51', 'player_2_1', 'Kill her? No way!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '52', 'player_2_2', 'No, I will not.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '53', 'player_3_1', 'Why?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '54', 'player_3_2', 'Why should I?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '55', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '56', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '57', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '58', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '59', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '60', 'player_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '61', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '62', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '63', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '64', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '65', 'player_reset', 'I\'m not ready for this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '66', 'player_sorry', 'Where did you say she was again?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '67', 'return_waypoint_description_1', 'Return to Diax now that you have completed your grisly task.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '68', 'return_waypoint_description_2', 'Return to Diax with the salve.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '69', 'return_waypoint_name_1', 'Diax');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '70', 'return_waypoint_name_2', 'Diax');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '71', 'waypoint_description_1', 'Go to where Daverda is gathering healing herbs and kill her.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '72', 'waypoint_description_2', 'Go kill the Singing Mountain Clan Nightsister and return to Diax with the salve she carries.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '73', 'waypoint_name_1', 'Daverda');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '74', 'waypoint_name_2', 'Singing Mountain Clan Nightsister');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '75', 'npc_reset_1', 'Well, perhaps you are correct. Come back when you feel up to the challenge.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '76', 'npc_reset_2', 'Well, perhaps you are correct. Come back when you feel up to the challenge.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '77', 'npc_reset_3', 'Well, perhaps you are correct. Come back when you feel up to the challenge.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '78', 'player_reset_1', 'I\'m not ready for this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '79', 'player_reset_2', 'I\'m not ready for this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '80', 'player_reset_3', 'I\'m not ready for this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '81', 'player_sorry_1', 'Where did you say she was again?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '82', 'player_sorry_2', 'Where did you say she was again?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/diax.stf', '83', 'player_sorry_3', 'Where did you say she was again?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '1', 'cant_work', 'How dare you? I ordered you released from Baritha\'s compulsion, and you run off to someone else? If you value your life, you will direct all of you attentions to your ruler... myself.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '2', 'dontknowyou_1', 'Nevermind, I don\'t know you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '3', 'dontknowyou_2', 'You didn\'t see anything, right? Good.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '4', 'dontknowyou_3', 'Actually, I changed my mind.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '5', 'dontknowyou_4', 'Oh, you don\'t want to die? Okay, then. Sorry about that.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '6', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '7', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '8', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '9', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '10', 'next', 'You have pleased me, but do not try my patience. If I have need of you in the future, I shall call upon you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '11', 'notit_1', 'What is this? You waste my time!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '12', 'notit_2', 'I asked you for nothing!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '13', 'notit_3', 'I did not ask for this. Take it away from me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '14', 'notit_4', 'This is not the necklace! BRING ME THE NECKLACE!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '15', 'notyet', 'How dare you disturb me? Since I am in a good mood, you will be allowed to leave my chamber alive. Do no make the same mistake again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '16', 'npc_1_1', 'So, you are the one that Baritha has been mooning over. Considering I am recently missing a slave, I will have to take you from her. Your first act as my slave will be to take care of your predecessor. Do you understand?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '17', 'npc_1_2', 'I have decided that you may serve me better were you not under the yoke of slavery. Go show me your effectiveness at destroying those weak Singing Mountain sisters, and I will consider the prospect further.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '18', 'npc_1_3', 'You have proven yourself adequate to my uses. I hereby name you my Dagger... and from now on you will be my personal assassin. I now need you to target your first victim.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '19', 'npc_1_4', 'That... that.... that WITCH!!! How dare she!? When I find her, I will tear her soul apart!! Ahhh... yessss... and that\'s exactly what she expects, isn\'t it? What a clever little trap... but she didn\'t expect you, did she, my little Dagger? You will go and kill Sister Chastina for her impudence!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '20', 'npc_2_1', 'Very good... quick to respond, and very clear... I shall see if there may be more than slavery for you. For now, go find my slave, then kill him in a most painful manner. Once the punishment has been exacted, bring his heart back to me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '21', 'npc_2_2', 'Baritha has brought to my attention that a few of the Singing Mountain sisters have had the audacity to enter our territory. Silence their spells and lead them to the carrion-feeders.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '22', 'npc_2_3', 'Your willingness is pleasing to me. You will locate and kill Sister Aelta, getting her out of my hair once and for all. Do the deed, then return to let me know.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '23', 'npc_2_4', 'Track that filthy, brazen witch down... when you find her, rip her heart out and show it to her! Afterwards, remove that necklace she wrongfully wears around her neck and bring it back to me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '24', 'npc_3_1', 'Oh, really? You believe that you will leave our stronghold just like that? You presume too much, fool. I will give you one more chance to change your mind.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '25', 'npc_3_2', 'You will deal with what I tell you to deal with. I will not tolerate this insolence!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '26', 'npc_3_3', 'That may well be the least wise thing you have ever done. Perhaps you believed this was a request? Or perhaps you think yourself on an equal level as myself that you may speak so openly? Not smart....');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '27', 'npc_3_4', 'Were I not so distraught, I enjoy watching you as I choke the very breath out of your lungs. Please.... stay close so that I may calm down enough to do so.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '28', 'npc_4_1', 'My first and foremost among slaves was a cunning man by the name of Dal Zeybuub. Unfortunately for him, My Prime Slave thinks too highly of himself. Rather than betraying me, as he plans, he will now be a victim of his own thoughts betraying him.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '29', 'npc_4_2', 'Perhaps. Perhaps not. Depending on how well you do, I may decide to grant you that boon, for I am a gracious Mother. Now go!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '30', 'npc_4_3', 'You will be ending the short life of Sister Aelta, one of the Singing Mountain Sisters. Ever since Augwynne, Clan Mother of the Singers, has lost both of her daughters she has \'adopted\' two more. You will show that old crone that I will not accept this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '31', 'npc_4_4', 'How DARE she? That withered hag, Augwynne, has chosen another \'daughter\', my former friend Chastina. She has gone so far as to give to Chastina her necklace! That is MY necklace!!! As Augwynne\'s real daughter, I DESERVE IT!!! ... -er-.... Why am I telling you this?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '32', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '33', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '34', 'npc_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '35', 'npc_5_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '36', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '37', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '38', 'npc_6_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '39', 'npc_6_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '40', 'npc_backtowork_1', 'You will find my Prime Slave and kill him. Once done, bring me back his heart... and I will know if it is his.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '41', 'npc_backtowork_2', 'Go find these impudent sisters of Augwynne and render their lives from their bodies.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '42', 'npc_backtowork_3', 'You will find that bold harlot that calls herself a sister, Aelta. Once you have done so, kill her.... painfully.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '43', 'npc_backtowork_4', 'Go kill that impudent failure of a witch and bring me the necklace she wears around her neck.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '44', 'npc_breech_1', 'No, please... you don\'t know what kind of nightmare I was fleeing! LET ME GO!!!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '45', 'npc_breech_2', 'Sisters, we have been found! Leave no witnesses!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '46', 'npc_breech_3', 'You were sent by Gethzerion? But you\'re not a Nightsister... oh well... you will still die.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '47', 'npc_breech_4', 'So... that coward sent someone else, did she? Then you must die in her place.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '48', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '49', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '50', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '51', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '52', 'npc_failure_1', 'What? You failed me? HOW DARE YOU!!!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '53', 'npc_failure_2', 'How dare you come back and face me after you have failed. It shall be the slave\'s collar for you, then.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '54', 'npc_failure_3', 'You were unable to accomplish a simple task as this? Very well... it shall be the slave\'s collar for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '55', 'npc_failure_4', 'How dare you return after you have failed me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '56', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '57', 'npc_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '58', 'npc_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '59', 'npc_more_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '60', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '61', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '62', 'npc_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '63', 'npc_more_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '64', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '65', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '66', 'npc_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '67', 'npc_more_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '68', 'npc_noloc_1', 'The time is not right to track him down. Come back to me in a while and I will send you out against him.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '69', 'npc_noloc_2', 'When Baritha returns, I will know where these sisters can be found. Come back to me in a short while.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '70', 'npc_noloc_3', 'I will send a scout to find where Sister Aelta can be found. Return to me in a short while.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '71', 'npc_noloc_4', 'I do not know where Chastina can be found. Come back to me in a while and I will assist you in finding her.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '72', 'npc_reset', 'Yes you are, come to think of it. You would assist me better were you to help me... test... my spells.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '73', 'npc_reward_1', 'Ahhhh... Dal\'s heart... Once it has been chilled, it will make for a most pleasant dinner. I have found that it is true that vengeance is best served cold. As for you... I sense I am not using you to the fullest.. Come back to me after I have thought this matter over.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '74', 'npc_reward_2', 'So you handled yourself better than some of these pathetic women who call themselves Witches? Very well then - your freedom is granted... for now. I will have a more important purpose for you, so stay close.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '75', 'npc_reward_3', 'You have done well on your first assignment for me. My left breast is warmed at the thought of the pain she felt as she died. Any of those foolish Singing sisters will do well to heed this warning : Augwynne\'s daughters are dead, and they will not be \'replaced\'!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '76', 'npc_reward_4', 'Yes... my necklace! Were I able to have succeeded in beheading my moth... I mean to say, beheading that Clan Mother.... well, either way, it is mine now, where it should have been for many years now. My Dagger, you have pleased my very, very much.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '77', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '78', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '79', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '80', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '81', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '82', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '83', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '84', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '85', 'npc_work_1', 'Why do you disturb me? I have already spoken!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '86', 'npc_work_2', 'Why do you hesitate, fool?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '87', 'npc_work_3', 'Why do you bother me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '88', 'npc_work_4', 'What?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '89', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '90', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '91', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '92', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '93', 'player_1_1', 'Yes, Clan Mother. I shall do so.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '94', 'player_1_2', 'I will not fail you, Mother.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '95', 'player_1_3', 'Yes, Clan Mother, I will do so.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '96', 'player_1_4', 'I shall do so at once, gracious Mother!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '97', 'player_2_1', 'I understand that I\'m leaving. Bye!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '98', 'player_2_2', 'I cannot handle them alone. No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '99', 'player_2_3', 'I will not kill people for a living! No!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '100', 'player_2_4', 'You\'re too emotional right now. No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '101', 'player_3_1', 'What do you mean by predecessor?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '102', 'player_3_2', 'If I do so, will I retain my freedom?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '103', 'player_3_3', 'Who shall I dispatch now?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '104', 'player_3_4', 'If I might ask, what troubles you so?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '105', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '106', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '107', 'player_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '108', 'player_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '109', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '110', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '111', 'player_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '112', 'player_5_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '113', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '114', 'player_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '115', 'player_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '116', 'player_more_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '117', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '118', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '119', 'player_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '120', 'player_more_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '121', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '122', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '123', 'player_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '124', 'player_more_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '125', 'player_reset', 'I am too lowly to serve you any more, Clan Mother.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '126', 'player_sorry', 'I am sorry, Mother. What was I to do again?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '127', 'return_waypoint_description_1', 'The Clan Mother awaits your return with the slave\'s heart');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '128', 'return_waypoint_description_2', 'The Clan Mother expects a prompt return');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '129', 'return_waypoint_description_3', 'Return and let the Clan Mother know that Augwynne\'s \"daughter\" is dead.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '130', 'return_waypoint_description_4', 'The Nightsister Clan Mother is anxiously waiting to her of Chastina\'s demise... and to hold that necklace.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '131', 'return_waypoint_name_1', 'Gethzerion');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '132', 'return_waypoint_name_2', 'Gethzerion');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '133', 'return_waypoint_name_3', 'Gethzerion');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '134', 'return_waypoint_name_4', 'Gethzerion');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '135', 'waypoint_description_1', 'You should be able to find the Clan Mother\'s escaped slave in these whereabouts');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '136', 'waypoint_description_2', 'Several scouts from the Singing Mountain Clan should be around here');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '137', 'waypoint_description_3', 'Aelta of the Singing Mountain Clan should be around here. Kill her.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '138', 'waypoint_description_4', 'Go kill Augwynne\'s successor, then bring back her necklace to Gethzerion.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '139', 'waypoint_name_1', 'Gethzerion\'s Escaped Slave');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '140', 'waypoint_name_2', 'Singing Sister Patrol');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '141', 'waypoint_name_3', 'Sister Aelta');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '142', 'waypoint_name_4', 'Sister Chastina');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '143', 'npc_reset_1', 'Yes you are, come to think of it. You would assist me better were you to help me... test... my spells.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '144', 'npc_reset_2', 'Yes you are, come to think of it. You would assist me better were you to help me... test... my spells.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '145', 'npc_reset_3', 'Yes you are, come to think of it. You would assist me better were you to help me... test... my spells.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '146', 'npc_reset_4', 'Yes you are, come to think of it. You would assist me better were you to help me... test... my spells.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '147', 'npc_reset_5', 'Yes you are, come to think of it. You would assist me better were you to help me... test... my spells.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '148', 'player_reset_1', 'I am too lowly to serve you any more, Clan Mother.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '149', 'player_reset_2', 'I am too lowly to serve you any more, Clan Mother.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '150', 'player_reset_3', 'I am too lowly to serve you any more, Clan Mother.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '151', 'player_reset_4', 'I am too lowly to serve you any more, Clan Mother.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '152', 'player_reset_5', 'I am too lowly to serve you any more, Clan Mother.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '153', 'player_sorry_1', 'I am sorry, Mother. What was I to do again?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '154', 'player_sorry_2', 'I am sorry, Mother. What was I to do again?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '155', 'player_sorry_3', 'I am sorry, Mother. What was I to do again?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '156', 'player_sorry_4', 'I am sorry, Mother. What was I to do again?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/gethzerion.stf', '157', 'player_sorry_5', 'I am sorry, Mother. What was I to do again?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '1', 'cant_work', 'You walk within my hearth, but yet you pridefully belong to another. I will not tolerate this. Begone with you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '2', 'dontknowyou_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '3', 'dontknowyou_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '4', 'dontknowyou_3', 'Wait, you\'re not the guy who I\'m supposed to meet. Get out of here before I have you arrested.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '5', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '6', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '7', 'gotowork_3', 'What\'s this? The Goddess told me that you would have some powder, not this!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '8', 'next', 'You have proven your worth. Perhaps the Clan Mother may find use of your willingness to assist.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '9', 'notit_1', 'My eyes are old, but my mind is wise. This is not what I need of you. I am too old for games.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '10', 'notit_2', 'Do not attempt foolery, for this is not a heart.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '11', 'notit_3', 'I have asked you for nothing.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '12', 'notyet', 'I look at you and see a bag of decaying flesh, one that lives only to die. Show yourself to the younger one, and ask her what she sees.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '13', 'npc_1_1', 'Sit and drink. You have been watched and deemed worthy to offer your services. You will venture into the dark of the forests and gaze upon the fangs of a Gaping Spider for me, correct? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '14', 'npc_1_2', 'I hold the power of the spider within my hand, yet this will extinguish life within a few beats of the heart. I need of you to bring me the strength of time to couple with the strength of death. Bring me the heart of a cumbersome Malkloc.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '15', 'npc_1_3', 'The two reagents have been combined, and bring forth a glorious toxin. You will now fulfill the Clan Mother\'s request and bring this toxin to one who guards the prison of the Imperials.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '16', 'npc_2_1', 'Yes, you will. Arm yourself with your worthless weapons and defeat the eight-legged horror. Once you have quenched its life, reach inside its maw and rip out its poison glands. Only then will you return to me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '17', 'npc_2_2', 'You will need to choose one that is in the prime of its life, for it still holds much time within its heart. Bring it to me and you will have pleased the Clan Mother.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '18', 'npc_2_3', 'The guard is most willing to help condemn his brethren, and knows what to do. Take this powder to him, and he will ensure that all of the rest will taste of it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '19', 'npc_3_1', 'Then your desire is to feel your insides cramp with discomfort until your intestines burst from your belly? If you deny my will, then that drink you consumed shall do just that.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '20', 'npc_3_2', 'Your lack of courage will couple with your lack of breath. You hold a poison within your system that only I can cure... you may think on what I said.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '21', 'npc_3_3', 'Then you will doom yourself, young one. A sad waste of such talent.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '22', 'npc_4_1', 'The Clan Mother, Gethzerion, has wisely called upon my skills as a healer. I will heal any wounds that shall arise with the Imperials, but to do so, I need the power of the Gaping Spider within my hands. You will give me that power, will you not?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '23', 'npc_4_2', 'The Malkloc is birthed and dies as does everything else. For every beat of its heart, many smaller creatures will see their whole cycle pass before them, making the Malkloc immortal in comparison. Within its heart is captured time, itself.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '24', 'npc_4_3', 'He is one who has tasted a poison more deadly than anything I can create. Baritha\'s methods are quite... effective. Once this poison has been consumed by all of those that call themselves Imperials, it will stay within their system until activated. If the Mother asks of it, I will bring forth the agent that shall bring the toxin to life.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '25', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '26', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '27', 'npc_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '28', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '29', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '30', 'npc_6_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '31', 'npc_backtowork_1', 'You will venture into the forest and combat a Gaping Spider. Return with its poison sacs.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '32', 'npc_backtowork_2', 'You are to bring unto me the heart of a Malkloc. Do not tarry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '33', 'npc_backtowork_3', 'You are to give the guard the means in which we shall control the rest of them. Take the vial to the guard.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '34', 'npc_breech_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '35', 'npc_breech_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '36', 'npc_breech_3', 'Do you have the stuff? Hurry up before by supervisor finds me gone.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '37', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '38', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '39', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '40', 'npc_failure_1', 'You have failed me, and in turn you have failed yourself. Your death will be slow, but needed.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '41', 'npc_failure_2', 'In the time you spent failing, the Malkloc\'s heart has not shuttered a beat. Your life is insignicant, therefore your failure is all the more worthless.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '42', 'npc_failure_3', 'Make whatever excuses of your failure to whatever god you worship. The poison within your system will take effect soon enough, so you have scant time to do so.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '43', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '44', 'npc_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '45', 'npc_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '46', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '47', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '48', 'npc_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '49', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '50', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '51', 'npc_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '52', 'npc_noloc_1', 'The time is not right for the Spiders to hunt. Ask again in a little while.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '53', 'npc_noloc_2', 'The Malkloc has not awakened from it\'s slumber. Speak to me when time has passed.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '54', 'npc_noloc_3', 'Wait until the time the Guard will be ready to accept our love. Check with me in a little while.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '55', 'npc_reset', 'Then you are no longer useful to me. If you wish the cure to the poison within your system, prove your worth to me....');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '56', 'npc_reward_1', 'A pristine collection of succulent venom is held within this jar. You have done well, young one. Now, bite this leaf, for it will slow the poison within your gullet. After you have done so, speak with me again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '57', 'npc_reward_2', 'Together with both Spider and Malkloc combined, a toxin can be made to live forever within a person\'s blood. I will now draw these powers together with the mysteries of the Shadow. Speak with me when I am done.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '58', 'npc_reward_3', 'You have helped to bring the Clan Mother into a more desirable bargaining position, for which she should be most grateful. For now, the poison resides within the Imperials until it is time for it to be called upon. Drink this, and you shall be freed of the agents within your own system. You have done well.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '59', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '60', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '61', 'npc_smuggle_3', 'Look, you tell Baritha that I\'ll put this in the water supply, okay? And then I\'ll come by tonight for my payment, got it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '62', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '63', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '64', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '65', 'npc_work_1', 'Has fear become your enemy rather than your ally?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '66', 'npc_work_2', 'You hesitate?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '67', 'npc_work_3', 'Have you brought the vial to the guard?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '68', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '69', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '70', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '71', 'player_1_1', 'Yes, I will do so.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '72', 'player_1_2', 'I will do so.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '73', 'player_1_3', 'I will do this, yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '74', 'player_2_1', 'Heck no I won\'t!!!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '75', 'player_2_2', 'Those things are huge!! No!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '76', 'player_2_3', 'I\'m not poisoning anyone! NO!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '77', 'player_3_1', 'Why would I face such a trial?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '78', 'player_3_2', 'What does it\'s heart have to do with \'time\'?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '79', 'player_3_3', 'Who is this guard?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '80', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '81', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '82', 'player_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '83', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '84', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '85', 'player_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '86', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '87', 'player_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '88', 'player_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '89', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '90', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '91', 'player_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '92', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '93', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '94', 'player_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '95', 'player_reset', 'I refuse to help any further, old woman!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '96', 'player_sorry', 'What do you require of me again?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '97', 'return_waypoint_description_1', 'The Dark Healer is waiting for these poison sacs. Don\'t disappoint her.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '98', 'return_waypoint_description_2', 'Now that you have the heart, bring it back to Kais');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '99', 'return_waypoint_description_3', 'Return to the Dark Healer and inform her the deed is done');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '100', 'return_waypoint_name_1', 'Kais');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '101', 'return_waypoint_name_2', 'Kais');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '102', 'return_waypoint_name_3', 'Kais');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '103', 'waypoint_description_1', 'A Gaping Spider will likely be found here. Tread carefully...');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '104', 'waypoint_description_2', 'There should be a herd of Malklocs here ripe for the killing');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '105', 'waypoint_description_3', 'A guard should be waiting for you here to take the poison powder from you');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '106', 'waypoint_name_1', 'Gaping Spider\'s Lair');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '107', 'waypoint_name_2', 'Malkloc Herd');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '108', 'waypoint_name_3', 'Coerced Guard');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '109', 'npc_reset_1', 'Then you are no longer useful to me. If you wish the cure to the poison within your system, prove your worth to me....');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '110', 'npc_reset_2', 'Then you are no longer useful to me. If you wish the cure to the poison within your system, prove your worth to me....');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '111', 'npc_reset_3', 'Then you are no longer useful to me. If you wish the cure to the poison within your system, prove your worth to me....');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '112', 'npc_reset_4', 'Then you are no longer useful to me. If you wish the cure to the poison within your system, prove your worth to me....');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '113', 'player_reset_1', 'I refuse to help any further, old woman!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '114', 'player_reset_2', 'I refuse to help any further, old woman!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '115', 'player_reset_3', 'I refuse to help any further, old woman!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '116', 'player_reset_4', 'I refuse to help any further, old woman!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '117', 'player_sorry_1', 'What do you require of me again?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '118', 'player_sorry_2', 'What do you require of me again?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '119', 'player_sorry_3', 'What do you require of me again?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/kais.stf', '120', 'player_sorry_4', 'What do you require of me again?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '1', 'cant_work', 'I have a task for you when you\'re finished with what you\'re doing.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '2', 'dontknowyou_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '3', 'dontknowyou_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '4', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '5', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '6', 'next', 'I\'m surprised, you actually did alright for yourself. I\'ll speak well of your ability.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '7', 'notit_1', 'What is this? Stop wasting my time and do what I told you to do.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '8', 'notit_2', 'What is this? Stop wasting my time and do what I told you to do.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '9', 'notyet', 'Outworlder, I don\'t think you cold perform the duties of our weakest man-slave. Come back when, or rather IF you are able to distinguish yourself further.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '10', 'npc_1_1', 'It\'s an unfortunate necessity that we have to have men on this planet at all. Men who don\'t follow orders however, are not tolerated. Perhaps you\'d like to show your worth and get rid of a few?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '11', 'npc_1_2', 'There are some of us who feel outlanders shouldn\'t be held to our standards. I\'m not one of them. Neither is my friend Peila. She thinks you don\'t know your place and wants to fight a battle of honor with you. I think it would be amusing to watch. What are you going to do?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '12', 'npc_2_1', 'Prove you are brave and loyal by bringing me the special shoulder pad from an Imperial patrol leader. My scouts will create a disturbance and lead a patrol to a location not far from here. You should be able to figure out the rest.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '13', 'npc_2_2', 'Well then, perhaps this outlander does have honor. Let\'s see how well they defend it. Peila will not be hard to find, let me draw you a map here on the ground.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '14', 'npc_3_1', 'I don\'t know if I should laugh or be disgusted. You could be the most timid mealy mouthed worm to cross my path in a long time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '15', 'npc_3_2', 'Aw, isn\'t that too bad. Maybe fighting isn\'t for you though? I hear the stables need a good cleaning, maybe that\'s more suited to your... er, abilities.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '16', 'npc_4_1', 'Honor? The thrill of the hunt? If these do not motivate you I have nothing for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '17', 'npc_4_2', 'In our clan honor is everything. If you do not value yours, then why are you here, outlander?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '18', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '19', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '20', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '21', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '22', 'npc_backtowork_1', 'That outworlder may not be entirely useless after all.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '23', 'npc_backtowork_2', 'Oh, by the way... good luck.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '24', 'npc_breech_1', 'Situation is normal. I\'m taking the patrol back to the outpost.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '25', 'npc_breech_2', 'Hah, did you come to fight or beg for mercy?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '26', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '27', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '28', 'npc_failure_1', 'Hah! Who didn\'t see that one coming?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '29', 'npc_failure_2', 'Hah! Who didn\'t see that one coming?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '30', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '31', 'npc_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '32', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '33', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '34', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '35', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '36', 'npc_noloc_1', 'I\'m a little busy right now. Come back later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '37', 'npc_noloc_2', 'I\'m a little busy right now. Come back later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '38', 'npc_reset', 'I don\'t know if I should laugh or be disgusted. You could be the most timid mealy mouthed worm to cross my path in a long time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '39', 'npc_reward_1', 'Well then, that\'s actually somewhat impressive. For an outworlder. This is going to look pretty good on my armor. Here\'s some cash for your trouble.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '40', 'npc_reward_2', 'After Peila came to she filled me in on the details of your fight. You did well. It\'s too bad you\'re not one of us. Take this vibrolance as a gift.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '41', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '42', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '43', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '44', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '45', 'npc_work_1', 'I\'ve told you all you need to know. Get moving.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '46', 'npc_work_2', 'Peila is waiting for you. It would reflect poorly on her if you made her wait.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '47', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '48', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '49', 'player_1_1', 'What can I do to help?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '50', 'player_1_2', 'I will fight.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '51', 'player_2_1', 'I can\'t do that.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '52', 'player_2_2', 'I can\'t fight.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '53', 'player_3_1', 'What is in it for me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '54', 'player_3_2', 'Why?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '55', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '56', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '57', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '58', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '59', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '60', 'player_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '61', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '62', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '63', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '64', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '65', 'player_reset', 'On second thought, I\'d rather not.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '66', 'player_sorry', 'Yes Vhaunda, right away.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '67', 'return_waypoint_description_1', 'Return the shoulderpad to Vhaunda to prove your worth.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '68', 'return_waypoint_description_2', 'Return to Vhaunda with news of your victory.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '69', 'return_waypoint_name_1', 'Vhaunda');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '70', 'return_waypoint_name_2', 'Vhaunda');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '71', 'waypoint_description_1', 'Kill the Imperial patrol leader and remove his shoulder pad.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '72', 'waypoint_description_2', 'Fight Peila in honorable battle. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '73', 'waypoint_name_1', 'Imperial patrol leader');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '74', 'waypoint_name_2', 'Peila');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '75', 'npc_reset_1', 'I don\'t know if I should laugh or be disgusted. You could be the most timid mealy mouthed worm to cross my path in a long time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '76', 'npc_reset_2', 'I don\'t know if I should laugh or be disgusted. You could be the most timid mealy mouthed worm to cross my path in a long time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '77', 'player_reset_1', 'On second thought, I\'d rather not.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '78', 'player_reset_2', 'On second thought, I\'d rather not.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '79', 'player_sorry_1', 'Yes Vhaunda, right away.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vhaunda.stf', '80', 'player_sorry_2', 'Yes Vhaunda, right away.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '1', 'cant_work', 'If you\'re the Assistant to the Warden the Empire has sent, I need you on the double. I can\'t have you running around doing other tings as casually as you please.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '2', 'dontknowyou_1', 'Go.. go away....');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '3', 'dontknowyou_2', 'Thanks for not bringing us back in.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '4', 'dontknowyou_3', 'Please go before I threaten you again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '5', 'dontknowyou_4', 'Nevermind.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '6', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '7', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '8', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '9', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '10', 'next', 'You did a good job. It\'s a shame you\'re trapped here on this planet just as I am am. You could have gone far in the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '11', 'notit_1', 'What\'s this? I don\'t remember asking for this? Quit fooling around and get back to work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '12', 'notit_2', 'What\'s this? I don\'t need this. What I do need is those inmates back here, and back here on the double.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '13', 'notit_3', 'I didn\'t ask for this. Take it back.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '14', 'notit_4', 'I don\'t want this. Take it back.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '15', 'notyet', 'I don\'t know who you\'ve been assigned to, but I know it\'s not me. Go find your officer and get back to work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '16', 'npc_1_1', 'Well, don\'t just stand there! You\'re the new officer I was told told expect, right? Well, we\'ve got \'The Brain\' coming back in. This time, we won\'t let him escape. It\'s straight to solitary, where he\'ll spend the rest of his days. I need you to pick him up, understand?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '17', 'npc_1_2', 'You\'ve shown up just in time. We have a prison break and they\'re still running around throughout the forests. I\'ve sent some troopers to find them, but I\'d appreciate it if you helped.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '18', 'npc_1_3', 'I\'ve finished interrogating Teen, and it seems he had some outside help. One of those frightening Nightsisters helped Teen and his friends get out. I need you to go take care of here before she steals my shuttle. Can you do it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '19', 'npc_1_4', 'We have really bad news. \'The Brain\' managed to escape again, but this time he\'s made a lot of noise about it. We now have a riot on our hands. I need your help with this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '20', 'npc_2_1', 'We\'ve had to drop him off far from the prison so that the other prisoners dont\' manage to see him. Don\'t worry, he\'s been given a number of sedatives, so he should be quite willing to come.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '21', 'npc_2_2', 'Thank you. Now look, there should be a couple of them. Bring the guy who looks like the leader of the group. I need to bring him back so he can be made an example in front of the others.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '22', 'npc_2_3', 'Good. Now, I know where she\'s going to be. Fortunately, we have time before she can figure out the controls of the ship she\'s trying to leave from. You need to make sure she doesn\'t leave... ever.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '23', 'npc_2_4', 'We have most of the prisones contained at this point, but there are a group of others that are holding out somewhere. I want them dead.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '24', 'npc_3_1', 'Oh really? If I have the worng person then who are you? I\'ve never seen you around here before, which would mean you managed to get here onto this planet somehow. I\'m going to take care of this situation, then I\'ll have some questions.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '25', 'npc_3_2', 'Same here, but I need as many free hands. The longer they\'re out there, the better of a chance they\'ll have to secure weapons. They need to be brought back, Think about it, please.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '26', 'npc_3_3', 'I don\'t blame you, but I can\'t do it myself, either. We have a better chance of surprising her if we send just you, rather than a whole host Stormtroopers. Please reconsider.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '27', 'npc_3_4', 'Look, I need your help. These prisoners are dangerous and could hurt one of you tourists. What do you mean you\'re not going to help?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '28', 'npc_4_1', 'You don\'t know who The Brain is? His name is Ezker Kennin, and he\'s solely responsible for setting free 3 full shipments of Wookie slaves on destined for Kessel. He\'s already escaped here once, as well. If the prisoners see that he\'s back, that might inspire them.... and I don\'t want to see that happen.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '29', 'npc_4_2', 'I still don\'t know yet. We found them missing a few hours ago is all we know right now. I know one of them was Teen Queevello, an inmate responsible enough to clean my offices. I don\'t know what caused him to rebel.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '30', 'npc_4_3', 'Yes, that is the only possible way off the planet, and the Nightsisters want desperately to leave. By the way, how did you and everyone else manage to get onto this planet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '31', 'npc_4_4', 'Hope. Plain and simple hope. That\'s all it took for the rest of these guys to rise up against us. When the Nightsisters attacked us, we\'ve been severely understaffed since then. All the prisoners needed was hope to make them think of rising up against us.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '32', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '33', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '34', 'npc_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '35', 'npc_5_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '36', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '37', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '38', 'npc_6_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '39', 'npc_6_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '40', 'npc_backtowork_1', 'You need to hike your buttout to the drop point where we\'re bringing in \'The Brain\'. Once you have him, bring him back here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '41', 'npc_backtowork_2', 'You need to go out and find the escaped convicts. Once you find them, bring them back. If they put up a fight, make sure at least one lives.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '42', 'npc_backtowork_3', 'You need to stop the Nightsister from escaping via the only possible way off of this planet.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '43', 'npc_backtowork_4', 'You need to go out there and kill the rioting prisoners.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '44', 'npc_breech_1', 'I feel so wierd.... why can\'t think straight? Who are you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '45', 'npc_breech_2', 'Look, you don\'t have to bring us back. Just walk away and let us go!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '46', 'npc_breech_3', 'I will learn how this magical flying machine works, and you will not stop me!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '47', 'npc_breech_4', 'Kill any Imperial on sight!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '48', 'npc_dropoff_1', 'Where is this? Why is it so dark here?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '49', 'npc_dropoff_2', 'Thanks, friend. I hope my screams help you to sleep every night. You could have just let us go.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '50', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '51', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '52', 'npc_failure_1', 'You let him escape? Well, I knew that idea was just plain foolish to begin with. Very well... we\'ll have to send out the dogs.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '53', 'npc_failure_2', 'You let them all die? That\'s not good! Now the inmates won\'t believe that they were captured and they all might start getting funny ideas in thier heads.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '54', 'npc_failure_3', 'She managed to escape?? NO!!! Now she might set up a system of shuttles that depart regularly from the planet. Soon, all those witches will leave the planet!!!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '55', 'npc_failure_4', 'The prisoners have taken over the building? How am I going to explain this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '56', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '57', 'npc_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '58', 'npc_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '59', 'npc_more_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '60', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '61', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '62', 'npc_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '63', 'npc_more_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '64', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '65', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '66', 'npc_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '67', 'npc_more_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '68', 'npc_noloc_1', 'Let me check with the flight logs to see  where he was being dropped in. Ask me in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '69', 'npc_noloc_2', 'Let me see if we have any sightings yet on the whereabouts of the prisoners. Ask me again in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '70', 'npc_noloc_3', 'Let me remember where I parked my shuttle. Ask me again in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '71', 'npc_noloc_4', 'Something happened. Ask me again in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '72', 'npc_reset', 'Really now? Did you think I was that dumb? I\'m quite familiar with who you are. You just don\'t come to Dathomir and expect to leave, friend. Think about that.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '73', 'npc_reward_1', 'Good work. I hope he wasn\'t too much trouble for you. Fortunately there hasn\'t been anyone talking about him coming back, so the prisoners don\'t know he\'s here. He\'ll be in solitary for the rest of his time here, which like everyone else, is forever.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '74', 'npc_reward_2', 'You were only able to bring Teen back? Very well, this will do. Sadly, Teen was given many liberties most inmates aren\'t given. Now he\'ll be flogged everyday in front of the other prisoners to show what happens to escapees. Well, good work, friend.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '75', 'npc_reward_3', 'Good. With her being stopped, the Nightsisters will never leave this planet. They are trapped here just like me and you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '76', 'npc_reward_4', 'Well, now that the riot\'s under control, we can start restoring order to the prison again. Thanks for your help, friend.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '77', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '78', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '79', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '80', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '81', 'npc_takeme_1', 'My head... must... think... straight... You\'re taking me somewhere, aren\'t you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '82', 'npc_takeme_2', 'Fine... take me back. You know they\'ll kill me, right?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '83', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '84', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '85', 'npc_work_1', 'Have you brought him into your custody yet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '86', 'npc_work_2', 'Are you leaving to capture them yet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '87', 'npc_work_3', 'Why haven\'t you stopped her yet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '88', 'npc_work_4', 'Have you taken care of the prisoners?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '89', 'otherescort_1', 'No, there is another person around here that you\'re looking for.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '90', 'otherescort_2', 'I\'m not the one you\'re looking for.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '91', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '92', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '93', 'player_1_1', 'Yes sir. Where can I find him?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '94', 'player_1_2', 'I\'ll go help.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '95', 'player_1_3', 'Sure, I\'ll do it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '96', 'player_1_4', 'I\'ll help. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '97', 'player_2_1', 'Sorry, you\'ve got the wrong person.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '98', 'player_2_2', 'Sorry, that\'s a little out of my league.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '99', 'player_2_3', 'I\'m not tangling with a Nightsister! No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '100', 'player_2_4', 'That\'s too much for me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '101', 'player_3_1', 'Who is the prisoner?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '102', 'player_3_2', 'How did they manage to escape?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '103', 'player_3_3', 'You have a shuttle?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '104', 'player_3_4', 'How did this happen?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '105', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '106', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '107', 'player_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '108', 'player_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '109', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '110', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '111', 'player_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '112', 'player_5_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '113', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '114', 'player_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '115', 'player_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '116', 'player_more_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '117', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '118', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '119', 'player_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '120', 'player_more_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '121', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '122', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '123', 'player_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '124', 'player_more_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '125', 'player_reset', 'I can\'t do this. I\'m not who you think I am.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '126', 'player_sorry', 'Sir, what was I to do again?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '127', 'return_waypoint_description_1', 'Now bring him back tot he Warden before the drugs wear off');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '128', 'return_waypoint_description_2', 'Bring back the prisoner to the Warden punishment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '129', 'return_waypoint_description_3', 'The Warden is waiting for you to report back');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '130', 'return_waypoint_description_4', 'Return to let him know that the riot is over');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '131', 'return_waypoint_name_1', 'The Warden');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '132', 'return_waypoint_name_2', 'The Warden');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '133', 'return_waypoint_name_3', 'The Warden');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '134', 'return_waypoint_name_4', 'The Warden');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '135', 'waypoint_description_1', 'You will pick up \'The Brain\' at this location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '136', 'waypoint_description_2', 'A group of people were spotted around this area.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '137', 'waypoint_description_3', 'You should be able to find the Nightsister here');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '138', 'waypoint_description_4', 'This is where you\'ll find a group of rioting prisoners');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '139', 'waypoint_name_1', 'Drugged Prisoner');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '140', 'waypoint_name_2', 'Escaped Fugitives');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '141', 'waypoint_name_3', 'Escaping Nightsister');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '142', 'waypoint_name_4', 'Rioting Prisoners');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '143', 'npc_reset_1', 'Really now? Did you think I was that dumb? I\'m quite familiar with who you are. You just don\'t come to Dathomir and expect to leave, friend. Think about that.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '144', 'npc_reset_2', 'Really now? Did you think I was that dumb? I\'m quite familiar with who you are. You just don\'t come to Dathomir and expect to leave, friend. Think about that.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '145', 'npc_reset_3', 'Really now? Did you think I was that dumb? I\'m quite familiar with who you are. You just don\'t come to Dathomir and expect to leave, friend. Think about that.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '146', 'npc_reset_4', 'Really now? Did you think I was that dumb? I\'m quite familiar with who you are. You just don\'t come to Dathomir and expect to leave, friend. Think about that.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '147', 'player_reset_1', 'I can\'t do this. I\'m not who you think I am.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '148', 'player_reset_2', 'I can\'t do this. I\'m not who you think I am.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '149', 'player_reset_3', 'I can\'t do this. I\'m not who you think I am.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '150', 'player_reset_4', 'I can\'t do this. I\'m not who you think I am.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '151', 'player_sorry_1', 'Sir, what was I to do again?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '152', 'player_sorry_2', 'Sir, what was I to do again?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '153', 'player_sorry_3', 'Sir, what was I to do again?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vinzel_haylon.stf', '154', 'player_sorry_4', 'Sir, what was I to do again?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '1', 'cant_work', 'Hm. Come back later when you are less busy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '2', 'dontknowyou_1', 'Meaning no disrespect, but I do not know you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '3', 'dontknowyou_2', 'Who are you? I have work to do here, don\'t get in my way.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '4', 'dontknowyou_3', 'Who are you? Get lost.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '5', 'gotowork_1', 'Weesa havin no more business right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '6', 'gotowork_2', 'Hm, this is a strange salve. But it feels... I\'m not sure. But I trust that Vurlene is right about it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '7', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '8', 'next', 'Your services have bettered my every expectation. Tell Aujante I recommended you. She will surely wish to speak with you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '9', 'notit_1', 'It seems I could have been clearer in my instructions. This is not what I asked for. I\'m sorry, but I can not give you anything for this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '10', 'notit_2', 'It seems I could have been clearer in my instructions. This is not what I asked for. I\'m sorry, but I can not give you anything for this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '11', 'notit_3', 'It seems I could have been clearer in my instructions. This is not what I asked for. I\'m sorry, but I can not give you anything for this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '12', 'notyet', 'I might have something for you to do, but you\'re too new here. I don\'t know if I can trust you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '13', 'npc_1_1', 'Hello outworlder. I have a business proposition for you. You have the ability to leave this planet. That\'s very valuable to me. I\'m a healer for the clan. There are materials I need for my work on Naboo. I was wondering if you would go there for me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '14', 'npc_1_2', 'The algae\'s growth is acceptable, it should take well to our rivers and lakes. I\'ve had a chance to test it on a few light wounds and the effect, though not as strong as the bacta we\'ve acquired from Imperial medics, is still quite noticeable. We are going to need to test this in the field however. Would you care to run a sample out to a fellow healer?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '15', 'npc_1_3', 'It\'s with great sadness that I must again ask for your help. Selia has been slain by a Nightsister patrol. She was... a good friend of mine and I want her avenged. But even more important than that: the salve has been taken. We can not let this secret fall into the hands of the Nightsisters.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '16', 'npc_2_1', 'That is great news. Ok, this book mentions a \"Gungan\" on Naboo. He is a holy man of his people by the name of Skub. He is said to have discovered a form of algae with healing properties similar to the derivative elements of bacta. The difference is I believe this particular algae would be well suited to the environs of Dathomir. Travel to Naboo, find this \"Gungan\" and return with a sample of the algae.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '17', 'npc_2_2', 'That\'s fine. You\'ll find Seelia out that way. Give her this salve and tell her to apply a thin smear to light scratches, thickening the layer to match the depth of the wounds.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '18', 'npc_2_3', 'Hurry. That patrol must not be allowed to return to the Nightsister stronghold. I have no doubt that they will discover the secret of the salve\'s making.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '19', 'npc_3_1', 'Outlander, if you have nothing useful to offer us, I suggest you leave the Singing Mountain Clan alone.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '20', 'npc_3_2', 'You frustrate me. We could use you as the test subject instead. I\'m sure the guards would appreciate the weapon practice. Are you sure you won\'t reconsider?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '21', 'npc_3_3', 'You wait until my moment of most dire need to betray me? Next to your selective loyalty the underhanded tricks of the nightsisters seem honorable.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '22', 'npc_4_1', 'You may not be aware of what a valuable thing it is to be able to leave this planet. Rest assured I am, and will reward you sufficiently.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '23', 'npc_4_2', 'Well, I have a packet of strong healing herbs I will give to you. There is also the prospect of monetary compensation.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '24', 'npc_4_3', 'This is a matter of grave importance, but I am still prepared to reward you for the service.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '25', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '26', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '27', 'npc_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '28', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '29', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '30', 'npc_6_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '31', 'npc_backtowork_1', 'Very good. Please try to hurry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '32', 'npc_backtowork_2', 'Keep sharp. There is a chance you\'ll run afoul of a nightsister patrol out where you\'re headed.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '33', 'npc_backtowork_3', 'You\'d best be.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '34', 'npc_breech_1', 'Look at de beeyutiful nature. So calm.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '35', 'npc_breech_2', 'These healing supplies are running a bit low. I\'m going to have to return to the stronghold soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '36', 'npc_breech_3', 'I dont know what this goop is, but the matriarch demands it. Now shut up, we\'re not out of Mountain Clan territory yet.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '37', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '38', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '39', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '40', 'npc_failure_1', 'Well, maybe this task was tougher than I thought. Perhaps you will try again?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '41', 'npc_failure_2', 'Well, maybe this task was tougher than I thought. Perhaps you will try again?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '42', 'npc_failure_3', 'Well, maybe this task was tougher than I thought. Perhaps you will try again?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '43', 'npc_more_1_1', 'You are in luck. Here is the algae right here. Skub has plenty. This jar should keep it safe, but try to store it in a dark place.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '44', 'npc_more_1_2', 'Hm, interesteing. Yes, I\'ll give it a try.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '45', 'npc_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '46', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '47', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '48', 'npc_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '49', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '50', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '51', 'npc_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '52', 'npc_noloc_1', 'Actually, I do not quite have all of my information ready. Let me study a bit. If you return shortly I should have some work for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '53', 'npc_noloc_2', 'Actually, I\'m do not quite have all of my information ready. Let me study a bit. If you return shortly I should have some work for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '54', 'npc_noloc_3', 'Actually, I do not quite have all of my information ready. Let me study a bit. If you return shortly I should have some work for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '55', 'npc_reset', 'Well, make your preparations. Come back when you are ready.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '56', 'npc_reward_1', 'Ah yes, this is it. I\'ll introduce a little of this to a pool, as I am told it favors dark, still waters. And as for you... I am pleased to thank you, and to offer these in reward for your services.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '57', 'npc_reward_2', 'Selia has the salve? Perfect. Now I\'ve only to wait for her to return with news. You\'ve been a great help, outworlder. Take these healing supplies and credits.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '58', 'npc_reward_3', 'Ah yes. The salve is safe. It was foolish of me to let it out of the stronghold. I will be more careful in the future. Take these, it\'s the least I could do.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '59', 'npc_smuggle_1', 'I believe I have what you need.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '60', 'npc_smuggle_2', 'You say you\'re from Vurlene? Ah, supplies?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '61', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '62', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '63', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '64', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '65', 'npc_work_1', 'Oh, and one other thing: try to keep the algae in a dark place when you are transporting it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '66', 'npc_work_2', 'That salve isn\'t going to dry out or anything like that, but Selia might be moving soon. I suggest you hurry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '67', 'npc_work_3', 'I\'m not trying to be demanding... actually, yes, I am. Get going. This is important.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '68', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '69', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '70', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '71', 'player_1_1', 'Why not? I\'ll go to Naboo for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '72', 'player_1_2', 'I\'ll do it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '73', 'player_1_3', 'I will return the salve.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '74', 'player_2_1', 'No, I don\'t think so.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '75', 'player_2_2', 'I\'m not interested.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '76', 'player_2_3', 'No, I can\'t do that.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '77', 'player_3_1', 'Why should I?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '78', 'player_3_2', 'What is in it for me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '79', 'player_3_3', 'Why?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '80', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '81', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '82', 'player_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '83', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '84', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '85', 'player_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '86', 'player_more_1_1', 'Greetings Skub. I\'m an aspiring healer and I hear you might know where to find the healing algae.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '87', 'player_more_1_2', 'Yes, she would like you to try this new healing salve.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '88', 'player_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '89', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '90', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '91', 'player_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '92', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '93', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '94', 'player_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '95', 'player_reset', 'I\'m sorry, I\'m not ready to help you yet.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '96', 'player_sorry', 'Thank you. I\'ll be going now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '97', 'return_waypoint_description_1', 'A Singing Mountain Clan healer.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '98', 'return_waypoint_description_2', 'Singing Mountain Clan healer');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '99', 'return_waypoint_description_3', 'Singing Mountain Clan healer');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '100', 'return_waypoint_name_1', 'Vurlene');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '101', 'return_waypoint_name_2', 'Vurlene');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '102', 'return_waypoint_name_3', 'Vurlene');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '103', 'waypoint_description_1', 'The Gungan Holy Man Vurlene suspects can provide a sample of a special variety of algae with healing properties.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '104', 'waypoint_description_2', 'A Singing Mountain Clan healer in need of medical supplies.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '105', 'waypoint_description_3', 'This is the location of the Nightsister patrol that ambushed Selia.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '106', 'waypoint_name_1', 'Skub');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '107', 'waypoint_name_2', 'Selia');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '108', 'waypoint_name_3', 'Nightsister Patrol');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '109', 'npc_reset_1', 'Well, make your preparations. Come back when you are ready.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '110', 'npc_reset_2', 'Well, make your preparations. Come back when you are ready.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '111', 'npc_reset_3', 'Well, make your preparations. Come back when you are ready.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '112', 'player_reset_1', 'I\'m sorry, I\'m not ready to help you yet.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '113', 'player_reset_2', 'I\'m sorry, I\'m not ready to help you yet.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '114', 'player_reset_3', 'I\'m sorry, I\'m not ready to help you yet.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '115', 'player_sorry_1', 'Thank you. I\'ll be going now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '116', 'player_sorry_2', 'Thank you. I\'ll be going now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/vurlene.stf', '117', 'player_sorry_3', 'Thank you. I\'ll be going now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '1', 'cant_work', 'You seem to be quite busy. When you have some time, please stop by again. I may have need of your skills.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '2', 'dontknowyou_1', 'Except for you, that is. I only kill people I don\'t like.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '3', 'dontknowyou_2', 'Please? Could you please go already? Pretty, pretty please?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '4', 'dontknowyou_3', 'Look, get out of the way! You\'re going to ruin this for the other guy!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '5', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '6', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '7', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '8', 'next', 'Your help has been most appreciated. When I am done with my dissection, I will make it a point to refer to you in my report to the Emperor.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '9', 'notit_1', 'This is not what I asked for.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '10', 'notit_2', 'No, this isn\'t one of those odd stones.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '11', 'notit_3', 'I\'m sorry, but I didn\'t ask for this. You can have it back.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '12', 'notyet', 'You are not worth my time. Please go away.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '13', 'npc_1_1', 'Greetings. I am Xarot Korlin, Imperial Inquisitor here on Dathomir. I have been studying the way the indigenous witches use this so called \"magic\", and I wish to learn more. Are you willing to help me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '14', 'npc_1_2', 'Well, I was unable to discern anything special from that stone. I am still confused as to how these witches work their \"magic\". But, I am not ready to stop researching. Can you help acquire another stone for me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '15', 'npc_1_3', 'My studies have turned up nothing. Nothing at all, I tell you! But... I have not risen to this office without diligence. I have one last request of you, if you are available?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '16', 'npc_2_1', 'Good. I need you to go venture within Nightsister territory and find one of them unawares. Once you have killed her, hopefully with little resistance, bring back the stone in her headdress, for that will help my studies.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '17', 'npc_2_2', 'You help will surely speed up my research, and provide much discretion to the prying eye. I would like a stone to compare with the one you already brought to me. I will need one from a Singing Mountain Clan sister now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '18', 'npc_2_3', 'I am convinced those crystals are the source of their misnamed \"magic\". I think they work in conjuncton with their brains, therefore I need a living Nightsister so finish my experiments. Please bring one back to me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '19', 'npc_3_1', 'Well, when you have some time, stop by. I can always use the help.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '20', 'npc_3_2', 'Please understand that I cannot do this myself. With your help, I may be able to solve this mystery, which may provide a great reward from the Emperor himself.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '21', 'npc_3_3', 'Please reconsider. I am only asking this one last thing of you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '22', 'npc_4_1', 'I have noticed that many of these witches wear elaborate headdresses. I have been told that within these hats, they contain a special stone. I believe that this stone is the source of their \"magic\".');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '23', 'npc_4_2', 'Even though it\'s temperature is below what one should expect, I haven\'t been able to discern anything else. I am still positive that these stones do something. Perhaps this magic is a variant of the Force that the former Jedi once used.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '24', 'npc_4_3', 'Well, these stones do nothing by themselves, for I haven\'t been able to activate them at all. At this point I think they work in tandem with the pulses of the Sister\'s brains. Sadly, I don\'t have one of their brains on me right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '25', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '26', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '27', 'npc_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '28', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '29', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '30', 'npc_6_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '31', 'npc_backtowork_1', 'You need to dispose of a Nightsister, then bring back the stone in her headdress.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '32', 'npc_backtowork_2', 'You need to find one of the Singing Mountain Clan Sisters and take the stone from her headdress.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '33', 'npc_backtowork_3', 'I would appreciate it if you were able to bring one of the Sisters to me so that I can operate on her.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '34', 'npc_breech_1', 'What are you doing here? All trespassers will die!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '35', 'npc_breech_2', 'If you do not leave, I will be forced to act. Leave now!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '36', 'npc_breech_3', 'What are you doing here? My pet, attack them!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '37', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '38', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '39', 'npc_dropoff_3', 'What? Who are you and what do you plan on doing with me? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '40', 'npc_failure_1', 'You weren\'t able to find one of those stones? I guess I\'ll need to hire someone more competant than you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '41', 'npc_failure_2', 'She didn\'t have a stone on her? How odd... I would have thought that the Singing Mountain Clan would have had similar customs as the Nightsisters.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '42', 'npc_failure_3', 'Your hunt turned up nothing? My research is here at it\'s most critical stage, and yet I have o subject to experiment on! Woe is me!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '43', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '44', 'npc_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '45', 'npc_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '46', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '47', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '48', 'npc_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '49', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '50', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '51', 'npc_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '52', 'npc_noloc_1', 'Let me prepare my are before I send you out on this. Please check back with me in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '53', 'npc_noloc_2', 'Let me prepare the my area so that I can study these. Ask me in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '54', 'npc_noloc_3', 'Let me prepare my interrogation table, which will be doubling as an impromptu operation table. Ask me again in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '55', 'npc_reset', 'Why? Was it something I said?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '56', 'npc_reward_1', 'Yes, this is exactly as it was described. I will now be able to study what effects it has on other forms of matter. Thank you for helping, friend.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '57', 'npc_reward_2', 'Yes yes yes... now that I have this stone, I can compare it\'s properties with the first one. I need to get to work now, for the faster I can do this, the faster I can have results. Thank you, friend.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '58', 'npc_reward_3', 'Yes, yes... welcome, my dear. No need to worry, this won\'t hurt for too long. As for you, my friend, I thank you for all your help. Now, if you would excuse me, I need to prepare for a lobotomy surgery now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '59', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '60', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '61', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '62', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '63', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '64', 'npc_takeme_3', 'How dare you presume to arrest me! Take me to your Officer now!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '65', 'npc_work_1', 'Have you found one of those stones yet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '66', 'npc_work_2', 'Do you have the other stone?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '67', 'npc_work_3', 'Yes?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '68', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '69', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '70', 'otherescort_3', 'Oh, I\'m dreadfully sorry, but I think you were looking for another Nightsister.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '71', 'player_1_1', 'Sure, I\'ll help.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '72', 'player_1_2', 'No problem. I\'ll do it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '73', 'player_1_3', 'I might as well. Yes, I\'ll help.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '74', 'player_2_1', 'No, I\'m busy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '75', 'player_2_2', 'No, once was enough.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '76', 'player_2_3', 'No, I\'m not.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '77', 'player_3_1', 'What exactly are you studying?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '78', 'player_3_2', 'What did you learn from the first stone?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '79', 'player_3_3', 'What have your studies shown you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '80', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '81', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '82', 'player_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '83', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '84', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '85', 'player_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '86', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '87', 'player_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '88', 'player_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '89', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '90', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '91', 'player_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '92', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '93', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '94', 'player_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '95', 'player_reset', 'I cannot help you any more.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '96', 'player_sorry', 'What did I need to do again?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '97', 'return_waypoint_description_1', 'Xarot is here, anxiously awaiting the Force Crystal for further examination.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '98', 'return_waypoint_description_2', 'Return to Xarot with the Crystal so that he may continue his studies.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '99', 'return_waypoint_description_3', 'Return to thhe Inquisitor with your live test subject');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '100', 'return_waypoint_name_1', 'Inquisitor Xarot');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '101', 'return_waypoint_name_2', 'Inquisitor Xarot');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '102', 'return_waypoint_name_3', 'Inquisitor Xarot');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '103', 'waypoint_description_1', 'A Nightsister is gathering herbs here, completely unaware of what is about to happen.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '104', 'waypoint_description_2', 'You should be able to find a Singing Mountain Clan sister at this area.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '105', 'waypoint_description_3', 'Kidnap the Nightsister that waits at this location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '106', 'waypoint_name_1', 'Nightsister Ambush');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '107', 'waypoint_name_2', 'Singing Sister Ambush');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '108', 'waypoint_name_3', 'Nightsister Kidnapping');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '109', 'npc_reset_1', 'Why? Was it something I said?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '110', 'npc_reset_2', 'Why? Was it something I said?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '111', 'npc_reset_3', 'Why? Was it something I said?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '112', 'player_reset_1', 'I cannot help you any more.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '113', 'player_reset_2', 'I cannot help you any more.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '114', 'player_reset_3', 'I cannot help you any more.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '115', 'player_sorry_1', 'What did I need to do again?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '116', 'player_sorry_2', 'What did I need to do again?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/dathomir/xarot_korlin.stf', '117', 'player_sorry_3', 'What did I need to do again?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/default_dialog.stf', '1', 'quit_quest', 'I can see that you\'re busy working for someone else at the moment.  Would you like to continue to do so, or would you like to work for me instead?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/default_dialog.stf', '2', 'player_quit', 'I think I\'d like to work for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/default_dialog.stf', '3', 'player_continue', 'No, I think I\'ll keep my current job, thanks.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/default_dialog.stf', '4', 'npc_quit', 'Fine.  You are now free of your prior obligation, and you can freely work for me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/default_dialog.stf', '5', 'npc_continue', 'Fine then.  Don\'t bother with me until you\'re ready to work for me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/default_dialog.stf', '6', 'too_weak', 'The task I have seems beyond your capabilities. Come back when you\'re a bit stronger.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/default_dialog.stf', '7', 'too_strong', 'This task is beneath your capabilities.  Are you sure you want to do it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/default_dialog.stf', '8', 'its_ok', 'I want the task anyway.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '1', 'cant_work', 'Yes, you have arrived as I felt within myself. My visions tell me that you are offering yourself, yet you serve another. When you realize your true mistress, you will come to me, yes....');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '2', 'dontknowyou_1', 'Kuba!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '3', 'dontknowyou_2', 'Me not know you. Mistress no send you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '4', 'dontknowyou_3', 'Samooto! Nub-nub!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '5', 'dontknowyou_4', 'Please, go get help! We\'ve crash landed!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '6', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '7', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '8', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '9', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '10', 'next', 'It is time for you to move further, is it not? Continue along your destiny, and you shall serve mine...');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '11', 'notit_1', 'What? Does this look like a spleen to you? Do you even know what a spleen looks like?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '12', 'notit_2', 'What, you offer me such a paltry gift? Take it back, insect.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '13', 'notit_3', 'You utter moron! I told you to bring me an Ewok, and you give me this? Get out of my sight and do as I say!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '14', 'notit_4', 'Is this the \"commlink\"? I don\'t how to use one.... SLAVE!!! Show me how to use this!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '15', 'notyet', 'No, no.... you are not to speak with me yet... in time, my pretty, in time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '16', 'npc_1_1', 'Hello there.... You have the distinct honor of being spoken to by Charal, Witch-Queen of this god-forsaken moon. You have come to serve my desires, have you not?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '17', 'npc_1_2', 'I have need of your services once again, my dearest. My poultice that will allow me to divine the future now needs the next ingredient. I will be pleased if you find my slave whom hasn\'t returned with it yet. Will you, my pretty?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '18', 'npc_1_3', 'Yes... my poultice is nearing the final stage. You have returned with perfect timing, my dearie. I command you to return with an Ewok so that it may provide the final ingredient.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '19', 'npc_1_4', 'Mwuhahahaa..... my potion was a success.  I was able to forsee many visions due to my power as a Sister. I have one last command for you, slave... then I shall actually release you, as per my vision.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '20', 'npc_2_1', 'Yes, my pretty, you have made the correct choice. I am in need of a spleen from a healthy specimen of those disgusting rodents, Ewoks. Bring me back a speen and you will please me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '21', 'npc_2_2', 'You should be able to find him out within the forests. Do not be afraid when you gaze upon him, he is a Lizard man that was stranded here as well. Tell him to follow you back here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '22', 'npc_2_3', 'Yes, yes you do...  now go and bring me an Ewok. Make sure you don\'t harm it too much... I need one globule of spittle from it\'s vicious little fangs.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '23', 'npc_2_4', 'You are such a wonderful little slave, ahh... Now, go find a group of recently crashed survivalists who have an item that is called a \"comm-link\". With this item I will be able to escape this planet.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '24', 'npc_3_1', 'What? How dare you speak to me in that way! I am of half a mind to use your spleen instead!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '25', 'npc_3_2', 'It wouldn\'t take much to make you interested, my pretty. Now, I like my slaves -er- friends to believe that they have a choice... choose differently this time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '26', 'npc_3_3', 'Oh... it seems the compulsion doesn\'t have you as much as I expected it to. Perhaps if you would like to listen to a little song, eh?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '27', 'npc_3_4', 'How. Dare. You. How dare you!!! HOW DARE YOU!!!!! I\'ll give you to the count of five, then I shall begin singing.... run, little rabbit, run....');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '28', 'npc_4_1', 'Who would? This blighted excuse for a moon is not what I had in mind when I escaped from my homeplanet of Dathomir.  After my concoction has come to completion, I will know how much longer I must remain upon this nightmare of a world. Have you chosen yet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '29', 'npc_4_2', 'My slave has a very keen nose for a certain type of herb that grows within the forest, He should have enough of the fresh leaves by now, but he is rather dumb so he hasn\'t returned. What I would give for a more intelligent slave.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '30', 'npc_4_3', 'How dare you question me? I am your master, worm, not the other way around. You could not begin to understand the great mysteries I and my sisters possess. Therefore, do not presume to wonder why I give you that request. You will do as I command!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '31', 'npc_4_4', 'Oh... how cute. It just asked my about my vision, as if it could even begin to understand. Well, worm, my vision showed me many ships landing on this planet in the near future. I will use a fabled \"commlink\" to steal these ships.... then I can leave these filthy Marauders for good. Now do as I say!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '32', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '33', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '34', 'npc_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '35', 'npc_5_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '36', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '37', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '38', 'npc_6_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '39', 'npc_6_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '40', 'npc_backtowork_1', 'You are to find me the spleen of a healthy Ewok. I just need its spleen... you may throw the rest away.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '41', 'npc_backtowork_2', 'You are to go fetch my slave, Lizardman. Don\'t  make me create another slave to go fetch you as well!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '42', 'npc_backtowork_3', 'You simpleton! I told you that I demand you bring me an Ewok so that I can squeeze a fleckle of spit from its body. Now go!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '43', 'npc_backtowork_4', 'I just told you! Get me that fabled commlink! With the power of technology, I will be Queen of this moon!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '44', 'npc_breech_1', 'Oooka matoota keebo keebo!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '45', 'npc_breech_2', 'Urgg... who you? You sent by the Mistress?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '46', 'npc_breech_3', 'Mooka pentootie kabbaata!!! Keepoto!!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '47', 'npc_breech_4', 'We\'re saved!!!! Hooray!!! Hey.... what are you doing with that blaster?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '48', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '49', 'npc_dropoff_2', 'Urgg... Mistress... I have plant for you... I did not try to escape... I\'m good Trandoshan, right?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '50', 'npc_dropoff_3', 'Giiiboota!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '51', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '52', 'npc_failure_1', 'WHAT?! What do you mean you weren\'t able to find an Ewok spleen? These forests are crawling with the putrid little creatures!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '53', 'npc_failure_2', 'WHAT!?!? You let my lizard slave get killed? How is that even possible!?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '54', 'npc_failure_3', 'Aiiiiiieeeeee!!!! You let the thing escape?! You have but a few moments before I sing a song that will flay the skin from your bones.... hmmm... perhaps your spittle may do....');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '55', 'npc_failure_4', 'What?!! They didn\'t have the commlink? My visions lied?!?! NOOOOOOooooo.......');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '56', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '57', 'npc_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '58', 'npc_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '59', 'npc_more_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '60', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '61', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '62', 'npc_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '63', 'npc_more_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '64', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '65', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '66', 'npc_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '67', 'npc_more_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '68', 'npc_noloc_1', 'Let me hum a spell so that I may concentrate on where to find a healthy ewok. Ask me again in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '69', 'npc_noloc_2', 'Let me think as to where Lizardman might be right now. Ask me again in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '70', 'npc_noloc_3', 'Now, let me think where you might be able to find an Ewok. Ask me again in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '71', 'npc_noloc_4', 'Let me think about where my vision told me the survivalists are. Check back with me shortly.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '72', 'npc_reset', 'Bah! You\'re worthless! Wait... perhaps not. Mayhaps you might make for a tasty meal...');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '73', 'npc_reward_1', '*sniff sniff* Yes... yes, this will do. Once this is added to my poultice, I\'ll know if I should continue working with this fool of a Marauder! You have served me well.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '74', 'npc_reward_2', 'Yes, there you are Lizardman... you have stayed out for far too long. Are you alright? Good... Now give me those leaves!!!! As for you, servant - er -  friend... you have done well.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '75', 'npc_reward_3', 'Good, good, good... now that I have this little runt, it won\'t be too long to coax a little spit from it\'s maw. You have done well... I will have need of you when I am done.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '76', 'npc_reward_4', 'Yes!!! With this commlink I can command power over the very Universe itself!!! All I have to do is wait for the first ship to land on this moon. As for you... my vision has shown that you must leave me. A shame, too... you were my favorite.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '77', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '78', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '79', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '80', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '81', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '82', 'npc_takeme_2', 'Why you talk better than other slaves? OW!!! Head hurrrrrt..... just take me back.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '83', 'npc_takeme_3', 'Mahhhh... kaptootie!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '84', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '85', 'npc_work_1', 'Why do I not smell an Ewok spleen on you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '86', 'npc_work_2', 'Why do I not see Lizardman?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '87', 'npc_work_3', 'Where is that Ewok?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '88', 'npc_work_4', 'Why are you here!? Get me that \"commlink\"!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '89', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '90', 'otherescort_2', 'Whaaaaah? Wrong Trandoshan... look around for right one.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '91', 'otherescort_3', 'Moko, moko.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '92', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '93', 'player_1_1', 'Ummm... I guess so. Sure, I\'ll serve you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '94', 'player_1_2', 'Yes, I\'ll do it, my lady.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '95', 'player_1_3', 'I do as you command, great Mistress.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '96', 'player_1_4', 'I live only to obey, my dark Mistress.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '97', 'player_2_1', 'Sorry, I don\'t serve anyone! No!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '98', 'player_2_2', 'No thanks. I\'m not interested.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '99', 'player_2_3', 'Command me? No one commands me! No!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '100', 'player_2_4', 'Did you just call me your slave?! Do it yourself, witch.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '101', 'player_3_1', 'You don\'t want to be here on Endor?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '102', 'player_3_2', 'What do you need with your slave?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '103', 'player_3_3', 'Why do you need another Ewok?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '104', 'player_3_4', 'What were your visions about?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '105', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '106', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '107', 'player_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '108', 'player_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '109', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '110', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '111', 'player_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '112', 'player_5_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '113', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '114', 'player_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '115', 'player_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '116', 'player_more_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '117', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '118', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '119', 'player_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '120', 'player_more_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '121', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '122', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '123', 'player_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '124', 'player_more_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '125', 'player_reset', 'I\'m unable to continue doing this, my lady.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '126', 'player_sorry', 'What was your desire again?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '127', 'return_waypoint_description_1', 'Charal is waiting for that spleen. Don\'t keep her waiting.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '128', 'return_waypoint_description_2', 'Charal is waiting for those herbs. Don\'t keep her waiting.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '129', 'return_waypoint_description_3', 'Charal is waiting for that Ewok\'s precious salivary glands. Don\'t keep her waiting.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '130', 'return_waypoint_description_4', 'Return with the \"commlink\" and Charal will break your compulsion as your reward.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '131', 'return_waypoint_name_1', 'Charal');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '132', 'return_waypoint_name_2', 'Charal');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '133', 'return_waypoint_name_3', 'Charal');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '134', 'return_waypoint_name_4', 'Charal');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '135', 'waypoint_description_1', 'Ewoks have been rumored to appear near here');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '136', 'waypoint_description_2', 'Charal\'s slave should be somewhere around here');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '137', 'waypoint_description_3', 'Charal believes you can find some Ewoks in this general vicinity.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '138', 'waypoint_description_4', 'You should be able to find the survivalists somewhere nearby this crash site.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '139', 'waypoint_name_1', 'Ewok Sighting');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '140', 'waypoint_name_2', 'Charal\'s Lizardman');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '141', 'waypoint_name_3', 'Ewok Sighting');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '142', 'waypoint_name_4', 'Crash Landing');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '143', 'player_reset_1', 'I\'m unable to continue doing this, my lady.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '144', 'player_reset_2', 'I\'m unable to continue doing this, my lady.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '145', 'player_sorry_1', 'What was your desire again?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '146', 'player_sorry_2', 'What was your desire again?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '147', 'npc_reset_1', 'Bah! You\'re worthless! Wait... perhaps not. Mayhaps you might make for a tasty meal...');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '148', 'npc_reset_2', 'Bah! You\'re worthless! Wait... perhaps not. Mayhaps you might make for a tasty meal...');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '149', 'npc_reset_3', 'Bah! You\'re worthless! Wait... perhaps not. Mayhaps you might make for a tasty meal...');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '150', 'npc_reset_4', 'Bah! You\'re worthless! Wait... perhaps not. Mayhaps you might make for a tasty meal...');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '151', 'player_reset_3', 'I\'m unable to continue doing this, my lady.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '152', 'player_reset_4', 'I\'m unable to continue doing this, my lady.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '153', 'player_sorry_3', 'What was your desire again?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/charal.stf', '154', 'player_sorry_4', 'What was your desire again?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '1', 'cant_work', 'You are busy. Come back when you are not.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '2', 'dontknowyou_1', 'Get lost! I\'m busy!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '3', 'dontknowyou_2', 'Go! Or we may decide to eat you!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '4', 'dontknowyou_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '5', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '6', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '7', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '8', 'next', 'I have nothing else for you at the moment. Come back later and perhaps I\'ll have more.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '9', 'notit_1', 'This is not the weapon my scouts described to me. Bring me that weapon!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '10', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '11', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '12', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '13', 'npc_1_1', 'If you have come to see me, then you have come to work. I am in need of a weapon. Our scouts encountered a group of pirates. It is likely their ship was shot down. Their leader used an interesting weapon. It disintegrated one of our warriors. Kill this pirate leader and bring me his weapon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '14', 'npc_1_2', 'That blasted witch, Charal, raided the pirates\' crashed ship. She destroyed the wreckage to insure I would not find anything else. The Marauders who carried out her orders must pay for their treachery. Find them and obliterate them. Marauders should be loyal to King Terak alone!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '15', 'npc_1_3', 'King Terak was not pleased by the deaths of his men. Unfortunately, the witch Charal used her sorcery to prove she had nothing to do with the attack. But Terak will forgive this insult if you take care of an arachne that has been attacking our outposts.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '16', 'npc_2_1', 'Good. These pirates managed to fight off several Marauder warriors. It is my hope that you have better luck. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '17', 'npc_2_2', 'Do not worry. I will shield you from King Terak\'s rage once he hears that his men have been killed. I will make it seem as if Charal\'s treachery was responsible for their deaths.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '18', 'npc_2_3', 'You are wiser than you look. Report back to me once the spider is dead.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '19', 'npc_3_1', 'If you will not work, then you are no different from prey. Leave at once or I shall see what you taste like.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '20', 'npc_3_2', 'I grow hungrier by the minute! Leave, worthless fool!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '21', 'npc_3_3', 'I would not stay on Endor if I were you. King Terak is not a forgiving sort.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '22', 'npc_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '23', 'npc_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '24', 'npc_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '25', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '26', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '27', 'npc_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '28', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '29', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '30', 'npc_6_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '31', 'npc_backtowork_1', 'Why do you just stand around?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '32', 'npc_backtowork_2', 'There is no time to waste! Hurry and do my bidding!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '33', 'npc_backtowork_3', 'Hurry, before King Terak decides to take out his anger on both our hides!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '34', 'npc_breech_1', 'That\'s not one of our own! Blast this creature to pieces, lads!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '35', 'npc_breech_2', 'Kill that one! We will feast tonight!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '36', 'npc_breech_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '37', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '38', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '39', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '40', 'npc_failure_1', 'Those who fail me do not live long. You are lucky I am not King Terak.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '41', 'npc_failure_2', 'How could you have let these fools escape with their lives? You are of no use to me!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '42', 'npc_failure_3', 'I shall blame you for the deaths of King Terak\'s warriors. Had you killed the beast of many legs this would not have been an issue.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '43', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '44', 'npc_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '45', 'npc_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '46', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '47', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '48', 'npc_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '49', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '50', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '51', 'npc_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '52', 'npc_noloc_1', 'I will verify the pirates\' last known location. Come back later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '53', 'npc_noloc_2', 'I must find out where these Marauders have gone. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '54', 'npc_noloc_3', 'King Terak wishes an audience with me. Come back later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '55', 'npc_reset', 'Bah! Go away and do not return unless you intend to finish what you begin.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '56', 'npc_reward_1', 'You have done well. Continue to serve me well and you shall continue to be rewarded.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '57', 'npc_reward_2', 'You are an obedient servant. You serve me well.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '58', 'npc_reward_3', 'Well done. King Terak will soon forget the loss of his warriors once he hears the news of the arachne\'s death.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '59', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '60', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '61', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '62', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '63', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '64', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '65', 'npc_work_1', 'Where is that weapon? I must study it and learn its secrets.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '66', 'npc_work_2', 'Are the traitorous Marauders dead?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '67', 'npc_work_3', 'Is the spider dead? Why not?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '68', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '69', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '70', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '71', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '72', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '73', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '74', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '75', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '76', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '77', 'player_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '78', 'player_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '79', 'player_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '80', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '81', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '82', 'player_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '83', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '84', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '85', 'player_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '86', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '87', 'player_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '88', 'player_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '89', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '90', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '91', 'player_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '92', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '93', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '94', 'player_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '95', 'player_reset', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '96', 'player_sorry', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '97', 'return_waypoint_description_1', 'Bring the weapon back to Szingo.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '98', 'return_waypoint_description_2', 'Report your success back to Szingo.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '99', 'return_waypoint_description_3', 'Report your success back to Szingo.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '100', 'return_waypoint_name_1', 'Scholar Szingo\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '101', 'return_waypoint_name_2', 'Scholar Szingo\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '102', 'return_waypoint_name_3', 'Scholar Szingo\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '103', 'waypoint_description_1', 'Get the pirate captain\'s weapon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '104', 'waypoint_description_2', 'Kill the Marauder scouting party.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '105', 'waypoint_description_3', 'Kill the marauding Arachne.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '106', 'waypoint_name_1', 'Pirate Captain\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '107', 'waypoint_name_2', 'Marauder Scout Leader\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '108', 'waypoint_name_3', 'Arachne\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '109', 'npc_reset_1', 'Bah! Go away and do not return unless you intend to finish what you begin.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '110', 'npc_reset_2', 'Bah! Go away and do not return unless you intend to finish what you begin.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '111', 'npc_reset_3', 'Bah! Go away and do not return unless you intend to finish what you begin.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '112', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '113', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '114', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '115', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '116', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_maraudercitadel_scholar_szingo.stf', '117', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '1', 'cant_work', 'If you would do the work of Fightmaster Jorak, you can work for no one else.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '2', 'dontknowyou_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '3', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '4', 'next', 'You have proven your bravery. But you will never match Fightmaster Jorak. Seek your fame in some other tribe.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '5', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '6', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '7', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '8', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '9', 'npc_1_1', 'Those who challenge Fightmaster Jorak face certain death! Hnnh? You do not challenge me? You seek to help the tribe? Urrm. Very well, kill the bloodseeker that attacks our livestock. Then you will show your bravery!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '10', 'npc_1_2', 'Hrrngh. The tribe faces a new danger. One of the blurrgs at the old rock quarry ate of the stinking verminweed, which drives blurrgs to fury. Now the blurrg knocks over trees, homes, children. Kill the blurrg, and prove your bravery!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '11', 'npc_1_3', 'Urrm -- it is bad when the little remmers get the Patch-skin Sickness. The big beasts eat the sick remmers, and the sickness drives the big things mad. A mantigrue has gone mad and threatens the tribe. Kill it to prove your might.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '12', 'npc_2_1', 'Face the bloodseeker and kill it. Then you will prove yourself worthy to stand with Fightmaster Jorak!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '13', 'npc_2_2', 'You will be known as a proud warrior when you kill this crimson blurrg.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '14', 'npc_2_3', 'Against the mantigrue, even I, Fightmaster Jorak, have taken wounds. Watch for its claws!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '15', 'npc_3_1', 'If you will not face the bloodseeker, the tribe will know you as a gutless coward.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '16', 'npc_3_2', 'Cowards have no future in this tribe.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '17', 'npc_3_3', 'You will gain no honor as a warrior for this cowardice.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '18', 'npc_4_1', 'It is the great many-legged warrior of the bark mites, fierce and relentless. We call it the Chirping Death. Hrnnh -- maybe that is not such a good name. Not fearsome. The bloodseeker is fearsome. Will you kill it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '19', 'npc_4_2', 'Big lizard. Walks on its hind legs. Three-Toe, the children call it. We tame it as a mount -- it is strong, though stupid. But when driven to fury, it is dangerous. Will you kill it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '20', 'npc_4_3', 'Some call it a condor dragon. Big scaled flying monster. The young, they dream bad dreams about it. Will you kill it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '21', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '22', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '23', 'npc_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '24', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '25', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '26', 'npc_6_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '27', 'npc_backtowork_1', 'There is no more to say. You must face the bloodseeker, or the tribe will know you as a coward.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '28', 'npc_backtowork_2', 'There is no more to say. You must find and kill the crimson blurrg, or else be known as a coward.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '29', 'npc_backtowork_3', 'There is nothing more to say. You must face the maddened mantigrue.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '30', 'npc_breech_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '31', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '32', 'npc_failure_1', 'Even the youngest warrior of our tribe can dispatch a simple bloodseeker! You are not fit to call yourself a warrior.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '33', 'npc_failure_2', 'You did not kill the blurrg, which any youngster of our tribe could kill while half asleep? You are no warrior, and are not fit to talk to Fightmaster Jorak.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '34', 'npc_failure_3', 'You did not kill the mantigrue, and therefore you are no match for the valor of Fightmaster Jorak. Go!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '35', 'npc_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '36', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '37', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '38', 'npc_noloc_1', 'When the scouts return with the location of the bloodseeker, then I shall tell you where to go. Meet with me again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '39', 'npc_noloc_2', 'When the scouts return with the news of the blurrg, then I can tell you where to find it. Meet with me again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '40', 'npc_noloc_3', 'When the scouts bring me the news of the mantigrue\'s attack, then I shall know where to send you. Meet with me again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '41', 'npc_reset', 'Away from me, coward.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '42', 'npc_reward_1', 'You have killed the bloodseeker. You may be a worthy warrior yet -- though you still have much to learn to match Fightmaster Jorak!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '43', 'npc_reward_2', 'You prove yourself a warrior indeed -- though not one to match Fightmaster Jorak. Here is your reward.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '44', 'npc_reward_3', 'You killed the mantigrue! You have earned much glory with my people -- though not so great a glory as Fightmaster Jorak, so do not think of challenging me. Here is your reward.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '45', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '46', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '47', 'npc_work_1', 'You must face the bloodseeker, or the tribe will know you as a coward.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '48', 'npc_work_2', 'You must find and kill the crimson blurrg, or else be known as a coward.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '49', 'npc_work_3', 'You must face the maddened mantigrue or be known among my people as a coward.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '50', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '51', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '52', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '53', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '54', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '55', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '56', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '57', 'player_3_1', 'What is a bloodseeker?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '58', 'player_3_2', 'What is a blurrg?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '59', 'player_3_3', 'What is a mantigrue?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '60', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '61', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '62', 'player_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '63', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '64', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '65', 'player_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '66', 'player_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '67', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '68', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '69', 'player_reset', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '70', 'player_sorry', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '71', 'return_waypoint_description_2', 'Return to Fightmaster Jorak with news of your victory.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '72', 'return_waypoint_name_2', 'Fightmaster Jorak');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '73', 'waypoint_description_2', 'Kill the frenzied blurrg.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '74', 'waypoint_name_2', 'Blurgg');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '75', 'return_waypoint_name_1', 'Fightmaster Jorak');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '76', 'return_waypoint_name_3', 'Fightmaster Jorak');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '77', 'waypoint_description_1', 'Kill the bloodseeker that is attacking the tribe\'s livestock.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '78', 'waypoint_description_3', 'Slay the mantrigue that was driven mad by the patch-skin Sickness.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '79', 'waypoint_name_1', 'Bloodseeker');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '80', 'waypoint_name_3', 'Mantigrue');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '81', 'return_waypoint_description_1', 'Return to Fightmaster Jorak with news of your victory.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '82', 'return_waypoint_description_3', 'Return to Fightmaster Jorak with news of your victory.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '83', 'npc_reset_1', 'Away from me, coward.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '84', 'npc_reset_2', 'Away from me, coward.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '85', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '86', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '87', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '88', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '89', 'npc_reset_3', 'Away from me, coward.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '90', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_marauder_fightmaster_jorak.stf', '91', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '1', 'cant_work', 'There are a thousand creatures in need of killing right now. Finish your current job and hurry back.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '2', 'dontknowyou_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '3', 'dontknowyou_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '4', 'dontknowyou_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '5', 'dontknowyou_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '6', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '7', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '8', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '9', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '10', 'next', 'I don\'t have any more work for you right now. Come back and see me another time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '11', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '12', 'notit_2', 'This isn\'t my crystal. Where is it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '13', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '14', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '15', 'notyet', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '16', 'npc_1_1', 'Those Ewoks cause me nothing but trouble. If I could find a way to burn every last one of them to cinders, I could die happy. One of those blasted creatures has stolen an item that is very precious to me. I\'m in the middle of something very delicate at the moment and can\'t get away. Would you be willing to track down the hairy little monster and bring it back here?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '17', 'npc_1_2', 'Now that I know which of those filthy Ewoks stole my crystal, I need someone to retrieve it. Would you be a dear and hunt down and kill that awful little furry sneak thief and get my crystal back? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '18', 'npc_1_3', 'I\'ve been pondering how best to deal with this worthless tribe of thieving Ewoks. After due consideration, I\'ve decided that I need to kill them all. Now this may sound impractical since like all vermin they breed incessantly, but the sooner you start, the sooner you\'ll finish. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '19', 'npc_1_4', 'They do not wail over Tibiks death, they celebrate him. Blasted creatures can\'t even get murdered properly. It\'s that priest of theirs that exhorts them to celebrate. He must be the next to die. You\'ll see it through won\'t you? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '20', 'npc_2_1', 'I need this one creature named Chuva brought back to me unharmed - I\'ll take care of harming that one personally. Any other Ewoks in the vicinity who happen to die can only get you on my good side. Snap to it. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '21', 'npc_2_2', 'I think that as long as you keep on doing what I want you to, we\'re going to get along fine. Corba is the miserable little rat that stole my crystal. I\'d ask you to bring the skin back but I don\'t want any solids left when you\'re finished. Just kill Corba and get my crystal back.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '22', 'npc_2_3', 'Once you have learned to truly hate them, perhaps I can teach you worse things. We shall see what you are capable of. Your task is to kill Tibik, the leader of this Ewok tribe. It shall be as though a great gong sounds their doom. Then my extermination can begin in earnest. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '23', 'npc_2_4', 'What a trail of suffering we could wreak. Those repellent celebrations should be over by now. Find their priest, Binbin he is called, and remove him from this life in the most painful way you can. I want to hear his howls of agony from here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '24', 'npc_3_1', 'I wouldn\'t make a habit of wasting my time. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '25', 'npc_3_2', 'I wonder what pretty noises you might make screaming in agony. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '26', 'npc_3_3', 'I\'d hate to think you were growing attached to those hairy monstrosities. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '27', 'npc_3_4', 'Then may you share their fate.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '28', 'npc_4_1', 'I told you, something very precious to me. Don\'t ask questions that don\'t concern you. Are you going to bring that disgusting creature back here for interrogation or not?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '29', 'npc_4_2', 'Yes, it was a crystal. I want it back and I\'ll get it even if I have to boil every creature on this miserable little moon down to syrup. Now are you going to find it or not?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '30', 'npc_4_3', 'Hate? You haven\'t the wit to truly grasp how I feel about the Ewoks. Hate does not even begin to describe what I feel towards those furry abominations. As to my reasons -- They are not your concern. Now will you aid my extermination plan or not?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '31', 'npc_4_4', 'If not joy then it will have to suffice. It is all I think of day and night, the thought of making them suffer endless agonies until they finally despair so greatly they can no longer bear living. I need you to help me realize this goal, my weapon. What say you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '32', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '33', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '34', 'npc_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '35', 'npc_5_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '36', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '37', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '38', 'npc_6_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '39', 'npc_6_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '40', 'npc_backtowork_1', 'You seem to have something on your mind. What is it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '41', 'npc_backtowork_2', 'What do you want? Why are you still here?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '42', 'npc_backtowork_3', 'You\'re not trying to stand in my way are you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '43', 'npc_backtowork_4', 'Don\'t just stand there gibbering. Speak your piece and be gone.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '44', 'npc_breech_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '45', 'npc_breech_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '46', 'npc_breech_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '47', 'npc_breech_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '48', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '49', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '50', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '51', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '52', 'npc_failure_1', 'You couldn\'t even capture an Ewok? Well don\'t feel too badly. If I had a credit for every time one of those disgusting little creatures foiled my plans, I\'d be a wealthy witch.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '53', 'npc_failure_2', 'You begin to see why I hate those miserable little creatures now. Nothing ever goes right when they\'re involved.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '54', 'npc_failure_3', 'Now you begin to see how loathing can develop into so much more. Now imagine a lifetime spent among them and imagine how potent your venom might become.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '55', 'npc_failure_4', 'We should wait here together and plot revenge so foul that children across the galaxy will cry themselves to sleep each night from the horror of it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '56', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '57', 'npc_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '58', 'npc_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '59', 'npc_more_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '60', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '61', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '62', 'npc_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '63', 'npc_more_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '64', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '65', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '66', 'npc_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '67', 'npc_more_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '68', 'npc_noloc_1', 'I need a few moments to savor the thoughts of what torments I\'m going to inflict on this little thieving creature once it\'s standing before me. Come back in a little while and I should be ready for you to begin.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '69', 'npc_noloc_2', 'Perhaps I can narrow down where to look for the rotten little beast. Come back in a few minutes and maybe I\'ll know more.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '70', 'npc_noloc_3', 'I can almost hear them shrieking their death agonies. My heart may yet burst with the joy of vengeance after being thwarted for so many years.   ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '71', 'npc_noloc_4', 'We must wait until their celebration has run its course. Then, once they begin to reflect on what they have lost, we shall strike again and fill them with despair. It is not yet time. Patience, my weapon. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '72', 'npc_reset', 'I don\'t like for my business to remain unfinished. Come back and complete this task when you are ready. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '73', 'npc_reward_1', 'I hope you managed to kill a few of these filthy creatures in the process of capturing this one. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '74', 'npc_reward_2', 'You\'re quite the little Ewok slayer aren\'t you? I think you and I could get to be good friends before I weary of you and have you killed.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '75', 'npc_reward_3', 'I only wish I could hear their wails of misery. Oh what sweet music.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '76', 'npc_reward_4', 'You have done well, my weapon. You should go out and kill them one by one until you fall. It would be glorious.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '77', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '78', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '79', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '80', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '81', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '82', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '83', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '84', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '85', 'npc_work_1', 'Shouldn\'t you have an Ewok standing in chains before me, squeaking for mercy? Get busy!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '86', 'npc_work_2', 'Why haven\'t you found my crystal yet? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '87', 'npc_work_3', 'Have you struck the blow that will strike terror into their furry hearts? Get on with it. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '88', 'npc_work_4', 'Have you turned their celebration songs into a dirge yet? Any sound but their misery chafes my ears.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '89', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '90', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '91', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '92', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '93', 'player_1_1', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '94', 'player_1_2', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '95', 'player_1_3', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '96', 'player_1_4', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '97', 'player_2_1', 'No');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '98', 'player_2_2', 'No');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '99', 'player_2_3', 'No');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '100', 'player_2_4', 'No');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '101', 'player_3_1', 'What did it steal?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '102', 'player_3_2', 'So it was a crystal that got stolen, eh?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '103', 'player_3_3', 'Why do you hate the Ewoks so much?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '104', 'player_3_4', 'Will it bring you joy to make them suffer?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '105', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '106', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '107', 'player_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '108', 'player_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '109', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '110', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '111', 'player_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '112', 'player_5_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '113', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '114', 'player_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '115', 'player_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '116', 'player_more_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '117', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '118', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '119', 'player_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '120', 'player_more_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '121', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '122', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '123', 'player_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '124', 'player_more_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '125', 'player_reset', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '126', 'player_sorry', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '127', 'return_waypoint_description_1', 'Return Chuva to Morag for interrogation.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '128', 'return_waypoint_description_2', 'Bring the crystal back to Morag ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '129', 'return_waypoint_description_3', 'Inform Morag of Tibik\'s untimely demise');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '130', 'return_waypoint_description_4', 'Return to Morag and inform her of Binbin\'s tragic death.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '131', 'return_waypoint_name_1', 'Morag');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '132', 'return_waypoint_name_2', 'Morag');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '133', 'return_waypoint_name_3', 'Morag');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '134', 'return_waypoint_name_4', 'Morag');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '135', 'waypoint_description_1', 'Find the Ewok Chuva');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '136', 'waypoint_description_2', 'Go find Corba and get the crystal ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '137', 'waypoint_description_3', 'Find and eliminate Tibik');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '138', 'waypoint_description_4', 'Find and Eliminate Binbin');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '139', 'waypoint_name_1', 'Chuva\'s location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '140', 'waypoint_name_2', 'Corba\'s location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '141', 'waypoint_name_3', 'Tibik\'s location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '142', 'waypoint_name_4', 'Binbin\'s location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '143', 'npc_reset_1', 'I don\'t like for my business to remain unfinished. Come back and complete this task when you are ready. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '144', 'npc_reset_2', 'I don\'t like for my business to remain unfinished. Come back and complete this task when you are ready. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '145', 'npc_reset_3', 'I don\'t like for my business to remain unfinished. Come back and complete this task when you are ready. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '146', 'npc_reset_4', 'I don\'t like for my business to remain unfinished. Come back and complete this task when you are ready. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '147', 'npc_reset_5', 'I don\'t like for my business to remain unfinished. Come back and complete this task when you are ready. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '148', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '149', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '150', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '151', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '152', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '153', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '154', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '155', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '156', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/endor_moragscastle_morag.stf', '157', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '1', 'cant_work', 'I may have duties for one such as you, but I feel I do not command your full attention. I suggest you abandon your current duties and return at once.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '2', 'dontknowyou_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '3', 'dontknowyou_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '4', 'dontknowyou_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '5', 'dontknowyou_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '6', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '7', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '8', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '9', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '10', 'next', 'Very nice, you were able to perform adequately in the simple chores given to you. Now figure out a way to get us off this miserable planet.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '11', 'notit_1', 'Why must I suffer the stupidity of my people? With help like this it is no great wonder we have not yet captured the power and escaped this forested prison.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '12', 'notit_2', 'Why must I suffer the stupidity of my people? With help like this it is no great wonder we have not yet captured the power and escaped this forested prison.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '13', 'notit_3', 'Why must I suffer the stupidity of my people? With help like this it is no great wonder we have not yet captured the power and escaped this forested prison.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '14', 'notit_4', 'Why must I suffer the stupidity of my people? With help like this it is no great wonder we have not yet captured the power and escaped this forested prison.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '15', 'notyet', 'I do not know of you. For this you are fortunate. Your inevitable screw ups have not yet been brought to my attention. Go now, before I decide your face offends me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '16', 'npc_1_1', 'Scholar Szingo tells me you are worthy of trust, but you look like a weak willed, oafish lout, used to failing in your duties. We will quickly find the value of appearance. You are to locate an Ewok holy man, destroy him, and return here with a staff I am told contains the power.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '17', 'npc_1_2', 'Well, the staff did not contain the power, but I will not let that reflect upon your performance. It will however figure into my punishment of Indar for failing me then inventing lies to cover up his cowardice and incompetence. He\'s run off, but I trust he will not be hard to find. You are to follow his trail and execute him in the name of Terak, King of the Marauders.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '18', 'npc_1_3', 'Do you feel it? Can you sense it, subtle yet pervasive, lurking all around us? Something new is on the planet. My scouts report a ship has crashed not far from here. A ship that must contain the power. You will bring us the power, right?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '19', 'npc_1_4', 'Oh, those little furballs are clever. They\'ve spied our recent activity and guess rightly that we are up to something. Can you believe the little beasts are actually coming to raid us? Of course you will stop them.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '20', 'npc_2_1', 'Lets see if your actions are as meaningful as your words, slug. A patrol was ambushed near the borders of our territory. The leader of that patrol claims a solitary Ewok was able to send his men running in confusion with bolts of pure power shot from a shiny metal staff. Retrace the steps of this patrol, locate the Ewok, and return here with the staff he wields. Now go!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '21', 'npc_2_2', 'Go. The signs of his departure should be visible in the citadel and easy to read. Spare no extravagance of pain in his demise.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '22', 'npc_2_3', 'Destroy any who defend the ship. Do what you will with them, only bring us the power. Make a thorough search of the area and all beings from the ship, bring tools, parts, documents, anything you find. I can feel our inevitable return to the glory of the stars coming closer, closer. I have only to reach out and...');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '23', 'npc_2_4', 'Very good. Anyone in the citadel should point you in the right direction. I expect you should know I want this dealt with harshly. The more blood the better. I want those little rats hiding all the way back in their stick villages to hear the anguished cries of their comrades.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '24', 'npc_3_1', 'You may thank my present high spirits that I do not feed you to my warriors. Leave my sight, you festering remmer.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '25', 'npc_3_2', 'Explain to me why your miserable life should not belong to me? If you are allowed to walk away from this place, it is only by my leave that you do so.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '26', 'npc_3_3', 'It is only by the grace of your past service that I do not kill you where you stand. But know this: you are lucky to walk out of here in your skin, you treacherous dog.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '27', 'npc_3_4', 'My patience wears thin. Begone from this place and consider this a chance to make your escape else I may send the next stranger out to hunt your worthless hide.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '28', 'npc_4_1', 'Because the staff has power. And power is our means for getting off this green carbuncle on the backside of the galaxy. Those who bring me the power will be well rewarded. And power... is it\'s own reward.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '29', 'npc_4_2', 'Silence fool. You will perform this task for the simple reason I told you to do it. And if you fail me in this it may be my own men who pursue you to your just reward.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '30', 'npc_4_3', 'There was a time when each of those who you see before you were kings of the stars. We rode great warships in the vastness of space, terrorizing the galaxies with the mere mention of our name. And now? We must scramble to subsist, competing against miserable little fuzzballs who \"nub nub\" this, and \"yub yub\" that. Can you tell me you don\'t want to leave as well?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '31', 'npc_4_4', 'Would you fight harder knowing your reward was a sturdy chest plate of Marauder make? That, and monetary compensation should be more than enough.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '32', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '33', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '34', 'npc_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '35', 'npc_5_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '36', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '37', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '38', 'npc_6_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '39', 'npc_6_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '40', 'npc_backtowork_1', 'Grrrrr...');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '41', 'npc_backtowork_2', 'The power... must have... the power.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '42', 'npc_backtowork_3', 'Ahem, go. Go now, and do not return without the power!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '43', 'npc_backtowork_4', 'If I see one Ewok near this citadel I will hold you personally accountable.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '44', 'npc_breech_1', 'Dai kaboo! Nub nel, WAKATOO!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '45', 'npc_breech_2', 'Did Terak send you? Boot licking dog!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '46', 'npc_breech_3', 'Stand ready, this could be trouble.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '47', 'npc_breech_4', 'Tooba! Duk-duk mekaniwapa! DAIKOMU!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '48', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '49', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '50', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '51', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '52', 'npc_failure_1', 'Do I understand that you have failed me? Make this a habit and I shall see you properly rewarded. I\'ve always been a fan of decapitation. A good quartering is entertaining. But I wonder what you would taste like...');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '53', 'npc_failure_2', 'Do I understand that you have failed me? Make this a habit and I shall see you properly rewarded. I\'ve always been a fan of decapitation. A good quartering is entertaining. But I wonder what you would taste like...');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '54', 'npc_failure_3', 'Do I understand that you have failed me? Make this a habit and I shall see you properly rewarded. I\'ve always been a fan of decapitation. A good quartering is entertaining. But I wonder what you would taste like...');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '55', 'npc_failure_4', 'Do I understand that you have failed me? Make this a habit and I shall see you properly rewarded. I\'ve always been a fan of decapitation. A good quartering is entertaining. But I wonder what you would taste like...');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '56', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '57', 'npc_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '58', 'npc_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '59', 'npc_more_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '60', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '61', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '62', 'npc_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '63', 'npc_more_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '64', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '65', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '66', 'npc_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '67', 'npc_more_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '68', 'npc_noloc_1', 'What the?! This map is wrong. Please remain standing there with that vapid expression on your face while I find the person who will be punished for this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '69', 'npc_noloc_2', 'Actually, on second thought... come back later. I have more important things to attend to.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '70', 'npc_noloc_3', 'Actually, on second thought... come back later. I have more important things to attend to.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '71', 'npc_noloc_4', 'Actually, on second thought... come back later. I have more important things to attend to.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '72', 'npc_reset', 'It is only by the grace of your past service that I do not kill you where you stand. But know this: you are lucky to walk out of here in your skin, you treacherous dog.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '73', 'npc_reward_1', 'This is the staff? This? It looks just like a simple metal staff. It IS a simple metal staff! Guards! Bring that deceitful worm Indar before the king! ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '74', 'npc_reward_2', 'Indar is dead. You perform your duties tolerably. Take these credits and this pair of leg guards Indar left behind. Once you are finished loafing about, return for further duties.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '75', 'npc_reward_3', 'Yes, I can FEEL the power in this device. It is great, it is mighty. The power has come to us! Scholar Szingo will know what to do with this. As for you, take these as your reward.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '76', 'npc_reward_4', 'Ah yes, you have served me well. When I think about it, it\'s really quite shocking. It\'s too bad I don\'t have a hundred just like you. We would rule the stars with an iron fist. Why do you still stand there? Your money? Catch! You may find this armor useful too.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '77', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '78', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '79', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '80', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '81', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '82', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '83', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '84', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '85', 'npc_work_1', 'The conversation is over. This is the part where you nod your imbecilic head, turn away, and GO DO WHAT I TOLD YOU!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '86', 'npc_work_2', 'You lazy shiftless worm, get back to work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '87', 'npc_work_3', 'Yes, grab it. Grab the power. The lovely, lovely power.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '88', 'npc_work_4', 'Yes? Did you forget something?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '89', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '90', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '91', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '92', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '93', 'player_1_1', 'Yes King Terak. Right away King Terak.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '94', 'player_1_2', 'Yes, King Terak.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '95', 'player_1_3', 'Yes King Terak.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '96', 'player_1_4', 'Of course, King Terak.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '97', 'player_2_1', 'No thanks.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '98', 'player_2_2', 'I can\'t do that.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '99', 'player_2_3', 'I will not.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '100', 'player_2_4', 'No, I can\'t do that. Don\'t you have guards for this type of thing anyways?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '101', 'player_3_1', 'Why do we need to do this anyways?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '102', 'player_3_2', 'Why am I supposed to do it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '103', 'player_3_3', 'Why do you want to leave this place anyways?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '104', 'player_3_4', 'What kind of reward do you have for me this time?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '105', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '106', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '107', 'player_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '108', 'player_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '109', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '110', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '111', 'player_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '112', 'player_5_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '113', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '114', 'player_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '115', 'player_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '116', 'player_more_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '117', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '118', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '119', 'player_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '120', 'player_more_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '121', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '122', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '123', 'player_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '124', 'player_more_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '125', 'player_reset', 'I dont get paid enough for this. I quit.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '126', 'player_sorry', 'Um... eep.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '127', 'return_waypoint_description_1', 'Bring the Ewok\'s staff to King Terak.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '128', 'return_waypoint_description_2', 'Return to King Terak and let him know \"justice\" has been served.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '129', 'return_waypoint_description_3', 'Bring back any useful items you recovered from the crew to King Terak.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '130', 'return_waypoint_description_4', 'Return to King Terak and inform him of your victory.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '131', 'return_waypoint_name_1', 'King Terak');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '132', 'return_waypoint_name_2', 'King Terak');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '133', 'return_waypoint_name_3', 'King Terak');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '134', 'return_waypoint_name_4', 'King Terak');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '135', 'waypoint_description_1', 'Go kill the Ewok holy man and take his staff.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '136', 'waypoint_description_2', 'Go slay Indar to punish him for lying to King Terak.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '137', 'waypoint_description_3', 'Kill any remaining crew guarding this crashed vessel.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '138', 'waypoint_description_4', 'Go and kill the Ewok raiders before they can start any trouble.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '139', 'waypoint_name_1', 'Ewok holy man');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '140', 'waypoint_name_2', 'Indar');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '141', 'waypoint_name_3', 'Crashed ship');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '142', 'waypoint_name_4', 'Ewok raiders');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '143', 'npc_reset_2', 'Explain to me why your miserable life should not belong to me? If you are allowed to walk away from this place, it is only by my leave that you do so.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '144', 'npc_reset_1', 'You may thank my present high spirits that I do not feed you to my warriors. Leave my sight, you festering remmer.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '145', 'npc_reset_3', 'It is only by the grace of your past service that I do not kill you where you stand. But know this: you are lucky to walk out of here in your skin, you treacherous dog.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '146', 'npc_reset_4', 'My patience wears thin. Begone from this place and consider this a chance to make your escape else I may send the next stranger out to hunt your worthless hide.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '147', 'player_reset_1', 'I dont get paid enough for this. I quit.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '148', 'player_reset_2', 'I dont get paid enough for this. I quit.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '149', 'player_reset_3', 'I dont get paid enough for this. I quit.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '150', 'player_reset_4', 'I dont get paid enough for this. I quit.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '151', 'player_sorry_1', 'Um... eep.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '152', 'player_sorry_2', 'Um... eep.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '153', 'player_sorry_3', 'Um... eep.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/king_terak.stf', '154', 'player_sorry_4', 'Um... eep.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '1', 'cant_work', 'Raglith not give job to someone busy already.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '2', 'dontknowyou_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '3', 'dontknowyou_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '4', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '5', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '6', 'next', 'You maybe good. Fightmaster Jorak need more like you. Go see Fightmaster. He give you more important job.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '7', 'notit_1', 'Not what Raglith asked for. You have problem following orders maybe?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '8', 'notit_2', 'You not do the job Raglith asks. You wanna try to get it right, okay?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '9', 'notit_3', 'This not make good rug. You try again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '10', 'notyet', 'Raglith not think you friend of Marauders.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '11', 'npc_1_1', 'You want something? Look, Raglith got work to do, ok? If you want help Raglith you speak up. Elseways get out.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '12', 'npc_1_2', 'Good work last time. More different job this time. Ewoks healing themself with feathers from bird. No like bird. Kill birds. Yes?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '13', 'npc_1_3', 'You do well for Marauders so far. Now me have something you can do for Raglith. I want a rug for my sleeping place. An Ewok rug.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '14', 'npc_2_1', 'That\'s good. I got word Ewok hunters lost on edge of Marauder land. Go over, go kill.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '15', 'npc_2_2', 'Big bright glowy birds way over there. Go, find, kill.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '16', 'npc_2_3', 'Ewok must have thick wooly coat. You go over that way, lots of Ewoks.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '17', 'npc_3_1', 'What you want then? Get out the way.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '18', 'npc_3_2', 'You think you too good for Raglith now? Feh.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '19', 'npc_3_3', 'You worthless.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '20', 'npc_4_1', 'Raglith is guard for mighty Marauder citadel. Has money from Fightmaster Jorak for them who serves good.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '21', 'npc_4_2', 'Raglith has no need for dirty Ewok medicine. Now you want kill or not?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '22', 'npc_4_3', 'You get credits like always. Also Raglith have old pair of boots for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '23', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '24', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '25', 'npc_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '26', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '27', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '28', 'npc_6_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '29', 'npc_backtowork_1', 'Get moving, Ewoks wont stay lost forever.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '30', 'npc_backtowork_2', 'You be more faster.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '31', 'npc_backtowork_3', 'Move along then, nothing for you until you bring rug.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '32', 'npc_breech_1', 'Kaboo! Dewak maikili!!!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '33', 'npc_breech_3', 'Tekara! Gabatana! Numala mub aba kuboro!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '34', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '35', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '36', 'npc_failure_1', 'Raglith not surprised you make giant mess of whole thing. Get out.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '37', 'npc_failure_2', 'Raglith not surprised you make giant mess of whole thing. Get out.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '38', 'npc_failure_3', 'Raglith not surprised you make giant mess of whole thing. Get out.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '39', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '40', 'npc_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '41', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '42', 'npc_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '43', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '44', 'npc_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '45', 'npc_noloc_1', 'Not sure this is best thing for you to do. Me think about it a bit. You come back later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '46', 'npc_noloc_2', 'Not sure this is best thing for you to do. Me think about it a bit. You come back later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '47', 'npc_noloc_3', 'Not sure this is best thing for you to do. Me think about it a bit. You come back later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '48', 'npc_reset', 'Raglith think you not reliable. Get gone.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '49', 'npc_reward_1', 'Raglith sees on you the blood of ewok whelps. Raglith pleased. You not make mess of job, come back if want more work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '50', 'npc_reward_2', 'Ah good, much birds dead. Raglith well pleased. Here is money. Come back later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '51', 'npc_reward_3', 'You got good eye, this Ewok make good rug. You earn boots, money, and one other thing: Raglith put in good word for you with Fightmaster Jorak.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '52', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '53', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '54', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '55', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '56', 'npc_work_1', 'Raglith think job not finished. Why?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '57', 'npc_work_2', 'Why you not killing birds?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '58', 'npc_work_3', 'You get rug yet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '59', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '60', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '61', 'player_1_1', 'I\'ll help.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '62', 'player_1_2', 'Sure, why not?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '63', 'player_1_3', 'I\'ll find an Ewok to skin.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '64', 'player_2_1', 'I would prefer not to.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '65', 'player_2_2', 'This isn\'t the type of job for me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '66', 'player_2_3', 'I\'d rather not.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '67', 'player_3_1', 'What is in this for me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '68', 'player_3_2', 'Why don\'t you capture the birds and learn to make the medicine yourself?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '69', 'player_3_3', 'What\'s in it for me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '70', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '71', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '72', 'player_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '73', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '74', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '75', 'player_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '76', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '77', 'player_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '78', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '79', 'player_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '80', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '81', 'player_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '82', 'player_reset', 'I have decided I don\'t want to do your job.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '83', 'player_sorry', 'I was just about to take care of that.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '84', 'return_waypoint_description_1', 'Those lost Ewoks aren\'t likely to find their way home again. Return to Raglith.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '85', 'return_waypoint_description_3', 'Return to Raglith with the Ewok pelt. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '86', 'return_waypoint_name_1', 'Raglith');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '87', 'return_waypoint_name_3', 'Raglith');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '88', 'waypoint_description_1', 'Go and destroy the lost Ewok hunters.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '89', 'waypoint_description_3', 'Go kill an Elder Ewok so Raglith can make a new rug.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '90', 'waypoint_name_1', 'Ewok hunters');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '91', 'waypoint_name_3', 'Ewok');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '92', 'return_waypoint_description_2', 'Go back to Raglith and let him know you destroyed the birds.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '93', 'return_waypoint_name_2', 'Raglith');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '94', 'waypoint_description_2', 'Go and kill the lantern birds to prevent the Ewoks from using their feathers for healing.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '95', 'waypoint_name_2', 'Lantern birds');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '96', 'npc_reset_1', 'Raglith think you not reliable. Get gone.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '97', 'npc_reset_2', 'Raglith think you not reliable. Get gone.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '98', 'npc_reset_3', 'Raglith think you not reliable. Get gone.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '99', 'npc_reset_4', 'Raglith think you not reliable. Get gone.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '100', 'player_reset_1', 'I have decided I don\'t want to do your job.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '101', 'player_reset_2', 'I have decided I don\'t want to do your job.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '102', 'player_reset_3', 'I have decided I don\'t want to do your job.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '103', 'player_reset_4', 'I have decided I don\'t want to do your job.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '104', 'player_sorry_1', 'I was just about to take care of that.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '105', 'player_sorry_2', 'I was just about to take care of that.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '106', 'player_sorry_3', 'I was just about to take care of that.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/endor/raglith.stf', '107', 'player_sorry_4', 'I was just about to take care of that.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '1', 'cant_work', 'You\'ve got a lot of nerve to come in here swaggering around like you own the place. If I didn\'t have problems with some rivals, I\'d knock that smirk right off your face.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '2', 'dontknowyou_1', 'Oh, nevermind.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '3', 'dontknowyou_2', 'Oh, nevermind.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '4', 'dontknowyou_3', 'Oh, you\'re not? Sorry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '5', 'dontknowyou_4', 'Whatever.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '6', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '7', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '8', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '9', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '10', 'next', 'I\'ve got no work for you right now. I\'ll keep you in mind, though. You\'re a rather valuable asset to have on my team.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '11', 'notit_1', 'What\'s this? You\'d best not be playing around with me!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '12', 'notit_2', 'What\'s this?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '13', 'notit_3', 'What\'s this? This doesn\'t look like anything the Imperials would be keeping around. It doesn\'t even look like data!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '14', 'notit_4', 'What\'s this? I told you to take care of the AT-AT, not bring me something.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '15', 'notyet', 'I don\'t know who you are or what you want. If you\'ve got something for sale, you talk to Jinkins.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '16', 'npc_1_1', 'I got a thousand enemies scattered across this dead-end planet. The Canyon Corsairs want to mount my head above their furnace, and the Empire is lookin\' for any excuse to raid my base. But the Bloodrazors, I got a special place in my hearts for them. You want to do a job for me? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '17', 'npc_1_2', 'The Canyon Corsairs are on the move. They\'re settin\' up outposts and ambushes all across the planet. They haven\'t downed enough bantha blasters to actually attack my forces yet, but I\'m guessin\' that all this activity is supposed to spread my forces thin. I\'d wager they\'re planning a full-scale attack on my base. Go and dispose of these \"diversions,\" while I bolster my defenses here. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '18', 'npc_1_3', 'Those Corsairs you killed were planning a diversion, just like I thought, but I was wrong about their target. The gravel maggots were trying to lure the Imperials away from General Otto\'s stronghold and have managed to get ahold of some data. I want that data, so I\'ll make it worth your while to get it for me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '19', 'npc_1_4', 'Those Corsairs are people I need to keep an eye on. Now their crew has pulled off a major victory! Even I\'m impressed.  gang has pulled off a surprising masterstroke. A mercenary hired slicer used the codes to bypass Imperial safeguards, and the Corsairs gang actually hijacked an Imperial walker and it\'s heading this way. Take care of this for me, and Im sure I\'ll have something around here to you\'ll like, got it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '20', 'npc_2_1', 'These little roaches can be found wandering around my listening post. Go out there and wipe them clean of the face of this planet.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '21', 'npc_2_2', 'Go out there and give them a surprise of your own. Make sure they know you\'re working for me this time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '22', 'npc_2_3', 'They should still be on their way back to their base. Wipe them out and get me that data.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '23', 'npc_2_4', 'Jinkins tells me that it\'s on a course straight here. Being the Pirate King sometimes has it\'s disadvantages, you know. Here\'s where it should be by now, so get out there and destroy it. If you do it, come back and I\'ll have a little something for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '24', 'npc_3_1', 'Who let you in here? You\'re not going to make it long on this planet by turning down instructions I give, kid.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '25', 'npc_3_2', 'Though I like a kid who knows the value of their worth, right now I really don\'t care. Get out of here!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '26', 'npc_3_3', 'Are you standing there telling me that you\'re turning down good money? I think I was wrong about you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '27', 'npc_3_4', 'Though I want to be angry at you for turning me down, I\'ve got to say that I\'m one of the only peolpe I know who\'d take on an AT-AT all by myself. Well, suit yourself...');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '28', 'npc_4_1', 'They\'re like Coruscant beetles: every time you think you\'ve stomped \'em under your boot, they creep out of some garbage pit or cesspool again. Anyway, these mudslugs are threatening one of my listening outposts. I want to keep the morons guessing, so instead of destroying their scout troops with my own forces, so thats why I\'m hiring you to take care of the roaches.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '29', 'npc_4_2', 'Weren\'t you listening to what I said? I told you it looks like they\'re trying to split my forces up. What don\'t know is I\'ve got you. So what do you say?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '30', 'npc_4_3', 'The particular  Corsairs you destroyed obviously failed at the diversion, but others have made enough noise to get the Imperials out of their cots  As soon as Otto sent his troops out into the field, a squad of elite Corsairs broke into the weakened stronghold and sliced some stole Imperial data. There\'s nothin\' better than stealing from thieves, and I want whatever data those Corsairs stole from the Imperials. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '31', 'npc_4_4', 'Those Canyon Corsairs must have transmitted somethose Imperial access codes back to their gang before you killed them. I didn\'t think they\'d have enough smarts to think of that. Look... we\'ve got an AT-AT heading this way, so are you going to do it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '32', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '33', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '34', 'npc_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '35', 'npc_5_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '36', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '37', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '38', 'npc_6_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '39', 'npc_6_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '40', 'npc_backtowork_1', 'How many times do I have to tell you, moron? I told you to wipe out those Bloodrazors. Only then will you get your credits.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '41', 'npc_backtowork_2', 'You\'re the one who\'s going to meet up with thier diversion forces. Now go do the job!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '42', 'npc_backtowork_3', 'Stop those Corsairs before they get back to their base. I want whatever it is they stole from the Imperials.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '43', 'npc_backtowork_4', 'I don\'t have time to play games, kid. Either take care of that AT-AT or don\'t, just quit bugging me!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '44', 'npc_breech_1', 'You messed with the wrong guys. This is none of your business!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '45', 'npc_breech_2', 'So, you\'re all Nym\'s got? Waste \'em, boys!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '46', 'npc_breech_3', 'Who are you? Hey! You\'re the person working for Nym!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '47', 'npc_breech_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '48', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '49', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '50', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '51', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '52', 'npc_failure_1', 'You pathetic pile of bantha-fodder! One of my new recruits could have dealt with this better than you! Get out of my sight!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '53', 'npc_failure_2', 'You are a worthless failure! Fortunately I have other people on my payroll that can do the job. Now get out of here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '54', 'npc_failure_3', 'How is it possible fro you to have failed to get that data for me? That\'s it... get out of here!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '55', 'npc_failure_4', 'So you were crushed by the AT-AT, but you still could make it out here to let me know that? What do you take me for, a fool?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '56', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '57', 'npc_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '58', 'npc_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '59', 'npc_more_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '60', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '61', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '62', 'npc_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '63', 'npc_more_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '64', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '65', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '66', 'npc_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '67', 'npc_more_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '68', 'npc_noloc_1', 'I\'ll go send a scout out there to find out where those guys are. Come back to me in a short while.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '69', 'npc_noloc_2', 'Let me ask Jinkins where these Corsairs can be found. Check back with me in a few.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '70', 'npc_noloc_3', 'Let me check my scouts to see where the Slicers are heading. Check back with me in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '71', 'npc_noloc_4', 'Let me ask Jinkins where he figures the AT-AT to be. Check back with me in a few minutes, got it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '72', 'npc_reset', 'Well then you shouldn\'t have come in here asking for work. I don\'t have time to deal with mudslugs like you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '73', 'npc_reward_1', 'Well, they\'re dealt with for now. Hopefully this will keep them guessing for a while, at least until I can deal with the Canyon Corsairs. Here\'s your price.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '74', 'npc_reward_2', 'Good job. Have you ever thought of actually sailing the spacelanes? You\'ve got the kind of gusto I look for. Regardless... here\'s your money. I may have more work for you, so stick around.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '75', 'npc_reward_3', 'Well what do you know... some Imperial access codes. Those Corsairs sure know how to aim high. It\'s a sad shame their in my hands now... Good work, kid. Here\'s your credits.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '76', 'npc_reward_4', 'Will you look at that... Jinkins told me he saw everything that happened. You\'ve got some moxie, kid. So... how\'s about I give you these credits and also a hyperspace map I just picked up. I fgure that will set us even.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '77', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '78', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '79', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '80', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '81', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '82', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '83', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '84', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '85', 'npc_work_1', 'Why aren\'t you doing taking care of business?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '86', 'npc_work_2', 'Why are you sticking around?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '87', 'npc_work_3', 'Why are you still hanging around?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '88', 'npc_work_4', 'Why aren\'t you taking care of that AT-AT?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '89', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '90', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '91', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '92', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '93', 'player_1_1', 'I\'ll do it for the right price. Sure.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '94', 'player_1_2', 'As long as the pay is good, I\'ll do it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '95', 'player_1_3', 'Sounds good. I\'ll do it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '96', 'player_1_4', 'Ha! Sounds like fun! Don\'t worry, Nym... it\'s toast!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '97', 'player_2_1', 'No thanks, I\'m not interested.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '98', 'player_2_2', 'Sorry, you\'re not paying enough.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '99', 'player_2_3', 'No thanks. It\'s not worth the effort.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '100', 'player_2_4', 'Whoa! An AT-AT? You\'re crazy! No!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '101', 'player_3_1', 'What do you have against the Bloodrazors?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '102', 'player_3_2', 'What do you think the Corsairs are doing?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '103', 'player_3_3', 'What data did they steal?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '104', 'player_3_4', 'Wait a second... how did they get the codes?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '105', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '106', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '107', 'player_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '108', 'player_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '109', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '110', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '111', 'player_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '112', 'player_5_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '113', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '114', 'player_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '115', 'player_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '116', 'player_more_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '117', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '118', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '119', 'player_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '120', 'player_more_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '121', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '122', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '123', 'player_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '124', 'player_more_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '125', 'player_reset', 'I can\'t do this anymore.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '126', 'player_sorry', 'What did you want me to do again?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '127', 'return_waypoint_description_1', 'Return to Nym to get your money');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '128', 'return_waypoint_description_2', 'Return to Nym to get your credits.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '129', 'return_waypoint_description_3', 'Return to Nym and give him the datadisk you found.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '130', 'return_waypoint_description_4', 'Return to Nym for your special reward.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '131', 'return_waypoint_name_1', 'Nym');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '132', 'return_waypoint_name_2', 'Nym');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '133', 'return_waypoint_name_3', 'Nym');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '134', 'return_waypoint_name_4', 'Nym');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '135', 'waypoint_description_1', 'These Bloodrazors are bothering Nym. Kill them.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '136', 'waypoint_description_2', 'A group of Canyon Corsairs are causing some problems. Kill them.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '137', 'waypoint_description_3', 'A team of slicers are heading back to their base. Kill them and take the data they stole. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '138', 'waypoint_description_4', 'An Imperial Walker is on it\'s way to destroy Nym\'s base. Destroy it before it completes it\'s mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '139', 'waypoint_name_1', 'Bloodrazor Harassers');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '140', 'waypoint_name_2', 'Canyon Corsair Diversion Force');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '141', 'waypoint_name_3', 'Canyon Corsair Slicers');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '142', 'waypoint_name_4', 'Hijacked AT-AT');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '143', 'npc_reset_1', 'Well then you shouldn\'t have come in here asking for work. I don\'t have time to deal with mudslugs like you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '144', 'npc_reset_2', 'Well then you shouldn\'t have come in here asking for work. I don\'t have time to deal with mudslugs like you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '145', 'npc_reset_3', 'Well then you shouldn\'t have come in here asking for work. I don\'t have time to deal with mudslugs like you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '146', 'npc_reset_4', 'Well then you shouldn\'t have come in here asking for work. I don\'t have time to deal with mudslugs like you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '147', 'player_reset_1', 'I can\'t do this anymore.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '148', 'player_reset_2', 'I can\'t do this anymore.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '149', 'player_reset_3', 'I can\'t do this anymore.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '150', 'player_reset_4', 'I can\'t do this anymore.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '151', 'player_sorry_1', 'What did you want me to do again?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '152', 'player_sorry_2', 'What did you want me to do again?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '153', 'player_sorry_3', 'What did you want me to do again?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/lok/nym.stf', '154', 'player_sorry_4', 'What did you want me to do again?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '1', 'next', 'There\'s nothing else I need right now. Sorry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '2', 'cantwork', 'Come back after you finish the job.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '3', 'npc_reset_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '4', 'notyet', 'Look, I\'m a bit preoccupied at the moment. Perhaps at some point in the future I\'ll have need of your assistance, but I can\'t think about that right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '5', 'npc_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '6', 'npc_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '7', 'npc_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '8', 'npc_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '9', 'npc_backtowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '10', 'npc_reward_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '11', 'npc_work_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '12', 'npc_noloc_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '13', 'npc_failure_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '14', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '15', 'dontknowyou_1', 'I don\'t have time for you right now. Come back later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '16', 'npc_breech_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '17', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '18', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '19', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '20', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '21', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '26', 'player_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '27', 'npc_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '28', 'npc_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '29', 'npc_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '30', 'npc_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '31', 'npc_backtowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '32', 'npc_reward_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '33', 'npc_work_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '34', 'npc_noloc_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '35', 'npc_failure_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '36', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '37', 'dontknowyou_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '38', 'npc_breech_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '39', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '40', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '41', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '42', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '43', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '48', 'player_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '49', 'npc_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '50', 'npc_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '51', 'npc_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '52', 'npc_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '53', 'npc_backtowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '54', 'npc_reward_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '55', 'npc_work_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '56', 'npc_noloc_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '57', 'npc_failure_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '58', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '59', 'dontknowyou_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '60', 'npc_breech_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '61', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '62', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '63', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '65', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '70', 'player_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '71', 'npc_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '72', 'npc_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '73', 'npc_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '74', 'npc_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '75', 'npc_backtowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '76', 'npc_reward_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '77', 'npc_work_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '78', 'npc_noloc_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '79', 'npc_failure_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '80', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '81', 'dontknowyou_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '82', 'npc_breech_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '92', 'player_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '137', 'npc_reset_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '138', 'npc_reset_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '139', 'npc_reset_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '140', 'npc_reset_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arrek_von_sarko.stf', '141', 'npc_reset_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '1', 'next', 'The Alliance appreciates your assistance and may need your services again in the future.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '2', 'cantwork', 'I take it you have something else to attend to. Perhaps you can help the Alliance in the future.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '3', 'npc_reset_1', 'Perhaps you weren\'t quite ready for a task of this magnitude. You may wish to try me again once your skills have improved.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '4', 'notyet', 'I\'m too busy to talk.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '5', 'npc_1_1', 'It\'s always good to meet another friend of the Alliance. My name is Arven Wendik. I frequently deal with some unsavory customers, so I hope you\'re not too picky about the company you keep. Can you deliver some documents as a service to the Alliance? They\'re quite real -- or at least they appear real, which is much the same thing.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '6', 'npc_2_1', 'Good. Take these to Alowi Fintz -- she\'s our \"procurement specialist.\" She may look like a common smuggler, but really, she\'s also a well-paid friend of the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '7', 'npc_3_1', 'I take it you have something else to attend to. Perhaps you can help the Alliance in the future.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '8', 'npc_4_1', 'The documents are Imperial permits that will allow us to ship medical supplies from Naboo to where they\'re most needed. What do you say?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '9', 'npc_backtowork_1', 'Hurry up. The medical supplies are no good without those permits.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '10', 'npc_reward_1', 'See me again soon. The Alliance always needs good people');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '11', 'npc_work_1', 'Haven\'t you delivered the permits yet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '12', 'npc_noloc_1', 'Imperial scrutiny is a little intense right now, so I\'m going to have to ask you to come back and see me later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '13', 'npc_failure_1', 'Blast it! Those medical supplies are desperately needed by the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '14', 'otherescort_1', 'I\'m afraid I\'m waiting for somebody else.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '15', 'dontknowyou_1', 'Please leave me alone. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '16', 'npc_breech_1', 'Are you the courier with the uh -- official documents?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '17', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '18', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '19', 'npc_smuggle_1', 'I hope these things work. I don\'t want trouble with the Imperials. And I better get paid on time this time!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '20', 'gotowork_1', 'Where are my permits? I can\'t get off world without them.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '21', 'notit_1', 'These aren\'t my documents. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '26', 'player_3_1', 'What are the documents?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '27', 'npc_1_2', 'Did I mention I used to be a pilot? I flew in the Battle of Naboo years ago. I miss flying sometimes, but the work I do here is valuable. I\'m thinking of the old days because Imperial fighters have just shot down an Alliance pilot. I hope he bailed out in time. Will you go look for him?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '28', 'npc_2_2', 'Good. The pilot\'s name is Grel Rommo. Once you\'ve located him, bring him back here, while I arrange his passage offworld. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '29', 'npc_3_2', 'I\'m surprised that you\'re not willing to help. I hope I can find somebody else.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '30', 'npc_4_2', 'Almost certainly, which is why I want you to find him as soon as possible. Will you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '31', 'npc_backtowork_2', 'You should really hurry and get that pilot.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '32', 'npc_reward_2', 'You\'ve done very well. The Alliance can\'t afford to lose any pilots. I hope we\'ll work together again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '33', 'npc_work_2', 'Where is Grel Rommo? Haven\'t you found him yet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '34', 'npc_noloc_2', 'Those Imperial patrols can be trigger-happy. You had better wait a while before you go looking. Check back with me later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '35', 'npc_failure_2', 'You weren\'t able to rescue him? I\'m sorry to hear that.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '36', 'otherescort_2', 'I\'m here to meet somebody else.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '37', 'dontknowyou_2', 'I\'m busy right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '38', 'npc_breech_2', 'Are you going to Dee\'ja Peak?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '39', 'npc_takeme_2', 'I\'m glad you\'re here. I\'ve had to duck several Imperial patrols.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '40', 'npc_dropoff_2', 'Thanks for getting me here. I was afraid I might not make it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '41', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '42', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '43', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '48', 'player_3_2', 'Won\'t Imperial patrols be after him if he was shot down?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '49', 'npc_1_3', 'One of our informants has been captured on her way here. They\'re bringing her to Imperial High Inquisitor Mal Sikander for questioning. If he makes her talk -- and he will! -- our cover here is blown. Do you think you can rescue her?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '50', 'npc_2_3', 'I\'m glad to hear it. Kill her captors and bring her here before it\'s too late.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '51', 'npc_3_3', 'Yes, I suppose this mission is too dangerous. I don\'t blame you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '52', 'npc_4_3', 'Extremely dangerous. According to our intelligence, she\'s being held by several stormtroopers and an officer. You\'ll need a small but skilled strike team. Can you do it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '53', 'npc_backtowork_3', 'Please find her soon. We\'re running out of time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '54', 'npc_reward_3', 'That was a near thing, but you came through for us. Good job, friend! Check with me again for more assignments.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '55', 'npc_work_3', 'Haven\'t you found her yet? We\'re running out of time!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '56', 'npc_noloc_3', 'I know it seems strange, but I\'m going to have to delay this mission temporarily. You\'ll just have to trust my reasons. Check with me later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '57', 'npc_failure_3', 'You failed? Then we can only hope that she dies before she talks.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '58', 'otherescort_3', 'I\'m not the person you need to find.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '59', 'dontknowyou_3', 'You should probably go on about your business.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '60', 'npc_breech_3', 'HELP! I\'m over here!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '61', 'npc_takeme_3', 'I\'ve never been so glad to see somebody in my entire life.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '62', 'npc_dropoff_3', 'Thank you for saving my life. I\'ll never forget you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '63', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '65', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '70', 'player_3_3', 'How risky is it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '71', 'npc_1_4', 'You\'re just in time to do a huge service for the Alliance. I\'m asking a lot this time, but I\'m hoping you\'ll be willing to take this on. The Empire has set up a listening post in the wilderness to track our ships as they land nearby. Would you like to destroy it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '72', 'npc_2_4', 'Excellent, I knew you had the stuff. Blast that listening post into tiny pieces. You may want to take out the guards and technicians too, just to make sure you\'re not followed back here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '73', 'npc_3_4', 'I understand. This is no small thing I\'m asking for.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '74', 'npc_4_4', 'Calm yourself. I\'m not asking you to attack a stormtrooper barracks. The post is staffed with three or four stormtroopers. You\'ll need a strike team, but I think you\'re up to it. What do you say?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '75', 'npc_backtowork_4', 'So are you going to go destroy that listening post or not?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '76', 'npc_reward_4', 'You\'re a true friend of the Alliance. Working with you has been a real pleasure.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '77', 'npc_work_4', 'Have you destroyed the listening post yet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '78', 'npc_noloc_4', 'There are a lot of patrols in that area right now. Come back again and see me again in a while, and we\'ll make the final arrangements.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '79', 'npc_failure_4', 'I gather you were unable to destroy the listening post. I can hardly blame you, but this is going to cause problems for our operation here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '80', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '81', 'dontknowyou_4', 'You should probably go on about your business.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '82', 'npc_breech_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '92', 'player_3_4', 'Have you lost your mind?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '137', 'npc_reset_2', 'Perhaps you weren\'t quite ready for a task of this magnitude. You may wish to try me again once your skills have improved.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '138', 'npc_reset_3', 'Perhaps you weren\'t quite ready for a task of this magnitude. You may wish to try me again once your skills have improved.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '139', 'npc_reset_4', 'Perhaps you weren\'t quite ready for a task of this magnitude. You may wish to try me again once your skills have improved.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '140', 'npc_reset_5', 'Perhaps you weren\'t quite ready for a task of this magnitude. You may wish to try me again once your skills have improved.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/arven_wendik.stf', '141', 'npc_reset_6', 'Perhaps you weren\'t quite ready for a task of this magnitude. You may wish to try me again once your skills have improved.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/athok_dinvar.stf', '1', 'notyet', 'I\'m a little preoccupied right now.  Why don\'t you come back some other time?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '1', 'next', 'There\'s nothing else I need right now. Sorry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '2', 'cantwork', 'Come back after you finish the job.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '3', 'npc_reset_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '4', 'notyet', 'I have no need for your assistance, though I do thank you for offering.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '5', 'npc_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '6', 'npc_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '7', 'npc_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '8', 'npc_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '9', 'npc_backtowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '10', 'npc_reward_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '11', 'npc_work_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '12', 'npc_noloc_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '13', 'npc_failure_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '14', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '15', 'dontknowyou_1', 'I don\'t have time for you right now. Come back later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '16', 'npc_breech_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '17', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '18', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '19', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '20', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '21', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '26', 'player_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '27', 'npc_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '28', 'npc_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '29', 'npc_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '30', 'npc_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '31', 'npc_backtowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '32', 'npc_reward_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '33', 'npc_work_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '34', 'npc_noloc_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '35', 'npc_failure_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '36', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '37', 'dontknowyou_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '38', 'npc_breech_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '39', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '40', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '41', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '42', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '43', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '48', 'player_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '49', 'npc_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '50', 'npc_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '51', 'npc_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '52', 'npc_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '53', 'npc_backtowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '54', 'npc_reward_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '55', 'npc_work_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '56', 'npc_noloc_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '57', 'npc_failure_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '58', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '59', 'dontknowyou_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '60', 'npc_breech_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '61', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '62', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '63', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '65', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '70', 'player_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '71', 'npc_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '72', 'npc_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '73', 'npc_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '74', 'npc_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '75', 'npc_backtowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '76', 'npc_reward_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '77', 'npc_work_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '78', 'npc_noloc_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '79', 'npc_failure_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '80', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '81', 'dontknowyou_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '82', 'npc_breech_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '92', 'player_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '137', 'npc_reset_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '138', 'npc_reset_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '139', 'npc_reset_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '140', 'npc_reset_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bab_esrus.stf', '141', 'npc_reset_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '1', 'next', 'I don\'t have anything for you just now. If you want more work you should go to Moenia and talk to Borvo. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '2', 'cantwork', 'Talk to me again once you\'ve finished with your current employer.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '3', 'npc_reset_1', 'I\'ll keep the job open, so check back when you feel inclined to give it another try.  ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '4', 'notyet', 'This isn\'t a good time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '5', 'npc_1_1', 'Very wise, speaking with me. You could do much worse than ally yourself with Borvo the Hutt. I\'m his lieutenant. If you\'re interested in earning credits, I happen to be missing a courier. That\'s the problem with so many beings in this line of work -- they\'re unreliable. Interested in making the drop in his place?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '6', 'npc_2_1', 'Wonderful. You\'ll be giving this package to an Imperial courier, so I doubt you\'ll have any legal trouble. However, you may run into tedious busybodies from Kritus Morven\'s gang. See me once you\'ve finished.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '7', 'npc_3_1', 'What a fine upstanding citizen you are. Now you\'d better run along --people might get the wrong impression about you if they see you talking to me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '8', 'npc_4_1', 'If you have to ask... actually nothing too illegal. A certain Imperial official has a taste for Kassoti spice. Borvo wants to meet the needs of all his friends in the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '9', 'npc_backtowork_1', 'Did you change your mind about delivering that spice?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '10', 'npc_reward_1', 'Good job. I think I could find more work for you soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '11', 'npc_work_1', 'Were you going to deliver that spice or just hang onto it? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '12', 'npc_noloc_1', 'The Imperial courier will contact us once he\'s set out for the rendezvous. Check back in a while.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '13', 'npc_failure_1', 'You didn\'t deliver the spice? Borvo will be sorely disappointed.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '14', 'otherescort_1', 'I\'m waiting for somebody else. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '15', 'dontknowyou_1', 'Just go on about your business.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '16', 'npc_breech_1', 'Are you the courier?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '17', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '18', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '19', 'npc_smuggle_1', 'Thank you, citizen. I\'ll take it from here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '20', 'gotowork_1', 'You were supposed to bring me some spice? What happened to it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '21', 'notit_1', 'I\'m pretty sure you were supposed to give me a different package.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '26', 'player_3_1', 'What sort of delivery is this?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '27', 'npc_1_2', 'A local official who the boss did a big favor is sending a thank-you gift to him. You\'re new to the organization, so nobody would associate you with us yet. Would you mind picking up this package?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '28', 'npc_2_2', 'Glad to have you working with us. Meet Imperial courier Val Tula. She\'ll have a datadisc for you. It\'s a valuable item, so watch yourself once you make the pickup. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '29', 'npc_3_2', 'You think you can just say no? Is that what you really think? Well -- that\'s true. Now get lost. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '30', 'npc_4_2', 'Just to protect that official. Borvo has a -- reputation, and the authorities tend to keep an eye on his known associates. Nobody will give you a second look. No offense.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '31', 'npc_backtowork_2', 'Were you going to pick up the goods, or do you just want out?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '32', 'npc_reward_2', 'You seem to handle yourself pretty well. Keep up the good work and there may be a place for you in our organization.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '33', 'npc_work_2', 'Did you pick up that package yet? The boss was wondering where it was.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '34', 'npc_noloc_2', 'The courier will contact us as soon as he leaves. See me again in a while and I should know more.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '35', 'npc_failure_2', 'I\'m sorry you couldn\'t finish the job. Don\'t worry, though, the boss is a forgiving sort -- at least by Hutt standards.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '36', 'otherescort_2', 'I\'m waiting here for somebody else. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '37', 'dontknowyou_2', 'I\'m waiting here for somebody else.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '38', 'npc_breech_2', 'Are you the courier I\'m supposed to meet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '39', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '40', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '41', 'npc_smuggle_2', 'Not to worry. All these codes are squeaky clean.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '42', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '43', 'notit_2', 'This is not the item you were supposed to give me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '48', 'player_3_2', 'Why is it important that I not be associated with you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '49', 'npc_1_3', 'You don\'t have a problem dealing with Gungans, do you? Personally I can\'t understand a blasted thing they say, but the boss has a soft spot for them. One of them, named Mubarr, owes us a little money and hasn\'t been coming around to make his payments. Would you mind collecting for us?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '50', 'npc_2_3', 'I figured you could handle this one easy. Just find Mubarr and explain the problem to him. If he doesn\'t cooperate -- you do what you have to.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '51', 'npc_3_3', 'I guess you\'re just the softhearted type -- or maybe you can\'t understand them either.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '52', 'npc_4_3', 'Our slicers tell me Mubarr\'s bank records show he has the money. Just be sure to get his bank codes so we can extract a late fee and, of course, your payment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '53', 'npc_backtowork_3', 'Are you going to collect from that Gungan or are you giving up?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '54', 'npc_reward_3', 'Good work. Can you believe how that guy would try to ignore his obligations to the boss? It breaks my heart.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '55', 'npc_work_3', 'So did you collect from that Gungan yet, or what?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '56', 'npc_noloc_3', 'We\'ve got a guy tailing Mubarr. When he\'s somewhere we can meet him privately, he\'ll send word. See me in a while.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '57', 'npc_failure_3', 'You didn\'t collect? Someone has to collect from him or we\'re gonna look like suckers. That\'s not good in our business.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '58', 'otherescort_3', 'Yousa bein\' in da wrong place to meet yousa friend.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '59', 'dontknowyou_3', 'Mesa no liken yous outlaunder. Off wit yousa.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '60', 'npc_breech_3', 'Mesa no liken de interest. Mesa be crunchin\' yous, not be skeered of yousa none.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '61', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '62', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '63', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '65', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '70', 'player_3_3', 'How am I supposed to collect it if he doesn\'t have it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '71', 'npc_1_4', 'You are in a position to do Borvo a great service. His majordomo has been taken captive by his rival, Kritus Morven. We want her back, urgently, and we want you to get her.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '72', 'npc_2_4', 'Her name is Xan\'lac, and she\'s a Twi\'lek. Feel free to kill any non-Twi\'leks in her vicinity. Be careful of her though -- she\'s a very valuable resource. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '73', 'npc_3_4', 'This is a bad time to turn me down. Certainly not the act of a friend.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '74', 'npc_4_4', 'Let\'s just say she\'s an integral part of our accounting process. The specifics of her job are not pertinent. We just want her back as soon as possible.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '75', 'npc_backtowork_4', 'You know everything I can tell you. Or were you having second thoughts?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '76', 'npc_reward_4', 'You have done a great service to our organization. You deserve a vacation -- Moenia perhaps. Borvo lives there. Maybe you might stop in and visit him.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '77', 'npc_work_4', 'If you were wondering when is the right time to make that rescue -- the answer is \"now.\"');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '78', 'npc_noloc_4', 'I need to make some quick back-up arrangements. Check back in a few minutes. I hope to have everything prepared.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '79', 'npc_failure_4', 'You didn\'t rescue her? I guess we move to Plan B.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '80', 'otherescort_4', 'I\'m not the one you seek. A pity, really.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '81', 'dontknowyou_4', 'Don\'t you have business of your own to attend to?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '82', 'npc_breech_4', 'Help me! Please!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '83', 'npc_takeme_4', 'I\'m relieved to see you. You\'re good at what you do. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '84', 'npc_dropoff_4', 'You\'ve been a wonderful companion. Thank you for getting me here safely.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '92', 'player_3_4', 'What does a majordomo do, exactly?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '137', 'npc_reset_2', 'I\'ll keep the job open, so check back when you feel inclined to give it another try.  ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '138', 'npc_reset_3', 'I\'ll keep the job open, so check back when you feel inclined to give it another try.  ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '139', 'npc_reset_4', 'I\'ll keep the job open, so check back when you feel inclined to give it another try.  ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '140', 'npc_reset_5', 'I\'ll keep the job open, so check back when you feel inclined to give it another try.  ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/bardo_klinj.stf', '141', 'npc_reset_6', 'I\'ll keep the job open, so check back when you feel inclined to give it another try.  ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '1', 'next', 'Business is running smoothly. But if I have any more difficulties, you\'re my first choice to solve them.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '2', 'cantwork', 'See me again when you\'ve finished with your present employer.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '3', 'npc_reset_1', 'Sometimes unforeseen difficulties make our work harder. See me again later and try again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '4', 'notyet', 'I lack time to talk to you at the moment. Very regrettable, I know. But please talk with my lieutenant in Keren, Bardo Klinj.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '5', 'npc_1_1', 'Welcome. I am Borvo. You needn\'t look so nervous. I never eat my guests -- at least not without tea, and you\'ve just missed that. As it happens, I need some short-term help. My regular people are busy with a new project. Do you think you might be willing to deliver a message for me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '6', 'npc_2_1', 'You have the heart of a Jedi, always willing to aid the cause of peace. Bring my message to the courier waiting outside the city. We tend to conduct these affairs away from places where people might notice.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '7', 'npc_3_1', 'Perhaps you are wise not to put yourself between rivals such as Kritus and myself.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '8', 'npc_4_1', 'A rival of mine, Kritus Morven. Recently things have been getting out of hand between us. All that bad blood is bad for business and draws unwanted attention. Will you help me arrange a sit-down?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '9', 'npc_backtowork_1', 'That\'s all I can tell you right now. Please proceed with the task.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '10', 'npc_reward_1', 'A thousand thanks, my friend. I have the feeling you and I shall get along very well.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '11', 'npc_work_1', 'Haven\'t you delivered my message yet? I\'m a patient Hutt, but --');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '12', 'npc_noloc_1', 'Now that I think of it, this may not be the best time to deliver such a message. See me about this again later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '13', 'npc_failure_1', 'Regrettable that you weren\'t able to succeed, but these things happen.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '14', 'otherescort_1', 'You and I don\'t have any business to discuss.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '15', 'dontknowyou_1', 'I\'m here waiting for someone.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '16', 'npc_breech_1', 'Are you here to deliver the message from Borvo?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '17', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '18', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '19', 'npc_smuggle_1', 'I\'ll bring this to Mr. Morven right away.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '20', 'gotowork_1', 'You didn\'t bring the message? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '21', 'notit_1', 'I think you meant to give me something different.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '26', 'player_3_1', 'Who is getting this message?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '27', 'npc_1_2', 'I fear your previous efforts on my behalf bore little fruit. Kritus Morven lets his dislike of me cloud his judgment. Speaking of my illustrious competitor, you might assist me in teaching him a lesson. He\'s been crossing the line recently, and I want to discourage his childish antics.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '28', 'npc_2_2', 'Ah, so like myself -- willing to negotiate but unafraid of conflict. Kritus recently shipped a valuable commodity to Naboo that he is temporarily storing at one of his smuggling dens. I want you to destroy the building, contents and all.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '29', 'npc_3_2', 'Truly your years belie your wisdom. It would indeed be foolish to get caught up in our struggle.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '30', 'npc_4_2', 'Petty things, really. Like telling Naboo Security the location of some of my hidden installations. Will you discourage such escapades on my behalf?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '31', 'npc_backtowork_2', 'You know all that you require. Go destroy that building. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '32', 'npc_reward_2', 'Excellent. Once again you have my gratitude.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '33', 'npc_work_2', 'Why haven\'t you destroyed that building yet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '34', 'npc_noloc_2', 'Perhaps we should wait a bit on that destruction. I have just received news that may alter the social landscape. Meet with me later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '35', 'npc_failure_2', 'What a pity. I thought you\'d be able to handle that. Very regrettable.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '36', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '37', 'dontknowyou_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '38', 'npc_breech_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '39', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '40', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '41', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '42', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '43', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '48', 'player_3_2', 'What sort of childish antics?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '49', 'npc_1_3', 'I have need of you once more, my friend. One of my employees, a scientist, is out getting samples for a business venture, but she needs an escort to get back safely. Will you help me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '50', 'npc_2_3', 'I knew I could count on you. Her work is very important to me, so please bring her back safely. I\'m sure she\'s completely unnerved out there in the wilderness.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '51', 'npc_3_3', 'I admire your sense of self-preservation. It\'s dangerous out in the wilderness.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '52', 'npc_4_3', 'She actually had an escort when she left -- I\'m not sure what happened to him. She\'s a scientist and not used to defending herself. Will you bring her back?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '53', 'npc_backtowork_3', 'Please hurry and bring back my scientist. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '54', 'npc_reward_3', 'Where others would fail, you succeed. Well done.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '55', 'npc_work_3', 'You mean she\'s still waiting out in the wilderness? Well, go get her!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '56', 'npc_noloc_3', 'It occurs to me -- this could be a valuable lesson to teach her not to lose her escort. I think I\'ll have you bring her back later. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '57', 'npc_failure_3', 'You failed me? Words can not express my surprise and regret. I\'m sure you won\'t let it happen again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '58', 'otherescort_3', 'Sorry, I\'m waiting for somebody else. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '59', 'dontknowyou_3', 'I\'m busy right now and don\'t have time to talk.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '60', 'npc_breech_3', 'Did Borvo send you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '61', 'npc_takeme_3', 'I\'m so glad you\'re here. My previous escort was killed by a narglatch.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '62', 'npc_dropoff_3', 'Thanks for getting me here. I never could have made it by myself.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '63', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '65', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '70', 'player_3_3', 'Why does she need an escort?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '71', 'npc_1_4', 'My friend, I need your help in a delicate matter involving my business. One of my lieutenants thinks that because he works for me, he can do anything he wishes. He\'s been drawing unwanted attention to my organization. Can you help me deal with him?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '72', 'npc_2_4', 'Deal with him as you think best, of course. I\'ve learned to trust your judgment. I warn you, though -- he\'s very full of himself and may not be willing to listen to reason.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '73', 'npc_3_4', 'Once again your wisdom astounds me. You\'re right, this is a family matter, and I should attend to it myself.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '74', 'npc_4_4', 'Demanding money from merchants. Shooting people who annoy him, and then warning witnesses \"who his boss is\" and how \"they\'d better keep quiet.\" Killing the security officer who was investigating his case. Things like that. All very regrettable. Will you help me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '75', 'npc_backtowork_4', 'I really need you to attend to this matter with all speed.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '76', 'npc_reward_4', 'That\'s one way to keep someone from misbehaving. You should have been born a Hutt.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '77', 'npc_work_4', 'Haven\'t you yet shown my lieutenant the error of his ways?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '78', 'npc_noloc_4', 'Actually, I\'m not sure where he is right now. See me later, and with luck I\'ll have the coordinates you need.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '79', 'npc_failure_4', 'I was so sure you could make him behave. How regrettable.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '80', 'otherescort_4', 'I know you\'re not here to see me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '81', 'dontknowyou_4', 'What are you bothering me for? Get a job.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '82', 'npc_breech_4', 'I work for Borvo the Hutt, you fool! You can\'t touch me!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '92', 'player_3_4', 'How has he been drawing attention to you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '93', 'npc_1_5', 'This business never gets dull. A pilot known to be friendly to the Alliance has managed to get in trouble with Naboo security instead of the Imperials. I\'m being paid to smuggle him off-planet. Will you bring him to me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '94', 'npc_2_5', 'Your loyalty is an inspiration to all who know you. The pilot\'s name is Naz Tulos. Bring him to me before Royal Security catches up with him.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '95', 'npc_3_5', 'Very prudent of you not to meddle in Rebel affairs. The Empire is not well disposed toward that sort of behavior. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '96', 'npc_4_5', 'Let\'s just say he rashly assumed that a Naboo Royal Security Forces ship belonged to the Empire. At the time, he was doing something the Imperials wouldn\'t like, and so he took action. Very regrettable. Will you bring him to me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '97', 'npc_backtowork_5', 'Hurry up and bring him to me, or neither of us will make any credits off this situation.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '98', 'npc_reward_5', 'I admire your resourcefulness. You\'ve done very well.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '99', 'npc_work_5', 'If you don\'t find him soon, the Royal Security Forces will.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '100', 'npc_noloc_5', 'Actually, things are a little hot for him right now. I\'ll send you to find him when things have cooled down a little.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '101', 'npc_failure_5', 'I do so hate to lose an opportunity to make credits. Oh well, no use worrying about what we can\'t change.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '102', 'otherescort_5', 'I don\'t know who your looking for, but I do know it isn\'t me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '103', 'dontknowyou_5', 'I\'m afraid I don\'t have time for idle chitchat. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '104', 'npc_breech_5', 'Did the Hutt send you to find somebody?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '105', 'npc_takeme_5', 'Royal Security, Imperial Security. How am I supposed to keep track of all these details? Just help get me off this world.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '106', 'npc_dropoff_5', 'Thanks for getting me here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '114', 'player_3_5', 'How did he get in trouble with the Royal Security Forces?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '115', 'npc_1_6', 'Do you know much about the Berserker Virus? It\'s an ailment that has recently been infecting the creatures of Naboo. It makes them unusually aggressive. I\'m selling a sample of the virus to a buyer from Corellia. You\'ve been very dependable so far. Will you deliver the sample?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '116', 'npc_2_6', 'Fine, fine. Kritus Morven is very keen to get in on this operation, so be careful that he doesn\'t foul up this delivery. I don\'t want anything to upset my buyer.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '117', 'npc_3_6', 'I completely understand. I too am wary of handling this sort of biohazard.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '118', 'npc_4_6', 'We\'ve not yet managed to engineer a strain that works on sapient creatures, so you should be completely safe. Will you do it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '119', 'npc_backtowork_6', 'I can\'t tell you anything more. Please -- just make the delivery.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '120', 'npc_reward_6', 'You\'re everything a Hutt could want in an employee. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '121', 'npc_work_6', 'You haven\'t delivered it yet? My buyer is waiting.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '122', 'npc_noloc_6', 'They haven\'t paid me, so I don\'t want it delivered quite yet. Come back and see me later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '123', 'npc_failure_6', 'Very regrettable. My Corellian business associates will not be happy about this. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '124', 'otherescort_6', 'I\'m waiting for somebody else. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '125', 'dontknowyou_6', 'Sorry, I can\'t talk right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '126', 'npc_breech_6', 'Hey! Are you the courier from Borvo?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '129', 'npc_smuggle_6', 'That\'s what I\'ve been waiting for. Take care.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '130', 'gotowork_6', 'Where\'s my package?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '131', 'notit_6', 'What\'s that? You were supposed to give me something different.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '136', 'player_3_6', 'Is it safe for me to handle this virus?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '137', 'npc_reset_2', 'Sometimes unforeseen difficulties make our work harder. See me again later and try again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '138', 'npc_reset_3', 'Sometimes unforeseen difficulties make our work harder. See me again later and try again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '139', 'npc_reset_4', 'Sometimes unforeseen difficulties make our work harder. See me again later and try again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '140', 'npc_reset_5', 'Sometimes unforeseen difficulties make our work harder. See me again later and try again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/borvo.stf', '141', 'npc_reset_6', 'Sometimes unforeseen difficulties make our work harder. See me again later and try again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '1', 'next', 'Mesa not have maxibig task for yousa. Come backo later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '2', 'cantwork', 'Yousa seem mooie mooie busy. Come backo whensa yousa can hep and wesa can mebbe spek.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '3', 'npc_reset_1', 'Disen mooie mooie disappointen. Come backo whensa yousa can finish de task.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '4', 'notyet', 'Yousa not supposed ta beesa heere.   Mesa not speke wit yousa now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '5', 'npc_1_1', 'Heydo, outlaunder. Whysa yousa come to da Gungan sacred place? Yousa hep da Gungans crunchen de Empire? My needin a talkie sent to da Gungan Rebel friend. Dey needin to send de Rebel bigbrain to Otoh Gunga so dey learn bout boomers. Yousa hep mesa?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '6', 'npc_2_1', 'Mesa like dis.  Mebbe wesa bein friends.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '7', 'npc_3_1', 'No yousa spek? Begone wit yousa den!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '8', 'npc_4_1', 'Boomer is Gungan bombad weapon. Dis hep de Rebels fight bombad Imperial mackineeks. Yousa hep?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '9', 'npc_backtowork_1', 'Yousan should be tendin to mesa maxibig task. Whysa yousa still here?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '10', 'npc_reward_1', 'Yousa doen grand. Mesa like yousa.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '11', 'npc_work_1', 'Did yousa give mesa talkie to da Gungan Rebel friend?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '12', 'npc_noloc_1', 'Wait. Meesa receiven\' a talkie. Hmm, der be trouble wit da Gungan Rebel friend. Yousa come backo later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '13', 'npc_failure_1', 'What is dis? Howsa can yousa crunchen dis task? Dis be stinkowiff!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '14', 'otherescort_1', 'I think you\'re looking for someone else, friend.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '15', 'dontknowyou_1', 'I\'m afraid I have no time to talk. I need to complete an important mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '16', 'npc_breech_1', 'Did the Gungans send you to deliver a message?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '17', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '18', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '19', 'npc_smuggle_1', 'Thanks, friend. I\'ll get this message to my superiors immediately.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '20', 'gotowork_1', 'Do you have the message from Boss Nass? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '21', 'notit_1', 'I don\'t believe this is what I need.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '26', 'player_3_1', 'What\'s a boomer?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '27', 'npc_1_2', 'Welcome backo, outlaunder. Yousa ready to hep da Gungans again? Da Naboo biggen, Queen Kylantha, be needin shesan handmaiden brought here. De Empire biggen, Sikander, be wantin to pune-ish da girl. Yousa hep save shesan?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '28', 'npc_2_2', 'Mooie moodie good. Mesa like yousa.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '29', 'npc_3_2', 'Begone wit yousa den!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '30', 'npc_4_2', 'Shesa culled Jaanie an shesa good friend to da Naboo biggen. Yousa hep shesan?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '31', 'npc_backtowork_2', 'Dat girl be needin yousa hep. Whysa yousa not goin?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '32', 'npc_reward_2', 'Maxibig good, friend. Da Naboo biggen be berry happy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '33', 'npc_work_2', 'Did yousa find da handmaiden? Poor girl, shesa be needin yousa hep.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '34', 'npc_noloc_2', 'Yousa wait. Shesan not at meetin place yet. Come backo later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '35', 'npc_failure_2', 'Yousa failin, yousa spek? Poor girl! Dis be bombin!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '36', 'otherescort_2', 'Sorry, I don\'t think you\'re looking for me. Good luck on your search.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '37', 'dontknowyou_2', 'I can\'t talk to you now. I\'m waiting for a friend.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '38', 'npc_breech_2', 'Are you looking for the handmaiden Jaanie? That\'s me!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '39', 'npc_takeme_2', 'I\'m grateful for your help. You should know that ISB agents have been sent to find me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '40', 'npc_dropoff_2', 'You have my thanks and the gratitude of Her Majesty, Queen Kylantha.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '41', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '42', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '43', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '48', 'player_3_2', 'Who is this handmaiden?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '49', 'npc_1_3', 'Yousa backo, friend? Mesa berry pleased. Mesa needin yousa hep. Mesa best niece, whosa bombad Gungan general, has been taken by de Imperials. Yousa must save shesan or de Imperials crunchen shesan bombad. Yousa heppen mesa?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '50', 'npc_2_3', 'Mesa berry happy. Yousa good friend to da Gungans.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '51', 'npc_3_3', 'Dis stinkowiff! Off wit yousa! Mesa no like yousa no more!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '52', 'npc_4_3', 'Shesa be culled Fassa an shesan a bombad warrior so yousa be berry polite whensa yousa spek wit shesan. Yousa ready to go?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '53', 'npc_backtowork_3', 'Mesa best niece goin to be crunched by de Imperials! Whysa yousa not goin?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '54', 'npc_reward_3', 'Yousa make mesa berry happy. Wesan be boyos!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '55', 'npc_work_3', 'Wheresa is mesa best niece? Yousa must hep shesan! Off wit yousa!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '56', 'npc_noloc_3', 'Yousa wait. Mesa best niece not sendin da signal yet. Come backo later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '57', 'npc_failure_3', 'What? Mesa best niece get crunched? Dis bombin! Dis berry, berry bombin!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '58', 'otherescort_3', 'Yousa must be lookin for someone else. Mesa not da one. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '59', 'dontknowyou_3', 'Mesa not spek wit yousa. Mesa busy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '60', 'npc_breech_3', 'Put da crunchen on desen Imperials!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '61', 'npc_takeme_3', 'Yousa bombad warrior! Mesa like da way yousa put da crunchen on de stormtroopahs. Wesa go to Boss Nass now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '62', 'npc_dropoff_3', 'Yousa good friend. Come backo and see mesa sometime.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '63', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '65', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '70', 'player_3_3', 'What is your niece\'s name?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '71', 'npc_1_4', 'Welcome backo, mesa maxibig boyo! Mesa be havin one last task dat yousa can hep mesa wit. Imperial biggen, Sikander, be sendin bombab warriors to crunchen da Gungan sacred place. Yousa berry good boyo to da Gungans. Yousa go an crunchen de Imperials before dey can crunchen usan. Yes?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '72', 'npc_2_4', 'Dat is da bombad warrior mesa know. Go an crunchen dosen Imperial dudus!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '73', 'npc_3_4', 'Mesa mooie mooie sad yousa doen nutten. Many Gungans get crunched now. Away wit yousa!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '74', 'npc_4_4', 'Mesa tink yousa need maxibig boyos to hep yousa crunchen de Imperials. Den yousa share de glory.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '75', 'npc_backtowork_4', 'Dosen Imperials be on dere way! Whysa yousa still here?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '76', 'npc_reward_4', 'Yousa welcome at da Gungan sacred place any time. Wesa tink yousa boyo to all da Gungans.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '77', 'npc_work_4', 'Did yousa stop de Imperials? Wesa be needin yousa hep!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '78', 'npc_noloc_4', 'Yousa wait. Dosen Imperials be wanderin da swamps. Come backo later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '79', 'npc_failure_4', 'What yousa spek? De Imperials not be crunched? Dis be berry bombin! Wesa must stop dem!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '80', 'otherescort_4', 'This is Imperial business! Move along!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '81', 'dontknowyou_4', 'This is Imperial business! Move along!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '82', 'npc_breech_4', 'Halt! You\'re under arrest!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '92', 'player_3_4', 'How many Imperials did Sikander send?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '137', 'npc_reset_2', 'Disen mooie mooie disappointen. Come backo whensa yousa can finish de task.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '138', 'npc_reset_3', 'Disen mooie mooie disappointen. Come backo whensa yousa can finish de task.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '139', 'npc_reset_4', 'Disen mooie mooie disappointen. Come backo whensa yousa can finish de task.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '140', 'npc_reset_5', 'Disen mooie mooie disappointen. Come backo whensa yousa can finish de task.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/boss_nass.stf', '141', 'npc_reset_6', 'Disen mooie mooie disappointen. Come backo whensa yousa can finish de task.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '1', 'next', 'Mesa gotten no work for yousa.  Check backo wit mesa later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '2', 'cantwork', 'Yousa goin\' to come backo when yousa job is done, okeyday?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '3', 'npc_reset_1', 'Okeyday. Yousa comen back when yousa mooie-mooie tough.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '4', 'notyet', 'Mesa sorry. No haven time for yousa right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '5', 'npc_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '6', 'npc_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '7', 'npc_3_1', 'Yousan be wastin\' mesa time. Begone wit yousa.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '8', 'npc_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '9', 'npc_backtowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '10', 'npc_reward_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '11', 'npc_work_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '12', 'npc_noloc_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '13', 'npc_failure_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '14', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '15', 'dontknowyou_1', 'Mesa bein\' mooie-mooie busy. Off wit yousa.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '16', 'npc_breech_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '17', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '18', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '19', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '20', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '21', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '26', 'player_3_1', 'What is this historical record?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '27', 'npc_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '28', 'npc_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '29', 'npc_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '30', 'npc_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '31', 'npc_backtowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '32', 'npc_reward_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '33', 'npc_work_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '34', 'npc_noloc_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '35', 'npc_failure_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '36', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '37', 'dontknowyou_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '38', 'npc_breech_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '39', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '40', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '41', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '42', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '43', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '48', 'player_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '49', 'npc_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '50', 'npc_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '51', 'npc_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '52', 'npc_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '53', 'npc_backtowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '54', 'npc_reward_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '55', 'npc_work_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '56', 'npc_noloc_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '57', 'npc_failure_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '58', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '59', 'dontknowyou_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '60', 'npc_breech_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '61', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '62', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '63', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '65', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '70', 'player_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '71', 'npc_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '72', 'npc_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '73', 'npc_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '74', 'npc_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '75', 'npc_backtowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '76', 'npc_reward_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '77', 'npc_work_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '78', 'npc_noloc_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '79', 'npc_failure_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '80', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '81', 'dontknowyou_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '82', 'npc_breech_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '92', 'player_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '137', 'npc_reset_2', 'Okeyday. Yousa comen back when yousa mooie-mooie tough.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '138', 'npc_reset_3', 'Okeyday. Yousa comen back when yousa mooie-mooie tough.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '139', 'npc_reset_4', 'Okeyday. Yousa comen back when yousa mooie-mooie tough.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '140', 'npc_reset_5', 'Okeyday. Yousa comen back when yousa mooie-mooie tough.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brass_marshoo.stf', '141', 'npc_reset_6', 'Okeyday. Yousa comen back when yousa mooie-mooie tough.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '1', 'next', 'Thanks for all your help. I haven\'t heard back about my job application but I continue to be hopeful. I\'ll let you know when I do.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '2', 'cantwork', 'Put them up! I mean, reach for the star! Well, uh, hmm, you seem fairly busy. Perhaps we could continue this later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '3', 'npc_reset_1', 'I understand your reluctance to help a miserable sleemo such as myself. If you change your mind, however, you know where to find me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '4', 'notyet', 'I got nothing to say right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '5', 'npc_1_1', 'Stand and deliver! I believe that means that you should give me all your valuables. Well, if they\'re small and portable, that is. And if it\'s not a terrible inconvenience. I can come back. Oh, whom am I kidding? I\'m a terrible mugger! Serves me right for squandering my inheritance - gambling is an evil vice! I have no useful skills so I thought I\'d try my hand at crime, but I\'m as incompetent at that as I was at gambling. Could you do me a favor? I\'ve only successfully mugged one person and I feel just awful about it. Could you return this necklace to its rightful owner?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '6', 'npc_2_1', 'Thank you so very much! I\'ve been tortured about this for weeks now. I do hope that sweet old woman can forgive me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '7', 'npc_3_1', 'I understand. Why would someone like you wish to help a pitiful wretch like me? I won\'t trouble you any further.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '8', 'npc_4_1', 'Oh, she\'s the sweetest old woman, a dear friend of my late grandmother\'s, actually. Millaflowers are her passion! In fact, you\'ll likely find her tending them in the wild. Please tell her I\'m awfully sorry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '9', 'npc_backtowork_1', 'I\'m sorry, was I unclear about something? Do you wish to reconsider?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '10', 'npc_reward_1', 'I cannot thank you enough! Was Mia pleased? I\'m truly in your debt. Here, take this. I\'m not sure what it is but you might find some use for it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '11', 'npc_work_1', 'I hate to be a bother, but have you returned that dear old woman\'s heirloom?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '12', 'npc_noloc_1', 'I know she tends wild millaflowers at a certain time of day. If you check back with me, I can give you her precise coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '13', 'npc_failure_1', 'Oh dear, how dreadful. Not only am I a complete failure in life, I\'m also a terrible judge of character. I wonder how difficult it would be to contract a deadly disease?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '14', 'otherescort_1', 'I\'m sorry, I\'m terribly busy at the moment. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '15', 'dontknowyou_1', 'I\'m sorry, I\'m terribly busy at the moment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '16', 'npc_breech_1', 'Yoohoo! Do you like millaflowers? They\'re wonderful this time of year!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '17', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '18', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '19', 'npc_smuggle_1', 'Oh, my necklace! How did you get this? I\'d given this to my dearly departed friend\'s grandson. He\'s such a sweet boy and has fallen on hard times. Thank you for returning it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '20', 'gotowork_1', 'Can I help you? Were you on an errand of some sort?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '21', 'notit_1', 'I\'m not sure what that is or why you\'d want to give it to me. I assure you I don\'t need it. Thank you anyway.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '26', 'player_3_1', 'Who did you mug?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '27', 'npc_1_2', 'I know you\'ve done so much for me already but I was wondering if you could do me one more favor? I\'m trying to get back on the right path but I need some help doing it. A friend of mine, and I use the term \"friend\" in this case to describe someone who loves taking my money when we\'re playing sabacc but otherwise ignores me, never made good on an old gambling debt. Could you deliver this payment request for me? He might be more inclined to pay when he sees you delivering it. Especially if you snarl a bit. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '28', 'npc_2_2', 'Again, I\'m ever so grateful for your help. I\'m sure good things will come of this. And, by the way, Temir\'s a bigger coward than I am so you should be quite safe.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '29', 'npc_3_2', 'Right, I overstepped my bounds. Terribly sorry! Feel free to ignore me from now on.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '30', 'npc_4_2', 'His name is Temir Tonnalo. And I hope you don\'t mind but I told him you worked for Black Sun. And that you were a good friend of mine. I apologize.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '31', 'npc_backtowork_2', 'Are you having second thoughts? I understand if you are.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '32', 'npc_reward_2', '\"Kind\" does not begin to describe your qualities. My eternal thanks, friend. You don\'t mind if I call you friend, do you? You are quite deserving of a reward. This is the best I can do.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '33', 'npc_work_2', 'Did you deliver my payment request? I hate to be a bother about this but I am a bit eager to get that money.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '34', 'npc_noloc_2', 'My friend has a bit of wanderlust so it may take me some time to track him down. Please check with me in a bit and I\'ll give you his coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '35', 'npc_failure_2', 'You didn\'t deliver the request? How unfortunate. I\'m sure you\'re probably very busy. I\'m sorry I troubled you with this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '36', 'otherescort_2', 'I don\'t know you, buddy, and I don\'t want to.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '37', 'dontknowyou_2', 'I don\'t know you, buddy, and I don\'t want to.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '38', 'npc_breech_2', 'You looking for me? I\'m sure I don\'t owe you any money, pal.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '39', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '40', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '41', 'npc_smuggle_2', 'What\'s this? A collection request from Doore? You gotta be kidding me! I\'m not gonna pay that loser a single credit. Uh, you\'re not his friend, are you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '42', 'gotowork_2', 'Were you looking to give me something, pal? I ain\'t got all day.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '43', 'notit_2', 'Not sure what this is but I know I don\'t want it. Maybe you were thinking of giving me something else?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '48', 'player_3_2', 'What is your friend\'s name?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '49', 'npc_1_3', 'I feel like a criminal asking this of you (no pun intended) but I think I\'ve finally figured out what I can do with my life. I promise, if you help me out with this, I\'ll never bother you again. I know I\'ve said that before, but this time I mean it. Could you take this completed job application to the Imperial Preservation & Refocusing Authority\'s representative? I\'ve heard that department will take anybody and a government job would be the answer to all my problems.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '50', 'npc_2_3', 'If I ever have children, I\'ll name them all after you. I swear. Pardon me, but I\'m getting a little emotional. sorry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '51', 'npc_3_3', 'Naturally. How presumptuous of me. I\'m a cad. Worse, I\'m a dolt! I\'m a clueless, worthless, presumptuous worm. Please ignore me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '52', 'npc_4_3', 'I\'m not sure, but I believe it has something to do with exploiting a planet\'s natural resources and making it look like \"progress.\" Sounds like something that\'s right up my alley, huh? The man you need to take this application to is named Rille Nuder.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '53', 'npc_backtowork_3', 'Have I asked too much of you? I have, haven\'t I? I understand if you wish to strike me now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '54', 'npc_reward_3', 'You\'re one very special being, do you know that? I\'d hug you if I weren\'t afraid you\'d punch me in the face for it. Here, my friend paid his gambling debt thanks to you. Allow me to reward your gallant deeds. It\'s not much, but it\'s all I have.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '55', 'npc_work_3', 'Did you drop off that application? Please disregard this entire conversation if you had. I can be so pushy sometimes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '56', 'npc_noloc_3', 'I\'m supposed to receive Nuder\'s coordinates shortly. Please check back with me in just a bit.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '57', 'npc_failure_3', 'I suppose it wasn\'t meant to be. I\'m sorry to have wasted your time. Now if you\'ll excuse me, I\'m going to try and will my heart to stop.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '58', 'otherescort_3', 'I\'m terribly busy and can\'t be bothered.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '59', 'dontknowyou_3', 'I\'m terribly busy and can\'t be bothered.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '60', 'npc_breech_3', 'Can I help you? This area is being surveyed by the Imperial Preservation & Refocusing Authority and so is off limits.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '61', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '62', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '63', 'npc_smuggle_3', 'An application. Is this yours? No? I\'ll be sure to review this after I\'ve finished processing the almost ten thousand applications waiting for me at the office. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '64', 'gotowork_3', 'Are you a courier? Were you supposed to give me something? You\'re new at this aren\'t you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '65', 'notit_3', 'That doesn\'t appear to be an Imperial document, an application, or a generous cash donation. That means I probably don\'t want it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '70', 'player_3_3', 'What does the Imperial Preservation & Refocusing Authority do?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '71', 'npc_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '72', 'npc_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '73', 'npc_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '74', 'npc_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '75', 'npc_backtowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '76', 'npc_reward_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '77', 'npc_work_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '78', 'npc_noloc_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '79', 'npc_failure_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '80', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '81', 'dontknowyou_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '82', 'npc_breech_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '92', 'player_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '137', 'npc_reset_2', 'I understand your reluctance to help a miserable sleemo such as myself. If you change your mind, however, you know where to find me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '138', 'npc_reset_3', 'I understand your reluctance to help a miserable sleemo such as myself. If you change your mind, however, you know where to find me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '139', 'npc_reset_4', 'I understand your reluctance to help a miserable sleemo such as myself. If you change your mind, however, you know where to find me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '140', 'npc_reset_5', 'I understand your reluctance to help a miserable sleemo such as myself. If you change your mind, however, you know where to find me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/brennis_doore.stf', '141', 'npc_reset_6', 'I understand your reluctance to help a miserable sleemo such as myself. If you change your mind, however, you know where to find me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '1', 'next', 'I don\'t have anything for you at the moment. I\'ll keep you in mind if anything arises.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '2', 'cantwork', 'I won\'t hire you until I can have your undivided attention. Finish up whatever business you\'re involved in, then see me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '3', 'npc_reset_1', 'Fine.  I\'ll get someone else to do it then.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '4', 'notyet', 'I have no need of your services at this time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '5', 'npc_1_1', 'Crider Trant. I represent the Corporate Sector Authority for the Naboo system. The name of the game is credits. Care to earn some? A government inspector is heading for one of my resource extraction plants. I\'d like you to give him something to encourage him to, ah, delay his inspection. Just until I can make sure everything is up to code, of course. Interested?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '6', 'npc_2_1', 'Good. Get going.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '7', 'npc_3_1', 'That is disappointing, but I\'m sure someone else will have a use for the money. Nice outfit. Be seeing you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '8', 'npc_4_1', 'The usual mischief that primitive hooligans undertake to disrupt the honest businessman, like whining to the civil authorities about \"improper disposal procedures\" and \"sacred places.\" A lot of superstitious nonsense. So, will you help me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '9', 'npc_backtowork_1', 'Are you going to deliver these credits? Get going.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '10', 'npc_reward_1', 'Fine. It all went smoothly, I trust.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '11', 'npc_work_1', 'Haven\'t you delivered those credits yet? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '12', 'npc_noloc_1', 'Return here in a while, after I\'ve made all the necessary arrangements.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '13', 'npc_failure_1', 'You failed? I guess neither of us will make anything from this deal.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '14', 'otherescort_1', 'If you\'re looking for someone, I\'m not him.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '15', 'dontknowyou_1', 'Sorry, friend, I\'m a little busy at the moment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '16', 'npc_breech_1', 'Do you have a package for me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '17', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '18', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '19', 'npc_smuggle_1', 'I suppose I could reschedule my inspection. I didn\'t really want to go slogging all the way to that plant anyway.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '20', 'gotowork_1', 'Didn\'t you bring the package? I guess that means I actually have to do my job.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '21', 'notit_1', 'Perhaps you meant to give me a different item.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '22', 'player_reset_1', 'I\'m not comfortable with this job.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '23', 'player_sorry_1', 'I\'ll get these delivered.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '26', 'player_3_1', 'What sort of headaches are the Gungans causing you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '27', 'npc_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '28', 'npc_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '29', 'npc_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '30', 'npc_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '31', 'npc_backtowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '32', 'npc_reward_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '33', 'npc_work_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '34', 'npc_noloc_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '35', 'npc_failure_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '36', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '37', 'dontknowyou_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '38', 'npc_breech_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '39', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '40', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '41', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '42', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '43', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '48', 'player_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '49', 'npc_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '50', 'npc_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '51', 'npc_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '52', 'npc_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '53', 'npc_backtowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '54', 'npc_reward_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '55', 'npc_work_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '56', 'npc_noloc_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '57', 'npc_failure_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '58', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '59', 'dontknowyou_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '60', 'npc_breech_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '61', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '62', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '63', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '65', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '70', 'player_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '71', 'npc_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '72', 'npc_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '73', 'npc_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '74', 'npc_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '75', 'npc_backtowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '76', 'npc_reward_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '77', 'npc_work_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '78', 'npc_noloc_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '79', 'npc_failure_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '80', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '81', 'dontknowyou_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '82', 'npc_breech_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '92', 'player_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '137', 'npc_reset_2', 'See me again when you\'re up to doing the job.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '138', 'npc_reset_3', 'See me again when you\'re up to doing the job.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '139', 'npc_reset_4', 'See me again when you\'re up to doing the job.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '140', 'npc_reset_5', 'See me again when you\'re up to doing the job.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/crider_trant.stf', '141', 'npc_reset_6', 'See me again when you\'re up to doing the job.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '1', 'next', 'You\'ve been a great help. I\'ll keep you in mind for future work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '2', 'cantwork', 'I\'m sure I can find some work for you when you\'ve finished your current assignment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '3', 'npc_reset_1', 'I\'m sorry to hear that. If you feel like you\'re more capable of doing the job later, I\'d be happy to work with you in the future.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '4', 'notyet', 'I\'m too busy to talk to just anyone right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '5', 'npc_1_1', 'Hi! Are you looking for work? I have a little errand I could use help with. A courier is supposed to bring me a datadisk, but he\'s having some trouble getting here. He took a minor leg injury when some creature surprised him. Nothing too serious, I assume. Could you bring me the disk?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '6', 'npc_2_1', 'Good, you can help me by meeting Bor Ting and bringing his message back here. Keep aware -- it wouldn\'t do for both of you to get hurt.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '7', 'npc_3_1', 'Oh well, I\'ll try to find someone else. Thanks anyway.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '8', 'npc_4_1', 'Dee\'ja Peak is a beautiful place to study nature. That\'s how I wound up here. I arrived to study wildlife and never left. I think they just gave me this groundskeeper job so I wouldn\'t look like a transient. What do you think, can you pick up the disc?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '9', 'npc_backtowork_1', 'Were you going to meet that courier, or did something else come up?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '10', 'npc_reward_1', 'Thanks. Let\'s see here -- well! Something called the Berserker Virus is making the wildlife more aggressive. I guess maybe you figured that already. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '11', 'npc_work_1', 'Have you picked up that message yet? Shouldn\'t you be going then?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '12', 'npc_noloc_1', 'I seem to have lost his location coordinates. Come back and see me in a few minutes -- I\'ll have found them by then.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '13', 'npc_failure_1', 'How disappointing. I was sure you\'d be able to handle this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '14', 'otherescort_1', 'I\'m sorry, I\'m here to meet someone else.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '15', 'dontknowyou_1', 'If you\'re looking for someone, I\'m pretty sure it isn\'t me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '16', 'npc_breech_1', 'It\'s about time you got here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '17', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '18', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '19', 'npc_smuggle_1', 'Thanks for meeting me. Here are some important findings from the Ministry of Science in Theed. I\'m getting back to town before something else jumps me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '20', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '21', 'notit_1', 'This isn\'t the information I was expecting. Don\'t you have a datadisk for me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '26', 'player_3_1', 'What is your job here?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '27', 'npc_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '28', 'npc_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '29', 'npc_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '30', 'npc_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '31', 'npc_backtowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '32', 'npc_reward_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '33', 'npc_work_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '34', 'npc_noloc_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '35', 'npc_failure_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '36', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '37', 'dontknowyou_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '38', 'npc_breech_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '39', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '40', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '41', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '42', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '43', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '48', 'player_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '49', 'npc_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '50', 'npc_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '51', 'npc_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '52', 'npc_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '53', 'npc_backtowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '54', 'npc_reward_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '55', 'npc_work_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '56', 'npc_noloc_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '57', 'npc_failure_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '58', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '59', 'dontknowyou_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '60', 'npc_breech_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '61', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '62', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '63', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '65', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '70', 'player_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '71', 'npc_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '72', 'npc_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '73', 'npc_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '74', 'npc_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '75', 'npc_backtowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '76', 'npc_reward_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '77', 'npc_work_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '78', 'npc_noloc_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '79', 'npc_failure_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '80', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '81', 'dontknowyou_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '82', 'npc_breech_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '92', 'player_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '137', 'npc_reset_2', 'I\'m sorry to hear that. If you feel like you\'re more capable of doing the job later, I\'d be happy to work with you in the future.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '138', 'npc_reset_3', 'I\'m sorry to hear that. If you feel like you\'re more capable of doing the job later, I\'d be happy to work with you in the future.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '139', 'npc_reset_4', 'I\'m sorry to hear that. If you feel like you\'re more capable of doing the job later, I\'d be happy to work with you in the future.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '140', 'npc_reset_5', 'I\'m sorry to hear that. If you feel like you\'re more capable of doing the job later, I\'d be happy to work with you in the future.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/damalia_korde.stf', '141', 'npc_reset_6', 'I\'m sorry to hear that. If you feel like you\'re more capable of doing the job later, I\'d be happy to work with you in the future.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '1', 'next', 'I just need to time my departure to get away from here. I don\'t need any help right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '2', 'cantwork', 'Oh. Hello. If, uh, if you\'re not with Borvo the Hutt, can I ask you to check with me here? When you\'re not so busy? If you\'re not with Borvo.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '3', 'npc_reset_1', 'Oh. Well, uh, okay. I hope you\'ll check back when you\'re ready.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '4', 'notyet', 'Sorry, I\'m too busy to talk to you right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '5', 'npc_1_1', 'Uh, hello -- I think. You\'re not with Borvo the Hutt, are you? I ask because I wrote that poem, \"Borvo\'s Other Nose.\" If you\'re not with Borvo, I have a job for you. Borvo has learned I\'m the one responsible for that satire, and he\'s ordered thugs all over Naboo to look for me. I just heard that a thug has checked my vacation cabin. He must have found records of my purchases at this cafe, because he\'s headed this way. Stop him!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '6', 'npc_2_1', 'Oh, good. My informant says the thug was last seen at these coodinates in the wilderness. After you stop him, check back here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '7', 'npc_3_1', 'No? Oh. Well, uh, thanks anyway. I\'ll try to find someone else to save my life.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '8', 'npc_4_1', 'Well, uh -- Borvo didn\'t like the poem\'s criticism of his wardrobe and general taste. And I also made certain corrupt officials look bad for dealing with Borvo. That ended a few careers. Borvo had to start over. Now he wants revenge. Can I count on you to stop him?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '9', 'npc_backtowork_1', 'I, uh, don\'t know what else to tell you. I wish you\'d get started.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '10', 'npc_reward_1', 'That\'s a relief. I think you\'ve earned this reward. Borvo doesn\'t give up easily, though, so I should have more work for you soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '11', 'npc_work_1', 'You, uh -- you didn\'t do the job yet? Oh. Okay. Hope you can keep going with that.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '12', 'npc_noloc_1', 'Good. I\'m waiting for my informant to tell me the thug\'s current coordinates. Check with me soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '13', 'npc_failure_1', 'Oh, no. You didn\'t stop that thug? Oh, great. Well, I hope I can find someone else to do the job before he storms through that door.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '14', 'otherescort_1', 'You got the wrong guy, buddy. Goodbye.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '15', 'dontknowyou_1', 'You got the wrong guy, buddy. Goodbye.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '16', 'npc_breech_1', 'You working for that poet? You\'re not any more.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '17', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '18', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '19', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '20', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '21', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '26', 'player_3_1', 'Why is Borvo hunting you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '27', 'npc_1_2', 'Uh, hello. The thug you stopped before stole my latest satire from my cabin. He gave it to a couple of his buddies to take to Borvo. This manuscript was, unfortunately, even more caustic than the first. Discretion moved me to suppress it. If Borvo sees it, he\'ll redouble his efforts. Get it back!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '28', 'npc_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '29', 'npc_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '30', 'npc_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '31', 'npc_backtowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '32', 'npc_reward_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '33', 'npc_work_2', 'You, uh -- you didn\'t do the job yet? Oh. Okay. Hope you can keep going with that.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '34', 'npc_noloc_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '35', 'npc_failure_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '36', 'otherescort_2', 'No business for you around here, buddy. Go away.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '37', 'dontknowyou_2', 'No business for you around here, buddy. Go away.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '38', 'npc_breech_2', 'You work for the guy that wrote this trash? You\'re about to regret it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '39', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '40', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '41', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '42', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '43', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '48', 'player_3_2', 'What is the new satire?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '49', 'npc_1_3', 'Hello again. My beloved wife, Sindria, can\'t visit me too often without tipping off my location to observers. But she makes frequent visits to the image designers to assume new disguises. She\'s just changed her appearance again -- don\'t know what she looks like now -- but she\'s waiting in the wilderness at the usual rendezvous. Can you escort her here?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '50', 'npc_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '51', 'npc_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '52', 'npc_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '53', 'npc_backtowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '54', 'npc_reward_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '55', 'npc_work_3', 'You, uh -- you didn\'t do the job yet? Oh. Okay. Hope you can keep going with that.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '56', 'npc_noloc_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '57', 'npc_failure_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '58', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '59', 'dontknowyou_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '60', 'npc_breech_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '61', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '62', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '63', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '65', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '70', 'player_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '71', 'npc_1_4', 'Oh, this is bad! I just learned -- oh, uh, sorry. Hello. Anyway, I just learned Borvo has kidnapped my pet monkey-lizard, Giggler. He\'s probably using poor Giggler as bait to trap me. But it won\'t work! I\'ll out-think him! I\'ll -- well, can I hire you to take care of this? Bring Giggler back safely, I mean?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '72', 'npc_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '73', 'npc_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '74', 'npc_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '75', 'npc_backtowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '76', 'npc_reward_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '77', 'npc_work_4', 'You, uh -- you didn\'t do the job yet? Oh. Okay. Hope you can keep going with that.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '78', 'npc_noloc_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '79', 'npc_failure_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '80', 'otherescort_4', 'Heek! Yeek! Not me. Not here. Go \'way.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '81', 'dontknowyou_4', 'Heek! Yeek! Not me. Not here. Go \'way.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '82', 'npc_breech_4', 'Yik-yik! Here I am! You! Over here, heee heee!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '83', 'npc_takeme_4', 'Yeek! Gotcher nose! Hah.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '92', 'player_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '137', 'npc_reset_2', 'Oh. Well, uh, okay. I hope you\'ll check back when you\'re ready.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '138', 'npc_reset_3', 'Oh. Well, uh, okay. I hope you\'ll check back when you\'re ready.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '139', 'npc_reset_4', 'Oh. Well, uh, okay. I hope you\'ll check back when you\'re ready.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '140', 'npc_reset_5', 'Oh. Well, uh, okay. I hope you\'ll check back when you\'re ready.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/dilvin_lormurojo.stf', '141', 'npc_reset_6', 'Oh. Well, uh, okay. I hope you\'ll check back when you\'re ready.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '1', 'next', 'Hzzznt -- hzzznt -- hzzznt -- hzzznt --');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '2', 'cantwork', 'Hzznt -- ah? Uh? Sorry, I was sleeping. You\'re the one they sent to do that job? What\'s that? Busy, you say? Well, come back later, then.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '3', 'npc_reset_1', 'Hzznt -- uh? What? Can\'t do the job? You woke me up to say you can\'t do my job? Well, come on back when you can do it, then.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '4', 'notyet', 'Er...can you come back?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '5', 'npc_1_1', 'Hzznt -- wha? What\'s that? I was sleeping. Oh. You. You\'re the one they sent looking for a job. Right? Speak up, I can\'t hear you. They made me get one of those ear implants, but the thing makes my skull buzz. Where\'s my assistant? He can fix my ears. Bring me my assistant. I sent him out somewhere. I forget why.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '6', 'npc_2_1', 'What? I can\'t hear you. Go find my assistant, Rinto Liprus. I sent him -- where did I send him -- oh! Into the wilderness. Now why did I do that?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '7', 'npc_3_1', 'What? I can\'t hear you. Where\'s my assistant? He\'ll fix my ears.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '8', 'npc_4_1', 'Speak up, I can\'t hear a thing. You need to find my assistant. His name\'s Rinto Liprus. My great-grandson, I think. Will you go find him?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '9', 'npc_backtowork_1', 'What? I can\'t hear you. Go find my assistant.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '10', 'npc_reward_1', 'Ah, here\'s Rinto, and here\'s my ears. Ah, that\'s better. I can hear now. Take a little something for your time, youngster. Now, what brings you here? Looking for a job, are you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '11', 'npc_work_1', 'Hzzznt -- nuh? What? Are you back? You\'re finished with that job? No? Then don\'t bother me until you\'re done. I need my sleep.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '12', 'npc_noloc_1', 'What? I need my assistant, Rinto Liprus. I sent him to -- darnit, where did he go? I forget. You come back later, I\'ll remember, you\'ll see.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '13', 'npc_failure_1', 'What? I can\'t hear you. Where is that assistant? Rinto! Rinto!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '14', 'otherescort_1', 'I think you\'re looking for someone else.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '15', 'dontknowyou_1', 'I think you\'re looking for someone else.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '16', 'npc_breech_1', 'Hello! I\'m Rinto Liprus! Did Ebenn send you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '17', 'npc_takeme_1', 'Ebenn sent you, I assume? I met the sympathizer and got the Imperial political data. Oh, aren\'t you --? Okay. I don\'t blame you for being confused -- Ebenn can be crotchety sometimes. He was once a great man, though, long ago.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '18', 'npc_dropoff_1', 'Thanks for the escort. You\'ll be able to talk to Ebenn now. -- Hello, Great-Grandpa! It\'s Rinto! I\'m here to fix your ears!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '19', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '20', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '21', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '26', 'player_3_1', 'Who is your assistant?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '27', 'npc_1_2', 'All right, I can hear you now, you don\'t have to shout -- Where am I? Oh yes. You\'re looking for a job, right? Well, listen: The Republic is falling on hard times, and unless we do something to help Chancellor Valorum, that Pala-- Plapa -- that Senator What\'s-his-name will bring ruin on us all. Deliver these funds to set up a commission inquiring into what may be done.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '28', 'npc_2_2', 'All right, that\'s the kind of vim I used to have myself, eighty or ninety years ago! Take this to -- oh, what\'s his name? Name, name -- Tanner Helton! Go. Hope I\'m still alive when you get back.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '29', 'npc_3_2', 'What? Can\'t do it? Well, stop wasting my time then. Haven\'t got that much time left.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '30', 'npc_4_2', 'Wha? Me? Oh, I\'m just an old man. Used to be on the Royal Council. Traveled, wrote a lot of books. The Galactic Phrasebook, that was mine. Collected folk art of the Hutts -- very interesting, Hutt art, I remember one piece that -- Well, never mind. I need these funds delivered, youngster. What do you say?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '31', 'npc_backtowork_2', 'I\'m tired of talking. I need a nap. You go on now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '32', 'npc_reward_2', 'All right then. Here\'s your pay. That Chancellor Valorum had better buckle down, or the whole Republic will in trouble. Yes, yes -- Wait, who are you? Looking for a job?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '33', 'npc_work_2', 'Hzzznt -- nuh? What? Are you back? You\'re finished with that job? No? Then don\'t bother me until you\'re done. I need my sleep.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '34', 'npc_noloc_2', 'Good, good! Now, the coordinates you need are -- uh -- mmm. Mmmnhh. Hzznt -- hzzznt -- Uh? What? Who are you? Go away, let me sleep.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '35', 'npc_failure_2', 'What? You say I sent you to deliver funds to Chancellor Valorum? That\'s ridiculous! Valorum hasn\'t been around since the Old Republic! Go away, let me sleep.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '36', 'otherescort_2', 'You got the wrong fellow.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '37', 'dontknowyou_2', 'You got the wrong fellow.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '38', 'npc_breech_2', 'Hey! Did that old man send the money?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '39', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '40', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '41', 'npc_smuggle_2', 'About time. I told that old man those medical supplies wouldn\'t budge past the Imperial blockades until I got this money. Okay, I\'m off to the Outer Rim.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '42', 'gotowork_2', 'I was expecting a payment from that old man. Didn\'t you bring it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '43', 'notit_2', 'I was expecting a payment from that old man. This isn\'t it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '48', 'player_3_2', 'Who are you, anyway?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '49', 'npc_1_3', 'Wait -- what year is this? This is now, isn\'t it? I thought so. I drift away sometimes. Well, want another job, youngster? Some fool of a poet -- young sprat! -- sent me her poems to recommend to my publishers. Hah! Can\'t fool an old man! She just wants me to recommend this junk to my publisher! I mean -- uh -- I forget what I meant. Anyway. Take her junk poetry back to her without my recommendation. That\'ll show her!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '50', 'npc_2_3', 'Good, good -- What? You still here? Go, go! You\'re looking for that poet -- what\'s her name -- Nura Tinall. As if I would ever read her poetry, hah! That\'s what I say, Hah!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '51', 'npc_3_3', 'What? Can\'t do it? Well, stop wasting my time then. Haven\'t got that much time left.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '52', 'npc_4_3', 'Me? I\'m, I\'m -- I forget how old. When was the Trade Federation War? I retired not long after that. Retired to Manda with my wife, Pookie, and we had a miniature bantha named Nuke. Good old Nuke. I never should have outlived them. But here I am. Now, what about that job?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '53', 'npc_backtowork_3', 'I\'m tired of talking. I need a nap. You go on now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '54', 'npc_reward_3', 'Wha? Who are you? What\'s that? Plans? I don\'t know anything about any plans. Oh, I remember. I sent you off with that junk poetry. Here, take a little something for your time. Spend it while you can, I say.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '55', 'npc_work_3', 'Hzzznt -- nuh? What? Are you back? You\'re finished with that job? No? Then don\'t bother me until you\'re done. I need my sleep.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '56', 'npc_noloc_3', 'Good, good! Now, the coordinates you need are -- uh -- mmm. Mmmnhh. Hzznt -- hzzznt -- Uh? What? Who are you? Go away, let me sleep.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '57', 'npc_failure_3', 'Didn\'t deliver that poetry? Bosh, I could do it myself, and I\'m a lot older than you, youngster. Well, I\'ll find someone else. Yes I will! Hah!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '58', 'otherescort_3', 'I don\'t think you\'re the one I\'m supposed to meet.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '59', 'dontknowyou_3', 'I don\'t think you\'re the one I\'m supposed to meet.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '60', 'npc_breech_3', 'Hello! Did Ebenn send the plans?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '61', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '62', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '63', 'npc_smuggle_3', 'At last! The plans for the Emperor\'s Retreat! Princess Leia will be glad to see these. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '64', 'gotowork_3', 'I was expecting the -- well, a document from Ebenn. Didn\'t you bring it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '65', 'notit_3', 'I was expecting the -- well, a document from Ebenn. This isn\'t it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '70', 'player_3_3', 'How old are you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '71', 'npc_1_4', 'Ah? Oh, you\'re back. I remember you from the Clone Wars, don\'t I? Good. I have a favor to ask, Master Jedi. Don\'t lie to me, I saw you with that Jedi Knight, what\'s-his-name. He just called, asked me to send a guide to bring him here for a nice dinner. Won\'t that be nice? What do you say, Master Jedi?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '72', 'npc_2_4', 'Good. Pay the Jedi, Rinto. Rinto? Where is he? Well, Master, I\'ll pay you when you bring me your Jedi friend.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '73', 'npc_3_4', 'What? Can\'t do it? Well, stop wasting my time then. Very rude for a Jedi Knight to waste an old man\'s time!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '74', 'npc_4_4', 'Ah. Got that \"Q3\" by undergoing the ceremonial Passage Rite at the semi-summer festival on Vintrus. Wait, was it Vintrus --? No, it wasn\'t the Passage Rite, it was -- well, maybe I don\'t remember. What about that job? Please don\'t keep an old man waiting, Master Jedi.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '75', 'npc_backtowork_4', 'I\'m tired of talking. I need a nap. You go on now, Master Jedi.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '76', 'npc_reward_4', 'Wha? Who\'s this? Some kind of alien thing! Well, I\'ll have Rinto take care of this monster. Who are you, youngster? Do I owe you money? I remember now -- you brought me Rinto from the wilderness. Here, take a little something for your time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '77', 'npc_work_4', 'Hzzznt -- nuh? What? Are you back? You\'re finished with that job? No? Then don\'t bother me until you\'re done. I need my sleep.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '78', 'npc_noloc_4', 'Good, good! Now, the coordinates you need are -- uh -- mmm. Mmmnhh. Hzznt -- hzzznt -- Uh? What? Who are you? Go away, let me sleep.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '79', 'npc_failure_4', 'Wha? Who are you? What? You were doing a job for me? Bosh. Never saw you before in my life. Go away, I need a nap.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '80', 'otherescort_4', 'My not knowin\' what you want wit\' mesa.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '81', 'dontknowyou_4', 'My not knowin\' what you want wit\' mesa.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '82', 'npc_breech_4', 'Heydo! Yousa sent from de Baobab guy?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '83', 'npc_takeme_4', 'Issa true? My hearin\' Baobab say mesa Force-sensitive? Is dat bein\' right? Oyi, mooie-mooie! I luv yous! Yousa be takin\' me to Baobab now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '84', 'npc_dropoff_4', 'Mooie-mooie tanks! Heydo, Ebenn! Yousa sendin\' mesa to be learnin\' de Jedi mind tricks?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '92', 'player_3_4', 'Why do you have \"Q3\" in your name?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '137', 'npc_reset_2', 'Hzznt -- uh? What? Can\'t do the job? You woke me up to say you can\'t do my job? Well, come on back when you can do it, then.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '138', 'npc_reset_3', 'Hzznt -- uh? What? Can\'t do the job? You woke me up to say you can\'t do my job? Well, come on back when you can do it, then.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '139', 'npc_reset_4', 'Hzznt -- uh? What? Can\'t do the job? You woke me up to say you can\'t do my job? Well, come on back when you can do it, then.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '140', 'npc_reset_5', 'Hzznt -- uh? What? Can\'t do the job? You woke me up to say you can\'t do my job? Well, come on back when you can do it, then.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ebenn_q3_baobab.stf', '141', 'npc_reset_6', 'Hzznt -- uh? What? Can\'t do the job? You woke me up to say you can\'t do my job? Well, come on back when you can do it, then.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '1', 'next', 'Hello again. Nothing needs your attention today, thanks.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '2', 'cantwork', 'I wouldn\'t ordinarily ask you for help, but I\'m in a tight spot. Please check back when you have less to occupy you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '3', 'npc_reset_1', 'Well, I can\'t say I didn\'t expect that. But you might check with me later nonetheless.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '4', 'notyet', 'I can\'t talk to you right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '5', 'npc_1_1', 'Hello. I\'m Captain Sykes with the RSF\'s smuggling patrol. This is a long shot, but maybe you could help me. We confiscated animal carcasses from a Gungan smuggling gang that was shipping them offworld. This violates all kinds of regulations. The leader says one smuggler is bringing more carcasses to the drop point. We\'re short-staffed right now, so I\'m desperate. Can you try to stop the smuggler?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '6', 'npc_2_1', 'Good. I suspected you were made of sterner stuff than you look. This Gungan, Zim Zam Blattis, is known to be armed, so be careful.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '7', 'npc_3_1', 'All right, I knew it was a long shot when I saw you. Thanks anyway.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '8', 'npc_4_1', 'Our reports are sketchy, but apparently the animals in question died of some unusual disease. Maybe it\'s a Gungan ceremonial thing. Will you take the assignment?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '9', 'npc_backtowork_1', 'I\'ve told you everything I can. I hope that\'s enough for you to work with.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '10', 'npc_reward_1', 'Well, you carried that out with much greater precision than I had any right to expect. Thanks! Look me up again if you want more work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '11', 'npc_work_1', 'You have an assignment to complete, remember? If you\'re hoping to exceed my expectations, time is running out. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '12', 'npc_noloc_1', 'Good. I\'m pleasantly surprised. You can find the Gungan at these coordinates -- blast. My datapad just went down. Check with me later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '13', 'npc_failure_1', 'Well, I can\'t say I\'m surprised. But thanks for trying.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '14', 'otherescort_1', 'My dunno yousa. Go \'way!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '15', 'dontknowyou_1', 'My dunno yousa. Go \'way!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '16', 'npc_breech_1', 'Yousa gotten no chance wid mesa!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '17', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '18', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '19', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '20', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '21', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '26', 'player_3_1', 'Why are they smuggling animal carcasses?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '27', 'npc_1_2', 'I have another emergency and another lack of qualified people. Apparently those Gungan smugglers I mentioned are looking for crazed animals. We\'ve been getting reports of attacks by ordinarily harmless beasts. Here\'s a new report about -- let\'s see -- a berserk ikopi. Destroy this poor creature before the Gungan gang gets it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '28', 'npc_2_2', 'Good. I hope you\'ll once again exceed my expectations. These berserk animals can be dangerous, even the little ones -- and this ikopi is pretty big. Be careful.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '29', 'npc_3_2', 'Well, that\'s about what I expected. Thanks anyway.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '30', 'npc_4_2', 'The reports mention that these animals are suffering from an unknown virus that drives them berserk. It\'s possible the smugglers are looking for a bioweapon -- in which case, they\'re probably working for someone smarter than they are. Speaking of that -- yes or no?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '31', 'npc_backtowork_2', 'I\'ve told you everything I can. What, isn\'t that enough?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '32', 'npc_reward_2', 'I really do take back all the things I thought about you. Here\'s your reward. Talk with me later if you want more work. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '33', 'npc_work_2', 'You have an assignment to complete, remember? If you\'re hoping to exceed my expectations, time is running out. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '34', 'npc_noloc_2', 'Good. I\'m pleasantly surprised. You can find the crazed ikopi at these coordinates -- blast. My datapad just went down. Check with me later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '35', 'npc_failure_2', 'Well, I can\'t say I\'m surprised. But thanks for trying.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '36', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '37', 'dontknowyou_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '38', 'npc_breech_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '39', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '40', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '41', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '42', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '43', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '48', 'player_3_2', 'Why do the smugglers want crazed animals?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '49', 'npc_1_3', 'Are you interested in taking the fight against smugglers right to their leader\'s door? That Gungan smuggling gang is taking orders from a human thug, Mandrox, one of Borvo the Hutt\'s lieutenants. I already guessed Borvo would be at the bottom of this. I want you to bring in Mandrox for questioning.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '50', 'npc_2_3', 'I\'m beginning not to be surprised when you take these challenges. Mandrox is usually accompanied by two or three Gungan thugs, so as always, be careful.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '51', 'npc_3_3', 'Well, I guess you fit my mental profile after all. No hard feelings, though.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '52', 'npc_4_3', 'Borvo the Hutt is behind every rotten thing on Naboo. Back in the Trade Federation War, some of us resisting the Neimoidians made an alliance with Borvo. But he betrayed us and killed my captain. Since then, I\'ve fought Borvo on every front. Will you help?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '53', 'npc_backtowork_3', 'I\'ve got no more information for you. Mandrox could get away any moment, so get going.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '54', 'npc_reward_3', 'You continue to surpass my expectations. Thanks for bringing in Madrox, and let me know if you want more work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '55', 'npc_work_3', 'You have an assignment to complete, remember? If you\'re hoping to exceed my expectations, time is running out. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '56', 'npc_noloc_3', 'Wait -- I\'m getting a report -- we\'ve lost Mandrox. We have a probe droid scouting his last known location. Check with me soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '57', 'npc_failure_3', 'You didn\'t get Mandrox? All right, I understand. I must admit that to him you\'re probably a minor annoyance at best.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '58', 'otherescort_3', 'You got the wrong guy, buddy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '59', 'dontknowyou_3', 'You got the wrong guy, buddy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '60', 'npc_breech_3', 'Oh look, it\'s someone sent to detain me. How impressive.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '61', 'npc_takeme_3', 'I\'ll go quietly -- at least for as long as you live.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '62', 'npc_dropoff_3', 'What a joke! I\'ll be free by lunch tomorrow!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '63', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '65', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '70', 'player_3_3', 'Why did you think Borvo was involved?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '71', 'npc_1_4', 'I\'ve learned some interesting facts from Borvo the Hutt\'s lieutenant, Haf Mandrox. He says Borvo\'s Gungan gang is shipping carcasses infected with that \"Berserker Virus\" to Corellian bioengineers. They must be trying to turn it into a bioweapon. I wouldn\'t ordinarily entrust you with this job, but you\'ve proven yourself. I need you to take out the one in charge of shipping those bodies!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '72', 'npc_2_4', 'Good. Mandrox told us the coordinates he\'s located at currently. He\'s lightly guarded, but don\'t get overconfident. Report back here afterward.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '73', 'npc_3_4', 'Well, I expect this one is a bit over your head. I don\'t blame you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '74', 'npc_4_4', 'I\'m no bioengineer, but my reports say the Berserker Virus rewires the animal brain to connect sensory input directly to aggression centers. Basically, whatever the animal sees, it hates and tries to kill. I\'d really like your help in stopping this bioweapon scheme. Will you help?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '75', 'npc_backtowork_4', 'I\'ve told you everything I know. I hope you can get started soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '76', 'npc_reward_4', 'I misjudged you from the first and at every step. Now I\'m convinced you\'re a capable agent. Take this reward with my thanks.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '77', 'npc_work_4', 'You have an assignment to complete, remember? Time is running out. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '78', 'npc_noloc_4', 'Wait -- I\'m getting conflicting reports about the forces at the smuggler outpost. Hold tight while we sort this out, and check back with me later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '79', 'npc_failure_4', 'Just when I was convinced I\'d misjudged you. Well, thanks for trying.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '80', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '81', 'dontknowyou_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '82', 'npc_breech_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '92', 'player_3_4', 'What is the \"Berserker Virus\"?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '110', 'player_reset_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '111', 'player_sorry_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '112', 'player_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '113', 'player_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '132', 'player_reset_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '133', 'player_sorry_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '134', 'player_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '135', 'player_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '137', 'npc_reset_2', 'Well, I can\'t say I didn\'t expect that. But you might check with me later nonetheless.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '138', 'npc_reset_3', 'Well, I can\'t say I didn\'t expect that. But you might check with me later nonetheless.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '139', 'npc_reset_4', 'Well, I can\'t say I didn\'t expect that. But you might check with me later nonetheless.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '140', 'npc_reset_5', 'Well, I can\'t say I didn\'t expect that. But you might check with me later nonetheless.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gavyn_sykes.stf', '141', 'npc_reset_6', 'Well, I can\'t say I didn\'t expect that. But you might check with me later nonetheless.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '1', 'next', 'I don\'t have any work right now. But maybe if you check back with me later, I can find something for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '2', 'cantwork', 'Just the sort I\'m looking for! I\'d be happy to hire you, but it seems you already have a job.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '3', 'npc_reset_1', 'If you feel like trying again later, I\'d certainly welcome you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '4', 'notyet', 'Can\'t talk now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '5', 'npc_1_1', 'My name\'s Gerrio Coronis, and I run Theedside Safaris. Are you in need of a few credits? I\'m looking for part-time help. I run a safari, you understand, so I need to feel confident you can handle a weapon. Would you do a trial run first? Just to show me you\'re capable.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '6', 'npc_2_1', 'Good! Come back once you\'ve killed a pair of dwarf nunas, and we\'ll talk again. Watch out for larger game, though -- there\'s some mean creatures out there.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '7', 'npc_3_1', 'Well, if you won\'t do this one small thing, I don\'t imagine you\'d be much use on the tougher jobs.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '8', 'npc_4_1', 'A simple thing, really -- kill me a pair of dwarf nunas. Not hard by any means, but it\'ll show me you know how to handle yourself. I\'ll pay you for your time, of course. What do you say?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '9', 'npc_backtowork_1', 'So are you going to finish that trial run? It\'s only a couple of dwarf nunas.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '10', 'npc_reward_1', 'I see you know how to handle yourself. The next job that comes up is yours.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '11', 'npc_work_1', 'Have you killed those two dwarf nunas yet? It\'s hardly a challenge.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '12', 'npc_noloc_1', 'Whup! I need to attend to some business that has suddenly arisen. Come back a little later and we\'ll discuss this project then.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '13', 'npc_failure_1', 'Sometimes circumstances get in the way of success. It happens all the time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '14', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '15', 'dontknowyou_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '16', 'npc_breech_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '17', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '18', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '19', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '20', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '21', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '26', 'player_3_1', 'What kind of trial run?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '27', 'npc_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '28', 'npc_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '29', 'npc_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '30', 'npc_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '31', 'npc_backtowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '32', 'npc_reward_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '33', 'npc_work_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '34', 'npc_noloc_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '35', 'npc_failure_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '36', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '37', 'dontknowyou_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '38', 'npc_breech_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '39', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '40', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '41', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '42', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '43', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '48', 'player_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '49', 'npc_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '50', 'npc_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '51', 'npc_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '52', 'npc_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '53', 'npc_backtowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '54', 'npc_reward_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '55', 'npc_work_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '56', 'npc_noloc_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '57', 'npc_failure_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '58', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '59', 'dontknowyou_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '60', 'npc_breech_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '61', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '62', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '63', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '65', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '70', 'player_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '71', 'npc_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '72', 'npc_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '73', 'npc_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '74', 'npc_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '75', 'npc_backtowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '76', 'npc_reward_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '77', 'npc_work_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '78', 'npc_noloc_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '79', 'npc_failure_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '80', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '81', 'dontknowyou_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '82', 'npc_breech_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '92', 'player_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '137', 'npc_reset_2', 'If you feel like trying again later, I\'d certainly welcome you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '138', 'npc_reset_3', 'If you feel like trying again later, I\'d certainly welcome you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '139', 'npc_reset_4', 'If you feel like trying again later, I\'d certainly welcome you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '140', 'npc_reset_5', 'If you feel like trying again later, I\'d certainly welcome you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/gerrio_coronis.stf', '141', 'npc_reset_6', 'If you feel like trying again later, I\'d certainly welcome you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '1', 'next', 'The Berserker Virus still threatens Naboo, but I\'ve done all I can do now. I appreciate your help.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '2', 'cantwork', 'I\'m facing a grave emergency. Please return here, if you can, when you\'re not so busy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '3', 'npc_reset_1', 'Given the gravity of our crisis, I hope you\'ll return when you feel able.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '4', 'notyet', 'There\'s nothing I need right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '5', 'npc_1_1', 'Greetings. I am Graf Zapalo, former Minister of Sciences on the Royal Advisory Council. Can you help me? I\'m working with a bioengineer named Thea Novotin. She\'s in the wilderness collecting data for a new report on a mysterious plague. I haven\'t heard from her, and she doesn\'t answer her comlink. I\'m worried. Can you bring her back safely?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '6', 'npc_2_1', 'Good. You should find Thea at these coordinates. If she\'s safe, please bring her back here so she can report.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '7', 'npc_3_1', 'I\'m sorry to hear that. I hope Thea is in no danger.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '8', 'npc_4_1', 'It\'s an animal disease, now apparently widespread. I\'m foggy on the details as yet, but it appears to have a waterborne vector. This interests me because I\'m an oceanographer. But right now, the issue is Thea Novotin. Will you help?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '9', 'npc_backtowork_1', 'That plague is ravaging the countryside, and you\'re lingering here! Can you not appreciate the nature of the emergency?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '10', 'npc_reward_1', 'A virus that drives animals berserk? This is grave news. I must inform the Ministry about this, this -- \"Berserker Virus.\" Meanwhile, thank you for your help, and please consult me again. We may be facing a crisis.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '11', 'npc_work_1', 'That plague is ravaging the countryside, and you\'re lingering here! Would you please rescue Thea Novotin?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '12', 'npc_noloc_1', 'Good. You should find Thea at -- hmm -- well, my datapad is malfunctioning. I don\'t have her coordinates. Please check with me later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '13', 'npc_failure_1', 'Did you not rescue Thea? I\'m sorry to hear that. I hope she\'s all right.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '14', 'otherescort_1', 'I\'d clear out of here if I were you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '15', 'dontknowyou_1', 'I\'d clear out of here if I were you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '16', 'npc_breech_1', 'Help! I\'m being menaced by gnorts!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '17', 'npc_takeme_1', 'Minister Zapalo sent you? Thank goodness! The plague is a virus that drives ordinarily harmless animals to berserk rage. It\'s been too dangerous for me to travel alone. We must get back to him at once!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '18', 'npc_dropoff_1', 'Minister Zapalo, this \"Berserker Virus\" is spreading from pelagian environments onto the land. We must do something quickly!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '19', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '20', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '21', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '26', 'player_3_1', 'What kind of plague?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '27', 'npc_1_2', 'I now believe the terrible Berserker Virus has spread across Naboo. A worldwide investigation is underway. One of my colleagues, a bioengineer named Miur Poljunu, is investigating the transmission vectors from water to land. Can you collect the specimens he found?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '28', 'npc_2_2', 'Good. Miur should be at these coordinates. In case the Berserker Virus has spread to that area, you must be wary of attack from ordinarily benign animals. Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '29', 'npc_3_2', 'I\'m very sorry to hear that you can\'t help. We are in a deepening crisis.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '30', 'npc_4_2', 'We don\'t know how the virus travels between water and land. Presumably land animals feed on infected fish, but we have to verify that hypothesis before we can proceed. Will you help?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '31', 'npc_backtowork_2', 'That plague is ravaging the countryside, and you\'re lingering here! Can you not appreciate the nature of the emergency?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '32', 'npc_reward_2', 'That is an unfortunate confirmation of my hypothesis. I wish I\'d been wrong! The Berserker Virus has become a genuine crisis. Now I must consult with my colleagues. Meanwhile, thank you for your help.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '33', 'npc_work_2', 'That plague is ravaging the countryside, and you\'re lingering here! Would you please pick up those specimens?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '34', 'npc_noloc_2', 'Good. You should find Miur at -- hmm -- well, my datapad is malfunctioning. I don\'t have his coordinates. Please check with me later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '35', 'npc_failure_2', 'Did you not pick up the specimens? I\'m sorry to hear that. I\'ll have to find someone else.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '36', 'otherescort_2', 'I\'m waiting to make a delivery, but not to you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '37', 'dontknowyou_2', 'I\'m waiting to make a delivery, but not to you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '38', 'npc_breech_2', 'Did Minister Zapalo send you? I have his specimens!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '39', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '40', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '41', 'npc_smuggle_2', 'Hello. Please get these specimens to Minister Zapalo right away. Kaadu and other land creatures are feeding on Naboo\'s water species, and thereby contracting the Berserker Virus. It\'s spreading! ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '42', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '43', 'notit_2', 'That doesn\'t look like the specimens I wanted.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '48', 'player_3_2', 'How is the virus transmitted from water to land?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '49', 'npc_1_3', 'My analysis of the virus indicates it has been designed, not evolved. I dare not report such an inflammatory hypothesis until I have confirmation from my colleagues. This report is too sensitive for the HoloNet; take it to my colleague at the arranged rendezvous in the wilderness. Please hurry!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '50', 'npc_2_3', 'Good, good. You\'re looking for a scientist named Handa Nobreg. She\'s waiting at these coordinates. The local fauna are going berserk, so be careful!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '51', 'npc_3_3', 'I\'m sorry to hear that. But I shall get this report published regardless of public ignominy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '52', 'npc_4_3', 'To air the idea of an evolved bioweapon will instantly turn faction upon faction in an already tense political environment. But if we present clear strategies for grappling with the crisis, it\'s possible we can sway the authorities to act without undue bickering. Will you help?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '53', 'npc_backtowork_3', 'That plague is ravaging the countryside, and you\'re lingering here! Can you not appreciate the nature of the emergency?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '54', 'npc_reward_3', 'Excellent. We may only hope this leads to increased attention to the crisis by responsible parties.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '55', 'npc_work_3', 'That plague is ravaging the countryside, and you\'re lingering here! Would you please deliver that report?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '56', 'npc_noloc_3', 'Good, good. You\'re looking for a scientist named Handa Nobreg. She\'s waiting at -- hmm. She appears not to have sent me the coordinates yet. Well, check with me soon!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '57', 'npc_failure_3', 'Did you not deliver that report? Well, I must find another way to get a copy to Handa Nobreg.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '58', 'otherescort_3', 'I think you\'re looking for someone else.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '59', 'dontknowyou_3', 'I think you\'re looking for someone else.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '60', 'npc_breech_3', 'I\'m Handa Nobreg. Do you have a report for me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '61', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '62', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '63', 'npc_smuggle_3', 'Minister Zapalo said you\'d be bringing this. I\'ll review it and circulate it among our fellows who can keep a clear head. Thank you!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '65', 'notit_3', 'I was expecting a report from Minister Zapalo. That isn\'t it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '70', 'player_3_3', 'Why is the report too sensitive for the HoloNet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '71', 'npc_1_4', 'I have a grave task for you. Borvo the Hutt has sent out a poacher to smuggle to Corellia sample carcasses infected with the Berserker Virus. This must stop! Destroy the poacher and his ill-gotten carcasses -- but please tell no one, for it would ruin my reputation.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '72', 'npc_2_4', 'Good. This is a desperate measure for a desperate crisis. Return here when you\'ve completed the work. Again, tell no one.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '73', 'npc_3_4', 'Very well. It is bloody work. Please don\'t mention this to anyone.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '74', 'npc_4_4', 'Borvo might have been involved in crafting this virus, but we can\'t be sure. My contacts on the Royal Council openly voiced their suspicions that the Berserker Virus is being fashioned as a bioweapon. Borvo\'s spies could have passed this information to him. Well, will you help?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '75', 'npc_backtowork_4', 'That plague is ravaging the countryside, and you\'re lingering here! Can you not appreciate the nature of the emergency?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '76', 'npc_reward_4', 'All right. That was a sad business, but it had to be done. Please accept this reward. Now we both have a dirty secret, I suppose.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '77', 'npc_work_4', 'Infected carcasses could be on their way to Corellia even now, and you\'re lingering here! Please stop that poacher!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '78', 'npc_noloc_4', 'Good. My information says you can find the poacher at -- hmm. I seem not to have his coordinates. I\'ll get them. Check with me soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '79', 'npc_failure_4', 'Did you not defeat the poacher? That is bad. Those carcasses could already be on their way to Corellia. The virus will spread.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '80', 'otherescort_4', 'Get away from me. I don\'t know you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '81', 'dontknowyou_4', 'Get away from me. I don\'t know you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '82', 'npc_breech_4', 'If you think you can stop me, you\'re welcome to try.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '92', 'player_3_4', 'How did Borvo the Hutt learn of the Berserker Virus?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '137', 'npc_reset_2', 'Given the gravity of our crisis, I hope you\'ll return when you feel able.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '138', 'npc_reset_3', 'Given the gravity of our crisis, I hope you\'ll return when you feel able.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '139', 'npc_reset_4', 'Given the gravity of our crisis, I hope you\'ll return when you feel able.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '140', 'npc_reset_5', 'Given the gravity of our crisis, I hope you\'ll return when you feel able.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/graf_zapalo.stf', '141', 'npc_reset_6', 'Given the gravity of our crisis, I hope you\'ll return when you feel able.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '1', 'next', 'My gotta no more stuff for yousa bein\' doin\'. Tanks!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '2', 'cantwork', 'Heydo! Yousa seein\' me when yousa gettin\' more time, mabee. My got a job for yousa.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '3', 'npc_reset_1', 'Okeyday. Yousa seein\' me when yousa gettin\' more time, mabee.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '4', 'notyet', 'There\'s nothing I need at the moment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '5', 'npc_1_1', 'Ello! Yousa got time to hep de Otoh Gunga Zoological Facility? My bein\' Facility director. Wesa got a maxibig problem wit outlaunder tourists comen to Naboo and bringin\' dey pet animals. De animals had gettin\' loose, ruinin\' de ecology. Deysa one beast, a blistmok, comen outen Talus. My needin\' it killed. Okeyday?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '6', 'npc_2_1', 'Dissen what mesa want hearin\'. Yousa go to work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '7', 'npc_3_1', 'Oh, berry bombad. Tanks anyway.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '8', 'npc_4_1', 'Itsa ittybitty reptavian ting wit maxibig blisters all over. Yousa not be touchin\' dosa blisters, or yousa gettin\' mooie-mooie bombad poison. Yousa takin\' disa job?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '9', 'npc_backtowork_1', 'Yousa be gettin\' to work soon, mesa hopin\'.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '10', 'npc_reward_1', 'Mesa so smilen to hearin\' yousa news. Mooie-mooie!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '11', 'npc_work_1', 'Yousa not findin\' dat blistmok yet? Is a maxibig problem.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '12', 'npc_noloc_1', 'Wooah! Mesa datapad just now losin\' de coordinates! Wesa gotten no more blistmok to be findin\' right now. Yousa comin\' back later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '13', 'npc_failure_1', 'Oh, berry bombad. Tanks anyway. Wesa gonna find dat blistmok, yousa knowin\' it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '14', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '15', 'dontknowyou_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '16', 'npc_breech_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '17', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '18', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '19', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '20', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '21', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '26', 'player_3_1', 'What is a blistmok?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '27', 'npc_1_2', 'Ello! Our scientists had figurin\' out whatsa goin\' on wit desa reports. Some virus is drivin\' de animals cawazy. Yousa gotta kill desan latest intruders, duey bocatts outen Tatooine, so wesa can autopsy deysa brains!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '28', 'npc_2_2', 'Dissa just what my wantin\' to hear. Yousa go puttin\' down deysa bocatts.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '29', 'npc_3_2', 'Oh, berry bombad. Tanks anyway.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '30', 'npc_4_2', 'A bocatt, hesa outlaunder reptavian-felinoid hybrid outa Tatooine. Bigga sharp teeth. Dey huntin\' in pairs, usually, trackin\' dere prey wit smellin\'. Bombad nasty. So, yousa willin\' to hep de Zoological Facility by killin\' dese bocatts?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '31', 'npc_backtowork_2', 'Yousa be gettin\' to work soon, mesa hopin\'.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '32', 'npc_reward_2', 'Hey hey! Mesa busten wit happiness! ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '33', 'npc_work_2', 'Yousa not findin\' dose bocatts yet? Is a maxibig problem.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '34', 'npc_noloc_2', 'Wooah! Mesa datapad just now losin\' de coordinates! Wesa gotten no more bocatts to be findin\' right now. Yousa comin\' back later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '35', 'npc_failure_2', 'Oh, berry bombad. Tanks anyway. Wesa gonna find dose bocatts, yousa knowin\' it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '36', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '37', 'dontknowyou_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '38', 'npc_breech_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '39', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '40', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '41', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '42', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '43', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '48', 'player_3_2', 'What is a bocatt?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '49', 'npc_1_3', 'Ello dere! Desan latest outlaunder intruders bein\' duey monstahs called langlatches. My got no idea where desan stinkowiff tings come from. Yousa mebbe wantin\' to be killin\' dese langlatches for us?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '50', 'npc_2_3', 'Dissen what mesa want hearin\'. Yousa go get ridda deysa langlatches.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '51', 'npc_3_3', 'Oh, berry bombad. Tanks anyway.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '52', 'npc_4_3', 'Itsa mooie-mooie mean and mooie-mooie ugly.  Desa scavenge dead carcasses and eggs of creatures. Desa nasty!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '53', 'npc_backtowork_3', 'Yousa be gettin\' to work soon, mesa hopin\'.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '54', 'npc_reward_3', 'Mesa so smilen to hearin\' yousa news. Mooie-mooie!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '55', 'npc_work_3', 'Yousa not findin\' dose langlatches yet? Is a maxibig problem.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '56', 'npc_noloc_3', 'Wooah! Mesa datapad just now losin\' de coordinates! Wesa gotten no more langlatches to be findin\' right now. Yousa comin\' back later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '57', 'npc_failure_3', 'Oh, berry bombad. Tanks anyway. Wesa gonna find dose langlatches, yousa knowin\' it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '58', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '59', 'dontknowyou_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '60', 'npc_breech_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '61', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '62', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '63', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '65', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '70', 'player_3_3', 'What is a langlatch?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '71', 'npc_1_4', 'Heydo! Some bombad nasty outlaunder ting is makin\' its way t\'rough the forest, killin\' just for de joy of killin\'. We caught de owner, but de animal had gettin\' away. Disa Corellian slice hound, mooie mooie dangerous beast. Yousa up to de task?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '72', 'npc_2_4', 'Yousa be careful wit dem slice hounds. Desa mooie mooie dangerous.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '73', 'npc_3_4', 'Oh, berry bombad. Tanks anyway.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '74', 'npc_4_4', 'Des Corellian slice hound is messa dangerous predator. Desa attack anything... even Gungans... and desa mooie-mooie intelligent. Desa got mooie sharp teeth and spikes. Yousa be careful!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '75', 'npc_backtowork_4', 'Yousa be gettin\' to work soon, mesa hopin\'.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '76', 'npc_reward_4', 'Hey hey! Mesa busten wit happiness! ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '77', 'npc_work_4', 'Yousa not findin\' dose slice hounds yet? Is a maxibig problem.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '78', 'npc_noloc_4', 'Wooah! Mesa datapad just now losin\' de coordinates! Wesa gotten no more slice hounds to be findin\' right now. Yousa comin\' back later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '79', 'npc_failure_4', 'Oh, berry bombad. Tanks anyway. Wesa gonna find dose slice hounds, yousa knowin\' it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '80', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '81', 'dontknowyou_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '82', 'npc_breech_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '92', 'player_3_4', 'What is a Corellian slice hound?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '137', 'npc_reset_2', 'Okeyday. Yousa seein\' me when yousa gettin\' more time, mabee.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '138', 'npc_reset_4', 'Okeyday. Yousa seein\' me when yousa gettin\' more time, mabee.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '139', 'npc_reset_3', 'Okeyday. Yousa seein\' me when yousa gettin\' more time, mabee.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '140', 'npc_reset_5', 'Okeyday. Yousa seein\' me when yousa gettin\' more time, mabee.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/huff_zinga.stf', '141', 'npc_reset_6', 'Okeyday. Yousa seein\' me when yousa gettin\' more time, mabee.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '1', 'next', 'I have no further need of your services at this time. Check with my aide for future assignments.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '2', 'cantwork', 'You need to be focused when you work for me. Come back when other more trivial matters do not concern you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '3', 'npc_reset_1', 'How very disappointing. Come back when you can actually finish what you begin.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '4', 'notyet', 'Go speak to my assistant, Junelle Astor. She can arrange an appointment for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '5', 'npc_1_1', 'So, I see Junelle has cleared you. Good. I need some surveillance equipment delivered to one of my agents. He\'s currently investigating a group of Gungans suspected of aiding the Rebellion. Can you do this?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '6', 'npc_2_1', 'Good. You should depart immediately. I wish the Gungans would realize how badly their actions reflect on the Naboo and our beloved Queen. If they\'d only embrace the Empire, life would be easier for all of us.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '7', 'npc_3_1', 'Are you sure Junelle cleared you? Why go through all that trouble if you had no desire to help?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '8', 'npc_4_1', 'The agent is Eevas Drupper. I\'ll let him know you\'re on your way.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '9', 'npc_backtowork_1', 'I\'ve told you everything you need to know. Do you still wish to do this?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '10', 'npc_reward_1', 'Well done. With any luck we\'ll bring these malcontents under control soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '11', 'npc_work_1', 'Did you deliver that sensor pack? My agent can\'t do his job without it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '12', 'npc_noloc_1', 'It seems my agent\'s location has been compromised and he must elude a pursuit. Check back with me later for his new coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '13', 'npc_failure_1', 'Failing to deliver a simple package does not bode well for your future career with me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '14', 'otherescort_1', 'I don\'t think I\'m the person you\'re looking for. Good luck on your search.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '15', 'dontknowyou_1', 'I\'m waiting for someone. I\'m afraid I can\'t talk right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '16', 'npc_breech_1', 'Did the Governor send you? I\'m Eevas Drupper.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '17', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '18', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '19', 'npc_smuggle_1', 'Thank you. This will make my work much easier.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '20', 'gotowork_1', 'I believe you have something for me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '21', 'notit_1', 'Are you sure this is what the Governor asked you to give me? It doesn\'t seem right.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '26', 'player_3_1', 'What\'s this agent\'s name?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '27', 'npc_1_2', 'I\'m happy to see you\'re so eager to serve me. Good help is hard to find. Take for example one of my agents, a Gungan loyal to the Empire who has been discovered spying on his traitorous fellows. He\'s managed to elude his pursuers thus far but fears he will eventually be tracked down. Could you see to it that he makes it back here safely?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '28', 'npc_2_2', 'Do hurry. Loyal Gungans are hard to come by.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '29', 'npc_3_2', 'Remember when I said that good help was hard to find? I think you see what I meant now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '30', 'npc_4_2', 'The clever Gungan, named Boona Deeks, hid inside the rotting carcass of a bolle bol for a couple of days. So be warned, he might be a touch on the odorous side.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '31', 'npc_backtowork_2', 'Was something unclear? Why are you standing around?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '32', 'npc_reward_2', 'You\'ve done well. Now I think I need to direct this Gungan to the bathing pools.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '33', 'npc_work_2', 'Did you bring that Gungan agent safely back to the palace? I know he\'s just a Gungan but I do have need of his services.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '34', 'npc_noloc_2', 'As it turns out, this Gungan agent thinks it\'s too dangerous for anyone to approach his position at the moment. Check back with me later for an update.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '35', 'npc_failure_2', 'That\'s most unfortunate. That Gungan knew the names and locations of several terrorist cells. That information is lost. Ah well.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '36', 'otherescort_2', 'Mesa not for yousa. Yousa looken for other to saven.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '37', 'dontknowyou_2', 'Mesa not spek wit yousa. Mesa busy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '38', 'npc_breech_2', 'Ex-squeeze me! Yousa lookin for mesa? Mesa Boona Deeks!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '39', 'npc_takeme_2', 'Mesa mooie mooie happy yousa showed up. Big bombad waiten for mesa out dere.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '40', 'npc_dropoff_2', 'Oyi, mooie mooie! Mesa yous humble servant.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '41', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '42', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '43', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '48', 'player_3_2', 'How did he elude his pursuers?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '49', 'npc_1_3', 'This next assignment will require some amount of discretion. Mal Sikander is convinced that our beautiful Queen has sympathies for the Rebellion. This notion is completely ridiculous. One of Sikander\'s agents has managed to acquire some of Her Majesty\'s private correspondence. This is unacceptable. Find this traitor, punish him, and retrieve Her Majesty\'s personal property.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '50', 'npc_2_3', 'I can see you are a being of breeding and discriminating tastes. Be sure to make an example of this traitor. Away with you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '51', 'npc_3_3', 'Is it because you feel you can\'t be discreet? Well, perhaps this is for the best.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '52', 'npc_4_3', 'Our beloved Queen is above reproach. That is obvious for anyone to see. A form as graceful and delicate as hers could not harbor such foul treachery. Will you serve her?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '53', 'npc_backtowork_3', 'Was there something else you wanted from me? Or are you ready to embark upon this mission?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '54', 'npc_reward_3', 'Did the traitor beg for his life? I hope this sends a clear message to Sikander and his goons.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '55', 'npc_work_3', 'Did you retrieve the Queen\'s private property? This matter must be settled soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '56', 'npc_noloc_3', 'The traitorous thief has gone into hiding. My spies will find him, worry not.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '57', 'npc_failure_3', 'Her Majesty\'s private correspondence should not be passed around like some sort of cheap court gossip. I am most disappointed by your failure to acquire that disc.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '58', 'otherescort_3', 'Don\'t know who you\'re looking for, friend, but it isn\'t me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '59', 'dontknowyou_3', 'I can\'t talk right now. I\'m on an important mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '60', 'npc_breech_3', 'I\'m on a mission for Mal Sikander. Back off!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '61', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '62', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '63', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '65', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '70', 'player_3_3', 'Why is this notion ridiculous?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '71', 'npc_1_4', 'Ah good, a trusted agent. I do hope you\'ve come ready to perform more duties for me. I\'ve managed to discover how Sikander\'s agent got his filthy hands on the Queen\'s property. A so-called wandering troubadour helped the High Inquisitor spy on Her Majesty after gaining our good Queen\'s confidence. I need this criminal apprehended and brought back to me. Can you take care of this?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '72', 'npc_2_4', 'Excellent. The performer\'s name is Ryd Rozen. He\'s a coward and will not resist arrest. Be on the lookout, however, for Sikander\'s agents.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '73', 'npc_3_4', 'I hope you\'re not refusing for fear of Mal Sikander. I assure you I can shield you from the High Inquisitor\'s wrath.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '74', 'npc_4_4', 'Her Majesty is a kind-hearted patron of the arts. No doubt she felt a great swell of pity after hearing this artist perform and likely took him under her wing. Certain unscrupulous individuals take advantage of such kindness.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '75', 'npc_backtowork_4', 'This knave is likely to get away if you dally. Shouldn\'t you be going?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '76', 'npc_reward_4', 'I appreciate your delicate handling of this matter. I\'d keep a low profile, just in case Sikander\'s agents are lurking about.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '77', 'npc_work_4', 'Have you brought in that treacherous troubadour? He is a menace to the court\'s security.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '78', 'npc_noloc_4', 'There\'s been a complication. My spies have lost track of this scoundrel. Check back with me later. He won\'t escape us for long.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '79', 'npc_failure_4', 'This musician could have provided us with many answers. Your failure to bring him back vexes me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '80', 'otherescort_4', 'I\'m sure you\'re not looking for me. I haven\'t done anything wrong.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '81', 'dontknowyou_4', 'Now is not a good time. I\'m a bit preoccupied.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '82', 'npc_breech_4', 'You looking for a troubadour? Uh, uh, he went that way! You just missed him! Honest!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '83', 'npc_takeme_4', 'I\'m under arrest? But I\'ve done nothing wrong! I\'m innocent! I\'m just a simple musician! Please don\'t hurt me! I\'ll come along peacefully!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '84', 'npc_dropoff_4', 'Remind me never to get involved in court intrigue again! I hope I make it out of this alive.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '92', 'player_3_4', 'How did this troubadour gain the Queen\'s confidence?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '93', 'npc_1_5', 'Just the agent I was hoping to see today. Ready to serve our beloved Queen again? You already know that Her Majesty\'s kind heart can create situations that are problematic. You must handle another such situation. Our noble Queen had been aiding some Gungan refugees that have now been implicated in treasonous activities. You must travel to the Gungans\' camp and silence their leader, Yip Kanoos.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '94', 'npc_2_5', 'Good. If Kanoos has bodyguards, dispose of them as well. We must protect the Queen\'s reputation at all costs.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '95', 'npc_3_5', 'I find you refusal to serve Her Majesty both baffling and deeply insulting. I shall have to think on this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '96', 'npc_4_5', 'The brute can tarnish Her Majesty\'s sterling reputation by making it seem as if she were aiding and abetting Rebel sympathizers. Will you do it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '97', 'npc_backtowork_5', 'Your briefing is concluded. What else do you require?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '98', 'npc_reward_5', 'I\'m glad that\'s been handled. I may need your services again soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '99', 'npc_work_5', 'Have you taken care of that Gungan leader? His existence threatens some very important people.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '100', 'npc_noloc_5', 'My spies have just informed me that Yip Kanoos has gone into hiding. We\'ll find him soon. Check back later for the villain\'s coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '101', 'npc_failure_5', 'Kanoos should not have been allowed to live. Now many more Gungans shall have to die to insure Her Majesty is shielded from false allegations.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '102', 'otherescort_5', 'Yousa not lookin for mesa. Yousa be needin someone else.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '103', 'dontknowyou_5', 'Mesa not knowen yousa. Now go.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '104', 'npc_breech_5', 'Mesa no like de Empire! Mesa crunchen de oppressors!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '114', 'player_3_5', 'Why must the Gungan leader be silenced?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '115', 'npc_1_6', 'I wouldn\'t want to rely on just any agent for this next mission. You have proven yourself trustworthy and capable. One of Captain Dallows\' lieutenants has been under investigation by Sikander\'s agents and was observed traveling to the Gungan swamps on unknown errands. My spies tell me that this officer is suspected of being involved with the Naboo Resistance. It is in everyone\'s best interest if this officer were to disappear without a trace. Can I rely on you? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '116', 'npc_2_6', 'Excellent. The officer is Lieutenant Leana Kilnar. It\'s my understanding that she\'s currently on some mission in the wilds. This is most fortunate, wouldn\'t you agree?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '117', 'npc_3_6', 'You aren\'t suddenly becoming squeamish, are you? Developing a conscience at this stage is both overdramatic and inconvenient.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '118', 'npc_4_6', 'No, I\'ll take care of clearing your name. You\'ll be perfectly safe, I assure you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '119', 'npc_backtowork_6', 'This is a pressing matter and needs resolving. Standing there won\'t get it done.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '120', 'npc_reward_6', 'You have served me well, agent. You will find that I can be quite generous to those loyal to Naboo. It is my hope that we can work together again in the future.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '121', 'npc_work_6', 'Did you remove that \"obstacle\" to Her Majesty\'s security? I do hope this matter is resolved quickly.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '122', 'npc_noloc_6', 'One moment. It seems that Lt. Kilnar is harder to track down than I had anticipated. Check back with me later for her coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '123', 'npc_failure_6', 'Removing Lt. Kilnar would have quieted things down considerably here at the palace and left Sikander frustrated. Your failure means more work for me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '124', 'otherescort_6', 'I\'m not sure who you\'re looking for, but it\'s not me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '125', 'dontknowyou_6', 'Sorry, I\'m on duty at the moment and can\'t talk.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '126', 'npc_breech_6', 'This is a Royal Security matter! Do not interfere!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '136', 'player_3_6', 'Will this get me in trouble with the Royal Security Force?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '137', 'npc_reset_2', 'How very disappointing. Come back when you can actually finish what you begin.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '138', 'npc_reset_3', 'How very disappointing. Come back when you can actually finish what you begin.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '139', 'npc_reset_4', 'How very disappointing. Come back when you can actually finish what you begin.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '140', 'npc_reset_5', 'How very disappointing. Come back when you can actually finish what you begin.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ian_lago.stf', '141', 'npc_reset_6', 'How very disappointing. Come back when you can actually finish what you begin.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '1', 'next', 'You\'ve done a fine job. The Governor would be happy to see you now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '2', 'cantwork', 'I\'m sorry, the Governor is occupied. But when you\'ve finished your current assignment, see me. I might have a job for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '3', 'npc_reset_1', 'That\'s too bad. If you think you might be up to it later, see me again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '4', 'notyet', 'Sorry, I need some time to myself for now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '5', 'npc_1_1', 'I\'m Junelle Astor, the Governor\'s aide. Are you looking for work? If you do well, the Governor might be willing to meet you. I need you to pick up a disk from a data slicer. He\'s nervous about being seen in town at the moment. If you\'d sliced into an Imperial Inquisitor\'s personal files, you might feel flustered too. Will you go?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '6', 'npc_2_1', 'Good. I shall wait for you -- and the datadisc -- here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '7', 'npc_3_1', 'Enjoy your tour of the palace.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '8', 'npc_4_1', 'I really shouldn\'t tell you this, but the Governor is concerned that Imperial Inquisitor Mal Sikander distrusts our Queen. He wants to obtain certain correspondence to see if that\'s actually the case. Not to worry though -- the slicer is an alien. Nobody pays them much attention around here. Will you get the disk?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '9', 'npc_backtowork_1', 'Will you pick up that disk for the Governor, or are you too busy?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '10', 'npc_reward_1', 'Good work. I trust we can rely on your discretion in this matter. I\'m sorry to say the Governor remains busy, but check back later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '11', 'npc_work_1', 'Haven\'t you met with the data slicer yet? Please hurry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '12', 'npc_noloc_1', 'The slicer will contact us when he\'s ready for you. See me in a little while. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '13', 'npc_failure_1', 'I\'m sorry to hear of your failure. The Governor will be very upset.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '14', 'otherescort_1', 'If you\'re looking for someone, I\'m afraid you haven\'t found them yet.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '15', 'dontknowyou_1', 'I don\'t know you. Leave me alone.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '16', 'npc_breech_1', 'Are you the courier from the Governor?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '17', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '18', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '19', 'npc_smuggle_1', 'Nobody followed you here, did they? Here\'s the disk. Now forget you ever saw me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '20', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '21', 'notit_1', 'This isn\'t what I asked you for. Where\'s the disk?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '26', 'player_3_1', 'Why did this slicer break into the Inquisitor\'s files?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '27', 'npc_1_2', 'I\'m sorry, the Governor is still busy. But I have another assignment for you. I need you to destroy a probe droid that\'s following one of the Queen\'s personal guard. Mal Sikander sent this droid. Note that if you botch this, you may run afoul of an Imperial Inquisitor. Will you do it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '28', 'npc_2_2', 'I\'m glad you\'re on board. It\'s just not right to set a probe droid on one of the Queen\'s guards. It makes her look bad. See me again once you\'ve destroyed it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '29', 'npc_3_2', 'I\'m disappointed, but I understand. I\'m sorry to say that the Governor\'s schedule is very full for the foreseeable future.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '30', 'npc_4_2', 'The High Inquisitor labors under the foolish delusion that the Queen\'s staff is secretly supporting Rebel activities. I believe Her Majesty\'s aides care about nothing but fashion and makeup. But still, it doesn\'t do to have this probe droid following them. Will you destroy it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '31', 'npc_backtowork_2', 'Are you going to destroy that probe droid?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '32', 'npc_reward_2', 'Very good work, my friend. I know the Governor will be pleased. Unfortunately, he remains busy -- but if you check back later, perhaps I can arrange something.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '33', 'npc_work_2', 'Have you destroyed that droid yet? By all means, take your time! !t\'s only the honor of the Queen we\'re dealing with.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '34', 'npc_noloc_2', 'The guard is in the palace at the moment, and we obviously don\'t want you to destroy the droid here. Check back soon, and very likely he\'ll have left the palace grounds.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '35', 'npc_failure_2', 'You were unable to complete your task? Whatever will I tell the Governor?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '36', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '37', 'dontknowyou_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '38', 'npc_breech_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '39', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '40', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '41', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '42', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '43', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '48', 'player_3_2', 'Why is Mal Sikander sending a probe after the Queen\'s guard?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '49', 'npc_1_3', 'Boss Nass is sending a gift to the Queen, but it would be bad timing for Her Majesty to receive a gift from him. I want you to meet this messenger and take possession of this package before he gets here. Will you do it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '50', 'npc_2_3', 'Now I know we\'re in good shape. Find the Gungan courier before he enters the city and take the package from him -- whether or not he wants to give it to you. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '51', 'npc_3_3', 'What a pity -- you seemed so reliable. Goodbye.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '52', 'npc_4_3', 'Boss Nass is thought to be a Rebel sympathizer. If the Inquisitor found out he was giving presents to Her Majesty, it might cause him to doubt her loyalty. This would be bad for Naboo. Will you help?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '53', 'npc_backtowork_3', 'Are you going to stop that courier?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '54', 'npc_reward_3', 'Your work has been exemplary. The Governor said he\'d like to meet you. Why don\'t you speak with him now?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '55', 'npc_work_3', 'Have you managed to get that package from the Gungan courier? There\'s not a lot of time left.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '56', 'npc_noloc_3', 'Our lookout will contact me as soon as the courier has left the Gungan Sacred Place. See me in a while, when I hope all will be ready.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '57', 'npc_failure_3', 'We can only hope Mal Sikander doesn\'t hear about the Queen receiving this gift.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '58', 'otherescort_3', 'Mesa no bein\' here for yousa.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '59', 'dontknowyou_3', 'Mesa no bein\' here for yousa.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '60', 'npc_breech_3', 'Is\'n yous cawazy? Whysa you be crunchin\' on Bungo?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '61', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '62', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '63', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '65', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '70', 'player_3_3', 'Why is it a bad time for the Queen to get a present?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '71', 'npc_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '72', 'npc_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '73', 'npc_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '74', 'npc_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '75', 'npc_backtowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '76', 'npc_reward_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '77', 'npc_work_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '78', 'npc_noloc_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '79', 'npc_failure_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '80', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '81', 'dontknowyou_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '82', 'npc_breech_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '92', 'player_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '137', 'npc_reset_2', 'That\'s too bad. If you think you might be up to it later, see me again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '138', 'npc_reset_3', 'That\'s too bad. If you think you might be up to it later, see me again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '139', 'npc_reset_4', 'That\'s too bad. If you think you might be up to it later, see me again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '140', 'npc_reset_5', 'That\'s too bad. If you think you might be up to it later, see me again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/junelle_astor.stf', '141', 'npc_reset_6', 'That\'s too bad. If you think you might be up to it later, see me again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '1', 'next', 'I don\'t have anything else that needs doing just now. Check back with me once in a while though, you never know when there\'ll be something new.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '2', 'cantwork', 'It would be my pleasure to employ you, but first you must complete your contract with your current employer.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '3', 'npc_reset_1', 'I\'m sorry to hear that. You should feel free to come back later if you want the work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '4', 'notyet', 'I can\'t imagine I need you right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '5', 'npc_1_1', 'Rebel dissidents have been spreading the most atrocious lies about the Empire\'s part in the destruction of Alderaan. I have produced a documentary holo that explores the truth of that tragic event, and I need someone to deliver it to COMPNOR\'s courier. Will you do it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '6', 'npc_2_1', 'Good! I knew you wouldn\'t be the sort to believe those baseless accusations about the Empire. Bring this disk to Dath Torren, an Imperial courier. He\'ll see that it gets to COMPNOR.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '7', 'npc_3_1', 'Those Rebels liars got to you, did they? Pity.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '8', 'npc_4_1', 'The things nobody ever talks about -- the Imperial fleet\'s heroic rescue of the many ships damaged in the explosion -- the heartfelt thanks recorded by so many Alderaanian expatriates. This is the Empire\'s true story, the story I tell. Will you deliver it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '9', 'npc_backtowork_1', 'So will you deliver that holo documentary for me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '10', 'npc_reward_1', 'I\'m glad for all your help. You\'re a true child of the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '11', 'npc_work_1', 'Haven\'t you delivered that disk yet? I don\'t want some Rebel slicer getting his hands on it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '12', 'npc_noloc_1', 'Fine. I will need you in a while. The final edits are being done right now. See me later and we\'ll get this all settled.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '13', 'npc_failure_1', 'I won\'t tell you I\'m not disappointed, but I do understand these things happen.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '14', 'otherescort_1', 'I\'m not whoever you\'re looking for.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '15', 'dontknowyou_1', 'I\'m waiting for somebody else.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '16', 'npc_breech_1', 'Are you the one that Jyr Koble sent?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '17', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '18', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '19', 'npc_smuggle_1', 'I\'ll take this to COMPNOR directly.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '20', 'gotowork_1', 'You don\'t have the holo I need. What did you do with it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '21', 'notit_1', 'That isn\'t the holo you were supposed to bring me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '26', 'player_3_1', 'What truth are we talking about here exactly?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '27', 'npc_1_2', 'I urgently need your assistance. My friend Zab Nadlish, who was making a holo about our beloved Emperor\'s private retreat, has been kidnapped by some crazed Gungan. I\'m beside myself with worry. Will you go rescue him?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '28', 'npc_2_2', 'Excellent. If you rescue such a renowned holo director, I\'m sure the Empire will be grateful. If the Gungan terrorist who captured him were killed and his body blasted beyond recognition, I feel justice would be well served. This would also teach a valuable lesson to the primitives.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '29', 'npc_3_2', 'I\'m rather surprised you\'d say no. I\'m sure you have your reasons, misguided though they may be.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '30', 'npc_4_2', 'He was taking holos of the Naboo wilderness for his piece when this Gungan savage shot down the repulsorlift platform. Most of the crew escaped with minor injuries, but poor Zab was dragged into the swamp. Will you save him?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '31', 'npc_backtowork_2', 'Was there something else? I\'ve told you everything you need to know.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '32', 'npc_reward_2', 'I\'m delighted you rescued my friend. I\'ll speak with my associates to arrange suitable punishments for the Gungans. The natives must learn that Imperial personnel are beyond attack.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '33', 'npc_work_2', 'Why haven\'t you rescued Zab Nadlish yet? Is there a problem?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '34', 'npc_noloc_2', 'I must find the location you\'ll need. Come back and see me in a few moments.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '35', 'npc_failure_2', 'What a sorry state of affairs. I suppose we\'ll just have to destroy that Gungan\'s village instead.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '36', 'otherescort_2', 'I\'m waiting for somebody else.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '37', 'dontknowyou_2', 'I don\'t have time for you right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '38', 'npc_breech_2', 'Help me! This Gungan savage is going to kill me and eat me!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '39', 'npc_takeme_2', 'If you see any more Gungans on the way back, shoot first.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '40', 'npc_dropoff_2', 'When I finish my holo, I shall give you a \"special thanks\" credit. And you can be sure I\'ll discuss the indigenous culture too.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '41', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '42', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '43', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '48', 'player_3_2', 'What happened exactly?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '49', 'npc_1_3', 'Droidcams have recorded a brutal, unprovoked Rebel assault on an Imperial installation. We can\'t let the Rebel propaganda machine proceed unchecked. COMPNOR has asked me to review this shocking holo and add some comments to the edited footage for later broadcast. Will you pick up the edit for me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '50', 'npc_2_3', 'I believe you\'ll find the courier at these coordinates. Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '51', 'npc_3_3', 'Do you not cherish the Empire that nurtured you? Why will you not aid her?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '52', 'npc_4_3', 'Because they are soulless killers with no thought for the greater good. All the lofty goals they espouse are nothing more than the ideals upon which the Empire is already founded. So! Will you pick up the holo?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '53', 'npc_backtowork_3', 'Do you need something more? I\'ve told you all I can.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '54', 'npc_reward_3', 'Excellent work. I\'m sure that once people see this, they\'ll want nothing to do with the Rebellion. In spirit and action, you rank with the Empire\'s finest.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '55', 'npc_work_3', 'Have you acquired that disk yet? I need to add my commentary soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '56', 'npc_noloc_3', 'I\'m told the final edit will be complete soon. See me again shortly.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '57', 'npc_failure_3', 'I don\'t know what complications prevented you from completing your task, but I\'m sure you tried your best.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '58', 'otherescort_3', 'I\'m waiting for somebody else. Sorry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '59', 'dontknowyou_3', 'I\'m waiting for somebody else. Sorry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '60', 'npc_breech_3', 'Are you the courier I\'m waiting for?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '61', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '62', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '63', 'npc_smuggle_3', 'Tell Dr. Koble that we think he\'ll like this edit much better.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '65', 'notit_3', 'This isn\'t the recording you were supposed to bring me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '70', 'player_3_3', 'Why did the Rebels attack this installation?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '71', 'npc_1_4', 'Few people realize what a difficult job Imperial Inquisitor Mal Sikander has. Long hours and thankless tasks are his lot. Now someone has sliced into his private files. Needless to say, information from these files, taken out of context, would be poor publicity for the Empire. Would you find this slicer and retrieve those files?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '72', 'npc_2_4', 'A loyal citizen to your core. I salute you. This traitorous slicer is called Moorloch. He and his Gungan employers were spotted at these coordinates. Give them no opportunity to trouble the Empire further.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '73', 'npc_3_4', 'It chills my soul to hear a citizen of the Empire decline to aid another in need. I\'ll tell the Inquisitor you were otherwise engaged.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '74', 'npc_4_4', 'Greed, what else? And -- can you believe it? -- our intelligence reports that he was hired by Gungans. A human working for Gungans! It violates natural order. Will you correct this offense?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '75', 'npc_backtowork_4', 'Were you going to kill that traitor, or was there something else?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '76', 'npc_reward_4', 'Something will have to be done about the Gungans. Can you believe they would betray all our kindness this way? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '77', 'npc_work_4', 'Have you retrieved those datafiles yet? The Imperial Inquisitor is waiting to hear from us.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '78', 'npc_noloc_4', 'I\'m waiting for the final intelligence report to tell us where to find them. See me shortly. I should have it soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '79', 'npc_failure_4', 'In the future, you must learn to persevere. The Empire does not reward failure.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '80', 'otherescort_4', 'If you\'re looking for somebody, I\'m not him.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '81', 'dontknowyou_4', 'I\'m a little busy at the moment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '82', 'npc_breech_4', 'Kill this Imperial stooge.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '92', 'player_3_4', 'Why did this slicer risk angering an Imperial Inquisitor?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '137', 'npc_reset_2', 'I\'m sorry to hear that. You should feel free to come back later if you want the work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '138', 'npc_reset_3', 'I\'m sorry to hear that. You should feel free to come back later if you want the work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '139', 'npc_reset_4', 'I\'m sorry to hear that. You should feel free to come back later if you want the work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '140', 'npc_reset_5', 'I\'m sorry to hear that. You should feel free to come back later if you want the work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/jyr_koble.stf', '141', 'npc_reset_6', 'I\'m sorry to hear that. You should feel free to come back later if you want the work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '1', 'next', 'There\'s nothing else I need you to do at this moment. Check back with me later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '2', 'cantwork', 'Protecting the Senator\'s life takes a great deal of effort and you must be focused on the task. Try me again when you\'re not preoccupied with something else.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '3', 'npc_reset_1', 'Protecting the Senator\'s life is not an easy task. I understand if you feel you\'re not qualified to do so. Best of luck.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '4', 'notyet', 'Sorry.  My alliances are with someone else.  You\'re a little too Imperial-minded for me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '5', 'npc_1_1', 'I\'m Kima Nazith, the Senator\'s bodyguard. I was told that you were a capable agent willing to help insure Senator Naberrie\'s safety. There\'s a matter that I cannot attend to myself so I could certainly use your help. The Imperials have bought off one of our Gungan informants. This individual is being escorted to Mal Sikander even as we speak. If this Gungan talks, we could all be in big trouble. Can I rely on you to neutralize this threat?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '6', 'npc_2_1', 'Good. The Gungan is likely to have a small stormtrooper escort. Be prepared for a fight. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '7', 'npc_3_1', 'Is that because you\'re squeamish about such things or because you don\'t wish to help protect the Senator? On second thought, I\'d prefer not to know.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '8', 'npc_4_1', 'The Gungan is Benbul Leedee and he can identify dozens of our covert operatives all over Naboo. He must be silenced.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '9', 'npc_backtowork_1', 'Was something unclear? This is an urgent matter.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '10', 'npc_reward_1', 'Good work. You\'re as good as your recommendation. We could use more like you around here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '11', 'npc_work_1', 'Have you taken out that Gungan informant yet? Dozens of our agents will be compromised if you don\'t.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '12', 'npc_noloc_1', 'I\'ll get an update on the Gungan\'s position in just a moment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '13', 'npc_failure_1', 'I hope we can get our covert operatives to safety before the Empire can act on the information they got from Benbul. This is going to limit our activities on Naboo for several months. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '14', 'otherescort_1', 'Mesa mooie mooie busy. Can yousa not see dat?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '15', 'dontknowyou_1', 'Mesa mooie mooie busy. Can yousa not see dat?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '16', 'npc_breech_1', 'Heppen mesa! Dat one goin to be crunchen mesa! ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '17', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '18', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '19', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '20', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '21', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '26', 'player_3_1', 'What is this Gungan\'s name?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '27', 'npc_1_2', 'I\'ve just received word that Sikander has hired a bounty hunter to bring in Senator Naberrie, dead or alive. I doubt the bounty hunter knows that she\'s hiding here but given enough time he\'ll find out. I need you to neutralize this threat to the Senator\'s life. Can you do it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '28', 'npc_2_2', 'This bounty hunter is cunning and tough. Don\'t stop blasting until you\'re certain he\'s dead. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '29', 'npc_3_2', 'I understand. Trandoshan bounty hunters should only be tackled by the most capable of agents. I\'ll find someone else to take this guy out.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '30', 'npc_4_2', 'He\'s a Trandoshan named Hrodius Goragg. He has connections with Bossk but I don\'t believe he\'s called in his comrade on this bounty. We need to remove this killer quickly.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '31', 'npc_backtowork_2', 'I\'ve given you all the information pertaining to this mission. Do you wish to reconsider?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '32', 'npc_reward_2', 'Well struck, friend. You should consider going into the bodyguard business. You\'re good.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '33', 'npc_work_2', 'Have you neutralized that bounty hunter yet? We can\'t afford him getting any closer to the Senator.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '34', 'npc_noloc_2', 'The bounty hunter\'s movements are being tracked. I\'ll have his coordinates soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '35', 'npc_failure_2', 'It looks like this bounty hunter is much tougher than I thought. I may have to attend to this matter personally. Thanks for your help. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '36', 'otherescort_2', 'I\'m working. Go away! Sssss!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '37', 'dontknowyou_2', 'I\'m working. Go away! Sssss!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '38', 'npc_breech_2', 'If you mess with me, you flirt with death! Sssss!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '39', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '40', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '41', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '42', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '43', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '48', 'player_3_2', 'Who is this bounty hunter?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '49', 'npc_1_3', 'Sikander didn\'t take kindly to the removal of his bounty hunter. He\'s sent one of his assassins to investigate Dee\'ja Peak. This guy\'s bad news and we can\'t afford to let him get here. I\'ve come to rely on your skills to handle these situations. Think you can tackle this one?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '50', 'npc_2_3', 'That\'s what I thought you\'d say. Take my advice, though, and bring along some trusted companions. This assassin will not go down easily and has unusual powers at his disposal. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '51', 'npc_3_3', 'I hate to say it, but I understand your refusal. No hard feelings. I\'ll find a strike team that can handle this killer. Or at least I hope I do. If not, we may have to smuggle the Senator off Naboo.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '52', 'npc_4_3', 'His name is Kunn Kuroosh and all I know for certain is that his targets rarely survive and there are rumors that he\'s a Sith sorcerer. Don\'t take any chances with this guy. A thermal detonator would probably be the best weapon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '53', 'npc_backtowork_3', 'Do you have another question or are you reconsidering?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '54', 'npc_reward_3', 'You\'re a warrior\'s warrior, friend. I owe you a big favor, and on behalf of the Senator and the Naboo Resistance, I thank you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '55', 'npc_work_3', 'Have you gotten rid of that assassin yet? I need to know whether I need to move the Senator or not.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '56', 'npc_noloc_3', 'In a moment, our spies will give me the assassin\'s location. Hold on.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '57', 'npc_failure_3', 'We\'ll likely have to move the Senator. I wish you could have taken care of this, but I understand the result.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '58', 'otherescort_3', 'Do not trouble me. I wish to be left alone. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '59', 'dontknowyou_3', 'Do not trouble me. I wish to be left alone.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '60', 'npc_breech_3', 'The Rebels have sent you. I can sense your fear.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '61', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '62', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '63', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '65', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '70', 'player_3_3', 'Who exactly are we talking about?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '71', 'npc_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '72', 'npc_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '73', 'npc_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '74', 'npc_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '75', 'npc_backtowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '76', 'npc_reward_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '77', 'npc_work_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '78', 'npc_noloc_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '79', 'npc_failure_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '80', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '81', 'dontknowyou_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '82', 'npc_breech_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '92', 'player_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '137', 'npc_reset_2', 'Protecting the Senator\'s life is not an easy task. I understand if you feel you\'re not qualified to do so. Best of luck.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '138', 'npc_reset_3', 'Protecting the Senator\'s life is not an easy task. I understand if you feel you\'re not qualified to do so. Best of luck.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '139', 'npc_reset_4', 'Protecting the Senator\'s life is not an easy task. I understand if you feel you\'re not qualified to do so. Best of luck.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '140', 'npc_reset_5', 'Protecting the Senator\'s life is not an easy task. I understand if you feel you\'re not qualified to do so. Best of luck.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kima_nazith.stf', '141', 'npc_reset_6', 'Protecting the Senator\'s life is not an easy task. I understand if you feel you\'re not qualified to do so. Best of luck.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '1', 'next', 'You do good work. I\'ll keep you in mind for future jobs.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '2', 'cantwork', 'If you want to make some creds working for me, see me when you\'re not so busy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '3', 'npc_reset_1', 'Some days just don\'t go so well. Try me again later. I\'ll still have work for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '4', 'notyet', 'Can you find someone else to talk to, please?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '5', 'npc_1_1', 'I\'m Kritus Morven, a local businessman. I make sure Borvo the Hutt isn\'t the only one on Naboo making a profit. Speaking of that slimy Hutt, he wants to make some sort of deal. No doubt some opportunity where I take all the risks and he takes all the profit -- but I should at least find out what it is. Will you meet his courier and bring me the offer?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '6', 'npc_2_1', 'Wonderful. I feel sure we\'re going to get on very well. Meet Fekk Trunkel outside the city, where you can conduct your business away from prying eyes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '7', 'npc_3_1', 'High time you were leaving then. I have things to do. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '8', 'npc_4_1', 'I don\'t dislike Borvo -- I find him a worthy adversary. When I\'m staring down at his corpse and running all his holdings, I will remember him fondly. It\'s nothing personal, just business. So will you go and get that lying Hutt\'s offer?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '9', 'npc_backtowork_1', 'So were you going to pick up that offer from Borvo?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '10', 'npc_reward_1', 'I\'ll review this, but I\'d rather carry him than trust him.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '11', 'npc_work_1', 'Haven\'t you picked up that message from Borvo? Why not?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '12', 'npc_noloc_1', 'There\'s still a lot of time before you need to meet the courier, so come back and see me a little later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '13', 'npc_failure_1', 'Hmm. I hope this doesn\'t lead to an all-out war with Borvo. I\'m not ready for that yet, quite.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '14', 'otherescort_1', 'Sorry, I\'m not the one you\'re looking for.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '15', 'dontknowyou_1', 'I\'m busy at the moment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '16', 'npc_breech_1', 'Hey! Are you the courier I\'m waiting on?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '17', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '18', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '19', 'npc_smuggle_1', 'You bring this to Morven. See if he\'s got the sense to know a good deal when he sees it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '20', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '21', 'notit_1', 'Weren\'t you supposed to bring me a message? This isn\'t it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '26', 'player_3_1', 'Is it my imagination, or do you not like Borvo?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '27', 'npc_1_2', 'While you were gone, I hope you weren\'t working for that corpulent oozing fool of a Hutt. He thinks he owns Naboo, but I\'m about to teach him otherwise. You\'re not wanted by the law, are you? I need the services of someone who won\'t be shot on sight by security personnel. Is that you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '28', 'npc_2_2', 'Good. Find one of the security people looking for Borvo\'s spice refinery and give him this disk. The data should help narrow the search.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '29', 'npc_3_2', 'You\'d better be on your way.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '30', 'npc_4_2', 'One of my informants tells me Naboo security forces are looking for Borvo\'s spice refineries. As it happens, I know the location of one. Purely as a concerned citizen, I want to offer them this information. So are you in?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '31', 'npc_backtowork_2', 'So are you going to deliver this message?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '32', 'npc_reward_2', 'Nice. I almost wish I could see his repulsive, slimy face when he finds out his refinery has been raided.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '33', 'npc_work_2', 'Haven\'t you made the delivery yet? Why not?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '34', 'npc_noloc_2', 'I need you to wait a while before you tip off security. See me again about this soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '35', 'npc_failure_2', 'A perfect opportunity to stick it to that oozing sleemo. A perfect opportunity -- lost!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '36', 'otherescort_2', 'If you\'re looking for someone, look elsewhere.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '37', 'dontknowyou_2', 'Sorry, pal. No time for conversation today.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '38', 'npc_breech_2', 'You\'d better have a good reason for being here, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '39', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '40', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '41', 'npc_smuggle_2', 'An anonymous tip, eh? Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '42', 'gotowork_2', 'You don\'t seem to have any legitimate reason to be here. Get out of here before I put you under arrest.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '43', 'notit_2', 'What am I supposed to do with this? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '48', 'player_3_2', 'Why do you care what the law thinks?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '49', 'npc_1_3', 'Those stinking security people have no sense of gratitude. After I go to the trouble of giving those security officers the location of Borvo\'s spice refinery, they turn around and start looking for mine! That Hutt has to be behind this. I need someone to help fix this for me, fast. I can count on you, can\'t I?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '50', 'npc_2_3', 'Good! I just need you to bring this authorization for credits to security officer Dagrus Rhine. Move fast!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '51', 'npc_3_3', 'What a shame. I was just starting to like you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '52', 'npc_4_3', 'I made a deal with a security officer who\'s been cooperative in the past. You bring him some credits, and he\'ll slow up the search long enough for me to get my goods out of there. What do you say?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '53', 'npc_backtowork_3', 'So are you going to drop off those credits?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '54', 'npc_reward_3', 'You saved me a lot of inconvenience on that one. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '55', 'npc_work_3', 'Have you made that drop yet? I have a lot riding on this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '56', 'npc_noloc_3', 'See me in a little while. I\'ll have all the details by then, I hope. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '57', 'npc_failure_3', 'You didn\'t make the drop? This is going to be highly inconvenient.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '58', 'otherescort_3', 'I\'m not here waiting for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '59', 'dontknowyou_3', 'I\'m not here waiting for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '60', 'npc_breech_3', 'Are you the messenger?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '61', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '62', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '63', 'npc_smuggle_3', 'I\'ll slow things down as much as I can. Now get out of here before someone spots you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '64', 'gotowork_3', 'No credits for me? No help for your boss.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '65', 'notit_3', 'I believe you were supposed to bring me credits. I have no use for that.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '70', 'player_3_3', 'How am I supposed to fix this?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '71', 'npc_1_4', 'The word on the street is that Borvo the Hutt has his greasy hand in something new. I plan to find out what it is and get in on the action. A couple of Borvo\'s boys have been escorting some brainy type on what appear to be hunting expeditions. I need to find out exactly what that bloated slime factory is up to. I want you to get the big brain away from the guards and bring him to me. How about it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '72', 'npc_2_4', 'Great. I\'m sure he\'ll be more than happy to tell me whatever I want to know.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '73', 'npc_3_4', 'Prefer being small time, do you? Goodbye.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '74', 'npc_4_4', 'I\'m not sure. I heard something about a disease that drives animals crazy. That\'s all I know, but the brain-guy will know more. Will you get him for me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '75', 'npc_backtowork_4', 'You going to get that scientist for me now?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '76', 'npc_reward_4', 'Good work. Now I can find out what\'s in this guy\'s brain -- either the polite way, or more physically. See me again soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '77', 'npc_work_4', 'Where\'s Borvo\'s scientist? Haven\'t you gotten him yet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '78', 'npc_noloc_4', 'See me later. My informants will let me know when Borvo\'s thugs have left the city again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '79', 'npc_failure_4', 'That blasted Hutt is gaining too much ground. This is not good for my business interests.\n');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '80', 'otherescort_4', 'If you\'re looking for somebody, I\'m afraid it\'s not me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '81', 'dontknowyou_4', 'Sorry, friend, I can\'t help you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '82', 'npc_breech_4', 'I have a bad feeling about this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '83', 'npc_takeme_4', 'Please don\'t hurt me. I\'m not even armed.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '84', 'npc_dropoff_4', 'What did I ever do to deserve this?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '92', 'player_3_4', 'What do you think he\'s involved in?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '93', 'npc_1_5', 'You are not going to believe what that oozing gravity well Borvo has his hand in. Bioweaponry! We\'re not going to let that bulging mucus repository make all the credits on this, are we? Of course not. Borvo\'s courier is delivering a sample for him to sell to some Corellian buyers. I want you to intercept him and get that sample. You\'re with me, aren\'t you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '94', 'npc_2_5', 'Good. Borvo\'s courier, Dekker, won\'t be willing to just hand over the sample. Take whatever steps are needed to get it. Clear?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '95', 'npc_3_5', 'Foolish to say no at this point, but it\'s your decision.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '96', 'npc_4_5', 'Borvo\'s scientist was quite forthcoming after a little persuasion. There\'s some virus that increases aggression. Borvo has been selling it offworld. I need you to get me a sample. Will you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '97', 'npc_backtowork_5', 'You\'re going to fetch that little sample for me, aren\'t you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '98', 'npc_reward_5', 'You\'ve done very well. You may want to leave town for a while. Borvo may not be too happy with you right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '99', 'npc_work_5', 'Hurry up and get that sample.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '100', 'npc_noloc_5', 'It\'s not time for the delivery quite yet. See me later and I\'ll let you know then.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '101', 'npc_failure_5', 'You couldn\'t get it, could you? Blast! That Hutt wins another one.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '102', 'otherescort_5', 'I\'m waiting for somebody else.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '103', 'dontknowyou_5', 'I\'m waiting for somebody else.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '104', 'npc_breech_5', 'Die, fool!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '114', 'player_3_5', 'What is this bioweapon?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '137', 'npc_reset_2', 'Some days just don\'t go so well. Try me again later. I\'ll still have work for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '138', 'npc_reset_3', 'Some days just don\'t go so well. Try me again later. I\'ll still have work for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '139', 'npc_reset_4', 'Some days just don\'t go so well. Try me again later. I\'ll still have work for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '140', 'npc_reset_5', 'Some days just don\'t go so well. Try me again later. I\'ll still have work for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/kritus_morven.stf', '141', 'npc_reset_6', 'Some days just don\'t go so well. Try me again later. I\'ll still have work for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '1', 'next', 'You again? Well then, I guess I can let you look around some more. Go on in.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '2', 'cantwork', 'Sorry, this is a private family retreat. Can\'t let you in unless you have an invitation. Funny, you look too busy to enjoy the place.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '3', 'npc_reset_1', 'All right, I understand. I hope you\'ll check back later when you\'re ready.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '4', 'notyet', 'Sorry, I need some time alone.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '5', 'npc_1_1', 'Sorry, this is a private family retreat. You can go in if you have an invitation. Otherwise -- well then, you might make yourself useful. Want a job? A Corellian visitor brought in a pet krahbu -- one of those big, fast mount animals -- and it got loose. Something drove it crazy -- maybe when it ate the local plants. Now this pest is killing local wildlife and livestock. Find the krahbu and kill it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '6', 'npc_2_1', 'Good. I\'ll wait for you here. Come on back after you\'ve put down the krahbu. Be careful.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '7', 'npc_3_1', 'Well then. I expect you\'ll find some nice place to visit, other than here. Goodbye.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '8', 'npc_4_1', 'This is the Lake Retreat of the Naberrie family, one of the most honored families in Naboo history. Queen Padme Amidala was a Naberrie, along with several former senators and many high officials. Now, about that job --');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '9', 'npc_backtowork_1', 'I\'ve got nothing more to tell you about that krahbu. Get to it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '10', 'npc_reward_1', 'Sorry to see that animal put down, but it had to be done. Invading species, you know. Here\'s a reward. If you have an invitation, go right in. Otherwise -- well then, talk to me about another little job, and after that, I\'d be willing to let you in to look around.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '11', 'npc_work_1', 'Hmm, didn\'t expect you back. Not yet done putting down that krahbu, I see. Well then, get to it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '12', 'npc_noloc_1', 'That\'s good -- no, wait. I remember, I\'ve got a tour group ambling through that area just now. This would be a bad time to kill animals there. Check back with me later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '13', 'npc_failure_1', 'Couldn\'t catch that krahbu, eh? I\'m not surprised, they\'re fast. Well, thanks anyway.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '14', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '15', 'dontknowyou_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '16', 'npc_breech_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '17', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '18', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '19', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '20', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '21', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '26', 'player_3_1', 'Who owns this private retreat?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '27', 'npc_1_2', 'Interested in more work, are you? Well then, if you take care of one more little matter, I\'ll let you into the retreat -- assuming you don\'t have an invitation already. I think that krahbu infected a local mott with some Corellian virus. The disease must have driven the thing crazy. You have to put it down before the epidemic spreads.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '28', 'npc_2_2', 'Good. I\'ll be here waiting, just like before. Come on back after you\'ve put down the mott.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '29', 'npc_3_2', 'And you made yourself so useful before. Guess that was the exception. Well then, goodbye.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '30', 'npc_4_2', 'If you can picture a little garbage masher on four legs and covered with fur and tusks, that\'s a mott. Ill-tempered and brusque, in contrast to my own sweet nature. Well then, about this job -- will you take it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '31', 'npc_backtowork_2', 'I\'ve got nothing more to tell you about this mott. Get to it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '32', 'npc_reward_2', 'Thanks. That mott was just a nuisance before, digging up my garden and whatnot. But this could have been a plague. Well then, you\'ve proven you have gumption. Go on in, look around -- but don\'t tell anyone I let you in.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '33', 'npc_work_2', 'Hmm, didn\'t expect you back. Not yet done putting down that mott, I see. Well then, get to it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '34', 'npc_noloc_2', 'That\'s good -- no, wait. I\'ve got a tour group ambling through that area just now. This would be a bad time to kill animals there. Check back with me later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '35', 'npc_failure_2', 'Couldn\'t catch those mott, eh? I\'m not surprised, they\'re sneaky. Well, thanks anyway.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '36', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '37', 'dontknowyou_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '38', 'npc_breech_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '39', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '40', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '41', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '42', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '43', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '48', 'player_3_2', 'What\'s a mott?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '49', 'npc_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '50', 'npc_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '51', 'npc_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '52', 'npc_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '53', 'npc_backtowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '54', 'npc_reward_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '55', 'npc_work_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '56', 'npc_noloc_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '57', 'npc_failure_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '58', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '59', 'dontknowyou_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '60', 'npc_breech_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '61', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '62', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '63', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '65', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '70', 'player_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '71', 'npc_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '72', 'npc_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '73', 'npc_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '74', 'npc_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '75', 'npc_backtowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '76', 'npc_reward_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '77', 'npc_work_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '78', 'npc_noloc_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '79', 'npc_failure_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '80', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '81', 'dontknowyou_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '82', 'npc_breech_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '92', 'player_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '137', 'npc_reset_2', 'All right, I understand. I hope you\'ll check back later when you\'re ready.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '138', 'npc_reset_3', 'All right, I understand. I hope you\'ll check back later when you\'re ready.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '139', 'npc_reset_4', 'All right, I understand. I hope you\'ll check back later when you\'re ready.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '140', 'npc_reset_5', 'All right, I understand. I hope you\'ll check back later when you\'re ready.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lareen_dantara.stf', '141', 'npc_reset_6', 'All right, I understand. I hope you\'ll check back later when you\'re ready.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '1', 'next', 'Sorry, I have no more work for you. But do try a glass of the spiced paricha at the bar. So delicate you almost miss the taste, but what a kick!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '2', 'cantwork', 'If you\'d like a job, contact me when you\'re not busy. Oh, and I recommend the Merenzane Gold in the bar -- subtle, sweet, expensive.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '3', 'npc_reset_1', 'Very well, please return later when you can help me. Meanwhile, you should look into the imported Rodian Ale at the bar. Delicious!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '4', 'notyet', 'I\'m too busy to talk right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '5', 'npc_1_1', 'Have you had the fried thakitillo appetizer at the bar? Delicious. --Oh, forgive me. I\'m Leb Slesher, expediter of merchant relations. Are you interested in a job, perhaps? I have evidence that seemingly shows a certain local merchant receiving smuggled goods. This horrible mistake can only be resolved with extensive bureaucratic processing. Please meet the merchant at our wilderness rendezvous, free of prying eyes, and secure the processing fee.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '6', 'npc_2_1', 'Splendid. Pick up the processing fee from the merchant Phinta Lianovi at these coordinates. Look out for troublemakers. Some locals object violently to these transactions.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '7', 'npc_3_1', 'I\'m disappointed, but I think I shall live. On your way out, be sure to try the vagnerian canapes at the bar. Quite tasty.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '8', 'npc_4_1', 'Of course the evidence is forged, but it\'s a very good forgery. Imagine how some ignorant customs official would react -- unless I intercede to explain matters. This calls for fair recompense for my effort. Speaking of effort, are you willing to do this job?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '9', 'npc_backtowork_1', 'I\'m afraid I don\'t know what else to tell you. Really, that should be enough to get you going.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '10', 'npc_reward_1', 'Splendid. Accept this reward with my gratitude, and look me up again soon. Meanwhile, try the Zadarian brandy at the bar. Exquisite.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '11', 'npc_work_1', 'Did you return here for some of that delightful Garwillian champagne at the bar? I don\'t blame you. But please, get back to work soon, eh?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '12', 'npc_noloc_1', 'Fine. I\'ve arranged for the merchant to rendezvous a short while from now, so check with me soon for the coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '13', 'npc_failure_1', 'Did you not pick up that processing fee? Well then, I\'ll just have to arrange another rendezvous. What a nuisance. I\'ll wait until after dinner.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '14', 'otherescort_1', 'Are you the one I was supposed to --? No, I don\'t think so. Please leave me alone.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '15', 'dontknowyou_1', 'Are you the one I was supposed to --? No, I don\'t think so. Please leave me alone.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '16', 'npc_breech_1', 'Were you sent by Leb Slesher? You\'re picking up a processing fee, right?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '17', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '18', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '19', 'npc_smuggle_1', 'Here\'s the fee. Please tell your ISB boss not to file that report! Someone doctored the images to make legitimate merchants look like smugglers!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '20', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '21', 'notit_1', 'That isn\'t the processing fee!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '26', 'player_3_1', 'Why is it a mistake? Is the evidence forged?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '27', 'npc_1_2', 'Ah, hello again. I have a new job for you. It relates to Naboo Commercial Code regulation 142.74.A-6502.4.16/3 Section 453 Paragraph 2. Too many innocent merchants seem unaware of this regulation, which clearly specifies military discounts for Imperial officers. I have documented a certain restaurateur\'s refusal to honor this discount. I can remedy the problem for a fee, which you may collect at the agreed rendezvous in the wilderness.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '28', 'npc_2_2', 'Fine, fine. You\'re looking for a merchant named Cornevero Dawlton at these coordinates. Watch out for local wildlife, it can be hazardous.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '29', 'npc_3_2', 'I\'m disappointed, but I think I shall live. On your way out, be sure to try the zwil cakes at the bar. Not addictive unless you\'re a Drovian.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '30', 'npc_4_2', 'Well, friend, assuming I work for the ISB, I\'m obviously covert. Therefore, I\'d be silly to admit it. Likewise, you\'d be silly to press the issue -- assuming I work for the ISB. Now, about this job --?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '31', 'npc_backtowork_2', 'I\'m afraid I don\'t know what else to tell you. Really, that should be enough to get you going.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '32', 'npc_reward_2', 'Ah, excellent. I give you this fitting reward. Buy yourself a nice Lobster Bisellian dinner in the cafe. Tell them to avoid oversalting it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '33', 'npc_work_2', 'If you returned for some of that delicious Corellian air cake at the cafe, I don\'t blame you. But please, get back to work soon, eh?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '34', 'npc_noloc_2', 'Fine. I\'ve arranged for the merchant to rendezvous a short while from now, so check with me soon for the coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '35', 'npc_failure_2', 'Didn\'t you pick up that processing fee? Well, I\'ll simply have to arrange another rendezvous -- perhaps with another messenger next time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '36', 'otherescort_2', 'I don\'t think you\'re here to pick up my bribe, are you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '37', 'dontknowyou_2', 'I don\'t think you\'re here to pick up my bribe, are you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '38', 'npc_breech_2', 'Halloo, Agent Slesher! Over here! Wait, are you Slesher or not?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '39', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '40', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '41', 'npc_smuggle_2', 'Here, take the payment, and also this nice stuffed noona, which I made you to show my good will! What, you\'re not Slesher? Well, tell him to drop by if he wants this noona.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '42', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '43', 'notit_2', 'That isn\'t the processing fee!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '48', 'player_3_2', 'Who do you work for? On the last job you gave me, that merchant implied you\'re with the Imperial Security Bureau.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '49', 'npc_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '50', 'npc_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '51', 'npc_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '52', 'npc_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '53', 'npc_backtowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '54', 'npc_reward_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '55', 'npc_work_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '56', 'npc_noloc_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '57', 'npc_failure_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '58', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '59', 'dontknowyou_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '60', 'npc_breech_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '61', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '62', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '63', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '65', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '70', 'player_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '71', 'npc_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '72', 'npc_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '73', 'npc_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '74', 'npc_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '75', 'npc_backtowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '76', 'npc_reward_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '77', 'npc_work_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '78', 'npc_noloc_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '79', 'npc_failure_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '80', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '81', 'dontknowyou_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '82', 'npc_breech_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '92', 'player_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '137', 'gotowork', 'I don\'t have time to chat right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '138', 'npc_reset_2', 'Very well, please return later when you can help me. Meanwhile, you should look into the imported Rodian Ale at the bar. Delicious!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '139', 'npc_reset_3', 'Very well, please return later when you can help me. Meanwhile, you should look into the imported Rodian Ale at the bar. Delicious!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '140', 'npc_reset_4', 'Very well, please return later when you can help me. Meanwhile, you should look into the imported Rodian Ale at the bar. Delicious!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '141', 'npc_reset_5', 'Very well, please return later when you can help me. Meanwhile, you should look into the imported Rodian Ale at the bar. Delicious!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/leb_slesher.stf', '142', 'npc_reset_6', 'Very well, please return later when you can help me. Meanwhile, you should look into the imported Rodian Ale at the bar. Delicious!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '1', 'next', 'Well, hello again! I have nothing for you right now. Goodbye!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '2', 'cantwork', 'Well, hello there! I hope we can speak together soon when you\'re not busy elsewhere.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '3', 'npc_reset_1', 'Why, I\'m disappointed in you. I would have hoped for better. In fact, I still hope for better. It\'s in your best interest to see me again soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '4', 'notyet', 'I\'m trying to remember something.  Can you give me some time?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '5', 'npc_1_1', 'Well, hello there! I\'m Lergo. I\'m in shipping, commodities, and personal services. Are you interested in work? A good friend of mine is a pilot who\'s currently stranded here on Naboo, due to the unlucky theft of his licenses and permits. I need you to bring him the new permits he needs to launch safely from this planet\'s excellent starport facilities. Can you do this for me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '6', 'npc_2_1', 'Good! I\'m glad. Return here once you\'ve delivered the data to Breggs Ker\'tani. Let me hear from you in a timely manner, or I\'ll be disappointed.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '7', 'npc_3_1', 'Well, I\'m disappointed. I say that truly. I think it would be unwise of you to return here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '8', 'npc_4_1', 'Well, some Naboo busybodies wilfully misinterpret any offworld pilot\'s presence as signs of a smuggling operation. I caution you against that misinterpretation. These busybodies might prove a minor threat. So, will you help my friend? I\'ll be most disappointed otherwise.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '9', 'npc_backtowork_1', 'I\'ve given you quite enough information to get started. If you shilly-shally around, I shall be quite disappointed -- and that is always bad.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '10', 'npc_reward_1', 'I welcome this excellent news! I reward you appropriately, and I advise you to find me again when you need more work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '11', 'npc_work_1', 'What a surprise! I never expected you\'d report back before you finished that delivery. I admit a trace of disappointment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '12', 'npc_noloc_1', 'Good. My associates are completing a certain amount of busywork regarding the permits. Please check back with me soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '13', 'npc_failure_1', 'You could not deliver the permits? How very disappointing. I think it would be unwise of you to linger long in Keren.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '14', 'otherescort_1', 'You got the wrong guy. Push off.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '15', 'dontknowyou_1', 'You got the wrong guy. Push off.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '16', 'npc_breech_1', 'You! Have you brought those codes from Brazee?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '17', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '18', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '19', 'npc_smuggle_1', 'These passcodes better work. I\'m not gonna try to fly casual through another Star Destroyer blockade.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '20', 'gotowork_1', 'Are you going to bring me those passcodes from Brazee, or aren\'t you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '21', 'notit_1', 'I\'m waiting for passcodes from Brazee. That isn\'t them.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '26', 'player_3_1', 'What risks might be involved?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '27', 'npc_1_2', 'Welcome back! Perfect timing. An associate just made a distress call. He was conducting business with Lord Humbonnen at one of his wilderness estates. On his way back, he fell afoul of bandits. He needs a safe escort back here to Keren. I want you to be the escort.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '28', 'npc_2_2', 'That\'s fine, fine! You\'re looking for a Twi\'lek named Slyd Shu\'ril. He may well suspect you of being a bandit, you being a shady-looking sort, so approach him carefully. And watch out for the bandits!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '29', 'npc_3_2', 'I cannot believe you would reject my offer. I advise you to reconsider and check with me again. I dislike rejection intensely.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '30', 'npc_4_2', 'Lord Humbonnen has made great breakthroughs in enlisting Gungan natives into a productive workforce. My organization equips him to carry out his recruitment programs. With heroic effort he has overcome significant native resistance. All the more reason why my associate deserves safe conduct back from his estate. What do you say?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '31', 'npc_backtowork_2', 'You have been told everything you need to know. I advise you to get started.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '32', 'npc_reward_2', 'Another piece of excellent news! I anticipate that you and I will enjoy a long and productive working relationship, much like Lord Humbonnen and his native workforce.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '33', 'npc_work_2', 'What a surprise! I never expected you\'d report back without Slyd Shu\'ril at your side. I admit my disappointment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '34', 'npc_noloc_2', 'I\'ll have my people trace the coordinates of my associate\'s distress call. Check with me momentarily, and we\'ll get you started.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '35', 'npc_failure_2', 'You could not rescue my associate? How very disappointing. I think it would be unwise of you to linger long in Keren.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '36', 'otherescort_2', 'You\'ve got the wrong fellow.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '37', 'dontknowyou_2', 'You\'ve got the wrong fellow.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '38', 'npc_breech_2', 'Oh, no, another bounty hunter! No, wait -- did Brazee send you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '39', 'npc_takeme_2', 'Hope you can handle a blaster, buddy -- I\'ve got a Trandoshan bounty hunter on my tentacles, hired by the Gungans who escaped from Lord Humbonnen.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '40', 'npc_dropoff_2', 'Thanks. These Gungan escapees are making too many problems for a profitable operation. Time to teach them a lesson.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '41', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '42', 'gotowork_2', 'Get to work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '43', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '48', 'player_3_2', 'What business took him out to Lord Humbonnen\'s estate?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '49', 'npc_1_3', 'I\'m sorry to report that more Gungan agitators are troubling my client Lord Humbonnen. My associate, a Bothan named Linay Sind\'ir, was recruiting new workers at one of the Gungan sacred places. Native savages ambushed her slav-- recruitment brigade, killed them all, and are now holding her prisoner. I implore you to rescue Linay.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '50', 'npc_2_3', 'Excellent. Move quickly to save Linay, before those natives captors do unspeakable Gungan things to her.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '51', 'npc_3_3', 'I cannot believe you refuse to rescue Linay from an unspeakable Gungan fate. I advise you to leave Keren by the next shuttle. Matters could become very unpleasant for you otherwise.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '52', 'npc_4_3', '\"Slave\" is an inappropriate word. My organization expedites a productive relationship between Lord Humbonnen and his native workers. All their needs are provided for, so they need never leave the plantations and stables. And what use has a simple Gungan for money? I suggest that you put such questions out of your mind. Now, will you rescue Linay?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '53', 'npc_backtowork_3', 'You have been told everything you need to know. I advise you to get started.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '54', 'npc_reward_3', 'Thank you for returning Linay safely. Now if you\'ll excuse me, it appears I have a crisis to handle. Check back later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '55', 'npc_work_3', 'What a surprise! I never expected you\'d report back before you rescued Linay. I admit to deep disappointment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '56', 'npc_noloc_3', 'I\'m still waiting to get current coordinates for Linay and her captors. Check with me soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '57', 'npc_failure_3', 'You could not rescue Linay? That will be a blow to our operation. And, I daresay, a deeper blow to yours. I advise you to leave Keren, quickly.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '58', 'otherescort_3', 'You really don\'t want to be here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '59', 'dontknowyou_3', 'You really don\'t want to be here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '60', 'npc_breech_3', 'At last! Kill these Gungans and get me out of here!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '61', 'npc_takeme_3', 'Not a moment too soon. We have to get back to Brazee. I\'ve learned something Black Sun needs to know about!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '62', 'npc_dropoff_3', 'Thanks. -- Vigo Brazee! All the mercenaries are dead, and the natives are planning a raid on Humbonnen\'s pens to free the workers. We have to field a squad of agents, quickly!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '63', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '64', 'gotowork_3', 'Get to work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '65', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '70', 'player_3_3', 'Why would Linay \"recruit\" Gungans at their sacred places? This sounds like a slave operation.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '71', 'npc_1_4', 'Welcome back. I have grown confident in your ability and discretion. A notorious Gungan bandit leader is planning a major raid on one of Lord Humbonnen\'s estates. The loss of innocent life would be tremendous. I require you to organize a strike team and stop the leader in his tracks!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '72', 'npc_2_4', 'Good. Let me see, the leader\'s name is -- oh, spare me -- \"Big Blismo.\" According to my report, he typically moves with several guards. Move quickly!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '73', 'npc_3_4', 'Does it not wrench your heart to think of the loss of innocent life? Very well. If that is your decision, you would do well to leave Keren by the next shuttle. You will not live long otherwise.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '74', 'npc_4_4', 'As I may have mentioned in the past, \"slaves\" is an ugly and unjust word. I should think that the bandit leader\'s interference in lawful food production and gualama breeding operations would be reason enough to stop him. Is that sufficient? Will you, in fact, stop him?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '75', 'npc_backtowork_4', 'You have been told everything you need to know. I advise you to get started.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '76', 'npc_reward_4', 'My friend! I can count on you for anything, it seems. I shall remember your service to me, and so will the rest of my organization. Now, it is probably best if you leave Keren for a while, until matters quiet down a bit. Goodbye!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '77', 'npc_work_4', 'What a surprise! I never expected you\'d report back before killing Big Blismo. I suggest you don\'t return until you\'ve succeeded.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '78', 'npc_noloc_4', 'Even now I await a report of the bandit leader\'s whereabouts. Consult with me in a minute or two, and I should know more.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '79', 'npc_failure_4', 'You failed to stop Big Blismo, and as a result, Lord Humbonnen has sustained a significant loss to his labor force. I am genuinely unhappy. For your own safety, I advise you to leave Keren immediately.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '80', 'otherescort_4', 'Yousa not workin\' for Lergo Brazee. My not carin\' \'bout yousa.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '81', 'dontknowyou_4', 'Yousa not workin\' for Lergo Brazee. My not carin\' \'bout yousa.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '82', 'npc_breech_4', 'Yousa! Yousa workin\' for Lergo Brazee! Mesa Gungans gonna makin\' yousa sorry!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '86', 'gotowork_4', 'Get to work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '92', 'player_3_4', 'Does this bandit leader intend to free Humbonnen\'s Gungan slaves?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '108', 'gotowork_5', 'Get to work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '130', 'gotowork_6', 'Get to work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '137', 'npc_reset_2', 'Why, I\'m disappointed in you. I would have hoped for better. In fact, I still hope for better. It\'s in your best interest to see me again soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '138', 'npc_reset_3', 'Why, I\'m disappointed in you. I would have hoped for better. In fact, I still hope for better. It\'s in your best interest to see me again soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '139', 'npc_reset_4', 'Why, I\'m disappointed in you. I would have hoped for better. In fact, I still hope for better. It\'s in your best interest to see me again soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '140', 'npc_reset_5', 'Why, I\'m disappointed in you. I would have hoped for better. In fact, I still hope for better. It\'s in your best interest to see me again soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lergo_brazee.stf', '142', 'npc_reset_6', 'Why, I\'m disappointed in you. I would have hoped for better. In fact, I still hope for better. It\'s in your best interest to see me again soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '1', 'next', 'Thank you again for your earlier assistance. Her Majesty is happy to grant you an audience. Go right in.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '2', 'cantwork', 'I am Liane, handmaiden to Her Majesty. If you seek employment, consult with me when you are not so busy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '3', 'npc_reset_1', 'I am sorry to hear you cannot fulfill the assignment. Please consult with me again when you are able.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '4', 'notyet', 'Tghings are a little hectic right now.  Perhaps you could return at another time?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '5', 'npc_1_1', 'I am Liane, handmaiden to Her Majesty Queen Kylantha of Naboo. If you wish to see Her Majesty, I\'m afraid she is currently occupied. Do you seek employment? Her Majesty wishes an antique mandoviol to be delivered for restoration to a leading crafter of musical instruments. The crafter, Bowrun Stradalla, lives in the wilderness outside Theed. Will you undertake to assist Her Majesty? She is known to look kindly on those who help her.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '6', 'npc_2_1', 'I am pleased. Here is the mandoviol -- please treat it with care. I suggest you look for Master Stradalla at these coordinates. Return here after the delivery.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '7', 'npc_3_1', 'I am sorry to hear that. Her Majesty is currently occupied, as I say, and likely to remain so for the foreseeable future.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '8', 'npc_4_1', 'Gossip says Master Stradalla involved himself in certain politically sensitive matters, a mistake I have never cared to commit. Fortunately, Her Majesty can safely rise above such squabbles. Will you take Her Majesty\'s assignment?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '9', 'npc_backtowork_1', 'I have nothing more to tell you. I await your success.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '10', 'npc_reward_1', 'I shall relay the news of your assistance to Her Majesty. Unfortunately, the Queen remains occupied. However, please consult with me again for tasks that may assist her.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '11', 'npc_work_1', 'Have you delivered the mandoviol? No, I see you have not. I await your success.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '12', 'npc_noloc_1', 'I am pleased. I suggest you look for Master Stradalla at -- hmm. I appear not to have his coordinates at this time. Consult with me later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '13', 'npc_failure_1', 'Did you not deliver the mandoviol? I am sorry to hear that. Her Majesty will be sorry as well.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '14', 'otherescort_1', 'Don\'t bother me, I\'m just an old man with nothing to say to you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '15', 'dontknowyou_1', 'Don\'t bother me, I\'m just an old man with nothing to say to you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '16', 'npc_breech_1', 'Are you from the Queen? Why? What do you bring?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '17', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '18', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '19', 'npc_smuggle_1', 'What? A royal commission? Well, I never expected that, after fleeing Theed to escape all those blasted Imperial know-nothings. My thanks to Her Majesty.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '20', 'gotowork_1', 'I was almost expecting a commission, or something, from the Queen. Well, I can still hope.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '21', 'notit_1', 'I was almost expecting a commission, or something, from the Queen. Well, I can still hope.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '26', 'player_3_1', 'Why does Stradalla live out in the wilderness?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '27', 'npc_1_2', 'I am pleased to see you again. Her Majesty, Queen Kylantha, remains occupied. But if you seek employment, Her Majesty commands that this order for a new ceremonial dress be delivered to one of Naboo\'s leading tailors. Note that the instructions state that the peko-peko fronds of the neckpiece are to be simulated, not actual fronds. Will you deliver the order?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '28', 'npc_2_2', 'I am pleased. Here is the datadisc. Please look for the tailor, Niamora Ingidge, somewhere in the vicinity of her wilderness estate. Return here when you\'ve fulfilled the assignment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '29', 'npc_3_2', 'I am sorry to hear that. Her Majesty remains busy today, and is likely to be busy for the foreseeable future.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '30', 'npc_4_2', 'Her Majesty has a busy social schedule. However, she is known to make time for those who render service to her court. On that topic, will you deliver this dress order for Her Majesty?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '31', 'npc_backtowork_2', 'I have nothing more to tell you. I await your success.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '32', 'npc_reward_2', 'The tailor\'s home was destroyed? Well, that is of course regrettable, but I\'m sure Her Majesty will be vexed if this delays her new dress. Though the Queen remains occupied for now, please consult with me again for tasks that may assist her.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '33', 'npc_work_2', 'Have you delivered the commission? No, I see you have not. I await your success.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '34', 'npc_noloc_2', 'I am pleased. I suggest you look for Niamora Ingidge at -- hmm. I appear not to have her coordinates at this time. Consult with me later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '35', 'npc_failure_2', 'Did you not deliver the commission? I am sorry to hear that. Her Majesty will be sorry as well.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '36', 'otherescort_2', 'I would ordinarily love to talk with you, but I\'m waiting for someone else.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '37', 'dontknowyou_2', 'I would ordinarily love to talk with you, but I\'m waiting for someone else.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '38', 'npc_breech_2', 'I\'m Niamora Ingidge. Do you have something for me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '39', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '40', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '41', 'npc_smuggle_2', 'A commission from the Queen! And -- let me see -- exceedingly generous! Now I can rebuild my home, after those idiot Imperials blew it up with collateral fire from their last training exercise.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '42', 'gotowork_2', 'Oh -- I thought you might have something for me. Sorry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '43', 'notit_2', 'I\'m afraid this means nothing to me. I\'m a tailor.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '48', 'player_3_2', 'When may I see Her Majesty?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '49', 'npc_1_3', 'I am pleased to see you. Her Majesty Queen Kylantha remains busy, but she would certainly appreciate your assistance with a minor errand. Her Majesty wishes to commission the acclaimed poet Biude Lop Quanna to produce a celebratory ode marking the birth of eleven tiny new offspring by her favorite pet voorpak, Champion Paragon Journeyer the Most Happy Leaper. Will you deliver the commission?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '50', 'npc_2_3', 'I am pleased to hear that. Here is the commission. Please deliver it to Biude Lop Quanna, who is apparently vacationing in the wilderness for reasons I do not know. Return here afterward, and signs are promising that Her Majesty may grant an audience.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '51', 'npc_3_3', 'I am sorry. On consulting her schedule afresh, I see that Her Majesty remains busy, and is likely to be busy for the foreseeable future.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '52', 'npc_4_3', 'It is possible Her Majesty may grant you an audience very soon. However, you definitely have time beforehand to assist her in this errand. On that topic, what is your decision?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '53', 'npc_backtowork_3', 'I have nothing more to tell you. I await your success.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '54', 'npc_reward_3', 'Did the poet have some kind of run-in with our friends at COMPNOR? How unfortunate. But that is how those poets are, you know. I thank you for your assistance. Her Majesty has kindly granted you an audience. You may approach the throne.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '55', 'npc_work_3', 'Have you delivered the commission? No, I see you have not. I await your success.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '56', 'npc_noloc_3', 'I am pleased. I suggest you look for the poet at -- hmm. I appear not to have his coordinates at this time. Consult with me later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '57', 'npc_failure_3', 'Did you not deliver the commission? I am sorry to hear that. Her Majesty will be sorry as well.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '58', 'otherescort_3', 'I don\'t have anything to say to you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '59', 'dontknowyou_3', 'I don\'t have anything to say to you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '60', 'npc_breech_3', 'I\'m Biude Lop Quanna. Were you looking for me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '61', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '62', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '63', 'npc_smuggle_3', 'You\'re not with COMPNOR, right? Those goons have been hunting me since I published a satire of their blunt, bog-stupid attempts to censor local writers. I appreciate Her Majesty\'s support in this difficult time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '64', 'gotowork_3', 'I just write poetry. If you don\'t have a commission for me, I can\'t help you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '65', 'notit_3', 'That doesn\'t look like anything of importance to me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '70', 'player_3_3', 'When may I see Her Majesty?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '71', 'npc_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '72', 'npc_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '73', 'npc_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '74', 'npc_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '75', 'npc_backtowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '76', 'npc_reward_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '77', 'npc_work_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '78', 'npc_noloc_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '79', 'npc_failure_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '80', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '81', 'dontknowyou_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '82', 'npc_breech_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '92', 'player_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '137', 'npc_reset_2', 'I am sorry to hear you cannot fulfill the assignment. Please consult with me again when you are able.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '138', 'npc_reset_3', 'I am sorry to hear you cannot fulfill the assignment. Please consult with me again when you are able.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '139', 'npc_reset_4', 'I am sorry to hear you cannot fulfill the assignment. Please consult with me again when you are able.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '140', 'npc_reset_5', 'I am sorry to hear you cannot fulfill the assignment. Please consult with me again when you are able.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/liane.stf', '141', 'npc_reset_6', 'I am sorry to hear you cannot fulfill the assignment. Please consult with me again when you are able.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '1', 'next', 'Mesa gotten no work for yousa.  Check backo wit mesa later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '2', 'cantwork', 'Yousa goin\' to come backo when yousa job is done, okeyday?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '3', 'npc_reset_1', 'Okeyday. Yousa comen back when yousa mooie-mooie tough.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '4', 'notyet', 'Mesa sorry. No haven time for yousa right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '5', 'npc_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '6', 'npc_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '7', 'npc_3_1', 'Yousan be wastin\' mesa time. Begone wit yousa.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '8', 'npc_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '9', 'npc_backtowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '10', 'npc_reward_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '11', 'npc_work_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '12', 'npc_noloc_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '13', 'npc_failure_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '14', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '15', 'dontknowyou_1', 'Mesa bein\' mooie-mooie busy. Off wit yousa.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '16', 'npc_breech_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '17', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '18', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '19', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '20', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '21', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '26', 'player_3_1', 'What is this historical record?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '27', 'npc_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '28', 'npc_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '29', 'npc_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '30', 'npc_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '31', 'npc_backtowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '32', 'npc_reward_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '33', 'npc_work_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '34', 'npc_noloc_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '35', 'npc_failure_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '36', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '37', 'dontknowyou_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '38', 'npc_breech_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '39', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '40', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '41', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '42', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '43', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '48', 'player_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '49', 'npc_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '50', 'npc_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '51', 'npc_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '52', 'npc_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '53', 'npc_backtowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '54', 'npc_reward_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '55', 'npc_work_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '56', 'npc_noloc_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '57', 'npc_failure_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '58', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '59', 'dontknowyou_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '60', 'npc_breech_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '61', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '62', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '63', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '65', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '70', 'player_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '71', 'npc_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '72', 'npc_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '73', 'npc_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '74', 'npc_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '75', 'npc_backtowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '76', 'npc_reward_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '77', 'npc_work_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '78', 'npc_noloc_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '79', 'npc_failure_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '80', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '81', 'dontknowyou_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '82', 'npc_breech_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '92', 'player_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '137', 'npc_reset_2', 'Okeyday. Yousa comen back when yousa mooie-mooie tough.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '138', 'npc_reset_3', 'Okeyday. Yousa comen back when yousa mooie-mooie tough.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '139', 'npc_reset_4', 'Okeyday. Yousa comen back when yousa mooie-mooie tough.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '140', 'npc_reset_5', 'Okeyday. Yousa comen back when yousa mooie-mooie tough.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/lob_dizz.stf', '141', 'npc_reset_6', 'Okeyday. Yousa comen back when yousa mooie-mooie tough.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '1', 'next', 'There is nothing more I require of you at present. But a loyal Imperial agent\'s job is never truly done. Speak to me again later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '2', 'cantwork', 'Your mind must be focused when you embark upon a mission for me. Come back when you can give me your full attention.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '3', 'npc_reset_1', 'Your failure to complete this assignment will be included in my report to the Emperor. He is not known to be a terribly forgiving sort. I hope for your sake that he overlooks your shortcomings.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '4', 'notyet', 'I cannot be bothered by common petitioners! Speak to my assistant, Vrir Unglan. If he considers you worthy, he may arrange an audience for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '5', 'npc_1_1', 'You\'ve made it this far so that means you can be trusted. Let us see if you are as effective as you are trustworthy. One of my field agents, Grell Harnuss, is about to conduct interrogations on a group of Gungan captives. I need you to deliver a device that will speed my agent\'s work and insure better results. Can you do this?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '6', 'npc_2_1', 'Good. Here\'s the device. Now get going.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '7', 'npc_3_1', 'Why are you wasting my time? Remove yourself from my sight or I shall have you removed!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '8', 'npc_4_1', 'It\'s a specially modified disruptor that doesn\'t disintegrate its target, but instead causes all the pain receptors in a being\'s body to fire simultaneously. Properly used, it can provide hours of exquisite agony. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '9', 'npc_backtowork_1', 'Is there a reason you\'re still standing there? I don\'t like layabouts.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '10', 'npc_reward_1', 'Adequate performance. Continue to serve me and you\'ll continue to be rewarded.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '11', 'npc_work_1', 'Did you deliver that pain inducer to Grell? We need the information being withheld by those Gungan traitors.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '12', 'npc_noloc_1', 'I\'ve just received word that my agent has had to move the Gungan captives to a new location. Check back with me for the new coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '13', 'npc_failure_1', 'You failed a simple delivery mission? I shall have to have Vrir executed for clearing such an obvious imcompetent.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '14', 'otherescort_1', 'Whoever you\'re looking for, pal, it ain\'t me. Beat it!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '15', 'dontknowyou_1', 'I\'m waiting for someone. Beat it!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '16', 'npc_breech_1', 'You looking for me? I\'m Sikander\'s man!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '17', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '18', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '19', 'npc_smuggle_1', 'Can\'t wait to try this bad boy out. Thanks, pal!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '20', 'gotowork_1', 'Where\'s my pain inducer? Sikander said you\'d have it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '21', 'notit_1', 'Hey, that\'s not a pain inducer. You trying to cheat me or something?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '26', 'player_3_1', 'What sort of device is it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '27', 'npc_1_2', 'This should amuse you. It seems our old friend Grell has managed to get himself captured by his former prisoners. It was said they blew the pain inducer\'s battery pack on his thick hide. How I wish I could have seen that. He\'s being taken to Otoh Gunga for further questioning. That would be inconvenient. Can you please bring Grell back to me so I can deal with his failure personally?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '28', 'npc_2_2', 'Good. I hope there will be enough of Grell left to punish. That pain inducer may have fried his brain.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '29', 'npc_3_2', 'I\'m sorry but you said yes, correct?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '30', 'npc_4_2', 'Unfortunately yes, I must glean from the remains of Grell\'s shattered mind how much information he spilled to the Gungans.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '31', 'npc_backtowork_2', 'You seem confused. Was something unclear?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '32', 'npc_reward_2', 'Ah, good. I see Grell can still walk. I\'ll attend to him shortly. Enjoy your reward. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '33', 'npc_work_2', 'Have you found Grell yet? I\'m waiting to test some new interrogation equipment. Hurry!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '34', 'npc_noloc_2', 'One moment. My spies inform me that Grell has been moved. We must locate him. Check back with me about this matter.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '35', 'npc_failure_2', 'Now I shall have to find a new test subject for my latest interrogation device. Where shall I find one? Hmmm.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '36', 'otherescort_2', 'Do you like bantha milk?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '37', 'dontknowyou_2', 'I don\'t know you and you scare me. Go away!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '38', 'npc_breech_2', 'HELP! MY BODY\'S ON FIRE! ARGHHH!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '39', 'npc_takeme_2', 'My name is Grell. I like bantha milk. Mommy.?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '40', 'npc_dropoff_2', 'Make the voices in my head go away. Hurghh.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '41', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '42', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '43', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '48', 'player_3_2', 'Do I have to bring him back alive?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '49', 'npc_1_3', 'Feel like doing a bit of big game hunting? One of my spies has obtained information and documents regarding a Rebel plot to sabotage Theed\'s primary starport. Unfortunately, this agent is convinced that a trained predator has been set on his trail and doesn\'t think he\'ll make it back alive. Will you make sure he does?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '50', 'npc_2_3', 'Good. Now be wary, for these predators sometimes travel in pairs and specialize in ambush tactics. The spy is a Sullustan named Snool Shedoon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '51', 'npc_3_3', 'I\'m not used to hearing that word when I make a request of someone. I don\'t much care for it. You will reconsider, won\'t you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '52', 'npc_4_3', 'I believe the animal is a tusk-cat. They\'re fairly common here on Naboo. But I\'m sure it\'s nothing a killer such as you couldn\'t handle. Does this mean you\'re accepting?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '53', 'npc_backtowork_3', 'You seem to be waiting for enlightenment. There\'s nothing more to tell. Will you accept the mission or not?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '54', 'npc_reward_3', 'Well-handled, agent. Truth be told, I was expecting that ravenous beast to devour both of you. You\'ve surprised me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '55', 'npc_work_3', 'Did you bring my spy back safely? He had some valuable information regarding the Naboo Resistance.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '56', 'npc_noloc_3', 'I\'ve been notified that Snool\'s whereabouts are currently unknown. Once we find him, I\'ll require your services.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '57', 'npc_failure_3', 'I lose more agents this way. And here I thought you were the equal of that tusk-cat. I hate being wrong.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '58', 'otherescort_3', 'I\'m waiting for someone else, sorry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '59', 'dontknowyou_3', 'Can\'t talk to you now, I\'m a bit busy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '60', 'npc_breech_3', 'Over here! Did the High Inquisitor send you? I\'m Snool Shedoon!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '61', 'npc_takeme_3', 'I\'m glad to see you, friend. I hope you don\'t mind me calling you friend? Keep an eye out for that tusk-cat.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '62', 'npc_dropoff_3', 'Many thanks, friend. I hope to work with you again some day.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '63', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '65', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '70', 'player_3_3', 'What kind of predator?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '71', 'npc_1_4', 'My efficient spy network has identified the tusk-cat trainer that set that beast on you and Snool. I want this scum to be made an example of so that other Naboo who might be contemplating similar anti-Imperial activity can see what happens to traitors. Can you take care of this?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '72', 'npc_2_4', 'Good. Be sure to inflict plenty of pain before the end. Nothing impresses passersby like shrieks of agony.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '73', 'npc_3_4', 'I am starting to think that you are not suited to serving the Emperor. Now I just have to determine if it\'s due to cowardice or pure incompetence.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '74', 'npc_4_4', 'Some petty Naboo noble named Steen Morwinn. He fancies himself a rugged outdoorsman. Let\'s test just how rugged he really is.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '75', 'npc_backtowork_4', 'Are you waiting for inspiration or do you intend to get going?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '76', 'npc_reward_4', 'Well done, agent. The Emperor will be pleased to know that he has such effective agents serving him.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '77', 'npc_work_4', 'Is that tusk-cat trainer dead yet? If not, why?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '78', 'npc_noloc_4', 'It seems the traitor was warned I\'d be sending someone to deal with him and has gone into hiding. When we find him, you can deal with him.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '79', 'npc_failure_4', 'When serving the Emperor, failure is not an option. You will have to suffer the consequences. Pity.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '80', 'otherescort_4', 'Don\'t know who you\'re looking for, but it\'s not me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '81', 'dontknowyou_4', 'Sorry, I\'m a bit busy at the moment. Can\'t talk.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '82', 'npc_breech_4', 'Look, boys, I think lunch is on the way!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '92', 'player_3_4', 'Who is this traitor?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '93', 'npc_1_5', 'At last, an opportunity to expose Rebel sympathizers in the palace has opened up. One of Dallows\' agents, Mif Zinner, has been dispatched to deliver a message to an unknown individual in the countryside. I must know the contents of that message and you must bring it to me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '94', 'npc_2_5', 'Hurry. We must not miss this opportunity. Soon I shall uncover the Rebel conspiracy rooted deeply in the Naboo court.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '95', 'npc_3_5', 'I see I\'ve said too much. It is regrettable that you\'ve chosen to refuse this mission. You may go, citizen. All is well. Trust me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '96', 'npc_4_5', 'Queen Kylantha is aware of these individuals and I suspect that she is secretly aiding the Naboo Resistance, but I need proof. This message will provide that.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '97', 'npc_backtowork_5', 'Dallows\' agent is likely to get away if you sit here doing nothing. What are you waiting for?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '98', 'npc_reward_5', 'Well done, my trusted agent. My people will decipher the contents of this datadisc and provide me the proof I need to move against the Queen.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '99', 'npc_work_5', 'Did you acquire that datadisc for me? I need it to wipe the smug smile off the Governor\'s clueless face.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '100', 'npc_noloc_5', 'Dallows\' agent has eluded my spies. But this is a minor setback that shall soon be rectified.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '101', 'npc_failure_5', 'You failed to bring me the evidence I needed to expose the Queen. I shall have to think of a suitable punishment for you. Come back later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '102', 'otherescort_5', 'Can\'t talk to you now. I\'m on duty.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '103', 'dontknowyou_5', 'Can\'t talk to you now. I\'m on duty.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '104', 'npc_breech_5', 'I\'m on important Royal Security business! Do not interfere!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '114', 'player_3_5', 'There are Rebels in the palace?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '115', 'npc_1_6', 'I\'ve learned that a prominent Rebel scientist has arrived on Naboo and is on his way to meet with the Gungans. He\'s been sent to study the Gungans\' blasted energy weapons. We cannot allow this technology to fall into the hands of the Rebellion. Dispose of this scientist.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '116', 'npc_2_6', 'The Rebel is named Alben Kultosi and he\'s likely to have a Gungan escort. You may find it easier to accomplish this mission with the help of some allies. Remember to terrify these traitors before eliminating them.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '117', 'npc_3_6', 'No? You will allow a known traitor to live? One that would create effective weapons against our glorious Empire? I believe I will have you arrested. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '118', 'npc_4_6', 'No doubt the Queen\'s agents smuggled him in. The Empire would benefit from having her removed and I must find a way to do this without incurring the Emperor\'s displeasure.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '119', 'npc_backtowork_6', 'This scientist must not reach Otoh Gunga. Every second you waste is one step closer he gets to his destination.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '120', 'npc_reward_6', 'You have done well, trusted agent. The Empire acknowledges your valuable contribution to its security. You will go far, I think. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '121', 'npc_work_6', 'Is that Rebel scientist dead? I rely upon you to help me keep our Empire safe. Do not disappoint me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '122', 'npc_noloc_6', 'The scientist has been whisked away to a secret location by the Gungans. Once he is found, you will be able to finish your mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '123', 'npc_failure_6', 'The Gungan energy weapon technology will likely fall into the Rebellion\'s hands, no thanks to you. Do not be surprised if you are sent to Dathomir in the near future. And it won\'t be as a tourist.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '124', 'otherescort_6', 'I can\'t talk to you now. I\'m on an important mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '125', 'dontknowyou_6', 'I can\'t talk to you now. I\'m on an important mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '126', 'npc_breech_6', 'That must be Sikander\'s agent! Prepare to attack!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '136', 'player_3_6', 'How did this scientist get to Naboo?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '137', 'npc_reset_2', 'Your failure to complete this assignment will be included in my report to the Emperor. He is not known to be a terribly forgiving sort. I hope for your sake that he overlooks your shortcomings.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '138', 'npc_reset_3', 'Your failure to complete this assignment will be included in my report to the Emperor. He is not known to be a terribly forgiving sort. I hope for your sake that he overlooks your shortcomings.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '139', 'npc_reset_4', 'Your failure to complete this assignment will be included in my report to the Emperor. He is not known to be a terribly forgiving sort. I hope for your sake that he overlooks your shortcomings.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '140', 'npc_reset_5', 'Your failure to complete this assignment will be included in my report to the Emperor. He is not known to be a terribly forgiving sort. I hope for your sake that he overlooks your shortcomings.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mal_sikander.stf', '141', 'npc_reset_6', 'Your failure to complete this assignment will be included in my report to the Emperor. He is not known to be a terribly forgiving sort. I hope for your sake that he overlooks your shortcomings.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '1', 'next', 'Mesa no have nutten for yousa to be doin. Mesa busy. Come backo later and mebbe mesa have sumthin.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '2', 'cantwork', 'Yousa seem mooie mooie busy. Come backo when yousa have nutten on yousa brain.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '3', 'npc_reset_1', 'Mesa no like whensa yousa not finish mesa maxibig tasks. Come backo whensa yousa can finish da task.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '4', 'notyet', 'Mesa no have nutten for yousa right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '5', 'npc_1_1', 'Heyo. Yousa be needin a task? My be needin someone to hep mesa. Yousa no needin to be smarty. Just needin to tek a gizmo to Naboo maxibig patron. Mesa be payen for de hep. Yousa hep mesa?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '6', 'npc_2_1', 'Good. Mesa no like whensa dosen others tink dey so smarty den usan. Dey stinkowiff! But yousa seem okeyday.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '7', 'npc_3_1', 'Yousa one of dem! Yousa tink yous brain so big. Mesa no like yousa.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '8', 'npc_4_1', 'Yousa needin to go to see Sentellus Gavrel. He be maxibig patron wit mooie mooie moolah. Mesa bosses tink wesa be needin to kiss hisan feet. Make mesa sick!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '9', 'npc_backtowork_1', 'Whatsa more yousa be needin? Yousa reconsider?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '10', 'npc_reward_1', 'Yousa done a berry good job. Here, tek dis medicine. It hep yousa feel bettah.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '11', 'npc_work_1', 'Have yousa tekken da talkie to Naboo smarty patron? Whatsa yousa be waitin for?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '12', 'npc_noloc_1', 'Mesa give yousa da location of da Naboo smarty patron soon. Mesa haven to find hesan first.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '13', 'npc_failure_1', 'Mesa no like yousa! Off wit yousa! Yousa no better dan dosen smarty others. Yousa all stinkowiff!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '14', 'otherescort_1', 'Terribly busy, I\'m afraid. Can\'t talk now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '15', 'dontknowyou_1', 'Terribly busy, I\'m afraid. Can\'t talk now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '16', 'npc_breech_1', 'Can I help you? You seem to be looking for someone!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '17', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '18', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '19', 'npc_smuggle_1', 'Ah, this must be the survey equipment I requested. Excellent! But where is Mullud? Did that lazy good-for-nothing get someone else to do his work again?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '20', 'gotowork_1', 'I was expecting some survey equipment. Was that what you meant to give me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '21', 'notit_1', 'No, I need some survey equipment. This is definitely not what I ordered. Likely that good-for-nothing Mullud messed everything up. You probably couldn\'t understand a word he was trying to say.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '26', 'player_3_1', 'I think you want me to deliver some equipment. To who exactly?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '27', 'npc_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '28', 'npc_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '29', 'npc_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '30', 'npc_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '31', 'npc_backtowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '32', 'npc_reward_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '33', 'npc_work_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '34', 'npc_noloc_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '35', 'npc_failure_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '36', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '37', 'dontknowyou_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '38', 'npc_breech_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '39', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '40', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '41', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '42', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '43', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '48', 'player_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '49', 'npc_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '50', 'npc_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '51', 'npc_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '52', 'npc_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '53', 'npc_backtowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '54', 'npc_reward_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '55', 'npc_work_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '56', 'npc_noloc_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '57', 'npc_failure_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '58', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '59', 'dontknowyou_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '60', 'npc_breech_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '61', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '62', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '63', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '65', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '70', 'player_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '71', 'npc_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '72', 'npc_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '73', 'npc_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '74', 'npc_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '75', 'npc_backtowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '76', 'npc_reward_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '77', 'npc_work_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '78', 'npc_noloc_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '79', 'npc_failure_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '80', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '81', 'dontknowyou_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '82', 'npc_breech_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '92', 'player_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '137', 'npc_reset_2', 'Mesa no like whensa yousa not finish mesa maxibig tasks. Come backo whensa yousa can finish da task.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '138', 'npc_reset_3', 'Mesa no like whensa yousa not finish mesa maxibig tasks. Come backo whensa yousa can finish da task.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '139', 'npc_reset_4', 'Mesa no like whensa yousa not finish mesa maxibig tasks. Come backo whensa yousa can finish da task.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '140', 'npc_reset_5', 'Mesa no like whensa yousa not finish mesa maxibig tasks. Come backo whensa yousa can finish da task.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/mullud_bombo.stf', '141', 'npc_reset_6', 'Mesa no like whensa yousa not finish mesa maxibig tasks. Come backo whensa yousa can finish da task.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '1', 'next', 'There\'s nothing else I need right now. Sorry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '2', 'cantwork', 'Come back after you finish the job.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '3', 'npc_reset_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '4', 'notyet', 'While I appreciate the initiative you\'ve shown by approaching me, I don\'t have anything for you to do at this time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '5', 'npc_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '6', 'npc_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '7', 'npc_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '8', 'npc_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '9', 'npc_backtowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '10', 'npc_reward_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '11', 'npc_work_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '12', 'npc_noloc_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '13', 'npc_failure_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '14', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '15', 'dontknowyou_1', 'I don\'t have time for you right now. Come back later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '16', 'npc_breech_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '17', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '18', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '19', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '20', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '21', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '26', 'player_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '27', 'npc_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '28', 'npc_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '29', 'npc_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '30', 'npc_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '31', 'npc_backtowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '32', 'npc_reward_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '33', 'npc_work_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '34', 'npc_noloc_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '35', 'npc_failure_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '36', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '37', 'dontknowyou_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '38', 'npc_breech_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '39', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '40', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '41', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '42', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '43', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '48', 'player_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '49', 'npc_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '50', 'npc_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '51', 'npc_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '52', 'npc_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '53', 'npc_backtowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '54', 'npc_reward_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '55', 'npc_work_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '56', 'npc_noloc_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '57', 'npc_failure_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '58', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '59', 'dontknowyou_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '60', 'npc_breech_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '61', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '62', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '63', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '65', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '70', 'player_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '71', 'npc_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '72', 'npc_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '73', 'npc_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '74', 'npc_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '75', 'npc_backtowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '76', 'npc_reward_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '77', 'npc_work_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '78', 'npc_noloc_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '79', 'npc_failure_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '80', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '81', 'dontknowyou_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '82', 'npc_breech_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '92', 'player_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '137', 'npc_reset_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '138', 'npc_reset_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '139', 'npc_reset_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '140', 'npc_reset_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/palo.stf', '141', 'npc_reset_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '1', 'next', 'Currently we\'re allocating Resistance resources elsewhere on Naboo. I have no assignments now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '2', 'cantwork', 'I have matters to discuss with you, once you\'re no longer occupied on your current assignment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '3', 'npc_reset_1', 'I understand. We\'re all hard pressed to meet the demands of the fight for freedom.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '4', 'notyet', 'Were you sent here by Captain Dallows in Theed? No? Please see him first. It\'s safest for us to welcome newcomers based on his reference.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '5', 'npc_1_1', 'Welcome. I\'m Pooja Naberrie, a Senator of the Old Republic and leader of the Naboo Resistance against the Empire. We are pressed hard, but we fight hard. We need your help. An Alliance pilot has arrived on Naboo to deliver an urgent message. The Empire downed her ship in the wilderness, but she survived. I ask you to meet her and bring her here safely.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '6', 'npc_2_1', 'Good. When you find her, Gizda Ramani will speak the recognition code \"Sensor Beacon.\" I caution you that Imperial Security is on her trail. May you both return safely.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '7', 'npc_3_1', 'I understand that you may fear the danger, but I hope you\'ll reconsider. We have few agents here, and the pilot\'s position is grave.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '8', 'npc_4_1', 'The pilot is Gizda Ramani, a human from Coruscant. I believe she\'s bringing reports from our infiltrators of Imperial orders of battle for this entire sector. Ramani is an accomplished pilot but only recently joined the Alliance, so we must try not to make her regret it. Will you escort her?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '9', 'npc_backtowork_1', 'There\'s nothing more I can tell you. You\'ll have to get out there and scout out the situation on the ground.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '10', 'npc_reward_1', 'I see that Captain Dallows was wise to send you here. I trust this success marks the beginning of a long relationship.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '11', 'npc_work_1', 'We\'re still waiting for the downed pilot, Gizda Ramani. Please bring her here safely.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '12', 'npc_noloc_1', 'I\'m still waiting for a report on Ramani\'s current coordinates. I should have them shortly, so consult with me again soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '13', 'npc_failure_1', 'I hope Captain Dallows knew what he was doing in sending you here. We need all the help we can get, but it\'s a dangerous posting, and only the strong survive.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '14', 'otherescort_1', 'I\'m not the one you\'re looking for. Especially if you\'re ISB.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '15', 'dontknowyou_1', 'I\'m not the one you\'re looking for. Especially if you\'re ISB.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '16', 'npc_breech_1', 'You there! Code sign \"Sensor Beacon\"!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '17', 'npc_takeme_1', 'This is getting too wild. I\'m having enough trouble fighting off the animals, and now Imperial Security is on my tail!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '18', 'npc_dropoff_1', 'That was great work! I hope it isn\'t like this every day in the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '19', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '20', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '21', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '26', 'player_3_1', 'Who is the pilot?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '27', 'npc_1_2', 'That Alliance pilot you rescued brought important news. None other than Herosk Bal\'far, an aide to Mon Mothma herself, has smuggled himself onto Naboo. He\'s convoking a secret conference here with many local nobles who are quietly sympathetic to the Alliance. It is crucial that Bal\'far arrives here safely. Will you escort him?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '28', 'npc_2_2', 'I knew the Alliance could count on you. Bal\'far is a Bothan, middle-aged and heavy-set. He may have attracted Imperial attention, so keep your weapons ready.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '29', 'npc_3_2', 'This is a desperate time for the Naboo Resistance. I hoped we could count on you. Please see me if you change your mind.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '30', 'npc_4_2', 'You wouldn\'t know Bal\'far unless you studied the early history of the Alliance. But he was one of Bail Organa\'s first supporters among the Bothans, and has helped recruit many SpyNet installations to our cause. If he falls here, it will harm our struggle in this entire sector. Will you escort Bal\'far?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '31', 'npc_backtowork_2', 'There\'s nothing more I can tell you. Please hurry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '32', 'npc_reward_2', 'I appreciate your good work. This conference may prove to be a turning point in the Resistance efforts on Naboo, and we have you to thank.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '33', 'npc_work_2', 'Haven\'t you located Herosk Bal\'far yet? We need him here urgently.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '34', 'npc_noloc_2', 'I\'m expecting Bal\'far to relay his coordinates shortly. Talk to me again soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '35', 'npc_failure_2', 'Without Herosk Bal\'far here, we may have to cancel our meeting. I hope we can salvage the situation.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '36', 'otherescort_2', 'I\'m sorry, you have the wrong Bothan.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '37', 'dontknowyou_2', 'I\'m sorry, you have the wrong Bothan.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '38', 'npc_breech_2', 'I hope you\'re here on Senator Naberrie\'s business.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '39', 'npc_takeme_2', 'Your arrival is the first piece of fortunate news I\'ve had today. I suggest we get to Dee\'ja Peak with all speed.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '40', 'npc_dropoff_2', 'My greatest gratitude to you. I hope our meeting proceeds with somewhat less incident.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '41', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '42', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '43', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '48', 'player_3_2', 'Who is Herosk Bal\'far?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '49', 'npc_1_3', 'We are assembling a conclave of Naboo aristocrats who sympathize with the Resistance. One noble has sent her servant to pick up directions and clearance codes. We have arranged a wilderness rendezvous, away from prying Imperial eyes, and would like you to deliver the datadisc to the servant. Will you go?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '50', 'npc_2_3', 'Very good. You should leave at once. The meeting will start shortly. Imperial Intelligence agents will certainly want this communiqu');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '51', 'npc_3_3', 'I\'m disappointed. This may sound like a simple delivery, but much rides on the noble\'s attendance. Let me know if you change your mind.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '52', 'npc_4_3', 'I fear I must keep the aristocrat\'s identity secret for now. If you fall into the hands of Imperial Security, the less you know, the better. Will you deliver the datadisc?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '53', 'npc_backtowork_3', 'There\'s nothing more I can tell you. Please hurry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '54', 'npc_reward_3', 'I expected good work from you, and I\'m happy that you\'ve lived up to all expectations. We\'ll count on you for future help in tight spots.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '55', 'npc_work_3', 'Have you delivered the datadisc to the noble\'s servant? I\'m counting on you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '56', 'npc_noloc_3', 'I\'m awaiting confirmation that the servant has reached the rendezvous point. Then we\'ll send the disc. Talk with me again soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '57', 'npc_failure_3', 'This is unfortunate. If our sympathizer fails to attend our meeting, the other nobles may become skittish. I hope we can bring her here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '58', 'otherescort_3', 'I\'m not here to meet with you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '59', 'dontknowyou_3', 'I\'m not here to meet with you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '60', 'npc_breech_3', 'Is that the disc for my employer?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '61', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '62', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '63', 'npc_smuggle_3', 'Thank you! I\'ll convey this to Madame Paddu right away.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '64', 'gotowork_3', 'I was expecting a datadisc from Pooja Naberrie. Don\'t you have it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '65', 'notit_3', 'I was expecting a datadisc from Pooja Naberrie. That isn\'t it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '70', 'player_3_3', 'Who is the noble who\'s sending her servant?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '71', 'npc_1_4', 'Our secret conference with sympathetic Naboo nobles is about to begin. Captain Dallows in Theed has sent one of his security officers to Dee\'ja Peak as a guard for the meeting, but the officer ran into an Imperial patrol on the way. Our reports indicate he may have been wounded. Please escort the officer here safely.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '72', 'npc_2_4', 'Good. The RSF officer is named Turon Adala. Use the standard recognition code \"Tibanna gas.\"');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '73', 'npc_3_4', 'Would you really walk away from an Alliance member whose life is in immediate danger? I\'m very disappointed. Talk to me if you change your mind.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '74', 'npc_4_4', 'We have reports that a small squad of stormtroopers tracked the officer using a domesticated tusk-cat. Our officer downed a few of the troopers before he escaped, but the rest are still out there -- as is the cat. Are you up to this escort mission?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '75', 'npc_backtowork_4', 'There\'s nothing more I can tell you. Please hurry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '76', 'npc_reward_4', 'Officer Adala has already thanked you, and I\'ll add my gratitude. Your presence makes me more confident that this meeting with Naboo\'s nobles will succeed.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '77', 'npc_work_4', 'Have you not found Officer Adala yet? The Imperials are undoubtedly closing in on him.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '78', 'npc_noloc_4', 'I\'m expecting the officer to relay his coordinates shortly. Talk to me again soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '79', 'npc_failure_4', 'It\'s always sad news when the Resistance loses a fighter. We can\'t spare any. I hope the meeting will still proceed.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '80', 'otherescort_4', 'I\'m not the one you\'re looking for.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '81', 'dontknowyou_4', 'I\'m not the one you\'re looking for.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '82', 'npc_breech_4', 'Hey you! Tibanna gas! I\'m looking for company!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '83', 'npc_takeme_4', 'That wasn\'t the subtlest code-sign I\'ve ever given, but it worked. Let\'s get to Dee\'ja Peak, because I hurt all over. Watch out for a couple of stormtroopers -- I think they\'re using a tusk-cat to track me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '84', 'npc_dropoff_4', 'I always loved tusk-cats, until now. Thanks for getting me past that one.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '92', 'player_3_4', 'How strong was this Imperial patrol?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '93', 'npc_1_5', 'Trouble. Stormtroopers have arrested Lim Paddu, the local noble whose invitation you delivered a while back. For the moment, they don\'t know who she is -- they think she\'s just a suspicious traveller. But once they take her back to the nearest city, High Inquisitor Mal Sikander will identify her and have her executed. Will you rescue Lim and bring her to the conference safely?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '94', 'npc_2_5', 'I\'m glad that Lim Paddu has such a capable rescuer. I recommend a small strike team to handle her captors. Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '95', 'npc_3_5', 'I implore you to reconsider. Lim Paddu\'s life hangs in the balance. If you change your mind, talk to me again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '96', 'npc_4_5', 'Lim Paddu has quietly supported our Resistance since the beginning, first with funds, later by persuading other aristocrats to our cause. She has a gift for cutting through ideological bickering with practical advice. She told one noble, \"If you support the Emperor, fine, but you own land on a dozen worlds -- what if he blows them up too?\" Will you rescue Lim from certain execution?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '97', 'npc_backtowork_5', 'There\'s nothing more I can tell you. Please hurry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '98', 'npc_reward_5', 'You\'ve brought Lim Paddu! This is excellent news. Our meeting is underway, and her comments will inject an element of practicality that is sorely needed among the aristocracy. Thank you!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '99', 'npc_work_5', 'Have you not rescued Lim Paddu? Much rides on your success. Please hurry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '100', 'npc_noloc_5', 'I\'m awaiting new intelligence on Lim Paddu\'s exact coordinates. Contact me again soon, when I\'ll know more.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '101', 'npc_failure_5', 'You didn\'t rescue Lim Paddu? This is bad luck for the Naboo Resistance. We must look for support elsewhere among the aristocracy. Well, thank you for your efforts.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '102', 'otherescort_5', 'You have the wrong person.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '103', 'dontknowyou_5', 'Sorry, you have the wrong person.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '104', 'npc_breech_5', 'Hello! Are you the one Senator Naberrie sent?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '105', 'npc_takeme_5', 'Good thing I memorized the directions and didn\'t have Pooja\'s datadisc on me, or the Empire would know all about this secret meeting. I hope you can get me there quickly.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '106', 'npc_dropoff_5', 'Ah, looks like you got me to the meeting in time for me to contribute a few choice observations. Thanks very much for saving my life!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '114', 'player_3_5', 'Who is Lim Paddu, and why is she important?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '115', 'npc_1_6', 'We have a crisis. One of the conference participants brought a servant, a man named Melloc Fitzal. It turns out Fitzal was a covert agent for Imperial Security. We screened all transmission devices before the conference, but Fitzal got out undetected and has met an escort of storm commandos in the wilderness. If he gets back to the city alive, the entire Resistance on Naboo will be finished. Assemble a strike team and stop him!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '116', 'npc_2_6', 'I wish you the best of luck. If you\'re facing as many storm commandos as reports indicate, you\'ll want to assemble your largest strike team. Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '117', 'npc_3_6', 'I implore you to reconsider. The Naboo Resistance is depending on you. Please talk to me again if you change your mind.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '118', 'npc_4_6', 'I have only sketchy information about the escort accompanying Fitzal. I\'m told it could be as many as four or five storm commandos, which means you\'ll need an experienced strike team. Will you destroy the spy and his escort?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '119', 'npc_backtowork_6', 'I have no more to tell you, except to wish you luck. Destroy Fitzal before he reaches a city.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '120', 'npc_reward_6', 'Thanks to you, the conference ended safely and the parties have left. I offer you my profoundest thanks. One noble left you this token of appreciation for your heroism.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '121', 'npc_work_6', 'Have you not destroyed that spy? We\'re counting on you, and time is running out!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '122', 'npc_noloc_6', 'I have every field agent scouting the countryside, tracking Fitzal\'s movements. I expect a report of his coordinates shortly. Talk to me again soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '123', 'npc_failure_6', 'You didn\'t stop the spy? That\'s very bad. We\'ll try to activate covert agents within the ISB. It\'s a major sacrifice, but we must resort to desperate measures.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '124', 'otherescort_6', 'Imperial business. Move along.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '125', 'dontknowyou_6', 'Imperial business. Move along.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '126', 'npc_breech_6', 'The Rebels are onto us! Attack!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '136', 'player_3_6', 'How strong a force is escorting the spy?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '137', 'npc_reset_2', 'I understand. We\'re all hard pressed to meet the demands of the fight for freedom.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '138', 'npc_reset_3', 'I understand. We\'re all hard pressed to meet the demands of the fight for freedom.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '139', 'npc_reset_4', 'I understand. We\'re all hard pressed to meet the demands of the fight for freedom.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '140', 'npc_reset_5', 'I understand. We\'re all hard pressed to meet the demands of the fight for freedom.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/pooja_naberrie.stf', '141', 'npc_reset_6', 'I understand. We\'re all hard pressed to meet the demands of the fight for freedom.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '1', 'next', 'I\'m glad to say that no new crises have erupted, so we don\'t need help right now. I hope you\'ve talked to the Queen in the palace gazebo.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '2', 'cantwork', 'Hello. I wanted to talk to you about a certain matter, but I see you\'re busy. See me later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '3', 'npc_reset_1', 'Very well. I hope you\'ll return when you\'re ready.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '4', 'notyet', 'I have too much on my plate to deal with you right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '5', 'npc_1_1', 'Hello. I\'m Porro Dolphe, the Queen\'s pilot. We have a minor problem with a very minor felon. I\'m almost embarrassed to mention such an idiotic problem. A Gungan vandal has defaced one of the Queen\'s space yachts. He coated its crest with what appears to be blarth drool. A probe droid witnessed the act. Can you arrest this dunce?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '6', 'npc_2_1', 'I copy that. Get the Gungan, and watch out in case he has any friends.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '7', 'npc_3_1', 'Right, I don\'t blame you. This isn\'t the kind of job that brings honor for a soldier.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '8', 'npc_4_1', 'The Gungans occasionally protest human incursions into their sacred places. Seems to me using drool for the protest makes for confused symbolism, but who understands Gungans? Now, about the job --');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '9', 'npc_backtowork_1', 'That\'s all I can tell you now. I hope you\'ll report results soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '10', 'npc_reward_1', 'Thanks. Here\'s a small reward for your trouble. If you want me to keep your role in this matter quiet, I understand perfectly.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '11', 'npc_work_1', 'I see you\'re still at work. I hope you\'ll report results soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '12', 'npc_noloc_1', 'I copy that. Now, the Gungan is located at -- hmm -- I don\'t seem to have his coordinates right now. Check with me later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '13', 'npc_failure_1', 'You didn\'t get the Gungan vandal? Well, that\'s pretty -- well -- tell you what, I won\'t tell anyone. Goodbye.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '14', 'otherescort_1', 'Mesa not spek wit yousa, sorry. Mesa busy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '15', 'dontknowyou_1', 'Mesa not spek wit yousa, sorry. Mesa busy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '16', 'npc_breech_1', 'Aoo! Issa cops!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '17', 'npc_takeme_1', 'Awaoo! Yousa got me. My goin\' long quietly. (Stupid queenie.)');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '18', 'npc_dropoff_1', 'Mesa goin\' up de swamp-stream for longo time, mesa thinkin\'.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '19', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '20', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '21', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '26', 'player_3_1', 'Why would the Gungan deface the Queen\'s yacht?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '27', 'npc_1_2', 'Nice to see you again. I\'m offering you a job much more important, and more dignified, than that last task you did for me. Someone has stolen a vital supply of liquid metal fuel intended for our advanced starfighters. Tracking beacons show the location of the fuel. Arrest the thief and bring him, her, or it here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '28', 'npc_2_2', 'Copy that. Whoever stole that fuel must have had help, so watch out for accomplices. At least this time they won\'t be Gungans, I hope.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '29', 'npc_3_2', 'All right, it was worth a try. We\'ll find someone else, thanks.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '30', 'npc_4_2', 'According to our probe droid images, we think the thief is one Wandila Tatmount, a Corellian smuggler. We\'re withholding definite identification pending her apprehension. Are you interested in the job?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '31', 'npc_backtowork_2', 'That\'s all I can tell you now. I hope you\'ll report results soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '32', 'npc_reward_2', 'Thanks. Now it falls to me to persuade this smuggler to look at brighter career options. Wish me luck!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '33', 'npc_work_2', 'I see you\'re still at work. I hope you\'ll report results soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '34', 'npc_noloc_2', 'I copy that. Now, Tatmount is located at -- hmm -- I don\'t seem to have her coordinates right now. Check with me later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '35', 'npc_failure_2', 'Couldn\'t find Tatmount? Well, those smugglers are slippery. We\'ll keep trying.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '36', 'otherescort_2', 'I\'ve got nothing to say to you. I\'m just seeing the sights.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '37', 'dontknowyou_2', 'I\'ve got nothing to say to you. I\'m just seeing the sights.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '38', 'npc_breech_2', 'It\'s the RSF! Fire!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '39', 'npc_takeme_2', 'I don\'t know anything about any fuel. I\'m just seeing the sights. I\'ll go quietly, but wait \'til I get a lawyer!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '40', 'npc_dropoff_2', 'Well, I said I was seeing the sights, and that was a lot to see. You watch -- I\'ll be out of here in no time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '41', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '42', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '43', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '48', 'player_3_2', 'Who is the thief?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '49', 'npc_1_3', 'Hello again. You remember that smuggler you apprehended, Wandila Tatmount? She\'s caused more trouble, and I need your help. One of Tatmount\'s fellow Corellian smugglers, Hurn Moeda, got left behind in the wilderness after you caught his boss. We intercepted his distress call. Rescue him and bring him here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '50', 'npc_2_3', 'Copy that. I\'ll arrange a nice prison cell for this smuggler. I hope Tatmount appreciates the trouble you\'re taking to rescue her friend.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '51', 'npc_3_3', 'All right. I must admit I\'m disappointed, after your earlier help.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '52', 'npc_4_3', 'His transmission was choppy, but it seems he\'s run into some of our colorful native wildlife. That\'s one thing about these smugglers -- many of them are city types. So, can you work this rescue mission?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '53', 'npc_backtowork_3', 'That\'s all I can tell you now. I hope you\'ll report results soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '54', 'npc_reward_3', 'Thanks again. I expect Moeda\'s boss, Wandila Tatmount, will see from this that we can be trusted. What? Why do I want a smuggler to trust me? Oh -- never mind, just rambling. Check back if you want more work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '55', 'npc_work_3', 'I see you\'re still at work. I hope you\'ll report results soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '56', 'npc_noloc_3', 'I copy that. Now, Moeda is located at -- hmm -- I don\'t seem to have his coordinates right now. Check with me later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '57', 'npc_failure_3', 'Couldn\'t bring in Moeda? All right, we\'ll keep looking. Check back later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '58', 'otherescort_3', 'Are you the one --? No. I think you\'ve got the wrong guy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '59', 'dontknowyou_3', 'Are you the one --? No. I think you\'ve got the wrong guy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '60', 'npc_breech_3', 'Help me! I\'m Hurn Moeda!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '61', 'npc_takeme_3', 'What evil place is this planet? Just let me get back safe to friendly old Corellia!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '62', 'npc_dropoff_3', 'Okay! As soon as I\'m out of custody, I\'m heading to the nearest starport and off this crazy world!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '63', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '65', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '70', 'player_3_3', 'Why did Hurn Moeda make a distress call?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '71', 'npc_1_4', 'Hello again. A delicate matter has arisen. I need help -- discreet help. One of our pilots went out into the wilderness, in plainclothes, to retrieve fuel supplies left by the smuggler you arrested, Wandila Tatmount. The pilot hasn\'t reported back, and isn\'t responding to hails. Find out what\'s going on. If he\'s in trouble, bring him back safely.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '72', 'npc_2_4', 'Right. The pilot is Girrin Ancero. If he happens to mention anything odd, he\'s probably out of his head with delirium, and can safely be ignored. Bring him back safely, assuming he needs help.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '73', 'npc_3_4', 'All right. I hope you\'ll keep a polite silence on this matter, at least until we\'ve rescued the pilot.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '74', 'npc_4_4', 'I don\'t -- I really couldn\'t say why Ancero was out of uniform. Maybe he meant to go sightseeing, after he retrieved -- Well, anyway! What about the mission? Interested?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '75', 'npc_backtowork_4', 'That\'s all I can tell you now. I hope you\'ll report results soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '76', 'npc_reward_4', 'Look at this poor man! He needs medical help at once! Ignore his crazed ravings. Here\'s your reward. We can work together again, I hope -- assuming you recognize the importance of discretion.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '77', 'npc_work_4', 'I see you\'re still at work. I hope you\'ll report results soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '78', 'npc_noloc_4', 'I copy that. Now, Ancero is located at -- hmm -- I don\'t seem to have his coordinates right now. Check with me later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '79', 'npc_failure_4', 'Couldn\'t bring in Ancero? All right, we\'ll keep looking. Check back later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '80', 'otherescort_4', 'Are you, uh --? No, no, you\'re not. Never mind. I\'m waiting for someone else, thanks.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '81', 'dontknowyou_4', 'Are you, uh --? No, no, you\'re not. Never mind. I\'m waiting for someone else, thanks.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '82', 'npc_breech_4', 'Get me away from these vigilante settlers! They think I\'m a smuggler!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '83', 'npc_takeme_4', 'Thanks. I sent Tatmount\'s fuel off to the Alliance. We\'ve got to -- wait. Are you, uh --? Argh, the delirium! It\'s eating my brain! I don\'t know what weird stuff I\'m saying!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '84', 'npc_dropoff_4', 'At last my brain is clearing. Lieutenant, those fumes made me rave about the craziest things -- Rebels and whatnot. Fortunately, I think my rescuer recognizes senseless delirium.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '92', 'player_3_4', 'Why was the pilot out of uniform?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '93', 'npc_1_5', 'Welcome back. I\'ve got another sensitive matter that I\'d prefer to handle outside the usual RSF channels. A corrupt COMPNOR agent, Bardent Lourge, has been shaking down rural settlements for extortion money. I want to avoid overt conflict with the Empire. Could you politely but firmly bring Lourge here?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '94', 'npc_2_5', 'Copy that. While you get Lourge, I\'ll arrange for his quiet processing on this end. Watch out for mercenaries he hires as muscle. Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '95', 'npc_3_5', 'Sorry to hear that, after all you\'ve done for us. But I recognize that it\'s a politically sensitive matter.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '96', 'npc_4_5', 'We\'ve gained permission from COMPNOR itself to treat this as a civilian criminal case. They don\'t want publicity abaout Lourge\'s crimes, any more than we do. I\'ll have Lourge taken to the palace police for civilian trial. That is, if you\'ll apprehend him --?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '97', 'npc_backtowork_5', 'That\'s all I can tell you now. I hope you\'ll report results soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '98', 'npc_reward_5', 'I\'m glad you weren\'t squeamish about bringing in an Imperial official. If you\'re up for other delicate matters of that kind, check back with me soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '99', 'npc_work_5', 'I see you\'re still at work. I hope you\'ll report results soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '100', 'npc_noloc_5', 'I copy that. Now, Lourge is located at -- hmm -- I don\'t seem to have his coordinates right now. Check with me later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '101', 'npc_failure_5', 'Didn\'t feel up to arresting an Imperial officer? I don\'t blame you. We\'ll have to find a delicate solution to this problem.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '102', 'otherescort_5', 'I am on Imperial business. Remove yourself from the vicinity at once.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '103', 'dontknowyou_5', 'I am on Imperial business. Remove yourself from the vicinity at once.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '104', 'npc_breech_5', 'I\'m Bardent Lourge. What business do you have with me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '105', 'npc_takeme_5', 'You dare to arrest me, even as I investigate Rebel smuggling? What effrontery! I shall go quietly, but this insult will incur the Empire\'s harshest justice.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '106', 'npc_dropoff_5', 'I say again, this insult will not stand. You will all incur the Empire\'s wrath!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '114', 'player_3_5', 'What do you plan to do with the COMPNOR agent?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '115', 'npc_1_6', 'I\'ve learned of another problem with delicate political overtones. You recall arresting the smuggler Wandila Tatmount? We released her for reasons that must remain classified. Now she\'s facing trouble from four or five former members of her gang. Please put together a strike team to rescue her and bring her here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '116', 'npc_2_6', 'Good. I expect you\'ll need a small strike team to take out Tatmount\'s former gang members. They\'re skilled marksmen. Be careful.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '117', 'npc_3_6', 'All right, I understand. At this point maybe it\'s best that you practice your skills elsewhere.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '118', 'npc_4_6', 'It turns out Wandila Tatmount has become a \"procurement specialist\" for the Rebel Alliance. Now, I\'m not looking for a political argument. I just need her brought here safely, and I need you to trust me that you\'re doing the right thing. Will you do it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '119', 'npc_backtowork_6', 'That\'s all I can tell you now. I hope you\'ll report results soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '120', 'npc_reward_6', 'Excellent work. I think you\'ve shown a willingness to undertake delicate missions. Her Majesty may wish to reward you. I suggest you meet her in the palace gazebo. I\'m sending the coordinates to your datapad. Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '121', 'npc_work_6', 'I see you\'re still at work. I hope you\'ll report results soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '122', 'npc_noloc_6', 'I copy that. Now, Tatmount is located at -- hmm -- I don\'t seem to have her coordinates right now. Check with me later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '123', 'npc_failure_6', 'You didn\'t get Tatmount? Well, all right. We\'ll try sending out a larger team for our next attempt.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '124', 'otherescort_6', 'I think you\'re looking for someone else.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '125', 'dontknowyou_6', 'I think you\'re looking for someone else.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '126', 'npc_breech_6', 'Hey, Rebel guy! Over here!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '127', 'npc_takeme_6', 'You took your sweet time showing up! I hope you Alliance people are more punctual about payment than about rescues.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '128', 'npc_dropoff_6', 'All right, time to get off this world and past a few Imperial blockades. That\'s when I really feel alive.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '136', 'player_3_6', 'What are the \"delicate political overtones\" you mentioned?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '137', 'npc_reset_2', 'Very well. I hope you\'ll return when you\'re ready.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '138', 'npc_reset_4', 'Very well. I hope you\'ll return when you\'re ready.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '139', 'npc_reset_3', 'Very well. I hope you\'ll return when you\'re ready.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '140', 'npc_reset_5', 'Very well. I hope you\'ll return when you\'re ready.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/porro_dolphe.stf', '141', 'npc_reset_6', 'Very well. I hope you\'ll return when you\'re ready.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '1', 'next', 'Why do you return? We have nothing else for you. Away, please, we are occupied!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '2', 'cantwork', 'What do you seek here? We shall not even talk to you while you are busy doing other work. Away, please!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '3', 'npc_reset_1', 'As you wish. Please return when you feel ready to undertake our task.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '4', 'notyet', 'One does not approach the Queen directly. You must first talk with our handmaiden, Liane.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '5', 'npc_1_1', 'Oh dear! We face a crisis in the court. You, please! On a recent trip to the countryside, we misplaced our special ceremonial makeup. We must have our cosmetics, so as to wear the \"scar of remembrance\" on our lower lip. Will you bring the kit to us?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '6', 'npc_2_1', 'Very well. Bring the makeup case to us here. Quickly, please!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '7', 'npc_3_1', 'Off with you, then. Please.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '8', 'npc_4_1', 'It is a reminder of the mass suffering on Naboo before the Time of Peace. Now we suffer as our people once did, lacking our cosmetics! Oh, do go pick them up for us, will you, please?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '9', 'npc_backtowork_1', 'Why are you still here? Have you not heard our command? Go, please!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '10', 'npc_reward_1', 'Splendid! We may proceed with our duties. Accept this small token of our thanks. You may also make yourself available for further service to the court.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '11', 'npc_work_1', 'Why are you back? Have you not heard our command? Go, please!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '12', 'npc_noloc_1', 'Now, where was the camp where we misplaced that kit? Ah, we have forgotten. Return later, and we shall certainly have recalled by then.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '13', 'npc_failure_1', 'You have not brought our makeup kit? Oh, catastrophe! Can no one fulfill this simple request?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '14', 'otherescort_1', 'Are you the Queen\'s emissary? No, you don\'t look like it. I cannot talk with you now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '15', 'dontknowyou_1', 'Are you the Queen\'s emissary? No, you don\'t look like it. I cannot talk with you now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '16', 'npc_breech_1', 'Are you the Queen\'s emissary? Over here!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '17', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '18', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '19', 'npc_smuggle_1', 'At last! I was unavoidably detained when the local wildlife went berserk, for no reason that I can see. Perhaps you will have the courage to carry this makeup kit to the Queen.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '20', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '21', 'notit_1', 'This is not our makeup kit! Oh, bother. Can no one fulfill this simple request?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '26', 'player_3_1', 'What is the \"scar of remembrance\"?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '27', 'npc_1_2', 'Oh, bother. Our majordomo has been inexcusably lax. You! Perhaps you will render another service to our throne, please? Our majordomo failed to reply to that lovely Imperial officer\'s kind invitation to a sightseeing outing in the wilderness. We command you to deliver our polite refusal wheresoever the officer may currently be.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '28', 'npc_2_2', 'Very well. The message goes to Imperial Army General Liles Dorond. Quickly, please!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '29', 'npc_3_2', 'Off with you, then. Please.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '30', 'npc_4_2', 'We do believe General Dorond has already commenced his sightseeing expedition. If so, you will find him in the wilderness. Do not keep us waiting for your decision, please.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '31', 'npc_backtowork_2', 'Why are you still here? Have you not heard our command? Go, please!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '32', 'npc_reward_2', 'We are relieved to see proper protocol effected. It would not do to anger an Imperial general, would it? Please take this token of our thanks. You may also make yourself available for further service to the court.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '33', 'npc_work_2', 'Why are you back? Have you not heard our command? Go, please!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '34', 'npc_noloc_2', 'Very well. Now, where did we put that message --? Oh dear, it seems to be misplaced. Consult with us again soon, when all will be well.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '35', 'npc_failure_2', 'You did not deliver our message? Oh, calamity! Can no one fulfill this simple request?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '36', 'otherescort_2', 'Leave me, or I\'ll have you arrested.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '37', 'dontknowyou_2', 'Leave me, or I\'ll have you arrested.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '38', 'npc_breech_2', 'Are you the Queen\'s emissary? Over here, at once!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '39', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '40', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '41', 'npc_smuggle_2', 'The Queen wouldn\'t attend, eh? A remarkably sensible decision by our vacuous monarch. The wildlife here has seemingly gone berserk.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '42', 'gotowork_2', 'Why are you bothering me? If you have no message from the Queen, then go!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '43', 'notit_2', 'Why are you bothering me with nonsense? If you have a message from the Queen, give it to me. Otherwise, go!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '48', 'player_3_2', 'Where is the Imperial officer?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '49', 'npc_1_3', 'Oh dear! Wherever is Tedric, our champion guarlara trainer? Ah, you again. Perhaps we may count on you for a further service? We shall miss the procession in honor of the Emperor if our Tedric is not present to groom our champion steed, Roistering Spirit. Of course no one else is permitted to touch the Queen\'s mighty guarlara. Will you fetch this feckless servant, please?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '50', 'npc_2_3', 'Very well. Bring Tedric to us here. Quickly, please!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '51', 'npc_3_3', 'Off with you, then. Please.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '52', 'npc_4_3', 'He has gone into the wilderness to collect nara berries, which he claims provide additional vim for his champion guarlaras. Our staff received his last known coordinates. Would you please seek him there?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '53', 'npc_backtowork_3', 'Why are you still here? Have you not heard our command? Go, please!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '54', 'npc_reward_3', 'To your work, Tedric! Roistering Spirit awaits your ministrations. As for you, friend of the court, please accept this token of our great gratitude. You may go now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '55', 'npc_work_3', 'Why are you back? Have you not heard our command? Go, please!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '56', 'npc_noloc_3', 'Very well. Now, wherever did Tedric say he would go? We cannot recall just now. Return to us later, and all will be well.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '57', 'npc_failure_3', 'You did not bring us Tedric? Oh, what a nuisance! Can no one fulfill this simple request?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '58', 'otherescort_3', 'Were you sent by the Queen? Sorry, I think there\'s been a mistake. Be careful around here -- there are tusk-cats about.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '59', 'dontknowyou_3', 'Were you sent by the Queen? Sorry, I think there\'s been a mistake. Be careful around here -- there are tusk-cats about.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '60', 'npc_breech_3', 'Did the Queen send you? I\'d like to leave, now!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '61', 'npc_takeme_3', 'The Queen sent you? What welcome news! I fear that local tusk-cats have smelled the scent of guarlara on me, and now believe me to be prey. Look carefully as we go back!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '62', 'npc_dropoff_3', 'Thank you, friend. My Queen, I stand ready to groom your steed to a high gloss. These nara berries will give him abundant vigor.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '63', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '65', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '70', 'player_3_3', 'Where is Tedric?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '71', 'npc_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '72', 'npc_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '73', 'npc_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '74', 'npc_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '75', 'npc_backtowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '76', 'npc_reward_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '77', 'npc_work_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '78', 'npc_noloc_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '79', 'npc_failure_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '80', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '81', 'dontknowyou_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '82', 'npc_breech_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '92', 'player_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '137', 'npc_reset_2', 'As you wish. Please return when you feel ready to undertake our task.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '138', 'npc_reset_3', 'As you wish. Please return when you feel ready to undertake our task.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '139', 'npc_reset_4', 'As you wish. Please return when you feel ready to undertake our task.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '140', 'npc_reset_5', 'As you wish. Please return when you feel ready to undertake our task.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '141', 'npc_reset_6', 'As you wish. Please return when you feel ready to undertake our task.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/queen_kylantha.stf', '142', 'default', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/radanthus_mandelatara.stf', '1', 'notyet', 'I\'m sorry, I\'m a bit distracted.   I\'m trying to remember something...');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '1', 'next', 'Mesa gotten no work for yousa.  Check backo wit mesa later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '2', 'cantwork', 'Yousa goin\' to come backo when yousa job is done, okeyday?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '3', 'npc_reset_1', 'Okeyday. Yousa comen back when yousa mooie-mooie tough.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '4', 'notyet', 'Mesa sorry. No haven time for yousa right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '5', 'npc_1_1', 'Yousa be mooie-mooie lucky, outlaunder, to be seein\' da Sacred Place of mesa peoples. Yousa needen credits? Mesa be haven work for yous if\'n yousa wanten. Rep be keepin\' da histories. Needen yousa ta go and gettin\' da maxibig important record of da histories.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '6', 'npc_2_1', 'Good. Yousa be findin\' Boona Tanje. Shesa be havin\' de record of dat meetin\'. Yousa be bringin\' to me for da archives.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '7', 'npc_3_1', 'Yousan be wastin\' mesa time. Begone wit yousa.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '8', 'npc_4_1', 'Maxi longtime ago Boss Nass met wit de Naboo biggen, Queen Amidala, when she be askin\' de Gungans for hep. Disa be record of dat meetin\'. Yousa goin\' n\' gettin\'?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '9', 'npc_backtowork_1', 'Yousa goin\' n gettin\' de history now?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '10', 'npc_reward_1', 'Mesa plenty glad yousa hepin\' da Gungans.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '11', 'npc_work_1', 'My givin\' yousa maxibig important task. Yousa hurry up and bringin\' de holo.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '12', 'npc_noloc_1', 'My not knowin\' where Boonja Tanje be right now. Yousa come backo and see mesa later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '13', 'npc_failure_1', 'Mesa berry berry sad yousa no gettin\' de record.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '14', 'otherescort_1', 'Mesa not bein\' who yousa be needin\' to find.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '15', 'dontknowyou_1', 'Mesa bein\' mooie-mooie busy. Off wit yousa.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '16', 'npc_breech_1', 'Yousa comen from Rep Been?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '17', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '18', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '19', 'npc_smuggle_1', 'Dis maxibig important. Yousa bein\' careful wit it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '20', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '21', 'notit_1', 'Mesa no wanten dat. Yousa be findin\' de holo mesa be wanten.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '26', 'player_3_1', 'What is this historical record?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '27', 'npc_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '28', 'npc_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '29', 'npc_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '30', 'npc_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '31', 'npc_backtowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '32', 'npc_reward_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '33', 'npc_work_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '34', 'npc_noloc_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '35', 'npc_failure_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '36', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '37', 'dontknowyou_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '38', 'npc_breech_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '39', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '40', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '41', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '42', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '43', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '48', 'player_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '49', 'npc_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '50', 'npc_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '51', 'npc_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '52', 'npc_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '53', 'npc_backtowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '54', 'npc_reward_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '55', 'npc_work_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '56', 'npc_noloc_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '57', 'npc_failure_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '58', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '59', 'dontknowyou_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '60', 'npc_breech_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '61', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '62', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '63', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '65', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '70', 'player_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '71', 'npc_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '72', 'npc_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '73', 'npc_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '74', 'npc_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '75', 'npc_backtowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '76', 'npc_reward_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '77', 'npc_work_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '78', 'npc_noloc_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '79', 'npc_failure_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '80', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '81', 'dontknowyou_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '82', 'npc_breech_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '92', 'player_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '137', 'npc_reset_2', 'Okeyday. Yousa comen back when yousa mooie-mooie tough.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '138', 'npc_reset_3', 'Okeyday. Yousa comen back when yousa mooie-mooie tough.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '139', 'npc_reset_4', 'Okeyday. Yousa comen back when yousa mooie-mooie tough.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '140', 'npc_reset_5', 'Okeyday. Yousa comen back when yousa mooie-mooie tough.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rep_been.stf', '141', 'npc_reset_6', 'Okeyday. Yousa comen back when yousa mooie-mooie tough.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '1', 'next', 'Nice to see you again, but I don\'t need your help right now. Have you made it to Dee\'ja Peak to talk to Pooja Naberrie? I hope so.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '2', 'cantwork', 'Hello. I\'ll want to talk to you when you\'re less busy. Good luck on your current assignment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '3', 'npc_reset_1', 'All right, I understand. When you\'re ready to work with us, I hope you\'ll return.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '4', 'notyet', 'This palace operates by the chain of command. If you\'re looking for work, talk to Lieutenant Porro Dolphe. If no one else sent you to see me, then I have nothing to offer you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '5', 'npc_1_1', 'I see you bear Her Majesty\'s token, a sign of rare trust. I\'ll be brief: Some on Naboo are working secretly to restore the Republic. Maybe you know that High Inquisitor Mal Sikander doesn\'t like Naboo\'s governor, Ian Lago. Sikander plans to undermine Lago by uncovering purported \"unrest\" on Naboo. He\'s sent an agent provocateur to wipe out a group of Lago\'s supporters. We want you to stop the agent.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '6', 'npc_2_1', 'All right. The agent is a bounty hunter named Argo Murr. He\'s headed this way from his landing point in the wilderness. Move fast to stop him, and be careful -- he\'s dangerous.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '7', 'npc_3_1', 'With the Queen\'s trust in you, I expected better. Well, that\'s all for now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '8', 'npc_4_1', 'Here on Naboo we\'ve never liked murder. But if you want cold pragmatism, look at it this way: If the Empire thinks the Alliance is a real danger here, they\'ll crack down on us even harder. Now, is that enough of a reason for you to stop these pointless deaths?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '9', 'npc_backtowork_1', 'You should get to work now. A lot is riding on you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '10', 'npc_reward_1', 'That was good work. Her Majesty was wise to trust you. There\'s more work to be done, too, so check back with me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '11', 'npc_work_1', 'You should be at work. A lot is riding on you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '12', 'npc_noloc_1', 'All right. The bounty hunter is heading here from -- hmm -- I don\'t seem to have his coordinates yet. Check with me later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '13', 'npc_failure_1', 'You couldn\'t stop the bounty hunter? Well, no shame in that -- he was a tough customer.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '14', 'otherescort_1', 'I don\'t know you. Clear out, or you\'ll be in trouble.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '15', 'dontknowyou_1', 'I don\'t know you. Clear out, or you\'ll be in trouble.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '16', 'npc_breech_1', 'You want me to \"go along quietly\"? I don\'t think so.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '17', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '18', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '19', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '20', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '21', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '26', 'player_3_1', 'Why should you care if Lago\'s allies are killed? That helps you, doesn\'t it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '27', 'npc_1_2', 'I\'m glad you\'re still interested in helping us. I have an urgent mission that calls for a very capable agent. RSF intelligence has discovered that the Empire is stockpiling nerve agents as crowd control weapons. They\'re responding to Mal Sikander\'s reports of supposed \"unrest.\" There\'s enough gas there to wipe out all of Theed. I need you to destroy the warehouse.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '28', 'npc_2_2', 'All right, I expect this will be tough, so put together a good team. Report back here when you\'ve completed the mission. Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '29', 'npc_3_2', 'With the fate of a city in the balance, I can\'t believe you\'d walk away from this one. I hope you\'ll reconsider soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '30', 'npc_4_2', 'Good question. Imperial nerve agents are stored as inert components that don\'t become toxic until they\'re combined. You can blow the warehouse sky-high without fear of gassing the countryside. Will you take the mission?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '31', 'npc_backtowork_2', 'You should get to work now. A lot is riding on you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '32', 'npc_reward_2', 'Great job! I have more work for you when you want it. For now, take this reward and have a well-earned rest.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '33', 'npc_work_2', 'You should be at work. A lot is riding on you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '34', 'npc_noloc_2', 'All right. The nerve agent warehouse is located at -- hmm -- I don\'t seem to have its coordinates. Check with me later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '35', 'npc_failure_2', 'You didn\'t take out the warehouse? Well, it was heavily guarded. We\'ll just have to field a larger team in our next attack.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '36', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '37', 'dontknowyou_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '38', 'npc_breech_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '39', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '40', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '41', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '42', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '43', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '48', 'player_3_2', 'Why do you want a warehouse full of nerve gas blown up? Isn\'t that unsafe?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '49', 'npc_1_3', 'I\'m glad you checked in. We have a sudden crisis, and we need a top team to handle it. Mal Sikander has falsely accused an RSF officer of leading the assault on the Imperial nerve agent warehouse. He\'s sent a strike team of stormtroopers to kill the officer, who has fled to the wilderness. Bring back the officer so we can keep him safely hidden beneath the palace.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '50', 'npc_2_3', 'Good. I expect you\'re facing four or five troopers, and probably a squad leader. So get some help, and some heavy firepower. Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '51', 'npc_3_3', 'Blast. I don\'t know what we\'ll do now. Poor Meiro -- he doesn\'t deserve what will happen to him. Let me know if you reconsider.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '52', 'npc_4_3', 'His name is Meiro Wellightner -- one of my lieutenants, maybe a bit too outspoken against the Empire. In the RSF you can sometimes survive that, but Mal Sikander has decided to make an example of Meiro. Will you rescue him?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '53', 'npc_backtowork_3', 'You should get to work now. A lot is riding on you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '54', 'npc_reward_3', 'That was remarkable. I\'ll mention your good work to some people I know. Meanwhile, take this reward, and check back when you want another assignment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '55', 'npc_work_3', 'You should be at work. A lot is riding on you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '56', 'npc_noloc_3', 'All right. Wellightner is being held at -- hmm -- I don\'t seem to have his coordinates. Check with me soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '57', 'npc_failure_3', 'You couldn\'t free Wellightner? That was my fault -- I hadn\'t realized he was so heavily guarded. We\'ll use a bigger team in our next assault.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '58', 'otherescort_3', 'I really, really can\'t talk to you right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '59', 'dontknowyou_3', 'I really, really can\'t talk to you right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '60', 'npc_breech_3', 'Watch out for the stormtroopers! Take out the leader first!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '61', 'npc_takeme_3', 'Am I glad to see you! Those goons were ready to kill me. I should never have made fun of the Emperor\'s nose in the mess-hall.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '62', 'npc_dropoff_3', 'That was quite an adventure. It\'s like that every day around here. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '63', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '65', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '70', 'player_3_3', 'Who is the officer?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '71', 'npc_1_4', 'Alliance leaders on Naboo have noted your good work, and they\'re asking your help in a major new plan. We\'ve planted evidence to make Mal Sikander think that his rival, Governor Ian Lago, secretly ordered the destruction of that nerve gas warehouse. Sikander\'s storm commandos have retrieved our planted evidence and are taking it to him. If you destroy the commandos, we\'ll make it look like Lago was responsible. Will you do it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '72', 'npc_2_4', 'I knew you\'d do it! Now listen: There are four storm commandos, all heavily armed. Put together a large strike team. Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '73', 'npc_3_4', 'Well, I can hardly blame you. This is a high-risk mission. I hope we can find someone else up to the danger.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '74', 'npc_4_4', 'Sikander and Lago will be at each other\'s throats, and they\'ll give that much less attention to the Alliance. Couldn\'t happen to two nicer fellows. Now, what do you say?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '75', 'npc_backtowork_4', 'You should get to work now. A lot is riding on you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '76', 'npc_reward_4', 'Phenomenal work! I think the Alliance can use you higher up -- literally. I\'d like you to talk to Pooja Naberrie, a former senator, at Dee\'ja Peak. Here\'s a ticket to get there. May the Force be with you!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '77', 'npc_work_4', 'You should be at work. A lot is riding on you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '78', 'npc_noloc_4', 'All right. The storm commandos are located at -- hmm -- I don\'t seem to have their coordinates. Check with me later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '79', 'npc_failure_4', 'Well, I\'m not surprised you couldn\'t defeat a team of storm commandos. We\'ll try a larger team in our next assault.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '80', 'otherescort_4', 'Imperial business. Move along.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '81', 'dontknowyou_4', 'Imperial business. Move along.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '82', 'npc_breech_4', 'A Rebel! Attack!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '92', 'player_3_4', 'What do you gain by making Sikander think that Lago destroyed the storm commandos?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '137', 'npc_reset_2', 'All right, I understand. When you\'re ready to work with us, I hope you\'ll return.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '138', 'npc_reset_4', 'All right, I understand. When you\'re ready to work with us, I hope you\'ll return.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '139', 'npc_reset_3', 'All right, I understand. When you\'re ready to work with us, I hope you\'ll return.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '140', 'npc_reset_5', 'All right, I understand. When you\'re ready to work with us, I hope you\'ll return.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rhys_dallows.stf', '141', 'npc_reset_6', 'All right, I understand. When you\'re ready to work with us, I hope you\'ll return.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '1', 'next', 'We have those pirates on the run for now, but they always seem to come back. I may need your help again one day.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '2', 'cantwork', 'I don\'t want to distract you from your current mission. Please see me once it\'s finished.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '3', 'npc_reset_1', 'If you can\'t handle this right now, I completely understand. Try me again after you pick up some training.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '4', 'notyet', 'I\'m late for something.  Can I talk to you later?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '5', 'npc_1_1', 'I\'m Captain Ric Olie. I used to be the Queen\'s pilot long ago, but now I track pirate activity. Are you looking for work? I\'m a little short-handed at present. I know it\'s not terribly glamorous, but I need somebody to pick up some reports I\'ve been expecting. How about it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '6', 'npc_2_1', 'Good. Go and meet Jamel Luffa, a pilot friend of mine, and he\'ll give you what I need. Oh, and watch yourself -- my last courier vanished.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '7', 'npc_3_1', 'I\'m sorry you\'re not interested. I could really use the help.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '8', 'npc_4_1', 'These are reports of pirate activity across Naboo. I suspect the Corporate Sector Authority is involved in this piracy, and I\'m hoping these reports will give me some leads. Will you get them?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '9', 'npc_backtowork_1', 'Um -- were you going to get those reports for me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '10', 'npc_reward_1', 'Someone tried to stop you, did they? I must be getting closer than I realized. Good work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '11', 'npc_work_1', 'I\'m still waiting on those reports. Haven\'t you picked them up yet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '12', 'npc_noloc_1', 'I\'ll have to delay this pickup for a short time while I attend to another matter. Come see me again in a little while.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '13', 'npc_failure_1', 'You couldn\'t bring those reports to me? Maybe I can arrange to get another copy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '14', 'otherescort_1', 'I\'m waiting for someone else. I hope you find who you\'re looking for.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '15', 'dontknowyou_1', 'Sorry, friend, I\'m waiting for somebody else.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '16', 'npc_breech_1', 'Did the Captain send you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '17', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '18', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '19', 'npc_smuggle_1', 'Take this report and hurry back. I think somebody is following me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '20', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '21', 'notit_1', 'Are you sure you meant to give me this? I was expecting the pirate activity reports.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '26', 'player_3_1', 'What sort of reports?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '27', 'npc_1_2', 'I appreciate your help with that last bit of business. I\'m actually still short-handed if you have time for more work. How about bringing me a pirate lackey? I want you to arrest a certain lowlife and bring him back to face the Queen\'s justice. Will you do it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '28', 'npc_2_2', 'If I had a few more like you, I could work wonders. His name is Jutsor Delin. Bring him back alive; maybe I can get some useful information out of him.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '29', 'npc_3_2', 'I guess you\'re not the confrontational type. I\'ll find someone else to handle this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '30', 'npc_4_2', 'This sleemo has been posing as a mining guild representative and then selling the information to his pirate cohorts. Will you bring him in?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '31', 'npc_backtowork_2', 'So were you going to do this job or did you change your mind.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '32', 'npc_reward_2', 'I\'m impressed with your work. See me again later. I\'m sure I can find something else for you to do.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '33', 'npc_work_2', 'You haven\'t arrested him yet? I wish you\'d hurry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '34', 'npc_noloc_2', 'As soon as we locate him I\'ll send you after him. See me in a while, and by then I\'ll know where he is.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '35', 'npc_failure_2', 'I guess I still need to find somebody to bring this lowlife to justice.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '36', 'otherescort_2', 'I don\'t know who you\'re looking for, but it isn\'t me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '37', 'dontknowyou_2', 'I don\'t believe we have business to conduct.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '38', 'npc_breech_2', 'Are you looking at me? What are you looking at me for? I hope you\'re not looking at me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '39', 'npc_takeme_2', 'I\'m sure this is all a simple misunderstanding, but I\'ll go along quietly.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '40', 'npc_dropoff_2', 'This is ridiculous. I\'m an honest guild representative.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '41', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '42', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '43', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '48', 'player_3_2', 'What has he done?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '49', 'npc_1_3', 'I\'m really glad to see you -- I\'m in a bind. You remember my friend Jamel? Some pirates are after him, and I need someone to save him. Will you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '50', 'npc_2_3', 'You\'re a lifesaver -- at least I hope you are. Please find him quickly. The longer it takes, the more likely something terrible will happen.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '51', 'npc_3_3', 'If you think you\'ll fail this mission, that\'s probably a wise decision. Now if you\'ll excuse me, I need to find someone who can save my friend.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '52', 'npc_4_3', 'Obviously the pirates have caught on that he\'s working for me. He\'s in grave danger. Please help him.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '53', 'npc_backtowork_3', 'Are you going to save Jamel?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '54', 'npc_reward_3', 'Thank you for saving Jamel. I knew you wouldn\'t fail me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '55', 'npc_work_3', 'Haven\'t you found Jamel yet? Hurry!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '56', 'npc_noloc_3', 'Jamel will contact us when he has a safe place to hide. See me soon and we should know where he is.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '57', 'npc_failure_3', 'You weren\'t able to rescue him? Poor Jamel.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '58', 'otherescort_3', 'I\'m sorry, but I\'m not the one you\'re looking for.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '59', 'dontknowyou_3', 'Don\'t worry about me. I\'m just waiting for somebody.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '60', 'npc_breech_3', 'Hey! Over here!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '61', 'npc_takeme_3', 'Am I ever glad to see you again. Thanks for the rescue.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '62', 'npc_dropoff_3', 'Thanks again. You\'re a lifesaver.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '63', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '65', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '70', 'player_3_3', 'Why are pirates trying to kill him?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '71', 'npc_1_4', 'I\'m glad you\'re here! An emergency has come up, and you\'re one of the few I can count on. Those twisted pirates have hired some maniac to blow up the starport. If we don\'t stop him, thousands of people will die. Please help me save them.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '72', 'npc_2_4', 'My informants tell me it was a Rodian named Deelio Doln who took this assignment. Stop him. Do whatever you have to. He\'s extremely dangerous, so please be careful.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '73', 'npc_3_4', 'No? You won\'t help prevent the loss of thousands of lives? I must have greatly misjudged you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '74', 'npc_4_4', 'They want to cripple Naboo\'s starfighter corps and kill many of the officials who don\'t play along with them. Please stop this madness.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '75', 'npc_backtowork_4', 'Are you going to stop that Rodian? Go!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '76', 'npc_reward_4', 'You\'ve done the people on Naboo a great service and saved a lot of lives. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '77', 'npc_work_4', 'Have you stopped him yet? Lives are at stake!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '78', 'npc_noloc_4', 'I need a few minutes to make preparations on my end. Check back soon and we\'ll get started.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '79', 'npc_failure_4', 'Oh, no. I hope the Royal Security Force can stop that fiend before it\'s too late.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '80', 'otherescort_4', 'I\'m not waiting for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '81', 'dontknowyou_4', 'I don\'t know you, and I don\'t need to know you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '82', 'npc_breech_4', 'Let\'s kill him. We can blow up the starport later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '92', 'player_3_4', 'Why would pirates blow up a starport? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '137', 'npc_reset_2', 'If you can\'t handle this right now, I completely understand. Try me again after you pick up some training.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '138', 'npc_reset_3', 'If you can\'t handle this right now, I completely understand. Try me again after you pick up some training.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '139', 'npc_reset_4', 'If you can\'t handle this right now, I completely understand. Try me again after you pick up some training.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '140', 'npc_reset_5', 'If you can\'t handle this right now, I completely understand. Try me again after you pick up some training.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/ric_olie.stf', '141', 'npc_reset_6', 'If you can\'t handle this right now, I completely understand. Try me again after you pick up some training.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '1', 'next', 'Welcome again to our hotel. Please go right in.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '2', 'cantwork', 'Welcome. I\'m afraid you\'ve arrived at a rather distracting time. You see -- ah, but I see you\'re busy. Perhaps you might return later --?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '3', 'npc_reset_1', 'I perfectly understand. But do please check back with me -- er, if you are willing --?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '4', 'notyet', 'Too busy.  Can\'t talk.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '5', 'npc_1_1', 'Oh my. I\'m sorry, you\'ve arrived at a distracting time. Actually, perhaps you might help. It appears our offworld tour group from Duzay has gone astray from their scheduled nature walk. They\'ve left behind their signal finder to guide them back here. The wilderness is dangerous. Please deliver the signal finder to the group leader.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '6', 'npc_2_1', 'Ah, splendid. I shall remain here. Please report back after you\'ve delivered the signal finder to the guide.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '7', 'npc_3_1', 'Ah. Very well. Please enjoy your visit. By all means look around the hotel; it\'s quite attractive.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '8', 'npc_4_1', 'The Lake Retreat Hotel offers elegant rooms, superb conference facilities, and the most attentive service for its guests. Which leads me back to the subject of this job -- yes or no?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '9', 'npc_backtowork_1', 'I really have nothing more I can tell you. Please hurry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '10', 'npc_reward_1', 'Fine, fine. I\'m relieved to report the Duzay tour guide has reunited the group. Please check back with me for other odd jobs -- er, if you feel so inclined --?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '11', 'npc_work_1', 'Welcome back. Except, er -- I think you still have a small task to perform for me --?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '12', 'npc_noloc_1', 'As I reflect on the matter, I cannot recall where I left the signal finder. I must find it. Please consult with me later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '13', 'npc_failure_1', 'Oh, dear. I hope the tour group will be all right. We lose so many tour groups nowadays.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '14', 'otherescort_1', 'My don\'t know yousa, sorry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '15', 'dontknowyou_1', 'My don\'t know yousa, sorry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '16', 'npc_breech_1', 'Heydo! Yousa bringin\' mesa signal finder?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '17', 'npc_takeme_1', 'Ooh, tanks! Mesa so sorry my left dis behind. Wesa had getting\' lost into capper spineflap territory. Desa bugs, deysa bombad!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '18', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '19', 'npc_smuggle_1', 'Tanks!  Meesa can find mee own way now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '20', 'gotowork_1', 'Ello! My needin\' dat signal finder bombad. Mebbe yousa bringin\' it soon, mesa hopen.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '21', 'notit_1', 'Ooh, tanks -- but wait, mesa sorry. Disa not mesa signal finder.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '26', 'player_3_1', 'What is this hotel?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '27', 'npc_1_2', 'Ah, welcome. Again you\'ve arrived at a confused time. A tourist from the Duzay group is lost. He went looking for Naboo herbs, because he\'s an herbalist. Please bring him back here -- er, if you will --?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '28', 'npc_2_2', 'Excellent.  I shall wait here for your return.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '29', 'npc_3_2', 'Oh, that\'s too bad.  I hope nothing happens to him.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '30', 'npc_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '31', 'npc_backtowork_2', 'Please hurry.  I\'m desperately worried about our friend.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '32', 'npc_reward_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '33', 'npc_work_2', 'Did you bring back our intrepid herbalist?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '34', 'npc_noloc_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '35', 'npc_failure_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '36', 'otherescort_2', 'Sorry, I\'m waiting for someone...');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '37', 'dontknowyou_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '38', 'npc_breech_2', 'Ah.  Are you from the Hotel?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '39', 'npc_takeme_2', 'Lead on, and I shall follow.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '40', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '41', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '43', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '48', 'player_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '49', 'npc_1_3', 'Oh, dear, it\'s been a never-ending series of calamities today. Just before you got here, we sent out another adventurer to look for the lost tour group. Please go and find him.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '50', 'npc_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '51', 'npc_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '52', 'npc_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '53', 'npc_backtowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '54', 'npc_reward_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '55', 'npc_work_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '56', 'npc_noloc_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '57', 'npc_failure_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '58', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '59', 'dontknowyou_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '60', 'npc_breech_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '61', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '62', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '63', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '65', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '70', 'player_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '71', 'npc_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '72', 'npc_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '73', 'npc_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '74', 'npc_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '75', 'npc_backtowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '76', 'npc_reward_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '77', 'npc_work_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '78', 'npc_noloc_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '79', 'npc_failure_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '80', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '81', 'dontknowyou_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '82', 'npc_breech_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '92', 'player_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '137', 'npc_reset_2', 'I perfectly understand. But do please check back with me -- er, if you are willing --?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '138', 'npc_reset_3', 'I perfectly understand. But do please check back with me -- er, if you are willing --?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '139', 'npc_reset_4', 'I perfectly understand. But do please check back with me -- er, if you are willing --?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '140', 'npc_reset_5', 'I perfectly understand. But do please check back with me -- er, if you are willing --?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/rovim_minnoni.stf', '141', 'npc_reset_6', 'I perfectly understand. But do please check back with me -- er, if you are willing --?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '1', 'next', 'I\'m preparing a revised mind control technique that I expect will be much more effective. If you know of likely subjects, send them my way.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '2', 'cantwork', 'It wasn\'t my fault! I was only -- What? You\'re not with the ISB? Oh. Well, please check with me when you\'re not busy if you want a job.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '3', 'npc_reset_1', 'Oh, very well. I expect those test subjects can wait a while longer. These are trifling matters, as I said.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '4', 'notyet', 'I can\'t talk now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '5', 'npc_1_1', 'It wasn\'t my fault! The technique is still poorly under-- What? You\'re not the ISB? Oh good! I need your help with a, ah, minor emergency. I\'m a scientist researching mind control for the Empire. It didn\'t quite work. A number of test subjects think they\'re the Emperor. It\'s hard to explain. One has gone into the wilderness to scout locations for his new Emperor\'s Retreat. Will you please go out and rescue him?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '6', 'npc_2_1', 'Good, good! Bring me the Devaronian B\'Dayne Wallamoll. He\'s actually a chef, I think, and not the Emperor at all.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '7', 'npc_3_1', 'Given the trifling nature of the task, I would have thought you\'d show common courtesy. Well, I shall find someone else.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '8', 'npc_4_1', 'Evidently the subject plans to use the Retreat to raise pets to give to small children. As we all know, our beloved Emperor loves children and pets. Well, will you carry out this minor task?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '9', 'npc_backtowork_1', 'I\'ve told you everything you need to know. Please head out now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '10', 'npc_reward_1', 'Ah, good. I knew it would be a mere trifle of a project. My othe subjects need equally trivial rescues, so please do check back with me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '11', 'npc_work_1', 'This is a trifling matter, so I expect to hear of your success shortly.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '12', 'npc_noloc_1', 'Good, good! Bring me the Devaronian B\'Dayne Wallamoll at these coordinates -- umm -- oh. Well, I seem to have lost track of him. No matter, a mere trifle! I\'ll have the coordinates soon. Look in again!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '13', 'npc_failure_1', 'Was this minor chore beyond your abilities? Dear me, I hope I can find someone more capable next time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '14', 'otherescort_1', 'Begone! I am the Emperor, and I brook no interference from underlings!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '15', 'dontknowyou_1', 'Begone! I am the Emperor, and I brook no interference from underlings!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '16', 'npc_breech_1', 'Welcome, my young apprentice! All is proceeding exactly as I planned!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '17', 'npc_takeme_1', 'Here I shall construct my new Retreat, where I shall raise small cute gnorts to give to children across Naboo! Hahaha!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '18', 'npc_dropoff_1', 'Soon all children across the galaxy will have gnorts! Everything is proceeding as I have foreseen! Hahahaha!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '19', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '20', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '21', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '26', 'player_3_1', 'What is this lunatic planning to do at his \"Retreat\"?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '27', 'npc_1_2', 'Ah, you! I have another trifling matter involving a test subject who seems to have reacted unpredictably to my mind control experiment. This one, too, believes he\'s the Emperor.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '28', 'npc_2_2', 'Fine! Bring me the Sullustan Gnool Noob. He\'s an artisan, so when he claims to be the Emperor, don\'t you believe him!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '29', 'npc_3_2', 'It seems to me that letting this poor subject die out there in the wilderness shows a certain lack of respect for our beloved Emperor.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '30', 'npc_4_2', 'He\'s travelling to an imaginary Imperial installation to command his subjects to rebuild Alderaan, which as we all know was tragically destroyed by Rebel treachery. I hope you\'ll undertake this trivial rescue?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '31', 'npc_backtowork_2', 'I\'ve told you everything you need to know. Please head out now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '32', 'npc_reward_2', 'Ah, I knew this would present no problem to one of your ability -- or to anyone, actually. I\'ll get Gnool into reconditioning therapy promptly. Thank you, here\'s a little something for your time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '33', 'npc_work_2', 'This is a trifling matter, so I expect to hear of your success shortly.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '34', 'npc_noloc_2', 'Good, good! Bring me the Sullustan Gnool Noob at these coordinates -- umm -- oh. Well, I seem to have lost track of him. No matter, a mere trifle! I\'ll have the coordinates soon. Look in again!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '35', 'npc_failure_2', 'Was this minor chore beyond your abilities? Dear me, I hope I can find someone more capable next time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '36', 'otherescort_2', 'Away with you! I am the Emperor, and all must quail before me!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '37', 'dontknowyou_2', 'Away with you! I am the Emperor, and all must quail before me!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '38', 'npc_breech_2', 'To me, my young apprentice! Hahaha!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '39', 'npc_takeme_2', 'Of course I, the Emperor, have foreseen your arrival! You may escort me to our foreseen destination, my foreseen apprentice!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '40', 'npc_dropoff_2', 'Soon -- soon -- the very galaxy itself will celebrate the return of Alderaan! All will love me! Hahahahaha!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '41', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '42', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '43', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '48', 'player_3_2', 'What is this particular \"Emperor\" doing?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '49', 'npc_1_3', 'Apparently a local troublemaker has decided to humiliate the Empire by apprehending the third test subject and hauling him to the Rebellion. This would reveal the mind-control experiments. High Inquisitor Mal Sikander decrees that this cannot happen. Stop the young troublemaker and rescue the test subject.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '50', 'npc_2_3', 'Good! Bring me the Ithorian droid engineer Noolawaw Laoo. I think everyone is aware that our beloved Emperor is not an Ithorian, so you needn\'t fear confusion if you happen to run into the actual Emperor.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '51', 'npc_3_3', 'It seems to me that letting this poor subject die out there in the wilderness shows a certain lack of respect for our beloved Emperor.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '52', 'npc_4_3', 'I\'m told it\'s a down-at-heels Theed youth named Dinni Dusko. He\'s apparently the typical angry young man eager to lash out at anyone in authority. I expect that once my mind-control efforts succeed, we can avoid such aggravation in the future. Well, what is your choice?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '53', 'npc_backtowork_3', 'I\'ve told you everything you need to know. Please head out now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '54', 'npc_reward_3', 'Splendid! I knew this insignificant matter would present no major obstacles. I give you this reward with the clear understanding that you\'ll tell no one of my experiments. Hmmm?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '55', 'npc_work_3', 'This is a trifling matter, so I expect to hear of your success shortly.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '56', 'npc_noloc_3', 'Good, good! Bring me the Ithorian Noolawaw Laoo at these coordinates -- umm -- oh. Well, I seem to have lost track of him. No matter, a mere trifle! I\'ll have the coordinates soon. Look in again!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '57', 'npc_failure_3', 'Was this minor chore beyond your abilities? Dear me, I hope I can find someone more capable next time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '58', 'otherescort_3', 'Off with you, fool! Do you not know your own Emperor? I command you, away!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '59', 'dontknowyou_3', 'Off with you, fool! Do you not know your own Emperor? I command you, away!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '60', 'npc_breech_3', 'Welcome, young apprentice! I have been expecting you!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '61', 'npc_takeme_3', 'Bow before me, servant! Then bow some more! I\'m the Emperor, I deserve bowing! Now, take me to my destination! Hahahahaha!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '62', 'npc_dropoff_3', 'Your work here is finished, my servant. Go to your home and await further orders. Hahahahahahaha!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '63', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '65', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '70', 'player_3_3', 'Who is the young local troublemaker?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '71', 'npc_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '72', 'npc_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '73', 'npc_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '74', 'npc_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '75', 'npc_backtowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '76', 'npc_reward_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '77', 'npc_work_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '78', 'npc_noloc_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '79', 'npc_failure_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '80', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '81', 'dontknowyou_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '82', 'npc_breech_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '92', 'player_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '137', 'npc_reset_2', 'Oh, very well. I expect those test subjects can wait a while longer. These are trifling matters, as I said.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '138', 'npc_reset_3', 'Oh, very well. I expect those test subjects can wait a while longer. These are trifling matters, as I said.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '139', 'npc_reset_4', 'Oh, very well. I expect those test subjects can wait a while longer. These are trifling matters, as I said.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '140', 'npc_reset_5', 'Oh, very well. I expect those test subjects can wait a while longer. These are trifling matters, as I said.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/solcar_dienbel.stf', '141', 'npc_reset_6', 'Oh, very well. I expect those test subjects can wait a while longer. These are trifling matters, as I said.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '1', 'next', 'You\'ve been a great help. I may have further need of you later, so don\'t be a stranger.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '2', 'cantwork', 'If you wish to assist me, you must first finish any other tasks you have.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '3', 'npc_reset_1', 'I\'m sorry if this was too much for you. You can work for me when you\'re a bit more seasoned.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '4', 'notyet', 'Sorry, I\'m sort of busy at the moment and don\'t really have anything to say.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '5', 'npc_1_1', 'A good day to you. Are you enjoying our fair city? If you\'re looking to make a few credits, I believe I can oblige you. Leb Slesher is an official who really knows how to enjoy himself. I want to help him have a good time; in fact, I know a lady he\'d really like. I was hoping you\'d escort her into town so I can arrange an introduction. Will you do it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '6', 'npc_2_1', 'Great. Her name\'s Shandara. She\'s really terrific. Bring her here and I\'ll see to the rest.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '7', 'npc_3_1', 'Not interested, hmm? You\'re either wealthy or you keep your expenses low.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '8', 'npc_4_1', 'Well, Slesher must be important -- after all, so many important people come to see him. With all his carousing, he must have trouble getting any work done. My friend might help him keep track of his work. Anyway, are you interested in this escort job?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '9', 'npc_backtowork_1', 'So, are you going to go get Shandara?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '10', 'npc_reward_1', 'Excellent. Now I just need to arrange a chance meeting.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '11', 'npc_work_1', 'Where is Shandara? Haven\'t you picked her up yet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '12', 'npc_noloc_1', 'Unfortunately, just now you\'re a little early to meet Shandara. Perhaps you could come back in a while, and we can arrange the meeting then.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '13', 'npc_failure_1', 'You didn\'t bring Shandara? It seemed like such a simple task.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '14', 'otherescort_1', 'It\'s just not your lucky day, is it? I\'m actually waiting for somebody else.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '15', 'dontknowyou_1', 'Sorry, friend. I don\'t have time to chat.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '16', 'npc_breech_1', 'Are you looking for me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '17', 'npc_takeme_1', 'You\'re here to bring me to Kadaara, I hope. Watch yourself -- the animals around here have been skittish lately.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '18', 'npc_dropoff_1', 'I\'m glad I had you along to bring me in safely. Otherwise that trip would have been bloody. Thanks very much.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '19', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '20', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '21', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '26', 'player_3_1', 'Why do you care if this Slesher has a good time?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '27', 'npc_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '28', 'npc_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '29', 'npc_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '30', 'npc_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '31', 'npc_backtowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '32', 'npc_reward_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '33', 'npc_work_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '34', 'npc_noloc_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '35', 'npc_failure_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '36', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '37', 'dontknowyou_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '38', 'npc_breech_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '39', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '40', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '41', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '42', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '43', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '48', 'player_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '49', 'npc_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '50', 'npc_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '51', 'npc_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '52', 'npc_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '53', 'npc_backtowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '54', 'npc_reward_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '55', 'npc_work_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '56', 'npc_noloc_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '57', 'npc_failure_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '58', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '59', 'dontknowyou_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '60', 'npc_breech_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '61', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '62', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '63', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '65', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '70', 'player_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '71', 'npc_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '72', 'npc_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '73', 'npc_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '74', 'npc_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '75', 'npc_backtowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '76', 'npc_reward_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '77', 'npc_work_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '78', 'npc_noloc_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '79', 'npc_failure_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '80', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '81', 'dontknowyou_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '82', 'npc_breech_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '92', 'player_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '137', 'npc_reset_2', 'I\'m sorry if this was too much for you. You can work for me when you\'re a bit more seasoned.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '138', 'npc_reset_3', 'I\'m sorry if this was too much for you. You can work for me when you\'re a bit more seasoned.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '139', 'npc_reset_4', 'I\'m sorry if this was too much for you. You can work for me when you\'re a bit more seasoned.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '140', 'npc_reset_5', 'I\'m sorry if this was too much for you. You can work for me when you\'re a bit more seasoned.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/tamvar_senzen.stf', '141', 'npc_reset_6', 'I\'m sorry if this was too much for you. You can work for me when you\'re a bit more seasoned.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '1', 'next', 'You\'ve served me quite well, thank you. But I\'m afraid I have no further need of your services at the moment. Check back with me later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '2', 'cantwork', 'I\'m a very particular patron and require your full attention. Come back when you\'re not preoccupied.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '3', 'npc_reset_1', 'I thought I\'d made the right choice by employing you. Perhaps I misjudged. Come back when you feel you can finish the tasks I give you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '4', 'notyet', 'I\'m a bit busy right now...');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '5', 'npc_1_1', 'I hope this day finds you well, citizen. Have you perchance heard of a ridiculous piece of Rebel propaganda that is making the rounds here on Naboo? It\'s a holo recording that purports to show the destruction of Alderaan by the brave and noble servants of our Imperial military. Can you imagine a more preposterous piece of claptrap? I\'ve managed to locate a copy of this filth and wish to have it analyzed by experts to prove this work a forgery, of course. Could you pick it up for me? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '6', 'npc_2_1', 'That\'s awfully kind of you. And this kindness will be richly rewarded, I assure you. Try not to spend too much time talking with the unsavory individual who\'ll give you the holo recording. I\'d hate to stain your doubtless sterling reputation.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '7', 'npc_3_1', 'Well, I realize simple courier work is not terribly prestigious, but I thought I\'d start with something simple before entrusting you with more perilous work. Ah well.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '8', 'npc_4_1', 'That\'s simply ridiculous. Why would the Empire want to destroy a \"peaceful\" planet? Does that make sense to you? The only reason the Imperial military would deem it necessary to do such a thing would be if the planet were not peaceful and if it posed a serious threat to the security of the Empire and her people. A child could understand that logic, don\'t you agree?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '9', 'npc_backtowork_1', 'I believe this is the part where you go and get the holo recording. Or was there something else you needed?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '10', 'npc_reward_1', 'Well done, citizen, well done. Now I\'ll be able to expose this Rebel propaganda for the deceitful piece of trash it is.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '11', 'npc_work_1', 'Have you got my holo recording? I\'m most eager to get my people working on that.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '12', 'npc_noloc_1', 'Half a moment, citizen, my \"source\" has just informed me that the copy is not quite ready. When it is, I\'ll be sure to let you know.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '13', 'npc_failure_1', 'I hope you\'ll forgive my impertinence but how can you fail to bring back a holo recording? I understand that there was some trouble on the way back, but was it truly severe enough to prevent a simple delivery? Strange.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '14', 'otherescort_1', 'I\'m busy. Buzz off!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '15', 'dontknowyou_1', 'I\'m busy. Buzz off!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '16', 'npc_breech_1', 'Hey, buddy! You looking for a certain holo? Did Gormengal send you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '17', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '18', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '19', 'npc_smuggle_1', 'Here you go. And, uh, don\'t mention to anyone you saw me, okay?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '20', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '21', 'notit_1', 'Wait, that\'s not the holo recording I was expecting. I certainly hope you\'re not trying to cheat me. Kindly get me what I asked for.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '26', 'player_3_1', 'Isn\'t it common knowledge that the Death Star blew up Alderaan?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '27', 'npc_1_2', 'In an effort to better understand this holo recording, I\'ve secured the services of one of the finest holo experts on Naboo. However, this individual is currently finishing up an assignment - something to do with a nature show, I believe. He needs an escort back to town. Could you provide that for him?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '28', 'npc_2_2', 'Most excellent. His name is Belson Dool, and he\'s a Sullustan. I hear they make excellent technicians so I know I\'m getting my money\'s worth.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '29', 'npc_3_2', 'Hmm, it seems you have a certain reluctance to complete these tasks. If this work is not prestigious enough for you, I certainly encourage you to look for employment elsewhere.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '30', 'npc_4_2', 'The wilds of Naboo can be quite perilous. I\'m surprised you don\'t know that. The poor man is likely to get gobbled up by a narglatch or a veermok. Then who would help me with this holo recording?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '31', 'npc_backtowork_2', 'I believe I\'ve told you everything you need to know. Do you wish to help me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '32', 'npc_reward_2', 'Most effective, citizen. I must say I\'m quite pleased with your results. Feel free to seek future employment with me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '33', 'npc_work_2', 'Have you brought my holo expert back from the wilds? The Empire\'s reputation is at stake.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '34', 'npc_noloc_2', 'As soon as I receive Belson\'s coordinates, I shall hand them over to you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '35', 'npc_failure_2', 'Oh dear, where else shall I find an experienced data slicer? Did I say \"data slicer?\" How strange, I meant holo expert, of course. Silly me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '36', 'otherescort_2', 'Can\'t talk now, buddy. I gotta lay low.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '37', 'dontknowyou_2', 'Can\'t talk now, buddy. I gotta lay low.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '38', 'npc_breech_2', 'Hey! Psst! You looking for a data slicer, uh, I mean a holo expert?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '39', 'npc_takeme_2', 'I\'m glad you showed up, buddy. We gotta get outta here. Those gangsters will be here any moment. Gormengal didn\'t mention gangster? It\'s a long story. Former employer. Deal went bad. Anyway, let\'s go.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '40', 'npc_dropoff_2', 'You\'re handy to have around in a fight, especially if you\'re a coward like me. Oh, and call me Blinkers. All my friends do. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '41', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '42', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '43', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '48', 'player_3_2', 'Why does he need an escort back to town?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '49', 'npc_1_3', 'You\'ll be pleased to know, citizen, that I\'ve made a copy of this holo recording and none other than the High Inquisitor Mal Sikander himself has requested it. Can you imagine, someone like me coming to the attention of such an illustrious servant of the Empire? I don\'t want to keep the High Inquisitor waiting so could you please deliver this copy to his agent as quickly as possible?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '50', 'npc_2_3', 'I knew you\'d understand the urgency of this matter. The courier\'s name is Aern Wylup and he knows to expect you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '51', 'npc_3_3', 'I don\'t understand how you could fail to see the importance of this matter, citizen. Well, I suppose I shall have to find someone else to help me. Good day.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '52', 'npc_4_3', 'Well I would imagine it\'s to do exactly what I\'m doing and to verify that this foul propaganda is a Rebel forgery. I hope together we can discover the culprits and make them pay for their heinous crimes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '53', 'npc_backtowork_3', 'High Inquisitor Sikander\'s agent is waiting, citizen. Is there a problem?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '54', 'npc_reward_3', 'Well done. I\'m sure we\'ve impressed the right people. And you won\'t get far in this galaxy without doing that, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '55', 'npc_work_3', 'Have you delivered the copy of that holo recording to High Inquisitor Sikander\'s agent yet? We shouldn\'t keep someone as important as that waiting.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '56', 'npc_noloc_3', 'I\'ll give you the courier\'s coordinates as soon as they are transmitted to me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '57', 'npc_failure_3', 'You didn\'t deliver the recording? What will the High Inquisitor think of me? Good gracious, I must contact him immediately and offer my deepest apologies. How could this have happened?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '58', 'otherescort_3', 'I\'m expecting someone, but it\'s not you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '59', 'dontknowyou_3', 'I\'m expecting someone, but it\'s not you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '60', 'npc_breech_3', 'Over here! Did Lord Gormengal send you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '61', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '62', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '63', 'npc_smuggle_3', 'I\'ll get this to the High Inquisitor right away. By the way, have you viewed this holo recording? Are you sure? We may call upon you later for further help in this investigation.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '64', 'gotowork_3', 'I believe you were supposed to deliver a holo recording. Where is it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '65', 'notit_3', 'This is not the holo recording Lord Gormengal promised us. Please find that recording and bring it to me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '70', 'player_3_3', 'Why does Mal Sikander want a copy of this holo recording?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '71', 'npc_1_4', 'A new development, citizen! The High Inquisitor has shared the findings of his investigation with me, and as it turns out, the holo expert I hired is really a vicious Rebel terrorist responsible for the deaths of hundreds of innocent Imperial citizens. Isn\'t that ghastly? To think that I was taken in by this scoundrel\'s charm! I\'ve been given the important task of removing this menace, but being a Naboo and therefore a pacifist, I must rely upon others to shoulder this gruesome responsibility. Can you help me fix this once and for all?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '72', 'npc_2_4', 'I knew I could rely upon you, my friend. You are a stalwart guardian of the Empire! A true champion in a time of great need! Make sure this data slicer is forever silenced. I mean, neutralized.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '73', 'npc_3_4', 'The High Inquisitor thought you might refuse, citizen. I\'m afraid I have no choice but to send him a report with the details of our conversations. He may call upon you in the near future.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '74', 'npc_4_4', 'Ah, but those are exactly the ones that we need to watch! They look harmless until they execute a strike against Imperial installations, killing dozens of loyal citizens! Nay, friend, this terrorist must be stopped!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '75', 'npc_backtowork_4', 'What are you waiting for? The security of the Empire depends upon your prompt action!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '76', 'npc_reward_4', 'Your loyalty to the Empire is without question, friend. I will mention your brave deeds to the High Inquisitor. I\'m sure you shall be richly rewarded.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '77', 'npc_work_4', 'Has that terrorist been neutralized? He might be plotting some foul treachery even as we speak!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '78', 'npc_noloc_4', 'The High Inquisitor\'s agents will provide me with the location of the terrorist shortly. Stand by, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '79', 'npc_failure_4', 'You allowed this Rebel agent to live? Why? I\'m afraid I shall have to send a report of all my dealings with you to the High Inquisitor. Best of luck to you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '80', 'otherescort_4', 'Can\'t talk right now. I\'m trying to lay low.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '81', 'dontknowyou_4', 'Can\'t talk right now. I\'m trying to lay low.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '82', 'npc_breech_4', 'Wait! I did what I was asked to do! I doctored the recording to make it seem as if Alderaan destroyed itself! Please don\'t kill me!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '92', 'player_3_4', 'But Blinkers seemed pretty harmless to me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '137', 'npc_reset_2', 'I thought I\'d made the right choice by employing you. Perhaps I misjudged. Come back when you feel you can finish the tasks I give you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '138', 'npc_reset_3', 'I thought I\'d made the right choice by employing you. Perhaps I misjudged. Come back when you feel you can finish the tasks I give you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '139', 'npc_reset_4', 'I thought I\'d made the right choice by employing you. Perhaps I misjudged. Come back when you feel you can finish the tasks I give you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '140', 'npc_reset_5', 'I thought I\'d made the right choice by employing you. Perhaps I misjudged. Come back when you feel you can finish the tasks I give you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/throme_gormengal.stf', '141', 'npc_reset_6', 'I thought I\'d made the right choice by employing you. Perhaps I misjudged. Come back when you feel you can finish the tasks I give you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '1', 'next', 'I don\'t have any jobs for you right now. Check back with me later. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '2', 'cantwork', 'You have a previous obligation. See me when you\'re free of other employment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '3', 'npc_reset_1', 'If the job is too hard for you right now, see me later when it might be a bit easier.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '4', 'notyet', 'I\'m too busy for you right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '5', 'npc_1_1', 'I\'m Vana Sage, second in command of security here in Keren. If you need some credits, I\'m very short-handed right now. A Rodian pilot just landed, and I need someone to check his cargo permits. Interested?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '6', 'npc_2_1', 'Good. He landed out in a rural area, so you\'ll have to meet him outside of the city. See me once you\'ve obtained his permits or collected the fine.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '7', 'npc_3_1', 'Enjoy your stay in Keren.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '8', 'npc_4_1', 'Then you\'d have to collect a fine. I wouldn\'t worry about that, though. These pilots know to keep their noses clean on Naboo -- or snouts clean, in the case of Rodians.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '9', 'npc_backtowork_1', 'Were you going to collect that fine -- I mean, check those permits?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '10', 'npc_reward_1', 'His permits weren\'t in order? I\'m shocked! And he attacked you?  Well, I guess you did what you had to do.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '11', 'npc_work_1', 'Have you checked on that pilot yet? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '12', 'npc_noloc_1', 'I need to double-check the pilot\'s coordinates. Would you mind coming back in a few minutes? I should have the information by then.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '13', 'npc_failure_1', 'How unfortunate. I may have to handle this personally. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '14', 'otherescort_1', 'I don\'t know who you\'re looking for, but I know you\'re not looking for me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '15', 'dontknowyou_1', 'I don\'t know who you\'re looking for, but I know you\'re not looking for me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '16', 'npc_breech_1', 'Awww, not another customs inspector.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '17', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '18', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '19', 'npc_smuggle_1', 'Yeah, I know the drill -- you want to \"check my permits.\" Here\'s your fine money. I hope somebody fines you someday. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '20', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '21', 'notit_1', 'This isn\'t a proper permit or credits. Try again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '26', 'player_3_1', 'What would I do if his permits aren\'t in order?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '27', 'npc_1_2', 'Gungan raiders just attacked a transport, and the captain barely escaped with his life. Would you find Captain Vanool and escort him back to us? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '28', 'npc_2_2', 'Great. Go to these coordinates, where he was last located. The Gungans are still after him, so you\'ll want to be careful.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '29', 'npc_3_2', 'I hope you\'re never chased by Gungans and left out on your own.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '30', 'npc_4_2', 'Who knows why Gungans do anything they do? Perhaps the ship flew too near a sacred place on a holy day. Maybe the ship landed on a Gungan by accident. I really couldn\'t say.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '31', 'npc_backtowork_2', 'Was there something else you needed? If not, get going.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '32', 'npc_reward_2', 'You rescued our lost captain! Good job.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '33', 'npc_work_2', 'Were you going to rescue poor captain Vanool or just leave him to the Gungans?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '34', 'npc_noloc_2', 'I\'m waiting for him to check back in and give us his exact coordinates. Come back and see me in a while. He should have called us by then.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '35', 'npc_failure_2', 'These things happen sometimes.  I\'m sorry if it was too rough for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '36', 'otherescort_2', 'I\'m not the one you\'re looking for.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '37', 'dontknowyou_2', 'I\'m hiding from the Gungans. Don\'t tell them you\'ve seen me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '38', 'npc_breech_2', 'You\'re finally here. Yes!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '39', 'npc_takeme_2', 'Those two Gungans just won\'t give up. It\'s not as though I landed the ship on either of them.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '40', 'npc_dropoff_2', 'I appreciate your getting me back to town. I\'ll be more careful about who I land on in the future.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '41', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '42', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '43', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '48', 'player_3_2', 'Why did the Gungans attack a transport?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '49', 'npc_1_3', 'We know now why those Gungans raiders were so eager to catch Captain Vanool. One of the Gungans he landed on was their leader. Since they\'re raiders, we\'d like you to destroy their hideout. Thanks to Captain Vanool\'s happy accident, we know exactly where it is. Think you\'re up to it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '50', 'npc_2_3', 'Good for you. Be cautious in your approach. We\'re not sure how many raiders are left.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '51', 'npc_3_3', 'If you\'re too busy, I guess you should be on your way.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '52', 'npc_4_3', 'If you mean, \"Does he find Gungan raider camps?\" -- never before, to my knowledge. But if you mean land on people -- well, not often.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '53', 'npc_backtowork_3', 'Did you change your mind about taking out that raider camp?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '54', 'npc_reward_3', 'Excellent work. I\'m glad we don\'t have to worry about those raiders any more. Now Captain Vanool can land there without hurting anybody.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '55', 'npc_work_3', 'Didn\'t I give you a mission recently? Something about a Gungan raider hideout?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '56', 'npc_noloc_3', 'I need to track down the captain and get the exact coordinates. See me in a while and we can get started.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '57', 'npc_failure_3', 'Disappointing. Perhaps I\'ll send out a strike team to take care of this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '58', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '59', 'dontknowyou_3', 'No idea who you are.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '60', 'npc_breech_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '61', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '62', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '63', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '65', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '70', 'player_3_3', 'Does Captain Vanool do this sort of thing often?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '71', 'npc_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '72', 'npc_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '73', 'npc_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '74', 'npc_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '75', 'npc_backtowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '76', 'npc_reward_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '77', 'npc_work_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '78', 'npc_noloc_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '79', 'npc_failure_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '80', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '81', 'dontknowyou_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '82', 'npc_breech_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '92', 'player_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '137', 'npc_reset_2', 'If the job is too hard for you right now, see me later when it might be a bit easier.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '138', 'npc_reset_3', 'If the job is too hard for you right now, see me later when it might be a bit easier.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '139', 'npc_reset_4', 'If the job is too hard for you right now, see me later when it might be a bit easier.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '140', 'npc_reset_5', 'If the job is too hard for you right now, see me later when it might be a bit easier.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vana_sage.stf', '141', 'npc_reset_6', 'If the job is too hard for you right now, see me later when it might be a bit easier.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '1', 'next', 'I need nothing further from you. I\'ve mentioned your name to High Inquisitor Sikander. He\'ll receive you now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '2', 'cantwork', 'Our office expects complete dedication from our agents. Come back when you\'re not so busy and can give us that.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '3', 'npc_reset_1', 'Oh, this is most disappointing. I shall have to report your failure to the High Inquisitor. If you come back and finish the job, I may change my mind.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '4', 'notyet', 'Sorry, I can\'t be bothered right now...');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '5', 'npc_1_1', 'Greetings, loyal citizen. I\'m pleased to see someone so eager to serve the Empire. If you perform well for me, I can arrange an audience with the High Inquisitor for you. But know that he expects nothing less than perfection. My first task is a simple one. Could you pick up an intelligence report from one of our field agents?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '6', 'npc_2_1', 'Excellent. The agent is himself a Gungan, but don\'t let that fool you - he\'s a very capable and likeable fellow. He goes by the name of Gullee Kelpit. Don\'t you just love those quaint Gungan names? Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '7', 'npc_3_1', 'Oh dear, I\'m afraid this doesn\'t help your chances of gaining an audience with the High Inquisitor.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '8', 'npc_4_1', 'It\'s helping us track Gungan terrorist activity. Those Gungans can certainly create a lot of havoc when they set their minds to it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '9', 'npc_backtowork_1', 'Was there something you didn\'t understand? I thought I was fairly clear.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '10', 'npc_reward_1', 'Good work, citizen. You\'re certainly on your way to earning that audience.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '11', 'npc_work_1', 'Did you collect that intelligence report? Our records cannot be updated without it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '12', 'npc_noloc_1', 'Just a moment, it seems our agent suspects he\'s under surveillance. As soon as he\'s clear, I\'ll give you his coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '13', 'npc_failure_1', 'We certainly needed that report. It\'s a shame you were unable to bring it back. I hope this was just a fluke and not a sign of things to come.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '14', 'otherescort_1', 'Mesa no spek to yousa. Mesa on mooie mooie maxibig mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '15', 'dontknowyou_1', 'Mesa no spek to yousa. Mesa on mooie mooie maxibig mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '16', 'npc_breech_1', 'Ex-squeeze me! Yousa lookin for mesa?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '17', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '18', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '19', 'npc_smuggle_1', 'Dis maxibig talkie. Yousa keep it berry safe, okeyday?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '20', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '21', 'notit_1', 'Hmm, I don\'t believe this is the report I was waiting for? Could you find the actual report and bring that to me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '26', 'player_3_1', 'What\'s in the report?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '27', 'npc_1_2', 'My next task is also fairly simple. Our office cannot rely on open channels of communication such as the HoloNet to deliver confidential correspondence, so we hand-deliver all of our orders. Could you act as our courier and take this new set of instructions to our agent Soor Kal\'lir? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '28', 'npc_2_2', 'Excellent. Try and make sure no one sees you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '29', 'npc_3_2', 'I\'m not quite sure why you\'re here, citizen. Perhaps we\'ve both made a mistake. If you\'ll excuse me, I have work to do.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '30', 'npc_4_2', 'Soor is a Bothan and he\'ll be dressed like a Corporate Sector Authority representative. Plus, we\'ve informed him to expect you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '31', 'npc_backtowork_2', 'Is there something else you need?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '32', 'npc_reward_2', 'Well handled, citizen. But you claim someone tried to intercept you? Hmm, most troublesome.  I\'ll have to inform Soor of this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '33', 'npc_work_2', 'Did you deliver those instructions to our Bothan agent? He\'s contacted us several times to let us know he\'s still waiting for them.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '34', 'npc_noloc_2', 'Oh dear, it seems our agent had to delay his arrival at the rendezvous point. Check back with me later and I\'m sure we\'ll have all this straightened out.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '35', 'npc_failure_2', 'I suppose I shall have to find someone else to deliver those orders. Did someone refer you to us? And if so, do you mind giving me their name?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '36', 'otherescort_2', 'I believe you have me confused with someone else.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '37', 'dontknowyou_2', 'I can\'t talk to you right now. I\'m waiting for someone.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '38', 'npc_breech_2', 'Over here! Did Vrir Unglan send you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '39', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '40', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '41', 'npc_smuggle_2', 'I haven\'t seen you before. Trying to get an audience with Mal Sikander, eh? Good luck with that. Oh, and thanks for the instructions.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '42', 'gotowork_2', 'Weren\'t you supposed to have some instructions for me? I need those to proceed with my mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '43', 'notit_2', 'These are not Vrir\'s orders. I don\'t recognize the usual markings on the disc.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '48', 'player_3_2', 'How will I recognize Soor Kal\'lir?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '49', 'npc_1_3', 'After communicating with Soor, I\'ve come to the conclusion that he would be safer here at the palace. I believe his CSA employers have taken exception with Soor\'s service to us. Could you make sure he makes it here? He suspects his former employers have hired killers to silence him.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '50', 'npc_2_3', 'Please hurry. We value our agents and do not wish them to fall into the wrong hands. Perhaps that was worded badly. What I meant was that we do not wish to see any harm come to them. Yes, that\'s it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '51', 'npc_3_3', 'Your audience with the High Inquisitor has been refused. I\'m very busy and must get back to work. If you\'ll excuse me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '52', 'npc_4_3', 'He was not specific but I suspect they are probably bounty hunters of some sort. I hope that doesn\'t worry you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '53', 'npc_backtowork_3', 'Perhaps I didn\'t make it clear that Soor\'s life is in danger. Do you wish to reconsider?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '54', 'npc_reward_3', 'You have done very well, agent. And I am pleased to inform you that your audience with Mal Sikander has been granted. Serve him well and you will be richly rewarded.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '55', 'npc_work_3', 'Have you brought Soor back safely? He hasn\'t communicated with us since I informed him you were coming. I do hope he hasn\'t been taken prisoner.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '56', 'npc_noloc_3', 'Wait a moment, it seems that Soor\'s hiding place has been discovered. He\'ll transmit his new coordinates to us as soon as possible. Check back with me in a bit.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '57', 'npc_failure_3', 'I must confess, our office is not used to failure of this sort. Perhaps it\'s best if you don\'t see the High Inquisitor. He might question my judgment if I approve someone like you for an audience. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '58', 'otherescort_3', 'I believe you have me confused with someone else.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '59', 'dontknowyou_3', 'I can\'t talk to you right now. I\'m waiting for someone.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '60', 'npc_breech_3', 'Over here! Remember me? I\'m Soor!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '61', 'npc_takeme_3', 'It\'s a good thing you arrived. I\'m certain that those hired killers are hot on my trail.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '62', 'npc_dropoff_3', 'Thanks for getting me here in one piece. I owe you one.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '63', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '65', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '70', 'player_3_3', 'What kind of killers?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '71', 'npc_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '72', 'npc_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '73', 'npc_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '74', 'npc_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '75', 'npc_backtowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '76', 'npc_reward_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '77', 'npc_work_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '78', 'npc_noloc_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '79', 'npc_failure_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '80', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '81', 'dontknowyou_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '82', 'npc_breech_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '92', 'player_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '137', 'npc_reset_2', 'Oh, this is most disappointing. I shall have to report your failure to the High Inquisitor. If you come back and finish the job, I may change my mind.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '138', 'npc_reset_3', 'Oh, this is most disappointing. I shall have to report your failure to the High Inquisitor. If you come back and finish the job, I may change my mind.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '139', 'npc_reset_4', 'Oh, this is most disappointing. I shall have to report your failure to the High Inquisitor. If you come back and finish the job, I may change my mind.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '140', 'npc_reset_6', 'Oh, this is most disappointing. I shall have to report your failure to the High Inquisitor. If you come back and finish the job, I may change my mind.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/vrir_unglan.stf', '141', 'npc_reset_5', 'Oh, this is most disappointing. I shall have to report your failure to the High Inquisitor. If you come back and finish the job, I may change my mind.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '1', 'next', 'I\'m glad to say things are under control, yes. No need to check back.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '2', 'cantwork', 'I believe we might have a useful discussion sometime, yes -- when you\'re not so busy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '3', 'npc_reset_1', 'Well, return when you can.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '4', 'notyet', 'I\'m too  busy to talk to you right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '5', 'npc_1_1', 'I am Zogor Sturm, officer in charge of COMPNOR\'s \"Strength Means Purity\" re-education campaign. Naboo is fertile ground for COMPNOR\'s message. A local merchant, Delios Krindel, wishes to form a grassroots organization supporting us. But aliens -- even his own employees! -- have threatened his life for his beliefs. Tut, tut. Will you escort this brave, loyal citizen here safely?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '6', 'npc_2_1', 'I expected as much, yes. Please bring Krindel here with all speed. That is all for now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '7', 'npc_3_1', 'I am very, very disappointed to hear that, yes. Please do not return.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '8', 'npc_4_1', 'Nonhuman workers, though of course important to our economy in their place, often have unrealistic ideas about business realities -- job security, working conditions, and so on. Krindel\'s workers nurse petty grievances that need not concern us. Well, what is your decision?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '9', 'npc_backtowork_1', 'I have nothing more to tell you. I suggest you get going.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '10', 'npc_reward_1', 'I thank you for your good work. That is all for now, but by all means look in on me again, yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '11', 'npc_work_1', 'You\'re proceeding well with your assignment, yes? I\'d like to think so.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '12', 'npc_noloc_1', 'I expected as much, yes. You may find Krindel at the coordinates -- ah -- mmm. I\'m sorry to say those coordinates are currently classified, yes. I suggest you return shortly.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '13', 'npc_failure_1', 'I am deeply, deeply distressed to learn of your failure. I hope Krindel will not suffer at the hands of his alien assailants.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '14', 'otherescort_1', 'I don\'t think you\'re the one I\'m waiting for.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '15', 'dontknowyou_1', 'I don\'t think you\'re the one I\'m waiting for.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '16', 'npc_breech_1', 'You\'re with COMPNOR? Well, escort me, please. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '17', 'npc_takeme_1', 'I\'m apprehensive of the aliens I\'ve employed around here. Don\'t believe anything those liars say about supposed criminal activity. What nonsense!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '18', 'npc_dropoff_1', 'Anything an alien says is bound to be tainted by its weird nonhuman attitudes. You just can\'t believe them. That\'s the problem with aliens -- they lie all the time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '19', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '20', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '21', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '26', 'player_3_1', 'Why have Krindel\'s employees threatened his life?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '27', 'npc_1_2', 'I see you\'re back, yes. These reports rankle me. They cite attacks by youthful troublemakers who have attacked loyal citizens for supporting COMPNOR. Our people have identified the hangout used by these young toughs. I suggest that you could blast that building to pieces. Do you agree?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '28', 'npc_2_2', 'Very well, I expect results soon. Report back here after you succeed.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '29', 'npc_3_2', 'Well then, that will be all. Please do not return again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '30', 'npc_4_2', 'These louts have too much time, not enough direction, and a ready ear for anything defying authority. If our supporters happen to criticize some local teacher or old lady, these juveniles are all too ready to misconstrue our intent. But enough analysis. Your decision?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '31', 'npc_backtowork_2', 'I have nothing more to tell you. Please get started.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '32', 'npc_reward_2', 'I feel that you have delivered our message adequately, yes. Thank you. By all means check with me again for future assignments.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '33', 'npc_work_2', 'You\'re proceeding well with your assignment, yes? I\'d like to think so.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '34', 'npc_noloc_2', 'I expected as much, yes. You may find the troublemakers\' stronghold at the coordinates -- ah -- mmm. I\'m sorry to say those coordinates are currently classified, yes. I suggest you return shortly.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '35', 'npc_failure_2', 'I am deeply, deeply distressed to learn of your failure. I shall find someone else to handle those hoodlums.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '36', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '37', 'dontknowyou_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '38', 'npc_breech_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '39', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '40', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '41', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '42', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '43', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '48', 'player_3_2', 'Why did these troublemakers attack COMPNOR supporters?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '49', 'npc_1_3', 'Yes indeed, I thought you\'d return when you knew I had more work for you. A countryside noble recently provided generous patronage of a march organized by local COMPNOR officials. I would like you to deliver to this loyal citizen a plaque commemorating our gratitude. I\'m sure you\'ll agree, yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '50', 'npc_2_3', 'I expected nothing less. I hope you will prove as loyal to the Empire as this citizen, Lord Wullo Humbonnen. Please present him with the plaque posthaste.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '51', 'npc_3_3', 'You refuse? How unpleasant. It is sad to see the example of this loyal citizen going unrecognized, yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '52', 'npc_4_3', 'Our patron is none other than Lord Wullo Humbonnen, a Naboo aristocrat of formidable wealth and lineage. He has been a major employer of local Gungans, giving them productive work in his fields and gualama stables when they would otherwise lie idle. Tell me you will help COMPNOR recognize this illustrious citizen!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '53', 'npc_backtowork_3', 'I have told you all I can tell you, yes. Will you deliver the plaque, please?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '54', 'npc_reward_3', 'Once again you have performed to the purpose. Yes. I think there may be a bright future for you, serving COMPNOR\'s needs.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '55', 'npc_work_3', 'I have told you what you need to know, yes? I see no reason why you can\'t get started now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '56', 'npc_noloc_3', 'Excellent. The plaque is being engraved now. Return to me shortly and I\'ll send you on your way.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '57', 'npc_failure_3', 'You could not deliver the plaque? Dear me. I hope this won\'t put too large a black mark on your permanent record.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '58', 'otherescort_3', 'I fear you have the wrong individual.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '59', 'dontknowyou_3', 'I fear you have the wrong individual.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '60', 'npc_breech_3', 'Hallo there! Did Zogor send you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '61', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '62', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '63', 'npc_smuggle_3', 'Ah. Zogor mentioned he\'d be sending along a token of appreciation. I believe that my investment in COMPNOR activities will also bring more substantial business returns.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '64', 'gotowork_3', 'Were you not supposed to bring me some kind of plaque, or other token of appreciation? Zogor Sturm said you would.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '65', 'notit_3', 'Ah. I was expecting a plaque, or something of that sort. Not this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '70', 'player_3_3', 'Who is this loyal citizen?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '71', 'npc_1_4', 'Ah, yes, there you are. Lord Humbonnen has asked me for assistance in a private matter. A former servant of his, a Gungan, recently torched Humbonnen\'s stables, killing all his prized gualamas as well as a couple of stable hands. Humbonnen wants to keep this quiet, as the loss of those gualamas would cause him to lose face in the palace. Will you terminate the Gungan vandal?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '72', 'npc_2_4', 'Excellent. I think you\'ll find the Gungan, one Tull Toma, at these coordinates. You may expect he has recruited like-minded crooks, so I advise caution, yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '73', 'npc_3_4', 'How disappointing. I shall have to note your refusal on your permanent record, yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '74', 'npc_4_4', 'Oh, you know these aliens. They often have trouble acclimating to human expectations for productive labor. Look at the Wookiees -- there was a problem case. We solved that, though, yes, just as Lord Humbonnen is starting to solve his Gungan labor problem. Now, about this vandal --');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '75', 'npc_backtowork_4', 'I really don\'t know what else I can tell you. Please get started.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '76', 'npc_reward_4', 'That was well handled, yes. Lord Humbonnen would certainly appreciate your discretion, as would COMPNOR. We always get good results when we request discretion, yes indeed.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '77', 'npc_work_4', 'I hope you\'re still tracking that Gungan vandal.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '78', 'npc_noloc_4', 'I have yet to receive a reliable set of coordinates for the Gungan vandal, but I\'m expecting his location shortly. Check with me soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '79', 'npc_failure_4', 'You mean to say one Gungan vandal defeated you? Tut, tut. I had higher expectations than that, yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '80', 'otherescort_4', 'Mesa not knowin\' you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '81', 'dontknowyou_4', 'Mesa not knowin\' you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '82', 'npc_breech_4', 'Waoo! Issa Humbonnen\'s stoogie! Yousa guys be killin\'!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '83', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '84', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '92', 'player_3_4', 'Why did the Gungan vandal burn Lord Humbonnen\'s stables?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '93', 'npc_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '94', 'npc_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '95', 'npc_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '96', 'npc_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '97', 'npc_backtowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '98', 'npc_reward_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '99', 'npc_work_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '100', 'npc_noloc_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '101', 'npc_failure_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '102', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '103', 'dontknowyou_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '104', 'npc_breech_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '114', 'player_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '115', 'npc_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '116', 'npc_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '117', 'npc_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '118', 'npc_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '119', 'npc_backtowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '120', 'npc_reward_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '121', 'npc_work_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '122', 'npc_noloc_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '123', 'npc_failure_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '124', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '125', 'dontknowyou_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '126', 'npc_breech_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '136', 'player_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '137', 'npc_reset_2', 'Well, return when you can.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '138', 'npc_reset_3', 'Well, return when you can.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '139', 'npc_reset_4', 'Well, return when you can.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '140', 'npc_reset_5', 'Well, return when you can.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/naboo/zogor_sturm.stf', '141', 'npc_reset_6', 'Well, return when you can.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/philosopher.stf', '1', 'philosopher_1', 'There is no such thing as trying.  Something can either be done, or it can\'t.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/philosopher.stf', '2', 'philosopher_2', 'It\'s always easier to ask forgiveness then permission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/philosopher.stf', '3', 'philosopher_3', 'There is nothing foolproof in the universe.  You will find fools to be quite ingenious...');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/philosopher.stf', '4', 'philosopher_4', 'Never walk away from a running rancor.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/philosopher.stf', '5', 'philosopher_5', 'All things are simple until made difficult by others.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/philosopher.stf', '6', 'philosopher_6', 'If you seek an honest person, you should become one yourself.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/philosopher.stf', '7', 'philosopher_7', 'The greatest teacher of all is failure.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/philosopher.stf', '8', 'philosopher_8', 'If you tell the truth 1000 times, and lie just once, you are still a liar.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/philosopher.stf', '9', 'philosopher_9', 'There are three stages to the truth:  First it will be ridiculed.  Then violently opposed.  Finally, accepted as obvious.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/philosopher.stf', '10', 'philosopher_10', 'One person who has belief is as formidable as 100 people with \'interest\'.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/philosopher.stf', '11', 'philosopher_11', 'The greatest fault is not to be conscious of your faults.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/philosopher.stf', '12', 'philosopher_12', 'Any man who has confidence in himself earns the confidence of others.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/philosopher.stf', '13', 'philosopher_13', 'Courage means doing what you are afraid to do.  There is no courage without fear.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/philosopher.stf', '14', 'philosopher_14', 'Fear is to be kept to oneself.  Courage is to be shared.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/philosopher.stf', '15', 'philosopher_15', 'Do not mistake a man who is afraid to run away as courageous.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/philosopher.stf', '16', 'philosopher_16', 'Criticizing is easier than creating.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/philosopher.stf', '17', 'philosopher_17', 'It is not excellent to win a war by fighting.  What is excellent is winning a war without fighting.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/philosopher.stf', '18', 'philosopher_18', 'There are such things as roads that must not be followed, enemies that must not be attacked.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/philosopher.stf', '19', 'philosopher_19', 'There are relatively few musical notes.  But combinations of these give rise to more melodies than could ever be heard.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/philosopher.stf', '20', 'philosopher_20', 'There is nothing particularly exceptional about being old.  It merely means you\'ve continued to live, not necessarily to learn.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/philosopher.stf', '21', 'philosopher_21', 'There is no concept of the many without the one.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/philosopher.stf', '22', 'philosopher_22', 'Never discourage anyone who makes progress, no matter how slow.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/philosopher.stf', '23', 'philosopher_23', 'Death is not the worst thing that can happen to anyone.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/philosopher.stf', '24', 'philosopher_24', 'Even a small rock can hold back a great wave.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/philosopher.stf', '25', 'philosopher_25', 'There is nothing more despicable than a man who believes one thing with his heart and speaks another with his mouth.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/philosopher.stf', '26', 'philosopher_26', 'Isn\'t it interesting how the man with a winning hand is always the most interested in playing fair?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/philosopher.stf', '27', 'philosopher_27', 'Remember that life isn\'t stable.  Don\'t be overjoyed in your successes, or overwhelmed by your defeats.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/philosopher.stf', '28', 'philosopher_28', 'No act of kindness, no matter how small, is ever wasted.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/philosopher.stf', '29', 'philosopher_29', 'Petty thieves are imprisoned.  Great thieves are elected.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/philosopher.stf', '30', 'philosopher_30', 'Its always better to learn from others misfortunes than your own.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/philosopher.stf', '31', 'philosopher_31', 'No government has ever stood secure without a formidable opponent.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/philosopher.stf', '32', 'philosopher_32', 'Pure men need no laws.  Corrupt men break laws.  What part do laws then play in society?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/philosopher.stf', '33', 'philosopher_33', 'Advice should always be judged by its results.  Not its intentions.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/philosopher.stf', '34', 'philosopher_34', 'If your life is peaceful, pure, and refined, your old age should well be untroubled.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/philosopher.stf', '35', 'philosopher_35', 'Common ideals draw men together.  Even evil.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/philosopher.stf', '36', 'philosopher_36', 'Nature does nothing that is useless.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/philosopher.stf', '37', 'philosopher_37', 'We fight wars so that we can live in peace.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/philosopher.stf', '38', 'philosopher_38', 'Being a good person and being a good citizen are not always the same thing.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/philosopher.stf', '39', 'philosopher_39', 'Poverty has many children, among them crime and revolution.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/philosopher.stf', '40', 'philosopher_40', 'Striving for the best brings you closer to the best.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/philosopher.stf', '41', 'philosopher_41', 'Take pleasure in your tasks, but put perfection in your work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/philosopher.stf', '42', 'philosopher_42', 'Only an educated man can entertain an idea without accepting it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/philosopher.stf', '43', 'philosopher_43', 'Witty sayings prove nothing.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/philosopher.stf', '44', 'philosopher_44', 'Every man is guilty of all the good that he did not do.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/philosopher.stf', '45', 'philosopher_45', 'Anything that doesn\'t make sense when spoken should be sung.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/philosopher.stf', '46', 'philosopher_46', 'It is not wise to ignore your enemies.  They are often more perceptive than your friends.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/philosopher.stf', '47', 'philosopher_47', 'Only the educated can truly be free.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/philosopher.stf', '48', 'philosopher_48', 'All beings are equal as far as death is concerned.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/philosopher.stf', '49', 'philosopher_49', 'Every man dies.  Not every man lives.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/philosopher.stf', '50', 'philosopher_50', 'Experience is that thing you gain right after you need it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '1', 'cant_work', 'I do need agents, but the delicate nature of my assignments requires exclusivity. Come back when you\'re free.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '2', 'dontknowyou_1', 'I can\'t talk to you. I\'m waiting for someone.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '3', 'dontknowyou_2', 'I\'m pretty busy at the moment. Don\'t bother me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '4', 'dontknowyou_3', 'I can\'t talk to you right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '5', 'dontknowyou_4', 'Get lost, I\'m busy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '6', 'gotowork_1', 'You should be going.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '7', 'gotowork_2', 'You should be going.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '8', 'gotowork_3', 'You should be going.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '9', 'gotowork_4', 'You should be going.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '10', 'next', 'You\'ve been quite helpful, but I don\'t have anything else for you at the moment. Check back with me from time to time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '11', 'notit_1', 'That\'s not the surveillance holo I requested. Bring me the holo.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '12', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '13', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '14', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '15', 'notyet', 'Sorry, I\'m too busy to talk right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '16', 'npc_1_1', 'Welcome to Narmle. The name\'s Biribas Tarun and I\'m in charge of security. For the most part things are pretty quiet around here, which makes Rori very attractive to smugglers. I spend most of my time encouraging them to go elsewhere. If you\'re looking for assignments, I could sure use your help. What do you say?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '17', 'npc_1_2', 'Thanks to that holo recording, I was able to identify a local starport dispatcher who\'s been helping these gunrunners bypass standard docking procedures. I need this guy brought back here for questioning. Think you can help?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '18', 'npc_1_3', 'While you were out getting us this dispatcher, the gunrunners were taking revenge on the starport security guard\'s family. Not sure how they found out who he was but they\'ve nabbed his wife, who they probably intend to ransom. I\'ve already sent one of my agents after her but he could sure use some backup. What do you say?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '19', 'npc_1_4', 'The dispatcher has given us the name and location of the gunrunners\' leader. I need this bloodthirsty killer brought down. I could hire a bounty hunter but I thought I\'d give you a shot at him first. You in?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '20', 'npc_2_1', 'Great. Once you bring me that holo, I\'ll be able to start making arrests. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '21', 'npc_2_2', 'Good. The dispatcher was tipped off by a friend so I believe he\'s currently trying to get off Rori. Fortunately for us, no smuggler will touch him since they believe he betrayed them for money.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '22', 'npc_2_3', 'I knew I could count on you. Before those scoundrels could get their hands on this brave young woman, it seems she managed to hide a tracer somewhere on her person. This bit of quick thinking has allowed us to track her movements. Hopefully it will also give you two the element of surprise. Best of luck! ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '23', 'npc_2_4', 'That\'s right - it\'s payback time. If you\'d like to bring some friends along, feel free. This sleemo will most likely have several bodyguards. Go show this scum who\'s in charge.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '24', 'npc_3_1', 'This sort of work doesn\'t appeal to you, huh? I understand. Just make sure you stay on the right side of the law.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '25', 'npc_3_2', 'That\'s too bad. I\'ll have to find someone else then.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '26', 'npc_3_3', 'Well then I\'ll have to get more of my agents on this as soon as possible. Excuse me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '27', 'npc_3_4', 'Looks like I\'ll have to hire a bounty hunter after all.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '28', 'npc_4_1', 'I have agents monitoring the countryside. They\'re keeping an eye on unregistered ship landings, recording everything with holocams. I need you to pick up one of these surveillance holos. Can you do that?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '29', 'npc_4_2', 'Yeah, one of the starport security personnel suspected this guy all along and planted a tracer on him. He won\'t escape us.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '30', 'npc_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '31', 'npc_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '32', 'npc_5_1', 'I\'ve been tracking the movements of a particularly vicious group of gunrunners. This holo will show me who\'s been aiding these smugglers.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '33', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '34', 'npc_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '35', 'npc_5_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '36', 'npc_6_1', 'These gunrunners have begun to suspect that they\'re being watched, so no, it won\'t be easy. Have your weapon handy and keep an eye out for scouts.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '37', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '38', 'npc_6_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '39', 'npc_6_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '40', 'npc_backtowork_1', 'I really need that holo, friend. Do you want this assignment or not?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '41', 'npc_backtowork_2', 'If you don\'t want to tackle this mission, I understand. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '42', 'npc_backtowork_3', 'This will be a dangerous mission. I understand if you\'d like to reconsider.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '43', 'npc_backtowork_4', 'This is a dangerous assignment. If you feel this is over your head, I understand.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '44', 'npc_breech_1', 'Over here! Did Captain Tarun send you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '45', 'npc_breech_2', 'Uh oh, looks like trouble! I better get out of here!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '46', 'npc_breech_3', 'Help! I\'ve been kidnapped by gunrunners!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '47', 'npc_breech_4', 'You shouldn\'t have come here. Blast away, lads!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '48', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '49', 'npc_dropoff_2', 'I\'ll be proven innocent! You mark my words!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '50', 'npc_dropoff_3', 'Thank you again. I\'ll never forget your courageous act.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '51', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '52', 'npc_failure_1', 'I guess I\'ll have to find some other way to get that surveillance data. Sorry you couldn\'t help.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '53', 'npc_failure_2', 'It\'s a shame that sleemo was allowed to escape. Looks like I\'ll have to hire some bounty hunters.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '54', 'npc_failure_3', 'In the course of performing our duty, it\'s always a tragedy when innocents are hurt. Sometimes, however, it can\'t be helped.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '55', 'npc_failure_4', 'It\'s a shame you couldn\'t end that killer\'s career. I\'ll have to wait for another opportunity to strike at him.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '56', 'npc_more_1_1', 'Nope, I\'m an independent agent. I gotta pay the bills somehow.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '57', 'npc_more_1_2', 'My supervisor! He\'s always had it in for me. Jealous of my skill and good lucks. He\'s the one you should be arresting, not me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '58', 'npc_more_1_3', 'Captain Tarun knew he was being watched by the gunrunners\' agents so he had my husband divert their attention elsewhere while a rescue attempt was made. This was why there were only three of these scoundrels guarding me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '59', 'npc_more_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '60', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '61', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '62', 'npc_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '63', 'npc_more_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '64', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '65', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '66', 'npc_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '67', 'npc_more_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '68', 'npc_noloc_1', 'I have to wait for my agent to transmit his coordinates. Check back with me later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '69', 'npc_noloc_2', 'I should be getting those coordinates in a few moments. Check back with me later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '70', 'npc_noloc_3', 'I\'ll get an update on the young woman\'s location in just a moment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '71', 'npc_noloc_4', 'My agents are making sure those coordinates we had for the gunrunner leader are still valid. Could you check back in a few moments?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '72', 'npc_reset_1', 'Security work requires a certain type of personality. Come back and see me if you think you\'d like another shot at it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '73', 'npc_reward_1', 'You handled that well. I could use more agents like you. Feel free to see me for more assignments.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '74', 'npc_reward_2', 'Good job. This criminal\'s arrest should discourage more than a few smugglers from coming here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '75', 'npc_reward_3', 'It\'s a good thing you decided to help, friend. I could use more agents like you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '76', 'npc_reward_4', 'You\'re an example to the other agents on my team, friend. If it isn\'t already, I hope you decide to make security your profession of choice.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '77', 'npc_smuggle_1', 'Here\'s that surveillance holo. This should help Captain Tarun crack this case. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '78', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '79', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '80', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '81', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '82', 'npc_takeme_2', 'Okay, okay! Take it easy! I\'ll come along quietly! But I was framed, I tell you!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '83', 'npc_takeme_3', 'Thank you for your help. I owe you my life. I\'m eager to see my husband again. Could you please escort me back?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '84', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '85', 'npc_work_1', 'Where\'s that holo? I can\'t make arrests without that evidence.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '86', 'npc_work_2', 'Have you brought that dispatcher in yet? If he gets offworld, I won\'t be able to break up this gunrunning circle.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '87', 'npc_work_3', 'Did you help that young woman get away from those gunrunners? If you don\'t hurry it may be too late.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '88', 'npc_work_4', 'Have you taken out that vicious criminal yet? We can\'t afford to let him get away.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '89', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '90', 'otherescort_2', 'I\'m not the guy you\'re looking for.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '91', 'otherescort_3', 'I don\'t think I\'m the person you\'re looking for.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '92', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '93', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '94', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '95', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '96', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '97', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '98', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '99', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '100', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '101', 'player_3_1', 'What would I have to do?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '102', 'player_3_2', 'Do you know this dispatcher\'s current whereabouts?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '103', 'player_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '104', 'player_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '105', 'player_4_1', 'What\'s on the surveillance holo?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '106', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '107', 'player_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '108', 'player_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '109', 'player_5_1', 'This sounds too easy. It isn\'t, is it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '110', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '111', 'player_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '112', 'player_5_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '113', 'player_more_1_1', 'Are you a member of CorSec?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '114', 'player_more_1_2', 'Who framed you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '115', 'player_more_1_3', 'Where is your husband?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '116', 'player_more_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '117', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '118', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '119', 'player_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '120', 'player_more_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '121', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '122', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '123', 'player_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '124', 'player_more_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '125', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '126', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '127', 'return_waypoint_description_1', 'Bring the surveillance holo back to Captain Tarun.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '128', 'return_waypoint_description_2', 'Bring the crooked dispatcher back to Captain Tarun for questioning.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '129', 'return_waypoint_description_3', 'Bring the rescued woman back to Captain Tarun.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '130', 'return_waypoint_description_4', 'Report back to Captain Tarun.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '131', 'return_waypoint_name_1', 'Captain Tarun\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '132', 'return_waypoint_name_2', 'Captain Tarun\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '133', 'return_waypoint_name_3', 'Captain Tarun\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '134', 'return_waypoint_name_4', 'Captain Tarun\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '135', 'waypoint_description_1', 'Pickup a surveillance holo for Captain Tarun.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '136', 'waypoint_description_2', 'Find and detain the crooked starport dispatcher.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '137', 'waypoint_description_3', 'Rescue an innocent young woman from the clutches of vile gunrunners.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '138', 'waypoint_description_4', 'Take out the leader of the gunrunners.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '139', 'waypoint_name_1', 'Surveillance Agent\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '140', 'waypoint_name_2', 'Crooked Dispatcher\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '141', 'waypoint_name_3', 'Kidnapped Victim\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '142', 'waypoint_name_4', 'Gunrunner Leader\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '143', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '144', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '145', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '146', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '147', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '148', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '149', 'npc_reset_2', 'Security work requires a certain type of personality. Come back and see me if you think you\'d like another shot at it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '150', 'npc_reset_3', 'Security work requires a certain type of personality. Come back and see me if you think you\'d like another shot at it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_biribas_tarun.stf', '151', 'npc_reset_4', 'Security work requires a certain type of personality. Come back and see me if you think you\'d like another shot at it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '1', 'cant_work', 'Oh dear. I\'d planned to offer you a small job, but I see you\'re busy. How vexing.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '2', 'dontknowyou_1', 'I\'m sorry, you have the wrong person.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '3', 'dontknowyou_2', 'I\'m afraid you have the wrong person.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '4', 'gotowork_1', 'I expected you to bring me a suggestion of some kind from Indintra Imbru Yerevan. Don\'t you have it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '5', 'gotowork_2', 'I expected you to bring me an invitation from Indintra Imbru Yerevan to the \"Great Conversation\" debate. Don\'t you have it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '6', 'next', 'I\'m happy to say that all our preparations for the Great Conversation debate are gelling nicely. I need nothing from you right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '7', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '8', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '9', 'notyet', 'Too busy to talk now.  Try me again later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '10', 'npc_1_1', 'Darling, everyone who is anyone will be attending the next \"Great Conversation\" debate -- including, I\'m told, that nasty Narmle scholar Ingon Lakbo. His attendance would be disastrous, simply disastrous. Would you kindly deliver this suggestion to a dear friend that might lure Mr. Lakbo away from the debate?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '11', 'npc_1_2', 'My plans are proceeding nicely for the next \"Great Conversation\" debate. Now that Ingon Lakbo has declined to support that rabble in Narmle, I expect their next choice will be a philosopher named Bieque Lozan-Lippid. I believe I can counter his influence with your help. Will you deliver this invitation?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '12', 'npc_2_1', 'I knew you\'d help. You must deliver this into the hands of Briska Gil, my dear friend and a close acquaintance of Ingon Lakbo. Now don\'t be giving it to any foolish protocol droid, but to Briska in person!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '13', 'npc_2_2', 'Fine. Deliver this invitation into Shaultra Loraweet\'s hands, and on no account be distracted by any pesky protocol droids.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '14', 'npc_3_1', 'Well, what a vexing figure you are then. Goodbye.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '15', 'npc_3_2', 'After you proved so helpful before, I expected more of you. Goodbye.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '16', 'npc_4_1', 'Honestly, it\'s quite innocent -- I\'m simply suggesting to a friend we hold in common, Briska Gil, that Briska could invite Ingon Lakbo to a must-attend dinner party coinciding with the debate. Ingon is hardly the ideal dinner guest -- always pontificating about \"what is reality?\" -- but it would be a sacrifice in a good cause. Will you deliver my innocent suggestion?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '17', 'npc_4_2', 'I am inviting Bieque Lozan-Lippid\'s former paramour, Shaultra Loraweet, to take part in the debate on behalf of Restuss. Shaultra and Bieque parted on bad terms, and I expect her presence will cause Bieque much distraction. In the best case, he might even make a scene and be summarily ejected. Will you deliver this invitation to Shaultra?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '18', 'npc_5_1', 'Restuss and Narmle, which are what I suppose you\'d call friendly rivals, hold debates every so often between the cities\' finest minds. Victory for Restuss will prove our superiority over that rabble in Narmle.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '19', 'npc_5_2', 'Restuss and Narmle, which are what I suppose you\'d call friendly rivals, hold debates every so often between the cities\' finest minds. Victory for Restuss will prove our superiority over that rabble in Narmle.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '20', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '21', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '22', 'npc_backtowork_1', 'I would have hoped you\'d deliver that suggestion to Briska Gil by now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '23', 'npc_backtowork_2', 'Really, I\'ve told you all you need to know. I wish you\'d deliver that invitation to Shaultra.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '24', 'npc_breech_1', 'Hello? Did Indintra Yerevan send you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '25', 'npc_breech_2', 'Hello! Do you have an invitation for me from Indintra Yerevan?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '26', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '27', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '28', 'npc_failure_1', 'You could not deliver a simple suggestion? Really, you vex me beyond words.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '29', 'npc_failure_2', 'You couldn\'t deliver that simple invitation? How very vexing you are.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '30', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '31', 'npc_more_1_2', 'Bieque and I had a romantic relationship, but we parted in heated argument about the immanence of evil. I still resent his acidic innuendo regarding my intellectual capacity. I look forward to the chance to correct him at the debate.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '32', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '33', 'npc_more_2_2', 'Bieque has notions about the nature of identity and reality that are, to my mind, unsustainable by a more insightful intellect. I imagine that my pointed deflation of his absurd notion will raise his blood pressure.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '34', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '35', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '36', 'npc_noloc_1', 'Fine, fine. I\'m waiting for Briska Gil to assent to my suggestion for rendezvous coordinates. Talk to me again in a few moments.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '37', 'npc_noloc_2', 'I\'m waiting for Shaultra to arrange a suitable rendezvous for the delivery. Talk to me again in a moment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '38', 'npc_reset_1', 'Why can you not take care of this simple task? Really, you vex me, you really do.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '39', 'npc_reward_1', 'I\'m so glad you delivered that invitation. Here, take some money. I have another little job for you, if you want it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '40', 'npc_reward_2', 'Splendid. I can hardly wait to see the look of appalled affront on Bieque\'s face when he sees his paramour at the debate. He won\'t retain the intellectual capacity of a frightened borgle.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '41', 'npc_smuggle_1', 'Hmm -- Ingon is such a talker; he really is rather tedious at the dining table. But I suppose I should aid Indintra -- she\'ll owe me dearly for this one. Now let me see about assembling a suitable guest list for this party... (*Briska\'s voice fades while mumbling what sounds like a list of names*).');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '42', 'npc_smuggle_2', 'Well, if Bieque Lozan-Lippid will be at the \"Great Conversation\" debate, I certainly will attend. I have much to address with Bieque.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '43', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '44', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '45', 'npc_work_1', 'Really, I\'ve told you enough already. Please deliver my little suggestion to Briska Gil.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '46', 'npc_work_2', 'I wish you\'d deliver that invitation to Shaultra. Time is short.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '47', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '48', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '49', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '50', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '51', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '52', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '53', 'player_3_1', 'What is the \"suggestion\" you\'re making that might lure Lakbo away?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '54', 'player_3_2', 'How will this invitation counter the philosopher\'s influence in the debate?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '55', 'player_4_1', 'What is the \"Great Conversation\" debate?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '56', 'player_4_2', 'What is \"The Great Conversation\" debate?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '57', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '58', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '59', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '60', 'player_more_1_2', 'Why is it important to you that Bieque Lozan-Lippid is attending?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '61', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '62', 'player_more_2_2', 'What will you say at \"The Great Conversation\" debate?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '63', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '64', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '65', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '66', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '67', 'return_waypoint_description_1', 'Return to Indintra Imbru Yerevan.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '68', 'return_waypoint_description_2', 'Return to Indintra Imbru Yerevan.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '69', 'return_waypoint_name_1', 'Indintra Imbru Yerevan');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '70', 'return_waypoint_name_2', 'Indintra Imbru Yerevan');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '71', 'waypoint_description_1', 'This friend of Restuss socialite Indintra Imbru Yerevan is expecting a request from Indintra Imbru Yerevan to invite scholar Ingon Lakbo to a dinner party and thus divert him away from the \"Great Conversation\" debate.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '72', 'waypoint_description_2', 'This former paramour of philosopher Bieque Lozan-Lippid is awaiting an invitation to \"The Great Conversation\" from the Restuss socialite Indintra Imbru Yerevan.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '73', 'waypoint_name_1', 'Briska Gil');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '74', 'waypoint_name_2', 'Shaultra Loraweet');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '75', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '76', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_indintra_imbru_yerevan.stf', '77', 'npc_reset_2', 'Why can you not take care of this simple task? Really, you vex me, you really do.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '1', 'cant_work', 'I\'ve got some work for you when you\'re done with your current job.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '2', 'dontknowyou_1', 'Mesa not bein\' here for yous. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '3', 'dontknowyou_2', 'I wish I could help you, but I\'m kind of lost.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '4', 'dontknowyou_3', 'I\'m waiting for an important message, but I don\'t think you have it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '5', 'dontknowyou_4', 'This is a bad place to be right now. You should get out of here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '6', 'gotowork_1', 'You should be going.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '7', 'gotowork_2', 'You should be going.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '8', 'gotowork_3', 'You should be going.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '9', 'gotowork_4', 'You should be going.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '10', 'next', 'Everything is running pretty smoothly right now. I\'ll let you know if I need any more help.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '11', 'notit_1', 'This isn\'t the picture I told you to bring me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '12', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '13', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '14', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '15', 'notyet', 'I can\'t talk right now.  I\'m too busy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '16', 'npc_1_1', 'Hello. Are you here for the Narmle Arts Gala? A very talented artist has made a new piece for the festival and I need someone to go get it. Interested in the job?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '17', 'npc_1_2', 'I hope you still need work. One of the keynote speakers for the Arts Gala was sightseeing out in the wilderness and managed to get himself lost. Would you find him and bring him back?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '18', 'npc_1_3', 'Every year at the Arts Gala we hold an art contest to award an Imperial arts grant. They don\'t do that for that sad little \"jubilee\" they hold in Restuss! The judges are kept at an undisclosed location -- not even I know where. I need someone to bring these holos of the finalists and their work to an Imperial courier, who will then take it to the judges. Interested?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '19', 'npc_1_4', 'This is a public relations nightmare! The winner of our Imperial Arts Grant has been kidnapped by the runner-up, who claims that the competition was fixed. Will you please rescue Moff Graedler\'s nephew?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '20', 'npc_2_1', 'Wonderful! Go and meet Odoof Grunda and bring his painting back to me. I want to have it up for the opening ceremony of the Arts Gala.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '21', 'npc_2_2', 'Good. Find Jonda Trask and bring him back here in one piece. Maybe this experience will keep him from wandering off by himself again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '22', 'npc_2_3', 'We had to arrest a few protestors who didn\'t make it into the final competition, so you might want to keep your eye open for dissidents who might try to stop you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '23', 'npc_2_4', 'I\'m glad you\'re on this. Now I know it will work out. The kidnapper fled the city, taking the Moff\'s nephew Zim with him. Getting Zim back safely is your highest priority. if his captor happens to die during the rescue, no one will shed any tears.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '24', 'npc_3_1', 'Suit yourself. Enjoy your stay on Rori.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '25', 'npc_3_2', 'I\'m not much of an outdoors type either. I\'ll find someone else.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '26', 'npc_3_3', 'I guess it\'s not an exciting task unless you\'re a fan of the arts.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '27', 'npc_3_4', 'I guess we all have to draw the line somewhere. Take care of yourself.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '28', 'npc_4_1', 'Odoof Grunda is a talented Gungan artist, but he\'s eccentric and doesn\'t like cities. He painted a picure of the legendary sculptor Sidoras Bey crafting the statue of the Emperor, but he won\'t bring it here. Will you get it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '29', 'npc_4_2', 'He\'s a well-known patron of the arts on Naboo. It would be bad for our image if our keynote speaker were eaten by a tusk-cat. Can you retrieve the poor fellow before he gets himself hurt?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '30', 'npc_4_3', 'It\'s the leading arts award on Rori. Well, there are the credits -- which are nothing to sneeze at -- but there\'s also the prestige and the exposure. Winning the Imperial Arts Grant can launch an artist\'s career. So will you deliver the holos?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '31', 'npc_4_4', 'Now be nice. He\'s a very talented young man -- and the Moff was extremely generous in supporting this festival. Will you rescue his nephew?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '32', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '33', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '34', 'npc_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '35', 'npc_5_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '36', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '37', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '38', 'npc_6_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '39', 'npc_6_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '40', 'npc_backtowork_1', 'Were you going to get that picture, or have you changed your mind?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '41', 'npc_backtowork_2', 'Were you going to find Jonda Trask, or should I send someone else?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '42', 'npc_backtowork_3', 'If you\'re going to deliver that disc, you\'d better get going.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '43', 'npc_backtowork_4', 'Are you having second thoughts already?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '44', 'npc_breech_1', 'Yousa bein\' here for mysa painten?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '45', 'npc_breech_2', 'Hey! Over here!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '46', 'npc_breech_3', 'Do you have the Imperial Arts Grant list?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '47', 'npc_breech_4', 'Please help me!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '48', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '49', 'npc_dropoff_2', 'Thanks for saving me from those goons. I didn\'t realize Rori was quite this rugged.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '50', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '51', 'npc_dropoff_4', 'Perhaps I\'ll create a holo sculpture of your daring rescue.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '52', 'npc_failure_1', 'You didn\'t bring the painting? I was so looking forward to seeing it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '53', 'npc_failure_2', 'If this gets out, it\'s going to wreak havoc with tourism. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '54', 'npc_failure_3', 'I guess we\'ll have to send another message and delay the announcement.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '55', 'npc_failure_4', 'You couldn\'t make the rescue? Excuse me, I\'m just going to go make out my will.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '56', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '57', 'npc_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '58', 'npc_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '59', 'npc_more_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '60', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '61', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '62', 'npc_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '63', 'npc_more_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '64', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '65', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '66', 'npc_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '67', 'npc_more_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '68', 'npc_noloc_1', 'Give me time to track down Odoof and find out where he wants to meet you. See me in a little while. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '69', 'npc_noloc_2', 'Give me time to figure out his position. See me in a few minutes -- I should know by then.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '70', 'npc_noloc_3', 'The Imperial courier will contact us with the waypoint. See me in a while.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '71', 'npc_noloc_4', 'I need to clear you with the Royal Security Force before I send you in. Come back in a while and we should be ready.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '72', 'npc_reset_1', 'Very well. See me again when you think you\'re ready.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '73', 'npc_reward_1', 'I\'m so excited to have found such a talented artist. I just wish he wasn\'t such a recluse.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '74', 'npc_reward_2', 'These events to promote tourism never go as smoothly as you hope. I really appreciate your help with all of this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '75', 'npc_reward_3', 'I can\'t wait to hear who wins. The Imperial Arts Grant is a prestigious award.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '76', 'npc_reward_4', 'The Moff will be pleased to hear that you rescued his nephew. Well done!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '77', 'npc_smuggle_1', 'Tis bein\' too crowded \'round here. Mesa no wantin\' to be wit all da stinkowiff outlaunders. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '78', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '79', 'npc_smuggle_3', 'I\'ll take this to the judges immediately. Don\'t try to follow me -- their location is classified.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '80', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '81', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '82', 'npc_takeme_2', 'I\'m glad to see you. I was starting to wonder if you\'d gotten lost too.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '83', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '84', 'npc_takeme_4', 'That maniac wanted to kill me just because he didn\'t get the grant. What a sore loser.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '85', 'npc_work_1', 'Haven\'t you picked up that painting yet? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '86', 'npc_work_2', 'These events to promote tourism never go as smoothly as you hope. I really appreciate your help with all of this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '87', 'npc_work_3', 'Haven\'t you made that delivery yet? The judges are waiting. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '88', 'npc_work_4', 'You are going to go rescue him aren\'t you? If something happens to him because you waited, it would be just dreadful.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '89', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '90', 'otherescort_2', 'I\'m kind of lost. You must be looking for somebody else.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '91', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '92', 'otherescort_4', 'Who are you looking for? No, I\'m sorry. That\'s not me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '93', 'player_1_1', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '94', 'player_1_2', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '95', 'player_1_3', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '96', 'player_1_4', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '97', 'player_2_1', 'No');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '98', 'player_2_2', 'No');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '99', 'player_2_3', 'No');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '100', 'player_2_4', 'No');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '101', 'player_3_1', 'Why doesn\'t the artist bring it himself?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '102', 'player_3_2', 'Who is this keynote speaker?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '103', 'player_3_3', 'What sort of grant?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '104', 'player_3_4', 'The Moff\'s nephew won the scholarship? Imagine my surprise.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '105', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '106', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '107', 'player_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '108', 'player_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '109', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '110', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '111', 'player_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '112', 'player_5_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '113', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '114', 'player_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '115', 'player_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '116', 'player_more_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '117', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '118', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '119', 'player_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '120', 'player_more_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '121', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '122', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '123', 'player_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '124', 'player_more_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '125', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '126', 'player_sorry_1', 'Sorry, I\'ll get back to work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '127', 'return_waypoint_description_1', 'Bring the painting to Jaleela Bindoo');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '128', 'return_waypoint_description_2', 'Escort Jonda Trask back to Jaleela Bindoo');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '129', 'return_waypoint_description_3', 'Return to Jaleela Bindoo and inform her the job has been completed.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '130', 'return_waypoint_description_4', 'Return to Jaleela Bindoo with Zim Graedler');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '131', 'return_waypoint_name_1', 'Jaleela Bindoo');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '132', 'return_waypoint_name_2', 'Jaleela Bindoo');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '133', 'return_waypoint_name_3', 'Jaleela Bindoo');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '134', 'return_waypoint_name_4', 'Jaleela Bindo');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '135', 'waypoint_description_1', 'Go and pick up the painting from Odoof Grunda');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '136', 'waypoint_description_2', 'Go and find Jonda Trask');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '137', 'waypoint_description_3', 'Deliver the list of finalists to the courier.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '138', 'waypoint_description_4', 'Go and rescue the Moff\'s nephew Zim Graedler');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '139', 'waypoint_name_1', 'Odoof Grunda');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '140', 'waypoint_name_2', 'Jonda Trask\'s location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '141', 'waypoint_name_3', 'Dane Windholm\'s location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '142', 'waypoint_name_4', 'Zim Graedler\'s location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '143', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '144', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '145', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '146', 'player_sorry_2', 'Sorry, I\'ll get back to work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '147', 'player_sorry_3', 'Sorry, I\'ll get back to work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '148', 'player_sorry_4', 'Sorry, I\'ll get back to work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '149', 'npc_reset_2', 'Very well. See me again when you think you\'re ready.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '150', 'npc_reset_3', 'Very well. See me again when you think you\'re ready.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_jaleela_bindoo.stf', '151', 'npc_reset_4', 'Very well. See me again when you think you\'re ready.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '1', 'cant_work', 'I really could use your help once you aren\'t quite so busy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '2', 'dontknowyou_1', 'I am not the one you are looking for.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '3', 'dontknowyou_2', 'I\'m not waiting for you, friend.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '4', 'gotowork_1', 'Shouldn\'t you be leaving?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '5', 'gotowork_2', 'You should be going.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '6', 'next', 'I believe the Narmle Arts Gala is currently under control. If anything goes amiss, I\'ll keep you in mind.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '7', 'notit_1', 'I was expecting a presentation for our Arts Gala from a particular rising artist. That isn\'t it. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '8', 'notit_2', 'I was hoping to get a collection of diverse alien artifacts for our Arts Gala. That is\'t what I expected.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '9', 'notyet', 'Sorry, I\'m a little busy...');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '10', 'npc_1_1', 'Hello! I am Minister of Arts for the Narmle government. In this crucially important position, at this crucially important time of our Narmle Arts Gala, I have commissioned a holo presentation from a rising artist. It will certainly show up that imitative Restuss Arts Jubilee for the tone-deaf debacle it customarily is. Will you pick it up and bring it here?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '11', 'npc_1_2', 'Our Narmle Arts Gala had bad luck with that so-called rising artist whose insane screechings you brought to me. To remedy our ruined schedule, I called in a favor and asked to exhibit a friend\'s collection of rare alien artifacts. My friend sent them, but the cargo lifter went off course and has broken down Can you pick up the artifacts from the driver?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '12', 'npc_2_1', 'Excellent. Being rather eccentric, this artist lives in the wilderness, and looks rather unusual. Be careful on your journey.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '13', 'npc_2_2', 'Good. I expect you\'ll find the cargo at these coordinates. Please hurry!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '14', 'npc_3_1', 'I am sorry you can\'t help. This festival is a busy time for me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '15', 'npc_3_2', 'I\'m sorry your commitment to the Narmle Arts Gala appears weaker than I hoped. You haven\'t been subverted by those Restuss Jubilee people, I hope.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '16', 'npc_4_1', 'I believe I\'d best keep the name a secret, lest news leak out and spoil what should be a sensation. Those Restuss Jubilee people would die to steal away our prize catch. Please don\'t tell anyone about your assignment!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '17', 'npc_4_2', 'These alien art objects represent traditions from worlds across the galaxy. I believe there is some unifying theme, but I don\'t know what it is. The collection\'s descriptions should make all clear. Can you pick it up?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '18', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '19', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '20', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '21', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '22', 'npc_backtowork_1', 'Have you not brought back that presentation yet? Our Narmle Arts Gala audience will be agog when they finally see it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '23', 'npc_backtowork_2', 'Have you picked up that collection of artifacts? Our Arts Gala is waiting.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '24', 'npc_breech_1', 'Ah! You are here looking for the presentation from me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '25', 'npc_breech_2', 'Hey! Are you from that Arts Minister?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '26', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '27', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '28', 'npc_failure_1', 'Did you not bring back that presentation? Our Arts Gala audience will never know the pleasure they missed.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '29', 'npc_failure_2', 'You didn\'t bring that collection of alien artifacts? Well, perhaps that is for the best -- Imperial citizens are suspicious of such things.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '30', 'npc_more_1_1', 'Now I present a selection of sweet-toned Chadra Fan heart-splitter wailing serenades. Take it please to Oxil.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '31', 'npc_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '32', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '33', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '34', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '35', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '36', 'npc_noloc_1', 'I\'m awaiting a contact from the artist shortly, giving the coordinates for the rendezvous. Check with me in a few moments.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '37', 'npc_noloc_2', 'The driver of the stranded cargolifter will relay coordinates to me shortly. Check with me soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '38', 'npc_reset_1', 'Very well. I hope you\'ll remember the importance of furthering the arts in Narmle -- as opposed to Restuss.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '39', 'npc_reward_1', 'What? What is this foul caterwauling? I can\'t play this noise -- our Arts Gala would become a laughingstock in Restuss! Well, I shall pay you, but I believe I\'ll cross a certain artist off my list of future contributors.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '40', 'npc_reward_2', 'What? Grains of dust? I have no way to display a pinch of artistic dust! This is sheer flummery! Whatever shall my Arts Gala do? This is somehow the work of those Restuss Jubilee fiends.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '41', 'npc_smuggle_1', 'Ah! I am most excited! In a fit of inspiration I have revised my promised presentation of the Empire\'s finest military marches. Yes! It is now revised.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '42', 'npc_smuggle_2', 'Here\'s that collection of alien artifacts. I carried them as far as I could -- good thing they\'re light. They\'re all carved dust grains -- need quite a magnification to see them.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '43', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '44', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '45', 'npc_work_1', 'I really don\'t know what else I can tell you. Please bring me the presentation.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '46', 'npc_work_2', 'I don\'t know what else I can tell you, really. Please pick up the collection of artifacts as soon as possible.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '47', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '48', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '49', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '50', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '51', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '52', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '53', 'player_3_1', 'Who is this rising artist?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '54', 'player_3_2', 'What sort of artifacts?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '55', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '56', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '57', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '58', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '59', 'player_more_1_1', 'What is your revised presentation?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '60', 'player_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '61', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '62', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '63', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '64', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '65', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '66', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '67', 'return_waypoint_description_1', 'Narmle\'s Arts Minister, awaiting delivery of a presentation for the Narmle Arts Festival sent by a rising artist.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '68', 'return_waypoint_description_2', 'The Narmle Arts Minister is expecting a collection of alien artifacts for the Narmle Arts Gala.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '69', 'return_waypoint_name_1', 'Oxil Sarban');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '70', 'return_waypoint_name_2', 'Oxil Sarban');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '71', 'waypoint_description_1', 'A promising artist with a presentation sought by Narmle\'s Arts Minister, Oxil Sarban, for the Narmle Arts Festival.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '72', 'waypoint_description_2', 'Here is a collection of alien artifacts for the Narmle Arts Minister, Oxil Sarban, and his Narmle Arts Gala.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '73', 'waypoint_name_1', 'Rising Artist');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '74', 'waypoint_name_2', 'Alien Artifact Collection');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '75', 'npc_reset_2', 'Very well. I hope you\'ll remember the importance of furthering the arts in Narmle -- as opposed to Restuss.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '76', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_oxil_sarban.stf', '77', 'player_sorry_2', 'Ok.  I\'ll get back to work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '1', 'cant_work', 'You already have a job. I can\'t just go hiring people who already have jobs. It would be anarchy, I tell you. See me if you get fired.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '2', 'dontknowyou_1', 'I\'m just here to drop off something to someone else. Don\'t worry about me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '3', 'dontknowyou_2', 'This probably isn\'t the healthiest place for you to be. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '4', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '5', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '6', 'next', 'Oh yes, you were the one I hired a few years back -- or was it weeks? Didn\'t I fire you? No. Wait. That was that Jawa. It\'s been nice chatting with you. See me again some time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '7', 'notit_1', 'You\'re supposed to give me a disc from the arts committee. What is this thing?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '8', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '9', 'notyet', 'Sorry, can\'t talk now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '10', 'npc_1_1', 'Are you the one the agency sent over to run my errands for me? Speak up! I don\'t have all day. I\'m supposed to announce the winner of some competition, and I need somebody to pick up the announcement of who won. Will you do it, or do I need to find somebody else?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '11', 'npc_1_2', 'My blasted fool of a daughter -- or is it my son? -- has gotten into trouble. One of them has a gambling problem and has fallen afoul of some hoodlums. If these ruthless crooks aren\'t paid, one of them will get hurt. Would you go and save whichever one of them got into this mess?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '12', 'npc_2_1', 'You must be an art lover to do something this dull. I suppose I\'ll have to pay you. Meet the courier and bring me back the name of this no-talent guttersnipe.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '13', 'npc_2_2', 'My daughter -- or was it my son? -- well, one of them was going on a nature walk. Find whichever of them it was and bring him back here -- or her -- before those hooligans get hold of, of, whoever it is.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '14', 'npc_3_1', 'Why are you wasting my time?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '15', 'npc_3_2', 'What do you mean, \"no\"? How can you just leave my child, whichever it is, to those criminals?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '16', 'npc_4_1', 'A contest to see which talentless young boob can make a prettier holo than the other, or some such nonsense. Modern art, bah! Can\'t stand any of it. This Arts Gala is all a sham. So were you going to do this for me or not? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '17', 'npc_4_2', 'I wasn\'t born this old, you know. You young people think you invented fun. Are you going to rescue my son or not? Or was it my daughter? I can never keep track of who\'s who anymore.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '18', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '19', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '20', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '21', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '22', 'npc_backtowork_1', 'Were you going to do this or not?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '23', 'npc_backtowork_2', 'What do you want now? I\'ve told you as much as I can remember.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '24', 'npc_breech_1', 'I was beginning to think they\'d forgotten to send someone.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '25', 'npc_breech_2', 'Did my father send you with the ransom money?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '26', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '27', 'npc_dropoff_2', 'Thanks for rescuing me from those goons. I\'ve learned my lesson.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '28', 'npc_failure_1', 'I guess I\'ll have to hire somebody else to find out who won this silly competition.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '29', 'npc_failure_2', 'Who did I send you to find? Oh well, it probably wasn\'t that important.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '30', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '31', 'npc_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '32', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '33', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '34', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '35', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '36', 'npc_noloc_1', 'How should I know where you\'re supposed to meet him? I\'ll call someone and find out where he is. Why do I always have to do everything myself? Be back in a little while.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '37', 'npc_noloc_2', 'Let me find out where that nature walk was going to take place. See me in a while. Maybe I can even figure out which one of my children it was.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '38', 'npc_reset_1', 'You think you can just give up? -- Well, that\'s true. But you should finish what you start! It helps keep you regular!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '39', 'npc_reward_1', 'What do you mean, pay you? You haven\'t even left yet. Oh, the disc -- How did it get to be this late? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '40', 'npc_reward_2', 'Is that my son or my daughter? My eyes aren\'t what they used to be.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '41', 'npc_smuggle_1', 'I\'ve got your disc right here. Safe travels, friend.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '42', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '43', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '44', 'npc_takeme_2', 'I can\'t believe he forgot to send the ransom. Next time I\'d better ask my mother for help.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '45', 'npc_work_1', 'Have you picked up the disk with the winner yet? I\'m not getting any younger.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '46', 'npc_work_2', 'Were you going to make that rescue soon?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '47', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '48', 'otherescort_2', 'This probably isn\'t the healthiest place for you to be. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '49', 'player_1_1', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '50', 'player_1_2', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '51', 'player_2_1', 'No');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '52', 'player_2_2', 'No');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '53', 'player_3_1', 'What competition is this?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '54', 'player_3_2', 'You have a son? You\'ve got to be kidding.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '55', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '56', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '57', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '58', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '59', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '60', 'player_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '61', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '62', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '63', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '64', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '65', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '66', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '67', 'return_waypoint_description_1', 'Return to Sidoras Bey with the disc');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '68', 'return_waypoint_description_2', 'Return to Sidoras Bey with Silaras Bey');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '69', 'return_waypoint_name_1', 'Sidoras Bey');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '70', 'return_waypoint_name_2', 'Sidoras Bey');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '71', 'waypoint_description_1', 'Go meet the courier and pick up the disc with the name of the art contest winner');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '72', 'waypoint_description_2', 'Go and rescue Silaras Bey ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '73', 'waypoint_name_1', 'The courier\'s location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '74', 'waypoint_name_2', 'Silaras Bey\'s location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '75', 'npc_reset_2', 'You think you can just give up? -- Well, that\'s true. But you should finish what you start! It helps keep you regular!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '76', 'npc_reset_3', 'You think you can just give up? -- Well, that\'s true. But you should finish what you start! It helps keep you regular!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '77', 'player_reset_2', 'Can I do something else and come back to this later?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sidoras_bey.stf', '78', 'player_sorry_2', 'Forgot what I was doing.  I\'ll get back to work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '1', 'cant_work', 'If you\'re interested in Rori\'s \"Great Conversation\" debate, talk to me when you\'re less busy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '2', 'dontknowyou_1', 'I am certain you have the wrong person.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '3', 'dontknowyou_2', 'You definitely have the wrong person.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '4', 'gotowork_1', 'Shouldn\'t you be going?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '5', 'gotowork_2', 'The Minister, Sindra Lintikoor, told me you\'d have an invitation for me. Don\'t you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '6', 'next', 'I believe the Great Conversation debate is shaping up according to plan -- at least for now. I don\'t have anything else to keep you busy. But thanks for your help.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '7', 'notit_1', 'I expected you to bring me a datadisc with Ingon Lakbo\'s response to my invitation. This isn\'t it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '8', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '9', 'notyet', 'Sorry, too busy to talk.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '10', 'npc_1_1', 'Good day. I am Minister of Education for Narmle. For the upcoming \"Great Conversation\" debate between Narmle\'s leading scholars and those of Restuss, I\'ve invited the illustrious thinker Ingon Lakbo. Would you be so kind as to pick up his response?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '11', 'npc_1_2', 'I\'m glad you\'re looking for another assignment. Ingon Lakbo\'s curt refusal to participate in our \"Great Conversation\" debate with Restuss means that I can now invite Ingon\'s bitter rival in his stead. Will you deliver the invitation?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '12', 'npc_2_1', 'I look forward to getting Lakbo\'s response to my invitation. His is a fine mind, and his participation an asset to our debate.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '13', 'npc_2_2', 'Good. I\'ll look forward to your report of success, and then to Bieque\'s attendance at our debate.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '14', 'npc_3_1', 'That\'s a disappointment, but I understand. Let me know if you change your mind.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '15', 'npc_3_2', 'After your earlier help, I was hoping for more. Well, I hope you\'ll change your mind.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '16', 'npc_4_1', 'The two towns on Rori, Narmle and Restuss, stage frequent debates between their intellectuals. Victory validates the winner\'s superiority. It\'s Rori\'s equivalent of a sporting match. Would you pick up Ingon\'s response, so I know whether he can participate?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '17', 'npc_4_2', 'I\'m inviting the philosopher Bieque Lozan-Lippid. He\'s quite well regarded in Narmle, except by Ingon Lakbo, with whom he once engaged in a fistfight on the topic of the nature of evil. Charming man, though, when not out of temper.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '18', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '19', 'npc_5_2', 'In this installment we ponder the issue of bacta restoration. When I am killed in combat and then emerge from a bacta tank soon afterward, am I still me? Or am I a mere simulacrum? These are questions of fundamental importance across the galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '20', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '21', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '22', 'npc_backtowork_1', 'Haven\'t you brought Ingon Lakbo\'s response to my invitation? I need to know whether he\'ll participate in the \"Great Conversation\" debate.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '23', 'npc_backtowork_2', 'I hoped by now you\'d have delivered that invitation to Bieque Lozan-Lippid. He\'s waiting, you know.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '24', 'npc_breech_1', 'I am Ingon Lakbo. Are you here to pick up my response?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '25', 'npc_breech_2', 'Are you here from the Minister of Education?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '26', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '27', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '28', 'npc_failure_1', 'You didn\'t bring Ingon Lakbo\'s response to my invitation? Well, maybe I\'ll try to reach him by HoloNet. I doubt that will work -- he despises electronic communication.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '29', 'npc_failure_2', 'You didn\'t deliver that invitation to Bieque Lozan-Lippid? Well, I\'ll have to find someone else. Thank you anyway.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '30', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '31', 'npc_more_1_2', 'A thinker of any complexity inevitably draws resentment from those less gifted. Then, too, there is an emotional dimension to certain rivalries, which I\'d rather not discuss at this time. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '32', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '33', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '34', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '35', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '36', 'npc_noloc_1', 'I\'m waiting to hear from Ingon now about where he\'d like you to meet him. Talk to me again in a few moments.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '37', 'npc_noloc_2', 'I\'m waiting to hear from Bieque when he\'s ready to rendezvous. Talk to me in a few moments.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '38', 'npc_reset_1', 'Very well. I hope you\'ll return when you have more interest.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '39', 'npc_reward_1', 'Let me just see what Lakbo says -- hmm! He rejects my invitation, and rather casually. Well, this has a bright side. Now I have another job waiting, so please talk to me soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '40', 'npc_reward_2', 'I hope Bieque Lozan-Lippid will attend our debate. With his oratical skill, we can trounce those Restuss thinkers. He\'s their bad dream.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '41', 'npc_smuggle_1', 'I have no interest in attending this so-called Great Conversation, for I regard the Restuss scholars as a job-lot of ignorant monkey-lizards. I say as much to the Minister in my response.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '42', 'npc_smuggle_2', 'I shall consider attending the Great Conversation debate. I only hope I won\'t see certain of my enemies there. Please give my thanks to the Minister.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '43', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '44', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '45', 'npc_work_1', 'I\'ve given you Ingon Lakbo\'s coordinates, so you have everything you need to get started.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '46', 'npc_work_2', 'I\'ve given you the coordinates for Bieque Lozan-Lippid. I hope you\'ll get started soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '47', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '48', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '49', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '50', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '51', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '52', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '53', 'player_3_1', 'What is \"The Great Conversation\" debate?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '54', 'player_3_2', 'Who is Ingon Lakbo\'s bitter rival?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '55', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '56', 'player_4_2', 'What is the subject of this \"Great Conversation\" debate?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '57', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '58', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '59', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '60', 'player_more_1_2', 'Who are your enemies?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '61', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '62', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '63', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '64', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '65', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '66', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '67', 'return_waypoint_description_1', 'Narmle\'s Minister of Education is waiting for a response from scholar Ingon Lakbo to her invitation to participate in \"The Great Conversation\" debate.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '68', 'return_waypoint_description_2', 'Narmle\'s Minister of Education sent an invitation to noted philosopher Bieque Lozan-Lippid to participate in \"The Great Conversation\" debate.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '69', 'return_waypoint_name_1', 'Sindra Lintikoor');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '70', 'return_waypoint_name_2', 'Sindra Lintikoor');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '71', 'waypoint_description_1', 'Leading philosopher of Narmle, waiting to respond to Sindra Lintikoor\'s invitation to participate in \"The Great Conversation\" debate.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '72', 'waypoint_description_2', 'Noted philosopher awaiting an invitation from Narmle Minister of Education Sindra Lintikoor to participate in \"The Great Conversation\" debate.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '73', 'waypoint_name_1', 'Ingon Lakbo');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '74', 'waypoint_name_2', 'Bieque Lozan-Lippid');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '75', 'npc_reset_2', 'Very well. I hope you\'ll return when you have more interest.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '76', 'player_reset_2', 'I can\'t do this right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_sindra_lintikoor.stf', '77', 'player_sorry_2', 'Oh, I\'ll get back to work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '1', 'cant_work', 'Friend, I have a job for you that\'ll change how you look at the galaxy. See me when you finish what you\'re doing.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '2', 'dontknowyou_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '3', 'dontknowyou_2', 'I\'m waiting for somebody else to meet me here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '4', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '5', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '6', 'next', 'I\'ve done all I can with you right now, my friend. Check back later and maybe I\'ll have something new for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '7', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '8', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '9', 'notyet', 'Oh, I\'m sorry.  Can you come back later?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '10', 'npc_1_1', 'I made a deal with the chief administrator that, for a very reasonable rate, I could clear out a nest of hermit spiders that would threaten the upcoming Narmle Arts Gala. The beauty of this idea is, hermit spiders are solitary creatures. You go kill one for me -- I tell Bindoo we got the queen, so the nest is history -- job\'s done! What do you say?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '11', 'npc_1_2', 'If there\'s one thing folks don\'t like, it\'s someone who cheats at cards. In fact, infuriated citizens recently chased my sabaac partner out of town because he was cheating. He wants to come back, but he\'s afraid they might still be looking for him. Might you escort him back here?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '12', 'npc_2_1', 'It\'s a simple thing. Just go and kill a hermit spider and come back the victorious spider-slaying hero. Oh, and remember -- when you got to the mound, there were at least fifty of them, you had to lob a thermal detonator, and the carnage was fantastic. Got it? Good.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '13', 'npc_2_2', 'Great. Be careful of those other card players -- I get the feeling they know how to hold a grudge.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '14', 'npc_3_1', 'What\'s the matter? Afraid of spiders?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '15', 'npc_3_2', 'Maybe I should just find a partner who cheats better.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '16', 'npc_4_1', 'You know how it is -- scare some children with a couple of realistic remote-control spider-droids, and stories start spreading. Jaleela Bindoo may know about art, but toss a couple of fake dead spiders in front of her and she loses all reason. So are you in or not?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '17', 'npc_4_2', 'Of course not! They didn\'t catch me. It\'s only cheating if they notice you doing it. So what do you say, friend, will you escort my partner back here safely?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '18', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '19', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '20', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '21', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '22', 'npc_backtowork_1', 'If you don\'t want in on this deal, just say so.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '23', 'npc_backtowork_2', 'No need to get pushy, friend. If you don\'t want the credits just say so.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '24', 'npc_breech_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '25', 'npc_breech_2', 'Did Zeelius send you? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '26', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '27', 'npc_dropoff_2', 'Thanks for getting me here. I\'d better work on my deal.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '28', 'npc_failure_1', 'Couldn\'t kill the spider, eh? Blast!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '29', 'npc_failure_2', 'That\'s too bad. Maybe I should start interviewing new sabaac partners. Do you play?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '30', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '31', 'npc_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '32', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '33', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '34', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '35', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '36', 'npc_noloc_1', 'Let me locate a likely lair for a hermit spider. Check with me in a short while.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '37', 'npc_noloc_2', 'Let\'s wait for the lynch mob to settle down. See me in a while, and it should be safe enough to go get my partner.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '38', 'npc_reset_1', 'Don\'t you worry, friend, just come back when you think you can finish the job.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '39', 'npc_reward_1', 'Nice work. I\'ll let Jaleela Bindoo know her \"spider problem\" is taken care of.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '40', 'npc_reward_2', 'Who is this? I\'ve never seen this guy before in my life -- I\'m kidding. You did great.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '41', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '42', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '43', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '44', 'npc_takeme_2', 'From the way they react, you\'d think none of these people has ever cheated at cards. Get me out of here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '45', 'npc_work_1', 'Hurry up and kill that spider. I don\'t want people to think I\'m lazy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '46', 'npc_work_2', 'Where is my partner? I thought you already left to get him.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '47', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '48', 'otherescort_2', 'I\'m waiting for somebody else to meet me here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '49', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '50', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '51', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '52', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '53', 'player_3_1', 'How could she have possibly believed that lame story?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '54', 'player_3_2', 'If he was your partner, doesn\'t that mean you were cheating too?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '55', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '56', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '57', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '58', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '59', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '60', 'player_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '61', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '62', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '63', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '64', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '65', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '66', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '67', 'return_waypoint_description_1', 'Report your amazing success to Zeelius Kraymunder.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '68', 'return_waypoint_description_2', 'Escort Kraymunder\'s gambling partner back to him.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '69', 'return_waypoint_name_1', 'Kraymunder\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '70', 'return_waypoint_name_2', 'Zeelius Kraymunder\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '71', 'waypoint_description_1', 'Get rid of the pesky hermit spider.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '72', 'waypoint_description_2', 'Find Kraymunder\'s gambling partner.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '73', 'waypoint_name_1', 'Hermit Spider\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '74', 'waypoint_name_2', 'Gambling Partner\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '75', 'npc_reset_2', 'Don\'t you worry, just come back when you can.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '76', 'player_reset_2', 'Sorry, I can\'t do this now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_narmle_zeelius_kraymunder.stf', '77', 'player_sorry_2', 'I\'ll get back to work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '1', 'cant_work', 'Yousa be talkin\' to mesa back here when yousa not bein\' so busy, hey?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '2', 'dontknowyou_1', 'Imperial business. Clear the area.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '3', 'dontknowyou_2', 'Imperial business. Move along.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '4', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '5', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '6', 'next', 'Heydo! My busy workin\' on de necklace for Raxa. My be stickin\' on de termal detanator soon!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '7', 'notit_1', 'My tinkin\' dat\'s not de ting my askin\' you for.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '8', 'notit_2', 'Yousa bringin\' mesa dat termal detanator? Disa not it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '9', 'notyet', 'Sorry, mesa no can talk to you now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '10', 'npc_1_1', 'Heydo! My workin\' on makin\' a necklace from Empire officer rank cylinder tings. My knowin\' \'bout a warrant officer in de wilds wit some soldiers. My wantin\' you to be killin\' de warrant officer an\' bringin\' mesa hisa rank cylinder ting. Hey?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '11', 'npc_1_2', 'Ello! My workin\' hard on de necklace for Raxa Binn. My needin\' a nice pendant now -- mesa tinkin\' a termal detanator. Yousa mebbe killin\' disa Empire Army captain an\' gettin\' it for mesa?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '12', 'npc_2_1', 'Oie boie, yousa good friend. My givin\' yousa de coordinates right now. Yousa bringin\' de cylinder ting back to me, hey?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '13', 'npc_2_2', 'Owoo! My givin\' yousa de coordinates right now. Disa captain, hesa got mooie bombad troopers wit him, so yousa be careful, hey?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '14', 'npc_3_1', 'Hokay, bye.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '15', 'npc_3_2', 'Hokay, bye.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '16', 'npc_4_1', 'Here at Zephyr Base wesa plannin\' strategies for fightin\' de Empire on Naboo. My bein\' liyayzonn to all Gungans on Naboo, gettin\' dere hep.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '17', 'npc_4_2', 'Ooh, one time mesa overhearin\' Raxa Binn, shesa sayin, \"Evvy tim I seein\' dat Gungan, I want a termal detanator.\"');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '18', 'npc_5_1', 'My be sweetin\' on de commando trainer here, Raxa Binn. Shesa mooie-mooie! My tinkin\' shesa likin\' a necklace made of Empire rank cylinder tings.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '19', 'npc_5_2', 'Disa one of Colonel Zarvold\'s men. Raxa Binn, shesa hatin\' Zarvold -- mesa not knowin\' why -- an\' will like dis detanator for, mesa thinkin\', sentimental value.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '20', 'npc_6_1', 'Ooah, de rank cylinder tings for warrant officers bein\' just de right color for matchin\' Raxa Binn\'s eyes!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '21', 'npc_6_2', 'Hesa Cap\'n Rohd Gostervek, mooie bombad Imperial. Hesa patrollin\' de wilderness, lookin\' for dis base. Hesa always protected, so yousa be careful, hey?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '22', 'npc_backtowork_1', 'My not knowin\' anyting else to be tellin\' yousa, sorry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '23', 'npc_backtowork_2', 'My not knowin\' anyting else to be tellin\' yousa, sorry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '24', 'npc_breech_1', 'It\'s a Rebel! Protect me, you fools!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '25', 'npc_breech_2', 'Rebel sighted! Open fire!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '26', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '27', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '28', 'npc_failure_1', 'Yousa no got de rank cylinder ting? Awoo, my never gonna finish disa necklace for Raxa.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '29', 'npc_failure_2', 'Owoo! No termal detanator? Mooie bombad! Raxa Binn, shesa nevah likin\' mesa now!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '30', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '31', 'npc_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '32', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '33', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '34', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '35', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '36', 'npc_noloc_1', 'My waitin\' now for coordinates for de Empire patrol. Yousa be checkin\' wit mesa soon, hey?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '37', 'npc_noloc_2', 'My waitin\' for Zephyr Base tellin\' where\'s disa captain. Yousa talkin\' to mesa real soon, hey?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '38', 'npc_reset_1', 'Dat okay wit mesa. Yousa go be doin\' your works, hey?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '39', 'npc_reward_1', 'Oie boie! Disa de just-right ting mesa needin\' on de necklace for Raxa! Tanks! Yousa be talkin\' to mesa \'gain soon, hey?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '40', 'npc_reward_2', 'Ooh, yousa bombad! Disa gonna be de sweetest necklace for de sweetest Zabrak commando trainer in de worl\'. Shesa seein\' dis an\' gettin\' all soft an\' sweet ovah mesa. Tanks!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '41', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '42', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '43', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '44', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '45', 'npc_work_1', 'Yousa gettin\' dat rank cylinder ting yet? My workin\' on Raxa\'s necklace berry hard.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '46', 'npc_work_2', 'Yousa not gettin\' dat termal detanator yet? My workin\' berry hard on de necklace.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '47', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '48', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '49', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '50', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '51', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '52', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '53', 'player_3_1', 'Who are you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '54', 'player_3_2', 'Why do you want a thermal detonator for a necklace pendant?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '55', 'player_4_1', 'Who is getting the gift necklace you\'re making?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '56', 'player_4_2', 'Why do you want a detonator from this particular Imperial Army captain?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '57', 'player_5_1', 'Why does the rank cylinder have to be from this warrant officer?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '58', 'player_5_2', 'Who is the Imperial Army captain?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '59', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '60', 'player_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '61', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '62', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '63', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '64', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '65', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '66', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '67', 'return_waypoint_description_1', 'Gungan liaison to the Zephyr Base Alliance outpost on Rori, currently waiting for an Imperial rank cylinder that he wants to add to a necklace.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '68', 'return_waypoint_description_2', 'Gungan liaison to the Zephyr Base Alliance outpost on Rori, currently waiting for a thermal detonator to use as a necklace pendant.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '69', 'return_waypoint_name_1', 'Booto Lubble');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '70', 'return_waypoint_name_2', 'Booto Lubble');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '71', 'waypoint_description_1', 'On patrol from Colonel Zarvold\'s Imperial Army battalion on Rori, this officer carries an Imperial rank cylinder sought by Booto Lubble, Gungan liaison to the Zephyr Base Alliance outpost on Rori.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '72', 'waypoint_description_2', 'A patrol from Colonel Zarvold\'s Imperial Army battalion on Rori, equipped with a thermal detonator sought by Booto Lubble, Gungan liaison to the Zephyr Base Alliance outpost.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '73', 'waypoint_name_1', 'Imperial Warrant Officer');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '74', 'waypoint_name_2', 'Thermal Detonator');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '75', 'npc_reset_2', 'Dat okay wit mesa.  Yousa go be doin\' your works, hey?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '76', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_booto_lubble.stf', '77', 'player_sorry_2', 'I\'ll keep working on it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '1', 'cant_work', 'I ask a lot from the people who work for me. I need your full concentration. Come see me when you\'ve finished whatever you\'re doing now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '2', 'dontknowyou_1', 'Clear out of here, citizen. I\'ll only give you this one warning.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '3', 'dontknowyou_2', 'This isn\'t something you should get involved in. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '4', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '5', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '6', 'next', 'That\'s all I have for you to do right now. If we attract too much attention, the Imperials will find this outpost. Come see me a little later, perhaps things will have settled down by then and we can cause some more trouble.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '7', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '8', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '9', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '10', 'notyet', 'Can\'t talk.  Busy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '11', 'npc_1_1', 'My name is Raxa Binn. I train commandos here at Zephyr Base as well as wreak a little havoc on the Imperials when time permits. If you want to get on my good side you should do a little work for me. You could pick up a few credits and help the Alliance at the same time. Interested?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '12', 'npc_1_2', 'You handled that last job pretty well. Let\'s see what you can do with something a little more difficult. One of the outpost\'s scouts is overdue to check in and some stormtrooper commandos have been spotted in the vicinity of that patrol area. We think they may have captured our scout. Would you be willing to go handle the rescue?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '13', 'npc_1_3', 'I had some of our scouts check out why there\'s been so much action here recently. Those commandos were part of a larger mobile force looking for Alliance activity. I need someone who\'s willing to go and take out this mobile base. Are you interested or is it too much for you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '14', 'npc_2_1', 'Good. There is a group of Imperial stormtroopers that have been getting a little too close to this outpost for my liking. Their leader is a stormtrooper squad leader. I think he\'s the one who suspects something is going on. Next time he\'s on patrol, take him out. He\'ll have friends with him, so bring some people you can trust.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '15', 'npc_2_2', 'You\'re a credit to our cause - if you can pull this off. These people are about as well trained as Imperial soldiers get, so bring a lot of firepower and some backup that you trust. Good luck. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '16', 'npc_2_3', 'You have two objectives: First, take out that base; second, leave no survivors. This isn\'t going to be easy. Get your team together and leave immediately. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '17', 'npc_3_1', 'Maybe you need to toughen up a little if you don\'t think you\'re up to this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '18', 'npc_3_2', 'I wish they\'d stop sending me people who were all talk and no action.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '19', 'npc_3_3', 'I though it might be beyond your skills. This will need an elite team.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '20', 'npc_4_1', 'I want you to help the Alliance. More specifically, I want you to kill as many of those Imperial goons as you can. I\'ll tell you which ones once you\'ve agreed to do it. Otherwise, you don\'t need to know. What\'s it going to be?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '21', 'npc_4_2', 'They\'re an elite group of stormtroopers with some of the best training and equipment available. Still interested?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '22', 'npc_4_3', 'Not nearly so much as if they find this outpost. We can always relocate to keep them off our track once you\'ve taken care of their base. Are you up to this or not?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '23', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '24', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '25', 'npc_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '26', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '27', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '28', 'npc_6_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '29', 'npc_backtowork_1', 'What is it now? I don\'t like interruptions.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '30', 'npc_backtowork_2', 'I\'ve told you all I can. Are you going or not?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '31', 'npc_backtowork_3', 'You know the risks. Are you going to do this or not?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '32', 'npc_breech_1', 'Rebel scum!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '33', 'npc_breech_2', 'Get your hands off me, you Imperial lackeys! ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '34', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '35', 'npc_dropoff_2', 'Thanks, pal. Maybe one day I can return the favor.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '36', 'npc_failure_1', 'I warned you it might be tough. Maybe you can take him out next time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '37', 'npc_failure_2', 'I\'m getting the impression your mission was less than successful. We\'ll have to make another attempt quickly. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '38', 'npc_failure_3', 'Something has to be done. I can\'t allow that base to put my people at risk.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '39', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '40', 'npc_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '41', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '42', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '43', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '44', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '45', 'npc_noloc_1', 'Let me check our intelligence on his whereabouts. Come and see me in a few minutes and I\'ll know where to send you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '46', 'npc_noloc_2', 'I\'ll need a moment to get our scouts last known location. Check back with me in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '47', 'npc_noloc_3', 'I\'ll check with my scouts for the location of this mobile base. Come back in a few minutes and I\'ll get you those coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '48', 'npc_reset_1', 'Come back when you think you\'re ready for this. There are always more Imperials that need to die.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '49', 'npc_reward_1', 'You\'ve done well. I may find more uses for you. Check back with me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '50', 'npc_reward_2', 'Not bad at all. You may have the makings of a fine commando.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '51', 'npc_reward_3', 'Well done. If I had a few more like you on our team, I could send those Imperials packing in no time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '52', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '53', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '54', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '55', 'npc_takeme_2', 'Perfect timing. They were just about to bring me back for questioning.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '56', 'npc_work_1', 'Have you taken out that squad leader yet? I don\'t want him finding this place.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '57', 'npc_work_2', 'Hurry up and rescue our scout. I don\'t want this outpost compromised.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '58', 'npc_work_3', 'I want that base taken out. Get going.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '59', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '60', 'otherescort_2', 'This isn\'t something you should get involved in. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '61', 'player_1_1', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '62', 'player_1_2', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '63', 'player_1_3', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '64', 'player_2_1', 'No');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '65', 'player_2_2', 'No');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '66', 'player_2_3', 'No');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '67', 'player_3_1', 'What do you want me to do?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '68', 'player_3_2', 'What are these stormtrooper commandos?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '69', 'player_3_3', 'Won\'t it attract a lot of attention if they all go missing?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '70', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '71', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '72', 'player_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '73', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '74', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '75', 'player_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '76', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '77', 'player_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '78', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '79', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '80', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '81', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '82', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '83', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '84', 'return_waypoint_description_1', 'Return to Raxa Binn and inform her that your mission was successful.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '85', 'return_waypoint_description_2', 'Return to Raxa Binn with the Rebel scout');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '86', 'return_waypoint_name_1', 'Raxa Binn');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '87', 'return_waypoint_name_2', 'Raxa Binn');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '88', 'waypoint_description_1', 'Go find and kill the Stormtrooper squad leader');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '89', 'waypoint_description_2', 'Rescue the Rebel scout');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '90', 'waypoint_name_1', 'Stormtrooper squad leader\'s location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '91', 'waypoint_name_2', 'Rebel scout\'s location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '92', 'npc_reset_2', 'Come back when you think you\'re ready for this. There are always more Imperials that need to die.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '93', 'npc_reset_3', 'Come back when you think you\'re ready for this. There are always more Imperials that need to die.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '94', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '95', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '96', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_raxa_binn.stf', '97', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '1', 'cant_work', 'Come back and talk to me about an assignment when you\'ve finished your current one.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '2', 'dontknowyou_1', 'I\'m afraid I can\'t talk to you at the moment. I\'m busy with something.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '3', 'dontknowyou_2', 'Sadly, I have no time for you. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '4', 'dontknowyou_3', 'Get lost! I ain\'t got no time for the likes of you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '5', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '6', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '7', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '8', 'next', 'You\'ve been a great help to the Alliance. I don\'t need your services at the moment but check back with me later. You never know around here when an emergency will spring up. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '9', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '10', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '11', 'notit_3', 'Those are not the permits I asked you to bring me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '12', 'notyet', 'I don\'t have anything to say to you right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '13', 'npc_1_1', 'I hope you\'re here to work, because we\'ve got plenty to do. A respected Naboo scientist has just arrived on Rori. This individual has been studying Gungan weapons technology and is crucial to the Alliance\'s efforts. High Inquisitor Sikander has placed a deathmark on his head so we need to act fast. Can I count on you to get this Naboo scientist back here safely?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '14', 'npc_1_2', 'Sometimes I hate dealing with these \"procurement specialists\" but what choice do people like us have? The smuggler who was supposed to get our Naboo scientist offworld has just adjusted his price. He now wants us to rescue his Twi\'lek girlfriend as part of the payment for getting the scientist to High Command. I have no choice but to accept. Do you think you could tackle this mission?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '15', 'npc_1_3', 'The plot thickens, it seems. The pirate captain got wind of your rescue and ordered a strike on our smuggler friend. The smuggler escaped with his life but he lost the transport permits we had acquired for him. The pirate captain has them now and we need to get them back. Do you think you can do that?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '16', 'npc_2_1', 'Good. Here are the coordinates where the scientist was dropped off. Be ready for trouble. Our agents say that several bounty hunters have recently arrived on Rori. Best of luck.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '17', 'npc_2_2', 'I\'m glad I can count on you. The girlfriend is being taken to the pirate captain. You need to intercept her and take care of her captors. It\'s important she come back alive or the smuggler will back out of our deal.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '18', 'npc_2_3', 'Excellent. Our smuggler gave us the coordinates to the pirate\'s hideout. The captain should have the permits with him. This mission will be tough. Feel free to solicit help from your comrades. Best of luck.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '19', 'npc_3_1', 'Then if you\'ll excuse me, I have lots of work to do.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '20', 'npc_3_2', 'I understand. I hate getting in the middle of these squabbles too. I\'ll find someone else to take care of this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '21', 'npc_3_3', 'Perhaps I\'ve asked too much of you already. I\'ll get someone else to do this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '22', 'npc_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '23', 'npc_4_2', 'I don\'t know the whole story but it has something to do with a gambling debt and a long-standing feud between this smuggler and a notorious pirate. Believe me, the less you know, the better. Will you help?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '24', 'npc_4_3', 'It\'s a matter of timing and urgency. Plus, if the pirate captain wanted to send those permits to the Imperials, he could jeopardize our covert agents on half a dozen worlds. Those permits are too valuable to leave in his hands. Will you get them back? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '25', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '26', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '27', 'npc_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '28', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '29', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '30', 'npc_6_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '31', 'npc_backtowork_1', 'If you feel this mission is beyond your abilities, I understand. Do you wish to reconsider?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '32', 'npc_backtowork_2', 'If you\'d like to reconsider, I understand. I hate getting tangled in private feuds of this sort.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '33', 'npc_backtowork_3', 'I\'ve explained everything you need to know. Did you wish to back out?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '34', 'npc_breech_1', 'Hello? Did Commander Sildor send you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '35', 'npc_breech_2', 'Help! I\'m being kidnapped by pirates!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '36', 'npc_breech_3', 'You shouldn\'t be wandering around here, pal. It\'s bad for your health.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '37', 'npc_dropoff_1', 'I am most grateful to you. I don\'t believe I would have made it back alive without your assistance.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '38', 'npc_dropoff_2', 'I am most appreciative of your help. I shudder to think what would have happened to me if you had not come along. Farewell!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '39', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '40', 'npc_failure_1', 'That scientist could have helped the Alliance develop more effective weapons against the Empire\'s military machines. A shame you couldn\'t bring him in.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '41', 'npc_failure_2', 'I sure hope I can find another smuggler who\'s willing to take the Naboo scientist to High Command. I really don\'t need this aggravation.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '42', 'npc_failure_3', 'I can only hope that pirate doesn\'t sell those permits to the Imperials before we can mount another assault. With my luck, he\'s probably already blasted off Rori.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '43', 'npc_more_1_1', 'I saw a bounty hunter on Naboo a few days before I was transported here. A hunter matching that description was seen on this planet a few hours ago by one of the smugglers who escorted me here. It can\'t be a coincidence.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '44', 'npc_more_1_2', 'It\'s all my fault, I\'m afraid. I fall in love too easily, you see. That can only lead to trouble. If you can, try to avoid falling in love.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '45', 'npc_more_1_3', 'Hah! Come and take \'em, sleemo! Rip it up, lads!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '46', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '47', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '48', 'npc_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '49', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '50', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '51', 'npc_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '52', 'npc_noloc_1', 'I need to verify the Naboo scientist\'s coordinates. Check back with me in a bit.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '53', 'npc_noloc_2', 'We have some surveillance droids tracking the Twi\'lek girl. Give me a few moments to get the updated coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '54', 'npc_noloc_3', 'We need to verify those coordinates. Could you check back with me in a few moments?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '55', 'npc_reset_1', 'Feel free to come back when you feel you can finish what you start. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '56', 'npc_reward_1', 'Well done, friend. The Alliance is greatful for your help. I hope you\'ll stick around for a bit.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '57', 'npc_reward_2', 'You\'re a reliable and effective agent. Could use more like you. Job well done.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '58', 'npc_reward_3', 'Well done, friend. You\'re a boon to the Rebellion. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '59', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '60', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '61', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '62', 'npc_takeme_1', 'We should leave at once. I believe a bounty hunter is after me. Be ready for a fight.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '63', 'npc_takeme_2', 'Could you take me back to your commander? I wish to thank him personally. He is most striking, is he not?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '64', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '65', 'npc_work_1', 'Where\'s the Naboo scientist? We need to make sure he makes it here in one piece.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '66', 'npc_work_2', 'Did you bring that Twi\'lek girl back yet? That smuggler keeps contacting me about her.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '67', 'npc_work_3', 'Did you get those transport permits yet? We need to get this scientist off Rori immediately.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '68', 'otherescort_1', 'I\'m not the man you\'re looking for.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '69', 'otherescort_2', 'I know you\'d like it to be, but sadly I am not the one you are looking for.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '70', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '71', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '72', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '73', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '74', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '75', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '76', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '77', 'player_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '78', 'player_3_2', 'What am I rescuing his girlfriend from?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '79', 'player_3_3', 'Why not just get new permits?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '80', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '81', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '82', 'player_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '83', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '84', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '85', 'player_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '86', 'player_more_1_1', 'How do you know a bounty hunter is after you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '87', 'player_more_1_2', 'What is this all about?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '88', 'player_more_1_3', 'Hand over the transport permits and we can avoid trouble.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '89', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '90', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '91', 'player_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '92', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '93', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '94', 'player_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '95', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '96', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '97', 'return_waypoint_description_1', 'Escort the scientist safely back to Commander Sildor.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '98', 'return_waypoint_description_2', 'Escort the Twi\'lek safely back to Commander Sildor.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '99', 'return_waypoint_description_3', 'Bring the permits back to Commander Sildor.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '100', 'return_waypoint_name_1', 'Commander Sildor\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '101', 'return_waypoint_name_2', 'Commander Sildor\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '102', 'return_waypoint_name_3', 'Commander Sildor\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '103', 'waypoint_description_1', 'Find the scientist who\'s recently been smuggled off Naboo.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '104', 'waypoint_description_2', 'Rescue the Twi\'lek from her pirate captors.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '105', 'waypoint_description_3', 'Get the transport permits from the pirate captain.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '106', 'waypoint_name_1', 'Naboo Scientist\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '107', 'waypoint_name_2', 'Twil\'lek Girlfriend\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '108', 'waypoint_name_3', 'Pirate Captain\'s Hideout');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '109', 'npc_reset_2', 'Feel free to come back when you feel you can finish what you start. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '110', 'npc_reset_3', 'Feel free to come back when you feel you can finish what you start. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '111', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '112', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '113', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_rebeloutpost_vordin_sildor.stf', '114', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '1', 'cant_work', 'I do have a few errands I need done. Come see me later when you\'re in need of work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '2', 'dontknowyou_1', 'Are you lost? I\'m afraid I\'m not very good with directions.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '3', 'dontknowyou_2', 'I\'m just taking a little time off to do some surveying. Don\'t worry about me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '4', 'gotowork_1', 'What am I supposed to do with this? It makes no sense.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '5', 'gotowork_2', 'What is this for? Are you sure you meant to give me that?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '6', 'next', 'You\'ve been a total dear but I don\'t have anything else for you to do at the moment. Perhaps I can find something a bit later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '7', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '8', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '9', 'notyet', 'Can you come back later?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '10', 'npc_1_1', 'Do you think you might have a few minutes to spare? I\'m trying to find someone to help me with a few things but between the art festivals and the debate everybody is busy. I\'m trying to arrange some gatherings for those of us who don\'t really care which town is superior to the other. Do you think you can help me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '11', 'npc_1_2', 'Do you happen to have a little more time to spare, dear? An artist friend of mine is trying to get noticed but I fear amid the swarm of other artists here for the Jubilee she hasn\'t had much luck. I wanted to commission a dealer to buy several of her paintings and display them during the Jubilee. Do you think you could help me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '12', 'npc_2_1', 'I\'m so glad you can help. Bring this dinner party invitation to my dear friend Jinderliss Prason. You don\'t need to worry about getting a response right away.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '13', 'npc_2_2', 'Go see if you can pull my art dealer away from surveying long enough to make my purchases. Just deliver these instructions and that should take care of it. A simple little thing really.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '14', 'npc_3_1', 'I understand. Delivering invitations isn\'t terribly exciting. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '15', 'npc_3_2', 'I understand dear. You crave a life of excitement. I hope you find it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '16', 'npc_4_1', 'Just a delivery right now. I know it\'s a bit old-fashioned but I find a hand delivered invitation to be so much more personal. Would you mind terribly taking this invitation to my friend?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '17', 'npc_4_2', 'The art dealer that I use has gone off surveying. A strange hobby if you ask me, but many people do seem to enjoy it. I want you to deliver my request so that the purchase is made before the Jubilee. Will you help?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '18', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '19', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '20', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '21', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '22', 'npc_backtowork_1', 'Was there something else you needed, dear? Or have you changed your mind.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '23', 'npc_backtowork_2', 'Were you going to deliver that purchase request for me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '24', 'npc_breech_1', 'Hello, friend. Are you looking for me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '25', 'npc_breech_2', 'Hi. Are you looking for me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '26', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '27', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '28', 'npc_failure_1', 'Oh my! I\'m terribly sorry this caused you such trouble. I had no idea it would be so difficult. You poor dear.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '29', 'npc_failure_2', 'You poor thing. Sometimes even the simplest of tasks get all muddled with complications.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '30', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '31', 'npc_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '32', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '33', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '34', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '35', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '36', 'npc_noloc_1', 'I tried to contact my friend but nobody seems to be around to receive the invitation right now. Maybe you could come back in a little while. I\'ll keep trying.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '37', 'npc_noloc_2', 'Art dealers - you can never find one when you need one. Maybe someone at the gallery knows where mine is. Come see me in a few minutes. Hopefully I\'ll know where to send you by then.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '38', 'npc_reset_1', 'Not to worry, dear. You come back later if you want to and do it then.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '39', 'npc_reward_1', 'Thank you so much. I confess I find the constant bickering between the two cities a bit tiresome.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '40', 'npc_reward_2', 'Thank you. I hope this helps her get the attention she deserves. She\'s very talented.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '41', 'npc_smuggle_1', 'What\'s this? An invitation from Ajuva? How marvelous. Something to do other than listen to all that dreary rivalry talk.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '42', 'npc_smuggle_2', 'A purchase request from -- Oh my! I\'ll see to this right away. This will net me a nice commission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '43', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '44', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '45', 'npc_work_1', 'Have you delivered that invitation yet? There\'s no real rush, I was just wondering.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '46', 'npc_work_2', 'I don\'t want to be a nuisance but could you deliver my purchase request soon. I\'d hate to miss this opportunity to help my friend.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '47', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '48', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '49', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '50', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '51', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '52', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '53', 'player_3_1', 'What do you want done?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '54', 'player_3_2', 'What is it you need me to do?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '55', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '56', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '57', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '58', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '59', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '60', 'player_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '61', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '62', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '63', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '64', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '65', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '66', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '67', 'return_waypoint_description_1', 'Report back to Ajuva to let her know all is well.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '68', 'return_waypoint_description_2', 'Report your success to Ajuva.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '69', 'return_waypoint_name_1', 'Ajuva Vanasterin\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '70', 'return_waypoint_name_2', 'Ajuva Vanasterin\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '71', 'waypoint_description_1', 'Deliver a dinner party invitation to Jinderliss Prason.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '72', 'waypoint_description_2', 'Deliver a purchase request to Ajuva\'s art dealer.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '73', 'waypoint_name_1', 'Jinderliss Prason\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '74', 'waypoint_name_2', 'Art Dealer\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '75', 'npc_reset_2', 'Not to worry, dear. You come back later if you want to and do it then.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '76', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_ajuva_vanasterin.stf', '77', 'player_sorry_2', 'I\'ll keep trying.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '1', 'cant_work', 'I could use a little help with things. See me when you\'re not so busy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '2', 'dontknowyou_2', 'You should probably get out of here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '3', 'dontknowyou_3', 'I\'m kind of hiding out, so if you could get lost, I\'d really appreciate it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '4', 'dontknowyou_4', 'This is a bad place to be. You\'d better get out of here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '5', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '6', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '7', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '8', 'next', 'That\'s all I have for you right now. Check back with me later -- maybe something else will turn up.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '9', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '10', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '11', 'notit_3', 'You were supposed to bring back the art holo. What is this?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '12', 'notit_4', ' ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '14', 'npc_1_1', 'You\'re not a smuggler, are you? You look shifty. To get on my good side, help me out with a little favor. One of our citizens owns a trained tusk-cat. It was always well behaved, but recently it ran off and has been attacking people indiscriminately. Will you find it and put it down? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '15', 'npc_1_2', 'One of those stinking people from Narmle has stolen the holo we planned to use as the centerpiece for the Restuss Arts Jubilee. I\'m just too busy to track this vermin down. But if the town gets wind of this, there will be an uproar the likes of which we\'ve never seen. Will you find the culprit before word leaks to the town?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '16', 'npc_1_3', 'We got that thief to tell us what became of the stolen holo centerpiece intended for our Arts Jubilee. I want you to take the holo back from the smuggler that bought it. Will you do it? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '17', 'npc_1_4', 'I need your help again, urgently. That smuggler had some unsavory friends who hold our town responsible for his death. They\'ve sent a bounty hunter to kill our Chief Administrator for revenge. Will you stop the killer? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '18', 'npc_2_1', 'Glad to hear you\'re willing to help. Be careful now. Tusk-cats are fierce creatures. Find it and put it out of our misery.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '19', 'npc_2_2', 'Fortunately there\'s a tracking beacon in the holo for just such cases as this. Bring the thief back here to taste a little Restuss justice.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '20', 'npc_2_3', 'Get that holo back no matter what it takes. I don\'t want that smuggler to make it offworld with our precious art.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '21', 'npc_2_4', 'I thought you might be willing to help. Stop this killer by any means necessary. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '22', 'npc_3_1', 'I guess you don\'t take much interest in helping the law. You\'d better not cause any trouble around here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '23', 'npc_3_2', 'I better not find out you had anything to do with this. I don\'t much care for thieves or smugglers.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '24', 'npc_3_3', 'I can\'t believe you\'d let Restuss down in our darkest hour. I\'m very disappointed. You\'re not from Narmle, are you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '25', 'npc_3_4', 'It\'s your choice. Don\'t be surprised when they\'re looking for you next.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '26', 'npc_4_1', 'That\'s it exactly. If you kill it, you can just claim you were defending yourself, and the owner can\'t complain about that. What do you say?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '27', 'npc_4_2', 'Those poseurs have always been jealous of our Arts Jubilee. Now they\'ve gone too far. Will you find the thief and bring him back?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '28', 'npc_4_3', 'Possibly, but they might be planning to use it in Narmle. I wouldn\'t put it past those lowlifes. Will you at least try to find that holo?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '29', 'npc_4_4', 'I\'m sure if they knew you were responsible they\'d be happy to have you killed too. No doubt they\'ll find out about you -- unless you stop this killer. How about it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '30', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '31', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '32', 'npc_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '33', 'npc_5_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '34', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '35', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '36', 'npc_6_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '37', 'npc_6_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '38', 'npc_backtowork_1', 'If you don\'t think you can handle this, just say so.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '39', 'npc_backtowork_2', 'I\'ve told you everything I know. Was there anything else? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '40', 'npc_backtowork_3', 'You\'re not giving up on me, are you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '41', 'npc_backtowork_4', 'If you don\'t think you can stomach this one, tell me now. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '42', 'npc_breech_2', 'How did you find me so quickly?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '43', 'npc_breech_3', 'I\'ve got too much invested in this deal to give up now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '44', 'npc_breech_4', 'You think you can stop me? You\'re wrong -- dead wrong.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '45', 'npc_dropoff_2', 'I took the tracking beacon out of the holo. They\'ll never find it now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '46', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '47', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '48', 'npc_failure_1', 'You couldn\'t kill it? I warned you they were fierce.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '49', 'npc_failure_2', 'The thief got away. Blast! We have to get that holo back.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '50', 'npc_failure_3', 'Oh no! Our city will be the laughingstock of Rori.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '51', 'npc_failure_4', 'We\'ve got to find a way to stop this killer before it\'s too late.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '52', 'npc_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '53', 'npc_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '54', 'npc_more_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '55', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '56', 'npc_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '57', 'npc_more_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '58', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '59', 'npc_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '60', 'npc_more_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '61', 'npc_noloc_1', 'Let me find out the location of the most recent attacks. That\'s the most likely area to find it. See me again soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '62', 'npc_noloc_2', 'I need to check the tracer in the holo for its current location. See me soon and I\'ll have that information.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '63', 'npc_noloc_3', 'Give me a few minutes to have another little chat with our thief. Perhaps I can get some useful information to lead you to that smuggler.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '64', 'npc_noloc_4', 'Let me check with Chief Administrator Zindalai and make sure I haven\'t forgotten anything. See me in a few minutes and we\'ll get started. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '65', 'npc_reset_1', 'If you\'re not up to doing this right now, see me a little later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '66', 'npc_reward_1', 'Well done. You handled that like a pro. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '67', 'npc_reward_2', 'This thief may not be from Narmle, but I\'m guessing someone from there set up this whole thing.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '68', 'npc_reward_3', 'Great work, friend. You\'ve saved the Restuss Jubilee. That\'ll show Narmle!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '69', 'npc_reward_4', 'Well done, friend. That should teach those smugglers not to mess with Restuss. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '70', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '71', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '72', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '73', 'npc_takeme_2', 'Don\'t hurt me. I\'ll go quietly.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '74', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '75', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '76', 'npc_work_1', 'Have you killed that tusk-cat yet? I don\'t want that thing hurting anyone else.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '77', 'npc_work_2', 'Did you find that thief yet? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '78', 'npc_work_3', 'Have you caught up with that smuggler yet? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '79', 'npc_work_4', 'Did you find that killer yet? Don\'t wait too long. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '80', 'otherescort_2', 'You should probably get out of here. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '81', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '82', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '83', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '84', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '85', 'player_1_3', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '86', 'player_1_4', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '87', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '88', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '89', 'player_2_3', 'No');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '90', 'player_2_4', 'No');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '91', 'player_3_1', 'You want me to kill the tusk-cat?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '92', 'player_3_2', 'Why would someone from Narmle steal your holo?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '93', 'player_3_3', 'Wouldn\'t a smuggler have taken it offworld by now?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '94', 'player_3_4', 'Why aren\'t these people trying to kill me? I\'m the one that killed their friend.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '95', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '96', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '97', 'player_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '98', 'player_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '99', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '100', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '101', 'player_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '102', 'player_5_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '103', 'player_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '104', 'player_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '105', 'player_more_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '106', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '107', 'player_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '108', 'player_more_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '109', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '110', 'player_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '111', 'player_more_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '112', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '113', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '114', 'return_waypoint_description_2', 'Escort the thief back to Draya Korbinari');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '115', 'return_waypoint_description_3', 'Return the holo to Draya Korbinari.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '116', 'return_waypoint_description_4', 'Return to Draya Korbinari and inform her of your success');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '117', 'return_waypoint_name_2', 'Draya Korbinari');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '118', 'return_waypoint_name_3', 'Draya Korbinari');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '119', 'return_waypoint_name_4', 'Draya Korbinari');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '120', 'waypoint_description_2', 'Go and arrest the thief who stole the holo');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '121', 'waypoint_description_3', 'Go find the smuggler and retrieve the missing art holo.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '122', 'waypoint_description_4', 'Go stop the bounty hunter');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '123', 'waypoint_name_2', 'Thief\'s location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '124', 'waypoint_name_3', 'Smuggler\'s location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '125', 'waypoint_name_4', 'The bounty hunter\'s location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '126', 'npc_reset_2', 'If you\'re not up to doing this right now come back later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '127', 'npc_reset_3', 'If you\'re not up to doing this right now come back later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '129', 'npc_reset_4', 'If you\'re not up to doing this right now come back later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '130', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '131', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '132', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '133', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '134', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '135', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_draya_korbinari.stf', '136', 'notyet', 'Not right now, I\'m busy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '1', 'cant_work', 'You seem very busy at the moment. Why don\'t you finish your current task and come speak to me later?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '2', 'dontknowyou_1', 'I\'m quite busy at the moment. Please go away.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '3', 'dontknowyou_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '4', 'dontknowyou_3', 'I\'m quite busy and cannot chat.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '5', 'gotowork_1', 'Is this about that blasted Arts Gala? Or is it the Jubilee? I can never get them straight. I suppose you have an invitation for me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '6', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '7', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '8', 'next', 'There\'s nothing else I require of you at the moment. But please check back with me from time to time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '9', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '10', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '11', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '12', 'notyet', 'I don\'t think I need anyone right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '13', 'npc_1_1', 'Welcome to Restuss. If you\'re a patron of the arts, I think you\'ll find your stay here is a pleasant one. People of \"breeding\" are drawn to our city. It probably has to do with the Restuss Arts Jubilee. It\'s the oldest arts festival on Rori, you know, and takes a great deal of preparation. Would you care to help?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '14', 'npc_1_2', 'Good news! The maestro just contacted us and has agreed to attend the Arts Jubilee! However, there is a slight complication. His favorite riding gualama has escaped from its stable and the maestro wants it returned safely. Do you think you could do that?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '15', 'npc_1_3', 'Forgive me if I\'ve come to rely on your skills, but your effectiveness in missions past has left me no choice. The citizens of Restuss must once again call upon you to assist our Arts Jubilee. We need you to escort a wealthy patron of the festival back to our fair city. Can we count on you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '16', 'npc_2_1', 'Excellent. Please deliver this invitation into the hands of the maestro himself. I want him to know it comes directly from me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '17', 'npc_2_2', 'Excellent! Your dedication to our celebration is most impressive. We\'ve used tracker droids to locate the gualama but they also picked up some predators nearby. Please hurry and make sure the maestro gets his prized steed back alive.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '18', 'npc_2_3', 'You never disappoint, kind friend! Here are the coordinates where you\'ll find this patron - she\'s a bit of a naturalist and enjoys spending time absorbing the beauty of nature.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '19', 'npc_3_1', 'Ah, I see. Well, enjoy your stay. I hope that you leave our fair city a bit more cultured than when you entered it. Good day.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '20', 'npc_3_2', 'I suppose I\'ll have to find someone else to retrieve the maestro\'s noble steed. Farewell.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '21', 'npc_3_3', 'I suppose I could send one of our security people. You would have been much more colorful and entertaining, though. Ah well.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '22', 'npc_4_1', 'For years we\'ve been courting an artist of some renown to attend our Arts Jubilee, but so far have been unsuccessful. This year I\'ve had a special invitation made especially for the maestro and need it hand-delivered. Could you do that?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '23', 'npc_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '24', 'npc_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '25', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '26', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '27', 'npc_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '28', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '29', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '30', 'npc_6_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '31', 'npc_backtowork_1', 'I\'ve explained everything I can about this assignment. What else do you require?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '32', 'npc_backtowork_2', 'You seem uncertain. If you prefer to pass on this assignment, I\'ll understand.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '33', 'npc_backtowork_3', 'You\'ve been most helpful up to this point. If you\'d like to decline this assignment, I\'ll understand.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '34', 'npc_breech_1', 'Can I help you? Are you looking for someone in particular?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '35', 'npc_breech_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '36', 'npc_breech_3', 'Yoo-hoo! Over here! Are you my escort? I certainly hope so!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '37', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '38', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '39', 'npc_dropoff_3', 'You were a most gallant and brave companion. I thank you ever so much for the opportunity to witness an exciting blaster fight.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '40', 'npc_failure_1', 'Another year without the maestro\'s presence. Alas, our Arts Jubilee will not be perfect.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '41', 'npc_failure_2', 'This is most depressing. The maestro will never attend our Arts Jubilee now. We\'ll have to find another way to best those louts in Narmle.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '42', 'npc_failure_3', 'This is most disappointing. I\'ll need to send out a few more exclusive invitations to other wealthy citizens to make up for the lack of funds.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '43', 'npc_more_1_1', 'Because I have no desire to subject myself to a horde of poseurs and hobbyists who praise a tiresome has-been like Sidoras Bey for his sycophantic attempts to curry favor with the Emperor.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '44', 'npc_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '45', 'npc_more_1_3', 'Isn\'t it obvious? Because I\'m fabulously wealthy! Why bandits would make a fortune by ransoming me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '46', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '47', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '48', 'npc_more_2_3', 'Well you must admit being kidnapped by handsome and daring rogues is not without its pedestrian charms. If you\'ve never been kidnapped, you simply must give it a try sometime.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '49', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '50', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '51', 'npc_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '52', 'npc_noloc_1', 'I need to verify the maestro\'s coordinates with my people. Could you check back with me in a bit?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '53', 'npc_noloc_2', 'Give me a few moments to verify the gualama\'s coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '54', 'npc_noloc_3', 'If you could wait a few moments, I need to verify our patron\'s coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '55', 'npc_reset_1', 'My assignments are perhaps not for everyone. Come back if you change your mind.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '56', 'npc_reward_1', 'Well done. I do hope the maestro decides to attend. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '57', 'npc_reward_2', 'You\'ve come through for the people of Restuss again, friend. On behalf of the citizens of our fair city, I thank you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '58', 'npc_reward_3', 'Very well done! I shall add your name to the list of valuable patrons who helped make this year\'s Arts Jubilee a smashing success.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '59', 'npc_smuggle_1', 'Not another damn invitation to the Arts Jubilee. I\'ll look this over and think about it. But tell Zindalai not to get his hopes up.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '60', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '61', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '62', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '63', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '64', 'npc_takeme_3', 'I\'m so glad you arrived when you did. I fear there are some bandits on our trail. We should be cautious.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '65', 'npc_work_1', 'Did you deliver that invitation yet? Our Arts Jubilee would be an even greater success if the maestro were to attend.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '66', 'npc_work_2', 'Have you returned the maestro\'s steed to him? If he loses that beast, he\'ll never attend our Arts Jubilee.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '67', 'npc_work_3', 'Have you escorted our patron back here safely? We need her generous contribution to assure our festival is a success.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '68', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '69', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '70', 'otherescort_3', 'I don\'t believe I\'m the individual you\'re seeking.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '71', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '72', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '73', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '74', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '75', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '76', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '77', 'player_3_1', 'What exactly would I have to do?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '78', 'player_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '79', 'player_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '80', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '81', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '82', 'player_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '83', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '84', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '85', 'player_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '86', 'player_more_1_1', 'Why don\'t you want to attend the Arts Jubilee?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '87', 'player_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '88', 'player_more_1_3', 'Why are bandits after you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '89', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '90', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '91', 'player_more_2_3', 'Forgive me, but you almost sound excited by the prospect.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '92', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '93', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '94', 'player_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '95', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '96', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '97', 'return_waypoint_description_1', 'Report your success to Hefsen Zindalai.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '98', 'return_waypoint_description_2', 'Escort the gualama back to Hefsen Zindalai.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '99', 'return_waypoint_description_3', 'Escort the wealthy patron back to Hefsen Zindalai.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '100', 'return_waypoint_name_1', 'Chief Administrator Zindalai\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '101', 'return_waypoint_name_2', 'Chief Administrator Zindalai\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '102', 'return_waypoint_name_3', 'Chief Administrator Zindalai\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '103', 'waypoint_description_1', 'Deliver an invitation to the Restuss Arts Jubilee.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '104', 'waypoint_description_2', 'Find the runaway gualama before it\'s eaten by predators.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '105', 'waypoint_description_3', 'Find the wealthy patron of the Restuss Arts Jubilee.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '106', 'waypoint_name_1', 'The Maestro\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '107', 'waypoint_name_2', 'The Runaway Gualama\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '108', 'waypoint_name_3', 'Wealthy Patron\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '109', 'npc_reset_2', 'My assignments are perhaps not for everyone. Come back if you change your mind.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '110', 'npc_reset_3', 'My assignments are perhaps not for everyone. Come back if you change your mind.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '111', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '112', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '113', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_hefsen_zindalai.stf', '114', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '1', 'cant_work', 'When you aren\'t so busy, you might check with me for a job.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '2', 'dontknowyou_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '3', 'dontknowyou_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '4', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '5', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '6', 'next', 'I\'ve received no more reports of exotic wildlife that requires control, so I\'m returning to my research. Thanks for your help.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '7', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '8', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '9', 'notyet', 'I think I\'d like to be alone with my thoughts for a while.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '10', 'npc_1_1', 'Hello. I am a zoologist studying the local wildlife -- and, unfortunately, some nonlocal wildlife. A misguided researcher imported Corellian gubburs to Rori for study. They got loose and are now breeding. Will you help me control the population by disposing of one?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '11', 'npc_1_2', 'Welcome back! I have another report of a non-native animal endangering the Rori ecosystem. It\'s a Talusian guf drolg, quite harmful to the ecology.  I\'m hoping you can go take care of it for me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '12', 'npc_2_1', 'I appreciate your help -- and I\'ll make it worth your while when you return here afterward.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '13', 'npc_2_2', 'Good. The guf drolg is eating so many other creatures, it\'s disrupting the local ecosystem. The faster you work, the better.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '14', 'npc_3_1', 'Very well, sorry to bother you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '15', 'npc_3_2', 'I\'m sorry. That creature is doing substantial damage to the local ecosystem.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '16', 'npc_4_1', 'It\'s an amphibious reptavian, squat and lazy. They capture small insects with a long tongue. They hop, which makes them difficult to target.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '17', 'npc_4_2', 'A guf drolg is a large amphibious sauroid native to Talus. It is omnivorous, ill-tempered, and generally hostile. You may need help killing the specimen.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '18', 'npc_5_1', 'Gubburs have three long whiskers they use to identify changes in weather and tectonic motion. The researcher apparently wanted to see if these creatures could predict earthquakes here. I never heard the results of the research.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '19', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '20', 'npc_6_1', 'Gubburs are notorious for their terrible smell. They smell like burning leather, which repels most native predators. One more good reason to destroy them on Rori. Will you help?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '21', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '22', 'npc_backtowork_1', 'I don\'t know what else to tell you. Please find a gubbur, preferably of breeding age, and kill it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '23', 'npc_backtowork_2', 'I don\'t know what else to tell you. I\'d help you destroy the guf drolg, but unfortunately I\'m currently occupied with my work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '24', 'npc_breech_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '25', 'npc_breech_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '26', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '27', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '28', 'npc_failure_1', 'You didn\'t destroy that Corellian gubbur? I wouldn\'t have thought that a steep challenge.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '29', 'npc_failure_2', 'Did you not destroy that guf drolg? Well, I can hardly blame you -- they\'re fierce.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '30', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '31', 'npc_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '32', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '33', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '34', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '35', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '36', 'npc_noloc_1', 'Excuse me, I have to take a call from my research group leader. Please talk to me again in a moment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '37', 'npc_noloc_2', 'Excuse me, I have to take an important call from my research project director. Talk to me again shortly, please.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '38', 'npc_reset_1', 'I understand. Tromping around the wilderness to stomp a gubbur is not my idea of a fun time either.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '39', 'npc_reward_1', 'Thank you for your help in controlling the gubbur threat to Rori\'s sensitive ecosystem. There is more work of this kind, unfortunately, so talk to me again soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '40', 'npc_reward_2', 'Thank you for disposing of that guf drolg. Thank goodness there was only one of them.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '41', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '42', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '43', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '44', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '45', 'npc_work_1', 'I hope that Corellian gubbur isn\'t too much of a challenge for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '46', 'npc_work_2', 'I hope you\'re preparing to destroy that Talusian guf drolg. You may need a bit of help, but I\'m afraid I\'m currently occupied.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '47', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '48', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '49', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '50', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '51', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '52', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '53', 'player_3_1', 'What is a gubbur?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '54', 'player_3_2', 'What is a guf drolg?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '55', 'player_4_1', 'Why did the researcher import Corellian gubburs to Rori?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '56', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '57', 'player_5_1', 'Why don\'t local predators eat the gubburs?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '58', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '59', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '60', 'player_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '61', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '62', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '63', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '64', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '65', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '66', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '67', 'return_waypoint_description_1', 'This Mon Calamari zoologist will reward you for destroying a non-native Corellian gubbur.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '68', 'return_waypoint_description_2', 'This Mon Calamari zoologist will reward you for having destroyed the Talusian guf drolg.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '69', 'return_waypoint_name_1', 'Magur Torigai');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '70', 'return_waypoint_name_2', 'Magur Torigai');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '71', 'waypoint_description_1', 'Zoologist Magur Torigai would like this non-native amphibian destroyed before it damages the Rori ecosystem.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '72', 'waypoint_description_2', 'Zoologist Magur Torigai would like this Talusian creature destroyed before it damages the Rori ecosystem.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '73', 'waypoint_name_1', 'Corellian Gubbur');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '74', 'waypoint_name_2', 'Guf Drolg');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '75', 'npc_reset_2', 'I understand. Maybe you\'ll change your mind later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '76', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_magur_torigai.stf', '77', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '1', 'cant_work', 'I don\'t wish to interrupt your current assignment, friend. Come back when your time is your own again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '2', 'dontknowyou_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '3', 'dontknowyou_2', 'I\'m a bit busy at the moment. Can\'t chat, sorry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '4', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '5', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '6', 'next', 'You\'ve been a great help, but I think I have things under control now. Enjoy your stay in Restuss.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '7', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '8', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '9', 'notyet', 'I\'m a bit busy at the moment...');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '10', 'npc_1_1', 'How do, stranger? I\'m Lord Sloan Rusper. Maybe you\'ve heard of me? Great Naboo hunter? Well, doesn\'t matter. What I need is someone with a stout heart and a love of danger. Does that describe you? Feel like doing a bit of hunting? I\'ve been given the task by His Honor, Hefsen Zindalai, to make sure this area is safe for the Arts Jubilee. Never understood all the hullabaloo about that festival, but that\'s neither here nor there. Care to join the ranks of the hunting elite? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '11', 'npc_1_2', 'I\'m in need of your services yet again, my brave friend. One of my hunters has gotten himself into a bit of a pickle, I\'m afraid. While exploring what he thought was an abandoned tusk-cat den, he uncovered a nest of nightspiders. Fortunately, he was able to send a final distress call before communications were cut off. Can you help save the poor lad? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '12', 'npc_2_1', 'By the Force, that\'s the spirit! I\'ll give you the coordinates of the last attack. It seems this creature tends to hunt in a small area. Have your weapon handy! Best of luck!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '13', 'npc_2_2', 'I was hoping I could rely upon you. It does this old man\'s heart proud to know he still has the eye for spotting a true hunter. Best of luck!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '14', 'npc_3_1', 'That\'s a shame. You have the appearance of someone who would laugh in the face of danger, and I\'m seldom wrong about these things. I must be getting old.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '15', 'npc_3_2', 'Some people just don\'t have the heart of a hunter, I suppose. Ah well, sorry I bothered you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '16', 'npc_4_1', 'Not sure, exactly. It seems something in the water is turning the predators of Rori into marauding beasts. Not that they weren\'t dangerous before, mind you, but this affliction turns them into nightmarish killers. And you\'d be going after one of the worst in recent months. Care to tackle this monster? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '17', 'npc_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '18', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '19', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '20', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '21', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '22', 'npc_backtowork_1', 'You seem hesitant, friend. Do you wish to reconsider?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '23', 'npc_backtowork_2', 'Nightspiders creep me out too, friend. I understand if you wish to back out.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '24', 'npc_breech_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '25', 'npc_breech_2', 'Hey! Over here! Help me get rid of these spiders!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '26', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '27', 'npc_dropoff_2', 'Thanks, friend. You\'re one tough hunter. Can\'t wait to tell my friends about this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '28', 'npc_failure_1', 'There\'s no telling how these sorts of things will turn out, especially when wild beasts are involved. Better luck next time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '29', 'npc_failure_2', 'Poor boy, he was in the prime of his life. Ah well, he knew the risks of being a hunter.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '30', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '31', 'npc_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '32', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '33', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '34', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '35', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '36', 'npc_noloc_1', 'A moment, I think we\'ve just had a new sighting. I\'ll get those new coordinates shortly.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '37', 'npc_noloc_2', 'Let me verify that lad\'s coordinates. Could you check back with me in a few moments?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '38', 'npc_reset_1', 'A shame you couldn\'t see this through. No matter. Come back if you have a change of heart.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '39', 'npc_reward_1', 'Bully job, friend! I knew I had you pegged for the adventurous sort. Here\'s something for your trouble.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '40', 'npc_reward_2', 'Stellar job, friend, simply stellar! You have a knack for this sort of work, you know. I do hope you\'ll continue to pursue a hunter\'s life.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '41', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '42', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '43', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '44', 'npc_takeme_2', 'It\'s a good thing you showed when you did. I thought I was going to be feeding the next generation of nightspiders for sure. Let\'s get out of here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '45', 'npc_work_1', 'Have you taken care of that slavering beast yet? We can\'t have our local artists being gobbled up by monsters, now can we?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '46', 'npc_work_2', 'Have you saved that poor lad from the nightspiders yet? He may not be the best hunter, but he\'s got a good heart. Please hurry!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '47', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '48', 'otherescort_2', 'I don\'t think I\'m the guy you\'re looking for. Sorry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '49', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '50', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '51', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '52', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '53', 'player_3_1', 'What would I have to hunt?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '54', 'player_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '55', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '56', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '57', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '58', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '59', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '60', 'player_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '61', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '62', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '63', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '64', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '65', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '66', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '67', 'return_waypoint_description_1', 'Bring news of the beast\'s demise back to Lord Rusper.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '68', 'return_waypoint_description_2', 'Escort the young hunter safely back to Lord Rusper.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '69', 'return_waypoint_name_1', 'Lord Rusper\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '70', 'return_waypoint_name_2', 'Lord Rusper\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '71', 'waypoint_description_1', 'The location of the beast\'s last attack.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '72', 'waypoint_description_2', 'Save the young hunter from the ravenous nightspiders.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '73', 'waypoint_name_1', 'Last Attack Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '74', 'waypoint_name_2', 'Young Hunter\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '75', 'npc_reset_2', 'A shame you couldn\'t see this through. No matter. Come back if you have a change of heart.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '76', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/rori/rori_restuss_sloan_rusper.stf', '77', 'player_sorry_2', 'I\'ll get back to work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '1', 'cant_work', 'I greet you as Drall\'s ambassador to Talus. I seek help with a task when you are less busy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '2', 'dontknowyou_1', 'I\'m sorry, you have the wrong person.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '3', 'dontknowyou_2', 'Sorry, you have the wrong person.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '4', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '5', 'gotowork_2', 'From the ambassador\'s message, I expected you\'d have a recording called \"Flowers of Drall.\" Do you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '6', 'next', 'I have no further tasks that require assistance at this time. I thank you again for your earlier help.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '7', 'notit_1', 'I hoped to get a specimen of the Twin-Scented Natterbloom herb. This is not it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '8', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '9', 'notyet', 'I can\'t speak with you at the moment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '10', 'npc_1_1', 'I greet you as Drall\'s ambassador to Talus. I seek help in securing a Talusian native herb that shows promise in curing Drall sickness. The local Dearic Garden Club has kindly located a specimen. Would you please bring it here?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '11', 'npc_1_2', 'I thank you again for your help in securing that medicinal herb. I have prepared a token of thanks for the Dearic Garden Club, which secured the herb. Would you please deliver this recording to the club chairperson?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '12', 'npc_2_1', 'I thank you for your attention. The representative of the Dearic Garden Club has just called from the wilderness, where the specimen is located. Here are the coordinates. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '13', 'npc_2_2', 'I am heartened to hear your assent. Here is the recording. The chairperson is currently in the wilderness studying the local flora.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '14', 'npc_3_1', 'I understand. I wish you well.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '15', 'npc_3_2', 'I understand. I wish you well.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '16', 'npc_4_1', 'An ancient disease called the Balding Sickness afflicts some young Drall, causing them to lose their fur and sometimes their lives. Certain of these victims resist bacta treatment, so we seek alternate solutions. This herb may prove a great benefit. Will you bring it here?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '17', 'npc_4_2', 'It is a lovely anthem called \"Flowers of Drall,\" sung by young students at the Boiling Sea Music Academy on Drall. It is merely a small gesture of gratitude. Would you deliver the recording, please?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '18', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '19', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '20', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '21', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '22', 'npc_backtowork_1', 'I hope you will soon pick up the medicinal herb from the Dearic Garden Club representative.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '23', 'npc_backtowork_2', 'I hope you will soon deliver that recording of \"Flowers of Drall\" to the Garden Club chairperson.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '24', 'npc_breech_1', 'Are you here to pick up the medicinal herb for the Drall ambassador?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '25', 'npc_breech_2', 'Did the Drall ambassador send you here?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '26', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '27', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '28', 'npc_failure_1', 'I regret that you could not obtain the herb. I hope you did not find the task too stressful.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '29', 'npc_failure_2', 'I am sorry you could not deliver the recording. Do not worry -- I shall find another way to deliver it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '30', 'npc_more_1_1', 'The herb smells sharp while it\'s growing, then puts forth a beautiful small flower with a sweet citrus scent. It\'s reputed to have many medicinal uses. I hope it works on the Drall children.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '31', 'npc_more_1_2', 'I\'m collecting specimens of the white-leaf and blue-leaf varieties of Unbuttoned Gobnettle. I haven\'t found any yet, but I can smell them. The suspense is killing me!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '32', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '33', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '34', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '35', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '36', 'npc_noloc_1', 'I await contact from the Garden Club representative as to the coordinates of the specimen they located. Please contact me again in a few moments.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '37', 'npc_noloc_2', 'I need only contact the Garden Club chair to arrange a rendezvous point. Please contact me again in a few moments.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '38', 'npc_reset_1', 'I understand. Please contact me again when you feel ready for the task.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '39', 'npc_reward_1', 'I thank you for your effort to help my people. Please contact me again as your schedule permits.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '40', 'npc_reward_2', 'I am most gladdened to hear that you delivered that recording. Please accept this payment with the thanks of the people of Drall.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '41', 'npc_smuggle_1', 'Here it is -- a sample of Twin-Scented Natterbloom. Please be careful when you take it back -- it\'s scarce.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '42', 'npc_smuggle_2', 'What a nice gesture. I\'ll be sure to play this anthem at our next Garden Club meeting.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '43', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '44', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '45', 'npc_work_1', 'I hope you will soon pick up the medicinal herb from the Dearic Garden Club representative.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '46', 'npc_work_2', 'I hope you will soon deliver that recording of \"Flowers of Drall\" to the Garden Club chairperson.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '47', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '48', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '49', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '50', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '51', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '52', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '53', 'player_3_1', 'What sickness could this herb cure?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '54', 'player_3_2', 'What is the recording?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '55', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '56', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '57', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '58', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '59', 'player_more_1_1', 'Why is it called \"Twin-Scented\"?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '60', 'player_more_1_2', 'Why are you out here in the wilderness?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '61', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '62', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '63', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '64', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '65', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '66', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '67', 'return_waypoint_description_1', 'The Drall ambassador to Talus is waiting in Dearic for a sample of Twin-Scented Natterbloom, a Talusian medicinal herb.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '68', 'return_waypoint_description_2', 'Drall\'s ambassador to Talus waits to give payment for delivery of the recording \"Flowers of Drall\" to the chairperson of the Dearic Garden Club.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '69', 'return_waypoint_name_1', 'Champhra Biahin');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '70', 'return_waypoint_name_2', 'Champhra Biahin');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '71', 'waypoint_description_1', 'Here the Dearic Garden Club located a specimen of a Talusian herb that may prove useful to the Drall ambassador to Talus, Champhra Biahin.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '72', 'waypoint_description_2', 'The chairperson of the Dearic Garden Club, who awaits a recording called \"Flowers of Drall\" given as a thank-you gift by the Drall ambassador to Talus, Champhra Biahin.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '73', 'waypoint_name_1', 'Medicinal Herbs');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '74', 'waypoint_name_2', 'Garden Club Chair');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '75', 'npc_reset_2', 'I understand. Please contact me again when you feel ready for the task.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '76', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_champhra_biahin.stf', '77', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '1', 'cant_work', 'Your current job may conflict with my interests. Come back and see me once you\'re finished with your current employer. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '2', 'dontknowyou_1', 'I\'m just waiting to meet somebody. You can be on your way.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '3', 'dontknowyou_2', 'I\'m waiting for someone to meet me and then I\'ll be on my way.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '4', 'dontknowyou_3', 'I bet you wish you had a CorSec escort to get you around safely.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '5', 'dontknowyou_4', 'Would you mind moving on? I don\'t want to attract any attention.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '6', 'gotowork_1', 'You were supposed to be bringing me some kind of message. What did you do with it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '7', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '8', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '9', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '10', 'next', 'I haven\'t forgotten about you but I\'m in the middle of some very delicate negotiations right now. Check back with me from time to time. You never know when new work will come up.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '11', 'notit_1', 'What are you giving me? I can\'t use this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '12', 'notit_2', 'I\'m fairly certain you meant to give me something else. Why don\'t you look again?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '13', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '14', 'notit_4', 'I\'m sorry, I don\'t have time to speak right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '15', 'notyet', 'I\'m a very busy man. Go make an appointment with my Minister of Protocol Haleen Snowline.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '16', 'npc_1_1', 'I really need to get better security. They let anyone in here and they don\'t even screen for weapons. Well, I suppose if Haleen let you through you\'re probably all right. Since you\'re here perhaps I can make some use of you. If you\'re in need of a job, I could use someone to drop off a message for me. Interested?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '17', 'npc_1_2', 'Back again, are you? I really do need to get my door fixed. No, no, not for you but for other people who barge into my office. Come to think of it, I do actually need someone to pick up a package from a Corporate Sector Authority messenger. Interested?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '18', 'npc_1_3', 'If I look a bit startled it\'s because I\'m shocked to discover that one of my staff has run off after embezzling countless credits from the public trust. I am sorely disappointed that one of my most trusted employees would betray the public this way. Perhaps this situation can be salvaged. Would you be willing to track down my wayward employee? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '19', 'npc_1_4', 'I\'m very glad you\'re here. That embezzlement scheme was just the beginning. One of my aides has run off and is blackmailing me for hush money. I need you to take care of this for me. Will you help me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '20', 'npc_2_1', 'I want you to bring this message to a courier waiting outside of the city. He\'ll take it from there. It may seem vague, but the less you know about this the better.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '21', 'npc_2_2', 'Good. I need someone to go and meet the CSA courier and pick up whatever forms and such they\'re sending over. This whole sending couriers to meet couriers idea seems a little expensive to me but they say it helps cut costs.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '22', 'npc_2_3', 'Apparently there were a few accomplices involved dressed as CorSec officers. Don\'t be fooled by any of that nonsense, just bring that blasted thief back to me!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '23', 'npc_2_4', 'Excellent. Liquidating that traitorous aide of mine should serve as a wonderful example to the rest of my staff. And don\'t you worry - I\'ll handle all the paperwork that will make your act nice and legal.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '24', 'npc_3_1', 'Suit yourself. Enjoy your stay on Talus.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '25', 'npc_3_2', 'I see. Perhaps you should be on your way then.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '26', 'npc_3_3', 'A day for betrayals. How much did they cut you in for? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '27', 'npc_3_4', 'After all I\'ve done for you. Ingrate!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '28', 'npc_4_1', 'I have a business contact that was once an important Imperial figure. He likes to keep up with projects that he\'s no longer cleared for, so I help him out sometimes. For political reasons, it wouldn\'t be a good idea for me to be seen with him. You\'ll be taking a message to his courier.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '29', 'npc_4_2', 'The usual sort of trade documents and red tape that keep things moving through the sector. Nothing terribly interesting. So will you go get it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '30', 'npc_4_3', 'Alive of course! I\'m shocked that you would even ask. How else can I find out what happened to the money?  So will you help me or not?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '31', 'npc_4_4', 'I can\'t give in to blackmail. If I do it even once, I open myself up to no end of trouble. There is only one way to reward betrayal. I think you know what that is. Will you do it or not? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '32', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '33', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '34', 'npc_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '35', 'npc_5_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '36', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '37', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '38', 'npc_6_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '39', 'npc_6_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '40', 'npc_backtowork_1', 'What is it now? I thought you were going to make a delivery for me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '41', 'npc_backtowork_2', 'Were you going to keep pestering me or were you going to pick up my package?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '42', 'npc_backtowork_3', 'Were you going to do this job or are you planning to desert me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '43', 'npc_backtowork_4', 'You know what you need to know to do the job. What\'s it going to be?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '44', 'npc_breech_1', 'Do you have something for me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '45', 'npc_breech_2', 'Are you the courier I was told to expect?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '46', 'npc_breech_3', 'Oh no! He sent you after me, didn\'t he?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '47', 'npc_breech_4', 'You\'re not bringing me back!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '48', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '49', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '50', 'npc_dropoff_3', 'Don\'t you realize what you\'re doing? He\'s going to steal these credits himself!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '51', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '52', 'npc_failure_1', 'I can tell this isn\'t going to be good news.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '53', 'npc_failure_2', 'What a sorry state of affairs. Perhaps I can get them to send over another courier.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '54', 'npc_failure_3', 'This is not going to look good. I need to find a way to trace those credits or this scandal will follow me for years.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '55', 'npc_failure_4', 'How could you botch this? That blackmailer has got to be stopped somehow. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '56', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '57', 'npc_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '58', 'npc_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '59', 'npc_more_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '60', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '61', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '62', 'npc_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '63', 'npc_more_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '64', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '65', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '66', 'npc_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '67', 'npc_more_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '68', 'npc_noloc_1', 'Come back in a few minutes. I need to call my contact and find out where he wants you to meet his courier. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '69', 'npc_noloc_2', 'I\'ll need to see where the meeting point is. Can you come back in a little while?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '70', 'npc_noloc_3', 'Conveniently for you, I implant all of my employees with a tracing device without their knowledge. If you\'ll come back in a few minutes I should be able to tell you exactly where to go.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '71', 'npc_noloc_4', 'Come back in a few minutes. I should be able to have someone trace the caller location. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '72', 'npc_reset_1', 'Come back later if you want to take care of this business for me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '73', 'npc_reward_1', 'It was a fairly simple task but I\'ve had my share of people who can\'t even handle that. Good work. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '74', 'npc_reward_2', 'Thank you very much. It\'s so nice to have some reliable help for a change.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '75', 'npc_reward_3', 'What a load of nonsense she spouts. Now I should be able to track down what happened to all those lovely credits.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '76', 'npc_reward_4', 'You\'ve been a big help to the administration and I won\'t forget it. You should probably lay low for a while and not contact me. We\'ll talk again later when things are less frenzied.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '77', 'npc_smuggle_1', 'That\'s all I need. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '78', 'npc_smuggle_2', 'Finally. Now I can head back for a little relaxation at the club.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '79', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '80', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '81', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '82', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '83', 'npc_takeme_3', 'Don\'t you understand? He\'s the biggest thief on Talus! You\'ve got to believe me!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '84', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '85', 'npc_work_1', 'Shouldn\'t you be off delivering my message?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '86', 'npc_work_2', 'I\'m still waiting on that package. Were you going to get around to that soon?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '87', 'npc_work_3', 'You are going to take care of this soon aren\'t you? Every moment we waste makes those credits slip further from our grasp.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '88', 'npc_work_4', 'There\'s a certain urgency to this task. If that information goes public, it could be the end of my career. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '89', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '90', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '91', 'otherescort_3', 'I bet you wish you had a CorSec escort to get you around safely.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '92', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '93', 'player_1_1', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '94', 'player_1_2', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '95', 'player_1_3', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '96', 'player_1_4', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '97', 'player_2_1', 'No');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '98', 'player_2_2', 'No');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '99', 'player_2_3', 'No');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '100', 'player_2_4', 'No');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '101', 'player_3_1', 'Who am I delivering this message to?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '102', 'player_3_2', 'What sort of package?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '103', 'player_3_3', 'Are you asking me to bring your ex-employee back alive or --? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '104', 'player_3_4', 'What do you want me to do?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '105', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '106', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '107', 'player_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '108', 'player_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '109', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '110', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '111', 'player_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '112', 'player_5_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '113', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '114', 'player_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '115', 'player_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '116', 'player_more_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '117', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '118', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '119', 'player_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '120', 'player_more_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '121', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '122', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '123', 'player_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '124', 'player_more_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '125', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '126', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '127', 'return_waypoint_description_1', 'Return to Hagrin Zeed.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '128', 'return_waypoint_description_2', 'Return to Hagrin Zeed with the datadisc.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '129', 'return_waypoint_description_3', 'Return to Hagrin Zeed with your prisoner.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '130', 'return_waypoint_description_4', 'Return to Hagrin Zeed and inform him of your success.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '131', 'return_waypoint_name_1', 'Hagrin Zeed');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '132', 'return_waypoint_name_2', 'Hagrin Zeed');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '133', 'return_waypoint_name_3', 'Hagrin Zeed');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '134', 'return_waypoint_name_4', 'Hagrin Zeed');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '135', 'waypoint_description_1', 'Bring the datadisc to the courier.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '136', 'waypoint_description_2', 'Go meet the courier and pick up the package.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '137', 'waypoint_description_3', 'Go arrest the employee who embezzled funds .');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '138', 'waypoint_description_4', 'Go kill the blackmailer who is plagueing Hagrin Zeed.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '139', 'waypoint_name_1', 'The courier\'s location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '140', 'waypoint_name_2', 'The courier\'s location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '141', 'waypoint_name_3', 'Embezzler\'s location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '142', 'waypoint_name_4', 'Blackmailer\'s location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '143', 'npc_reset_2', 'Come back later if you want to take care of this business for me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '144', 'npc_reset_3', 'Come back later if you want to take care of this business for me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '145', 'npc_reset_4', 'Come back later if you want to take care of this business for me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '146', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '147', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '148', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '149', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '150', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_hagrin_zeed.stf', '151', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '1', 'cant_work', 'Hello. The Prime Minister can\'t see you right now, but I think you could make a real difference working for us. Check with me when you\'re not so busy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '2', 'dontknowyou_1', 'You have the wrong person.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '3', 'dontknowyou_2', 'You want to be leaving this area pretty quick.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '4', 'gotowork_1', 'I expected a contribution to the Talus and Tralus Liberation Party from the office of the Prime Minister.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '5', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '6', 'next', 'Hello again. The Prime Minister can see you now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '7', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '8', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '9', 'notyet', 'I\'m sorry, I can\'t speak with you right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '10', 'npc_1_1', 'Hello. I\'m Minister of Protocol for the Prime Minister. He can\'t see you right now, I\'m afraid. But if you want to help the government of Talus, I have an errand for you. This contribution must be delivered to members of the Talus and Tralus Liberation Party. Would you be so kind?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '11', 'npc_1_2', 'I\'m afraid the Prime Minister remains busy. However, a new matter has arisen that demands authoritative action. Terrorists from the fringe Talus and Tralus Liberation Party have stolen valuable state secrets. I urge you to retrieve these secrets and resolve this situation regarding these insurgents. Will you help us?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '12', 'npc_2_1', 'Excellent. The Liberation Party representative has, for reasons I\'d prefer not to explain, arranged a rendezvous in the wilderness. Please return here after you have made the delivery.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '13', 'npc_2_2', 'Splendid. Please return here when they are finished.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '14', 'npc_3_1', 'I\'m sorry to hear that. The Prime Minister\'s schedule is very crowded for the foreseeable future.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '15', 'npc_3_2', 'How unfortunate. I\'m sorry to say the Prime Minister\'s schedule remains very busy for the foreseeable future.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '16', 'npc_4_1', 'They\'re a fringe group that espouses secession from the \"Five Brothers\" group of planets in the Corellia System.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '17', 'npc_4_2', 'Well, speaking purely in general terms, one who confronts terrorists might find it prudent to exercise lethal force and leave no survivors. However, this office cannot offer advice regarding this specific situation, in actuality or by implication. I\'m sure you understand. Will you do it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '18', 'npc_5_1', 'Our position is that secession is inadvisable. Naturally, though, we support Talusian democracy, and are happy to foster intelligent political discussion. I believe that explanation must suffice for now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '19', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '20', 'npc_6_1', 'His schedule is quite full. However, he can sometimes make time for individuals who perform exemplary service to the government. On that topic, would you please make this delivery?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '21', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '22', 'npc_backtowork_1', 'I don\'t know what else to tell you. Will you deliver that contribution to the Liberation Party representative? I\'d appreciate speed.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '23', 'npc_backtowork_2', 'I have nothing else to tell you. I hope to see, very soon, the state secrets stolen by those the Talus and Tralus Liberation terrorists!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '24', 'npc_breech_1', 'Are you here with the \"contribution\" from the Prime Minister\'s office?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '25', 'npc_breech_2', 'The Minister sent someone to grab the evidence! Fire!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '26', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '27', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '28', 'npc_failure_1', 'It disappoints me that you could not deliver that contribution to the Liberation Party. There may be unpleasant consequences for our party. Meanawhile, I\'m sorry to say that the Prime Minister remains unavailable.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '29', 'npc_failure_2', 'This terrorism remains a blight upon our freedom-loving society. I\'m sorry to report that the Prime Minister remains occupied at this time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '30', 'npc_more_1_1', 'Did the Prime Minister think no slicer would look into those tariff exemptions? That no one could uncover a Corporate Sector Authority payoff? He was naive. We\'re not. Goodbye.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '31', 'npc_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '32', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '33', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '34', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '35', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '36', 'npc_noloc_1', 'The Liberation Party representative prefers to receive the contribution in the wilderness. Please contact me again soon after I\'ve learned the chosen coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '37', 'npc_noloc_2', 'The government is even now locating the terrorist camp. I suggest you contact me again shortly for the coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '38', 'npc_reset_1', 'I understand perfectly, though I confess disappointment. I hope you\'ll reconsider.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '39', 'npc_reward_1', 'I suggest you regard with suspicion any allegations regarding the Prime Minister\'s activities. Meanwhile, he remains busy, but I hope you will contact me again soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '40', 'npc_reward_2', 'Thank you. I believe you\'ll find it prudent to avoid mentioning this disc\'s content, or our involvement in this situation. The Prime Minister will see you now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '41', 'npc_smuggle_1', 'Thanks. You can tell the Prime Minister that our officers still have that evidence, so he can expect to hear from us again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '42', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '43', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '44', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '45', 'npc_work_1', 'Will you deliver that contribution to the Liberation Party representative? I\'d appreciate speed.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '46', 'npc_work_2', 'I hope to see, very soon, the state secrets stolen by those the Talus and Tralus Liberation terrorists!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '47', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '48', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '49', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '50', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '51', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '52', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '53', 'player_3_1', 'What is the Talus and Tralus Liberation Party?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '54', 'player_3_2', 'What do you want me to do?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '55', 'player_4_1', 'A contribution? Does the Prime Minister support the Liberation Party?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '56', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '57', 'player_5_1', 'When can I see the Prime Minister?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '58', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '59', 'player_more_1_1', 'What evidence do you have?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '60', 'player_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '61', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '62', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '63', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '64', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '65', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '66', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '67', 'return_waypoint_description_1', 'Return to Haleen Snowline.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '68', 'return_waypoint_description_2', 'Return to Haleen Snowline.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '69', 'return_waypoint_name_1', 'Haleen Snowline');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '70', 'return_waypoint_name_2', 'Haleen Snowline');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '71', 'waypoint_description_1', 'A representative of the Talus and Tralus Liberation Party awaits a contribution from Talusian Prime Minister Hagrin Zeed\'s Minister of Protocol, Haleen Snowline.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '72', 'waypoint_description_2', 'According to Minister of Protocol Haleen Snowline, these representatives of the Talus and Tralus Liberation Party possess state secrets that must be retrieved at any cost.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '73', 'waypoint_name_1', 'Liberation Party Rep');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '74', 'waypoint_name_2', 'Talus Liberation Terrorists');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '75', 'npc_reset_2', 'I understand perfectly, though I confess disappointment. I hope you\'ll reconsider.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '76', 'npc_reset_3', 'I understand perfectly, though I confess disappointment. I hope you\'ll reconsider.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '77', 'npc_reset_4', 'I understand perfectly, though I confess disappointment. I hope you\'ll reconsider.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '78', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '79', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '80', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '81', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '82', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_haleen_snowline.stf', '83', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '1', 'cant_work', 'When you are free from other duties, I would be pleased to make use of your services.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '2', 'dontknowyou_1', 'I fear nothing can come of our meeting at present. Perhaps we may meet again later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '3', 'dontknowyou_2', 'Don\'t worry about me. I\'m not here to interfere with you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '4', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '5', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '6', 'next', 'Many thanks, my very good friend, for all you have done for the Selonian people. For the moment, I have no needs that are not met.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '7', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '8', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '9', 'notyet', 'I can\'t be bothered with this right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '10', 'npc_1_1', 'Perhaps you could be of some assistance to me. There is a group of humans that seems to hold my people in great disregard. I have endeavored to open a dialogue with them but they seem unwilling to do anything but threaten me. Now they have kidnapped my assistant. Will you help me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '11', 'npc_1_2', 'You have done so much for me already and yet I find myself in need of your help once more. A friend of mine has informed me that an alien hate group has hired a bounty hunter to kidnap the Selonian ambassador. Since I am the Selonian ambassador, I find this news very disturbing. Will you help me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '12', 'npc_2_1', 'You are most kind and gracious to help me. I do not know if humans hold my assistant or whether they have hired aliens to commit this crime. But I ask you to rescue my good friend and warren mate.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '13', 'npc_2_2', 'Hopefully you will be able to stop this bounty hunter. You are a valued friend to risk yourself for me. I wish there were more I could do for you. Good luck. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '14', 'npc_3_1', 'I am saddened you will not help, but I wish you well.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '15', 'npc_3_2', 'I have done you a great discourtesy by asking for that which you cannot freely give. I am truly sorry if I have offended you with my selfish request.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '16', 'npc_4_1', 'I don\'t know. I have tried to understand this hatred for some time, but it still eludes me. Perhaps the failing is with me. However, that doesn\'t matter right now. Will you please rescue my assistant?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '17', 'npc_4_2', 'I find your question disturbing on many levels and I have no answer for you. Will you help me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '18', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '19', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '20', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '21', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '22', 'npc_backtowork_1', 'Was there something further you wished to express to me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '23', 'npc_backtowork_2', 'Perhaps I have asked too much of you. I would understand if you changed your mind.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '24', 'npc_breech_1', 'Have you come to torment me also?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '25', 'npc_breech_2', 'I\'m here to do a job and I can\'t let you stand in my way.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '26', 'npc_dropoff_1', 'I offer thanks to you for saving me. I would nuzzle you if it were not improper.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '27', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '28', 'npc_failure_1', 'Perhaps I expressed the risks to you poorly. For that I am sorry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '29', 'npc_failure_2', 'I have put too great a burden upon you, my friend. I will accept my fate and trouble you no further. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '30', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '31', 'npc_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '32', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '33', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '34', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '35', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '36', 'npc_noloc_1', 'Security is tracking her location and should have that information for me shortly. Would you give us a few minutes to prepare and then return?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '37', 'npc_noloc_2', 'I need a few minutes to perform the cleansing rituals of my people in case the worst occurs. Would you give me a few minutes to prepare before you leave?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '38', 'npc_reset_1', 'Perhaps my tasks will be more to your liking later. Come see me when you have found what you seek.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '39', 'npc_reward_1', 'I am very thankful to you for the service you have done.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '40', 'npc_reward_2', 'I salute both your strength and your kindness. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '41', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '42', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '43', 'npc_takeme_1', 'You have come to save me? My thanks, gentle friend. I fear I misjudged you when I first saw you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '44', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '45', 'npc_work_1', 'I do not wish to pressure you, but have you rescued my assistant yet? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '46', 'npc_work_2', 'Have you solved this problem yet? I strive to remain calm but I confess thoughts of this bounty hunter disturb my serenity. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '47', 'otherescort_1', 'I fear nothing can come of our meeting at present. Perhaps we may meet again later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '48', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '49', 'player_1_1', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '50', 'player_1_2', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '51', 'player_2_1', 'No');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '52', 'player_2_2', 'No');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '53', 'player_3_1', 'Why do they hate you so much?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '54', 'player_3_2', 'Why would they kidnap you instead of just kill you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '55', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '56', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '57', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '58', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '59', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '60', 'player_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '61', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '62', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '63', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '64', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '65', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '66', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '67', 'return_waypoint_description_1', 'Escort the assistant back to the Selonian Ambassador.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '68', 'return_waypoint_description_2', 'Return to the Selonian Ambassador with the news of your success.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '69', 'return_waypoint_name_1', 'Kathikiis Ruwahurr');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '70', 'return_waypoint_name_2', 'Kathikiss Ruwahurr');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '71', 'waypoint_description_1', 'Rescue the Slonian Ambassador\'s assistant.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '72', 'waypoint_description_2', 'Go stop the bounty hunter');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '73', 'waypoint_name_1', 'The Selonian\'s location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '74', 'waypoint_name_2', 'The bounty hunter\'s location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '75', 'npc_reset_2', 'Perhaps my tasks will be more to your liking later. Come see me when you have found what you seek.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '76', 'npc_reset_3', 'Perhaps my tasks will be more to your liking later. Come see me when you have found what you seek.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '77', 'player_sorry_1', 'I\'ll get back to work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '78', 'player_sorry_3', 'I\'ll go work on this some more.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '79', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_kathikiis_ruwahurr.stf', '80', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '1', 'cant_work', 'I never trust anybody with my business when they\'re working for someone else. Come see me about work another time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '2', 'dontknowyou_1', 'This is private Hutt business. Beat it!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '3', 'dontknowyou_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '4', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '5', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '6', 'next', 'You\'re a useful operative. When I\'m in a better position to utilize your talents, I\'ll find more work for you. Check back with me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '7', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '8', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '9', 'notyet', 'Sorry, I can\'t talk now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '10', 'npc_1_1', 'The name is Draver. I represent the Corporate Sector Authority on Talus. I have a little unpleasant business with the Hutts that I need taken care of. I need the services of someone who is both capable and ruthless. Is that you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '11', 'npc_1_2', 'I think we\'ve made a reasonable impression on the Hutts, but I\'m always of the mind that more is better. I think they need to better understand the financial costs associated with poor management. Are you going to help me teach them that lesson?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '12', 'npc_2_1', 'There is one Hutt employee I\'m particularly keen to have eliminated. Any associates that are killed in the process would certainly cause me no distress. Come back and see me when you\'ve completed the job.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '13', 'npc_2_2', 'The Hutts operate a glitterstim operation outside of the city. It\'s not very large but they process an impressive amount of spice every month. I want you to go find that building and destroy it. Feel free to kill anyone working there. It will save me time later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '14', 'npc_3_1', 'My time is valuable and you\'re wasting it. Get out.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '15', 'npc_3_2', 'Do you think your cowardice is congenital or learned?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '16', 'npc_4_1', 'The Hutts recently killed one of my employees during a negotiation. I am the only one allowed to kill my employees with impunity. I\'ve compiled a list of Hutt employees that I\'ve slated for early retirement. Are you in?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '17', 'npc_4_2', 'By destroying something precious to them. What do you say?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '18', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '19', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '20', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '21', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '22', 'npc_backtowork_1', 'If you have something else to say, now\'s the time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '23', 'npc_backtowork_2', 'Make it quick. I\'m very busy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '24', 'npc_breech_1', 'You just made your last mistake!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '25', 'npc_breech_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '26', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '27', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '28', 'npc_failure_1', 'I believe I cited both ruthless and capable in my job requirements. What use is ruthless all by itself?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '29', 'npc_failure_2', 'Failure is unacceptable. I want that building destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '30', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '31', 'npc_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '32', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '33', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '34', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '35', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '36', 'npc_noloc_1', 'I\'ve just had a wonderful thought. Give me a few minutes to see if the Hutts would be willing to offer me compensation for my employee. I like the idea of paying you with their money.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '37', 'npc_noloc_2', 'I\'ll need to contact one of my underlings and get the location for you. Come back in a little while.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '38', 'npc_reset_1', 'I don\'t really like unfinished business. If you decide you want to take care of this later, come see me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '39', 'npc_reward_1', 'That\'s a good start. Come see me later and we\'ll see about teaching the Hutts further lessons in employee management.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '40', 'npc_reward_2', 'Excellent. Now would probably be a good time for you to lie low for a while. The Hutts are notoriously unforgiving in these matters.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '41', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '42', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '43', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '44', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '45', 'npc_work_1', 'Have you taken care of that little problem we spoke of? I\'m not used to being kept waiting.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '46', 'npc_work_2', 'Have you destroyed that glitterstim refinery yet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '47', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '48', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '49', 'player_1_1', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '50', 'player_1_2', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '51', 'player_2_1', 'No');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '52', 'player_2_2', 'No');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '53', 'player_3_1', 'What do you need done?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '54', 'player_3_2', 'How am I going to teach them that?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '55', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '56', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '57', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '58', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '59', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '60', 'player_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '61', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '62', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '63', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '64', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '65', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '66', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '67', 'return_waypoint_description_1', 'Return to Mourno Draver and inform him that the mission has been completed');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '68', 'return_waypoint_description_2', 'Return to Mourno Draver and inform him of your success.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '69', 'return_waypoint_name_1', 'Mourno Draver');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '70', 'return_waypoint_name_2', 'Mourno Draver');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '71', 'waypoint_description_1', 'Go and kill the lieutenant in the Hutt organization');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '72', 'waypoint_description_2', 'Go destroy the glitterstim refinery');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '73', 'waypoint_name_1', 'Location of the Hutt lieutenant');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '74', 'waypoint_name_2', 'Location of the glitterstim refinery');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '75', 'npc_reset_2', 'I don\'t really like unfinished business. If you decide you want to take care of this later, come see me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '76', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_mourno_draver.stf', '77', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '1', 'cant_work', 'I\'m a lady that demands exclusivity. Come see me when your schedule clears up a bit.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '2', 'dontknowyou_1', 'This is a CorSec matter. Move along.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '3', 'dontknowyou_2', 'I\'m busy and can\'t help you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '4', 'dontknowyou_3', 'I\'m busy, pal! Buzz off!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '5', 'dontknowyou_4', 'Get lost. I\'m busy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '6', 'gotowork_1', 'I\'m not sure what you expect me to do with this but I can assure you I don\'t want it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '7', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '8', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '9', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '10', 'next', 'You\'ve performed like a true professional. I could ask for nothing more. Come back later, though, and I may have some more work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '11', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '12', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '13', 'notit_3', 'This is not the ledger I asked you to bring me. I really need that ledger.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '14', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '15', 'notyet', 'Sorry, I can\'t talk now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '16', 'npc_1_1', 'Greetings, stranger. Are you looking for work? There\'s plenty of work around here for an enterprising and adventurous sort, such as you appear to be. But don\'t worry - I like to take things slowly. This first assignment is a simple delivery, a message for a business associate of mine. Think you can handle that?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '17', 'npc_1_2', 'One of my devoted employees has run afoul of the law. It may have had something to do with that message you delivered to that CorSec captain. I need someone to save my devoted friend the trauma of an \"interrogation\" - few beings survive such an ordeal. Could you save him?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '18', 'npc_1_3', 'As you know, I am very protective of my devoted employees. What you may not know is that I am equally as proactive when it comes to removing traitorous employees. One of my formerly trusted accountants has decided to sell some of my books to the Hutts. This not only saddens me deeply, it calls for me to hire someone like you to get those records back and silence this traitor for good. Are you the agent I\'m looking for?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '19', 'npc_1_4', 'Those Hutts, so incredibly predictable. I\'ve just received word that they\'ve hired an assassin to take me out. What they don\'t realize is that I\'ve done my homework and I happen to know that they intend to get rid of this assassin after he\'s done his job - the Hutts hate loose ends. I need you to meet this assassin and say a simple phrase. This will convince him to join the winning side - mine. You\'ll still have to deal with Hutt gangsters, however, but you\'ve proven so good at that I have no doubt this will be a breeze for you. Will you do it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '20', 'npc_2_1', 'Wonderful. Take this message to the CorSec captain at these coordinates. The contents of the message may come as a bit of a shock to him so pay no mind to anything he might say to you, especially threats. Report back to me when you\'re done.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '21', 'npc_2_2', 'I was hoping I could count on you. My people are tracking the movements of the CorSec guards and will transmit the coordinates to you. Please hurry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '22', 'npc_2_3', 'You make me weepy, you\'re so good. Fortunately, I put a tracer on all my books so I am able to find them quickly should I need to. Make sure you get the ledger and leave no witnesses. I hate having to resort to this sort of thing but sometimes it\'s necessary.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '23', 'npc_2_4', 'You are nothing if not a professional. Say the phrase to the assassin and take out his escort. If I played my cards right, the assassin will not interfere. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '24', 'npc_3_1', 'This business is not for everyone. Enjoy your stay here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '25', 'npc_3_2', 'I understand if you don\'t wish to become involved in this matter. After all, one should never cross CorSec without a very good reason.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '26', 'npc_3_3', 'My assignments are getting a bit sticky, aren\'t they? Your refusal does not hurt my feelings.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '27', 'npc_3_4', 'This is a tricky mission. Perhaps I should rely on a more experienced agent.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '28', 'npc_4_1', 'The kind that always gets a prompt response and gives the recipient little choice but to accept my generous proposal. Don\'t you just love messages like that? So will you do it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '29', 'npc_4_2', 'Not in this case, no. I have a feeling that the CorSec captain that ordered this \"interrogation\" will not want his superiors to become involved. This is a personal matter between him and I, you see.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '30', 'npc_4_3', 'They believe that someone like me is not capable of running the local Black Sun activities on this planet. It has to do with my past, which I won\'t go into in detail, but suffice to say that not long ago I was traded among the Hutts like a piece of property. Times have changed and now I must do my best to re-educate them. Something that I enjoy immensely.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '31', 'npc_4_4', 'Jaggah Jonz never left Nal Hutta. You want to retire on the \"Glorious Jewel?\"');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '32', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '33', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '34', 'npc_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '35', 'npc_5_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '36', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '37', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '38', 'npc_6_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '39', 'npc_6_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '40', 'npc_backtowork_1', 'I know I\'m very pleasant company but you should get going.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '41', 'npc_backtowork_2', 'No time to waste, dear friend. My employee\'s life is at stake.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '42', 'npc_backtowork_3', 'There\'s an accountant out there who desperately needs your attention.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '43', 'npc_backtowork_4', 'The more time you waste, the closer that assassin gets to me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '44', 'npc_breech_1', 'What\'s your business here? This is a CorSec investigation.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '45', 'npc_breech_2', 'But I didn\'t do anything wrong! Why am I to be interrogated? I\'m innocent!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '46', 'npc_breech_3', 'I know Lady Slinthiss will send someone after me. It\'s only a matter of time. Doesn\'t that worry you people?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '47', 'npc_breech_4', 'You said that Lady Slinthiss would send someone and it seems you were right. I was hired to take out a Lady Vigo. This is your problem.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '48', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '49', 'npc_dropoff_2', 'I\'m glad you decided to work for Lady Slinthiss. I would have been so much bantha fodder had that not been the case.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '50', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '51', 'npc_dropoff_4', 'I salute a fellow professional. Let\'s hope we never find ourselves on opposite sides of a business transaction.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '52', 'npc_failure_1', 'I\'m sure you tried your best, but failing to deliver a simple message does not bode well for your future.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '53', 'npc_failure_2', 'I lose more employees this way. Believe it when they say that good help is hard to find.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '54', 'npc_failure_3', 'Now I\'ll have to set off the explosive charge in the tracer. It\'ll take me months to collect all that data again. I hate these sorts of setbacks.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '55', 'npc_failure_4', 'Looks like I may have to disappear for a while, assuming I can\'t find someone else to take care of this killer for me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '56', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '57', 'npc_more_1_2', 'They wanted to squeeze me for information concerning Lady Slinthiss\' operations. But I wouldn\'t have talked, I swear! She sent you to bring me back safely, right?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '58', 'npc_more_1_3', 'I didn\'t! I swear! I was framed! By, by -- the Hutts! Yeah! That\'s it! The Hutts framed me, those slimy slugs! They mind controlled me! Is any of this getting through?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '59', 'npc_more_1_4', 'Ah, now I understand. Okay, you\'ve bought yourself a reprieve. Take me back to your boss. I think she and I have business to discuss.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '60', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '61', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '62', 'npc_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '63', 'npc_more_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '64', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '65', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '66', 'npc_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '67', 'npc_more_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '68', 'npc_noloc_1', 'Let me verify the captain\'s coordinates with my people. Check with me in a few.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '69', 'npc_noloc_2', 'My people just need to verify those coordinates. Could you check back with me in a few moments?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '70', 'npc_noloc_3', 'One moment while my people verify the ledger\'s location.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '71', 'npc_noloc_4', 'One moment while my people verify the assassin\'s current coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '72', 'npc_reset_1', 'Oh, I know, I can be so demanding. Come back when you\'re ready for such a bossy employer.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '73', 'npc_reward_1', 'Well done. I hope that mean old CorSec captain didn\'t upset you too much. These sorts have a much more ferocious growl than they do bites. Those temperments suit these security roles, I suppose.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '74', 'npc_reward_2', 'You\'ve brought my employee back safe and sound. Wonderful! Please have a drink on me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '75', 'npc_reward_3', 'You put many of my other agents to shame. But they need that in order to strive for something better. You\'re tops in my view.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '76', 'npc_reward_4', 'You are a businesswoman\'s most valuable asset, do you know that? Take some time off, you Corellian sand panther, you\'ve more than earned it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '77', 'npc_smuggle_1', 'What\'s this? A message from Nurla Slinthiss? It\'s a holo recording of some sort -- Wait a second! Is this what I think it is? You tell that good-for-nothing gangster I won\'t be blackmailed! You hear me! Now get out of here before I have you arrested!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '78', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '79', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '80', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '81', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '82', 'npc_takeme_2', 'A thousand thanks, friend. Please take me back to Lady Slinthiss. More of those CorSec goons may show up at any minute.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '83', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '84', 'npc_takeme_4', 'Not bad. Looks like I\'ll have to deal with you myself. Ready?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '85', 'npc_work_1', 'Did you deliver that message for me? A business deal is dependent upon that delivery.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '86', 'npc_work_2', 'Have you rescued my employee from those CorSec goons? He\'s ever so fragile.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '87', 'npc_work_3', 'Have you retrieved that ledger for me? My business will surely take a hit if that falls into the wrong hands.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '88', 'npc_work_4', 'Did you say that phrase to that assassin? My life could be in grave danger.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '89', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '90', 'otherescort_2', 'I\'m not the fellow you\'re looking for.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '91', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '92', 'otherescort_4', 'Get lost. I\'m busy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '93', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '94', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '95', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '96', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '97', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '98', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '99', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '100', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '101', 'player_3_1', 'What kind of message is this?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '102', 'player_3_2', 'If I fight CorSec personnel to save your friend, won\'t I be arrested?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '103', 'player_3_3', 'Why are the Hutts after your \"books?\"');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '104', 'player_3_4', 'What phrase do you want me to say?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '105', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '106', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '107', 'player_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '108', 'player_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '109', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '110', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '111', 'player_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '112', 'player_5_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '113', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '114', 'player_more_1_2', 'Why were you arrested?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '115', 'player_more_1_3', 'Why did you betray Lady Slinthiss?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '116', 'player_more_1_4', 'Jaggah Jonz never left Nal Hutta. You want to retire on the \"Glorious Jewel?\"');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '117', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '118', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '119', 'player_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '120', 'player_more_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '121', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '122', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '123', 'player_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '124', 'player_more_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '125', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '126', 'player_sorry_1', 'I\'ll get back to work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '127', 'return_waypoint_description_1', 'Report back to Nurla.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '128', 'return_waypoint_description_2', 'Escort the employee back to Lady Slinthiss.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '129', 'return_waypoint_description_3', 'Bring the ledger back to Lady Slinthiss.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '130', 'return_waypoint_description_4', 'Escort the assassin back to Lady Slinthiss.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '131', 'return_waypoint_name_1', 'Nurla Slinthiss\' Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '132', 'return_waypoint_name_2', 'Nurla Slinthiss\' Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '133', 'return_waypoint_name_3', 'Nurla Slinthiss\' Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '134', 'return_waypoint_name_4', 'Nurla Slinthiss\' Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '135', 'waypoint_description_1', 'Deliver a message to a CorSec captain.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '136', 'waypoint_description_2', 'Rescue Lady Slinthiss\' employee from the CorSec goons.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '137', 'waypoint_description_3', 'Get the ledger from the accountant.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '138', 'waypoint_description_4', 'Speak a phrase to an assassin.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '139', 'waypoint_name_1', 'CorSec Captain\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '140', 'waypoint_name_2', 'Devoted Employee\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '141', 'waypoint_name_3', 'Traitorous Accountant\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '142', 'waypoint_name_4', 'Assassin\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '143', 'npc_reset_2', 'Oh, I know, I can be so demanding. Come back when you\'re ready for such a bossy employer.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '144', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_nurla_slinthiss.stf', '145', 'player_sorry_2', 'I\'ll get back to work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '1', 'cant_work', 'If you know how to keep your mouth shut and can take care of business, come see me when you need a job.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '2', 'dontknowyou_1', 'I\'m waiting to meet up with somebody. Just go on about your business.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '3', 'dontknowyou_2', 'This has been a bit of a rough day. Would you mind leaving us in peace?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '4', 'dontknowyou_3', 'Unless you have a strong desire to have the Hutts chasing you all over the galaxy, you might just want to run along.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '5', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '6', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '7', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '8', 'next', 'I\'ll keep an eye out for you the next time something comes up. Right now I don\'t have any work for you. I love it when things are running smoothly.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '9', 'notit_1', 'I\'m fairly certain this isn\'t the item you were supposed to give me. Would you mind looking again?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '10', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '11', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '12', 'notyet', 'Don\'t bother me right now, okay?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '13', 'npc_1_1', 'I hope you\'re not the kind who likes to make trouble. I run a quiet town and as long as nothing interferes with business, I say, \"live and let live.\" Now if you were looking for a little work on the side, I have a little package that needs picking up. How about it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '14', 'npc_1_2', 'Normally the Hutts and I leave each other alone, but recently they\'ve been trying to do business with the Corporate Sector Authority. I wouldn\'t have any problem with that normally but they kidnapped the CSA rep they were dealing with. Do me a favor and get that CSA rep back safely. How about it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '15', 'npc_1_3', 'The Hutts have got to pay for that kidnapping stunt. Nobody interferes with business in my town and gets away with it. The Hutt lieutenant who gave that order needs to vanish. Think you might want to handle the Job?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '16', 'npc_2_1', 'Glad to have you on board. The CSA is sending a courier. Pick up the package and bring it back to me. Simple right? Wrong. There\'s always some goon trying to get in on the action, so keep your eyes open.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '17', 'npc_2_2', 'I\'m not sure what sort of game these Hutts are playing, so shoot first and we won\'t even bother asking questions. When it comes to choosing between the CSA and the Hutts, I know who\'s good for business.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '18', 'npc_2_3', 'It should be pretty straightforward. I\'ve already arranged the meeting so I\'ll just give you the location and you can go kill that lieutenant and any goons who might be there. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '19', 'npc_3_1', 'I understand your refusal. See that you don\'t interfere in the day-to-day business of the city while you\'re here. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '20', 'npc_3_2', 'Don\'t want to anger the Hutts, eh? You\'re smarter than you look.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '21', 'npc_3_3', 'You didn\'t strike me as the nervous type when I hired you. So much for first impressions.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '22', 'npc_4_1', 'The sort of package whose contents I don\'t reveal to agents like you. You don\'t want to ask too many questions around here. The answers will only get you into trouble. So will you do it or not?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '23', 'npc_4_2', 'Who knows? Maybe for not doing exactly what the Hutts wanted? It\'s not as though the Hutts are known for their legendary desire to reach a compromise. So are you going to help out or not?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '24', 'npc_4_3', 'I\'ll arrange for a meeting with the Hutt lieutenant to discuss reparations and then I\'ll tell you where that meeting is. You go to said meeting place and create a large pile of ash where the Hutt lieutenant used to be. How about it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '25', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '26', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '27', 'npc_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '28', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '29', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '30', 'npc_6_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '31', 'npc_backtowork_1', 'Were you going to just stand there or was there something else you wanted to say?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '32', 'npc_backtowork_2', 'Make it quick. What\'s on your mind?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '33', 'npc_backtowork_3', 'Time to get to work -- unless you\'ve changed your mind?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '34', 'npc_breech_1', 'You must be the new courier. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '35', 'npc_breech_2', 'Thank the Force! A friendly face.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '36', 'npc_breech_3', 'What\'s this? A double-cross!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '37', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '38', 'npc_dropoff_2', 'Thanks again. I think next time I\'ll talk to the Hutts over a com-link.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '39', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '40', 'npc_failure_1', 'I told you to be careful out there.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '41', 'npc_failure_2', 'I need to get the CSA\'s representative back to them in one piece or it\'s going to interfere with business. This is not good.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '42', 'npc_failure_3', 'You look somewhat the worse for wear. Things didn\'t go so well? I suppose I\'ll have to find another way to impress the Hutts.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '43', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '44', 'npc_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '45', 'npc_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '46', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '47', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '48', 'npc_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '49', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '50', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '51', 'npc_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '52', 'npc_noloc_1', 'I\'ll just contact the CSA and see when they were planning on sending their courier out. Come see me in a little while.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '53', 'npc_noloc_2', 'Come back in a few minutes, I need some time to contact the CSA and get any last minute instructions they may have. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '54', 'npc_noloc_3', 'I need to contact the Hutts. Give me a few minutes of privacy to arrange that meeting.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '55', 'npc_reset_1', 'Too much for you right now, eh? Come back when you want to finish the job.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '56', 'npc_reward_1', 'There\'s nothing like the satisfaction of a job well done.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '57', 'npc_reward_2', 'CSA rep back in one piece and offending Hutt goons taken care of. Nice work!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '58', 'npc_reward_3', 'Well done. That should keep the CSA happy and send a strong message to the Hutts at the same time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '59', 'npc_smuggle_1', 'Tell Chief Mathiss that the CSA is very grateful for the speed with which he made that investigation shrivel up and go away.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '60', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '61', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '62', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '63', 'npc_takeme_2', 'I\'m glad you got here when you did. Things were starting to look pretty grim.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '64', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '65', 'npc_work_1', 'Have you picked up my package yet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '66', 'npc_work_2', 'You\'d better go and get that CSA rep before those goons do any permanent damage.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '67', 'npc_work_3', 'Hurry up! You\'re going to miss the meeting.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '68', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '69', 'otherescort_2', 'This has been a bit of a rough day. Would you mind leaving us in peace?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '70', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '71', 'player_1_1', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '72', 'player_1_2', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '73', 'player_1_3', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '74', 'player_2_1', 'No');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '75', 'player_2_2', 'No');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '76', 'player_2_3', 'No');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '77', 'player_3_1', 'What sort of package?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '78', 'player_3_2', 'Why would the Hutts want to kidnap a CSA rep?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '79', 'player_3_3', 'How do you want me to handle this?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '80', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '81', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '82', 'player_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '83', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '84', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '85', 'player_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '86', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '87', 'player_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '88', 'player_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '89', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '90', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '91', 'player_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '92', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '93', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '94', 'player_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '95', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '96', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '97', 'return_waypoint_description_1', 'Return to Radlee Mathiss with the datadisc');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '98', 'return_waypoint_description_2', 'Return to Radlee Mathiss with the CSA representetive.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '99', 'return_waypoint_description_3', 'Return to Radlee Mathiss and inform him of your success.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '100', 'return_waypoint_name_1', 'Radlee Mathiss');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '101', 'return_waypoint_name_2', 'Radlee Mathiss');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '102', 'return_waypoint_name_3', 'Radlee Mathiss');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '103', 'waypoint_description_1', 'Go meet the courier and pick up the package');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '104', 'waypoint_description_2', 'Go rescue the CSA representetive.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '105', 'waypoint_description_3', 'Go kill the the Hutt lieutenant who ordered the kidnapping of the CSA representetive.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '106', 'waypoint_name_1', 'The courier\'s location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '107', 'waypoint_name_2', 'The location of the CSA representetive');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '108', 'waypoint_name_3', 'The location of the Hutt\'s lieutenant');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '109', 'npc_reset_2', 'Too much for you right now, eh? Come back when you want to finish the job.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '110', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '111', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '112', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '113', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_dearic_radlee_mathiss.stf', '114', 'npc_reset_3', 'Too much for you right now, eh? Come back when you want to finish the job.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '1', 'cant_work', 'You come see me about some work when you have some time to kill.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '2', 'dontknowyou_1', 'What are you looking at me for? I\'m not doing anything.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '3', 'dontknowyou_2', 'You should clear out of here friend. You never know when trouble may start.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '4', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '5', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '6', 'next', 'I have to cool it for a while an Imperial Inspector looks around. Maybe I\'ll have something for you later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '7', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '8', 'notit_2', 'This isn\'t a hyperdrive part. Come on pal, look again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '9', 'notyet', 'I don\'t need anything right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '10', 'npc_1_1', 'Are you here to pick up the AT-ST? No, wait -- that\'s tomorrow. What do you need? I can get you anything you want: blasters, thermal detonators, anti-orbital ion cannons, you name it. You don\'t look like you could scrape the creds together for that last one, though. But what I need is someone to do a pickup for me. Are you looking for work?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '11', 'npc_1_2', 'I love it when work and business come together in harmony. Through a smuggler intermediary I\'ve been able to convince some Rebel supply officer that I\'m willing to trade a few crates of Imperial blaster rifles for a hyperdrive part that I need. Would you mind making the trade for me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '12', 'npc_2_1', 'Down to business then. I want you to meet a \"procurement specialist\" that picked up an item that fell off the Imperial supply roster. Don\'t worry about what it is, pal, just bring it back here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '13', 'npc_2_2', 'Great. You go and meet this Rebel and remove the part from the smoldering corpse -- being careful not to damage the part of course. You get the glory of being the great Rebel slayer and I get the proceeds from selling that hyperdrive part. It\'s win-win.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '14', 'npc_3_1', 'No problem, pal. You need something later? You come see me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '15', 'npc_3_2', 'That\'s okay. Just keep me in mind when you want to do business.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '16', 'npc_4_1', 'Hey, slow down, pal. You ask an awful lot of questions that don\'t concern you. I just need someone to pick up a little something that got lost -- from the supply roster. No big deal. What do you say?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '17', 'npc_4_2', 'Don\'t be such a chump. This is just business and I want that part. I can sell that part for a tidy sum and help put my kid through the Academy -- if I ever have one. Besides, it\'s not as though I\'m actually going to give up the blaster rifles. That\'s where you come in. How about it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '18', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '19', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '20', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '21', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '22', 'npc_backtowork_1', 'I\'ve got a business to run as well as my actual job to do, make it snappy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '23', 'npc_backtowork_2', 'Are you waiting for something or was there something you needed to tell me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '24', 'npc_breech_1', 'You weren\'t followed were you? Not that I\'m impugning your skills.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '25', 'npc_breech_2', 'It\'s a double-cross!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '26', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '27', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '28', 'npc_failure_1', 'Too much for you, huh? This is going to cost me a fortune.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '29', 'npc_failure_2', 'Pal, you\'re breaking my heart here.  No part? How am I supposed to put my kid through the Academy now?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '30', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '31', 'npc_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '32', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '33', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '34', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '35', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '36', 'npc_noloc_1', 'You\'d think these people would call and tell you where they want to make the drop, but no. I have to do everything myself.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '37', 'npc_noloc_2', 'Let me find out where you\'re supposed to turn that Rebel into a grease spot -- I mean make the trade. Come see me in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '38', 'npc_reset_1', 'If you want to finish up later come back and see me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '39', 'npc_reward_1', 'Great, I\'ve already got a buyer waiting for this. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '40', 'npc_reward_2', 'Great work, pal! We make quite a team. You keep killing Rebels and I\'ll keep selling off their stuff and together we\'ll bring peace and prosperity to the galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '41', 'npc_smuggle_1', 'I\'m glad to get this thing off my hands. Be careful it doesn\'t burn you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '42', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '43', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '44', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '45', 'npc_work_1', 'You picked up my package yet? I need that merchandise.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '46', 'npc_work_2', 'What are you waiting for, pal?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '47', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '48', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '49', 'player_1_1', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '50', 'player_1_2', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '51', 'player_2_1', 'No');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '52', 'player_2_2', 'No');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '53', 'player_3_1', 'What do you want me to pick up?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '54', 'player_3_2', 'You want me to give crates of Imperial blaster rifles to the Rebels? Are you out of your mind?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '55', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '56', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '57', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '58', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '59', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '60', 'player_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '61', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '62', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '63', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '64', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '65', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '66', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '67', 'return_waypoint_description_1', 'Return to Gravin Attal with the disc');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '68', 'return_waypoint_description_2', 'Return to Gravin Attal with the hyperdrive part.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '69', 'return_waypoint_name_1', 'Gravin Attal');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '70', 'return_waypoint_name_2', 'Gravin Attal');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '71', 'waypoint_description_1', 'Go pick up the item from the smuggler');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '72', 'waypoint_description_2', 'Go kill the Rebel supply sergeant and take the hyperdrive part.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '73', 'waypoint_name_1', 'Smuggler\'s location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '74', 'waypoint_name_2', 'The Rebel supply sergeant\'s location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '75', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '76', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_gravin_attal.stf', '77', 'npc_reset_2', 'If you want to finish up later come back and see me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '1', 'cant_work', 'If you manage to get away from your current duties, come see me about some work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '2', 'dontknowyou_1', 'This may not be the safest place to be friend. Why don\'t you continue on your way and leave any trouble to us.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '3', 'dontknowyou_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '4', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '5', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '6', 'next', 'I have such a shortage of volunteers in my line of work. It\'s nice to see you have an interest. Check back with me later and perhaps I can find something for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '7', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '8', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '9', 'notyet', 'Can\'t talk to you now, okay?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '10', 'npc_1_1', 'Are you at all familiar with the Berserker Virus? It has the wonderful effect of heightening aggression. I\'m a huge fan of that clever little bit of bioengineering. I picked up a sample of it myself and I\'ve been doing a little tinkering on it recently in an effort to remove the one flaw in its design. Do you think you can help me with that?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '11', 'npc_1_2', 'Well that version of the virus wasn\'t at all what I was anticipating. The subject\'s muscles contorted so badly that eventually every bone was shattered. The subject told me the most remarkable things while begging for release from the pain. Which leads me to a new problem I need help with -- If you\'re willing?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '12', 'npc_2_1', 'Excellent. Find the Imperial defector and bring this test subject back to me. We\'ll see how my new version of the Berserker Virus is coming along.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '13', 'npc_2_2', 'I want you to destroy the Rebel lab that\'s trying to cure the Berserker Virus. That should set them back a bit and give me time to develop my own version that will work on sapient races.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '14', 'npc_3_1', 'I suppose I\'ll have to speak with Commander Guul about impressing an Imperial volunteer into service. What was your name again? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '15', 'npc_3_2', 'Why would you refuse? I\'d inoculate you against any possible contaminants from the lab. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '16', 'npc_4_1', 'Not unless you want me to. I want you to go find me a subject to test my new variation of the virus on. We recently had a defector. I think a traitor like that would make a splendid volunteer. What do you say? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '17', 'npc_4_2', 'Before my subject died, I learned that a small Rebel-operated lab is close to finding a cure for the existing virus. That would jeopardize all my hard work. Will you help me stop these Rebel brutes from destroying a perfectly good bio-weapon?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '18', 'npc_5_1', 'The flaw is that it doesn\'t work on sapient creatures. I\'m sure I can fix that in no time with a few tweaks.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '19', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '20', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '21', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '22', 'npc_backtowork_1', 'Was there something else or did you want to spare yourself the legwork and just volunteer to test the new virus?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '23', 'npc_backtowork_2', 'Oh that\'s right, I forgot to inoculate you against lab contaminants. Did you forget something too?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '24', 'npc_breech_1', 'NPC arrestee hail dialog (npc_breech)	I surrender! Please don\'t kill me!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '25', 'npc_breech_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '26', 'npc_dropoff_1', 'You can\'t do anything worse to me than I\'ve already done to myself. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '27', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '28', 'npc_failure_1', 'Well since I don\'t have any Rebel test subjects, I suppose I\'ll have to make do with what\'s at hand -- Unless you wanted to try again?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '29', 'npc_failure_2', 'Do you feel all right? You look pale. Perhaps I should give you a nutrient injection and take a few blood samples to see if there\'s some physical cause for your failure.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '30', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '31', 'npc_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '32', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '33', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '34', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '35', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '36', 'npc_noloc_1', 'I\'ll see if I can discover the last location of a Rebel sighting. Come see me in a little while.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '37', 'npc_noloc_2', 'I\'ll have to look through my recordings and find out where that test subject said the Rebel lab was located. This may take a while. Come back a little later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '38', 'npc_reset_1', 'I hate to let anyone go before an experiment is complete but I suppose as long as you came back later it would be all right. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '39', 'npc_reward_1', 'I should probably give you a quick inoculation against some of the local microorganisms -- wait, where are you going?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '40', 'npc_reward_2', 'Splendid! Hopefully that will set them behind for months and give me time to mutate my virus into something they won\'t be able to find a cure for. Oh, how I love science!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '41', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '42', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '43', 'npc_takeme_1', 'I\'m a disgrace to the Empire and the Rebellion. Maybe I can at least die with a little dignity.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '44', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '45', 'npc_work_1', 'Have you found me a volunteer yet? I\'m giddy with anticipation.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '46', 'npc_work_2', 'Splendid! Hopefully that will set them behind for months and give me time to mutate my virus into something they won\'t be able to find a cure for. Oh, how I love science!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '47', 'otherescort_1', 'This may not be the safest place to be friend. Why don\'t you continue on your way and leave any trouble to us.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '48', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '49', 'player_1_1', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '50', 'player_1_2', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '51', 'player_2_1', 'No');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '52', 'player_2_2', 'No');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '53', 'player_3_1', 'You\'re not going to inject me with anything are you? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '54', 'player_3_2', 'You certainly do have a problem -- what do you think your problem is?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '55', 'player_4_1', 'What is the one flaw in the design?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '56', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '57', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '58', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '59', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '60', 'player_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '61', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '62', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '63', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '64', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '65', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '66', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '67', 'return_waypoint_description_1', 'Return the traitor to Lethin Bludder for scientific experiments.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '68', 'return_waypoint_description_2', 'Return to Lethin Bludder and inform him of your success.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '69', 'return_waypoint_name_1', 'Lethin Bludder');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '70', 'return_waypoint_name_2', 'Lethin Bludder');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '71', 'waypoint_description_1', 'Go and capture the traitor to the Empire from his new Rebel friends');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '72', 'waypoint_description_2', 'Go destroy the Rebel lab');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '73', 'waypoint_name_1', 'location of the Imperial traitor');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '74', 'waypoint_name_2', 'The Rebel lab\'s location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '75', 'npc_reset_2', 'I hate to let anyone go before an experiment is complete but I suppose as long as you came back later it would be all right. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '76', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_lethin_bludder.stf', '77', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '1', 'cant_work', 'The Empire should be your only master. Come back when you are serving no other.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '2', 'dontknowyou_1', 'Can\'t talk now. I\'m terribly busy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '3', 'dontknowyou_2', 'Can\'t talk. Busy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '4', 'dontknowyou_3', 'Get lost. I\'m busy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '5', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '6', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '7', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '8', 'next', 'That is all for now, agent. But smugglers are a tenacious breed, so I may have more work for you later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '9', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '10', 'notit_2', 'This is not the forged permit I asked you to bring me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '11', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '12', 'notyet', 'Sorry, I have nothing to say at the moment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '13', 'npc_1_1', 'Although I should be leading the search for those Rebel scum, my superiors have decided that I should curb smuggling activity on Talus. A Kowakian monkey-lizard could perform such a duty. But if they want smuggling curbed on this planet, then I shall give them what they want. You\'re a servant of the Empire. I call upon you to assist me in carrying out these orders. I need an informant arrested and brought back here for interrogation. Can the Empire count on you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '14', 'npc_1_2', 'That Bothan began singing even before we had activated our Interrogator droid. We now know who possesses one of these forged permits. I must get it at any cost. If the individual who has it or any companions try to resist, blast them all. Careful you don\'t damage the evidence, however. It should be contained inside a datadisc. Will you do it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '15', 'npc_1_3', 'While you were gone, we used the Interrogator on the Bothan - I felt he was holding back. Wouldn\'t you know it, my instincts proved correct. He gave us the name and location of a top-rate data slicer who\'s been cracking the Imperial network on Talus and creating these forged permits. I need you to retire this individual.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '16', 'npc_2_1', 'Good answer. The informant is at the following coordinates. He\'s a Bothan, and you know how cautious they can be, so be prepared for a struggle. But whatever happens, I need the Bothan alive. Dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '17', 'npc_2_2', 'Good. The target is a smuggler, so don\'t feel too badly about blasting first and skipping the questions part. Remember, don\'t damage that permit. Dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '18', 'npc_2_3', 'Take your heaviest weapon along. This data slicer has eluded Imperial agents for years and rumor has it that paranoia has turned this scum into a very well protected individual. Dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '19', 'npc_3_1', 'Why are you wasting my time? Is it any wonder the Empire struggles to locate the Rebels when we have to rely on agents such as you? Get out of my sight!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '20', 'npc_3_2', 'And here I was actually thinking you might be worth something. Leave at once.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '21', 'npc_3_3', 'The only reason I don\'t have you arrested is because you\'ve been of some use thus far. Leave before I change my mind.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '22', 'npc_4_1', 'Although I can\'t prove it, I know this scum has been selling forged transport permits to smugglers. Once I interrogate this worm, I\'ll know to whom he\'s sold these permits so I can acquire one as evidence. Will you go?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '23', 'npc_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '24', 'npc_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '25', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '26', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '27', 'npc_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '28', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '29', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '30', 'npc_6_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '31', 'npc_backtowork_1', 'Why do you delay? Get going.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '32', 'npc_backtowork_2', 'Don\'t just stand there. Go get me that permit.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '33', 'npc_backtowork_3', 'What are you waiting for? Perform your duty.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '34', 'npc_breech_1', 'On the alert, agents! I sense trouble approaches.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '35', 'npc_breech_2', 'Who\'s that? Doesn\'t look like a friendly sort to me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '36', 'npc_breech_3', 'Who\'s that? I don\'t know! It must be an enemy! Fire!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '37', 'npc_dropoff_1', 'My mother always said I\'d wind up meeting a violent end. I wish I could see her one last time to let her know she was right. Never doubt your mother, friend.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '38', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '39', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '40', 'npc_failure_1', 'Now I shall have to find another link in this twisted chain. You disappoint me. Dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '41', 'npc_failure_2', 'It becomes quite difficult, although not impossible, to bring criminals to justice without evidence. You\'ve failed me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '42', 'npc_failure_3', 'These permits will continue to circulate on this planet and this scum will likely go into hiding. You\'ve certainly botched this assignment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '43', 'npc_more_1_1', 'I don\'t know what you\'re talking about. What forged permits? I\'m an honest businessman. How much is Guul paying you? Maybe I can double it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '44', 'npc_more_1_2', 'Commander Guul, eh? Well come and take it if you can, hotshot!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '45', 'npc_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '46', 'npc_more_2_1', 'If that monster gets his hands on me, I\'ll never see my family again! Please be merciful and let me go. I promise to go straight! Honest!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '47', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '48', 'npc_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '49', 'npc_more_3_1', 'I\'m doomed! I\'ll be sent to the Spice Mines of Kessel or fed to rancors on Dathomir! And that\'s if I\'m lucky! Why do bad things always happen to me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '50', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '51', 'npc_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '52', 'npc_noloc_1', 'I need to verify the Bothan\'s location. One moment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '53', 'npc_noloc_2', 'I will verify the smuggler\'s coordinates. Wait a few moments.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '54', 'npc_noloc_3', 'I must verify the data slicer\'s coordinates with my people. One moment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '55', 'npc_reset_1', 'I have no time for agents that cannot finish what they start. Dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '56', 'npc_reward_1', 'An acceptable performance. There is more work to be done so feel free to remain.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '57', 'npc_reward_2', 'Excellent. This will allow me to round up the members of this little smuggling ring. Finally, I\'ll get to do the sort of work I was born to do.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '58', 'npc_reward_3', 'Well done, agent. I will mention your name in my report. Dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '59', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '60', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '61', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '62', 'npc_takeme_1', 'Don\'t kill me! I surrender! Who sent you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '63', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '64', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '65', 'npc_work_1', 'Where is that Bothan informant? He is the key to solving this smuggling problem.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '66', 'npc_work_2', 'Where is that forged permit? I cannot stop these smugglers without that crucial bit of evidence.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '67', 'npc_work_3', 'Has that data slicer been removed yet? I am not a terribly patient man.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '68', 'otherescort_1', 'I\'m not the man you\'re looking for.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '69', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '70', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '71', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '72', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '73', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '74', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '75', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '76', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '77', 'player_3_1', 'What has this informant done?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '78', 'player_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '79', 'player_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '80', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '81', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '82', 'player_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '83', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '84', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '85', 'player_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '86', 'player_more_1_1', 'Commander Guul sent me to arrest you for selling forged Imperial permits.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '87', 'player_more_1_2', 'You\'ve got a forged permit that Commander Guul wants.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '88', 'player_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '89', 'player_more_2_1', 'Let\'s go. Commander Guul is waiting.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '90', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '91', 'player_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '92', 'player_more_3_1', 'Save it for Commander Guul. Now get a move on.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '93', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '94', 'player_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '95', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '96', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '97', 'return_waypoint_description_1', 'Bring the informant back to Commander Guul for interrogation.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '98', 'return_waypoint_description_2', 'Bring the forged permit back to Command Guul for use as evidence.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '99', 'return_waypoint_description_3', 'Report your success back to Commander Guul.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '100', 'return_waypoint_name_1', 'Commander Guul\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '101', 'return_waypoint_name_2', 'Commander Guul\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '102', 'return_waypoint_name_3', 'Commander Guul\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '103', 'waypoint_description_1', 'Arrest the informant on charges of forgery.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '104', 'waypoint_description_2', 'Get the forged transport permit from the smuggler.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '105', 'waypoint_description_3', 'Retire the data slicer.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '106', 'waypoint_name_1', 'Bothan Informant\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '107', 'waypoint_name_2', 'Smuggler\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '108', 'waypoint_name_3', 'Data Slicer\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '109', 'npc_reset_2', 'I have no time for agents that cannot finish what they start. Dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '110', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '111', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '112', 'npc_reset_3', 'I have no time for agents that cannot finish what they start. Dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '113', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_imperialoutpost_xalox_guul.stf', '114', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '1', 'cant_work', 'Can\'t have distractions while you\'re performing security work. Come see me when your plate is clear.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '2', 'dontknowyou_1', 'Get lost!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '3', 'dontknowyou_2', 'I\'m a bit busy at the moment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '4', 'dontknowyou_3', 'Get lost!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '5', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '6', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '7', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '8', 'next', 'That\'s all I\'ve got for now. But in a place like this, you never know. Check back every now and again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '9', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '10', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '11', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '12', 'notyet', 'Sorry, I can\'t talk now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '13', 'npc_1_1', 'The name\'s Pyne, Durgur Pyne. I\'m in charge of security. We\'ve had some problems with pirates recently. I hate pirates. There\'s nothing I like better than blasting them into so much space dust. Word around town is that you\'re pretty good with that sort of thing. I\'m a bit short-handed right now. Think you can help me bring these lousy murderers in?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '14', 'npc_1_2', 'These sleemos just kidnapped one of my best agents. Last mistake they\'ll ever make. These creeps know most of my people, so if they saw one of us approaching, they\'d ace their prisoner. You might be able to get the drop on these slugs. Will you help me rescue my agent?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '15', 'npc_1_3', 'The agent you rescued provided us with the pirate leader\'s location. This is one dangerous individual, but I think it only fair to offer you a shot at taking this notorious criminal out seeing as how we never would have found this killer without your help. What do you say? You want a shot at him?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '16', 'npc_2_1', 'Good. One of these cutthroats is wanted for a multiple murder. The sleemo gunned down an entire family just because they made him late to a dinner date. Bring this guy in. I want a crack at this animal myself. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '17', 'npc_2_2', 'We\'ve been tracking our man for about an hour so these coordinates should be good. With luck, those pirates haven\'t found the tracer yet. Hurry, my agent\'s life is in your hands.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '18', 'npc_2_3', 'I thought you\'d say that. I\'ll contact a couple of my officers to give you some backup. Go get this sadistic scum, buddy. And give those sleemos our regards.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '19', 'npc_3_1', 'I guess I heard wrong. Stay out of trouble. Unless you want to meet again under very different circumstances.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '20', 'npc_3_2', 'I have to assume you have a great reason for refusing because otherwise it makes you seem like a callous mercenary - and I hate those.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '21', 'npc_3_3', 'Fair enough. We\'ll take care of this loser on our own. Best of luck to you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '22', 'npc_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '23', 'npc_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '24', 'npc_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '25', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '26', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '27', 'npc_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '28', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '29', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '30', 'npc_6_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '31', 'npc_backtowork_1', 'We\'re not getting any younger. You want to back out?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '32', 'npc_backtowork_2', 'No time to waste. Or are you reconsidering?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '33', 'npc_backtowork_3', 'That creep\'s waiting for your visit, friend. Get going.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '34', 'npc_breech_1', 'Heads up, we\'ve got another \"hero\" headed this way!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '35', 'npc_breech_2', 'You\'ll never get away with this, you filthy pirates! My people will hunt each of you down!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '36', 'npc_breech_3', 'Heads up, lads! We\'ve got trouble!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '37', 'npc_dropoff_1', 'If you\'re smart, you\'ll get off this planet. Not that it\'ll stop my mates from finding you and making you pay for what you did.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '38', 'npc_dropoff_2', 'Thanks, pal. I won\'t forget this. And you can bet we\'ll bring those criminals in. My word on that.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '39', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '40', 'npc_failure_1', 'I\'ll have to get the Bounty Hunters\' Guild involved in this. I was hoping to avoid that.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '41', 'npc_failure_2', 'Those pirates will pay dearly for this. Even if I have to chase them to the ends of the universe, I swear I\'ll avenge my agent.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '42', 'npc_failure_3', 'We\'ll get this scum, no matter the cost. Wish you could have done the job, though. It would have made for a bit of poetic justice.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '43', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '44', 'npc_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '45', 'npc_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '46', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '47', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '48', 'npc_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '49', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '50', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '51', 'npc_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '52', 'npc_noloc_1', 'I need to verify this sleemo\'s coordinates with my surveillance crew. Come back in a few.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '53', 'npc_noloc_2', 'Let me double-check those coordinates. Hang on for just a second.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '54', 'npc_noloc_3', 'My people need to verify these coordinates. Check back with me in a few.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '55', 'npc_reset_1', 'Security work is not for everyone. Come back if you change your mind.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '56', 'npc_reward_1', 'Good job. I\'ll conduct this scum\'s interrogation personally. I\'d invite you to watch, but you\'re not CorSec. We like to keep certain things in the family. You understand.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '57', 'npc_reward_2', 'I\'m grateful, buddy. CorSec owes you one. You\'ve earned this reward.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '58', 'npc_reward_3', 'If you ever contemplate a career in security, keep CorSec in mind. It\'s been a pleasure working with you. Farewell.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '59', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '60', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '61', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '62', 'npc_takeme_1', 'Okay, okay! I surrender! Just take it easy. Where did that horn-head find you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '63', 'npc_takeme_2', 'Glad you showed up when you did. I\'ve got lots to report to Captain Pyne. Let\'s get moving before more of these sleemos show up.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '64', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '65', 'npc_work_1', 'Did you arrest that brutal killer yet? I\'m eager to interrogate him.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '66', 'npc_work_2', 'Have you rescued our agent? I don\'t know how much longer those pirates will keep my agent alive.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '67', 'npc_work_3', 'Have you taken care of this pirate leader yet? There\'s no telling how long these creeps will stay on Talus.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '68', 'otherescort_1', 'Get lost!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '69', 'otherescort_2', 'I\'m a bit busy at the moment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '70', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '71', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '72', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '73', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '74', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '75', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '76', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '77', 'player_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '78', 'player_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '79', 'player_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '80', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '81', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '82', 'player_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '83', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '84', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '85', 'player_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '86', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '87', 'player_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '88', 'player_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '89', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '90', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '91', 'player_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '92', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '93', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '94', 'player_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '95', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '96', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '97', 'return_waypoint_description_1', 'Escort the pirate back to Captain Pyne.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '98', 'return_waypoint_description_2', 'Escort the CorSec agent back to headquarters.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '99', 'return_waypoint_description_3', 'Report your success to Captain Pyne.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '100', 'return_waypoint_name_1', 'Captain Pyne\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '101', 'return_waypoint_name_2', 'Captain Pyne\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '102', 'return_waypoint_name_3', 'Captain Pyne\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '103', 'waypoint_description_1', 'Arrest the murderous pirate.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '104', 'waypoint_description_2', 'Rescue the CorSec agent from the pirates.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '105', 'waypoint_description_3', 'Take out the murderous pirate captain.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '106', 'waypoint_name_1', 'Pirate Lieutenant\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '107', 'waypoint_name_2', 'CorSec Agent\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '108', 'waypoint_name_3', 'Pirate Captain\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '109', 'npc_reset_2', 'Security work is not for everyone. Come back if you change your mind.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '110', 'npc_reset_3', 'Security work is not for everyone. Come back if you change your mind.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '111', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '112', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '113', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_durgur_pyne.stf', '114', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '1', 'cant_work', 'I struggle with a sub-optimal endeavor that requires assistance, when you are less busy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '2', 'dontknowyou_1', 'You\'re not looking for me, believe me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '3', 'dontknowyou_2', 'You\'ve got the wrong person.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '4', 'gotowork_1', 'I wanted the blaster cannon plans from that slicer called \"Green Laser.\"');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '5', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '6', 'next', 'All is currently optimal. I require no assistance.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '7', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '8', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '9', 'notyet', 'Too busy to talk now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '10', 'npc_1_1', 'Oh, this is sub-optimal! I face grave problems in delivering certain data to my client. I offer incentive to you to execute this delivery. Agreement?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '11', 'npc_1_2', 'I am alarmed! CorSec investigators have discovered my actions and will soon arrest me. They do not realize I am under protection! I wish you to stop them with fatal force.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '12', 'npc_2_1', 'Optimal reply. I urge you to take this information to the anonymous representative of my client at a designated unobserved spot. Haste!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '13', 'npc_2_2', 'This indicates reason for optimism. Destroy the CorSec investigator and accompanying patrol officer.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '14', 'npc_3_1', 'Entirely sub-optimal. We part now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '15', 'npc_3_2', 'I must rely on the protection of my client. I am annoyed and frightened and also anxious.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '16', 'npc_4_1', 'I face stern prohibition against naming my client, a high government official. He seeks certain classified Imperial reports as an aid to securing favor of a former Moff.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '17', 'npc_4_2', 'One is a CorSec data trail specialist. I have sliced his arrest requisition and find he has enlisted a patrol officer as support. Murder them both for my safety!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '18', 'npc_5_1', 'This Imperial Navy report concerns a new Star Destroyer weapon. Interest runs high.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '19', 'npc_5_2', 'My client is the Prime Minister. He told all relevant CorSec forces to ignore me. This investigator clearly ignores the directive. Avoid mentioning this to anyone.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '20', 'npc_6_1', 'Indeed. Not many Drall slice. I hope CorSec believes none do. That is all the better for anonymity for me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '21', 'npc_6_2', 'I slice! To identify me, name and appearance and DNA and slicing gear, is to destroy me! Stop the investigator!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '22', 'npc_backtowork_1', 'All stands ready! Deliver the data to my client!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '23', 'npc_backtowork_2', 'The matter is entirely clear! I wish you to murder the CorSec investigator and patrol officer at once!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '24', 'npc_breech_1', 'You got the data from that slicer?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '25', 'npc_breech_2', 'Fed-Dub officer! Give up!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '26', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '27', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '28', 'npc_failure_1', 'Oh, entirely sub-optimal! I require another individual to execute successful delivery.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '29', 'npc_failure_2', 'You spared the investigator? Oh, I am perturbed! I face arrest and exposure!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '30', 'npc_more_1_1', 'Never you mind. Just understand this -- he\'s as high as they get around here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '31', 'npc_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '32', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '33', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '34', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '35', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '36', 'npc_noloc_1', 'Datapad problems prevent acquisition of a desirable rendezvous. Check later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '37', 'npc_noloc_2', 'I now slice into a CorSec database to track the investigator\'s location. Consult me soon for results.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '38', 'npc_reset_1', 'This is sub-optimal. However, conditions indicate that you may later resume the assignment without injury.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '39', 'npc_reward_1', 'Optimal! I commend your work maximally. Future conditions imply the chance of further employment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '40', 'npc_reward_2', 'You relieve my piercing anxiety. I reward you with commensurate funds.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '41', 'npc_smuggle_1', 'I gotta get these plans to the boss.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '42', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '43', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '44', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '45', 'npc_work_1', 'All stands ready! Deliver the data to my client!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '46', 'npc_work_2', 'The matter is entirely clear! Murder the CorSec investigator and patrol officer before I face arrest!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '47', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '48', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '49', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '50', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '51', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '52', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '53', 'player_3_1', 'Who is your client?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '54', 'player_3_2', 'Who are the investigators?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '55', 'player_4_1', 'What is the data?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '56', 'player_4_2', 'What do you mean by \"under protection\"?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '57', 'player_5_1', 'Are you a data slicer?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '58', 'player_5_2', 'Why can\'t your protector just get you released after arrest?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '59', 'player_more_1_1', 'Who is your boss?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '60', 'player_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '61', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '62', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '63', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '64', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '65', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '66', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '67', 'return_waypoint_description_1', 'Drall slicer who wanted Imperial blaster cannon plans delivered to the representative of a high government official.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '68', 'return_waypoint_description_2', 'This Drall slicer wanted a Fed-Dub investigator stopped.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '69', 'return_waypoint_name_1', 'Green Laser');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '70', 'return_waypoint_name_2', 'Green Laser');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '71', 'waypoint_description_1', 'Rendezvous with a representative of a government official who seeks Imperial blaster cannon blueprints secured by the Drall slicer \"Green Laser.\"');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '72', 'waypoint_description_2', 'Federation of the Double Worlds detective seeking to arrest the Drall slicer called \"Green Laser.\"');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '73', 'waypoint_name_1', 'Blaster Cannon Plan Dropoff');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '74', 'waypoint_name_2', 'Fed-Dub Investigator');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '75', 'npc_reset_2', 'This is sub-optimal. However, conditions indicate that you may later resume the assignment without injury.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '76', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_green_laser.stf', '77', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '1', 'cant_work', 'I\'ve got some work for you if you want it. Come see me when you\'re done with your current gig.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '2', 'dontknowyou_1', 'I don\'t know what you\'re doing here but you\'re in the wrong place.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '3', 'dontknowyou_2', 'You should probably move along. I\'m here to conduct some business that doesn\'t concern you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '4', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '5', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '6', 'next', 'I\'m very impressed with how you handle yourself. I don\'t have anything else at the moment but I\'ll keep you in mind for future jobs.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '7', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '8', 'notit_2', 'I told you to bring back the spice. What am I supposed to do with this?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '9', 'notyet', 'Sorry, I can\'t help you right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '10', 'npc_1_1', 'Have you ever done any \"work\" for Black Sun before? Doesn\'t matter really -- I\'m desperate. There\'s this Hutt operative that needs to be killed, and if I don\'t arrange it, someone else will and I\'ll look incompetent. Do you think you could be a pal and help me out?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '11', 'npc_1_2', 'I\'ve been looking for a way to make things right with the boss after that last fiasco. I think I\'ve finally found a way to show her what I\'m capable of. If you\'re willing to help me, I\'ll take you right to the top with me. What do you say? Are you in? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '12', 'npc_2_1', 'Great. I\'ll give you the location of this new Hutt operative and you go take him out. Simple, right? See that he gets the message if you know what I mean.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '13', 'npc_2_2', 'Here\'s what I need. The Hutts\' new hotshot has a big deal going down involving some new extra potent kind of spice. I want you to intrude upon the meeting and become the new owner of the spice by way of being the only one alive in its vicinity.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '14', 'npc_3_1', 'Then get out of here. I\'ve got business to take care of.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '15', 'npc_3_2', 'Your loss. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '16', 'npc_4_1', 'How the heck should I know? I just got a call asking if I\'d taken care of \"delivering that message\" to the Hutts\' new operative. I said yes, so now I need to get it done. What do you say? Will you help me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '17', 'npc_4_2', 'Very funny, wise guy. After you killed that last operative, the Hutts replaced that sleemo with a totally slick operator. You know the kind -  makes a move before anyone else knew there was a move that could be made. I want in on that action. Are you going to help me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '18', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '19', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '20', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '21', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '22', 'npc_backtowork_1', 'I\'ve told you all I know. What are you pestering me for? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '23', 'npc_backtowork_2', 'What\'s with all the questions? You took the job now get moving.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '24', 'npc_breech_1', 'What kind of double-cross is this? I was just supposed to pick up a message.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '25', 'npc_breech_2', 'Do you have any idea what you\'re messing with?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '26', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '27', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '28', 'npc_failure_1', 'You didn\'t kill him did you?  Why do I always have such bad luck?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '29', 'npc_failure_2', 'You couldn\'t get the stuff? Uh-Oh! I already told the boss I\'d just finished a major new deal. What\'ll I do now?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '30', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '31', 'npc_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '32', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '33', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '34', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '35', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '36', 'npc_noloc_1', 'Let me find out where the Hutts are working from these days. They tend to move around a lot. Come back and see me in a little while.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '37', 'npc_noloc_2', 'Come back in a little while, I need to find out where my agent said that deal was going to occur. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '38', 'npc_reset_1', 'You come back and work for me later. You can finish up then.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '39', 'npc_reward_1', 'You didn\'t kill him did you? Oh no! It turns out I was supposed to deliver an actual message. The boss is gonna kill me when she hears about this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '40', 'npc_reward_2', 'Can you believe my luck? It turns out this hotshot operative was our double agent and it was a shipment of tainted spice we were slipping to the Hutts. I wonder if there\'s someone else I can pin this on? Don\'t worry - they\'d never believe it was you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '41', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '42', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '43', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '44', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '45', 'npc_work_1', 'Have you killed that Hutt operative yet? I\'m on a schedule here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '46', 'npc_work_2', 'You\'d better hurry up and grab that spice. The deal is going to go down pretty soon. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '47', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '48', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '49', 'player_1_1', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '50', 'player_1_2', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '51', 'player_2_1', 'No');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '52', 'player_2_2', 'No');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '53', 'player_3_1', 'What did this Hutt operative do?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '54', 'player_3_2', 'I know I\'m going to be sorry I asked, but what do you have in mind this time?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '55', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '56', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '57', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '58', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '59', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '60', 'player_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '61', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '62', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '63', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '64', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '65', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '66', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '67', 'return_waypoint_description_1', 'Return to Igbi Freemo and tell him you were successful');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '68', 'return_waypoint_description_2', 'Return to Igbi Freemo with the spice');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '69', 'return_waypoint_name_1', 'Igbi Feemo');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '70', 'return_waypoint_name_2', 'Igbi Freemo');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '71', 'waypoint_description_1', 'Go and kill the Hutt\'s operative');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '72', 'waypoint_description_2', 'Go to and snatch the spice from the Hutts');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '73', 'waypoint_name_1', 'Location of the Hutt operative');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '74', 'waypoint_name_2', 'Location of the spice deal');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '75', 'npc_reset_2', 'You come back and work for me later. You can finish up then.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '76', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_igbi_freemo.stf', '77', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '1', 'cant_work', 'I won\'t tempt you with assignments while you are currently employed by another. Seek me out when you\'re free. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '2', 'dontknowyou_1', 'I\'m terribly busy. Go away.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '3', 'dontknowyou_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '4', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '5', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '6', 'next', 'That is all I require of you at the moment. I shall have to carefully plot my revenge against my remaining enemies. Check back with me from time to time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '7', 'notit_1', 'That is not the briefcase I asked you to bring me. I do hope you\'re not trying to cheat me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '8', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '9', 'notyet', 'I don\'t have anything for you at the moment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '10', 'npc_1_1', 'Enjoying your stay on Talus? I find it quite relaxing here. Of course I\'m looking at it from a civilian\'s perspective now. Used to be my word was law in this sector and the fates of billions of sentient beings were held in my hand. But that was a long time ago, when I was young and idealistic. So idealistic in fact that I chose to ignore my enemies, thinking they couldn\'t possibly hurt someone in my position. But I won\'t ignore them now. Care to make some money helping a former Moff correct the mistakes of his past?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '11', 'npc_1_2', 'The second phase of my plan must now go into effect. Having secured the only known plans for the experimental ion engine, I must now call upon your services to remove the only existing prototype. If you thought I was generous before, then you should probably undertake this mission. You in?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '12', 'npc_2_1', 'Ah, how well I recognize unbridled ambition. If you never temper justice with mercy, you\'ll go far. Oh, be sure to tell my former business associate that Moff Zhord sends his regards.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '13', 'npc_2_2', 'Excellent. You\'ll find the man with the prototype at this location.  I want it brought back to me.  ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '14', 'npc_3_1', 'Not a terribly ambitious sort, eh? So be it. There are plenty of others who are.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '15', 'npc_3_2', 'As you wish. My credits will simply go to another.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '16', 'npc_4_1', 'A Corporate Sector Authority executive, a former \"business associate\" of mine, will be transporting some schematics for an experimental ion engine to his superiors. I want those schematics. They\'re locked safely in a briefcase so you should have no trouble finding them. Do what you will with the CSA officer, although I tend to think he\'ll fight to the death to protect that briefcase.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '17', 'npc_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '18', 'npc_5_1', 'Not anymore.  Because I helped organize and fund the research team that led to the discovery of this new ion engine. I had to bend some rules here and there, of course, and that\'s exactly what my enemies used to discredit me. So it would be a cold day on Tatooine before I let them get rich off my sacrifice.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '19', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '20', 'npc_6_1', 'The specifics of my downfall are not important. What is important is that those who betrayed me are about to get rich at my expense and I will do everything in my power to stop them. Do you wish to help me or not?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '21', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '22', 'npc_backtowork_1', 'But really, enough talk. Now is the time for action. Do you wish to reconsider?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '23', 'npc_backtowork_2', 'No more delays. Please attend to your duties.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '24', 'npc_breech_1', 'Look lively, gentlemen! I don\'t like the look of that one!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '25', 'npc_breech_2', 'You won\'t get this prototype!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '26', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '27', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '28', 'npc_failure_1', 'How tragic that you were unable to assist my plans. I believe I shall have to be more discriminating in the future.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '29', 'npc_failure_2', 'This is an unfortunate setback but nothing that a belt of thermal detonators couldn\'t remedy. That will create more of a stir on Talus than I had initially wanted, but a man must do what he must do.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '30', 'npc_more_1_1', 'What? He\'s still alive? But we killed him! I saw his ship blasted to pieces! We killed him!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '31', 'npc_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '32', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '33', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '34', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '35', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '36', 'npc_noloc_1', 'Allow me a few moments to verify those coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '37', 'npc_noloc_2', 'Allow me to verify the man\'s coordinates. Check back with me in a few moments.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '38', 'npc_reset_1', 'A shame you couldn\'t finish what you started. Best of luck in your future endeavors.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '39', 'npc_reward_1', 'Well done. Please treat yourself to something nice. Talus offers many pleasures to the discriminating buyer.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '40', 'npc_reward_2', 'Job well done. I admire your professionalism. When the time comes for me to execute my plans of revenge on my remaining enemies, I shall keep you in mind.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '41', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '42', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '43', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '44', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '45', 'npc_work_1', 'Where is my briefcase? I hope I haven\'t made a mistake by employing you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '46', 'npc_work_2', 'Did you get the prototype? I won\'t allow anyone else to get rich off that design.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '47', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '48', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '49', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '50', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '51', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '52', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '53', 'player_3_1', 'What would I need to do?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '54', 'player_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '55', 'player_4_1', 'You were \"idealistic\"?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '56', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '57', 'player_5_1', 'How come you\'re a civilian now?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '58', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '59', 'player_more_1_1', 'Moff Zhord sends his regards.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '60', 'player_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '61', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '62', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '63', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '64', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '65', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '66', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '67', 'return_waypoint_description_1', 'Bring the briefcase back to Jusani Zhord.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '68', 'return_waypoint_description_2', 'Report your success back to Jusani Zhord.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '69', 'return_waypoint_name_1', 'Jusani Zhord\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '70', 'return_waypoint_name_2', 'Jusani Zhord\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '71', 'waypoint_description_1', 'Get the briefcase from the CSA officer.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '72', 'waypoint_description_2', 'Find the man with the prototype and kill him.  Bring the prototype back to Zhord.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '73', 'waypoint_name_1', 'Former Business Associate\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '74', 'waypoint_name_2', 'Prototype\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '75', 'npc_reset_2', 'A shame you couldn\'t finish what you started. Best of luck in your future endeavors.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '76', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_jusani_zhord.stf', '77', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '1', 'cant_work', 'Step back soon, friend, when you\'re not busy. Smooth out and slack back.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '2', 'dontknowyou_1', 'You\'ve got the wrong person, friend.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '3', 'dontknowyou_2', 'I am waiting for another individual.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '4', 'gotowork_1', 'What exactly are you waiting for?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '5', 'gotowork_2', 'I expected a package from Sigrix full of -- not spice, what did he say it was? -- ah, a Selonian verovakin, yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '6', 'next', 'All is smooth, friend. No tasks trouble the unrippled calm of the mind\'s landscape.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '7', 'notit_1', 'You lack the slack, friend -- this is not the ambient wildlife calls I need.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '8', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '9', 'notyet', 'Can\'t talk now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '10', 'npc_1_1', 'Smooth it and seat it, my friend. I\'m big in fizz. I got a friend making recordings for me, and you could do me a real good turn, picking-them-up-wise. Interested?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '11', 'npc_1_2', 'Smooth and slack, friend. I made some lissome fizz using a Selonian verovakin for harmony. I need to get it back to its owner. You game for the dropoff?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '12', 'npc_2_1', 'Smooth. They\'re wildlife calls recorded live, so my friend is in the wilderness. Watch out for those animals, now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '13', 'npc_2_2', 'Yes indeed, you are a smooth mover. You want a Selonian named Wooral. The verovakin is in this container. Don\'t worry if it sounds like spice when you shake it, that\'s just padding material.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '14', 'npc_3_1', 'No? How un-smooth. You lack the slack, friend.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '15', 'npc_3_2', 'How truly un-smooth.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '16', 'npc_4_1', 'They\'re the beautiful calls of native Talus wildlife, lovingly recorded in the wilderness by a skilled engineer. They\'ve got a happy path as overtones to my next piece. Can you nab these sweet sounds?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '17', 'npc_4_2', 'A tiny little twangy thing the Selonians play with the claws on their toes. I hear the males use it to entice the ladies. Wouldn\'t know myself. Care to return it to its owner?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '18', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '19', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '20', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '21', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '22', 'npc_backtowork_1', 'The way lies clear, friend. Got to have those wildlife recordings.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '23', 'npc_backtowork_2', 'The way is smooth, friend. Take that verovakin back to Wooral.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '24', 'npc_breech_1', 'You here from that musician, Sigrix Slix?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '25', 'npc_breech_2', 'I am waiting for a delivery from Sigrix Slix! Is that you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '26', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '27', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '28', 'npc_failure_1', 'You didn\'t bring the stuff -- I mean, the recordings? That is so un-smooth. I\'ll be lacking my slack now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '29', 'npc_failure_2', 'You didn\'t get that stuff -- that verovakin back to Wooral? Oh, very un-smooth. Gotta work up another delivery soonest.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '30', 'npc_more_1_1', 'Huh? Oh! Oh, of course, the wildlife calls. Here, this container is full of high-quality wildlife calls. Take it to Sigrix, he\'ll love it. Them.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '31', 'npc_more_1_2', 'Yes, all right, musical instrument. Whatever he likes to call it. I only know my buyers need this container urgently.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '32', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '33', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '34', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '35', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '36', 'npc_noloc_1', 'Soon I\'ll hear from my friend where his wanderings have taken him. Check back with me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '37', 'npc_noloc_2', 'Wooral will call with the place for the happy return. Check with me soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '38', 'npc_reset_1', 'Smooth, friend. Check back when you can.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '39', 'npc_reward_1', 'Hmm? My friend said this was glitterstim spice? Ha. That noober. Here, friend, glom some creds and check back soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '40', 'npc_reward_2', 'Smooth, friend. Glad you returned that verovakin. Wooral thought that was spice? These aliens -- so strange. Can\'t figure them out.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '41', 'npc_smuggle_1', 'He\'s gonna love this stuff. This is 99 percent pure, this is. What a high!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '42', 'npc_smuggle_2', 'This is -- what? -- a Selonian verovakin? As you say. Sigrix will pay you, I am sure.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '43', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '44', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '45', 'npc_work_1', 'Friend, my music waits. It wants those wildlife calls. Hope you can get them soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '46', 'npc_work_2', 'The way is smooth, friend. Take that verovakin back to Wooral.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '47', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '48', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '49', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '50', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '51', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '52', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '53', 'player_3_1', 'What sort of recordings?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '54', 'player_3_2', 'What is a verovakin?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '55', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '56', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '57', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '58', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '59', 'player_more_1_1', 'Wait -- I thought I was picking up recorded sounds of ambient wildlife calls.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '60', 'player_more_1_2', 'You don\'t seem to recognize this musical instrument, but Sigrix said he borrowed it from you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '61', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '62', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '63', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '64', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '65', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '66', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '67', 'return_waypoint_description_1', 'This famous fizz musician is supposedly waiting for a friend\'s recordings of ambient wildlife calls.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '68', 'return_waypoint_description_2', 'This fizz musician in Nashal is awaiting news of the delivery he arranged to a Selonian named Wooral, allegedly of a musical instrument called a verovakin.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '69', 'return_waypoint_name_1', 'Sigrix Slix');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '70', 'return_waypoint_name_2', 'Sigrix Slix');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '71', 'waypoint_description_1', 'Nashal musician Sigrix Slix wants a friend\'s recordings of ambient wildlife calls made here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '72', 'waypoint_description_2', 'This Selonian is waiting for a container from Nashal fizz musician Sigrix Slix, supposedly containing a musical instrument called a verovakin.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '73', 'waypoint_name_1', 'Ambient Wildlife Sounds');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '74', 'waypoint_name_2', 'Wooral');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '75', 'npc_reset_2', 'Smooth, friend. Check back when you can.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '76', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_sigrix_slix.stf', '77', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '1', 'cant_work', 'Come and see me when you get some free time. I have plenty of work for enterprising individuals.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '2', 'dontknowyou_1', 'I\'m working. Get lost.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '3', 'dontknowyou_2', 'Sorry, hon, I\'m busy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '4', 'dontknowyou_3', 'Buzz off! I\'m busy!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '5', 'gotowork_1', 'Don\'t you have something to do?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '6', 'gotowork_2', 'Well?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '7', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '8', 'next', 'That\'s about all I have for you at the moment. You\'ve been most helpful. I think you understand a bit more what it takes to run a city like this. Check back with me from time to time for more work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '9', 'notit_1', 'That\'s not the briefcase I asked you to bring me. Where did you put it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '10', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '11', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '12', 'notyet', 'Sorry, I can\'t deal with this right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '13', 'npc_1_1', 'Welcome to Nashal, friend! I like to think of our beautiful city as the friendliest on Talus, which is of course the friendliest planet of the Five Brothers. I\'m sure you\'ve noticed that everyone here sports a smile. That\'s because we love visitors. And if you\'re here to work, we love you even more. As a matter of fact, I have an assignment for you right now. Are you willing to make some credits the good old-fashioned way?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '14', 'npc_1_2', 'Stellar job on that last piece of business, friend. I treasure a being that understands the importance of discretion. So are you ready for more work? An important member of my cabinet has been accidentally stranded outside of town. I need someone to safely escort this hardworking member of my administration back here. Can Nashal count on you a second time? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '15', 'npc_1_3', 'Ever since that last bit of trouble with my cabinet member, I\'ve been concerned that certain undesirable elements have been creeping into our lovely city. Our chief of security did some digging and uncovered -- brace yourself -- the presence of slavers on Talus. But these creeps are not content to stick to the Empire\'s approved slave lists, oh no! These sleemos are enslaving honest, decent citizens. If you\'re like me, you won\'t stand idly by and let this sort of thing continue. I\'m empowering you to arrest the leader of this despicable slave ring and bring him to justice. Will you do it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '16', 'npc_2_1', 'That\'s the Talus spirit, friend! Bring the briefcase back here as soon as you get it. And be sure to smile when my constituent gives it to you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '17', 'npc_2_2', 'Splendid! I knew I could count on you. As with that last bit of work, discretion is important in this assignment. I\'m sure we understand each other.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '18', 'npc_2_3', 'If you\'re not a native of Talus, friend, I\'d be happy to name you an honorary Talusian. We salute you! Now go get that slaver creep.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '19', 'npc_3_1', 'Hmm, you didn\'t strike me as someone that doesn\'t like to earn an honest, decent living. Well, perhaps you\'re just busy. Enjoy your stay!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '20', 'npc_3_2', 'Quite right, I\'m sure you\'ve got other more important things on your mind. Carry on.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '21', 'npc_3_3', 'I suppose this is more of a matter for local security. I was hoping you\'d lend a hand and earn some credits along the way. Ah well...');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '22', 'npc_4_1', 'One of my more financially successful constituents has offered a generous donation to my administration. Could you collect this donation and bring it back to me? And just to avoid any misunderstandings, the briefcase you\'ll be picking up is worthless to anyone who doesn\'t have the proper codes to open it. Not that I\'m implying an upstanding citizen such as yourself would even contemplate such misconduct. So can I count on you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '23', 'npc_4_2', 'I\'ll give you the proper coordinates, of course, but trust me, you can\'t miss her. I did mention it was a woman, yes?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '24', 'npc_4_3', 'Didn\'t you get a good look at her? Why she\'s exactly the sort of beautiful innocent that those slavers would love to get their filthy hands on. Not in this city, friend, and not while I\'m the Chief Administrator!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '25', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '26', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '27', 'npc_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '28', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '29', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '30', 'npc_6_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '31', 'npc_backtowork_1', 'Was something unclear? I\'ve told you everything you need to know.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '32', 'npc_backtowork_2', 'We shouldn\'t delay. Time is of the essence.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '33', 'npc_backtowork_3', 'The slaver is still currently on the planet. Please hurry or they may all get away.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '34', 'npc_breech_1', 'Hey! Over here! Did Jong send you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '35', 'npc_breech_2', 'Hey, hon! Over here! Did pookie -- I mean, Chief Administrator Jong send you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '36', 'npc_breech_3', 'What\'s this all about? Heads up, lads, we\'ve got company.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '37', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '38', 'npc_dropoff_2', 'You\'ve been a doll! I never felt safer. And, between you and me, I knew those goons were history the minute they showed up. See ya!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '39', 'npc_dropoff_3', 'Make sure this sleemo pays you in full before the job is done. He\'s likely to cheat you the way he cheated us. I hate corrupt politicians!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '40', 'npc_failure_1', 'That donation would have helped a variety of public works currently in progress. A shame you couldn\'t that briefcase to me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '41', 'npc_failure_2', 'Where will I find someone else with the same unbridled enthusiasm for her work? Good help is hard to find these days.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '42', 'npc_failure_3', 'I\'ll hire bounty hunters if I have to, but that sleemo is not escaping justice! I appreciate your efforts.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '43', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '44', 'npc_more_1_2', 'I\'m his Leisure Officer. My job is to make sure the Chief Administrator doesn\'t get too bogged down in his work. After all, a happy Chief Administrator translates into an efficient and productive city.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '45', 'npc_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '46', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '47', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '48', 'npc_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '49', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '50', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '51', 'npc_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '52', 'npc_noloc_1', 'One moment while my people verify my constituent\'s coordinates. Check back with me in a bit.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '53', 'npc_noloc_2', 'Let me verify my cabinet member\'s coordinates. Just a moment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '54', 'npc_noloc_3', 'My people have been tracking the movements of these slavers. Just a moment and I\'ll give you the coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '55', 'npc_reset_1', 'A bit overwhelming, I understand. Feel free to come back if you\'d like a shot at earning more credits.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '56', 'npc_reward_1', 'I\'m sorry there was some trouble along the way, but alas our best efforts to rid Talus of the criminal element has not yet met with success. Still, you did a fine job and deserve your fee.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '57', 'npc_reward_2', 'Well done, my friend. And she seems fit as a viol. You have my deepest thanks, which is best expressed via credits.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '58', 'npc_reward_3', 'We\'ll take it from here, friend. On behalf of the people of Nashal, I thank you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '59', 'npc_smuggle_1', 'Tell \"His Honor\" that his shipping permits are becoming too expensive. There\'s enough ryll in that case to get all of Nal Hutta dancing.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '60', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '61', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '62', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '63', 'npc_takeme_2', 'You\'re new, aren\'t you? Keep working hard for Chief Administrator Jong and you\'ll be able to retire in a few years. He knows how to reward good service. I miss him! Let\'s go!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '64', 'npc_takeme_3', 'Don\'t shoot! I\'ll come along quietly! You may not know this but you\'ve just made a huge mistake. Nobody messes with us.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '65', 'npc_work_1', 'Did you pick up that briefcase yet? It\'ll seem rude to delay like this, don\'t you agree?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '66', 'npc_work_2', 'Have you rescued my poor cabinet member? There are dangerous predators in the wilds of Talus, you know.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '67', 'npc_work_3', 'Have you brought that criminal in yet? The people of Nashal won\'t be safe until you do.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '68', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '69', 'otherescort_2', 'Unfortunately for you, I\'m not the gal you\'re looking for.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '70', 'otherescort_3', 'Buzz off! I\'m busy!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '71', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '72', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '73', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '74', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '75', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '76', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '77', 'player_3_1', 'What would I have to do?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '78', 'player_3_2', 'How will I recognize this cabinet member?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '79', 'player_3_3', 'Why were slavers after your cabinet member?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '80', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '81', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '82', 'player_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '83', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '84', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '85', 'player_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '86', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '87', 'player_more_1_2', 'What exactly do you do for Chief Administrator Jong?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '88', 'player_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '89', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '90', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '91', 'player_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '92', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '93', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '94', 'player_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '95', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '96', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '97', 'return_waypoint_description_1', 'Bring the briefcase back to Chief Administrator Jong.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '98', 'return_waypoint_description_2', 'Escort the cabinet member back to the Chief Administrator.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '99', 'return_waypoint_description_3', 'Escort the slaver back to town to face criminal charges.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '100', 'return_waypoint_name_1', 'Slooni Jong\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '101', 'return_waypoint_name_2', 'Chief Administrator Jong\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '102', 'return_waypoint_name_3', 'Chief Administrator Jong\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '103', 'waypoint_description_1', 'Collect a generous donation.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '104', 'waypoint_description_2', 'Collect Chief Administrator Jong\'s cabinet member.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '105', 'waypoint_description_3', 'Arrest the leader of the slave ring.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '106', 'waypoint_name_1', 'Constituent\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '107', 'waypoint_name_2', 'Cabinet Member\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '108', 'waypoint_name_3', 'Slaver Leader\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '109', 'npc_reset_2', 'A bit overwhelming, I understand. Feel free to come back if you\'d like a shot at earning more credits.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '110', 'npc_reset_3', 'A bit overwhelming, I understand. Feel free to come back if you\'d like a shot at earning more credits.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '111', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '112', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '113', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/talus/talus_nashal_slooni_jong.stf', '114', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/aaph_koden.stf', '1', 'npc_1_1', 'My name is Aaph Koden. I need the services of somebody willing to deliver a highly important message. Will you do it? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/aaph_koden.stf', '2', 'npc_1_2', 'I can\'t entrust this mission to just anybody. The Empire has discovered that Talia Reede is Force-sensitive. I need you to stop them from killing her. What do you say? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/aaph_koden.stf', '3', 'npc_1_3', 'Our Jedi candidate, Talia Reede, is finally coming in for training and we want to send her an escort to bring her in safely. I really need someone I can trust on this one. What do you say?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/aaph_koden.stf', '5', 'npc_2_1', 'That\'s the spirit! I need you to take this datadisc to Talia Reede. It\'s highly important to the Alliance that she get this message. We want her to contact us, so we can see about getting her some instruction.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/aaph_koden.stf', '6', 'npc_2_2', 'Excellent! Courageous and adaptable -- I like that. My informers tell me that an Imperial stormtrooper commander is on her trail. He must be stopped. Be very careful, he probably has troopers with him.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/aaph_koden.stf', '7', 'npc_2_3', 'I knew I could count on you. You haven\'t let me down yet. Go get her, and don\'t let anything stand in your way. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/aaph_koden.stf', '8', 'npc_3_1', 'Won\'t even do a simple courier mission? Maybe moisture farming would be more your speed.  ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/aaph_koden.stf', '9', 'npc_3_2', 'Lose your courage somewhere along the way, did you? Oh well.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/aaph_koden.stf', '10', 'npc_3_3', 'I\'m usually not surprised when people let me down, but I had really thought better of you.  Live and learn, I suppose.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/aaph_koden.stf', '12', 'npc_4_1', 'We\'ve discovered a woman we think is Force-sensitive. We want you to deliver this message to warn her of the potential dangers involved.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/aaph_koden.stf', '13', 'npc_4_2', 'She hasn\'t been trained to use the Force, she just has the potential. Will you help her?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/aaph_koden.stf', '14', 'npc_4_3', 'She\'s so skeptical -- it took a while to convince her she might be Force-sensitive. Can you believe it? Anyone else in the galaxy would give his right arm to be trained as a Jedi, but her we have to talk in to it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/aaph_koden.stf', '15', 'npc_reward_1', 'Looks like you came through for me. Good job. See me again later, and maybe I\'ll have more work for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/aaph_koden.stf', '16', 'npc_reward_2', 'You should be very proud. You may have saved the life of a future Jedi Knight. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/aaph_koden.stf', '17', 'npc_reward_3', 'There are few individuals I trust as much I\'ve come to trust you. It\'s an honor to serve in the Alliance with you. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/aaph_koden.stf', '18', 'player_1_1', 'I\'ve done things like this before.  Sure.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/aaph_koden.stf', '19', 'player_1_2', 'I can\'t stand those thugs.  Sure, I\'ll do it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/aaph_koden.stf', '20', 'player_1_3', 'You can count on me!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/aaph_koden.stf', '21', 'player_2_1', 'No thanks, sounds too dangerous.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/aaph_koden.stf', '22', 'player_2_2', 'Sorry, but I don\'t tangle with Stormtroopers.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/aaph_koden.stf', '23', 'player_2_3', 'I\'m not well-suited for this kind of thing.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/aaph_koden.stf', '24', 'player_3_1', 'What\'s so important about this message?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/aaph_koden.stf', '25', 'player_3_2', 'If she can use the Force, why can\'t she protect herself? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/aaph_koden.stf', '26', 'player_3_3', 'Why didn\'t she come in for training sooner?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/aaph_koden.stf', '27', 'player_reset_1', 'I can\'t do this anymore.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/aaph_koden.stf', '28', 'player_sorry_1', 'Not yet.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/aaph_koden.stf', '29', 'npc_backtowork_1', 'Well, hurry!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/aaph_koden.stf', '30', 'npc_reset_1', 'Won\'t even do a simple courier mission? Maybe moisture farming would be more your speed.  ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/aaph_koden.stf', '31', 'cantwork', 'I\'m sorry, If you\'re working for me, I need your complete and undivided attention. Come see me when you\'re not otherwise occupied.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/aaph_koden.stf', '32', 'dontknowyou_1', 'I think I\'m going to head home.  I\'m seeing things.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/aaph_koden.stf', '33', 'npc_work_1', 'Was the datadisc delivered yet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/aaph_koden.stf', '34', 'npc_work_2', 'Is she safe yet? Wait. Have you even left yet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/aaph_koden.stf', '35', 'npc_work_3', 'Talia, it\'s such an honor to mee...  Huh?  Where\'s Talia?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/aaph_koden.stf', '36', 'npc_breech_1', 'That was weird.  Did I just see that rock fly past me? Hmmm... must\'ve been a mirage...');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/aaph_koden.stf', '37', 'npc_breech_2', 'Help me kill this fool so we can find our target.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/aaph_koden.stf', '38', 'npc_breech_3', 'Ummm... are you the person Aaph told me to wait for?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/aaph_koden.stf', '39', 'notit_1', 'I thank you for offering me this, but I have nothing to give in return.  I can\'t accept it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/aaph_koden.stf', '42', 'npc_backtowork_2', 'Oh, okay.  When you get rid of them, let me know.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/aaph_koden.stf', '43', 'npc_backtowork_3', 'Hm... well, Force-sensitive people can be tricky.  When you find her again, bring her back here, okay?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/aaph_koden.stf', '44', 'npc_reset_2', 'Lose your courage somewhere along the way, did you? Oh well.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/aaph_koden.stf', '45', 'npc_reset_3', 'I\'m usually not surprised when people let me down, but I had really thought better of you.  Live and learn, I suppose.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/aaph_koden.stf', '46', 'player_reset_2', 'No, I don\'t want Vader coming after me. I\'m leaving this one alone.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/aaph_koden.stf', '47', 'player_reset_3', 'I\'ve come back to tell you I\'ve changed my mind.  I\'m not interested in this anymore.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/aaph_koden.stf', '48', 'player_sorry_2', 'Ummm... sorry.  I -um- had to use the \'fresher.  I\'m leaving right now to get her.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/aaph_koden.stf', '49', 'player_sorry_3', 'Um, she was here just a moment ago.  Let me go see if I can find where she went.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/aaph_koden.stf', '52', 'npc_takeme_3', 'Hello again. I guess you\'re here to bring me in for Jedi training. It still seems pretty farfetched to me. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/aaph_koden.stf', '54', 'dontknowyou_3', 'Oh, sorry.  Didn\'t mean to disturb you.  Have a good day.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/aaph_koden.stf', '106', 'npc_smuggle_1', 'Me? Force-sensitive? That\'s pretty hard to believe. I guess I\'d better check it out, though. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/aaph_koden.stf', '107', 'next', 'I don\'t have anything else for you to do at the moment. Check back with me later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/aaph_koden.stf', '108', 'notyet', 'I\'m sorry, I only speak to Alliance...er...I\'ve said too much already.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/binna_joad.stf', '1', 'npc_1_1', 'Stormtroopers attacked a Rebel base near here. Their fire went astray, as usual. They almost killed an innocent civilian family. I sent these folks to stay with a fellow I know, but they\'re still very shaken. There\'s not much I can do, but I do have a toy for the kids. Can you deliver it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/binna_joad.stf', '2', 'npc_1_2', 'Some sleemo took a pot-shot at my favorite old guy, Gen Horosi. He\'s a Clone Wars veteran, incredibly ancient but still sharp. I got some friends to help him get home, but he needs healing. I scraped together some credits and got a stimpack. Can you deliver it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/binna_joad.stf', '3', 'npc_1_3', 'Friend of mine, Peele Noonal, just had her first child and -- oh, thanks, I\'ll pass along your kind words -- and her nurse wrapped the baby in Peele\'s shirt. Ever had a baby? Trust me, it does the shirt no good. I want you to take this shirt of mine to Peele as a maternity gift.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/binna_joad.stf', '5', 'npc_2_1', 'Real kind of you. Here\'s the toy, such as it is. You got the coordinates? Good.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/binna_joad.stf', '6', 'npc_2_2', 'Thanks. You might not find Gen at home. Sometimes wanders out of town and has to be led back. Feisty old guy, but a good heart. Oh, don\'t mention the Emperor, okay? It just gets him riled.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/binna_joad.stf', '7', 'npc_2_3', 'Great. Come on back and I\'ll give you a drink on the house.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/binna_joad.stf', '8', 'npc_3_1', 'That\'s all right. I\'ll find someone who has the time. Thanks anyway.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/binna_joad.stf', '9', 'npc_3_2', 'That\'s okay. You just sit back and get comfortable now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/binna_joad.stf', '10', 'npc_3_3', 'Not a problem. We\'ll take care of this somehow. Sit down, relax.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/binna_joad.stf', '12', 'npc_4_1', 'Well, I guess \"toy\" doesn\'t really -- It\'s a little fuel drum I cleaned up. Tried to decorate it with little drawings -- aww, it\'s just to beat on, makes noise. It\'s about all we can manage in Cheapside. What do you say to the delivery job?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/binna_joad.stf', '13', 'npc_4_2', 'Aw, nobody was gunning for him specifically. It was just some wild-eyed glitterstim druggie on a jaunt, blasting things and giggling. Happens too much around Cheapside. Can you help Gen?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/binna_joad.stf', '14', 'npc_4_3', 'The shirt is warm? Oh yeah, I guess that\'s because I just took it off. Will you deliver it to Peele?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/binna_joad.stf', '15', 'npc_reward_1', 'Mighty nice of you. Those kids have already been through stuff -- well, it\'s a tough life in Bestine, sometimes. Here, take a little something as a reward.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/binna_joad.stf', '16', 'npc_reward_2', 'That was real nice of you. Gen\'ll be okay. He\'s been through more than any squadron of stormtroopers. Here, I made this for you. Tasty.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/binna_joad.stf', '17', 'npc_reward_3', 'Thanks. Here, friend, have a drink on the house. Don\'t drink it too fast, or your eyes will cross.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/binna_joad.stf', '18', 'player_1_1', 'I\'ll do that for the little kids, yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/binna_joad.stf', '19', 'player_1_2', 'For a Clone Wars veteran, I\'ll do anything!  Sure!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/binna_joad.stf', '20', 'player_1_3', 'Sounds simple enough.  Sure, I\'ll do it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/binna_joad.stf', '21', 'player_2_1', 'Sorry, I\'m unavailable right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/binna_joad.stf', '22', 'player_2_2', 'Sorry, but I\'m not interested in helping you with this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/binna_joad.stf', '23', 'player_2_3', 'I\'m a bit busy right now.  I\'m sorry, but I can\'t do that for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/binna_joad.stf', '24', 'player_3_1', 'What is the toy?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/binna_joad.stf', '25', 'player_3_2', 'Why did someone shoot at Gen Horosi?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/binna_joad.stf', '26', 'player_3_3', 'Why is this shirt warm?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/binna_joad.stf', '27', 'player_reset_1', 'I\'ve been told that my friends need urgent help.  I can no longer deliver this toy.  Here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/binna_joad.stf', '28', 'player_sorry_1', 'Sorry, I had something come up.  I\'m off to deliver it right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/binna_joad.stf', '29', 'npc_backtowork_1', 'It\'s really appreciated.  Make sure that you get to see the children\'s faces when you give it to them.  I want to hear all about it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/binna_joad.stf', '30', 'npc_reset_1', 'That\'s all right. I\'ll find someone who has the time. Thanks anyway.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/binna_joad.stf', '31', 'cantwork', 'Hello there. It\'s good to see busy folks taking time out from the whirl at Cheapside Cantina. Glad to have you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/binna_joad.stf', '32', 'dontknowyou_1', 'Oh, nevermind.  I thought you were a friend of Binna.  Well, be careful out there!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/binna_joad.stf', '33', 'npc_work_1', 'Didn\'t expect to see you back so soon.  Were you able to deliver the toy to the kids?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/binna_joad.stf', '34', 'npc_work_2', 'You\'re back quick.  Did you forget something?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/binna_joad.stf', '35', 'npc_work_3', 'So, how did she like the shirt?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/binna_joad.stf', '36', 'npc_breech_1', 'Are you Binna\'s friend?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/binna_joad.stf', '37', 'npc_breech_2', 'You there!  You aren\'t one of them Confederation guys, are you?  The war is over, so put down your weapons.  Eh?  What was that?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/binna_joad.stf', '38', 'npc_breech_3', 'How are you doing today?  It\'s looking like we might be in for a bit of a sandstorm, don\'t you think?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/binna_joad.stf', '42', 'npc_backtowork_2', 'Oh, that\'s not a problem.  He doesn\'t put on airs about it.  Just greet him like you would any other person.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/binna_joad.stf', '43', 'npc_backtowork_3', 'That\'s mighty considerate of you.  I trust you\'ll get it to her safely.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/binna_joad.stf', '44', 'npc_reset_2', 'That\'s okay. You just sit back and get comfortable now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/binna_joad.stf', '45', 'npc_reset_3', 'Not a problem. We\'ll take care of this somehow. Sit down, relax.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/binna_joad.stf', '46', 'player_reset_2', 'I just found out my mother is in the Hospital.  I need to go to her.  Could you have someone else deliver the stimpack?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/binna_joad.stf', '47', 'player_reset_3', 'I don\'t think I\'m suited to giving shirts to new mothers.  I\'m sorry, but I can\'t do this anymore.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/binna_joad.stf', '48', 'player_sorry_2', 'I\'m not too sure how to speak to a Clone Wars vet.  I don\'t want to treat him with less respect than he deserves.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/binna_joad.stf', '49', 'player_sorry_3', 'Oh, I haven\'t given it to her yet.  There was a sandstorm and I didn\'t want it to get dirty.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/binna_joad.stf', '53', 'dontknowyou_2', 'Huh?  I thought you were one of them droids.  Ah, nevermind.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/binna_joad.stf', '54', 'dontknowyou_3', 'Well, you have yourself a good day, you hear?  And don\'t get caught when the wind starts to blow.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/binna_joad.stf', '55', 'dontknowyou_4', 'Ha hooey!  You not the one.  Ho yahaa!  I don\'t have things to say to you now.  Habba hodie!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/binna_joad.stf', '61', 'npc_1_4', 'I got this datadisk from a friend on Corellia. May say something about  my husband. He went missing years back. A friend who looked for him sent this report, but the data got corrupted. Can you take it to a data slicer friend of mine?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/binna_joad.stf', '64', 'npc_2_4', 'Thanks. Fella named Dinnis the Blade. Nice enough guy, a little wild. Don\'t stand too close to him, he doesn\'t believe in using water.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/binna_joad.stf', '67', 'npc_3_4', 'No problem, friend. Have a drink, kick back, relax.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/binna_joad.stf', '70', 'npc_4_4', 'He was piloting a cargo freighter on the Corellia Route. Ran into pirates and had to make a wild jump through hyperspace. It\'s been years, but I never gave up hope. I\'ve stayed in this dive ever since, just on the chance he\'d make it back here. If I left, he\'d never find me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/binna_joad.stf', '73', 'npc_backtowork_4', 'I\'ve been waiting all these years, I don\'t think a little more will hurt.  Let me know when he\'s found something.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/binna_joad.stf', '76', 'npc_breech_4', 'Wee hoo!  Are you the one that Binna say is coming to me?  Hoo yehaa!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/binna_joad.stf', '79', 'npc_reset_4', 'No problem, friend. Have a drink, kick back, calm down and relax.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/binna_joad.stf', '82', 'npc_reward_4', 'That -- that\'s -- oh. All right, time for an old lady to sit down. He\'s really -- Okay. I\'m all right now. Thank you. Here, take this, it\'s tasty. I think I want to be alone now. Alone with my dreams.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/binna_joad.stf', '88', 'npc_work_4', 'So... is he still alive?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/binna_joad.stf', '91', 'player_1_4', 'Absolutely.  This is the least I can do for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/binna_joad.stf', '94', 'player_2_4', 'Sorry, I can\'t so this.  I think you should do it yourself, Binna.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/binna_joad.stf', '97', 'player_3_4', 'What happened to your husband?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/binna_joad.stf', '100', 'player_reset_4', 'This is too emotional for me.  I can\'t handle it anymore.  Get someone else to do this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/binna_joad.stf', '103', 'player_sorry_4', 'I\'m not sure yet.  Your slicer friend is -uh-  still working on it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/binna_joad.stf', '106', 'npc_smuggle_1', 'Unfortunately, the family got called away when one child had to go into the bacta tanks. Thank you anyway. I\'ll take the toy to the children.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/binna_joad.stf', '107', 'npc_smuggle_2', 'I don\' need no stimpack! I ain\'t hardly hit. Can\'t take me out that easy -- easy -- hol\' on, lemme get my breath back -- wuzzat? Stimpack? Whyn\'t you say so, junior? Give it over. What? What? Sorry, don\' hear so good nowadays.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/binna_joad.stf', '108', 'npc_smuggle_3', 'Is this for me? From Binna? She\'s the nicest lady in the galaxy. Excuse me, I just put the baby to bed and I reeeally need some sleep.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/binna_joad.stf', '109', 'npc_smuggle_4', 'Hoo yeh! Gimme the dat, I know what it\'s at. I do my magic, and -- Yee-eah! Seems Binna\'s old man is alive. Some kind of distant signal from Wild Space. Bad engine and low fuel, but he\'s flying home!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/binna_joad.stf', '110', 'next', 'You\'re pretty handy to have around. Come and visit me from time to time, maybe I can find you more work later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/binna_joad.stf', '111', 'gotowork', 'I don\'t have time to chat anymore.  ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/binna_joad.stf', '112', 'dontknowyou', 'Who are you!?!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/blerx_tango.stf', '1', 'npc_1_1', 'I\'m back home after touring with my band, the Dewback Ramblers. You know us? -- Well, never mind. Our slitherhorn player just arrived on Tatooine, but he got suckered by the old \"free transport to Bestine\" con game. He\'s stranded in the desert and needs an escort. Can you help?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/blerx_tango.stf', '2', 'npc_1_2', 'The Ommni Box player in our band is kind of a prankster. He travelled here to Tatooine using the wrong travel papers. I guess he never should have given his name as \"Lord Vader.\" Anyway, the authorities are after him, so I need  you to bring him here safely. Okay?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/blerx_tango.stf', '3', 'npc_1_3', 'Our mandoviol player is -- well, he\'s a wonderful guy, really, but he has kind of an attitude about Imperials. When he arrived here, some Imperial Security Bureau agents questioned him. And he sort of, well, bit one. Now he\'s on the run out in the desert. Can you bring him here?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/blerx_tango.stf', '5', 'npc_2_1', 'Great! If you save him from being swallowed by some gorg, he\'ll probably play you a command performance!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/blerx_tango.stf', '6', 'npc_2_2', 'That\'s great. Look for Mellaw Doowon, an Ithorian, one of those hammerheads. Quite a joker, Mellaw is. Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/blerx_tango.stf', '7', 'npc_2_3', 'I knew I could count on you. Remember, look for a small Chadra Fan named Baze Joz. And please don\'t bring the ISB with him!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/blerx_tango.stf', '8', 'npc_3_1', 'Oh. Well, all right. Hope someone can help my friend.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/blerx_tango.stf', '9', 'npc_3_2', 'Oh. Well, okay. I guess someone else will get this exciting assignment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/blerx_tango.stf', '10', 'npc_3_3', 'Oh no! I thought I could count on you. And it was likely to be pretty exciting, too.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/blerx_tango.stf', '12', 'npc_4_1', 'His name\'s Mixon Guncher. If you\'ve heard of him, none of that stuff about his weird behavior is true. Well, not much. He does wear a lot of perfume. Anyway, will you help?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/blerx_tango.stf', '13', 'npc_4_2', 'His name\'s Mellaw Doowon. Once, right before a gig, he filled my kloo horn with foaming cleanser. The suds, the suds! He\'s a real kidder. Can you bring him here, please?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/blerx_tango.stf', '14', 'npc_4_3', 'He\'s Baze Joz, only the smoothest mandoviol player in the Outer Rim! I\'ve known Baze a long time, and no matter what anyone tells you, all those rumors are completely false. Will you escort him here?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/blerx_tango.stf', '15', 'npc_reward_1', 'Is this Mixon? What has he done to his face now? Never mind. Please take this payment for your time. Hope the trip was exciting!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/blerx_tango.stf', '16', 'npc_reward_2', 'Thanks, friend! After this, I expect Mellaw will restrain his natural good humor around stormtroopers. Other Dewback Ramblers are on the way, so I\'ll offer you more excitement soon!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/blerx_tango.stf', '17', 'npc_reward_3', 'Thanks, friend! I hope this is the last excitement the Dewback Ramblers see for a while. I can\'t pay you in credits this time, or our gig won\'t even cover the costs. I do have this old organ that none of us use anymore though. It\'s yours if you can haul it out of here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/blerx_tango.stf', '18', 'player_1_1', 'Yes, I can help.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/blerx_tango.stf', '19', 'player_1_2', 'Sure, I\'ll go rescue the guy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/blerx_tango.stf', '20', 'player_1_3', 'As long as he doesn\'t bite me too, sure.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/blerx_tango.stf', '21', 'player_2_1', 'Sorry, I\'ve got other things I need to do.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/blerx_tango.stf', '22', 'player_2_2', 'That\'s his own fault.  Sorry, I don\'t tangle with Imperials.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/blerx_tango.stf', '23', 'player_2_3', 'No, this guy sounds dangerous.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/blerx_tango.stf', '24', 'player_3_1', 'Who is this slitherhorn player?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/blerx_tango.stf', '25', 'player_3_2', 'Who is this musician?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/blerx_tango.stf', '26', 'player_3_3', 'Who is the musician this time?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/blerx_tango.stf', '27', 'player_reset_1', 'I just found out that I\'m needed elsewhere.  You\'ll need to ask someone else.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/blerx_tango.stf', '28', 'player_sorry_1', 'Not yet.  I was getting some desert survival gear.  I\'ll be leaving soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/blerx_tango.stf', '29', 'npc_backtowork_1', 'Okay, that\'s fine.  Let me know when you\'ve brought him back.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/blerx_tango.stf', '30', 'npc_reset_1', 'Oh. Well, all right. Hope someone can help my friend.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/blerx_tango.stf', '31', 'cantwork', 'Hey, friend! I was hoping to talk to you, but I see you\'re busy. You can check back later if you want some excitement.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/blerx_tango.stf', '32', 'dontknowyou_1', 'I don\'t know about you, but I could go for a nice, long snooze.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/blerx_tango.stf', '33', 'npc_work_1', 'Have you left yet to pick him up?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/blerx_tango.stf', '34', 'npc_work_2', 'Were you able to find him?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/blerx_tango.stf', '35', 'npc_work_3', 'Did you have any problems with him?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/blerx_tango.stf', '36', 'npc_breech_1', 'Oh, the trip has tired me out. I do feel faint');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/blerx_tango.stf', '37', 'npc_breech_2', 'Hmph! You wanna talk about humans who can\'t take a joke --!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/blerx_tango.stf', '38', 'npc_breech_3', 'Ik-ik! I\'m about ready to kill somebody! ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/blerx_tango.stf', '42', 'npc_backtowork_2', 'Okay.  Let\'s hope he hasn\'t run afoul of those armored goons.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/blerx_tango.stf', '43', 'npc_backtowork_3', 'He should be smooth with you as long as he knows I sent you.  Just let him know that, okay?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/blerx_tango.stf', '44', 'npc_reset_2', 'Oh. Well, okay. I guess someone else will get this exciting assignment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/blerx_tango.stf', '45', 'npc_reset_3', 'Oh no! I thought I could count on you. And it was likely to be pretty exciting, too.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/blerx_tango.stf', '46', 'player_reset_2', 'I can\'t find him, and I\'m tired of looking.  I can\'t help out anymore.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/blerx_tango.stf', '47', 'player_reset_3', 'You know, this guy scares me.  I\'m not going to be able to help after all.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/blerx_tango.stf', '48', 'player_sorry_2', 'Nope.  I\'m still looking, though.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/blerx_tango.stf', '49', 'player_sorry_3', 'Not yet, I haven\'t.  I\'ll find out soon enough.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/blerx_tango.stf', '50', 'npc_takeme_1', 'Smooth. We must locomote, friend -- I believe the wild things here like my perfume.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/blerx_tango.stf', '51', 'npc_takeme_2', 'I was just about to turn myself in and claim I\'m the Emperor in disguise. That probably wouldn\'t have worked, I guess. Let\'s vamoose!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/blerx_tango.stf', '52', 'npc_takeme_3', 'Well, not you, not if Blerx sent you. I\'ll just watch you do the killing.  Take it away, maestro!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/blerx_tango.stf', '53', 'dontknowyou_2', 'Well, I don\'t.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/blerx_tango.stf', '54', 'dontknowyou_3', 'Not you, of course.  I was just making an example.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/blerx_tango.stf', '55', 'next', 'It\'s been a pleasure, friend. Maybe I can find more work for you later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/blerx_tango.stf', '56', 'notyet', 'I\'m sorry. I\'d love to chat with you, but you seem a bit too, um...Imperial?  Or maybe not. It\'s hard for me to tell, but you\'re definitely not the kind of person who could help me with my troubles.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/blerx_tango.stf', '57', 'npc_failure', 'He was killed? Oh no! This is terrible. What will happen to the band? I guess we have to cancel this gig.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/boshek.stf', '1', 'npc_1_1', 'I recently came into possession of a datadisc that would be of great interest to the Alliance. Care to handle the delivery for me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/boshek.stf', '2', 'npc_1_2', 'I recently met an exceptional young lady. She may have certain -- gifts, if you take my meaning. I understand an Imperial stormtrooper is bringing her in for questioning. Would you mind escorting her here before the Imperials pick her up? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/boshek.stf', '3', 'npc_1_3', 'I recently hired someone to acquire some grenades. He accepted payment and got the grenades but has been reluctant to actually deliver them. I was wondering if you\'d go get them from him?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/boshek.stf', '5', 'npc_2_1', 'I thought you might be interested. You have that on-the-go look about you. Bring this disc to Teng Winstel -- he\'s one of my contacts in the Alliance. May the Force be with you, my friend. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/boshek.stf', '6', 'npc_2_2', 'That\'s what I hoped you\'d say. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/boshek.stf', '7', 'npc_2_3', 'Ah, I thought you might enjoy a bit of shadier work. I suppose it takes a rogue to spot one. Karn Wilder is your quarry. He\'s not terribly trustworthy, but I never thought him so stupid as to cross me. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/boshek.stf', '8', 'npc_3_1', 'No problem. I\'ll find someone else. Good luck to you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/boshek.stf', '9', 'npc_3_2', 'Not your style, eh? Don\'t worry about it, I\'m sure somebody will be willing to help her.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/boshek.stf', '10', 'npc_3_3', 'I guess it was a bit much to ask of you. Forget I mentioned it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/boshek.stf', '12', 'npc_4_1', 'I beat Han Solo\'s Kessel Run speed record! Granted, I wasn\'t hauling any cargo at the time, but it still counts. Now, about that job offer --');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/boshek.stf', '13', 'npc_4_2', 'I mean that she may have some ability to use the Force. She\'s already had some run-ins with the Empire, so I need a decision, if you please.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/boshek.stf', '14', 'npc_4_3', 'Well, yes. Technically that\'s still true. It wasn\'t me doing the smuggling, was it? I still occasionally help procure scarce items for the Alliance. I do have bills to pay, after all. Now, your decision?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/boshek.stf', '15', 'npc_reward_1', 'Well done, my friend. Thank you for your help. Feel free to see me again if you need more work. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/boshek.stf', '16', 'npc_reward_2', 'You\'ve been a big help. We can\'t let the Empire continue its wretched work. By all means, contact me again if you need more work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/boshek.stf', '17', 'npc_reward_3', 'A stellar job, if I may say so. I\'d say you have an impressive future ahead of you -- a much better place for the future than behind you, no?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/boshek.stf', '18', 'player_1_1', 'Sure, I\'ve got nothing else to do.  Tell me what you need.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/boshek.stf', '19', 'player_1_2', 'Sure.  I\'ll make sure she gets here before the Imperials get her.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/boshek.stf', '20', 'player_1_3', 'Sure, I\'ll get them from him.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/boshek.stf', '21', 'player_2_1', 'No thanks.  I don\'t want to get conned by some \'reformed smuggler\'.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/boshek.stf', '22', 'player_2_2', 'Sorry, but that\'s not my type of work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/boshek.stf', '23', 'player_2_3', 'No, I\'m not mixing myself up with explosives.  Sorry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/boshek.stf', '24', 'player_3_1', 'Why would I have heard of you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/boshek.stf', '25', 'player_3_2', 'What do you mean, \"gifts\"?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/boshek.stf', '26', 'player_3_3', 'Why grenades? Didn\'t you say you weren\'t a smuggler any more?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/boshek.stf', '27', 'player_reset_1', 'I\'m sorry, but I didn\'t know this had to do with the Rebellion.  I can\'t do this for you anymore.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/boshek.stf', '28', 'player_sorry_1', 'Not yet.  I\'m about to meet up with him soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/boshek.stf', '29', 'npc_backtowork_1', 'He doesn\'t have all day.  Could you please hurry?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/boshek.stf', '30', 'npc_reset_1', 'No problem. I\'ll find someone else. Good luck to you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/boshek.stf', '31', 'cantwork', 'I\'m sorry, friend. It seems you still have unfinished work. Seek me out when your job is completed.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/boshek.stf', '32', 'dontknowyou_1', 'Sorry, but I\'m waiting for a friend.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/boshek.stf', '33', 'npc_work_1', 'So, did Teng get the package yet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/boshek.stf', '34', 'npc_work_2', 'Were you able to save her in time?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/boshek.stf', '35', 'npc_work_3', 'So, were you able to get the grenades from him?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/boshek.stf', '36', 'npc_breech_1', 'Are you the one with this \'important\' package I\'m supposed to wait for?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/boshek.stf', '37', 'npc_breech_2', 'Okay... I\'m reaching out with my mind...');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/boshek.stf', '38', 'npc_breech_3', 'You\'re not getting anything from me. Die!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/boshek.stf', '41', 'notit_3', 'I said grenades, friend.  I don\'t know what this is, but it\'s sure not a case of grenades.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/boshek.stf', '42', 'npc_backtowork_2', 'Okay, but you may not have much time left.  Please hurry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/boshek.stf', '43', 'npc_backtowork_3', 'Hmph.  You could\'ve just said you hadn\'t got around to it yet.  Let me know when you have, okay?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/boshek.stf', '44', 'npc_reset_2', 'Not your style, eh? Don\'t worry about it, I\'m sure somebody will be willing to help her.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/boshek.stf', '45', 'npc_reset_3', 'I guess it was a bit much to ask of you. Forget I mentioned it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/boshek.stf', '46', 'player_reset_2', 'You know, I don\'t want to get involved with this \'Force\' stuff.  Sorry, but I\'m no longer interested.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/boshek.stf', '47', 'player_reset_3', 'I\'m actually a bit afraid of grenades.  What if he throws one at me?  I can\'t do this after all.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/boshek.stf', '48', 'player_sorry_2', 'Not yet.  I was making sure there was a safe way out of there first.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/boshek.stf', '49', 'player_sorry_3', 'Ummm... he hid them, and... ummm... I just found out where.  I\'m going to get them right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/boshek.stf', '51', 'npc_takeme_2', 'I\'m not sure why people think I have a connection with the Force. Ever since that idea got around, my life has been lots more interesting.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/boshek.stf', '53', 'dontknowyou_2', 'Huh?  Oh, sorry about that.  I\'m... um... practicing a role for an audition.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/boshek.stf', '54', 'dontknowyou_3', 'What?  You\'re not dead?  Hmm... I\'ll have to work on that a little more.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/boshek.stf', '106', 'npc_smuggle_1', 'I wonder what BoShek\'s found now? He does infiltrate himself into the most unusual situations. Thanks. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/boshek.stf', '107', 'next', 'Maybe I can find you some more work later. Take care of yourself.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/brea_tonnika.stf', '1', 'npc_1_1', 'You\'d help a girl like me? Isn\'t that sweet. Turns out, I do need something delivered to a business associate. Well, a future business associate, I hope. Think you can handle a simple delivery?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/brea_tonnika.stf', '2', 'npc_1_2', 'I like your enthusiasm. But the task I have in mind is slightly more perilous. A dear friend of mine has fallen in with the wrong crowd and is in desperate need of rescuing. This might be a bit too dangerous for the average mercenary. You sure you want in?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/brea_tonnika.stf', '3', 'npc_1_3', 'I confess I\'ve gotten used to you coming to my \"rescue.\" However, I just have one last little thing for you to do and then I\'ll let someone else enjoy your talents. I need a particular warehouse taken out. And when I say that, I mean burned to the ground. I know that sounds simply awful. Think you can do it anyway?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/brea_tonnika.stf', '5', 'npc_2_1', 'I knew this would be no problem for a tough-looking mercenary like you. Take this encrypted datadisc to Lam Bregaani, a Sullustan swoop jockey whose career I\'ve been following closely these last few months. If he asks, tell him that everything has been taken care of.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/brea_tonnika.stf', '6', 'npc_2_2', 'I knew you were made of sterner stuff. My friend\'s name is Idee Zipbits. He\'s a Chadra-Fan swoop jockey. Not terribly brave, but pretty good in a race. If you bring him back here, I\'d show an appropriate amount of gratitude.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/brea_tonnika.stf', '7', 'npc_2_3', 'I knew you\'d come through for me! Now just to give you a heads-up, there might be some undesirable elements loitering around the warehouse. They\'re most likely cutthroats so just blast them.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/brea_tonnika.stf', '8', 'npc_3_1', 'It\'s not nice to feign interest in my affairs then refuse to help. Nobody likes a tease. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/brea_tonnika.stf', '9', 'npc_3_2', 'I understand, although I am a bit disappointed. I thought there was something extraordinary about you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/brea_tonnika.stf', '10', 'npc_3_3', 'Now you\'ve gone and made me all pouty. I hope you enjoy toying with my emotions. Soon a girl won\'t know whom to trust.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/brea_tonnika.stf', '12', 'npc_4_1', 'A proposition. Of the business variety, of course. But one so compelling that I think my future partner will not be able to refuse it. Still interested?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/brea_tonnika.stf', '13', 'npc_4_2', 'I\'m afraid that Lady Valarian has taken an unhealthy interest in my friend\'s affairs. That Whiphid is not someone you want to cross. Is it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/brea_tonnika.stf', '14', 'npc_4_3', 'Just some speeder parts and gadgets. Perhaps an old swoop racer or two. It\'s an eyesore, really. I\'m sure no one will be sad to see it go.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/brea_tonnika.stf', '15', 'npc_reward_1', 'I\'m much obliged, citizen. Hope you didn\'t have too much trouble on the way. Oh, and Lam has a very vivid imagination. Kindly disregard anything he might have said. One too many crashes can addle a swoop jockey\'s mind.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/brea_tonnika.stf', '16', 'npc_reward_2', 'You\'ve brought Idee back all in one piece. I knew I could count on you! Now allow a girl to show her appreciation. Take this and enjoy yourself.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/brea_tonnika.stf', '17', 'npc_reward_3', 'I gotta hand it to you, friend, you\'re one tough sand panther. Thanks for all your help. I think my business venture will go quite smoothly now. Take care.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/brea_tonnika.stf', '18', 'player_1_1', 'Sure, I can do it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/brea_tonnika.stf', '19', 'player_1_2', 'Count me in!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/brea_tonnika.stf', '20', 'player_1_3', 'I\'ll see to it that there is only smoke and debris when I\'m done.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/brea_tonnika.stf', '21', 'player_2_1', 'No thanks.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/brea_tonnika.stf', '22', 'player_2_2', 'In that case, no thank you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/brea_tonnika.stf', '23', 'player_2_3', 'Not thanks.  Arson isn\'t my style.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/brea_tonnika.stf', '24', 'player_3_1', 'What would I be delivering?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/brea_tonnika.stf', '25', 'player_3_2', 'Who has your friend fallen in with?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/brea_tonnika.stf', '26', 'player_3_3', 'What\'s in the warehouse?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/brea_tonnika.stf', '27', 'player_reset_1', 'Sorry, but something came up.  I can\'t do this for you anymore.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/brea_tonnika.stf', '28', 'player_sorry_1', 'I don\'t know.  I haven\'t talked to him yet.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/brea_tonnika.stf', '29', 'npc_backtowork_1', 'Well, don\'t be a tease, friend. He\'s waiting for you as we speak.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/brea_tonnika.stf', '30', 'npc_reset_1', 'It\'s not nice to feign interest in my affairs then refuse to help. Nobody likes a tease. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/brea_tonnika.stf', '31', 'cantwork', 'I\'m a very demanding patron. Come back when you\'ve less on your plate.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/brea_tonnika.stf', '32', 'dontknowyou_1', 'Who are you?  Are you some kind of promoter?  If not, get out of my face.  I\'ve got... things to do, I guess.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/brea_tonnika.stf', '33', 'npc_work_1', 'Did Lam have anything... positive... to say?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/brea_tonnika.stf', '34', 'npc_work_2', 'Have you been able to convince Idee to come with you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/brea_tonnika.stf', '35', 'npc_work_3', 'Have you demolished the place yet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/brea_tonnika.stf', '36', 'npc_breech_1', 'This better not be some kind of trick.  It\'s not like I have anything better to do, but still.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/brea_tonnika.stf', '37', 'npc_breech_2', 'Help!  Help!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/brea_tonnika.stf', '42', 'npc_backtowork_2', 'I am hoping you will be able to do so in a much quicker fashion.  You wouldn\'t want to upset me, would you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/brea_tonnika.stf', '43', 'npc_backtowork_3', 'That\'s why I\'ve chosen you.  You strike me as someone who is a consumate professional.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/brea_tonnika.stf', '44', 'npc_reset_2', 'I understand, although I am a bit disappointed. I thought there was something extraordinary about you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/brea_tonnika.stf', '45', 'npc_reset_3', 'Now you\'ve gone and made me all pouty. I hope you enjoy toying with my emotions. Soon a girl won\'t know whom to trust.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/brea_tonnika.stf', '46', 'player_reset_2', 'I\'ve changed my mind.  I don\'t want to do this after all.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/brea_tonnika.stf', '47', 'player_reset_3', 'Count me out.  I\'m not too keen on the idea of arson.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/brea_tonnika.stf', '48', 'player_sorry_2', 'Not yet, but he\'ll understand in time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/brea_tonnika.stf', '49', 'player_sorry_3', 'No, I\'m still making the explosives.  This takes time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/brea_tonnika.stf', '51', 'npc_takeme_2', 'Help! I\'ll do whatever the Tonnika sisters want! Just save me from these killers!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/brea_tonnika.stf', '53', 'dontknowyou_2', 'Oh, thank you!  I\'ll do what they say next time!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/brea_tonnika.stf', '106', 'npc_smuggle_1', 'If these bank codes are valid, then I\'ll be sure to \"crash\" on the second lap of the race. Make sure your boss has my transport off this rock ready to go.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/brea_tonnika.stf', '107', 'next', 'Not bad at all. I\'ll consider using you again in the future.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '1', 'npc_1_1', 'Well, hey! I guess you\'re new to Mos Taike. Welcome - or maybe sympathies, given that this is a backwater town on the galaxy\'s backwater-iest world. But even here, one person can make a difference. In fact, I\'m looking for someone to go after a local crook. Can you handle a fight?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '2', 'npc_1_2', 'Hey, hello again! Kli Sithrin is in town, that big Zabrak gangster in -- Anchorhead, I think. He stole a medpack right out of a little girl\'s hand. Doesn\'t that make your blood burn? If you take this guy out of circulation, I\'ll cheer you on. Bring me the medpack, and I\'ll give it back to the little girl. Okay?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '3', 'npc_1_3', 'Look at you, you\'re back! Seems like every time I see you, I have trouble to report. Jespral Farandan, a big figure in an offworld terrorist ring, is hiding out near here. Best hideout in the galaxy, really. But he\'s planning a new attack, and he has information crucial to our defenses, so it would be great if you could stop him, okay?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '5', 'npc_2_1', 'That\'s great! Remember, this Aqualish - one of those tusk-faced guys - stole a shield generator. He may be using it for defense, so let fly with everything you\'ve got. Bring back the generator, okay?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '6', 'npc_2_2', 'Hey, that\'s really friendly. Look for a tough Zabrak with orange skin and slashing tattoos on his face. Even his horns have got horns, they say, so watch out. Bring the medpack back here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '7', 'npc_2_3', 'That\'s great. This Farandan - I should warn you, he\'s wearing a Rebel Alliance uniform. But trust me, he\'s not a Rebel. Hey, I\'m not trying to start a political discussion here; he\'s just not, that\'s all. If you find a datadisk on him, you\'ll bring that back here, right?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '8', 'npc_3_1', 'Okay, I just wanted to ask. Enjoy your stay in our little place.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '9', 'npc_3_2', 'Well, you know how to use your time better than I do. See you around, friend.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '10', 'npc_3_3', 'Not a problem, friend. You can find plenty of useful things to do around here without my help.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '12', 'npc_4_1', 'His name\'s Thark. He\'s a rude, obnoxious Aqualish - not to be redundant - and he\'s a menace to free people in this town.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '13', 'npc_4_2', 'I couldn\'t tell you. Maybe he just wanted to show off. These Anchorhead gangsters like to mark their territory, just like a womp rat.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '14', 'npc_4_3', 'If you start believing crooks, you\'ll never get justice. If you\'re uncomfortable taking down the folks who make this galaxy unsafe - and I guarantee that\'s who you\'re fighting - then say \"No.\" So, friend, what\'s your answer?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '15', 'npc_reward_1', 'Excellent, friend! I\'m glad you see we all have to work together for our safety and freedom. I\'d like to reward you with money, but I\'m just a junior officer. Here, my sister made this casserole. It\'s delicious!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '16', 'npc_reward_2', 'Thanks, that was fine work. Did Sithrin say anything? Well, when you corner these gangsters, they\'ll try everything. Did you like my sister\'s casserole? Try her soup. Takes a while to make, but mmm, worth it!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '17', 'npc_reward_3', 'That\'s another favor I owe you, friend. I wouldn\'t put any stock in anything that fellow said; you know these crooks, after all. I wonder if you\'d like some fresh flatbread my sister just brought? Have to eat it quick, or it goes all greasy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '18', 'player_1_1', 'Sure I can handle a fight!  Point me at him!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '19', 'player_1_2', 'I can\'t stand by and watch a little girl have her medicine stolen.  I\'ll get it back for her!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '20', 'player_1_3', 'I\'ll gladly help you stop this terrorist!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '21', 'player_2_1', 'No, I\'m not one for fighting.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '22', 'player_2_2', 'A gangster?  No, I\'m not getting involved with that kind of trouble.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '23', 'player_2_3', 'No, I think this is better handled by you.  I\'d just wind up getting killed.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '24', 'player_3_1', 'Who is this local crook?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '25', 'player_3_2', 'Why did Kli Sithrin steal the medpack?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '26', 'player_3_3', 'Is this one really a gangster? The others didn\'t talk like crooks.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '27', 'player_reset_1', 'I\'m not able to handle this guy right now.  Could I track him down later?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '28', 'player_sorry_1', 'Not yet, but I\'m working on it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '29', 'npc_backtowork_1', 'Well, try to get it back from him soon.  He\'s probably looking to sell it to make some quick credits, so we might not have much time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '30', 'npc_reset_1', 'Well, I guess so.  Let\'s hope he doesn\'t sell that generator to some Jawas in the meantime, though.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '31', 'cantwork', 'Welcome to Mos Taike, friend.  I hope you enjoy our settlement while your here.  When you\'re not busy, why don\'t you stop by.  I could use someone like you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '32', 'dontknowyou_1', 'I don\'t know who you are or what you want, but I\'m not the guy you\'re looking for.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '33', 'npc_work_1', 'So, have you managed to round up that Aqualish and recover the generator yet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '34', 'npc_work_2', 'So, do you have the medpack yet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '35', 'npc_work_3', 'So, have you managed to put a stop to him and gather that datadisc?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '36', 'npc_breech_1', 'Don\'t attack, you stupid lout, I\'m an Imperial informant! I confiscated this generator from an insipid thief before it reached the Rebels. I - argh, never mind, I\'d rather kill you!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '37', 'npc_breech_2', 'That\'s close enough. What brings you here? A stolen medpack? I stole no medpack. If you must know, I\'m meeting here with an ISB official. Hold on, I told you an Imperial secret. Now I suppose I\'ll have to kill you. Mangler - attack!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '38', 'npc_breech_3', 'So. I must say, those Rebel scum found me out remarkably quickly. I\'m about to make my first report to the ISB. In it I shall recount your death.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '39', 'notit_1', 'This isn\'t what the Aqualish stole.  I\'m only interested in that.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '40', 'notit_2', 'No, she has a special medicine she needs for her breathing.  Sadly, only the one that Sithrin has will help the girl.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '41', 'notit_3', 'No, this isn\'t the datadisk.  I\'m only interested in seeing that Farandan is dead and his datadisk is in safe hands.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '42', 'npc_backtowork_2', 'Well, try to get it done fast.  Her mother let me know her breathing is getting more and more shallow as time passes.  She needs that medicine real bad like.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '43', 'npc_backtowork_3', 'Well, let\'s hope you\'re able to find him before he enacts his latest dastardly plot.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '44', 'npc_reset_2', 'Sure, I understand.  I do hope that little girl doesn\'t get any sicker in the meantime, though.  That sure would be a shame, wouldn\'t you agree?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '45', 'npc_reset_3', 'Well, I don\'t want you to get yourself killed.  I\'ll try to find someone else to stop him before it\'s too late for us all.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '46', 'player_reset_2', 'Bren, I\'m not able to get to Kli Sithrin just yet.  Would you mind if I recovered it later?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '47', 'player_reset_3', 'I don\'t think I\'ll be able to stop him, or get that datapad.  You might want to send someone else to do it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '48', 'player_sorry_2', 'Not yet, but I\'m going to get that medpack back for her.  I promise!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '49', 'player_sorry_3', 'No, not yet, but when I do, I\'ll make sure to get it to you right away!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '53', 'dontknowyou_2', 'Hey.  Who\'re you?  Do I know you?  No, I don\'t.  And let\'s keep it that way, okay?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '54', 'dontknowyou_3', 'Are you my Imperial contact?  Hmmm... no, you\'re not the person I\'m here to meet.  Sorry, I have nothing to say to you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '55', 'dontknowyou_4', 'You aren\'t the repair engineer I\'m waiting for.  If you see him, you tell him I\'m waiting, and the longer I wait, the more sense I\'ll beat into him.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '56', 'notit_4', 'Hmmmm... no, I don\'t think this is something Thanamiroc would have had on him.  Bring back something that would identify him.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '57', 'npc_1_4', 'Hey, you\'re riding to my rescue yet again, friend. Word comes down from Mos Eisley that a known murderer and master of disguise, Trone Thanamiroc, is on another homicidal killing spree. He hijacked a vehicle and is rampaging around. Someone has to stop him, but I\'m stuck here. Can you handle a tough target? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '58', 'npc_2_4', 'Good! The Mos Eisley office planted a homing beacon on his vehicle, so you should be able to find him. Be sure to bring back proof of his defeat, like his helmet or something. For once I can promise you a terrific reward!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '59', 'npc_3_4', 'I was afraid you were going to say that. This troublemaker has been terrorizing folks across Tatooine. But okay, friend, we\'ll take him out somehow.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '60', 'npc_4_4', 'Hey, Thanamiroc can look like anything. Farmers, Sand People, Imperial soldiers, Rebels, baby banthas, you name it. Just kidding about the banthas. Whatever he looks like, he\'s always trouble. What do you say?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '61', 'npc_backtowork_4', 'Well, you\'ll want to do it soon, or you\'ll wind up tracking him down by his trail of dead bodies he\'ll leave in his wake.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '62', 'npc_breech_4', 'Finally you\'re here. Get this thing running, imbecile, or I\'ll have you beaten senseless. Wait - you\'re no repair engineer! A trap!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '63', 'npc_reset_4', 'Well, I\'m sorry to hear you can\'t handle this one.  Then again, I don\'t blame you; this guy is vicious.  I\'ll look into hiring a Bounty Hunter.  I just hope I have enough credits to afford the best.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '64', 'npc_reward_4', 'Thanamiroc was passing himself off as a bounty hunter, eh? That\'s an ironic twist - wonder if he could have collected a bounty on himself. Ha! Hey, thanks again. Here\'s the best reward you\'ll find in Mos Taike: my sister\'s specialty! Don\'t show it around, or everyone will want a slice.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '65', 'npc_work_4', 'Have you put an end to Thanamiroc\'s reign of terror?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '66', 'player_1_4', 'I can handle this guy.  Point me at him!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '67', 'player_2_4', 'No, he sounds too dangerous for me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '68', 'player_3_4', '\"Master of disguise\"? What\'s he dressed like?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '69', 'player_reset_4', 'I\'m sorry, but this guy is too dangerous for me.  I think you need to send someone else to do it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '70', 'player_sorry_4', 'Not yet, but when I do, I\'ll be sure to bring back proof that he\'ll no longer hurt anyone else.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '71', 'next', 'You have a talent for this. Maybe I\'ll have more work for you in the future.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '72', 'npc_failure_1', 'I feel bad for sending you out to get hurt like that.  Better luck next time, eh?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '73', 'npc_failure_2', 'That poor little girl.  What\'s she going to do without that medpack?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '74', 'npc_failure_3', 'Man I knew that guy was trouble.  Sorry you couldn\'t handle it.  Maybe I should have gone myself?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/bren_kingal.stf', '75', 'npc_failure_4', 'Wow.  I really thought you could handle that.  Guess I was wrong, huh?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/farious_gletch.stf', '1', 'npc_1_1', 'Eventually they all come \'round here looking for work, so I don\'t see why you should be any different. Yeah, I got something for you to do, but it\'ll require a strong stomach and nerves of durasteel. This ain\'t for the squeamish. You still interested?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/farious_gletch.stf', '2', 'npc_1_2', 'Eager for more work, huh? Ambitious little scoundrel, ain\'t ya? Okay, I got something else for ya. One of my enforcers has decided he doesn\'t need me anymore and has gone into business for himself. I need you to show him that without me he has no future. And yeah, that means blast the slug into space dust.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/farious_gletch.stf', '3', 'npc_1_3', 'Of course I have something for you to do! Here\'s the deal: I bought some, uh, merchandise from a dumb thug named Ripper. I paid fair market price, but now he\'s tryin\' to twist my arm for more credits. I need you to make this problem go away. Ripper\'s a known gangster and responsible for many deaths, so you can consider this a public service.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/farious_gletch.stf', '5', 'npc_2_1', 'Let\'s see what you\'re made of, pal. A Rodian thief that goes by the name Greenfinger is trying to skip town without paying his debts to me. That ain\'t acceptable. I need you to track this loser down and make an example of him. You can keep whatever he\'s carrying as a tip. Just make sure his passing is violent and painful.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/farious_gletch.stf', '6', 'npc_2_2', 'That\'s what I was hoping you\'d say. You\'re shaping up to be my kind of enforcer. Now go out there and teach that Aqualish he shouldn\'t mess with Farious Gletch! Use caution, he may have some friends with him.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/farious_gletch.stf', '7', 'npc_2_3', 'Now that\'s the enforcer I\'ve come to know and love! Just remember, this worm is dangerous. Don\'t take any chances. Blast him as soon as you see him! ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/farious_gletch.stf', '8', 'npc_3_1', 'I figured you for one of those squeamish types. I ain\'t got use for beings like you. Beat it!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/farious_gletch.stf', '9', 'npc_3_2', 'What\'s wrong? You\'re not afraid of a near-sighted Aqualish, are you? And here I thought you had guts and the ambition to rise quickly in my organization. Why do I keep trying?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/farious_gletch.stf', '10', 'npc_3_3', 'Are you really backing out on me now? What a punk!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/farious_gletch.stf', '12', 'npc_4_1', 'I need you to make a deadbeat disappear. Permanently. You still interested?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/farious_gletch.stf', '13', 'npc_4_2', 'The brute\'s an Aqualish named Gordul Koga. He\'s one mean gundark so start blasting as soon as you see him. You\'ll do it, right?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/farious_gletch.stf', '14', 'npc_4_3', 'He\'s one of Jabba\'s murderous swoopers. And I don\'t need to tell you how dangerous those slugs are, do I? Will you take this slime out of the gene pool or not?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/farious_gletch.stf', '15', 'npc_reward_1', 'Now that was well handled, friend. Perhaps I misjudged you. I think you and I will get along just fine. Hehehe, yeah, just fine.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/farious_gletch.stf', '16', 'npc_reward_2', 'You\'re growing on me, buddy, you know that? You just keep removing these obstacles for me and your future will be prosperous.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/farious_gletch.stf', '17', 'npc_reward_3', 'Ha, ha! I would love to have seen the look on old Ripper\'s face when you introduced him to some blaster bolts! Oh, and if he claimed I never paid him, he lied. Do I look like the kinda guy that would try and cheat someone? On second thought, don\'t answer that.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/farious_gletch.stf', '18', 'player_1_1', 'Yeah, that\'s my kind of job.  I\'ll do it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/farious_gletch.stf', '19', 'player_1_2', 'Sure, I\'ll do it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/farious_gletch.stf', '20', 'player_1_3', 'I\'ll take him out of the picture for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/farious_gletch.stf', '21', 'player_2_1', 'Nah, that doesn\'t sound like something I want to do.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/farious_gletch.stf', '22', 'player_2_2', 'No, that\'s not my style.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/farious_gletch.stf', '23', 'player_2_3', 'No, I\'m not interested in doing this for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/farious_gletch.stf', '24', 'player_3_1', 'What do I have to do?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/farious_gletch.stf', '25', 'player_3_2', 'What does this enforcer look like?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/farious_gletch.stf', '26', 'player_3_3', 'Tell me more about Ripper.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/farious_gletch.stf', '27', 'player_reset_1', 'I\'m not able to do this for you any longer.  Sorry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/farious_gletch.stf', '28', 'player_sorry_1', 'No, not yet.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/farious_gletch.stf', '30', 'npc_reset_1', 'I figured you for one of those squeamish types. I ain\'t got use for beings like you. Beat it!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/farious_gletch.stf', '31', 'cantwork', 'When I hire someone, I expect his or her full attention. Come back when you\'re ready to talk business.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/farious_gletch.stf', '32', 'dontknowyou_1', 'Get out of here, slug!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/farious_gletch.stf', '33', 'npc_work_1', 'Have you done away with that Rodian yet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/farious_gletch.stf', '34', 'npc_work_2', 'Have you sent the \'message\' to Gordul yet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/farious_gletch.stf', '35', 'npc_work_3', 'Have you taken care of the gangster?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/farious_gletch.stf', '36', 'npc_breech_1', 'Gletch sent you, didn\'t he? I\'ve dealt with your kind before. Just try and take me, slug!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/farious_gletch.stf', '37', 'npc_breech_2', 'Think you can take me? Gordul will crush you!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/farious_gletch.stf', '38', 'npc_breech_3', 'Gletch thinks he can cheat me? No one takes my glitterstim without paying for it! Die!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/farious_gletch.stf', '42', 'npc_backtowork_2', 'I don\'t have all day!  Get it done, or don\'t do it at all!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/farious_gletch.stf', '43', 'npc_backtowork_3', 'What are you waiting for!?  Kill him already!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/farious_gletch.stf', '44', 'npc_reset_2', 'What\'s wrong? You\'re not afraid of a near-sighted Aqualish, are you? And here I thought you had guts and the ambition to rise quickly in my organization. Why do I keep trying?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/farious_gletch.stf', '45', 'npc_reset_3', 'Are you really backing out on me now? What a punk!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/farious_gletch.stf', '46', 'player_reset_2', 'I no longer have the time to take care of this \'problem\' for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/farious_gletch.stf', '47', 'player_reset_3', 'I\'ve changed my mind.  I\'m not going to do this for you anymore.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/farious_gletch.stf', '48', 'player_sorry_2', 'No, not yet!  I\'m still working on it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/farious_gletch.stf', '49', 'player_sorry_3', 'Not yet.  I\'m still getting around to it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/farious_gletch.stf', '53', 'dontknowyou_2', 'Gordul says get out of here!  Gordul doesn\'t know you!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/farious_gletch.stf', '54', 'dontknowyou_3', 'Nevermind.  I thought you were working for Farious.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/farious_gletch.stf', '55', 'dontknowyou_4', 'Oh, sorry.  I thought you were someone else.  Nevermind.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/farious_gletch.stf', '61', 'npc_1_4', 'You gotta stop a maniac from trying to bump off the Imperial Prefect! This killer is under the delusion that I\'ve hired him! You gotta stop this madman before he gets us all killed! The Empire\'s revenge will be swift and brutal if they think I..we had anything to do with this!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/farious_gletch.stf', '64', 'npc_2_4', 'I knew you\'d come through for me! You\'re a lifesaver, pal! The lunatic goes by the name of \"Professor Whisper.\" Yeah, yeah, I know - but what do you expect from an insane assassin? Anyway, he\'s a Bith and he\'s deadly. Did I mention he was insane? Stop him before he brings down the wrath of the Empire on my head!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/farious_gletch.stf', '67', 'npc_3_4', 'No? Did you just say no? You can\'t say no! You gotta help me! Who else can I turn to? Please!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/farious_gletch.stf', '70', 'npc_4_4', 'Maybe because he\'s insane? And maybe I mentioned in passing, as a harmless comment to someone in the street, that this place would be better off without the Prefect. But how was I supposed to know this Bith would overhear my conversation and take me seriously? I blame this mixup on their overly-acute hearing and an inability to take a joke!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/farious_gletch.stf', '73', 'npc_backtowork_4', 'Well, hurry it up already!  I\'m not paying you to waste my time!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/farious_gletch.stf', '76', 'npc_breech_4', 'I\'m a professional. If Gletch wanted the contract terminated, he should have contacted me. Now both of you will have to die.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/farious_gletch.stf', '79', 'npc_reset_4', 'No? Did you just say no? You can\'t say no! You gotta help me! Who else can I turn to? Please!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/farious_gletch.stf', '82', 'npc_reward_4', 'Phew, you\'re a lifesaver. Well, for me at least ,hehe. I don\'t have anything else I need done right now. In fact, think I need a vacation to let things calm down some. Look me up when I get back and we\'ll get back to business.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/farious_gletch.stf', '88', 'npc_work_4', 'Has the \'Professor\' been put out of business?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/farious_gletch.stf', '91', 'player_1_4', 'I\'ll take care of it. Count on me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/farious_gletch.stf', '94', 'player_2_4', 'No, this is your mess, not mine.  Get someone else to clean it up.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/farious_gletch.stf', '97', 'player_3_4', 'Why is this assassin under the impression that you hired him?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/farious_gletch.stf', '100', 'player_reset_4', 'I\'ve thought about what I said earlier, and realize I meant to say \'No\' to doing this for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/farious_gletch.stf', '103', 'player_sorry_4', 'No, he hasn\'t been taken care of yet.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/farious_gletch.stf', '107', 'npc_backtowork_1', 'What am I paying you for!  Get it taken care of!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/farious_gletch.stf', '108', 'next', 'I don\'t have anything for ya right now. Maybe later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/figrin_dan.stf', '1', 'npc_1_1', 'My night-time heart has cried, leaving with the day these discs of teardrops -- love letters to my sweetheart. Carry them to her. Carry my plea for affection and understanding.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/figrin_dan.stf', '2', 'npc_1_2', 'A tendril of light reached down from the stars and touched my brow. In inspired fever I composed this song of love. Send it, carry it to the one who will most appreciate its feeling.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/figrin_dan.stf', '3', 'npc_1_3', 'Seems I have a new fan. A storm-drenched spirit, drying and shriveling in these desert suns. He looks to me for guidance, but no. For this young spirit, I am too weak. I disappoint him. For that shriveling fan, this note of apology and hope, hand-delivered to him by you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/figrin_dan.stf', '5', 'npc_2_1', 'Dilta waits, she waits alone, out in that empty waste beneath a burning sky. Head out on those lonely old sands, my friend, my friend\'s friend.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/figrin_dan.stf', '6', 'npc_2_2', 'Out in the wide, wild desert, friend -- that is your destination. Free of prying eyes, understand me? Go. My song must fly to the right heart.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/figrin_dan.stf', '7', 'npc_2_3', 'Go, my friend. Head out to that windblown sand, where my fan waits in a desolation of the spirit. Hurry, now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/figrin_dan.stf', '8', 'npc_3_1', 'Our roads diverge now, my friend, but chance may bring us back together once again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/figrin_dan.stf', '9', 'npc_3_2', 'We each must follow our own road, friend. Someday, perhaps, our paths may cross again. Farewell.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/figrin_dan.stf', '10', 'npc_3_3', 'Not a problem, friend. Head down your road, I\'ll head down mine, and maybe we\'ll meet again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/figrin_dan.stf', '12', 'npc_4_1', 'Ahhh, Dilta. A sweet sultry voice, a cool finger on the brow, a single star\'s gleam in a night-black eye -- that is Dilta. You\'ll like her. Go ahead, take my little job.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/figrin_dan.stf', '13', 'npc_4_2', 'Be smooth, my friend, and do not pry into affairs of the heart. Only this: Seek one called Bex, whose true feeling for this work you will see. Please, take this tiny task.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/figrin_dan.stf', '14', 'npc_4_3', 'Just one more wounded spirit, like you and me. Lonesome, troubled folk fall into my music, get uplifted, get shaken. Like my music to them, that\'s my fans to me -- they lift me up, they shake me down. My little task awaits your choice.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/figrin_dan.stf', '15', 'npc_reward_1', 'Ahh, that Dilta -- she is the spirited one. But I am smooth. I calm the troubled wind. My lament will melt her icy heart. And you, my friend -- to you, as to Dilta, I owe more than this sad token may express.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/figrin_dan.stf', '16', 'npc_reward_2', 'My friend, Bex Lobber carries a weight in his heart, and in his fist. Perhaps my little love-ditty will relieve both. I only wish I could pay you more, friend. And Bex too.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/figrin_dan.stf', '17', 'npc_reward_3', 'Life, life. I\'m going down that lonely road, smooth mover. I feel a pressing need to move on. Take this little something and move on, too.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/figrin_dan.stf', '18', 'player_1_1', 'Sounds like you need help.  I\'ll do it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/figrin_dan.stf', '19', 'player_1_2', 'I shall be your emmisary of love, Figrin!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/figrin_dan.stf', '20', 'player_1_3', 'Sure, I\'ll give it to him.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/figrin_dan.stf', '21', 'player_2_1', 'That sounds too personal.  No, I\'d feel wierd doing it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/figrin_dan.stf', '22', 'player_2_2', 'You\'re too wierd.  No, I won\'t do this for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/figrin_dan.stf', '23', 'player_2_3', 'I\'m tired of talking to you.  No, do it yourself.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/figrin_dan.stf', '24', 'player_3_1', 'Who is this \"sweetheart\"?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/figrin_dan.stf', '25', 'player_3_2', 'Who is receiving this love song?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/figrin_dan.stf', '26', 'player_3_3', 'Who is the fan who looks to you for guidance?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/figrin_dan.stf', '27', 'player_reset_1', 'I don\'t like playing a go between.  You\'ll have to do it yourself, afterall.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/figrin_dan.stf', '28', 'player_sorry_1', 'Sorry, not yet.  I\'ll make sure she gets them soon, though.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/figrin_dan.stf', '29', 'npc_backtowork_1', 'My heart will fly long until it is held by that sweet Dilta.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/figrin_dan.stf', '30', 'npc_reset_1', 'Our roads diverge now, my friend, but chance may bring us back together once again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/figrin_dan.stf', '31', 'cantwork', 'Ahh, you\'re a busy one. I see, I know. Smooth your moves and relax, friend. Hark to the sounds. Check on back here when you\'re free.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/figrin_dan.stf', '32', 'dontknowyou_1', 'If you don\'t know who I\'m talking about, get away from me.  I don\'t have time for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/figrin_dan.stf', '33', 'npc_work_1', 'My protestations of deep emotion made it into her dear hands, I hope?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/figrin_dan.stf', '34', 'npc_work_2', 'The melodic tones have reached the heart and ears of the chosen, I hope?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/figrin_dan.stf', '35', 'npc_work_3', 'I\'m hearing hearts shattering in the wind.  Is this the sound of my fan\'s faith?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/figrin_dan.stf', '36', 'npc_breech_1', 'Are you one of that loser\'s friends?  You look like one.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/figrin_dan.stf', '37', 'npc_breech_2', 'If I find out that Bith suckered me, I\'ll...');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/figrin_dan.stf', '38', 'npc_breech_3', '*Snort*');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/figrin_dan.stf', '42', 'npc_backtowork_2', 'The crystalline moons will weep when the harmony is heard.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/figrin_dan.stf', '43', 'npc_backtowork_3', 'He\'s waiting with his soul on his wing.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/figrin_dan.stf', '44', 'npc_reset_2', 'We each must follow our own road, friend. Someday, perhaps, our paths may cross again. Farewell.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/figrin_dan.stf', '45', 'npc_reset_3', 'Not a problem, friend. Head down your road, I\'ll head down mine, and maybe we\'ll meet again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/figrin_dan.stf', '46', 'player_reset_2', 'I don\'t know what this is about, and I don\'t want to do it anymore.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/figrin_dan.stf', '47', 'player_reset_3', 'Okay, I\'m done with you.  You are just way too mellow for me.  Do it yourself.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/figrin_dan.stf', '48', 'player_sorry_2', 'Not yet.  I\'ll get it to the... um... wherever I\'m taking it.  So, be calm - or something like that.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/figrin_dan.stf', '49', 'player_sorry_3', 'I don\'t know what you just said.  If you mean \'Did he get the letter\', then - No, not yet.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/figrin_dan.stf', '53', 'dontknowyou_2', 'Did it look like I was talking to you?  Look, get some people, then have them get in touch with mine.  Okay?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/figrin_dan.stf', '54', 'dontknowyou_3', '*Snork snork* *grunt*');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/figrin_dan.stf', '106', 'npc_smuggle_1', 'This better be the credits from that deadbeat Figrin. Tell him this: Any guy who plays sabacc that bad needs better cash flow.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/figrin_dan.stf', '107', 'npc_smuggle_2', 'I better have an exclusive distribution deal on this song, or I\'ll jam that welsher\'s big musician head into a really small hat.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/figrin_dan.stf', '108', 'npc_smuggle_3', 'Hnnnrrgh!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/figrin_dan.stf', '109', 'next', 'Perhaps one day fate will provide me with more work for you. Until that day my friend, farewell.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/fixer.stf', '1', 'npc_1_1', 'I just finished a repair, and I need someone to make the delivery for me. Whaddya say?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/fixer.stf', '2', 'npc_1_2', 'I cobble together lots of parts for moisture farmers. Some Tusken Raider is running around blasting any vaporators he comes across. You willing to find him and stop him from wrecking anything else?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/fixer.stf', '3', 'npc_1_3', 'My girlfriend, Camie, called. Her speeder hit an eopie in the desert. I need someone to bring her a new converter coil so she can get it running again. The speeder, not the eopie. Would ya mind bringing it to her quick?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/fixer.stf', '5', 'npc_2_1', 'Nice to see a little initiative for a change. A fellow named Vezz Kommani has been waiting on this power coupling. Take it to him out in the desert, away from prying Imperial eyes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/fixer.stf', '6', 'npc_2_2', 'I know the folks \'round here would appreciate it. They\'ve been a bit jumpy lately worrying about it. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/fixer.stf', '7', 'npc_2_3', 'I sure appreciate it. I don\'t want her out there any longer than she has to be, so take this part and get moving.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/fixer.stf', '8', 'npc_3_1', 'Afraid of a little hard work, are ya? Too bad. Tosche Station\'s got no place for lollygaggers. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/fixer.stf', '9', 'npc_3_2', 'I didn\'t figure ya for the shy type. Shove off.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/fixer.stf', '10', 'npc_3_3', 'Kind of a heartless womp rat, aren\'t ya? Get out of here!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/fixer.stf', '12', 'npc_4_1', 'Well, have you heard of Luke Skywalker?  Heck, yeah! We grew up together. I always knew he\'d be something special. What a speeder pilot. Maybe that\'s where you heard of me... no, it couldn\'t have been that, could it?  But look, you interested in this job?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/fixer.stf', '13', 'npc_4_2', 'How should I know? Them Tuskens all hate our technology. I\'d worry less about why, more about how ya might stop him.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/fixer.stf', '14', 'npc_4_3', 'Of course I have a girlfriend! What\'s so hard to believe about that? Now, you want to help her or not?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/fixer.stf', '15', 'npc_reward_1', 'Ya done good. See me again if ya need more work. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/fixer.stf', '16', 'npc_reward_2', 'Way to work. That\'ll be a load off everybody\'s mind. Now try to hang on to a few of these credits this time, hear?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/fixer.stf', '17', 'npc_reward_3', 'Camie called -- she got home just fine. Thank you so much! If she had been eaten by that dewback, I don\'t know what I would have done. I don\'t have anything else I need help with right now, but check back later. Maybe something will come up.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/fixer.stf', '18', 'player_1_1', 'Sure.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/fixer.stf', '19', 'player_1_2', 'No problem.  I hate Tuskens with a seething passion.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/fixer.stf', '20', 'player_1_3', 'Sure, I\'ll get it to your *ahem* girlfriend.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/fixer.stf', '21', 'player_2_1', 'No thanks.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/fixer.stf', '22', 'player_2_2', 'I usually leave well enough alone.  Let the Tusken do what he wants.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/fixer.stf', '23', 'player_2_3', 'Okay, now you\'re making up stories.  I don\'t believe you have a girlfriend, so I\'m not going to help.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/fixer.stf', '24', 'player_3_1', 'Don\'t I know you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/fixer.stf', '25', 'player_3_2', 'Why is the Tusken destroying vaporators?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/fixer.stf', '26', 'player_3_3', 'Do you really have a girlfriend?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/fixer.stf', '27', 'player_reset_1', 'Sorry, but I\'ve changed my mind.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/fixer.stf', '28', 'player_sorry_1', 'Not yet.  I\'m still getting it done, though.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/fixer.stf', '29', 'npc_backtowork_1', 'Good to hear!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/fixer.stf', '30', 'npc_reset_1', 'Afraid of a little hard work, are ya? Too bad. Tosche Station\'s got no place for lollygaggers. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/fixer.stf', '31', 'cantwork', 'How ya doin\'? See me about a job when you get tired of your current employer.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/fixer.stf', '32', 'dontknowyou_1', 'Sorry, I was talking to myself.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/fixer.stf', '33', 'npc_work_1', 'So, did you get it to him?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/fixer.stf', '34', 'npc_work_2', 'Has that crazed Tusken been stopped yet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/fixer.stf', '35', 'npc_work_3', 'So... did she get the part?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/fixer.stf', '36', 'npc_breech_1', 'Where in the heck is that part?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/fixer.stf', '38', 'npc_breech_3', 'Phew, I thought I was going to be that dewback\'s dinner for sure. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/fixer.stf', '39', 'notit_1', 'No, this won\'t work.  I need a coupling.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/fixer.stf', '41', 'notit_3', 'This is not a converter coil, friend.  I need a coil so that I can get home again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/fixer.stf', '42', 'npc_backtowork_2', 'Sounds good!  Let me know when he\'s been stopped.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/fixer.stf', '43', 'npc_backtowork_3', 'Great!  Get it to her fast.  I don\'t want her to get a sunburn.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/fixer.stf', '44', 'npc_reset_2', 'I didn\'t figure ya for the shy type. Shove off.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/fixer.stf', '45', 'npc_reset_3', 'Kind of a heartless womp rat, aren\'t ya? Get out of here!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/fixer.stf', '46', 'player_reset_2', 'I can\'t do this anymore.  Sorry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/fixer.stf', '47', 'player_reset_3', 'You\'re sending me on a wild cu pa chase, aren\'t you?  I\'m not doing this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/fixer.stf', '48', 'player_sorry_2', 'No, but I\'m now equipped to take care of him.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/fixer.stf', '49', 'player_sorry_3', 'No, I haven\'t found her yet.  I\'m going to try right now, though.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/fixer.stf', '54', 'dontknowyou_3', 'Thanks for your concern, but I can handle this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/fixer.stf', '106', 'npc_smuggle_1', 'Finally! Now to get this installed so I can get off this desert rock. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/fixer.stf', '108', 'npc_smuggle_3', 'Fixer sent you with the parts I need to fix my speeder? Thanks a million!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/fixer.stf', '109', 'next', 'I don\'t have any more work for ya right now. Try me later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/fixer.stf', '110', 'npc_noloc_1', 'Hey, can you come back later?  I gotta deal with something before we can continue...');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/fixer.stf', '111', 'npc_noloc_2', 'Hey, can you come back later?  I gotta deal with something before we can continue...');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/fixer.stf', '112', 'npc_noloc_3', 'Hey, can you come back later?  I gotta deal with something before we can continue...');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/fixer.stf', '113', 'waypoint_description_2', 'The Tusken Raiders has been spotted at this location.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/fixer.stf', '114', 'waypoint_name_2', 'Tusken Raiders');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gold_two.stf', '1', 'npc_1_1', 'A couple of stormtroopers are headed this way. I really severely don\'t need to see them. If you dispose of them, I\'m that much closer to getting out of this backwater. Except, excuse me, there\'s no water! Back-dump! Back-pit! Help me!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gold_two.stf', '2', 'npc_1_2', 'The hunt is intensifying. But if you destroy this one mounted trooper, you\'ll make it look like I\'m somewhere other than here. That might divert the search. Interested?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gold_two.stf', '3', 'npc_1_3', 'I can\'t shake the rest of the patrol. This is the toughest bunch yet -- probably three or four troopers plus the leader. If you take them out, you\'ll clear the way for my mad dash to Mos Espa. What do you say?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gold_two.stf', '5', 'npc_2_1', 'Great. Get to the troopers and shoot them before they can report on my whereabouts. Watch out for sandtraps. I hate all this sand.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gold_two.stf', '6', 'npc_2_2', 'Okay, good, good. The trooper has a dewback, and the mount may make trouble too. Endless excitement in this dismal sandtrap.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gold_two.stf', '7', 'npc_2_3', 'I won\'t forget what you\'re doing for me. You\'re risking a lot to bail me out of a tough, tough spot. Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gold_two.stf', '8', 'npc_3_1', 'Yeah, I wouldn\'t look forward to facing stormtroopers either. Thanks anyway.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gold_two.stf', '9', 'npc_3_2', 'I absolutely don\'t blame you. Not my idea of a fun time. I expect I\'ll just hang back here until they find me or I slowly strangle on dust.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gold_two.stf', '10', 'npc_3_3', 'Yeah, I hear that. I feel silly just offering this deathtrap mission. But if I don\'t get off this barren Sarlacc-pit, I\'m gonna dissolve in my own bile.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gold_two.stf', '12', 'npc_4_1', 'I\'d just finished running a cargo of medical supplies through the Imperial blockade. On my way back up, they caught me. I barely survived the crash. Now I\'m stuck on this dessicated rockball. Help!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gold_two.stf', '13', 'npc_4_2', 'Stressed! Yeah, you might say that. I woke up this morning and a rock-mite was eating my boots! Just one more attraction here on Tatooine, sun-drenched center for life-threatening recreation. Now, about that trooper --? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gold_two.stf', '14', 'npc_4_3', 'The Alliance is arranging a hot new X-wing and a clear docking bay with my name on it, just as soon as I can get there. But there\'s this matter of the patrol to deal with first. And your choice is --?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gold_two.stf', '15', 'npc_reward_1', 'All right, all right, my life is just that much less terrible. I appreciate your help. If you want more work, I\'ve still got trouble, so check back.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gold_two.stf', '16', 'npc_reward_2', 'Good news. Okay, it\'s possible I may actually pull through this. If you\'ve got more time and want more money, check back with me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gold_two.stf', '17', 'npc_reward_3', 'I don\'t believe it! I\'m in the clear! You\'ve saved me, my friend! Now I have to get to Mos Espa and jump off this despicable sand-blown crime-ridden Hutt-run krayt-loving hive of scum and villainy. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gold_two.stf', '18', 'player_1_1', 'Calm down.  I\'ll help you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gold_two.stf', '19', 'player_1_2', 'Sure, I\'ll lend a hand.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gold_two.stf', '20', 'player_1_3', 'I\'ll hold them off for you!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gold_two.stf', '21', 'player_2_1', 'I don\'t want to tangle with Stormtroopers.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gold_two.stf', '22', 'player_2_2', 'Stormtroopers are one thing.  A mounted one is another.  Sorry, I can\'t help.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gold_two.stf', '23', 'player_2_3', 'Now you\'re being ridiculous!  I\'m not dealing with a whole squad!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gold_two.stf', '24', 'player_3_1', 'How did you crash here?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gold_two.stf', '25', 'player_3_2', 'How are you doing? You look a little stressed. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gold_two.stf', '26', 'player_3_3', 'How are you getting offworld?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gold_two.stf', '27', 'player_reset_1', 'I\'m sorry, but I\'ve changed my mind.  I can\'t do this anymore.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gold_two.stf', '28', 'player_sorry_1', 'I believe there are a few left.  I\'ll take care of the remaining ones shortly.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gold_two.stf', '29', 'npc_backtowork_1', 'Thank you very much, my newly found friend.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gold_two.stf', '30', 'npc_reset_1', 'Yeah, I wouldn\'t look forward to facing stormtroopers either. Thanks anyway.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gold_two.stf', '31', 'cantwork', 'You! Can you help --? Oh. Never mind. I see you\'re busy. Maybe you could check back later, assuming I\'m still stuck on this rock.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gold_two.stf', '33', 'npc_work_1', 'Are there any more of the stormtroopers around?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gold_two.stf', '34', 'npc_work_2', 'Was the Mounted Stormtrooper taken care of?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gold_two.stf', '35', 'npc_work_3', 'You were able to deal with them already?  Are you a Jedi?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gold_two.stf', '36', 'npc_breech_1', 'A hostile! Open fire!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gold_two.stf', '37', 'npc_breech_2', 'Halt!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gold_two.stf', '38', 'npc_breech_3', 'There\'s the target! Fire!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gold_two.stf', '42', 'npc_backtowork_2', 'I appreciate you helping me.  I didn\'t think I\'d find anybody who cares on this back - ah - backwards planet!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gold_two.stf', '43', 'npc_backtowork_3', 'Oh.  Okay, well, I still thank you!  Just say the word!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gold_two.stf', '44', 'npc_reset_2', 'I absolutely don\'t blame you. Not my idea of a fun time. I expect I\'ll just hang back here until they find me or I slowly strangle on dust.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gold_two.stf', '45', 'npc_reset_3', 'Yeah, I hear that. I feel silly just offering this deathtrap mission. But if I don\'t get off this barren Sarlacc-pit, I\'m gonna dissolve in my own bile.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gold_two.stf', '46', 'player_reset_2', 'Sorry, I\'ve ahad a change of heart.  I don\'t want to get involved with this guy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gold_two.stf', '47', 'player_reset_3', 'You know what?  I can\'t help you with this.  This is way to risky!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gold_two.stf', '48', 'player_sorry_2', 'Not yet.  He\'s approaching as we speak, so I can take care of him.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gold_two.stf', '49', 'player_sorry_3', 'Ummm... no, I\'m not.  And... um... they\'re not all taken care of yet.  I\'ll let you know when to run.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gold_two.stf', '50', 'next', 'I\'d hire you again but I hope to be off of this miserable desert hole really soon. Check back with me if you have time, you never know when something might foul up my plan to get out of here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gramm_rile.stf', '1', 'npc_1_1', 'How are you doing there, friend?  My name is Gramm Rile, and I\'m what you\'d call the mayor around here.  You know, you stopped by just in time.  I\'m having a surveyor come here to town to take a look around the place, but judging how late he is, I\'d reckon he\'s lost.  Could you run out there and find him for me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gramm_rile.stf', '2', 'npc_1_2', 'Nice to see you, friend!  Just to let you know, the surveyor said he agrees with me, and he\'s going to put in a good report for us.  Hopefully we\'ll get that garrison out here now.  In the meantime, I\'m wondering if you can do me a bit of another favor?  I need you to escort a farmer across the desert so that I can talk with him.  Can you do that?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gramm_rile.stf', '3', 'npc_1_3', 'Blast that Talmont!  Blast all them Imperials, I tell you!!!  Prefect Talmont has decided \"it\'s not a worthwhile expenditure of Imperial resources\" and he won\'t build a garrison out here!  Without their help we\'re doomed!  Unless.  Well, it won\'t hurt to talk to him, I guess.  Could you go send a message for me then bring back the response?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gramm_rile.stf', '4', 'npc_1_4', 'I\'m not having any part of dealing with that overgrown slug!  I can\'t believe he\'d ask so much for his \"help\".  That\'s it, I\'m relocating everyone into this town now for the time being.  If those Tuskens want a fight, they\'ll get one.  Oh, NO!  My wife is out there! Look, you have to bring her back here, understand?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gramm_rile.stf', '5', 'npc_2_1', 'Oh, I sure do appreciate this, friend.  If word got back to Prefect Talmont in Bestine that I\'d gone ahead and let his surveyor get killed, well... well, I don\'t really know what could happen.  When you find him, bring him back here safe and sound, you hear?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gramm_rile.stf', '6', 'npc_2_2', 'Oh, this is good news.  With all the Tusken activity lately, it\'s got the farmer spooked.  I told him I knew just the person to keep him safe while walking out here.  I\'ll be waiting, friend.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gramm_rile.stf', '7', 'npc_2_3', 'Okay, look.  I need you to run out to this location and speak to one of Jabba\'s business associates.  He\'ll accompany you back here to make sure it\'s not a trap, so you get him here without a hair harmed on him, okay?  I\'ll wait here until you bring him back.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gramm_rile.stf', '8', 'npc_2_4', 'Okay, look, I\'m entrusting you to bring her back here safely.  She\'s got the spirit of a bocatt, but that won\'t help anyone when facing down those Sand People.  You go out to my house and escort her back here safely, you hear?  In the meantime, I\'ll see to it that everyone else around Mos Taike gets to town safely.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gramm_rile.stf', '9', 'npc_3_1', 'Well, I can\'t blame you, with all of the reports of Tusken Raiders as of late.  I\'ll see if I can find someone else to do, but if you change your mind, you be sure to let me know, okay?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gramm_rile.stf', '10', 'npc_3_2', 'I sure do hope you reconsider, friend.  He\'s not going to come out here unless he has a bodyguard, and I sure do need to speak with him.  If you have a change of heart, I\'ll be here waiting.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gramm_rile.stf', '11', 'npc_3_3', 'Yeah, if I were in your shoes, I\'d say the same. *sigh* Unfortunately, I\'m the mayor out here and I\'ve got to look at all of my options.  I wish I had the luxury to walk away as you do.  If you change your mind, let me know okay?  Try to do it before we get attacked by Tuskens again if you could, too...');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gramm_rile.stf', '12', 'npc_3_4', 'What?  But I thought... I can\'t believe you\'d leave a person out there to the Tuskens!  I\'d do it myself, but I have to make sure everyone else gets the alert.  Look, you think about what you just said, then you think about those Tuskens, you got that?  Then, you come back to me when you realize you want to help.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gramm_rile.stf', '13', 'npc_4_1', 'Well, you see, this is how it is. *sigh* Mos Taike is under threat of attack by Tuskens all the time, and it\'s beginning to get out of hand.  I\'ve petitioned both Tour Aryon and Prefect Talmont to have an Imperial garrison built here to help defend the town.  They\'ve finally agreed to send a surveyor out here to assess the situation.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gramm_rile.stf', '14', 'npc_4_2', 'Well, not too many people know this yet, so keep it to yourself, okay?  Our main supplier of water lost a couple of caravans recently, and wants to recover her losses by making us pay for it.  I know a farmer out there who\'s willing to sell us water for the standard price, but he won\'t travel out here alone.  That\'s why I need you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gramm_rile.stf', '15', 'npc_4_3', 'Well, if we can\'t get protection from the Imperials, we have to look elsewhere.  Jabba has offered his protection in the past, but hasn\'t given a price for it.  Maybe I can convince him that we don\'t have much to pay with, but we need his help.  I sure do hope he understands our plight and actually has a heart somewhere in there.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gramm_rile.stf', '16', 'npc_4_4', 'That two-faced, undermining, extortionist was happy to offer his help.  His price was to have Mos Taike send him seven people every year to be his slaves!  I won\'t have any of that!  If it means we die fighting the Tuskens, so be it, but I won\'t send anyone to Jabba to be a SLAVE!  I won\'t have that, I tell you!  Better to die free, then to live a slave!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gramm_rile.stf', '17', 'npc_reward_1', 'I\'m glad to see you were able to find him.  He\'s a bit shaken up, with all things considered, but once he calms down a bit, I can show him around.  Hopefully this incident will convince him to send a report back to Talmont that\'ll get a garrison built out here.  Thanks again, friend.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gramm_rile.stf', '18', 'npc_reward_3', 'Well, I thank you, friend. I\'m now going to have a sit down with this guy and see if I can convince him to help without him asking too much.  *sigh*  If we weren\'t so desperate, I\'d never consider this.  But you gotta understand, I have to do what I can to keep my people safe.  Surely you see that.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gramm_rile.stf', '19', 'npc_reward_2', 'My farmer friend says that he\'ll keep his rates low, seeing how safe it was to get out here, and all.  Without you, everyone here in Mos Taike would\'ve had to sell themselves into slavery just to afford water.  Hmph... Jabba would\'ve sure loved that.  We\'re in the clear now, so on behalf of Mos Taike, I give you our thanks!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gramm_rile.stf', '20', 'npc_reward_4', 'Oh, good, you got her here safely!  You\'ve been a great help, friend.  Just in time, too.  According to Lorne, our security chief, he\'s spotted another Tusken raid on it\'s way.  I\'ve been able to get everyone here safely, so we can all join together and bring down these Tuskens.  Once again, thank you friend, you\'ve been a great help!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gramm_rile.stf', '21', 'player_1_1', 'Sure!  I\'ll go find him for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gramm_rile.stf', '22', 'player_1_2', 'Point me at him and I\'ll get him here safe!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gramm_rile.stf', '23', 'player_1_3', 'Sounds simple enough.  I\'ll do it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gramm_rile.stf', '24', 'player_1_4', 'By all means!  I\'ll get out there immediately!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gramm_rile.stf', '25', 'player_2_1', 'Sorry, but I\'m afraid I\'d get lost as well.  I can\'t do that.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gramm_rile.stf', '26', 'player_2_2', 'No, I\'ve got other plans right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gramm_rile.stf', '27', 'player_2_3', 'I don\'t think I like where this is going.  No, I won\'t do it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gramm_rile.stf', '28', 'player_2_4', 'No, I don\'t have time to escort some lady across the sands.  Do it yourself.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gramm_rile.stf', '29', 'player_3_1', 'Why are you having a surveyor inspect the town?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gramm_rile.stf', '30', 'player_3_2', 'Who do you want me to pick up?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gramm_rile.stf', '31', 'player_3_3', 'What kind of message are we talking about here?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gramm_rile.stf', '32', 'player_3_4', 'Why didn\'t you take Jabba\'s help?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gramm_rile.stf', '33', 'npc_backtowork_1', 'That\'s good to hear.  I\'ll bet anything he\'s just walking around in cricles, which doens\'t bode well for a survey for our place.  Well, if you find him, bring him my way, okay?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gramm_rile.stf', '34', 'npc_backtowork_2', 'Well, that\'s good to hear.  I don\'t want to see either of you hurt, so take your time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gramm_rile.stf', '35', 'npc_backtowork_3', 'Well, I don\'t want to bring down Jabba\'s wrath on us.  I thank you for you being prudent and all.  Try not to make him wait too long though, if you could.  It would be mighty apppreciated.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gramm_rile.stf', '36', 'npc_backtowork_4', 'I\'m glad to see you made it out alive.  Those Raiders can be deadly!  Let\'s just hope it\'s not too late for my wife.  You go get her while I direct everyone else in here safely, okay?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gramm_rile.stf', '37', 'npc_work_1', 'Have you managed to find the surveyor yet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gramm_rile.stf', '38', 'npc_work_3', 'So, where\'s Jabba\'s guy?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gramm_rile.stf', '39', 'npc_work_4', 'Is Chastina here in the town now?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gramm_rile.stf', '40', 'player_sorry_2', 'Not yet.   I thought I saw some Sand People, and was waiting till they passed.  Once they\'re gone, I\'ll escort him here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gramm_rile.stf', '41', 'player_sorry_1', 'No, I haven\'t been able to find him.  When I do, I\'ll be sure to bring him back right away!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gramm_rile.stf', '42', 'player_sorry_3', 'I haven\'t been able to make it out there yet.  Once I can safely do it, I\'ll be sure to bring him back.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gramm_rile.stf', '43', 'player_sorry_4', 'No, I.. um... was attacked by Sand People.  Now that they\'ve been dispatched, I can rescue her safely.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gramm_rile.stf', '44', 'npc_work_2', 'So, have you brought back my farmer friend?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gramm_rile.stf', '45', 'player_reset_1', 'I\'ve searched and searched, but I can\'t find him.  You might need to send out a team for him, because I can\'t do it anymore.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gramm_rile.stf', '46', 'player_reset_3', 'I\'ve thought about it, and I don\'t want to be part of any dealings with Jabba.  I can\'t do this anymore.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gramm_rile.stf', '47', 'player_reset_4', 'I can\'t escort her back here, Gramm.  I\'ve been... um... injured.  Yeah, I\'ve been injured and can\'t save her.  Can you send someone else?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gramm_rile.stf', '48', 'player_reset_2', 'I won\'t be able to safely bring him here, sorry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gramm_rile.stf', '49', 'npc_reset_1', 'Well, I thank you for giving it your best.  I\'ll see about having Bren round up a group of people to go find him.  Even though you didn\'t find him, I do appreciate you looking.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gramm_rile.stf', '50', 'npc_reset_2', 'Well, then I guess I\'ll have to send Bren out there.  I do appreciate you offering to help, either way.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gramm_rile.stf', '51', 'npc_reset_3', '*sigh* Well, I can\'t blame you.  Were I not so desperate, I wouldn\'t have asked you to do it.  I guess I\'ll go out there myself.  I thank you for considering it, though.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gramm_rile.stf', '52', 'npc_reset_4', 'Well, if you\'ve been injured, you can\'t act as an adequate bodyguard.  I\'ll send someone out there to bring her back.  In the meantime, get yourself to a medic.  Your wounds must be internal, \'cause I don\'t see any on the outside.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gramm_rile.stf', '53', 'cantwork', 'How are you doing there, friend?  I hope you\'ve taken a liking to Mos Taike.  When you\'ve got some time, I might have need of your services.  Let me know when you\'re free, okay?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gramm_rile.stf', '54', 'dontknowyou_1', 'Oh, I\'m sorry.  I though you were from Mos Taike.  I guess I\'ll have to find it myself, then.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gramm_rile.stf', '55', 'dontknowyou_2', 'Sorry, I\'m waiting for a bodyguard to keep the Tuskens off my back.  He or she should be here soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gramm_rile.stf', '56', 'dontknowyou_3', 'You don\'t look like you need Jabba\'s protection.  Just keep walking and mind your own business.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gramm_rile.stf', '57', 'dontknowyou_4', 'I\'m sorry, I though you were my husband.  Have a good day, and watch out for Tuskens.  I\'ve just taken down four of them myself in the past hour.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gramm_rile.stf', '58', 'npc_breech_1', 'Are you here to rescue me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gramm_rile.stf', '59', 'npc_breech_3', 'What a dangerous place, wouldn\'t you say.  A lot of bad things can happen out in the desert, if one isn\'t careful.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gramm_rile.stf', '60', 'npc_breech_4', 'Gramm, is that you?  What\'s going on?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gramm_rile.stf', '61', 'npc_breech_2', 'Are you the one that Rile sent?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gramm_rile.stf', '62', 'npc_takeme_1', 'Oh, thank goodness someone\'s come to rescue me!  I was down to the last of my food and water!  I\'ve been lost out here in the wasteland for close to 2 hours now!  Please, could you show me the way to Mos Taike?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gramm_rile.stf', '63', 'npc_takeme_2', 'Well, Rile did say he\'d send me a body guard, and you sure do fit the bill.  I\'m Merg Thando.  Pleased to meet you.  Now, if we could, let\'s make our way to Mos Taike before any Sand People catch our scent.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gramm_rile.stf', '64', 'npc_takeme_3', 'You must be the one who\'s looking for Jabba\'s help, hm?  Now, lead me to this backwater settlement, and don\'t make any false moves, got it?  If I get hurt, Jabba won\'t be too happy, understand?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gramm_rile.stf', '65', 'npc_takeme_4', 'Oh!  Gramm is calling everyone into town?  Now I understand why I was attacked by a dozen or so Tuskens about an hour back.  They were tough ones, too!  Took me about 10 minutes before I could take down all of them.  I appreciate your help.  Now, let\'s go before more return.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/gramm_rile.stf', '66', 'next', 'Check back with me sometime. I may have more for you to do.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hantor_loftus.stf', '1', 'npc_1_1', 'There\'s a new Imperial Security Bureau initiative called Project Lasercutter. We\'re trying to fight it. We don\'t have a lot of time. An ISB agent is on the way to arrest one of our \"procurement specialists\" right now. Can you stop him?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hantor_loftus.stf', '2', 'npc_1_2', 'We\'ve received word that ISB is sending a Lasercutter team to arrest one of our most reliable smugglers. Will you escort her here safely?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hantor_loftus.stf', '3', 'npc_1_3', 'We now know how ISB has been finding our smugglers recruits. They\'ve planted a spy in the Alliance recruiting operation. Will you dispatch this turncoat for us?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hantor_loftus.stf', '5', 'npc_2_1', 'I\'m glad to hear it. Intercept and stop the ISB agent before he finds him.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hantor_loftus.stf', '6', 'npc_2_2', 'Wonderful. Go and meet our smuggler friend, Jaxa Lian, and bring her back safely. Hurry, so the ISB doesn\'t find her first. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hantor_loftus.stf', '7', 'npc_2_3', 'The informant will be meeting ISB agents out in the desert. Eliminate all of them, but don\'t get reckless.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hantor_loftus.stf', '8', 'npc_3_1', 'You\'d better go. I have things to do. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hantor_loftus.stf', '9', 'npc_3_2', 'If that was a joke, I\'m not laughing. No? Stop wasting my time, this is important work.  ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hantor_loftus.stf', '10', 'npc_3_3', 'I can\'t believe you\'re backing out now. Goodbye.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hantor_loftus.stf', '12', 'npc_4_1', 'In brief, the Empire is hunting smugglers friendly to the Alliance. This will do nothing good for our supply lines. Will you help us?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hantor_loftus.stf', '13', 'npc_4_2', 'I don\'t know yet, but you can be sure I\'m looking in to it. Can we count on your assistance?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hantor_loftus.stf', '14', 'npc_4_3', 'His name? Let me check -- Lidek Baws. Recruited on Naboo. Huh! That should have been a giveaway right there. Will you stop him?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hantor_loftus.stf', '15', 'npc_reward_1', 'Good work. We still have a long way to go but that was a good start.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hantor_loftus.stf', '16', 'npc_reward_2', 'Well done. Now I just need to track down our information leak.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hantor_loftus.stf', '17', 'npc_reward_3', 'Success? Good! I\'m glad we\'ve stopped that leak.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hantor_loftus.stf', '18', 'player_1_1', 'Yes, I\'ll stop the agent.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hantor_loftus.stf', '19', 'player_1_2', 'You can count on me!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hantor_loftus.stf', '20', 'player_1_3', 'I\'ll take care of him, alright!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hantor_loftus.stf', '21', 'player_2_1', 'No thanks, I don\'t want to get involved.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hantor_loftus.stf', '22', 'player_2_2', 'I don\'t take too kindly to smugglers.  No, I can\'t help.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hantor_loftus.stf', '23', 'player_2_3', 'Sorry, but I\'m not cut out to handle this kind of intrigue.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hantor_loftus.stf', '24', 'player_3_1', 'What is Project Lasercutter?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hantor_loftus.stf', '25', 'player_3_2', 'How do they keep finding these smugglers?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hantor_loftus.stf', '26', 'player_3_3', 'Who is the spy?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hantor_loftus.stf', '27', 'player_reset_1', 'I\'m not going to be able to handle this.  You\'ll need to get someone else to do it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hantor_loftus.stf', '28', 'player_sorry_1', 'Not yet, but rest assured that I will.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hantor_loftus.stf', '29', 'npc_backtowork_1', 'You\'ll need to pick up the pace.  I don\'t know how much time you have left.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hantor_loftus.stf', '30', 'npc_reset_1', 'You\'d better go. I have things to do. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hantor_loftus.stf', '31', 'cantwork', 'I could really use your help. Finish your current task and then see me again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hantor_loftus.stf', '32', 'dontknowyou_1', 'Sorry, I thought you were a Rebel.  Nevermind.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hantor_loftus.stf', '33', 'npc_work_1', 'Have you stopped him yet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hantor_loftus.stf', '34', 'npc_work_2', 'Where\'s Jaxa?  Is she safe?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hantor_loftus.stf', '35', 'npc_work_3', 'So, have you given the spy his just reward?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hantor_loftus.stf', '36', 'npc_breech_1', 'Rebel fool!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hantor_loftus.stf', '37', 'npc_breech_2', 'Hello.  What a nice day we\'re having.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hantor_loftus.stf', '38', 'npc_breech_3', 'They found me out, did they? That\'s bad news for you, Rebel.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hantor_loftus.stf', '42', 'npc_backtowork_2', 'You\'ll need to pick up the pace.  I don\'t know how much time you have left.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hantor_loftus.stf', '43', 'npc_backtowork_3', 'I guess you know what you\'re doing.  Let\'s just hope he doesn\'t find out from someone else first.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hantor_loftus.stf', '44', 'npc_reset_2', 'If that was a joke, I\'m not laughing. No? Stop wasting my time, this is important work.  ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hantor_loftus.stf', '45', 'npc_reset_3', 'I can\'t believe you\'re backing out now. Goodbye.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hantor_loftus.stf', '46', 'player_reset_2', 'I\'m not going to be able to handle this.  You\'ll need to get someone else to do it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hantor_loftus.stf', '47', 'player_reset_3', 'I\'ve got to pass this one off to someone else.  I can\'t do it right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hantor_loftus.stf', '48', 'player_sorry_2', 'I don\'t know.  I\'m on my way to find her right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hantor_loftus.stf', '49', 'player_sorry_3', 'Not yet, but I shall do so shortly.  I don\'t want to tip him off to me coming.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hantor_loftus.stf', '51', 'npc_takeme_2', 'An ISB squad coming for me? Let\'s get out of here!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hantor_loftus.stf', '53', 'dontknowyou_2', 'Have a good journey!  Make sure to watch out for those Krayts while you\'re at it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hantor_loftus.stf', '54', 'dontknowyou_3', 'What?  You\'re no Rebel fool.  Oh.  Ummm... Nevermind what I just said, okay?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hantor_loftus.stf', '55', 'dontknowyou_4', 'That meant for you to get away from me.  Shoo!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hantor_loftus.stf', '61', 'npc_1_4', 'Turns out it\'s not the ISB behind Project Lasercutter, but rather the Inquisitorius. Kill the Inquisitor leading the project. With him gone, Lasercutter will be set back months, if not permanently. This will be incredibly difficult, but I\'m hoping you\'ll try. What do you think?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hantor_loftus.stf', '64', 'npc_2_4', 'You\'re a good soldier. I wish you all the best. Find this Inquisitor and take him out. He\'ll be well protected, so get some insurance first, and reserve a spot in the bacta tanks for later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hantor_loftus.stf', '67', 'npc_3_4', 'I understand. This mission should not be undertaken lightly.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hantor_loftus.stf', '70', 'npc_4_4', 'I\'m not surprised you haven\'t heard of them -- they\'re top secret. Inquisitors are skilled agents who work directly for the Emperor. They supposedly have skill with \"the Force,\" not that I believe that. In any case, they\'re deadly. Will you take the mission?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hantor_loftus.stf', '73', 'npc_backtowork_4', 'Well, once you have that taken care of, go take him down.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hantor_loftus.stf', '76', 'npc_breech_4', 'Dispose of this annoyance.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hantor_loftus.stf', '79', 'npc_reset_4', 'understand. This mission should not be undertaken lightly.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hantor_loftus.stf', '82', 'npc_reward_4', 'Amazing! You\'ve done the Alliance a huge service. Go take some time off now. You\'ve earned it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hantor_loftus.stf', '88', 'npc_work_4', 'Has the Inquisitor met his end?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hantor_loftus.stf', '91', 'player_1_4', 'I think I can handle something like this.  I\'ll do it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hantor_loftus.stf', '94', 'player_2_4', 'Sounds too dangerous.  Count me out.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hantor_loftus.stf', '97', 'player_3_4', 'What is the Inquisitorius?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hantor_loftus.stf', '100', 'player_reset_4', 'I\'ve changed my mind and won\'t be doing it.  This Inquisitor guys sounds too dangerous for me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hantor_loftus.stf', '103', 'player_sorry_4', 'No, I\'m still getting a bacta tank reserved before I head out there.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hantor_loftus.stf', '104', 'next', 'There\'s a little too much Imperial scrutiny to do anything else right now. See me later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hantor_loftus.stf', '105', 'waypoint_description_1', 'A ISB Agent on his way to arrest a Alliance smuggler.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hantor_loftus.stf', '106', 'waypoint_name_1', 'ISB Agent');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hedon_istee.stf', '1', 'npc_1_1', 'I\'m a former initiate of the B\'omarr Order that decided not to attempt \"enlightenment.\" My former brothers, however, have different ideas. They\'ve sent one of their bodyguards to either force me back \"into the fold\" or dispose of me. You look like you may be able to help someone in desperate need.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hedon_istee.stf', '2', 'npc_1_2', 'It seems the B\'omarr have hired a bounty hunter to bring me back into their serene embrace. I must have really impressed the abbot during my stay at the monastery. In any case, this bounty hunter will no doubt claim my life if you don\'t stop them. Will you help?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hedon_istee.stf', '3', 'npc_1_3', 'All right, I admit it! I did steal a sacred scroll from the B\'omarr Order! They could care less that I didn\'t want to achieve \"enlightenment\" - in fact, the abbot claimed I was a hopeless \"sensualist\" and had me expelled! Will you please return this scroll to the abbot so I can have peace?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hedon_istee.stf', '5', 'npc_2_1', 'Splendid! I knew you\'d appreciate my predicament - you seem a being who knows how to enjoy the finer things in life. The bodyguard is a Gamorrean named Drognuz. He may not understand any other language than violence.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hedon_istee.stf', '6', 'npc_2_2', 'Excellent! The bounty hunter goes by the name of Rath Kanaz. I can tell you now that bounty hunters a very deceptive and cunning individuals. They may hurl some wild and baseless accusations to justify their actions. Don\'t listen to a word they say - it\'s all noncense.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hedon_istee.stf', '7', 'npc_2_3', 'Stalwart and true is how I\'ll describe you from now on! The abbot and his retinue have agreed to meet at these coordinates. Just hand them the scroll and leave. Whatever you do, don\'t accept an invitation to their monastery. They might try to \"enlighten\" you once you\'re there.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hedon_istee.stf', '8', 'npc_3_1', 'Did I mention that I am a most generous being when it comes to rewarding those that save my life? You wouldn\'t want to miss out, would you? Please change your mind.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hedon_istee.stf', '9', 'npc_3_2', 'But I thought we were good friends? I fear I\'m at a loss for words. I\'m not accustomed to this sort of treatment from a trusted companion. What is the galaxy coming to? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hedon_istee.stf', '10', 'npc_3_3', 'You can\'t back out on me now! After all, it was you who left those B\'omarr thugs rotting in the desert! I won\'t get a moment\'s peace if you refuse to help me. Please reconsider!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hedon_istee.stf', '12', 'npc_4_1', 'It involves surgically removing my brain from my body and placing it in a vat of nutrients. I like my brain where it is, thank you, and have decided that a vat of nutrients is not the finest accommodation the galaxy has to offer.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hedon_istee.stf', '13', 'npc_4_2', 'Oh, he may go on about a stolen precious object or something equally as ridiculous. The B\'omarr Order has no doubt deceived the poor soul. Those monks will stop at nothing to convince their hirelings of the justice of their cause. Pay it no mind, friend.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hedon_istee.stf', '14', 'npc_4_3', 'I think it describes the complicated procedures involved in \"enlightenment\" - which is essentially how to remove and transport a living brain. All I know is that they thought it valuable, so therefore I assumed I could get a good price for it on the black market.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hedon_istee.stf', '15', 'npc_reward_1', 'Well handled, friend. I just hope that\'s the last I\'ll hear of those bizarre monks. I\'m not sure why they\'re so interested in harming me when they\'re supposed to be pacifists. I suppose I have to give up some of my hard earned credits as thanks.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hedon_istee.stf', '16', 'npc_reward_2', 'I told you the bounty hunter would make wild claims. I assure you I don\'t know a thing about any \"sacred scroll.\" I\'m glad you\'re much smarter than the average mercenary, friend. As much as it saddens me to part with these credits, you have earned them.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hedon_istee.stf', '17', 'npc_reward_3', 'I shall never forget you my friend. You have brought serenity to my life and have made it possible for me to get back to the important task of living it. I\'m running a bit low on credits but I do have this map as a thanks for your help. Supposedly it leads to a treasure but I haven\'t mustered the courage to go there yet. Be careful if you do.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hedon_istee.stf', '18', 'player_1_1', 'Sounds horrible! I\'ll go and see if I can convince him otherwise.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hedon_istee.stf', '19', 'player_1_2', 'Yes, I\'ll save your life.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hedon_istee.stf', '20', 'player_1_3', 'If it will put you at ease, I will do it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hedon_istee.stf', '21', 'player_2_1', 'No.  I don\'t want to get involved.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hedon_istee.stf', '22', 'player_2_2', 'Bounty Hunter?  Um.. no thanks.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hedon_istee.stf', '23', 'player_2_3', 'No, this is something you should do yourself.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hedon_istee.stf', '24', 'player_3_1', 'What\'s so bad about \"enlightenment?\"');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hedon_istee.stf', '25', 'player_3_2', 'What kind of accusations?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hedon_istee.stf', '26', 'player_3_3', 'Why is this scroll important?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hedon_istee.stf', '27', 'player_reset_1', 'I\'ve changed my mind.  This job doesn\'t interest me anymore.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hedon_istee.stf', '28', 'player_sorry_1', 'Not yet.  But I am still working on this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hedon_istee.stf', '29', 'npc_backtowork_1', 'Hurry already!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hedon_istee.stf', '30', 'npc_reset_1', 'Did I mention that I am a most generous being when it comes to rewarding those that save my life? You wouldn\'t want to miss out, would you? Please change your mind.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hedon_istee.stf', '31', 'cantwork', 'I\'m afraid I\'m a very demanding individual and therefore working for me would require your full attention. Do come back when you can offer me that. You won\'t be sorry you did.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hedon_istee.stf', '33', 'npc_work_1', 'Have you taken care of the Gamorrean yet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hedon_istee.stf', '34', 'npc_work_2', 'Has the Bounty Hunter been taken care of?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hedon_istee.stf', '35', 'npc_work_3', 'So, have you given it back?  Did they say they\'ll leave me alone now?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hedon_istee.stf', '36', 'npc_breech_1', 'Grunt!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hedon_istee.stf', '37', 'npc_breech_2', 'All the B\'omarr want is that sacred scroll. You\'re in my way and must be removed.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hedon_istee.stf', '38', 'npc_breech_3', 'May you come to know the serenity of emptiness, sensualist.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hedon_istee.stf', '42', 'npc_backtowork_2', 'Well, I guess I\'ll have to go into hiding until you are able to handle the situation.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hedon_istee.stf', '43', 'npc_backtowork_3', 'Please hurry before they send someone else to kill me!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hedon_istee.stf', '44', 'npc_reset_2', 'But I thought we were good friends? I fear I\'m at a loss for words. I\'m not accustomed to this sort of treatment from a trusted companion. What is the galaxy coming to? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hedon_istee.stf', '45', 'npc_reset_3', 'You can\'t back out on me now! After all, it was you who left those B\'omarr thugs rotting in the desert! I won\'t get a moment\'s peace if you refuse to help me. Please reconsider!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hedon_istee.stf', '46', 'player_reset_2', 'I\'m sorry, but I don\'t want to get between you and a Bounty Hunter after all.  I can\'t do this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hedon_istee.stf', '47', 'player_reset_3', 'I think it would be better if you did this yourself.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hedon_istee.stf', '48', 'player_sorry_2', 'Not yet.  I\'ve just tracked down his location and am on my way to eliminate him.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hedon_istee.stf', '49', 'player_sorry_3', 'I haven\'t delievered it yet.  I will, though.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hedon_istee.stf', '54', 'dontknowyou_3', 'Until that time has come, your life will be filled with false euphoria.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hedon_istee.stf', '108', 'npc_smuggle_3', 'The scroll.  You have begun your travel down the path of enlightenment, sensualist.  We will watch from afar, but no longer through direct intervention.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hedon_istee.stf', '109', 'next', 'Thanks for all your help. Maybe I\'ll see you again one day.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hedon_istee.stf', '110', 'npc_failure', 'You\'ve failed me.  Come back later if you\'re feeling more competent.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/hedon_istee.stf', '111', 'notyet', 'Greetings, I\'m afraid you\'re not strong enough to help me yet.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '1', 'next', 'I have no further need of your services at this time. Check with my aide for future assignments.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '2', 'cantwork', 'You need to be focused when you work for me. Come back when other more trivial matters do not concern you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '3', 'npc_reset_1', 'How very disappointing. Come back when you can actually finish what you begin.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '4', 'notyet', 'Go speak to my assistant, Junelle Astor. She can arrange an appointment for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '5', 'npc_1_1', 'So, I see Junelle has cleared you. Good. I need some surveillance equipment delivered to one of my agents. He\'s currently investigating a group of Gungans suspected of aiding the Rebellion. Can you do this?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '6', 'npc_2_1', 'Good. You should depart immediately. I wish the Gungans would realize how badly their actions reflect on the Naboo and our beloved Queen. If they\'d only embrace the Empire, life would be easier for all of us.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '7', 'npc_3_1', 'Are you sure Junelle cleared you? Why go through all that trouble if you had no desire to help?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '8', 'npc_4_1', 'The agent is Eevas Drupper. I\'ll let him know you\'re on your way.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '9', 'npc_backtowork_1', 'I\'ve told you everything you need to know. Do you still wish to do this?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '10', 'npc_reward_1', 'Well done. With any luck we\'ll bring these malcontents under control soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '11', 'npc_work_1', 'Did you deliver that sensor pack? My agent can\'t do his job without it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '12', 'npc_noloc_1', 'It seems my agent\'s location has been compromised and he must elude a pursuit. Check back with me later for his new coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '13', 'npc_failure_1', 'Failing to deliver a simple package does not bode well for your future career with me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '14', 'otherescort_1', 'I don\'t think I\'m the person you\'re looking for. Good luck on your search.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '15', 'dontknowyou_1', 'I\'m waiting for someone. I\'m afraid I can\'t talk right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '16', 'npc_breech_1', 'Did the Governor send you? I\'m Eevas Drupper.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '17', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '18', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '19', 'npc_smuggle_1', 'Thank you. This will make my work much easier.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '20', 'gotowork_1', 'I believe you have something for me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '21', 'notit_1', 'Are you sure this is what the Governor asked you to give me? It doesn\'t seem right.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '22', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '23', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '24', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '25', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '26', 'player_3_1', 'What\'s this agent\'s name?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '27', 'npc_1_2', 'I\'m happy to see you\'re so eager to serve me. Good help is hard to find. Take for example one of my agents, a Gungan loyal to the Empire who has been discovered spying on his traitorous fellows. He\'s managed to elude his pursuers thus far but fears he will eventually be tracked down. Could you see to it that he makes it back here safely?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '28', 'npc_2_2', 'Do hurry. Loyal Gungans are hard to come by.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '29', 'npc_3_2', 'Remember when I said that good help was hard to find? I think you see what I meant now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '30', 'npc_4_2', 'The clever Gungan, named Boona Deeks, hid inside the rotting carcass of a bolle bol for a couple of days. So be warned, he might be a touch on the odorous side.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '31', 'npc_backtowork_2', 'Was something unclear? Why are you standing around?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '32', 'npc_reward_2', 'You\'ve done well. Now I think I need to direct this Gungan to the bathing pools.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '33', 'npc_work_2', 'Did you bring that Gungan agent safely back to the palace? I know he\'s just a Gungan but I do have need of his services.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '34', 'npc_noloc_2', 'As it turns out, this Gungan agent thinks it\'s too dangerous for anyone to approach his position at the moment. Check back with me later for an update.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '35', 'npc_failure_2', 'That\'s most unfortunate. That Gungan knew the names and locations of several terrorist cells. That information is lost. Ah well.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '36', 'otherescort_2', 'Mesa not for yousa. Yousa looken for other to saven.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '37', 'dontknowyou_2', 'Mesa not spek wit yousa. Mesa busy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '38', 'npc_breech_2', 'Ex-squeeze me! Yousa lookin for mesa? Mesa Boona Deeks!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '39', 'npc_takeme_2', 'Mesa mooie mooie happy yousa showed up. Big bombad waiten for mesa out dere.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '40', 'npc_dropoff_2', 'Oyi, mooie mooie! Mesa yous humble servant.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '41', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '42', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '43', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '44', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '45', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '46', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '47', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '48', 'player_3_2', 'How did he elude his pursuers?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '49', 'npc_1_3', 'This next assignment will require some amount of discretion. Mal Sikander is convinced that our beautiful Queen has sympathies for the Rebellion. This notion is completely ridiculous. One of Sikander\'s agents has managed to acquire some of Her Majesty\'s private correspondence. This is unacceptable. Find this traitor, punish him, and retrieve Her Majesty\'s personal property.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '50', 'npc_2_3', 'I can see you are a being of breeding and discriminating tastes. Be sure to make an example of this traitor. Away with you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '51', 'npc_3_3', 'Is it because you feel you can\'t be discreet? Well, perhaps this is for the best.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '52', 'npc_4_3', 'Our beloved Queen is above reproach. That is obvious for anyone to see. A form as graceful and delicate as hers could not harbor such foul treachery. Will you serve her?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '53', 'npc_backtowork_3', 'Was there something else you wanted from me? Or are you ready to embark upon this mission?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '54', 'npc_reward_3', 'Did the traitor beg for his life? I hope this sends a clear message to Sikander and his goons.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '55', 'npc_work_3', 'Did you retrieve the Queen\'s private property? This matter must be settled soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '56', 'npc_noloc_3', 'The traitorous thief has gone into hiding. My spies will find him, worry not.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '57', 'npc_failure_3', 'Her Majesty\'s private correspondence should not be passed around like some sort of cheap court gossip. I am most disappointed by your failure to acquire that disc.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '58', 'otherescort_3', 'Don\'t know who you\'re looking for, friend, but it isn\'t me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '59', 'dontknowyou_3', 'I can\'t talk right now. I\'m on an important mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '60', 'npc_breech_3', 'I\'m on a mission for Mal Sikander. Back off!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '61', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '62', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '63', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '64', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '65', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '66', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '67', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '68', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '69', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '70', 'player_3_3', 'Why is this notion ridiculous?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '71', 'npc_1_4', 'Ah good, a trusted agent. I do hope you\'ve come ready to perform more duties for me. I\'ve managed to discover how Sikander\'s agent got his filthy hands on the Queen\'s property. A so-called wandering troubadour helped the High Inquisitor spy on Her Majesty after gaining our good Queen\'s confidence. I need this criminal apprehended and brought back to me. Can you take care of this?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '72', 'npc_2_4', 'Excellent. The performer\'s name is Ryd Rozen. He\'s a coward and will not resist arrest. Be on the lookout, however, for Sikander\'s agents.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '73', 'npc_3_4', 'I hope you\'re not refusing for fear of Mal Sikander. I assure you I can shield you from the High Inquisitor\'s wrath.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '74', 'npc_4_4', 'Her Majesty is a kind-hearted patron of the arts. No doubt she felt a great swell of pity after hearing this artist perform and likely took him under her wing. Certain unscrupulous individuals take advantage of such kindness.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '75', 'npc_backtowork_4', 'This knave is likely to get away if you dally. Shouldn\'t you be going?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '76', 'npc_reward_4', 'I appreciate your delicate handling of this matter. I\'d keep a low profile, just in case Sikander\'s agents are lurking about.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '77', 'npc_work_4', 'Have you brought in that treacherous troubadour? He is a menace to the court\'s security.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '78', 'npc_noloc_4', 'There\'s been a complication. My spies have lost track of this scoundrel. Check back with me later. He won\'t escape us for long.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '79', 'npc_failure_4', 'This musician could have provided us with many answers. Your failure to bring him back vexes me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '80', 'otherescort_4', 'I\'m sure you\'re not looking for me. I haven\'t done anything wrong.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '81', 'dontknowyou_4', 'Now is not a good time. I\'m a bit preoccupied.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '82', 'npc_breech_4', 'You looking for a troubadour? Uh, uh, he went that way! You just missed him! Honest!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '83', 'npc_takeme_4', 'I\'m under arrest? But I\'ve done nothing wrong! I\'m innocent! I\'m just a simple musician! Please don\'t hurt me! I\'ll come along peacefully!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '84', 'npc_dropoff_4', 'Remind me never to get involved in court intrigue again! I hope I make it out of this alive.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '85', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '86', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '87', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '88', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '89', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '90', 'player_1_4', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '91', 'player_2_4', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '92', 'player_3_4', 'How did this troubadour gain the Queen\'s confidence?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '93', 'npc_1_5', 'Just the agent I was hoping to see today. Ready to serve our beloved Queen again? You already know that Her Majesty\'s kind heart can create situations that are problematic. You must handle another such situation. Our noble Queen had been aiding some Gungan refugees that have now been implicated in treasonous activities. You must travel to the Gungans\' camp and silence their leader, Yip Kanoos.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '94', 'npc_2_5', 'Good. If Kanoos has bodyguards, dispose of them as well. We must protect the Queen\'s reputation at all costs.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '95', 'npc_3_5', 'I find you refusal to serve Her Majesty both baffling and deeply insulting. I shall have to think on this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '96', 'npc_4_5', 'The brute can tarnish Her Majesty\'s sterling reputation by making it seem as if she were aiding and abetting Rebel sympathizers. Will you do it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '97', 'npc_backtowork_5', 'Your briefing is concluded. What else do you require?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '98', 'npc_reward_5', 'I\'m glad that\'s been handled. I may need your services again soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '99', 'npc_work_5', 'Have you taken care of that Gungan leader? His existence threatens some very important people.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '100', 'npc_noloc_5', 'My spies have just informed me that Yip Kanoos has gone into hiding. We\'ll find him soon. Check back later for the villain\'s coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '101', 'npc_failure_5', 'Kanoos should not have been allowed to live. Now many more Gungans shall have to die to insure Her Majesty is shielded from false allegations.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '102', 'otherescort_5', 'Yousa not lookin for mesa. Yousa be needin someone else.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '103', 'dontknowyou_5', 'Mesa not knowen yousa. Now go.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '104', 'npc_breech_5', 'Mesa no like de Empire! Mesa crunchen de oppressors!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '105', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '106', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '107', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '108', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '109', 'notit_5', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '110', 'player_reset_5', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '111', 'player_sorry_5', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '112', 'player_1_5', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '113', 'player_2_5', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '114', 'player_3_5', 'Why must the Gungan leader be silenced?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '115', 'npc_1_6', 'I wouldn\'t want to rely on just any agent for this next mission. You have proven yourself trustworthy and capable. One of Captain Dallows\' lieutenants has been under investigation by Sikander\'s agents and was observed traveling to the Gungan swamps on unknown errands. My spies tell me that this officer is suspected of being involved with the Naboo Resistance. It is in everyone\'s best interest if this officer were to disappear without a trace. Can I rely on you? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '116', 'npc_2_6', 'Excellent. The officer is Lieutenant Leana Kilnar. It\'s my understanding that she\'s currently on some mission in the wilds. This is most fortunate, wouldn\'t you agree?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '117', 'npc_3_6', 'You aren\'t suddenly becoming squeamish, are you? Developing a conscience at this stage is both overdramatic and inconvenient.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '118', 'npc_4_6', 'No, I\'ll take care of clearing your name. You\'ll be perfectly safe, I assure you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '119', 'npc_backtowork_6', 'This is a pressing matter and needs resolving. Standing there won\'t get it done.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '120', 'npc_reward_6', 'You have served me well, agent. You will find that I can be quite generous to those loyal to Naboo. It is my hope that we can work together again in the future.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '121', 'npc_work_6', 'Did you remove that \"obstacle\" to Her Majesty\'s security? I do hope this matter is resolved quickly.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '122', 'npc_noloc_6', 'One moment. It seems that Lt. Kilnar is harder to track down than I had anticipated. Check back with me later for her coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '123', 'npc_failure_6', 'Removing Lt. Kilnar would have quieted things down considerably here at the palace and left Sikander frustrated. Your failure means more work for me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '124', 'otherescort_6', 'I\'m not sure who you\'re looking for, but it\'s not me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '125', 'dontknowyou_6', 'Sorry, I\'m on duty at the moment and can\'t talk.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '126', 'npc_breech_6', 'This is a Royal Security matter! Do not interfere!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '127', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '128', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '129', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '130', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '131', 'notit_6', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '132', 'player_reset_6', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '133', 'player_sorry_6', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '134', 'player_1_6', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '135', 'player_2_6', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '136', 'player_3_6', 'Will this get me in trouble with the Royal Security Force?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '137', 'npc_reset_2', 'How very disappointing. Come back when you can actually finish what you begin.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '138', 'npc_reset_3', 'How very disappointing. Come back when you can actually finish what you begin.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '139', 'npc_reset_4', 'How very disappointing. Come back when you can actually finish what you begin.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '140', 'npc_reset_5', 'How very disappointing. Come back when you can actually finish what you begin.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ian_lago.stf', '141', 'npc_reset_6', 'How very disappointing. Come back when you can actually finish what you begin.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ikka_gesul.stf', '1', 'npc_1_1', 'Slavers are close to finding me. They will likely kill me for I have information regarding their activities in the Outer Rim. Will you not please stop them from enslaving other beings? They are brutal murderers and deserve no pity or mercy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ikka_gesul.stf', '2', 'npc_1_2', 'I am told that a technician named Taln Solwind can aid me in contacting the Rebel Alliance. Will you deliver a message to this agent for me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ikka_gesul.stf', '5', 'npc_2_1', 'You seemed most brave, which is why I confided in you. Be warned - slavers are heavily armed and most ruthless. Please take appropriate precautions. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ikka_gesul.stf', '6', 'npc_2_2', 'There is no reward great enough for aid such as yours. I can only hope that I am able to repay your kindness some day. Taln is at these coordinates. Please tell no one of this errand.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ikka_gesul.stf', '8', 'npc_3_1', 'I understand your reluctance. Slavers are dangerous individuals. Only the most brave in the galaxy should attempt to thwart them. I thank you for listening.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ikka_gesul.stf', '9', 'npc_3_2', 'You have done so much for me already. I am shamed that I had to ask for more help. I will not trouble you further.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ikka_gesul.stf', '12', 'npc_4_1', 'A terrible man who goes by the name of Orga Presari leads the slavers. His cruelty is exceeded only by his greed. Two bodyguards always accompany him. They are not pleasant individuals.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ikka_gesul.stf', '13', 'npc_4_2', 'I wish to offer my services to the noble revolutionaries fighting against the Empire and help free my people from Imperial oppression.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ikka_gesul.stf', '15', 'npc_reward_1', 'Orga\'s defeat is a cause for great celebration, citizen. You are truly a champion of the oppressed. I am most grateful. Please accept this small gift, although it is not the equal of your valiant task. I have no credits, but I will make sure to mention your heroics to my friends in the alliance.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ikka_gesul.stf', '16', 'npc_reward_2', 'I am forever in your debt, citizen. May the Force be with you, always. Please accept this small token of my gratitude. It came from one of the slave girls that was not as lucky as the ones you just freed. I think she would have been honored by you receiving it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ikka_gesul.stf', '18', 'player_1_1', 'I\'ll stop these slavers.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ikka_gesul.stf', '19', 'player_1_2', 'Sure, I\'ll deliver it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ikka_gesul.stf', '21', 'player_2_1', 'I don\'t want to involve myself with slavers.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ikka_gesul.stf', '22', 'player_2_2', 'No thanks.  I\'m not interested.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ikka_gesul.stf', '24', 'player_3_1', 'Who are these slavers?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ikka_gesul.stf', '25', 'player_3_2', 'Why do you wish to contact the Alliance?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ikka_gesul.stf', '27', 'player_reset_1', 'I no longer want to involve myself with these slavers.  Sorry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ikka_gesul.stf', '28', 'player_sorry_1', 'Not yet, but I am still taking care of it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ikka_gesul.stf', '29', 'npc_backtowork_1', 'I hope you\'re able to stop their threat.  I will be most appreciative.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ikka_gesul.stf', '30', 'npc_reset_1', 'I understand your reluctance. Slavers are dangerous individuals. Only the most brave in the galaxy should attempt to thwart them. I thank you for listening.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ikka_gesul.stf', '31', 'cantwork', 'My troubles are most dire, citizen, and would distract you from your current errands. Please seek me out when you\'re free.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ikka_gesul.stf', '33', 'npc_work_1', 'Have the slavers been taken care of yet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ikka_gesul.stf', '34', 'npc_work_2', 'Did Taln get the message?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ikka_gesul.stf', '36', 'npc_breech_1', 'You fight to defend slaves? You deserve death!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ikka_gesul.stf', '37', 'npc_breech_2', 'Hello there.  A fine day we\'re having today, wouldn\'t you say?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ikka_gesul.stf', '42', 'npc_backtowork_2', 'That\'s good to know.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ikka_gesul.stf', '44', 'npc_reset_2', 'You have done so much for me already. I am shamed that I had to ask for more help. I will not trouble you further.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ikka_gesul.stf', '46', 'player_reset_2', 'I\'ve changed my mind.  I will not be able to do this any longer.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ikka_gesul.stf', '48', 'player_sorry_2', 'Not yet, but he will soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ikka_gesul.stf', '53', 'dontknowyou_2', 'I wish you a good journey today.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ikka_gesul.stf', '107', 'npc_smuggle_2', 'I will see to it that your friend is contacted as soon as possible.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/ikka_gesul.stf', '108', 'next', 'Thank you for aiding me in contacting the Alliance. Perhaps we\'ll work together in the future.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/jilljoo_jab.stf', '1', 'npc_1_1', 'I could use some help with a private matter, but it might get you into trouble. You don\'t have to commit any crimes. But likely you\'ll cross some unsavory individuals. Feel like helping an escaped slave? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/jilljoo_jab.stf', '2', 'npc_1_2', 'Sadelli refuses to leave Tatooine without Soolami, her younger sister.  The poor thing is still in the clutches of the despicable slavers. Sadelli thinks she\'s being taken to Jabba the Hut as a gift. I\'ve heard what happens to girls who find their way into that slug\'s fortress. Won\'t you help Soolami?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/jilljoo_jab.stf', '3', 'npc_1_3', 'I\'ve located Woff. He\'s travelling to Jabba\'s palace to explain the shortage of slaves that you have caused by your just actions. If you could intercept and \"convince\" him that the slaving business is not tolerated around here, we would be forever in your debt.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/jilljoo_jab.stf', '5', 'npc_2_1', 'You seemed like you had a good heart. The escaped slave is a Twi\'lek named Sadelli. She was about to be shipped off to Nal Hutta when she made her escape. With your help, I can get her safely off-planet and away from her captors. They\'ll be looking for her, so please be careful.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/jilljoo_jab.stf', '6', 'npc_2_2', 'I knew you\'d accept! I\'m sure that if you hurry, you can catch Soolami before she\'s taken to Jabba. Sadelli assures me that the overconfident Woff rarely hires more than one or two thugs to escort his slaves. Please save Soolami!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/jilljoo_jab.stf', '7', 'npc_2_3', 'I knew I could rely on you. Now this might attract the attention of the local authorities. Once that place is a flaming heap, I\'d take off. Good luck and go give those slavers a taste of their own medicine!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/jilljoo_jab.stf', '8', 'npc_3_1', 'I understand. I won\'t waste any more of your time. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/jilljoo_jab.stf', '9', 'npc_3_2', 'I\'m sorry. I\'ve probably asked too much of you. Thanks anyway.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/jilljoo_jab.stf', '10', 'npc_3_3', 'I suppose that could get you in trouble with the Imperials. I understand your reluctance to do that.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/jilljoo_jab.stf', '12', 'npc_4_1', 'Slavers. The scum of the galaxy. They\'re loathsome but quite dangerous. Do you still want to help?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/jilljoo_jab.stf', '13', 'npc_4_2', 'A horrible man named Woff B\'Tar leads them. They delight in terrorizing the helpless. The galaxy would be better off without them.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/jilljoo_jab.stf', '14', 'npc_4_3', 'Probably some of Jabba\'s people, I think Jabba wanted to make sure that Woff got to his palace safely.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/jilljoo_jab.stf', '15', 'npc_reward_1', 'You\'ve done Sadelli and myself a great service. I hope this doesn\'t create too many problems for you. Thanks. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/jilljoo_jab.stf', '16', 'npc_reward_2', 'Thank you again! You\'re one in a million, no doubt about that. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/jilljoo_jab.stf', '17', 'npc_reward_3', 'You\'re simply amazing you know that? The galaxy needs more heroes like you. I know the rewards I give you are not much but the slave liberation is funded only on concerned citizen donations.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/jilljoo_jab.stf', '18', 'player_1_1', 'That seems like a worthy cause.  I\'ll do it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/jilljoo_jab.stf', '19', 'player_1_2', 'I\'ve helped her sister, I shall help her as well.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/jilljoo_jab.stf', '20', 'player_1_3', 'I\'ll make sure Woff won\'t bother anyone again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/jilljoo_jab.stf', '21', 'player_2_1', 'No thanks.  That\'s just not my style.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/jilljoo_jab.stf', '22', 'player_2_2', 'What?  More?  No, I\'ve already helped enough.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/jilljoo_jab.stf', '23', 'player_2_3', 'Okay, you\'re talking about arson here.  I\'ll have none of that!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/jilljoo_jab.stf', '24', 'player_3_1', 'What unsavory individuals would I be crossing?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/jilljoo_jab.stf', '25', 'player_3_2', 'Who are these slavers?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/jilljoo_jab.stf', '26', 'player_3_3', 'Who\'s travelling with him?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/jilljoo_jab.stf', '27', 'player_reset_1', 'I don\'t want to get mixed up in all of this.  Sorry, I can\'t do this anymore.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/jilljoo_jab.stf', '28', 'player_sorry_1', 'No, I\'m still working on a way to save her.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/jilljoo_jab.stf', '29', 'npc_backtowork_1', 'I appreciate your willingness to help.  Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/jilljoo_jab.stf', '30', 'npc_reset_1', 'I understand. I won\'t waste any more of your time. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/jilljoo_jab.stf', '31', 'cantwork', 'Sorry, can\'t talk right now. It seems we\'re both pretty busy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/jilljoo_jab.stf', '32', 'dontknowyou_1', 'Thank you for not being a mean brute!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/jilljoo_jab.stf', '33', 'npc_work_1', 'Has Sadelli been rescued yet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/jilljoo_jab.stf', '34', 'npc_work_2', 'Have you managed to rescue Soolami?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/jilljoo_jab.stf', '35', 'npc_work_3', 'Have you put an end to their terror?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/jilljoo_jab.stf', '36', 'npc_breech_1', 'Oh me, oh my!  I do so hope no one accosts me!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/jilljoo_jab.stf', '37', 'npc_breech_2', 'Are you a rival slaver..?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/jilljoo_jab.stf', '42', 'npc_backtowork_2', 'I appreciate your willingness to help.  Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/jilljoo_jab.stf', '43', 'npc_backtowork_3', 'Ummm... okayyyy... Well, whenever you can do it, just let me know, okay?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/jilljoo_jab.stf', '44', 'npc_reset_2', 'I\'m sorry. I\'ve probably asked too much of you. Thanks anyway.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/jilljoo_jab.stf', '45', 'npc_reset_3', 'I suppose that could get you in trouble with the Imperials. I understand your reluctance to do that.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/jilljoo_jab.stf', '46', 'player_reset_2', 'I don\'t want to get mixed up in all of this.  Sorry, I can\'t do this anymore.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/jilljoo_jab.stf', '47', 'player_reset_3', 'I\'ve changed my mind.  If I do this, I will be as bad as these criminals.  I cannot do this anymore.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/jilljoo_jab.stf', '48', 'player_sorry_2', 'No, I\'m still working on a way to save her.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/jilljoo_jab.stf', '49', 'player_sorry_3', 'No, their terror still reigns.  I shall overthrow their rule soon enough by burning down their hideout, though.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/jilljoo_jab.stf', '50', 'npc_takeme_1', 'Did Jilljoo send you? I\'m very frightened! Please don\'t let the slavers find me!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/jilljoo_jab.stf', '51', 'npc_takeme_2', 'You are here to take me to my sister! I\'m eternally grateful kind stranger.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/jilljoo_jab.stf', '53', 'dontknowyou_2', 'Thank you, but I\'m waiting to be rescued.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/jilljoo_jab.stf', '54', 'next', 'You\'ve been a great help. I might need your invaluable help again in the future.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/jilljoo_jab.stf', '55', 'npc_breech_3', 'So you are the one that\'s been ruining my business these last few days! I will make you regret it!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/jilljoo_jab.stf', '56', 'npc_failure_1', 'I\'m sorry, I thought maybe you\'d be more helpful.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/jilljoo_jab.stf', '57', 'npc_failure_2', 'There\'s not much I can say.  You just weren\'t very helpful.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/jilljoo_jab.stf', '58', 'npc_failure_3', 'I can\'t beleive you couldn\'t even do that little task for me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/jilljoo_jab.stf', '59', 'dontknowyou', 'Thank you for not being a mean brute!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kaeline_ungasan.stf', '1', 'npc_1_1', 'I plan to become a new force in Tatooine\'s -- shall we say -- less regulated businesses. First I need to make a few contacts. Then there\'s only one obstacle to success: Jabba the Hutt. So what do you say? Up for a little risk?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kaeline_ungasan.stf', '2', 'npc_1_2', 'I have high hopes that this partnership will make us both a lot of credits. I need you to get a list of security agents in Jabba\'s employ, so I can make them a better offer.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kaeline_ungasan.stf', '3', 'npc_1_3', 'I have it on good authority that an assassin will try to kill Lady Valarian. If you find and stop him, I feel certain she would be more favorably disposed toward my deal.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kaeline_ungasan.stf', '5', 'npc_2_1', 'I always enjoy the company of another high-stakes player. First off, I want you to take this business offer to Lady Valarian. She has as little use for Jabba as I do.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kaeline_ungasan.stf', '6', 'npc_2_2', 'You can almost taste those credits, eh? Get to work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kaeline_ungasan.stf', '7', 'npc_2_3', 'Excellent. We\'re but a few steps away from our final goal. The assassin was last seen at these locations. Find him before he reaches his target. If he denies working for Jabba, don\'t be fooled, he\'s an assassin after all.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kaeline_ungasan.stf', '8', 'npc_3_1', 'I wouldn\'t have thought you were the shy type. I\'ll try not to overestimate you again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kaeline_ungasan.stf', '9', 'npc_3_2', 'Getting cold feet, are we? I suppose I\'ll just have to get rich without you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kaeline_ungasan.stf', '10', 'npc_3_3', 'If that\'s your decision, then I\'m afraid our partnership is dissolved.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kaeline_ungasan.stf', '12', 'npc_4_1', 'That Hutt is the messiest businessman I\'ve ever seen, as well as having atrocious table manners. Not to worry, I have it all planned out. Quite a simple affair, really. Your decision?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kaeline_ungasan.stf', '13', 'npc_4_2', 'Through the simplest of means. Take the list from Sil Onda\'tek, one of Jabba\'s trusted thugs, and bring it to me. Sil may not want to part with it, of course, but I\'m sure you can persuade him. Your decision?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kaeline_ungasan.stf', '14', 'npc_4_3', 'Jabba, of course. Whoever else would stoop to such a dastardly scheme? How fortuitous that his nefarious deed lets me look out for my future ally. Will you help?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kaeline_ungasan.stf', '15', 'npc_reward_1', 'We seem to be laying a foundation for trust. It\'s important to know whom you can count on. Don\'t you agree?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kaeline_ungasan.stf', '16', 'npc_reward_2', 'Good work. We\'re one step closer to our goal. Lay low for a bit, and then check back with me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kaeline_ungasan.stf', '17', 'npc_reward_3', 'Excellent. You should seek up Lady Valarian at the Lucky Despot in Mos Eisley. She might have some things she needs help with while I finish things up around here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kaeline_ungasan.stf', '18', 'player_1_1', 'I like the sound of this.  Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kaeline_ungasan.stf', '19', 'player_1_2', 'I\'ll get them for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kaeline_ungasan.stf', '20', 'player_1_3', 'I\'ll help to get the Lady into our grasp!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kaeline_ungasan.stf', '21', 'player_2_1', 'No thanks.  I\'m not tangling with Jabba.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kaeline_ungasan.stf', '22', 'player_2_2', 'No thanks.  I think I\'m being followed by Jabba\'s goons.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kaeline_ungasan.stf', '23', 'player_2_3', 'Whoa!  First Jabba and now Valarian?  You must be on glitterstim.  No!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kaeline_ungasan.stf', '24', 'player_3_1', 'Why is Jabba an obstacle?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kaeline_ungasan.stf', '25', 'player_3_2', 'How am I supposed to get this list?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kaeline_ungasan.stf', '26', 'player_3_3', 'Who sent this assassin?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kaeline_ungasan.stf', '27', 'player_reset_1', 'I\'ve changed my mind.  I\'m not getting involved in this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kaeline_ungasan.stf', '28', 'player_sorry_1', 'Not yet.  I\'m still working on it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kaeline_ungasan.stf', '29', 'npc_backtowork_1', 'Good.  Let\'s see that it\'s done, alright?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kaeline_ungasan.stf', '30', 'npc_reset_1', 'I wouldn\'t have thought you were the shy type. I\'ll try not to overestimate you again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kaeline_ungasan.stf', '31', 'cantwork', 'Once you\'ve finished your current job, see me about some more interesting work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kaeline_ungasan.stf', '32', 'dontknowyou_1', 'No you\'re not.  Get out of here before I break yer face, got it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kaeline_ungasan.stf', '33', 'npc_work_1', 'Did her messenger get the info?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kaeline_ungasan.stf', '34', 'npc_work_2', 'So, do you have the list yet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kaeline_ungasan.stf', '35', 'npc_work_3', 'Has the assassin been taken care of?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kaeline_ungasan.stf', '36', 'npc_breech_1', 'Heyyy... you the one I\'m here to meet, huh?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kaeline_ungasan.stf', '37', 'npc_breech_2', 'You picked the wrong side, chump.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kaeline_ungasan.stf', '38', 'npc_breech_3', 'You\'re from Ungasan? That slimeball set me up! You\'re gonna pay for his mistake!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kaeline_ungasan.stf', '39', 'notit_1', 'What\'s this?  You playing me for a fool?  Give me the stuff!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kaeline_ungasan.stf', '42', 'npc_backtowork_2', 'I\'m not paying you to sit around a chat!  Get to work!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kaeline_ungasan.stf', '43', 'npc_backtowork_3', 'Get on with it then!  It\'s not like the assassin is just going to wait for you out in the desert!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kaeline_ungasan.stf', '44', 'npc_reset_2', 'Getting cold feet, are we? I suppose I\'ll just have to get rich without you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kaeline_ungasan.stf', '45', 'npc_reset_3', 'If that\'s your decision, then I\'m afraid our partnership is dissolved.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kaeline_ungasan.stf', '46', 'player_reset_2', 'No, and I won\'t either!  I QUIT!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kaeline_ungasan.stf', '47', 'player_reset_3', 'I\'m no longer doing this.  You get off your posterior and do it yourself.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kaeline_ungasan.stf', '48', 'player_sorry_2', 'Not yet.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kaeline_ungasan.stf', '49', 'player_sorry_3', 'Not yet.  I\'m still working on it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kaeline_ungasan.stf', '106', 'npc_smuggle_1', 'I\'ll make sure this gets where it\'s supposed to.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kaeline_ungasan.stf', '107', 'next', 'I\'m waiting for a few more things to come together. No doubt I\'ll find more work for you later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '1', 'npc_1_1', 'I\'ve been trying to help Tatooine\'s slaves get better treatment. This offends a slaver named Drik Bandrik. He framed me for stealing a droid from some Jawas. Turns out these Jawas are violent. They\'re after me for revenge. Can you stop them?  If you do I\'ll give you some souvenirs I have...');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '2', 'npc_1_2', 'Bandrik has planted evidence with Jabba the Hutt that frames me for trying to lead a slave revolt at Jabba\'s palace a few years ago. The revolt failed, but Jabba\'s still angry. He\'s sent a Rodian henchman to get me. Can you stop the assassin?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '3', 'npc_1_3', 'That slaver Drik Bandrik has framed me again -- this time for killing a moisture farmer. I was nowhere near the murder, and I can prove it. But this local vigilante leader, on Drik\'s payroll, is leading a mob to lynch me. Please stop them so I can clear my name!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '5', 'npc_2_1', 'That\'s great, friend. These Jawas follow a leader called Wittin. They\'re not like other Jawas -- they\'re mean. Be careful. And thanks!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '6', 'npc_2_2', 'Thanks! The Rodian\'s named Deeng. He\'s notorious around here as a thug who would kill his own mother. I think he did, actually. Be careful.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '7', 'npc_2_3', 'Thank you! There\'s six or eight of them, I think -- local moisture farmers led by a big thug named Sont Toipo. If you stop Toipo, the rest will probably run off. I hope. Try not to hurt them, they\'re just farmers.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '8', 'npc_3_1', 'Come on, it\'s just a bunch of Jawas! Oh well, I hope you\'ll return to help me if you find time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '9', 'npc_3_2', 'It\'s one Rodian! But okay, I understand. I sure hope I can find someone to get this assassin before it\'s too late.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '10', 'npc_3_3', 'Oh, oh, oh. I don\' t know what I\'ll do now. This is bad!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '12', 'npc_4_1', 'Years ago I had a friend -- a slave, like I was -- who later left Tatooine and became a great Jedi Knight. He died in the Clone Wars. I own some nice mementos from his podracing days. He won the Boonta Eve Classic! Interested in helping me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '13', 'npc_4_2', 'Once I made a speech about slave treatment in the Mos Espa slave market. Drik found a holo of my speech and had a data slicer copy it into the slave quarters at Jabba\'s palace. Looks like I\'m inciting his slaves. But I\'ve never even been to Jabba\'s palace! Can you help me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '14', 'npc_4_3', 'While I was supposedly killing this farmer, I was in fact rotting in an Imperial jail cell -- arrested for \"political agitation,\" meaning slave rights. They let me go because I was harmless. But I have the arrest record. If you believe me, will you help me clear my name?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '15', 'npc_reward_1', 'That\'s great news, friend. Drik Bandrik has been busy framing me for other crimes, though, so check back. Meanwhile, here\'s a souvenir helmet worn by my friend when he won the Grand Arena podraces. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '16', 'npc_reward_2', 'That\'s a relief. But I need to get Drik Bandrik off my tail before this gets any worse. Worse than Jabba! I can\'t even think of that. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '17', 'npc_reward_3', 'You\'ve saved me again, friend! I have a souvenir for you, a droid brain rebuilt by my old friend. He was a real genius mechanic -- once he rebuilt an entire protocol droid. Wonder what he did with that droid?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '18', 'player_1_1', 'I\'ll take care of those little thieves!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '19', 'player_1_2', 'Don\'t worry, Kitster, I\'ll save you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '20', 'player_1_3', 'I\'ll stop them with whatever force is necessary!  Never fear, friend.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '21', 'player_2_1', 'No.  Jawas are just misunderstood people.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '22', 'player_2_2', 'Look, you\'ve got to earn your living somehow.  I can\'t help you with this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '23', 'player_2_3', 'I\'m not going to try to stop some mob.  Sorry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '24', 'player_3_1', 'What kind of souvenirs?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '25', 'player_3_2', 'What is the evidence that frames you for the failed slave revolt?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '26', 'player_3_3', 'What\'s the proof you didn\'t kill the moisture farmer?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '27', 'player_reset_1', 'I\'ve changed my mind. I\'m actually a bit scared of those little guys.  Sorry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '28', 'player_sorry_1', 'No, they\'re too wily.  I\'m still tracking them all down.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '29', 'npc_backtowork_1', 'Thank you, friend.  Let me know when you\'ve killed them all.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '30', 'npc_reset_1', 'Come on, it\'s just a bunch of Jawas! Oh well, I hope you\'ll return to help me if you find time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '31', 'cantwork', 'Hi there. I\'m looking for help, so swing back when you\'re not so busy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '33', 'npc_work_1', 'Have you destroyed all of those little violent creatures?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '34', 'npc_work_2', 'Is the bounty hunter dead?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '35', 'npc_work_3', 'Have you killed the leader of the mob?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '36', 'npc_breech_1', 'Utinni! Nik-nik! Niwaa taa doo!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '37', 'npc_breech_2', 'Jabba sent me to kill a troublemaker. I\'ll charge him extra for you!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '38', 'npc_breech_3', 'I don\'t care whether Kitster\'s guilty. Drik says he\'s a troublemaker, and Drik knows best. Get him, guys!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '42', 'npc_backtowork_2', 'I appreciate your kindness.  I would also appreciate if you would be a little more prompt with this too.  It\'s only my life and all.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '43', 'npc_backtowork_3', 'Ummm... I appreciate your zeal, but all I\'m asking is that the mob is prevented from killing me.  But, you\'re the professional here, I guess.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '44', 'npc_reset_2', 'It\'s one Rodian! But okay, I understand. I sure hope I can find someone to get this assassin before it\'s too late.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '45', 'npc_reset_3', 'Oh, oh, oh. I don\' t know what I\'ll do now. This is bad!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '46', 'player_reset_2', 'I\'ve come back to tell you that I\'m not doing this for you anymore.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '47', 'player_reset_3', 'I\'m sorry.  I just remembered that I\'m not a murderer.  You\'ll have to take care of that yourself.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '48', 'player_sorry_2', 'Not yet.  I just stopped by to say hello.  I\'m off to kill him now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '49', 'player_sorry_3', 'No, the mob leader still breathes.  I will be changing that very soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '55', 'dontknowyou_4', 'What?  You don\'t like the blistering heat, the parched air, and the burning suns?  Are you crazy?  This is a paradise!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '56', 'dontknowyou_5', 'Never mind.  You\'re not the kind of person I thought you were.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '59', 'notit_5', 'What\'s this?  I\'m not a junk dealer, okay?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '61', 'npc_1_4', 'Remember that Bandrik accused me of killing a moisture farmer? Turns out the farmer\'s not dead. Bandrik paid her to leave town long enough for the lynch mob to do its happy work. I found the farmer. Will you bring her here to me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '62', 'npc_1_5', 'With the help of my friend Krin, I\'ve assembled evidence that will clear me of all Drik Bandrik\'s fake charges. I thought of sending it to the police -- but I have a much more clever idea. Will you deliver this disk to my slicer friend, Thermal Det?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '64', 'npc_2_4', 'That\'s good. I\'ll wait here for you. But don\'t be surprised if Drik sends his thugs to kill you both. He\'s got a lot riding on this now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '65', 'npc_2_5', 'Great. Thermal\'s waiting in the desert, away from Drik\'s prying spies. If you bring him this datadisc, he\'ll send it where it will do the most good. Don\'t worry about Thermal -- he looks weird, but he\'s a fine fellow.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '67', 'npc_3_4', 'Well, I hope Krin can find her way here alone. She\'s getting on in years, and the desert is pretty tough.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '68', 'npc_3_5', 'Oh, bad! I can practically taste my freedom. I\'ll have to find someone else to make this delivery. Thanks anyway.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '70', 'npc_4_4', 'The supposed \"victim\" is a woman named Krin Vel. She\'s been my friend forever. She helped buy me my freedom. I\'d never kill her. Will you bring her here safely?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '71', 'npc_4_5', 'I don\'t want to give it away -- but police and the Empire have no reason to arrest Drik Bandrik. There\'s someone else who does, and Thermal Det can send this evidence straight to that someone. Interested?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '73', 'npc_backtowork_4', 'Okay.... when are you planning on bringing her back?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '74', 'npc_backtowork_5', 'Okay, thanks!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '76', 'npc_breech_4', 'Oh, I missed my beloved Tatooine!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '77', 'npc_breech_5', 'Heya!  You wanna see something cool on the Holonet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '79', 'npc_reset_4', 'Well, I hope Krin can find her way here alone. She\'s getting on in years, and the desert is pretty tough.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '80', 'npc_reset_5', 'Oh, bad! I can practically taste my freedom. I\'ll have to find someone else to make this delivery. Thanks anyway.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '82', 'npc_reward_4', 'Thank you! Krin and I will see to it that Drik Bandrik goes to prison for this -- or worse. Hmm, I may need your services again though.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '83', 'npc_reward_5', 'Great job! Thermal sent proof of Drik Bandrik\'s fraud straight to Jabba the Hutt. Jabba won\'t like it that Drik played him like a dejarik piece. I expect Drik will find it healthy to visit another world soon. Thanks for all your invaluable help, I\'m in your debt.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '85', 'npc_takeme_4', 'I had no idea Drik Bandrik was arranging a frame. As soon as I found out, I rushed back here. Please take me to Kitster!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '88', 'npc_work_4', 'Is Krin alright?  Where is she?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '89', 'npc_work_5', 'So, was Thermal able to get this rolling?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '91', 'player_1_4', 'Sure, sounds easy enough.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '92', 'player_1_5', 'Oh, I like clever plans!  Sure, I\'ll do it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '94', 'player_2_4', 'No thanks.  If I can\'t kill something, I\'m not interested.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '95', 'player_2_5', 'I didn\'t hear anything about killing in there.  No, I\'m not interested.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '97', 'player_3_4', 'Who is the farmer?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '98', 'player_3_5', 'What\'s your clever idea?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '100', 'player_reset_4', 'I\'ve changed my mind.  I don\'t want to help you anymore.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '101', 'player_reset_5', 'I haven\'t killed anything for a while.  I\'m dropping this job so I can blow up things.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '103', 'player_sorry_4', 'I haven\'t found her yet.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '104', 'player_sorry_5', 'I don\'t know.  Once I give it to him, I\'ll let you know.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '110', 'npc_smuggle_5', 'Smooth! You got the data? Thanks. This weather out here was about to repave my exterior. I gotta get this onto the \'Net, thanks.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '111', 'next', 'I don\'t have anything else for you to do right now. If something comes up later, I\'ll let you know.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '112', 'waypoint_name_1', 'Jawa Enforcers');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kitster_banai.stf', '113', 'waypoint_description_1', 'A band of Wittin\'s Jawa Enforcers hunting Kitster Banai.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kormund_thrylle.stf', '1', 'npc_1_1', 'My name is Kormund Thrylle. If you\'re in need of work, friend, there is something you could help me with. I have an urgent message I need delivered, but I can\'t do it myself. Can you help? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kormund_thrylle.stf', '2', 'npc_1_2', 'I have a soldier of the Alliance coming to collect some Imperial documents of utmost importance. He needs help finding me. Maybe you\'d be interested in helping me again?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kormund_thrylle.stf', '5', 'npc_2_1', 'I had a feeling I could count on you. I\'ve learned to trust my instincts over the years, and something told me you\'d be reliable. Bring this message to Reen Loruk. He needs to be informed of my mission status.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kormund_thrylle.stf', '6', 'npc_2_2', 'Got a taste for espionage now, have you? Excellent. I need you to go find Rodius Tharn. He\'s a male Rodian. Bring him back here to pick up the information that I lifted from the Imperials. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kormund_thrylle.stf', '8', 'npc_3_1', 'I\'m sorry. I thought you wanted to help the Alliance.  My mistake. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kormund_thrylle.stf', '9', 'npc_3_2', 'I guess you\'ve done your part, and now it\'s someone else\'s turn. Thanks anyway.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kormund_thrylle.stf', '12', 'npc_4_1', 'Imperial Security is searching for me. I have important information for the Alliance, and I need you to deliver a message to my contact, to let him know my mission was successful.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kormund_thrylle.stf', '13', 'npc_4_2', 'Imperials are looking all over for me. But once I get this datadisc handed off to the Alliance, I can get arrested twice an hour without risking any information.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kormund_thrylle.stf', '15', 'npc_reward_1', 'You\'ve done both the Alliance and myself a great service. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kormund_thrylle.stf', '16', 'npc_reward_2', 'You handle yourself pretty well -- you should consider a career in intelligence. Thanks for everything.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kormund_thrylle.stf', '18', 'player_1_1', 'Sure, I\'ll do it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kormund_thrylle.stf', '19', 'player_1_2', 'If this will help you, I\'ll do it. Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kormund_thrylle.stf', '21', 'player_2_1', 'Sorry, I\'m not interested.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kormund_thrylle.stf', '22', 'player_2_2', 'No, I\'m not sure I like what I\'m getting myself into.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kormund_thrylle.stf', '24', 'player_3_1', 'Why can\'t you deliver it yourself?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kormund_thrylle.stf', '25', 'player_3_2', 'Why can\'t you just go to him?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kormund_thrylle.stf', '27', 'player_reset_1', 'I\'m not sure I want to get entangled in this.  Sorry, I can\'t do it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kormund_thrylle.stf', '28', 'player_sorry_1', 'No, there were Imperials following me.  I think the coast is clear now.  I\'m off.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kormund_thrylle.stf', '29', 'npc_backtowork_1', 'I knew you were the right type of person for this job.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kormund_thrylle.stf', '30', 'npc_reset_1', 'I understand.  If you change your mind, you know where to find me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kormund_thrylle.stf', '31', 'cantwork', 'You have other commitments right now. Come back and see me when you\'re not so busy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kormund_thrylle.stf', '32', 'dontknowyou_1', 'What?  No, that\'s not the proper response.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kormund_thrylle.stf', '33', 'npc_work_1', 'Were you able to get into contact with Reen yet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kormund_thrylle.stf', '34', 'npc_work_2', 'Where is Rodius?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kormund_thrylle.stf', '36', 'npc_breech_1', 'Phew, I thought that droid was going to get away and get reinforcements.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kormund_thrylle.stf', '37', 'npc_breech_2', 'They were trying to arrest me on some made up charges! Thank you for your help!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kormund_thrylle.stf', '42', 'npc_backtowork_2', 'Thank you for your persistence.  This means a lot to me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kormund_thrylle.stf', '44', 'npc_reset_2', 'I guess you\'ve done your part, and now it\'s someone else\'s turn. Thanks anyway.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kormund_thrylle.stf', '46', 'player_reset_2', 'Some Imperials told me that they would hurt me if I help you.  I can\'t help you anymore.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kormund_thrylle.stf', '48', 'player_sorry_2', 'He wasn\'t there.  I\'m going out to look for him again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kormund_thrylle.stf', '51', 'npc_takeme_2', 'You here to lead me to where Kormund is hiding out? Good, let\'s go. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kormund_thrylle.stf', '53', 'dontknowyou_2', 'Huh?  That\'s not how you\'re supposed to respond to that.  Oh, that means you\'re not... Um... bye.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kormund_thrylle.stf', '106', 'npc_smuggle_1', 'Thanks again for taking care of that probe droid. A message from Kormund? That\'s good news. We thought he\'d been compromised by now. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kormund_thrylle.stf', '107', 'next', 'I seem to have everything under control for right now. Come see me again later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kormund_thrylle.stf', '108', 'player_more_1_1', 'Were you just going to give up on him?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kormund_thrylle.stf', '109', 'npc_more_1_1', 'Sorry if you think that\'s harsh but Kormund knew the risks when he went to work for us.  I can\'t babysit every agent we have in the field.  I\'m just glad to know he\'s alive.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/kormund_thrylle.stf', '110', 'notyet', 'Please leave. You can\'t assist me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '1', 'npc_1_1', 'Looking for work? Hmm, I\'m not sure that my sort of assignments would be appealing to you. I\'m in need of much more than a simple courier. I need someone who can make problems disappear. Do you think you can do that?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '2', 'npc_1_2', 'I think another assignment is in order. This time the trouble involves a Rodian spice dealer named Soobu Javeedo, who\'s foolishly decided to peddle his wares in my territory without so much as a \"by your leave.\" Can you teach him some proper etiquette?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '3', 'npc_1_3', 'Remember that last little task I gave you? As it turns out, Soobu\'s swooper friends were part of a bigger gang. Ever heard of the Desert Banshees? Well, now they\'ve heard of you. In fact, they want to meet you. And this is convenient since I was going to hire you to take care of them. What do you say?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '5', 'npc_2_1', 'Perhaps I misjudged you. Very well, here\'s my current problem: Una Gitori, a former agent of mine, has decided to expand his horizons by selling information to my rival Jabba. In addition to breaking my heart, Una jeopardizes many of my current business deals. It would be wonderful if you could silence him.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '6', 'npc_2_2', 'You\'re quickly becoming \"my kind of people.\" Very good. The task is simple. Find Soobu and make him disappear. He\'ll have swooper cronies with him, so watch your back. Those thugs can be a bit rough.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '7', 'npc_2_3', 'I figured you\'d be the type to hunt trouble down before it hunts you. A deadly Zabrak named Kilth Saanu leads the Banshees. If you take her out, chances are the rest of the Banshees will scatter. If not, then just blast all of them.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '8', 'npc_3_1', 'My instincts are seldom wrong. Well, in any case, please enjoy yourself. Anyone with a taste for leisure and the credits to back it up is welcome here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '9', 'npc_3_2', 'Don\'t tell me you\'ve suddenly become squeamish. I was hoping you\'d be a tad more resilient than that. Oh well, can\'t have everything.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '10', 'npc_3_3', 'Suit yourself but these girls will probably come looking for you eventually.  Don\'t say I didn\'t warn you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '12', 'npc_4_1', 'I don\'t know. Would you like to? But now that you mention it, yes. You probably will have to do that. Still interested?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '13', 'npc_4_2', 'I\'ll give you three guesses and the first two don\'t count. That\'s right. It\'s the fat slug himself - Jabba.  I hope that doesn\'t worry you overmuch. Tales of Jabba\'s influence are greatly exaggerated.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '14', 'npc_4_3', 'They aren\'t members of Jabba\'s regular gangs. I believe the Hutt is \"evaluating\" the Banshees to see if they are worthy of joining his organization. Perhaps you can help that evaluation along?  ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '15', 'npc_reward_1', 'My spies report that you handled that well. Perhaps there\'s a career in this for you? Enjoy the fruits of your labors. And have a drink with your friends, compliments of the house.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '16', 'npc_reward_2', 'You took on old Soobu and two of Jabba\'s swoopers and lived? You have definitely become \"my kind of people.\" Please accept this small token of my appreciation. I do hope our business relationship continues to flourish.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '17', 'npc_reward_3', 'Don\'t cry for me, Desert Banshees. Well done, my ferocious rancor. If I had twenty more like you, I wouldn\'t have to worry about that fat Hutt at all. Enjoy your reward.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '18', 'player_1_1', 'I\'ve done work like that before, yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '19', 'player_1_2', 'I\'ll be happy to.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '20', 'player_1_3', 'Two mynocks with one stone, is what I say.  Point me at them.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '21', 'player_2_1', 'I\'m not sure I\'m cut out for something like that.  No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '22', 'player_2_2', 'No, I\'m not one for teaching.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '23', 'player_2_3', 'No, I\'m not good around crowds.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '24', 'player_3_1', 'Would I have to kill anyone?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '25', 'player_3_2', 'Who does Soobu work for?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '26', 'player_3_3', 'Do the Desert Banshees also work for Jabba?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '27', 'player_reset_1', 'Yes, he does.  I don\'t think I have what it takes.  Sorry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '28', 'player_sorry_1', 'Only for now.  This will be corrected soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '29', 'npc_backtowork_1', 'Let\'s see that it happens.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '30', 'npc_reset_1', 'I see my instincts were wrong. Well, in any case, please enjoy yourself. Anyone with a taste for leisure and the credits to back it up is welcome here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '31', 'cantwork', 'My tasks require the utmost attention and care. You seem far too busy to give me that at the moment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '32', 'dontknowyou_1', 'Oh, you\'re not a womprat.  Sorry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '33', 'npc_work_1', 'Does Una still breathe?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '34', 'npc_work_2', 'Has Soobu learned his lesson yet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '35', 'npc_work_3', 'Have you taken care of the Banshees yet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '36', 'npc_breech_1', 'Selling information is what I do! Die, womp rat!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '37', 'npc_breech_2', 'Typical of Valarian to send an amateur. Prepare to be educated, fool!  ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '38', 'npc_breech_3', 'You\'re bantha-fodder! Aieeeeeeeeeee! ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '42', 'npc_backtowork_2', 'Make sure he pays attention.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '43', 'npc_backtowork_3', 'And this is why I am paying you.  Carry on.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '44', 'npc_reset_2', 'Don\'t tell me you\'ve suddenly become squeamish. I was hoping you\'d be a tad more resilient than that. Oh well, can\'t have everything.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '45', 'npc_reset_3', 'Suit yourself, but these girls will probably come looking for you eventually.  Don\'t say I didn\'t warn you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '46', 'player_reset_2', 'I\'m sorry, my Lady, but I am too sca -er- busy to do this.  Send someone else to do it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '47', 'player_reset_3', 'No, I don\'t want to kill anymore.  I\'m tired of all this killing!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '48', 'player_sorry_2', 'He will be learning it very shortly.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '49', 'player_sorry_3', 'No, they haven\'t shown their faces.  When they do, though....');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '53', 'dontknowyou_2', 'I don\'t have my syllabus, sorry.  I can\'t teach you anything right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '54', 'dontknowyou_3', 'I said, get away!  You smell like Bantha-fodder.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '55', 'dontknowyou_4', 'When you get a chance, stop by and see how much Jabba will give you for your head.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '56', 'dontknowyou_5', 'But, I don\'t want to do business with you, therefore get out of my face.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '61', 'npc_1_4', 'I think you\'ve got what it takes to tackle this assignment. I\'ve finally discovered who\'s been organizing these swoop gangs against me, and I need this slug removed. This time, however, we strike directly at Jabba\'s organization. Are you certain you wish to side with me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '62', 'npc_1_5', 'As expected, Jabba was somewhat offended by the demise of his crony. Word has it that he\'s hired a professional assassin to take out Arrud\'s killer, and we all know who that was, don\'t we? Given that you\'re one of my favorite beings in the galaxy, I thought I\'d give you a chance to tie up loose ends.   ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '63', 'npc_1_6', 'Jabba has sent a hit squad to get rid of yours truly. I suppose it was only a matter of time. The Hutt may be disgusting, but he\'s not stupid. He knows the true genius behind these recent strikes. And worse, Governor Aryon is turning a blind eye to this assault on my person. You\'ll help your sweet Valarian out of this mess, won\'t you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '64', 'npc_2_4', 'Very well. Your task is to remove Arrud Barsoomu, Jabba\'s right-hand enforcer in Mos Eisley. This Twi\'lek is a most unpleasant individual - perfectly suited to serving a vile beast like Jabba. Tales of Arrud\'s fascination with torture would sicken you. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '65', 'npc_2_5', 'Now that\'s the vicious little rancor I\'ve come to know and admire. The assassin is a Chadra-Fan named Duska Murgo. She\'s awfully fond of IG assassin droids so I\'d keep an eye out for those as well. Please hurry back to me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '66', 'npc_2_6', 'There is no one in the Outer Rim as reliable as you, my little mastmot. The walking cadavers are a group of Weequay, led by a brutish thug named Siron Vurn\'ke. Forget whatever you may have heard about Weequay - they\'re not as formidable as some would claim, especially not for a vicious killer like you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '67', 'npc_3_4', 'I don\'t hold this against you. In certain circumstances, it is perhaps best to maintain neutrality. Anyone who says otherwise is selling something. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '68', 'npc_3_5', 'Suit yourself. I will find someone to take care of this hired killer, of course. I just fear I may not do it in time to save your life. That thought breaks my heart.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '69', 'npc_3_6', 'I was hoping to avoid having to name names in an effort to appease the Governor, but if that is the only alternative left to me... I\'m sorry I won\'t able to protect you from the Imperials. I hope you can forgive me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '70', 'npc_4_4', 'I\'m afraid I can\'t tell you that until you choose a side. I would hate to have to silence you after we\'ve become such good friends.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '71', 'npc_4_5', 'You? Most certainly not. If it were anyone else, I would advise a hasty exit to a heavily fortified stronghold. But you, my little mastmot? You have nothing to worry about. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '72', 'npc_4_6', 'Aryon\'s never had much affection for me. She sees me as a troublemaker, someone who risks drawing unwanted Imperial attention. Nothing would please her more than to have me silenced. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '73', 'npc_backtowork_4', 'Serves him right.  I always prefer a simple blaster to the head.  He likes to hear them scream.  A taste of his own medicine, wouldn\'t you say?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '74', 'npc_backtowork_5', 'That attitude of yours might slip you up.  I\'d hate to see one of my best have such an inglorious death.  Stop by once you have dealt with the matter.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '75', 'npc_backtowork_6', 'I trust in your abilities, my ice tiger.  I know you will make sure that your patron will come to no harm.  Let me know when the threat has passed.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '76', 'npc_breech_4', 'You are Valarian\'s \"killer?\" Jabba will be pleased to have your head!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '77', 'npc_breech_5', 'This is not personal, oafish one - this is strictly business.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '79', 'npc_reset_4', 'I don\'t hold this against you. In certain circumstances, it is perhaps best to maintain neutrality. Anyone who says otherwise is selling something. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '80', 'npc_reset_5', 'Suit yourself. I will find someone to take care of this hired killer, of course. I just fear I may not do it in time to save your life. That thought breaks my heart.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '81', 'npc_reset_6', 'I was hoping to avoid having to name names in an effort to appease the Governor, but if that is the only alternative left to me... I\'m sorry I won\'t able to protect you from the Imperials. I hope you can forgive me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '82', 'npc_reward_4', 'For better or for worse, we\'re now linked, my vicious little rancor. So enjoy your reward and the pleasures of the Lucky Despot. After all, you\'re practically family now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '83', 'npc_reward_5', 'You\'ve returned to me, my little ice tiger! I knew you could take care of that pesky diminutive assassin. Did she have those nasty IG droids with her? Poor little mastmot. Come and have a drink. You could definitely use one.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '84', 'npc_reward_6', 'That was perfection itself, my mastmot. Take this dagger. It\'s not a weapon, but the badge by which my \"employees\" recognize my most revered dragons. Now, in order to maintain proper decorum, you and I should limit our contact, at least until I can assuage the Governor\'s fears. Farewell, my ice tiger.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '88', 'npc_work_4', 'Has the scum been eliminated?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '89', 'npc_work_5', 'So, have you taken care of your little problem yet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '90', 'npc_work_6', 'Is the deed done?  Am I still in danger for my life?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '91', 'player_1_4', 'Yes, my Lady, you are a much better bet than that bloated slug!  I\'ll help you take on Jabba.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '92', 'player_1_5', 'No one comes after me!  I\'ll kill that assassin before she even knows I\'m there.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '93', 'player_1_6', 'I would gladly do anything to save your life.  Fear not, my Lady, you will be safe.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '94', 'player_2_4', 'Whoa!  I\'m not crossing Jabba!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '95', 'player_2_5', 'What? An assassin after me? Umm... I can\'t do it myself, Lady.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '96', 'player_2_6', 'I\'m sorry, but I don\'t have what it takes to save you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '97', 'player_3_4', 'Who do you want me to take out? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '98', 'player_3_5', 'Should I be worried about this assassin?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '99', 'player_3_6', 'Why is Governor Aryon turning a blind eye?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '100', 'player_reset_4', 'On second thought, I think I\'m going to step out of this.  I don\'t want to cross Jabba.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '101', 'player_reset_5', 'I don\'t think I\'m going to be able to handle this.  I\'m going to have to hide instead.  Sorry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '102', 'player_reset_6', 'I am sorry, my Lady, but I will be unable to protect you any longer.  I hope you understand.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '103', 'player_sorry_4', 'Not yet, but soon.  Very soon.  And it will hurt.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '104', 'player_sorry_5', 'Not yet.  I\'m not worried though.  I\'ll take care of it in due time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '105', 'player_sorry_6', 'I have set up a trap for them.  You needn\'t worry, my Lady.  Soon, they will not bother you any further.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '106', 'next', 'Now is not the time to renew our association. Perhaps a bit later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '107', 'npc_breech_6', 'Heh, Wee-Quay!  Kill the interloper!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '108', 'waypoint_name_1', 'Una Gitori');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '109', 'waypoint_name_2', 'Soobu Javeedo');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '110', 'waypoint_name_3', 'Desert Banshees');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '111', 'waypoint_name_4', 'Arrud Barsoomu');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '112', 'waypoint_name_5', 'Duska Murgo');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '113', 'waypoint_description_1', 'Lady Valarian wants you to eliminate Una Gitori');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '114', 'waypoint_description_2', 'Lady Valarian would like you to teach Soobu Javeedo some manners');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '115', 'waypoint_description_3', 'Lady Valarian wants you to meet with the Desert Banshees and take them out.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '116', 'waypoint_description_4', 'Lady Valarian wants you to take Arrud Barsoomu out of the action.  He\'s Jabba\'s right hand thug, so be careful.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '117', 'waypoint_description_5', 'The assassin Duska Murgo has been sent to eliminate you.  Lady Valarian wants you to stay alive.  Do what you must.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '118', 'return_waypoint_description_1', 'Return to Lady Valarian');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '119', 'return_waypoint_description_2', 'Return to Lady Valarian');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '120', 'return_waypoint_description_3', 'Return to Lady Valarian');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '121', 'return_waypoint_description_4', 'Return to Lady Valarian');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '122', 'return_waypoint_description_5', 'Return to Lady Valarian');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '123', 'return_waypoint_name_1', 'Lady Valarian');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '124', 'return_waypoint_name_3', 'Lady Valarian');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '125', 'return_waypoint_name_4', 'Lady Valarian');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '126', 'return_waypoint_name_5', 'Lady Valarian');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '127', 'return_waypoint_name_2', 'Lady Valarian');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '128', 'waypoint_name_6', 'Siron Vurn\'ke');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '129', 'waypoint_description_6', 'Lady Valarian wants you to eliminate the hit squad coming to kill her.  They are a group of Weequay led by Siron Vurn\'ke.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lady_valarian.stf', '130', 'notyet', 'Yes...What?  Speak with Ind and Kavas.  I don\'t deal with just anyone that walks in here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lilas_dinhint.stf', '1', 'npc_1_1', 'Well, well, a visitor. Hem! Welcome to my humble museum. I am the curator. If you are here regarding the recent theft of a valuable artifact, I am -- hem! -- the one -- hem! Excuse me. -- You may talk to me. Will you pursue the thief and return the artifact?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lilas_dinhint.stf', '2', 'npc_1_2', 'Ah, welcome back. Hem! You helped my little museum greatly in what I now call the Tusken Robe Incident. Might you now handle a similar -- hem! -- regrettable theft? The purloined object is a part of the armor worn by chief miner Melnea Arnthout, one of Tatooine\'s -- hem! -- original settlers. Will you go after it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lilas_dinhint.stf', '3', 'npc_1_3', 'Ah, you are ready for more work? I hoped you would inquire. Hem! Now some thief has stolen a mineral scanner that dates back to the original settlement of Tatooine. It defies understanding why anyone would steal it; it lacks -- hem! -- notable historic or economic value. Can you return it safely?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lilas_dinhint.stf', '5', 'npc_2_1', 'Excellent. The stolen Tusken Raider robe has a hidden homing beacon, as is standard museum procedure. In all likelihood you will find the thief at the designated coordinates. Thank you, thank you!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lilas_dinhint.stf', '6', 'npc_2_2', 'Good. The armor, like the robe you returned earlier, has a tracking beacon that should lead you right to the thief. I speed you on your way!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lilas_dinhint.stf', '7', 'npc_2_3', 'I trust the tracking beacon hidden within the scanner will lead you to the culprit, as always. Please return the item intact.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lilas_dinhint.stf', '8', 'npc_3_1', 'I apologize for my mistake. Please enjoy your visit to my little sanctuary. Hem!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lilas_dinhint.stf', '9', 'npc_3_2', 'Not available just now? I understand. Please enjoy your visit to my little sanctuary. Hem!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lilas_dinhint.stf', '10', 'npc_3_3', 'Very well, I wish you good luck in your other endeavors. Enjoy the museum.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lilas_dinhint.stf', '12', 'npc_4_1', 'The artifact in question is a robe supposedly worn by the Tusken Raider who led the original assault on Fort Tusken centuries ago. The robe\'s provenance is questionable, but I know no better candidate. I would -- hem! -- very much like it back.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lilas_dinhint.stf', '13', 'npc_4_2', 'It is the endless dust of this desert. Over the decades I must have inhaled enough to fill a -- hem! -- a binary load lifter. Now, the mission?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lilas_dinhint.stf', '14', 'npc_4_3', 'It is purely a function of budget, I assure -- hem! I must requisition yet more funds for greater anti-theft protection. It is a terrible indictment of Imperial funding priorities, no? Hem! Now as to the mission?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lilas_dinhint.stf', '15', 'npc_reward_1', 'Fine work! The robe appears relatively harmed after its ordeal. These senseless thefts grow ever more frequent. I hope the Empire will grant my petition for an increased theft-control budget.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lilas_dinhint.stf', '16', 'npc_reward_2', 'The armor appears to be in acceptable condition. Thank you again for your exemplary service. I anticipate a budget increase to handle these thefts soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lilas_dinhint.stf', '17', 'npc_reward_3', 'This is yet another reason I am in your debt. Perhaps you will spread the word among Imperial authorities that this museum requires a greater budget to prevent theft.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lilas_dinhint.stf', '18', 'player_1_1', 'I will track down this thief for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lilas_dinhint.stf', '19', 'player_1_2', 'Sure, I\'ll go get it for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lilas_dinhint.stf', '20', 'player_1_3', 'I\'ll return it safely for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lilas_dinhint.stf', '21', 'player_2_1', 'No, this sounds like something for the police.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lilas_dinhint.stf', '22', 'player_2_2', 'You seem to be missing a lot of pieces here.  Maybe you should call the police, rather than asking me.  Sorry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lilas_dinhint.stf', '23', 'player_2_3', 'No, I\'m not doing another one of these repossession jobs for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lilas_dinhint.stf', '24', 'player_3_1', 'What is this valuable artifact?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lilas_dinhint.stf', '25', 'player_3_2', 'Why are you coughing? Are you all right?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lilas_dinhint.stf', '26', 'player_3_3', 'Why are you seeing so many thefts at your museum?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lilas_dinhint.stf', '27', 'player_reset_1', 'I\'m unabe to find the thief.  I\'m sorry, but I\'ve given up on this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lilas_dinhint.stf', '28', 'player_sorry_1', 'No, I haven\'t found the thief yet.  Once I do, I\'ll bring back the robe for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lilas_dinhint.stf', '29', 'npc_backtowork_1', 'I will be waiting.  Thank you for your assistance.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lilas_dinhint.stf', '30', 'npc_reset_1', 'I apologize for my mistake in asking you. Please enjoy your visit to my little sanctuary. Hem!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lilas_dinhint.stf', '31', 'cantwork', 'Welcome to the museum.  We are looking for help.  When you have full time to yourself, come see me.  Hem!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lilas_dinhint.stf', '32', 'dontknowyou_1', 'Ootini!  Din kandanii.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lilas_dinhint.stf', '33', 'npc_work_1', 'Hem!  Have you found the robe?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lilas_dinhint.stf', '34', 'npc_work_2', 'Have you been successful in retreiving the armor?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lilas_dinhint.stf', '35', 'npc_work_3', 'Has the tracking beacon been helpful in finding the scanner?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lilas_dinhint.stf', '36', 'npc_breech_1', 'Utinni! Nik maikka dinnika Dinhint!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lilas_dinhint.stf', '37', 'npc_breech_2', 'Hmm. Has that lickspittle of a curator changed his mind? I shall not cancel our arrangement. Rather, I shall cancel you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lilas_dinhint.stf', '38', 'npc_breech_3', 'You are the fence? Late! Dinhint did say right about how much valuable is this hunk of junk, yes? Wait! You are not --!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lilas_dinhint.stf', '39', 'notit_1', 'No, no.  This is not the artifact!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lilas_dinhint.stf', '40', 'notit_2', 'The display piece that was stolen did not look like this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lilas_dinhint.stf', '41', 'notit_3', 'This is not the scanner.  The one that was part of the museum was quite old.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lilas_dinhint.stf', '42', 'npc_backtowork_2', 'Well, I hope you will be able to find it.  That was a priceless relic!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lilas_dinhint.stf', '43', 'npc_backtowork_3', 'This is good news.  All these thefts lately are looking very bad for the museum.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lilas_dinhint.stf', '44', 'npc_reset_2', 'Not available just now? I understand. Please enjoy your visit to my little sanctuary. Hem!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lilas_dinhint.stf', '45', 'npc_reset_3', 'Very well, I wish you good luck in your other endeavors. Enjoy the museum.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lilas_dinhint.stf', '46', 'player_reset_2', 'I\'ve had something come up.  Can I look for it later?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lilas_dinhint.stf', '47', 'player_reset_3', 'I will not be able to help with this right now.  Perhaps later?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lilas_dinhint.stf', '48', 'player_sorry_2', 'I haven\'t managed to wrest the armor from the thief yet.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lilas_dinhint.stf', '49', 'player_sorry_3', 'Yes, it has.  I now know the location and am about to recover it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lilas_dinhint.stf', '53', 'dontknowyou_2', 'What?  You\'re not working for the curator?  My mistake.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lilas_dinhint.stf', '54', 'dontknowyou_3', '..not the person I thought you were.  Sorry about that.  If you see the fence, let him know I\'m waiting, okay?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lilas_dinhint.stf', '55', 'dontknowyou_4', 'Whew!  I thought you were about to try to take this back.  Well, be careful out here in the wastes.  Good journeys.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lilas_dinhint.stf', '58', 'notit_4', 'Thank you, but this is not the piece from the display.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lilas_dinhint.stf', '61', 'npc_1_4', 'It defies belief, my friend, but -- hem! -- my museum is once again the victim of theft. I have no idea who would steal this artifact -- but the Hutts have many enemies, hem! So it is not inconceivable -- but I am maundering. Will you retrieve the artifact?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lilas_dinhint.stf', '64', 'npc_2_4', 'Splendid. You will recall, of course, that all museum artifacts have tracking beacons. It is fortunate the thieves never think to disable these! Please locate the thief and return the artifact by any means.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lilas_dinhint.stf', '67', 'npc_3_4', 'Understandable. I wish you well in your travels around our world.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lilas_dinhint.stf', '70', 'npc_4_4', 'When the Hutts first arrived on Tatooine, long ago, they held a mass slaughter and subsequent feast. The artifact is, as best we can tell, a chunk of dried meat left over from that initial feast. Will you retrieve it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lilas_dinhint.stf', '73', 'npc_backtowork_4', 'Well, I hope you are able to soon.  The display location looks quite empty without it sitting there.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lilas_dinhint.stf', '76', 'npc_breech_4', 'I know you! Hanging around the museum, right? Tell Dinhilt this is no gemstone. You won\'t believe this, but -- Hey, what are you do--?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lilas_dinhint.stf', '79', 'npc_reset_4', 'Understandable. I wish you well in your travels around our world.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lilas_dinhint.stf', '82', 'npc_reward_4', 'Thank you indeed! I daresay the museum\'s collection would not be perceptibly harmed by the absence of this meat. But as a matter of principle, we must not tolerate artifact theft -- a point I hope the Imperial budget committee remembers when they allocate funds.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lilas_dinhint.stf', '88', 'npc_work_4', 'Wonderful!  You have the artifact in your possession, do you not?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lilas_dinhint.stf', '91', 'player_1_4', 'I\'ve recovered all the rest you\'ve sold -er- lost, no reason to stop now.  Sure, I\'ll get it back.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lilas_dinhint.stf', '94', 'player_2_4', 'I\'ve realized what\'s going on here, and I don\'t want any part of it anymore.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lilas_dinhint.stf', '97', 'player_3_4', 'What kind of artifact is it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lilas_dinhint.stf', '100', 'player_reset_4', 'I\'ve been thinking long and hard, and realize I don\'t want to be involved in this any longer.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lilas_dinhint.stf', '103', 'player_sorry_4', 'No, not yet.  I still haven\'t been able to track down that dastardly bandit.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lilas_dinhint.stf', '104', 'next', 'The museum is running smoothly again. If I need more help later I\'ll gladly hire you again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '1', 'player_1_1', 'I\'d be happy to help.  Yes, I\'ll do it!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '2', 'player_1_2', 'It sounds easy enough.  Sure, I\'ll do it!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '3', 'player_1_3', 'I\'ll teach him some manners, don\'t worry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '4', 'player_1_4', 'Tuskens?  Where?  Yes, I\'ll definitely help!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '5', 'player_2_1', 'No thanks.  That sounds like something you\'d be better able to handle.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '6', 'player_2_2', 'I did the first one as a favor.  I\'m not pest control, Lorne.  No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '7', 'player_2_3', 'Sorry, but I\'m not some goon.  I\'m not roughing any one up.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '8', 'player_2_4', 'Lorne, I don\'t see any Tuskens anywhere.  Are you sure you haven\'t been out in the suns too long?  I\'m afraid I can\'t help with this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '9', 'player_3_1', 'What\'s all the commotion?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '10', 'player_3_2', 'I thought I already took care of the problem.  What happened?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '11', 'npc_1_1', 'Welcome to Mos Taike!  I\'m Lorne Prestar, Chief of Security for this town.  You look like an able enough person.   I\'m getting reports that there\'s a wild worrt that\'s beginning to harass some of the locals.  Do you think you can lend a hand in taking care of this for me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '12', 'npc_1_2', 'Hey, I was looking for you!  I need your help again, kid.  Since you did such a good job last time, I need you to take out another critter for me.  Leave it to the specialists, I always say.  It looks like there\'s a mutant mound mite out there that\'s causing even bigger trouble this time.  Do you think you can take care of this one for me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '13', 'npc_1_3', 'I\'ve got another job for you if you\'re interested.  It seems we have a troublemaker that thinks it\'s fun to rough up other people.  I\'m not having that.  Go find the guy and let him know how much we don\'t like troublemakers around here, okay?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '14', 'npc_1_4', 'Soldier, I need your help!  Are you listening?  We have a desperate situation here, and we\'re going to have to pull together to get out of this alive!  You understand!?  Listen.  We\'ve got a Tusken War Party advancing on our location, and I need to send you to take up an open front!  Are you prepared, rookie?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '15', 'npc_2_1', 'That\'s the spirit!  Go out there and show that worrt who\'s the master around here.  Well, in a manner of speaking, heh.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '16', 'npc_2_2', 'That\'s what I wanted to hear, kiddo!  You get out there and make short work of the mite that\'s causing these problems.  Put it out of it\'s misery... the things\' probably mad with hunger, I\'ll bet.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '17', 'npc_2_3', 'Good.  Go find the guy and explain to him that he\'s not wanted around here.  If he\'s belligerent, you\'re allowed to use force to get your point home.  If he doesn\'t listen to even that... well, just make sure he doesn\'t bother anyone else again, if you can read between the lines.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '18', 'npc_2_4', 'Affirmative to that.  I have the other troops - er - guards set out on all fronts.  You need to defend our weak front.  Get out there and you show them Tuskens all you\'ve got, you hear me?  And, kid, don\'t get yourself killed, got it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '19', 'npc_3_1', 'Well, I can understand that.  I can\'t expect just anyone to have the courage to do it.  Well, try not to get your hands too dirty around here.  I don\'t want to see you break a nail, or claw, or whatever...');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '20', 'npc_3_2', 'Hmm... maybe a I had you wrong, kid.  I thought you had guts of plasteel, but I guess not.  Well, I\'ll just have to do it myself... like a real man.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '21', 'npc_3_3', 'Hmm... I understand.  This is more a job for someone who wants to do real work.  Thanks for your previous help, though.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '22', 'npc_3_4', 'Look!  You must do this!  If you don\'t, we will lose this war - er - this battle!  It\'s all or none!  Got that?  I\'ve seen too many kids like you just freeze when you need to pull the trigger.  Don\'t let your fear freeze you, kid!  Please tell me you\'ll pull your weight out here!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '23', 'npc_4_1', 'Well, about a few weeks back a tourist tells me he saw a worrt lurking too close to town.  Well, I thought nothing of it, until a hear from a few tourists that they were attacked by what I\'m assuming to be the same critter.  I can\'t have that going on in my town, but I don\'t have time to take care of it myself.  So, can you do this for me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '24', 'npc_4_2', 'Gramm tells me that a Sand Dragon \'Fresher sales rep was attacked by a beast the other day on his way here.  Now, either we have a problem with the local critters, or we got the wrong beast the last time around.  Either way, I\'m not going to have innocent casualties turning up on my watch!  Can you take care of this for me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '25', 'npc_4_3', 'I have several witnesses that say the guy was seen smacking around Igma Korto\'s friend the other day.  Now, her friend works for the Corellian Times, and I don\'t want them thinking I run a slipshod starship out here in Mos Taike.  That\'s why this thug needs to be taught a lesson in manners.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '26', 'npc_4_4', 'This is no time for questions, kid!  Scouts show Tuskens are converging on Mos Taike even as we speak!  We act now or we lose everyone like we did back in the jungles of Naboo 20 years back!  So many people died that day under my command, and I\'m not having it again!  Kid, get out there and don\'t get yourself killed!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '27', 'npc_reward_1', 'You\'ve got gusto, kid!  I like that!  Now that the worrt is going to be something\'s dinner tonight, hopefully I won\'t have to hear any more whining from the tourists.  Bah.  They scare too easy.  That\'ll get you killed, I tell you.  Well, kid, I thank you for getting this done.  I\'ll look you up if anything comes up.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '28', 'npc_reward_2', 'You got rid of the beast, right?  Good to hear, good to hear.  Go stop by the cantina and get your self a stiff drink.  You deserve it, kiddo!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '29', 'npc_reward_3', 'I\'m going to assume he listened and you drove him out of town, okay?  What goes in the desert STAYS in the desert, you know what I mean?  Good.  Sheesh!  First the critters, now ruffians.  What next?  Well, you\'ve helped out a lot, kid.  Stop by after you\'ve finished another tour of - *sigh* - I mean, seen the world a little more, got it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '30', 'npc_reward_4', 'Kid, you did me proud!  You came back in one piece.  We lost a few guys, but we saved the town...  Finally, I\'ll be able to sleep at night without waking up screaming from all those memories.  Kid, I owe you.  I owe you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '32', 'player_3_3', 'What did the guy do?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '33', 'player_3_4', 'What\'s going on here, Lorne?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '34', 'player_reset_1', 'I don\'t think I can kill this worrt, Lorne.  It might eat me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '35', 'player_reset_2', 'To tell you the truth, I\'m a bit scared of those things.  I can\'t do this job for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '36', 'player_reset_3', 'I\'ve been called elsewhere and can\'t take care of this right now.  Sorry, Lorne.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '37', 'player_reset_4', 'Sir, I can\'t do it!  It\'s too much for me!  I\'ve never seen that many!  They\'re everywhere!!!!  It\'s like... it\'s like... it\'s like they\'re not human!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '39', 'npc_reset_2', 'Well, the first thing you learn out there is to listen to your fear.  The next is to control it.  Once you have it strapped up, you come back and let me know you\'ll do it, okay?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '40', 'npc_reset_3', 'Hey, I understand.  You\'re still green, kid, and this is no kinda job for you.  If you find that you\'re made of stronger stuff, you just let me know, got it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '41', 'npc_reset_4', 'Well, kid, it\'s because they\'re not!  Pull yourself together, kid!  You\'ve got to come to!  Without you, we\'ll lose this fight.  Once you\'ve got your head on straight, you come back and I\'ll give you further orders.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '42', 'npc_backtowork_1', 'That\'s what I want to hear!  Good hunting!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '43', 'npc_backtowork_2', 'Well, it shouldn\'t be too much of a problem for someone like you.  Get out there and show it what you\'ve got!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '44', 'npc_backtowork_3', 'Well, remember, there\'s no need to go killing anyone.  At the same time, you\'ve gotta defend yourself if the situation calls for it.  Let me know how it turns out.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '45', 'npc_backtowork_4', 'That, kid, is what I call guts of steel!  Get out there and win this one for the Prestar!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '47', 'npc_work_2', 'So, how goes your mite hunt?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '48', 'npc_work_3', 'So, have you had a little talking to with this hoodlum yet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '49', 'npc_work_4', 'You\'ve already taken care of those Raiders?  You\'re better than I thought, kid!  You deserve a medal!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '50', 'player_sorry_1', 'No, I haven\'t found it.  Once I do, though, you can be assured it won\'t harrass any other people.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '51', 'player_sorry_2', 'It\'s going good.  I\'m just about to find where it\'s feeding area is, then get rid of it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '52', 'player_sorry_3', 'Not yet.  I guess he knows he\'s in trouble and is scared to face me.  Once I spot him, though, we\'ll have our little talk.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '53', 'player_sorry_4', 'Ummm... yeah, I took them out, but... ummm... there are more of them.  I\'ve come back for a little breather.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '54', 'cantwork', 'Welcome to Mos Taike!  I\'m Lorne Prestar, Chief of Security for this town.  You look like an able enough person.  If you\'re in need of a job, I might have work for you.  Just stop by and let me know, okay?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '59', 'dontknowyou_3', 'Yeah, that\'s what I thought.  Walking away like a coward!  Coward!  You\'re not even worth my time!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '62', 'npc_breech_3', 'Hey!  What\'re you looking at, huh?  You looking at me?  You got a problem, huh?  I\'ll give you a problem!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '63', 'npc_work_1', 'So, have you dispatched that worrt yet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '64', 'npc_reset_1', 'Still a little wet behind the ears, huh?  Well, you just let me know when you\'ve seen a little more of this world then, okay?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '65', 'next', 'It\'s pretty quiet around here right now. It never lasts though. Come see me later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '66', 'npc_failure_1', 'That worrt must have been tougher than he looked.  Or maybe you\'re not as tough as you look?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '67', 'npc_failure_2', 'Man, I thought surely you\'d take that mound mite down no problem.  I must be getting old.  My eyesight must be going.  I thought you looked tough.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '68', 'npc_failure_3', 'Guess I should have sent Bren, or at least someone who could handle themselves in a fight.  Oh well.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '69', 'npc_failure_4', 'Hm..tuskens are tough enough sure, but I thought you had the skills.  Well, maybe not...');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '70', 'npc_breech_4', 'Grr...');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '71', 'npc_breech_1', '<a worrt looks anxious>');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '72', 'npc_breech_2', '<a mound mite looks angry>');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '73', 'waypoint_name_1', 'Wild Worrt');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '74', 'waypoint_name_2', 'Mutant Mound Mite');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '75', 'waypoint_name_3', 'Trouble Maker');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '76', 'waypoint_name_4', 'Tusken War Party');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '77', 'waypoint_description_1', 'Destroy the Wild Worrt that\'s been harrassing people.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '78', 'waypoint_description_2', 'Take care of the Mutant Mound Mite');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '79', 'waypoint_description_3', 'Make sure the Trouble Maker doesn\'t bother anyone else');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '80', 'waypoint_description_4', 'Find and Destroy the Tusken War Party');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '81', 'return_waypoint_name_2', 'Lorne Prestar');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '82', 'return_waypoint_name_1', 'Lorne Prestar');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '83', 'return_waypoint_name_3', 'Lorne Prestar');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '84', 'return_waypoint_name_4', 'Lorne Prestar');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '85', 'return_waypoint_description_1', 'Return to Lorne Prestar to complete your mission');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '86', 'return_waypoint_description_2', 'Return to Lorne Prestar to complete your mission');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '87', 'return_waypoint_description_3', 'Return to Lorne Prestar to complete your mission');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lorne_prestar.stf', '88', 'return_waypoint_description_4', 'Return to Lorne Prestar to complete your mission');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lt_harburik.stf', '1', 'npc_1_1', 'A gangster working for the Hutts has assaulted an officer, stolen Imperial secrets, and is racing to sell them to the Rebellion. Will you stop him?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lt_harburik.stf', '2', 'npc_1_2', 'Another troublemaking alien is agitating for equal rights. I don\'t think so! Bring him here for discipline. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lt_harburik.stf', '3', 'npc_1_3', 'Stormtrooper TD-334 was caught in a radiation accident and is now displaying unorthodox behavior. Apprehend him without committing undue harm.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lt_harburik.stf', '5', 'npc_2_1', 'Good. Arrest Wend Dinard and bring him here. We need to know what secrets he compromised. Move!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lt_harburik.stf', '6', 'npc_2_2', 'This one has no record of violent behavior, but he travels with fanatical supporters. Who knows what they\'re capable of? Be careful, but bring him back.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lt_harburik.stf', '7', 'npc_2_3', 'Good. We\'ve kept this matter confidential. It\'s possible other troopers may misunderstand the situation. Don\'t betray secrecy. Just try to escape without undue combat, and bring TD-334 here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lt_harburik.stf', '8', 'npc_3_1', 'Get out! And don\'t bother me again!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lt_harburik.stf', '9', 'npc_3_2', 'Are you one of those agitators too? Get out!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lt_harburik.stf', '10', 'npc_3_3', 'You\'re wasting my time. Get out.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lt_harburik.stf', '12', 'npc_4_1', 'His name\'s Wend Dinard. Human, but works for aliens -- makes me sick. Dinard travels in the company of known thugs, so be ready with your weapons. What\'s your decision?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lt_harburik.stf', '13', 'npc_4_2', 'Some kind of freak. Name\'s Dowwop, or something equally stupid. He wants the Empire to create alien-only police patrols for alien settlements. Will you arrest this nitwit? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lt_harburik.stf', '14', 'npc_4_3', 'The trooper was guarding a reactor repair facility when Rebels blew it up. TD-334 was the only survivor. What\'s your decision?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lt_harburik.stf', '15', 'npc_reward_1', 'About time. Here\'s your reward. That\'s all for now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lt_harburik.stf', '16', 'npc_reward_2', 'You can be proud of your role in asserting the galaxy\'s natural order. Now I\'ll have a long chat with this idiot. You can go now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lt_harburik.stf', '17', 'npc_reward_3', 'I think there was no good way this could have turned out. Take your reward, and we\'ll pretend this never happened.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lt_harburik.stf', '18', 'player_1_1', 'Yes, I\'ll stop him for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lt_harburik.stf', '19', 'player_1_2', 'Absolutely, sir!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lt_harburik.stf', '20', 'player_1_3', 'I\'ll see to it that he\'s brought into custody safely.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lt_harburik.stf', '21', 'player_2_1', 'No, that\'s your kind of job, not mine.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lt_harburik.stf', '22', 'player_2_2', 'But aliens should have equal rights!  I\'m not going to help with something like this!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lt_harburik.stf', '23', 'player_2_3', 'Are you crazy?  I\'m not going to apprehend a Stormtrooper!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lt_harburik.stf', '24', 'player_3_1', 'Who is the gangster?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lt_harburik.stf', '25', 'player_3_2', 'Who is this alien agitator?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lt_harburik.stf', '26', 'player_3_3', 'What happened to the unorthodox Stormtrooper?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lt_harburik.stf', '27', 'player_reset_1', 'It\'s because I\'m just not cut out for the life of an officer of the law.  Sorry, I can\'t do this for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lt_harburik.stf', '28', 'player_sorry_1', 'Because he\'s too wily for me.  Don\'t worry, I\'ll catch him!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lt_harburik.stf', '29', 'npc_backtowork_1', 'Don\'t let him get the best of you!  Get out there and catch your man!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lt_harburik.stf', '30', 'npc_reset_1', 'Get out! And don\'t bother me again!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lt_harburik.stf', '31', 'cantwork', 'You think you can just wander in here and chat with the Chief of Police? Unless you have services to offer, get out of here or I\'ll have you arrested.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lt_harburik.stf', '32', 'dontknowyou_1', 'Whoa.  Um... I wasn\'t really serious about that.  Sorry.  Please don\'t hurt me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lt_harburik.stf', '33', 'npc_work_1', 'Where is he?  How come I don\'t see him?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lt_harburik.stf', '34', 'npc_work_2', 'So where is the scum I told you to arrest?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lt_harburik.stf', '35', 'npc_work_3', 'Don\'t tell me you blew it and wound up killing him!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lt_harburik.stf', '36', 'npc_breech_1', 'Bah! Those guys called themselves bodyguards!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lt_harburik.stf', '37', 'npc_breech_2', 'Sigh, all this violence.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lt_harburik.stf', '38', 'npc_breech_3', 'I think purple highlights would give these helmets a bold statement.  No... not purple... LAVENDER!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lt_harburik.stf', '42', 'npc_backtowork_2', 'Then what are you doing here?  Get out there and get him!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lt_harburik.stf', '43', 'npc_backtowork_3', 'Have you been affected by the radiation, too?  The next time I see you, you had best have that Stormtrooper in your custody.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lt_harburik.stf', '44', 'npc_reset_2', 'Are you one of those agitators too? Get out!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lt_harburik.stf', '45', 'npc_reset_3', 'You\'re wasting my time. Get out.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lt_harburik.stf', '46', 'player_reset_2', 'I\'ve come to realize that aliens are people too!  I can\'t take part of this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lt_harburik.stf', '47', 'player_reset_3', 'I\'m not going to get in trouble with the Imperials by arresting a stormtrooper.  Have someone else do it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lt_harburik.stf', '48', 'player_sorry_2', 'I don\'t have him yet.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lt_harburik.stf', '49', 'player_sorry_3', 'Okay, I won\'t tell you that then.  I\'ll tell you that he asked me to stop by later to arrest him.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lt_harburik.stf', '50', 'npc_takeme_1', 'Okay okay, I know when I\'m out of options. I\'ll come along quietly.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lt_harburik.stf', '51', 'npc_takeme_2', 'I apologize for my friends, they are a bit overprotective. I want these changes made in a peaceful manner but your Empire is not making it easy for us.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lt_harburik.stf', '52', 'npc_takeme_3', 'Don\'t stop me! I\'m leaving the Army to become an image designer! I always wanted to be an image designer.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lt_harburik.stf', '53', 'dontknowyou_2', 'Spread this message to all you know and you will find peace within yourself.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lt_harburik.stf', '54', 'dontknowyou_3', 'Oh, I didn\'t see you there.  Um... Citizen, return to your home.  There\'s nothing to see here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lt_harburik.stf', '55', 'dontknowyou_4', 'Oh, you\'re not going to kill me?  That\'s a relief!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lt_harburik.stf', '61', 'npc_1_4', 'A filthy spy is heading to Bestine.  Supposedly reporting on a certain matter to Prefect Talmont. Arrest the spy before something happens to our \"little Moff.\" If the spy happens to accidentally die en route, rest assured there\'s no one more deserving.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lt_harburik.stf', '64', 'npc_2_4', 'The spy is a blasted smuggler named Noda Lovan. Kill -- I mean, make the arrest and you\'ll be doing the galaxy a favor. Go!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lt_harburik.stf', '67', 'npc_3_4', 'Get out. And don\'t tell anyone about this, or it will go badly for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lt_harburik.stf', '70', 'npc_4_4', 'Charge? How should I --? Well, say the spy\'s stolen Imperial secrets. That\'s not far from the truth. Your decision?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lt_harburik.stf', '73', 'npc_backtowork_4', 'Well, what are you waiting for?!  Get out there before I have *you* arrested!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lt_harburik.stf', '76', 'npc_breech_4', 'I\'ll bet that thug Harburik sent you. He\'s killed enough folks already, why not me too?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lt_harburik.stf', '79', 'npc_reset_4', 'Get out. And don\'t tell anyone about this, or it will go badly for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lt_harburik.stf', '82', 'npc_reward_4', 'You got the spy all the way here, huh? No fatal accidents presented themselves? Well, here\'s your reward. Get out, and don\'t come back.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lt_harburik.stf', '85', 'npc_takeme_4', 'I guess I\'ll go with you quietly. You better pray that I won\'t get out of prison though, or I will find you one day when I\'m better prepared.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lt_harburik.stf', '88', 'npc_work_4', 'I take it you didn\'t have any trouble?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lt_harburik.stf', '91', 'player_1_4', 'I\'ll get this spy and return!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lt_harburik.stf', '94', 'player_2_4', 'I\'m not authorized to arrest spies.  Sounds like an Imperial job to me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lt_harburik.stf', '97', 'player_3_4', 'On what charge could I arrest this spy?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lt_harburik.stf', '100', 'player_reset_4', 'I\'ve had something come up.  You\'re going to have to call in Imperial support for this one instead.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lt_harburik.stf', '103', 'player_sorry_4', 'No, I haven\'t found the spy yet.  Don\'t worry, I\'ll get right on it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lt_harburik.stf', '104', 'next', 'That\'s all the work I have for now. Check back another time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lt_harburik.stf', '105', 'npc_failure', 'Dead? What were you thinking? I can\'t question a corpse! Sigh, it\'s so hard to find good help now a days.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/lt_harburik.stf', '106', 'notyet', 'I only have use for loyal soldiers of the Empire, please leave.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mat_rags.stf', '1', 'npc_1_1', 'If you\'re interested in becoming a hunter, I might have a little job for you -- just to show your aptitude, you understand. Up for it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mat_rags.stf', '2', 'npc_1_2', 'I have another job for you. An offworlder wants to take a hunting trophy back home with him. It\'s the sort of thing that I wouldn\'t trouble myself with, but as your mentor, I encourage you to do all the fieldwork you can. What do you say?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mat_rags.stf', '3', 'npc_1_3', 'I was offered another commission recently, one well beneath the abilities of myself, to whom even the biggest krayt is a simple afternoon\'s diversion. You might find it a tad interesting, though.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mat_rags.stf', '5', 'npc_2_1', 'That\'s the spirit. Head into the desert and find a squill for the Jawas. They wanted the meat, as I recall, so be sure to bring back the carcass.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mat_rags.stf', '6', 'npc_2_2', 'Good show! Bring back the hide from a variegated womp rat, and we\'ll make a professional hunter of you yet.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mat_rags.stf', '7', 'npc_2_3', 'You certainly have gumption. I admire that, really. Track down a matriarch bantha and bring back the horns for our client. Foul beast, the bantha. Honestly, I wonder about people\'s taste in d');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mat_rags.stf', '8', 'npc_3_1', 'Don\'t feel up to it? I guess you don\'t have what it takes to be a real hunter. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mat_rags.stf', '9', 'npc_3_2', 'Are you sure you\'re serious about this line of work? You don\'t seem to have the dedication of a hunter.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mat_rags.stf', '10', 'npc_3_3', 'Probably a wise decision. I expect that last creature was about the limit of your skills. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mat_rags.stf', '12', 'npc_4_1', 'Some Jawas recently approached me about killing a desert squill. Far beneath my abilities, of course, but a good test of your basic skills. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mat_rags.stf', '13', 'npc_4_2', 'Apparently he wants the hide of a variegated womp rat. Why anybody would want one of those filthy biters is beyond me, but there you are. Your decision?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mat_rags.stf', '14', 'npc_4_3', 'I\'ve been asked to get another trophy item -- a matriarch bantha. It\'s the sort of trivial job I like to pass down to younger hunters who really need the work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mat_rags.stf', '15', 'npc_reward_1', 'I say! You do seem to have passable basic skills. I might consider taking you on as a pupil. I\'ll let those Jawas know their meat is ready for them.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mat_rags.stf', '16', 'npc_reward_2', 'Bagged the beastie, did you? Smashing good job there, old desert rat. Why, one day your name may be known with the same reverence as mine!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mat_rags.stf', '17', 'npc_reward_3', 'That\'s just the ticket!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mat_rags.stf', '18', 'player_1_1', 'Yeah, I\'m up for it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mat_rags.stf', '19', 'player_1_2', 'I\'ll kill whatever you want me to!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mat_rags.stf', '20', 'player_1_3', 'Ha!  I\'ll kill it blindfolded!!!  With one hand tied behind my back, too!  No, both hands!!!!!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mat_rags.stf', '21', 'player_2_1', 'No thanks.  I\'m scared.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mat_rags.stf', '22', 'player_2_2', 'If this is anywhere as dangerous as the last one, count me out!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mat_rags.stf', '23', 'player_2_3', 'Okay, you just said \'krayt\'.  I\'m outta here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mat_rags.stf', '24', 'player_3_1', 'What sort of job?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mat_rags.stf', '25', 'player_3_2', 'What are we after this time?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mat_rags.stf', '26', 'player_3_3', 'What is the prey this time?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mat_rags.stf', '27', 'player_reset_1', 'I saw that squill, and it\'s HUGE!!!  You\'re crazy to send me out against something like that!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mat_rags.stf', '28', 'player_sorry_1', 'No, that squill has so far managed to elude my tracking skills.  I\'ll get one for the Jawas, don\'t worry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mat_rags.stf', '29', 'npc_backtowork_1', 'Whatever.  I\'ll be surprised if you can get this done at all.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mat_rags.stf', '30', 'npc_reset_1', 'You\'ve got to be kidding me.  Well, before you trying hunting squill, you may need to track down a spine.  I\'m sure that will help.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mat_rags.stf', '31', 'cantwork', 'You have another employer at the moment. But if you\'re serious about hunting, see me when you have some free time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mat_rags.stf', '33', 'npc_work_1', 'So, are those little beasties feasting on the that squill yet?\n');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mat_rags.stf', '34', 'npc_work_2', 'Have you skinned that little sucker yet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mat_rags.stf', '35', 'npc_work_3', 'So, have you killed that big monster?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mat_rags.stf', '42', 'npc_backtowork_2', 'Yeah, they can be little buggers.  Keep looking!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mat_rags.stf', '43', 'npc_backtowork_3', 'Hmmm... you know, that\'s a pretty good idea.  I\'ll have to remember that.  I mean - yeah - I\'m glad to see you\'re learning.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mat_rags.stf', '44', 'npc_reset_2', 'I thought you were a little too dim to do this.  When you\'ve learned how to read, look me up, okay?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mat_rags.stf', '45', 'npc_reset_3', 'Probably a wise decision. I expect that last creature was about the limit of your skills. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mat_rags.stf', '46', 'player_reset_2', 'Look, if I can\'t even pronounce the name of the thing I\'m supposed to kill, I shouldn\'t be hunting it.  I\'m out.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mat_rags.stf', '47', 'player_reset_3', 'I can\'t do it, Mat!  I\'m scared to death of banthas!  And a bantha this big?  Nightmares, I tell you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mat_rags.stf', '48', 'player_sorry_2', 'No, I\'ve only found normal womprats.  I\'m still looking for one of those variegated types.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mat_rags.stf', '49', 'player_sorry_3', 'No, I was waiting for her to leave the pack.  I didn\'t want to spook the rest.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mat_rags.stf', '61', 'npc_1_4', 'You\'ve done a bang-up job so far, but now you\'ll have to grow up a little. I\'m not sure you\'re up to this job, but I thought you might enjoy a challenge. Interested?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mat_rags.stf', '64', 'npc_2_4', 'Think you\'ve got what it takes? All right then, track down a grizzled dewback and bring back the hide. Try not to scorch it. A museum wants to stuff it for a display of dangerous wildlife.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mat_rags.stf', '67', 'npc_3_4', 'Not everybody has what it takes to make it in this business. Some just choke under the pressure. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mat_rags.stf', '70', 'npc_4_4', 'You\'re a cheeky one, you are! I was hunting krayts when you were still learning not to drool on yourself. Bah! \"Do I ever hunt,\" indeed!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mat_rags.stf', '73', 'npc_backtowork_4', 'Really?  Wow.  Um... I mean... yeah, I\'ll expect this done.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mat_rags.stf', '79', 'npc_reset_4', 'Not everybody has what it takes to make it in this business. Some just choke under the pressure. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mat_rags.stf', '82', 'npc_reward_4', 'You\'ve done far better than I ever thought you would. It\'s a pity the League isn\'t accepting new applicants just now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mat_rags.stf', '88', 'npc_work_4', 'So have you shown that dewback who the master is?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mat_rags.stf', '91', 'player_1_4', 'Only as long as it\'s a challenge.  If I don\'t barely make it out there alive, it\'s not worth it!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mat_rags.stf', '94', 'player_2_4', 'I\'ve been doing this the whole time and haven\'t learned a thing from you!  I\'m done with this!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mat_rags.stf', '97', 'player_3_4', 'Do you ever actually hunt anything yourself?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mat_rags.stf', '100', 'player_reset_4', 'You lazy sack of bones!  It just dawned on me that I\'m doing all your work!  I\'m through with you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mat_rags.stf', '103', 'player_sorry_4', 'Not yet.  I will shortly, though!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mat_rags.stf', '104', 'next', 'If I find any more work I think you can handle, I\'ll let you know.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/melios_purl.stf', '1', 'npc_1_1', 'I could use your help with this emergency, actually. A womp rat bit a local moisture farmer and the wound has become infected. The young woman waited too long to contact me, unfortunately, and I now I fear her condition may prevent her from making the journey safely. Could you make sure she does? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/melios_purl.stf', '2', 'npc_1_2', 'I could use your help in investigating the possible spread of this deadly disease. I need to perform an analysis of an infected womp rat. This will allow me to determine if the plague has mutated and requires a new vaccine. Do you think you can bring me an infected specimen\'s hide?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/melios_purl.stf', '3', 'npc_1_3', 'I was hoping you\'d ask, citizen. I need to make sure this vaccine gets out to all the moisture farmers who may not have access to the cities. Could you deliver this supply to a representative of the Affiliated Moisture Farmers? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/melios_purl.stf', '5', 'npc_2_1', 'You are most gracious, citizen. She\'s transmitted her coordinates. She was attempting the trip on her own, but realized she might not make it. She\'s brave, but also a bit on the reckless side.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/melios_purl.stf', '6', 'npc_2_2', 'You are noble and good, citizen. I\'ve taken the liberty of inoculating you against common Gray Rot with a modified bacta spray. This will keep you safe. If I determine that this is a new strain, I\'ll provide you the vaccine as soon as I develop it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/melios_purl.stf', '7', 'npc_2_3', 'You are nothing if not reliable, citizen. Here you go. Make sure this gets to its destination as quickly as possible. Gray Rot can devastate a settlement in mere days.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/melios_purl.stf', '8', 'npc_3_1', 'It is regrettable that you choose not to help this young woman. If you\'ll excuse me, I need to find someone who will. Good day.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/melios_purl.stf', '9', 'npc_3_2', 'I would inoculate you against the common strain of Gray Rot, so I assure you you\'d be safe. If after I\'ve studied the specimen, I determine a new vaccine is needed, I\'d provide you that as well. Please, these citizens need your help.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/melios_purl.stf', '10', 'npc_3_3', 'I must assume you\'re very busy. You do not seem to be the type of being that would stand idly by and watch dozens of innocents suffer a terrible fate. I\'ll find someone else to deliver the vaccine. Good day.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/melios_purl.stf', '12', 'npc_4_1', 'Her name is Maikeen Storn. She\'s only been on Tatooine for about a year. She\'s originally from Agamar, I believe. She\'s a brave young woman whose spirit I have come to admire. I hope you can help her');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/melios_purl.stf', '13', 'npc_4_2', 'Gray Rot makes a victim\'s skin go scabrous and gray until it eventually cracks and ulcerates. Death follows a few agonizing days later. If caught in its early stages, it is treatable with bacta.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/melios_purl.stf', '14', 'npc_4_3', 'The man\'s name is Aroy Sekun, friend of the Darklighters, I believe. He\'s a responsible sort and will make sure that vaccine gets properly distributed. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/melios_purl.stf', '15', 'npc_reward_1', 'You have my thanks, citizen. You doubtless saved this woman\'s life. Now if you\'ll excuse me, I have work to do. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/melios_purl.stf', '16', 'npc_reward_2', 'Good work, citizen. I\'ll get right on this analysis. You may have just saved this city from a terrible epidemic. Check back with me to get a report of my findings.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/melios_purl.stf', '17', 'npc_reward_3', 'You\'ve helped avert a catastrophe, friend. You have my thanks and the gratitude of the citizens of Tatooine. We have a new stimpack we\'ve been working on. I don\'t have any pre-made packs at the moment, but here\'s the blueprint to make some if you\'re interested.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/melios_purl.stf', '18', 'player_1_1', 'Absolutely!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/melios_purl.stf', '19', 'player_1_2', 'If this will help cure others, I\'ll do it.  Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/melios_purl.stf', '20', 'player_1_3', 'I\'ll make sure it gets to the right hands.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/melios_purl.stf', '21', 'player_2_1', 'It\'s not my fault she waited too long.  I\'m too busy to help right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/melios_purl.stf', '22', 'player_2_2', 'No, that\'s not my field of work.  Sorry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/melios_purl.stf', '23', 'player_2_3', 'You\'re better off hiring a courier.  I\'m not interested.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/melios_purl.stf', '24', 'player_3_1', 'Who is this moisture farmer?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/melios_purl.stf', '25', 'player_3_2', 'What exactly is Gray Rot Plague?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/melios_purl.stf', '26', 'player_3_3', 'Who is this representative?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/melios_purl.stf', '27', 'player_reset_1', 'I\'ve had something come up. I cannot escort her back here any more. Sorry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/melios_purl.stf', '28', 'player_sorry_1', 'No, I haven\'t yet.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/melios_purl.stf', '29', 'npc_backtowork_1', 'You will need to hurry.  If her infection is allowed to grow, I fear my skills will not be able to heal her.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/melios_purl.stf', '30', 'npc_reset_1', 'It is regrettable that you choose not to help this young woman. If you\'ll excuse me, I need to find someone who will. Good day.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/melios_purl.stf', '31', 'cantwork', 'I\'m afraid my assignments would require your full attention, citizen. Medical issues should be top priority, after all. Please come back when you\'re free.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/melios_purl.stf', '32', 'dontknowyou_1', 'Thank you, but help is already on the way.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/melios_purl.stf', '34', 'npc_work_2', 'How goes your search for one of those pestilent womp rats?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/melios_purl.stf', '35', 'npc_work_3', 'Has that vaccine been given to the Moisture Farmers yet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/melios_purl.stf', '36', 'npc_breech_1', 'Are you here to help me back to Doctor Melios?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/melios_purl.stf', '38', 'npc_breech_3', 'Oh, good!  You must be the one who has the vaccine.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/melios_purl.stf', '40', 'notit_2', 'No, this is not an infected womprat hide.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/melios_purl.stf', '42', 'npc_backtowork_2', 'Well, I wish you good luck.  As soon as I have that hide, I can begin working on a cure.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/melios_purl.stf', '43', 'npc_backtowork_3', 'Well, make sure they get it.  Their representative is still waiting for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/melios_purl.stf', '44', 'npc_reset_2', 'I would inoculate you against the common strain of Gray Rot, so I assure you you\'d be safe. If after I\'ve studied the specimen, I determine a new vaccine is needed, I\'d provide you that as well. Please, these citizens need your help.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/melios_purl.stf', '45', 'npc_reset_3', 'I must assume you\'re very busy. You do not seem to be the type of being that would stand idly by and watch dozens of innocents suffer a terrible fate. I\'ll find someone else to deliver the vaccine. Good day.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/melios_purl.stf', '46', 'player_reset_2', 'I have second thoughts about this.  I don\'t want to get infected myself, so I have to decline.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/melios_purl.stf', '47', 'player_reset_3', 'I don\'t feel I should be the one to deliver this.  You might want to get someone else to do it.  Sorry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/melios_purl.stf', '48', 'player_sorry_2', 'I have yet to find one, but I continue to search for one.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/melios_purl.stf', '49', 'player_sorry_3', 'No, not yet.  I\'m in the process of taking it out to them.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/melios_purl.stf', '50', 'npc_takeme_1', 'Dr. Purl sent you, didn\'t he? Oh, all this fuss over me. Well, I appreciate your help. If I pass out, just slap me till I wake up.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/melios_purl.stf', '54', 'dontknowyou_3', 'I hope that vaccine gets here soon.  I\'ve been waiting here all day.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/melios_purl.stf', '108', 'npc_smuggle_3', 'Thanks, friend. I\'ll make sure this gets to everyone who needs it. Dr. Purl has spoken highly of you. It was an honor and a pleasure to meet you. Take care.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/melios_purl.stf', '112', 'npc_work_1', 'Have you brought the farmer back yet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/melios_purl.stf', '113', 'next', 'If I have any more medical emergencies I need help with, I\'ll be sure and ask for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/melios_purl.stf', '114', 'npc_failure_1', 'I\'m so disappointed...');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/melios_purl.stf', '115', 'npc_failure_2', 'Now I don\'t know if we\'ll ever be able to stop the disease.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/melios_purl.stf', '116', 'npc_failure_3', 'I fear for our moisture farmers.  I wish you\'d managed to get them the vaccine...');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mikos_denari.stf', '1', 'npc_1_1', 'Mikos Dinari is the name, and I do have a problem I could use a bit of help with. There\'s Tusken Raiders out in the desert that want my hide. You think you could do something about it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mikos_denari.stf', '2', 'npc_1_2', 'I\'m still having trouble with those blasted Sand People. You did such a bang-up job last time -- maybe you\'re willing to help me out again?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mikos_denari.stf', '5', 'npc_2_1', 'I like you young folks. You got good hearts. One of those Tuskens is hot on my trail. I\'m safe here in town, but every time I try to leave, he\'s there waiting. See to it he doesn\'t bother me anymore, if you can. I surely would be grateful.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mikos_denari.stf', '6', 'npc_2_2', 'Good hearted! It\'s what I\'ve always said about you, and I stand by it. Maybe if you were to kill that Tusken Raider chief, they\'d decide that I wasn\'t worth all this trouble. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mikos_denari.stf', '8', 'npc_3_1', 'Well, danger ain\'t for everybody, is it? Don\'t you worry. I\'ll get by somehow.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mikos_denari.stf', '9', 'npc_3_2', 'I guess you had your fill of Sand People in that last encounter. Well, don\'t let an old man waste any more of your time. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mikos_denari.stf', '12', 'npc_4_1', 'I was out in the desert surveying, and I kind of lost my way. My supplies were running out when I stumbled on to that oasis. Turns out the Sand People are a mite protective of their water sources. I ran. Stumbled across a sandcrawler, and for a small fee, plus the things they managed to steal, the Jawas brought me here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mikos_denari.stf', '13', 'npc_4_2', 'I guess they\'re still angry about my drinking their water. Now their chief is hunting me. Every time I head out into the desert, he and some of his guards track me down, so I have to hightail it back to town. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mikos_denari.stf', '15', 'npc_reward_1', 'I can\'t thank you enough for helping me out of that mess. You be careful out in that desert now, y\'hear? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mikos_denari.stf', '16', 'npc_reward_2', 'Thanks to you, I can get back to my surveying and finally earn some credits again. I won\'t forget this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mikos_denari.stf', '18', 'player_1_1', 'Sure.  I can\'t stand Sand People!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mikos_denari.stf', '19', 'player_1_2', 'I still hate Sand People.  I\'ll definitely help.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mikos_denari.stf', '21', 'player_2_1', 'Sorry, but I don\'t mess with Sand People.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mikos_denari.stf', '22', 'player_2_2', 'I\'m not sure I want to do any more of this \'killing\' thing.  Sorry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mikos_denari.stf', '24', 'player_3_1', 'Why are the Sand People angry with you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mikos_denari.stf', '25', 'player_3_2', 'What sort of trouble are you having now?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mikos_denari.stf', '27', 'player_reset_1', 'I\'m sorry, but something came up.  I can\'t do this anymore.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mikos_denari.stf', '28', 'player_sorry_1', 'Not yet.  Once I find them, they\'ll be dealt with.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mikos_denari.stf', '29', 'npc_backtowork_1', 'Thank you for doing this.  This means a lot to me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mikos_denari.stf', '30', 'npc_reset_1', 'Well, danger ain\'t for everybody, is it? Don\'t you worry. I\'ll get by somehow.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mikos_denari.stf', '31', 'cantwork', 'Hey there, friend. Watch yourself out in the desert. It\'s too easy to get lost. Made trouble for me, but I see you\'re busy. Come on back later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mikos_denari.stf', '33', 'npc_work_1', 'Have you dispatched the Tusken Raiders?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mikos_denari.stf', '34', 'npc_work_2', 'Are those evil things going to bother me any more?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mikos_denari.stf', '42', 'npc_backtowork_2', 'Well, when you\'re victorious, come back and let me know!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mikos_denari.stf', '44', 'npc_reset_2', 'I guess you had your fill of Sand People in that last encounter. Well, don\'t let an old man waste any more of your time. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mikos_denari.stf', '46', 'player_reset_2', 'I\'m sorry, but I can\'t do this anymore.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mikos_denari.stf', '48', 'player_sorry_2', 'I don\'t know.  I know that I haven\'t taken care of them yet for now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/mikos_denari.stf', '49', 'next', 'I think I\'m in the clear thanks to you. If I get in any more trouble I\'ll let you know.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/nitra_vendallan.stf', '1', 'npc_1_1', 'An Imperial Army non-com is defecting to the Alliance. I need someone to escort him here before the Empire gets him.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/nitra_vendallan.stf', '2', 'npc_1_2', 'Friend of mine, Vil Sembian -- ever hear of his dad, Daw Sembian, the famous weaponsmith? Doesn\'t matter, Daw\'s dead now. He left Vil the schematic for a new kind of blaster. Vil is bringing us the plans, but the Empire\'s on his tail. I need you to bring him here safely.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/nitra_vendallan.stf', '5', 'npc_2_1', 'Great! His name\'s Drenn Biktor. A tiny nothing of a man, but don\'t tell him I said that. Bring him here safely.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/nitra_vendallan.stf', '6', 'npc_2_2', 'Good. Get going. I\'ve got more crises to deal with here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/nitra_vendallan.stf', '8', 'npc_3_1', 'Fine. I\'ll get someone else to keep this sleemo alive. Enjoy your day.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/nitra_vendallan.stf', '9', 'npc_3_2', 'Right. I\'ll just hope someone else decides to help change the course of the war. Nice outfit. Bye now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/nitra_vendallan.stf', '12', 'npc_4_1', 'He knows more about Imperial Outer Rim supply routes than anyone could and stay sane. We can use that data to interdict their shipments. C\'mon, I\'m aging rapidly here. Decision? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/nitra_vendallan.stf', '13', 'npc_4_2', 'I don\'t know why the blaster is so special. My commander says it could tip the scales in our favor. Good enough for me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/nitra_vendallan.stf', '15', 'npc_reward_1', 'Good work, another victory for the Alliance. Now I have to get this guy offworld. Gaah, one more crisis.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/nitra_vendallan.stf', '16', 'npc_reward_2', 'Great. I\'ll have these schematics sent to High Command. Hopefully they are what we need. If we just had more soldiers of your skill and determination, the Alliance would already have freed the galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/nitra_vendallan.stf', '18', 'player_1_1', 'Yes, I\'m interested.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/nitra_vendallan.stf', '19', 'player_1_2', 'Sure, I\'ll do it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/nitra_vendallan.stf', '21', 'player_2_1', 'Not interested.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/nitra_vendallan.stf', '22', 'player_2_2', 'Sorry, I don\'t want to get involved.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/nitra_vendallan.stf', '24', 'player_3_1', 'Why is an Imperial Army non-com important?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/nitra_vendallan.stf', '25', 'player_3_2', 'What\'s so special about this blaster?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/nitra_vendallan.stf', '27', 'player_reset_1', 'I don\'t know, and I really don\'t care.  I\'ve changed my mind about this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/nitra_vendallan.stf', '28', 'player_sorry_1', 'I don\'t know, but I don\'t like the sound of that.  I haven\'t picked him up yet.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/nitra_vendallan.stf', '29', 'npc_backtowork_1', 'It\'s just that you can never tell about these kinds of things.  I\'m hoping he really means to defect.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/nitra_vendallan.stf', '30', 'npc_reset_1', 'Fine. I\'ll get someone else to keep this sleemo alive. Enjoy your day.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/nitra_vendallan.stf', '31', 'cantwork', 'Sorry, can\'t talk now. I\'m busy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/nitra_vendallan.stf', '32', 'dontknowyou_1', 'Unless of course you\'re an Imperial.  If so, that was just one big joke.  Umm.. bye!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/nitra_vendallan.stf', '33', 'npc_work_1', 'Did it turn out to be a trap after all?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/nitra_vendallan.stf', '34', 'npc_work_2', 'Were you able to find him?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/nitra_vendallan.stf', '36', 'npc_breech_1', 'Help! The Empire will kill me when they learn I\'m gone. I have to be taken to a place of safety!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/nitra_vendallan.stf', '37', 'npc_breech_2', 'Identify yourself before you get any closer!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/nitra_vendallan.stf', '42', 'npc_backtowork_2', 'Well, you should hurry.  I don\'t know how much time he has left.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/nitra_vendallan.stf', '44', 'npc_reset_2', 'Right. I\'ll just hope someone else decides to help change the course of the war. Nice outfit. Bye now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/nitra_vendallan.stf', '46', 'player_reset_2', 'I\'ve changed my mind.  I could get hurt doing this, and don\'t like that idea.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/nitra_vendallan.stf', '48', 'player_sorry_2', 'Not yet.  I\'m on my way to save him right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/nitra_vendallan.stf', '50', 'npc_takeme_1', 'Thank you. I don\'t know what will happen to me now. But I couldn\'t go on serving the Empire. I had friends on Alderaan!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/nitra_vendallan.stf', '51', 'npc_takeme_2', 'You\'re taking me to Captain Vendallan? Thank goodness. I thought the next place I was heading for was a Imperial prison camp.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/nitra_vendallan.stf', '53', 'dontknowyou_2', 'Nevermind.  I thought you with with someone else.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/nitra_vendallan.stf', '54', 'next', 'I don\'t have anything you can help me with right now. Try me again later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/nitra_vendallan.stf', '55', 'notyet', 'What do you want? You\'re not part of my organization, I have nothing to say to you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/nitra_vendallan.stf', '56', 'npc_failure', 'What? Dead? How could that happen. This is not good.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/om_aynat.stf', '1', 'npc_1_1', 'Well, hello! Can you help me? I\'m expecting a rep from the Sand Dragon Fresher company to bring some supplies -- but the rep has gotten lost on the way to Bestine. If you find him and bring him to my humble stand, I can give you a fine bottle of Corellian Ale. I have surplus!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/om_aynat.stf', '2', 'npc_1_2', 'I hope you enjoyed the Corellian ale! Urgh, I could use a drink myself. I\'m embroiled in a legal battle with a failing cafe owner in Mos Taike. She claims she owns the recipe for my special creation, Talusian Flatbread. She lies! My legal advocate just sent a distress message from outside town. Can you escort him here?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/om_aynat.stf', '3', 'npc_1_3', 'I\'m preparing a banquet for my longtime friend and benefactor, Moff Aryon. As a surprise, I\'ve recruited the illustrious chef from the Fallen Star hotel. Yes! Unfortunately, the chef is notorious for lateness. So if you\'re willing, I\'d like you to escort the chef to me. Yes? No?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/om_aynat.stf', '5', 'npc_2_1', 'Great! I\'m in desperate need of new supplies. Be careful, now!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/om_aynat.stf', '6', 'npc_2_2', 'Excellent! I look forward to your return, and an end to this frivolous lawsuit!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/om_aynat.stf', '7', 'npc_2_3', 'Good. I can\'t extend an invitation to the banquet -- very high-tone, you know. But I can certainly provide a worthwhile reward.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/om_aynat.stf', '8', 'npc_3_1', 'I understand. Perhaps some other time? Take care.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/om_aynat.stf', '9', 'npc_3_2', 'Wellll -- as you will. I\'m not sure what I\'ll do about this lawsuit, but -- as you will!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/om_aynat.stf', '10', 'npc_3_3', 'I understand. If I could extend an invitation to the banquet, it might be more attactive, no? Maybe later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/om_aynat.stf', '12', 'npc_4_1', 'My name is Om Aynat. Long ago I trained as a chef on Talus, but -- well -- bad things happened. After bouncing unhappily from system to system, I wound up starting this food stand, financed by my friend Tour Aryon. Now, what about my task?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/om_aynat.stf', '13', 'npc_4_2', 'Under the master chef in Restuss, I was once assigned to make Talusian bread for a cruiser-load of students. I didn\'t like them, so as a prank I left out the fermenters. The flattened bread was a towering sensation! But when the Corellia HoloNet service wanted to do a story about it, the master expelled me. Suspicious, no? I got no credit, and ever since, I have faced countless liars who claim to have created my bread. Will you help me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/om_aynat.stf', '14', 'npc_4_3', 'It\'s just a nice thing to do! Right after I was exiled from the culinary conservatory in Restuss, a friend in the Imperial Navy introduced us. She embodies the greatness of the Empire: fair-handed, even-tempered and, well, just a fantastic person! So of course you\'ll take the assignment, no?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/om_aynat.stf', '15', 'npc_reward_1', 'Careful with this thing. It\'s put together well, but if you crush it, it won\'t be worth a scurrier\'s ear.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/om_aynat.stf', '16', 'npc_reward_2', 'Here\'s your official proclamation. It won\'t be valid unless and until I get elected. But just in case, hang onto it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/om_aynat.stf', '17', 'npc_reward_3', 'Here you go. This is a picture I took during liftoff from an Outer Rim planet. That picture is the only one of its kind in this system. Beautiful, no?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/om_aynat.stf', '18', 'player_1_1', 'Yes. I will find and bring the representative.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/om_aynat.stf', '19', 'player_1_2', 'Yes. I will escort the advocate to you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/om_aynat.stf', '20', 'player_1_3', 'Yes. I will retrieve the chef for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/om_aynat.stf', '21', 'player_2_1', 'No. I have no time for this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/om_aynat.stf', '22', 'player_2_2', 'No. I can\'t do this for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/om_aynat.stf', '23', 'player_2_3', 'No. I can\'t.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/om_aynat.stf', '24', 'player_3_1', 'Who are you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/om_aynat.stf', '25', 'player_3_2', 'Did you invent Talusian Flatbread?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/om_aynat.stf', '26', 'player_3_3', 'Why are you hosting a banquet for Tour Aryon?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/om_aynat.stf', '27', 'player_reset_1', 'I will not be able to escort him back any longer.  Sorry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/om_aynat.stf', '28', 'player_sorry_1', 'No, not yet.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/om_aynat.stf', '29', 'npc_backtowork_1', 'Be sure to let me know when you have.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/om_aynat.stf', '30', 'npc_reset_1', 'I understand. Perhaps some other time? Take care.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/om_aynat.stf', '31', 'cantwork', 'Well, hello! I am Om Aynat, creator of Bestine\'s most famous Talusian Flatbread! Unfortunately I am out of bread right now. Please return later!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/om_aynat.stf', '32', 'dontknowyou_1', 'Hello, stranger. I can\'t talk now -- I\'m waiting for someone else.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/om_aynat.stf', '33', 'npc_work_1', 'Have you found the Sand Dragon \'Fresher rep yet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/om_aynat.stf', '34', 'npc_work_2', 'Have you found my advocate yet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/om_aynat.stf', '35', 'npc_work_3', 'Have you found the chef yet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/om_aynat.stf', '36', 'npc_breech_1', 'Hello there!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/om_aynat.stf', '37', 'npc_breech_2', 'Hello there!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/om_aynat.stf', '38', 'npc_breech_3', 'Hello there!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/om_aynat.stf', '42', 'npc_backtowork_2', 'Be sure to let me know when you have.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/om_aynat.stf', '43', 'npc_backtowork_3', 'Be sure to let me know when you have.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/om_aynat.stf', '44', 'npc_reset_2', 'Wellll -- as you will. I\'m not sure what I\'ll do about this lawsuit, but -- as you will!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/om_aynat.stf', '45', 'npc_reset_3', 'I understand. If I could extend an invitation to the banquet, it might be more attactive, no? Maybe later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/om_aynat.stf', '46', 'player_reset_2', 'I will not be able to escort him back any longer.  Sorry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/om_aynat.stf', '47', 'player_reset_3', 'I will not be able to escort him back any longer.  Sorry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/om_aynat.stf', '48', 'player_sorry_2', 'No, not yet.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/om_aynat.stf', '49', 'player_sorry_3', 'No, not yet.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/om_aynat.stf', '50', 'npc_takeme_1', 'Whew! I thought I\'d be stuck here forever. Can you lead me to Om, please?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/om_aynat.stf', '51', 'npc_takeme_2', 'Ah yes. Could you take me to Om Aynat, if you please?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/om_aynat.stf', '52', 'npc_takeme_3', 'Aynat sent you? Nonsense. Plenty of time, plenty of t-- gad! Look at the time! And I have so much still to prepare! Quick, take me to Aynat!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/om_aynat.stf', '53', 'dontknowyou_2', 'Hello, stranger. I can\'t talk now -- I\'m waiting for someone else.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/om_aynat.stf', '54', 'dontknowyou_3', 'Hello, stranger. I can\'t talk now -- I\'m waiting for someone else.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/om_aynat.stf', '55', 'dontknowyou_4', 'Hello, stranger. I can\'t talk now -- I\'m waiting for someone else.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/om_aynat.stf', '61', 'npc_1_4', 'The Planetary Museum curator runs a matchmaking business on the side called \"Dune-Hearts.\" But the museum\'s antique messenger droid accidentally gave all the clients bad locations in their datapads. Now they\'re wandering the desert, searching vainly for their true loves. Can you escort one back here so I can set him straight?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/om_aynat.stf', '64', 'npc_2_4', 'Wonderful! I\'m sure that the message droid problems will be fixed by the time you return. Be careful!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/om_aynat.stf', '67', 'npc_3_4', 'Yes, well -- I suppose people should solve their own problems. Thank you for your time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/om_aynat.stf', '70', 'npc_4_4', 'I\'m not sure. Perhaps being a curator of antiquities makes one unnecessarily fond of old, broken things. It certainly seemed to make him an old, broken thing. But if he keeps hanging onto that droid, we\'ll have many more people stranded out in the desert, looking for love. Symbolic, no? Well, what\'s your answer?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/om_aynat.stf', '73', 'npc_backtowork_4', 'Be sure to let me know when you have.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/om_aynat.stf', '76', 'npc_breech_4', 'Hello there!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/om_aynat.stf', '79', 'npc_reset_4', 'Yes, well -- I suppose people should solve their own problems. Thank you for your time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/om_aynat.stf', '82', 'npc_reward_4', 'Here\'s a recording rod that I paid far too much for. It\'s valuable but fragile. Be careful with it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/om_aynat.stf', '85', 'npc_takeme_4', 'You\'re not my date! But hey, after all this time wandering out here, even you look good. Wait, I didn\'t mean how that sounded!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/om_aynat.stf', '88', 'npc_work_4', 'Have you found the star-crossed lover yet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/om_aynat.stf', '91', 'player_1_4', 'Yes. I will bring a client here to you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/om_aynat.stf', '94', 'player_2_4', 'No. Sorry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/om_aynat.stf', '97', 'player_3_4', 'Why doesn\'t he get a new messenger droid?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/om_aynat.stf', '100', 'player_reset_4', 'I will not be able to escort him back any longer.  Sorry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/om_aynat.stf', '103', 'player_sorry_4', 'No, not yet.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/om_aynat.stf', '104', 'next', 'Maybe I\'ll find more work for you later. Right now I need to make more flatbread.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '1', 'npc_1_1', 'I\'m Custodial Officer here. Ihh, fallen a long way from my good days -- never mind. Got problems with womp rats, and I want \'em dead. All of \'em. Got a budget for pest removal, so I can pay. Interested?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '2', 'npc_1_2', 'Got more problems with animals -- mynocks, now. Not space mynocks, but the ground-bound Tatooine kind. Not the kind of problem I used to worry about as an Imperial officer, but anyway -- You interested?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '3', 'npc_1_3', 'Know those big dragonets? They\'re prowling around the trash compactors here, growling at the troops. I need \'em dead. That\'s my life now, lining up pest control. One trip to the forest moon, and poof! Disaster.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '5', 'npc_2_1', 'Right. I\'ve found where they sleep. Destroy them, then check back here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '6', 'npc_2_2', 'Good. Those mynocks are eating the silica right out of my walls. Blow up their hive, or whatever it is, and check back here for payment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '7', 'npc_2_3', 'Good. Folks say those dragonets are young krayt dragons. Don\'t know about that, but be careful anyway. Kill \'em and report back here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '8', 'npc_3_1', 'Ihh, well, pardon me for living. I\'m getting back to work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '9', 'npc_3_2', 'Ihh, well, pardon me for living. I\'m getting back to work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '10', 'npc_3_3', 'Ihh, well, pardon me for living. I\'m getting back to work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '12', 'npc_4_1', 'Oh, they get into the water tanks, and -- ihh, I tell a lie. Truth is, I just hate furry things. Empire sent me to some forest moon in the back end of nowhere. Little furry creatures there made trouble all day, every day. Ever since, I like to see furry things die horribly. What about it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '13', 'npc_4_2', 'I was records officer on an Imperial scouting mission to this one forest moon -- place you never heard of. Didn\'t like the place, and said so. Seems the Emperor himself saw my report. That can end a career fast. Anyway, these mynocks -- will you kill \'em?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '14', 'npc_4_3', 'Me? After Endor, I got put on lonely duty riding solar focusing mirrors in orbit around Coruscant. Thought that was the worst duty in the galaxy, \'til I got sent here. About those dragonets -- want to kill \'em?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '15', 'npc_reward_1', 'Nice job. I hope those rats screeched loud as they died. Ihh, me, once an officer, fallen to gloating over dead womp rats! Life\'s funny.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '16', 'npc_reward_2', 'Good. Mynocks -- lousy vermin, worse than Ewoks. Ihh? What\'s an Ewok? Never mind, you don\'t want to know.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '17', 'npc_reward_3', 'Good. Dragonets, huh. Let a few of \'em loose on Endor, and the Ewok population would drop pretty dramatically.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '18', 'player_1_1', 'Sounds like an easy job.  I\'ll do it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '19', 'player_1_2', 'I like killing mynocks.  Sure, I\'ll get it done.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '20', 'player_1_3', 'I\'ll kill them for you, yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '21', 'player_2_1', 'I\'m not a lowly exterminator.  Get some lowlife to do it!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '22', 'player_2_2', 'How could you think of killing those adorable little things.  No, I won\'t do it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '23', 'player_2_3', 'No, I won\'t do this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '24', 'player_3_1', 'Why do you want the womp rats killed?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '25', 'player_3_2', 'If you were an officer, why are you a custodian now?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '26', 'player_3_3', 'What did you do after the forest moon mission?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '27', 'player_reset_1', 'I can\'t kill them.  They\'re too cute.  I can\'t believe you would dare to have me kill those little furry things.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '28', 'player_sorry_1', 'No, not yet.  They\'re wily little things.  I\'ll let you know when they\'re all gone.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '29', 'npc_backtowork_1', 'Ihh.. now you see why I hate them.  Wipe them from the face of this planet, then tell me when you are triumphant.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '30', 'npc_reset_1', 'Ihh, well, pardon me for living. I\'m getting back to work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '31', 'cantwork', 'Visitor? Ihhh, no idea why. Not much of interest way up here. But go ahead, look around. Watch out for vermin. Don\'t mess up the place.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '33', 'npc_work_1', 'Ihhh... you done already?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '34', 'npc_work_2', 'All mynocks dead, yes?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '35', 'npc_work_3', 'No more Dragonets?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '42', 'npc_backtowork_2', 'They\'re not the ones that haunt me...');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '43', 'npc_backtowork_3', 'Good, good, get it done.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '44', 'npc_reset_2', 'Ihh, well, pardon me for living. I\'m getting back to work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '45', 'npc_reset_3', 'Ihh, well, pardon me for living. I\'m getting back to work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '46', 'player_reset_2', 'No, I\'ve changed my mind.  They deserve to live just as you and I.  Well... more the \"I\" part.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '47', 'player_reset_3', 'No, I\'m not doing your duty work for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '48', 'player_sorry_2', 'Not yet, but soon.  Soon they will no longer haunt your waking days.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '49', 'player_sorry_3', 'I am still killing them all.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '61', 'npc_1_4', 'Dune lizards. Hate \'em. They think this is their territory. One Imperial officer gets eaten, and suddenly it\'s my problem. Now it\'s yours. Kill \'em -- the lizards, not the troops. Don\'t have any credits left in the budget, but maybe I can work out some other payoff.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '64', 'npc_2_4', 'Good. Check back here after you kill all those lizards.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '67', 'npc_3_4', 'Ihh, well, pardon me for living. I\'m getting back to work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '70', 'npc_4_4', 'You want to go? Heh. Way back when, Imperial Security sent me a duplicate security clearance for Endor by mistake. Tell you what -- you take out these lizards, I\'ll give you that clearance.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '73', 'npc_backtowork_4', 'Good, good.  You might be an Imperial officer some day!  Tell me when they\'re all dead, okay?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '79', 'npc_reset_4', 'Ihh, well, pardon me for living. I\'m getting back to work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '82', 'npc_reward_4', 'Good work! Here, take this. Not sure why I saved a painting of that horrible place, can\'t stand to look at it anyway.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '88', 'npc_work_4', 'All of the Dune Lizards dead?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '91', 'player_1_4', 'I\'ll wipe them from the face of this planet!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '94', 'player_2_4', 'No, that\'s a bit too dangerous.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '97', 'player_3_4', 'Where is the forest moon you visited?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '100', 'player_reset_4', 'No, no more killing these animals!  I\'m through with this, you crazy old man!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '103', 'player_sorry_4', 'Yes, they\'re all dead. But... more showed up, so I\'ll kill them as well.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '104', 'next', 'I don\'t have the funds to hire you any more. Come see me later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '105', 'return_waypoint_description_1', 'Return to Pfilbee Jhorn to report that mission is completed.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '106', 'return_waypoint_description_2', 'Return to Pfilbee Jhorn to report that mission is completed.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '107', 'return_waypoint_description_3', 'Return to Pfilbee Jhorn to report that mission is completed.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '108', 'return_waypoint_name_4', 'Pfilbee Jhorn');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '109', 'return_waypoint_description_4', 'Return to Pfilbee Jhorn to report that mission is completed.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '110', 'waypoint_name_1', 'Womp rats');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '111', 'return_waypoint_name_2', 'Pfilbee Jhorn');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '112', 'return_waypoint_name_1', 'Pfilbee Jhorn');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '113', 'waypoint_name_2', 'Tatooine Mynocks');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '114', 'waypoint_name_3', 'Dragonets');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '115', 'waypoint_name_4', 'Dune Lizards');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '116', 'return_waypoint_name_3', 'Pfilbee Jhorn');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '117', 'waypoint_description_1', 'You have been ordered to exterminate the Womp Rats at this location by Pfilbee Jhorn.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '118', 'waypoint_description_2', 'You have been ordered to exterminate the Tatooine Mynocks at this location by Pfilbee Jhorn.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '119', 'waypoint_description_3', 'You have been ordered to exterminate the Dragonets at this location by Pfilbee Jhorn.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '120', 'waypoint_description_4', 'You have been ordered to exterminate the Dune Lizards at this location by Pfilbee Jhorn.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/pfilbee_jhorn.stf', '121', 'notyet', 'Who are you? Only loyal soldiers of the Empire should be in here!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/phinea_shantee.stf', '1', 'npc_1_1', 'You offering me some help? I could sure use it, friend. Remember how I said that sabacc was bad for you? Well, somehow I got some dangerous characters mad at me. They insist I cheated and owe them money (something about an extra ace). Long story short, I ain\'t got it so a brute is on his way to break my shapely legs. Help?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/phinea_shantee.stf', '2', 'npc_1_2', 'You are one sweet individual. You know that? I\'ll gladly accept your help again, ace. I know you took care of the Wookiee, but he was just hired muscle. His boss is still after me. Think you can get rid of him for me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/phinea_shantee.stf', '5', 'npc_2_1', 'See? I told myself you had a kind face. I\'m rarely wrong about these things. The thug\'s a Wookiee with absolutely no sense of humor. Goes by the name of Chalurrekk, although you can call him Chumpy. He likes that.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/phinea_shantee.stf', '6', 'npc_2_2', 'Is it any wonder you\'re so popular, ace? This creep\'s name is Korrkoressk. He\'s a Trandoshan, in case you couldn\'t tell from the name. Don\'t let this killer get the drop on you - he\'s one deadly lizard. Shoot first, save the questions for a cutie at the bar. I\'m rooting for ya.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/phinea_shantee.stf', '8', 'npc_3_1', 'Oh, right. Not your problem. I gotcha. Well, nice talking to you. I gotta find someplace to hide.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/phinea_shantee.stf', '9', 'npc_3_2', 'I understand. This guy\'s a serious gangster. I believe he\'s connected to the main slug himself, Jabba. I suppose if I were you I wouldn\'t wanna get involved either. Wish me luck, at least.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/phinea_shantee.stf', '12', 'npc_4_1', 'Cheat? Me? Do I look like the kind of gambler that would be caught cheating? Please, I\'m way too clever for that. No, these slugs just thought it was me. The extra ace belonged to the Rodian who slipped out as soon as the trouble started.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/phinea_shantee.stf', '13', 'npc_4_2', 'Now I don\'t want this to worry you, but this guy\'s a serious gangster. I think he has ties with the big slug himself, Jabba. Not that I think you couldn\'t take him. Besides, how will Jabba ever find out it was you who made this loser disappear? I won\'t tell. Honest.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/phinea_shantee.stf', '15', 'npc_reward_1', 'You\'re a pal! I knew you could take old Chumpy! As I said, I don\'t have any money but I can give you this. It\'ll bring you good luck. Honest. No, really.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/phinea_shantee.stf', '16', 'npc_reward_2', 'You took that killer out? Really? Wow! You\'re one tough gundark, ace! I was saving this for a special occasion but this certainly seems to qualify. Enjoy it, ace. You\'ve earned it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/phinea_shantee.stf', '18', 'player_1_1', 'That;\'s not right, them beating on a lady like you.  I\'ll help.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/phinea_shantee.stf', '19', 'player_1_2', 'I won\'t let anyone harm a lady!  I\'ll kill the crime boss for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/phinea_shantee.stf', '21', 'player_2_1', 'I don\'t see why I should get involved with this.  No thanks.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/phinea_shantee.stf', '22', 'player_2_2', 'Now you\'re taking it a bit far.  No, I won\'t get that for into this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/phinea_shantee.stf', '24', 'player_3_1', 'Did you cheat?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/phinea_shantee.stf', '25', 'player_3_2', 'Who\'s the Wookiee\'s boss?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/phinea_shantee.stf', '27', 'player_reset_1', 'Probably, but I don\'t want anything to do with this anymore.  Sorry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/phinea_shantee.stf', '28', 'player_sorry_1', 'Yes, he still is, but I\'m setting a trap for him.  You needn\'t worry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/phinea_shantee.stf', '29', 'npc_backtowork_1', 'Good.  I thank you, my good friend.  Let me know when I am fully safe.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/phinea_shantee.stf', '30', 'npc_reset_1', 'Oh, right. Not your problem. I gotcha. Well, nice talking to you. I gotta find someplace to hide.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/phinea_shantee.stf', '31', 'cantwork', 'Boy do I have problems. I\'d share them with you but you seem kinda busy. If you get some time off, check back with me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/phinea_shantee.stf', '32', 'dontknowyou_1', 'Wraaaarrrhhhhh!!!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/phinea_shantee.stf', '33', 'npc_work_1', 'So, is the thug still coming for me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/phinea_shantee.stf', '34', 'npc_work_2', 'has that horrible Trandoshan been taken care of?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/phinea_shantee.stf', '36', 'npc_breech_1', 'Snort! Grrumph! GRRWORRR!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/phinea_shantee.stf', '37', 'npc_breech_2', 'You work for Valarian? You kill me and you\'re as good as dead.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/phinea_shantee.stf', '42', 'npc_backtowork_2', 'I\'ll stay hidden until then.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/phinea_shantee.stf', '44', 'npc_reset_2', 'I understand. This guy\'s a serious gangster. I believe he\'s connected to the main slug himself, Jabba. I suppose if I were you I wouldn\'t wanna get involved either. Wish me luck, at least.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/phinea_shantee.stf', '46', 'player_reset_2', 'You know what?  Nevermind.  I\'m not interested in helping you out.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/phinea_shantee.stf', '48', 'player_sorry_2', 'Not yet.  His guards are a bit difficult.  I\'ll let you know when he\'s gone.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/phinea_shantee.stf', '53', 'dontknowyou_2', 'Get out of my face.  I don\'t know you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/phinea_shantee.stf', '54', 'next', 'I\'m all set for now, ace. Check back with me later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '1', 'npc_1_1', 'Well then. This is not to go beyond this office. A certain Imperial official has assiduously fabricated false evidence to implicate this office in a bribery scandal. Lies, I assure you. A henchman is even now heading toward Bestine to deliver this evidence. In the name of truth and fairness, you are to assassinate this henchman.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '2', 'npc_1_2', 'The Stormtroopers in my Guardian Squadron recently found and destroyed an advanced assassin droid. A similar droid killed my predecessor, Orun Depp. Evidence on the droid implicates Gohn Bimmin, a droid engineer in my own service. Will you find and kill this traitor?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '3', 'npc_1_3', 'The droid engineer you recently terminated for me was hired by members of the Hutt gang. I have identified the intermediary who bribed the engineer. Will you execute my righteous revenge?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '5', 'npc_2_1', 'Very well. You seek a minor gangster called Akkar Plint. He belongs to the notorious Swang\'s Swoopers gang. I doubt he\'ll be heavily armed, but then, I have no idea of your own capacities. Therefore, expect the worst.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '6', 'npc_2_2', 'I thought so. One of my operatives planted a tracking beacon on Bimmin, and I have waited to take my vengeance until he is likely to be isolated and alone. That time has arrived. Go.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '7', 'npc_2_3', 'Splendid. Through you I now carry my war against the Hutt gang straight to their own doorways. Your way lies clear!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '8', 'npc_3_1', 'As you will. Note that if I hear rumors circulating regarding this henchman\'s sad fate, I will know who spread the rumors, and it will go badly for you. You may go.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '9', 'npc_3_2', 'It is unimaginable to me that you would allow such treachery to go unpunished. I shall remember that about you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '10', 'npc_3_3', 'I am perplexed. Is the hunting and killing of a known criminal beneath you? How nice to have such lofty morals. This meeting is over.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '12', 'npc_4_1', 'I\'m sure the official\'s identity falls within a security classification higher than any you possess. Do you want this assignment?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '13', 'npc_4_2', 'I suspect the traitorous Bimmin has been bribed by one of the Hutt gangsters. I have spread far and wide, even to Imperial Center, that I am determined to root out their evil. They fear me, as who would not? Will you take the assignment?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '14', 'npc_4_3', 'Your quarry is an alien, an escaped slave of the Wookiee species. He is one of Jabba\'s many hirelings. Killing that thug will only benefit this world and this office. What do you say?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '15', 'npc_reward_1', 'You have struck a blow for the integrity of this office! Damage to the Prefecture would have been severe. That would only weaken the social fabric of this great -- er -- of this world. Return to me in the future for more work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '16', 'npc_reward_2', 'This hopeless betrayer has come to a just end. Never forget that to obstruct the rise of Talmont is to meddle with forces beyond control!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '17', 'npc_reward_3', 'This stern teaching has now been tattooed on this world\'s dark underbelly: To attack Talmont is to commit folly! Fine work; you may contact me again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '18', 'player_1_1', 'I understand and accept this duty.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '19', 'player_1_2', 'I will deal with this traitor personally.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '20', 'player_1_3', 'I shall do so for the glory of the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '21', 'player_2_1', 'I will assassinate no one!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '22', 'player_2_2', 'I cannot do this.  There are other ways of bringing him to justice.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '23', 'player_2_3', 'No, I do not answer to you, Prefect.  Send one of your cronies.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '24', 'player_3_1', 'Who is the \"certain Imperial official\" that the henchman works for?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '25', 'player_3_2', 'Why would your own engineer try to kill you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '26', 'player_3_3', 'Who bribed the engineer?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '27', 'player_reset_1', 'I have reconsidered.  I\'m not a professional assassin by heart, and I can no longer do this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '28', 'player_sorry_1', 'Not yet, but I\'m about to leave to take care of him.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '29', 'npc_backtowork_1', 'You must make haste.  If that false information reaches the hands of Tour Aryon, this will come down on your head.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '30', 'npc_reset_1', 'As you will. Note that if I hear rumors circulating regarding this henchman\'s sad fate, I will know who spread the rumors, and it will go badly for you. You may go.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '31', 'cantwork', 'You have a lot to do already. Come see me when you\'ve got a little more free time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '32', 'dontknowyou_1', 'Nevermind, I don\'t know you.  Sorry about that.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '33', 'npc_work_1', 'Has the messenger been taken care of?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '34', 'npc_work_2', 'Has Bimmin been taken care of?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '35', 'npc_work_3', 'I assume you have dealt with the thug, correct?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '36', 'npc_breech_1', 'You try killin\' me, an\' the Moff\'ll be all over you, you creep! That\'s right! Tour Aryon, an\' none other!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '37', 'npc_breech_2', 'Aah! Talmont found out! I knew that gangster would -- Well, I didn\'t take all that money just to die young and poor!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '38', 'npc_breech_3', 'Hnnaarrgh!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '42', 'npc_backtowork_2', 'You must be more efficient than this.  The longer you wait, the better a chance he has to escape.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '43', 'npc_backtowork_3', 'You have the opportunity to teach Jabba not to interfere with the Empire, yet you tarry.  I highly suggest you expedite this, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '44', 'npc_reset_2', 'It is unimaginable to me that you would allow such treachery to go unpunished. I shall remember that about you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '45', 'npc_reset_3', 'I am perplexed. Is the hunting and killing of a known criminal beneath you? How nice to have such lofty morals. This meeting is over.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '46', 'player_reset_2', 'I\'ve changed my mind.  I cannot kill someone in cold blood.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '47', 'player_reset_3', 'No, I\'m not going to be able to this after all.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '48', 'player_sorry_2', 'No, he has eluded me, but not for long.  He will be taken care of shortly.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '49', 'player_sorry_3', 'I... um.. got the wrong Wookiee.  I\'m still tracking down the one working for Jabba.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '53', 'dontknowyou_2', 'Oh, I\'m sorry.  I thought you were here to - well - nevermind.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '54', 'dontknowyou_3', 'Hnnaarrgh.  Hngh.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '55', 'dontknowyou_4', 'Oooh.  I thought you is someone who you is not.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '56', 'dontknowyou_5', 'Oh, sorry, I thought you were someone else.  Carry on.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '57', 'dontknowyou_6', 'You don\'t work for the Prefect?  Oh, okay.  I\'m sorry about that misunderstanding.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '61', 'npc_1_4', 'The planetary governor, Tour Aryon, has enlisted an ISB officer in a foolish quest to complicate my life. Of course I respect the ISB, but the informant who lied to that officer must die. This task falls to you, if you will.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '62', 'npc_1_5', 'Discretion is mandatory. The Moff has embarked on another silly scheme to discredit me. She has inveigled an Imperial Intelligence officer to slander my office. I may have ways of dealing with the officer, but I am hampered by his formidable Zabrak bodyguard. I require you to dispose of the guard, so that I can work my will.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '63', 'npc_1_6', 'The madwoman Tour Aryon has lured an Imperial Inquisitor to Tatooine! Insanity! The Inquisitor is even now tort-- interrogating informants at the Pit of Carkoon. Heed me: There is one man, not yet caught, who absolutely must not fall into the Inquisitor\'s grasp. You must terminate that individual at once.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '64', 'npc_2_4', 'You seek a Bothan female named Nwilla Thar-- Thal-- well, \"Nwilla\" will do. Watch those Bothans. They\'re crafty. Go!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '65', 'npc_2_5', 'My spies have placed the Zabrak bodyguard at these coordinates. Move quickly, and expect pronounced resistance from the target. Tell no one!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '66', 'npc_2_6', 'Here are the coordinates. Move quickly. Leave no one alive.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '67', 'npc_3_4', 'I daresay your unpredictability must serve you in battle. But it is a charmless trait in social life. You may go now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '68', 'npc_3_5', 'For once I cannot blame you. This assignment is more challenging than most of your ilk could handle. You may go.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '69', 'npc_3_6', 'Speak of this to no one. Get out.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '70', 'npc_4_4', 'The Moff may mean well, in her wayward, slapdash way. But her methods are misguided. Pernicious. I will say no more. What is your decision?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '71', 'npc_4_5', 'The Intelligence officer\'s bodyguard is Klaua Jik, a female veteran of the Dathomir prison. She was drummed out for insubordination and has since lived a renegade existence. The Imperial officer hired her, freelance, specifically for this trip.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '72', 'npc_4_6', 'He was my -- I was -- never mind! I shall only say that if this man falls into the Inquisitor\'s hands, my career is over. Do you hear? Over! Accept or refuse, now!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '73', 'npc_backtowork_4', 'You must not delay.  Take care of this and do not return until unless you have positive news to report.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '74', 'npc_backtowork_5', 'This is good news.  Return when you have a full report on the events that transpired.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '75', 'npc_backtowork_6', 'Do NOT tell me what and what not to do.  Until he is dead, I have much to worry about.  Remove him immediately!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '76', 'npc_breech_4', 'Ick! No! I was guarantee-ee-ed ee-muniteee!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '77', 'npc_breech_5', 'Are you the one who tricked me away from my boss? You lousy scum, I\'ll kill you! ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '78', 'npc_breech_6', 'Wha-- who sent you? The Prefect? He would never do that! Liar!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '79', 'npc_reset_4', 'I daresay your unpredictability must serve you in battle. But it is a charmless trait in social life. You may go now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '80', 'npc_reset_5', 'For once I cannot blame you. This assignment is more challenging than most of your ilk could handle. You may go.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '81', 'npc_reset_6', 'Speak of this to no one. Get out.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '82', 'npc_reward_4', 'Before long the criminal underworld of Tatooine will understand my mighty purpose. And the lessons that I hone and perfect here. These lessons I will carry on to greater horizons!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '83', 'npc_reward_5', 'This is good news. I remind you to keep these proceedings secret, or you yourself will meet the Zabrak\'s fate.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '84', 'npc_reward_6', 'Your services has been invaluable to me and the greater good of the Empire. It\'s a sad time when wearing the Prefect\'s uniform is to wrap oneself in thorns and razorwire. Go, I am distraught.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '88', 'npc_work_4', 'I am glad to see that you have effectively dealt with the Bothan.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '89', 'npc_work_5', 'Have you been able to remove the body guard from the picture?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '90', 'npc_work_6', 'Has Harbo been silenced - er- I mean, taken care of?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '91', 'player_1_4', 'I shall gladly do this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '92', 'player_1_5', 'Sounds like a challenge I\'m up for.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '93', 'player_1_6', 'If it is as important as you make it sound, I will do it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '94', 'player_2_4', 'I am tired of being your personal assassin, Talmont.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '95', 'player_2_5', 'Personal bodyguard?  Sounds too dangerous.  No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '96', 'player_2_6', 'I will not interfere with one of the Emperor\'s Inquisitors.  No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '97', 'player_3_4', 'Why does Tour Aryon want to complicate your life?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '98', 'player_3_5', 'Who is the bodyguard?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '99', 'player_3_6', 'Why is this man so important?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '100', 'player_reset_4', 'I\'ve had a change of heart, Talmont.  I cannot do this for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '101', 'player_reset_5', 'I\'ve thought about it and I don\'t think I can take on this bodyguard.  Sorry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '102', 'player_reset_6', 'This sounds too personal and I don\'t want to do this anymore.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '103', 'player_sorry_4', 'Um... I have yet to take care of the Bothan.  I shall do so soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '104', 'player_sorry_5', 'Not yet, but I think I\'ve found a way.  I shall be engaging her soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '105', 'player_sorry_6', 'I have yet to find him.  If I haven\'t found him yet, that means the Inquisitor hasn\'t either.  Don\'t worry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '106', 'notyet', 'You are not strong enough in your Imperial conviction, or maybe you forgot to talk to Wilhalm Skrim?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/prefect_talmont.stf', '107', 'next', 'That\'s all I have for you right now. Perhaps later I\'ll have more for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/rakir_banai.stf', '1', 'npc_1_1', 'Some troublemaker in Mos Espa is trying to undermine Drik\'s local mining business. This guy is a bad piece of work; Drik says he\'s accused of several murders. The troublemaker\'s sending a saboteur to blow up the mine. I want you to stop the saboteur.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/rakir_banai.stf', '2', 'npc_1_2', 'You may recall that saboteur who said my current boss, Drik Bandrik, is a slaver. I need to know if that\'s true. I don\'t like slavers. I\'d like you to meet with a Bothan spy who has the truth. But don\'t tell Drik.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/rakir_banai.stf', '3', 'npc_1_3', 'A spy has obtained records from a Mos Eisley repository owned by Jabba the Hutt. Jabba stole the records long ago from a rival Hutt crimelord. Now the Hutts are after my spy. Can you bring her here?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/rakir_banai.stf', '5', 'npc_2_1', 'Right. I\'m told the saboteur is a Twi\'lek named Binz. I doubt he\'ll let himself be quietly arrested. Report back once you\'ve resolved the matter.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/rakir_banai.stf', '6', 'npc_2_2', 'All right. You\'re looking for a Bothan named Silm\'an Voueen. She\'ll have a datadisc for you. Bring it back here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/rakir_banai.stf', '7', 'npc_2_3', 'Good. I\'ve got a lot riding on this. Please hurry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/rakir_banai.stf', '8', 'npc_3_1', 'That\'s all right. I expect we can handle one saboteur ourselves.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/rakir_banai.stf', '9', 'npc_3_2', 'All right. I\'d still appreciate it if you didn\'t let this get back to Drik.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/rakir_banai.stf', '10', 'npc_3_3', 'Sorry to hear that. I\'ve got a lot riding on this. But I\'ll try to make it happen on my own. Thanks anyway.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/rakir_banai.stf', '12', 'npc_4_1', 'Some guy who claims there are problems with \"working conditions\" at the mine. Drik says the guy is actually a mine owner, out to undermine the competition. Can I count on you to stop his saboteur?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/rakir_banai.stf', '13', 'npc_4_2', 'I had my own ship. Ran controlled medicines to Outer Rim worlds to bypass Corporate Sector surcharges. Lost my family in a Hutt pirate raid, and since then I\'ve been wanting to get back at the Hutts. But right now, I need your decision.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/rakir_banai.stf', '14', 'npc_4_3', 'They\'re records of Gardulla the Hutt\'s slave purchases and transfers. I don\'t know what the records say, but it\'s probably important, or the Hutts wouldn\'t be after them so soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/rakir_banai.stf', '15', 'npc_reward_1', 'Binz said Drik is a slaver? That\'s not the way I understand it. Except -- hmm. I need to look into that. Check back with me later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/rakir_banai.stf', '16', 'npc_reward_2', '\"Kitster\"? Are you sure he said the troublemaker is named \"Kitster\"? Oh no. Wait, maybe it\'s a coincidence. All right, I have to get some questions answered, fast. See me again later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/rakir_banai.stf', '17', 'npc_reward_3', 'It\'s true, then. Drik Bandrik has played me like a dejarik piece, sending me to attack my son. My own son! Friend, check with me again. I have more work for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/rakir_banai.stf', '18', 'player_1_1', 'Sure, I\'ll do it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/rakir_banai.stf', '19', 'player_1_2', 'I\'ll do it. I\'d like to know, as well.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/rakir_banai.stf', '20', 'player_1_3', 'I\'ll do it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/rakir_banai.stf', '21', 'player_2_1', 'No thanks. That\'s not my style.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/rakir_banai.stf', '22', 'player_2_2', 'No thanks.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/rakir_banai.stf', '23', 'player_2_3', 'Sorry, I\'m not a bodyguard.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/rakir_banai.stf', '24', 'player_3_1', 'Who is the troublemaker, and why is he making trouble?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/rakir_banai.stf', '25', 'player_3_2', '\"Current\" boss? What were you before you worked here?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/rakir_banai.stf', '26', 'player_3_3', 'What are these records?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/rakir_banai.stf', '27', 'player_reset_1', 'I\'m sorry, I won\'t be able to help you any more.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/rakir_banai.stf', '28', 'player_sorry_1', 'Not yet.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/rakir_banai.stf', '29', 'npc_backtowork_1', 'What am I paying you for? Get to work and stop him!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/rakir_banai.stf', '30', 'npc_reset_1', 'That\'s all right. I expect we can handle one saboteur ourselves.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/rakir_banai.stf', '31', 'cantwork', 'Hello. I think you\'ll find it worthwhile to check back here when you\'re less busy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/rakir_banai.stf', '33', 'npc_work_1', 'Has the troublemaker come to an end?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/rakir_banai.stf', '34', 'npc_work_2', 'So, what were you able to find out?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/rakir_banai.stf', '35', 'npc_work_3', 'So where is she? She\'s not dead, is she?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/rakir_banai.stf', '36', 'npc_breech_1', 'If you\'re working for Drik Bandrik, you\'ll die like his slaves are dying!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/rakir_banai.stf', '37', 'npc_breech_2', 'Ee-oo! Ee-you are the one I meet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/rakir_banai.stf', '38', 'npc_breech_3', 'If you have anything less that noble intentions, know that I\'m armed.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/rakir_banai.stf', '40', 'notit_2', 'Hmm... no, this has nothing on it that tells me anything. Tell the Bothan I need the information I\'ve paid for.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/rakir_banai.stf', '42', 'npc_backtowork_2', 'Well, I\'d appreciate it if you\'d pick up the pace. I\'m very curious as to know what the truth is.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/rakir_banai.stf', '43', 'npc_backtowork_3', 'Hurry, please. I\'ve got a lot riding on this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/rakir_banai.stf', '44', 'npc_reset_2', 'All right. I\'d still appreciate it if you didn\'t let this get back to Drik.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/rakir_banai.stf', '45', 'npc_reset_3', 'Sorry to hear that. I\'ve got a lot riding on this. But I\'ll try to make it happen on my own. Thanks anyway.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/rakir_banai.stf', '46', 'player_reset_2', 'I\'m sorry, I won\'t be able to help you any more.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/rakir_banai.stf', '47', 'player_reset_3', 'I\'m sorry, I won\'t be able to help you any more.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/rakir_banai.stf', '48', 'player_sorry_2', 'Nothing yet. I haven\'t met up with the Bothan.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/rakir_banai.stf', '49', 'player_sorry_3', 'No, she\'s not. I\'m about to go pick her up.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/rakir_banai.stf', '52', 'npc_takeme_3', 'Jabba stole these records long ago from a rival Hutt crimelord, Gardulla. Rakir will find them very interesting. Please take me to him.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/rakir_banai.stf', '53', 'dontknowyou_2', 'No. Ee-you are not the one.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/rakir_banai.stf', '54', 'dontknowyou_3', 'Sorry about the threat.  I thought you were a thug.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/rakir_banai.stf', '58', 'notit_4', 'No, this isn\'t the contract I signed.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/rakir_banai.stf', '61', 'npc_1_4', 'Drik\'s majordomo, Wizzel, holds my contract. I want you to get that contract back, by force. After I\'m free, I\'ll look for my son, Kitster. What do you say?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/rakir_banai.stf', '64', 'npc_2_4', 'Good. Wizzel will probably only let you have it over his dead body. That\'s fine with me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/rakir_banai.stf', '67', 'npc_3_4', 'All right. Well, you\'ve been a big help so far, so I guess I can carry this matter the rest of the way through alone. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/rakir_banai.stf', '70', 'npc_4_4', 'I\'m sending out messengers to the various cities, based on the information you brought me before. I\'m glad there are so few cities on this rock -- the search shouldn\'t take long. I hope. I can\'t remember the last time I hoped for something so much. Well, will you help me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/rakir_banai.stf', '73', 'npc_backtowork_4', 'Once I have that contract in my hands, I will delight in ripping it up into a thousand pieces!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/rakir_banai.stf', '76', 'npc_breech_4', 'You don\'t leave Drik\'s service. He fires you. Permanently. Like this!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/rakir_banai.stf', '79', 'npc_reset_4', 'All right. Well, you\'ve been a big help so far, so I guess I can carry this matter the rest of the way through alone. Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/rakir_banai.stf', '82', 'npc_reward_4', 'Thank you very much! Someone misordered this shellfish harvester, won\'t have much use for that here. You can take it in addition to your credit payment, hopefully you can find some use for it. I\'ve sent out messengers to find my son. Take care of yourself!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/rakir_banai.stf', '88', 'npc_work_4', 'Do you have my... grrr... \"contract\"?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/rakir_banai.stf', '91', 'player_1_4', 'I\'ll be more than happy to help!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/rakir_banai.stf', '94', 'player_2_4', 'I\'m not going this far. Hire someone else.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/rakir_banai.stf', '97', 'player_3_4', 'How will you find your son?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/rakir_banai.stf', '100', 'player_reset_4', 'I\'m sorry, I won\'t be able to help you any more.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/rakir_banai.stf', '103', 'player_sorry_4', 'Not yet. I\'ll let you know when I do.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/rakir_banai.stf', '107', 'npc_smuggle_2', 'Ee-yes, this data describes Drik Bandrik\'s slave operation. I enclose certain extra data about the troublemaker, Kitster. Perhaps ee-your employer will pay a bit more for this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/rakir_banai.stf', '108', 'next', 'I\'m waiting to hear from the searchers looking for my son. I appreciate how you helped me find out the truth.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/rakir_banai.stf', '109', 'gotowork_2', 'I have told you all that I can. Please take care of this matter as soon as you can.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/rakir_banai.stf', '110', 'gotowork', 'I have told you all that I can. Please take care of this matter as soon as you are able.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/sango_rond.stf', '1', 'npc_1_1', 'Would you terribly mind going out and destroying a certain gangster who stole one of the Jawas\' droid verbobrains? And do bring back the brain, of course.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/sango_rond.stf', '2', 'npc_1_2', 'Recall that droid brain you fetched for me? Well, the Jawas put it into the droid\'s body, and the thing went absolutely berserk. Quite awful. It seems the Hutts have slicers out in the desert, and they are controlling the droid. Can you be a good soldier and dispose of them?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/sango_rond.stf', '3', 'npc_1_3', 'Well, you may recall our earlier matter of the killer droid? Yes, that\'s the one. That droid is now out in the desert, all on its own. Nasty thing. Could you, um, blow it up a little?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/sango_rond.stf', '5', 'npc_2_1', 'This criminal fellow works for the Hutts, but he himself, I\'m glad to say, is a human. Or perhaps I should be sorry about that. Well, never mind! I suggest you can locate him at these coordinates. Don\'t forget my brain!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/sango_rond.stf', '6', 'npc_2_2', 'Well then! Look for the slicers at these coordinates. Note well! They are odd and detestable in manner, but not without skills in weaponry. Report back here after treating them mercilessly.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/sango_rond.stf', '7', 'npc_2_3', 'Fine, fine. Now, proceed to the coordinates given by the droid\'s homing beacon. I recommend extreme caution and heavy firepower.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/sango_rond.stf', '8', 'npc_3_1', 'Ah! Well. No problem, no problem. Enjoy the weather, then!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/sango_rond.stf', '9', 'npc_3_2', 'Ah, well. That\'s to be understood. This is not a matter to take lightly. Enjoy the weather, then!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/sango_rond.stf', '10', 'npc_3_3', 'Ah, well. I understand. This is a matter for brave hearts. Enjoy the weather, do!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/sango_rond.stf', '12', 'npc_4_1', 'Ah! Right! I am an itinerant buyer for a commodities dealer in Mos Espa. I have learned the Jawa language, and I find myself strangely attracted to Jawa culture. It\'s quite, quite -- well, enough of that. What about my little task, then?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/sango_rond.stf', '13', 'npc_4_2', 'Possibly those Hutt gangster scoundrels reprogrammed the verbobrain. The droid lashed out on all sides, killing Jawas right and left. Its behavior was utterly unwelcome. What, then, is your decision?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/sango_rond.stf', '14', 'npc_4_3', 'What -- ah -- what kind? Ah! Yes! Interesting question, most interesting. I -- ah -- I don\'t know. No indeed. Now, your decision?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/sango_rond.stf', '15', 'npc_reward_1', 'Ah! Splendid! I daresay we\'ll have this verbobrain back in place in no time. Meanwhile, here is a bit of a reward, and do please check back for more work, right?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/sango_rond.stf', '16', 'npc_reward_2', 'Ah, excellent! I admire your cunning and dispatch. I present you this reward. Now there is that little matter of the berserk droid, so do please check back for further work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/sango_rond.stf', '17', 'npc_reward_3', 'Ah, welcome back! All went well, I take it. What\'s that? An assassin droid? Why, how remarkable. Really. Well. Tell you what, you take this reward and we\'ll say no more about it. To anyone. Enjoy the weather!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/sango_rond.stf', '18', 'player_1_1', 'Sure, I\'ll deal with the gangster.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/sango_rond.stf', '19', 'player_1_2', 'Absolutely!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/sango_rond.stf', '20', 'player_1_3', 'I\'ll stop it from harming anyone else?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/sango_rond.stf', '21', 'player_2_1', 'Sorry, I\'m not available right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/sango_rond.stf', '22', 'player_2_2', 'Sorry, I\'m not available right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/sango_rond.stf', '23', 'player_2_3', 'No, this sounds too dangerous.  You should contact the authorities.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/sango_rond.stf', '24', 'player_3_1', 'What brought you way out here?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/sango_rond.stf', '25', 'player_3_2', 'Why did the droid go berserk, and what happened?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/sango_rond.stf', '26', 'player_3_3', 'What kind of droid is it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/sango_rond.stf', '27', 'player_reset_1', 'Something came up.  I can\'t do this anymore.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/sango_rond.stf', '28', 'player_sorry_1', 'Not yet, but I\'ll get it soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/sango_rond.stf', '29', 'npc_backtowork_1', 'Take your time, friend.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/sango_rond.stf', '30', 'npc_reset_1', 'Ah! Well. No problem, no problem. Enjoy the weather, then!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/sango_rond.stf', '31', 'cantwork', 'Ah! Hullo! I handle much of the untoward business around here -- \"dirty work,\" haha. I suggest you check back when you\'re available.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/sango_rond.stf', '33', 'npc_work_1', 'Have you managed to get the brain back?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/sango_rond.stf', '34', 'npc_work_2', 'Have the slicers been stopped?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/sango_rond.stf', '35', 'npc_work_3', 'Has the droid been deactivated yet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/sango_rond.stf', '36', 'npc_breech_1', 'This sleemo\'s tryin\' to steal the droid brain! Attack!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/sango_rond.stf', '37', 'npc_breech_2', 'Ooh, a visitation. Smooth! Everyone do your part until the droid shows up.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/sango_rond.stf', '38', 'npc_breech_3', 'New Behavior Dictated : Terminate Target With Extreme Prejudice.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/sango_rond.stf', '42', 'npc_backtowork_2', 'You might want to pick up the pace a bit.  There\'s no telling what those slivers plan on doing with that droid.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/sango_rond.stf', '43', 'npc_backtowork_3', 'Good, good.  I will feel much safer knowing it has been decomissioned.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/sango_rond.stf', '44', 'npc_reset_2', 'Ah, well. That\'s to be understood. This is not a matter to take lightly. Enjoy the weather, then!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/sango_rond.stf', '45', 'npc_reset_3', 'Ah, well. I understand. This is a matter for brave hearts. Enjoy the weather, do!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/sango_rond.stf', '46', 'player_reset_2', 'I\'m a bit apprehensive about this.  I\'m not sure my skills will be able to stop these guys.  Sorry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/sango_rond.stf', '47', 'player_reset_3', 'I don\'t believe I\'ll be able to handle this droid.  You may need to have someone else do it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/sango_rond.stf', '48', 'player_sorry_2', 'Not yet, but they\'ll be taken care of soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/sango_rond.stf', '49', 'player_sorry_3', 'Not yet, but I\'m about to take care of it right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/sango_rond.stf', '109', 'notit_1', 'I know it\'s possible that the brain was altered, but I don\'t think it was altered THIS much.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/sango_rond.stf', '110', 'next', 'Ah! You\'re back. Yes. Well -- ah -- nothing for you here, I\'m afraid. But good to see you nonetheless.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/senni_tonnika.stf', '1', 'npc_1_1', 'Looking to make some money, huh? I can understand that. I could use a discreet courier, if you\'re up to making a pickup. My client wishes to remain anonymous, so the less attention you draw, the better. You fine with that?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/senni_tonnika.stf', '2', 'npc_1_2', 'Okay, hotshot, ready to play the part of a discreet courier again? I need you to deliver this datadisc to my client\'s droid, Envoy -- remember him? As usual, don\'t let anyone see you and don\'t let this disc fall into anyone else\'s digits that are not silver and metallic. We got a deal? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/senni_tonnika.stf', '3', 'npc_1_3', 'You know, I was hoping you\'d ask about work. Remember how Envoy said my client would contact me again? What can I say? I need your magic courier skills again. You should know the drill by now. This time around it\'s a pickup. Interested?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/senni_tonnika.stf', '5', 'npc_2_1', 'Good. I\'ll transmit your image to the droid you\'ll be dealing with, so he recognizes you. Remember, the fewer individuals that see you, the happier my client will be. And under no circumstances should you let that datadisc fall into the wrong hands.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/senni_tonnika.stf', '6', 'npc_2_2', 'All right. The droid should remember you from last time. I retransmitted your image, just in case. And since we now know that Talmont has taken an interest in this transaction, keep an eye out for Imperial patrols. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/senni_tonnika.stf', '7', 'npc_2_3', 'Great! I\'m sure everything will go smoothly. But if by chance you should see someone following you, don\'t hesitate to open fire. You can\'t be too careful these days. Hurry back!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/senni_tonnika.stf', '8', 'npc_3_1', 'Suit yourself. See you around.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/senni_tonnika.stf', '9', 'npc_3_2', 'Too much excitement for you last time? I gotcha. Have a good one.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/senni_tonnika.stf', '10', 'npc_3_3', 'Come on, hotshot. This droid knows you and trusts you. I doubt the Imperials will get involved this time. I\'m disappointed.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/senni_tonnika.stf', '12', 'npc_4_1', 'Codes on a datadisc that will help insure a smooth business transaction. They\'re encrypted, of course - so don\'t get any funny ideas. You in?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/senni_tonnika.stf', '13', 'npc_4_2', 'Confirmation codes that prove my client\'s bet was placed and my fee was deducted. And yes, it\'s encrypted. We doing business?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/senni_tonnika.stf', '14', 'npc_4_3', 'You\'re sharp, hotshot, no doubt about it. Yep, it\'s a new set of codes. Apparently my client got an \"anonymous tip\" and now wants to change his bet. So you helping me out or what?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/senni_tonnika.stf', '15', 'npc_reward_1', 'Double the wager on Idee? Will do. That hired blaster didn\'t give you too much trouble, I hope. Not too bright of the lug to tell you who hired him, huh? It\'s hard to find good help these days.  ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/senni_tonnika.stf', '16', 'npc_reward_2', 'Those stormtroopers never listen to reason, do they? Hmm, I wonder why my client wants to contact me again? I guess I\'ll just have to wait and see. Good job, hotshot.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/senni_tonnika.stf', '17', 'npc_reward_3', 'Triple the bet on Lam Bregaani? Okay, I do what I\'m told. I hope my client\'s sources are reliable. But listen, I couldn\'t have done all this without you. You may not realize it, but you\'ve made me one very happy (and rich) lady. Enjoy your reward.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/senni_tonnika.stf', '18', 'player_1_1', 'Yes, I\'m up for it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/senni_tonnika.stf', '19', 'player_1_2', 'Sure, I\'ll do it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/senni_tonnika.stf', '20', 'player_1_3', 'Why not.  I\'ll do it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/senni_tonnika.stf', '21', 'player_2_1', 'No, I\'m not interested.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/senni_tonnika.stf', '22', 'player_2_2', 'No thanks.  It doesn\'t sound like a good time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/senni_tonnika.stf', '23', 'player_2_3', 'No thanks.  I\'m tired of this kind of work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/senni_tonnika.stf', '24', 'player_3_1', 'What am I picking up?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/senni_tonnika.stf', '25', 'player_3_2', 'What\'s on the disc this time?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/senni_tonnika.stf', '26', 'player_3_3', 'Let me guess? Another encrypted datadisc?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/senni_tonnika.stf', '27', 'player_reset_1', 'This sounds too important for me.  I can\'t do it after all.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/senni_tonnika.stf', '28', 'player_sorry_1', 'Nothing yet.  I\'m making sure that everything will go smoothly.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/senni_tonnika.stf', '29', 'npc_backtowork_1', 'That\'s good to hear.  Let me know when it\'s done.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/senni_tonnika.stf', '30', 'npc_reset_1', 'Suit yourself. See you around.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/senni_tonnika.stf', '31', 'cantwork', 'Come back and see me when you don\'t look so harried.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/senni_tonnika.stf', '32', 'dontknowyou_1', 'No, I\'m sorry.  You don\'t match the person I\'m intended to meet.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/senni_tonnika.stf', '33', 'npc_work_1', 'Why are you back?  Did anything go wrong with the transaction?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/senni_tonnika.stf', '34', 'npc_work_2', 'Don\'t tell me.  Talmont got to the droid before you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/senni_tonnika.stf', '35', 'npc_work_3', 'Where are the codes?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/senni_tonnika.stf', '36', 'npc_breech_1', 'Would you mind stepping forward so that I may analyze your features?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/senni_tonnika.stf', '37', 'npc_breech_2', 'Would you mind stepping forward so that I may analyze your features?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/senni_tonnika.stf', '38', 'npc_breech_3', 'Would you mind stepping forward so that I may analyze your features?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/senni_tonnika.stf', '41', 'notit_3', 'These aren\'t the codes.  I\'m only interested in those codes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/senni_tonnika.stf', '42', 'npc_backtowork_2', 'Why?  I thought you understood that Envoy was waiting for you.  Don\'t botch this, or I might be a bit upset...');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/senni_tonnika.stf', '43', 'npc_backtowork_3', 'Well, get on it then.  A slow courier is an out-of-work courier.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/senni_tonnika.stf', '44', 'npc_reset_2', 'Too much excitement for you last time? I gotcha. Have a good one.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/senni_tonnika.stf', '45', 'npc_reset_3', 'Come on, hotshot. This droid knows you and trusts you. I doubt the Imperials will get involved this time. I\'m disappointed.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/senni_tonnika.stf', '46', 'player_reset_2', 'I\'ve changed my mind.  I don\'t want to cross Prefect Talmont.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/senni_tonnika.stf', '47', 'player_reset_3', 'Something came up.  I can\'t do this for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/senni_tonnika.stf', '48', 'player_sorry_2', 'No, I haven\'t left yet.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/senni_tonnika.stf', '49', 'player_sorry_3', 'I don\'t have them yet.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/senni_tonnika.stf', '53', 'dontknowyou_2', 'No, I\'m sorry.  You don\'t match the person I\'m intended to meet.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/senni_tonnika.stf', '54', 'dontknowyou_3', 'No, I\'m sorry.  You don\'t match the person I\'m intended to meet.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/senni_tonnika.stf', '106', 'npc_smuggle_1', 'Salutations, I am Envoy. My master wishes to inform your employer that she is to double his wager on Idee Zipbits. I do hope that makes sense to you. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/senni_tonnika.stf', '107', 'npc_smuggle_2', 'Thank you. My master will review these materials carefully. Tell your employer to expect to hear from us again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/senni_tonnika.stf', '108', 'npc_smuggle_3', 'My master wishes to cancel his previous bet and put triple that amount on Lam Bregaani. He refuses to listen to any more of your employer\'s advice, I\'m afraid. I beg your pardon if this sounds rude.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/senni_tonnika.stf', '109', 'notit_1', 'What is this?  This isn\'t the datadisk I wanted.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/senni_tonnika.stf', '110', 'next', 'Hi again, hotshot. Not much happening here -- at least nothing I can talk about. Catch me again later, okay?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/stella.stf', '1', 'npc_1_1', 'Ah yes yes. Welcome to the Third Sun, center of rollicking jollity in sunny Mos Taike. I, Stella, am to need sharp eyeballs to find problem customers in the desert. They did run without paying, and for Stella this is the crime of crimes. What is to be your willingness to help me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/stella.stf', '2', 'npc_1_2', 'I, Stella, for a long time have been owning this cantina. But now a stinking fink who is to be working for Jabba the Hutt did steal the cantina\'s valuable deed. He is to be taking it to Jabba, and Jabba is to be owning this excitable joint! You are to be stopping him, yes?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/stella.stf', '3', 'npc_1_3', 'I did pay a Bothan spy to be finding information for me. He now has the data, but he is to be sending nothing over the HoloNet. I do now ask you, my friend, to be meeting the Bothan and getting the data. Yes?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/stella.stf', '5', 'npc_2_1', 'Ah, yes yes. I did locate these stinking finks outside town at these coordinates. You are to be going there, getting the credits from them, but not to be killing anyone. Dead folks are not to be paying, yes?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/stella.stf', '6', 'npc_2_2', 'Ah, yes yes. You are to be looking for Ulek Talstin. He is a dangerous stinking fink, so good luck to you, yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/stella.stf', '7', 'npc_2_3', 'Ah, yes yes. You are to be going to the coordinates the Bothan did give me. It is secret, yes? He is to be giving you a disk to bring back here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/stella.stf', '8', 'npc_3_1', 'Ah, okay, ah. This is not to be a problem. I, Stella, welcome you anyway anyhow to sunny Mos Taike. Drink!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/stella.stf', '9', 'npc_3_2', 'Ah, okay, ah. This is not to be a problem. I, Stella, still welcome you to this cantina that I am not to be owning. Drink!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/stella.stf', '10', 'npc_3_3', 'Ah! I am most sorry. Ah well. No, it is not to be a problem. I, Stella, still welcome you to this cantina that Jabba is to be owning. Drink!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/stella.stf', '12', 'npc_4_1', 'Ah, \"Stella\" yes. \"Stella\" is the short name of my name, D\'Mayna Stallaphalat. I am Bith, as you see. My father did forget me here as a small child. What is to be your choice of my job?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/stella.stf', '13', 'npc_4_2', 'Police? This is sunny Mos Taike, where law is to be coming out of a blaster barrel, yes yes. You are to be deciding now?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/stella.stf', '14', 'npc_4_3', 'Ha! I, Stella, am knowing everyone in Mos Taike! I am on hello-terms with spies, miners, officers, farmers, Rebels, cops! -- Except, you are not to be telling anyone about the \"Rebels\" part. What is to be your choice, what?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/stella.stf', '15', 'npc_reward_1', 'Ah, this is to be thanked! Strange is the Mos Taike cantina business, yes yes. Sometime you are to ask me about it, and I, Stella, am to tell stories to curl your fur.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/stella.stf', '16', 'npc_reward_2', 'Yes yes! All is to be well now. I, Stella, am to be rewarding you with these jubilant credits! Go, spend them at the bar, drink!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/stella.stf', '17', 'npc_reward_3', 'Ah! It is here on this disc, the promise and threat of Lady Valarian in Mos Eisley: If Jabba is to be muscling in on the Third Sun, her gang will be landing on this esteemed dive and blowing it up to bits! I will be sending this to Jabba. A good permanent solution at last, yes yes. You are to be accepting this happy reward. Celebrate, drink!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/stella.stf', '18', 'player_1_1', 'I\'d be happy to happy to help you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/stella.stf', '19', 'player_1_2', 'Yes, I\'ll get your deed back for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/stella.stf', '20', 'player_1_3', 'Sure, I\'ll get the data for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/stella.stf', '21', 'player_2_1', 'No, I\'m not available to help.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/stella.stf', '22', 'player_2_2', 'No, I don\'t want to get mixed up with Jabba, sorry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/stella.stf', '23', 'player_2_3', 'No, I\'m not able to help at this time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/stella.stf', '24', 'player_3_1', 'Why are you called \"Stella\"?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/stella.stf', '25', 'player_3_2', 'Why don\'t you call the police?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/stella.stf', '26', 'player_3_3', 'How did you arrange this meeting?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/stella.stf', '27', 'player_reset_1', 'I\'m not able to find these \'patrons\' of yours at this time. Could I try to looking for them a little later?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/stella.stf', '28', 'player_sorry_1', 'I\'m still tracking them down. When they\'ve paid, I\'ll be sure to bring it back to you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/stella.stf', '29', 'npc_backtowork_1', 'Good, good. I, Stella, will be here serving drinks at this egregiously fun dive when you return.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/stella.stf', '30', 'npc_reset_1', 'Yes, this is understood by me.  You let me know when you can offer your help, yes?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/stella.stf', '31', 'cantwork', 'Welcome, yes, yes. Always the Third Sun cantina, raucous haven of pleasantries, is giving refuge from a busy busy life. You are to be talking to me when not so busy, yes?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/stella.stf', '32', 'dontknowyou_1', 'What do you want?  I don\'t want any trouble with you, so just keep moving, okay?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/stella.stf', '33', 'npc_work_1', 'Ah, yes yes. I, Stella, am welcoming you to the Third Sun, this ideally bumptious joint. Have those finks paid up, yes?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/stella.stf', '34', 'npc_work_2', 'Ah, yes yes.  I, Stella, am welcoming you to the Third Sun, boisterous hangout I am not to be owning long. You have found Ulek, maybe, yes?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/stella.stf', '35', 'npc_work_3', 'Ah, yes yes. I, Stella, am welcoming you to the Third Sun, the ambiably pleasant hellhole I now fully own. You have met with the Bothan already yet, yes?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/stella.stf', '36', 'npc_breech_1', 'Hey! Who are you and what do you want with us!?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/stella.stf', '37', 'npc_breech_2', 'This little deed will get me into Jabba\'s gang, and you won\'t stop me!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/stella.stf', '38', 'npc_breech_3', 'I have been waiting for ee-you. Let us get this done before we are seen.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/stella.stf', '39', 'notit_1', 'Oh, no, no, this is not how much they are owing me. I, Stella, will only take what is being owed to me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/stella.stf', '40', 'notit_2', 'Oh, no, no, this is not the deed for the Third Sun. I, Stella, am being in desperation for that deed.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/stella.stf', '41', 'notit_3', 'Oh, no, no, this is not data that will help me. I, Stella, am needing data only the Bothan has.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/stella.stf', '42', 'dontknowyou_2', 'Unless you\'re Jabba himself, I don\'t want anything to do with you. Get away from me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/stella.stf', '43', 'dontknowyou_3', 'Ee-you are not the contact I am waiting for. I am busy waiting for someone else.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/stella.stf', '44', 'player_reset_2', 'I can\'t find Ulek at this time. Could I look for him later?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/stella.stf', '45', 'player_reset_3', 'I\'m not able to meet with the Bothan. Can you let him know I won\'t be able to show up?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/stella.stf', '46', 'player_sorry_2', 'I am still planning a way to get the deed back from him. I\'ll let you know when I do.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/stella.stf', '47', 'player_sorry_3', 'No, I wasn\'t able to meet him yet. I\'ll make sure to show up soon, though.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/stella.stf', '48', 'npc_backtowork_2', 'Good, good. I, Stella, will be serving drinks at maybe Jabba\'s Third Sun when you return.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/stella.stf', '49', 'npc_backtowork_3', 'Good, good. I, Stella, will be serving drinks as I am waiting for the Bothan\'s data.  Do not make him be waiting too long, yes?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/stella.stf', '51', 'npc_reset_3', 'Yes, this is understood by me.  We are to be arranging a time to meet him later, maybe, yes?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/stella.stf', '55', 'npc_reset_2', 'Yes, this is understood by me. You are to be letting me know later if you can be helping me keep this whoop-it-up hole-in-the-wall as my own, yes?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/stella.stf', '56', 'npc_smuggle_1', 'Huh? We forgot to pay Stella? Hey, I\'m sorry. Here you go. Please apologize to her for us, okay? Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/stella.stf', '58', 'npc_smuggle_3', 'Eee-yes, I have the data ee-you want. Tell ee-your patron I expect to be well paid at our next meeting. Well paid!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/stella.stf', '59', 'next', 'Ah yes yes! I, Stella, am to be welcoming you back to this eternal partying refuge from sunny Mos Taike. But just now there is to be no more work for you to be doing. So drink, drink!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/stella.stf', '60', 'gotowork', 'Don\'t you have something else to do?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tekil_barje.stf', '1', 'npc_1_1', 'Are you offering to help? Well sure, I can use you. A friend of mine\'s been performing some research on Tusken Raider migrations for me. A womp rat bit him last night, and word from Bestine is that those vermin might be carrying a new strain of Gray Rot. Could you take this vaccine out to him and make sure he\'s doing all right?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tekil_barje.stf', '2', 'npc_1_2', 'Remember Digger? I just received word that the Sand People captured him. We need to get him out of their clutches immediately. I can\'t go myself because I need to get the settlement ready for a possible Tusken raid. Can you help Digger?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tekil_barje.stf', '3', 'npc_1_3', 'It\'s a good thing I was getting this place ready for a raid. Turns out the Tuskens have sent raiding parties against many of the local moisture farmers. Think you can lend a hand in protecting these citizens?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tekil_barje.stf', '5', 'npc_2_1', 'Great, thanks. Make sure he takes this vaccine as soon as possible. Gray Rot is only treatable within the first few days of infection.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tekil_barje.stf', '6', 'npc_2_2', 'You gotta hurry. I don\'t know how many Tusken took Digger so I\'d bring some friends along if I were you. These beasts are mindless killers so start blasting the minute you see them.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tekil_barje.stf', '7', 'npc_2_3', 'I\'d advise you take some friends along again, friend. Those Tuskens can be tough when faced in larger numbers. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tekil_barje.stf', '8', 'npc_3_1', 'Why\'d you offer to help then? Excuse me, I\'m a busy man.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tekil_barje.stf', '9', 'npc_3_2', 'Thanks for nothing.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tekil_barje.stf', '10', 'npc_3_3', 'Do you know anyone else that would be willing to help? I don\'t have time for beings that stand by and watch innocents get hurt.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tekil_barje.stf', '12', 'npc_4_1', 'Some kind of plague. Makes your skin turn gray and rot off. Nice, huh?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tekil_barje.stf', '13', 'npc_4_2', 'I\'ll spare you the gruesome details of what Sand People do to captives. Those creatures delight in torture. It\'s a sort of initiation ritual for their young warriors.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tekil_barje.stf', '14', 'npc_4_3', 'Must be in retaliation for you rescuing Digger and killing off a couple of their warriors.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tekil_barje.stf', '16', 'npc_reward_2', 'You\'ve done well, friend. Please accept this payment for your valuable services. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tekil_barje.stf', '17', 'npc_reward_3', 'Job well done, friend. You\'re welcome in Wayfar anytime. I came across this robe in my travels but I\'m not using it so go ahead, take it as a token of my appreciation.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tekil_barje.stf', '18', 'player_1_1', 'Sure!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tekil_barje.stf', '19', 'player_1_2', 'I\'ll go help him!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tekil_barje.stf', '20', 'player_1_3', 'I\'ll definitely help!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tekil_barje.stf', '21', 'player_2_1', 'Sorry, no.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tekil_barje.stf', '22', 'player_2_2', 'Sorry, I dont really care.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tekil_barje.stf', '23', 'player_2_3', 'No, I really don\'t care about them.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tekil_barje.stf', '24', 'player_3_1', 'What\'s Gray Rot?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tekil_barje.stf', '25', 'player_3_2', 'What will the Sand People do to Digger?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tekil_barje.stf', '26', 'player_3_3', 'Why are the Sand People attacking the moisture farmers?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tekil_barje.stf', '27', 'player_reset_1', 'I can\'t anymore.  You\'ll need to find someone else.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tekil_barje.stf', '28', 'player_sorry_1', 'Not yet.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tekil_barje.stf', '29', 'npc_backtowork_1', 'This is urgent!  Please hurry!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tekil_barje.stf', '30', 'npc_reset_1', 'Why\'d you offer to help then? Excuse me, I\'m a busy man.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tekil_barje.stf', '31', 'cantwork', 'Come back when you\'re not so preoccupied.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tekil_barje.stf', '32', 'dontknowyou_1', 'If you can, get to my friend, Tekil.  He can help me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tekil_barje.stf', '33', 'npc_work_1', 'Did you give him the vial?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tekil_barje.stf', '34', 'npc_work_2', 'Have you helped Digger?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tekil_barje.stf', '35', 'npc_work_3', 'So, have the farmers been saved?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tekil_barje.stf', '36', 'npc_breech_1', 'Ooooh... the pain...');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tekil_barje.stf', '37', 'npc_breech_2', 'Help me out!  They\'re going to get me!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tekil_barje.stf', '39', 'notit_1', 'What\'s this going to do for my pain?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tekil_barje.stf', '42', 'npc_backtowork_2', 'This is urgent!  Please hurry!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tekil_barje.stf', '43', 'npc_backtowork_3', 'This is urgent!  Please hurry!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tekil_barje.stf', '44', 'npc_reset_2', 'Thanks for nothing.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tekil_barje.stf', '45', 'npc_reset_3', 'Do you know anyone else that would be willing to help? I don\'t have time for beings that stand by and watch innocents get hurt.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tekil_barje.stf', '46', 'player_reset_2', 'I can\'t anymore.  You\'ll need to find someone else.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tekil_barje.stf', '47', 'player_reset_3', 'I can\'t anymore.  You\'ll need to find someone else.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tekil_barje.stf', '48', 'player_sorry_2', 'Not yet.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tekil_barje.stf', '49', 'player_sorry_3', 'Not yet.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tekil_barje.stf', '51', 'npc_takeme_2', 'Thanks, friend! I\'m beginning to grow quite fond of you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tekil_barje.stf', '106', 'npc_smuggle_1', 'Thanks, friend! That bite is starting to itch something awful. This should take care of that. I hope.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tekil_barje.stf', '109', 'npc_reward_1', 'Good work.  Digger already says that the itching\'s subsiding.  Take a look at this Gaderiffi staff - it\'s the Tusken Raiders weapon of choice for close encounters. Maybe you can learn how to better defend against it from examining this one.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tekil_barje.stf', '110', 'next', 'Still hanging around Wayfar? I wish I had something to keep the place interesting, but it\'s quiet right now. Thanks again for helping me before.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '1', 'npc_1_1', 'Eager to earn your keep, eh? That\'s an admirable quality. As it turns out, I do have something that needs attending. A friend of mine, who is visiting from Treylon II, decided to go sightseeing this morning and has not yet returned. Could you make sure he\'s safe and that he finds his way back here? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '2', 'npc_1_2', 'You did perform admirably on that last assignment. I think I can trust you with another. The renowned artist Sidoras Bey has just arrived from Brentaal. But I\'m afraid he\'s rather absentminded. He landed at the wrong starport and insisted on finding his own way here. I would appreciate it if you could collect him and escort him back here. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '3', 'npc_1_3', 'I find you\'re a reliable and eager worker. I do have something else. An Internal Security Bureau officer, Nilsa Skaller, is investigating some prominent Bestine citizens outside the city. I\'d like you to rendezvous with Lieutenant Skaller and make certain she returns to Bestine safely. I have reasons to suspect her life might be in danger.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '5', 'npc_2_1', 'Excellent. My friend\'s name is Jen Torel. I do hope he hasn\'t run afoul of any Tuskens. Do hurry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '6', 'npc_2_2', 'How helpful of you. Remember, Maestro Bey is a little sensitive about his fading memory. He\'s a proud man. Do your best to humor him along the way. After all, his coming to Tatooine to be my guest is a great honor. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '7', 'npc_2_3', 'I know there is an element of risk involved in this mission, but I was hoping the hint of danger would not scare you off. I\'m disappointed I was wrong.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '8', 'npc_3_1', 'Perhaps you\'re not quite as eager to earn your keep as I had thought. Pity. I can be quite generous when the mood strikes me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '9', 'npc_3_2', 'He really is not as bad as all that. But if you don\'t wish to perform this service for me, so be it. Have a good day.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '10', 'npc_3_3', 'My instincts told me you would not shirk away from danger. I\'m glad they proved correct. Make sure Lieutenant Skaller knows I have sent you. Otherwise she might mistake you for an assassin and you could end up dead.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '12', 'npc_4_1', 'Oh, Jen has always had an explorer\'s spirit. Unfortunately, this has gotten him into trouble in the past. Life on Tatooine is not at all like life on Treylon II.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '13', 'npc_4_2', 'Maestro Bey is best known for his amazing sculpture of our beloved Emperor that sits outside the Imperial palace on Coruscant.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '14', 'npc_4_3', 'The less you know, the better. Suffice to say that some Imperial agents, entrusted with the very security of this planet, should make sure their own records are clean before they begin investigating others. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '15', 'npc_reward_1', 'Wonderful. Glad to see Jen is in one piece. Allow me to express my gratitude by presenting you with this small gift. Thank you for your service. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '16', 'npc_reward_2', 'I appreciate your help, citizen. Maestro Bey is dear to me and this service shall not be forgotten.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '17', 'npc_reward_3', 'Again you\'ve proven yourself a most reliable agent. If you keep this up, I may come to depend on you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '18', 'player_1_1', 'Sure, I can help!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '19', 'player_1_2', 'Sure, I\'ll help the old guy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '20', 'player_1_3', 'Yes, I\'ll get in contact with her and make sure she arrives safely.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '21', 'player_2_1', 'I\'m sorry, but I can\'t help.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '22', 'player_2_2', 'No, I\'m sorry, but I cannot help with that.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '23', 'player_2_3', 'No, I\'m sorry but I cannot help.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '24', 'player_3_1', 'Why did he go sight-seeing?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '25', 'player_3_2', 'What is Sidoras Bey famous for?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '26', 'player_3_3', 'Who is Lieutenant Skaller investigating?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '27', 'player_reset_1', 'I can\'t seem to find him anywhere.  I\'ve given up my search.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '28', 'player_sorry_1', 'No, no bad news.  I\'m still on my way to find him, though.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '29', 'npc_backtowork_1', 'Well, you mustn\'t dally.  Jen is not accustomed to the wilderness of Tatooine.  I\'m not sure he would know what to be wary of.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '30', 'npc_reset_1', 'Ah, it\'s a shame you weren\'t able to uphold your end of the bargain.  I might forget this slight if you reconsider.  Until then, I don\'t have any more time for you.  Begone.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '31', 'cantwork', 'I hope you find Tatooine an agreeable place, citizen. There is beauty here that the casual observer might miss. Take your time and appreciate it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '32', 'dontknowyou_1', 'I\'m sorry, but I don\'t believe we\'ve met before.  And if we can, let\'s keep it that way, alright?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '33', 'npc_work_1', 'Please don\'t tell me you have bad news about Jen.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '34', 'npc_work_2', 'I don\'t see Maestro Bey with you.  Where is he?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '35', 'npc_work_3', 'Where is Nilsa?  Is she safe?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '36', 'npc_breech_1', 'Well, well, good day to you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '37', 'npc_breech_2', 'Hmmm... where am I now?  I don\'t remember Bestine looking like this when I was last here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '38', 'npc_breech_3', 'Good day, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '42', 'npc_backtowork_2', 'Very good.  Please do raise the intensity of your search.  It would be a shame if he were to wander into the desert, being an old man and all.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '43', 'npc_backtowork_3', 'I am placing my trust in you.  So far you have shown it was well placed, so please continue making me feel that way.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '44', 'npc_reset_2', 'I hope this isn\'t an unfortunate end to such a marvelous mind.  If you find that your will returns, I may still be looking for him.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '45', 'npc_reset_3', 'Well, I understand.  If I cannot find anyone else to do so, I will still need your help.  I shall look for someone else for now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '46', 'player_reset_2', 'It seems someone else might have picked him up.  I can\'t find him, and I\'m tired of looking.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '47', 'player_reset_3', 'I\'m not cut out to escort such a high ranking Imperial.  You should send someone else instead.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '48', 'player_sorry_2', 'I haven\'t found him yet.  As soon as I do, though, he\'ll make it here safe and sound.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '49', 'player_sorry_3', 'I have yet to find her.  Rest assured, she will make it back here safely.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '50', 'npc_takeme_1', 'Did Tour send you to find me? Will she always try to look after me? I assure you I was quite alright. Well, I suppose she\'s expecting us. Lead on, noble rescuer.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '51', 'npc_takeme_2', 'I certainly hope you don\'t think I\'m lost, because I\'m not. I know precisely where I am. I\'m not sure why I ever agreed to come to this desolate place. I don\'t even like sand. Well, are you just going to sit around all day? Take me to Governor Aryon. That\'s what I came halfway across the galaxy for, isn\'t it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '52', 'npc_takeme_3', 'You must be my official escort. Governor Aryon\'s efficiency impresses me. Take me to her. We have much to discuss.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '53', 'dontknowyou_2', 'What, you see an old man and assume he needs help?  Move along, you little whippersnapper, I don\'t need anything, mind you.  Shoo!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '54', 'dontknowyou_3', 'I mistook you for someone else.  I am awaiting a friend.  If you don\'t mind, I\'d prefer to do it alone, thank you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '55', 'dontknowyou_4', 'I\'m sorry.  If Tour didn\'t send you, I\'m not sure if I can trust you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '56', 'dontknowyou_5', 'Oh, I am sorry.  I believed you were someone else.  Please nevermind me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '57', 'dontknowyou_6', 'Ah, I see.  I believed you were a rescue team.  I apologize.  Have a good day, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '61', 'npc_1_4', 'I\'ve long been trying to guide Jabba the Hutt away from violence to solve his problems. Any conflicts on Tatooine attract undue attention from Coruscant. Recently, I sent my aide, Belutoo Gezmaani, to Jabba\'s palace for yet another negotiation. The discussion went -- poorly. Jabba transported my aide as far as the Jundland Wastes, then left him there to fend for himself. Be so kind as to provide him a safe escort back here.   ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '62', 'npc_1_5', 'This assignment is a delicate one and might embroil you in the politics of Bestine - something you may wish to avoid. It involves the Prefect, a dangerous and vengeful man. Do you wish to help me anyway?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '63', 'npc_1_6', 'This next assignment will be your most important yet. A very powerful Imperial dignitary may be in great danger. This individual answers directly to the Emperor himself. Do you wish to become involved?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '64', 'npc_2_4', 'Wonderful. I was beginning to fear that I would need to involve Imperial authorities in this matter. That would only damage my relationship with both Jabba and Prefect Talmont. Please hurry and find my aide before he falls victim to one of Tatooine\'s vicious predators.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '65', 'npc_2_5', 'I knew I could rely on you. Jormun Shade, an Internal Security officer, just lost his Zabrak bodyguard to an assassin. Fortunately, Shade was undetected by the killer but is now understandably concerned about returning here without an armed escort. Make sure he gets here alive. Imperial Intelligence must hear what he has discovered.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '66', 'npc_2_6', 'Inquisitor Josard was performing an investigation at the Pit of Carkoon when something attacked him and his escort. We don\'t know the details yet, but somehow Josard managed to escape. He sent a distress signal from these coordinates. You must race there and offer what aid you can.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '67', 'npc_3_4', 'Well, I certainly understand your reticence. The Jundland Wastes are not to be traveled lightly. If you change your mind, let me know.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '68', 'npc_3_5', 'I respect your decision to remain neutral in this matter. I will seek another citizen willing to assist me in this matter. Good day.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '69', 'npc_3_6', 'I do not hold your refusal against you. This mission calls for no small amount of daring and skill. I shall find others to assist me. Thank you for all your help up to this point.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '70', 'npc_4_4', 'I sent him to ask Jabba to reconsider an attack on Lady Valarian. Unfortunately, Gezmaani suggested that Jabba\'s forces could not defeat Lady Valarian, without my help.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '71', 'npc_4_5', 'I won\'t go into specific reasons, but I will say that you should be suspicious of anything that man tells you. You should be even more suspicious of assignments from him. Imperial Intelligence\'s Internal Security division is currently investigating Talmont. That should tell you everything you need to know.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '72', 'npc_4_6', 'I speak of none other than Inquisitor Kuno Josard, an important figure in the Inquisitorius. You must be especially careful while in his presence. Say as little as possible and clear your mind. It is said he can read your very thoughts. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '73', 'npc_backtowork_4', 'When you are ready, depart with post haste.  He may not be able to fend for himself for too much longer.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '74', 'npc_backtowork_5', 'That information Jormun has is very important.  You must hurry!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '75', 'npc_backtowork_6', 'Make haste!  The Emperor will not be happy if he were to find out Josard were to have met his demise due to procrastination.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '76', 'npc_breech_4', 'Were you sent by Tour?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '77', 'npc_breech_5', 'Stop! You\'re not one of -- his -- agents, are you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '78', 'npc_breech_6', 'Did the Empire send a rescue team?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '79', 'npc_reset_4', 'Well, I certainly understand your reticence. The Jundland Wastes are not to be traveled lightly. If you change your mind, let me know.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '80', 'npc_reset_5', 'I respect your decision to remain neutral in this matter. I will seek another citizen willing to assist me in this matter. Good day.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '81', 'npc_reset_6', 'I do not hold your refusal against you. This mission calls for no small amount of daring and skill. I shall find others to assist me. Thank you for all your help up to this point.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '82', 'npc_reward_4', 'I am most grateful, citizen. And judging by his posture so is Gezmaani. Please feel free to come to me again for more assignments. I find I enjoy your company.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '83', 'npc_reward_5', 'Thank you, citizen. I\'ll take it from here. Please see me later for an additional assignment. You may go.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '84', 'npc_reward_6', 'The Empire is grateful for your timely assistance, citizen. I shall make a note of this in my report to the Emperor. You are dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '85', 'npc_takeme_4', 'You\'ve saved me. That slug Jabba left me out here to die. I don\'t know why Governor Aryon insists on trying to make peace with that criminal. It\'s going to get me killed! ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '86', 'npc_takeme_5', 'How do I know Governor Aryon sent you? I suppose you don\'t really look like an assassin. At least -- well, lead on, I\'ll follow close behind. Be aware that I am armed.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '87', 'npc_takeme_6', 'Do not concern yourself, citizen, all is well. The monster did manage to kill my entire escort before I was able to drive it away. Interesting creatures those krayt dragons. They would make a most formidable guard if tamed. I shall have to consider that. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '88', 'npc_work_4', 'Have you escorted Gezmaani back to town yet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '89', 'npc_work_5', 'Were you able to make it to Jormun in time?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '90', 'npc_work_6', 'Was Josard dead by the time you made it there?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '91', 'player_1_4', 'I shall do so immediately!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '92', 'player_1_5', 'This sounds important!  Yes, I\'ll definitely do this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '93', 'player_1_6', 'I would do anything for the Emperor. Yes, I will do it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '94', 'player_2_4', 'No, I am unavailable for such a long travel right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '95', 'player_2_5', 'No, I do not want to become involved in some politcal game.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '96', 'player_2_6', 'No, I do not want to be held responsible if anything were to happen to him.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '97', 'player_3_4', 'What did Gezmaani say to Jabba?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '98', 'player_3_5', 'Why is the Prefect so dangerous?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '99', 'player_3_6', 'Who is this dignitary?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '100', 'player_reset_4', 'I can\'t do it.  He is way too far away!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '101', 'player_reset_5', 'I\'ve changed my mind.  I don\'t want to become involved in all of this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '102', 'player_reset_6', 'I\'ve reconsidered, and do not want to be held responsible for this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '103', 'player_sorry_4', 'Not yet.  I am still preparing for my journey.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '104', 'player_sorry_5', 'Not yet, but I shall do so immediately.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '105', 'player_sorry_6', 'No, I am still getting directions to the Great Pit.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '106', 'next', 'I appreciate your help in those earlier matters, but I\'m happy to say we have matters under control here at the moment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/tour_aryon.stf', '107', 'gotowork', 'I think maybe you have something else to do right now...');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/vardias_tyne.stf', '1', 'npc_1_1', 'You look like you might know how to handle yourself. Maybe you really can help me. Some crazy Dim-U monks have hired a bounty hunter to capture me. They say I\'m to be executed for murdering a sacred beast. Can you help me? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/vardias_tyne.stf', '2', 'npc_1_2', 'I have a peace offering for the Dim-U monks. I hope it will get them to leave me alone. Interested in helping out again?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/vardias_tyne.stf', '5', 'npc_2_1', 'Good. I thought I was dead for sure. It\'s getting so you can\'t even protect your own property any more. The bounty hunter\'s name is Rhalia Jinsari. Stop her from bringing me in to those insane zealots, and I\'ll gladly reward you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/vardias_tyne.stf', '6', 'npc_2_2', 'You have a good heart. It\'s not everybody who will stop to help someone in trouble. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/vardias_tyne.stf', '8', 'npc_3_1', 'I understand. I wouldn\'t want to go up against a bounty hunter either. You\'d better clear out of here before you get hurt. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/vardias_tyne.stf', '9', 'npc_3_2', 'I guess a hotshot like you has better things to do. Thanks anyway.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/vardias_tyne.stf', '12', 'npc_4_1', 'All I did was shoot a rogue bantha that was destroying my vaporators. Those blasted monks worship banthas. I didn\'t do anything different from anyone else in my position.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/vardias_tyne.stf', '13', 'npc_4_2', 'I hired a talented artist to sculpt a bantha out of a piece of kiliad marble. I need you to deliver it to Brother Chonar and ask him if they\'re willing to forgive and forget. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/vardias_tyne.stf', '15', 'npc_reward_1', 'You stopped her? You\'ve saved my life! Now I just need to figure out how to calm those monks down -- before they hire someone else.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/vardias_tyne.stf', '16', 'npc_reward_2', 'You\'ve come through for me again, and I won\'t forget it. I used this to harvest resources from the rivers back on Naboo. Won\'t be doing much of that around here though so please accept this as your reward, maybe you\'ll find some use for it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/vardias_tyne.stf', '18', 'player_1_1', 'Sure, I\'ll stop the bounty hunter for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/vardias_tyne.stf', '19', 'player_1_2', 'Sure!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/vardias_tyne.stf', '21', 'player_2_1', 'Sorry, but I don\'t involve myself with this type of thing.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/vardias_tyne.stf', '22', 'player_2_2', 'No thanks.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/vardias_tyne.stf', '24', 'player_3_1', 'Did you really kill a sacred beast?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/vardias_tyne.stf', '25', 'player_3_2', 'What is this peace offering?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/vardias_tyne.stf', '27', 'player_reset_1', 'I can\'t handle someone as skilled as the Bounty Hunter.  I\'ll have to pass on this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/vardias_tyne.stf', '28', 'player_sorry_1', 'Not yet, but you needn\'t worry.  I\'ll put a stop to her.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/vardias_tyne.stf', '29', 'npc_backtowork_1', 'Thank you for your help.  Let me know when I\'m safe.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/vardias_tyne.stf', '30', 'npc_reset_1', 'I understand. I wouldn\'t want to go up against a bounty hunter either. You\'d better clear out of here before you get hurt. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/vardias_tyne.stf', '31', 'cantwork', 'I wish you weren\'t so busy with other things. I really need some help right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/vardias_tyne.stf', '33', 'npc_work_1', 'Have you been able to stop her yet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/vardias_tyne.stf', '34', 'npc_work_2', 'Did he accept my apology?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/vardias_tyne.stf', '36', 'npc_breech_1', 'Come between me and my mark and you will share their fate!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/vardias_tyne.stf', '37', 'npc_breech_2', 'I hope this will be a worthwhile communication between us.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/vardias_tyne.stf', '40', 'notit_2', 'This will not allow us to forgive previous transgressions.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/vardias_tyne.stf', '42', 'npc_backtowork_2', 'Okay, just let me know what his response is.  I hope this will appease those monks.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/vardias_tyne.stf', '44', 'npc_reset_2', 'I guess a hotshot like you has better things to do. Thanks anyway.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/vardias_tyne.stf', '46', 'player_reset_2', 'This is too valuable.  I\'m afraid it will be stolen.  You\'ll have to do this yourself.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/vardias_tyne.stf', '48', 'player_sorry_2', 'I haven\'t made contact with him yet.  I\'ll let you know when I do.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/vardias_tyne.stf', '53', 'dontknowyou_2', 'You have nothing important to say.  I must bid you a good day.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/vardias_tyne.stf', '107', 'npc_smuggle_2', 'This gift conveys respect for the majesty of these great creatures. You may tell your employer that the Dim-U will pursue him no further.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/vardias_tyne.stf', '108', 'next', 'You know, now that those Dim-U monks aren\'t hunting me, my life is getting downright dull. I almost miss the thrill. Almost.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/vardias_tyne.stf', '109', 'player_reset', 'I\'ll have to pass on this job.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/vardias_tyne.stf', '110', 'player_sorry', 'I\'ll get back to work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '1', 'npc_1_1', 'Ehh, my repair droid went crazy and dismantled itself. I need someone to take its brain to a droid engineer for analysis. You, maybe?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '2', 'npc_1_2', 'See this part? You can take it to a poor fellow who really needs to repair his vehicle, eh?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '3', 'npc_1_3', 'A friend bought this hunk of junk off some Jawas just in town for a day. Soon as their sandcrawler vanished over the horizon, the thing broke. I fixed it, so you can take it back to my friend, eh?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '5', 'npc_2_1', 'Good, good! You look for a Mon Calamari fish-woman, name of Sawoos, okay? Her, she\'ll want to see this brain\'s data.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '6', 'npc_2_2', 'Good, good. His name is Minnro Lax, he says. You just drop this off, and don\'t worry about what he might say or be wearing, eh?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '7', 'npc_2_3', 'Good! You look for a Bothan, her name is Trl\'apra. She\'s maybe not feeling so good now, eh? You ignore whatever she might say. I know you had no problem with that last little job for me. This is like that, you know?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '8', 'npc_3_1', 'Heyyy, that\'s okay. You look around, maybe buy Watto\'s junk, eh?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '9', 'npc_3_2', 'That\'s okay. You look around, maybe buy Watto\'s junk, eh?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '10', 'npc_3_3', 'Heyyy, that\'s okay. You look around, maybe buy Watto\'s junk, eh?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '12', 'npc_4_1', 'This shop, it still belongs to Watto. But he retired a while back to some sunny beach on some nicer world than this. Me, I run the shop for him. Now, about that repair droid, you can help, eh?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '13', 'npc_4_2', 'I dunno, he just called. Voice only, no picture. You want this job?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '14', 'npc_4_3', 'It\'s a sentimental thing, maybe. You want this job or not?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '15', 'npc_reward_1', '\"Battle plans\"? She said that? Ehh, just a running joke between us. No, can\'t say why stormtroopers would want a brain. Heyy, thanks! You take that droid\'s old head as a reward, eh?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '16', 'npc_reward_2', 'Heyyy? A Rebel, eh? Who knew? Those guards must be after him, the scum. I mean, \"the Rebel scum.\" Let\'s see, payment -- you want an old mouse droid, maybe?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '17', 'npc_reward_3', 'Stimpack? Heyyy, now that I think, yeah, there was a stimpack inside that junk. Jawas must have left it. I like you, my friend -- you don\'t ask the wrong questions. Here, want a power core for payment?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '18', 'player_1_1', 'Yeah, me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '19', 'player_1_2', 'I am very capable of doing so.  You can trust me, Wald!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '20', 'player_1_3', 'Sure, I\'ll get it to him.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '21', 'player_2_1', 'No thanks.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '22', 'player_2_2', 'No.   I don\'t want to be know as an Assistant Junk Dealer.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '23', 'player_2_3', 'No, I\'m tired of doing these for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '24', 'player_3_1', 'Why do you run this junk shop? Where\'s Watto?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '25', 'player_3_2', 'Who is the \"poor fellow\"?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '26', 'player_3_3', 'A hunk of junk? Why does your friend want it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '27', 'player_reset_1', 'I\'m sorry, but I can\'t do this any longer.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '28', 'player_sorry_1', 'I haven\'t given it to her yet.  I\'m about to do so right now,');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '29', 'npc_backtowork_1', 'Good.  She\'s waiting to repair it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '30', 'npc_reset_1', 'Heyyy, that\'s okay. You look around, maybe buy Watto\'s junk, eh?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '31', 'cantwork', 'Heyyy, welcome to Watto\'s Junk Shop! You look busy, eh? You can look around if you got the time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '32', 'dontknowyou_1', 'Oh, I\'m sorry.  I thought you were someone else.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '33', 'npc_work_1', 'It has been given to the Mon Calamari, eh?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '34', 'npc_work_2', 'So, did he get the part in time, hm?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '35', 'npc_work_3', 'Is she feeling better now?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '36', 'npc_breech_1', 'You wouldn\'t happen to be the courier, would you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '37', 'npc_breech_2', 'Are you the one with the droid?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '38', 'npc_breech_3', 'Are you Wald\'s friend?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '39', 'notit_1', 'Umm... the plans aren\'t in this.  I was told to expect a droid brain, not this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '40', 'notit_2', 'No, this won\'t work!  I need the mouse droid with the -er-... just get me the mouse droid, okay?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '41', 'notit_3', 'This won\'t help.  I need Wald\'s -um- junk he\'s sending.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '42', 'npc_backtowork_2', 'He\'s needing it soon.  Don\'t make him wait or it might be too late -er- for him to have junk.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '43', 'npc_backtowork_3', 'Yes, she\'s impatient like that.  Let me know when you get it to her.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '44', 'npc_reset_2', 'That\'s okay. You look around, maybe buy Watto\'s junk, eh?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '45', 'npc_reset_3', 'Heyyy, that\'s okay. You look around, maybe buy Watto\'s junk, eh?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '46', 'player_reset_2', 'I don\'t trust you, Wald.  I\'m no longer aiding you in your junk-giving.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '47', 'player_reset_3', 'I\'m changing my mind.  I\'m not doing this anymore.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '48', 'player_sorry_2', 'I don\'t know.  I haven\'t given it to him yet.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '49', 'player_sorry_3', 'I didn\'t know she wanted this junk that bad.  I guess I\'ll speed this up.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '53', 'dontknowyou_2', 'Oh, I thought you were a friend of Wald\'s.  Sorry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '54', 'dontknowyou_3', 'You don\'t know Wald?  He\'s one of your friendly junk dealers.  Good guy at heart, I can tell you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '55', 'dontknowyou_4', 'Thank you, but I can make it to the hospital on my own.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '58', 'notit_4', 'Ugh... no... this won\'t help... I need healing... Wald has my special medicine.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '61', 'npc_1_4', 'Okay, you understand by now -- I like to help folks who are maybe not on the Empire\'s party invitation list, eh? One of them, she is wounded and needs a stimpack. You can maybe bring it to her?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '64', 'npc_2_4', 'Good! Danna Lindro, that\'s her name. You got to get to her fast, she is trying to carry a certain report to where it will do good, you know?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '67', 'npc_3_4', 'Heyyy, that\'s okay. You don\'t mention this to anyone else though, eh?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '70', 'npc_4_4', 'Ehh, she ran into some stormtroopers. Too bad, \'cause she has plans. Important plans, if you understand, eh? What do you say?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '73', 'npc_backtowork_4', 'I know you\'ll get it done.  Thank you, friend.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '76', 'npc_breech_4', 'Oh... the pain....');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '79', 'npc_reset_4', 'Heyyy, that\'s okay. You don\'t mention this to anyone else though, eh?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '82', 'npc_reward_4', 'Heyyy, you are my new favorite friend! You ever want discounted junk, I\'ll sell it to you and Watto will never know. Here, take this R4 unit. It wobbles, and maybe it kind of blows up now and then, but it\'s good!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '88', 'npc_work_4', 'Is she feeling all right now?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '91', 'player_1_4', 'Since you\'re finally honest with me, I\'ll be happy to help.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '94', 'player_2_4', 'What?  You\'re a Rebel?  No, I\'m not having anything to do with you anymore.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '97', 'player_3_4', 'How did she get wounded?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '100', 'player_reset_4', 'I\'ve changed my mind.  I don\'t want any part of this anymore.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '103', 'player_sorry_4', 'I haven\'t been able to find her yet.  I\'ll let you know when I do.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '106', 'npc_smuggle_1', 'Good, you\'re here. The battle plans are encoded in this brain? What do you mean, \"what plans?\" Oh -- nothing. Not important. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '107', 'npc_smuggle_2', 'At last! Those stormtroopers were about to find me. You\'ve saved my afterburners, friend!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '108', 'npc_smuggle_3', 'Lights -- too much -- uhh? For me? Oh! Stimpack! Ahh. I feel better. Thank you, I got hit with Imperial drugs and needed that antidote. But I lost the dossiers, sorry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '109', 'npc_smuggle_4', 'Oh! Wonderful! I thought my mission was over. But now I can get these battle plans to High Command. Thank you!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wald.stf', '110', 'next', 'Heyyy, friend, you looking for junk? What, work? Sorry, no work for you here today!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wilhalm_skrim.stf', '1', 'npc_1_1', 'Rebel spies have stolen one of my reports. I want it returned before they get a chance to decrypt it. Will you go and find it for me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wilhalm_skrim.stf', '2', 'npc_1_2', 'One of our informants has become -- unreasonable. He claims he has some information of great importance to the Empire but asks an outrageous sum for it, sight unseen. Might you persuade him to relinquish it and let us decide an appropriate reward?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wilhalm_skrim.stf', '3', 'npc_1_3', 'One of my --ahem, the Prefect\'s clerks has made a serious error in judgment. I need someone to arrest her before she causes this office considerable embarrassment. Will you do it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wilhalm_skrim.stf', '5', 'npc_2_1', 'Excellent, I\'m sure this will go a long way in earning the Prefect\'s goodwill. Return the datadisc to me, and I\'ll see what I can do about getting you that appointment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wilhalm_skrim.stf', '6', 'npc_2_2', 'Very good. The alien in question is a Rutian Twi\'lek, one Nethlek\'Vaa. Go and bring the datadisc here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wilhalm_skrim.stf', '7', 'npc_2_3', 'Excellent. Go and arrest Ananda Dwyce. You have my assurance that should you succeed in this, the Prefect will most assuredly make time to see you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wilhalm_skrim.stf', '8', 'npc_3_1', 'I\'ll be sure to contact you as soon as Prefect Talmont has some free time on his calendar. Good day.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wilhalm_skrim.stf', '9', 'npc_3_2', 'I had boldly assumed that you were serious about wanting to see Prefect Talmont. I shall remove your name from the waiting list.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wilhalm_skrim.stf', '10', 'npc_3_3', 'The Prefect is far too busy to see the likes of you. You needn\'t return. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wilhalm_skrim.stf', '12', 'npc_4_1', 'I am sorry; the Prefect is unavailable. He has left standing orders that he will see only those who have proven their commitment to the Empire. This brings us back to the missing datadisc. Your choice?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wilhalm_skrim.stf', '13', 'npc_4_2', 'You can see Prefect Talmont as soon as you\'ve convinced him of your sincerity. Succeeding in this mission might help in that regard.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wilhalm_skrim.stf', '14', 'npc_4_3', 'The clerk has decided to join the Rebels. If she were to succeed, it would be indescribably awkward for the Prefect, to say nothing of the security nightmare.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wilhalm_skrim.stf', '15', 'npc_reward_1', 'Your service to the Empire is appreciated. Prefect Talmont remains unavailable at this time, but contact me for future assignments.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wilhalm_skrim.stf', '16', 'npc_reward_2', 'You serve the Empire well, and Prefect Talmont will note this. However, he is otherwise occupied at present. Contact me for future assignments, and perhaps I\'ll be able to get you that appointment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wilhalm_skrim.stf', '17', 'npc_reward_3', 'You have performed admirably. Prefect Talmont will see you now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wilhalm_skrim.stf', '18', 'player_1_1', 'I\'ll stop those Rebels from ever stealing anything again!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wilhalm_skrim.stf', '19', 'player_1_2', 'I shall have this done immediately.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wilhalm_skrim.stf', '20', 'player_1_3', 'I shall promptly capture this traitor.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wilhalm_skrim.stf', '21', 'player_2_1', 'Sorry, but I\'m not here to see you, so I have no interest in recovering your report for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wilhalm_skrim.stf', '22', 'player_2_2', 'No, I don\'t run simple errands.  Do it yourself.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wilhalm_skrim.stf', '23', 'player_2_3', 'This sounds like a job for sector police, not me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wilhalm_skrim.stf', '24', 'player_3_1', 'When can I see Prefect Talmont?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wilhalm_skrim.stf', '25', 'player_3_2', 'When can I see Prefect Talmont?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wilhalm_skrim.stf', '26', 'player_3_3', 'What did the clerk do?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wilhalm_skrim.stf', '27', 'player_reset_1', 'I can\'t find these Rebels.  I\'m certain they left the planet with your report.  I give up.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wilhalm_skrim.stf', '28', 'player_sorry_1', 'No, those Rebels are sneakier than I was expecting.  I shall find this report soon, I swear!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wilhalm_skrim.stf', '29', 'npc_backtowork_1', 'Very well, then.  Report back if you have future updates.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wilhalm_skrim.stf', '30', 'npc_reset_1', 'Oh well.  I\'ll be sure to contact you as soon as Prefect Talmont has some free time on his calendar. Good day.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wilhalm_skrim.stf', '31', 'cantwork', 'Hello. You are here to see Prefect Talmont? He is unavailable at this time. In any case, you seem rather too busy to see him.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wilhalm_skrim.stf', '32', 'dontknowyou_1', 'Um...*ahem*... I meant to say, \"Nice weather we\'re having, isn\'t it\"?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wilhalm_skrim.stf', '33', 'npc_work_1', 'Have you been able to recover the report yet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wilhalm_skrim.stf', '34', 'npc_work_2', 'What a prompt return.  I take it you haven\'t left yet, hm?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wilhalm_skrim.stf', '35', 'npc_work_3', 'I do not see Dwyce with you.  Why is that?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wilhalm_skrim.stf', '36', 'npc_breech_1', 'Long live the Alliance!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wilhalm_skrim.stf', '37', 'npc_breech_2', 'I can\'t believe that skinflint wouldn\'t just pay for the goods. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wilhalm_skrim.stf', '38', 'npc_breech_3', 'The Prefect sent one of his men to kill me, please help!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wilhalm_skrim.stf', '39', 'notit_1', 'No, this clearly is not the report that has gone missing.  It would be appreciated if you were to be a little more observant, thank you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wilhalm_skrim.stf', '40', 'notit_2', 'Whatever this is, it is not impressive.  Now, when you have the pertinent information, please let me know.  Good day.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wilhalm_skrim.stf', '42', 'npc_backtowork_2', 'Very well, then.  I hope you have made better preparations this time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wilhalm_skrim.stf', '43', 'npc_backtowork_3', 'He may have time available to those who have shown their initiative.  So far, I\'m not sure you\'re one who has.  Perhaps if I see Dwyce in your custody, my opinion may change.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wilhalm_skrim.stf', '44', 'npc_reset_2', 'I had boldly assumed that you were serious about wanting to see Prefect Talmont. I shall remove your name from the waiting list.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wilhalm_skrim.stf', '45', 'npc_reset_3', 'The Prefect is far too busy to see the likes of you. You needn\'t return. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wilhalm_skrim.stf', '46', 'player_reset_2', 'I don\'t have time for this, after all.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wilhalm_skrim.stf', '47', 'player_reset_3', 'Look, I don\'t have tine to run around doing this for you.  Do it yourself, and in the meantime let me see the Prefect.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wilhalm_skrim.stf', '48', 'player_sorry_2', 'Yes I did, but I got lost.  I now know which way he is.  I\'ll get to him right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wilhalm_skrim.stf', '49', 'player_sorry_3', 'Because I haven\'t caught her yet.  Am I ever going to be able to see the Prefect?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wilhalm_skrim.stf', '53', 'dontknowyou_2', 'Wait.  Why am I talking to you?  You have nothing to do with this?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wilhalm_skrim.stf', '54', 'dontknowyou_3', 'Oh, you\'re not?  Ah, good.  Well, then I guess I\'m safe.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wilhalm_skrim.stf', '109', 'npc_takeme_3', 'I should have known I\'d never get away. I\'ll go quietly.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wilhalm_skrim.stf', '110', 'next', 'You\'ve been very helpful. Perhaps you should go speak with Prefect Talmont.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wilhalm_skrim.stf', '111', 'notyet', 'I\'m sorry, I only deal with Imperials of proven quality.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wilhalm_skrim.stf', '112', 'npc_failure', 'No no no, you were supposed to arrest her, not kill her!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/windom_starkiller.stf', '1', 'npc_1_1', 'Actually, you might be able to help me catch the murderer. We have the murder weapon, but the fellow who owns it seems to have left town. Would you be interested in tracking him down?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/windom_starkiller.stf', '2', 'npc_1_2', 'I don\'t suppose you might still be feeling civic-minded? I\'m a bit short-handed right now and could really use your tracking skills again. What do you say?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/windom_starkiller.stf', '3', 'npc_1_3', 'Blix Lanister\'s crew busted him out and left town. I have people out tracking Blix, but you seem to have a knack for finding him and his cohorts. Do you think you can find him again?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/windom_starkiller.stf', '5', 'npc_2_1', 'Glad to see you\'re the public-minded sort. See if you can track down this lowlife, Blix Lanister, and bring him back here to face trial. Be careful, he may have friends with him.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/windom_starkiller.stf', '6', 'npc_2_2', 'I\'m glad to hear it. See if you can\'t find a Rodian named Gleezwuq and get the evidence back. He\'s the only one of Blix\'s gang who we don\'t know the location of. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/windom_starkiller.stf', '7', 'npc_2_3', 'Lanister may not let you bring him back alive. Do what you have to do. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/windom_starkiller.stf', '8', 'npc_3_1', 'I understand. Dangerous work like this isn\'t for everybody. Stay safe.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/windom_starkiller.stf', '9', 'npc_3_2', 'I wish you\'d reconsider, but if that\'s how you want it, I understand.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/windom_starkiller.stf', '10', 'npc_3_3', 'I guess I\'m on my own this time. Stay out of trouble.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/windom_starkiller.stf', '12', 'npc_4_1', 'His name\'s Blix Lanister. He\'s the sort of man you don\'t want to see after a late night at the cantina. He and his swooper pals have been no end of trouble.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/windom_starkiller.stf', '13', 'npc_4_2', 'Someone has stolen the blaster used on Alita Sweetwater -- the girl Blix Lanister murdered. We suspect the thief was one of Lanister\'s cronies. Without that evidence, we have a weaker case against him.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/windom_starkiller.stf', '14', 'npc_4_3', 'Blix Lanister\'s crew busted him out and left town. I have people out tracking Blix, but you seem to have a knack for finding him and his cohorts. Do you think you can find him again?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/windom_starkiller.stf', '15', 'npc_reward_1', 'You did a fine job. You should consider a career as a security officer. By the way, call me Windy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/windom_starkiller.stf', '16', 'npc_reward_2', 'Great work! Now we can bring that scoundrel to justice.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/windom_starkiller.stf', '17', 'npc_reward_3', 'I\'m sorry you had to take him down instead of bringing him back to trial, but you did what was necessary. Good work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/windom_starkiller.stf', '18', 'player_1_1', 'I\'d be glad to help.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/windom_starkiller.stf', '19', 'player_1_2', 'Sure, I\'d be happy to help.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/windom_starkiller.stf', '20', 'player_1_3', 'I know his pattern.  I\'m the best person for this job.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/windom_starkiller.stf', '21', 'player_2_1', 'Sorry, not my line of work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/windom_starkiller.stf', '22', 'player_2_2', 'Sorry, not interested.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/windom_starkiller.stf', '23', 'player_2_3', 'I\'m not the right kind of person for this job.  I\'ll pass.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/windom_starkiller.stf', '24', 'player_3_1', 'Who killed this girl?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/windom_starkiller.stf', '25', 'player_3_2', 'What\'s the problem now?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/windom_starkiller.stf', '26', 'player_3_3', 'How did Blix Lanister escape?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/windom_starkiller.stf', '27', 'player_reset_1', 'No, he gave me the slip.  I can\'t do this anymore.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/windom_starkiller.stf', '28', 'player_sorry_1', 'Not yet.  But don\'t worry, I\'m going to pick him up right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/windom_starkiller.stf', '29', 'npc_backtowork_1', 'Good luck.  And be careful, too.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/windom_starkiller.stf', '30', 'npc_reset_1', 'I understand. Dangerous work like this isn\'t for everybody. Stay safe.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/windom_starkiller.stf', '31', 'cantwork', 'You seem a bit busy. Why don\'t you see me when you have more free time?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/windom_starkiller.stf', '32', 'dontknowyou_1', 'Get out of my face!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/windom_starkiller.stf', '33', 'npc_work_1', 'Do you have him in your custody?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/windom_starkiller.stf', '34', 'npc_work_2', 'Wre you able to get the evidence?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/windom_starkiller.stf', '35', 'npc_work_3', 'Were you able to bring him to justice?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/windom_starkiller.stf', '36', 'npc_breech_1', 'What do you want me for? I didn\'t do nothing. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/windom_starkiller.stf', '37', 'npc_breech_2', 'You ain\'t taking nothing back, ever.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/windom_starkiller.stf', '38', 'npc_breech_3', 'I\'m not going back there! You can\'t make me!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/windom_starkiller.stf', '40', 'notit_2', 'No, this won\'t do.  Sorry, but I\'m going to need more than just this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/windom_starkiller.stf', '42', 'npc_backtowork_2', 'While you\'re doing that, I\'ll be drawing together a case.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/windom_starkiller.stf', '43', 'npc_backtowork_3', 'We could use your kind of dedication around here, you know?  Let me know when this is all over.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/windom_starkiller.stf', '44', 'npc_reset_2', 'I wish you\'d reconsider, but if that\'s how you want it, I understand.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/windom_starkiller.stf', '45', 'npc_reset_3', 'I guess I\'m on my own this time. Stay out of trouble.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/windom_starkiller.stf', '46', 'player_reset_2', 'I\'m pretty certain I\'d botch this, then you wouldn\'t have a case.  You\'ll need to have someone else do it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/windom_starkiller.stf', '47', 'player_reset_3', 'I can\'t find him, Windom.  I\'m sorry I let you down, but I have to give up.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/windom_starkiller.stf', '48', 'player_sorry_2', 'I\'m still working on finding it.  I\'ll bring it back when I have it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/windom_starkiller.stf', '49', 'player_sorry_3', 'I haven\'t found him, but I won\'t rest until justice has been served.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/windom_starkiller.stf', '50', 'npc_takeme_1', 'I swear I was nowhere near the girl.  You can\'t prove it, either!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/windom_starkiller.stf', '51', 'next', 'Ever since you took down Blix Lanister, things have been real peaceful around here. Thanks again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wuher.stf', '1', 'npc_1_1', 'Sure, I got a job for you. A Bothan came in here a few days ago, bragging about a drink he invented. He waved the recipe in my face, laughed, then took off. No one does that to me. Get me that recipe. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wuher.stf', '2', 'npc_1_2', 'I hate droids. Do you hate \'em? \'Cuz I sure do. One of those blasted RA-7 inspection droids just left. I don\'t think it was too impressed. Think you can stop that hunk of metal before it makes its report? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wuher.stf', '3', 'npc_1_3', 'There\'s a Twi\'lek named Veenos Thrax that has something I want. It\'s a small sealed vial. Think you can get it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wuher.stf', '5', 'npc_2_1', 'The slug\'s name is Baal Vurr\'kya. You can find him at these coordinates. Keep it quiet.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wuher.stf', '6', 'npc_2_2', 'Good. And bring me its verbobrain, just in case.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wuher.stf', '7', 'npc_2_3', 'Make sure you don\'t break the seal on that vial. Get it on your skin and you can kiss yourself goodbye.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wuher.stf', '8', 'npc_3_1', 'Why are you wasting my time? I got customers to serve.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wuher.stf', '9', 'npc_3_2', 'It really annoys me when you ask about a job then refuse it. Just so you know.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wuher.stf', '10', 'npc_3_3', 'I hate when you do that.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wuher.stf', '12', 'npc_4_1', 'He called it a \"Molten Core.\" Claimed it could shrivel the ears off a gundark.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wuher.stf', '13', 'npc_4_2', 'They just take up space and they notice stupid little details. Like anyone cares.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wuher.stf', '14', 'npc_4_3', 'Some new type of chall poison. Veenos specializes in toxins.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wuher.stf', '15', 'npc_reward_1', 'We\'ll see if this was worth the price I paid.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wuher.stf', '16', 'npc_reward_2', 'Huh, not bad.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wuher.stf', '17', 'npc_reward_3', 'I\'ll analyze this stuff tonight. Might come in handy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wuher.stf', '18', 'player_1_1', 'Sure, I\'ll do it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wuher.stf', '19', 'player_1_2', 'No problem.  I\'ll do it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wuher.stf', '20', 'player_1_3', 'Yeah, I\'ll get it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wuher.stf', '21', 'player_2_1', 'I don\'t care about this Bothan.  I\'m not interested.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wuher.stf', '22', 'player_2_2', 'No, I don\'t really care after all.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wuher.stf', '23', 'player_2_3', 'No thanks.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wuher.stf', '24', 'player_3_1', 'What drink did he invent?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wuher.stf', '25', 'player_3_2', 'Why do you hate droids?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wuher.stf', '26', 'player_3_3', 'What\'s in the vial?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wuher.stf', '27', 'player_reset_1', 'I\'ve changed my mind.  I\'m not interested in doing this any more.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wuher.stf', '28', 'player_sorry_1', 'I haven\'t found him yet.  I\'ll let you know when I have.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wuher.stf', '29', 'npc_backtowork_1', 'Until you get it, stop wasting my time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wuher.stf', '30', 'npc_reset_1', 'Why are you wasting my time? I got customers to serve.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wuher.stf', '31', 'cantwork', 'Talk to me when you\'re not busy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wuher.stf', '32', 'dontknowyou_1', 'Then again, you don\'t even know what I\'m talking about, do you?  Nevermind.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wuher.stf', '33', 'npc_work_1', 'Did you get that recipe for me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wuher.stf', '34', 'npc_work_2', 'Did you scrap that droid?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wuher.stf', '35', 'npc_work_3', 'Do you have the vial on you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wuher.stf', '36', 'npc_breech_1', 'You can\'t prove I poisoned those tourists! Die!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wuher.stf', '37', 'npc_breech_2', 'This is an Imperial matter. Do not interfere.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wuher.stf', '38', 'npc_breech_3', 'I can kill you with a touch!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wuher.stf', '42', 'npc_backtowork_2', 'Until you break that thing in two, stop wasting my time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wuher.stf', '43', 'npc_backtowork_3', 'Unless you have that vial, get out of my cantina.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wuher.stf', '44', 'npc_reset_2', 'It really annoys me when you ask about a job then refuse it. Just so you know.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wuher.stf', '45', 'npc_reset_3', 'I hate when you do that.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wuher.stf', '46', 'player_reset_2', 'I stopped by to tell you that I\'m not interested in doing this anymore.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wuher.stf', '47', 'player_reset_3', 'I\'ve changed my mind.  I\'m going to get a drink instead.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wuher.stf', '48', 'player_sorry_2', 'Not yet, but I\'ll get dismantle it before it turns in the report.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wuher.stf', '49', 'player_sorry_3', 'No, but I will soon.  Don\'t worry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wuher.stf', '53', 'dontknowyou_2', 'Your interference has been noted.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wuher.stf', '54', 'dontknowyou_3', 'Don\'t worry.  I\'m not interested in killing you.  Get out of here before I change my mind.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wuher.stf', '55', 'dontknowyou_4', 'Oh, you\'re not a slug.  Sorry.  Didn\'t mean to insult you there.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wuher.stf', '61', 'npc_1_4', 'I need you to take out a Nikto enforcer. He\'s carrying an encrypted datadisc. I need you to bring that back to me. Can you handle that?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wuher.stf', '64', 'npc_2_4', 'Here are the Nikto\'s coordinates. Don\'t hesitate when you see him. Just start blasting. And don\'t forget that datadisc.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wuher.stf', '67', 'npc_3_4', 'Stop doing that! You\'re driving me crazy with that!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wuher.stf', '70', 'npc_4_4', 'You ask a lot of questions. It\'s an order from Valarian to take out Jabba\'s lieutenant. I figure this\'ll get me in good with the Hutt.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wuher.stf', '73', 'npc_backtowork_4', 'Understood.  I hope you have some patience as I get around to serving you.  Maybe that datadisc might speed me up, eh?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wuher.stf', '76', 'npc_breech_4', 'Back off, slug!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wuher.stf', '79', 'npc_reset_4', 'Stop doing that! You\'re driving me crazy with that!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wuher.stf', '82', 'npc_reward_4', 'This datadisc looks damaged. If it ain\'t readable, you owe me some money.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wuher.stf', '88', 'npc_work_4', 'So, do you have the datadisc?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wuher.stf', '91', 'player_1_4', 'Yeah, I\'ll handle this for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wuher.stf', '94', 'player_2_4', 'Are you kidding?  I just wanted to ask about it, not actually do it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wuher.stf', '97', 'player_3_4', 'What\'s on the datadisc?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wuher.stf', '100', 'player_reset_4', 'To tell you the truth, I wasn\'t going to really do it.  I was just playing with you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wuher.stf', '103', 'player_sorry_4', 'If I had it, I\'d tell you, okay?  Have some patience.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/tatooine/wuher.stf', '104', 'next', 'Work? Forget it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '1', 'cant_work', 'You look busy. Come back later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '2', 'dontknowyou_1', 'Who are you? I\'m sorry, I don\'t know you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '3', 'dontknowyou_2', 'I don\'t know you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '4', 'dontknowyou_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '5', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '6', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '7', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '8', 'next', 'Well, you sorted that one out, mighty hunter. You have my sincere thanks for a job well done.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '9', 'notit_1', 'This doesn\'t look like anything that would be found at the scene of the abduction. I suggest you go talk to Sundre again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '10', 'notit_2', 'This isn\'t what I asked for. I suggest you try again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '11', 'notit_3', 'This isn\'t what I asked for.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '12', 'notit_4', 'This is not what I asked for.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '13', 'notyet', 'I\'m not sure you can be trusted. Come back later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '14', 'npc_1_1', 'Greetings, traveller. What brings you to Yavin 4? I wonder if you are available to help me investigate a problem that has been interfering with the work schedule here. I need you to speak with my foreman, Sundre Korbeth.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '15', 'npc_1_2', 'Would you like to help out looking for those Mamien maneaters?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '16', 'npc_1_3', 'Great news, Pelig has found the Mamien. We need you to put an end to it before it kills again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '17', 'npc_1_4', 'Pelig says he is on to the location of the Mamien\'s mate. He also told us he\'s investigated the lair while it was out hunting and does not believe there are others. We need you to finish this once and for all.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '18', 'npc_2_1', 'Perfect. Look for Sundre near this location on your datapad. Talk to her about the recent problems she has been having. The men think the jungle is haunted, but I think it more likely that the jungle is hungry. Be sure to bring me any evidence you might find at the location.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '19', 'npc_2_2', 'Very good. This is Pelig. He is an excellent scout, and I know he will find the beasts in no time. I will need you to accompany him through a dangerous section of jungle, then return here for your reward.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '20', 'npc_2_3', 'I know you can do it. Now Pelig places the creature right around -- here. If you head out that way you\'re sure to find him. Don\'t forget to return for your reward after the maneater is dead.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '21', 'npc_2_4', 'You must go at once. There\'s no telling what could happen if you delay.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '22', 'npc_3_1', 'Some other time maybe?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '23', 'npc_3_2', 'And you did so well before. So be it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '24', 'npc_3_3', 'After all you have done so far, how could you abandon us now?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '25', 'npc_3_4', 'Would you be so callous as to sit idly by as more of my workers are killed?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '26', 'npc_4_1', 'Two nights ago there was a disturbance at a remote labor camp. Wild screaming and savage growling woke everyone up. By the time anyone knew what was happening one of the men was missing. The men think it was a ghost, but I\'m sure there is nothing more dangerous than a choku gone maneater.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '27', 'npc_4_2', 'If the thought of hard working men and women killed in their sleep does nothing to motivate you, there is always the lure of credits.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '28', 'npc_4_3', 'Yes, stop the Mamien killing our workers and you shall have a great reward.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '29', 'npc_4_4', 'I had thought you\'d want to finish what you had started... and collect your full reward.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '30', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '31', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '32', 'npc_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '33', 'npc_5_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '34', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '35', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '36', 'npc_6_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '37', 'npc_6_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '38', 'npc_backtowork_1', 'You do that.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '39', 'npc_backtowork_2', 'Hurry up then, productivity is slipping.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '40', 'npc_backtowork_3', 'Please hurry before it kills again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '41', 'npc_backtowork_4', 'Please hurry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '42', 'npc_breech_1', 'Are you the one Drenn sent?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '43', 'npc_breech_2', 'Let\'s get going, I should have been out here days ago.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '44', 'npc_breech_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '45', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '46', 'npc_dropoff_2', 'Thanks for the muscle, I can handle things from here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '47', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '48', 'npc_failure_1', 'This is hardly acceptable. I should not have trusted you in the first place. I suppose this is really my own mistake.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '49', 'npc_failure_2', 'I thought you would be the one to save us from this threat. You disappoint me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '50', 'npc_failure_3', 'Well, you\'re just going to have to try to find the beast again. We can\'t stop now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '51', 'npc_failure_4', 'Well, you\'re just going to have to try to find the beast again. We can\'t stop now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '52', 'npc_more_1_1', 'I\'ll say this: That man was dragged off by the spirit of a long-dead Massassi warrior. I saw it, lumbering through the forest. It had glowing eyes. The men are scared and refuse to leave the camp. And rightly so -- who knows when it might come back? We found a piece of its claw. Take this back to Drenn so he can see what we have to put up with.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '53', 'npc_more_1_2', 'Yup, just get me past the danger and I\'ll find those beasties for Drenn.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '54', 'npc_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '55', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '56', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '57', 'npc_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '58', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '59', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '60', 'npc_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '61', 'npc_noloc_1', 'Sundre is very busy right now. Perhaps you should come back to me later when she\'s not so busy? We can continue then.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '62', 'npc_noloc_2', 'Pelig is not quite ready. Could you come back in a little bit?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '63', 'npc_noloc_3', 'Hold on a moment, I\'m having trouble reaching Pelig by comlink. Would you mind returning a little bit later?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '64', 'npc_noloc_4', 'Just a moment, Pelig just radioed a garbled message. It may be important to the status of your mission. We\'re trying to reestablish contact. Come back in a little bit.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '65', 'npc_reset_1', 'Some other time maybe?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '66', 'npc_reward_1', 'Massassi ghosts, she says? Well, some people will believe anything. You see this claw? This comes from a Mamien. Big hulking ape-like creatures. I\'ve never heard of one being so bold. At least I know what we\'re dealing with now. Thank you for your help.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '67', 'npc_reward_2', 'So the scout is safely in the field? We\'ll find our killer Mamien soon enough. And the sooner we find it, the sooner we kill it, and the sooner we can get back to work. Speaking of work, nice job.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '68', 'npc_reward_3', 'You say you killed it? This I don\'t doubt, but listen close to what I have to say: There is another. While you were gone the camp was attacked again. Two of the workers were slain, and a third dragged screaming into the jungle. You\'ll understand that I can\'t give you the full reward until the second Mamien is killed.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '69', 'npc_reward_4', 'Ah yes, brilliant work. You are a mighty hunter, and worthy of great praise. Here is your agreed reward from the budget of the labor camp. I owe you a great deal of thanks. And for that -- let me buy you a drink.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '70', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '71', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '72', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '73', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '74', 'npc_takeme_2', 'Let\'s get a move on. The longer we wait the colder the trail is getting.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '75', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '76', 'npc_work_1', 'Have you spoken to Sundre already?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '77', 'npc_work_2', 'Is the scout in the field?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '78', 'npc_work_3', 'Is the beast dead yet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '79', 'npc_work_4', 'Is it dead yet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '80', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '81', 'otherescort_2', 'I don\'t think you\'re talking to the right person. Look around some, they may be nearby.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '82', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '83', 'player_1_1', 'I\'ll help you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '84', 'player_1_2', 'Of course I will help.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '85', 'player_1_3', 'I will kill the Mamien.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '86', 'player_1_4', 'Yes, I\'ll finish what I started.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '87', 'player_2_1', 'No thank you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '88', 'player_2_2', 'No, thank you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '89', 'player_2_3', 'No, thank you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '90', 'player_2_4', 'Not today, thank you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '91', 'player_3_1', 'What exactly is going on here?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '92', 'player_3_2', 'Why should I help?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '93', 'player_3_3', 'I assume there is a reward for this?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '94', 'player_3_4', 'Why do you need me to do it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '95', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '96', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '97', 'player_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '98', 'player_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '99', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '100', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '101', 'player_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '102', 'player_5_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '103', 'player_more_1_1', 'Yes, I was told you might be able to provide some insight on the attack the other night.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '104', 'player_more_1_2', 'Do you have what you need for this?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '105', 'player_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '106', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '107', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '108', 'player_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '109', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '110', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '111', 'player_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '112', 'player_reset_1', 'On second thought, I\'d rather not.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '113', 'player_sorry_1', 'Not yet, I\'ll be on my way.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '114', 'return_waypoint_description_1', 'This is the location of Drenn Zebber, the labor outpost foreman.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '115', 'return_waypoint_description_2', 'Drenn Zebber, the labor outpost foreman.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '116', 'return_waypoint_description_3', 'Drenn Zebber, labor outpost foreman.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '117', 'return_waypoint_name_1', 'Drenn Zebber');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '118', 'return_waypoint_name_2', 'Drenn Zebber');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '119', 'return_waypoint_name_3', 'Drenn Zebber');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '120', 'waypoint_description_1', 'This remote labor camp is the scene of a recent mysterious abduction.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '121', 'waypoint_description_2', 'This is the area where the scout Pelig must be delivered.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '122', 'waypoint_description_3', 'Pelig\'s reported location of the Mamien Maneater.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '123', 'waypoint_name_1', 'Remote Labor Camp');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '124', 'waypoint_name_2', 'Scout Insertion Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '125', 'waypoint_name_3', 'Mamien Maneater');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '126', 'npc_reset_2', 'Some other time maybe?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '127', 'npc_reset_3', 'Some other time maybe?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '128', 'npc_reset_4', 'Some other time maybe?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '129', 'player_reset_2', 'On second thought, I\'d rather not.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '130', 'player_reset_3', 'On second thought, I\'d rather not.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '131', 'player_reset_4', 'On second thought, I\'d rather not.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '132', 'player_sorry_2', 'Not yet, I\'ll be on my way.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '133', 'player_sorry_3', 'Not yet, I\'ll be on my way.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/drenn_zebber.stf', '134', 'player_sorry_4', 'Not yet, I\'ll be on my way.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '1', 'cant_work', 'Is there something I can help you with? I mean, I see you walking around IN THE MIDDLE OF A BATTLEFIELD! When you\'re not so busy, maybe you can do more than just get in the way! GET OUT OF HERE!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '2', 'dontknowyou_1', 'Never mind. I thought you were ambushing us.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '3', 'dontknowyou_2', 'We\'re not under attack? Oh, I\'m quite sorry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '4', 'dontknowyou_3', 'Oh!! You\'re giving me a blaster? Joy!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '5', 'dontknowyou_4', 'Move along. There\'s nothing to see here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '6', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '7', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '8', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '9', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '10', 'next', 'You\'ve done good, kid. Now get out of here... there\'s about to be a whole mess of troopers coming in. I\'ll hold them off long enough for everyone to get out of here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '11', 'notit_1', 'What\'s this? I don\'t want this! Now get out there!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '12', 'notit_2', 'What\'s this? I didn\'t ask you for a present, idiot! I asked you to take out that medic!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '13', 'notit_3', 'What is this? Look, quit fooling around and do what you have to do!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '14', 'notit_4', 'What? Get this out of my face and get back to work.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '15', 'notyet', 'What are you doing standing around here? I don\'t have time to answer questions for civilians. Get out of here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '16', 'npc_1_1', 'What are you doing there looking slackjawed? We have a situation here that we can\'t afford to sit around with our thumbs up. Look, I need you to go flank a squad of \'troopers that have my men pinned down. Do you understand, or should I speak slower?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '17', 'npc_1_2', 'Well now... those Recon units sure know how to scout out an area. We\'ve found a hidden triage camp out in the jungle. You know what we\'re going to do about it, right?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '18', 'npc_1_3', 'Come over here. I\'ve got an assignment that\'s of a... well, a sensitive nature, understand? I need you to fix a problem before it happens. If you\'re squeamish, you need to let me know now before we go any further, got it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '19', 'npc_1_4', 'Damn! The kid had already made enough noise to draw the Empire down on our position! AAARRG! If I hadn\'t gone soft, I would\'ve done the job myself. Look, you have to help buy us time so the other men can get out of here!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '20', 'npc_2_1', 'I\'m glad I didn\'t have to repeat myself. Go to this location I put in your datapad and you\'ll find the troopers. If you get there quiet enough, you might be able to put a blaster through the backs of their skulls before they know what happened.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '21', 'npc_2_2', 'You\'re blasted right you\'ll help. It\'s not everyday you can get a clear shot at the throat of the Empire. Go out there and take out their medic. Got it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '22', 'npc_2_3', 'There\'s a kid who\'s seen too much fighting and he\'s about to snap. If he does at the wrong moment, my whole battalion could be wiped out. Go tell him, \"Hey, look over there,\" and when his back is turned, do what you have to do. Report back only to me when you\'re done.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '23', 'npc_2_4', 'That\'s what I wanted to hear, kid. What you\'ve got to do is take out the preliminary scouts... if I can get my men out of here, I can take over where you left off. Now move out!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '24', 'npc_3_1', 'What did you just say? Did you tell me that you don\'t like my tone? What if I shove my face a little closer to yours. Do you think you\'ll like it then? WELL, DO YOU!??!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '25', 'npc_3_2', 'A non-combat unit!? You\'ve got a guy out there who\'s patching up every one of the \'troopers who get away, and you call him a non-combat unit? The battlefield is no place to start getting soft!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '26', 'npc_3_3', 'Yeah, I thought you were one of those yellow-bellied civilians. You\'re all talk, but when someone puts a blaster in your hand, that\'s when you go weak in the knees... yeah, I know your type. Ptui! I eat people like you for breakfast!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '27', 'npc_3_4', 'So you\'re going to let a whole battalion lose their lives because you\'ve decided to go coward on me? You disgust me. Get out of here before I break your neck myself.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '28', 'npc_4_1', 'Were you just born yesterday? Or maybe your momma didn\'t tell you what a TIE Bomber is? We\'re in a war here! My Recon team has encountered unexpected numbers and can\'t take care of themselves right now. Now, are you going to keep jabbering or are you going to go save some men?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '29', 'npc_4_2', 'In case you weren\'t looking, we\'re in the middle of a jungle! The Empire doesn\'t have time to set up shop and fixing their \'troopers, kid! Out here you throw on some bacta-soaked bandages and get back out into battle.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '30', 'npc_4_3', 'You know how an infected wound starts to rot and the medic says he\'s gotta cut it off or everything else will go? Well, that\'s what we have here... we\'ve got a wound that\'s about to take out my body of men. I need you to be that medic, understand?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '31', 'npc_4_4', 'That damned crazed kid was out in the jungle calling out for his mommy! Well, those probe droids sure as all smack heard that and found where we were. Any more questions, or do you want to actually save some lives now?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '32', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '33', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '34', 'npc_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '35', 'npc_5_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '36', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '37', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '38', 'npc_6_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '39', 'npc_6_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '40', 'npc_backtowork_1', 'You\'re going to go save a group of my men! What part of that didn\'t you understand?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '41', 'npc_backtowork_2', 'You\'re going out there and taking out that medic. With him gone, the troopers will have to patch themselves up.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '42', 'npc_backtowork_3', 'Look, I\'m not gonna chit-chat about this. Take care of the problem and let me know when it\'s done, got it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '43', 'npc_backtowork_4', 'You\'re going out there and taking care of all the troopers you find! Now go!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '44', 'npc_breech_1', 'What? WE\'VE BEEN FLANKED! Behind us, men!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '45', 'npc_breech_2', 'We\'re under attack!!! Get out there and save me!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '46', 'npc_breech_3', 'Mommy, can I go home now? Please? Mom? What are you doing with that blaster?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '47', 'npc_breech_4', 'Sir, over there. We found the right place. Kill him first!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '48', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '49', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '50', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '51', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '52', 'npc_failure_1', 'If you don\'t have news that makes me breathe a sigh of relief, then I suggest you walk your rear out of here -- double time!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '53', 'npc_failure_2', 'You let him get away? BLAST IT! That was our chance to try to slow them down, fool! Get out of here!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '54', 'npc_failure_3', 'What? What do you mean you went soft at the last minute? You let the kid go? *groan* You have no idea what you just did....');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '55', 'npc_failure_4', 'You let them scout out our position? Do you know how many soldiers you\'ve condemned?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '56', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '57', 'npc_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '58', 'npc_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '59', 'npc_more_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '60', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '61', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '62', 'npc_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '63', 'npc_more_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '64', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '65', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '66', 'npc_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '67', 'npc_more_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '68', 'npc_noloc_1', 'Let me go check with the Recon group to find where they can be found. Ask me again in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '69', 'npc_noloc_2', 'Let me confirm with the Recon team where that field medic was. Ask me again in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '70', 'npc_noloc_3', 'Let me locate a good place to meet up with the kid. Check back with me in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '71', 'npc_noloc_4', 'I\'ll check to see where their troop movements are coming in from. Ask me in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '72', 'npc_reset_1', 'What did you just say? WHAT DID YOU JUST SAY!? Gaaarrraahhhh! Get out of here!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '73', 'npc_reward_1', 'The Recon team says you got messy with your rescue. You could\'ve gotten yourself killed with that reckless approach. A good blaster in the back works just as well as one in the front. Well, either way, you got the job done. Good work, kid.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '74', 'npc_reward_2', 'With that triage unit gone, we\'ll be able to hunt down any troopers we\'ve managed to wing. Now maybe they won\'t be coming at us full force anymore.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '75', 'npc_reward_3', 'It\'s done? Look -- we\'ve all got blood on our hands, got it? It\'s one of those things that you keep from your kiddies, but you\'ll know it needed to be done. Just remember that. It needed to be done to save the rest.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '76', 'npc_reward_4', 'Okay, while you were taking those troopers out, I was able to pull a full evac of our soldiers. Now you get out of here, too. There should be a few hundred of the Empire coming in. I\'ll take care of them. Nice having you under my command, kid. Now go!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '77', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '78', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '79', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '80', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '81', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '82', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '83', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '84', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '85', 'npc_work_1', 'Are you still here?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '86', 'npc_work_2', 'Why aren\'t you putting that medic out of business?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '87', 'npc_work_3', 'Have you done the deed?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '88', 'npc_work_4', 'Why aren\'t you intercepting those stormtroopers?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '89', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '90', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '91', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '92', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '93', 'player_1_1', 'Yes sir! I understand! I\'ll do it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '94', 'player_1_2', 'Yes sir, I think I know. I\'ll help.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '95', 'player_1_3', 'I\'ve got a spine of steel, sir. I\'ll do what you need.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '96', 'player_1_4', 'Absolutely! I\'ll do it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '97', 'player_2_1', 'I don\'t like your tone. No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '98', 'player_2_2', 'If you mean kill a non-combat unit, then do it yourself.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '99', 'player_2_3', 'I don\'t like the way this sounds. No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '100', 'player_2_4', 'After your last \'assignment\', I\'m not doing anything for you!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '101', 'player_3_1', 'What happened to your men?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '102', 'player_3_2', 'Why aren\'t they being taken to a full hospital?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '103', 'player_3_3', 'What exactly is the \'situation\', sir?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '104', 'player_3_4', 'What do you mean he made noise?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '105', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '106', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '107', 'player_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '108', 'player_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '109', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '110', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '111', 'player_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '112', 'player_5_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '113', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '114', 'player_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '115', 'player_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '116', 'player_more_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '117', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '118', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '119', 'player_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '120', 'player_more_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '121', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '122', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '123', 'player_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '124', 'player_more_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '125', 'player_reset_1', 'Sir, I can\'t do this anymore.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '126', 'player_sorry_1', 'What am I to do again?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '127', 'return_waypoint_description_1', 'Where you\'ll find Captain Eso waiting for a report');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '128', 'return_waypoint_description_2', 'Eso is waiting for a report on the situation');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '129', 'return_waypoint_description_3', 'Let Eso know that the problem has been solved');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '130', 'return_waypoint_description_4', 'Return to the Captain to see if you bought enough time for them');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '131', 'return_waypoint_name_1', 'Captain Eso');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '132', 'return_waypoint_name_2', 'Captain Eso');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '133', 'return_waypoint_name_3', 'Captain Eso');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '134', 'return_waypoint_name_4', 'Captain Eso');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '135', 'waypoint_description_1', 'The prime spot to ambush the stormtroopers.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '136', 'waypoint_description_2', 'A hidden impromptu healing facility.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '137', 'waypoint_description_3', 'A soldier who has become a problem to the battalion -- a potentially fatal problem. Sometimes war makes you do things you\'ll regret when you\'re old.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '138', 'waypoint_description_4', 'Take out all the stormtroopers you find and you\'ll buy the battalion time to escape.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '139', 'waypoint_name_1', 'Ambush Point');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '140', 'waypoint_name_2', 'Bacta Tanks');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '141', 'waypoint_name_3', 'Deranged Soldier');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '142', 'waypoint_name_4', 'Stormtrooper Patrol');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '143', 'npc_reset_2', 'Can\'t handle it huh?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '144', 'npc_reset_3', 'Fine.  Get out of my sight before I get angry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '145', 'npc_reset_4', 'Go then.  I don\'t care.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '146', 'player_reset_2', 'I can\'t handle this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '147', 'player_reset_3', 'I\'m done, I can\'t take this anymore.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '148', 'player_reset_4', 'I\'ve had it.  I give up.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '149', 'player_sorry_2', 'I\'m on that task, sir.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '150', 'player_sorry_3', 'I should get back to work...');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/eso.stf', '151', 'player_sorry_4', 'I\'ll be done soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '1', 'cant_work', 'Looks like you\'re working hard. I like to see that. Come back when you\'re not so busy - I\'ve got some more work for you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '2', 'dontknowyou_1', 'Nice weather we\'ve been having, hmm?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '3', 'dontknowyou_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '4', 'dontknowyou_3', 'Who are you? No, I should be all right on my own now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '5', 'gotowork_1', 'You wouldn\'t happen to have a secondary flux modulator for an IT series mineral scanner, would you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '6', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '7', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '8', 'next', 'Well, things are certainly a lot easier around here since you showed up. I\'m sorry, but I just don\'t have anything else for you to do.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '9', 'notit_1', 'This isn\'t what I asked for. Stop fooling around.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '10', 'notit_2', 'You\'re not done yet.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '11', 'notit_3', 'This isn\'t what I asked for.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '12', 'notyet', 'Is there something I can help you with? We\'re all very busy around here, and don\'t have much time to talk to strangers.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '13', 'npc_1_1', 'Three hours? Three hours and they just now let us know the dang thing is busted? Unbelievable. Now where am I going to find someone to... hey, you! Yeah. How would you like to earn a few credits running a replacement part out to a surveying team?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '14', 'npc_1_2', 'There\'s been a fair bit of excitement around the old camp since you left. Anglers. Two or three of the nasty Sithspawn came in from the jungle. Made off with our pack kaadu. It wasn\'t cheap importing that thing all the way from Naboo, either. But the point is, we can\'t have these sort of goings-on. How do you feel about killing a few anglers?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '15', 'npc_1_3', 'You haven\'t let me down yet, and for the sake of my men I hope you don\'t start now. That surveying team you helped out before is being attacked by a rabid pack of choku. I need you to get out there and rescue as many of them as you can.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '16', 'npc_2_1', 'That\'s just fantastic. You run this briefcase out to the jokers standing about near the location I\'ve marked on your datapad, and I\'ll give you a few credits.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '17', 'npc_2_2', 'Hey, this isn\'t a situation you should approach lightly. Those anglers will eat a person just the same as a kaadu. I have faith in you, though. One of my men followed the things back to their den. I\'ll mark the location on your datapad. Stop by after you\'re done and I\'ll see you get your reward.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '18', 'npc_2_3', 'Good. Hurry, there\'s no time to waste. You know what to expect: choku are meaner than a sack full of womp rats. Still, I know you\'ve got it in you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '19', 'npc_3_1', 'Okay then. If you\'re not going to help, would you mind not getting in the way?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '20', 'npc_3_2', 'Hmm. Well, we should be safe for a while. Kaadu meat is very filling from what I hear. I do wish you would reconsider. Soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '21', 'npc_3_3', 'It seems I overestimated you. I just regret that it figured into the loss of my men.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '22', 'npc_4_1', 'It\'s just a quick trip to a few surveyors. It\'s nothing dangerous, but we have plenty of work to do. I\'d rather not send one of my men out if I can avoid it. And I\'m prepared to pay you well.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '23', 'npc_4_2', 'I don\'t blame you for thinking about number one. Anglers can be pretty tricky. Well, I\'ve got a few credits for you. And there\'s this set of old mining coveralls I found in the storeroom. They look to be about your size.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '24', 'npc_4_3', 'How could you think of payment when the lives of my men are on the line? Are you really that mercenary? Sad. Yes, I will pay you if you save my men.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '25', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '26', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '27', 'npc_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '28', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '29', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '30', 'npc_6_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '31', 'npc_backtowork_1', 'I\'d say you should.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '32', 'npc_backtowork_2', 'I ddin\'t think they were.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '33', 'npc_backtowork_3', 'Yes, please do.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '34', 'npc_breech_1', 'Hey, are you the courier that Jazeen sent?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '35', 'npc_breech_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '36', 'npc_breech_3', 'Spare me... spare me. My child, my wife... Please help me!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '37', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '38', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '39', 'npc_dropoff_3', 'I\'m alive... but I\'ll be needing a visit to the infirmary. Thank you... for all you\'ve done. You\'re a true hero.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '40', 'npc_failure_1', 'This is what I get for asking a stranger to help me. Well, you know what they say about wanting something done right.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '41', 'npc_failure_2', 'Well, it happens to the best of us. Don\'t let it get you down. Maybe you should try again?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '42', 'npc_failure_3', 'It seems I overestimated you. I just regret that it figured into the loss of my men.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '43', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '44', 'npc_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '45', 'npc_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '46', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '47', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '48', 'npc_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '49', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '50', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '51', 'npc_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '52', 'npc_noloc_1', 'Hey, give me a minute. Those fools weren\'t at the right place. Come back a little later, okay?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '53', 'npc_noloc_2', 'Hold on a minute, comlink going off... Jazeen here... Ah, Sithspit! All right, you keep an eye on them and let me know when they\'ve stopped. Out. -- Well, hold your horses. Seems those beasties got the idea to up and move. Check back with me a little later and I\'ll let you know if they\'ve stopped.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '54', 'npc_noloc_3', 'Hold on lad. They\'re running for their lives. We\'re trying to track their movement. Sit tight a minute, I\'ll let you know when we find them.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '55', 'npc_reset_1', 'Very well then, forget I even asked.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '56', 'npc_reward_1', 'Hey, not bad. Not bad at all. You came through for me kid, I\'ll remember this. Here are those credits we talked about.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '57', 'npc_reward_2', 'You got them, eh? Another job well done. The camp\'ll be safe for the time being. Here ya go.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '58', 'npc_reward_3', 'I know you did the best you could, and I\'m thankful for that. You\'ve done a great thing today. I don\'t think of too many people this way, but I believe the men are right when they talk about you like a hero.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '59', 'npc_smuggle_1', 'Look at that. We\'ll get this scanner up and running in no time. Best you get back to Jazeen and tell him the good news. We\'ll take care of things here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '60', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '61', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '62', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '63', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '64', 'npc_takeme_3', 'You\'ve finally arrived! Thank you!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '65', 'npc_work_1', 'Is there some problem?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '66', 'npc_work_2', 'Those spiders dead yet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '67', 'npc_work_3', 'Those men sounded like they\'re in a bad way. Unless this is important I suggest you get moving.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '68', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '69', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '70', 'otherescort_3', 'I appreciate you being here to help out, but I don\'t recognize you. If you\'re looking for someone I suggest you look more carefully.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '71', 'player_1_1', 'I\'ll take the job.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '72', 'player_1_2', 'Finally, a bit of action.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '73', 'player_1_3', 'How could I refuse? I\'ll go help them out.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '74', 'player_2_1', 'I\'m not interested.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '75', 'player_2_2', 'No, I\'m not quite ready for that.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '76', 'player_2_3', 'I\'d like to help, but --');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '77', 'player_3_1', 'Why should I?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '78', 'player_3_2', 'What\'s in it for me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '79', 'player_3_3', 'You gonna pay me or what?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '80', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '81', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '82', 'player_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '83', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '84', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '85', 'player_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '86', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '87', 'player_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '88', 'player_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '89', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '90', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '91', 'player_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '92', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '93', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '94', 'player_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '95', 'player_reset_2', 'I don\'t want to do this anymore.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '96', 'player_sorry_1', 'No, sorry. I\'ll get on that right away.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '97', 'return_waypoint_description_1', 'Mining outpost foreman.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '98', 'return_waypoint_description_2', 'Mining outpost foreman.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '99', 'return_waypoint_description_3', 'Mining outpost foreman.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '100', 'return_waypoint_name_1', 'Jazeen Thumm');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '101', 'return_waypoint_name_2', 'Jazeen Thumm');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '102', 'return_waypoint_name_3', 'Jazeen Thumm');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '103', 'waypoint_description_1', 'This is the location of a survey site in need of repair parts for a mineral scanner.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '104', 'waypoint_description_2', 'A group of anglers who have recently been preying on the mining outpost.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '105', 'waypoint_description_3', 'The survivors of a survey team beset by a pack of ravenous choku.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '106', 'waypoint_name_1', 'Survey Site');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '107', 'waypoint_name_2', 'Angler Lair');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '108', 'waypoint_name_3', 'Survey Team Survivors');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '109', 'npc_reset_2', 'It\'s ok.  Not everyone can put in the work I need.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '110', 'npc_reset_3', 'Fine, go on then. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '111', 'npc_reset_4', 'I don\'t understand.  I thought you were better than this...');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '112', 'player_reset_1', 'I can\'t finish this assignment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '113', 'player_reset_3', 'I can\'t do this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '114', 'player_reset_4', 'I\'m tired of this job.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '115', 'player_sorry_2', 'I\'ll get done quick as I can.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '116', 'player_sorry_3', 'This task should be finished soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/jazeen_thumm.stf', '117', 'player_sorry_4', 'I just need a little more time...');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '1', 'cant_work', 'I could use some help tracking down hidden Rebel enclaves. Why don\'t you come back and help me when you\'ve finished with your current duties?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '2', 'dontknowyou_1', 'This is not a secure area, friend. You should leave before trouble erupts.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '3', 'dontknowyou_2', 'You may want to consider moving on. Several of our people are missing. This could turn in to a war zone at any moment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '4', 'dontknowyou_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '5', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '6', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '7', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '8', 'next', 'Everything is quiet right now. But come see me later. Those Rebels are like vermin - you can never get rid of them entirely.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '9', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '10', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '11', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '12', 'notyet', 'I need to be left alone for now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '13', 'npc_1_1', 'They\'re everywhere, you know. Rebels, I mean. They lurk around the periphery looking for weak points they can exploit. It\'s important to remain vigilant. A lot of my officers have gotten jaded and I could use someone to shake things up a little. Do you think you might be interested in doing that?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '14', 'npc_1_2', 'There\'s one sure thing to follow a group of Rebel scouts gone missing - a rescue attempt. I\'d like you to arrange a little surprise for whatever group they send to rescue their lost scouts. Are you up for taking down a few more of those Rebel vermin?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '15', 'npc_1_3', 'So far we\'ve had scouts and a rescue party. That says to me that they must have some sort of mobile command center. I think it would be a good idea for you to find the leader of this base and obliterate him. I can\'t leave those rebels running around on my watch, now can I? I could really use you on this one. How about it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '16', 'npc_2_1', 'I know there are little pockets of that rabble scattered all over this planet. No doubt they have scouting parties checking on our activities. I\'d be very pleased if you\'d find one of these scouting parties and destroy it. Very pleased indeed. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '17', 'npc_2_2', 'Good. I have intelligence on some unexplained activity in one sector. That\'s probably the best place to start. Return to me once you\'ve rooted them out.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '18', 'npc_2_3', 'You know what you have to do. Find that Colonel and destroy him. Any Rebels in the area should be eliminated also. Report back once your mission is complete.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '19', 'npc_3_1', 'I hope you\'re not trying to protect those scum. I won\'t rest until every Rebel on this world is dead.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '20', 'npc_3_2', 'I\'m a military commander, not a nursemaid. As far as I\'m concerned, if you\'re not part of the solution, you\'re part of the problem.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '21', 'npc_3_3', 'I would never question your loyalty. That\'s the Imperial Security Bureau\'s job.  ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '22', 'npc_4_1', 'You\'re pretty new to Yavin. I figure if a rookie like you comes in and tracks down some hidden Rebels it will force them to become more alert. What do you say?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '23', 'npc_4_2', 'Exactly the kind of surprise I had in mind. You find that rescue party and blast them off the map. How about it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '24', 'npc_4_3', 'I\'m the commander of an Imperial base. Assume I have access to intelligence reports and that I know what I\'m talking about. The question is not whether there is a Rebel leader; the question is whether you are going to destroy him.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '25', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '26', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '27', 'npc_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '28', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '29', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '30', 'npc_6_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '31', 'npc_backtowork_1', 'Are you changing your mind or are you just the jittery type?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '32', 'npc_backtowork_2', 'You seem to want to say something. Just spit it out.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '33', 'npc_backtowork_3', 'I can see you\'re excited. Speak your mind and let\'s get on with it.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '34', 'npc_breech_1', 'We\'ve got trouble!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '35', 'npc_breech_2', 'It looks like we\'ve got some uninvited company.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '36', 'npc_breech_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '37', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '38', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '39', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '40', 'npc_failure_1', 'This isn\'t exactly what I had in mind to impress my officers.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '41', 'npc_failure_2', 'Failure? No just a temporary setback. Learn from it and move on.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '42', 'npc_failure_3', 'I don\'t believe in failure. Somehow, however, it keeps occurring despite my lack of faith.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '43', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '44', 'npc_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '45', 'npc_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '46', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '47', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '48', 'npc_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '49', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '50', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '51', 'npc_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '52', 'npc_noloc_1', 'Let\'s continue this conversation in a little while. I have an important call I need to make. Would you mind giving me a few minutes of privacy?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '53', 'npc_noloc_2', 'I should find out if there\'s been any unusual activity anywhere. It might provide you with a good starting point. I\'ll have to ask you to leave for a few minutes while I access that information. For reasons of security.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '54', 'npc_noloc_3', 'I\'ll have to ask you to leave for a few minutes while I check some intelligence reports. Just a security precaution.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '55', 'npc_reset_1', 'Come back and wipe out those Rebel scum when you\'re better prepared.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '56', 'npc_reward_1', 'Outstanding! That should show my officers what you can do when you put your mind to something. Come back and see me about more work, you have a real talent for this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '57', 'npc_reward_2', 'If I had a few like you among my officers, I\'d be able to clean those scum off this world in no time. First-rate job.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '58', 'npc_reward_3', 'You\'ve done the Empire a great service. I think this should keep those Rebels from taking too keen an interest in Yavin for a while.  It\'s just too costly for them to stick around here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '59', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '60', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '61', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '62', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '63', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '64', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '65', 'npc_work_1', 'Have you managed to track down one of those scouting parties yet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '66', 'npc_work_2', 'Have you found any sign of a Rebel rescue team? I know they\'re out there somewhere.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '67', 'npc_work_3', 'Get out there and destroy that Rebel. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '68', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '69', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '70', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '71', 'player_1_1', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '72', 'player_1_2', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '73', 'player_1_3', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '74', 'player_2_1', 'No');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '75', 'player_2_2', 'No');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '76', 'player_2_3', 'No');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '77', 'player_3_1', 'How do you want me to shake things up?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '78', 'player_3_2', 'A surprise, eh? The kind that involves a lot of collateral damage?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '79', 'player_3_3', 'Why are you so sure there\'s a mobile base?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '80', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '81', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '82', 'player_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '83', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '84', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '85', 'player_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '86', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '87', 'player_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '88', 'player_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '89', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '90', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '91', 'player_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '92', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '93', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '94', 'player_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '95', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '96', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '97', 'return_waypoint_description_1', 'Return to Vraker Orde with news of your success.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '98', 'return_waypoint_description_2', 'Return to Vraker Orde with news of your success.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '99', 'return_waypoint_description_3', 'Return to Vraker Orde with news of your victory');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '100', 'return_waypoint_name_1', 'Vraker Orde');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '101', 'return_waypoint_name_2', 'Vraker Orde');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '102', 'return_waypoint_name_3', 'Vraker Orde');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '103', 'waypoint_description_1', 'Find and eliminate the Rebel scouting party.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '104', 'waypoint_description_2', 'Find and eliminate the Rebel rescue team');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '105', 'waypoint_description_3', 'Find and destroy the mobile Rebel base');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '106', 'waypoint_name_1', 'Rebel scout\'s location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '107', 'waypoint_name_2', 'Rebel rescue team\'s location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '108', 'waypoint_name_3', 'Rebel base\'s location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '109', 'npc_reset_2', 'Come back and wipe out those Rebel scum when you\'re better prepared.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '110', 'npc_reset_3', 'Come back and wipe out those Rebel scum when you\'re better prepared.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '111', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '112', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '113', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_imperialgarrison_vraker_orde.stf', '114', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '1', 'cant_work', 'Report here after you\'ve completed your current assignment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '2', 'dontknowyou_1', 'You\'re in the wrong place, friend. No supplies available today.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '3', 'dontknowyou_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '4', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '5', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '6', 'next', 'No assignments today.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '7', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '8', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '9', 'notyet', 'I can\'t speak with you right now, I\'m on duty.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '10', 'npc_1_1', 'Medics at an independent supply depot were seen to issue supplies to a known Rebel. We want you to blow up the depot.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '11', 'npc_1_2', 'We\'ve located a Rebel transmission relay. Seems to be hidden in a lair of klikniks, some kind of native bugs. Destroy the lair and that should take out the transmitter.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '12', 'npc_2_1', 'Report back here when the depot is gone.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '13', 'npc_2_2', 'Right. Report back when you\'ve destroyed the bug lair.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '14', 'npc_3_1', 'Very well, that\'s all.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '15', 'npc_3_2', 'Don\'t want to crush a few bugs? Well, check back if you change your mind.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '16', 'npc_4_1', 'They\'re probably all Rebel sympathizers, so they deserve to die. Do you want the job or not?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '17', 'npc_4_2', 'Saves time. Bugs are bugs. Do you want the job or not?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '18', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '19', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '20', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '21', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '22', 'npc_backtowork_1', 'That\'s all the info I have. Destroy the medical supply depot.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '23', 'npc_backtowork_2', 'That\'s all the information I have. Destroy the kliknik lair.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '24', 'npc_breech_1', 'Imperial! Attack!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '25', 'npc_breech_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '26', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '27', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '28', 'npc_failure_1', 'Didn\'t destroy that medical supply depot? We\'ll find someone who can.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '29', 'npc_failure_2', 'Didn\'t destroy that kliknik lair? Well, we\'ll find someone who can.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '30', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '31', 'npc_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '32', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '33', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '34', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '35', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '36', 'npc_noloc_1', 'I\'m waiting on coordinates for the medical supply depot. Report back here in a few moments.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '37', 'npc_noloc_2', 'I\'m waiting on coordinates for the kliknik lair. Check with me in a few moments.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '38', 'npc_reset_1', 'No stomach for facing a medical supply depot? Not much of a soldier.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '39', 'npc_reward_1', 'Good. Report back if you want another assignment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '40', 'npc_reward_2', 'Good job. That\'s all for now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '41', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '42', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '43', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '44', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '45', 'npc_work_1', 'You need to destroy that medical supply depot.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '46', 'npc_work_2', 'You\'re supposed to destroy that kliknik lair with the hidden Rebel transmitter.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '47', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '48', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '49', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '50', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '51', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '52', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '53', 'player_3_1', 'Destroying a medical supply depot because it helped one Rebel? Isn\'t that overkill?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '54', 'player_3_2', 'Why destroy a whole lair of innocent creatures instead of just the transmitter?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '55', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '56', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '57', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '58', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '59', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '60', 'player_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '61', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '62', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '63', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '64', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '65', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '66', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '67', 'return_waypoint_description_1', 'This stormtrooper sergeant awaits news of the destruction of the medical supply depot that issued supplies to a Rebel.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '68', 'return_waypoint_description_2', 'This stormtrooper sergeant awaits news of the destruction of the \"Rebel\" kliknik lair.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '69', 'return_waypoint_name_1', 'CX-425');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '70', 'return_waypoint_name_2', 'CX-425');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '71', 'waypoint_description_1', 'Stormtrooper sergeant CX-425 wants this independent depot blown up because it provided supplies to a Rebel.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '72', 'waypoint_description_2', 'Stormtrooper sergeant CX-425 believes this lair of klikniks harbors a hidden Rebel transmitter.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '73', 'waypoint_name_1', 'Medical Supply Depot');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '74', 'waypoint_name_2', '\"Rebel\" Kliknik Lair');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '75', 'npc_reset_2', 'No stomach for facing a medical supply depot? Not much of a soldier.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '76', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_cx-425.stf', '77', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '1', 'cant_work', 'You look like an experienced servant of the Empire. I\'m prepared to employ you once you\'re available.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '2', 'dontknowyou_1', 'Can\'t help you, friend.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '3', 'dontknowyou_2', 'Clear out, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '4', 'dontknowyou_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '5', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '6', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '7', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '8', 'next', 'The situation here has been normalized. I don\'t need help right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '9', 'notit_1', 'You were supposed to bring me a stranded Rebel\'s weapon. What are you bothering me with this for?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '10', 'notit_2', 'You were supposed to bring me a Rebel Special Forces sergeant\'s weapon, which I believe may change the course of the Civil War. That clearly isn\'t it!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '11', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '12', 'notyet', 'I\'m not able to deal with you right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '13', 'npc_1_1', 'As part of the Empire\'s salvage operation on Yavin 4, I\'m hunting the Rebels and their secret weapon. Our probes just sighted a Rebel squad that apparently got stranded in the jungle. They may have been retrieving the weapon from a hidden cache. I want you to assemble a team, hit them hard, and take the weapon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '14', 'npc_1_2', 'You\'re back? We\'ve located a Rebel Special Forces squad that, in my view, could very likely be carrying the Rebellion\'s secret terror weapon that destroyed the Death Star. I want you to take an experienced team and bring back that weapon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '15', 'npc_1_3', 'You again. At long last, I believe we\'ve located the Rebels\' secret weapon that blew up the Death Star -- or at least the lab where they built it. This stronghold may be preparing another weapon even as we speak! It\'s up to you to take out the scientist!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '16', 'npc_2_1', 'Good. I\'m counting on you to render this situation normalized. Report back here with the weapon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '17', 'npc_2_2', 'Excellent! I advise you to approach with a strong team and attack from surprise. Take no chances with this galaxy-changing weapon!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '18', 'npc_2_3', 'Good. I\'ll wait here for you to return with your report of the secret weapons scientist\'s demise.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '19', 'npc_3_1', 'I have no time for slackers.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '20', 'npc_3_2', 'You have missed your chance to change history. I pity you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '21', 'npc_3_3', 'If you no longer believe in this cause, then it\'s best you get out.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '22', 'npc_4_1', 'Because the Death Star didn\'t just blow up by itself, now did it? Enough silly questions! Will you help the Empire or not?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '23', 'npc_4_2', 'Well, what else would a Special Forces squad be doing here? Just hunting Imperials? I think not! This is our chance to seize the weapon that can annihilate the Rebellion! Will you seize this chance at glory?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '24', 'npc_4_3', 'There has to be a super weapon! If there isn\'t, why would the Empire be expending such enormous resources to find it? Hah? Answer me that. That\'s right, you can\'t. Now will you destroy this weapons lab or not?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '25', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '26', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '27', 'npc_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '28', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '29', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '30', 'npc_6_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '31', 'npc_backtowork_1', 'Enough chatter. Destroy those Rebels and retrieve their secret weapon!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '32', 'npc_backtowork_2', 'Enough talking. I expect to hear shortly of the Rebel Special Forces squad dying in battle.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '33', 'npc_backtowork_3', 'No more talk. That Rebel weapons lab could be creating another super weapon as we speak. Destroy the lab!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '34', 'npc_breech_1', 'Enemy sighted!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '35', 'npc_breech_2', 'An Imperial! Fire!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '36', 'npc_breech_3', 'Imperials!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '37', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '38', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '39', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '40', 'npc_failure_1', 'You didn\'t defeat those Rebels? That could have been the super weapon, slipping through our fingers!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '41', 'npc_failure_2', 'With the Civil War hanging in the balance, you may have let the ultimate weapon slip through your clumsy fingers!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '42', 'npc_failure_3', 'You couldn\'t take out that Rebel weapons lab? They could be readying their super weapon to blow up this entire moon!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '43', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '44', 'npc_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '45', 'npc_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '46', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '47', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '48', 'npc_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '49', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '50', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '51', 'npc_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '52', 'npc_noloc_1', 'I\'m awaiting updated coordinates from the probes. Check with me in a moment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '53', 'npc_noloc_2', 'I am awaiting current coordinates for the Rebel Special Forces squad. Talk to me again in a moment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '54', 'npc_noloc_3', 'Wait -- I have to take this call from my superiors. They apparently need reassurance that it\'s worthwhile to hunt for the Rebels\' super weapon. Hah! Talk to me again in a moment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '55', 'npc_reset_1', 'The Empire didn\'t get where it is today by slacking! Return here when you\'re ready to test your mettle.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '56', 'npc_reward_1', 'No super weapon this time. But there could have been! To find a secret weapon, you have to follow every possible lead. Check with me soon for more leads.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '57', 'npc_reward_2', 'Hmm. Well, at least we can cross one more lead off a long list. But we\'ll find that weapon! If we have to burn the jungle to the ground, we\'ll find it! And you\'ll help, if you talk to me again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '58', 'npc_reward_3', 'All right, so it was just a listening post. But you can never -- never -- be sure. Now leave me alone, I have to figure out how to explain this to my superiors.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '59', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '60', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '61', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '62', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '63', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '64', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '65', 'npc_work_1', 'I expect you to attack those stranded Rebels and bring back their leader\'s weapon. Get moving!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '66', 'npc_work_2', 'I have heard no report of the Rebel Special Forces squad dying in battle. Why not?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '67', 'npc_work_3', 'Is something holding you back from destroying that Rebel weapons lab? Something more important than the end of the Civil War?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '68', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '69', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '70', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '71', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '72', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '73', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '74', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '75', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '76', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '77', 'player_3_1', 'Why do you think the Rebels have a secret weapon?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '78', 'player_3_2', 'Why do you think this Special Forces squad is carrying the secret weapon?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '79', 'player_3_3', 'After all this time, you still think the Rebels have a secret weapon?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '80', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '81', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '82', 'player_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '83', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '84', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '85', 'player_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '86', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '87', 'player_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '88', 'player_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '89', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '90', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '91', 'player_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '92', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '93', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '94', 'player_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '95', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '96', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '97', 'return_waypoint_description_1', 'This Imperial officer is waiting for the stranded Rebels\' weapon, which he believes may have destroyed the Death Star.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '98', 'return_waypoint_description_2', 'This Imperial officer awaits a weapon secured from a Rebel Special Forces sergeant. Darone hopes this is the secret device that destroyed the Death Star.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '99', 'return_waypoint_description_3', 'This Imperial officer is waiting for a report on the destroyed Rebel listening post, which he believed was a weapons lab that built a super weapon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '100', 'return_waypoint_name_1', 'Lt. Cmdr Gins Darone');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '101', 'return_waypoint_name_2', 'Lt. Cmdr. Gins Darone');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '102', 'return_waypoint_name_3', 'Lt. Cmdr. Gins Darone');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '103', 'waypoint_description_1', 'Imperial Lt. Cmdr. Gins Darone believes this squad of Rebel Alliance soldiers may be carrying the secret weapon that destroyed the Death Star.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '104', 'waypoint_description_2', 'A squad of Rebel Alliance Special Forces soldiers, possibly carrying a secret weapon desired by Imperial Lt. Cmdr. Gins Darone.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '105', 'waypoint_description_3', 'According to Imperial Lt. Cmdr. Gins Darone, the Rebel Alliance may have used this installation to build the super weapon that destroyed the Death Star.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '106', 'waypoint_name_1', 'Stranded Rebel Squad');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '107', 'waypoint_name_2', 'Rebel Special Forces');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '108', 'waypoint_name_3', 'Rebel Weapons Lab?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '109', 'npc_reset_2', 'The Empire didn\'t get where it is today by slacking! Return here when you\'re ready to test your mettle.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '110', 'npc_reset_3', 'The Empire didn\'t get where it is today by slacking! Return here when you\'re ready to test your mettle.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '111', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '112', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '113', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_gins_darone.stf', '114', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '1', 'cant_work', 'I have some work for you if you finish with your current employer anytime soon. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '2', 'dontknowyou_1', 'There\'s nothing for you here, citizen. I\'m just waiting to meet someone and then I\'ll be on my way.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '3', 'dontknowyou_2', 'I\'m waiting for someone to meet me. You can just head on your way.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '4', 'dontknowyou_3', 'Do me a favor and get out of here. I\'m trying to keep a low profile.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '5', 'dontknowyou_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '6', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '7', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '8', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '9', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '10', 'next', 'That\'s all I have for you at the moment. Check back with me in case anything more comes up before I\'m shipped out of here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '11', 'notit_1', 'This isn\'t the report I sent you to get. Maybe you should look again.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '12', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '13', 'notit_3', 'You meant to give me some spy reports didn\'t you? Those aren\'t spy reports.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '14', 'notit_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '15', 'notyet', 'I\'m too busy to deal with you at the moment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '16', 'npc_1_1', 'I just don\'t like the climate here. I plan to be off this world as soon as I\'ve finished with the salvage operation and learned what I can from that abandoned Rebel base. Speaking of which, I need someone to pick up a report from the forensics team. Would you be willing to go get that for me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '17', 'npc_1_2', 'I\'m not very trusting of that Selonian running the salvage operation. I think she\'s keen to run off and sell the equipment on the black market. I have an operative planted in her crew who keeps me up to speed on what\'s going on at the Salvage Camp. I need someone to bring my spy in safely and I\'m a little short handed right now. Would you mind filling in?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '18', 'npc_1_3', 'I\'m glad you\'ve come back again. We discovered there was a Rebel spy who didn\'t make it offworld when they evacuated. We\'ve narrowed down the area where this spy might be. With your help we should be able to wrap this up pretty quickly. How about it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '19', 'npc_1_4', 'You certainly have a knack for showing up at the right time. Those Rebels managed to leave behind more than just a spy and a few unfortunates who missed the last shuttle. There seems to be a couple of highly trained commandos who are wreaking havoc on this operation with their guerilla tactics. Think you can track them down and put a stop to it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '20', 'npc_2_1', 'All you have to do is collect the report from the Imperial courier and bring it back here. There are probably still a few Rebels who didn\'t make it off world. So be careful. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '21', 'npc_2_2', 'Good. Go and meet my operative and come back here without either of you getting killed. There are a lot of scavengers looting through the wreckage so that isn\'t as easy as it sounds.  ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '22', 'npc_2_3', 'What we really want is the information this spy may have been collecting. Capturing the spy would be perfect but if the traitor gets killed and we have the data that would have gone to the Rebels, I\'ll call it a victory. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '23', 'npc_2_4', 'Good. Find them and put a stop to all their interference. These Rebels are pretty good at what they do, so be sure and bring some backup you can trust. Be careful.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '24', 'npc_3_1', 'In a hurry to get off of this muggy jungle rock? Can\'t blame you for that.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '25', 'npc_3_2', 'I don\'t know why you stick around here. Do you actually like this weather?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '26', 'npc_3_3', 'And yet you seem to remain on this haven for insects and lizards. What is wrong with you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '27', 'npc_3_4', 'Are you finally going to get out of this sweltering hole?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '28', 'npc_4_1', 'We have a team going over the Rebel base inch by inch, looking for any useful information. I just want you to pick up their latest report. How about it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '29', 'npc_4_2', 'Because I have about half of the people I need to complete a job this size in a timely fashion. I plan to shock my superiors by finishing on time or sooner and getting off of this steamy sewer moon. Are you going to help me or not?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '30', 'npc_4_3', 'To spy on us of course. No doubt we\'ve been monitored the whole time we\'ve been here. The Rebels would likely pick up their little spy after we leave. Now are you going to help me with this?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '31', 'npc_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '32', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '33', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '34', 'npc_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '35', 'npc_5_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '36', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '37', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '38', 'npc_6_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '39', 'npc_6_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '40', 'npc_backtowork_1', 'You know everything you\'re cleared to know. What else do you want?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '41', 'npc_backtowork_2', 'I\'m extremely busy so talk fast.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '42', 'npc_backtowork_3', 'What\'s wrong now? Are you having second thoughts?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '43', 'npc_backtowork_4', 'I wish I had more for you to go on. Are you in or not?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '44', 'npc_breech_1', 'I was afraid you might have gotten lost.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '45', 'npc_breech_2', 'Did you have any trouble finding this spot?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '46', 'npc_breech_3', 'Death to the Empire!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '47', 'npc_breech_4', 'This is probably the worst place you could be right now. You should move on before trouble starts.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '48', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '49', 'npc_dropoff_2', 'I was wrong about giving those scavengers the slip. Thanks for the save.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '50', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '51', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '52', 'npc_failure_1', 'Rebel activity must be worse than I realized, or perhaps you just had a little bit of bad luck. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '53', 'npc_failure_2', 'This must be a day for setbacks. The forensics team didn\'t get anything done today either.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '54', 'npc_failure_3', 'I hope this debacle doesn\'t extend my tour of duty here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '55', 'npc_failure_4', 'This is turning into a bigger problem than I thought. We\'ve got to stop those Rebels before they cause any more trouble.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '56', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '57', 'npc_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '58', 'npc_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '59', 'npc_more_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '60', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '61', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '62', 'npc_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '63', 'npc_more_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '64', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '65', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '66', 'npc_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '67', 'npc_more_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '68', 'npc_noloc_1', 'Wait a moment. I just got word that they haven\'t even finished the blasted report yet. Come back in a little while. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '69', 'npc_noloc_2', 'I\'m still waiting for my operative to check in. Why don\'t you come back in a little while?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '70', 'npc_noloc_3', 'I\'ll need a few minutes to let my field team know you\'ll be working with us, so they know not to shoot at you. Check back in a few minutes and I should be ready.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '71', 'npc_noloc_4', 'Give me a few minutes to get you cleared with the other field teams. I wouldn\'t want you getting shot for being a Rebel. Come back in a little while, I should have it taken care of soon.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '72', 'npc_reset_1', 'Why don\'t you come back once you think you\'re ready to finish this job?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '73', 'npc_reward_1', 'At last. I hope they finally found something useful. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '74', 'npc_reward_2', 'Good, you both made it back. I\'m very pleased with your work. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '75', 'npc_reward_3', 'This will be a nice little addition to my report. Well done.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '76', 'npc_reward_4', 'You\'re a good operative. It\'s been a pleasure working with you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '77', 'npc_smuggle_1', 'Those Rebels are pretty thorough for traitor scum.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '78', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '79', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '80', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '81', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '82', 'npc_takeme_2', 'Let\'s get out of here. I saw some scavengers following me but I managed to give them the slip.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '83', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '84', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '85', 'npc_work_1', 'What are you waiting for? I thought I sent you off to get that report.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '86', 'npc_work_2', 'I assume you\'re about to leave. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '87', 'npc_work_3', 'Tracked down our spy yet? Keep looking. I don\'t want him to slip away from us.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '88', 'npc_work_4', 'What are you loitering around here for? Go find those Rebels and take them out.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '89', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '90', 'otherescort_2', 'I\'m waiting for someone to meet me. You can just head on your way.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '91', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '92', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '93', 'player_1_1', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '94', 'player_1_2', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '95', 'player_1_3', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '96', 'player_1_4', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '97', 'player_2_1', 'No');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '98', 'player_2_2', 'No');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '99', 'player_2_3', 'No');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '100', 'player_2_4', 'No');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '101', 'player_3_1', 'What is the forensics report for?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '102', 'player_3_2', 'Why are you so short handed?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '103', 'player_3_3', 'Why would a spy stay here?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '104', 'player_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '105', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '106', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '107', 'player_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '108', 'player_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '109', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '110', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '111', 'player_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '112', 'player_5_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '113', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '114', 'player_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '115', 'player_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '116', 'player_more_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '117', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '118', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '119', 'player_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '120', 'player_more_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '121', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '122', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '123', 'player_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '124', 'player_more_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '125', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '126', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '127', 'return_waypoint_description_1', 'Returnt to Lian Byrne with the forensics report');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '128', 'return_waypoint_description_2', 'Escort the operative back to Commander Byrne');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '129', 'return_waypoint_description_3', 'Return the intelligence reports to Commander Byrne');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '130', 'return_waypoint_description_4', 'Return to Commander Byrne and inform him of your success.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '131', 'return_waypoint_name_1', 'Lian Byrne');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '132', 'return_waypoint_name_2', 'Lian Byrne');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '133', 'return_waypoint_name_3', 'Lian Byrne');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '134', 'return_waypoint_name_4', 'Commander Byrne');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '135', 'waypoint_description_1', 'Go and pick up the forensics report');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '136', 'waypoint_description_2', 'Go and meet Commander Byrnes operative');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '137', 'waypoint_description_3', 'Track down the Rebel spy and take his intelligence reports');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '138', 'waypoint_description_4', 'Find and eliminate the Rebel guerillas');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '139', 'waypoint_name_1', 'Forensic scientist\'s location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '140', 'waypoint_name_2', 'Undercover operative\'s location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '141', 'waypoint_name_3', 'Rebel spy\'s location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '142', 'waypoint_name_4', 'Rebel commando\'s location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '143', 'npc_reset_2', 'Why don\'t you come back once you think you\'re ready to finish this job?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '144', 'npc_reset_3', 'Why don\'t you come back once you think you\'re ready to finish this job?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '145', 'npc_reset_4', 'Why don\'t you come back once you think you\'re ready to finish this job?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '146', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '147', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '148', 'player_reset_4', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '149', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '150', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_lian_byrne.stf', '151', 'player_sorry_4', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '1', 'cant_work', 'I have a small task for you when you\'re not so busy.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '2', 'dontknowyou_1', 'Imperial business. Move along.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '3', 'dontknowyou_2', 'Vacate this area. Imperial business.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '4', 'gotowork_1', 'I was told you\'d be bringing me a fragment of the Death Star. If you have it, give it over.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '5', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '6', 'next', 'I think the situation here is currently under control.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '7', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '8', 'notit_2', 'You were supposed to bring an authorization for me, Ruwan Tokai! Please tell me you\'ve got it!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '9', 'notyet', 'I can\'t deal with this right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '10', 'npc_1_1', 'I despise the humidity on this world -- so bad for the equipment. I need this piece taken to the warrant officer for analysis. Can you deliver it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '11', 'npc_1_2', 'Please, you have to help! That piece of the Death Star turned out to be classified above my clearance. I\'m up for court martial, just for examining it! You have to get to my commanding officer and get a retroactive authorization.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '12', 'npc_2_1', 'Good. Check back here after the delivery, and I\'ll disburse payment from my equipment restoration budget.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '13', 'npc_2_2', 'Great. I\'ll pay you for your help. Just bring me that authorization, fast!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '14', 'npc_3_1', 'Regrettable. Well, let me know if you find any interesting equipment lying around in the jungle.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '15', 'npc_3_2', 'You won\'t help out a fellow Imperial in his time of need? What kind of servant of the Empire are you?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '16', 'npc_4_1', 'These materials were never meant for jungle use. This piece, for instance -- I\'ve been examining it, but the process of cleaning off the moss also removes vital chemical traces that would help us understand what happened. How frustrating. But as to that delivery -- can you do it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '17', 'npc_4_2', 'It would say I had permission all along to examine that fragment, even though it was classified above my clearance. We take care of things retroactively all the time. I\'ll bet some bureaucrat is even now filing a retroactive authorization to have the Death Star scrapped. But I need my own authorization fast! Will you get it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '18', 'npc_5_1', 'I believe it\'s a fragment of hull plating that crashed onto this moon from the battle station that got destroyed in this vicinity last year. Very interesting technology, I must say. Can you deliver it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '19', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '20', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '21', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '22', 'npc_backtowork_1', 'I have nothing useful to add. I\'d just like you to go and deliver this hull fragment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '23', 'npc_backtowork_2', 'Please, I don\'t know what else to say. I need that retroactive authorization from my commanding officer, or I\'m in trouble!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '24', 'npc_breech_1', 'Are you here with that Death Star fragment?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '25', 'npc_breech_2', 'You\'re here for the authorization for Sgt. Tokai?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '26', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '27', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '28', 'npc_failure_1', 'You didn\'t deliver that hull fragment? Well, I\'ll try to find someone who can.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '29', 'npc_failure_2', 'You didn\'t get me that authorization? Oh, no! How will I explain this. It\'s Kessel for me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '30', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '31', 'npc_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '32', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '33', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '34', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '35', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '36', 'npc_noloc_1', 'Wait, I\'m getting a call from the warrant officer. Check with me in a moment in case his coordinates changed.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '37', 'npc_noloc_2', 'Wait a moment -- I\'m getting another call from the investigators. I have to take this. Check with me in a moment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '38', 'npc_reset_1', 'Well, check back later in case I can\'t find someone else to do the job.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '39', 'npc_reward_1', 'I\'ve been authorized to disburse this payment. Classified, they said? No one told me that. Hmm. Well, I hope nothing bad happens.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '40', 'npc_reward_2', 'Thanks! I\'m paying you out of my own funds. I just remembered you delivered that Death Star fragment to a warrant officer. Hope he\'s not in trouble too!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '41', 'npc_smuggle_1', 'All salvage from the Death Star has been a classified secret. You say a technical sergeant sent this? Hmm. We\'ll have to look into his clearances.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '42', 'npc_smuggle_2', 'This little slip-up is understandable. Doesn\'t happen unusually often, I\'m glad to say. Now you\'d better get out of this area -- we\'ve seen Rebel activity here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '43', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '44', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '45', 'npc_work_1', 'Did you deliver that hull fragment of the destroyed battle station to my warrant officer?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '46', 'npc_work_2', 'I need that retroactive authorization from my commanding officer, or I\'m in trouble!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '47', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '48', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '49', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '50', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '51', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '52', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '53', 'player_3_1', 'Why is the humidity bad for the equipment?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '54', 'player_3_2', 'What is a \"retroactive authorization\"?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '55', 'player_4_1', 'What is this piece?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '56', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '57', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '58', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '59', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '60', 'player_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '61', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '62', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '63', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '64', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '65', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '66', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '67', 'return_waypoint_description_1', 'This Imperial technical sergeant examined a fragment of the Death Star that turned out to be classified.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '68', 'return_waypoint_description_2', 'The Imperial Technical Sergeant waits for retroactive authorization to have studied a classified fragment of the Death Star.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '69', 'return_waypoint_name_1', 'Sgt. Ruwan Tokai');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '70', 'return_waypoint_name_2', 'Sgt. Ruwan Tokai');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '71', 'waypoint_description_1', 'An Imperial warrant officer waiting for delivery of a fragment of the Death Star.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '72', 'waypoint_description_2', 'An Imperial officer holds retroactive permission for Technical Sergeant Ruwan Tokai to have examined a classified fragment of the Death Star.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '73', 'waypoint_name_1', 'Warrant Officer');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '74', 'waypoint_name_2', 'Tokai Authorization');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '75', 'npc_reset_2', 'Well, check back later in case I can\'t find someone else to do the job.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '76', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_massassi_ruwan_tokai.stf', '77', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '1', 'cant_work', 'Come back and see me when you\'re finished with your current assignment.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '2', 'dontknowyou_1', 'I\'m on Imperial business. On your way.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '3', 'dontknowyou_2', 'This is an Imperial matter. On your way.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '4', 'dontknowyou_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '5', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '6', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '7', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '8', 'next', 'That\'s all I\'ve got for you now. Check back with me from time to time.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '9', 'notit_1', 'These are not the encrypted orders from Imperial High Command.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '10', 'notit_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '11', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '12', 'notyet', 'This isn\'t a good time for me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '13', 'npc_1_1', 'Did High Command send you? We\'ve just got some information that we need to move on. Wait, you\'re new. Sorry, I\'m Sergeant Yith Seenath. I hope you\'re here to help out because we could sure use it. I need an Imperial courier intercepted and the orders he\'s carrying brought back to me. Think you can do that?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '14', 'npc_1_2', 'Those orders were to be delivered to a particularly brutal lieutenant that\'s been stationed here on Yavin recently. Apparently Imperial High Command felt that Commander Byrne was not getting results quickly enough so they sent this brute to \'help things along.\' We need this lieutenant taken out. Is that something you could do?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '15', 'npc_1_3', 'We finally decoded that dispatch from Imperial High Command and as a result we\'ve uncovered a munitions depot that was going to be used in an upcoming raid. I want you to blow this place sky high. Think you can handle that?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '16', 'npc_2_1', 'Here are the coordinates. The courier is likely to have an escort, so be prepared for a fight. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '17', 'npc_2_2', 'I\'d advise you bring some friends along. This lieutenant doesn\'t go anywhere without two of his best men accompanying him. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '18', 'npc_2_3', 'It\'s a small warehouse but I\'m sure it will be heavily guarded. After taking out the lieutenant in charge of such operations, I\'d be expecting quite a fight. Prepare accordingly.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '19', 'npc_3_1', 'Well then I\'ll let you get back to whatever it was you were doing. Farewell.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '20', 'npc_3_2', 'This is a tough assignment. I understand your decision.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '21', 'npc_3_3', 'Very well, I\'ll assign this to a more experienced operative. Farewell.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '22', 'npc_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '23', 'npc_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '24', 'npc_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '25', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '26', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '27', 'npc_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '28', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '29', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '30', 'npc_6_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '31', 'npc_backtowork_1', 'Do you want the mission or not?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '32', 'npc_backtowork_2', 'That\'s all the information I have. Would you like to reconsider?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '33', 'npc_backtowork_3', 'This is going to be quite challenging. If you\'d like to back out, I\'ll understand.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '34', 'npc_breech_1', 'That\'s close enough! Open fire, men!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '35', 'npc_breech_2', 'This is a restricted area! Identify yourself! Open fire, men!');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '36', 'npc_breech_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '37', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '38', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '39', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '40', 'npc_failure_1', 'Those orders would have clarified quite a few things for us. A shame you couldn\'t get them.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '41', 'npc_failure_2', 'We\'ll have to find some way to take out that lieutenant. Thanks for your help.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '42', 'npc_failure_3', 'I\'ll have to organize another strike team quickly. We can\'t afford to let those Imperial commandos have access to those weapons.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '43', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '44', 'npc_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '45', 'npc_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '46', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '47', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '48', 'npc_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '49', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '50', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '51', 'npc_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '52', 'npc_noloc_1', 'One moment while I verify those coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '53', 'npc_noloc_2', 'We need to verify the lieutenant\'s current position. Could you check back with me in a few moments?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '54', 'npc_noloc_3', 'I need to verify the depot\'s location with our scouts. Check back in a few moments.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '55', 'npc_reset_1', 'Fine. Come back later if you think you can finish this out.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '56', 'npc_reward_1', 'Well done. Your efforts will make our work here much easier. Report back if you haven\'t gotten your fill of killing Imperials.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '57', 'npc_reward_2', 'Good job. Cut off the head and the body cannot survive. Enjoy your reward.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '58', 'npc_reward_3', 'Now that was a job well done. I think our people will be able to take a breather. You\'re an inspiration to us all.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '59', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '60', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '61', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '62', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '63', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '64', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '65', 'npc_work_1', 'Did you get that dispatch from Imperial High Command?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '66', 'npc_work_2', 'Did you take care of that Imperial lieutenant? Our people will be much safer once he\'s gone.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '67', 'npc_work_3', 'Have you taken out that munitions depot yet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '68', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '69', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '70', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '71', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '72', 'player_1_2', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '73', 'player_1_3', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '74', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '75', 'player_2_2', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '76', 'player_2_3', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '77', 'player_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '78', 'player_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '79', 'player_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '80', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '81', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '82', 'player_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '83', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '84', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '85', 'player_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '86', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '87', 'player_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '88', 'player_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '89', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '90', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '91', 'player_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '92', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '93', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '94', 'player_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '95', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '96', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '97', 'return_waypoint_description_1', 'Bring the Imperial dispatch back to Yith Seenath.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '98', 'return_waypoint_description_2', 'Report your success to Yith Seenath.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '99', 'return_waypoint_description_3', 'Report your success to Yith Seenath.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '100', 'return_waypoint_name_1', 'Sergeant Seenath\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '101', 'return_waypoint_name_2', 'Sergeant Seenath\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '102', 'return_waypoint_name_3', 'Sergeant Seenath\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '103', 'waypoint_description_1', 'Get the encrypted orders from the Imperial courier.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '104', 'waypoint_description_2', 'Take out the bloodthirsty lieutenant.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '105', 'waypoint_description_3', 'Destroy the munitions depot.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '106', 'waypoint_name_1', 'Imperial Courier\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '107', 'waypoint_name_2', 'Imperial Lieutenant\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '108', 'waypoint_name_3', 'Munitions Depot\'s Location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '109', 'npc_reset_2', 'Fine. Come back later if you think you can finish this out.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '110', 'npc_reset_3', 'Fine. Come back later if you think you can finish this out.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '111', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '112', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '113', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_rebelcamp_yith_seenath.stf', '114', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '1', 'cant_work', 'If you\'re on the lookout for work, please come see me once your present job is completed.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '2', 'dontknowyou_1', 'I don\'t require any assistance, but it\'s very kind of you to check on me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '3', 'dontknowyou_2', 'If you know what\'s good for you, you\'ll leave. Strangers aren\'t welcome here.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '4', 'dontknowyou_3', 'You weren\'t invited here. It would be much better if you left and didn\'t cause any trouble.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '5', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '6', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '7', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '8', 'next', 'I have given you all the work I can for the moment. This project is far from finished though, so I may have further duties for you later.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '9', 'notit_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '10', 'notit_2', 'This isn\'t the part I asked you to get. Did you hand me the wrong item?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '11', 'notit_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '12', 'notyet', 'I don\'t have time to salvage and talk to you right now, okay?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '13', 'npc_1_1', 'Salvaging equipment from a destroyed ship that was once the size of a small moon is an unusual job. You\'d be surprised at how many working pieces of equipment we find. If you had some time to spare, I could actually use a little help salvaging one of my workers from the wreckage. Can you help me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '14', 'npc_1_2', 'Just the problem-solver I was hoping to see. One of my workers recently found an extremely valuable hyperdrive component but got jumped by some scavengers before she could bring it back here. She\'s recovering in the infirmary, but I\'d really like that part back. Will you help me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '15', 'npc_1_3', 'I\'m always for living in peace with my fellow beings but I\'ve had about enough! Commander Byrne is blaming me for all of this scavenger activity. I need to put a stop to all this thieving quickly or he\'s going to arrest me on conspiracy charges. Can you help me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '16', 'npc_2_1', 'Good. Let me give you the location where that worker was assigned. Be careful out there. We occasionally have people scavenging around for things they can sell. The guards shoot them on sight so they\'re not likely to wait for you to introduce yourself.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '17', 'npc_2_2', 'These scavengers are really starting to become a problem. See if you can find the scavengers that ran off with that component and show them the consequences of assaulting my workers. And don\'t forget to bring back the hyperdrive part.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '18', 'npc_2_3', 'What would really help would be if you could find their leader and get rid of him -- or her. Once the leader is gone, the others will probably tear each other apart fighting over the division of spoils.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '19', 'npc_3_1', 'Then I must bid you farewell and attend to this matter.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '20', 'npc_3_2', 'I\'d better find somebody else to look for it then. Good luck to you.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '21', 'npc_3_3', 'Did Byrne tell you not to help me? Why does he hate me so much?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '22', 'npc_4_1', 'Commander Byrne only tolerates my presence here because I do the job so well. I was hoping you might be willing to go and track down one of my missing workers before it comes to his attention. It would be a big help. How about it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '23', 'npc_4_2', 'Certain pieces of equipment are more expensive to replace than others. This ship had the best equipment that credits could buy. Byrne will be slavering to get his hands on this piece. What do you say?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '24', 'npc_4_3', 'Ideally by ejecting Commander Byrne into a black hole -- I\'m kidding, please don\'t tell him I said that. If you could find some of these scavengers and eliminate them, it would be a tremendous help. Will you do it?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '25', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '26', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '27', 'npc_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '28', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '29', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '30', 'npc_6_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '31', 'npc_backtowork_1', 'I don\'t have any more information. Was there something else? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '32', 'npc_backtowork_2', 'Is there something you\'re trying to tell me?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '33', 'npc_backtowork_3', 'I have no answers for any questions you might have. I only hope you haven\'t changed your mind.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '34', 'npc_breech_1', 'Were you looking for me? ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '35', 'npc_breech_2', 'Maybe we can salvage something off you too. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '36', 'npc_breech_3', 'This is what happens to intruders.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '37', 'npc_dropoff_1', 'Thanks for bringing me back. I\'m glad you were there to take care of those scavengers.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '38', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '39', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '40', 'npc_failure_1', 'Commander Byrne is going to have my head if he gets wind of this.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '41', 'npc_failure_2', 'How very disappointing. I wonder if Byrne has anything to do with all these scavengers.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '42', 'npc_failure_3', 'Byrne will never let me leave this world a free citizen. I\'ve lost everything.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '43', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '44', 'npc_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '45', 'npc_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '46', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '47', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '48', 'npc_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '49', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '50', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '51', 'npc_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '52', 'npc_noloc_1', 'Give me a few minutes to find out which sector that worker was supposed to be in. I should have it around here somewhere.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '53', 'npc_noloc_2', 'I should at least get you the coordinates where my worker got jumped. That will be a good place to start looking for those scavengers. Come back in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '54', 'npc_noloc_3', 'I need to prepare myself in case the worst occurs. Would you mind leaving me for a few minutes? We\'ll begin when you return.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '55', 'npc_reset_1', 'If you wish, return to me later and complete my tasks when you feel better prepared.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '56', 'npc_reward_1', 'I\'m very relieved that this has worked out so well. I hope you\'ll stay around for a while. ');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '57', 'npc_reward_2', 'Byrne will have to cut me a little slack after this. I know he\'ll hate that. How wonderful.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '58', 'npc_reward_3', 'You found the leader? Oh thank you, my friend. Perhaps that will buy enough time for me to finish this job and get out of here in one piece.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '59', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '60', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '61', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '62', 'npc_takeme_1', 'I found some really interesting pieces over here. Possibly from other kinds of ships that were caught in the explosion. Oh, I hadn\'t realized it was this late. Now where did I leave my caller?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '63', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '64', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '65', 'npc_work_1', 'Perhaps I did not adequately stress the urgency in this situation. Would you please find my worker quickly?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '66', 'npc_work_2', 'Have you managed to locate those scavengers and get that hyperdrive part yet?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '67', 'npc_work_3', 'Have you found the leader of those scavengers yet? Commander Byrne isn\'t a patient man. He may arrest me if you don\'t hurry.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '68', 'otherescort_1', 'I don\'t require any assistance, but it\'s very kind of you to check on me.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '69', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '70', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '71', 'player_1_1', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '72', 'player_1_2', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '73', 'player_1_3', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '74', 'player_2_1', 'No');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '75', 'player_2_2', 'No');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '76', 'player_2_3', 'No');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '77', 'player_3_1', 'Could you clarify that a little?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '78', 'player_3_2', 'What\'s so special about this part?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '79', 'player_3_3', 'How can I help?');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '80', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '81', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '82', 'player_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '83', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '84', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '85', 'player_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '86', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '87', 'player_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '88', 'player_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '89', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '90', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '91', 'player_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '92', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '93', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '94', 'player_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '95', 'player_reset_1', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '96', 'player_sorry_1', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '97', 'return_waypoint_description_1', 'Escort the salvage worker back to Megan Dr\'lar');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '98', 'return_waypoint_description_2', 'Return the hyperdrive part to Megan Dr\'lar');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '99', 'return_waypoint_description_3', 'Return to Megan Dr\'lar with news of your success.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '100', 'return_waypoint_name_1', 'Megan Dr\'lar');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '101', 'return_waypoint_name_2', 'Megan Dr\'lar');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '102', 'return_waypoint_name_3', 'Megan Dr\'lar');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '103', 'waypoint_description_1', 'Go and find the missing slavage worker');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '104', 'waypoint_description_2', 'Find the scavenger and recover the hyperdrive part');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '105', 'waypoint_description_3', 'Find and eliminate the leader of these scavengers');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '106', 'waypoint_name_1', 'Salvage worker\'s location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '107', 'waypoint_name_2', 'Scavenger thief\'s location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '108', 'waypoint_name_3', 'Scavenger leader\'s location');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '109', 'npc_reset_2', 'If you wish, return to me later and complete my tasks when you feel better prepared.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '110', 'npc_reset_3', 'If you wish, return to me later and complete my tasks when you feel better prepared.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '111', 'player_reset_2', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '112', 'player_reset_3', 'I don\'t want this mission right now.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '113', 'player_sorry_2', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/static_npc/yavin/yavin_salvagecamp_megan_drlar.stf', '114', 'player_sorry_3', 'I\'ll keep working on the mission.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '1', 'absorption_bleeding', 'This skill mod decreases the damage taken from bleeding.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '2', 'absorption_disease', 'This skill mod reduces the damage taken from disease.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '3', 'absorption_fire', 'This skill mod reduces the damage taken from fire.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '4', 'absorption_poison', 'This skill mod reduces the the damage taken from poison.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '5', 'advanced_assembly', 'This skill mod affects the crafting of advanced starship systems.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '6', 'advertising', 'This is being removed for now.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '7', 'aim', 'This mod increases the efficacy of your aim command.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '8', 'alert', 'The Alert skill offers a chance to defend against a surprise shot from a covered sniper.  The higher the skill, the better the chance to successfully defend against this type of attack.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '9', 'anti_shock', 'This skill mod determines your resistance to shock.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '10', 'armor_assembly', 'This skill mod determines the chance of succeeding when crafting armor.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '11', 'armor_customization', 'This skill mod determines the extent of modification you can perform on armor items in the crafting process.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '12', 'armor_experimentation', 'This skill mod directly affects how many experimentation points you receive when creating armor.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '13', 'armor_repair', 'This skill mod determines how effective you are at repairing armor.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '14', 'berserk', 'This mod improves your chance of succesfully entering the berserk state.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '15', 'bio_engineer_assembly', 'This skill mod governs the Bio-Engineer\'s ability to craft creatures and tissue samples.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '16', 'bio_engineer_experimentation', 'This skill mod governs the Bio-Engineer\'s ability to experiment on crafted creatures and tissue samples.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '17', 'blind_defense', 'This mod will protect you from being blinded.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '18', 'block', 'This mod increases the chance of succesfully blocking an attack. ');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '19', 'body', 'This skill mod determines how adept the Image Designer is at modifying a character\'s body.  This is used to change height, weight, muscle, and other customizations.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '20', 'booster_assembly', 'This skill mod affects the crafting of boosters for starfighters.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '21', 'bounty_mission_level', 'Every point in this mod will allow access to more lucrative and difficult Bounty Hunter missions.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '22', 'burst_run', 'The burst run efficiency skill mod is a direct percentage decrease to the cost of using the /burstrun command.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '23', 'camouflage', 'A higher camouflage skill means the Ranger\'s conceal ability will last longer and be more effective on himself and others.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '24', 'camp', 'A higher camping skill enables the use of increasingly complex camp kits.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '25', 'carbine_accuracy', 'As the Carbine Accuracy skill mod increases, the chance to hit an enemy with a carbine ranged attack also increases.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '26', 'carbine_aim', 'The Carbine Aiming skill modifier directly amplifies the effectiveness of the Aim command. A high skill in this can drastically increase your odds of Aiming, particularly if multiple Aims are used consecutively in the course of one attack.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '27', 'carbine_hit_while_moving', 'This mod improves your chace of hitting while moving with a carbine.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '28', 'carbine_speed', 'This mod improves your attack speed with carbines.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '29', 'center_of_being_duration_onehandmelee', 'This skill mod controls the duration o fthe center of being command when fighting with a one-handed melee weapon.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '30', 'center_of_being_duration_polearm', 'This skill mod controls the duration o fthe center of being command when fighting with a polearm.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '31', 'center_of_being_duration_twohandmelee', 'This skill mod controls the duration o fthe center of being command when fighting with a two-handed melee weapon.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '32', 'center_of_being_duration_unarmed', 'This skill mod controls the duration of the Center Of Being command when fighting unarmed.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '33', 'chassis_assembly', 'This skill mod affects crafting and experimentation of starfighter chassis.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '34', 'clothing_assembly', 'This skill mod increases the chance of succeeding when crafting clothing items.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '35', 'clothing_customization', 'This skill mod determines the extent of modification you can perform on clothing items in the crafting process.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '36', 'clothing_experimentation', 'This skill mod directly affects how many experimentation points you receive when crafting Combat Medic medicines and medical items.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '37', 'clothing_repair', 'This skill mod determines how effective you are at repairing clothing.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '38', 'combat_equillibrium', 'This mod increases the chance of automatically recovering from a forced posture change.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '39', 'combat_haste', 'This mod impoves your speed for all combat actions.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '40', 'combat_healing_ability', 'This skill mod determines the range and sophistication of your combat medical techniques and medicines.  The higher the number, the higher the effectiveness of these techniques and medicines.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '41', 'combat_medic_effectiveness', 'This skill mod determines how effective you are at performing Combat Medic techniques.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '42', 'combat_medicine_assembly', 'This skill mod increases the chances of succeeding when crafting Combat Medic medicines.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '43', 'combat_medicine_experimentation', 'This skill mod directly affects how many experimentation points you receive when crafting Combat Medic medicines and medical items.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '44', 'counterattack', 'This mod controls your chance of responding to an aggressive attack with an unblockable counterattack.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '45', 'cover', 'The Cover skill mod determines how safe you are from enemy notice and attack while in a covered state.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '46', 'crafting_repair', 'This skill mod determines how effective you are at general repair of crafted items.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '47', 'creature_assembly', 'This skill mod determines the chance at success when assembling creatures as a Bio-Engineer.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '48', 'creature_experimentation', 'This skill mod directly affects how many experimentation points you receive while assembling creatures as a Bio-Engineer.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '49', 'creature_harvesting', 'This skill mod is used to determine the quantity of resources harvested from a creature.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '50', 'creature_hit_bonus', 'Skilled scouts and rangers have gained the ability to strike creatures more effectively.  This raw to-hit bonus only applies to normal ranged attacks.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '51', 'creature_knowledge', 'When a player with creature knowledge examines a creature, they learn additional information about the creature\'s abilities.  The higher this skill mod, the more information displayed.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '52', 'dissipation_bleeding', 'This skill mod reduces the duration of bleeding.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '53', 'dissipation_disease', 'This skill mod reduces the duration of disease.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '54', 'dissipation_fire', 'This skill mod reduces the duration of fire.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '55', 'dissipation_poison', 'This skill mod reduces the duration of poison.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '56', 'dizzy_defense', 'This mod improves your chance to avoid being dizzied. ');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '57', 'dna_harvesting', 'This skill allows a Bio-Engineer to sample higher quality DNA from creatures with less trauma to their system.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '58', 'dodge', 'This mod increases your chance to dodge incoming attacks. ');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '59', 'droid_assembly', 'This skill modifier value affects the Droid Engineer\'s success rate when it comes to assembling droids and droid-related objects.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '60', 'droid_complexity', 'This is an erroneous value.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '61', 'droid_customization', 'This skill modifier value affects the Droid Engineer\'s success rate and capabilities when it comes to colorizing and customizing droids and droid-related objects.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '62', 'droid_experimentation', 'This skill mod directly affects how many experimentation points you receive when creating droids.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '63', 'droid_find_chance', 'This skill modifier value affects the Bounty Hunter player\'s success rate when it comes to utilizing a Bounty Hunter\'s droid \'find\' feature.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '64', 'droid_find_speed', 'This skill modifier value affects the Bounty Hunter player\'s speed when it comes to utilizing a Bounty Hunter\'s droid \'find\' feature.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '65', 'droid_track_chance', 'This skill modifier value affects the Bounty Hunter player\'s success rate when it comes to utilizing a Bounty Hunter\'s droid \'track\' feature.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '66', 'droid_track_speed', 'This skill modifier value affects the Bounty Hunter player\'s speed when it comes to utilizing a Bounty Hunter\'s droid \'track\' feature.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '67', 'droid_tracks', 'This skill modifier value affects the Bounty Hunter player\'s number of possible \'tracks\' when it comes to utilizing a Bounty Hunter\'s droid \'find\' feature.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '68', 'engine_assembly', 'This skill mod affects crafting of starfighter engines.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '69', 'face', 'This skill mod determines how adept the Image Designer is at modifying the facial attributes of a character. This is used to change eye color, eye size, nose width, and all other facial options.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '70', 'feign_death', 'As this ability improves,  so does the player\'s chance of successfully performing feign death in combat.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '71', 'flora_harvester_efficiency', 'This skill mod determines how efficiently your flora harvesters operate.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '72', 'flora_harvester_maintenance', 'This skill mod affects the maintenance rate of flora harvesters.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '73', 'flora_harvester_speed', 'This skill mod determines how fast your flora harvesters are at general extraction.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '74', 'food_assembly', 'This skill mod determines the chance of succeeding when crafting food.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '75', 'food_experimentation', 'This skill mod directly affects how many experimentation points you receive when crafting food.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '76', 'foraging', 'The foraging skill mod improves the quality of the /forage command.  As this skill mod increases, the chance of successfully foraging improves.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '77', 'force_absorb', 'This mod indicates the amount of Force power you will absorb when attacked.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '78', 'force_armor', 'This mod increase the amount of normal damage your Force Armor blocks.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '79', 'force_assembly', 'This skill mod enhances your ability to succeed when crafting any object.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '80', 'force_choke', 'This mod represents the duration of your Force Chokes.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '81', 'force_control_dark', 'This skill mod increases the strength of any healing or enhancement effects.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '82', 'force_control_light', 'This skill mod increases the strength of any healing or enhancement effects.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '83', 'force_defense', 'This skill mod affects your ability to defend yourself from Force attacks.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '84', 'force_experimentation', 'This skill mod directly increases your chance at receiving an amazing success when crafting any object.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '85', 'force_failure_reduction', 'This skill mod decreases the chances of failing when crafting an item.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '86', 'force_feedback', 'This mod indicates the amount of feedback that a Force attack will cause.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '87', 'force_luck', 'You seem to be lucky, and this skill mod is an indication of just how lucky.  This will affect things like the amount of money you find on defeated foes.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '88', 'force_manipulation_dark', 'This skill mod increases the efficiency of any Force ability.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '89', 'force_manipulation_light', 'This skill mod increases the efficiency of any Force ability.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '90', 'force_persuade', 'This skill mod allows you to use a minor Jedi mind trick, getting you better prices for some goods, like skill training from skill trainers.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '91', 'force_power_dark', 'This skill mod increases the strength of any offensive Force attack.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '92', 'force_power_light', 'This skill mod increases the strength of any offensive Force attack.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '93', 'force_repair_bonus', 'This skill mod directly affects your chances of repairing a damaged or broken item.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '94', 'force_run', 'The Force run skill mod is a direct multiplier to the movement speed of the Jedi.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '95', 'force_shield', 'This mod increase the amount of Force damage your Force Shield blocks.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '96', 'force_vehicle_control', 'This skill mod gives you better control over a vehicle that you are piloting, giving it a better maximum turn rate and better turning abilities overall.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '97', 'force_vehicle_speed', 'This skill mod affects your acceleration and deceleration abilities with a vehicle that you are piloting, allowing you to achieve your maximum speed more quickly, and making your ability to stop more effective.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '98', 'forceintimidate_accuracy', 'This skill mod improves your chance to intimidate enemies with the Force.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '99', 'forceknockdown_accuracy', 'This skill mod improves your chance to knock down enemies with the Force.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '100', 'forcelightning_accuracy', 'This skill mod improves your chance to successfully hit your enemies with Force lightning.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '101', 'forcethrow_accuracy', 'This skill mod improves your chance to hit enemies with small objects thrown with the Force.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '102', 'forceweaken_accuracy', 'This skill mod improves your chance to successfully debilitate your enemies with the Force.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '103', 'general_assembly', 'This skill mod increases the chance of succeeding when crafting general items.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '104', 'general_experimentation', 'This skill mod directly affects how many experimentation points you receive when crafting general items.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '105', 'grenade_assembly', 'the Grenade Assembly skill mod helps to determine success in grenade assembly.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '106', 'grenade_experimentation', 'The Grenade Experimentation skill mod directly affects how many Experimentation points you receive when crafting grenades.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '107', 'group_burst_run', 'The group burst run efficiency skill mod is a direct percentage decrease to the cost of using the /burstrun command for all members of your group.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '108', 'group_melee_defense', 'The group melee defense skill mod grants everyone in the Squad Leader\'s party the ability to defend against melee attacks more effectively.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '109', 'group_ranged_defense', 'The group ranged defense skill mod grants everyone in the Squad Leader\'s party the ability to defend against ranged attacks more effectively.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '110', 'group_slope_move', 'This skill mod determines how fast members of a Squad Leader\'s group can move through sloped terrain conditions.  The higher the number, the easier group members can move over hills.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '111', 'hair', 'This skill mod determines how adept the Image Designer is at modifying a character\'s hairstyle. This is used to trim or color facial hair, as well as to sculpt hairstyles and modify hair color.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '112', 'healing_ability', 'This skill mod determines the level of medication that you have access to use to heal patients with.  The higher the number, the more advanced your medicine selection is.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '113', 'healing_dance_ability', 'This skill mod determines the number of dances that you know.  The higher the number, the more dances you are likely to know.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '114', 'healing_dance_mind', 'This skill mod determines how effective you are at healing the Mind injuries of players that are watching you dance.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '115', 'healing_dance_shock', 'This skill mod determines how effective you are at healing the Battle Fatigue of players that are watching you dance.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '116', 'healing_dance_wound', 'This skill mod determines how effective you are at healing the Mind/Focus/Willpower wounds of players that are watching you dance.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '117', 'healing_injury_speed', 'This skill mod helps to lower the duration between healing injuries.  A higher number means that you can heal injuries more often.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '118', 'healing_injury_treatment', 'This skill mod provides a direct bonus to the number of injuries you can heal at once.  A bonus of 50 would equal 50% more injury points healed per treatment.  This also changes the effects of enhancement medication.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '119', 'healing_music_ability', 'This skill mod determines what songs you can play and what instruments you can use.  The higher the number, the wider the variety of both songs and instruments.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '120', 'healing_music_mind', 'This skill mod determines how effective you are at healing the Mind injuries of players that are listening to you play music.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '121', 'healing_music_shock', 'This skill mod determines how effective you are at healing the Battle Fatigue of players that are listening to you play music.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '122', 'healing_music_wound', 'This skill mod determines how effective you are at healing the Mind/Focus/Willpower wounds of players that are listening to you play music.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '123', 'healing_range', 'This Combat Medic skill mod is used to help extend the range of effective ranged healing.  The higher the number, the further your healing target can be from you and still be healed.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '124', 'healing_range_speed', 'This skill mod helps to lower the duration time between ranged healings.  A higher number means that you can perform ranged heals more often.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '125', 'healing_wound_speed', 'This skill mod helps to lower the duration time between healing wounds.  A higher number means that you can heal wounds more often.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '126', 'healing_wound_treatment', 'This skill mod provides a direct bonus to the amount of wounds you can heal at once.  A bonus of 50 would equal 50% more wounds healed per treatment.  This also changes the effects of enhancement medication.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '127', 'heavy_acid_beam_accuracy', 'This mod improves your accuracy with Heavy Acid Beam weapons.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '128', 'heavy_acid_beam_speed', 'This mod improves your attack speed with Heavy Acid Beam weapons.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '129', 'heavy_acid_rifle_accuracy', 'As the Heavy Acid Rifle skill mod increases, the chance to hit an enemy with a Heavy Acid Rifle increases.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '130', 'heavy_acid_rifle_speed', 'This mod improves your attack speed with Heavy Acid Rifles.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '131', 'heavy_flame_thrower_accuracy', 'As the Flamethrower Accuracy skill mod increases, the chance to hit an enemy with a Flamethrower increases.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '132', 'heavy_flame_thrower_speed', 'This mod improves your attack speed with Flamethrowers.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '133', 'heavy_lighting_rifle_accuracy', 'As the Light Lightning Cannon Accuracy skill mod increases, the chance to hit an enemy with a Light Lightning Cannon weapon also increases.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '134', 'heavy_lightning_beam_accuracy', 'As the Heavy Lightning Beam Accuracy skill mod increases, the chance to hit an enemy with a Lightning Beam weapon increases.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '135', 'heavy_lightning_beam_speed', 'This mod improves your attack speed with Heavy Lightning Beam weapons.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '136', 'heavy_lightning_rifle_accuracy', 'As the Light Lightning Cannon Accuracy skill mod increases, the chance to hit an enemy with a Light Lightning Cannon weapon also increases.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '137', 'heavy_particle_beam_accuracy', 'As the Heavy Particle Beam Accuracy skill mod increases, the chance to hit an enemy with a Heavy Particle Beam weapon also increases.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '138', 'heavy_particle_beam_speed', 'This mod improves your attack speed with Heavy Particle Beam weapons.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '139', 'heavy_rifle_acid_accuracy', 'As the Heavy Acid Rifle skill mod increases, the chance to hit an enemy with a Heavy Acid Rifle increases.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '140', 'heavy_rifle_acid_speed', 'This mod improves your attack speed with Heavy Acid Rifles.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '141', 'heavy_rifle_lighting_accuracy', 'As the Light Lightning Cannon Accuracy skill mod increases, the chance to hit an enemy with a Light Lightning Cannon weapon also increases.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '142', 'heavy_rifle_lightning_accuracy', 'As the Light Lightning Cannon Accuracy skill mod increases, the chance to hit an enemy with a Light Lightning Cannon weapon also increases.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '143', 'heavy_rifle_lightning_speed', 'This mod improves your attack speed with Light Lightning Cannons.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '144', 'heavy_rocket_launcher_accuracy', 'As the Heavy Rocket Launcher skill mod increases, the chance to hit an enemy with a Heavy Rocket Launcher also increases.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '145', 'heavy_rocket_launcher_speed', 'This mod improves your attack speed with Heavy Rocket Launchers.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '146', 'heavyweapon_accuracy', 'The Heavy Weapon Accuracy skill mod changes how often you tend to hit with heavy weapons.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '147', 'heavyweapon_speed', 'The Heavy Weapon Speed skill mod changes how often you can fire your weapon.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '148', 'hiring', 'As your hiring skill mod increases, the variety of vendors you can place improves.  A high hiring skill mod gives the player access to new types of terminal, droid, and NPC vendors.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '149', 'instrument_assembly', 'This skill mod increases the chances of succeeding when crafting instruments.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '150', 'intimidate', 'This mod increases the chance of terrifying your target and putting them into the intimidated state. ');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '151', 'intimidate_defense', 'This mod decreases the chance of becoming intimidated. ');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '152', 'jedi_force_power_max', 'This mod represents the total Force power that is able to be wielded.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '153', 'jedi_force_power_regen', 'This mod represents the rate at which your Force power regenerates in points per 10 seconds.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '154', 'jedi_saber_assembly', 'This mod determines your chance of successfully assembling a lightsaber.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '155', 'jedi_saber_experimentation', 'This mod directly affects the extent to which you are able to customize and experiment when crafting a lightsaber.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '156', 'jedi_state_defense', 'This skill mod increases a Jedi\'s natural resistance to all states');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '157', 'jedi_toughness', 'This skill mod increases a Jedi\'s natural resistance to all damage types except lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '158', 'keep_creature', 'This skill mod represents how many active pets you can have under your control at one time.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '159', 'knockdown_defense', 'This mod will protect you from being knocked down.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '160', 'language_all_comprehend', 'With this ability a character can understand most languages spoken in the known galaxy.  (The player can understand any spoken language without special skills.)');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '161', 'language_basic_comprehend', 'This skill mod determines how well you can comprehend Basic as spoken by other players.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '162', 'language_basic_comprehension', 'This skill mod determines how well you can comprehend Basic as spoken by other players.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '163', 'language_basic_speak', 'This skill mod determines how well you can speak Basic to other players.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '164', 'language_bothan_comprehend', 'This skill mod determines how well you can comprehend Bothese as spoken by other players.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '165', 'language_bothan_comprehension', 'This skill mod determines how well you can comprehend Bothese as spoken by other players.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '166', 'language_bothan_speak', 'This skill mod determines how well you can speak Bothese to other players.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '167', 'language_lekku_comprehend', 'This skill mod determines how well you can comprehend the language of Lekku as displayed by Twi\'leks.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '168', 'language_lekku_comprehension', 'This skill mod determines how well you can comprehend the language of Lekku as displayed by Twi\'leks.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '169', 'language_lekku_speak', 'This skill mod determines how well you can communicate in Lekku to other players.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '170', 'language_moncalamari_comprehend', 'This skill mod determines how well you can comprehend Mon Calamari as spoken by other players.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '171', 'language_moncalamari_comprehension', 'This skill mod determines how well you can comprehend Mon Calamarian as spoken by other players.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '172', 'language_moncalamari_speak', 'This skill mod determines how well you can speak Mon Calamarian to other players.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '173', 'language_rodian_comprehend', 'This skill mod determines how well you can comprehend Rodese as spoken by other players.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '174', 'language_rodian_comprehension', 'This skill mod determines how well you can comprehend Rodese as spoken by other players.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '175', 'language_rodian_speak', 'This skill mod determines how well you can speak Rodese to other players.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '176', 'language_trandoshan_comprehend', 'This skill mod determines how well you can comprehend Dosh as spoken by other players.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '177', 'language_trandoshan_comprehension', 'This skill mod determines how well you can comprehend Dosh as spoken by other players.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '178', 'language_trandoshan_speak', 'This skill mod determines how well you can speak Dosh to other players.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '179', 'language_twilek_comprehend', 'This skill mod determines how well you can comprehend Ryl as spoken by other players.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '180', 'language_twilek_comprehension', 'This skill mod determines how well you can comprehend Ryl as spoken by other players.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '181', 'language_twilek_speak', 'This skill mod determines how well you can speak Ryl to other players.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '182', 'language_wookiee_comprehend', 'This skill mod determines how well you can comprehend Shyriiwook as spoken by Wookiees.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '183', 'language_wookiee_comprehension', 'This skill mod determines how well you can comprehend Shyriiwook as spoken by Wookiees.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '184', 'language_wookiee_speak', 'This skill mod determines how well you can speak Shyriiwook to other players.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '185', 'language_zabrak_comprehend', 'This skill mod determines how well you can comprehend Zabrak as spoken by other players.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '186', 'language_zabrak_comprehension', 'This skill mod determines how well you can comprehend Zabrak as spoken by other players.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '187', 'language_zabrak_speak', 'This skill mod determines how well you can speak Zabrak to other players.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '188', 'leadership', 'This skill mod affects different Squad Leader abilities.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '189', 'light_lightning_cannon_accuracy', 'As the Light Lightning Cannon Accuracy skill mod increases, the chance to hit an enemy with a Light Lightning Cannon weapon also increases.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '190', 'light_lightning_cannon_speed', 'This mod improves your attack speed with Light Lightning Cannons.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '191', 'lightsaber_toughness', 'This skill mod decreases the amount of melee damage taken when wielding a lightsaber.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '192', 'manage_vendor', 'For each point of Manage Vendor, the player may place a vendor in a structure.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '193', 'markings', 'This skill mod determines how adept the Image Designer is at modifying the body markings of a character. This is used to change such things as  tattoos, Lekku markings, and Mon Calamarian spot patterns.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '194', 'mask_scent', 'The higher your mask scent skill mod, the more effective you will be at hiding from aggressive and stalking creatures while /maskscent is enabled.  As this skill mod increases, the delay until you can use /maskscent again when detected is reduced and the duration of your scent mask increases.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '195', 'medical_foraging', 'This skill mod determines how easy it is for you to successfully Medical Forage.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '196', 'medicine_assembly', 'This skill mod increases the chance of succeeding when crafting medicine and medical items.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '197', 'medicine_experimentation', 'This skill mod directly affects how many experimentation points you receive when crafting medicine and medical items.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '198', 'meditate', 'As this skill modifier increases, the effects of the /meditate command become more potent.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '199', 'melee_accuracy', 'This skill mod will improve your accuracy with all melee weapons.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '200', 'melee_defense', 'This mod improves your defense against melee attacks.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '201', 'melee_speed', 'This skill mod will improve your speed with all melee weapons.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '202', 'mindblast_accuracy', 'This skill mod improves your chance to successfully invade and cause discord in the mind of an enemy.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '203', 'missile_launching', 'This skill mod aids in controlling how well a missile shot is set up, how well the missile is locked onto its target, and other factors affecting a successful missile attack.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '204', 'morale_management', 'This skill mod affects the morale of a Squad Leader\'s group.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '205', 'mountedcreature', 'Current carrying a rider.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '206', 'offensive_strategy', 'This skill mod affects the efficiency of various tactics.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '207', 'onehandlightsaber_accuracy', 'This skill mod improves your accuracy with one-handed lightsabers.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '208', 'onehandlightsaber_speed', 'This skill mod improves your attack speed with one-handed lightsabers.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '209', 'onehandlightsaber_toughness', 'This skill mod decreases the amount of damage taken while wielding one-handed lightsabers.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '210', 'onehandmelee_accuracy', 'This mod will improve your accuracy with one-handed melee weapons.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '211', 'onehandmelee_center_of_being_efficacy', 'This skill mod controls the efficacy of Center Of Being when wielding a one-handed melee weapon.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '212', 'onehandmelee_damage', 'This mod will increase your damage with one-handed melee weapons.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '213', 'onehandmelee_speed', 'This mod will improve your speed with one-handed melee weapons.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '214', 'onehandmelee_toughness', 'This mod will decrease the melee damage taken by you while using a one-handed melee weapon. ');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '215', 'onehandmeleeaccuracy', 'This mod will improve your accuracy with one-handed melee weapons.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '216', 'pistol_accuracy', 'As the Pistol Accuracy skill mod increases, the chance to hit an enemy with a pistol ranged attack also increases.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '217', 'pistol_accuracy_while_standing', 'This improves your pistol accuracy while standing.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '218', 'pistol_aim', 'The Pistol Aiming skill modifier directly amplifies the effectiveness of the Aim command. A high skill in this can drastically increase your odds of Aiming, particularly if multiple Aims are used consecutively in the course of one attack.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '219', 'pistol_hit_while_moving', 'This improves your ability to hit while moving and using a pistol.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '220', 'pistol_speed', 'This mod improves your attack speed with pistols.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '221', 'polearm_accuracy', 'This improves your accuracy with polearms.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '222', 'polearm_center_of_being_efficacy', 'This skill mod controls the efficacy of Center Of Being when wielding a polearm.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '223', 'polearm_speed', 'This mod improves your speed with polearms.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '224', 'polearm_toughness', 'This mod decreases the melee damage you will take when wielding a polearm.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '225', 'polearmlightsaber_accuracy', 'This skill mod improves your accuracy with double-bladed lightsabers.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '226', 'polearmlightsaber_speed', 'This skill mod improves your attack speed with double-bladed lightsabers.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '227', 'polearmlightsaber_toughness', 'This skill mod decreases the amound of damage taken while wielding double-bladed lightsabers.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '228', 'posture_change_down_defense', 'This mod will protect you from posture changing attacks.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '229', 'posture_change_up_defense', 'This mod will protect you from posture changing attacks.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '230', 'power_systems', 'This skill mod affects the crafting of reactors and power systems for starfighters.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '231', 'ranged_accuracy', 'This skill mod will improve your accuracy with all ranged weapons.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '232', 'ranged_defense', 'This mod will make you harder to hit with ranged weapons.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '233', 'ranged_speed', 'This skill mod will improve your speed with all ranged weapons.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '234', 'rescue', 'This modifier will increase your chance of successfully using the Ranger profession\'s rescue command.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '235', 'resistance_bleeding', 'This skill mod increases the chance to resist bleeding.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '236', 'resistance_disease', 'This skill mod increases the chance to resist the effects of disease.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '237', 'resistance_fire', 'This skill mod increases the chance to resist fire.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '238', 'resistance_poison', 'This skill mod increases the chance to resist poison.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '239', 'resistance_states', 'This skill mod increases the chance to resist the effects of state attacks.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '240', 'reverse_engineering', 'This skill mod affects analysis and construction of reverse engineered spaceship parts.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '241', 'ridingmount', 'Currently riding on a vehicle or creature.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '242', 'rifle_accuracy', 'As the Rifle Accuracy skill mod increases, the chance to hit an enemy with a rifle ranged attack also increases.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '243', 'rifle_aim', 'The Rifle Aiming skill modifier directly amplifies the effectiveness of the Aim command. A high skill in this can drastically increase your odds of Aiming, particularly if multiple Aims are used consecutively in the course of one attack.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '244', 'rifle_concealment_chance', 'This mod allows you to attack a mobile without attracting the attention from other mobiles nearby. You must be far enough away from the mobile for this ability to work properly.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '245', 'rifle_crawl', 'The Rifle Crawl Speed skill modifier influences how fast players can crawl while using a rifle.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '246', 'rifle_hit_while_moving', 'This mod will make you more accurate with a rifle while moving.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '247', 'rifle_speed', 'This mod will increase your attack speed with a rifle.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '248', 'saber_block', 'This skill mod determines your chance to block ranged attacks with your lightsaber.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '249', 'sales', 'This skill mod determines how effective a vendor is at sales.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '250', 'shields_assembly', 'This skill mod affects the crafting of starfighter deflector shields.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '251', 'shop_sign', 'This skill mod governs which shop signs are accessible to merchants.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '252', 'slope_move', 'Terrain negotiation affects the player\'s ability to move in rough terrain.  From 0 to 50, this skill increases the player\'s ability to move up slopes quickly.  From 50 to 100, this skill increases the player\'s ability to move fast while prone.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '253', 'spice_assembly', 'This skill mod governs the effectiveness of spice crafting.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '254', 'spice_experimentation', 'This skill mod controls the quality of results in a spice experimentation session.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '255', 'steadyaim', 'This skill mod determines the effectiveness of a Squad Leader\'s /steadyaim command.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '256', 'stored_pets', 'This is the number of pets you may have stored at any time.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '257', 'structure_assembly', 'This skill mod determines the chance of succeeding when crafting structures.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '258', 'structure_complexity', 'This skill mod determines the level of complexity you have at your disposal when creating structures.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '259', 'structure_experimentation', 'This skill mod directly affects how many experimentation points you receive when creating structures.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '260', 'stun_defense', 'This mod will decrease your chance of being stunned.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '261', 'survey_flora_structural', 'A higher Flora Surveying skill allows players to obtain samples more efficiently. Resources will start to become extractable at lower percentages, and more resources may be found on a successful sample.  However, this skill mod does not necessarily increase the chances of getting a successful sample. Prospecting has always been something of a hit-or-miss vocation.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '262', 'survey_flora_structural_range', 'The Flora Surveying Range skill determines the range at which surveying is possible. A high Flora Surveying Range skill means that one can either modify the range at which surveying is seen. The result is that it is possible to get more accurate readings by reducing the surveying range one is looking at. This requires a surveying tool that supports range modification.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '263', 'survey_flora_structural_resolution', 'A higher Flora Surveying Resolution tool gives prospecting players the ability to increase the number of resource marks seen on their survey screen. The result is that players with a higher skill in this will be much more efficient at expediently tracking down high resource deposits, as compared to a novice Artisan.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '264', 'survey_gas', 'A higher Gas Surveying skill allows players to obtain samples more efficiently. Resources will start to become extractable at lower percentages, and more resources may be found on a successful sample.  However, this skill mod does not necessarily increase the chances of getting a successful sample. Prospecting has always been something of a hit-or-miss vocation.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '265', 'survey_gas_range', 'The Gas Surveying Range skill determines the range at which surveying is possible. A high Gas Surveying Range skill means that one can either modify the range at which surveying is seen. The result is that it is possible to get more accurate readings by reducing the surveying range one is looking at. This requires a surveying tool that supports range modification.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '266', 'survey_gas_resolution', 'A higher Gas Surveying Resolution tool gives prospecting players the ability to increase the number of resource marks seen on their survey screen. The result is that players with a higher skill in this will be much more efficient at expediently tracking down high resource deposits, as compared to a novice Artisan.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '267', 'survey_liquid', 'A higher Liquid Surveying skill allows players to obtain samples more efficiently. Resources will start to become extractable at lower percentages, and more resources may be found on a successful sample.  However, this skill mod does not necessarily increase the chances of getting a successful sample. Prospecting has always been something of a hit-or-miss vocation.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '268', 'survey_liquid_range', 'The Liquid Surveying Range skill determines the range at which surveying is possible. A high Liquid Surveying Range skill means that one can either modify the range at which surveying is seen. The result is that it is possible to get more accurate readings by reducing the surveying range one is looking at. This requires a surveying tool that supports range modification.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '269', 'survey_liquid_resolution', 'A higher Liquid Surveying Resolution tool gives prospecting players the ability to increase the number of resource marks seen on their survey screen. The result is that players with a higher skill in this will be much more efficient at expediently tracking down high resource deposits, as compared to a novice Artisan.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '270', 'survey_solid', 'A higher Mineral Surveying skill allows players to obtain samples more efficiently. Resources will start to become extractable at lower percentages, and more resources may be found on a successful sample.  However, this skill mod does not necessarily increase the chances of getting a successful sample. Prospecting has always been something of a hit-or-miss vocation.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '271', 'survey_solid_range', 'The Mineral Surveying Range skill determines the range at which surveying is possible. A high Mineral Surveying Range skill means that one can either modify the range at which surveying is seen. The result is that it is possible to get more accurate readings by reducing the surveying range one is looking at. This requires a surveying tool that supports range modification.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '272', 'survey_solid_resolution', 'A higher Mineral Surveying Resolution tool gives prospecting players the ability to increase the number of resource marks seen on their survey screen. The result is that players with a higher skill in this will be much more efficient at expediently tracking down high resource deposits, as compared to a novice Artisan.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '273', 'surveying', 'As your surveying skill increases, you gain the ability to scan for resources over a greater distance.  You also gain a higher chance of successfully harvesting resources and yet a higher yield per successful sample attempt.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '274', 'take_cover', 'This modifier will increase your chance of succesfully taking cover in ranged combat.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '275', 'tame_aggro', 'This skill represents the Creature Handler\'s ability to tame aggressive creature types.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '276', 'tame_bonus', 'This skill mod assists in the taming of wild creatures.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '277', 'tame_level', 'This skill mod increases the maximum level of pet that that you can tame, and the maximum number of pet levels you may have active at any one time.  For example, a total of 20 means that you can tame creatures that are of up to level 20.  You could call a level 20 creature, or two level 10 creatures.  Note that you must also have sufficient \'Additional Pets\' skill to call multiple pets regardless of level.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '278', 'tame_non_aggro', 'This skill represents the Creature Handler\'s ability to tame non-aggressive creature types.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '279', 'taunt', 'This modifier will increase your chance of succesfully taunting a creature as a Brawler.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '280', 'thrown_accuracy', 'The Thrown Weapon Accuracy skill mod changes how often you tend to hit with thrown weapons.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '281', 'thrown_speed', 'This mod improves your speed with thrown weapons.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '282', 'tissue_assembly', 'This skill mod determines the chance of succeeding when assembling tissue as a Bio-Engineer.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '283', 'tissue_experimentation', 'This skill mod directly affects how many experimentation points you receive when assembling tissue as a Bio-Engineer.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '284', 'trapping', 'The trapping skill mod represents a Ranger or Scout\'s ability to use traps effectively.  As this skill mod increases, the player gains the ability to use more complex traps.  The player also becomes better at hitting increasingly stronger creatures with traps.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '285', 'twohandlightsaber_accuracy', 'This skill mod improves your accuracy with two-handed lightsabers.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '286', 'twohandlightsaber_speed', 'This skill mod improves your attack speed with two-handed lightsabers.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '287', 'twohandlightsaber_toughness', 'This skill mod decreases the amount of damage taken while wielding two-handed lightsabers.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '288', 'twohandmelee_accuracy', 'This mod improves your accuracy with two-handed melee weapons.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '289', 'twohandmelee_center_of_being_efficacy', 'This skill mod controls the efficacy of Center Of Being when wielding a two-handed melee weapon.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '290', 'twohandmelee_speed', 'This mod improves your speed with two-handed melee weapons.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '291', 'twohandmelee_toughness', 'This mod decreases the amount of melee damage you will take when using a two-handed melee weapon.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '292', 'unarmed_accuracy', 'This mod improves your accuracy when fighting unarmed.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '293', 'unarmed_center_of_being_efficacy', 'This skill mod controls the efficacy of Center Of Being when fighting unarmed.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '294', 'unarmed_damage', 'This mod improves your damage when fighting unarmed.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '295', 'unarmed_passive_defense', 'This modifier improves your chances of reacting to a succesful hit with a dodge, counterattack or block.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '296', 'unarmed_speed', 'This mod improves your speed when fighting unarmed.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '297', 'unarmed_toughness', 'This mod will decrease the amount of melee damage you take when fighting unarmed.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '298', 'vendor_item_limit', 'This skill mod determines how many items a merchant may sell on each vendor. ');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '299', 'volley', 'This mod improves your chance of successfully launching volley fire.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '300', 'warcry', 'This modifier increases the chance of succesfully executing the Brawler profession\'s warcry command.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '301', 'weapon_assembly', 'This skill mod determines the chance of succeeding when crafting weapons.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '302', 'weapon_experimentation', 'This skill mod directly affects how many experimentation points you receive when creating weapons.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '303', 'weapon_repair', 'This skill mod determines how effective you are at repairing weapons.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '304', 'weapon_systems', 'This skill mod affects crafting of starfighter weapon systems.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '305', 'advanced_ship_experimentation', 'This skill mod affects experimentation of advanced ship components.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '306', 'booster_experimentation', 'This skill mod affects experimentation of ship boosters.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '307', 'chassis_experimentation', 'This skill mod affects experimentation of ship chassis.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '308', 'engine_experimentation', 'This skill mod affects the experimentation of engine components.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '309', 'power_systems_experimentation', 'This skill mod affects the experimentation of ship power systems.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '310', 'shields_experimentation', 'This skill mod affects the experimentation of ship shield systems.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '311', 'weapon_systems_experimentation', 'This skill mod affects the experimentation of ship weapon systems.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '312', 'pilot_special_tactics', 'This skill mod reflects the pilot\'s level of general knowledge and increasing ability in executing the various pilot command tricks of the trade that they learn.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '313', 'systems_reverse', 'This number represents the highest level of reverse engineering you can accomplish.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '314', 'defense_reverse', 'This number represents the highest level of reverse engineering you can accomplish.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '315', 'propulsion_reverse', 'This number represents the highest level of reverse engineering you can accomplish.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '316', 'engineering_reverse', 'This number represents the highest level of reverse engineering you can accomplish.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '317', 'language_ithorian_speak', 'This skill mod determines how well you can speak Ithorian to other players.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '318', 'language_ithorian_comprehend', 'This skill mod determines how well you can comprehend Ithorian as spoken by other players.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '319', 'language_ithorian_comprehension', 'This skill mod determines how well you can comprehend Ithorian as spoken by other players.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '320', 'language_sullustan_speak', 'This skill mod determines how well you can speak Sullustan to other players.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '321', 'language_sullustan_comprehend', 'This skill mod determines how well you can comprehend Sullustan as spoken by other players.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '322', 'language_sullustan_comprehension', 'This skill mod determines how well you can comprehend Sullustan as spoken by other players.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '323', 'frs_light_vigilance', 'Vigilance modifies Jedi special attacks so that they damage Force power.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '324', 'frs_light_wisdom', 'Wisdom modifies Jedi special attacks so that they drain the attribute pools of a non-Jedi (or Jedi depleted of Force power) and transfer them to the wielder.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '325', 'frs_light_serenity', 'Serenity temporarily weakens the attributes of those who attack the Jedi.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '326', 'frs_dark_envy', 'Envy modifies Jedi special attacks so that they damage Force power and return some of it to the wielder.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '327', 'frs_dark_suffering', 'Suffering modifies Jedi special attacks so that they weaken the attributes of a non-Jedi (or Jedi depleted of Force power) for a short period of time.');
INSERT INTO `client_strings` VALUES ('string/en/stat_d.stf', '328', 'frs_dark_vengeance', 'Vengeance inflicts wounds upon those who attack the Jedi.');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '1', 'absorption_bleeding', 'Bleeding Absorption');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '2', 'absorption_disease', 'Disease Absorption');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '3', 'absorption_fire', 'Fire Absorption');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '4', 'absorption_poison', 'Poison Absorption');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '5', 'advanced_assembly', 'Advanced Assembly');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '6', 'advertising', 'Advertising');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '7', 'aim', 'General Ranged Aiming');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '8', 'alert', 'Alertness');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '9', 'anti_blind', 'Anti-Blind');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '10', 'anti_dizzy', 'Anti-Dizzy');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '11', 'anti_intimidate', 'Anti-Intimidate');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '12', 'anti_shock', 'Anti-Shock');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '13', 'anti_stun', 'Anti-Stun');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '14', 'armor_assembly', 'Armor Assembly');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '15', 'armor_complexity', 'Armor Complexity');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '16', 'armor_customization', 'Armor Customization');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '17', 'armor_experimentation', 'Armor Experimentation');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '18', 'armor_repair', 'Armor Repair');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '19', 'artisan_clothing_customization', 'Artisan Clothing Customization');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '20', 'berserk', 'Berserk');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '21', 'bio_engineer_assembly', 'Bio-Engineer Assembly');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '22', 'bio_engineer_experimentation', 'Bio-Engineer Experimentation');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '23', 'blind_defense', 'Defense Vs. Blind');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '24', 'block', 'Block');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '25', 'body', 'Bodyform');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '26', 'booster_assembly', 'Booster Assembly');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '27', 'bounty_mission_level', 'Bounty Mission Difficulty');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '28', 'burst_run', 'Burst Run Efficiency');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '29', 'business_acumen', 'Business Acumen');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '30', 'camouflage', 'Camouflage');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '31', 'camp', 'Camping');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '32', 'camp_advanced', 'Advanced Camping');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '33', 'camp_repel_creature', 'Repel Creatures');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '34', 'camprepelcreature', 'Camping - Repel Creatures');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '35', 'carbine_acccuracy', 'Carbine Accuracy');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '36', 'carbine_accuracy', 'Carbine Accuracy');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '37', 'carbine_aim', 'Carbine Aiming');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '38', 'carbine_counterattack', 'Carbine Counterattacks');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '39', 'carbine_damage', 'Carbine Damage');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '40', 'carbine_hit_while_moving', 'Carbine Accuracy While Moving');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '41', 'carbine_kneeling', 'Carbine Accuracy While Kneeling');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '42', 'carbine_prone', 'Carbine Accuracy While Prone');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '43', 'carbine_speed', 'Carbine Speed');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '44', 'carbine_standing', 'Carbine Accuracy While Standing');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '45', 'center_of_being_duration_onehandmelee', 'One-handed Center Of Being Duration');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '46', 'center_of_being_duration_polearm', 'Polearm Center Of Being Duration');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '47', 'center_of_being_duration_twohandmelee', 'Two-handed melee Center of Being');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '48', 'center_of_being_duration_unarmed', 'Unarmed Center Of Being Duration');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '49', 'chassis_assembly', 'Chassis Assembly');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '50', 'clothing_assembly', 'Clothing Assembly');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '51', 'clothing_complexity', 'Clothing Complexity');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '52', 'clothing_customization', 'Clothing Customization');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '53', 'clothing_experimentation', 'Clothing Experimentation');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '54', 'clothing_repair', 'Clothing Repair');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '55', 'combat_bleeding_defense', 'Combat Bleeding Defense');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '56', 'combat_equilibrium', 'Combat Equilibrium');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '57', 'combat_equillibrium', 'Combat Equilibrium');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '58', 'combat_haste', 'Combat Haste');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '59', 'combat_healing_ability', 'Combat Medicine Use');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '60', 'combat_medic_effectiveness', 'Combat Medic Effectiveness');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '61', 'combat_medicine_assembly', 'Combat Medicine Assembly');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '62', 'combat_medicine_experimentation', 'Combat Medicine Experimentation');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '63', 'conceal_contraband', 'Contraband Concealment');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '64', 'counterattack', 'Counterattack');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '65', 'cover', 'Taking Cover');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '66', 'crafting_repair', 'Repair');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '67', 'creature_assembly', 'Creature Assembly');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '68', 'creature_empathy', 'Creature Empathy');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '69', 'creature_experimentation', 'Creature Experimentation');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '70', 'creature_harvesting', 'Creature Harvesting');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '71', 'creature_hit_bonus', 'Creature To-Hit Bonus');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '72', 'creature_knowledge', 'Creature Knowledge');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '73', 'creature_management', 'Creature Management');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '74', 'creature_training', 'Creature Training');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '75', 'creatureknowledge', 'Creature Knowledge');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '76', 'dance_heal_injury', 'Healing with Dance');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '77', 'disguise_effectiveness', 'Disguising');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '78', 'dissipation_bleeding', 'Bleeding Dissipation');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '79', 'dissipation_disease', 'Disease Dissipation');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '80', 'dissipation_fire', 'Fire Dissipation');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '81', 'dissipation_poison', 'Poison Dissipation');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '82', 'dizzy_defense', 'Defense Vs. Dizzy');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '83', 'dna_harvesting', 'DNA Harvesting');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '84', 'dodge', 'Dodge');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '85', 'domestic_assembly', 'Domestic Arts Assembly');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '86', 'droid_assembly', 'Droid Assembly');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '87', 'droid_complexity', 'Droid Complexity');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '88', 'droid_customization', 'Droid Customization');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '89', 'droid_experimentation', 'Droid Experimentation');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '90', 'droid_find_chance', 'Droid Precision');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '91', 'droid_find_speed', 'Droid Speed');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '92', 'droid_track_chance', 'Tracking Droid Effectiveness');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '93', 'droid_track_speed', 'Droid Tracking Speed');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '94', 'droid_tracks', 'Tracking Droids');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '95', 'engine_assembly', 'Engine Assembly');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '96', 'engineering_assembly', 'Engineering Assembly');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '97', 'face', 'Face-form');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '98', 'factory_efficiency', 'Factory Efficiency');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '99', 'factory_speed', 'Factory Speed');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '100', 'farm_efficiency', 'Farm Efficiency');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '101', 'farm_maintenance', 'Farm Maintenance');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '102', 'farm_management', 'Farm Management');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '103', 'farm_produce_flora', 'Flora Production');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '104', 'farm_produce_livestock', 'Livestock Production');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '105', 'farm_speed', 'Farm Production Speed');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '106', 'feign_death', 'Feign Death');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '107', 'firearm_assembly', 'Firearm Assembly');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '108', 'firearm_complexity', 'Firearm Complexity');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '109', 'firearm_experimentation', 'Firearm Experimentation');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '110', 'flora_harvester_efficiency', 'Flora Harvester Efficiency');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '111', 'flora_harvester_maintenance', 'Flora Harvester Maintenance');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '112', 'flora_harvester_speed', 'Flora Harvester Speed');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '113', 'food_assembly', 'Food Assembly');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '114', 'food_complexity', 'Food Complexity');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '115', 'food_experimentation', 'Food Experimentation');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '116', 'foraging', 'Foraging');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '117', 'force_absorb', 'Force Absorb');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '118', 'force_armor', 'Force Armor');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '119', 'force_assembly', 'Force Assembly');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '120', 'force_choke', 'Force Choke');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '121', 'force_control_dark', 'Force Control: Dark');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '122', 'force_control_light', 'Force Control: Light');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '123', 'force_defense', 'Force Defense');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '124', 'force_experimentation', 'Force Experimentation');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '125', 'force_failure_reduction', 'Crafting Technique');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '126', 'force_feedback', 'Force Feedback');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '127', 'force_luck', 'Luck');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '128', 'force_manipulation_dark', 'Force Manipulation: Dark');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '129', 'force_manipulation_light', 'Force Manipulation: Light');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '130', 'force_persuade', 'Persuasion');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '131', 'force_power_dark', 'Force Power: Dark');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '132', 'force_power_light', 'Force Power: Light');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '133', 'force_repair_bonus', 'Force Repair Bonus');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '134', 'force_run', 'Force Run');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '135', 'force_shield', 'Force Shield');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '136', 'force_vehicle_control', 'Force Vehicular Control');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '137', 'force_vehicle_speed', 'Force Vehicular Acceleration');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '138', 'forceintimidate_accuracy', 'Force Intimidate Accuracy');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '139', 'forceknockdown_accuracy', 'Force Knockdown Accuracy');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '140', 'forcelightning_accuracy', 'Force Lightning Accuracy');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '141', 'forcethrow_accuracy', 'Force Throw Accuracy');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '142', 'forceweaken_accuracy', 'Force Weaken Accuracy');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '143', 'general_assembly', 'Artisan Assembly');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '144', 'general_damage', 'Damage Healing');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '145', 'general_experimentation', 'Artisan Experimentation');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '146', 'general_wound', 'Wound Healing');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '147', 'grenade_assembly', 'Grenade Assembly');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '148', 'grenade_experimentation', 'Grenade Experimentation');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '149', 'group_burst_run', 'Group Burst Run Efficiency');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '150', 'group_defense', 'Group Defense Bonus');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '151', 'group_melee_defense', 'Group Melee Defense');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '152', 'group_offense', 'Group Offense Bonus');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '153', 'group_ranged_defense', 'Group Ranged Defense');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '154', 'group_slope_move', 'Group Terrain Negotiation');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '155', 'hair', 'Hair Styling');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '156', 'harvester_efficiency', 'Harvester Efficiency');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '157', 'harvester_maintenance', 'Harvester Maintenance');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '158', 'harvester_speed', 'Harvester Speed');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '159', 'heal_creature_wound', 'Creature Wound Healing');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '160', 'healer_accuracy', 'Ranged Healing Accuracy');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '161', 'healer_speed', 'Ranged Healing Speed');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '162', 'healing_ability', 'Medicine Use');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '163', 'healing_dance_ability', 'Dance Knowledge');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '164', 'healing_dance_mind', 'Dancing Mind Enhancement');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '165', 'healing_dance_shock', 'Battle Fatigue Healing (Dancing)');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '166', 'healing_dance_wound', 'Wound Healing (Dancing)');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '167', 'healing_injury_speed', 'Injury Treatment Speed');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '168', 'healing_injury_treatment', 'Injury Treatment');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '169', 'healing_music_ability', 'Music Knowledge');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '170', 'healing_music_mind', 'Musical Mind Enhancement');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '171', 'healing_music_shock', 'Battle Fatigue Healing (Music)');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '172', 'healing_music_wound', 'Wound Healing (Music)');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '173', 'healing_range', 'Healing Range');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '174', 'healing_range_speed', 'Ranged Injury Treatment Speed');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '175', 'healing_wound_speed', 'Wound Treatment Speed');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '176', 'healing_wound_treatment', 'Wound Treatment ');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '177', 'heavy_acid_beam_accuracy', 'Heavy Acid Beam Accuracy');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '178', 'heavy_acid_beam_speed', 'Heavy Acid Beam Speed');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '179', 'heavy_acid_rifle_accuracy', 'Heavy Acid Rifle Accuracy');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '180', 'heavy_acid_rifle_speed', 'Heavy Acid Rifle Speed');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '181', 'heavy_flame_thrower_accuracy', 'Flamethrower Accuracy');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '182', 'heavy_flame_thrower_speed', 'Flamethrower Speed');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '183', 'heavy_lighting_rifle_accuracy', 'Light Lightning Cannon Accuracy');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '184', 'heavy_lightning_beam_accuracy', 'Heavy Lightning Beam Accuracy');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '185', 'heavy_lightning_beam_speed', 'Heavy Lightning Beam Speed');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '186', 'heavy_lightning_rifle_accuracy', 'Light Lightning Cannon Accuracy');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '187', 'heavy_particle_beam_accuracy', 'Heavy Particle Beam Accuracy');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '188', 'heavy_particle_beam_speed', 'Heavy Particle Beam Speed');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '189', 'heavy_rifle_acid_accuracy', 'Heavy Acid Rifle Accuracy');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '190', 'heavy_rifle_acid_speed', 'Heavy Acid Rifle Speed');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '191', 'heavy_rifle_lighting_accuracy', 'Light Lightning Cannon Accuracy');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '192', 'heavy_rifle_lightning_accuracy', 'Light Lightning Cannon Accuracy');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '193', 'heavy_rifle_lightning_speed', 'Light Lightning Cannon Speed');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '194', 'heavy_rocket_launcher_accuracy', 'Heavy Rocket Launcher Accuracy');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '195', 'heavy_rocket_launcher_speed', 'Heavy Rocket Launcher Speed');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '196', 'heavyweapon_accuracy', 'Heavy Weapon Accuracy');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '197', 'heavyweapon_speed', 'Heavy Weapon Speed');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '198', 'hiring', 'Hiring');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '199', 'innate_equilibrium', 'Equilibrium');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '200', 'innate_regeneration', 'Regeneration');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '201', 'innate_roar', 'Wookiee Roar');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '202', 'innate_vitalize', 'Vitalize');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '203', 'instrument_assembly', 'Instrument Assembly');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '204', 'intimidate', 'Intimidation');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '205', 'intimidate_defense', 'Defense Vs. Intimidate');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '206', 'jedi_force_power_max', 'Force Power Max');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '207', 'jedi_force_power_regen', 'Force Power Regeneration');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '208', 'jedi_saber_assembly', 'Lightsaber Assembly');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '209', 'jedi_saber_experimentation', 'Lightsaber Experimentation');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '210', 'jedi_state_defense', 'Jedi State Defense');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '211', 'jedi_toughness', 'Jedi Toughness');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '212', 'keep_creature', 'Additional Pets');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '213', 'knockdown_defense', 'Defense Vs. Knockdown');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '214', 'language_all_comprehend', 'Language Comprehension');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '215', 'language_basic_comprehend', 'Basic (Comprehension)');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '216', 'language_basic_speak', 'Basic (Speech)');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '217', 'language_bothan', 'Bothese');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '218', 'language_bothan_comprehend', 'Bothese (Comprehension)');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '219', 'language_bothan_speak', 'Bothese (Speech)');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '220', 'language_lekku', 'Lekku');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '221', 'language_lekku_comprehend', 'Lekku (Comprehension)');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '222', 'language_lekku_speak', 'Lekku (Silent Speech)');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '223', 'language_moncalamari', 'Mon Calamarian');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '224', 'language_moncalamari_comprehend', 'Mon Calamarian (Comprehension)');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '225', 'language_moncalamari_speak', 'Mon Calamarian (Speech)');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '226', 'language_rodian', 'Rodese');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '227', 'language_rodian_comprehend', 'Rodese (Comprehension)');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '228', 'language_rodian_speak', 'Rodese (Speech)');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '229', 'language_trandoshan', 'Dosh');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '230', 'language_trandoshan_comprehend', 'Dosh (Comprehension)');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '231', 'language_trandoshan_speak', 'Dosh (Speech)');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '232', 'language_twilek', 'Ryl');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '233', 'language_twilek_comprehend', 'Ryl (Comprehension)');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '234', 'language_twilek_speak', 'Ryl (Speech)');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '235', 'language_wookiee', 'Shyriiwook');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '236', 'language_wookiee_comprehend', 'Shyriiwook (Comprehension)');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '237', 'language_wookiee_speak', 'Shyriiwook (Speech)');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '238', 'language_zabrak', 'Zabrak');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '239', 'language_zabrak_comprehend', 'Zabrak (Comprehension)');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '240', 'language_zabrak_speak', 'Zabrak (Speech)');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '241', 'leadership', 'Leadership');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '242', 'light_lightning_cannon_accuracy', 'Light Lightning Cannon Accuracy');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '243', 'lightning', 'Force Lightning');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '244', 'lightsaber_toughness', 'Lightsaber Toughness');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '245', 'manage_vendor', 'Vendors');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '246', 'markings', 'Marking Design');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '247', 'mask_scent', 'Mask Scent');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '248', 'medical_foraging', 'Medical Foraging');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '249', 'medicine_assembly', 'Medicine Assembly');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '250', 'medicine_complexity', 'Crafting Medicine Complexity');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '251', 'medicine_experimentation', 'Medicine Experimentation');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '252', 'meditate', 'Meditate');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '253', 'melee_accuracy', 'Enhanced Melee Accuracy');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '254', 'melee_assembly', 'Melee Weapon Assembly');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '255', 'melee_complexity', 'Melee Weapon Complexity');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '256', 'melee_defense', 'Melee Defense');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '257', 'melee_experimentation', 'Melee Experimentation');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '258', 'melee_speed', 'Enhanced Melee Speed');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '259', 'mental', 'Force Psyche');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '260', 'mindblast_accuracy', 'Mind Blast Accuracy');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '261', 'missile_launching', 'Missile Launching Skill');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '262', 'morale_management', 'Morale Management');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '263', 'mountedcreature', 'Mounted Creature');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '264', 'munition_assembly', 'Munition Assembly');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '265', 'munition_complexity', 'Munition Complexity');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '266', 'munition_experimentation', 'Munition Experimentation');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '267', 'music_heal_injury', 'Healing with Music');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '268', 'offensive_strategy', 'Offensive Strategy');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '269', 'onehandlightsaber_accuracy', 'One-handed Lightsaber Accuracy');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '270', 'onehandlightsaber_speed', 'One-handed Lightsaber Speed');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '271', 'onehandlightsaber_toughness', 'One-handed Lightsaber Toughness');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '272', 'onehandmelee_accuracy', 'One-handed Weapon Accuracy');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '273', 'onehandmelee_center_of_being_efficacy', 'One-handed Melee Center Of Being Efficacy');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '274', 'onehandmelee_counter_attack', 'One-handed Weapon Counter Attack');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '275', 'onehandmelee_damage', 'One-handed Melee Damage');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '276', 'onehandmelee_evasion', 'One-handed Weapon Evasion');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '277', 'onehandmelee_speed', 'One-handed Weapon Speed');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '278', 'onehandmelee_toughness', 'One-handed Melee Toughness');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '279', 'onehandmeleeaccuracy', 'One-handed Weapon Accuracy');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '280', 'onehandpolearm', 'One Handed Pole Arm');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '281', 'onehandtechnique', 'One Handed Technique');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '282', 'persuade_bribe', 'Bribery');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '283', 'persuade_lie', 'Pursuasion');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '284', 'pilot_special_tactics', 'Pilot Special Tactics');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '285', 'pistol_accuracy', 'Pistol Accuracy');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '286', 'pistol_accuracy_while_standing', 'Pistol Accuracy While Standing');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '287', 'pistol_aim', 'Pistol Aiming');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '288', 'pistol_counterattack', 'Pistol Counter Attack');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '289', 'pistol_damage', 'Pistol Damage');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '290', 'pistol_hit_while_moving', 'Pistol Accuracy While Moving');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '291', 'pistol_kneeling', 'Pistol Accuracy While Kneeling');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '292', 'pistol_prone', 'Pistol Accuracy While Prone');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '293', 'pistol_speed', 'Pistol Speed');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '294', 'pistol_standing', 'Pistol Accuracy While Standing');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '295', 'polearm_accuracy', 'Polearm Accuracy');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '296', 'polearm_center_of_being_efficacy', 'Polearm Center Of Being Efficacy');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '297', 'polearm_counter_attack', 'Polearm Counter Attack');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '298', 'polearm_evasion', 'Polearm Evasion');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '299', 'polearm_speed', 'Polearm Speed');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '300', 'polearm_toughness', 'Polearm Toughness');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '301', 'polearmlightsaber_accuracy', 'Double-Bladed Lightsaber Accuracy');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '302', 'polearmlightsaber_speed', 'Double-Bladed Lightsaber Speed');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '303', 'polearmlightsaber_toughness', 'Double-Bladed Lightsaber Toughness');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '304', 'posture_change_down_defense', 'Defense Vs. Posture Change (Down)');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '305', 'posture_change_up_defense', 'Defense Vs. Posture Change (Up)');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '306', 'power_systems', 'Power Systems');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '307', 'private_innage_regeneration', 'Regeneration');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '308', 'private_innate_equilibrium', 'Equilibrium');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '309', 'private_innate_regeneration', 'Regeneration');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '310', 'private_innate_roar', 'Wookiee Roar');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '311', 'private_innate_vitalize', 'Vitalize');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '312', 'rally', 'Rally Shot Bonus');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '313', 'ranged_accuracy', 'Enhanced Ranged Accuracy');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '314', 'ranged_defense', 'Ranged Defense');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '315', 'ranged_speed', 'Enhanced Ranged Speed');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '316', 'rescue', 'Rescue');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '317', 'resist_creature_attack', 'Resist Creature Attacks');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '318', 'resistance_bleeding', 'Bleeding Resistance');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '319', 'resistance_disease', 'Disease Resistance');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '320', 'resistance_fire', 'Fire Resistance');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '321', 'resistance_poison', 'Poison Resistance');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '322', 'resistance_states', 'States Resistance');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '323', 'resistcreatureattack', 'Resist Creature Attacks');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '324', 'reverse_engineering', 'Reverse Engineering');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '325', 'ridingmount', 'Riding Mount');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '326', 'rifle_accuracy', 'Rifle Accuracy');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '327', 'rifle_aim', 'Rifle Aiming');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '328', 'rifle_concealment_chance', 'Rifle Concealment Chance');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '329', 'rifle_counterattack', 'Rifle Counterattacks');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '330', 'rifle_crawl', 'Rifle Crawl Speed');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '331', 'rifle_damage', 'Rifle Damage');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '332', 'rifle_hit_while_moving', 'Rifle Accuracy While Moving');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '333', 'rifle_kneeling', 'Rifle Accuracy While Kneeling');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '334', 'rifle_prone', 'Rifle Accuracy While Prone');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '335', 'rifle_speed', 'Rifle Speed');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '336', 'rifle_standing', 'Rifle Accuracy While Standing');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '337', 'saber_block', 'Lightsaber Block');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '338', 'sales', 'Sales');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '339', 'shields_assembly', 'Shields Assembly');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '340', 'shop_sign', 'Shop Sign Options');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '341', 'slice_market', 'Slicing');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '342', 'slope_move', 'Terrain Negotiation');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '343', 'spice_assembly', 'Spice Assembly');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '344', 'spice_experimentation', 'Spice Experimentation');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '345', 'steadyaim', 'Steady Aim Bonus');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '346', 'stored_pets', 'Stored Pets');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '347', 'structure_assembly', 'Structure Assembly');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '348', 'structure_complexity', 'Structure Complexity');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '349', 'structure_experimentation', 'Structure Experimentation');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '350', 'structure_maintenance_mod', 'Structure Maintenance');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '351', 'stun_defense', 'Defense Vs. Stun');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '352', 'survey_flora_structural', 'Flora Surveying');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '353', 'survey_flora_structural_range', 'Flora Surveying Range');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '354', 'survey_flora_structural_resolution', 'Flora Surveying Resolution');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '355', 'survey_gas', 'Gas Surveying');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '356', 'survey_gas_range', 'Gas Surveying Range');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '357', 'survey_gas_resolution', 'Gas Surveying Resolution');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '358', 'survey_liquid', 'Liquid Surveying');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '359', 'survey_liquid_range', 'Liquid Surveying Range');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '360', 'survey_liquid_resolution', 'Liquid Surveying Resolution');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '361', 'survey_solid', 'Mineral Surveying');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '362', 'survey_solid_range', 'Mineral Surveying Range');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '363', 'survey_solid_resolution', 'Mineral Surveying Resolution');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '364', 'surveying', 'Surveying');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '365', 'take_cover', 'Cover');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '366', 'takecover', 'Cover');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '367', 'tame_aggro', 'Taming Vicious Creatures');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '368', 'tame_bonus', 'Creature Taming Bonus');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '369', 'tame_level', 'Max level of pets');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '370', 'tame_non_aggro', 'Taming Wild Creatures');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '371', 'taunt', 'Taunt');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '372', 'thrown_accuracy', 'Thrown Weapon Accuracy');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '373', 'thrown_speed', 'Thrown Weapon Speed');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '374', 'tissue_assembly', 'Tissue Assembly');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '375', 'tissue_experimentation', 'Tissue Experimentation');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '376', 'track_creature', 'Creature Tracking');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '377', 'trackcreature', 'Creature Tracking');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '378', 'trapping', 'Trapping');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '379', 'twohandedmelee_accuracy', 'Two-handed Weapon Accuracy');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '380', 'twohandedmelee_counter_attack', 'Two-handed Weapon Counter Attack');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '381', 'twohandedmelee_evasion', 'Two-handed Weapon Evasion');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '382', 'twohandedmelee_speed', 'Two-handed Weapon Speed');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '383', 'twohandedmeleedamage', 'Two-handed Melee Damage');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '384', 'twohandlightsaber_accuracy', 'Two-handed Lightsaber Accuracy');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '385', 'twohandlightsaber_speed', 'Two-handed Lightsaber Speed');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '386', 'twohandlightsaber_toughness', 'Two-handed Lightsaber Toughness');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '387', 'twohandmelee_accuracy', 'Two-handed Melee Accuracy');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '388', 'twohandmelee_center_of_being_efficacy', 'Two-handed Melee Center Of Being Efficacy');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '389', 'twohandmelee_counter_attack', 'Two-handed Melee Counter Attacks');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '390', 'twohandmelee_damage', 'Two-handed Melee Damage');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '391', 'twohandmelee_evasion', 'Two-handed Melee Evasion');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '392', 'twohandmelee_speed', 'Two-handed Melee Speed');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '393', 'twohandmelee_toughness', 'Two-handed Melee Toughness');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '394', 'twohandpolearm', 'Two Handed Pole Arm');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '395', 'twohandtechnique', 'Two Handed Technique');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '396', 'unarmed_accuracy', 'Unarmed Accuracy');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '397', 'unarmed_center_of_being_efficacy', 'Unarmed Center Of Being Efficacy');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '398', 'unarmed_damage', 'Unarmed Damage');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '399', 'unarmed_passive_defense', 'Defensive Acuity');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '400', 'unarmed_speed', 'Unarmed Speed');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '401', 'unarmed_toughness', 'Unarmed Toughness');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '402', 'vendor_item_limit', 'Vendor Item Limit');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '403', 'volley', 'Volley Fire Bonus');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '404', 'warcry', 'Warcry');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '405', 'weapon_assembly', 'Weapon Assembly');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '406', 'weapon_experimentation', 'Weapon Experimentation');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '407', 'weapon_repair', 'Weapon Repair');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '408', 'weapon_systems', 'Weapon Systems');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '409', 'advanced_ship_experimentation', 'Advanced Component Experimentation');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '410', 'booster_experimentation', 'Booster Experimentation');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '411', 'chassis_experimentation', 'Chassis Experimentation');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '412', 'engine_experimentation', 'Engine Experimentation');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '413', 'power_systems_experimentation', 'Power Systems Experimentation');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '414', 'shields_experimentation', 'Shield Experimentation');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '415', 'weapon_systems_experimentation', 'Weapon Systems Experimentation');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '416', 'engineering_reverse', 'Chassis/Armor Reverse Engineering');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '417', 'propulsion_reverse', 'Propulsion Reverse Engineering');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '418', 'systems_reverse', 'Systems Reverse Engineering');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '419', 'defense_reverse', 'Defense Reverse Engineering');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '420', 'language_ithorian', 'Ithorian');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '421', 'language_ithorian_speak', 'Ithorian (Speech)');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '422', 'language_ithorian_comprehend', 'Ithorian (Comprehension)');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '423', 'language_sullustan', 'Sullustan');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '424', 'language_sullustan_comprehend', 'Sullustan (Comprehension)');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '425', 'language_sullustan_speak', 'Sullustan (Speech)');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '426', 'frs_light_vigilance', 'Light Force: Vigilance');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '427', 'frs_light_wisdom', 'Light Force: Wisdom');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '428', 'frs_light_serenity', 'Light Force: Serenity');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '429', 'frs_dark_envy', 'Dark Force: Envy');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '430', 'frs_dark_suffering', 'Dark Force: Suffering');
INSERT INTO `client_strings` VALUES ('string/en/stat_n.stf', '431', 'frs_dark_vengeance', 'Dark Force: Vengeance');
INSERT INTO `client_strings` VALUES ('string/en/stormtrooper_attitude/st_response.stf', '1', 'st_response_00', 'Looks like it\'s my lucky day! Consider your fine paid in full, pal.\n');
INSERT INTO `client_strings` VALUES ('string/en/stormtrooper_attitude/st_response.stf', '2', 'st_response_01', 'Yea, you got enough here to cover your fine. You don\'t mind if I whip out a bonus, do you? Didn\'t think so.');
INSERT INTO `client_strings` VALUES ('string/en/stormtrooper_attitude/st_response.stf', '3', 'st_response_02', 'Would you just look at that! I think you\'re rich enough to make a donation to the impoverished stormtroopers fund as well as pay your fine.');
INSERT INTO `client_strings` VALUES ('string/en/stormtrooper_attitude/st_response.stf', '4', 'st_response_03', 'A little for the Empire, a little for me!');
INSERT INTO `client_strings` VALUES ('string/en/stormtrooper_attitude/st_response.stf', '5', 'st_response_04', 'What do you know! You must be a Trade Federation brat. Well, you won\'t miss a few extra credits.');
INSERT INTO `client_strings` VALUES ('string/en/stormtrooper_attitude/st_response.stf', '6', 'st_response_05', 'This pays your fine, but I think you should pay more. Hmmm... About this much more.');
INSERT INTO `client_strings` VALUES ('string/en/stormtrooper_attitude/st_response.stf', '7', 'st_response_06', 'You don\'t have enough credits to pay your fine. Your remaining debt has been noted. Hail a stormtrooper when you\'re capable of paying the rest.');
INSERT INTO `client_strings` VALUES ('string/en/stormtrooper_attitude/st_response.stf', '8', 'st_response_07', 'Some pocket lint and a maroj melon isn\'t going to cut it citizen. Your debt has been noted. Hail a stormtrooper when you want to pay your fine.');
INSERT INTO `client_strings` VALUES ('string/en/stormtrooper_attitude/st_response.stf', '9', 'st_response_08', 'I\'ve seen more credits on a dead mynock. You now have an outstanding fine debt, citizen.  Hail a stormtrooper when you\'re ready to pay the fine.');
INSERT INTO `client_strings` VALUES ('string/en/stormtrooper_attitude/st_response.stf', '10', 'st_response_09', 'The Empire isn\'t your personal bank, citizen. Hail a stormtrooper when you\'re ready to pay your fine.');
INSERT INTO `client_strings` VALUES ('string/en/stormtrooper_attitude/st_response.stf', '11', 'st_response_10', 'Sure, sure... just paid your taxes. I\'ve heard it all before. Hail a stormtrooper when you get the credits.');
INSERT INTO `client_strings` VALUES ('string/en/stormtrooper_attitude/st_response.stf', '12', 'st_response_11', 'Yea, I didn\'t figure someone like you would have any money. Hail a stormtrooper if you ever find the funds.');
INSERT INTO `client_strings` VALUES ('string/en/stormtrooper_attitude/st_response.stf', '13', 'st_response_12', 'You don\'t have enough money, citizen.  Hail a stormtrooper when you some credits.');
INSERT INTO `client_strings` VALUES ('string/en/stormtrooper_attitude/st_response.stf', '14', 'st_response_13', 'I don\'t know why they let you %RT scum in the service, but you can bet this is going to be reported to your superiors!');
INSERT INTO `client_strings` VALUES ('string/en/stormtrooper_attitude/st_response.stf', '15', 'st_response_14', 'Doesn\'t your kind usually fill out the latrine detail? You should have stayed there. Your actions will be reported.');
INSERT INTO `client_strings` VALUES ('string/en/stormtrooper_attitude/st_response.stf', '16', 'st_response_15', 'Just another worthless alien. This one stole an Imperial\'s identification. I am going to make sure to report this.');
INSERT INTO `client_strings` VALUES ('string/en/stormtrooper_attitude/st_response.stf', '17', 'st_response_16', 'One day humanity won\'t have to put up with %RT stupidity. Consider yourself on report.');
INSERT INTO `client_strings` VALUES ('string/en/stormtrooper_attitude/st_response.stf', '18', 'st_response_17', 'It\'s bad enough I have to share mess with %RT slime, but I don\'t have to take this! This will be reported.');
INSERT INTO `client_strings` VALUES ('string/en/stormtrooper_attitude/st_response.stf', '19', 'st_response_18', 'All of you aliens are Rebel spies. Well this time you\'re in big trouble pal!');
INSERT INTO `client_strings` VALUES ('string/en/stormtrooper_attitude/st_response.stf', '20', 'st_response_19', 'Let me enlighten you troop, we don\'t need your kind in the Empire. You\'re going on report!');
INSERT INTO `client_strings` VALUES ('string/en/stormtrooper_attitude/st_response.stf', '21', 'st_response_20', 'How they let garbage like you rise to my rank is beyond me. Maybe this will open their eyes about you.');
INSERT INTO `client_strings` VALUES ('string/en/stormtrooper_attitude/st_response.stf', '22', 'st_response_21', 'What is wrong with you troop?! You\'re going on report.');
INSERT INTO `client_strings` VALUES ('string/en/stormtrooper_attitude/st_response.stf', '23', 'st_response_22', 'Have you lost your mind soldier?! I\'m writing you up.');
INSERT INTO `client_strings` VALUES ('string/en/stormtrooper_attitude/st_response.stf', '24', 'st_response_23', 'You have just made the worst mistake of your miserable life trooper! Consider yourself on report.');
INSERT INTO `client_strings` VALUES ('string/en/stormtrooper_attitude/st_response.stf', '25', 'st_response_24', 'Can you not recognize rank insignia? Maybe going on report will refresh your memory.');
INSERT INTO `client_strings` VALUES ('string/en/stormtrooper_attitude/st_response.stf', '26', 'st_response_25', 'Hey pal, just because we\'re the same rank doesn\'t mean you can pull this stuff on me. I am reporting this to your superior.');
INSERT INTO `client_strings` VALUES ('string/en/stormtrooper_attitude/st_response.stf', '27', 'st_response_26', 'Do your superiors know about your brain damage? I\'ll have to make sure they find out.');
INSERT INTO `client_strings` VALUES ('string/en/stormtrooper_attitude/st_response.stf', '28', 'st_response_27', 'Isn\'t that just like a %RT, too stupid to know what\'s dangerous to them.');
INSERT INTO `client_strings` VALUES ('string/en/stormtrooper_attitude/st_response.stf', '29', 'st_response_28', 'When the Emperor buries the %RT race, I will be there to spit on the grave.');
INSERT INTO `client_strings` VALUES ('string/en/stormtrooper_attitude/st_response.stf', '30', 'st_response_29', 'Worthless aliens! Every last one of you will come to know the might of the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/stormtrooper_attitude/st_response.stf', '31', 'st_response_30', 'What is it like to be inferior, %RT? Do you dream of being human? Probably not. You\'re just not that smart.');
INSERT INTO `client_strings` VALUES ('string/en/stormtrooper_attitude/st_response.stf', '32', 'st_response_31', 'Harassing a stormtrooper is a seditious act, citizen. I have every right to execute you in the name of the Emperor. Consider yourself lucky.');
INSERT INTO `client_strings` VALUES ('string/en/stormtrooper_attitude/st_response.stf', '33', 'st_response_32', 'What do you think you\'re doing?!');
INSERT INTO `client_strings` VALUES ('string/en/stormtrooper_attitude/st_response.stf', '34', 'st_response_33', 'I won\'t stand for that, scum!');
INSERT INTO `client_strings` VALUES ('string/en/stormtrooper_attitude/st_response.stf', '35', 'st_response_34', 'I don\'t have time for this.');
INSERT INTO `client_strings` VALUES ('string/en/stormtrooper_attitude/st_response.stf', '36', 'st_response_35', 'Please give me another chance. I will not fail you again!');
INSERT INTO `client_strings` VALUES ('string/en/stormtrooper_attitude/st_response.stf', '37', 'st_response_36', 'Aye, my actions were inexcusable.');
INSERT INTO `client_strings` VALUES ('string/en/stormtrooper_attitude/st_response.stf', '38', 'st_response_37', 'Aye!');
INSERT INTO `client_strings` VALUES ('string/en/stormtrooper_attitude/st_response.stf', '39', 'st_response_38', 'Affirmative.');
INSERT INTO `client_strings` VALUES ('string/en/stormtrooper_attitude/st_response.stf', '40', 'st_response_39', 'Roger that!');
INSERT INTO `client_strings` VALUES ('string/en/stormtrooper_attitude/st_response.stf', '41', 'st_response_40', 'I heard that you seditious scum!');
INSERT INTO `client_strings` VALUES ('string/en/stormtrooper_attitude/st_response.stf', '42', 'st_overdue_fine_warning_00', 'IMMEDIATE ATTENTION REQUIRED.\n\nThis is an overdue fine notice from the Imperial Collection Agency. You have an outstanding fine debt with the Empire. You must attend to this responsibility immediately. Proceed directly to your nearest Imperial representative, hail them and pay your fine. \n\nValid representatives:\n\nStormtroopers\nImperial Officers\nOther Members of the Imperial Military\n\nRemember, the Empire relies upon the support of its citizens. We are fighting this rebellion for your safety and wellbeing. Please show proper respect for all Military and Police representatives of the Empire.\n\n\nVice-Regent Accountant\nLlohm Dunney\nImperial Treasury, Coruscant\n');
INSERT INTO `client_strings` VALUES ('string/en/stormtrooper_attitude/st_response.stf', '43', 'st_overdue_fine_warning_01', 'IMMEDIATE ATTENTION REQUIRED.\n\nPAST DUE\n\nThis is an overdue fine notice from the Imperial Collection Agency. You have an outstanding fine debt with the Empire. You must attend to this responsibility immediately. Proceed directly to your nearest Imperial representative, hail them and pay your fine. \n\nWe will be tracking your whereabouts and activities until this fine is paid. You will begin to notice certain members of the Empire that do not treat you with the same level of courtesy as is expected from the Empire. This is due solely to your decision to disregard your financial responsibilities. Do not let your Imperial standing and credit be destroyed by what can be resolved in a few moments. Pay your fine IMMEDIATELY citizen.  \n\nValid representatives:\n\nStormtroopers\nImperial Officers\nOther Members of the Imperial Military\n\nRemember, the Empire relies upon the support of its citizens. We are fighting this rebellion for your safety and wellbeing. Please show proper respect for all Military and Police representatives of the Empire.\n\n\nVice-Regent Accountant\nLlohm Dunney\nImperial Treasury, Coruscant\n');
INSERT INTO `client_strings` VALUES ('string/en/stormtrooper_attitude/st_response.stf', '44', 'st_overdue_fine_warning_02', 'Outstanding Imperial Fines');
INSERT INTO `client_strings` VALUES ('string/en/stormtrooper_attitude/st_response.stf', '45', 'st_response_41', 'Well citizen, that\'s quite a debt you\'ve got there. How about we cut you a break and round it off to a cool million?');
INSERT INTO `client_strings` VALUES ('string/en/stormtrooper_attitude/st_response.stf', '46', 'st_response_42', 'I hope you\'ve learned your lesson from this, citizen. It\'s does not pay to cross the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/stormtrooper_attitude/st_response.stf', '47', 'st_response_43', 'Yea, it\'s all here. Keep your nose out of trouble, citizen and you won\'t have to go through this again.');
INSERT INTO `client_strings` VALUES ('string/en/stormtrooper_attitude/st_response.stf', '48', 'st_response_44', 'Fine paid in full, move along.');
INSERT INTO `client_strings` VALUES ('string/en/stormtrooper_attitude/st_response.stf', '49', 'st_response_45', 'Right, that settles your fine debt, citizen. I suggest you mind your place from now on.');
INSERT INTO `client_strings` VALUES ('string/en/stormtrooper_attitude/st_response.stf', '50', 'imperial_fine_10000', 'You have been fined 10000 credits by the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/stormtrooper_attitude/st_response.stf', '51', 'imperial_fine_t', 'Imperial Fine');
INSERT INTO `client_strings` VALUES ('string/en/stormtrooper_attitude/st_response.stf', '52', 'imperial_fine_outstanding', ' Added to your outstanding fines, it comes to ');
INSERT INTO `client_strings` VALUES ('string/en/stormtrooper_attitude/st_response.stf', '53', 'imperial_fine_5000', 'You have been fined 5000 credits by the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/stormtrooper_attitude/st_response.stf', '54', 'imperial_fine_2000', 'You have been fined 2000 credits by the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/stormtrooper_attitude/st_response.stf', '55', 'imperial_fine_500', 'You have been fined 500 credits by the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/stormtrooper_attitude/st_response.stf', '56', 'pay_outstanding_fine_prefix', 'You have an outstanding fine, I suggest you pay it!');
INSERT INTO `client_strings` VALUES ('string/en/stormtrooper_attitude/st_response.stf', '57', 'pay_fine_total_suffix', ' It comes to a total of ');
INSERT INTO `client_strings` VALUES ('string/en/stormtrooper_attitude/st_response.stf', '58', 'imperial_fine_credits', ' credits.');
INSERT INTO `client_strings` VALUES ('string/en/stormtrooper_attitude/st_response.stf', '59', 'imperial_fine_3500', 'You have been fined 3500 credits by the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/stormtrooper_attitude/st_response.stf', '60', 'imperial_fine_1000', 'You have been fined 1000 credits by the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/stormtrooper_attitude/st_response.stf', '61', 'imperial_collection_email_t', 'Imperial Collection Agency');
INSERT INTO `client_strings` VALUES ('string/en/stormtrooper_attitude/st_response.stf', '62', 'default', '');
INSERT INTO `client_strings` VALUES ('string/en/structure/structure_messages.stf', '1', 'board_shuttle', 'Board Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/structure/structure_messages.stf', '2', 'travel_options', 'Purchase Travel Ticket');
INSERT INTO `client_strings` VALUES ('string/en/structure/structure_messages.stf', '3', 'base_ticket', 'Travel Ticket');
INSERT INTO `client_strings` VALUES ('string/en/structure/structure_messages.stf', '4', 'travel_shuttle', 'Transport Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/structure/structure_messages.stf', '5', 'purchase_ticket', 'Purchase Travel Ticket');
INSERT INTO `client_strings` VALUES ('string/en/structure/structure_messages.stf', '6', 'next_shuttle', 'Shuttle Status');
INSERT INTO `client_strings` VALUES ('string/en/structure/structure_messages.stf', '7', 'ticket_collector_name', 'Ticket Collector');
INSERT INTO `client_strings` VALUES ('string/en/structure/structure_messages.stf', '8', 'travel_shuttle_d', 'This shuttle can take you to other planets.');
INSERT INTO `client_strings` VALUES ('string/en/structure/structure_messages.stf', '9', 'base_ticket_d', 'This is a ticket for a transport shuttle flight.');
INSERT INTO `client_strings` VALUES ('string/en/structure/structure_messages.stf', '10', 'travel_tatooine', 'Travel to Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/structure/structure_messages.stf', '11', 'travel_naboo', 'Travel to Naboo');
INSERT INTO `client_strings` VALUES ('string/en/structure/structure_messages.stf', '12', 'travel_corellia', 'Travel to Corellia');
INSERT INTO `client_strings` VALUES ('string/en/structure/structure_messages.stf', '13', 'travel_lok', 'Travel to Lok');
INSERT INTO `client_strings` VALUES ('string/en/structure/structure_messages.stf', '14', 'travel_dantooine', 'Travel to Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/structure/structure_messages.stf', '15', 'travel_talus', 'Travel to Talus');
INSERT INTO `client_strings` VALUES ('string/en/structure/structure_messages.stf', '16', 'travel_rori', 'Travel to Rori');
INSERT INTO `client_strings` VALUES ('string/en/structure/structure_messages.stf', '17', 'no_location_found', 'No location was found for your destination. ');
INSERT INTO `client_strings` VALUES ('string/en/structure/structure_messages.stf', '18', 'already_there', 'You are already on that planet.');
INSERT INTO `client_strings` VALUES ('string/en/structure/structure_messages.stf', '19', 'too_far', 'You are too far from the terminal to purchase a ticket.');
INSERT INTO `client_strings` VALUES ('string/en/structure/structure_messages.stf', '20', 'short_funds', 'You do not have enough money to complete the ticket purchase.');
INSERT INTO `client_strings` VALUES ('string/en/structure/structure_messages.stf', '21', 'no_pets', 'You cannot board the shuttle when you are riding on a pet or in a vehicle.');
INSERT INTO `client_strings` VALUES ('string/en/structure/structure_messages.stf', '22', 'boarding_too_far', 'You are too far from the shuttle to board.');
INSERT INTO `client_strings` VALUES ('string/en/structure/structure_messages.stf', '23', 'shuttle_not_available', 'The shuttle is not available at this time.');
INSERT INTO `client_strings` VALUES ('string/en/structure/structure_messages.stf', '24', 'route_not_available', 'This ticket\'s route is no longer available');
INSERT INTO `client_strings` VALUES ('string/en/structure/structure_messages.stf', '25', 'boarding_what_shuttle', 'What shuttle do you wish to board?');
INSERT INTO `client_strings` VALUES ('string/en/structure/structure_messages.stf', '26', 'no_ticket', 'You do not have a ticket to board this shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/structure/structure_messages.stf', '27', 'boarding_ticket_selection', 'You must select a ticket to use before boarding.');
INSERT INTO `client_strings` VALUES ('string/en/structure/structure_messages.stf', '28', 'wrong_shuttle', 'This ticket is not valid for the given shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/structure/structure_messages.stf', '29', 'default', '');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '1', 'analyze_loot', 'Analyze Component');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '2', 'assign_droid_prompt', 'Select a droid to handle maintenance tasks.');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '3', 'assign_droid_title', 'Assign Maintenance Droid');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '4', 'ballot_box_add_option', 'Add Option');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '5', 'ballot_box_band', 'ballot box band');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '6', 'ballot_box_chat_title', 'Ballot Box Terminal Results');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '7', 'ballot_box_clear_log', 'Clear Log');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '8', 'ballot_box_clear_msg', 'You have cleared the ballot box log.');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '9', 'ballot_box_closed_text', 'The Vote Is Closed');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '10', 'ballot_box_config', 'Configure Ballot Box');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '11', 'ballot_box_config_add_item', 'Input an option you wish to give your voters.');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '12', 'ballot_box_config_text', 'Input the issue on which you would like to create a vote.');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '13', 'ballot_box_config_title', 'Input the ballot title you wish to display to your voters.');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '14', 'ballot_box_default_results', 'There are currently no ballot results logged on this terminal.');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '15', 'ballot_box_edit', 'Edit Ballot');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '16', 'ballot_box_edit_text', 'Edit Issue');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '17', 'ballot_box_edit_title', 'Edit Title');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '18', 'ballot_box_must_stop', 'You must stop the current vote before you can execute this action.');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '19', 'ballot_box_open_text', 'The Vote Is Open');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '20', 'ballot_box_public', 'Make Results Public');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '21', 'ballot_box_public_confirm', 'The voting results will be available to all participants.');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '22', 'ballot_box_remove_option', 'Remove Option');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '23', 'ballot_box_remove_option_text', 'Please select the option that you would like to remove.');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '24', 'ballot_box_results_title', 'Ballot Box Results Log');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '25', 'ballot_box_sample_one', 'Sample option one');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '26', 'ballot_box_sample_text', 'Sample ballot text.');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '27', 'ballot_box_sample_title', 'Sample Ballot Title');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '28', 'ballot_box_sample_two', 'Sample option two');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '29', 'ballot_box_secret', 'Make Results Secret');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '30', 'ballot_box_secret_confirm', 'The voting results will only be available to you.');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '31', 'ballot_box_start_msg', 'Voting may now begin.');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '32', 'ballot_box_start_vote', 'Start  Vote');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '33', 'ballot_box_stop_msg', 'The voting period has ended and all votes have been tallied.');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '34', 'ballot_box_stop_vote', 'End Vote');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '35', 'ballot_box_view_ballot', 'View Ballot');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '36', 'ballot_box_view_results', 'View Result Log');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '37', 'ballot_box_vote', 'Vote');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '38', 'ballot_box_vote_logged', 'Your vote has been logged.');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '39', 'ballot_item_too_large', 'Please limit the size of your selection items to 64 characters.');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '40', 'ballot_items_too_many', 'Please limit the amout of your ballot items to 16.');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '41', 'ballot_text_too_large', 'Please limit the text for you ballot to 128 characters.');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '42', 'ballot_title_too_large', 'Please limit the size of your ballot title to 32 characters');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '43', 'bank_credits', 'Deposit / Withdraw');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '44', 'bank_depositall', 'Deposit All Credits');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '45', 'bank_items', 'Safety Deposit');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '46', 'bank_join', 'Join Bank');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '47', 'bank_quit', 'Quit Bank');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '48', 'bank_withdrawall', 'Withdraw All Credits');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '49', 'blue', 'Blue');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '50', 'color_frame', 'Set Frame Color');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '51', 'color_lens', 'Set Lens Color');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '52', 'create_vehicle', 'Generate Ship');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '53', 'editable_message', 'Edit Message');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '54', 'editable_option', 'Edit');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '55', 'editable_reset', 'Reset');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '56', 'editable_text', 'Edit Text');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '57', 'editable_text_update', 'Input the text with which you would like to be displayed as the message.');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '58', 'editable_title', 'Edit Title');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '59', 'editable_title_update', 'Input the text that you would like to be displayed as the title.');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '60', 'grave_stone_title', 'Gravestone');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '61', 'green', 'Green');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '62', 'greeting_card_title', 'Greet Card');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '63', 'harvest_bone', 'Harvest Bone');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '64', 'harvest_corpse', 'Harvest Resources');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '65', 'harvest_dna', 'Sample DNA');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '66', 'harvest_hide', 'Harvest Hide');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '67', 'harvest_meat', 'Harvest Meat');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '68', 'heal_apply_disease', 'Apply Disease');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '69', 'heal_apply_poison', 'Apply Poison');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '70', 'heal_damage', 'Heal Damage');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '71', 'heal_enhance', 'Enhance Attribute');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '72', 'heal_enhance_action', 'Enhance Action');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '73', 'heal_enhance_constitution', 'Enhance Constitution');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '74', 'heal_enhance_health', 'Enhance Health');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '75', 'heal_enhance_quickness', 'Enhance Quickness');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '76', 'heal_enhance_stamina', 'Enhance Stamina');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '77', 'heal_enhance_strength', 'Enhance Strength');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '78', 'heal_firstaid', 'Apply First Aid');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '79', 'heal_state', 'Heal State');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '80', 'heal_state_blinded', 'Heal Blinded State');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '81', 'heal_state_dizzy', 'Heal Dizzy State');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '82', 'heal_state_intimidated', 'Heal Intimidated State');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '83', 'heal_state_stunned', 'Heal Stunned State');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '84', 'heal_wound', 'Heal Wound');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '85', 'heal_wound_action', 'Heal Action Wound');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '86', 'heal_wound_constitution', 'Heal Constitution Wound');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '87', 'heal_wound_health', 'Heal Health Wound');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '88', 'heal_wound_quickness', 'Heal Quickness Wound');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '89', 'heal_wound_stamina', 'Heal Stamina Wound');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '90', 'heal_wound_strength', 'Heal Strength Wound');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '91', 'loot_all', 'Loot All');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '92', 'magic_eight_ball_title', 'Eyes of Mesra');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '93', 'mic_activation', 'Turn On');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '94', 'mic_activation_msg', 'The microphone is active and transmitting a signal.');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '95', 'mic_deactivation', 'Turn Off');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '96', 'mic_deactivation_msg', 'The microphone is no longer active.');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '97', 'mic_speaker_signal', 'Microphone signal received.');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '98', 'mnu_bank', 'Bank Menu');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '99', 'mnu_bazaar', 'Bazaar Menu');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '100', 'mnu_clone', 'Clone');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '101', 'mnu_combine', 'Combine');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '102', 'mnu_extract', 'Extract');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '103', 'mnu_insure', 'Insurance Menu');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '104', 'mnu_insure_all', 'Insure All');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '105', 'mnu_mission', 'Mission Menu');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '106', 'mnu_redeem', 'Transmit Factional Data');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '107', 'mnu_shipping', 'Shipping Menu');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '108', 'mnu_travel', 'Travel Menu');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '109', 'orange', 'Orange');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '110', 'order_damage_medicine', 'Order Damage Medicine');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '111', 'order_food', 'Order Food');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '112', 'order_item', 'Request Item');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '113', 'order_medicine', 'Order Medicine');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '114', 'order_wound_medicine', 'Order Wound Medicine');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '115', 'purple', 'Purple');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '116', 'read_option', 'Read');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '117', 'red', 'Red');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '118', 'remove_schematic', 'Remove Schematic');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '119', 'rename_ship', 'Rename Ship');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '120', 'rename_ship_reserved', 'That name is unacceptable.');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '121', 'rename_ship_text', 'What would you like to name your ship?  (Limit: 20 characters)');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '122', 'repair', 'Repair');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '123', 'repairable_objects', 'Repair');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '124', 'sample_editable_text', 'Sample text.');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '125', 'sample_editable_title', 'Sample Title');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '126', 'select_repair', 'Select the item to repair from the list below.  The more complex the item, the higher the chances the item will be damaged in the repair process.');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '127', 'set_color', 'Set Color');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '128', 'set_marriage_name', 'Set Name');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '129', 'set_name_prompt', 'Please enter the new name you would like for this object.');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '130', 'set_name_title', 'Name The Object');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '131', 'set_texture', 'Set Texture');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '132', 'set_unity_name_title', 'Set Name Verification');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '133', 'set_unity_verify', 'You are about to permanently imprint your last name upon this ring.');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '134', 'ship_list', 'Purchase Chassis');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '135', 'sit', 'Sit');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '136', 'speaker_activate', 'Activate Speaker');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '137', 'speaker_activate_msg', 'The speaker is now ready to receive a signal from a microphone.');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '138', 'speaker_deactivate', 'Deactivate Speaker');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '139', 'speaker_deactivate_msg', 'The speaker has been deactivated.');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '140', 'survey_class', 'Set Resource Class');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '141', 'survey_range', 'Set Range');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '142', 'survey_resolution', 'Set Resolution');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '143', 'swg', 'Star Wars Galaxies');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '144', 'teach', 'Teach');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '145', 'time_piece', 'Time Piece');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '146', 'time_piece_get_time', 'Get Time');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '147', 'time_piece_msg', 'The current planet time is: ');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '148', 'time_piece_set_alarm', 'Set Alarm');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '149', 'tool_options', 'Tool Options');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '150', 'unseat', 'Stand Up');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '151', 'use', 'Use');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '152', 'use_item_self', 'Use Item on Self');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '153', 'use_item_target', 'Use Item on Target');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '154', 'use_schematic', 'Use Schematic');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '155', 'white', 'White');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '156', 'yellow', 'Yellow');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '157', 'pack_ship', 'Deed Ship');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '158', 'color_ship_one', 'Color Ship: Primary');
INSERT INTO `client_strings` VALUES ('string/en/sui.stf', '159', 'color_ship_two', 'Color Ship: Secondary');
INSERT INTO `client_strings` VALUES ('string/en/survey.stf', '1', 'wrong_tool', '%TO resources cannot be located with this tool.');
INSERT INTO `client_strings` VALUES ('string/en/survey.stf', '2', 'tool_recharge_time', 'You will be able to sample again in %DI seconds.');
INSERT INTO `client_strings` VALUES ('string/en/survey.stf', '3', 'sample_failed', 'You failed to locate a sample of %TO.');
INSERT INTO `client_strings` VALUES ('string/en/survey.stf', '4', 'sample_located', 'You successfully locate a %DI unit sample of %TO.');
INSERT INTO `client_strings` VALUES ('string/en/survey.stf', '5', 'select_class', 'Select the desired resource class.');
INSERT INTO `client_strings` VALUES ('string/en/survey.stf', '6', 'select_range', 'Select the desired range to resolution ratio.');
INSERT INTO `client_strings` VALUES ('string/en/survey.stf', '7', 'efficiency_too_low', '%TO\'s resource density is too low to locate a sample here.');
INSERT INTO `client_strings` VALUES ('string/en/survey.stf', '8', 'density_below_threshold', 'Locating a viable sample of %TO here seems a bit beyond your skill.');
INSERT INTO `client_strings` VALUES ('string/en/survey.stf', '9', 'trace_amount', 'You are only able to locate trace amounts of %TO.');
INSERT INTO `client_strings` VALUES ('string/en/survey.stf', '10', 'start_sampling', 'You begin to sample for %TO.');
INSERT INTO `client_strings` VALUES ('string/en/survey.stf', '11', 'start_survey', 'You begin to survey for %TO.');
INSERT INTO `client_strings` VALUES ('string/en/survey.stf', '12', 'survey_waypoint', 'A waypoint to the highest detected concentration of the resource has been activated.');
INSERT INTO `client_strings` VALUES ('string/en/survey.stf', '13', 'sample_cancel', 'You stop taking resource samples.');
INSERT INTO `client_strings` VALUES ('string/en/survey.stf', '14', 'survey_sample', 'You can\'t take a survey while you are collecting samples.');
INSERT INTO `client_strings` VALUES ('string/en/survey.stf', '15', 'sample_survey', 'You can\'t take resource samples while you are surveying.');
INSERT INTO `client_strings` VALUES ('string/en/survey.stf', '16', 'sample_select_type', 'Select the type of resource you wish to sample.');
INSERT INTO `client_strings` VALUES ('string/en/survey.stf', '17', 'sample_gone', 'Sampling process aborted because the sampling tool is no longer in your inventory.');
INSERT INTO `client_strings` VALUES ('string/en/survey.stf', '18', 'sample_cancel_attack', 'You can\'t take samples while under attack!');
INSERT INTO `client_strings` VALUES ('string/en/survey.stf', '19', 'no_inv_space', 'You don\'t have enough inventory space to carry the samples you found.');
INSERT INTO `client_strings` VALUES ('string/en/survey.stf', '20', 'sample_empty', 'You are unable to find any more samples in the immediate area.');
INSERT INTO `client_strings` VALUES ('string/en/survey.stf', '21', 'critical_success', 'You successfully recover a particularly rich sample!');
INSERT INTO `client_strings` VALUES ('string/en/survey.stf', '22', 'cnode_t', 'Survey Event');
INSERT INTO `client_strings` VALUES ('string/en/survey.stf', '23', 'cnode_d', 'As you work, your survey device beeps and chatters.  You look down to find that it has discovered a nearby node of concentrated resources.');
INSERT INTO `client_strings` VALUES ('string/en/survey.stf', '24', 'cnode_1', 'Ignore the survey device and continue working.');
INSERT INTO `client_strings` VALUES ('string/en/survey.stf', '25', 'cnode_2', 'Focus the device on the concentration.');
INSERT INTO `client_strings` VALUES ('string/en/survey.stf', '26', 'node_waypoint', 'A waypoint to the concentration has been added to your datapad.');
INSERT INTO `client_strings` VALUES ('string/en/survey.stf', '27', 'node_not_close', 'You weren\'t close enough to the concentration to recover it.');
INSERT INTO `client_strings` VALUES ('string/en/survey.stf', '28', 'node_recovery', 'You successfully recover a particularly rich concentration of resource!');
INSERT INTO `client_strings` VALUES ('string/en/survey.stf', '29', 'gnode_t', 'Survey Event');
INSERT INTO `client_strings` VALUES ('string/en/survey.stf', '30', 'gnode_d', 'It appears you have found a previously undetected concentration of resource.  An initial inspection indicates the cache is of high quality, but it looks like it may be difficult to get to.');
INSERT INTO `client_strings` VALUES ('string/en/survey.stf', '31', 'gnode_1', 'Ignore the concentration and continue working.');
INSERT INTO `client_strings` VALUES ('string/en/survey.stf', '32', 'gnode_2', 'Attempt to recover the resources. (300 Action)');
INSERT INTO `client_strings` VALUES ('string/en/survey.stf', '33', 'gamble_no_action', 'You don\'t have enough action points to recover the concentration.');
INSERT INTO `client_strings` VALUES ('string/en/survey.stf', '34', 'gamble_success', 'You successfully recover the concentration of resources!');
INSERT INTO `client_strings` VALUES ('string/en/survey.stf', '35', 'gamble_fail', 'You weren\'t able to recover the full concentration of resources.');
INSERT INTO `client_strings` VALUES ('string/en/survey.stf', '36', 'must_have_harvester', 'You are unable to gather energy resources with a survey tool, and will need to place a generator here to take advantage of any available at this location.');
INSERT INTO `client_strings` VALUES ('string/en/survey.stf', '37', 'radioactive_sample_t', 'Confirm Radioactive Sample');
INSERT INTO `client_strings` VALUES ('string/en/survey.stf', '38', 'radioactive_sample_d', 'Sampling a radioactive mineral will result in harmful effects. Are you sure you wish to continue?');
INSERT INTO `client_strings` VALUES ('string/en/survey.stf', '39', 'radioactive_sample_known', 'You have chosen to override safety measures and may now sample ');
INSERT INTO `client_strings` VALUES ('string/en/survey.stf', '40', 'radioactive_sample_unknown', 'You have chosen to override safety measures and may now sample the chosen radioactive.');
INSERT INTO `client_strings` VALUES ('string/en/system_msg.stf', '1', 'equip_shield_fail', 'You may not equip more than one personal shield.');
INSERT INTO `client_strings` VALUES ('string/en/system_msg.stf', '2', 'equip_armor_fail', 'You are not healthy enough to wear this armor!');
INSERT INTO `client_strings` VALUES ('string/en/system_msg.stf', '3', 'cant_open_output_hopper', 'The station\'s output hopper may not be opened while a prototype object is being created. Please wait.');
INSERT INTO `client_strings` VALUES ('string/en/system_msg.stf', '4', 'prototype_done', 'Your prototype object is finished.');
INSERT INTO `client_strings` VALUES ('string/en/system_msg.stf', '5', 'crafting_tool_in_use', 'The crafting tool is being used by another player.');
INSERT INTO `client_strings` VALUES ('string/en/system_msg.stf', '6', 'crafting_tool_creating_prototype', 'The crafting tool is creating a prototype object. It may not be used until the prototype has been completed.');
INSERT INTO `client_strings` VALUES ('string/en/system_msg.stf', '7', 'member_of_different_bank', 'You cannot join this bank while you are already a member of a different bank.');
INSERT INTO `client_strings` VALUES ('string/en/system_msg.stf', '8', 'succesfully_joined_bank', 'You have joined the bank');
INSERT INTO `client_strings` VALUES ('string/en/system_msg.stf', '9', 'bank_not_empty', 'You cannot quit the bank while you still have items in it.');
INSERT INTO `client_strings` VALUES ('string/en/system_msg.stf', '10', 'succesfully_quit_bank', 'You have quit the bank');
INSERT INTO `client_strings` VALUES ('string/en/system_msg.stf', '11', 'item_not_equippable', 'Item not equippable');
INSERT INTO `client_strings` VALUES ('string/en/system_msg.stf', '12', 'out_of_range', 'You are out of range');
INSERT INTO `client_strings` VALUES ('string/en/system_msg.stf', '13', 'sit', 'You sit.');
INSERT INTO `client_strings` VALUES ('string/en/system_msg.stf', '14', 'prototype_transferred', 'A prototype object is finished being created and has been placed in your inventory.');
INSERT INTO `client_strings` VALUES ('string/en/system_msg.stf', '15', 'prototype_not_transferred', 'A prototype object is finished being created, but cannot be placed in your inventory, probably because it is too big.');
INSERT INTO `client_strings` VALUES ('string/en/system_msg.stf', '16', 'manf_done', 'Your manufacturing station, %TT, has stopped making items. %DI items were made.');
INSERT INTO `client_strings` VALUES ('string/en/system_msg.stf', '19', 'already_member_of_bank', 'You are already a member of this bank.');
INSERT INTO `client_strings` VALUES ('string/en/system_msg.stf', '20', 'manf_done_sub', 'Manufacturing station finished');
INSERT INTO `client_strings` VALUES ('string/en/system_msg.stf', '21', 'crafting_tool_full', 'The crafting tool has a prototype or manufacturing schematic in its output hopper. You need to make room in your inventory or datapad and remove the item before you can use the tool again.');
INSERT INTO `client_strings` VALUES ('string/en/system_msg.stf', '22', 'no_valid_schematics', 'You don\'t have any draft schematics that can be used with this tool.');
INSERT INTO `client_strings` VALUES ('string/en/system_msg.stf', '23', 'stats_too_high', 'Your maximum attribute values are too high! They have been lowered to fit the limits defined by your character race.');
INSERT INTO `client_strings` VALUES ('string/en/system_msg.stf', '24', 'stats_too_low', 'Your maximum attribute values are too low! They have been raised to fit the limits defined by your character race.');
INSERT INTO `client_strings` VALUES ('string/en/system_msg.stf', '25', 'stats_error', 'Attributes error');
INSERT INTO `client_strings` VALUES ('string/en/system_msg.stf', '26', 'manf_no_power', 'Your manufacturing station, %TT, has run out of power.');
INSERT INTO `client_strings` VALUES ('string/en/system_msg.stf', '27', 'no_power', 'Out of power');
INSERT INTO `client_strings` VALUES ('string/en/system_msg.stf', '28', 'report_invalid_name', 'No chat logs were found concerning %TT in the last %DI minutes. Make sure the harassing player\'s name you specified is correct.');
INSERT INTO `client_strings` VALUES ('string/en/system_msg.stf', '29', 'report_no_name', 'You must enter the name of the person you are reporting for harassment. Ex. /report <name>');
INSERT INTO `client_strings` VALUES ('string/en/system_msg.stf', '30', 'report_success', 'Your harassment report has successfully been reported concerning %TT.');
INSERT INTO `client_strings` VALUES ('string/en/system_msg.stf', '31', 'manf_no_component', 'Your manufacturing station, %TT, has run out of component %TO.');
INSERT INTO `client_strings` VALUES ('string/en/system_msg.stf', '32', 'manf_no_named_resource', 'Your manufacturing station, %TT, has run out of resource %TO.');
INSERT INTO `client_strings` VALUES ('string/en/system_msg.stf', '33', 'manf_no_unknown_resource', 'Your manufacturing station, %TT, has run out of a resource.');
INSERT INTO `client_strings` VALUES ('string/en/system_msg.stf', '34', 'no_ingredients', 'Out of ingredients');
INSERT INTO `client_strings` VALUES ('string/en/system_msg.stf', '35', 'report_wait', 'You must wait %DI seconds before sending another harassment report.');
INSERT INTO `client_strings` VALUES ('string/en/system_msg.stf', '36', 'migration_too_high', 'Your stat migration goals are too high! They have been lowered to fit the limits defined by your character race.');
INSERT INTO `client_strings` VALUES ('string/en/system_msg.stf', '37', 'migration_too_low', 'Your stat migration goals are too low! They have been lowered to fit the limits defined by your character race.');
INSERT INTO `client_strings` VALUES ('string/en/system_msg.stf', '38', 'manf_error', 'Internal Manufacturing Error');
INSERT INTO `client_strings` VALUES ('string/en/system_msg.stf', '39', 'manf_error_1', 'No schematic for station, please file a bug report.');
INSERT INTO `client_strings` VALUES ('string/en/system_msg.stf', '40', 'manf_error_2', 'Manufacturing station has an invalid item count, please file a bug report.');
INSERT INTO `client_strings` VALUES ('string/en/system_msg.stf', '41', 'manf_error_3', 'No schematic found when trying to create an object, please file a bug report.');
INSERT INTO `client_strings` VALUES ('string/en/system_msg.stf', '42', 'manf_error_4', 'Manufacturing station found schematic with a count of <= 0 when trying to create an object, please file a bug report.');
INSERT INTO `client_strings` VALUES ('string/en/system_msg.stf', '43', 'manf_error_5', 'Can\'t find input hopper for manufacturing station when trying to create an object, please file a bug report.');
INSERT INTO `client_strings` VALUES ('string/en/system_msg.stf', '44', 'manf_error_6', 'Can\'t find output hopper for manufacturing station when trying to create an object, please file a bug report.');
INSERT INTO `client_strings` VALUES ('string/en/system_msg.stf', '45', 'manf_error_7', 'Manufacturing station unable to create crate to store objects in, please file a bug report.');
INSERT INTO `client_strings` VALUES ('string/en/system_msg.stf', '46', 'manf_error_8', 'Error creating object for manufacturing station, please file a bug report.');
INSERT INTO `client_strings` VALUES ('string/en/system_msg.stf', '47', 'manf_error_9', 'Error transferring new object to output hopper of manufacturing station, please file a bug report.');
INSERT INTO `client_strings` VALUES ('string/en/system_msg.stf', '48', 'lost_component', 'Your component %TT was lost due to your inventory being full.');
INSERT INTO `client_strings` VALUES ('string/en/system_msg.stf', '49', 'give_item_success', 'An item was given to you and placed in your inventory.');
INSERT INTO `client_strings` VALUES ('string/en/system_msg.stf', '50', 'give_item_failure', 'You were unable to receive an item because your inventory was full.');
INSERT INTO `client_strings` VALUES ('string/en/system_msg.stf', '51', 'schematic_granted', 'You have been given a new Draft Schematic.');
INSERT INTO `client_strings` VALUES ('string/en/system_msg.stf', '52', 'cant_delete_crafting_factory', 'You may not destroy a factory crate that is being used during a crafting session.');
INSERT INTO `client_strings` VALUES ('string/en/system_msg.stf', '53', 'cant_split_crate', 'Your crate is too old to split. You can only split shiny new crates!');
INSERT INTO `client_strings` VALUES ('string/en/system_msg.stf', '54', 'equip_armor_fail_prose', 'You need %DI more %TT to wear this armor.');
INSERT INTO `client_strings` VALUES ('string/en/system_msg.stf', '55', 'gift_granted', 'Check your inventory for a special gift.  Happy Holidays and may The Force be with you!');
INSERT INTO `client_strings` VALUES ('string/en/system_msg.stf', '56', 'gift_granted_sub', 'Happy Holidays');
INSERT INTO `client_strings` VALUES ('string/en/system_msg.stf', '57', 'manf_schematic_unuseable', 'The schematic %TT is no longer used by the game and should be removed from your inventory.');
INSERT INTO `client_strings` VALUES ('string/en/system_msg.stf', '58', 'crate_unuseable', 'The crate %TT contains items no longer used by the game and should be removed from your inventory.');
INSERT INTO `client_strings` VALUES ('string/en/system_msg.stf', '59', 'manf_schematic_error', 'Schematic Error');
INSERT INTO `client_strings` VALUES ('string/en/system_msg.stf', '60', 'manf_schematic_generic_component', 'The schematic %TT is unusable, due to being made with a generic component.');
INSERT INTO `client_strings` VALUES ('string/en/system_msg.stf', '61', 'inventory_full', 'Your inventory is full');
INSERT INTO `client_strings` VALUES ('string/en/system_msg.stf', '62', 'move_fail_inventory_overloaded', 'You cannot move because your inventory is overloaded.');
INSERT INTO `client_strings` VALUES ('string/en/system_msg.stf', '63', 'new_datapad_device', 'A new device has been placed in your datapad.');
INSERT INTO `client_strings` VALUES ('string/en/system_msg.stf', '64', 'manf_output_hopper_full', 'Your manufacturing station, %TT, has stopped making items because the output hopper is full.');
INSERT INTO `client_strings` VALUES ('string/en/talmont.stf', '1', 'tal1', 'I am the Prefect, Eugene Talmont.  I have a mission for you, but I must know where your loyalties lie first.  Tell me why I should trust you...\n');
INSERT INTO `client_strings` VALUES ('string/en/talmont.stf', '2', 'tal2', 'I am loyal to the Empire.\n');
INSERT INTO `client_strings` VALUES ('string/en/talmont.stf', '3', 'tal3', 'Why should I trust you?\n');
INSERT INTO `client_strings` VALUES ('string/en/talmont.stf', '4', 'tal4', 'Very good.  We shall see about that soon enough.  Your first task will be to round up a group of thieves.  This planet is full of them.  Can you handle that?\n');
INSERT INTO `client_strings` VALUES ('string/en/talmont.stf', '5', 'tal5', 'Exactly the sort of insolence I would expect from someone on this planet.  Be gone with you.  And don\'t return until you\'ve learned some manners!\n');
INSERT INTO `client_strings` VALUES ('string/en/talmont.stf', '6', 'tal6', 'I think so.\n');
INSERT INTO `client_strings` VALUES ('string/en/talmont.stf', '7', 'tal7', 'I\'m not sure.\n');
INSERT INTO `client_strings` VALUES ('string/en/talmont.stf', '8', 'tal8', 'Excellent.  These thieves have a hideout at <location>.  There are three of them.  I want them dead or alive.  Now get moving!\n');
INSERT INTO `client_strings` VALUES ('string/en/talmont.stf', '9', 'tal9', 'Well, if you\'re not up to the task perhaps you should return when you feel a bit more comfortable with your abilities.\n');
INSERT INTO `client_strings` VALUES ('string/en/talmont.stf', '10', 'tal10', 'So, you\'ve decided to return, eh?  Have you learned a little bit about respect?\n');
INSERT INTO `client_strings` VALUES ('string/en/talmont.stf', '11', 'tal11', 'Yes sir.\n');
INSERT INTO `client_strings` VALUES ('string/en/talmont.stf', '12', 'tal12', 'Respect?  You?  You must be joking.\n');
INSERT INTO `client_strings` VALUES ('string/en/talmont.stf', '13', 'tal13', 'Good.  Very good.  Think you can you handle a group of thieves on your own?\n');
INSERT INTO `client_strings` VALUES ('string/en/talmont.stf', '14', 'tal14', 'Enough of your attitude.  Leave at once!\n');
INSERT INTO `client_strings` VALUES ('string/en/talmont.stf', '15', 'tal15', 'Back again?  I hope this time you\'re not wasting my time.\n');
INSERT INTO `client_strings` VALUES ('string/en/talmont.stf', '16', 'tal16', 'Sorry.  I\'m ready to work for you.\n');
INSERT INTO `client_strings` VALUES ('string/en/talmont.stf', '17', 'tal17', 'You\'re in charge of a desert.  How could I possibly be wasting YOUR time?\n');
INSERT INTO `client_strings` VALUES ('string/en/talmont.stf', '18', 'tal18', 'Get out!\n');
INSERT INTO `client_strings` VALUES ('string/en/talmont.stf', '19', 'tal19', 'There\'s no shame in crawling back here.  Are you ready for your assignment?\n');
INSERT INTO `client_strings` VALUES ('string/en/talmont.stf', '20', 'tal20', 'Yes, I am.\n');
INSERT INTO `client_strings` VALUES ('string/en/talmont.stf', '21', 'tal21', 'The only shame would be actually taking orders from someone like you.\n');
INSERT INTO `client_strings` VALUES ('string/en/talmont.stf', '22', 'tal22', 'You will suffer for this outrage!  Out of my office!\n');
INSERT INTO `client_strings` VALUES ('string/en/talmont.stf', '23', 'tal23', 'I hope we won\'t have any more performances like the previous ones?\n');
INSERT INTO `client_strings` VALUES ('string/en/talmont.stf', '24', 'tal24', 'No sir.  I\'m ready to work.\n');
INSERT INTO `client_strings` VALUES ('string/en/talmont.stf', '25', 'tal25', 'I\'m too busy to talk to you.\n');
INSERT INTO `client_strings` VALUES ('string/en/talmont.stf', '26', 'tal26', 'Feeling better about yourself?\n');
INSERT INTO `client_strings` VALUES ('string/en/talmont.stf', '27', 'tal27', 'Yes.\n');
INSERT INTO `client_strings` VALUES ('string/en/talmont.stf', '28', 'tal28', 'No.\n');
INSERT INTO `client_strings` VALUES ('string/en/talmont.stf', '29', 'tal29', 'Now that you\'ve proven yourself I\'m going to level with you.  My superior officers on this planet are a bunch of scum.\n');
INSERT INTO `client_strings` VALUES ('string/en/talmont.stf', '30', 'tal30', 'What do you mean?\n');
INSERT INTO `client_strings` VALUES ('string/en/talmont.stf', '31', 'tal31', 'What do you expect on Tatooine?\n');
INSERT INTO `client_strings` VALUES ('string/en/talmont.stf', '32', 'tal32', 'They\'re low-life criminals, the lot of them!  They take bribes.  They gamble.  Some of them might as well work for that Jabba the Hutt!\n');
INSERT INTO `client_strings` VALUES ('string/en/talmont.stf', '33', 'tal33', 'I expect more from an Imperial Officer!  They\'re a bunch of criminals, in league with the Hutt, Jabba.\n');
INSERT INTO `client_strings` VALUES ('string/en/talmont.stf', '34', 'tal34', 'What shall I do?\n');
INSERT INTO `client_strings` VALUES ('string/en/talmont.stf', '35', 'tal35', 'I want you to infiltrate Jabba\'s organization.  Find Jabba\'s ledger books.  Bring me the evidence I need to bring them all down!\n');
INSERT INTO `client_strings` VALUES ('string/en/talmont.stf', '36', 'tal36', 'How should I do that?\n');
INSERT INTO `client_strings` VALUES ('string/en/talmont.stf', '37', 'tal37', 'I\'m going to give you a new identity.  Papers that will make you appear to be a criminal.  Like one of them.  I have such things at my disposal.\n');
INSERT INTO `client_strings` VALUES ('string/en/talmont.stf', '38', 'tal38', 'And then what?\n');
INSERT INTO `client_strings` VALUES ('string/en/talmont.stf', '39', 'tal39', 'Do whatever they tell you.  Accept any job they\'ll give you, no matter how illegal it may be.  After a while, you\'ll earn their trust.  Then you can find those ledgers!\n');
INSERT INTO `client_strings` VALUES ('string/en/talmont.stf', '40', 'tal40', 'Won\'t they kill me if they find out what I\'m up to?\n');
INSERT INTO `client_strings` VALUES ('string/en/talmont.stf', '41', 'tal41', 'You\'ll have to be careful   But your new identity will be perfect.  Go to Jabba\'s palace and talk to the TT8-L droid, and he\'ll get you started.  You and I are going to clean up this waste of a planet!\n');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '1', 'nashal', 'Nashal');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '2', 'dearic', 'Dearic');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '3', 'forest', 'Talus');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '4', 'forest_1', 'Talus');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '5', 'forest_2', 'Talus');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '6', 'forest_3', 'Talus');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '7', 'forest_4', 'Talus');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '8', 'forest_5', 'Talus');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '9', 'mountains', 'Talus');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '10', 'mountains_1', 'Talus');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '11', 'mountains_2', 'Talus');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '12', 'mountains_3', 'Talus');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '13', 'mountains_4', 'Talus');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '14', 'mountains_5', 'Talus');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '15', 'mountains_6', 'Talus');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '16', 'mountains_7', 'Talus');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '17', 'mountains_8', 'Talus');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '18', 'swamp', 'Talus');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '19', 'grasslands', 'Talus');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '20', 'grasslands_1', 'Talus');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '21', 'grasslands_2', 'Talus');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '22', 'grasslands_3', 'Talus');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '23', 'grasslands_4', 'Talus');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '24', 'grasslands_5', 'Talus');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '25', 'river', 'Talus');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '26', 'prairie', 'Talus');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '27', 'prairie_1', 'Talus');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '28', 'world_spawner', 'Talus');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '29', 'dearic_easy_newbie', 'Talus');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '30', 'dearic_medium_newbie', 'Talus');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '31', 'nashal_easy_newbie', 'Talus');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '32', 'nashal_medium_newbie', 'Talus');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '33', 'northeast_forest', 'Talus');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '34', 'northwest_forest', 'Talus');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '35', 'southwest_forest', 'Talus');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '36', 'northern_forest', 'Talus');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '37', 'western_mountains', 'Talus');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '38', 'northern_mountains', 'Talus');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '39', 'eastern_mountains', 'Talus');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '40', 'southern_coast', 'Talus');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '41', 'eastern_plains', 'Talus');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '42', 'central_plains', 'Talus');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '43', 'western_plains', 'Talus');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '44', 'hard_dalyrake_ne', 'Talus');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '45', 'medium_wolf_kima_ne', 'Talus');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '46', 'hard_guf_drolg_ne', 'Talus');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '47', 'hard_grand_wrix_se', 'Talus');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '48', 'hard_aakuan_se', 'Talus');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '49', 'hard_guf_drolg_se', 'Talus');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '50', 'hard_dalyrake_sw', 'Talus');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '51', 'hard_selonian_sw', 'Talus');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '52', 'medium_sludge_panther_sw', 'Talus');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '53', 'medium_devil_gulginaw_nw', 'Talus');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '54', 'hard_grand_wrix_nw', 'Talus');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '55', 'medium_wolf_kima_nw', 'Talus');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '56', 'yitsarin_river_canyon_1', 'Yi\'Tsarin River Canyon');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '57', 'yitsarin_river_canyon_2', 'Yi\'Tsarin River Canyon');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '58', 'yitsarin_river_canyon_3', 'Yi\'Tsarin River Canyon');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '59', 'yitsarin_river_canyon_4', 'Yi\'Tsarin River Canyon');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '60', 'yitsarin_river_canyon_5', 'Yi\'Tsarin River Canyon');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '61', 'yitsarin_river_canyon_6', 'Yi\'Tsarin River Canyon');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '62', 'yitsarin_river_canyon_7', 'Yi\'Tsarin River Canyon');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '63', 'yitsarin_river_canyon_8', 'Yi\'Tsarin River Canyon');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '64', 'skyspear_forest', 'Skyspear Forest');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '65', 'ageyn_foothills', 'Ageyn Foothills');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '66', 'mudflats_1', 'Mudflats');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '67', 'mudflats_2', 'Mudflats');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '68', 'lake_bondoma', 'Lake Bondoma');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '69', 'derik_hur_highlands_1', 'Derik\'hur Highlands');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '70', 'derik_hur_highlands_2', 'Derik\'hur Highlands');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '71', 'derik_hur_highlands_3', 'Derik\'hur Highlands');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '72', 'shadowbrak_ridge', 'Shadowbrak Ridge');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '73', 'talus_imperial_outpost', 'Imperial Military Outpost');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '74', 'tendin_vale', 'Tendin Vale');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '75', 'azaki_plains_1', 'Azaki Plains');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '76', 'azaki_plains_2', 'Azaki Plains');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '77', 'azaki_plains_3', 'Azaki Plains');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '78', 'south_crimson_flats_1', 'South Crimson Flats');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '79', 'south_crimson_flats_2', 'South Crimson Flats');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '80', 'south_crimson_flats_3', 'South Crimson Flats');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '81', 'north_crimson_flats_1', 'North Crimson Flats');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '82', 'north_crimson_flats_2', 'North Crimson Flats');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '83', 'north_crimson_flats_3', 'North Crimson Flats');
INSERT INTO `client_strings` VALUES ('string/en/talus_region_names.stf', '84', 'an_imperial_outpost', 'an imperial outpost');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '1', 'greeting_1', 'Good day.  And what can I help you with?');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '2', 'player_1', 'I\'d like to ask you about the cities on Tatooine.');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '3', 'player_2', 'Is there anything that you need done?');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '4', 'player_3', 'What can you tell me about certain people?');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '5', 'player_13', 'Can you give me directions?');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '6', 'cities_1', 'Which city are you interested in?');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '7', 'player_4', 'I\'m curious about Mos Eisley...');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '8', 'player_5', 'Do you know about Mos Espa?');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '9', 'player_6', 'Anchorhead is the city I want to ask about.');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '10', 'player_7', 'What do you know about Bestine?');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '11', 'player_12', 'Can I ask some more questions?');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '12', 'people_1', 'Who do you want to know about?');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '13', 'player_8', 'Do you know Jabba the Hutt?');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '14', 'player_9', 'Who is prefect Talmont?');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '15', 'player_10', 'Have you heard of Dera Darklighter?');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '16', 'player_11', 'What do you know about the tusken raiders?');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '17', 'mission_1', 'As soon as I know how to hand out missions I\'ll give you one.');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '18', 'mos_eisley_1', 'Ah, Mos Eisley is a wretched hive of scum and villainy.  Nice cantinas though.');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '19', 'mos_espa_1', 'They used to hold the pod races there, until they were outlawed.');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '20', 'anchorhead_1', 'There\'s not much to say really.  Tosche station is there, but not much else.');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '21', 'bestine_1', 'The imperial capital of Tatooine.  It\'s a nice city, of course, but strict with it\'s laws.');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '22', 'jabba_1', 'Jabba might as well own Tatooine.  He\'s a dangerous criminal, and not to be trusted.');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '23', 'talmont_1', 'Ah, the prefect.  He\'s nominally in charge of things here on Tatooine, at least from an Imperial end.  But I hear he\'s quite incompetent.');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '24', 'dera_1', 'The lovely daughter, and heir to the Darklighter fortune.  Some say she has sympathy for the rebellion.');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '25', 'tuskens_1', 'Not much to say really.  Savage creatures.  Monsters.  Like evil bears.  Watch out for them.');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '26', 'sure_1', 'Sure.  What else would you like to ask about?');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '27', 'where_1', 'Where would you like directions to?');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '28', 'player_14', 'Can you tell me how to get to any of the cities?');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '29', 'player_15', 'I need to get to a specific place.');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '30', 'player_16', 'I need to see someone...');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '31', 'find_city_1', 'Which city do you need help finding?');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '32', 'directions_eisley', 'Mos Eisley.');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '33', 'directions_espa', 'Mos Espa.');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '34', 'directions_bestine', 'Bestine.');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '35', 'directions_anchorhead', 'Anchorhead.');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '36', 'find_bldg_1', 'Where is it you\'re trying to get to?');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '37', 'bank', 'I need to get to the bank.');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '38', 'cantina', 'I\'m looking for the Cantina');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '39', 'cloning_facility', 'I\'m trying to find an insurance agent, if you know what I mean.');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '40', 'trainer', 'I need to get to a trainer.');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '41', 'starport', 'I\'m trying to find a starport.');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '42', 'find_person_1', 'Who do you need to see?');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '43', 'find_jabba', 'I need to meet with Jabba the Hutt.');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '44', 'find_talmont', 'I want to meet with prefect Talmont.');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '45', 'find_dera', 'I\'d like to meet Ms. Dera Darklighter.');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '46', 'find_trainer', 'I\'m looking for someone who can train me.');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '47', 'add_to_radar', 'Let me add those directions to your datapad.');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '48', 'bank_city', 'I see, and which bank were you interested in?');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '49', 'bank_eisley', 'The bank in Mos Eisley.');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '50', 'bank_espa', 'Is there a bank in Mos Espa?');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '51', 'bank_bestine', 'The imperial bank in Bestine.');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '52', 'bank_anchorhead', 'The one in anchorhead, thank you.');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '53', 'cantina_city', 'Which cantina were you trying to find?');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '54', 'cantina_eisley', 'Thought I\'d try my luck at the Lucky Despot in Mos Eisley.');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '55', 'cantina_espa', 'Just the one in Mos Espa.');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '56', 'cantina_bestine', 'The cantina in Bestine, please.');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '57', 'cantina_anchorhead', 'The Anchorhead cantina.');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '58', 'trainer_eisley', 'A Mos Eisley Trainer.');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '59', 'trainer_espa', 'A trainer in Mos Espa.');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '60', 'trainer_bestine', 'I need a trainer in Bestine.');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '61', 'trainer_anchorhead', 'The trainer in Anchorhead.');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '62', 'starport_eisley', 'The Mos Eisley Starport');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '63', 'starport_espa', 'The Mos Espa Starport');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '64', 'starport_bestine', 'The Bestine Starport.');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '65', 'starport_anchorhead', 'The Anchorhead Starport.');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '66', 'cloning_facility_eisley', 'Is there an insurance agency in Mos Eisley?');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '67', 'cloning_facility_espa', 'Mos Espa\'s insurance agency.');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '68', 'cloning_facility_bestine', 'The Insurance Agent in Bestine.');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '69', 'cloning_facility_anchorhead', 'The Anchorhead Insurance Agency, please.');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '70', 'trainers_1', 'What kind of training do you need?');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '71', 'combat_trainer', 'I need someone to teach me about fighting.');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '72', 'combat_trainer_eisley', 'A combat trainer.');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '73', 'crafting_trainer_eisley', 'A crafting trainer.');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '74', 'university_trainer_eisley', 'Someone at the University.');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '75', 'combat_trainer_espa', 'A combat instructor.');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '76', 'crafting_trainer_espa', 'To teach me how to craft.');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '77', 'university_trainer_espa', 'A university instructor.');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '78', 'university_trainer_bestine', 'A professor from the University.');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '79', 'crafting_trainer_bestine', 'Someone who knows crafting.');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '80', 'combat_trainer_bestine', 'A fighting instructor.');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '81', 'combat_trainer_anchorhead', 'A combat trainer, please.');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '82', 'crafting_trainer_anchorhead', 'I need to learn more crafting.');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '83', 'university_trainer_anchorhead', 'A teacher at the University.');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '84', 'which_trainer', 'What kind of trainer do you need?');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_convo.stf', '85', 'trainer_city', 'In what city do you need a trainer?');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '2', 'two_fortresses', 'Two Fortresses ');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '3', 'wayfar', 'Wayfar');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '4', 'bestine', 'Bestine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '5', 'anchorhead', 'Anchorhead');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '6', 'eastern_dune_sea', 'Eastern Dune Sea');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '7', 'eastern_oasis', 'Eastern Oasis');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '8', 'fort_tusken', 'Fort Tusken');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '9', 'jabbas_palace', 'Jabba\'s Palace');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '10', 'mos_eisley', 'Mos Eisley');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '11', 'mos_entha', 'Mos Entha');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '12', 'mos_espa', 'Mos Espa');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '13', 'mos_teike', 'Mos Taike');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '14', 'northeastern_oasis', 'Northeastern Oasis');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '15', 'plateau', 'Tatooine Plateau');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '16', 'southern_oasis', 'Southern Oasis');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '17', 'western_dune_sea_1', 'Western Dune Sea');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '18', 'western_oasis', 'Western Oasis');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '19', 'desert', 'Desert');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '20', 'canyon_maze', 'Canyon Maze');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '21', 'jawa_mountain_fortress', 'Jawa Mountain Fortress');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '22', 'jundland_waste_1', 'Jundland Wastes');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '23', 'mospic_high_range_1', 'Mospic High Range');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '24', 'grand_arena', 'Grand Arena Flats');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '25', 'jundland_waste_2', 'Jundland Wastes');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '26', 'mospic_high_range_2', 'Mospic High Range');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '27', 'mospic_high_range_3', 'Mospic High Range');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '28', 'mospic_high_range_4', 'Mospic High Range');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '29', 'mospic_high_range_5', 'Mospic High Range');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '30', 'mospic_high_range_6', 'Mospic High Range');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '31', 'western_dune_sea_2', 'Western Dune Sea');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '32', 'western_dune_sea_3', 'Western Dune Sea');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '33', 'northeastern_desert', 'Northeastern Desert');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '34', 'central_mountains', 'Central Mountains');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '35', 'southeastern_mountains', 'Southeastern Mountains');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '36', 'northwestern_mountains', 'Northwestern Mountains');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '37', 'jundland_wastes', 'Jundland Wastes');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '38', 'southern_reach', 'Southern Reach');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '39', 'lowland_basin', 'Lowland Basin');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '40', 'eastern_peaks', 'Eastern Peaks');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '41', 'southwestern_desert', 'Southwestern Desert');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '42', 'jundland_wastes_1', 'Jundland Wastes');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '43', 'jundland_wastes_2', 'Jundland Wastes');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '44', 'valley_of_the_wind', 'Valley of the Wind');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '45', 'lowland_basin_1', 'Lowland Basin');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '46', 'arch_mesa', 'Arch Mesa');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '47', 'grand_arena_flats_1', 'Grand Arena Flats');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '48', 'grand_arena_flats_2', 'Grand Arena Flats');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '49', 'darklighter_estate', 'Darklighter Estate');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '50', 'fort_tusken_1', 'Fort Tusken');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '51', 'mushroom_mesa', 'Mushroom Mesa');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '52', 'mesric_plateau_1', 'Mesric Plateau');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '53', 'mesric_plateau_2', 'Mesric Plateau');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '54', 'mesric_plateau_3', 'Mesric Plateau');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '55', 'mesric_plateau_4', 'Mesric Plateau');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '56', 'eastern_oasis_1', 'Oasis East');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '57', 'oasis_northeast', 'Oasis Northeast');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '58', 'imperial_oasis', 'Imperial Oasis');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '59', 'oasis_south', 'Oasis South');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '60', 'krayt_graveyard', 'Krayt Graveyard');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '61', 'w_dune_sea_1', 'Western Dune Sea');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '62', 'w_dune_sea_2', 'Western Dune Sea');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '63', 'west_dune_sea_3', 'Western Dune Sea');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '64', 'e_dune_sea_1', 'Eastern Dune Sea');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '65', 'e_dune_sea_2', 'Eastern Dune Sea');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '66', 'e_dune_sea_3', 'Eastern Dune Sea');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '67', 'e_dune_sea_4', 'Eastern Dune Sea');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '68', 'tusken_march', 'Tusken March');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '69', 'southern_reach_1', 'Southern Reach');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '70', 'world_spawner', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '71', 'northern_wasteland', 'Northern Wasteland');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '72', 'medium_slavers_se', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '73', 'easy_militia_se', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '74', 'easy_villiages_se', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '75', 'easy_villages_se', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '76', 'medium_scyks_se', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '77', 'easy_criminals_se', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '78', 'medium_swoopers_se', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '79', 'medium_criminals_se', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '80', 'hard_criminals_se', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '81', 'hard_valarian_se', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '82', 'medium_kitonaks_se', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '83', 'easy_bugland_ne', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '84', 'hard_bugland_ne', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '85', 'medium_weequay_ne', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '86', 'hard_alkhara_ne', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '87', 'easy_villiages_ne', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '88', 'easy_villages_ne', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '89', 'medium_valarian_ne', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '90', 'hard_krayt_ne', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '91', 'medium_slavers_ne', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '92', 'easy_villiages_nw', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '93', 'easy_villages_nw', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '94', 'medium_swoopers_nw', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '95', 'medium_kitonaks_nw', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '96', 'medium_giant_worrt_nw', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '97', 'hard_jawa_nw', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '98', 'hard_tusken_nw', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '99', 'medium_jawa_nw', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '100', 'easy_swoopers_nw', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '101', 'medium_rodians_nw', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '102', 'medium_scyks_sw', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '103', 'medium_slavers_sw', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '104', 'medium_tusken_sw', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '105', 'medium_jabba_thug_sw', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '106', 'medium_jabba_thug_2_sw', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '107', 'hard_jabba_thug_sw', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '108', 'easy_pirate_sw', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '109', 'easy_villiages_sw', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '110', 'easy_villages_sw', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '111', 'easy_villiages_2_sw', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '112', 'easy_villages_2_sw', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '113', 'easy_desert_demons_sw', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '114', 'medium_squill_sw', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '115', 'hard_dune_sea', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '116', 'mos_entha_medium_newbie', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '117', 'mos_entha_easy_newbie', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '118', 'mos_taike_easy_newbie', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '119', 'mos_taike_medium_newbie', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '120', 'bestine_medium_newbie', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '121', 'bestine_easy_newbie', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '122', 'anchorhead_easy_newbie', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '123', 'anchorhead_medium_newbie', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '124', 'wayfar_easy_newbie', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '125', 'wayfar_medium_newbie', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '126', 'mos_eisley_easy_newbie', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '127', 'mos_eisley_medium_newbie', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '128', 'mos_espa_medium_newbie', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '129', 'mos_espa_easy_newbie', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '130', 'jabba_lowbie_zone', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '131', 'broken_ruins', 'Broken Ruins');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '132', 'hung_skeleton', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '133', 'bowling_rocks', 'Bowling Rocks');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '134', 'ancient_skeleton', 'Ancient Skeleton');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '135', 'crashed_lifepod', 'Crashed Escape Pod');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '136', 'sand_swept_tanks', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '137', 'krayt_skeleton', 'Krayt Skeleton');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '138', 'hovel_in_the_hill', 'Hovel');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '139', 'burning_bone_altar', 'Burning Bone Altar');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '140', 'krayt_buried_alive', 'Buried Krayt');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '141', 'destroyed_wall', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '142', 'camp_on_tower', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '143', 'radar_dish', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '144', 'storage_tent', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '145', 'ore_harvesters', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '146', 'ship_debris', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '147', 'stone_teepee', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '148', 'wind_harvest_complex', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '149', 'ruins_of_old_building', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '150', 'strange_brick', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '151', 'hidden_x_wing', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '152', 'broken_water_tanks', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '153', 'long_bone_spine', 'Long Spine Bones');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '154', 'large_rock_with_camp', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '155', 'bridge_and_ruins', 'Bridge Ruins');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '156', 'small_camp', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '157', 'maze', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '158', 'wind_harvest_unit', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '159', 'broken_building_with_ruins', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '160', 'trifecta_of_stones', 'Stone Trifecta');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '161', 'small_camp_1', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '162', 'life_pod_and_debris', 'Escape Pod Debris');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '163', 'elegent_tent', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '164', 'stone_druid_circle', 'Stone Circle');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '165', 'stone_monument', 'Stone Monument');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '166', 'junk_heap', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '167', 'photo_bio_camp', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '168', 'camp_with_two_tents', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '169', 'krayt_remains', 'Krayt Remains');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '170', 'gas_harvest_bank', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '171', 'listening_post', 'Listening Post');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '172', 'ruins', 'Ruins');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '173', 'sand_crawler_debris', 'Sand Crawler Debris');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '174', 'small_grave_marker', 'Small Grave');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '175', 'pile_o_rocks', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '176', 'single_platform_messed_up_walls', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '177', 'pillars_connected_at_top', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '178', 'huge_cliff_fortress', 'Cliff Fortress');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '179', 'destroyed_aircraft_hanger', 'Destroyed Hangar');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '180', 'single_platform_with_messed_up_pillars', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '181', 'single_platform', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '182', 'two_grand_archways', 'Double Archway');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '183', 'two_desert_housings', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '184', 'single_desert_household_with_courtyard', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '185', 'single_grand_archway', 'Lonely Arch');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '186', 'destroyed_platform', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '187', 'small_stone_hutt', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '188', 'ruins_on_a_wall', 'Ruins');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '189', 'strange_arches_lined_up', 'Arch Procession');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '190', 'krayt_skeleton_on_a_hill', 'Krayt Skeleton');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '191', 'three_short_archways_lined_up_in_a_row', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '192', 'long_destroyed_wall', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '193', 'single_platform_with_two_arches_on_top', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '194', 'single_platform_with_one_tall_archway', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '195', 'cave_southwest', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '196', 'cave_west', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '197', 'escape_pod', 'Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '198', 'krayt_skeleton_1', 'Krayt Skeleton');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '199', 'lars_homestead', 'Lars Homestead');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '200', 'sarlacc_pit', 'Sarlacc Pit');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '201', 'cave_central', 'Central Cave');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '202', 'jabba_palace', 'Jabba\'s Palace');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '203', 'jawa_mountain_fortress_1', 'Jawa Mountain Fortress');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '204', 'imperial_oasis_1', 'Imperial Oasis');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '205', 'darklighter_estate_1', 'Darklighter Estate');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '206', 'krayt_graveyard_1', 'Krayt Graveyard');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '207', 'mesric_plateau_5', 'Mesric Plateau');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '208', 'benzin_plateau_1', 'Benzin Plateau');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '209', 'benzin_plateau_2', 'Benzin Plateau');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '210', 'benzin_plateau_3', 'Benzin Plateau');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '211', 'benzin_plateau_4', 'Benzin Plateau');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '212', 'mospic_highlands_1', 'Mospic High Range');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '213', 'mospic_highlands_2', 'Mospic High Range');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '214', 'mospic_highlands_3', 'Mospic High Range');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '215', 'mos_taike', 'Mos Taike');
INSERT INTO `client_strings` VALUES ('string/en/tatooine_region_names.stf', '216', 'w_dune_sea_3', 'Western Dune Sea');
INSERT INTO `client_strings` VALUES ('string/en/teaching.stf', '1', 'student_too_far', 'Your student must be nearby in order to teach.');
INSERT INTO `client_strings` VALUES ('string/en/teaching.stf', '2', 'student_too_far_target', 'You are too far away from %TT to teach.');
INSERT INTO `client_strings` VALUES ('string/en/teaching.stf', '3', 'student_has_offer_to_learn', '%TT already has an offer to learn.');
INSERT INTO `client_strings` VALUES ('string/en/teaching.stf', '4', 'offer_given', 'You offer to teach %TT %TO.');
INSERT INTO `client_strings` VALUES ('string/en/teaching.stf', '5', 'teacher_too_far', 'Your teacher must be nearby in order to learn.');
INSERT INTO `client_strings` VALUES ('string/en/teaching.stf', '6', 'teacher_too_far_target', 'You are too far away from %TT to learn.');
INSERT INTO `client_strings` VALUES ('string/en/teaching.stf', '7', 'offer_refused', '%TT has refused your offer to teach.');
INSERT INTO `client_strings` VALUES ('string/en/teaching.stf', '8', 'teacher_skill_learned', '%TT learns %TO from you.');
INSERT INTO `client_strings` VALUES ('string/en/teaching.stf', '9', 'student_skill_learned', 'You learn %TO from %TT.');
INSERT INTO `client_strings` VALUES ('string/en/teaching.stf', '10', 'experience_received', 'You have received %DI Apprenticeship experience.');
INSERT INTO `client_strings` VALUES ('string/en/teaching.stf', '11', 'learning_failed', 'Learning failed.');
INSERT INTO `client_strings` VALUES ('string/en/teaching.stf', '12', 'teaching_failed', 'Teaching failed.');
INSERT INTO `client_strings` VALUES ('string/en/teaching.stf', '13', 'no_target', 'Whom do you want to teach?');
INSERT INTO `client_strings` VALUES ('string/en/teaching.stf', '14', 'no_teach_self', 'You cannot teach yourself.');
INSERT INTO `client_strings` VALUES ('string/en/teaching.stf', '15', 'student_dead', '%TT does not feel like being taught right now.');
INSERT INTO `client_strings` VALUES ('string/en/teaching.stf', '16', 'no_skills', 'You have no skills to teach.');
INSERT INTO `client_strings` VALUES ('string/en/teaching.stf', '17', 'no_skills_for_student', 'You have no skills that  %TT can currently learn.\"');
INSERT INTO `client_strings` VALUES ('string/en/teaching.stf', '18', 'not_in_same_group', 'You must be within the same group as %TT in order to teach.');
INSERT INTO `client_strings` VALUES ('string/en/temp_schematic.stf', '1', 'prose_temp_grant', 'You have been granted a temporary schematic for creation of %TO.');
INSERT INTO `client_strings` VALUES ('string/en/temp_schematic.stf', '2', 'prose_temp_revoke', 'The temporary schematic for creation of %TO has been revoked.');
INSERT INTO `client_strings` VALUES ('string/en/temp_schematic.stf', '3', 'prose_uses_decremented', 'Your temporary schematic (%TO) use count has been decremented.');
INSERT INTO `client_strings` VALUES ('string/en/temp_schematic.stf', '4', 'prose_uses_left', 'Uses left for temporary schematic (%TO): %DI.');
INSERT INTO `client_strings` VALUES ('string/en/temp_schematic.stf', '5', 'prose_schematic_expired', 'All available uses for temporary schematic (%TO) have been expired.');
INSERT INTO `client_strings` VALUES ('string/en/teraskasi.stf', '1', 'med_begin', 'You begin to meditate.');
INSERT INTO `client_strings` VALUES ('string/en/teraskasi.stf', '2', 'med_end', 'You stop meditating.');
INSERT INTO `client_strings` VALUES ('string/en/teraskasi.stf', '3', 'med_fail', 'You cannot meditate in your current condition.');
INSERT INTO `client_strings` VALUES ('string/en/teraskasi.stf', '4', 'prose_curewound', '[meditation] Your %TO wounds heal by %DI points.');
INSERT INTO `client_strings` VALUES ('string/en/teraskasi.stf', '5', 'powerboost_begin', '[meditation] You focus your mental energies into your physical form.');
INSERT INTO `client_strings` VALUES ('string/en/teraskasi.stf', '6', 'powerboost_wane', '[meditation] You feel the effects of your mental focus begin to wane.');
INSERT INTO `client_strings` VALUES ('string/en/teraskasi.stf', '7', 'powerboost_end', '[meditation] You feel the effects of mental focus come to an end.');
INSERT INTO `client_strings` VALUES ('string/en/teraskasi.stf', '8', 'forceofwill', 'Via supreme fortitude, you return from the brink of unconsciousness.');
INSERT INTO `client_strings` VALUES ('string/en/teraskasi.stf', '9', 'forceofwill_fail', 'You must be incapacitated to perform that command.');
INSERT INTO `client_strings` VALUES ('string/en/teraskasi.stf', '10', 'forceofwill_unsuccessful', 'You are unable to keep yourself centered, and become lost in unconsciousness.');
INSERT INTO `client_strings` VALUES ('string/en/teraskasi.stf', '11', 'powerboost_fail', 'You must be meditating to perform that command.');
INSERT INTO `client_strings` VALUES ('string/en/teraskasi.stf', '12', 'powerboost_active', '[meditation] You are unable to channel your energies any further.');
INSERT INTO `client_strings` VALUES ('string/en/teraskasi.stf', '13', 'powerboost_mind', '[meditation] You currently lack the mental capacity to focus your energies.');
INSERT INTO `client_strings` VALUES ('string/en/teraskasi.stf', '14', 'forceofwill_lost', 'You have already expired your opportunity for forced recapacitation.');
INSERT INTO `client_strings` VALUES ('string/en/teraskasi.stf', '15', 'forceofwill_unavailable', 'Force of Will is unavailable for %TO');
INSERT INTO `client_strings` VALUES ('string/en/teraskasi.stf', '16', 'forceofwill_crit_fail', 'You strain to bring yourself back to consciousness.');
INSERT INTO `client_strings` VALUES ('string/en/teraskasi.stf', '17', 'forceofwill_marginal', 'A strong sense of fatigue overcomes you as you return to consciousness.');
INSERT INTO `client_strings` VALUES ('string/en/teraskasi.stf', '18', 'forceofwill_normal', 'You recapacitate with a marginal groginess.');
INSERT INTO `client_strings` VALUES ('string/en/teraskasi.stf', '19', 'forceofwill_exceptional', 'Through precise focus and concentration, you recapacitate with nominal side effects.');
INSERT INTO `client_strings` VALUES ('string/en/terminal_detail.stf', '1', 'base_terminal', 'Base Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_detail.stf', '2', 'door_security_terminal', 'Door Security Panel');
INSERT INTO `client_strings` VALUES ('string/en/terminal_detail.stf', '3', 'keypad', 'A pushbutton keypad for entering security codes.');
INSERT INTO `client_strings` VALUES ('string/en/terminal_detail.stf', '4', 'terminal_ballot_box', 'Ballot Box Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_detail.stf', '5', 'terminal_bank', 'Banking Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_detail.stf', '6', 'terminal_bazaar', 'Bazaar Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_detail.stf', '7', 'terminal_bestine_01', 'A terminal used to store personal, or business-related, documents and information.');
INSERT INTO `client_strings` VALUES ('string/en/terminal_detail.stf', '8', 'terminal_bestine_02', 'A terminal used to store personal, or business-related, documents and information.');
INSERT INTO `client_strings` VALUES ('string/en/terminal_detail.stf', '9', 'terminal_bestine_03', 'A tiny flicker of life can still be seen in this terminal regardless of its condition. Desert sand covers its interface which slightly glows despite its dirty surface. Perhaps some sort of history can be found within its database...');
INSERT INTO `client_strings` VALUES ('string/en/terminal_detail.stf', '10', 'terminal_bounty_droid', 'Bounty Hunter Droid Vendor');
INSERT INTO `client_strings` VALUES ('string/en/terminal_detail.stf', '11', 'terminal_character_builder', 'A testing terminal provided to test out various new systems and potential implementations of new content.  Please be aware terminal configuration can change without notice based on what is currently being tested and there may be stages of testing where we do not desire for all configurations to be available.');
INSERT INTO `client_strings` VALUES ('string/en/terminal_detail.stf', '12', 'terminal_cloning', 'Cloning Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_detail.stf', '13', 'terminal_dark_enclave_challenge', 'A terminal used to challenge for right to move to a higher rank');
INSERT INTO `client_strings` VALUES ('string/en/terminal_detail.stf', '14', 'terminal_dark_enclave_voting', 'A terminal used to vote on various decisions within the council');
INSERT INTO `client_strings` VALUES ('string/en/terminal_detail.stf', '15', 'terminal_elevator', 'Elevator Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_detail.stf', '16', 'terminal_food', 'Food Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_detail.stf', '17', 'terminal_free_s1', 'This is a terminal.  It could be used for many functions.');
INSERT INTO `client_strings` VALUES ('string/en/terminal_detail.stf', '18', 'terminal_gas_valve', 'Gas Valve Shutoff');
INSERT INTO `client_strings` VALUES ('string/en/terminal_detail.stf', '19', 'terminal_general_switch', 'Electronic Switch Box');
INSERT INTO `client_strings` VALUES ('string/en/terminal_detail.stf', '20', 'terminal_geo_bunker', 'Keypad Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_detail.stf', '21', 'terminal_guild', 'Guild Management Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_detail.stf', '22', 'terminal_hq_imperial', 'Imperial HQ Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_detail.stf', '23', 'terminal_hq_rebel', 'Rebel HQ Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_detail.stf', '24', 'terminal_imagedesign', 'This Image Design Terminal is used to speed up design sessions. Its effects can be felt anywhere within the salon automatically. No manual adjustments to the terminal are necessary.');
INSERT INTO `client_strings` VALUES ('string/en/terminal_detail.stf', '25', 'terminal_insurance', 'Insurance Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_detail.stf', '26', 'terminal_light_enclave_voting', 'A terminal used to vote on various decisions within the council');
INSERT INTO `client_strings` VALUES ('string/en/terminal_detail.stf', '27', 'terminal_medicine', 'Medical Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_detail.stf', '28', 'terminal_mission', 'Mission Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_detail.stf', '29', 'terminal_mission_artisan', 'Artisan Mission Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_detail.stf', '30', 'terminal_mission_bounty', 'Bounty Hunter Mission Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_detail.stf', '31', 'terminal_mission_entertainer', 'Entertainer Mission Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_detail.stf', '32', 'terminal_mission_imperial', 'Imperial Mission Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_detail.stf', '33', 'terminal_mission_rebel', 'Rebellion Mission Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_detail.stf', '34', 'terminal_mission_scout', 'Explorer Mission Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_detail.stf', '35', 'terminal_player_structure', 'The Structure Management Terminal allows the owner of the structure to set permissions for various levels of access to the house, in addition to allowing other basic house-keeping duties.');
INSERT INTO `client_strings` VALUES ('string/en/terminal_detail.stf', '36', 'terminal_pm_register', 'Planetary Map Activation Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_detail.stf', '37', 'terminal_power_switch', 'Power Switch');
INSERT INTO `client_strings` VALUES ('string/en/terminal_detail.stf', '38', 'terminal_resource', 'Resource Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_detail.stf', '39', 'terminal_shipping', 'Shipping Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_detail.stf', '40', 'terminal_space', 'Use this starship terminal to launch your ship. The starship terminal also allows pilots to access ships parked at this starport facility. Pilots can direct the configuration of starship components using this terminal. Droids will quickly reconfigure a pilot\'s ship while it remains in the hangar.');
INSERT INTO `client_strings` VALUES ('string/en/terminal_detail.stf', '41', 'terminal_travel', 'Ticket Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_detail.stf', '42', 'terminal_water_pressure', 'This terminal controls the flow of water into the one of the large pipes in the middle of the room.');
INSERT INTO `client_strings` VALUES ('string/en/terminal_detail.stf', '43', 'terminal_wound', 'Wound Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_detail.stf', '44', 'terminal_xp', 'Experience Dispenser');
INSERT INTO `client_strings` VALUES ('string/en/terminal_detail.stf', '45', 'vendor_terminal', 'Vendor Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_detail.stf', '46', 'terminal_light_enclave_challenge', 'A terminal used to managed no-confidence challenge votes.');
INSERT INTO `client_strings` VALUES ('string/en/terminal_lookat.stf', '1', 'base_terminal', 'Base Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_lookat.stf', '2', 'terminal_cloning', 'Cloning Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_lookat.stf', '3', 'terminal_mission', 'Mission Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_lookat.stf', '4', 'terminal_bank', 'Banking Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_lookat.stf', '5', 'terminal_bazaar', 'Bazaar Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_lookat.stf', '6', 'terminal_travel', 'Ticket Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_lookat.stf', '7', 'terminal_shipping', 'Shipping Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_lookat.stf', '8', 'terminal_insurance', 'Insurance Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_lookat.stf', '9', 'terminal_mission_bounty', 'Bounty Hunter Mission Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_lookat.stf', '10', 'terminal_mission_imperial', 'Imperial Mission Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_lookat.stf', '11', 'terminal_mission_rebel', 'Rebellion Mission Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_lookat.stf', '12', 'terminal_bounty_droid', 'Bounty Hunter Droid Vendor');
INSERT INTO `client_strings` VALUES ('string/en/terminal_lookat.stf', '13', 'terminal_ballot_box', 'Ballot Box Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_lookat.stf', '14', 'terminal_guild', 'Guild Management Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_lookat.stf', '15', 'terminal_mission_artisan', 'Artisan Mission Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_lookat.stf', '16', 'terminal_mission_entertainer', 'Entertainer Mission Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_lookat.stf', '17', 'terminal_mission_scout', 'Explorer Mission Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_lookat.stf', '18', 'terminal_elevator', 'Elevator Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_lookat.stf', '19', 'terminal_power_switch', 'Power Switch');
INSERT INTO `client_strings` VALUES ('string/en/terminal_lookat.stf', '20', 'terminal_general_switch', 'Electric Switch Box');
INSERT INTO `client_strings` VALUES ('string/en/terminal_lookat.stf', '21', 'terminal_gas_valve', 'Gas Valve Shutoff');
INSERT INTO `client_strings` VALUES ('string/en/terminal_lookat.stf', '22', 'terminal_geo_bunker', 'Keypad Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_lookat.stf', '23', 'nightsister_trap_crystal', 'Nightsister crystal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_lookat.stf', '24', 'terminal_bestine_01', 'Business Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_lookat.stf', '25', 'terminal_bestine_02', 'Business Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_lookat.stf', '26', 'terminal_bestine_03', 'Damaged Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_lookat.stf', '27', 'terminal_hq_turret_control', 'Turret Control Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_lookat.stf', '28', 'terminal_water_pressure', 'Water Pressure Valve Control');
INSERT INTO `client_strings` VALUES ('string/en/terminal_lookat.stf', '29', 'terminal_character_builder', 'Character Builder Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_lookat.stf', '30', 'terminal_space', 'Starship Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_name.stf', '1', 'base_terminal', 'Base Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_name.stf', '2', 'beta_terminal_food', 'BETA - Food Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_name.stf', '3', 'beta_terminal_medicine', 'BETA - Medicine Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_name.stf', '4', 'beta_terminal_money', 'BETA - Money Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_name.stf', '5', 'terminal_light_enclave_challenge', 'Challenge Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_name.stf', '6', 'donham_terminal', 'Items-To-Test-Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_name.stf', '7', 'door_security_terminal', 'Door Security Panel');
INSERT INTO `client_strings` VALUES ('string/en/terminal_name.stf', '8', 'keypad', 'Security Keypad ');
INSERT INTO `client_strings` VALUES ('string/en/terminal_name.stf', '9', 'newbie_clothing_dispenser', 'Clothing Dispenser');
INSERT INTO `client_strings` VALUES ('string/en/terminal_name.stf', '10', 'newbie_food_dispenser', 'Food Dispenser');
INSERT INTO `client_strings` VALUES ('string/en/terminal_name.stf', '11', 'newbie_instrument_dispenser', 'Instrument Dispenser');
INSERT INTO `client_strings` VALUES ('string/en/terminal_name.stf', '12', 'newbie_medicine_dispenser', 'Medicine Dispenser');
INSERT INTO `client_strings` VALUES ('string/en/terminal_name.stf', '13', 'newbie_tool_dispenser', 'Tool Dispenser');
INSERT INTO `client_strings` VALUES ('string/en/terminal_name.stf', '14', 'nightsister_trap_crystal', 'Nightsister crystal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_name.stf', '15', 'terminal_ballot_box', 'Ballot Box Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_name.stf', '16', 'terminal_bank', 'Banking Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_name.stf', '17', 'terminal_bazaar', 'Bazaar Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_name.stf', '18', 'terminal_bestine_01', 'Business Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_name.stf', '19', 'terminal_bestine_02', 'Business Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_name.stf', '20', 'terminal_bestine_03', 'Damaged Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_name.stf', '21', 'terminal_bounty_droid', 'Bounty Hunter Droid Vendor');
INSERT INTO `client_strings` VALUES ('string/en/terminal_name.stf', '22', 'terminal_character_builder', 'Character Builder Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_name.stf', '23', 'terminal_city', 'City Management Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_name.stf', '24', 'terminal_city_vote', 'City Voting Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_name.stf', '25', 'terminal_cloning', 'Cloning Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_name.stf', '26', 'terminal_dark_enclave_challenge', 'Dark Enclave Challenge Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_name.stf', '27', 'terminal_dark_enclave_voting', 'Dark Enclave Voting Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_name.stf', '28', 'terminal_elevator', 'An Elevator Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_name.stf', '29', 'terminal_free_s1', 'A Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_name.stf', '30', 'terminal_gas_valve', 'Gas Valve Shutoff');
INSERT INTO `client_strings` VALUES ('string/en/terminal_name.stf', '31', 'terminal_general_switch', 'Electronic Switch Box');
INSERT INTO `client_strings` VALUES ('string/en/terminal_name.stf', '32', 'terminal_geo_bunker', 'Keypad Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_name.stf', '33', 'terminal_guild', 'Guild Management Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_name.stf', '34', 'terminal_hq', 'HQ Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_name.stf', '35', 'terminal_hq_imperial', 'Imperial HQ Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_name.stf', '36', 'terminal_hq_rebel', 'Rebel HQ Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_name.stf', '37', 'terminal_hq_turret_control', 'Turret Control Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_name.stf', '38', 'terminal_imagedesign', 'Image Design Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_name.stf', '39', 'terminal_insurance', 'Insurance Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_name.stf', '40', 'terminal_light_enclave_voting', 'Light Enclave Voting Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_name.stf', '41', 'terminal_mission', 'Mission Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_name.stf', '42', 'terminal_mission_artisan', 'Artisan Mission Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_name.stf', '43', 'terminal_mission_bounty', 'Bounty Hunter Mission Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_name.stf', '44', 'terminal_mission_entertainer', 'Entertainer Mission Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_name.stf', '45', 'terminal_mission_imperial', 'Imperial Mission Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_name.stf', '46', 'terminal_mission_rebel', 'Rebellion Mission Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_name.stf', '47', 'terminal_mission_scout', 'Explorer Mission Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_name.stf', '48', 'terminal_player_structure', 'Structure Management Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_name.stf', '49', 'terminal_pm_register', 'Planetary Map Activation Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_name.stf', '50', 'terminal_power_switch', 'Power Switch');
INSERT INTO `client_strings` VALUES ('string/en/terminal_name.stf', '51', 'terminal_resource', 'BETA - Resource Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_name.stf', '52', 'terminal_shipping', 'Shipping Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_name.stf', '53', 'terminal_space', 'Starship Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_name.stf', '54', 'terminal_travel', 'Ticket Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_name.stf', '55', 'terminal_warp', 'Warp Terminal');
INSERT INTO `client_strings` VALUES ('string/en/terminal_name.stf', '56', 'terminal_water_pressure', 'Water Pressure Valve Control');
INSERT INTO `client_strings` VALUES ('string/en/terminal_name.stf', '57', 'terminal_xp', 'BETA - Experience Dispenser');
INSERT INTO `client_strings` VALUES ('string/en/terminal_ui.stf', '1', 'shipping_options', 'Shipping Options');
INSERT INTO `client_strings` VALUES ('string/en/terminal_ui.stf', '2', 'no_insurable_items', 'You do not have any items that can be insured.');
INSERT INTO `client_strings` VALUES ('string/en/terminal_ui.stf', '3', 'insure_all_t', 'Confirm Insure All');
INSERT INTO `client_strings` VALUES ('string/en/terminal_ui.stf', '4', 'insure_all_d_prefix', 'You are about to insure all your items. The total cost is ');
INSERT INTO `client_strings` VALUES ('string/en/terminal_ui.stf', '5', 'insure_all_d_suffix', ' credits.');
INSERT INTO `client_strings` VALUES ('string/en/terminal_ui.stf', '6', 'insure_all_confirm', 'Are you sure?');
INSERT INTO `client_strings` VALUES ('string/en/texture_kit.stf', '1', 'btn_texture', 'Change Texture');
INSERT INTO `client_strings` VALUES ('string/en/texture_kit.stf', '2', 'pick_a_ship_title', 'Select a Ship');
INSERT INTO `client_strings` VALUES ('string/en/texture_kit.stf', '3', 'pick_a_ship', 'Please select a ship to change the texture of.');
INSERT INTO `client_strings` VALUES ('string/en/texture_kit.stf', '4', 'changed_paint_job', 'Re-texturing completed.');
INSERT INTO `client_strings` VALUES ('string/en/texture_kit.stf', '5', 'imperial', 'This is an Imperial ship, and cannot be re-textured.');
INSERT INTO `client_strings` VALUES ('string/en/texture_kit.stf', '6', 'inspace', 'You cannot re-texture a ship while you are in space!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '1', 'coordinator_rebel_response', 'I have nothing to say to those who have dealings with rebel scum. I suggest you move along before you find yourself in a hail of blaster fire!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '2', 'm1_begin', 'A rebel agent stole some very important documents concerning the Dead Eye project. We would like to stop this information from falling into the wrong hands. Would you like to help?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '3', 'm1_begin_info1', 'Who is this agent?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '4', 'm1_begin_info1_response', 'Her codename is Skimmer. Her whereabouts are unknown. She joined the rebellion after both her father and brother were killed during earlier campaigns waged against the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '5', 'm1_begin_info2', 'What is the Dead Eye Project?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '6', 'm1_begin_info2_response', 'That information is need-to-know only and you don\'t need to know. Be assured that success of project Dead Eye is extremely important to the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '7', 'm1_begin_yes', 'I would like to help.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '8', 'm1_begin_yes_response', 'We have an informant that has intercepted a rebel communication outlining their next move. Speak with the informant and return to me. I have added a waypoint to your data pad.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '9', 'm1_begin_no', 'No thanks.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '10', 'm1_begin_no_response', 'Very well. If you change your mind, come back and we\'ll talk.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '11', 'm1_active', 'Have you spoken with the informant yet? This information is vital to the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '12', 'm1_active_working', 'I\'ll speak with the informant immediately.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '13', 'm1_active_working_response', 'Good. Carry on.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '14', 'm1_active_restart', 'Are you sure those coordinates were correct?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '15', 'm1_active_restart_response', 'It looks as though the informant has moved. Here, I\'ve updated his current location into your datapad.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '16', 'm1_active_abort', 'I don\'t have time for this right now.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '17', 'm1_active_abort_response', 'I\'m sorry to hear that. Perhaps we can find someone else for the job.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '18', 'm1_informant', 'So you\'re the one the coordinator sent to relay the message, huh? The Empire must be getting desperate!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '19', 'm1_informant_report', 'What have you learned?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '20', 'm1_informant_report_response', 'It seems the rebels are planning on slicing an Imperial Communications terminal in order to deliver a message to someone. I wasn\'t able to find out who the message was for though.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '21', 'm1_informant_reprimand', 'Words like that can land you in hot water.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '22', 'm1_informant_reprimand_response', 'Hey, I was just joking with you! I hold the empire in the highest esteem as everyone knows.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '23', 'm1_informant_invalid', 'I said, what are you looking at? If I wanted to chat, I would have baked up wastril bread and we\'d be having a tea party by now! I don\'t have any tea, so that\'s out of the question. Now get!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '24', 'm2_begin', 'We need to prevent that encoded message from being transmitted and retrieve it. Are you ready to get your hands dirty?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '25', 'm2_begin_info1', 'Get my hands dirty?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '26', 'm2_begin_info1_response', 'That\'s just an expression. Lethal force is authorized considering the sensitive nature of this case. You don\'t need to worry about any legal repercussions.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '27', 'm2_begin_yes', 'I\'ll do what is necessary.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '28', 'm2_begin_yes_response', 'Go to the slicer\'s location and recover the encoded message using any means. If you\'re not skilled in combat, bring some help. Return when you\'ve retrieved the encoded message.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '29', 'm2_begin_no', 'I\'m not so sure I\'m up to this.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '30', 'm2_begin_no_response', 'That\'s alright. This sort of work is not for everyone. Come on back if you change your mind though.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '31', 'm2_active', 'Back again? Don\'t tell me you\'re getting cold feet. We have to stop that slicer and intercept that message before he\'s able to transmit it.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '32', 'm2_active_working', 'I\'ll stop the slicer and get the encoded message.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '33', 'm2_active_working_response', 'That\'s the spirit. Now get moving!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '34', 'm2_active_restart', 'I was unable to locate the slicer.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '35', 'm2_active_restart_response', 'We received intelligence that the slicer was on the move after you had left. We have his new location and I\'ve updated the new location to your datapad.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '36', 'm2_active_abort', 'I can\'t do this right now.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '37', 'm2_active_abort_response', 'That\'s too bad. If you change your mind, please feel free to come back later.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '38', 'm1_informant_taunt', 'Just what are you looking at?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '39', 'm2_slicer_taunt', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '40', 'm3_begin', 'We need to get that encoded message to the commander. Would you be willing to make the delivery?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '41', 'm3_begin_yes', 'I will make the delivery.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '42', 'm3_begin_yes_response', 'Excellent! The commander is currently off world. I\'ve uploaded his location to your datapad. Deliver the encoded message to him at once.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '43', 'm3_begin_no', 'I don\'t have time for this right now.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '44', 'm3_begin_no_response', 'In that case, come back whenever your busy schedule allows.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '45', 'm3_active', 'You\'re still here? I\'ve already contacted the Commander so he\'s expecting you. He\'s not the type of man you want to keep waiting.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '46', 'm3_active_working', 'I\'m leaving on the next flight out.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '47', 'm3_active_working_response', 'Glad to hear it. I\'m sure he will be very pleased.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '48', 'm3_active_restart', 'I seem to have lost the Commander\'s location.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '49', 'm3_active_restart_response', 'These missions are not to be taken lightly! Please be more careful next time. Here, I\'ve uploaded the waypoint to your datapad once again.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '50', 'm3_active_abort', 'I need to do something else right now.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '51', 'm3_active_abort_response', 'How unfortunate. If you have time later on, please see me again. I hope the commander understands for both of our sakes.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '52', 'm3_finish', 'You\'ve done well and I commend you for your admirable service to the Empire. There is nothing more I need of you at this time.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '53', 'm4_finish_incomplete', 'Hello citizen, if you\'re looking to do some work for the Empire you should contact one of our Imperial Coordinators. Coordinators have been dispatched to Talus, Naboo, Tatooine, Corellia and Rori. I don\'t need anything from you right now but our coordinators could certainly use your help.\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '54', 'm5_begin_declared', 'Dr. Vacca has been working with Drall on project Dead Eye. We have been very tolerant so far. However, some of them have made statements against the Empire. We need a message sent.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '55', 'm5_begin_deadeye', 'What is project Dead Eye?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '56', 'm5_begin_deadeye_response', 'The details of project Dead Eye are none of your concern. Just know that the success of this project is of the utmost importance for the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '57', 'm5_begin_drall', 'What do the Drall have to do with this?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '58', 'm5_begin_drall_response', 'The Drall have great knowledge of pharmaceuticals. Vacca believes their assistance is invaluable, so we\'ve tolerated their presence. But open dissent is a threat to the project.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '59', 'm5_begin_vacca', 'Who is Dr. Vacca?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '60', 'm5_begin_vacca_response', 'Dr. Vacca is the lead of project Dead Eye. He is very valuable to us. He does have a bit of history though, so we have been keeping a very close eye on him.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '61', 'm5_begin_message', 'What is the message?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '62', 'm5_begin_message_response', 'Vacca needs to know what can happen if he chooses to cross the Empire. Killing a few of his Drall friends who have expressed open distain for the Empire should be message enough.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '63', 'm5_begin_yes', 'I\'ll complete your task.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '64', 'm5_begin_yes_response', 'Good. A group of Drall are on this planet collecting samples. Go to these coordinates and destroy every one you find there. Killing some of his Drall friends will let Vacca know what can happen should he cross the Empire. Be warned. These Drall are suspected of having Rebel support and attacking a Rebel base will leave you open to retaliation from other declared rebel forces for short time. Be on your guard.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '65', 'm5_begin_no', 'I\'m not up to this now.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '66', 'm5_begin_no_response', 'If you decide to change you mind come back and let me know. You just may earn yourself a medal for your distinguished service.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '67', 'm5_begin_undeclared', 'I\'m sorry, this mission is too sensitive to entrust to just anyone. If you decide to officially declare your faction affiliation with the Empire, come back and we\'ll talk.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '68', 'm5_active', 'You haven\'t done as I\'ve asked. You are to go to that encampment of anti-imperialist Drall and exterminate them. The waypoint is already in your datapad. Do not fail me.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '69', 'm5_active_working', 'I\'ll get right on it.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '70', 'm5_active_working_response', 'Good. Get out there and finish the job. Success in this mission will earn you the gratitude of the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '71', 'm5_active_restart', 'Are you sure this waypoint is correct?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '72', 'm5_active_restart_response', 'Hmm. It is possible that the data was faulty. I will upload the information to your datapad once again. Done. Now move out and finish the job.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '73', 'm5_active_abort', 'I can\'t do this right now.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '74', 'm5_active_abort_response', 'I usually do not tolerate failure. I will overlook it this time given your history of diligent service to the Empire. You are relieved of your obligation. Return if you change your mind.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '75', 'm5_finish', 'The Empire owes you deep gratitude. Rebel meddling has been prevented and Dead Eye will continue on schedule without dissention. There is nothing more we need from you at this time.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '76', 'commander_rebel_response', 'We know all about your dealings with those rebel terrorists. You\'re lucky I don\'t order your execution right now where you stand. Now get out of here!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '77', 'disk_title', 'Rebel Alliance Message');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '78', 'disk_text', 'Dr. Vacca, \n\nI am writing to you not only as a friend, but as a fellow citizen of Alderaan with a plea for your help. Years ago your research was used to enrich the lives of the people on our homeworld. Lives that were cut short by the treachery of an Emperor bent on total domination by any means necessary.\n\n\nIn opposition to the Emperor\'s rule is an Alliance of systems that seeks only to bring back the peace and harmony that governed our galaxy for thousands of years. We fight against the fear and disinformation that is used to oppress thousands of worlds\n\nIn this dire time, the Alliance needs your help. We have learned of your Dead Eye project and fear that if the Empire is able to implement it, more innocent civilians will perish. Alderaan has shown us that the Empire can not be trusted with any type of new military technology.\n\nNow is a time of decision. The Empire will undoubtedly try to scare you into compliance by threatening you or your friends. We offer an alternative. We offer a life free of guilt and the knowledge that you are working to right the wrongs that have plagued so many for so long. \n\nWe both lost friends, family and heritage when the Empire brutally and callously destroyed Alderaan, a world devoted only to peace. It is a crime that cannot be left unanswered. Decide with your heart and with your conscience to help us defeat those who took so much from us both.\n\nPlease help us, Dr. Vacca. Join with the Rebel Alliance before the decision is taken from you. We know you will make the correct choice and await your response.\n\nPrincess Leia Organa');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '79', 'm4_finish', 'You\'ve done well. I\'ll see to it that our cryptologists get to decoding this right away. If you are willing, there is one final task I\'d like completed.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/imperial_missions.stf', '80', 'm3_failed', 'Where\'s the disk? Did you leave it on the body? Unbelievable. Listen, Bantha brains, that disk is gone, but there may be another slicer you can intercept. Here\'s the waypoint. Try to remember to loot the body this time.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '1', 'coordinator_imperial_response', 'You seem to be more interested in helping the Empire. Why don\'t you come back when you\'ve come to your senses.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '2', 'm1_begin', 'I hope you\'re here to help. We\'re stretched thin looking for Skimmer.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '3', 'm1_begin_info1', 'What\'s going on?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '4', 'm1_begin_info1_response', 'We\'re trying to locate one of our operatives code named Skimmer and we have a lot of tips to follow up. It has to do with this Dead Eye project we\'ve been hearing about.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '5', 'm1_begin_yes', 'I\'d like to help.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '6', 'm1_begin_yes_response', 'Great! We think Skimmer may have recently contacted one of her close friends. Go to these coordinates and see of Skimmer has been in touch and report back here with any information you uncover.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '7', 'm1_begin_no', 'I\'m not ready to help yet.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '8', 'm1_begin_no_response', 'I\'m sorry to hear that. Skimmer\'s stumbled onto something big. If you change your mind, let me know.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '9', 'm1_active', 'Have you talked to Skimmer\'s friend yet?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '10', 'm1_active_working', 'I\'m still looking for her.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '11', 'm1_active_working_response', 'Time\'s of the essence here, so do your best.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '12', 'm1_active_abort', 'I\'m not going to be able to finish the mission.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '13', 'm1_active_abort_response', 'I understand. Come find me if you change your mind. We need a lot of help on this one.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '14', 'm1_active_restart', 'I need my mission profile updated.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '15', 'm1_active_restart_response', 'Very well. I\'ve uploaded our latest intel to your datapad. You should be able to continue your mission now. May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '16', 'm1_finish_encoded', 'Good Work! Wait a pulse, this disk has been locked with an old Imperial code! We have schematics for this model of coder, but the parts are obsolete. I bet only local gangs or scavengers would have some of this stuff. I\'ll give you the schematics, but you\'ll have to locate the parts and put a decoder together before we can read this intel. Report back to me when you have the disk decoded.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '17', 'm1_finish_decoded', 'Good work. We\'ll analyze this information and decide on a plan. Come back in a little while and we\'ll have more information for you.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '18', 'rebel_friend_response', 'You\'re from the Alliance? Oh good. Lyda...I mean, Skimmer, told me that someone from the Alliance might try to contact me. She gave me this disk in case something happened to her but it\'s encoded. She said the Alliance would be able to crack it.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '19', 'm2_begin', 'Excellent. This message is from Skimmer. She\'s hiding outside the city and says she has information on Dead Eye. Can you head to these coordinates and make sure she\'s still there? We don\'t want to send a team to a place she left twelve cycles ago.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '20', 'm1_refused', 'I hope you\'ve changed your mind and can help us out. We need every loyal operative we can find right now.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '21', 'm1_refused_info1', 'What\'s going on?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '22', 'm1_refused_info1_response', 'We\'re trying to locate one of our operatives code named Skimmer and we have a lot of tips to follow up. It has to do with this Dead Eye project we\'ve been hearing about.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '23', 'm1_refused_yes', 'I\'d like to help.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '24', 'm1_refused_yes_response', 'Great! We think Skimmer may have recently contacted one of her close friends. Go to these coordinates and see of Skimmer has been in touch and report back here with any information you uncover.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '25', 'm1_refused_no', 'I\'m not ready to help yet.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '26', 'm1_refused_no_response', 'I\'m sorry to hear that. Skimmer\'s stumbled onto something big. If you change your mind, let me know.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '27', 'm2_begin_encoded', 'I\'m very busy coordinating missions. Unless you have a decoded Dead Eye data disk for me, there\'s not much to discuss. Come back when you\'ve decoded it.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '28', 'm2_begin_yes', 'I\'ll go find her.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '29', 'm2_begin_yes_response', 'Excellent. Make sure she\'s still there and then report back to me.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '30', 'm2_begin_info1', 'What do you know about Skimmer?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '31', 'm2_begin_info1_response', 'Not much. She\'s related to two Alliance pilots who died flying for us. Her brother was on Alderaan when it was destroyed by the Empire. Later her father was killed during the assault on the Death Star. I just hope he got a chance to know it was destroyed before his Y-wing was blown up.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '32', 'm2_begin_info2', 'What do you think of this Dead Eye project?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '33', 'm2_begin_info2_response', 'Don\'t know. Not much data on it yet. All I know is that I don\'t want the Imperials to be any more accurate than they already are. I\'d like to get Dr. Vacca on our side if we could.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '34', 'm2_begin_no', 'I don\'t have the time to do that now.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '35', 'm2_begin_no_response', 'I understand. If you change your mind, come find me.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '36', 'm2_refused', 'I hope you\'ve changed your mind about helping us find Skimmer. She\'s still out there somewhere and we need to find her before the Imperials do.  Are you willing to help?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '37', 'm2_refused_yes', 'I\'ll go find her.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '38', 'm2_refused_yes_response', 'Excellent. Make sure she\'s still there and then report back to me.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '39', 'm2_refused_info1', 'What do you know about Skimmer?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '40', 'm2_refused_info1_response', 'Not much. She\'s related to two Alliance pilots who died flying for us. Her brother was on Alderaan when it was destroyed by the Empire. Later her father was killed during the assault on the Death Star. I just hope he got a chance to know it was destroyed before his B-wing was blown up.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '41', 'm2_refused_info2', 'What do you think of this Dead Eye project?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '42', 'm2_refused_info2_response', 'Don\'t know. Not much data on it yet. All I know is that I don\'t want the Imperials to be any more accurate than they already are. I\'d like to get Dr. Vacca on our side if we could.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '43', 'm2_refused_no', 'I don\'t have the time to do that now.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '44', 'm2_refused_no_response', 'I understand. If you change your mind, come find me.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '45', 'm2_active', 'Have you found skimmer yet?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '46', 'm2_active_working', 'Not yet. I\'m working on it.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '47', 'm2_active_working_response', 'The imperials are after her, so don\'t waste any time.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '48', 'm2_active_abort', 'I\'m not going to be able to finish the mission.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '49', 'm2_active_abort_response', 'I understand. Come find me if you change your mind. We need a lot of help on this one.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '50', 'm2_active_restart', 'I think I need updated intel.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '51', 'm2_active_restart_response', 'Things change out in the field. I\'ll upload our latest information to your datapad. Done. You\'ve got our latest information. Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '52', 'm2_finish', 'Lyda\'s alive? Thank the stars. We\'ll send out a team to get her right away. You do good work. If you\'re up for it we need someone to deliver this disk and report to one of our Rebel Commanders about Lyda and project Dead Eye.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '53', 'm2_finish_yes', 'I\'m up for anything');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '54', 'm2_finish_yes_response', 'Good. I\'ll give you the coordinates of the Commander\'s current location. Bring him the disk and he\'ll take over from there.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '55', 'm2_finish_no', 'I can\'t help you right now.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '56', 'm2_finish_no_response', 'I\'m sorry to hear that. If you change your mind, come back. I\'ll have something for you.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '57', 'm3_begin', 'If you\'re available we still need someone to bring this information about Lyda and Dead Eye to our commander. He may have another mission for you if you\'re willing to do some traveling.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '58', 'm3_begin_yes', 'I\'m up for anything.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '59', 'm3_begin_yes_response', 'Good. I\'ll give you the coordinates of the Commander\'s current location. Bring him the disk and he\'ll take over from there.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '60', 'm3_begin_no', 'I can\'t help you right now.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '61', 'm3_begin_no_response', 'I\'m sorry to hear that. If you change your mind, come back. I\'ll have something for you.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '62', 'm3_active', 'Have you finished the mission yet?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '63', 'm3_active_working', 'Not yet. I\'m working on it.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '64', 'm3_active_working_response', 'Keep up the good work. We\'re counting on you.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '65', 'm3_active_abort', 'I\'m not able to do this mission now.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '66', 'm3_active_abort_response', 'That\'s too bad. Come back when you are able to help the cause.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '67', 'm3_active_restart', 'I need the location of the Commander again');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '68', 'm3_active_restart_response', 'Data pad troubles? That happens I suppose. I\'ll give you updated coordinates, but don\'t lose it again.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '69', 'm3_finish', 'I heard from the Commander that you were able to find him. I hope the mission went well. We could use some good news around here.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '70', 'm4_finish', 'You\'ve got info on Lyda and Dead Eye? We\'ve been waiting for you! We\'ll process the data and comm the Princess to see how to proceed! Talk to me in a little bit. We might have one final mission for you.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '71', 'm4_finish_incomplete', 'I\'m sorry I don\'t have time to talk to you now. Why don\'t you go find one of our Rebel Coordinators? They may have something for you to do.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '72', 'm5_begin', 'Oh yes, you\'re the one who found Lyda. We\'re all glad she\'s safe. It\'s only right that you take on the last part of this operation. Are you up for it?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '73', 'm5_begin_undeclared', 'The information you delivered is significant. Unfortunately, we can\'t trust the next part of the operation to anyone who hasn\'t officially joined the Alliance. Securing Dr. Vacca\'s cooperation is too important to give to just anyone.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '74', 'm5_begin_yes', 'I want to finish what I started.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '75', 'm5_begin_yes_response', 'Excellent. The Princess wants us to deliver this coded message to Dr. Vacca to convince him to join the Alliance. To do so, you\'ll need to take over an Imperial relay station and use this interface override device to send the message. Be warned, when you attack the station\'s guards, you will be a target for any other Imperial in the galaxy. Be sure you want to do this. May the Force Be With You.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '76', 'm5_begin_info1', 'How is Lyda doing?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '77', 'm5_begin_info1_response', 'Fine, but headstrong as ever. She is already requesting more assignments. She should be careful what she wishes for. This isn\'t her first time jumping to light speed without checking her charts.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '78', 'm5_begin_no', 'I don\'t think I\'m ready yet.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '79', 'm5_begin_no_response', 'If you change your mind come see me, but time is running out.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '80', 'm5_refused', 'You\'re still here? Look, I don\'t have a lot of time for you unless you have decided to help us with this mission. I know you\'ve done a lot for us already. But I need to know, are you onboard or not?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '81', 'm5_refused_yes', 'I want to finish what I started.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '82', 'm5_refused_yes_response', 'Excellent. The Princess wants us to deliver this coded message to Dr. Vacca to convince him to join the Alliance. To do so, you\'ll need to take over an Imperial relay station and use this interface override device to send the message. Be warned, when you attack the station\'s guards, you will be a target for any other Imperial in the galaxy. Be sure you want to do this. May the Force Be With You.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '83', 'm5_refused_info1', 'How is Lyda doing?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '84', 'm5_refused_info1_response', 'Fine, but headstrong as ever. She is already requesting more assignments. She should be careful what she wishes for. This isn\'t her first time jumping to light speed without checking her charts.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '85', 'm5_refused_no', 'I don\'t think I\'m ready yet.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '86', 'm5_refused_no_response', 'If you change your mind come see me, but time is running out.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '87', 'm5_active', 'Have you sent the message yet?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '88', 'm5_active_working', 'Not yet. I\'m working on it.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '89', 'm5_active_working_response', 'Do what you have to. This one is important to the Princess.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '90', 'm5_active_abort', 'I\'m not able to do this mission now.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '91', 'm5_active_abort_response', 'That\'s too bad. Come back when you\'re able to help out.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '92', 'm5_active_restart', 'I need to get my mission profile updated.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '93', 'm5_active_restart_response', 'I\'ve uploaded the most recent intel we have on the relay facility. You should be able to find it now.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '94', 'm5_finish', 'I\'m glad you made it back here. I wanted to thank you personally for your hard work on this. If Dr. Vacca can be persuaded to join the Rebellion, it will make a huge impact on the war. Good job.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '95', 'commander_imperial_response', 'You\'ve got a lot of nerve trying to talk to me. You think we don\'t know how much you\'ve done for the Empire? You better leave unless you like the thought of spending your golden years floating in bacta.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '96', 'm2_lydasaved', 'Thanks for the assist. I thought I was bantha fodder for sure that time. The Empire must have a reward out for me. If you\'re here you got my message to the Alliance. Thanks. I owe you two, I guess.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '97', 'm2_lydasaved_info1', 'What happened on your mission?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '98', 'm2_lydasaved_info1_response', 'I\'d been assigned some safe, boring undercover work. Just watch and report on troop movements at an Imperial signals facility. One night this file got routed to my station. It looked important, so I stole Wes\'s...uh...my supervisor\'s security cylinder to decode it and make a copy. It was a little outside my mission profile, but it seemed important.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '99', 'm2_lydasaved_info1a', 'That file was about Dead Eye?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '100', 'm2_lydasaved_info1a_response', 'It was all about Dead Eye. A report on the project and Dr. Vacca\'s past. Not enough to duplicate the process, just how it works and some details like the fact that it uses some rare plant that used to grow on Alderaan.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '101', 'm2_lydasaved_info2', 'How did your cover get blown?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '102', 'm2_lydasaved_info2_response', 'Well, I had become close friends with one of the Imperial officers. When they discovered his security cylinders were used to access the Dead Eye plans, he knew I was the only one who could have taken them. I\'m pretty sure he had to turn me in or they would think he was a spy.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '103', 'm2_lydasaved_info2a', 'Did this officer know you\'re a Rebel?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '104', 'm2_lydasaved_info2a_response', 'Not a chance. He\'s a good man who joined the Empire before he realized what kind of people they are. If he turned me in, it was only because he had no choice. I\'m sure of it. I even think he might be willing to help the rebellion once his tour\'s up.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '105', 'm2_lydasaved_done', 'I have to go and tell the Alliance you\'re all right.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '106', 'm2_lydasaved_done_response', 'Good. Report back to the Rebel Coordinator who sent you here that I\'m ready to come back in. You will be told what to do next.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '107', 'm1_sympathizer_greeting', 'You\'re from the Alliance? Oh good. Lyda... I mean, Skimmer, told me that someone from the Alliance might try to contact me. She gave me this disk in case something happened to her but it\'s encoded. She said the Alliance would be able to crack it.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '108', 'disk_decoded_title', 'Dead Eye Disk [decoded]');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '109', 'disk_decoded_text', '--ALLIANCE EYES ONLY: I apologize for using such an obscure encryption scheme. This was the only crypto I had available and I can\'t allow the interception of this message. I don\'t think I can avoid capture. It\'s only a matter of time before I\'m spotted. I\'ve never seen so many stormtroopers! In fact, I\'m a little bit flattered that I\'ve caused this much commotion. \n\nThis is what I\'ve found about the project. Dead Eye is a powerful drug developed by an Alderaanian named Dr. Vacca. By improving eyesight, increasing hand eye coordination and reducing scope drift it grants deadly aim to those under its influence. Through Dead Eye, the Empire hopes to turn even the lowliest grunt into a super soldier. A new recruit will be as accurate as a combat veteran. \n\nIt doesn\'t take a lot of imagination to envision the results of facing an army that rarely misses a shot. We face a very serious peril. Vacca must hold no love for the Empire and I\'m certain the destruction of Alderaan still weighs bitterly on his mind. I\'m sure we can turn him to our side and we must or all of the sacrifices we\'ve made so far will have been in vain. Tell mom I love her. SKIMMER.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '110', 'disk_encoded_title', 'Dead Eye Disk [encoded]');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '111', 'disk_encoded_text', '--\'\'\'\'\'\'\'\' \'\'\'\' \'\'\'\': \' \'\'\'\'\'\'\'\'\' \'\'\' \'\'\'\'\' \'\'\'\' \'\' \'\'\'\'\'\'\' \'\'\'\'\'\'\'\'\'\' \'\'\'\'\'\'. \'\'\'\' \'\'\' \'\'\' \'\'\'\' \'\'\'\'\'\' \' \'\'\' \'\'\'\'\'\'\'\'\' \'\'\' \' \'\'\'\'\' \'\'\'\'\' \'\'\' \'\'\'\'\'\'\'\'\'\'\'\' \'\' \'\'\'\' \'\'\'\'\'\'\'. \' \'\'\'\'\' \'\'\'\'\' \' \'\'\' \'\'\'\'\' \'\'\'\'\'\'\'. \'\'\'\' \'\'\'\' \' \'\'\'\'\'\' \'\' \'\'\'\' \'\'\'\'\'\' \'\'\' \'\'\'\'\'\'\'. \'\'\'\' \'\'\'\'\' \'\'\'\' \'\' \'\'\'\' \'\'\'\'\'\'\'\'\'\'\'\'\'! \'\' \'\'\'\', \'\'\' \' \'\'\'\'\'\' \'\'\' \'\'\'\'\'\'\'\'\' \'\'\'\' \'\'\'\' \'\'\'\'\'\' \'\'\'\' \'\'\'\' \'\'\'\'\'\'\'\'\'. \n\n\'\'\'\' \'\' \'\'\'\' \'\'\'\' \'\'\'\'\' \'\'\'\'\' \'\'\' \'\'\'\'\'\'\'. \'\'\'\' \'\'\' \'\' \' \'\'\'\'\'\'\'\' \'\'\'\' \'\'\'\'\'\'\'\'\' \'\' \'\' \'\'\'\'\'\'\'\'\'\'\' \'\'\'\'\' \'\'. \'\'\'\'\'. \'\' \'\'\'\'\'\'\'\'\' \'\'\'\'\'\'\'\', \'\'\'\'\'\'\'\'\'\' \'\'\'\' \'\'\' \'\'\'\'\'\'\'\'\'\'\'\' \'\'\' \'\'\'\'\'\'\'\' \'\'\'\'\' \'\'\'\'\' \'\' \'\'\'\'\'\' \'\'\'\'\'\' \'\'\' \'\' \'\'\'\'\' \'\'\'\'\' \'\'\' \'\'\'\'\'\'\'\'\'. \'\'\'\'\'\'\' \'\'\'\' \'\'\', \'\'\' \'\'\'\'\'\' \'\'\'\'\' \'\' \'\'\'\' \'\'\'\' \'\'\' \'\'\'\'\'\'\'\' \'\'\'\'\' \'\'\'\' \' \'\'\'\'\' \'\'\'\'\'\'\'. \' \'\'\' \'\'\'\'\'\'\' \'\'\'\' \'\' \'\' \'\'\'\'\'\'\'\' \'\' \' \'\'\'\'\'\' \'\'\'\'\'\'\'. \n\n\'\' \'\'\'\'\'\'\' \'\'\'\' \' \'\'\' \'\' \'\'\'\'\'\'\'\'\'\'\' \'\' \'\'\'\'\'\'\'\' \'\'\' \'\'\'\'\'\'\' \'\' \'\'\'\'\'\' \'\' \'\'\'\' \'\'\'\' \'\'\'\'\'\' \'\'\'\'\'\' \' \'\'\'\'. \'\' \'\'\'\' \' \'\'\'\' \'\'\'\'\'\'\' \'\'\'\'\'. \'\'\'\'\' \'\'\'\' \'\'\'\' \'\' \'\'\'\' \'\'\' \'\'\' \'\'\'\'\'\' \'\'\' \'\'\' \'\'\'\'\'\'\' \'\'\' \'\'\'\'\'\'\'\'\'\'\' \'\' \'\'\'\'\'\'\'\' \'\'\'\'\' \'\'\'\'\'\' \'\'\'\'\'\'\'\' \'\' \'\'\' \'\'\'\'. \'\'\' \'\'\'\' \'\' \'\'\' \'\'\'\' \'\'\' \'\' \'\'\' \'\'\'\' \'\'\' \'\' \'\'\'\' \'\' \'\'\' \'\' \'\'\' \'\'\'\'\'\'\'\'\'\' \'\'\'\'\' \'\'\'\' \'\' \'\'\' \'\'\'\' \'\'\'\' \'\'\'\' \'\' \'\'\'\'. \'\'\'\' \'\'\' \' \'\'\'\' \'\'\'. \'\'\'\'\'\'\'.\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '112', 'email_subject', 'Imperial HoloVision News Alert');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '113', 'email_body', 'The Imperial Security Bureau has released the following public alert-\n\nBe on the lookout for a Rebel operative named Lyda Skims (Codename: Skimmer).\n\nThis woman is responsible for stealing documents relating to the DEAD EYE project. These documents are believed to be in the hands of Rebel forces. \n\nWe have received intelligence that indicates the Rebellion has been searching for Dr. Vacca due to his involvement with DEAD EYE. We assure you that Vacca remains safe from harm.\n\nTo take an active role in assisting the Empire with this most important case, please seek out an Imperial Coordinator for further instructions. Coordinators have been dispatched to Naboo, Tatooine, and Rori for easy access.\n\nIt has been reported that Rebel Coordinators on Corellia, Tatooine and Talus also seek Lyda.\n\n[For more information on the Cries of Alderaan Story, please visit http://www.starwarsgalaxies.com]\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '114', 'unused3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '115', 'unused4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '116', 'unused5', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '117', 'm1_sympathizer_complete', 'What are you waiting for.  You need to get that disk to the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/rebel_missions.stf', '118', 'm1_sympathizer_invalid', 'I\'m sorry, I can\'t chat right now.  I\'m waiting for a friend to arrive.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/shared_imperial_missions.stf', '1', 'waypoint_name_1', 'Locate Informant');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/shared_imperial_missions.stf', '2', 'waypoint_desc_1', 'Contact the Imperial Informant at these coordinates and find out what has been found out about Skimmer.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/shared_imperial_missions.stf', '3', 'waypoint_return_name_1', 'Return to Coordinator');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/shared_imperial_missions.stf', '4', 'waypoint_return_desc_1', 'Return to the Imperial Coordinator and report your findings.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/shared_imperial_missions.stf', '5', 'm1_init_failure', 'It appears your contact is no longer at this location.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/shared_imperial_missions.stf', '6', 'waypoint_failure', 'Your datapad is unable to hold more information. Talk to me after you\'ve cleaned out that useless data you are carrying and I\'ll download the information then.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/shared_imperial_missions.stf', '7', 'm1_data_disk_received', 'You have been given a data disk.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/shared_imperial_missions.stf', '8', 'm1_data_disk_denied', 'You were unable to receive the data disk because your inventory is full. You need to make space available.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/shared_imperial_missions.stf', '9', 'close', 'Close');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/shared_imperial_missions.stf', '10', 'decode', 'Decode');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/shared_imperial_missions.stf', '11', 'use', 'Read');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/shared_imperial_missions.stf', '12', 'disk_name_encoded', 'Dead Eye Disk [encoded]');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/shared_imperial_missions.stf', '13', 'disk_name_decoded', 'Dead Eye Disk [decoded]');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/shared_imperial_missions.stf', '14', 'decoded_data_disk', 'Using the old Imperial Decoder you were able to decode the Dead Eye message.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/shared_imperial_missions.stf', '15', 'decode_failed', 'You do not have the required decoder to decode this message.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/shared_imperial_missions.stf', '16', 'waypoint_desc_3', 'Stop the Rebel Slicer and intercept the encoded message.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/shared_imperial_missions.stf', '17', 'waypoint_name_3', 'Intercept Rebel Slicer');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/shared_imperial_missions.stf', '18', 'waypoint_return_name_3', 'Return to Coordinator');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/shared_imperial_missions.stf', '19', 'waypoint_return_desc_3', 'Return to the Imperial Coordinator with the encoded message.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/shared_imperial_missions.stf', '20', 'm3_init_failure', 'It appears the slicer is no longer at these coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/shared_imperial_missions.stf', '21', 'waypoint_name_4', 'Report to the Commander');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/shared_imperial_missions.stf', '22', 'waypoint_desc_4', 'Deliver the encoded message to the Imperial Commander.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/shared_imperial_missions.stf', '23', 'waypoint_name_5', 'Destroy Drall Camp');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/shared_imperial_missions.stf', '24', 'waypoint_desc_5', 'Locate the Drall Camp and make an example of them for other Rebel dissidents.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/shared_imperial_missions.stf', '25', 'm5_init_failure', 'The Drall must have moved their camp, they are no longer at these coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/shared_imperial_missions.stf', '26', 'mission_complete', 'CONGRATULATIONS!!  You have completed the Vacca\'s Allegience Event.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/shared_imperial_missions.stf', '27', 'disk_name_slicer', 'Rebel Alliance Message');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/shared_rebel_missions.stf', '1', 'waypoint_name_1', 'Locate Skimmer\'s Friend');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/shared_rebel_missions.stf', '2', 'waypoint_desc_1', 'Contact Skimmer\'s friend at these coordinates and see if Skimmer has been in touch.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/shared_rebel_missions.stf', '3', 'waypoint_return_name_1', 'Return to Coordinator');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/shared_rebel_missions.stf', '4', 'waypoint_return_desc_1', 'Return to the Rebel Coordinator and report your findings.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/shared_rebel_missions.stf', '5', 'm1_init_failure', 'It appears your contact is no longer at this location.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/shared_rebel_missions.stf', '6', 'waypoint_failure', 'I\'m sorry but I\'ve had problems downloading the data to your datapad.  Let me know once you have deleted some entries from your datapad.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/shared_rebel_missions.stf', '7', 'm1_data_disk_received', 'You have been given a data disk.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/shared_rebel_missions.stf', '8', 'm1_data_disk_denied', 'You were unable to receive the data disk because your inventory is full. You need to make space available.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/shared_rebel_missions.stf', '9', 'close', 'Close');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/shared_rebel_missions.stf', '10', 'decode', 'Decode');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/shared_rebel_missions.stf', '11', 'use', 'Read');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/shared_rebel_missions.stf', '12', 'disk_name_encoded', 'Dead Eye Disk [encoded]');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/shared_rebel_missions.stf', '13', 'disk_name_decoded', 'Dead Eye Disk [decoded]');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/shared_rebel_missions.stf', '14', 'decoded_data_disk', 'Using the old Imperial Decoder you were able to decode the Dead Eye message.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/shared_rebel_missions.stf', '15', 'decode_failed', 'You do not have the required decoder to decode this message.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/shared_rebel_missions.stf', '16', 'waypoint_desc_3', 'Scout these coordinates and verify that Skimmer is still alive.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/shared_rebel_missions.stf', '17', 'waypoint_name_3', 'Verify Skimmer is Alive');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/shared_rebel_missions.stf', '18', 'waypoint_return_name_3', 'Return to Coordinator');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/shared_rebel_missions.stf', '19', 'waypoint_return_desc_3', 'Return to the Rebel Coordinator and report your findings.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/shared_rebel_missions.stf', '20', 'm3_init_failure', 'It appears your Lyda is no longer at this location.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/shared_rebel_missions.stf', '21', 'waypoint_name_4', 'Contact the Commander');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/shared_rebel_missions.stf', '22', 'waypoint_desc_4', 'Contact the Rebel Commander and deliver the decoded Dead Eye disk.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/shared_rebel_missions.stf', '23', 'waypoint_name_5', 'Transmit the Message');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/shared_rebel_missions.stf', '24', 'waypoint_desc_5', 'Locate the Imperial Relay Station and transmit the Dead Eye message');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/shared_rebel_missions.stf', '25', 'm5_init_failure', 'It appears the intel was wrong, there is no Imperial Relay Station at these coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/shared_rebel_missions.stf', '26', 'use_terminal', 'Use Terminal');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/shared_rebel_missions.stf', '27', 'imperial_station_locked', 'The Relay Station is locked and you do not have the pass-key.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/shared_rebel_missions.stf', '28', 'imperial_station_unlocked', 'You use the pass-key to unlock the Relay Station.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/shared_rebel_missions.stf', '29', 'message_sent', 'You successfully sent the message to Dr. Vacca, though your Interface Override Device was destroyed in the process.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/shared_rebel_missions.stf', '30', 'terminal_locked', 'You need either the correct access code or an Interface Override Device to use this terminal.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/shared_rebel_missions.stf', '31', 'access_key_received', 'You notice a pass-key drop from the Imperial Captain as he falls to the ground and pick it up.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/shared_rebel_missions.stf', '32', 'mission_complete', 'CONGRATULATIONS!!  You have completed the Vacca\'s Allegience Event.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/shared_rebel_missions.stf', '33', 'email_subject', 'Imperial HoloVision News Alert');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act2/shared_rebel_missions.stf', '34', 'email_body', 'The Imperial Security Bureau has released the following public alert-\n\nBe on the lookout for a Rebel operative named Lyda Skims (Codename: Skimmer).\n\nThis woman is responsible for stealing documents relating to the DEAD EYE project. These documents are believed to be in the hands of Rebel forces. \n\nWe have received intelligence that indicates the Rebellion has been searching for Dr. Vacca due to his involvement with DEAD EYE. We assure you that Vacca remains safe from harm.\n\nTo take an active role in assisting the Empire with this most important case, please seek out an Imperial Coordinator for further instructions. Coordinators have been dispatched to Naboo, Tatooine, and Rori for easy access.\n\nIt has been reported that Rebel Coordinators on Corellia, Tatooine and Talus also seek Lyda.\n\n[Note: The Rebels were victorious in Act 1 and will receive a 10% faction bonus during Act 2. For more information, visit http://www.starwarsgalaxies.com]\n\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act3/shared_imperial_missions.stf', '1', 'waypoint_name_1', 'Locate Lookout');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act3/shared_imperial_missions.stf', '2', 'waypoint_desc_1', 'Contact the Caravan Lookout at these coordinates and get any information possible about the caravan.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act3/shared_imperial_missions.stf', '3', 'waypoint_return_name_1', 'Return to Coordinator');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act3/shared_imperial_missions.stf', '4', 'waypoint_return_desc_1', 'Return to the Imperial Coordinator and report your findings.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act3/shared_imperial_missions.stf', '5', 'm1_init_failure', 'It appears the lookout is no longer at this location.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act3/shared_imperial_missions.stf', '6', 'waypoint_failure', 'Your datapad is unable to hold more information. Talk to me after you\'ve cleaned out that useless data you are carrying and I\'ll download the information then.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act3/shared_imperial_missions.stf', '7', 'waypoint_name_2', 'Contact Caravan Leader');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act3/shared_imperial_missions.stf', '8', 'waypoint_desc_2', 'Contact the Caravan Leader at these coordinates and help reapir the broken grav unit.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act3/shared_imperial_missions.stf', '9', 'waypoint_return_name_2', 'Return to Coordinator');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act3/shared_imperial_missions.stf', '10', 'waypoint_return_desc_2', 'Return to the Imperial Coordinator and report your findings.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act3/shared_imperial_missions.stf', '11', 'm2_init_failure', 'It appears the caravan leader is no longer at this location.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act3/shared_imperial_missions.stf', '12', 'waypoint_name_3', 'Destroy Flora Warehouse');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act3/shared_imperial_missions.stf', '13', 'waypoint_desc_3', 'Destroy the Flora Warehouse located at these coordinates and confiscate any Alderaanian Flora found.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act3/shared_imperial_missions.stf', '14', 'waypoint_return_name_3', 'Return to Tactical Officer');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act3/shared_imperial_missions.stf', '15', 'waypoint_return_desc_3', 'Return to the Imperial Tactical Officer and report your findings.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act3/shared_imperial_missions.stf', '16', 'm3_init_failure', 'It appears the flora warehouse at this location has already been destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act3/shared_imperial_missions.stf', '17', 'waypoint_name_4', 'Report to Colonel Veers');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act3/shared_imperial_missions.stf', '18', 'waypoint_desc_4', 'Colonel Veers wishes to speak with you.  Report to him at this location immediately.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act3/shared_imperial_missions.stf', '19', 'waypoint_return_name_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act3/shared_imperial_missions.stf', '20', 'waypoint_return_desc_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act3/shared_imperial_missions.stf', '21', 'm4_init_failure', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act3/shared_imperial_missions.stf', '22', 'waypoint_name_5', 'Destroy Research Facility');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act3/shared_imperial_missions.stf', '23', 'waypoint_desc_5', 'Destroy the Dead Eye Research Facility at these coordinates.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act3/shared_imperial_missions.stf', '24', 'waypoint_return_name_5', 'Return to Colonel Veers');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act3/shared_imperial_missions.stf', '25', 'waypoint_return_desc_5', 'Report to Colonel Veers with news of your mission.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act3/shared_imperial_missions.stf', '26', 'm5_init_failure', 'The research facility at these coordinates must have already been destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act3/shared_imperial_missions.stf', '27', 'mission_complete', 'CONGRATULATIONS!!  You have completed the Cries of Alderaan Stroy Arc.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act3/shared_imperial_missions.stf', '28', 'm2_repair_kit_received', 'You have been given a grav unit repair kit.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act3/shared_imperial_missions.stf', '29', 'm2_repair_kit_denied', 'You were unable to receive the grav unit repair kit because your inventory is full. You need to make space available.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act3/shared_imperial_missions.stf', '30', 'm3_broken_grav_unit_received', 'You have been given a broken grav unit.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act3/shared_imperial_missions.stf', '31', 'm3_broken_grav_unit_denied', 'You were unable to receive the broken grav unit because your inventory is full. You need to make space available.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act3/shared_imperial_missions.stf', '32', 'm3_data_disk_received', 'You have been given a data disk.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act3/shared_imperial_missions.stf', '33', 'm3_data_disk_denied', 'You were unable to receive the data disk because your inventory is full. You need to make space available.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act3/shared_imperial_missions.stf', '34', 'self_destruct_aborted', 'System detects lifeforms inside building. Shutting down self destruct.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act3/shared_rebel_missions.stf', '1', 'waypoint_name_1', 'Locate Lookout');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act3/shared_rebel_missions.stf', '2', 'waypoint_desc_1', 'Contact the Caravan Lookout at these coordinates and get any information possible about the caravan.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act3/shared_rebel_missions.stf', '3', 'waypoint_return_name_1', 'Return to Coordinator');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act3/shared_rebel_missions.stf', '4', 'waypoint_return_desc_1', 'Return to the Rebel Coordinator and report your findings.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act3/shared_rebel_missions.stf', '5', 'm1_init_failure', 'It appears the lookout is no longer at this location.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act3/shared_rebel_missions.stf', '6', 'waypoint_failure', 'Your datapad is unable to hold more information. Talk to me after you\'ve cleaned out that useless data you are carrying and I\'ll download the information then.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act3/shared_rebel_missions.stf', '7', 'waypoint_name_2', 'Contact Caravan Leader');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act3/shared_rebel_missions.stf', '8', 'waypoint_desc_2', 'Contact the Caravan Leader at these coordinates and help reapir the broken grav unit.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act3/shared_rebel_missions.stf', '9', 'waypoint_return_name_2', 'Return to Coordinator');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act3/shared_rebel_missions.stf', '10', 'waypoint_return_desc_2', 'Return to the Rebel Coordinator and report your findings.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act3/shared_rebel_missions.stf', '11', 'm2_init_failure', 'It appears the caravan leader is no longer at this location.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act3/shared_rebel_missions.stf', '12', 'waypoint_name_3', 'Destroy Flora Warehouse');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act3/shared_rebel_missions.stf', '13', 'waypoint_desc_3', 'Destroy the Flora Warehouse located at these coordinates and confiscate any Alderaanian Flora found.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act3/shared_rebel_missions.stf', '14', 'waypoint_return_name_3', 'Return to Tactical Officer');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act3/shared_rebel_missions.stf', '15', 'waypoint_return_desc_3', 'Return to the Rebel Tactical Officer and report your findings.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act3/shared_rebel_missions.stf', '16', 'm3_init_failure', 'It appears the flora warehouse at this location has already been destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act3/shared_rebel_missions.stf', '17', 'waypoint_name_4', 'Report to Princess Leia');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act3/shared_rebel_missions.stf', '18', 'waypoint_desc_4', 'Princess Leia wishes to speak with you.  Report to her as soon as possible.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act3/shared_rebel_missions.stf', '19', 'waypoint_return_name_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act3/shared_rebel_missions.stf', '20', 'waypoint_return_desc_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act3/shared_rebel_missions.stf', '21', 'm4_init_failure', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act3/shared_rebel_missions.stf', '22', 'waypoint_name_5', 'Protect Research Facility');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act3/shared_rebel_missions.stf', '23', 'waypoint_desc_5', 'Protect the Dead Eye Research Facility at these coordinates from attack.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act3/shared_rebel_missions.stf', '24', 'waypoint_return_name_5', 'Return to Princess Leia');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act3/shared_rebel_missions.stf', '25', 'waypoint_return_desc_5', 'Report to Princess Leia with news of your mission.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act3/shared_rebel_missions.stf', '26', 'm5_init_failure', 'The research facility at these coordinates must have already been destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act3/shared_rebel_missions.stf', '27', 'mission_complete', 'CONGRATULATIONS!!  You have completed the Cries of Alderaan Story Arc.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act3/shared_rebel_missions.stf', '28', 'repair', 'Repair');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act3/shared_rebel_missions.stf', '29', 'repair_grav_unit', 'You have repaired the 100 GU Grav Unit.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act3/shared_rebel_missions.stf', '30', 'repair_failed', 'You were unable to repair the Grav Unit.  Perhaps your inventory is full.  Remove some items from your inventory and try again.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act3/shared_rebel_missions.stf', '31', 'mission_failed', 'Mission Failed!!  You were unable to protect the research facility from being destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act3/shared_rebel_missions.stf', '32', 'email_subject', 'Holonet News Alert');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/alderaan/act3/shared_rebel_missions.stf', '33', 'email_body', '<<BEGIN TRANSMISSION>>\n\nImperial Scientist Defects to Rebellion - \n\nSources within the Imperial Security Bureau revealed today that renowned Imperial scientist Dr. Vacca has defected to the Rebellion. Of immediate concern is control of \"Dead Eye\", a once top-secret project headed by Vacca.\n\nImperial Coordinators in Theed, Kadaara, Narmle, Bestine and Restuss are actively recruiting loyal Imperial subjects to help keep Dead Eye out of Rebellion hands. An increase in recruitment by Rebel Coordinators has been reported in the cities of Coronet, Tyrena, Mos Eisley, Mos Espa and Nashal. No word yet on the nature of the services being sought by the Rebellion. Some insiders believe that the Rebels are working to distribute Dead Eye schematics to their supporters in an effort to increase their effectiveness against the Empire.\n\nAs always, the Empire has made it known that anyone found assisting members of the Rebellion are traitors to the Emperor and will be dealt with harshly.\n\n<<END TRANSMISSION>>\n\n\n[Note: For more information please visit the home page and Events forum at http://www.starwarsgalaxies.com.]\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/book_text.stf', '1', 'title_1', 'ESSENTIAL COOKING SKILLS');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/book_text.stf', '2', 'text_1', 'In order to cook food properly you must always pay attention to the proper temperatures to cook specific items.  Bantha meat, for example, must maintain a 300 degree temperature for at least one hour in order to destroy any Tatooinian bacteria present during the meat\'s initial cutting.  \n\nThe following list should be taken as a guideline, and you\'ll find that your own instruments will vary according to how well they\'re calibrated:\n\nKAADU (350 degrees, 1 hour)\nKRAYT DRAGON (400 degrees, 3 hours)\nGNORT (300 degrees, 1/2 hour)\nCU-PA (325 degrees, 1 hour)\nCORELLIAN BUTTERFLY (400 degrees, 1/2 hour)\nTORTON (500 degrees, 3 hours)\nBAGERASET (300 degrees, 2 hours)\nBEARDED JAX (250 degrees, 1/2 hour)\nPEKO-PEKO (400 degrees, 1 1/2 hours)\nVEERMOK (350 degrees, 1 hour)\n\nRumor has it that Sarlacc meat can be cleaned and cooked, and that some brave denizens of tatooine managed to ingest it by slicing off one of the attacking tentacles and then setting about finding ways to cook it.\n\nWhile I won\'t comment on the veracity of such a claim, should you find yourself in possession of such a fantastic delicacy, I recommend that it be cooked at no less than 500 degrees for no less then 6 hours before you attempt to do anything with it.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/book_text.stf', '3', 'title_2', 'BLUE HARVEST (Chapter 1)');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/book_text.stf', '4', 'text_2', 'The trandoshan stood his ground, blood dripping from the blade in his hand.\n\"You didn\'t see it!\"  He shouted.\nCorSec officer Antilles lowered his pistol.  The Trandoshan didn\'t seem to be threatening him at all.  He was terrified.\n\"What was it?\" \n\"I don\'t know!\"  The Trandoshan was nearly in tears.  His body was covered with the strange ichor that Officer Antilles had seen at the other crime scenes.\n\"Did you kill it?\"\nThe Trandoshan shook his head.  He didn\'t think so.  He thought, in fact, that he\'d simply angered it.  Trandoshans are a cold blooded species, one of the most cruel races the galaxy had to offer.  But this one was shaken to his very core. ');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/book_text.stf', '5', 'title_3', 'Journal of Dr. Kaldaar');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/book_text.stf', '6', 'text_3', 'It\'s working.  I can see it their eyes.  The rebel informant died on the operating table, but before he did I could see it starting to form in the corneas.  It was a map.  A star map, much like the navigational charts that are carried aboard Star Destroyers.  \n\nIf only I could find a way to keep them alive after the transfer of the toxin is complete.  There must be an antigen that will fight the infection.  Something bacta related, that will keep them alive until we\'ve had a chance to discover them.\n\nPerhaps I should also find a way to make them stand out.  Perhaps with a skin condition?  Something that would lead the Stormtroopers right to them.\n\nMy work must continue unabated.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/book_text.stf', '7', 'title_4', 'A Letter');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/book_text.stf', '8', 'text_4', 'I understand the way you feel about her, but you have to understand, she doesn\'t love you the way you love her.  She\'s poison.  Everybody can see it but you.  Why?  Do you think it was a coincidence that your friend Undermoney suddenly can\'t be around you?  Your killing yourself for this relationship and it\'s tearing apart your friendships with everyone you know.  \n\nI know you don\'t want to hear it but someone has to say it.  Leave her.  It\'s over.  I won\'t say this again, so I hope you hear it this time.  ');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/book_text.stf', '9', 'title_5', 'Outbound Communication');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/book_text.stf', '10', 'text_5', 'There\'s no reason to try to \"explain\" this to Borvo.  He\'s a Hutt.  What do you think he\'s going to do?  Just let you get away with it?  Where did you put the money anyway?  You say there\'s got to be a way out of this?  There is.  You either disappear, and I mean seriously, disappear, or you die.  That\'s it.  Only two ways.  And if Borvo doesn\'t get his money it may not matter how well you disappear either.  \n\nI\'m not protecting you anymore.  You\'re on your own.\n\n--End Communique--');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/book_text.stf', '11', 'title_6', 'Jokes For All');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/book_text.stf', '12', 'text_6', 'Two Gamorreans are walking through Jabba\'s Palace when they notice the Rancor loose from his cage.  As the Rancor makes his way towards them one of the Gamorreans stops to put on his running shoes.\n\"You\'re crazy!\"  The other guard says.  \"You\'ll never outrun that Rancor!\"\n\"I don\'t have to out run him.\"  The first guard replies.  \"Just you.\"\n***\nA Rodian walks into a bar with a womprat under one arm and a chuba under the other.  He walks over to the bartender and says, \"If I show you something amazing can I have a free Jawa Beer?\"\nThe bartender thinks for a second and says, \"Ok.  Let\'s see it.\"\nThe Rodian sets the womprat on the bar and pulls a slitherhorn out of his pack.  He puts the slitherhorn down next to the womprat who starts playing it.  The bartender is amazed.\n\"That\'s incredible!\"  The bartender exclaims.  \"What\'s the chuba for?\"\n\"Watch this.\"  The Rodian sets the chuba down on the bar next to the womprat and it starts to sing!  The bartender can\'t believe it.  \n\"I\'ll give you 100,000 credits for both of them.\"\n\"Oh, I couldn\'t.\"  The Rodian says.  \"My grandmother gave me the womprat.\"\n\"Ok, I\'ll give you 50,000 for just the chuba.\"\n\"Deal.\"\nThe bartender hands the money to the Rodian and takes the chuba proudly.  \n\"How do I get him to sing?\"  He asks.\n\"Oh, he can\'t sing.\"  The Rodian says.  \"The Womprat\'s also a ventriliquist.\"');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/book_text.stf', '13', 'text_7', 'Onar thought the Gladiator Pit would be the actual arena, where the fighting took place, but it wasn\'t.  It was the area just before the arena where the weapons and armor were maintained and the gladiators stood around, congratulating each other on their victories before they stepped outside and tried to kill each other.\nWhen he\'d asked what they called the arena where the gladiators fought, the big Trandoshan said, \"The arena.\"\nThe big Trandoshan was leading Onar through the hallways of the pit, showing him where he\'d get dressed and where the armor and weapons were kept.  When they stepped into the small room with the stone table and no chairs the Trandoshan said, \"This is where you\'ll wait.\"\nOnar focused on the one object in the room besides the stone table.  It was a stick, like a mace, except that instead of having a big metal ball with spikes on the end, it just had four blades, like knife blades, pointing in 4 directions.  Like a compass, he thought.\n\"That\'s not mine is it?\"  \nThe Trandoshan didn\'t answer, so Onar continued.  \"I can\'t fight with that thing.  I\'ll cut my fingers off.\"\nThe Trandoshan was busy writing something on a piece of flimsiplast, being careful with his writing like he was afraid he\'d misspell something.\n\"Plus it\'s too big.  It\'s not the right size for me.\"\nThe Trandoshan looked up from the flimsiplast and nodded.  He said, \"It\'s not for you.\"\nOnar breathed a sigh of relief, saying, \"That\'s good.\"\n\"You\'re the accused.\"  The Trandoshan said.  \"You don\'t get a weapon.\"');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/book_text.stf', '14', 'title_7', 'BARVE HUNT (Chapter 3)');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/book_text.stf', '15', 'title_8', 'BARVE HUNT (Chapter 1)');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/book_text.stf', '16', 'text_8', 'Onar was getting into it now, telling the little Rodian where he could stick his credits.  Everyone in the cantina had turned to watch, and the poor little Rodian, a green quilled wheeler-dealer who claimed to have connections from Corellia to Naboo was trying to shrink into the seat, the drink in his hands sloshing onto his pants because he\'d forgotten about it completely.\nOnar knew this was a risk, a dangerous game he was playing.  He\'d spotted the Rodian looking for his contact, set to make a deal for some illegal bootlegs of a musical recording.  Onar had heard on the street from the Wookiee, Gurumsh that this Rodian was here trying to cut into some illegal activities.  Looking to make some money fast.  It was what Gurumsh said next that had planted the seed of this plan in Onar\'s mind.\nHe\'d said, \"Raawwooar, <snarl>, groaaowwarl.\"  Which roughly translated meant that the Rodian was an idiot and probably didn\'t even know who the contact was.\nThat had gotten Onar thinking.  Yeah, he could pull this off.  Catch the guy early, get him into a booth, fast talk him into believing he was the contact and then figure out half way in how to get some creds out of the guy.\nIt had worked too, for a while, but then the Rodian had started to get suspicious.  Onar didn\'t know which band had made the bootleg, or what the name of the song was.  He\'d guessed correctly that the Hutt\'s were involved, and that had almost gotten him back on track, but he\'d guessed wrong about the number of recordings being moved.  He\'d been way off.  And so he\'d gone into his rant, telling the little Rodian to stuff it, and that he\'d rather swim through rancor offal than deal with a little runt like him who didn\'t know what he was doing.\nThat was working too now, and he just needed to figure whether he wanted to escape, or maybe play the calm down card, get the guy back into business, maybe still grab some money.\nThen the Rodian pulled out his trump card, and Onar knew he was toast.\nThe Rodian said, \"We\'ll just see what my boss thinks.  You know who my boss is don\'t you?  Slinereel?\"');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/book_text.stf', '17', 'title_9', 'BARVE HUNT (Chapter 2)');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/book_text.stf', '18', 'text_9', 'Slinereel was a problem, Onar thought.  A real problem.  It was one thing if this guy was just a corporate shill, maybe working for Kuat Drive Yards, or maybe one of the Durasteel corps.  He could even be an Imperial liaison and it wouldn\'t have made that much difference.  Corporate types were all the same, they\'d take the loss in cash, write it off, and then get back to work.\nSlinereel on the other hand, was not a corporate type.  He was a Zabrak.   A mean Zabrak.  Onar had a partner once that told him Slinereel was the kind of guy that would shoot himself in the foot if it would make him some money.  He\'d limp to the bank counting his credits.  And if he was willing to do that, you know he was willing to shoot other people in much more prominent places on their bodies.\nOnar had settled down in the bar then, when the Rodian told him about Slinereel.  The Rodian said he could cut Onar a deal.  All smiles and teeth now that he felt he had Onar over a barrel.\nHe said, \"I won\'t even report this little attempt of yours to con us out of our money.  It took guts doing what you did, walking in here off the street and trying to hustle me.\"\nOnar said he didn\'t know what the Rodian was talking about, but he didn\'t really mean it.  The Rodian knew too.\n\"We\'ll have a duel.  In the gladiator pit.  This planet has one in every city.  For settling differences.\"\nOnar looked across the table at the little Rodian, short even for his species, and small.  He said sure, that would be fine.\nThe Rodian said, \"I\'ll meet you in the morning at the pit.\"\nOnar sat back and watched as the little green businessman took a last swig of his Jawa beer and sat it back on the table.\n\"And I\'ll bring my champion with me.\"\nOnar felt his stomach drop.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/book_text.stf', '19', 'title_10', 'RE: Meatlump Research...');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/book_text.stf', '20', 'text_10', 'To: Col. Frost\n\nIt\'s unbelievable.  I think you\'re right about the three guys being brothers.  I\'m sure now there\'s three of them, though one of them seems to keep himself out of public for some reason.  Thay HATE the Imperial Researchers.  I think that\'s the key.  I\'m almost positive their father was an Imperial Researcher at one time.  All the evidence I have is conjecture, but it fits the pieces really well.\n\nThey\'ve taken to hitting supplies on the way to the facilities and hijacking any electrical equipment they find.  And get this, they break it over their heads!  I\'m not making this up.  Check the next time you haul some of these guys in, they\'re gonna have headwounds and broken scientific equipment on em.\n\nMajor Tery');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/book_text.stf', '21', 'title_11', 'SECURE COMMUNICATION');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/book_text.stf', '22', 'text_11', 'OFFICIAL NOTICE ***\n\nFrom: Gen. Zaster, Imperial Second Division\nTo: All Imperial Personnel - Tatooine\nRE: Alkhara Bandits\n\nI know you\'ve all heard the stories of the original Alkhara, the notorious bandit who teamed up with the Sand People and killed a garrison of policemen on Tatooine years and years ago.  Well, Alkhara is long since dead, but his memory has started a movement.  There\'s a group of raiders down their now waging war against the Tusken Raiders and pillaging small cities for loot and supplies.\n\nSee, when Alkhara was done killing policemen he murdered all the Sand People who\'d helped him, and they chased him into something called the B\'omarr Monastery.  Interestingly enough, this is where Jabba the Hutt is currently running his own criminal operations from.  Jabba\'s not a problem for us right now, but the Alkhara Bandits are doing serious damage to the locals, good Imperial citizens, all of them.\n\nI want patrols around the infected areas, and be careful.  There\'s no telling what these people are capable of.\n\nGen. Zaster');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/book_text.stf', '23', 'title_12', 'FLAIL MANIFESTO - Part 125, Section C, Paragraphs 2b - 2d\n\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/book_text.stf', '24', 'text_12', 'As was previously mentioned in the purview of power section (Part 85, Section L, Paragraph 3r) the standing of a citizen should not be confused with the value of a corresponding political association, therefore, the rendering of the new class of citizen, requiring that political affiliation be understood, with the meaning of affiliation to be anything associated with or by that policy, where political refers back to the secondary interest of the group of people who are indeed forming a particular opinion on one side or another of any given issue, as long as that issue doesn\'t supersede the rights or freedoms granted herewith.\n\nFurthermore, the representative state of a citizen, be it neutral, or affiliated with that of any given political viewpoint, should not be understood, or misappropriated for the cause of interfering with the process of the relationship up to this point.  For more information on this see Part 12, Section T, Paragraph 1b, and Part 13, Section A, Paragraph 1a and Paragraph K3.  ');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/messages.stf', '1', 'theme_park_reward', 'A reward has been placed in your inventory for completing this assignment.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/messages.stf', '2', 'theme_park_credits', 'You have received some money for completing this assignment.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/messages.stf', '3', 'jabba_completion_message', 'Return to Jabba\'s Palace for your reward.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/messages.stf', '4', 'bad_npc_message', 'Return to the person who gave you this message.  There is no one here.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/messages.stf', '5', 'no_item_message', 'The item you were sent to find isn\'t here...you will be rewarded anyway.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/messages.stf', '6', 'generic_fail_message', 'You have failed in your mission.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/messages.stf', '7', 'rebel_completion_message', 'Return to the Rebel who gave you this mission for your reward.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/messages.stf', '8', 'imperial_completion_message', 'Return to the Emperor\'s Retreat for your reward.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/messages.stf', '9', 'go_message', 'You have arrived at the location you were sent to.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/messages.stf', '10', 'static_completion_message', 'Return to the person who gave you this task to receive your reward.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/messages.stf', '11', 'no_faction', 'You don\'t have the proper standing to deal with me.  Perhaps you should be more careful who you associate with.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/messages.stf', '12', 'theme_park_credits_pp', 'You have received %DI credits for completing this assignment.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/messages.stf', '13', 'need_reset_imperial', 'You are a loyal citizen of the Empire, but you must speak with that wretched Wurson Harro before continuing your service.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/messages.stf', '14', 'need_reset_rebel', 'We appreciate your assistance to the Rebellion, but you must speak with Falton Molard before continuing your service.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/messages.stf', '15', 'need_reset_jabba', 'Jabba doesn\'t want you to do anything until you talk to 8-LOM out by the entrance.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/messages.stf', '16', 'item_create_fail', 'Reward creation has failed! Your inventory may be full, make sure you have room and try again.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/messages.stf', '17', 'need_reset_rebel_offworld', 'We appreciate your assistance to the Rebellion, but you must speak with Falton Molard at the Rebel base on Corellia before continuing your service.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/messages.stf', '18', 'rebel_quest_npc_killed', 'Your contact for this mission has been discovered and killed.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '3', 'waypoint_name_1', 'Race Beacon');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '6', 'waypoint_desc_1', 'You\'re racing! Pay attention to what\'s in front of you!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '13', 'finish_message', 'Circuit Compete!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '14', 'new_record', 'New Personal Best Time!!!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '15', 'current_record_holder', 'The current record holder is:');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '16', 'not_good_enough', 'I\'m afraid you didn\'t beat our fastest racer, try again.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '17', 'beat_the_record', 'Congratulations! You have the fastest time for this track! Record saved.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '18', 'beat_record_fly', '++ Today\'s Champion ++');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '23', 'tied_the_record', 'It\'s a tie! Race again and see if you can beat the champion\'s time.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '24', 'laptime_checkpoint0', 'Leg 1 of 16 Completed! Proceed to waypoint Waldo Flats.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '26', 'laptime_checkpoint1', 'Leg 1 of 15 Completed! Proceed to Waldo Grade!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '27', 'laptime_checkpoint2', 'Leg 2 of 15 Completed! Proceed to Mushroom Mesa!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '28', 'laptime_checkpoint3', 'Leg 3 of 15 Completed! Proceed to Ebe Crater Valley!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '29', 'laptime_checkpoint4', 'Leg 4 of 15 Completed! Proceed to The Notch!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '30', 'laptime_checkpoint5', 'Leg 5 of 15 Completed! Proceed to Diablo Cut!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '31', 'laptime_checkpoint6', 'Leg 6 of 15 Completed! Proceed to Beggar\'s Canyon!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '32', 'laptime_checkpoint7', 'Leg 7 of 15 Completed! Proceed to Desert Plain!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '33', 'laptime_checkpoint8', 'Leg 8 of 15 Completed! Proceed to Arch Canyon!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '34', 'laptime_checkpoint9', 'Leg 9 of 15 Completed! Proceed to The Whip!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '35', 'laptime_checkpoint10', 'Leg 10 of 15 Completed! Proceed to Jag Crag Gorge!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '36', 'waypoint_name_checkpoint0a', 'Old Mos Espa Arena');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '37', 'waypoint_name_checkpoint0', 'Waldo Flats');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '38', 'waypoint_name_checkpoint1', 'Waldo Grade');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '39', 'waypoint_name_checkpoint2', 'Mushroom Mesa');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '40', 'waypoint_name_checkpoint3', 'Ebe Crater Valley');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '41', 'waypoint_name_checkpoint4', 'The Notch');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '42', 'waypoint_name_checkpoint5', 'Diablo Cut');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '43', 'waypoint_name_checkpoint6', 'Beggar\'s Canyon');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '44', 'waypoint_name_checkpoint7', 'Desert Plain');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '45', 'waypoint_name_checkpoint8', 'Arch Canyon');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '46', 'waypoint_name_checkpoint9', 'The Whip');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '47', 'waypoint_name_checkpoint10', 'Jag Crag Gorge');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '48', 'waypoint_name_checkpoint11', 'Canyon Dune Turn');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '49', 'waypoint_name_checkpoint12', 'Jett\'s Chute');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '50', 'waypoint_name_checkpoint13', 'Devil\'s Doorknob');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '51', 'waypoint_name_checkpoint14', 'Hutt Flats');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '52', 'laptime_checkpoint11', 'Leg 11 of 15 Completed! Proceed to Canyon Dune Turn!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '53', 'laptime_checkpoint12', 'Leg 12 of 15 Completed! Proceed to Jett\'s Chute!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '54', 'laptime_checkpoint13', 'Leg 13 of 15 Completed! Proceed to The Doorknob!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '55', 'laptime_checkpoint14', 'Leg 14 of 15 Completed! Proceed to Hutt Flats!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '56', 'laptime_returndest', 'Last Leg! Return to Finish Line!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '57', 'waypoint_name_returndest', 'Finish Line');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '58', 'laptime_checkpoint15', 'Final Leg! Head to the Finish Line!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '59', 'waypoint_name_checkpoint15', 'Finish Line');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '60', 'still_hold_record', 'You still hold the record for this track.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '61', 'whats_my_time', 'My records indicate your best run was:');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '62', 'whats_my_time_spatial', 'Displaying the personal best time in seconds for the following racer: %TO.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '63', 'last_time', 'Registering the following racer and their time in seconds: %TO.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '64', 'waypoint_half_fly', 'Halfway to Finish Line!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '65', 'waypoint_3_to_go_fly', '3 More Legs to Go!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '66', 'go_fly', 'GO!!!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '67', 'final_lap_fly', 'Final Leg!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '68', 'keren_laptime_checkpoint1', 'Leg 1 of 10 Completed! Proceed to Pedestrian Bridge Egress!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '69', 'keren_laptime_checkpoint2', 'Leg 2 of 10 Completed! Proceed through Hotel Lane!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '70', 'keren_laptime_checkpoint3', 'Leg 3 of 10 Completed! Proceed through Cloning Facility Byway!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '71', 'keren_laptime_checkpoint4', 'Leg 4 of 10 Completed! Proceed through Medical Center Circle!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '72', 'keren_laptime_checkpoint5', 'Leg 5 of 10 Completed! Proceed through Guild Complex Terrace!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '73', 'keren_laptime_checkpoint6', 'Leg 6 of 10 Completed! Proceed across East Pedestrian Bridge!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '74', 'keren_laptime_checkpoint7', 'Leg 7 of 10 Completed! Proceed through Riverside Causeway!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '75', 'keren_laptime_checkpoint8', 'Leg 8 of 10 Completed! Proceed across North Pedestrian Bridge!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '76', 'keren_laptime_checkpoint9', 'Leg 9 of 10 Completed! Proceed across Falls Overlook!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '77', 'keren_laptime_checkpoint10', 'Final Leg Completed! Head to Finish Line!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '78', 'keren_waypoint_name_checkpoint0', 'South Pedestrian Bridge');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '79', 'keren_waypoint_name_checkpoint1', 'Pedestrian Bridge Egress');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '80', 'keren_waypoint_name_checkpoint2', 'Hotel Lane');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '81', 'keren_waypoint_name_checkpoint3', 'Cloning Facility Byway');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '82', 'keren_waypoint_name_checkpoint4', 'Medial Center Circle');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '83', 'keren_waypoint_name_checkpoint5', 'Guild Complex Terrace');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '84', 'keren_waypoint_name_checkpoint6', 'East Pedestrian Bridge');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '85', 'keren_waypoint_name_checkpoint7', 'Riverside Causeway');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '86', 'keren_waypoint_name_checkpoint8', 'North Pedestrian Bridge');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '87', 'keren_waypoint_name_checkpoint9', 'Falls Overlook');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '88', 'keren_waypoint_name_checkpoint10', 'Finish Line');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '89', 'agrilat_laptime_checkpoint1', 'Leg 1 of 13 Completed! Proceed to The Sink Hole!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '90', 'agrilat_laptime_checkpoint2', 'Leg 2 of 13 Completed! Proceed to Kribben\'s Folly!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '91', 'agrilat_laptime_checkpoint3', 'Leg 3 of 13 Completed! Proceed to Zibben\'s Path!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '92', 'agrilat_laptime_checkpoint4', 'Leg 4 of 13 Completed! Proceed to Wagyx Pass!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '93', 'agrilat_laptime_checkpoint5', 'Leg 5 of 13 Completed! Proceed to Ke\'dem Ramp!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '94', 'agrilat_laptime_checkpoint6', 'Leg 6 of 13 Completed! Proceed to Rasp Ravine!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '95', 'agrilat_laptime_checkpoint7', 'Leg 7 of 13 Completed! Proceed to Skrag Turn!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '96', 'agrilat_laptime_checkpoint8', 'Leg 8 of 13 Completed! Proceed to Drall Hollow!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '97', 'agrilat_laptime_checkpoint9', 'Leg 9 of 13 Completed! Proceed to Sulfur Archway!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '98', 'agrilat_laptime_checkpoint10', 'Leg 10 of 13 Completed! Proceed to The Corellian Twister!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '99', 'agrilat_laptime_checkpoint11', 'Leg 11 of 13 Completed! Proceed to Turnsturin Turn!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '100', 'agrilat_laptime_checkpoint12', 'Leg 12 of 13 Completed! Proceed to Dengar\'s End!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '101', 'agrilat_laptime_checkpoint13', 'Final Leg! Proceed to the Finish Line!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '102', 'agrilat_waypoint_name_checkpoint1', 'The Sink Hole');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '103', 'agrilat_waypoint_name_checkpoint2', 'Kribben\'s Folly');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '104', 'agrilat_waypoint_name_checkpoint3', 'Zibben\'s Path');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '105', 'agrilat_waypoint_name_checkpoint4', 'Wagyx Pass');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '106', 'agrilat_waypoint_name_checkpoint5', 'Ke\'dem Ramp');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '107', 'agrilat_waypoint_name_checkpoint6', 'Rasp Ravine');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '108', 'agrilat_waypoint_name_checkpoint7', 'Skrag Turn');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '109', 'agrilat_waypoint_name_checkpoint8', 'Drall Hollow');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '110', 'agrilat_waypoint_name_checkpoint9', 'Sulfur Archway');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '111', 'agrilat_waypoint_name_checkpoint10', 'The Corellian Twister');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '112', 'agrilat_waypoint_name_checkpoint11', 'Turnsturin Turn');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '113', 'agrilat_waypoint_name_checkpoint12', 'Dengar\'s End');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '114', 'agrilat_waypoint_name_checkpoint13', 'Finish Line');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '116', 'agrilat_waypoint_name_checkpoint0', 'Oblivyn Gate');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '117', 'nashal_waypoint_name_checkpoint0', 'The Narrows');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '118', 'nashal_waypoint_name_checkpoint1', 'Krisa River');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '119', 'nashal_waypoint_name_checkpoint2', 'Xahn\'s Crossing');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '120', 'nashal_waypoint_name_checkpoint3', 'Virrago Bend');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '121', 'nashal_waypoint_name_checkpoint4', 'Garva\'s Turn');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '122', 'nashal_waypoint_name_checkpoint5', 'Quid Embankment');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '123', 'nashal_waypoint_name_checkpoint6', 'Snaykinn Pass');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '124', 'nashal_waypoint_name_checkpoint7', 'Jeassa River');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '125', 'nashal_waypoint_name_checkpoint8', 'Kyuu\'s Twist');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '126', 'nashal_waypoint_name_checkpoint9', 'The TH Causeway');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '127', 'nashal_waypoint_name_checkpoint10', 'Lake Thorn');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '128', 'nashal_waypoint_name_checkpoint11', 'Aximia River');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '129', 'nashal_waypoint_name_checkpoint12', 'The Overlook');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '130', 'nashal_waypoint_name_checkpoint13', 'Kima Way');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '131', 'nashal_waypoint_name_checkpoint14', 'Deep Run');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '132', 'nashal_waypoint_name_checkpoint15', 'Fed-Dub Stretch');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '134', 'nashal_laptime_checkpoint1', 'Leg 1 of 16 Completed! Proceed to Krisa River!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '135', 'nashal_laptime_checkpoint2', 'Leg 2 of 16 Completed! Proceed to Xahn\'s Crossing!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '136', 'nashal_laptime_checkpoint3', 'Leg 3 of 16 Completed! Proceed to Virrago Bend!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '137', 'nashal_laptime_checkpoint4', 'Leg 4 of 16 Completed! Proceed to Garva\'s Turn!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '138', 'nashal_laptime_checkpoint5', 'Leg 5 of 16 Completed! Proceed to Quid Embankment!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '139', 'nashal_laptime_checkpoint6', 'Leg 6 of 16 Completed! Proceed to Snaykinn Pass!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '140', 'nashal_laptime_checkpoint7', 'Leg 7 of 16 Completed! Proceed to Jeassa River!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '141', 'nashal_laptime_checkpoint8', 'Leg 8 of 16 Completed! Proceed to Kyuu\'s Twist!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '142', 'nashal_laptime_checkpoint9', 'Leg 9 of 16 Completed! Proceed to The TH Causeway!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '143', 'nashal_laptime_checkpoint10', 'Leg 10 of 16 Completed! Proceed to Lake Thorn!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '144', 'nashal_laptime_checkpoint11', 'Leg 11 of 16 Completed! Proceed to Aximia River!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '145', 'nashal_laptime_checkpoint12', 'Leg 12 of 16 Completed! Proceed to The Overlook!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '146', 'nashal_laptime_checkpoint13', 'Leg 13 of 16 Completed! Proceed to Kima Way!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '147', 'nashal_laptime_checkpoint14', 'Leg 14 of 16 Completed! Proceed to Deep Run!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '148', 'nashal_laptime_checkpoint15', 'Leg 15 of 16 Completed! Proceed to Fed-Dub Stretch!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '149', 'nashal_laptime_checkpoint16', 'Final Leg! Proceed to Finish Line!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '151', 'nashal_waypoint_name_checkpoint16', 'Finish Line');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '152', 'lok_waypoint_name_checkpoint0', 'Corsair Flow');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '153', 'lok_waypoint_name_checkpoint1', 'Mosseru Run');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '154', 'lok_waypoint_name_checkpoint2', 'The Labyrinth');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '155', 'lok_waypoint_name_checkpoint3', 'The Old Great Wall');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '156', 'lok_waypoint_name_checkpoint4', 'Base of Mount Chaolt');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '157', 'lok_waypoint_name_checkpoint5', 'Mouth of the Beast');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '158', 'lok_waypoint_name_checkpoint6', 'East Rim');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '159', 'lok_waypoint_name_checkpoint7', 'South Rim');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '160', 'lok_waypoint_name_checkpoint8', 'West Rim');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '161', 'lok_waypoint_name_checkpoint9', 'Kedarin Highlands');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '162', 'lok_waypoint_name_checkpoint10', 'Spine Snake River');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '163', 'lok_waypoint_name_checkpoint11', 'Perlek Patch');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '164', 'lok_waypoint_name_checkpoint12', 'Nine Day Island');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '165', 'lok_waypoint_name_checkpoint13', 'Grendin River');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '166', 'lok_waypoint_name_checkpoint14', 'Smuggler\'s Bend');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '167', 'lok_waypoint_name_checkpoint15', 'Stronghold Boundary');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '168', 'lok_waypoint_name_checkpoint16', 'West Gate');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '169', 'lok_laptime_checkpoint1', 'Leg 1 of 17 Completed! Proceed to Mosseru Run!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '170', 'lok_laptime_checkpoint2', 'Leg 2 of 17 Completed! Proceed to The Labyrinth!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '171', 'lok_laptime_checkpoint3', 'Leg 3 of 17 Completed! Proceed to The Old Great Wall!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '172', 'lok_laptime_checkpoint4', 'Leg 4 of 17 Completed! Proceed to Base of Mount Chaolt!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '173', 'lok_laptime_checkpoint5', 'Leg 5 of 17 Completed! Proceed to Mouth of the Beast!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '174', 'lok_laptime_checkpoint6', 'Leg 6 of 17 Completed! Proceed to East Rim!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '175', 'lok_laptime_checkpoint7', 'Leg 7 of 17 Completed! Proceed to South Rim!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '176', 'lok_laptime_checkpoint8', 'Leg 8 of 17 Completed! Proceed to West Rim!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '177', 'lok_laptime_checkpoint9', 'Leg 9 of 17 Completed! Proceed to Kedarin Highlands!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '178', 'lok_laptime_checkpoint10', 'Leg 10 of 17 Completed! Proceed to Spine Snake River!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '179', 'lok_laptime_checkpoint11', 'Leg 11 of 17 Completed! Proceed to Perlek Patch!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '180', 'lok_laptime_checkpoint12', 'Leg 12 of 17 Completed! Proceed to Nine Day Island!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '181', 'lok_laptime_checkpoint13', 'Leg 13 of 17 Completed! Proceed to Grendin River!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '182', 'lok_laptime_checkpoint14', 'Leg 14 of 17 Completed! Proceed to Smuggler\'s Bend!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '183', 'lok_laptime_checkpoint15', 'Leg 15 of 17 Completed! Proceed to Stronghold Boundary!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '184', 'lok_laptime_checkpoint16', 'Leg 16 of 17 Completed! Proceed to West Gate!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '185', 'lok_laptime_checkpoint17', 'Final Leg! Proceed to Finish Line!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '187', 'lok_waypoint_name_checkpoint17', 'Finish Line');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '188', 'narmle_waypoint_name_checkpoint0', 'Southern Archway');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '189', 'narmle_waypoint_name_checkpoint1', 'Crafter\'s Alley');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '190', 'narmle_waypoint_name_checkpoint2', 'Hotel Square');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '191', 'narmle_waypoint_name_checkpoint3', 'Academy Row');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '192', 'narmle_waypoint_name_checkpoint4', 'The Back Alley');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '193', 'narmle_waypoint_name_checkpoint5', 'Overlook Entrance');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '194', 'narmle_waypoint_name_checkpoint6', 'Overlook');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '195', 'narmle_waypoint_name_checkpoint7', 'Overlook Egress');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '196', 'narmle_waypoint_name_checkpoint8', 'Vendor\'s Alley');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '197', 'narmle_waypoint_name_checkpoint9', 'Rorgungan Ruins');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '198', 'narmle_waypoint_name_checkpoint10', 'The Forgotten Heroes');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '199', 'narmle_waypoint_name_checkpoint11', 'Garyn\'s Lookout');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '200', 'narmle_waypoint_name_checkpoint12', 'Squall Patch');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '201', 'narmle_waypoint_name_checkpoint13', 'Chuba Grove');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '202', 'narmle_waypoint_name_checkpoint14', 'Cloning Facility');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '203', 'narmle_laptime_checkpoint1', 'Leg 1 of 15 completed! Proceed to Crafter\'s Alley!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '204', 'narmle_laptime_checkpoint2', 'Leg 2 of 15 completed! Proceed to Hotel Square!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '205', 'narmle_laptime_checkpoint3', 'Leg 3 of 15 completed! Proceed to Academy Row!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '206', 'narmle_laptime_checkpoint4', 'Leg 4 of 15 completed! Proceed to The Back Alley!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '207', 'narmle_laptime_checkpoint5', 'Leg 5 of 15 completed! Proceed to Overlook Entrance!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '208', 'narmle_laptime_checkpoint6', 'Leg 6 of 15 completed! Proceed to Overlook!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '209', 'narmle_laptime_checkpoint7', 'Leg 7 of 15 completed! Proceed to Overlook Egress!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '210', 'narmle_laptime_checkpoint8', 'Leg 8 of 15 completed! Proceed to Vendor\'s Alley!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '211', 'narmle_laptime_checkpoint9', 'Leg 9 of 15 completed! Proceed to Rorgungan Ruins!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '212', 'narmle_laptime_checkpoint10', 'Leg 10 of 15 completed! Proceed to The Forgotten Heroes!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '213', 'narmle_laptime_checkpoint11', 'Leg 11 of 15 completed! Proceed to Garyn\'s Lookout!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '214', 'narmle_laptime_checkpoint12', 'Leg 12 of 15 completed! Proceed to Squall Patch!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '215', 'narmle_laptime_checkpoint13', 'Leg 13 of 15 completed! Proceed to Chuba Grove!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '216', 'narmle_laptime_checkpoint14', 'Leg 14 of 15 completed! Proceed to Cloning Facility!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '217', 'narmle_laptime_checkpoint15', 'Final leg! Head to the finish line!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/racing/racing.stf', '218', 'narmle_waypoint_name_checkpoint15', 'Finish Line');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/royal_kidnapping/nobles.stf', '1', 'start', 'Ach!  Another wretched pirate.  You\'ll never get away with this!  You filthy disease-ridden scum will pay!  Pay dearly!  I have friends in powerful places!  Poweful friends in powerful places!  That\'s right!  Poweful!  They know how to deal with the likes of you!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/royal_kidnapping/nobles.stf', '2', 'reply_1', 'I\'m not a pirate.  I\'m here to rescue you.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/royal_kidnapping/nobles.stf', '3', 'noble_1', 'You\'re not?  Oh, well, I mean of course you\'re not.  I knew that.  I could tell just by looking at you.  You have that heroic sort of aura about you.  Indeed you do.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/royal_kidnapping/nobles.stf', '4', 'noble_1_reply_1', 'You\'re free to go');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/royal_kidnapping/nobles.stf', '5', 'noble_2', 'Hooray!  You\'re my hero!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren.stf', '1', 'escapee_start', 'I can\'t believe I escaped that terrible place!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren.stf', '2', 'escapee_reply_1', 'What place?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren.stf', '3', 'escapee_1', 'The Warren!  It\'s a terrible place!  The horrors!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren.stf', '4', 'escapee_1_reply_1', 'Where is that?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren.stf', '5', 'escapee_1_reply_2', 'What\'s so bad about it?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren.stf', '6', 'escapee_2', 'Here... Here\'s a waypoint that leads to the dreadful place.  I\'ll give you the passkey to get in as well.  Maybe you can put a stop to the horrible experiments that happen there.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren.stf', '7', 'escapee_3', 'Oh the horrors committed there are unspeakable.  Some sort of research... on people\'s BRAINS!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren.stf', '8', 'worker_start', 'Don\'t hurt me!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren.stf', '9', 'worker_reply_1', 'Who are you?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren.stf', '10', 'worker_reply_2', 'What is this place?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren.stf', '11', 'worker_1', 'I am a contract worker hired by Colonel Teraud to keep expanding this facility.... which is crazy given how big it is already.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren.stf', '12', 'worker_1_reply_1', 'Are there more workers in here?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren.stf', '13', 'worker_2', 'All the workers call this place \'The Warren\'.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren.stf', '14', 'worker_2_reply_2', 'What happened here?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren.stf', '15', 'worker_3', 'There are many workers trapped below.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren.stf', '16', 'worker_3_reply_1', 'What do you mean \'trapped\'?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren.stf', '17', 'worker_4', 'The elevator down is locked.  And it can only be unlocked from the Master Control Room by using the four pass-keys.  But you\'ll never get to the Master Control Room without the Turret Defense passcode!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren.stf', '18', 'worker_4_reply_1', 'What is the passcode?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren.stf', '19', 'worker_5', 'I don\'t know.  The only one who knew the passcode is dead by the elevator now.  Oh this is hopeless!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren.stf', '20', 'worker_6', 'An Imperial bigwig came to visit Teraud, and something bad happened. Crazed lab animals burst out of the elevator going down and attacked the workers, killing many of them.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren.stf', '22', 'turret_pass_active', 'Master Control Room Turret Defense System is:  ACTIVE\n\nSpeak the passkey code to deactivate the MCRTDS.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren.stf', '23', 'turret_pass_inactive', 'Master Control Room Turret Defense System is:  INACTIVE.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren.stf', '24', 'turret_pass_deactivated', 'Turret Defense System has been DEACTIVED.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren.stf', '25', 'loyalist_start', 'Wow, the shock must have broken the cyborg circuitry... I can think on my own again... it was horrible, I volunteered to be one of Teraud\'s Loyalists, but the cyborg device was controlling my mind... Look out for Teraud, he\'s a megalomaniac, and he thinks he can topple the Emperor...');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren.stf', '26', 'trooper_greeting_m', 'There\'s another one of Teraud\'s people... kill him!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren.stf', '27', 'trooper_greeting_f', 'There\'s another one of Teraud\'s people... kill her!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren.stf', '28', 'researcher_start', 'It\'s hopeless!  The reactor core is going to blow!  We\'ll all die!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren.stf', '29', 'researcher_reply_1', 'What do we do?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren.stf', '30', 'researcher_1', 'The only way to fix it, is to get the spare reactor core rods from the basement... behind the holding pen. The backup system should have taken over, but I think it was manually overridden.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren.stf', '31', 'researcher_2', 'Good thing the reactor has been disabled!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren.stf', '32', 'researcher_3', 'Now the reactor core rods need to be put in the reactor core.  But the door is locked... there are two manual override switches on this floor... somewhere.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren.stf', '33', 'guard_warning', 'I\'m guarding this cell so you better not come any closer.  Just head back the way you came and I won\'t have to kill you.  Go on!  You can\'t open this cell without the password anyway, and I\'m sure not going to give it to you.  Now get out of here.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren.stf', '34', 'cell_locked', 'The Cell Is Locked:  Authorization Required.  Speak the password to Unlock Cell #21342');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren.stf', '35', 'cell_open', 'Cell 21342 is Unlocked');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren.stf', '36', 'worker_bark1', 'The Inquisitor\'s troops invaded... Teraud\'s loyalists managed to capture her and I think they carted her off to a prison cell...');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren.stf', '37', 'worker_bark2', 'Watch out, those Stormtroopers are shooting on sight, even if you\'re a loyal Imperial Citizen!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren.stf', '38', 'worker_bark3', 'Teraud is a madman... he made us carve the brains out of living Krayt Dragons... who knows what he did with them...');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren.stf', '39', 'worker_bark4', 'Teraud uses a mind control device to control his cyborgs.  I think he planned to make us all his cyborg slaves.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren.stf', '40', 'knag_greeting', 'My children... they\'ll take over the facility, and kill those Stormtroopers... then Teraud will have to admit that I am smarter than he is... that I am the one that will one day rule!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren.stf', '41', 'knag_wins', 'That one probably isn\'t salvageable...');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren.stf', '42', 'knag_attacks', '...this one will probably make a lovely cyborg...');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren.stf', '43', 'mirla_done', 'I can\'t thank you enough for the compassion you\'ve shown me.  And you\'ve exposed Teraud\'s evil plans to the Empire.  I know the Emperor will take care of that mad scientist and this terrible place now.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren.stf', '44', 'mirla_get_teraud', 'We know that Teraud is a madman, but the Empire will require proof of his treachery.  You\'ve got to collect evidence against him and take it to the proper authorities.  Please!  Before it is too late!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren.stf', '45', 'mirla_start', '(sob) What... what do you want?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren.stf', '46', 'mirla_reply_1', 'What\'s wrong?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren.stf', '47', 'mirla_1', 'How can you ask me that?  Have you seen how crazy this place is?  The Stormtroopers killing everything in sight!?  The cyborgs rampaging through the corridors!  I was lucky enough to find a place to hide.  But... my husband... he was on the first floor and I don\'t know if he made it out alive... if he knows I\'m ok... ');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren.stf', '48', 'mirla_1_reply_1', 'I have some bad news');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren.stf', '49', 'mirla_1_reply_2', 'Don\'t worry.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren.stf', '50', 'mirla_2', 'My husband is.... dead?  Oh no... I should have known.  That madman Teraud, this is all his fault.  Thank you for delivering his letter to me.  But please, you have to take him down!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren.stf', '51', 'mirla_2_reply_1', 'I will.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren.stf', '52', 'mirla_3', 'Oh I do hope so... but I have a bad feeling.  Please leave me alone.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren.stf', '53', 'mirla_4', 'The first thing you should do is to get to the Inquisitor.  Teraud\'s men captured her and put her in a cell upstairs.  You\'ll need the passcode to unlock the cell door, but I can tell you what that is.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren.stf', '54', 'mirla_4_reply_1', 'What is it?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren.stf', '55', 'mirla_password', 'The password is - %TO - just speak that near the cell door to unlock it.  Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren.stf', '56', 'heff_done', 'Good to see you again!  No need to worry about Teraud\'s research lab.  The Empire will take care of THAT place.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren.stf', '57', 'heff_bye', 'No time to talk to you.  I\'m a very busy man.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren.stf', '58', 'heff_start', 'What do you want?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren.stf', '59', 'heff_reply_1', 'I have evidence!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren.stf', '60', 'heff_1', 'What?  Let me see that!  So... Teraud is a traitor.  Well this is all the evidence I need.  We\'ll take care of this at once.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren.stf', '61', 'escapee_haskey', 'I already told you!  I even gave you a passkey to get inside!  Won\'t you at least TRY to put a stop to the horrible experiments there?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren_system_messages.stf', '1', 'waypoint_name', 'The Warren');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren_system_messages.stf', '2', 'welcome_terminal', 'Welcome to the premier Imperial Research Facility in the known Galaxy! Under the command of the magnanimous and brilliant Colonel Bors Teraud, this facility engages in cybernetic and cyborg research for the greater glory of the Empire.\n\nMaking use of cutting-edge technology, the brilliant scientists under Colonel Teraud\'s command are pushing forward the boundaries of cyborg technology and neural interaction!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren_system_messages.stf', '3', 'comm_terminal', 'SUBJECT:  IMPERIAL INSPECTION\nCLASSIFIED\n\nTO: COLONEL BORS TERAUD\nFROM : GRAND MOFF ARDUS KAINE\n\nColonel, our impatience with your failure to account for the millions of credits in Imperial funding that have gone your way is increasingly leading us to the conclusion that some sort of malfeasance has been attempted. Our previous inspection by an Imperial Inquisitor resulted in the inquisitor never returning, and your bland answers to our inquiries have proven unsatisfactory.\n\nExpect a fresh inspection team, led by Imperial Inquisitor Janna bel Arde. She has the authority to inspect any aspect of your budget and finances, your team, your facility, and your experiments. Should she locate any irregularities whatsoever, you will be relieved of your command. Given the mysterious disappearance of our last auditor, Inquisitor bel Arde will be accompanied by a military contingent.\n\nI need not remind you that your extremely high levels of funding were in large part because of the personal interest that our illustrious Emperor took in your stated project goals. His eye on you can be valuable when you are doing well. I do not think you want his attention under any other circumstances.\n\nTRANSMISSION ENDS\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren_system_messages.stf', '4', 'diary_terminal', 'Dear diary,\n\nOh I am so sad today.  Just like yesterday and the day before.  I bet I will be even more sad tomorrow.  Working for Teraud is horrible.  First my friend Matlo vanished, and now my coworker whose name I can\'t even pronounce, let alone spell, has mysteriously disappeared.  And I have to do all his work!  The screaming from some of the rooms raises the hair on the back of my neck.\n\nThey tell us those rooms are off-limits - they don\'t even trust us to go down one floor without approval from four supervisors.  Like any of us ever want to go down there anyway!  All the animals are creepy, and Teraud\'s personal Loyalists are even worse!  Considering this is an Imperial Research facility, these people don\'t seem very loyal to the Empire.\n\nOh great, more screaming from the ... well that sounds closer than usual.  I better go see wha');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren_system_messages.stf', '5', 'diary_terminal_name', 'Diary Terminal');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren_system_messages.stf', '6', 'comm_terminal_name', 'Communications Terminal');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren_system_messages.stf', '7', 'passkey_name', 'Main Entry Passkey');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren_system_messages.stf', '8', 'passkey1_name', 'Master Control Room Elevator Control Passkey One');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren_system_messages.stf', '9', 'passkey2_name', 'Master Control Room Elevator Control Passkey Two');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren_system_messages.stf', '10', 'passkey3_name', 'Master Control Room Elevator Control Passkey Three');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren_system_messages.stf', '11', 'passkey4_name', 'Master Control Room Elevator Control Passkey Four');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren_system_messages.stf', '12', 'letter_name', 'a letter');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren_system_messages.stf', '13', 'letter_text', 'Dearest Mirla, \n\nWe don\'t know what has happened down below, but shortly after the Imperials arrived, the beasts broke out of their cages and began a terrible rampage.  There is carnage everywhere here and I don\'t think we\'re going to last much longer.  I want you to know that I love you very much - as much today as the day of our marriage.\n\nI hope that you have found a safe place to hide until help arrives.  I\'m writing this farewell letter in hopes that someone will find it and deliver it to you, because I don\'t think I\'m going to make it out of here alive.\n\nDon\'t grieve for me.  I have known more happiness in the past few years than anyone deserves, and I\'ll always be with you in your heart.\n\nI love you!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren_system_messages.stf', '14', 'turret_data_name', 'Turret Sequence');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren_system_messages.stf', '15', 'mcr_term_deactivated', '+Security Lock Deactivated+');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren_system_messages.stf', '16', 'mcr_term_active', '+Passkey Not Found:  Security Lock is ACTIVE+');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren_system_messages.stf', '17', 'elev_one_secure', '+Master Control Security Lock Engaged:  ACCESS DENIED+');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren_system_messages.stf', '18', 'deactivate_core', '* REACTOR CORE DEACTIVATED *');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren_system_messages.stf', '19', 'switch_one', '* Reactor Core Lockdown Override #1 Activated *');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren_system_messages.stf', '20', 'switch_two', '* Reactor Core Lockdown Override #2 Activated *');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren_system_messages.stf', '21', 'switch_done', '* REACTOR CODE LOCKDOWN OVERRIDE COMPLETE *');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren_system_messages.stf', '22', 'turret_pass_deactivated', 'Turret Defense System has been DEACTIVED.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren_system_messages.stf', '23', 'turret_pass_inactive', 'Master Control Room Turret Defense System is:  INACTIVE.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren_system_messages.stf', '24', 'turret_pass_active', 'Master Control Room Turret Defense System is:  ACTIVE\n\nSpeak the passkey code to deactivate the MCRTDS.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren_system_messages.stf', '25', 'inq_letter_name', 'FOUO: Imperial Communication Disk');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren_system_messages.stf', '26', 'inq_letter_text', 'Attacked by surprise en route to the research facility\'s lower levels.  Teraud is no where to be seen, but his loyalists ambushed my Stormtrooper escort.  We were divided in the battle and I\'ve been badly wounded, captured, and thrown into a cell.  I do not expect help to arrive in time.\n\nAny Imperial Citizen that finds this Communication Disk:  Consider this a direct order from Imperial Inquisitor Janna bel Arde:  Locate evidence to prove Colonel Teraud is a traitor and a madman.  He cannot be allowed to disrupt the peace and order of the Empire.  Blast your way through \'The Warren\' (as they call it here) if you must, but locate enough evidence to bring down the might of the Empire on this would-be despot.  Deliver this letter and the evidence you collect to the Captain Heff in the Theed Palace on Naboo.\n\nThe Captain will know what to do.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren_system_messages.stf', '27', 'cell_locked', 'The Cell Is Locked:  Authorization Required.  Speak the password to Unlock Cell #21342');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren_system_messages.stf', '28', 'cell_open', 'Cell 21342 is Unlocked');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren_system_messages.stf', '29', 'bio_terminal_name', 'Procedural Instruction Terminal');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren_system_messages.stf', '30', 'bio_terminal', 'BRAIN REMOVAL PROCEDURES-\nObey all procedural rules for critical brain evacuation in order to prevent trauma.  The following information is CLASSIFIED.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren_system_messages.stf', '31', 'dev_control_name', 'Encryption Key Generator');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren_system_messages.stf', '32', 'dev_control_terminal', '[Authorization required.]\n\nRemote encryption transmission system v8.06.\n\nLast access [TODAY] transmission to destination Airlock Blast Door Security Lockdown procedure 8.2.1.5.67b.\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren_system_messages.stf', '33', 'mnu_download', 'DOWNLOAD CODE');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren_system_messages.stf', '34', 'download_complete', 'DOWNLOAD COMPLETE');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren_system_messages.stf', '35', 'mirla_password', 'The password is - %TO - just speak that near the cell door to unlock it.  Good luck.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren_system_messages.stf', '36', 'name_jerrd', 'Jerrd Sonclim (a guard)');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren_system_messages.stf', '37', 'name_knag', 'Doctor Knag (a researcher)');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren_system_messages.stf', '38', 'name_dirk', 'Dirk Maggin (a dying loyalist)');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren_system_messages.stf', '39', 'name_phy', 'Phy Hudgen (an escaped worker)');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren_system_messages.stf', '40', 'name_ovitt', 'O\'Evitt Piboi (an escapee)');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren_system_messages.stf', '41', 'name_heff', 'Captain Heff (an Imperial Captain)');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren_system_messages.stf', '42', 'name_mirla', 'Mirla (a worker)');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren_system_messages.stf', '43', 'name_manx', 'M\'anx Try (a researcher)');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren_system_messages.stf', '44', 'elev_range', 'You are too far away to use that');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren_system_messages.stf', '45', 'elev_toolow', 'You are already on the bottom floor');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren_system_messages.stf', '46', 'core_warning', 'WARNING:  Reactor Core Overload Imminent.  Control Center Lock-Down initiated.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren_system_messages.stf', '47', 'got_evidence', 'You have already downloaded evidence from this terminal');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren_system_messages.stf', '48', 'get_evidence', 'DOWNLOAD EVIDENCE');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren_system_messages.stf', '49', 'access_denied', 'ACCESS DENIED:  YOU DO NOT HAVE THE PROPER PASSKEY TO ENTER THIS FACILITY');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren_system_messages.stf', '50', 'access_granted', 'ACCESS GRANTED:  Passkey code accepted.  Welcome to this Imperial Research Facility');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren_system_messages.stf', '51', 'switch_name_1', 'Reactor Core Lockdown Override Switch One');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren_system_messages.stf', '52', 'switch_name_2', 'Reactor Core Lockdown Override Switch Two');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren_system_messages.stf', '53', 'core_rod_name', 'Reactor Core Control Rod');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren_system_messages.stf', '54', 'mcr_term_name_on', 'Passkey Terminal: ON');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren_system_messages.stf', '55', 'mcr_term_name_off', 'Passkey Terminal: OFF');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren_system_messages.stf', '56', 'turret_term_on', 'Turret Control Terminal: ACTIVATED');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren_system_messages.stf', '57', 'turret_term_off', 'Turret Control Terminal: DEACTIVATED');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren_system_messages.stf', '58', 'core_name_on', 'Reactor Core: OVERLOAD IMMINENT');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren_system_messages.stf', '59', 'core_name_off', 'Reactor Core: SHUTDOWN');
INSERT INTO `client_strings` VALUES ('string/en/theme_park/warren/warren_system_messages.stf', '60', 'insert_rod', 'You insert the reactor core control rods into the reactor core.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/curator.stf', '1', 'player_1_1', 'Yes.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/curator.stf', '2', 'player_1_2', 'Sure.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/curator.stf', '3', 'player_1_3', 'Yeah, why not.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/curator.stf', '4', 'player_1_4', 'Ok, I\'m game.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/curator.stf', '5', 'player_2_1', 'No.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/curator.stf', '6', 'player_2_2', 'Not a chance.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/curator.stf', '7', 'player_2_3', 'Not today.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/curator.stf', '8', 'player_2_4', 'Can\'t do it.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/curator.stf', '9', 'player_3_1', 'What is this valuable artifact?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/curator.stf', '10', 'player_3_2', 'Why are you coughing? Are you all right?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/curator.stf', '11', 'npc_1_1', 'Well, well, a visitor. Hem! Welcome to my humble museum. I am the curator. If you are here regarding the recent theft of a valuable artifact, I am -- hem! -- the one -- hem! Excuse me. -- You may talk to me. Will you pursue the thief and return the artifact?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/curator.stf', '12', 'npc_1_2', 'Ah, welcome back. Hem! You helped my little museum greatly in what I now call the Tusken Robe Incident. Might you now handle a similar -- hem! -- regrettable theft? The purloined object is a part of the armor worn by chief miner Melnea Arnthout, one of Tatooine\'s -- hem! -- original settlers. Will you go after it?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/curator.stf', '13', 'npc_1_3', 'Ah, you are ready for more work? I hoped you would inquire. Hem! Now some thief has stolen a mineral scanner that dates back to the original settlement of Tatooine. It defies understanding why anyone would steal it; it lacks -- hem! -- notable historic or economic value. Can you return it safely?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/curator.stf', '14', 'npc_1_4', 'It defies belief, my friend, but -- hem! -- my museum is once again the victim of theft. I have no idea who would steal this artifact -- but the Hutts have many enemies, hem! So it is not inconceivable -- but I am maundering. Will you retrieve the artifact?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/curator.stf', '15', 'npc_2_1', 'Excellent. The stolen Tusken Raider robe has a hidden homing beacon, as is standard museum procedure. In all likelihood you will find the thief at the designated coordinates. Thank you, thank you!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/curator.stf', '16', 'npc_2_2', 'Good. The armor, like the robe you returned earlier, has a tracking beacon that should lead you right to the thief. I speed you on your way!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/curator.stf', '17', 'npc_2_3', 'I trust the tracking beacon hidden within the scanner will lead you to the culprit, as always. Please return the item intact.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/curator.stf', '18', 'npc_2_4', 'Splendid. You will recall, of course, that all museum artifacts have tracking beacons. It is fortunate the thieves never think to disable these! Please locate the thief and return the artifact by any means.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/curator.stf', '19', 'npc_3_1', 'I apologize for my mistake. Please enjoy your visit to my little sanctuary. Hem!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/curator.stf', '20', 'npc_3_2', 'Not available just now? I understand. Please enjoy your visit to my little sanctuary. Hem!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/curator.stf', '21', 'npc_3_3', 'Very well, I wish you good luck in your other endeavors. Enjoy the museum.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/curator.stf', '22', 'npc_3_4', 'Understandable. I wish you well in your travels around our world.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/curator.stf', '23', 'npc_4_1', 'The artifact in question is a robe supposedly worn by the Tusken Raider who led the original assault on Fort Tusken centuries ago. The robe\'s provenance is questionable, but I know no better candidate. I would -- hem! -- very much like it back.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/curator.stf', '24', 'npc_4_2', 'It is the endless dust of this desert. Over the decades I must have inhaled enough to fill a -- hem! -- a binary load lifter. Now, the mission?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/curator.stf', '25', 'npc_4_3', 'It is purely a function of budget, I assure -- hem! I must requisition yet more funds for greater anti-theft protection. It is a terrible indictment of Imperial funding priorities, no? Hem! Now as to the mission?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/curator.stf', '26', 'npc_4_4', 'When the Hutts first arrived on Tatooine, long ago, they held a mass slaughter and subsequent feast. The artifact is, as best we can tell, a chunk of dried meat left over from that initial feast. Will you retrieve it?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/curator.stf', '27', 'npc_reward_1', 'Fine work! The robe appears relatively harmed after its ordeal. These senseless thefts grow ever more frequent. I hope the Empire will grant my petition for an increased theft-control budget.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/curator.stf', '28', 'npc_reward_2', 'The armor appears to be in acceptable condition. Thank you again for your exemplary service. I anticipate a budget increase to handle these thefts soon.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/curator.stf', '29', 'npc_reward_3', 'This is yet another reason I am in your debt. Perhaps you will spread the word among Imperial authorities that this museum requires a greater budget to prevent theft.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/curator.stf', '30', 'npc_reward_4', 'Thank you indeed! I daresay the museum\'s collection would not be perceptibly harmed by the absence of this meat. But as a matter of principle, we must not tolerate artifact theft -- a point I hope the Imperial budget committee remembers when they allocate funds.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/curator.stf', '32', 'player_3_3', 'Why are you seeing so many thefts at your museum?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/curator.stf', '33', 'player_3_4', 'What kind of artifact is it?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/curator.stf', '34', 'gotowork', 'Ah, you\'re here. But -- you have not yet resolved the matter we discussed, correct? Please return when you have results.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/curator.stf', '35', 'enemy_1', 'Utinni! Nik maikka dinnika Dinhint!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/curator.stf', '36', 'enemy_2', 'Hmm. Has that lickspittle of a curator changed his mind? I shall not cancel our arrangement. Rather, I shall cancel you.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/curator.stf', '37', 'enemy_3', 'You are the fence? Late! Dinhint did say right about how much valuable is this hunk of junk, yes? Wait! You are not --!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/curator.stf', '38', 'enemy_4', 'I know you! Hanging around the museum, right? Tell Dinhilt this is no gemstone. You won\'t believe this, but -- Hey, what are you do--?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/om.stf', '1', 'gotowork', 'I still need for you to escort my friend to town. Please hurry! Thanks.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/om.stf', '2', 'cantwork', 'I would love your help escorting some friends of mine who are having trouble reaching town, but rumor has it that you\'re already working on a task for someone else. Come back when you\'re finished and we\'ll talk. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/om.stf', '9', 'not_it', 'No, sorry, that\'s not the item I was looking for...');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/om.stf', '34', 'npc_1_1', 'Well, hello! I wonder if you can help me. Someone from the Sand Dragon Fresher company is supposed to come by the cafe to drop off supplies - but I\'ve gotten word that they are lost just outside of town. Would you be able to find them and escort them to me? I can give you a fine bottle of Corellian Ale... (we have surplus).');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/om.stf', '35', 'npc_2_1', 'Great! I\'m in desperate need of new supplies. Be careful out there!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/om.stf', '36', 'npc_3_1', 'I understand. Perhaps some other time? Take care.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/om.stf', '37', 'player_1_1', 'Yes. I will find the representative and escort them here.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/om.stf', '38', 'player_2_1', 'No. I have no time for this.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/om.stf', '39', 'npc_reward_1', 'Careful with this thing.  It\'s well put together, but if you crush it it won\'t be worth as much.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/om.stf', '52', 'npc_1_2', 'I hope you enjoy the Corellian ale! If you\'re up to it - I have another request. At the moment, I\'m embroiled in a legal battle with a cafe owner in Mos Teike who thinks she owns the recipe for \"Talusian Flat-Bread\" sandwiches. I am supposed to meet with my legal counsel... but unfortunately I got a distress message from him a few moments ago... Would you be willing to escort him to town?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/om.stf', '53', 'npc_2_2', 'Excellent! I look forward to your return... (and an end to this frivolous lawsuit)!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/om.stf', '54', 'npc_3_2', 'Well... okay. I\'m not sure what I\'m going to do about this lawsuit... but okay. Maybe some other time.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/om.stf', '55', 'player_1_2', 'Yes. I will escort the advocate to you.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/om.stf', '56', 'player_2_2', 'No. I am unable to do this for you.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/om.stf', '57', 'npc_reward_2', 'Here\'s your official proclamation.  It won\'t be valid unless I get elected, but hang onto it just in case.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/om.stf', '58', 'npc_1_3', 'I\'m preparing a banquet for my long-time friend and benefactor, Tour Aryon. As a surprise, I\'ve recruited a chef from the \"Fallen Star\" hotel who knows how to prepare Aryon\'s favorite dish! Unfortunately, the chef has not yet arrived - and it is getting late... So, if you\'re willing - I would like for you to escort the chef to me. What do you think?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/om.stf', '59', 'npc_2_3', 'Good.  I regret that I can\'t extend an invitation to the banquet - but I can certainly provide a worthwhile reward. Thanks!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/om.stf', '60', 'npc_3_3', 'That\'s fine. If I could extend an invitation to the banquet, it might be more attactive, eh? Maybe later.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/om.stf', '61', 'player_1_3', 'Yes. I will retrieve the chef for you.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/om.stf', '62', 'player_2_3', 'No. I can\'t.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/om.stf', '63', 'npc_reward_3', 'Here you go.  This is a picture I took taking off from an undiscovered planet.  That picture is one of a kind.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/om.stf', '70', 'player_1_4', 'Yes. I will find one of the clients and escort them you.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/om.stf', '71', 'player_2_4', 'No. Sorry.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/om.stf', '72', 'npc_1_4', 'The curator of our beloved Bestine Museum has started a match-making business on the side called \"Dune-Hearts.\" It\'s not going so well, though. Due to a problem with the museum\'s antique messenger droid all of the clients have been given bad locations in their datapads... and are now wandering the desert, searching vainly for their true loves!  Would you be able to escort one of them back here so that I can set them straight?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/om.stf', '73', 'npc_2_4', 'Wonderful! I\'m sure that the message droid problems will be fixed by the time you return! Be careful.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/om.stf', '74', 'npc_3_4', 'Yes, well - I guess people should solve their own problems. Thanks for your time.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/om.stf', '75', 'npc_reward_4', 'Here\'s a recording rod that I paid way too much for.  It\'s valuable but fragile.  Be careful with it.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/om.stf', '76', 'npc_4_1', 'My name is Om Aynat. Long ago I trained as a chef on Talus - but... bad things happened... and after bouncing unhappily from system to system, I wound up working here at the food-stand for my friend Tour Aryon. ');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/om.stf', '77', 'npc_4_2', 'I developed the recipe while studying under the master chef in Restuss. One weekend (for laughs), we made Talusian sandwiches for a cruiser-load of visiting students. It was a towering sensation! A few days later, word came that the Corellia Times wanted to write about it... and the Master expelled me. Suspicious, don\'t you think? The Corellia Times never got their story. And ever since then I have been rooting out all of the liars who claim to have invented it.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/om.stf', '78', 'npc_4_3', 'It\'s just a nice thing to do! Right after I was exiled from the culinary conservatory in Restuss - some friends of mine in the Imperial Military introduced us. She is a testament to the greatness of the Empire: fair-handed, even-tempered, and... well... just a fantastic person!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/om.stf', '79', 'npc_4_4', 'I\'m not sure. Perhaps being a curator of antiquities makes one unnecessarily fond of old and broken things. I\'m sure that with the recent developments, there is no way that he can justify hanging on to this messenger droid. If he does - we\'ll have many more people stranded out in the desert... looking for love.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/om.stf', '80', 'player_3_1', 'Who are you?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/om.stf', '81', 'player_3_2', 'Did you invent \"Talusian Flat-Bread?\"');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/om.stf', '82', 'player_3_3', 'Why are you hosting a banquet for Tour Aryon?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/om.stf', '83', 'player_3_4', 'Why doesn\'t he get a new messenger droid?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/om.stf', '84', 'dontknowyou', 'Hello, stranger. I can\'t go with you. I\'m waiting for someone else to arrive. Thank you!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/om.stf', '85', 'otherescort', 'I think you\'re here to pick up someone else.  You\'re certainly not taking ME anywhere.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/om.stf', '86', 'escortother', 'You might be looking for someone else...');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/om.stf', '88', 'npc_takeme_1', 'Whew! I thought I would be stuck out here forever. Can you lead me to Om\'s shoppe, please?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/om.stf', '89', 'npc_takeme_2', 'Ah yes. Could you take me to Om Aynat, please?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/om.stf', '90', 'npc_takeme_3', 'Please get me to Bestine! I\'m running out of time and I have so much delicious food to prepare!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_bestine/om.stf', '91', 'npc_takeme_4', 'You don\'t look like my date... but I\'ll be happy to follow you if you\'re headed to Bestine!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_corellia/qualdo.stf', '1', 'qualdo_1', 'I\'m Herm.  Qual\'do Herm.  You must be the new recruit.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_corellia/qualdo.stf', '2', 'qualdo_1_r1', 'That\'s me.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_corellia/qualdo.stf', '3', 'qualdo_1_r2', 'No, you\'re confused.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_corellia/qualdo.stf', '4', 'qualdo_2', 'Good.  I\'ve got some work for you to do.  This was handed down from the Priness herself, but we don\'t want to use one of our regular field agents.  Can we trust you with this?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_corellia/qualdo.stf', '5', 'qualdo_2_r1', 'Absolutely.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_corellia/qualdo.stf', '6', 'qualdo_2_r2', 'I\'m sort of busy now.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_corellia/qualdo.stf', '7', 'qualdo_3', 'Sorry.  I thought you were with us.  Well, carry on then.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_corellia/qualdo.stf', '8', 'qualdo_4', 'Wizard!  I need you to escort a friend of ours.  He\'s had some trouble with the imperials, but they aren\'t bothering with him personally.  They\'ve contracted his life out to a bounty hunter.  I need you to get him here safely, he\'s one of our top scientists.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_corellia/qualdo.stf', '9', 'qualdo_4_r1', 'Where is he?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_corellia/qualdo.stf', '10', 'qualdo_4_r2', 'What does he do?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_corellia/qualdo.stf', '11', 'qualdo_5', 'I knew I could count on you.  Here, I\'ll upload his coordinates to your datapad.  Get to him and make sure he stays safe.  Bring him back here, for the good of the alliance, and I\'ll make sure our superiors know your name.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_corellia/qualdo.stf', '12', 'qualdo_6', 'He\'s an expert in Imperial listening devices.  Without him they\'d be listening into every conversation we have.  Fortunately he\'s been able to block their scans.  But we need him back to do more research.  There\'s a constant cat and mouse game of spying going on, and he\'s the only hope we have of winning it.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_corellia/qualdo.stf', '13', 'qualdo_6_r1', 'Ok, where is he?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_corellia/qualdo.stf', '14', 'qualdo_6_r2', 'I\'ll help you later.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_corellia/qualdo.stf', '15', 'qualdo_7', 'For the Alliance sake, don\'t be long.  We don\'t have time to wait for rookies to get ready.  We need you in the field!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_corellia/qualdo.stf', '16', 'qualdo_8', 'Well, we\'ve been waiting. Are you ready yet?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_corellia/qualdo.stf', '17', 'qualdo_8_r1', 'Sorry.  I\'m ready.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_corellia/qualdo.stf', '18', 'qualdo_8_r2', 'Nope, not yet.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_corellia/qualdo.stf', '19', 'qualdo_9', 'Well, you\'ve blown it.  We\'re going to have to scramble everything now and put a lot of operations on hold until we get a new technician who can work on those listening devices.  Too bad you weren\'t more helpful.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_corellia/qualdo.stf', '20', 'qualdo_10', 'Excellent work.  I\'m putting in a request right now to have you bumped up in pay scale.  When you\'re ready to do more work see Lt. Lance.  He\'ll have something for you to do.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_detail.stf', '1', 'lom', '4lom\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_detail.stf', '2', 'admiral_ackbar', 'admiral ackbar\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_detail.stf', '3', 'barada', 'barada\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_detail.stf', '4', 'base_npc_theme_park', 'base npc theme park\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_detail.stf', '5', 'bib_fortuna', 'bib fortuna\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_detail.stf', '6', 'boba_fett', 'boba fett\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_detail.stf', '7', 'boss_nass', 'boss nass\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_detail.stf', '8', 'bossk', 'bossk\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_detail.stf', '9', 'brea_tonnika', 'brea tonnika\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_detail.stf', '10', 'c_3po', 'c 3po\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_detail.stf', '11', 'chalmun', 'chalmun\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_detail.stf', '12', 'chewbacca', 'chewbacca\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_detail.stf', '13', 'darth_vader', 'darth vader\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_detail.stf', '14', 'dengar', 'dengar\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_detail.stf', '15', 'droopy_mccool', 'droopy mccool\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_detail.stf', '16', 'emperor_palpatine', 'emperor palpatine\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_detail.stf', '17', 'emperor_royal_guard', 'emperor royal guard\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_detail.stf', '18', 'ephant_mon', 'ephant mon\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_detail.stf', '19', 'garindan', 'garindan\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_detail.stf', '20', 'general_jan_dodonna', 'general jan dodonna\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_detail.stf', '21', 'greeata', 'greeata\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_detail.stf', '22', 'han_solo', 'han solo\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_detail.stf', '23', 'hobbie', 'hobbie\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_detail.stf', '24', 'ig_88', 'ig 88\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_detail.stf', '25', 'jabba_the_hutt', 'jabba the hutt\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_detail.stf', '26', 'kabe', 'kabe\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_detail.stf', '27', 'klaatu', 'klaatu\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_detail.stf', '28', 'labria', 'labria\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_detail.stf', '29', 'lady_valarian', 'lady valarian\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_detail.stf', '30', 'lak_sivrak', 'lak sivrak\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_detail.stf', '31', 'leia_organa', 'leia organa\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_detail.stf', '32', 'luke_skywalker', '\n\\#pcontrast1 Title:  \\#pcontrast3 Rebel Alliance Pilot \n\\#pcontrast1 Guild:  \\#pcontrast3 Rogue Squadron \n\\#pcontrast1 Badges: \\#pcontrast3  ...has destroyed the Death Star.\n\n\nLuke helped free Princess Leia Organa from the clutches of the Empire, and delivered her and data stolen by Rebel spies to the Alliance base on Yavin 4.  There, Alliance tacticians formulated an attack plan capable of destroying the Imperial superweapon, the Death Star.  In the battle of Yavin, Luke piloted an X-wing starfighter in the final attack against the Death Star, and fired the proton torpedo volley that destroyed the Imperial weapon.\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_detail.stf', '33', 'lyn_me', 'lyn me\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_detail.stf', '34', 'malakili', 'malakili\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_detail.stf', '35', 'mara_jade', 'mara jade\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_detail.stf', '36', 'max_rebo', 'max rebo\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_detail.stf', '37', 'momaw_nadon', 'momaw nadon\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_detail.stf', '38', 'mon_mothma', 'mon mothma\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_detail.stf', '39', 'muftak', 'muftak\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_detail.stf', '40', 'nien_nunb', 'nien nunb\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_detail.stf', '41', 'nym', 'nym\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_detail.stf', '42', 'oola', 'oola\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_detail.stf', '43', 'prefect_talmont', 'prefect talmont\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_detail.stf', '44', 'r2d2', 'r2d2\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_detail.stf', '45', 'ree_yees', 'ree yees\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_detail.stf', '46', 'salacious_crumb', 'salacious crumb\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_detail.stf', '47', 'senni_tonnika', 'senni tonnika\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_detail.stf', '48', 'sy_snootles', 'sy snootles\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_detail.stf', '49', 'talon_karrde', 'talon karrde\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_detail.stf', '50', 'tessek', 'tessek\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_detail.stf', '51', 'wedge_antilles', 'wedge antilles\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_detail.stf', '52', 'wittin', 'wittin\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_detail.stf', '53', 'yarna_dal_gargan', 'yarna dal gargan\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_detail.stf', '54', 'at_at', 'AT-AT Walker');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_detail.stf', '55', 'at_st', 'AT-ST Walker');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_detail.stf', '56', 'nitra_vendallan', 'nitra vendallan');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_detail.stf', '57', 'willhalm_skrim', 'wilhalm skrim');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_detail.stf', '58', 'pfilbee_jhorn', 'pfilbee jhorn');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_emails/jabbas_palace.stf', '1', 'bib_email_1', 'I take it you noticed the explosive device that was triggered on the speeder?  That was for our visitor\'s own protection.  Hopefully you weren\'t injured in the blast.  I now have more good news.  A pair of notorious thugs in the employ of Lady Valarian are scouring the area seeking our friend.  Find them and kill them.  I\'ll mark the location where our scanners last saw them.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_emails/jabbas_palace.stf', '2', 'bib_email_2', 'You\'re proving to be more valuable than I\'d imagined.  Good work with the thugs from Valarian.  Now find our friend.  He\'s sent me a distress beacon and I\'ve marked the location on your datapad.  Make sure you bring him back here unharmed.  He may have more enemies lurking about, so keep your eyes open.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_emails/jabbas_palace.stf', '3', 'bib_title_1', 'Valarian\'s thugs');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_emails/jabbas_palace.stf', '4', 'bib_title_2', 'Our friend...');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '1', 'cant_work', 'Do not approach me unless you are devoted to offering your services.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '2', 'dontknowyou_1', 'Oh, you\'re not an Imperial? Oh, sorry.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '3', 'dontknowyou_2', 'You\'re not working for him, I take it? If you\'re not, it would be in your best interest to buzz off.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '4', 'dontknowyou_3', 'Oh, you\'re not here to kill me? Sorry.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '5', 'dontknowyou_4', 'You\'re not? Then get out of here!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '6', 'dontknowyou_5', 'Huh? What\'s going on here? Whoa... that was wierd.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '7', 'dontknowyou_6', 'Oh, sorry.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '8', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '9', 'gotowork_2', 'What is this? I don\'t want anything from you.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '10', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '11', 'gotowork_4', 'Huh? What\'s this? I\'m the one who\'s giving it to you, not the other way around.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '12', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '13', 'gotowork_6', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '14', 'next', 'You have served the Empire well.  Your diligence in these matters has been noted.  For now, I expect you to continue your work against the rebellion.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '15', 'notit_1', 'Do not test my patience. This object is insignificant compared to the power of the Force.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '16', 'notit_2', 'This is not the information I have requested. Do not waste my time.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '17', 'notit_3', 'This bears no importance to me.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '18', 'notit_4', 'This does not pertain to the information the criminal was to bring to me.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '19', 'notit_5', 'What is this?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '20', 'notit_6', 'This does not interest me. Begone.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '21', 'notyet', 'I have no time for you now.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '22', 'npc_1_1', 'I have contracted the services of a special agent to watch for any disturbances on Tatooine. My agent has told me of a Rebel that destined for Naboo. You will find that Rebel and destroy him.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '23', 'npc_1_2', 'This datapad contains some incriminating information. I have sent for further information to be delivered to me. You will meet with the Emperor\'s agent and bring to me the information she has acquired.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '24', 'npc_1_3', 'Our Imperial Probe Droids have managed to locate the intended recipient of the former Rebel\'s message. You are now tasked with finding this co-conspirator and destroying them.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '25', 'npc_1_4', 'The connection with this boy and the one who destroyed the Death Star is too coincidental. I have arranged a clandestine meeting between you and an information broker with Black Sun. You are expected there shortly.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '26', 'npc_1_5', 'This seller of information has tried my patience for the last time. He underestimates whom he is trying to cheat. You will go meet him and deliver to him his payment.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '27', 'npc_1_6', 'Having reviewed the information purchased by the former broker, it seems there was something worth interest. It seems that my old nemesis, Obi-Wan, had friends upon this very planet. You are to seek them out and destroy them.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '28', 'npc_2_1', 'You will track down this Rebel and bring back anything of importance on him, for I suspect there was a reason for his journey. My agent has failed in stopping this person. Do not fail me, Agent.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '29', 'npc_2_2', 'Make sure you see to it. Do not keep my Master\'s agent waiting for too long.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '30', 'npc_2_3', 'Our spies have sent Mellag Davin-Lars a message to expect a visitor. You will be that visitor. Bring back anything important located on the corpse.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '31', 'npc_2_4', 'The information broker has collected some information from Tatooine regarding a past event. You are to retrieve those documents and inform him that once I have perused the information, he will then be paid what he deserves.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '32', 'npc_2_5', 'Since this information he is selling is obviously false, you will pay him exactly what he deserves. Kill him.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '33', 'npc_2_6', 'See that it happens. If you find anything of note upon them, bring it to me.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '34', 'npc_3_1', 'You were given a task that must be fulfilled. Do not anger me.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '35', 'npc_3_2', 'You will find that statement to be one of your last mistakes.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '36', 'npc_3_3', 'You try my patience, Agent.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '37', 'npc_3_4', 'You will do so, and you will do so in a timely fashion. Do not anger me with your childish remarks.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '38', 'npc_3_5', 'You try my patience, Agent. Shall I contact the Emperor\'s Hand to settle this?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '39', 'npc_3_6', 'Do not waste my time with your idle talk. Reconsider what you have just said.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '40', 'npc_4_1', 'This Rebel has certain connections to others that interest the Empire. He must not be allowed to reach his contact.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '41', 'npc_4_2', 'Just as I employ agents to perform menial duties, so does my Master. You will meet with one of his specialists who is adept at recovering information. You would do well to learn from her.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '42', 'npc_4_3', 'For being a spy and a traitor to the Empire! This is enough to warrant execution. NOW GO!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '43', 'npc_4_4', 'Black Sun is a criminal organization that is under the good graces of the Emperor. Were I the one to rule the Galaxy, this would be different. Now, you are expected at the rendezvous point.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '44', 'npc_4_5', 'The broker claims that there remained a Jedi on the planet of Tatooine. I personally scoured the planet years earlier and found no trace of him. This story of young Skywalker is a deliberate hoax.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '45', 'npc_4_6', 'Obi-Wan Kenobi was an old enemy. It appears he may have had a deeper connection with the boy who destroyed the Death Star. ');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '46', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '47', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '48', 'npc_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '49', 'npc_5_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '50', 'npc_5_5', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '51', 'npc_5_6', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '52', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '53', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '54', 'npc_6_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '55', 'npc_6_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '56', 'npc_6_5', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '57', 'npc_6_6', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '58', 'npc_backtowork_1', 'You are to intercept this Rebel in a forthwith manner. Depart at once.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '59', 'npc_backtowork_2', 'You are to recover the information the Emperor\'s Hand has brought to me.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '60', 'npc_backtowork_3', 'You are to find this Davin-Lars character and eliminate them at once!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '61', 'npc_backtowork_4', 'You are to meet with the Black Sun agent and bring back the information now.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '62', 'npc_backtowork_5', 'You will pursue that information broker with extreme prejudice.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '63', 'npc_backtowork_6', 'Return when you have dealt with his friends.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '64', 'npc_breech_1', 'You Imperials killed my sister! You all deserve to die for that!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '65', 'npc_breech_2', 'You\'re the one that Vader\'s using nowadays?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '66', 'npc_breech_3', 'How dare you?! You Imperials kill everyone I care about, and now me?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '67', 'npc_breech_4', 'You the one that Vader sent?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '68', 'npc_breech_5', 'So where\'s my payment? Hey... what are you doing with that weapon?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '69', 'npc_breech_6', 'You Imperials may have killed our friend Ben, but you won\'t get his items!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '70', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '71', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '72', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '73', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '74', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '75', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '76', 'npc_failure_1', 'You have failed me. You are fortunate that I am more forgiving than my master.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '77', 'npc_failure_2', 'You have failed me for the last time, Agent.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '78', 'npc_failure_3', 'You were given a direct order, yet you failed me. The justice of the Emperor prevents me from destroying you right now.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '79', 'npc_failure_4', 'You have failed me for the last time, Agent.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '80', 'npc_failure_5', 'You have failed me for the last time, Agent.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '81', 'npc_failure_6', 'You have failed me for the last time, Agent.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '82', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '83', 'npc_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '84', 'npc_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '85', 'npc_more_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '86', 'npc_more_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '87', 'npc_more_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '88', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '89', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '90', 'npc_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '91', 'npc_more_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '92', 'npc_more_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '93', 'npc_more_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '94', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '95', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '96', 'npc_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '97', 'npc_more_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '98', 'npc_more_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '99', 'npc_more_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '100', 'npc_noloc_1', 'The Rebel has yet to arrive. Return to me at a later time.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '101', 'npc_noloc_2', 'She has not yet arrived on the planet. Return to me after some time has passed.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '102', 'npc_noloc_3', 'The Rebel will be expecting you in short time. Return to me shortly and I shall dispatch you.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '103', 'npc_noloc_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '104', 'npc_noloc_5', 'The broker is not able to be found at this time. Return to me later, and I\'ll tell you when he can be destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '105', 'npc_noloc_6', 'This one is not available');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '106', 'npc_reset', 'You have failed me. You are fortunate that I am more forgiving than my master.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '107', 'npc_reward_1', 'You have done well. I see that you have brought me the information the Rebel was delivering. I may have need of your skills shortly.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '108', 'npc_reward_2', 'Interesting. It seems there is a deeper connection as I had suspected. You have performed well, Agent. I know I will have need of your services later.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '109', 'npc_reward_3', 'I find this most disturbing. It seems the hero of the Rebellion shares the same name as this farm boy on Tatooine. Interesting. You may leave for now.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '110', 'npc_reward_4', 'This information cannot be true. Obi-Wan would not have dared to hide himself there.  No! This information is false. You, however, have fulfilled your assignment. I will have more for you shortly.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '111', 'npc_reward_5', 'Impressive. You destroyed him and his friends by yourself. You have done well by me.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '112', 'npc_reward_6', 'This information is most disturbing. It appears that were Alderaan still in existence, I would interrogate Bail Organa to see what the connection between Skywalker and Bail\'s daughter is. Alas, this cannot be done. Very well... I shall pursue a new endeavor. You have served me well, Agent. Fare well, for now.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '113', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '114', 'npc_smuggle_2', 'Here\'s the information Vader wanted. Why he cares about these droids is beyond me, considering he wasn\'t able to stop them in time. I\'ll be off now.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '115', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '116', 'npc_smuggle_4', 'So look, here\'s the lowdown on what happend in that cantina. Now you tell that armored freak that I expected to be paid for this, got it?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '117', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '118', 'npc_smuggle_6', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '119', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '120', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '121', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '122', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '123', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '124', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '125', 'npc_work_1', 'Report your news.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '126', 'npc_work_2', 'What do you require?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '127', 'npc_work_3', 'Why do you bother me, agent?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '128', 'npc_work_4', 'Why do you disturb me?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '129', 'npc_work_5', 'What do you need?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '130', 'npc_work_6', 'Why do you bother me?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '131', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '132', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '133', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '134', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '135', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '136', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '137', 'player_1_1', 'Yes, Lord Vader.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '138', 'player_1_2', 'I shall do so at once, Lord Vader.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '139', 'player_1_3', 'As you wish, Lord Vader.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '140', 'player_1_4', 'Yes, Lord Vader. What will you need of me?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '141', 'player_1_5', 'As you wish, Lord Vader.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '142', 'player_1_6', 'I will leave at once, Lord Vader.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '143', 'player_2_1', 'I cannot do this for you, Lord Vader.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '144', 'player_2_2', 'I am unable to comply with this order.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '145', 'player_2_3', 'I am unable to do this, Vader.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '146', 'player_2_4', 'I cannot do this, Lord Vader.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '147', 'player_2_5', 'I will not do so, Vader.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '148', 'player_2_6', 'I will not destroy a family for the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '149', 'player_3_1', 'Why is this one Rebel so important?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '150', 'player_3_2', 'Who is this agent I am to meet?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '151', 'player_3_3', 'What is this Rebel charged with?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '152', 'player_3_4', 'Why is the Empire dealing with Black Sun?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '153', 'player_3_5', 'What was false about the information?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '154', 'player_3_6', 'Who is this Obi-Wan?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '155', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '156', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '157', 'player_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '158', 'player_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '159', 'player_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '160', 'player_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '161', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '162', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '163', 'player_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '164', 'player_5_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '165', 'player_5_5', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '166', 'player_5_6', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '167', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '168', 'player_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '169', 'player_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '170', 'player_more_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '171', 'player_more_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '172', 'player_more_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '173', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '174', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '175', 'player_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '176', 'player_more_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '177', 'player_more_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '178', 'player_more_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '179', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '180', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '181', 'player_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '182', 'player_more_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '183', 'player_more_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '184', 'player_more_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '185', 'player_reset', 'I can no longer do this for you, Lord Vader.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '186', 'player_sorry', 'What are the details of my assignment?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '187', 'return_waypoint_description_1', 'Lord Vader is awaiting your return. Bring him the datapad to complete your mission.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '188', 'return_waypoint_description_2', 'Lord Vader is waiting for you to bring those documents back to him.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '189', 'return_waypoint_description_3', 'Now that you have the letter, return it to Lord Vader immediately.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '190', 'return_waypoint_description_4', 'Darth Vader is waiting for this information. Return to him at once.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '191', 'return_waypoint_description_5', 'Return to Vader to inform him that the deed is done.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '192', 'return_waypoint_description_6', 'Return to Lord Vader now that the Kenobi line has been destroyed.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '193', 'return_waypoint_name_1', 'Darth Vader');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '194', 'return_waypoint_name_2', 'Darth Vader');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '195', 'return_waypoint_name_3', 'Darth Vader');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '196', 'return_waypoint_name_4', 'Darth Vader');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '197', 'return_waypoint_name_5', 'Darth Vader');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '198', 'return_waypoint_name_6', 'Darth Vader');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '199', 'waypoint_description_1', 'You are to seek out and destroy this Rebel before he makes contact with his fellow conspirators.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '200', 'waypoint_description_2', 'You should be able to find the Emperor\'s Hand waiting with some documents.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '201', 'waypoint_description_3', 'You are to kill Mellag Davin-Lars then locate any incriminating information you can find.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '202', 'waypoint_description_4', 'You are to meet with a member of Black Sun to retrieve some documents');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '203', 'waypoint_description_5', 'You are to give the information broker everything he deserves');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '204', 'waypoint_description_6', 'Destroy the friend of Obi-Wan Kenobi');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '205', 'waypoint_name_1', 'Rebel Courier');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '206', 'waypoint_name_2', 'Emperor\'s Hand');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '207', 'waypoint_name_3', 'Rebel Sympathizer');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '208', 'waypoint_name_4', 'Information Broker');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '209', 'waypoint_name_5', 'Information Broker');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '210', 'waypoint_name_6', 'Obi-Wan Kenobi\'s Friend');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/darth_vader.stf', '211', 'gotowork', 'Return to your master.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '1', 'cant_work', 'You display much audacity, little one. You enter my chambers, yet your loyalties lie elsewhere. Think upon what I have said.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '2', 'dontknowyou_1', 'If you\'re not the one, then why are you talking to me?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '3', 'dontknowyou_2', 'Who are you, then? Get outta here!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '4', 'dontknowyou_3', 'Just doing my job.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '5', 'dontknowyou_4', 'I am sorry. I have mistaken you for someone else. Good day.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '6', 'dontknowyou_5', 'Oh, nevermind.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '7', 'dontknowyou_6', 'You aren\'t. Oh, I\'m sorry.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '8', 'dontknowyou_7', 'Ooops. Sorry, I was... ummm... practicing my lines.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '9', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '10', 'gotowork_2', 'What\'s this? The old guy said we were going to get something special.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '11', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '12', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '13', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '14', 'gotowork_6', 'She has told us that you would deliver a speech. Where is it?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '15', 'gotowork_7', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '16', 'next', 'I have no need of your skills right now. In the meantime, hone your skills, and let your hate guide you.  Go and see my apprentice.  Lord Vader has some more tasks for you...');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '17', 'notit_1', 'This is not what I asked for? Do you feel a trinket shall sway my favor?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '18', 'notit_2', 'What is this?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '19', 'notit_3', 'What\'s this?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '20', 'notit_4', 'What\'s this?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '21', 'notit_5', 'What is this?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '22', 'notit_6', 'What is this?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '23', 'notit_7', 'What is this?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '24', 'notyet', 'You display much audacity by stepping before me. This is... amusing.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '25', 'npc_1_1', 'So you are the one I have heard so much about, eh?  I am certain you would not be adverse to helping me with a little problem, would you?  The Rebels have come looking for the datapad you recovered from the escaped prisoner.  I will now need to speak with the head of a local gang of thugs.  Would you bring him to me?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '26', 'npc_1_2', 'The leader of these... mercenaries... has decided to curtail their criminal activites and have become loyal subjects to the Empire.  They have willingly offered their services for an errand I need done.  They are now awaiting a very special package, one in which I can entrust you to deliver, correct?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '27', 'npc_1_3', 'You may rise, my young friend.  I have need of your services again, for you have been most loyal to the Empire.  You will need to help disable some bothersome security experts in order to allow the team of mercenaries to fulfill their task.  You find yourself capable of doing such, do you not?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '28', 'npc_1_4', 'It seems that the Queen was not pleased with her visitors and has become quite vocal over this.  Lord Vader has informed her that the Empire had no involvement with this.  I am sending an escort to bring one of her Handmaidens here so that I may apologize for this misunderstanding.  You will wish to offer your services as escort, am I right?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '29', 'npc_1_5', 'The Queen has been shown records of a Rebel raid that lost the Empire several crates of Stormtrooper armor.  It has been suggested to her that the Rebel imposters were trying to scare her into joining their side by masquerading as Imperial troops.  We tracked down these Rebels, and are sending a team to handle them.  You are that team.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '30', 'npc_1_6', 'The Queen has now decided to redirect her anger, and has recorded a rather... hateful... message to be viewed by the Naboo High Council.  This message must get to the Council immediately before they vote.  I trust you will be able to deliver this, correct?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '31', 'npc_1_7', 'The Queen\'s hate has made us powerful.  The Rebel General is now fleeing the planet under the threat of imprisonment from the good Queen.  Our patience has paid off, young friend.  Go intercept the foolish Rebel and kill him personally.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '32', 'npc_2_1', 'I have had a message sent to this criminal, and he will be awaiting you to bring him here.  He is aware that he will be granted immunity for his gang\'s activites whilst we speak.  Treat him with all due respect, and bring him within my presence.  I expect not to wait long...');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '33', 'npc_2_2', 'Good, good.  I knew you would be most willing to offer yourself for this duty.  Take this datapad with the plans to a major... contruction... project that is in the works.  You will deliver it to our new Imperial subjects, for they will keep it safe.  Make sure that only they receive it.  I will be quite displeased to hear of you failing me.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '34', 'npc_2_3', 'This pleases me to hear this.  You need to travel to the following location to eliminate the Queen\'s security experts.  Destroy these fools in order to allow the mercenaries to perform their task undisturbed.  Worry not, my friend, the Queen shall not come to too much harm  She\'s no good to me dead.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '35', 'npc_2_4', 'I expect the Handmaiden safely escorted here without any harm brought to her.  Treat her handmaiden as if it were the Queen itself, subject.  If anything happens to her, I will be...most displeased.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '36', 'npc_2_5', 'I do not believe you will.  You will need to locate the remainder of the band of criminals and exterminate them.  After you have eliminated the leader of their band, return here with the datapad he was safely hiding.  Your actions will be recorded for the Queen to see, so it would be wise to silence them before they speak.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '37', 'npc_2_6', 'Your dedication pleases me.  Take this holodisc and bring it to the Council.  The Queen will leave shortly to confirm her message to the Council, but this needs to be there immediately.  Return here after they have watched the message, so this way we can see our plans to their completion.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '38', 'npc_2_7', 'Do not fail me.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '39', 'npc_3_1', 'I am distressed with your lack of conviction.  Very well, then.  You may leave.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '40', 'npc_3_2', 'Do you question my choices, subject?  Perhaps I can come to a much better solution...');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '41', 'npc_3_3', 'I find your lack of versatility disturbing.  You will want to learn very quickly and return here to tell me of your successful lessons.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '42', 'npc_3_4', 'It is better that you decline and face the consequences than to fail me.  Your courage is admirable, but you loyalty is now... questionable....');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '43', 'npc_3_5', 'I have placed more faith in you than you seem to deserve.  It is a shame that such a valuable resource will go to waste...');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '44', 'npc_3_6', 'No, your dedication would have been enough.  You have failed me horribly... Rebel.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '45', 'npc_3_7', 'You will pay the price for your lack of vision, young fool!  I will deal with you shortly.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '46', 'npc_4_1', 'Oh, there is no connection between these two parties.  At least, not yet.  Information has been intercepted that claims a Rebel General has been sent to personally recover the plans on that datadisc.  It has come to my attention that the Queen of Naboo will be harboring this Rebel General.  This so very displeases me.  Shall you do this now?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '47', 'npc_4_2', 'Ahhh... you are quite impatient, young one.  The most pleasant of surprises are the ones that are well thought out.  I do so fear ruining the fun for everyone involved, that I cannot reveal anything more yet. *cackles*  Soon, soon, your patience will pay off.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '48', 'npc_4_3', 'In a manner of speaking, yes.  The Queen of Naboo has hidden the Rebel General away within her Summer Home, or so she thinks.  The mercenaries job will be to speak to the Queen in a quite... brutish... manner.  They will force her to reveal the whereabouts of the General, though I expect them to fail miserably.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '49', 'npc_4_4', 'Oh, for they were wearing Stormtrooper armor we provided when they did so.  She now believes the Rebel General that the Empire is a threat, and has called the Naboo High Council to vote on whether they should openly ally with the Rebels.  The Queens of Naboo are quite easily persuaded to believe anything, I fear...');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '50', 'npc_4_5', 'The criminal leader is holding the datapad you delivered him earlier, which will be shown to the Queen.  This will show that the Rebel General was using the datapad story as a ruse to power down her generators.  The Queen will see the datapad holds plans to construct a super-weapon to be used by the Rebels...after a few changes, that is.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '51', 'npc_4_6', 'The Queen has informed the Naboo High Council that she has witnessed evidence that the Rebels have tried to assassinate her through a devious plot.  Were it not for the intervention of the Empire, she would have surely been killed.  With much anger flowing through her, she has denounced the Rebellion and branded them as criminals.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '52', 'npc_4_7', 'Yes.. let your anger flow through you.  Not until the General is shown the true power of the Dark Side shall his life be extinguished.  Go now and destroy him.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '53', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '54', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '55', 'npc_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '56', 'npc_5_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '57', 'npc_5_5', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '58', 'npc_5_6', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '59', 'npc_5_7', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '60', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '61', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '62', 'npc_6_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '63', 'npc_6_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '64', 'npc_6_5', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '65', 'npc_6_6', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '66', 'npc_6_7', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '67', 'npc_backtowork_1', 'Do not tarry. I do not take well to those who make me wait.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '68', 'npc_backtowork_2', 'Do not tarry. I do not take well to those who make me wait.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '69', 'npc_backtowork_3', 'Do not make me wait any further.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '70', 'npc_backtowork_4', 'Do not make me wait, subject.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '71', 'npc_backtowork_5', 'Do not make me wait any further.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '72', 'npc_backtowork_6', 'Do not make me wait any longer.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '73', 'npc_backtowork_7', 'Do not fail me.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '74', 'npc_breech_1', 'Hey! You the one who\'s gonna take us to the old guy?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '75', 'npc_breech_2', 'Are you the one who has the stuff?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '76', 'npc_breech_3', 'Hey, you\'re not supposed to be here!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '77', 'npc_breech_4', 'I am Altah, Handmaiden to Queen Kylantha. Are you my escort?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '78', 'npc_breech_5', 'Hey, you\'re the one with the Emperor... hey, wait... he doublecrossed us!!!!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '79', 'npc_breech_6', 'Are you the emmisary sent by the Queen?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '80', 'npc_breech_7', 'I have just warned the Alliance that the Queen led us into a trap! Die, Imperial.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '81', 'npc_dropoff_1', 'So this is the the big guy\'s place? I was expecting somethin\' bigger.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '82', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '83', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '84', 'npc_dropoff_4', 'You have treated me respectfully, therefore I offer you my thanks. I shall let the Queen know of your performance.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '85', 'npc_dropoff_5', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '86', 'npc_dropoff_6', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '87', 'npc_dropoff_7', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '88', 'npc_failure_1', 'I had expected more from you. You are nothing but a sad, sad failure.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '89', 'npc_failure_2', 'I am quite disappointed to hear this. Quite, quite disappointed...');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '90', 'npc_failure_3', 'I sense in you weakness. This will not do...');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '91', 'npc_failure_4', 'Bow your knee to me, pathetic insect. Perhaps then I may see some future usefulness in you...');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '92', 'npc_failure_5', 'I can hear your fear in the sound of your breathing... yes.... yes... you have failed me, have you not?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '93', 'npc_failure_6', 'You have failed me for the last time, whelp.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '94', 'npc_failure_7', 'You have broken the trust I have placed in you, insect. If this is the way it will be, then so be it, INSECT!!!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '95', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '96', 'npc_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '97', 'npc_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '98', 'npc_more_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '99', 'npc_more_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '100', 'npc_more_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '101', 'npc_more_1_7', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '102', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '103', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '104', 'npc_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '105', 'npc_more_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '106', 'npc_more_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '107', 'npc_more_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '108', 'npc_more_2_7', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '109', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '110', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '111', 'npc_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '112', 'npc_more_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '113', 'npc_more_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '114', 'npc_more_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '115', 'npc_more_3_7', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '116', 'npc_noloc_1', 'I sense a disturbance... it is not time for this to happen. Come before me again in a short while.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '117', 'npc_noloc_2', 'I sense a disturbance... it is not time for this to happen. Come before me again in a short while.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '118', 'npc_noloc_3', 'I sense a disturbance... it is not time for this to happen. Come before me again in a short while.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '119', 'npc_noloc_4', 'I sense a disturbance... it is not time for this to happen. Come before me again in a short while.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '120', 'npc_noloc_5', 'I sense a disturbance... it is not time for this to happen. Come before me again in a short while.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '121', 'npc_noloc_6', 'I sense a disturbance... it is not time for this to happen. Come before me again in a short while.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '122', 'npc_noloc_7', 'I sense a disturbance... it is not time for this to happen. Come before me again in a short while.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '123', 'npc_reset', 'You are denying my will? You have much boldness about you, my young friend. Perhaps that can be focused and hardened, hmmm?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '124', 'npc_reward_1', 'Yes, you have served me well.  You may leave until the criminal and I are done with our... conversation.  And take this as compensation.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '125', 'npc_reward_2', 'You have returned.  I trust the plans have been safely placed in their hands?  Good, good.  They should be preparing their men at this time for their assistance they have offered.  I will send for you when I need you to do your part, as well.  There is more compensation for you as well, I believe.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '126', 'npc_reward_3', 'The mercenaries have completed their task due to your assistance.  This is a desirable outcome to these events, don\'t you think?  Now all we need is patience, and we shall see this plan come through.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '127', 'npc_reward_4', 'You have done a remarkable job, my friend.  I am very glad to see the... handmaiden.... was not harmed, for we perish the thought of bringing any harm to the people of Naboo.  Isn\'t that right, Your Highness?  Yes, yes, I\'m quite familiar with your tendency of taking on other... guises.Subject, you may leave now as the Queen and I discuss the horrible tragedy that was brought upon her by Rebel imposters.  Take this as your compensation.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '128', 'npc_reward_5', 'You have performed successfully.  The Queen has watched the distasteful events that unfolded, and will now see what the Rebels really had planned to do.  The painful look she displayed upon her face when she realized she was betrayed by the Rebels was quite.... pleasing.  Go with my blessing.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '129', 'npc_reward_6', 'Everything is proceeding as I have forseen.  The Rebels will be branded as criminals here on Naboo in short order and the Queen has been turned to our side.  The Rebels do not understand they are no match for the power of the Dark Side.  And now it is time for the General to walk into my trap.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '130', 'npc_reward_7', 'The Rebels will be sad to hear they have lost one of their most prized Generals.  Only now do they understand the might of the Empire.  The Rebels will now fear the threat of Naboo\'s Queen.  Without guidance from this General, they will be quite inclined to stay away from Naboo as I continue with my project.  You have served me well, my Hand.  And for that you shall receive this compensation...');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '131', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '132', 'npc_smuggle_2', 'This is all we were supposed to hide? Well, the guy is paying well, so I guess we\'ll keep it hidden like he asked. Now, get out of here!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '133', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '134', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '135', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '136', 'npc_smuggle_6', 'You have shown up just in time. The Council is to vote soon, and the Queen\'s speech will help sway our decision.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '137', 'npc_smuggle_7', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '138', 'npc_takeme_1', 'Let\'s move it. I don\'t like waiting.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '139', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '140', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '141', 'npc_takeme_4', 'Please take me to the Emperor at once. The Queen is waiting for my report as to what the Emperor has to say.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '142', 'npc_takeme_5', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '143', 'npc_takeme_6', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '144', 'npc_takeme_7', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '145', 'npc_work_1', 'You have returned so soon. Why?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '146', 'npc_work_2', 'What do you want, my young friend?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '147', 'npc_work_3', 'Yes?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '148', 'npc_work_4', 'Yes, my young friend?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '149', 'npc_work_5', 'Yes?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '150', 'npc_work_6', 'Why have you returned so soon?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '151', 'npc_work_7', 'Why have you not dealt with the Rebel?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '152', 'otherescort_1', 'If you\'re not the one, then why are you talking to me?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '153', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '154', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '155', 'otherescort_4', 'I am sorry. I have mistaken you for someone else. Good day.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '156', 'otherescort_5', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '157', 'otherescort_6', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '158', 'otherescort_7', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '159', 'player_1_1', 'Yes, at your command, my lord.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '160', 'player_1_2', 'You can place your trust in me, my lord.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '161', 'player_1_3', 'I shall do anything that is asked of me.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '162', 'player_1_4', 'I would be honored to do this, my lord.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '163', 'player_1_5', 'I will not fail you.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '164', 'player_1_6', 'Yes, my lord.  I am at your service.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '165', 'player_1_7', 'As you wish, my master.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '166', 'player_2_1', 'I do not trust myself to do this right.  I cannot.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '167', 'player_2_2', 'This sounds too important for me to do.  I feel Lord Vader should do this, not me.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '168', 'player_2_3', 'I do not know how to disable security systems.  I cannot do this.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '169', 'player_2_4', 'I should not be given a great responsibility such as that.  Send someone else, please.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '170', 'player_2_5', 'I cannot do this all by myself.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '171', 'player_2_6', 'Shouldn\'t there be an entourage to take this to the Council?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '172', 'player_2_7', 'I have too much good in me still.  I\'m afraid I might save the General at the last minute.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '173', 'player_3_1', 'What do these thugs have to do with the Rebel scum?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '174', 'player_3_2', 'Do these security systems guard the Rebel General?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '175', 'player_3_3', 'Do these security systems guard the Rebel General?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '176', 'player_3_4', 'Why is she blaming the Empire for this when they were clearly mercenaries?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '177', 'player_3_5', 'What will this prove to the Queen?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '178', 'player_3_6', 'What was the message she recorded?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '179', 'player_3_7', 'Shall I kill him?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '180', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '181', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '182', 'player_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '183', 'player_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '184', 'player_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '185', 'player_4_6', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '186', 'player_4_7', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '187', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '188', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '189', 'player_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '190', 'player_5_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '191', 'player_5_5', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '192', 'player_5_6', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '193', 'player_5_7', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '194', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '195', 'player_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '196', 'player_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '197', 'player_more_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '198', 'player_more_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '199', 'player_more_1_6', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '200', 'player_more_1_7', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '201', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '202', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '203', 'player_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '204', 'player_more_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '205', 'player_more_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '206', 'player_more_2_6', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '207', 'player_more_2_7', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '208', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '209', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '210', 'player_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '211', 'player_more_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '212', 'player_more_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '213', 'player_more_3_6', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '214', 'player_more_3_7', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '215', 'player_reset', 'My lord, I cannot do this any longer.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '216', 'player_sorry', 'I am sorry, my lord. I was just preparing for my assignment.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '217', 'return_waypoint_description_1', 'Bring the thug to the Emperor. Safely.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '218', 'return_waypoint_description_2', 'Emperor Palpatine has commanded you to return when you are done.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '219', 'return_waypoint_description_3', 'You are expected to give a report to the Emperor');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '220', 'return_waypoint_description_4', 'Return with the handmaiden. The Emperor expects from you a prompt return.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '221', 'return_waypoint_description_5', 'Return to the Emperor now that you have killed all the witnesses.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '222', 'return_waypoint_description_6', 'Return to the Emperor to give him the good news.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '223', 'return_waypoint_description_7', 'Return to the Emperor now to see his plan come to completion.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '224', 'return_waypoint_name_1', 'The Emperor');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '225', 'return_waypoint_name_2', 'The Emperor');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '226', 'return_waypoint_name_3', 'The Emperor');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '227', 'return_waypoint_name_4', 'The Emperor');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '228', 'return_waypoint_name_5', 'The Emperor');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '229', 'return_waypoint_name_6', 'The Emperor');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '230', 'return_waypoint_name_7', 'The Emperor');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '231', 'waypoint_description_1', 'This is where you will find the leader of a group of thugs. Make contact with him.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '232', 'waypoint_description_2', 'You are to deliver some top-secret information to some... well, some thugs.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '233', 'waypoint_description_3', 'Bring down the generators powering the security systems to the Queen\'s Summer Home');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '234', 'waypoint_description_4', 'You are to meet with Altah, one of Queen Kylantha\'s handmaidens. She will act as a representative to the Queen.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '235', 'waypoint_description_5', 'Destroy the band of thugs that attacked the Queen. Find the secret data they are keeping hidden.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '236', 'waypoint_description_6', 'You are to deliver the Queen\'s speech to the Council. Hurry, before they vote.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '237', 'waypoint_description_7', 'Now is your chance to strike at the head of the Rebellion. Wipe him out.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '238', 'waypoint_name_1', 'Thug Leader');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '239', 'waypoint_name_2', 'Thug Representative');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '240', 'waypoint_name_3', 'The Queen\'s Security');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '241', 'waypoint_name_4', 'Altah, Handmaiden to the Queen');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '242', 'waypoint_name_5', 'Imposters');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '243', 'waypoint_name_6', 'Council Representative');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '244', 'waypoint_name_7', 'High Ranking Rebel General');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '245', 'npc_backtowork', 'Do not tarry. I do not take well to those who make me wait.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '246', 'player_reset_1', 'My lord, I cannot do this any longer.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '247', 'player_reset_2', 'My lord, I cannot do this any longer.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '248', 'player_reset_3', 'My lord, I cannot do this any longer.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '249', 'player_reset_4', 'My lord, I cannot do this any longer.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '250', 'player_reset_5', 'My lord, I cannot do this any longer.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '251', 'player_reset_6', 'My lord, I cannot do this any longer.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '252', 'player_reset_7', 'My lord, I cannot do this any longer.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '253', 'player_sorry_1', 'I am sorry, my Lord.  I was just preparing for my assignment.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '254', 'player_sorry_2', 'I am sorry, my Lord.  I was just preparing for my assignment.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '255', 'player_sorry_3', 'I am sorry, my Lord.  I was just preparing for my assignment.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '256', 'player_sorry_5', 'I am sorry, my Lord.  I was just preparing for my assignment.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '257', 'player_sorry_4', 'I am sorry, my Lord.  I was just preparing for my assignment.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '258', 'player_sorry_6', 'I am sorry, my Lord.  I was just preparing for my assignment.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '259', 'player_sorry_7', 'I am sorry, my Lord.  I was just preparing for my assignment.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '260', 'npc_reset_1', 'You are denying my will? You have much boldness about you, my young friend. Perhaps that can be focused and hardened, hmmm?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '261', 'npc_reset_2', 'You are denying my will? You have much boldness about you, my young friend. Perhaps that can be focused and hardened, hmmm?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '262', 'npc_reset_3', 'You are denying my will? You have much boldness about you, my young friend. Perhaps that can be focused and hardened, hmmm?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '263', 'npc_reset_4', 'You are denying my will? You have much boldness about you, my young friend. Perhaps that can be focused and hardened, hmmm?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '264', 'npc_reset_5', 'You are denying my will? You have much boldness about you, my young friend. Perhaps that can be focused and hardened, hmmm?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '265', 'npc_reset_6', 'You are denying my will? You have much boldness about you, my young friend. Perhaps that can be focused and hardened, hmmm?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/emperor.stf', '266', 'npc_reset_7', 'You are denying my will? You have much boldness about you, my young friend. Perhaps that can be focused and hardened, hmmm?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '1', 'cant_work', 'I\'m sorry citizen, but this is not a facility for you to be wandering around. You will need to leave if you are under different assignments.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '2', 'dontknowyou_1', 'If you were not sent here by the Emperor, then I have nothing to say to you.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '3', 'dontknowyou_2', 'What? Get out of here!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '4', 'dontknowyou_3', 'What? Get out of here!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '5', 'dontknowyou_4', 'Oh, nevermind.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '6', 'dontknowyou_5', 'Indentification scans show -zzzrtzzz- show improper escort.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '7', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '8', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '9', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '10', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '11', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '12', 'next', 'Go and speak to Loam Redge.  Your past work has allowed you access to the main hall.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '13', 'notit_1', 'What\'s this? Hmmm?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '14', 'notit_2', 'What\'s this?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '15', 'notit_3', 'What\'s this?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '16', 'notit_4', 'What\'s this?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '17', 'notit_5', 'What\'s this?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '18', 'notyet', 'Could you say that again please?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '19', 'npc_1_1', 'Greetings, citizen.  I am Kaja Orzee, Administrative Assistant to the Emperor, Himself.  I am assuming you are here so that you may help serve the Empire, am I correct?  We are in need of an armed escort to assist in the transportation of an important official.  Do you wish to serve the Empire in this manner?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '20', 'npc_1_2', 'Greetings again, citizen.  There has been progress made on the threats with the Moff, and the Empire has need of you again.  Imperial sector police have recorded a conversation detailing someone hiring an assassin to murder the Moff.  The Empire needs you to track down this person that paid for the contract and retrieve the evidence.  Will you do so?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '21', 'npc_1_3', 'Oh, it\'s good you stopped by right now.  We have just been informed that the Sector Police have found the assassin, but they are not equipped to handle someone of his caliber.  Shall I tell them that I will be sending a specialist out there to assist them with his capture?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '22', 'npc_1_4', 'Good news, citizen!  We have tracked down the way the death threats were being sent to the Moff.  It appears that there was a group of Rebel terrorists, not just one acting alone.  We need someone to \'sneak\' into their midsts and remove their ability to cause any more damage.  Are you willing to serve the Empire this way?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '23', 'npc_1_5', 'Ah, citizen!  It seems that one of the Moff\'s droids had not been altered and survived the last assault, though it is badly damaged.  We need that droid recovered, for it may have information that can be used by the Empire.  Would you be willing to assist in its recovery and escort it back here?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '24', 'npc_2_1', 'You will be escorting a Moff of a local system to meet with other officials here within the Emperor\'s retreat.  You will be expected to treat the Governor with proper respect, and see to it that no harm comes to him during his travel.  You may depart now, for the Governor is waiting.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '25', 'npc_2_2', 'Very good, then.  He will probably still have receipts of his payment to the assassin, so detain him so that you can bring him and his records here.  If he does not cooperate, you are authorized to use force if necessary.  Here is the location where our droids have last spotted him.  Please make haste.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '26', 'npc_2_3', 'I shall inform them immediately - they will be glad to hear you are on your way.  Again, try to get the assassin to give himself up so that we can hand him over to the Emperor\'s Inquistors.  If he is as recalcitrant as was his partner, you are again authorized to use whatever force is necessary.  Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '27', 'npc_2_4', 'I knew you could be counted on, citizen.  Here, this is where you can find these rebel terrorists.  Try to take care of them before they hatch another plan that might cause untold numbers to lose their lives, as some of them have been *VERY* willing to do in the past.  Ask them to surrender, and if not, end their terror.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '28', 'npc_2_5', 'Though I know it is a simple task, it is still important, which you seem to understand.  You will find the droid in the surrounding wilderness region, based off of its last transmission.  Please return that RA-7 model here safely.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '29', 'npc_3_1', '*sighs* Very well, then.  We will likely have to send Stormtroopers to escort him, then.  Your enthusiatic loyalty to the Empire will be noted, citizen.  If you don\'t mind, I have business to attend to now.  Good day.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '30', 'npc_3_2', 'I will have to quickly find someone else, then.  Remember, though, that when you let a Rebel terrorist walk free, you might as well be helping them with their anarchy.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '31', 'npc_3_3', 'You should be ashamed of yourself!  You can handle something like an assassin, but yet you let these new recruits risk their lives?  This is a Rebel assassin, not some trained bounty hunter.  If you don\'t do it for the police, at least do it for the Emperor!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '32', 'npc_3_4', 'Hm.  Perhaps I overestimated you, citzen.  Very well, then.  I shall try to find someone else who wishes to show the Emperor their loyalty.  I believe your answer clearly shows where yours ends.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '33', 'npc_3_5', 'Tsk, tsk.  A shame, citizen.  I believed you were someone who would continue to show initiative.  I see now that I will have to take your name off of the the \'up and coming\' list that is periodically viewed by the Emperor.  Good day to you, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '34', 'npc_4_1', 'Recently, one of the Empire\'s Moffs has been receiving death threats from an unknown sender.  We are currently investigating the source of these threats - Rebel terrorists, no doubt - but the safety of the Moff\'s life is in jeopardy at this time.  The less attention to the escort, the safer he will be.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '35', 'npc_4_2', 'You are dealing with the Empire here, not some ragtag band of misguided Rebels.  We have already detached a team of sector police to track down the assassin, citizen.  What we need is someone to track down the Rebel sympathizer who placed the contract.  We are hoping you will not scare him away before dealing with him.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '36', 'npc_4_3', 'Yes, we do, but we cannot dispatch the Guards.  If we did, who would be there to protect the defenseless Emperor?  You handled the previous situation with such professionalism, that I feel you can handle this with ease.  In addition, this you will be doing your part to scourge this galaxy of another Rebel murderer.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '37', 'npc_4_4', 'No, not yet.  It seems that with the receipts for the \"hit\" contract, there was an address.  An address that led us right to them... the droid repair shop the Moff used to give his droids tune-ups.  They\'ve been planting listening devices in his droids the whole time!  Either way, they don\'t know their leader is dead yet, so surprise is on now on our side.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '38', 'npc_4_5', 'This droid was a RA-7 model who\'s loyalty programming was of a new design.  One in which we should apply to all of our droids, were it my decision.  This was the droid that confirmed the location of the Rebels.  With all their propaganda about their \'Heroic\' droids, I\'d love those Rebels to hear that we have some heroic ones of our own, too!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '39', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '40', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '41', 'npc_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '42', 'npc_5_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '43', 'npc_5_5', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '44', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '45', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '46', 'npc_6_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '47', 'npc_6_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '48', 'npc_6_5', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '49', 'npc_backtowork_1', 'Don\'t take too long, I need that task completed.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '50', 'npc_backtowork_2', 'Don\'t take too long, I need that task completed.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '51', 'npc_backtowork_3', 'Don\'t take too long, I need that task completed.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '52', 'npc_backtowork_4', 'Don\'t take too long, I need that task completed.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '53', 'npc_backtowork_5', 'Don\'t take too long, I need that task completed.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '54', 'npc_breech_1', 'Hello!  Are you here for me?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '55', 'npc_breech_2', 'Sorry, but you\'re in the way. I guess I\'ll charge them for you too.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '56', 'npc_breech_3', 'Sorry, but you\'re in the way. I guess I\'ll charge them for you too.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '57', 'npc_breech_4', 'We knew the Empire would retaliate for us killing the Moff! You\'ll die too!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '58', 'npc_breech_5', 'Zzzrtzz! In the name of the Empire, identify - zzzrtzzz-  In the name of - zzzrtzzz..');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '59', 'npc_dropoff_1', 'I will inform the chamberlain that you performed your duty to the tee.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '60', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '61', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '62', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '63', 'npc_dropoff_5', 'Long live the Emper-peror-peror.... -zzzrtttzzz-.... Priority override - Secure area achieved. Initiating temporary shutdown.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '64', 'npc_failure_1', 'Oh dear... I\'m not too sure Lord Vader will be pleased to hear that the Moff is dead.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '65', 'npc_failure_2', 'I am sorry to hear that you weren\'t able to complete this. I guess I\'ll have to record this on your dossier.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '66', 'npc_failure_3', 'Well, this just puts a damper on my day. I do not think Lord Hethrir will be too happy to hear that you have failed in this simple assignment.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '67', 'npc_failure_4', 'Hmmm... unfortunately, I will not be able to alter these records to show you in a better light. Perhaps you my be able to learn from this failure.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '68', 'npc_failure_5', 'Perhaps I misunderstood you. I believed you said you were able to do this. Were you to have told me that you were that incompetant, I wouldn\'t have assigned this to you.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '69', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '70', 'npc_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '71', 'npc_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '72', 'npc_more_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '73', 'npc_more_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '74', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '75', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '76', 'npc_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '77', 'npc_more_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '78', 'npc_more_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '79', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '80', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '81', 'npc_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '82', 'npc_more_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '83', 'npc_more_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '84', 'npc_noloc_1', 'Odd. This report seems to conflict with the information I need to give you. Let me correct this, then check back with me.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '85', 'npc_noloc_2', 'Odd. This report seems to conflict with the information I need to give you. Let me correct this, then check back with me.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '86', 'npc_noloc_3', 'Odd. This report seems to conflict with the information I need to give you. Let me correct this, then check back with me.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '87', 'npc_noloc_4', 'Odd. This report seems to conflict with the information I need to give you. Let me correct this, then check back with me.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '88', 'npc_noloc_5', 'Odd. This report seems to conflict with the information I need to give you. Let me correct this, then check back with me.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '89', 'npc_reset', 'Fine, come back when you are more capable of helping.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '90', 'npc_reward_1', 'A superb job, citizen.  The Moff spoke highly of your efficiency. He did mention that you might be deserving of some compensation for your assistance.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '91', 'npc_reward_2', 'It is a shame he wouldn\'t reason with you.  Then again, not all of them are misguided, I guess - some are just plain evil, and need to be taken care of accordingly.  I hope the Interrogation team can use this information to find his accomplices.  Please accept this compensation for your assistance.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '92', 'npc_reward_3', 'Our Inquisitor, will be upset to hear the assassin did not come peacefully.  But it was to be expected.  You cannot trust their kind, I say.  If only they would try to work with the Emperor rather than against him.  Oh, and the Inquisitor would like you to have this compensation. He feels you may have earned it.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '93', 'npc_reward_4', 'Once again, you have performed your duties admirably, citizen.  I hope they didn\'t give you too much of a fight.  When will these Rebels ever learn?  They cannot fight the Empire, for we are on the side of right!  Violence doesn\'t solve problems, laws do! *sighs*');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '94', 'npc_reward_5', 'Wonderful!  You have performed in such an exacting manner, I\'m certain the Emperor will want to hear of your achievements.  Good work, citizen!  I shall write you a wonderful letter of recommendation and have it placed in your record.  Have yourself a good day, and may the Emperor live forever!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '95', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '96', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '97', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '98', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '99', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '100', 'npc_takeme_1', 'You have taken your time coming out here, haven\'t you? I\'m a busy man, so let\'s hurry this up.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '101', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '102', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '103', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '104', 'npc_takeme_5', 'Security code override. Malfunction reported -zzzrtzzrt- Require maintenance.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '105', 'npc_work_1', 'Where is the governor?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '106', 'npc_work_2', 'Yes?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '107', 'npc_work_3', 'Yes? How can I help you, citizen?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '108', 'npc_work_4', 'Did you need your assignment explained again, citizen?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '109', 'npc_work_5', 'Yes?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '110', 'otherescort_1', 'If you were not sent here by the Emperor, then I have nothing to say to you.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '111', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '112', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '113', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '114', 'otherescort_5', 'Indentification scans show -zzzrtzzz- show improper escort.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '115', 'player_1_1', 'Yes, I wish to serve the Empire in this capacity.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '116', 'player_1_2', 'Yes, I will track him down for the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '117', 'player_1_3', 'Yes, please let them know that.  I will deal with this assassin myself.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '118', 'player_1_4', 'I\'d be happy to root out this Rebel scum!  Yes, I\'ll do it.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '119', 'player_1_5', 'By all means!  I\'ll bring that heroic droid back here on the double!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '120', 'player_2_1', 'No, I do not feel I should be entrusted with this duty.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '121', 'player_2_2', 'I don\'t believe I am suited to a task such as that.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '122', 'player_2_3', 'Assassin?  Umm... no thanks.  Leave that to the police, I always say.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '123', 'player_2_4', 'One was hard enough, Kaja.  I can\'t handle a group of them!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '124', 'player_2_5', 'No thanks, Kaja.  Just send out a droid recovery team, instead.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '125', 'player_3_1', 'Why aren\'t you sending a squad of Stormtroopers to do so?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '126', 'player_3_2', 'Wouldn\'t you want to track down the assassin first?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '127', 'player_3_3', 'Don\'t you have any special teams designed for this type of work?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '128', 'player_3_4', 'Do they know we\'re on to them yet?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '129', 'player_3_5', 'What\'s so special about this droid?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '130', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '131', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '132', 'player_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '133', 'player_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '134', 'player_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '135', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '136', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '137', 'player_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '138', 'player_5_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '139', 'player_5_5', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '140', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '141', 'player_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '142', 'player_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '143', 'player_more_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '144', 'player_more_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '145', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '146', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '147', 'player_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '148', 'player_more_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '149', 'player_more_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '150', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '151', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '152', 'player_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '153', 'player_more_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '154', 'player_more_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '155', 'player_reset', 'I\'m sorry, I can\'t do this right now.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '156', 'player_sorry', 'I\'ll get right back to work.  Just taking a breather.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '157', 'return_waypoint_description_1', 'The Chamberlain is expecting you to return with the Moff. Keep him safe!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '158', 'return_waypoint_description_2', 'Kaja is waiting for the suspect. Since he died, she\'ll accept the reciepts instead.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '159', 'return_waypoint_description_3', 'Kaja is waiting for the assassin\'s return. Since he didn\'t come willingly, she\'ll accept his pronouncement of death.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '160', 'return_waypoint_description_4', 'Kaja is waiting to learn of what happened to the Rebels.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '161', 'return_waypoint_description_5', 'Kaja and a team of Technicians is awaiting the return of the droid.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '162', 'return_waypoint_name_1', 'Kaja Or\'Zee');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '163', 'return_waypoint_name_2', 'Kaja Or\'zee');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '164', 'return_waypoint_name_3', 'Kaja Or\'zee');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '165', 'return_waypoint_name_4', 'Kaja Or\'Zee');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '166', 'return_waypoint_name_5', 'Kaja Or\'Zee');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '167', 'waypoint_description_1', 'This is where the Moff is waiting to be picked up. Don\'t keep him waiting.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '168', 'waypoint_description_2', 'Apprehend the man who hired the assassin to kill the Moff. If he doesn\'t come willingly, kill him.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '169', 'waypoint_description_3', 'Stop this assassin before he gets to the Moff. If he doesn\'t come willingly, kill him.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '170', 'waypoint_description_4', 'These are the true people behind the assassination attempt on the Moff. Kill them!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '171', 'waypoint_description_5', 'An Imperial droid needs to be escorted back to the Retreat due to it being heavily damaged.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '172', 'waypoint_name_1', 'The Moff');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '173', 'waypoint_name_2', 'The Moff\'s Rival');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '174', 'waypoint_name_3', 'The Moff\'s Assassin');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '175', 'waypoint_name_4', 'Rebel Terrorists');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '176', 'waypoint_name_5', 'Damaged RA-7 Driod');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '177', 'backtowork', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '178', 'npc_backtowork', 'Don\'t take too long, I need that task completed.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/kaja_orzee.stf', '179', 'dontknowyou', 'I can\'t talk now.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '1', 'cant_work', 'Why are you disturbing me? It\'s quite obvious by the look in your eye that you are already busy with other projects. Until you have time to spare, do not bother me!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '2', 'dontknowyou_1', 'Oh, you\'re not here for me? Umm... sorry. I guess I\'m being a bit too paranoid as of late.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '3', 'dontknowyou_2', 'Oh, you\'re here for the meeting? Sorry, invitiation only.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '4', 'dontknowyou_3', 'Oh, sorry. I thought you were someone else.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '5', 'dontknowyou_4', 'Oh, you\'re not here for me? Sorry about that.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '6', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '7', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '8', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '9', 'gotowork_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '10', 'next', 'You have been of great value to me. I shall make certain that word of your service comes to the attention of Lord Hethrir.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '11', 'notit_1', 'What is this? I want the suspect, not some little trinket!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '12', 'notit_2', 'What\'s this? I didn\'t ask for it!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '13', 'notit_3', 'This is not the datapad containing the information I\'ve asked for!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '14', 'notit_4', 'What? I didn\'t ask for this? Get back to work at once, citizen!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '15', 'notyet', 'How did you get in here? If you need something, then speak with the chamberlain, Kaja Or\'Zee.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '16', 'npc_1_1', 'Greetings, citizen.  I am Loam Redge, Chief Imperial Inquisitor here on Naboo.  I have been told you are a resourceful person, and quite willing the serve the Empire\'s need.  I have an assignment for you that consists of apprehending a suspect and bringing him to me for questioning.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '17', 'npc_1_2', 'You\'ve shown up just in time, citizen.  Our prisoner has been quite forthcoming with his information, and fortunately for him, he didn\'t resist too much, which is a good thing.  I do so hate it when they insist on being stubborn.  Regardless, he has clued us into a meeting some underground Rebels will be having soon, and I\'ll need you there.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '18', 'npc_1_3', 'Well, it took some time, but he finally broke down.  I hate it when they struggle... it would be so much easier on them if they just gave in.  It seems that once again, I was able to garner his information just in time.  There is a Rebel that is beelining to their offworld contacts to give them the slicer\'s data.  Intercept him, quickly.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '19', 'npc_1_4', 'Ahhh... hopelessness is always a good tool to use when someone won\'t talk.  It\'s much more effective than intense pain, I do say.  Oh.  Where was I?  Yes, the leader.  He has finally revealed where the slicer has holed up.  He needs to be captured before he finds out his cover has been blown.  Do this quick!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '20', 'npc_2_1', 'This Rebel sympathizer has been quite open with his traitorous views, therefore he will not be too difficult to find.  Since he naively believes that the Empire does not know of him, he should not be too difficult to apprehend.  Return here when you have him in your custody.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '21', 'npc_2_2', 'When you bust up their meeting, you will need to identify which one of them is the leader, and convince him to come in for questioning.  Do not resort to force, for he is too valuable to have a fight break out between you.  I will be better able to convince him of the error of his ways.  Please leave quickly or you\'ll miss the meeting.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '22', 'npc_2_3', 'That\'s the spirit, citizen!  Get the datapad the courier is carrying, and bring it back here immediately.  If he gives up on his own accord, bring him and the datapad back here immediately.  From the sounds of his orders, though, I doubt it will be that easy.  I will settle for just the datapad, if events turn out that way.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '23', 'npc_2_4', 'You will find the Slicer doesn\'t know you\'re coming, so a little surprise will be all you\'ll need to get him to cooperate.  I know you are thoroughly capable of handling this, citizen.  *smiles* This is why I told the Emperor that I would entrust it to you.  Needless to say, do not fail him.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '24', 'npc_3_1', 'Apparently the reports I\'ve heard about you were wrong.  Let\'s see, who signed these papers?  Ah, Kaja did.  I think I\'ll need to present to her a few... questions... as to why she is recording false statements.  I sure do hope for her sake this was just filed wrong.  Hm?  Are you still here?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '25', 'npc_3_2', 'You sniveling little worm!  When it gets a bit dangerous, you crawl into your hole?  Pshaw!  I have no need of you any further, now that you have shown me what you really are, worm.  Leave my presence!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '26', 'npc_3_3', 'You are going to give up just like that?  You have no willpower to speak of, do you?  Are you that pathetic?  Are you!?  Or perhaps.... perhaps you do, and there may be something you are forgetting to mention, hm?  Ahh... I think I understand now............');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '27', 'npc_3_4', 'You forget your station, citizen, and you also forget with whom you are speaking.  I no longer trust your motives for assisting, and I request that you do not leave the planet any time soon.  I am not finished with you yet.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '28', 'npc_4_1', 'I have just... learned... that there is a convicted slicer who has recently escaped from Kessel and is now here on Naboo to meet with some Rebels.  He is quite infamous for resisting many of our techniques, but I myself have yet to... converse... with him.  You will be gathering up a known Rebel sympathizer who may know his of present location.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '29', 'npc_4_2', 'Ah, him.  Well, since he was quite cooperative during his questioning, there will be no need to bring him up on charges.  Not all of these sympathizers have destruction in their hearts, they\'ve just been seduced by the lies the Rebels use to sway the masses.  Now, will you be able make it to their meeting on time?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '30', 'npc_4_3', 'The Rebel leader didn\'t know.  That data was stolen from some Secret Imperial Databanks and has been hidden since the slicer was incarcerated.  Accordingly, the information is encrypted in such a way that only their Rebel High Command can view it.  The Emperor seemed to feel this was most important, as well.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '31', 'npc_4_4', 'Aside from the fact that he escaped from an Imperial prison, defied the Empire by slicing into military computers, and aiding the Rebels?  Not much, other than the fact that he nearly gave the Emperor\'s secret plans to the ...er... citizen, you are not cleared for that information.  Now, will you get out there and apprehend him for me?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '32', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '33', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '34', 'npc_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '35', 'npc_5_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '36', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '37', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '38', 'npc_6_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '39', 'npc_6_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '40', 'npc_backtowork_1', 'I have clearly stated that you are to apprehend the suspect then bring him to me.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '41', 'npc_backtowork_2', 'Bring back the leader of these terrorists!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '42', 'npc_backtowork_3', 'You are to get that data from that courier. At once!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '43', 'npc_backtowork_4', 'You are to apprehend that Rebel scum before he knows you\'re coming!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '44', 'npc_breech_1', 'I knew you would come for me one day.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '45', 'npc_breech_2', 'How did you find this location? It was a secret!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '46', 'npc_breech_3', 'You\'ll get this information over my dead body!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '47', 'npc_breech_4', 'Who are you? You don\'t look like my normal contacts!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '48', 'npc_dropoff_1', 'You may have me, but my friend will come and save me. I swear to it!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '49', 'npc_dropoff_2', 'An Inquisitor? Ohhhh.... the Emperor must be getting very scared. Good.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '50', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '51', 'npc_dropoff_4', 'No, please... please, please, please... don\'t hurt me! I was only playing around with the HoloNet! Seriously!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '52', 'npc_failure_1', 'So you say he died whilst you were escorting him here? Hmmm... perhaps you might have time for a few questions regarding this?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '53', 'npc_failure_2', 'Why is it that I do not fully believe your story about him dying? Hmmm?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '54', 'npc_failure_3', 'So let me get this straight... you\'re saying that the courier never actually had anything on him? Ah... yes... yes, I\'ve heard this one before. Very well, citizen. Oh, if you could, please stick around until the guards... I mean, gift for your services arrive.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '55', 'npc_failure_4', 'I am supposed to give the Emperor a report as to what the Slicer had to say. I see that I will be giving him a different report, altogether.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '56', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '57', 'npc_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '58', 'npc_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '59', 'npc_more_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '60', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '61', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '62', 'npc_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '63', 'npc_more_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '64', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '65', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '66', 'npc_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '67', 'npc_more_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '68', 'npc_noloc_1', 'I must track down where the most likely place to find the suspect. Speak to me again in a short while.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '69', 'npc_noloc_2', 'Hold on. Let me find where I wrote down the meeting location. Ask me again in a short while.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '70', 'npc_noloc_3', 'Let me find out from the prisoner where the courier was destined. Ask me again in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '71', 'npc_noloc_4', 'According to the information we have, the slicer might not be there right now. We shall wait until the time is right,');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '72', 'npc_reset', 'What? How dare you renege on your offer of assistance. Perhaps your loyalties do not lie fully with the Empire, hmmm?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '73', 'npc_reward_1', 'From the looks of him, I do not think this will be a long session.  In the meantime, here is compensation for your assistance.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '74', 'npc_reward_2', 'Superb work, citizen.  I hope he did not bore you with his incessant blather about the Empire.  He should prove a bit tough to persuade him to speak, but it will give me a good challenge, and I don\'t get too many of those as of late.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '75', 'npc_reward_3', 'No courier, I take it?  Hmmm... a shame he didn\'t come willingly - he could have led us to more of their contacts.  Well, at least I can hand over these plans... er... personnel files to the Emperor.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '76', 'npc_reward_4', 'Wonderful... wonderful, wonderful, wonderful.  I am told that the Emperor personally wishes to explain to this slicer how important it is to not steal from the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '77', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '78', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '79', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '80', 'npc_smuggle_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '81', 'npc_takeme_1', 'Very well, then. There\'s no use fighting, I guess.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '82', 'npc_takeme_2', 'So you\'ve caught me, eh? What do you think you\'ll do with me now?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '83', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '84', 'npc_takeme_4', 'Oh no!!! I was told that I would never be caught by the Empire!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '85', 'npc_work_1', 'Why are you disturbing me again?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '86', 'npc_work_2', 'Did you not understand me the first time?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '87', 'npc_work_3', 'Yes? What do you want?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '88', 'npc_work_4', 'Why are you still here? You will lose the element of surprise if you keep lollygagging around!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '89', 'otherescort_1', 'Oh, you\'re not here for me? Umm... sorry. I guess I\'m being a bit too paranoid as of late.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '90', 'otherescort_2', 'Oh, you\'re here for the meeting? Sorry, invitiation only.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '91', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '92', 'otherescort_4', 'Oh, you\'re not here for me? Sorry about that.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '93', 'player_1_1', 'Hm...Sure.  I\'ll do it.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '94', 'player_1_2', 'I\'ll do it.  What shall I do when I\'m there?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '95', 'player_1_3', 'I\'ll do it.  What shall I do when I\'m there?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '96', 'player_1_4', 'He will be captured in a timely fashion!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '97', 'player_2_1', 'I\'m not interested in rounding up civilians for interrogation.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '98', 'player_2_2', 'I\'m not going to rush in on a Rebel meeting!  They\'ll kill me!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '99', 'player_2_3', 'I doubt we will catch him in time, Loam.  The slicer has beaten us.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '100', 'player_2_4', 'I am not Sector Police, Loam.  I am sick of all this apprehending people.  Do it yourself.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '101', 'player_3_1', 'What is this person charged with?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '102', 'player_3_2', 'What happened to the sympathizer I brought in earlier?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '103', 'player_3_3', 'What is the Rebel carrying that is so important?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '104', 'player_3_4', 'Why all of this effort to catch an escaped slicer, of all people?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '105', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '106', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '107', 'player_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '108', 'player_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '109', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '110', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '111', 'player_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '112', 'player_5_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '113', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '114', 'player_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '115', 'player_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '116', 'player_more_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '117', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '118', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '119', 'player_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '120', 'player_more_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '121', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '122', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '123', 'player_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '124', 'player_more_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '125', 'player_reset', 'I cannot do this for you any longer, Inquisitor.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '126', 'player_sorry', 'What do you wish me to do again?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '127', 'return_waypoint_description_1', 'The Inquisitor is awaiting your return. Don\'t keep him waiting.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '128', 'return_waypoint_description_2', 'Loam Redge is anxiously waitiing for you to return with the leader.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '129', 'return_waypoint_description_3', 'Loam Redge is waiting for you to return with the valuable data.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '130', 'return_waypoint_description_4', 'Loam Redge is waiting for you to return the Rebel terrorist.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '131', 'return_waypoint_name_1', 'Inquisitor Redge');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '132', 'return_waypoint_name_2', 'Inquisitor Redge');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '133', 'return_waypoint_name_3', 'Inquisitor Redge');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '134', 'return_waypoint_name_4', 'Inquisitor Redge');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '135', 'waypoint_description_1', 'You should be able to find the Rebel around here');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '136', 'waypoint_description_2', 'You should be able to stop the meeting before they\'re gone. Hurry.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '137', 'waypoint_description_3', 'You need to intercept this courier before he can get the information back to the Rebels.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '138', 'waypoint_description_4', 'Find the slicer, the arrest him! He doesn\'t know you\'re coming.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '139', 'waypoint_name_1', 'Suspected Rebel Sympathizer');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '140', 'waypoint_name_2', 'Rebel Sympathizer Leader');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '141', 'waypoint_name_3', 'Rebel Courier');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '142', 'waypoint_name_4', 'Rebel Slicer');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '143', 'npc_backtowork', 'I would make haste in finishing this task, were I you.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/loam_redge.stf', '144', 'dontknowyou', 'I\'m sorry, I don\'t really feel like talking now.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '1', 'cant_work', 'Why are you bothering me, citizen? Can you not see I am even more busy than you are?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '2', 'dontknowyou_1', 'Oh, I thought you were about to attack me. I\'m just an innocent citizen, minding my own business.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '3', 'dontknowyou_2', 'Oh, sorry. I thought you were someone else.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '4', 'dontknowyou_3', 'Oh, you\'re one of us? Sorry about that.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '5', 'dontknowyou_4', 'You\'re not? Well, have a good day. I\'m waiting for someone else.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '6', 'dontknowyou_5', 'Oh, you\'re not with the Empire. Sorry, my mistake.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '7', 'gotowork_1', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '8', 'gotowork_2', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '9', 'gotowork_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '10', 'gotowork_4', 'I thought he said that he had a hot story on a disc or something.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '11', 'gotowork_5', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '12', 'next', 'You have served me quite well. I have noted on your record that you have displayed full loyalty to the Empire. Perhaps the visiting Captain may have use of you.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '13', 'notit_1', 'What is this? I am not one known for a sense of humor, citizen.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '14', 'notit_2', 'What is this? This is not what I am expecting to receive!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '15', 'notit_3', 'What is this?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '16', 'notit_4', 'What\'s this?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '17', 'notit_5', 'What\'s this?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '18', 'notyet', 'I do not have the faintest idea who you are. Leave my chamber at once.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '19', 'npc_1_1', 'Your loyalty has been brought to my attention.  I have been assured you are willing to do anything to continue to prove your loyalty to the Empire, am I right?  Good.  You are commanded to locate a small time counterfeiter who is offering to sell the Empire some information.  You will be the contact to do business with him.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '20', 'npc_1_2', 'This holodisc confirms exactly what I believed.  These are the ones who have been spreading the recent appearance of Rebel propaganda.  I will not tolerate this happening right under my nose.  Together, we will eliminate this threat.  First, you will need to punish the Rebel who has offered his home as a meeting place.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '21', 'npc_1_3', 'The datapad you recovered was most helpful.  It contained all of the names and locations of these propagandist instigators.  It also showed that a message was sent to warn their leader they have been found out.  You were quite sloppy, weren\'t you?  I have a plan to bring him out of hiding, though.  You will help with this.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '22', 'npc_1_4', 'The foolish Alderaanian propagandist has done exactly as expected.  He has come out of hiding, and has begun to make a nuisance of himself.  Finally, I will crush this annoyance, once and for all.  But first, one last thing.  I will need you to deliver this \'special\' holodisc to the local holonet broadcast station.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '23', 'npc_1_5', 'Sector Police have reported they have captured a local serial killer, the one shown on the most recent Holonet broadcast.  It seems the public were the ones who apprehended him.  Now that they have seen what evil that Rebel leader was capable of, they will no longer believe his lies.  Bring him to me for his trial.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '24', 'npc_2_1', 'You will gather the holodisc he is selling, and pay him with a quick death.  The Empire does not negotiate with terrorists, nor do we pay good credits for information leading to them.  His demise will provide ample message to others that we do not barter like simple merchants.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '25', 'npc_2_2', 'Your devotion is well noted.  You will meet with the owner of the Alderaanian\'s meeting house, and eliminate him from the picture.  Since he is the hub of these propagandists, he should have a datapad that should provide information on their leader.  Locate that, for that is just as important.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '26', 'npc_2_3', 'You will take the fight to our man\'s mentor, exterminate the old troublemaker, this should drive the point home.  I know you will not fail me again, will you?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '27', 'npc_2_4', 'The Holonet broadcast station has been contacted by an \'anonymous citizen\'.  The \'citizen\' claims to have visual proof as to who is responsible for these recent acts of violence.  You will act as the courier for the \'citizen\' and deliver them the holodisc.  Make sure they get it.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '28', 'npc_2_5', 'Very good.  A local mob of citizens has gathered him up and brought him to the Sector Police.  The Emperor has given a statement that his crimes will be tried by the Procurator of Justice, myself.  You are to escort him to me for his... swift... trial.  Make haste, for I am looking forward to this.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '29', 'npc_3_1', 'I have been misinformed of your loyalty, then.  You are dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '30', 'npc_3_2', 'If you are too weak to perform a simple duty, then I have no need of you.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '31', 'npc_3_3', 'I am greatly disappointed in you.  You may have had a place in the Empire, but your future is quite... uncertain... now.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '32', 'npc_3_4', 'HOW - DARE - YOU?!  WHO do you think you are speaking with?  Surely... surely you must be shocked from that explosion, or you wouldn\'t have presumed to say that.  Report to the local medic and have yourself examined.  And I hope for your sake the medic\'s checkup shows signs of trauma... or else.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '33', 'npc_3_5', 'It is too late for you to back out now, friend.  If you seem to remember, I gave you an edited holodisc to give to the Holonet broadcast station.  The un-edited version still exists.  It would be most unfortunate if that copy were to fall into the hands of the public, wouldn\'t it?   I will let you reconsider what you you just said.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '34', 'npc_4_1', 'It has come to my attention that there are some residents living nearby that were originally from Alderaan.  These \'refugees\' are more than likely up to something, and the counterfeiter claims to have a holodisc with recorded suspicious activities on their part.  You are now done with asking frivolous questions.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '35', 'npc_4_2', 'The holodisc contained some recorded images of these Alderaanians meeting at a safehouse.  These are the ones that are claiming Alderaan was destroyed by use of an Imperial weapon.  We both know that the truth is Rebel terrorists blew up the planet\'s core to try gain sympathy for their cause, right?  Right?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '36', 'npc_4_3', 'According to this datapad, the leader\'s mentor retired from the Imperial Navy three years ago,  then later went on to help General Bel Iblis orchestrate the destruction of the Death Star.  A message from his teacher may help convince the leader to come out of hiding.  I am certain when you are done, that message will get to him loud and clear.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '37', 'npc_4_4', 'I had taken the liberty to place a holodisc recorder upon your person during these assignments, which have captured all you have done.  Your loyalty will be rewarded, so have no fear.  This particular disc has been edited in such a manner that all of your actions appear to have been done by the propagandist, not you.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '38', 'npc_4_5', '*sighs*  Rather than making the propagandist a martyr in the eyes of the public, he has now become a reviled villain.  My function as the Procurator of Justice will be to try this man.  With the evidence we have creat - er - received, this will be all that is necessary to convict him in the eyes of the public.  Is your simple mind able to comprehend that?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '39', 'npc_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '40', 'npc_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '41', 'npc_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '42', 'npc_5_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '43', 'npc_5_5', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '44', 'npc_6_1', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '45', 'npc_6_2', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '46', 'npc_6_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '47', 'npc_6_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '48', 'npc_6_5', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '49', 'npc_backtowork_1', 'You will meet with informer and do business the Imperial way.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '50', 'npc_backtowork_2', 'Get that information from the Rebel, fool!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '51', 'npc_backtowork_3', 'Do the deed, agent. And do not ask any more stupid questions!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '52', 'npc_backtowork_4', 'Get that holodisc to the reporter at once. If you do not... perhaps he may receive another one instead, hmm?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '53', 'npc_backtowork_5', 'Go bring that Rebel to me! GO NOW!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '54', 'npc_breech_1', 'So you\'re the one they sent, eh? Hey... what are you doing with that weapon?!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '55', 'npc_breech_2', 'Oh no! The Empire has found us! I need to warn the others!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '56', 'npc_breech_3', 'How dare you accost me! Oh... you\'re here to kill me, eh? We\'ll just see about that, won\'t we?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '57', 'npc_breech_4', 'Are you the one the Procurator -er- I mean mysterious informant was sending?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '58', 'npc_breech_5', 'Oh good! Finally one of you Imperials will listen! Take me to your commander at once!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '59', 'npc_dropoff_1', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '60', 'npc_dropoff_2', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '61', 'npc_dropoff_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '62', 'npc_dropoff_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '63', 'npc_dropoff_5', 'Huh? I.. I don\'t understand... what do you mean I killed my father? THE EMPIRE DID IT, NOT ME!!!!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '64', 'npc_failure_1', 'The informant didn\'t have the datapad, you say? Hmmm... this seems quite convienent, wouldn\'t you say?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '65', 'npc_failure_2', 'You managed to let him get away? How could you be so thoroughly incompetant!?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '66', 'npc_failure_3', 'I find it quite disheartening that you were unable to perform such a simple task. Perhaps the Emperor will have more mercy than I... Sadly, I\'m rarely wrong. Please, friend... stick around until I get back, alright?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '67', 'npc_failure_4', 'What a sad shame for you that you weren\'t able to deliver that holodisc as I asked... what a sad, sad shame indeed....');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '68', 'npc_failure_5', 'What do you mean he died?! Everything I had planned relied upon him! HOW DARE YOU RETURN HERE WITH THE WORD FAILURE UPON YOUR TONGUE?!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '69', 'npc_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '70', 'npc_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '71', 'npc_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '72', 'npc_more_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '73', 'npc_more_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '74', 'npc_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '75', 'npc_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '76', 'npc_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '77', 'npc_more_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '78', 'npc_more_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '79', 'npc_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '80', 'npc_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '81', 'npc_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '82', 'npc_more_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '83', 'npc_more_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '84', 'npc_noloc_1', 'It is not time for you to leave just yet. Come back to me in a short while.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '85', 'npc_noloc_2', 'The time is not right just yet. Come back to me shortly.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '86', 'npc_noloc_3', 'The time is not right. Return to me in a short while.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '87', 'npc_noloc_4', 'The reporter will not be able to leave just yet. Ask me again in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '88', 'npc_noloc_5', 'He should be ready for the taking rather soon. Ask me again in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '89', 'npc_reset', 'I\'m sorry. Did I just hear you tell me that you are a Rebel sympathizer?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '90', 'npc_reward_1', 'Excellent.  I will review this holodisc to see if that lowlife actually had anything worth reporting.  Now, for some compensation...let\'s see what I have...Ah, yes.  This will do quite nicely.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '91', 'npc_reward_2', 'I hope you made his lesson quite painful, yes?  Good... that\'s what I wanted to hear.  These Rebels should be rewarded with exquisite pain to repay them for all they have caused the Emperor.  I will have Kaja go through this datapad and recover names.  As for you, please accept this compensation as an expression of my gratitude.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '92', 'npc_reward_3', 'Sector Police have received a report of a local citizen having experienced an \'unfortunate\' accident.  This is the price one pays when they cross the Empire.  It\'s a shame all of those wretched Alderaanian\'s weren\'t home when their world ceased to exist.  It shouldn\'t be too much longer before the leader breaks his silence... then... we will have him.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '93', 'npc_reward_4', 'The Holonet station has contacted the Empire to let us know they know they have some \'important evidence\'.  Good work.  They are preparing to broadcast the holo to the public, then will give us the holo as evidence.  What I would give to be there to watch the Rebel propagandist\'s face when he watches this broadcast.  This compensation is for your assistance.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '94', 'npc_reward_5', 'Yesss.... By the look in his eye, his spirit has already been broken.  When he hears that he will be charged with 3 counts of murder, destruction of property, and being part of the Rebel plot to destroy Alderaan, well... I\'m certain the horror in his eyes will increase ten-fold.  Ahh...exquisite.  I shall let the Emperor know of your... assistance... with this.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '95', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '96', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '97', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '98', 'npc_smuggle_4', 'Wow... this will hit the HoloNet like wildfire! This story will make my career!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '99', 'npc_smuggle_5', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '100', 'npc_takeme_1', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '101', 'npc_takeme_2', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '102', 'npc_takeme_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '103', 'npc_takeme_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '104', 'npc_takeme_5', 'What do you mean I\'m under arrest! The Empire has killed all those I love, and I have proof!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '105', 'npc_work_1', 'What do you need now?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '106', 'npc_work_2', 'What do you want?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '107', 'npc_work_3', 'Why have you not left?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '108', 'npc_work_4', 'Why are you not performing your duties, agent?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '109', 'npc_work_5', 'What do you want?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '110', 'otherescort_1', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '111', 'otherescort_2', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '112', 'otherescort_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '113', 'otherescort_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '114', 'otherescort_5', 'Oh, you\'re not with the Empire. Sorry, my mistake.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '115', 'player_1_1', 'Yes, sir, I understand.  What business shall I perform?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '116', 'player_1_2', 'Yes, this Rebel needs to be punished.  How shall I do it?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '117', 'player_1_3', 'What do you need me to do, Lord Hethrir?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '118', 'player_1_4', 'You can place your trust in me, Lord.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '119', 'player_1_5', 'Now I understand!  I am honored to help with this.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '120', 'player_2_1', 'I don\'t think this is the right kind of job for me.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '121', 'player_2_2', 'This doesn\'t sound like the type of work that I am capable of.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '122', 'player_2_3', 'I fear I will fail you again, Lord.  I cannot do this.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '123', 'player_2_4', 'Get a Stormtrooper to do it.  I don\'t lower myself to the level of a simple courier.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '124', 'player_2_5', 'But he didn\'t do any of that!  That\'s not justice!  I won\'t have any part of this!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '125', 'player_3_1', 'You\'re the Procurator of Justice, right?  Why are you dealing with mundane tasks such as this?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '126', 'player_3_2', 'What was recorded on that holodisc?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '127', 'player_3_3', 'What is this plan of yours, if I may ask?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '128', 'player_3_4', 'What is so \'special\' about this particular holodisc?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '129', 'player_3_5', 'I don\'t think I understand what you\'re talking about, my Lord.  Can you please explain?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '130', 'player_4_1', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '131', 'player_4_2', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '132', 'player_4_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '133', 'player_4_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '134', 'player_4_5', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '135', 'player_5_1', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '136', 'player_5_2', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '137', 'player_5_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '138', 'player_5_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '139', 'player_5_5', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '140', 'player_more_1_1', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '141', 'player_more_1_2', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '142', 'player_more_1_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '143', 'player_more_1_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '144', 'player_more_1_5', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '145', 'player_more_2_1', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '146', 'player_more_2_2', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '147', 'player_more_2_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '148', 'player_more_2_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '149', 'player_more_2_5', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '150', 'player_more_3_1', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '151', 'player_more_3_2', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '152', 'player_more_3_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '153', 'player_more_3_4', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '154', 'player_more_3_5', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '155', 'player_reset', 'I cannot do this any longer.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '156', 'player_sorry', 'What was I to do again?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '157', 'return_waypoint_description_1', 'Lord Hethrir is awaiting your return.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '158', 'return_waypoint_description_2', 'Lord Hethrir is awaiting your report. Return to him immediately.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '159', 'return_waypoint_description_3', 'Lord Hethrir is awaiting your return with details of the job being done.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '160', 'return_waypoint_description_4', 'Lord Hethrir is waiting for you to tell him that the disc made it into the hands of the journalist.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '161', 'return_waypoint_description_5', 'Return this mass-murderer and place him in the hands of Imperial justice, Lord Hethrir.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '162', 'return_waypoint_name_1', 'Procurator of Justice');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '163', 'return_waypoint_name_2', 'Procurator of Justice');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '164', 'return_waypoint_name_3', 'Procurator of Justice');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '165', 'return_waypoint_name_4', 'Procurator of Justice');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '166', 'return_waypoint_name_5', 'Procurator of Justice');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '167', 'waypoint_description_1', 'You are to meet the informant, then kill him. Make sure you locate the recording he has.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '168', 'waypoint_description_2', 'You should be able to find the owner of the meeting place here. Gather whatever information you can, then dispose of him.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '169', 'waypoint_description_3', 'You should find the Propagandist\'s father here. Take him out and hope he won\'t put up too much of a fight.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '170', 'waypoint_description_4', 'A journalist is waiting to receive the modified version of the recording. Make sure he gets it.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '171', 'waypoint_description_5', 'Apprehend the leader of an Alderaanean movement to spread lies about the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '172', 'waypoint_name_1', 'The Informant');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '173', 'waypoint_name_2', 'Rebel Safehouse');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '174', 'waypoint_name_3', 'The Hapless Victim');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '175', 'waypoint_name_4', 'The Journalist');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '176', 'waypoint_name_5', 'Propagandist Leader');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '177', 'npc_backtowork', 'Do not take much more time in finishing this task.  It does not reflect well upon you.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/lord_hethrir.stf', '178', 'notit', 'What is this?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/quest_details.stf', '1', 'imperial_retreat_1', 'KAJA OR\'ZEE has asked that you ESCORT the GOVERNOR to the Emperor\'s Retreat.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/quest_details.stf', '2', 'imperial_retreat_2', 'KAJA OR\'ZEE needs you to return with the person who paid for the assassination attempts on the moff.  If he does not cooperate you are authorized to KILL him.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/quest_details.stf', '3', 'imperial_retreat_3', 'KAJA OR\'ZEE would like you to ELIMINATE the ASSASSIN who made an attempt on the Governor\'s life.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/quest_details.stf', '4', 'imperial_retreat_4', 'KAJA OR\'ZEE wants you to DESTROY the rebels who are responsible for the threats against the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/quest_details.stf', '5', 'imperial_retreat_5', 'KAJA OR\'ZEE wants you to RESCUE the Governor\'s missing DROID, and return him to the Retreat.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/quest_details.stf', '6', 'imperial_retreat_6', 'LOAM REDGE wants you to bring in a SUSPECT for questioning.  Arrest and ESCORT the suspect to the Retreat.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/quest_details.stf', '7', 'imperial_retreat_7', 'LOAM REDGE wants you to find the REBELS and ESCORT the LEADER in for questioning.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/quest_details.stf', '8', 'imperial_retreat_8', 'LOAM REDGE wants you to intercept the SLICER who is stealing information.  KILL him and RETURN WITH the evidence.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/quest_details.stf', '9', 'imperial_retreat_9', 'LOAM REDGE wants you to Arrest the SLICER and ESCORT him back to the Retreat.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/quest_details.stf', '10', 'imperial_retreat_10', 'LORD HETHRIR wants you to KILL the counterfeiter and RETURN with the HOLODISC');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/quest_details.stf', '11', 'imperial_retreat_11', 'LORD HETHRIR wants you to ELIMINATE the LEADER OF THE REBEL MEETING HOUSE and RETURN WITH HIS DATAPAD');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/quest_details.stf', '12', 'imperial_retreat_12', 'KILL the REBEL LEADER\'S FATHER to drive home the point');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/quest_details.stf', '13', 'imperial_retreat_13', 'LORD HETHRIR wants you to DELIVER the HOLODISC to the local holodisc brodcast station');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/quest_details.stf', '14', 'imperial_retreat_14', 'LORD HETHRIR wants you to ESCORT he PRISONER back to the EMPEROR\'S RETREAT');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/quest_details.stf', '15', 'imperial_retreat_15', 'THRAWN wants you to ESCORT the STRIKE TEAM COMMANDER back to the EMPEROR\'S RETREAT');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/quest_details.stf', '16', 'imperial_retreat_16', 'THRAWN wants you to LOCATE the TRANSPONDER and RETURN with it as soon as possible.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/quest_details.stf', '17', 'imperial_retreat_17', 'THRAWN wants you to DELIVER the BALLISTICS INFORMATION to GEG WINTHAZEN');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/quest_details.stf', '18', 'imperial_retreat_18', 'THRAWN wants you to find a JAR OF FAMBAA BLOOD.  Perhaps there are some FAMBAA in the location marked on your datapad.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/quest_details.stf', '19', 'imperial_retreat_19', 'THRAWN wants you to acquire a ROCKET LAUNCHER from a smuggler.  If she reacts negatively to an Imperial presence she is to be ELIMINATED');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/quest_details.stf', '20', 'imperial_retreat_20', 'THRAWN wants you to DESTROY the HUTT responsible for bringing down the strike team\'s shuttle');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/quest_details.stf', '28', 'imperial_retreat_return', 'Return to the Emperor\'s Retreat.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/quest_details.stf', '29', 'imperial_retreat_21', 'VEERS wants you to ELIMINATE the SURVIVORS of the REBEL INSTALLATION');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/quest_details.stf', '30', 'imperial_retreat_22', 'VEERS wants you to ELIMINATE the AGGRESSORS');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/quest_details.stf', '31', 'imperial_retreat_23', 'VEERS wants you to find the CARAVAN carrying the guns and locate the MANIFEST');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/quest_details.stf', '32', 'imperial_retreat_24', 'VEERS wants you to APPREHEND the Twi\'lek BORVO');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/quest_details.stf', '33', 'imperial_retreat_25', 'VEERS wants you to DESTROY any REBELS in this area');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/quest_details.stf', '34', 'imperial_retreat_26', 'THE EMPEROR commands that you ESCORT the head of the local THUGS to him');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/quest_details.stf', '35', 'imperial_retreat_27', 'THE EMPEROR commands you to DELIVER the PLANS to the head of the MERCENARIES');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/quest_details.stf', '36', 'imperial_retreat_28', 'THE EMPEROR orders you to DESTROY the POWER GENERATORS that are keeping the mercenaries from performing their task');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/quest_details.stf', '37', 'imperial_retreat_29', 'THE EMPEROR commands you to ESCORT the HANDMAIDEN to him');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/quest_details.stf', '38', 'imperial_retreat_30', 'THE EMPEROR comands you to DESTROY the IMPOSTER REBELS and RETURN WITH THEIR DATAPAD');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/quest_details.stf', '39', 'imperial_retreat_31', 'THE EMPEROR commands you to DELIVER the HOLODISC to the COUNCIL');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/quest_details.stf', '40', 'imperial_retreat_32', 'THE EMPEROR commands you to ESCORT the REBEL GENERAL back to the RETREAT');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/quest_details.stf', '41', 'imperial_retreat_33', 'LORD VADER commands that you DESTROY the REBEL and RETURN with anything valuable he was carrying');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/quest_details.stf', '42', 'imperial_retreat_34', 'LORD VADER commands you to MEET with the EMPEROR\'S COURIER and bring back the INFORMATION');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/quest_details.stf', '43', 'imperial_retreat_35', 'LORD VADER commands you to HUNT DOWN and KILL the REBEL');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/quest_details.stf', '44', 'imperial_retreat_36', 'LORD VADER commands you to meet with the INFORMATION BROKER and garner his INFORMATION.  ');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/quest_details.stf', '45', 'imperial_retreat_37', 'LORD VADER wants the INFORMATION BROKER ELIMINATED');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/quest_details.stf', '46', 'imperial_retreat_38', 'LORD VADER commands you to ELIMINATE the family of KENOBI');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/quest_details.stf', '47', 'emperors_retreat_return', 'Return to the Emperor\'s Retreat.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '1', 'npc_1_1', 'I have been informed that you are a resourceful person, which I am in need of at this time.  A strike force sent to apprehend some criminals has met an unfortunate end.  I have received notification that the Commander of this team managed to survive.  It is imperative that he be escorted back here safely.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '2', 'npc_1_2', 'You have returned in a timely fashion, which is good. It has been confirmed that a surface attack was responsible for the destruction of the shuttle, and most likely performed by Rebels. We will need the flight record from the ship to help deduce who is responsible for the attack.  You will need to travel to the debris and locate the transponder.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '3', 'npc_1_3', 'Welcome back, agent. The results of the flight logs show the shuttle was downed while it was close to the ground. This leads to the conclusion that there is a secret rebel base on this planet. Marvelously hidden at that, I might add. I need these readings analyzed by a specialist stationed nearby. I trust you will be able to keep these secure?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '5', 'npc_2_1', 'He is currently in hiding, and wounded as well, therefore this task will not be an easy one. I will give you the coordinates of where he last was when he contacted us. Bring him back here safely, so that we can debrief him to learn why his team failed.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '6', 'npc_2_2', 'Your eagerness has been noted. You should find it among the debris, but I would not put it past the locals to have already begun scavenging the ship for usable parts. At this time, the ship is not important. If the transponder, which possesses the flight data, is in the hands of a scavenger, you are authorized to liberate it from them. Now go.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '7', 'npc_2_3', 'I have had your contact, Geg Winthazen, notified.  He is a ballistics expert that has an exemplary career with us, and I appreciate his eye for detail. I am certain he will be able to identify the odd readings and trace them back to their source. This is being kept low profile until all of the proof is in.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '8', 'npc_3_1', 'Though I recognize you are a special operative, rather than a fully enlisted member of the Imperial military, I still find your refusal a bit... disturbing. I am not used to having my orders disobeyed, and I find I do not like the feeling. I shall speak with the Emperor\'s Chamberlain about this matter. If you will excuse me?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '9', 'npc_3_2', 'I shall assume that these duties are more important than those assigned by a Captain of the Empire. Let us hope the next time we speak you are not so distracted.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '10', 'npc_3_3', 'Your lack of desire to further the Empire\'s cause will be noted. I shall personally inform the Emperor of your unwillingness to follow an order by your superior.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '12', 'npc_4_1', 'We are still unaware of the full details at this time. All we know is that the transport shuttle was nearing its landing sequence at which point all contact was lost with it. According to the Commander\'s desperate call for help, we believe the shuttle was shot down by some form of ground based weapon.  This is all we know for now.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '13', 'npc_4_2', 'This is most likely the case, yes. Alas, not all of the enemies of the Empire are those with political agendas, though. Some wish to wreak their own self-righteous vengeance at the largest target they can find, which would be the Empire, of course. I prefer to explore every avenue before making a full decision, though.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '14', 'npc_4_3', 'The only thing powerful enough to down the shuttle, without registering any noticable energy readings, would be a hand held weapon. I have noticed some readings that do not correlate with any known weapons that could have caused this, though.  Therefore, it is highly likely that this was a Rebel attack by a previously unknown base. Will you deliver these now?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '15', 'npc_reward_1', 'Excellent news. We will attend to the Commander\'s wounds, then conduct a debriefing. From what he has just said, it seems this is an attack by the Rebels. If this is the case, then the Empire will need to keep a closer eye on these events. As for compensation I recommend you take this.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '16', 'npc_reward_2', 'You have performed your duty in a timely manner. I shall now have this flight data analyzed by my Chief Lieutenant so that we may discern what caused a Lambda-class shuttle to be so easily felled from the sky. I may have further need of your services shortly, so please stay within the vicinity.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '17', 'npc_reward_3', 'I am glad to hear your mission encountered no complications. I am certain the results will come back shortly. I may have further assignments for you, agent, so please be nearby for the short future.  Oh, and Geg has asked me to give you this compensation.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '18', 'player_1_1', 'I understand, sir.  I will bring him back safely.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '19', 'player_1_2', 'Yes, Captain. I\'ll bring it back immediately.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '20', 'player_1_3', 'They will make it there safely, I assure you.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '21', 'player_2_1', 'I\'m sorry, sir, but I will be unable to follow this order.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '22', 'player_2_2', 'I have other duties I must attend to. I cannot do this.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '23', 'player_2_3', 'I do not wish to take this responsibility.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '24', 'player_3_1', 'Sir, if I may ask, what happened to the strike team?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '25', 'player_3_2', 'This was obviously done by the Rebels, right?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '26', 'player_3_3', 'How does this point to the Rebels?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '27', 'player_reset_1', 'Sir, I am not able to perform the task you have commanded.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '28', 'player_sorry_1', 'At once, sir!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '29', 'npc_backtowork_1', 'Bring him back here unharmed. You are dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '30', 'npc_reset_1', 'Though I recognize you are a special operative, rather than a fully enlisted member of the Imperial military, I still find your refusal a bit... disturbing. I am not used to having my orders disobeyed, and I find I do not like the feeling. I shall speak with the Emperor\'s Chamberlain about this matter. If you will excuse me?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '31', 'cantwork', 'You are currently assigned to another task, I understand? I require your full attention if I were to use your skills.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '32', 'dontknowyou_1', 'If you weren\'t sent by Thrawn, then I cannot come with you.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '33', 'npc_work_1', 'Perhaps I didn\'t make myself clear earlier. You are to escort the Commander immediately.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '34', 'npc_work_2', 'Why have you not left yet?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '35', 'npc_work_3', 'Yes?\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '36', 'npc_breech_1', 'Identify yourself! Are you one of them, or were you sent by the Captain?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '37', 'npc_breech_2', 'We were here first!  Go find your own scrap!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '38', 'npc_breech_3', 'So, are you the guy the Captain sent?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '40', 'notit_2', 'This does not contain the pertinant flight data. If this is an attempt at humor, I am not amused.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '41', 'notit_3', 'I don\'t know what this is, but I don\'t see any reading analysis here. Maybe you gave me the wrong one?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '42', 'npc_backtowork_2', 'Make sure you have everything you need. That transponder must be recovered.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '43', 'npc_backtowork_3', 'There is no need to inform me of something that I have already expected to have been done. You are dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '44', 'npc_reset_2', 'I shall assume that these duties are more important than those assigned by a Captain of the Empire. Let us hope the next time we speak you are not so distracted.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '45', 'npc_reset_3', 'Your lack of desire to further the Empire\'s cause will be noted. I shall personally inform the Emperor of your unwillingness to follow an order by your superior.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '46', 'player_reset_2', 'Something came up and I can no longer perform my duty.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '47', 'player_reset_3', 'I\'m afraid that I cannot do this any longer.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '48', 'player_sorry_2', 'I was preparing myself for the recovery mission, Captain.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '49', 'player_sorry_3', 'Nothing, sir.  I am about to leave at once.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '50', 'npc_takeme_1', 'Excellent. Thrawn assured me that help would be sent immediately, and he was true to his word. Let\'s leave before these Rebels find us.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '53', 'dontknowyou_2', 'Sorry.  I thought you were here to grab our salvage.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '54', 'dontknowyou_3', 'If you\'re not the guy I\'m waiting for, why are you wasting my time?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '56', 'dontknowyou_5', 'Nevermind. I thought you were someone else.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '58', 'notit_4', 'This is not what I requested from you. Do not return until you have what I asked for.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '59', 'notit_5', 'This is not rocket-launcher I was expecting. I am hoping this is not the one she sold to you.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '61', 'npc_1_4', 'The ballistics report has turned up some interesting results. The mysterious energy readings match those of an Ion Cannon\'s energy burst.  This confirms the presence of the Rebels\' new base. Whilst I prepare a full formal report to present to Lord Vader, I have need of someone to run a minor errand.  Would you be interested?\"\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '62', 'npc_1_5', 'Now that I have my paint, I now need a brush to paint with.  I have need of you to acquire a specially modified rocket for me. I have had a deal arranged with an agent from a local gun-smuggler, and I need you to carry through the purchase.  You\'ll be there to make sure the transaction is completed, correct?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '63', 'npc_1_6', 'Through your help, I will now be able to present Lord Vader a more accurate report of what happened to the shuttle. For now, your orders will be to destroy the rest of these so-called revolutionaries.  Are you prepared to leave?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '64', 'npc_2_4', 'I\'m glad you are willing to help. I am in need of a jar\'s worth of Fambaa blood.  I know that it sounds odd, considering the current revelation of the Rebel\'s base, but I have a good feeling about this.  You should be able to find a sizable herd of these creatures out in the swamps of this planet.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '65', 'npc_2_5', 'As I have expected from your previous work already. You will meet a woman by the name of Seldair Keeloo who will sell you the weapon.  She doesn\'t know she is selling to the Empire, therefore she may react in an undesirable manner if she finds out. If this is the case, your objective is to acquire that rocket. You are dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '66', 'npc_2_6', 'No, this will be more retaliation than vengeance. Vengeance will ensue at a later point. For now, the destruction of this small band will begin to give all the rebels a lesson in what happens when one attacks the Empire. Report back when you have destroyed the group.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '67', 'npc_3_4', 'I hope you understand that this will cause a great inconvienence to me if I were to have to do this myself.  You wouldn\'t want that to happen, now would you?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '68', 'npc_3_5', 'This is not what I was expecting to hear from you. I am quite surprised to say the least, agent. Very well, then, I shall have another operative do this. You need not return.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '69', 'npc_3_6', 'I\'m sorry, agent. I don\'t believe you understood me. This is not a request, this is an order. Perhaps you need a few sessions with the resident Inquisitor regarding insubordination?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '70', 'npc_4_4', 'Yes, an errand.  I understand that this doesn\'t sound like the most reasonable course of action, but perhaps the results will be as interesting as those provided by these energy readings. Rhyme and reason sometimes take twisted routes that are not easily seen.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '71', 'npc_4_5', 'One will find that logic is not always a linear path to the end destination.  What appears at time to be convoluted chaos is in truth a disjointed thread in a larger, more ordered pattern. Many cultures throughout the galaxy call those who understand this \'Artists\'. Much can be learned from these people, and I believe I will shortly learn more myself.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '72', 'npc_4_6', 'The paint I used was originally used by a species who have never used metal. By itself, it is quite innocuous, but when placed in contact with metal it will react in such a manner that can be confused for Ion discharge. Using a rocket launcher only sold by this Gun-Runner Hutt, I fired the paint coated rocket, exactly duplicating the same readings found on the shuttle. A clever decoy, but not clever enough.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '73', 'npc_backtowork_4', 'Very good.   Please continue.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '74', 'npc_backtowork_5', 'Do not tarry. Every moment you waste will increase the likeliness that the gun-dealer will drop out of the deal.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '75', 'npc_backtowork_6', 'Very well, then.  Make sure it is done.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '77', 'npc_breech_5', 'You\'re no weapons dealer.  You\'re that imperial agent everyone\'s talking about!  I\'m outta here...');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '79', 'npc_reset_4', 'I hope you understand that this will cause a great inconvienence to me if I were to have to do this myself.  You wouldn\'t want that to happen, now would you?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '80', 'npc_reset_5', 'This is not what I was expecting to hear from you. I am quite surprised to say the least, agent. Very well, then, I shall have another operative do this. You need not return.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '81', 'npc_reset_6', 'I\'m sorry, agent. I don\'t believe you understood me. This is not a request, this is an order. Perhaps you need a few sessions with the resident Inquisitor regarding insubordination?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '82', 'npc_reward_4', 'Wonderful.  I\'ll be able to take this canister of gasses from the same swamp and combine these two together. I should be able to create a paste very similar to the paint used by the local amphibious natives in their art work. Check back with me shortly, for once I am done, I will have need of you to run another errand.  And take these, as compensation for your assistance.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '83', 'npc_reward_5', 'Spectacular. This is designed exactly as was \'advertised\' - extra distance at the cost of a smaller explosion. Now, all I need to do is apply this paint to the surface of a rocket...and...done. Now, if you excuse me, I need to run some ballistics of my own. If this works, I believe we will find where the mysterious \'Ion Cannon\' has come from. Report back in a little while, agent.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '84', 'npc_reward_6', 'I take it the rebels have been demolished? Very good.  I have presented the information to Lord Vader, and he is quite upset by the news. I have suggested to him that Colonel Veers will be more than capable of handling this situation.  You should report to him now.  Good work, agent.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '88', 'npc_work_4', 'Have you acquired the blood from those creatures yet?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '89', 'npc_work_5', 'Do you have the weapon with you?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '90', 'npc_work_6', 'Have the rebels been done away with?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '91', 'player_1_4', 'Yes, Captain, I\'ll do it.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '92', 'player_1_5', 'Consider it done, sir.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '93', 'player_1_6', 'Yes, sir. Vengeance will be exacted.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '94', 'player_2_4', 'I am sorry, but I will have to decline.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '95', 'player_2_5', 'I will be unable to attend, Captain.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '96', 'player_2_6', 'I don\'t understand this. No, I\'m not doing it.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '97', 'player_3_4', 'I\'m sorry, but did you say an errand?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '98', 'player_3_5', 'I don\'t understand what\'s going on here. A weapon for a brush?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '99', 'player_3_6', 'How did your strange tests pinpoint the smugglers?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '100', 'player_reset_4', 'This is too difficult.  I can\'t do it.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '101', 'player_reset_5', 'I will not be able to follow this through until the end.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '103', 'player_sorry_4', 'Not yet.  I am still gathering more.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '104', 'player_sorry_5', 'I have not met with the gun dealer yet.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '105', 'player_sorry_6', 'Not yet, sir.  I was adequately arming myself before doing so.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '108', 'npc_smuggle_3', 'Hmmm... yes, these look about right. Looking here, though, I think I see what Captain Thrawn was talking about.  Yes, I\'ll take these back to my lab and run some tests.  Let Thrawn know that this should take a short bit, but I\'ll have results for him later.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '112', 'gotowork', 'Don\'t you have something you should be doing?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '113', 'npc_failure_1', 'You were given both a clear and simple assignment, but were unable to accomplish even that. I am very disappointed in your performance.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '114', 'npc_failure_2', 'It is a shame that the transponder was not there among the wreckage. It would have been better to have evidence to back us before we counter-attacked. ');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '115', 'npc_failure_3', 'I do not wish to hear any excuses from you, agent.  I expected more, especially considering how simple this task was.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '116', 'npc_failure_4', 'I do not wish to hear any excuses from you, agent.  I expected more, especially considering how simple this task was.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '117', 'npc_failure_5', 'Without that rocker I fear my tests will not provide the expected results.  I deeply regret you were not able to perform so simple a task.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '118', 'npc_failure_6', 'Perhaps I overestimated you. I believed you would have been able to handle this by yourself. A shame this did not turn out as expected.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '119', 'otherescort', 'Sorry, but I think you have the wrong person.  I thought I saw someone else nearby...');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '120', 'notyet', 'Since you are unaware of how to recognize rank, I will let you know you are speaking to a Captain. You have now been corrected, and I sincerly hope you do not make the mistake again. You may now leave my presence.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '121', 'npc_noloc_1', 'Let me gather the coordinates from the Chamberlain. Check with me in just a few moments.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '122', 'npc_noloc_2', 'I need to gather the logistics. Check with me in a few moments.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '123', 'npc_noloc_3', 'I will need to contact him before sending you out.  Check back with me in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '124', 'npc_noloc_4', 'I need to contact Intelligence to find out where some Fambaas can be located.  Check back with me in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '125', 'npc_noloc_5', 'Let me check my reports to find where you are to meet the gun dealer.  Ask me again in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '126', 'npc_noloc_6', 'I need to check my reports for where the group can be found.  I\'ll get back to you.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '127', 'player_reset_6', 'This is too big for me.  I can\'t do it.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '128', 'npc_backtowork', 'Finish quickly.  I grow tired of waiting.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '129', 'next', 'I am pleased with the work you\'ve done, and I\'m certain the Empire could make further use of your services. To that end, I would like to introduce you to an associate of mine - Colonel Veers.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '130', 'npc_breech_4', 'ROAR!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/thrawn.stf', '131', 'npc_breech_6', 'Imperials!  Protect yourselves!  And don\'t let them take us!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '1', 'npc_1_1', 'At ease, soldier. You have been assigned to me by Captain Thrawn to assist in the retribution for an attack upon a military Imperial vessel. I have been ordered to track down the Hutt crimelord responsible for this heinous act. I am told you are adept at reconnaissance, and I am in need of those functions performed. Do you understand, soldier?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '2', 'npc_1_2', 'At ease, agent. I have an urgent assignment that I am choosing you for. The stormtroopers I\'ve sent to secure the debris of the starport have come under fire. I have all of my other squadrons assigned elsewhere, therefore I need to send you too. Shall I give you the coordinates of their last known whereabouts?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '3', 'npc_1_3', 'Our search for the leader of the gun-smugglers has been fruitful. All reports have come back from other Stormtrooper squadrons that have been inspecting the surrounding starports, and it seems there is an unidentified shipment coming in. I\'m certain this will lead to that Twi\'lek\'s base, then we can commence the attack.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '5', 'npc_2_1', 'The rebels you recently eliminated have destroyed their own base.  Presumably some kind of self destruction.  Some people are out there trying to salvage whatever they can.  I suspect that most of them work for the Hutt, therefore I need you to eliminate everyone at that site. It is likely that some of their possessions will lead us to this Hutt. Depart at once, solider.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '6', 'npc_2_2', 'You should be able to find the squadron at these coordinates. Since the squadron leader was taken out, you are given full authority to lead them during the interim. Direct them to destroy all the surrounding opposition, then bring them back here. If the squadron has been decimated, then destroy the aggressors yourself.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '7', 'npc_2_3', 'The shipment has already landed and unloaded.  You will need to track down the caravan, which has opted to travel by land. Try to gauge what direction they are heading if possible and trail them. If not, destroy the gang that is transporting the shipment, and gather the manifest from the cargo. This may help the ISB.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '8', 'npc_3_1', 'I understand that you are a special agent of the Empire and not a solider, but I believed you would have assisted with this.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '9', 'npc_3_2', 'It matters not that you hold no rank. I have given you an order to rescue that contigent of stormtroopers, and you are in direct defiance of those orders! I will report this to your superior immediately!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '10', 'npc_3_3', 'And why is that? This is an important military matter, agent. Your help on this operation will be most beneficial, therefore I expect you to reconsider.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '12', 'npc_4_1', 'Captain Thrawn believes it has to do with a recent civilian law enforcement raid that was being looked into by our Empire. I believe there may be more to it. To risk such a bold move as attacking a clearly marked Imperial shuttle, I believe they were attempting to steal the identification codes assigned to the shuttle. Are you available to help?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '13', 'npc_4_2', 'They appear to have been ambushed on their way out to the target location. Those responsible for the ambush knew exactly where to strike first - the squadron leader. From the last report in, the stormtroopers were firing wildly everywhere. Well, more wildly than they already do, that is.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '14', 'npc_4_3', 'Our spies on Nal Hutta have failed to turn up any information on Borvo the Hutt. I have received information from the ISB referring to a Twi\'lek that goes by that name, and has 14 charges of smuggling against him. I am certain he is the one using the Hutt pseudonym to inspire fear, but it will not work against the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '15', 'npc_reward_1', 'You have returned. I take it all went well with the elimination? I see you were able to find some information leading back to the Hutt. Well, we now have a name at least. I\'ll have Intelligence check with their spies on Nal Hutta to track down who this \'Borvo the Hutt\' is. In the meantime, take this as compensation for your assistance.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '16', 'npc_reward_2', 'It is a shame that we lost that squadron. Though numerous, Stormtroopers are still valuable. Nonetheless, those bandits won\'t be bothering any other Imperial soldiers in the future. You have done well, and I will make sure that is noted to Lord Vader at the end of this campaign. You should take this as compensation for your assistance.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '17', 'npc_reward_3', 'Very good. I will have this manifest inspected by the ISB.  With hope, this may help lead us to where Borvo can be located. Once we finally have that information, I can launch a full scale assault upon his base of operations. Scum like that do not deserve to prosper freely.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '18', 'player_1_1', 'Loud and clear, Colonel! I\'ll lend a hand.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '19', 'player_1_2', 'Yes, sir! Where can I find them?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '20', 'player_1_3', 'I understand. I shall intercept that shipment.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '21', 'player_2_1', 'I understand, but I am unavailable right now.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '22', 'player_2_2', 'Sir, I am an agent, not an Officer. I can\'t do this.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '23', 'player_2_3', 'I am unable to do this for you, Colonel.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '24', 'player_3_1', 'Do we know why the shuttle was downed?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '25', 'player_3_2', 'What happened to the stormtroopers?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '26', 'player_3_3', 'Twi\'lek? I thought Borvo was a Hutt?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '27', 'player_reset_1', 'I will no longer be able to perform this duty.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '28', 'player_sorry_1', 'I will be leaving immediately.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '29', 'npc_backtowork_1', 'Make it so.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '30', 'npc_reset_1', 'I understand that you are a special agent of the Empire and not a solider, but I believed you would have assisted with this.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '31', 'cantwork', 'You seem to be preoccupied.  I cannot rely upon a soldier to perform their duties if they do not have their full mind on the task set before them. Return when you find yourself able to fully accept orders.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '32', 'dontknowyou_1', 'Sorry good sir. I mistook you for one of those vile Imperial types. Tata!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '33', 'npc_work_1', 'I see you have not left yet. Why is this?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '34', 'npc_work_2', 'Why have you not dispatched yourself by now?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '35', 'npc_work_3', 'Whay are you not intercepting the shipment?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '36', 'npc_breech_1', 'Heads up, guys! The Imperials have shown up early! Kill them!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '37', 'npc_breech_2', 'Look guys!  There was still one left! Get him too!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '38', 'npc_breech_3', 'Watch out! The Imperials found us! Take care of \'em, boys!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '42', 'npc_backtowork_2', 'Carry on, then.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '43', 'npc_backtowork_3', 'Make haste. You do not want your quarry eluding you.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '44', 'npc_reset_2', 'It matters not that you hold no rank. I have given you an order to rescue that contigent of stormtroopers, and you are in direct defiance of those orders! I will report this to your superior immediately!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '45', 'npc_reset_3', 'And why is that? This is an important military matter, agent. Your help on this operation will be most beneficial, therefore I expect you to reconsider.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '46', 'player_reset_2', 'I can no longer perform the functions of an officer.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '47', 'player_reset_3', 'I will not be able to follow this order, Colonel.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '48', 'player_sorry_2', 'I needed to re-equip myself first. I depart now.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '49', 'player_sorry_3', 'I am leaving to do so right now.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '53', 'dontknowyou_2', 'Nevermind.  Thought you were someone else.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '54', 'dontknowyou_3', 'Ooops. I thought you were busting our illegal shipment. Nevermind then.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '55', 'dontknowyou_4', 'I don\'t know who you are, but if you know what\'s best for you, you\'d get out of here NOW!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '56', 'dontknowyou_5', 'Move out of the way!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '61', 'npc_1_4', 'The ISB has been quite thorough with their analysis, and have been able to triangulate where Borvo\'s base can be found. I have been authorized to dispatch a team of special forces operatives to take him by surprise. I need you to be the one who will be responsible for the actual elimination of Borvo. Do you understand?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '62', 'npc_1_5', 'I have been given rather... disturbing... news. It seems the person that was killed was not actually Borvo the Hutt, but a decoy instead. In a... er... display of anger, Lord Vader has put the messenger on the casuality list. I have been authorized by Lord Vader to destroy the only known supply line, in which I have been assigned your help.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '64', 'npc_2_4', 'Since the other operatives will be able to clear the way for you, all you have to do is identify Borvo - a Twi\'lek -, and kill him. If there any guards nearby, do not allow Borvo to escape in the crossfire. You are dismissed.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '65', 'npc_2_5', 'I will lead a squadron of AT-ATs to destroy the buildings surrounding the supply line. Your job will be to take out the remaining rabble so that Borvo cannot be alerted until it is too late. Destroy any of them that you see.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '67', 'npc_3_4', 'If this is a jest, I do not find the humor in it. Now, I have given you a clear order, and I expect you to follow through with it. Any other answer will be insubordination, and I will have to report this to Lord Vader. Now... do we understand each other?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '68', 'npc_3_5', 'I do not appreciate your insinuation, agent. I have followed my orders to the letter, and completed my assigned duty. The ISB on the other hand will have much to answer to the Emperor for providing false information. That is none of my concern now, though.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '70', 'npc_4_4', 'No, there will be several more operatives such as yourself out at the target\'s location. Their job will be to pull away most of the guards surrounding this crime lord, whereas yours will be the actual elimination of the target - Borvo in this case. The Empire would never send you out alone against small numbers, agent.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '71', 'npc_4_5', 'Unfortunately not. Lord Vader didn\'t get much information out of him before he expired. We were able to find out that there is a major supply line that he was in charge of, in which we will have to capitalize. Aside from that, our leads have gone cold, and Lord Vader doesn\'t wish to expend any more efforts upon this Borvo.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '73', 'npc_backtowork_4', 'Your cocky attitude may jeapordize this operation, agent. I suggest that you drop the attitude before it gets you killed in the field. Back to work, now!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '74', 'npc_backtowork_5', 'You must stop the refugees from fleeing, agent. This is very important.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '76', 'npc_breech_4', 'You led the Imperials straight here! Guards, get him! Guards? Guards?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '77', 'npc_breech_5', 'Get out of our way! Borvo will hear of this one way or another!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '79', 'npc_reset_4', 'If this is a jest, I do not find the humor in it. Now, I have given you a clear order, and I expect you to follow through with it. Any other answer will be insubordination, and I will have to report this to Lord Vader. Now... do we understand each other?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '80', 'npc_reset_5', 'I do not appreciate your insinuation, agent. I have followed my orders to the letter, and completed my assigned duty. The ISB on the other hand will have much to answer to the Emperor for providing false information. That is none of my concern now, though.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '82', 'npc_reward_4', 'Well, well... Borvo the Twi\'lek\'s days of Imperial defiance are over with. As for you, agent, I offer you my congratulations for a job expertly done.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '83', 'npc_reward_5', 'You have performed admirably, agent. The supply line has been destroyed, and Borvo wasn\'t able to make it in time. I will have to write up an analysis on usage of these AT-ATs for full scale attacks, based on their performance in the field. Who knows... perhaps I might gain a promotion due to it. Again, agent, I commend your skills.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '85', 'npc_takeme_4', 'So, you got me... I knew that the pay was too good to do this job. Why wasn\'t I greedy and asked the boss for more?... sigh....');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '88', 'npc_work_4', 'The operation has begun! Why are you still here?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '89', 'npc_work_5', 'Why have you not stopped Borvo\'s messengers from leaving?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '91', 'player_1_4', 'Yes, sir.  It will be done.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '92', 'player_1_5', 'I understand. I am at your disposal.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '94', 'player_2_4', 'That is not something I can do.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '95', 'player_2_5', 'I will not engage in another failed venture, Colonel.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '97', 'player_3_4', 'Will I be the only one on this operation?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '98', 'player_3_5', 'Didn\'t we get any information as to where the real Borvo is?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '100', 'player_reset_4', 'I cannot do my part in this operation, Colonel.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '101', 'player_reset_5', 'I don\'t want to follow this cockamamie plan, Colonel.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '103', 'player_sorry_4', 'I was waiting for it to start to give the others time.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '104', 'player_sorry_5', 'I am about to leave shortly.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '111', 'npc_noloc_1', 'I must consult my charts to locate the debris of the starport. Report back in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '112', 'npc_noloc_2', 'Let me trace where the distress signal came from.  I\'ll let you know in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '113', 'npc_noloc_3', 'Let me triangulate where this team may be located at this time. Check back shortly.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '114', 'npc_noloc_4', 'I must consult the ISB\'s information so that I may direct you to Borvo. Check with me in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '115', 'npc_noloc_5', 'Once we have triangulated the location of the supplyline, we will be able to launch the assualt.  Report back to me in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '117', 'otherescort', 'Nope, I\'m not the person you\'re looking for.  Try looking nearby.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '118', 'gotowork', 'No, no... this is not it.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '119', 'npc_failure_1', 'Not one of them had any indication of where their employer was?  I find that quite preposterous!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '120', 'npc_failure_2', 'I am disappointed in your lack of aptitude. Leave my presence immediately.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '121', 'npc_failure_3', 'How did you let the shipment get away from you? I expected more from somebody of your caliber!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '122', 'npc_failure_4', 'You let Borvo escape?! You were clearly instructed to destroy him! I do not believe Lord Vader will be pleased when I inform him of your failure.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '123', 'npc_failure_5', 'You let Borvo\'s filth get back to him. This has caused the assault to no go according to plan. I expect Lord Vader will speak with you shortly... and shortly at that.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '124', 'npc_backtowork', 'There is no time for discussion.  Finish this task at once.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '125', 'next', 'You are about to receive a great honor... you have been commanded to present yourself to the Emperor at once.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '126', 'notit', 'Where is the item you were requested to bring back?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/veers.stf', '127', 'notyet', 'You should speak with Lord Hethrir first.  I don\'t have anything for you right now.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/warning.stf', '1', 'kaja_orzee', 'You can not enter the main hall without permission from Kaja Or\'Zee.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/warning.stf', '2', 'veers', 'You can not enter the Throne Room until Veers gives you permission.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/warning.stf', '3', 'loam_redge', 'You can not enter the library until Loam Redge gives you permission.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/warning.stf', '4', 'vader', 'Only Lord Vaderand his personal charges have access to this area.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/warning.stf', '5', 'lord_hethrir', 'You may not enter the secure area until Lord Hethrir has deemed you worthy.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/warning.stf', '6', 'emperor', 'You do not yet have permission to access this area.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_imperial/warning.stf', '7', 'not_imperial', 'Sorry, only Imperial employees are allowed to work for us.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/barada.stf', '1', 'player_1_1', 'Sure.  I\'ve already dealt with her thugs in the past.  This shouldn\'t be a problem.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/barada.stf', '2', 'player_1_2', 'This is beginning to sound interesting.  Count me in!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/barada.stf', '3', 'player_1_3', 'I\'ve come this far, haven\'t I?  I\'ll see this to the end!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/barada.stf', '4', 'player_2_1', 'I\'m tired of dealing with Valarian\'s thugs. They\'re not much of a challenge.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/barada.stf', '5', 'player_2_2', 'If you can\'t get away from working on those repulsorlifts, what makes you think you can pull this off?  Count me out.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/barada.stf', '6', 'player_2_3', 'I have a bad feeling about this.  I\'m going to have to say no from hereon.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/barada.stf', '7', 'player_3_1', 'What are you planning?  Something I shouldn\'t know about?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/barada.stf', '8', 'player_3_2', 'The suspense is killing me.  What\'s your scientist friend going to do with the code cylinder?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/barada.stf', '9', 'player_3_3', 'What do these codes do?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/barada.stf', '10', 'npc_1_1', 'Hey you!  I heard you been doing favors for Jabba\'s cronies.  Maybe you can help me, huh?  I got a plan to earn my freedom from Jabba. But first I need to grab a special code cylinder from one of Valarian\'s thugs. You think you can get that cylinder for me?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/barada.stf', '11', 'npc_1_2', 'This is the cylinder I wanted, but I can\'t crack the code. I need someone to take the cylinder to a scientist I know.  He can decode it.  Want the job?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/barada.stf', '12', 'npc_1_3', 'Good work. The cylinder had a self-destruct code for one of Lady Valarian\'s storehouses. I\'ll give you the coordinates to the warehouse, but you\'ll need to punch in the code. Then run.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/barada.stf', '13', 'npc_2_1', 'Good, good. Here\'s where you can find the roughneck. Once you\'ve settled your business, bring me that code cylinder.  Meanwhile, I\'ve got to get back to working on Jabba\'s collection of repulsorlifts, or he might decide he doesn\'t need me anymore, if you know what I\'m sayin\'...');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/barada.stf', '14', 'npc_2_2', 'Good. Take the cylinder to my friend. Check back with me after you\'ve delivered it.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/barada.stf', '15', 'npc_2_3', 'Good. You\'re earnin\' my trust.  When you\'re done, come back here and tell me all about the blast. And don\'t forget to run.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/barada.stf', '16', 'npc_3_1', 'Hey, I can understand that. I\'m just one of Jabba\'s slaves, right?  I\'ll be sure to let Bib know just how helpful you were to Jabba\'s personal mechanic.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/barada.stf', '17', 'npc_3_2', 'You\'re missing out on a payin\' job.  But I\'ll get this done with or without your help!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/barada.stf', '18', 'npc_3_3', 'Hnh. Suit yourself. I can find someone else to take this job, if you don\'t want it.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/barada.stf', '19', 'npc_4_1', 'Don\'t ask so many questions. I\'ll tell you what you need to know, when you need to know it.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/barada.stf', '20', 'npc_4_2', 'I need this cylinder scanned for security measures. I don\'t want to be walking into any traps. And I\'ll need copies made. It\'s all part of my plan. But quit asking questions and just get to work.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/barada.stf', '21', 'npc_4_3', 'There\'s a terminal there that has a self destruct sequence on it.  Just set it and get out of there.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/barada.stf', '22', 'npc_reward_1', 'Good work gettin\' that cylinder. I knew you were looking for the trouble.  Let me make sure this thing isn\'t wired, and then we\'ll talk about the next part of my plan.  And here, I had these laying around, I figured you\'ve earned a little bonus.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/barada.stf', '23', 'npc_reward_2', 'My friend contacted me. The cylinder is clean and copies have been made. I\'m thinkin\' you can be trusted to handle the next phase of my plan.  Oh, and one of the Gamorrean\'s stumbled across this.  He wouldn\'t say where he got em, but I suspect there\'s a visitor missing.  Heh, I\'ll give it to you.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/barada.stf', '24', 'npc_reward_3', 'Good work! Tell me everything. Was it loud? How hot was it? Was the explosion a ball of flame, or a column of fire? I wish I could have been there! Anyway, Jabba thinks my plan was a good one. He\'s promised me my freedom, but I still got a debt to work off... Oh, but I do have this for you.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/barada.stf', '25', 'next', 'You better head to the throne room and see Bib.  He\'s expecting ya.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/barada.stf', '26', 'notyet', 'You shouldn\'t be down here.  Why don\'t you head back upstairs and see if anyone needs some work done.  Try Porcellus.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/barada.stf', '27', 'npc_backtowork', 'Get back to work, I ain\'t got time to chat.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/barada.stf', '28', 'npc_reset', 'Yeah, fine, whenever you\'re ready.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/barada.stf', '29', 'npc_work_1', 'Hey, did you get my cylinder?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/barada.stf', '30', 'npc_work_2', 'Did you deliver my cylinder?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/barada.stf', '31', 'npc_work_3', 'Did it blow up?  Or have you not gone yet?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/barada.stf', '32', 'player_reset', 'I need to take a breather and try this again later.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/barada.stf', '33', 'player_sorry', 'Oh, yeah, I\'ll get back to work.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/barada.stf', '34', 'npc_breech_1', 'Jabba\'s thugs eh?  You\'ll be no match for us.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/barada.stf', '35', 'npc_breech_2', 'Hey, are you Barada\'s buddy?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/barada.stf', '36', 'npc_breech_3', 'ALARM!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/barada.stf', '37', 'npc_smuggle_2', 'That\'s the code Barada\'s looking for.  Let me know what happens.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/barada.stf', '38', 'gotowork', 'Sorry, too busy to talk.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/barada.stf', '39', 'npc_failure_1', 'They said you could do anything, but I guess I heard wrong about you.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/barada.stf', '40', 'npc_failure_2', 'What, are you a bolthead? All I asked you was to deliver an object for me, and you couldn\'t even do that? I guess I\'ve got to get back to work.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/barada.stf', '41', 'npc_failure_3', 'You ruined everything that I was working for! Now how am I gonna get out of being a slave to Jabba? Thanks alot...');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/barada.stf', '42', 'notit', 'What\'s this?  Where\'s the item I asked for?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/bib_fortuna.stf', '1', 'player_1_1', 'I will bring Jabba\'s contact here safely.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/bib_fortuna.stf', '2', 'player_1_2', 'Don\'t worry, Romo will be safe. I can handle a bounty hunter.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/bib_fortuna.stf', '3', 'player_1_3', 'Yeah, I\'ll do it as long as it pays well.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/bib_fortuna.stf', '4', 'player_2_1', 'My services don\'t come free.  Either Jabba pays me, or you do the dirty work yourself.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/bib_fortuna.stf', '5', 'player_2_2', 'You never said anything about a bounty hunter!  I\'m not risking my hide for scum like Romo!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/bib_fortuna.stf', '6', 'player_2_3', 'I work for Jabba, not for you, Bib.  Get someone else to do it.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/bib_fortuna.stf', '7', 'player_3_1', 'Why has Jabba chosen me?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/bib_fortuna.stf', '8', 'player_3_2', 'Why didn\'t you tell me about the bounty hunter before?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/bib_fortuna.stf', '9', 'player_3_3', 'How will this schematic make your job easier?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/bib_fortuna.stf', '10', 'npc_1_1', 'His Excellency has requested your assistance, and I know you will be happy to please Jabba.  An associate of His Excellency is expected here soon, but we don\'t want him leading any unwanted miscreants to the palace. Find Romo Vax and bring him here safely, and you will fulfill Jabba\'s wishes.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/bib_fortuna.stf', '11', 'npc_1_2', 'YOU FOOL! Romo was being pursued by a bounty hunter, and you\'ve led the mercenary here!  My informants tell me that the bounty hunter is nearing the Palace even as we speak. You have but one chance to save yourself from Jabba\'s Rancor. Kill the bounty hunter before he reaches Romo Vax!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/bib_fortuna.stf', '12', 'npc_1_3', 'Jabba and Romo Vax have been engaged in conversation for a while now. Since I am his majordomo, I must run Jabba\'s operation for him while he is unavailable.  You will need to get in touch with one of my contacts and bring me a schematic he claims will make my job much easier.  You wish to do this for me and Jabba, correct?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/bib_fortuna.stf', '13', 'npc_1_4', 'My *now* FORMER contact has been paid for a faulty product.  Since he was unable to produce what he promised, he will NOT be paid for his failure.  He has been allowed to run a small time slaving operation here on Tatooine, but his \'charter\' will now be revoked.  Go out there and remove him and his band from Tatooine... permanently.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/bib_fortuna.stf', '14', 'npc_2_1', 'Jabba will be pleased to hear that you have so graciously offered your time. But if Romo Vax is harmed in any way, Jabba will not be so pleased.  And take care that no one follows you back to the palace! I\'m sure Romo has a great many enemies...');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/bib_fortuna.stf', '15', 'npc_2_2', 'It will be in your best interests to make certain that bounty hunter is dealt with before he can reach the Palace. I will distract Jabba long enough for you to clean up your mess.  Let me know when you have attended to the matter.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/bib_fortuna.stf', '16', 'npc_2_3', 'If what my contact says is true, then yes... yes, the pay off will be well worth it.  Now, go track him down, for he is in hiding after getting ahold of his plan. You will find him nearby, so you should depart as soon as possible.  I know you will bring me back this schematic safe and sound.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/bib_fortuna.stf', '17', 'npc_2_4', 'Very good.  You will find them out in the desert, quite unaware that their real payment will be coming. This will serve doubly to let everyone know that all slaves on Tatooine are property of Jabba, and no one else. Return here to let me know when it is done.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/bib_fortuna.stf', '18', 'npc_3_1', 'Hmm.. I will be sure to let His Excellency know that you have turned down his request. You are truly wasting your potential.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/bib_fortuna.stf', '19', 'npc_3_2', 'It\'s a pity that you are not more responsible. You should hope that no one informs Jabba about the mess you have made, hmm?  His Excellency will be most... displeased.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/bib_fortuna.stf', '20', 'npc_3_3', 'You work for Jabba now, my friend, but what if something bad were to happen to Jabba, hmm?  Someone would have to take over for him, of course. Preferably someone with a... long memory, perhaps?  I will let you think on that, my friend.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/bib_fortuna.stf', '21', 'npc_3_4', 'Mistakes, is it?  Very well, my friend.  I will be giving Jabba an update later today on his current profits.  I sure do hope I am able to get all the names straight of who has caused problems around here recently. For your sake, you may want to return to me before I give Jabba the report, if you follow what I am saying.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/bib_fortuna.stf', '22', 'npc_4_4', 'You ask a lot of questions, my friend.  Questions get people killed around here.  All you need to know is what I\'ve told you, and nothing more.  If you\'d like, though, I can tell Jabba that you are curious about how he does things around here.  I\'m sure he would be happy to know how much of an interest you\'ve taken to daily operations.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/bib_fortuna.stf', '23', 'npc_4_1', 'You have attracted Jabba\'s attention. He favors those who exhibit great boldness. I have advised Jabba that only you can perform this task. Are you truly prepared to disappoint Jabba?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/bib_fortuna.stf', '24', 'npc_4_2', 'Surely you are not frightened by a mere bounty hunter, are you? Hmmm... perhaps I was wrong about you? Should I let Jabba know that you are not qualified for any jobs that require violence?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/bib_fortuna.stf', '25', 'npc_reward_1', 'Excellent.  Jabba will be pleased to learn that his associate has arrived unharmed. You have performed your duty well, which will be reported to His Excellency.  I will inform him now. ');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/bib_fortuna.stf', '26', 'npc_reward_2', 'The bounty hunter has been eliminated?  Good.  If you do not wish to become Jabba\'s dinner entertainment, you will learn from your carelessness.  His Excellency does not enjoy hearing bad news. If I am caused distress such as this again, I will blast you myself. But we may still gain from this. Let me devise a new scheme. Return to me later.  Also, Ephant Mon wanted you to have this.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/bib_fortuna.stf', '27', 'npc_reward_3', 'Now...let me look at this schematic.  Mmmhm.  Yes, I see.  Mmmhm. Hmm? What? No!  This is nothing as he had said.  Blast it!  This will never work!  Aaargh!  Wonderful... another of my day\'s annoyances.  Very well, then. You have done what we agreed, therefore you will be compensated.  I will speak with you later.  What?  Your reward?  Ah, here, take this.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/bib_fortuna.stf', '28', 'npc_reward_4', 'No one survived, correct?  Good.  I will now inform Jabba that the band of slavers that were trying to move into his territory have been dealt with.  Jabba will be most pleased to hear this.  I shall also let him know that you were personally the one who took care of the problem.  You are welcome, as well to take this. Good work.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/bib_fortuna.stf', '29', 'player_1_4', 'Point me at them and they\'ll be taken care of.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/bib_fortuna.stf', '30', 'player_2_4', 'I\'m not fixing your mistakes, Bib. Go do it yourself.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/bib_fortuna.stf', '31', 'player_3_4', 'Does Jabba know about this?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/bib_fortuna.stf', '32', 'npc_4_3', 'This schematic may help create a means for me to solve my day\'s annoyances.  If this schematic does what my contact says it does, then Jabba will never again have to fret his bloated - I mean - beautiful head over people trying to betray him... ever again.  If you do this for me, I have a good feeling you will go far within my - er - his Palace.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/bib_fortuna.stf', '33', 'next', 'Speak to G-5PO.   Jabba has some things for you to do.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/bib_fortuna.stf', '34', 'notyet', 'You are not allowed in the throneroom yet.  Go back and see Barada.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/bib_fortuna.stf', '35', 'npc_backtowork', 'You\'d better be finished with that task soon.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/bib_fortuna.stf', '36', 'npc_reset', 'Don\'t make me wait too long.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/bib_fortuna.stf', '37', 'npc_work_1', 'Where is Romo Vax?  Don\'t tell me you haven\'t gone to find him!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/bib_fortuna.stf', '38', 'npc_work_2', 'Has the bounty hunter been eliminated?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/bib_fortuna.stf', '39', 'npc_work_3', 'Where is my schematic?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/bib_fortuna.stf', '40', 'npc_work_4', 'Have those slavers been re-educated?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/bib_fortuna.stf', '41', 'player_reset', 'I need to start over.  Can I do that?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/bib_fortuna.stf', '42', 'player_sorry', 'I\'m getting back to work right now.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/bib_fortuna.stf', '43', 'npc_breech_1', 'Hello.  I\'m Romo Vax!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/bib_fortuna.stf', '44', 'npc_breech_2', 'Where is Romo Vax?  You can\'t hide him forever!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/bib_fortuna.stf', '45', 'npc_breech_3', 'Are you Bib Fortuna\'s courier?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/bib_fortuna.stf', '46', 'npc_breech_4', 'One of Bib\'s new thugs, huh?   Hahaha, you won\'t last...');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/bib_fortuna.stf', '47', 'npc_smuggle_3', 'That\'s that.  You can head on back now.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/bib_fortuna.stf', '48', 'npc_takeme_1', 'Ok, I\'m ready to go to the palace.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/bib_fortuna.stf', '49', 'ohterescort', 'Sorry, I can\'t chat right now.  ');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/bib_fortuna.stf', '50', 'npc_failure_1', 'I will not be the one to inform Jabba that you let Romo get killed. I will give you the pleasure of doing so yourself.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/bib_fortuna.stf', '51', 'npc_failure_2', 'I think you would like to be the first person to know that Romo Vax was found dead in his chambers about an hour ago. And now... I will be letting Jabba know the same.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/bib_fortuna.stf', '52', 'npc_failure_3', 'Where is that schematic? Don\'t think that I will believe for a moment that you have \'lost\' it... WHO DID YOU SELL IT TO!?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/bib_fortuna.stf', '53', 'npc_failure_4', 'A group of sand-ridden worrts such as those salvers were too much for your skills!? Get out of here, for you disgust me.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/bldg_destroy.stf', '1', 'bldg_destroy', 'System detects lifeforms inside building, shutting down self destruct');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ephant_mon.stf', '1', 'player_1_1', 'Yes, I think I understand.  I\'ll be happy to take care of them.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ephant_mon.stf', '2', 'player_1_2', 'If Jabba needs this done, then I\'m the one for the job.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ephant_mon.stf', '3', 'player_1_3', 'I don\'t want to see Jabba angry. I\'ll do it.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ephant_mon.stf', '4', 'player_2_1', 'If you\'re saying you want them killed, then I don\'t want the job.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ephant_mon.stf', '5', 'player_2_2', 'No, I\'m not interested in doing courier \"work\".');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ephant_mon.stf', '6', 'player_2_3', 'I am sick of delivering ledgers.  Find someone else to do it.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ephant_mon.stf', '7', 'player_3_1', 'Why can\'t Jabba\'s customers protect themselves?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ephant_mon.stf', '8', 'player_3_2', 'What is so special about this courier?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ephant_mon.stf', '9', 'player_3_3', 'What\'s so hard about reading a simple bank ledger?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ephant_mon.stf', '10', 'npc_1_1', 'Hngh. You want a job, eh? You want to serve Jabba? Valarian\'s thugs are makin\' loud threats \'bout hurtin\' some of Jabba\'s \"customers\".  They need to learn to be quiet.. Go silence them. For good. Do you understand?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ephant_mon.stf', '11', 'npc_1_2', 'Ngh. You back? Good. Jabba wants revenge against Valarian. You\'re gonna find and punish one of her couriers. You wanna do this small favor for Jabba?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ephant_mon.stf', '12', 'npc_1_3', 'Hurn. We have a problem with the stolen ledger. Bib Fortuna can\'t make snout nor stump of the ledger\'s code....again. But Jabba has a code-slicer in his pocket. Jabba wants you to take the ledger to this slicer, Sirad Far. You gonna take this assignment?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ephant_mon.stf', '13', 'npc_2_1', 'Once you shut \'em up, return here to let me know.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ephant_mon.stf', '14', 'npc_2_2', 'Good. That courier is carryin\' a special package. Bring the package back to me. An\' make sure the courier is dead. We\'re sendin\' a loud message to Valarian. She better learn to keep her snout outta Jabba\'s business, or it\'s gonna get chopped off.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ephant_mon.stf', '15', 'npc_2_3', 'Good choice, friend. Take this ledger to Sirad Far, who is waitin\' for you. I hear Sirad wants to thank you personally for helpin\' with some of his former...associates. Leave the ledger with him, then come back to the palace. ');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ephant_mon.stf', '16', 'npc_3_1', 'I\'m gonna think that you turned down this job \'cause you\'re spineless, not because you have a soft spot for Valarians\' thugs...');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ephant_mon.stf', '17', 'npc_3_2', 'Hmmmm.... So, you\'re too good for one of Jabba\'s simple jobs now, eh? Maybe you don\'t value your life or reputation?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ephant_mon.stf', '18', 'npc_3_3', 'Guess I was wrong about you. I thought you wanted to get close to Jabba. If you\'re smart, you\'ll reconsider.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ephant_mon.stf', '19', 'npc_reward_1', 'I hear you took care of our little problem.  Jabba\'s clients will be glad to hear it.  Good job. Perhaps, you come back to me for future assignments, hmm?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ephant_mon.stf', '20', 'npc_reward_2', 'Ah, you have the ledger.  Good.  Jabba\'s spies say that Valarian is foaming after losing it.  Take this reward for all your help.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ephant_mon.stf', '21', 'npc_reward_3', 'Jabba has heard your name. Keep showin\' your loyalty and I\'m sure you\'ll be invited to join his court. Maybe you can find more to do to keep on his good side.  Try Porcellus, he may have some work.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ephant_mon.stf', '22', 'npc_4_1', 'Jabba protects anyone willin\' to pay for it. I\'m not gonna let Lady Valarian\'s thugs try to make Jabba look weak. So, you\'re gonna show everyone on this planet that payin\' Jabba protection fee is worth every credit. You\'re up for the job, right?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ephant_mon.stf', '23', 'npc_4_2', 'The courier is nobody. Just another mercenary who needed a job. But Jabba wants what the courier is carryin\'. The package has financial information from Valarian\'s compound. We can use that information to ruin her.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ephant_mon.stf', '24', 'npc_4_3', 'Jabba\'s spies are morons. None of \'em knew that the ledger was written in code. Valarian is using an obscure form of Old Drall in that book, an\' nobody here can read it. Fortunately, Jabba has a big brain named Sirad Far on the payroll. Jabba\'s been helpin\' Far with a few of his problems, and now Sirad\'s more than happy to read the ledger for the Hutt..');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ephant_mon.stf', '25', 'next', 'If you\'re looking for something to do, try the kitchen.  Porcellus always needs a hand.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ephant_mon.stf', '26', 'notyet', 'You shouldn\'t be up here.  Go see Ree-Yees if you need a job.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ephant_mon.stf', '27', 'npc_backtowork', 'You better get that task done quick.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ephant_mon.stf', '28', 'npc_reset', 'Yeah, ok.  Come back when you\'re ready.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ephant_mon.stf', '29', 'npc_work_1', 'Did you take care of those loud mouths?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ephant_mon.stf', '30', 'npc_work_2', 'That courier get taken care of yet?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ephant_mon.stf', '31', 'npc_work_3', 'Did you deliver that ledger to our friend yet?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ephant_mon.stf', '32', 'player_reset', 'I\'m not ready for this mission, I\'d like to back out.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ephant_mon.stf', '33', 'player_sorry', 'I\'ll get right to it sir.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ephant_mon.stf', '34', 'npc_breech_1', 'One of the green guy\'s slugs eh?  We\'ll take care of ya...');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ephant_mon.stf', '35', 'npc_breech_2', 'Who are you?  What has Valarian gotten me into now?!?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ephant_mon.stf', '36', 'npc_breech_3', 'Hey, did you come to drop something off?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ephant_mon.stf', '37', 'npc_smuggle_3', 'That\'s the ledger?  That was a snap.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ephant_mon.stf', '38', 'npc_failure_1', 'Ngh. You couldn\'t even handle a group of thugs like that? Get outta of my face! And don\'t even think of wanting to work for Jabba in the future, got it?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ephant_mon.stf', '39', 'npc_failure_3', 'Let\'s go over this again. You said a Krayt Dragon rose of the sand and ate the ledger? And you also thing that I\'m a monkey-lizard, right?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ephant_mon.stf', '40', 'npc_failure_2', 'You have a lot of courage coming back here without that package in your hands.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ephant_mon.stf', '41', 'gotowork', 'Sorry, I can\'t talk now.  I have things to do...');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ephant_mon.stf', '42', 'notit', 'So, uh, where\'s that thing I asked for?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ephant_mon.stf', '43', 'dontknowyou', 'Sorry, I can\'t talk now.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '1', 'player_1_1', 'I will do as Jabba asks.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '2', 'player_1_2', 'No problem.  This will be child\'s play.  How fast does Jabba want it done?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '3', 'player_1_3', 'Tell Jabba he can count on me to get it done!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '4', 'player_1_4', 'Now that sounds like some good action!  I\'ll do this one for free!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '5', 'player_1_5', 'Hmm... sounds important.  Yeah, I\'ll do it for Jabba.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '6', 'player_1_6', 'Bounty Hunters?  No problem. Point me to them.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '7', 'player_1_7', 'Tell Jabba he\'ll get his key.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '8', 'player_1_8', 'I would be honored to help the great Jabba recover that trophy.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '9', 'player_2_1', 'Jabba should know that I\'m above simple errands.  Tell him I want a real job.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '10', 'player_2_2', 'I\'m not interested right now in assassinating anyone.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '11', 'player_2_3', 'I\'m still recovering from a recent fight. I don\'t want any courier work.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '12', 'player_2_4', 'Strike team?  Oh.  Umm... sorry, my trick knee is acting up. I can\'t do it.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '13', 'player_2_5', 'If this is anything like that Strike team job, I\'ll pass.  No thanks, Jabba.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '14', 'player_2_6', 'Bounty Hunters are too dangerous for me. Get Boba Fett to do it.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '15', 'player_2_7', 'Let Jabba know that I\'m too busy for work at the moment.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '16', 'player_2_8', 'I\'m too talented for this.  Get someone else to do it.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '17', 'player_3_1', 'Why does Jabba care about a lowly accountant?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '18', 'player_3_2', 'Lady Valarian has a personal interrogater?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '19', 'player_3_3', 'Is this an important job, or will I be running a simple errand for Jabba?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '20', 'player_3_4', 'What type of strike team are we talking about here, Jabba?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '21', 'player_3_5', 'What will I be buying from this smuggler?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '22', 'player_3_6', 'What kind of smuggler leads bounty hunters here?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '23', 'player_3_7', 'All this money for a key?  Is it worth all of these credits?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '24', 'player_3_8', 'Why is Jabba asking me to do this?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '25', 'npc_1_1', 'The Illustrious Jabba the Hutt bids you welcome to his court.  He wishes you to perform a favor of great importance.  Lady Valarian has mistreated one of her accountants, one who understands the greatness of Jabba\'s power.  You are instructed to locate Scrib Leras and bring him to Jabba\'s court so that he may offer Jabba his information.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '26', 'npc_1_2', 'While you were out, Jabba the Hutt, Prince of Tatooine, has learned that Lady Valarian did not wish to execute Scrib Leras.  Instead she wished to interrogate him, engaging the services of a most skilled interrogater.  Jabba wishes you to extinguish the life of this interrogater to repay Lady Valarian for past transgressions.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '27', 'npc_1_3', 'Jabba explains that his associate, Romo Vox, has uncovered yet another traitor within Jabba\'s Court.   His Highness has been told that this traitor has sent a message to Lady Valarian via the services of a courier.  Jabba the Hutt demands that you find the messenger and recover that missive.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '28', 'npc_1_4', 'Jabba is quite furious over the contents of the recovered message. It included a schedule of guard changes, which Lady Valarian\'s thugs plan to use to infiltrate the palace. The Resplendent Jabba wishes you to locate Valarian\'s incoming strike team and deal with them accordingly.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '29', 'npc_1_5', 'The Splendid Jabba the Hutt has requested your services again. You have served him well in the past and he believes you can be entrusted with another sensitive assignment. You are to intercept a smuggler who has business with the Lady Valarian. You are authorized to pay this smuggler more credits than Lady Valarian can offer, and bring whatever \'merchandise\' he is carrying to Jabba.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '30', 'npc_1_6', 'The Great Jabba the Hutt requires your previous assignment to be completed.  The smuggler, Belshu Dadar, has made contact with Jabba himself following your business deal.  It seems Dadar has a price on his head. Jabba wants you to terminate the bounty hunters pursuing Dadar.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '31', 'npc_1_7', 'You have been contracted to do another job for Jabba the Hutt. You are instructed to take this case of credits to an associate of Jabba\'s, one Sliv Jurek. Jurek will then give you an electronic key, which you will bring to Jabba. You have proven yourself to Jabba in the past. Do not fail him now...');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '32', 'npc_1_8', 'His Exhaltedness, Jabba the Hutt, has given you the honor of recovering the Rantok Sword for him.  Enter the predesignated warehouse using the provided passcode, and recover the sword.  You should be quite capable of dealing with any opposition. Shall I tell him you accept this mission?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '33', 'npc_2_1', 'His Highness says that you are to meet Scrib Leras and provide suitable protection as you escort him to the palace. Jabba will be most displeased if he has misplaced his trust in you. You are to return in a timely manner, for Jabba the Hutt is not to be left waiting.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '34', 'npc_2_2', 'Lady Valarian\'s torturer will be waiting for Scrib Leras. You will meet with him instead, and deal with the man using your special talents. Jabba will want a full report on how many times the torturer screamed before he died.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '35', 'npc_2_3', 'Jabba is pleased by your willingness to serve him. Return with the message in hand, and you will be rewarded well.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '36', 'npc_2_4', 'Excellent!  Now perhaps Jabba will stop blaming everything on me! As usual, the Glorious Jabba will expect this task to be completed quickly.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '37', 'npc_2_5', 'That is so good to hear! Of course, what I mean to say is that Jabba is satisfied with your initiative and will expect this mission to be completed shortly.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '38', 'npc_2_6', 'The Glorious Jabba the Hutt says that if you are able to eliminate these bounty hunters, you will prove yourself to him. That endorsement will take you far within his court, I must say.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '39', 'npc_2_7', 'His Grandness says that he will expect you to follow through with this. If you think of taking the money for yourself... oh dear.. he says that he will watch you eaten by his pet brachno-jags for the next week. Please return with his key.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '40', 'npc_2_8', 'Jabba is eagerly awaiting his sword. He will enjoy displaying it to everyone. It will become a symbol of his swift justice. Please do return quickly.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '41', 'npc_3_1', 'Jabba feels that his offer of employment was most generous, and he is angered by your rejection. I would suggest that you reconsider his offer.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '42', 'npc_3_2', 'His Grandness is most disappointed in your response. He knows that you will reconsider his offer... um... and if you were smart, you would reconsider quickly, I must add.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '43', 'npc_3_3', 'Jabba is angered by your lack of initiative. He expected more from you, but now understands that you are not worthy of his employment.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '44', 'npc_3_4', 'The Merciless Jabba does not care which of your appendages is malfunctioning. This mission must be completed. Jabba informs me that he will not take \'No\' for an answer. Were Jabba not so preoccupied with other matters, he would feed you to the rancor immediately. You may dwell on this threat...');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '45', 'npc_3_5', 'Oh no!  Please do reconsider. If he does not get what he wants, Jabba may direct his anger towards me! The Vengeful Jabba says that you have a few moments to agree to this mission. If you do not... you will be fed to the Sarlaac next time... oh dear!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '46', 'npc_3_6', 'Oh dear... Jabba the Hutt tells you that if he has to pay Boba\'s price for this mission, he will be most displeased.  He is upset that you do not wish to do business with him, and he is getting quite angry indeed.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '47', 'npc_3_7', 'The Pungent - er, I mean to say - Perfectious Jabba the Hutt says he does not have time to wait. Another mercenary will be assigned this task.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '48', 'npc_3_8', 'His Magnificentness explains to you that position is easily changed.  He has also told me that he doesn\'t want to hear a \'No\' or he will be very angry with me and ... oh dear, oh dear ... send me to the droid pit to be deconstructed.  I beg you, please tell him \'Yes\'.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '49', 'npc_4_1', 'The Lady Valarian is to execute said accountant for a miscalculation amounting to a total of 4 credits.  Jabba the Hutt, in his generosity, understands that mistakes are made, and wishes to help him.  Jabba knows the accountant will be willing to offer any information to his Highness in return for this favor.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '50', 'npc_4_2', 'Jabba the Hutt says that Lady Valarian uses crude means of keeping her cronies in line.  She has hired a most competent interrogater to extract information from the less loyal members of her cadre. Jabba the Hutt says he would never resort to simple torture to ensure loyalty.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '51', 'npc_4_3', 'The Majestic Jabba says that any job he offers to someone is of the utmost importance, simply because it was GIVEN by the Illustrious Jabba.  But, if you must know, the message contains something about the bookkeeper you escorted here recently. Jabba is curious to know why Lady Valarian values this bookkeeper so.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '52', 'npc_4_4', 'Jabba explains that the strike team\'s membership is still a guarded secret. It could include some of Lady Valarian\'s lowly thugs, or perhaps trained Commandos. Jabba the Hutt, in his sagacity, places his full faith in your ability to handle this mild annoyance.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '53', 'npc_4_5', 'The Wise Jabba says that you ask too many questions.  He has graciously allowed you this information: The smuggler supposedly works for Black Sun, which has chosen to do business with Lady Valarian. Jabba does not know what Valarian is buying, and this displeases him.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '54', 'npc_4_6', 'Belshu Dadar is now Jabba\'s loyal associate. His Greatness says that this is a favor he is doing for Belshu.  He has chosen to give you the contract because you have proven yourself talented, but expendable. In other words, he says to mind your own business and take the job.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '55', 'npc_4_7', 'Jabba the Hutt has been told by Belshu, the smuggler now working for him, that there is a valuable Rantok Sword being held in a warehouse here on Tatooine. Jabba wants this sword to display on his wall. Jabba needs an electronic key to enter the warehouse, and his associate, Sliv Jurek, can provide that tool.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '56', 'npc_4_8', 'Jabba would prefer to offer this job to Boba Fett, but your fee is much more reasonable. Jabba has placed his trust in you. Do not take this honor lightly.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '57', 'npc_reward_1', 'Jabba wishes to tell you that he is pleased with your escort services. Jabba will speak with the accountant later, but currently, eating his seventh meal of the day is more pressing. For now, Jabba wishes to extend to you his personal appreciation for an errand well done.  As a token he bequeaths you this reward.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '58', 'npc_reward_2', 'The Grand Jabba the Hutt expresses his appreciation. He is most overjoyed to hear the man died in a terrible fashion. Jabba the Hutt says you show great promise and he may have use of your services in the future.  He also bequeaths to you this reward.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '59', 'npc_reward_3', 'His Worshipfulness tells you that he is impressed with the speed in which you dealt with the traitor\'s messenger.  Bib Fortuna will now decode the message and tell Jabba what it contains. Jabba is pleased... thank goodness.  As a result he has decided that you should take a short break, and as a means, he has provided this reward.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '60', 'npc_reward_4', 'Jabba the Hutt says that his next imbibed drink will be dedicated to you, for your brashness and skill. That is quite an honor, indeed.  You should be most grateful for that, and for this reward he has offered you.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '61', 'npc_reward_5', 'His Imperiousness, Jabba the Hutt, wishes to commend you for a job well done. Please inquire later about any further jobs Jabba may have for you.  Oh, and yet another reward has been granted to you, Jabba\'s most favored employee.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '62', 'npc_reward_6', 'The Great Jabba the Hutt has been informed of your victory over the bounty hunters. He wishes me to tell you that you are exactly the kind of scum he likes. He will be most happy to do business with you in the future.  He has given you this reward.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '63', 'npc_reward_7', 'Jabba the Hutt is impressed by your success. He says that you remind him of a daring smuggler he once employed. You should go far. This reward is for you.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '64', 'npc_reward_8', 'The resplendent Jabba the Hutt expresses his deepest thanks. He wishes to tell you that if you need a place to hide from authorities, he offers you his home, for he considers you to be a close associate.  Oh, I do thank you as well. If this had gone bad, he probably would have replaced me.  I am indebted to you!  As such I\'m making sure that you get a good reward.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '65', 'next', 'Currently Jabba has nothing left for you to do.  Feel free to relax here within the palace.  Perhaps some more work will become available in the future.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '66', 'notyet', 'Jabba wishes to know why a worm such as you, who doesn\'t even have the approval of Bib Fortuna, would even attempt to talk to him.   Perhaps you\'d like to see our Rancor?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '67', 'npc_backtowork', 'The illustrious Jabba wishes you to continue with your mission.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '68', 'npc_reset', 'His immenseness is most displeased with your lack of progress.  Do return when you\'ve become powerful enough to work for Jabba.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '69', 'player_reset', 'Tell Jabba I can\'t do this yet.  I\'ll have to come back later.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '70', 'player_sorry', 'Tell Jabba I\'m on my way to finish my work now.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '71', 'npc_work_1', 'The distinguished Jabba wishes to know where his new \"friend\" Scrib Leras is.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '72', 'npc_work_2', 'The renowned Jabba the Hutt asks whether Valarian\'s Interrogators have been dealt with...');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '73', 'npc_work_3', 'The exalted Hutt, Jabba, wants to know if the traitor has been dealt with.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '74', 'npc_work_4', 'Glorious Jabba wishes to know what has happened to the strike team.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '75', 'npc_work_5', 'Jabba the Hutt, celebrated leader, is curious about the merchandise you were to retrieve.  Do you have it?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '76', 'npc_work_6', 'The Remarkable Jabba the Hutt wants to know if the bounty hunters are still breathing.  You realize of course the answer to this question should be no...');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '77', 'npc_work_7', 'Magnificent Jabba wants to know where the key is.  Have you spoken to Sliv Jurek yet?  I do hope you have...');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '78', 'npc_work_8', 'Esteemed Jabba wants his Rantok Sword.  I do hope, for everyone\'s sake, that you have acquired it.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '79', 'npc_breech_1', 'Are you from the Palace?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '80', 'npc_breech_2', 'Jabba sends cronies to deal with us?  He should have sent someone competent.  Hah!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '81', 'npc_breech_3', 'No!  I didn\'t want to turn against Jabba!  You won\'t take me back alive!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '82', 'npc_breech_4', 'We\'ve been ratted out!  Get that guy!  Don\'t let him live!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '83', 'npc_breech_5', 'Psst!  Hey, are you the guy?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '84', 'npc_breech_6', 'What do you think you\'re doing?  I think you\'re dying!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '85', 'npc_breech_7', 'Hey, pal, how\'s it going?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '86', 'npc_breech_8', 'ALARM!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '87', 'npc_smuggle_5', 'As dangerous as this is Jabba sure pays well, heh.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '88', 'smuggle_7', 'Whew.  I was getting worried out here.  Well, I guess our business is done.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '89', 'npc_takeme_1', 'Ok, get me back to the Palace.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '90', 'npc_failure_1', 'The Vengeful Jabba says that he is most displeased with the outcome of your assignment. -Oh my!- He has asked you to stay for dinner and take part in the entertainment. I am afraid he has said this in such a way that it was not a suggestion, but rather and order. I am so sorry, friend.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '91', 'npc_failure_2', 'The Sagacious Jabba says that if you could not handle one person, then you are not of the caliber he is looking for. Oh dear... Jabba the Hutt says you can go get lost in the Jundland Wastes for all he cares.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '92', 'npc_failure_3', 'Oh dear oh dear... the Wrathful Jabba says that he is most displeased by the turn of these events and that the -oh- the \"normal\" will be happening tonight.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '93', 'npc_failure_4', 'The Irate Jabba says that since you failed in what he wanted that perhaps a job cleaning the Kowakian Monkey-lizard at his tail would be more fitting for your aptitudes.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '94', 'npc_failure_5', 'The Curious Jabba the Hutt, Khan of the Outer Rim, asks you what happened to the money he entrusted to you?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '95', 'npc_failure_6', 'I will tell Jabba that you said you are still working on this. If he hears that you failed, he will do something most awful to... OH! Yes, your Highness? You could understand what I was saying? Oh my.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '96', 'npc_failure_7', 'Oh dear... run, friend! Jabba has called for the brachno-jags! RUN!!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '97', 'npc_failure_8', 'The Vengeful Jabba says that he is most displeased with the outcome of your assignment. -Oh my!- He has asked you to stay for dinner and take part in the entertainment. I am afraid he has said this in such a way that it was not a suggestion, but rather and order. I am so sorry, friend.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '98', 'npc_smuggle_7', 'Well, that\'ll do it.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '99', 'notit', 'Jabba wonders what became of the item he asked you to acquire?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/g5po.stf', '100', 'gotowork', 'Don\'t you have something you should be doing?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/porcellus.stf', '1', 'npc_1_1', 'Hm, hm, hmmm... yes, yes, you just might be the person I\'m looking for.  I\'m Porcellus, cook extraordinaire, chef to Senators and Royals alike, and now... *sigh*... slave to Jabba.  Jabba has requested a meal more exotic than his usual fare, and I have just the idea.  Would you gather some special meat for me?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/porcellus.stf', '2', 'npc_1_2', 'Since Jabba loved his Kaadu Krunchies, he now wants to feast upon a rare beastie here on Tatooine.  He has sent scouts to find that oh so elusive Meat Beast.  Word came back one of the scouts spotted the Meat Beast, but it\'s being studied by some official looking \"veterinarian\", whatever that is.  Take down that vet and see if he has the location of the creature.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/porcellus.stf', '3', 'npc_1_3', 'What exciting news!  They had actually tracked down the Meat Beast to its lair!  Aren\'t you brimming with excitement?!  All you need to do now is go track down the Meat Beast at these coordinates, kill it, and bring back its fabled meat!  Does that sound good to you?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/porcellus.stf', '4', 'npc_2_1', 'I am quite overjoyed to hear you can help!  Prefect Talmont has paid a lot of credits to have a kaadu transported here to Tatooine.  After it\'s unloaded and is being escorted to Prefect Talmont\'s mansion, all you need to do is intercept Talmont\'s toadies, kill the beastie, and bring me back a good slice from its haunches.  I\'ll wait, friend.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/porcellus.stf', '5', 'npc_2_2', 'Good, good, good.  Now, from what the scout said, the \"vet\" shouldn\'t be too far.  Then again, that\'s information from one of Bib Fortuna\'s men so, you know...  Remember you don\'t need to bring back the \"veterinarian\"\'s body,  just bring back his datapad.  If the guy was smart, he probably recorded where he spotted the Meat Beast!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/porcellus.stf', '6', 'npc_2_3', 'Ohhh, excellent, excellent, excellent!  Go track down that beastie and bring me back a good chunk from its haunches or ribs or wherever!  Now.... what shall I make?  A pate, perhaps?  No, no, too gauche for his tastes.  Ah!  A fine Meat Beast pudding!  Yes!  Hmm?  Are you still here?  Go, go!  Get me that Meat Beast, friend!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/porcellus.stf', '7', 'npc_3_1', 'All of you scum here are ungrateful bantha-fodder!  You eat my food, but you don\'t care a whit if I get tossed into the rancor pit, do you?  Whatever will I do?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/porcellus.stf', '8', 'npc_3_2', 'You charge too much, but you sure will eat the food I make, right?  Very well, then.  I will ask Jabba to send out a scout because you refused to do this for him.  I\'m sure that little bite of information will settle well with him.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/porcellus.stf', '9', 'npc_3_3', 'No!  You don\'t understand!  If I don\'t make this meal soon for Jabba, he\'ll throw me to the Rancor!  I don\'t even belong here!  Please, you must help me!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/porcellus.stf', '10', 'npc_4_1', 'For Jabba\'s dinner tonight, I am preparing him a succulent plate of charbroiled sand-maggot kidneys, served with a chilled carafe of fermented worrt milk.  Is this elegant meal enough for him? NO!  Jabba wants kaduu meat, which he heard Prefect Talmont is importing for a regal Imperial party he\'s hosting.  Bah!  He\'s so finicky!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/porcellus.stf', '11', 'npc_4_2', 'Well, I\'m not too sure what the Meat Beast is.  Rumor has it, though, that whoever eats a bite of it will never get indigestion ever again!  Supposedly it\'s got big horns, two tails, eight eyes, nine legs, and fangs the size of a Jawa.  Then again, maybe not.  Who knows?  What I do know is that when I\'m done with it, it\'ll be quite tasty, indeed.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/porcellus.stf', '12', 'npc_4_3', 'What?  Can you not see?  I have won the Golden Spatula award 3 years in a row when I was a Master Chef on Coruscant! If I whip up a scrumptious pate made from the Meat Beast, maybe the story will spread to other worlds.  This may be my one chance for my colleagues to know I\'m trapped here in this Palace!!!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/porcellus.stf', '13', 'npc_reward_1', '*Sniiiiiiiffff*  Mmmm... Kaadu meat exudes such a wonderful aroma, wouldn\'t you say.  Now, all this needs is a little spice coating, some... hrm... oil, yes oil would be good, hmm.... more spices, yes... and a little...ahhh, yesss... Eopie cheese... and voila - Kaadu Krunchies!  I\'ll let you know if Jabba enjoyed his \'exotic\' meal!  Thank you!  Here, take this as a reward.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/porcellus.stf', '14', 'npc_reward_2', 'You brought the datapad back!  Did you see any sign of the Meat Beast anywhere when you were out there?  Nah, I guess that was too much to expect.  Well, either way, I\'ll have Bib decode this pad to see if the veterinarian left any information as to where its lair is.  Thank you, friend!  As a gift I\'m giving you this out of my own pocket.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/porcellus.stf', '15', 'npc_reward_3', 'Oh, how wonderful!  Good, good!  The meat is still in wonderful condition!  I will be known galaxy-wide for my Meat Beast Pudding!  And then, and then... maybe my fellow chefs might mount a rescue team to save me from wasting my talents on this horrid slug!  Thank you once again, friend!  Here, you can have this for all your help.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/porcellus.stf', '16', 'player_1_1', 'A full belly keeps Jabba happy, I hear.  Sure, I\'ll do it.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/porcellus.stf', '17', 'player_1_2', 'No problem!  I\'ll go get it for you.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/porcellus.stf', '18', 'player_1_3', 'Sure!  I can\'t wait to see this \'Meat Beast\'!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/porcellus.stf', '19', 'player_2_1', 'No, you got the wrong person.  You must have mistaken me for a lowly kitchenhand.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/porcellus.stf', '20', 'player_2_2', 'Get another scout to go find the body.  I charge too much for body recoveries.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/porcellus.stf', '21', 'player_2_3', 'Too bad.  I\'m not going on a wild Cu-Pa chase to find this imaginary Meat Beast.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/porcellus.stf', '22', 'player_3_1', 'What kind of meat are we talking about here?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/porcellus.stf', '23', 'player_3_2', 'What in the heck is a \'Meat Beast\'?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/porcellus.stf', '24', 'player_3_3', 'Why are you so excited about making this \'Meat Beast\' into a meal?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/porcellus.stf', '25', 'next', 'Why don\'t you head down to the garage and see what Barada\'s up to.  I hear he\'s cooking something up...');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/porcellus.stf', '26', 'notyet', 'You shouldn\'t be back here.  This kitchen is for me and trusted staff only.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/porcellus.stf', '27', 'npc_backtowork', 'Well, if you don\'t get this done quick we\'re both gonna be in trouble.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/porcellus.stf', '28', 'npc_reset', 'Yeah, fine, I\'ll find somebody else to do the real work around here.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/porcellus.stf', '29', 'player_sorry', 'Sorry, I\'ll get back to work.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/porcellus.stf', '31', 'player_reset', 'I think I\'d like to get out of here for a while, maybe finish this later?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/porcellus.stf', '33', 'npc_work_1', 'Where\'s my Kaadu meat?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/porcellus.stf', '34', 'npc_work_2', 'Did you get the location of the meat beast?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/porcellus.stf', '35', 'npc_work_3', 'Where\'s my meat beast...erm...meat?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/porcellus.stf', '36', 'npc_breech_1', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/porcellus.stf', '37', 'npc_breech_2', 'Hey, who are you?!?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/porcellus.stf', '38', 'npc_breech_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/porcellus.stf', '39', 'npc_failure_1', 'Very well... I shall remember this when you ask me for a tasty, tasty little treat.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/porcellus.stf', '40', 'npc_failure_2', 'What do you mean you didn\'t gather that location! Ah! This is a travesty!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/porcellus.stf', '41', 'npc_failure_3', 'Oh, how much you have ruined my day.... I shall be thrown to the Sarlaac for this.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/porcellus.stf', '42', 'notit', 'Where is it?  Why haven\'t you brought me what I asked for?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/quest_details.stf', '1', 'jabbas_palace_1', 'REELO BARUK needs you to find the TUSKEN RAIDER LEADER who has been harrassing Jabba\'s friends and KILL him.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/quest_details.stf', '2', 'jabbas_palace_2', 'REELO BARUK wants you to find VALARIAN\'S THUGS who have been hanging out near the palace.  They are to be DESTROYED.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/quest_details.stf', '3', 'jabbas_palace_3', 'JABBA\'S VISITOR is lost somewhere near the palace. REELO BARUK wants you to ESCORT him to the Palace.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/quest_details.stf', '4', 'jabbas_palace_4', 'JABBA wants a slicer in his pocket, and in order to get him you need to KILL the slicers rival THUGS.  When you are done return to REE-YEES.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/quest_details.stf', '5', 'jabbas_palace_5', 'REE-YEES wants you to find the transponder from a crashed starship and return it.  If the filthy JAWAS have stolen it you should KILL them and take it.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/quest_details.stf', '6', 'jabbas_palace_6', 'REE-YEES wants you to DELIVER the transponder to SIRAD FAR.  When you have done so return to the palace.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/quest_details.stf', '7', 'jabbas_palace_7', 'EPHANT MON wants you to DESTROY some more of LADY VALARIAN\'S thugs.  They\'re harrassing Jabba\'s loyal customers.  This must end immediately.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/quest_details.stf', '8', 'jabbas_palace_8', 'KILL the COURIER who\'s making a delivery for LADY VALARIAN.  RETRIEVE anything important he might be carrying.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/quest_details.stf', '9', 'jabbas_palace_9', 'DELIVER the ledger to SIRAD FAR.  Bib Fortuna will view this as a personal favor.  Return to EPHANT MON when you are done.  Allow no harm to come to our friend, the slicer.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/quest_details.stf', '10', 'jabbas_palace_10', 'Find and DESTROY the KAADU that is being delivered to Prefect Talmont.  Return to PORCELLUS with meat from the beast.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/quest_details.stf', '11', 'jabbas_palace_11', 'RETRIEVE the location of the \"meatbeast\" from the VETERINARIAN.  Be careful as you may have to KILL the \"vet\" and the \"vet\'s\" bodyguards.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/quest_details.stf', '12', 'jabbas_palace_12', 'KILL the MEATBEAST and return with some of it\'s meat so that PORCELLUS can finish Jabba\'s Lunch.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/quest_details.stf', '13', 'jabbas_palace_13', 'KILL VALARIAN\'S THUG.  He has a special CODE CYLINDER that BARADA wants you to bring back to him.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/quest_details.stf', '14', 'jabbas_palace_14', 'DELIVER the CODE CYLINDER to the slicer.  When this is done return to BARADA.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/quest_details.stf', '15', 'jabbas_palace_15', 'Go to LADY VALARIAN\'S WAREHOUSE.  Get past the GUARDS however you can.  Use the SELF-DESTRUCT terminal to destroy the warehouse.  Return to BARADA.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/quest_details.stf', '16', 'jabbas_palace_16', 'ESCORT ROMO VAX safely to the Palace.  Return to BIB FORTUNA when you are finished.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/quest_details.stf', '17', 'jabbas_palace_17', 'DESTROY the BOUNTY HUNTER who has come to the Palace looking for Romo Vax.  Return to BIB FORTUNA when you are finished.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/quest_details.stf', '18', 'jabbas_palace_18', 'RETRIEVE the SCHEMATIC that BIB FORTUNA has asked for.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/quest_details.stf', '19', 'jabbas_palace_19', 'Find and KILL the SLAVERS who are moving in on BIB FORTUNA\'S territory.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/quest_details.stf', '20', 'jabbas_palace_20', 'ESCORT SCRIB LERAS to the Palace.  As usual, he is not to be harmed.  JABBA will be most pleased.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/quest_details.stf', '21', 'jabbas_palace_21', 'Find and KILL the INTERROGATOR that LADY VALARIAN hired to torture Scrib Leras.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/quest_details.stf', '22', 'jabbas_palace_22', 'DESTROY the STRIKE TEAM that VALARIAN has sent to the palace.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/quest_details.stf', '23', 'jabbas_palace_23', 'Find and KILL the TRAITOR.  JABBA will not have this in his home.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/quest_details.stf', '24', 'jabbas_palace_24', 'RETRIEVE the merchandise from JABBA\'S friend the SMUGGLER.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/quest_details.stf', '25', 'jabbas_palace_25', 'DESTROY the Bounty Hunters who are seeking our new friend.  ELIMINATE them without delay.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/quest_details.stf', '26', 'jabbas_palace_26', 'DELIVER the BRIEFCASE to SLIV JUREK and in return bring back the ELECTRONIC KEY he will sell you.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/quest_details.stf', '27', 'jabbas_palace_27', 'STEAL the RANTOK SWORD from LADY VALARIAN\'S warehouse.  ELIMINATE any resistance you encounter and bring the sword back to JABBA.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/quest_details.stf', '28', 'jabbas_palace_return', 'Return to Jabba\'s Palace.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/reelo_baruk.stf', '1', 'npc_1_1', 'New here eh?  Well, I\'ve got a problem you can help me with. Some of those nasty Tuskens are starting to get brazen, hanging out too close to the palace.  Jabba hates that.  If you can go take care of them, I\'ll see what else I can find for you.  Deal?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/reelo_baruk.stf', '2', 'player_1_1', 'Deal.  I\'ll get to it.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/reelo_baruk.stf', '3', 'player_2_1', 'No way.  Too dangerous.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/reelo_baruk.stf', '4', 'player_3_1', 'Tuskens?  I don\'t understand.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/reelo_baruk.stf', '5', 'npc_4_1', 'You know, the Sand People?  They wear those dirty robes and carry spiked clubs? Heads wrapped in bandages? But just take care of the leader and we\'ll call it done.  Deal?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/reelo_baruk.stf', '6', 'npc_3_1', 'Fine.  You don\'t look like Jabba\'s kinda scum anyway, but I thought I\'d give you a shot. Come back after you buy some courage.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/reelo_baruk.stf', '7', 'npc_2_1', 'Good. Just take care of the leader and I\'ll take care of ya.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/reelo_baruk.stf', '8', 'npc_reward_1', 'Good work.  I\'m impressed.  Come back later and I\'ll find some more work for you.  Oh, but here, take this for your help.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/reelo_baruk.stf', '9', 'npc_1_2', 'Oh, it\'s you. Good timing. I got something you can do for me. There\'s some thugs that work for Lady Valarian hanging out around the palace.  I don\'t know what they\'re up to, but Jabba wants them, you know, taken care of.  Can I count on you again?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/reelo_baruk.stf', '10', 'player_1_2', 'Of course.  I\'ll get right to it.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/reelo_baruk.stf', '11', 'player_2_2', 'Can\'t do it now.  I\'ll come back later.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/reelo_baruk.stf', '12', 'player_3_2', 'Who\'s Lady Valarian?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/reelo_baruk.stf', '13', 'npc_2_2', 'Great.  I\'ll give you their last known location and you can take care of it.  When you get back I\'ll see what else we have that needs to be done.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/reelo_baruk.stf', '14', 'npc_3_2', 'Well, don\'t be too long or I\'ll have to find someone else to take this job.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/reelo_baruk.stf', '15', 'npc_4_2', 'She\'s a lowlife, small-time gangster that operates out of the Lucky Despot in Mos Eisley.  She\'s a constant thorn in Jabba\'s side, so whenever we get the chance, we do some damage to her operations.  So, can you help?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/reelo_baruk.stf', '16', 'npc_reward_2', 'Excellent work.  I hear people talking about you in the halls now.  You\'re going to move up in this operation, I can feel it.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/reelo_baruk.stf', '17', 'npc_1_3', 'Good to see you again. Jabba\'s has a friend wandering out in the desert, trying to find the palace with a busted datapad and no sense of direction.  I need you to go out there and find this guy and bring him back.  Or maybe it\'s a girl... I can\'t remember.  Can you go get him?  Or her?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/reelo_baruk.stf', '18', 'npc_2_3', 'Thanks. You\'ve saved my hide. If Jabba\'s friend doesn\'t get here, somebody\'s going to be breakfast for the Sarlacc, and it could easily end up bein\' me!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/reelo_baruk.stf', '19', 'npc_3_3', 'Well, I\'ll try to find someone else to do it, but get back here as quick as you can \'cause I think everyone\'s busy.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/reelo_baruk.stf', '20', 'npc_4_3', 'I don\'t know... somebody delivering something to Jabba, or bringing Jabba some info, or maybe credits, or something. Everything\'s a big secret around here usually, so this lack of information is pretty standard.  I just need to know if you can go get them back here...');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/reelo_baruk.stf', '21', 'player_1_3', 'Sure.  I\'ll be back soon.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/reelo_baruk.stf', '22', 'player_2_3', 'I\'m kinda busy at the moment.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/reelo_baruk.stf', '23', 'player_3_3', 'Who is this friend?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/reelo_baruk.stf', '24', 'npc_reward_3', 'You do good work.  I\'ll let Ree-Yees know that I\'m putting you on our available roster of employees and you can see what he has for you to do.  You know, I had reward for you.. ah here it is.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/reelo_baruk.stf', '25', 'npc_takeme_3', 'Finally.  You\'re the one Reelo sent to take me back to the Palace, right?  Well, let\'s not waste any time chatting.  Just take me back there.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/reelo_baruk.stf', '26', 'npc_work_1', 'You didn\'t take care of the tuskens did you?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/reelo_baruk.stf', '27', 'npc_work_2', 'You didn\'t take care of the thugs did you?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/reelo_baruk.stf', '28', 'npc_work_3', 'Where\'s Jabba\'s friend?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/reelo_baruk.stf', '29', 'player_reset', 'I think I need to start over with this one.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/reelo_baruk.stf', '30', 'player_sorry', 'Sorry, I\'ll get right back to it.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/reelo_baruk.stf', '31', 'npc_backtowork', 'Well get back to it then.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/reelo_baruk.stf', '32', 'npc_reset', 'Fine, come back when you think you can handle this.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/reelo_baruk.stf', '33', 'notyet', 'Could you repeat that?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/reelo_baruk.stf', '34', 'next', 'Go see Ree-Yees over there.  He may have some things he needs done.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/reelo_baruk.stf', '35', 'npc_breech_1', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/reelo_baruk.stf', '36', 'npc_breech_2', 'It\'s one of Jabba\'s thugs, get him!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/reelo_baruk.stf', '37', 'npc_breech_3', 'Hey, I\'m over here!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/reelo_baruk.stf', '38', 'dontknowyou', 'I\'m sorry, I\'m waiting for someone.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/reelo_baruk.stf', '39', 'npc_failure_1', 'You let me down. No... I don\'t think this business relationship is going to work out.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/reelo_baruk.stf', '40', 'npc_failure_2', 'I thought you said I could count on you? What happened between the time you said that and now?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/reelo_baruk.stf', '41', 'npc_failure_3', 'Now, let\'s talk about this. I distinctly remember saying that I needed you to save my friend, right? Now you must have heard \'Go out and let my friend die in a horrible manner\'. Now, it\'s not that I\'m above that... BUT I DIDN\"T SAY THAT!!!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ree_yees.stf', '1', 'npc_1_1', 'Are you looking at me!? You want a job, is that it? Okay, look, Jabba is missing a slicer since his last one had a little bit of an accident with the rancor.  Well, Jabba wants this one slicer, Sirad Far, in his pocket and he knows the best way to do it would be to help take out Sirad\'s rivals.  You wanna help out with this?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ree_yees.stf', '2', 'player_1_1', 'Tell Jabba I\'ll deal with Sirad\'s rivals personally.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ree_yees.stf', '3', 'player_2_1', 'That seems beneath me. Have someone else do it.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ree_yees.stf', '4', 'player_3_1', 'What does this slicer do that Jabba wants him?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ree_yees.stf', '5', 'npc_4_1', 'Why do you care, huh? All you need to know is that Jabba wants Sirad in his pockets - er- folds. Between you and me, though, Bib says that this Sirad guy is supposed to be one of the best here on Tatooine.  If Jabba does Sirad a favor, Sirad\'s gonna need to do Jabba some too. So, you wanna prove yourself around here or not?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ree_yees.stf', '6', 'npc_3_1', 'You think so? You keep talking like that, you\'re gonna be buried beneath the palace. Now get outta here!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ree_yees.stf', '7', 'npc_2_1', 'Good move, worrt.  Here\'s where you can find Sirad\'s competition.  Finish them off, and maybe I\'ll tell Bib you have a spine.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ree_yees.stf', '8', 'npc_1_2', 'Hey, worrt! I gotta \'nother job for you. Bib just got word of some vessel that crashed out in the dunes nearby the Palace.  Jabba says he wants the transponder from that craft.  You wanna run out there and grab it for him?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ree_yees.stf', '9', 'npc_2_2', 'From what Bib said, it shouldn\'t be too far off from here.  If anyone else got to it before you do, let them know that Jabba owns all the space debris on this planet.  If they don\'t give it up on their own, take it from them, if you know what I mean.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ree_yees.stf', '10', 'npc_3_2', 'You know, when Jabba hears that you turned him down, I\'m sure he\'ll let ME do a good job on you.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ree_yees.stf', '11', 'player_1_2', 'Sure, I\'ll get that transponder for him.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ree_yees.stf', '12', 'player_3_2', 'Why does he only want the transponder?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ree_yees.stf', '13', 'player_2_2', 'Don\'t waste my time. Tell Jabba to give me a real job.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ree_yees.stf', '14', 'npc_4_2', 'I don\'t know why he wants it.  Do I look like Jabba to you?  Maybe once you get it, he\'ll tell you.  Then again, maybe not.  Just get it, okay?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ree_yees.stf', '15', 'npc_reward_1', 'Huh, you actually did it... I\'ll let Bib know you\'re tougher than you look. And maybe I\'ll give you another job in the future, worrt.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ree_yees.stf', '16', 'npc_reward_2', 'Good work, worrt.  Jabba\'s gonna be real happy to see that the transponder wasn\'t damaged in the crash.  I don\'t know what he wants with it, but he\'ll be real happy, I\'m sure.  Oh, and by the way, we decided you needed a reward.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ree_yees.stf', '17', 'npc_1_3', 'Good news, worrt.  Jabba says that transponder is exactly what he was looking for.  Now Jabba is going to see if this Sirad Far guy was worth all the effort.  Take the transponder to Sirad Far so he can slice into the codes on this thing, okay?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ree_yees.stf', '18', 'npc_2_3', 'Yeah, I knew you\'d want to do it.  Sirad\'s been told he\'s got a package showing up, so he\'s waiting.  Get this over to him, and get it to him fast, you hear?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ree_yees.stf', '19', 'npc_3_3', 'I told Jabba you would do it.  If you don\'t get this done, and done soon, Jabba\'s gonna get real angry.  You don\'t want to see Jabba when he\'s angry.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ree_yees.stf', '20', 'npc_reward_3', 'You know what, worrt? Word has been going around that Jabba and Bib are real happy over this Sirad Fal deal.  Just don\'t go thinking that you can have my job.  Worrt or no worrt, I\'ll still smash yer face if you play games with me.  But you\'ve done good, so next time we\'re in a cantina, I\'ll buy us a round of bantha blasters!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ree_yees.stf', '21', 'player_1_3', 'Sounds easy enough.  Yeah, I\'ll get the job done.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ree_yees.stf', '22', 'player_2_3', 'What does Jabba take me for, some errand runner?  I\'m not doing it.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ree_yees.stf', '23', 'player_3_3', 'What is Jabba planning on doing with the transponder once Sirad\'s done with it?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ree_yees.stf', '24', 'npc_4_3', 'I heard Jabba say that the type of ship that crashed meets the same specifications as Jabba\'s own personal starship.  I think what Jabba\'s trying to do is have this transponder hooked up on his ship so that Jabba can transmit a false identity whenever he wants.  That Hutt is sly, I must admit.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ree_yees.stf', '25', 'npc_work_1', 'Hey, worrt, did you deal with those thugs?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ree_yees.stf', '26', 'npc_work_2', 'Where\'s the transponder, wort?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ree_yees.stf', '27', 'npc_work_3', 'Did you deliver our transponder?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ree_yees.stf', '28', 'player_sorry', 'Yeah, I\'ll get right on that. ');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ree_yees.stf', '29', 'player_reset', 'I think I need to take a break and start over.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ree_yees.stf', '30', 'npc_reset', 'Ok, come back when you get some courage.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ree_yees.stf', '31', 'npc_backtowork', 'Get on it then!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ree_yees.stf', '32', 'next', 'You\'ve got access to the upstairs now, worrt, go see if Ephant Mon needs anything done.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ree_yees.stf', '33', 'notyet', 'Hey, talk to Reelo.  I don\'t deal with just everybody that comes in out of the desert.  That\'s his job.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ree_yees.stf', '34', 'npc_breech_1', 'Thugs, eh?  Sirad Far will be sorry...');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ree_yees.stf', '35', 'npc_breech_2', 'Ootini!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ree_yees.stf', '36', 'npc_breech_3', 'Hey, are you the guy old Reesy-Yeesy sent?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ree_yees.stf', '37', 'npc_smuggle_3', 'That transponder should be just fine for Jabba\'s purposes.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ree_yees.stf', '38', 'gotowork', 'Sorry, I\'ve got a lot to do, maybe you have something you should be doing?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ree_yees.stf', '39', 'npc_failure_1', 'Oh, this is gonna be good. When he hears what happens, your face is gonna be smashed in real good-like!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ree_yees.stf', '40', 'npc_failure_2', 'You couldn\'t even do this one? You stupid little worrt! After Jabba hears about this, I\'m gonna get to pay you a little visit. Heh...');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ree_yees.stf', '41', 'npc_failure_3', 'What happened to the package, you poodoo-soaked Monkey-lizard?? You\'d best have that package in your hands by the time I count to three!!!!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ree_yees.stf', '42', 'notit', 'Where\'s that item I asked you to get?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ree_yees.stf', '43', 'otherescort', 'I got things to do.  Can\'t talk.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/ree_yees.stf', '44', 'dontknowyou', 'Can\'t talk now.  Busy.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/warning.stf', '1', 'ree_yees', 'You can not enter this area until Ree-Yees gives you permission.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/warning.stf', '2', 'barada', 'You can not enter the Throne Room until Barada gives you permission.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/warning.stf', '3', 'porcellus', 'You can not enter the garage until Porcellus gives you permission.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_jabba/warning.stf', '4', 'jabba', 'Only Jabba and his close personal friends have access to this area.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_lookat.stf', '1', 'lom', '4lom\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_lookat.stf', '2', 'admiral_ackbar', 'admiral ackbar\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_lookat.stf', '3', 'barada', 'barada\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_lookat.stf', '4', 'base_npc_theme_park', 'base npc theme park\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_lookat.stf', '5', 'bib_fortuna', 'bib fortuna\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_lookat.stf', '6', 'boba_fett', 'boba fett\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_lookat.stf', '7', 'boss_nass', 'boss nass\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_lookat.stf', '8', 'bossk', 'bossk\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_lookat.stf', '9', 'brea_tonnika', 'brea tonnika\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_lookat.stf', '10', 'c_3po', 'c 3po\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_lookat.stf', '11', 'chalmun', 'chalmun\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_lookat.stf', '12', 'chewbacca', 'chewbacca\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_lookat.stf', '13', 'darth_vader', 'darth vader\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_lookat.stf', '14', 'dengar', 'dengar\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_lookat.stf', '15', 'droopy_mccool', 'droopy mccool\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_lookat.stf', '16', 'emperor_palpatine', 'emperor palpatine\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_lookat.stf', '17', 'emperor_royal_guard', 'emperor royal guard\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_lookat.stf', '18', 'ephant_mon', 'ephant mon\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_lookat.stf', '19', 'garindan', 'garindan\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_lookat.stf', '20', 'general_jan_dodonna', 'general jan dodonna\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_lookat.stf', '21', 'greeata', 'greeata\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_lookat.stf', '22', 'han_solo', 'han solo\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_lookat.stf', '23', 'hobbie', 'hobbie\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_lookat.stf', '24', 'ig_88', 'ig 88\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_lookat.stf', '25', 'jabba_the_hutt', 'jabba the hutt\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_lookat.stf', '26', 'kabe', 'kabe\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_lookat.stf', '27', 'klaatu', 'klaatu\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_lookat.stf', '28', 'labria', 'labria\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_lookat.stf', '29', 'lady_valarian', 'lady valarian\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_lookat.stf', '30', 'lak_sivrak', 'lak sivrak\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_lookat.stf', '31', 'leia_organa', 'leia organa\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_lookat.stf', '32', 'luke_skywalker', 'luke skywalker\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_lookat.stf', '33', 'lyn_me', 'lyn me\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_lookat.stf', '34', 'malakili', 'malakili\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_lookat.stf', '35', 'mara_jade', 'mara jade\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_lookat.stf', '36', 'max_rebo', 'max rebo\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_lookat.stf', '37', 'momaw_nadon', 'momaw nadon\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_lookat.stf', '38', 'mon_mothma', 'mon mothma\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_lookat.stf', '39', 'muftak', 'muftak\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_lookat.stf', '40', 'nien_nunb', 'nien nunb\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_lookat.stf', '41', 'nym', 'nym\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_lookat.stf', '42', 'oola', 'oola\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_lookat.stf', '43', 'prefect_talmont', 'prefect talmont\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_lookat.stf', '44', 'r2d2', 'r2d2\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_lookat.stf', '45', 'ree_yees', 'ree yees\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_lookat.stf', '46', 'salacious_crumb', 'salacious crumb\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_lookat.stf', '47', 'senni_tonnika', 'senni tonnika\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_lookat.stf', '48', 'sy_snootles', 'sy snootles\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_lookat.stf', '49', 'talon_karrde', 'talon karrde\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_lookat.stf', '50', 'tessek', 'tessek\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_lookat.stf', '51', 'wedge_antilles', 'wedge antilles\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_lookat.stf', '52', 'wittin', 'wittin\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_lookat.stf', '53', 'yarna_dal_gargan', 'yarna dal gargan\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_lookat.stf', '54', 'axkva_min', 'Axkva Min');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '1', 'lom', '4-LOM\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '2', 'admiral_ackbar', 'Admiral Ackbar\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '3', 'barada', 'Barada\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '4', 'base_npc_theme_park', 'base npc theme park\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '5', 'bib_fortuna', 'Bib Fortuna\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '6', 'boba_fett', 'Boba Fett\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '7', 'boss_nass', 'Boss Nass\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '8', 'bossk', 'Bossk\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '9', 'brea_tonnika', 'Brea Tonnika\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '10', 'c_3po', 'C-3PO\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '11', 'chalmun', 'Chalmun\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '12', 'chewbacca', 'Chewbacca\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '13', 'darth_vader', 'Darth Vader\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '14', 'dengar', 'Dengar\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '15', 'droopy_mccool', 'Droopy McCool');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '16', 'emperor_palpatine', 'Emperor Palpatine\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '17', 'emperor_royal_guard', 'Imperial Royal Guard\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '18', 'ephant_mon', 'Ephant Mon\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '19', 'garindan', 'Garindan\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '20', 'general_jan_dodonna', 'General Jan Dodonna\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '21', 'greeata', 'Greeata\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '22', 'han_solo', 'Han Solo');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '23', 'hobbie', 'Hobbie\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '24', 'ig_88', 'IG-88\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '25', 'jabba_the_hutt', 'Jabba the Hutt\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '26', 'kabe', 'Kabe\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '27', 'klaatu', 'Klaatu\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '28', 'labria', 'Labria\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '29', 'lady_valarian', 'Lady Valarian\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '30', 'lak_sivrak', 'Lak Sivrak\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '31', 'leia_organa', 'Leia Organa\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '32', 'luke_skywalker', 'Luke Skywalker\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '33', 'lyn_me', 'Lyn Me\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '34', 'malakili', 'Malakili\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '35', 'mara_jade', 'Mara Jade\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '36', 'max_rebo', 'Max Rebo\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '37', 'momaw_nadon', 'Momaw Nadon\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '38', 'mon_mothma', 'Mon Mothma\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '39', 'muftak', 'Muftak\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '40', 'nien_nunb', 'Nien Nunb\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '41', 'nym', 'Nym\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '42', 'oola', 'Oola\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '43', 'prefect_talmont', 'Prefect Talmont\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '44', 'r2d2', 'R2D2\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '45', 'ree_yees', 'Ree Yees\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '46', 'salacious_crumb', 'Salacious Crumb\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '47', 'senni_tonnika', 'Senni Tonnika\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '48', 'sy_snootles', 'Sy Snootles\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '49', 'talon_karrde', 'Talon Karrde\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '50', 'tessek', 'Tessek\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '51', 'wedge_antilles', 'Wedge Antilles\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '52', 'wittin', 'Wittin\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '53', 'yarna_dal_gargan', 'Yarna Dal Gargan\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '54', 'transport', 'Transport Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '55', 'at_st', 'AT-ST');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '56', 'reelo_baruk', 'Reelo Baruk');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '57', 'porcellus', 'Porcellus');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '58', 'shuttle', 'Transport Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '59', 'artisan_trainer', 'Artisan Trainer');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '60', 'brawler_trainer', 'Brawler Trainer');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '61', 'architect_trainer', 'Architect Trainer');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '62', 'armorsmith_trainer', 'Armorsmith Trainer');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '63', 'bioengineer_trainer', 'Bioengineer Trainer');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '64', 'farious_gletch', 'Farious Gletch');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '65', 'fat_commoner', 'Fat Commoner');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '66', 'melious_purl', 'Melious Perl');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '67', 'phinea_shantee', 'Phinea Shantee');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '68', 'willhalm_skrim', 'Willhalm Skrim');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '69', 'intro_camera', 'Intro Camera');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '70', 'intro_controller', 'Intro Controller');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '71', 'carbine_trainer', 'Carbine Trainer');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '72', 'boshek', 'Boshek');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '73', 'bountyhunter_trainer', 'Bounty Hunter Trainer');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_name.stf', '74', 'axkva_min', 'Axkva Min');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_nym/messages.stf', '1', 'hack_computer', 'You can not enter this area until the computer has been hacked.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_nym/messages.stf', '2', 'cant_get_module', 'You can\'t get the module out of the droid...');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_nym/messages.stf', '3', 'cant_get_filter', 'It\'s jammed in there pretty good...');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_nym/messages.stf', '4', 'card_winner', 'The credits have been deposited in your bank account for winning.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_nym/messages.stf', '5', 'card_tie', 'Your bet was returned since the game was a tie.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_nym/messages.stf', '6', 'card_loser', 'You lost.  Your credits are given to the winner of the game.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_nym/messages.stf', '7', 'acquired_memory', 'You have acquired the Droid Memory Module. Return it to Jinkins.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_nym/messages.stf', '8', 'acquired_gas', 'You have acquired the filtered gasses.  Return with them to Kole.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_nym/messages.stf', '9', 'all_nym_needed', 'You have everything you need to return to Nym.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_nym/messages.stf', '10', 'acquired_imggcu', 'You have acquired the IMGGCU\'s, you need to find the Research information.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_nym/messages.stf', '11', 'acquired_hard_drive', 'You have acquired the Research Information, you need to find the IMGGCU\'s.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_nym/messages.stf', '12', 'need_passkey', 'You cannot enter the Research Laboratory without the Pass Key.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_nym/messages.stf', '13', 'inventory_full_hd', 'You have no room in your inventory for the hard drive.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_nym/messages.stf', '14', 'inventory_full_gas', 'You have no room in your inventory for the gas cannister.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_nym/messages.stf', '15', 'inventory_fiull_imggcu', 'You have no room in your inventory for the IMGGCU.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '1', 'npc_1_1', 'Hello. I am C-3P0, Human-Cyborg Relations. My companion is R2-D2, and he has been informed from High Command that you are interested in assisting with the Alliance\'s cause. According to R2, it seems there is a need for someone to deliver a shipment of food to sympathizers of our cause. Would you be interested in doing this?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '2', 'npc_1_2', 'Good day to you again. Are you interested in offering further assistance? I\'m certain that R2 can find something in the databanks, can\'t you R2? I said find something in the databanks right now, R2! Okay... yes... okay, R2 says that medicine needs to be urgently delivered to an attack squad that has been wounded. Will you do this?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '3', 'npc_1_3', 'Oh, R2 says that you are needed to help provide an escort for a person needing to reach this hidden base. See, R2, I told you this one could be trusted. Now, as I was saying, the Alliance requests your aid in acting as a bodyguard. Would you be available for this endeavor?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '5', 'npc_2_1', 'Oh, very good. R2 says to take this shipment to a Selonian spokeswoman who will be waiting for it\'s arrival. R2 has provided the coordinates as to where you will meet her. Good luck to you in your journey!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '6', 'npc_2_2', 'Oh, they will be pleasantly surprised that you have offered to help. What was that, R2? What do you mean you\'re surprised, too? Oh, whatever. As I was saying, R2 will alert one of their scouts to meet you so that the Imperials do not track you back to them. Please bring them this bacta.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '7', 'npc_2_3', 'What glorious news! R2 has given you the last known coordinates of where the leader can be found.  He is waiting for you to pick him up, using this set of designated codewords. What do you mean you don\'t have the codewords, you obsolete droid, you? Deleted? *ahem* I\'m sorry, but there are no codewords. You\'ll have to make do, I guess.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '8', 'npc_3_1', 'Oh, I do so understand. If you feel you wish to offer your assistance in the future, please stop by. I am sure R2-D2 will be able to find something in the computers.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '9', 'npc_3_2', 'Oh, please do reconsider. Without that medicine, any number of ghastly things could happen to their numbers. ....No, no R2, I\'m sure this is the person the Princess said to give the mission to...    ...oh, what do you know, you rust-bucket!...');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '10', 'npc_3_3', 'Oh, I understand. You cannot be asked to do something that you cannot help with. Perhaps someone else can help with this, then.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '12', 'npc_4_1', 'What do you mean this person doesn\'t have the proper clearance for that, R2? Well, I don\'t think that\'s polite to ask someone to do this without telling them why. *ahem* R2 says that some Selonian food stores have been attacked by the Imperials and the Alliance wishes to help them with this. Unfortunately, this is all he will say.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '13', 'npc_4_2', 'According to R2, there was an independent strike force that attempted to attack a Imperial Repair facility, but encountered greater resistance than expected. R2 is still being obstinate, and refuses to elaborate any further. Hmph, I swear I should have left you back on Tatooine, you pint-sized excuse for a Jawa. Oh, I\'m sorry. Where were we?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '14', 'npc_4_3', 'If you know what\'s good for you, you\'ll tell this kind person the whole story, R2! Ohhhh, I see. *ahem* R2 says that the leader of cell of covert Alliance members has come under questioning by the Empire, and High Command will be helping him escape off planet before he\'s arrested. You are needed to escort him back here.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '15', 'npc_reward_1', 'Yes, that is a message that the Alliance will be most pleased to hear. On behalf of the Alliance, I am instructed to offer you our sincerest thanks.  R2 suggests that we might give you this reward for your assistance.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '16', 'npc_reward_2', 'What an excellent outcome, I would say. With that bacta in their hands, they should be able to heal most of their injuries. Thank you very much. ............Yes, I just kicked you, you overgrown Mouse Droid! You said this kind person couldn\'t do the job. Well, I think you now see you\'re wrong, don\'t you? Well, I still think you\'re wrong..........Anyway, we don\'t have much to offer ourselves, but you may have this reward for your assistance.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '17', 'npc_reward_3', 'How exquisite this turned out. R2-D2 has sent a report to High Command that Taergle was able to make it here safely. According to R2, he will be smuggled off-planet, with his family to follow.  Both his dedication and yours to our cause is quite commendable.  Please accept this reward for your assistance.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '18', 'player_1_1', 'Yes, I\'ll help.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '19', 'player_1_2', 'Sure, I\'ll deliver the medicine.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '20', 'player_1_3', 'Yeah, I\'ll do it.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '21', 'player_2_1', 'No thank you.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '22', 'player_2_2', 'I\'m sorry, but someone else should do it.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '23', 'player_2_3', 'Sorry, I\'m not a bodyguard. Find someone else.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '24', 'player_3_1', 'Who are these sympathizers?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '25', 'player_3_2', 'What happened to the squad?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '26', 'player_3_3', 'Who will I be escorting?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '27', 'player_reset_1', 'I had something come up. I can\'t do this right now.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '28', 'player_sorry_1', 'No, not yet. I shall do so immediately.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '29', 'npc_backtowork_1', 'I understand you must be quite busy. The Alliance appreciates anything you can do.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '30', 'npc_reset_1', 'Oh, I do so understand. If you feel you wish to offer your assistance in the future, please stop by. I am sure R2-D2 will be able to find something in the computers.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '31', 'cantwork', 'What a pleasure to meet you. I have been informed that you support the Alliance\'s cause,which I find to be quite noble, indeed. If you have any time to spare, perhaps you may wish to help with some tasks that could use an extra hand?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '32', 'dontknowyou_1', 'You are not the bringer of comestibles. Time cannot be wasted for other conversations.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '33', 'npc_work_1', 'My, my, you are efficient. Have you already delivered the food supplies?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '34', 'npc_work_2', 'My, my, you are efficient. Have you already delivered the medicine?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '35', 'npc_work_3', 'My, my, you are efficient. Have you brought back the leader yet?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '36', 'npc_breech_1', 'You are who the Princess sends with the comestibles, yes?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '37', 'npc_breech_2', 'I hope you\'re the one that Protocol Droid said was coming...');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '38', 'npc_breech_3', 'They don\'t make hyper-drives they way they used to, wouldn\'t you say?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '39', 'notit_1', 'Mrmmm... no this is not the comestibles that we were told of. Is this Alliance\'s joking?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '40', 'notit_2', 'What\'s this? It\'s message said that you\'d be bringing some bacta, but this doesn\'t look like any bacta I\'ve ever seen before.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '42', 'npc_backtowork_2', 'I understand you must be quite busy. The Alliance appreciates anything you can do.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '43', 'npc_backtowork_3', 'I understand you must be quite busy. The Alliance appreciates anything you can do.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '44', 'npc_reset_2', 'Oh, please do reconsider. Without that medicine, any number of ghastly things could happen to their numbers. ....No, no R2, I\'m sure this is the person the Princess said to give the mission to...    ...oh, what do you know, you rust-bucket!...');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '45', 'npc_reset_3', 'Oh, I understand. You cannot be asked to do something that you cannot help with. Perhaps someone else can help with this, then.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '46', 'player_reset_2', 'I had something come up. I can\'t do this right now.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '47', 'player_reset_3', 'I had something come up. I can\'t do this right now.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '48', 'player_sorry_2', 'No, not yet. I shall do so immediately.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '49', 'player_sorry_3', 'No, not yet. I shall do so immediately.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '52', 'npc_takeme_3', 'What do you mean the codewords were dropped? Well, either way, I\'ll trust you. Please, lead on before the Empire knows I\'ve left.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '53', 'dontknowyou_2', 'Which, of course, you\'re not. Look, I\'m busy, alright?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '54', 'dontknowyou_3', 'Well, I guess I\'ll mull over the fate of technology by myself, if you don\'t mind.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '55', 'dontknowyou_4', 'This heat is sure oppressive, would\'nt you say? Well, have a good day.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '58', 'notit_4', 'I don\'t know what this is, but it sure doesn\'t look like my contact information. Maybe you gave me the wrong thing?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '61', 'npc_1_4', 'No, if it wasn\'t for you, we would never have been in this mess. No. No, I still don\'t like you. *ahem* Oh, excuse me, I was speaking with R2. You have been requested to take on this duty by *hmph* R2 of all people. The Alliance needs to have this delivered to the new leader of the cell.  Would you be so kind as to deliver it?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '64', 'npc_2_4', 'Wonderful! Now, take this information to these coordinates. Your contact will be waiting for you there. Be safe in your travels!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '67', 'npc_3_4', 'Oh dear. I would\'ve hoped that you were willing to perform this duty. Since you have proven yourself to R2 and I, I was so certain. Well, good day.   ....you stop your laughing, R2....');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '70', 'npc_4_4', 'It\'s a list of contact information. You will be bringing it to the person who is taking over Taergle\'s place as organizer of a small cell of eyes and ears for the Alliance. R2 says to guard this with your life, for many lives will be at stake if it gets into the wrong hands.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '73', 'npc_backtowork_4', 'I understand you must be quite busy. The Alliance appreciates anything you can do.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '76', 'npc_breech_4', 'How are you doing today? I find it to be quite oppressive *wink*, don\'t you think?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '79', 'npc_reset_4', 'Oh dear. I would\'ve hoped that you were willing to perform this duty. Since you have proven yourself to R2 and I, I was so certain. Well, good day.   ....you stop your laughing, R2....');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '82', 'npc_reward_4', 'Thank the Maker! You delivered it without the Empire finding out! This is wonderful news indeed. What\'s that, R2? Yes, I think it\'s about time you said that. R2 wishes to apologize for his exceptionally rude and crude, if I might add, behavior towards you. He wishes to thank you as well. He now believes you are smarter than he thought, and he wishes for you to take this reward for your assistance.  Really R2!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '88', 'npc_work_4', 'My, my, you are efficient. Have you delivered the information yet?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '91', 'player_1_4', 'No problem.  I\'ll take it.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '94', 'player_2_4', 'Sorry, I have something else I need to do.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '97', 'player_3_4', 'Well, first what is it?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '100', 'player_reset_4', 'I had something come up. I can\'t do this right now.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '103', 'player_sorry_4', 'No, not yet. I shall do so immediately.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '106', 'npc_smuggle_1', 'Ahhh... yes... nutritious comestibles for many. The Princess should be told that this will be held within our memories.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '107', 'npc_smuggle_2', 'Well, that droid wasn\'t kidding. Tell the base that we\'ll be able to make it back when the coast is clear. Thanks again, friend... you just saved a lot of lives!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '109', 'npc_smuggle_4', 'Let me see... yes, these are my contacts. What? Well, I\'ll be. Garello is a Rebel too? I would never have pegged him for a Rebel. Well, friend, I thank you for bringing this by. I can now start getting us organized again.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '110', 'gotowork', 'I think you have things to do, yes?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '111', 'npc_failure_1', 'Oh, that isn\'t good news. What\'s that R2? Oh dear. R2 says that without that food, the Selonians may not think of joining the Alliance. The Princess will be most disturbed.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '112', 'npc_failure_2', 'Oh, that isn\'t good news. What\'s that R2? Oh dear. R2 says that without that medicine, some of their wounded will die. The Princess will be most disturbed by this news.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '113', 'npc_failure_3', 'Oh, that isn\'t good news. What\'s that R2? Oh dear. R2 says that the Princess will have to deliver the bad news to the rest of his family. I\'m sure you tried your best, though.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '114', 'npc_failure_4', 'Oh, that isn\'t good news. What\'s that R2? Oh dear. R2 says that information was quite important and shouldn\'t get into the wrong hands. I\'m sure you tried your best, though.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '115', 'npc_noloc_1', 'Oh, what\'s this? R2 says the information that is in the computer isn\'t correct. He will try to recover it again. Please do ask again in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '116', 'npc_noloc_2', 'Oh, what\'s this? R2 says the information that is in the computer isn\'t correct. He will try to recover it again. Please do ask again in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '117', 'npc_noloc_3', 'Oh, what\'s this? R2 says the information that is in the computer isn\'t correct. He will try to recover it again. Please do ask again in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '118', 'npc_noloc_4', 'Oh, what\'s this? R2 says the information that is in the computer isn\'t correct. He will try to recover it again. Please do ask again in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '119', 'otherescort', 'No, I think you have the wrong guy.  Maybe there is someone around here that looks just like me?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '120', 'player_reset', 'I don\'t think I can handle this right now.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '121', 'player_sorry', 'Sorry, I\'ll get back to work.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '122', 'backtowork', 'Please don\'t let us down.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '123', 'npc_reset', 'Ok, please return when you feel more comfortable working for the alliance.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '124', 'notyet', 'My circuits must need cleaning.  What did you say?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/c3po.stf', '125', 'next', 'Please see our friend Qual\'do Herm.  He may have some tasks for you as well.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '1', 'npc_1_1', 'Come in, don\'t be shy. So, you\'re the one I\'ve heard so much about.  I am Captain Ackbar, responsible for much of our scattered fleet. Well, now that the introductions are over, on to matters of business. I have need of your skills in an operation that will help to hide some of our starships. Are you available?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '2', 'npc_1_2', 'There have been some beneficial repercussions of your distraction assault. It seems there are some locals who have voiced their sympathy to our cause. One person in particular has offered to sell us some Imperial information at a reasonable price. Could I bother you to go represent us in this deal?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '3', 'npc_1_3', 'I have some surprising information. It seems the bounty hunter who attacked you was... well... quite incompetant. He actually brought with him real information regarding guard schedules. I am going with my instincts this time and having this analyzed before walking into a potential trap. Could you deliver this to one of our operatives?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '5', 'npc_2_1', 'The fact that you\'ll be on this mission with us puts my mind at ease. I will need you to act as a special operative on this mission. In order to bring in a few damaged Corellian Corvettes, we need a distraction, which will be your part. You will need to go to this location and cause enough damage to draw the attention of the Empire. That\'s when we can safely land the starships.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '6', 'npc_2_2', 'I know this is not an exciting attack on the Empire, but this is still important nonetheless. Thank you for offering to help. Here\'s where you\'ll meet him to buy what he\'s selling. Let me know when you\'ve returned.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '7', 'npc_2_3', 'You\'ll be meeting with Teria Alessie out at a secret location. She\'ll say the phrase, \"The brighest stars burn out the fastest, wouldn\'t you say?\" in which you\'ll respond with, \"Every death makes room for new life\". At that point, give her this datapad so that she can confirm if it\'s real or not.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '8', 'npc_3_1', 'I understand. From what has been said of you, I feel this mission will go much more smoothly with your help. If you change your mind, please let me know as fast as possible.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '9', 'npc_3_2', 'Well, I understand that this is not glamorous, but not everything is flash and bang in our struggle. Sometimes the smallest thing such as buying information can push the war in our favor.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '10', 'npc_3_3', 'Well, I understand that this is not glamorous, but not everything is flash and bang in our struggle. Sometimes the smallest thing such as transporting information can push the war in our favor.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '12', 'npc_4_1', 'It\'s a well known fact that after the destruction of the Death Star, our base on Yavin IV has been under siege. We have re-established this emergency base after the Empire located our decoy base on the other side of Dantooine. Unfortunately, this planet is still under Imperial rule, therefore we have no permanent base for our small fleet of starships.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '13', 'npc_4_2', 'He claims to have been a contractor working on the Death Star before it was destroyed and was able to steal codes relating to military guard movement schedules. I\'m not sure how relevant it may be, but he is not asking too much for the information. We might be able to glean some information from it.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '14', 'npc_4_3', 'Her name is Teria Alessie, and she\'s acting as a spy for us here on Dantooine. She has access to some information, and will be able to run these schedules through their databanks to confirm if it\'s correct or not.  Once she has found out, she\'ll be able to contact us with a positive or a negative.\n');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '15', 'npc_reward_1', 'Wonderful, you\'re back. The operation was a full success. While you enaged the Imperials, they sent several squads in your direction, diverting their sensors. We now have the Corvettes cleverly camoflaged while they undergo secret repairs. Your reputation is well deserved.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '16', 'npc_reward_2', 'What? Why didn\'t I trust my feelings and recognize this as a trap? Well, I am sorry to have put you through that, friend. Let\'s count ourselves lucky that Bounty Hunter wasn\'t that skilled at his trade. I\'ll still go through this information to see if it has any real information. Please, relax while we are looking through it, considering your close call.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '17', 'npc_reward_3', 'I\'m glad you were able to make it there safely and back. Now all we have to do is wait for her report, then we can act. I thank you for your assistance.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '18', 'player_1_1', 'Always. How can I help?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '19', 'player_1_2', 'Sure. I\'ll make sure the information is purchased.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '20', 'player_1_3', 'I\'ll do it. Where do you want me to take it?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '21', 'player_2_1', 'Sorry Captain, but I\'m a bit busy right now.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '22', 'player_2_2', 'That\'s outside of my skills. No thanks.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '23', 'player_2_3', 'Sorry, I\'m not a courier. Get someone else.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '24', 'player_3_1', 'What do you mean by \"scattered fleet\"?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '25', 'player_3_2', 'What information are we buying?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '26', 'player_3_3', 'Who is the operative?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '27', 'player_reset_1', 'Sorry, Captain, but I can\'t be part of this right now.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '28', 'player_sorry_1', 'Yes I am. What am I to do again?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '29', 'npc_backtowork_1', 'We need you to attack a squad of stormtroopers on the other side of the planet. Whilst you do so, we can engage our other team to direct the landing of a group Corvettes.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '30', 'npc_reset_1', 'I understand. From what has been said of you, I feel this mission will go much more smoothly with your help. If you change your mind, please let me know as fast as possible.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '31', 'cantwork', 'Ah, I see you are a bit preoccupied with your time right now. When you have time for rather important matters, I would like to discuss them with you.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '32', 'dontknowyou_1', 'Wait! You\'re not a Rebel. Get out of here before we arrest you.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '33', 'npc_work_1', 'Are you prepared for your mission?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '34', 'npc_work_2', 'Are you ready to go meet him?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '35', 'npc_work_3', 'Do you have a question about your assignment?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '36', 'npc_breech_1', 'What\'s this? A Rebel! Don\'t let them get away!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '37', 'npc_breech_2', 'I can\'t believe you fools fell for it! The Empire\'s going to pay a lot for your corpse!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '38', 'npc_breech_3', 'The brighest stars burn out the fastest, wouldn\'t you say?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '41', 'notit_3', 'Ummm... I though Ackbar said he had a datapad of information he needed me to confirm.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '42', 'npc_backtowork_2', 'All you have to do is pay our friend for the information he has. Once you have it, bring it back so that I can have one of our slicers pick through it.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '43', 'npc_backtowork_3', 'Her name is Teria, and she\'ll meet you at the specified coordinates. All you need to do is give her the datapad.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '44', 'npc_reset_2', 'Well, I understand that this is not glamorous, but not everything is flash and bang in our struggle. Sometimes the smallest thing such as buying information can push the war in our favor.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '45', 'npc_reset_3', 'Well, I understand that this is not glamorous, but not everything is flash and bang in our struggle. Sometimes the smallest thing such as transporting information can push the war in our favor.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '46', 'player_reset_2', 'Sorry, but this isn\'t my style. I can\'t do this anymore.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '47', 'player_reset_3', 'I can\'t do this anymore.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '48', 'player_sorry_2', 'Yes I am. What exactly are my orders again?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '49', 'player_sorry_3', 'Who am I supposed to give this to again?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '53', 'dontknowyou_2', 'Aren\'t you going to try to run so that I can chase you down?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '54', 'dontknowyou_3', 'That\'s something my mother used to always say. I don\'t know what she meant by that, though.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '55', 'dontknowyou_4', 'You don\'t work for the Captain? I\'m sorry, I thought you were someone else.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '56', 'dontknowyou_5', 'Never mind. Move along.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '58', 'notit_4', 'What\'s this? This isn\'t the Empire\'s military information!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '61', 'npc_1_4', 'I have just received the most exciting news since word of the Death Star\'s destruction. Teria has relayed to me that all of this information is the real thing. What we have here is a comprehensive list of flight paths and guard changes. This needs to get to Admiral Bel Iblis immediately!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '62', 'npc_1_5', 'A new Imperial General has been assigned to oversee Dantooine, replacing the one we captured. It looks as if his task is to destroy any remaining \'Rebels\'. He is being escorted by a large number of unarmed, rookie Stormtroopers. Therefore, we will want to launch a quick hit-and-fade on the smaller group of armed ones. Will you help?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '64', 'npc_2_4', 'Thank you very much. I have contacted Bel Iblis and he has let me know that he\'ll be sending his aide, Jeremes Kelton, to pick it up. Make sure it gets into his hands, for once the Admirial receives it, this may likely change the tides of this war into our favor.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '65', 'npc_2_5', 'Now, you need to listen to your orders very clearly. You will be the only one going out there to do this, for we want to make sure the Empire believes you\'re acting alone. Attack the squadron and destroy them, then get out of there. We will be leaving a decoy body in the area to make it look like you didn\'t survive.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '67', 'npc_3_4', 'Very well, then. I thought you would have wanted to help the Alliance a little more than you express right now. A shame, a shame.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '68', 'npc_3_5', 'It\'s not a foolish plan, it\'s a desperate plan. Sometimes a person isn\'t given too many options and just has to make the best of it. I hope you can see that.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '70', 'npc_4_4', 'What I am holding in my hands is a comprehensive list of ship flight paths, Star Destroyer patrols around this planet, guard schedule movements, names of officers in command, etcetera. In other words, this information will allow us to know what the Empire is doing even before they do it.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '71', 'npc_4_5', 'Because it\'s a trap! The information regarding guard schedules has been compromised.  I have a team who is ready to deal with the general, but I need you to take out those troopers beforehand.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '73', 'npc_backtowork_4', 'You\'ll head out to a secret meeting location. I have provided your description so you will be recognized immediately. Give him the datapad and then come on back here.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '74', 'npc_backtowork_5', 'You will find it at the location listed in your datapad. We have another team there already to deposit the decoys after you\'re done.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '76', 'npc_breech_4', 'Let\'s do this fast. I need to get back to the Admiral with the information.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '77', 'npc_breech_5', 'What\'s that over there? Rebels! Get them!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '79', 'npc_reset_4', 'You can quit a job, but you cannot quit a cause. This is something that is in your heart, not mind. I am sorry to hear that you have lost your will to fight the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '80', 'npc_reset_5', 'It\'s not a foolish plan, it\'s a desperate plan. Sometimes a person isn\'t given too many options and just has to make the best of it. I hope you can see that.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '82', 'npc_reward_4', 'I have already been contacted by Admiral Bel Iblis and he tells me the information is in his hands. He is already beginning to move various splinters of the fleet to other areas. We have found some places on Dantooine alone that are never patrolled. Our war against the Empire looks like it has taken a turn for the good again. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '83', 'npc_reward_5', 'Very good. According to the manner in which the Empire is responding to that, and by consulting the schedules, it would seem that they have fallen for the trick. If this new General is as pompous as the last one, then he will gloat over his success. That, in turn will hide our base all the more. Thank you for your help, friend. Now... I have been asked to direct you to Mon Mothma. She is awaiting you in the next room.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '88', 'npc_work_4', 'Have you contacted Jeremes yet?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '89', 'npc_work_5', 'Are you ready to depart?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '91', 'player_1_4', 'I\'ll do it for you.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '92', 'player_1_5', 'I\'ll help with your plan.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '94', 'player_2_4', 'I\'m not taking any more documents anywhere.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '95', 'player_2_5', 'I\'m not interested in commiting suicide. No.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '97', 'player_3_4', 'Why is this information so important?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '98', 'player_3_5', 'Why in blazes are we not attacking the General!?!?!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '100', 'player_reset_4', 'I\'m done with sending datapads around. I quit!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '101', 'player_reset_5', 'I\'ve changed my mind. I can\'t do foolish plan anymore.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '103', 'player_sorry_4', 'Where am I to meet him again?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '104', 'player_sorry_5', 'Yes, I am. Where am I to do this?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '108', 'npc_smuggle_3', 'Okay, let Ackbar know that I\'ll check this information when I get back to the offices. Once I find out, I\'ll send him the confirmation the ususal way. Good luck!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '109', 'npc_smuggle_4', 'This information will be essential to the future of the Alliance. With this, we can hide much of our fleet in safer locations until we can find a more permanant base. Ha! No more having to cause distractions.  I\'ll get this to the Admiral immediately.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '111', 'npc_noloc_1', 'Le me consult our battle plans so that I can choose the best place to cause a distraction. Please speak with me in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '112', 'npc_noloc_2', 'I\'ll ask Lance where this sympathizer can be found right now. Check back with me in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '113', 'npc_noloc_3', 'I will have to contact her so that we can arrange a meeting place. Check back with me in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '114', 'npc_noloc_4', 'I have to designate where the meeting location will be. Once I find out, I\'ll be able to tell you. Check back with me in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '115', 'npc_noloc_5', 'I do not know where this area is. Let me consult the guard schedules to find out. Check back with me in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '117', 'otherescort', 'Ummm... I think you have the wrong guy. Maybe that other person nearby was who you were looking for?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '118', 'gotowork', 'Hmmm... I thank you for this, but I don\'t think I\'ll find a use for it. You should keep it yourself.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '119', 'npc_failure_1', 'This is not good news. Without a adequate distraction, we will be unable to land these damaged ships without notice by the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '120', 'npc_failure_2', 'You mean this was just a hoax? He didn\'t have any information? Ah, what a shame.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '121', 'npc_failure_3', 'I don\'t understand why she wasn\'t there. I can\'t seem to contact her right now, so it\'s possible she might have had to go into hiding if the Empire found out about her. We will be unable to use this information until we can confirm if it\'s true, though.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '122', 'npc_failure_4', 'He never showed up? Let me contact Admiral Bel Iblis and find out what went wrong!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '123', 'npc_failure_5', 'You weren\'t able to kill them all? This will not go good to hiding us even further.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '124', 'next', 'Mon Mothma is prepared to see you now.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/captain_ackbar.stf', '125', 'notyet', 'I need someone to find and talk to our friend Han Solo.  Can you do that?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '1', 'npc_1_1', 'How are you doing, kid? Both Leia and Nien told me you can be counted on, which is what I need right now. If they haven\'t already told you, I\'m here to try to hook up a deal for the Alliance with one of the biggest smuggler pirates this side of the Outer Rim. I need you to go let an old associate know I need to get in contact with Nym. Can you do that?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '2', 'npc_1_2', 'I can\'t believe that Nym! Who does he think he is?! He\'s doing this just to get back at me! *sigh* Well, I guess I\'m going to have to play by his rules. I\'m going to need your help for this one if you don\'t mind. I need you to help recover a stolen item of Nym\'s before he\'ll talk to me about any deals. Can you help?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '3', 'npc_1_3', 'I\'ve just had E\'Dycu tell Nym that I\'m not going to be playing this game of his anymore. Nym has agreed to talk trade as long as I take care of the rest of that pirate band that has been bothering him lately. Again, I\'m gonna need your help with this.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '5', 'npc_2_1', 'That\'s what I wanted to hear. Now look, the guy you\'re looking for is E\'Dycu, an old smuggler I used to work with. Let him know I\'m here, and bring him back so I can talk with him face to face. I know E\'Dycu will still be able to get in touch with Nym so I can try to broker a deal for the Alliance. Good luck, kid.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '6', 'npc_2_2', 'Okay, I\'m going to go make a lot of noise with the Falcon next to the bandits\' hideout. This should scare them out of their den, which is where you come in. You tell the guy who has it that you\'re not leaving without something called a \'Holocron\'. Watch out, because this guy sounds like he prefers action over words.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '7', 'npc_2_3', 'This is what we\'ll have to do. Nym has let me know where the bandit\'s leader can be found. You need to go out there and put a stop to him. The rest of his crew will then scatter to different parts of the Rim, Nym will then sell the spoils of his raids to Leia, and we\'ll all be happy.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '8', 'npc_3_1', 'Come on, kid. It\'s nothing more than a simple message delivery, and maybe bring him back here. So what if you have to keep an eye out for the worst pirates not under Jabba\'s employ?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '9', 'npc_3_2', 'Look, I don\'t want to do this either, but Leia and Luke have managed to keep convincing me help out. The sooner we can do this, the faster we can leave. Do it for me, kid.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '10', 'npc_3_3', 'You think I like doing this too? I\'m only doing this because Luke and Leia are convinced I can get Nym to sell us some of his spoils for use by the Alliance. Look, if you help, maybe I can hook you up with a reward from the Alliance. Think about it...');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '12', 'npc_4_1', 'Yeah... I guess you could say that. Look, before I was part of the whole destruction of the Death Star thing, well, let\'s just say I didn\'t have the most respectable of jobs. This Nym guy used to hire me before I started working for Jabba, but let\'s just say I made a bunch of people angry around here when I left. Let\'s just leave it at that, okay?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '13', 'npc_4_2', 'Of course I can get it myself! I\'ve made the Kessel Run in under 12 parsecs and was there at the Death Star run.  Someone has to cause the commotion, and I don\'t see you with a starship nearby.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '14', 'npc_4_3', 'Well, Nym ain\'t that great of a guy.  Matter of fact, when me and Chewie went to go work for Jabba - the worst decision I ever made, I might add - Nym and I had a few, well, not-so-nice words to say to each other. These pirates we\'re taking care of are a step worse, though. They\'re taking slaves and selling them to the Empire, which Nym is actually against, go figure.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '15', 'npc_reward_1', 'Hey-hey...E\'Dycu! Long time no see, buddy! Just give me a moment. Hey, kid, let me talk with E\'Dycu for a little bit here. Why don\'t you see if Chewie wants to play a game of holochess with you. ...........Oh yeah... Make sure he wins.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '16', 'npc_reward_2', 'Well, this looks like what he was talking about. According to E\'Dycu, Nym said this used to belong to one of his friends before she died, and he\'s keeping it for sentimental value. That pirate sent me out to pick up a piece of junk! Well, I\'ll tell him a thing or two. Either way, thanks kid, your help was needed out there. ');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '17', 'npc_reward_3', 'Good work, kid. I could\'ve used you when I was still smuggling,you know that? Okay, now with that done, Nym had better give us a good deal on these supplies. I\'ll have E\'Dycu contact him again, then we can get out of here.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '18', 'player_1_1', 'Sounds easy enough. Sure, I\'ll do it.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '19', 'player_1_2', 'Sure, I can help with this.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '20', 'player_1_3', 'Sounds like fun. I\'ll do it.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '21', 'player_2_1', 'Sorry, but I can\'t do it right now.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '22', 'player_2_2', 'I\'m not interested in helping a pirate king, Han. No.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '23', 'player_2_3', 'Sorry, Han, but I don\'t agree with this. No.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '24', 'player_3_1', 'I take it you don\'t want to be seen around here?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '25', 'player_3_2', 'Can\'t you get the item yourself?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '26', 'player_3_3', 'What\'s the difference between Nym and these pirates?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '27', 'player_reset_1', 'I can\'t find him and I don\'t want to look any more.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '28', 'player_sorry_1', 'Not yet. I think I\'ll go look for him again.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '29', 'npc_backtowork_1', 'Well, good luck kid. When a person doesn\'t want to be found, it makes the job all the more difficult.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '30', 'npc_reset_1', 'Come on, kid. It\'s nothing more than a simple message delivery, and maybe bring him back here. So what if you have to keep an eye out for the worst pirates not under Jabba\'s employment?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '31', 'cantwork', 'Hey kid, why don\'t you come back when you are a little less busy, okay?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '32', 'dontknowyou_1', 'I don\'t know you, right? How about we keep it that way?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '33', 'npc_work_1', 'So, were you able to find E\'Dycu?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '34', 'npc_work_2', 'Did you find the thing Nym wants back?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '35', 'npc_work_3', 'Did you put a stop to that pirate leader?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '36', 'npc_breech_1', 'Whatever the problem is, I didn\'t do it.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '37', 'npc_breech_2', 'I knew that raid would get Nym\'s attention! Kill him, boys!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '38', 'npc_breech_3', 'Nym isn\'t going to be the Pirate King for too long. You\'re going to die now, you hear?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '40', 'notit_2', 'No, Nym said that he wanted a \'Holonomocron\', or something like that. From how he described it, this doesn\'t look like it.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '42', 'npc_backtowork_2', 'Well get back out there. I can\'t pull off my part without you.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '43', 'npc_backtowork_3', 'Well hurry it up. The faster we can do business, the faster we can get off this planet.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '44', 'npc_reset_2', 'Look, I don\'t want to do this either, but Leia and Luke have managed to keep convincing me help out. The sooner we can do this, the faster we can leave. Do it for me, kid.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '45', 'npc_reset_3', 'You think I like doing this too? I\'m only doing this because Luke and Leia are convinced I can get Nym to sell us some of his spoils for use by the Alliance. Look, if you help, maybe I can hook you up with a reward from the Alliance. Think about it...');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '46', 'player_reset_2', 'I don\'t want to involve myself with this anymore.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '47', 'player_reset_3', 'I\'m not enjoying this. I\'m going to stop doing this now.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '48', 'player_sorry_2', 'Not yet, but I think I will soon.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '49', 'player_sorry_3', 'Not yet. He\'ll be stopped soon.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '50', 'npc_takeme_1', 'You\'re a friend of Han Solo\'s you say? Well, it\'s been a while since I\'ve seen that scoundrel. Take me to where he is.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '53', 'dontknowyou_2', 'Nevermind. I thought you were working for Nym.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '54', 'dontknowyou_3', 'Sorry, I thought you worked for Nym. Never mind.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '55', 'dontknowyou_4', 'Oh, you\'re not Han\'s friend after all. Well, thanks for the help, bub.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '56', 'dontknowyou_5', 'I think it would be in your best interests if you left. Immediately.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '59', 'notit_5', 'What\'s this!? This ain\'t the money! Is Solo trying to pull another one past us again? Why I oughta...');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '61', 'npc_1_4', 'Why that lowdown, rotten, fink! Nym refused to involve himself with the Rebellion! When I get my hands on him, I\'m goi- ...hold on a sec, kid, my commlink\'s acting up... What do you want now? Huh? Okay, try to hold them off - I\'ll send some help right now! Kid... a friend of mine\'s been ambushed by Imperials. You\'ve got to go save him!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '62', 'npc_1_5', 'Okay, things have turned out for the best after all that. Nym has agreed to sell his current surplus to the Alliance. While I\'m contacting Leia to let her know how this has turned out, I\'m gonna need you to deliver the downpayment to his money guy. Will you do that one last thing for me?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '64', 'npc_2_4', 'Okay, he said he was holed up out at these coordinates. Since we are closer than any of Nym\'s guys, he contacted me for help, which means he\'s really desperate. He may not be the best of guys, but we go way back and I owe him a couple. If he\'s been wounded, bring him back here so I can try to patch him up.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '65', 'npc_2_5', 'Okay, kid, you\'re going to need to meet up with his bruiser, Nateba Kerr. Nateba will then take the money back to Nym, then we can get out of here.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '67', 'npc_3_4', 'Look, he\'s not as bad as you think he is. I\'ve worked with a bunch of bad people, and he\'s a lot better than most. I need you to bring him back while I take out the rest of the Imperials. Just take my word for it, kid.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '68', 'npc_3_5', '*sigh* Kid, here\'s the truth. I needed you to do this for me because when I last left here, Nym let me know that if I ever stepped foot on Lok ever again, he\'d kill me himself. I\'ve already got Jabba after me, I don\'t want to risk finding out if Nym was telling the truth or not.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '70', 'npc_4_4', 'Well, while we were talking, he said a little bit ago the Empire tried forcing Nym to either work for them or they\'ll put him out of business. I guess this is intended to be a message to Nym they were serious. Who knows... if this turns out good, this might actually be our lucky day.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '71', 'npc_4_5', 'Nym makes a living plying the space-lanes and hitting cargo ships. A while back, he hit an Imperial convoy of freighters carrying shipments of bacta. Nym has a lot left over and is willing to sell his supply to the Rebellion now. Other than that, he\'s not picking sides... and knowing him, I don\'t think anyone will ever be able to convince him otherwise.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '73', 'npc_backtowork_4', 'What are you waiting for! Go out there and save him already!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '74', 'npc_backtowork_5', 'Well hurry it up. The faster we can finish this business, the faster we can get off this planet.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '76', 'npc_breech_4', 'Hey! You\'re Han\'s friend! Help me out with these Imperial toadies! I can\'t do anything, my blaster\'s jammed!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '77', 'npc_breech_5', 'You\'d best have the money, or you\'d best get out of here, you know what I\'m saying?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '79', 'npc_reset_4', 'Look, he\'s not as bad as you think he is. I\'ve worked with a bunch of bad people, and he\'s a lot better than most. I need you to bring him back while I take out the rest of the Imperials. Just take my word for it, kid.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '80', 'npc_reset_5', '*sigh* Kid, here\'s the truth. I needed you to do this for me because when I last left here, Nym let me know that if I ever stepped foot on Lok ever again, he\'d kill me himself. I\'ve already got Jabba after me, I don\'t want to risk finding out if Nym was telling the truth or not.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '82', 'npc_reward_4', 'Thanks for doing that. I made sure the rest of the Imperials weren\'t able to send for reinforcements. Now, after Chewie makes sure his wounds won\'t kill him, I\'m gonna have a little sit-down talk with my friend. Hopefully I can persuade him to convince Nym that we should start negotiations again.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '83', 'npc_reward_5', 'He\'s keeping the bacta in \'The Old Place\', huh? Yeah, I still know where that is. I\'ll fly us over there so we can bring it back to the base on Dantooine. Speaking of which, I told Leia how much help you\'ve been. She\'s asked me to tell you to meet with Captain Ackbar on Dantooine if you wish to keep helping. Thanks for your help, kid... I owe you one.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '85', 'npc_takeme_4', 'I\'ve been shot, and shot pretty good, too. Can you help me back to your hideout?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '88', 'npc_work_4', 'Huh? What do you need?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '89', 'npc_work_5', 'Did you pay them yet?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '91', 'player_1_4', 'You\'re right I\'ll help!! Where is he?!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '92', 'player_1_5', 'Don\'t worry, Nym will get his money.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '94', 'player_2_4', 'That\'s what he gets! No, I\'m not helping!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '95', 'player_2_5', 'I think you should give him the money, not me.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '97', 'player_3_4', 'Why was he ambushed by Imperials?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '98', 'player_3_5', 'What exactly is the Alliance buying?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '100', 'player_reset_4', 'Han, I can\'t help this pirate out.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '101', 'player_reset_5', 'Han, I think you should do this, not me.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '103', 'player_sorry_4', 'Nothing. Just wanted to say \'Hi\'.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '104', 'player_sorry_5', 'Not yet. I\'m about to leave now.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '110', 'npc_smuggle_5', 'Let me count it...... Okay, it\'s all here. Nym says that the bacta is going to be in \'The Old Place\'.  I\'m also supposed to give Solo a good fist to the face for old time\'s sake, so you\'re lucky I don\'t know you. ');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '111', 'noloc_1', 'Let me see if I can remember where he used to hang out. This was a long time ago, so give me a few minutes, okay?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '112', 'noloc_2', 'Let me go start up the Falcon, then I\'ll let you know where their hideout is. Check back with me in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '113', 'noloc_3', 'Let me see where Nym said this guy can be found. Check back with nme in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '114', 'noloc_4', 'Let me check the map to see where those coordinates are. Check with me in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '115', 'noloc_5', 'Let me find out where you\'re supposed to meet his money guy. Check back with me in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '117', 'otherescort', 'Aaargghh... I think ye be pickin\' the wrong person... ye be best to look around nearby.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '118', 'gotowork', 'I don\'t need this. Keep it for yourself.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '119', 'npc_failure_1', 'What do you mean he\'s no longer on Lok? Awww... but he has to be! What am I going to tell Leia?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '120', 'npc_failure_2', 'What do you mean he said he sold it!? You believed him?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '121', 'npc_failure_3', 'I was hoping you could have handled this guy. I guess I\'ll go do this myself now. I\'ve got to go now.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '122', 'npc_failure_4', 'He\'s dead?! Oh, this is not good....');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '123', 'npc_failure_5', 'Okay, let me get this straight... You\'re saying a Jawa leaped out from behind a boulder and stole the money?... Let\'s go over this again...');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '124', 'next', 'You should go to Dantooine.  Ackbar is looking for some help I hear.  He could use somebody like you.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/han_solo.stf', '125', 'notyet', 'Talk to Nien.  I\'m too busy right now.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '1', 'npc_1_1', 'Welcome, welcome. Please come in. You have been highly recommended by both Leia and Mon Mothma. As you can tell, our base in under heavy siege, and won\'t last too much longer. Right now, I am in need of your fabled skills to help some transports leave the planet. Can you help with this?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '2', 'npc_1_2', 'I am once again in need of you. One of our deep Intelligence teams has uncovered some very important military information regarding the Empire, but were unaware that that our base was under siege. They have landed far away from here to be safe, but they need to be escorted back here safely. Can you help?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '3', 'npc_1_3', 'Watch your head! Feel that shaking? It\'s the Empire ramping up their bombing efforts... they know we\'re weakening.  At this rate, I\'m not sure we\'ll be able to get everyone out to safety. I need you for an operation that will hopefully slow them down. Can you help?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '5', 'npc_2_1', 'At this location, you will find a group of camouflaged transports that are to be leaving the planet. Every one of them is full of refugees from our bases, and they are being attacked by a band of stormtroopers. Eliminate the stormtrooper threat before they prevent the ships from ever leaving the planet.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '6', 'npc_2_2', 'Here is where their last communication came from. You should find their team out there waiting for your arrival. Once you find them, return back here immediately with them.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '7', 'npc_2_3', 'Okay, I will need you to take out a group of stormtroopers that\'s causing us trouble. If you can do this, you will buy us a lot more time.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '8', 'npc_3_1', 'I\'m sorry, I don\'t think I heard you correctly. Did you just say that you are willing to let the Empire destroy many innocent lives?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '9', 'npc_3_2', 'Please reconsider. There aren\'t too many able bodied people left here, and I trust you can get the job done.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '10', 'npc_3_3', 'I understand, but you must understand as well : you are our only hope.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '12', 'npc_4_1', 'This has been our base for some time now, but with the Death Star being destroyed we have revealed our presence to the the Empire. Most of the base\'s personnel have been evacuated off the planet, but many still need to leave. With a host of X-Wings still left to cause distractions, we can safely see the rest of them off planet.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '13', 'npc_4_2', 'They have been infilitrating the Empire for a few years now, only recently coming out from their disguise. They claim to have information regarding the exact fleet size of the Empire, and also the sectors they patrol regularly. This information has the potential to be the most important information we have seen in a long time.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '14', 'npc_4_3', 'The Empire is using a number of T.I.E. Bombers to keep up a steady attack.  Vader has a group of stormtroopers on the planet that are giving him coordinates to bomb.  I\'m not sure why he\'s steering clear of these temples, but whatever the case may be, his bombing campaign is beginning to work.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '15', 'npc_reward_1', 'With those Stormtroopers taken care of, the transports were able to leave the planet safely. We have lost many X-Wings, but fortunately there aren\'t too many more needed to leave the planet. You did good work. I will have need of you again shortly.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '16', 'npc_reward_2', 'This information will be a great help indeed. From the quick look I had of it, it seems that the Empire hasn\'t changed their protocols since I was a Captain. You didn\'t know that? Yes... I was one of the first Captains of the Imperial Class Star Destroyers. That, though, was a long time ago. When we are all done, I\'ll see to it that everyone of them are scuttled and turned into plowshares.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '17', 'npc_reward_3', 'With the bombing out of the way, it will take the Empire\'s forces quite a bit longer to rearm from their Star Destroyers. This should give us much more time to get the remaining people off of this base. Thank you for your help.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '18', 'player_1_1', 'I\'ll help.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '19', 'player_1_2', 'I\'ll go lead them here.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '20', 'player_1_3', 'I\'ll take part of the operation.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '21', 'player_2_1', 'Sorry, I don\'t have the time.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '22', 'player_2_2', 'No, I\'m a bit busy right now.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '23', 'player_2_3', 'No thanks... a bit too scary for me.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '24', 'player_3_1', 'Why are we evacuating the planet?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '25', 'player_3_2', 'Who is this team I\'m helping?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '26', 'player_3_3', 'How is the Empire conducting the siege?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '27', 'player_reset_1', 'I can\'t do this mission for you anymore.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '28', 'player_sorry_1', 'What did I need to do again?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '29', 'npc_backtowork_1', 'You need to get to those transports now before they are blown sky high! Eliminate the Stormtroopers causing the problem.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '30', 'npc_reset_1', 'I\'ll find someone else to help that has more to offer, I guess.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '31', 'cantwork', 'I understand you have other things to do, but I deperately need your help. Could you please attend to your business then return as soon as possible?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '32', 'dontknowyou_1', 'Move along.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '33', 'npc_work_1', 'Why haven\'t you left yet?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '34', 'npc_work_2', 'Yes?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '35', 'npc_work_3', 'Did you have a question?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '36', 'npc_breech_1', 'There\'s a Rebel! Kill him!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '37', 'npc_breech_2', 'Help!  I\'m the only one left from our team and I think I\'m heavily wounded.....');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '42', 'npc_backtowork_2', 'You will need to locate the infiltration team and escort them back here.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '43', 'npc_backtowork_3', 'You need to locate the stormtroopers sending coordinates and take them out.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '51', 'npc_takeme_2', 'Ugh... slowly... the rest of the team were killed by these... strange... things in the... jungle. Hurry... we have to get this... information back to General... Dodonna.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '55', 'dontknowyou_4', 'Oh. I thought you were someone else. You\'d best be running along now.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '56', 'dontknowyou_5', 'You weren\'t sent by General Dodonna? I see. Look, you might want to get out of here before it gets dangerous, okay?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '58', 'notit_4', 'What\'s this? This isn\'t the datapad that the General told me to deliver. Come on, we don\'t have much time.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '59', 'notit_5', 'Umm... I\'m not too sure what this is. Are you sure this is what General Dodonna wanted you to bring me?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '61', 'npc_1_4', 'I have made an important discovery among the information the infiltration team has brought back. This information may help us to create a permanent base once again, one far away from Imperial probes. I dare not transmit this information where it can be intercepted, therefore I need you to deliver this to a pilot who will fly it to Mon Mothma.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '62', 'npc_1_5', 'This is horrible!  Nateba was shot down by a turbolaser battery before he was able to make it out of the atmosphere. Other than Luke, who\'s helping escort others off the planet, I don\'t have anyone else to deliver the information. Wait... I\'ll have to get another pilot.  I\'ll need you to deliver this.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '64', 'npc_2_4', 'Take the information encoded on the datapad to Nateba Kurr, one of the last X-Wing pilots I have available on the planet. Once he has it, he\'ll depart to Dantooine and deliver it promptly.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '65', 'npc_2_5', 'Since Nateba Kurr\'s X-Wing was completely obliterated, there\'s no wreckage to recover the datapad from. Fortunately, I made another copy of this info for myself. Look... this is the last copy we have. It\'s vital that it makes it to safety... I\'m sure he\'ll be able to avoid the turbolaser on his way off planet.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '67', 'npc_3_4', 'Look, we need to get this information to our current base, and you\'re the only one I trust that can get it there. Please reconsider.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '68', 'npc_3_5', 'What? This is very important! This could save the lives of thousands of the Rebellion! Ask yourself if you\'ll be able to live with yourself if you refuse this.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '70', 'npc_4_4', 'As I said earlier, I was one of the first Star Destroyer captains when they were comissioned by the Old Republic, before the Emperor took over. With that experience, I can tell by looking at this information that the flight paths of the Empire\'s Star Destroyers seem to overlook a few systems in thier patrols. The one that interests me the most is a small system called Hoth.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '71', 'npc_4_5', 'It\'s the only chance!  You\'ve got to deliver that information!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '73', 'npc_backtowork_4', 'You need to deliver the locations of potential base sites to Nateba Kurr. Once you have done so, Nateba will then be able to deliver the information to Mon Mothma himself.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '74', 'npc_backtowork_5', 'You need to get this vital data to Luke Skywalker immediately!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '76', 'npc_breech_4', 'Hurry! I need to get that information to High Command before I\'m spotted by any T.I.E.s.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '77', 'npc_breech_5', 'Hello. You must be the person General Dodonna told me to expect.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '82', 'npc_reward_4', 'Nateba has let me know that he is already inputting the navigation codes to Dantooine and should be off-planet within a few minutes. Thank you for getting that information there safely.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '83', 'npc_reward_5', 'Okay, I feel much better knowing that Mon Mothma has this information. If there\'s anyone who can manuever his way around turbolasers, it will be him. In order to speed up the evacuation of a group of archaelogists, would you mind going out to help Luke?  He should be just along this passage, deeper in the ruins.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '88', 'npc_work_4', 'What do you need?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '89', 'npc_work_5', 'You\'re not gone yet?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '91', 'player_1_4', 'I\'ll make sure it gets there.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '92', 'player_1_5', 'I\'ll take it to him right away!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '94', 'player_2_4', 'I\'m a bit busy right now. Maybe some other time.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '95', 'player_2_5', 'I\'m not running out with that information again. No.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '97', 'player_3_4', 'How were you able to find out so fast?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '98', 'player_3_5', 'Wait... what if HE gets shot down?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '109', 'npc_smuggle_4', 'Okay, great! I\'ll get back to my X-Wing and have my R2 unit plot a course to Dantooine. Good luck out here, and make sure you make it out of here alive, you got that? We can\'t afford to lose good people like you.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '110', 'npc_smuggle_5', 'Okay, from what General Dodonna said, this information needs to get to Mon Mothma\'s hands herself. Let the General know that I\'ll make sure it safely gets to her. Thanks for your help with this.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '111', 'noloc_1', 'Let me get the coordinates of the transports. Ask me again in a few minutes. ');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '112', 'noloc_2', 'Let me get the coordinates of the landing site. Ask me again in a few minutes. ');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '113', 'noloc_3', 'Let me get the coordinates of the repair facility. Ask me again in a few minutes. ');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '114', 'noloc_4', 'I\'ll contact Nateba and find out where he\'ll meet you. Check back with me in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '115', 'noloc_5', 'Lert me contact Luke and find out where he can meet you. Check back with me in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '117', 'otherescort', 'I don\'t know who you are. Maybe you\'re here to meet the person that was a little over there...');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '118', 'gotowork', 'I\'m busy waiting for something right now.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '119', 'npc_failure_1', 'We have received word that four of our transports have been destroyed whilst still on the ground. On board those transports were 200 men and women. I hope you remember this day for a long time.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '120', 'npc_failure_2', 'The information that they held was quite important. It very well could have changed the face of this Civil War. The fact that you let them die will be remembered by me for a long, long time.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '121', 'npc_failure_3', 'With the Empire still being able to rearm as fast as they can bomb, I\'m not sure how much time is left with this temple.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '122', 'npc_failure_4', 'Without that information getting to Mon Mothma in time, we may not be able to begin relocation to Hoth without being seen.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '123', 'npc_failure_5', 'That was the last copy of the information we had. We may never be able to move our way out to that system any longer.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '124', 'notyet', 'I can\'t speak with you unless Mon Mothma has given you clearance.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '125', 'next', 'Go find Luke.  I\'m worried something might have happened to him.  He\'s just along the corridor here, deeper in the temple.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '126', 'npc_breech_3', 'Don\'t let them stop us! Keep broadcasting!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '127', 'player_sorry_2', 'What did I need to do again?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '128', 'player_sorry_3', 'What did I need to do again?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '129', 'player_sorry_4', 'What did I need to do again?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '130', 'player_sorry_5', 'What did I need to do again?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '131', 'player_reset_2', 'I can\'t do this mission for you anymore.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '132', 'player_reset_3', 'I can\'t do this mission for you anymore.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '133', 'player_reset_4', 'I can\'t do this mission for you anymore.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '134', 'player_reset_5', 'I can\'t do this mission for you anymore.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '135', 'npc_reset_2', 'I\'ll find someone else to help that has more to offer, I guess.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '136', 'npc_reset_3', 'I\'ll find someone else to help that has more to offer, I guess.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '137', 'npc_reset_4', 'I\'ll find someone else to help that has more to offer, I guess.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '138', 'npc_reset_5', 'I\'ll find someone else to help that has more to offer, I guess.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/jan_dodonna.stf', '139', 'npc_reset', 'I\'ll find someone else to help that has more to offer, I guess.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/lt_lance.stf', '1', 'npc_1_1', 'It\'s good to meet you, soldier. I\'ve been told by Solo to expect you, and you arrived just in time. I need immediate assistance regarding a deployment that is about to go horribly wrong if it goes unchecked. I need you to go to location of our old abandoned base and harry the stormtroopers that are stationed there.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/lt_lance.stf', '2', 'npc_1_2', 'I\'ve just received a transmission from Solo. He\'s in high orbit around Dantooine right now, and it seems he has a large shipment of bacta with him as well. Since my troops are still in transit from their successful operation, I\'m short a few hands. Do you think you can help Solo land his YT-1300?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/lt_lance.stf', '3', 'npc_1_3', 'I need your help to pull this off. I\'m not too keen on the plan, but it\'s been approved by both Ackbar and Mon Mothma, so what can I do, eh? I need you to help steal an Imperial Lambda-Class shuttle. Do you want to involve yourself in this?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/lt_lance.stf', '5', 'npc_2_1', 'That\'s the answer I wanted to hear. These coodinates will lead you to the last known location of a group of stormtroopers near our abandoned base. You need to harrass them to draw the attention of the Empire, then get out of there. In other words, go destroy them then hightail it out of there.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/lt_lance.stf', '6', 'npc_2_2', 'Well, I can\'t say I trust the reformed smuggler too much, but we need all the help we can get. You need to go to this landing area and remove any potential Imperial eyes. If you see any Probots or Stormtroopers, destroy them.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/lt_lance.stf', '7', 'npc_2_3', 'Here are the coordinates of a squadron of Stormtoopers that have landed from that shuttle. They are investigating an unauthorized landing, which was Solo of course. What I need you to do is to wipe out that squadron, and bring the pilot\'s initialization codes back here. I\'ll then be able to send a team to recover the shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/lt_lance.stf', '8', 'npc_3_1', 'Unless you\'re a different person than the person recommended by Han and Leia, then I don\'t understand. You ARE the one who helped them, right...?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/lt_lance.stf', '9', 'npc_3_2', 'I can\'t say I blame you. I don\'t care how much Leia insists we can trust him, I\'m still a bit sketchy about him. Either way, we still need the bacta. I\'ll give you a couple of minutes to think about it, then get back to me.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/lt_lance.stf', '10', 'npc_3_3', 'Sounds like you\'ve got a solid head on your shoulders there. If I weren\'t ordered to oversee this plan, I wouldn\'t be part of it, either. If you change your mind, I wouldn\'t pass up your help, though.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/lt_lance.stf', '12', 'npc_4_1', 'Currently I have a covert operation in effect. A strike squad is about to perform a land based hit-and-fade maneuvre on an Imperial cargo landing site. We have just received word that a large detachment of Stormtroopers is about to set up a patrol around the area. Your attack will distract them long enough for us to finish the operation.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/lt_lance.stf', '13', 'npc_4_2', 'Well, I never believed he\'d be able to get his hands on that much bacta to begin with. The answer is no, actually. This base is being used for now until we can find a more permanent one due to the fact that our Yavin base was found. This bacta is supposed to go out to Yavin to help with the siege, but Han can\'t get it there... for now, that is.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/lt_lance.stf', '14', 'npc_4_3', 'It seems that a bunch of Bothans that are helping the Alliance have come up with the idea to steal an Imperial shuttle, then change the authorization codes. They have managed to gather a number of codes to shuttles that they can use to replace the existing ones. I guess this is more an experiment than anything else. And I don\'t like it.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/lt_lance.stf', '15', 'npc_reward_1', 'Well done. Well done, indeed. The strike team has just reported back in and the assault was a success. Thank you for your help. Now that it\'s not so hectic, let me introduce myself - I\'m Harrind Lance, but you can call me Lieutenant. Your help here at our base will be a relief. I may have futher need of you later. For now, take a little R&R.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/lt_lance.stf', '16', 'npc_reward_2', 'Good work. I\'m glad that Leia recommended you to us here. Keep this up, and I\'m sure that Captain Ackbar may assign you to work for him. Take a breather for now, because I see something coming up that I can use you for.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/lt_lance.stf', '17', 'npc_reward_3', 'Now that we have the initialization code, we can load up the shuttle and get most of this bacta to Yavin. I pity the person who is going to be piloting this mission. Thank you for your help, friend. I\'ve been asked by Captain Ackbar to direct you to him. He\'s heard of you and needs your help.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/lt_lance.stf', '18', 'player_1_1', 'Understood. I can help.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/lt_lance.stf', '19', 'player_1_2', 'Yeah, I can. Me and Solo go way back.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/lt_lance.stf', '20', 'player_1_3', 'Sounds quite bold. Sure!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/lt_lance.stf', '21', 'player_2_1', 'Sorry, I don\'t think I can help.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/lt_lance.stf', '22', 'player_2_2', 'Sorry, I\'ve helped him too much already. No.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/lt_lance.stf', '23', 'player_2_3', 'That\'s crazy! No, I won\'t be part of this.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/lt_lance.stf', '24', 'player_3_1', 'What went wrong with the battle plan?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/lt_lance.stf', '25', 'player_3_2', 'Is this where the bacta shipment was originally headed?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/lt_lance.stf', '26', 'player_3_3', 'Back up there, Lieutenant. What kind of plan is this?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/lt_lance.stf', '27', 'player_reset_1', 'I\'m sorry, but I can\'t do this.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/lt_lance.stf', '28', 'player_sorry_1', 'You caught me as I was leaving.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/lt_lance.stf', '29', 'npc_backtowork_1', 'Double-time, soldier! We have little time to spare!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/lt_lance.stf', '30', 'npc_reset_1', 'Unless you\'re a different person than the person recommended by Han and Leia, then I don\'t understand. You ARE the one who helped them, right...?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/lt_lance.stf', '31', 'cantwork', 'Greetings. I\'m Lieutenant Lance - well, actually I\'m Harrind Lance, but around here I\'m the Lieutenant. I keep a clean operation around here, so if you have nothing you can contribute, I\'m going to have to ask you to move out of the way. When you\'re not busy, we can talk.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/lt_lance.stf', '33', 'npc_work_1', 'You haven\'t left yet?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/lt_lance.stf', '34', 'npc_work_2', 'Did you find anything out there?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/lt_lance.stf', '35', 'npc_work_3', 'What do you need?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/lt_lance.stf', '36', 'npc_breech_1', 'Sir, over there! We have movement!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/lt_lance.stf', '37', 'npc_breech_2', 'Hey, there\'s one! Set blasters to stun!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/lt_lance.stf', '38', 'npc_breech_3', 'You must be part of the group that landed! Eliminate the Rebel!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/lt_lance.stf', '42', 'npc_backtowork_2', 'Double-time, soldier! Solo will have to land before he\'s spotted by a Star Destroyer patrol.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/lt_lance.stf', '43', 'npc_backtowork_3', 'He should have on him a numeric sequence that will start the shuttle. All Imperial Lambda shuttles have these security measures on them so no one comes running up to the shuttle and takes it. Which is, of course, what we\'re planning to do.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/lt_lance.stf', '44', 'npc_reset_2', 'I can\'t say I blame you. I don\'t care how much Leia insists we can trust him, I\'m still a bit sketchy about him. Either way, we still need the bacta. I\'ll give you a couple of minutes to think about it, then get back to me.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/lt_lance.stf', '45', 'npc_reset_3', 'Sounds like you\'ve got a solid head on your shoulders there. If I weren\'t ordered to oversee this plan, I wouldn\'t be part of it, either. If you change your mind, I wouldn\'t pass up your help, though.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/lt_lance.stf', '46', 'player_reset_2', 'Sorry, but I\'m tired of helping out Solo.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/lt_lance.stf', '47', 'player_reset_3', 'Sorry, but I can be part of this hare-brained plan anymore.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/lt_lance.stf', '48', 'player_sorry_2', 'You caught me as I was leaving.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/lt_lance.stf', '49', 'player_sorry_3', 'What was I supposed to get from the pilot?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/lt_lance.stf', '53', 'dontknowyou_2', 'Move along. This area is restricted.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/lt_lance.stf', '54', 'dontknowyou_3', 'If you\'re not the suspect, then get out of here!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/lt_lance.stf', '109', 'gotowork', 'No, this is not the initialization codes for the shuttle. I need the codes.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/lt_lance.stf', '111', 'npc_failure_1', 'Our intelligence shows that our strike team has all been wiped out. Every last one of them dead. Those were some good men and women. I hope you can sleep tonight.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/lt_lance.stf', '112', 'npc_failure_2', 'Solo has to land now before he\'s spotted by a Star Destoyer. I sure hope there\'s nothing out there that will find him when he lands.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/lt_lance.stf', '113', 'npc_failure_3', 'The pilot didn\'t have any codes on him? Oh well. I guess I\'ll tell Ackbar that this plan was a failure.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/lt_lance.stf', '114', 'npc_noloc_1', 'The location of the troops were around here a moment ago. Let me find them again, then get back to me.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/lt_lance.stf', '115', 'npc_noloc_2', 'Let me contact Han Solo and find out where he plans on landing. Once I\'ve found out, check with me again.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/lt_lance.stf', '116', 'npc_noloc_3', 'Let me check these schematics so that we can triangulate the location of the stormtrooper squad. Check back with me in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/lt_lance.stf', '117', 'dontknowyou_1', 'Move along. This area is restricted.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/lt_lance.stf', '118', 'next', 'Sorry, I\'m just getting myself together before I go on assignment.  Can\'t talk now.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '1', 'npc_1_1', 'Oh, hello! What\'s that? General Dodonna sent you to help me? Well, I sure could use a hand out here. This is hard work! Okay, we\'re evacuating a group of archaeologists and boarding them on a transport. I\'ll go get one of the work crews, but I\'ll need you to get the supervisor. Would that be alright?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '2', 'npc_1_2', 'Awwww maaann!!! Something took a big chunk out of my R2 unit. I saw a bunch of broken teeth lying on the ground, so at least it stopped before it could do any more damage. Look, I need you help me find the little creature that swallowed my R2 unit\'s motivator unit. Can you?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '3', 'npc_1_3', 'We\'ve got some bad news, friend. I just spoke with the supervisor of this expedition team, and he says that they\'re missing one of the guys. He told me where the guy was last digging, but I need to make sure my R2 unit is fixed before we leave. Do you think you could go out and bring him back here?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '5', 'npc_2_1', 'Okay, the supervisor has been contacted and told to wait for his escort. Once you find him, just bring him back here. I should be back with the rest of the crew in that time.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '6', 'npc_2_2', 'Okay, I\'ll go check this way, you go check that way. I\'m not sure what took a bite out of my droid, but it didn\'t look too large judging by the teeth. It more than likely swallowed the part, so we\'ll have to cut the little bugger open, I guess. Meet me back here if you find it.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '7', 'npc_2_3', 'Thanks a lot, friend, I really appreciate it. By the time you get back with him, I should have my R2 unit fixed.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '8', 'npc_3_1', 'Weren\'t you supposed to be helping me? I can\'t do this all by myself! You mean you\'ll let me gather up everyone while you do nothing? That\'s not fair!!!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '9', 'npc_3_2', 'Well, I guess I\'ll go do it all by myself then. I wish you\'d lend me hand!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '10', 'npc_3_3', 'Come on!!! All you have to do is go find the guy! Is it that hard of you to do?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '12', 'npc_4_1', 'They were here on Yavin IV before we set up our base here. A few of them were Pro-Rebel, so they contacted Mon Mothma and General Dodonna saying that these temples would be a good base. Since they let us use their area while they were digging through the ruins, we are rather obligated to help them get out before they get hurt, wouldn\'t you say?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '13', 'npc_4_2', 'There\'s all kinds of wierd creatures in these jungles, I can\'t even begin to list them all. I grew up on Tatooine, ever heard of it? We had womp rats and kreetles out there, but some of these things give me the creeps! The only thing I can imagine being worse than living in a jungle is living in some kind of swamp. Ugh!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '14', 'npc_4_3', 'The supervisor says that this guy was working deep inside one of the temples and was insisting that he was about to make a discovery. Apparently the guy was so caught up in his work, he didn\'t bother to pay attention to the return call. It sounds simple, but look... I have a bad feeling about this, so be careful, okay?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '15', 'npc_reward_1', 'Great work. I\'ve gathered up all of the crew here, and now we can get them off the planet. Look, I need to get back to my X-Wing... I think I saw something lurking around it, and I can\'t afford to try to fly these guys escort if my ship is damaged. I\'ll be back in a bit.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '16', 'npc_reward_2', 'You found it? We\'re saved! Thanks! I\'ll get this back to my R2 unit and fix it up. Fortunately I\'m pretty good at fixing up droids and the like. It\'s like the way I fly, you know? It just comes to me. Check back with me in a little bit so we can get out of here.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '17', 'npc_reward_3', 'Whoa! You took that thing all by yourself? If I would have known, I would have gone out there with you. I got this lightsaber from a friend... he said it was my dad\'s... and I\'ve been wanting to practice with it. From the sound of it, that would have been good target practice. I\'ll get this guy onboard the ship, then we can leave.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '18', 'player_1_1', 'Of course I can help!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '19', 'player_1_2', 'I\'ll help you track it down.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '20', 'player_1_3', 'I\'ll go get him.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '21', 'player_2_1', 'Sorry, but I thought this would be more interesting. No.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '22', 'player_2_2', 'Nevermind. I don\'t want to look for critters.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '23', 'player_2_3', 'Sorry, Luke, but I don\'t do escort work.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '24', 'player_3_1', 'What are archaelogists doing in our base?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '25', 'player_3_2', 'What kinds of creatures are here on Yavin?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '26', 'player_3_3', 'Why wasn\'t this guy with the rest of them?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '27', 'player_reset', 'I can\'t do this mission anymore.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '28', 'player_sorry', 'What was I supposed to do again?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '29', 'npc_backtowork_1', 'You need to find one of the supervisors of their expedition and bring him back here so that they can be transported off the planet.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '30', 'npc_reset', 'What?! You can\'t be serious!! I need you to help me!! I want to leave this planet and if you don\'t help I\'ll be here for a lot longer!!! Come on, already!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '31', 'cantwork', 'Hello there. I sure could use a hand out here, when you have the time.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '32', 'dontknowyou_1', 'You\'re not the guy here to take me back? Well, where in the heck is he?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '33', 'npc_work_1', 'Did you forget something?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '34', 'npc_work_2', 'Yeah?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '35', 'npc_work_3', 'Did you need something before you left?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '36', 'npc_breech_1', 'Ho there! Are you the guy who\'s going to bring me to the escape ship?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '38', 'npc_breech_3', 'Ohhhh... please.... help me. I\'ve been bit by that thing and my vision is getting hazy....');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '40', 'notit_2', 'No, no, no! This isn\'t the motivator for my R2 unit! I don\'t know what it is, but it\'s not a motivator!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '42', 'npc_backtowork_2', 'Look around for something about this big, missing some teeth. It should have my R2 unit\'s motivator on it or inside it\'s stomach. Bring it back when you find it.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '43', 'npc_backtowork_3', 'You need to find the last archaeologist that\'s out near the Massassi ruins. Once you find him, bring him back here.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '50', 'npc_takeme_1', 'Great, let\'s get out of here then. I don\'t want to be left behind without a crew of diggers, if you know what I\'m saying.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '52', 'npc_takeme_3', 'Oh, thank you so much. I don\'t think I could have made it back by myself. I want to get as far away from this planet as I can. Maybe then the voices will go away.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '54', 'dontknowyou_3', 'Please... go send for help... tell my supervisor I have always loved him....');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '56', 'dontknowyou_5', 'Ahh... you are not the one... you are someone elsssse... perhapsss you are to be initiated, yes?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '58', 'notit_4', 'Nah, this doesn\'t look like what he described.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '59', 'notit_5', 'Nooo.... the prophecy lied.... it said you would bring the knowledge of the master to us....');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '61', 'npc_1_4', 'Hey, I need you to do something. I\'m going to try to patch this guy up before I take him to the transport. He said that he found a wierd looking box in the chamber that creature was in. Something tells me that box is important, and I really want to look at it. Can you go get it for me?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '62', 'npc_1_5', 'Hey, do you think you can do me one last favor?  Can you go deliver this box-thing to someone out in the jungle? This thing gives me the creeps, and for some reason I don\'t want the Imperials to find it after we leave. So, can you do this for me?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '64', 'npc_2_4', 'Good. I put on your datapad the area he said he found the box. He said he thought he saw two of those creatures, so the other one might have taken it by now. Do whatever you have to do to get it, but bring me back that box. It sounds... well, it sounds very interesting.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '65', 'npc_2_5', 'Great. You should be able to find a tribe of people out there in the jungles that will be will be waiting for this. Why, I don\'t know..... ummm... just go get it to them.... that thing makes me really uneasy...');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '67', 'npc_3_4', 'What? Whatever... I guess I\'ll go do it myself.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '68', 'npc_3_5', 'What? Did you tell me No?? How dare you!?!? I\'m Luke Skywalker, and my father was a powerful Jedi Knight!! Now, I\'m going to give you a few minutes to think about what you said, and let you change your mind. Got it?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '70', 'npc_4_4', 'I don\'t know. He said he had just a few moments to see what it looked like. From his description, it looks like some jeweled box in the shape of a pyramid. What is was doing being kept hidden in a temple, I can\'t say. I have a wierd feeling that the box is very, very important, though. What was that? Oh, sorry... I thought I heard you say something.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '71', 'npc_4_5', 'I don\'t know, to tell you the truth. It\'s weird looking, wouldn\'t you say? I\'ve been looking for a way to open it, but I can\'t find anything. Huh? Sorry... I could\'ve sworn you just said something. I have bad feeling about this thing, and don\'t want it around me anymore. Either way, I think someone named Kyp or maybe Exar owns it... don\'t ask me why, I just know.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '73', 'npc_backtowork_4', 'Go find the box that the archaeologist was describing, then bring it back so I can take a look at it.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '74', 'npc_backtowork_5', 'You need to get this box to a tribe of people out in the jungles. Once you deliver it to them, come on back.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '77', 'npc_breech_5', 'Yesss.... you are the one that was foretold.... you have the blessed piece with you, correct?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '82', 'npc_reward_4', 'Great! Now, let me take a look at this. Wow! It\'s gorgeous! Huh? Did you say something? Oh... sorry... must be hearing things. Anyways, I\'ll check this thing out to see if there\'s some way to open it. I bet you there\'s priceless treasure inside!!! Check back with me in a little bit to see if I found a way to open it. Huh? Oh.. uh.. nevermind.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '83', 'npc_reward_5', 'You gave it to them, right? You know, I already feel so much better with that thing gone. Anyways, thank you for your help, friend. I\'m going to get these guys out of here now. Hmmm... you know something? This place is actually rather calming... I may have to come back here someday when the war is over. I kinda like it. Take care, friend.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '88', 'npc_work_4', 'Are you going to get it yet?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '89', 'npc_work_5', 'Have you taken it to them yet?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '91', 'player_1_4', 'Sure, I\'ll get it for you.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '92', 'player_1_5', 'Sure, I\'ll do it.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '94', 'player_2_4', 'No thanks. I\'m not going back out there.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '95', 'player_2_5', 'You know what? You do it yourself, Luke. I\'m not going to.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '97', 'player_3_4', 'What does this box look like?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '98', 'player_3_5', 'What is that thing? Is it just a box for holding things?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '110', 'npc_smuggle_5', 'Oh...wonderfuuullll.... just as the prophecy said... may the Dark Lord look over you.....');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '111', 'noloc_1', 'Let me find out where the supervisor can be found. Check back with me in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '112', 'noloc_2', 'What\'s that?... Hmmmm... I don\'t know why, but I feel I may know which way it went. Check with me in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '113', 'noloc_3', 'Let me find out where he is. Check back in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '114', 'noloc_4', 'Let me ask him where he was when he saw it. Check back with me in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '115', 'noloc_5', 'Let me think where those guys are. I\'ve never seen them before, but I have a good idea where they might be. Check back with me in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '117', 'otherescort', 'Nope. You\'ve got the wrong guy.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '118', 'gotowork', 'No, this isn\'t what I asked for. Could you come back with the right one, pleease?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '119', 'npc_failure_1', 'Did you just say that the supervisor was killed? Oh man... the General is going to kill me!!!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '120', 'npc_failure_2', 'You couldn\'t find it either? Well, I guess I\'ll have to try some tricky moves while I\'m up there. Thanks for looking, though.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '121', 'npc_failure_3', 'You mean he was already dead when you go there? I\'ll have to tell this to the supervisor. You stay here.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '122', 'npc_failure_4', 'It was gone when you got there? That\'s a shame. You know what, though? Something tells me that box is still out there...');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '123', 'npc_failure_5', 'You couldn\'t find them out there? That\'s wierd. I know they\'re out there somewhere... well, I don\'t KNOW they\'re there, I just have a real good feeling they are.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '124', 'notyet', 'I can\'t talk to you right now.  Go see Jan Dodonna if you need something to do.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '125', 'next', 'I don\'t have anymore work for you.  The Alliance thanks you though.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '126', 'player_reset_1', 'I can\'t do this mission anymore.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '127', 'player_reset_2', 'I can\'t do this mission anymore.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '128', 'player_reset_3', 'I can\'t do this mission anymore.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '129', 'player_reset_4', 'I can\'t do this mission anymore.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '130', 'player_sorry_1', 'What am I doing again?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '131', 'player_sorry_2', 'What am I doing again?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '132', 'player_sorry_3', 'What am I doing again?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '133', 'player_sorry_4', 'What am I doing again?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '134', 'player_sorry_5', 'What am I doing again?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '135', 'npc_reset_1', 'What?! You can\'t be serious!! I need you to help me!! I want to leave this planet and if you don\'t help I\'ll be here for a lot longer!!! Come on, already!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '136', 'npc_reset_2', 'What?! You can\'t be serious!! I need you to help me!! I want to leave this planet and if you don\'t help I\'ll be here for a lot longer!!! Come on, already!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '137', 'npc_reset_3', 'What?! You can\'t be serious!! I need you to help me!! I want to leave this planet and if you don\'t help I\'ll be here for a lot longer!!! Come on, already!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '138', 'npc_reset_4', 'What?! You can\'t be serious!! I need you to help me!! I want to leave this planet and if you don\'t help I\'ll be here for a lot longer!!! Come on, already!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '139', 'npc_reset_5', 'What?! You can\'t be serious!! I need you to help me!! I want to leave this planet and if you don\'t help I\'ll be here for a lot longer!!! Come on, already!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '140', 'notit', 'This isn\'t what I asked you to bring me!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/luke_skywalker.stf', '141', 'player_reset_5', 'I can\'t do this mission anymore.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '1', 'npc_1_1', 'Welcome. I have a very important assignment that I feel I can only entrust to you, considering all you have done for the Alliance already. I need you to deliver this holovid of the attack on the Death Star to one of our spies. Can you do that?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '2', 'npc_1_2', 'I have a more important mission for you, if you wish to undertake it. The recent information of troop schedules has helped us significantly in our efforts to keep this base hidden. From our information, it would appear that there is a strike team being sent to investigate recent activity. We need that team prevented from acheiving their task.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '3', 'npc_1_3', 'The Alliance has enacted a plan that should buy us even more secrecy than before. The plan has gone according to plan, and what I need now from you is to take part of the recovery team. I will need you to find the escape pod of the Captain of a Corvette and escort her back here. Can you do this?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '5', 'npc_2_1', 'Here is the holovid that needs to be broadcasted. I have arranged a site for you to meet our Bothan friend. I will provide your description to her so that she recognizes you and only you. Please go with this now, for we don\'t have too much time. ');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '6', 'npc_2_2', 'Judging by the standard operation procedures of the Empire, the strike team will likely land far away. We have triangulated where they should be, therefore we have the element of surprise assisting us. I am certain that you can do this.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '7', 'npc_2_3', 'Thank you. Her name is Captain Altapi T\'mman, and I will notify her that you are on the way to pick her up. Be aware that she will likely have been injured in the landing, so you will need to fend off any resistance you encounter.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '8', 'npc_3_1', 'I\'m not sure I understand your reluctance. With this information spread to the masses, the lies of the Empire will be weakened. You don\'t want to see an opportunity to strike the Empire go to waste, do you?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '9', 'npc_3_2', 'I understand. I will look for someone that is more able-bodied to accomplish this.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '10', 'npc_3_3', 'Hmmm... I do not understand the lack of concern on your part. Perhaps if you thought on it, you would change your mind.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '12', 'npc_4_1', 'A few hours ago High Command was contacted by our representatives with the Bothan SpyNet. They have managed to slice into a major HoloNet broadcast center on Coruscant. We must sieze this opportunity to show the Imperial citizens what happened at Yavin IV. It may convince many more to express sympathy towards our cause.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '13', 'npc_4_2', 'The hidden nature of this base is a very tenuous one. Unfortunately, we have not been able to find a more secure place. I authorized this base to be re-initialized after General Dodonna informed us that the siege on Yavin would end in our destruction. Until we find a more secure base, we must protect the secrecy of this one at all costs.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '14', 'npc_4_3', 'The operation involved us sacrificing three of our Corellian Corvettes. We staged the Corvettes to look like an expeditionary force trying to return to Dantooine, then engaged them with a TIE Fighter squad. The Corvettes were only running a skeleton crew, and all the Captains have been accounted for save for one.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '15', 'npc_reward_1', 'I take it the delivery went without incident? Very good. After that holovid reaches the homes and apartments of the citizens across Coruscant, they will see what the Empire has been doing with their tax money. I am expecting much attention to be diverted to all of the rebellious citizens that should be springing up soon. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '16', 'npc_reward_2', 'Wonderful. Whilst you destroyed the troops, I had another team hijack their shuttle for future use. The Empire will likely write this off as operater malfunction and leave it alone for now. At least we were able to buy more time. Thank you for your help.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '17', 'npc_reward_3', 'Wonderful work. I see you have been able to bring the Captain back safely. Now all of the crew have been accounted for, we can only hope that the sacrifice of those precious Corvettes will convince the Planetary General that we don\'t exist here anymore.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '18', 'player_1_1', 'I\'ll deliver it.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '19', 'player_1_2', 'They will be prevented from finding us.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '20', 'player_1_3', 'I\'ll go rescue her.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '21', 'player_2_1', 'Sorry, but I can\'t do this.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '22', 'player_2_2', 'I am not capable of doing this mission.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '23', 'player_2_3', 'I\'m not interested.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '24', 'player_3_1', 'Why the urgency?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '25', 'player_3_2', 'Why all the effort to keep the base secret?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '26', 'player_3_3', 'What are the details of the operation?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '27', 'player_reset', 'I can no longer complete this assignment.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '28', 'player_sorry', 'What was I supposed to do again?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '29', 'npc_backtowork_1', 'You are to deliver this holovid containing the events of the Death Star assault to our agent with the Bothan SpyNet.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '30', 'npc_reset', 'Perhaps when you are not so busy you can lend a hand to our cause.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '31', 'cantwork', 'I\'m glad to see that you were so prompt wi - oh... It seems you\'re busy right now. The Alliance is in need of your help, so when you are done with your agenda, please let me know.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '32', 'dontknowyou_1', 'Woohoo... you\'re not the one who matches the lowdown. Sorry friend, but you\'ll have to talk the walk alone.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '33', 'npc_work_1', 'Yes?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '34', 'npc_work_2', 'Do you have a question?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '35', 'npc_work_3', 'How can I help?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '36', 'npc_breech_1', 'Heyho... You have the look of someone who wants to broadcast, eh?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '37', 'npc_breech_2', 'There\'s one! Set blasters for stun!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '38', 'npc_breech_3', 'If you\'re an Imperial, watch out! I\'ll blast you sky-high, bum leg or not!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '39', 'notit', 'What\'s this bump? We were told to wait for a juicy set of images, and this doesn\'t look like it.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '42', 'npc_backtowork_2', 'You will need to locate the strike team that was sent by the Empire. Once found, you must make it a point that they do not report back to their commanders.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '43', 'npc_backtowork_3', 'You are to locate Captain Altapi T\'mman and escort her back here to the base.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '52', 'npc_takeme_3', 'You\'re the one sent by Mon Mothma, I take it. Well, I\'ve hurt my leg, so I\'ll need a little help getting back to base. Lead on.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '53', 'dontknowyou_2', 'Move along. There\'s nothing to see here.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '54', 'dontknowyou_3', 'Don\'t mind me. I\'m just enjoying this wonderful scenery.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '55', 'dontknowyou_4', 'Move along. There\'s nothing to see here. ');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '56', 'dontknowyou_5', 'Go away! I don\'t know you.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '57', 'dontknowyou_6', 'Huh? What\'s going on here?!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '61', 'npc_1_4', 'We have need of your assistance once again. One of our medical transports has returned from Yavin, bearing a full load of the wounded soldiers that are defending that base. The transport is being readied for return to Yavin, but it looks like a Stormtrooper squadron is about to come through the area. Are you available?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '62', 'npc_1_5', 'Our efforts to secure secrecy of this base has had an unexpected outcome - the deployment schedules have been changed. The last information we were able to discern was that a Senior Engineer of a secret military project was to be landing on the planet. We must take this final opportunity to apprehend him for questioning.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '63', 'npc_1_6', 'It seems this project the Empire has been working on has been to create a very large Shield Generator, even larger than that used by Vader\'s Super Star Destroyer. The Engineer was to retrieve schematics for it from the General on the planet. Though this may blow our cover, we need to get those blueprints. Can you help?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '64', 'npc_2_4', 'I will give you the coordinates of the wherabouts of the transport. You will need to eliminate the Stormtroopers in the surrounding area before the transport can leave the planet. Once done, we will give the signal for the ship to depart.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '65', 'npc_2_5', 'The location in your datapad is the last known location of where he was to land. We do not know what type of forces are guarding him, so be aware. He is quite important to us finding out what this project is, so do not let any harm come to him.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '66', 'npc_2_6', 'The Engineer said that he was to meet the General at the location in your datapad. There is still time to go out there and intercept him if you hurry. Once last thing : May the Force be with you.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '67', 'npc_3_4', 'I will see who else we have available, then.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '68', 'npc_3_5', 'I see. It\'s a shame that you could not find it within yourself to help.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '69', 'npc_3_6', 'This is quite important, yet you turn your back on us. I am very disappointed in you.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '70', 'npc_4_4', 'The deployment schedules of this planet have keyed us into much of the troop movement on Dantooine. This has allowed us to determine where Stormtrooper, Star Destroyer, and TIE Fighter movements are to take place. This information has been quite invaluable.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '71', 'npc_4_5', 'The operation in which we sacrificed the Corvettes has paid off very well. The local General has declared this world free of \'Rebel Infestation\', which means our base should remain hidden for a time to come. Unfortunately, with a change in security levels, our guard schedules are useless to us now.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '72', 'npc_4_6', 'We do not see a need for a Shield Generator so large. It does explain why all of the generators were being taken from the old base and other locations, though. We will need the blueprints for this design in case the Generator were to ever be operational. If it is ever used by the Empire, it would be best if we knew it\'s weaknesses.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '73', 'npc_backtowork_4', 'You are to locate the squadron of stormtroopers that will be in the area and then eliminate them. Once done, the transport can then depart.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '74', 'npc_backtowork_5', 'You will need to locate and apprehend the Senior Engineer if this secret project. Once done, bring him back to me.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '75', 'npc_backtowork_6', 'You are to intercept the General of this planet...and kill him. Recover the blueprints on his person.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '76', 'npc_breech_4', 'There\'s some Rebels! Get them!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '77', 'npc_breech_5', 'What? Wait!!! I\'m just an Engineer! I don\'t even know how to use a blaster!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '78', 'npc_breech_6', 'You\'re not the Engineer! So, we have a Rebel among us, hmm? Guards, kill them.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '82', 'npc_reward_4', 'The transport has left the planet safely and will be able to pick up more of the evacuees on Yavin. General Dodonna has informed us that the base is still holding up after all this time, but it can\'t do so for much longer. You have done the Alliance a great service today.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '83', 'npc_reward_5', 'Thank you for bringing him safely to us. We will now be able to discuss what he was working on in private. Hopefully he was high ranking enough to be able to provide enough information as to the nature fo the project. I may need you in a little while, so please check back with me in a few hours.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '84', 'npc_reward_6', 'Yes, this is quite large indeed. Well, we shall keep this in our Intelligence for future reference. Fortunately, with this information, it shows that a small strike team can disable whatever it is shielding. We\'ll have to keep an eye out for that once we have a more permanent base. General Dodonna has requested your help with the evacuation on Yavin. Thank you for your help.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '86', 'npc_takeme_5', 'So, am I under arrest by you Rebels? I\'ll talk as long as you don\'t hurt me. I just make shield generators, nothing more!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '88', 'npc_work_4', 'Yes?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '89', 'npc_work_5', 'How may I help?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '90', 'npc_work_6', 'Did you have a question?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '91', 'player_1_4', 'Yes, I can help.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '92', 'player_1_5', 'I\'ll get him.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '93', 'player_1_6', 'I\'ll take care of him.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '94', 'player_2_4', 'Not at this time, no.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '95', 'player_2_5', 'Sorry, but I can\'t help.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '96', 'player_2_6', 'I can\'t just kill someone in cold blood.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '97', 'player_3_4', 'How do we know Stormtroopers are coming in?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '98', 'player_3_5', 'Why was the schedule changed?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '99', 'player_3_6', 'Why would they need to make something so large?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '106', 'npc_smuggle_1', 'Yes, this feels nice and smooth. I\'ll get this back to my compatriots, then we\'ll screen this for the viewers everywhere. I\'m gone.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '112', 'gotowork', 'This is not the item I requested.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '113', 'npc_failure_1', 'The spy wasn\'t at the location? Hmmm... I hope she wasn\'t picked up by the Imperials.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '114', 'npc_failure_2', 'I hope that the strike team was unable to find any evidence. We will know shortly, though. Due to your failure, I will now have to set the base to evacuation alert.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '115', 'npc_failure_3', 'You let her die? She risked her life only to die when everything was safe. Such a shame.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '116', 'npc_failure_4', 'With you being unable to handle these stormtroopers, you have placed many lives in jepoardy.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '117', 'npc_failure_5', 'With the Engineer dead, we will never be able to find out what the Empire was constructing. Your failure has set us back quite a ways.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '118', 'npc_failure_6', 'Since you were unable to gather the blueprints, we may never know it\'s weaknesses were it to be used as a military project. Let us hope that we never need to know how to destroy it.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '119', 'otherescort', 'I\'m not the person you\'re looking for. Maybe that other guy that was nearby.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '120', 'notyet', 'I appreciate your eagerness to help, but I am quite busy right now. Perhaps Captain Akbar may be able to help you.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '121', 'npc_noloc_1', 'I will check my message as to where the meeting location was supposed to be. Please check back with me in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '122', 'npc_noloc_2', 'Let me have Akbar bring in the coordinates of the strike team. Please return in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '123', 'npc_noloc_3', 'I will check the charts to find out where her escape pod landed. Ask me again in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '124', 'npc_noloc_4', 'let me get the coordinates of where the Stormtroopers can be found. Ask me in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '125', 'npc_noloc_5', 'Something just came up. You\'ll need to ask me again where the Enginer is in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '126', 'npc_noloc_6', 'Let me ask the Engineer where he was to meet the General. Ask me again in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '127', 'next', 'General Dodonna is still at our base on Yavin IV.  I\'m terribly worried about him.  Perhaps you could go and find out how he\'s doing?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '128', 'npc_reset_1', 'Perhaps when you are not so busy you can lend a hand to our cause.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '129', 'npc_reset_2', 'Perhaps when you are not so busy you can lend a hand to our cause.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '130', 'npc_reset_4', 'Perhaps when you are not so busy you can lend a hand to our cause.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '131', 'npc_reset_3', 'Perhaps when you are not so busy you can lend a hand to our cause.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '132', 'npc_reset_5', 'Perhaps when you are not so busy you can lend a hand to our cause.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '133', 'npc_reset_6', 'Perhaps when you are not so busy you can lend a hand to our cause.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '134', 'player_reset_1', 'I can no longer complete this assignment.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '135', 'player_reset_2', 'I can no longer complete this assignment.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '136', 'player_reset_4', 'I can no longer complete this assignment.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '137', 'player_reset_3', 'I can no longer complete this assignment.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '138', 'player_reset_6', 'I can no longer complete this assignment.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '139', 'player_reset_5', 'I can no longer complete this assignment.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '140', 'player_sorry_1', 'What was I supposed to do again?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '141', 'player_sorry_2', 'What was I supposed to do again?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '142', 'player_sorry_3', 'What was I supposed to do again?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '143', 'player_sorry_4', 'What was I supposed to do again?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '144', 'player_sorry_5', 'What was I supposed to do again?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/mon_mothma.stf', '145', 'player_sorry_6', 'What was I supposed to do again?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '1', 'npc_1_1', 'Hello to your person. The Regal One has messaged your expectation of arrival. Problems are had by myself concerning a made to be shifted linguistic decoder that was transacted by a regional purveyor of droids fittings. A request is made for your help. Locate the seller and transport him to my person. Are you understanding?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '2', 'npc_1_2', 'Thanks again for the previous help. When I was landing the Falcon in a safer, more secret hiding place, I noticed a small craft landing nearby our location. You weren\'t expecting anybody were you? Nah... I didn\'t think you were. Well, I hate to say, but you have someone following you, and you might want to take care of it before they find us.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '3', 'npc_1_3', 'Uh-oh. What am I gonna do? If Han finds out about this, he\'ll... hey! I... uh... need your help. I guess when I was tracking the bounty hunter\'s ship, I never bothered to complete my own scans of the area. Yeah... um... well, it seems that our basecamp is in proximity to a nearby Pirate camp. Uh... could you help stop the Pirates stealing the Falcon?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '5', 'npc_2_1', 'Relief is greatly filling me. The location of the said trafficker is expected to be an inverse of a great distance. Appreciation will be granted upon the finality of your agenda. Hastened movement will increase the feelings of gratitude. Take your fears and dispatch them, for the dealer should comprehend the condition.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '6', 'npc_2_2', 'I\'m glad to hear that I won\'t have to scrape you out of a mess. Now, from what I gather, I\'m pretty certain the craft has fully landed, and this person is on their way to track you down. If they\'re friendly, that\'s fine... but I\'ve seen that type of flying before, and I\'ll wager 1000 credits that\'s a bounty hunter. Stop by when the coast is clear.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '7', 'npc_2_3', 'Thank you, thank you, thank you! Okay, here\'s where I landed the Falcon. You should find the pirates somewhere about here... I\'ve highlighted it on your datapad for you. If you scare a number of them off, the rest should leave as well. If they won\'t listen to reason... well, they\'re pirates, if you understand what I\'m saying.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '8', 'npc_3_1', 'The emotion of anger is projected at the malfunctioning device in question. With a viewing of the past, knowledge provides information to the effect that currency should not have parted my appendages for said object. Blessings be unto you regardless of the outcome.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '9', 'npc_3_2', 'I\'m not too sure about that, friend. By the looks of the ship - and I got a pretty close look without being spotted, I\'d say that\'s a bounty hunter after you. Then again, we are on Lok... I\'d still rather be safe than sorry.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '10', 'npc_3_3', 'Ooooh.... please! You have to help! If Solo finds out that I parked his baby next to some Pirates, he\'ll kill me! Seriously! I think he might actually kill me!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '12', 'npc_4_1', 'A device created for the intent of the decoding of syllables between both Sullustan and Basic was aquired in exchange for legal tender. The aforementioned splinter of dung has experienced a series of failed functions, resulting in unintended methods of communication. Does the possibility exist of your person performing assistance?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '13', 'npc_4_2', 'Well, it\'s still a bit hush-hush, so I can\'t say much - that\'s up to Han. I was asked by Solo to navigate us to a safe spot on the planet, so that\'s why I\'m out here. His Wookiee friend went to accompany him with gathering old contacts. From what I gather, I\'m not too sure if I really want to ask too many questions about either of their pasts. ');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '14', 'npc_4_3', 'You mean the one that goes: there\'s nothing Han Solo cares more about in this galaxy than the Millennium Falcon? Umm. Yeah. That\'s why we can\'t say anything to him about it, okay? He told me if anything happens to the Falcon, he\'ll tell Chewbacca to get angry. You\'ve heard what they say an angry Wookiee does to your arms, right?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '15', 'npc_reward_1', 'Thank you soooo much! I knew I should have been wary of buying a \'prototype\' using a protocol droid brain to translate to other languages. Thanks again! Princess Leia told us to expect you. Look, I have to go move the Millennium Falcon to a safer location, so I can\'t talk right now. Check back with me in a bit, because I might have need of you.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '16', 'npc_reward_2', 'Well, from what you say, it sounds like you had a bounty hunter on your tail when you left Corellia and had been stalking you all over Lok. You sure are lucky this guy wasn\'t a professional, or you wouldn\'t be here to tell me about it. I\'ll go see if Han is still busy... hmmm? What\'s that? Hm. Let me check on this warning beacon, then we\'ll talk some more.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '17', 'npc_reward_3', 'You saved the Falcon?! Oh, thank you so very much. Now, before Han finds out what happened, I\'ll need to check the damage on this Falcon. If it\'s damaged, it will be extremely hard to find parts. That\'s an old YT-1300, not to mentioned heavily modified at that. If you would, could you please check back with me a little later?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '18', 'player_1_1', 'If you mean escort a guy here, sure I\'ll help.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '19', 'player_1_2', 'Yeah, I\'ll clean up after myself.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '20', 'player_1_3', 'They\'re stealing the Falcon!!? I\'ll help you!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '21', 'player_2_1', 'Sorry, I can\'t understand anything you\'re saying. I can\'t help.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '22', 'player_2_2', 'No thanks. I know nobody followed me.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '23', 'player_2_3', 'Whoa! This is none of my business, Nien. No.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '24', 'player_3_1', 'Why are you talking so weird?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '25', 'player_3_2', 'Why are you and Han Solo here on Lok?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '26', 'player_3_3', 'Is it true what they say about Han\'s ship?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '27', 'player_reset_1', 'Okay, I\'ve had enough of this. I\'m not doing this anymore.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '28', 'player_sorry_1', 'Umm... I think the answer is no, but I\'m still looking?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '29', 'npc_backtowork_1', 'I do not see problems with this current status. Upon the aquisition of repair, all will be made better.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '30', 'npc_reset_1', 'The emotion of anger is projected at the malfunctioning device in question. With a viewing of the past, knowledge provides information to the effect that currency should not have parted my appendages for said object. Blessings be unto you regardless of the outcome.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '31', 'cantwork', 'Assistance has been offered, but a denial will ensue with gracious attachment. A thought comes to my mind that entails the visitation of Corellia.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '32', 'dontknowyou_1', 'Well, if you think of something you want, come look for me sometime.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '33', 'npc_work_1', 'Has the position of the merchandiser of rubbish been aquired?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '34', 'npc_work_2', 'Have you taken care of the tag-a-long?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '35', 'npc_work_3', 'Were you able to stop the Pirates?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '36', 'npc_breech_1', 'Would you care to see my specially modifed droid parts?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '37', 'npc_breech_2', 'So this is where secret Rebel base is, hm? The Empire will pay a lot for this info...');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '38', 'npc_breech_3', 'Hey you!  Get out of here or get dead!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '42', 'npc_backtowork_2', 'Well, you\'d best hurry before that bounty hunter gets too close to our makeshift base.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '43', 'npc_backtowork_3', 'Well hurry up! They\'re pirates, for Sullust\'s sake! They\'re not going to wait around all day for someone to show up!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '44', 'npc_reset_2', 'I\'m not too sure about that, friend. By the looks of the ship - and I got a pretty close look without being spotted, I\'d say that\'s a bounty hunter after you. Then again, we are on Lok... I\'d still rather be safe than sorry.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '45', 'npc_reset_3', 'How am I supposed to take them on!? I\'m both a pilot and a navigator, I\'m not a fighter!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '46', 'player_reset_2', 'I don\'t think anyone was following me. I\'m not doing this.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '47', 'player_reset_3', 'I won\'t be able to stop them, Nein!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '48', 'player_sorry_2', 'Not yet, but I\'ll have it taken care of.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '49', 'player_sorry_3', 'No, I haven\'t left yet.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '53', 'dontknowyou_2', 'You\'re not the person I\'m looking for. Get out of here!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '54', 'dontknowyou_3', 'Didn\'t you hear me the first time? I said my favorite line I like to say: Get out of here or get dead!!! That means go!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '55', 'dontknowyou_4', 'What? You\'re not the guy who wants to buy the Hyperdrive from me? Well, what are you wasting my time for?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '61', 'npc_1_4', 'Okay..... I\'ve spoken to Chewbacca... the hyperdrive is heavily damaged, but he says he can get it fixed if he had the right parts. I\'ve managed to get in touch with a few shady pirates on this planet, and one guy said he has the part. Could you run out there and grab it for me? I would greatly appreciate it...');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '64', 'npc_2_4', 'Thank you so much! Okay, I\'ve told him I\'m sending you out there. You might want to keep an eye open. I don\'t really trust this guy... well, I don\'t really trust any of the people here on the planet, to be honest. Just make sure he doesn\'t try to rob you, okay?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '67', 'npc_3_4', 'Ah, I understand. I guess I\'ll see if Chewbacca can help m out. I really need to get the Falcon fixed before Han notices.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '70', 'npc_4_4', 'Are you crazy?! I\'m never going to tell him. As a matter of fact, unless it\'s a matter of life or death, I\'m never flying that thing again after we get off this planet! Even if we can stop the Empire once and for all, I won\'t get in his ship again. Well... I guess if we could stop the Empire I would... But that would be the ONLY way I\'d fly his ship again!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '73', 'npc_backtowork_4', 'Okay, good. Make sure the part works before you accept it, okay?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '76', 'npc_breech_4', 'You the one picking up this hyperdrive part? Good......');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '79', 'npc_reset_4', 'Ah, I understand. I guess I\'ll see if Chewbacca can help me out. I really need to get the Falcon fixed before Han notices.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '82', 'npc_reward_4', 'Friend, you\'ve helped me so much today, I greatly appreciate it. I can\'t begin to thank you for your help. You\'re the type of person who reminds me why we fight against the Empire. Oh yeah... I forgot you were here to speak with Han. I\'ll let him know you\'re here, and I\'ll also let him know you\'re completely dependable, too.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '88', 'npc_work_4', 'So were you able to get the Hyperdrive?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '91', 'player_1_4', 'You\'re a nice guy... sure.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '94', 'player_2_4', 'Sorry, Nien, but I don\'t have time right now.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '97', 'player_3_4', 'Are you going to tell Han what happened?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '100', 'player_reset_4', 'Sorry, Nien, but I don\'t have time to help you right now. I can\'t do this.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '103', 'player_sorry_4', 'Not yet. I\'m about to meet him right now.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '110', 'gotowork', 'Dunno what this is. Here, you can have it back.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '111', 'npc_failure_1', 'Understanding has eluded my grasp on the same height as yours.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '112', 'npc_failure_2', 'You led the bounty hunter straight here? Oh, I sure do hope it was just some local pirate, rather than someone working for the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '113', 'npc_failure_3', 'You let them steal the Falcon? YOU LET THEM STEAL THE FALCON?!?!?!? Oh, that\'s it... I\'ve got to get off this planet before Han finds out!!!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '114', 'npc_failure_4', 'He didn\'t actually have a Hyperdrive for a YT-1300? Aaarrgg!!!!  What am I going to do now? *sigh* I guess I take my chances with telling him then...');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '115', 'npc_noloc_1', 'Charts are in need of consulting before a quest is embarked upon.  Please refer back to me later.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '116', 'npc_noloc_2', 'Let me check the Falcon for my notes. Check back with me in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '117', 'npc_noloc_3', 'Let me look on this map to see where I hid the Falcon. Check back in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '118', 'npc_noloc_4', 'I need to find out where this place is that you\'re supposed to meet him. Check back with me in a few minutes, okay?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '119', 'otherescort', 'Whaaah? I don\'t know you! What do you want with me? Oh.... you must be looking for the other person standing around nearby.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '121', 'npc_takeme_1', 'Blast it! I told that Sullustan not to get that droid brain wet! Arrrgh.... sure, I\'ll fix it for him. Take me to him.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '122', 'notyet', 'I can\'t talk.  I\'m too busy working for Princess Leia.  Well, I could talk to you if she said it was ok.  You know where she\'s at right?  Somewhere on Cor....oh.  I shouldn\'t say.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '123', 'next', 'Talk to Han.  See what he has to say.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '124', 'notit_4', 'Chewbacca cannot fix the hyderdrive without that part.  I really need you to pick it up for me.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '125', 'npc_smuggle_1', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '126', 'npc_smuggle_2', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '127', 'npc_smuggle_3', '');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/nien_nunb.stf', '128', 'npc_smuggle_4', 'Bah... can\'t believe I let that go so cheaply. Get out of here before I change my mind.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '1', 'npc_1_1', 'Welcome! It\'s a pleasure to meet you. I\'ve been told what you\'ve done, and on behalf of the Alliance, I wish to extend my thanks to you. I have a further request for you, though. I am overseeing the off-planet evacuation of a family that has helped us in the past, but one of them has been arrested. I need you to go rescue her, please.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '2', 'npc_1_2', 'Ah, it\'s you. I have a request of you, if you are available. We have made contact with an Officer that works for the ISB, the Imperial Security Bureau. He wishes to come over to the Alliance, but requires my assurance he will come to no harm. He requested you to be his bodyguard, as well. Will you do this for us?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '3', 'npc_1_3', 'Good, you have arrived just in time. Tennelt has informed us that right before he defected, he provided information regarding a prominent Selonian politician that was being abducted and taken to the Inquisitors for interrogation, then execution. We need to save her before it\'s too late!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '5', 'npc_2_1', 'I thank you in advance for your help. We have her last known location before she was apprehended, but I\'m not sure if she\'ll be there. Once you have rescued her from the Stormtroopers, bring her back here so that we can reunite her with her family. Please hurry, for you are her only hope.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '6', 'npc_2_2', 'I thank you very much. The ISB agent has designated a meeting place out within the wilds.  I don\'t think I need to say that you should be prepared for a fight in case this is a trap. Please take caution in case he is not as sincere as he claims.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '7', 'npc_2_3', 'The information that Tennelt has given us suggests that she will be taken along the route I have entered into your datapad. Accordingly, there is a small group acting as escort, which you will likely have to take care of. Once she has been rescued, bring her back here to the base so that we can help her to safety.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '8', 'npc_3_1', 'Umm.. I don\'t understand. You don\'t wish to help this person? Am I understanding that you would prefer for her to go off to the Empire\'s prisons after all she\'s done for us?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '9', 'npc_3_2', 'I hate to burst your bubble, but if you look around, half of the people you see in the Alliance were once Imperials. Heck, General Dodonna was one of the first to Captain a Star Destroyer when the Emperor took over. That attitude does nothing to help our cause, friend.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '10', 'npc_3_3', 'After all you\'ve done for us, I would have assumed you were the best person for the job. Very well, I\'ll see if I can get Wedge to do it. I must attend to this now, so I no longer have any time to talk.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '12', 'npc_4_1', 'Her name is Deasie A\'Fresel, and she\'s the wife of the cell leader you helped to escape off planet a little while back. She opted to be the last one to leave the planet, making sure the rest of her family went before she did. Unfortunately, the Imperials have found her and are transporting her to the nearest Inquisitor.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '13', 'npc_4_2', 'Actually, it was the woman you rescued earlier, Deasie A\'Fresel. It seems her brother is an ISB agent, and the fact that she was going to be taken to the Inquisitors was the last straw for him. He has seen what you have done for his sister and brother-in-law, and wishes you to be his escort so that he may speak with me.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '14', 'npc_4_3', 'According to the information Tennelt has given us, it seems this Selonian is one of the Advocates on the Corellian Tribunal. It seems she has been rather vocal against the Empire as of late, and the plan was to remove her from the picture and replace her with someone a little more Pro-Imperial. We need to stop this from happening.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '15', 'npc_reward_1', 'Oh, thank you so much. We\'ll be able to set them up with a nice home on Rori where they\'ll be safe, after all they have contributed. As for you, I\'m certain they will be forever grateful for what you have done. Thank you once again.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '16', 'npc_reward_2', 'Officer Tennelt has asked me to thank you for providing a safe trip here. I too offer you my thanks, for this will be a great boon to the Alliance if he truly is defecting. I\'ll need to have a number of talks with him before I\'m convinced, though. Thank you very much for you assistance.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '17', 'npc_reward_3', 'As an Advocate on the Tribunal, she will be able to relate her story through her clan. I will send someone out to inform them of what transpired so that she can be smuggled back into their caves safely. Thank you very much for your help.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '18', 'player_1_1', 'By all means! I\'ll save her!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '19', 'player_1_2', 'Sure, I\'ll bring him here safely.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '20', 'player_1_3', 'I\'ll definitely help!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '21', 'player_2_1', 'I\'m sorry, Princess, but I cannot help with this.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '22', 'player_2_2', 'Sorry, I can\'t stand looking at an Imperial.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '23', 'player_2_3', 'This doesn\'t sound like a job for my skills. Sorry.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '24', 'player_3_1', 'Who am I to rescue?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '25', 'player_3_2', 'When did all of this happen?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '26', 'player_3_3', 'Why are the Imperials interested in a Selonian?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '27', 'player_reset_1', 'I\'m sorry, Princess, but I can\'t do this.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '28', 'player_sorry_1', 'No, not yet.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '29', 'npc_backtowork_1', 'You must understand that time is of the essence. You are her only hope!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '30', 'npc_reset_1', 'Umm.. I don\'t understand. You don\'t wish to help this person? Am I understanding that you would prefer for her to go off to the Empire\'s prisons after all she\'s done for us?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '31', 'cantwork', 'Hello. You must be the person both Qualdo and Wedge have told me about. I wish to thank you for all you\'ve done for our cause. With everyone\'s help, such as yours, we may actually have a chance to put an end to the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '32', 'dontknowyou_1', 'Thank you for stopping them. I\'ll be going back home now.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '33', 'npc_work_1', 'Have you saved Deasie?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '34', 'npc_work_2', 'Where is the ISB agent?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '35', 'npc_work_3', 'Have you rescued the Selonian yet?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '36', 'npc_breech_1', 'Please, help me! They\'re going to send me to the Kessel mines!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '37', 'npc_breech_2', 'Hold there. You wouldn\'t happen to be the royal one\'s emissary, would you?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '38', 'npc_breech_3', 'Please! You must stop them before they kill me!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '42', 'npc_backtowork_2', 'Please make haste. If the Imperials find out he\'s defecting, they might kill him outright!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '43', 'npc_backtowork_3', 'You must hurry! You need to save her before she makes it to the Inquisitor!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '44', 'npc_reset_2', 'I hate to burst your bubble, but if you look around, half of the people you see in the Alliance were once Imperials. Heck, General Dodonna was one of the first to Captain a Star Destroyer when the Emperor took over. That attitude does nothing to help our cause, friend.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '45', 'npc_reset_3', 'After all you\'ve done for us, I would have assumed you were the best person for the job. Very well, I\'ll see if I can get Wedge to do it. I must attend to this now, so I no longer have any time to talk.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '46', 'player_reset_2', 'I\'ve changed my mind. I\'m not helping any Imperials!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '47', 'player_reset_3', 'I\'m no longer capable of handling this job.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '48', 'player_sorry_2', 'I haven\'t made contact with him yet.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '49', 'player_sorry_3', 'No, not yet.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '50', 'npc_takeme_1', 'Oh, thank you so much! Once I\'ve made it back to my family, I\'ll make it a point to send you one of my famous garrenberry pies! Now, let\'s go!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '51', 'npc_takeme_2', 'Very well. I understand the need for secrecy, but I do so hope you pay attention so that I don\'t fall into a gully. Let us depart.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '52', 'npc_takeme_3', 'Oh, thank you! What? You were sent by Princess Leia? I knew I put my faith in the right side of this struggle. Please, lead on.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '53', 'dontknowyou_2', 'What? You\'re not the one who was described to me. I bid you good day.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '54', 'dontknowyou_3', 'Thank you for your assistance. I will be forever in debt to you.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '55', 'dontknowyou_4', 'Hey now. You\'re not running the same system as us, are you? Sorry... no business for you.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '56', 'dontknowyou_5', 'If you do not have official business here, move along!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '58', 'notit_4', 'What? This has no codes on it! What game are\'ya playing here?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '61', 'npc_1_4', 'We have just received some... well, very interesting news. It seems that Tennelt was actually a spy this entire time, until he revealed to us that he now truly wishes to defect. Since his revelation he has provided us every single code he was privy to, which we have encoded on a datapad. I need your help, for this needs to be delivered to our contacts immediately!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '62', 'npc_1_5', 'Well, the Bothans sure did a good job. They managed to grab everything they could from Imperial Intelligence. In addition to a number of Star Destroyer flightpaths, they uncovered what appears to be a construction project being built near an out of the way system. We would appreciate it if you intercepted one of these shipments, please.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '64', 'npc_2_4', 'I knew I could trust you to do this. You need to deliver this to our contact with the Bothan SpyNet, and very soon. Tennelt was supposed to check back in tomorrow. When the ISB realizes that he really defected, they\'ll change every one of these codes. We need to give the Bothan slicers as much time as possible!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '65', 'npc_2_5', 'We have targeted an outgoing shipment from this planet. What we need you to do is to identify the commander of the transport units, then capture him. He will be able to give us more information.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '67', 'npc_3_4', 'I understand this is quite important, but I wouldn\'t have asked you unless I thought you were the person for the job. I have faith in you, so please reconsider.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '68', 'npc_3_5', 'Yes, I know I\'ve asked you for so much so far, but you are desperately needed! Please, please reconsider.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '70', 'npc_4_4', 'Yes, it\'s true. When he came here, he was actually intending on sneaking out and revealing where our base was. In the time that he has spent here and seen what the Empire is actually doing, rather than the propaganda he was fed by the Emperor, he has decided to really join our cause. I somehow knew inside that he was a good person, and fortunately I was right.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '71', 'npc_4_5', 'We\'re not sure at this time. Ever since we destroyed the Death Star, the Empire has been hurting for credits. It\'s possible they may be building a new repair facility, or worse yet, another one of those monstrous Super Star Destroyers. We need to find out what this is before they can continue building it.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '73', 'npc_backtowork_4', 'You must hurry! Those codes will be changed very soon, and we need to make the most of them.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '74', 'npc_backtowork_5', 'Well, you don\'t want to miss it. You might want to set up an ambush for them.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '76', 'npc_breech_4', 'Whoaaaa... you have a flashy look in your eye. What code are you sending me, huh?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '77', 'npc_breech_5', 'A bandit ambush! Put a stop to this, men!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '79', 'npc_reset_4', 'I understand this is quite important, but I wouldn\'t have asked you unless I thought you were the person for the job. I have faith in you, so please reconsider.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '80', 'npc_reset_5', 'Yes, I know I\'ve asked you for so much so far, but you are desperately needed! Please, please reconsider.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '82', 'npc_reward_4', 'From how you described your conversation with the Bothan, I\'m sure you gave it to the right guy. They\'re a bit odd, but they\'re the best slicers in the Galaxy. Now all we have to do is wait and see what information they are able to steal. Thank you for your help.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '83', 'npc_reward_5', 'Thank you. Once the questioning has been completed, we can inform Mon Mothma of the important news so that she can set up a battle plan. You know... I know a guy who could use your help with something he\'s working on right now. If you\'d like to travel to Lok, you might want to look up Han Solo. I\'ll let him and Nien know you\'re coming.  And take this reward for your assistance.  It\'s the least we can do.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '86', 'npc_takeme_5', 'Very well, then. I surrender.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '88', 'npc_work_4', 'What did the Bothan say when you delivered the codes?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '89', 'npc_work_5', 'Do you have the Commander in your custody?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '91', 'player_1_4', 'I\'ll get it to them!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '92', 'player_1_5', 'No problem. I\'ll do it.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '94', 'player_2_4', 'Sorry, but this is too much responsibility for me.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '95', 'player_2_5', 'I can\'t handle something like that.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '97', 'player_3_4', 'I don\'t understand. Tennelt told you he was a spy?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '98', 'player_3_5', 'What\'s this Imperial construction project?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '100', 'player_reset_4', 'I can\'t handle this responsibility anymore!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '101', 'player_reset_5', 'I give up. I can\'t do this.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '103', 'player_sorry_4', 'Um... I haven\'t yet delivered them yet.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '104', 'player_sorry_5', 'The shipment hasn\'t arrived yet.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '109', 'npc_smuggle_4', 'Yeah, yeah, yeah. These are some tasty codes. We\'ll get them sliced and diced in no time. When we\'re done, we let the Princess know what secrets Old Papa is hiding, okay?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '111', 'noloc_1', 'Let me check the message to see where she last was before being arrested. Please speak with me again in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '112', 'noloc_2', 'Let me look up where you are to meet him. Please check back with me in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '113', 'noloc_3', 'Let me check with Tennelt again as to the whereabouts of her extradition path. Please ask me again in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '114', 'noloc_4', 'I need to contact the Bothan SpyNet to let them know I\'ll be sending them a courier. Check back with me in a few minutes, please.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '115', 'noloc_5', 'Let me check with the Bothan\'s information. Ask me again in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '117', 'otherescort', 'No, I\'m not in need of being escorted by anyone. Maybe you\'re looking for someone else?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '118', 'gotowork', 'Thank you for your kind offer, but this is not something I am in need of. You should offer it to someone less fortunate.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '119', 'npc_failure_1', 'She died in the scuffle? *sigh* Let me take care of this. I have to find some way to explain this to her husband...');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '120', 'npc_failure_2', 'Did I just hear you say you let him get killed? What kind of bodyguard are you!?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '121', 'npc_failure_3', 'She died in the scuffle? *sigh* Let me take care of this, then. I have to find some way to explain this to the rest of her clan...');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '122', 'npc_failure_4', 'The Bothan contact wasn\'t there? But they\'re always reliable... well, this could have been a great advantage, but we will persevere.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '123', 'npc_failure_5', 'The commander died in the crossfire, you say? Aarrgh! Without his information, the Empire might be able to get their project completed before we can stop it.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '124', 'notyet', 'You shouldn\'t be here.  Perhaps Wedge could use your help?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/princess_leia.stf', '125', 'next', 'You should go to Lok and see my friend Nien Nunb.  He\'s there with Han Solo.  Perhaps they could use some assistance?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '1', 'npc_1_1', 'Hello there! I\'m Qualdo Herm and a member of the Alliance like you. The Princess\'s droids have spoken highly of you, and I think I can use your help. I have a friend that has recently decided to help the Alliance by providing some information. What I need, though, is for you to deliver this special comm-link to him. Sound good?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '2', 'npc_1_2', 'Hi there! I need your help again, friend. I\'klee\'trao has let me know that a special compound is being transported to his research facility. It seems that this compound is being used for the project he\'s working on. My plan is to intercept that compound so that it will slow down their research. Can you do that for the Alliance?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '3', 'npc_1_3', 'Well, hello there! My Ithorian friend has given us good news! It seems that without the compound, which is apparently quite expensive in it\'s prototype form, the Empire is considering putting an end to the project. With a little help from I\'klee\'trao, we have devised a plan that might stop the project altogether. Can you help us with this?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '5', 'npc_2_1', 'Great!  It seems my friend, I\'klee\'trao, is working for a company making dampening devices. Well, he just found out the company\'s secret project is actually being funded by the Empire. Being an Ithorian, he has no love for the Empire.  Bring him this special two-way commlink so that he can relay any special info to us.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '6', 'npc_2_2', 'Okay, I\'ll give you the coordinates of where the shipment should be coming from. What we need is the compound that will be used to make a prototype for the project. Once we have that, we\'ll be able to put a stop, or at least slow down, the research on this project. Good luck, friend!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '7', 'npc_2_3', 'Great! You\'ll need to run over to the research facility and meet with the Imperial Officer that is overseeing this project. He is delivering the design documents, regarding the project that is, to a courier for transport back to a R&D facility. However you do it, you need to get those blueprints from him.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '8', 'npc_3_1', 'Well, I can understand that. I\'d do it myself, but I need to oversee the evacuation of one of our guy\'s family. Well, thanks anyway.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '9', 'npc_3_2', 'Hrmm... well, I can understand. I was just hoping you would be willing to help. Well, thank you anyways.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '10', 'npc_3_3', 'Well, I\'m not sure I understand, but you\'ve already been a big help to begin with, I guess I can\'t complain. Thanks anyways.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '12', 'npc_4_1', 'He\'s an old friend I went to the Scientarium Academia with.  He specialized in acoustic technology, whereas I focused on alien surgery. As a matter of fact, I used to be the best medic for 10 parsecs around - that was before I just couldn\'t take the nerves anymore. Just recently he got ahold of me again, and through some talking, offered to give the Alliance special information.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '13', 'npc_4_2', 'From what he says he made a breakthrough in sound dampening technology a little bit back. Apparently the Empire has now shown themselves to be the ones running the company, and are planning on using this for their Probe Droids.  Their plan is to make these droids far more quiet so they aren\'t as easily detectable due to their loud whine and chatter.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '14', 'npc_4_3', 'I\'klee\'trao suggested that since the project was under consideration due to security breaches, the best way to have it cancelled completely would be to destroy the design documents. He\'s sent a false message to the Imperial Officer that has taken control of the facility. The message told him to deliver the documents to a courier, but you\'ll intercept them.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '15', 'npc_reward_1', 'Great, you\'re back! I\'klee\'trao has made contact with me through the commlink. If anything comes up, he\'ll keep us posted. Thanks for your help, friend.  I don\'t have much to offer, but take this reward for your assistance.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '16', 'npc_reward_2', 'I see you found this compound! This is good news, indeed. With them not able to use this in their experiments, they\'ll be slowed down long enough for us to work out a better plan.  Thanks, friend!  Oh, and here\'s another reward for your assistance.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '17', 'npc_reward_3', 'Yes, these are the documents! I\'ll have to give these and the compound to High Command. I\'m sure that the project will be cancelled now that we have everything needed to actually research this. With them unable to make Probots silent, we\'ll still be able to hear them a parsec away!  Oh, and take this reward for your assistance. You\'ve earned it.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '18', 'player_1_1', 'No problem.  I\'ll do it.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '19', 'player_1_2', 'Sounds important. Yes, I\'ll do it.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '20', 'player_1_3', 'Sure I\'ll help!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '21', 'player_2_1', 'Sorry, but I\'m a bit busy right now.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '22', 'player_2_2', 'Sorry, it sounds a bit dangerous. I can\'t.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '23', 'player_2_3', 'Unfortunately, I can\'t help you right now.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '24', 'player_3_1', 'Who\'s this friend of yours?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '25', 'player_3_2', 'What\'s the project he\'s working on?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '26', 'player_3_3', 'What\'s the plan you\'ve concocted?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '27', 'player_reset_1', 'I\'m sorry, but something came up.  I can\'t do this anymore.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '28', 'player_sorry_1', 'Sorry, not yet.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '29', 'npc_backtowork_1', 'Okay, I was just checkin\'.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '30', 'npc_reset_1', 'Well, I can understand that. I\'d do it myself, but I need to oversee the evacuation of one of our guy\'s family. Well, thanks anyway.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '31', 'cantwork', 'Hello there! I\'m Qualdo Herm and a member of the Alliance like you. The Princess\'s droids have spoken highly of you, and I think I can use your help when you\'ve got some time.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '32', 'dontknowyou_1', 'Oh, I see. Well, if you ever meet him, say \'Hi\' for me, okay?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '33', 'npc_work_1', 'Have you given I\'klee\'trao the commlink yet?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '34', 'npc_work_2', 'Do you have a question?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '35', 'npc_work_3', 'How are you doing today?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '36', 'npc_breech_1', 'Hello. You wouldn\'t happen to be Qualdo\'s friend, would you?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '37', 'npc_breech_2', 'Bandits!  Protect the compound at all costs!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '38', 'npc_breech_3', 'Wait one moment! You don\'t look like a courier! You\'re a Rebel!!!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '39', 'notit', 'Hmmm... I thought Qualdo said he\'d be giving me a modified commlink.  This doesn\'t look like one.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '42', 'npc_backtowork_2', 'Well, hello to you too.  You really do need to get out there and grab that compound before it\'s too late, though.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '43', 'npc_backtowork_3', 'Oh, I can\'t complain. Sure beats being out in the field patching up blaster wounds.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '44', 'npc_reset_2', 'Hrmm... well, I can understand. I was just hoping you would be willing to help. Well, thank you anyways.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '45', 'npc_reset_3', 'Well, I\'m not sure I understand, but you\'ve already been a big help to begin with, I guess I can\'t complain. Thanks anyways.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '46', 'player_reset_2', 'Qualdo, I can\'t do this anymore.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '47', 'player_reset_3', 'I\'m sorry, but I can\'t do this mission anymore.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '48', 'player_sorry_2', 'No, I just wanted to say \'Hi\'.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '49', 'player_sorry_3', 'Doing fine, and you?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '53', 'dontknowyou_2', 'Oh, you\'re not taking the shipment? Sorry about that.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '54', 'dontknowyou_3', 'You\'re not a Rebel? Sorry, I mistook you for someone else.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '55', 'dontknowyou_4', 'Please... send for help.... don\'t know how... much longer.....');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '61', 'npc_1_4', 'Oh, this is bad news! The Imperials found \'Klee\'s commlink and have had him arrested and sentenced to execution! We sent a team to rescue him, but they were all killed, save for I\'klee\'trao. Look, this is a matter of life and death! I need you to go out there and rescue him, then bring him back to me immediately! Will you do it?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '64', 'npc_2_4', 'Okay, okay! Okay... let\'s see.  Okay, \'Klee\'s last transmission to us was from these coordinates. You need to get out there fast, then bring him back here. Be careful, for he\'s been severely wounded and has probably lost a lot of blood. Okay, I\'ll let you do your job and get out of your way now.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '67', 'npc_3_4', 'What? Oh... okay... let me think here. I can\'t have another person killed, too... okay, I\'ll have to ask the Princess what to do!!!!!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '70', 'npc_4_4', 'Look, I\'m a medic, not a commander. I couldn\'t take doing the surgeries anymore, so I was transferred to a command position. Only an Ithorian would know how to operate on another Ithorian, due to their physiology. Or a Xeno-Surgeon... such as myself. I\'m the only one who can save him from dying, but I vowed never to do an operation again. Now do you see?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '73', 'npc_backtowork_4', 'Well, hurry. He doesn\'t have much longer before he dies!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '76', 'npc_breech_4', '*moans*..can\'t... see too well.... are you here to kill me?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '79', 'npc_reset_4', 'What? Oh... okay... let me think here. I can\'t have another person killed, too... okay, I\'ll have to ask the Princess what to do!!!!!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '82', 'npc_reward_4', 'You brought him back just in time! Yes...yes... I can do this. Thank you for your help, friend - you may have just saved a man\'s life... er... Ithorian\'s life. I told Wedge about you, and he said he might need your help as well. Not to be rude, but out of my way... I\'ve got a life to save!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '85', 'npc_takeme_4', 'Qualdo sent you.... *moans*.... please.... help me.... I think I\'m dying.....');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '88', 'npc_work_4', 'Have you found him yet? Where is he?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '91', 'player_1_4', 'Absolutely!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '94', 'player_2_4', 'I\'m not capable of doing something like that.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '97', 'player_3_4', 'What happened to your calm demeanor?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '100', 'player_reset_4', 'You\'ll need to get someone else to do this. I can\'t anymore.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '103', 'player_sorry_4', 'I haven\'t found him yet.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '106', 'npc_smuggle_1', 'Thank you. Tell Qualdo that I\'ll keep him posted on whatever the Empire is planning to do with the project I\'m working on. Good luck with your Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '110', 'gotowork', 'Seems like you should be getting back to work.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '111', 'npc_failure_1', 'Well, that\'s horrible!  Imperials got him, you say? I think I\'m going to be depressed!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '112', 'npc_failure_2', 'They were able to get the shipment to the facility? Oh well. I guess we\'ll have to step up our security a bit more in the future.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '113', 'npc_failure_3', 'You weren\'t able to get the documents? Well, at least you tried to do your part.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '114', 'npc_failure_4', 'What? He\'s dead? After everything he did for us, you let him die? What are you, a monster?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '115', 'npc_noloc_1', 'Hmmm... let me check where he said he would meet me.  Ask me again in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '116', 'npc_noloc_2', 'I\'ll gather where the shipment is coming in from. Check back with me in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '117', 'npc_noloc_3', 'Let me contact \'Klee to find out where exactly the meeting point was supposed to be. Check back with me in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '118', 'npc_noloc_4', 'Let me find out where I\'klee\'trao\'s last location was. Check back with me in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '119', 'otherescort', 'Sorry, friend, but I think you\'ve got the wrong guy.  Check nearby, okay?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '120', 'next', 'I\'m dealing with some new recruits and some paperwork, but we appreciate your efforts for the Alliance.  Perhaps Wedge has some work that he needs done?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/qualdo_herm.stf', '121', 'notyet', 'The droids are the ones you should talk to.  I believe they need some assistance.   C-3PO and R2?  You\'ve met them, yes?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/quest_details.stf', '1', 'rebel_hideout_1', 'C-3PO needs you to DELIVER a shipment of food to the SELONIAN CONTACT.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/quest_details.stf', '2', 'rebel_hideout_2', 'C-3PO needs you to deliver DERMAL MEDICINE to a REBEL CAPTAIN whose men have been wounded.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/quest_details.stf', '3', 'rebel_hideout_3', 'C-3PO needs you to ESCORT CAPTAIN TAERGLE back to the REBEL BASE');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/quest_details.stf', '4', 'rebel_hideout_4', 'C-3PO needs you to DELIVER a piece of INFORMATION to the REBEL CAPTAIN at the given coordinates');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/quest_details.stf', '5', 'rebel_hideout_5', 'QUAL\'DO HERM needs you to DELIVER a special COMMLINK to his friend, the ITHORIAN SCIENTIST');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/quest_details.stf', '6', 'rebel_hideout_6', 'QUAL\'DO HERM needs you to get the COMPOUND from the IMPERIALS who are holding it.  You are authorized to KILL if necessary.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/quest_details.stf', '7', 'rebel_hideout_7', 'QUAL\'DO HERM needs you to find the IMPERIAL who has the BLUEPRINTS and get them from him.  Use DEADLY FORCE if necessary.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/quest_details.stf', '8', 'rebel_hideout_8', 'QUAL\'DO HERM needs you to ESCORT his ITHORIAN SCIENTIST friend back to the REBEL BASE');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/quest_details.stf', '9', 'rebel_hideout_9', 'WEDGE needs you to DELIVER a LETTER OF CONFIRMATION to his potential REBEL FRIEND');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/quest_details.stf', '10', 'rebel_hideout_10', 'WEDGE needs you to find the OUTSPOKEN INDIVIDUAL who may ruin everything!  Try to REASON with her, but if not she may need to be ELIMINATED.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/quest_details.stf', '11', 'rebel_hideout_11', 'WEDGE needs you to ESCORT the IMPERIAL who is overseeing the operations back to the REBEL BASE');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/quest_details.stf', '12', 'rebel_hideout_12', 'WEDGE needs you to DESTROY the GENERATOR for the IMPERIAL STARPORT so that they can\'t send for reinforcements.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/quest_details.stf', '13', 'rebel_hideout_13', 'WEDGE needs you to GET THE CODE CYLINDER from the IMPERIAL who guards the warehouse and return it to the REBEL BASE');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/quest_details.stf', '14', 'rebel_hideout_14', 'PRINCESS LEIA needs you to ESCORT her FRIEND back to the REBEL BASE');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/quest_details.stf', '15', 'rebel_hideout_15', 'PRINCESS LEIA needs you to ESCORT a potential EX-IMPERIAL who may be able to help the Alliance');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/quest_details.stf', '16', 'rebel_hideout_16', 'PRINCESS LEIA needs you to RESCUE the SELONIAN who is being detained by the IMPERIALS.  You may need to KILL them to free her.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/quest_details.stf', '17', 'rebel_hideout_17', 'PRINCESS LEIA needs you to DELIVER the IMPERIAL CODES to her CONTACTS');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/quest_details.stf', '18', 'rebel_hideout_18', 'PRINCESS LEIA needs you to INTERCEPT a SHIPMENT that the IMPERIALS are carrying');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/quest_details.stf', '19', 'rebel_hideout_19', 'NIEN NUNB (apparently) needs you to ESCORT the TECHNICIAN responsible for his broken translator to him');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/quest_details.stf', '20', 'rebel_hideout_20', 'NIEN NUNB has warned you of a BOUNTY HUNTER who is trying to kill you.  You may want to DEAL WITH HIM first.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/quest_details.stf', '21', 'rebel_hideout_21', 'NIEN NUNB needs you to KILL the PIRATES who may be hanging around the Millenium Falcon');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/quest_details.stf', '22', 'rebel_hideout_22', 'NIEN NUNB needs you to RETRIEVE the PART he needs to fix the Falcon\'s Hyperdrive');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/quest_details.stf', '23', 'rebel_hideout_23', 'HAN SOLO needs you to ESCORT his old friend back to see him.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/quest_details.stf', '24', 'rebel_hideout_24', 'HAN SOLO needs you to RETURN A STOLEN ITEM from some BANDITS who have taken it');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/quest_details.stf', '25', 'rebel_hideout_25', 'HAN SOLO needs you to ELIMINATE the PIRATES near Nym\'s Fortress');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/quest_details.stf', '26', 'rebel_hideout_26', 'HAN SOLO needs you to RESCUE his friend from the IMPERIALS who have arrested him.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/quest_details.stf', '27', 'rebel_hideout_27', 'HAN SOLO needs you to deliver a payment of CREDITS to Nym\'s bruiser, NATEBA KERR');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/quest_details.stf', '28', 'rebel_hideout_return', 'RETURN to the REBEL who gave you the mission');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/quest_details.stf', '29', 'rebel_hideout_28', 'ACKBAR needs you to KILL a few STORMTROOPERS to cause a diversion so he can safely land his ships');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/quest_details.stf', '30', 'rebel_hideout_29', 'ACKBAR needs you to MEET with someone who may be willing to SELL some INFORMATION to the Alliance');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/quest_details.stf', '31', 'rebel_hideout_30', 'ACKBAR needs you to DELIVER the INFORMATION from the bounty hunter to his ASSOCIATES');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/quest_details.stf', '32', 'rebel_hideout_31', 'ACKBAR needs you to DELIVER the INFORMATION gathered to ADMIRAL BEL IBLIS');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/quest_details.stf', '33', 'rebel_hideout_32', 'ACKBAR needs you to TAKE OUT some IMPERIALS who are here to clean up the Rebel Base');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/quest_details.stf', '34', 'rebel_hideout_33', 'MON MOTHMA needs you to DELIVER a HOLOVID of the Death Star\'s Destruction');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/quest_details.stf', '35', 'rebel_hideout_34', 'MON MOTHMA needs you to ELIMINATE the STRIKE TEAM that is preparing to attack the Rebel Base');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/quest_details.stf', '36', 'rebel_hidout_35', 'MON MOTHMA needs you to ESCORT the CAPTAIN of the Corvette back to the REBEL BASE');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/quest_details.stf', '37', 'rebel_hideout_36', 'MON MOTHMA needs you to TAKE OUT the STORMTROOPERS who are preventing her people from escaping');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/quest_details.stf', '38', 'rebel_hideout_37', 'MON MOTHMA needs you to ESCORT the IMPERIAL who is to oversee the new troop movments back to the REBEL BASE');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/quest_details.stf', '39', 'rebel_hideout_38', 'MON MOTHMA needs you to RETRIEVE WITH FORCE the BLUEPRINTS for whatever the Empire is building');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/quest_details.stf', '40', 'rebel_hideout_39', 'GENERAL DODONNA needs you to ELIMINATE the STORMTROOPERS who are keeping his people from escaping');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/quest_details.stf', '41', 'rebel_hideout_40', 'GENERAL DODONNA needs you to ESCORT his TROOPS back to the REBEL BASE');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/quest_details.stf', '42', 'rebel_hideout_41', 'GENERAL DODONNA needs you to DESTROY the GENERATOR that is powering the TIE BOMBER FACTORY');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/quest_details.stf', '43', 'rebel_hideout_42', 'GENERAL DODONNA needs you to DELIVER the INFORMATION to the PILOT who will take it to Mon Mothma');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/quest_details.stf', '44', 'rebel_hideout_43', 'GENERAL DODONNA needs you to DELIVER the INFORMATION to LUKE SKYWALKER');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/quest_details.stf', '45', 'rebel_hideout_44', 'LUKE needs you to ESCORT the ARCHAEOLOGICAL SUPERVISOR back to him');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/quest_details.stf', '46', 'rebel_hideout_45', 'LUKE needs you to help him FIND the CREATURE that took a bite out of his droid.  You may need to KILL the creature to find the PART');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/quest_details.stf', '47', 'rebel_hideout_46', 'LUKE needs you to ESCORT the missing archeologist back');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/quest_details.stf', '48', 'rebel_hideout_47', 'LUKE needs you to RETRIEVE the BOX that he was looking at earlier');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/quest_details.stf', '49', 'rebel_hideout_48', 'LUKE needs you to DELIVER the BOX to someone he knows on YAVIN');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/warning.stf', '1', 'foyer1', 'Access Denied. You must be a member of the Rebel Alliance to enter.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/warning.stf', '2', 'dodonna', 'You cannot enter here until you have completed Mon Mothma\'s tasks.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/warning.stf', '3', 'luke', 'You cannot enter here until you have completed Jan Dodonna\'s tasks.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '1', 'npc_1_1', 'So, you\'re the one that Qualdo told me about, eh? I admire your commitment to our cause. While my X-Wing is being repaired from a little scuffle I had with a couple of Interceptors, I figure I\'ll help out the Princess with recruitment. I\'m supposed to meet up with a spokesman from a group coming over. Can you do this for me?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '2', 'npc_1_2', 'Great... we\'ve got some good news and some bad news. The good news is that they\'ve all decided to come over to the Alliance. The bad news is that one of their number was a bit... well, outspoken about her views on the matter. They\'ve told me that she\'ll likely try to contact the Empire. I need you to go talk to her if you could?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '3', 'npc_1_3', 'I\'m glad you showed up. My wingmates have keyed us in on some odd Imperial activity. It seems that rather than destroying the remains of the decoy Dantooine base, they\'re shipping the power generators off planet and bringing them here. This isn\'t the way the Empire does things, so we need to find out how much they know. Can you help?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '5', 'npc_2_1', 'Thanks a lot, friend. I\'d do this myself, but I need to make sure that the repairs go right on my X-Wing. All I need you to do is bring this confirmation letter to a spokesman for a group of people I\'m going to meet with. They want to hear from me firsthand about the Death Star. After they hear my story, I\'m sure they\'ll surely help the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '6', 'npc_2_2', 'From what they tell me, she likes to take long walks out in the wilderness. I\'m hoping she\'s not trying to contact the Empire as we speak. Either way, go out there and talk to her to convince her not to reveal too much. I just hope she listens to reason, rather than trying to use a blaster.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '7', 'npc_2_3', 'Okay, from what the Squadron was able to figure out, the General, I believe his name is \'Graise,\' should be arriving via shuttle in a remote location. I\'m pretty certain you won\'t have too much resistance from him, aside from his personal guard. Bring him back alive, if you can, but if he resists use whatever force you deem necessary. If you have to terminate him, make sure you bring back any documents you find.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '8', 'npc_3_1', 'I guess I can find someone else to do this, then. I just have to oversee that the Mechanics fix my modifications to my X-Wing correctly.  I don\'t want another Kessel Run incident if you know what I mean.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '9', 'npc_3_2', 'Yeah, I\'m not one for talking too much, either. I\'ll see if I can get Leia to talk to her then. Leia can convince anybody of anything! ');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '10', 'npc_3_3', 'Oh, okay, I understand. I\'ll check with Leia to see who we have that can help. Well, good luck with whatever you\'re doing.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '12', 'npc_4_1', 'Well, I was there, but it wasn\'t me who blew it up. Luke\'s the guy you want to talk to about that. Darn good pilot, if you ask me. But, yeah, I was there flying beside him when it went up in smoke. Maybe someday when we stop the Empire I\'ll tell you about it, eh? So, can you do this for me?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '13', 'npc_4_2', 'I don\'t think it will be too much of a problem if I let you know, considering they are working with us now. These were some Union leaders for the Corellian Engineering Company, only the largest maker of starships here on Corellia. They don\'t like the Empire\'s \"new ideas\" regarding labor laws, so some of them chose to help us.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '14', 'npc_4_3', 'Oh, this will be a lot easier than it sounds. This General was promoted after he destroyed our Dantooine base... the one we abandoned a while back. Therefore, he\'s not too competent. I expect him to have only a few guards about him, rather than a squad of Stormtroopers like a smart General would have. This is an opportunity we can\'t pass up.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '15', 'npc_reward_1', 'So they were fine with the time and place, then? Okay, that\'s good. Well, now I\'ve got to brush up on my public speaking skills. Normally, I\'d have Leia or Luke do this, but they specifically requested me. Ha! Wait till Luke hears this one. Anyways, thank you for doing that.  Oh, and here\'s a little something for your assistance.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '16', 'npc_reward_2', 'Well, that\'s a shame... I\'ll break the news to her former associates that she was about to sell them out.  Well, there\'s some people we just can\'t reach, but at least we only use force as a last resort. Sorry to have to put you through all this, friend. Well, thank you for your help.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '17', 'npc_reward_3', 'Well... it\'s a shame you weren\'t able to bring him in. I don\'t think the Empire will be too happy when they find out about this. Then again, considering how inept he was at his duties, we may have just helped the Empire by removing him. Well, at least you were able to recover these documents, they should give us a great deal of info. Thanks for your help!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '18', 'player_1_1', 'Not a problem! I\'ll do it.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '19', 'player_1_2', 'Sure, I\'ll talk to her.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '20', 'player_1_3', 'Sure, I can help.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '21', 'player_2_1', 'Sorry, I can\'t do this right now.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '22', 'player_2_2', 'I\'m not the talking type, sorry.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '23', 'player_2_3', 'Sorry, Wedge, but I\'m a bit preoccupied right now.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '24', 'player_3_1', 'Are you the same Wedge who blew up the Death Star?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '25', 'player_3_2', 'Who are these people that joined our cause?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '26', 'player_3_3', 'How do you expect me to get ahold of the General?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '27', 'player_reset_1', 'Sorry, but something came up. I can\'t do this anymore.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '28', 'player_sorry_1', 'No, not yet.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '29', 'npc_backtowork_1', 'Not a problem. If you could try getting it to them by today, though, it would be greatly appreciated.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '30', 'npc_reset_1', 'I guess I can find someone else to do this, then. I just have to oversee that the Mechanics fix my modifications to my X-Wing correctly.  I don\'t want another Kessel Run incident, if you know what I mean.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '31', 'cantwork', 'Hey, you\'re the one that Qualdo told me about, aren\'t you? I just want to say thank you for what you\'ve done for us so far. When you\'ve got the time, maybe we can work together, eh?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '32', 'dontknowyou_1', 'Oh, you\'re not? Sorry about that.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '33', 'npc_work_1', 'Were you able to deliver the letter yet?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '34', 'npc_work_2', 'Were you able to find her?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '35', 'npc_work_3', 'Do you have the General in your custody?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '36', 'npc_breech_1', 'Hello! You must be the person that was sent by a \'friend\', right?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '37', 'npc_breech_2', 'You can\'t stop me! The Empire will pay a lot for this information! Die!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '38', 'npc_breech_3', 'How dare you! I am an Imperial General! Arrest this Rebel!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '39', 'notit', 'Umm... I thought you were supposed to bring me a location where we would meet Wedge.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '42', 'npc_backtowork_2', 'Okay, but try to find her soon. You need to stop her from going to the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '43', 'npc_backtowork_3', 'You might want to pick up the pace before he has reinforcements show up. If that happens, you might not be able to get to him anymore.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '44', 'npc_reset_2', 'Yeah, I\'m not one for talking too much, either. I\'ll see if I can get Leia to talk to her then. Leia can convince anybody of anything!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '45', 'npc_reset_3', 'Oh, okay, I understand. I\'ll check with Leia to see who we have that can help. Well, good luck with whatever you\'re doing.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '46', 'player_reset_2', 'Wedge, I\'m scared to talk to people. I can\'t do this.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '47', 'player_reset_3', 'Wedge, something came up. I can\'t do this anymore.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '48', 'player_sorry_2', 'No, not yet.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '49', 'player_sorry_3', 'No, not yet.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '52', 'npc_takeme_3', 'I cannot believe you would have the audacity to arrest a person of my rank! I demand you take me to your leader at once! Oh... that\'s what you already planned on doing? Oh my...');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '53', 'dontknowyou_2', 'Oh, sorry, I thought you were someone else! Nevermind!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '54', 'dontknowyou_3', 'Sorry, I was practicing some lines from my favorite play.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '56', 'dontknowyou_5', 'You\'re not here for the keys? Oh, sorry about that.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '61', 'npc_1_4', 'It seems this is part of a large construction project the Empire has started.  From what we know already, the Empire is retro-engineering all of the power generators and shipping them offplanet somewhere. We need to take out the man in charge of this endeavor, an Imperial General by the name of Boize.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '62', 'npc_1_5', 'According to the documents you recovered from General Boize, he was overseeing a storehouse here on Corellia that contains a number of confiscated starcraft and starcraft parts. You need to persuade the Quartermaster in charge of the place to let you in, if you know what I mean.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '64', 'npc_2_4', 'And that\'s why I asked you. I know I can rely on you for something like this. All you need to do is take out General Boize. Go ahead and gather together whatever you need, then get rid of him!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '65', 'npc_2_5', 'I knew I could count on you. Here is where the Quartermaster should be able to be found. He\'s going to have a unique code-cylinder on him that will open the storehouse. I doubt he\'s going to just hand it over to you, so you may have to use the business end of a weapon to convince him. You might as well ask him first, though.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '67', 'npc_3_4', 'Well, I think you can do it, friend. If you feel you can\'t, I understand.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '68', 'npc_3_5', 'Oh, okay, I understand. I\'ll check with Leia\'s astromech and protocol droid to see who we have that can help. Well, good luck with whatever you\'re doing.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '70', 'npc_4_4', 'No, it seems that no one is privy to that information. All we know was that someone was assigned to oversee the transportation of the generators. He got to his position by being a yes-man rather than by asking too many questions. Even still, this is still important information.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '71', 'npc_4_5', 'He\'s the person who\'s in charge of all things being checked in and out of that building. Even though most of the pilots for the Empire are well trained, you still have some that want to hop in an X-Wing to try one out. That\'s why the Quartermaster is the only one who has the keys to the place.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '73', 'npc_backtowork_4', 'Okay, let me know when you taken care of the General, then.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '74', 'npc_backtowork_5', 'Make sure you\'re well prepared for his guards before you go running out there!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '77', 'npc_breech_5', 'You\'ll get this code-cylinder when you pry it from my cold, dead hands!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '79', 'npc_reset_4', 'Well, I think you can do it, friend. If you feel you can\'t, I understand.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '80', 'npc_reset_5', 'Oh, okay, I understand. I\'ll check with Leia\'s astromech and protocol droid to see who we have that can help. Well, good luck with whatever you\'re doing.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '82', 'npc_reward_4', 'So the general is out of commision, then? Good! Now we can start recovering these generators rather than having to purchase more. They can get pretty expensive from what I\'ve been told. I\'ll contact my wingmates to recover any more of them already in transit. You\'ve done a good job!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '83', 'npc_reward_5', 'Well, I\'ll be! With this code-cylinder, we\'ll be able to recover a number of ships to rebuild our fleet. It\'s a small step, but every bit counts. You\'ve been a great help, friend! I was telling Leia about you, and she\'s asked me to send you over to her when you got back. Once again, thank you!  And here, a rebel flight suit all for yourself.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '88', 'npc_work_4', 'Has the general been eliminated?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '89', 'npc_work_5', 'So, do you have the cylinder?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '91', 'player_1_4', 'I\'ll do this job for you, Wedge.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '92', 'player_1_5', 'Yeah, I can do this for the Alliance.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '94', 'player_2_4', 'Whoa. That\'s beyond my capabilities.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '95', 'player_2_5', 'Sorry, but I\'m a bit preoccupied right now.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '97', 'player_3_4', 'Did we find out what the project was?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '98', 'player_3_5', 'Who\'s the Quartermaster?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '100', 'player_reset_4', 'I\'m sorry, but this is too much for me.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '101', 'player_reset_5', 'I can\'t take him on myself, Wedge.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '103', 'player_sorry_4', 'No, not yet.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '104', 'player_sorry_5', 'No, not yet.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '106', 'npc_smuggle_1', 'One second... let me check this first... Oh, okay, we know where that is. Okay, tell Antilles that we\'ll meet him there.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '111', 'noloc_1', 'I seem to have forgotten where I was supposed to meet him. Let me check my message again, then get back to me, okay?');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '112', 'noloc_2', 'Let me check with one of the guys to see where she might likely be. Check back with me shortly.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '113', 'noloc_3', 'Let me check with Rogue Squadron to find out where he\'s going to land. Check back with me in a bit.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '114', 'noloc_4', 'Let me check his report so that I can point you to the right location. Check back with me in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '115', 'noloc_5', 'I\'ll get you the location of the storehouse in a moment. Check back with me in a few minutes.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '117', 'otherescort', 'I\'m not the person you\'re looking for. Move along.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '118', 'gotowork', 'I think you should be getting to work.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '119', 'npc_failure_1', 'You say he wasn\'t there when you showed up? Hrm... they must\'ve gotten cold feet at the last minute, I guess.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '120', 'npc_failure_2', 'You weren\'t able to find her? I hope she didn\'t reveal to the Empire what her associates were doing.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '121', 'npc_failure_3', 'He died in the crossfire? How did you let that happen? Oh well... I guess I\'ll go explain this one to Leia.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '122', 'npc_failure_4', 'You weren\'t able to take out the general? Hmmm... well, we may need to send a special team out there to do it, then.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '123', 'npc_failure_5', 'He didn\'t have the key on him? I can\'t believe that!');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '124', 'next', 'I think Leia would like to speak with you.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '125', 'notyet', 'You should see if Qual\'do needs some help.');
INSERT INTO `client_strings` VALUES ('string/en/theme_park_rebel/wedge_antilles.stf', '126', 'npc_breech_4', 'You won\'t get away with this!');
INSERT INTO `client_strings` VALUES ('string/en/toadspeak.stf', '1', 'Opening', 'I\'m a conversationally experienced NPC.  What would you like to talk about?');
INSERT INTO `client_strings` VALUES ('string/en/toadspeak.stf', '2', 'jawas', 'What can you tell me about Jawas?');
INSERT INTO `client_strings` VALUES ('string/en/toadspeak.stf', '3', 'quest', 'Can you tell me where I can find a quest?');
INSERT INTO `client_strings` VALUES ('string/en/toadspeak.stf', '4', 'leia', 'Is Leia really that hot?');
INSERT INTO `client_strings` VALUES ('string/en/toadspeak.stf', '5', 'jawa answer', 'Well, I can tell you this, they sell scrap robots they find in the desert, they hate basketball, and they do not have a concept for the number 7.');
INSERT INTO `client_strings` VALUES ('string/en/toadspeak.stf', '6', 'scrap', 'What is a scrap robot?');
INSERT INTO `client_strings` VALUES ('string/en/toadspeak.stf', '7', 'seven', 'Um...number 7?...What?!?');
INSERT INTO `client_strings` VALUES ('string/en/toadspeak.stf', '8', 'quest answer', 'Depends on what kind of quest you are looking for.  The Baker has zombies in his basement, the empire needs an NWAs Greatest Hits CD, and the princess needs her shoe repaired.');
INSERT INTO `client_strings` VALUES ('string/en/toadspeak.stf', '9', 'zombie', 'Zombies sound cool.  Where can I find the baker?');
INSERT INTO `client_strings` VALUES ('string/en/toadspeak.stf', '10', 'nwa', 'I think I have that CD.  Who should I give it to?');
INSERT INTO `client_strings` VALUES ('string/en/toadspeak.stf', '11', 'shoe', 'I trained as a shoe repairman!  How lucky is that?');
INSERT INTO `client_strings` VALUES ('string/en/toadspeak.stf', '12', 'leia answer', 'To be honest with you, I have always thought she was kind of uptight.  But man does she look good in that slave outfit.');
INSERT INTO `client_strings` VALUES ('string/en/toadspeak.stf', '13', 'Han', 'Is she in love with Han Solo?');
INSERT INTO `client_strings` VALUES ('string/en/toadspeak.stf', '14', 'luke', 'Is she Lukes sister?');
INSERT INTO `client_strings` VALUES ('string/en/toadspeak.stf', '15', 'slave', 'Slave outfit?');
INSERT INTO `client_strings` VALUES ('string/en/toadspeak.stf', '16', 'robot', 'Scrap robots are just robots that the Jawas found out in the desert and basically fixed up so they could sell them cheap.  Well my cell phone is ringing so I gotta go.');
INSERT INTO `client_strings` VALUES ('string/en/toadspeak.stf', '17', 'tall', 'Probably because they are short.  Also, they do not really like to play defense and the zone defense rules confuse them.  Well, I am off to get a smoothie.');
INSERT INTO `client_strings` VALUES ('string/en/toadspeak.stf', '18', 'dumb', 'It is inexplicable.  You say, is it just one less than 8\' and they scratch their heads.  If you actually have 7 things and try to make them count them, they explode.  Well, I have a meeting now, see you later.');
INSERT INTO `client_strings` VALUES ('string/en/toadspeak.stf', '19', 'baker', 'The Baker is over by the Starport, just around the corner from the Arena.  He should be able to tell you more when you get there.');
INSERT INTO `client_strings` VALUES ('string/en/toadspeak.stf', '20', 'CD', 'Great, just take the CD to Admiral Cube at the All-Star Cantina.  He will pay handsomely for it.');
INSERT INTO `client_strings` VALUES ('string/en/toadspeak.stf', '21', 'nu shooz', 'Sounds pretty lucky to me.  You can find her on Naboo hanging around the palace, limping casually from place to place and trying not to fall over.');
INSERT INTO `client_strings` VALUES ('string/en/toadspeak.stf', '22', 'wookie', 'Yeah, but fear not.  I think he might be, you know, in love with the Wookiee.');
INSERT INTO `client_strings` VALUES ('string/en/toadspeak.stf', '23', 'brother', 'Not at this point in our timeline.  We find that out in Jedi.');
INSERT INTO `client_strings` VALUES ('string/en/toadspeak.stf', '24', 'outfit', 'Oh, sorry, that is in the future.  You see I am psychic.  But trust me, when she is chained to the big slug and Han is blind and Luke starts doing backflips you will see what I mean.');
INSERT INTO `client_strings` VALUES ('string/en/toadspeak.stf', '26', 'hoop', 'why do they not like basketball?');
INSERT INTO `client_strings` VALUES ('string/en/tool/customizer.stf', '1', 'mnu_customize', 'Customize');
INSERT INTO `client_strings` VALUES ('string/en/tool/customizer.stf', '2', 'opt_color_frame', 'Color Frame');
INSERT INTO `client_strings` VALUES ('string/en/tool/customizer.stf', '3', 'opt_color_trim', 'Color Trim');
INSERT INTO `client_strings` VALUES ('string/en/tool/customizer.stf', '4', 'droid_pet_only', 'You may only use this tool to customize droid pets.');
INSERT INTO `client_strings` VALUES ('string/en/tool/customizer.stf', '5', 'need_consent', 'You require consent to customize another player\'s droid.');
INSERT INTO `client_strings` VALUES ('string/en/tool/customizer.stf', '6', 'no_data', 'The system was unable to load customization data for your target.');
INSERT INTO `client_strings` VALUES ('string/en/tool/customizer.stf', '7', 'prose_no_customization', '%TT does not have any customization options available.');
INSERT INTO `client_strings` VALUES ('string/en/tool/customizer.stf', '8', 'var_select_prompt', 'Please select the customization action you would like to take.');
INSERT INTO `client_strings` VALUES ('string/en/tool/customizer.stf', '9', 'prose_cancelled_owner', '%TU has cancelled customization operations for %TT');
INSERT INTO `client_strings` VALUES ('string/en/tool/customizer.stf', '10', 'prose_complete_owner', '%TU has completed customizing %TT.');
INSERT INTO `client_strings` VALUES ('string/en/tool/customizer.stf', '11', 'prose_complete', 'You have completed customizations for %TT.');
INSERT INTO `client_strings` VALUES ('string/en/tool/customizer.stf', '12', 'prose_cancelled', 'You cancel customization operations for %TT.');
INSERT INTO `client_strings` VALUES ('string/en/tool/customizer.stf', '13', 'prose_fail', 'You have failed customization operations on %TT.');
INSERT INTO `client_strings` VALUES ('string/en/tool/customizer.stf', '14', 'prose_fail_owner', '%TU have failed customization operations on %TT.');
INSERT INTO `client_strings` VALUES ('string/en/tool/customizer.stf', '15', 'vehicle_only', 'You may only use this tool to customize vehicles.');
INSERT INTO `client_strings` VALUES ('string/en/tool/customizer.stf', '16', 'need_consent_vehicle', 'You require consent to customize another player\'s vehicle.');
INSERT INTO `client_strings` VALUES ('string/en/tool/med_tool.stf', '15', 'must_have_medikit', 'You must have a medikit in your inventory to perform this action.');
INSERT INTO `client_strings` VALUES ('string/en/tool/med_tool.stf', '16', 'not_that_attribute', 'You cannot heal wounds on that attribute.');
INSERT INTO `client_strings` VALUES ('string/en/tool/med_tool.stf', '17', 'no_wounds', 'You have no applicable wounds to heal.');
INSERT INTO `client_strings` VALUES ('string/en/tool/med_tool.stf', '18', 'has_no_wounds', 'has no applicable wounds to heal.');
INSERT INTO `client_strings` VALUES ('string/en/tool/med_tool.stf', '19', 'not_enough_mind', 'You do not have enough mind to do that.');
INSERT INTO `client_strings` VALUES ('string/en/tool/med_tool.stf', '20', 'menu_tenddamage', 'Heal Damage');
INSERT INTO `client_strings` VALUES ('string/en/tool/med_tool.stf', '21', 'menu_tendwound', 'Heal Wounds');
INSERT INTO `client_strings` VALUES ('string/en/tool/med_tool.stf', '22', 'mnu_diagnose', 'Diagnose Wounds');
INSERT INTO `client_strings` VALUES ('string/en/tool/med_tool.stf', '23', 'other_players_only', 'You must have a player targeted for you to be able to diagnose their wound and battle-fatigue levels.');
INSERT INTO `client_strings` VALUES ('string/en/tool/med_tool.stf', '24', 'battle_fatigue', 'Battle Fatigue');
INSERT INTO `client_strings` VALUES ('string/en/trap/trap.stf', '1', 'sys_not_ready', 'The trap is not ready to be used again.');
INSERT INTO `client_strings` VALUES ('string/en/trap/trap.stf', '2', 'sys_miss', 'Your trap failed to affect the target.');
INSERT INTO `client_strings` VALUES ('string/en/trap/trap.stf', '3', 'sys_creatures_only', 'The trap can only affect creatures!');
INSERT INTO `client_strings` VALUES ('string/en/trap/trap.stf', '4', 'trap_tranq_dart_effect', '%TT slows noticeably as the tranquilizer takes effect.');
INSERT INTO `client_strings` VALUES ('string/en/trap/trap.stf', '5', 'trap_spur_effect', '%TT is blinded by the painful spur!');
INSERT INTO `client_strings` VALUES ('string/en/trap/trap.stf', '6', 'trap_noise_maker_effect', '%TT is stunned by the piercing noise!');
INSERT INTO `client_strings` VALUES ('string/en/trap/trap.stf', '7', 'trap_webber_effect', '%TT has become entangled in the sticky mesh.');
INSERT INTO `client_strings` VALUES ('string/en/trap/trap.stf', '8', 'sys_cannot_throw', 'You cannot use a trap right now.');
INSERT INTO `client_strings` VALUES ('string/en/trap/trap.stf', '9', 'trap_no_skill', 'You do not have the skill to use traps.');
INSERT INTO `client_strings` VALUES ('string/en/trap/trap.stf', '10', 'trap_no_skill_this', 'Your trapping skill is too low to use this trap.');
INSERT INTO `client_strings` VALUES ('string/en/trap/trap.stf', '11', 'trap_drowsy_effect', 'The dart\'s poison takes effect on %TT!');
INSERT INTO `client_strings` VALUES ('string/en/trap/trap.stf', '12', 'trap_drowsy_effect_no', 'The trap hits, but the poison has no effect on %TT.');
INSERT INTO `client_strings` VALUES ('string/en/trap/trap.stf', '13', 'trap_spur_effect_no', 'The spur hits, but %TT ignores it in a blind rage!');
INSERT INTO `client_strings` VALUES ('string/en/trap/trap.stf', '14', 'trap_noise_maker_effect_no', '%TT is already too stunned to be affected by the noise maker.');
INSERT INTO `client_strings` VALUES ('string/en/trap/trap.stf', '15', 'trap_tranq_dart_effect_no', 'The tranquilizing poison has no evident effect on %TT.');
INSERT INTO `client_strings` VALUES ('string/en/trap/trap.stf', '16', 'trap_webber_effect_no', '%TT does not appear to be affected by the adhesive.');
INSERT INTO `client_strings` VALUES ('string/en/trap/trap.stf', '17', 'melee_def_1_on', '! Melee Defense Down !');
INSERT INTO `client_strings` VALUES ('string/en/trap/trap.stf', '18', 'melee_def_1_off', '! Melee Defense Up !');
INSERT INTO `client_strings` VALUES ('string/en/trap/trap.stf', '19', 'trap_melee_def_1_effect', '%TT becomes vulnerable to melee attacks!');
INSERT INTO `client_strings` VALUES ('string/en/trap/trap.stf', '20', 'trap_ranged_def_1_effect', '%TT becomes vulnerable to ranged attacks!');
INSERT INTO `client_strings` VALUES ('string/en/trap/trap.stf', '21', 'ranged_def_1_on', '! Ranged Defense Down !');
INSERT INTO `client_strings` VALUES ('string/en/trap/trap.stf', '22', 'ranged_def_1_off', '! Ranged Defense Up !');
INSERT INTO `client_strings` VALUES ('string/en/trap/trap.stf', '23', 'state_def_1_on', '! State Defense Down !');
INSERT INTO `client_strings` VALUES ('string/en/trap/trap.stf', '24', 'state_def_1_off', '! State Defense Up !');
INSERT INTO `client_strings` VALUES ('string/en/trap/trap.stf', '25', 'melee_ranged_def_1_on', '! Combat Defense Down !');
INSERT INTO `client_strings` VALUES ('string/en/trap/trap.stf', '26', 'melee_ranged_def_1_off', '! Combat Defense Up !');
INSERT INTO `client_strings` VALUES ('string/en/trap/trap.stf', '27', 'trap_melee_ranged_def_1_effect', '%TT becomes more vulnerable to attacks!');
INSERT INTO `client_strings` VALUES ('string/en/trap/trap.stf', '28', 'trap_state_def_1_effect', '%TT becomes vulnerable to state effects!');
INSERT INTO `client_strings` VALUES ('string/en/trap/trap.stf', '29', 'trap_flash_bomb_effect', 'The flash bomb bursts, blinding nearby enemies!');
INSERT INTO `client_strings` VALUES ('string/en/trap/trap.stf', '30', 'trap_sonic_pulse_effect', 'The sonic pulse trap unleashes a piercing screech, stunning nearby enemies!');
INSERT INTO `client_strings` VALUES ('string/en/trap/trap.stf', '31', 'sys_no_pets', 'That creature is not an enemy and cannot be trapped.');
INSERT INTO `client_strings` VALUES ('string/en/trap/trap.stf', '32', 'sys_trapdrop_too_close', 'You can\'t deploy a trap so close to a creature.');
INSERT INTO `client_strings` VALUES ('string/en/trap/trap.stf', '33', 'sys_traplay_cancel', 'You stop preparing the trap.');
INSERT INTO `client_strings` VALUES ('string/en/trap/trap.stf', '34', 'sys_traplay_cancel_attack', 'The combat distracts you from laying the trap!');
INSERT INTO `client_strings` VALUES ('string/en/trap/trap.stf', '35', 'sys_trapdrop_wait_deploy', 'You must wait %DI second(s) before you can try to deploy this trap again.');
INSERT INTO `client_strings` VALUES ('string/en/trap/trap.stf', '36', 'sys_trapdrop_start', 'You begin to set the trap.');
INSERT INTO `client_strings` VALUES ('string/en/trap/trap.stf', '37', 'sys_trapdrop_middle', 'You continue to work on the trap...');
INSERT INTO `client_strings` VALUES ('string/en/trap/trap.stf', '38', 'sys_trapdrop_end', 'You have successfully deployed the trap!');
INSERT INTO `client_strings` VALUES ('string/en/trap/trap.stf', '39', 'clawtrap_effect', 'The claw trap snaps shut!');
INSERT INTO `client_strings` VALUES ('string/en/trap/trap.stf', '40', 'clawtrap_struggle', 'The creature stuggles to free itself.');
INSERT INTO `client_strings` VALUES ('string/en/trap/trap.stf', '41', 'sys_traplay_count', 'You may only have 3 placed ranger traps at a time!');
INSERT INTO `client_strings` VALUES ('string/en/trap/trap.stf', '42', 'sys_disarm', 'Disarm');
INSERT INTO `client_strings` VALUES ('string/en/trap/trap.stf', '43', 'sys_disarm_trap', 'You carefully disarm and discard the trap.');
INSERT INTO `client_strings` VALUES ('string/en/trap/trap.stf', '44', 'clawtrap_break', 'The creature has broken free!');
INSERT INTO `client_strings` VALUES ('string/en/trap/trap.stf', '45', 'tripwire_effect', 'The tripwire snaps tight!');
INSERT INTO `client_strings` VALUES ('string/en/trap/trap.stf', '46', 'oof', 'Oof!');
INSERT INTO `client_strings` VALUES ('string/en/trap/trap.stf', '47', 'what_the', 'What the...?');
INSERT INTO `client_strings` VALUES ('string/en/trap/trap.stf', '48', 'dottrap_effect', 'A hidden trap explodes spraying a foul gas into the air!');
INSERT INTO `client_strings` VALUES ('string/en/travel.stf', '1', 'board_shuttle', 'Board Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/travel.stf', '2', 'travel_options', 'Purchase Travel Ticket');
INSERT INTO `client_strings` VALUES ('string/en/travel.stf', '3', 'base_ticket', 'Travel Ticket');
INSERT INTO `client_strings` VALUES ('string/en/travel.stf', '4', 'travel_shuttle', 'Transport Shuttle');
INSERT INTO `client_strings` VALUES ('string/en/travel.stf', '5', 'purchase_ticket', 'Purchase Travel Ticket');
INSERT INTO `client_strings` VALUES ('string/en/travel.stf', '6', 'next_shuttle', 'Shuttle Status');
INSERT INTO `client_strings` VALUES ('string/en/travel.stf', '7', 'ticket_collector_name', 'Ticket Collector');
INSERT INTO `client_strings` VALUES ('string/en/travel.stf', '8', 'travel_shuttle_d', 'This shuttle can take you to other planets.');
INSERT INTO `client_strings` VALUES ('string/en/travel.stf', '9', 'base_ticket_d', 'This is a ticket for a transport shuttle flight.');
INSERT INTO `client_strings` VALUES ('string/en/travel.stf', '10', 'travel_tatooine', 'Travel to Tatooine');
INSERT INTO `client_strings` VALUES ('string/en/travel.stf', '11', 'travel_naboo', 'Travel to Naboo');
INSERT INTO `client_strings` VALUES ('string/en/travel.stf', '12', 'travel_corellia', 'Travel to Corellia');
INSERT INTO `client_strings` VALUES ('string/en/travel.stf', '13', 'travel_lok', 'Travel to Lok');
INSERT INTO `client_strings` VALUES ('string/en/travel.stf', '14', 'travel_dantooine', 'Travel to Dantooine');
INSERT INTO `client_strings` VALUES ('string/en/travel.stf', '15', 'travel_talus', 'Travel to Talus');
INSERT INTO `client_strings` VALUES ('string/en/travel.stf', '16', 'travel_rori', 'Travel to Rori');
INSERT INTO `client_strings` VALUES ('string/en/travel.stf', '17', 'no_location_found', 'No location was found for your destination. ');
INSERT INTO `client_strings` VALUES ('string/en/travel.stf', '18', 'already_there', 'You are already on that planet.');
INSERT INTO `client_strings` VALUES ('string/en/travel.stf', '19', 'too_far', 'You are too far from the terminal to purchase a ticket.');
INSERT INTO `client_strings` VALUES ('string/en/travel.stf', '20', 'short_funds', 'You do not have enough money to complete the ticket purchase.');
INSERT INTO `client_strings` VALUES ('string/en/travel.stf', '21', 'no_pets', 'You cannot board the shuttle when you are riding on a pet or in a vehicle.');
INSERT INTO `client_strings` VALUES ('string/en/travel.stf', '22', 'boarding_too_far', 'You are too far from the shuttle to board.');
INSERT INTO `client_strings` VALUES ('string/en/travel.stf', '23', 'shuttle_not_available', 'The shuttle is not available at this time.');
INSERT INTO `client_strings` VALUES ('string/en/travel.stf', '24', 'route_not_available', 'This ticket\'s route is no longer available');
INSERT INTO `client_strings` VALUES ('string/en/travel.stf', '25', 'boarding_what_shuttle', 'What shuttle do you wish to board?');
INSERT INTO `client_strings` VALUES ('string/en/travel.stf', '26', 'no_ticket', 'You do not have a ticket to board this shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/travel.stf', '27', 'boarding_ticket_selection', 'You must select a ticket to use before boarding.');
INSERT INTO `client_strings` VALUES ('string/en/travel.stf', '28', 'wrong_shuttle', 'This ticket is not valid for the given shuttle.');
INSERT INTO `client_strings` VALUES ('string/en/travel.stf', '29', 'ticket_purchase_complete', 'Ticket purchase complete');
INSERT INTO `client_strings` VALUES ('string/en/travel/travel.stf', '1', 'ticket_purchase_complete', 'Ticket purchase complete.');
INSERT INTO `client_strings` VALUES ('string/en/treasure_map/treasure_map.stf', '1', 'decode', 'Decode');
INSERT INTO `client_strings` VALUES ('string/en/treasure_map/treasure_map.stf', '2', 'use', 'Read');
INSERT INTO `client_strings` VALUES ('string/en/treasure_map/treasure_map.stf', '3', 'decoded_name', 'Treasure Map');
INSERT INTO `client_strings` VALUES ('string/en/treasure_map/treasure_map.stf', '4', 'sys_no_regions', 'Major Error: No regions at your current location.  Destroying treasure map!');
INSERT INTO `client_strings` VALUES ('string/en/treasure_map/treasure_map.stf', '5', 'sys_store_waypoint', 'A waypoint to the treasure coordinates has been added to your datapad.');
INSERT INTO `client_strings` VALUES ('string/en/treasure_map/treasure_map.stf', '6', 'store_waypoint', 'Store Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/treasure_map/treasure_map.stf', '7', 'sys_decode_success', 'You have broken the data encryption and can now read the disk!');
INSERT INTO `client_strings` VALUES ('string/en/treasure_map/treasure_map.stf', '8', 'close', 'Close');
INSERT INTO `client_strings` VALUES ('string/en/treasure_map/treasure_map.stf', '9', 'waypoint_name', 'Buried Treasure');
INSERT INTO `client_strings` VALUES ('string/en/treasure_map/treasure_map.stf', '10', 'search_area', 'Search Area');
INSERT INTO `client_strings` VALUES ('string/en/treasure_map/treasure_map.stf', '11', 'sys_dist_here', 'You begin extracting the treasure.');
INSERT INTO `client_strings` VALUES ('string/en/treasure_map/treasure_map.stf', '12', 'sys_dist_near', 'You are not close enough to extract the treasure.');
INSERT INTO `client_strings` VALUES ('string/en/treasure_map/treasure_map.stf', '13', 'sys_dist_far', 'You aren\'t close enough to extract the treasure.');
INSERT INTO `client_strings` VALUES ('string/en/treasure_map/treasure_map.stf', '15', 'sys_waypoint_exists', 'A waypoint to this location already exists in your datapad.');
INSERT INTO `client_strings` VALUES ('string/en/treasure_map/treasure_map.stf', '16', 'text_pirate1', 'You have found the diary of a famous and dreaded pirate captain.  Among the many embellished tales of his adventures, you find information on the possible location of a buried treasure.\n\nYou may add a waypoint to this location by pressing the \'Store Waypoint\' button below.  Once you are near that waypoint, use the disk\'s \'Search Area\' option to pinpoint the exact location of the treasure.  After you have pinpointed the treasure\'s location, dig it up using the \'Extract Treasure\' option on the disk.');
INSERT INTO `client_strings` VALUES ('string/en/treasure_map/treasure_map.stf', '17', 'title_pirate1', 'Pirate Captain\'s Diary');
INSERT INTO `client_strings` VALUES ('string/en/treasure_map/treasure_map.stf', '18', 'text_pirate2', 'You have found the discarded logbook from a long since scuttled pirate ship.  The last entry refers to a location where the pirates may have buried their haul.\n\nYou may add a waypoint to this location by pressing the \'Store Waypoint\' button below.  Once you are near that waypoint, use the disk\'s \'Search Area\' option to pinpoint the exact location of the treasure.  After you have pinpointed the treasure\'s location, dig it up using the \'Extract Treasure\' option on the disk.');
INSERT INTO `client_strings` VALUES ('string/en/treasure_map/treasure_map.stf', '19', 'title_pirate2', 'Ancient Starship Log');
INSERT INTO `client_strings` VALUES ('string/en/treasure_map/treasure_map.stf', '20', 'text_bountyhunter1', 'The datadisk appears to contain the notes of a successful local bounty hunter.  Wedged between various questionable tips on the profession is a sidenote indicating the general location of the bounty hunter\'s equipment stash.\n\nYou may add a waypoint to this location by pressing the \'Store Waypoint\' button below.  Once you are near that waypoint, use the disk\'s \'Search Area\' option to pinpoint the exact location of the treasure.  After you have pinpointed the treasure\'s location, dig it up using the \'Extract Treasure\' option on the disk.');
INSERT INTO `client_strings` VALUES ('string/en/treasure_map/treasure_map.stf', '21', 'title_bountyhunter1', 'Bounty Hunter\'s Notes');
INSERT INTO `client_strings` VALUES ('string/en/treasure_map/treasure_map.stf', '22', 'sys_not_yours', 'That treasure chest doesn\'t belong to you.');
INSERT INTO `client_strings` VALUES ('string/en/treasure_map/treasure_map.stf', '23', 'sys_success', 'You\'ve found the treasure!');
INSERT INTO `client_strings` VALUES ('string/en/treasure_map/treasure_map.stf', '24', 'sys_not_in_inv', 'The treasure map must be in your inventory for you to use it!');
INSERT INTO `client_strings` VALUES ('string/en/treasure_map/treasure_map.stf', '25', 'sys_no_waypoint', 'You must store the treasure\'s waypoint in your datapad before you can search for it!');
INSERT INTO `client_strings` VALUES ('string/en/treasure_map/treasure_map.stf', '26', 'sys_cant_pinpoint', 'You are not close enough to pinpoint the treasure\'s location.');
INSERT INTO `client_strings` VALUES ('string/en/treasure_map/treasure_map.stf', '27', 'sys_pinpoint', 'You have successfully pinpointed the exact location of the treasure!');
INSERT INTO `client_strings` VALUES ('string/en/treasure_map/treasure_map.stf', '28', 'extract_treasure', 'Extract Treasure');
INSERT INTO `client_strings` VALUES ('string/en/treasure_map/treasure_map.stf', '29', 'sys_found', 'You successfully extract the treasure!');
INSERT INTO `client_strings` VALUES ('string/en/treasure_map/treasure_map.stf', '30', 'sys_extracting', 'You are already extracting the treasure.');
INSERT INTO `client_strings` VALUES ('string/en/treasure_map/treasure_map.stf', '31', 'bark_bountyhunter1', 'Don\'t lay a finger on my loot, thief!');
INSERT INTO `client_strings` VALUES ('string/en/treasure_map/treasure_map.stf', '32', 'bark_pirate1', 'Someone\'s trying to get our loot!  Take \'im down boys!');
INSERT INTO `client_strings` VALUES ('string/en/treasure_map/treasure_map.stf', '33', 'bark_pirate2', 'Someone got to the treasure first, but we\'ll be the ones to leave with it.  Attack!');
INSERT INTO `client_strings` VALUES ('string/en/treasure_map/treasure_map.stf', '34', 'prose_loot_cash_split', 'You receive %DI credits from the chest as your share.');
INSERT INTO `client_strings` VALUES ('string/en/treasure_map/treasure_map.stf', '35', 'prose_loot_cash', 'You find %DI credits in the chest.');
INSERT INTO `client_strings` VALUES ('string/en/treasure_map/treasure_map.stf', '36', 'sys_start_pinpoint', 'You begin to scan for the exact location of the treasure.');
INSERT INTO `client_strings` VALUES ('string/en/treasure_map/treasure_map.stf', '37', 'sys_inventory_full', 'Unable to complete the action, your inventory is full.  Please free some inventory space and try again.');
INSERT INTO `client_strings` VALUES ('string/en/treasure_map/treasure_map.stf', '38', 'text_hedon1', 'This holo map was created by someone named \"Axkva Min\" several hundred years ago. The location it leads to is named \"Dragon Graveyard\".');
INSERT INTO `client_strings` VALUES ('string/en/treasure_map/treasure_map.stf', '39', 'title_hedon1', 'Ancient Holo Map');
INSERT INTO `client_strings` VALUES ('string/en/treasure_map/treasure_map.stf', '40', 'wrong_planet', 'The coordinates stored in the map data do not appear to be for this planet.');
INSERT INTO `client_strings` VALUES ('string/en/treasure_map/treasure_map.stf', '41', 'map_fail', 'This map is obviously a fake.');
INSERT INTO `client_strings` VALUES ('string/en/tt8l.stf', '1', 'tt8l1', 'State your business.\n');
INSERT INTO `client_strings` VALUES ('string/en/tt8l.stf', '2', 'tt8l2', 'There is more work to be done. Are you ready for another mission?\n');
INSERT INTO `client_strings` VALUES ('string/en/tt8l.stf', '3', 'tt8l3', 'Welcome back.\n');
INSERT INTO `client_strings` VALUES ('string/en/tt8l.stf', '4', 'tt8l4', 'Your kind is not welcome here.\n');
INSERT INTO `client_strings` VALUES ('string/en/tt8l.stf', '5', 'tt8l5', 'There are no appointments currently scheduled with Imperials. Go away.\n');
INSERT INTO `client_strings` VALUES ('string/en/tt8l.stf', '6', 'tt8l6', 'Bib Fortuna will speak with you now. Go find him inside.\n');
INSERT INTO `client_strings` VALUES ('string/en/tt8l.stf', '7', 'tt8l7', 'I want to see Jabba the Hutt.\n');
INSERT INTO `client_strings` VALUES ('string/en/tt8l.stf', '8', 'tt8l8', 'I am here to offer my services.\n');
INSERT INTO `client_strings` VALUES ('string/en/tt8l.stf', '9', 'tt8l9', 'What is this place?\n');
INSERT INTO `client_strings` VALUES ('string/en/tt8l.stf', '10', 'tt8l10', 'Who are you?\n');
INSERT INTO `client_strings` VALUES ('string/en/tt8l.stf', '11', 'tt8l11', 'Jabba does not mingle with tourists. Perform errands for Jabba and he may grant you audience.\n');
INSERT INTO `client_strings` VALUES ('string/en/tt8l.stf', '12', 'tt8l12', 'Wait here. I will inquire if anyone inside needs any minor tasks done by the likes of one such as yourself.\n');
INSERT INTO `client_strings` VALUES ('string/en/tt8l.stf', '13', 'tt8l13', 'This is the Palace of Jabba the Hutt.  It is not open to the public. If you wish to enter, you must first complete tasks for Jabba and his associates.\n');
INSERT INTO `client_strings` VALUES ('string/en/tt8l.stf', '14', 'tt8l14', 'I am TT-8L. If you wish audience with Jabba the Hutt, I can ask inside the palace if anyone has work for you.\n');
INSERT INTO `client_strings` VALUES ('string/en/tt8l.stf', '15', 'tt8l15', 'Yes. Give me a task.\n');
INSERT INTO `client_strings` VALUES ('string/en/tt8l.stf', '16', 'tt8l16', 'No. I am not ready, yet.\n');
INSERT INTO `client_strings` VALUES ('string/en/tt8l.stf', '17', 'tt8l17', 'Your task is as follows.\n');
INSERT INTO `client_strings` VALUES ('string/en/tt8l.stf', '18', 'tt8l18', 'Return when you are ready to serve Jabba.\n');
INSERT INTO `client_strings` VALUES ('string/en/turret_n.stf', '1', 'block_large', 'a large block turret');
INSERT INTO `client_strings` VALUES ('string/en/turret_n.stf', '2', 'block_medium', 'a medium block turret');
INSERT INTO `client_strings` VALUES ('string/en/turret_n.stf', '3', 'block_small', 'a small block turret');
INSERT INTO `client_strings` VALUES ('string/en/turret_n.stf', '4', 'dish_large', 'a large dish turret');
INSERT INTO `client_strings` VALUES ('string/en/turret_n.stf', '5', 'dish_medium', 'a medium dish turret');
INSERT INTO `client_strings` VALUES ('string/en/turret_n.stf', '6', 'dish_small', 'a small dish turret');
INSERT INTO `client_strings` VALUES ('string/en/turret_n.stf', '7', 'tower_large', 'a large tower turret');
INSERT INTO `client_strings` VALUES ('string/en/turret_n.stf', '8', 'tower_medium', 'a medium tower turret');
INSERT INTO `client_strings` VALUES ('string/en/turret_n.stf', '9', 'tower_small', 'a small tower turret');
INSERT INTO `client_strings` VALUES ('string/en/turret_n.stf', '10', 'base', 'a turret');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '1', 'abort', 'Abort');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '2', 'accept', 'Accept');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '3', 'action_no_target', 'No target specified.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '4', 'action_no_target_prose', '%TU: no target specified.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '5', 'action_target_not_found_id_prose', '%TU: target %TT not found.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '6', 'action_target_not_found_prose', 'Target %TT not found.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '7', 'active', 'Active');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '8', 'add', 'Add');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '9', 'advanced', 'Advanced');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '10', 'all', 'All');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '11', 'amount', 'Amount');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '12', 'apply', 'Apply');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '13', 'assemble', 'Assemble');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '14', 'attributes', 'Attributes');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '15', 'avatar_attrib_buffs', 'Modifiers');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '16', 'avatar_attrib_encumbrance', 'Encumbrance');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '17', 'avatar_attrib_name', 'Attribute');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '18', 'avatar_attrib_value', 'Value');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '19', 'avatar_attrib_value_bar', 'Value');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '20', 'avatar_attrib_wounds', 'Wounds');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '21', 'avatar_attribs', 'Attributes');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '22', 'avatar_available_avatars', 'Available Characters');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '23', 'avatar_character_info', 'Character Info');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '24', 'avatar_create', 'Create');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '25', 'avatar_create_confirm_cancel', 'If you go back, this avatar\'s configuration will be discarded. Do you want to discard this avatar?');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '26', 'avatar_delete', 'Delete');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '27', 'avatar_delete_confirm', 'To confirm the deletion of this character, please type the following in the area below, then press Ok:\n\n');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '28', 'avatar_delete_galaxy', 'Galaxy: ');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '29', 'avatar_delete_name', 'Name:   ');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '30', 'avatar_delete_notmatch', 'The text you entered is not an exact case-sensitive match as required. The character will not be deleted.\n\n');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '31', 'avatar_delete_request', 'You have requested to delete:\n\n');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '32', 'avatar_delete_required', 'Required: ');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '33', 'avatar_delete_you_entered', 'You entered: ');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '34', 'avatar_err_avatar_not_found', 'Sorry, but the game cannot load this character. This is most likely caused by a corrupted file in your game installation. Please contact Customer \nSupport for assistance, or try logging in a different character.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '35', 'avatar_err_name_space', 'Your name cannot contain spaces.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '36', 'avatar_err_no_species_selected', 'You need to select a species to create your character. Select one of the choices from the menu, then click on the NEXT button.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '37', 'avatar_err_surname_space', 'Your surname cannot contain spaces.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '38', 'avatar_height', 'Height');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '39', 'avatar_location_desc_unavailable', '\\#pcontrast1 All Travel Routes to this Starting Location are currently unavailable.\\#.\n\n');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '40', 'avatar_location_unavailable', 'All Travel Routes to that Starting Location are currently unavailable.\n\nPlease choose a different Starting Location.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '41', 'avatar_name', 'Name');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '42', 'avatar_prof_attribs', 'Attributes');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '43', 'avatar_prof_desc', 'Description');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '44', 'avatar_prof_skills', 'Skills');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '45', 'avatar_profession_attributes', 'attributes');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '46', 'avatar_profession_desc', 'desc');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '47', 'avatar_profession_skills', 'skills');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '48', 'avatar_select_location_failed', 'Your location selection cannot be satisfied at this time. All transports to the selected location are full.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '49', 'avatar_skills', 'Skills');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '50', 'avatar_summ_bio', 'Character Biography');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '51', 'avatar_summ_surname', 'Surname');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '52', 'avatar_table_galaxy', 'Galaxy');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '53', 'avatar_table_name', 'Name');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '54', 'avatar_table_online', 'Server');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '55', 'avatar_table_planet', 'Planet');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '56', 'avatar_wait_confirm_create', 'Creating your character... please wait.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '57', 'avatar_wait_random_name', 'Generating a name for your character... \nplease wait.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '58', 'avatar_wait_select_location', 'Please wait while the server processes your selection...');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '59', 'avatar_wait_transport_location', 'Waiting for the transport to arrive...');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '60', 'avatar_weight', 'Weight');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '61', 'back', 'Back');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '62', 'bandwidth', 'Bandwidth');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '63', 'bb_popup_horizontal', 'Make Button Bar Horizontal');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '64', 'bb_popup_vertical', 'Make Button Bar Vertical');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '65', 'bet_max', 'Bet Max');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '66', 'bet_one', 'Bet One');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '67', 'bind_conflict_cannot_overwrite_prose', '\"%TU\" conflicts with a binding for \"%TT\".\nYou cannot overwrite the binding for \"%TT\".');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '68', 'bind_conflict_prose', '\"%TU\" conflicts with a binding for \"%TT\".\nDo you want to overwrite this binding?');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '69', 'bind_delete_cannot_delete_prose', 'You cannot delete the binding for \"%TT\".');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '70', 'bind_key_prose', 'Enter a new keybinding for \'%TU\'.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '71', 'bug_chooserepeatable', 'Please choose a repeatable type.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '72', 'bug_choosetype', 'Please choose a bug type.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '73', 'bug_desc', 'Please type a description.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '74', 'bug_failed', 'Failed to submit bug.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '75', 'bug_success', 'Bug submitted. Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '76', 'bug_summary', 'Please type a summary.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '77', 'button_random_name', 'Generate a Name!');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '78', 'camera_p', 'Camera Cell');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '79', 'camera_w', 'Camera World');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '80', 'cameraloc', 'Location');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '81', 'cancel', 'Cancel');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '82', 'capacity', 'Capacity');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '83', 'caption_resource_quantity_select', 'Select Amount');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '84', 'chair_out_of_range', 'You are too far away to sit on that.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '85', 'channel_tab_set_name', 'Set Tab Name');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '86', 'character', 'Character');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '87', 'character_name', 'Character Name');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '88', 'chase_camera_angle_reset', 'Chase Camera Angle Reset');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '89', 'chase_camera_off', 'Chase Camera Off');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '90', 'chase_camera_on', 'Chase Camera On');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '91', 'chat_channel_add', 'Add Channel');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '92', 'chat_channel_default', 'Default Channel');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '93', 'chat_channel_default_set', 'Set Default Channel');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '94', 'chat_channel_join_room', 'Join Channels');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '95', 'chat_channel_remove', 'Remove Channel');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '96', 'chat_channel_tab_set_name', 'Set Tab Name');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '97', 'chat_channelid_combat', 'Combat');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '98', 'chat_channelid_group', 'GroupChat');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '99', 'chat_channelid_guild', 'GuildChat');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '100', 'chat_channelid_instantmessage', 'Instant Messages');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '101', 'chat_channelid_match_making', 'Match Making');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '102', 'chat_channelid_none', 'None');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '103', 'chat_channelid_planet', 'Planet');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '104', 'chat_channelid_quest', 'Quest');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '105', 'chat_channelid_spatial', 'Spatial');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '106', 'chat_channelid_systemmessage', 'System Message');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '107', 'chat_channels_available', 'Available Channels');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '108', 'chat_channels_tab', 'Tab Channels');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '109', 'chat_log_disabled', 'Chat logging OFF');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '110', 'chat_log_enabled', 'Chat logging ON');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '111', 'chat_log_file_size_kb', 'Current chat log file size: %TT KB');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '112', 'chat_log_file_size_mb', 'Current chat log file size: %TT MB');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '113', 'chat_tab_confirm_reset_defaults', 'This will undo any customization you have done to the chat tabs and chat box. Are you sure you want to reset the default chat tabs?');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '114', 'chat_tab_default_recreated', 'Default tab recreated: ');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '115', 'chat_tab_menu_font_size', 'Set Font Size');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '116', 'chat_tab_menu_join_channel', 'Join Chat Channel');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '117', 'chat_tab_menu_reset_defaults', 'Reset Defaults');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '118', 'chat_tab_menu_tab_add', 'Add Tab');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '119', 'chat_tab_menu_tab_channels', 'Modify Tab');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '120', 'chat_tab_menu_tab_clone', 'Clone Tab');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '121', 'chat_tab_menu_tab_delete', 'Delete Tab');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '122', 'chatroom_create_check_moderated', 'Moderated');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '123', 'chatroom_create_check_private', 'Private');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '124', 'chatroom_create_room_name', 'Room Name');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '125', 'chatroom_create_room_title', 'Room Title');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '126', 'chatroom_info_creator', 'Creator');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '127', 'chatroom_info_name', 'Name');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '128', 'chatroom_info_owner', 'Owner');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '129', 'chatroom_info_title', 'Title');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '130', 'chatroom_invite_member', 'Invite');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '131', 'chatroom_joined', 'Joined');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '132', 'chatroom_member', 'Chatroom Member');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '133', 'chatroom_moderator', 'Moderator');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '134', 'chatroom_refresh', 'Refresh');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '135', 'close', 'Close');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '136', 'cluster_table_distance', 'Distance');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '137', 'cluster_table_name', 'Name');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '138', 'cluster_table_notes', 'Notes');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '139', 'cluster_table_online', 'Server');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '140', 'cluster_table_performance', 'Performance');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '141', 'cluster_table_population', 'Population');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '142', 'combat_peace', 'Peace');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '143', 'combat_queue_clear', 'Clear ');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '144', 'command_info', 'Info');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '145', 'command_name', 'Name');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '146', 'commit', 'Commit');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '147', 'condition', 'Condition');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '148', 'confirm_exit_game', 'Are you sure you want to exit\nStar Wars Galaxies?');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '149', 'confirm_obj_destroy_prose', 'Really destroy %TU?');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '150', 'consent_imagedesign', '%TT wishes to change your appearance.  Allow it?');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '151', 'consent_title', 'Consent');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '152', 'container', 'Container');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '153', 'container_capacity', 'Capacity');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '154', 'container_none', 'None');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '155', 'container_obj_name', 'Item Name');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '156', 'convo_stop_conversing', 'Stop Conversing');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '157', 'cost', 'Travel Cost');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '158', 'cpt_avatar_cust', 'Character Customization');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '159', 'cpt_avatar_location', 'Starting Location');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '160', 'cpt_avatar_planet', 'Planet');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '161', 'cpt_avatar_prof', 'Profession Selection');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '162', 'cpt_avatar_prof_category', 'Profession Category');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '163', 'cpt_avatar_selection', 'Select a Character');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '164', 'cpt_avatar_species_selection', 'Species Selection');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '165', 'cpt_avatar_summary', 'Character Summary');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '166', 'cpt_bind_entry', 'Keybinding Entry');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '167', 'cpt_character_sheet', 'Character Sheet');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '168', 'cpt_chat_channel_tab_editor', 'Chat Tab Management');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '169', 'cpt_chatroom_create', 'Create Chatroom');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '170', 'cpt_chatroom_moderate', 'Moderate');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '171', 'cpt_chatroom_view', 'Chatroom View');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '172', 'cpt_cluster_selection', 'Select a Galaxy');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '173', 'cpt_color_test', 'Color Test');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '174', 'cpt_command_browser', 'Command Browser');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '175', 'cpt_credits', 'Credits');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '176', 'cpt_data_pad', 'Datapad');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '177', 'cpt_font_sizer', 'Font Size');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '178', 'cpt_game_menu', 'Game Menu');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '179', 'cpt_help_avatar_cust', 'Customize the appearance of your Character.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '180', 'cpt_help_avatar_location', 'Select your destination by clicking on one of the planets on the screen, then choose a city from the selection box to the right.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '181', 'cpt_help_avatar_sel', 'Choose the Character you would like to play now.\nYou may also choose to Create a new Character, or Delete one of your existing Characters.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '182', 'cpt_help_avatar_setup_prof', 'Choose a Profession for your Character.  As you progress in the game, you can change your area of specialization.  Your choice at this stage simply affects the starting abilities of your Character.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '183', 'cpt_help_avatar_species_sel', 'Choose the Species and Gender for your new Character.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '184', 'cpt_help_avatar_summary', 'Review the Abilities, Name, and Biography of your Character.  When you are satisfied, press the Next arrow to begin the Game!');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '185', 'cpt_help_cluster_sel', 'Select the Galaxy where you would like to make a new Character.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '186', 'cpt_locations', 'Locations');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '187', 'cpt_login', 'Log In');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '188', 'cpt_login_fail', 'Failed to Log In');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '189', 'cpt_menu_options', 'Options Menu');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '190', 'cpt_new_macro', 'Edit Macro');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '191', 'cpt_opt_controls', 'Configure Controls');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '192', 'cpt_opt_game', 'Game Options');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '193', 'cpt_opt_gfx', 'Graphics Options');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '194', 'cpt_opt_sound', 'Sound Options');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '195', 'cpt_pm_browser', 'Your Mail');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '196', 'cpt_pm_composer', 'Compose New Message');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '197', 'cpt_res_discard', 'Discard Resources');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '198', 'cpt_res_quantity_select', 'Select Resource Quantity');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '199', 'cpt_res_retrieval', 'Retrieve Resources');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '200', 'cpt_secure_trade', 'Secure Trade');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '201', 'cpt_surveying', 'Survey');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '202', 'cpt_ticket_purchase', 'Travel');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '203', 'create', 'Create');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '204', 'cs_help', 'Customer Service Help');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '205', 'cs_reportbug', 'Report Bug');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '206', 'cspam_test', 'Self: %TU, Target: %TT, Other:%TO');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '207', 'data', '');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '208', 'data_obj_name', 'Datafile Name');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '209', 'datapad_capacity', 'Capacity');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '210', 'datapad_change_view', 'Change View');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '211', 'datapad_new_waypoint', 'New Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '212', 'datapad_tab_data', 'Data');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '213', 'datapad_tab_draft', 'Draft Schematics');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '214', 'datapad_tab_groupwps', 'Group Waypoints');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '215', 'datapad_tab_poi', 'POI');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '216', 'datapad_tab_wps', 'Waypoints');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '217', 'datapad_title', 'Datapad');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '218', 'datapad_wp_current_planet_only', 'Only show waypoints on current planet');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '219', 'datapad_wp_show_indicators', 'Show waypoint indicators on screen.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '220', 'datapad_wp_single_mode', 'Activate a single waypoint at a time.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '221', 'delete', 'Delete');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '222', 'delete_macro', 'Delete Macro');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '223', 'destroy', 'Destroy');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '224', 'done', 'Done');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '225', 'earth_time', 'Earth Time:');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '226', 'edit_macro', 'Edit Macro');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '227', 'err_start_location_beta', 'This starting location is not currently available.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '228', 'examine_badges', 'Badges: ');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '229', 'examine_fetchingbadges', 'Fetching badges...');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '230', 'examine_fetchingbio', 'Fetching bio...');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '231', 'examine_fetchingguild', 'Fetching guild...');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '232', 'examine_fetchingtitle', 'Fetching title...');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '233', 'examine_guild', 'Guild: ');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '234', 'examine_info', 'Info');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '235', 'examine_nobadges', 'No badges');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '236', 'examine_notitle', 'No title');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '237', 'examine_title', 'Title: ');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '238', 'examine_unguilded', 'Unguilded');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '239', 'exit', 'Exit');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '240', 'experience_name', 'Experience Type');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '241', 'experience_value', 'Value');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '242', 'expgrant_imagedesigner', 'You have gained Image Designer experience!');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '243', 'finish', 'Finish');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '244', 'fps', 'FPS:');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '245', 'from', 'From');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '246', 'game_exit', 'Exit the Game');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '247', 'game_menu_credits', 'Credits');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '248', 'game_menu_disconnect', 'Disconnect');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '249', 'game_menu_locations', 'Locations');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '250', 'game_menu_resume', 'Resume Play');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '251', 'generatingterrain', 'Generating terrain...');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '252', 'go', 'Go');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '253', 'groundhud_target', 'Target:');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '254', 'hairstyle_bald', 'Bald');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '255', 'harvester_turn_off', 'Turn Off Harvester');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '256', 'harvester_turn_on', 'Turn On Harvester');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '257', 'im_bad_target_format', 'To send a /tell message, type /tell, then a space, followed by the names of each tell recipient separated by commas.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '258', 'im_failed_insufficient_privs_prose', 'Your message to %TU was not sent because it was too long.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '259', 'im_failed_unknown_prose', 'Your /tell to %TU failed for an unknown reason. This is because of a chat server error. Please type /bug and submit the details of how you received this message.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '260', 'im_message_dupe_discarded_prose', 'Duplicate message to %TU discarded.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '261', 'im_messages_sent', 'Your messages have been sent.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '262', 'im_no_message', 'You need to include a message!');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '263', 'im_no_reply_target', 'You can\'t reply unless you have received a /tell recently!');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '264', 'im_no_retell_target', 'You can\'t retell unless you have sent a /tell recently!');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '265', 'im_no_targets', 'You need to specify a target for your /tell.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '266', 'im_received_brief_prose', '%TU tells you: %TO');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '267', 'im_received_prose', '%TU tells you, \'%TO\'.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '268', 'im_recipient_ignored_prose', 'You sent a tell but %TU is ignoring messages from you.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '269', 'im_recipient_invalid_prose', 'There is no person by the name \'%TU\' in this Galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '270', 'im_recipient_offline_prose', '%TU is not online.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '271', 'im_success_prose', 'You tell %TU, \'%TO\'.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '272', 'im_success_reply_prose', 'You reply to %TU, \'%TO\'.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '273', 'im_tell_usage', 'Syntax for /tell: \n  /tell <target> <message>\n  /tell <target>,<target>,...,<target> <message>\nNOTE: do not put spaces between the target names when sending to multiple targets.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '274', 'im_ttell_no_target', 'You must have a player targetted to use this command.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '275', 'imagedesigner_commit', 'Commit');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '276', 'imagedesigner_consent_text', '%TT would like to design your ');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '277', 'imagedesigner_consent_title', 'ImageDesign Consent');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '278', 'imagedesigner_consent_withchange', 'View with change');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '279', 'imagedesigner_consent_withoutchange', 'View without Change');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '280', 'imagedesigner_details_title', 'Choose a Customization');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '281', 'imagedesigner_start_body', 'Body');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '282', 'imagedesigner_start_face', 'Face');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '283', 'imagedesigner_start_hair', 'Hair');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '284', 'imagedesigner_start_markings', 'Markings');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '285', 'imagedesigner_start_title', 'Choose a Type ');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '286', 'inactive', 'Inactive');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '287', 'input_box_input', 'Input Box');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '288', 'inputscheme_fps_n', 'First Person Shooter');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '289', 'inputscheme_iso_n', 'Isometric (UO Style)');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '290', 'inputscheme_ja101_n', 'Japanese w/English(101-key) Keyboard');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '291', 'inputscheme_mmo2_n', 'MMORPG Modeless');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '292', 'inputscheme_mmo_n', 'MMORPG (EQ style)');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '293', 'inputscheme_mmo_test_n', 'MMORPG (EQ2 style)');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '294', 'inputscheme_space_n', 'Space (Pilot or Gunner)');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '295', 'inputscheme_spaceja101_n', 'Japanese w/English(101-key) Keyboard (Space)');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '296', 'inputscheme_swg2_n', 'Star Wars Galaxies Modeless');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '297', 'inputscheme_swg_n', 'Star Wars Galaxies');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '298', 'inputscheme_swg_test_n', 'Star Wars Galaxies Modeless');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '299', 'instructions', 'Instructions');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '300', 'inv_change_view', 'Change View');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '301', 'inv_container_suffix_equipped', ' (equipped)');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '302', 'inv_container_suffix_inventory', ' (inventory)');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '303', 'inv_details_equipped', 'Equipped');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '304', 'inv_details_icon', 'Icon');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '305', 'inv_details_name', 'Name');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '306', 'inv_details_planet', 'Planet');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '307', 'inv_details_type', 'Type');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '308', 'inv_details_volume', 'Volume');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '309', 'inv_money_bank', 'Bank:');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '310', 'inv_money_cash', 'Cash:');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '311', 'inv_object_destroyed_prose', 'The container you were inspecting, %TT,  is no longer available.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '312', 'inv_out_of_range_prose', 'You are out of range of %TT; it has been closed.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '313', 'item_bid', 'Bid');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '314', 'item_highbid', 'High Bid');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '315', 'item_instantsale', 'Instant Sale');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '316', 'item_mybid', 'My Bid');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '317', 'item_myproxybid', 'My Proxy Bid');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '318', 'item_name', 'Item Name');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '319', 'item_sale', 'Sale');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '320', 'item_time', 'Time');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '321', 'item_timeremaining', 'Time Remaining');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '322', 'kick', 'Kick');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '323', 'leave_game', 'Leave Game');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '324', 'load_scene', 'Load Scene');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '325', 'loading', 'Loading...');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '326', 'loadingobjects', 'Loading objects...');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '327', 'loc_locations', 'Locations');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '328', 'loc_planets', 'Planets');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '329', 'lookat_target_lost', 'Your current target was lost.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '330', 'macro_badcommand1', 'This command is not allowed in macros: ');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '331', 'macro_badcommand2', ' , please replace.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '332', 'macro_icon', 'Macro Icon');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '333', 'macro_name', 'Name');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '334', 'macro_nospaces', 'Macro names cannot contain spaces');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '335', 'macro_selecticon', 'Please select an icon');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '336', 'macro_text', 'Macro Text');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '337', 'manufacturer', 'Manufacturer');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '338', 'modify', 'Modify');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '339', 'mood_desc_has_animation', 'This mood has an visual effect.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '340', 'mood_desc_prose', 'Sets your mood to: %TT.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '341', 'movedown', 'Move Down');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '342', 'moveup', 'Move Up');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '343', 'msg_login_fail', 'You were unable to connect to the Login Server. This is the server that allows you to select a character.\n\nThe inability to connect could be because of a failure in the Internet connection between your machine and the Login Server, or it could be because the Login Server is unavailable.\n\nPlease check that your connection to the Internet is alive and well; if the problem persists, try again in a little while. You should also check the game website at \n\nhttp://www.starwarsgalaxies.com\n\nto see if there is a known issue. Sometimes there are scheduled downtimes for the Login  Server.\n\nIf you still cannot connect, please contact Customer Service. Sorry for the inconvenience!');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '344', 'msg_truncated_spatial', 'You spatial chat message was truncated because it was too long.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '345', 'name_approved', 'Your name has been approved!');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '346', 'name_bothan', 'Bothan');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '347', 'name_declined_cant_create_avatar', 'You have sent an invalid message to the server while attempting to create a character name.\n\nIt is possible that you have received this message in error, in which case you should contact Customer Service.\n\nIt is also possible that you were doing this intentionally in order to attempt to hack the character creation process. Hacking the Star Wars Galaxies servers is a violation of the Terms of Service and can result in account termination and legal action.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '348', 'name_declined_developer', 'Your character name is not acceptable. It is too similar to a name we have reserved.\n\nPlease try again with a different name.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '349', 'name_declined_empty', 'You can\'t create a character without a name! Please enter a name, or use the GENERATE A NAME! button to have us generate one for you.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '350', 'name_declined_fictionally_reserved', 'We\'re sorry, but we do not allow characters to be created using the names of major Star Wars characters or planets from the Star Wars universe.\n\nPlease select another name and try again.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '351', 'name_declined_in_use', 'We\'re sorry, but that name is already in use by  someone else.\n\nWe realize that the selected name may be one that you are very attached to; however, our current naming policy requires that first names be unique.\n\nWe suggest that you either try a different Galaxy where the name may not be in use, or alter the spelling of the name to try to make it unique.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '352', 'name_declined_internal_error', 'The name approval process has suffered an internal  error.\n\nPlease report this problem to Customer Service,  and try entering your name again.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '353', 'name_declined_no_name_generator', 'You have sent an invalid message to the server while attempting to create a character name.\n\nIt is possible that you have received this message in error, in which case you should contact Customer Service.\n\nIt is also possible that you were doing this intentionally in order to attempt to hack the character creation process. Hacking the Star Wars Galaxies servers is a violation of the Terms of Service and can result in account termination and legal action.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '354', 'name_declined_no_template', 'You have sent an invalid message to the server while attempting to create a character name.\n\nIt is possible that you have received this message in error, in which case you should contact Customer Service.\n\nIt is also possible that you were doing this intentionally in order to attempt to hack the character creation process. Hacking the Star Wars Galaxies servers is a violation of the Terms of Service and can result in account termination and legal action.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '355', 'name_declined_not_authorized_for_species', 'You do not have the expansion required to use that species.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '356', 'name_declined_not_creature_template', 'You have sent an invalid message to the server while attempting to create a character name. \n\nIt is possible that you have received this message in error, in which case you should contact Customer Service.\n\nIt is also possible that you were doing this intentionally in order to attempt to hack the character creation process. Hacking the Star Wars Galaxies servers is a violation of the Terms of Service and can result in account termination and legal action.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '357', 'name_declined_number', 'Your character\'s name has been declined because of its syntax. The following rules must be followed in entering names:\n\n- Capital letters are only allowed at the beginning of words.\n- No punctuation except for the apostrophe (\') and the dash (-). Some species cannot use these.\n- The name and the surname must each be one word only.\n- No numbers are allowed.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '358', 'name_declined_profane', 'Your selected name has been declined because it may contain inappropriate language. \n\nWe realize that computers are fallible, and that if you keep trying, you may be able to fool the name filter. However, inapproprate language in names is against our Terms of Service.\n\nIf your character is reported for an inappropriate name by another player, you may have the name changed or lose the character. We therefore suggest that you keep it clean. Thanks!\n\nPlease select another name and try again.\n');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '359', 'name_declined_racially_inappropriate', 'Your character name is not suitable for this species.\n\n  - All names must be at least 3 characters  long.\n  - Names can be no longer than 15 characters.\n  - Surnames can be no longer than 20 characters.\n\nDifferent species have different rules on what is permissible.\n\n  - Humans and Twi\'leks may have one hyphen (-) or apostrophe (\') in their name or surname.\n  - Mon Calamari can have a hyphen in their name or  surname.\n  - Wookiees are not allowed a surname.\n\nPlease try again with a different name.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '360', 'name_declined_reserved', 'We\'re sorry, but that name contains a word that we do not allow in character names. Please try again with a new name.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '361', 'name_declined_retry', 'The character naming process suffered an internal error. Please try entering your character\'s name again.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '362', 'name_declined_syntax', 'Your character\'s name has been declined because of its syntax. The following rules must be followed in entering names:\n\n- Capital letters are only allowed at the beginning of words.\n- No punctuation except for the apostrophe (\') and the dash (-). Some species cannot use these.\n- The name and the surname must each be one word only.\n- No numbers are allowed.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '363', 'name_declined_too_fast', 'You are not allowed to create a character more than once every 15 minutes.  Please try again later.\n');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '364', 'name_human', 'Human');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '365', 'name_moncal', 'Mon Calamari');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '366', 'name_rodian', 'Rodian');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '367', 'name_trandoshan', 'Trandoshan');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '368', 'name_twilek', 'Twi\'lek');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '369', 'name_wookiee', 'Wookiee');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '370', 'name_zabrak', 'Zabrak');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '371', 'names', 'Show Planet Names');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '372', 'new', 'New');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '373', 'new_macro', 'New Macro');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '374', 'next', 'Next');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '375', 'no', 'No');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '376', 'no_sitting_in_water', 'You cannot sit down in water.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '377', 'obj_name', 'Item Name');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '378', 'ok', 'OK');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '379', 'opt_afk', 'Away From Keyboard Options');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '380', 'opt_afk_auto', 'Away from keyboard auto-response');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '381', 'opt_afk_response', 'Away from keyboard response text');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '382', 'opt_afk_time', 'Timer Length');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '383', 'opt_alarm', 'Alarm Clock');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '384', 'opt_auto_reject_invite', 'Auto Reject Invites');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '385', 'opt_back', 'Back');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '386', 'opt_chat', 'Chat Options');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '387', 'password', 'Password');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '388', 'permission_add', 'Add');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '389', 'permission_add_title', 'Person to Add');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '390', 'permission_remove', 'Remove');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '391', 'permission_title', 'Permission List');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '392', 'permissionlist_title', 'Permission List: ');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '393', 'pingtime', 'Ping Time');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '394', 'player_name', 'Player Name');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '395', 'player_p', 'Player Cell');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '396', 'player_w', 'Player World');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '397', 'profanity_filter_off', 'You are no longer using the profanity filter.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '398', 'profanity_filter_on', 'You are now using the profanity filter.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '399', 'purchase', 'Purchase Ticket');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '400', 'quest_10_seconds_left', 'Timer has 10 seconds left!');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '401', 'quit', 'Quit');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '402', 'radar_range', 'Range');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '403', 'radial_out_of_range_prose', '%TT is too far away to \'%TO\'.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '404', 'radial_sit', 'Sit');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '405', 'radial_unseat', 'Stand Up');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '406', 'random', 'Random');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '407', 'random_all', 'Randomize All');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '408', 'refresh', 'Refresh');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '409', 'refuse', 'Refuse');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '410', 'region_entered', 'You have entered %TT.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '411', 'region_left', 'You have left %TT.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '412', 'remove', 'Remove');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '413', 'remove_schematic', 'Remove Schematic');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '414', 'repair', 'Repair');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '415', 'repairable_objects', 'Object Repair');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '416', 'res_activatedwithoutresource', 'Please select a resource before activating the machine.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '417', 'res_actualrate', 'Actual Rate');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '418', 'res_capacity', 'Capacity');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '419', 'res_change_harvester_name', 'Change Harvester Name');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '420', 'res_confirm_dump_hopper', 'Are you sure you want to dump the hopper\'s contents?');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '421', 'res_confirm_dumpall_hopper', 'Really destroy ALL resources in the harvester?');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '422', 'res_err_empty_hopper', 'The resource harvester was unable to empty the hopper. This is indicative of a server problem. Please contact Customer Service for assistance.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '423', 'res_extract_active_off', 'Off');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '424', 'res_extract_active_on', 'On');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '425', 'res_extract_rate', 'Resource Extraction Rate');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '426', 'res_extract_rate_current', 'Current');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '427', 'res_extract_rate_spec', 'Spec');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '428', 'res_facility_current', 'Facility');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '429', 'res_fetching_data', 'Fetching data for harvester...');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '430', 'res_harvest_change_resource', 'Change Resource');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '431', 'res_harvest_damage', 'Damage');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '432', 'res_harvest_dump', 'Discard Resource\n');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '433', 'res_harvest_dumpall', 'Empty Harvester');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '434', 'res_harvest_efficiency', 'Efficiency');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '435', 'res_harvest_hopper', 'Hopper');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '436', 'res_harvest_maint', 'Maintenance');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '437', 'res_harvest_manage', 'Manage');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '438', 'res_harvest_retrieve', 'Retrieve Resource');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '439', 'res_harvest_selectresource', 'Select a resource to harvest from the list below');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '440', 'res_hopper', 'Hopper');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '441', 'res_hopper_amount', 'Amount');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '442', 'res_hopper_current', 'Hopper');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '443', 'res_hopper_efficiency', 'Efficiency');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '444', 'res_hopper_icon', 'Icon');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '445', 'res_hopper_name', 'Name');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '446', 'res_intact', 'Intact');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '447', 'res_integrity', 'Integrity');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '448', 'res_kg_d', 'kg/d');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '449', 'res_noresourceselected', 'No Resource Selected');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '450', 'res_pleaseselectresource', 'Please select a resource to manage.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '451', 'res_resource_depleted', 'Resource depleted!');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '452', 'res_resourcename', 'Resource Name');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '453', 'res_setres_text', 'Select a resource to harvest from the list below.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '454', 'res_specrate', 'Spec Rate');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '455', 'res_survey', 'Survey');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '456', 'res_survey_icon', 'Resource Icon');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '457', 'res_survey_range', 'Range:');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '458', 'res_survey_resnames', 'Resource Names');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '459', 'res_survey_sample', 'Get Sample');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '460', 'res_wait_empty_hopper', 'Emptying the hopper...');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '461', 'res_waiting', 'Waiting...');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '462', 'reset_defaults', 'Reset Defaults');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '463', 'revert', 'Revert');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '464', 'roundtrip', 'Roundtrip');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '465', 'sample_text', 'Adjust the slider to change the font size for this chat window.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '466', 'scene_no_scene_file', 'No scene file was selected.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '467', 'scene_no_scene_selected', 'You need to select a scene.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '468', 'schematic_type_bomb', 'Bomb');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '469', 'schematic_type_clothing', 'Clothing');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '470', 'schematic_type_food', 'Food');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '471', 'schematic_type_vehicle', 'Vehicle');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '472', 'schematic_type_weapon', 'Weapon');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '473', 'select_repair', 'Select the object to repair.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '474', 'server_avatar_deleted', 'The character has been deleted.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '475', 'server_avatar_deleted_failed', 'The server failed to delete your character. This is indicative of a server problem. Please try again.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '476', 'server_central_cxn_failed', 'That Galaxy is unavailable at the moment.\n\nThe connection to the Central Server failed.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '477', 'server_character_creation_max_chars', 'Sorry, you are not allowed to create any more characters on this Galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '478', 'server_character_creation_refused', 'Sorry, you can\'t create a character on that Galaxy right now.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '479', 'server_cluster_address_missing', 'Error: the server cluster address is missing, so the address for the server is unknown. Please report this to Customer Service.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '480', 'server_cluster_full', 'That Galaxy is full.  Please choose a different Galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '481', 'server_cluster_login_failed', 'The connection to the selected Galaxy failed. Please try again later.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '482', 'server_cluster_table_population_full', 'Full');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '483', 'server_cluster_table_population_heavy', 'Heavy');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '484', 'server_cluster_table_population_light', 'Light');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '485', 'server_cluster_table_population_medium', 'Medium');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '486', 'server_cluster_wait_populate', 'Please wait while the Galaxy List is populated...');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '487', 'server_confirm_avatar_delete', 'Are you sure you want to delete this character?');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '488', 'server_connecting_central', 'Connecting to the Galaxy...');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '489', 'server_connecting_game', 'Now connecting to the Galaxy...');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '490', 'server_connecting_login', 'Connecting to the Login Server...');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '491', 'server_connection_cxn_closed', 'The connection to the Galaxy has closed.\n\nPlease try again.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '492', 'server_connection_loading', 'That server is currently loading, please wait...');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '493', 'server_connection_locked', 'That server is currently locked, please wait...');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '494', 'server_connection_unavailable', 'You cannot connect to that Galaxy at this time. \n\nThe connection server is unavailable. Please try again later.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '495', 'server_dialog_create_jedi', 'You have an available \\#pcontrast1 FORCE SENSITIVE CHARACTER SLOT\\#.!\n\nYou are now creating a \\#pcontrast1 Jedi character\\#.!\n\n');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '496', 'server_dialog_create_jedi_or_regular', 'You have an available \\#pcontrast1 FORCE SENSITIVE CHARACTER SLOT\\#.!\n\nWould you like to create a \\#pcontrast1 Jedi character\\#. now?\n\n');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '497', 'server_disconnected', 'Connection to SWG lost!');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '498', 'server_err_avatar_not_found', 'The selected character was not found! \n\nThis indicates a server issue. Please contact Customer Support.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '499', 'server_err_no_character_selected', 'Please select a character.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '500', 'server_err_no_cluster_selected', 'Please select a Galaxy to log in.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '501', 'server_err_no_username', 'Please enter a username and \npassword to log in.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '502', 'server_loading', 'Loading...');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '503', 'server_loading_scene', 'Loading scene...');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '504', 'server_locked', 'Locked');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '505', 'server_login_cxn_failed', 'The Login Server is currently not available. Please try again later.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '506', 'server_login_cxn_opened', 'The connection to the Login Server is now open...');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '507', 'server_login_cxn_reset', 'Your connection to the Login Server has been reset.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '508', 'server_offline', 'Offline');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '509', 'server_online', 'Online');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '510', 'server_timeout_gameserver', 'The connection to the Galaxy has timed out.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '511', 'server_wait_avatar_delete', 'Deleting character...');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '512', 'serverlooptime', 'ServerLoop');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '513', 'show_help', 'Show Help');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '514', 'skill_command_acquired_prose', 'You have acquired a new ability: %TU!');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '515', 'skill_commands', 'Commands Granted:');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '516', 'skill_confirm_surrender', 'Are you sure you want to surrender this skill?');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '517', 'skill_delete_confirm', 'To confirm the surrendering of this skill, please type \"yes\" (minus the quotes) in the area below, then press Ok:\n\n');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '518', 'skill_delete_incorrect_text', 'The text you entered was not correct. The skill will not be surrendered.\n\n');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '519', 'skill_delete_required_yes', 'Required: yes');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '520', 'skill_delete_skill', 'Skill: ');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '521', 'skill_delete_you_entered', 'You entered: ');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '522', 'skill_delete_you_requested', 'You have requested to surrender:\n\n');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '523', 'skill_discipline', 'Discipline');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '524', 'skill_disciplines', 'Disciplines');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '525', 'skill_exclusions', 'Exclusions');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '526', 'skill_exp_needed', 'Experience Needed');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '527', 'skill_exp_table_amount', 'Amount');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '528', 'skill_exp_table_amount_bar', 'Amount');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '529', 'skill_exp_table_type', 'Type');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '530', 'skill_experience', 'Experience');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '531', 'skill_information', 'Information');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '532', 'skill_learning_capacity', 'Learning Capacity');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '533', 'skill_myexperience', 'My Experience');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '534', 'skill_myskills', 'My Skills');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '535', 'skill_prof_other', 'Other');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '536', 'skill_professions', 'Professions');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '537', 'skill_qualify', 'You now qualify for the skill: ');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '538', 'skill_requirements', 'Requirements');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '539', 'skill_stats', 'Attributes');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '540', 'skill_surrender', 'Surrender');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '541', 'skill_tab_adventure', 'Adventure');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '542', 'skill_tab_all', 'All Professions');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '543', 'skill_tab_combat', 'Combat');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '544', 'skill_tab_commerce', 'Commerce');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '545', 'skill_tab_disciplines', 'Disciplines');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '546', 'skill_tab_mods', 'Experience / Skill Mods');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '547', 'skill_tab_my', 'My Professions');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '548', 'skill_tab_myskills', 'My Skills');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '549', 'skill_tab_science', 'Science');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '550', 'skill_tab_social', 'Social');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '551', 'skill_title', 'Title');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '552', 'skillmod_name', 'Skill Mod Name');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '553', 'skillmod_value', 'Value');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '554', 'skills', 'Skills');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '555', 'skills_my_exp', 'My Experience');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '556', 'skills_my_skills', 'My Skills');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '557', 'spatial_station_gunner', 'Gunner');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '558', 'spatial_station_operations', 'Operations');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '559', 'spatial_station_pilot', 'Pilot');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '560', 'spin', 'Spin');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '561', 'split_amount', 'Amount Split');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '562', 'split_resource', 'Split Resource');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '563', 'start', 'Start');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '564', 'stat_current', 'Current Value');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '565', 'stat_help_action', 'This attribute defines the size of your ACTION pool.  Besides representing how \"energetic\" you feel, the pool can be expended to execute special moves.  If this pool value reaches 0, you become incapacitated.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '566', 'stat_help_constitution', 'This attribute affects the regeneration rate of your HEALTH pool.  The higher the attribute, the faster you will generate points in this pool.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '567', 'stat_help_focus', 'This attribute affects the efficiency of your MIND pool.  The higher this attribute, the fewer points it takes to execute moves that cost points from this pool.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '568', 'stat_help_health', 'This attribute defines the size of your HEALTH pool.  Besides representing the number of hit points you have, the pool can be expended to execute special moves.  If this pool value reaches 0, you become incapacitated.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '569', 'stat_help_main', 'This is the stat migration page.  You can move attribute points from one pool to another, within the constraints of your race.  The values set at character creation will be appropriate for your profession, but you may want to adjust them as your character grows and progresses.  The actual movement of your attributes does not happen instantly, but migrates over time.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '570', 'stat_help_mind', 'This attribute defines the size of your MIND pool.  Besides representing your mental status, the pool can be expended to execute special moves.  If this pool value reaches 0, you become incapacitated.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '571', 'stat_help_quickness', 'This attribute affects the efficiency of your ACTION pool.  The higher this attribute, the fewer points it takes to execute moves that cost points from this pool.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '572', 'stat_help_stamina', 'This attribute affects the regeneration rate of your ACTION pool.  The higher the attribute, the faster you will generate points in this pool.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '573', 'stat_help_strength', 'This attribute affects the efficiency of your HEALTH pool.  The higher this attribute, the fewer points it takes to execute moves that cost points from this pool.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '574', 'stat_help_willpower', 'This attribute affects the regeneration rate of your MIND pool.  The higher the attribute, the faster you will generate points in this pool.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '575', 'stat_pointsleft', 'Points Left');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '576', 'stat_target', 'Target Value');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '577', 'stat_title', 'Statistic Migration');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '578', 'sui_obj_lost', 'You have lost the target, closing interface.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '579', 'sui_out_of_range_prose', 'You have gone out of range of %TT, closing interface.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '580', 'sui_selecttext', '');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '581', 'survey', 'Survey');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '582', 'survey_', '');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '583', 'survey_areas', 'Resources');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '584', 'survey_efficiencytooltipfirst', 'Efficiency: ');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '585', 'survey_efficiencytooltipsecond', ', click for a waypoint');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '586', 'survey_help_map', 'This is the survey map. Once you survey, the results are seen here.  A waypoint is also automatically created at the highest concentration location surveyed.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '587', 'survey_help_reslist', 'This table displays the resources that this particular tool can attempt to survey.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '588', 'survey_help_samplebutton', 'Click this button to attempt to obtain a small sample of the selected resource.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '589', 'survey_help_surveybutton', 'Click this button to survey for the selected resource.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '590', 'survey_hopper_title', 'Hopper Contents');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '591', 'survey_noresource', 'You must select a resource for this tool from the Inventory before you can do this.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '592', 'survey_nothingfound', 'Resource not located.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '593', 'survey_notool', 'You must use a survey tool once from the Inventory before you can do this.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '594', 'survey_resource_title', 'Available Resources');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '595', 'survey_resource_type', 'Survey Type:');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '596', 'survey_select_resource', 'Please select a resource first.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '597', 'survey_waypointset', 'Survey waypoint set');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '598', 'terrain', 'Terrain');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '599', 'test_pp', 'This is a test. TU=%TU, TT=%TT, TO=%TO, DI=%DI, DF=%DF.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '600', 'testaskconsent', 'Do you like cake?');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '601', 'ticket_purchase', 'Ticket Purchasing Terminal');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '602', 'to', 'To');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '603', 'token_and', 'and');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '604', 'token_at', 'at');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '605', 'token_currency', 'Credits');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '606', 'token_days', 'days');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '607', 'token_hours', 'hours');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '608', 'token_in', 'in');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '609', 'token_in_the', 'in the');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '610', 'token_minutes_abbrev', 'min');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '611', 'token_name', 'name');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '612', 'token_on', 'on');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '613', 'token_seconds_abbrev', 'sec');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '614', 'tooltip_viewer_3d_controls', 'Click & Drag with the Left Mouse Button to move the camera.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '615', 'travel', 'Travel');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '616', 'travel_loading', 'Please wait while Travel Information Downloads...');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '617', 'travel_show_galaxy', 'Show Galactic Map');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '618', 'travel_show_planet', 'Show Planetary Map');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '619', 'try_again', 'Try Again');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '620', 'type', 'Type');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '621', 'uninvite', 'Uninvite');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '622', 'use_schematic', 'Use Schematic');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '623', 'username', 'Username');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '624', 'version', 'Version');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '625', 'volume', 'Volume');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '626', 'waypoint_name', 'Enter the new name of the waypoint.');
INSERT INTO `client_strings` VALUES ('string/en/ui.stf', '627', 'yes', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/ui_afk.stf', '2', 'away_from_keyboard_automatic_time_many', 'You will automatically be set to away from keyboard status in %DI minutes of inactivity.');
INSERT INTO `client_strings` VALUES ('string/en/ui_afk.stf', '3', 'away_from_keyboard_automatic_time_invalid', 'The valid time range before away from keyboard status is automatically enabled is 0 - 30 minutes. A time of 0 disables automatic afk status.');
INSERT INTO `client_strings` VALUES ('string/en/ui_afk.stf', '4', 'away_from_keyboard_automatic_response_prefix', 'AFK auto-response: ');
INSERT INTO `client_strings` VALUES ('string/en/ui_afk.stf', '5', 'away_from_keyboard_default_message', 'I am currently away from the keyboard.');
INSERT INTO `client_strings` VALUES ('string/en/ui_afk.stf', '6', 'away_from_keyboard_off', 'You are no longer away from the keyboard.');
INSERT INTO `client_strings` VALUES ('string/en/ui_afk.stf', '7', 'away_from_keyboard_on', 'You are now away from the keyboard.');
INSERT INTO `client_strings` VALUES ('string/en/ui_afk.stf', '8', 'away_from_keyboard_automatic_disabled', 'Automatic away from keyboard status is disabled.');
INSERT INTO `client_strings` VALUES ('string/en/ui_afk.stf', '9', 'away_from_keyboard_automatic_on', 'Your status is now automatically marked as away from keyboard.');
INSERT INTO `client_strings` VALUES ('string/en/ui_afk.stf', '10', 'away_from_keyboard_automatic_off', 'Your status is no longer automatically marked as away from keyboard.');
INSERT INTO `client_strings` VALUES ('string/en/ui_afk.stf', '11', 'away_from_keyboard_automatic_time_one', 'You will automatically be set to away from keyboard status in %DI minute of inactivity.');
INSERT INTO `client_strings` VALUES ('string/en/ui_alarm.stf', '1', 'alarm_none', 'There are no alarms set.');
INSERT INTO `client_strings` VALUES ('string/en/ui_alarm.stf', '2', 'alarm_id_expires', 'Alarm expires');
INSERT INTO `client_strings` VALUES ('string/en/ui_alarm.stf', '4', 'alarm_title', 'List of Alarms\n----------------------------------');
INSERT INTO `client_strings` VALUES ('string/en/ui_alarm.stf', '5', 'alarm_expired', 'Alarm (%DI) expired: ');
INSERT INTO `client_strings` VALUES ('string/en/ui_alarm.stf', '6', 'alarm_remove', 'Removed:');
INSERT INTO `client_strings` VALUES ('string/en/ui_alarm.stf', '7', 'alarm_id_invalid', 'Alarm (%DI) is invalid.');
INSERT INTO `client_strings` VALUES ('string/en/ui_alarm.stf', '11', 'alarm_remaining', '(%TT remain)');
INSERT INTO `client_strings` VALUES ('string/en/ui_alarm.stf', '12', 'alarm_recurring', '(recurring)');
INSERT INTO `client_strings` VALUES ('string/en/ui_alarm.stf', '14', 'alarm_maximum_reached', 'You have reached the maximum of %DI alarms. Please remove an existing alarm to add a new alarm.');
INSERT INTO `client_strings` VALUES ('string/en/ui_alarm.stf', '15', 'alarm_at_invalid', 'The specified alarm time is invalid.  Valid times for this alarm are 0-23 for hour and 0-59 for minute.');
INSERT INTO `client_strings` VALUES ('string/en/ui_alarm.stf', '16', 'alarm_in_invalid', 'The specified alarm time is invalid. Valid times for the alarm are 0-8760 hours and 0-60 minutes.');
INSERT INTO `client_strings` VALUES ('string/en/ui_alarm.stf', '17', 'alarm_am', 'AM');
INSERT INTO `client_strings` VALUES ('string/en/ui_alarm.stf', '18', 'alarm_pm', 'PM');
INSERT INTO `client_strings` VALUES ('string/en/ui_alarm.stf', '19', 'alarm_midnight', 'Midnight');
INSERT INTO `client_strings` VALUES ('string/en/ui_alarm.stf', '20', 'alarm_noon', 'Noon');
INSERT INTO `client_strings` VALUES ('string/en/ui_alarm.stf', '21', 'alarm_usage', 'To set an alarm type /alarmAddIn, /alarmAddInRepeat, /alarmAddtAt, or /alarmAddAtRepeat for parameters. Also see the alarm window.');
INSERT INTO `client_strings` VALUES ('string/en/ui_alarm.stf', '22', 'alarm_number', 'Alarm %DI');
INSERT INTO `client_strings` VALUES ('string/en/ui_attrib_mod.stf', '12', 'name', 'Name: ');
INSERT INTO `client_strings` VALUES ('string/en/ui_attrib_mod.stf', '13', 'description', 'Description: ');
INSERT INTO `client_strings` VALUES ('string/en/ui_attrib_mod.stf', '14', 'timeleft', 'Time Left: ');
INSERT INTO `client_strings` VALUES ('string/en/ui_attrib_mod.stf', '15', 'seconds', ' seconds');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '1', 'location_filter', 'Location Filter');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '2', 'type_filter', 'Object Type Filter');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '3', 'exit', 'Exit');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '4', 'list_tab_all', 'All Auctions');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '5', 'list_tab_sales', 'My Sales');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '6', 'list_tab_bids', 'My Bids');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '7', 'list_tab_available', 'Available Items');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '8', 'refresh', 'Refresh');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '9', 'place_bid', 'Place Bid');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '10', 'details', 'Details');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '11', 'galaxy', 'Entire Galaxy');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '12', 'planet', 'This Planet');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '13', 'region', 'This Region');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '14', 'withdraw', 'Withdraw Sale');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '15', 'accept_bid', 'Accept Bid');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '17', 'retrieve', 'Retrieve Item');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '18', 'create_auction_successful', 'Auction Successfully Created!');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '19', 'bid_successful', 'The bid was posted successfully.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '20', 'cancel_successful', 'The Auction was successfully cancelled.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '21', 'details_high_bid', 'High Bid');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '22', 'details_instant_sale', 'Instant Sale Price');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '23', 'table_bid', 'Bid');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '24', 'table_high_bidder', 'High Bidder');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '25', 'table_sale_type', 'Sale Type');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '26', 'table_location', 'Location');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '27', 'table_my_proxy', 'My Proxy');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '28', 'table_my_bid', 'My Bid');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '29', 'table_name', 'Item Name');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '30', 'table_owner', 'Item Owner');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '31', 'table_time', 'Time Remaining');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '32', 'table_type', 'Item Type');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '33', 'cpt_auction_list', 'Auction List: ');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '34', 'cpt_details', 'Item Details');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '35', 'details_time_remaining', 'Time Remaining');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '36', 'details_close', 'Close Details Window');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '37', 'waiting_bid', 'Placing bid, please wait...');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '38', 'waiting_details', 'Waiting for details download...');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '39', 'waiting_list', 'Downloading Auction List, please wait..');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '40', 'waiting_retrieve', 'Retrieving item, please wait...');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '41', 'waiting_sell', 'Loading item into the market, please wait...');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '42', 'err_bid_invalid', 'The bid was invalid.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '43', 'cpt_bid', 'Bid on Item');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '44', 'bid_on_name', 'Item to Bid On');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '45', 'bid_high_bid', 'Current High Bid');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '46', 'bid_input_proxy', 'Input Proxy Bid');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '47', 'bid_input', 'Input your Bid');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '48', 'cpt_sell', 'Sell an Item');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '49', 'sell_describe', 'Describe Item:');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '50', 'sell_auction', 'Auction');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '51', 'sell_instant', 'Instant Sale');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '52', 'set_time_limit', 'Set Time Limit');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '53', 'min_bid_amount', 'Minimum Bid');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '54', 'instant_sale_amount', 'Instant Sale Price');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '55', 'ok_sell', 'Sell Item');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '56', 'bid_instant_sale_price', 'Instant Sale Price');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '57', 'bid_instant_sale_msg', 'Do you wish to purchase this item at the listed price?');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '58', 'cpt_bid_instant', 'Buy Item');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '59', 'bid_on_instant_name', 'Item to Buy');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '60', 'waiting_buy', 'Purchasing item, please wait...');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '61', 'buy', 'Buy');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '62', 'sell_from_stock', 'Sell Item');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '63', 'list_tab_vendor_buyer_offers', 'Offers to Vendor');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '64', 'list_tab_vendor_buyer_selling', 'For Sale');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '65', 'list_tab_vendor_seller_offers', 'Offers');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '66', 'list_tab_vendor_seller_selling', 'For Sale');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '67', 'list_tab_vendor_seller_stockroom', 'Stockroom');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '68', 'offer', 'Offer Item');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '69', 'table_price', 'Price');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '70', 'reject', 'Reject');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '71', 'err_no_item_selected', 'No item selected.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '72', 'err_selected_item_invalid', 'The selected item is invalid.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '73', 'details_vendor_price', 'Sale Price');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '74', 'set_price', 'Set Price');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '75', 'cpt_vendor_list', 'Vendor List: ');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '76', 'cpt_vendor_owner_list', 'Vendor Owner List: ');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '77', 'accept_bid_successful', 'Bid Accepted.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '78', 'buy_successful_local', 'The item has been purchased.\n\nIf you have room in your inventory and the item is located in this region, it will be placed in your inventory automatically.  Otherwise, to retrieve the item, go the the correct region, click on the \'Available Items\' tab, choose the item from the list, and press the button labeled \'Retrieve\'.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '79', 'confirm_accept', 'Accept this bid?');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '80', 'confirm_withdraw', 'Withdraw this item?');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '81', 'create_sale_successful', 'The item has been put up for sale.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '82', 'retrive_successful', 'Item retrieved.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '83', 'err_bid_invalid_auctioner', 'The bid failed because the auctioner data was invalid.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '84', 'err_bid_invalid_container', 'The bid failed because the local commodity market is malfunctioning.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '85', 'err_bid_invalid_item', 'The bid failed because the item is invalid.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '86', 'err_bid_not_enough_money', 'You don\'t have enough money to place that bid.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '87', 'err_bid_rejected', 'The bid was rejected.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '88', 'err_buy_invalid', 'The purchase failed.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '89', 'err_buy_invalid_auctioner', 'The purchase failed because the auctioner is invalid.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '90', 'err_buy_invalid_item', 'The purchase failed because the item was invalid.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '91', 'err_buy_not_enough_money', 'You don\'t have enough money to buy that item.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '92', 'err_buy_rejected', 'Your purchase request was rejected.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '93', 'err_cancel_invalid_auctioner', 'You are not allowed to cancel that auction.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '94', 'err_cancel_invalid_item', 'You can\'t cancel that item because it is invalid.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '95', 'err_cancel_not_owner', 'You must be the owner of an item to cancel the sale.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '96', 'err_create_auction_already_auctioned', 'That item is already for sale.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '97', 'err_create_auction_invalid_auctioner', 'Auction failed because the auctioner was invalid.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '98', 'err_create_auction_invalid_container', 'Auction failed because the local market is malfunctioning.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '99', 'err_create_auction_invalid_item', 'You cannot auction an invalid item.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '100', 'err_create_auction_invalid_length', 'You must specify a valid auction duration.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '101', 'err_create_auction_invalid_price', 'The specified auction price is invalid.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '102', 'err_create_auction_not_owner', 'You cannot auction an item you do not own.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '103', 'err_create_sale_already_auctioned', 'That item is already for sale.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '104', 'err_create_sale_invalid_auctioner', 'You cannot sell that item because the auctioner is invalid.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '105', 'err_create_sale_invalid_container', 'Sale failed because the vendor is malfunctioning.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '106', 'err_craete_auction_invalid_item', 'You cannot sell an invalid item.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '107', 'err_create_sale_invalid_length', 'Invalid sale duration.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '108', 'err_create_sale_invalid_price', 'You must specify a valid sale price.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '109', 'err_retrieve_invalid_auctioner', 'You are not allowed to retrieve that item.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '110', 'err_retrieve_invalid_container', 'You cannot retrieve the item right now.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '111', 'err_retrieve_invalid_item', 'Please specify a valid item to retrieve.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '112', 'err_retrieve_not_owner', 'You cannot retrieve an item you do not own.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '113', 'err_sell_invalid_instant_price', 'Please specify a valid selling price.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '114', 'err_sell_invalid_min_bid', 'Please specify a valid minimum bid.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '115', 'err_sell_invalid_time', 'Please specify a valid auction duration.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '116', 'err_sell_no_item_selected', 'Please select an item to sell.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '117', 'err_vendor_sell_invalid_price', 'Please specify a sale price for the item.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '118', 'err_vendor_sell_no_item_selected', 'Please select an item to sell.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '119', 'err_vendor_terminal_no_owner', 'This vendor has not been initialized.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '120', 'err_vendor_terminal_error', 'This market is unavailable.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '121', 'waiting_accept_bid', 'Sending command to accept the bid.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '122', 'waiting_vendor_owner', 'Initializing the vendor.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '123', 'waiting_vendor_sell', 'Placing the item for sale.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '124', 'waiting_withdraw', 'Withdrawing sale, please wait...');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '125', 'retrieve_successful', 'You have retrieved this item.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '126', 'error_sell_invalid_instant_price', 'Invalid Price');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '127', 'set_price_name', 'Set Price Name');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '128', 'set_price_input', 'Set Price Input');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '129', 'cpt_set_price', 'Set Price');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '130', 'bid', 'Bid');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '131', 'cpt_list', 'List');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '132', 'err_accept_bid_no_bids', 'There are currently no bids on this item');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '133', 'details_attribs', 'Guaranteed Item Attributes');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '134', 'details_desc', 'Seller\'s Description of Item');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '135', 'err_retrieve_not_at_location_prose', 'You can\'t retrieve that item from this location.\nThat item is located in the market at %TO.\n');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '136', 'sale_type_instant', 'Instant');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '137', 'sale_type_auction', 'Auction');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '138', 'loc_planet', 'Planet');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '139', 'loc_region', 'Region');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '140', 'loc_market_name', 'Terminal');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '141', 'err_create_auction_unknown', 'An unknown error occured while creating the auction.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '142', 'err_create_sale_unknown', 'An unknown error occured while creating the sale.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '143', 'err_create_auction_not_enough_money_prose', 'You don\'t have enough credits to post that Auction.\nThe Commodities Market requires %DI credits.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '144', 'err_create_sale_not_enough_money_prose', 'You don\'t have enough credits to post that Sale.\nThe Commodities Market requires %DI credits.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '145', 'err_too_many_auctions', 'You have too many auctions on the commodities market.  Please withdraw some sales and pick up any items waiting in the Available Items tab.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '146', 'waiting_auction_info', 'Waiting for Commodities Market Data...');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '147', 'err_create_sale_invalid_item', 'You cannot sell an invalid item.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '148', 'sell_new', 'Sell an Item');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '149', 'days', 'Days');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '150', 'hours', 'Hours');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '151', 'minutes', 'Minutes');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '152', 'err_create_sale_bid_too_high', 'Items can not be sold on the bazaar for more than %DI credits.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '153', 'err_create_auction_bid_too_high', 'Items can not be auctioned on the bazaar for more than %DI credits.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '154', 'err_bid_bid_too_high', 'The commodities market does not accept bids higher than %DI credits.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '155', 'waiting_reject', 'Rejecting Item, please wait...');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '156', 'confirm_reject', 'Reject this item?');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '157', 'help_vs_selling', 'Items for Sale in your Vendor.\n\nYou can view all items for sale at your vendors here.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '158', 'help_vs_filter_location', 'Vendor Location Filters.\n\nYou can choose to view items for sale at this vendor only, or all of your vendors in the Region, on the Planet, or in the Galaxy.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '159', 'help_vs_filter_type', 'Item Type Filter\n\nUse this filter to choose what type of items for which to browse.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '160', 'help_vs_table', 'Items currently for sale in your vendor(s) are displayed here.\n\nDouble click on an item to view a detailed description of it.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '161', 'help_vs_new', 'Put a new item up for sale at this Vendor by pressing this button.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '162', 'help_vs_offers', 'This tab shows the items that have been offered for sale by other players.\n\nYou can choose to buy or reject any item on this list.  If you buy an item, it will be placed in your stockroom.  If you reject it, it will be returned to the player who originally offered it.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '163', 'help_vs_stock', 'Vendor Stock.\n\nUse this tab to browse the items you have stored in the Stock of your vendor(s).  An item in your stockroom can be put up for sale in your vendors, or retrieved from the Stock and used.\n\n');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '164', 'help_vb_selling', 'Items for Sale\n\nThis tab displays the Items currently for sale at this vendor.\n\n');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '165', 'help_vb_filter_type', 'Item Type Filter\n\nUse this to choose what type of items to show in the list.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '166', 'help_vb_table', 'Items currently for sale at this vendor are displayed here.\n\nDouble click on an item to view a detailed description of it.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '167', 'help_vb_buy', 'Buy the Selected Item by pressing this button.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '168', 'help_vb_offers', 'Items offered to this Vendor by you.\n\nBy offering an item for sale, you give the Vendor an opportunity to buy your item at the price you specify.  The owner of the Vendor will review your item and choose to buy it or reject it.  If the vendor owner rejects the item, you ');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '169', 'help_all', 'View All Sales\n\nUsing this tab, you can browse the Commodities market for Items which you can bid on or buy.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '170', 'help_all_filter_location', 'Commodities Market Location Filters\n\nUse these filters to narrow or widen your search.  You can browse the Region for Items that can be bought and picked up here.  You can also browse by Planet or even the entire Galaxy.  \n\nIf you purchase an item from a distant location you will need to travel to that location to pick up your new item.\n');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '171', 'help_all_filter_type', 'Item Type Filter.\n\nUse this filter to choose what type of items for which to browse.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '172', 'help_all_table', 'Items for sale or auction are displayed here.\n\nItems for sale in the Commodities Market can be classified by sale type in two ways:\n\n- Auction: Item item up for Auction can be bid on until the time runs out.  When the time runs out, the person with the highest bid gets the item.\n\n- Instant Sale:  Items up for Instant Sale are available for purchase to the first person willing to pay the listed price.\n \nDouble click on an item to view a detailed description of it.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '173', 'help_all_bid', 'Buy or Bid on the Selected Item by pressing this button.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '174', 'help_bids', 'Bids Outstanding\n\nView your currently Outstanding Bids using this tab.  You can watch your bids and bid higher if someone outbids you on an item.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '175', 'help_sales', 'Outstanding Sales\n\nUse this tab to view items which you have placed for Sale on the Commodities Market.\n\nYou can use the information here to determine who is bidding on your items, and how much is being bid.  You can also cancel sales or accept the current high bid on any item.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '176', 'help_sales_new', 'Put one of your Items up for sale on the Commodities Market by pressing this button.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '177', 'help_available', 'Available Items\n\nWhen you purchase an item, cancel a sale, or if one of your sales has expired, the item shows up here.\n\nYou can retrieve the item from the Market from here.\n\nPlease note that you must be in the same Market Region as the item in order to retrieve it.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '178', 'help_v_available', 'Available Items');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '179', 'buy_successful_planet_prose', 'The item has been purchased.\n\nTo retrieve the item, click on the \'Available Items\' tab, choose the item from the list, and press the button labeled \'Retrieve\'.\n\nYou will first need to travel to %TT and access a Market Terminal there.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '180', 'buy_successful_galaxy_prose', 'The item has been purchased.\n\nTo retrieve the item, click on the \'Available Items\' tab, choose the item from the list, and press the button labeled \'Retrieve\'.\n\nYou will first need to travel to %TT, on %TO, and access a Market Terminal there.\n');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '181', 'buy_vendor_owner_successful_local', 'The item has been purchased.\n\nYou can retrieve or sell the item by clicking on the \'Stockroom\' tab.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '182', 'buy_vendor_owner_successful_remote', 'The item has been purchased.\n\nYou can retrieve or sell the item by clicking on the \'Stockroom\' tab.\n\nIn order to retrieve the item, you will need to travel to the vendor which now has the item.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '183', 'buy_vendor_buyer_successful', 'The item has been purchased.\n\nIf you have room in your inventory, it will be placed there.  Otherwise, you may pick up the item later using the \'Available Items\' tab.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '184', 'help_details_viewer', 'Item Details\n\nUse this window to inspect an item in the Market.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '185', 'help_details_info', 'This panel shows information about the item, such as its name, type, who put it up for sale, and where the item is located.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '186', 'help_details_price', 'The item\'s price is displayed here, if the item is currently for sale.\n\nIf the item is up for auction, the current high bid is displayed.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '187', 'help_details_attribs', 'The Guaranteed Attributes of the item are shown here.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '188', 'help_details_desc', 'The description of the item, as provided by the seller, is displayed here.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '189', 'help_bid_high', 'Use this window to place a bid on an item.\n\nThis field displays the current high bid on the item.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '190', 'help_bid_bid', 'Enter your bid here.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '191', 'help_bid_proxy', 'Enter your Proxy Bid here.\n\nThe Proxy Bid is the limit to which the Auction system will automatically raise your bid.  Your bid is only automatically raised if you are out-bid by another player.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '192', 'sell_premium', 'Premium Sale');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '193', 'sell_tab_inv', 'Inventory');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '194', 'sell_tab_datapad', 'Datapad');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '195', 'err_sell_cannot_sell_intangible', 'You cannot sell this item.\n\nThe only data types that can be sold on the market are Manufacturing Schematics.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '196', 'help_sell_stockroom', 'This is the Selling Window.\n\nIt will allow you to sell the selected item from your Vendor Stock.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '197', 'help_sell_tabs', 'This is the Selling Window.\n\nYou can choose to sell an item from your inventory, or from your datapad, by using these tabs.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '198', 'help_sell_container', 'This is the container view of your inventory or datapad.\n\nSelect an item here to sell it.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '199', 'help_sell_info', 'Information about the item to sell is shown here.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '200', 'help_sell_stockroom_price', 'Specify the selling price of the item here.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '201', 'help_sell_instant', 'To sell the item as an Instant Sale, select this radio button and set the selling price.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '202', 'help_sell_auction', 'To sell the item in an Auction, select this radio button and set the minimum bid.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '203', 'help_sell_auction_time', 'If you are creating a new Auction, specify the duration of the Auction.\n\nOnce the auction duration expires, the item will be awarded to the highest bidder.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '204', 'help_sell_desc', 'Potential buyers will be able to see all the attributes of the item for sale.\n\nYou can add additional information here if desired.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '205', 'help_sell_ok', 'When you have configured the sale to your liking, press this button to create the sale.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '206', 'list_test_status_no_list', 'To request an item listing, hit the Refresh button.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '207', 'list_test_status_no_entries', 'No items found that meet the request criteria.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '208', 'list_test_status_no_list_filter', 'To request an item listing, select the desired filter parameters from the left, or hit the Refresh button.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '209', 'err_inventory_full', 'You have no room in your inventory to retrieve this item.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '210', 'err_cancel_auction_already_completed', 'That auction has already been completed.  It is too late to cancel.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '211', 'page_prev', 'Previous Items');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '212', 'page_next', 'Next Items');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '213', 'page_text_prefix', 'Items ');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '214', 'help_sell_auction_desc', 'To sell the item in an Auction, select this radio button and set the minimum bid.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '215', 'err_accept_bid_auction_already_complete', 'That auction is complete.  You cannot accept the high bid.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '216', 'table_premium', 'Premium');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '217', 'err_retrieve_item_does_not_exist', 'This item cannot be retrieved because it no longer exists.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '218', 'err_retrieve_reimbursed', 'The item no longer exists.  Your bank has been reimbursed for the amount of the sale price of this item.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '219', 'err_vendor_deactivated', 'This vendor is currently deactivated and is not accepting new items to be placed up for sale or offer.  If you are the owner of this vendor, please make sure the maintenance fees for this vendor have been paid to reactivate the vendor.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '220', 'err_auction_terminal_error', 'This market is unavailable.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '221', 'err_create_sale_in_trade', 'You cannot sell an item that you are trading.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '222', 'err_create_auction_in_crate', 'You cannot sell an item that is in a crate.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '223', 'err_create_auction_not_allowed', 'You are not allowed to sell that item.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '224', 'err_create_auction_not_empty', 'You can only sell empty containers.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '225', 'err_create_sale_not_empty', 'You can only sell empty containers.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '226', 'err_create_sale_not_allowed', 'You are not allowed to sell that item.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '227', 'err_create_sale_in_crate', 'You are not allowed to sell an item in a crate.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '228', 'err_create_auction_in_trade', 'You cannot sell an item that you are also trading.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '229', 'container_warning_prose', 'You are attempting to buy a container named \"\\#pcontrast1 %TT\\#.\".  The container\'s name does not necessarily reflect its contents.  Do not make this purchase unless you trust this seller.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '230', 'err_bid_outbid', 'The bid failed. You have been outbid.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '231', 'err_create_sale_too_many_vendors', 'You have more vendors than you can manage. You must either gain sufficient skill to manage the vendors you have, or remove one or more vendors before being allowed to place items for sale.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '232', 'err_create_sale_too_many_vendor_items', 'This vendor is at maximum capacity and cannot accept any more items for sale. ');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '233', 'err_create_sale_not_owner', 'You cannot sell an item you do not own.');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '234', 'list_tab_location', 'Vendor Location');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '235', 'table_distance_to', 'Distance');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '236', 'table_entrance_fee', 'Entrance Fee');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '237', 'create_waypoint', 'Create Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/ui_auc.stf', '238', 'waypoint_to_vendor', 'Waypoint to Vendor');
INSERT INTO `client_strings` VALUES ('string/en/ui_bugreport.stf', '34', 'cpt_bugreport', 'Bug Reporting');
INSERT INTO `client_strings` VALUES ('string/en/ui_bugreport.stf', '35', 'art', 'Art');
INSERT INTO `client_strings` VALUES ('string/en/ui_bugreport.stf', '36', 'bugtype', 'Category');
INSERT INTO `client_strings` VALUES ('string/en/ui_bugreport.stf', '37', 'cancel', 'Cancel');
INSERT INTO `client_strings` VALUES ('string/en/ui_bugreport.stf', '38', 'crash', 'Crash');
INSERT INTO `client_strings` VALUES ('string/en/ui_bugreport.stf', '39', 'description', 'Description of the bug');
INSERT INTO `client_strings` VALUES ('string/en/ui_bugreport.stf', '40', 'gameplay', 'Gameplay');
INSERT INTO `client_strings` VALUES ('string/en/ui_bugreport.stf', '41', 'hardware', 'Hardware');
INSERT INTO `client_strings` VALUES ('string/en/ui_bugreport.stf', '42', 'no', 'No');
INSERT INTO `client_strings` VALUES ('string/en/ui_bugreport.stf', '43', 'other', 'Other');
INSERT INTO `client_strings` VALUES ('string/en/ui_bugreport.stf', '44', 'repeatable', 'Is this bug repeatable?');
INSERT INTO `client_strings` VALUES ('string/en/ui_bugreport.stf', '45', 'send', 'Send');
INSERT INTO `client_strings` VALUES ('string/en/ui_bugreport.stf', '46', 'sound', 'Sound');
INSERT INTO `client_strings` VALUES ('string/en/ui_bugreport.stf', '47', 'yes', 'Yes');
INSERT INTO `client_strings` VALUES ('string/en/ui_bugreport.stf', '397', 'feedback', 'Feedback');
INSERT INTO `client_strings` VALUES ('string/en/ui_bugreport.stf', '789', 'infotext', 'We use bug reports to address issues with Star Wars Galaxies, but we are unable to respond directly to bug reports.  If you need immediate assistance, please create a Customer Service Ticket.\n\nWhen entering bugs please follow the guidelines listed below.  The more information you can give us about each bug, the better chance we have of tracking down and fixing the problem.  \n- Please use plain simple, complete sentences.\n- Please provide as much detailed information as you can.\n- If a developer can\'t see a problem on their machine, fixing it is difficult.  Use step by step instructions to assist in accurately reproduce bugs.\n- Include only one bug per submission.');
INSERT INTO `client_strings` VALUES ('string/en/ui_bugreport.stf', '790', 'instructions', 'Instructions');
INSERT INTO `client_strings` VALUES ('string/en/ui_bugreport.stf', '791', 'none', 'None');
INSERT INTO `client_strings` VALUES ('string/en/ui_bugreport.stf', '792', 'chatmail', 'Chat/Mail');
INSERT INTO `client_strings` VALUES ('string/en/ui_bugreport.stf', '793', 'travel', 'Travel');
INSERT INTO `client_strings` VALUES ('string/en/ui_bugreport.stf', '794', 'combat', 'Combat');
INSERT INTO `client_strings` VALUES ('string/en/ui_bugreport.stf', '795', 'crafting', 'Crafting');
INSERT INTO `client_strings` VALUES ('string/en/ui_bugreport.stf', '796', 'options', 'Options');
INSERT INTO `client_strings` VALUES ('string/en/ui_bugreport.stf', '797', 'skills', 'Skills');
INSERT INTO `client_strings` VALUES ('string/en/ui_bugreport.stf', '798', 'sevcrash', 'Causes Crash');
INSERT INTO `client_strings` VALUES ('string/en/ui_bugreport.stf', '799', 'cantbypass', 'Cannot  be bypassed');
INSERT INTO `client_strings` VALUES ('string/en/ui_bugreport.stf', '800', 'canbypass', 'Can bypass');
INSERT INTO `client_strings` VALUES ('string/en/ui_bugreport.stf', '801', 'unknown', 'Unknown');
INSERT INTO `client_strings` VALUES ('string/en/ui_bugreport.stf', '802', 'system', 'Game System (if any)');
INSERT INTO `client_strings` VALUES ('string/en/ui_bugreport.stf', '803', 'severity', 'Severity');
INSERT INTO `client_strings` VALUES ('string/en/ui_bugreport.stf', '804', 'mission', 'Mission');
INSERT INTO `client_strings` VALUES ('string/en/ui_bugreport.stf', '805', 'bugsubtype', 'Subcategory');
INSERT INTO `client_strings` VALUES ('string/en/ui_charsheet.stf', '438', 'shock_wounds', 'Battle Fatigue');
INSERT INTO `client_strings` VALUES ('string/en/ui_charsheet.stf', '482', 'food', 'Food');
INSERT INTO `client_strings` VALUES ('string/en/ui_charsheet.stf', '483', 'drink', 'Drink');
INSERT INTO `client_strings` VALUES ('string/en/ui_charsheet.stf', '484', 'experience', 'Experience');
INSERT INTO `client_strings` VALUES ('string/en/ui_charsheet.stf', '485', 'factionstanding', 'Faction Standing');
INSERT INTO `client_strings` VALUES ('string/en/ui_charsheet.stf', '486', 'status', 'Status');
INSERT INTO `client_strings` VALUES ('string/en/ui_charsheet.stf', '487', 'rebelfaction', 'Rebel');
INSERT INTO `client_strings` VALUES ('string/en/ui_charsheet.stf', '488', 'imperialfaction', 'Imperial');
INSERT INTO `client_strings` VALUES ('string/en/ui_charsheet.stf', '489', 'criminalfaction', 'Criminal');
INSERT INTO `client_strings` VALUES ('string/en/ui_charsheet.stf', '548', 'statmigration', 'Stat Migration');
INSERT INTO `client_strings` VALUES ('string/en/ui_charsheet.stf', '585', 'bornlabel', 'Born');
INSERT INTO `client_strings` VALUES ('string/en/ui_charsheet.stf', '586', 'specieslabel', 'Species');
INSERT INTO `client_strings` VALUES ('string/en/ui_charsheet.stf', '587', 'playedlabel', 'Time Played');
INSERT INTO `client_strings` VALUES ('string/en/ui_charsheet.stf', '588', 'homelabel', 'Home');
INSERT INTO `client_strings` VALUES ('string/en/ui_charsheet.stf', '589', 'biolabel', 'Bio');
INSERT INTO `client_strings` VALUES ('string/en/ui_charsheet.stf', '590', 'badgeslabel', 'Badges');
INSERT INTO `client_strings` VALUES ('string/en/ui_charsheet.stf', '591', 'marriedlabel', 'Married');
INSERT INTO `client_strings` VALUES ('string/en/ui_charsheet.stf', '594', 'homeless', 'Wanderer');
INSERT INTO `client_strings` VALUES ('string/en/ui_charsheet.stf', '595', 'married', 'Married');
INSERT INTO `client_strings` VALUES ('string/en/ui_charsheet.stf', '596', 'unmarried', 'Unmarried');
INSERT INTO `client_strings` VALUES ('string/en/ui_charsheet.stf', '614', 'attributes', 'Character Attributes');
INSERT INTO `client_strings` VALUES ('string/en/ui_charsheet.stf', '659', 'personal', 'Personal');
INSERT INTO `client_strings` VALUES ('string/en/ui_charsheet.stf', '714', 'bindlabel', 'Bind Location');
INSERT INTO `client_strings` VALUES ('string/en/ui_charsheet.stf', '715', 'banklabel', 'Bank Location');
INSERT INTO `client_strings` VALUES ('string/en/ui_charsheet.stf', '716', 'lotslabel', 'Lots Remaining');
INSERT INTO `client_strings` VALUES ('string/en/ui_charsheet.stf', '736', 'unknown', 'Unknown');
INSERT INTO `client_strings` VALUES ('string/en/ui_charsheet.stf', '737', 'faction_neutral', 'Civilian');
INSERT INTO `client_strings` VALUES ('string/en/ui_charsheet.stf', '738', 'faction_rebelcovert', 'Rebel Combatant');
INSERT INTO `client_strings` VALUES ('string/en/ui_charsheet.stf', '739', 'faction_rebeldeclared', 'Rebel Special Forces');
INSERT INTO `client_strings` VALUES ('string/en/ui_charsheet.stf', '740', 'faction_imperialcovert', 'Imperial Combatant');
INSERT INTO `client_strings` VALUES ('string/en/ui_charsheet.stf', '741', 'faction_imperialdeclared', 'Imperial Special Forces');
INSERT INTO `client_strings` VALUES ('string/en/ui_charsheet.stf', '755', 'help_attributes', 'This is your Character Sheet.  \n\nIt shows basic information about your character, such as your health, faction status, and guild affiliation.\n\nThis table displays your attributes, such as your Health, Action, and Mind.  Wounds are also displayed.  Wounds lower an attribute\'s maximum value.  Wounds can be healed at hospitals or cantinas, or by skilled players.');
INSERT INTO `client_strings` VALUES ('string/en/ui_charsheet.stf', '756', 'help_shockwounds', 'This is the number of battle fatigue points that you currently have.  Battle fatigue makes it more difficult to heal.  This fatigue must be healed by an Entertainer, Dancer or Musician in a Cantina, Hotel, Tavern, or Theater.');
INSERT INTO `client_strings` VALUES ('string/en/ui_charsheet.stf', '757', 'help_stomach', 'You can eat and drink food which can give you temporary benefits.  Once your stomach is full, you\'ll have to wait until you can eat again.');
INSERT INTO `client_strings` VALUES ('string/en/ui_charsheet.stf', '758', 'help_factions', 'This page displays your current faction alignment, and what faction points you\'ve earned with both the Rebels and Imperials.  These points affect how NPC\'s interact with you and can be spent for benefits like specialized weapons or armor.');
INSERT INTO `client_strings` VALUES ('string/en/ui_charsheet.stf', '759', 'help_statmigration', 'This button opens the stat migration page, where you can modify your maximum attribute values.');
INSERT INTO `client_strings` VALUES ('string/en/ui_charsheet.stf', '760', 'holocube', 'Holocron');
INSERT INTO `client_strings` VALUES ('string/en/ui_charsheet.stf', '761', 'help_personalinfo', 'Personal information, such as your birthdate, bind location, and marriage status are listed here.');
INSERT INTO `client_strings` VALUES ('string/en/ui_charsheet.stf', '762', 'help_badges', 'This is a list of the badges that you have earned.  Badges are granted for completing certain in-game actions.');
INSERT INTO `client_strings` VALUES ('string/en/ui_charsheet.stf', '763', 'help_bio', 'This is your biography.  Other players see this when they examine you.');
INSERT INTO `client_strings` VALUES ('string/en/ui_charsheet.stf', '764', 'statmig_usealltpoints', 'You must assign all of your attribute points.');
INSERT INTO `client_strings` VALUES ('string/en/ui_charsheet.stf', '765', 'factions', 'Factions');
INSERT INTO `client_strings` VALUES ('string/en/ui_charsheet.stf', '766', 'force_power', 'Force Power');
INSERT INTO `client_strings` VALUES ('string/en/ui_charsheet.stf', '767', 'image_design_note', 'IMPORTANT NOTE!\n\nStat migration targets set in this window will NOT be applied until you visit an Image Designer.  These targets will be used when an Image Designer migrates your stats.');
INSERT INTO `client_strings` VALUES ('string/en/ui_charsheet.stf', '768', 'badges_earned', 'Badges you have won');
INSERT INTO `client_strings` VALUES ('string/en/ui_charsheet.stf', '769', 'badges_unearned', 'Badges you have not yet won');
INSERT INTO `client_strings` VALUES ('string/en/ui_charsheet.stf', '770', 'badges_none', 'You have not won any badges');
INSERT INTO `client_strings` VALUES ('string/en/ui_charsheet.stf', '771', 'badges_all', 'Congratulations! You have won every badge!');
INSERT INTO `client_strings` VALUES ('string/en/ui_charsheet.stf', '772', 'faction_imperialonleave', 'Imperial On Leave');
INSERT INTO `client_strings` VALUES ('string/en/ui_charsheet.stf', '773', 'faction_rebelonleave', 'Rebel On Leave');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '1', 'create', 'Create Channel');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '2', 'delete', 'Delete Channel');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '3', 'destroyed_self', 'You have destroyed the channel.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '4', 'done', 'Done');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '5', 'err_not_found', 'That channel does not exist on the server.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '6', 'info_creator', 'Channel Creator:');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '7', 'info_header', 'Channel details:');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '8', 'info_invitees', 'Invited members of the channel:');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '9', 'info_members', 'The following people are currently on this channel:');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '10', 'info_moderators', 'Channel moderators:');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '11', 'info_owner', 'Channel owner:');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '12', 'join', 'Join');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '13', 'leave', 'Leave');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '14', 'list_received', 'Channel listing complete.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '15', 'other_moderator_added_prose', 'Moderator status has been granted to %TU.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '16', 'other_moderator_removed_prose', 'Moderator status has been revoked from %TU.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '17', 'ops_header', 'These are the people who have moderator status in this channel:');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '18', 'created', 'You have created the channel.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '19', 'other_entered_prose', '%TU has joined the channel.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '20', 'other_left_prose', '%TU has left the channel.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '21', 'query_received', 'Channel information complete.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '22', 'refresh', 'Refresh');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '23', 'self_join', 'You have joined the channel.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '24', 'self_left', 'You have left the channel.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '25', 'send_err_no_message', 'You cannot send a blank message to a channel!');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '26', 'send_err_not_a_member', 'You must join this channel before you can send messages to it.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '27', 'who_header', 'Members of this channel:');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '28', 'cpt_browser', 'Channel Browser');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '29', 'destroyed_other_prose', '%TU has destroyed the channel.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '30', 'info_name', 'Chatroom name:');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '31', 'info_title', 'Chatroom title:');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '32', 'channel_unavailable', 'Chat channel unavailable!');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '33', 'self_moderator_added', 'You have been granted moderator status.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '34', 'self_moderator_removed', 'Your moderator status has been revoked.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '35', 'err_no_such_member', 'No such member.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '36', 'err_no_such_invitee', 'No such invitee.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '37', 'err_no_such_moderator', 'No such moderator.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '38', 'err_entered_room_not_found', 'You are not a member of any such room.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '39', 'not_found', 'Chatroom not found.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '40', 'err_bad_avatar_name', 'Bad avatar name specified.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '41', 'create_create_fail_already_exists_prose', 'There is already a channel named \'%TU.\' Try creating the channel again with a different name.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '42', 'create_create_fail_invalid_name_prose', 'Cannot create the channel named \'%TU\' because the name is invalid.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '43', 'create_create_fail_unknown_prose', 'Channel \'%TU\' creation failed for an unknown reason.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '44', 'join_fail_not_invited_prose', 'You cannot join \'%TU\' because you are not invited to the room.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '45', 'join_fail_invalid_room_id_prose', 'You cannot join chatroom \'%TU\' because the room UID was invalid.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '46', 'join_fail_invalid_room_name_prose', 'Chatroom \'%TU\' does not exist!');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '47', 'join_fail_unknown_prose', 'Chatroom \'%TU\' join failed for an unknown reason.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '48', 'create_path_prefix', 'Chatroom path');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '49', 'cpt_create', 'Create Chatroom');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '50', 'create_room_name', 'Room Name');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '51', 'create_room_title', 'Chatroom title');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '52', 'create_check_private', 'Private Chatroom');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '53', 'create_check_moderated', 'Moderated Chatroom');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '54', 'create_cancel', 'Cancel');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '55', 'create_ok', 'Ok');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '56', 'info_private_prefix', 'Private:');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '57', 'info_moderated_prefix', 'Moderated:');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '58', 'not_a_room', 'The specified chatroom path does not support the requested operation.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '59', 'destroy_fail_prose', 'You don\'t have permission to delete \'%TU.\'');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '60', 'send_err_unknown_prose', 'Your message to %TU was not sent.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '61', 'send_err_insufficient_privs_prose', 'Your message to %TU was not sent because it was too long.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '62', 'send_err_not_a_moderator_prose', 'Your message to %TU was not sent because you are not a moderator.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '63', 'create_err_invalid_name', 'The chatroom name is invalid.\nChatroom names may only contain letters and numbers. Spaces and punctuation are not allowed.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '64', 'create_err_no_title', 'You must specify a title for your chatroom.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '65', 'create_err_no_name', 'You must specify a name for your chatroom.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '66', 'invitees_header', 'Invitees to this chat room:');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '67', 'err_parser_no_room_specified', 'You must specify a chatroom for this command.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '68', 'invite_success_prose', 'You have invited %TT to %TU.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '69', 'invite_fail_avatar_not_found_prose', 'Failed to invite %TT to %TU: avatar not found.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '70', 'invite_fail_room_not_exist_prose', 'Failed to invite %TT to %TU: room does not exist.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '71', 'invite_fail_room_not_private_prose', 'Failed to invite %TT to %TU: room is not private.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '72', 'invite_fail_not_moderator_prose', 'Failed to invite %TT to %TU: you are not a moderator.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '73', 'invite_fail_unknown_prose', 'Failed to invite %TT to %TU.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '74', 'uninvite_success_prose', 'You uninvited %TT from %TU.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '75', 'uninvite_fail_avatar_not_found_prose', 'Failed to uninvite %TT from %TU: avatar not found.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '76', 'uninvite_fail_room_not_exist_prose', 'Failed to uninvite %TT from %TU: room does not exist.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '77', 'uninvite_fail_room_not_private_prose', 'Failed to uninvite %TT from %TU: room is not private.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '78', 'uninvite_fail_not_moderator_prose', 'Failed to uninvite %TT from %TU: you are not a moderator.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '79', 'uninvite_fail_avatar_not_invited_prose', 'Failed to uninvite %TT from %TU:that avatar is not currently invited.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '80', 'uninvite_fail_unknown_prose', 'Failed to uninvite %TT from %TU.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '81', 'mod_add_success_prose', 'You made %TT a moderator in %TU.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '82', 'mod_add_fail_avatar_not_found_prose', 'Failed to op %TT in %TU: avatar not found.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '83', 'mod_add_fail_room_not_exist_prose', 'Failed to op %TT in %TU: room does not exist.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '84', 'mod_add_fail_room_not_moderated_prose', 'Failed to op %TT in %TU: room not moderated.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '85', 'mod_add_fail_not_moderator_prose', 'Failed to op %TT in %TU: You are not a moderator.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '86', 'mod_add_fail_unknown_prose', 'Failed to op %TT in %TU.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '87', 'mod_remove_success_prose', 'You deop\'d %TT in %TU.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '88', 'mod_remove_fail_avatar_not_found_prose', 'Failed to deop %TT in %TU: avatar not found.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '89', 'mod_remove_fail_room_not_exist_prose', 'Failed to deop %TT in %TU: room does not exist.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '90', 'mod_remove_fail_room_not_moderated_prose', 'Failed to deop %TT in %TU: room not moderated.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '91', 'mod_remove_fail_not_moderator_prose', 'Failed to deop %TT in %TU: You are not a moderator.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '92', 'mod_remove_fail_unknown_prose', 'Failed to deop %TT in %TU.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '93', 'who_name', 'Avatar Name');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '94', 'who_table', 'Members, Invitees, and Moderators');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '95', 'who_present', 'Present');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '96', 'who_moderator', 'Moderator');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '97', 'who_invited', 'Invited');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '98', 'who_kick', 'Kick');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '99', 'who_invite', 'Invite');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '100', 'who_ok', 'Close');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '101', 'who_chatroom', 'Chatroom Browser');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '102', 'who_op', 'Set Moderator');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '103', 'who_deop', 'Revoke Moderator');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '104', 'who', 'Info');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '105', 'who_uninvite', 'Uninvite');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '106', 'invited_prose', '%TT has invited you to join the [%TO] chatroom.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '107', 'who_ban', 'Ban');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '108', 'who_unban', 'Unban');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '109', 'cpt_invite', 'Invite To Chatroom');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '110', 'invitee_name', 'Avatar to Invite:');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '111', 'ban_name', 'Avatar to Ban:');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '112', 'cpt_ban', 'Ban from Chatroom');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '113', 'ban', 'Ban');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '114', 'room_name_label', 'Chatroom:');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '115', 'ban_success_prose', '%TT has been banned from %TU.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '116', 'ban_fail_avatar_not_found_prose', 'Ban %TT from %TU failed: Avatar not found.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '117', 'ban_fail_room_not_exist_prose', 'Ban %TT from %TU failed: Room does not exist.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '118', 'ban_fail_unknown_prose', 'Ban %TT from %TU failed: Unknown Error');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '119', 'ban_fail_no_privs_prose', 'Ban %TT from %TU failed: Insufficient Privileges');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '120', 'ban_fail_banned_prose', 'Ban %TT from %TU failed: Already Banned.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '121', 'unban_success_prose', '%TT has been unbanned from %TU.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '122', 'unban_fail_avatar_not_found_prose', 'Unban %TT from %TU failed: Avatar Not Found.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '123', 'unban_fail_room_not_exist_prose', 'Unban %TT from %TU failed: Room Does Not Exist.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '124', 'unban_fail_unknown_prose', 'Unban %TT from %TU failed: Unknown Error.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '125', 'unban_fail_no_privs_prose', 'Unban %TT from %TU failed: Insufficient Privileges.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '126', 'unban_fail_banned_prose', 'Unban %TT from %TU failed: Not Banned.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '127', 'join_fail_banned_prose', 'You cannot join %TU because you have been banned.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '128', 'confirm_destroy_room', 'Really destroy the room?');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '129', 'help_browser_buttonrefresh', 'Click this button to refresh the channel list.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '130', 'help_browser_createdelete', 'Click these buttons to create or delete a chat channel that you own.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '131', 'help_browser_info', 'Information about the selected chat channel is displayed here.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '132', 'help_browser_joinleave', 'Click these buttons to join or leave a chat channel.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '133', 'help_browser_tree', 'This shows all currently available chat channels.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '134', 'help_browser_buttonwho', 'Click this button to view details about the people in the selected room.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '135', 'help_who_kick', 'This button removes a problematic user from your chatroom.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '136', 'help_who_invite_uninvite', 'This button allows the creator of the channel to invite/uninvite other users.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '137', 'help_who_ban_unban', 'This button removes a problematic user from a channel, preventing him to return until the creator of the channel unbans him.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '138', 'help_create_path', 'This is the path in which your chatroom has been made.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '139', 'help_create_room_name', 'This is the name of the chatroom you have created.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '140', 'help_create_room_title', 'This is the title of your chatroom. It could be a welcoming message or a topic that you and your friends discuss.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '141', 'help_create_check_private', 'Check this box if you wish your channel to be private, preventing others from wandering in and only allowing those you invite to join your channel.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '142', 'help_create_check_moderated', 'Checking this box only allows you, and those you select, to talk in the chat channel.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '143', 'help_who_info', 'In this box, the information regarding a channel is displayed.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '144', 'help_who_table', 'In this box,  the information regarding the channel\'s users are displayed.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '145', 'help_who_icons', 'These columns represent icons regarding the status of a user in the chat channel. For example, in the moderator column, if a particular user is the moderator, an icon would appear.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '146', 'create_err_profane_title', 'The chat channel title you specified is not appropriate. The chat channel will not be created.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chatroom.stf', '147', 'create_err_profane_name', 'The chat channel name you specified is not appropriate. The chat channel will not be created.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chat_channels.stf', '1', 'help_available', 'This is the Tab Management page.\n\nFrom here you can select what channels display in the tab.\n\nThis first list displays what built in channels are available but are not currently being displayed in this tab.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chat_channels.stf', '2', 'help_tab', 'This list contains the chat channels which will display in this tab.  To remove a channel from displaying in this tab, double-click it or select it and click the arrows.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chat_channels.stf', '3', 'help_default', 'Click this button to set the channel where text entered from this chat tab goes.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chat_channels.stf', '4', 'help_name', 'The name displayed for this chat tab.');
INSERT INTO `client_strings` VALUES ('string/en/ui_chat_channels.stf', '5', 'help_join', 'Click this button to display a window where you can subscribe to new chat channels.');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '1', 'blood_type_a_negative', 'A-\n');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '2', 'blood_type', 'Blood Type');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '3', 'collecting', 'Collecting');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '4', 'computers', 'Computers');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '5', 'hobbies', 'Hobbies');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '6', 'general_topics', 'General Topics');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '7', 'music', 'Music');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '9', 'movies', 'Movies');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '10', 'reading', 'Reading');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '11', 'playing_games', 'Playing Games');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '12', 'video_games', 'Video Games');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '13', 'zodiac_sign', 'Zodiac Sign');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '14', 'swg_gameplay', 'SWG Gameplay');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '15', 'watching_tv', 'Watching TV');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '16', 'sports', 'Sports');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '17', 'pets', 'Pets');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '18', 'match_found_prose', 'Personality match of %DI% with %TT');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '19', 'search_time_never', 'Never');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '20', 'search_time_2_minutes', 'every 2 minutes');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '21', 'search_time_5_minutes', 'every 5 minutes');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '22', 'blood_type_a_positive', 'A+');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '23', 'blood_type_ab_positive', 'AB+');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '24', 'blood_type_ab_negative', 'AB-');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '25', 'blood_type_b_negative', 'B-');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '26', 'blood_type_b_positive', 'B+');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '29', 'blood_type_o_positive', 'O+');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '30', 'blood_type_o_negative', 'O-');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '31', 'collecting_action_figures', 'Action Figures');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '32', 'collecting_antiques', 'Antiques');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '33', 'collecting_coins', 'Coins');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '34', 'collecting_other', 'Other');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '35', 'collecting_stamps', 'Stamps');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '36', 'computers_mac', 'MAC');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '37', 'computers_pc', 'PC');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '38', 'computers_programming', 'Programming');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '39', 'computers_unix_linux', 'Unix/Linux');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '40', 'computers_web_design', 'Web Design');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '41', 'general_topics_astrology_occult', 'Astrology/Occult');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '42', 'general_topics_astronomy', 'Astronomy');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '43', 'general_topics_cars', 'Cars');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '44', 'general_topics_cooking', 'Cooking');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '45', 'general_topics_gardening', 'Gardening');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '46', 'general_topics_hard_sciences', 'Hard Sciences');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '47', 'general_topic_politics', 'Politics');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '48', 'general_topics_social_sciences', 'Social Sciences');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '49', 'hobbies_photography', 'Photography');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '50', 'hobbies_arts_and_crafts', 'Arts and Crafts');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '51', 'hobbies_dancing', 'Dancing');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '52', 'hobbies_model_making', 'Model Making');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '53', 'hobbies_musician', 'Musician');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '54', 'hobbies_needlecraft', 'Needlecraft');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '55', 'hobbies_visual_arts', 'Visual Arts');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '56', 'hobbies_writing', 'Writing');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '57', 'collecting_stuffed_animals', 'Stuffed Animals');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '58', 'general_topics_politics', 'Politics');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '59', 'movies_anime_cartoons', 'Anime/Cartoons');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '60', 'movies_classics', 'Classics');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '61', 'movies_documentaries', 'Documentaries');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '62', 'movies_drama', 'Drama');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '63', 'movies_fantasy_horror', 'Fantasy/Horror');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '64', 'movies_romantic_comedy', 'Romantic Comedy');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '65', 'movies_science_fiction', 'Science Fiction');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '66', 'movies_thrillers', 'Thrillers');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '67', 'music_blues', 'Blues');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '68', 'music_celtic', 'Celtic');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '69', 'music_classical_orchestral', 'Classical/Orchestral');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '71', 'music_country', 'Country');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '72', 'music_dance_techno', 'Dance/Techno');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '73', 'music_folk_singer_songwriter', 'Folk Singer/Song Writer');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '74', 'music_gospel', 'Gospel');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '75', 'music_rock', 'Rock');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '76', 'music_jazz', 'Jazz');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '77', 'music_latin', 'Latin');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '78', 'music_musicals', 'Musicals');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '79', 'music_new_age', 'New Age');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '80', 'music_oldies', 'Oldies');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '81', 'music_r_b', 'Rhythm and Blues');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '82', 'music_rap_hiphop', 'Rap/Hiphop');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '83', 'music_reggae_caribbean', 'Reggae/Carribean');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '84', 'music_soft_rock_aaa_pop', 'Soft Rock/AAA Pop');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '85', 'music_swing_big_band', 'Swing/Big Band');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '86', 'music_world_beat', 'World Beat');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '87', 'pets_birds', 'Birds');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '88', 'pets_cats', 'Cats');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '89', 'pets_dogs', 'Dogs');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '90', 'pets_fish', 'Fish');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '91', 'pets_reptiles', 'Reptiles');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '92', 'pets_small_mammals_rodents', 'Small Mammals/Rodents');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '93', 'playing_games_board_games_party_games', 'Board Games/Party Games');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '94', 'playing_games_cards', 'Cards');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '95', 'playing_games_collectible_card_games', 'Collectible Card Games');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '96', 'playing_games_live_action_roleplaying', 'Live Action Roleplaying');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '97', 'playing_games_puzzles', 'Puzzles');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '98', 'reading_comics_manga', 'Comics/Manga');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '99', 'reading_fantasy_horror', 'Fantasy/Horror');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '100', 'reading_literary', 'Literary');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '101', 'reading_mystery', 'Mystery');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '102', 'reading_non_fiction', 'Non-Fiction');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '103', 'reading_poetry', 'Poetry');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '104', 'reading_romance', 'Romance');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '105', 'reading_science_fiction', 'Science Fiction');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '106', 'reading_thrillers', 'Thrillers');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '107', 'sports_martial_arts', 'Martial Arts');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '108', 'sports_other', 'Other');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '109', 'sports_skateboarding_skating_rollerblading', 'Skateboarding/Skating/Rollerblading');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '110', 'sports_swimming', 'Swimming');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '111', 'sports_team_sports', 'Team Sports');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '112', 'swg_gameplay_crafting_experience', 'Crafting/Experience');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '113', 'swg_gameplay_player_vs_player_combat', 'Player vs Player Combat');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '114', 'swg_gameplay_adventuring', 'Adventuring');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '115', 'swg_gameplay_socializing', 'Socializing');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '116', 'video_games_fighting', 'Fighting');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '117', 'video_games_puzzle', 'Puzzle');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '118', 'video_games_racing', 'Racing');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '119', 'video_games_real_time_strategy', 'Realtime Strategy');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '120', 'video_games_rhythm', 'Rhythm');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '121', 'video_games_rpg_adventure', 'Roleplaying/Adventure');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '122', 'video_games_shooters', 'Shooters');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '123', 'video_games_simulation_space_sim', 'Simulation/Space Sim');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '124', 'video_games_sports', 'Sports');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '125', 'video_games_strategy', 'Strategy');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '126', 'video_games_console', 'Console');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '127', 'video_games_pc', 'PC');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '128', 'watching_tv_anime_cartoons', 'Anime/Cartoons');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '129', 'watching_tv_drama', 'Drama');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '130', 'watching_tv_documentary', 'Documentary');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '131', 'watching_tv_family_drama', 'Family Drama');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '132', 'watching_tv_fantasy_horror_science_fiction', 'Fantasy/Horror/Science Fiction');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '133', 'watching_tv_music', 'Music');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '134', 'watching_tv_sitcoms', 'Sitcoms');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '135', 'watching_tv_soaps', 'Soaps');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '136', 'zodiac_sign_aquarius', 'Aquarius (Jan. 20 to Feb. 17)');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '137', 'zodiac_sign_aries', 'Aries (March 20 to April 19)');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '138', 'zodiac_sign_cancer', 'Cancer (June 21 to July 22)');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '139', 'zodiac_sign_capricorn', 'Capricorn (Dec. 22 to Jan. 19)');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '140', 'zodiac_sign_gemini', 'Gemini (May 21 to June 20)');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '141', 'zodiac_sign_leo', 'Leo (July 23 to Aug. 22)');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '142', 'zodiac_sign_libra', 'Libra (Sep. 23 to Oct. 22)');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '143', 'zodiac_sign_pisces', 'Pisces (Feb. 18 to March 19)');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '144', 'zodiac_sign_sagittarius', 'Sagittarius (Nov. 22 to Dec. 21)');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '145', 'zodiac_sign_scorpio', 'Scorpio (Oct. 23 to Nov. 21)');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '146', 'zodiac_sign_taurus', 'Taurus (April 20 to May 20)');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '147', 'zodiac_sign_virgo', 'Virgo (Aug. 23 to Sep. 22)');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '149', 'search_time_10_minutes', 'every 10 minutes');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '150', 'gender', 'Gender');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '151', 'gender_male', 'Male');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '152', 'gender_female', 'Female');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '153', 'swg_gameplay_crafting_commerce', 'Crafting/Commerce');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '154', 'watching_tv_fantasy_horror_sci_fi', 'Fantasy/Horror/Science Fiction');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '155', 'tab_personal', 'Personal');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '156', 'tab_character', 'Character');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '157', 'tab_search', 'Search');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '158', 'category', 'Category/');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '159', 'type', 'I am/');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '160', 'people_interested_in', 'I prefer people interested in/');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '161', 'profile', 'Profile/');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '162', 'preferences', 'Preferences/');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '163', 'sensitivity_meter', 'Sensitivity Meter/');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '164', 'search_time', 'Search this often/');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '165', 'reset', 'Reset');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '166', 'add_item', 'Add item');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '167', 'remove_item', 'Remove item');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '168', 'make_my_profile_searchable', 'Make my profile searchable');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '169', 'my_profile', 'My Profile/');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '170', 'my_preferences', 'My Preferences/');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '171', 'done', 'Done');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '172', 'cpt_community', 'Community');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '173', 'name', 'Name/');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '174', 'biography', 'Biography/');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '175', 'badges', 'Badges/');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '176', 'birthdate', 'Birthdate/');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '177', 'birth_planet', 'Birth Planet/');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '178', 'species', 'Species/');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '179', 'title', 'Title/');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '180', 'looking_for_group', 'Looking for group');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '181', 'newbie_player', 'Newbie player');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '182', 'roleplayer', 'Roleplayer');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '183', 'make_character_searchable', 'Make my character searchable');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '184', 'faction', 'Faction/');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '185', 'profession', 'Profession/');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '186', 'search', 'Search');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '187', 'search_results', 'Search Results/');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '188', 'newbie_helper', 'Newbie helper');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '189', 'any', 'Any');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '190', 'tab_ignore', 'Ignore List');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '191', 'tab_friends', 'Friends List');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '192', 'tab_history', 'Match History');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '193', 'friend_list_remove', 'Remove');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '194', 'friend_list_select_all', 'Select All');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '195', 'friend_list_mail', 'Mail');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '196', 'friend_list_name', 'Name');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '197', 'friend_list_add', 'Add');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '198', 'ignore_list_add', 'Add');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '199', 'ignore_list_remove', 'Remove');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '200', 'ignore_list_name', 'Name');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '201', 'history_time', 'Time');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '202', 'history_they_match_to_me', 'My profile to their profile');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '203', 'history_i_match_to_them', 'My pref to their profile');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '204', 'history_name', 'Name');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '205', 'friend_list_comment', 'Comment');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '206', 'friend_list_group', 'Group');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '207', 'friend_list_online_status', 'Status');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '208', 'match_table_name', 'Name');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '209', 'match_table_personality', 'Personality');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '210', 'match_table_roleplayer', 'Roleplayer');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '211', 'match_table_faction', 'Faction');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '212', 'match_table_species', 'Species');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '213', 'match_table_title', 'Title');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '214', 'match_table_group', 'LFG');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '215', 'match_table_helper', 'Newbie Helper');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '216', 'one_selection_only', '(one selection only)');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '217', 'no_more_selections', 'No more selections');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '218', 'include_personal_preferences', 'Include personal preferences');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '219', 'no_title', 'No Title');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '220', 'friend_online', '***%TU is online at %TO. If you are on %TU\'s friends list, try /findFriend %TU to find them.');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '221', 'friend_offline', '***%TU has gone offline at %TO.');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '222', 'clear_preference_confirmation', 'Are you sure you want to delete all of your matchmaking preferences?');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '223', 'clear_profile_confirmation', 'Are you sure you want to delete your entire matchmaking profile?');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '224', 'quick_match_title', 'Quick Matches for %TU\n----------------------------------');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '225', 'quick_match_none', 'There are no players that match your quick match filter.');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '226', 'quick_match_one', 'There is 1 matching player.');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '227', 'quick_match_many', 'There are %DI matching players.');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '229', 'quick_match_bad_parameters', 'Your quick match parameter does not match any of the Categories or Types listed in the Community->Personal window.');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '230', 'help_personal_profile_cat', 'This section defines your personal profile.\n\nTo add characteristics to your profile, select from these choices and press \"Add item\".\n\nThe top item is a category and the bottom item is a type within that category.');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '231', 'help_personal_profile_list', 'This is your complete list of profile characteristics. Other player\'s preferences are matched against your profile. If you want people to use matchmaking with you, be sure to add characteristics to your profile. To remove a characteristic, select the item and press \"Remove item\". You can select multiple items at once for removal.');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '232', 'help_personal_profile_check', 'This check box specifies whether other players can use matchmaking with you. This allows other player\'s preferences to match against your profile.');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '233', 'help_personal_profile_reset', 'This button clears all your profile characteristics above.');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '234', 'help_personal_pref_interest', 'This section defines your personal preferences .\n\nTo add new characteristics to your preferences, select from these choices and press the \"Add item\" button.\n\nThe top item is a category and the bottom item is a type within that category.');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '235', 'help_personal_pref_list', 'This is your complete list of personal preferences. Your preferences are matched against other player\'s profiles. To remove a preference characteristic, select the item and press \"Remove item\". You can select multiple items at once for removal.');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '236', 'help_personal_pref_slider', 'This slider defines the accuracy of the player to player match. If you only want to be notified of perfect matches, set the slider to 100%.');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '237', 'help_personal_pref_reset', 'This button clears all your preference characteristics above.');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '239', 'help_window', 'The community window allows you to find friends using matchmaking, personalize your avatar, find other players, view your friends list, and ignore players.\n');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '240', 'help_personal_tab', 'The Personal tab defines your matchmaking profile.  You can meet people in the game by matching your preferences to their profile. You are only notified of high percentage matches.\n\nMatchmaking checks are made with players that are near you.');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '241', 'help_personal_pref_search_time', 'This sets the time between matchmaking searches.');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '242', 'help_history_table', 'This is the match history tab.\n\nThis shows all matchmaking matches that have occured during the current play session. The players listed have similar interests.');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '243', 'help_character_name', 'The character page displays information about your character that is visibile to other players.');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '244', 'help_character_info', 'This section displays the name of your character, the day you character was created, the planet your character was created on, and the species of your character.\n\nYou can not modify this information.');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '245', 'help_character_badges', 'This displays the accomplishments your character has completed.');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '246', 'help_character_flags', 'Your character can be searched by other players seeking assistance. Set your title to one that represents your character\'s current  role. Specify whether you are looking for a group, want to help new players, or like to roleplay. In the chat window, you can toggle your status usig /lfg, /helper, and /roleplay.\n\nThis information is used on the next Search Tab for players to search for you.');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '247', 'help_character_biography', 'The biography gives other players background information about your character.\n\nOther players can access your biography through the radial menu on your character.');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '248', 'help_character_check', 'This check box defines whether your player is searchable when using the following Search tab or the /who command in the chat window. You  can also toggle this command using /anon.');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '249', 'help_search_description', 'On this page you can seach for players in the vicinity with various criteria.  This search does NOT search the entire galaxy, but only your local area.  If you wish to contact an Architect about a home purchase, for example, simply select \"Architect\" from the Profession list and search for any nearby Architects.');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '250', 'help_search_combo', 'When searching for a player, specify the perceived faction, species, profession, or title.');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '251', 'help_search_flags', 'Specify whether you need a player who is looking for a group, a new player helper, or a roleplayer.');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '252', 'help_search_button', 'This initiates a search for players matching your specifications.');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '253', 'help_friends_table', 'The Friends List tab displays any friends you have added to your list. As your friends come online or go offline, their status is displayed here.');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '254', 'help_friends_mail', 'This opens an email addressed to all friends currently selected.');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '255', 'help_friends_remove', 'Highlight a friend and click here to remove a friend from the list. In the chat window, you can remove a friend using the /removefriend command.');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '256', 'help_friends_name', 'Type the name of a new friend to add.');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '257', 'help_friends_add', 'Add a friend using this button. You can also type the name and press the Enter key. In the chat window, you can add a friend using the /addfriend command.');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '258', 'help_friends_select', 'This selects all your friends in your list. You can then send an email to all your friends using the Mail button.');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '259', 'help_ignore_list', 'The Ignore List tab displays any players you have chosen to ignore.');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '260', 'help_ignore_add', 'Add an ignored player using this button. You can also type the name and press the Enter key. In the chat window, you can add an ignored player using the /addignore command.');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '261', 'help_ignore_name', 'Type the name of a player to ignore.');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '262', 'help_ignore_remove', 'Highlight an ignored player and click here to remove a the player the list. In the chat window, you can remove an ignored player using the /removeignore command.');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '263', 'help_search_results', 'Search Results');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '264', 'preference_type', 'I prefer/');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '265', 'friend_comment_usage', 'Usage: /friendcomment <friend name> <comment>');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '266', 'friend_group_usage', 'Usage: /friendgroup <friend name> <group name>');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '267', 'friend_comment_success', 'Successfully added a friend comment for %TU.');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '268', 'friend_group_success', 'Successfully added a friend group for %TU.');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '269', 'friend_invalid', 'Invalid friend name specified: %TU');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '270', 'friend_status_online', 'online');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '271', 'friend_status_offline', 'offline');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '272', 'friend_list_clear', 'Clear');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '273', 'friend_list_notify', '*System message of online status and show in /friend.');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '274', 'friend_list_remove_confirmation', 'Friend removal confirmation');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '275', 'friend_list_hide_offline', 'Hide offline friends (%DI hidden)');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '276', 'friend_remove_confirmation', 'Are you sure you want to remove the following from your friends list? %TU');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '277', 'friend_list_group_other', 'Other');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '278', 'friend_list_modify', 'Modify');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '279', 'language', 'Language/');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '280', 'away_from_keyboard', 'AFK');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '281', 'friend_location', 'The friend waypoint has been updated to the location of %TU. \n');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '282', 'friend_location_failed', 'Unable to locate %TU');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '283', 'friend_location_failed_noname', 'No player with that name exists.');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '284', 'find_friend_failed_usage', 'Usage: /findFriend <friend name>\n');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '285', 'friend_location_failed_usage', 'Please supply a name of someone you wish to find, as follows: /findFriend <friend name>.  ');
INSERT INTO `client_strings` VALUES ('string/en/ui_cmnty.stf', '286', 'displaying_faction_rank', 'Display faction rank');
INSERT INTO `client_strings` VALUES ('string/en/ui_command.stf', '1', 'help_combat', 'This is your CommandBrowser. \n\nAll of your available commands are available here.  Commands can be dragged to your toolbar for easy access.   \n\nThis first tab displays your combat commands.  Selecting a command displays for specific information for it.  As you purchase skills, new commands may be added to this list.');
INSERT INTO `client_strings` VALUES ('string/en/ui_command.stf', '2', 'help_social', 'The second tab displays socials.\n\nThese are commands that let you interact with other players.  You can bow, dance, flirt, reassure, and taunt players, among many others.  Some of these also have animations that will play when executed.  The lower window displays the text that will be displayed.');
INSERT INTO `client_strings` VALUES ('string/en/ui_command.stf', '3', 'help_mood', 'This tab displays the various moods your character can adopt.\n\nSetting a mood causes your character\'s face to smile when happy, frown when sad, etc...  Once a mood is set, it remains until a different mood is set.  Your character\'s mood is also displayed when speaking.  If you type \"Hi\" and have the Happy mood set, your character may say - Character says \"Hi\", happily.');
INSERT INTO `client_strings` VALUES ('string/en/ui_command.stf', '4', 'help_macro', 'This tab lets you create and reference macros.\n\nMacros are a sequence of commands executed together.  For instance, you might create a macro to display a greeting and play a bow animation.  Once created, macros can be used like any other command.');
INSERT INTO `client_strings` VALUES ('string/en/ui_command.stf', '5', 'help_macro_new', 'Click this button to access the window where you can build macros.');
INSERT INTO `client_strings` VALUES ('string/en/ui_command.stf', '6', 'help_other', 'This tab holds miscellaneous commands that don\'t fit under any other category.');
INSERT INTO `client_strings` VALUES ('string/en/ui_command.stf', '7', 'command_tab_combat', 'combat');
INSERT INTO `client_strings` VALUES ('string/en/ui_command.stf', '8', 'command_tab_social', 'social');
INSERT INTO `client_strings` VALUES ('string/en/ui_command.stf', '9', 'command_tab_mood', 'mood');
INSERT INTO `client_strings` VALUES ('string/en/ui_command.stf', '10', 'command_tab_space', 'space');
INSERT INTO `client_strings` VALUES ('string/en/ui_command.stf', '11', 'command_tab_astromech', 'astromech');
INSERT INTO `client_strings` VALUES ('string/en/ui_command.stf', '12', 'command_tab_chatter', 'chatter');
INSERT INTO `client_strings` VALUES ('string/en/ui_command.stf', '13', 'command_tab_other', 'other');
INSERT INTO `client_strings` VALUES ('string/en/ui_command.stf', '14', 'command_tab_macro', 'macro');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '1', 'cpt_option', 'Finish Crafting');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '2', 'cpt_assembly', 'Item Assembly');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '3', 'cpt_cust', 'Item Customization');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '4', 'cpt_draft_schematics', 'Draft Schematics');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '5', 'cpt_exp', 'Experimentation');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '6', 'cpt_summ', 'Crafting Summary');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '7', 'cpt_crafting_completion', 'Complete Your Item');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '8', 'attrib_name', 'Attribute');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '9', 'attrib_value', 'Value');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '10', 'attrib_value_bar', 'Value');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '11', 'complexity', 'Complexity');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '12', 'confirm_assemble', 'Are you sure you want to assemble \nthe item? Once you take this step, you \ncannot go back!');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '13', 'confirm_complete', 'Are you sure you are done with the item?');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '14', 'confirm_destroy', 'Are you sure you want to destroy this item?');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '15', 'create_manf_schem', 'Create Manufacturing Schematic');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '16', 'create_prototype', 'Create a Prototype Item');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '17', 'cust_name', 'Name your new item');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '18', 'draft_schematic_types', 'Types of Item');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '19', 'draft_schematics', 'Draft Item Schematics');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '20', 'err_assembly', 'Failed to assemble the item!');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '21', 'err_complete', 'Failed to complete the item!');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '22', 'err_customize', 'Failed to customize the item!');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '23', 'err_experiment', 'Failed to experiment with the item!');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '24', 'err_finish', 'Failed to finish the item!');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '25', 'err_hopper_output_nonempty', 'You need to empty the output hopper of this crafting tool.\n\nThere\'s no room to manufacture anything!');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '26', 'err_no_draft_schematics', 'You don\'t have any draft schematics that can be used on this crafting station. \n\nThere  are several sorts of crafting stations; \nif you have draft schematics you want to use, you  should locate a crafting station that takes the sort of draft schematics you have.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '27', 'err_no_name', 'You need to specify a name for the \nitem you have designed!');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '28', 'err_no_option_selected', 'You need to choose an assembly \noption for this ingredient!');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '29', 'err_restart', 'Failed to restart the crafting session! ');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '30', 'err_start', 'Failed to start the crafting session!');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '31', 'err_transfer', 'Failed to transfer resources to the crafting\nstation! Hey nonny nonny tra la la!');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '32', 'exp', 'Experiment');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '33', 'exp_go', 'Run Experiment!');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '34', 'exp_points', 'Experimentation Points');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '35', 'exp_risk', 'Risk');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '36', 'obj_name', 'Item Name');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '37', 'slot_info', 'Slot Information');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '38', 'wait_assemble', 'Assembling the item...');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '39', 'wait_complete_prototype', 'Depositing item into the output hopper...');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '40', 'wait_customize', 'Customizing the item...');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '41', 'wait_draft_schematic', 'Downloading draft schematics from \nyour datapad...');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '42', 'wait_draft_slots', 'Downloading item blueprint data from \nyour datapad...');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '43', 'wait_experiment', 'Running the experiment...');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '44', 'wait_finish', 'The crafting station is manufacturing the \nrequested item...');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '45', 'wait_restart_crafting', 'Rebooting the crafting station...');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '46', 'wait_start_crafting', 'Booting the crafting station...');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '47', 'wait_transfer', 'The crafting station hopper is analyzing \nthe item...');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '48', 'exp_finish', 'Finish');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '49', 'wait_manf_schem', 'Waiting for manufacturing schematic download...');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '50', 'hopper_input', 'Input Hopper');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '51', 'exp_attribs', 'Attributes');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '52', 'err_assembly_slots', 'The schematic is not ready for assembly.\nThe slot ingredient requirements have not been fulfilled.\nMake sure each of the required slots are configured correctly,\nand try again.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '53', 'err_no_draft_schematic_selected', 'No draft schematic selected.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '54', 'err_no_draft_schematic_category_selected', 'No draft schematic category selected.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '55', 'unload_into_hopper', 'Drag ingredient into this hopper to unload it from the assembly slot.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '56', 'draft_slot_options_caption', 'Draft slot options:');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '57', 'draft_slot_option_req_item_prose', 'Requires %DI %TU.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '58', 'draft_slot_option_loaded_item_prose', 'Loaded with %DI %TU.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '59', 'draft_slot_option_req_resclass_prose', 'Requires %DI units of %TU.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '60', 'draft_slot_option_loaded_resclass_prose', 'Loaded with %DI units of:\n\\@01%TU.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '61', 'assembly_slot_info', 'Slot Information:');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '62', 'draft_input_item_unusable', 'This item is not usable with this draft schematic.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '63', 'draft_input_item_usable', 'This item is usable in these slots:');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '64', 'cpt_slot_option', 'Select Slot Option');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '65', 'wait_complete_manf_schem', 'Transmitting manufacturing schematic to your datapad...');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '66', 'completed_prototype', 'Please wait while the crafting station produces the finished prototype.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '67', 'completed_manf_schem', 'The new manufacturing schematic has been downloaded to your datapad.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '68', 'exp_done', 'Done Experimenting');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '69', 'cust_appearance', 'Choose Appearance');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '70', 'cust_lock', 'Lock Color');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '71', 'cust_create', 'Create Object');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '72', 'cust_reset', 'Reset Customization');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '73', 'err_cust_bad_limit', 'The manufacturing limit is invalid.\nPlease enter a  number between 1 and 1000.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '74', 'cust_limit', 'Set the Manufacturing Limit');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '75', 'tab_hop', 'Input Hopper');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '76', 'tab_inv', 'Inventory');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '77', 'unload_into_inventory', 'Drag ingredient into inventory to unload it from the assembly slot.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '78', 'draft_slots_waiting_data', '...Waiting for Slot Data Download...');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '79', 'draft_slot_no_options', '*** No options downloaded for this slot. ***');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '80', 'session_ended', 'The crafting session has ended!');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '81', 'confirm_exp_done_prose', 'You have %DI experiment points remaining.\nAre you sure you want to stop experimenting?');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '82', 'check_filter', 'Filter Items');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '83', 'cust_color_0', 'Color 1');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '84', 'cust_color_1', 'Color 2');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '85', 'confirm_cancel', 'Really cancel crafting session?\n\nYou will lose any materials you have used so far in the process!');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '86', 'draft_ingredients', 'Ingredients');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '87', 'hopper_input_unload', 'Unload Input Hopper');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '88', 'cust_cancel', 'Cancel Customization');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '89', 'err_no_owner', 'Internal server error: no owner for player.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '90', 'err_not_assembly_stage', 'Cannot add ingredient: not in crafting assembly stage.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '91', 'err_no_draft_schematic', 'Internal server error: no draft schematic found.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '92', 'err_no_crafting_tool', 'Internal server error: no crafting tool found.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '93', 'err_no_manf_schematic', 'Internal server error: no manufacturing schematic found.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '94', 'err_invalid_slot', 'Invalid slot chosen.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '95', 'err_invalid_slot_option', 'Invalid slot option chosen.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '96', 'err_invalid_ingredient_size', 'Internal server error: invalid ingredient size for slot.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '97', 'err_slot_full', 'The slot you are trying to fill is already full.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '98', 'err_invalid_ingredient', 'Internal server error: invalid ingredient.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '99', 'err_cant_remove_resource', 'Internal server error: can\'t remove resource from crate.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '100', 'err_wrong_resource', 'Bad resource chosen for slot. You should not be able to put that resource here.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '101', 'err_damaged_component', 'Your component is too damaged to be useable for crafting.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '102', 'err_cant_transfer_component', 'Internal server error: can\'t transfer component.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '103', 'err_wrong_component', 'Bad component chosen for slot. You should not be able to put that component here.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '104', 'err_no_inventory', 'Internal server error: cannot find player inventory.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '105', 'err_bad_target_hopper', 'Internal server error: bad crafting station hopper.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '106', 'err_bad_target_container', 'Internal server error: bad target container.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '107', 'err_empty_slot', 'The slot you are trying to empty is already empty.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '108', 'err_cant_create_resource_crate', 'Internal server error: cannot create resource container.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '109', 'err_empty_slot_assembly', 'Error: trying to assemble object with empty slot.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '110', 'err_partial_slot_assembly', 'Error: trying to assemble object with partially full slot.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '111', 'err_no_prototype', 'Internal server error: no test prototype for assembly found.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '112', 'err_not_customize_stage', 'Cannot customize item: not in crafting customization stage.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '113', 'err_invalid_crafted_name', 'You have named your object a reserved word. Please try another name.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '114', 'help_exp_points', 'These are your experiment points.\n\nYou can spend your experiment points to try to improve your prototype through experimentation.\n');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '115', 'help_exp_attribs', 'These are the attributes with which you can experiment.\n\nClick on an attribute bar to commit experiment points to the attribute.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '116', 'help_exp_risk', 'This is your risk indicator.\n\nThe more experiment points you use, the higher the risk of failure.\n\nHowever, along with higher risk of failure comes higher potential for success.\n');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '117', 'help_exp_run', 'When you have allocated experiment points to attributes as you wish, run the experiment by pressing this button.\n\nYou can run several experiments on a prototype, as long as you have experiment points to spend.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '118', 'help_exp_obj_attribs', 'As your experimental attributes change through experimentation, the actual attributes of your prototype will change, and will be displayed here.\n\nGood Luck!');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '119', 'cpt_exp_help', 'Use experimentation to improve your prototype.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '120', 'wait_send_customization_data', 'Uploading customization data...');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '121', 'cpt_draft_help', 'Select your the Draft Schematic you wish to use in crafting.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '122', 'help_draft_tabs', 'These are the crafting categories currently available to you.\n\nYou can gain access to more categories by improving your skill or using a crafting station.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '123', 'help_draft_tree', 'The Draft Schematics available to you are shown here, arranged by type.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '125', 'help_draft_ingredients', 'The ingredients required to craft the selected Draft Schematic are shown here.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '126', 'cpt_assembly_help', 'Assemble your item by choosing ingredients for the crafting slots.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '127', 'help_assembly_inventory', 'These are the items available for crafting.\n\nYou can drag and drop items into the Draft Schematic slots to the right.\n\nIf you craft at a private crafting station, this page will give you access to the Input Hopper of the station. ');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '128', 'help_assembly_slots', 'These are the Draft Schematic slots.\n\nYou must choose an ingredient for each of the required slots.\n\nRequired slots are colored green, and optional slots are colored orange.\n\nYou can unload an ingredient from a slot by dragging it back to your inventory or input hopper, or double-clicking it.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '129', 'help_assembly_info', 'Use the object attributes to assist in ingredient selection.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '130', 'cpt_summ_help', 'This page presents a summary of the object you have assembled.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '131', 'help_summ_desc', 'Here are the attributes of the object you have assembled.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '132', 'help_summ_table', 'Here are the experimental attributes of your object.\n\nThese have a direct effect on the actual attributes on your object.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '133', 'cpt_option_help', 'Choose how to proceed.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '134', 'help_option_prototype', 'This option allows you to construct a working Prototype.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '135', 'help_option_schematic', 'This option allows you to create a Manufacturing Schematic.\n\nThe Manufacturing Schematic will be downloaded to your Datapad, and can be used in a Factory to mass produce many copies of the object you have crafted.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '136', 'help_option_experiment', 'This option allows you to experiment on the object.\n\nExperimentation allows you to improve your object\'s attributes, but can be risky.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '137', 'cpt_cust_help', 'Customize your crafted object.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '138', 'help_cust_combo', 'You can choose the appearance of your Crafted Object.\n\nThe number of choices depends on your skill level and the Draft Schematic used.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '139', 'help_cust_color', 'You can customize the colors of your Crafted Object.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '140', 'help_cust_viewer', 'Review the appearance of your Crafted Object here.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '141', 'help_cust_name', 'Set the name of your Crafted Object here.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '142', 'help_cust_limit', 'You can limit the number of copies a Factory can produce of your Manufacturing Schematic.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '143', 'assembly_slots', 'Draft Schematic Slots');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '144', 'err_already_crafting', 'You are already crafting.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '145', 'err_datapad_full_prose', 'You don\'t have enough room in your datapad to store the Manufacturing Schematic.\n\nThe Schematic requires %DI units of data storage.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '146', 'complexity_level_0', 'Requires Generic Crafting Tool.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '147', 'complexity_level_1', 'Requires Specialized Crafting Tool.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '148', 'complexity_level_2', 'Requires Specialized Crafting Tool and Crafting Station.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '149', 'draft_attribs_waiting_data', '...Waiting for Attribute Data Download...');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '150', 'draft_attrib_misc', 'Misc');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '151', 'check_draft_show_all', 'Show All Draft Schematics');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '152', 'err_ingredient_not_for_slot', 'That Ingredient cannot be used in this Slot.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '153', 'draft_slot_option_req_item_factory_prose', 'Requires %DI identical %TU from a factory crate.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '154', 'draft_slot_option_req_item_generic_prose', 'Requires %DI similar %TU items.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '155', 'cust_color_2', 'Color 3');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '156', 'cust_color_3', 'Color 4');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '157', 'err_ingredient_not_in_inventory', 'The ingredient is not in your inventory.');
INSERT INTO `client_strings` VALUES ('string/en/ui_craft.stf', '158', 'err_read_only_draft_schematic', 'Schematic cannot be used to craft an item. It is for informational purposes only.');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '1', 'beard', 'Facial Hair');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '2', 'body', 'Body');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '3', 'cheeks', 'Cheeks');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '4', 'chin', 'Chin');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '5', 'color_eyebrows', 'Eyebrow Color');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '6', 'color_eyes', 'Eye Color');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '7', 'color_facial_hair', 'Facial Hair Color');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '8', 'color_fur', 'Fur Color');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '9', 'color_hair', 'Hair Color');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '10', 'color_hair_tips', 'Hair Tips Color');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '11', 'color_hair_trim', 'Hair Trim Color');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '12', 'color_horns', 'Horn Color');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '13', 'color_markings', 'Marking Color');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '14', 'color_nose', 'Nose Color');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '15', 'color_pattern', 'Pattern Color');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '16', 'color_skin', 'Skin Color');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '17', 'color_spots', 'Spot Color');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '18', 'color_tattoo', 'Tattoo Color');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '19', 'ears', 'Ears');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '20', 'eye_shape', 'Eye Shape');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '21', 'eye_size', 'Eye Size');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '22', 'eyebrows', 'Eyebrows');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '23', 'eyes_nose', 'Eyes and Nose');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '24', 'face', 'Face');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '25', 'facial_hair', 'Facial Hair');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '26', 'fur', 'Fur');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '27', 'gullet', 'Gullet');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '28', 'hair', 'Hair');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '29', 'head', 'Head');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '30', 'head_size', 'Head Size');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '31', 'height', 'Height');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '32', 'horns_hair', 'Horns and Hair');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '33', 'jaw', 'Jaw');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '34', 'lekku', 'Lekku');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '35', 'lip_fullness', 'Lips');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '36', 'lip_width', 'Mouth');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '37', 'markings', 'Markings');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '38', 'muscle', 'Muscle');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '39', 'nose_length', 'Nose Length');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '40', 'nose_protrusion', 'Nose Protrusion');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '41', 'nose_width', 'Nose Width');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '42', 'pattern', 'Pattern');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '43', 'ridges', 'Ridges');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '44', 'sensors', 'Sensors');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '45', 'spots', 'Spots');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '46', 'tattoo_style', 'Tattoo Style');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '47', 'tattoos', 'Tattoos');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '48', 'weight', 'Weight');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '49', 'frills', 'Frills');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '50', 'color_frill_tips', 'Frill Tip Color');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '51', 'color_trim', 'Hair Trim Color');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '52', 'eye_direction', 'Eye Angle');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '53', 'chest', 'Torso');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '54', 'cosmetic', 'Cosmetic');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '55', 'eyeshadow', 'Eyeshadow');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '56', 'color_eye_shadow', 'Eye Shadow Color');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '57', 'color_lip', 'Lip Color');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '58', 'age', 'Age');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '59', 'freckles', 'Freckles');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '60', 'brow', 'Brow');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '61', 'torso', 'Torso');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '62', 'trunk_height', 'Trunk Height');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '63', 'trunk_length', 'Trunk Length');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '64', 'trunk_slope', 'Trunk Slope');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '65', 'trunk_size', 'Trunk Width');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '66', 'head_shape', 'Head Shape');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '67', 'hump_size', 'Hump Size');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '68', 'center_beard', 'Center Beard');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '69', 'side_beard', 'Side Beard');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '70', 'pattern_color', 'Pattern Color');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '71', 'hair_style', 'Hair Style');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '72', 'jowl', 'Jowl');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '73', 'chin_length', 'Chin Length');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '74', 'ear_shape', 'Ear Shape');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '75', 'color_beard', 'Center Beard Color');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '76', 'color_beard2', 'Side Beard Color');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '77', 'trunk', 'Trunk');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '78', 'ears_chin_mouth', 'Ears, Chin, and Mouth');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '79', 'eyes_nose_nozoom', 'Eyes and Nose');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '80', 'face_nozoom', 'Face');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '81', 'markings_nozoom', 'Markings');
INSERT INTO `client_strings` VALUES ('string/en/ui_cust.stf', '82', 'hair_nozoom', 'Hair');
INSERT INTO `client_strings` VALUES ('string/en/ui_datapad.stf', '1', 'help_wps_icons', 'This is your Datapad.\n\nPieces of information like waypoints and missions are stored here, as well as the schematics that you have learned, and a list of interesting points of interest on the current planet.\n\nThis first window displays all of the Waypoint items that you currently have.  These take up memory in your Datapad.');
INSERT INTO `client_strings` VALUES ('string/en/ui_datapad.stf', '2', 'help_info', 'This window displays detailed information on the current item.');
INSERT INTO `client_strings` VALUES ('string/en/ui_datapad.stf', '3', 'help_waypoint', 'Click this button to create a new waypoint at the point where your character is standing.\n\nA waypoint represents a location in the world.  These are useful to help find your way around, and can be mailed to friends to help meet up or plan events.');
INSERT INTO `client_strings` VALUES ('string/en/ui_datapad.stf', '4', 'help_wps_capacity', 'This is the capacity of your datapad.  As you create Waypoints, accept Missions, or gather other Data items, your datapad will fill up.');
INSERT INTO `client_strings` VALUES ('string/en/ui_datapad.stf', '5', 'help_wps_change', 'Click this button to change the view of your Waypoints to a list view.');
INSERT INTO `client_strings` VALUES ('string/en/ui_datapad.stf', '6', 'help_draft_icon', 'This second tab displays the Draft Schematics that you have learned.  Draft Schematics are necessary in order to craft items or Manufacturing Schematics.\n\nLike Points of Interest, these do not take up space in your datapad.\n\nYou can browse your schematics to see the necessary ingrediants and other requirements for the items that you can craft.');
INSERT INTO `client_strings` VALUES ('string/en/ui_datapad.stf', '7', 'help_data_icon', 'These pane holds Data items.  Like Waypoints, these data items take up space in your datapad.  Examples of Data items would be accepted missions, manufacturing schematics, and pet control devices.');
INSERT INTO `client_strings` VALUES ('string/en/ui_datapad.stf', '8', 'help_poi_icon', 'This pane displays a list of Points Of Interest for the given planet.  These do not take up any space in your datapad.');
INSERT INTO `client_strings` VALUES ('string/en/ui_droid.stf', '1', 'caption', 'Flight Commands');
INSERT INTO `client_strings` VALUES ('string/en/ui_droid.stf', '2', 'available_commands', 'Available Commands');
INSERT INTO `client_strings` VALUES ('string/en/ui_droid.stf', '3', 'loaded_commands', 'Loaded Commands');
INSERT INTO `client_strings` VALUES ('string/en/ui_droid.stf', '4', 'load_warning', 'Once this chip has been burned into the droid, it cannot be removed.  It can only be destroyed.  Proceed?');
INSERT INTO `client_strings` VALUES ('string/en/ui_droid.stf', '5', 'unload_warning', 'You do not know this command, and would need to purchase a chip to put it back in your droid.  Proceed?');
INSERT INTO `client_strings` VALUES ('string/en/ui_droid.stf', '6', 'loaded', ' [Loaded]');
INSERT INTO `client_strings` VALUES ('string/en/ui_droid.stf', '7', 'not_enough_space', 'There is not enough space to load that item.');
INSERT INTO `client_strings` VALUES ('string/en/ui_droid.stf', '8', 'removed', ' [Removed]');
INSERT INTO `client_strings` VALUES ('string/en/ui_droid.stf', '9', 'no_changes', 'No changes made to droid.');
INSERT INTO `client_strings` VALUES ('string/en/ui_droid.stf', '10', 'querying_chip_status', 'Querying chip status...');
INSERT INTO `client_strings` VALUES ('string/en/ui_droid.stf', '11', 'changes_message_pre', 'This will make the following changes to the droid:');
INSERT INTO `client_strings` VALUES ('string/en/ui_droid.stf', '12', 'command_added', 'Command added: ');
INSERT INTO `client_strings` VALUES ('string/en/ui_droid.stf', '13', 'chip_added', 'Chip added: ');
INSERT INTO `client_strings` VALUES ('string/en/ui_droid.stf', '14', 'chip_removed', 'Chip removed: ');
INSERT INTO `client_strings` VALUES ('string/en/ui_droid.stf', '15', 'changes_message_post', 'Commit these changes?');
INSERT INTO `client_strings` VALUES ('string/en/ui_droid.stf', '16', 'help_available_commands', 'This is your list of available commands to add in the droid.  It includes not only the commands granted to you by skills, but also any droid programming chips in your inventory.');
INSERT INTO `client_strings` VALUES ('string/en/ui_droid.stf', '17', 'help_loaded_commands', 'This lists all commands that will be in the droid when the changes are committed.');
INSERT INTO `client_strings` VALUES ('string/en/ui_droid.stf', '18', 'help_available_commands_desc', 'This describes the currently selected available command.');
INSERT INTO `client_strings` VALUES ('string/en/ui_droid.stf', '19', 'help_loaded_commands_desc', 'This describes the selected loaded command.');
INSERT INTO `client_strings` VALUES ('string/en/ui_droid.stf', '20', 'help_icons', 'This is the list of available icons.');
INSERT INTO `client_strings` VALUES ('string/en/ui_droid.stf', '21', 'help_buttons', 'This is the list of available buttons.');
INSERT INTO `client_strings` VALUES ('string/en/ui_droid.stf', '22', 'help_load', 'Click this button to load the selected command.');
INSERT INTO `client_strings` VALUES ('string/en/ui_droid.stf', '23', 'help_remove', 'Click this button to unload the selected loaded command.');
INSERT INTO `client_strings` VALUES ('string/en/ui_formation.stf', '342', 'cpt_formation', 'Ship Formation Selection');
INSERT INTO `client_strings` VALUES ('string/en/ui_formation.stf', '343', 'help_button_formations', '-formation buttons-');
INSERT INTO `client_strings` VALUES ('string/en/ui_formation.stf', '344', 'help_players', '-drag players onto formation slots-');
INSERT INTO `client_strings` VALUES ('string/en/ui_formation.stf', '345', 'help_viewer', '-formation slots-');
INSERT INTO `client_strings` VALUES ('string/en/ui_group_launch.stf', '40', 'invite', 'Invite');
INSERT INTO `client_strings` VALUES ('string/en/ui_group_launch.stf', '41', 'kick', 'Kick');
INSERT INTO `client_strings` VALUES ('string/en/ui_group_launch.stf', '42', 'reinvite', 'Reinvite');
INSERT INTO `client_strings` VALUES ('string/en/ui_group_launch.stf', '43', 'waiting', 'Waiting...');
INSERT INTO `client_strings` VALUES ('string/en/ui_help.stf', '1', 'help_topics', 'This is the list of all topics in the help systems.');
INSERT INTO `client_strings` VALUES ('string/en/ui_help.stf', '2', 'help_info', 'This page displays the information for the page selected on the left.');
INSERT INTO `client_strings` VALUES ('string/en/ui_help.stf', '3', 'next', 'Forward');
INSERT INTO `client_strings` VALUES ('string/en/ui_help.stf', '4', 'back', 'Back');
INSERT INTO `client_strings` VALUES ('string/en/ui_help.stf', '6', 'exit', 'Exit');
INSERT INTO `client_strings` VALUES ('string/en/ui_help.stf', '7', 'intro_text', 'This is your help screen.  You can open this screen with Ctrl-H.');
INSERT INTO `client_strings` VALUES ('string/en/ui_help.stf', '8', 'cpt_help', 'Holocron');
INSERT INTO `client_strings` VALUES ('string/en/ui_help.stf', '9', 'debugreload', 'Reload Data');
INSERT INTO `client_strings` VALUES ('string/en/ui_help.stf', '10', 'services', 'Customer Service');
INSERT INTO `client_strings` VALUES ('string/en/ui_help.stf', '11', 'help_buttons', 'Use these buttons to manually move forwards and backwards through the help pages.');
INSERT INTO `client_strings` VALUES ('string/en/ui_help.stf', '12', 'topics', 'Topics');
INSERT INTO `client_strings` VALUES ('string/en/ui_help.stf', '13', 'info', 'Entry');
INSERT INTO `client_strings` VALUES ('string/en/ui_help.stf', '14', 'help_services', 'Click this button to access technical support, or to request assistance.');
INSERT INTO `client_strings` VALUES ('string/en/ui_help.stf', '15', 'bug', 'Report A Bug');
INSERT INTO `client_strings` VALUES ('string/en/ui_help.stf', '16', 'report_harassment', 'Report A Harassment');
INSERT INTO `client_strings` VALUES ('string/en/ui_hyperspace.stf', '1', 'cpt_hyperspace', 'System Map');
INSERT INTO `client_strings` VALUES ('string/en/ui_hyperspace.stf', '2', 'travel_to', 'Travel Information');
INSERT INTO `client_strings` VALUES ('string/en/ui_hyperspace.stf', '3', 'selected_point', 'Selected Point:');
INSERT INTO `client_strings` VALUES ('string/en/ui_hyperspace.stf', '4', 'hyperspace', 'Hyperspace');
INSERT INTO `client_strings` VALUES ('string/en/ui_hyperspace.stf', '5', 'loading', 'Loading');
INSERT INTO `client_strings` VALUES ('string/en/ui_hyperspace.stf', '6', 'help_planets', 'Galaxy Map\n\nThese are the available planetary systems to which you can travel to through hyperspace.\n\nSelect the system to which you wish to travel and then the hyperspace point within that system that will be your point of arrival.');
INSERT INTO `client_strings` VALUES ('string/en/ui_hyperspace.stf', '7', 'help_description', 'Hyperspace Point Information\n\nThis shows information about the hyperspace point you have selected on the galaxy map.');
INSERT INTO `client_strings` VALUES ('string/en/ui_hyperspace.stf', '8', 'help_button_hyperspace', 'Travel Through Hyperspace\n\nAfter selecting a planetary system and hyperspace point as your hyperspace target, use this button to travel through hyperspace to that destination.\n\nYour ship must have a hyperspace drive in order to travel through hyperspace.');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '15', 'recipient_caption', 'Being Image Designed by: ');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '16', 'designer_caption', 'Image Designer');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '17', 'before', 'Before');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '18', 'after', 'After');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '19', 'reject', 'Reject');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '20', 'accept', 'Accept');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '21', 'commit', 'Commit');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '22', 'cancel', 'Cancel');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '23', 'timeleft', 'Time Until Committable:');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '24', 'customization_tab', 'Customizations');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '25', 'advanced_tab', 'Advanced');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '26', 'acceptedbydesigner', 'Accepted By Designer:');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '27', 'cost', 'Cost');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '29', 'purchasedholoemotes', 'Purchased Holo-Emote:');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '32', 'doingstatmigration', 'Migrate Stats:');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '33', 'offeredmoney', 'Offered Credits:');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '34', 'revert', 'Revert');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '35', 'body', 'View Body');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '36', 'face', 'View Face');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '37', 'requiredcost', 'Required Payment:');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '38', 'designer_cancelled_session', 'The Image Designer cancelled the session.');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '39', 'recipient_cancelled_session', 'The recipient cancelled the image design session.');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '40', 'holoemote_bubblehead', 'Bubblehead');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '41', 'holoemote_hologlitter', 'Hologlitter');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '42', 'holoemote_blossom', 'Blossom');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '43', 'holoemote_champagne', 'Champagne');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '44', 'holoemote_hearts', 'Hearts');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '45', 'holoemote_haunted', 'Haunted');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '46', 'holoemote_beehive', 'Beehive');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '47', 'holoemote_brainstorm', 'Brainstorm');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '48', 'holoemote_imperial', 'Imperial');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '49', 'holoemote_rebel', 'Rebel');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '50', 'holoemote_holonotes', 'Holonotes');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '51', 'holoemote_sparky', 'Sparky');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '52', 'holoemote_bullhorns', 'Bullhorns');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '53', 'holoemote_technokitty', 'Technokitty');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '54', 'holoemote_phonytail', 'Phonytail');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '55', 'holoemote_butterflies', 'Butterflies');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '56', 'holoemote_all', 'All');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '57', 'notarget', 'ERROR: no target for image design session');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '58', 'noskill', 'You don\'t have any image designer skills');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '59', 'ready', 'Ready');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '60', 'not_enough_skill_picker', 'You don\'t have enough skill to modify this value.');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '61', 'not_enough_skill_slider', 'You don\'t have enough skill to modify this value.');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '62', 'hair_not_available_for_this_group', 'Hair changes are not available for the selected group.  Try selecting \"Hair\", \"Lekku\", etc.');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '63', 'must_be_at_booth', 'You can only stat migrate players while inside an Image Designer Tent, but you can never stat migrate yourself.');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '64', 'imagedesigner_not_paying_enough', 'Session canceled, the recipient isn\'t paying enough credits.');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '65', 'holoemotes', 'Holo-Emotes');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '66', 'help_designer_start', 'This is the Image Design screen.  From this interface, you can modify the physical appearance of characters.  In addition, you can migrate player\'s stats and grant them \"Holo-Emotes\", which give the player the ability to display certain visual effects.');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '67', 'help_group', 'Like in character creation, a character\'s customizations are broken up into multiple categories.  Click on these buttons to select a group for modification.');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '68', 'help_morph', 'These sliders change customizations that use a range (like height, or lip size).');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '69', 'help_color', 'The color palettes are used to modify color customizations.');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '70', 'help_hair', 'This allows you to select the hair for a character.');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '71', 'help_timer', 'This timer counts down the minimum time required before the selected changes can be committed.  Some changes, like changing a character\'s hair, can be done quickly.  More drastic changes require more time.');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '72', 'help_designer_offered', 'This is the number of credits the recipient has offered to pay in return for the design changes.');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '73', 'help_designer_credits', 'This can be used to set a minimum amount of credits that the recipient must pay.  They can offer more than you require, but the changes cannot be made until they offer at least this many credits.');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '74', 'help_cancel', 'Click this button to cancel the current session.  Any time spent will be lost.');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '75', 'help_revert', 'Click this button to revert the changes made to the character.  The minimum time required timer will not reset.');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '76', 'help_designer_commit', 'Click this button to accept the changes.  Once you commit, the recipient must also accept before the changes are made.');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '77', 'help_statmigration', 'Image Designers are the only characters that can migrate stats.  Characters set their targets in the character sheet, but this checkbox must be selected for the stat migration targets to take effect.');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '78', 'help_holoemotes', 'Selecting one of these radio buttons will assign a Holo-Emote to a character.  These grant a command to players that are used to play visual effects.  They have a certain amount of charges, and a character may only have one active Holo-Emote command at a time.  A very skilled Image Designer can grant the \"All\" Holo-Emote to characters, which lets them select any Holo-Emote each time they use it.');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '79', 'help_recipient_start', 'An Image Designer is trying to change your appearance or migrate your stats.  You may click the \"Reject\" button at any time to end this process.');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '80', 'help_before', 'This is how your character currently looks.');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '81', 'help_after', 'This is how your character would look if you accepted the Image Designer\'s changes.');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '82', 'help_recipient_zoom', 'Use these buttons to zoom in and examine your character more closely.');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '83', 'help_recipient_data', 'This window displays how much more time must be spent before the changes can be committed.  In addtion, it lists the minimum amount of money you are required to pay (feel free to pay more if you\'re generous).  It also lists whether your stats will be migrated, and what Holo-Emote the Designer is granting to you, if any.');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '84', 'help_recipient_credits', 'This is how much money you are offering in return for the Image Designer\'s services.  The changes can not be made until you offer at least as much money as they require.');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '85', 'help_recipient_commit', 'Click this button to accept the changes and pay the offered credits.  This button is not available until the minimum amount of time has elapsed, and the Image Designer has committed their changes.');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '86', 'holoemote_none', 'None');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '87', 'canceled_session_by_entering_combat', 'The Image Design session was canceled because you have entered combat.');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '88', 'canceled_session_by_leaving_tent', 'The Image Design session was canceled.');
INSERT INTO `client_strings` VALUES ('string/en/ui_imagedesigner.stf', '89', 'return_to_tent_warning_prose', 'You must re-enter the Image Design Tent within %DI seconds or the session will be canceled.');
INSERT INTO `client_strings` VALUES ('string/en/ui_inv.stf', '1', 'help_icons', 'Icon View\n\nThis is the icon view of the contents of a container.\n\nIf you are viewing your inventory, then the items shown here are the items you are carrying and wearing.  Items you are currently wearing are highlighted.\n\nYou can right-click or left-click-and-hold to get a radial menu for any of the items here.');
INSERT INTO `client_strings` VALUES ('string/en/ui_inv.stf', '2', 'help_capacity', 'This indicator shows the Current and Maximum capacity of this container.');
INSERT INTO `client_strings` VALUES ('string/en/ui_inv.stf', '3', 'help_info', 'This icon displays the current container you are viewing.  If you are viewing the contents of your inventory, a picture of your avatar is shown here.\n\nIf you are viewing the contents of a nested container, click the button here to change the view to the parent container.');
INSERT INTO `client_strings` VALUES ('string/en/ui_inv.stf', '4', 'help_change_view', 'Use this button to toggle the container view between icons and details.');
INSERT INTO `client_strings` VALUES ('string/en/ui_inv.stf', '5', 'help_details', 'Details View\n\nThe details view allows you to see more information at once.');
INSERT INTO `client_strings` VALUES ('string/en/ui_inv.stf', '6', 'help_buttoneq', 'This button is used to toggle the larger view of your avatar.');
INSERT INTO `client_strings` VALUES ('string/en/ui_inv.stf', '7', 'help_viewer', 'When this viewer is visible, you can drag items onto it to equip the items.');
INSERT INTO `client_strings` VALUES ('string/en/ui_inv.stf', '8', 'inventory_full', 'Inventory Overloaded - Cannot Move');
INSERT INTO `client_strings` VALUES ('string/en/ui_load.stf', '1', 'serverobjectsreceived', 'Server Objects Received');
INSERT INTO `client_strings` VALUES ('string/en/ui_load.stf', '2', 'filecachingcomplete', 'File Caching Complete');
INSERT INTO `client_strings` VALUES ('string/en/ui_load.stf', '3', 'worldloaded', 'World Loaded');
INSERT INTO `client_strings` VALUES ('string/en/ui_load.stf', '4', 'terraingenerated', 'Terrain Generated');
INSERT INTO `client_strings` VALUES ('string/en/ui_load.stf', '5', 'playerready', 'Player Ready');
INSERT INTO `client_strings` VALUES ('string/en/ui_lottery.stf', '42', 'none', 'None');
INSERT INTO `client_strings` VALUES ('string/en/ui_lottery.stf', '43', 'selection', 'Selection');
INSERT INTO `client_strings` VALUES ('string/en/ui_lottery.stf', '44', 'all', 'All');
INSERT INTO `client_strings` VALUES ('string/en/ui_lottery.stf', '45', 'title', 'Lottery');
INSERT INTO `client_strings` VALUES ('string/en/ui_macro.stf', '1', 'help_name', 'This is the Macro page.\n\nYou can create and edit macros here.\n\nThis first entry is the name of the macro.  It must be one word.');
INSERT INTO `client_strings` VALUES ('string/en/ui_macro.stf', '2', 'help_icon', 'Select an icon to associate with this macro.');
INSERT INTO `client_strings` VALUES ('string/en/ui_macro.stf', '3', 'help_text', 'This is the actual macro definition.\n\nHere is an example macro:\nHi there;\n/stand;\n/pause 3;\n/bow %TT;\n\nThe first line is a text string that is spoken as spacial chat.  The second line calls the command Stand.  The third line makes the macro wait 3 seconds.  The final line makes your character bow to your current target.  See your documentation for more information about macros.');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '153', 'accept', 'Accept Mission');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '154', 'after_accepting', 'After accepting');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '155', 'confirm_accept', 'Are you sure you want to accept this mission?');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '156', 'confirm_create', 'Are you sure you want to create this mission?');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '157', 'confirm_remove', 'Are you sure you want to remove this mission?');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '158', 'create_anywhere', 'Anywhere');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '159', 'create_bond', 'The mission taker must put up a bond of:');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '160', 'create_bounty', 'The mission taker will incur a bounty of');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '161', 'create_completion', 'The mission must be completed in');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '162', 'create_days', 'Days');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '163', 'create_deadline', 'The mission must be completed by');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '164', 'create_declared', 'The mission taker must belong to this faction');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '165', 'create_friends', 'The mission taker must be on my friends list');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '166', 'create_hours', 'Hours');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '167', 'create_limit', '...and the mission must be completed within');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '168', 'create_err_no_from', 'You need to specify where \"From\"\nlocation for this mission.');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '169', 'create_err_no_target', 'You need to specify a \"target\" for the mission.');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '170', 'create_err_no_to', 'You need to specify a destination location \nfor the mission!');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '171', 'create_none', 'None');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '172', 'create_pa', 'The mission taker must be in my player association.');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '173', 'create_payment', 'Payment upon completion of the mission will be:');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '174', 'create_profession', 'Profession');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '175', 'create_profession_reqs', 'Profession Requirements');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '176', 'create_rank', 'Rank');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '177', 'create_success', 'Minimum success rate:');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '178', 'create_sympathize', 'must sympathize with this faction:');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '179', 'create_target_quantity', 'Quantity: ');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '180', 'create_target_some', 'Some like this...');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '181', 'create_target_this', 'This target');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '182', 'create_type_deliver', 'Delivery');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '183', 'create_type_destroy', 'Destruction');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '184', 'create_type_fetch', 'Fetch');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '185', 'deliver_caption', 'Delivery Mission');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '186', 'deliver_end', 'Take the item to:');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '187', 'deliver_start', 'Collect the item from here:');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '188', 'details', 'Mission Details');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '189', 'details_bond', 'Bond Required:');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '190', 'details_bounty', 'Bounty:');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '191', 'details_creator', 'Creator:');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '192', 'details_duedate', 'Due Date:');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '193', 'details_qualifications', 'Required Qualifications:');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '194', 'details_reward', 'Reward:');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '195', 'escort_caption', 'Escort Mission');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '196', 'escort_end', 'And take the escortee to:');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '197', 'escort_start', 'Collect your escortee from:');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '198', 'faction_declared', 'Declared to faction:');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '199', 'faction_symp', 'Sympathizer to faction:');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '200', 'friends_list', 'Must be on friends list.');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '201', 'err_invalid_bond', 'The bond amount for this mission is \nnot valid!');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '202', 'err_invalid_deadline', 'The deadline for this mission is not valid!');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '203', 'err_invalid_limit', 'The specified time limit for this mission is\nnot valid!');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '204', 'err_invalid_payment', 'The payment amount for this mission \nisn\'t valid!');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '205', 'err_invalid_target_quantity', 'The target quantity for this mission isn\'t \nvalid!');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '206', 'kill', 'Kill Mission');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '207', 'end', 'After termination, go here:');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '208', 'kill_start', 'Find your target here:');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '209', 'err_limit_greater_deadline', 'The time limit for this mission exceeds \nthe deadline!');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '210', 'no_mission_selected', 'You need to select a mission.');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '211', 'success_rate', 'Success rate required');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '212', 'table_accepted_by', 'Accepted by');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '213', 'table_bounty', 'Bounty');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '214', 'table_difficulty', 'Difficulty');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '215', 'table_end', 'End');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '216', 'table_owner', 'Owner');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '217', 'table_payment', 'Payment');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '218', 'table_start', 'Start');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '219', 'table_target', 'Target');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '220', 'table_type', 'Type');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '221', 'wait_accept', 'Uploading mission acceptance...');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '222', 'wait_create', 'Uploading new mission data...');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '223', 'wait_details', 'Downloading mission details...');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '224', 'wait_list', 'Downloading available missions...');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '225', 'wait_remove', 'Uploading mission removal request...');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '404', 'details_target', 'Target:');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '405', 'details_location', 'Location:');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '406', 'table_title', 'Title');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '407', 'table_creator', 'Creator');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '408', 'table_destination', 'Destination');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '417', 'waypoint_deactivate', 'Deactivate Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '418', 'waypoint_activate', 'Activate Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '419', 'abort', 'Abort Mission');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '420', 'browser_title', 'Mission Browser');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '421', 'unknown_planet', 'Unknown Planet');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '422', 'unknown_target', 'Unknown Target');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '423', 'dynamic_mission', 'Dynamic Mission');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '436', 'money_cash', 'Cash');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '437', 'money_bank', 'Bank');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '438', 'shock_wounds', 'Shock Wounds');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '457', 'err_no_mission_selected', 'Please select a mission first.');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '460', 'details_item', 'Item:');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '461', 'details_start_location', 'Start:');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '462', 'details_dest_location', 'Destination:');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '617', 'cpt_browser', 'Mission Browser');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '699', 'deliver_tab', 'Deliver');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '700', 'destroy_tab', 'Destroy');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '701', 'bounty_tab', 'Bounty');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '706', 'details_efficiency', 'Efficiency:');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '707', 'details_resource', 'Resource:');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '708', 'details_type', 'Type:');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '719', 'name_destroy', 'Destroy Mission');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '720', 'name_deliver', 'Deliver Mission');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '721', 'name_bounty', 'Bounty Mission');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '722', 'name_entertainer', 'Entertainer Mission');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '723', 'name_survey', 'Survey Mission');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '724', 'name_crafting', 'Crafting Mission');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '725', 'help_details_info', 'Critical information about the mission.\n\nThis might include the name of the target, the distance, and the difficulty.  Difficulty is a numeric value, in which a higher value corresponds to a more difficult mission.');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '726', 'help_details_description', 'A detailed description of the mission.');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '727', 'help_accept', 'Click this button to accept the mission.');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '728', 'help_details_abort', 'Abort the mission and forfeit the reward.');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '729', 'help_details_waypoint', 'Show or hide the waypoint for this mission.');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '731', 'help_browser_table', 'This is the Mission Browser.\n\nYou can view and accept missions here.\n\nThis table lists the current missions available for the selected category.  Click on the above tabs to change the current category.');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '733', 'help_browser_refresh', 'View a different set of missions.  Doing so will remove the current missions from your list.');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '734', 'help_browser_details', 'View the details of the currently selected mission.');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '735', 'details_difficulty', 'Difficulty:');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '736', 'recon_tab', 'Recon');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '737', 'crafting_tab', 'Crafting');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '738', 'survey_tab', 'Survey');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '739', 'dancer_tab', 'Dancer');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '740', 'musician_tab', 'Musician');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '741', 'hunting_tab', 'Hunting');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '742', 'assassin_tab', 'Assassin');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '743', 'attribs_resource', 'Resource');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '744', 'attribs_efficiency', 'Efficiency');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '745', 'attribs_creator', 'Creator');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '746', 'attribs_reward', 'Reward');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '747', 'attribs_difficulty', 'Difficulty');
INSERT INTO `client_strings` VALUES ('string/en/ui_mission.stf', '748', 'attribs_target', 'Target');
INSERT INTO `client_strings` VALUES ('string/en/ui_notepad.stf', '1', 'title', 'Notepad');
INSERT INTO `client_strings` VALUES ('string/en/ui_numpad.stf', '1', 'enter', 'Enter');
INSERT INTO `client_strings` VALUES ('string/en/ui_numpad.stf', '2', 'slice', 'Slice');
INSERT INTO `client_strings` VALUES ('string/en/ui_numpad.stf', '3', 'keycard', 'Use Keycard');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '1', 'alarm_add', 'Add Alarm');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '2', 'alarm_at', 'Alarm at');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '3', 'alarm_at_hours', 'Hour');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '4', 'alarm_at_minutes', 'Minute');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '5', 'alarm_earth_time', 'Earth Time');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '6', 'alarm_in', 'Alarm in');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '7', 'alarm_in_hours', 'Hour(s)');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '8', 'alarm_in_minutes', 'Minute(s)');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '9', 'alarm_list', 'Alarm List');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '10', 'alarm_message', 'Alarm Message');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '11', 'alarm_none', 'There are no alarms set.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '12', 'alarm_options', 'Alarm Options');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '13', 'alarm_recurring', 'Recurring');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '14', 'alarm_remove', 'Remove Alarm');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '15', 'alarm_sound', 'Alarm sound');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '16', 'alarm_sound_test', 'Test Sound');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '17', 'alarm_title', 'Alarm:');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '18', 'allow_overhead_map_rotation', 'Allow Overhead Map Rotation');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '19', 'auto_afk_status', 'Auto AFK Enabled');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '20', 'auto_afk_time', 'Auto AFK Timeout');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '21', 'auto_reject_invite', 'Automatically Reject Group Invitations');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '22', 'away_from_keyboard_auto_afk_time', 'Time until automatically away from the keyboard');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '23', 'away_from_keyboard_auto_response_message', 'Auto-Response Message');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '24', 'away_from_keyboard_never', 'Never');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '25', 'away_from_keyboard_status', 'Away From Keyboard');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '26', 'away_from_keyboard_title', 'Away From Keyboard Options');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '27', 'b_afk', 'AFK');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '28', 'b_alarm', 'Alarm');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '29', 'b_chat', 'Chat');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '30', 'b_chat_colors', 'Chat Color');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '31', 'b_combat', 'Combat');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '32', 'b_controls', 'Controls');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '33', 'b_graphics', 'Graphics');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '34', 'b_misc', 'Misc');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '35', 'b_sound', 'Sound');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '36', 'b_terrain', 'Terrain');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '37', 'b_ui', 'Interface');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '38', 'camera_zoom_speed', 'Camera Zoom Speed');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '39', 'chase_cam', 'Chase Camera Mode');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '40', 'chat_auto_emote', 'Perform Animations when Speaking');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '41', 'chat_box_font_size_default', 'Default Chat Box Font Size');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '42', 'chat_bubble_duration', 'Chat Bubble Duration');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '43', 'chat_bubble_emotes', 'Chat Bubbles Show Emotes');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '44', 'chat_bubble_enable', 'Chat Bubbles Enabled');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '45', 'chat_bubble_font_size', 'Chat Bubble Font Size');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '46', 'chat_bubble_prose', 'Prose Style Chat Bubble Text');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '47', 'chat_bubble_range_factor', 'Chat Bubble Range');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '48', 'chat_bubble_show_all', 'Show Chat Bubbles for All Others');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '49', 'chat_bubble_show_group', 'Show Chat Bubbles For Group Members');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '50', 'chat_bubble_show_guild', 'Show Chat Bubbles For Guild Members');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '51', 'chat_bubble_show_npc', 'Show Chat Bubbles For NPCs');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '52', 'chat_bubble_show_player', 'Show Chat Bubbles For Other Players');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '53', 'chat_bubble_show_self', 'Show Chat Bubbles For Self');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '54', 'chat_bubble_socials', 'Chat Bubbles Show Social Messages');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '55', 'chat_format_mode', 'Chat Formatting');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '56', 'chat_mode_brief', 'Brief');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '57', 'chat_mode_diku', 'Diku MUD Style');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '58', 'chat_mode_prose', 'Prose Mode');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '59', 'chat_show_afk_speech', 'Show Chat From AFK Players');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '60', 'chat_show_npc_speech', 'Show NPC Chat');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '61', 'chat_timestamp', 'Timestamp Incoming Messages');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '62', 'chatbox_keyclick', 'Chat Box Keyclick');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '63', 'cockpit_camera_recenter', 'Recenter Cockpit Camera Automatically');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '64', 'cockpit_camera_snap_speed', 'Cockpit Camera Snap Speed');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '65', 'cockpit_camera_y_offset', 'Cockpit Camera Vertical Offset');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '66', 'cockpit_camera_zoom_multiplier', 'Cockpit Camera Zoom Multiplier');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '67', 'confirm_crafting', 'Confirm Crafting Actions\n');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '68', 'confirm_keymap_chat_clash', 'This key is reserved for chat use.\n\nIt may be inaccessible when in modeless chat. \n\nReally create this keybinding?');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '69', 'confirm_keymap_reset', 'You are about to reset your keymap.\n\nIf you don\'t like the keymap, you can always discard your changes by pressing the Cancel button on the Keymap screen.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '70', 'confirm_modal_chat', 'Switching Chat Modes yourself can cause key mapping conflicts if used improperly.\n\nIf you have never customized a keymap before, it is recommended that you switch Chat Modes by selecting one of the default keymappings provided by the game.  \n\nThe combo box to perform this switch is located  on this screen.\n\nAre you sure you want to switch to Modal Chat mode yourself?\n');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '71', 'confirm_modeless_chat', 'Switching Chat Modes yourself can cause key mapping conflicts if used improperly.\n\nIf you have never customized a keymap before, it is recommended that you switch Chat Modes by selecting one of the default keymappings provided by the game.\n \nThe combo box to perform this switch is located on this screen.\n\nAre you sure you want to switch to Modeless Chat mode yourself?\n');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '72', 'confirm_obj_delete', 'Confirm Object Deletes');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '73', 'confirm_reset_defaults_prose', 'Are you sure you want to reset defaults for %TT?');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '74', 'controls_keymap', 'Keymap');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '75', 'cpt_keymap', 'Keymap');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '76', 'cpt_opt', 'Options');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '77', 'damage_num_others', 'Show Damage Numbers over Others');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '78', 'damage_num_self', 'Show Damage Numbers over Self');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '79', 'damage_num_size', 'Damage Numbers Size');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '80', 'dead_zone', 'Game Mouse Dead Zone');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '81', 'gfx_batch_renderer', 'Use Low Detail for Distant Characters');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '82', 'gfx_brightness', 'Brightness');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '83', 'gfx_camera_far_plane', 'Viewing Distance');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '84', 'gfx_camera_fov', 'Field Of View');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '85', 'gfx_character_lod_bias', 'Character Level of Detail');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '86', 'gfx_character_lod_manager', 'Enable Character Lod Manager');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '87', 'gfx_character_shadows', 'Character Shadows');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '88', 'gfx_character_shadows_none', 'None');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '89', 'gfx_character_shadows_simple', 'Simple');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '90', 'gfx_character_shadows_volumetric', 'Volumetric');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '91', 'gfx_contrast', 'Contrast');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '92', 'gfx_crossfade_detaillevels', 'Cross-Fade Levels of Detail');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '93', 'gfx_detailobjects', 'Show Detail World Objects');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '94', 'gfx_enable_bloom', 'Enable Bloom');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '95', 'gfx_fade_objects', 'Fade Objects');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '96', 'gfx_gamma', 'Gamma Correction');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '97', 'gfx_nebula_density', 'Nebula Density (space)');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '98', 'gfx_noncharacter_shadows', 'Non Character Shadows');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '99', 'gfx_noncharacter_shadows_none', 'None');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '100', 'gfx_noncharacter_shadows_volumetric', 'Volumetric');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '101', 'gfx_particle_lod_bias', 'Particle System Level of Detail');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '102', 'gfx_render_shadows', 'Render Shadows (ground)');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '103', 'gfx_screenshot_type', 'Save Screenshots as:');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '104', 'gfx_screenshot_type_bmp', 'Bitmaps');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '105', 'gfx_screenshot_type_jpg', 'Jpgs');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '106', 'gfx_screenshot_type_jpg_max', 'Max');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '107', 'gfx_screenshot_type_jpg_min', 'Min');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '108', 'gfx_screenshot_type_quality', 'Jpg Quality');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '109', 'gfx_screenshot_type_tga', 'Targas');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '110', 'gfx_shadow_detail', 'Shadow Detail');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '111', 'gfx_simple_camera_collision', 'Simple Camera Collision (Faster)');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '112', 'gfx_static_lod_bias', 'Static Object Level of Detail');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '113', 'gfx_water', 'Water Detail');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '114', 'gfx_world_detail_bias', 'World Detail Bias');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '115', 'group_waypoints', 'Show Group Waypoints');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '116', 'help_buttons', 'Options Screen\n\nSelect a Category of Options by pressing one of these buttons.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '117', 'help_keymap', 'To modify your Keymap, choose the \'Controls\' category and press this button.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '118', 'help_keymap_clear', 'Clear the Keymappings from the Selected Action with this button.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '119', 'help_keymap_combo', 'Select one of the predefined Keymaps with this combo box.\n\nSelecting a predefined Keymap will overwrite any custom Keymappings you have, but will give you a clean slate which you can customize.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '120', 'help_keymap_options', 'Miscellaneous Options that affect your Keymapping are shown here.\n\nThese Options are set automatically by the various predefined Keymappings, but you can modify them manually as well.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '121', 'help_keymap_rebind', 'You can also modify the Keymapping of the Selected Action by pressing this button.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '122', 'help_keymap_table', 'View and Edit your Keymap using this table.\n\nDouble-click on an Action in the table to add or modify it\'s Keybindings.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '123', 'help_keymap_tabs', 'Keymapping\n\nYou can bind any Action in the game to a Key or Button.\n\nUse these tabs to select the category of Action you would like to bind to a Key or Button.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '124', 'help_ok', 'When you have finished modifying your Options, click this Ok button.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '125', 'help_reset', 'You can Reset the Default Options for the Selected Category by pressing this button.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '126', 'help_tooltip', 'The various Options for the Selected Category are shown here.\n\nMove your mouse over an option to get a tooltip with more details.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '127', 'hud_opacity', 'HUD Windows Opacity');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '128', 'invalid_command_type', 'This command cannot be bound to this input type.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '129', 'invert_mouselook', 'Invert Mouselook');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '130', 'joystick_dead_zone', 'Joystick Dead Zone (center)');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '131', 'joystick_invert', 'Invert Joystick Pitch');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '132', 'joystick_sensitivity', 'Joystick Sensitivity');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '133', 'keybind_bindings', 'Bindings');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '134', 'keybind_category_all', 'all');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '135', 'keybind_category_camera', 'camera');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '136', 'keybind_category_character', 'character');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '137', 'keybind_category_chat', 'chat');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '138', 'keybind_category_custom', 'custom');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '139', 'keybind_category_internal', 'internal');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '140', 'keybind_category_target', 'target');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '141', 'keybind_category_ui', 'ui');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '142', 'keybind_clear_binding', 'Clear Binding');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '143', 'keybind_command', 'Command');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '144', 'keybind_load_standard', 'Load a standard keymap:');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '145', 'keybind_rebind', 'Rebind');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '146', 'modal_chat', 'Enable modal chat (pressing a key to use chat)');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '147', 'mouse_inertia', 'Game Mouse Dead Zone Inertia');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '148', 'mouse_mode', 'Mouse Pointer Mode Default');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '149', 'mouse_sensitivity', 'Game Mouse Sensitivity');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '150', 'net_status', 'Show Network Status Window');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '151', 'object_icon_size', 'Object Icon Size');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '152', 'object_name_font_size', 'Object Name Font Size');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '153', 'object_name_range', 'Object Name Range');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '154', 'object_name_show_all', 'Show All Object Names');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '155', 'object_name_show_group', 'Show Group Members\' Names');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '156', 'object_name_show_guild', 'Show Guild Members\' Names');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '157', 'object_name_show_npcs', 'Show NPCs\' Names');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '158', 'object_name_show_players', 'Show Players\' Names');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '159', 'object_name_show_signs', 'Show Signs');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '160', 'page_afk', 'AFK Options');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '161', 'page_alarm', 'Alarm Options');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '162', 'page_chat', 'Chat Options');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '163', 'page_chat_colors', 'Chat Color Options');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '164', 'page_combat', 'Combat Options');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '165', 'page_controls', 'Controls Options');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '166', 'page_graphics', 'Graphics Options');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '167', 'page_misc', 'Misc Options');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '168', 'page_sound', 'Sound Options');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '169', 'page_terrain', 'Terrain Options');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '170', 'page_ui', 'UI Options');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '171', 'pilot_mouse_mode', 'Starship Piloting Mouse Mode');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '172', 'pilot_mouse_mode_auto', 'Automatic (Recommended)');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '173', 'pilot_mouse_mode_cockpit_camera', 'Cockpit Camera');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '174', 'pilot_mouse_mode_virtual_joystick', 'Virtual Joystick');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '175', 'pov_hat_mode', 'POV Hat Mode');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '176', 'pov_hat_mode_pan', 'Pan');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '177', 'pov_hat_mode_pan_speed', 'POV Pan Speed');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '178', 'pov_hat_mode_snap', 'Snap');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '179', 'pov_hat_mode_snap_angle', 'POV Snap Angle');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '180', 'profanity', 'Profanity Filter On');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '181', 'radar_terrain', 'Show Terrain on Radar');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '182', 'radial_flora_far', 'Render Distant Radial Flora');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '183', 'radial_flora_near', 'Render Nearby Radial Flora');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '184', 'radial_flora_near_distance', 'Near Radial Flora Draw Distance');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '185', 'radial_flora_non_collidable', 'Render Non-collidable flora');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '186', 'radial_flora_non_collidable_distance', 'Non-Collidable Flora Draw Distance');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '187', 'render_variable_target_reticle', 'Show Target Cursor (starships only)');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '188', 'reset_defaults', 'Reset Defaults');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '189', 'rotate_inventory_objects', 'Allow Object Icon Rotation');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '190', 'run_default', 'Player Runs by Default');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '191', 'screen_shake', 'Screen Shake');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '192', 'ship_autolevel', 'Automatic Ship Leveling');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '193', 'show_auto_sort_data_pad_contents', 'Automatically Sort Datapad Contents');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '194', 'show_auto_sort_inventory_contents', 'Automatically Sort Inventory Contents');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '195', 'show_average_tooltip', 'The average value for the attributes you select will be displayed on the resource container in your inventory screens.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '196', 'show_cockpit', 'Show Cockpit Frame');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '197', 'show_icon_names', 'Always Show Names on Object Icons');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '198', 'show_interesting_appearance', 'Show the quest icon for NPCs');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '199', 'show_modifier_window', 'Show the Modifiers Window');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '200', 'show_new_player_tutorial', 'Show New Player Tutorial');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '201', 'show_popup_help', 'Show Popup Help for New Windows');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '202', 'show_system_message', 'Show System Message Onscreen.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '203', 'space_camera_elasticity', 'Camera Elasticity (starships only)');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '204', 'space_reticle_percentage', 'Targeting Cursor Size (starships only)');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '205', 'system_message_timeout', 'Onscreen System Message Duration');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '206', 'target_nothing_untargets', 'Clicking Nothing Untargets');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '207', 'terrain_threshold', 'Global Terrain Detail');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '208', 'terrain_threshold_high', 'Terrain High Detail Range');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '209', 'text_colors_game_messages', 'Game Message Colorizations');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '210', 'text_colors_highlight_remove', 'Remove Colorization');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '211', 'text_colors_highlight_sentence', 'Add Sentence Colorization');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '212', 'text_colors_highlight_word', 'Add Word Colorization');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '213', 'text_colors_input', 'New Text Colorization');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '214', 'text_colors_sentences', 'Sentence Colorizations');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '215', 'text_colors_words', 'Word Colorizations');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '216', 'tooltip_alarm_add', 'Add an alarm to your list of alarms.  This allows you to save a number of customized alarms for future use.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '217', 'tooltip_alarm_at', 'Check this box to enable or disable a wake-up style alarm clock.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '218', 'tooltip_alarm_at_hour', 'Select the exact hour you want your alarm clock to sound off at, with the pull-down menu on the right.  The time is in Earth time.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '219', 'tooltip_alarm_at_minute', 'Input the exact minute you want your alarm clock to sound off at, with the pull-down menu on the right.  The time is in Earth time.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '220', 'tooltip_alarm_in', 'Check this box to enable or disable a countdown-style alarm clock.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '221', 'tooltip_alarm_in_hours', 'Input the number of hours that you want your alarm clock to count down in the box to the right.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '222', 'tooltip_alarm_in_minutes', 'Input the number of minutes that you want your alarm clock to count down in the box to the right.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '223', 'tooltip_alarm_list', 'Below is a list of all your alarms that you have saved.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '224', 'tooltip_alarm_message', 'Input any text you might want to appear on your screen (when your alarm clock goes off) in the space below.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '225', 'tooltip_alarm_recurring', 'Check this box to toggle whether or not your alarm clock goes off every session, or multiple times in a session, depending on your alarm clock settings and the amount of time you play in a session.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '226', 'tooltip_alarm_remove', 'Click this button, with an alarm selected above, to remove it from the list of alarms that you have saved.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '227', 'tooltip_alarm_sound', 'Select the sound that your alarm clock will play via the pull-down menu below.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '228', 'tooltip_alarm_sound_test', 'Click this button to test your alarm clock\'s currently selected sound.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '229', 'tooltip_allow_overhead_map_rotation', 'Allow Overhead Map Rotation');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '230', 'tooltip_auto_afk_status', 'Check this box to toggle auto-AFK status when you haven\'t interacted with the game for a set number of minutes.  You set the number of minutes to whatever you choose, if you enable this option.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '231', 'tooltip_auto_afk_time', 'Input the number of minutes it takes for you to be AFK before your auto-AFK status is activated.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '232', 'tooltip_auto_reject_invite', 'Check this box to toggle whether or not you automatically reject group invitations.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '233', 'tooltip_away_from_keyboard_auto_response_message', 'Input or change the text that you want to appear to players who send you a tell while you are in AFK mode.  You are responsible for keeping this message within the social guidelines of the game.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '234', 'tooltip_camera_zoom_speed', 'Move this slider to modify how fast your camera zooms in and out.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '235', 'tooltip_chase_cam', 'When Chase Camera Mode is enabled, the 3rd person camera stays behind the avatar most of the time.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '236', 'tooltip_chat_auto_emote', 'If enabled, the game automatically performs animations when you speak.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '237', 'tooltip_chat_box_font_size_default', 'Move this slider to modify the default size of your chat text.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '238', 'tooltip_chat_bubble_duration', 'Move this slider to modify how long chat bubbles remain on the screen after they appear.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '239', 'tooltip_chat_bubble_emotes', 'Check this box to toggle chat bubbles displaying for emotes.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '240', 'tooltip_chat_bubble_enable', 'Check this box to enable the existence of comic-style chat bubbles over PCs and NPCs.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '241', 'tooltip_chat_bubble_font_size', 'Move this slider to modify the font size of all text that appears in chat bubbles.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '242', 'tooltip_chat_bubble_prose', 'Check this box to toggle chat bubbles displaying prose format.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '243', 'tooltip_chat_bubble_range_factor', 'Move this slider to modify the range at which you see chat bubbles in the game.  The further to the right this is set, the farther away chat bubbles will appear.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '244', 'tooltip_chat_bubble_show_all', 'Check this box to toggle the display of chat bubbles for other players, for NPCs, for PA members, and for group members.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '245', 'tooltip_chat_bubble_show_group', 'Check this box to toggle displaying chat bubbles for group members\' text.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '246', 'tooltip_chat_bubble_show_guild', 'Check this box to toggle displaying chat bubbles for your Player Association\'s members\' text.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '247', 'tooltip_chat_bubble_show_npc', 'Check this box to toggle displaying chat bubbles for NPC text.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '248', 'tooltip_chat_bubble_show_player', 'Check this box to toggle displaying chat bubbles for other players\' text.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '249', 'tooltip_chat_bubble_show_self', 'Check this box to toggle displaying chat bubbles for your own text.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '250', 'tooltip_chat_bubble_socials', 'Check this box to toggle chat bubbles displaying for socials.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '251', 'tooltip_chat_format_mode', 'Select from the following options to choose the way incoming text is formatted for you.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '252', 'tooltip_chat_mode_brief', 'Brief chat format features only the bare minimum amount of chat information, with no frills attached.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '253', 'tooltip_chat_mode_diku', 'Diku MUD chat format features all relevant chat information without adding as much detail as the more advanced prose format.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '254', 'tooltip_chat_mode_prose', 'Prose chat format features descriptive text as well as providing some grammar and punctuation.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '255', 'tooltip_chat_show_afk_speech', 'Select this option to filter out spatial chat from players that are marked as \'AFK\'.  ');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '256', 'tooltip_chat_show_npc_speech', 'Select this option to filter out spatial chat from non-player characters.  You may not want this option if you are doing a mission from an NPC, or there are hostile NPCs nearby.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '257', 'tooltip_chat_timestamp', 'Check this box to enable chat timestamping.  Timestamping will allow you to see when chat and tells were sent to you, within a second\'s accuracy.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '258', 'tooltip_chatbox_keyclick', 'Check this box to toggle ICQ-style audio chirps per keystroke.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '259', 'tooltip_cockpit_camera_recenter', 'Recenter Cockpit Camera when you adjust your ship\'s orientation.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '260', 'tooltip_cockpit_camera_snap_speed', 'Set the speed at which your camera snaps to its target orientation.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '261', 'tooltip_cockpit_camera_y_offset', 'This slider will change the default (rest) vertical position when in 3rd person ship view.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '262', 'tooltip_cockpit_camera_zoom_multiplier', 'This slider increases the zoom factor when in 3rd person ship view.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '263', 'tooltip_confirm_crafting', 'If you want to receive Confirmation Dialogs when Crafting, select this option.\nConfirmation Dialogs will appear when assembling and completing your item.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '264', 'tooltip_confirm_obj_delete', 'Check this box to enable the confirmation of any objects you delete, before they are gone for good.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '265', 'tooltip_controls_keymap', 'Click this box to open up a controls keymap.  This allows you to modify, with great specificity, what your keyboard setup is like.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '266', 'tooltip_damage_num_others', 'Check this box to toggle the display of damage numbers on top of others.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '267', 'tooltip_damage_num_self', 'Check this box to toggle the display of damage numbers on top of your character.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '268', 'tooltip_damage_num_size', 'Move this slider to modify the appearance size of the damage numbers that appear on top of creatures and players.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '269', 'tooltip_dead_zone', 'Move this slider to modify how much \'give\' your cursor has in standard gameplay, before your character begins to turn to either side.  A tight dead zone configuration will allow you to turn sharply but with less interaction possible with the game screen, whereas a loose dead zone configuration will allow you to interact with a wider amount of the screen before your character and camera begin turning.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '270', 'tooltip_entangle_resistance', 'Entangle Resistance');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '271', 'tooltip_fullscreen', 'Check this box to disable the Windows key from functioning while in fullscreen mode.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '272', 'tooltip_gfx_batch_renderer', 'Renders distant Characters and Creatures at low detail.  Improves performance at the cost of visual quality.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '273', 'tooltip_gfx_brightness', 'This option is used to modify the brightness level seen in the game.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '274', 'tooltip_gfx_camera_far_plane', 'This option changes how far into the distance your game camera renders terrain and objects.  Low-end system users may want to keep this option set to a low level to increase overall performance.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '275', 'tooltip_gfx_camera_fov', 'This option allows you to extend your field of vision outward, allowing you to see more to each side of your camera.  There is a slight distortion in distance seen when this is set to the maximum level.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '276', 'tooltip_gfx_character_lod_bias', 'This option modifies the overall quality of character objects seen in the game (such players, NPCs, and creatures).   Low-end system users are encouraged to keep this in the mid to low settings, to increase overall performance.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '277', 'tooltip_gfx_character_lod_manager', 'Enable this option to allow the client to automatically control how many high and medium quality characters are rendered at any given time.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '278', 'tooltip_gfx_character_shadows', 'This lets you select between different shadow settings for character models.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '279', 'tooltip_gfx_character_shadows_none', 'This setting displays no shadows on character models.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '280', 'tooltip_gfx_character_shadows_simple', 'This setting displays simple shadows on character models.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '281', 'tooltip_gfx_character_shadows_volumetric', 'This setting displays detailed shadows on character models.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '282', 'tooltip_gfx_contrast', 'This option is used to modify the contrast level seen in the game.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '283', 'tooltip_gfx_crossfade_detaillevels', 'Check this box to fade between the levels of detail in the game.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '284', 'tooltip_gfx_detailobjects', 'Check this box to show detailed world objects that aren\'t really necessary but add to scenery, such as pipes jutting from the ground.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '285', 'tooltip_gfx_enable_bloom', 'This option softens the rendered image around bright lights.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '286', 'tooltip_gfx_fade_objects', 'Check this box to fade objects into and out of view.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '287', 'tooltip_gfx_gamma', 'This option is used to modify the gamma correction level.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '288', 'tooltip_gfx_nebula_density', 'Change the density of nebulas in space.  Lowering this can improve your framerate for lower quality video cards.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '289', 'tooltip_gfx_noncharacter_shadows', 'This lets you select between different shadow settings for non-character objects, such as buildings.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '290', 'tooltip_gfx_noncharacter_shadows_none', 'This setting displays no shadows on buildings and other objects.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '291', 'tooltip_gfx_noncharacter_shadows_volumetric', 'This setting displays detailed shadows on buildings and other objects.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '292', 'tooltip_gfx_particle_lod_bias', 'This option modifies the overall quality of particle systems seen in the game (such fire and smoke).   Low-end system users are encouraged to keep this in the mid to low settings, to increase overall performance.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '293', 'tooltip_gfx_render_shadows', 'Check this box to turn shadows on or off.  Displaying shadows is not suggested for users with low-end systems, as they can adversely affect your overall system performance.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '294', 'tooltip_gfx_screenshot_type', 'Select the type of file that you would like to automatically save screenshots as.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '295', 'tooltip_gfx_screenshot_type_bmp', 'Check this box to render Bitmaps.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '296', 'tooltip_gfx_screenshot_type_jpg', 'Check this box to render Jpegs.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '297', 'tooltip_gfx_screenshot_type_quality', 'Dragging the slider to the right will increase the quality of your jpg.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '298', 'tooltip_gfx_screenshot_type_tga', 'Check this box to render Targas.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '299', 'tooltip_gfx_shadow_detail', 'Move this slider to modify the level of detail displayed in all shadows.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '300', 'tooltip_gfx_simple_camera_collision', 'Simple Camera Collision is faster but less accurate.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '301', 'tooltip_gfx_static_lod_bias', 'This option modifies the overall quality of static objects seen in the game (such as rocks, trees, and buildings).   Low-end system users are encouraged to keep this in the mid to low settings, to increase overall performance.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '302', 'tooltip_gfx_water', 'Move this slider to modify the level of detail seen in water.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '303', 'tooltip_gfx_world_detail_bias', 'Move this slider to modify the distance that buildings and other objects draw to you.  When set to a lower range, buildings won\'t draw until you are somewhat closer to them.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '304', 'tooltip_group_waypoints', 'Toggle showing group members\' waypoints.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '305', 'tooltip_hud_opacity', 'Move this slider to modify how opaque your general HUD is.  The less opaque (left) the slider is, the easier you can see the game-world through the UI menus and boxes.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '306', 'tooltip_invert_mouselook', 'Check this box to toggle whether your mouselook is inverted (flight-sim style) or non-inverted (FPS style).');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '307', 'tooltip_joystick_dead_zone', 'Change the size of the joystick deadzone.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '308', 'tooltip_joystick_invert', 'Invert the y-axis (pitch) of your joystick when controlling ships or turrets. This setting will cause the nose of the ship to go up when you push the joystick forward, and to go down when you pull the joystick back. This setting will also cause turrets to respond in a similar fashion.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '309', 'tooltip_joystick_sensitivity', 'Joystick sensitivity.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '310', 'tooltip_modal_chat', 'If Modal Chat is enabled, you use a keystroke (default ENTER) to chat.\n\nIf it is not enabled, alphanumeric keys are always interpreted as chat input.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '311', 'tooltip_mouse_inertia', 'Move this slider to determine the amount of inertia (continued movement) your cursor has.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '312', 'tooltip_mouse_mode', 'Check this box to set Mouse Pointer Mode as the default mouse mode.  Uncheck the box to use Mouse Look Mode.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '313', 'tooltip_mouse_sensitivity', 'Move this slider to modify how sensitive your mouse is.  The more sensitive it is, the faster your cursor will move.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '314', 'tooltip_net_status', 'Check this box to enable viewing the status of your connection to our servers.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '315', 'tooltip_object_icon_size', 'Object Icon Size affects the size of object icons inside container windows.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '316', 'tooltip_object_name_font_size', 'Move this slider to adjust the font size seen on object names.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '317', 'tooltip_object_name_range', 'Move this slider to modify the distance that object names are seen at.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '318', 'tooltip_object_name_show_all', 'Select this option to show all object names that are in range.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '319', 'tooltip_object_name_show_group', 'Select this to toggle displaying your group member names over their heads if they are within range.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '320', 'tooltip_object_name_show_guild', 'Select this to toggle the display of all guild member\'s names over their heads if they are within range.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '321', 'tooltip_object_name_show_npcs', 'Select this to toggle the display of NPC names over their heads if they are within range.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '322', 'tooltip_object_name_show_players', 'Select this to toggle the display of all player names over their heads if they are within range.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '323', 'tooltip_object_name_show_signs', 'Show Signs.  Signs\' Names appear in Bold Text.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '324', 'tooltip_pilot_mouse_mode', 'Starship Piloting Mouse Mode - sets how your mouse will be used when piloting a starship.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '325', 'tooltip_pilot_mouse_mode_auto', 'Automatic (recommended) - automatically detects whether or not you have a joystick and sets your mouse mode appropriately.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '326', 'tooltip_pilot_mouse_mode_cockpit_camera', 'Cockpit Camera - move your mouse to view the interior of your ship\'s cockpit. This is generally used when you have a joystick.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '327', 'tooltip_pilot_mouse_mode_virtual_joystick', 'Virtual Joystick - move your mouse to steer your ship. This is generally used when you do not have a joystick.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '328', 'tooltip_pov_hat_mode', 'Set how your joystick\'s POV Hat (Point-of-View Hat) controls your camera view. A gamepad\'s secondary controller, usually the digital pad, can also be used for this.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '329', 'tooltip_pov_hat_mode_pan', 'Pan the camera view with the POV hat.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '330', 'tooltip_pov_hat_mode_pan_speed', 'Set the speed at which the POV hat pans the camera.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '331', 'tooltip_pov_hat_mode_snap', 'Snap the view to the direction of the POV hat.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '332', 'tooltip_pov_hat_mode_snap_angle', 'Set the angle to which the POV hat snaps the camera.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '333', 'tooltip_profanity', 'Check this box to enable or disable the in-game profanity filter.  When enabled, general profanity from other players will be censored from view.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '334', 'tooltip_radar_terrain', 'Check this box to toggle whether terrain displays on your radar or not.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '335', 'tooltip_radial_flora_far', 'Check this box to toggle displaying distant trees.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '336', 'tooltip_radial_flora_near', 'Check this box to toggle displaying grass and small flowers that appear near you.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '337', 'tooltip_radial_flora_near_distance', 'Near Radial Flora Draw Distance');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '338', 'tooltip_radial_flora_non_collidable', 'Check this box to toggle displaying flora that you can not collide with, such as small bushes and plants.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '339', 'tooltip_radial_flora_non_collidable_distance', 'Non-Collidable Flora Draw Distance');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '340', 'tooltip_render_variable_target_reticle', 'Check this box to toggle whether or not the targeting cursor is shown on the screen.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '341', 'tooltip_res', 'The value for the resource attributes selected from the list below will be averaged for your resources and that average value will be shown on the resource icon. Any attributes that are selected but that a given resource does not have will be ignored.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '342', 'tooltip_res_cold_resist', 'Cold Resistance');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '343', 'tooltip_res_conductivitiy', 'Conductivity');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '344', 'tooltip_res_conductivity', 'Conductivity');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '345', 'tooltip_res_decay_resist', 'Decay Resistance');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '346', 'tooltip_res_flavor', 'Flavor');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '347', 'tooltip_res_heat_resist', 'Heat Resistance');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '348', 'tooltip_res_malleability', 'Malleability');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '349', 'tooltip_res_potential_energy', 'Potential Energy');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '350', 'tooltip_res_quality', 'Overall Quality');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '351', 'tooltip_res_shock_resistance', 'Shock Resistance');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '352', 'tooltip_res_toughness', 'Unit Toughness');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '353', 'tooltip_reset_defaults', 'Select this to reset the default options for this page.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '354', 'tooltip_rotate_inventory_objects', 'Rotate the 3-D objects in Icon views, such as Inventory, Datapad, and Loot containers.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '355', 'tooltip_run_default', 'Check this box to toggle whether running or walking is your default moving state.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '356', 'tooltip_screen_shake', 'Enables or disables the shaking camera.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '357', 'tooltip_ship_autolevel', 'Check this box to toggle your ship\'s ability to automatically return to its default rotation.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '358', 'tooltip_show_auto_sort_data_pad_contents', 'Check this box to sort the contents of the player\'s datapad each time it is opened.\n');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '359', 'tooltip_show_auto_sort_inventory_contents', 'Check this box to sort the contents of the player\'s inventory each time it is opened.\n');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '360', 'tooltip_show_cockpit', 'Show starfighter cockpit frame when piloting a starship');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '361', 'tooltip_show_icon_names', 'Always Show Names on Object Icons, for instance on the Object Icons in your Inventory or Datapad.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '362', 'tooltip_show_interesting_appearance', 'Check this box to display an icon over NPCs when they have something interesting to discuss.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '363', 'tooltip_show_modifier_window', 'This window displays all the attribute and skill modifiers currently applied to your character.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '364', 'tooltip_show_popup_help', 'Many UI Windows have a series of Popup Help Tips associated with them.\n\nIf this option is selected, these Popup Help Tips appear the first time you use a UI Window.\n\nIf the option is not selected, you can still activate the Popup Help Tips at any time.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '365', 'tooltip_show_system_message', 'Select this to have System Messages popup in the center of your screen, as well as in your Chat window.\n\nDeselect this option to have System Messages only show up in your Chat Window.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '366', 'tooltip_space_camera_elasticity', 'Adjust the camera\'s elasticity when following your starship.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '367', 'tooltip_space_reticle_percentage', 'Adjusting this will change the size of the target reticle.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '368', 'tooltip_system_message_timeout', 'Adjust the Onscreen System Message Duration');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '369', 'tooltip_target_nothing_untargets', 'Check this box to toggle whether or not clicking in a space absent of any potential target will remove your current target.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '370', 'tooltip_terrain_threshold', 'This option modifies the overall detail of terrain and terrain objects seen in the game.  Low-end system users are encouraged to keep this in the mid to low range to enhance overall performance.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '371', 'tooltip_terrain_threshold_high', 'This option modifies the distance around the player that the terrain is rendered at the highest possible detail.  High detail terrain contains many static objects such as flora and rocks.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '372', 'tooltip_text_colors_game_messages', 'Select the game message, then select the color you want it to appear in chat.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '373', 'tooltip_text_colors_palette', 'This is the palette of colors you can assign to your chat messages.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '374', 'tooltip_text_colors_sentences', 'If text in this list appears in chat, it entire sentence is displayed in the specified color. If you want to modify the color of an item in this list, click the item, then click the new color.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '375', 'tooltip_text_colors_words', 'If text in this list appears in chat, the text is displayed in the specified color. If you want to modify the color of an item in this list, click the item, then click the new color.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '376', 'tooltip_trackir', 'Enable Head Tracking via Natural Point\'s trackIR.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '377', 'tooltip_turn_strafes', 'Check this box to enable whether turning causes your character to strafe (slide to the left or right) as well.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '378', 'tooltip_ui_palette', 'You can choose between several pre-defined palette color schemes for the UI.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '379', 'tooltip_waypoint_mon', 'Toggle the Onscreen Waypoint Monitor.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '380', 'tooltip_waypoint_onscreen', 'Select this option to show Arrows in the center of the screen which\npoint toward Waypoints that are not in your field of view.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '381', 'tooltip_window', 'Check this box to disable the Windows key from functioning while in windowed mode.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '382', 'tooltip_winkey_fullscreen', 'Check this box to enable or disable the Windows key\'s function while in fullscreen mode.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '383', 'tooltip_winkey_windowed', 'Check this box to enable or disable the Windows key\'s function while in windowed mode.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '384', 'trackir', 'Enable trackIR Head Tracking');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '385', 'turn_strafes', 'Turn Strafes When Mouselook Enabled (EQ Style)');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '386', 'ui_palette', 'UI Palette');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '387', 'ui_res', 'Show Average For These Resource Attributes');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '388', 'waypoint_mon', 'Onscreen Waypoint Monitor');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '389', 'waypoint_onscreen', 'Show Arrows to Waypoints Onscreen');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '390', 'winkey_fullscreen', 'Enable Windows key in fullscreen mode');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '391', 'winkey_windowed', 'Enable Windows key in windowed mode');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '392', 'show_radar_npc', 'Enable display of friendly NPCs on the radar.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '393', 'tooltip_show_radar_npc', 'Enabling this option causes friendly NPCs to show up as white dots on your radar map.  If you have game object arrows turned on, arrows may also show up for these objects on the radar.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '394', 'show_game_obj_arrows_on_radar', 'Show object arrows on the radar.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '395', 'tooltip_show_radar_arrows', 'Causes arrows to display on the radar for NPCs that are outside of the radar range.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt.stf', '396', 'default', '');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt_sound.stf', '1', 'caption', 'Sound');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt_sound.stf', '2', 'enable', 'Enable Sound');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt_sound.stf', '3', 'volume_effects', 'Effects Volume');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt_sound.stf', '4', 'volume_master', 'Master Volume');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt_sound.stf', '5', 'volume_background_music', 'Background Music Volume');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt_sound.stf', '6', 'volume_player_music', 'Player Music Volume');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt_sound.stf', '7', 'volume_user_interface', 'User Interface Volume');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt_sound.stf', '10', 'max_sounds', 'Max Sounds');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt_sound.stf', '16', 'tooltip_enable', 'Check this box to enable or disable all sound.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt_sound.stf', '19', 'tooltip_max_sounds', 'Use the pull-down menu below this option to choose the maximum number of sounds that can play at once.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt_sound.stf', '20', 'tooltip_volume_master', 'Move this slider to modify the overall sound volume level in the game.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt_sound.stf', '21', 'tooltip_volume_effects', 'Move this slider to modify the volume of sound effects in the game.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt_sound.stf', '22', 'tooltip_volume_background_music', 'Move this slider to modify the volume of background music in the game.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt_sound.stf', '23', 'tooltip_volume_user_interface', 'Move this slider to modify the volume of the sound effects heard while interacting with the user interface windows and controls.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt_sound.stf', '24', 'tooltip_volume_player_music', 'Move this slider to modify the volume of player music heard in the game.  This also modifies what you hear from your own band, if you are a musician.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt_sound.stf', '25', 'volume_combat_music', 'Combat Music Volume');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt_sound.stf', '26', 'tooltip_volume_combat_music', 'Move this slider to modify the volume of the music during combat.');
INSERT INTO `client_strings` VALUES ('string/en/ui_opt_sound.stf', '27', 'tooltip_ui_palette', 'You can choose between several previously defined color schemes for the UI.');
INSERT INTO `client_strings` VALUES ('string/en/ui_permission_list.stf', '1', 'help_list', 'This is the list of players that are allowed to perform the action.  A particular object may have many of these lists, each one for a particular action (i.e. permission to enter a building, permission to administer the building, etc.).');
INSERT INTO `client_strings` VALUES ('string/en/ui_permission_list.stf', '2', 'help_add', 'Click this button to add a new player to the list.  Nearby people will be added to the combobox for easy selection, but any player can be added.');
INSERT INTO `client_strings` VALUES ('string/en/ui_permission_list.stf', '3', 'help_remove', 'Click this button to remove the selected player from the list, revoking their right to perform the given action.');
INSERT INTO `client_strings` VALUES ('string/en/ui_plan.stf', '1', 'label_search', 'Label Search');
INSERT INTO `client_strings` VALUES ('string/en/ui_plan.stf', '2', 'search', 'Search');
INSERT INTO `client_strings` VALUES ('string/en/ui_planet_map.stf', '1', 'tree_all', 'All');
INSERT INTO `client_strings` VALUES ('string/en/ui_planet_map.stf', '2', 'tooltip_map', 'Click and drag to pan the map.\nDouble click to zoom toward click point.\nRight click on a location or the map to edit waypoints.');
INSERT INTO `client_strings` VALUES ('string/en/ui_planet_map.stf', '3', 'waiting_locations', 'Downloading planetary location data...');
INSERT INTO `client_strings` VALUES ('string/en/ui_planet_map.stf', '4', 'location_types', 'Location Types');
INSERT INTO `client_strings` VALUES ('string/en/ui_planet_map.stf', '5', 'locations', 'Find a Location:');
INSERT INTO `client_strings` VALUES ('string/en/ui_planet_map.stf', '6', 'show_all_cities', 'Show All Cities');
INSERT INTO `client_strings` VALUES ('string/en/ui_planet_map.stf', '7', 'show_names', 'Show Names');
INSERT INTO `client_strings` VALUES ('string/en/ui_planet_map.stf', '8', 'exit', 'Exit');
INSERT INTO `client_strings` VALUES ('string/en/ui_planet_map.stf', '9', 'show_all_waypoints', 'Show All Waypoints');
INSERT INTO `client_strings` VALUES ('string/en/ui_planet_map.stf', '10', 'popup_waypoint_create', 'Create Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/ui_planet_map.stf', '11', 'popup_waypoint_set_name', 'Set Waypoint Name');
INSERT INTO `client_strings` VALUES ('string/en/ui_planet_map.stf', '12', 'popup_waypoint_destroy', 'Destroy Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/ui_planet_map.stf', '13', 'popup_waypoint_activate', 'Activate Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/ui_planet_map.stf', '14', 'popup_waypoint_deactivate', 'Deactivate Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/ui_planet_map.stf', '15', 'refresh', 'Refresh');
INSERT INTO `client_strings` VALUES ('string/en/ui_planet_map.stf', '16', 'help_map', 'This is the Planetary Map.\n\nYou can use it to find Locations and manage your Waypoints.\n\nRight-click on the map for a popup menu that will allow you to create, destroy, rename, and activate Waypoints.');
INSERT INTO `client_strings` VALUES ('string/en/ui_planet_map.stf', '17', 'help_here', 'You are here.');
INSERT INTO `client_strings` VALUES ('string/en/ui_planet_map.stf', '18', 'help_zoom', 'This is the Map Zoom Slider.\n\nUse it to Zoom the Map view in or out.');
INSERT INTO `client_strings` VALUES ('string/en/ui_planet_map.stf', '19', 'help_tree', 'All registered Map Locations are displayed here.\n\nYour Waypoints are also included.\n\nSelect a Category or Subcategory to display a group of Map Locations on the Map to the left.  Select a single Map Location to view it by itself.\n\nYou can right-click Map Locations in this display for a popup menu that will allow you to manage your Waypoints.');
INSERT INTO `client_strings` VALUES ('string/en/ui_pm.stf', '1', 'help_browse_table', 'This is your Mail Browser.\n\nThis window displays all the mail currently in your inbox. You can  write new messages and respond to messages sent to you.\n\nThis first table displays your inbox.');
INSERT INTO `client_strings` VALUES ('string/en/ui_pm.stf', '2', 'help_browse_body', 'This is the body of the selected mail.');
INSERT INTO `client_strings` VALUES ('string/en/ui_pm.stf', '3', 'help_browse_reply', 'Reply to the selected message.');
INSERT INTO `client_strings` VALUES ('string/en/ui_pm.stf', '4', 'help_browse_fwd', 'Forward the mail to someone else.');
INSERT INTO `client_strings` VALUES ('string/en/ui_pm.stf', '5', 'help_browse_delete', 'Delete the selected mail.');
INSERT INTO `client_strings` VALUES ('string/en/ui_pm.stf', '6', 'help_browse_new', 'Compose a new mail message.');
INSERT INTO `client_strings` VALUES ('string/en/ui_pm.stf', '7', 'help_comp_attach', 'This is where attachments go.  You can drag and drop waypoints into this window to send them to other people.');
INSERT INTO `client_strings` VALUES ('string/en/ui_pm.stf', '8', 'help_comp_recipient', 'This is the Mail composer.\n\nThe person or persons that should receive this mail.\n\nYou can send a mail to multiple people by separating their names with a semicolon (;).\n\nYou can send mail to your group by specifying \'group\' as a recipient.');
INSERT INTO `client_strings` VALUES ('string/en/ui_pm.stf', '9', 'help_comp_send', 'Send the message.');
INSERT INTO `client_strings` VALUES ('string/en/ui_pm.stf', '10', 'help_comp_subject', 'The subject of the mail message can be typed here, if desired.');
INSERT INTO `client_strings` VALUES ('string/en/ui_pm.stf', '11', 'help_comp_body', 'The body of the mail message.');
INSERT INTO `client_strings` VALUES ('string/en/ui_pm.stf', '12', 'cpt_browser', 'Your Mail');
INSERT INTO `client_strings` VALUES ('string/en/ui_pm.stf', '13', 'cpt_composer', 'Compose New Message');
INSERT INTO `client_strings` VALUES ('string/en/ui_pm.stf', '14', 'err_bad_recipients', 'You entered something in the \"To\" field that  didn\'t make any sense. \n\nIf you want to send a Mail Message to multiple people, simply put in their names separated by semicolons:\n\n   John; Sally; Fred');
INSERT INTO `client_strings` VALUES ('string/en/ui_pm.stf', '15', 'close', 'Close');
INSERT INTO `client_strings` VALUES ('string/en/ui_pm.stf', '16', 'delete', 'Delete');
INSERT INTO `client_strings` VALUES ('string/en/ui_pm.stf', '17', 'failed_unknown', 'An error has occurred on the chat server. \n\nPlease try sending your message again, or contact Customer Service for assistance.');
INSERT INTO `client_strings` VALUES ('string/en/ui_pm.stf', '18', 'fwd', 'Forward');
INSERT INTO `client_strings` VALUES ('string/en/ui_pm.stf', '19', 'fwd_prefix', 'FW: ');
INSERT INTO `client_strings` VALUES ('string/en/ui_pm.stf', '20', 'loading_msg', 'Downloading your Mail Messages...');
INSERT INTO `client_strings` VALUES ('string/en/ui_pm.stf', '21', 'new', 'New');
INSERT INTO `client_strings` VALUES ('string/en/ui_pm.stf', '22', 'err_no_body', 'You need to enter text in the body of  your message!');
INSERT INTO `client_strings` VALUES ('string/en/ui_pm.stf', '23', 'err_no_recipients', 'You need to enter a name in the \"To\"  field in order to send your message.');
INSERT INTO `client_strings` VALUES ('string/en/ui_pm.stf', '24', 'err_no_subject', 'You need to enter a subject line for your message.');
INSERT INTO `client_strings` VALUES ('string/en/ui_pm.stf', '25', 'recipient_ignored_prose', 'Your Mail Message has not been delivered to \'%TT\' because the recipient has chosen not to receive mail from you at this time.');
INSERT INTO `client_strings` VALUES ('string/en/ui_pm.stf', '26', 'recipient_invalid_prose', 'Are you sure you have the correct name? \n\nThere is no player named \'%TT\'.');
INSERT INTO `client_strings` VALUES ('string/en/ui_pm.stf', '27', 'recipient_name', 'To:');
INSERT INTO `client_strings` VALUES ('string/en/ui_pm.stf', '28', 'reply', 'Reply');
INSERT INTO `client_strings` VALUES ('string/en/ui_pm.stf', '29', 'reply_prefix', 'RE: ');
INSERT INTO `client_strings` VALUES ('string/en/ui_pm.stf', '30', 'send', 'Send');
INSERT INTO `client_strings` VALUES ('string/en/ui_pm.stf', '31', 'subject', 'Subject');
INSERT INTO `client_strings` VALUES ('string/en/ui_pm.stf', '32', 'table_date', 'Date');
INSERT INTO `client_strings` VALUES ('string/en/ui_pm.stf', '33', 'table_sender', 'Sender');
INSERT INTO `client_strings` VALUES ('string/en/ui_pm.stf', '34', 'table_subject', 'Subject');
INSERT INTO `client_strings` VALUES ('string/en/ui_pm.stf', '35', 'text', 'Message');
INSERT INTO `client_strings` VALUES ('string/en/ui_pm.stf', '36', 'table_status', 'Status');
INSERT INTO `client_strings` VALUES ('string/en/ui_pm.stf', '37', 'new_message_received', 'You have new mail.');
INSERT INTO `client_strings` VALUES ('string/en/ui_pm.stf', '38', 'popup_delete', 'Delete Attachment');
INSERT INTO `client_strings` VALUES ('string/en/ui_pm.stf', '39', 'popup_save', 'Save Attachment');
INSERT INTO `client_strings` VALUES ('string/en/ui_pm.stf', '40', 'popup_save_all', 'Save All Attachments');
INSERT INTO `client_strings` VALUES ('string/en/ui_pm.stf', '41', 'failed_unknown_prose', 'An error has occurred on the chat server while sending the message to \'%TT\'.\n\nPlease try sending your message again, or contact Customer Service for assistance.');
INSERT INTO `client_strings` VALUES ('string/en/ui_pm.stf', '42', 'returned_mail_prefix', 'RETURNED MAIL: ');
INSERT INTO `client_strings` VALUES ('string/en/ui_pm.stf', '43', 'err_reply_system', 'You cannot reply to a Mail from the System.');
INSERT INTO `client_strings` VALUES ('string/en/ui_pm.stf', '44', 'help_browse_attach', 'Attachments are displayed here.\n\nYou can right-click on an attachment to save it or use it.');
INSERT INTO `client_strings` VALUES ('string/en/ui_pm.stf', '45', 'err_waypoint_exists', 'You already have that waypoint in your datapad.');
INSERT INTO `client_strings` VALUES ('string/en/ui_pm.stf', '46', 'err_waypoint_matches', 'You already have that waypoint in your datapad.');
INSERT INTO `client_strings` VALUES ('string/en/ui_pm.stf', '47', 'confirm_empty_mail', 'Are you sure you want to delete all your email?');
INSERT INTO `client_strings` VALUES ('string/en/ui_pm.stf', '48', 'delete_all_mail_fail', 'Unable to empty the mailbox of %TT.');
INSERT INTO `client_strings` VALUES ('string/en/ui_pm.stf', '49', 'delete_all_mail_success', 'You have successfully emptied the mailbox of %TT.');
INSERT INTO `client_strings` VALUES ('string/en/ui_pm.stf', '50', 'text_max', 'Max. email of 4000 chars. reached');
INSERT INTO `client_strings` VALUES ('string/en/ui_pm.stf', '51', 'attachments', 'Attachments');
INSERT INTO `client_strings` VALUES ('string/en/ui_quest.stf', '1', 'quests', 'Categories');
INSERT INTO `client_strings` VALUES ('string/en/ui_quest.stf', '2', 'forcesensitive', 'Quests');
INSERT INTO `client_strings` VALUES ('string/en/ui_quest.stf', '3', 'show_mission', 'Include Completed Quests');
INSERT INTO `client_strings` VALUES ('string/en/ui_quest.stf', '4', 'cpt_journal', 'Quest Journal');
INSERT INTO `client_strings` VALUES ('string/en/ui_quest.stf', '5', 'help', 'This is your quest journal.  Active and completed quests will be displayed here.  Click on a category to display quests in that category.  Quests displayed in a contrasting color (normally white) are \"active\", meaning uncompleted.  Quests in faded text (normally gray) have been completed.  Completed quests are only displayed if the \"Include Completed Quests\" box is checked; active quests are always displayed.  Higlight a quest to get more information about it in the lower half of the window.');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '1', 'combat_attack', 'Attack');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '2', 'combat_death_blow', 'Death Blow');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '3', 'combat_duel', 'Duel');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '4', 'combat_peace', 'Peace');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '5', 'combat_target', 'Target');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '6', 'combat_untarget', 'Untarget');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '7', 'control_call', 'Call');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '8', 'control_store', 'Store');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '9', 'converse_respond', 'Respond');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '10', 'converse_start', 'Converse');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '11', 'converse_stop', 'Stop Conversing');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '12', 'convert_harvester', 'Convert Harvester');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '13', 'craft_hopper_input', 'Open Input Hopper');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '14', 'craft_hopper_output', 'Get Finished Prototype');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '15', 'craft_options', 'Crafting Options');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '16', 'craft_start', 'Start Crafting');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '17', 'creature_follow', 'Follow');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '18', 'creature_stop_follow', 'Stop Following');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '19', 'examine', 'Examine');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '20', 'extract_object', 'Get Item From Crate');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '21', 'firework_launch', 'Launch');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '22', 'group_decline', 'Decline Group Invitation');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '23', 'group_disband', 'Disband Group');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '24', 'group_invite', 'Invite to Group');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '25', 'group_join', 'Join Group');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '26', 'group_kick', 'Kick from Group');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '27', 'group_leave', 'Leave Group');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '28', 'imagedesign', 'Image Design');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '29', 'item_activate', 'Activate');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '30', 'item_deactivate', 'Deactivate');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '31', 'item_destroy', 'Destroy');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '32', 'item_drop', 'Drop');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '33', 'item_equip', 'Equip');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '34', 'item_mail', 'Attach to Comm Message');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '35', 'item_move', 'Move');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '36', 'item_move_back', 'Move Back');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '37', 'item_move_down', 'Move Down');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '38', 'item_move_forward', 'Move Forward');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '39', 'item_move_up', 'Move Up');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '40', 'item_open', 'Open');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '41', 'item_open_new_window', 'Open in New Window');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '42', 'item_pickup', 'Pick Up');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '43', 'item_rotate', 'Rotate');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '44', 'item_rotate_left', 'Rotate Left');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '45', 'item_rotate_right', 'Rotate Right');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '46', 'item_sit', 'Sit');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '47', 'item_token', 'Get Token');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '48', 'item_unequip', 'Unequip');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '49', 'item_use', 'Use');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '50', 'item_use_deed', 'Use Deed');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '51', 'item_use_drink', 'Drink');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '52', 'item_use_food', 'Eat');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '53', 'item_use_force_crystal', 'Use');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '54', 'item_use_other', 'Use on Target');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '55', 'item_use_pharmaceutical', 'Use');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '56', 'item_use_pharmaceutical_other', 'Use on Other');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '57', 'item_use_pharmaceutical_self', 'Use on Self');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '58', 'item_use_self', 'Use on Self');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '59', 'item_use_sign', 'Read Sign');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '60', 'item_use_terminal_bank', 'Use Bank');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '61', 'item_use_terminal_bazaar', 'Use Terminal');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '62', 'item_use_terminal_cloning', 'Store Clone Data');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '63', 'item_use_terminal_insurance', 'Insurance Menu');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '64', 'item_use_terminal_manage', 'Use Terminal');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '65', 'item_use_terminal_mission', 'Use Mission Terminal');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '66', 'item_use_terminal_permissions', 'Set Permissions');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '67', 'item_use_terminal_player_structure', 'Use Structure Terminal');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '68', 'item_use_terminal_shipping', 'Use Shipping Terminal');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '69', 'item_use_terminal_travel', 'Book Tickets');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '70', 'item_use_ticket_travel', 'Use Travel Ticket');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '71', 'item_use_weapon_heavy', 'Fire');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '72', 'item_use_weapon_thrown', 'Throw');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '73', 'loot', 'Loot');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '74', 'loot_all', 'Loot All');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '75', 'mission_abort', 'Abort Mission');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '76', 'mission_details', 'Details');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '77', 'mission_end_duty', 'End Duty');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '78', 'pet_call', 'Call Pet');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '79', 'probe_droid_use', 'Transmit Bio Signature');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '80', 'set_name', 'Set Name');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '81', 'ship_manage_components', 'View Components');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '82', 'split', 'Split');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '83', 'terminal_auction_use', 'Browse Market');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '84', 'terminal_mission_list', 'List Missions');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '85', 'trade_accept', 'Accept Trade Request');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '86', 'trade_start', 'Start Trading');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '87', 'unknown', 'unknown');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '88', 'vendor_use', 'Use Vendor');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '89', 'waypoint_autopilot', 'Autopilot to Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '90', 'program_droid', 'Program Droid');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '91', 'apply_anti_decay', 'Apply Anti Decay');
INSERT INTO `client_strings` VALUES ('string/en/ui_radial.stf', '92', 'retrieve_items_from_anti_decay_kit', 'Retrieve Item From Kit');
INSERT INTO `client_strings` VALUES ('string/en/ui_res.stf', '1', 'help_harvester_capacity', 'How much space in the harvester has been used up.');
INSERT INTO `client_strings` VALUES ('string/en/ui_res.stf', '2', 'help_harvester_health', 'How much damage the harvester has taken.');
INSERT INTO `client_strings` VALUES ('string/en/ui_res.stf', '3', 'help_harvester_name', 'The name of the harvester.');
INSERT INTO `client_strings` VALUES ('string/en/ui_res.stf', '4', 'help_harvester_on', 'Turn the harvester on.');
INSERT INTO `client_strings` VALUES ('string/en/ui_res.stf', '5', 'help_harvester_rate_actual', 'The actual rate of extraction.  This will depend upon the type and quality of the harvester, as well as the efficiency of the selected resource at the harvester\'s location.');
INSERT INTO `client_strings` VALUES ('string/en/ui_res.stf', '6', 'help_harvester_rate_spec', 'The theoretical maximum rate of the harvester.  Harvester health and resource quality will cause the actual rate to be lower.');
INSERT INTO `client_strings` VALUES ('string/en/ui_res.stf', '7', 'help_harvester_resource', 'The selected resource.');
INSERT INTO `client_strings` VALUES ('string/en/ui_res.stf', '8', 'help_hopper_contents', 'The harvested resources available for use.');
INSERT INTO `client_strings` VALUES ('string/en/ui_res.stf', '9', 'help_hopper_dump', 'Empty out the hopper.  This will DESTROY all the resources currently in the hopper.');
INSERT INTO `client_strings` VALUES ('string/en/ui_res.stf', '10', 'help_hopper_retrieve', 'Retrieve resources into your inventory.');
INSERT INTO `client_strings` VALUES ('string/en/ui_res.stf', '11', 'help_hopper_table', 'The contents of the hopper.');
INSERT INTO `client_strings` VALUES ('string/en/ui_res.stf', '12', 'help_harvester_access', 'Open the hopper to retrieve or dump resources.');
INSERT INTO `client_strings` VALUES ('string/en/ui_res.stf', '13', 'help_set_table', 'The list of currently available resources, and their efficiency at this location.  A higher efficiency will result in faster harvesting.');
INSERT INTO `client_strings` VALUES ('string/en/ui_res.stf', '14', 'split_amount', 'Amount to Split');
INSERT INTO `client_strings` VALUES ('string/en/ui_res.stf', '15', 'help_split_amount', 'Type in the exact split amount.\n');
INSERT INTO `client_strings` VALUES ('string/en/ui_res.stf', '16', 'help_split_slider', 'Adjusts the split amount.\n');
INSERT INTO `client_strings` VALUES ('string/en/ui_res.stf', '17', 'help_split_viewer', 'This displays the item being split.\n');
INSERT INTO `client_strings` VALUES ('string/en/ui_res.stf', '18', 'cpt_split', 'Split Resources');
INSERT INTO `client_strings` VALUES ('string/en/ui_res.stf', '19', 'help_viewer', 'Use the slider to split resources into different stacks. Additionally, the split amount can be typed in the \'Amount Split\' bar.');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '1', 'tab_new', 'New Ticket');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '2', 'tab_tickets', 'Open Tickets');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '3', 'new_comments', 'Comments/');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '4', 'new_topic', 'Topic/');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '5', 'new_subtopic', 'Sub Topic/');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '6', 'new_submit', 'Submit');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '7', 'done', 'Done');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '8', 'new_list_delete', 'Delete Ticket');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '9', 'new_details_add', 'Add Comment');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '10', 'cpt_service', 'Services');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '15', 'querying_server', 'Querying server...');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '16', 'create_ticket_success', 'Customer service ticket (%DI) successfully created.');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '17', 'create_ticket_failure', 'Customer service ticket creation failed. Please try again later.');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '18', 'create_ticket_submitted', 'Customer service ticket submitted. Please wait for your ticket creation confirmation. If you do not receive confirmation, then your ticket was not successfully sent to the server.');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '22', 'cancel_ticket_success', 'Customer service ticket (%DI) successfully deleted.');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '23', 'cancel_ticket_failure', 'Customer service ticket (%DI) cancellation failed. Please try again later.');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '24', 'tab_know', 'Knowledge Base');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '25', 'know_label_search', 'Search Criteria/');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '26', 'know_search_string', 'Search');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '27', 'know_search_article', 'Search');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '28', 'know_question', 'Enter your question here');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '29', 'know_article', 'Enter an article id here');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '30', 'know_label_list', 'Search Results/');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '31', 'know_label_summ', 'Article Summary');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '32', 'know_table_id', 'Id');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '33', 'know_table_rank', 'Rank');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '34', 'know_article_id', 'Article Id: %TT');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '35', 'ticket_label_table', 'Open Tickets/');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '36', 'ticket_id', 'Id');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '37', 'ticket_date', 'Date Modified');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '38', 'ticket_name', 'Name');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '39', 'ticket_category', 'Category');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '40', 'ticket_list_delete', 'Delete');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '41', 'ticket_details_add', 'Add Comment');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '42', 'edit_cancel', 'Cancel');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '43', 'edit_add', 'Add');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '44', 'tickets_edit', 'Add Ticket Comment');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '45', 'no_categories_found', 'No categories found');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '46', 'know_article_response_error', 'Unable to find the requested article.');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '47', 'know_article_search', 'Searching for matching articles...');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '48', 'ticket_delete_confirmation', 'Are you sure you want to delete ticket %DI?');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '49', 'comment_from', 'From: %TT');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '50', 'comment_id', 'Comment Id: %DI');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '51', 'comment_add_submitted', 'Customer service comment submitted for ticket (%DI).');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '52', 'comment_add_fail', 'Customer service comment failed to be added to ticket (%DI). Please try again later.');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '53', 'comment_add_success', 'Customer service comment successfully added for ticket (%DI).');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '54', 'comment_ticket_id', 'Ticket Id: %DI');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '55', 'server_no_connection', 'The connection to the customer service server could not be established. Please try again later.');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '56', 'ticket_none', 'You don\'t have any open tickets.');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '57', 'help_tabs', 'These tabs split out the Service window into four pieces.  You can view How to Search, query the KnowledgeBase, view Top Known Issues, or view currently existing Tickets.');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '58', 'help_string', 'A string to search for within the KnowledgeBase.');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '59', 'help_article', 'A specific article Id to search for within the KnowledgeBase.');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '60', 'help_table', 'The list of articles matching the criteria.');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '61', 'help_summary', 'The text of the article.');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '62', 'help_combo_topic', 'The subject of the ticket.');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '63', 'help_combo_subtopic', 'The subtopic of the new ticket.');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '64', 'help_comments', 'Describe the issue here.');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '65', 'help_submit', 'Submit the ticket.');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '66', 'help_delete', 'Delete a pending ticket.');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '67', 'help_details', 'The details of the ticket.');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '68', 'help_edit', 'Edit the ticket.');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '69', 'help_add', 'Add a comment.');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '70', 'trade_fail_enemy', 'You cannot trade with members of opposing factions');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '71', 'ticket_usage', 'Only one open Customer Service (CS) ticket is allowed at a time, per account. You must delete existing CS tickets to create new tickets. When reporting a CS ticket, you are notified by an in game email when a Customer Service Representative (CSR) has responded to your ticket. In addition, the ticket is marked as \"(please read)\" in the Open Tickets: Id listing above. Tickets are responded to in the order they are received. If you want to report a player harassment with comments, click the \"Report A Harassment\" button in the Holocron. If you just want to report the player harassments without comments, use the /report <name of player> command in the chat window. Harassment reports contain a log of all chat you have received in the last few minutes. This chat log helps us resolve the harassment.\n\nThank you,\n\nCustomer Service');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '72', 'ticket_email_message', 'Customer service ticket %DI for player %TT has been replied to by a customer service representative. Please read your ticket.');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '73', 'ticket_unread', '%DI (please read)');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '74', 'ticket_email_subject', 'Customer Service Ticket');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '75', 'ticket_click', 'Double-click a ticket above to view its comments.');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '76', 'ticket_limit_message', 'You have reached your open ticket limit of one ticket. If you would like to create a new ticket, please delete your existing ticket.  Tickets can be deleted at the Open Tickets tab on the Customer Service form.\n');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '77', 'category_ticket_limit', 'Account ticket limit reached');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '78', 'ticket_closed', 'The ticket you are adding a comment to no longer exists. The ticket was either manually deleted or removed by a CSR.');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '79', 'ticket_create_failed_ticket_limit_reached', 'Ticket creation failed because you have reached the ticket limit. To create another ticket, please delete an existing ticket.');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '80', 'status_closed', 'closed');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '81', 'status_open', 'open');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '82', 'ticket_status', 'Status');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '83', 'comment_add_fail_closed', 'Customer service comment failed to be added to ticket (%DI) because the ticket has been closed by a CSR.');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '84', 'know_search_required', 'Our knowledge base has been updated. You must perform a knowledge base search before creating a new ticket. After performing a search, if you are not satisfied with the search results, click the button at the bottom of the Knowledge Base page to create a ticket. Click the Knowledge Base tab above to perform a search.');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '86', 'know_no_article_selected', 'No article selected');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '87', 'know_did_not_help', 'Just let me create a ticket, the search did not answer my issue.');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '88', 'know_table_article', 'Article');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '89', 'category_search_required', 'Knowledge base search required');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '90', 'harassment_player_name', 'Harassing Player/');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '91', 'harassment_verify_name', 'Verify First Name');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '93', 'cpt_report_harassment', 'Report A Harassment');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '94', 'harassment_verify_failed', 'Verify Failed');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '95', 'harassment_verify_success', 'Successfully Verified');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '97', 'harassment_verify_needed', 'Before submitting this report you must successfully verify the harassing player\'s first name using the Verify First Name button.');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '98', 'harassment_waiting_for_response', 'Waiting for response');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '101', 'harassment_ticket_limit', 'You have reached your open ticket limit of one ticket. If you would like to create a new ticket, please go to the Customer Service window, click on the Open Tickets tab and remove tickets until you are under the ticket limit.');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '102', 'know_article_no_matches', 'Unable to find any matching articles.');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '103', 'know_article_retrieve', 'Retrieving article...');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '104', 'ticket_pending_closed', 'The ticket you are adding a comment to has been closed. The ticket is now read-only.');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '105', 'how_welcome_desc', 'Welcome to the Star Wars Galaxies Knowledge Base!  The Knowledge Base is a continuously updated resource for Star Wars Galaxies systems and policies.  You can use the Knowledge Base to search for information on your Profession or use it to solve many problems that you may encounter while playing Star Wars Galaxies.  To submit a ticket, you must first search the knowledge base and you will find the button to submit a ticket at the end of the article.\n\n');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '106', 'how_know_desc', 'You can click on the tabs above to navigate to several resources that provide valuable information.  By clicking on the Knowledge Base tab you can search our Knowledge Base.\n');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '107', 'how_top_desc', 'By clicking on the Top Known Issues tab, you can review some the the Bugs that our Quality Assurance Department has identified and are working to resolve.  The Development Team is hard at work on these and other bugs.\n');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '108', 'how_bug_desc', 'Below you can submit any bugs to us that you find and QA will review them and investigate.  Be as detailed as you can and provide as many facts as possible to help us track the bug down!\n');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '109', 'how_harassment_desc', 'You can also report any harassment directly to Customer Service at any time with the button below.\n');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '110', 'how_tickets_desc', 'You can also click on the Open Tickets tab to review any tickets you may currently have open and by CS responses.  This is also the area where you will respond or update any tickets as needed.  Please be sure to delete your ticket when your issue has been resolved.\n');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '111', 'harassment', 'Report A Harassment');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '112', 'bug', 'Report A Bug');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '113', 'tab_how_to_search', 'How To Search');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '114', 'tab_known_issues', 'Top Known Issues');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '115', 'known_issues_header', 'Top Known Issues\n');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '116', 'known_issues_welcome', 'This is a list of our top known issues.  This list does not include all bugs that are being resolved, but it does represent bugs and issues deemed to be of high importance.\n');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '117', 'known_issues_footer', 'If you would like to provide more information about any of these issues, or any other issue you have encountered, please click on the \"Report A Bug\" button below.  Please provide as many details as possible and our Quality Assurance Department will review and investigate the issue.  Thank you for all Bug reports you send as they provide us with very valuable information.\n');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '118', 'knowledge_base', 'Knowledge Base');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '119', 'known_issues', 'Top Known Issues');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '120', 'cpt_new_ticket', 'New Ticket');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '121', 'tab_instructions', 'Instructions');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '122', 'tab_new_ticket', 'New Ticket');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '123', 'new_ticket', 'New Ticket');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '124', 'instructions_bug', 'Thank you for contacting us regarding your issue.  If you have experienced a Bug and would like to report it or provide additional information for one of our Top Known Issues then please click on the Report A Bug button below or click on the Tab above.  Bugs will go directly to the Quality Assurance department and be investigated.  Please note that Bugs are not, as a rule, responded to.  We do encourage you to place Bug reports when you encounter an issue in Star Wars Galaxies and provide as many details as possible to help us track down the root cause.\n');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '125', 'instructions_ticket', 'If you require the assistance of a Customer Server Representative (CSR) then please click on the New Ticket button below or click on the tab above.  Tickets are answered in the order received so please do not delete and resubmit your ticket if your issue has not been resolved.  Take a moment before submitting to review our Ticket Categories to pick the one that best fits your issue.  Using the proper category will help us locate your problem and resolve it as quickly as possible.\n\nIf you are not online when a CSR attempts to contact you then a comment will be left in your ticket.  Simply respond to the ticket with any additional information the CSR requested and a CSR will be with you as quickly as possible.\n');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '126', 'or', 'or');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '127', 'harassment_message', 'Please read this entire message and at the end of the text you will find a button that will take you to the ticket submission form.\n\nCommunity Standards information, please review the following guidelines before submitting Community Standards tickets.  Please use the \"community standards\" categories only for reporting the various types of issues outlined below.  Inappropriate use of community standards categories can result in tickets being closed that must be resubmitted with the appropriate categories and repeated misuse can result in actions being taken against users\' accounts.\n\nHarrassment\nHarrassment is defined as specifically targeting another player or group of players to harm or inconvenience them.  Harassment can take many forms and often what is seen as harassment by one person or group is perfectly acceptable game play.  An example of this in Star Wars is the way Bounty Hunter players hunt Jedi players (of course there may be cases where a Bounty Hunter player may specifically target a single Jedi player, this would be considered harassment and is not allowed.  Bounty Hunter players should not specifically target the same Jedi over and over).  Additionally, if someone calls you a bad name or offends you in any way, please first attempt to resolve the issue by using the built in features (/addignore, /filter) between the parties involved.  The ignore and language filter features provided in-game will help you to control and avoid most harassment.  Should you be unable to resolve the issue, please submit an in-game harassment ticket as a last course of action and the in-game staff will assist.\nRemember, if you feel you are the target of harassment, please make sure that you do a /report <offending player name>.  This will send us the relevent chat data and log it to our servers for secure review.\n\nLanguage\nFor all issues of inappropriate language in game, a player report is needed by using the report command; /report <offending player name>.  This will capture and send us the revelent chat data and log it to our servers for secure review.  For cases of mild and sporadic profanity, please make use of the features already in the game to ignore or block profanity.  The profanity filter (/filter) will garble most profanity, and is defaulted to on.  Should you decide to turn this filter off, you are deciding that mild profanity is of no concern to you.  If this is not the case, please turn the filter back on to prevent viewing of most profanity.  Parents allowing children to play the game should always ensure that the profanity filter is on at all times, as the game is rated T (Teen).  The Ignore list (/addignore <player name>) will add any player to your list that will block any spatial messages, private messages, group messages, or emotes.  You will only see the in-game avatar one that player is added.\nPlease do report severe cases of profane language, sexual/racial abuse, or hate mongering.\n\nTrade Fraud\nThe /report <player name> command, although primarily used to report issues of harassment and language, is the preferred medium for recording a verbal agreement or \"contract\" between two players for buffing, items for credits, items to have repairs, slicing, ect. conducted on them.  This will send us the relevent data and log it to our servers for secure review.  These agreements must be logged for Customer Service to take any action should a deal go bad.  Unfortunately, without proof of the agreement, we are unable to assist in these issues.\n\nKill Stealing\nStar Wars Galaxies does not recognize NPC/creature ownership for the point of attaining experience or gaining loot.  Corpse permissions are granted to the player/group that inflicts the most damage to the NPC/creature in question.  Additionally, we do not recognize any camp claims.  Customer Service will not be able to assist with claims of Kill Stealing.  We do however encourage players to play nice together and ask that everyone respect those already engaged in combat and only join in the attack if being asked for help.\n\nExploitation\nAll incidents of exploitation should be reported immediately for an in game support to assist.  A CSR must be able to physically witness the exploitation in game.\n\nInappropriate Player Names\nPlease report any inappropriate names you see while playing.  We also don\'t want to see them and will change the more severe names quickly.\n\nIn-Game Mail\nAll issues of verbal abuse and/or harassment experienced through the in-game mail system can be reported by using /report <offending player name> command or /report <system> command.  Please be sure to have the offending mail open prior to submitting the player report.\n\nEvidence\nForum posts, eye witness testimonies, video footage, screenshots, player chat logs, and 3rd party website posts are not allowed as collaborating evidence in any of the above situations.\n\nFor further information on any of the above topics, please reference the Game Rules at the official website, or FAQs contained in our knowledge base articles.\n');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '128', 'continue', 'Continue');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '129', 'cpt_community_standards', 'About Community Standards');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '130', 'newticket_tabs', 'These tabs split out the New Ticket window into two panes.  You can view instructions or create service tickets.');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '131', 'category_community_standard', 'Community Standards');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '132', 'category_harassment', 'Harassment');
INSERT INTO `client_strings` VALUES ('string/en/ui_serv.stf', '133', 'default', '');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipchoose.stf', '22', 'cpt', 'Select Ship');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipchoose.stf', '23', 'select', 'Select');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipchoose.stf', '24', 'condition_reactor_uninstalled', 'No Reactor');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipchoose.stf', '25', 'condition_reactor_disabled', 'Reactor Disabled');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipchoose.stf', '26', 'condition_reactor_demolished', 'Reactor Demolished');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipchoose.stf', '27', 'condition_engine_uninstalled', 'No Engine');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipchoose.stf', '28', 'condition_engine_disabled', 'Engine Disabled');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipchoose.stf', '29', 'condition_engine_demolished', 'Engine Demolished');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipchoose.stf', '30', 'condition_damaged', 'Damaged');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipchoose.stf', '31', 'condition_pristine', 'Pristine');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipchoose.stf', '32', 'parkinglocation', 'Parked:');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipchoose.stf', '33', 'condition', 'Condition:');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipchoose.stf', '34', 'here', 'Here');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipchoose.stf', '35', 'fetching', 'Fetching...');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipchoose.stf', '36', 'no_parking_data', 'Please wait for the ship parking location data to download.');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipchoose.stf', '37', 'not_parked_here', 'Not Parked Here');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipchoose.stf', '38', 'godparking', 'God Mode');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipchoose.stf', '39', 'dont_own_a_ship', 'You must own a ship to use this terminal.');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipchoose.stf', '40', 'help_stats', 'Starship Information\n\nThis shows general information about the listed starship.');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipchoose.stf', '41', 'help_button_select', 'Select Button\n\nUse this button to select the associated starship. This will then take you to another page where you can manage ship components, launch into space, or travel to another ground locations.');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipcomponent.stf', '1', 'capacitor', 'Capacitor');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipcomponent.stf', '2', 'capacitor_max', 'Capacitor (Max)');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipcomponent.stf', '3', 'capacitor_recharge_rate', 'Capacitor Recharge Rate');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipcomponent.stf', '4', 'chassis_hp', 'Chassis');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipcomponent.stf', '5', 'chassis_hp_max', 'Chassis (Max)');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipcomponent.stf', '6', 'component_tab', 'Components');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipcomponent.stf', '7', 'cpt_shipcomponent', 'Ship Component Management');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipcomponent.stf', '8', 'droid_slot', 'Droid Slot');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipcomponent.stf', '9', 'droid_tab', 'Droid');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipcomponent.stf', '10', 'engine_pitch_accel', 'Pitch Acceleration');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipcomponent.stf', '11', 'engine_pitch_max', 'Pitch (Max)');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipcomponent.stf', '12', 'engine_roll_accel', 'Roll Acceleration');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipcomponent.stf', '13', 'engine_roll_max', 'Roll (Max)');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipcomponent.stf', '14', 'engine_speed_max', 'Speed (Max)');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipcomponent.stf', '15', 'engine_yaw_accel', 'Yaw Acceleration');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipcomponent.stf', '16', 'engine_yaw_max', 'Yaw (Max)');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipcomponent.stf', '17', 'help_details_viewer', 'Use this interface to install or uninstall components within your starship. All available ship equipment slots and all the components you possess are listed in the far left column. Items that are installed on your ship are shown in highlight on this list. Items not yet installed are shown with normal text. Click on the item you wish to install and then click the \'Install\' button. If you have an installed component you wish to remove, select the installed component and choose \'uninstall.\'');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipcomponent.stf', '18', 'launch', 'Launch');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipcomponent.stf', '19', 'mass', 'Mass');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipcomponent.stf', '20', 'mass_max', 'Mass (Max)');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipcomponent.stf', '21', 'purgedroid', 'Remove Droid from the Ship');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipcomponent.stf', '22', 'shield_back_hp', 'Back Shield');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipcomponent.stf', '23', 'shield_back_hp_max', 'Back Shield (Max)');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipcomponent.stf', '24', 'shield_front_hp', 'Front Shield');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipcomponent.stf', '25', 'shield_front_hp_max', 'Front Shield (Max)');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipcomponent.stf', '26', 'shield_recharge_rate', 'Shield Recharge Rate');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipcomponent.stf', '27', 'view', 'View');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipcomponents.stf', '1', 'cpt_shipcomponent', 'Ship Component Management');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipcomponents.stf', '9', 'chassis', 'Chassis');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipcomponents.stf', '20', 'mass', 'Mass');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipcomponents.stf', '22', 'load', 'Load');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipcomponents.stf', '23', 'unload', 'Unload');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipcomponents.stf', '24', 'energy', 'Energy');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipcomponents.stf', '25', 'power', 'Power');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipcomponents.stf', '26', 'selectedcomponent', 'Selected');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipcomponents.stf', '27', 'installedcomponent', 'Installed');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipcomponents.stf', '28', 'loaded', ' (LOADED)');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipcomponents.stf', '29', 'not_certified', ' (NOT CERTIFIED)');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipcomponents.stf', '30', 'err_too_heavy', 'Installing this component would overload your ship\'s mass.');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipcomponents.stf', '31', 'err_component_not_certified', 'You are not certified to install  this component.');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipcomponents.stf', '32', 'err_cannot_open_newbie_ship', 'This is a starter ship and cannot be upgraded.');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipcomponents.stf', '33', 'err_cannot_open_ship_not_certified', 'You are not certified for this ship and can\'t manage it.');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipcomponents.stf', '34', 'ammunition', 'Ammunition');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipcomponents.stf', '35', 'repair', 'Repair');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipcomponents.stf', '36', 'notcertifiedforship', 'NOT CERTIFIED TO FLY SHIP');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipcomponents.stf', '37', 'repair_chassis', 'Repair Chassis');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipcomponents.stf', '38', 'droid', 'Droid/Flight Computer');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipcomponents.stf', '39', 'not_near_terminal', 'While away from a space terminal, you may view but not modify your ship.');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipcomponents.stf', '40', 'help_inventory', 'Inventory of Ship Components\n\nThese are ship components that you own. This includes both ship components in your inventory as well as those currently loaded on your ship.\n\nThis inventory list is broken down into categories of ship component types which correspond to component slots on your ship.');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipcomponents.stf', '41', 'help_components_selected', 'Selected Ship Component\n\nThis shows information and statistics for a ship component you select in the Ship Component Inventory.');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipcomponents.stf', '42', 'help_components_installed', 'Installed Ship Component\n\nThis shows information and statistics for the ship component currently loaded in the component slot you have selected.');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipcomponents.stf', '43', 'help_button_load', 'Load Selected Ship Component\n\nClick this button to load the selected ship component onto your ship.');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipcomponents.stf', '44', 'help_button_unload', 'Unload Current Ship Component\n\nClick this button to unload a ship component from your ship.');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipcomponents.stf', '45', 'help_button_repair', 'Repair Ship Component\n\nWhen a ship component is damaged, the repair button becomes available. If you have the appropriate repair pack in your inventory, you can repair the ship component here.');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipcomponents.stf', '46', 'help_terminal', '-not near terminal-');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipcomponents.stf', '47', 'help_ship_stats', '-ship info-');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipcomponents.stf', '48', 'countermeasurepacks', 'Countermeasure Packs');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipcomponents.stf', '49', 'err_cannot_open_noncombat_ship', 'This is a non-combat ship and cannot be upgraded or modified.');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipdetails.stf', '1', 'help_slots', 'Ship Component Slots\n\nThe list of slots available for ship components on a ship.');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipdetails.stf', '2', 'help_hitpoints', 'Low Hitpoints\n\nThis icon marks that the ship component loaded in the indicated slot has less then 25% of its maximum hitpoint value.');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipdetails.stf', '3', 'help_unpowered', 'Unpowered\n\nThis icon marks that the ship component loaded in the indicated slot is not receiving enough power to operate. This usually means the the ship\'s main reactor is not functioning at a high enough level.');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipdetails.stf', '4', 'help_disabled', 'Disabled\n\nThis icon marks that the ship component loaded in the indicated slot is disabled.');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipdetails.stf', '5', 'help_shipinfo', 'General Starship Information\n\nThis is general information about your starship.');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipdetails.stf', '6', 'help_component_detail', 'Ship Component Details\n\nThis shows details for the selected ship component in the ship component slot list.');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipdetails.stf', '7', 'cpt_shipdetails', 'component details');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipdetails.stf', '8', 'help_value_bar', 'Ship Component Hitpoint Bar\n\nThis shows the ship component\'s current hitpoint value.');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipdetails.stf', '9', 'default', '');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipview.stf', '22', 'cpt', 'Ship Details');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipview.stf', '23', 'manage', 'Manage');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipview.stf', '24', 'launch', 'Launch Ship');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipview.stf', '25', 'travel', 'Travel');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipview.stf', '26', 'condition_reactor_uninstalled', 'There is no reactor in this ship, it cannot launch.');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipview.stf', '27', 'condition_reactor_disabled', 'The reactor in this ship is disabled, it cannot launch.');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipview.stf', '28', 'condition_reactor_demolished', 'The reactor in this ship is demolished, it cannot launch.');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipview.stf', '29', 'condition_engine_uninstalled', 'There is no engine in this ship, it cannot launch.');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipview.stf', '30', 'condition_engine_disabled', 'The engine in this ship is disabled, it cannot launch.');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipview.stf', '31', 'condition_engine_demolished', 'The engine in this ship is demolished, it cannot launch.');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipview.stf', '32', 'condition_damaged', 'Launch with a damaged ship?');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipview.stf', '33', 'na', 'N/A');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipview.stf', '34', 'help_stats', 'Starship Information\n\nThis shows information about the general condition of this starship.\n');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipview.stf', '35', 'help_button_manage', 'Manage Ship Components\n\nUse this button to manage ship components for this starship.');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipview.stf', '36', 'help_button_launch', 'Launch into Space\n\nUse this button to launch into space using this starship.');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipview.stf', '37', 'help_button_travel', 'Travel to another Location\n\nUse this button to use your starship to travel to another ground location.');
INSERT INTO `client_strings` VALUES ('string/en/ui_shipview.stf', '38', 'group', 'Group');
INSERT INTO `client_strings` VALUES ('string/en/ui_skl.stf', '1', 'tab_my', 'My Character');
INSERT INTO `client_strings` VALUES ('string/en/ui_skl.stf', '2', 'tab_all', 'All Professions');
INSERT INTO `client_strings` VALUES ('string/en/ui_skl.stf', '3', 'profs_my', 'My Professions');
INSERT INTO `client_strings` VALUES ('string/en/ui_skl.stf', '4', 'profs_all', 'All Professions');
INSERT INTO `client_strings` VALUES ('string/en/ui_skl.stf', '5', 'my_exp', 'My Experience');
INSERT INTO `client_strings` VALUES ('string/en/ui_skl.stf', '6', 'my_mods', 'My Skill Mods');
INSERT INTO `client_strings` VALUES ('string/en/ui_skl.stf', '7', 'surrender', 'Surrender Skill');
INSERT INTO `client_strings` VALUES ('string/en/ui_skl.stf', '8', 'skill_mods', 'Skill Mods');
INSERT INTO `client_strings` VALUES ('string/en/ui_skl.stf', '9', 'commands_granted', 'Commands and Abilities Granted');
INSERT INTO `client_strings` VALUES ('string/en/ui_skl.stf', '10', 'learning_capacity', 'Skill Points Available:');
INSERT INTO `client_strings` VALUES ('string/en/ui_skl.stf', '11', 'cpt_skills', 'Skills');
INSERT INTO `client_strings` VALUES ('string/en/ui_skl.stf', '12', 'confirm_surrender', 'Are you sure you want to surrender this skill?');
INSERT INTO `client_strings` VALUES ('string/en/ui_skl.stf', '13', 'command_acquired_prose', 'You have acquired a new ability: %TU!');
INSERT INTO `client_strings` VALUES ('string/en/ui_skl.stf', '14', 'skill_to_prefix', 'To: ');
INSERT INTO `client_strings` VALUES ('string/en/ui_skl.stf', '15', 'surrender_prose', 'Surrender Skill to recover %DI skill points.');
INSERT INTO `client_strings` VALUES ('string/en/ui_skl.stf', '16', 'acquire_skill_points_prose', 'This skill requires %DI skill points to learn.');
INSERT INTO `client_strings` VALUES ('string/en/ui_skl.stf', '17', 'acquire_exp_prose', 'This skill requires %DI points of %TU Experience.');
INSERT INTO `client_strings` VALUES ('string/en/ui_skl.stf', '18', 'exp_prose', 'You currently have %DI.');
INSERT INTO `client_strings` VALUES ('string/en/ui_skl.stf', '19', 'exp_monitor', 'Show Experience Monitor');
INSERT INTO `client_strings` VALUES ('string/en/ui_skl.stf', '20', 'tooltip_skill_link_prose', 'Double click to view the %TU profession.');
INSERT INTO `client_strings` VALUES ('string/en/ui_skl.stf', '21', 'tooltip_skill_point_bar', 'This bar represents the number of Skill Points that are available to you, relative to the total number of Skill Points you can have.');
INSERT INTO `client_strings` VALUES ('string/en/ui_skl.stf', '22', 'err_surrender_deps', 'You cannot surrender this skill until you surrender the skills that depend upon it.\nThe skills that depend upon it are:\n');
INSERT INTO `client_strings` VALUES ('string/en/ui_skl.stf', '23', 'qualify', 'You now qualify for the skill: ');
INSERT INTO `client_strings` VALUES ('string/en/ui_skl.stf', '24', 'help_profs_my', 'Your Professions are displayed here.\n\nIf you have any skills from a given Profession, the Profession will show up in this list.');
INSERT INTO `client_strings` VALUES ('string/en/ui_skl.stf', '25', 'help_exp_my', 'Your Experience levels are displayed here.');
INSERT INTO `client_strings` VALUES ('string/en/ui_skl.stf', '26', 'help_mods_my', 'Your Abilities and Skill Modifiers are displayed here.');
INSERT INTO `client_strings` VALUES ('string/en/ui_skl.stf', '27', 'help_tree_skills', 'The Skill Tree for the Selected Profession is displayed here.\n\nSkills higher in the tree depend on Skills lower in the tree.\n\nClick on a skill to select it and view its properties.');
INSERT INTO `client_strings` VALUES ('string/en/ui_skl.stf', '28', 'help_tree_elite', 'Elite Professions are displayed here.\n\nElite Professions are Professions that require complete Mastery of the Selected Profession.\n\nDouble click on the Name of an Elite Profession to select and view it.');
INSERT INTO `client_strings` VALUES ('string/en/ui_skl.stf', '29', 'help_tree_specialist', 'Specialist Professions are displayed here.\n\nSpecialist Professions are Professions that require partial Mastery of the Selected Profession.  Partial Mastery means you master only one or more branches of the skill, rather than obtaining complete Mastery.\n\nDouble click on the Name of a Specialist Profession to select and view it.');
INSERT INTO `client_strings` VALUES ('string/en/ui_skl.stf', '30', 'help_tree_prev', 'Prerequisite Professions are displayed here.\n\nYou must learn the appropriate skills from the Prerequisite Professions before advancing in the Selected Profession.\n\nDouble click on the Name of a Prerequisite Profession to select and view it.');
INSERT INTO `client_strings` VALUES ('string/en/ui_skl.stf', '31', 'help_skill_mods', 'Abilities and Skill Modifiers Granted by the Selected Skill are displayed here.');
INSERT INTO `client_strings` VALUES ('string/en/ui_skl.stf', '32', 'help_commands_granted', 'The Commands Granted by the Selected Skill are displayed here.');
INSERT INTO `client_strings` VALUES ('string/en/ui_skl.stf', '33', 'help_skill_surrender', 'If you have learned the Selected Skill, you can surrender it here.\n\nOtherwise this area displays the Skill Point and Experience requirements.');
INSERT INTO `client_strings` VALUES ('string/en/ui_skl.stf', '34', 'help_learning_capacity', 'Your Learning Capacity is displayed here.  \n\nYour Avatar has a fixed number of skill points which may be allocated by learning a new skill, or recovered by surrendering one of your skills.');
INSERT INTO `client_strings` VALUES ('string/en/ui_skl.stf', '35', 'help_tab_all', 'Select this tab to view all the Professions in the game.');
INSERT INTO `client_strings` VALUES ('string/en/ui_skl.stf', '36', 'help_profs_all', 'All Professions in the game are displayed here.');
INSERT INTO `client_strings` VALUES ('string/en/ui_skl.stf', '37', 'my_certs', 'Weapon Certifications');
INSERT INTO `client_strings` VALUES ('string/en/ui_spacehud.stf', '5', 'mission_critical', 'Mission Critical');
INSERT INTO `client_strings` VALUES ('string/en/ui_spacehud.stf', '9', 'weapon_group', 'Weapon Group ');
INSERT INTO `client_strings` VALUES ('string/en/ui_spacehud.stf', '10', 'inspect_cargo', 'Inspect Cargo');
INSERT INTO `client_strings` VALUES ('string/en/ui_spacehud.stf', '11', 'transfer_cargo', 'Transfer Cargo');
INSERT INTO `client_strings` VALUES ('string/en/ui_spacehud.stf', '12', 'dock_ship', 'Dock Ship');
INSERT INTO `client_strings` VALUES ('string/en/ui_spacehud.stf', '13', 'undock_ship', 'Undock Ship');
INSERT INTO `client_strings` VALUES ('string/en/ui_spacehud.stf', '14', 'match_target_speed', 'Match Target Speed');
INSERT INTO `client_strings` VALUES ('string/en/ui_spacehud.stf', '15', 'follow_target', 'Follow Target');
INSERT INTO `client_strings` VALUES ('string/en/ui_spacehud.stf', '16', 'comm', 'Comm Target');
INSERT INTO `client_strings` VALUES ('string/en/ui_spacehud.stf', '17', 'ship_details', 'Ship Details');
INSERT INTO `client_strings` VALUES ('string/en/ui_spacehud.stf', '18', 'selectedgroupprose', 'Group %DI selected.');
INSERT INTO `client_strings` VALUES ('string/en/ui_spacehud.stf', '19', 'exit_station', 'Leave Ship Station');
INSERT INTO `client_strings` VALUES ('string/en/ui_spacehud.stf', '20', 'shield', 'Shields');
INSERT INTO `client_strings` VALUES ('string/en/ui_spacehud.stf', '21', 'armor', 'Armor');
INSERT INTO `client_strings` VALUES ('string/en/ui_spacehud.stf', '22', 'system', 'Systems');
INSERT INTO `client_strings` VALUES ('string/en/ui_spacehud.stf', '23', 'chassis', 'Chassis');
INSERT INTO `client_strings` VALUES ('string/en/ui_spacehud.stf', '24', 'eject', 'EJECT');
INSERT INTO `client_strings` VALUES ('string/en/ui_spacehud.stf', '25', 'activate_trainer', 'Holodisc Trainer');
INSERT INTO `client_strings` VALUES ('string/en/ui_spacehud.stf', '26', 'type', 'Type');
INSERT INTO `client_strings` VALUES ('string/en/ui_spacehud.stf', '27', 'component', 'Component');
INSERT INTO `client_strings` VALUES ('string/en/ui_spacehud.stf', '28', 'component_enabled', 'Enabled');
INSERT INTO `client_strings` VALUES ('string/en/ui_spacehud.stf', '29', 'component_disabled', 'Disabled');
INSERT INTO `client_strings` VALUES ('string/en/ui_spacehud.stf', '30', 'component_lowpower', 'Low Power');
INSERT INTO `client_strings` VALUES ('string/en/ui_spacehud.stf', '31', 'component_fullpower', 'Full Power');
INSERT INTO `client_strings` VALUES ('string/en/ui_spacehud.stf', '32', 'component_active', 'Active');
INSERT INTO `client_strings` VALUES ('string/en/ui_spacehud.stf', '33', 'component_inactive', 'Inactive');
INSERT INTO `client_strings` VALUES ('string/en/ui_spacehud.stf', '34', 'component_demolished', 'Demolished');
INSERT INTO `client_strings` VALUES ('string/en/ui_spacehud.stf', '35', 'component_repaired', 'Repaired');
INSERT INTO `client_strings` VALUES ('string/en/ui_spacehud.stf', '36', 'component_needspower', 'Needs Power');
INSERT INTO `client_strings` VALUES ('string/en/ui_spacehud.stf', '37', 'component_haspower', 'Has Power');
INSERT INTO `client_strings` VALUES ('string/en/ui_spacehud.stf', '38', 'flyout_reactor', 'Reactor Status');
INSERT INTO `client_strings` VALUES ('string/en/ui_spacehud.stf', '39', 'flyout_engine', 'Engine Status');
INSERT INTO `client_strings` VALUES ('string/en/ui_spacehud.stf', '40', 'flyout_weapon', 'Weapon Status');
INSERT INTO `client_strings` VALUES ('string/en/ui_spacehud.stf', '41', 'flyout_capacitor', 'Capacitor Status');
INSERT INTO `client_strings` VALUES ('string/en/ui_spacehud.stf', '42', 'flyout_shield', 'Shield Status');
INSERT INTO `client_strings` VALUES ('string/en/ui_spacehud.stf', '43', 'flyout_armor', 'Armor Status');
INSERT INTO `client_strings` VALUES ('string/en/ui_spacehud.stf', '45', 'incoming_missile', 'Incoming Missile');
INSERT INTO `client_strings` VALUES ('string/en/ui_spacehud.stf', '46', 'ime', 'IME');
INSERT INTO `client_strings` VALUES ('string/en/ui_text_color.stf', '1', 'combat_generic', 'Combat (generic)');
INSERT INTO `client_strings` VALUES ('string/en/ui_text_color.stf', '2', 'combat_you_hit_other', 'Combat (you hit other)');
INSERT INTO `client_strings` VALUES ('string/en/ui_text_color.stf', '3', 'combat_you_miss_other', 'Combat (you miss other)');
INSERT INTO `client_strings` VALUES ('string/en/ui_text_color.stf', '4', 'combat_other_hit_you', 'Combat (other hits you)');
INSERT INTO `client_strings` VALUES ('string/en/ui_text_color.stf', '5', 'combat_other_miss_you', 'Combat (other misses you)');
INSERT INTO `client_strings` VALUES ('string/en/ui_text_color.stf', '6', 'combat_other_hit_other', 'Combat (other hits other)');
INSERT INTO `client_strings` VALUES ('string/en/ui_text_color.stf', '7', 'combat_other_miss_other', 'Combat (other misses other)');
INSERT INTO `client_strings` VALUES ('string/en/ui_text_color.stf', '9', 'spatial', 'Spatial (say)');
INSERT INTO `client_strings` VALUES ('string/en/ui_text_color.stf', '10', 'social', 'Socials (default emotes)');
INSERT INTO `client_strings` VALUES ('string/en/ui_text_color.stf', '11', 'tell', 'Tell');
INSERT INTO `client_strings` VALUES ('string/en/ui_text_color.stf', '12', 'chat_channel_group', 'Group Chat');
INSERT INTO `client_strings` VALUES ('string/en/ui_text_color.stf', '13', 'matchmaking', 'Match Making');
INSERT INTO `client_strings` VALUES ('string/en/ui_text_color.stf', '14', 'guild', 'Guild Chat');
INSERT INTO `client_strings` VALUES ('string/en/ui_text_color.stf', '15', 'emote', 'Emote');
INSERT INTO `client_strings` VALUES ('string/en/ui_text_color.stf', '16', 'system_message', 'System Message');
INSERT INTO `client_strings` VALUES ('string/en/ui_text_color.stf', '17', 'chat_channel', 'Chat Channels');
INSERT INTO `client_strings` VALUES ('string/en/ui_text_color.stf', '19', 'online_status', 'Online Status');
INSERT INTO `client_strings` VALUES ('string/en/ui_text_color.stf', '20', 'who_player_name', 'Who (player name)');
INSERT INTO `client_strings` VALUES ('string/en/ui_text_color.stf', '21', 'who_guild', 'Who (guild)');
INSERT INTO `client_strings` VALUES ('string/en/ui_text_color.stf', '22', 'who_species', 'Who (species)');
INSERT INTO `client_strings` VALUES ('string/en/ui_text_color.stf', '23', 'who_title', 'Who (title)');
INSERT INTO `client_strings` VALUES ('string/en/ui_text_color.stf', '24', 'who_region', 'Who (region)');
INSERT INTO `client_strings` VALUES ('string/en/ui_text_color.stf', '25', 'who_planet', 'Who (planet)');
INSERT INTO `client_strings` VALUES ('string/en/ui_text_color.stf', '26', 'who_tags', 'Who (AFK, LFG, etc.)');
INSERT INTO `client_strings` VALUES ('string/en/ui_text_color.stf', '27', 'combat_posture_change', 'Combat (posture change)');
INSERT INTO `client_strings` VALUES ('string/en/ui_text_color.stf', '28', 'combat_out_of_range', 'Combat (out of range)');
INSERT INTO `client_strings` VALUES ('string/en/ui_text_color.stf', '30', 'combat_too_far', 'Combat (out of range)');
INSERT INTO `client_strings` VALUES ('string/en/ui_trade.stf', '1', 'aborted', 'The secure trade has been cancelled.');
INSERT INTO `client_strings` VALUES ('string/en/ui_trade.stf', '2', 'acceptable', 'Accept Trade');
INSERT INTO `client_strings` VALUES ('string/en/ui_trade.stf', '3', 'add_item_failed_prose', 'You cannot trade %TT.');
INSERT INTO `client_strings` VALUES ('string/en/ui_trade.stf', '4', 'complete', 'Secure Trade Completed');
INSERT INTO `client_strings` VALUES ('string/en/ui_trade.stf', '5', 'offer_money_self', 'Offer Money');
INSERT INTO `client_strings` VALUES ('string/en/ui_trade.stf', '6', 'offer_money_other', 'Money Offered');
INSERT INTO `client_strings` VALUES ('string/en/ui_trade.stf', '7', 'out_of_range_prose', 'You are too far away from %TT to trade.  The trade has been cancelled.');
INSERT INTO `client_strings` VALUES ('string/en/ui_trade.stf', '8', 'request_player_busy_no_obj', 'That person is already trading with someone else.');
INSERT INTO `client_strings` VALUES ('string/en/ui_trade.stf', '9', 'request_player_busy_prose', '%TU is already trading with someone else.');
INSERT INTO `client_strings` VALUES ('string/en/ui_trade.stf', '10', 'request_player_denied_no_obj', 'That person denied your trade request.');
INSERT INTO `client_strings` VALUES ('string/en/ui_trade.stf', '11', 'request_player_denied_prose', '%TU denied your trade request.');
INSERT INTO `client_strings` VALUES ('string/en/ui_trade.stf', '12', 'request_player_unreachable_no_obj', 'The person you want to trade with is unreachable.');
INSERT INTO `client_strings` VALUES ('string/en/ui_trade.stf', '13', 'request_player_unreachable_prose', 'You can\'t trade with %TT because %ST is unreachable.');
INSERT INTO `client_strings` VALUES ('string/en/ui_trade.stf', '14', 'request_sent_prose', 'Trade request sent to %TU.');
INSERT INTO `client_strings` VALUES ('string/en/ui_trade.stf', '15', 'requested_prose', '%TU wants to trade with you.');
INSERT INTO `client_strings` VALUES ('string/en/ui_trade.stf', '16', 'start_fail_target_other_prose', 'You cannot start a trade with %TT while you are trading with %TO.');
INSERT INTO `client_strings` VALUES ('string/en/ui_trade.stf', '17', 'target_lost', 'Your trading target was lost.');
INSERT INTO `client_strings` VALUES ('string/en/ui_trade.stf', '18', 'waiting_complete_prose', 'Now waiting for %TU to complete the trade...');
INSERT INTO `client_strings` VALUES ('string/en/ui_trade.stf', '19', 'err_not_enough_money_prose', 'You don\'t have %DI credits on hand to trade.');
INSERT INTO `client_strings` VALUES ('string/en/ui_trade.stf', '20', 'acceptable_other', 'Accepted');
INSERT INTO `client_strings` VALUES ('string/en/ui_trade.stf', '21', 'err_not_enough_money', 'You don\'t have enough credits to make the trade.');
INSERT INTO `client_strings` VALUES ('string/en/ui_trade.stf', '22', 'help_other_conta', 'This is where you put items that you are willing to trade.');
INSERT INTO `client_strings` VALUES ('string/en/ui_trade.stf', '23', 'help_other_container', 'This is where the other participant puts items that they want to trade.');
INSERT INTO `client_strings` VALUES ('string/en/ui_trade.stf', '24', 'help_self_info', 'The description of the currently selected item.');
INSERT INTO `client_strings` VALUES ('string/en/ui_trade.stf', '25', 'help_other_info', 'The info about the currently selected item.');
INSERT INTO `client_strings` VALUES ('string/en/ui_trade.stf', '26', 'help_self_money', 'How much money you wish to offer as part of the trade.');
INSERT INTO `client_strings` VALUES ('string/en/ui_trade.stf', '27', 'help_other_money', 'How much money the other participant is willing to offer.');
INSERT INTO `client_strings` VALUES ('string/en/ui_trade.stf', '28', 'help_self_accept', 'Click this checkbox when you find the trade acceptable.');
INSERT INTO `client_strings` VALUES ('string/en/ui_trade.stf', '29', 'help_other_accept', 'This checkbox shows whether the other participanet has accepted the trade conditions.');
INSERT INTO `client_strings` VALUES ('string/en/ui_trade.stf', '30', 'help_self_container', 'Place items here that you want to offer as part of the trade.');
INSERT INTO `client_strings` VALUES ('string/en/ui_trade.stf', '31', 'err_max_free_trial_money', 'You are limited to having %DI credits while participating in the free trial of Star Wars Galaxies.  When you purchase Star Wars Galaxies, this limit will be removed.');
INSERT INTO `client_strings` VALUES ('string/en/ui_trade.stf', '32', 'start_fail_target_ship', 'You cannot trade with a player in another ship.');
INSERT INTO `client_strings` VALUES ('string/en/ui_trade.stf', '33', 'start_fail_target_not_player', 'You can only trade with other players.');
INSERT INTO `client_strings` VALUES ('string/en/ui_travel.stf', '1', 'ticket_purchase', 'Ticket Purchasing Terminal');
INSERT INTO `client_strings` VALUES ('string/en/ui_travel.stf', '2', 'purchase', 'Purchase');
INSERT INTO `client_strings` VALUES ('string/en/ui_travel.stf', '3', 'cost', 'Cost');
INSERT INTO `client_strings` VALUES ('string/en/ui_travel.stf', '4', 'roundtrip', 'Roundtrip');
INSERT INTO `client_strings` VALUES ('string/en/ui_travel.stf', '5', 'exit', 'Exit');
INSERT INTO `client_strings` VALUES ('string/en/ui_travel.stf', '6', 'label_city', 'You are in the city of:');
INSERT INTO `client_strings` VALUES ('string/en/ui_travel.stf', '7', 'label_planet', 'on the planet:');
INSERT INTO `client_strings` VALUES ('string/en/ui_travel.stf', '8', 'help_cost', 'How much this ticket will cost.');
INSERT INTO `client_strings` VALUES ('string/en/ui_travel.stf', '9', 'help_location', 'The destination location.');
INSERT INTO `client_strings` VALUES ('string/en/ui_travel.stf', '10', 'help_map', 'This map displays the various locations to which tickets can be purchased.');
INSERT INTO `client_strings` VALUES ('string/en/ui_travel.stf', '11', 'help_planet', 'The destination planet.');
INSERT INTO `client_strings` VALUES ('string/en/ui_travel.stf', '12', 'help_roundtrip', 'Is this a one-way or two-way ticket purchase?');
INSERT INTO `client_strings` VALUES ('string/en/ui_weapongroupassignment.stf', '22', 'caption', 'Weapon Group Assignment');
INSERT INTO `client_strings` VALUES ('string/en/ui_weapongroupassignment.stf', '23', 'all_weapons', 'Unassigned Weapons');
INSERT INTO `client_strings` VALUES ('string/en/ui_weapongroupassignment.stf', '24', 'selected_group', 'Assigned Weapons');
INSERT INTO `client_strings` VALUES ('string/en/ui_weapongroupassignment.stf', '25', 'weapon_groups_available', 'Weapon Groups');
INSERT INTO `client_strings` VALUES ('string/en/ui_weapongroupassignment.stf', '26', 'not_a_pilot', 'Only the pilot can manage the weapon group assignments.');
INSERT INTO `client_strings` VALUES ('string/en/ui_weapongroupassignment.stf', '27', 'reset_defaults', 'Reset Defaults');
INSERT INTO `client_strings` VALUES ('string/en/ui_weapongroupassignment.stf', '28', 'suffix_countermeasure', ' \\#pcontrast1 (countermeasure)\\#.');
INSERT INTO `client_strings` VALUES ('string/en/ui_weapongroupassignment.stf', '29', 'suffix_projectile', ' \\#pcontrast1 (projectile)\\#.');
INSERT INTO `client_strings` VALUES ('string/en/ui_weapongroupassignment.stf', '30', 'suffix_missile', ' \\#pcontrast1 (missile)\\#.');
INSERT INTO `client_strings` VALUES ('string/en/ui_weapongroupassignment.stf', '31', 'suffix_empty', ' (empty)');
INSERT INTO `client_strings` VALUES ('string/en/ui_weapongroupassignment.stf', '32', 'help_weapon_group', 'These are you weapon groups. You can assign weapons of a similar type to these groups for use in combat.');
INSERT INTO `client_strings` VALUES ('string/en/ui_weapongroupassignment.stf', '33', 'help_all_weapons', 'These are your unassigned weapons. These weapons are available to be added to one of your weapon groups.');
INSERT INTO `client_strings` VALUES ('string/en/ui_weapongroupassignment.stf', '34', 'help_buttons_addremove', 'Use these buttons to assign or unassign weapons to or from your selected weapon group.');
INSERT INTO `client_strings` VALUES ('string/en/ui_weapongroupassignment.stf', '35', 'help_selected', 'These are the weapons in your currently selected weapon group.');
INSERT INTO `client_strings` VALUES ('string/en/ui_who.stf', '1', 'anonymous_false', 'You are no longer anonymous.');
INSERT INTO `client_strings` VALUES ('string/en/ui_who.stf', '2', 'anonymous_true', 'You are now anonymous.');
INSERT INTO `client_strings` VALUES ('string/en/ui_who.stf', '3', 'empty', 'There are no players who match those filters.');
INSERT INTO `client_strings` VALUES ('string/en/ui_who.stf', '4', 'found_one', 'There is 1 matching player.');
INSERT INTO `client_strings` VALUES ('string/en/ui_who.stf', '5', 'found_many', 'There are %DI matching players.');
INSERT INTO `client_strings` VALUES ('string/en/ui_who.stf', '7', 'looking_for_group', 'LFG');
INSERT INTO `client_strings` VALUES ('string/en/ui_who.stf', '8', 'looking_for_group_false', 'You are no longer looking for a group.');
INSERT INTO `client_strings` VALUES ('string/en/ui_who.stf', '9', 'looking_for_group_true', 'You are now looking for a group.');
INSERT INTO `client_strings` VALUES ('string/en/ui_who.stf', '10', 'helper', 'HELPER');
INSERT INTO `client_strings` VALUES ('string/en/ui_who.stf', '11', 'helper_false', 'You are no longer a newbie helper.');
INSERT INTO `client_strings` VALUES ('string/en/ui_who.stf', '12', 'helper_true', 'You are now a newbie helper.');
INSERT INTO `client_strings` VALUES ('string/en/ui_who.stf', '13', 'roleplay', 'ROLEPLAY');
INSERT INTO `client_strings` VALUES ('string/en/ui_who.stf', '14', 'roleplay_false', 'You are no longer a roleplayer.');
INSERT INTO `client_strings` VALUES ('string/en/ui_who.stf', '15', 'roleplay_true', 'You are now a roleplayer.');
INSERT INTO `client_strings` VALUES ('string/en/ui_who.stf', '16', 'title', 'Players near you in Star Wars Galaxies\n----------------------------------');
INSERT INTO `client_strings` VALUES ('string/en/ui_who.stf', '17', 'friend_none', 'You have no friends! Maybe you should add one by typing: /addfriend <name>');
INSERT INTO `client_strings` VALUES ('string/en/ui_who.stf', '18', 'friend_one', 'You have 1 friend.');
INSERT INTO `client_strings` VALUES ('string/en/ui_who.stf', '19', 'friend_title', 'List of Friends\n----------------------------------');
INSERT INTO `client_strings` VALUES ('string/en/ui_who.stf', '20', 'friend_many', 'You have %DI friends.');
INSERT INTO `client_strings` VALUES ('string/en/ui_who.stf', '21', 'who_friend', 'FRIEND');
INSERT INTO `client_strings` VALUES ('string/en/ui_who.stf', '22', 'ignore_one', 'You are ignoring 1 player.');
INSERT INTO `client_strings` VALUES ('string/en/ui_who.stf', '23', 'ignore_many', 'You are ignoring %DI players.');
INSERT INTO `client_strings` VALUES ('string/en/ui_who.stf', '24', 'ignore_none', 'You are not ignoring any players. You can ignore a player by typing: /addignore <name>');
INSERT INTO `client_strings` VALUES ('string/en/ui_who.stf', '25', 'ignore_title', 'List of Ignored Players\n----------------------------------');
INSERT INTO `client_strings` VALUES ('string/en/ui_who.stf', '26', 'found_truncated', 'Your who request was truncated...too many matches.');
INSERT INTO `client_strings` VALUES ('string/en/ui_who.stf', '27', 'away_from_keyboard', 'AFK');
INSERT INTO `client_strings` VALUES ('string/en/ui_who.stf', '28', 'link_dead', 'LD');
INSERT INTO `client_strings` VALUES ('string/en/ui_who.stf', '29', 'friend_hidden', '(%DI hidden)');
INSERT INTO `client_strings` VALUES ('string/en/ui_who.stf', '30', 'friend_list_group_other', 'Other Friends');
INSERT INTO `client_strings` VALUES ('string/en/ui_who.stf', '31', 'developer', 'Developer');
INSERT INTO `client_strings` VALUES ('string/en/ui_who.stf', '32', 'customer_service_representative', 'CSR');
INSERT INTO `client_strings` VALUES ('string/en/ui_who.stf', '33', 'displaying_faction_rank_true', 'You are now displaying your faction rank.');
INSERT INTO `client_strings` VALUES ('string/en/ui_who.stf', '34', 'displaying_faction_rank_false', 'You are no longer displaying your faction rank.');
INSERT INTO `client_strings` VALUES ('string/en/ui_zone_map.stf', '13', 'show_asteroids', 'Show Asteroids');
INSERT INTO `client_strings` VALUES ('string/en/ui_zone_map.stf', '15', 'show_nebulas', 'Show Nebulas');
INSERT INTO `client_strings` VALUES ('string/en/ui_zone_map.stf', '16', 'show_hyperspace_points', 'Show Hyperspace Points');
INSERT INTO `client_strings` VALUES ('string/en/ui_zone_map.stf', '17', 'show_space_stations', 'Show Space Stations');
INSERT INTO `client_strings` VALUES ('string/en/ui_zone_map.stf', '18', 'show_waypoints', 'Show Waypoints');
INSERT INTO `client_strings` VALUES ('string/en/ui_zone_map.stf', '19', 'show_player_location', 'Show Player Location');
INSERT INTO `client_strings` VALUES ('string/en/ui_zone_map.stf', '20', 'reset', 'Reset Camera');
INSERT INTO `client_strings` VALUES ('string/en/ui_zone_map.stf', '21', 'exit', 'Exit');
INSERT INTO `client_strings` VALUES ('string/en/ui_zone_map.stf', '22', 'show_mission_critical', 'Show Mission Critical');
INSERT INTO `client_strings` VALUES ('string/en/ui_zone_map.stf', '23', 'space_stations', 'Space Stations');
INSERT INTO `client_strings` VALUES ('string/en/ui_zone_map.stf', '24', 'hyperspace_points', 'Hyperspace Points');
INSERT INTO `client_strings` VALUES ('string/en/ui_zone_map.stf', '25', 'active_waypoints', 'Active Waypoints');
INSERT INTO `client_strings` VALUES ('string/en/ui_zone_map.stf', '26', 'mission_critical', 'Mission Critical');
INSERT INTO `client_strings` VALUES ('string/en/ui_zone_map.stf', '27', 'make_target', 'Make Current Target');
INSERT INTO `client_strings` VALUES ('string/en/ui_zone_map.stf', '28', 'create_waypoint', 'Create Waypoint');
INSERT INTO `client_strings` VALUES ('string/en/ui_zone_map.stf', '29', 'auto_pilot', 'Auto-Pilot to Location');
INSERT INTO `client_strings` VALUES ('string/en/ui_zone_map.stf', '30', 'inactive_waypoints', 'Inactive Waypoints');
INSERT INTO `client_strings` VALUES ('string/en/ui_zone_map.stf', '31', 'active_poi_waypoints', 'Active Points of Interest');
INSERT INTO `client_strings` VALUES ('string/en/ui_zone_map.stf', '32', 'help_checks', 'Select any of the options listed here if you wish to have them displayed on the zone map. Deselect any you wish to hide.');
INSERT INTO `client_strings` VALUES ('string/en/ui_zone_map.stf', '33', 'help_tree', 'This is a list of important zone locations, such as space stations, hyperspace points, points of interest, and locations that are critical to your current mission(s). Active and inactive waypoints are also listed here.\n\nOpen a category to display the locations contained within, and then select one to highlight it on the 3D zone map. \n\nYou can right-click map locations in this display for a popup menu that will allow you to create or destroy a waypoint, to activate or deactivate a waypoint, or to autopilot to a location.');
INSERT INTO `client_strings` VALUES ('string/en/ui_zone_map.stf', '34', 'help_viewer', 'This is the zone map.\n\nYou can use it to find Locations and manage your Waypoints.\n\nRight-click on the map for a popup menu that will allow you to create a waypoint at your current location or to center the map view on your ship.');
INSERT INTO `client_strings` VALUES ('string/en/ui_zone_map.stf', '35', 'help_controls', 'Use this button to reset the view which will center the zone map on your ship.');
INSERT INTO `client_strings` VALUES ('string/en/ui_zone_map.stf', '36', 'refresh', 'Reset the View');
INSERT INTO `client_strings` VALUES ('string/en/ui_zone_map.stf', '37', 'show_names', 'Show Names');
INSERT INTO `client_strings` VALUES ('string/en/ui_zone_map.stf', '38', 'controls', 'Left mouse = pan     Ctrl-left mouse = rotate     Ctrl-mouse wheel = zoom     Right mouse = menu');
INSERT INTO `client_strings` VALUES ('string/en/ui_zone_map.stf', '39', 'inactive_poi_waypoints', 'Inactive Points of Interest');
INSERT INTO `client_strings` VALUES ('string/en/unity.stf', '1', 'mnu_propose', 'Propose Unity');
INSERT INTO `client_strings` VALUES ('string/en/unity.stf', '2', 'mnu_divorce', 'Divorce');
INSERT INTO `client_strings` VALUES ('string/en/unity.stf', '3', 'bad_target', 'You must have a valid player target to Propose Unity.');
INSERT INTO `client_strings` VALUES ('string/en/unity.stf', '4', 'bad_facing', 'You must be facing your target to properly propose!');
INSERT INTO `client_strings` VALUES ('string/en/unity.stf', '5', 'out_of_range', 'Your target is too far away to properly propose!');
INSERT INTO `client_strings` VALUES ('string/en/unity.stf', '6', 'prose_already_proposed', 'But you already have an outstanding unity proposal to %TO.');
INSERT INTO `client_strings` VALUES ('string/en/unity.stf', '7', 'prose_already_married', 'You cannot propose unity. You are already united with %TO.');
INSERT INTO `client_strings` VALUES ('string/en/unity.stf', '8', 'target_not_player', 'You may only propose unity to another player.');
INSERT INTO `client_strings` VALUES ('string/en/unity.stf', '9', 'target_married', 'You cannot propose unity to someone who is already united.');
INSERT INTO `client_strings` VALUES ('string/en/unity.stf', '10', 'target_proposed', 'Your proposal target is already engaged in a unity proposal.');
INSERT INTO `client_strings` VALUES ('string/en/unity.stf', '11', 'no_ring', 'You cannot accept a unity proposal without a ring to offer.');
INSERT INTO `client_strings` VALUES ('string/en/unity.stf', '12', 'accept_fail', 'Your proposal target has no ring to offer in return.');
INSERT INTO `client_strings` VALUES ('string/en/unity.stf', '13', 'prose_accept_fail', '%TO has no ring to offer and therefore cannot accept.');
INSERT INTO `client_strings` VALUES ('string/en/unity.stf', '14', 'decline', 'You decline the unity proposal.');
INSERT INTO `client_strings` VALUES ('string/en/unity.stf', '15', 'declined', 'Your unity proposal has been declined.');
INSERT INTO `client_strings` VALUES ('string/en/unity.stf', '16', 'prose_declined', 'Your unity proposal to %TO has been declined.');
INSERT INTO `client_strings` VALUES ('string/en/unity.stf', '17', 'expire_player', 'The unity proposal you extended has expired.');
INSERT INTO `client_strings` VALUES ('string/en/unity.stf', '18', 'expire_target', 'The unity proposal extended to you has expired.');
INSERT INTO `client_strings` VALUES ('string/en/unity.stf', '19', 'prose_expire_player', 'The unity proposal you extended to %TO has expired.');
INSERT INTO `client_strings` VALUES ('string/en/unity.stf', '20', 'prose_expire_target', 'The unity proposal extended to you by %TO has expired.');
INSERT INTO `client_strings` VALUES ('string/en/unity.stf', '21', 'wed_error', 'An error has occurred during the unity process.');
INSERT INTO `client_strings` VALUES ('string/en/unity.stf', '22', 'wed_oor', 'You must remain within 15 meters during the unity process for it to complete.');
INSERT INTO `client_strings` VALUES ('string/en/unity.stf', '23', 'prose_end_unity', 'Your union with %TO has ended.');
INSERT INTO `client_strings` VALUES ('string/en/unity.stf', '24', 'prose_propose', 'You propose unity to %TO.');
INSERT INTO `client_strings` VALUES ('string/en/unity.stf', '25', 'ring_prompt', 'Select the ring you would like to offer, in return, for your unity.');
INSERT INTO `client_strings` VALUES ('string/en/unity.stf', '26', 'prose_wed_complete', 'Your union with %TT is complete.');
INSERT INTO `client_strings` VALUES ('string/en/unity.stf', '27', 'accept_title', 'Accept Unity Proposal?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/imperial.stf', '1', 'u1', 'I can\'t wait for my next furlough.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/imperial.stf', '2', 'u2', 'So how about this weather, huh?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/imperial.stf', '3', 'u3', 'I wonder if there\'s any Rebels around.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/imperial.stf', '4', 'u4', 'You know, things just haven\'t been the same since the Battle of Yavin.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/imperial.stf', '5', 'u5', 'When does my relief get here anyway?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/imperial.stf', '6', 'u6', 'These boots pinch.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/imperial.stf', '7', 'u7', 'I really need to get my uniform cleaned.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/imperial.stf', '8', 'u8', 'Guard duty\'s pretty bad, but it\'s not as bad as fresher duty.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/imperial.stf', '9', 'u9', 'I once had to escort a Wookiee prisoner, that was no fun, I\'ll tell you!');
INSERT INTO `client_strings` VALUES ('string/en/utterance/imperial.stf', '10', 'u10', 'I miss home some days.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/imperial.stf', '11', 'u11', 'So I said to the lieutenant, \"Look, if you think that soldier\'s got half a brain in his head...\"');
INSERT INTO `client_strings` VALUES ('string/en/utterance/imperial.stf', '12', 'u12', '...and then the gambler said, \"But that\'s not the rules of sabaac!\" So I pulled out my blaster and...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/imperial.stf', '13', 'u13', 'So the sergeant says, \"Regs say you have to be back in time.\" What a crock.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/imperial.stf', '14', 'u14', 'I got chewed out for not having a sharp enough crease in my slacks.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/imperial.stf', '15', 'u15', 'He thinks he\'s all high and mighty because he\'s a Chiss. I hate aliens, I tell you.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/imperial.stf', '16', 'u16', 'They might be be crack troops, but they creep me out. You ever seen one without his helmet on? Hmm?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/imperial.stf', '17', 'u17', 'Yeah, but the real tough ones are the SpecForce guys. They make the regular Rebel army look pathetic.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/imperial.stf', '18', 'u18', 'I\'ve taken down a few SpecForce commandos in my day...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/imperial.stf', '19', 'u19', 'Well, this is my first station since Carida where I\'ve really felt at home.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/imperial.stf', '20', 'u20', 'I lost a cousin on that battle station you know. Of course, I lost a few on Alderaan too.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/imperial.stf', '21', 'u21', 'What I want to know is why the Alliance has to go wrecking everything? Life is pretty good for most, isn\'t it?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/imperial.stf', '22', 'u22', 'My uncle was on me about killing civilians. I explained that I was just following orders, but he didn\'t understand.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/imperial.stf', '23', 'u23', 'I\'ve only gotten to ride in a walker once, but it was really very interesting...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/imperial.stf', '24', 'u24', 'I imagine we won\'t be here long. They\'ll have us take out some little Rebel outpost, and we\'ll move again...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/imperial.stf', '25', 'u25', 'Have you heard the one about the Klatooinian, the Ithorian, and the Wookiee?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/imperial.stf', '26', 'imperial_npc_greet_1', 'Look alive man, I\'m busy here.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/imperial.stf', '27', 'imperial_npc_greet_2', 'I don\'t have time to chat right now.  I\'ve got important things to do.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/imperial.stf', '28', 'imperial_npc_greet_3', 'There\'s nothing more annoying than being bothered when I\'m busy.  Yes?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/imperial.stf', '29', 'imperial_npc_job_offer_1', 'Here\'s the job.  I won\'t ask if you can do it, cause I\'ll assume you can.  Now do it.  Ok?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/imperial.stf', '30', 'imperial_npc_job_offer_2', 'I have some tasks if you\'re interested and you can get them done.  Can you?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/imperial.stf', '31', 'imperial_npc_job_offer_3', 'This is what I have, take it or leave it.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/imperial.stf', '32', 'imperial_player_line_1_1', 'Look alive?  What exactly does that mean?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/imperial.stf', '33', 'imperial_npc_response_1_1', 'It means move, move around.  Look like you\'re at least pretending to be alive.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/imperial.stf', '34', 'imperial_player_line_2_1', 'It\'s a silly expression.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/imperial.stf', '35', 'imperial_player_line_3_1', 'Do I look dead?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/imperial.stf', '36', 'imperial_npc_response_2_1', 'Ok, I\'m done talking to you.  You\'re wasting my time.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/imperial.stf', '37', 'imperial_npc_response_3_1', 'You will if you don\'t stop bothering me...What?  Too subtle?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/imperial.stf', '38', 'imperial_player_line_1_2', 'What kind of important things?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/imperial.stf', '39', 'imperial_npc_response_1_2', 'The kinds of important things I can\'t talk about with you.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/imperial.stf', '40', 'imperial_player_line_2_2', 'You don\'t even know me.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/imperial.stf', '41', 'imperial_player_line_3_2', 'So you\'re not going to tell me?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/imperial.stf', '42', 'imperial_npc_response_2_2', 'That\'s why I\'m not telling you anything.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/imperial.stf', '43', 'imperial_npc_response_3_2', 'You catch on quick.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/imperial.stf', '44', 'imperial_player_line_1_3', 'Sorry, didn\'t mean to bother you.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/imperial.stf', '45', 'imperial_npc_response_1_3', 'If there\'s something you need spit it out man!');
INSERT INTO `client_strings` VALUES ('string/en/utterance/imperial.stf', '46', 'imperial_player_line_2_3', 'Ok, sorry.  I\'ll go.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/imperial.stf', '47', 'imperial_player_line_3_3', 'With that attitude I\'m just going to go.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/imperial.stf', '48', 'imperial_npc_response_2_3', 'Just get out of here, will you?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/imperial.stf', '49', 'imperial_npc_response_3_3', 'Finally.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/imperial.stf', '50', 'imperial_npc_go_home', 'Go then.  I don\'t need someone who doesn\'t really want to work.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/imperial.stf', '51', 'imperial_npc_do_job', 'Get to work then.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/military.stf', '1', 'u1', 'Reminds me of this one time, when I was in the army...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/military.stf', '2', 'u2', 'Carida wouldn\'t take me so I enlisted in militia, but after my hitch was up, I decided to strike out on my own...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/military.stf', '3', 'u3', 'So a Klatooinian, an Ithorian, and a Wookiee walk into a cantina...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/military.stf', '4', 'u4', 'I need to get my blaster serviced.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/military.stf', '5', 'u5', 'I\'ve been looking for a better deal, but can\'t find one.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/military.stf', '6', 'u6', 'I heard the Alliance might be looking for good people.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/military.stf', '7', 'u7', 'My advice is, never gamble with a Hutt.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/military.stf', '8', 'u8', 'Well, this planet\'s not so bad.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/military.stf', '9', 'u9', 'Have you ever seen the inside of an imperial prison?  Me neither.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/military.stf', '10', 'u10', 'I\'d rather be eaten by Rancor\'s then pay that guy off.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/military.stf', '11', 'u11', '...took the bet, then I stood off 500 paces and nailed that bullseye clean as could be...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/military.stf', '12', 'u12', 'Just need enough credits for one more drink...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/military.stf', '13', 'u13', '...just another barfight. But the police came, and it turned ugly.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/military.stf', '14', 'u14', 'Well, you know, they won\'t take aliens.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/military.stf', '15', 'u15', 'What day is it?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/military.stf', '16', 'u16', 'A good droid is worth his weight in spice, I tell you.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/military.stf', '17', 'u17', 'What a day.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/military.stf', '18', 'u18', 'What a great day.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/military.stf', '19', 'u19', 'I\'m not clear on what I should be doing now.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/military.stf', '20', 'u20', 'I was just practicing my shooting, you know? Shouldn\'t have bothered anyone.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/military.stf', '21', 'u21', 'I don\'t see why they made such a fuss over a dead Rodian.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/military.stf', '22', 'u22', 'My last job left me stranded here, so I\'m looking for work.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/military.stf', '23', 'u23', 'Well, I make my living fighting, basically.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/military.stf', '24', 'u24', 'It\'s a hard life, but weapons and fighting are all I know.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/military.stf', '25', 'u25', 'I\'ve dealt with bounty hunters before, they don\'t scare me.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/military.stf', '26', 'military_npc_greet_1', 'Good day to you!');
INSERT INTO `client_strings` VALUES ('string/en/utterance/military.stf', '27', 'military_npc_greet_2', 'Know any good jokes?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/military.stf', '28', 'military_npc_greet_3', 'I\'ve had it with the military!');
INSERT INTO `client_strings` VALUES ('string/en/utterance/military.stf', '29', 'military_npc_job_offer_1', 'The orders are simple.  Can you carry them out effectively?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/military.stf', '30', 'military_npc_job_offer_2', 'The best approach is to follow the orders you\'re given.  Can you do that?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/military.stf', '31', 'military_npc_job_offer_3', 'My orders are not to be disobeyed.  If you can\'t handle that let me know now.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/military.stf', '32', 'military_player_line_1_1', 'And good day to you.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/military.stf', '33', 'military_npc_response_1_1', 'What can I do for you on this fine day?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/military.stf', '34', 'military_player_line_2_1', 'Not much.  Just chatting.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/military.stf', '35', 'military_npc_response_2_1', 'Well, then if that\'s all I\'ll get back to my duties, post haste.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/military.stf', '36', 'military_player_line_3_1', 'What division are you with?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/military.stf', '37', 'military_npc_response_3_1', 'The NIS Division.  By the way, in case you\'re wondering, that\'s the Non Important Stuff division, so don\'t ask too much of me, okay?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/military.stf', '38', 'military_player_line_1_2', 'No.  Do you?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/military.stf', '39', 'military_npc_response_1_2', 'A rodian, a wookie and a zabrak walk into a bar...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/military.stf', '40', 'military_player_line_2_2', 'Yeah...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/military.stf', '41', 'military_npc_response_2_2', 'Oh, well, I\'ve forgotten the punchline.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/military.stf', '42', 'military_player_line_3_2', 'I\'ve heard that one...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/military.stf', '43', 'military_npc_response_3_2', 'Oh.  Well, that\'s the only joke I know.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/military.stf', '44', 'military_player_line_1_3', 'What\'s wrong with the military?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/military.stf', '45', 'military_npc_response_1_3', 'I just don\'t think I\'m cut out for it.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/military.stf', '46', 'military_player_line_2_3', 'Why\'s that?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/military.stf', '47', 'military_player_line_3_3', 'You\'re not thinking of deserting are you?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/military.stf', '48', 'military_npc_response_2_3', 'I can\'t stand getting up early, I don\'t like guns, and I hate taking orders.  Come to think of it, I can\'t remember why I joined...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/military.stf', '49', 'military_npc_response_3_3', 'Well, I wasn\'t, but now that you\'ve mentioned it...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/military.stf', '50', 'military_npc_go_home', 'Military work is for people who don\'t back down.  Get out of here if you don\'t have the backbone for it!');
INSERT INTO `client_strings` VALUES ('string/en/utterance/military.stf', '51', 'military_npc_do_job', 'I\'ll expect a report from you as soon as you\'re done.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/noble.stf', '1', 'u1', 'And when Lady Solia said that the import tax was going up, well, I just HAD to protest.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/noble.stf', '2', 'u2', 'Really, as if his stinky little pet would be welcome in the right circles in Coruscant.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/noble.stf', '3', 'u3', 'Someday he\'ll realize that butler of his is robbing him blind.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/noble.stf', '4', 'u4', 'I\'ll never understand why sycophants like that rise so high in the Imperial court.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/noble.stf', '5', 'u5', 'Ah, yes, but have you heard of the Emperor\'s Hand? Hush now, can\'t talk too loud.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/noble.stf', '6', 'u6', 'And those DREADFUL Rebels have been acting up again!');
INSERT INTO `client_strings` VALUES ('string/en/utterance/noble.stf', '7', 'u7', 'I must admit, I do think the Imperial Army goes too far on occasion.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/noble.stf', '8', 'u8', 'Now, what have I done with my jewelry?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/noble.stf', '9', 'u9', 'Well, before the Senate was dissolved, I was quite important, you know.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/noble.stf', '10', 'u10', 'Oh, I\'ve been to Coruscant many times.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/noble.stf', '11', 'u11', 'I never can find my chrono...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/noble.stf', '12', 'u12', '..and the Klatooinian says to the Wookie, \"Have you heard the one about the Ithorian who walked into a cantina?\"');
INSERT INTO `client_strings` VALUES ('string/en/utterance/noble.stf', '13', 'u13', 'I lost millions gambling, of course.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/noble.stf', '14', 'u14', 'Well, my holdings in several systems are still turning a profit.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/noble.stf', '15', 'u15', 'Is that a stain on my clothes? I paid a fortune for these, you know.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/noble.stf', '16', 'u16', 'Yes, but Phen\'tal was still with Joo\'th Balzey at the time, and Joo\'th of course was still getting over Huj, if you recall...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/noble.stf', '17', 'u17', 'I could use a drink.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/noble.stf', '18', 'u18', 'So have you seen any good holodramas lately?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/noble.stf', '19', 'u19', 'The taxes are really unbelievable.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/noble.stf', '20', 'u20', '...so of course, I had to report him for high treason.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/noble.stf', '21', 'u21', 'I\'ve been considering building a third palace here...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/noble.stf', '22', 'u22', 'Such a busy day! I have to go shopping again.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/noble.stf', '23', 'u23', 'Doesn\'t it drive you mad, how you always have to \"manage\" your estate? Isn\'t that what servants are for?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/noble.stf', '24', 'u24', 'Really quite tragic, dead at such a young age.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/noble.stf', '25', 'u25', 'It\'s quite the scandal--he ran off to join the Rebellion. Imagine!');
INSERT INTO `client_strings` VALUES ('string/en/utterance/noble.stf', '26', 'noble_npc_greet_1', 'I\'m not used to dealing with those lower than me.  What is it you want?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/noble.stf', '27', 'noble_npc_greet_2', 'As a noble I feel it\'s only fair to warn you that I\'m probably smarter than you, so careful what you say.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/noble.stf', '28', 'noble_npc_greet_3', 'There\'s nothing worse than an arrogant noble is there?  Hi there, how are you?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/noble.stf', '29', 'noble_npc_job_offer_1', 'Well, if you must do something than at least do this for me so I don\'t have to do it myself...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/noble.stf', '30', 'noble_npc_job_offer_2', 'If it will get you away from me quicker I\'ll pay you to do something, ok?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/noble.stf', '31', 'noble_npc_job_offer_3', 'Sure, I have some things you could do if you need some extra cash.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/noble.stf', '32', 'noble_player_line_1_1', 'Lower than you?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/noble.stf', '33', 'noble_npc_response_1_1', 'Yes, you know.  Of a lower station?  Not as good as me?  You\'re not getting this are you?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/noble.stf', '34', 'noble_player_line_2_1', 'I\'m not sure I could go as low as you.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/noble.stf', '35', 'noble_npc_response_2_1', 'This is why I don\'t talk to people below me.  You just don\'t get it.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/noble.stf', '36', 'noble_player_line_3_1', 'Sorry.  Didn\'t mean to disturb you.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/noble.stf', '37', 'noble_npc_response_3_1', 'Finally, someone who shows some class.  Now get back to whatever it is you do.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/noble.stf', '38', 'noble_player_line_2_2', 'I\'m too busy to talk to you.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/noble.stf', '39', 'noble_npc_response_2_2', 'I\'m not surprised.  This is what you get for not having an education.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/noble.stf', '40', 'noble_player_line_3_2', 'Maybe you should get a real job.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/noble.stf', '41', 'noble_npc_response_3_2', 'Oh, you common masses.  You don\'t understand the difficulty of the life we nobles lead.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/noble.stf', '42', 'noble_player_line_1_3', 'Wow, you\'re nice for a noble.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/noble.stf', '43', 'noble_npc_response_1_3', 'My brethren don\'t seem to understand that they\'re in fact not better than everybody around them.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/noble.stf', '44', 'noble_player_line_1_2', 'Oh, I\'ll be careful all right.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/noble.stf', '45', 'noble_npc_response_1_2', 'As well you should be.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/noble.stf', '46', 'noble_player_line_2_3', 'I appreciate your honesty in the matter.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/noble.stf', '47', 'noble_npc_response_2_3', 'Well, it\'s about time the other nobles learned that we\'re people just like everybody else.  ');
INSERT INTO `client_strings` VALUES ('string/en/utterance/noble.stf', '48', 'noble_player_line_3_3', 'That\'s pretty enlightened for a noble.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/noble.stf', '49', 'noble_npc_response_3_3', 'Believe me, I know most of the nobles around here.  Superiority isn\'t something they should bring up very often, lest someone checks the facts and finds out they\'re all worthless.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/noble.stf', '50', 'noble_npc_go_home', 'I should have known.  You\'re not cut out for real work are you?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/noble.stf', '51', 'noble_npc_do_job', 'Let me know when you\'re finished, ok?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/pirate.stf', '1', 'u1', 'I once rode through the Jundland Wastes on a bantha with no name.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/pirate.stf', '2', 'u2', 'Could I be any better looking?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/pirate.stf', '3', 'u3', 'I think that guy\'s wearing my chrono...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/pirate.stf', '4', 'u4', 'I hear Calrissian runs a high stakes poker game somewhere near Bespin.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/pirate.stf', '5', 'u5', 'I used to work for Nym.  Nasty one, he is.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/pirate.stf', '6', 'u6', 'They say Bith are the best musicians, but I think Max Rebo\'s my favorite.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/pirate.stf', '7', 'u7', 'It\'s amazing how many people I know with a severed limb...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/pirate.stf', '8', 'u8', 'Robbed a casino myself once.  Never again, never again...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/pirate.stf', '9', 'u9', 'Imperial prisons are by far the cleanest.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/pirate.stf', '10', 'u10', 'I did some time on Dathomir myself.  You don\'t believe me?!?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/pirate.stf', '11', 'u11', 'Have I shown you my scars?  Well, you wouldn\'t want to see them anyway.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/pirate.stf', '12', 'u12', 'I hope our ship is repaired soon...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/pirate.stf', '13', 'u13', 'No one makes good eye-patches anymore.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/pirate.stf', '14', 'u14', 'Captain says I\'m the best first mate he\'s ever had.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/pirate.stf', '15', 'u15', 'Is that Twi\'lek cooking I smell?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/pirate.stf', '16', 'u16', 'I have cards and dice.  We could do some gambling.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/pirate.stf', '17', 'u17', 'I\'ve seen men killed for saying tripe like that.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/pirate.stf', '18', 'u18', 'Never let them see you bleed!');
INSERT INTO `client_strings` VALUES ('string/en/utterance/pirate.stf', '19', 'u19', 'I\'ve killed men for less than that.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/pirate.stf', '20', 'u20', 'It\'s not robbery if they give you their money freely is it?  Har har!');
INSERT INTO `client_strings` VALUES ('string/en/utterance/pirate.stf', '21', 'u21', 'Arrr....I think I stubbed my toe.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/pirate.stf', '22', 'u22', 'It\'s like there\'s war going on, up there where the stars are.  You know, like a space battle.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/pirate.stf', '23', 'u23', 'Never steal from an Imperial supply ship.  They say Vader personally hunts down any pirate that does.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/pirate.stf', '24', 'u24', 'The Hutts always pay on time, I\'ll give them that.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/pirate.stf', '25', 'u25', 'Corellian ships are the easiest to board...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/pirate.stf', '26', 'pirate_npc_greet_1', 'Well, well, well, some scum wants to talk to me eh?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/pirate.stf', '27', 'pirate_npc_greet_2', 'You\'re a foolhardy one aren\'t you?  Do you even know who I am?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/pirate.stf', '28', 'pirate_npc_greet_3', 'Didn\'t your mother ever tell you not to talk to strangers?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/pirate.stf', '29', 'pirate_npc_job_offer_1', 'If you are a willin\' to see the inside of a jail cell for your trouble I might be able to find something for you to do...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/pirate.stf', '30', 'pirate_npc_job_offer_2', 'There\'s nothin\' more dangerous than working for me.  You\'re either brave or stupid.  Let\'s find out shall we?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/pirate.stf', '31', 'pirate_npc_job_offer_3', 'The money\'s where it\'s at kid.  If you want some, you\'ll do some work for it.  Right?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/pirate.stf', '32', 'pirate_player_line_1_1', 'Who are you calling scum? ');
INSERT INTO `client_strings` VALUES ('string/en/utterance/pirate.stf', '33', 'pirate_player_line_1_2', 'Is that important?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/pirate.stf', '34', 'pirate_player_line_1_3', 'You\'re not any stranger than anyone else.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/pirate.stf', '35', 'pirate_npc_response_1_1', 'Isn\'t it obvious?  There\'s only one person that I\'m chattin\' with right now, and it\'s you.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/pirate.stf', '36', 'pirate_npc_response_1_2', 'Important?  It\'s always important to know who you\'re dealing with.  But just as important to make sure that they don\'t...unnerstand?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/pirate.stf', '37', 'pirate_player_line_2_1', 'So you\'re saying I\'m scum?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/pirate.stf', '38', 'pirate_npc_response_1_3', 'Hm...you may have a point.  And yet, I sense that you\'re not really all that bright...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/pirate.stf', '39', 'pirate_player_line_3_1', 'I\'m not sure what to say.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/pirate.stf', '40', 'pirate_npc_response_2_1', 'Quick as a trip through hyperspace aren\'t you?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/pirate.stf', '41', 'pirate_npc_response_3_1', 'That\'s ok.  I was pretty much done talkin\' to you anyway.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/pirate.stf', '42', 'pirate_player_line_2_2', 'But what if the other guy knows that too.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/pirate.stf', '43', 'pirate_npc_response_2_2', 'Arrr...now you\'re just confusin\' me.  Stop it!');
INSERT INTO `client_strings` VALUES ('string/en/utterance/pirate.stf', '44', 'pirate_player_line_3_2', 'So who are you?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/pirate.stf', '45', 'pirate_npc_response_3_2', 'Well, I\'m...HEY!  Cut that out!');
INSERT INTO `client_strings` VALUES ('string/en/utterance/pirate.stf', '46', 'pirate_player_line_2_3', 'I\'m bright as the sun!');
INSERT INTO `client_strings` VALUES ('string/en/utterance/pirate.stf', '47', 'pirate_npc_response_2_3', 'On a cloudy day, no doubt.  Yes you are...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/pirate.stf', '48', 'pirate_player_line_3_3', 'I won\'t stand here and be insulted.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/pirate.stf', '49', 'pirate_npc_response_3_3', 'Well, go stand over there then.  You\'re smell\'s starting to gag me and I can just as easily insult you from a distance.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/pirate.stf', '50', 'pirate_npc_go_home', 'This is what I expected.  If you can\'t do the work I\'ll find someone who can.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/pirate.stf', '51', 'pirate_npc_do_job', 'Good.  Get to it then.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/police.stf', '1', 'u1', 'I get so sick of lawbreakers...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/police.stf', '2', 'u2', '...so I had to arrest her. My own cousin, can you believe it?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/police.stf', '3', 'u3', 'In the end, resisting arrest is a good excuse.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/police.stf', '4', 'u4', 'What a long day.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/police.stf', '5', 'u5', 'I can\'t wait until my shift is over.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/police.stf', '6', 'u6', 'I\'ve been pulling double-shifts lately.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/police.stf', '7', 'u7', 'Well, the Imperial military doesn\'t exactly like to cooperate with us police officers.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/police.stf', '8', 'u8', 'Yeah, we report through the local military detachment. But we\'re local all the way.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/police.stf', '9', 'u9', '...swoop gangs. Definitely on the rise.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/police.stf', '10', 'u10', 'I had to scrub that graffitti for hours, and it wouldn\'t come out.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/police.stf', '11', 'u11', 'My first sergeant, now he was tough. I swear he ate diced gundark for breakfast.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/police.stf', '12', 'u12', 'People keep gambling with the Hutts and getting in trouble.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/police.stf', '13', 'u13', 'The worst are domestic disturbances. I hate those calls.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/police.stf', '14', 'u14', 'Just your friendly neighborhood police officer, that\'s me!');
INSERT INTO `client_strings` VALUES ('string/en/utterance/police.stf', '15', 'u15', '...not about to chase down Rebels. Let the military handle that. They\'re much better equipped...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/police.stf', '16', 'u16', '...so the punk kid runs down the alley, not realizing it\'s a dead end. I drew my weapon and...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/police.stf', '17', 'u17', '...protection racket, I think. They threaten the shopkeepers that they\'ll trash their storefronts if they don\'t pay...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/police.stf', '18', 'u18', 'Last call I had was a bad one; guy pulled a vibroknife out, started slashing... it was bad...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/police.stf', '19', 'u19', 'I could really use a vacation, but police don\'t seem to get much time off.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/police.stf', '20', 'u20', 'I\'m thinking of retiring from the police force, actually. Maybe go merc, you know?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/police.stf', '21', 'u21', 'Why did I ever join the police?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/police.stf', '22', 'u22', 'Some weather, huh?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/police.stf', '23', 'u23', 'I really need to get my uniform cleaned.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/police.stf', '24', 'u24', 'How long till the shift is over?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/police.stf', '25', 'u25', 'I can\'t believe she called the police to get her monkey lizard down.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/police.stf', '26', 'police_npc_greet_1', 'Don\'t I know you from somewhere?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/police.stf', '27', 'police_npc_greet_2', 'You\'re not out here doing anything illegal are you?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/police.stf', '28', 'police_npc_greet_3', 'Anything I can help you with citizen?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/police.stf', '29', 'police_npc_job_offer_1', 'There are many things you can do to help the community.  Interested?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/police.stf', '30', 'police_npc_job_offer_2', 'I have some things you could do to help out with some of my cases.  Interested?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/police.stf', '31', 'police_npc_job_offer_3', 'There\'s something you can do for me, sure.  Wanna help?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/police.stf', '32', 'police_player_line_1_1', 'No, that\'s not me.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/police.stf', '33', 'police_npc_response_1_1', 'Are you sure?  You look awfully familiar...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/police.stf', '34', 'police_player_line_2_1', 'I\'m sure I don\'t know you.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/police.stf', '35', 'police_npc_response_2_1', 'Well, ok.  Carry on then, but I\'m sure I\'ll remember you if I need to...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/police.stf', '36', 'police_player_line_3_1', 'I think maybe I just have one of those faces...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/police.stf', '37', 'police_npc_response_3_1', 'Yeah, maybe that\'s it.  Carry on then.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/police.stf', '38', 'police_player_line_1_2', 'I would never do anything illegal, officer.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/police.stf', '39', 'police_npc_response_1_2', 'You sure about that?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/police.stf', '40', 'police_player_line_2_2', 'I\'m a law abiding citizen.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/police.stf', '41', 'police_npc_response_2_2', 'Yeah, that\'s what they all say.  I\'ll be keeping my eye on you.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/police.stf', '42', 'police_player_line_3_2', 'You don\'t trust me?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/police.stf', '43', 'police_npc_response_3_2', 'I don\'t trust anybody.  But just this once I\'ll take your word for it.  Stay out of trouble now, you hear?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/police.stf', '44', 'police_player_line_1_3', 'No, I\'m just looking around.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/police.stf', '45', 'police_npc_response_1_3', 'Well, don\'t poke your nose where it doesn\'t belong.  Got it?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/police.stf', '46', 'police_player_line_2_3', 'Absolutely officer.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/police.stf', '47', 'police_npc_response_2_3', 'Good, good.  It\'s people like you that make this such a great place to live.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/police.stf', '48', 'police_player_line_3_3', 'Are you harrassing me?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/police.stf', '49', 'police_npc_response_3_3', 'Not yet, but you start any trouble and I will be.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/police.stf', '50', 'police_npc_go_home', 'That\'s all right.  Not everyone actual has to work for a living.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/police.stf', '51', 'police_npc_do_job', 'Get to it and do it.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/rebel.stf', '1', 'u1', '..family on Alderaan. So cut him some slack, OK?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/rebel.stf', '2', 'u2', 'Sure, and I bet you know Mon Mothma personally too.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/rebel.stf', '3', 'u3', 'Filthy Imperials.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/rebel.stf', '4', 'u4', 'Not all Imperials are bad, you know. Some of them are just wilfully ignorant.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/rebel.stf', '5', 'u5', 'I was at the Battle of Yavin, you know. I even saw Skywalker, from a distance.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/rebel.stf', '6', 'u6', 'Ah, he got lucky with a lucky shot, is all. He\'s just some hopped-up farmboy.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/rebel.stf', '7', 'u7', 'I\'d really like to take a furlough, visit my family.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/rebel.stf', '8', 'u8', 'Some weather these days, eh?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/rebel.stf', '9', 'u9', 'I wonder if there\'s any Imperial patrols around.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/rebel.stf', '10', 'u10', 'When does my relief get here anyway?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/rebel.stf', '11', 'u11', 'I wish we had sa nice uniforms as the Empire does.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/rebel.stf', '12', 'u12', 'Guard duty\'s pretty bad, but it\'s not as bad as fresher duty.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/rebel.stf', '13', 'u13', '...no fun escorting Imperial prisoners. Some of them are real fanatics...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/rebel.stf', '14', 'u14', 'So the sergeant says, \"Regs say you have to be back in time.\" What a crock.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/rebel.stf', '15', 'u15', 'Hey, you ever seen a Stormtrooper with his helmet off?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/rebel.stf', '16', 'u16', 'SpecForce can take Stormtroopers any day.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/rebel.stf', '17', 'u17', '..so the Wookiee says, \"And the Klatooinian ordered blue milk?\"');
INSERT INTO `client_strings` VALUES ('string/en/utterance/rebel.stf', '18', 'u18', 'She was really cute, which is why the whole mess happened, you see.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/rebel.stf', '19', 'u19', '...if he hadn\'t been gambling so much, he\'d still have some of his pay left!');
INSERT INTO `client_strings` VALUES ('string/en/utterance/rebel.stf', '20', 'u20', 'Well, don\'t tell any officers, or the gig\'s up.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/rebel.stf', '21', 'u21', 'I wouldn\'t mind getting out to see a little music, go dancing...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/rebel.stf', '22', 'u22', 'The thing about the Rebellion, it\'s so stuffy and earnest.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/rebel.stf', '23', 'u23', 'Always better when nothing interesting is going on.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/rebel.stf', '24', 'u24', 'I felt I had to sign up, after Alderaan.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/rebel.stf', '25', 'u25', 'We\'re getting too many green recruits, since Alderaan.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/rebel.stf', '26', 'rebel_npc_greet_1', 'Hail friend.  It\'s a glorious day, isn\'t it?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/rebel.stf', '27', 'rebel_npc_greet_2', 'Hello.  How\'s things going today?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/rebel.stf', '28', 'rebel_npc_greet_3', 'Good to see you.  What can I help you with?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/rebel.stf', '29', 'rebel_npc_job_offer_1', 'There\'s certainly something you could do to help out the alliance forces...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/rebel.stf', '30', 'rebel_npc_job_offer_2', 'Yeah, we got some work that you could do.  We\'re always undermanned around here...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/rebel.stf', '31', 'rebel_npc_job_offer_3', 'There\'s so much that can be done for the rebellion.  If you could just help us out with this one small thing...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/rebel.stf', '32', 'rebel_player_line_1_1', 'Why do you guys fight the Empire anyway?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/rebel.stf', '33', 'rebel_npc_response_1_1', 'You\'re joking right?  The Empire that grips systems so tight they can\'t breathe and then squeezes until all the tax money comes out of them?  They\'re bullies!');
INSERT INTO `client_strings` VALUES ('string/en/utterance/rebel.stf', '34', 'rebel_player_line_2_1', 'Bullies?  Seriously?  That\'s the reason?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/rebel.stf', '35', 'rebel_player_line_3_1', 'I just don\'t see it...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/rebel.stf', '36', 'rebel_npc_response_2_1', 'Of course that\'s the reason?  Did you think we just didn\'t like their uniforms?  ');
INSERT INTO `client_strings` VALUES ('string/en/utterance/rebel.stf', '37', 'rebel_npc_response_3_1', 'You must be blind then.  Or joking.  Oh, that\'s it...you\'re joking.  Good one.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/rebel.stf', '38', 'rebel_player_line_1_2', 'Tell me what you know about Darth Vader.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/rebel.stf', '39', 'rebel_npc_response_1_2', 'We don\'t like to talk much about him.  He\'s the lord of the Sith, and a powerful Jedi.  ');
INSERT INTO `client_strings` VALUES ('string/en/utterance/rebel.stf', '40', 'rebel_player_line_2_2', 'What exactly is a Sith?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/rebel.stf', '41', 'rebel_player_line_3_2', 'Jedi?  I thought they were all gone?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/rebel.stf', '42', 'rebel_npc_response_2_2', 'They\'re an ancient...um...something to do with darkness...uh...   You know, honestly I don\'t even know.  But it\'s BAD.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/rebel.stf', '43', 'rebel_npc_response_3_2', 'Oh no, there\'s still some left even on our side.  They like people to think they\'re myths, but we know better...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/rebel.stf', '44', 'rebel_player_line_1_3', 'Aren\'t you worried that you\'re in constant danger?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/rebel.stf', '45', 'rebel_npc_response_1_3', 'Of course not.  I wouldn\'t be much of a rebel soldier if all I did was sit around and worry about dying, now would I?  Why, have you heard something?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/rebel.stf', '46', 'rebel_player_line_2_3', 'No, just wondering is all...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/rebel.stf', '47', 'rebel_player_line_3_3', 'Well, I\'d be scared if I were you...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/rebel.stf', '48', 'rebel_npc_response_2_3', 'Whew.  I mean, yeah.  Nothing to worry about.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/rebel.stf', '49', 'rebel_npc_response_3_3', 'Well, I\'m not you.  And you\'re not me.  Let\'s just both be thankful for that.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/rebel.stf', '50', 'rebel_npc_go_home', 'Well, it\'s another point for the empire if we can\'t even find people to do simple tasks.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/rebel.stf', '51', 'rebel_npc_do_job', 'You\'re doing a great service for the alliance.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/slave.stf', '1', 'u1', 'I long to be free.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/slave.stf', '2', 'u2', 'Must do what master says. Always do what master says.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/slave.stf', '3', 'u3', '\"Yes sir\" this and \"yes sir\" that! One of these days, I\'ll get loose, and...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/slave.stf', '4', 'u4', 'I can\'t take another day of beatings...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/slave.stf', '5', 'u5', 'I wonder if the weather is changing...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/slave.stf', '6', 'u6', 'What a long day...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/slave.stf', '7', 'u7', 'Every day, it\'s work work work work.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/slave.stf', '8', 'u8', 'I feel ill. But the master won\'t let me stop working...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/slave.stf', '9', 'u9', '...so three Wookiees walk into a bar, and...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/slave.stf', '10', 'u10', 'Wouldn\'t it be nice if slaves got vacations?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/slave.stf', '11', 'u11', 'What day is it?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/slave.stf', '12', 'u12', 'Every day is always the same.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/slave.stf', '13', 'u13', 'Yes, master. Whatever you say, master.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/slave.stf', '14', 'u14', 'If the Alliance wins...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/slave.stf', '15', 'u15', 'If the Alliance loses...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/slave.stf', '16', 'u16', 'I wish I knew how to read...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/slave.stf', '17', 'u17', 'I suppose life could be worse. Not sure how, but...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/slave.stf', '18', 'u18', 'Last time I had a little money, I had to spend it on medicine. I don\'t get money often...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/slave.stf', '19', 'u19', 'I wonder what freedom is like?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/slave.stf', '20', 'u20', 'I don\'t even know what I would do with my life, to be honest.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/slave.stf', '21', 'u21', 'I\'ve thought about running away, sometimes...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/slave.stf', '22', 'u22', 'I\'ve thought about joining the Rebellion, sometimes... but would they treat me better?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/slave.stf', '23', 'u23', 'I have too much to do today.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/slave.stf', '24', 'u24', 'Oh, I\'ll keep doing my job, but only just well enough, if you know what I mean.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/slave.stf', '25', 'u25', 'I\'ve never been so tired...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/slave.stf', '26', 'slave_npc_greet_1', 'Hello.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/slave.stf', '27', 'slave_npc_greet_2', 'I shouldn\'t be speaking to you.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/slave.stf', '28', 'slave_npc_greet_3', 'Are you hear to speak with my master?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/slave.stf', '29', 'slave_npc_job_offer_1', 'There is one thing you can do for me...but I can\'t pay you of course.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/slave.stf', '30', 'slave_npc_job_offer_2', 'Yes, there is a task my master needs accomplished.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/slave.stf', '31', 'slave_npc_job_offer_3', 'I am authorized by my master to give you a job, yes.  Do you want it?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/slave.stf', '32', 'slave_player_line_1_1', 'How are you today?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/slave.stf', '33', 'slave_player_line_1_2', 'Why should anyone not speak to me?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/slave.stf', '34', 'slave_player_line_1_3', 'Your master?  Um...no, I was speaking to you.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/slave.stf', '35', 'slave_npc_response_1_1', 'I\'m treated very well by my master.  But, thank you for asking.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/slave.stf', '36', 'slave_npc_response_1_2', 'No one speaks to me, I am but a humble slave.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/slave.stf', '37', 'slave_npc_response_1_3', 'To me?  Why that is wonderful.  No one ever speaks to me!');
INSERT INTO `client_strings` VALUES ('string/en/utterance/slave.stf', '38', 'slave_player_line_2_1', 'Think nothing of it.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/slave.stf', '39', 'slave_player_line_2_2', 'A slave?  That\'s appalling!');
INSERT INTO `client_strings` VALUES ('string/en/utterance/slave.stf', '40', 'slave_player_line_2_3', 'Well, I\'m speaking to you now, so I hope you feel better about yourself.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/slave.stf', '41', 'slave_player_line_3_1', 'Well, I hope the day continues well.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/slave.stf', '42', 'slave_player_line_3_2', 'Oh, I didn\'t realize.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/slave.stf', '43', 'slave_player_line_3_3', 'Well, I must go.  Nice talking to you.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/slave.stf', '44', 'slave_npc_response_2_1', 'No, I think the world of you for speaking to me.  I shall never forget you.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/slave.stf', '45', 'slave_npc_response_2_2', 'No, it is merely the way of the world.  Now I must get back to my duties.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/slave.stf', '46', 'slave_npc_response_2_3', 'I do in fact.  Thank you for your kindness.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/slave.stf', '47', 'slave_npc_response_3_1', 'I\'m sure it shall.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/slave.stf', '48', 'slave_npc_response_3_2', 'It\'s all right.  Most people don\'t.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/slave.stf', '49', 'slave_npc_response_3_3', 'Good day to you as well.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/slave.stf', '50', 'slave_npc_go_home', 'That\'s too bad.  The task will certainly fall to me now and I have no time for it...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/slave.stf', '51', 'slave_npc_do_job', 'Thank you for your help in this matter.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/stormtrooper.stf', '1', 'u1', 'I can\'t wait for my next furlough.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/stormtrooper.stf', '2', 'u2', 'So how about this weather, huh?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/stormtrooper.stf', '3', 'u3', 'I wonder if there\'s any Rebels around.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/stormtrooper.stf', '4', 'u4', 'You know, things just haven\'t been the same since the Battle of Yavin.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/stormtrooper.stf', '5', 'u5', 'When does my relief get here anyway?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/stormtrooper.stf', '6', 'u6', 'These boots pinch.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/stormtrooper.stf', '7', 'u7', 'I really need to get my armor cleaned.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/stormtrooper.stf', '8', 'u8', 'Guard duty\'s pretty bad, but at least I\'m not getting shot at.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/stormtrooper.stf', '9', 'u9', 'I once had to escort a Wookiee prisoner, that was no fun, I\'ll tell you!');
INSERT INTO `client_strings` VALUES ('string/en/utterance/stormtrooper.stf', '10', 'u10', 'I\'d much rather be in the barracks right now.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/stormtrooper.stf', '11', 'u11', 'So I said to the lieutenant, \"Yes, sir.\"');
INSERT INTO `client_strings` VALUES ('string/en/utterance/stormtrooper.stf', '12', 'u12', 'Look, sir. Droids!');
INSERT INTO `client_strings` VALUES ('string/en/utterance/stormtrooper.stf', '13', 'u13', 'So the sergeant said to him, \"Regs say you have to be back in time.\"');
INSERT INTO `client_strings` VALUES ('string/en/utterance/stormtrooper.stf', '14', 'u14', 'This helmet gets hot, you know.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/stormtrooper.stf', '15', 'u15', 'He thinks he\'s all high and mighty because he\'s a Chiss. I hate aliens, I tell you.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/stormtrooper.stf', '16', 'u16', 'SpecForce doesn\'t scare me.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/stormtrooper.stf', '17', 'u17', 'Yeah, but the real tough ones are the SpecForce guys. They make the regular Rebel army look pathetic.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/stormtrooper.stf', '18', 'u18', 'I\'ve taken down a few SpecForce commandos in my day...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/stormtrooper.stf', '19', 'u19', 'All stations feel the same to me.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/stormtrooper.stf', '20', 'u20', 'So TK-926 said to TK-345, \"What about the time when...\"');
INSERT INTO `client_strings` VALUES ('string/en/utterance/stormtrooper.stf', '21', 'u21', 'What I want to know is why the Alliance has to go wrecking everything? Life is pretty good for most, isn\'t it?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/stormtrooper.stf', '22', 'u22', 'My back itches.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/stormtrooper.stf', '23', 'u23', 'I\'ve only gotten to ride in a walker once, but it was really very interesting...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/stormtrooper.stf', '24', 'u24', 'I imagine we won\'t be here long. They\'ll have us take out some little Rebel outpost, and we\'ll move again...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/stormtrooper.stf', '25', 'u25', 'Have you heard the one about the Klatooinian, the Ithorian, and the Wookiee?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/stormtrooper.stf', '26', 'stormtrooper_npc_greet_1', 'Sorry citizen, but I\'m on duty.  What can I do for you, quickly?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/stormtrooper.stf', '27', 'stormtrooper_player_line_1_1', 'I was just wondering what was going on around here.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/stormtrooper.stf', '28', 'stormtrooper_npc_response_1_1', 'Nothing that I can speak freely about...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/stormtrooper.stf', '29', 'stormtrooper_player_line_2_1', 'So you admit there\'s something going on!');
INSERT INTO `client_strings` VALUES ('string/en/utterance/stormtrooper.stf', '30', 'stormtrooper_player_line_3_1', 'Oh, well let me get out of your way.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/stormtrooper.stf', '31', 'stormtrooper_npc_response_2_1', 'That\'s it, I\'m done talking to you. ');
INSERT INTO `client_strings` VALUES ('string/en/utterance/stormtrooper.stf', '32', 'stormtrooper_npc_response_3_1', 'Ok, I\'m back to work.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/stormtrooper.stf', '33', 'stormtrooper_npc_greet_2', 'Hail citizen.  What do you need?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/stormtrooper.stf', '34', 'stormtrooper_player_line_1_2', 'Where can I get a cool suit of armor like that?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/stormtrooper.stf', '35', 'stormtrooper_npc_response_1_2', 'This is the official uniform of the Imperial Stormtroopers.  You\'d actually have to BE a stormtrooper to get one.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/stormtrooper.stf', '36', 'stormtrooper_player_line_2_2', 'Oh.  Well, can I be a stormtrooper then?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/stormtrooper.stf', '37', 'stormtrooper_player_line_3_2', 'That\'s too much work.  Just sell me yours!');
INSERT INTO `client_strings` VALUES ('string/en/utterance/stormtrooper.stf', '38', 'stormtrooper_npc_response_2_2', 'Uh...why don\'t you talk to the recruitment agents, I have to get back to work.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/stormtrooper.stf', '39', 'stormtrooper_npc_response_3_2', 'Ok, I\'m going to have to ask you to back away slowly.  I need to get back to my job.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/stormtrooper.stf', '40', 'stormtrooper_npc_greet_3', 'Can I help you?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/stormtrooper.stf', '41', 'stormtrooper_player_line_1_3', 'I\'d like to ask you some questions.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/stormtrooper.stf', '42', 'stormtrooper_npc_response_1_3', 'Sorry, I don\'t have time to answer questions.  Maybe you could try the Imperial Senate, or perhaps some of the local politicians.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/stormtrooper.stf', '43', 'stormtrooper_player_line_2_3', 'No, not those kinds of questions...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/stormtrooper.stf', '44', 'stormtrooper_player_line_3_3', 'So you\'re avoiding my questions?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/stormtrooper.stf', '45', 'stormtrooper_npc_response_2_3', 'I don\'t have time to answer ANY kind of questions.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/stormtrooper.stf', '46', 'stormtrooper_npc_response_3_3', 'Don\'t make me call for backup.  Just step away slowly and I\'ll let you go unharmed.  Okay?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/stormtrooper.stf', '47', 'stormtrooper_npc_job_offer_1', 'There is something you can do for the empire, yes...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/stormtrooper.stf', '48', 'stormtrooper_npc_job_offer_2', 'I was supposed to do this myself, but I\'m backlogged on paperwork, so maybe you can handle it.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/stormtrooper.stf', '49', 'stormtrooper_npc_job_offer_3', 'Sure,  I\'ve got some work that needs to be done.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/stormtrooper.stf', '50', 'stormtrooper_npc_go_home', 'Get out of the way if you\'re not going to help then.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/stormtrooper.stf', '51', 'stormtrooper_npc_do_job', 'I\'ll be interested to know when you\'re finished.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/thug.stf', '1', 'u1', 'Well, I\'ve heard that there\'s a pretty reliable smuggling channel open...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/thug.stf', '2', 'u2', '...bribery, of course.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/thug.stf', '3', 'u3', 'Well, this is a secret, so don\'t repeat it, but...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/thug.stf', '4', 'u4', 'Hah! I can take him any day!');
INSERT INTO `client_strings` VALUES ('string/en/utterance/thug.stf', '5', 'u5', 'She was really beautiful, sure. But whoo, dangerous.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/thug.stf', '6', 'u6', 'You have to be very careful, the Empire is sniffing around.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/thug.stf', '7', 'u7', 'Worst bounty hunter I ever saw. Got himself killed in a cantina.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/thug.stf', '8', 'u8', 'Best bounty hunter I ever saw. Could take out targets with his eyes closed.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/thug.stf', '9', 'u9', 'Me, I try to play it safe, you know? Play both sides against each other, that sort of thing.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/thug.stf', '10', 'u10', 'I\'m not really the sort to pick sides between the Empire and the Alliance. As long as I can make money.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/thug.stf', '11', 'u11', 'Well, I do love sabaac.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/thug.stf', '12', 'u12', 'I\'ve been known to gamble a night away.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/thug.stf', '13', 'u13', 'When I was younger, I daydreamed about a life in the military, but I prefer freedom now.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/thug.stf', '14', 'u14', 'When I get old enough to retire, I figure I\'ll be rich.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/thug.stf', '15', 'u15', 'Well, I do owe her some money, but it\'s not enough to warrant a bounty!');
INSERT INTO `client_strings` VALUES ('string/en/utterance/thug.stf', '16', 'u16', 'He owed me money. Doesn\'t anymore. He doesn\'t have a finger anymore either.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/thug.stf', '17', 'u17', 'I\'m a match for a soldier any day.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/thug.stf', '18', 'u18', 'Some weather we\'ve been having, eh?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/thug.stf', '19', 'u19', 'So the Wookiee and the Klatooinian cook the Ithorian and eat him! Funny, eh?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/thug.stf', '20', 'u20', 'Ugliest guy I ever saw, I swear.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/thug.stf', '21', 'u21', 'So I lost it all. I should have folded, I tell you.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/thug.stf', '22', 'u22', 'The chance cubes were weighted, I\'m pretty sure.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/thug.stf', '23', 'u23', 'Well, my favorite is Twi\'lek cooking, of course.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/thug.stf', '24', 'u24', 'The worst prisons are Imperial. Treat you like animals, they do.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/thug.stf', '25', 'u25', 'Well, the best way to pick a pocket is to come from behind...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/thug.stf', '26', 'thug_npc_greet_1', 'What do you want?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/thug.stf', '27', 'thug_npc_greet_2', 'Yeah?  What??');
INSERT INTO `client_strings` VALUES ('string/en/utterance/thug.stf', '28', 'thug_npc_greet_3', 'Make this quick, ok?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/thug.stf', '29', 'thug_npc_job_offer_1', 'I got work.  If you don\'t mind getting your hands dirty you can have it.  You want it?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/thug.stf', '30', 'thug_npc_job_offer_2', 'There\'s plenty to do if you\'re willing to bend a few laws...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/thug.stf', '31', 'thug_npc_job_offer_3', 'I don\'t know if I trust you, but I got something I need done if you\'re willing.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/thug.stf', '32', 'thug_npc_response_1_1', 'Whoever pays the most.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/thug.stf', '33', 'thug_npc_response_1_2', 'Who says I\'m bein\' hostile?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/thug.stf', '34', 'thug_npc_response_1_3', 'What\'s it to ya?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/thug.stf', '35', 'thug_npc_response_2_1', 'Answerin\' questions like that\'ll getcha killed.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/thug.stf', '36', 'thug_npc_response_2_2', 'Do I care?  No.  Go away.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/thug.stf', '37', 'thug_npc_response_2_3', 'Well don\'t.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/thug.stf', '38', 'thug_npc_response_3_1', 'Didn\'t everyone?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/thug.stf', '39', 'thug_npc_response_3_2', 'Very.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/thug.stf', '40', 'thug_npc_response_3_3', 'I\'ll forget this whole thing ever happened.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/thug.stf', '41', 'thug_player_line_1_1', 'Who do you work for?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/thug.stf', '42', 'thug_player_line_1_2', 'Why are you being so hostile?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/thug.stf', '43', 'thug_player_line_1_3', 'You got somewhere to be?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/thug.stf', '44', 'thug_player_line_2_1', 'Ever work for Valarian?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/thug.stf', '45', 'thug_player_line_2_2', 'Um...that was me...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/thug.stf', '46', 'thug_player_line_2_3', 'I\'m just asking is all.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/thug.stf', '47', 'thug_player_line_3_1', 'Ever work for Jabba?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/thug.stf', '48', 'thug_player_line_3_2', 'You\'re rude aren\'t you?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/thug.stf', '49', 'thug_player_line_3_3', 'Forget I asked.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/thug.stf', '50', 'thug_npc_go_home', 'If you don\'t have the stomach for the work don\'t ask for it.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/thug.stf', '51', 'thug_npc_do_job', 'Get it over with quick.  Make sure no one sees you.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/thug.stf', '52', 'default', '');
INSERT INTO `client_strings` VALUES ('string/en/utterance/townsperson.stf', '1', 'u1', 'Oh, I haven\'t paid my taxes...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/townsperson.stf', '2', 'u2', 'What a lovely view.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/townsperson.stf', '3', 'u3', 'I\'ve never been so tired.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/townsperson.stf', '4', 'u4', 'I need a new book to read.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/townsperson.stf', '5', 'u5', 'I need to use the \'fresher.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/townsperson.stf', '6', 'u6', 'I feel old.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/townsperson.stf', '7', 'u7', 'I think I might be getting sick.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/townsperson.stf', '8', 'u8', 'My advice is, never gamble with a Hutt.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/townsperson.stf', '9', 'u9', 'Well, this planet\'s not so bad.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/townsperson.stf', '10', 'u10', 'I\'ve been considering moving to a new city.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/townsperson.stf', '11', 'u11', 'I have too much to do today.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/townsperson.stf', '12', 'u12', 'It looks like it\'s going to be a warm one today.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/townsperson.stf', '13', 'u13', 'Have you ever seen the inside of an imperial prison?  Me neither.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/townsperson.stf', '14', 'u14', 'I\'d rather be eaten by rancors then pay that guy off.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/townsperson.stf', '15', 'u15', 'My skin is peeling...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/townsperson.stf', '16', 'u16', 'Just need enough credits for one more drink...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/townsperson.stf', '17', 'u17', 'Oh yes, she\'s a lovely girl.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/townsperson.stf', '18', 'u18', 'I wonder if I\'m supposed to be somewhere...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/townsperson.stf', '19', 'u19', 'What day is it?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/townsperson.stf', '20', 'u20', 'Nothing interesting ever happens around here.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/townsperson.stf', '21', 'u21', 'I can\'t find my chrono.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/townsperson.stf', '22', 'u22', 'What is that smell?...oh.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/townsperson.stf', '23', 'u23', 'I\'m not clear on what I should be doing now.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/townsperson.stf', '24', 'u24', 'Lousy stormtroopers...(mumbles)...didn\'t do it!');
INSERT INTO `client_strings` VALUES ('string/en/utterance/townsperson.stf', '25', 'u25', 'I hear the Alliance is looking for more pilots.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/townsperson.stf', '26', 'townsperson_npc_greet_1', 'Hello, hello.  How are you today?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/townsperson.stf', '27', 'townsperson_npc_greet_2', 'Sorry, I\'m not at all myself today.  What can I do for you?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/townsperson.stf', '28', 'townsperson_npc_greet_3', 'Good to make your acquaintance.  Unless of course we\'ve already met, and in that case, hello again.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/townsperson.stf', '29', 'townsperson_npc_job_offer_1', 'There is something that I\'d been hoping someone would help me with.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/townsperson.stf', '30', 'townsperson_npc_job_offer_2', 'I actually have thought of something you could do for me...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/townsperson.stf', '31', 'townsperson_npc_job_offer_3', 'Well, if you\'re sure about it, there is something you can do for me.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/townsperson.stf', '32', 'townsperson_player_line_1_1', 'How are you getting along?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/townsperson.stf', '33', 'townsperson_player_line_1_2', 'Not yourself?  What\'s the matter?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/townsperson.stf', '34', 'townsperson_player_line_1_3', 'Losing your memory?  ');
INSERT INTO `client_strings` VALUES ('string/en/utterance/townsperson.stf', '35', 'townsperson_npc_response_1_1', 'Oh, things are going just fine I guess.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/townsperson.stf', '36', 'townsperson_npc_response_1_2', 'Well, I think I might be getting ill.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/townsperson.stf', '37', 'townsperson_npc_response_1_3', 'Hm...I can\'t seem to remember.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/townsperson.stf', '38', 'townsperson_player_line_2_1', 'You guess?  Not sure?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/townsperson.stf', '39', 'townsperson_player_line_2_2', 'Oh.  Perhaps I shouldn\'t get to close to you.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/townsperson.stf', '40', 'townsperson_player_line_2_3', 'Haha.  That\'s quite funny!');
INSERT INTO `client_strings` VALUES ('string/en/utterance/townsperson.stf', '41', 'townsperson_player_line_3_1', 'Well, that\'s good to hear.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/townsperson.stf', '42', 'townsperson_player_line_3_2', 'Nonsense.  You look healthy as a bantha.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/townsperson.stf', '43', 'townsperson_player_line_3_3', 'Oh, what a terrible joke...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/townsperson.stf', '44', 'townsperson_npc_response_2_1', 'Actually, I think I need some time to myself to think...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/townsperson.stf', '45', 'townsperson_npc_response_2_2', 'That\'s probably safest.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/townsperson.stf', '46', 'townsperson_npc_response_2_3', 'What\'s funny?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/townsperson.stf', '47', 'townsperson_npc_response_3_1', 'Thanks.  I hope you\'re also doing well.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/townsperson.stf', '48', 'townsperson_npc_response_3_2', 'Well, I don\'t feel it.  Ohh, thinking about bantha\'s is making me sicker.  Excuse me...');
INSERT INTO `client_strings` VALUES ('string/en/utterance/townsperson.stf', '49', 'townsperson_npc_response_3_3', 'What?  What joke?');
INSERT INTO `client_strings` VALUES ('string/en/utterance/townsperson.stf', '50', 'townsperson_npc_go_home', 'Sorry it didn\'t work out for us.');
INSERT INTO `client_strings` VALUES ('string/en/utterance/townsperson.stf', '51', 'townsperson_npc_do_job', 'Thanks for the help.');
INSERT INTO `client_strings` VALUES ('string/en/veteran.stf', '1', 'new_reward', 'You are eligible for the %DI day veteran reward! Use the /claimVeteranReward command to get your reward.');
INSERT INTO `client_strings` VALUES ('string/en/veteran.stf', '2', 'select_reward', 'Select your reward from the list. Rewards followed by \"*\" may not be gained more than once. Rewards followed by \"#\" may not be traded or sold.');
INSERT INTO `client_strings` VALUES ('string/en/veteran.stf', '3', 'greeting', 'Hi there! Come for your reward?');
INSERT INTO `client_strings` VALUES ('string/en/veteran.stf', '4', 'get_award', 'Gimme!');
INSERT INTO `client_strings` VALUES ('string/en/veteran.stf', '5', 'not_now', 'Nah.');
INSERT INTO `client_strings` VALUES ('string/en/veteran.stf', '6', 'go_away', 'You need more time under your belt to get a reward.');
INSERT INTO `client_strings` VALUES ('string/en/veteran.stf', '7', 'damn', 'Damn!');
INSERT INTO `client_strings` VALUES ('string/en/veteran.stf', '8', 'time_active', 'Player %TT has %DI days logged for veteran rewards.');
INSERT INTO `client_strings` VALUES ('string/en/veteran.stf', '9', 'self_time_active', 'You have %DI days logged for veteran rewards.');
INSERT INTO `client_strings` VALUES ('string/en/veteran.stf', '10', 'system_inactive', 'The veteran system is not active.');
INSERT INTO `client_strings` VALUES ('string/en/veteran.stf', '11', 'not_eligible', 'You are not currently eligible for a veteran reward.');
INSERT INTO `client_strings` VALUES ('string/en/veteran.stf', '12', 'reward_given', 'Your reward has been placed in your inventory.');
INSERT INTO `client_strings` VALUES ('string/en/veteran.stf', '13', 'reward_error', 'The reward could not be granted.');
INSERT INTO `client_strings` VALUES ('string/en/veteran.stf', '14', 'invalid_target', 'That target is invalid for veteran rewards.');
INSERT INTO `client_strings` VALUES ('string/en/veteran.stf', '15', 'milestone_out_of_range', 'Milestone out of range.');
INSERT INTO `client_strings` VALUES ('string/en/veteran.stf', '16', 'has_milestone', 'The player has received the milestone\'s reward.');
INSERT INTO `client_strings` VALUES ('string/en/veteran.stf', '17', 'has_not_milestone', 'The player has not received the milestone\'s reward.');
INSERT INTO `client_strings` VALUES ('string/en/veteran.stf', '18', 'ok', 'Ok');
INSERT INTO `client_strings` VALUES ('string/en/veteran.stf', '19', 'active_months_cleared', 'Your active time has been reset.');
INSERT INTO `client_strings` VALUES ('string/en/veteran.stf', '20', 'select_milestone', 'Select which milestone you would like to get a reward for.');
INSERT INTO `client_strings` VALUES ('string/en/veteran.stf', '21', 'bad_milestone', 'You have selected an invalid milestone.');
INSERT INTO `client_strings` VALUES ('string/en/veteran.stf', '22', 'new_reward_subject', 'Veteran Reward');
INSERT INTO `client_strings` VALUES ('string/en/veteran.stf', '23', 'new_reward_from', 'Veteran System');
INSERT INTO `client_strings` VALUES ('string/en/veteran.stf', '24', 'days', ' days');
INSERT INTO `client_strings` VALUES ('string/en/veteran.stf', '25', 'new_reward_msgbox', 'You are eligible for a new veteran reward! Use the /claimVeteranReward command to get your reward.');
INSERT INTO `client_strings` VALUES ('string/en/veteran.stf', '26', 'harvester_converted', 'Your harvester %TT has been converted to use 0 power.');
INSERT INTO `client_strings` VALUES ('string/en/veteran.stf', '27', 'harvester_converted_subject', 'Harvester Converted');
INSERT INTO `client_strings` VALUES ('string/en/veteran.stf', '28', 'resource_title', 'Resources');
INSERT INTO `client_strings` VALUES ('string/en/veteran.stf', '29', 'choose_class', 'Choose resource class');
INSERT INTO `client_strings` VALUES ('string/en/veteran.stf', '30', 'choose_sub_class', 'Choose resource class from');
INSERT INTO `client_strings` VALUES ('string/en/veteran.stf', '31', 'choose_type', 'Choose resource type from');
INSERT INTO `client_strings` VALUES ('string/en/veteran.stf', '32', 'one_year_inventory_full', 'We tried to give you a reward in celebration of Star Wars Galaxies\' one-year anniversary, but your inventory is full. Please create at least one unit of free space in your inventory, log out for five minutes or more, and log back in again.');
INSERT INTO `client_strings` VALUES ('string/en/veteran.stf', '33', 'one_year_anniversary_from', 'Star Wars Galaxies One Year Anniversary');
INSERT INTO `client_strings` VALUES ('string/en/veteran.stf', '34', 'one_year_inventory_full_subject', 'Your inventory is full');
INSERT INTO `client_strings` VALUES ('string/en/veteran.stf', '35', 'one_year_anniversary_subject', 'We\'re One Year Old!');
INSERT INTO `client_strings` VALUES ('string/en/veteran.stf', '36', 'one_year_anniversary', 'Star Wars Galaxies is one year old! To celebrate, we\'ve given you a special gift you can put in your home or guild hall. Check your inventory.');
INSERT INTO `client_strings` VALUES ('string/en/veteran.stf', '37', 'flash_speeder_granted_sub', 'JtL Pre-order Reward');
INSERT INTO `client_strings` VALUES ('string/en/veteran.stf', '38', 'flash_speeder_granted_body', 'You have received a deed for the Flash Speeder as your reward for pre-ordering Jump to Lightspeed.  If you should ever need a replacement, simply type /flashspeeder to purchase another for 20,000 credits.');
INSERT INTO `client_strings` VALUES ('string/en/veteran.stf', '39', 'flash_speeder_replace_prompt', 'A replacement Flash Speeder is available at the cost of 20000 credits.  Are you sure you want a new speeder?');
INSERT INTO `client_strings` VALUES ('string/en/veteran.stf', '40', 'flash_speeder_not_eligible', 'You are not eligible to receive a Flash Speeder.');
INSERT INTO `client_strings` VALUES ('string/en/veteran.stf', '41', 'flash_speeder_no_inv_space', 'You do not have any inventory space remaining for the Flash Speeder deed.');
INSERT INTO `client_strings` VALUES ('string/en/veteran.stf', '42', 'flash_speeder_granted', 'A Flash Speeder deed has been placed in your inventory.');
INSERT INTO `client_strings` VALUES ('string/en/veteran.stf', '43', 'flash_speeder_grant_failed', 'Flash Speeder deed grant has failed.  This could be the result of being ineligible or not having enough credits to pay for the replacement fee.');
INSERT INTO `client_strings` VALUES ('string/en/veteran.stf', '44', 'flash_speeder_no_credits', 'You do not have enough credits to receive a replacement.');
INSERT INTO `client_strings` VALUES ('string/en/veteran.stf', '45', 'select_reward_confirm', 'The reward rank and milestone number do not match.  You have selected a lower ranking reward for this milestone.  Are you sure you want to select this lower rank reward for this milestone?');
INSERT INTO `client_strings` VALUES ('string/en/veteran.stf', '46', 'rank', 'Rank ');
INSERT INTO `client_strings` VALUES ('string/en/veteran.stf', '47', 'unavailable_claimed', 'unavailable - already claimed');
INSERT INTO `client_strings` VALUES ('string/en/veteran.stf', '48', 'unavailable_not_enough_milestone', 'unavailable - insufficient milestone');
INSERT INTO `client_strings` VALUES ('string/en/veteran.stf', '49', 'unavailable_needs_expansion', 'unavailable - needs expansion');
INSERT INTO `client_strings` VALUES ('string/en/veteran.stf', '50', 'unavailable', 'unavailable');
INSERT INTO `client_strings` VALUES ('string/en/veteran.stf', '51', 'unknown', '<unknown>');
INSERT INTO `client_strings` VALUES ('string/en/veteran.stf', '52', 'bad_reward', 'You have selected an invalid reward.');
INSERT INTO `client_strings` VALUES ('string/en/veteran.stf', '53', 'confirm_choose_type', 'Please confirm that you would like to select this resource as your Veteran Reward Crate of Resources.  Use the CANCEL button to go back and select a different resource.');
INSERT INTO `client_strings` VALUES ('string/en/veteran.stf', '54', 'resource_name', 'Resource Name');
INSERT INTO `client_strings` VALUES ('string/en/veteran.stf', '55', 'harvester_already_selfpowered', 'That harvester is already self powered.  Choose a different harvester.');
INSERT INTO `client_strings` VALUES ('string/en/veteran_new.stf', '1', 'announcement_box_title', 'Reward');
INSERT INTO `client_strings` VALUES ('string/en/veteran_new.stf', '2', 'claim_now', 'Claim reward now');
INSERT INTO `client_strings` VALUES ('string/en/veteran_new.stf', '3', 'launch_browser', 'See more info');
INSERT INTO `client_strings` VALUES ('string/en/veteran_new.stf', '4', 'ask_next_login', 'Remind me at my next login');
INSERT INTO `client_strings` VALUES ('string/en/veteran_new.stf', '5', 'ask_one_day', 'Remind me tomorrow');
INSERT INTO `client_strings` VALUES ('string/en/veteran_new.stf', '6', 'ask_one_week', 'Remind me in a week');
INSERT INTO `client_strings` VALUES ('string/en/veteran_new.stf', '7', 'item_grant_succeeded', 'Your veteran reward has been created and placed in your inventory.\n');
INSERT INTO `client_strings` VALUES ('string/en/veteran_new.stf', '8', 'item_grant_failed', 'The system could not create the item for you.  It is possible this was caused by trying to claim a one-per-account item from multiple characters.  Please try again at your next login, or contact customer support if the problem persists.\n');
INSERT INTO `client_strings` VALUES ('string/en/veteran_new.stf', '9', 'item_grant_box_title', 'Reward');
INSERT INTO `client_strings` VALUES ('string/en/veteran_new.stf', '10', 'no_options', 'Although you have reached this veteran event, there are no items you can choose.  All the possible items are limited to once-per-character or once-per-account, and you have already claimed them all.\n');
INSERT INTO `client_strings` VALUES ('string/en/veteran_new.stf', '11', 'no_options_box_title', 'Reward');
INSERT INTO `client_strings` VALUES ('string/en/veteran_new.stf', '12', 'unique_are_you_sure', 'You can only claim this reward with a single character on your account.  Are you sure?');
INSERT INTO `client_strings` VALUES ('string/en/veteran_new.stf', '13', 'unique_are_you_sure_box_title', 'Reward');
INSERT INTO `client_strings` VALUES ('string/en/veteran_new.stf', '14', 'announcement_90day', 'Congratulations!  You have earned a 90-day Veteran Reward!');
INSERT INTO `client_strings` VALUES ('string/en/veteran_new.stf', '15', 'announcement_180day', 'Congratulations!  You have earned a 180-day Veteran Reward!');
INSERT INTO `client_strings` VALUES ('string/en/veteran_new.stf', '16', 'announcement_360day', 'Congratulations!  You have earned a 360-day Veteran Reward!');
INSERT INTO `client_strings` VALUES ('string/en/veteran_new.stf', '17', 'choice_description', 'You may choose one of the items listed below.  This item will be placed in your inventory.');
INSERT INTO `client_strings` VALUES ('string/en/veteran_new.stf', '18', 'dataterminal1', 'A Holonet Tracking Console (for decorating your house)');
INSERT INTO `client_strings` VALUES ('string/en/veteran_new.stf', '19', 'dataterminal2', 'A Sample Readout Console (for decorating your house)');
INSERT INTO `client_strings` VALUES ('string/en/veteran_new.stf', '20', 'dataterminal3', 'A Holonet Terminal (for decorating your house)');
INSERT INTO `client_strings` VALUES ('string/en/veteran_new.stf', '21', 'dataterminal4', 'A Control Array data terminal (for decorating your house)');
INSERT INTO `client_strings` VALUES ('string/en/veteran_new.stf', '22', 'mini_protocoldroid', 'A miniature replica of a protocol droid.');
INSERT INTO `client_strings` VALUES ('string/en/veteran_new.stf', '23', 'mini_r2', 'A miniature replica of an R2 droid.');
INSERT INTO `client_strings` VALUES ('string/en/veteran_new.stf', '24', 'poweredharvester', '(ONE PER ACCOUNT LIFETIME) A kit to make an existing harvester be self-powered');
INSERT INTO `client_strings` VALUES ('string/en/veteran_new.stf', '25', 'techconsole_a', 'A Holonet Databank (used to decorate your house)');
INSERT INTO `client_strings` VALUES ('string/en/veteran_new.stf', '26', 'techconsole_b', 'A System Readout Terminal (used to decorate your house)');
INSERT INTO `client_strings` VALUES ('string/en/veteran_new.stf', '27', 'techconsole_c', 'A Database Input Terminal (used to decorate your house)');
INSERT INTO `client_strings` VALUES ('string/en/veteran_new.stf', '28', 'techconsole_d', 'A Main Systems Databank (used to decorate your house)');
INSERT INTO `client_strings` VALUES ('string/en/veteran_new.stf', '29', 'mini_darthvader', 'A miniature replica of Lord Vader');
INSERT INTO `client_strings` VALUES ('string/en/veteran_new.stf', '30', 'mini_stormtrooper', 'A miniature replica of an Imperial Stormtrooper');
INSERT INTO `client_strings` VALUES ('string/en/veteran_new.stf', '31', 'mini_xwing', 'A miniature replica of an X-wing fighter');
INSERT INTO `client_strings` VALUES ('string/en/veteran_new.stf', '32', 'mini_tiefighter', 'A miniature replica of a TIE Fighter');
INSERT INTO `client_strings` VALUES ('string/en/veteran_new.stf', '33', 'falconcouch', 'YT1300 Passenger Lounge');
INSERT INTO `client_strings` VALUES ('string/en/veteran_new.stf', '34', 'falconchair', 'YT1300 Modular Seating');
INSERT INTO `client_strings` VALUES ('string/en/veteran_new.stf', '35', 'resourcecrate', '(ONE PER ACCOUNT LIFETIME) A crate of 30000 units of any existing resource (your choice)');
INSERT INTO `client_strings` VALUES ('string/en/veteran_new.stf', '36', 'error_kit_already_used', 'This Anti Decay Kit has already been used and can not be used again.');
INSERT INTO `client_strings` VALUES ('string/en/veteran_new.stf', '37', 'error_item_not_in_player_inventory', 'You can only use the Anti Decay Kit on an item that is in your inventory.');
INSERT INTO `client_strings` VALUES ('string/en/veteran_new.stf', '38', 'error_kit_not_in_player_inventory', 'This Anti Decay Kit can only be used when it is in your inventory.');
INSERT INTO `client_strings` VALUES ('string/en/veteran_new.stf', '39', 'error_kit_already_has_item', 'This Anti Decay Kit already has an item inside.   Please use the Anti Decay Kit or retrieve the item from the Anti Decay Kit by using the radial menu options on the Anti Decay Kit.');
INSERT INTO `client_strings` VALUES ('string/en/veteran_new.stf', '40', 'error_item_not_valid_for_anti_decay', 'This item is not valid to be used by the Anti Decay Kit.  Valid items are items that can be insured and weapons.');
INSERT INTO `client_strings` VALUES ('string/en/veteran_new.stf', '41', 'error_kit_has_too_many_items', 'This Anti Decay Kit can only function with one item inside.  There are currently more than one item inside.  Please remove the items from the Anti Decay Kit first by selecting the \"Retrieve Item\" menu option before continuing to use this Anti Decay Kit.');
INSERT INTO `client_strings` VALUES ('string/en/veteran_new.stf', '42', 'error_item_is_already_anti_decay', 'The item you attempted to place in the Anti Decay Kit already has Anti Decay applied to it.  Please use another item.');
INSERT INTO `client_strings` VALUES ('string/en/veteran_new.stf', '43', 'successfully_used_anti_decay_kit', 'You have successfully used the Anti Decay Kit.  The item you used this Anti Decay Kit on will no longer require insurance nor will decay from use.');
INSERT INTO `client_strings` VALUES ('string/en/veteran_new.stf', '44', 'failed_item_cannot_be_placed_in_inventory', 'The Anti Decay Kit failed to place an item back into your inventory.  Please make sure that your inventory has room for this item and try again.');
INSERT INTO `client_strings` VALUES ('string/en/veteran_new.stf', '45', 'failed_item_not_made_anti_decay', 'The Anti Decay Kit failed to apply Anti Decay to this item.');
INSERT INTO `client_strings` VALUES ('string/en/veteran_new.stf', '46', 'mini_jabba', 'A miniature replica of Jabba the Hutt.');
INSERT INTO `client_strings` VALUES ('string/en/veteran_new.stf', '47', 'antidecay', '(ONE PER ACCOUNT LIFETIME) An Anti Decay Kit to make one item not decay from use or death.');
INSERT INTO `client_strings` VALUES ('string/en/veteran_new.stf', '48', 'antidecay_examine_title', '***Special Note*** ');
INSERT INTO `client_strings` VALUES ('string/en/veteran_new.stf', '49', 'selfpowered_harvester_examine', '***Special Note*** This harvester requires no power to function.');
INSERT INTO `client_strings` VALUES ('string/en/veteran_new.stf', '50', 'remind_description_title', 'Reward');
INSERT INTO `client_strings` VALUES ('string/en/veteran_new.stf', '51', 'remind_one_week_description', 'You will be reminded the next time you log in after a week has passed.');
INSERT INTO `client_strings` VALUES ('string/en/veteran_new.stf', '52', 'remind_one_day_description', 'You will be reminded the next time you log in after 24 hours have passed.');
INSERT INTO `client_strings` VALUES ('string/en/veteran_new.stf', '53', 'remind_next_login_description', 'You will be reminded the next time you log in.');
INSERT INTO `client_strings` VALUES ('string/en/veteran_new.stf', '54', 'item_and_event_unique_are_you_sure', 'The item you are selecting can only be selected as a reward item once for the the lifetime of your account.  Additionally, once you select a reward with this character, you can not select a reward for this time period with another character on your account until you qualify for a new reward at a later time period.  Are you sure you wish to continue selecting this item with this character?');
INSERT INTO `client_strings` VALUES ('string/en/veteran_new.stf', '55', 'item_unique_are_you_sure', 'The item you are selecting can only be selected as a reward item once for the the lifetime of your account.  Are you sure you wish to continue selecting this item?');
INSERT INTO `client_strings` VALUES ('string/en/veteran_new.stf', '56', 'event_unique_are_you_sure', 'Once you select a reward with this character, you can not select a reward for this time period with another character on your account until you qualify for a new reward at a later time period.  Are you sure you wish to continue selecting this item with this character?');
INSERT INTO `client_strings` VALUES ('string/en/veteran_new.stf', '57', 'antidecay_examine_text', 'This item will not decay from use or death.');
INSERT INTO `client_strings` VALUES ('string/en/veteran_new.stf', '58', 'harvester_examine_text', 'This harvester does not require power to operate.');
INSERT INTO `client_strings` VALUES ('string/en/veteran_new.stf', '59', 'harvester_examine_title', '***Special Note***');
INSERT INTO `client_strings` VALUES ('string/en/veteran_new.stf', '60', 'inventory_full', 'The item can not be deleted because it has Anti Decay applied to it but you do not have room in your inventory to retrieve the Anti Decay Kit that will be created after destroying this item.');
INSERT INTO `client_strings` VALUES ('string/en/veteran_new.stf', '61', 'failed_kit_create', 'This item has Anti Decay applied to it but there was a failure to recreate the Anti Decay Kit. ');
INSERT INTO `client_strings` VALUES ('string/en/veteran_new.stf', '62', 'kit_created', 'This item had Anti Decay applied to it.  A new Anti Decay Kit has been placed in your inventory.');
INSERT INTO `client_strings` VALUES ('string/en/veteran_new.stf', '63', 'announcement_180day_jtl', 'Congratulations!  You have earned the 180-day Jump to Lightspeed Veteran Reward, the Sorosuub Luxury Yacht!  You can claim this reward for every character on your account.');
INSERT INTO `client_strings` VALUES ('string/en/veteran_new.stf', '64', 'sorosuub', 'A Sorosuub luxury yacht');
INSERT INTO `client_strings` VALUES ('string/en/veteran_new.stf', '65', 'multiple_events_help_text', '(You have triggered more than one reward.  After you claim a reward for this event, you will be offered another.)');
INSERT INTO `client_strings` VALUES ('string/en/visitor_convo.stf', '1', 'visitor_1', 'About time you showed up.  My bodyguard was killed by those sandpeople, then I had to dodge that imperial patrol.');
INSERT INTO `client_strings` VALUES ('string/en/visitor_convo.stf', '2', 'visitor_2', 'Sounds like you\'re having a rough day.');
INSERT INTO `client_strings` VALUES ('string/en/visitor_convo.stf', '3', 'visitor_3', 'I suppose you want my help now?');
INSERT INTO `client_strings` VALUES ('string/en/visitor_convo.stf', '4', 'visitor_4', 'Yes.  Get me to the palace, and make sure nothing happens to me.');
INSERT INTO `client_strings` VALUES ('string/en/visitor_convo.stf', '5', 'visitor_5', 'Ok, just follow me.');
INSERT INTO `client_strings` VALUES ('string/en/visitor_convo.stf', '6', 'visitor_6', 'How bout you make it worth my while?');
INSERT INTO `client_strings` VALUES ('string/en/visitor_convo.stf', '7', 'visitor_7', 'What?!?  Is this a shakedown?  Do you know what Jabba will do when I tell him about this?');
INSERT INTO `client_strings` VALUES ('string/en/visitor_convo.stf', '8', 'visitor_8', 'Thank you.');
INSERT INTO `client_strings` VALUES ('string/en/visitor_convo.stf', '9', 'visitor_9', 'Sorry, I\'ll escort you to the palace.');
INSERT INTO `client_strings` VALUES ('string/en/visitor_convo.stf', '10', 'visitor_10', 'Well, if you die out here Jabba won\'t hear anything about it, will he?');
INSERT INTO `client_strings` VALUES ('string/en/visitor_convo.stf', '11', 'visitor_11', 'Heh, well, Jabba did always hire the fearless and inventive.  All right.  Here\'s all the cash I have on me.  Now can we go to the palace?');
INSERT INTO `client_strings` VALUES ('string/en/visitor_convo.stf', '12', 'visitor_12', 'No problem.');
INSERT INTO `client_strings` VALUES ('string/en/warren_item_d.stf', '1', 'core_rod_storage', 'A storage device used to contain reactor control rods for long durations. This type of container can hold only one core rod at a time.');
INSERT INTO `client_strings` VALUES ('string/en/warren_item_d.stf', '2', 'warren_encryption_key', 'This datadisk contains an encryption key that was downloaded from the Device Control Room in the Warren. Most likely this is used to decode a useful piece of relevant information.');
INSERT INTO `client_strings` VALUES ('string/en/warren_item_d.stf', '3', 'warren_evidence_01', 'The data on this disk was downloaded from a terminal in the Warren. The information reads as follows:\n\nExperiment # 1046\n\nPurpose: Remove creature brains, modify with cyborg technology, and replace.\n\nApproval Code: NOT APPROVED\n\nProject Status: Complete\n\nNotes: \nThe experiment is complete, and was a moderate success. The brains of the animals that were collected from several different planets were removed and infused with cyborg technology developed here in the compound. Replacing the brains within the creatures was somewhat more difficult than expected, but recovery time fell within the established parameters. Device control is operating at 94% effectiveness, although an increased display of aggression has been observed. Recommend an official plan be drafted for containment of these creatures in the event of failure of the\n\n// Download interrupted.\n');
INSERT INTO `client_strings` VALUES ('string/en/warren_item_d.stf', '4', 'warren_evidence_02', 'The data on this disk was downloaded from a terminal in the Warren. The information reads as follows:\n\nExperiment # 1173\n\nPurpose: Remove creature brains, modify for implantation into a droid.\n\nApproval Code: NOT APPROVED\n\nProject Status: Complete\n\nNotes: \nCreature brains have been removed and modified with cybernetic implants that allow transmission of electro-kinetic activity directy to a series of servo-motors (such as the type that are found in many types of droids). The results of this experiment fall along the projected outcomes; a decrease in the drain from the power supply, and a slight increase in subject response time. It should be noted that the organic brain cannot entirely replace only a portion of the central computer of the droid. A minor amount of damage control and visual feedback is left to the core processing unit. The success rate of this procedure is approximately one out of three.\n\nResults indicate that further experiments using larger droids or possibly vehicles may be\n\n// Download interrupted.');
INSERT INTO `client_strings` VALUES ('string/en/warren_item_d.stf', '5', 'computer_terminal', 'This terminal has been left active. There is a message on it which reads:\n\nMEMORANDUM\n\nTo: Research Staff\n\nFrom: Colonel Bors Teraud\n\nRe: Experimentation on sentient species\n\nOur recent experiments in the creature laboratories have shown excellent promise, and I believe that we can move forward to the next phase of our research. The studies that have been conducted show that the Device that is currently used to harness the cyborg creatures can be modified to also control cyborgs created from sentient beings.\n\nDoctor Knag wish to begin experiments along these lines as quickly as possible, but we will need test subjects. I will inquire amongst my loyal officers to see if there are any volunteers, but until then we may wish to \"acquire\" some subjects from the Worker\'s Quarters on the first floor. I doubt anyone will miss them.\n\nKeep me posted on any developments.\n\n// Message ends.');
INSERT INTO `client_strings` VALUES ('string/en/warren_item_d.stf', '6', 'warren_evidence_03', 'The data on this disk was downloaded from a terminal in the Warren. The information reads as follows:\n\nExperiment # 1230\n\nPurpose: Test cyborg stability and stamina. Determine project feasibility.\n\nApproval Code: NOT APPROVED\n\nProject Status: Complete\n\nNotes: \nTwenty unique sentient cyborg types were tested in physical capability and combat aptitude and compared to the Imperial standard for the Stormtrooper. The cyborgs uniformly displayed skills that were slightly less than average to that of the common Stormtrooper. The complete results can be found in the main compound computer.\n\nHowever, the cost of creating and maintaining a cyborg is far less expensive than the training and salary for a Stormtrooper. It is deemed that the monetary gain outweighs the decrease in combat ability. Additionally, it is possible that new cyborgs can be created from fresh corpses, yielding a potentially endless supply of soldiers.\n\nRecommend that the project move\n\n// Download interrupted.');
INSERT INTO `client_strings` VALUES ('string/en/warren_item_d.stf', '7', 'warren_evidence_04', 'The data on this disk was downloaded from a terminal in the Warren. The information reads as follows:\n\nPersonal Log of Bors Teraud -\n\nEntry 1784:\n\nThe construction of my cyborg army continues, I was beginning to run out of \"volunteers\". I must remember to thank the Emperor for sending me so many soldiers that are willing to be killed by my men, only to be revived into my cyborg army!\n\nBefore long, even the Emperor will recognize the might of my army and bow before me. All will see that the ability of the Force is insignificant next to the power of a centralized brain that can control armies of creatures and droids. And I will be immortal with a mechanical body that never dies...\n\n...unlike that pesky Imperial Inquisitor. I trust that she realized the power of my cyborgs only seconds before the one I sent to her cell struck her down.');
INSERT INTO `client_strings` VALUES ('string/en/warren_item_d.stf', '8', 'farewell_letter', 'A moving farewell letter written by an Imperial worker, now deceased, to his wife.');
INSERT INTO `client_strings` VALUES ('string/en/warren_item_d.stf', '9', 'passkey_s01', 'This passkey opens the door to the main access hall of the Warren.');
INSERT INTO `client_strings` VALUES ('string/en/warren_item_d.stf', '10', 'passkey_s02', 'This passkey is labeled with the words, \"Master Control Room\".');
INSERT INTO `client_strings` VALUES ('string/en/warren_item_d.stf', '11', 'passkey_s03', 'A passkey.');
INSERT INTO `client_strings` VALUES ('string/en/warren_item_d.stf', '12', 'passkey_s04', 'A passkey.');
INSERT INTO `client_strings` VALUES ('string/en/warren_item_d.stf', '13', 'reactor_core', 'This container is designed to provide safe access for inserting core control rods into the reactor core. Two core control rods can be inserted at any one time. Foreign objects should not be placed in the reactor core.');
INSERT INTO `client_strings` VALUES ('string/en/warren_item_d.stf', '14', 'evidence_terminal_s01', 'This terminal has been left active. There is a message on it which reads:\n\nNOTE: Choose \'download\' from menu to download this message to disk --\n\nExperiment # 1046\n\nPurpose: Remove creature brains, modify with cyborg technology, and replace.\n\nApproval Code: NOT APPROVED\n\nProject Status: Complete\n\nNotes: \nThe experiment is complete, and was a moderate success. The brains of the animals that were collected from several different planets were removed and infused with cyborg technology developed here in the compound. Replacing the brains within the creatures was somewhat more difficult than expected, but recovery time fell within the established parameters. Device control is operating at 94% effectiveness, although an increased display of aggression has been observed. Recommend an official plan be drafted for containment of these creatures in the event of failure of the\n\n// Transfer interrupted.');
INSERT INTO `client_strings` VALUES ('string/en/warren_item_d.stf', '15', 'evidence_terminal_s02', 'This terminal has been left active. There is a message on it which reads:\n\nNOTE: Choose \'download\' from menu to download this message to disk --\n\nExperiment # 1173\n\nPurpose: Remove creature brains, modify for implantation into a droid.\n\nApproval Code: NOT APPROVED\n\nProject Status: Complete\n\nNotes: \nCreature brains have been removed and modified with cybernetic implants that allow transmission of electro-kinetic activity directy to a series of servo-motors (such as the type that are found in many types of droids). The results of this experiment fall along the projected outcomes; a decrease in the drain from the power supply, and a slight increase in subject response time. It should be noted that the organic brain cannot entirely replace only a portion of the central computer of the droid. A minor amount of damage control and visual feedback is left to the core processing unit. The success rate of this procedure is approximately one out of three.\n\nResults indicate that further experiments using larger droids or possibly vehicles may be\n\n// Transfer interrupted.');
INSERT INTO `client_strings` VALUES ('string/en/warren_item_d.stf', '16', 'evidence_terminal_s03', 'This terminal has been left active. There is a message on it which reads:\n\nNOTE: Choose \'download\' from menu to download this message to disk --\n\nExperiment # 1230\n\nPurpose: Test cyborg stability and stamina. Determine project feasibility.\n\nApproval Code: NOT APPROVED\n\nProject Status: Complete\n\nNotes: \nTwenty unique sentient cyborg types were tested in physical capability and combat aptitude and compared to the Imperial standard for the Stormtrooper. The cyborgs uniformly displayed skills that were slightly less than average to that of the common Stormtrooper. The complete results can be found in the main compound computer.\n\nHowever, the cost of creating and maintaining a cyborg is far less expensive than the training and salary for a Stormtrooper. It is deemed that the monetary gain outweighs the decrease in combat ability. Additionally, it is possible that new cyborgs can be created from fresh corpses, yielding a potentially endless supply of soldiers.\n\nRecommend that the project move\n\n// Transfer interrupted.');
INSERT INTO `client_strings` VALUES ('string/en/warren_item_d.stf', '17', 'evidence_terminal_s04', 'This terminal has been left active. There is a message on it which reads:\n\nNOTE: Choose \'download\' from menu to download this message to disk --\n\nPersonal Log of Bors Teraud -\n\nEntry 1784:\n\nThe construction of my cyborg army continues, I was beginning to run out of \"volunteers\". I must remember to thank the Emperor for sending me so many soldiers that are willing to be killed by my men, only to be revived into my cyborg army!\n\nBefore long, even the Emperor will recognize the might of my army and bow before me. All will see that the ability of the Force is insignificant next to the power of a centralized brain that can control armies of creatures and droids. And I will be immortal with a mechanical body that never dies...\n\n...unlike that pesky Imperial Inquisitor. I trust that she realized the power of my cyborgs only seconds before the one I sent to her cell struck her down.');
INSERT INTO `client_strings` VALUES ('string/en/warren_item_d.stf', '18', 'experiment_terminal', 'This terminal has been left active. There is a message on it which reads:\n\nExperiment # 1433\n\nPurpose: Vehicular cyborg initial experiments\n\nApproval Code: NOT APPROVED\n\nProject Status: Complete\n\nNotes: \nFirst experiments regarding the implatation of an organic brain into a moderately large vehicle were successful, but the results were not as was hoped. The massive creature\'s brain that was used was resistant to cyborg technology, and even after sufficient modification, it was reluctant to accept commands from the Control Device. However, when it was under our control the brain did seem capable of maneuvering the All-Terrain Scout Transport sufficiently.\n\nThe product of this experiment is deemed NOT SUITABLE for combat purposes, but further study into this branch of the project is recommended.');
INSERT INTO `client_strings` VALUES ('string/en/warren_item_d.stf', '19', 'turret_sequence', 'This data disk has some letters etched on the outside casing.');
INSERT INTO `client_strings` VALUES ('string/en/warren_item_d.stf', '20', 'core_control_rod_s01', 'A reactor core control rod.');
INSERT INTO `client_strings` VALUES ('string/en/warren_item_d.stf', '21', 'core_control_rod_s02', 'A reactor core control rod.');
INSERT INTO `client_strings` VALUES ('string/en/warren_item_d.stf', '22', 'inquisitor_letter', 'This data disk contains a confidential Imperial communication.');
INSERT INTO `client_strings` VALUES ('string/en/warren_item_d.stf', '23', 'warning_sign', 'A large sign stands next to the doorway with an illuminated inscription, reading:\n\n\"WARNING-- due to the potentially dangerous nature of the droids created in this sector, an automatic turret secures the exit to this elevator.  To disable it, speak the passcode to the terminal in Room 201A (adjacent to the Droid Lab).\"');
INSERT INTO `client_strings` VALUES ('string/en/warren_item_n.stf', '1', 'turret_sequence', 'Turret Sequence Disk');
INSERT INTO `client_strings` VALUES ('string/en/warren_item_n.stf', '2', 'passkey_s04', 'Passkey');
INSERT INTO `client_strings` VALUES ('string/en/warren_item_n.stf', '3', 'passkey_s03', 'Passkey');
INSERT INTO `client_strings` VALUES ('string/en/warren_item_n.stf', '4', 'passkey_s02', 'Control Room Passkey');
INSERT INTO `client_strings` VALUES ('string/en/warren_item_n.stf', '5', 'passkey_s01', 'Access Passkey');
INSERT INTO `client_strings` VALUES ('string/en/warren_item_n.stf', '6', 'farewell_letter', 'Farewell Letter Disk');
INSERT INTO `client_strings` VALUES ('string/en/warren_item_n.stf', '7', 'warren_evidence_04', 'Evidence Disk');
INSERT INTO `client_strings` VALUES ('string/en/warren_item_n.stf', '8', 'warren_evidence_03', 'Evidence Disk');
INSERT INTO `client_strings` VALUES ('string/en/warren_item_n.stf', '9', 'warren_evidence_02', 'Evidence Disk');
INSERT INTO `client_strings` VALUES ('string/en/warren_item_n.stf', '10', 'warren_evidence_01', 'Evidence Disk');
INSERT INTO `client_strings` VALUES ('string/en/warren_item_n.stf', '11', 'warren_encryption_key', 'Encryption Key');
INSERT INTO `client_strings` VALUES ('string/en/warren_item_n.stf', '12', 'core_control_rod_s02', 'Core Control Rod');
INSERT INTO `client_strings` VALUES ('string/en/warren_item_n.stf', '13', 'core_control_rod_s01', 'Core Control Rod');
INSERT INTO `client_strings` VALUES ('string/en/warren_item_n.stf', '14', 'terminal', 'Active Data Terminal');
INSERT INTO `client_strings` VALUES ('string/en/warren_item_n.stf', '15', 'reactor_core', 'Reactor Core Access');
INSERT INTO `client_strings` VALUES ('string/en/warren_item_n.stf', '16', 'core_rod_storage', 'Core Rod Storage');
INSERT INTO `client_strings` VALUES ('string/en/warren_item_n.stf', '17', 'inquisitor_letter', 'Imperial Communication Disk');
INSERT INTO `client_strings` VALUES ('string/en/warren_item_n.stf', '18', 'warning_sign', 'Warning Sign');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '1', 'ammo_projectile', 'Basic ammunition used in projectile weapons.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '2', 'ammo_projectile_entanglement', 'Ammunition used in entanglement projectile weapons.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '3', 'axe_heavy_duty', 'A large, sturdy combat axe that lacks the complexity of its modern vibro-weapon counterparts, yet remains a dangerous weapon.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '4', 'axe_vibro', 'A vibro axe is a mundane-looking weapon with an ultrasonic generator in the handle. The ultrasonics reverberate along the blade edge, granting the user greater cutting power with less effort. It is among the deadliest weapons in close combat. ');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '5', 'baton_gaderiffi', 'Commonly known as the gaffi stick, this is the traditional weapon of the Tusken Raiders of Tatooine.  These are crafted from scrap metal scavenged from wrecked or abandoned vehicles and machinery in the Tatooine wastes.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '6', 'baton_stun', 'A short, powered club that can deliver a significant charge when it strikes a target.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '7', 'bestine_quest_sword', 'A prized weapon of ages past. The weapon is well-worn which suggests that it has seen many battles and was created out of tough, black metal. On the handle, a small plate can be seen, inscribed with the name \"Justicator\".');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '8', 'blacksun_razor', 'A razor knuckler favored by Black Sun thugs and assassins.  The polished steel blades and edges gleam when held in the light.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '9', 'blaster_pistol_barel', 'A metal tube that focuses and directs the energy from a blaster towards its intended target.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '10', 'blaster_pistol_barrel', 'A metal tube that focuses and directs the energy from a blaster towards its intended target.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '11', 'blaster_power_handler', 'This helps to regulate a blaster\'s power output.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '12', 'blaster_rifle_barrel', 'An elongated metal tube that focuses and directs the energy from a blaster towards its intended target.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '13', 'capacitor_bank', 'A capacitor bank');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '14', 'carbine_cdef', 'A CDEF carbine.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '15', 'carbine_cdef_corsec', 'A Corsec-issued CDEF carbine.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '16', 'carbine_dh17', 'A DH17 carbine.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '17', 'carbine_dh17_black', 'A polished black DH17 carbine.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '18', 'carbine_dh17_snubnose', 'A snub-nosed DH17 carbine.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '19', 'carbine_dxr6', 'A DXR6 carbine.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '20', 'carbine_e11', 'An E11 carbine.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '21', 'carbine_e11_quest', 'An E11 carbine.\n\nThis particular weapon has been fit with an inducer. The larger, faster energy bolt may cause bleeding in the target when hit.\n\nThis weapon requires the Marksman skill Carbine 2 in order to wield it proficiently.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '22', 'carbine_e11_victor_quest', 'The Lithitanium Carbine seems to have been created with a rare metal. It is light and seems to be well-balanced.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '23', 'carbine_ee3', 'An EE3 carbine.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '24', 'carbine_elite', 'An Elite carbine.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '25', 'carbine_laser', 'A laser carbine is a medium-sized ranged weapon that deals out more damage than most laser pistols.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '26', 'carbine_nym_slugthrower', 'A deadly slug-thrower carbine fashioned by the infamous pirate Nym. Special features include a liquid piston shock-absorbing stock assembly, and advanced heat dissipation system for greater firepower for longer bursts than most carbines.\n\n');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '27', 'cargo_pocket', 'A cargo pocket component');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '28', 'chemical_dispersion_mechanism', 'This mechanism is responsible for a weapon\'s chemical dispersion.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '29', 'current_motivator', 'A current motivator.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '30', 'energization_crystals', 'Energization crystals can greatly increase the effectiveness of laser and blaster weapons.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '31', 'enhanced_destructive_pulse_channeling', 'This device is a component of some explosive devices that serves to improve the initial shock-wave propogation from a high-order detonation.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '32', 'fwg5_pistol', 'A FWG5 pistol.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '33', 'galven_tube_circuits', 'These galven circuits help maintain a laser beam\'s cohesion over incredible distances.  These circuits are placed inside of a galven tube alongside galven coils, in line with the laser barrel.   Regular blasters generally have a more simplified version of this technology, compared to what is required for laser weaponry.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '34', 'grenade_bug_bomb', 'The Zicx-bug bomb is comprised of living \"zicx\" (native to the planet Tatooine) suspended in the mysterious digestive fluid of a Sarlacc. The weapon sports an explosive durasteel shrapnel casing and employs a firing mechanism common to the bulk of Imperial ordnance.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '35', 'grenade_cryoban', 'A vicious weapon that collects and freezes any moisture in an area so swiftly that the resulting violent explosion sends shards of ice flying in all directions. To throw a grenade, click on it in your inventory and choose \"throw\".  Alternately, drag it into your toolbar, then use the corresponding toolbar key during combat to throw it. Grenades usually come in a stack.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '36', 'grenade_fragmentation', 'The C22 Fragmentation Grenade, a more powerful version of the C12, is a variant of hand-thrown explosive charge which fills its immediate area with high-speed projectiles upon detonation. To throw the grenade, click on it in your inventory and choose \"throw\".  Alternately, drag it into your toolbar, then use the corresponding toolbar key during combat to throw it. Grenades usually come in a stack.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '37', 'grenade_fragmentation_light', 'The C12 Fragmentation Grenade is a variant of hand-thrown explosive charge which fills its immediate area with high-speed projectiles upon detonation. To throw the grenade, click on it in your inventory and choose \"throw\".  Alternately, drag it into your toolbar, then use the corresponding toolbar key during combat to throw it. Grenades usually come in a stack.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '38', 'grenade_glop', 'The glop grenade uses its relatively small explosive charge to disperse its deadly chemical payload in the area of the grenade upon detonation, immediately affecting those nearby. To throw a grenade, click on it in your inventory and choose \"throw\".  Alternately, drag it into your toolbar, then use the corresponding toolbar key during combat to throw it. Grenades usually come in a stack.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '39', 'grenade_imperial_detonator', 'From time to time, Imperial Troops require a modest explosive weapon in their typical daily duties.  When such an explosive is required, the standard imperial detonator usually does the trick.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '40', 'grenade_proton', 'Proton grenades create large explosions from a small nuclear device. To throw a grenade, click on it in your inventory and choose \"throw\".  Alternately, drag it into your toolbar, then use the corresponding toolbar key during combat to throw it. Grenades usually come in a stack.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '41', 'grenade_thermal_detonator', 'Thermal detonators explosions unleash superheated plasma singeing anything nearby. To throw a grenade, click on it in your inventory and choose \"throw\".  Alternately, drag it into your toolbar, then use the corresponding toolbar key during combat to throw it. Grenades usually come in a stack.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '42', 'heavy_acid_beam', 'Projects a high-velocity stream of acid.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '43', 'heavy_lightning_beam', 'Produces a massive discharge of focused electrical energy.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '44', 'heavy_particle_beam', 'Emits a deadly particle blast.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '45', 'knife_dagger', 'A modern dagger, as much style as substance.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '46', 'knife_donkuwah', 'A Donkuwah stone knife.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '47', 'knife_janta', 'A Janta knife.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '48', 'knife_stone', 'A stone knife');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '49', 'knife_survival', 'A survival knife is all substance, no style. Small, light, and capable of doing decent damage.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '50', 'knife_vibroblade', 'A standard dagger-looking weapon with an ultrasonic generator in the hilt. The ultrasonics reverberate along the blade edge, granting the user greater cutting power with less effort.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '51', 'knife_vibroblade_quest', 'A standard dagger-looking weapon with an ultrasonic generator in the hilt. The ultrasonics reverberate along the blade edge, granting the user greater cutting power with less effort.\n\nThis particular weapon has a serrated blade that may cause the target to bleed when struck.\n\nThis weapon requires the Brawler skill One-Handed 2 in order to wield it proficiently.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '52', 'lance_controller', 'A lance controller.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '53', 'lance_controllerfp', 'A FP lance controller.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '54', 'lance_controllerfp_nightsister', 'A Nightsister lance.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '55', 'lance_lightsaber', 'A two-bladed lightsaber. An elegant weapon from ancient times. Not as clumsy or random as a blaster.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '56', 'lance_lightsaber_gen1', 'This lightsaber will not power on without one color crystal inside.  This version of saber may hold two crystals.\n\nA Modified Jedi weapon which has a second emitter matrix on the opposite end of the handgrip creating a double-blade. It consists of a cylindrical handle in which sophisticated circuits channel a beam of light through a series of crystals.  These crystals modulate the blade\'s size and amplitude. When activated, internal power cells create photoelectric energy which is focused through the series of crystals.  The energy is formed into a tight, parallel beam of coherent packets. These packets are emitted through a positively-charged continuous energy lens which projects the packets away from the lightsaber. The packets are almost immediately attracted back to the lightsaber by a negatively-charged high-energy flux aperture, and then continually recycled to create the glowing blade. The packets are recycled by a superconductor back into the power cell for re-energizing. The entire process is completely contained. No heat is generated and no energy is lost, since the light in the blade is recaptured. The only energy loss occurs when the blade strikes an object causing crystal decay.\n\n');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '57', 'lance_lightsaber_gen2', 'This lightsaber will not power on without one color crystal inside.  This version of saber may hold three crystals.\n\nA Modified Jedi weapon which has a second emitter matrix on the opposite end of the handgrip creating a double-blade. It consists of a cylindrical handle in which sophisticated circuits channel a beam of light through a series of crystals.  These crystals modulate the blade\'s size and amplitude. When activated, internal power cells create photoelectric energy which is focused through the series of crystals.  The energy is formed into a tight, parallel beam of coherent packets. These packets are emitted through a positively-charged continuous energy lens which projects the packets away from the lightsaber. The packets are almost immediately attracted back to the lightsaber by a negatively-charged high-energy flux aperture, and then continually recycled to create the glowing blade. The packets are recycled by a superconductor back into the power cell for re-energizing. The entire process is completely contained. No heat is generated and no energy is lost, since the light in the blade is recaptured. The only energy loss occurs when the blade strikes an object causing crystal decay.\n');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '58', 'lance_lightsaber_gen3', 'This lightsaber will not power on without one color crystal inside.  This version of saber may hold four crystals.\n\nA Modified Jedi weapon which has a second emitter matrix on the opposite end of the handgrip creating a double-blade. It consists of a cylindrical handle in which sophisticated circuits channel a beam of light through a series of crystals.  These crystals modulate the blade\'s size and amplitude. When activated, internal power cells create photoelectric energy which is focused through the series of crystals.  The energy is formed into a tight, parallel beam of coherent packets. These packets are emitted through a positively-charged continuous energy lens which projects the packets away from the lightsaber. The packets are almost immediately attracted back to the lightsaber by a negatively-charged high-energy flux aperture, and then continually recycled to create the glowing blade. The packets are recycled by a superconductor back into the power cell for re-energizing. The entire process is completely contained. No heat is generated and no energy is lost, since the light in the blade is recaptured. The only energy loss occurs when the blade strikes an object causing crystal decay.\n');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '59', 'lance_lightsaber_gen4', 'This lightsaber will not power on without one color crystal inside.  This version of saber may hold five crystals.\n\nA Modified Jedi weapon which has a second emitter matrix on the opposite end of the handgrip creating a double-blade. It consists of a cylindrical handle in which sophisticated circuits channel a beam of light through a series of crystals.  These crystals modulate the blade\'s size and amplitude. When activated, internal power cells create photoelectric energy which is focused through the series of crystals.  The energy is formed into a tight, parallel beam of coherent packets. These packets are emitted through a positively-charged continuous energy lens which projects the packets away from the lightsaber. The packets are almost immediately attracted back to the lightsaber by a negatively-charged high-energy flux aperture, and then continually recycled to create the glowing blade. The packets are recycled by a superconductor back into the power cell for re-energizing. The entire process is completely contained. No heat is generated and no energy is lost, since the light in the blade is recaptured. The only energy loss occurs when the blade strikes an object causing crystal decay.\n');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '60', 'lance_lightsaber_gen5', 'This lightsaber will not power on without one color crystal inside.  This version of saber may hold five crystals.\n\nA Modified Jedi weapon which has a second emitter matrix on the opposite end of the handgrip creating a double-blade. It consists of a cylindrical handle in which sophisticated circuits channel a beam of light through a series of crystals.  These crystals modulate the blade\'s size and amplitude. When activated, internal power cells create photoelectric energy which is focused through the series of crystals.  The energy is formed into a tight, parallel beam of coherent packets. These packets are emitted through a positively-charged continuous energy lens which projects the packets away from the lightsaber. The packets are almost immediately attracted back to the lightsaber by a negatively-charged high-energy flux aperture, and then continually recycled to create the glowing blade. The packets are recycled by a superconductor back into the power cell for re-energizing. The entire process is completely contained. No heat is generated and no energy is lost, since the light in the blade is recaptured. The only energy loss occurs when the blade strikes an object causing crystal decay.\n');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '61', 'lance_nightsister', 'A Nightsister energy lance.\n\nThis weapon required Advanced Polearm Stances to use.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '62', 'lance_staff_janta', 'A Janta staff.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '63', 'lance_staff_metal', 'A carefully balanced long metal shaft capable of delivering a crushing blow.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '64', 'lance_staff_wood_s1', 'An effective weapon crafted from a solid, yet slightly flexible piece of wood.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '65', 'lance_staff_wood_s2', 'An effective weapon crafted with a solid wooden shaft, flexible metallic core, durable iron surface, and crystalline balance tabs.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '66', 'lance_vibro_axe', 'A vibro axe is a mundane-looking weapon with an ultrasonic generator in the handle. The ultrasonics reverberate along the blade edge, granting the user greater cutting power with less effort. It is among the deadliest weapons in close combat. ');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '67', 'lance_vibrolance', 'A powered weapon that vibrates rapidly upon impact dramatically increasing the amount of damage delivered while minimizing the effort required by the wielder.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '68', 'laser_cannon_cooling_sleeve', 'Laser cannons generate excessive heat while in use, and cooling sleeves are an important part of the sophisticated cooling system that is used to protect sensitive internal components.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '69', 'laser_cannon_cooling_sleve', 'Laser cannons generate excessive heat while in use, and cooling sleeves are an important part of the sophisticated cooling system that is used to protect sensitive internal components.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '70', 'laser_cannon_gun_tube', 'A gun-tube for a laser cannon.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '71', 'laser_magnetic_flashback_supressor', 'A crescent-shaped device at the end of some laser barrels, a flashback suppressor is designed to prevent occasionally unstable laser beams from damaging the barrel.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '72', 'laser_rifle', 'A laser rifle.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '73', 'metal_fasteners', 'Metal fasteners used as snaps and buttons on clothing.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '74', 'mine_a_v', 'An anti-vehicular mine can cause intensely destructive damage to enemy vehicles.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '75', 'mine_drx', 'A DRX mine can inflict heavy damage to unsuspecting enemies.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '76', 'mine_xg', 'A XG mine can inflict heavy damage to unsuspecting enemies.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '77', 'pistol', 'A small gun that can be fired with one hand, good for medium range combat.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '78', 'pistol_cdef', 'A CDEF pistol.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '79', 'pistol_cdef_corsec', 'A Corsec-issued CDEF pistol.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '80', 'pistol_d18', 'A D18 pistol.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '81', 'pistol_de_10', 'The DE-10 pistol is used mainly by Death Watch soldiers.  Its blue bolts are common sights to their enemies, and its hefty weight gives it a feeling of being a formidable weapon in trained hands.\n\nThis weapon requires Master Pistoleer for Certification.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '82', 'pistol_dh17', 'A DH17 pistol.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '83', 'pistol_dl44', 'A DL-44 pistol');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '84', 'pistol_dl44_metal', 'A DL-44 pistol.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '85', 'pistol_dx2', 'A DX2 pistol.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '86', 'pistol_fgws', 'A FWGS pistol.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '87', 'pistol_fwg5', 'A FWG5 pistol.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '88', 'pistol_fwg5_quest', 'A FWG5 pistol.\n\nThis particular weapon has been crafted with ultra-lightweight materials. This provides the user with greater accuracy and mobility.\n\n');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '89', 'pistol_fwgs', 'A FWGS pistol.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '90', 'pistol_geonosian_sonic_blaster', 'Emits a concentration of sonic energy within a plasma containment sphere.  On striking the target, the sphere is broken releasing an omnidirectional blast of sonic energy.\n\nThis weapon requires Pistol Techniques II to use.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '91', 'pistol_launcher', 'Fires a suite of small target-seeking rockets with explosive tips.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '92', 'pistol_power5', 'A Power5 pistol.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '93', 'pistol_republic_blaster', 'The venerable Naboo Security Forces side-arm.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '94', 'pistol_republic_blaster_quest', 'The venerable Naboo Security Forces side-arm.\n\nThis particular weapon has been fit with an inducer. The larger, faster energy bolt may cause bleeding in the target when hit.\n\nThis weapon requires the Marksman skill Pistols 3 in order to wield it proficiently.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '95', 'pistol_scatter', 'Spreads blaster bolts over a wider area than standard pistols.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '96', 'pistol_scout', 'A Scout pistol.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '97', 'pistol_scout_blaster', 'A Scout Blaster pistol.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '98', 'pistol_scout_blaster_corsec', 'A Corsec-issued scout blaster pistol.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '99', 'pistol_srcombat', 'A SR Combat pistol.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '100', 'pistol_striker', 'A Striker pistol.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '101', 'pistol_striker_noob', 'A Striker pistol.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '102', 'pistol_tangle', 'A tangle pistol.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '103', 'projectile_feed_mechanism', 'A projectile weapon\'s feed mechanism.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '104', 'projectile_pistol_barrel', 'Projectile pistol barrels guide and direct projectiles that are propelled via a pistol\'s firing mechanism.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '105', 'projectile_rifle_barrel', 'Projectile rifle barrels guide and direct projectiles that are propelled via a rifle\'s firing mechanism.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '106', 'rifle_acid_beam', 'This weapon discharges lethal pulses of concentrated acid, and powerful streams of corrosive liquid.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '107', 'rifle_beam', 'Emits a searing energy beam.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '108', 'rifle_berserker', 'A slugthrower, mostly used by Imperial Special Tactical Forces.\n\nThis weapon requires Rifle Abilities III to use.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '109', 'rifle_bowcaster', 'The bowcaster is the traditional ranged weapon of Wookiees, and is quite powerful in the right hands.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '110', 'rifle_cdef', 'A CDEF rifle.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '111', 'rifle_dlt20', 'A DLT20 rifle.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '112', 'rifle_e11', 'An E11 rifle.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '113', 'rifle_ewok_crossbow', 'The primitive crossbow weapon is a stunning testament to Ewok ingenuity. Carefully constructed of endorian hardwood, the device features with a heavy resin-coated sinew that can shoot small, stone projectiles at lethal velocities.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '114', 'rifle_flame_thrower', 'Produces a stream of fire by igniting flammable liquid held under high pressure.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '115', 'rifle_jawa_ion', 'A Jawa Ionization rifle, these are generally cheaply made but are often effective at disabling droids and machinery.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '116', 'rifle_laser', 'Laser rifles are designed for good damage at medium to long range.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '117', 'rifle_laser_noob', 'Laser rifles are designed for good damage at medium to long range.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '118', 'rifle_lightning', 'Emits bursts of concentrated electrical energy.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '119', 'rifle_quest_tusken', 'The ancient long-rifle of a dreaded Tusken King who plagued the first settlers in Bestine for many cycles.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '120', 'rifle_sg82', 'A SG82 rifle.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '121', 'rifle_spraystick', 'A Spraystick rifle.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '122', 'rifle_t21', 'A T21 rifle.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '123', 'rifle_tenloss_dxr6_disruptor', 'Utilizing an oversized XCiter, the actuating blaster module can process a much greater volume of blaster gas, resulting in a devistating shot. \n\nThis weapon requires Rifleman Counter-Sniping II to use.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '124', 'rifle_tusken', 'A Tusken Raider\'s rifle.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '125', 'rifle_victor_tusken', 'The Lithitanium Rifle appears to be a direct copy of the Tusken Rifle, though built with an unknown metal component. It is light and well-balanced.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '126', 'rocket_launcher', 'An extremely destructive weapon, a rocket launcher is not meant to be used by those who are unknowledgeable with its intricacies.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '127', 'scope_weapon', 'A weapon\'s scope can increase its accuracy, if used.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '128', 'shield_generator_personal_b', 'A medium-powered personal shield generator unit, used to reduce damage and increase the wearer\'s odds of surviving hostile encounters.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '129', 'shield_generator_personal_c', 'A high-powered personal shield generator unit, used to reduce damage and increase the wearer\'s odds of surviving hostile encounters.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '130', 'shield_generator_personal_imperial_test', 'A high-powered personal shield generator unit, used to reduce damage and increase the wearer\'s odds of surviving hostile encounters. It\'s a test prototype developed by the top scientists of the Empire.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '131', 'stock_unit', 'A stock unit, used in rifle assembly.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '132', 'sword_01', 'Swords can vary greatly in effectiveness depending on the quality of the materials used and the skill of the Weaponsmith.  Some swords can be exceedingly sharp and sturdy, making them dangerous weapons in close combat.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '133', 'sword_02', 'Swords can vary greatly in effectiveness depending on the quality of the materials used and the skill of the Weaponsmith.  Some swords can be exceedingly sharp and sturdy, making them dangerous weapons in close combat.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '134', 'sword_2h_axe', 'Axes can vary greatly in effectiveness depending on the quality of the materials used and the skill of the Weaponsmith.  The heft of the axe, combined with its razor-sharp edge makes it a devastating weapon for medium-ranged combat.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '135', 'sword_2h_axe_quest', 'Axes can vary greatly in effectiveness depending on the quality of the materials used and the skill of the Weaponsmith.  The heft of the axe, combined with its razor-sharp edge makes it a devastating weapon for medium-ranged combat.\n\nThis battleaxe, having previously been used by the Gamorrean guards in Jabba\'s palace, is tarnished and unclean. The tainted edge of this weapon may infect the target with disease when struck.\n\nThis weapon requires the Brawler skill Two-Handed 2 in order to wield it proficiently.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '136', 'sword_2h_blacksun_hack', 'The Executioner\'s Hack is a favorite weapon of Black Sun operatives.  It\'s balanced as a two-handed weapon, and its light weight allows it to be used like a sword.\n\nThis weapon requires Swordsman - Techniques II for certification.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '137', 'sword_2h_cleaver', 'Swords can vary greatly in effectiveness depending on the quality of the materials used and the skill of the Weaponsmith.  Some swords can be exceedingly sharp and sturdy, making them dangerous weapons in close combat.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '138', 'sword_2h_katana', 'Swords can vary greatly in effectiveness depending on the quality of the materials used and the skill of the Weaponsmith.  Some swords can be exceedingly sharp and sturdy, making them dangerous weapons in close combat.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '139', 'sword_2h_katana_quest', 'A long and gently curved sword, exceedingly sharp and sturdy, making it a dangerous weapon in close combat.\n\nThis particular weapon has a narrow groove running down the flat of the blade. Bleeding may occur in the target when struck by this sword.\n\nThis weapon requires the Brawler skill Two-Handed 2 in order to wield it proficiently.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '140', 'sword_2h_maul', 'Although they are invariably destructive in close-quarter combat, Battle Hammers may vary greatly in effectiveness depending on the quality of the materials used and the skill of the Weaponsmith.  Mauls and battle hammers are designed to deliver extra-heavy blows in melee combat, leaving bone-crushing damage in their wake.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '141', 'sword_2h_scythe', 'A scythe blade.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '142', 'sword_blade_rantok', 'This forged steel sword was the traditional weapon of the Unfyr Warriors of the Ka\'hren.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '143', 'sword_blade_ryyk', 'A weapon that finds its origin on Kashyyyk, the ryyk blade is the traditional melee weapon carried by a Wookiee.  Ryyk blades can vary in design based on their specific origin, but generally consist of sharpened blades with hide-wrapped grips.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '144', 'sword_core', 'The core of a sword.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '145', 'sword_curved_nyax', 'A sword used by a follower of Lord Nyax.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '146', 'sword_lightsaber', 'A lightsaber.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '147', 'sword_lightsaber_2h', 'A two-handed lightsaber.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '148', 'sword_lightsaber_gen1', 'This lightsaber will not power on without one color crystal inside.  This version of saber may hold two crystals.\n\nA Traditional Jedi weapon, it consists of a cylindrical handle in which sophisticated circuits channel a beam of light through a series of crystals.  These crystals modulate the blade\'s size and amplitude. When activated, internal power cells create photoelectric energy which is focused through the crystals.  The energy is formed into a tight, parallel beam of coherent packets. These packets are emitted through a positively-charged continuous energy lens which projects the packets away from the lightsaber. The packets are almost immediately attracted back to the lightsaber by a negatively-charged high-energy flux aperture, and then continually recycled to create the glowing blade. The packets are recycled by a superconductor back into the power cell for re-energizing. The entire process is completely contained. No heat is generated and no energy is lost, since the light in the blade is recaptured.  The only energy loss occurs when the blade strikes an object causing crystal decay. \n\n');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '149', 'sword_lightsaber_gen1_2h', 'This lightsaber will not power on without one color crystal inside.  This version of saber may hold two crystals.\n\nA Traditional Jedi weapon, it consists of a cylindrical handle in which sophisticated circuits channel a beam of light through a series of crystals.  These crystals modulate the blade\'s size and amplitude. When activated, internal power cells create photoelectric energy which is focused through the crystals.  The energy is formed into a tight, parallel beam of coherent packets. These packets are emitted through a positively-charged continuous energy lens which projects the packets away from the lightsaber. The packets are almost immediately attracted back to the lightsaber by a negatively-charged high-energy flux aperture, and then continually recycled to create the glowing blade. The packets are recycled by a superconductor back into the power cell for re-energizing. The entire process is completely contained. No heat is generated and no energy is lost, since the light in the blade is recaptured.  The only energy loss occurs when the blade strikes an object causing crystal decay.\n');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '150', 'sword_lightsaber_gen2', 'This lightsaber will not power on without one color crystal inside.  This version of saber may hold three crystals.\n\nA Traditional Jedi weapon, it consists of a cylindrical handle in which sophisticated circuits channel a beam of light through a series of crystals.  These crystals modulate the blade\'s size and amplitude. When activated, internal power cells create photoelectric energy which is focused through the crystals.  The energy is formed into a tight, parallel beam of coherent packets. These packets are emitted through a positively-charged continuous energy lens which projects the packets away from the lightsaber. The packets are almost immediately attracted back to the lightsaber by a negatively-charged high-energy flux aperture, and then continually recycled to create the glowing blade. The packets are recycled by a superconductor back into the power cell for re-energizing. The entire process is completely contained. No heat is generated and no energy is lost, since the light in the blade is recaptured.  The only energy loss occurs when the blade strikes an object causing crystal decay.\n');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '151', 'sword_lightsaber_gen2_2h', 'This lightsaber will not power on without one color crystal inside.  This version of saber may hold three crystals.\n\nA Traditional Jedi weapon, it consists of a cylindrical handle in which sophisticated circuits channel a beam of light through a series of crystals.  These crystals modulate the blade\'s size and amplitude. When activated, internal power cells create photoelectric energy which is focused through the crystals.  The energy is formed into a tight, parallel beam of coherent packets. These packets are emitted through a positively-charged continuous energy lens which projects the packets away from the lightsaber. The packets are almost immediately attracted back to the lightsaber by a negatively-charged high-energy flux aperture, and then continually recycled to create the glowing blade. The packets are recycled by a superconductor back into the power cell for re-energizing. The entire process is completely contained. No heat is generated and no energy is lost, since the light in the blade is recaptured.  The only energy loss occurs when the blade strikes an object causing crystal decay.\n');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '152', 'sword_lightsaber_gen3', 'This lightsaber will not power on without one color crystal inside.  This version of saber may hold four crystals.\n\nA Traditional Jedi weapon, it consists of a cylindrical handle in which sophisticated circuits channel a beam of light through a series of crystals.  These crystals modulate the blade\'s size and amplitude. When activated, internal power cells create photoelectric energy which is focused through the crystals.  The energy is formed into a tight, parallel beam of coherent packets. These packets are emitted through a positively-charged continuous energy lens which projects the packets away from the lightsaber. The packets are almost immediately attracted back to the lightsaber by a negatively-charged high-energy flux aperture, and then continually recycled to create the glowing blade. The packets are recycled by a superconductor back into the power cell for re-energizing. The entire process is completely contained. No heat is generated and no energy is lost, since the light in the blade is recaptured.  The only energy loss occurs when the blade strikes an object causing crystal decay.\n');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '153', 'sword_lightsaber_gen3_2h', 'This lightsaber will not power on without one color crystal inside.  This version of saber may hold four crystals.\n\nA Traditional Jedi weapon, it consists of a cylindrical handle in which sophisticated circuits channel a beam of light through a series of crystals.  These crystals modulate the blade\'s size and amplitude. When activated, internal power cells create photoelectric energy which is focused through the crystals.  The energy is formed into a tight, parallel beam of coherent packets. These packets are emitted through a positively-charged continuous energy lens which projects the packets away from the lightsaber. The packets are almost immediately attracted back to the lightsaber by a negatively-charged high-energy flux aperture, and then continually recycled to create the glowing blade. The packets are recycled by a superconductor back into the power cell for re-energizing. The entire process is completely contained. No heat is generated and no energy is lost, since the light in the blade is recaptured.  The only energy loss occurs when the blade strikes an object causing crystal decay.\n');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '154', 'sword_lightsaber_gen4', 'This lightsaber will not power on without one color crystal inside.  This version of saber may hold five crystals.\n\nA Traditional Jedi weapon, it consists of a cylindrical handle in which sophisticated circuits channel a beam of light through a series of crystals.  These crystals modulate the blade\'s size and amplitude. When activated, internal power cells create photoelectric energy which is focused through the crystals.  The energy is formed into a tight, parallel beam of coherent packets. These packets are emitted through a positively-charged continuous energy lens which projects the packets away from the lightsaber. The packets are almost immediately attracted back to the lightsaber by a negatively-charged high-energy flux aperture, and then continually recycled to create the glowing blade. The packets are recycled by a superconductor back into the power cell for re-energizing. The entire process is completely contained. No heat is generated and no energy is lost, since the light in the blade is recaptured.  The only energy loss occurs when the blade strikes an object causing crystal decay.\n');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '155', 'sword_lightsaber_gen4_2h', 'This lightsaber will not power on without one color crystal inside.  This version of saber may hold five crystals.\n\nA Traditional Jedi weapon, it consists of a cylindrical handle in which sophisticated circuits channel a beam of light through a series of crystals.  These crystals modulate the blade\'s size and amplitude. When activated, internal power cells create photoelectric energy which is focused through the crystals.  The energy is formed into a tight, parallel beam of coherent packets. These packets are emitted through a positively-charged continuous energy lens which projects the packets away from the lightsaber. The packets are almost immediately attracted back to the lightsaber by a negatively-charged high-energy flux aperture, and then continually recycled to create the glowing blade. The packets are recycled by a superconductor back into the power cell for re-energizing. The entire process is completely contained. No heat is generated and no energy is lost, since the light in the blade is recaptured.  The only energy loss occurs when the blade strikes an object causing crystal decay.\n');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '156', 'sword_lightsaber_gen5', 'This lightsaber will not power on without one color crystal inside.  This version of saber may hold five crystals.\n\nA Traditional Jedi weapon, it consists of a cylindrical handle in which sophisticated circuits channel a beam of light through a series of crystals.  These crystals modulate the blade\'s size and amplitude. When activated, internal power cells create photoelectric energy which is focused through the crystals.  The energy is formed into a tight, parallel beam of coherent packets. These packets are emitted through a positively-charged continuous energy lens which projects the packets away from the lightsaber. The packets are almost immediately attracted back to the lightsaber by a negatively-charged high-energy flux aperture, and then continually recycled to create the glowing blade. The packets are recycled by a superconductor back into the power cell for re-energizing. The entire process is completely contained. No heat is generated and no energy is lost, since the light in the blade is recaptured.  The only energy loss occurs when the blade strikes an object causing crystal decay.\n');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '157', 'sword_lightsaber_gen5_2h', 'This lightsaber will not power on without one color crystal inside.  This version of saber may hold five crystals.\n\nA Traditional Jedi weapon, it consists of a cylindrical handle in which sophisticated circuits channel a beam of light through a series of crystals.  These crystals modulate the blade\'s size and amplitude. When activated, internal power cells create photoelectric energy which is focused through the crystals.  The energy is formed into a tight, parallel beam of coherent packets. These packets are emitted through a positively-charged continuous energy lens which projects the packets away from the lightsaber. The packets are almost immediately attracted back to the lightsaber by a negatively-charged high-energy flux aperture, and then continually recycled to create the glowing blade. The packets are recycled by a superconductor back into the power cell for re-energizing. The entire process is completely contained. No heat is generated and no energy is lost, since the light in the blade is recaptured.  The only energy loss occurs when the blade strikes an object causing crystal decay.\n');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '158', 'sword_lightsaber_lance', 'A lightsaber lance.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '159', 'sword_lightsaber_training', 'This lightsaber will not power on without one color crystal inside.  This version of saber may hold one crystal.\n\nA Traditional Jedi weapon, it consists of a cylindrical handle in which sophisticated circuits channel a beam of light through a series of crystals.  These crystals modulate the blade\'s size and amplitude. When activated, internal power cells create photoelectric energy which is focused through the crystals.  The energy is formed into a tight, parallel beam of coherent packets. These packets are emitted through a positively-charged continuous energy lens which projects the packets away from the lightsaber. The packets are almost immediately attracted back to the lightsaber by a negatively-charged high-energy flux aperture, and then continually recycled to create the glowing blade. The packets are recycled by a superconductor back into the power cell for re-energizing. The entire process is completely contained. No heat is generated and no energy is lost, since the light in the blade is recaptured.  The only energy loss occurs when the blade strikes an object causing crystal decay.\n');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '160', 'sword_nyax', 'A sword used by a follower of Nyax.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '161', 'tuning_cell', 'A tuning cell.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '162', 'turbo_laser_gun_tube', 'This is the gun tube for a turbolaser.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '163', 'vibro_unit', 'A vibro-unit can turn a normal blade or axe into a much more destructive weapon by creating thousands of microscopic vibrations a second, greatly improving its cutting ability.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '164', 'vibroknuckler', 'A blunt melee weapon equipped with a vibro-unit.  These are held in one hand, and can badly injure or kill an enemy.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '165', 'victor_baton_gaderiffi', 'Black Metal Gaderiffi Baton seems to have been made with an ink-like metal. It is light, durable and well-balanced.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '166', 'voltage_inducer', 'A voltage inducer.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '167', 'warhead_chemical', 'This warhead is designed to disperse lethal chemicals.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '168', 'warhead_fusing_mechanism', 'This is responsible for the warhead fuse\'s ignition.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '169', 'warhead_heavy', 'This warhead is designed for a massive explosion.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '170', 'warhead_light', 'This warhead is designed for minimum collateral damage.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '171', 'warhead_stabilizer', 'This device is necessary to keep the warhead\'s payload stable during motion and launch.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '172', 'weapon_high_power_module', 'A high-powered weapon module.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '173', 'weapon_mount', 'A mount that allows a weapon to be attached to it.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '174', 'weapon_mount_light', 'A mount for use with lighter weapons.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '175', 'weapon_targeting_computer', 'A weapon\'s targeting computer helps determine the range to the target, and can greatly help a gunner\'s accuracy.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_detail.stf', '176', 'weapon_trajectory_computer', 'A weapon\'s trajectory computer can help determine the trajectory of a target.');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '1', 'axe_heavy_duty', 'Heavy Axe');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '2', 'axe_vibro', 'Vibro Axe');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '3', 'baton_gaderiffi', 'Gaderiffi Baton');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '4', 'baton_stun', 'Stun Baton');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '5', 'bestine_quest_sword', 'Savage Blackmetal Mace');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '6', 'blacksun_razor', 'A Blacksun Razor Knuckler');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '7', 'blaster_cannon', 'Blaster Cannon');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '8', 'carbine_cdef', 'CDEF Carbine');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '9', 'carbine_cdef_corsec', 'Corsec CDEF Carbine');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '10', 'carbine_dh17', 'DH17 Carbine');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '11', 'carbine_dh17_black', 'DH17 Carbine');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '12', 'carbine_dh17_short', 'DH17 Short Carbine');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '13', 'carbine_dh17_snubnose', 'DH17 Short Carbine');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '14', 'carbine_dxr6', 'DXR6 Carbine');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '15', 'carbine_e11', 'E11 Carbine');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '16', 'carbine_e11_quest', 'Enhanced E11 Carbine');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '17', 'carbine_e11_victor_quest', 'Lithitanium Carbine');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '18', 'carbine_ee3', 'EE3 Carbine');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '19', 'carbine_elite', 'Elite Carbine');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '20', 'carbine_laser', 'Laser Carbine');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '21', 'carbine_nym_slugthrower', 'Nym\'s Slug-thrower Carbine');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '22', 'grenade_bug_bomb', 'Zicx-bug Bomb');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '23', 'grenade_cryoban', 'CryoBan Grenade');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '24', 'grenade_fragmentation', 'C22 Fragmentation Grenade');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '25', 'grenade_fragmentation_light', 'C12 Fragmentation Grenade');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '26', 'grenade_glop', 'Glop Grenade');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '27', 'grenade_imperial_detonator', 'Imperial Detonator');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '28', 'grenade_proton', 'Proton Grenade');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '29', 'grenade_thermal_detonator', 'Thermal Detonator');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '30', 'heavy_acid_beam', 'Acid Stream Launcher');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '31', 'heavy_lightning_beam', 'Lightning Beam Cannon');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '32', 'heavy_particle_beam', 'Heavy Particle Beam Cannon');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '33', 'ion_cannon', 'Ion cannon');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '34', 'knife_dagger', 'Dagger');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '35', 'knife_donkuwah', 'Donkuwah Knife');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '36', 'knife_janta', 'Janta Knife');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '37', 'knife_stone', 'Stone Knife');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '38', 'knife_stone_noob', 'Stone Knife');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '39', 'knife_survival', 'Survival Knife');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '40', 'knife_vibroblade', 'Vibroblade');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '41', 'knife_vibroblade_quest', 'Jagged Vibroblade');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '42', 'lance_controllerfp', 'Lance');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '43', 'lance_controllerfp_nightsister', 'Nightsister Lance');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '44', 'lance_lightsaber', 'Double-Bladed Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '45', 'lance_lightsaber_gen1', 'Double-Bladed First Generation Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '46', 'lance_lightsaber_gen2', 'Double-Bladed Second Generation Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '47', 'lance_lightsaber_gen3', 'Double-Bladed Third Generation Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '48', 'lance_lightsaber_gen4', 'Double-Bladed Fourth Generation Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '49', 'lance_lightsaber_gen5', 'Double-Bladed Fifth Generation Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '50', 'lance_nightsister', 'Nightsister Energy Lance');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '51', 'lance_staff_janta', 'Janta Staff');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '52', 'lance_staff_metal', 'Metal Staff');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '53', 'lance_staff_wood_s1', 'Wood Staff');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '54', 'lance_staff_wood_s2', 'Reinforced Combat Staff');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '55', 'lance_vibro_axe', 'Long Vibro Axe');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '56', 'lance_vibrolance', 'Vibro Lance');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '57', 'laser_cannon', 'Laser cannon');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '58', 'mine_a_v', 'Anti-Vehicular Mine');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '59', 'mine_drx', 'DRX Mine');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '60', 'mine_xg', 'XG Mine');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '61', 'pistol_cdef', 'CDEF Pistol');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '62', 'pistol_cdef_corsec', 'Corsec CDEF Pistol');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '63', 'pistol_cdef_noob', 'CDEF Pistol');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '64', 'pistol_d18', 'D18 Pistol');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '65', 'pistol_de_10', 'DE-10 Pistol');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '66', 'pistol_dh17', 'DH17 Pistol');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '67', 'pistol_dl18', 'DL18 Pistol');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '68', 'pistol_dl44', 'DL44 Pistol');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '69', 'pistol_dl44_metal', 'DL44 Metal Pistol');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '70', 'pistol_dx2', 'DX2 Pistol');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '71', 'pistol_fwg5', 'FWG5 Pistol');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '72', 'pistol_fwg5_quest', 'Featherweight FWG5 Pistol');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '73', 'pistol_geonosian_sonic_blaster', 'Geonosian Sonic Blaster');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '74', 'pistol_launcher', 'Launcher Pistol');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '75', 'pistol_power5', 'Power5 Pistol');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '76', 'pistol_republic_blaster', 'Republic Blaster');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '77', 'pistol_republic_blaster_quest', 'Modified Republic Blaster');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '78', 'pistol_scatter', 'Scatter Pistol');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '79', 'pistol_scout_blaster', 'Scout Blaster');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '80', 'pistol_scout_blaster_corsec', 'Corsec Scout Blaster');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '81', 'pistol_srcombat', 'SR Combat Pistol');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '82', 'pistol_striker', 'Striker Pistol');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '83', 'pistol_striker_noob', 'Striker Pistol');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '84', 'pistol_tangle', 'Tangle Pistol');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '85', 'rifle_acid_beam', 'Heavy Acid Rifle');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '86', 'rifle_beam', 'Beam Rifle');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '87', 'rifle_berserker', 'Berserker Rifle');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '88', 'rifle_bowcaster', 'Bowcaster');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '89', 'rifle_cdef', 'CDEF Rifle');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '90', 'rifle_dlt20', 'DLT20 Rifle');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '91', 'rifle_dlt20a', 'DLT20a Rifle');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '92', 'rifle_e11', 'E11 Rifle');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '93', 'rifle_ewok_crossbow', 'An Ewok Crossbow');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '94', 'rifle_flame_thrower', 'Flame Thrower');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '95', 'rifle_jawa_ion', 'Jawa Ion Rifle');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '96', 'rifle_laser', 'Laser Rifle');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '97', 'rifle_laser_noob', 'Laser Rifle');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '98', 'rifle_lightning', 'Light Lightning Cannon');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '99', 'rifle_quest_tusken', 'Tusken King\'s Rifle');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '100', 'rifle_sg82', 'SG82 Rifle');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '101', 'rifle_spraystick', 'Spraystick');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '102', 'rifle_t21', 'T21 Rifle');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '103', 'rifle_tenloss_dxr6_disruptor', 'Tenloss DXR-6 Disruptor Rifle');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '104', 'rifle_tusken', 'Tusken Rifle');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '105', 'rifle_victor_tusken', 'Lithitanium Rifle');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '106', 'rocket_launcher', 'Rocket Launcher');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '107', 'sword_01', 'Sword');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '108', 'sword_01_noob', 'Sword');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '109', 'sword_02', 'Curved Sword');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '110', 'sword_2h_axe', 'Two-handed Axe');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '111', 'sword_2h_axe_quest', 'Gamorrean Battleaxe');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '112', 'sword_2h_blacksun_hack', 'Black Sun Executioner\'s Hack');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '113', 'sword_2h_cleaver', 'Two-handed Cleaver');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '114', 'sword_2h_katana', 'Two-handed Curved Sword');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '115', 'sword_2h_katana_quest', 'Grooved Two-handed Sword');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '116', 'sword_2h_maul', 'Power Hammer');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '117', 'sword_2h_scythe', 'Scythe Blade');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '118', 'sword_blade_rantok', 'Rantok');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '119', 'sword_blade_ryyk', 'Ryyk Blade');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '120', 'sword_curved_nyax', 'Curved Nyax Sword');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '121', 'sword_lightsaber', 'Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '122', 'sword_lightsaber_2h', 'Two-Handed Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '123', 'sword_lightsaber_2h_type1', 'Type 1 Two-Handed Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '124', 'sword_lightsaber_2h_type10', 'Type 10 Two-Handed Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '125', 'sword_lightsaber_2h_type11', 'Type 11 Two-Handed Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '126', 'sword_lightsaber_2h_type12', 'Type 12 Two-Handed Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '127', 'sword_lightsaber_2h_type13', 'Type 13 Two-Handed Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '128', 'sword_lightsaber_2h_type2', 'Type 2 Two-Handed Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '129', 'sword_lightsaber_2h_type3', 'Type 3 Two-Handed Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '130', 'sword_lightsaber_2h_type4', 'Type 4 Two-Handed Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '131', 'sword_lightsaber_2h_type5', 'Type 5 Two-Handed Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '132', 'sword_lightsaber_2h_type6', 'Type 6 Two-Handed Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '133', 'sword_lightsaber_2h_type7', 'Type 7 Two-Handed Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '134', 'sword_lightsaber_2h_type8', 'Type 8 Two-Handed Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '135', 'sword_lightsaber_2h_type9', 'Type 9 Two-Handed Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '136', 'sword_lightsaber_anakin', 'Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '137', 'sword_lightsaber_andael', 'Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '138', 'sword_lightsaber_ben', 'Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '139', 'sword_lightsaber_dugald', 'Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '140', 'sword_lightsaber_gen1', 'First Generation Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '141', 'sword_lightsaber_gen1_2h', 'Two-Handed First Generation Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '142', 'sword_lightsaber_gen2', 'Second Generation Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '143', 'sword_lightsaber_gen2_2h', 'Two-Handed Second Generation Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '144', 'sword_lightsaber_gen3', 'Third Generation Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '145', 'sword_lightsaber_gen3_2h', 'Two-Handed Third Generation Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '146', 'sword_lightsaber_gen4', 'Fourth Generation Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '147', 'sword_lightsaber_gen4_2h', 'Two-Handed Fourth Generation Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '148', 'sword_lightsaber_gen5', 'Fifth Generation Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '149', 'sword_lightsaber_gen5_2h', 'Two-Handed Fifth Generation Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '150', 'sword_lightsaber_lance', 'Double-Bladed Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '151', 'sword_lightsaber_lance_type1', 'Type 1 Double-Bladed Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '152', 'sword_lightsaber_lance_type2', 'Type 2 Double-Bladed Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '153', 'sword_lightsaber_leather', 'Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '154', 'sword_lightsaber_luke', 'Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '155', 'sword_lightsaber_mace', 'Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '156', 'sword_lightsaber_nebu', 'Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '157', 'sword_lightsaber_obi', 'Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '158', 'sword_lightsaber_quigon', 'Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '159', 'sword_lightsaber_sleekblack', 'Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '160', 'sword_lightsaber_sleeksilver', 'Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '161', 'sword_lightsaber_training', 'A Training Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '162', 'sword_lightsaber_type1', 'Type 1 Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '163', 'sword_lightsaber_type10', 'Type 10 Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '164', 'sword_lightsaber_type11', 'Type 11 Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '165', 'sword_lightsaber_type12', 'Type 12 Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '166', 'sword_lightsaber_type13', 'Type 13 Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '167', 'sword_lightsaber_type2', 'Type 2 Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '168', 'sword_lightsaber_type3', 'Type 3 Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '169', 'sword_lightsaber_type4', 'Type 4 Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '170', 'sword_lightsaber_type5', 'Type 5 Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '171', 'sword_lightsaber_type6', 'Type 6 Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '172', 'sword_lightsaber_type7', 'Type 7 Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '173', 'sword_lightsaber_type8', 'Type 8 Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '174', 'sword_lightsaber_type9', 'Type 9 Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '175', 'sword_lightsaber_vader', 'Lightsaber');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '176', 'sword_nyax', 'Nyax Sword');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '177', 'turbo_laser', 'Turbo-laser');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '178', 'turret_wpn', 'Turret Weapon');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '179', 'vibroknuckler', 'Vibro Knuckler');
INSERT INTO `client_strings` VALUES ('string/en/weapon_name.stf', '180', 'victor_baton_gaderiffi', 'Black Metal Gaderiffi Baton');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '1', 'aakuan_ring', 'An Aakuan ring.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '2', 'aakuan_robe', 'An Aakuan robe.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '3', 'anakin_helmet', 'A worn helmet with a pair of dirty goggles attached to it. The tag inside it says \"Anakin Skywalker\"');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '4', 'apron_s01', 'A heavy duty leather apron that is worn around the neck and tied behind the back to protect the wearer\'s clothes from getting dirty or torn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '5', 'apron_s01_quest', 'A heavy duty leather apron that is worn around the neck and tied behind the back to protect the wearer\'s clothes from getting dirty or torn.\n\nThis particular apron is outfitted with specific tools and parts to assist with crafting.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '6', 'armor_bone_s01_bicep_l', 'A piece of bone armor. Bone armor comes from an armorsmith who has collected enough resources from the carcases of animals to create armor. Depending on the type of animal bone used, and the skill of the armorsmith, armor can have significantly different characteristics. Be sure to examine the armor closely to determine its protection abilities. To wear this armor, double click on it from your inventory. Most armor has encumberance and will decrease some of your maximum statistics when worn. Superior armor provides greater protection while minimizing this disadvantage.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '7', 'armor_bone_s01_bicep_r', 'A piece of bone armor. Bone armor comes from an armorsmith who has collected enough resources from the carcases of animals to create armor. Depending on the type of animal bone used, and the skill of the armorsmith, armor can have significantly different characteristics. Be sure to examine the armor closely to determine its protection abilities. To wear this armor, double click on it from your inventory. Most armor has encumberance and will decrease some of your maximum statistics when worn. Superior armor provides greater protection while minimizing this disadvantage.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '8', 'armor_bone_s01_boots', 'A piece of bone armor. Bone armor comes from an armorsmith who has collected enough resources from the carcases of animals to create armor. Depending on the type of animal bone used, and the skill of the armorsmith, armor can have significantly different characteristics. Be sure to examine the armor closely to determine its protection abilities. To wear this armor, double click on it from your inventory. Most armor has encumberance and will decrease some of your maximum statistics when worn. Superior armor provides greater protection while minimizing this disadvantage.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '9', 'armor_bone_s01_bracer_l', 'A piece of bone armor. Bone armor comes from an armorsmith who has collected enough resources from the carcases of animals to create armor. Depending on the type of animal bone used, and the skill of the armorsmith, armor can have significantly different characteristics. Be sure to examine the armor closely to determine its protection abilities. To wear this armor, double click on it from your inventory. Most armor has encumberance and will decrease some of your maximum statistics when worn. Superior armor provides greater protection while minimizing this disadvantage.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '10', 'armor_bone_s01_bracer_r', 'A piece of bone armor. Bone armor comes from an armorsmith who has collected enough resources from the carcases of animals to create armor. Depending on the type of animal bone used, and the skill of the armorsmith, armor can have significantly different characteristics. Be sure to examine the armor closely to determine its protection abilities. To wear this armor, double click on it from your inventory. Most armor has encumberance and will decrease some of your maximum statistics when worn. Superior armor provides greater protection while minimizing this disadvantage.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '11', 'armor_bone_s01_chest_plate', 'A piece of bone armor. Bone armor comes from an armorsmith who has collected enough resources from the carcases of animals to create armor. Depending on the type of animal bone used, and the skill of the armorsmith, armor can have significantly different characteristics. Be sure to examine the armor closely to determine its protection abilities. To wear this armor, double click on it from your inventory. Most armor has encumberance and will decrease some of your maximum statistics when worn. Superior armor provides greater protection while minimizing this disadvantage.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '12', 'armor_bone_s01_gloves', 'A piece of bone armor. Bone armor comes from an armorsmith who has collected enough resources from the carcases of animals to create armor. Depending on the type of animal bone used, and the skill of the armorsmith, armor can have significantly different characteristics. Be sure to examine the armor closely to determine its protection abilities. To wear this armor, double click on it from your inventory. Most armor has encumberance and will decrease some of your maximum statistics when worn. Superior armor provides greater protection while minimizing this disadvantage.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '13', 'armor_bone_s01_helmet', 'A piece of bone armor. Bone armor comes from an armorsmith who has collected enough resources from the carcases of animals to create armor. Depending on the type of animal bone used, and the skill of the armorsmith, armor can have significantly different characteristics. Be sure to examine the armor closely to determine its protection abilities. To wear this armor, double click on it from your inventory. Most armor has encumberance and will decrease some of your maximum statistics when worn. Superior armor provides greater protection while minimizing this disadvantage.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '14', 'armor_bone_s01_leggings', 'A piece of bone armor. Bone armor comes from an armorsmith who has collected enough resources from the carcases of animals to create armor. Depending on the type of animal bone used, and the skill of the armorsmith, armor can have significantly different characteristics. Be sure to examine the armor closely to determine its protection abilities. To wear this armor, double click on it from your inventory. Most armor has encumberance and will decrease some of your maximum statistics when worn. Superior armor provides greater protection while minimizing this disadvantage.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '15', 'armor_bounty_hunter_belt', 'A belt for Bounty Hunter Armor.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '16', 'armor_bounty_hunter_bicep_l', 'This armor covers the upper arms of the wearer, protecting them from harm.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '17', 'armor_bounty_hunter_bicep_r', 'This armor covers the upper arms of the wearer, protecting them from harm.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '18', 'armor_bounty_hunter_boots', 'Armored boots, favored by bounty hunters.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '19', 'armor_bounty_hunter_bracer_l', 'This armor covers the forearms of the wearer, protecting them from harm.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '20', 'armor_bounty_hunter_bracer_r', 'This armor covers the forearms of the wearer, protecting them from harm.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '21', 'armor_bounty_hunter_chest_plate', 'This covers the upper torso of the wearer, protecting it from harm.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '22', 'armor_bounty_hunter_gloves', 'These gloves cover the hands and protect them from harm.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '23', 'armor_bounty_hunter_helmet', 'This helmet protects the head from harm, as well as giving standard targetting information to the wearer.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '24', 'armor_bounty_hunter_leggings', 'This armor covers the legs of the wearer, protecting them from harm.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '25', 'armor_chitin_s01_bicep_l', 'Chitin armor is made from the exoskeleton of large insect creatures. Depending on the skill of the craftsman and the type of insect carcas used, armor can vary greatly in its protective traits. To wear this armor, double click on it from your inventory. Most armor has encumberance and will decrease some of your maximum statistics when worn. Superior armor provides greater protection while minimizing this disadvantage.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '26', 'armor_chitin_s01_bicep_r', 'Chitin armor is made from the exoskeleton of large insect creatures. Depending on the skill of the craftsman and the type of insect carcas used, armor can vary greatly in its protective traits. To wear this armor, double click on it from your inventory. Most armor has encumberance and will decrease some of your maximum statistics when worn. Superior armor provides greater protection while minimizing this disadvantage.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '27', 'armor_chitin_s01_boots', 'Chitin armor is made from the exoskeleton of large insect creatures. Depending on the skill of the craftsman and the type of insect carcas used, armor can vary greatly in its protective traits. To wear this armor, double click on it from your inventory. Most armor has encumberance and will decrease some of your maximum statistics when worn. Superior armor provides greater protection while minimizing this disadvantage.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '28', 'armor_chitin_s01_bracer_l', 'Chitin armor is made from the exoskeleton of large insect creatures. Depending on the skill of the craftsman and the type of insect carcas used, armor can vary greatly in its protective traits. To wear this armor, double click on it from your inventory. Most armor has encumberance and will decrease some of your maximum statistics when worn. Superior armor provides greater protection while minimizing this disadvantage.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '29', 'armor_chitin_s01_bracer_r', 'Chitin armor is made from the exoskeleton of large insect creatures. Depending on the skill of the craftsman and the type of insect carcas used, armor can vary greatly in its protective traits. To wear this armor, double click on it from your inventory. Most armor has encumberance and will decrease some of your maximum statistics when worn. Superior armor provides greater protection while minimizing this disadvantage.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '30', 'armor_chitin_s01_chest_plate', 'Chitin armor is made from the exoskeleton of large insect creatures. Depending on the skill of the craftsman and the type of insect carcas used, armor can vary greatly in its protective traits. To wear this armor, double click on it from your inventory. Most armor has encumberance and will decrease some of your maximum statistics when worn. Superior armor provides greater protection while minimizing this disadvantage.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '31', 'armor_chitin_s01_gloves', 'Chitin armor is made from the exoskeleton of large insect creatures. Depending on the skill of the craftsman and the type of insect carcas used, armor can vary greatly in its protective traits. To wear this armor, double click on it from your inventory. Most armor has encumberance and will decrease some of your maximum statistics when worn. Superior armor provides greater protection while minimizing this disadvantage.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '32', 'armor_chitin_s01_helmet', 'Chitin armor is made from the exoskeleton of large insect creatures. Depending on the skill of the craftsman and the type of insect carcas used, armor can vary greatly in its protective traits. To wear this armor, double click on it from your inventory. Most armor has encumberance and will decrease some of your maximum statistics when worn. Superior armor provides greater protection while minimizing this disadvantage.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '33', 'armor_chitin_s01_leggings', 'Chitin armor is made from the exoskeleton of large insect creatures. Depending on the skill of the craftsman and the type of insect carcas used, armor can vary greatly in its protective traits. To wear this armor, double click on it from your inventory. Most armor has encumberance and will decrease some of your maximum statistics when worn. Superior armor provides greater protection while minimizing this disadvantage.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '34', 'armor_composite_bicep_l', 'Composite armor is a heavy armor type, made of modern, synthetic materials. Armor can vary greatly in its effectiveness depending on the type of materials used and the quality of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '35', 'armor_composite_bicep_r', 'Composite armor is a heavy armor type, made of modern, synthetic materials. Armor can vary greatly in its effectiveness depending on the type of materials used and the quality of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '36', 'armor_composite_boots', 'Composite armor is a heavy armor type, made of modern, synthetic materials. Armor can vary greatly in its effectiveness depending on the type of materials used and the quality of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '37', 'armor_composite_bracer_l', 'Composite armor is a heavy armor type, made of modern, synthetic materials. Armor can vary greatly in its effectiveness depending on the type of materials used and the quality of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '38', 'armor_composite_bracer_r', 'Composite armor is a heavy armor type, made of modern, synthetic materials. Armor can vary greatly in its effectiveness depending on the type of materials used and the quality of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '39', 'armor_composite_chest_plate', 'Composite armor is a heavy armor type, made of modern, synthetic materials. Armor can vary greatly in its effectiveness depending on the type of materials used and the quality of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '40', 'armor_composite_gloves', 'Composite armor is a heavy armor type, made of modern, synthetic materials. Armor can vary greatly in its effectiveness depending on the type of materials used and the quality of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '41', 'armor_composite_helmet', 'Composite armor is a heavy armor type, made of modern, synthetic materials. Armor can vary greatly in its effectiveness depending on the type of materials used and the quality of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '42', 'armor_composite_leggings', 'Composite armor is a heavy armor type, made of modern, synthetic materials. Armor can vary greatly in its effectiveness depending on the type of materials used and the quality of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '43', 'armor_composite_pants', 'Composite armor is a heavy armor type, made of modern, synthetic materials. Armor can vary greatly in its effectiveness depending on the type of materials used and the quality of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '44', 'armor_kashyyykian_black_mtn_bracer_l', 'This armor, wearable only by Wookiees, has moderate protective value. Wookiees of the planet Kashyyyk often used this type of armor while tracking small or medium-sized prey.\n\nArmor can vary greatly in its effectiveness depending on the type of materials used and the quality of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '45', 'armor_kashyyykian_black_mtn_bracer_r', 'This armor, wearable only by Wookiees, has moderate protective value. Wookiees of the planet Kashyyyk often used this type of armor while tracking small or medium-sized prey.\n\nArmor can vary greatly in its effectiveness depending on the type of materials used and the quality of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '46', 'armor_kashyyykian_black_mtn_chest_plate', 'This armor, wearable only by Wookiees, has moderate protective value. Wookiees of the planet Kashyyyk often used this type of armor while tracking small or medium-sized prey.\n\nArmor can vary greatly in its effectiveness depending on the type of materials used and the quality of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '47', 'armor_kashyyykian_black_mtn_leggings', 'This armor, wearable only by Wookiees, has moderate protective value. Wookiees of the planet Kashyyyk often used this type of armor while tracking small or medium-sized prey.\n\nArmor can vary greatly in its effectiveness depending on the type of materials used and the quality of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '48', 'armor_kashyyykian_ceremonial_bracer_l', 'This armor, wearable only by Wookiees, has some protective value, but is mainly used in formal ceremonies on the planet Kashyyyk.\n\nArmor can vary greatly in its effectiveness depending on the type of materials used and the quality of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '49', 'armor_kashyyykian_ceremonial_bracer_r', 'This armor, wearable only by Wookiees, has some protective value, but is mainly used in formal ceremonies on the planet Kashyyyk.\n\nArmor can vary greatly in its effectiveness depending on the type of materials used and the quality of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '50', 'armor_kashyyykian_ceremonial_chest_plate', 'This armor, wearable only by Wookiees, has some protective value, but is mainly used in formal ceremonies on the planet Kashyyyk.\n\nArmor can vary greatly in its effectiveness depending on the type of materials used and the quality of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '51', 'armor_kashyyykian_ceremonial_leggings', 'This armor, wearable only by Wookiees, has some protective value, but is mainly used in formal ceremonies on the planet Kashyyyk.\n\nArmor can vary greatly in its effectiveness depending on the type of materials used and the quality of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '52', 'armor_kashyyykian_hunting_bracer_l', 'This heavy armor, wearable only by Wookiees, provides a high level of protection. Wookies often prefer this type of armor when hunting any of the many large predators found on their home planet, Kashyyyk.\n\nArmor can vary greatly in its effectiveness depending on the type of materials used and the quality of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '53', 'armor_kashyyykian_hunting_bracer_r', 'This heavy armor, wearable only by Wookiees, provides a high level of protection. Wookies often prefer this type of armor when hunting any of the many large predators found on their home planet, Kashyyyk.\n\nArmor can vary greatly in its effectiveness depending on the type of materials used and the quality of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '54', 'armor_kashyyykian_hunting_chest_plate', 'This heavy armor, wearable only by Wookiees, provides a high level of protection. Wookies often prefer this type of armor when hunting any of the many large predators found on their home planet, Kashyyyk.\n\nArmor can vary greatly in its effectiveness depending on the type of materials used and the quality of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '55', 'armor_kashyyykian_hunting_leggings', 'This heavy armor, wearable only by Wookiees, provides a high level of protection. Wookies often prefer this type of armor when hunting any of the many large predators found on their home planet, Kashyyyk.\n\nArmor can vary greatly in its effectiveness depending on the type of materials used and the quality of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '56', 'armor_mandalorian_belt', 'This armor type was first created by the Mandalorian mercenaries, and is frequently used when both protection and agility are needed. Armor can vary greatly in its effectiveness depending on the type of materials used and the quality of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.\n\nMandalorian Armor can only be worn by Master Bounty Hunters, Master Squad Leaders, Master Rangers, and Master Commandos.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '57', 'armor_mandalorian_bicep_l', 'This armor type was first created by the Mandalorian mercenaries, and is frequently used when both protection and agility are needed. Armor can vary greatly in its effectiveness depending on the type of materials used and the quality of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.\n\nMandalorian Armor can only be worn by Master Bounty Hunters, Master Squad Leaders, Master Rangers, and Master Commandos.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '58', 'armor_mandalorian_bicep_r', 'This armor type was first created by the Mandalorian mercenaries, and is frequently used when both protection and agility are needed. Armor can vary greatly in its effectiveness depending on the type of materials used and the quality of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.\n\nMandalorian Armor can only be worn by Master Bounty Hunters, Master Squad Leaders, Master Rangers, and Master Commandos.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '59', 'armor_mandalorian_bracer_l', 'This armor type was first created by the Mandalorian mercenaries, and is frequently used when both protection and agility are needed. Armor can vary greatly in its effectiveness depending on the type of materials used and the quality of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.\n\nMandalorian Armor can only be worn by Master Bounty Hunters, Master Squad Leaders, Master Rangers, and Master Commandos.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '60', 'armor_mandalorian_bracer_r', 'This armor type was first created by the Mandalorian mercenaries, and is frequently used when both protection and agility are needed. Armor can vary greatly in its effectiveness depending on the type of materials used and the quality of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.\n\nMandalorian Armor can only be worn by Master Bounty Hunters, Master Squad Leaders, Master Rangers, and Master Commandos.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '61', 'armor_mandalorian_chest_plate', 'This armor type was first created by the Mandalorian mercenaries, and is frequently used when both protection and agility are needed. Armor can vary greatly in its effectiveness depending on the type of materials used and the quality of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.\n\nMandalorian Armor can only be worn by Master Bounty Hunters, Master Squad Leaders, Master Rangers, and Master Commandos.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '62', 'armor_mandalorian_gloves', 'This armor type was first created by the Mandalorian mercenaries, and is frequently used when both protection and agility are needed. Armor can vary greatly in its effectiveness depending on the type of materials used and the quality of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.\n\nMandalorian Armor can only be worn by Master Bounty Hunters, Master Squad Leaders, Master Rangers, and Master Commandos.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '63', 'armor_mandalorian_helmet', 'This armor type was first created by the Mandalorian mercenaries, and is frequently used when both protection and agility are needed. Armor can vary greatly in its effectiveness depending on the type of materials used and the quality of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.\n\nMandalorian Armor can only be worn by Master Bounty Hunters, Master Squad Leaders, Master Rangers, and Master Commandos.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '64', 'armor_mandalorian_leggings', 'This armor type was first created by the Mandalorian mercenaries, and is frequently used when both protection and agility are needed. Armor can vary greatly in its effectiveness depending on the type of materials used and the quality of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.\n\nMandalorian Armor can only be worn by Master Bounty Hunters, Master Squad Leaders, Master Rangers, and Master Commandos.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '65', 'armor_mandalorian_shoes', 'This armor type was first created by the Mandalorian mercenaries, and is frequently used when both protection and agility are needed. Armor can vary greatly in its effectiveness depending on the type of materials used and the quality of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.\n\nMandalorian Armor can only be worn by Master Bounty Hunters, Master Squad Leaders, Master Rangers, and Master Commandos.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '66', 'armor_marauder_s01_belt', 'This \"armor\" (if you can call it that) is frequently assembled from any available materials that are moldable and may have some protective trait. This armor can vary greatly in effectiveness depending on the type of materials used and the quality of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '67', 'armor_marauder_s01_bicep_l', 'This \"armor\" (if you can call it that) is frequently assembled from any available materials that are moldable and may have some protective trait. This armor can vary greatly in effectiveness depending on the type of materials used and the quality of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '68', 'armor_marauder_s01_bicep_r', 'This \"armor\" (if you can call it that) is frequently assembled from any available materials that are moldable and may have some protective trait. This armor can vary greatly in effectiveness depending on the type of materials used and the quality of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '69', 'armor_marauder_s01_bracer_l', 'This \"armor\" (if you can call it that) is frequently assembled from any available materials that are moldable and may have some protective trait. This armor can vary greatly in effectiveness depending on the type of materials used and the quality of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '70', 'armor_marauder_s01_bracer_r', 'This \"armor\" (if you can call it that) is frequently assembled from any available materials that are moldable and may have some protective trait. This armor can vary greatly in effectiveness depending on the type of materials used and the quality of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '71', 'armor_marauder_s01_chest_plate', 'This \"armor\" (if you can call it that) is frequently assembled from any available materials that are moldable and may have some protective trait. This armor can vary greatly in effectiveness depending on the type of materials used and the quality of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '72', 'armor_marauder_s01_gloves', 'This \"armor\" (if you can call it that) is frequently assembled from any available materials that are moldable and may have some protective trait. This armor can vary greatly in effectiveness depending on the type of materials used and the quality of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '73', 'armor_marauder_s01_helmet', 'This \"armor\" (if you can call it that) is frequently assembled from any available materials that are moldable and may have some protective trait. This armor can vary greatly in effectiveness depending on the type of materials used and the quality of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '74', 'armor_marauder_s01_leggings', 'This \"armor\" (if you can call it that) is frequently assembled from any available materials that are moldable and may have some protective trait. This armor can vary greatly in effectiveness depending on the type of materials used and the quality of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '75', 'armor_marauder_s02_bicep_l', 'This \"armor\" (if you can call it that) is frequently assembled from any available materials that are moldable and may have some protective trait. This armor can vary greatly in effectiveness depending on the type of materials used and the quality of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '76', 'armor_marauder_s02_bicep_r', 'This \"armor\" (if you can call it that) is frequently assembled from any available materials that are moldable and may have some protective trait. This armor can vary greatly in effectiveness depending on the type of materials used and the quality of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '77', 'armor_marauder_s02_boots', 'This \"armor\" (if you can call it that) is frequently assembled from any available materials that are moldable and may have some protective trait. This armor can vary greatly in effectiveness depending on the type of materials used and the quality of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '78', 'armor_marauder_s02_bracer_l', 'This \"armor\" (if you can call it that) is frequently assembled from any available materials that are moldable and may have some protective trait. This armor can vary greatly in effectiveness depending on the type of materials used and the quality of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '79', 'armor_marauder_s02_bracer_r', 'This \"armor\" (if you can call it that) is frequently assembled from any available materials that are moldable and may have some protective trait. This armor can vary greatly in effectiveness depending on the type of materials used and the quality of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '80', 'armor_marauder_s02_chest_plate', 'This \"armor\" (if you can call it that) is frequently assembled from any available materials that are moldable and may have some protective trait. This armor can vary greatly in effectiveness depending on the type of materials used and the quality of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '81', 'armor_marauder_s02_leggings', 'This \"armor\" (if you can call it that) is frequently assembled from any available materials that are moldable and may have some protective trait. This armor can vary greatly in effectiveness depending on the type of materials used and the quality of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '82', 'armor_marauder_s03_bandolier_double', 'This \"armor\" (if you can call it that) is frequently assembled from any available materials that are moldable and may have some protective trait. This armor can vary greatly in effectiveness depending on the type of materials used and the quality of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '83', 'armor_marauder_s03_bicep_l', 'This \"armor\" (if you can call it that) is frequently assembled from any available materials that are moldable and may have some protective trait. This armor can vary greatly in effectiveness depending on the type of materials used and the quality of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '84', 'armor_marauder_s03_bicep_r', 'This \"armor\" (if you can call it that) is frequently assembled from any available materials that are moldable and may have some protective trait. This armor can vary greatly in effectiveness depending on the type of materials used and the quality of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '85', 'armor_marauder_s03_boots', 'This \"armor\" (if you can call it that) is frequently assembled from any available materials that are moldable and may have some protective trait. This armor can vary greatly in effectiveness depending on the type of materials used and the quality of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '86', 'armor_marauder_s03_bracer_l', 'This \"armor\" (if you can call it that) is frequently assembled from any available materials that are moldable and may have some protective trait. This armor can vary greatly in effectiveness depending on the type of materials used and the quality of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '87', 'armor_marauder_s03_bracer_r', 'This \"armor\" (if you can call it that) is frequently assembled from any available materials that are moldable and may have some protective trait. This armor can vary greatly in effectiveness depending on the type of materials used and the quality of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '88', 'armor_marauder_s03_cape', 'This \"armor\" (if you can call it that) is frequently assembled from any available materials that are moldable and may have some protective trait. This armor can vary greatly in effectiveness depending on the type of materials used and the quality of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '89', 'armor_marauder_s03_chest_plate', 'This \"armor\" (if you can call it that) is frequently assembled from any available materials that are moldable and may have some protective trait. This armor can vary greatly in effectiveness depending on the type of materials used and the quality of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '90', 'armor_marauder_s03_gloves', 'This \"armor\" (if you can call it that) is frequently assembled from any available materials that are moldable and may have some protective trait. This armor can vary greatly in effectiveness depending on the type of materials used and the quality of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '91', 'armor_marauder_s03_helmet', 'This \"armor\" (if you can call it that) is frequently assembled from any available materials that are moldable and may have some protective trait. This armor can vary greatly in effectiveness depending on the type of materials used and the quality of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '92', 'armor_marauder_s03_leggings', 'This \"armor\" (if you can call it that) is frequently assembled from any available materials that are moldable and may have some protective trait. This armor can vary greatly in effectiveness depending on the type of materials used and the quality of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '93', 'armor_marine_backpack', 'Marine armor is built for light, modern combat and is often worn by a soldier needing to retain their agility. Armor can vary greatly in effectiveness depending on the type of materials used and the quality of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '94', 'armor_marine_bicep_l', 'Marine armor is built for light, modern combat and is often worn by a soldier needing to retain their agility. Armor can vary greatly in effectiveness depending on the type of materials used and the quality of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '95', 'armor_marine_bicep_r', 'Marine armor is built for light, modern combat and is often worn by a soldier needing to retain their agility. Armor can vary greatly in effectiveness depending on the type of materials used and the quality of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '96', 'armor_marine_boots', 'Marine armor is built for light, modern combat and is often worn by a soldier needing to retain their agility. Armor can vary greatly in effectiveness depending on the type of materials used and the quality of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '97', 'armor_marine_chest_plate', 'Marine armor is built for light, modern combat and is often worn by a soldier needing to retain their agility. Armor can vary greatly in effectiveness depending on the type of materials used and the quality of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '98', 'armor_marine_helmet', 'Marine armor is built for light, modern combat and is often worn by a soldier needing to retain their agility. Armor can vary greatly in effectiveness depending on the type of materials used and the quality of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '99', 'armor_marine_leggings', 'Marine armor is built for light, modern combat and is often worn by a soldier needing to retain their agility. Armor can vary greatly in effectiveness depending on the type of materials used and the quality of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '100', 'armor_padded_s01_belt', 'Padded armor is a modern, strong armor used by many different types of people. It can vary greatly in effectiveness and encumberance based on the type of materials used and the skill of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '101', 'armor_padded_s01_bicep_l', 'Padded armor is a modern, strong armor used by many different types of people. It can vary greatly in effectiveness and encumberance based on the type of materials used and the skill of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '102', 'armor_padded_s01_bicep_r', 'Padded armor is a modern, strong armor used by many different types of people. It can vary greatly in effectiveness and encumberance based on the type of materials used and the skill of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '103', 'armor_padded_s01_boots', 'Padded armor is a modern, strong armor used by many different types of people. It can vary greatly in effectiveness and encumberance based on the type of materials used and the skill of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '104', 'armor_padded_s01_bracer_l', 'Padded armor is a modern, strong armor used by many different types of people. It can vary greatly in effectiveness and encumberance based on the type of materials used and the skill of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '105', 'armor_padded_s01_bracer_r', 'Padded armor is a modern, strong armor used by many different types of people. It can vary greatly in effectiveness and encumberance based on the type of materials used and the skill of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '106', 'armor_padded_s01_chest_plate', 'Padded armor is a modern, strong armor used by many different types of people. It can vary greatly in effectiveness and encumberance based on the type of materials used and the skill of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '107', 'armor_padded_s01_gloves', 'Padded armor is a modern, strong armor used by many different types of people. It can vary greatly in effectiveness and encumberance based on the type of materials used and the skill of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '108', 'armor_padded_s01_helmet', 'Padded armor is a modern, strong armor used by many different types of people. It can vary greatly in effectiveness and encumberance based on the type of materials used and the skill of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '109', 'armor_padded_s01_leggings', 'Padded armor is a modern, strong armor used by many different types of people. It can vary greatly in effectiveness and encumberance based on the type of materials used and the skill of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '110', 'armor_ris', 'R.I.S Armor is a heavy, but flexible armor which can be crafted by only the most proficient armorsmiths.  Armor can vary greatly in its effectiveness depending on the type of materials used and the quality of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '111', 'armor_segment_composite', 'This is a segment of composite armor.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '112', 'armor_stormtrooper_bicep_l', 'Standard issue stormtrooper armor left bicep.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '113', 'armor_stormtrooper_bicep_r', 'Standard issue stormtrooper armor right bicep.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '114', 'armor_stormtrooper_boots', 'Standard issue stormtrooper armor boots.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '115', 'armor_stormtrooper_bracer_l', 'Standard issue stormtrooper armor left bracer.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '116', 'armor_stormtrooper_bracer_r', 'Standard issue stormtrooper armor right bracer.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '117', 'armor_stormtrooper_chest_plate', 'Standard issue stormtrooper armor chest plate.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '118', 'armor_stormtrooper_chest_plate_quest', 'Special issue reinforced stormtrooper armor chest plate.\n\nThis armor has been reinforced to more adequately withstand heavy blows in melee combat.\n\nYou must be a declared member of the Imperial faction to equip this item.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '119', 'armor_stormtrooper_gloves', 'Standard issue stormtrooper armor gloves.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '120', 'armor_stormtrooper_helmet', 'Standard issue stormtrooper armor helmet.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '121', 'armor_stormtrooper_helmet_quest', 'Special issue reinforced stormtrooper armor helmet.\n\nThis armor has been reinforced to more adequately withstand heavy blows in melee combat.\n\nYou must be a declared member of the Imperial faction to equip this item.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '122', 'armor_stormtrooper_leggings', 'Standard issue stormtrooper armor leggings.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '123', 'armor_stormtrooper_leggings_quest', 'Special issue reinforced stormtrooper armor leggings.\n\nThis armor has been reinforced to more adequately withstand heavy blows in melee combat.\n\nYou must be a declared member of the Imperial faction to equip this item.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '124', 'armor_stormtrooper_utility_belt', 'Standard issue stormtrooper armor utility belt.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '125', 'armor_tantel_skreej_boots', 'This is an ancient type of armor rarely used any more. Armor can vary greatly in effectiveness depending on the type of materials used and the skill of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '126', 'armor_tantel_skreej_boots_quest', 'This is an ancient type of armor rarely used any more. Armor can vary greatly in effectiveness depending on the type of materials used and the skill of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.\n\nThe padding sewn into the interior of this armor provides slightly higher defense in melee combat. Furthermore, the materials used in the crafting of this armor may help resist certain types of venom and poison.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '127', 'armor_tantel_skreej_chest_plate', 'This is an ancient type of armor rarely used any more. Armor can vary greatly in effectiveness depending on the type of materials used and the skill of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '128', 'armor_tantel_skreej_chest_plate_quest', 'This is an ancient type of armor rarely used any more. Armor can vary greatly in effectiveness depending on the type of materials used and the skill of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.\n\nThe padding sewn into the interior of this armor provides slightly higher defense in melee combat. Furthermore, the materials used in the crafting of this armor may help resist certain types of venom and poison.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '129', 'armor_tantel_skreej_helmet', 'This is an ancient type of armor rarely used any more. Armor can vary greatly in effectiveness depending on the type of materials used and the skill of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '130', 'armor_tantel_skreej_helmet_quest', 'This is an ancient type of armor rarely used any more. Armor can vary greatly in effectiveness depending on the type of materials used and the skill of the armorsmith. To wear this armor, double click on it from your inventory. This type of armor has encumberance and will decrease some of your maximum statistics when worn.\n\nThe padding sewn into the interior of this armor provides slightly higher defense in melee combat. Furthermore, the materials used in the crafting of this armor may help resist certain types of venom and poison.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '131', 'armor_ubese_bandolier', 'Ubese bandolier');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '132', 'armor_ubese_boots', 'Ubese boots');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '133', 'armor_ubese_bracer_l', 'Ubese left bracer');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '134', 'armor_ubese_bracer_r', 'Ubese right bracer');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '135', 'armor_ubese_cape', 'Ubese cape');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '136', 'armor_ubese_chest_plate', 'Ubese chest plate');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '137', 'armor_ubese_gloves', 'Ubese gloves');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '138', 'armor_ubese_helmet', 'Ubese helmet');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '139', 'armor_ubese_helmet_quest', 'Insulated Ubese helmet.\n\nInsulation, combined with the total coverage of this type of armor, may provide the wearer with a small amount of protection against fire.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '140', 'armor_ubese_jacket', 'Ubese jacket');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '141', 'armor_ubese_jacket_quest', 'Insulated Ubese jacket.\n\nInsulation, combined with the total coverage of this type of armor, may provide the wearer with a small amount of protection against fire.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '142', 'armor_ubese_pants', 'Ubese pants');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '143', 'armor_ubese_pants_quest', 'Insulated Ubese pants.\n\nInsulation, combined with the total coverage of this type of armor, may provide the wearer with a small amount of protection against fire.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '144', 'armor_ubese_shirt', 'Ubese shirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '145', 'armor_weequay_chest_plate', 'Armored chest plate');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '146', 'armor_zam_wesell_belt', 'A standard mercenary armor type.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '147', 'armor_zam_wesell_boots', 'A standard mercenary armor type.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '148', 'armor_zam_wesell_chest_plate', 'A standard mercenary armor type.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '149', 'armor_zam_wesell_chest_plate_quest', 'A standard mercenary armor type.\n\nThis armor has been reinforced with woven steel to aid in the defense against ranged energy and projectile attacks.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '150', 'armor_zam_wesell_gloves', 'A standard mercenary armor type.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '151', 'armor_zam_wesell_helmet', 'A standard mercenary armor type.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '152', 'armor_zam_wesell_helmet_quest', 'A standard mercenary armor type.\n\nThis armor has been reinforced with woven steel to aid in the defense against ranged energy and projectile attacks.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '153', 'armor_zam_wesell_pants', 'A standard mercenary armor type.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '154', 'armor_zam_wesell_pants_quest', 'A standard mercenary armor type.\n\nThis armor has been reinforced with woven steel to aid in the defense against ranged energy and projectile attacks.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '155', 'backpack_s01', 'A backpack, a clothing item wearable by most humanoid species. It can be used as a container to hold other items. To wear a backpack, click on it in your inventory and choose \"wear\" from the radial menu. To open it, click on it in your inventory and choose \"open\".');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '156', 'backpack_s02', 'A backpack, a clothing item wearable by most humanoid species. It can be used as a container to hold other items. To wear a backpack, click on it in your inventory and choose \"wear\" from the radial menu. To open it, click on it in your inventory and choose \"open\".');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '157', 'backpack_s03', 'A backpack, a clothing item wearable by most humanoid species. It can be used as a container to hold other items. To wear a backpack, click on it in your inventory and choose \"wear\" from the radial menu. To open it, click on it in your inventory and choose \"open\".');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '158', 'backpack_s03_quest', 'A backpack, a clothing item wearable by most humanoid species. It can be used as a container to hold other items. To wear a backpack, click on it in your inventory and choose \"wear\" from the radial menu. To open it, click on it in your inventory and choose \"open\".\n\nThis particular backpack is fitted with lightweight plating to provide extra protection, as well as a jointed harness, offering the wearer increased mobility over normal backpacks');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '159', 'backpack_s04', 'A backpack, a clothing item wearable by most humanoid species. It can be used as a container to hold other items. To wear a backpack, click on it in your inventory and choose \"wear\" from the radial menu. To open it, click on it in your inventory and choose \"open\".');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '160', 'backpack_s05', 'A backpack, a clothing item wearable by most humanoid species. It can be used as a container to hold other items. To wear a backpack, click on it in your inventory and choose \"wear\" from the radial menu. To open it, click on it in your inventory and choose \"open\".');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '161', 'backpack_s06', 'A backpack, a clothing item wearable by most humanoid species. It can be used as a container to hold other items. To wear a backpack, click on it in your inventory and choose \"wear\" from the radial menu. To open it, click on it in your inventory and choose \"open\".');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '162', 'backpack_s06_quest', 'A backpack, a clothing item wearable by most humanoid species. It can be used as a container to hold other items. To wear a backpack, click on it in your inventory and choose \"wear\" from the radial menu. To open it, click on it in your inventory and choose \"open\".\n\nThis particular backpack is plated to provide extra protection, as well as specially configured to assist in wilderness survival.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '163', 'bandolier_s01', 'A bandolier, a wearable item that is draped like a sash.  To wear this bandolier, double click their icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '164', 'bandolier_s02', 'A bandolier, a wearable item that is draped like a sash.  To wear this bandolier, double click their icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '165', 'bandolier_s02_quest', 'A bandolier, a wearable item that is draped like a sash.  To wear this bandolier, double click their icon in your inventory view.\n\nThis particular bandolier is equipped with tools and parts used in droid crafting.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '166', 'bandolier_s03', 'A bandolier, a wearable item that is draped like a sash.  To wear this bandolier, double click their icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '167', 'bandolier_s04', 'A bandolier, a wearable item that is draped like a sash.  To wear this bandolier, double click their icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '168', 'bandolier_s04_quest', 'A bandolier, a wearable item that is draped like a sash.  To wear this bandolier, double click their icon in your inventory view.\n\nThis particular bandolier is equipped with tools and parts used in weaponsmithing.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '169', 'bandolier_s05', 'A bandolier, a wearable item that is draped like a sash.  To wear this bandolier, double click their icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '170', 'bandolier_s06', 'A bandolier, a wearable item that is draped like a sash.  To wear this bandolier, double click their icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '171', 'bandolier_s07', 'A bandolier, a wearable item that is draped like a sash.  To wear this bandolier, double click their icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '172', 'bandolier_s08', 'A bandolier, a wearable item that is draped like a sash.  To wear this bandolier, double click their icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '173', 'bandolier_tusken_raider_s01', 'A tusken raider bandolier, worn usually by (you guessed it) tusken raiders. Tusken raiders will often carry ammunition and money in these clothing items.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '174', 'bandolier_tusken_raider_s02', 'A tusken raider bandolier, worn usually by (you guessed it) tusken raiders. Tusken raiders will often carry ammunition and money in these clothing items.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '175', 'bandolier_tusken_raider_s03', 'A tusken raider bandolier, worn usually by (you guessed it) tusken raiders. Tusken raiders will often carry ammunition and money in these clothing items.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '176', 'belt_aakuan', 'An Aakuan belt.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '177', 'belt_s01', 'A belt - worn about the waist. To wear this belt, double click on its icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '178', 'belt_s02', 'A belt - worn about the waist. To wear this belt, double click on its icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '179', 'belt_s03', 'A belt - worn about the waist. To wear this belt, double click on its icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '180', 'belt_s04', 'A belt - worn about the waist. To wear this belt, double click on its icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '181', 'belt_s05', 'A belt - worn about the waist. To wear this belt, double click on its icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '182', 'belt_s05_quest', 'A belt - worn about the waist. To wear this belt, double click on its icon in your inventory view.\n\nThis belt has been outfitted with precision tools and quick release metal fasteners to aid in the creation and use of thrown explosives.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '183', 'belt_s07', 'A belt - worn about the waist. To wear this belt, double click on its icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '184', 'belt_s09', 'A belt - worn about the waist. To wear this belt, double click on its icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '185', 'belt_s11', 'A belt - worn about the waist. To wear this belt, double click on its icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '186', 'belt_s12', 'A belt - worn about the waist. To wear this belt, double click on its icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '187', 'belt_s13', 'A belt - worn about the waist. To wear this belt, double click on its icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '188', 'belt_s14', 'A belt - worn about the waist. To wear this belt, double click on its icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '189', 'belt_s15', 'A belt - worn about the waist. To wear this belt, double click on its icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '190', 'belt_s16', 'A belt - worn about the waist. To wear this belt, double click on its icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '191', 'belt_s17', 'A belt - worn about the waist. To wear this belt, double click on its icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '192', 'belt_s18', 'A belt - worn about the waist. To wear this belt, double click on its icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '193', 'belt_s19', 'A belt - worn about the waist. To wear this belt, double click on its icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '194', 'belt_s20', 'A belt - worn about the waist. To wear this belt, double click on its icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '195', 'bestine_quest_badge', 'Badge - \"Loyalist\"\n\nA necklace given as a gift from Victor Visalis in appreciation of the loyal efforts of the wearer.\n');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '196', 'bikini_s01', 'A bikini, a (small) clothing item wearable by most humanoid species, yet attractive generally only to those of the same species. To wear this bikini, go to your inventory view and double click the icon for the bikini.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '197', 'bikini_s02', 'A bikini, a (small) clothing item wearable by most humanoid species, yet attractive generally only to those of the same species. To wear this bikini, go to your inventory view and double click the icon for the bikini.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '198', 'bikini_s03', 'A bikini, a (small) clothing item wearable by most humanoid species, yet attractive generally only to those of the same species. To wear this bikini, go to your inventory view and double click the icon for the bikini.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '199', 'bikini_s04', 'A bikini, a (small) clothing item wearable by most humanoid species, yet attractive generally only to those of the same species. To wear this bikini, go to your inventory view and double click the icon for the bikini.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '200', 'blaster_power_handler_enhancement_krayt', 'This Krayt Dragon tissue could be used to augment a blaster power handler.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '201', 'bodysuit_atat', 'The uniform typically worn by AT-AT pilots. ');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '202', 'bodysuit_atat_quest', 'The uniform typically worn by AT-AT pilots.\n\nThis special suit is lightweight and particularly useful for downed pilots that need to escape hostile environments.\n\nYou must be a declared member of the Imperial faction to equip this item.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '203', 'bodysuit_bwing', 'The uniform typically worn by B-Wing pilots.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '204', 'bodysuit_bwing_quest', 'The uniform typically worn by B-Wing pilots.\n\nThis special suit is lightweight and particularly useful for downed pilots that need to escape hostile environments.\n\nYou must be a declared member of the Rebel faction to equip this item.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '205', 'bodysuit_s01', 'A bodysuit - covers the entire body, though some items can be worn over top of this piece of clothing. To wear this bodysuit, double click its icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '206', 'bodysuit_s06', 'A bodysuit - covers the entire body, though some items can be worn over top of this piece of clothing. To wear this bodysuit, double click its icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '207', 'bodysuit_s08', 'A bodysuit - covers the entire body, though some items can be worn over top of this piece of clothing. To wear this bodysuit, double click its icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '208', 'bodysuit_s12', 'A bodysuit - covers the entire body, though some items can be worn over top of this piece of clothing. To wear this bodysuit, double click its icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '209', 'bodysuit_s13', 'A bodysuit - covers the entire body, though some items can be worn over top of this piece of clothing. To wear this bodysuit, double click its icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '210', 'bodysuit_s14', 'A bodysuit - covers the entire body, though some items can be worn over top of this piece of clothing. To wear this bodysuit, double click its icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '211', 'bodysuit_s15', 'A bodysuit - covers the entire body, though some items can be worn over top of this piece of clothing. To wear this bodysuit, double click its icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '212', 'bodysuit_s16', 'A bodysuit - covers the entire body, though some items can be worn over top of this piece of clothing. To wear this bodysuit, double click its icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '213', 'bodysuit_sarlacc_coverall', 'This industrial coverall has been specially treated to protect the wearer against disease infection vectors.  The treatment will wear off after 24 hours rendering the coverall useless.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '214', 'bodysuit_tie_fighter', 'The uniform typically worn by Tie Fighter pilots.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '215', 'bodysuit_tie_fighter_quest', 'The uniform typically worn by Tie Fighter pilots.\n\nThis special suit is lightweight and particularly useful for downed pilots that need to escape hostile environments.\n\nYou must be a declared member of the Imperial faction to equip this item.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '216', 'boots_corsec', 'Corsec-issued boots.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '217', 'boots_s02', 'Boots, a clothing item wearable by most humanoid species. To wear these boots, double click their icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '218', 'boots_s03', 'Boots, a clothing item wearable by most humanoid species. To wear these boots, double click their icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '219', 'boots_s04', 'Boots, a clothing item wearable by most humanoid species. To wear these boots, double click their icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '220', 'boots_s05', 'Boots, a clothing item wearable by most humanoid species. To wear these boots, double click their icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '221', 'boots_s06', 'Boots, a clothing item wearable by most humanoid species. To wear these boots, double click their icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '222', 'boots_s08', 'Boots, a clothing item wearable by most humanoid species. To wear these boots, double click their icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '223', 'boots_s10', 'Boots, a clothing item wearable by most humanoid species. To wear these boots, double click their icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '224', 'boots_s11', 'Boots, a clothing item wearable by most humanoid species. To wear these boots, double click their icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '225', 'boots_s12', 'Boots, a clothing item wearable by most humanoid species. To wear these boots, double click their icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '226', 'boots_s13', 'Boots, a clothing item wearable by most humanoid species. To wear these boots, double click their icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '227', 'boots_s14', 'Boots, a clothing item wearable by most humanoid species. To wear these boots, double click their icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '228', 'boots_s15', 'Boots, a clothing item wearable by most humanoid species. To wear these boots, double click their icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '229', 'boots_s16', 'Boots, a clothing item wearable by most humanoid species. To wear these boots, double click their icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '230', 'boots_s17', 'Boots, a clothing item wearable by most humanoid species. To wear these boots, double click their icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '231', 'boots_s18', 'Boots, a clothing item wearable by most humanoid species. To wear these boots, double click their icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '232', 'boots_s19', 'Boots, a clothing item wearable by most humanoid species. To wear these boots, double click their icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '233', 'boots_s20', 'Boots, a clothing item wearable by most humanoid species. To wear these boots, double click their icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '234', 'boots_s21', 'Boots, a clothing item wearable by most humanoid species. To wear these boots, double click their icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '235', 'boots_s23', 'Boots, a clothing item wearable by most humanoid species. To wear these boots, double click their icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '236', 'boots_s24', 'Boots, a clothing item wearable by most humanoid species. To wear these boots, double click their icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '237', 'boots_s25', 'Boots, a clothing item wearable by most humanoid species. To wear these boots, double click their icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '238', 'boots_s26', 'Boots, a clothing item wearable by most humanoid species. To wear these boots, double click their icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '239', 'boots_s28', 'Boots, a clothing item wearable by most humanoid species. To wear these boots, double click their icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '240', 'boots_s29', 'Boots, a clothing item wearable by most humanoid species. To wear these boots, double click their icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '241', 'boots_s30', 'Boots, a clothing item wearable by most humanoid species. To wear these boots, double click their icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '242', 'boots_s31', 'Boots, a clothing item wearable by most humanoid species. To wear these boots, double click their icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '243', 'boots_s32', 'Boots, a clothing item wearable by most humanoid species. To wear these boots, double click their icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '244', 'boots_s34', 'Boots, a clothing item wearable by most humanoid species. To wear these boots, double click their icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '245', 'boots_s35', 'Boots, a clothing item wearable by most humanoid species. To wear these boots, double click their icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '246', 'boots_tusken_raider', 'Tusken Raider Boots');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '247', 'bracelet_s01', 'A bracelet, worn about the wrist. To wear this bracelet, go to your inventory screen and double click on its icon.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '248', 'bracelet_s02', 'A bracelet, worn about the wrist. To wear this bracelet, go to your inventory screen and double click on its icon.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '249', 'bracelet_s03', 'A bracelet, worn about the wrist. To wear this bracelet, go to your inventory screen and double click on its icon.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '250', 'bracelet_s04', 'A bracelet, worn about the wrist. To wear this bracelet, go to your inventory screen and double click on its icon.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '251', 'bracelet_s05', 'A bracelet, worn about the wrist. To wear this bracelet, go to your inventory screen and double click on its icon.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '252', 'bracelet_s06', 'A bracelet, worn about the wrist. To wear this bracelet, go to your inventory screen and double click on its icon.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '253', 'bracelet_s07', 'A bracelet, worn about the wrist. To wear this bracelet, go to your inventory screen and double click on its icon.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '254', 'bracelet_s08', 'A bracelet, worn about the wrist. To wear this bracelet, go to your inventory screen and double click on its icon.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '255', 'bracelet_s09', 'A bracelet, worn about the wrist. To wear this bracelet, go to your inventory screen and double click on its icon.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '256', 'bracer_s01', 'Bracers, worn on both forearms (if you want to match). To wear these bracers, double click on them in your inventory screen.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '257', 'bracer_s02', 'Bracers, worn on both forearms (if you want to match). To wear these bracers, double click on them in your inventory screen.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '258', 'bracer_s03', 'Bracers, worn on both forearms (if you want to match). To wear these bracers, double click on them in your inventory screen.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '259', 'bracer_s04', 'Bracers, worn on both forearms (if you want to match). To wear these bracers, double click on them in your inventory screen.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '260', 'bracer_s05', 'Bracers, worn on both forearms (if you want to match). To wear these bracers, double click on them in your inventory screen.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '261', 'bustier_s01', 'Bustier - worn on the chest (usually by females). To wear this bustier, open your inventory screen and double click on its icon.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '262', 'bustier_s02', 'Bustier - worn on the chest (usually by females). To wear this bustier, open your inventory screen and double click on its icon.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '263', 'bustier_s03', 'Bustier - worn on the chest (usually by females). To wear this bustier, open your inventory screen and double click on its icon.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '264', 'cape_s01', 'A cape.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '265', 'cloak_s01', 'A cloak.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '266', 'cyborg_arm_l_s01', 'A cybernetic arm, manufactured by Menendahl Electronics.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '267', 'cyborg_arm_r_s01', 'A cybernetic arm, manufactured by Menendahl Electronics.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '268', 'cyborg_forearm_s01', 'A cybernetic forearm, manufactured by Menendahl Electronics.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '269', 'cyborg_hand_l_s01', 'A cybernetic hand, manufactured by Menendahl Electronics.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '270', 'cyborg_hand_r_s01', 'A cybernetic hand, manufactured by Menendahl Electronics.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '271', 'default_armor', 'Armor');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '272', 'default_bicep_both', 'Armor for both biceps.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '273', 'default_bicep_l', 'Armor for the left bicep');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '274', 'default_bicep_r', 'Armor for the right bicep');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '275', 'default_costume', 'A costume.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '276', 'default_gauntlets', 'Armor Gauntlets');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '277', 'default_held', 'A default held item.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '278', 'default_jewelry', 'Jewelry.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '279', 'default_mouth', 'A mouth worn item.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '280', 'default_pauldron_l', 'Armor for the left shoulder.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '281', 'default_pauldron_r', 'Armor for the right shoulder.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '282', 'default_pauldrons', 'Armor for both shoulders.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '283', 'default_sleeve_l', 'Left Sleeve');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '284', 'default_sleeve_r', 'Right Sleeve');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '285', 'default_sleeves', 'Sleeves.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '286', 'default_wearable', 'an unknown garment');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '287', 'dress_s01', 'A dress (only worn by females). A wide variety of dresses exist, many of the most exotic require skilled tailors to design. To wear this dress, double click its icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '288', 'dress_s02', 'A dress (only worn by females). A wide variety of dresses exist, many of the most exotic require skilled tailors to design. To wear this dress, double click its icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '289', 'dress_s03', 'A dress (only worn by females). A wide variety of dresses exist, many of the most exotic require skilled tailors to design. To wear this dress, double click its icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '290', 'dress_s05', 'A dress (only worn by females). A wide variety of dresses exist, many of the most exotic require skilled tailors to design. To wear this dress, double click its icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '291', 'dress_s06', 'A dress (only worn by females). A wide variety of dresses exist, many of the most exotic require skilled tailors to design. To wear this dress, double click its icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '292', 'dress_s07', 'A dress (only worn by females). A wide variety of dresses exist, many of the most exotic require skilled tailors to design. To wear this dress, double click its icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '293', 'dress_s08', 'A leotard (only worn by females). A wide variety of leotards exist, many of the most exotic require skilled tailors to design. To wear this leotard, double click its icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '294', 'dress_s08_quest', 'A leotard (only worn by females). A wide variety of leotards exist, many of the most exotic require skilled tailors to design. To wear this leotard, double click its icon in your inventory view.\n\nThis particular garment has been bejewelled with sequins and gemstones, and is extremely flexible, allowing the dancer that wears it to put on a dazzling performance.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '295', 'dress_s09', 'A dress (only worn by females). A wide variety of dresses exist, many of the most exotic require skilled tailors to design. To wear this dress, double click its icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '296', 'dress_s10', 'A robe (usually worn by females). A wide variety of robes exist, many of the most exotic require skilled tailors to design. To wear this robe, double click its icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '297', 'dress_s11', 'A robe (usually worn by females). A wide variety of robes exist, many of the most exotic require skilled tailors to design. To wear this robe, double click its icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '298', 'dress_s12', 'A robe (usually worn by females). A wide variety of robes exist, many of the most exotic require skilled tailors to design. To wear this robe, double click its icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '299', 'dress_s13', 'A smock (only worn by males). A wide variety of smocks exist, many of the most exotic require skilled tailors to design. To wear this smock , double click its icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '300', 'dress_s14', 'A dress (only worn by females). A wide variety of dresses exist, many of the most exotic require skilled tailors to design. To wear this dress, double click its icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '301', 'dress_s15', 'A habit (only worn by females). A wide variety of habits exist, many of the most exotic require skilled tailors to design. To wear this habit, double click its icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '302', 'dress_s16', 'A dress (only worn by females). A wide variety of dresses exist, many of the most exotic require skilled tailors to design. To wear this dress, double click its icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '303', 'dress_s17', 'A robe (usually worn by females). A wide variety of robes exist, many of the most exotic require skilled tailors to design. To wear this robe, double click its icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '304', 'dress_s18', 'A gown (usually worn by females). A wide variety of gowns exist, many of the most exotic require skilled tailors to design. To wear this gown, double click its icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '305', 'dress_s19', 'A robe (usually worn by females). A wide variety of robes exist, many of the most exotic require skilled tailors to design. To wear this robe, double click its icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '306', 'dress_s20', 'A robe (usually worn by females). A wide variety of robes exist, many of the most exotic require skilled tailors to design. To wear this robe, double click its icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '307', 'dress_s21', 'A robe (only worn by males). A wide variety of robes exist, many of the most exotic require skilled tailors to design. To wear this robe, double click its icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '308', 'dress_s22', 'A robe (usually worn by females). A wide variety of robes exist, many of the most exotic require skilled tailors to design. To wear this robe, double click its icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '309', 'dress_s23', 'A robe (usually worn by females). A wide variety of robes exist, many of the most exotic require skilled tailors to design. To wear this robe, double click its icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '310', 'dress_s24', 'A robe (usually worn by females). A wide variety of robes exist, many of the most exotic require skilled tailors to design. To wear this robe, double click its icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '311', 'dress_s25', 'A robe (usually worn by females). A wide variety of robes exist, many of the most exotic require skilled tailors to design. To wear this robe, double click its icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '312', 'dress_s26', 'A frock (only worn by females). A wide variety of frocks exist, many of the most exotic require skilled tailors to design. To wear this frock, double click its icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '313', 'dress_s27', 'A robe (usually worn by females). A wide variety of robes exist, many of the most exotic require skilled tailors to design. To wear this robe, double click its icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '314', 'dress_s28', 'A robe (usually worn by females). A wide variety of robes exist, many of the most exotic require skilled tailors to design. To wear this robe, double click its icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '315', 'dress_s29', 'A robe (usually worn by females). A wide variety of robes exist, many of the most exotic require skilled tailors to design. To wear this robe, double click its icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '316', 'dress_s30', 'A dress (usually worn by females). A wide variety of dresses exist, many of the most exotic require skilled tailors to design. To wear this dress, double click its icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '317', 'dress_s31', 'A dress (usually worn by females). A wide variety of dresses exist, many of the most exotic require skilled tailors to design. To wear this dress, double click its icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '318', 'dress_s32', 'A dress (usually worn by females). A wide variety of dresses exist, many of the most exotic require skilled tailors to design. To wear this dress, double click its icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '319', 'dress_s33', 'A dress (usually worn by females). A wide variety of dresses exist, many of the most exotic require skilled tailors to design. To wear this dress, double click its icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '320', 'dress_s34', 'A dress (usually worn by females). A wide variety of dresses exist, many of the most exotic require skilled tailors to design. To wear this dress, double click its icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '321', 'dress_s35', 'A dress (usually worn by females). A wide variety of dresses exist, many of the most exotic require skilled tailors to design. To wear this dress, double click its icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '322', 'earring_s01', 'Earrings, worn only by those species with ears. To don this jewelry, open your inventory window and double click their icon.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '323', 'earring_s02', 'Earrings, worn only by those species with ears. To don this jewelry, open your inventory window and double click their icon.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '324', 'earring_s03', 'Earrings, worn only by those species with ears. To don this jewelry, open your inventory window and double click their icon.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '325', 'earring_s04', 'Earrings, worn only by those species with ears. To don this jewelry, open your inventory window and double click their icon.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '326', 'eyewear_s01', 'Eyewear.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '327', 'gloves_corsec', 'Corsec-issued gloves.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '328', 'gloves_s01', 'Gloves, worn on both hands. Some gloves are merely fashion statements, others offer protection against some damage types - careful inspection will usually reveal whether or not this protection exists. To wear these gloves, open your inventory view and double click their icon.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '329', 'gloves_s02', 'Gloves, worn on both hands. Some gloves are merely fashion statements, others offer protection against some damage types - careful inspection will usually reveal whether or not this protection exists. To wear these gloves, open your inventory view and double click their icon.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '330', 'gloves_s03', 'Gloves, worn on both hands. Some gloves are merely fashion statements, others offer protection against some damage types - careful inspection will usually reveal whether or not this protection exists. To wear these gloves, open your inventory view and double click their icon.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '331', 'gloves_s04', 'Gloves, worn on both hands. Some gloves are merely fashion statements, others offer protection against some damage types - careful inspection will usually reveal whether or not this protection exists. To wear these gloves, open your inventory view and double click their icon.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '332', 'gloves_s05', 'Gloves, worn on both hands. Some gloves are merely fashion statements, others offer protection against some damage types - careful inspection will usually reveal whether or not this protection exists. To wear these gloves, open your inventory view and double click their icon.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '333', 'gloves_s06', 'Gloves, worn on both hands. Some gloves are merely fashion statements, others offer protection against some damage types - careful inspection will usually reveal whether or not this protection exists. To wear these gloves, open your inventory view and double click their icon.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '334', 'gloves_s07', 'Gloves, worn on both hands. Some gloves are merely fashion statements, others offer protection against some damage types - careful inspection will usually reveal whether or not this protection exists. To wear these gloves, open your inventory view and double click their icon.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '335', 'gloves_s08', 'Gloves, worn on both hands. Some gloves are merely fashion statements, others offer protection against some damage types - careful inspection will usually reveal whether or not this protection exists. To wear these gloves, open your inventory view and double click their icon.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '336', 'gloves_s09', 'Gloves, worn on both hands. Some gloves are merely fashion statements, others offer protection against some damage types - careful inspection will usually reveal whether or not this protection exists. To wear these gloves, open your inventory view and double click their icon.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '337', 'gloves_s10', 'Gloves, worn on both hands. Some gloves are merely fashion statements, others offer protection against some damage types - careful inspection will usually reveal whether or not this protection exists. To wear these gloves, open your inventory view and double click their icon.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '338', 'gloves_s11', 'Gloves, worn on both hands. Some gloves are merely fashion statements, others offer protection against some damage types - careful inspection will usually reveal whether or not this protection exists. To wear these gloves, open your inventory view and double click their icon.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '339', 'gloves_s12', 'Gloves, worn on both hands. Some gloves are merely fashion statements, others offer protection against some damage types - careful inspection will usually reveal whether or not this protection exists. To wear these gloves, open your inventory view and double click their icon.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '340', 'gloves_s13', 'Gloves, worn on both hands. Some gloves are merely fashion statements, others offer protection against some damage types - careful inspection will usually reveal whether or not this protection exists. To wear these gloves, open your inventory view and double click their icon.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '341', 'gloves_s14', 'Gloves, worn on both hands. Some gloves are merely fashion statements, others offer protection against some damage types - careful inspection will usually reveal whether or not this protection exists. To wear these gloves, open your inventory view and double click their icon.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '342', 'gloves_tusken_raider', 'Tusken raider gloves');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '343', 'goggles_s01', 'A set of special edition goggles.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '344', 'goggles_s02', 'A set of special edition goggles.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '345', 'goggles_s03', 'A set of special edition goggles.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '346', 'hat_imp_s01', 'A hat, wearable by some humanoid species. Go to your inventory and double click on the icon for this hat to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '347', 'hat_s01', 'A hat, wearable by some humanoid species. Go to your inventory and double click on the icon for this hat to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '348', 'hat_s02', 'A hat, wearable by some humanoid species. Go to your inventory and double click on the icon for this hat to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '349', 'hat_s03', 'A hat, wearable by some humanoid species. Go to your inventory and double click on the icon for this hat to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '350', 'hat_s04', 'A hat, wearable by some humanoid species. Go to your inventory and double click on the icon for this hat to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '351', 'hat_s05', 'A hat, wearable by some humanoid species. Go to your inventory and double click on the icon for this hat to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '352', 'hat_s06', 'A hat, wearable by some humanoid species. Go to your inventory and double click on the icon for this hat to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '353', 'hat_s07', 'A hat, wearable by some humanoid species. Go to your inventory and double click on the icon for this hat to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '354', 'hat_s08', 'A hat, wearable by some humanoid species. Go to your inventory and double click on the icon for this hat to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '355', 'hat_s09', 'A hat, wearable by some humanoid species. Go to your inventory and double click on the icon for this hat to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '356', 'hat_s10', 'A hat, wearable by some humanoid species. Go to your inventory and double click on the icon for this hat to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '357', 'hat_s11', 'A hat, wearable by some humanoid species. Go to your inventory and double click on the icon for this hat to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '358', 'hat_s12', 'A hat, wearable by some humanoid species. Go to your inventory and double click on the icon for this hat to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '359', 'hat_s13', 'A hat, wearable by some humanoid species. Go to your inventory and double click on the icon for this hat to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '360', 'hat_s14', 'A hat, wearable by some humanoid species. Go to your inventory and double click on the icon for this hat to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '361', 'hat_twilek_s01', 'A hat, wearable by some humanoid species. Go to your inventory and double click on the icon for this hat to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '362', 'hat_twilek_s02', 'A hat, wearable by some humanoid species. Go to your inventory and double click on the icon for this hat to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '363', 'hat_twilek_s03', 'A hat, wearable by some humanoid species. Go to your inventory and double click on the icon for this hat to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '364', 'hat_twilek_s04', 'A hat, wearable by some humanoid species. Go to your inventory and double click on the icon for this hat to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '365', 'hat_twilek_s05', 'A hat, wearable by some humanoid species.  Go to your inventory and double click on the icon for this hat to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '366', 'helmet_alliance', 'Standard issue Rebelion military helmet.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '367', 'helmet_atat', 'Standard issue Imperial AT-AT Pilot helmet');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '368', 'helmet_fighter_blacksun_ace', 'A fighter pilot helmet usually seen worn by the Black Sun pilots.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '369', 'helmet_fighter_imperial_ace', 'A fighter pilot helmet given to the top pilots of the Imperial Navy.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '370', 'helmet_fighter_privateer_ace', 'A fighter pilot helmet usually seen worn by the most skilled privateer pilots.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '371', 'helmet_fighter_rebel_ace', 'A fighter pilot helmet given to the top pilots of the Rebel Alliance Navy.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '372', 'helmet_royal_guard', 'The helmet worn by the imperial royal guard.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '373', 'helmet_s01', 'A helmet, wearable by some humanoid species. To wear this helmet, go to your inventory screen and double click the icon for it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '374', 'helmet_s02', 'A helmet, wearable by some humanoid species. To wear this helmet, go to your inventory screen and double click the icon for it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '375', 'helmet_s03', 'A helmet, wearable by some humanoid species. To wear this helmet, go to your inventory screen and double click the icon for it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '376', 'helmet_s04', 'A helmet, wearable by some humanoid species. To wear this helmet, go to your inventory screen and double click the icon for it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '377', 'helmet_s06', 'A helmet, wearable by some humanoid species. To wear this helmet, go to your inventory screen and double click the icon for it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '378', 'helmet_s07', 'A helmet, wearable by some humanoid species. To wear this helmet, go to your inventory screen and double click the icon for it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '379', 'helmet_s08', 'A helmet, wearable by some humanoid species. To wear this helmet, go to your inventory screen and double click the icon for it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '380', 'helmet_s09', 'A helmet, wearable by some humanoid species. To wear this helmet, go to your inventory screen and double click the icon for it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '381', 'helmet_s10', 'A helmet, wearable by some humanoid species. To wear this helmet, go to your inventory screen and double click the icon for it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '382', 'helmet_s11', 'A helmet, wearable by some humanoid species. To wear this helmet, go to your inventory screen and double click the icon for it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '383', 'helmet_s12', 'A helmet, wearable by some humanoid species. To wear this helmet, go to your inventory screen and double click the icon for it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '384', 'helmet_tie_fighter', 'Standard issue Imperial Tie Fighter Pilot helmet');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '385', 'helmet_tusken_raider_s01', 'A helmet usually seen worn by tusken raiders.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '386', 'helmet_tusken_raider_s02', 'A helmet usually seen worn by tusken raiders.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '387', 'ith_dress_s03', 'An Ithorian elder\'s dress. To wear this elder\'s dress, double click its icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '388', 'ith_dress_short_s01', 'An Ithorian dress jacket. To wear this dress jacket, double click its icon in your inventory view.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '389', 'ithorian_armor', 'This armor was clearly designed to fit an Ithorian body type.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '390', 'jacket_ace_imperial', 'A flight jacket given to the top pilots of the Imperial Navy.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '391', 'jacket_ace_privateer', 'A flight jacket usually seen worn by the most skilled privateer pilots.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '392', 'jacket_ace_rebel', 'A flight jacket given to the top pilots of the Rebel Alliance Navy.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '393', 'jacket_s01', 'A jacket, wearable by most species overtop of a typical shirt. To wear this jacket, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '394', 'jacket_s02', 'A jacket, wearable by most species overtop of a typical shirt. To wear this jacket, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '395', 'jacket_s03', 'A jacket, wearable by most species overtop of a typical shirt. To wear this jacket, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '396', 'jacket_s04', 'A jacket, wearable by most species overtop of a typical shirt. To wear this jacket, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '397', 'jacket_s05', 'A jacket, wearable by most species overtop of a typical shirt. To wear this jacket, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '398', 'jacket_s06', 'A jacket, wearable by most species overtop of a typical shirt. To wear this jacket, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '399', 'jacket_s07', 'A jacket, wearable by most species overtop of a typical shirt. To wear this jacket, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '400', 'jacket_s08', 'A jacket, wearable by most species overtop of a typical shirt. To wear this jacket, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '401', 'jacket_s09', 'A jacket, wearable by most species overtop of a typical shirt. To wear this jacket, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '402', 'jacket_s10', 'A jacket, wearable by most species overtop of a typical shirt. To wear this jacket, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '403', 'jacket_s11', 'A jacket, wearable by most species overtop of a typical shirt. To wear this jacket, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '404', 'jacket_s12', 'A jacket, wearable by most species overtop of a typical shirt. To wear this jacket, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '405', 'jacket_s13', 'A jacket, wearable by most species overtop of a typical shirt. To wear this jacket, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '406', 'jacket_s14', 'A jacket, wearable by most species overtop of a typical shirt. To wear this jacket, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '407', 'jacket_s15', 'A jacket, wearable by most species overtop of a typical shirt. To wear this jacket, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '408', 'jacket_s16', 'A jacket, wearable by most species overtop of a typical shirt. To wear this jacket, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '409', 'jacket_s17', 'A jacket, wearable by most species overtop of a typical shirt. To wear this jacket, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '410', 'jacket_s18', 'A jacket, wearable by most species overtop of a typical shirt. To wear this jacket, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '411', 'jacket_s19', 'A jacket, wearable by most species overtop of a typical shirt. To wear this jacket, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '412', 'jacket_s21', 'A jacket, wearable by most species overtop of a typical shirt. To wear this jacket, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '413', 'jacket_s22', 'A jacket, wearable by most species overtop of a typical shirt. To wear this jacket, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '414', 'jacket_s24', 'A jacket, wearable by most species overtop of a typical shirt. To wear this jacket, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '415', 'jacket_s25', 'A jacket, wearable by most species overtop of a typical shirt. To wear this jacket, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '416', 'jacket_s26', 'A jacket, wearable by most species overtop of a typical shirt. To wear this jacket, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '417', 'jacket_s27', 'A jacket, wearable by most species overtop of a typical shirt. To wear this jacket, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '418', 'jacket_s28', 'A jacket, wearable by most species overtop of a typical shirt. To wear this jacket, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '419', 'jacket_s29', 'A jacket, wearable by most species overtop of a typical shirt. To wear this jacket, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '420', 'jacket_s30', 'A jacket, wearable by most species overtop of a typical shirt. To wear this jacket, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '421', 'jacket_s31', 'A jacket, wearable by most species overtop of a typical shirt. To wear this jacket, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '422', 'jacket_s32', 'A jacket, wearable by most species overtop of a typical shirt. To wear this jacket, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '423', 'jacket_s33', 'A jacket, wearable by most species overtop of a typical shirt. To wear this jacket, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '424', 'jacket_s34', 'A jacket, wearable by most species overtop of a typical shirt. To wear this jacket, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '425', 'jacket_s35', 'A jacket, wearable by most species overtop of a typical shirt. To wear this jacket, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '426', 'jacket_s36', 'A jacket, wearable by most species overtop of a typical shirt. To wear this jacket, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '427', 'jacket_s37', 'A jacket, wearable by most species overtop of a typical shirt. To wear this jacket, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '428', 'jacket_s38', 'A jacket, wearable by most species overtop of a typical shirt. To wear this jacket, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '429', 'jacket_s39', 'A jacket, wearable by most species overtop of a typical shirt. To wear this jacket, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '430', 'jacket_s40', 'A jacket, wearable by most species overtop of a typical shirt. To wear this jacket, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '431', 'jacket_s41', 'A jacket, wearable by most species overtop of a typical shirt. To wear this jacket, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '432', 'jacket_s42', 'A jacket, wearable by most species overtop of a typical shirt. To wear this jacket, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '433', 'jacket_s43', 'A jacket, wearable by most species overtop of a typical shirt. To wear this jacket, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '434', 'jacket_s44', 'A jacket, wearable by most species overtop of a typical shirt. To wear this jacket, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '435', 'jacket_s45', 'A jacket, wearable by most species overtop of a typical shirt. To wear this jacket, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '436', 'jacket_s46', 'A jacket, wearable by most species overtop of a typical shirt. To wear this jacket, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '437', 'jacket_s47', 'A jacket, wearable by most species overtop of a typical shirt. To wear this jacket, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '438', 'lifeday_orb', 'Life Day is a holiday celebrated on Kashyyyk, the Wookiee homeworld, in order to recognize the renewal of life and remember those who have passed on. Because Life Day is important for reconnecting with family and friends, Wookiees will brave arduous treks to be reunited with loved ones on the holiday. Although originally celebrated only on Kashyyyk, and usually at the Tree of Life, the concept of Life Day has slowly spread across the galaxy. The Life Day Orb, a Wookiee artifact, is a traditional symbol carried by Wookiees during the Life Day celebrations. \n\n\"We celebrate a day of peace, a day of harmony. A day of joy we all can share together...\" - Traditional Life Day song lyric (translated from Shyriiwook)\n\n');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '439', 'mask_s01', 'A mask.\n');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '440', 'necklace_adorned_beads', 'A necklace, wearable by almost all species.  Scratched in the back of the main plate of the necklace are a few diagrams that give you a better understanding of how to further protect against ranged attacks.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '441', 'necklace_blue_gadget', 'A necklace, wearable by almost all species.  Scratched in the back of the main plate of the necklace is a recipe that gives you a better understanding of how to create even more delicious dishes.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '442', 'necklace_brass_charm', 'A necklace, wearable by almost all species.  Engraved in the back of the main plate of the necklace are a few weapon stances that give you a better understanding of how to further improve your two handed weapon speed.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '443', 'necklace_bright_bauble', 'A necklace, wearable by almost all species.  Engraved in the back of the main plate of the necklace are a few weapon stances that give you a better understanding of how to further improve your flame thrower speed.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '444', 'necklace_complex_pattern', 'A necklace, wearable by almost all species.  Engraved in the back of the main plate of the necklace are a few weapon stances that give you a better understanding of how to further improve your polearm speed.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '445', 'necklace_convoluted_adornment', 'A necklace, wearable by almost all species.  Engraved in the back of the main plate of the necklace are a few weapon stances that give you a better understanding of how to further improve your acid rifle speed.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '446', 'necklace_crushed_brooch', 'A necklace, wearable by almost all species.  Scratched in the back of the main plate of the necklace are a few altered simple equations that give you a better understanding of how to further improve crafting.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '447', 'necklace_elaborate_necklet', 'A necklace, wearable by almost all species.  Looking at the necklace further soothes anyone looking at it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '448', 'necklace_flashy_choker', 'A necklace, wearable by almost all species.  Engraved in the back of the main plate of the necklace are a few advanced stitching diagrams that give you a better understanding of how to further improve clothing alterations.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '449', 'necklace_hologram_locket', 'A necklace, wearable by almost all species.  Engraved in the back of the main plate of the necklace are a few advanced equations that give you a better understanding of how to further improve weapons.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '450', 'necklace_ice_pendant', 'A necklace, wearable by almost all species.  Scratched in the back of the main plate of the necklace are a few advanced Helix diagrams that give you a better understanding of how to further alter medicines.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '451', 'necklace_iron_brooch', 'A necklace, wearable by almost all species.  Engraved in the back of the main plate of the necklace are a few weapon stances that give you a better understanding of how to further improve your carbine speed.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '452', 'necklace_iron_choker', 'A necklace, wearable by almost all species.  Engraved in the back of the main plate of the necklace are a few advanced blueprint shortcuts that give you a better understanding of how to further improve structures.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '453', 'necklace_jeweled_pendant', 'A necklace, wearable by almost all species.  Looking into the necklace almost puts you into a trance.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '454', 'necklace_knickknack', 'A necklace, wearable by almost all species.  Engraved in the back of the main plate of the necklace are a few weapon stances that give you a better understanding of how to further improve your pistol speed.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '455', 'necklace_living_chains', 'A necklace, wearable by almost all species.  Scratched in the back of the main plate of the necklace are a few advanced Helix diagrams that give you a better understanding of how to further alter DNA.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '456', 'necklace_magnificent_lavaliere', 'A necklace, wearable by almost all species.  Engraved in the back of the main plate of the necklace are a few weapon stances that give you a better understanding of how to further improve your lightning cannon speed.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '457', 'necklace_nyax', 'A necklace often worn by followers of Lord Nyax.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '458', 'necklace_opulent_cameo', 'A necklace, wearable by almost all species.  Engraved in the back of the main plate of the necklace are a few weapon stances that give you a better understanding of how to further improve your one handed weapon speed.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '459', 'necklace_ornamental_ratchet', 'A necklace, wearable by almost all species.  Engraved in the back of the main plate of the necklace are a few advanced equations that give you a better understanding of how to further improve armor.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '460', 'necklace_pawl_chain', 'A necklace, wearable by almost all species.  Engraved in the back of the main plate of the necklace are a few altered equations that give you a better understanding of how to further improve droids.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '461', 'necklace_platinum_pin', 'A necklace, wearable by almost all species.  Scratched in the back of the main plate of the necklace are a few advanced helix diagrams that give you a better understanding of how to further alter medicines.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '462', 'necklace_reebo_charm', 'A necklace, wearable by almost all species.  Looking at the necklace further soothes anyone looking at it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '463', 'necklace_rosy_pearl', 'A necklace, wearable by almost all species.  Looking into the necklace almost puts you into a trance.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '464', 'necklace_rusty_beads', 'A necklace, wearable by almost all species.  Scraped into the back of the beads are a few weapon stances that give you a better understanding of how to further improve your rifle speed.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '465', 'necklace_s01', 'A necklace, wearable by almost all species. To don this jewelry, open your inventory window and double click their icon.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '466', 'necklace_s02', 'A necklace, wearable by almost all species. To don this jewelry, open your inventory window and double click their icon.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '467', 'necklace_s03', 'A necklace, wearable by almost all species. To don this jewelry, open your inventory window and double click their icon.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '468', 'necklace_s04', 'A necklace, wearable by almost all species. To don this jewelry, open your inventory window and double click their icon.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '469', 'necklace_s05', 'A necklace, wearable by almost all species. To don this jewelry, open your inventory window and double click their icon.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '470', 'necklace_s06', 'A necklace, wearable by almost all species. To don this jewelry, open your inventory window and double click their icon.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '471', 'necklace_s07', 'A necklace, wearable by almost all species. To don this jewelry, open your inventory window and double click their icon.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '472', 'necklace_s08', 'A necklace, wearable by almost all species. To don this jewelry, open your inventory window and double click their icon.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '473', 'necklace_s09', 'A necklace, wearable by almost all species. To don this jewelry, open your inventory window and double click their icon.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '474', 'necklace_s09_quest', 'A necklace, wearable by almost all species. To don this jewelry, open your inventory window and double click their icon.\n\nThis medallion is given only to those who have honored themselves by serving the Empire with excellence and loyalty.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '475', 'necklace_s10', 'A necklace, wearable by almost all species. To don this jewelry, open your inventory window and double click their icon.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '476', 'necklace_s11', 'A necklace, wearable by almost all species. To don this jewelry, open your inventory window and double click their icon.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '477', 'necklace_s12', 'A necklace, wearable by almost all species. To don this jewelry, open your inventory window and double click their icon.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '478', 'necklace_sparkling_bijou', 'A necklace, wearable by almost all species.  Scratched in the back of the main plate of the necklace are a few diagrams that give you a better understanding of how to further protect against melee attacks.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '479', 'necklace_wampum', 'A necklace, wearable by almost all species.  Scratched in the back of the main plate of the necklace are a few advanced Helix diagrams that give you a better understanding of how to further treat injuries.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '480', 'pants_s01', 'Pants, wearable by most species. Some pants can have protective traits, and careful examine will reveal any special protection abilities. To wear these pants, open your inventory and double click them.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '481', 'pants_s02', 'Pants, wearable by most species. Some pants can have protective traits, and careful examination will reveal any special protection abilities. To wear these pants, open your inventory and double click them.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '482', 'pants_s04', 'Pants, wearable by most species. Some pants can have protective traits, and careful examination will reveal any special protection abilities. To wear these pants, open your inventory and double click them.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '483', 'pants_s05', 'Pants, wearable by most species. Some pants can have protective traits, and careful examination will reveal any special protection abilities. To wear these pants, open your inventory and double click them.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '484', 'pants_s06', 'Pants, wearable by most species. Some pants can have protective traits, and careful examination will reveal any special protection abilities. To wear these pants, open your inventory and double click them.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '485', 'pants_s07', 'Pants, wearable by most species. Some pants can have protective traits, and careful examination will reveal any special protection abilities. To wear these pants, open your inventory and double click them.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '486', 'pants_s08', 'Pants, wearable by most species. Some pants can have protective traits, and careful examination will reveal any special protection abilities. To wear these pants, open your inventory and double click them.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '487', 'pants_s09', 'Pants, wearable by most species. Some pants can have protective traits, and careful examination will reveal any special protection abilities. To wear these pants, open your inventory and double click them.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '488', 'pants_s10', 'Pants, wearable by most species. Some pants can have protective traits, and careful examination will reveal any special protection abilities. To wear these pants, open your inventory and double click them.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '489', 'pants_s11', 'Pants, wearable by most species. Some pants can have protective traits, and careful examination will reveal any special protection abilities. To wear these pants, open your inventory and double click them.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '490', 'pants_s12', 'Pants, wearable by most species. Some pants can have protective traits, and careful examination will reveal any special protection abilities. To wear these pants, open your inventory and double click them.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '491', 'pants_s13', 'Pants, wearable by most species. Some pants can have protective traits, and careful examination will reveal any special protection abilities. To wear these pants, open your inventory and double click them.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '492', 'pants_s14', 'Pants, wearable by most species. Some pants can have protective traits, and careful examination will reveal any special protection abilities. To wear these pants, open your inventory and double click them.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '493', 'pants_s15', 'Pants, wearable by most species. Some pants can have protective traits, and careful examination will reveal any special protection abilities. To wear these pants, open your inventory and double click them.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '494', 'pants_s17', 'Pants, wearable by most species. Some pants can have protective traits, and careful examination will reveal any special protection abilities. To wear these pants, open your inventory and double click them.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '495', 'pants_s18', 'Pants, wearable by most species. Some pants can have protective traits, and careful examination will reveal any special protection abilities. To wear these pants, open your inventory and double click them.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '496', 'pants_s21', 'Pants, wearable by most species. Some pants can have protective traits, and careful examination will reveal any special protection abilities. To wear these pants, open your inventory and double click them.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '497', 'pants_s22', 'Pants, wearable by most species. Some pants can have protective traits, and careful examination will reveal any special protection abilities. To wear these pants, open your inventory and double click them.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '498', 'pants_s24', 'Pants, wearable by most species. Some pants can have protective traits, and careful examination will reveal any special protection abilities. To wear these pants, open your inventory and double click them.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '499', 'pants_s25', 'Pants, wearable by most species. Some pants can have protective traits, and careful examination will reveal any special protection abilities. To wear these pants, open your inventory and double click them.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '500', 'pants_s26', 'Pants, wearable by most species. Some pants can have protective traits, and careful examination will reveal any special protection abilities. To wear these pants, open your inventory and double click them.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '501', 'pants_s27', 'Pants, wearable by most species. Some pants can have protective traits, and careful examination will reveal any special protection abilities. To wear these pants, open your inventory and double click them.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '502', 'pants_s28', 'Pants, wearable by most species. Some pants can have protective traits, and careful examination will reveal any special protection abilities. To wear these pants, open your inventory and double click them.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '503', 'pants_s29', 'Pants, wearable by most species. Some pants can have protective traits, and careful examination will reveal any special protection abilities. To wear these pants, open your inventory and double click them.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '504', 'pants_s30', 'Pants, wearable by most species. Some pants can have protective traits, and careful examination will reveal any special protection abilities. To wear these pants, open your inventory and double click them.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '505', 'pants_s31', 'Pants, wearable by most species. Some pants can have protective traits, and careful examination will reveal any special protection abilities. To wear these pants, open your inventory and double click them.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '506', 'pants_s32', 'Pants, wearable by most species. Some pants can have protective traits, and careful examination will reveal any special protection abilities. To wear these pants, open your inventory and double click them.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '507', 'pants_s33', 'Pants, wearable by most species. Some pants can have protective traits, and careful examination will reveal any special protection abilities. To wear these pants, open your inventory and double click them.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '508', 'rancor_tooth', 'This Rancor tooth could be used as a replacement for a sword core.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '509', 'rebreather', 'A rebreathing device that filters some types of gaseous poisons.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '510', 'ring_mark_hero', 'This ring symbolizes the mark of a true hero. The bearer of such an item has proven him or herself worthy of becoming the Hero of Tatooine.\n\nThe special ability on this ring will restore a small amount of life to you if you have died, but only once every twenty-three hours.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '511', 'ring_s01', 'A ring, worn on the finger (if you are a species lucky enough to have fingers). To wear this ring, go to your inventory window and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '512', 'ring_s02', 'A ring, worn on the finger (if you are a species lucky enough to have fingers). To wear this ring, go to your inventory window and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '513', 'ring_s03', 'A ring, worn on the finger (if you are a species lucky enough to have fingers). To wear this ring, go to your inventory window and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '514', 'ring_s03_quest', 'A ring, worn on the finger (if you are a species lucky enough to have fingers). To wear this ring, go to your inventory window and double click on it.\n\nThis particular ring bears the Rebellion insignia. It is usually given to those that have done a great service to the Rebellion. However, it is small enough so that it not usually noticed by Imperial troops.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '515', 'robe_inquisitor', 'A robe usually worn by an Imperial Inquisitor.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '516', 'robe_jedi_dark_s01', 'Designed for those who relish personal combat, these robes offer good protection with no hindrance to movement.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '517', 'robe_jedi_dark_s02', 'Designed for those who relish personal combat, and know that power comes to those who take it, these robes offer good protection with no hindrance to movement.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '518', 'robe_jedi_dark_s03', 'Designed for those who relish personal combat, and know that power comes to those who take it, these robes offer good protection with no hindrance to movement.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '519', 'robe_jedi_dark_s04', 'These robes offer superior protection while still allowing full freedom of movement.  They are the robes of the true masters, those whose will and authority go unopposed.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '520', 'robe_jedi_dark_s05', 'These robes offer superior protection while still allowing full freedom of movement.  They are the robes of the true masters, those whose will and authority go unopposed.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '521', 'robe_jedi_light_s01', 'Designed for those who relish personal combat, these robes offer good protection with no hindrance to movement.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '522', 'robe_jedi_light_s02', 'Designed for those who relish personal combat, and know that power comes to those who take it, these robes offer good protection with no hindrance to movement.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '523', 'robe_jedi_light_s03', 'Designed for those who relish personal combat, and know that power comes to those who take it, these robes offer good protection with no hindrance to movement.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '524', 'robe_jedi_light_s04', 'These robes offer superior protection while still allowing full freedom of movement.  They are the robes of the true masters, those whose will and authority go unopposed.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '525', 'robe_jedi_light_s05', 'These robes offer superior protection while still allowing full freedom of movement.  They are the robes of the true masters, those whose will and authority go unopposed.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '526', 'robe_jedi_padawan', 'Designed for those who relish personal combat, these robes offer good protection with no hindrance to movement.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '527', 'robe_prefect_talmont', 'A robe usually worn by a Prefect.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '528', 'robe_royal_guard', 'Robe worn by most Imperial royal guards.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '529', 'robe_s01', 'A robe, worn usually as an outer layer over top of other clothing. Open your inventory and double click on the icon for this robe to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '530', 'robe_s02', 'A robe, worn usually as an outer layer over top of other clothing. Open your inventory and double click on the icon for this robe to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '531', 'robe_s03', 'A robe, worn usually as an outer layer over top of other clothing. Open your inventory and double click on the icon for this robe to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '532', 'robe_s04', 'A robe, worn usually as an outer layer over top of other clothing. Open your inventory and double click on the icon for this robe to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '533', 'robe_s05', 'A robe, worn usually as an outer layer over top of other clothing. Open your inventory and double click on the icon for this robe to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '534', 'robe_s06', 'A robe, worn usually as an outer layer over top of other clothing. Open your inventory and double click on the icon for this robe to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '535', 'robe_s07', 'A robe, worn usually as an outer layer over top of other clothing. Open your inventory and double click on the icon for this robe to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '536', 'robe_s08', 'A robe, worn usually as an outer layer over top of other clothing. Open your inventory and double click on the icon for this robe to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '537', 'robe_s10', 'A robe, worn usually as an outer layer over top of other clothing. Open your inventory and double click on the icon for this robe to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '538', 'robe_s11', 'A robe, worn usually as an outer layer over top of other clothing. Open your inventory and double click on the icon for this robe to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '539', 'robe_s12', 'A robe, worn usually as an outer layer over top of other clothing. Open your inventory and double click on the icon for this robe to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '540', 'robe_s15', 'A robe, worn usually as an outer layer over top of other clothing. Open your inventory and double click on the icon for this robe to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '541', 'robe_s18', 'A robe, worn usually as an outer layer over top of other clothing. Open your inventory and double click on the icon for this robe to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '542', 'robe_s19', 'A robe, worn usually as an outer layer over top of other clothing. Open your inventory and double click on the icon for this robe to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '543', 'robe_s22', 'A robe, worn usually as an outer layer over top of other clothing. Open your inventory and double click on the icon for this robe to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '544', 'robe_s23', 'A robe, worn usually as an outer layer over top of other clothing. Open your inventory and double click on the icon for this robe to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '545', 'robe_s24', 'A robe, worn usually as an outer layer over top of other clothing. Open your inventory and double click on the icon for this robe to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '546', 'robe_s25', 'A robe, worn usually as an outer layer over top of other clothing. Open your inventory and double click on the icon for this robe to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '547', 'robe_s26', 'A robe, worn usually as an outer layer over top of other clothing. Open your inventory and double click on the icon for this robe to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '548', 'robe_s27', 'A robe, worn usually as an outer layer over top of other clothing. Open your inventory and double click on the icon for this robe to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '549', 'robe_s28', 'A robe, worn usually as an outer layer over top of other clothing. Open your inventory and double click on the icon for this robe to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '550', 'robe_s30', 'A robe, worn usually as an outer layer over top of other clothing. Open your inventory and double click on the icon for this robe to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '551', 'robe_s32', 'A robe, worn usually as an outer layer over top of other clothing. Open your inventory and double click on the icon for this robe to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '552', 'robe_s33', 'A robe, worn usually as an outer layer over top of other clothing. Open your inventory and double click on the icon for this robe to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '553', 'robe_s34', 'A robe, worn usually as an outer layer over top of other clothing. Open your inventory and double click on the icon for this robe to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '554', 'robe_s35', 'A robe, worn usually as an outer layer over top of other clothing. Open your inventory and double click on the icon for this robe to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '555', 'robe_s36', 'A robe, worn usually as an outer layer over top of other clothing. Open your inventory and double click on the icon for this robe to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '556', 'robe_s37', 'A robe, worn usually as an outer layer over top of other clothing. Open your inventory and double click on the icon for this robe to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '557', 'robe_s38', 'A robe, worn usually as an outer layer over top of other clothing. Open your inventory and double click on the icon for this robe to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '558', 'robe_s39', 'A robe, worn usually as an outer layer over top of other clothing. Open your inventory and double click on the icon for this robe to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '559', 'robe_s40', 'A robe, worn usually as an outer layer over top of other clothing. Open your inventory and double click on the icon for this robe to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '560', 'robe_tusken_raider_s01', 'A robe usually seen worn by a tusken raider.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '561', 'robe_tusken_raider_s02', 'A robe usually seen worn by a tusken raider.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '562', 'shirt_dera', 'Shirts come in a wide variety of styles, and some created by master tailors have protective traits. To wear this shirt, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '563', 'shirt_s01', 'Shirts come in a wide variety of styles, and some created by master tailors have protective traits. To wear this shirt, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '564', 'shirt_s03', 'Shirts come in a wide variety of styles, and some created by master tailors have protective traits. To wear this shirt, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '565', 'shirt_s03_rebel', 'Shirts come in a wide variety of styles, and some created by master tailors have protective traits. To wear this shirt, open your inventory and double click on it. This one has a Rebel Insignia embroided.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '566', 'shirt_s04', 'Shirts come in a wide variety of styles, and some created by master tailors have protective traits. To wear this shirt, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '567', 'shirt_s05', 'Shirts come in a wide variety of styles, and some created by master tailors have protective traits. To wear this shirt, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '568', 'shirt_s07', 'Shirts come in a wide variety of styles, and some created by master tailors have protective traits. To wear this shirt, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '569', 'shirt_s08', 'Shirts come in a wide variety of styles, and some created by master tailors have protective traits. To wear this shirt, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '570', 'shirt_s09', 'Shirts come in a wide variety of styles, and some created by master tailors have protective traits. To wear this shirt, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '571', 'shirt_s10', 'Shirts come in a wide variety of styles, and some created by master tailors have protective traits. To wear this shirt, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '572', 'shirt_s11', 'Shirts come in a wide variety of styles, and some created by master tailors have protective traits. To wear this shirt, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '573', 'shirt_s12', 'Shirts come in a wide variety of styles, and some created by master tailors have protective traits. To wear this shirt, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '574', 'shirt_s13', 'Shirts come in a wide variety of styles, and some created by master tailors have protective traits. To wear this shirt, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '575', 'shirt_s14', 'Shirts come in a wide variety of styles, and some created by master tailors have protective traits. To wear this shirt, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '576', 'shirt_s15', 'Shirts come in a wide variety of styles, and some created by master tailors have protective traits. To wear this shirt, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '577', 'shirt_s16', 'Shirts come in a wide variety of styles, and some created by master tailors have protective traits. To wear this shirt, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '578', 'shirt_s24', 'Shirts come in a wide variety of styles, and some created by master tailors have protective traits. To wear this shirt, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '579', 'shirt_s26', 'Shirts come in a wide variety of styles, and some created by master tailors have protective traits. To wear this shirt, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '580', 'shirt_s27', 'Shirts come in a wide variety of styles, and some created by master tailors have protective traits. To wear this shirt, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '581', 'shirt_s28', 'Shirts come in a wide variety of styles, and some created by master tailors have protective traits. To wear this shirt, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '582', 'shirt_s30', 'Shirts come in a wide variety of styles, and some created by master tailors have protective traits. To wear this shirt, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '583', 'shirt_s32', 'Shirts come in a wide variety of styles, and some created by master tailors have protective traits. To wear this shirt, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '584', 'shirt_s34', 'Shirts come in a wide variety of styles, and some created by master tailors have protective traits. To wear this shirt, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '585', 'shirt_s38', 'Shirts come in a wide variety of styles, and some created by master tailors have protective traits. To wear this shirt, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '586', 'shirt_s42', 'Shirts come in a wide variety of styles, and some created by master tailors have protective traits. To wear this shirt, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '587', 'shoes_s01', 'Shoes, wearable by humanoid species who have feet. To don these shoes, double click their icon in your inventory window.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '588', 'shoes_s02', 'Shoes, wearable by humanoid species who have feet. To don these shoes, double click their icon in your inventory window.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '589', 'shoes_s03', 'Shoes, wearable by humanoid species who have feet. To don these shoes, double click their icon in your inventory window.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '590', 'shoes_s07', 'Shoes, wearable by humanoid species who have feet. To don these shoes, double click their icon in your inventory window.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '591', 'shoes_s08', 'Shoes, wearable by humanoid species who have feet. To don these shoes, double click their icon in your inventory window.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '592', 'shoes_s09', 'Shoes, wearable by humanoid species who have feet. To don these shoes, double click their icon in your inventory window.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '593', 'skirt_s01', 'A skirt - generally only attractive on females, and then only to males of a similar species. Use with caution. Open your inventory and double click this skirt to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '594', 'skirt_s03', 'A skirt - generally only attractive on females, and then only to males of a similar species. Use with caution. Open your inventory and double click this skirt to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '595', 'skirt_s04', 'A skirt - generally only attractive on females, and then only to males of a similar species. Use with caution. Open your inventory and double click this skirt to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '596', 'skirt_s05', 'A skirt - generally only attractive on females, and then only to males of a similar species. Use with caution. Open your inventory and double click this skirt to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '597', 'skirt_s06', 'A skirt - generally only attractive on females, and then only to males of a similar species. Use with caution. Open your inventory and double click this skirt to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '598', 'skirt_s07', 'A skirt - generally only attractive on females, and then only to males of a similar species. Use with caution. Open your inventory and double click this skirt to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '599', 'skirt_s08', 'A skirt - generally only attractive on females, and then only to males of a similar species. Use with caution. Open your inventory and double click this skirt to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '600', 'skirt_s09', 'A skirt - generally only attractive on females, and then only to males of a similar species. Use with caution. Open your inventory and double click this skirt to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '601', 'skirt_s10', 'A skirt - generally only attractive on females, and then only to males of a similar species. Use with caution. Open your inventory and double click this skirt to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '602', 'skirt_s11', 'A skirt - generally only attractive on females, and then only to males of a similar species. Use with caution. Open your inventory and double click this skirt to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '603', 'skirt_s12', 'A skirt - generally only attractive on females, and then only to males of a similar species. Use with caution. Open your inventory and double click this skirt to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '604', 'skirt_s13', 'A skirt - generally only attractive on females, and then only to males of a similar species. Use with caution. Open your inventory and double click this skirt to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '605', 'skirt_s14', 'A skirt - generally only attractive on females, and then only to males of a similar species. Use with caution. Open your inventory and double click this skirt to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '606', 'tiara_s01', 'A tiara - jewelry which is worn on the head and wearable by most humanoid species. Double click this in your inventory to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '607', 'tiara_s02', 'A tiara - jewelry which is worn on the head and wearable by most humanoid species. Double click this in your inventory to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '608', 'vest_hutt_gang_s01', 'A vest usually worn by a Hutt employee.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '609', 'vest_hutt_gang_s02', 'A vest usually worn by a Hutt employee.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '610', 'vest_hutt_gang_s03', 'A vest usually worn by a Hutt employee.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '611', 'vest_s01', 'A vest, normally wearable over top of a shirt, and wearable by most humanoid species. Double click this in your inventory to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '612', 'vest_s02', 'A vest, normally wearable over top of a shirt, and wearable by most humanoid species. Double click this in your inventory to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '613', 'vest_s03', 'A vest, normally wearable over top of a shirt, and wearable by most humanoid species. Double click this in your inventory to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '614', 'vest_s04', 'A vest, normally wearable over top of a shirt, and wearable by most humanoid species. Double click this in your inventory to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '615', 'vest_s05', 'A vest, normally wearable over top of a shirt, and wearable by most humanoid species. Double click this in your inventory to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '616', 'vest_s06', 'A vest, normally wearable over top of a shirt, and wearable by most humanoid species. Double click this in your inventory to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '617', 'vest_s09', 'A vest, normally wearable over top of a shirt, and wearable by most humanoid species. Double click this in your inventory to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '618', 'vest_s10', 'A vest, normally wearable over top of a shirt, and wearable by most humanoid species. Double click this in your inventory to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '619', 'vest_s11', 'A vest, normally wearable over top of a shirt, and wearable by most humanoid species. Double click this in your inventory to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '620', 'vest_s15', 'A vest, normally wearable over top of a shirt, and wearable by most humanoid species. Double click this in your inventory to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '621', 'wke_gloves_s01', 'Gloves, worn on both hands. Some gloves are merely fashion statements, others offer protection against some damage types - careful inspection will usually reveal whether or not this protection exists. To wear these gloves, open your inventory view and double click their icon.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '622', 'wke_gloves_s02', 'Gloves, worn on both hands. Some gloves are merely fashion statements, others offer protection against some damage types - careful inspection will usually reveal whether or not this protection exists. To wear these gloves, open your inventory view and double click their icon.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '623', 'wke_gloves_s03', 'Gloves, worn on both hands. Some gloves are merely fashion statements, others offer protection against some damage types - careful inspection will usually reveal whether or not this protection exists. To wear these gloves, open your inventory view and double click their icon.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '624', 'wke_gloves_s04', 'Gloves, worn on both hands. Some gloves are merely fashion statements, others offer protection against some damage types - careful inspection will usually reveal whether or not this protection exists. To wear these gloves, open your inventory view and double click their icon.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '625', 'wke_hat_s01', 'A hood, wearable only by Wookiees. If you\'re a Wookiee and you want to wear this hood, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '626', 'wke_hood_s01', 'A hood, wearable only by Wookiees. If you\'re a Wookiee and you want to wear this hood, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '627', 'wke_hood_s02', 'A hood, wearable only by Wookiees. If you\'re a Wookiee and you want to wear this hood, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '628', 'wke_hood_s03', 'A hood, wearable only by Wookiees. If you\'re a Wookiee and you want to wear this hood, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '629', 'wke_lifeday_robe', 'Ceremonial Wookiee robe used during Life Day celebration.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '630', 'wke_lifeday_robe_f', 'Ceremonial Wookiee robe used during Life Day celebration. This robe is designed for female wookiees.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '631', 'wke_shirt_s01', 'Shirts come in a wide variety of styles, and some created by master tailors have protective traits. If you\'re a Wookiee and you want to wear this shirt, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '632', 'wke_shirt_s02', 'Shirts come in a wide variety of styles, and some created by master tailors have protective traits. If you\'re a Wookiee and you want to wear this shirt, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '633', 'wke_shirt_s03', 'Shirts come in a wide variety of styles, and some created by master tailors have protective traits. If you\'re a Wookiee and you want to wear this shirt, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '634', 'wke_shirt_s04', 'Shirts come in a wide variety of styles, and some created by master tailors have protective traits. If you\'re a Wookiee and you want to wear this shirt, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '635', 'wke_shoulder_pads_s01', 'Wookiee shoulder pads, more decorative than protective. If you\'re a Wookiee and you want to wear these shoulder pads, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '636', 'wke_shoulder_pads_s02', 'A Wookiee shoulder pad, more decorative than protective. If you\'re a Wookiee and you want to wear this shoulder pad, open your inventory and double click on it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '637', 'wke_skirt_s01', 'A Wookiee waist wrap.  If you\'re a Wookiee, you can open your inventory and double click this waist wrap to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '638', 'wke_skirt_s02', 'A Wookiee waist wrap.  If you\'re a Wookiee, you can open your inventory and double click this waist wrap to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '639', 'wke_skirt_s03', 'A Wookiee waist wrap.  If you\'re a Wookiee, you can open your inventory and double click this waist wrap to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '640', 'wke_skirt_s04', 'A Wookiee waist wrap.  If you\'re a Wookiee, you can open your inventory and double click this waist wrap to wear it.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '641', 'goggles_s04', 'A set of special edition goggles.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '642', 'goggles_s05', 'A set of special edition goggles.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_detail.stf', '643', 'goggles_s06', 'A set of special edition goggles.');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '1', 'apron_porcellus', 'Apron');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '2', 'apron_s01', 'Apron');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '3', 'armor_bone_s01_bicep_l', 'Bone Armor Left Bicep');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '4', 'armor_bone_s01_bicep_r', 'Bone Armor Right Bicep');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '5', 'armor_bone_s01_boots', 'Bone Armor Boots');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '6', 'armor_bone_s01_bracer_l', 'Bone Armor Left Bracer');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '7', 'armor_bone_s01_bracer_r', 'Bone Armor Right Bracer');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '8', 'armor_bone_s01_chest_plate', 'Bone Armor Chest Plate');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '9', 'armor_bone_s01_gloves', 'Bone Armor Gloves');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '10', 'armor_bone_s01_helmet', 'Bone Armor Helmet');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '11', 'armor_bone_s01_leggings', 'Bone Armor Leggings');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '12', 'armor_bone_s02_bicep_l', 'Bone Armor Left Bicep');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '13', 'armor_bone_s02_bicep_r', 'Bone Armor Right Bicep');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '14', 'armor_bone_s02_boots', 'Bone Armor Boots');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '15', 'armor_bone_s02_bracer_l', 'Bone Armor Left Bracer');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '16', 'armor_bone_s02_bracer_r', 'Bone Armor Right Bracer');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '17', 'armor_bone_s02_chest_plate', 'Bone Armor Chest Plate');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '18', 'armor_bone_s02_helmet', 'Bone Armor Helmet');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '19', 'armor_bone_s02_leggings', 'Bone Armor Leggings');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '20', 'armor_charal', 'Charal Armor');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '21', 'armor_chitin_s01_bicep_l', 'Chitin Armor Left Bicep');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '22', 'armor_chitin_s01_bicep_r', 'Chitin Armor Right Bicep');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '23', 'armor_chitin_s01_boots', 'Chitin Armor Boots');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '24', 'armor_chitin_s01_bracer_l', 'Chitin Armor Left Bracer');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '25', 'armor_chitin_s01_bracer_r', 'Chitin Armor Right Bracer');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '26', 'armor_chitin_s01_chest_plate', 'Chitin Armor Chest Plate');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '27', 'armor_chitin_s01_gloves', 'Chitin Armor Gloves');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '28', 'armor_chitin_s01_helmet', 'Chitin Armor Helmet');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '29', 'armor_chitin_s01_leggings', 'Chitin Armor Leggings');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '30', 'armor_chitin_s02_bicep_l', 'Chitin Armor Left Bicep');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '31', 'armor_chitin_s02_bicep_r', 'Chitin Armor Right Bicep');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '32', 'armor_chitin_s02_boots', 'Chitin Armor Boots');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '33', 'armor_chitin_s02_bracer_l', 'Chitin Armor Left Bracer');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '34', 'armor_chitin_s02_bracer_r', 'Chitin Armor Right Bracer');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '35', 'armor_chitin_s02_chest_plate', 'Chitin Armor Chest Plate');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '36', 'armor_chitin_s02_helmet', 'Chitin Armor Helmet');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '37', 'armor_chitin_s02_leggings', 'Chitin Armor Leggings');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '38', 'armor_composite_chest_plate', 'Composite Armor Chest Plate');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '39', 'armor_composite_helmet', 'Composite Armor Helmet');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '40', 'armor_composite_pants', 'Composite Armor Pants');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '41', 'armor_coruscant_gloves', 'Coruscant Armor Gloves');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '42', 'armor_coruscant_helmet', 'Coruscant Armor Helmet');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '43', 'armor_coruscant_pants', 'Coruscant Armor Pants');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '44', 'armor_coruscant_robe', 'Coruscant Armor Robe');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '45', 'armor_imperial_guard_belt', 'Imperial Armor Belt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '46', 'armor_imperial_guard_boots', 'Imperial Armor Boots');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '47', 'armor_imperial_guard_bracer_l', 'Imperial Armor Left Bracer');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '48', 'armor_imperial_guard_bracer_r', 'Imperial Armor Right Bracer');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '49', 'armor_imperial_guard_dress', 'Imperial Armor Dress');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '50', 'armor_imperial_guard_gloves', 'Imperial Armor Gloves');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '51', 'armor_imperial_guard_helmet', 'Imperial Armor Helmet');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '52', 'armor_leather_s01_boots', 'Leather Armor Boots');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '53', 'armor_leather_s01_bracer_l', 'Leather Armor Left Bracer');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '54', 'armor_leather_s01_bracer_r', 'Leather Armor Right Bracer');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '55', 'armor_leather_s01_chest_plate', 'Leather Amor Chest Plate');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '56', 'armor_leather_s01_gloves', 'Leather Armor Gloves');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '57', 'armor_leather_s01_helmet', 'Leather Armor Helmet');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '58', 'armor_leather_s01_pants', 'Leather Armor Pants');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '59', 'armor_leather_s02_boots', 'Leather Armor Boots');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '60', 'armor_leather_s02_bracer_l', 'Leather Armor Left Bracer');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '61', 'armor_leather_s02_bracer_r', 'Leather Amor Right Bracer');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '62', 'armor_leather_s02_chest_plate', 'Leather Armor Chest Plate');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '63', 'armor_leather_s02_helmet', 'Leather Armor Helmet');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '64', 'armor_leather_s02_pants', 'Leather Armor Pants');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '65', 'armor_mandalorian_arm_l', 'Mandalorian Armor Left Arm');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '66', 'armor_mandalorian_arm_r', 'Mandalorian Armor Right Arm');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '67', 'armor_mandalorian_belt', 'Mandalorian Armor Belt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '68', 'armor_mandalorian_bicep_l', 'Mandalorian Armor Left Bicep');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '69', 'armor_mandalorian_bicep_r', 'Mandalorian Armor Right Bicep');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '70', 'armor_mandalorian_bracer_l', 'Mandalorian Armor Left Bracer');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '71', 'armor_mandalorian_bracer_r', 'Mandalorian Armor Right Bracer');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '72', 'armor_mandalorian_chest_plate', 'Mandalorian Armor Chest Plate');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '73', 'armor_mandalorian_gloves', 'Mandalorian Armor Gloves');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '74', 'armor_mandalorian_helmet', 'Mandalorian Armor Helmet');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '75', 'armor_mandalorian_jetpack', 'Mandalorian Armor Jetpack');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '76', 'armor_mandalorian_leggings', 'Mandalorian Armor Leggings');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '77', 'armor_mandalorian_shoes', 'Mandalorian Armor Shoes');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '78', 'armor_marauder_s01_belt', 'Marauder Armor Belt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '79', 'armor_marauder_s01_bicep_l', 'Marauder Armor Left Bicep');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '80', 'armor_marauder_s01_bicep_r', 'Marauder Armor Right Bicep');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '81', 'armor_marauder_s01_bracer_l', 'Marauder Armor Left Bracer');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '82', 'armor_marauder_s01_bracer_r', 'Marauder Armor Right Bracer');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '83', 'armor_marauder_s01_chest_plate', 'Marauder Armor Chest Plate');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '84', 'armor_marauder_s01_gloves', 'Marauder Armor Gloves');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '85', 'armor_marauder_s01_helmet', 'Marauder Armor Helmet');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '86', 'armor_marauder_s01_leggings', 'Marauder Armor Leggings');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '87', 'armor_marauder_s02_bicep_l', 'Marauder Armor Left Bicep');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '88', 'armor_marauder_s02_bicep_r', 'Marauder Armor Right Bicep');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '89', 'armor_marauder_s02_boots', 'Marauder Armor Boots');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '90', 'armor_marauder_s02_bracer_l', 'Marauder Armor Left Bracer');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '91', 'armor_marauder_s02_bracer_r', 'Marauder Armor Right Bracer');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '92', 'armor_marauder_s02_chest_plate', 'Marauder Armor Chest Plate');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '93', 'armor_marauder_s02_leggings', 'Marauder Armor Leggings');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '94', 'armor_marauder_s03_bandolier_double', 'Marauder Armor Bandolier');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '95', 'armor_marauder_s03_bicep_l', 'Marauder Armor Left Bicep');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '96', 'armor_marauder_s03_bicep_r', 'Marauder Armor Right Bicep');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '97', 'armor_marauder_s03_boots', 'Marauder Armor Boots');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '98', 'armor_marauder_s03_bracer_l', 'Marauder Armor Left Bracer');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '99', 'armor_marauder_s03_bracer_r', 'Marauder Armor Right Bracer');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '100', 'armor_marauder_s03_cape', 'Marauder Armor Cape');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '101', 'armor_marauder_s03_chest_plate', 'Marauder Armor Chest Plate');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '102', 'armor_marauder_s03_gloves', 'Marauder Armor Gloves');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '103', 'armor_marauder_s03_helmet', 'Marauder Armor Helmet');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '104', 'armor_marauder_s03_leggings', 'Marauder Armor Leggings');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '105', 'armor_marauder_s04_bicep_l', 'Marauder Armor Left Bicep');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '106', 'armor_marauder_s04_bicep_r', 'Marauder Armor Right Bicep');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '107', 'armor_marauder_s04_boots', 'Marauder Armor Boots');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '108', 'armor_marauder_s04_bracer_l', 'Marauder Armor Left Bracer');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '109', 'armor_marauder_s04_bracer_r', 'Marauder Armor Right Bracer');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '110', 'armor_marauder_s04_chest_plate', 'Marauder Armor Chest Plate');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '111', 'armor_marauder_s04_helmet', 'Marauder Armor Helmet');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '112', 'armor_marauder_s04_leggings', 'Marauder Armor Leggings');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '113', 'armor_marauder_s05_bracer_l', 'Marauder Armor Left Bracer');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '114', 'armor_marauder_s05_bracer_r', 'Marauder Armor Right Bracer');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '115', 'armor_marauder_s05_chest_plate', 'Marauder Armor Chest Plate');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '116', 'armor_marauder_s05_helmet', 'Marauder Armor Helmet');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '117', 'armor_marauder_s06_bicep_l', 'Marauder Armor Left Bicep');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '118', 'armor_marauder_s06_bicep_r', 'Marauder Armor Right Bicep');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '119', 'armor_marauder_s06_bracer_l', 'Marauder Armor Left Bracer');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '120', 'armor_marauder_s06_bracer_r', 'Marauder Armor Right Bracer');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '121', 'armor_marauder_s06_chest_plate', 'Marauder Armor Chest Plate');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '122', 'armor_marauder_s06_helmet', 'Marauder Armor Helmet');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '123', 'armor_marauder_s06_leggings', 'Marauder Armor Leggings');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '124', 'armor_marine_backpack', 'Marine Armor Backpack');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '125', 'armor_marine_bicep_l', 'Marine Armor Left Bicep');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '126', 'armor_marine_bicep_r', 'Marine Armor Right Bicep');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '127', 'armor_marine_boots', 'Marine Armor Boots');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '128', 'armor_marine_chest_plate', 'Marine Armor Chest Plate');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '129', 'armor_marine_helmet', 'Marine Armor Helmet');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '130', 'armor_marine_leggings', 'Marine Armor Leggings');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '131', 'armor_metal_s01_bicep_l', 'Metal Armor Left Bicep');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '132', 'armor_metal_s01_bicep_r', 'Metal Armor Right Bicep');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '133', 'armor_metal_s01_boots', 'Metal Armor Boots');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '134', 'armor_metal_s01_bracer_l', 'Metal Armor Left Bracer');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '135', 'armor_metal_s01_bracer_r', 'Metal Armor Right Bracer');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '136', 'armor_metal_s01_chest_plate', 'Metal Armor Chest Plate');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '137', 'armor_metal_s01_helmet', 'Metal Armor Helmet');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '138', 'armor_metal_s01_pants', 'Metal Armor Pants');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '139', 'armor_metal_s02_bicep_l', 'Metal Armor Left Bicep');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '140', 'armor_metal_s02_bicep_r', 'Metal Armor Right Bicep');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '141', 'armor_metal_s02_boots', 'Metal Armor Boots');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '142', 'armor_metal_s02_bracer_l', 'Metal Armor Left Bracer');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '143', 'armor_metal_s02_bracer_r', 'Metal Armor Right Bracer');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '144', 'armor_metal_s02_chest_plate', 'Metal Armor Chest Plate');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '145', 'armor_metal_s02_helmet', 'Metal Armor Helmet');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '146', 'armor_metal_s02_pants', 'Metal Armor Pants');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '147', 'armor_naboo_guard_bicep_l', 'Naboo Guard Armor Left Bicep');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '148', 'armor_naboo_guard_bicep_r', 'Naboo Guard Armor Right Bicep');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '149', 'armor_naboo_guard_boots', 'Naboo Guard Armor Boots');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '150', 'armor_naboo_guard_bracer_l', 'Naboo Guard Armor Left Bracer');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '151', 'armor_naboo_guard_bracer_r', 'Naboo Guard Armor Right Bracer');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '152', 'armor_naboo_guard_chest', 'Naboo Guard Armor Chest');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '153', 'armor_naboo_guard_chest_plate', 'Naboo Guard Armor Chest Plate');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '154', 'armor_naboo_guard_leggings', 'Naboo Guard Armor Leggings');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '155', 'armor_nightsister_shoulderpads_s01', 'Nightsister Armor Shoulderpads');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '156', 'armor_nightsister_shoulderpads_s02', 'Nightsister Armor Shoulderpads');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '157', 'armor_padded_s01_belt', 'Padded Armor Belt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '158', 'armor_padded_s01_bicep_l', 'Padded Armor Left Bicep');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '159', 'armor_padded_s01_bicep_r', 'Padded Armor Right Bicep');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '160', 'armor_padded_s01_boots', 'Padded Armor Boots');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '161', 'armor_padded_s01_bracer_l', 'Padded Armor Left Bracer');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '162', 'armor_padded_s01_bracer_r', 'Padded Armor Right Bracer');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '163', 'armor_padded_s01_chest_plate', 'Padded Armor Chest Plate');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '164', 'armor_padded_s01_gloves', 'Padded Armor Gloves');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '165', 'armor_padded_s01_helmet', 'Padded Armor Helmet');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '166', 'armor_padded_s01_leggings', 'Padded Armor Leggings');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '167', 'armor_padded_s02_bicep_l', 'Padded Armor Left Bicep');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '168', 'armor_padded_s02_bicep_r', 'Padded Armor Right Bicep');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '169', 'armor_padded_s02_boots', 'Padded Armor Boots');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '170', 'armor_padded_s02_bracer_l', 'Padded Armor Left Bracer');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '171', 'armor_padded_s02_bracer_r', 'Padded Armor Right Bracer');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '172', 'armor_padded_s02_chest_plate', 'Padded Armor Chest Plate');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '173', 'armor_padded_s02_helmet', 'Padded Armor Helmet');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '174', 'armor_padded_s02_pants', 'Padded Armor Pants');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '175', 'armor_s01', '');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '176', 'armor_scout_trooper_backpack', 'Scout Trooper Armor Backpack');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '177', 'armor_scout_trooper_bicep_l', 'Scout Trooper Armor Left Bicep');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '178', 'armor_scout_trooper_bicep_r', 'Scout Trooper Armor Right Bicep');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '179', 'armor_scout_trooper_bodysuit', 'Scout Trooper Armor Bodysuit');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '180', 'armor_scout_trooper_boots', 'Scout Trooper Armor Boots');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '181', 'armor_scout_trooper_bracer_l', 'Scout Trooper Armor Left Bracer');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '182', 'armor_scout_trooper_bracer_r', 'Scout Trooper Armor Right Bracer');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '183', 'armor_scout_trooper_chest_plate', 'Scout Trooper Armor Chest Plate');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '184', 'armor_scout_trooper_helmet', 'Scout Trooper Armor Helmet');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '185', 'armor_shug_ninx_chest_plate', 'Shug Ninx Armor Chest Plate');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '186', 'armor_shug_ninx_pants', 'Shug Ninx Armor Pants');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '187', 'armor_shug_ninx_shoes', 'Shug Ninx Armor Shoes');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '188', 'armor_snowtrooper_backpack', 'Snowtrooper Armor Backpack');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '189', 'armor_snowtrooper_bicep_l', 'Snowtrooper Armor Left Bicep');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '190', 'armor_snowtrooper_bicep_r', 'Snowtrooper Armor Right Bicep');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '191', 'armor_snowtrooper_boots', 'Snowtrooper Armor Boots');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '192', 'armor_snowtrooper_bracer_l', 'Snowtrooper Armor Left Bracer');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '193', 'armor_snowtrooper_bracer_r', 'Snowtrooper Armor Right Bracer');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '194', 'armor_snowtrooper_chest', 'Snowtrooper Armor Chest');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '195', 'armor_snowtrooper_chest_plate', 'Snowtrooper Armor Chest Plate');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '196', 'armor_snowtrooper_helmet', 'Snowtrooper Armor Helmet');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '197', 'armor_snowtrooper_jacket', 'Snowtrooper Armor Jacket');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '198', 'armor_stormtrooper_bicep_l', 'Stormtrooper Armor Left Bicep');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '199', 'armor_stormtrooper_bicep_r', 'Stormtrooper Armor Right Bicep');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '200', 'armor_stormtrooper_boots', 'Stormtrooper Armor Boots');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '201', 'armor_stormtrooper_bracer_l', 'Stormtrooper Armor Left Bracer');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '202', 'armor_stormtrooper_bracer_r', 'Stormtrooper Armor Right Bracer');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '203', 'armor_stormtrooper_chest_plate', 'Stormtrooper Armor Chest Plate');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '204', 'armor_stormtrooper_gloves', 'Stormtrooper Armor Gloves');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '205', 'armor_stormtrooper_helmet', 'Stormtrooper Armor Helmet');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '206', 'armor_stormtrooper_leggings', 'Stormtrooper Armor Leggings');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '207', 'armor_stormtrooper_utility_belt', 'Stormtrooper Armor Utility Belt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '208', 'armor_taloron_bicep_l', 'Taloron Armor Left Bicep');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '209', 'armor_taloron_bicep_r', 'Taloron Armor Right Bicep');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '210', 'armor_taloron_boots', 'Taloron Armor Boots');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '211', 'armor_taloron_bracer_l', 'Taloron Armor Left Bracer');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '212', 'armor_taloron_bracer_r', 'Taloron Armor Right Bracer');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '213', 'armor_taloron_chest_plate', 'Taloron Armor Chest Plate');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '214', 'armor_taloron_helmet', 'Taloron Armor Helmet');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '215', 'armor_taloron_leggings', 'Taloron Armor Leggings');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '216', 'armor_tantel_skreej_boots', 'Tantel Armor Boots');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '217', 'armor_tantel_skreej_bracer_l', 'Tantel Armor Left Bracer');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '218', 'armor_tantel_skreej_bracer_r', 'Tantel Armor Right Bracer');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '219', 'armor_tantel_skreej_chest_plate', 'Tantel Armor Chest Plate');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '220', 'armor_tantel_skreej_helmet', 'Tantel Armor Helmet');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '221', 'armor_tantel_skreej_pants', 'Tantel Armor Pants');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '222', 'armor_tantel_skreej_shirt', 'Tantel Armor Shirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '223', 'armor_tenel_ka_boots', 'Tenel Armor Boots');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '224', 'armor_tenel_ka_chest_plate', 'Tenel Armor Chest Plate');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '225', 'armor_tenel_ka_gloves', 'Tenel Armor Gloves');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '226', 'armor_tenel_ka_pants', 'Tenel Armor Pants');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '227', 'armor_ubese_bandolier', 'Ubese Armor Bandolier');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '228', 'armor_ubese_boots', 'Ubese Armor Boots');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '229', 'armor_ubese_bracer_l', 'Ubese Armor Left Bracer');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '230', 'armor_ubese_bracer_r', 'Ubese Armor Right Bracer');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '231', 'armor_ubese_cape', 'Ubese Armor Cape');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '232', 'armor_ubese_chest_plate', 'Ubese Armor Chest Plate');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '233', 'armor_ubese_gloves', 'Ubese Armor Gloves');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '234', 'armor_ubese_helmet', 'Ubese Armor Helmet');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '235', 'armor_ubese_jacket', 'Ubese Armor Jacket');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '236', 'armor_ubese_pants', 'Ubese Armor Pants');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '237', 'armor_ubese_shirt', 'Ubese Armor Shirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '238', 'armor_weequay_chest_plate', 'Weequay Armor Chest Plate');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '239', 'armor_zam_wesell_boots', 'Mabari Armorweave Boots');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '240', 'armor_zam_wesell_chest_plate', 'Mabari Armorweave Chest Plate');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '241', 'armor_zam_wesell_gloves', 'Mabari Armorweave Gloves');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '242', 'armor_zam_wesell_helmet', 'Mabari Armorweave Helmet');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '243', 'armor_zam_wesell_pants', 'Mabari Armorweave Pants');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '244', 'backpack_s01', 'Travel Pack');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '245', 'backpack_s02', 'Backpack');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '246', 'backpack_s03', 'Military Travel Pack');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '247', 'backpack_s04', 'Tech Pack');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '248', 'backpack_s05', 'Bounty Hunter Pack');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '249', 'backpack_s06', 'Spec-Ops Pack');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '250', 'bandolier_s01', 'Bandolier');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '251', 'bandolier_s02', 'Mercenary Bandolier');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '252', 'bandolier_s03', 'Two-Strap Bandolier');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '253', 'bandolier_s04', 'Multipocket Bandolier');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '254', 'bandolier_s05', 'Ammo Bandolier');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '255', 'bandolier_s06', 'Rank Sash');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '256', 'bandolier_s07', 'Shoulder Strap');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '257', 'bandolier_s08', 'Dark Sash');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '258', 'bandolier_tusken_raider_s01', 'Tusken Raider Bandolier');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '259', 'bandolier_tusken_raider_s02', 'Tusken Raider Bandolier');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '260', 'bandolier_tusken_raider_s03', 'Tusken Raider Bandolier');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '261', 'bikini_s01', 'Revealing Bikini');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '262', 'bikini_s02', 'Metal Bikini');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '263', 'bikini_s03', 'Low-Cut Top');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '264', 'bikini_s04', 'Revealing Top');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '265', 'bodysuit_atat', 'AT-AT Pilot Bodysuit');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '266', 'bodysuit_bwing', 'B-Wing Pilot Bodysuit');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '267', 'bodysuit_s01', 'Heavy Flightsuit');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '268', 'bodysuit_s02', 'Bodysuit');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '269', 'bodysuit_s03', 'Bodysuit');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '270', 'bodysuit_s04', 'Bodysuit');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '271', 'bodysuit_s05', 'Bodysuit');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '272', 'bodysuit_s06', 'Revealing Fleshwrap');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '273', 'bodysuit_s07', 'Bodysuit');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '274', 'bodysuit_s08', 'Transport Flightsuit');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '275', 'bodysuit_s09', 'Bodysuit');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '276', 'bodysuit_s10', 'Bodysuit');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '277', 'bodysuit_s11', 'Bodysuit');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '278', 'bodysuit_s12', 'Trader\'s Flightsuit');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '279', 'bodysuit_s13', 'Reinforced Jumpsuit');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '280', 'bodysuit_s14', 'Fighter Flightsuit');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '281', 'bodysuit_s15', 'Tactical Skinsuit');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '282', 'bodysuit_tie_fighter', 'Tie Pilot Bodysuit');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '283', 'boots_s02', 'Boots');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '284', 'boots_s03', 'Wrapped Boots');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '285', 'boots_s04', 'Hide Boots');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '286', 'boots_s05', 'Sturdy Boots');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '287', 'boots_s06', 'Boots');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '288', 'boots_s08', 'Boots');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '289', 'boots_s10', 'Boots');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '290', 'boots_s11', 'Boots');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '291', 'boots_s12', 'High Quality Boots');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '292', 'boots_s13', 'Boots');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '293', 'boots_s14', 'Uniform Boots');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '294', 'boots_s15', 'Standard Boots');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '295', 'boots_s16', 'Boots');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '296', 'boots_s17', 'Boots');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '297', 'boots_s18', 'Boots');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '298', 'boots_s19', 'Thermal Boots');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '299', 'boots_s20', 'Boots');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '300', 'boots_s21', 'Paneled Boots');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '301', 'boots_s22', 'Boots');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '302', 'boots_s23', 'Boots');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '303', 'boots_s24', 'Boots');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '304', 'boots_s25', 'Boots');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '305', 'boots_s26', 'Boots');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '306', 'boots_s28', 'Boots');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '307', 'boots_s29', 'Boots');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '308', 'boots_s30', 'Boots');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '309', 'boots_s31', 'Boots');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '310', 'boots_s32', 'Boots');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '311', 'boots_s33', 'Boots');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '312', 'boots_s34', 'Snow Boots');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '313', 'boots_s35', 'Boots');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '314', 'boots_tusken_raider', 'Tusken Raider Boots');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '315', 'bracelet_s01', 'Bracelet');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '316', 'bracelet_s02', 'Metal Band');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '317', 'bracelet_s03', 'Golden Bracelet');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '318', 'bracelet_s04', 'Golden Symbol');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '319', 'bracelet_s05', 'Bangles');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '320', 'bracer_s01', 'Bracer');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '321', 'bracer_s02', 'Bracer');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '322', 'bracer_s03', 'Bracer');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '323', 'bracer_s04', 'Bracer');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '324', 'bracer_s05', 'Bracer');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '325', 'bustier_s01', 'Light Bustier');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '326', 'bustier_s02', 'Small Bustier');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '327', 'bustier_s03', 'Sports Bustier');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '328', 'cape_s01', 'Cape');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '329', 'cape_s02', 'Cape');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '330', 'cape_s03', 'Cape');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '331', 'cape_s04', 'Cape');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '332', 'cape_s05', 'Cape');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '333', 'cape_s06', 'Cape');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '334', 'cape_s07', 'Cape');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '335', 'cape_s08', 'Cape');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '336', 'cape_s09', 'Cape');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '337', 'cape_s10', 'Cape');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '338', 'cape_s11', 'Cape');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '339', 'cape_s12', 'Cape');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '340', 'dress_s02', 'Dress');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '341', 'dress_s03', 'Dress');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '342', 'dress_s05', 'Decorative Dress');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '343', 'dress_s06', 'Maiden\'s Dress');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '344', 'dress_s07', 'Pleated Dress');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '345', 'dress_s08', 'Exotic Leotard');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '346', 'dress_s09', 'Loose Dress');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '347', 'dress_s10', 'Plain Robe');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '348', 'dress_s11', 'Robe');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '349', 'dress_s12', 'Plain Short Robe');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '350', 'dress_s13', 'Smock');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '351', 'dress_s14', 'Exquisite Gown');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '352', 'dress_s15', 'Grand Healer\'s Robe');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '353', 'dress_s16', 'Cloaked Dress');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '354', 'dress_s17', 'Robe');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '355', 'dress_s18', 'Administrator\'s Robe');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '356', 'dress_s19', 'Doctor\'s Dress');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '357', 'robe', 'Dress');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '358', 'dress_s21', 'Robe');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '359', 'dress_s22', 'Robe');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '360', 'dress_s23', 'Councilman\'s Robe');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '361', 'dress_s24', 'Robe');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '362', 'dress_s25', 'Robe');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '363', 'dress_s26', 'Frock');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '364', 'dress_s27', 'Formal Gown');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '365', 'dress_s28', 'Robe');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '366', 'dress_s29', 'Sleeveless Dress');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '367', 'dress_s30', 'Elegant Gown');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '368', 'dress_s31', 'Longsleeve Gown');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '369', 'earring_s01', 'Earrings');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '370', 'earring_s02', 'Earrings');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '371', 'earring_s03', 'Earrings');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '372', 'earring_s04', 'Earrings');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '373', 'eyewear_s01', 'Eyewear');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '374', 'eyewear_s02', 'Eyewear');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '375', 'eyewear_s03', 'Eyewear');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '376', 'eyewear_s04', 'Eyewear');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '377', 'eyewear_s05', 'Eyewear');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '378', 'eyewear_s06', 'Eyewear');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '379', 'gloves_s01', 'Gloves');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '380', 'gloves_s02', 'Leather Work Gloves');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '381', 'gloves_s03', 'Cold Weather Gloves');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '382', 'gloves_s04', 'Gloves');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '383', 'gloves_s05', 'Gloves');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '384', 'gloves_s07', 'Long Leather Gloves');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '385', 'gloves_s08', 'Gloves');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '386', 'gloves_s09', 'Gloves');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '387', 'gloves_s10', 'Heavy Gloves');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '388', 'gloves_s11', 'Workman\'s Gloves');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '389', 'gloves_s12', 'Leather Gloves');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '390', 'gloves_s13', 'Long Uniform Gloves');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '391', 'gloves_s14', 'Link-Steel Reinforced Gloves');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '392', 'gloves_tusken_raider', 'Tusken Raider Gloves');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '393', 'hat_s01', 'Hat');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '394', 'hat_s02', 'Warm Hat');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '395', 'hat_s03', 'Hat');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '396', 'hat_s04', 'Swoop Helm');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '397', 'hat_s05', 'Hat');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '398', 'hat_s06', 'Hat');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '399', 'hat_s07', 'Hat');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '400', 'hat_s08', 'Hat');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '401', 'hat_s09', 'Hat');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '402', 'hat_s10', 'Sunguard');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '403', 'hat_s11', 'Hat');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '404', 'hat_s12', 'Large Headwrap');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '405', 'hat_s13', 'Decorative Headdress');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '406', 'hat_s14', 'Headwrap');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '407', 'hat_twilek_s01', 'Twi\'lek Bone Crest');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '408', 'hat_twilek_s02', 'Twi\'lek Lekku Wrap');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '409', 'helmet_alliance', 'Rebel Alliance Helmet');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '410', 'helmet_atat', 'AT-AT Helmet');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '411', 'helmet_royal_guard', 'Royal Guard Helmet');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '412', 'helmet_s01', 'Helmet');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '413', 'helmet_s02', 'Helmet');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '414', 'helmet_s03', 'Helmet');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '415', 'helmet_s04', 'Helmet');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '416', 'helmet_s06', 'Helmet');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '417', 'helmet_s07', 'Helmet');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '418', 'helmet_s08', 'Helmet');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '419', 'helmet_s09', 'Helmet');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '420', 'helmet_s10', 'Helmet');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '421', 'helmet_s11', 'Helmet');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '422', 'helmet_s12', 'Helmet');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '423', 'helmet_tie_fighter', 'Tie Pilot Helmet');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '424', 'helmet_tusken_raider_s01', 'Tusken Raider Helmet');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '425', 'helmet_tusken_raider_s02', 'Tusken Raider Helmet');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '426', 'jacket_s02', 'Shortsleeve Jacket');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '427', 'jacket_s03', 'Long Formal Jacket');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '428', 'jacket_s04', 'Jacket');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '429', 'jacket_s05', 'Padded Jacket');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '430', 'jacket_s06', 'Vested Jacket');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '431', 'jacket_s07', 'Scout Jacket');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '432', 'jacket_s08', 'Rugged Jacket');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '433', 'jacket_s09', 'Jacket');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '434', 'jacket_s10', 'Heavy Reinforced Jacket');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '435', 'jacket_s11', 'Suit Jacket');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '436', 'jacket_s12', 'Casual Jacket');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '437', 'jacket_s13', 'Reinforced Jacket');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '438', 'jacket_s14', 'Wooly Jacket');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '439', 'jacket_s15', 'Labour Jacket');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '440', 'jacket_s16', 'Cold Weather Jacket');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '441', 'jacket_s17', 'Belted Jacket');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '442', 'jacket_s18', 'Reinforced Pullover');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '443', 'jacket_s19', 'Tight Jacket');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '444', 'jacket_s21', 'Spec-Ops Duster');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '445', 'jacket_s22', 'Dress Robe');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '446', 'jacket_s24', 'Sleeveless Jacket');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '447', 'jacket_s25', 'Dress Uniform Jacket');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '448', 'jacket_s26', 'Flared Jacket');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '449', 'jacket_s27', 'Jacket');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '450', 'jacket_s28', 'Jacket');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '451', 'jacket_s29', 'Jacket');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '452', 'jacket_s30', 'Jacket');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '453', 'jacket_s31', 'Jacket');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '454', 'jacket_s32', 'Jacket');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '455', 'jacket_s33', 'Jacket');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '456', 'jacket_s34', 'Jacket');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '457', 'jacket_s35', 'Desert Command Jacket');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '458', 'jacket_s36', 'Pilot\'s Jacket');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '459', 'jacket_s37', 'Jacket');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '460', 'jacket_s38', 'Jacket');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '461', 'jacket_s39', 'Jacket');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '462', 'jacket_s40', 'Jacket');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '463', 'jacket_s41', 'Jacket');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '464', 'jacket_s42', 'Jacket');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '465', 'jacket_s43', 'Jacket');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '466', 'jacket_s44', 'Jacket');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '467', 'jacket_s45', 'Jacket');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '468', 'jacket_s46', 'Jacket');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '469', 'jacket_s47', 'Jacket');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '470', 'mask_s01', 'Mask');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '471', 'mask_s02', 'Mask');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '472', 'necklace_s01', 'Plated Necklace');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '473', 'necklace_s02', 'Stately Necklace');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '474', 'necklace_s03', 'Crested Neckpiece');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '475', 'necklace_s04', 'Gemstone Crest');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '476', 'pants_s01', 'Striped Pants');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '477', 'pants_s02', 'Winged Hawtpants');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '478', 'pants_s04', 'Pocketed Work Pants');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '479', 'pants_s05', 'Thin Striped Pants');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '480', 'pants_s06', 'Ribbed Pants');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '481', 'pants_s07', 'Basic Camos');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '482', 'pants_s08', 'Striped Slacks');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '483', 'pants_s09', 'Quilted Pants');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '484', 'pants_s10', 'Wrinkled Pants');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '485', 'pants_s11', 'Desert Crawlers');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '486', 'pants_s12', 'Work Slacks');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '487', 'pants_s13', 'Comfortable Slacks');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '488', 'pants_s14', 'Large Pocket Pants');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '489', 'pants_s15', 'Dress Slacks');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '490', 'pants_s17', 'Shorts');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '491', 'pants_s18', 'Short Skirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '492', 'pants_s20', 'Pants');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '493', 'pants_s21', 'Paramilitary Camos');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '494', 'pants_s22', 'Infiltrator Leggings');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '495', 'pants_s23', 'Pants');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '496', 'pants_s24', 'Pantaloons');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '497', 'pants_s25', 'Casual Pants');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '498', 'pants_s26', 'Hot Pants');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '499', 'pants_s27', 'Pocketed Shorts');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '500', 'pants_s28', 'Reinforced Pants');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '501', 'pants_s29', 'Crafter\'s Pants');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '502', 'pants_s30', 'Padded Workpants');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '503', 'pants_s31', 'Slacks');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '504', 'pants_s32', 'Short Wrap');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '505', 'pants_s33', 'Lined Shorts');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '506', 'ring_s01', 'Band');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '507', 'ring_s02', 'Signet');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '508', 'ring_s03', 'Ring');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '509', 'robe_inquisitor', 'Inquisitor Robe');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '510', 'robe_prefect_talmont', 'Prefect Talmont\'s Robe');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '511', 'robe_royal_guard', 'Royal Guard Robe');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '512', 'robe_s01', 'Robe of Honor');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '513', 'robe_s02', 'Robe');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '514', 'robe_s03', 'Robe');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '515', 'robe_s04', 'Double Robe');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '516', 'robe_s05', 'Cloak');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '517', 'robe_s06', 'Robe');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '518', 'robe_s07', 'Robe');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '519', 'robe_s08', 'Robe');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '520', 'robe_s10', 'Robe');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '521', 'robe_s11', 'Robe');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '522', 'robe_s12', 'Grand Mayoral Robe');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '523', 'robe_s15', 'Robe');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '524', 'robe_s18', 'Wookiee Smock');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '525', 'robe_s19', 'Robe');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '526', 'robe_s22', 'Robe');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '527', 'robe_s23', 'Robe');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '528', 'robe_s24', 'Robe');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '529', 'robe_s25', 'Robe');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '530', 'robe_s26', 'Robe');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '531', 'robe_s27', 'Gunman\'s Duster');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '532', 'robe_s28', 'Robe');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '533', 'robe_s30', 'Robe');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '534', 'robe_s32', 'Robe');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '535', 'robe_s33', 'Robe');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '536', 'robe_s34', 'Robe');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '537', 'robe_s35', 'Robe');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '538', 'robe_s36', 'Robe');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '539', 'robe_s37', 'Robe');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '540', 'robe_s38', 'Robe');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '541', 'robe_s39', 'Robe');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '542', 'robe_s40', 'Robe');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '543', 'robe_tusken_raider_s01', 'Tusken Raider Robe');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '544', 'robe_tusken_raider_s02', 'Tusken Raider Robe');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '545', 'shirt_s01', 'Shirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '546', 'shirt_s02', 'Shirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '547', 'shirt_s03', 'Plain Shirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '548', 'shirt_s04', 'Simple Shirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '549', 'shirt_s05', 'Dress Shirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '550', 'shirt_s07', 'Casual Shirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '551', 'shirt_s08', 'Sidebuttoned Shirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '552', 'shirt_s09', 'Ribbed Shirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '553', 'shirt_s10', 'Reinforced Work Shirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '554', 'shirt_s11', 'Wooly Shirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '555', 'shirt_s12', 'Flared Cuff Shirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '556', 'shirt_s13', 'Formal Shirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '557', 'shirt_s14', 'Formfitting Undershirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '558', 'shirt_s15', 'Trim Lined Shirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '559', 'shirt_s16', 'Longsleeve Shirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '560', 'shirt_s17', 'Shirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '561', 'shirt_s18', 'Shirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '562', 'shirt_s19', 'Shirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '563', 'shirt_s21', 'Shirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '564', 'shirt_s22', 'Shirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '565', 'shirt_s23', 'Shirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '566', 'shirt_s24', 'Sports Wrap');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '567', 'shirt_s25', 'Shirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '568', 'shirt_s26', 'Lined Workshirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '569', 'shirt_s27', 'Shortsleeve Shirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '570', 'shirt_s28', 'Dress Blouse');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '571', 'shirt_s29', 'Shirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '572', 'shirt_s30', 'Leather Trim Shirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '573', 'shirt_s31', 'Shirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '574', 'shirt_s32', 'Suit Shirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '575', 'shirt_s33', 'Shirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '576', 'shirt_s34', 'Soft Undershirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '577', 'shirt_s35', 'Shirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '578', 'shirt_s36', 'Shirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '579', 'shirt_s38', 'Flex-form Shirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '580', 'shirt_s39', 'Shirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '581', 'shirt_s40', 'Shirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '582', 'shirt_s41', 'Shirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '583', 'shirt_s42', 'Muscle Shirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '584', 'shirt_s43', 'Shirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '585', 'shoes_s01', 'Dress Shoes');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '586', 'shoes_s02', 'Casual Shoes');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '587', 'shoes_s03', 'Sneakers');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '588', 'shoes_s04', 'Shoes');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '589', 'shoes_s05', 'Shoes');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '590', 'shoes_s06', 'Shoes');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '591', 'shoes_s07', 'Sandals');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '592', 'skirt_s01', 'Skirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '593', 'skirt_s03', 'Extremely Revealing Skirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '594', 'skirt_s04', 'Pleated Skirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '595', 'skirt_s05', 'Modest Skirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '596', 'skirt_s06', 'Belted Skirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '597', 'skirt_s07', 'Fashionably Pleated Skirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '598', 'skirt_s08', 'Skirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '599', 'skirt_s09', 'Decorative Skirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '600', 'skirt_s10', 'Wrapped Skirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '601', 'skirt_s11', 'Noble Skirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '602', 'skirt_s12', 'Refined Skirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '603', 'skirt_s13', 'Thin Pleated Skirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '604', 'skirt_s14', 'Two-Tone Formal Skirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '605', 'tiara_s01', 'Tiara');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '606', 'tiara_s02', 'Tiara');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '607', 'underwear_bottom', 'Shorts');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '608', 'underwear_top', 'Undershirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '609', 'utility_belt_tusken_raider', 'Tusken Raider Belt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '610', 'vest_hutt_gang_s01', 'Hutt Gang Vest');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '611', 'vest_hutt_gang_s02', 'Hutt Gang Vest');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '612', 'vest_hutt_gang_s03', 'Hutt Gang Vest');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '613', 'vest_s01', 'Belted Vest');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '614', 'vest_s02', 'Crested Vest');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '615', 'vest_s03', 'Short Vest');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '616', 'vest_s04', 'Simple Vest');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '617', 'vest_s05', 'Pullover');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '618', 'vest_s06', 'Padded Pullover');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '619', 'vest_s07', 'Vest');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '620', 'vest_s08', 'Vest');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '621', 'vest_s09', 'Cargo Vest');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '622', 'vest_s10', 'Mangy Vest');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '623', 'vest_s11', 'Long Vest');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '624', 'vest_s12', 'Vest');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '625', 'vest_s13', 'Vest');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '626', 'vest_s14', 'Vest');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '627', 'vest_s15', 'Decorative Vest');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '628', 'vest_s16', 'Vest');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '629', 'vest_s17', 'Vest');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '630', 'vest_s18', 'Vest');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '631', 'dress_s32', 'Intricate Dress');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '632', 'dress_s33', 'Patterned Slip Dress');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '633', 'dress_s34', 'Luxurious Gown');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '634', 'dress_s35', 'Grand Ball Gown');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '635', 'belt_s01', 'Small Pocket Belt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '636', 'default_bicep_both', 'Armor Both Biceps');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '637', 'default_bicep_l', 'Armor Left Bicep');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '638', 'default_bicep_r', 'Armor Right Bicep');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '639', 'cloak_s01', 'Cloak');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '640', 'default_costume', 'Costume');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '641', 'default_gauntlets', 'Armor Gauntlets');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '642', 'default_held', 'An item');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '643', 'default_jewelry', 'Jewelry');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '644', 'default_mouth', 'Item');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '645', 'default_pauldrons', 'Armor Pauldrons');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '646', 'default_pauldron_l', 'Armor Left Pauldron');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '647', 'default_pauldron_r', 'Armor Right Pauldron\n');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '648', 'default_sleeves', 'Sleeves');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '649', 'default_sleeve_l', 'Left Sleeve');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '650', 'default_sleeve_r', 'Right Sleeve');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '651', 'default_wearable', 'an unknown garment');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '652', 'default_armor', 'Armor');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '653', 'armor_composite_bicep_l', 'Composite Armor Left Bicep');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '654', 'armor_composite_bicep_r', 'Composite Armor Right Bicep');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '655', 'armor_composite_bracer_l', 'Composite Armor Left Bracer');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '656', 'armor_composite_bracer_r', 'Composite Armor Right Bracer');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '657', 'armor_composite_gloves', 'Composite Armor Gloves');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '658', 'armor_composite_boots', 'Composite Armor Boots');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '659', 'belt_s18', 'Bristle Hide Belt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '660', 'bikini_leggings_s01', 'Sheer Leggings');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '661', 'belt_s07', 'Multipocket Belt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '662', 'belt_s11', 'Two Pocket Belt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '663', 'dress_s20', 'Robe');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '664', 'belt_s04', 'Workman\'s Belt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '665', 'bracelet_s06', 'Metal Bracelet');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '666', 'necklace_s06', 'Metal Necklace');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '667', 'necklace_s08', 'Large Pendant');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '668', 'necklace_s11', 'Striped Pendant');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '669', 'gloves_s06', 'Tipless Gloves');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '670', 'shoes_s08', 'Women\'s Shoes');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '671', 'shoes_s09', 'Dress Slippers');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '672', 'belt_s09', 'Utility Belt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '673', 'belt_s02', 'Decorated Belt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '674', 'belt_s03', 'Cartridge Belt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '675', 'belt_s05', 'Grenadier\'s Belt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '676', 'bodysuit_s16', 'Infiltration Suit');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '677', 'necklace_s07', 'Emerald Pendant');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '678', 'belt_s15', 'Strap Belt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '679', 'belt_s16', 'Leather Belt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '680', 'belt_s12', 'Suit Belt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '681', 'belt_s14', 'Black Leather Belt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '682', 'belt_s19', 'Widebuckle Belt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '683', 'necklace_s09', 'Silver Pendant');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '684', 'necklace_s10', 'Heavy Crystal Symbol');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '685', 'necklace_s12', 'Elegant Gemstone Necklace');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '686', 'belt_s13', 'Dignified Belt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '687', 'belt_s17', 'Fancy Belt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '688', 'belt_s20', 'Simplified Belt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '689', 'hat_twilek_s03', 'Twi\'lek Noble\'s Crest');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '690', 'hat_twilek_s04', 'Lekku Ys\'rak');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '691', 'hat_twilek_s05', 'Grand Twi\'lek Headpiece');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '692', 'bikini_s01_leggings', 'Bikini Leggings');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '693', 'necklace_s05', 'Immense Gemstone Necklace');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '694', 'hat_imp_s01', 'Imperial Command Hat');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '695', 'armor_zam_wesell_belt', 'Mabari Armorweave Belt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '696', 'nightsister_pants_s01', 'Nightsister Pestilence Leggings');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '697', 'goggles_s01', 'Special Edition Goggles');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '698', 'goggles_s02', 'Special Edition Goggles');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '699', 'goggles_s03', 'Special Edition Goggles');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '700', 'wke_gloves_s01', 'Patterned Wookiee Gloves');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '701', 'wke_gloves_s02', 'Wookiee Arm Wraps');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '702', 'wke_hood_s01', 'Tree-Dweller\'s Hood');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '703', 'wke_hood_s02', 'Wookiee Sage\'s Hood');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '704', 'wke_shirt_s01', 'Wookiee Hide Jerkin');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '705', 'wke_shoulder_pads_s01', 'Heavy Shoulder Pad');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '706', 'wke_shoulder_pads_s02', 'Wookiee Shoulder Pad');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '707', 'wke_skirt_s01', 'Decorative Waist Wrap');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '708', 'wke_skirt_s02', 'Sigiled Waist Wrap');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '709', 'wke_gloves_s03', 'Wookiee Padded Gloves');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '710', 'wke_gloves_s04', 'Wookiee Strapped Gloves');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '711', 'wke_hood_s03', 'Weighted Wookiee Hood');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '712', 'wke_hat_s01', 'Wookiee Traveller\'s Helm');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '713', 'wke_shirt_s03', 'Wookiee Battle Padding');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '714', 'wke_shirt_s02', 'Weighted Wookiee Pullover');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '715', 'wke_shirt_s04', 'Crested Battle Padding');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '716', 'wke_skirt_s04', 'Simple Waist Wrap');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '717', 'wke_skirt_s03', 'Weighted Waist Wrap');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '718', 'nightsister_hat_s01', 'Nightsister Aerie Stalker Hood');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '719', 'nightsister_hat_s02', 'Nightsister Carnage Beret');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '720', 'nightsister_hat_s03', 'Nightsister Tarnished Shroud');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '721', 'nightsister_pants_s02', 'Nightsister Scourge Leggings');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '722', 'nightsister_shirt_s01', 'Nightsister Gruesome Wrap');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '723', 'nightsister_shirt_s02', 'Nightsister Battle Mantle');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '724', 'nightsister_shirt_s03', 'Nightsister Havoc Habit');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '725', 'nightsister_bicep_r', 'Nightsister Melee Armguard');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '726', 'nightsister_dress_01', 'Nightsister Skirmish Robe');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '727', 'nightsister_boots_s01', 'Nightsister Dyed Foot Wraps');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '728', 'ring_s04', 'Fingerband');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '729', 'singing_mountain_clan_boots', 'Singing Mountain Clan Boots');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '730', 'bandolier_s09', 'Rugged Strap');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '731', 'armor_singing_mountain_clan_s01_bicep', 'Singing Mountain Clan Left Bicep Armor');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '732', 'armor_singing_mountain_clan_s01_bracer_l', 'Singing Mountain Clan Left Bracer Armor');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '733', 'armor_singing_mountain_clan_s01_bracer_r', 'Singing Mountain Clan Right Bicep Armor');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '734', 'armor_singing_mountain_clan_s01_bicep_r', 'Singing Mountain Clan Right Bicep Armor');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '735', 'singing_mountain_clan_hat_s01', 'Singing Mountain Clan Hat');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '736', 'singing_mountain_clan_hat_s02', 'Singing Mountain Clan Frenzy Headcover');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '737', 'singing_mountain_clan_mask_s01', 'Singing Mountain Clan Mask');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '738', 'singing_mountain_clan_shirt_s01', 'Singing Mountain Clan Shirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '739', 'singing_mountain_clan_skirt_s01', 'Singing Mountain Clan Skirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '740', 'singing_mountain_clan_skirt_s02', 'Singing Mountain Clan Shredder Skirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '741', 'singing_mountain_clan_skirt_s03', 'Singing Mountain Clan Twisted Skirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '742', 'nightsister_dress', 'Vibrant Dread Shroud');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '743', 'nightsister_boots', 'Intricate Boots');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '744', 'singing_mountain_clan_backpack', 'Tribal Waist Pack');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '745', 'armor_singing_mountain_clan_s01_bicep_l', 'Singing Mountain Clan Right Bicep Armor');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '746', 'bodysuit_sarlacc_coverall', 'Treated Protective Coverall');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '747', 'aakuan_shirt', 'Aakuan Shirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '748', 'aakuan_belt', 'Aakuan Belt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '749', 'aakuan_robe', 'Aakuan Robe');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '750', 'necklace_nyax', 'Nyax Necklace');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '751', 'aakuan_ring', 'Aakuan Ring');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '752', 'gloves_corsec', 'Corsec Gloves');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '753', 'boots_corsec', 'Corsec Boots');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '754', 'armor_ris_bicep_l', 'R.I.S. Armor Left Bicep');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '755', 'armor_ris_bicep_r', 'R.I.S. Armor Right Bicep');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '756', 'armor_ris_boots', 'R.I.S. Armor Boots');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '757', 'armor_ris_bracer_l', 'R.I.S. Armor Left Bracer');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '758', 'armor_ris_bracer_r', 'R.I.S. Armor Right Bracer');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '759', 'armor_ris_chest_plate', 'R.I.S. Armor Chest Plate');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '760', 'armor_ris_gloves', 'R.I.S. Armor Gloves');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '761', 'armor_ris_helmet', 'R.I.S Armor Helmet');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '762', 'armor_ris_leggings', 'R.I.S Armor Leggings');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '763', 'scale_giant_dune_kimogila', 'Giant Dune Kimogila Scales');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '764', 'wke_lifeday_robe', 'Wookiee Life Day Robe');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '765', 'lifeday_orb', 'Wookiee Life Day Orb');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '766', 'armor_ubese_helmet_quest', 'Insulated Ubese Armor Helmet');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '767', 'armor_ubese_jacket_quest', 'Insulated Ubese Armor Jacket');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '768', 'armor_ubese_pants_quest', 'Insulated Ubese Armor Pants');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '769', 'armor_tantel_skreej_helmet_quest', 'Padded Tantel Armor Helmet');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '770', 'armor_tantel_skreej_chest_plate_quest', 'Padded Tantel Armor Chest Plate');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '771', 'armor_tantel_skreej_boots_quest', 'Padded Tantel Armor Boots');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '772', 'armor_stormtrooper_chest_plate_quest', 'Reinforced Stormtrooper Armor Chest Plate');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '773', 'armor_stormtrooper_helmet_quest', 'Reinforced Stormtrooper Armor Helmet');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '774', 'armor_stormtrooper_leggings_quest', 'Reinforced Stormtrooper Armor Leggings');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '775', 'armor_zam_wesell_helmet_quest', 'Mabari Steelweave Helmet');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '776', 'armor_zam_wesell_chest_plate_quest', 'Mabari Steelweave Chest Plate');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '777', 'armor_zam_wesell_pants_quest', 'Mabari Steelweave Pants');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '778', 'bodysuit_bwing_quest', 'B-Wing Pilot Survival Suit');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '779', 'bodysuit_tie_fighter_quest', 'Tie Pilot Survival Suit');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '780', 'bodysuit_atat_quest', 'AT-AT Pilot Survival Suit');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '781', 'backpack_s06_quest', 'Spec-Ops Field Agent Pack');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '782', 'backpack_s03_quest', 'Lightweight Military Pack');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '783', 'bandolier_s04_quest', 'Weaponsmith\'s Tool Set');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '784', 'bandolier_s02_quest', 'Droidsmith\'s Tool Set');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '785', 'apron_s01_quest', 'Crafter\'s Apron');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '786', 'dress_s08_quest', 'Exquisite Dancer\'s Leotard');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '787', 'belt_s05_quest', 'Demolitionist\'s Belt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '788', 'necklace_s09_quest', 'Imperial Medallion of Service');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '789', 'ring_s03_quest', 'Rebel Signet Ring');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '790', 'rebreather', 'Rebreather');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '791', 'apron_chef_s01', 'Chef\'s Apron');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '792', 'hat_chef_s01', 'Kitchen Master\'s Hat');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '793', 'hat_chef_s02', 'Bake Master\'s Cap');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '794', 'anakin_helmet', 'Old Podracer Helmet');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '795', 'bestine_quest_badge', 'Badge - \"Loyalist\"');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '796', 'shirt_s03_rebel', 'Rebel Alliance Shirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '797', 'armor_kashyyykian_ceremonial_chest_plate', 'Kashyyykian Ceremonial Chest Plate');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '798', 'armor_kashyyykian_ceremonial_bracer_l', 'Kashyyykian Ceremonial Left Bracer');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '799', 'armor_kashyyykian_ceremonial_bracer_r', 'Kashyyykian Ceremonial Right Bracer');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '800', 'armor_kashyyykian_ceremonial_leggings', 'Kashyyykian Ceremonial Leggings');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '801', 'armor_bounty_hunter_boots', 'Bounty Hunter Boots');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '802', 'armor_bounty_hunter_belt', 'Bounty Hunter Belt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '803', 'armor_bounty_hunter_bicep_l', 'Bounty Hunter Bicep Armor');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '804', 'armor_bounty_hunter_bracer_l', 'Bounty Hunter Bracer Armor');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '805', 'armor_bounty_hunter_chest_plate', 'Bounty Hunter Chest Plate');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '806', 'armor_bounty_hunter_leggings', 'Bounty Hunter Leg Armor');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '807', 'armor_bounty_hunter_gloves', 'Bounty Hunter Gloves');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '808', 'armor_bounty_hunter_helmet', 'Bounty Hunter Helmet');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '809', 'armor_bounty_hunter_bicep_r', 'Bounty Hunter Bicep Armor');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '810', 'armor_bounty_hunter_bracer_r', 'Bounty Hunter Bracer Armor');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '811', 'necklace_ornamental_ratchet', 'Ornamental Ratchet');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '812', 'necklace_living_chains', 'Living Chains');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '813', 'necklace_pawl_chain', 'Pawl Chain');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '814', 'necklace_blue_gadget', 'Blue Gadget');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '815', 'necklace_platinum_pin', 'Platinum Pin');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '816', 'necklace_iron_choker', 'Iron Choker');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '817', 'necklace_hologram_locket', 'Hologram Locket');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '818', 'necklace_crushed_brooch', 'Crushed Brooch');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '819', 'necklace_ice_pendant', 'Ice Pendant');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '820', 'necklace_flashy_choker', 'Flashy Choker');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '821', 'necklace_elaborate_necklet', 'Elaborate Necklet');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '822', 'necklace_reebo_charm', 'Reebo Charm');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '823', 'necklace_jeweled_pendant', 'Jeweled Pendant');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '824', 'necklace_rosy_pearl', 'Rosy Pearl');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '825', 'necklace_iron_brooch', 'Iron Brooch');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '826', 'necklace_knickknack', 'Knickknack');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '827', 'necklace_rusty_beads', 'Rusty Beads');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '828', 'necklace_complex_pattern', 'Complex Pattern');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '829', 'necklace_opulent_cameo', 'Opulent Cameo');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '830', 'necklace_brass_charm', 'Brass Charm');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '831', 'necklace_convoluted_adornment', 'Convoluted Adornment');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '832', 'necklace_magnificent_lavaliere', 'Magnificent Lavaliere');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '833', 'necklace_bright_bauble', 'Bright Bauble');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '834', 'necklace_sparkling_bijou', 'Sparkling Bijou');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '835', 'necklace_adorned_beads', 'Adorned Beads');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '836', 'necklace_wampum', 'Wampum');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '837', 'ring_mark_hero', 'Mark of the Hero');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '838', 'robe_jedi_dark_s01', 'Dark Jedi Robe');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '839', 'robe_jedi_dark_s02', 'Dark Jedi Robe');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '840', 'robe_jedi_dark_s03', 'Dark Jedi Robe');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '841', 'robe_jedi_dark_s04', 'Dark Jedi Robe');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '842', 'robe_jedi_dark_s05', 'Dark Jedi Robe');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '843', 'robe_jedi_light_s01', 'Jedi Robe');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '844', 'robe_jedi_light_s02', 'Jedi Robe');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '845', 'robe_jedi_light_s03', 'Jedi Robe');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '846', 'robe_jedi_light_s04', 'Jedi Robe');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '847', 'robe_jedi_light_s05', 'Jedi Robe');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '848', 'robe_jedi_padawan', 'Jedi Padawan Robe');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '849', 'cyborg_hand_r_s01', 'Cyborg Right Hand');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '850', 'cyborg_hand_l_s01', 'Cyborg Left Hand');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '851', 'cyborg_forearm_s01', 'Cyborg Forearm');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '852', 'cyborg_arm_r_s01', 'Cyborg Right Arm');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '853', 'cyborg_arm_l_s01', 'Cyborg Left Arm');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '854', 'armor_kashyyykian_black_mtn_bracer_l', 'Kashyyykian Black Mountain Left Bracer');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '855', 'armor_kashyyykian_black_mtn_bracer_r', 'Kashyyykian Black Mountain Right Bracer');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '856', 'armor_kashyyykian_black_mtn_chest_plate', 'Kashyyykian Black Mountain Chest Plate');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '857', 'armor_kashyyykian_black_mtn_leggings', 'Kashyyykian Black Mountain Leggings');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '858', 'armor_kashyyykian_hunting_bracer_l', 'Kashyyykian Hunting Left Bracer');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '859', 'armor_kashyyykian_hunting_bracer_r', 'Kashyyykian Hunting Right Bracer');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '860', 'armor_kashyyykian_hunting_chest_plate', 'Kashyyykian Hunting Chest Plate');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '861', 'armor_kashyyykian_hunting_leggings', 'Kashyyykian Hunting Leggings');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '862', 'hat_chef_s01_ith', 'Pouffy Ithorian Chef Hat');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '863', 'hat_chef_s02_ith', 'Small Ithorian Chef Hat');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '864', 'ith_backpack_s01', 'Ithorian Travel Pack');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '865', 'ith_backpack_s03', 'Ithorian Military Pack');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '866', 'ith_backpack_s05', 'Ithorian Hunter Pack');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '867', 'ith_backpack_s06', 'Ithorian Spec-Ops Pack');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '868', 'ith_bandolier_s05', 'Ithorian Ammo Bandolier');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '869', 'ith_bandolier_s06', 'Ithorian Rank Sash');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '870', 'ith_bandolier_s07', 'Ithorian Shoulder Strap');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '871', 'ith_bandolier_s08', 'Ithorian Dark Sash');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '872', 'ith_bodysuit_s01', 'Ithorian Comfort-Flex');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '873', 'ith_bodysuit_s02', 'Ithorian Technical Suit');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '874', 'ith_bodysuit_s03', 'Ithorian Tight Fit Jumpsuit');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '875', 'ith_bodysuit_s04', 'Ithorian Athletic Gear');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '876', 'ith_bodysuit_s05', 'Ithorian Nath-Nath Ball Outfit');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '877', 'ith_bodysuit_s06', 'Ithorian Leather Gear');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '878', 'ith_dress_s02', 'Ithorian Dress');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '879', 'ith_dress_s03', 'Ithorian Elder\'s Dress');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '880', 'ith_hat_s01', 'Ithorian Newsboy');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '881', 'ith_hat_s02', 'Ithorian Religious Cap');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '882', 'ith_hat_s03', 'Ithorian Racing Gear');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '883', 'ith_hat_s04', 'Ithorian Ceremonial Garb');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '884', 'ith_robe_s03', 'Ithorian Merchant\'s Robe');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '885', 'ith_robe_s02', 'Ithorian Priest\'s Robe');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '886', 'ith_skirt_s01', 'Ithorian Striped Skirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '887', 'ith_skirt_s02', 'Ithorian Hemmed Skirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '888', 'ith_skirt_s03', 'Ithorian Patterned Skirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '889', 'ith_vest_s01', 'Ithorian Lifejacket');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '890', 'ith_vest_s02', 'Ithorian Dress Vest');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '891', 'ith_pants_s01', 'Ithorian Striped Pants');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '892', 'ith_pants_s02', 'Ithorian Three Striped Pants');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '893', 'ith_pants_s03', 'Ithorian Twin Striped Pants');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '894', 'ith_pants_s04', 'Ithorian Reinforced Trousers');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '895', 'ith_pants_s05', 'Ithorian Camos');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '896', 'ith_pants_s06', 'Ithorian Patrol Pants');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '897', 'ith_pants_s07', 'Ithorian Pants w/ Knee Pads');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '898', 'ith_pants_s08', 'Ithorian Baggies');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '899', 'ith_pants_s09', 'Ithorian Mystic Pants');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '900', 'ith_pants_s10', 'Ithorian Buckle Pants');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '901', 'ith_pants_s11', 'Ithorian Meshweave Pants');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '902', 'ith_pants_s12', 'Ithorian Cargo Pants');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '903', 'ith_pants_s13', 'Ithorian Heavy Pants');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '904', 'ith_pants_s14', 'Ithorian Khakis');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '905', 'ith_pants_s15', 'Ithorian Jungle Shorts');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '906', 'ith_pants_s16', 'Ithorian Casual Shorts');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '907', 'ith_pants_s17', 'Ithorian Striped Shorts');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '908', 'ith_pants_s18', 'Ithorian Aquatic Pantaloon');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '909', 'ith_pants_s19', 'Ithorian Heavy Pantaloon');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '910', 'ith_pants_s20', 'Ithorian Plated Pantaloon');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '911', 'ith_pants_s21', 'Strange Ithorian Pants');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '912', 'ith_shirt_s01', 'Ithorian Long Sweater');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '913', 'ith_shirt_s02', 'Ithorian Frilly Shirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '914', 'ith_shirt_s03', 'Ithorian Knitted Shirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '915', 'ith_shirt_s04', 'Ithorian Half Sweater');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '916', 'ith_shirt_s05', 'Ithorian Easy Fit Shirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '917', 'ith_shirt_s07', 'Ithorian Striped Shirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '918', 'ith_shirt_s08', 'Ithorian Two Tone Shirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '919', 'ith_shirt_s09', 'Ithorian Fade Dyed Shirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '920', 'ith_shirt_s10', 'Ithorian Mystic Shirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '921', 'ith_shirt_s11', 'Ithorian Supported Shirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '922', 'ith_shirt_s12', 'Ithorian Tight Fit Shirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '924', 'ith_jacket_s04', 'Ithorian Jazzy Jacket');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '925', 'apron_chef_jacket_s01_ith', 'Ithorian Apron');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '926', 'ith_belt_s01', 'Ithorian Small Pocket Belt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '927', 'ith_belt_s02', 'Ithorian Decorated Belt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '928', 'ith_belt_s03', 'Ithorian Cartridge Belt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '929', 'ith_belt_s04', 'Ithorian Workman\'s Belt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '930', 'ith_belt_s05', 'Ithorian Grenadier\'s Belt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '931', 'ith_belt_s07', 'Ithorian Multipocket Belt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '932', 'ith_belt_s09', 'Ithorian Utility Belt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '933', 'ith_belt_s11', 'Ithorian Two Pocket Belt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '934', 'ith_belt_s12', 'Ithorian Suit Belt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '935', 'ith_belt_s13', 'Ithorian Dignified Belt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '936', 'ith_belt_s14', 'Ithorian Black Leather Belt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '937', 'ith_belt_s15', 'Ithorian Strap Belt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '938', 'ith_belt_s16', 'Ithorian Leather Belt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '939', 'ith_belt_s17', 'Ithorian Fancy Belt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '940', 'ith_belt_s18', 'Ithorian Bristle Hide Belt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '941', 'ith_belt_s19', 'Ithorian Widebuckle Belt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '942', 'ith_belt_s20', 'Ithorian Simplified Belt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '943', 'ith_gloves_s01', 'Ithorian Gloves');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '944', 'ith_gloves_s02', 'Ithorian Leather Work Gloves');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '945', 'ith_jacket_s01', 'Ithorian Block Panel Jacket');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '946', 'ith_jacket_s02', 'Ithorian Cargo Jacket');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '947', 'ith_jacket_s03', 'Ithorian Frilled Jacket');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '948', 'ith_jacket_s05', 'Ithorian Med Team Jacket');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '949', 'ith_jacket_s06', 'Ithorian Short Trim Jacket');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '950', 'ith_jacket_s07', 'Ithorian Short Cargo Jacket');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '951', 'ith_jacket_s08', 'Ithorian Tech Jacket');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '952', 'ith_jacket_s09', 'Ithorian Overshirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '953', 'ith_jacket_s10', 'Ithorian Heavy Jacket');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '954', 'ith_jacket_s11', 'Ithorian Officer\'s Jacket');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '955', 'ith_jacket_s12', 'Ithorian Warm Jacket');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '956', 'ith_jacket_s13', 'Ithorian Sports Pullover');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '957', 'ith_jacket_s14', 'Ithorian Light Pullover');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '958', 'ith_jacket_s15', 'Ithorian Fade Pattern Jacket');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '959', 'ith_necklace_s01', 'Ithorian Plated Necklace');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '960', 'ith_necklace_s02', 'Ithorian Stately Necklace');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '961', 'ith_necklace_s03', 'Ithorian Crested Neckpiece');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '962', 'ith_necklace_s04', 'Ithorian Gemstone Crest');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '963', 'ith_necklace_s05', 'Ithorian Immense Gemstone Necklace');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '964', 'ith_necklace_s06', 'Ithorian Metal Necklace');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '965', 'ith_necklace_s07', 'Ithorian Emerald Pendant');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '966', 'ith_necklace_s08', 'Ithorian Large Pendant');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '967', 'ith_necklace_s09', 'Ithorian Silver Pendant');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '968', 'ith_necklace_s10', 'Ithorian Heavy Crystal Symbol');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '969', 'ith_necklace_s11', 'Ithorian Striped Pendant');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '970', 'ith_necklace_s12', 'Ithorian Elegant Gemstone Necklace');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '971', 'ith_dress_short_s01', 'Ithorian Dress Jacket');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '972', 'robe_s05b', 'Cloak (Hood Up)');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '973', 'ith_shirt_s06', 'Ithorian Two Pocket Shirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '974', 'ith_bandolier_s02', 'Ithorian Mercenary Bandolier');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '975', 'ith_bandolier_s03', 'Ithorian Two-Strap Bandolier');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '976', 'ith_bandolier_s04', 'Ithorian Multipocket Bandolier');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '977', 'ith_armor_s01_bicep_l', 'Ithorian Defender Bicep (Left)');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '978', 'ith_armor_s01_bicep_r', 'Ithorian Defender Bicep (Right)');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '979', 'ith_armor_s01_boots', 'Ithorian Defender Boots');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '980', 'ith_armor_s01_bracer_l', 'Ithorian Defender Bracer (Left)');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '981', 'ith_armor_s01_bracer_r', 'Ithorian Defender Bracer (Right)');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '982', 'ith_armor_s01_chest_plate', 'Ithorian Defender Chest Plate');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '983', 'ith_armor_s01_gloves', 'Ithorian Defender Gloves');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '984', 'ith_armor_s01_helmet', 'Ithorian Defender Helmet');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '985', 'ith_armor_s01_leggings', 'Ithorian Defender Leggings');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '986', 'ith_armor_s03_bicep_l', 'Ithorian Sentinel Guard (Left)');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '987', 'ith_armor_s03_bicep_r', 'Ithorian Sentinel Guard (Right)');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '988', 'ith_armor_s03_boots', 'Ithorian Sentinel Boots');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '989', 'ith_armor_s03_bracer_l', 'Ithorian Sentinel Bracer (Left)');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '990', 'ith_armor_s03_bracer_r', 'Ithorian Sentinel Bracer (Right)');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '991', 'ith_armor_s03_chest_plate', 'Ithorian Sentinel Chest Plate');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '992', 'ith_armor_s03_gloves', 'Ithorian Sentinel Gloves');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '993', 'ith_armor_s03_helmet', 'Ithorian Sentinel Helmet');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '994', 'ith_armor_s03_leggings', 'Ithorian Sentinel Leggings');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '995', 'ith_armor_s02_bicep_l', 'Ithorian Guardian Bicep (Left)');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '996', 'ith_armor_s02_bicep_r', 'Ithorian Guardian Bicep (Right)');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '997', 'ith_armor_s02_boots', 'Ithorian Guardian Boots');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '998', 'ith_armor_s02_bracer_l', 'Ithorian Guardian Bracer (Left)');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '999', 'ith_armor_s02_bracer_r', 'Ithorian Guardian Bracer (Right)');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '1000', 'ith_armor_s02_chest_plate', 'Ithorian Guardian Chest Plate');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '1001', 'ith_armor_s02_gloves', 'Ithorian Guardian Gloves');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '1002', 'ith_armor_s02_helmet', 'Ithorian Guardian Helmet');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '1003', 'ith_armor_s02_leggings', 'Ithorian Guardian Leggings');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '1004', 'ith_shirt_s14', 'Ithorian Fiery Shirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '1005', 'ith_shirt_s13', 'Ithorian Sport Shirt');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '1006', 'jacket_ace_rebel', 'Rebel Ace Jacket');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '1007', 'jacket_ace_imperial', 'Imperial Ace Jacket');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '1008', 'jacket_ace_privateer', 'Privateer Ace Jacket');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '1009', 'helmet_fighter_rebel_ace', 'Rebel Ace Fighter Helmet');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '1010', 'helmet_fighter_privateer_ace', 'Privateer Ace Fighter Helmet');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '1011', 'helmet_fighter_imperial_ace', 'Imperial Ace Fighter Helmet');
INSERT INTO `client_strings` VALUES ('string/en/wearables_name.stf', '1012', 'helmet_fighter_blacksun_ace', 'Black Sun Ace Fighter Helmet');
INSERT INTO `client_strings` VALUES ('string/en/welcome_e3_convo.stf', '1', 'welcome_1', 'I hope you haven\'t come looking for work because there isn\'t any.');
INSERT INTO `client_strings` VALUES ('string/en/welcome_e3_convo.stf', '2', 'welcome_2', 'Why isn\'t there any work?');
INSERT INTO `client_strings` VALUES ('string/en/welcome_e3_convo.stf', '3', 'welcome_3', 'Where is everyone?');
INSERT INTO `client_strings` VALUES ('string/en/welcome_e3_convo.stf', '4', 'welcome_4', 'The Imperials are setting up a camp nearby.  Everyone\'s moving out of town soon.');
INSERT INTO `client_strings` VALUES ('string/en/welcome_e3_convo.stf', '5', 'welcome_5', 'Everyone\'s packing up, getting ready to get out of town.');
INSERT INTO `client_strings` VALUES ('string/en/welcome_e3_convo.stf', '6', 'welcome_6', 'Well, I guess I\'ll be on my way.');
INSERT INTO `client_strings` VALUES ('string/en/welcome_e3_convo.stf', '7', 'welcome_7', 'Don\'t hang around too long.  Once that basecamp is set up I\'m guessing the stormtroopers are going to forcibly remove everyone.');
INSERT INTO `client_strings` VALUES ('string/en/wound_terminal.stf', '1', 'inflict_damage', 'Inflict Damage');
INSERT INTO `client_strings` VALUES ('string/en/wound_terminal.stf', '2', 'inflict_wound', 'Inflict Wound');
INSERT INTO `client_strings` VALUES ('string/en/wound_terminal.stf', '3', 'inflict_wound_health', 'Inflict Health Wound');
INSERT INTO `client_strings` VALUES ('string/en/wound_terminal.stf', '4', 'inflict_wound_strength', 'Inflict Strength Wound');
INSERT INTO `client_strings` VALUES ('string/en/wound_terminal.stf', '5', 'inflict_wound_constitution', 'Inflict Constitution Wound');
INSERT INTO `client_strings` VALUES ('string/en/wound_terminal.stf', '6', 'inflict_wound_action', 'Inflict Action Wound');
INSERT INTO `client_strings` VALUES ('string/en/wound_terminal.stf', '7', 'inflict_wound_quickness', 'Inflict Quickness Wound');
INSERT INTO `client_strings` VALUES ('string/en/wound_terminal.stf', '8', 'inflict_wound_stamina', 'Inflict Stamina Wound');
INSERT INTO `client_strings` VALUES ('string/en/wound_terminal.stf', '9', 'inflict_wound_mind', 'Inflict Mind Wound');
INSERT INTO `client_strings` VALUES ('string/en/wound_terminal.stf', '10', 'inflict_wound_focus', 'Inflict Focus Wound');
INSERT INTO `client_strings` VALUES ('string/en/wound_terminal.stf', '11', 'inflict_wound_willpower', 'Inflict Willpower Wound');
INSERT INTO `client_strings` VALUES ('string/en/wound_terminal.stf', '12', 'beta_terminal_wound', 'Wound Terminal');
INSERT INTO `client_strings` VALUES ('string/en/wpn_d.stf', '1', 'rifle_dlt20a', 'DLT-20A Heavy Rifle\n');
INSERT INTO `client_strings` VALUES ('string/en/wpn_d.stf', '2', 'rifle_jawa_ion', 'Jawa Ion blaster');
INSERT INTO `client_strings` VALUES ('string/en/wpn_d.stf', '3', 'rifle_laser', 'Heavy Laser Rifle');
INSERT INTO `client_strings` VALUES ('string/en/wpn_d.stf', '4', 'rifle_sg82', 'SG-82 Heavy Rifle');
INSERT INTO `client_strings` VALUES ('string/en/wpn_d.stf', '5', 'pistol_cdef', 'CD.EF Standard Pistol');
INSERT INTO `client_strings` VALUES ('string/en/wpn_d.stf', '6', 'pistol_d18', 'D-18 Pistol');
INSERT INTO `client_strings` VALUES ('string/en/wpn_d.stf', '7', 'pistol_dl44', 'DL-44 Pistol');
INSERT INTO `client_strings` VALUES ('string/en/wpn_d.stf', '8', 'pistol_dl44_metal', 'DL-44 Metallic pistol');
INSERT INTO `client_strings` VALUES ('string/en/wpn_d.stf', '9', 'pistol_dx2', 'DX-2 Pistol');
INSERT INTO `client_strings` VALUES ('string/en/wpn_d.stf', '10', 'pistol_fwg5', 'FWG-5 Heavy Pistol');
INSERT INTO `client_strings` VALUES ('string/en/wpn_d.stf', '11', 'pistol_power5', 'Power-5 Pistol');
INSERT INTO `client_strings` VALUES ('string/en/wpn_d.stf', '12', 'pistol_scout_blaster', 'Scout Blaster side-arm');
INSERT INTO `client_strings` VALUES ('string/en/wpn_d.stf', '13', 'pistol_srcombat', 'SR-Combat Pistol');
INSERT INTO `client_strings` VALUES ('string/en/wpn_d.stf', '14', 'pistol_striker', 'Striker side-arm');
INSERT INTO `client_strings` VALUES ('string/en/wpn_d.stf', '15', 'pistol_tangle', 'Tangle Gun');
INSERT INTO `client_strings` VALUES ('string/en/wpn_d.stf', '16', 'carbine_dh17', 'DH-17 light rifle');
INSERT INTO `client_strings` VALUES ('string/en/wpn_d.stf', '17', 'carbine_dh17_black', 'DH-17 Black-chassis');
INSERT INTO `client_strings` VALUES ('string/en/wpn_d.stf', '18', 'carbine_dh17_snubnose', 'DH-17 Snubnose light rifle');
INSERT INTO `client_strings` VALUES ('string/en/wpn_d.stf', '19', 'carbine_dxr6', 'DXR-6 Light Rifle');
INSERT INTO `client_strings` VALUES ('string/en/wpn_d.stf', '20', 'carbine_e11', 'E11 Blast Rifle');
INSERT INTO `client_strings` VALUES ('string/en/wpn_d.stf', '21', 'carbine_ee3', 'EE-3 Combat Rifle');
INSERT INTO `client_strings` VALUES ('string/en/wpn_d.stf', '22', 'carbine_elite', 'Elite Light Rifle');
INSERT INTO `client_strings` VALUES ('string/en/wpn_d.stf', '23', 'carbine_laser', 'Light Laser Rifle');
INSERT INTO `client_strings` VALUES ('string/en/wpn_d.stf', '24', 'mine_a_v', 'Anti-vehicle Mine');
INSERT INTO `client_strings` VALUES ('string/en/wpn_d.stf', '25', 'mine_drx', 'DRX55 Mine');
INSERT INTO `client_strings` VALUES ('string/en/wpn_d.stf', '26', 'mine_xg', 'XG Mine');
INSERT INTO `client_strings` VALUES ('string/en/wpn_d.stf', '27', 'grenade_charges', 'Grenades Remaining: ');
INSERT INTO `client_strings` VALUES ('string/en/wpn_d.stf', '28', 'grenade_fragmentation', 'Fragmentation Grenade');
INSERT INTO `client_strings` VALUES ('string/en/wpn_d.stf', '29', 'grenade_cryoban', 'Cryoban Grenade');
INSERT INTO `client_strings` VALUES ('string/en/wpn_d.stf', '30', 'grenade_thermal_detonator', 'Thermal Detonator');
INSERT INTO `client_strings` VALUES ('string/en/wpn_d.stf', '31', 'grenade_imperial_detonator', 'Imperial Detonator');
INSERT INTO `client_strings` VALUES ('string/en/wpn_d.stf', '32', 'grenade_proton', 'Proton Grenade');
INSERT INTO `client_strings` VALUES ('string/en/wpn_d.stf', '33', 'grenade_glop', 'Glop Grenade');
INSERT INTO `client_strings` VALUES ('string/en/wpn_d.stf', '34', 'heavy_weapon_charges', 'Shots Remaining:');
INSERT INTO `client_strings` VALUES ('string/en/wpn_d.stf', '35', 'heavy_weapon_rocket_launcher', 'Rocket Launcher');
INSERT INTO `client_strings` VALUES ('string/en/wpn_d.stf', '36', 'cargo_pocket', 'A cargo pocket clothing component');
INSERT INTO `client_strings` VALUES ('string/en/wpn_d.stf', '37', 'knife_stone', 'A stone knife');
INSERT INTO `client_strings` VALUES ('string/en/wpn_d.stf', '38', 'laser_trap', 'Laser Trap');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '1', 'yavin4_labor_outpost', 'Labor Outpost');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '2', 'yavin4_mining_outpost', 'Mining Outpost');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '3', 'world_spawner', 'Yavin 4');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '4', 'eastern_swamp', 'Yavin 4');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '5', 'isle_of_kun', 'Isle of Kun');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '6', 'southwest_isle', 'Yavin 4');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '7', 'taurin_delta', 'Taurin Delta');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '8', 'western_peak', 'Yavin 4');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '9', 'southeast_peak', 'Yavin 4');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '10', 'central_jungle', 'Yavin 4');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '11', 'northwest_reach', 'Yavin 4');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '12', 'hard_angler_ne', 'Yavin 4');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '13', 'hard_crystal_snake_ne', 'Yavin 4');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '14', 'hard_kliknik_ne', 'Yavin 4');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '15', 'hard_angler_se', 'Yavin 4');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '16', 'medium_gackle_bat_se', 'Yavin 4');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '17', 'hard_kliknik_se', 'Yavin 4');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '18', 'hard_crystal_snake_sw', 'Yavin 4');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '19', 'hard_mamien_sw', 'Yavin 4');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '20', 'hard_skreeg_sw', 'Yavin 4');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '21', 'hard_angler_nw', 'Yavin 4');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '22', 'medium_gackle_bat_nw', 'Yavin 4');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '23', 'hard_kliknik_nw', 'Yavin 4');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '24', 'swamp_one', 'Yavin 4');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '25', 'swamp_two', 'Yavin 4');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '26', 'jungle_one', 'Yavin 4');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '27', 'jungle_two', 'Yavin 4');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '28', 'jungle_three', 'Yavin 4');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '29', 'jungle_four', 'Yavin 4');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '30', 'jungle_five', 'Yavin 4');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '31', 'mountain_one', 'Yavin 4');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '32', 'mountain_two', 'Yavin 4');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '33', 'mountain_three', 'Yavin 4');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '34', 'mountain_four', 'Yavin 4');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '35', 'mountain_five', 'Yavin 4');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '36', 'mountain_six', 'Yavin 4');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '37', 'yavin4_imperial_base', 'Imperial Base');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '38', 'woolamander_temple', 'Woolamander Temple');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '39', 'temple_of_exar_kun', 'Temple of Exar Kun');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '40', 'great_masassi_temple', 'Great Masassi Temple');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '41', 'blueleaf_temple', 'Blueleaf Temple');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '42', 'ersam_peak', 'Ersam Peak');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '43', 'swamp_of_fallen_stars', 'Swamp of Fallen Stars');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '44', 'isle_of_kun_1', 'Isle of Kun');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '45', 'isle_of_kun_2', 'Isle of Kun');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '46', 'isle_of_kun_3', 'Isle of Kun');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '47', 'isle_of_kun_4', 'Isle of Kun');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '48', 'taurin_delta_1', 'Taurin Delta');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '49', 'soutern_delta_2', 'Southern Delta');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '50', 'taurin_delta_3', 'Taurin Delta');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '51', 'taurin_delta_2', 'Taurin Delta');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '52', 'taurin_delta_4', 'Taurin Delta');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '53', 'valarnos_jungle_1', 'Val\'Arnos Jungle');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '54', 'valarnos_jungle_2', 'Val\'Arnos Jungle');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '55', 'valarnos_jungle_3', 'Val\'Arnos Jungle');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '56', 'valarnos_jungle_4', 'Val\'Arnos Jungle');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '57', 'nacolo_peak', 'Nacolo Peak');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '58', 'borundi_peak', 'Borundi Peak');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '59', 'wayward_jungle_1', 'Wayward Jungle');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '60', 'wayward_jungle_2', 'Wayward Jungle');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '61', 'wayward_jungle_3', 'Wayward Jungle');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '62', 'wayward_jungle_4', 'Wayward Jungle');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '63', 'wayward_jungle_5', 'Wayward Jungle');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '64', 'wayward_jungle_6', 'Wayward Jungle');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '65', 'yunteh_mountains_1', 'Yunteh Mountains');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '66', 'yunteh_mountains_2', 'Yunteh Mountains');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '67', 'an_outpost', 'an outpost');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '68', 'imperial_fort', 'Imperial Outpost');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '69', 'ersham_ridge', 'Ersham Ridge');
INSERT INTO `client_strings` VALUES ('string/en/yavin4_region_names.stf', '70', 'yavin4_imperial_fort', 'Imperial Fortress');
INSERT INTO `client_strings` VALUES ('string/en/zone_map_context.stf', '21', 'target', 'Target this');
INSERT INTO `client_strings` VALUES ('string/en/zone_map_context.stf', '39', 'autopilot', 'Autopilot to');
INSERT INTO `client_strings` VALUES ('string/en/zone_map_context.stf', '42', 'waypoint_create', 'Create waypoint');
INSERT INTO `client_strings` VALUES ('string/en/zone_map_context.stf', '43', 'waypoint_activate', 'Activate waypoint');
INSERT INTO `client_strings` VALUES ('string/en/zone_map_context.stf', '44', 'waypoint_deactivate', 'Deactivate waypoint');
INSERT INTO `client_strings` VALUES ('string/en/zone_map_context.stf', '45', 'waypoint_destroy', 'Destroy waypoint');
INSERT INTO `client_strings` VALUES ('string/en/zone_map_context.stf', '46', 'waypoint_set_name', 'Set name');
INSERT INTO `client_strings` VALUES ('string/en/zone_map_context.stf', '47', 'waypoint_create_at_focus_marker', 'Create waypoint at the marker location');
INSERT INTO `client_strings` VALUES ('string/en/zone_map_context.stf', '48', 'reset_camera', 'Reset the view');
INSERT INTO `clientregion_corellia` VALUES ('@corellia_region_names:coronet', '-178', '-4504', '581');
INSERT INTO `clientregion_corellia` VALUES ('@corellia_region_names:tyrena', '-5140', '-2450', '300');
INSERT INTO `clientregion_corellia` VALUES ('@corellia_region_names:tyrena', '-5536', '-2688', '250');
INSERT INTO `clientregion_corellia` VALUES ('@corellia_region_names:tyrena', '-4975', '-2230', '140');
INSERT INTO `clientregion_corellia` VALUES ('@corellia_region_names:bela_vistal', '6766', '-5692', '370');
INSERT INTO `clientregion_corellia` VALUES ('@corellia_region_names:kor_vella', '-3420', '3146', '620');
INSERT INTO `clientregion_corellia` VALUES ('@corellia_region_names:doaba_guerfel', '3274', '5582', '325');
INSERT INTO `clientregion_corellia` VALUES ('@corellia_region_names:doaba_guerfel', '3206', '5200', '325');
INSERT INTO `clientregion_corellia` VALUES ('@corellia_region_names:vreni_island', '-5538', '-6176', '220');
INSERT INTO `clientregion_corellia` VALUES ('@corellia_region_names:vreni_island', '-5260', '-6416', '220');
INSERT INTO `clientregion_dantooine` VALUES ('@dantooine_region_names:an_outpost', '-640', '2486', '135');
INSERT INTO `clientregion_dantooine` VALUES ('@dantooine_region_names:an_outpost', '1588', '-6399', '135');
INSERT INTO `clientregion_dantooine` VALUES ('@dantooine_region_names:an_imperial_outpost', '-4224', '-2400', '250');
INSERT INTO `clientregion_dantooine` VALUES ('@dantooine_region_names:an_outpost', '1560', '-6366', '135');
INSERT INTO `clientregion_dathomir` VALUES ('@dathomir_region_names:a_restricted_area', '-6358', '930', '280');
INSERT INTO `clientregion_dathomir` VALUES ('@dathomir_region_names:trade_outpost', '599', '3046', '110');
INSERT INTO `clientregion_dathomir` VALUES ('@dathomir_region_names:science_outpost', '-85', '-1600', '125');
INSERT INTO `clientregion_endor` VALUES ('@endor_region_names:an_outpost', '-905', '1584', '130');
INSERT INTO `clientregion_endor` VALUES ('@endor_region_names:an_outpost', '3221', '-3471', '100');
INSERT INTO `clientregion_lok` VALUES ('@lok_region_names:nyms_stronghold', '440', '5029', '315');
INSERT INTO `clientregion_lok` VALUES ('@lok_region_names:nyms_stronghold', '460', '5400', '140');
INSERT INTO `clientregion_lok` VALUES ('@lok_region_names:an_imperial_outpost', '-1920', '-3084', '136');
INSERT INTO `clientregion_naboo` VALUES ('@naboo_region_names:theed', '-5488', '4380', '610');
INSERT INTO `clientregion_naboo` VALUES ('@naboo_region_names:theed', '-5036', '4124', '569');
INSERT INTO `clientregion_naboo` VALUES ('@naboo_region_names:keren', '1888', '2700', '550');
INSERT INTO `clientregion_naboo` VALUES ('@naboo_region_names:keren', '1344', '2772', '180');
INSERT INTO `clientregion_naboo` VALUES ('@naboo_region_names:moenia', '4836', '-4830.5', '277');
INSERT INTO `clientregion_naboo` VALUES ('@naboo_region_names:moenia', '4736', '-4628', '190');
INSERT INTO `clientregion_naboo` VALUES ('@naboo_region_names:deeja_peak', '4686', '-1375', '220');
INSERT INTO `clientregion_naboo` VALUES ('@naboo_region_names:deeja_peak', '5021', '-1446', '225');
INSERT INTO `clientregion_naboo` VALUES ('@naboo_region_names:deeja_peak', '5302', '-1553', '111');
INSERT INTO `clientregion_naboo` VALUES ('@naboo_region_names:kaadara', '5288', '6687', '225');
INSERT INTO `clientregion_naboo` VALUES ('@naboo_region_names:kaadara', '5091', '6714', '225');
INSERT INTO `clientregion_naboo` VALUES ('@naboo_region_names:lake_retreat', '-5488', '-5', '135');
INSERT INTO `clientregion_rori` VALUES ('@rori_region_names:narmle', '-5140', '-2368', '250');
INSERT INTO `clientregion_rori` VALUES ('@rori_region_names:narmle', '-5395', '-2148', '180');
INSERT INTO `clientregion_rori` VALUES ('@rori_region_names:restuss', '5318', '5680', '325');
INSERT INTO `clientregion_rori` VALUES ('@rori_region_names:a_rebel_outpost', '3677', '-6447', '80');
INSERT INTO `clientregion_talus` VALUES ('@talus_region_names:dearic', '422', '-3004', '435');
INSERT INTO `clientregion_talus` VALUES ('@talus_region_names:nashal', '4163', '5220', '195');
INSERT INTO `clientregion_talus` VALUES ('@talus_region_names:nashal', '4443', '5119', '195');
INSERT INTO `clientregion_talus` VALUES ('@talus_region_names:nashal', '4439', '5395', '205');
INSERT INTO `clientregion_talus` VALUES ('@talus_region_names:an_imperial_outpost', '-2178', '2300', '150');
INSERT INTO `clientregion_tatooine` VALUES ('@tatooine_region_names:bestine', '-1204', '-3692', '375');
INSERT INTO `clientregion_tatooine` VALUES ('@tatooine_region_names:mos_espa', '-2878', '2226', '435');
INSERT INTO `clientregion_tatooine` VALUES ('@tatooine_region_names:mos_eisley', '3969', '-4818', '150');
INSERT INTO `clientregion_tatooine` VALUES ('@tatooine_region_names:mos_eisley', '3418', '-4758', '412');
INSERT INTO `clientregion_tatooine` VALUES ('@tatooine_region_names:mos_entha', '1470', '3248', '390');
INSERT INTO `clientregion_tatooine` VALUES ('@tatooine_region_names:mos_entha', '1219', '3051', '215');
INSERT INTO `clientregion_tatooine` VALUES ('@tatooine_region_names:mos_taike', '3855', '2338', '170');
INSERT INTO `clientregion_tatooine` VALUES ('@tatooine_region_names:anchorhead', '40', '-5348', '330');
INSERT INTO `clientregion_tatooine` VALUES ('@tatooine_region_names:wayfar', '-5157', '-6549', '210');
INSERT INTO `clientregion_yavin4` VALUES ('@yavin4_region_names:an_outpost', '-312', '4865', '100');
INSERT INTO `clientregion_yavin4` VALUES ('@yavin4_region_names:an_outpost', '-6925', '-5707', '130');
INSERT INTO `clone_spawn_points` VALUES ('1', '0', '0', '1', '0', '1.75', '-4.75', '0.3', '1697354', '5');
INSERT INTO `clone_spawn_points` VALUES ('2', '0', '0', '1', '0', '-2.85', '-4.75', '0.3', '1697354', '5');
INSERT INTO `clone_spawn_points` VALUES ('3', '0', '0', '1', '0', '6.35', '-4.75', '0.3', '1697354', '5');
INSERT INTO `clone_spawn_points` VALUES ('4', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-10.5', '1697354', '5');
INSERT INTO `clone_spawn_points` VALUES ('5', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-14.15', '1697354', '5');
INSERT INTO `clone_spawn_points` VALUES ('6', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-14.15', '1697354', '5');
INSERT INTO `clone_spawn_points` VALUES ('7', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-10.5', '1697354', '5');
INSERT INTO `clone_spawn_points` VALUES ('8', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-14.15', '474327', '5');
INSERT INTO `clone_spawn_points` VALUES ('9', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-10.5', '474327', '5');
INSERT INTO `clone_spawn_points` VALUES ('10', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-14.15', '474327', '5');
INSERT INTO `clone_spawn_points` VALUES ('11', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-10.5', '474327', '5');
INSERT INTO `clone_spawn_points` VALUES ('12', '0', '0', '1', '0', '6.35', '-4.75', '0.3', '474327', '5');
INSERT INTO `clone_spawn_points` VALUES ('13', '0', '0', '1', '0', '-2.85', '-4.75', '0.3', '474327', '5');
INSERT INTO `clone_spawn_points` VALUES ('14', '0', '0', '1', '0', '1.75', '-4.75', '0.3', '474327', '5');
INSERT INTO `clone_spawn_points` VALUES ('15', '0', '0', '1', '0', '-2.85', '-4.75', '0.3', '1650615', '5');
INSERT INTO `clone_spawn_points` VALUES ('16', '0', '0', '1', '0', '1.75', '-4.75', '0.3', '1650615', '5');
INSERT INTO `clone_spawn_points` VALUES ('17', '0', '0', '1', '0', '6.35', '-4.75', '0.3', '1650615', '5');
INSERT INTO `clone_spawn_points` VALUES ('18', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-10.5', '1650615', '5');
INSERT INTO `clone_spawn_points` VALUES ('19', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-14.15', '1650615', '5');
INSERT INTO `clone_spawn_points` VALUES ('20', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-10.5', '1650615', '5');
INSERT INTO `clone_spawn_points` VALUES ('21', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-14.15', '1650615', '5');
INSERT INTO `clone_spawn_points` VALUES ('22', '0', '0', '1', '0', '-2.85', '-4.75', '0.3', '1741516', '5');
INSERT INTO `clone_spawn_points` VALUES ('23', '0', '0', '1', '0', '1.75', '-4.75', '0.3', '1741516', '5');
INSERT INTO `clone_spawn_points` VALUES ('24', '0', '0', '1', '0', '6.35', '-4.75', '0.3', '1741516', '5');
INSERT INTO `clone_spawn_points` VALUES ('25', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-10.5', '1741516', '5');
INSERT INTO `clone_spawn_points` VALUES ('26', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-14.15', '1741516', '5');
INSERT INTO `clone_spawn_points` VALUES ('27', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-10.5', '1741516', '5');
INSERT INTO `clone_spawn_points` VALUES ('28', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-14.15', '1741516', '5');
INSERT INTO `clone_spawn_points` VALUES ('29', '0', '0', '1', '0', '-2.85', '-4.75', '0.3', '1717562', '5');
INSERT INTO `clone_spawn_points` VALUES ('30', '0', '0', '1', '0', '1.75', '-4.75', '0.3', '1717562', '5');
INSERT INTO `clone_spawn_points` VALUES ('31', '0', '0', '1', '0', '6.35', '-4.75', '0.3', '1717562', '5');
INSERT INTO `clone_spawn_points` VALUES ('32', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-10.5', '1717562', '5');
INSERT INTO `clone_spawn_points` VALUES ('33', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-14.15', '1717562', '5');
INSERT INTO `clone_spawn_points` VALUES ('34', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-10.5', '1717562', '5');
INSERT INTO `clone_spawn_points` VALUES ('35', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-14.15', '1717562', '5');
INSERT INTO `clone_spawn_points` VALUES ('36', '0', '0', '1', '0', '-2.85', '-4.75', '0.3', '3005430', '0');
INSERT INTO `clone_spawn_points` VALUES ('37', '0', '0', '1', '0', '1.75', '-4.75', '0.3', '3005430', '0');
INSERT INTO `clone_spawn_points` VALUES ('38', '0', '0', '1', '0', '6.35', '-4.75', '0.3', '3005430', '0');
INSERT INTO `clone_spawn_points` VALUES ('39', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-10.5', '3005430', '0');
INSERT INTO `clone_spawn_points` VALUES ('40', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-14.15', '3005430', '0');
INSERT INTO `clone_spawn_points` VALUES ('41', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-10.5', '3005430', '0');
INSERT INTO `clone_spawn_points` VALUES ('42', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-14.15', '3005430', '0');
INSERT INTO `clone_spawn_points` VALUES ('43', '0', '0', '1', '0', '-2.85', '-4.75', '0.3', '4345393', '0');
INSERT INTO `clone_spawn_points` VALUES ('44', '0', '0', '1', '0', '1.75', '-4.75', '0.3', '4345393', '0');
INSERT INTO `clone_spawn_points` VALUES ('45', '0', '0', '1', '0', '6.35', '-4.75', '0.3', '4345393', '0');
INSERT INTO `clone_spawn_points` VALUES ('46', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-10.5', '4345393', '0');
INSERT INTO `clone_spawn_points` VALUES ('47', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-14.15', '4345393', '0');
INSERT INTO `clone_spawn_points` VALUES ('48', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-10.5', '4345393', '0');
INSERT INTO `clone_spawn_points` VALUES ('49', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-14.15', '4345393', '0');
INSERT INTO `clone_spawn_points` VALUES ('50', '0', '0', '1', '0', '-2.85', '-4.75', '0.3', '1935517', '0');
INSERT INTO `clone_spawn_points` VALUES ('51', '0', '0', '1', '0', '1.75', '-4.75', '0.3', '1935517', '0');
INSERT INTO `clone_spawn_points` VALUES ('52', '0', '0', '1', '0', '6.35', '-4.75', '0.3', '1935517', '0');
INSERT INTO `clone_spawn_points` VALUES ('53', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-10.5', '1935517', '0');
INSERT INTO `clone_spawn_points` VALUES ('54', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-14.15', '1935517', '0');
INSERT INTO `clone_spawn_points` VALUES ('55', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-10.5', '1935517', '0');
INSERT INTO `clone_spawn_points` VALUES ('56', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-14.15', '1935517', '0');
INSERT INTO `clone_spawn_points` VALUES ('57', '0', '0', '1', '0', '-2.85', '-4.75', '0.3', '1855495', '0');
INSERT INTO `clone_spawn_points` VALUES ('58', '0', '0', '1', '0', '1.75', '-4.75', '0.3', '1855495', '0');
INSERT INTO `clone_spawn_points` VALUES ('59', '0', '0', '1', '0', '6.35', '-4.75', '0.3', '1855495', '0');
INSERT INTO `clone_spawn_points` VALUES ('60', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-10.5', '1855495', '0');
INSERT INTO `clone_spawn_points` VALUES ('61', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-14.15', '1855495', '0');
INSERT INTO `clone_spawn_points` VALUES ('62', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-10.5', '1855495', '0');
INSERT INTO `clone_spawn_points` VALUES ('63', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-14.15', '1855495', '0');
INSERT INTO `clone_spawn_points` VALUES ('64', '0', '0', '1', '0', '-2.85', '-4.75', '0.3', '2365905', '0');
INSERT INTO `clone_spawn_points` VALUES ('65', '0', '0', '1', '0', '1.75', '-4.75', '0.3', '2365905', '0');
INSERT INTO `clone_spawn_points` VALUES ('66', '0', '0', '1', '0', '6.35', '-4.75', '0.3', '2365905', '0');
INSERT INTO `clone_spawn_points` VALUES ('67', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-10.5', '2365905', '0');
INSERT INTO `clone_spawn_points` VALUES ('68', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-14.15', '2365905', '0');
INSERT INTO `clone_spawn_points` VALUES ('69', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-10.5', '2365905', '0');
INSERT INTO `clone_spawn_points` VALUES ('70', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-14.15', '2365905', '0');
INSERT INTO `clone_spawn_points` VALUES ('71', '0', '0', '0.7', '-0.7', '3.1', '0.125', '-3.7', '1365997', '1');
INSERT INTO `clone_spawn_points` VALUES ('72', '0', '0', '0.7', '-0.7', '3.1', '0.125', '-3.7', '4885428', '1');
INSERT INTO `clone_spawn_points` VALUES ('73', '0', '0', '0.7', '-0.7', '3.1', '0.125', '-3.7', '1366008', '1');
INSERT INTO `clone_spawn_points` VALUES ('74', '0', '0', '0.7', '-0.7', '3.1', '0.125', '-3.7', '1392894', '2');
INSERT INTO `clone_spawn_points` VALUES ('75', '0', '0', '0.7', '-0.7', '3.1', '0.125', '-3.7', '1392859', '2');
INSERT INTO `clone_spawn_points` VALUES ('76', '0', '0', '0.7', '-0.7', '3.1', '0.125', '-3.7', '6705359', '3');
INSERT INTO `clone_spawn_points` VALUES ('77', '0', '0', '0.7', '-0.7', '3.1', '0.125', '-3.7', '3605959', '3');
INSERT INTO `clone_spawn_points` VALUES ('78', '0', '0', '0.7', '-0.7', '3.1', '0.125', '-3.7', '8615443', '4');
INSERT INTO `clone_spawn_points` VALUES ('79', '0', '0', '0.7', '0.7', '0.4', '0.27', '1.3', '2745624', '4');
INSERT INTO `clone_spawn_points` VALUES ('80', '0', '0', '1', '0', '-2.85', '-4.75', '0.3', '4695371', '6');
INSERT INTO `clone_spawn_points` VALUES ('81', '0', '0', '1', '0', '1.75', '-4.75', '0.3', '4695371', '6');
INSERT INTO `clone_spawn_points` VALUES ('82', '0', '0', '1', '0', '6.35', '-4.75', '0.3', '4695371', '6');
INSERT INTO `clone_spawn_points` VALUES ('83', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-10.5', '4695371', '6');
INSERT INTO `clone_spawn_points` VALUES ('84', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-14.15', '4695371', '6');
INSERT INTO `clone_spawn_points` VALUES ('85', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-10.5', '4695371', '6');
INSERT INTO `clone_spawn_points` VALUES ('86', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-14.15', '4695371', '6');
INSERT INTO `clone_spawn_points` VALUES ('87', '0', '0', '1', '0', '-2.85', '-4.75', '0.3', '4635545', '6');
INSERT INTO `clone_spawn_points` VALUES ('88', '0', '0', '1', '0', '1.75', '-4.75', '0.3', '4635545', '6');
INSERT INTO `clone_spawn_points` VALUES ('89', '0', '0', '1', '0', '6.35', '-4.75', '0.3', '4635545', '6');
INSERT INTO `clone_spawn_points` VALUES ('90', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-10.5', '4635545', '6');
INSERT INTO `clone_spawn_points` VALUES ('91', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-14.15', '4635545', '6');
INSERT INTO `clone_spawn_points` VALUES ('92', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-10.5', '4635545', '6');
INSERT INTO `clone_spawn_points` VALUES ('93', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-14.15', '4635545', '6');
INSERT INTO `clone_spawn_points` VALUES ('94', '0', '0', '0.7', '-0.7', '3.1', '0.125', '-3.7', '4505610', '6');
INSERT INTO `clone_spawn_points` VALUES ('95', '0', '0', '1', '0', '-2.85', '-4.75', '0.3', '4265616', '7');
INSERT INTO `clone_spawn_points` VALUES ('96', '0', '0', '1', '0', '1.75', '-4.75', '0.3', '4265616', '7');
INSERT INTO `clone_spawn_points` VALUES ('97', '0', '0', '1', '0', '6.35', '-4.75', '0.3', '4265616', '7');
INSERT INTO `clone_spawn_points` VALUES ('98', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-10.5', '4265616', '7');
INSERT INTO `clone_spawn_points` VALUES ('99', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-14.15', '4265616', '7');
INSERT INTO `clone_spawn_points` VALUES ('100', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-10.5', '4265616', '7');
INSERT INTO `clone_spawn_points` VALUES ('101', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-14.15', '4265616', '7');
INSERT INTO `clone_spawn_points` VALUES ('164', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-14.15', '3175408', '7');
INSERT INTO `clone_spawn_points` VALUES ('163', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-10.5', '3175408', '7');
INSERT INTO `clone_spawn_points` VALUES ('162', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-14.15', '3175408', '7');
INSERT INTO `clone_spawn_points` VALUES ('161', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-10.5', '3175408', '7');
INSERT INTO `clone_spawn_points` VALUES ('160', '0', '0', '1', '0', '6.35', '-4.75', '0.3', '3175408', '7');
INSERT INTO `clone_spawn_points` VALUES ('159', '0', '0', '1', '0', '1.75', '-4.75', '0.3', '3175408', '7');
INSERT INTO `clone_spawn_points` VALUES ('158', '0', '0', '1', '0', '-2.85', '-4.75', '0.3', '3175408', '7');
INSERT INTO `clone_spawn_points` VALUES ('116', '0', '0', '0.7', '-0.7', '3.1', '0.125', '-3.7', '4965414', '7');
INSERT INTO `clone_spawn_points` VALUES ('117', '0', '0', '0.7', '0.7', '0.4', '0.27', '1.3', '1400865', '8');
INSERT INTO `clone_spawn_points` VALUES ('119', '0', '0', '0.7', '0.7', '0.4', '0.27', '1.3', '1590892', '8');
INSERT INTO `clone_spawn_points` VALUES ('120', '0', '0', '0.7', '0.7', '0.4', '0.27', '1.3', '1528388', '8');
INSERT INTO `clone_spawn_points` VALUES ('121', '0', '0', '1', '0', '-2.85', '-4.75', '0.3', '3565798', '8');
INSERT INTO `clone_spawn_points` VALUES ('122', '0', '0', '1', '0', '1.75', '-4.75', '0.3', '3565798', '8');
INSERT INTO `clone_spawn_points` VALUES ('123', '0', '0', '1', '0', '6.35', '-4.75', '0.3', '3565798', '8');
INSERT INTO `clone_spawn_points` VALUES ('124', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-10.5', '3565798', '8');
INSERT INTO `clone_spawn_points` VALUES ('125', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-14.15', '3565798', '8');
INSERT INTO `clone_spawn_points` VALUES ('126', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-10.5', '3565798', '8');
INSERT INTO `clone_spawn_points` VALUES ('127', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-14.15', '3565798', '8');
INSERT INTO `clone_spawn_points` VALUES ('128', '0', '0', '1', '0', '-2.85', '-4.75', '0.3', '1105883', '8');
INSERT INTO `clone_spawn_points` VALUES ('129', '0', '0', '1', '0', '1.75', '-4.75', '0.3', '1105883', '8');
INSERT INTO `clone_spawn_points` VALUES ('130', '0', '0', '1', '0', '6.35', '-4.75', '0.3', '1105883', '8');
INSERT INTO `clone_spawn_points` VALUES ('131', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-10.5', '1105883', '8');
INSERT INTO `clone_spawn_points` VALUES ('132', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-14.15', '1105883', '8');
INSERT INTO `clone_spawn_points` VALUES ('133', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-10.5', '1105883', '8');
INSERT INTO `clone_spawn_points` VALUES ('134', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-14.15', '1105883', '8');
INSERT INTO `clone_spawn_points` VALUES ('135', '0', '0', '1', '0', '-2.85', '-4.75', '0.3', '1106504', '8');
INSERT INTO `clone_spawn_points` VALUES ('136', '0', '0', '1', '0', '1.75', '-4.75', '0.3', '1106504', '8');
INSERT INTO `clone_spawn_points` VALUES ('137', '0', '0', '1', '0', '6.35', '-4.75', '0.3', '1106504', '8');
INSERT INTO `clone_spawn_points` VALUES ('138', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-10.5', '1106504', '8');
INSERT INTO `clone_spawn_points` VALUES ('139', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-14.15', '1106504', '8');
INSERT INTO `clone_spawn_points` VALUES ('140', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-10.5', '1106504', '8');
INSERT INTO `clone_spawn_points` VALUES ('141', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-14.15', '1106504', '8');
INSERT INTO `clone_spawn_points` VALUES ('142', '0', '0', '1', '0', '-2.85', '-4.75', '0.3', '1254765', '8');
INSERT INTO `clone_spawn_points` VALUES ('143', '0', '0', '1', '0', '1.75', '-4.75', '0.3', '1254765', '8');
INSERT INTO `clone_spawn_points` VALUES ('144', '0', '0', '1', '0', '6.35', '-4.75', '0.3', '1254765', '8');
INSERT INTO `clone_spawn_points` VALUES ('145', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-10.5', '1254765', '8');
INSERT INTO `clone_spawn_points` VALUES ('146', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-14.15', '1254765', '8');
INSERT INTO `clone_spawn_points` VALUES ('147', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-10.5', '1254765', '8');
INSERT INTO `clone_spawn_points` VALUES ('148', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-14.15', '1254765', '8');
INSERT INTO `clone_spawn_points` VALUES ('149', '0', '0', '1', '0', '-2.85', '-4.75', '0.3', '1233042', '8');
INSERT INTO `clone_spawn_points` VALUES ('150', '0', '0', '1', '0', '1.75', '-4.75', '0.3', '1233042', '8');
INSERT INTO `clone_spawn_points` VALUES ('151', '0', '0', '1', '0', '6.35', '-4.75', '0.3', '1233042', '8');
INSERT INTO `clone_spawn_points` VALUES ('152', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-10.5', '1233042', '8');
INSERT INTO `clone_spawn_points` VALUES ('153', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-14.15', '1233042', '8');
INSERT INTO `clone_spawn_points` VALUES ('154', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-10.5', '1233042', '8');
INSERT INTO `clone_spawn_points` VALUES ('155', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-14.15', '1233042', '8');
INSERT INTO `clone_spawn_points` VALUES ('156', '0', '0', '0.7', '-0.7', '3.1', '0.125', '-3.7', '7925459', '9');
INSERT INTO `clone_spawn_points` VALUES ('157', '0', '0', '0.7', '-0.7', '3.1', '0.125', '-3.7', '3035598', '9');
INSERT INTO `command_client_command_table` VALUES ('stand', 'immediate', ' ', ' ', 'stand', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '3', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('kneel', 'immediate', ' ', ' ', 'kneel', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '3', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('sit', 'immediate', ' ', ' ', 'sitClient', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '3', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('prone', 'immediate', ' ', ' ', 'prone', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '3', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('follow', 'immediate', ' ', ' ', 'follow', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '3', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('stopFollow', 'immediate', ' ', ' ', 'stopFollow', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '3', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('ttell', 'immediate', ' ', ' ', 'instantMessageTtell', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '2', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('send', 'immediate', ' ', ' ', 'instantMessageTell', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '2', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('retell', 'immediate', ' ', ' ', 'instantMessageRetell', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '2', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('r', 'immediate', ' ', ' ', 'instantMessageReply', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '2', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('reply', 'immediate', ' ', ' ', 'instantMessageReply', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '3', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('rtell', 'immediate', ' ', ' ', 'instantMessageRetell', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '3', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('tell', 'immediate', ' ', ' ', 'instantMessageTell', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '3', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('t', 'immediate', ' ', ' ', 'instantMessageTell', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '2', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('attack', 'immediate', ' ', ' ', 'attack', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('examine', 'immediate', ' ', ' ', 'examine', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('trade', 'immediate', ' ', ' ', 'trade', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('tradeAccept', 'immediate', ' ', ' ', 'tradeAccept', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('pickup', 'immediate', ' ', ' ', 'pickup', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('equip', 'immediate', ' ', ' ', 'equip', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('unequip', 'immediate', ' ', ' ', 'unequip', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('drop', 'immediate', ' ', ' ', 'drop', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('conversationStart', 'immediate', ' ', ' ', 'conversationStart', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('conversationStop', 'immediate', ' ', ' ', 'conversationStop', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('itemMail', 'immediate', ' ', ' ', 'itemMail', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('activate', 'immediate', ' ', ' ', 'activate', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('deactivate', 'immediate', ' ', ' ', 'deactivate', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('auctionUse', 'immediate', ' ', ' ', 'auctionUse', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('split', 'immediate', ' ', ' ', 'split', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('join', 'immediate', ' ', ' ', 'join', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('decline', 'immediate', ' ', ' ', 'decline', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('open', 'immediate', ' ', ' ', 'open', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('openNewWindow', 'immediate', ' ', ' ', 'openNewWindow', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('destroyObject', 'immediate', ' ', ' ', 'destroyObject', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('consider', 'immediate', ' ', ' ', 'consider', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '3', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('con', 'immediate', ' ', ' ', 'consider', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '2', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('language', 'immediate', ' ', ' ', 'language', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '2', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('setScale', 'immediate', ' ', ' ', 'setScale', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('setYaw', 'immediate', ' ', ' ', 'setYaw', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('hideMe', 'immediate', ' ', ' ', 'hideMe', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('reloadAdminTable', 'immediate', ' ', ' ', 'reloadAdminTable', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('skills', 'immediate', ' ', ' ', 'skills', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('spawn', 'immediate', ' ', ' ', 'spawn', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('destroy', 'immediate', ' ', ' ', 'destroy', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('logChat', 'immediate', ' ', ' ', 'logChat', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('sysgroup', 'immediate', ' ', ' ', 'sysgroup', ' ', '0', 'sysgroup', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '2', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('editBank', 'immediate', ' ', ' ', 'editBank', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('editInventory', 'immediate', ' ', ' ', 'editInventory', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('editDatapad', 'immediate', ' ', ' ', 'editDatapad', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('examineObjVars', 'immediate', ' ', ' ', 'examineObjVars', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('renamePlayer', 'immediate', ' ', ' ', 'renamePlayer', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('echo', 'immediate', ' ', ' ', 'echo', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '2', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('dumpPausedCommands', 'immediate', ' ', ' ', 'dumpPausedCommands', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '2', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('macro', 'immediate', ' ', ' ', 'macro', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '2', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('shownetworkids', 'immediate', ' ', ' ', 'shownetworkids', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('debugexamine', 'immediate', ' ', ' ', 'debugexamine', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('unload', 'immediate', ' ', ' ', 'unload', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('friendComment', 'immediate', ' ', ' ', 'friendComment', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '2', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('friend', 'immediate', ' ', ' ', 'friend', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '2', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('friendList', 'immediate', ' ', ' ', 'friendList', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '2', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('ignore', 'immediate', ' ', ' ', 'ignore', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '2', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('ignoreList', 'immediate', ' ', ' ', 'ignoreList', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '2', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('friendGroup', 'immediate', ' ', ' ', 'friendGroup', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '2', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('mailSave', 'immediate', ' ', ' ', 'mailSave', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '2', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('notepad', 'immediate', ' ', ' ', 'notepad', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '2', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('target', 'immediate', ' ', ' ', 'target', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('emptyMail', 'immediate', ' ', ' ', 'emptyMail', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '2', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('chatterSpeech', 'immediate', ' ', ' ', 'chatterSpeech', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('editBiography', 'immediate', ' ', ' ', 'editBiography', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('actionShot1', 'normal', 'actionShot1', 'failSpecialAttack', ' ', ' ', '1.5', 'actionShot1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('actionShot2', 'normal', 'actionShot2', 'failSpecialAttack', ' ', ' ', '1.5', 'actionShot2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('activateClone', 'normal', 'cmdActivateClone', 'cmdActivateCloneFail', ' ', ' ', '0', ' ', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'none', ' ', '1', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('activateQuest', 'immediate', 'cmdActivateQuest', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'required', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('addAllowedPlayer', 'front', ' ', 'failAdmin', 'addAllowedPlayer', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('addBannedPlayer', 'front', ' ', 'failAdmin', 'addBannedPlayer', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('addFriend', 'immediate', ' ', ' ', 'addFriend', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('addIgnore', 'immediate', ' ', ' ', 'addIgnore', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('addMapLocation', 'immediate', ' ', ' ', 'addMapLocation', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('addPower', 'immediate', 'cmdAddPower', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('adjustLotCount', 'immediate', 'cmdAdjustLotCount', ' ', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'optional', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('aiIgnore', 'immediate', 'cmdAiIgnore', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'none', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('aim', 'normal', 'aim', 'failSpecialAttack', 'aim', ' ', '1.5', 'aim', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('alert', 'normal', 'alert', 'failSpecialAttack', ' ', ' ', '3', 'alert', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-560185247', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('animalAttack', 'normal', 'animalAttack', 'failSpecialAttack', ' ', ' ', '1.5', 'animalAttack', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('animalCalm', 'normal', 'animalCalm', 'failSpecialAttack', ' ', ' ', '1.5', 'animalCalm', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('animalScare', 'normal', 'animalScare', 'failSpecialAttack', ' ', ' ', '1.5', 'animalScare', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('anon', 'immediate', ' ', ' ', 'toggleAnonymous', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('applyDisease', 'normal', 'applyDisease', ' ', ' ', ' ', '5', 'applyDisease', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('applyPoison', 'normal', 'applyPoison', ' ', ' ', ' ', '5', 'applyPoison', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('applyPowerup', 'immediate', ' ', ' ', 'applyPowerup', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('areatrack', 'normal', 'areatrack', 'failAreatrack', ' ', ' ', '1', 'areatrack', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'none', '0', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('assignDroid', 'immediate', 'assignDroid', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '1', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('assist', 'immediate', 'assist', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '3', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('associateDroidControlDeviceWithShip', 'normal', ' ', ' ', 'associateDroidControlDeviceWithShip', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '1', '0', '0', '0', '16', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('attack', 'normal', 'attack', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '3', '0', '-506878646', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('auction', 'immediate', ' ', ' ', 'auctionChat', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('auctionAccept', 'immediate', ' ', ' ', 'auction_accept', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('auctionBid', 'immediate', ' ', ' ', 'auction_bid', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('auctionCancel', 'immediate', ' ', ' ', 'auction_cancel', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('auctionCreate', 'immediate', ' ', ' ', 'auction_create', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('auctionQuery', 'immediate', ' ', ' ', 'auction_query', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('auctionRetrieve', 'immediate', ' ', ' ', 'auction_retrieve', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('auctionsay', 'immediate', ' ', ' ', 'auctionChat', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('avoidIncapacitation', 'normal', 'avoidIncapacitation', 'failSpecialAttack', ' ', ' ', '1.5', 'avoidIncapacitation', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('bandFlourish', 'normal', 'cmdBandFlourish', ' ', ' ', ' ', '5', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', 'player.skill.performcommands', 'none', '0', '0', '0', '1908523600', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('battlefieldStatus', 'immediate', 'battlefieldStatus', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '1', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('berserk1', 'normal', 'berserk1', 'failSpecialAttack', ' ', ' ', '1.5', 'berserk1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('berserk2', 'normal', 'berserk2', 'failSpecialAttack', ' ', ' ', '1.5', 'berserk2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('bet', 'normal', 'cmdPlaceBet', 'cmdBetFailed', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'required', ' ', '2', '1', '0', '0', '15', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('bleedingShot', 'normal', 'bleedingShot', 'failSpecialAttack', ' ', ' ', '1.5', 'bleedingShot', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('blindAttack', 'normal', 'blindAttack', ' ', ' ', ' ', '0.25', ' ', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-506878646', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('boardShuttle', 'immediate', 'boardShuttle', ' ', ' ', ' ', '0', ' ', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '1', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('bodyShot1', 'normal', 'bodyShot1', 'failSpecialAttack', ' ', ' ', '1.5', 'bodyShot1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('bodyShot2', 'normal', 'bodyShot2', 'failSpecialAttack', ' ', ' ', '1.5', 'bodyShot2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('bodyShot3', 'normal', 'bodyShot3', 'failSpecialAttack', ' ', ' ', '1.5', 'bodyShot3', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('boostmorale', 'normal', 'boostmorale', 'failSpecialAttack', ' ', ' ', '1.5', 'boostmorale', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '0', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('broadcast', 'immediate', 'cmdBroadcast', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'none', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('broadcastArea', 'immediate', 'cmdBroadcastArea', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'none', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('broadcastGalaxy', 'immediate', 'cmdBroadcastGalaxy', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'none', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('broadcastPlanet', 'immediate', 'cmdBroadcastPlanet', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'none', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('burstRun', 'front', 'burstRun', ' ', ' ', ' ', '1', ' ', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '0', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', '0', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '1', ' ', 'none', ' ', '3', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('burstShot1', 'normal', 'burstShot1', 'failSpecialAttack', ' ', ' ', '1.5', 'burstShot1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('burstShot2', 'normal', 'burstShot2', 'failSpecialAttack', ' ', ' ', '1.5', 'burstShot2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('cancelCraftingSession', 'immediate', ' ', ' ', 'cancelCraftingSession', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '1', '0', '-436806567', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('centerOfBeing', 'normal', 'centerOfBeing', 'failSpecialAttack', ' ', ' ', '1.5', 'centerOfBeing', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-2083233742', '0');
INSERT INTO `command_command_table` VALUES ('changeBandMusic', 'normal', 'cmdChangeBandMusic', ' ', ' ', ' ', '0', ' ', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', 'player.skill.performcommands', 'none', '0', '0', '0', '1908523600', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('changeDance', 'normal', 'cmdChangeDance', ' ', ' ', ' ', '0', ' ', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', 'player.skill.performcommands', 'none', '0', '0', '0', '1908523600', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('changeMusic', 'normal', 'cmdChangeMusic', ' ', ' ', ' ', '0', ' ', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', 'player.skill.performcommands', 'none', '0', '0', '0', '1908523600', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('channelForce', 'normal', 'channelForce', 'failSpecialAttack', ' ', ' ', '1.5', 'channelForce', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('chargeShot1', 'normal', 'chargeShot1', 'failSpecialAttack', ' ', ' ', '1.5', 'chargeShot1', '1', '0', '1', '1', '0', '0', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('chargeShot2', 'normal', 'chargeShot2', 'failSpecialAttack', ' ', ' ', '1.5', 'chargeShot2', '1', '0', '1', '1', '0', '0', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('checkForceStatus', 'immediate', 'cmdCheckForceStatus', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('cityban', 'normal', 'cmdCityban', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'required', ' ', '3', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('citypardon', 'normal', 'cmdCitypardon', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'required', ' ', '3', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('claimVeteranReward', 'immediate', 'cmdClaimVeteranReward', ' ', ' ', ' ', '0', ' ', '1', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('clearCompletedQuest', 'immediate', 'cmdClearCompletedQuest', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'required', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('clearVeteranReward', 'immediate', 'cmdClearVeteranReward', ' ', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'required', ' ', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('clientQualifiedForSkill', 'immediate', 'eventEarnedSkillBox', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('clone', 'immediate', 'cmdSetBind', ' ', 'combatCommandHandler', ' ', '1', ' ', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1', '0', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '-805919484', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('closeContainer', 'immediate', ' ', ' ', 'closeContainer', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('colorlights', 'normal', 'cmdColorLight', ' ', ' ', ' ', '0', 'colorlights', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', 'player.skill.performcommands', 'none', '0', '2', '0', '1908523600', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('combat', 'immediate', ' ', 'failAdmin', 'console_combat', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('combatEscape', 'front', 'combatEscape', ' ', ' ', ' ', '25', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '0', '0', '-560185247', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('combatModeCheck', 'normal', 'combatModeCheck', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('combatSpam', 'immediate', ' ', ' ', 'combatSpam', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('combatTarget', 'normal', 'combatTarget', ' ', ' ', ' ', '0.25', ' ', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-506878646', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('completeQuest', 'immediate', 'cmdCompleteQuest', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'required', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('conceal', 'normal', 'conceal', 'failConceal', ' ', ' ', '2', 'conceal', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', '0', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('concealShot', 'normal', 'concealShot', 'failSpecialAttack', ' ', ' ', '1.5', 'concealShot', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('confusionShot', 'normal', 'confusionShot', 'failSpecialAttack', ' ', ' ', '1.5', 'confusionShot', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('consent', 'front', 'cmdConsent', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '3', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('corpse', 'front', 'cmdCorpse', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '3', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('counterAttack', 'front', 'counterAttack', ' ', ' ', ' ', '0.25', 'counterAttack', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('coupDeGrace', 'normal', 'cmdCoupDeGrace', ' ', ' ', ' ', '3', ' ', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'required', ' ', '0', '0', '0', '0', '16', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('craft', 'immediate', ' ', 'failAdmin', 'console_craft', ' ', '0', 'admin', '1', '0', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '1', '1', '1', '0', '0', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('createCreature', 'immediate', 'createCreature', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('createManfSchematic', 'immediate', ' ', ' ', 'createManfSchematic', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '1', '0', '-436806567', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('createMissionElement', 'immediate', 'createMissionElement', ' ', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('createNPC', 'immediate', 'createNPC', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('createPrototype', 'immediate', ' ', ' ', 'createPrototype', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '1', '0', '-436806567', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('createSpawningElement', 'immediate', 'createSpawningElement', ' ', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('createSpawningElementWithDifficulty', 'immediate', 'createSpawningElementWithDifficulty', ' ', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('creatureAreaAttack', 'normal', 'creatureAreaAttack', ' ', ' ', ' ', '0.25', ' ', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-506878646', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('creatureAreaBleeding', 'normal', 'creatureAreaBleeding', ' ', ' ', ' ', '0.25', ' ', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-506878646', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('creatureAreaCombo', 'normal', 'creatureAreaCombo', ' ', ' ', ' ', '0.25', ' ', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-506878646', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('creatureAreaDisease', 'normal', 'creatureAreaDisease', ' ', ' ', ' ', '0.25', ' ', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-506878646', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('creatureAreaKnockdown', 'normal', 'creatureAreaKnockdown', ' ', ' ', ' ', '0.25', ' ', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-506878646', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('creatureAreaPoison', 'normal', 'creatureAreaPoison', ' ', ' ', ' ', '0.25', ' ', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-506878646', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('credits', 'immediate', 'cmdMoney', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'optional', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('cripplingShot', 'normal', 'cripplingShot', 'failSpecialAttack', ' ', ' ', '1.5', 'cripplingShot', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('csAppendComment', 'immediate', ' ', ' ', 'csAppendComment', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('csCancelTicket', 'immediate', ' ', ' ', 'csCancelTicket', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('csConnectPlayer', 'immediate', ' ', ' ', 'csConnectPlayer', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('csCreateTicket', 'immediate', ' ', ' ', 'csCreateTicket', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('csDisconnectPlayer', 'immediate', ' ', ' ', 'csDisconnectPlayer', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('csGetArticle', 'immediate', ' ', ' ', 'csGetArticle', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('csGetComments', 'immediate', ' ', ' ', 'csGetComments', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('csGetTickets', 'immediate', ' ', ' ', 'csGetTickets', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('csRequestCategories', 'immediate', ' ', ' ', 'csRequestCategories', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('csSearchKnowledgeBase', 'immediate', ' ', ' ', 'csSearchKnowledgeBase', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('cuiConsentResponse', 'normal', ' ', ' ', 'consentResponse', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('cureDisease', 'normal', 'cureDisease', ' ', ' ', ' ', '5', 'cureDisease', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('curePoison', 'normal', 'curePoison', ' ', ' ', ' ', '5', 'curePoison', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('customizeDroid', 'normal', 'cmdCustomizeDroid', ' ', ' ', ' ', '5', ' ', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'required', ' ', '1', '1', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('customizeVehicle', 'normal', 'cmdCustomizeVehicle', ' ', ' ', ' ', '5', ' ', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'required', ' ', '1', '1', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('database', 'immediate', ' ', 'failAdmin', 'console_database', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('dazzle', 'normal', 'cmdDazzle', ' ', ' ', ' ', '0', 'dazzle', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', 'player.skill.performcommands', 'none', '0', '2', '0', '1908523600', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('deactivateQuest', 'immediate', 'cmdDeactivateQuest', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'required', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('deathBlow', 'normal', 'cmdCoupDeGrace', ' ', ' ', ' ', '3', ' ', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'required', ' ', '0', '0', '0', '0', '16', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('deathCount', 'immediate', 'reportJediDeathCount', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('declareOvert', 'immediate', 'cmdDeclareOvert', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('declareresidence', 'immediate', 'declareResidence', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('decline', 'immediate', ' ', ' ', 'groupDecline', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('defaultAttack', 'normal', 'defaultAttack', ' ', ' ', ' ', '0.25', ' ', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-506878646', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('defuseMinefield', 'normal', 'cmdDefuseMinefield', 'cmdDefuseMinefieldFail', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'required', ' ', '2', '1', '0', '0', '8', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('delegateFactionPoints', 'immediate', 'cmdDelegateFactionPoints', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('denyService', 'normal', 'cmdDenyService', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', 'player.skill.performcommands', 'required', '0', '0', '0', '1908523600', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('deployTrap', 'normal', 'deployTrap', ' ', ' ', ' ', '1', ' ', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '1', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('destroy', 'immediate', ' ', 'failAdmin', 'destory', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'required', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('destroystructure', 'immediate', 'destroyStructure', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('detonateDroid', 'normal', 'cmdDetonateDroid', ' ', ' ', ' ', '5', ' ', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('diagnose', 'normal', 'cmdDiagnose', 'cmdFailDiagnose', ' ', ' ', '5', 'tendWound', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '1', '1', '1', '0', '0', '1', '0', '0', '0', '0', '1', ' ', 'required', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('disarmingShot1', 'normal', 'disarmingShot1', 'failSpecialAttack', ' ', ' ', '1.5', 'disarmingShot1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('disarmingShot2', 'normal', 'disarmingShot2', 'failSpecialAttack', ' ', ' ', '1.5', 'disarmingShot2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('disband', 'immediate', 'cmdGroupDisband', ' ', 'groupDisband', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('dismissGroupMember', 'immediate', 'cmdDismissGroupMember', ' ', 'groupDisband', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('dismount', 'front', 'dismount', ' ', ' ', ' ', '0', ' ', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', 'player.skill.taming', 'optional', ' ', '3', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('dismountandstore', 'front', 'dismountandstore', ' ', ' ', ' ', '0', ' ', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', 'player.skill.taming', 'optional', ' ', '2', '0', '0', '1', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('distract', 'normal', 'cmdDistract', ' ', ' ', ' ', '0', 'distract', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', 'player.skill.performcommands', 'none', '0', '2', '0', '1908523600', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('diveShot', 'normal', 'diveShot', 'failSpecialAttack', ' ', ' ', '1.5', 'diveShot', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('dizzyAttack', 'normal', 'dizzyAttack', ' ', ' ', ' ', '0.25', ' ', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-506878646', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('doubleTap', 'normal', 'doubleTap', 'failSpecialAttack', ' ', ' ', '1.5', 'doubleTap', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('dragIncapacitatedPlayer', 'normal', 'cmdDragIncapPlayer', ' ', ' ', ' ', '2', 'dragIncapacitatedPlayer', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('drainForce', 'normal', 'drainForce', 'failSpecialAttack', ' ', ' ', '1.5', 'drainForce', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('duel', 'immediate', ' ', ' ', 'duel', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', '1', '3', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('dumpTargetInformation', 'immediate', 'dumpTargetInformation', ' ', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('dumpZoneInformation', 'immediate', 'dumpZoneInformation', ' ', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('eat', 'normal', 'cmdEat', ' ', ' ', ' ', '1', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('editAppearance', 'immediate', ' ', 'failAdmin', 'editAppearance', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'required', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('editBank', 'immediate', ' ', 'failAdmin', 'editBank', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'required', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('editBankAccount', 'immediate', 'cmdEditBankAccount', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'none', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('editStats', 'immediate', ' ', 'failAdmin', 'editStats', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', 'gm.cmd', 'required', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('emboldenpets', 'normal', 'emboldenPets', 'failPetBuff', ' ', ' ', '1.5', 'emboldenpets', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('emptyMailTarget', 'immediate', ' ', 'failAdmin', 'emptyMailTarget', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', 'gm.cmd', 'none', ' ', '2', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('endDuel', 'immediate', ' ', ' ', 'endDuel', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', '1', '3', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('enragepets', 'normal', 'enragePets', 'failPetBuff', ' ', ' ', '1.5', 'enragepets', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('equilibrium', 'front', 'cmdEquilibrium', 'cmdInnateFail', ' ', ' ', '1', ' ', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('executeKnowledgeBaseMessage', 'normal', ' ', ' ', 'executeKnowledgeBaseMessage', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('extinguishFire', 'normal', 'extinguishFire', ' ', ' ', ' ', '5', 'extinguishFire', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('extractObject', 'immediate', ' ', ' ', 'extractObject', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('eyeShot', 'normal', 'eyeShot', 'failSpecialAttack', ' ', ' ', '1.5', 'eyeShot', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('factoryCrateSplit', 'immediate', ' ', ' ', 'factoryCrateSplit', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '-436806567', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('fanShot', 'normal', 'fanShot', 'failSpecialAttack', ' ', ' ', '1.5', 'fanShot', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('fastBlast', 'normal', 'fastBlast', 'failSpecialAttack', ' ', ' ', '1.5', 'fastBlast', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('feignDeath', 'normal', 'feignIncapacitation', 'failSpecialAttack', ' ', ' ', '3', 'feignDeath', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-560185247', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('find', 'front', 'cmdFind', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('findFriend', 'normal', ' ', ' ', 'findFriend', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('findFriend', 'normal', ' ', ' ', 'findFriend', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('findMyTrainer', 'immediate', 'findMyTrainer', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('findObject', 'immediate', 'cmdFindObject', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'none', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('findPlayer', 'immediate', 'cmdFindPlayer', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'none', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('fireAcidCone1', 'normal', 'fireAcidCone1', 'failSpecialAttack', ' ', ' ', '1.5', 'fireAcidCone1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('fireAcidCone2', 'normal', 'fireAcidCone2', 'failSpecialAttack', ' ', ' ', '1.5', 'fireAcidCone2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('fireAcidSingle1', 'normal', 'fireAcidSingle1', 'failSpecialAttack', ' ', ' ', '1.5', 'fireAcidSingle1', '1', '0', '1', '1', '1', '0', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('fireAcidSingle2', 'normal', 'fireAcidSingle2', 'failSpecialAttack', ' ', ' ', '1.5', 'fireAcidSingle2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('fireHeavyWeapon', 'normal', 'fireHeavyWeapon', 'failFireHeavyWeapon', ' ', ' ', '15', ' ', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('firejet', 'normal', 'cmdFireJet', ' ', ' ', ' ', '0', 'firejet', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', 'player.skill.performcommands', 'none', '0', '2', '0', '1908523600', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('fireLightningCone1', 'normal', 'fireLightningCone1', 'failSpecialAttack', ' ', ' ', '1.5', 'fireLightningCone1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('fireLightningCone2', 'normal', 'fireLightningCone2', 'failSpecialAttack', ' ', ' ', '1.5', 'fireLightningCone2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('fireLightningSingle1', 'normal', 'fireLightningSingle1', 'failSpecialAttack', ' ', ' ', '1.5', 'fireLightningSingle1', '1', '0', '1', '1', '1', '0', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('fireLightningSingle2', 'normal', 'fireLightningSingle2', 'failSpecialAttack', ' ', ' ', '1.5', 'fireLightningSingle2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('firstAid', 'normal', 'firstAid', ' ', ' ', ' ', '5', 'firstAid', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('fish', 'normal', 'cmdFish', ' ', ' ', ' ', '1.5', ' ', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '0', '0', '0', '0', '1', 'player.skill.minigame_cmd', 'none', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('flameCone1', 'normal', 'flameCone1', 'failSpecialAttack', ' ', ' ', '1.5', 'flameCone1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('flameCone2', 'normal', 'flameCone2', 'failSpecialAttack', ' ', ' ', '1.5', 'flameCone2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('flameSingle1', 'normal', 'flameSingle1', 'failSpecialAttack', ' ', ' ', '1.5', 'flameSingle1', '1', '0', '1', '1', '1', '0', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('flameSingle2', 'normal', 'flameSingle2', 'failSpecialAttack', ' ', ' ', '1.5', 'flameSingle2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('flashSpeeder', 'normal', 'cmdFlashSpeeder', ' ', ' ', ' ', '0', ' ', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('flourish', 'normal', 'cmdFlourish', ' ', ' ', ' ', '5', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', 'player.skill.performcommands', 'none', '0', '2', '0', '1908523600', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('flurryShot1', 'normal', 'flurryShot1', 'failSpecialAttack', ' ', ' ', '1.5', 'flurryShot1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('flurryShot2', 'normal', 'flurryShot2', 'failSpecialAttack', ' ', ' ', '1.5', 'flurryShot2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('flushingShot1', 'normal', 'flushingShot1', 'failSpecialAttack', ' ', ' ', '1.5', 'flushingShot1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('flushingShot2', 'normal', 'flushingShot2', 'failSpecialAttack', ' ', ' ', '1.5', 'flushingShot2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('forage', 'normal', 'forage', 'failForage', ' ', ' ', '2', 'forage', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'none', '0', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('forceAbsorb1', 'normal', 'forceAbsorb1', 'failSpecialAttack', ' ', ' ', '1.5', 'forceAbsorb1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('forceAbsorb2', 'normal', 'forceAbsorb2', 'failSpecialAttack', ' ', ' ', '1.5', 'forceAbsorb2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('forceArmor1', 'normal', 'forceArmor1', 'failSpecialAttack', ' ', ' ', '1.5', 'forceArmor1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('forceArmor2', 'normal', 'forceArmor2', 'failSpecialAttack', ' ', ' ', '1.5', 'forceArmor2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('forceChoke', 'normal', 'forceChoke', 'failSpecialAttack', ' ', ' ', '1.5', 'forceChoke', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('forceCommand', 'immediate', 'cmdForceCommand', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'required', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('forceCureDisease', 'normal', 'forceCureDisease', 'failSpecialAttack', ' ', ' ', '1.5', 'forceCureDisease', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('forceCurePoison', 'normal', 'forceCurePoison', 'failSpecialAttack', ' ', ' ', '1.5', 'forceCurePoison', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('forceFeedback1', 'normal', 'forceFeedback1', 'failSpecialAttack', ' ', ' ', '1.5', 'forceFeedback1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('forceFeedback2', 'normal', 'forceFeedback2', 'failSpecialAttack', ' ', ' ', '1.5', 'forceFeedback2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('forceIntimidate1', 'normal', 'forceIntimidate1', 'failSpecialAttack', ' ', ' ', '1.5', 'forceIntimidate1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('forceIntimidate2', 'normal', 'forceIntimidate2', 'failSpecialAttack', ' ', ' ', '1.5', 'forceIntimidate2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('forceKnockdown1', 'normal', 'forceKnockdown1', 'failSpecialAttack', ' ', ' ', '1.5', 'forceKnockdown1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('forceKnockdown2', 'normal', 'forceKnockdown2', 'failSpecialAttack', ' ', ' ', '1.5', 'forceKnockdown2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('forceKnockdown3', 'normal', 'forceKnockdown3', 'failSpecialAttack', ' ', ' ', '1.5', 'forceKnockdown3', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('forceLightningCone1', 'normal', 'forceLightningCone1', 'failSpecialAttack', ' ', ' ', '1.5', 'forceLightningCone1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('forceLightningCone2', 'normal', 'forceLightningCone2', 'failSpecialAttack', ' ', ' ', '1.5', 'forceLightningCone2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('forceLightningSingle1', 'normal', 'forceLightningSingle1', 'failSpecialAttack', ' ', ' ', '1.5', 'forceLightningSingle1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('forceLightningSingle2', 'normal', 'forceLightningSingle2', 'failSpecialAttack', ' ', ' ', '1.5', 'forceLightningSingle2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('forceMeditate', 'normal', 'forceMeditate', 'failSpecialAttack', ' ', ' ', '1.5', 'forceMeditate', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('forceOfWill', 'normal', 'cmdForceOfWill', ' ', ' ', ' ', '1.5', 'forceOfWill', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', 'player.skill.teraskasi', 'none', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('forceProtection', 'normal', 'forceProtection', 'failSpecialAttack', ' ', ' ', '1.5', 'forceProtection', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('forceResistBleeding', 'normal', 'forceResistBleeding', 'failSpecialAttack', ' ', ' ', '1.5', 'forceResistBleeding', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('forceResistDisease', 'normal', 'forceResistDisease', 'failSpecialAttack', ' ', ' ', '1.5', 'forceResistDisease', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('forceResistPoison', 'normal', 'forceResistPoison', 'failSpecialAttack', ' ', ' ', '1.5', 'forceResistPoison', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('forceResistStates', 'normal', 'forceResistStates', 'failSpecialAttack', ' ', ' ', '1.5', 'forceResistStates', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('forceRun1', 'normal', 'forceRun1', 'failSpecialAttack', ' ', ' ', '1.5', 'forceRun1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('forceRun2', 'normal', 'forceRun2', 'failSpecialAttack', ' ', ' ', '1.5', 'forceRun2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('forceRun3', 'normal', 'forceRun3', 'failSpecialAttack', ' ', ' ', '1.5', 'forceRun3', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('forceShield1', 'normal', 'forceShield1', 'failSpecialAttack', ' ', ' ', '1.5', 'forceShield1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('forceShield2', 'normal', 'forceShield2', 'failSpecialAttack', ' ', ' ', '1.5', 'forceShield2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('forceSpeed1', 'normal', 'forceSpeed1', 'failSpecialAttack', ' ', ' ', '1.5', 'forceSpeed1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('forceSpeed2', 'normal', 'forceSpeed2', 'failSpecialAttack', ' ', ' ', '1.5', 'forceSpeed2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('forceThrow1', 'normal', 'forceThrow1', 'failSpecialAttack', ' ', ' ', '1.5', 'forceThrow1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('forceThrow2', 'normal', 'forceThrow2', 'failSpecialAttack', ' ', ' ', '1.5', 'forceThrow2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('forceWeaken1', 'normal', 'forceWeaken1', 'failSpecialAttack', ' ', ' ', '1.5', 'forceWeaken1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('forceWeaken2', 'normal', 'forceWeaken2', 'failSpecialAttack', ' ', ' ', '1.5', 'forceWeaken2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('formup', 'normal', 'formup', 'failSpecialAttack', ' ', ' ', '1.5', 'formup', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('freezePlayer', 'immediate', 'cmdFreezePlayer', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'required', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('fullAutoArea1', 'normal', 'fullAutoArea1', 'failSpecialAttack', ' ', ' ', '0', 'fullAutoArea1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('fullAutoArea2', 'normal', 'fullAutoArea2', 'failSpecialAttack', ' ', ' ', '0', 'fullAutoArea2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('fullAutoSingle1', 'normal', 'fullAutoSingle1', 'failSpecialAttack', ' ', ' ', '1.5', 'fullAutoSingle1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('fullAutoSingle2', 'normal', 'fullAutoSingle2', 'failSpecialAttack', ' ', ' ', '1.5', 'fullAutoSingle2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('g', 'immediate', ' ', ' ', 'groupChat', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('gallop', 'immediate', 'gallop', ' ', ' ', ' ', '1.5', ' ', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '3', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('gallopStop', 'immediate', 'gallopStop', ' ', ' ', ' ', '1.5', ' ', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '3', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('gc', 'immediate', ' ', ' ', 'groupChat', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('gcwStatus', 'immediate', 'gcwStatus', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('generateCraftedItem', 'immediate', 'cmdGenerateCraftedItem', ' ', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('getAccountInfo', 'front', ' ', 'failAdmin', 'getAccountInfo', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('getAttributes', 'immediate', ' ', ' ', 'getAttributes', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('getAttributesBatch', 'immediate', ' ', ' ', 'getAttributesBatch', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('getFriendList', 'immediate', ' ', ' ', 'getFriendList', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('getGameTime', 'immediate', 'cmdGetGameTime', ' ', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'none', ' ', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('getIgnoreList', 'immediate', ' ', ' ', 'getIgnoreList', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('getMapLocations', 'immediate', ' ', ' ', 'getMapLocations', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('getObjVars', 'normal', ' ', ' ', 'getObjVars', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'required', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('getPlayerId', 'immediate', 'cmdGetPlayerId', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'none', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('getPrototype', 'immediate', 'getPrototype', ' ', ' ', ' ', '0', ' ', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('getRank', 'immediate', 'cmdGetRank', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'optional', ' ', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('getSpawnDelays', 'immediate', 'getSpawnDelays', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('getStationName', 'front', ' ', 'failAdmin', 'getStationName', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('getVeteranRewardTime', 'immediate', 'cmdGetVeteranRewardTime', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('getVeteranRewardTimeCs', 'immediate', 'cmdGetVeteranRewardTime', ' ', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('giveItem', 'immediate', ' ', ' ', 'giveItem', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '1', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('giveMaintenanceToVendor', 'immediate', 'giveMaintenanceToVendor', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('givevendormaint', 'immediate', 'giveVendorMaint', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '4', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('gmForceCommand', 'immediate', 'gmForceCommand', ' ', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('gmCreateClassResource', 'immediate', 'gmCreateClassResource', ' ', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('gmCreateSpecificResource', 'immediate', 'gmCreateSpecificResource', ' ', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('gmForceRank', 'front', 'cmdGMForceRank', ' ', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('gmFsVillage', 'front', 'cmdGMFsVillage', ' ', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('gmJediState', 'immediate', 'gmJediState', ' ', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'optional', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('gmRevive', 'immediate', 'gmRevive', ' ', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('goto', 'immediate', 'cmdGoto', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'optional', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('grantBadge', 'immediate', 'cmdGrantBadge', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'optional', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('grantPadawanTrialsEligibility', 'immediate', 'cmdGrantPadawanTrialsEligibility', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'none', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('grantSkill', 'immediate', 'cmdGrantSkill', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'optional', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('grantTitle', 'immediate', ' ', 'failAdmin', 'grantTitle', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'required', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('grantZoningRights', 'normal', 'cmdGrantZoningRights', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'required', ' ', '3', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('groupChat', 'immediate', ' ', ' ', 'groupChat', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('groupSay', 'immediate', ' ', ' ', 'groupChat', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('gsay', 'immediate', ' ', ' ', 'groupChat', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('gtell', 'immediate', ' ', ' ', 'groupChat', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('guild', 'immediate', ' ', ' ', 'guildChat', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('guildremove', 'normal', 'cmdGuildremove', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('guildsay', 'immediate', ' ', ' ', 'guildChat', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('guildstatus', 'normal', 'cmdGuildstatus', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'required', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('harmful', 'immediate', 'cmdHarmful', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'required', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('harmless', 'immediate', 'cmdHarmless', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'required', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('harvestCorpse', 'normal', 'cmdHarvestCorpse', 'cmdHarvestCorpseFail', ' ', ' ', '1', 'harvestCorpse', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '1', '1', '1', '0', '0', '1', '0', '1', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', 'player.skill.outdoorsman', 'required', ' ', '0', '0', '-1884016229', '0', '16', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('harvesterActivate', 'immediate', ' ', ' ', 'harvesterActivate', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '1288814119', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('harvesterDeactivate', 'immediate', ' ', ' ', 'harvesterDeactivate', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '1288814119', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('harvesterDiscardHopper', 'immediate', ' ', ' ', 'harvesterDiscardHopper', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '1288814119', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('harvesterGetResourceData', 'immediate', ' ', ' ', 'harvesterGetResourceData', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '1288814119', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('harvesterHarvest', 'immediate', ' ', ' ', 'harvesterHarvest', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '1288814119', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('harvesterMakeCrate', 'immediate', ' ', ' ', 'harvesterMakeCrate', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '1288814119', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('harvesterSelectResource', 'immediate', ' ', ' ', 'harvesterSelectResource', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '1288814119', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('harvesterTakeSurvey ', 'immediate', ' ', ' ', 'harvesterTakeSurvey ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '1288814119', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('hasVeteranReward', 'immediate', 'cmdHasVeteranReward', ' ', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'required', ' ', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('haveconsent', 'front', 'cmdHaveConsent', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '3', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('headShot1', 'normal', 'headShot1', 'failSpecialAttack', ' ', ' ', '1.5', 'headShot1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('headShot2', 'normal', 'headShot2', 'failSpecialAttack', ' ', ' ', '1.5', 'headShot2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('headShot3', 'normal', 'headShot3', 'failSpecialAttack', ' ', ' ', '1.5', 'headShot3', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('healActionSelf1', 'normal', 'healActionSelf1', 'failSpecialAttack', ' ', ' ', '1.5', 'healActionSelf1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('healActionSelf2', 'normal', 'healActionSelf2', 'failSpecialAttack', ' ', ' ', '1.5', 'healActionSelf2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('healActionWoundOther1', 'normal', 'healActionWoundOther1', 'failSpecialAttack', ' ', ' ', '1.5', 'healActionWoundOther1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('healActionWoundOther2', 'normal', 'healActionWoundOther2', 'failSpecialAttack', ' ', ' ', '1.5', 'healActionWoundOther2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('healActionWoundSelf1', 'normal', 'healActionWoundSelf1', 'failSpecialAttack', ' ', ' ', '1.5', 'healActionWoundSelf1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('healActionWoundSelf2', 'normal', 'healActionWoundSelf2', 'failSpecialAttack', ' ', ' ', '1.5', 'healActionWoundSelf2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('healAllOther1', 'normal', 'healAllOther1', 'failSpecialAttack', ' ', ' ', '1.5', 'healAllOther1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('healAllOther2', 'normal', 'healAllOther2', 'failSpecialAttack', ' ', ' ', '1.5', 'healAllOther2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('healAllSelf1', 'normal', 'healAllSelf1', 'failSpecialAttack', ' ', ' ', '1.5', 'healAllSelf1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('healAllSelf2', 'normal', 'healAllSelf2', 'failSpecialAttack', ' ', ' ', '1.5', 'healAllSelf2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('healBattleFatigueOther1', 'normal', 'healBattleFatigueOther1', 'failSpecialAttack', ' ', ' ', '1.5', 'healBattleFatigueOther1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('healBattleFatigueOther2', 'normal', 'healBattleFatigueOther2', 'failSpecialAttack', ' ', ' ', '1.5', 'healBattleFatigueOther2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('healBattleFatigueSelf1', 'normal', 'healBattleFatigueSelf1', 'failSpecialAttack', ' ', ' ', '1.5', 'healBattleFatigueSelf1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('healBattleFatigueSelf2', 'normal', 'healBattleFatigueSelf2', 'failSpecialAttack', ' ', ' ', '1.5', 'healBattleFatigueSelf2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('healDamage', 'normal', 'healDamage', ' ', ' ', ' ', '5', 'healDamage', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('healDroidDamage', 'normal', 'healDroidDamage', ' ', ' ', ' ', '5', ' ', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', 'item.comestible.droid_med', 'required', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('healDroidWound', 'normal', 'healDroidWound', ' ', ' ', ' ', '5', ' ', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', 'item.comestible.droid_med', 'required', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('healEnhance', 'normal', 'healEnhance', ' ', ' ', ' ', '7', 'healEnhance', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('healHealthSelf1', 'normal', 'healHealthSelf1', 'failSpecialAttack', ' ', ' ', '1.5', 'healHealthSelf1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('healHealthSelf2', 'normal', 'healHealthSelf2', 'failSpecialAttack', ' ', ' ', '1.5', 'healHealthSelf2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('healHealthWoundOther1', 'normal', 'healHealthWoundOther1', 'failSpecialAttack', ' ', ' ', '1.5', 'healHealthWoundOther1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('healHealthWoundOther2', 'normal', 'healHealthWoundOther2', 'failSpecialAttack', ' ', ' ', '1.5', 'healHealthWoundOther2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('healHealthWoundSelf1', 'normal', 'healHealthWoundSelf1', 'failSpecialAttack', ' ', ' ', '1.5', 'healHealthWoundSelf1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('healHealthWoundSelf2', 'normal', 'healHealthWoundSelf2', 'failSpecialAttack', ' ', ' ', '1.5', 'healHealthWoundSelf2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('healMind', 'normal', 'healMind', ' ', ' ', ' ', '5', 'healMind', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('healMindSelf1', 'normal', 'healMindSelf1', 'failSpecialAttack', ' ', ' ', '1.5', 'healMindSelf1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('healMindSelf2', 'normal', 'healMindSelf2', 'failSpecialAttack', ' ', ' ', '1.5', 'healMindSelf2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('healMindWoundOther1', 'normal', 'healMindWoundOther1', 'failSpecialAttack', ' ', ' ', '1.5', 'healMindWoundOther1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('healMindWoundOther2', 'normal', 'healMindWoundOther2', 'failSpecialAttack', ' ', ' ', '1.5', 'healMindWoundOther2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('healMindWoundSelf1', 'normal', 'healMindWoundSelf1', 'failSpecialAttack', ' ', ' ', '1.5', 'healMindWoundSelf1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('healMindWoundSelf2', 'normal', 'healMindWoundSelf2', 'failSpecialAttack', ' ', ' ', '1.5', 'healMindWoundSelf2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('healPet', 'normal', 'healPetDamage', ' ', ' ', ' ', '5', ' ', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', 'item.comestible.pet_med', 'required', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('healState', 'normal', 'healState', ' ', ' ', ' ', '5', 'healState', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('healStatesOther', 'normal', 'healStatesOther', 'failSpecialAttack', ' ', ' ', '1.5', 'healStatesOther', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('healStatesSelf', 'normal', 'healStatesSelf', 'failSpecialAttack', ' ', ' ', '1.5', 'healStatesSelf', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('healthShot1', 'normal', 'healthShot1', 'failSpecialAttack', ' ', ' ', '1.5', 'healthShot1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('healthShot2', 'normal', 'healthShot2', 'failSpecialAttack', ' ', ' ', '1.5', 'healthShot2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('healWound', 'normal', 'healWound', ' ', ' ', ' ', '7', 'healWound', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('holoEmote', 'immediate', 'cmdHoloEmote', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', 'systems.image_designer.holoemote', 'none', ' ', '1', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('imagedesign', 'normal', 'imageDesignRequestStart', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', 'systems.image_designer.player_image_designer', 'optional', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('initializeComponent', 'immediate', 'cmdInitializeComponent', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'optional', '0', '0', '0', '0', '0', '0', '10', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('innate', 'front', 'cmdInnate', 'cmdInnateFail', ' ', ' ', '1', ' ', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('insertItemIntoShipComponentSlot', 'normal', ' ', ' ', 'insertItemIntoShipComponentSlot', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '1', '0', '0', '0', '16', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('installMissionTerminal', 'normal', 'cmdInstallMissionTerminal', ' ', ' ', ' ', '0', 'installMissionTerminal', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('installShipComponent', 'normal', ' ', ' ', 'installShipComponent', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '1', '0', '244939766', '0', '16', '0', '244939766', '0');
INSERT INTO `command_command_table` VALUES ('insure', 'immediate', 'cmdInsureItem', ' ', 'combatCommandHandler', ' ', '1', ' ', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1', '0', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '-805919484', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('intimidate1', 'normal', 'intimidate1', 'failSpecialAttack', ' ', ' ', '1.5', 'intimidate1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('intimidate2', 'normal', 'intimidate2', 'failSpecialAttack', ' ', ' ', '1.5', 'intimidate2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('intimidationAttack', 'normal', 'intimidationAttack', ' ', ' ', ' ', '0.25', ' ', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-506878646', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('invite', 'immediate', ' ', 'cmdInviteFail', 'groupInvite', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('invulnerable', 'immediate', 'cmdInvulnerable', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'none', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('itemmoveback', 'immediate', 'itemMoveBack', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '4', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('itemmovedown', 'immediate', 'itemMoveDown', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '4', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('itemmoveforward', 'immediate', 'itemMoveForward', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '4', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('itemmoveup', 'immediate', 'itemMoveUp', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '4', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('itemrotateleft', 'immediate', 'itemRotateLeft', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '4', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('itemrotateright', 'immediate', 'itemRotateRight', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '4', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('jediMindTrick', 'normal', 'jediMindTrick', 'failSpecialAttack', ' ', ' ', '1.5', 'jediMindTrick', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('join', 'immediate', 'cmdGroupJoin', ' ', 'groupJoin', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('joinGame', 'normal', 'cmdJoinGame', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'required', ' ', '2', '1', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('kick', 'immediate', ' ', 'failAdmin', 'admin_kick', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', '0', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('kill', 'immediate', 'cmdKill', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'required', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('killPlayer', 'immediate', 'cmdKillPlayer', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'required', '0', '0', '0', '0', '0', '0', '10', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('kipUpShot', 'normal', 'kipUpShot', 'failSpecialAttack', ' ', ' ', '1.5', 'kipUpShot', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('kneel', 'immediate', 'kneel', 'kneelFail', 'setPosture', 'setPosture', '2', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '3', '0', '891527001', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('knockdownAttack', 'normal', 'knockdownAttack', ' ', ' ', ' ', '0.25', ' ', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-506878646', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('knockdownFire', 'normal', 'knockdownFire', 'failSpecialAttack', ' ', ' ', '1.5', 'knockdownFire', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('lag', 'immediate', ' ', ' ', 'lag', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('lastDitch', 'normal', 'lastDitch', 'failSpecialAttack', ' ', ' ', '1.5', 'lastDitch', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('launchFirework', 'normal', 'cmdLaunchFirework', ' ', ' ', ' ', '1.5', ' ', '1', '0', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '0', '0', '0', '0', '1', 'player.cmd.misc', 'required', ' ', '1', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('leaveGame', 'normal', 'cmdLeaveGame', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'required', ' ', '2', '1', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('leaveGroup', 'immediate', 'cmdLeaveGroup', ' ', 'groupDisband', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('legShot1', 'normal', 'legShot1', 'failSpecialAttack', ' ', ' ', '1.5', 'legShot1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('legShot2', 'normal', 'legShot2', 'failSpecialAttack', ' ', ' ', '1.5', 'legShot2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('legShot3', 'normal', 'legShot3', 'failSpecialAttack', ' ', ' ', '1.5', 'legShot3', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('lfg', 'immediate', ' ', ' ', 'toggleLookingForGroup', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('listActiveQuests', 'immediate', 'cmdListActiveQuests', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'required', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('listCompletedQuests', 'immediate', 'cmdListCompletedQuests', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'required', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('listen', 'normal', 'cmdListen', ' ', ' ', ' ', '0', ' ', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', 'player.skill.performcommands', 'optional', '0', '0', '0', '1908523600', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('listGuilds', 'immediate', ' ', 'failAdmin', 'admin_listGuilds', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', '0', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('logout', 'normal', 'cmdStartLogout', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('loot', 'immediate', 'cmdLoot', 'cmdOpenFail', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '0', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '0', '0', '16', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('lootAiCorpse', 'immediate', 'cmdLootAi', 'cmdOpenFail', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '0', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '0', '0', '16', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('lootPlayerCorpse', 'immediate', 'cmdLootPlayer', 'cmdOpenFail', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '0', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '0', '0', '16', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('lowBlow', 'normal', 'lowBlow', 'failSpecialAttack', ' ', ' ', '1.5', 'lowBlow', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('makeLeader', 'immediate', ' ', ' ', 'groupMakeLeader', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('makeSurvey ', 'front', ' ', ' ', 'makeSurvey ', ' ', '1', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '0', '0', '1288814119', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('manufacture', 'immediate', ' ', 'failAdmin', 'console_manufacture', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('maskscent', 'normal', 'maskscent', 'failMaskscent', ' ', ' ', '2', 'maskscent', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'none', '0', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('maxCombatAbility', 'immediate', 'maxCombatAbility', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('maxStats', 'immediate', 'maxStats', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('medicalForage', 'normal', 'medicalForage', 'failForage', ' ', ' ', '2', 'medicalForage', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'none', '0', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('meditate', 'normal', 'cmdMeditate', ' ', ' ', ' ', '1.5', 'meditate', '1', '0', '1', '0', '1', '0', '0', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '0', '0', '0', '0', '1', 'player.skill.teraskasi', 'none', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('melee1hBlindHit1', 'normal', 'melee1hBlindHit1', 'failSpecialAttack', ' ', ' ', '1.5', 'melee1hBlindHit1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('melee1hBlindHit2', 'normal', 'melee1hBlindHit2', 'failSpecialAttack', ' ', ' ', '1.5', 'melee1hBlindHit2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('melee1hBodyHit1', 'normal', 'melee1hBodyHit1', 'failSpecialAttack', ' ', ' ', '1.5', 'melee1hBodyHit1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('melee1hBodyHit2', 'normal', 'melee1hBodyHit2', 'failSpecialAttack', ' ', ' ', '1.5', 'melee1hBodyHit2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('melee1hBodyHit3', 'normal', 'melee1hBodyHit3', 'failSpecialAttack', ' ', ' ', '1.5', 'melee1hBodyHit3', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('melee1hDizzyHit1', 'normal', 'melee1hDizzyHit1', 'failSpecialAttack', ' ', ' ', '1.5', 'melee1hDizzyHit1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('melee1hDizzyHit2', 'normal', 'melee1hDizzyHit2', 'failSpecialAttack', ' ', ' ', '1.5', 'melee1hDizzyHit2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('melee1hHealthHit1', 'normal', 'melee1hHealthHit1', 'failSpecialAttack', ' ', ' ', '1.5', 'melee1hHealthHit1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('melee1hHealthHit2', 'normal', 'melee1hHealthHit2', 'failSpecialAttack', ' ', ' ', '1.5', 'melee1hHealthHit2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('melee1hHit1', 'normal', 'melee1hHit1', 'failSpecialAttack', ' ', ' ', '1.5', 'melee1hHit1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('melee1hHit2', 'normal', 'melee1hHit2', 'failSpecialAttack', ' ', ' ', '1.5', 'melee1hHit2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('melee1hHit3', 'normal', 'melee1hHit3', 'failSpecialAttack', ' ', ' ', '1.5', 'melee1hHit3', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('melee1hLunge1', 'normal', 'melee1hLunge1', 'failSpecialAttack', ' ', ' ', '1.5', 'melee1hLunge1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('melee1hLunge2', 'normal', 'melee1hLunge2', 'failSpecialAttack', ' ', ' ', '1.5', 'melee1hLunge2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('melee1hScatterHit1', 'normal', 'melee1hScatterHit1', 'failSpecialAttack', ' ', ' ', '1.5', 'melee1hScatterHit1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('melee1hScatterHit2', 'normal', 'melee1hScatterHit2', 'failSpecialAttack', ' ', ' ', '1.5', 'melee1hScatterHit2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('melee1hSpinAttack1', 'normal', 'melee1hSpinAttack1', 'failSpecialAttack', ' ', ' ', '1.5', 'melee1hSpinAttack1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('melee1hSpinAttack2', 'normal', 'melee1hSpinAttack2', 'failSpecialAttack', ' ', ' ', '1.5', 'melee1hSpinAttack2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('melee2hArea1', 'normal', 'melee2hArea1', 'failSpecialAttack', ' ', ' ', '1.5', 'melee2hArea1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('melee2hArea2', 'normal', 'melee2hArea2', 'failSpecialAttack', ' ', ' ', '1.5', 'melee2hArea2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('melee2hArea3', 'normal', 'melee2hArea3', 'failSpecialAttack', ' ', ' ', '1.5', 'melee2hArea3', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('melee2hHeadHit1', 'normal', 'melee2hHeadHit1', 'failSpecialAttack', ' ', ' ', '1.5', 'melee2hHeadHit1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('melee2hHeadHit2', 'normal', 'melee2hHeadHit2', 'failSpecialAttack', ' ', ' ', '1.5', 'melee2hHeadHit2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('melee2hHeadHit3', 'normal', 'melee2hHeadHit3', 'failSpecialAttack', ' ', ' ', '1.5', 'melee2hHeadHit3', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('melee2hHit1', 'normal', 'melee2hHit1', 'failSpecialAttack', ' ', ' ', '1.5', 'melee2hHit1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('melee2hHit2', 'normal', 'melee2hHit2', 'failSpecialAttack', ' ', ' ', '1.5', 'melee2hHit2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('melee2hHit3', 'normal', 'melee2hHit3', 'failSpecialAttack', ' ', ' ', '1.5', 'melee2hHit3', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('melee2hLunge1', 'normal', 'melee2hLunge1', 'failSpecialAttack', ' ', ' ', '1.5', 'melee2hLunge1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('melee2hLunge2', 'normal', 'melee2hLunge2', 'failSpecialAttack', ' ', ' ', '1.5', 'melee2hLunge2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('melee2hMindHit1', 'normal', 'melee2hMindHit1', 'failSpecialAttack', ' ', ' ', '1.5', 'melee2hMindHit1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('melee2hMindHit2', 'normal', 'melee2hMindHit2', 'failSpecialAttack', ' ', ' ', '1.5', 'melee2hMindHit2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('melee2hSpinAttack1', 'normal', 'melee2hSpinAttack1', 'failSpecialAttack', ' ', ' ', '1.5', 'melee2hSpinAttack1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('melee2hSpinAttack2', 'normal', 'melee2hSpinAttack2', 'failSpecialAttack', ' ', ' ', '1.5', 'melee2hSpinAttack2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('melee2hSweep1', 'normal', 'melee2hSweep1', 'failSpecialAttack', ' ', ' ', '1.5', 'melee2hSweep1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('melee2hSweep2', 'normal', 'melee2hSweep2', 'failSpecialAttack', ' ', ' ', '1.5', 'melee2hSweep2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('mindBlast1', 'normal', 'mindBlast1', 'failSpecialAttack', ' ', ' ', '1.5', 'mindBlast1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('mindBlast2', 'normal', 'mindBlast2', 'failSpecialAttack', ' ', ' ', '1.5', 'mindBlast2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('mindShot1', 'normal', 'mindShot1', 'failSpecialAttack', ' ', ' ', '1.5', 'mindShot1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('mindShot2', 'normal', 'mindShot2', 'failSpecialAttack', ' ', ' ', '1.5', 'mindShot2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('money', 'immediate', ' ', 'failAdmin', 'console_money', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('mount', 'front', 'mount', ' ', ' ', ' ', '0', ' ', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', 'player.skill.taming', 'required', ' ', '3', '0', '0', '0', '4', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('moveFurniture', 'immediate', 'moveFurniture', ' ', ' ', ' ', '0', ' ', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('multiTargetPistolShot', 'normal', 'multiTargetPistolShot', 'failSpecialAttack', ' ', ' ', '1.5', 'multiTargetPistolShot', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('multiTargetShot', 'normal', 'multiTargetShot', 'failSpecialAttack', ' ', ' ', '1.5', ' ', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('nameStructure', 'immediate', 'nameStructure', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '1', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('newbiehelper', 'immediate', ' ', ' ', 'toggleHelper', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('newbieRequestStartingLocations', 'front', 'newbieRequestStartingLocations', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('newbieSelectStartingLocation', 'front', 'newbieSelectStartingLocation', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('nextCraftingStage', 'immediate', ' ', ' ', 'nextCraftingStage', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '1', '0', '-436806567', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('npc', 'immediate', ' ', 'failAdmin', 'console_npc', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('npcConversationSelect', 'immediate', ' ', ' ', 'npcConversationSelect', ' ', '0', ' ', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '1', '1', '0', '0', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '1', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('npcConversationStart', 'immediate', ' ', ' ', 'npcConversationStart', ' ', '0', ' ', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '1', '1', '0', '0', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '1', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('npcConversationStop', 'immediate', ' ', ' ', 'npcConversationStop', ' ', '0', ' ', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '1', '1', '0', '0', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '1', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('object', 'immediate', ' ', 'failAdmin', 'console_object', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('objvar', 'immediate', ' ', 'failAdmin', 'console_objvar', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('openContainer', 'immediate', ' ', 'cmdOpenFail', 'openContainer', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('overChargeShot1', 'normal', 'overChargeShot1', 'failSpecialAttack', ' ', ' ', '1.5', 'overChargeShot1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('overChargeShot2', 'normal', 'overChargeShot2', 'failSpecialAttack', ' ', ' ', '1.5', 'overChargeShot2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('overrideActiveMonths', 'immediate', 'cmdOverrideActiveMonths', ' ', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'none', ' ', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('overridePadawanTrialsEligibility', 'immediate', 'cmdGrantPadawanTrialsEligibility', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'none', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('panicShot', 'normal', 'coneDelay', 'failSpecialAttack', ' ', ' ', '1.5', 'panicShot', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('pauseDance', 'normal', 'cmdStopDance', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', 'player.skill.performcommands', 'none', '0', '0', '0', '1908523600', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('pauseMusic', 'normal', 'cmdPauseMusic', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', 'player.skill.performcommands', 'none', '0', '0', '0', '1908523600', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('paWithdraw', 'immediate', 'paWithdraw', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '1', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('paymaintenance', 'immediate', 'payMaintenance', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '1', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('peace', 'immediate', 'peace', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', ' ', 'optional', ' ', '3', '0', '-560185247', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('permissionListModify', 'immediate', ' ', ' ', 'permissionListModify', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('pistolMeleeDefense1', 'normal', 'pistolMeleeDefense1', 'failSpecialAttack', ' ', ' ', '1.5', 'pistolMeleeDefense1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('pistolMeleeDefense2', 'normal', 'pistolMeleeDefense2', 'failSpecialAttack', ' ', ' ', '1.5', 'pistolMeleeDefense2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('placeBattlefieldStructure', 'immediate', 'placeBattlefieldStructure', ' ', ' ', ' ', '0', ' ', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '1', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('placeStructure', 'immediate', ' ', ' ', 'placeStructure', ' ', '0', ' ', '1', '0', '1', '0', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('placeStructureMode', 'immediate', 'placeStructureMode', 'failPlaceStructureMode', ' ', ' ', '0', ' ', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '1', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('planet', 'immediate', ' ', ' ', 'planetChat', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('planetsay', 'immediate', ' ', ' ', 'planetChat', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('planetwarp', 'immediate', ' ', 'failAdmin', 'admin_planetwarp', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', '0', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('planetwarpTarget', 'immediate', ' ', 'failAdmin', 'admin_planetwarp', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', '0', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('pointBlankArea1', 'normal', 'pointBlankArea1', 'failSpecialAttack', ' ', ' ', '1.5', 'pointBlankArea1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('pointBlankArea2', 'normal', 'pointBlankArea2', 'failSpecialAttack', ' ', ' ', '1.5', 'pointBlankArea2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('pointBlankSingle1', 'normal', 'pointBlankSingle1', 'failSpecialAttack', ' ', ' ', '1.5', 'pointBlankSingle1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('pointBlankSingle2', 'normal', 'pointBlankSingle2', 'failSpecialAttack', ' ', ' ', '1.5', 'pointBlankSingle2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('polearmActionHit1', 'normal', 'polearmActionHit1', 'failSpecialAttack', ' ', ' ', '1.5', 'polearmActionHit1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('polearmActionHit2', 'normal', 'polearmActionHit2', 'failSpecialAttack', ' ', ' ', '1.5', 'polearmActionHit2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('polearmArea1', 'normal', 'polearmArea1', 'failSpecialAttack', ' ', ' ', '1.5', 'polearmArea1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('polearmArea2', 'normal', 'polearmArea2', 'failSpecialAttack', ' ', ' ', '1.5', 'polearmArea2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('polearmHit1', 'normal', 'polearmHit1', 'failSpecialAttack', ' ', ' ', '1.5', 'polearmHit1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('polearmHit2', 'normal', 'polearmHit2', 'failSpecialAttack', ' ', ' ', '1.5', 'polearmHit2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('polearmHit3', 'normal', 'polearmHit3', 'failSpecialAttack', ' ', ' ', '1.5', 'polearmHit3', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('polearmLegHit1', 'normal', 'polearmLegHit1', 'failSpecialAttack', ' ', ' ', '1.5', 'polearmLegHit1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('polearmLegHit2', 'normal', 'polearmLegHit2', 'failSpecialAttack', ' ', ' ', '1.5', 'polearmLegHit2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('polearmLegHit3', 'normal', 'polearmLegHit3', 'failSpecialAttack', ' ', ' ', '1.5', 'polearmLegHit3', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('polearmLunge1', 'normal', 'polearmLunge1', 'failSpecialAttack', ' ', ' ', '1.5', 'polearmLunge1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('polearmLunge2', 'normal', 'polearmLunge2', 'failSpecialAttack', ' ', ' ', '1.5', 'polearmLunge2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('polearmSpinAttack1', 'normal', 'polearmSpinAttack1', 'failSpecialAttack', ' ', ' ', '1.5', 'polearmSpinAttack1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('polearmSpinAttack2', 'normal', 'polearmSpinAttack2', 'failSpecialAttack', ' ', ' ', '1.5', 'polearmSpinAttack2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('polearmStun1', 'normal', 'polearmStun1', 'failSpecialAttack', ' ', ' ', '1.5', 'polearmStun1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('polearmStun2', 'normal', 'polearmStun2', 'failSpecialAttack', ' ', ' ', '1.5', 'polearmStun2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('polearmSweep1', 'normal', 'polearmSweep1', 'failSpecialAttack', ' ', ' ', '1.5', 'polearmSweep1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('polearmSweep2', 'normal', 'polearmSweep2', 'failSpecialAttack', ' ', ' ', '1.5', 'polearmSweep2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('postureDownAttack', 'normal', 'postureDownAttack', ' ', ' ', ' ', '0.25', ' ', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-506878646', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('postureUpAttack', 'normal', 'postureUpAttack', ' ', ' ', ' ', '0.25', ' ', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-506878646', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('powerBoost', 'normal', 'cmdPowerBoost', ' ', ' ', ' ', '1.5', 'powerBoost', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '0', '0', '0', '0', '1', 'player.skill.teraskasi', 'none', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('prone', 'immediate', 'prone', 'proneFail', 'setPosture', 'setPosture', '2', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '3', '0', '891527001', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('purchaseReinforcement', 'immediate', 'purchaseReinforcement', ' ', ' ', ' ', '0', ' ', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '1', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('purchaseTicket', 'immediate', ' ', ' ', 'purchaseTicket', ' ', '0', ' ', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '1', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('quickHeal', 'normal', 'quickHeal', ' ', ' ', ' ', '2', 'quickHeal', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('rally', 'normal', 'rally', ' ', ' ', ' ', '5', 'rally', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-560185247', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('reconnectToTransferServer', 'immediate', ' ', 'failAdmin', 'reconnectToTransferServer', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', '0', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('recruitSkillTrainer', 'normal', 'cmdRecruitSkillTrainer', ' ', ' ', ' ', '0', 'recruitSkillTrainer', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('regainConsciousness', 'normal', 'regainConsciousness', 'failSpecialAttack', ' ', ' ', '1.5', 'regainConsciousness', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '1', '0', '0', '0', '0', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('regeneration', 'front', 'cmdRegeneration', 'cmdInnateFail', ' ', ' ', '1', ' ', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('registerWithLocation', 'immediate', 'cmdRegisterWithLocation', ' ', ' ', ' ', '0', 'registerWithLocation', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'player.cmd.register', 'none', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('reload', 'normal', 'reload', ' ', ' ', ' ', '3', ' ', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-560185247', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('remote', 'immediate', ' ', 'failAdmin', 'console_all', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('removeAllowedPlayer', 'front', ' ', 'failAdmin', 'removeAllowedPlayer', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('removeBannedPlayer', 'front', ' ', 'failAdmin', 'removeBannedPlayer', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('removeFriend', 'immediate', ' ', ' ', 'removeFriend', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('removeIgnore', 'immediate', ' ', ' ', 'removeIgnore', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('repairBattlefieldStructure', 'normal', 'repairBattlefieldStructure', ' ', ' ', ' ', '0', ' ', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '1', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('repairShipComponentInSlot', 'normal', 'repairShipComponentInSlot', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '1', '0', '244939766', '0', '16', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('report', 'immediate', ' ', ' ', 'report', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('requestBadges', 'normal', ' ', ' ', 'requestBadges', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('requestBiography', 'immediate', ' ', ' ', 'requestBiography', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('requestCharacterMatch', 'immediate', ' ', ' ', 'requestCharacterMatch', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('requestCharacterSheetInfo', 'normal', ' ', ' ', 'requestCharacterSheetInfo', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('requestCoreSample', 'immediate', ' ', ' ', 'requestCoreSample', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '1', '0', '1', '0', '0', '0', '1', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '1288814119', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('requestCraftingSession', 'immediate', ' ', ' ', 'requestCraftingSession', 'requestCraftingSessionFail', '0', ' ', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '1', '0', '-436806567', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('requestDraftSlots', 'immediate', ' ', ' ', 'requestDraftSlots', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('requestDraftSlotsBatch', 'immediate', ' ', ' ', 'requestDraftSlotsBatch', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('requestManfSchematicSlots', 'immediate', ' ', ' ', 'requestManfSchematicSlots', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('requestResourceWeights', 'normal', ' ', ' ', 'requestResourceWeights', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('requestResourceWeightsBatch', 'normal', ' ', ' ', 'requestResourceWeightsBatch', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('requestSetStatMigrationData', 'immediate', ' ', ' ', 'requestSetStatMigrationData', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('requestStatMigrationData', 'immediate', ' ', ' ', 'requestStatMigrationData', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('requestStatMigrationStart', 'immediate', ' ', ' ', 'requestStatMigrationStart', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('requestStatMigrationStop', 'immediate', ' ', ' ', 'requestStatMigrationStop', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('requestStimpack', 'normal', 'cmdRequestStimpack', ' ', ' ', ' ', '5', ' ', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('requestSurvey', 'immediate', ' ', ' ', 'requestSurvey', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '0', '1', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '1288814119', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('requestWaypointAtPosition', 'front', ' ', ' ', 'requestWaypointAtPosition', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('rescue', 'normal', 'rescue', 'failSpecialAttack', ' ', ' ', '2', 'rescue', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-560185247', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('resendLoginMessageToAll', 'immediate', 'resendLoginMessageToAll', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('resetJedi', 'immediate', 'cmdResetJedi', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'required', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('resource', 'immediate', ' ', 'failAdmin', 'console_resource', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('resourceContainerSplit', 'immediate', ' ', ' ', 'resourceContainerSplit', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '1288814119', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('resourceContainerTransfer', 'immediate', ' ', ' ', 'resourceContainerTransfer', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '1288814119', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('resourceSetName', 'immediate', ' ', ' ', 'resourceSetName', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '1288814119', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('resSampleLoop', 'front', 'cmdResSampleLoop', 'cmdResNoSampleLoop', ' ', ' ', '0', ' ', '1', '0', '1', '0', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', '0', '1', '0', '1', '1', '0', '1', '1', '1', '0', '1', '0', '0', '0', '1', '0', '0', '0', '1', '0', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', 'player.tool.surveytool', 'required', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('restartConversion', 'immediate', 'jediResetConversion', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('restartCraftingSession', 'immediate', ' ', ' ', 'restartCraftingSession', ' ', '0', ' ', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '1', '0', '-436806567', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('retreat', 'normal', 'retreat', 'failSpecialAttack', ' ', ' ', '1.5', 'retreat', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '0', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('revivePlayer', 'normal', 'cmdRevivePlayer', ' ', ' ', ' ', '10', 'revivePlayer', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '16', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('revokeBadge', 'immediate', 'cmdRevokeBadge', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'optional', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('revokeSkill', 'immediate', 'cmdRevokeSkill', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'optional', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('rolePlay', 'immediate', ' ', ' ', 'toggleRolePlay', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('rollShot', 'normal', 'rollShot', 'failSpecialAttack', ' ', ' ', '1.5', 'rollShot', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('rotateFurniture', 'immediate', 'rotateFurniture', ' ', ' ', ' ', '0', ' ', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('saber1hComboHit1', 'normal', 'saber1hComboHit1', 'failSpecialAttack', ' ', ' ', '1.5', 'saber1hComboHit1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saber1hComboHit2', 'normal', 'saber1hComboHit2', 'failSpecialAttack', ' ', ' ', '1.5', 'saber1hComboHit2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saber1hComboHit3', 'normal', 'saber1hComboHit3', 'failSpecialAttack', ' ', ' ', '1.5', 'saber1hComboHit3', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saber1hFlurry', 'normal', 'saber1hFlurry', 'failSpecialAttack', ' ', ' ', '1.5', 'saber1hFlurry', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saber1hFlurry2', 'normal', 'saber1hFlurry2', 'failSpecialAttack', ' ', ' ', '1.5', 'saber1hFlurry2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saber1hHeadHit1', 'normal', 'saber1hHeadHit1', 'failSpecialAttack', ' ', ' ', '1.5', 'saber1hHeadHit1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saber1hHeadHit2', 'normal', 'saber1hHeadHit2', 'failSpecialAttack', ' ', ' ', '1.5', 'saber1hHeadHit2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saber1hHeadHit3', 'normal', 'saber1hHeadHit3', 'failSpecialAttack', ' ', ' ', '1.5', 'saber1hHeadHit3', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saber1hHit1', 'normal', 'saber1hHit1', 'failSpecialAttack', ' ', ' ', '1.5', 'saber1hHit1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saber1hHit2', 'normal', 'saber1hHit2', 'failSpecialAttack', ' ', ' ', '1.5', 'saber1hHit2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saber1hHit3', 'normal', 'saber1hHit3', 'failSpecialAttack', ' ', ' ', '1.5', 'saber1hHit3', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saber2hBodyHit1', 'normal', 'saber2hBodyHit1', 'failSpecialAttack', ' ', ' ', '1.5', 'saber2hBodyHit1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saber2hBodyHit2', 'normal', 'saber2hBodyHit2', 'failSpecialAttack', ' ', ' ', '1.5', 'saber2hBodyHit2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saber2hBodyHit3', 'normal', 'saber2hBodyHit3', 'failSpecialAttack', ' ', ' ', '1.5', 'saber2hBodyHit3', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saber2hFrenzy', 'normal', 'saber2hFrenzy', 'failSpecialAttack', ' ', ' ', '1.5', 'saber2hFrenzy', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saber2hHit1', 'normal', 'saber2hHit1', 'failSpecialAttack', ' ', ' ', '1.5', 'saber2hHit1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saber2hHit2', 'normal', 'saber2hHit2', 'failSpecialAttack', ' ', ' ', '1.5', 'saber2hHit2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saber2hHit3', 'normal', 'saber2hHit3', 'failSpecialAttack', ' ', ' ', '1.5', 'saber2hHit3', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saber2hPhantom', 'normal', 'saber2hPhantom', 'failSpecialAttack', ' ', ' ', '1.5', 'saber2hPhantom', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saber2hSweep1', 'normal', 'saber2hSweep1', 'failSpecialAttack', ' ', ' ', '1.5', 'saber2hSweep1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saber2hSweep2', 'normal', 'saber2hSweep2', 'failSpecialAttack', ' ', ' ', '1.5', 'saber2hSweep2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saber2hSweep3', 'normal', 'saber2hSweep3', 'failSpecialAttack', ' ', ' ', '1.5', 'saber2hSweep3', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saberPolearmDervish', 'normal', 'saberPolearmDervish', 'failSpecialAttack', ' ', ' ', '1.5', 'saberPolearmDervish', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saberPolearmDervish2', 'normal', 'saberPolearmDervish2', 'failSpecialAttack', ' ', ' ', '1.5', 'saberPolearmDervish2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saberPolearmHit1', 'normal', 'saberPolearmHit1', 'failSpecialAttack', ' ', ' ', '1.5', 'saberPolearmHit1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saberPolearmHit2', 'normal', 'saberPolearmHit2', 'failSpecialAttack', ' ', ' ', '1.5', 'saberPolearmHit2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saberPolearmHit3', 'normal', 'saberPolearmHit3', 'failSpecialAttack', ' ', ' ', '1.5', 'saberPolearmHit3', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saberPolearmLegHit1', 'normal', 'saberPolearmLegHit1', 'failSpecialAttack', ' ', ' ', '1.5', 'saberPolearmLegHit1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saberPolearmLegHit2', 'normal', 'saberPolearmLegHit2', 'failSpecialAttack', ' ', ' ', '1.5', 'saberPolearmLegHit2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saberPolearmLegHit3', 'normal', 'saberPolearmLegHit3', 'failSpecialAttack', ' ', ' ', '1.5', 'saberPolearmLegHit3', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saberPolearmSpinAttack1', 'normal', 'saberPolearmSpinAttack1', 'failSpecialAttack', ' ', ' ', '1.5', 'saberPolearmSpinAttack1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saberPolearmSpinAttack2', 'normal', 'saberPolearmSpinAttack2', 'failSpecialAttack', ' ', ' ', '1.5', 'saberPolearmSpinAttack2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saberPolearmSpinAttack3', 'normal', 'saberPolearmSpinAttack3', 'failSpecialAttack', ' ', ' ', '1.5', 'saberPolearmSpinAttack3', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saberSlash1', 'normal', 'saberSlash1', 'failSpecialAttack', ' ', ' ', '1.5', 'saberSlash1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saberSlash2', 'normal', 'saberSlash2', 'failSpecialAttack', ' ', ' ', '1.5', 'saberSlash2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saberThrow1', 'normal', 'saberThrow1', 'failSpecialAttack', ' ', ' ', '1.5', 'saberThrow1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saberThrow2', 'normal', 'saberThrow2', 'failSpecialAttack', ' ', ' ', '1.5', 'saberThrow2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saberThrow3', 'normal', 'saberThrow3', 'failSpecialAttack', ' ', ' ', '1.5', 'saberThrow3', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('sample', 'immediate', ' ', ' ', 'getSample', ' ', '0', 'sample', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '1', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '3', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('sampleDNA', 'normal', 'cmdHarvestDNA', 'cmdHarvestDNAFail', ' ', ' ', '1', ' ', '1', '0', '1', '1', '1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '1', '1', '1', '0', '0', '1', '0', '1', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'required', ' ', '2', '0', '-1219797200', '0', '16', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('scatterShot1', 'normal', 'scatterShot1', 'failSpecialAttack', ' ', ' ', '1.5', 'scatterShot1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('scatterShot2', 'normal', 'scatterShot2', 'failSpecialAttack', ' ', ' ', '1.5', 'scatterShot2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('script', 'immediate', ' ', 'failAdmin', 'console_script', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('searchCorpse', 'immediate', 'cmdSearchCorpse', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'optional', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('secretSpawnSpam', 'immediate', 'secretSpawnSpam', ' ', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('seGoggles', 'immediate', 'createNewGoggles', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'item.goggles.reset', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('selectDraftSchematic', 'immediate', ' ', ' ', 'selectDraftSchematic', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '1', '0', '-436806567', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('server', 'immediate', ' ', 'failAdmin', 'console_server', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('serverDestroyObject', 'front', ' ', ' ', 'serverDestroyObject', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('serverSysGroup', 'immediate', 'sysGroup', ' ', ' ', ' ', '0', 'sysgroup', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '1', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('setBiographyAdmin', 'immediate', ' ', 'failAdmin', 'setBiography', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('setBiography', 'immediate', ' ', ' ', 'setBiography', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('setBoostmorale', 'immediate', 'setBoostmorale', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('setCharge', 'immediate', 'setCharge', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('setCurrentSkillTitle', 'immediate', ' ', ' ', 'setCurrentSkillTitle', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('setExperience', 'immediate', 'cmdSetExperience', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'optional', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('setFaction', 'immediate', 'cmdSetFaction', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'optional', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('setFactionStanding', 'immediate', 'cmdSetFactionStanding', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'optional', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('setFirstName', 'immediate', 'cmdSetFirstName', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'optional', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('setFormup', 'immediate', 'setFormup', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('setGodMode', 'immediate', ' ', ' ', 'admin_setGodMode', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('setHue', 'immediate', 'cmdSetHue', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'optional', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('setIntimidate', 'immediate', 'setIntimidate', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('setLastName', 'immediate', 'cmdSetLastName', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'optional', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('setLoginMessage', 'immediate', 'setLoginMessage', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('setLoginTitle', 'immediate', 'setLoginTitle', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('setMatchMakingCharacterId', 'immediate', ' ', ' ', 'setMatchMakingCharacterId', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('setMatchMakingPersonalId', 'immediate', ' ', ' ', 'setMatchMakingPersonalId', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('setMaximumSpawnTime', 'immediate', 'setMaximumSpawnTime', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('setMinimumSpawnTime', 'immediate', 'setMinimumSpawnTime', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('setMood', 'front', ' ', ' ', 'setMood', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('setMoodInternal', 'front', ' ', ' ', 'setMoodInternal', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('setName', 'front', ' ', ' ', 'setName', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'required', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('setName', 'immediate', 'cmdSetName', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'optional', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('setOwner', 'front', ' ', ' ', 'setOwner', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('setPerformanceBuffTarget', 'normal', 'cmdSetPerformanceBuffTarget', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', 'player.skill.performcommands', 'optional', '0', '0', '0', '1908523600', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('setpermission', 'immediate', 'setPermission', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('setPlanetLimit', 'immediate', 'setPlanetLimit', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('setPlayerAppearance', 'immediate', ' ', ' ', 'setPlayerAppearance', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '15', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('setPlayerState', 'immediate', 'cmdSetPlayerState', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'required', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('setprivacy', 'immediate', 'setPrivacy', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('setPublicState', 'front', ' ', 'failAdmin', 'setPublicState', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('setRank', 'immediate', 'cmdSetRank', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'optional', ' ', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('setRetreat', 'immediate', 'setRetreat', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('setSpeed', 'immediate', 'cmdSetSpeed', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'optional', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('setSpokenLanguage', 'immediate', ' ', ' ', 'setSpokenLanguage', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('setSteadyaim', 'immediate', 'setSteadyaim', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('setTEF', 'immediate', 'cmdSetTef', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'optional', ' ', '0', '0', '0', '1', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('setVeteranReward', 'immediate', 'cmdSetVeteranReward', ' ', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'required', ' ', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('setWarcry', 'immediate', 'setWarcry', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('setWaypointActiveStatus', 'immediate', ' ', ' ', 'setWaypointActiveStatus', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('setWaypointName', 'immediate', ' ', ' ', 'setWaypointName', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('showCouncilRank', 'immediate', 'cmdShowCouncilRank', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('showDanceVisuals', 'immediate', ' ', ' ', 'showDanceVisuals', ' ', '0', ' ', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', ' ', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('showFactionInformation', 'immediate', 'cmdShowFactionInformation', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'optional', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('showMusicianVisuals', 'immediate', ' ', ' ', 'showMusicianVisuals', ' ', '0', ' ', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', ' ', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('showPvPRating', 'immediate', 'cmdShowPvPRating', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('showSpawnRegion', 'immediate', 'showSpawnRegion', ' ', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('sitServer', 'normal', 'sit', ' ', 'sitServer', ' ', '2', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '0', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('skill', 'immediate', ' ', 'failAdmin', 'console_skill', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('smokebomb', 'normal', 'cmdSmokeBomb', ' ', ' ', ' ', '0', 'smokebomb', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', 'player.skill.performcommands', 'none', '0', '2', '0', '1908523600', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('sniperShot', 'normal', 'sniperShot', 'failSpecialAttack', ' ', ' ', '1.5', 'sniperShot', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('snoop', 'immediate', ' ', 'failAdmin', 'admin_snoop', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('social', 'front', ' ', ' ', 'social', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('socialInternal', 'front', ' ', ' ', 'socialInternal', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('spatialChat', 'front', ' ', ' ', 'spatialChat', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('spatialChatInternal', 'front', ' ', ' ', 'spatialChatInternal', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('spawnStatus', 'immediate', 'spawnStatus', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('splitCreditsWithGroup', 'immediate', 'cmdSplitCreditsWithGroup', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('spotlight', 'normal', 'cmdSpotLight', ' ', ' ', ' ', '0', 'spotlight', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', 'player.skill.performcommands', 'none', '0', '2', '0', '1908523600', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('sprayShot', 'normal', 'sprayShot', 'failSpecialAttack', ' ', ' ', '1.5', 'sprayShot', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('stand', 'immediate', 'stand', 'standFail', 'setPosture', 'setPosture', '2', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '0', '0', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '3', '0', '891527001', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('startBand', 'normal', 'cmdStartBand', 'failMusic', ' ', ' ', '0', ' ', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', 'player.skill.performcommands', 'none', '0', '0', '0', '1908523600', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('startCitySpawner', 'immediate', 'startCitySpawner', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('startDance', 'normal', 'cmdStartDance', 'failDance', ' ', ' ', '0', ' ', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', 'player.skill.performcommands', 'none', '0', '2', '0', '1908523600', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('startleShot1', 'normal', 'startleShot1', 'failSpecialAttack', ' ', ' ', '1.5', 'startleShot1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('startleShot2', 'normal', 'startleShot2', 'failSpecialAttack', ' ', ' ', '1.5', 'startleShot2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('startMusic', 'normal', 'cmdStartMusic', 'failMusic', ' ', ' ', '0', ' ', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', 'player.skill.performcommands', 'none', '0', '2', '0', '1908523600', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('startSpawner', 'immediate', 'startSpawner', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('startTargetSpawner', 'immediate', 'startTargetSpawner', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('startTraceLogging', 'immediate', 'startTraceLogging', ' ', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('stat', 'normal', 'cmdStat', 'cmdStatFail', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('steadyaim', 'normal', 'steadyaim', 'failSpecialAttack', ' ', ' ', '1.5', 'steadyaim', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('stopBand', 'normal', 'cmdStopBand', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', 'player.skill.performcommands', 'none', '0', '0', '0', '1908523600', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('stopBleeding', 'normal', 'stopBleeding', 'failSpecialAttack', ' ', ' ', '1.5', 'stopBleeding', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('stopCitySpawner', 'immediate', 'stopCitySpawner', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('stopCraftingSession', 'immediate', ' ', ' ', 'stopCraftingSession', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '1', '0', '-436806567', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('stopDance', 'normal', 'cmdStopDance', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', 'player.skill.performcommands', 'none', '0', '2', '0', '1908523600', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('stoplistening', 'normal', 'cmdStopListening', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', 'player.skill.performcommands', 'optional', '0', '0', '0', '1908523600', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('stopMusic', 'normal', 'cmdStopMusic', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', 'player.skill.performcommands', 'none', '0', '2', '0', '1908523600', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('stoppingShot', 'normal', 'stoppingShot', 'failSpecialAttack', ' ', ' ', '1.5', 'stoppingShot', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('stopSpawner', 'immediate', 'stopSpawner', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('stopTargetSpawner', 'immediate', 'stopTargetSpawner', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('stopTraceLogging', 'immediate', 'stopTraceLogging', ' ', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('stopwatching', 'normal', 'cmdStopWatching', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', 'player.skill.performcommands', 'optional', '0', '0', '0', '1908523600', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('strafeShot1', 'normal', 'strafeShot1', 'failSpecialAttack', ' ', ' ', '1.5', 'strafeShot1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('strafeShot2', 'normal', 'strafeShot2', 'failSpecialAttack', ' ', ' ', '1.5', 'strafeShot2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('structurestatus', 'immediate', 'structureStatus', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '1', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('stunAttack', 'normal', 'stunAttack', ' ', ' ', ' ', '0.25', ' ', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-506878646', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('suppressionFire1', 'normal', 'suppressionFire1', 'failSpecialAttack', ' ', ' ', '1.5', 'suppressionFire1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('suppressionFire2', 'normal', 'suppressionFire2', 'failSpecialAttack', ' ', ' ', '1.5', 'suppressionFire2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('surpriseShot', 'normal', 'surpriseShot', 'failSpecialAttack', ' ', ' ', '1.5', 'surpriseShot', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('surrenderSkill', 'immediate', ' ', ' ', 'surrenderSkill', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '1', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('survey', 'immediate', ' ', ' ', 'survey', ' ', '0', 'survey', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '1', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '3', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('synchronizedUiListen', 'immediate', ' ', ' ', 'synchronizedUiListen', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '1288814119', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('synchronizedUiStopListening', 'immediate', ' ', ' ', 'synchronizedUiStopListening', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '1288814119', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('systemMessage', 'immediate', ' ', ' ', 'systemMessage', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('takeCover', 'normal', 'takeCover', 'failSpecialAttack', ' ', ' ', '4', 'takeCover', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-560185247', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('tame', 'normal', 'cmdTame', ' ', ' ', ' ', '0.5', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '1', '1', '1', '1', '1', '0', '1', '0', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', 'player.skill.taming', 'required', ' ', '2', '0', '0', '0', '32', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('target', 'immediate', 'target', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('taunt', 'normal', 'taunt', 'failSpecialAttack', ' ', ' ', '1.5', 'taunt', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('teach', 'normal', 'teach', ' ', ' ', ' ', '0', ' ', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '1', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('teleport', 'immediate', ' ', 'failAdmin', 'admin_teleport', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', '0', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('teleportTarget', 'immediate', ' ', 'failAdmin', 'admin_teleport', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', '0', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('teleportTo', 'immediate', ' ', 'failAdmin', 'admin_teleportTo', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', '0', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('tellpet', 'immediate', 'cmdTellPet', ' ', ' ', ' ', '1', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'player.skill.taming', 'optional', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('tendDamage', 'normal', 'tendDamage', ' ', ' ', ' ', '5', 'tendDamage', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('tendDamageTool', 'normal', 'tendDamageTool', ' ', ' ', ' ', '5', 'tendDamage', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '1', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('tendWound', 'normal', 'tendWound', ' ', ' ', ' ', '5', 'tendWound', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('tendWoundsTool', 'normal', 'tendWoundsTool', ' ', ' ', ' ', '5', 'tendWound', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '1', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('threatenShot', 'normal', 'threatenShot', 'failSpecialAttack', ' ', ' ', '1.5', 'threatenShot', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('throwGrenade', 'normal', 'throwGrenade', 'failThrowGrenade', ' ', ' ', '15', ' ', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('throwTrap', 'normal', 'throwTrap', 'failThrowTrap', ' ', ' ', '5', ' ', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'required', ' ', '1', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('tip', 'front', 'cmdTip', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('toggleAwayFromKeyBoard', 'immediate', ' ', ' ', 'toggleAwayFromKeyBoard', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('toggleDisplayingFactionRank', 'immediate', ' ', ' ', 'toggleDisplayingFactionRank', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('torsoShot', 'normal', 'torsoShot', 'failSpecialAttack', ' ', ' ', '1.5', 'torsoShot', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('totalHealOther', 'normal', 'totalHealOther', 'failSpecialAttack', ' ', ' ', '1.5', 'totalHealOther', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('totalHealSelf', 'normal', 'totalHealSelf', 'failSpecialAttack', ' ', ' ', '1.5', 'totalHealSelf', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('transferForce', 'normal', 'transferForce', 'failSpecialAttack', ' ', ' ', '1.5', 'transferForce', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('transferItem', 'immediate', ' ', ' ', 'transferItem', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('transferItemArmor', 'normal', ' ', ' ', 'transferItemArmor', ' ', '5', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '2', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('transferItemMisc', 'normal', ' ', ' ', 'transferItemMisc', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '2', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('transferItemWeapon', 'normal', ' ', ' ', 'transferItemWeapon', ' ', '3', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '2', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('transferstructure', 'immediate', 'transferStructure', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('tumbleToKneeling', 'normal', 'tumbleToKneeling', 'failSpecialAttack', ' ', ' ', '3', 'tumbleToKneeling', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-560185247', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('tumbleToProne', 'normal', 'tumbleToProne', 'failSpecialAttack', ' ', ' ', '3', 'tumbleToProne', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-560185247', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('tumbleToStanding', 'normal', 'tumbleToStanding', 'failSpecialAttack', ' ', ' ', '3', 'tumbleToStanding', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-560185247', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('unarmedBlind1', 'normal', 'unarmedBlind1', 'failSpecialAttack', ' ', ' ', '1.5', 'unarmedBlind1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('unarmedBodyHit1', 'normal', 'unarmedBodyHit1', 'failSpecialAttack', ' ', ' ', '1.5', 'unarmedBodyHit1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('unarmedCombo1', 'normal', 'unarmedCombo1', 'failSpecialAttack', ' ', ' ', '1.5', 'unarmedCombo1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('unarmedCombo2', 'normal', 'unarmedCombo2', 'failSpecialAttack', ' ', ' ', '1.5', 'unarmedCombo2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('unarmedDizzy1', 'normal', 'unarmedDizzy1', 'failSpecialAttack', ' ', ' ', '1.5', 'unarmedDizzy1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('unarmedHeadHit1', 'normal', 'unarmedHeadHit1', 'failSpecialAttack', ' ', ' ', '1.5', 'unarmedHeadHit1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('unarmedHit1', 'normal', 'unarmedHit1', 'failSpecialAttack', ' ', ' ', '1.5', 'unarmedHit1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('unarmedHit2', 'normal', 'unarmedHit2', 'failSpecialAttack', ' ', ' ', '1.5', 'unarmedHit2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('unarmedHit3', 'normal', 'unarmedHit3', 'failSpecialAttack', ' ', ' ', '1.5', 'unarmedHit3', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('unarmedKnockdown1', 'normal', 'unarmedKnockdown1', 'failSpecialAttack', ' ', ' ', '1.5', 'unarmedKnockdown1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('unarmedKnockdown2', 'normal', 'unarmedKnockdown2', 'failSpecialAttack', ' ', ' ', '1.5', 'unarmedKnockdown2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('unarmedLegHit1', 'normal', 'unarmedLegHit1', 'failSpecialAttack', ' ', ' ', '1.5', 'unarmedLegHit1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('unarmedLunge1', 'normal', 'unarmedLunge1', 'failSpecialAttack', ' ', ' ', '1.5', 'unarmedLunge1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('unarmedLunge2', 'normal', 'unarmedLunge2', 'failSpecialAttack', ' ', ' ', '1.5', 'unarmedLunge2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('unarmedSpinAttack1', 'normal', 'unarmedSpinAttack1', 'failSpecialAttack', ' ', ' ', '1.5', 'unarmedSpinAttack1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('unarmedSpinAttack2', 'normal', 'unarmedSpinAttack2', 'failSpecialAttack', ' ', ' ', '1.5', 'unarmedSpinAttack2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('unarmedStun1', 'normal', 'unarmedStun1', 'failSpecialAttack', ' ', ' ', '1.5', 'unarmedStun1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('unassociateDroidControlDeviceWithShip', 'normal', ' ', ' ', 'unassociateDroidControlDeviceWithShip', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'required', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('unCityBan', 'immediate', 'cmdUnCityBan', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'optional', ' ', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('unconsent', 'front', 'cmdUnconsent', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '3', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('underHandShot', 'normal', 'underHandShot', 'failSpecialAttack', ' ', ' ', '1.5', 'underHandShot', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('unfreezePlayer', 'immediate', 'cmdUnfreezePlayer', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'required', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('uninstallShipComponent', 'normal', ' ', ' ', 'uninstallShipComponent', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '1', '0', '244939766', '0', '16', '0', '244939766', '0');
INSERT INTO `command_command_table` VALUES ('uninvite', 'immediate', ' ', ' ', 'groupUninvite', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('unsnoop', 'immediate', ' ', 'failAdmin', 'admin_unsnoop', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('useReconDrone', 'normal', 'cmdUseReconDrone', ' ', ' ', ' ', '1', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'required', ' ', '2', '1', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('useSkillBuff', 'normal', 'cmdUseSkillBuff', ' ', ' ', ' ', '1.5', ' ', '1', '0', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '0', '0', '0', '0', '1', 'player.cmd.misc', 'required', ' ', '1', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('ventriloquism', 'normal', 'cmdVentriloquism', ' ', ' ', ' ', '0', 'ventriloquism', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', 'player.skill.performcommands', 'none', '0', '2', '0', '1908523600', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('toggleCombatTaunts', 'front', 'toggleCombatTaunts', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('vertFurniture', 'immediate', 'vertFurniture', ' ', ' ', ' ', '0', ' ', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('vitalize', 'front', 'cmdVitalize', 'cmdInnateFail', ' ', ' ', '1', ' ', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('volleyFire', 'normal', 'volleyFire', ' ', ' ', ' ', '2', 'volleyFire', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('volleyFireAttack', 'front', 'volleyFireAttack', 'volleyFireAttackFail', ' ', ' ', '5', ' ', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-560185247', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('warcry1', 'normal', 'warcry1', 'failSpecialAttack', ' ', ' ', '1.5', 'warcry1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('warcry2', 'normal', 'warcry2', 'failSpecialAttack', ' ', ' ', '1.5', 'warcry2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('warningShot', 'normal', 'warningShot', 'failSpecialAttack', ' ', ' ', '1.5', 'warningShot', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('watch', 'normal', 'cmdWatch', ' ', ' ', ' ', '0', ' ', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', 'player.skill.performcommands', 'optional', '0', '0', '0', '1908523600', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('wildShot1', 'normal', 'wildShot1', 'failSpecialAttack', ' ', ' ', '1.5', 'wildShot1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('wildShot2', 'normal', 'wildShot2', 'failSpecialAttack', ' ', ' ', '1.5', 'wildShot2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('wipeItems', 'immediate', 'cmdWipeItems', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'optional', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('wookieeRoar', 'front', 'wookieeRoar', 'cmdInnateFail', ' ', ' ', '1', ' ', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('cityInfo', 'immediate', 'cmdCityInfo', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `customization_data` VALUES ('moncal_female', 'body', 'hslider', 'muscle', 'blend_muscle', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '3', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_female', 'body', 'hslider', 'height', '', '1', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '5', 'physical', '0', '0.86', '0.94');
INSERT INTO `customization_data` VALUES ('moncal_female', 'body', 'hslider', 'weight', 'blend_skinny,blend_fat', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '7', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_female', 'body', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_female', 'body', 'color', 'color_markings', 'index_color_3', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'markings', '3', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_female', 'eyes_nose', 'hslider', 'eye_size', 'blend_eyesize_0,blend_eyesize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_female', 'eyes_nose', 'hslider', 'eye_shape', 'blend_eyedirection_0,blend_eyedirection_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_female', 'eyes_nose', 'hslider', 'nose_length', 'blend_noselength_0,blend_noselength_1', '0', '0', '', '', '', '225', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_female', 'eyes_nose', 'hslider', 'nose_width', 'blend_nosewidth_0,blend_nosewidth_1', '0', '0', '', '', '', '180', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_female', 'eyes_nose', 'hslider', 'nose_protrusion', 'blend_nosedepth_0,blend_nosedepth_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_female', 'eyes_nose', 'color', 'color_eyes', 'index_color_2', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '2', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_female', 'face', 'hslider', 'lip_fullness', 'blend_lipfullness_0,blend_lipfullness_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '4', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_female', 'face', 'hslider', 'lip_width', 'blend_lipwidth_0,blend_lipwidth_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_female', 'face', 'hslider', 'cheeks', 'blend_jaw_0,blend_jaw_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '4', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_female', 'face', 'hslider', 'jaw', 'blend_cheeks_0,blend_cheeks_1', '0', '0', '', '', '', '195', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_female', 'face', 'hslider', 'gullet', 'blend_chinsize_0,blend_chinsize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_female', 'face', 'hslider', 'head', 'blend_headsize_0,blend_headsize_1', '0', '0', '', '', '', '250', '0', '1', '0', '0', 'face', '12', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_female', 'face', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_female', 'face', 'color', 'color_markings', 'index_color_3', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'markings', '3', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_female', 'markings', 'hslider', 'pattern', 'index_texture_1', '0', '0', '', '', '', '0', '1', '1', '0', '0', 'markings', '5', 'cosmetic', '26', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_female', 'markings', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_female', 'markings', 'color', 'color_markings', 'index_color_3', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'markings', '3', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_female', 'body', 'hslider', 'muscle', 'blend_muscle', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '3', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_female', 'body', 'hslider', 'height', '', '1', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '5', 'physical', '0', '0.72', '0.81');
INSERT INTO `customization_data` VALUES ('bothan_female', 'body', 'hslider', 'weight', 'blend_skinny,blend_fat', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '7', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_female', 'body', 'hslider', 'chest', 'blend_flat_chest', '0', '1', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_female', 'body', 'color', 'color_fur', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '1', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_female', 'eyes_nose', 'hslider', 'eye_size', 'blend_eyesize_0,blend_eyesize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_female', 'eyes_nose', 'hslider', 'eye_shape', 'blend_eyedirection_0,blend_eyedirection_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_female', 'eyes_nose', 'hslider', 'nose_length', 'blend_noselength_0,blend_noselength_1', '0', '0', '', '', '', '225', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_female', 'eyes_nose', 'hslider', 'nose_width', 'blend_nosewidth_0,blend_nosewidth_1', '0', '0', '', '', '', '180', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_female', 'eyes_nose', 'hslider', 'nose_protrusion', 'blend_nosedepth_0,blend_nosedepth_1', '0', '0', '', '', '', '270', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_female', 'eyes_nose', 'color', 'color_eyes', 'index_color_2', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '2', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_female', 'face', 'hslider', 'lip_fullness', 'blend_lipfullness_0,blend_lipfullness_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '4', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_female', 'face', 'hslider', 'lip_width', 'blend_lipwidth_0,blend_lipwidth_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_female', 'face', 'hslider', 'chin', 'blend_chinsize_0,blend_chinsize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_female', 'face', 'hslider', 'jaw', 'blend_jaw_0,blend_jaw_1', '0', '0', '', '', '', '195', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_female', 'face', 'hslider', 'cheeks', 'blend_cheeks_0,blend_cheeks_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '4', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_female', 'face', 'hslider', 'ears', 'blend_ears_0,blend_ears_1', '0', '0', '', '', '', '180', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_female', 'face', 'color', 'color_fur', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '1', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_female', 'hair', 'color', 'color_hair', 'index_color_1', '0', '0', '', '', '', '0', '0', '1', '0', '1', 'hair', '1', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_female', 'hair', 'color', 'color_trim', 'index_color_2', '0', '0', '', '', '', '0', '0', '1', '0', '1', 'hair', '2', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_male', 'body', 'hslider', 'muscle', 'blend_muscle', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '3', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_male', 'body', 'hslider', 'height', '', '1', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '5', 'physical', '0', '0.89', '1.11');
INSERT INTO `customization_data` VALUES ('human_male', 'body', 'hslider', 'weight', 'blend_skinny,blend_fat', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '7', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_male', 'body', 'hslider', 'chest', 'blend_muscle', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_male', 'body', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_male', 'eyes_nose', 'hslider', 'eye_size', 'blend_eyesize_0,blend_eyesize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_male', 'eyes_nose', 'hslider', 'eye_shape', 'blend_eyeshape_0,blend_eyeshape_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_male', 'eyes_nose', 'hslider', 'eye_direction', 'blend_eyedirection_0,blend_eyedirection_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_male', 'eyes_nose', 'hslider', 'nose_length', 'blend_noselength_0,blend_noselength_1', '0', '0', '', '', '', '225', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_male', 'eyes_nose', 'hslider', 'nose_width', 'blend_nosewidth_0,blend_nosewidth_1', '0', '0', '', '', '', '180', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_male', 'eyes_nose', 'hslider', 'nose_protrusion', 'blend_nosedepth_0,blend_nosedepth_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_male', 'eyes_nose', 'color', 'color_eyes', 'index_color_2', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '2', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_male', 'face', 'hslider', 'age', 'index_age', '0', '0', '', '', '', '0', '1', '0', '0', '0', 'face', '12', 'physical', '4', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_male', 'face', 'hslider', 'lip_fullness', 'blend_lipfullness_0,blend_lipfullness_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '4', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_male', 'face', 'hslider', 'lip_width', 'blend_lipwidth_0,blend_lipwidth_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_male', 'face', 'hslider', 'chin', 'blend_chinsize_0,blend_chinsize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_male', 'face', 'hslider', 'jaw', 'blend_jaw_0,blend_jaw_1', '0', '0', '', '', '', '195', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_male', 'face', 'hslider', 'cheeks', 'blend_cheeks_0,blend_cheeks_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '4', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_male', 'face', 'hslider', 'ears', 'blend_ears_0,blend_ears_1', '0', '0', '', '', '', '180', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_male', 'face', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_male', 'freckles', 'hslider', 'freckles', 'index_style_freckles', '0', '0', '', '', '', '0', '1', '1', '0', '0', 'face', '3', 'physical', '5', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_male', 'hair', 'hslider', 'eyebrows', 'index_style_eyebrow', '0', '0', '', '', '', '0', '1', '1', '0', '0', 'hair', '4', 'cosmetic', '7', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_male', 'hair', 'hslider', 'beard', 'index_style_beard', '0', '0', '', '', '', '0', '1', '1', '0', '0', 'hair', '4', 'cosmetic', '18', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_male', 'hair', 'color', 'color_hair', 'index_color_1', '0', '0', '', '', '', '0', '0', '1', '0', '1', 'hair', '1', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_male', 'hair', 'color', 'color_facial_hair', 'index_color_facial_hair', '0', '0', 'index_color_1', '', '', '0', '0', '1', '0', '0', 'hair', '2', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_male', 'body', 'hslider', 'muscle', 'blend_muscle', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '3', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_male', 'body', 'hslider', 'height', '', '1', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '5', 'physical', '0', '0.89', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_male', 'body', 'hslider', 'weight', 'blend_skinny,blend_fat', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '7', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_male', 'body', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_male', 'body', 'color', 'color_markings', 'index_color_pattern', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'markings', '3', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_male', 'eyes_nose', 'hslider', 'eye_size', 'blend_eyesize_0,blend_eyesize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_male', 'eyes_nose', 'hslider', 'eye_shape', 'blend_eyedirection_0,blend_eyedirection_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_male', 'eyes_nose', 'hslider', 'nose_length', 'blend_noselength_0,blend_noselength_1', '0', '0', '', '', '', '225', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_male', 'eyes_nose', 'hslider', 'nose_width', 'blend_nosewidth_0,blend_nosewidth_1', '0', '0', '', '', '', '180', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_male', 'eyes_nose', 'hslider', 'nose_protrusion', 'blend_nosedepth_0,blend_nosedepth_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_male', 'eyes_nose', 'color', 'color_eyes', 'index_color_2', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '2', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_male', 'face', 'hslider', 'lip_fullness', 'blend_lipfullness_0,blend_lipfullness_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '4', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_male', 'face', 'hslider', 'lip_width', 'blend_lipwidth_0,blend_lipwidth_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_male', 'face', 'hslider', 'cheeks', 'blend_jaw_0,blend_jaw_1', '0', '0', '', '', '', '195', '0', '1', '0', '0', 'face', '4', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_male', 'face', 'hslider', 'jaw', 'blend_cheeks_0,blend_cheeks_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_male', 'face', 'hslider', 'gullet', 'blend_chinsize_0,blend_chinsize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_male', 'face', 'hslider', 'head', 'blend_ears_0,blend_ears_1', '0', '0', '', '', '', '200', '0', '1', '0', '0', 'face', '12', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_male', 'face', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_male', 'face', 'color', 'color_markings', 'index_color_pattern', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'markings', '3', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_male', 'markings', 'hslider', 'pattern', 'index_texture_1', '0', '0', '', '', '', '0', '1', '1', '0', '0', 'markings', '5', 'cosmetic', '28', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_male', 'markings', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_male', 'markings', 'color', 'color_markings', 'index_color_pattern', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'markings', '3', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_male', 'body', 'hslider', 'muscle', 'blend_muscle', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '3', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_male', 'body', 'hslider', 'height', '', '1', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '5', 'physical', '0', '0.75', '0.83');
INSERT INTO `customization_data` VALUES ('bothan_male', 'body', 'hslider', 'weight', 'blend_skinny,blend_fat', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '7', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_male', 'body', 'hslider', 'chest', 'blend_muscle', '0', '0', '', '', '', '0', '0', '0', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_male', 'body', 'color', 'color_fur', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '1', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_male', 'eyes_nose', 'hslider', 'eye_size', 'blend_eyesize_0,blend_eyesize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_male', 'eyes_nose', 'hslider', 'eye_shape', 'blend_eyedirection_0,blend_eyedirection_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_male', 'eyes_nose', 'hslider', 'nose_length', 'blend_noselength_0,blend_noselength_1', '0', '0', '', '', '', '225', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_male', 'eyes_nose', 'hslider', 'nose_width', 'blend_nosewidth_0,blend_nosewidth_1', '0', '0', '', '', '', '180', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_male', 'eyes_nose', 'hslider', 'nose_protrusion', 'blend_nosedepth_0,blend_nosedepth_1', '0', '0', '', '', '', '270', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_male', 'eyes_nose', 'color', 'color_eyes', 'index_color_2', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '2', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_male', 'face', 'hslider', 'lip_fullness', 'blend_lipfullness_0,blend_lipfullness_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '4', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_male', 'face', 'hslider', 'lip_width', 'blend_lipwidth_0,blend_lipwidth_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_male', 'face', 'hslider', 'chin', 'blend_chinsize_0,blend_chinsize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_male', 'face', 'hslider', 'jaw', 'blend_jaw_0,blend_jaw_1', '0', '0', '', '', '', '195', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_male', 'face', 'hslider', 'cheeks', 'blend_cheeks_0,blend_cheeks_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '4', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_male', 'face', 'hslider', 'ears', 'blend_ears_0,blend_ears_1', '0', '0', '', '', '', '180', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_male', 'face', 'color', 'color_fur', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '1', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_male', 'hair', 'color', 'color_hair', 'index_color_1', '0', '0', '', '', '', '0', '0', '1', '0', '1', 'hair', '1', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_male', 'hair', 'color', 'color_trim', 'index_color_2', '0', '0', '', '', '', '0', '0', '1', '0', '1', 'hair', '2', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_female', 'body', 'hslider', 'muscle', 'blend_muscle', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '3', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_female', 'body', 'hslider', 'height', '', '1', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '5', 'physical', '0', '0.89', '1.03');
INSERT INTO `customization_data` VALUES ('zabrak_female', 'body', 'hslider', 'weight', 'blend_skinny,blend_fat', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '7', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_female', 'body', 'hslider', 'chest', 'blend_flat_chest', '0', '1', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_female', 'body', 'color', 'color_skin', 'index_color_skin', '0', '0', '', 'index_color_eyeshadow', 'index_color_lips', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_female', 'eyes_nose', 'hslider', 'eye_size', 'blend_eyesize_0,blend_eyesize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_female', 'eyes_nose', 'hslider', 'eye_shape', 'blend_eyeshape_0,blend_eyeshape_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_female', 'eyes_nose', 'hslider', 'eye_direction', 'blend_eyedirection_0,blend_eyedirection_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_female', 'eyes_nose', 'hslider', 'nose_length', 'blend_noselength_0,blend_noselength_1', '0', '0', '', '', '', '225', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_female', 'eyes_nose', 'hslider', 'nose_width', 'blend_nosewidth_0,blend_nosewidth_1', '0', '0', '', '', '', '180', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_female', 'eyes_nose', 'hslider', 'nose_protrusion', 'blend_nosedepth_0,blend_nosedepth_1', '0', '0', '', '', '', '270', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_female', 'eyes_nose', 'color', 'color_eyes', 'index_color_2', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '2', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_female', 'face', 'hslider', 'age', 'index_age', '0', '0', '', '', '', '0', '1', '0', '0', '0', 'face', '12', 'physical', '4', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_female', 'face', 'hslider', 'lip_fullness', 'blend_lipfullness_0,blend_lipfullness_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '4', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_female', 'face', 'hslider', 'lip_width', 'blend_lipwidth_0,blend_lipwidth_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_female', 'face', 'hslider', 'chin', 'blend_chinsize_0,blend_chinsize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_female', 'face', 'hslider', 'jaw', 'blend_jaw_0,blend_jaw_1', '0', '0', '', '', '', '195', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_female', 'face', 'hslider', 'cheeks', 'blend_cheeks_0,blend_cheeks_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '4', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_female', 'face', 'hslider', 'ears', 'blend_ears_0,blend_ears_1', '0', '0', '', '', '', '180', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_female', 'face', 'color', 'color_skin', 'index_color_skin', '0', '0', '', 'index_color_eyeshadow', 'index_color_lips', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_female', 'tattoos', 'hslider', 'tattoo_style', 'index_style_tattoo', '0', '0', '', '', '', '0', '1', '1', '0', '0', 'markings', '7', 'cosmetic', '21', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_female', 'tattoos', 'color', 'color_skin', 'index_color_skin', '0', '0', '', 'index_color_eyeshadow', 'index_color_lips', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_female', 'tattoos', 'color', 'color_tattoo', 'index_color_tattoo', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'markings', '2', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_female', 'cosmetic', 'hslider', 'freckles', 'index_style_freckles', '0', '0', '', '', '', '0', '1', '1', '0', '0', 'face', '3', 'physical', '5', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_female', 'cosmetic', 'hslider', 'eyeshadow', 'index_style_eyeshadow', '0', '0', '', '', '', '0', '1', '1', '0', '0', 'face', '1', 'cosmetic', '2', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_female', 'cosmetic', 'color', 'color_eye_shadow', 'index_color_eyeshadow', '0', '0', '', 'index_color_lips', '', '0', '0', '0', '1', '0', 'face', '1', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_female', 'cosmetic', 'color', 'color_lip', 'index_color_lips', '0', '0', '', '', '', '0', '0', '0', '0', '0', 'face', '1', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_female', 'horns_hair', 'color', 'color_horns', 'index_color_2', '0', '0', '', '', '', '0', '0', '1', '0', '1', 'hair', '3', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_female', 'horns_hair', 'color', 'color_hair', 'index_color_1', '0', '0', '', '', '', '0', '0', '1', '0', '1', 'hair', '1', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_male', 'body', 'hslider', 'muscle', 'blend_muscle', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '3', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_male', 'body', 'hslider', 'height', '', '1', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '5', 'physical', '0', '0.92', '1.06');
INSERT INTO `customization_data` VALUES ('zabrak_male', 'body', 'hslider', 'weight', 'blend_skinny,blend_fat', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '7', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_male', 'body', 'hslider', 'chest', 'blend_muscle', '0', '0', '', '', '', '0', '0', '0', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_male', 'body', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_male', 'eyes_nose', 'hslider', 'eye_size', 'blend_eyesize_0,blend_eyesize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_male', 'eyes_nose', 'hslider', 'eye_shape', 'blend_eyeshape_0,blend_eyeshape_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_male', 'eyes_nose', 'hslider', 'eye_direction', 'blend_eyedirection_0,blend_eyedirection_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_male', 'eyes_nose', 'hslider', 'nose_length', 'blend_noselength_0,blend_noselength_1', '0', '0', '', '', '', '225', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_male', 'eyes_nose', 'hslider', 'nose_width', 'blend_nosewidth_0,blend_nosewidth_1', '0', '0', '', '', '', '180', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_male', 'eyes_nose', 'hslider', 'nose_protrusion', 'blend_nosedepth_0,blend_nosedepth_1', '0', '0', '', '', '', '270', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_male', 'eyes_nose', 'color', 'color_eyes', 'index_color_2', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '2', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_male', 'face', 'hslider', 'age', 'index_age', '0', '0', '', '', '', '0', '1', '0', '0', '0', 'face', '12', 'physical', '4', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_male', 'face', 'hslider', 'lip_fullness', 'blend_lipfullness_0,blend_lipfullness_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '4', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_male', 'face', 'hslider', 'lip_width', 'blend_lipwidth_0,blend_lipwidth_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_male', 'face', 'hslider', 'chin', 'blend_chinsize_0,blend_chinsize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_male', 'face', 'hslider', 'jaw', 'blend_jaw_0,blend_jaw_1', '0', '0', '', '', '', '195', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_male', 'face', 'hslider', 'cheeks', 'blend_cheeks_0,blend_cheeks_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '4', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_male', 'face', 'hslider', 'ears', 'blend_ears_0,blend_ears_1', '0', '0', '', '', '', '180', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_male', 'face', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_male', 'tattoos', 'hslider', 'tattoo_style', 'index_style_tattoo', '0', '0', '', '', '', '0', '1', '1', '0', '0', 'markings', '7', 'cosmetic', '21', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_male', 'tattoos', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_male', 'tattoos', 'color', 'color_tattoo', 'index_color_tattoo', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'markings', '2', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_male', 'freckles', 'hslider', 'freckles', 'index_style_freckles', '0', '0', '', '', '', '0', '1', '1', '0', '0', 'face', '3', 'physical', '5', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_male', 'horns_hair', 'color', 'color_horns', 'index_color_2', '0', '0', '', '', '', '0', '0', '1', '0', '1', 'hair', '3', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_male', 'horns_hair', 'color', 'color_hair', 'index_color_1', '0', '0', '', '', '', '0', '0', '1', '0', '1', 'hair', '1', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_female', 'body', 'hslider', 'muscle', 'blend_muscle', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '3', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_female', 'body', 'hslider', 'height', '', '1', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '5', 'physical', '0', '0.89', '1.08');
INSERT INTO `customization_data` VALUES ('twilek_female', 'body', 'hslider', 'weight', 'blend_skinny,blend_fat', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '7', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_female', 'body', 'hslider', 'chest', 'blend_flat_chest', '0', '1', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_female', 'body', 'color', 'color_skin', 'index_color_skin', '0', '0', '', 'index_color_eyeshadow', 'index_color_lips', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_female', 'body', 'color', 'color_markings', 'index_color_pattern', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'markings', '5', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_female', 'eyes_nose', 'hslider', 'eye_size', 'blend_eyesize_0,blend_eyesize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_female', 'eyes_nose', 'hslider', 'eye_shape', 'blend_eyeshape_0,blend_eyeshape_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_female', 'eyes_nose', 'hslider', 'eye_direction', 'blend_eyedirection_0,blend_eyedirection_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_female', 'eyes_nose', 'hslider', 'nose_length', 'blend_noselength_0,blend_noselength_1', '0', '0', '', '', '', '225', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_female', 'eyes_nose', 'hslider', 'nose_width', 'blend_nosewidth_0,blend_nosewidth_1', '0', '0', '', '', '', '180', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_female', 'eyes_nose', 'hslider', 'nose_protrusion', 'blend_nosedepth_0,blend_nosedepth_1', '0', '0', '', '', '', '270', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_female', 'eyes_nose', 'color', 'color_eyes', 'index_color_2', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '2', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_female', 'face', 'hslider', 'age', 'index_age', '0', '0', '', '', '', '0', '1', '0', '0', '0', 'face', '12', 'physical', '4', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_female', 'face', 'hslider', 'lip_fullness', 'blend_lipfullness_0,blend_lipfullness_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '4', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_female', 'face', 'hslider', 'lip_width', 'blend_lipwidth_0,blend_lipwidth_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_female', 'face', 'hslider', 'chin', 'blend_chinsize_0,blend_chinsize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_female', 'face', 'hslider', 'jaw', 'blend_jaw_0,blend_jaw_1', '0', '0', '', '', '', '195', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_female', 'face', 'hslider', 'cheeks', 'blend_cheeks_0,blend_cheeks_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '4', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_female', 'face', 'hslider', 'ears', 'blend_ears_0,blend_ears_1', '0', '0', '', '', '', '180', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_female', 'face', 'color', 'color_skin', 'index_color_skin', '0', '0', '', 'index_color_eyeshadow', 'index_color_lips', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_female', 'face', 'color', 'color_markings', 'index_color_pattern', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'markings', '5', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_female', 'cosmetic', 'hslider', 'freckles', 'index_style_freckles', '0', '0', '', '', '', '0', '1', '1', '0', '0', 'face', '3', 'physical', '5', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_female', 'cosmetic', 'hslider', 'eyeshadow', 'index_style_eyeshadow', '0', '0', '', '', '', '0', '1', '1', '0', '0', 'face', '1', 'cosmetic', '2', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_female', 'cosmetic', 'color', 'color_eye_shadow', 'index_color_eyeshadow', '0', '0', '', 'index_color_lips', '', '0', '0', '0', '1', '0', 'face', '1', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_female', 'cosmetic', 'color', 'color_lip', 'index_color_lips', '0', '0', '', '', '', '0', '0', '0', '0', '0', 'face', '1', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_female', 'eyebrows', 'hslider', 'eyebrows', 'index_style_eyebrow', '0', '0', '', '', '', '0', '1', '1', '0', '0', 'hair', '4', 'cosmetic', '10', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_female', 'eyebrows', 'color', 'color_eyebrows', 'index_color_eyebrow', '0', '0', 'index_color_1', '', '', '0', '0', '1', '0', '0', 'hair', '1', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_female', 'lekku', 'hslider', 'pattern', 'index_texture_1', '0', '0', '', '', '', '0', '1', '1', '0', '0', 'hair', '12', 'cosmetic', '21', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_female', 'lekku', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '1', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_female', 'lekku', 'color', 'color_markings', 'index_color_pattern', '0', '0', '', '', '', '0', '0', '1', '0', '1', 'markings', '5', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_male', 'body', 'hslider', 'muscle', 'blend_muscle', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '3', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_male', 'body', 'hslider', 'height', '', '1', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '5', 'physical', '0', '0.92', '1.11');
INSERT INTO `customization_data` VALUES ('twilek_male', 'body', 'hslider', 'weight', 'blend_skinny,blend_fat', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '7', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_male', 'body', 'hslider', 'chest', 'blend_muscle', '0', '0', '', '', '', '0', '0', '0', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_male', 'body', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_male', 'body', 'color', 'color_markings', 'index_color_pattern', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'markings', '5', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_male', 'eyes_nose', 'hslider', 'eye_size', 'blend_eyesize_0,blend_eyesize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_male', 'eyes_nose', 'hslider', 'eye_shape', 'blend_eyeshape_0,blend_eyeshape_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_male', 'eyes_nose', 'hslider', 'eye_direction', 'blend_eyedirection_0,blend_eyedirection_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_male', 'eyes_nose', 'hslider', 'nose_length', 'blend_noselength_0,blend_noselength_1', '0', '0', '', '', '', '225', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_male', 'eyes_nose', 'hslider', 'nose_width', 'blend_nosewidth_0,blend_nosewidth_1', '0', '0', '', '', '', '180', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_male', 'eyes_nose', 'hslider', 'nose_protrusion', 'blend_nosedepth_0,blend_nosedepth_1', '0', '0', '', '', '', '270', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_male', 'eyes_nose', 'color', 'color_eyes', 'index_color_2', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '2', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_male', 'face', 'hslider', 'age', 'index_age', '0', '0', '', '', '', '0', '1', '0', '0', '0', 'face', '12', 'physical', '4', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_male', 'face', 'hslider', 'lip_fullness', 'blend_lipfullness_0,blend_lipfullness_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '4', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_male', 'face', 'hslider', 'lip_width', 'blend_lipwidth_0,blend_lipwidth_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_male', 'face', 'hslider', 'chin', 'blend_chinsize_0,blend_chinsize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_male', 'face', 'hslider', 'jaw', 'blend_jaw_0,blend_jaw_1', '0', '0', '', '', '', '195', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_male', 'face', 'hslider', 'cheeks', 'blend_cheeks_0,blend_cheeks_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '4', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_male', 'face', 'hslider', 'ears', 'blend_ears_0,blend_ears_1', '0', '0', '', '', '', '180', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_male', 'face', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_male', 'face', 'color', 'color_markings', 'index_color_pattern', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'markings', '5', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_male', 'freckles', 'hslider', 'freckles', 'index_style_freckles', '0', '0', '', '', '', '0', '1', '1', '0', '0', 'face', '3', 'physical', '5', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_male', 'lekku', 'hslider', 'pattern', 'index_texture_1', '0', '0', '', '', '', '0', '1', '1', '0', '0', 'hair', '12', 'cosmetic', '21', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_male', 'lekku', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '1', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_male', 'lekku', 'color', 'color_markings', 'index_color_pattern', '0', '0', '', '', '', '0', '0', '1', '0', '1', 'markings', '5', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('trandoshan_female', 'body', 'hslider', 'muscle', 'blend_muscle', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '3', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('trandoshan_female', 'body', 'hslider', 'height', '', '1', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '5', 'physical', '0', '1.00', '1.22');
INSERT INTO `customization_data` VALUES ('trandoshan_female', 'body', 'hslider', 'weight', 'blend_skinny,blend_fat', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '7', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('trandoshan_female', 'body', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('trandoshan_female', 'eyes_nose', 'hslider', 'eye_size', 'blend_eyesize_0,blend_eyesize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('trandoshan_female', 'eyes_nose', 'hslider', 'eye_shape', 'blend_eyedirection_0,blend_eyedirection_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('trandoshan_female', 'eyes_nose', 'hslider', 'nose_length', 'blend_noselength_0,blend_noselength_1', '0', '0', '', '', '', '225', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('trandoshan_female', 'eyes_nose', 'hslider', 'nose_width', 'blend_nosewidth_0,blend_nosewidth_1', '0', '0', '', '', '', '180', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('trandoshan_female', 'eyes_nose', 'hslider', 'nose_protrusion', 'blend_nosedepth_0,blend_nosedepth_1', '0', '0', '', '', '', '270', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('trandoshan_female', 'eyes_nose', 'color', 'color_eyes', 'index_color_2', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '2', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('trandoshan_female', 'face', 'hslider', 'chin', 'blend_chinsize_0,blend_chinsize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('trandoshan_female', 'face', 'hslider', 'jaw', 'blend_jaw_0,blend_jaw_1', '0', '0', '', '', '', '195', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('trandoshan_female', 'face', 'hslider', 'cheeks', 'blend_cheeks_0,blend_cheeks_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '4', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('trandoshan_female', 'face', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('trandoshan_female', 'ridges', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '1', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('trandoshan_male', 'body', 'hslider', 'muscle', 'blend_muscle', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '3', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('trandoshan_male', 'body', 'hslider', 'height', '', '1', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '5', 'physical', '0', '1.03', '1.25');
INSERT INTO `customization_data` VALUES ('trandoshan_male', 'body', 'hslider', 'weight', 'blend_skinny,blend_fat', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '7', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('trandoshan_male', 'body', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('trandoshan_male', 'eyes_nose', 'hslider', 'eye_size', 'blend_eyesize_0,blend_eyesize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('trandoshan_male', 'eyes_nose', 'hslider', 'eye_shape', 'blend_eyedirection_0,blend_eyedirection_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('trandoshan_male', 'eyes_nose', 'hslider', 'nose_length', 'blend_noselength_0,blend_noselength_1', '0', '0', '', '', '', '225', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('trandoshan_male', 'eyes_nose', 'hslider', 'nose_width', 'blend_nosewidth_0,blend_nosewidth_1', '0', '0', '', '', '', '180', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('trandoshan_male', 'eyes_nose', 'hslider', 'nose_protrusion', 'blend_nosedepth_0,blend_nosedepth_1', '0', '0', '', '', '', '270', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('trandoshan_male', 'eyes_nose', 'color', 'color_eyes', 'index_color_2', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '2', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('trandoshan_male', 'face', 'hslider', 'chin', 'blend_chinsize_0,blend_chinsize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('trandoshan_male', 'face', 'hslider', 'jaw', 'blend_jaw_0,blend_jaw_1', '0', '0', '', '', '', '195', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('trandoshan_male', 'face', 'hslider', 'cheeks', 'blend_cheeks_0,blend_cheeks_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '4', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('trandoshan_male', 'face', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('trandoshan_male', 'ridges', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '1', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_female', 'body', 'hslider', 'muscle', 'blend_muscle', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '3', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_female', 'body', 'hslider', 'height', '', '1', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '5', 'physical', '0', '1.08', '1.25');
INSERT INTO `customization_data` VALUES ('wookiee_female', 'body', 'hslider', 'weight', 'blend_skinny,blend_fat', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '7', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_female', 'body', 'hslider', 'head_size', 'blend_headsize_0,blend_headsize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '12', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_female', 'body', 'color', 'color_fur', 'index_color_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '1', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_female', 'body', 'color', 'color_markings', 'index_color_3', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'markings', '7', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_female', 'eyes_nose', 'hslider', 'eye_size', 'blend_eyesize_0,blend_eyesize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_female', 'eyes_nose', 'hslider', 'eye_shape', 'blend_eyedirection_0,blend_eyedirection_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_female', 'eyes_nose', 'hslider', 'nose_length', 'blend_noselength_0,blend_noselength_1', '0', '0', '', '', '', '225', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_female', 'eyes_nose', 'hslider', 'nose_width', 'blend_nosewidth_0,blend_nosewidth_1', '0', '0', '', '', '', '180', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_female', 'eyes_nose', 'color', 'color_eyes', 'index_color_2', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '2', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_female', 'face', 'hslider', 'lip_width', 'blend_lipwidth_0,blend_lipwidth_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_female', 'face', 'hslider', 'chin', 'blend_chinsize_0,blend_chinsize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_female', 'face', 'hslider', 'jaw', 'blend_jaw_0,blend_jaw_1', '0', '0', '', '', '', '195', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_female', 'face', 'hslider', 'cheeks', 'blend_cheeks_0,blend_cheeks_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '4', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_female', 'face', 'hslider', 'brow', 'blend_brow_0,blend_brow_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_female', 'face', 'color', 'color_fur', 'index_color_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '1', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_female', 'face', 'color', 'color_markings', 'index_color_3', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'markings', '7', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_female', 'fur', 'hslider', 'pattern', 'index_texture_1', '0', '0', '', '', '', '0', '1', '1', '0', '0', 'body', '2', 'cosmetic', '25', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_female', 'fur', 'color', 'color_fur', 'index_color_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '1', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_female', 'fur', 'color', 'color_markings', 'index_color_3', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'markings', '7', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_male', 'body', 'hslider', 'muscle', 'blend_muscle', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '3', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_male', 'body', 'hslider', 'height', '', '1', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '5', 'physical', '0', '1.11', '1.28');
INSERT INTO `customization_data` VALUES ('wookiee_male', 'body', 'hslider', 'weight', 'blend_skinny,blend_fat', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '7', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_male', 'body', 'hslider', 'head_size', 'blend_headsize_0,blend_headsize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '12', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_male', 'body', 'color', 'color_fur', 'index_color_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '1', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_male', 'body', 'color', 'color_markings', 'index_color_3', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'markings', '7', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_male', 'eyes_nose', 'hslider', 'eye_size', 'blend_eyesize_0,blend_eyesize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_male', 'eyes_nose', 'hslider', 'eye_shape', 'blend_eyedirection_0,blend_eyedirection_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_male', 'eyes_nose', 'hslider', 'nose_length', 'blend_noselength_0,blend_noselength_1', '0', '0', '', '', '', '225', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_male', 'eyes_nose', 'hslider', 'nose_width', 'blend_nosewidth_0,blend_nosewidth_1', '0', '0', '', '', '', '180', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_male', 'eyes_nose', 'color', 'color_eyes', 'index_color_2', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '2', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_male', 'face', 'hslider', 'lip_width', 'blend_lipwidth_0,blend_lipwidth_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_male', 'face', 'hslider', 'chin', 'blend_chinsize_0,blend_chinsize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_male', 'face', 'hslider', 'jaw', 'blend_jaw_0,blend_jaw_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_male', 'face', 'hslider', 'cheeks', 'blend_cheeks_0,blend_cheeks_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '4', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_male', 'face', 'hslider', 'brow', 'blend_brow_0,blend_brow_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_male', 'face', 'color', 'color_fur', 'index_color_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '1', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_male', 'face', 'color', 'color_markings', 'index_color_3', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'markings', '7', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_male', 'fur', 'hslider', 'pattern', 'index_texture_1', '0', '0', '', '', '', '0', '1', '1', '0', '0', 'body', '2', 'cosmetic', '25', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_male', 'fur', 'color', 'color_fur', 'index_color_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '1', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_male', 'fur', 'color', 'color_markings', 'index_color_3', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'markings', '7', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_female', 'body', 'hslider', 'muscle', 'blend_muscle', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '3', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_female', 'body', 'hslider', 'height', '', '1', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '5', 'physical', '0', '0.78', '0.92');
INSERT INTO `customization_data` VALUES ('rodian_female', 'body', 'hslider', 'weight', 'blend_skinny,blend_fat', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '7', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_female', 'body', 'hslider', 'chest', 'blend_flat_chest', '0', '1', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_female', 'body', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_female', 'eyes_nose', 'hslider', 'eye_size', 'blend_eyesize_0,blend_eyesize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_female', 'eyes_nose', 'hslider', 'eye_shape', 'blend_eyedirection_0,blend_eyedirection_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_female', 'eyes_nose', 'hslider', 'nose_length', 'blend_noselength_0,blend_noselength_1', '0', '0', '', '', '', '225', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_female', 'eyes_nose', 'hslider', 'nose_width', 'blend_nosewidth_0,blend_nosewidth_1', '0', '0', '', '', '', '180', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_female', 'eyes_nose', 'hslider', 'nose_protrusion', 'blend_nosedepth_0,blend_nosedepth_1', '0', '0', '', '', '', '270', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_female', 'eyes_nose', 'color', 'color_eyes', 'index_color_2', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '2', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_female', 'eyes_nose', 'color', 'color_nose', 'index_color_3', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '3', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_female', 'face', 'hslider', 'lip_fullness', 'blend_lipfullness_0,blend_lipfullness_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '4', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_female', 'face', 'hslider', 'lip_width', 'blend_lipwidth_0,blend_lipwidth_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_female', 'face', 'hslider', 'jaw', 'blend_jaw_0,blend_jaw_1', '0', '0', '', '', '', '195', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_female', 'face', 'hslider', 'cheeks', 'blend_cheeks_0,blend_cheeks_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '4', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_female', 'face', 'hslider', 'ears', 'blend_ears_0,blend_ears_1', '0', '0', '', '', '', '180', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_female', 'face', 'hslider', 'sensors', 'blend_sensor_0,blend_sensor_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_female', 'face', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_female', 'hair', 'color', 'color_hair', 'index_color_1', '0', '0', '', '', '', '0', '0', '1', '0', '1', 'hair', '1', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_female', 'hair', 'color', 'color_hair_trim', 'index_color_2', '0', '0', '', '', '', '0', '0', '1', '0', '1', 'hair', '2', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_male', 'body', 'hslider', 'muscle', 'blend_muscle', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '3', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_male', 'body', 'hslider', 'height', '', '1', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '5', 'physical', '0', '0.81', '0.94');
INSERT INTO `customization_data` VALUES ('rodian_male', 'body', 'hslider', 'weight', 'blend_skinny,blend_fat', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '7', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_male', 'body', 'hslider', 'chest', 'blend_muscle', '0', '0', '', '', '', '0', '0', '0', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_male', 'body', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_male', 'eyes_nose', 'hslider', 'eye_size', 'blend_eyesize_0,blend_eyesize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_male', 'eyes_nose', 'hslider', 'eye_shape', 'blend_eyedirection_0,blend_eyedirection_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_male', 'eyes_nose', 'hslider', 'nose_length', 'blend_noselength_0,blend_noselength_1', '0', '0', '', '', '', '225', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_male', 'eyes_nose', 'hslider', 'nose_width', 'blend_nosewidth_0,blend_nosewidth_1', '0', '0', '', '', '', '180', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_male', 'eyes_nose', 'hslider', 'nose_protrusion', 'blend_nosedepth_0,blend_nosedepth_1', '0', '0', '', '', '', '270', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_male', 'eyes_nose', 'color', 'color_eyes', 'index_color_2', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '2', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_male', 'eyes_nose', 'color', 'color_nose', 'index_color_3', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '3', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_male', 'face', 'hslider', 'lip_fullness', 'blend_lipfullness_0,blend_lipfullness_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '4', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_male', 'face', 'hslider', 'lip_width', 'blend_lipwidth_0,blend_lipwidth_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_male', 'face', 'hslider', 'jaw', 'blend_jaw_0,blend_jaw_1', '0', '0', '', '', '', '195', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_male', 'face', 'hslider', 'cheeks', 'blend_cheeks_0,blend_cheeks_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '4', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_male', 'face', 'hslider', 'ears', 'blend_ears_0,blend_ears_1', '0', '0', '', '', '', '180', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_male', 'face', 'hslider', 'sensors', 'blend_sensor_0,blend_sensor_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_male', 'face', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_male', 'frills', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '1', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_male', 'frills', 'color', 'color_frill_tips', 'index_color_2', '0', '0', '', '', '', '0', '0', '1', '0', '1', 'markings', '1', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_female', 'body', 'hslider', 'muscle', 'blend_muscle', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '3', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_female', 'body', 'hslider', 'height', '', '1', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '5', 'physical', '0', '0.83', '1.08');
INSERT INTO `customization_data` VALUES ('human_female', 'body', 'hslider', 'weight', 'blend_skinny,blend_fat', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '7', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_female', 'body', 'hslider', 'chest', 'blend_flat_chest', '0', '1', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_female', 'body', 'color', 'color_skin', 'index_color_skin', '0', '0', '', 'index_color_eyeshadow', 'index_color_lips', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_female', 'eyes_nose', 'hslider', 'eye_size', 'blend_eyesize_0,blend_eyesize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_female', 'eyes_nose', 'hslider', 'eye_shape', 'blend_eyeshape_0,blend_eyeshape_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_female', 'eyes_nose', 'hslider', 'eye_direction', 'blend_eyedirection_0,blend_eyedirection_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_female', 'eyes_nose', 'hslider', 'nose_length', 'blend_noselength_0,blend_noselength_1', '0', '0', '', '', '', '225', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_female', 'eyes_nose', 'hslider', 'nose_width', 'blend_nosewidth_0,blend_nosewidth_1', '0', '0', '', '', '', '180', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_female', 'eyes_nose', 'hslider', 'nose_protrusion', 'blend_nosedepth_0,blend_nosedepth_1', '0', '0', '', '', '', '270', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_female', 'eyes_nose', 'color', 'color_eyes', 'index_color_2', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '2', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_female', 'face', 'hslider', 'age', 'index_age', '0', '0', '', '', '', '0', '1', '0', '0', '0', 'face', '12', 'physical', '4', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_female', 'face', 'hslider', 'lip_fullness', 'blend_lipfullness_0,blend_lipfullness_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '4', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_female', 'face', 'hslider', 'lip_width', 'blend_lipwidth_0,blend_lipwidth_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_female', 'face', 'hslider', 'chin', 'blend_chinsize_0,blend_chinsize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_female', 'face', 'hslider', 'jaw', 'blend_jaw_0,blend_jaw_1', '0', '0', '', '', '', '195', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_female', 'face', 'hslider', 'cheeks', 'blend_cheeks_0,blend_cheeks_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '4', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_female', 'face', 'hslider', 'ears', 'blend_ears_0,blend_ears_1', '0', '0', '', '', '', '180', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_female', 'face', 'color', 'color_skin', 'index_color_skin', '0', '0', '', 'index_color_eyeshadow', 'index_color_lips', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_female', 'cosmetic', 'hslider', 'freckles', 'index_style_freckles', '0', '0', '', '', '', '0', '1', '1', '0', '0', 'face', '3', 'physical', '5', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_female', 'cosmetic', 'hslider', 'eyeshadow', 'index_style_eyeshadow', '0', '0', '', '', '', '0', '1', '1', '0', '0', 'face', '1', 'cosmetic', '2', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_female', 'cosmetic', 'color', 'color_eye_shadow', 'index_color_eyeshadow', '0', '0', '', 'index_color_lips', '', '0', '0', '0', '1', '0', 'face', '1', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_female', 'cosmetic', 'color', 'color_lip', 'index_color_lips', '0', '0', '', '', '', '0', '0', '0', '0', '0', 'face', '1', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_female', 'hair', 'hslider', 'eyebrows', 'index_style_eyebrow', '0', '0', '', '', '', '0', '1', '1', '0', '0', 'hair', '4', 'cosmetic', '9', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_female', 'hair', 'color', 'color_hair', 'index_color_1', '0', '0', '', '', '', '0', '0', '1', '0', '1', 'hair', '1', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_female', 'hair', 'color', 'color_eyebrows', 'index_color_facial_hair', '0', '0', 'index_color_1', '', '', '0', '0', '1', '0', '0', 'hair', '1', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_female', 'body', 'hslider', 'muscle', 'blend_muscle', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '3', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_female', 'body', 'hslider', 'height', '', '1', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '5', 'physical', '0', '0.89', '1.03');
INSERT INTO `customization_data` VALUES ('ithorian_female', 'body', 'hslider', 'weight', 'blend_skinny,blend_fat', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '7', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_female', 'body', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_female', 'trunk', 'hslider', 'trunk_height', 'blend_noselength_0,blend_noselength_1', '0', '0', '', '', '', '195', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_female', 'trunk', 'hslider', 'trunk_length', 'blend_nosedepth_0,blend_nosedepth_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_female', 'trunk', 'hslider', 'trunk_slope', 'blend_chinsize_0,blend_chinsize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_female', 'trunk', 'hslider', 'trunk_size', 'blend_nosesize_0,blend_nosesize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_female', 'trunk', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_female', 'face', 'hslider', 'lip_fullness', 'blend_lipfullness_0,blend_lipfullness_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '4', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_female', 'face', 'hslider', 'lip_width', 'blend_lipwidth_0,blend_lipwidth_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_female', 'face', 'hslider', 'head_size', 'blend_headsize_0,blend_headsize_1', '0', '0', '', '', '', '195', '0', '1', '0', '0', 'face', '12', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_female', 'face', 'hslider', 'head_shape', 'blend_cheeks_0,blend_cheeks_1', '0', '0', '', '', '', '195', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_female', 'face', 'hslider', 'hump_size', 'blend_jaw_0,blend_jaw_1', '0', '0', '', '', '', '195', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_female', 'face', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_female', 'eyes_nose', 'hslider', 'eye_size', 'blend_eyesize_0,blend_eyesize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_female', 'eyes_nose', 'hslider', 'eye_shape', 'blend_eyeshape_0,blend_eyeshape_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_female', 'eyes_nose', 'hslider', 'eye_direction', 'blend_eyedirection_0,blend_eyedirection_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_female', 'eyes_nose', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_female', 'markings', 'hslider', 'pattern', 'index_texture', '0', '0', '', '', '', '0', '1', '1', '0', '0', 'markings', '5', 'cosmetic', '12', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_female', 'markings', 'color', 'pattern_color', 'index_color_pattern', '0', '0', '', '', '', '0', '1', '1', '0', '0', 'markings', '5', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_female', 'hair', 'hslider', 'hair_style', 'index_style_hair', '0', '0', '', '', '', '0', '1', '1', '0', '0', 'hair', '1', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_female', 'hair', 'hslider', 'eyebrows', 'index_style_eyebrow', '0', '0', '', '', '', '0', '1', '1', '0', '0', 'hair', '4', 'cosmetic', '12', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_female', 'hair', 'color', 'color_hair', 'index_color_hair', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'hair', '1', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_female', 'hair', 'color', 'color_eyebrows', 'index_color_3', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'hair', '1', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_male', 'body', 'hslider', 'muscle', 'blend_muscle', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '3', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_male', 'body', 'hslider', 'height', '', '1', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '5', 'physical', '0', '0.92', '1.06');
INSERT INTO `customization_data` VALUES ('ithorian_male', 'body', 'hslider', 'weight', 'blend_skinny,blend_fat', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '7', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_male', 'body', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_male', 'trunk', 'hslider', 'trunk_height', 'blend_noselength_0,blend_noselength_1', '0', '0', '', '', '', '195', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_male', 'trunk', 'hslider', 'trunk_length', 'blend_nosedepth_0,blend_nosedepth_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_male', 'trunk', 'hslider', 'trunk_slope', 'blend_chinsize_0,blend_chinsize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_male', 'trunk', 'hslider', 'trunk_size', 'blend_nosesize_0,blend_nosesize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_male', 'trunk', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_male', 'face', 'hslider', 'lip_fullness', 'blend_lipfullness_0,blend_lipfullness_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '4', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_male', 'face', 'hslider', 'lip_width', 'blend_lipwidth_0,blend_lipwidth_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_male', 'face', 'hslider', 'head_size', 'blend_headsize_0,blend_headsize_1', '0', '0', '', '', '', '195', '0', '1', '0', '0', 'face', '12', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_male', 'face', 'hslider', 'head_shape', 'blend_cheeks_0,blend_cheeks_1', '0', '0', '', '', '', '195', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_male', 'face', 'hslider', 'hump_size', 'blend_jaw_0,blend_jaw_1', '0', '0', '', '', '', '195', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_male', 'face', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_male', 'eyes_nose', 'hslider', 'eye_size', 'blend_eyesize_0,blend_eyesize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_male', 'eyes_nose', 'hslider', 'eye_shape', 'blend_eyeshape_0,blend_eyeshape_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_male', 'eyes_nose', 'hslider', 'eye_direction', 'blend_eyedirection_0,blend_eyedirection_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_male', 'eyes_nose', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_male', 'markings', 'hslider', 'pattern', 'index_texture', '0', '0', '', '', '', '0', '1', '1', '0', '0', 'markings', '5', 'cosmetic', '12', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_male', 'markings', 'color', 'pattern_color', 'index_color_pattern', '0', '0', '', '', '', '0', '1', '1', '0', '0', 'markings', '5', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_male', 'hair', 'hslider', 'center_beard', 'index_style_beard', '0', '0', '', '', '', '0', '1', '1', '0', '0', 'hair', '4', 'cosmetic', '8', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_male', 'hair', 'hslider', 'side_beard', 'index_style_beard_2', '0', '0', '', '', '', '0', '1', '1', '0', '0', 'hair', '4', 'cosmetic', '8', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_male', 'hair', 'color', 'color_beard', 'index_color_hair', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'hair', '1', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_male', 'hair', 'color', 'color_beard2', 'index_color_3', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'hair', '1', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_female', 'body', 'hslider', 'muscle', 'blend_muscle', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '3', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_female', 'body', 'hslider', 'height', '', '1', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '5', 'physical', '0', '0.89', '1.03');
INSERT INTO `customization_data` VALUES ('sullustan_female', 'body', 'hslider', 'weight', 'blend_skinny,blend_fat', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '7', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_female', 'body', 'hslider', 'chest', 'blend_flat_chest', '0', '1', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_female', 'body', 'color', 'color_skin', 'index_color_skin', '0', '0', '', 'index_color_eyeshadow', 'index_color_lips', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_female', 'eyes_nose', 'hslider', 'eye_size', 'blend_eyesize_0,blend_eyesize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_female', 'eyes_nose', 'hslider', 'eye_shape', 'blend_eyeshape_0,blend_eyeshape_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_female', 'eyes_nose', 'hslider', 'nose_length', 'blend_noselength_0,blend_noselength_1', '0', '0', '', '', '', '225', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_female', 'eyes_nose', 'hslider', 'nose_width', 'blend_nosewidth_0,blend_nosewidth_1', '0', '0', '', '', '', '180', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_female', 'eyes_nose', 'color', 'color_eyes', 'index_color_eye', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '2', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_female', 'face', 'hslider', 'age', 'index_age', '0', '0', '', '', '', '0', '1', '0', '0', '0', 'face', '12', 'physical', '4', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_female', 'face', 'hslider', 'brow', 'blend_brow_0,blend_brow_1', '0', '0', '', '', '', '0', '1', '0', '0', '0', 'face', '12', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_female', 'face', 'hslider', 'head_shape', 'blend_headsize_0,blend_headsize_1', '0', '0', '', '', '', '0', '1', '0', '0', '0', 'face', '12', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_female', 'face', 'hslider', 'jaw', 'blend_jaw_0,blend_jaw_1', '0', '0', '', '', '', '195', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_female', 'face', 'hslider', 'cheeks', 'blend_cheeks_0,blend_cheeks_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '4', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_female', 'face', 'color', 'color_skin', 'index_color_skin', '0', '0', '', 'index_color_eyeshadow', 'index_color_lips', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_female', 'ears_chin_mouth', 'hslider', 'ear_shape', 'blend_ear_0,blend_ear_1', '0', '0', '', '', '', '180', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_female', 'ears_chin_mouth', 'hslider', 'ears', 'blend_ears_0,blend_ears_1', '0', '0', '', '', '', '180', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_female', 'ears_chin_mouth', 'hslider', 'chin', 'blend_chinsize_0,blend_chinsize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_female', 'ears_chin_mouth', 'hslider', 'chin_length', 'blend_chin_0,blend_chin_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_female', 'ears_chin_mouth', 'hslider', 'lip_fullness', 'blend_lipfullness_0,blend_lipfullness_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '4', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_female', 'ears_chin_mouth', 'hslider', 'lip_width', 'blend_lipwidth_0,blend_lipwidth_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_female', 'ears_chin_mouth', 'hslider', 'jowl', 'blend_sensor_0,blend_sensor_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_female', 'ears_chin_mouth', 'color', 'color_skin', 'index_color_skin', '0', '0', '', 'index_color_eyeshadow', 'index_color_lips', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_female', 'cosmetic', 'hslider', 'freckles', 'index_style_freckles', '0', '0', '', '', '', '0', '1', '1', '0', '0', 'face', '3', 'physical', '8', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_female', 'cosmetic', 'hslider', 'eyeshadow', 'index_style_eyeshadow', '0', '0', '', '', '', '0', '1', '1', '0', '0', 'face', '1', 'physical', '5', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_female', 'cosmetic', 'color', 'color_eye_shadow', 'index_color_eyeshadow', '0', '0', '', 'index_color_lips', '', '0', '0', '0', '1', '0', 'face', '1', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_female', 'cosmetic', 'color', 'color_lip', 'index_color_lips', '0', '0', '', '', '', '0', '0', '0', '0', '0', 'face', '1', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_female', 'markings', 'hslider', 'pattern', 'index_patterns', '0', '0', '', '', '', '250', '1', '1', '0', '0', 'markings', '5', 'cosmetic', '25', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_female', 'markings', 'color', 'pattern_color', 'index_color_patterns', '0', '0', '', '', '', '250', '1', '1', '0', '0', 'markings', '5', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_male', 'body', 'hslider', 'muscle', 'blend_muscle', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '3', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_male', 'body', 'hslider', 'height', '', '1', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '5', 'physical', '0', '0.92', '1.06');
INSERT INTO `customization_data` VALUES ('sullustan_male', 'body', 'hslider', 'weight', 'blend_skinny,blend_fat', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '7', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_male', 'body', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_male', 'eyes_nose', 'hslider', 'eye_size', 'blend_eyesize_0,blend_eyesize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_male', 'eyes_nose', 'hslider', 'eye_shape', 'blend_eyeshape_0,blend_eyeshape_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_male', 'eyes_nose', 'hslider', 'nose_length', 'blend_noselength_0,blend_noselength_1', '0', '0', '', '', '', '225', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_male', 'eyes_nose', 'hslider', 'nose_width', 'blend_nosewidth_0,blend_nosewidth_1', '0', '0', '', '', '', '180', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_male', 'eyes_nose', 'color', 'color_eyes', 'index_color_eye', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '2', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_male', 'face', 'hslider', 'age', 'index_age', '0', '0', '', '', '', '0', '1', '0', '0', '0', 'face', '12', 'physical', '4', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_male', 'face', 'hslider', 'brow', 'blend_brow_0,blend_brow_1', '0', '0', '', '', '', '0', '1', '0', '0', '0', 'face', '12', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_male', 'face', 'hslider', 'head_shape', 'blend_headsize_0,blend_headsize_1', '0', '0', '', '', '', '0', '1', '0', '0', '0', 'face', '12', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_male', 'face', 'hslider', 'jaw', 'blend_jaw_0,blend_jaw_1', '0', '0', '', '', '', '195', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_male', 'face', 'hslider', 'cheeks', 'blend_cheeks_0,blend_cheeks_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '4', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_male', 'face', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_male', 'ears_chin_mouth', 'hslider', 'ear_shape', 'blend_ear_0,blend_ear_1', '0', '0', '', '', '', '180', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_male', 'ears_chin_mouth', 'hslider', 'ears', 'blend_ears_0,blend_ears_1', '0', '0', '', '', '', '180', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_male', 'ears_chin_mouth', 'hslider', 'chin', 'blend_chinsize_0,blend_chinsize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_male', 'ears_chin_mouth', 'hslider', 'chin_length', 'blend_chin_0,blend_chin_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_male', 'ears_chin_mouth', 'hslider', 'lip_fullness', 'blend_lipfullness_0,blend_lipfullness_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '4', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_male', 'ears_chin_mouth', 'hslider', 'lip_width', 'blend_lipwidth_0,blend_lipwidth_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_male', 'ears_chin_mouth', 'hslider', 'jowl', 'blend_sensor_0,blend_sensor_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_male', 'ears_chin_mouth', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_male', 'markings', 'hslider', 'pattern', 'index_patterns', '0', '0', '', '', '', '250', '1', '1', '0', '0', 'markings', '5', 'cosmetic', '26', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_male', 'markings', 'color', 'pattern_color', 'index_color_patterns', '0', '0', '', '', '', '250', '1', '1', '0', '0', 'markings', '5', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `faction` VALUES ('1', 'Aakuans');
INSERT INTO `faction` VALUES ('2', 'Afarathu');
INSERT INTO `faction` VALUES ('3', 'Alkhara');
INSERT INTO `faction` VALUES ('4', 'Bandit');
INSERT INTO `faction` VALUES ('5', 'Beldonna\'s League');
INSERT INTO `faction` VALUES ('6', 'Binayre Pirates');
INSERT INTO `faction` VALUES ('7', 'Bloodrazor');
INSERT INTO `faction` VALUES ('8', 'Borvo');
INSERT INTO `faction` VALUES ('9', 'Canyon Corsair');
INSERT INTO `faction` VALUES ('10', 'Cobral');
INSERT INTO `faction` VALUES ('11', 'Corellian Swoop Gang');
INSERT INTO `faction` VALUES ('12', 'CorSec');
INSERT INTO `faction` VALUES ('13', 'Dantari');
INSERT INTO `faction` VALUES ('14', 'Desert Demon');
INSERT INTO `faction` VALUES ('15', 'Donkuwah');
INSERT INTO `faction` VALUES ('16', 'Drall');
INSERT INTO `faction` VALUES ('17', 'Endor Marauder');
INSERT INTO `faction` VALUES ('18', 'Fed Dub');
INSERT INTO `faction` VALUES ('19', 'Flail Cutthroat');
INSERT INTO `faction` VALUES ('20', 'Followers of Lord Nyax');
INSERT INTO `faction` VALUES ('21', 'Garyn');
INSERT INTO `faction` VALUES ('22', 'Gondula Tribe');
INSERT INTO `faction` VALUES ('23', 'Gungan');
INSERT INTO `faction` VALUES ('24', 'Hidden Daggers');
INSERT INTO `faction` VALUES ('25', 'Jabba');
INSERT INTO `faction` VALUES ('26', 'Janta');
INSERT INTO `faction` VALUES ('27', 'Jawa');
INSERT INTO `faction` VALUES ('28', 'Kobola');
INSERT INTO `faction` VALUES ('29', 'Korga');
INSERT INTO `faction` VALUES ('30', 'Kunga');
INSERT INTO `faction` VALUES ('31', 'Liberation Party');
INSERT INTO `faction` VALUES ('32', 'Lok Mercenary');
INSERT INTO `faction` VALUES ('33', 'Lost Aqualish Regiment');
INSERT INTO `faction` VALUES ('34', 'Meatlump');
INSERT INTO `faction` VALUES ('35', 'Mokk');
INSERT INTO `faction` VALUES ('36', 'Monumenter');
INSERT INTO `faction` VALUES ('37', 'Naboo Pirate');
INSERT INTO `faction` VALUES ('38', 'Naboo Security Forces');
INSERT INTO `faction` VALUES ('39', 'Naboo Police Forces');
INSERT INTO `faction` VALUES ('40', 'Nightsister');
INSERT INTO `faction` VALUES ('41', 'Nym');
INSERT INTO `faction` VALUES ('42', 'Olag Grek');
INSERT INTO `faction` VALUES ('43', 'Panshee');
INSERT INTO `faction` VALUES ('44', 'Pirate');
INSERT INTO `faction` VALUES ('45', 'Plasma Thief');
INSERT INTO `faction` VALUES ('46', 'Pubam');
INSERT INTO `faction` VALUES ('47', 'Restuss Brigade');
INSERT INTO `faction` VALUES ('48', 'Rogue CorSec');
INSERT INTO `faction` VALUES ('49', 'Rorgungan');
INSERT INTO `faction` VALUES ('50', 'Sif');
INSERT INTO `faction` VALUES ('51', 'Singing Mountain Clan');
INSERT INTO `faction` VALUES ('52', 'Sith Shadow');
INSERT INTO `faction` VALUES ('53', 'Sith Shadow Assassin');
INSERT INTO `faction` VALUES ('54', 'Smashball Thug');
INSERT INTO `faction` VALUES ('55', 'Spice Collective');
INSERT INTO `faction` VALUES ('56', 'Spider Clan');
INSERT INTO `faction` VALUES ('57', 'Swamp Rat');
INSERT INTO `faction` VALUES ('58', 'Swoop');
INSERT INTO `faction` VALUES ('59', 'Thug');
INSERT INTO `faction` VALUES ('60', 'Townsperson');
INSERT INTO `faction` VALUES ('61', 'Trade Federation');
INSERT INTO `faction` VALUES ('62', 'Tusken Raider');
INSERT INTO `faction` VALUES ('63', 'Valarian');
INSERT INTO `galaxy` VALUES ('2', 'Core3', '192.168.88.131', '44463', '44462', '0');
INSERT INTO `informants` VALUES ('1', '0', '0', '-5559', '-6220', '23.4', '0.723214', '0.690624', '2');
INSERT INTO `informants` VALUES ('2', '0', '0', '6871', '-5752', '315', '0.933756', '-0.357911', '2');
INSERT INTO `informants` VALUES ('3', '8', '1154123', '0.2', '8.6', '1', '0', '1', '2');
INSERT INTO `informants` VALUES ('4', '8', '1134569', '-31.6', '18.1', '0', '0', '1', '2');
INSERT INTO `informants` VALUES ('5', '8', '1076948', '8.6', '-13', '7', '0', '1', '2');
INSERT INTO `informants` VALUES ('6', '7', '0', '265', '-2974', '0', '0', '1', '2');
INSERT INTO `informants` VALUES ('7', '7', '0', '255', '-3024', '0', '0', '1', '2');
INSERT INTO `informants` VALUES ('8', '7', '0', '682', '-3219', '14', '0', '1', '2');
INSERT INTO `informants` VALUES ('9', '7', '0', '4529', '5371', '0', '0', '1', '2');
INSERT INTO `informants` VALUES ('10', '6', '0', '5102', '5654', '0', '0', '1', '2');
INSERT INTO `informants` VALUES ('11', '5', '0', '4721', '-4614', '4.2', '0.99436', '0.106053', '2');
INSERT INTO `informants` VALUES ('12', '5', '0', '4999', '6822', '-192', '0', '1', '2');
INSERT INTO `informants` VALUES ('13', '5', '64', '-4.59578', '7.93328', '-0.894993', '0.766776', '0.641915', '2');
INSERT INTO `informants` VALUES ('14', '5', '0', '5009', '6652', '-192', '-0.363718', '0.931509', '2');
INSERT INTO `informants` VALUES ('15', '5', '0', '5277', '6560', '-192', '0.128858', '0.991663', '2');
INSERT INTO `informants` VALUES ('16', '2', '0', '-6239', '940', '0', '0', '1', '2');
INSERT INTO `informants` VALUES ('17', '2', '0', '-68', '-1565', '0', '0', '1', '2');
INSERT INTO `informants` VALUES ('18', '0', '0', '6775', '-5487', '315', '0.898235', '0.439515', '1');
INSERT INTO `informants` VALUES ('19', '0', '0', '6876', '-5466', '330', '0.749383', '-0.662136', '1');
INSERT INTO `informants` VALUES ('20', '8', '0', '-2879', '2555', '0', '0', '1', '1');
INSERT INTO `informants` VALUES ('21', '8', '0', '-5284', '2676', '0', '0', '1', '1');
INSERT INTO `informants` VALUES ('22', '8', '0', '-5205', '-6503', '0', '0', '1', '1');
INSERT INTO `informants` VALUES ('23', '8', '0', '-685', '-6731', '0', '0', '1', '1');
INSERT INTO `informants` VALUES ('24', '8', '0', '-703', '-6734', '0', '0', '1', '1');
INSERT INTO `informants` VALUES ('25', '7', '0', '147', '-2812', '0', '0', '1', '1');
INSERT INTO `informants` VALUES ('26', '7', '0', '203', '-2979', '0', '0', '1', '1');
INSERT INTO `informants` VALUES ('27', '7', '0', '258', '-3008', '0', '0', '1', '1');
INSERT INTO `informants` VALUES ('28', '7', '0', '4542', '5329', '0', '0', '1', '1');
INSERT INTO `informants` VALUES ('29', '5', '0', '5332', '-1568', '327', '3915871', '0.401474', '1');
INSERT INTO `informants` VALUES ('30', '5', '0', '4980', '-1489', '360', '0.920954', '-0.389672', '1');
INSERT INTO `informants` VALUES ('31', '5', '0', '4923', '-1411', '360', '0.934099', '-0.357013', '1');
INSERT INTO `informants` VALUES ('32', '5', '0', '4757', '-1358', '330', '0', '1', '1');
INSERT INTO `informants` VALUES ('33', '5', '0', '4688', '-1342', '330', '0.99812', '0.0612889', '1');
INSERT INTO `informants` VALUES ('34', '5', '0', '-5548', '-13', '-150', '0.937143', '-0.348946', '1');
INSERT INTO `informants` VALUES ('35', '5', '0', '-5476', '-76', '-150', '-0.558149', '0.829741', '1');
INSERT INTO `informants` VALUES ('36', '5', '0', '4638', '-4643', '4.37564', '-0.437979', '0.898985', '1');
INSERT INTO `informants` VALUES ('37', '5', '111', '-2.07012', '5.66253', '-0.894992', '-0.283362', '0.959013', '1');
INSERT INTO `informants` VALUES ('38', '5', '0', '1279', '2858', '13', '-0.336607', '0.941645', '1');
INSERT INTO `informants` VALUES ('39', '5', '0', '5410', '6672', '-192', '0.883243', '-0.468916', '1');
INSERT INTO `informants` VALUES ('40', '5', '0', '5075', '6784', '-192', '0', '1', '1');
INSERT INTO `informants` VALUES ('41', '5', '0', '5261', '6793', '-192', '0.816228', '0.57773', '1');
INSERT INTO `informants` VALUES ('42', '5', '0', '5081', '6591', '-192', '-0.366442', '0.930441', '1');
INSERT INTO `informants` VALUES ('43', '4', '0', '369', '5087', '0', '0', '1', '1');
INSERT INTO `informants` VALUES ('44', '4', '0', '540', '5072', '0', '0', '1', '1');
INSERT INTO `informants` VALUES ('45', '2', '0', '590', '3091', '0', '0', '1', '1');
INSERT INTO `informants` VALUES ('46', '2', '0', '598', '3025', '0', '0', '1', '1');
INSERT INTO `informants` VALUES ('47', '0', '0', '-29', '-4818', '28', '0', '1', '0');
INSERT INTO `informants` VALUES ('48', '0', '0', '-86', '-4829', '28', '-0.433868', '0.900976', '0');
INSERT INTO `informants` VALUES ('49', '0', '0', '-171', '-4443', '28', '-0.638829', '0.769349', '0');
INSERT INTO `informants` VALUES ('50', '0', '0', '-172', '-4410', '28', '0.981533', '-0.191295', '0');
INSERT INTO `informants` VALUES ('51', '0', '0', '-212', '-4465', '28', '0', '1', '0');
INSERT INTO `informants` VALUES ('52', '0', '0', '-250', '-4430', '28', '0.932466', '0.361257', '0');
INSERT INTO `informants` VALUES ('53', '0', '0', '-428', '-4751', '28', '0.971669', '-0.236345', '0');
INSERT INTO `informants` VALUES ('54', '0', '0', '-477', '-4553', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('55', '0', '0', '-566', '-4361', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('56', '0', '0', '-508', '-4367', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('57', '0', '0', '-359', '-4210', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('58', '0', '0', '-293', '-4251', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('59', '0', '0', '-184', '-4342', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('60', '0', '0', '6687', '-5594', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('61', '0', '0', '6733', '-5609', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('62', '0', '0', '6832', '-5545', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('63', '0', '0', '6901', '-5606', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('64', '0', '3375357', '16.2', '23.1', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('65', '0', '0', '3100', '5224', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('66', '0', '0', '3123', '5188', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('67', '0', '0', '3144', '5148', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('68', '0', '0', '3165', '5077', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('69', '0', '0', '3078', '5014', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('70', '0', '0', '3210', '5440', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('71', '0', '0', '3311', '5386', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('72', '0', '0', '3293', '5401', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('73', '0', '0', '3297', '5514', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('74', '0', '0', '-3563', '3138', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('75', '0', '0', '-3571', '3176', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('76', '0', '0', '-3574', '3154', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('77', '0', '0', '-3604', '3172', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('78', '0', '0', '-3665', '3139', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('79', '0', '0', '-3375', '3281', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('80', '0', '0', '-3358', '3307', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('81', '0', '0', '-3315', '3234', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('82', '0', '0', '-3386', '3184', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('83', '0', '0', '-3444', '3231', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('84', '0', '0', '-3458', '3165', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('85', '0', '0', '-3416', '3078', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('86', '0', '0', '-3401', '3034', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('87', '0', '0', '-3124', '2808', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('88', '0', '0', '-3128', '3008', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('89', '0', '0', '-5024', '-2345', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('90', '0', '0', '-5136', '-2294', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('91', '0', '0', '-5587', '-2809', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('92', '0', '0', '-5486', '-2781', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('93', '0', '0', '-5504', '-2699', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('94', '0', '0', '-5539', '-2667', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('95', '0', '0', '-5592', '-2684', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('96', '0', '0', '-5450', '-2630', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('97', '0', '0', '-5308', '-2512', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('98', '0', '0', '-5097', '-2344', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('99', '8', '0', '1266', '3184', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('100', '8', '0', '1727', '3093', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('101', '8', '0', '3775', '2371', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('102', '8', '0', '-2804', '2237', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('103', '8', '0', '-2836', '2275', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('104', '8', '0', '-2935', '2393', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('105', '8', '0', '-1449', '-3558', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('106', '8', '0', '-1450', '-3566', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('107', '8', '0', '-1332', '-3700', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('108', '8', '0', '-1053', '-3726', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('109', '8', '0', '-1023', '-3677', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('110', '8', '0', '-1220', '-3560', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('111', '8', '0', '-5296', '2654', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('112', '8', '0', '-5216', '-6563', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('113', '8', '0', '3447', '-4850', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('114', '8', '0', '3253', '-4923', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('115', '8', '0', '3488.2', '-4783.6', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('116', '7', '0', '342', '-2896', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('117', '7', '0', '408', '-2867', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('118', '7', '0', '434', '-2821', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('119', '7', '0', '286', '-3101', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('120', '7', '0', '411', '-3056', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('121', '7', '0', '568', '-3173', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('122', '7', '0', '555', '-2958', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('123', '7', '0', '683', '-2898', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('124', '7', '0', '653', '-2850', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('125', '7', '0', '4519', '5191', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('126', '7', '0', '4530', '5094', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('127', '7', '0', '4347', '5056', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('128', '7', '0', '4353', '5196', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('129', '7', '0', '4290', '5202', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('130', '7', '0', '4277', '5140', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('131', '7', '0', '4224', '5117', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('132', '7', '0', '4214', '5140', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('133', '6', '0', '-5331', '-2233', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('134', '6', '0', '-5127', '-2266', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('135', '6', '0', '-5120', '-2269', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('136', '6', '0', '5401', '5857', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('137', '5', '0', '4700', '-1406', '330', '0.921637', '0.388053', '0');
INSERT INTO `informants` VALUES ('138', '5', '0', '4652', '-4749', '3.75', '0.768026', '0.640418', '0');
INSERT INTO `informants` VALUES ('139', '5', '0', '4744', '-4847', '3.75', '0.965644', '-0.25987', '0');
INSERT INTO `informants` VALUES ('140', '5', '0', '4825', '-4829', '3.75', '0.992233', '-0.124392', '0');
INSERT INTO `informants` VALUES ('141', '5', '0', '4958', '-4854', '3.75', '0.988339', '0.152273', '0');
INSERT INTO `informants` VALUES ('142', '5', '0', '4976', '-4920', '3.75', '0.965762', '-0.25943', '0');
INSERT INTO `informants` VALUES ('143', '5', '0', '4971', '-4941', '3.75', '0.725749', '-0.68796', '0');
INSERT INTO `informants` VALUES ('144', '5', '0', '4909', '-4975', '3.75', '0', '1', '0');
INSERT INTO `informants` VALUES ('145', '5', '0', '4679', '-4923', '3.75', '0.555121', '0.831769', '0');
INSERT INTO `informants` VALUES ('146', '5', '0', '4838', '-4877', '3.75', '0.751636', '0.336632', '0');
INSERT INTO `informants` VALUES ('147', '5', '0', '4810', '-4627', '4.17', '0.481402', '0.8765', '0');
INSERT INTO `informants` VALUES ('148', '5', '0', '4773', '-4937', '4.39475', '0.94185', '0.336033', '0');
INSERT INTO `informants` VALUES ('149', '5', '0', '-4833', '4134', '6', '0.825485', '-0.564424', '0');
INSERT INTO `informants` VALUES ('150', '5', '0', '-4892', '4216', '6', '-0.658527', '0.752557', '0');
INSERT INTO `informants` VALUES ('151', '5', '0', '-4962', '4259', '6', '-0.444864', '0.895598', '0');
INSERT INTO `informants` VALUES ('152', '5', '0', '-5100', '4146', '6', '0.291311', '0.956628', '0');
INSERT INTO `informants` VALUES ('153', '5', '0', '-5455', '4277', '6', '0.933131', '-0.359536', '0');
INSERT INTO `informants` VALUES ('154', '5', '0', '-5469', '4173', '6', '0.999249', '-0.0387536', '0');
INSERT INTO `informants` VALUES ('155', '5', '0', '-5436', '4133', '6', '0.654272', '0.756259', '0');
INSERT INTO `informants` VALUES ('156', '5', '0', '-5369', '4178', '6', '0.978084', '-0.208209', '0');
INSERT INTO `informants` VALUES ('157', '5', '0', '-5477', '4089', '6', '0.933523', '-0.358517', '0');
INSERT INTO `informants` VALUES ('158', '5', '0', '2030', '2591', '12', '0.97953', '0.201297', '0');
INSERT INTO `informants` VALUES ('159', '5', '0', '1959', '2577', '12', '1', '0', '0');
INSERT INTO `informants` VALUES ('160', '5', '0', '1818', '2496', '12', '0', '1', '0');
INSERT INTO `informants` VALUES ('161', '5', '0', '1890', '2527', '12', '0.801268', '-0.598306', '0');
INSERT INTO `informants` VALUES ('162', '5', '0', '1926', '2757', '12', '-0.496555', '0.868005', '0');
INSERT INTO `informants` VALUES ('163', '5', '0', '1835', '2633', '12', '0', '1', '0');
INSERT INTO `informants` VALUES ('164', '5', '0', '1847', '2573', '12', '0.789138', '-0.614215', '0');
INSERT INTO `informants` VALUES ('165', '5', '0', '1347', '2671', '13', '0.909559', '0.415574', '0');
INSERT INTO `informants` VALUES ('166', '5', '0', '5042', '6736', '-183.338', '0.936155', '0.351588', '0');
INSERT INTO `informants` VALUES ('167', '5', '0', '5199', '6546', '-192', '-0.454399', '0.890799', '0');
INSERT INTO `kb_articles` VALUES ('1', 'kb_advancement', 'advancement');
INSERT INTO `kb_articles` VALUES ('2', 'kb_advancement', 'experience');
INSERT INTO `kb_articles` VALUES ('3', 'kb_advancement', 'experienceearning');
INSERT INTO `kb_articles` VALUES ('4', 'kb_advancement', 'experiencetypes');
INSERT INTO `kb_articles` VALUES ('5', 'kb_advancement', 'skills');
INSERT INTO `kb_articles` VALUES ('6', 'kb_advancement', 'skillboxes');
INSERT INTO `kb_articles` VALUES ('7', 'kb_advancement', 'skillpoints');
INSERT INTO `kb_articles` VALUES ('8', 'kb_advancement', 'skilltrainers');
INSERT INTO `kb_articles` VALUES ('9', 'kb_bestiary', 'bestiary');
INSERT INTO `kb_articles` VALUES ('10', 'kb_bestiary', 'xenobiology');
INSERT INTO `kb_articles` VALUES ('11', 'kb_bestiary', 'faction');
INSERT INTO `kb_articles` VALUES ('12', 'kb_bestiary', 'dantooine');
INSERT INTO `kb_articles` VALUES ('13', 'kb_bestiary', 'yaviniv');
INSERT INTO `kb_articles` VALUES ('14', 'kb_bestiary', 'rori');
INSERT INTO `kb_articles` VALUES ('15', 'kb_bestiary', 'dathomir');
INSERT INTO `kb_articles` VALUES ('16', 'kb_bestiary', 'tatooine');
INSERT INTO `kb_articles` VALUES ('17', 'kb_bestiary', 'talus');
INSERT INTO `kb_articles` VALUES ('18', 'kb_bestiary', 'corellia');
INSERT INTO `kb_articles` VALUES ('19', 'kb_bestiary', 'endor');
INSERT INTO `kb_articles` VALUES ('20', 'kb_bestiary', 'naboo');
INSERT INTO `kb_articles` VALUES ('21', 'kb_bestiary', 'lok');
INSERT INTO `kb_articles` VALUES ('22', 'kb_buildings', 'importantbuildings');
INSERT INTO `kb_articles` VALUES ('23', 'kb_buildings', 'bank');
INSERT INTO `kb_articles` VALUES ('24', 'kb_buildings', 'findbank');
INSERT INTO `kb_articles` VALUES ('25', 'kb_buildings', 'cloningfacility');
INSERT INTO `kb_articles` VALUES ('26', 'kb_buildings', 'findcloningfacility');
INSERT INTO `kb_articles` VALUES ('27', 'kb_buildings', 'cantina');
INSERT INTO `kb_articles` VALUES ('28', 'kb_buildings', 'findcantina');
INSERT INTO `kb_articles` VALUES ('29', 'kb_buildings', 'hotel');
INSERT INTO `kb_articles` VALUES ('30', 'kb_buildings', 'findhotel');
INSERT INTO `kb_articles` VALUES ('31', 'kb_buildings', 'hospital');
INSERT INTO `kb_articles` VALUES ('32', 'kb_buildings', 'findhospital');
INSERT INTO `kb_articles` VALUES ('33', 'kb_buildings', 'theater');
INSERT INTO `kb_articles` VALUES ('34', 'kb_buildings', 'findtheater');
INSERT INTO `kb_articles` VALUES ('35', 'kb_buildings', 'starport');
INSERT INTO `kb_articles` VALUES ('36', 'kb_buildings', 'findstarport');
INSERT INTO `kb_articles` VALUES ('37', 'kb_buildings', 'shuttleport');
INSERT INTO `kb_articles` VALUES ('38', 'kb_buildings', 'findshuttleport');
INSERT INTO `kb_articles` VALUES ('39', 'kb_buildings', 'combatguild');
INSERT INTO `kb_articles` VALUES ('40', 'kb_buildings', 'findcombatguild');
INSERT INTO `kb_articles` VALUES ('41', 'kb_buildings', 'commerceguild');
INSERT INTO `kb_articles` VALUES ('42', 'kb_buildings', 'findcommerceguild');
INSERT INTO `kb_articles` VALUES ('43', 'kb_buildings', 'university');
INSERT INTO `kb_articles` VALUES ('44', 'kb_buildings', 'finduniversity');
INSERT INTO `kb_articles` VALUES ('45', 'kb_buildings', 'medicalcenter');
INSERT INTO `kb_articles` VALUES ('46', 'kb_buildings', 'findmedicalcenter');
INSERT INTO `kb_articles` VALUES ('47', 'kb_buildings', 'tavern');
INSERT INTO `kb_articles` VALUES ('48', 'kb_buildings', 'findtavern');
INSERT INTO `kb_articles` VALUES ('49', 'kb_buildings', 'barracks');
INSERT INTO `kb_articles` VALUES ('50', 'kb_buildings', 'findbarracks');
INSERT INTO `kb_articles` VALUES ('51', 'kb_buildings', 'findgarage');
INSERT INTO `kb_articles` VALUES ('52', 'kb_buildings', 'garage');
INSERT INTO `kb_articles` VALUES ('53', 'kb_combat', 'combat');
INSERT INTO `kb_articles` VALUES ('54', 'kb_combat', 'consider');
INSERT INTO `kb_articles` VALUES ('55', 'kb_combat', 'targeting');
INSERT INTO `kb_articles` VALUES ('56', 'kb_combat', 'ham');
INSERT INTO `kb_articles` VALUES ('57', 'kb_combat', 'status');
INSERT INTO `kb_articles` VALUES ('58', 'kb_combat', 'rules');
INSERT INTO `kb_articles` VALUES ('59', 'kb_combat', 'postures');
INSERT INTO `kb_articles` VALUES ('60', 'kb_combat', 'states');
INSERT INTO `kb_articles` VALUES ('61', 'kb_combat', 'range');
INSERT INTO `kb_articles` VALUES ('62', 'kb_combat', 'armor');
INSERT INTO `kb_articles` VALUES ('63', 'kb_combat', 'weapons');
INSERT INTO `kb_articles` VALUES ('64', 'kb_combat', 'equipmentdamage');
INSERT INTO `kb_articles` VALUES ('65', 'kb_combat', 'looting');
INSERT INTO `kb_articles` VALUES ('66', 'kb_combat', 'death');
INSERT INTO `kb_articles` VALUES ('67', 'kb_combat', 'insurance');
INSERT INTO `kb_articles` VALUES ('68', 'kb_combat', 'cloning');
INSERT INTO `kb_articles` VALUES ('69', 'kb_combat', 'incapacitation');
INSERT INTO `kb_articles` VALUES ('70', 'kb_combat', 'corpserecovery');
INSERT INTO `kb_articles` VALUES ('71', 'kb_combat', 'gcw');
INSERT INTO `kb_articles` VALUES ('72', 'kb_combat', 'joiningafaction');
INSERT INTO `kb_articles` VALUES ('73', 'kb_combat', 'pvprules');
INSERT INTO `kb_articles` VALUES ('74', 'kb_combat', 'perks');
INSERT INTO `kb_articles` VALUES ('75', 'kb_combat', 'leavingafaction');
INSERT INTO `kb_articles` VALUES ('76', 'kb_combat', 'ranges');
INSERT INTO `kb_articles` VALUES ('77', 'kb_combat', 'corpses');
INSERT INTO `kb_articles` VALUES ('78', 'kb_combat', 'corpserun');
INSERT INTO `kb_articles` VALUES ('79', 'kb_combat', 'corpsealternate');
INSERT INTO `kb_articles` VALUES ('80', 'kb_combat', 'corpseconsent');
INSERT INTO `kb_articles` VALUES ('81', 'kb_communication', 'communication');
INSERT INTO `kb_articles` VALUES ('82', 'kb_communication', 'sample');
INSERT INTO `kb_articles` VALUES ('83', 'kb_communication', 'multichatboxes');
INSERT INTO `kb_articles` VALUES ('84', 'kb_communication', 'shortcuts');
INSERT INTO `kb_articles` VALUES ('85', 'kb_communication', 'moods');
INSERT INTO `kb_articles` VALUES ('86', 'kb_communication', 'sayalts');
INSERT INTO `kb_articles` VALUES ('87', 'kb_communication', 'socials');
INSERT INTO `kb_articles` VALUES ('88', 'kb_communication', 'chatbox');
INSERT INTO `kb_articles` VALUES ('89', 'kb_communication', 'spatial');
INSERT INTO `kb_articles` VALUES ('90', 'kb_communication', 'distant');
INSERT INTO `kb_articles` VALUES ('91', 'kb_communication', 'tell');
INSERT INTO `kb_articles` VALUES ('92', 'kb_communication', 'mail');
INSERT INTO `kb_articles` VALUES ('93', 'kb_communication', 'channels');
INSERT INTO `kb_articles` VALUES ('94', 'kb_communication', 'findingfriends');
INSERT INTO `kb_articles` VALUES ('95', 'kb_communication', 'matchmaking');
INSERT INTO `kb_articles` VALUES ('96', 'kb_communication', 'friendslist');
INSERT INTO `kb_articles` VALUES ('97', 'kb_communication', 'search');
INSERT INTO `kb_articles` VALUES ('98', 'kb_communication', 'moderating');
INSERT INTO `kb_articles` VALUES ('99', 'kb_crafting', 'crafting');
INSERT INTO `kb_articles` VALUES ('100', 'kb_crafting', 'draftschematics');
INSERT INTO `kb_articles` VALUES ('101', 'kb_crafting', 'findingresources');
INSERT INTO `kb_articles` VALUES ('102', 'kb_crafting', 'sampling');
INSERT INTO `kb_articles` VALUES ('103', 'kb_crafting', 'harvesting');
INSERT INTO `kb_articles` VALUES ('104', 'kb_crafting', 'foraging');
INSERT INTO `kb_articles` VALUES ('105', 'kb_crafting', 'harvesters');
INSERT INTO `kb_articles` VALUES ('106', 'kb_crafting', 'toolsandstations');
INSERT INTO `kb_articles` VALUES ('107', 'kb_crafting', 'assembly');
INSERT INTO `kb_articles` VALUES ('108', 'kb_crafting', 'experimentation');
INSERT INTO `kb_articles` VALUES ('109', 'kb_crafting', 'customization');
INSERT INTO `kb_articles` VALUES ('110', 'kb_crafting', 'manfschematics');
INSERT INTO `kb_articles` VALUES ('111', 'kb_crafting', 'factories');
INSERT INTO `kb_articles` VALUES ('112', 'kb_crafting', 'selling');
INSERT INTO `kb_articles` VALUES ('113', 'kb_crafting', 'manfingredients');
INSERT INTO `kb_articles` VALUES ('114', 'kb_faq', 'unity');
INSERT INTO `kb_articles` VALUES ('115', 'kb_faq', 'events');
INSERT INTO `kb_articles` VALUES ('116', 'kb_faq', 'servers');
INSERT INTO `kb_articles` VALUES ('117', 'kb_faq', 'houses');
INSERT INTO `kb_articles` VALUES ('118', 'kb_faq', 'cs');
INSERT INTO `kb_articles` VALUES ('119', 'kb_faq', 'pa');
INSERT INTO `kb_articles` VALUES ('120', 'kb_faq', 'faq');
INSERT INTO `kb_articles` VALUES ('121', 'kb_faq', 'gameplay');
INSERT INTO `kb_articles` VALUES ('122', 'kb_faq', 'trouble');
INSERT INTO `kb_articles` VALUES ('123', 'kb_group', 'grouping');
INSERT INTO `kb_articles` VALUES ('124', 'kb_group', 'forming');
INSERT INTO `kb_articles` VALUES ('125', 'kb_group', 'joining');
INSERT INTO `kb_articles` VALUES ('126', 'kb_group', 'grouplist');
INSERT INTO `kb_articles` VALUES ('127', 'kb_group', 'groupchat');
INSERT INTO `kb_articles` VALUES ('128', 'kb_group', 'leaving');
INSERT INTO `kb_articles` VALUES ('129', 'kb_healing', 'healing');
INSERT INTO `kb_articles` VALUES ('130', 'kb_healing', 'wounds');
INSERT INTO `kb_articles` VALUES ('131', 'kb_healing', 'stimpacks');
INSERT INTO `kb_articles` VALUES ('132', 'kb_healing', 'medpacks');
INSERT INTO `kb_articles` VALUES ('133', 'kb_healing', 'hospitals');
INSERT INTO `kb_articles` VALUES ('134', 'kb_healing', 'fatigue');
INSERT INTO `kb_articles` VALUES ('135', 'kb_healing', 'entertainment');
INSERT INTO `kb_articles` VALUES ('136', 'kb_housing', 'housing');
INSERT INTO `kb_articles` VALUES ('137', 'kb_interface', 'interface');
INSERT INTO `kb_articles` VALUES ('138', 'kb_interface', 'hud');
INSERT INTO `kb_articles` VALUES ('139', 'kb_interface', 'chat');
INSERT INTO `kb_articles` VALUES ('140', 'kb_interface', 'radar');
INSERT INTO `kb_articles` VALUES ('141', 'kb_interface', 'buttonbar');
INSERT INTO `kb_articles` VALUES ('142', 'kb_interface', 'toolbar');
INSERT INTO `kb_articles` VALUES ('143', 'kb_interface', 'status');
INSERT INTO `kb_articles` VALUES ('144', 'kb_interface', 'cursor');
INSERT INTO `kb_articles` VALUES ('145', 'kb_interface', 'windows');
INSERT INTO `kb_articles` VALUES ('146', 'kb_interface', 'skills');
INSERT INTO `kb_articles` VALUES ('147', 'kb_interface', 'actions');
INSERT INTO `kb_articles` VALUES ('148', 'kb_interface', 'cs');
INSERT INTO `kb_articles` VALUES ('149', 'kb_interface', 'personal');
INSERT INTO `kb_articles` VALUES ('150', 'kb_interface', 'planetarymap');
INSERT INTO `kb_articles` VALUES ('151', 'kb_interface', 'inventory');
INSERT INTO `kb_articles` VALUES ('152', 'kb_interface', 'datapad');
INSERT INTO `kb_articles` VALUES ('153', 'kb_interface', 'options');
INSERT INTO `kb_articles` VALUES ('154', 'kb_interface', 'graphics');
INSERT INTO `kb_articles` VALUES ('155', 'kb_interface', 'terrain');
INSERT INTO `kb_articles` VALUES ('156', 'kb_interface', 'sound');
INSERT INTO `kb_articles` VALUES ('157', 'kb_interface', 'combat');
INSERT INTO `kb_articles` VALUES ('158', 'kb_interface', 'chatopt');
INSERT INTO `kb_articles` VALUES ('159', 'kb_interface', 'chatcolor');
INSERT INTO `kb_articles` VALUES ('160', 'kb_interface', 'alarm');
INSERT INTO `kb_articles` VALUES ('161', 'kb_interface', 'afk');
INSERT INTO `kb_articles` VALUES ('162', 'kb_interface', 'interfaceopt');
INSERT INTO `kb_articles` VALUES ('163', 'kb_interface', 'controls');
INSERT INTO `kb_articles` VALUES ('164', 'kb_interface', 'misc');
INSERT INTO `kb_articles` VALUES ('165', 'kb_interface', 'mail');
INSERT INTO `kb_articles` VALUES ('166', 'kb_interface', 'community');
INSERT INTO `kb_articles` VALUES ('167', 'kb_interface', 'matchmaking');
INSERT INTO `kb_articles` VALUES ('168', 'kb_interface', 'search');
INSERT INTO `kb_articles` VALUES ('169', 'kb_interface', 'friendslist');
INSERT INTO `kb_articles` VALUES ('170', 'kb_interface', 'ignore');
INSERT INTO `kb_articles` VALUES ('171', 'kb_missions', 'missions');
INSERT INTO `kb_articles` VALUES ('172', 'kb_missions', 'deliver');
INSERT INTO `kb_articles` VALUES ('173', 'kb_missions', 'destroy');
INSERT INTO `kb_articles` VALUES ('174', 'kb_missions', 'escort');
INSERT INTO `kb_articles` VALUES ('175', 'kb_missions', 'fetch');
INSERT INTO `kb_articles` VALUES ('176', 'kb_missions', 'gig');
INSERT INTO `kb_articles` VALUES ('177', 'kb_missions', 'musician');
INSERT INTO `kb_articles` VALUES ('178', 'kb_missions', 'dancer');
INSERT INTO `kb_articles` VALUES ('179', 'kb_missions', 'survey');
INSERT INTO `kb_articles` VALUES ('180', 'kb_missions', 'crafting');
INSERT INTO `kb_articles` VALUES ('181', 'kb_missions', 'recon');
INSERT INTO `kb_articles` VALUES ('182', 'kb_missions', 'bounty');
INSERT INTO `kb_articles` VALUES ('183', 'kb_missions', 'bountyeasy');
INSERT INTO `kb_articles` VALUES ('184', 'kb_missions', 'bountyhard');
INSERT INTO `kb_articles` VALUES ('185', 'kb_mounts', 'mounts');
INSERT INTO `kb_articles` VALUES ('186', 'kb_navigation', 'navigation');
INSERT INTO `kb_articles` VALUES ('187', 'kb_navigation', 'radar');
INSERT INTO `kb_articles` VALUES ('188', 'kb_navigation', 'planetarymap');
INSERT INTO `kb_articles` VALUES ('189', 'kb_navigation', 'overheadmap');
INSERT INTO `kb_articles` VALUES ('190', 'kb_navigation', 'waypoints');
INSERT INTO `kb_articles` VALUES ('191', 'kb_navigation', 'longdistancetravel');
INSERT INTO `kb_articles` VALUES ('192', 'kb_navigation', 'thingstofind');
INSERT INTO `kb_articles` VALUES ('193', 'kb_navigation', 'findplayers');
INSERT INTO `kb_articles` VALUES ('194', 'kb_navigation', 'findterminals');
INSERT INTO `kb_articles` VALUES ('195', 'kb_navigation', 'terminalsmissiont');
INSERT INTO `kb_articles` VALUES ('196', 'kb_navigation', 'terminalsstarport');
INSERT INTO `kb_articles` VALUES ('197', 'kb_navigation', 'terminalshuttleport');
INSERT INTO `kb_articles` VALUES ('198', 'kb_navigation', 'terminalsbank');
INSERT INTO `kb_articles` VALUES ('199', 'kb_navigation', 'terminalscloning');
INSERT INTO `kb_articles` VALUES ('200', 'kb_navigation', 'terminalsinsurance');
INSERT INTO `kb_articles` VALUES ('201', 'kb_navigation', 'terminalsbazaar');
INSERT INTO `kb_articles` VALUES ('202', 'kb_navigation', 'npcs');
INSERT INTO `kb_articles` VALUES ('203', 'kb_navigation', 'creatures');
INSERT INTO `kb_articles` VALUES ('204', 'kb_navigation', 'npclairs');
INSERT INTO `kb_articles` VALUES ('205', 'kb_navigation', 'creaturelairs');
INSERT INTO `kb_articles` VALUES ('206', 'kb_navigation', 'pois');
INSERT INTO `kb_articles` VALUES ('207', 'kb_navigation', 'findstrongholds');
INSERT INTO `kb_articles` VALUES ('208', 'kb_navigation', 'battlefields');
INSERT INTO `kb_articles` VALUES ('209', 'kb_navigation', 'buildings');
INSERT INTO `kb_articles` VALUES ('210', 'kb_navigation', 'cloningfacility');
INSERT INTO `kb_articles` VALUES ('211', 'kb_navigation', 'cantina');
INSERT INTO `kb_articles` VALUES ('212', 'kb_navigation', 'bank');
INSERT INTO `kb_articles` VALUES ('213', 'kb_navigation', 'shuttleport');
INSERT INTO `kb_articles` VALUES ('214', 'kb_navigation', 'hospital');
INSERT INTO `kb_articles` VALUES ('215', 'kb_navigation', 'theater');
INSERT INTO `kb_articles` VALUES ('216', 'kb_navigation', 'combatguild');
INSERT INTO `kb_articles` VALUES ('217', 'kb_navigation', 'commerceguild');
INSERT INTO `kb_articles` VALUES ('218', 'kb_navigation', 'university');
INSERT INTO `kb_articles` VALUES ('219', 'kb_navigation', 'starport');
INSERT INTO `kb_articles` VALUES ('220', 'kb_navigation', 'hotel');
INSERT INTO `kb_articles` VALUES ('221', 'kb_navigation', 'medicalcenter');
INSERT INTO `kb_articles` VALUES ('222', 'kb_navigation', 'tavern');
INSERT INTO `kb_articles` VALUES ('223', 'kb_navigation', 'barracks');
INSERT INTO `kb_articles` VALUES ('224', 'kb_navigation', 'findmedicalcenter');
INSERT INTO `kb_articles` VALUES ('225', 'kb_navigation', 'garage');
INSERT INTO `kb_articles` VALUES ('226', 'kb_planets', 'planets');
INSERT INTO `kb_articles` VALUES ('227', 'kb_professions', 'professions');
INSERT INTO `kb_articles` VALUES ('228', 'kb_professions', 'starting');
INSERT INTO `kb_articles` VALUES ('229', 'kb_professions', 'artisan');
INSERT INTO `kb_articles` VALUES ('230', 'kb_professions', 'brawler');
INSERT INTO `kb_articles` VALUES ('231', 'kb_professions', 'entertainer');
INSERT INTO `kb_articles` VALUES ('232', 'kb_professions', 'marksman');
INSERT INTO `kb_articles` VALUES ('233', 'kb_professions', 'medic');
INSERT INTO `kb_articles` VALUES ('234', 'kb_professions', 'scout');
INSERT INTO `kb_articles` VALUES ('235', 'kb_professions', 'advanced');
INSERT INTO `kb_articles` VALUES ('236', 'kb_professions', 'architect');
INSERT INTO `kb_articles` VALUES ('237', 'kb_professions', 'armorsmith');
INSERT INTO `kb_articles` VALUES ('238', 'kb_professions', 'bioengineer');
INSERT INTO `kb_articles` VALUES ('239', 'kb_professions', 'bountyhunter');
INSERT INTO `kb_articles` VALUES ('240', 'kb_professions', 'carbineer');
INSERT INTO `kb_articles` VALUES ('241', 'kb_professions', 'chef');
INSERT INTO `kb_articles` VALUES ('242', 'kb_professions', 'combatmedic');
INSERT INTO `kb_articles` VALUES ('243', 'kb_professions', 'commando');
INSERT INTO `kb_articles` VALUES ('244', 'kb_professions', 'creaturehandler');
INSERT INTO `kb_articles` VALUES ('245', 'kb_professions', 'dancer');
INSERT INTO `kb_articles` VALUES ('246', 'kb_professions', 'doctor');
INSERT INTO `kb_articles` VALUES ('247', 'kb_professions', 'droidengineer');
INSERT INTO `kb_articles` VALUES ('248', 'kb_professions', 'fencer');
INSERT INTO `kb_articles` VALUES ('249', 'kb_professions', 'imagedesigner');
INSERT INTO `kb_articles` VALUES ('250', 'kb_professions', 'merchant');
INSERT INTO `kb_articles` VALUES ('251', 'kb_professions', 'musician');
INSERT INTO `kb_articles` VALUES ('252', 'kb_professions', 'pikeman');
INSERT INTO `kb_articles` VALUES ('253', 'kb_professions', 'pistoleer');
INSERT INTO `kb_articles` VALUES ('254', 'kb_professions', 'ranger');
INSERT INTO `kb_articles` VALUES ('255', 'kb_professions', 'rifleman');
INSERT INTO `kb_articles` VALUES ('256', 'kb_professions', 'smuggler');
INSERT INTO `kb_articles` VALUES ('257', 'kb_professions', 'squadleader');
INSERT INTO `kb_articles` VALUES ('258', 'kb_professions', 'swordsman');
INSERT INTO `kb_articles` VALUES ('259', 'kb_professions', 'tailor');
INSERT INTO `kb_articles` VALUES ('260', 'kb_professions', 'teraskasiartist');
INSERT INTO `kb_articles` VALUES ('261', 'kb_professions', 'weaponsmith');
INSERT INTO `kb_articles` VALUES ('262', 'kb_professions', 'politician');
INSERT INTO `kb_articles` VALUES ('263', 'kb_professions', 'forcerank');
INSERT INTO `kb_articles` VALUES ('264', 'kb_professions', 'forcerank_advancement_light');
INSERT INTO `kb_articles` VALUES ('265', 'kb_professions', 'forcerank_petitioning');
INSERT INTO `kb_articles` VALUES ('266', 'kb_professions', 'forcerank_voting');
INSERT INTO `kb_articles` VALUES ('267', 'kb_professions', 'forcerank_accepting');
INSERT INTO `kb_articles` VALUES ('268', 'kb_professions', 'forcerank_advancement_example');
INSERT INTO `kb_articles` VALUES ('269', 'kb_professions', 'forcerank_demotion');
INSERT INTO `kb_articles` VALUES ('270', 'kb_professions', 'forcerank_min_xp');
INSERT INTO `kb_articles` VALUES ('271', 'kb_professions', 'forcerank_losing_experience');
INSERT INTO `kb_articles` VALUES ('272', 'kb_professions', 'forcerank_commands');
INSERT INTO `kb_articles` VALUES ('273', 'kb_professions', 'forcerank_advancement_dark');
INSERT INTO `kb_articles` VALUES ('274', 'kb_professions', 'forcerank_advancement_dark_duels');
INSERT INTO `kb_articles` VALUES ('275', 'kb_professions', 'forcerank_advancement_dark_voting');
INSERT INTO `kb_articles` VALUES ('276', 'kb_professions', 'forcerank_accepting_dark');
INSERT INTO `kb_articles` VALUES ('277', 'kb_professions', 'forcesensitive');
INSERT INTO `kb_articles` VALUES ('278', 'kb_professions', 'forcesensitive_experience');
INSERT INTO `kb_articles` VALUES ('279', 'kb_professions', 'forcesensitive_unlocking');
INSERT INTO `kb_articles` VALUES ('280', 'kb_professions', 'forcesensitive_qualifying');
INSERT INTO `kb_articles` VALUES ('281', 'kb_terms', 'terms');
INSERT INTO `kb_articles` VALUES ('282', 'kb_terms', 'swg');
INSERT INTO `kb_articles` VALUES ('283', 'kb_terms', 'online');
INSERT INTO `kb_articles` VALUES ('284', 'kb_terms', 'chat');
INSERT INTO `kb_articles` VALUES ('285', 'kb_terms', 'sw');
INSERT INTO `kb_tickets_categories` VALUES ('1', '0', 'Account/Billing/Tech');
INSERT INTO `kb_tickets_categories` VALUES ('2', '1', 'General');
INSERT INTO `kb_tickets_categories` VALUES ('3', '4', 'Harassment');
INSERT INTO `kb_tickets_categories` VALUES ('4', '0', 'Community Standards');
INSERT INTO `kb_tickets_categories` VALUES ('5', '4', 'Language');
INSERT INTO `kb_tickets_categories` VALUES ('6', '4', 'Player Conduct');
INSERT INTO `kb_tickets_categories` VALUES ('7', '4', 'Trade Fraud');
INSERT INTO `kb_tickets_categories` VALUES ('8', '4', 'Report Exploit');
INSERT INTO `kb_tickets_categories` VALUES ('9', '0', 'Player Character');
INSERT INTO `kb_tickets_categories` VALUES ('10', '9', 'Skill Tree');
INSERT INTO `kb_tickets_categories` VALUES ('11', '9', 'Player Association');
INSERT INTO `kb_tickets_categories` VALUES ('12', '9', 'Missing Items');
INSERT INTO `kb_tickets_categories` VALUES ('13', '9', 'Inventory');
INSERT INTO `kb_tickets_categories` VALUES ('14', '9', 'Experience');
INSERT INTO `kb_tickets_categories` VALUES ('15', '9', 'Abilities');
INSERT INTO `knowledgebase` VALUES ('1', 'Test Title 1', 'Empty Body');
INSERT INTO `knowledgebase` VALUES ('2', 'Test Title 2', 'Empty Body');
INSERT INTO `loot_groups` VALUES ('1', 'Common', '3', '1', '2');
INSERT INTO `loot_groups` VALUES ('2', 'Junk Loot', '5', '1', '1');
INSERT INTO `loot_groups` VALUES ('3', 'Loot Kits', '2', '1', '1');
INSERT INTO `loot_groups` VALUES ('4', 'Clothing', '2', '1', '1');
INSERT INTO `loot_groups` VALUES ('5', 'Resource Loot', '1', '1', '1');
INSERT INTO `loot_groups` VALUES ('6', 'Etc', '1', '1', '1');
INSERT INTO `loot_groups` VALUES ('7', 'Etc', '5', '1', '1');
INSERT INTO `loot_groups` VALUES ('8', 'Color Crystals', '1', '1', '1');
INSERT INTO `loot_groups` VALUES ('9', 'Common Weapons', '5', '1', '1');
INSERT INTO `loot_groups` VALUES ('10', 'PowerUps', '1', '1', '1');
INSERT INTO `loot_groups` VALUES ('11', 'Skill Enhancing Attachments', '1', '1', '2');
INSERT INTO `loot_groups` VALUES ('12', 'Geonosian Loot', '2', '1', '1');
INSERT INTO `loot_groups` VALUES ('13', 'Tusken Loot', '5', '1', '1');
INSERT INTO `loot_groups` VALUES ('14', 'Nightsister Loot', '5', '1', '1');
INSERT INTO `loot_groups` VALUES ('15', 'SMC Loot', '5', '1', '1');
INSERT INTO `loot_groups` VALUES ('16', 'Krayt Loot', '5', '1', '1');
INSERT INTO `loot_groups` VALUES ('17', 'Death Watch Bunker Loot', '5', '1', '1');
INSERT INTO `loot_groups` VALUES ('20', 'Nyax Loot', '5', '1', '1');
INSERT INTO `loot_groups` VALUES ('21', 'Kimogila Loot', '5', '1', '1');
INSERT INTO `loot_groups` VALUES ('22', 'Peko Peko Loot', '5', '1', '1');
INSERT INTO `loot_groups` VALUES ('23', 'Gurk Loot', '5', '1', '1');
INSERT INTO `loot_groups` VALUES ('24', 'Woolamander Loot', '5', '1', '1');
INSERT INTO `loot_groups` VALUES ('27', 'Donkuwah Loot', '5', '1', '1');
INSERT INTO `loot_groups` VALUES ('28', 'Aakuan Loot', '5', '1', '1');
INSERT INTO `loot_groups` VALUES ('18', 'Force Sensitive Loot', '5', '1', '1');
INSERT INTO `loot_groups` VALUES ('19', 'Lightsaber Crystal', '1', '1', '1');
INSERT INTO `loot_groups` VALUES ('25', 'Rancor Loot', '5', '1', '1');
INSERT INTO `loot_groups` VALUES ('26', 'Janta Loot', '5', '1', '1');
INSERT INTO `loot_groups` VALUES ('32', 'Jawa Loot', '5', '1', '1');
INSERT INTO `loot_groups` VALUES ('34', 'Sharnaff Loot', '5', '1', '1');
INSERT INTO `loot_groups` VALUES ('30', 'Kliknik Loot', '5', '1', '1');
INSERT INTO `loot_groups` VALUES ('31', 'Voritor Loot', '5', '1', '1');
INSERT INTO `loot_groups` VALUES ('33', 'Nym\'s Loot', '5', '1', '1');
INSERT INTO `loot_groups` VALUES ('29', 'Gorax Loot', '5', '1', '1');
INSERT INTO `loot_groups` VALUES ('35', 'Brackaset Loot', '5', '1', '1');
INSERT INTO `loot_groups` VALUES ('36', 'Dragonet Loot', '5', '1', '1');
INSERT INTO `loot_groups` VALUES ('37', 'Dune Lizard Loot', '5', '1', '1');
INSERT INTO `loot_groups` VALUES ('2235', 'Common Armor', '5', '1', '1');
INSERT INTO `loot_groups` VALUES ('38', 'Common Armor', '1', '1', '1');
INSERT INTO `loot_groups` VALUES ('39', 'Acklay Loot', '4', '1', '1');
INSERT INTO `loot_groups` VALUES ('40', 'Corsec Loot', '3', '1', '1');
INSERT INTO `loot_groups` VALUES ('41', 'Fire Breathing Spider Loot', '1', '1', '1');
INSERT INTO `loot_groups` VALUES ('42', 'Kwi Loot', '3', '1', '1');
INSERT INTO `loot_items` VALUES ('2', '2', 'a ViewScreen', '197148564', '8211', 'item_n', 'viewscreen_s1', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('3', '2', 'a Human Skull', '632440114', '8211', 'item_n', 'human_skull', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('1', '1', 'Small Stimpack - A', '2001848134', '8205', 'medicine_name', 'stimpack_sm_s1_a', '', '', '1', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('4', '2', 'Broken Impulse Detector', '756283156', '8211', 'item_n', 'impulse_detector_broken', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('5', '2', 'An Empty Cage', '842587466', '8211', 'item_n', 'cage_s01', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('6', '2', 'Broken Instrument Calibrator', '1384767705', '8211', 'item_n', 'calibrator_broken', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('7', '2', 'Corrupt Datadisk', '1598786934', '8211', 'item_n', 'datadisk_corrupt', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('8', '2', 'A Locked Briefcase', '1815409445', '8211', 'item_n', 'briefcase_s01', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('9', '2', 'Broken Sandstat', '2766599802', '8211', 'item_n', 'sandstat_broken', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('10', '2', 'A Rare Artifact', '865298765', '8211', 'item_n', 'artifact_rare_s01', '', '', '0.5', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('11', '2', 'Holocron Splinters', '1021999255', '8211', 'item_n', 'holocron_splinters_sith_s01', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('12', '2', 'Work light', '667280512', '8211', 'item_n', 'work_light', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('13', '2', 'Broken Electrobinoculars', '511989855', '8211', 'item_n', 'binoculars_broken', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('14', '2', 'Datapad ', '3897890885', '8211', 'item_n', 'datapad', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('15', '2', 'Broken Recording Rod', '3085465916', '8211', 'item_n', 'recording_rod_broken', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('16', '2', 'Petrified Avian Egg', '3152449908', '8211', 'item_n', 'petrified_egg', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('17', '2', 'Slave Collar', '3986073325', '8211', 'item_n', 'slave_collar', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('18', '2', 'Broken Datapad', '3897890885', '8211', 'item_n', 'datapad_broken', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('20', '2', 'Broken Meson Taloscope', '1847347593', '8211', 'item_n', 'taloscope_broken', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('21', '2', 'Palm Frond', '1764965839', '8211', 'item_n', 'palm_frond', '', '', '0.15', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('22', '2', 'A Photographic Image', '1021103631', '8211', 'item_n', 'picture_handheld_s02', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('23', '2', 'Spectrum Recorder', '2986929439', '8211', 'item_n', 'spectrum_recorder', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('24', '2', 'Expired Travel Ticket', '2280007490', '8211', 'item_n', 'ticket_expired', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('25', '2', 'Preserved Rare Insects', '1419164698', '8211', 'item_n', 'insects_rare_s01', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('26', '2', 'Datapad Backlight', '4084040354', '8211', 'loot_n', 'datapad_backlight', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('27', '2', 'Heating Element', '326778183', '8211', 'loot_n', 'heating_element', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('28', '2', 'Feed Tubes', '2298400846', '8211', 'craft_item_ingredients_n', 'feed_tubes', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('29', '2', 'Datapad Housing', '2404535278', '8211', 'loot_n', 'datapad_casing', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('30', '2', 'Datapad Connectors', '3704114882', '8211', 'loot_n', 'datapad_connectors', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('31', '2', 'Small Power Motor', '3144713360', '8211', 'loot_n', 'motor_small_blue', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('32', '2', 'Agitator Motor', '1519193504', '8211', 'loot_n', 'motor_small_red', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('33', '2', 'Dud Firework', '706975394', '8211', 'item_n', 'firework_dud', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('34', '2', 'A Broken Decryptor', '4256936356', '8211', 'item_n', 'decryptor_broken_s01', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('35', '2', 'Datapad (damaged)', '2077895809', '8211', '', '', '', '', '0', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('36', '3', 'Blue Rug Adhesive', '1123513366', '262144', 'collectible_loot_items_n', 'blue_rug_adhesive', '', '', '0.5', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('37', '3', 'Blue Rug Dye', '1357216829', '262144', 'collectible_loot_items_n', 'blue_rug_dye', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('38', '3', 'Blue Rug Cloth Patches', '166272448', '262144', 'collectible_loot_items_n', 'blue_rug_patches', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('39', '3', 'Blue Rug Thread - First Section', '2636514827', '262144', 'collectible_loot_items_n', 'blue_rug_thread_01', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('40', '3', 'Blue Rug Thread - Second Section', '1177661084', '262144', 'collectible_loot_items_n', 'blue_rug_thread_02', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('41', '3', 'Blue Rug Thread - Third Section', '255641873', '262144', 'collectible_loot_items_n', 'blue_rug_thread_03', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('42', '3', 'Blue Rug Thread - Fourth Section', '4108313093', '262144', 'collectible_loot_items_n', 'blue_rug_thread_04', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('43', '3', 'Blue Rug Thread - Fifth Section', '3184690568', '262144', 'collectible_loot_items_n', 'blue_rug_thread_05', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('44', '3', 'Blue Rug Thread - Sixth Section', '1724198175', '262144', 'collectible_loot_items_n', 'blue_rug_thread_06', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('45', '3', 'Blue Rug Thread - Seventh Section', '801655442', '262144', 'collectible_loot_items_n', 'blue_rug_thread_07', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('46', '3', 'Gong Adhesive', '2733801121', '262144', 'collectible_loot_items_n', 'gong_adhesive', '', '', '0.5', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('47', '3', 'Gong Skin - Back Section', '2466495662', '262144', 'collectible_loot_items_n', 'gong_skin_back', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('48', '3', 'Gong Skin - Front Section', '97797037', '262144', 'collectible_loot_items_n', 'gong_skin_front', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('49', '3', 'Gong Structure - First Section', '191195306', '262144', 'collectible_loot_items_n', 'gong_structure_01', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('50', '3', 'Gong Structure - Second Section', '3497181245', '262144', 'collectible_loot_items_n', 'gong_structure_02', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('51', '3', 'Gong Structure - Third Section', '2575280048', '262144', 'collectible_loot_items_n', 'gong_structure_03', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('52', '3', 'Gong Structure - Fourth Section', '1654426788', '262144', 'collectible_loot_items_n', 'gong_structure_04', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('53', '3', 'Gong Structure - Fifth Section', '730983209', '262144', 'collectible_loot_items_n', 'gong_structure_05', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('54', '3', 'Gong Structure - Sixth Section', '4035331006', '262144', 'collectible_loot_items_n', 'gong_structure_06', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('55', '3', 'Gong Structure - Seventh Section', '3112903731', '262144', 'collectible_loot_items_n', 'gong_structure_07', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('56', '3', 'Glass Top Table Adhesive', '888771001', '262144', 'collectible_loot_items_n', 'light_table_adhesive', '', '', '0.5', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('57', '3', 'Glass Top Table - Small Glass Top', '1261115821', '262144', 'collectible_loot_items_n', 'light_table_glasstop_02', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('58', '3', 'Glass Top Table - Large Glass Top', '2419896634', '262144', 'collectible_loot_items_n', 'light_table_glasstop_01', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('59', '3', 'Glass Top Table Base - First Section', '2720203883', '262144', 'collectible_loot_items_n', 'light_table_structure_01', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('60', '3', 'Glass Top Table Base - Second Section', '2033495292', '262144', 'collectible_loot_items_n', 'light_table_structure_02', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('61', '3', 'Glass Top Table Base - Third Section', '809094001', '262144', 'collectible_loot_items_n', 'light_table_structure_03', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('62', '3', 'Glass Top Table Base - Fourth Section', '3420119141', '262144', 'collectible_loot_items_n', 'light_table_structure_04', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('63', '3', 'Glass Top Table Base - Fifth Section', '2195163112', '262144', 'collectible_loot_items_n', 'light_table_structure_05', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('64', '3', 'Glass Top Table Base - Sixth Section', '1505767295', '262144', 'collectible_loot_items_n', 'light_table_structure_06', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('65', '3', 'Glass Top Table Base - Seventh Section', '281889010', '262144', 'collectible_loot_items_n', 'light_table_structure_07', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('66', '3', 'Orange Rug Adhesive', '3616535114', '262144', 'collectible_loot_items_n', 'orange_rug_adhesive', '', '', '0.5', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('67', '3', 'Orange Rug Dye', '3820849787', '262144', 'collectible_loot_items_n', 'orange_rug_dye', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('68', '3', 'Orange Rug Cloth Patches', '2400186347', '262144', 'collectible_loot_items_n', 'orange_rug_patches', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('69', '3', 'Orange Rug Thread - First Section', '3614968574', '262144', 'collectible_loot_items_n', 'orange_rug_thread_01', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('70', '3', 'Orange Rug Thread - Second Section', '208642665', '262144', 'collectible_loot_items_n', 'orange_rug_thread_02', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('71', '3', 'Orange Rug Thread - Third Section', '1164101092', '262144', 'collectible_loot_items_n', 'orange_rug_thread_03', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('72', '3', 'Orange Rug Thread - Fourth Section', '3196186352', '262144', 'collectible_loot_items_n', 'orange_rug_thread_04', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('73', '3', 'Orange Rug Thread - Fifth Section', '4153182589', '262144', 'collectible_loot_items_n', 'orange_rug_thread_05', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('74', '3', 'Orange Rug Thread - Sixth Section', '748364266', '262144', 'collectible_loot_items_n', 'orange_rug_thread_06', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('75', '3', 'Orange Rug Thread - Seventh Section', '1704347239', '262144', 'collectible_loot_items_n', 'orange_rug_thread_07', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('76', '3', 'Nabooian Sculpture Adhesive', '3289712377', '262144', 'collectible_loot_items_n', 'sculpture_adhesive', '', '', '0.5', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('77', '3', 'Nabooian Sculpture Gold Plating - First Coating', '1249132287', '262144', 'collectible_loot_items_n', 'sculpture_goldinlay_01', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('78', '3', 'Nabooian Sculpture Gold Plating - Second Coating', '2439222888', '262144', 'collectible_loot_items_n', 'sculpture_goldinlay_02', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('79', '3', 'Nabooian Sculpture Base - First Section', '4050692979', '262144', 'collectible_loot_items_n', 'sculpture_structure_01', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('80', '3', 'Nabooian Sculpture Base - Second Section', '711394276', '262144', 'collectible_loot_items_n', 'sculpture_structure_02', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('81', '3', 'Nabooian Sculpture Base - Third Section', '1667916905', '262144', 'collectible_loot_items_n', 'sculpture_structure_03', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('82', '3', 'Nabooian Sculpture Base - Fourth Section', '2559135613', '262144', 'collectible_loot_items_n', 'sculpture_structure_04', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('83', '3', 'Nabooian Sculpture Base - Fifth Section', '3515099376', '262144', 'collectible_loot_items_n', 'sculpture_structure_05', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('84', '3', 'Nabooian Sculpture Base - Sixth Section', '177438823', '262144', 'collectible_loot_items_n', 'sculpture_structure_06', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('85', '3', 'Nabooian Sculpture Base - Seventh Section', '1134487530', '262144', 'collectible_loot_items_n', 'sculpture_structure_07', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('86', '4', 'Longsleeve Shirt', '235457924', '16777230', 'wearables_name', 'shirt_s16', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('87', '4', 'Paramilitary Camos', '489589658', '16777228', 'wearables_name', 'pants_s21', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('88', '4', 'Casual Shoes', '143099030', '16777222', 'wearables_name', 'shoes_s02', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('89', '4', 'Cargo Vest', '1904031382', '16777231', 'wearables_name', 'vest_s09', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('90', '4', 'Kitchen Master\'s Hat', '4237787733', '16777226', 'wearables_name', 'hat_chef_s01', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('91', '4', 'Jawa Beads', '1637830141', '8211', 'item_n', 'jawa_beads', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('92', '4', 'Jeweled Pendant', '218269484', '8211', 'wearables_name', 'necklace_jeweled_pendant', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('93', '5', 'looted resources and foods', '0', '0', '', '', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('94', '6', 'etc', '0', '0', '', '', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('95', '7', 'etc', '0', '0', '', '', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('98', '9', 'Jawa Ion Rifle', '1928416827', '131084', 'weapon_name', 'rifle_jawa_ion', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=35:type=6:armorPiercing=0:maxRangeAccuracy=0:range=64:damageType=4:mindCost=65:minDamage=40:healthCost=35:cert=cert_rifle_jawa_ion:maxDamage=120:idealAccuracy=-32:woundsRatio=22:attackSpeed=6:category=32:idealRange=60:maxRange=64:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('21176', '30', 'Nothing', '0', '0', '', '', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('100', '9', 'Vibroblade', '4211610935', '131079', 'weapon_name', 'knife_vibroblade', 'pointBlankAccuracy=3:idealRange=3:maxDamage=59:category=16:maxRangeAccuracy=3:attackSpeed=4.2:woundsRatio=8:idealAccuracy=3:mindCost=13:maxRange=4:type=1:damageType=1:armorPiercing=1:pointBlankRange=0:healthCost=13:minDamage=10:actionCost=46:cert=cert_knife_vibroblade:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('101', '9', 'Vibro Axe', '1835485114', '131080', 'weapon_name', 'axe_vibro', 'pointBlankAccuracy=-26:idealRange=3:maxDamage=80:cert=cert_axe_vibro:category=16:maxRangeAccuracy=-26:attackSpeed=6.5:woundsRatio=14:idealAccuracy=-26:mindCost=21:maxRange=4:type=2:damageType=1:armorPiercing=1:pointBlankRange=0:healthCost=84:minDamage=30:actionCost=52:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('102', '9', 'Wood Staff', '1200142292', '131081', 'weapon_name', 'lance_staff_wood_s1', 'pointBlankAccuracy=14:idealRange=3:maxDamage=56:category=16:maxRangeAccuracy=14:attackSpeed=5.8:woundsRatio=3:idealAccuracy=14:mindCost=19:maxRange=5:type=3:damageType=1:armorPiercing=0:pointBlankRange=0:healthCost=19:minDamage=24:actionCost=49:cert_lance_staff_wood_s1:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('103', '9', 'Dagger', '4040009714', '131079', 'weapon_name', 'knife_dagger', 'pointBlankAccuracy=-45:idealRange=5:maxDamage=55:cert=cert_knife_dagger:category=16:maxRangeAccuracy=-45:attackSpeed=4.7:woundsRatio=11.8497:idealAccuracy=-45:mindCost=12:maxRange=5:type=1:damageType=1:armorPiercing=0:pointBlankRange=0:healthCost=8:minDamage=25:actionCost=16:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('104', '9', 'Metal Staff', '978782032', '131081', 'weapon_name', 'lance_staff_metal', 'pointBlankAccuracy=0:idealRange=3:maxDamage=77:cert=cert_lance_staff_metal:category=16:maxRangeAccuracy=0:attackSpeed=6.1:woundsRatio=4:idealAccuracy=0:mindCost=19:maxRange=5:type=3:damageType=1:armorPiercing=0:pointBlankRange=0:healthCost=66:minDamage=56:actionCost=39:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('105', '9', 'Vibro Lance', '22784428', '131081', 'weapon_name', 'lance_vibrolance', 'pointBlankAccuracy=-24:idealRange=3:maxDamage=154:cert=cert_lance_vibrolance:category=16:maxRangeAccuracy=-24:attackSpeed=5.8:woundsRatio=26:idealAccuracy=-24:mindCost=28:maxRange=5:type=3:damageType=3:armorPiercing=1:pointBlankRange=0:healthCost=58:minDamage=42:actionCost=84:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('106', '9', 'Curved sword', '1513483812', '131079', 'weapon_name', 'sword_02', 'pointBlankAccuracy=3:idealRange=3:maxDamage=70:cert=cert_sword_02:category=16:maxRangeAccuracy=3:attackSpeed=4.7:woundsRatio=12:idealAccuracy=3:mindCost=32:maxRange=4:type=1:damageType=1:armorPiercing=0:pointBlankRange=0:healthCost=23:minDamage=17:actionCost=52:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('107', '9', 'Long Vibro Axe', '1723256113', '131081', 'weapon_name', 'lance_vibro_axe', 'pointBlankAccuracy=-45:pointBlankRange=0:actionCost=71:type=3:armorPiercing=2:maxRangeAccuracy=-45:damageType=1:mindCost=28:minDamage=44:healthCost=91:cert=cert_lance_vibro_axe:maxDamage=176:idealAccuracy=-45:woundsRatio=23:attackSpeed=6.5:category=16:idealRange=7:maxRange=7:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('108', '9', 'Rantok', '3125045014', '131079', 'weapon_name', 'sword_blade_rantok', 'pointBlankAccuracy=-45:idealRange=5:maxDamage=100:cert=cert_sword_blade_rantok:category=16:maxRangeAccuracy=-45:attackSpeed=4.7:woundsRatio=11.8497:idealAccuracy=-45:mindCost=12:maxRange=5:type=1:damageType=1:armorPiercing=0:pointBlankRange=0:healthCost=83:minDamage=50:actionCost=26:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('109', '9', 'Ryyk Blade', '1543947481', '131079', 'weapon_name', 'sword_blade_ryyk', 'pointBlankAccuracy=-19:idealRange=3:maxDamage=98:cert=cert_sword_blade_ryyk:category=16:maxRangeAccuracy=-19:attackSpeed=4.2:woundsRatio=15:idealAccuracy=-19:mindCost=32:maxRange=4:type=1:damageType=1:armorPiercing=0:pointBlankRange=0:healthCost=50:minDamage=17:actionCost=39:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('110', '9', 'Stone Knife', '1218550121', '131079', 'weapon_name', 'knife_stone', 'pointBlankAccuracy=3:idealRange=3:maxDamage=21:category=16:maxRangeAccuracy=3:attackSpeed=4.5:woundsRatio=4:idealAccuracy=3:mindCost=6:maxRange=4:type=1:damageType=1:armorPiercing=0:pointBlankRange=0:healthCost=6:minDamage=14:actionCost=6:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('111', '9', 'Two-handed Cleaver', '1737909268', '131080', 'weapon_name', 'word_2h_cleaver ', 'pointBlankAccuracy=-19:idealRange=5:maxDamage=122:cert=cert_sword_2h_cleaver:category=16:maxRangeAccuracy=-19:attackSpeed=6:woundsRatio=18:idealAccuracy=-19:mindCost=26:maxRange=5:type=2:damageType=1:armorPiercing=2:pointBlankRange=0:healthCost=49:minDamage=40:actionCost=45:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('112', '9', 'Sword', '2166507187', '131079', 'weapon_name', 'sword_01', 'pointBlankAccuracy=7:idealRange=3:maxDamage=90:cert=cert_sword_01:category=16:maxRangeAccuracy=7:attackSpeed=4.7:woundsRatio=14:idealAccuracy=7:mindCost=19:maxRange=4:type=1:damageType=1:armorPiercing=0:pointBlankRange=0:healthCost=16:minDamage=20:actionCost=26:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('113', '9', 'Reinforced Combat Staff', '2627673923', '131081', 'weapon_name', 'lance_staff_wood_s2', 'pointBlankAccuracy=7:idealRange=4:maxDamage=59:category=16:maxRangeAccuracy=7:attackSpeed=5.8:woundsRatio=3:idealAccuracy=7:mindCost=19:maxRange=5:type=3:damageType=1:armorPiercing=0:pointBlankRange=0:healthCost=26:minDamage=28:actionCost=49:cert=cert_lance_staff_wood_s2:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('114', '9', 'Lance', '1316875243', '131081', 'weapon_name', 'lance_controllerfp', 'pointBlankAccuracy=-45:idealRange=5:maxDamage=55:category=16:maxRangeAccuracy=-45:attackSpeed=5:woundsRatio=7:idealAccuracy=-45:mindCost=15:maxRange=5:type=3:damageType=1:armorPiercing=0:pointBlankRange=0:healthCost=51:minDamage=20:actionCost=30:cert=cert_lance_controllerfp:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('115', '9', 'Two-handed Curved Sword', '1688331731', '131080', 'weapon_name', 'sword_2h_katana', 'pointBlankAccuracy=-45:idealRange=5:maxDamage=118:cert=cert_2h_sword_katana:category=16:maxRangeAccuracy=-45:attackSpeed=6:woundsRatio=11.8497:idealAccuracy=-45:mindCost=25:maxRange=5:type=2:damageType=1:armorPiercing=2:pointBlankRange=0:healthCost=83:minDamage=42:actionCost=26:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('116', '9', 'Gamorrean Battleaxe', '3488117788', '131080', 'weapon_name', 'sword_2h_axe_quest', 'pointBlankAccuracy=-45:idealRange=5:maxDamage=108:cert=cert_2h_sword_battleaxe:category=16:maxRangeAccuracy=-45:attackSpeed=6:woundsRatio=11.8497:idealAccuracy=-45:mindCost=42:maxRange=5:type=2:damageType=1:armorPiercing=2:pointBlankRange=0:healthCost=83:minDamage=56:actionCost=26:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('117', '9', 'Heavy Axe', '3808952162', '131080', 'weapon_name', 'axe_heavy_duty', 'pointBlankAccuracy=-45:idealRange=5:maxDamage=35:category=16:maxRangeAccuracy=-45:attackSpeed=4.7:woundsRatio=11.8497:idealAccuracy=-45:mindCost=12:maxRange=5:type=2:damageType=1:armorPiercing=0:pointBlankRange=0:healthCost=83:minDamage=15:actionCost=26maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('118', '9', 'CDEF Rifle', '3496137221', '131084', 'weapon_name', 'rifle_cdef', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=35:type=6:armorPiercing=0:maxRangeAccuracy=0:range=64:damageType=2:mindCost=65:minDamage=10:healthCost=35:maxDamage=100:idealAccuracy=-32:woundsRatio=22:attackSpeed=9:category=32:idealRange=60:maxRange=64:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('119', '9', 'Vibro Knuckler', '1697024206', '131073', 'weapon_name', 'vibroknuckler', 'pointBlankAccuracy=7:idealRange=3:maxDamage=95:cert=cert_vibroknuckler:category=16:maxRangeAccuracy=7:attackSpeed=4.5:woundsRatio=10:idealAccuracy=7:mindCost=35:maxRange=5:type=0:damageType=1:armorPiercing=1:pointBlankRange=0:healthCost=15:minDamage=45:actionCost=25:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('120', '9', 'CDEF Pistol', '937103853', '131082', 'weapon_name', 'pistol_cdef', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=15:type=4:armorPiercing=0:maxRangeAccuracy=0:range=32:damageType=2:mindCost=5:minDamage=50:healthCost=10:maxDamage=80:idealAccuracy=-28:woundsRatio=7:attackSpeed=4:category=32:idealRange=25:maxRange=32:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('121', '9', 'CDEF Carbine', '583942574', '131083', 'weapon_name', 'carbine_cdef', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=11:type=5:armorPiercing=0:maxRangeAccuracy=0:range=64:damageType=2:mindCost=5:minDamage=15.845:healthCost=9:maxDamage=35:idealAccuracy=-28:woundsRatio=0:attackSpeed=5.39:category=32:idealRange=25:maxRange=64:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('122', '9', 'Gaderiffi Baton', '1521219232', '131079', 'weapon_name', 'baton_gaderiffi', 'pointBlankAccuracy=-13:pointBlankRange=0:actionCost=26:type=1:armorPiercing=0:maxRangeAccuracy=-13:damageType=1:mindCost=10:minDamage=80:healthCost=47:cert=cert_baton_gaderiffi:maxDamage=140:idealAccuracy=-13:woundsRatio=16:attackSpeed=6:category=16:idealRange=3:maxRange=5:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('123', '9', 'Launcher Pistol', '650380647', '131082', 'weapon_name', 'pistol_launcher', 'pointBlankAccuracy=0:pointBlankRange=0:actionCost=14:type=4:armorPiercing=0:maxRangeAccuracy=0:range=45:damageType=5:mindCost=45:minDamage=60:healthCost=8:cert=cert_pistol_launcher:maxDamage=195:idealAccuracy=4:woundsRatio=20:attackSpeed=9:category=32:idealRange=0:maxRange=64:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('124', '9', 'DX2 Pistol', '260330479', '131082', 'weapon_name', 'pistol_dx2', 'pointBlankAccuracy=-30:pointBlankRange=0:actionCost=35:type=4:armorPiercing=1:maxRangeAccuracy=-85:range=45:damageType=8:mindCost=12:minDamage=60:healthCost=20:cert=cert_pistol_dx2:maxDamage=90:idealAccuracy=60:woundsRatio=12:attackSpeed=3.5:category=32:idealRange=30:maxRange=44:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('125', '9', 'DXR6 Carbine', '2050793147', '131083', 'weapon_name', 'carbine_dxr6', 'pointBlankAccuracy=-30:pointBlankRange=0:actionCost=40:type=5:armorPiercing=1:maxRangeAccuracy=-85:range=65:damageType=8:mindCost=19:minDamage=75:healthCost=25:cert=cert_carbine_dxr6:maxDamage=125:idealAccuracy=60:woundsRatio=15:attackSpeed=6:category=32:idealRange=45:maxRange=64:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('126', '9', 'T21 Rifle', '1951509016', '131084', 'weapon_name', 'rifle_t21', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=42:type=6:armorPiercing=3:maxRangeAccuracy=0:range=64:damageType=2:mindCost=83:minDamage=90:healthCost=65:cert=cert_rifle_t21:maxDamage=305:idealAccuracy=-32:woundsRatio=25:attackSpeed=13:category=32:idealRange=60:maxRange=64:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('127', '9', 'Rocket Launcher', '3022005655', '131076', 'weapon_name', 'rocket_launcher', 'pointBlankAccuracy=-100:pointBlankRange=0:actionCost=86:type=18:armorPiercing=3:maxRangeAccuracy=30:range=45:damageType=5:mindCost=69:minDamage=464.937:healthCost=113:cert=cert_rocket_launcher:maxDamage=823.37:idealAccuracy=20:woundsRatio=37:attackSpeed=7:category=32:idealRange=48:maxRange=64:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('128', '9', 'Power Hammer', '248141391', '131080', 'weapon_name', 'sword_2h_maul', 'pointBlankAccuracy=-45:pointBlankRange=0:actionCost=25:type=2:armorPiercing=2:maxRangeAccuracy=-45:damageType=5:mindCost=40:minDamage=80:healthCost=95:cert=cert_sword_2h_maul:maxDamage=250:idealAccuracy=-45:woundsRatio=15:attackSpeed=7:category=16:idealRange=5:maxRange=5:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('129', '9', 'Stun Baton', '2740869510', '131079', 'weapon_name', 'baton_stun', 'pointBlankAccuracy=-13:pointBlankRange=0:actionCost=38:type=1:armorPiercing=0:maxRangeAccuracy=-13:damageType=4:mindCost=32:minDamage=50:healthCost=10:cert=cert_baton_stun:maxDamage=120:idealAccuracy=-13:woundsRatio=10:attackSpeed=6:category=16:idealRange=3:maxRange=5:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('130', '9', 'Light Lightning Cannon', '708413629', '131078', 'weapon_name', 'rifle_lightning', 'pointBlankAccuracy=-30:idealRange=48:maxDamage=200:range=45:category=32:maxRangeAccuracy=30:attackSpeed=8:woundsRatio=17.2:idealAccuracy=20:mindCost=63:maxRange=64:type=12:damageType=3:armorPiercing=1:pointBlankRange=0:healthCost=63:minDamage=70:actionCost=66:cert=cert_rifle_lightning:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('131', '9', 'Flame Thrower', '3238374228', '131078', 'weapon_name', 'rifle_flame_thrower', 'pointBlankAccuracy=10:idealRange=50:maxDamage=265:range=45:category=32:maxRangeAccuracy=-120:attackSpeed=8:woundsRatio=36:idealAccuracy=-65:mindCost=35:maxRange=64:type=11:damageType=6:armorPiercing=0:pointBlankRange=0:healthCost=64:minDamage=80:actionCost=25:cert=cert_rifle_flame_thrower:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('132', '9', 'Laser Carbine', '2121432077', '131083', 'weapon_name', 'carbine_laser', 'pointBlankAccuracy=-10:idealRange=50:maxDamage=160:range=65:category=32:maxRangeAccuracy=-40:attackSpeed=7.5:woundsRatio=10:idealAccuracy=3:mindCost=65:maxRange=64:type=5:damageType=2:armorPiercing=2:pointBlankRange=0:healthCost=22:minDamage=40:actionCost=36:cert=cert_carbine_laser:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('133', '9', 'Laser Rifle', '1390088554', '131084', 'weapon_name', 'rifle_laser', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=35:type=6:armorPiercing=2:maxRangeAccuracy=0:range=64:damageType=2:mindCost=65:minDamage=40:healthCost=35:cert=cert_rifle_laser:maxDamage=250:idealAccuracy=-32:woundsRatio=22:attackSpeed=8.33:category=32:idealRange=60:maxRange=64:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('134', '9', 'Spraystick', '284980584', '131084', 'weapon_name', 'rifle_spraystick', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=35:type=6:armorPiercing=0:maxRangeAccuracy=0:range=64:damageType=2:mindCost=65:minDamage=40:healthCost=35:cert=cert_rifle_spraystick:maxDamage=120:idealAccuracy=-32:woundsRatio=22:attackSpeed=6:category=32:idealRange=60:maxRange=64:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('135', '9', 'SG82 Rifle', '3248736753', '131084', 'weapon_name', 'rifle_sg82', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=35:type=6:armorPiercing=0:maxRangeAccuracy=0:range=64:damageType=7:mindCost=65:minDamage=60:healthCost=35:cert=cert_rifle_sg82:maxDamage=130:idealAccuracy=-32:woundsRatio=22:attackSpeed=7:category=32:idealRange=60:maxRange=64:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('136', '9', 'Bowcaster', '2976096139', '131084', 'weapon_name', 'rifle_bowcaster', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=35:type=6:armorPiercing=0:maxRangeAccuracy=0:range=64:damageType=2:mindCost=65:minDamage=70:healthCost=35:maxDamage=225:idealAccuracy=-32:woundsRatio=22:attackSpeed=8:category=32:idealRange=60:maxRange=64:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('137', '9', 'DH17 Short Carbine', '1881783933', '131083', 'weapon_name', 'carbine_dh17_snubnose', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=11:type=5:armorPiercing=0:maxRangeAccuracy=0:range=32:damageType=2:mindCost=5:minDamage=15.845:healthCost=9:maxDamage=35.955:idealAccuracy=-28:woundsRatio=0:attackSpeed=5.39:category=32:idealRange=25:maxRange=32:cert=cert_carbine_dh17_snubnose:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('138', '9', 'DH17 Carbine', '683543232', '131083', 'weapon_name', 'carbine_dh17', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=11:type=5:armorPiercing=0:maxRangeAccuracy=0:range=32:damageType=2:mindCost=5:minDamage=15.845:healthCost=9:maxDamage=35.955:idealAccuracy=-28:woundsRatio=0:attackSpeed=5.39:category=32:idealRange=25:maxRange=32:cert=cert_carbine_dh17:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('139', '9', 'E11 Carbine', '3034123480', '131083', 'weapon_name', 'carbine_e11', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=11:type=5:armorPiercing=1:maxRangeAccuracy=0:range=32:damageType=2:mindCost=25:minDamage=35.845:healthCost=9:maxDamage=75.955:idealAccuracy=-28:woundsRatio=0:attackSpeed=5.39:category=32:idealRange=25:maxRange=32:cert=cert_carbine_e11:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('140', '9', 'EE3 Carbine', '749154215', '131083', 'weapon_name', 'carbine_ee3', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=11:type=5:armorPiercing=0:maxRangeAccuracy=0:range=32:damageType=6:mindCost=25:minDamage=35.845:healthCost=9:maxDamage=75.955:idealAccuracy=-28:woundsRatio=0:attackSpeed=5.39:category=32:idealRange=25:maxRange=32:cert=cert_carbine_ee3:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('141', '9', 'Elite Carbine', '971375722', '131083', 'weapon_name', 'carbine_elite', 'pointBlankAccuracy=-10:idealRange=50:maxDamage=145:range=64:category=32:maxRangeAccuracy=-40:attackSpeed=6.6:woundsRatio=10:idealAccuracy=3:mindCost=55:maxRange=64:type=5:damageType=2:armorPiercing=1:pointBlankRange=0:healthCost=22:minDamage=30:actionCost=36:cert=cert_carbine_elite:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('142', '9', 'Acid Stream Launcher', '337224478', '131076', 'weapon_name', 'heavy_acid_beam', 'pointBlankAccuracy=-30:idealRange=48:maxDamage=257.3:range=45:category=32:maxRangeAccuracy=30:attackSpeed=8.6:woundsRatio=17.2:idealAccuracy=20:mindCost=63:maxRange=64:type=14:damageType=8:armorPiercing=2:pointBlankRange=0:healthCost=63:minDamage=127.2:actionCost=66:cert=cert_heavy_acid_beam:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('143', '9', 'Heavy Acid Rifle', '3329701535', '131078', 'weapon_name', 'rifle_acid_beam', 'pointBlankAccuracy=-30:idealRange=48:maxDamage=280:range=45:category=32:maxRangeAccuracy=30:attackSpeed=8.6:woundsRatio=17.2:idealAccuracy=20:mindCost=83:maxRange=64:type=13:damageType=8:armorPiercing=0:pointBlankRange=0:healthCost=63:minDamage=122:actionCost=66:cert=cert_rifle_acid_beam:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('144', '9', 'Heavy Particle Beam Cannon', '1442646668', '131076', 'weapon_name', 'heavy_particle_beam', 'pointBlankAccuracy=-30:idealRange=48:maxDamage=257.3:range=45:category=32:maxRangeAccuracy=30:attackSpeed=8.6:woundsRatio=17.2:idealAccuracy=20:mindCost=63:maxRange=64:type=17:damageType=2:armorPiercing=3:pointBlankRange=0:healthCost=63:minDamage=127.2:actionCost=66:cert=cert_heavy_particle_beam:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('145', '9', 'Lightning Beam Cannon', '1073082434', '131076', 'weapon_name', 'heavy_lightning_beam', 'pointBlankAccuracy=-30:idealRange=48:maxDamage=257.3:range=45:category=32:maxRangeAccuracy=30:attackSpeed=8.6:woundsRatio=17.2:idealAccuracy=20:mindCost=63:maxRange=64:type=15:damageType=3:armorPiercing=1:pointBlankRange=0:healthCost=63:minDamage=127.2:actionCost=66:cert=cert_heavy_lightning_beam:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('146', '9', 'D18 Pistol', '3466260217', '131082', 'weapon_name', 'pistol_d18', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=15:type=4:skillMod2Value=0:armorPiercing=0:maxRangeAccuracy=0:range=32:damageType=2:mindCost=5:minDamage=50:healthCost=10:maxDamage=80:idealAccuracy=-28:woundsRatio=7:attackSpeed=4:category=32:idealRange=25:maxRange=32:cert=cert_pistol_d18:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('147', '9', 'DH17 Pistol', '1034640003', '131082', 'weapon_name', 'pistol_dh17', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=15:type=4:skillMod2Value=0:armorPiercing=0:maxRangeAccuracy=0:range=32:damageType=2:mindCost=5:minDamage=20:healthCost=10:maxDamage=50:idealAccuracy=-28:woundsRatio=7:attackSpeed=4:category=32:idealRange=25:maxRange=32:cert=cert_pistol_dh17:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('148', '9', 'DL44 Pistol', '2829612927', '131082', 'weapon_name', 'pistol_dl44', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=15:type=4:skillMod2Value=0:armorPiercing=0:maxRangeAccuracy=0:range=32:damageType=2:mindCost=5:minDamage=50:healthCost=10:maxDamage=80:idealAccuracy=-28:woundsRatio=7:attackSpeed=4:category=32:idealRange=25:maxRange=32:cert=cert_pistol_dl44:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('149', '9', 'DL44 Metal', '1831044635', '131082', 'weapon_name', 'pistol_dl44_metal', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=15:type=4:skillMod2Value=0:armorPiercing=0:maxRangeAccuracy=0:range=32:damageType=2:mindCost=5:minDamage=50:healthCost=10:maxDamage=80:idealAccuracy=-28:woundsRatio=7:attackSpeed=4:category=32:idealRange=25:maxRange=32:cert=cert_pistol_dl44_metal:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('150', '9', 'FWG5 Pistol', '1508397938', '131082', 'weapon_name', 'pistol_fwg5', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=15:type=4:skillMod2Value=0:armorPiercing=0:maxRangeAccuracy=0:range=32:damageType=6:mindCost=5:minDamage=50:healthCost=10:maxDamage=80:idealAccuracy=-28:woundsRatio=7:attackSpeed=5:category=32:idealRange=25:maxRange=32:cert=cert_pistol_fwg5:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('151', '9', 'Power5 Pistol', '148689854', '131082', 'weapon_name', 'pistol_power5', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=15:type=4:skillMod2Value=0:armorPiercing=0:maxRangeAccuracy=0:range=32:damageType=2:mindCost=5:minDamage=50:healthCost=10:maxDamage=80:idealAccuracy=-28:woundsRatio=7:attackSpeed=4:category=32:idealRange=25:maxRange=32:cert=cert_pistol_power5:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('152', '9', 'Republic Blaster', '258355020', '131082', 'weapon_name', 'pistol_republic_blaster', 'pointBlankAccuracy=-30:pointBlankRange=0:actionCost=35:type=4:armorPiercing=1:maxRangeAccuracy=-85:range=45:damageType=2:mindCost=32:minDamage=40:healthCost=20:cert=cert_pistol_republic_blaster:maxDamage=100:idealAccuracy=60:woundsRatio=12:attackSpeed=5:category=32:idealRange=30:maxRange=44:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('153', '9', 'SR Combat Pistol', '874294352', '131082', 'weapon_name', 'pistol_srcombat', 'pointBlankAccuracy=-30:pointBlankRange=0:actionCost=35:type=4:armorPiercing=1:maxRangeAccuracy=-85:range=45:damageType=2:mindCost=12:minDamage=60:healthCost=20:cert=cert_pistol_srcombat:maxDamage=90:idealAccuracy=60:woundsRatio=12:attackSpeed=4.5:category=32:idealRange=30:maxRange=44:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('154', '9', 'Striker Pistol', '1505820957', '131082', 'weapon_name', 'pistol_striker', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=15:type=4:skillMod2Value=0:armorPiercing=0:maxRangeAccuracy=0:range=32:damageType=1:mindCost=5:minDamage=50:healthCost=10:maxDamage=80:idealAccuracy=-28:woundsRatio=7:attackSpeed=4:category=32:idealRange=25:maxRange=32:cert=cert_pistol_striker:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('155', '9', 'Tangle Pistol', '2758629867', '131082', 'weapon_name', 'pistol_tangle', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=15:type=4:skillMod2Value=0:armorPiercing=0:maxRangeAccuracy=0:range=32:damageType=4:mindCost=5:minDamage=40:healthCost=10:maxDamage=70:idealAccuracy=-28:woundsRatio=7:attackSpeed=6:category=32:idealRange=25:maxRange=32:cert=cert_pistol_tangle:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('156', '9', 'DLT20 Rifle', '1650151261', '131084', 'weapon_name', 'rifle_dlt20', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=35:type=6:armorPiercing=0:maxRangeAccuracy=0:range=64:damageType=2:mindCost=65:minDamage=10:healthCost=35:maxDamage=100:idealAccuracy=-32:woundsRatio=22:attackSpeed=9:category=32:idealRange=60:maxRange=64:cert=cert_rifle_dlt20:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('157', '9', 'DLT20a Rifle', '2200111432', '131084', 'weapon_name', 'rifle_dlt20a', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=35:type=6:armorPiercing=0:maxRangeAccuracy=0:range=64:damageType=2:mindCost=65:minDamage=10:healthCost=35:maxDamage=100:idealAccuracy=-32:woundsRatio=22:attackSpeed=9:category=32:idealRange=60:maxRange=64:cert=cert_rifle_dlt20a:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('158', '9', 'E11 Rifle', '4027327053', '131084', 'weapon_name', 'rifle_e11', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=35:type=6:armorPiercing=2:maxRangeAccuracy=0:range=64:damageType=2:mindCost=65:minDamage=10:healthCost=35:maxDamage=100:idealAccuracy=-32:woundsRatio=22:attackSpeed=9:category=32:idealRange=60:maxRange=64:cert=cert_rifle_e11:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('159', '9', 'Scatter Pistol', '3345683635', '131082', 'weapon_name', 'pistol_scatter', 'pointBlankAccuracy=-30:pointBlankRange=0:actionCost=35:type=4:armorPiercing=1:maxRangeAccuracy=-85:range=45:damageType=8:mindCost=12:minDamage=60:healthCost=20:cert=cert_pistol_scatter:maxDamage=90:idealAccuracy=60:woundsRatio=12:attackSpeed=5:category=32:idealRange=30:maxRange=44:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('160', '9', 'Scout Blaster', '3883785442', '131082', 'weapon_name', 'pistol_scout_blaster', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=15:type=4:armorPiercing=0:maxRangeAccuracy=0:range=32:damageType=2:mindCost=5:minDamage=50:healthCost=10:maxDamage=80:idealAccuracy=-28:woundsRatio=7:attackSpeed=4:category=32:idealRange=25:maxRange=32:cert=cert_pistol_scout_blaster:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('161', '10', 'Smooth Barrel of Dampening', '137262486', '524288', 'powerup_n', 'weapon_ranged', 'type=2:powerup2Value=8.34:powerup1Value=16.67:powerup0Value=33.34:uses=100:powerup2Type=1:powerup1Type=4:powerup0Type=2:subType=1:', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('162', '10', 'Compensating Melee Powerup of Control-Enhancement', '1375892401', '524288', 'powerup_n', 'weapon_melee', 'type=1:powerup2Value=0:powerup1Value=16.67:powerup0Value=33.34:uses=100:powerup2Type=0:powerup1Type=1:powerup0Type=3:subType=2:', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('163', '10', 'Muffled Muzzle of Sighting', '555906025', '524288', 'powerup_n', 'weapon_ranged', 'type=2:powerup2Value=8.34:powerup1Value=16.67:powerup0Value=33.34:uses=100:powerup2Type=2:powerup1Type=4:powerup0Type=1:subType=4:', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('164', '10', 'Extending Melee Powerup of Accuracy', '1375892401', '524288', 'powerup_n', 'weapon_melee', 'type=1:powerup2Value=0:powerup1Value=16.67:powerup0Value=33.34:uses=100:powerup2Type=0:powerup1Type=2:powerup0Type=4:subType=4:', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('165', '10', 'Quick-Charge Coupler of Compensation', '1622710306', '524288', 'powerup_n', 'weapon_ranged', 'powerup2Value=8.34:powerup0Value=14.0426:powerup1Value=13.6842:powerup2Type=3:type=2:powerup0Type=2:powerup1Type=1:subType=2:uses=100:', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('166', '11', 'Armor Attachment', '3742650204', '8223', 'item_n', 'socket_gem_armor', 'attachmentType=2:', '', '50', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('167', '11', 'Clothing Attachment', '3237805620', '8221', 'item_n', 'socket_gem_clothing', 'attachmentType=1:', '', '50', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('168', '12', 'Geonosian Sonic Blaster', '2311570538', '131082', 'weapon_name', 'pistol_geonosian_sonic_blaster', 'pointBlankAccuracy=18:pointBlankRange=0:actionCost=35:type=4:armorPiercing=0:condition=705/750:maxRangeAccuracy=-90:range=45:damageType=4:mindCost=14:minDamage=80:healthCost=14:cert=cert_pistol_geonosian_sonic_blaster_loot:maxDamage=135:idealAccuracy=34:woundsRatio=15:attackSpeed=5.5:category=32:idealRange=15:maxRange=48:', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('169', '12', 'Royal Honey Carafe', '1253190673', '262144', 'item_n', 'relic_gbb_honey_carafe', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('170', '12', 'A pack of Geonosian Rations.', '395732955', '262144', 'item_n', 'relic_gbb_ration_kit', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('171', '12', 'Small Ball', '3247484355', '262144', 'item_n', 'relic_gbb_small_ball', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('172', '12', 'Spice Container', '2674127359', '262144', 'item_n', 'relic_gbb_spice_container', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('173', '12', 'Geonosian Technical Kit', '1965831716', '262144', 'item_n', 'relic_gbb_tech_kit', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('174', '12', 'Chemical Ampule', '1953839447', '262144', 'item_n', 'relic_gbb_chemical_tab', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('175', '12', 'Data Device', '2836503277', '262144', 'item_n', 'relic_gbb_data_tab', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('176', '12', 'Tenloss DXR-6 Disruptor Rifle', '20961126', '131084', 'weapon_name', 'rifle_tenloss_dxr6_disruptor', 'pointBlankAccuracy=-60:pointBlankRange=0:actionCost=31:type=6:armorPiercing=2:condition=652/750:maxRangeAccuracy=0:range=64:damageType=8:mindCost=65:minDamage=85:healthCost=22:cert=cert_rifle_tenloss_dxr6_disruptor_loot:maxDamage=290:idealAccuracy=-32:woundsRatio=25:attackSpeed=8:category=32:idealRange=60:maxRange=64:', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('177', '12', 'Geonosian Power Cube (Green)', '2570329564', '262144', 'craft_weapon_ingredients_n', 'geonosian_power_cube_green', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('178', '12', 'Geonosian Power Cube (Red)', '98191878', '262144', 'craft_weapon_ingredients_n', 'geonosian_power_cube_red', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('179', '12', 'Geonosian Power Cube (Yellow)', '783478248', '262144', 'craft_weapon_ingredients_n', 'geonosian_power_cube_yellow', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('180', '12', 'Geonosian Power Cube (White)', '2313307226', '262144', 'craft_weapon_ingredients_n', 'geonosian_power_cube', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('181', '12', 'Geonosian Reinforcement Core', '2362781931', '262144', 'craft_weapon_ingredients_n', 'geonosian_reinforcement_core', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('182', '12', 'Geonosian Solidifying Agent', '3710952248', '262144', 'craft_weapon_ingredients_n', 'geonosian_solidifying_agent', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('183', '12', 'Geonosian Sword Core', '927591163', '262144', 'craft_weapon_ingredients_n', 'geonosian_sword_core', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('184', '12', 'Interwoven Bone Armor Segment Schematic', '3869697913', '2049', 'craft_weapon_ingredients_n', 'acklay_bone_segment_schematic', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('185', '12', 'Interwoven R.I.S. Armor Segment Schematic', '1435106538', '2049', 'craft_weapon_ingredients_n', 'armor_segment_ris_acklay', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('186', '12', 'Geonosian Reinforcement Core Schematic', '2842219763', '2049', 'craft_weapon_ingredients_n', 'geonosian_reinforcement_core_schematic', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('187', '12', 'Geonosian Sonic Blaster Schematic', '3191519467', '2049', 'craft_weapon_ingredients_n', 'geonosian_sonic_blaster_schematic', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('188', '12', 'Geonosian Sword Core Schematic', '2133560437', '2049', 'craft_weapon_ingredients_n', 'geonosian_sword_core_schemat', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('189', '12', 'Geonosian Tenloss DXR-6 Schematic', '910955791', '2049', 'craft_weapon_ingredients_n', 'geonosian_tenloss_dxr6_schematic', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('194', '13', 'Tusken Raider Boots', '688070269', '16777222', 'wearables_name', 'boots_tusken_raider', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('195', '13', 'Tusken Raider Gloves', '1738692931', '16777224', 'wearables_name', 'gloves_tusken_raider', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('196', '13', 'Tusken Raider Robe', '1357876030', '16777219', 'wearables_name', 'robe_tusken_raider_s01', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('197', '13', 'Tusken Raider Helmet', '4156063051', '16777226', 'wearables_name', 'helmet_tusken_raider_s01', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('198', '13', 'Tusken Rifle', '2874182418', '131084', 'weapon_name', 'rifle_tusken', 'pointBlankAccuracy=-90:idealRange=60:maxDamage=145:range=45:category=32:maxRangeAccuracy=0:attackSpeed=8:woundsRatio=15:idealAccuracy=-32:mindCost=83:maxRange=64:type=6:damageType=1:armorPiercing=1:condition=750/750:pointBlankRange=0:healthCost=45:minDamage=40:actionCost=39:cert=cert_rifle_tusken:', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('199', '13', 'Bantha Doll', '3429421231', '8211', 'loot_tato_n', 'bantha_doll', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('205', '14', 'Nightsister Lance', '3796866830', '131081', 'weapon_name', 'lance_controllerfp_nightsister', 'pointBlankAccuracy=7:idealRange=3:maxDamage=133:cert=cert_lance_controllerfp:category=16:maxRangeAccuracy=7:attackSpeed=6.2:woundsRatio=9:idealAccuracy=7:mindCost=28:maxRange=5:type=3:damageType=1:armorPiercing=0:pointBlankRange=0:healthCost=91:minDamage=7:actionCost=71:maxDots=3:dots=type=33554432,attribute=0,strength=40,duration=1200,potency=70,uses=8000:', '', '25', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('206', '14', 'Long Vibro Axe', '1723256113', '131081', 'weapon_name', 'lance_vibro_axe', 'pointBlankAccuracy=-45:pointBlankRange=0:actionCost=71:type=3:armorPiercing=2:maxRangeAccuracy=-45:damageType=1:mindCost=28:minDamage=44:healthCost=91:cert=cert_lance_vibro_axe:maxDamage=176:idealAccuracy=-45:woundsRatio=23:attackSpeed=6.5:category=16:idealRange=7:maxRange=7:', '', '25', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('207', '14', 'Vibro Lance', '22784428', '131081', 'weapon_name', 'lance_vibrolance', 'pointBlankAccuracy=-24:idealRange=3:maxDamage=154:cert=cert_lance_vibrolance:category=16:maxRangeAccuracy=-24:attackSpeed=5.8:woundsRatio=26:idealAccuracy=-24:mindCost=28:maxRange=5:type=3:damageType=3:armorPiercing=1:pointBlankRange=0:healthCost=58:minDamage=42:actionCost=84:', '', '25', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('208', '14', 'Armor nightsister bicep r', '781466578', '261', 'wearables_name', 'nightsister_bicep_r', 'armorPiece=261:rating=0;', '', '0.15', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('209', '15', 'Singing Mountain Clan Left Bicep Armor', '4164574755', '261', 'wearables_name', 'armor_singing_mountain_clan_s01_bicep', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('210', '15', 'Singing Mountain Clan Right Bicep Armor', '2297371568', '261', 'wearables_name', 'armor_singing_mountain_clan_s01_bracer_r', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('211', '15', 'Singing Mountain Clan Left Bracer Armor', '1037485621', '261', 'wearables_name', 'armor_singing_mountain_clan_s01_bracer_l', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('212', '15', 'Singing Mountain Clan Right Bracer Armor', '1292075942', '261', 'wearables_name', 'armor_singing_mountain_clan_s01_bracer_r', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('213', '15', 'SMC Bone Bicep (Left)', '3237390515', '261', 'wearables_name', 'armor_smc_s01_bicep_l', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('214', '15', 'Tribal Waist Pack', '1811378952', '8213', 'container_name', 'singing_mountain_clan_backpack', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('203', '14', 'Nightsister Armor Layer', '3536633958', '262145', 'craft_clothing_ingredients_n', 'armor_layer_nightsister', '', '', '6.17', '0', '0', '0', '6', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('201', '14', 'Heavy Duty Clasp ', '948917712', '0', 'craft_clothing_ingredients_n', 'clasp_heavy_duty', '', '', '6.17', '0', '0', '0', '8', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('200', '14', 'Portion of Heavy Duty Leather', '2558785369', '0', 'craft_clothing_ingredients_n', 'leather_heavy_duty', '', '', '6.17', '0', '0', '0', '8', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('202', '14', 'Nightsister Armor Shard', '2132900638', '0', 'craft_clothing_ingredients_n', 'armor_segment_enhancement_nightsister', '', '', '6.17', '0', '0', '0', '8', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('191', '12', 'Acklay Hide', '962320502', '262145', 'craft_clothing_ingredients_n', 'armor_segment_padded_acklay', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('192', '12', 'Acklay Bones', '4088226280', '262152', 'craft_weapon_ingredients_n', 'acklay_bone_reinforcement_core', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('193', '12', 'Acklay Venom', '3684259216', '262150', 'craft_munition_ingredients_n', 'acklay_venom', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('217', '16', 'Krayt Dragon Composite Armor Segment', '2649372559', '0', 'craft_clothing_ingredients_n', 'armor_segment_composite_krayt', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('190', '12', 'Spider Venom', '3428815879', '0', 'craft_chemical_ingredients_n', 'spider_venom', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('244', '25', 'Rancor Bile', '317047330', '0', 'craft_chemical_ingredients_n', 'rancor_bile', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('245', '25', 'Rancor Padded Armor Segment', '3223101673', '0', 'craft_clothing_ingredients_n', 'armor_segment_padded_rancor', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('247', '26', 'Janta Blood ', '1058893195', '0', 'craft_chemical_ingredients_n', 'janta_blood', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('243', '25', 'Rancor Tooth', '3366067371', '0', 'craft_weapon_ingredients_n', 'rancor_tooth', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('216', '16', 'Advanced Bone Armor Segment', '2814096223', '0', 'craft_clothing_ingredients_n', 'armor_segment_bone_advanced', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('215', '16', 'Krayt Dragon Scale', '1719593091', '0', 'craft_clothing_ingredients_n', 'armor_segment_enhancement_krayt', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('218', '16', 'Krayt Dragon Tissue', '3981194570', '0', 'craft_weapon_ingredients_n', 'blaster_power_handler_enhancement_krayt', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('219', '16', 'Krayt Dragon Pearl', '2322379839', '262152', 'craft_weapon_ingredients_n', 'krayt_dragon_pearl', 'crystalType=1:', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('21171', '29', 'Gorax Bone Shards', '255106526', '0', 'craft_weapon_ingredients_n', 'projectile_feed_mechanism_enhancement_gorax', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('21169', '28', 'Aakuan Robe', '518208123', '0', 'wearables_name', 'aakuan_robe', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('21168', '28', 'Aakuan Ring', '923373873', '0', 'wearables_name', 'aakuan_ring', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('21170', '28', 'Aakuan Shirt', '1826844236', '0', 'wearables_name', 'aakuan_shirt', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('21167', '28', 'Aakuan Belt', '1699237411', '0', 'wearables_name', 'aakuan_belt', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('248', '26', 'Janta Knife', '2255187692', '0', 'weapon_name', 'janta_knife', 'pointBlankAccuracy=3:idealRange=3:maxDamage=21:cert=cert_knife_dagger:category=16:maxRangeAccuracy=3:attackSpeed=4.7:woundsRatio=4:idealAccuracy=3:mindCost=12:maxRange=4:type=1:damageType=1:armorPiercing=0:condition=693/750:pointBlankRange=0:healthCost=23:minDamage=14:actionCost=14:', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('249', '26', 'Janta Hide', '184239884', '0', 'craft_clothing_ingredients_n', 'armor_segment_enhancement_janta', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('246', '25', 'Rancor Hide', '1147665676', '0', 'craft_clothing_ingredients_n', 'armor_segment_enhancement_rancor', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('204', '14', 'Nightsister Vibro Blade Unit', '3670724056', '0', 'craft_weapon_ingredients_n', 'blade_vibro_unit_nightsister', '', '', '0.15', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('226', '17', 'Alum Mine Gel Packet', '3707628236', '0', 'death_watch', 'gel_packet', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('228', '17', 'Art Crate', '3487250459', '0', 'item_n', 'art_crate', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('229', '17', 'Binary Liquid', '4135561605', '0', 'death_watch', 'binary_liquid', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('230', '17', 'Blood Vial', '3164930997', '0', 'item_n', 'blood_vial', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('231', '17', 'A Ducted Fan', '2674191794', '0', 'item_n', 'jetpack_ducted_fan', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('232', '17', 'Protective Liquid Coating ', '3565585514', '0', 'death_watch', 'emulsifier', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('233', '17', 'a Fuel Dispersion Unit', '2809463476', '0', 'item_n', 'jetpack_fuel_dispersion_unit', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('234', '17', 'Fuel Injector Tank', '2471910625', '0', 'craft_item_ingredients_n', 'fuel_injector_tank', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('235', '17', 'A Jetpack Base', '4035920074', '0', 'item_n', 'jetpack_base', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('236', '17', 'A Jetpack Stabilizer', '1405799440', '0', 'death_watch', 'stabilizer', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('237', '17', 'DE-10 Pistol Barrel', '431650444', '0', 'item_n', 'de10_barrel', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('227', '17', 'A viewscreen', '765586613', '0', 'item_n', 'viewscreen_s1', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('238', '17', 'DE-10 Pistol Schematic', '44057344', '0', 'craft_item_ingredients_n', 'pistol_de_10_schematic', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('239', '17', 'Executioner\'s Hack Schematic', '2390933673', '0', 'craft_item_ingredients_n', 'executioners_hack_schematic', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('240', '17', 'Razor Knuckler Schematic', '56986758', '0', 'craft_item_ingredients_n', 'razor_knuckler_schematic', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('241', '17', 'Recipe for Mandalorian Wine', '818256163', '0', 'craft_item_ingredients_n', 'mandalorian_wine_schematic', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('242', '17', 'Rebreather', '53819294', '0', 'wearables_name', 'rebreather', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('21152', '18', 'A Dark Jedi Medallion', '689527148', '0', 'item_n', 'medallion_dark_jedi_s01', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('21153', '19', 'Crystal', '1896638798', '262152', 'craft_weapon_ingredients_n', 'force_crystal', 'crystalType=1:', '', '85', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('21154', '20', 'Nyax Necklace', '3448479035', '0', 'wearables_name', 'necklace_nyax', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('21155', '20', 'Nyax Sword', '371913339', '131079', 'weapon_name', 'sword_nyax', 'pointBlankAccuracy=-45:idealRange=5:maxDamage=108:cert=cert_sword_02:category=16:maxRangeAccuracy=-45:attackSpeed=4.7:woundsRatio=11.8497:idealAccuracy=-45:mindCost=12:maxRange=5:type=1:damageType=1:armorPiercing=0:condition=653/750:pointBlankRange=0:healthCost=83:minDamage=56:actionCost=26:', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('21156', '20', 'Light Lightning Cannon', '708413629', '131078', 'weapon_name', 'rifle_lightning', 'pointBlankAccuracy=-30:idealRange=48:maxDamage=250:range=45:category=32:maxRangeAccuracy=30:attackSpeed=8:woundsRatio=17.2:idealAccuracy=20:mindCost=63:maxRange=64:type=12:damageType=3:armorPiercing=1:condition=710/750:pointBlankRange=0:healthCost=63:minDamage=70:actionCost=66:cert=cert_rifle_lightning:', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('21157', '26', 'Janta Staff', '1705789500', '0', 'weapon_name', 'lance_staff_janta', 'pointBlankAccuracy=-45:idealRange=5:maxDamage=35:category=16:maxRangeAccuracy=-45:attackSpeed=5:woundsRatio=7:idealAccuracy=-45:mindCost=15:maxRange=5:type=3:damageType=1:armorPiercing=0:condition=718/750:pointBlankRange=0:healthCost=51:minDamage=5:actionCost=30:cert_lance_staff_wood_s1:', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('21158', '21', 'Giant Dune Kimogila Scales', '3177620881', '262145', 'craft_clothing_ingredients_n', 'scale_giant_dune_kimogila', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('21159', '21', 'Kimogila Scales', '3365812164', '262145', 'craft_armor_ingredients_n', 'armor_segment_enhancement_kimogila', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('21160', '21', 'Kimogila Scale Segment', '2307142178', '262145', 'craft_armor_ingredients_n', 'armor_segment_bone_kimogila', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('21161', '22', 'Peko Peko Albatross Feather', '2381585751', '262145', 'craft_clothing_ingredients_n', 'feather_peko_albatross', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('21162', '23', 'Gurk King Hide ', '605934535', '262145', 'craft_clothing_ingredients_n', 'hide_gurk_king', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('21163', '24', 'Woolamander Harrower Bone Fragment', '4007249575', '262145', 'craft_clothing_ingredients_n', 'bone_fragment_woolamander_harrower', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('21164', '27', 'Donkuwah Knife', '532251396', '0', 'weapon_name', 'knife_donkuwah', 'pointBlankAccuracy=3:idealRange=3:maxDamage=21:cert=cert_knife_dagger:category=16:maxRangeAccuracy=3:attackSpeed=4.7:woundsRatio=4:idealAccuracy=3:mindCost=12:maxRange=4:type=1:damageType=1:armorPiercing=0:condition=693/750:pointBlankRange=0:healthCost=23:minDamage=14:actionCost=14:', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('21165', '27', 'Donkuwah Poison', '2542466646', '0', 'craft_chemical_ingredients_n', 'infection_amplifier_donkuwah', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('21166', '27', 'Donkuwah Bone Armor Segment ', '1936004642', '0', 'craft_clothing_ingredients_n', 'armor_segment_bone_donkuwah', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('21177', '8', 'Crystal', '1896638798', '262152', 'craft_weapon_ingredients_n', 'force_crystal', 'crystalType=0', '', '50', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `lootgroup_weight` VALUES ('1', '2', '1');
INSERT INTO `lootgroup_weight` VALUES ('2', '1', '1');
INSERT INTO `lootgroup_weight` VALUES ('3', '1', '3');
INSERT INTO `lootgroup_weight` VALUES ('4', '1', '1');
INSERT INTO `lootgroup_weight` VALUES ('5', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('6', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('7', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('8', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('9', '2', '3');
INSERT INTO `lootgroup_weight` VALUES ('10', '1', '3');
INSERT INTO `lootgroup_weight` VALUES ('11', '2', '1');
INSERT INTO `lootgroup_weight` VALUES ('12', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('13', '3', '1');
INSERT INTO `lootgroup_weight` VALUES ('14', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('15', '2', '1');
INSERT INTO `lootgroup_weight` VALUES ('16', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('17', '3', '1');
INSERT INTO `lootgroup_weight` VALUES ('18', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('19', '2', '2');
INSERT INTO `lootgroup_weight` VALUES ('20', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('21', '5', '2');
INSERT INTO `lootgroup_weight` VALUES ('22', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('23', '2', '3');
INSERT INTO `lootgroup_weight` VALUES ('24', '1', '1');
INSERT INTO `lootgroup_weight` VALUES ('25', '2', '3');
INSERT INTO `lootgroup_weight` VALUES ('26', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('27', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('28', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('29', '1', '1');
INSERT INTO `lootgroup_weight` VALUES ('30', '2', '1');
INSERT INTO `lootgroup_weight` VALUES ('31', '4', '3');
INSERT INTO `lootgroup_weight` VALUES ('32', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('33', '1', '2');
INSERT INTO `lootgroup_weight` VALUES ('34', '1', '2');
INSERT INTO `lootgroup_weight` VALUES ('35', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('36', '3', '2');
INSERT INTO `lootgroup_weight` VALUES ('37', '1', '1');
INSERT INTO `lootgroup_weight` VALUES ('38', '1', '3');
INSERT INTO `lootgroup_weight` VALUES ('39', '1', '1');
INSERT INTO `lootgroup_weight` VALUES ('40', '1', '1');
INSERT INTO `lootgroup_weight` VALUES ('41', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('42', '1', '1');
INSERT INTO `lootgroup_weight` VALUES ('43', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('44', '1', '1');
INSERT INTO `lootgroup_weight` VALUES ('45', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('46', '1', '1');
INSERT INTO `lootgroup_weight` VALUES ('47', '1', '1');
INSERT INTO `lootgroup_weight` VALUES ('48', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('49', '1', '1');
INSERT INTO `lootgroup_weight` VALUES ('50', '1', '1');
INSERT INTO `lootgroup_weight` VALUES ('51', '1', '1');
INSERT INTO `lootgroup_weight` VALUES ('52', '1', '1');
INSERT INTO `lootgroup_weight` VALUES ('53', '1', '1');
INSERT INTO `lootgroup_weight` VALUES ('54', '1', '1');
INSERT INTO `lootgroup_weight` VALUES ('55', '1', '1');
INSERT INTO `lootgroup_weight` VALUES ('56', '1', '1');
INSERT INTO `lootgroup_weight` VALUES ('57', '1', '1');
INSERT INTO `lootgroup_weight` VALUES ('58', '1', '1');
INSERT INTO `lootgroup_weight` VALUES ('59', '1', '1');
INSERT INTO `lootgroup_weight` VALUES ('60', '1', '1');
INSERT INTO `lootgroup_weight` VALUES ('61', '1', '1');
INSERT INTO `lootgroup_weight` VALUES ('62', '1', '1');
INSERT INTO `lootgroup_weight` VALUES ('63', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('64', '1', '1');
INSERT INTO `lootgroup_weight` VALUES ('65', '2', '1');
INSERT INTO `lootgroup_weight` VALUES ('66', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('67', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('68', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('69', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('70', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('71', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('72', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('73', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('74', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('75', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('76', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('77', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('78', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('79', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('80', '2', '1');
INSERT INTO `lootgroup_weight` VALUES ('81', '1', '1');
INSERT INTO `lootgroup_weight` VALUES ('82', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('83', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('84', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('85', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('86', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('87', '1', '1');
INSERT INTO `lootgroup_weight` VALUES ('88', '1', '1');
INSERT INTO `lootgroup_weight` VALUES ('89', '1', '1');
INSERT INTO `lootgroup_weight` VALUES ('90', '1', '1');
INSERT INTO `lootgroup_weight` VALUES ('91', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('92', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('93', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('94', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('95', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('96', '1', '1');
INSERT INTO `lootgroup_weight` VALUES ('97', '1', '1');
INSERT INTO `lootgroup_weight` VALUES ('98', '1', '1');
INSERT INTO `lootgroup_weight` VALUES ('99', '1', '1');
INSERT INTO `lootgroup_weight` VALUES ('100', '1', '1');
INSERT INTO `lootgroup_weight` VALUES ('101', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('102', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('103', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('104', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('105', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('106', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('107', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('108', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('109', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('110', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('111', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('112', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('113', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('114', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('115', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('116', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('117', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('118', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('119', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('120', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('121', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('122', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('123', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('124', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('125', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('126', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('127', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('128', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('129', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('130', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('131', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('132', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('133', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('134', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('135', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('136', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('137', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('138', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('139', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('140', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('141', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('142', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('143', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('144', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('145', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('146', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('147', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('148', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('149', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('150', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('151', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('152', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('153', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('154', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('155', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('156', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('157', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('158', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('159', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('160', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('161', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('162', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('163', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('164', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('165', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('166', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('167', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('168', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('169', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('170', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('171', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('172', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('173', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('174', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('175', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('176', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('177', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('178', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('179', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('180', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('181', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('182', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('183', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('184', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('185', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('186', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('187', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('188', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('189', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('190', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('191', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('192', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('193', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('194', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('195', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('196', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('197', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('198', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('199', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('200', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('201', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('202', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('203', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('204', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('205', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('206', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('207', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('208', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('209', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('210', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('211', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('212', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('213', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('214', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('215', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('216', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('217', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('218', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('219', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('220', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('221', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('222', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('223', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('224', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('225', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('226', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('227', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('228', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('229', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('230', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('231', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('232', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('233', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('234', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('235', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('236', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('237', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('238', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('239', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('240', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('241', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('242', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('243', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('244', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('245', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('246', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('247', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('248', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('249', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('250', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('251', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('252', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('253', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('254', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('255', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('256', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('257', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('258', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('259', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('260', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('261', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('262', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('263', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('264', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('265', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('266', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('267', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('268', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('269', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('270', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('271', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('272', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('273', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('274', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('275', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('276', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('277', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('278', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('279', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('280', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('281', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('282', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('283', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('284', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('285', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('286', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('287', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('288', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('289', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('290', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('291', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('292', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('293', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('294', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('295', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('296', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('297', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('298', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('299', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('300', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('301', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('302', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('303', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('304', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('305', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('306', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('307', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('308', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('309', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('310', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('311', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('312', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('313', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('314', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('315', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('316', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('317', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('318', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('319', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('320', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('321', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('322', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('323', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('324', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('325', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('326', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('327', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('328', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('329', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('330', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('331', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('332', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('333', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('334', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('335', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('336', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('337', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('338', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('339', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('340', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('341', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('342', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('343', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('344', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('345', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('346', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('347', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('348', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('349', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('350', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('351', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('352', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('353', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('354', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('355', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('356', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('357', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('358', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('359', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('360', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('361', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('362', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('363', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('364', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('365', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('366', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('367', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('368', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('369', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('370', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('371', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('372', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('373', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('374', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('375', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('376', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('377', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('378', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('379', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('380', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('381', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('382', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('383', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('384', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('385', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('386', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('387', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('388', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('389', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('390', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('391', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('392', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('393', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('394', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('395', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('396', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('397', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('398', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('399', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('400', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('401', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('402', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('403', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('404', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('405', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('406', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('407', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('408', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('409', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('410', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('411', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('412', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('413', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('414', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('415', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('416', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('417', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('418', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('419', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('420', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('421', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('422', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('423', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('424', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('425', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('426', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('427', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('428', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('429', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('430', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('431', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('432', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('433', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('434', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('435', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('436', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('437', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('438', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('439', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('440', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('441', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('442', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('443', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('444', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('445', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('446', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('447', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('448', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('449', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('450', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('451', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('452', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('453', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('454', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('455', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('456', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('457', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('458', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('459', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('460', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('461', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('462', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('463', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('464', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('465', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('466', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('467', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('468', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('469', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('470', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('471', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('472', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('473', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('474', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('475', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('476', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('477', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('478', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('479', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('480', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('481', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('482', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('483', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('484', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('485', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('486', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('487', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('488', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('489', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('490', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('491', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('492', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('493', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('494', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('495', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('496', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('497', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('498', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('499', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('500', '5', '3');
INSERT INTO `lootgroup_weight` VALUES ('0', '3', '3');
INSERT INTO `loottable` VALUES ('3', 'Shirt', '1615842987', '16777230', '', '0', '', '', '20', '1', '0', '0', '0', '0', 'human,trandoshan,twilek,bothan,zabrak,rodian,moncal,wookiee,sullustan,ithorian', '1', '62975');
INSERT INTO `loottable` VALUES ('3', 'Pants', '2491992927', '16777228', '', '0', '', '', '20', '1', '0', '0', '0', '0', 'all', '2', '62975');
INSERT INTO `loottable` VALUES ('3', 'Shoes', '1735484596', '16777222', '', '0', '', '', '20', '1', '0', '0', '0', '0', 'all', '3', '62967');
INSERT INTO `loottable` VALUES ('3', 'Vest', '688395783', '16777231', '', '0', '', '', '20', '1', '0', '0', '0', '0', 'all', '4', '62975');
INSERT INTO `loottable` VALUES ('11', 'A Vibroblade', '1982554682', '131079', '', '0', 'pointBlankAccuracy=3:idealRange=3:maxDamage=59:category=16:maxRangeAccuracy=3:attackSpeed=4.2:woundsRatio=8:idealAccuracy=3:mindCost=13:maxRange=4:type=1:damageType=1:armorPiercing=1:condition=750/750:pointBlankRange=0:healthCost=13:minDamage=10:actionCost=46:cert=cert_knife_vibroblade:', '', '17', '20', '0', '0', '0', '0', 'all', '65', '65535');
INSERT INTO `loottable` VALUES ('11', 'Vibroaxe', '589649861', '131080', '', '0', 'pointBlankAccuracy=-26:idealRange=3:maxDamage=80:cert=cert_axe_vibro:category=16:maxRangeAccuracy=-26:attackSpeed=5:woundsRatio=16:idealAccuracy=-26:mindCost=15:maxRange=4:type=2:damageType=1:armorPiercing=1:condition=693/750:pointBlankRange=0:healthCost=64:minDamage=30:actionCost=40:', '', '6', '20', '0', '0', '0', '0', 'all', '82', '65535');
INSERT INTO `loottable` VALUES ('46', 'Mandalorian Gloves', '3247199017', '262', 'armor_mandalorian_gloves', '0', 'sockets=2:blast=10:mindEncumberence=53:condition=16875/26010:rating=16:electricity=10:armorType=2:acid=10:blastIsSpecial=true:actionEncumberence=104:coldIsSpecial=true:sliced=false:heat=10:lightSaber=0:cold=10:healthEncumberence=97:stun=0:kinetic=10:electricityIsSpecial=true:energy=10:', 'AQECYf8D', '1', '100', '0', '0', '0', '0', 'all', '9', '62975');
INSERT INTO `loottable` VALUES ('15', 'CDEF Rifle', '2857240634', '131084', '', '0', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=35:type=6:armorPiercing=0:condition=541/750:maxRangeAccuracy=0:range=64:damageType=2:mindCost=65:minDamage=10:healthCost=35:maxDamage=100:idealAccuracy=-32:woundsRatio=22:attackSpeed=9:category=32:idealRange=60:maxRange=64:', '', '13', '20', '0', '0', '0', '0', 'all', '138', '65535');
INSERT INTO `loottable` VALUES ('3', 'Chef Hat', '3597855144', '16777226', '', '0', '', '', '20', '1', '0', '0', '0', '0', 'all', '15', '62975');
INSERT INTO `loottable` VALUES ('39', 'Composite Bicep (Right)', '1551109695', '261', 'armor_composite_bicep_r', '0', 'sockets=2:blast=33:mindEncumberence=100:condition=33229/35000:rating=16:electricity=10:armorType=6:acid=33:actionEncumberence=100:sliced=false:heat=10:lightSaber=0:cold=10:healthEncumberence=100:stun=0:kinetic=33:energy=33:', 'AQECHf8D', '5', '100', '0', '0', '0', '0', 'all', '16', '62975');
INSERT INTO `loottable` VALUES ('39', 'Composite Bicep (Left)', '748768172', '261', 'armor_composite_bicep_l', '0', 'sockets=2:blast=33:mindEncumberence=100:condition=33218/35000:rating=16:electricity=10:armorType=4:acid=33:actionEncumberence=100:sliced=false:heat=10:lightSaber=0:cold=10:healthEncumberence=100:stun=0:kinetic=33:energy=33:', 'AQECYf8D', '5', '100', '0', '0', '0', '0', 'all', '18', '62975');
INSERT INTO `loottable` VALUES ('39', 'Composite Bracer  (Left)', '2757522432', '261', 'armor_composite_bracer_l', '0', 'sockets=2:blast=33:mindEncumberence=100:condition=33232/35000:rating=16:electricity=10:armorType=3:acid=33:actionEncumberence=100:sliced=false:heat=10:lightSaber=0:cold=10:healthEncumberence=100:stun=0:kinetic=33:energy=33:', 'AQECCv8D', '5', '100', '0', '0', '0', '0', 'all', '20', '62975');
INSERT INTO `loottable` VALUES ('39', 'Composite Bracer (Right)', '3565760915', '261', 'armor_composite_bracer_r', '0', 'sockets=2:blast=33:mindEncumberence=100:condition=33229/35000:rating=16:electricity=10:armorType=5:acid=33:actionEncumberence=100:sliced=false:heat=10:lightSaber=0:cold=10:healthEncumberence=100:stun=0:kinetic=33:energy=33:', 'AQECgv8D', '5', '100', '0', '0', '0', '0', 'all', '21', '62975');
INSERT INTO `loottable` VALUES ('40', 'Composite Helmet', '2515686534', '258', 'armor_composite_helmet', '0', 'sockets=2:blast=33:mindEncumberence=100:condition=33208/35000:rating=16:electricity=10:armorType=9:acid=33:actionEncumberence=100:sliced=false:heat=10:lightSaber=0:cold=10:healthEncumberence=100:stun=0:kinetic=33:energy=33:', 'AQECCP8D', '1', '200', '0', '0', '0', '0', 'all', '22', '62975');
INSERT INTO `loottable` VALUES ('40', 'Composite Leggings', '729327903', '260', 'armor_composite_leggings', '0', 'sockets=2:blast=33:mindEncumberence=100:condition=33210/35000:rating=16:electricity=10:armorType=7:acid=33:actionEncumberence=100:sliced=false:heat=10:lightSaber=0:cold=10:healthEncumberence=100:stun=0:kinetic=33:energy=33:', 'AQECb/8D', '1', '120', '0', '0', '0', '0', 'all', '23', '62975');
INSERT INTO `loottable` VALUES ('39', 'Composite Gloves', '590525838', '262', 'armor_composite_gloves', '0', 'sockets=2:blast=33:mindEncumberence=100:condition=34989/35000:rating=16:electricity=10:armorType=2:acid=33:actionEncumberence=100:sliced=false:heat=10:lightSaber=0:cold=10:healthEncumberence=100:stun=0:kinetic=33:energy=33:', 'AQECWP8D', '1', '100', '0', '0', '0', '0', 'all', '25', '62975');
INSERT INTO `loottable` VALUES ('39', 'Composite Boots', '1302427111', '263', 'armor_composite_boots', '0', 'sockets=2:blast=33:mindEncumberence=100:condition=33201/35000:rating=16:electricity=10:armorType=8:acid=33:actionEncumberence=100:sliced=false:heat=10:lightSaber=0:cold=10:healthEncumberence=100:stun=0:kinetic=33:energy=33:', 'AQECjv8D', '1', '100', '0', '0', '0', '0', 'all', '27', '62967');
INSERT INTO `loottable` VALUES ('19', 'Smooth Barrel of Dampening', '352903310', '524288', '', '0', 'type=2:powerup2Value=8.34:powerup1Value=16.67:powerup0Value=33.34:uses=100:powerup2Type=1:powerup1Type=4:powerup0Type=2:subType=1:', '', '15', '50', '0', '0', '0', '0', 'all', '28', '65535');
INSERT INTO `loottable` VALUES ('23', 'Tusken Boots', '3167349420', '16777222', '', '0', 'condition=700/950', '', '17', '1', '0', '0', '0', '0', 'all', '29', '62967');
INSERT INTO `loottable` VALUES ('40', 'Composite Chestplate', '1231025524', '257', 'armor_composite_chest_plate', '0', 'sockets=2:blast=33:mindEncumberence=100:condition=34989/35000:rating=16:electricity=10:armorType=1:acid=33:actionEncumberence=100:sliced=false:heat=10:lightSaber=0:cold=10:healthEncumberence=100:stun=0:kinetic=33:energy=33:', 'AQECFf8D', '1', '175', '0', '0', '0', '0', 'all', '30', '62975');
INSERT INTO `loottable` VALUES ('19', 'Compensating Melee Powerup of Control-Enhancement', '1327818409', '524288', '', '0', 'type=1:powerup2Value=0:powerup1Value=16.67:powerup0Value=33.34:uses=100:powerup2Type=0:powerup1Type=1:powerup0Type=3:subType=2:', '', '15', '50', '0', '0', '0', '0', 'all', '33', '65535');
INSERT INTO `loottable` VALUES ('46', 'Mandalorian Bracer (Left)', '2161132937', '261', 'armor_mandalorian_bracer_l', '0', 'sockets=2:blast=13.2931:mindEncumberence=76:condition=22554/31050:rating=16:electricity=13.2931:armorType=3:acid=13.2931:blastIsSpecial=true:actionEncumberence=87:coldIsSpecial=true:sliced=false:heat=13.2931:lightSaber=0:cold=13.2931:healthEncumberence=66:stun=0:kinetic=13.2931:electricityIsSpecial=true:energy=13.2931:', 'AQECFP8D', '1', '100', '0', '0', '0', '0', 'all', '34', '62975');
INSERT INTO `loottable` VALUES ('23', 'Tusken Gloves', '44025924', '16777224', '', '0', 'condition=700/950', '', '17', '1', '0', '0', '0', '0', 'all', '35', '62975');
INSERT INTO `loottable` VALUES ('23', 'Tusken Robe', '3255665113', '16777219', '', '0', 'condition=700/950', '', '17', '1', '0', '0', '0', '0', 'all', '39', '62975');
INSERT INTO `loottable` VALUES ('19', 'Muffled Muzzle of Sighting', '1006954225', '524288', '', '0', 'type=2:powerup2Value=8.34:powerup1Value=16.67:powerup0Value=33.34:uses=100:powerup2Type=2:powerup1Type=4:powerup0Type=1:subType=4:', '', '15', '50', '0', '0', '0', '0', 'all', '40', '65535');
INSERT INTO `loottable` VALUES ('19', 'Extending Melee Powerup of Accuracy', '1327818409', '524288', '', '0', 'type=1:powerup2Value=0:powerup1Value=16.67:powerup0Value=33.34:uses=100:powerup2Type=0:powerup1Type=2:powerup0Type=4:subType=4:', '', '15', '50', '0', '0', '0', '0', 'all', '44', '65535');
INSERT INTO `loottable` VALUES ('23', 'Tusken Helmet', '1630509359', '16777226', '', '0', 'condition=700/950', '', '17', '1', '0', '0', '0', '0', 'all', '46', '62975');
INSERT INTO `loottable` VALUES ('0', 'a Viewscreen (broken)', '2799494817', '8211', '', '0', '', '', '60', '1', '0', '0', '0', '0', 'all', '48', '65535');
INSERT INTO `loottable` VALUES ('0', 'Small Stimpack - A', '3533306482', '8205', '', '0', 'medpackType=4:usesRemaining=8:medicineUseRequired=5:effectiveness=53:', '', '5', '1', '0', '0', '0', '0', 'all', '49', '65535');
INSERT INTO `loottable` VALUES ('11', 'Wood Staff', '3576318568', '131081', '', '0', 'pointBlankAccuracy=14:idealRange=3:maxDamage=35:category=16:maxRangeAccuracy=14:attackSpeed=5.8:woundsRatio=7:idealAccuracy=14:mindCost=19:maxRange=5:type=3:damageType=1:armorPiercing=0:condition=718/750:pointBlankRange=0:healthCost=19:minDamage=5:actionCost=49:cert_lance_staff_wood_s1:', '', '17', '20', '0', '0', '0', '0', 'all', '173', '65535');
INSERT INTO `loottable` VALUES ('19', 'Quick-Charge Coupler of Compensation', '2336971866', '524288', '', '0', 'powerup2Value=8.34:powerup0Value=14.0426:powerup1Value=13.6842:powerup2Type=3:type=2:powerup0Type=2:powerup1Type=1:subType=2:uses=100:', '', '15', '50', '0', '0', '0', '0', 'all', '51', '65535');
INSERT INTO `loottable` VALUES ('0', 'a Human Skull', '338928996', '8211', '', '0', '', '', '30', '1', '0', '0', '0', '0', 'all', '54', '65535');
INSERT INTO `loottable` VALUES ('3', 'Jawa Beads', '909938921', '8211', '', '0', '', '', '1', '75', '0', '0', '0', '0', 'all', '55', '65535');
INSERT INTO `loottable` VALUES ('11', 'Dagger', '3564281985', '131079', '', '0', 'pointBlankAccuracy=-45:idealRange=5:maxDamage=55:cert=cert_knife_dagger:category=16:maxRangeAccuracy=-45:attackSpeed=4.7:woundsRatio=11.8497:idealAccuracy=-45:mindCost=12:maxRange=5:type=1:damageType=1:armorPiercing=0:condition=693/750:pointBlankRange=0:healthCost=8:minDamage=25:actionCost=16:', '', '17', '20', '0', '0', '0', '0', 'all', '137', '65535');
INSERT INTO `loottable` VALUES ('15', 'Vibroknuckler', '102348899', '131073', '', '0', 'pointBlankAccuracy=7:idealRange=3:maxDamage=95:cert=cert_vibroknuckler:category=16:maxRangeAccuracy=7:attackSpeed=4.5:woundsRatio=10:idealAccuracy=7:mindCost=35:maxRange=5:type=0:damageType=1:armorPiercing=1:condition=716/750:pointBlankRange=0:healthCost=15:minDamage=45:actionCost=25:', '', '1', '40', '0', '0', '0', '0', 'all', '12', '65535');
INSERT INTO `loottable` VALUES ('46', 'Mandalorian Boots', '1065077663', '263', 'armor_mandalorian_boots', '0', 'heat=10:sliced=false:energy=10:armorType=8:cold=10:stun=0:lightSaber=0:electricity=10:healthEncumberence=100:blast=10:actionEncumberence=100:kinetic=10:rating=16:mindEncumberence=100:sockets=2:condition=35000/35000:acid=10:', '', '1', '100', '0', '0', '0', '0', 'all', '85', '62967');
INSERT INTO `loottable` VALUES ('11', 'Metal Staff', '3821153504', '131081', '', '0', 'pointBlankAccuracy=-45:idealRange=5:maxDamage=90:cert=cert_lance_staff_metal:category=16:maxRangeAccuracy=-45:attackSpeed=5:woundsRatio=7:idealAccuracy=-45:mindCost=15:maxRange=5:type=3:damageType=1:armorPiercing=0:condition=718/750:pointBlankRange=0:healthCost=51:minDamage=30:actionCost=30:', '', '17', '20', '0', '0', '0', '0', 'all', '59', '65535');
INSERT INTO `loottable` VALUES ('11', 'Vibrolance', '1358850609', '131081', '', '0', 'pointBlankAccuracy=-24:idealRange=3:maxDamage=189:cert=cert_lance_vibrolance:category=16:maxRangeAccuracy=-24:attackSpeed=5.8:woundsRatio=26:idealAccuracy=-24:mindCost=28:maxRange=5:type=3:damageType=3:armorPiercing=1:condition=693/750:pointBlankRange=0:healthCost=58:minDamage=56:actionCost=65:', '', '7', '20', '0', '0', '0', '0', 'all', '60', '65535');
INSERT INTO `loottable` VALUES ('15', 'CDEF Pistol', '4212397251', '131082', '', '0', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=15:type=4:skillMod2Value=0:armorPiercing=0:condition=541/750:maxRangeAccuracy=0:range=32:damageType=2:mindCost=5:minDamage=50:healthCost=10:maxDamage=80:idealAccuracy=-28:skillMod2Type=0:woundsRatio=7:attackSpeed=4:category=32:idealRange=25:maxRange=32:', '', '16', '20', '0', '0', '0', '0', 'all', '61', '65535');
INSERT INTO `loottable` VALUES ('15', 'CDEF Carbine', '3081731554', '131083', '', '0', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=11:type=5:armorPiercing=0:condition=649/750:maxRangeAccuracy=0:range=64:damageType=2:mindCost=5:minDamage=15.845:healthCost=9:maxDamage=35:idealAccuracy=-28:woundsRatio=0:attackSpeed=5.39:category=32:idealRange=25:maxRange=64:', '', '16', '20', '0', '0', '0', '0', 'all', '63', '65535');
INSERT INTO `loottable` VALUES ('30', 'Nightsister Lance', '2483705396', '131081', '', '0', 'pointBlankAccuracy=7:idealRange=3:dot0Uses=8000:maxDamage=133:dot0Duration=1200:dot0Strength=40:category=16:dot0Type=67108864:maxRangeAccuracy=7:attackSpeed=6.2:woundsRatio=9:idealAccuracy=7:mindCost=28:maxRange=5:type=3:damageType=1:armorPiercing=0:dot0Attribute=0:condition=550/750:dot0Potency=70:pointBlankRange=0:healthCost=91:minDamage=7:actionCost=71:cert=cert_lance_controllerfp:', '', '82', '60', '0', '0', '0', '0', 'all', '64', '65535');
INSERT INTO `loottable` VALUES ('24', 'Tusken Rifle', '2270083762', '131084', '', '0', 'pointBlankAccuracy=-90:idealRange=60:maxDamage=145:range=45:category=32:maxRangeAccuracy=0:attackSpeed=8:woundsRatio=15:idealAccuracy=-32:mindCost=83:maxRange=64:type=6:damageType=1:armorPiercing=1:condition=750/750:pointBlankRange=0:healthCost=45:minDamage=40:actionCost=39:cert=cert_rifle_tusken:', '', '1', '50', '0', '0', '0', '0', 'all', '70', '65535');
INSERT INTO `loottable` VALUES ('50', 'Bounty Hunter Chestplate', '2512487156', '257', 'armor_bounty_hunter_chest_plate', '0', 'heatIsSpecial=true:heat=10:coldIsSpecial=true:blastIsSpecial=true:electricityIsSpecial=true:sliced=false:energy=10:armorType=1:cold=10:stun=0:lightSaber=0:electricity=10:healthEncumberence=100:acidIsSpecial=true:blast=10:actionEncumberence=100:kinetic=10:rating=16:mindEncumberence=100:sockets=2:condition=25024/25024:acid=10:', '', '1', '90', '0', '0', '0', '0', 'all', '71', '62975');
INSERT INTO `loottable` VALUES ('50', 'Bounty Hunter Helmet', '822872471', '258', 'armor_bounty_hunter_helmet', '0', 'heatIsSpecial=true:heat=11.4697:coldIsSpecial=true:blastIsSpecial=true:sliced=false:energy=11.4697:armorType=9:cold=11.4697:stun=0:lightSaber=0:electricity=11.4697:healthEncumberence=100:acidIsSpecial=true:blast=11.4697:actionEncumberence=100:kinetic=11.4697:rating=16:mindEncumberence=100:sockets=2:condition=27754/27754:acid=11.4697:', '', '1', '90', '0', '0', '0', '0', 'all', '72', '62975');
INSERT INTO `loottable` VALUES ('49', 'Bounty Hunter Boots', '1449316778', '263', 'armor_bounty_hunter_boots', '0', 'heat=10:blastIsSpecial=true:sliced=false:energy=10:armorType=8:cold=10:stun=0:lightSaber=0:electricity=10:healthEncumberence=100:acidIsSpecial=true:blast=10:actionEncumberence=100:kinetic=10:rating=16:mindEncumberence=100:sockets=2:condition=25072/25072:acid=10:', '', '1', '90', '0', '0', '0', '0', 'all', '73', '62967');
INSERT INTO `loottable` VALUES ('49', 'Bounty Hunter Gloves', '2278353055', '262', 'armor_bounty_hunter_gloves', '0', 'heatIsSpecial=true:heat=12.1229:blastIsSpecial=true:electricityIsSpecial=true:sliced=false:energy=12.1229:energyIsSpecial=true:armorType=2:cold=12.1229:stun=0:lightSaber=0:electricity=12.1229:healthEncumberence=100:acidIsSpecial=true:blast=12.1229:actionEncumberence=100:kinetic=12.1229:rating=16:mindEncumberence=100:sockets=2:condition=29446/29446:acid=12.1229:', '', '1', '90', '0', '0', '0', '0', 'all', '74', '62975');
INSERT INTO `loottable` VALUES ('50', 'Bounty Hunter Leggings', '609499915', '260', 'armor_bounty_hunter_leggings', '0', 'heatIsSpecial=true:heat=12.5039:sliced=false:energy=12.5039:armorType=7:cold=12.5039:kineticIsSpecial=true:stun=0:lightSaber=0:electricity=12.5039:healthEncumberence=75:acidIsSpecial=true:blast=12.5039:actionEncumberence=75:kinetic=12.5039:rating=16:mindEncumberence=75:sockets=2:condition=26380/26380:acid=12.5039:', '', '1', '90', '0', '0', '0', '0', 'all', '75', '62975');
INSERT INTO `loottable` VALUES ('49', 'Bounty Hunter Bicep (Left)', '819427966', '261', 'armor_bounty_hunter_bicep_l', '0', 'heatIsSpecial=true:heat=11.9323:coldIsSpecial=true:electricityIsSpecial=true:sliced=false:energy=11.9323:armorType=4:cold=11.9323:stun=0:lightSaber=0:electricity=11.9323:healthEncumberence=81:blast=11.9323:actionEncumberence=81:kinetic=11.9323:rating=16:mindEncumberence=81:sockets=2:condition=25923/25923:acid=11.9323:', '', '1', '90', '0', '0', '0', '0', 'all', '76', '62975');
INSERT INTO `loottable` VALUES ('49', 'Bounty Hunter Bicep (Right)', '1073889261', '261', 'armor_bounty_hunter_bicep_r', '0', 'heat=12.64:coldIsSpecial=true:electricityIsSpecial=true:sliced=false:energy=12.64:armorType=6:cold=12.64:kineticIsSpecial=true:stun=0:lightSaber=0:electricity=12.64:healthEncumberence=100:blast=12.64:actionEncumberence=100:kinetic=12.64:rating=16:mindEncumberence=100:sockets=2:condition=26358/26358:acid=12.64:', '', '1', '90', '0', '0', '0', '0', 'all', '77', '62975');
INSERT INTO `loottable` VALUES ('49', 'Bounty Hunter Bracer (Left)', '2876302868', '261', 'armor_bounty_hunter_bracer_l', '0', 'heatIsSpecial=true:heat=10:coldIsSpecial=true:sliced=false:energy=10:energyIsSpecial=true:armorType=3:cold=10:stun=0:lightSaber=0:electricity=10:healthEncumberence=100:blast=10:actionEncumberence=100:kinetic=10:rating=16:mindEncumberence=100:sockets=2:condition=26062/26062:acid=10:', '', '1', '90', '0', '0', '0', '0', 'all', '79', '62975');
INSERT INTO `loottable` VALUES ('49', 'Bounty Hunter Bracer (Right)', '3685065607', '261', 'armor_bounty_hunter_bracer_r', '0', 'heatIsSpecial=true:heat=10:coldIsSpecial=true:sliced=false:energy=10:energyIsSpecial=true:armorType=3:cold=10:stun=0:lightSaber=0:electricity=10:healthEncumberence=100:blast=10:actionEncumberence=100:kinetic=10:rating=16:mindEncumberence=100:sockets=2:condition=26062/26062:acid=10:', '', '1', '90', '0', '0', '0', '0', 'all', '80', '62975');
INSERT INTO `loottable` VALUES ('46', 'Mandalorian Bicep (Right)', '783922216', '261', 'armor_mandalorian_bicep_r', '0', 'heat=10:sliced=false:energy=10:armorType=6:cold=10:stun=0:lightSaber=0:electricity=10:healthEncumberence=100:blast=10:actionEncumberence=100:kinetic=10:rating=16:mindEncumberence=100:sockets=2:condition=35000/35000:acid=10:', '', '1', '100', '0', '0', '0', '0', 'all', '84', '62975');
INSERT INTO `loottable` VALUES ('46', 'Mandalorian Bicep (Left)', '1584198075', '261', 'armor_mandalorian_bicep_l', '0', 'heat=10:sliced=false:energy=10:armorType=4:cold=10:stun=0:lightSaber=0:electricity=10:healthEncumberence=100:blast=10:actionEncumberence=100:kinetic=10:rating=16:mindEncumberence=100:sockets=2:condition=35000/35000:acid=10:', 'AQECCP8D', '1', '100', '0', '0', '0', '0', 'all', '83', '62975');
INSERT INTO `loottable` VALUES ('46', 'Mandalorian Bracer (Right)', '4026859546', '261', 'armor_mandalorian_bracer_r', '0', 'heat=10:sliced=false:energy=10:armorType=5:cold=10:stun=0:lightSaber=0:electricity=10:healthEncumberence=100:blast=10:actionEncumberence=100:kinetic=10:rating=16:mindEncumberence=100:sockets=2:condition=35000/35000:acid=10:', '', '1', '100', '0', '0', '0', '0', 'all', '87', '62975');
INSERT INTO `loottable` VALUES ('47', 'Mandalorian Chestplate', '1631264204', '257', 'armor_mandalorian_chest_plate', '0', 'heat=10:sliced=false:energy=10:armorType=1:cold=10:stun=0:lightSaber=0:electricity=10:healthEncumberence=100:blast=10:actionEncumberence=100:kinetic=10:rating=16:mindEncumberence=100:sockets=2:condition=35000/35000:acid=10:', '', '1', '100', '0', '0', '0', '0', 'all', '88', '62975');
INSERT INTO `loottable` VALUES ('47', 'Mandalorian Helmet', '2001515041', '258', 'armor_mandalorian_helmet', '0', 'heat=10:sliced=false:energy=10:armorType=9:cold=10:stun=0:lightSaber=0:electricity=10:healthEncumberence=100:blast=10:actionEncumberence=100:kinetic=10:rating=16:mindEncumberence=100:sockets=2:condition=35000/35000:acid=10:', '', '1', '100', '0', '0', '0', '0', 'all', '89', '62975');
INSERT INTO `loottable` VALUES ('47', 'Mandalorian Leggings', '267688086', '260', 'armor_mandalorian_leggings', '0', 'heat=10:sliced=false:energy=10:armorType=7:cold=10:stun=0:lightSaber=0:electricity=10:healthEncumberence=100:blast=10:actionEncumberence=100:kinetic=10:rating=16:mindEncumberence=100:sockets=2:condition=35000/35000:acid=10:', '', '1', '100', '0', '0', '0', '0', 'all', '90', '62975');
INSERT INTO `loottable` VALUES ('44', 'Marine Bicep (Left)', '2532412353', '261', 'armor_marine_bicep_l', '0', 'heat=10:sliced=false:energy=10:armorType=4:cold=10:stun=0:lightSaber=0:electricity=10:healthEncumberence=100:blast=10:actionEncumberence=100:kinetic=10:rating=16:mindEncumberence=100:sockets=2:condition=35000/35000:acid=10:', '', '7', '80', '0', '0', '0', '0', 'all', '91', '17919');
INSERT INTO `loottable` VALUES ('44', 'Marine Bicep (Right)', '3861171794', '261', 'armor_marine_bicep_r', '0', 'heat=10:sliced=false:energy=10:armorType=6:cold=10:stun=0:lightSaber=0:electricity=10:healthEncumberence=100:blast=10:actionEncumberence=100:kinetic=10:rating=16:mindEncumberence=100:sockets=2:condition=35000/35000:acid=10:', '', '7', '80', '0', '0', '0', '0', 'all', '92', '17919');
INSERT INTO `loottable` VALUES ('44', 'Marine Boots', '1463740430', '263', 'armor_marine_boots', '0', 'heat=10:sliced=false:energy=10:armorType=8:cold=10:stun=0:lightSaber=0:electricity=10:healthEncumberence=100:blast=10:actionEncumberence=100:kinetic=10:rating=16:mindEncumberence=100:sockets=2:condition=35000/35000:acid=10:', '', '2', '80', '0', '0', '0', '0', 'all', '93', '17911');
INSERT INTO `loottable` VALUES ('44', 'Marine Chestplate', '2193034952', '257', 'armor_marine_chest_plate', '0', 'heat=10:sliced=false:energy=10:armorType=1:cold=10:stun=0:lightSaber=0:electricity=10:healthEncumberence=100:blast=10:actionEncumberence=100:kinetic=10:rating=16:mindEncumberence=100:sockets=2:condition=35000/35000:acid=10:', '', '1', '80', '0', '0', '0', '0', 'all', '94', '17919');
INSERT INTO `loottable` VALUES ('44', 'Marine Helmet', '1777643552', '258', 'armor_marine_helmet', '0', 'heat=10:sliced=false:energy=10:armorType=9:cold=10:stun=0:lightSaber=0:electricity=10:healthEncumberence=100:blast=10:actionEncumberence=100:kinetic=10:rating=16:mindEncumberence=100:sockets=2:condition=35000/35000:acid=10:', '', '1', '80', '0', '0', '0', '0', 'all', '95', '17919');
INSERT INTO `loottable` VALUES ('44', 'Marine Leggings', '3909918647', '260', 'armor_marine_leggings', '0', 'heat=10:sliced=false:energy=10:armorType=7:cold=10:stun=0:lightSaber=0:electricity=10:healthEncumberence=100:blast=10:actionEncumberence=100:kinetic=10:rating=16:mindEncumberence=100:sockets=2:condition=35000/35000:acid=10:', '', '1', '80', '0', '0', '0', '0', 'all', '96', '17919');
INSERT INTO `loottable` VALUES ('37', 'Nightsister Bicep ', '3533827963', '261', 'armor_nightsister_bicep_r_s01', '0', 'heat=10:sliced=false:energy=10:armorType=6:cold=10:stun=0:lightSaber=0:electricity=10:healthEncumberence=100:blast=10:actionEncumberence=100:kinetic=10:rating=16:mindEncumberence=100:sockets=4:condition=35000/35000:acid=10:', '', '1', '250', '0', '0', '0', '0', 'all', '97', '62974');
INSERT INTO `loottable` VALUES ('42', 'Stormtrooper Bicep (Left)', '303274938', '261', 'armor_stormtrooper_bicep_l', '0', 'heat=10:sliced=false:energy=10:armorType=4:cold=10:stun=0:lightSaber=0:electricity=10:healthEncumberence=100:blast=10:actionEncumberence=100:kinetic=10:rating=16:mindEncumberence=100:sockets=2:condition=35000/35000:acid=10:', '', '7', '80', '0', '0', '0', '0', 'all', '98', '9727');
INSERT INTO `loottable` VALUES ('42', 'Stormtrooper Bicep (Right)', '1657200169', '261', 'armor_stormtrooper_bicep_r', '0', 'heat=10:sliced=false:energy=10:armorType=6:cold=10:stun=0:lightSaber=0:electricity=10:healthEncumberence=100:blast=10:actionEncumberence=100:kinetic=10:rating=16:mindEncumberence=100:sockets=2:condition=35000/35000:acid=10:', '', '7', '80', '0', '0', '0', '0', 'all', '99', '9727');
INSERT INTO `loottable` VALUES ('42', 'Stormtrooper Boots', '1224577523', '263', 'armor_stormtrooper_boots', '0', 'heat=10:sliced=false:energy=10:armorType=8:cold=10:stun=0:lightSaber=0:electricity=10:healthEncumberence=100:blast=10:actionEncumberence=100:kinetic=10:rating=16:mindEncumberence=100:sockets=2:condition=35000/35000:acid=10:', '', '7', '80', '0', '0', '0', '0', 'all', '100', '9719');
INSERT INTO `loottable` VALUES ('42', 'Stormtrooper Bracer (Left)', '4264603546', '261', 'armor_stormtrooper_bracer_l', '0', 'heat=10:sliced=false:energy=10:armorType=3:cold=10:stun=0:lightSaber=0:electricity=10:healthEncumberence=100:blast=10:actionEncumberence=100:kinetic=10:rating=16:mindEncumberence=100:sockets=2:condition=35000/35000:acid=10:', '', '7', '80', '0', '0', '0', '0', 'all', '101', '9727');
INSERT INTO `loottable` VALUES ('42', 'Stormtrooper Bracer (Right)', '2397432329', '261', 'armor_stormtrooper_bracer_r', '0', 'heat=10:sliced=false:energy=10:armorType=5:cold=10:stun=0:lightSaber=0:electricity=10:healthEncumberence=100:blast=10:actionEncumberence=100:kinetic=10:rating=16:mindEncumberence=100:sockets=2:condition=35000/35000:acid=10:', '', '7', '80', '0', '0', '0', '0', 'all', '102', '9727');
INSERT INTO `loottable` VALUES ('42', 'Stormtrooper Chestplate', '567515627', '257', 'armor_stormtrooper_chest_plate', '0', 'heat=10:sliced=false:energy=10:armorType=1:cold=10:stun=0:lightSaber=0:electricity=10:healthEncumberence=100:blast=10:actionEncumberence=100:kinetic=10:rating=16:mindEncumberence=100:sockets=2:condition=35000/35000:acid=10:', '', '2', '80', '0', '0', '0', '0', 'all', '103', '9727');
INSERT INTO `loottable` VALUES ('42', 'Stormtrooper Gloves', '1746127589', '262', 'armor_stormtrooper_gloves', '0', 'heat=10:sliced=false:energy=10:armorType=2:cold=10:stun=0:lightSaber=0:electricity=10:healthEncumberence=100:blast=10:actionEncumberence=100:kinetic=10:rating=16:mindEncumberence=100:sockets=2:condition=35000/35000:acid=10:', '', '2', '80', '0', '0', '0', '0', 'all', '104', '9727');
INSERT INTO `loottable` VALUES ('42', 'Stormtrooper Helmet', '3738381293', '258', 'armor_stormtrooper_helmet', '0', 'heat=10:sliced=false:energy=10:armorType=9:cold=10:stun=0:lightSaber=0:electricity=10:healthEncumberence=100:blast=10:actionEncumberence=100:kinetic=10:rating=16:mindEncumberence=100:sockets=2:condition=35000/35000:acid=10:', '', '1', '80', '0', '0', '0', '0', 'all', '105', '9727');
INSERT INTO `loottable` VALUES ('42', 'Stormtrooper Leggings', '1897165445', '260', 'armor_stormtrooper_leggings', '0', 'heat=10:sliced=false:energy=10:armorType=7:cold=10:stun=0:lightSaber=0:electricity=10:healthEncumberence=100:blast=10:actionEncumberence=100:kinetic=10:rating=16:mindEncumberence=100:sockets=2:condition=35000/35000:acid=10:', '', '2', '80', '0', '0', '0', '0', 'all', '106', '9727');
INSERT INTO `loottable` VALUES ('0', 'an Impulse Detector (broken)', '702437778', '8211', '', '0', '', '', '50', '1', '0', '0', '0', '0', 'all', '108', '65535');
INSERT INTO `loottable` VALUES ('0', 'a Cage', '1555355794', '8211', '', '0', '', '', '70', '1', '0', '0', '0', '0', 'all', '109', '65535');
INSERT INTO `loottable` VALUES ('0', 'a Calibrator (broken)', '3984724164', '8211', '', '0', '', '', '50', '1', '0', '0', '0', '0', 'all', '112', '65535');
INSERT INTO `loottable` VALUES ('0', 'a Corrupt Datadisk', '1858759968', '8211', '', '0', '', '', '70', '1', '0', '0', '0', '0', 'all', '113', '65535');
INSERT INTO `loottable` VALUES ('0', 'a Briefcase', '3859554647', '8211', '', '0', '', '', '50', '1', '0', '0', '0', '0', 'all', '114', '65535');
INSERT INTO `loottable` VALUES ('0', 'Sandstat', '958294377', '8211', '', '0', '', '', '15', '1', '0', '0', '0', '0', 'all', '424', '65535');
INSERT INTO `loottable` VALUES ('33', 'Armor Attachment', '4004385638', '8223', '', '0', 'skillMod0Type=1:skillMod0Value=1:', '', '1', '1', '0', '0', '0', '0', 'all', '127', '65535');
INSERT INTO `loottable` VALUES ('33', 'Armor Attachment', '4004385638', '8223', '', '0', 'skillMod0Type=2:skillMod0Value=1:', '', '1', '1', '0', '0', '0', '0', 'all', '334', '65535');
INSERT INTO `loottable` VALUES ('33', 'Armor Attachment', '4004385638', '8223', '', '0', 'skillMod0Type=3:skillMod0Value=1:', '', '1', '1', '0', '0', '0', '0', 'all', '129', '65535');
INSERT INTO `loottable` VALUES ('33', 'Armor Attachment', '4004385638', '8223', '', '0', 'skillMod0Type=4:skillMod0Value=1:', '', '1', '1', '0', '0', '0', '0', 'all', '128', '65535');
INSERT INTO `loottable` VALUES ('33', 'Armor Attachment', '4004385638', '8223', '', '0', 'skillMod0Type=5:skillMod0Value=1:', '', '1', '1', '0', '0', '0', '0', 'all', '333', '65535');
INSERT INTO `loottable` VALUES ('15', 'Gaderiffi Baton', '4274961640', '131079', '', '0', 'pointBlankAccuracy=-13:pointBlankRange=0:actionCost=26:type=1:armorPiercing=0:condition=690/750:maxRangeAccuracy=-13:damageType=1:dot1Strength=0:mindCost=10:minDamage=80:healthCost=47:cert=cert_baton_gaderiffi:maxDamage=140:idealAccuracy=-13:woundsRatio=16:attackSpeed=6:category=16:idealRange=3:maxRange=5:', '', '1', '50', '0', '0', '0', '0', 'all', '150', '65535');
INSERT INTO `loottable` VALUES ('11', 'Curved sword', '213992376', '131079', '', '0', 'pointBlankAccuracy=-45:idealRange=5:maxDamage=90:cert=cert_sword_02:category=16:maxRangeAccuracy=-45:attackSpeed=4.7:woundsRatio=11.8497:idealAccuracy=-45:mindCost=12:maxRange=5:type=1:damageType=1:armorPiercing=0:condition=653/750:pointBlankRange=0:healthCost=83:minDamage=40:actionCost=26:', '', '17', '20', '0', '0', '0', '0', 'all', '151', '65535');
INSERT INTO `loottable` VALUES ('15', 'Launcher Pistol', '1980615506', '131082', '', '0', 'pointBlankAccuracy=0:pointBlankRange=0:actionCost=14:type=4:armorPiercing=0:condition=292/750:maxRangeAccuracy=0:range=45:damageType=5:mindCost=45:minDamage=60:healthCost=8:cert=cert_pistol_launcher:maxDamage=195:idealAccuracy=4:woundsRatio=20:attackSpeed=9:category=32:idealRange=0:maxRange=64:', '', '11', '75', '0', '0', '0', '0', 'all', '153', '65535');
INSERT INTO `loottable` VALUES ('11', 'Long Vibro Axe', '3206801025', '131081', '', '0', 'pointBlankAccuracy=-45:pointBlankRange=0:actionCost=71:type=3:armorPiercing=2:condition=700/750:maxRangeAccuracy=-45:damageType=1:mindCost=28:minDamage=73:healthCost=91:cert=cert_lance_vibro_axe:maxDamage=226:idealAccuracy=-45:woundsRatio=23:attackSpeed=6.5:category=16:idealRange=7:maxRange=7:', '', '3', '75', '0', '0', '0', '0', 'all', '154', '65535');
INSERT INTO `loottable` VALUES ('15', 'DX2 Pistol', '3457275751', '131082', '', '0', 'pointBlankAccuracy=-30:pointBlankRange=0:actionCost=35:type=4:armorPiercing=1:condition=510/750:maxRangeAccuracy=-85:range=45:damageType=8:mindCost=12:minDamage=60:healthCost=20:cert=cert_pistol_dx2:maxDamage=90:idealAccuracy=60:woundsRatio=12:attackSpeed=3.5:category=32:idealRange=30:maxRange=44:', '', '4', '50', '0', '0', '0', '0', 'all', '155', '65535');
INSERT INTO `loottable` VALUES ('15', 'DXR6 Carbine', '4015891191', '131083', '', '0', 'pointBlankAccuracy=-30:pointBlankRange=0:actionCost=40:type=5:armorPiercing=1:condition=555/750:maxRangeAccuracy=-85:range=65:damageType=8:mindCost=19:minDamage=75:healthCost=25:cert=cert_carbine_dxr6:maxDamage=125:idealAccuracy=60:woundsRatio=15:attackSpeed=6:category=32:idealRange=45:maxRange=64:', '', '2', '75', '0', '0', '0', '0', 'all', '156', '65535');
INSERT INTO `loottable` VALUES ('15', 'T21 Rifle', '2920650591', '131084', '', '0', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=42:type=6:armorPiercing=3:condition=741/750:maxRangeAccuracy=0:range=64:damageType=2:mindCost=83:minDamage=90:healthCost=65:cert=cert_rifle_t21:maxDamage=305:idealAccuracy=-32:woundsRatio=25:attackSpeed=13:category=32:idealRange=60:maxRange=64:', '', '1', '250', '0', '0', '0', '0', 'all', '157', '65535');
INSERT INTO `loottable` VALUES ('15', 'Rocket Launcher', '3368144786', '131076', '', '0', 'pointBlankAccuracy=-100:pointBlankRange=0:actionCost=86:type=18:armorPiercing=3:condition=129/750:maxRangeAccuracy=30:range=45:damageType=5:mindCost=69:minDamage=764.937:healthCost=113:usesRemaining=25:cert=cert_rocket_launcher:maxDamage=1223.37:idealAccuracy=20:woundsRatio=37:attackSpeed=7:category=32:idealRange=48:maxRange=64:', '', '20', '50', '0', '0', '0', '0', 'all', '158', '65535');
INSERT INTO `loottable` VALUES ('15', 'Power Hammer', '3681800010', '131080', '', '0', 'pointBlankAccuracy=-45:pointBlankRange=0:actionCost=25:type=2:armorPiercing=2:condition=712/750:maxRangeAccuracy=-45:damageType=5:mindCost=40:minDamage=80:healthCost=95:cert=cert_sword_2h_maul:maxDamage=250:idealAccuracy=-45:woundsRatio=15:attackSpeed=7:category=16:idealRange=5:maxRange=5:', '', '1', '220', '0', '0', '0', '0', 'all', '159', '65535');
INSERT INTO `loottable` VALUES ('15', 'Stun Baton', '257663710', '131079', '', '0', 'pointBlankAccuracy=-13:pointBlankRange=0:actionCost=38:type=1:armorPiercing=0:condition=699/750:maxRangeAccuracy=-13:damageType=4:mindCost=32:minDamage=50:healthCost=10:cert=cert_baton_stun:maxDamage=120:idealAccuracy=-13:woundsRatio=10:attackSpeed=6:category=16:idealRange=3:maxRange=5:', '', '1', '75', '0', '0', '0', '0', 'all', '160', '65535');
INSERT INTO `loottable` VALUES ('80', 'Genosian Sonic Blaster', '2894026640', '131082', '', '0', 'pointBlankAccuracy=18:pointBlankRange=0:actionCost=35:type=4:armorPiercing=0:condition=705/750:maxRangeAccuracy=-90:range=45:damageType=4:mindCost=14:minDamage=80:healthCost=14:cert=cert_pistol_geonosian_sonic_blaster_loot:maxDamage=135:idealAccuracy=34:woundsRatio=15:attackSpeed=5.5:category=32:idealRange=15:maxRange=48:', '', '1', '75', '0', '0', '0', '0', 'all', '161', '65535');
INSERT INTO `loottable` VALUES ('10', 'Scythe', '4049625489', '131080', '', '0', 'pointBlankAccuracy=-45:idealRange=5:maxDamage=210:cert=cert_2h_sword_scythe:category=16:maxRangeAccuracy=-45:attackSpeed=4.7:woundsRatio=30:idealAccuracy=-45:mindCost=31:maxRange=5:type=2:damageType=2:armorPiercing=2:condition=653/750:pointBlankRange=0:healthCost=31:minDamage=40:actionCost=76:', '', '25', '75', '0', '0', '0', '0', 'all', '162', '65535');
INSERT INTO `loottable` VALUES ('81', 'DXR-6b Disruptor Rifle', '2866257958', '131084', '', '0', 'pointBlankAccuracy=-60:pointBlankRange=0:actionCost=31:type=6:armorPiercing=2:condition=652/750:maxRangeAccuracy=0:range=64:damageType=8:mindCost=65:minDamage=85:healthCost=22:cert=cert_rifle_tenloss_dxr6_disruptor_loot:maxDamage=290:idealAccuracy=-32:woundsRatio=25:attackSpeed=8:category=32:idealRange=60:maxRange=64:', '', '1', '75', '0', '0', '0', '0', 'all', '163', '65535');
INSERT INTO `loottable` VALUES ('15', 'Light Lightning Cannon', '397924793', '131078', '', '0', 'pointBlankAccuracy=-30:idealRange=48:maxDamage=200:range=45:category=32:maxRangeAccuracy=30:attackSpeed=8:woundsRatio=17.2:idealAccuracy=20:mindCost=63:maxRange=64:type=12:damageType=3:armorPiercing=1:condition=710/750:pointBlankRange=0:healthCost=63:minDamage=70:actionCost=66:cert=cert_rifle_lightning:', '', '5', '75', '0', '0', '0', '0', 'all', '164', '65535');
INSERT INTO `loottable` VALUES ('15', 'Flame Thrower', '4089446987', '131078', '', '0', 'pointBlankAccuracy=10:idealRange=50:maxDamage=265:range=45:category=32:maxRangeAccuracy=-120:attackSpeed=8:woundsRatio=36:idealAccuracy=-65:mindCost=35:maxRange=64:type=11:damageType=6:armorPiercing=0:condition=631/750:pointBlankRange=0:healthCost=64:minDamage=80:actionCost=25:cert=cert_rifle_flame_thrower:', '', '5', '75', '0', '0', '0', '0', 'all', '165', '65535');
INSERT INTO `loottable` VALUES ('15', 'Laser Carbine', '764829944', '131083', '', '0', 'pointBlankAccuracy=-10:idealRange=50:maxDamage=160:range=65:category=32:maxRangeAccuracy=-40:attackSpeed=7.5:woundsRatio=10:idealAccuracy=3:mindCost=65:maxRange=64:type=5:damageType=2:armorPiercing=2:condition=710/750:pointBlankRange=0:healthCost=22:minDamage=40:actionCost=36:cert=cert_carbine_laser:', '', '1', '75', '0', '0', '0', '0', 'all', '166', '65535');
INSERT INTO `loottable` VALUES ('10', 'DE-10 Pistol', '1866781530', '131082', '', '0', 'pointBlankAccuracy=-2:idealRange=20:maxDamage=320:range=45:category=32:maxRangeAccuracy=-80:attackSpeed=5.6:woundsRatio=38.7:idealAccuracy=46:mindCost=17:maxRange=64:type=4:damageType=2:armorPiercing=1:condition=750/750:pointBlankRange=0:healthCost=17:minDamage=128:actionCost=30:cert=cert_pistol_de10:', '', '25', '75', '0', '0', '0', '0', 'all', '167', '65535');
INSERT INTO `loottable` VALUES ('101', 'Broken Cyborg Arm', '1430962506', '8211', 'fs_mellichae_cyborg_arm', '0', '\r\n', '', '100', '100', '0', '0', '0', '0', 'all', '168', '65535');
INSERT INTO `loottable` VALUES ('15', 'Laser Rifle', '2973754715', '131084', '', '0', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=35:type=6:armorPiercing=2:condition=541/750:maxRangeAccuracy=0:range=64:damageType=2:mindCost=65:minDamage=40:healthCost=35:cert=cert_rifle_laser:maxDamage=250:idealAccuracy=-32:woundsRatio=22:attackSpeed=8.33:category=32:idealRange=60:maxRange=64:', '', '2', '75', '0', '0', '0', '0', 'all', '169', '65535');
INSERT INTO `loottable` VALUES ('15', 'Spraystick', '2069010987', '131084', '', '0', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=35:type=6:armorPiercing=0:condition=541/750:maxRangeAccuracy=0:range=64:damageType=2:mindCost=65:minDamage=40:healthCost=35:cert=cert_rifle_spraystick:maxDamage=120:idealAccuracy=-32:woundsRatio=22:attackSpeed=6:category=32:idealRange=60:maxRange=64:', '', '6', '50', '0', '0', '0', '0', 'all', '170', '65535');
INSERT INTO `loottable` VALUES ('15', 'SG82', '3146716110', '131084', '', '0', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=35:type=6:armorPiercing=0:condition=541/750:maxRangeAccuracy=0:range=64:damageType=7:mindCost=65:minDamage=700:healthCost=35:cert=cert_rifle_sg82:maxDamage=130:idealAccuracy=-32:woundsRatio=22:attackSpeed=7:category=32:idealRange=60:maxRange=64:', '', '7', '50', '0', '0', '0', '0', 'all', '171', '65535');
INSERT INTO `loottable` VALUES ('15', 'Bowcaster', '2364395151', '131084', '', '0', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=35:type=6:armorPiercing=0:condition=541/750:maxRangeAccuracy=0:range=64:damageType=2:mindCost=65:minDamage=70:healthCost=35:maxDamage=225:idealAccuracy=-32:woundsRatio=22:attackSpeed=8:category=32:idealRange=60:maxRange=64:', '', '3', '75', '0', '0', '0', '0', 'all', '172', '61955');
INSERT INTO `loottable` VALUES ('11', 'Rantok Sword', '1214765971', '131079', '', '0', 'pointBlankAccuracy=-45:idealRange=5:maxDamage=100:cert=cert_sword_blade_rantok:category=16:maxRangeAccuracy=-45:attackSpeed=4.7:woundsRatio=11.8497:idealAccuracy=-45:mindCost=12:maxRange=5:type=1:damageType=1:armorPiercing=0:condition=653/750:pointBlankRange=0:healthCost=83:minDamage=50:actionCost=26:', '', '16', '20', '0', '0', '0', '0', 'all', '174', '65535');
INSERT INTO `loottable` VALUES ('11', 'Ryyk Blade', '2964575136', '131079', '', '0', 'pointBlankAccuracy=-45:idealRange=5:maxDamage=108:cert=cert_sword_blade_ryyk:category=16:maxRangeAccuracy=-45:attackSpeed=4.7:woundsRatio=11.8497:idealAccuracy=-45:mindCost=12:maxRange=5:type=1:damageType=1:armorPiercing=0:condition=653/750:pointBlankRange=0:healthCost=83:minDamage=56:actionCost=26:', '', '16', '20', '0', '0', '0', '0', 'all', '175', '65535');
INSERT INTO `loottable` VALUES ('11', 'Stone Knife', '2793144808', '131079', '', '0', 'pointBlankAccuracy=-45:idealRange=5:maxDamage=35:category=16:maxRangeAccuracy=-45:attackSpeed=4.7:woundsRatio=11.8497:idealAccuracy=-45:mindCost=12:maxRange=5:type=1:damageType=1:armorPiercing=0:condition=693/750:pointBlankRange=0:healthCost=83:minDamage=5:actionCost=26:', '', '16', '20', '0', '0', '0', '0', 'all', '176', '65535');
INSERT INTO `loottable` VALUES ('15', 'DH17 Snubnose', '648215202', '131083', '', '0', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=11:type=5:armorPiercing=0:condition=649/750:maxRangeAccuracy=0:range=32:damageType=2:mindCost=5:minDamage=15.845:healthCost=9:maxDamage=35.955:idealAccuracy=-28:woundsRatio=0:attackSpeed=5.39:category=32:idealRange=25:maxRange=32:cert=cert_carbine_dh17_snubnose:', '', '15', '20', '0', '0', '0', '0', 'all', '185', '65535');
INSERT INTO `loottable` VALUES ('11', 'Two-Handed Cleaver', '237038605', '131080', '', '0', 'pointBlankAccuracy=-45:idealRange=5:maxDamage=100:cert=cert_sword_2h_cleaver:category=16:maxRangeAccuracy=-45:attackSpeed=5:woundsRatio=16:idealAccuracy=-45:mindCost=15:maxRange=5:type=2:damageType=1:armorPiercing=2:condition=693/750:pointBlankRange=0:healthCost=64:minDamage=45:actionCost=40:', '', '10', '40', '0', '0', '0', '0', 'all', '177', '65535');
INSERT INTO `loottable` VALUES ('11', 'Sword', '3621186351', '131079', '', '0', 'pointBlankAccuracy=-45:idealRange=5:maxDamage=57:cert=cert_sword_01:category=16:maxRangeAccuracy=-45:attackSpeed=4.7:woundsRatio=11.8497:idealAccuracy=-45:mindCost=12:maxRange=5:type=1:damageType=1:armorPiercing=0:condition=653/750:pointBlankRange=0:healthCost=83:minDamage=25:actionCost=26:', '', '17', '20', '0', '0', '0', '0', 'all', '178', '65535');
INSERT INTO `loottable` VALUES ('11', 'Reinforced Combat Staff', '238936831', '131081', '', '0', 'pointBlankAccuracy=-45:idealRange=5:maxDamage=55:category=16:maxRangeAccuracy=-45:attackSpeed=5:woundsRatio=7:idealAccuracy=-45:mindCost=15:maxRange=5:type=3:damageType=1:armorPiercing=0:condition=718/750:pointBlankRange=0:healthCost=51:minDamage=20:actionCost=30:cert=cert_lance_staff_wood_s2:', '', '17', '20', '0', '0', '0', '0', 'all', '179', '65535');
INSERT INTO `loottable` VALUES ('11', 'Lance', '3892633613', '131081', '', '0', 'pointBlankAccuracy=-45:idealRange=5:maxDamage=55:category=16:maxRangeAccuracy=-45:attackSpeed=5:woundsRatio=7:idealAccuracy=-45:mindCost=15:maxRange=5:type=3:damageType=1:armorPiercing=0:condition=718/750:pointBlankRange=0:healthCost=51:minDamage=20:actionCost=30:cert=cert_lance_controllerfp:', '', '17', '20', '0', '0', '0', '0', 'all', '180', '65535');
INSERT INTO `loottable` VALUES ('11', 'Two-Handed Curved Sword', '653612816', '131080', '', '0', 'pointBlankAccuracy=-45:idealRange=5:maxDamage=118:cert=cert_2h_sword_katana:category=16:maxRangeAccuracy=-45:attackSpeed=6:woundsRatio=11.8497:idealAccuracy=-45:mindCost=25:maxRange=5:type=2:damageType=1:armorPiercing=2:condition=653/750:pointBlankRange=0:healthCost=83:minDamage=42:actionCost=26:', '', '4', '75', '0', '0', '0', '0', 'all', '181', '65535');
INSERT INTO `loottable` VALUES ('11', 'Gamorrean Battle Axe', '3657264180', '131080', '', '0', 'pointBlankAccuracy=-45:idealRange=5:maxDamage=108:cert=cert_2h_sword_battleaxe:category=16:maxRangeAccuracy=-45:attackSpeed=6:woundsRatio=11.8497:idealAccuracy=-45:mindCost=42:maxRange=5:type=2:damageType=1:armorPiercing=2:condition=653/750:pointBlankRange=0:healthCost=83:minDamage=56:actionCost=26:', '', '3', '75', '0', '0', '0', '0', 'all', '182', '65535');
INSERT INTO `loottable` VALUES ('11', 'Heavy Axe', '3768853699', '131080', '', '0', 'pointBlankAccuracy=-45:idealRange=5:maxDamage=35:category=16:maxRangeAccuracy=-45:attackSpeed=4.7:woundsRatio=11.8497:idealAccuracy=-45:mindCost=12:maxRange=5:type=2:damageType=1:armorPiercing=0:condition=693/750:pointBlankRange=0:healthCost=83:minDamage=15:actionCost=26', '', '17', '20', '0', '0', '0', '0', 'all', '183', '65535');
INSERT INTO `loottable` VALUES ('15', 'DH17 Carbine', '3185522316', '131083', '', '0', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=11:type=5:armorPiercing=0:condition=649/750:maxRangeAccuracy=0:range=32:damageType=2:mindCost=5:minDamage=15.845:healthCost=9:maxDamage=35.955:idealAccuracy=-28:woundsRatio=0:attackSpeed=5.39:category=32:idealRange=25:maxRange=32:cert=cert_carbine_dh17:', '', '13', '20', '0', '0', '0', '0', 'all', '184', '65535');
INSERT INTO `loottable` VALUES ('15', 'E11 Carbine', '2156616703', '131083', '', '0', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=11:type=5:armorPiercing=1:condition=649/750:maxRangeAccuracy=0:range=32:damageType=2:mindCost=25:minDamage=35.845:healthCost=9:maxDamage=75.955:idealAccuracy=-28:woundsRatio=0:attackSpeed=5.39:category=32:idealRange=25:maxRange=32:cert=cert_carbine_e11:', '', '10', '20', '0', '0', '0', '0', 'all', '186', '65535');
INSERT INTO `loottable` VALUES ('15', 'EE3 Carbine', '418740352', '131083', '', '0', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=11:type=5:armorPiercing=0:condition=649/750:maxRangeAccuracy=0:range=32:damageType=6:mindCost=25:minDamage=35.845:healthCost=9:maxDamage=75.955:idealAccuracy=-28:woundsRatio=0:attackSpeed=5.39:category=32:idealRange=25:maxRange=32:cert=cert_carbine_ee3:', '', '6', '50', '0', '0', '0', '0', 'all', '187', '65535');
INSERT INTO `loottable` VALUES ('15', 'Elite Carbine', '1778522271', '131083', '', '0', 'pointBlankAccuracy=-10:idealRange=50:maxDamage=145:range=64:category=32:maxRangeAccuracy=-40:attackSpeed=6.6:woundsRatio=10:idealAccuracy=3:mindCost=55:maxRange=64:type=5:damageType=2:armorPiercing=1:condition=710/750:pointBlankRange=0:healthCost=22:minDamage=30:actionCost=36:cert=cert_carbine_elite:', '', '4', '75', '0', '0', '0', '0', 'all', '188', '65535');
INSERT INTO `loottable` VALUES ('15', 'Heavy Acid Beam', '100102071', '131078', '', '0', 'pointBlankAccuracy=-30:idealRange=48:maxDamage=257.3:range=45:category=32:maxRangeAccuracy=30:attackSpeed=8.6:woundsRatio=17.2:idealAccuracy=20:mindCost=63:maxRange=64:type=14:damageType=8:armorPiercing=2:condition=710/750:pointBlankRange=0:healthCost=63:minDamage=127.2:actionCost=66:cert=cert_heavy_acid_beam:', '', '20', '75', '0', '0', '0', '0', 'all', '189', '65535');
INSERT INTO `loottable` VALUES ('15', 'Heavy Acid Rifle', '4227426203', '131078', '', '0', 'pointBlankAccuracy=-30:idealRange=48:maxDamage=280:range=45:category=32:maxRangeAccuracy=30:attackSpeed=8.6:woundsRatio=17.2:idealAccuracy=20:mindCost=83:maxRange=64:type=13:damageType=8:armorPiercing=0:condition=710/750:pointBlankRange=0:healthCost=63:minDamage=122:actionCost=66:cert=cert_rifle_acid_beam:', '', '20', '75', '0', '0', '0', '0', 'all', '190', '65535');
INSERT INTO `loottable` VALUES ('15', 'Heavy Particle Beam Cannon', '180006972', '131078', '', '0', 'pointBlankAccuracy=-30:idealRange=48:maxDamage=257.3:range=45:category=32:maxRangeAccuracy=30:attackSpeed=8.6:woundsRatio=17.2:idealAccuracy=20:mindCost=63:maxRange=64:type=17:damageType=2:armorPiercing=3:condition=710/750:pointBlankRange=0:healthCost=63:minDamage=127.2:actionCost=66:cert=cert_heavy_particle_beam:', '', '20', '75', '0', '0', '0', '0', 'all', '191', '65535');
INSERT INTO `loottable` VALUES ('15', 'Lightning Beam Cannon', '949442296', '131078', '', '0', 'pointBlankAccuracy=-30:idealRange=48:maxDamage=257.3:range=45:category=32:maxRangeAccuracy=30:attackSpeed=8.6:woundsRatio=17.2:idealAccuracy=20:mindCost=63:maxRange=64:type=15:damageType=3:armorPiercing=1:condition=710/750:pointBlankRange=0:healthCost=63:minDamage=127.2:actionCost=66:cert=cert_heavy_lightning_beam:', '', '20', '75', '0', '0', '0', '0', 'all', '192', '65535');
INSERT INTO `loottable` VALUES ('15', 'D18 Pistol', '252668529', '131082', '', '0', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=15:type=4:skillMod2Value=0:armorPiercing=0:condition=541/750:maxRangeAccuracy=0:range=32:damageType=2:mindCost=5:minDamage=50:healthCost=10:maxDamage=80:idealAccuracy=-28:skillMod2Type=0:woundsRatio=7:attackSpeed=4:category=32:idealRange=25:maxRange=32:cert=cert_pistol_d18:', '', '16', '20', '0', '0', '0', '0', 'all', '193', '65535');
INSERT INTO `loottable` VALUES ('15', 'DH17 Pistol', '4049887149', '131082', '', '0', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=15:type=4:skillMod2Value=0:armorPiercing=0:condition=541/750:maxRangeAccuracy=0:range=32:damageType=2:mindCost=5:minDamage=20:healthCost=10:maxDamage=50:idealAccuracy=-28:woundsRatio=7:attackSpeed=4:category=32:idealRange=25:maxRange=32:cert=cert_pistol_dh17:', '', '16', '20', '0', '0', '0', '0', 'all', '194', '65535');
INSERT INTO `loottable` VALUES ('15', 'DL44 Pistol', '1684501073', '131082', '', '0', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=15:type=4:skillMod2Value=0:armorPiercing=0:condition=541/750:maxRangeAccuracy=0:range=32:damageType=2:mindCost=5:minDamage=50:healthCost=10:maxDamage=80:idealAccuracy=-28:skillMod2Type=0:woundsRatio=7:attackSpeed=4:category=32:idealRange=25:maxRange=32:cert=cert_pistol_dl44:', '', '13', '20', '0', '0', '0', '0', 'all', '195', '65535');
INSERT INTO `loottable` VALUES ('15', 'DL44 Metal', '2369917394', '131082', '', '0', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=15:type=4:skillMod2Value=0:armorPiercing=0:condition=541/750:maxRangeAccuracy=0:range=32:damageType=2:mindCost=5:minDamage=50:healthCost=10:maxDamage=80:idealAccuracy=-28:skillMod2Type=0:woundsRatio=7:attackSpeed=4:category=32:idealRange=25:maxRange=32:cert=cert_pistol_dl44_metal:', '', '11', '20', '0', '0', '0', '0', 'all', '196', '65535');
INSERT INTO `loottable` VALUES ('15', 'FWG5 ', '2502383196', '131082', '', '0', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=15:type=4:skillMod2Value=0:armorPiercing=0:condition=541/750:maxRangeAccuracy=0:range=32:damageType=6:mindCost=5:minDamage=50:healthCost=10:maxDamage=80:idealAccuracy=-28:skillMod2Type=0:woundsRatio=7:attackSpeed=5:category=32:idealRange=25:maxRange=32:cert=cert_pistol_fwg5:', '', '5', '60', '0', '0', '0', '0', 'all', '197', '65535');
INSERT INTO `loottable` VALUES ('15', 'Power5 Pistol', '1687234741', '131082', '', '0', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=15:type=4:skillMod2Value=0:armorPiercing=0:condition=541/750:maxRangeAccuracy=0:range=32:damageType=2:mindCost=5:minDamage=50:healthCost=10:maxDamage=80:idealAccuracy=-28:skillMod2Type=0:woundsRatio=7:attackSpeed=4:category=32:idealRange=25:maxRange=32:cert=cert_pistol_power5:', '', '12', '20', '0', '0', '0', '0', 'all', '198', '65535');
INSERT INTO `loottable` VALUES ('15', 'Republic Blaster', '2262347426', '131082', '', '0', 'pointBlankAccuracy=-30:pointBlankRange=0:actionCost=35:type=4:armorPiercing=1:condition=510/750:maxRangeAccuracy=-85:range=45:damageType=2:mindCost=32:minDamage=40:healthCost=20:cert=cert_pistol_republic_blaster:maxDamage=100:idealAccuracy=60:woundsRatio=12:attackSpeed=5:category=32:idealRange=30:maxRange=44:', '', '2', '150', '0', '0', '0', '0', 'all', '199', '65535');
INSERT INTO `loottable` VALUES ('15', 'SR Combat Pistol', '1691705957', '131082', '', '0', 'pointBlankAccuracy=-30:pointBlankRange=0:actionCost=35:type=4:armorPiercing=1:condition=510/750:maxRangeAccuracy=-85:range=45:damageType=2:mindCost=12:minDamage=60:healthCost=20:cert=cert_pistol_srcombat:maxDamage=90:idealAccuracy=60:woundsRatio=12:attackSpeed=4.5:category=32:idealRange=30:maxRange=44:', '', '10', '20', '0', '0', '0', '0', 'all', '200', '65535');
INSERT INTO `loottable` VALUES ('15', 'Striker Pistol', '2375243758', '131082', '', '0', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=15:type=4:skillMod2Value=0:armorPiercing=0:condition=541/750:maxRangeAccuracy=0:range=32:damageType=1:mindCost=5:minDamage=50:healthCost=10:maxDamage=80:idealAccuracy=-28:skillMod2Type=0:woundsRatio=7:attackSpeed=4:category=32:idealRange=25:maxRange=32:cert=cert_pistol_striker:', '', '14', '20', '0', '0', '0', '0', 'all', '201', '65535');
INSERT INTO `loottable` VALUES ('15', 'Tangle Pistol', '3357582048', '131082', '', '0', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=15:type=4:skillMod2Value=0:armorPiercing=0:condition=541/750:maxRangeAccuracy=0:range=32:damageType=4:mindCost=5:minDamage=40:healthCost=10:maxDamage=70:idealAccuracy=-28:skillMod2Type=0:woundsRatio=7:attackSpeed=6:category=32:idealRange=25:maxRange=32:cert=cert_pistol_tangle:', '', '8', '20', '0', '0', '0', '0', 'all', '202', '65535');
INSERT INTO `loottable` VALUES ('15', 'Dlt20 Rifle', '2176826220', '131084', '', '0', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=35:type=6:armorPiercing=0:condition=541/750:maxRangeAccuracy=0:range=64:damageType=2:mindCost=65:minDamage=10:healthCost=35:maxDamage=100:idealAccuracy=-32:woundsRatio=22:attackSpeed=9:category=32:idealRange=60:maxRange=64:cert=cert_rifle_dlt20:', '', '13', '20', '0', '0', '0', '0', 'all', '203', '65535');
INSERT INTO `loottable` VALUES ('15', 'Dlt20a Rifle', '2940025064', '131084', '', '0', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=35:type=6:armorPiercing=0:condition=541/750:maxRangeAccuracy=0:range=64:damageType=2:mindCost=65:minDamage=10:healthCost=35:maxDamage=100:idealAccuracy=-32:woundsRatio=22:attackSpeed=9:category=32:idealRange=60:maxRange=64:cert=cert_rifle_dlt20a:', '', '13', '20', '0', '0', '0', '0', 'all', '204', '65535');
INSERT INTO `loottable` VALUES ('15', 'E11 Rifle', '709369610', '131084', '', '0', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=35:type=6:armorPiercing=2:condition=541/750:maxRangeAccuracy=0:range=64:damageType=2:mindCost=65:minDamage=10:healthCost=35:maxDamage=100:idealAccuracy=-32:woundsRatio=22:attackSpeed=9:category=32:idealRange=60:maxRange=64:cert=cert_rifle_e11:', '', '5', '20', '0', '0', '0', '0', 'all', '205', '65535');
INSERT INTO `loottable` VALUES ('15', 'Scatter Pistol', '322519616', '131082', '', '0', 'pointBlankAccuracy=-30:pointBlankRange=0:actionCost=35:type=4:armorPiercing=1:condition=510/750:maxRangeAccuracy=-85:range=45:damageType=8:mindCost=12:minDamage=60:healthCost=20:cert=cert_pistol_scatter:maxDamage=90:idealAccuracy=60:woundsRatio=12:attackSpeed=5:category=32:idealRange=30:maxRange=44:', '', '8', '50', '0', '0', '0', '0', 'all', '206', '65535');
INSERT INTO `loottable` VALUES ('15', 'Scout Blaster', '129228399', '131082', '', '0', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=15:type=4:skillMod2Value=0:armorPiercing=0:condition=541/750:maxRangeAccuracy=0:range=32:damageType=2:mindCost=5:minDamage=50:healthCost=10:maxDamage=80:idealAccuracy=-28:skillMod2Type=0:woundsRatio=7:attackSpeed=4:category=32:idealRange=25:maxRange=32:cert=cert_pistol_scout_blaster:', '', '8', '20', '0', '0', '0', '0', 'all', '207', '65535');
INSERT INTO `loottable` VALUES ('0', 'Rare Artifact', '1652576106', '8211', '', '0', '', '', '5', '100', '0', '0', '0', '0', 'all', '208', '65535');
INSERT INTO `loottable` VALUES ('0', 'Sith Holocron Splinters', '2277643805', '8211', '', '0', '', '', '3', '50', '0', '0', '0', '0', 'all', '209', '65535');
INSERT INTO `loottable` VALUES ('0', 'Decorative Shisa', '4234779930', '8211', '', '0', '', '', '1', '100', '0', '0', '0', '0', 'all', '210', '65535');
INSERT INTO `loottable` VALUES ('0', 'Work Light', '1005279773', '8211', '', '0', '', '', '10', '1', '0', '0', '0', '0', 'all', '211', '65535');
INSERT INTO `loottable` VALUES ('0', 'Binoculars (broken)', '3013116266', '8211', '', '0', '', '', '25', '1', '0', '0', '0', '0', 'all', '212', '65535');
INSERT INTO `loottable` VALUES ('0', 'Datapad ', '2764663345', '8211', '', '0', '', '', '30', '1', '0', '0', '0', '0', 'all', '213', '65535');
INSERT INTO `loottable` VALUES ('0', 'Recording Rod (broken)', '452239369', '8211', '', '0', '', '', '10', '1', '0', '0', '0', '0', 'all', '214', '65535');
INSERT INTO `loottable` VALUES ('100', 'Dark Jedi Medallion', '405331538', '8211', '', '0', 'condition=1000/1000:', '', '1', '200', '0', '0', '0', '0', 'all', '215', '65535');
INSERT INTO `loottable` VALUES ('0', 'Petrified Avian  Egg', '1604147806', '8211', '', '0', '', '', '2', '50', '0', '0', '0', '0', 'all', '216', '65535');
INSERT INTO `loottable` VALUES ('0', 'Slave Collar', '2855690015', '8211', '', '0', '', '', '3', '1', '0', '0', '0', '0', 'all', '217', '65535');
INSERT INTO `loottable` VALUES ('0', 'Datapad (broken)', '2764663345', '8211', '', '0', '', '', '70', '1', '0', '0', '0', '0', 'all', '220', '65535');
INSERT INTO `loottable` VALUES ('25', 'Tusken Boots', '3167349420', '16777222', '', '0', 'condition=700/950', '', '15', '200', '0', '0', '0', '0', 'all', '221', '65535');
INSERT INTO `loottable` VALUES ('25', 'Tusken Gloves', '44025924', '16777224', '', '0', 'condition=700/950', '', '15', '200', '0', '0', '0', '0', 'all', '222', '65535');
INSERT INTO `loottable` VALUES ('25', 'Tusken Robe', '3255665113', '16777219', '', '0', 'condition=700/950', '', '15', '200', '0', '0', '0', '0', 'all', '223', '65535');
INSERT INTO `loottable` VALUES ('25', 'Tusken Helmet', '1630509359', '16777226', '', '0', 'condition=700/950', '', '15', '200', '0', '0', '0', '0', 'all', '224', '65535');
INSERT INTO `loottable` VALUES ('51', 'Bone Armor Bicep (Left)', '1386184862', '261', 'armor_bone_s01_bicep_l', '0', 'sockets=2:blast=10:mindEncumberence=100:condition=33229/35000:rating=16:electricity=10:armorType=4:acid=10:actionEncumberence=100:sliced=false:heat=10:lightSaber=0:cold=10:healthEncumberence=100:stun=0:kinetic=10:energy=10:', '', '1', '30', '0', '0', '0', '0', 'all', '225', '62975');
INSERT INTO `loottable` VALUES ('51', 'Bone Armor Bicep (Right)', '575325453', '261', 'armor_bone_s01_bicep_r', '0', 'sockets=2:blast=10:mindEncumberence=100:condition=33229/35000:rating=16:electricity=10:armorType=6:acid=10:actionEncumberence=100:sliced=false:heat=10:lightSaber=0:cold=10:healthEncumberence=100:stun=0:kinetic=10:energy=10:', '', '1', '30', '0', '0', '0', '0', 'all', '226', '62975');
INSERT INTO `loottable` VALUES ('51', 'Bone Armor Bracer (Left)', '1185807341', '261', 'armor_bone_s01_bracer_l', '0', 'sockets=2:blast=10:mindEncumberence=100:condition=33229/35000:rating=16:electricity=10:armorType=3:acid=10:actionEncumberence=100:sliced=false:heat=10:lightSaber=0:cold=10:healthEncumberence=100:stun=0:kinetic=10:energy=10:', '', '1', '30', '0', '0', '0', '0', 'all', '227', '62975');
INSERT INTO `loottable` VALUES ('51', 'Bone Armor Bracer (Right)', '913882750', '261', 'armor_bone_s01_bracer_r', '0', 'sockets=2:blast=10:mindEncumberence=100:condition=33229/35000:rating=16:electricity=10:armorType=5:acid=10:actionEncumberence=100:sliced=false:heat=10:lightSaber=0:cold=10:healthEncumberence=100:stun=0:kinetic=10:energy=10:', '', '1', '30', '0', '0', '0', '0', 'all', '228', '62975');
INSERT INTO `loottable` VALUES ('51', 'Bone Armor Boots', '1652891098', '263', 'armor_bone_s01_boots', '0', 'sockets=2:blast=10:mindEncumberence=100:condition=33229/35000:rating=16:electricity=10:armorType=8:acid=10:actionEncumberence=100:sliced=false:heat=10:lightSaber=0:cold=10:healthEncumberence=100:stun=0:kinetic=10:energy=10:', '', '1', '30', '0', '0', '0', '0', 'all', '229', '62967');
INSERT INTO `loottable` VALUES ('51', 'Bone Armor Gloves ', '2805367763', '262', 'armor_bone_s01_gloves', '0', 'sockets=2:blast=10:mindEncumberence=100:condition=33229/35000:rating=16:electricity=10:armorType=2:acid=10:actionEncumberence=100:sliced=false:heat=10:lightSaber=0:cold=10:healthEncumberence=100:stun=0:kinetic=10:energy=10:', '', '1', '30', '0', '0', '0', '0', 'all', '230', '62975');
INSERT INTO `loottable` VALUES ('52', 'Bone Armor Chestplate', '1994709940', '257', 'armor_bone_s01_chest_plate', '0', 'sockets=2:blast=10:mindEncumberence=100:condition=33229/35000:rating=16:electricity=10:armorType=1:acid=10:actionEncumberence=100:sliced=false:heat=10:lightSaber=0:cold=10:healthEncumberence=100:stun=0:kinetic=10:energy=10:', '', '1', '30', '0', '0', '0', '0', 'all', '231', '62975');
INSERT INTO `loottable` VALUES ('52', 'Bone Armor Leggings ', '3381208818', '260', 'armor_bone_s01_leggings', '0', 'sockets=2:blast=10:mindEncumberence=100:condition=33229/35000:rating=16:electricity=10:armorType=7:acid=10:actionEncumberence=100:sliced=false:heat=10:lightSaber=0:cold=10:healthEncumberence=100:stun=0:kinetic=10:energy=10:', '', '1', '30', '0', '0', '0', '0', 'all', '232', '62975');
INSERT INTO `loottable` VALUES ('52', 'Bone Armor Helmet', '301359835', '258', 'armor_bone_s01_helmet', '0', 'sockets=2:blast=10:mindEncumberence=100:condition=33229/35000:rating=16:electricity=10:armorType=9:acid=10:actionEncumberence=100:sliced=false:heat=10:lightSaber=0:cold=10:healthEncumberence=100:stun=0:kinetic=10:energy=10:', '', '1', '30', '0', '0', '0', '0', 'all', '233', '62975');
INSERT INTO `loottable` VALUES ('50', 'Bounty Hunter Belt', '2660320510', '16777218', 'armor_bounty_hunter_belt', '0', 'condition=1000/1000:', '', '1', '90', '0', '0', '0', '0', 'all', '234', '62975');
INSERT INTO `loottable` VALUES ('53', 'Chitin Armor Bicep (Right)', '1306956967', '261', 'armor_chitin_s01_bicep_r', '0', 'sockets=2:blast=10:mindEncumberence=100:condition=33229/35000:rating=16:electricity=10:armorType=6:acid=10:actionEncumberence=100:sliced=false:heat=10:lightSaber=0:cold=10:healthEncumberence=100:stun=0:kinetic=10:energy=10:', '', '2', '50', '0', '0', '0', '0', 'all', '235', '62975');
INSERT INTO `loottable` VALUES ('53', 'Chitin Armor Bicep (Left)', '1026806068', '261', 'armor_chitin_s01_bicep_l', '0', 'sockets=2:blast=10:mindEncumberence=100:condition=33229/35000:rating=16:electricity=10:armorType=4:acid=10:actionEncumberence=100:sliced=false:heat=10:lightSaber=0:cold=10:healthEncumberence=100:stun=0:kinetic=10:energy=10:', '', '2', '50', '0', '0', '0', '0', 'all', '236', '62975');
INSERT INTO `loottable` VALUES ('53', 'Chitin Armor Boots', '1503133620', '263', 'armor_chitin_s01_boots', '0', 'sockets=2:blast=10:mindEncumberence=100:condition=33229/35000:rating=16:electricity=10:armorType=8:acid=10:actionEncumberence=100:sliced=false:heat=10:lightSaber=0:cold=10:healthEncumberence=100:stun=0:kinetic=10:energy=10:', '', '2', '50', '0', '0', '0', '0', 'all', '237', '62967');
INSERT INTO `loottable` VALUES ('53', 'Chitin Armor Bracer (Left)', '2115381959', '261', 'armor_chitin_s01_bracer_l', '0', 'sockets=2:blast=10:mindEncumberence=100:condition=33229/35000:rating=16:electricity=10:armorType=3:acid=10:actionEncumberence=100:sliced=false:heat=10:lightSaber=0:cold=10:healthEncumberence=100:stun=0:kinetic=10:energy=10:', '', '2', '50', '0', '0', '0', '0', 'all', '238', '62975');
INSERT INTO `loottable` VALUES ('53', 'Chitin Armor Bracer (Right)', '247689044', '261', 'armor_chitin_s01_bracer_r', '0', 'sockets=2:blast=10:mindEncumberence=100:condition=33229/35000:rating=16:electricity=10:armorType=5:acid=10:actionEncumberence=100:sliced=false:heat=10:lightSaber=0:cold=10:healthEncumberence=100:stun=0:kinetic=10:energy=10:', '', '2', '50', '0', '0', '0', '0', 'all', '239', '62975');
INSERT INTO `loottable` VALUES ('53', 'Chitin Armor Gloves', '1252870946', '262', 'armor_chitin_s01_gloves', '0', 'sockets=2:blast=10:mindEncumberence=100:condition=33229/35000:rating=16:electricity=10:armorType=2:acid=10:actionEncumberence=100:sliced=false:heat=10:lightSaber=0:cold=10:healthEncumberence=100:stun=0:kinetic=10:energy=10:', '', '1', '50', '0', '0', '0', '0', 'all', '240', '62975');
INSERT INTO `loottable` VALUES ('54', 'Chitin Helmet', '4235045418', '258', 'armor_chitin_s01_helmet', '0', 'sockets=2:blast=10:mindEncumberence=100:condition=33229/35000:rating=16:electricity=10:armorType=9:acid=10:actionEncumberence=100:sliced=false:heat=10:lightSaber=0:cold=10:healthEncumberence=100:stun=0:kinetic=10:energy=10:', '', '1', '50', '0', '0', '0', '0', 'all', '241', '62975');
INSERT INTO `loottable` VALUES ('54', 'Chitin Chestplate', '725211246', '257', 'armor_chitin_s01_chest_plate', '0', 'sockets=2:blast=10:mindEncumberence=100:condition=33229/35000:rating=16:electricity=10:armorType=1:acid=10:actionEncumberence=100:sliced=false:heat=10:lightSaber=0:cold=10:healthEncumberence=100:stun=0:kinetic=10:energy=10:', '', '1', '50', '0', '0', '0', '0', 'all', '242', '62975');
INSERT INTO `loottable` VALUES ('54', 'Chitin Leggings', '4046649304', '260', 'armor_chitin_s01_leggings', '0', 'sockets=2:blast=10:mindEncumberence=100:condition=33229/35000:rating=16:electricity=10:armorType=7:acid=10:actionEncumberence=100:sliced=false:heat=10:lightSaber=0:cold=10:healthEncumberence=100:stun=0:kinetic=10:energy=10:', '', '1', '50', '0', '0', '0', '0', 'all', '243', '62975');
INSERT INTO `loottable` VALUES ('44', 'Marine Chestplate (Rebel)', '2573476506', '257', 'armor_stormtrooper_chest_plate_rebel', '0', 'heat=10:sliced=false:energy=10:armorType=7:cold=10:stun=0:lightSaber=0:electricity=10:healthEncumberence=100:blast=10:actionEncumberence=100:kinetic=10:rating=16:mindEncumberence=100:sockets=2:condition=35000/35000:acid=10:', '', '1', '80', '0', '0', '0', '0', 'all', '244', '17919');
INSERT INTO `loottable` VALUES ('55', 'Tantel Armor Boots', '2233569603', '263', 'armor_tantel_skreej_boots', '0', 'sockets=2:blast=10:mindEncumberence=100:condition=33229/35000:rating=16:electricity=10:armorType=8:acid=10:actionEncumberence=100:sliced=false:heat=10:lightSaber=0:cold=10:healthEncumberence=100:stun=0:kinetic=10:energy=10:', '', '2', '50', '0', '0', '0', '0', 'all', '245', '62967');
INSERT INTO `loottable` VALUES ('55', 'Tantel Armor Chestplate', '3641538473', '257', 'armor_tantel_skreej_chest_plate', '0', 'sockets=2:blast=10:mindEncumberence=100:condition=33229/35000:rating=16:electricity=10:armorType=1:acid=10:actionEncumberence=100:sliced=false:heat=10:lightSaber=0:cold=10:healthEncumberence=100:stun=0:kinetic=10:energy=10:', '', '1', '50', '0', '0', '0', '0', 'all', '246', '62975');
INSERT INTO `loottable` VALUES ('55', 'Tantel Armor Helmet', '1855229351', '258', 'armor_tantel_skreej_helmet', '0', 'sockets=2:blast=10:mindEncumberence=100:condition=33229/35000:rating=16:electricity=10:armorType=9:acid=10:actionEncumberence=100:sliced=false:heat=10:lightSaber=0:cold=10:healthEncumberence=100:stun=0:kinetic=10:energy=10:', '', '1', '50', '0', '0', '0', '0', 'all', '247', '62975');
INSERT INTO `loottable` VALUES ('42', 'Stormtrooper Utility Belt', '487215056', '16777218', 'armor_stormtrooper_utility_belt', '0', 'condition=1000/1000:', '', '7', '80', '0', '0', '0', '0', 'all', '248', '9727');
INSERT INTO `loottable` VALUES ('44', 'Marine Backpack', '2056070791', '8213', 'armor_marine_backpack', '0', 'condition=1000/1000:', '', '1', '80', '0', '0', '0', '0', 'all', '249', '17919');
INSERT INTO `loottable` VALUES ('56', 'Ubese Armor Bandolier', '4047288665', '16777217', 'armor_ubese_bandolier', '0', 'condition=1000/1000:', '', '1', '100', '0', '0', '0', '0', 'all', '250', '62975');
INSERT INTO `loottable` VALUES ('56', 'Ubese Armor Boots', '1261688149', '263', 'armor_ubese_boots', '0', 'sockets=2:blast=10:mindEncumberence=100:condition=33229/35000:rating=16:electricity=10:armorType=8:acid=10:actionEncumberence=100:sliced=false:heat=10:lightSaber=0:cold=10:healthEncumberence=100:stun=0:kinetic=10:energy=10:', '', '2', '100', '0', '0', '0', '0', 'all', '251', '62967');
INSERT INTO `loottable` VALUES ('56', 'Ubese Armor Bracer (Left)', '3515815064', '261', 'armor_ubese_bracer_l', '0', 'sockets=2:blast=10:mindEncumberence=100:condition=33229/35000:rating=16:electricity=10:armorType=3:acid=10:actionEncumberence=100:sliced=false:heat=10:lightSaber=0:cold=10:healthEncumberence=100:stun=0:kinetic=10:energy=10:', '', '2', '100', '0', '0', '0', '0', 'all', '252', '62975');
INSERT INTO `loottable` VALUES ('56', 'Ubese Armor Bracer (Right)', '2707050763', '261', 'armor_ubese_bracer_r', '0', 'sockets=2:blast=10:mindEncumberence=100:condition=33229/35000:rating=16:electricity=10:armorType=5:acid=10:actionEncumberence=100:sliced=false:heat=10:lightSaber=0:cold=10:healthEncumberence=100:stun=0:kinetic=10:energy=10:', '', '2', '100', '0', '0', '0', '0', 'all', '253', '62975');
INSERT INTO `loottable` VALUES ('56', 'Ubese Armor Gloves', '2870233660', '262', 'armor_ubese_gloves', '0', 'sockets=2:blast=10:mindEncumberence=100:condition=33229/35000:rating=16:electricity=10:armorType=2:acid=10:actionEncumberence=100:sliced=false:heat=10:lightSaber=0:cold=10:healthEncumberence=100:stun=0:kinetic=10:energy=10:', '', '1', '100', '0', '0', '0', '0', 'all', '254', '62975');
INSERT INTO `loottable` VALUES ('56', 'Ubese Armor Helmet', '500476724', '258', 'armor_ubese_helmet', '0', 'sockets=2:blast=10:mindEncumberence=100:condition=33229/35000:rating=16:electricity=10:armorType=9:acid=10:actionEncumberence=100:sliced=false:heat=10:lightSaber=0:cold=10:healthEncumberence=100:stun=0:kinetic=10:energy=10:', '', '1', '100', '0', '0', '0', '0', 'all', '255', '62975');
INSERT INTO `loottable` VALUES ('56', 'Ubese Armor Pants', '4117292503', '260', 'armor_ubese_pants', '0', 'sockets=2:blast=10:mindEncumberence=100:condition=33229/35000:rating=16:electricity=10:armorType=7:acid=10:actionEncumberence=100:sliced=false:heat=10:lightSaber=0:cold=10:healthEncumberence=100:stun=0:kinetic=10:energy=10:', '', '1', '100', '0', '0', '0', '0', 'all', '256', '62975');
INSERT INTO `loottable` VALUES ('57', 'Padded Armor Belt', '3361978968', '16777218', 'armor_padded_s01_belt', '0', 'condition=1000/1000:', '', '1', '75', '0', '0', '0', '0', 'all', '257', '62975');
INSERT INTO `loottable` VALUES ('57', 'Padded Armor Bicep (Left)', '525967921', '261', 'armor_padded_s01_bicep_l', '0', 'sockets=2:blast=10:mindEncumberence=100:condition=33229/35000:rating=16:electricity=10:armorType=4:acid=10:actionEncumberence=100:sliced=false:heat=10:lightSaber=0:cold=10:healthEncumberence=100:stun=0:kinetic=10:energy=10:', '', '2', '75', '0', '0', '0', '0', 'all', '258', '62975');
INSERT INTO `loottable` VALUES ('57', 'Padded Armor Bicep (Right)', '1871505314', '261', 'armor_padded_s01_bicep_r', '0', 'sockets=2:blast=10:mindEncumberence=100:condition=33229/35000:rating=16:electricity=10:armorType=6:acid=10:actionEncumberence=100:sliced=false:heat=10:lightSaber=0:cold=10:healthEncumberence=100:stun=0:kinetic=10:energy=10:', '', '2', '75', '0', '0', '0', '0', 'all', '259', '62975');
INSERT INTO `loottable` VALUES ('57', 'Padded Armor Boots', '3331166495', '263', 'armor_padded_s01_boots', '0', 'sockets=2:blast=10:mindEncumberence=100:condition=33229/35000:rating=16:electricity=10:armorType=8:acid=10:actionEncumberence=100:sliced=false:heat=10:lightSaber=0:cold=10:healthEncumberence=100:stun=0:kinetic=10:energy=10:', '', '1', '75', '0', '0', '0', '0', 'all', '260', '62967');
INSERT INTO `loottable` VALUES ('57', 'Padded Armor Bracer (Left)', '2244256329', '261', 'armor_padded_s01_bracer_l', '0', 'sockets=2:blast=10:mindEncumberence=100:condition=33229/35000:rating=16:electricity=10:armorType=3:acid=10:actionEncumberence=100:sliced=false:heat=10:lightSaber=0:cold=10:healthEncumberence=100:stun=0:kinetic=10:energy=10:', '', '2', '75', '0', '0', '0', '0', 'all', '261', '62975');
INSERT INTO `loottable` VALUES ('57', 'Padded Armor Bracer (Right)', '4111591386', '261', 'armor_padded_s01_bracer_r', '0', 'sockets=2:blast=10:mindEncumberence=100:condition=33229/35000:rating=16:electricity=10:armorType=5:acid=10:actionEncumberence=100:sliced=false:heat=10:lightSaber=0:cold=10:healthEncumberence=100:stun=0:kinetic=10:energy=10:', '', '2', '75', '0', '0', '0', '0', 'all', '262', '62975');
INSERT INTO `loottable` VALUES ('58', 'Padded Armor Chestplate', '689622929', '257', 'armor_padded_s01_chest_plate', '0', 'sockets=2:blast=10:mindEncumberence=100:condition=33229/35000:rating=16:electricity=10:armorType=1:acid=10:actionEncumberence=100:sliced=false:heat=10:lightSaber=0:cold=10:healthEncumberence=100:stun=0:kinetic=10:energy=10:', '', '1', '75', '0', '0', '0', '0', 'all', '263', '62975');
INSERT INTO `loottable` VALUES ('57', 'Padded Armor Gloves', '1301374465', '262', 'armor_padded_s01_gloves', '0', 'sockets=2:blast=10:mindEncumberence=100:condition=33229/35000:rating=16:electricity=10:armorType=2:acid=10:actionEncumberence=100:sliced=false:heat=10:lightSaber=0:cold=10:healthEncumberence=100:stun=0:kinetic=10:energy=10:', '', '1', '75', '0', '0', '0', '0', 'all', '264', '62975');
INSERT INTO `loottable` VALUES ('58', 'Padded Armor Helmet', '4216424201', '258', 'armor_padded_s01_helmet', '0', 'sockets=2:blast=10:mindEncumberence=100:condition=33229/35000:rating=16:electricity=10:armorType=9:acid=10:actionEncumberence=100:sliced=false:heat=10:lightSaber=0:cold=10:healthEncumberence=100:stun=0:kinetic=10:energy=10:', '', '1', '75', '0', '0', '0', '0', 'all', '265', '62975');
INSERT INTO `loottable` VALUES ('58', 'Padded Armor Leggings', '182484822', '260', 'armor_padded_s01_leggings', '0', 'sockets=2:blast=10:mindEncumberence=100:condition=33229/35000:rating=16:electricity=10:armorType=7:acid=10:actionEncumberence=100:sliced=false:heat=10:lightSaber=0:cold=10:healthEncumberence=100:stun=0:kinetic=10:energy=10:', '', '1', '75', '0', '0', '0', '0', 'all', '266', '62975');
INSERT INTO `loottable` VALUES ('59', 'R.I.S. Armor Bicep (Left)', '774778471', '261', 'armor_ris_bicep_l', '0', 'sockets=2:blast=10:mindEncumberence=100:condition=33229/35000:rating=16:electricity=10:armorType=4:acid=10:actionEncumberence=100:sliced=false:heat=10:lightSaber=0:cold=10:healthEncumberence=100:stun=0:kinetic=10:energy=10:', '', '1', '200', '0', '0', '0', '0', 'all', '267', '62975');
INSERT INTO `loottable` VALUES ('59', 'R.I.S. Armor Bicep (Right)', '1593535476', '261', 'armor_ris_bicep_r', '0', 'sockets=2:blast=10:mindEncumberence=100:condition=33229/35000:rating=16:electricity=10:armorType=6:acid=10:actionEncumberence=100:sliced=false:heat=10:lightSaber=0:cold=10:healthEncumberence=100:stun=0:kinetic=10:energy=10:', '', '1', '200', '0', '0', '0', '0', 'all', '268', '62975');
INSERT INTO `loottable` VALUES ('59', 'R.I.S. Armor Boots', '3988162321', '263', 'armor_ris_boots', '0', 'sockets=2:blast=10:mindEncumberence=100:condition=33229/35000:rating=16:electricity=10:armorType=8:acid=10:actionEncumberence=100:sliced=false:heat=10:lightSaber=0:cold=10:healthEncumberence=100:stun=0:kinetic=10:energy=10:', '', '1', '200', '0', '0', '0', '0', 'all', '269', '62967');
INSERT INTO `loottable` VALUES ('59', 'R.I.S. Armor Bracer (Left)', '582714478', '261', 'armor_ris_bracer_l', '0', 'sockets=2:blast=10:mindEncumberence=100:condition=33229/35000:rating=16:electricity=10:armorType=3:acid=10:actionEncumberence=100:sliced=false:heat=10:lightSaber=0:cold=10:healthEncumberence=100:stun=0:kinetic=10:energy=10:', '', '1', '200', '0', '0', '0', '0', 'all', '270', '62975');
INSERT INTO `loottable` VALUES ('59', 'R.I.S. Armor Bracer (Right)', '1382990333', '261', 'armor_ris_bracer_r', '0', 'sockets=2:blast=10:mindEncumberence=100:condition=33229/35000:rating=16:electricity=10:armorType=5:acid=10:actionEncumberence=100:sliced=false:heat=10:lightSaber=0:cold=10:healthEncumberence=100:stun=0:kinetic=10:energy=10:', '', '1', '200', '0', '0', '0', '0', 'all', '271', '62975');
INSERT INTO `loottable` VALUES ('60', 'R.I.S. Armor Chestplate', '2462342247', '257', 'armor_ris_chest_plate', '0', 'sockets=2:blast=10:mindEncumberence=100:condition=33229/35000:rating=16:electricity=10:armorType=1:acid=10:actionEncumberence=100:sliced=false:heat=10:lightSaber=0:cold=10:healthEncumberence=100:stun=0:kinetic=10:energy=10:', '', '1', '200', '0', '0', '0', '0', 'all', '272', '62975');
INSERT INTO `loottable` VALUES ('59', 'R.I.S. Armor Gloves', '3320780160', '262', 'armor_ris_gloves', '0', 'sockets=2:blast=10:mindEncumberence=100:condition=33229/35000:rating=16:electricity=10:armorType=2:acid=10:actionEncumberence=100:sliced=false:heat=10:lightSaber=0:cold=10:healthEncumberence=100:stun=0:kinetic=10:energy=10:', '', '1', '200', '0', '0', '0', '0', 'all', '273', '62975');
INSERT INTO `loottable` VALUES ('60', 'R.I.S. Armor Helmet', '1932522632', '258', 'armor_ris_helmet', '0', 'sockets=2:blast=10:mindEncumberence=100:condition=33229/35000:rating=16:electricity=10:armorType=9:acid=10:actionEncumberence=100:sliced=false:heat=10:lightSaber=0:cold=10:healthEncumberence=100:stun=0:kinetic=10:energy=10:', '', '1', '200', '0', '0', '0', '0', 'all', '274', '62975');
INSERT INTO `loottable` VALUES ('60', 'R.I.S. Armor Leggings', '2912901489', '260', 'armor_ris_leggings', '0', 'sockets=2:blast=10:mindEncumberence=100:condition=33229/35000:rating=16:electricity=10:armorType=7:acid=10:actionEncumberence=100:sliced=false:heat=10:lightSaber=0:cold=10:healthEncumberence=100:stun=0:kinetic=10:energy=10:', '', '1', '200', '0', '0', '0', '0', 'all', '275', '62975');
INSERT INTO `loottable` VALUES ('38', 'SMC Bicep (Left)', '1841408054', '261', 'armor_smc_s01_bicep_l', '0', 'sockets=2:blast=10:mindEncumberence=100:condition=33229/35000:rating=16:electricity=10:armorType=6:acid=10:actionEncumberence=100:sliced=false:heat=10:lightSaber=0:cold=10:healthEncumberence=100:stun=0:kinetic=10:energy=10:', '', '1', '250', '0', '0', '0', '0', 'all', '276', '65535');
INSERT INTO `loottable` VALUES ('38', 'SMC Bicep (Right)', '487910821', '261', 'armor_smc_s01_bicep_r', '0', 'sockets=2:blast=10:mindEncumberence=100:condition=33229/35000:rating=16:electricity=10:armorType=6:acid=10:actionEncumberence=100:sliced=false:heat=10:lightSaber=0:cold=10:healthEncumberence=100:stun=0:kinetic=10:energy=10:', '', '1', '250', '0', '0', '0', '0', 'all', '277', '65535');
INSERT INTO `loottable` VALUES ('38', 'SMC Bracer (Left)', '4109927360', '261', 'armor_smc_s01_bracer_l', '0', 'sockets=2:blast=10:mindEncumberence=100:condition=33229/35000:rating=16:electricity=10:armorType=6:acid=10:actionEncumberence=100:sliced=false:heat=10:lightSaber=0:cold=10:healthEncumberence=100:stun=0:kinetic=10:energy=10:', '', '1', '250', '0', '0', '0', '0', 'all', '278', '65535');
INSERT INTO `loottable` VALUES ('38', 'SMC Bracer (Right)', '2217592403', '261', 'armor_smc_s01_bracer_r', '0', 'sockets=2:blast=10:mindEncumberence=100:condition=33229/35000:rating=16:electricity=10:armorType=6:acid=10:actionEncumberence=100:sliced=false:heat=10:lightSaber=0:cold=10:healthEncumberence=100:stun=0:kinetic=10:energy=10:', '', '1', '250', '0', '0', '0', '0', 'all', '279', '65535');
INSERT INTO `loottable` VALUES ('38', 'SMC Bone Bicep (Left)', '2545857559', '261', 'armor_smc_s01_bicep_l', '0', 'sockets=2:blast=10:mindEncumberence=100:condition=33229/35000:rating=16:electricity=10:armorType=6:acid=10:actionEncumberence=100:sliced=false:heat=10:lightSaber=0:cold=10:healthEncumberence=100:stun=0:kinetic=10:energy=10:', '', '1', '250', '0', '0', '0', '0', 'all', '280', '65535');
INSERT INTO `loottable` VALUES ('38', 'Singing Mountain Clan Satchel', '2090327335', '8213', 'singing_mountain_clan_backpack', '0', 'condition=1000/1000:', '', '1', '250', '0', '0', '0', '0', 'all', '281', '65535');
INSERT INTO `loottable` VALUES ('61', 'Marauder Armor Bicep (Left)', '246676033', '261', 'armor_marauder_s02_bicep_l', '0', 'sockets=2:blast=10:mindEncumberence=100:condition=33229/35000:rating=16:electricity=10:armorType=4:acid=10:actionEncumberence=100:sliced=false:heat=10:lightSaber=0:cold=10:healthEncumberence=100:stun=0:kinetic=10:energy=10:', '', '2', '75', '0', '0', '0', '0', 'all', '282', '62975');
INSERT INTO `loottable` VALUES ('61', 'Marauder Armor Bicep (Right)', '2120662994', '261', 'armor_marauder_s02_bicep_r', '0', 'sockets=2:blast=10:mindEncumberence=100:condition=33229/35000:rating=16:electricity=10:armorType=6:acid=10:actionEncumberence=100:sliced=false:heat=10:lightSaber=0:cold=10:healthEncumberence=100:stun=0:kinetic=10:energy=10:', '', '2', '75', '0', '0', '0', '0', 'all', '283', '62975');
INSERT INTO `loottable` VALUES ('61', 'Marauder Armor Boots', '3125310562', '263', 'armor_marauder_s02_boots', '0', 'sockets=2:blast=10:mindEncumberence=100:condition=33229/35000:rating=16:electricity=10:armorType=8:acid=10:actionEncumberence=100:sliced=false:heat=10:lightSaber=0:cold=10:healthEncumberence=100:stun=0:kinetic=10:energy=10:', '', '1', '75', '0', '0', '0', '0', 'all', '284', '62967');
INSERT INTO `loottable` VALUES ('61', 'Marauder Armor Bracer (Left)', '659297422', '261', 'armor_marauder_s02_bracer_l', '0', 'sockets=2:blast=10:mindEncumberence=100:condition=33229/35000:rating=16:electricity=10:armorType=3:acid=10:actionEncumberence=100:sliced=false:heat=10:lightSaber=0:cold=10:healthEncumberence=100:stun=0:kinetic=10:energy=10:', '', '2', '75', '0', '0', '0', '0', 'all', '285', '62975');
INSERT INTO `loottable` VALUES ('61', 'Marauder Armor Bracer (Right)', '1469665565', '261', 'armor_marauder_s02_bracer_r', '0', 'sockets=2:blast=10:mindEncumberence=100:condition=33229/35000:rating=16:electricity=10:armorType=5:acid=10:actionEncumberence=100:sliced=false:heat=10:lightSaber=0:cold=10:healthEncumberence=100:stun=0:kinetic=10:energy=10:', '', '2', '75', '0', '0', '0', '0', 'all', '286', '62975');
INSERT INTO `loottable` VALUES ('62', 'Marauder Armor Chestplate', '2509512441', '257', 'armor_marauder_s02_chest_plate', '0', 'sockets=2:blast=10:mindEncumberence=100:condition=33229/35000:rating=16:electricity=10:armorType=1:acid=10:actionEncumberence=100:sliced=false:heat=10:lightSaber=0:cold=10:healthEncumberence=100:stun=0:kinetic=10:energy=10:', '', '1', '75', '0', '0', '0', '0', 'all', '287', '62975');
INSERT INTO `loottable` VALUES ('62', 'Marauder Armor Leggings', '2825439633', '260', 'armor_marauder_s02_leggings', '0', 'sockets=2:blast=10:mindEncumberence=100:condition=33229/35000:rating=16:electricity=10:armorType=7:acid=10:actionEncumberence=100:sliced=false:heat=10:lightSaber=0:cold=10:healthEncumberence=100:stun=0:kinetic=10:energy=10:', '', '1', '75', '0', '0', '0', '0', 'all', '288', '62975');
INSERT INTO `loottable` VALUES ('64', 'Nyax Necklace', '1717727484', '8211', '', '0', 'condition=1000/1000:', '', '50', '200', '0', '0', '0', '0', 'all', '289', '65535');
INSERT INTO `loottable` VALUES ('65', 'Janta Knife', '1756821101', '131079', '', '0', 'pointBlankAccuracy=-45:idealRange=5:maxDamage=55:cert=cert_knife_dagger:category=16:maxRangeAccuracy=-45:attackSpeed=4.7:woundsRatio=11.8497:idealAccuracy=-45:mindCost=12:maxRange=5:type=1:damageType=1:armorPiercing=0:condition=693/750:pointBlankRange=0:healthCost=83:minDamage=25:actionCost=26:', '', '6', '50', '0', '0', '0', '0', 'all', '290', '65535');
INSERT INTO `loottable` VALUES ('65', 'Janta Staff', '3157877644', '131081', '', '0', 'pointBlankAccuracy=-45:idealRange=5:maxDamage=35:category=16:maxRangeAccuracy=-45:attackSpeed=5:woundsRatio=7:idealAccuracy=-45:mindCost=15:maxRange=5:type=3:damageType=1:armorPiercing=0:condition=718/750:pointBlankRange=0:healthCost=51:minDamage=5:actionCost=30:cert_lance_staff_wood_s1:', '', '6', '50', '0', '0', '0', '0', 'all', '291', '65535');
INSERT INTO `loottable` VALUES ('64', 'Nyax Sword', '2513121623', '131079', '', '0', 'pointBlankAccuracy=-45:idealRange=5:maxDamage=108:cert=cert_sword_02:category=16:maxRangeAccuracy=-45:attackSpeed=4.7:woundsRatio=11.8497:idealAccuracy=-45:mindCost=12:maxRange=5:type=1:damageType=1:armorPiercing=0:condition=653/750:pointBlankRange=0:healthCost=83:minDamage=56:actionCost=26:', '', '20', '200', '0', '0', '0', '0', 'all', '292', '65535');
INSERT INTO `loottable` VALUES ('99', 'Crystal', '1567297626', '262156', '', '0', 'condition=750/750:', '', '3', '75', '0', '0', '0', '0', 'all', '293', '65535');
INSERT INTO `loottable` VALUES ('0', 'Sandstat (broken)', '958294377', '8211', '', '0', '', '', '25', '1', '0', '0', '0', '0', 'all', '319', '65535');
INSERT INTO `loottable` VALUES ('0', 'Taloscope (broken)', '2186536900', '8211', '', '0', '', '', '5', '1', '0', '0', '0', '0', 'all', '320', '65535');
INSERT INTO `loottable` VALUES ('0', 'Palm Frond', '1049682139', '8211', '', '0', '', '', '1', '1', '0', '0', '0', '0', 'all', '321', '65535');
INSERT INTO `loottable` VALUES ('102', 'Black Sun Medallion', '455405331', '8211', '', '0', 'condition=1000/1000:', '', '1', '150', '0', '0', '0', '0', 'all', '322', '65535');
INSERT INTO `loottable` VALUES ('0', 'Handheld Picture', '2444932266', '8211', '', '0', '', '', '20', '1', '0', '0', '0', '0', 'all', '323', '65535');
INSERT INTO `loottable` VALUES ('0', 'Spectrum Recorder', '3810249528', '8211', '', '0', '', '', '10', '1', '0', '0', '0', '0', 'all', '324', '65535');
INSERT INTO `loottable` VALUES ('0', 'Travel Ticket (expired)', '4189217658', '8211', '', '0', '', '', '1', '1', '0', '0', '0', '0', 'all', '325', '65535');
INSERT INTO `loottable` VALUES ('0', 'Rare Insect', '1696029772', '8211', '', '0', '', '', '10', '1', '0', '0', '0', '0', 'all', '326', '65535');
INSERT INTO `loottable` VALUES ('24', 'Bantha Doll', '3273955894', '8211', '', '0', '', '', '25', '40', '0', '0', '0', '0', 'all', '305', '65535');
INSERT INTO `loottable` VALUES ('0', 'Datapad Backlight', '1961832733', '8211', '', '0', '', '', '20', '1', '0', '0', '0', '0', 'all', '306', '65535');
INSERT INTO `loottable` VALUES ('0', 'Heating Element', '2249210890', '8211', '', '0', '', '', '10', '1', '0', '0', '0', '0', 'all', '307', '65535');
INSERT INTO `loottable` VALUES ('0', 'Feed Tubes', '1250427897', '8211', '', '0', '', '', '10', '1', '0', '0', '0', '0', 'all', '308', '65535');
INSERT INTO `loottable` VALUES ('0', 'Datapad Casing', '315879762', '8211', '', '0', '', '', '1', '1', '0', '0', '0', '0', 'all', '310', '65535');
INSERT INTO `loottable` VALUES ('0', 'Datapad Connectors', '691028265', '8211', '', '0', '', '', '5', '1', '0', '0', '0', '0', 'all', '311', '65535');
INSERT INTO `loottable` VALUES ('0', 'Small Motor (Blue)', '3819542885', '8211', '', '0', '', '', '15', '1', '0', '0', '0', '0', 'all', '312', '65535');
INSERT INTO `loottable` VALUES ('0', 'Small Motor (Red)', '3488025837', '8211', '', '0', '', '', '15', '1', '0', '0', '0', '0', 'all', '313', '65535');
INSERT INTO `loottable` VALUES ('3', 'Jeweled Pendant', '4028113682', '8211', '', '0', '', '', '1', '125', '0', '0', '0', '0', 'all', '316', '65535');
INSERT INTO `loottable` VALUES ('98', 'Sith Holocron', '1449627174', '8211', 'jedi_holocron_dark', '0', '', '', '1', '60', '0', '0', '0', '0', 'all', '317', '65535');
INSERT INTO `loottable` VALUES ('97', 'Holocron', '1978689707', '8211', 'jedi_holocron_light', '0', '', '', '1', '60', '0', '0', '0', '0', 'all', '318', '65535');
INSERT INTO `loottable` VALUES ('0', 'Firework (dud)', '2724008783', '8211', '', '0', '', '', '2', '1', '0', '0', '0', '0', 'all', '327', '65535');
INSERT INTO `loottable` VALUES ('0', 'Decryptor (broken)', '1356712705', '8211', '', '0', '', '', '40', '1', '0', '0', '0', '0', 'all', '328', '65535');
INSERT INTO `loottable` VALUES ('0', 'Datapad (damaged)', '4087654764', '8211', '', '0', '', '', '50', '1', '0', '0', '0', '0', 'all', '329', '65535');
INSERT INTO `loottable` VALUES ('96', 'Krayt Dragon Pearl', '2520370694', '262152', '', '0', '', '', '25', '100', '0', '0', '0', '0', 'all', '330', '65535');
INSERT INTO `loottable` VALUES ('96', 'Krayt Dragon Pearl (cracked)', '2520370694', '262152', '', '0', '', '', '75', '100', '0', '0', '0', '0', 'all', '331', '65535');
INSERT INTO `loottable` VALUES ('33', 'Armor Attachment', '4004385638', '8223', '', '0', 'skillMod0Type=6:skillMod0Value=1:', '', '1', '1', '0', '0', '0', '0', 'all', '332', '65535');
INSERT INTO `loottable` VALUES ('33', 'Armor Attachment', '4004385638', '8223', '', '0', 'skillMod0Type=7:skillMod0Value=1:', '', '1', '1', '0', '0', '0', '0', 'all', '335', '65535');
INSERT INTO `loottable` VALUES ('33', 'Armor Attachment', '4004385638', '8223', '', '0', 'skillMod0Type=8:skillMod0Value=1:', '', '1', '1', '0', '0', '0', '0', 'all', '336', '65535');
INSERT INTO `loottable` VALUES ('33', 'Armor Attachment', '4004385638', '8223', '', '0', 'skillMod0Type=9:skillMod0Value=1:', '', '1', '1', '0', '0', '0', '0', 'all', '337', '65535');
INSERT INTO `loottable` VALUES ('33', 'Armor Attachment', '4004385638', '8223', '', '0', 'skillMod0Type=10:skillMod0Value=1:', '', '1', '1', '0', '0', '0', '0', 'all', '338', '65535');
INSERT INTO `loottable` VALUES ('33', 'Armor Attachment', '4004385638', '8223', '', '0', 'skillMod0Type=11:skillMod0Value=1:', '', '1', '1', '0', '0', '0', '0', 'all', '339', '65535');
INSERT INTO `loottable` VALUES ('33', 'Armor Attachment', '4004385638', '8223', '', '0', 'skillMod0Type=12:skillMod0Value=1:', '', '1', '1', '0', '0', '0', '0', 'all', '340', '65535');
INSERT INTO `loottable` VALUES ('33', 'Armor Attachment', '4004385638', '8223', '', '0', 'skillMod0Type=13:skillMod0Value=1:', '', '1', '1', '0', '0', '0', '0', 'all', '341', '65535');
INSERT INTO `loottable` VALUES ('33', 'Armor Attachment', '4004385638', '8223', '', '0', 'skillMod0Type=14:skillMod0Value=1:', '', '1', '1', '0', '0', '0', '0', 'all', '342', '65535');
INSERT INTO `loottable` VALUES ('33', 'Armor Attachment', '4004385638', '8223', '', '0', 'skillMod0Type=15:skillMod0Value=1:', '', '1', '1', '0', '0', '0', '0', 'all', '343', '65535');
INSERT INTO `loottable` VALUES ('33', 'Armor Attachment', '4004385638', '8223', '', '0', 'skillMod0Type=16:skillMod0Value=1:', '', '1', '1', '0', '0', '0', '0', 'all', '344', '65535');
INSERT INTO `loottable` VALUES ('33', 'Armor Attachment', '4004385638', '8223', '', '0', 'skillMod0Type=17:skillMod0Value=1:', '', '1', '1', '0', '0', '0', '0', 'all', '345', '65535');
INSERT INTO `loottable` VALUES ('33', 'Armor Attachment', '4004385638', '8223', '', '0', 'skillMod0Type=18:skillMod0Value=1:', '', '1', '1', '0', '0', '0', '0', 'all', '346', '65535');
INSERT INTO `loottable` VALUES ('33', 'Armor Attachment', '4004385638', '8223', '', '0', 'skillMod0Type=19:skillMod0Value=1:', '', '1', '1', '0', '0', '0', '0', 'all', '347', '65535');
INSERT INTO `loottable` VALUES ('33', 'Armor Attachment', '4004385638', '8223', '', '0', 'skillMod0Type=20:skillMod0Value=1:', '', '1', '1', '0', '0', '0', '0', 'all', '348', '65535');
INSERT INTO `loottable` VALUES ('33', 'Armor Attachment', '4004385638', '8223', '', '0', 'skillMod0Type=21:skillMod0Value=1:', '', '1', '1', '0', '0', '0', '0', 'all', '349', '65535');
INSERT INTO `loottable` VALUES ('33', 'Armor Attachment', '4004385638', '8223', '', '0', 'skillMod0Type=22:skillMod0Value=1:', '', '1', '1', '0', '0', '0', '0', 'all', '350', '65535');
INSERT INTO `loottable` VALUES ('33', 'Armor Attachment', '4004385638', '8223', '', '0', 'skillMod0Type=23:skillMod0Value=1:', '', '1', '1', '0', '0', '0', '0', 'all', '351', '65535');
INSERT INTO `loottable` VALUES ('33', 'Armor Attachment', '4004385638', '8223', '', '0', 'skillMod0Type=24:skillMod0Value=1:', '', '1', '1', '0', '0', '0', '0', 'all', '352', '65535');
INSERT INTO `loottable` VALUES ('33', 'Armor Attachment', '4004385638', '8223', '', '0', 'skillMod0Type=25:skillMod0Value=1:', '', '1', '1', '0', '0', '0', '0', 'all', '353', '65535');
INSERT INTO `loottable` VALUES ('33', 'Armor Attachment', '4004385638', '8223', '', '0', 'skillMod0Type=26:skillMod0Value=1:', '', '1', '1', '0', '0', '0', '0', 'all', '354', '65535');
INSERT INTO `loottable` VALUES ('33', 'Armor Attachment', '4004385638', '8223', '', '0', 'skillMod0Type=27:skillMod0Value=1:', '', '1', '1', '0', '0', '0', '0', 'all', '355', '65535');
INSERT INTO `loottable` VALUES ('33', 'Armor Attachment', '4004385638', '8223', '', '0', 'skillMod0Type=28:skillMod0Value=1:', '', '1', '1', '0', '0', '0', '0', 'all', '356', '65535');
INSERT INTO `loottable` VALUES ('33', 'Armor Attachment', '4004385638', '8223', '', '0', 'skillMod0Type=29:skillMod0Value=1:', '', '1', '1', '0', '0', '0', '0', 'all', '357', '65535');
INSERT INTO `loottable` VALUES ('33', 'Armor Attachment', '4004385638', '8223', '', '0', 'skillMod0Type=30:skillMod0Value=1:', '', '1', '1', '0', '0', '0', '0', 'all', '358', '65535');
INSERT INTO `loottable` VALUES ('33', 'Armor Attachment', '4004385638', '8223', '', '0', 'skillMod0Type=31:skillMod0Value=1:', '', '1', '1', '0', '0', '0', '0', 'all', '359', '65535');
INSERT INTO `loottable` VALUES ('1', 'Blue Rug Adhesive', '3662175705', '262144', '', '0', '', '', '1', '1', '0', '0', '0', '0', 'all', '360', '65535');
INSERT INTO `loottable` VALUES ('1', 'Blue Rug Dye', '4027902475', '262144', '', '0', '', '', '60', '1', '0', '0', '0', '0', 'all', '361', '65535');
INSERT INTO `loottable` VALUES ('1', 'Blue Rug Patches', '1097018484', '262144', '', '0', '', '', '60', '1', '0', '0', '0', '0', 'all', '362', '65535');
INSERT INTO `loottable` VALUES ('1', 'Blue Rug Thread - First Section', '555360045', '262144', '', '0', '', '', '90', '1', '0', '0', '0', '0', 'all', '363', '65535');
INSERT INTO `loottable` VALUES ('1', 'Blue Rug Thread - Second Section', '4195203002', '262144', '', '0', '', '', '90', '1', '0', '0', '0', '0', 'all', '364', '65535');
INSERT INTO `loottable` VALUES ('1', 'Blue Rug Thread - Third Section', '3003174967', '262144', '', '0', '', '', '90', '1', '0', '0', '0', '0', 'all', '365', '65535');
INSERT INTO `loottable` VALUES ('1', 'Blue Rug Thread - Fourth Section', '1222900515', '262144', '', '0', '', '', '90', '1', '0', '0', '0', '0', 'all', '366', '65535');
INSERT INTO `loottable` VALUES ('1', 'Blue Rug Thread - Fifth Section', '32414894', '262144', '', '0', '', '', '90', '1', '0', '0', '0', '0', 'all', '367', '65535');
INSERT INTO `loottable` VALUES ('1', 'Blue Rug Thread - Sixth Section', '3673764921', '262144', '', '0', '', '', '90', '1', '0', '0', '0', '0', 'all', '368', '65535');
INSERT INTO `loottable` VALUES ('1', 'Blue Rug Thread - Seventh Section', '2482262964', '262144', '', '0', '', '', '90', '1', '0', '0', '0', '0', 'all', '369', '65535');
INSERT INTO `loottable` VALUES ('1', 'Gong Adhesive', '2722832047', '262144', '', '0', '', '', '1', '1', '0', '0', '0', '0', 'all', '370', '65535');
INSERT INTO `loottable` VALUES ('1', 'Gong Skin - Back Section', '711176878', '262144', '', '0', '', '', '60', '1', '0', '0', '0', '0', 'all', '371', '65535');
INSERT INTO `loottable` VALUES ('1', 'Gong Skin - Front Section', '4197269212', '262144', '', '0', '', '', '60', '1', '0', '0', '0', '0', 'all', '372', '65535');
INSERT INTO `loottable` VALUES ('1', 'Gong Structure - First Section', '2480554341', '262144', '', '0', '', '', '90', '1', '0', '0', '0', '0', 'all', '373', '65535');
INSERT INTO `loottable` VALUES ('1', 'Gong Structure - Second Section', '1221454322', '262144', '', '0', '', '', '90', '1', '0', '0', '0', '0', 'all', '374', '65535');
INSERT INTO `loottable` VALUES ('1', 'Gong Structure - Third Section', '29396607', '262144', '', '0', '', '', '90', '1', '0', '0', '0', '0', 'all', '375', '65535');
INSERT INTO `loottable` VALUES ('1', 'Gong Structure - Fourth Section', '4196640107', '262144', '', '0', '', '', '90', '1', '0', '0', '0', '0', 'all', '376', '65535');
INSERT INTO `loottable` VALUES ('1', 'Gong Structure - Fifth Section', '3006186214', '262144', '', '0', '', '', '90', '1', '0', '0', '0', '0', 'all', '377', '65535');
INSERT INTO `loottable` VALUES ('1', 'Gong Structure - Sixth Section', '1748593265', '262144', '', '0', '', '', '90', '1', '0', '0', '0', '0', 'all', '378', '65535');
INSERT INTO `loottable` VALUES ('1', 'Gong Structure - Seventh Section', '557059580', '262144', '', '0', '', '', '90', '1', '0', '0', '0', '0', 'all', '379', '65535');
INSERT INTO `loottable` VALUES ('1', 'Glass Top Table Adhesive', '2985521179', '262144', '', '0', '', '', '1', '1', '0', '0', '0', '0', 'all', '380', '65535');
INSERT INTO `loottable` VALUES ('1', 'Glass Top Table - Small Glass Top', '3893731877', '262144', '', '0', '', '', '60', '1', '0', '0', '0', '0', 'all', '381', '65535');
INSERT INTO `loottable` VALUES ('1', 'Glass Top Table - Large Glass Top', '855771826', '262144', '', '0', '', '', '60', '1', '0', '0', '0', '0', 'all', '382', '65535');
INSERT INTO `loottable` VALUES ('1', 'Glass Top Table - First Section', '1626668220', '262144', '', '0', '', '', '90', '1', '0', '0', '0', '0', 'all', '383', '65535');
INSERT INTO `loottable` VALUES ('1', 'Glass Top Table - Second Section', '3152237611', '262144', '', '0', '', '', '90', '1', '0', '0', '0', '0', 'all', '384', '65535');
INSERT INTO `loottable` VALUES ('1', 'Glass Top Table - Third Section', '4075697062', '262144', '', '0', '', '', '90', '1', '0', '0', '0', '0', 'all', '385', '65535');
INSERT INTO `loottable` VALUES ('1', 'Glass Top Table - Fourth Section', '4075697062', '262144', '', '0', '', '', '90', '1', '0', '0', '0', '0', 'all', '386', '65535');
INSERT INTO `loottable` VALUES ('1', 'Glass Top Table - Fifth Section', '1073774399', '262144', '', '0', '', '', '90', '1', '0', '0', '0', '0', 'all', '387', '65535');
INSERT INTO `loottable` VALUES ('1', 'Glass Top Table - Sixth Section', '2602031016', '262144', '', '0', '', '', '90', '1', '0', '0', '0', '0', 'all', '388', '65535');
INSERT INTO `loottable` VALUES ('1', 'Glass Top Table - Seventh Section', '3524964389', '262144', '', '0', '', '', '90', '1', '0', '0', '0', '0', 'all', '389', '65535');
INSERT INTO `loottable` VALUES ('1', 'Orange Rug Adhesive', '1671742032', '262144', '', '0', '', '', '1', '1', '0', '0', '0', '0', 'all', '390', '65535');
INSERT INTO `loottable` VALUES ('1', 'Orange Rug Dye', '1524466811', '262144', '', '0', '', '', '60', '1', '0', '0', '0', '0', 'all', '391', '65535');
INSERT INTO `loottable` VALUES ('1', 'Orange Rug Patches', '859043533', '262144', '', '0', '', '', '60', '1', '0', '0', '0', '0', 'all', '392', '65535');
INSERT INTO `loottable` VALUES ('1', 'Orange Rug Thread - First Section', '1383263068', '262144', '', '0', '', '', '90', '1', '0', '0', '0', '0', 'all', '393', '65535');
INSERT INTO `loottable` VALUES ('1', 'Orange Rug Thread - Second Section', '2305115083', '262144', '', '0', '', '', '90', '1', '0', '0', '0', '0', 'all', '394', '65535');
INSERT INTO `loottable` VALUES ('1', 'Orange Rug Thread - Third Section', '3228050502', '262144', '', '0', '', '', '90', '1', '0', '0', '0', '0', 'all', '395', '65535');
INSERT INTO `loottable` VALUES ('1', 'Orange Rug Thread - Fourth Section', '998969170', '262144', '', '0', '', '', '90', '1', '0', '0', '0', '0', 'all', '396', '65535');
INSERT INTO `loottable` VALUES ('1', 'Orange Rug Thread - Fifth Section', '1921411295', '262144', '', '0', '', '', '90', '1', '0', '0', '0', '0', 'all', '397', '65535');
INSERT INTO `loottable` VALUES ('1', 'Orange Rug Thread - Sixth Section', '2844901448', '262144', '', '0', '', '', '90', '1', '0', '0', '0', '0', 'all', '398', '65535');
INSERT INTO `loottable` VALUES ('1', 'Orange Rug Thread - Seventh Section', '3768362949', '262144', '', '0', '', '', '90', '1', '0', '0', '0', '0', 'all', '399', '65535');
INSERT INTO `loottable` VALUES ('1', 'Nabooian Sculpture Adhesive', '2015961055', '262144', '', '0', '', '', '1', '1', '0', '0', '0', '0', 'all', '400', '65535');
INSERT INTO `loottable` VALUES ('1', 'Nabooian Sculpture Gold Plating - First Coating', '2448281796', '262144', '', '0', '', '', '60', '1', '0', '0', '0', '0', 'all', '401', '65535');
INSERT INTO `loottable` VALUES ('1', 'Nabooian Sculpture Gold Plating - Second Coating', '1257928787', '262144', '', '0', '', '', '60', '1', '0', '0', '0', '0', 'all', '402', '65535');
INSERT INTO `loottable` VALUES ('1', 'Nabooian Sculpture Base - First Section', '719930696', '262144', '', '0', '', '', '90', '1', '0', '0', '0', '0', 'all', '403', '65535');
INSERT INTO `loottable` VALUES ('1', 'Nabooian Sculpture Base - Second Section', '4060016095', '262144', '', '0', '', '', '90', '1', '0', '0', '0', '0', 'all', '404', '65535');
INSERT INTO `loottable` VALUES ('1', 'Nabooian Sculpture Base - Third Section', '3102968402', '262144', '', '0', '', '', '90', '1', '0', '0', '0', '0', 'all', '405', '65535');
INSERT INTO `loottable` VALUES ('1', 'Nabooian Sculpture Base - Fourth Section', '1125163334', '262144', '', '0', '', '', '90', '1', '0', '0', '0', '0', 'all', '406', '65535');
INSERT INTO `loottable` VALUES ('1', 'Nabooian Sculpture Base - Fifth Section', '169723595', '262144', '', '0', '', '', '90', '1', '0', '0', '0', '0', 'all', '407', '65535');
INSERT INTO `loottable` VALUES ('1', 'Nabooian Sculpture Base - Sixth Section', '3507121756', '262144', '', '0', '', '', '90', '1', '0', '0', '0', '0', 'all', '408', '65535');
INSERT INTO `loottable` VALUES ('1', 'Nabooian Sculpture Base - Seventh Section', '2550598097', '262144', '', '0', '', '', '90', '1', '0', '0', '0', '0', 'all', '409', '65535');
INSERT INTO `loottable` VALUES ('80', 'Royal Jelly Carafe', '127878817', '262144', '', '0', '', '', '95', '1', '0', '0', '0', '0', 'all', '410', '65535');
INSERT INTO `loottable` VALUES ('80', 'A pack of Geonosian rations', '332681942', '262144', '', '0', '', '', '95', '1', '0', '0', '0', '0', 'all', '411', '65535');
INSERT INTO `loottable` VALUES ('80', 'Small Ball', '3318913230', '262144', '', '0', '', '', '95', '1', '0', '0', '0', '0', 'all', '412', '65535');
INSERT INTO `loottable` VALUES ('80', 'Spice Container', '4023267292', '262144', '', '0', '', '', '95', '1', '0', '0', '0', '0', 'all', '413', '65535');
INSERT INTO `loottable` VALUES ('80', 'Technical Kit', '111116612', '262144', '', '0', '', '', '95', '1', '0', '0', '0', '0', 'all', '414', '65535');
INSERT INTO `loottable` VALUES ('80', 'Chemical Ampule', '962089959', '262144', '', '0', '', '', '95', '1', '0', '0', '0', '0', 'all', '417', '65535');
INSERT INTO `loottable` VALUES ('80', 'Data Device', '3668061581', '262144', '', '0', '', '', '95', '1', '0', '0', '0', '0', 'all', '418', '65535');
INSERT INTO `loottable` VALUES ('64', 'Light Lightning Cannon', '397924793', '131078', '', '0', 'pointBlankAccuracy=-30:idealRange=48:maxDamage=250:range=45:category=32:maxRangeAccuracy=30:attackSpeed=8:woundsRatio=17.2:idealAccuracy=20:mindCost=63:maxRange=64:type=12:damageType=3:armorPiercing=1:condition=710/750:pointBlankRange=0:healthCost=63:minDamage=70:actionCost=66:cert=cert_rifle_lightning:', '', '1', '200', '0', '0', '0', '0', 'all', '419', '65535');
INSERT INTO `loottable` VALUES ('88', 'Giant Dune Kimogila Scale', '3124472476', '262145', '', '0', '', '', '1', '150', '0', '0', '0', '0', 'all', '420', '65535');
INSERT INTO `loottable` VALUES ('87', 'Peko Peko Albatross Feather', '2336229624', '262145', '', '0', '', '', '5', '150', '0', '0', '0', '0', 'all', '421', '65535');
INSERT INTO `loottable` VALUES ('89', 'Woolamander Harrower Bone Fragment', '4204784487', '262145', '', '0', '', '', '1', '50', '0', '0', '0', '0', 'all', '422', '65535');
INSERT INTO `loottable` VALUES ('90', 'Reclusive Gurk King Hide ', '665098706', '262145', '', '0', '', '', '1', '40', '0', '0', '0', '0', 'all', '423', '65535');
INSERT INTO `loottable` VALUES ('30', 'Long Vibro Axe', '3206801025', '131081', '', '0', 'pointBlankAccuracy=-45:pointBlankRange=0:actionCost=71:type=3:armorPiercing=2:condition=500/750:maxRangeAccuracy=-45:damageType=1:mindCost=28:minDamage=65:healthCost=91:cert=cert_lance_vibro_axe:maxDamage=226:idealAccuracy=-45:woundsRatio=23:attackSpeed=8:category=16:idealRange=7:maxRange=7:', '', '3', '75', '0', '0', '0', '0', 'all', '425', '65535');
INSERT INTO `loottable` VALUES ('30', 'Vibro Lance', '1358850609', '131081', '', '0', 'pointBlankAccuracy=-24:idealRange=3:maxDamage=196:cert=cert_lance_vibrolance:category=16:maxRangeAccuracy=-24:attackSpeed=7:woundsRatio=26:idealAccuracy=-24:mindCost=38:maxRange=5:type=3:damageType=3:armorPiercing=1:condition=600/750:pointBlankRange=0:healthCost=58:minDamage=50:actionCost=65:', '', '15', '70', '0', '0', '0', '0', 'all', '426', '65535');
INSERT INTO `mission_manager_hunt_types` VALUES ('1', '5', 'object/mobile/capper_spineflap.iff', 'object/mobile/capper_spineflap_hue.iff', '1');
INSERT INTO `mission_manager_informants` VALUES ('1', '0', '0', '-5559', '-6220', '23.4', '0.723214', '0.690624', '2');
INSERT INTO `mission_manager_informants` VALUES ('2', '0', '0', '6871', '-5752', '315', '0.933756', '-0.357911', '2');
INSERT INTO `mission_manager_informants` VALUES ('3', '8', '1154123', '0.2', '8.6', '1', '0', '1', '2');
INSERT INTO `mission_manager_informants` VALUES ('4', '8', '1134569', '-31.6', '18.1', '0', '0', '1', '2');
INSERT INTO `mission_manager_informants` VALUES ('5', '8', '1076948', '8.6', '-13', '7', '0', '1', '2');
INSERT INTO `mission_manager_informants` VALUES ('6', '7', '0', '265', '-2974', '0', '0', '1', '2');
INSERT INTO `mission_manager_informants` VALUES ('7', '7', '0', '255', '-3024', '0', '0', '1', '2');
INSERT INTO `mission_manager_informants` VALUES ('8', '7', '0', '682', '-3219', '14', '0', '1', '2');
INSERT INTO `mission_manager_informants` VALUES ('9', '7', '0', '4529', '5371', '0', '0', '1', '2');
INSERT INTO `mission_manager_informants` VALUES ('10', '6', '0', '5102', '5654', '0', '0', '1', '2');
INSERT INTO `mission_manager_informants` VALUES ('11', '5', '0', '4721', '-4614', '4.2', '0.99436', '0.106053', '2');
INSERT INTO `mission_manager_informants` VALUES ('12', '5', '0', '4999', '6822', '-192', '0', '1', '2');
INSERT INTO `mission_manager_informants` VALUES ('13', '5', '64', '-4.59578', '7.93328', '-0.894993', '0.766776', '0.641915', '2');
INSERT INTO `mission_manager_informants` VALUES ('14', '5', '0', '5009', '6652', '-192', '-0.363718', '0.931509', '2');
INSERT INTO `mission_manager_informants` VALUES ('15', '5', '0', '5277', '6560', '-192', '0.128858', '0.991663', '2');
INSERT INTO `mission_manager_informants` VALUES ('16', '2', '0', '-6239', '940', '0', '0', '1', '2');
INSERT INTO `mission_manager_informants` VALUES ('17', '2', '0', '-68', '-1565', '0', '0', '1', '2');
INSERT INTO `mission_manager_informants` VALUES ('18', '0', '0', '6775', '-5487', '315', '0.898235', '0.439515', '1');
INSERT INTO `mission_manager_informants` VALUES ('19', '0', '0', '6876', '-5466', '330', '0.749383', '-0.662136', '1');
INSERT INTO `mission_manager_informants` VALUES ('20', '8', '0', '-2879', '2555', '0', '0', '1', '1');
INSERT INTO `mission_manager_informants` VALUES ('21', '8', '0', '-5284', '2676', '0', '0', '1', '1');
INSERT INTO `mission_manager_informants` VALUES ('22', '8', '0', '-5205', '-6503', '0', '0', '1', '1');
INSERT INTO `mission_manager_informants` VALUES ('23', '8', '0', '-685', '-6731', '0', '0', '1', '1');
INSERT INTO `mission_manager_informants` VALUES ('24', '8', '0', '-703', '-6734', '0', '0', '1', '1');
INSERT INTO `mission_manager_informants` VALUES ('25', '7', '0', '147', '-2812', '0', '0', '1', '1');
INSERT INTO `mission_manager_informants` VALUES ('26', '7', '0', '203', '-2979', '0', '0', '1', '1');
INSERT INTO `mission_manager_informants` VALUES ('27', '7', '0', '258', '-3008', '0', '0', '1', '1');
INSERT INTO `mission_manager_informants` VALUES ('28', '7', '0', '4542', '5329', '0', '0', '1', '1');
INSERT INTO `mission_manager_informants` VALUES ('29', '5', '0', '5332', '-1568', '327', '3915871', '0.401474', '1');
INSERT INTO `mission_manager_informants` VALUES ('30', '5', '0', '4980', '-1489', '360', '0.920954', '-0.389672', '1');
INSERT INTO `mission_manager_informants` VALUES ('31', '5', '0', '4923', '-1411', '360', '0.934099', '-0.357013', '1');
INSERT INTO `mission_manager_informants` VALUES ('32', '5', '0', '4757', '-1358', '330', '0', '1', '1');
INSERT INTO `mission_manager_informants` VALUES ('33', '5', '0', '4688', '-1342', '330', '0.99812', '0.0612889', '1');
INSERT INTO `mission_manager_informants` VALUES ('34', '5', '0', '-5548', '-13', '-150', '0.937143', '-0.348946', '1');
INSERT INTO `mission_manager_informants` VALUES ('35', '5', '0', '-5476', '-76', '-150', '-0.558149', '0.829741', '1');
INSERT INTO `mission_manager_informants` VALUES ('36', '5', '0', '4638', '-4643', '4.37564', '-0.437979', '0.898985', '1');
INSERT INTO `mission_manager_informants` VALUES ('37', '5', '111', '-2.07012', '5.66253', '-0.894992', '-0.283362', '0.959013', '1');
INSERT INTO `mission_manager_informants` VALUES ('38', '5', '0', '1279', '2858', '13', '-0.336607', '0.941645', '1');
INSERT INTO `mission_manager_informants` VALUES ('39', '5', '0', '5410', '6672', '-192', '0.883243', '-0.468916', '1');
INSERT INTO `mission_manager_informants` VALUES ('40', '5', '0', '5075', '6784', '-192', '0', '1', '1');
INSERT INTO `mission_manager_informants` VALUES ('41', '5', '0', '5261', '6793', '-192', '0.816228', '0.57773', '1');
INSERT INTO `mission_manager_informants` VALUES ('42', '5', '0', '5081', '6591', '-192', '-0.366442', '0.930441', '1');
INSERT INTO `mission_manager_informants` VALUES ('43', '4', '0', '369', '5087', '0', '0', '1', '1');
INSERT INTO `mission_manager_informants` VALUES ('44', '4', '0', '540', '5072', '0', '0', '1', '1');
INSERT INTO `mission_manager_informants` VALUES ('45', '2', '0', '590', '3091', '0', '0', '1', '1');
INSERT INTO `mission_manager_informants` VALUES ('46', '2', '0', '598', '3025', '0', '0', '1', '1');
INSERT INTO `mission_manager_informants` VALUES ('47', '0', '0', '-29', '-4818', '28', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('48', '0', '0', '-86', '-4829', '28', '-0.433868', '0.900976', '0');
INSERT INTO `mission_manager_informants` VALUES ('49', '0', '0', '-171', '-4443', '28', '-0.638829', '0.769349', '0');
INSERT INTO `mission_manager_informants` VALUES ('50', '0', '0', '-172', '-4410', '28', '0.981533', '-0.191295', '0');
INSERT INTO `mission_manager_informants` VALUES ('51', '0', '0', '-212', '-4465', '28', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('52', '0', '0', '-250', '-4430', '28', '0.932466', '0.361257', '0');
INSERT INTO `mission_manager_informants` VALUES ('53', '0', '0', '-428', '-4751', '28', '0.971669', '-0.236345', '0');
INSERT INTO `mission_manager_informants` VALUES ('54', '0', '0', '-477', '-4553', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('55', '0', '0', '-566', '-4361', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('56', '0', '0', '-508', '-4367', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('57', '0', '0', '-359', '-4210', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('58', '0', '0', '-293', '-4251', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('59', '0', '0', '-184', '-4342', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('60', '0', '0', '6687', '-5594', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('61', '0', '0', '6733', '-5609', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('62', '0', '0', '6832', '-5545', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('63', '0', '0', '6901', '-5606', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('64', '0', '3375357', '16.2', '23.1', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('65', '0', '0', '3100', '5224', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('66', '0', '0', '3123', '5188', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('67', '0', '0', '3144', '5148', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('68', '0', '0', '3165', '5077', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('69', '0', '0', '3078', '5014', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('70', '0', '0', '3210', '5440', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('71', '0', '0', '3311', '5386', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('72', '0', '0', '3293', '5401', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('73', '0', '0', '3297', '5514', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('74', '0', '0', '-3563', '3138', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('75', '0', '0', '-3571', '3176', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('76', '0', '0', '-3574', '3154', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('77', '0', '0', '-3604', '3172', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('78', '0', '0', '-3665', '3139', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('79', '0', '0', '-3375', '3281', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('80', '0', '0', '-3358', '3307', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('81', '0', '0', '-3315', '3234', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('82', '0', '0', '-3386', '3184', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('83', '0', '0', '-3444', '3231', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('84', '0', '0', '-3458', '3165', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('85', '0', '0', '-3416', '3078', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('86', '0', '0', '-3401', '3034', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('87', '0', '0', '-3124', '2808', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('88', '0', '0', '-3128', '3008', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('89', '0', '0', '-5024', '-2345', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('90', '0', '0', '-5136', '-2294', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('91', '0', '0', '-5587', '-2809', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('92', '0', '0', '-5486', '-2781', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('93', '0', '0', '-5504', '-2699', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('94', '0', '0', '-5539', '-2667', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('95', '0', '0', '-5592', '-2684', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('96', '0', '0', '-5450', '-2630', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('97', '0', '0', '-5308', '-2512', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('98', '0', '0', '-5097', '-2344', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('99', '8', '0', '1266', '3184', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('100', '8', '0', '1727', '3093', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('101', '8', '0', '3775', '2371', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('102', '8', '0', '-2804', '2237', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('103', '8', '0', '-2836', '2275', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('104', '8', '0', '-2935', '2393', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('105', '8', '0', '-1449', '-3558', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('106', '8', '0', '-1450', '-3566', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('107', '8', '0', '-1332', '-3700', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('108', '8', '0', '-1053', '-3726', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('109', '8', '0', '-1023', '-3677', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('110', '8', '0', '-1220', '-3560', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('111', '8', '0', '-5296', '2654', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('112', '8', '0', '-5216', '-6563', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('113', '8', '0', '3447', '-4850', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('114', '8', '0', '3253', '-4923', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('115', '8', '0', '3488.2', '-4783.6', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('116', '7', '0', '342', '-2896', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('117', '7', '0', '408', '-2867', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('118', '7', '0', '434', '-2821', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('119', '7', '0', '286', '-3101', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('120', '7', '0', '411', '-3056', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('121', '7', '0', '568', '-3173', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('122', '7', '0', '555', '-2958', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('123', '7', '0', '683', '-2898', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('124', '7', '0', '653', '-2850', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('125', '7', '0', '4519', '5191', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('126', '7', '0', '4530', '5094', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('127', '7', '0', '4347', '5056', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('128', '7', '0', '4353', '5196', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('129', '7', '0', '4290', '5202', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('130', '7', '0', '4277', '5140', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('131', '7', '0', '4224', '5117', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('132', '7', '0', '4214', '5140', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('133', '6', '0', '-5331', '-2233', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('134', '6', '0', '-5127', '-2266', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('135', '6', '0', '-5120', '-2269', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('136', '6', '0', '5401', '5857', '0', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('137', '5', '0', '4700', '-1406', '330', '0.921637', '0.388053', '0');
INSERT INTO `mission_manager_informants` VALUES ('138', '5', '0', '4652', '-4749', '3.75', '0.768026', '0.640418', '0');
INSERT INTO `mission_manager_informants` VALUES ('139', '5', '0', '4744', '-4847', '3.75', '0.965644', '-0.25987', '0');
INSERT INTO `mission_manager_informants` VALUES ('140', '5', '0', '4825', '-4829', '3.75', '0.992233', '-0.124392', '0');
INSERT INTO `mission_manager_informants` VALUES ('141', '5', '0', '4958', '-4854', '3.75', '0.988339', '0.152273', '0');
INSERT INTO `mission_manager_informants` VALUES ('142', '5', '0', '4976', '-4920', '3.75', '0.965762', '-0.25943', '0');
INSERT INTO `mission_manager_informants` VALUES ('143', '5', '0', '4971', '-4941', '3.75', '0.725749', '-0.68796', '0');
INSERT INTO `mission_manager_informants` VALUES ('144', '5', '0', '4909', '-4975', '3.75', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('145', '5', '0', '4679', '-4923', '3.75', '0.555121', '0.831769', '0');
INSERT INTO `mission_manager_informants` VALUES ('146', '5', '0', '4838', '-4877', '3.75', '0.751636', '0.336632', '0');
INSERT INTO `mission_manager_informants` VALUES ('147', '5', '0', '4810', '-4627', '4.17', '0.481402', '0.8765', '0');
INSERT INTO `mission_manager_informants` VALUES ('148', '5', '0', '4773', '-4937', '4.39475', '0.94185', '0.336033', '0');
INSERT INTO `mission_manager_informants` VALUES ('149', '5', '0', '-4833', '4134', '6', '0.825485', '-0.564424', '0');
INSERT INTO `mission_manager_informants` VALUES ('150', '5', '0', '-4892', '4216', '6', '-0.658527', '0.752557', '0');
INSERT INTO `mission_manager_informants` VALUES ('151', '5', '0', '-4962', '4259', '6', '-0.444864', '0.895598', '0');
INSERT INTO `mission_manager_informants` VALUES ('152', '5', '0', '-5100', '4146', '6', '0.291311', '0.956628', '0');
INSERT INTO `mission_manager_informants` VALUES ('153', '5', '0', '-5455', '4277', '6', '0.933131', '-0.359536', '0');
INSERT INTO `mission_manager_informants` VALUES ('154', '5', '0', '-5469', '4173', '6', '0.999249', '-0.0387536', '0');
INSERT INTO `mission_manager_informants` VALUES ('155', '5', '0', '-5436', '4133', '6', '0.654272', '0.756259', '0');
INSERT INTO `mission_manager_informants` VALUES ('156', '5', '0', '-5369', '4178', '6', '0.978084', '-0.208209', '0');
INSERT INTO `mission_manager_informants` VALUES ('157', '5', '0', '-5477', '4089', '6', '0.933523', '-0.358517', '0');
INSERT INTO `mission_manager_informants` VALUES ('158', '5', '0', '2030', '2591', '12', '0.97953', '0.201297', '0');
INSERT INTO `mission_manager_informants` VALUES ('159', '5', '0', '1959', '2577', '12', '1', '0', '0');
INSERT INTO `mission_manager_informants` VALUES ('160', '5', '0', '1818', '2496', '12', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('161', '5', '0', '1890', '2527', '12', '0.801268', '-0.598306', '0');
INSERT INTO `mission_manager_informants` VALUES ('162', '5', '0', '1926', '2757', '12', '-0.496555', '0.868005', '0');
INSERT INTO `mission_manager_informants` VALUES ('163', '5', '0', '1835', '2633', '12', '0', '1', '0');
INSERT INTO `mission_manager_informants` VALUES ('164', '5', '0', '1847', '2573', '12', '0.789138', '-0.614215', '0');
INSERT INTO `mission_manager_informants` VALUES ('165', '5', '0', '1347', '2671', '13', '0.909559', '0.415574', '0');
INSERT INTO `mission_manager_informants` VALUES ('166', '5', '0', '5042', '6736', '-183.338', '0.936155', '0.351588', '0');
INSERT INTO `mission_manager_informants` VALUES ('167', '5', '0', '5199', '6546', '-192', '-0.454399', '0.890799', '0');
INSERT INTO `mission_manager_npcs` VALUES ('1', '5', '0', 'object/mobile/dressed_commoner_fat_human_male_01.iff', '0', '0', '0', '1', '-4854', '6', '4131', '15', 'neutral', '264');
INSERT INTO `mission_manager_npcs` VALUES ('2', '5', '0', 'object/mobile/dressed_commoner_fat_human_male_01.iff', '0', '0', '0', '1', '-4858', '6', '4131', '15', 'neutral', '264');
INSERT INTO `mission_manager_recon_locs` VALUES ('1', '5', 'object/tangible/lair/cu_pa/lair_cu_pa.iff', '8203', '0', '-0.401868', '0', '0.915698', '-4934', '6', '4114');
INSERT INTO `mission_manager_spawn_bounty` VALUES ('1', 'object/mobile/dressed_criminal_thug_human_male_01.iff');
INSERT INTO `mission_manager_spawn_lairs` VALUES ('2', 'object/tangible/lair/cu_pa/lair_cu_pa.iff', '-1', '5-10');
INSERT INTO `no_build_areas` VALUES ('0', '-178', '-4504', '1181');
INSERT INTO `no_build_areas` VALUES ('0', '-5140', '-2450', '900');
INSERT INTO `no_build_areas` VALUES ('0', '6766', '-5692', '970');
INSERT INTO `no_build_areas` VALUES ('0', '-3420', '3146', '1220');
INSERT INTO `no_build_areas` VALUES ('0', '3274', '5582', '925');
INSERT INTO `no_build_areas` VALUES ('0', '-5538', '-6176', '820');
INSERT INTO `no_build_areas` VALUES ('0', '5291', '1494', '400');
INSERT INTO `no_build_areas` VALUES ('0', '-5418', '-6248', '350');
INSERT INTO `no_build_areas` VALUES ('0', '6767', '-5617', '360');
INSERT INTO `no_build_areas` VALUES ('0', '1084', '4176', '350');
INSERT INTO `no_build_areas` VALUES ('0', '-6530', '5967', '400');
INSERT INTO `no_build_areas` VALUES ('0', '-6584', '5915', '300');
INSERT INTO `no_build_areas` VALUES ('0', '5291', '1494', '300');
INSERT INTO `no_build_areas` VALUES ('0', '-5421', '-6212', '300');
INSERT INTO `no_build_areas` VALUES ('0', '6760', '-5617', '300');
INSERT INTO `no_build_areas` VALUES ('0', '1402', '3802', '300');
INSERT INTO `no_build_areas` VALUES ('0', '1042', '4193', '300');
INSERT INTO `no_build_areas` VALUES ('0', '1414', '-317', '300');
INSERT INTO `no_build_areas` VALUES ('0', '4651', '-5617', '1000');
INSERT INTO `no_build_areas` VALUES ('0', '-2483', '2907', '300');
INSERT INTO `no_build_areas` VALUES ('0', '1859', '4642', '300');
INSERT INTO `no_build_areas` VALUES ('1', '-640', '2486', '735');
INSERT INTO `no_build_areas` VALUES ('1', '1588', '-6399', '735');
INSERT INTO `no_build_areas` VALUES ('1', '-4224', '-2400', '850');
INSERT INTO `no_build_areas` VALUES ('1', '-3862', '-5706', '350');
INSERT INTO `no_build_areas` VALUES ('1', '-7156', '-883', '350');
INSERT INTO `no_build_areas` VALUES ('1', '-6836', '5520', '325');
INSERT INTO `no_build_areas` VALUES ('1', '4195', '5203', '325');
INSERT INTO `no_build_areas` VALUES ('1', '-3929', '-5632', '300');
INSERT INTO `no_build_areas` VALUES ('1', '-7144', '-1053', '300');
INSERT INTO `no_build_areas` VALUES ('1', '5655', '-589', '300');
INSERT INTO `no_build_areas` VALUES ('1', '-6858', '5725', '300');
INSERT INTO `no_build_areas` VALUES ('1', '4258', '5374', '300');
INSERT INTO `no_build_areas` VALUES ('1', '-6259', '7336', '300');
INSERT INTO `no_build_areas` VALUES ('1', '6994', '-4110', '300');
INSERT INTO `no_build_areas` VALUES ('1', '-7258', '-3320', '300');
INSERT INTO `no_build_areas` VALUES ('1', '-368', '-240', '300');
INSERT INTO `no_build_areas` VALUES ('1', '-580', '-3763', '1000');
INSERT INTO `no_build_areas` VALUES ('2', '599', '3046', '410');
INSERT INTO `no_build_areas` VALUES ('2', '-85', '-1600', '425');
INSERT INTO `no_build_areas` VALUES ('2', '-6304', '753', '400');
INSERT INTO `no_build_areas` VALUES ('2', '652', '-4888', '350');
INSERT INTO `no_build_areas` VALUES ('2', '-2101', '3165', '350');
INSERT INTO `no_build_areas` VALUES ('2', '-4427', '586', '325');
INSERT INTO `no_build_areas` VALUES ('2', '3558', '1554', '325');
INSERT INTO `no_build_areas` VALUES ('2', '5585', '1903', '350');
INSERT INTO `no_build_areas` VALUES ('2', '3021', '1289', '325');
INSERT INTO `no_build_areas` VALUES ('2', '-6090', '1010', '350');
INSERT INTO `no_build_areas` VALUES ('2', '-6091', '1010', '1000');
INSERT INTO `no_build_areas` VALUES ('2', '-2091', '3177', '300');
INSERT INTO `no_build_areas` VALUES ('2', '-4446', '596', '300');
INSERT INTO `no_build_areas` VALUES ('2', '3566', '1560', '300');
INSERT INTO `no_build_areas` VALUES ('2', '651', '-4888', '300');
INSERT INTO `no_build_areas` VALUES ('2', '-3946', '-50', '300');
INSERT INTO `no_build_areas` VALUES ('2', '678', '4079', '1000');
INSERT INTO `no_build_areas` VALUES ('2', '-2450', '1521', '1000');
INSERT INTO `no_build_areas` VALUES ('2', '-1219', '6262', '300');
INSERT INTO `no_build_areas` VALUES ('2', '2428', '-1701', '300');
INSERT INTO `no_build_areas` VALUES ('3', '-905', '1584', '430');
INSERT INTO `no_build_areas` VALUES ('3', '3221', '-3471', '400');
INSERT INTO `no_build_areas` VALUES ('3', '4596', '-2423', '400');
INSERT INTO `no_build_areas` VALUES ('3', '6051', '-2477', '400');
INSERT INTO `no_build_areas` VALUES ('3', '-650', '-5076', '400');
INSERT INTO `no_build_areas` VALUES ('3', '-4628', '-2273', '350');
INSERT INTO `no_build_areas` VALUES ('3', '6', '-5', '300');
INSERT INTO `no_build_areas` VALUES ('3', '4661', '-2425', '300');
INSERT INTO `no_build_areas` VALUES ('3', '1578', '-3271', '300');
INSERT INTO `no_build_areas` VALUES ('3', '-605', '-4940', '300');
INSERT INTO `no_build_areas` VALUES ('3', '5921', '-2514', '300');
INSERT INTO `no_build_areas` VALUES ('3', '-1287', '2904', '300');
INSERT INTO `no_build_areas` VALUES ('3', '-4838', '-2339', '300');
INSERT INTO `no_build_areas` VALUES ('3', '2286', '3459', '300');
INSERT INTO `no_build_areas` VALUES ('3', '-6853', '679', '300');
INSERT INTO `no_build_areas` VALUES ('3', '-1695', '-56', '300');
INSERT INTO `no_build_areas` VALUES ('4', '440', '5029', '915');
INSERT INTO `no_build_areas` VALUES ('4', '-1920', '-3084', '436');
INSERT INTO `no_build_areas` VALUES ('4', '-1814', '-3086', '350');
INSERT INTO `no_build_areas` VALUES ('4', '3091', '-4638', '350');
INSERT INTO `no_build_areas` VALUES ('4', '4562', '-1156', '325');
INSERT INTO `no_build_areas` VALUES ('4', '3091', '-4638', '300');
INSERT INTO `no_build_areas` VALUES ('4', '-1785', '-3087', '1000');
INSERT INTO `no_build_areas` VALUES ('4', '4572', '-1114', '300');
INSERT INTO `no_build_areas` VALUES ('4', '-68', '2650', '300');
INSERT INTO `no_build_areas` VALUES ('4', '-3792', '-3904', '300');
INSERT INTO `no_build_areas` VALUES ('4', '3703', '2274', '300');
INSERT INTO `no_build_areas` VALUES ('4', '3364', '-4923', '300');
INSERT INTO `no_build_areas` VALUES ('4', '3824', '-465', '300');
INSERT INTO `no_build_areas` VALUES ('5', '-5488', '4380', '1210');
INSERT INTO `no_build_areas` VALUES ('5', '1888', '2700', '1150');
INSERT INTO `no_build_areas` VALUES ('5', '4836', '-4830.5', '877');
INSERT INTO `no_build_areas` VALUES ('5', '4686', '-1375', '820');
INSERT INTO `no_build_areas` VALUES ('5', '5288', '6687', '825');
INSERT INTO `no_build_areas` VALUES ('5', '-5488', '-6', '625');
INSERT INTO `no_build_areas` VALUES ('5', '-4628', '4207', '325');
INSERT INTO `no_build_areas` VALUES ('5', '5157', '-1646', '325');
INSERT INTO `no_build_areas` VALUES ('5', '-5828', '-93', '350');
INSERT INTO `no_build_areas` VALUES ('5', '-2066', '-5423', '350');
INSERT INTO `no_build_areas` VALUES ('5', '-2104', '-5408', '300');
INSERT INTO `no_build_areas` VALUES ('5', '-4627', '4207', '300');
INSERT INTO `no_build_areas` VALUES ('5', '5174', '-1550', '300');
INSERT INTO `no_build_areas` VALUES ('5', '-5828', '-93', '300');
INSERT INTO `no_build_areas` VALUES ('5', '4825', '-3820', '1000');
INSERT INTO `no_build_areas` VALUES ('5', '-1952', '-5279', '300');
INSERT INTO `no_build_areas` VALUES ('5', '-6456', '-3235', '1000');
INSERT INTO `no_build_areas` VALUES ('5', '5864', '-4681', '300');
INSERT INTO `no_build_areas` VALUES ('5', '2963', '1109', '300');
INSERT INTO `no_build_areas` VALUES ('5', '1396', '2686', '300');
INSERT INTO `no_build_areas` VALUES ('6', '-5140', '-2368', '850');
INSERT INTO `no_build_areas` VALUES ('6', '5318', '5680', '925');
INSERT INTO `no_build_areas` VALUES ('6', '3677', '-6447', '380');
INSERT INTO `no_build_areas` VALUES ('6', '-1130', '4544', '400');
INSERT INTO `no_build_areas` VALUES ('6', '-5633', '-5661', '350');
INSERT INTO `no_build_areas` VALUES ('6', '3664', '-6501', '400');
INSERT INTO `no_build_areas` VALUES ('6', '7371', '169', '350');
INSERT INTO `no_build_areas` VALUES ('6', '3669', '-6586', '1000');
INSERT INTO `no_build_areas` VALUES ('6', '7304', '63', '300');
INSERT INTO `no_build_areas` VALUES ('6', '-5651', '-5660', '1000');
INSERT INTO `no_build_areas` VALUES ('6', '-1070', '4542', '300');
INSERT INTO `no_build_areas` VALUES ('6', '-6004', '-1851', '300');
INSERT INTO `no_build_areas` VALUES ('6', '902', '-4933', '300');
INSERT INTO `no_build_areas` VALUES ('6', '5464', '5045', '300');
INSERT INTO `no_build_areas` VALUES ('6', '-1814', '-4533', '300');
INSERT INTO `no_build_areas` VALUES ('6', '773', '-2109', '300');
INSERT INTO `no_build_areas` VALUES ('6', '3584', '5419', '300');
INSERT INTO `no_build_areas` VALUES ('6', '-1986', '3339', '300');
INSERT INTO `no_build_areas` VALUES ('7', '422', '-3004', '1035');
INSERT INTO `no_build_areas` VALUES ('7', '4163', '5220', '795');
INSERT INTO `no_build_areas` VALUES ('7', '-2178', '2300', '450');
INSERT INTO `no_build_areas` VALUES ('7', '4133', '962', '350');
INSERT INTO `no_build_areas` VALUES ('7', '-2184', '2405', '350');
INSERT INTO `no_build_areas` VALUES ('7', '-2452', '3846', '325');
INSERT INTO `no_build_areas` VALUES ('7', '-4425', '-1414', '325');
INSERT INTO `no_build_areas` VALUES ('7', '-2193', '2494', '1000');
INSERT INTO `no_build_areas` VALUES ('7', '4174', '1162', '300');
INSERT INTO `no_build_areas` VALUES ('7', '-2595', '3724', '1000');
INSERT INTO `no_build_areas` VALUES ('7', '-4268', '-1432', '300');
INSERT INTO `no_build_areas` VALUES ('7', '-4899', '-3137', '1000');
INSERT INTO `no_build_areas` VALUES ('7', '4963', '-5977', '1000');
INSERT INTO `no_build_areas` VALUES ('7', '2938', '6004', '300');
INSERT INTO `no_build_areas` VALUES ('7', '1508', '-858', '300');
INSERT INTO `no_build_areas` VALUES ('7', '2145', '-5576', '300');
INSERT INTO `no_build_areas` VALUES ('7', '5939', '4562', '300');
INSERT INTO `no_build_areas` VALUES ('7', '-4816', '-4752', '300');
INSERT INTO `no_build_areas` VALUES ('7', '-5505', '-4680', '300');
INSERT INTO `no_build_areas` VALUES ('7', '5526', '-4073', '300');
INSERT INTO `no_build_areas` VALUES ('8', '-1204', '-3692', '975');
INSERT INTO `no_build_areas` VALUES ('8', '-2878', '2226', '1035');
INSERT INTO `no_build_areas` VALUES ('8', '3569', '-4818', '1000');
INSERT INTO `no_build_areas` VALUES ('8', '1470', '3248', '990');
INSERT INTO `no_build_areas` VALUES ('8', '3855', '2338', '770');
INSERT INTO `no_build_areas` VALUES ('8', '40', '-5348', '930');
INSERT INTO `no_build_areas` VALUES ('8', '-5157', '-6549', '810');
INSERT INTO `no_build_areas` VALUES ('8', '-2579', '-5500', '325');
INSERT INTO `no_build_areas` VALUES ('8', '-4512', '-2270', '325');
INSERT INTO `no_build_areas` VALUES ('8', '-6176', '-3372', '325');
INSERT INTO `no_build_areas` VALUES ('8', '-3930', '-4425', '325');
INSERT INTO `no_build_areas` VALUES ('8', '-4650', '-4363', '325');
INSERT INTO `no_build_areas` VALUES ('8', '7428', '4563', '350');
INSERT INTO `no_build_areas` VALUES ('8', '-3969', '6267', '350');
INSERT INTO `no_build_areas` VALUES ('8', '-5856', '-6183', '1000');
INSERT INTO `no_build_areas` VALUES ('8', '-3980', '6311', '1000');
INSERT INTO `no_build_areas` VALUES ('8', '-6141', '1854', '300');
INSERT INTO `no_build_areas` VALUES ('8', '-718', '-6683', '300');
INSERT INTO `no_build_areas` VALUES ('8', '6839', '4320', '300');
INSERT INTO `no_build_areas` VALUES ('8', '-2579', '-5500', '300');
INSERT INTO `no_build_areas` VALUES ('8', '-4512', '-2270', '300');
INSERT INTO `no_build_areas` VALUES ('8', '-6169', '-3387', '300');
INSERT INTO `no_build_areas` VALUES ('8', '-3931', '-4397', '300');
INSERT INTO `no_build_areas` VALUES ('8', '-4632', '-4346', '300');
INSERT INTO `no_build_areas` VALUES ('8', '2380', '5000', '300');
INSERT INTO `no_build_areas` VALUES ('9', '-312', '4865', '400');
INSERT INTO `no_build_areas` VALUES ('9', '-6925', '-5707', '430');
INSERT INTO `no_build_areas` VALUES ('9', '5076', '5537', '325');
INSERT INTO `no_build_areas` VALUES ('9', '-875', '-2047', '350');
INSERT INTO `no_build_areas` VALUES ('9', '519', '-646', '325');
INSERT INTO `no_build_areas` VALUES ('9', '467', '-693', '300');
INSERT INTO `no_build_areas` VALUES ('9', '-976', '-2039', '300');
INSERT INTO `no_build_areas` VALUES ('9', '5163', '5539', '300');
INSERT INTO `no_build_areas` VALUES ('9', '-3226', '-3139', '300');
INSERT INTO `no_build_zones` VALUES ('1', '0', 'coronet', 'corellia_region_names', 'city', '-178', '-4504', '1181');
INSERT INTO `no_build_zones` VALUES ('2', '0', 'tyrena', 'corellia_region_names', 'city', '-5140', '-2450', '900');
INSERT INTO `no_build_zones` VALUES ('3', '0', 'bela_vista', 'corellia_region_names', 'city', '6766', '-5692', '970');
INSERT INTO `no_build_zones` VALUES ('4', '0', 'kor_vella', 'corellia_region_names', 'city', '-3420', '3146', '1220');
INSERT INTO `no_build_zones` VALUES ('5', '0', 'doaba_guerfel', 'corellia_region_names', 'city', '3274', '5582', '925');
INSERT INTO `no_build_zones` VALUES ('6', '0', 'vreni_island', 'corellia_region_names', 'city', '-5538', '-6176', '820');
INSERT INTO `no_build_zones` VALUES ('7', '0', 'corellia_badge', 'corsec_base', 'poi_badge', '5291', '1494', '400');
INSERT INTO `no_build_zones` VALUES ('8', '0', 'corellia_badge', 'grand_theater', 'poi_badge', '-5418', '-6248', '350');
INSERT INTO `no_build_zones` VALUES ('9', '0', 'corellia_badge', 'crystal_fountain', 'poi_badge', '6767', '-5617', '360');
INSERT INTO `no_build_zones` VALUES ('10', '0', 'corellia_badge', 'agrilat_swamp', 'poi_badge', '1084', '4176', '350');
INSERT INTO `no_build_zones` VALUES ('11', '0', 'corellia_badge', 'rebel_hideout', 'poi_badge', '-6530', '5967', '400');
INSERT INTO `no_build_zones` VALUES ('12', '0', 'hideout', 'corellia', 'poi', '-6584', '5915', '300');
INSERT INTO `no_build_zones` VALUES ('13', '0', 'corsecbase', 'corellia', 'poi', '5291', '1494', '300');
INSERT INTO `no_build_zones` VALUES ('14', '0', 'grandtheater', 'corellia', 'poi', '-5421', '-6212', '300');
INSERT INTO `no_build_zones` VALUES ('15', '0', 'crystalfountain', 'corellia', 'poi', '6760', '-5617', '300');
INSERT INTO `no_build_zones` VALUES ('16', '0', 'agrilat', 'corellia', 'poi', '1402', '3802', '300');
INSERT INTO `no_build_zones` VALUES ('17', '0', 'drall', 'corellia', 'poi', '1042', '4193', '300');
INSERT INTO `no_build_zones` VALUES ('18', '0', 'nyax', 'corellia', 'poi', '1414', '-317', '300');
INSERT INTO `no_build_zones` VALUES ('19', '0', 'stronghold', 'corellia', 'poi', '4651', '-5617', '1000');
INSERT INTO `no_build_zones` VALUES ('20', '0', 'afarathu', 'corellia', 'poi', '-2483', '2907', '300');
INSERT INTO `no_build_zones` VALUES ('21', '0', 'racingagrilat', 'corellia', 'poi', '1859', '4642', '300');
INSERT INTO `no_build_zones` VALUES ('22', '1', 'an_outpost', 'dantooine_region_names', 'city', '-640', '2486', '735');
INSERT INTO `no_build_zones` VALUES ('23', '1', 'an_outpost', 'dantooine_region_names', 'city', '1588', '-6399', '735');
INSERT INTO `no_build_zones` VALUES ('24', '1', 'an_imperial_outpost', 'dantooine_region_names', 'city', '-4224', '-2400', '850');
INSERT INTO `no_build_zones` VALUES ('25', '1', 'dantooine_badge', 'dantari_village', 'poi_badge', '-3862', '-5706', '350');
INSERT INTO `no_build_zones` VALUES ('26', '1', 'dantooine_badge', 'dantari_rock_village', 'poi_badge', '-7156', '-883', '350');
INSERT INTO `no_build_zones` VALUES ('27', '1', 'dantooine_badge', 'ab_rebel_base', 'poi_badge', '-6836', '5520', '325');
INSERT INTO `no_build_zones` VALUES ('28', '1', 'dantooine_badge', 'jedi_temple', 'poi_badge', '4195', '5203', '325');
INSERT INTO `no_build_zones` VALUES ('29', '1', 'dantari1', 'dantooine', 'poi', '-3929', '-5632', '300');
INSERT INTO `no_build_zones` VALUES ('30', '1', 'dantari2', 'dantooine', 'poi', '-7144', '-1053', '300');
INSERT INTO `no_build_zones` VALUES ('31', '1', 'dantari3', 'dantooine', 'poi', '5655', '-589', '300');
INSERT INTO `no_build_zones` VALUES ('32', '1', 'abandoned', 'dantooine', 'poi', '-6858', '5725', '300');
INSERT INTO `no_build_zones` VALUES ('33', '1', 'jeditemple', 'dantooine', 'poi', '4258', '5374', '300');
INSERT INTO `no_build_zones` VALUES ('34', '1', 'cystalhunter', 'dantooine', 'poi', '-6259', '7336', '300');
INSERT INTO `no_build_zones` VALUES ('35', '1', 'janta', 'dantooine', 'poi', '6994', '-4110', '300');
INSERT INTO `no_build_zones` VALUES ('37', '1', 'mokk', 'dantooine', 'poi', '-7258', '-3320', '300');
INSERT INTO `no_build_zones` VALUES ('38', '1', 'kunga', 'dantooine', 'poi', '-368', '-240', '300');
INSERT INTO `no_build_zones` VALUES ('39', '1', 'warren', 'dantooine', 'poi', '-580', '-3763', '1000');
INSERT INTO `no_build_zones` VALUES ('40', '2', 'trade_outpost', 'dathomir_region_names', 'outpost', '599', '3046', '410');
INSERT INTO `no_build_zones` VALUES ('41', '2', 'science_outpost', 'dathomir_region_names', 'outpost', '-85', '-1600', '425');
INSERT INTO `no_build_zones` VALUES ('42', '2', 'dathomir_badge', 'imp_prison', 'poi_badge', '-6304', '753', '400');
INSERT INTO `no_build_zones` VALUES ('43', '2', 'dathomir_badge', 'tarpits', 'poi_badge', '652', '-4888', '350');
INSERT INTO `no_build_zones` VALUES ('44', '2', 'dathomir_badge', 'lesser_sarlacc', 'poi_badge', '-2101', '3165', '350');
INSERT INTO `no_build_zones` VALUES ('45', '2', 'dathomir_badge', 'escape_pod', 'poi_badge', '-4427', '586', '325');
INSERT INTO `no_build_zones` VALUES ('46', '2', 'dathomir_badge', 'lesser_misty_fall', 'poi_badge', '3558', '1554', '325');
INSERT INTO `no_build_zones` VALUES ('47', '2', 'dathomir_badge', 'downed_ship', 'poi_badge', '5585', '1903', '350');
INSERT INTO `no_build_zones` VALUES ('48', '2', 'dathomir_badge', 'great_misty_fall', 'poi_badge', '3021', '1289', '325');
INSERT INTO `no_build_zones` VALUES ('49', '2', 'a_imperial_outpost', 'dathomir_region_name', 'outpost', '-6090', '1010', '350');
INSERT INTO `no_build_zones` VALUES ('50', '2', 'prison', 'dathomir', 'poi', '-6091', '1010', '1000');
INSERT INTO `no_build_zones` VALUES ('51', '2', 'lessersarlacc', 'dathomir', 'poi', '-2091', '3177', '300');
INSERT INTO `no_build_zones` VALUES ('52', '2', 'dathpod', 'dathomir', 'poi', '-4446', '596', '300');
INSERT INTO `no_build_zones` VALUES ('53', '2', 'mistyfalls', 'dathomir', 'poi', '3566', '1560', '300');
INSERT INTO `no_build_zones` VALUES ('54', '2', 'tarpit', 'dathomir', 'poi', '651', '-4888', '300');
INSERT INTO `no_build_zones` VALUES ('55', '2', 'nightsister', 'dathomir', 'poi', '-3946', '-50', '300');
INSERT INTO `no_build_zones` VALUES ('56', '2', 'singing', 'dathomir', 'poi', '678', '4079', '1000');
INSERT INTO `no_build_zones` VALUES ('57', '2', 'nightvssing', 'dathomir', 'poi', '-2450', '1521', '1000');
INSERT INTO `no_build_zones` VALUES ('58', '2', 'nightspider', 'dathomir', 'poi', '-1219', '6262', '300');
INSERT INTO `no_build_zones` VALUES ('59', '2', 'slavecamp', 'dathomir', 'poi', '2428', '-1701', '300');
INSERT INTO `no_build_zones` VALUES ('60', '3', 'an_outpost', 'endor_region_names', 'outpost', '-905', '1584', '430');
INSERT INTO `no_build_zones` VALUES ('61', '3', 'an_outpost', 'endor_region_names', 'outpost', '3221', '-3471', '400');
INSERT INTO `no_build_zones` VALUES ('62', '3', 'endor_badge', 'ewok_tree_vill', 'poi_badge', '4596', '-2423', '400');
INSERT INTO `no_build_zones` VALUES ('63', '3', 'endor_badge', 'dulok_village', 'poi_badge', '6051', '-2477', '400');
INSERT INTO `no_build_zones` VALUES ('64', '3', 'endor_badge', 'ewok_lake_vill', 'poi_badge', '-650', '-5076', '400');
INSERT INTO `no_build_zones` VALUES ('65', '3', 'endor_badge', 'maruaders_stronghold', 'poi_badge', '-4628', '-2273', '350');
INSERT INTO `no_build_zones` VALUES ('66', '3', 'tree1', 'endor', 'poi', '6', '-5', '300');
INSERT INTO `no_build_zones` VALUES ('67', '3', 'tree2', 'endor', 'poi', '4661', '-2425', '300');
INSERT INTO `no_build_zones` VALUES ('68', '3', 'lake1', 'endor', 'poi', '1578', '-3271', '300');
INSERT INTO `no_build_zones` VALUES ('69', '3', 'lake2', 'endor', 'poi', '-605', '-4940', '300');
INSERT INTO `no_build_zones` VALUES ('70', '3', 'dulok1', 'endor', 'poi', '5921', '-2514', '300');
INSERT INTO `no_build_zones` VALUES ('71', '3', 'dulok2', 'endor', 'poi', '-1287', '2904', '300');
INSERT INTO `no_build_zones` VALUES ('72', '3', 'marauder', 'endor', 'poi', '-4838', '-2339', '300');
INSERT INTO `no_build_zones` VALUES ('73', '3', 'korga', 'endor', 'poi', '2286', '3459', '300');
INSERT INTO `no_build_zones` VALUES ('74', '3', 'orphan', 'endor', 'poi', '-6853', '679', '300');
INSERT INTO `no_build_zones` VALUES ('75', '3', 'jinda', 'endor', 'poi', '-1695', '-56', '300');
INSERT INTO `no_build_zones` VALUES ('76', '4', 'nyms_stronghold', 'lok_region_names', 'city', '440', '5029', '915');
INSERT INTO `no_build_zones` VALUES ('77', '4', 'an_imperial_outpost', 'lok_region_names', 'outpost', '-1920', '-3084', '436');
INSERT INTO `no_build_zones` VALUES ('78', '4', 'lok_badge', 'imp_outpost', 'poi_badge', '-1814', '-3086', '350');
INSERT INTO `no_build_zones` VALUES ('79', '4', 'lok_badge', 'mount_chaolt', 'poi_badge', '3091', '-4638', '350');
INSERT INTO `no_build_zones` VALUES ('80', '4', 'lok_badge', 'kimo_skeleton', 'poi_badge', '4562', '-1156', '325');
INSERT INTO `no_build_zones` VALUES ('81', '4', 'volcano', 'lok', 'poi', '3091', '-4638', '300');
INSERT INTO `no_build_zones` VALUES ('82', '4', 'lokimpoutpost', 'lok', 'poi', '-1785', '-3087', '1000');
INSERT INTO `no_build_zones` VALUES ('84', '4', 'kimogilaskel', 'lok', 'poi', '4572', '-1114', '300');
INSERT INTO `no_build_zones` VALUES ('85', '4', 'kimogilatown', 'lok', 'poi', '-68', '2650', '300');
INSERT INTO `no_build_zones` VALUES ('86', '4', 'canyoncosair', 'lok', 'poi', '-3792', '-3904', '300');
INSERT INTO `no_build_zones` VALUES ('87', '4', 'bloodrazor', 'lok', 'poi', '3703', '2274', '300');
INSERT INTO `no_build_zones` VALUES ('88', '4', 'droidcave', 'lok', 'poi', '3364', '-4923', '300');
INSERT INTO `no_build_zones` VALUES ('89', '4', 'greatmaze', 'lok', 'poi', '3824', '-465', '300');
INSERT INTO `no_build_zones` VALUES ('90', '5', 'theed', 'naboo_region_names', 'city', '-5488', '4380', '1210');
INSERT INTO `no_build_zones` VALUES ('91', '5', 'keren', 'naboo_region_names', 'city', '1888', '2700', '1150');
INSERT INTO `no_build_zones` VALUES ('92', '5', 'moenia', 'naboo_region_names', 'city', '4836', '-4830.5', '877');
INSERT INTO `no_build_zones` VALUES ('93', '5', 'deeja_peak', 'naboo_region_names', 'city', '4686', '-1375', '820');
INSERT INTO `no_build_zones` VALUES ('94', '5', 'kaadara', 'naboo_region_names', 'city', '5288', '6687', '825');
INSERT INTO `no_build_zones` VALUES ('95', '5', 'lake_retreat', 'naboo_region_name', 'city', '-5488', '-6', '625');
INSERT INTO `no_build_zones` VALUES ('96', '5', 'naboo_badge', 'theed_waterfall', 'poi_badge', '-4628', '4207', '325');
INSERT INTO `no_build_zones` VALUES ('97', '5', 'naboo_badge', 'peak_waterfall', 'poi_badge', '5157', '-1646', '325');
INSERT INTO `no_build_zones` VALUES ('98', '5', 'naboo_badge', 'amidala_beach', 'poi_badge', '-5828', '-93', '350');
INSERT INTO `no_build_zones` VALUES ('99', '5', 'naboo_badge', 'gungan_place', 'poi_badge', '-2066', '-5423', '350');
INSERT INTO `no_build_zones` VALUES ('100', '5', 'gungan', 'naboo', 'poi', '-2104', '-5408', '300');
INSERT INTO `no_build_zones` VALUES ('101', '5', 'theedfalls', 'naboo', 'poi', '-4627', '4207', '300');
INSERT INTO `no_build_zones` VALUES ('102', '5', 'deejafalls', 'naboo', 'poi', '5174', '-1550', '300');
INSERT INTO `no_build_zones` VALUES ('103', '5', 'amidalasbeach', 'naboo', 'poi', '-5828', '-93', '300');
INSERT INTO `no_build_zones` VALUES ('104', '5', 'impvsgun', 'naboo', 'poi', '4825', '-3820', '1000');
INSERT INTO `no_build_zones` VALUES ('105', '5', 'mordran', 'naboo', 'poi', '-1952', '-5279', '300');
INSERT INTO `no_build_zones` VALUES ('106', '5', 'weaponfacility', 'naboo', 'poi', '-6456', '-3235', '1000');
INSERT INTO `no_build_zones` VALUES ('107', '5', 'narglatch', 'naboo', 'poi', '5864', '-4681', '300');
INSERT INTO `no_build_zones` VALUES ('108', '5', 'mauler', 'naboo', 'poi', '2963', '1109', '300');
INSERT INTO `no_build_zones` VALUES ('109', '5', 'racingkeren', 'naboo', 'poi', '1396', '2686', '300');
INSERT INTO `no_build_zones` VALUES ('110', '6', 'narmle', 'rori_region_names', 'city', '-5140', '-2368', '850');
INSERT INTO `no_build_zones` VALUES ('111', '6', 'restuss', 'rori_region_names', 'city', '5318', '5680', '925');
INSERT INTO `no_build_zones` VALUES ('112', '6', 'a_rebel_outpost', 'rori_region_names', 'outpost', '3677', '-6447', '380');
INSERT INTO `no_build_zones` VALUES ('113', '6', 'rori_badge', 'hyperdrive_fac', 'poi_badge', '-1130', '4544', '400');
INSERT INTO `no_build_zones` VALUES ('114', '6', 'rori_badge', 'imp_camp', 'poi_badge', '-5633', '-5661', '350');
INSERT INTO `no_build_zones` VALUES ('115', '6', 'rori_badge', 'reb_outpost', 'poi_badge', '3664', '-6501', '400');
INSERT INTO `no_build_zones` VALUES ('116', '6', 'rori_badge', 'spice_mine', 'poi_badge', '7371', '169', '350');
INSERT INTO `no_build_zones` VALUES ('117', '6', 'reboutpost', 'rori', 'poi', '3669', '-6586', '1000');
INSERT INTO `no_build_zones` VALUES ('118', '6', 'kobala', 'rori', 'poi', '7304', '63', '300');
INSERT INTO `no_build_zones` VALUES ('119', '6', 'impencampment', 'rori', 'poi', '-5651', '-5660', '1000');
INSERT INTO `no_build_zones` VALUES ('120', '6', 'hyperdrive', 'rori', 'poi', '-1070', '4542', '300');
INSERT INTO `no_build_zones` VALUES ('121', '6', 'garyn', 'rori', 'poi', '-6004', '-1851', '300');
INSERT INTO `no_build_zones` VALUES ('122', '6', 'borglebat', 'rori', 'poi', '902', '-4933', '300');
INSERT INTO `no_build_zones` VALUES ('123', '6', 'cobral', 'rori', 'poi', '5464', '5045', '300');
INSERT INTO `no_build_zones` VALUES ('124', '6', 'tortoncave', 'rori', 'poi', '-1814', '-4533', '300');
INSERT INTO `no_build_zones` VALUES ('125', '6', 'poacher', 'rori', 'poi', '773', '-2109', '300');
INSERT INTO `no_build_zones` VALUES ('126', '6', 'barkmite', 'rori', 'poi', '3584', '5419', '300');
INSERT INTO `no_build_zones` VALUES ('127', '6', 'swamptown', 'rori', 'poi', '-1986', '3339', '300');
INSERT INTO `no_build_zones` VALUES ('128', '7', 'dearic', 'talus_region_names', 'city', '422', '-3004', '1035');
INSERT INTO `no_build_zones` VALUES ('129', '7', 'nashal', 'talus_region_names', 'city', '4163', '5220', '795');
INSERT INTO `no_build_zones` VALUES ('130', '7', 'an_imperial_outpost', 'talus_region_names', 'outpost', '-2178', '2300', '450');
INSERT INTO `no_build_zones` VALUES ('131', '7', 'talus_badge', 'durbin', 'poi_badge', '4133', '962', '350');
INSERT INTO `no_build_zones` VALUES ('132', '7', 'talus_badge', 'imp_outpost', 'poi_badge', '-2184', '2405', '350');
INSERT INTO `no_build_zones` VALUES ('133', '7', 'talus_badge', 'imp_reb_batle', 'poi_badge', '-2452', '3846', '325');
INSERT INTO `no_build_zones` VALUES ('134', '7', 'talus_badge', 'aquq_cave', 'poi_badge', '-4425', '-1414', '325');
INSERT INTO `no_build_zones` VALUES ('135', '7', 'impoutpost', 'talus', 'poi', '-2193', '2494', '1000');
INSERT INTO `no_build_zones` VALUES ('136', '7', 'creaturevillage', 'talus', 'poi', '4174', '1162', '300');
INSERT INTO `no_build_zones` VALUES ('137', '7', 'impvsreb', 'talus', 'poi', '-2595', '3724', '1000');
INSERT INTO `no_build_zones` VALUES ('138', '7', 'aqualishcave', 'talus', 'poi', '-4268', '-1432', '300');
INSERT INTO `no_build_zones` VALUES ('139', '7', 'weapondepot', 'talus', 'poi', '-4899', '-3137', '1000');
INSERT INTO `no_build_zones` VALUES ('140', '7', 'detainment', 'talus', 'poi', '4963', '-5977', '1000');
INSERT INTO `no_build_zones` VALUES ('141', '7', 'corvsflail', 'talus', 'poi', '2938', '6004', '300');
INSERT INTO `no_build_zones` VALUES ('142', '7', 'flynock', 'talus', 'poi', '1508', '-858', '300');
INSERT INTO `no_build_zones` VALUES ('143', '7', 'erransif', 'talus', 'poi', '2145', '-5576', '300');
INSERT INTO `no_build_zones` VALUES ('144', '7', 'aakuan', 'talus', 'poi', '5939', '4562', '300');
INSERT INTO `no_build_zones` VALUES ('145', '7', 'khamurrabio', 'talus', 'poi', '-4816', '-4752', '300');
INSERT INTO `no_build_zones` VALUES ('146', '7', 'decaymite', 'talus', 'poi', '-5505', '-4680', '300');
INSERT INTO `no_build_zones` VALUES ('147', '7', 'binyare', 'talus', 'poi', '5526', '-4073', '300');
INSERT INTO `no_build_zones` VALUES ('148', '8', 'bestine', 'tatooine_region_names', 'city', '-1204', '-3692', '975');
INSERT INTO `no_build_zones` VALUES ('149', '8', 'mos_espa', 'tatooine_region_names', 'city', '-2878', '2226', '1035');
INSERT INTO `no_build_zones` VALUES ('150', '8', 'mos_eisley', 'tatooine_region_names', 'city', '3569', '-4818', '1000');
INSERT INTO `no_build_zones` VALUES ('151', '8', 'mos_entha', 'tatooine_region_names', 'city', '1470', '3248', '990');
INSERT INTO `no_build_zones` VALUES ('152', '8', 'mos_taike', 'tatooine_region_names', 'city', '3855', '2338', '770');
INSERT INTO `no_build_zones` VALUES ('153', '8', 'anchorhead', 'tatooine_region_names', 'city', '40', '-5348', '930');
INSERT INTO `no_build_zones` VALUES ('154', '8', 'wayfar', 'tatooine_region_names', 'city', '-5157', '-6549', '810');
INSERT INTO `no_build_zones` VALUES ('155', '8', 'tatooine_badge', 'lars_home', 'poi_badge', '-2579', '-5500', '325');
INSERT INTO `no_build_zones` VALUES ('156', '8', 'tatooine_badge', 'bens_hut', 'poi_badge', '-4512', '-2270', '325');
INSERT INTO `no_build_zones` VALUES ('157', '8', 'tatooine_badge', 'sarlacc', 'poi_badge', '-6176', '-3372', '325');
INSERT INTO `no_build_zones` VALUES ('158', '8', 'tatooine_badge', 'escape_pod', 'poi_badge', '-3930', '-4425', '325');
INSERT INTO `no_build_zones` VALUES ('159', '8', 'tatooine_badge', 'krayt_skull', 'poi_badge', '-4650', '-4363', '325');
INSERT INTO `no_build_zones` VALUES ('160', '8', 'tatooine_badge', 'krayt_graveyard', 'poi_badge', '7428', '4563', '350');
INSERT INTO `no_build_zones` VALUES ('161', '8', 'tatooine_badge', 'fort_tusken', 'poi_badge', '-3969', '6267', '350');
INSERT INTO `no_build_zones` VALUES ('162', '8', 'jabbaspalace', 'tatooine', 'poi', '-5856', '-6183', '1000');
INSERT INTO `no_build_zones` VALUES ('163', '8', 'forttusken', 'tatooine', 'poi', '-3980', '6311', '1000');
INSERT INTO `no_build_zones` VALUES ('164', '8', 'jawatraders', 'tatooine', 'poi', '-6141', '1854', '300');
INSERT INTO `no_build_zones` VALUES ('165', '8', 'darklighter', 'tatooine', 'poi', '-718', '-6683', '300');
INSERT INTO `no_build_zones` VALUES ('166', '8', 'kraytgraveyard', 'tatooine', 'poi', '6839', '4320', '300');
INSERT INTO `no_build_zones` VALUES ('167', '8', 'larshomestead', 'tatooine', 'poi', '-2579', '-5500', '300');
INSERT INTO `no_build_zones` VALUES ('168', '8', 'kenobishouse', 'tatooine', 'poi', '-4512', '-2270', '300');
INSERT INTO `no_build_zones` VALUES ('169', '8', 'sarlacc', 'tatooine', 'poi', '-6169', '-3387', '300');
INSERT INTO `no_build_zones` VALUES ('170', '8', 'pod', 'tatooine', 'poi', '-3931', '-4397', '300');
INSERT INTO `no_build_zones` VALUES ('171', '8', 'skeleton', 'tatooine', 'poi', '-4632', '-4346', '300');
INSERT INTO `no_build_zones` VALUES ('172', '8', 'racingmosespa', 'tatooine', 'poi', '2380', '5000', '300');
INSERT INTO `no_build_zones` VALUES ('173', '9', 'an_outpost', 'yavin4_region_names', 'outpost', '-312', '4865', '400');
INSERT INTO `no_build_zones` VALUES ('174', '9', 'an_oupost', 'yavin4_region_names', 'outpost', '-6925', '-5707', '430');
INSERT INTO `no_build_zones` VALUES ('175', '9', 'yavin_badge', 'exar_kun', 'poi_badge', '5076', '5537', '325');
INSERT INTO `no_build_zones` VALUES ('176', '9', 'yavin_badge', 'blueleaf_temple', 'poi_badge', '-875', '-2047', '350');
INSERT INTO `no_build_zones` VALUES ('177', '9', 'yavin_badge', 'woolamander_palace', 'poi_badge', '519', '-646', '325');
INSERT INTO `no_build_zones` VALUES ('178', '9', 'woolamander', 'yavin4', 'poi', '467', '-693', '300');
INSERT INTO `no_build_zones` VALUES ('179', '9', 'blueleaf', 'yavin4', 'poi', '-976', '-2039', '300');
INSERT INTO `no_build_zones` VALUES ('180', '9', 'exarkun', 'yavin4', 'poi', '5163', '5539', '300');
INSERT INTO `no_build_zones` VALUES ('181', '9', 'massassi', 'yavin4', 'poi', '-3226', '-3139', '300');
INSERT INTO `object_crc_string_table` VALUES ('400647243', '17E1644B', 'object/battlefield_marker/shared_battlefield_marker.iff');
INSERT INTO `object_crc_string_table` VALUES ('772486765', '2E0B366D', 'object/battlefield_marker/shared_battlefield_marker_128m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1675330696', '63DB8488', 'object/battlefield_marker/shared_battlefield_marker_192m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2839286307', 'A93C1223', 'object/battlefield_marker/shared_battlefield_marker_256m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3242162717', 'C13F7A1D', 'object/battlefield_marker/shared_battlefield_marker_384m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2057605617', '7AA491F1', 'object/battlefield_marker/shared_battlefield_marker_512m.iff');
INSERT INTO `object_crc_string_table` VALUES ('892199285', '352DE175', 'object/building/base/shared_base_aircar.iff');
INSERT INTO `object_crc_string_table` VALUES ('1304404449', '4DBFA1E1', 'object/building/base/shared_base_arena.iff');
INSERT INTO `object_crc_string_table` VALUES ('2838642045', 'A9323D7D', 'object/building/base/shared_base_arena_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('2010161339', '77D0A0BB', 'object/building/base/shared_base_association_hall.iff');
INSERT INTO `object_crc_string_table` VALUES ('930886639', '377C33EF', 'object/building/base/shared_base_bank.iff');
INSERT INTO `object_crc_string_table` VALUES ('3077444681', 'B76E1449', 'object/building/base/shared_base_bubble_naboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('563265939', '2192C193', 'object/building/base/shared_base_building.iff');
INSERT INTO `object_crc_string_table` VALUES ('2078697879', '7BE66997', 'object/building/base/shared_base_cantina.iff');
INSERT INTO `object_crc_string_table` VALUES ('1349240925', '506BC85D', 'object/building/base/shared_base_capitol.iff');
INSERT INTO `object_crc_string_table` VALUES ('4040885581', 'F0DB054D', 'object/building/base/shared_base_cave.iff');
INSERT INTO `object_crc_string_table` VALUES ('2798966210', 'A6D4D5C2', 'object/building/base/shared_base_cloning_facility.iff');
INSERT INTO `object_crc_string_table` VALUES ('2827665869', 'A88AC1CD', 'object/building/base/shared_base_filler_building.iff');
INSERT INTO `object_crc_string_table` VALUES ('4220933361', 'FB9654F1', 'object/building/base/shared_base_guild.iff');
INSERT INTO `object_crc_string_table` VALUES ('116432474', '6F09E5A', 'object/building/base/shared_base_hangar.iff');
INSERT INTO `object_crc_string_table` VALUES ('4250674570', 'FD5C258A', 'object/building/base/shared_base_hospital.iff');
INSERT INTO `object_crc_string_table` VALUES ('205766799', 'C43C08F', 'object/building/base/shared_base_hotel.iff');
INSERT INTO `object_crc_string_table` VALUES ('266190245', 'FDDBDA5', 'object/building/base/shared_base_housing.iff');
INSERT INTO `object_crc_string_table` VALUES ('952281337', '38C2A8F9', 'object/building/base/shared_base_military_building.iff');
INSERT INTO `object_crc_string_table` VALUES ('1132404592', '437F1F70', 'object/building/base/shared_base_municipal.iff');
INSERT INTO `object_crc_string_table` VALUES ('1617161179', '6063EBDB', 'object/building/base/shared_base_palace.iff');
INSERT INTO `object_crc_string_table` VALUES ('1335851436', '4F9F79AC', 'object/building/base/shared_base_parking_garage.iff');
INSERT INTO `object_crc_string_table` VALUES ('763835545', '2D873499', 'object/building/base/shared_base_player_building.iff');
INSERT INTO `object_crc_string_table` VALUES ('3206316286', 'BF1C80FE', 'object/building/base/shared_base_power_generator.iff');
INSERT INTO `object_crc_string_table` VALUES ('1766589263', '694C034F', 'object/building/base/shared_base_salon.iff');
INSERT INTO `object_crc_string_table` VALUES ('4237016019', 'FC8BBBD3', 'object/building/base/shared_base_shuttleport.iff');
INSERT INTO `object_crc_string_table` VALUES ('1063888932', '3F69A824', 'object/building/base/shared_base_starport.iff');
INSERT INTO `object_crc_string_table` VALUES ('3832915200', 'E475A500', 'object/building/base/shared_base_theater.iff');
INSERT INTO `object_crc_string_table` VALUES ('4264143494', 'FE29AA86', 'object/building/base/shared_base_tower.iff');
INSERT INTO `object_crc_string_table` VALUES ('2497050652', '94D5F81C', 'object/building/base/shared_building_default.iff');
INSERT INTO `object_crc_string_table` VALUES ('2742139830', 'A371BBB6', 'object/building/corellia/shared_association_hall_civilian_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('925292585', '3726D829', 'object/building/corellia/shared_bank_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('2013728951', '780710B7', 'object/building/corellia/shared_cantina_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('2023346551', '7899D177', 'object/building/corellia/shared_capitol_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('4160058931', 'F7F57633', 'object/building/corellia/shared_cloning_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('3487204259', 'CFDA83A3', 'object/building/corellia/shared_filler_block_corellia_32x16_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1480274759', '583B3347', 'object/building/corellia/shared_filler_block_corellia_64x32_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2200738768', '832C9BD0', 'object/building/corellia/shared_filler_block_corellia_64x32_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2891016021', 'AC516755', 'object/building/corellia/shared_filler_building_corellia_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2001129410', '7746CFC2', 'object/building/corellia/shared_filler_building_corellia_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1045145679', '3E4BA84F', 'object/building/corellia/shared_filler_building_corellia_style_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3316155227', 'C5A8835B', 'object/building/corellia/shared_filler_building_corellia_style_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2359682262', '8CA5E4D6', 'object/building/corellia/shared_filler_building_corellia_style_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1471302721', '57B24C41', 'object/building/corellia/shared_filler_building_corellia_style_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('515845068', '1EBF2BCC', 'object/building/corellia/shared_filler_building_corellia_style_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('2616481902', '9BF4586E', 'object/building/corellia/shared_filler_historic_24x16_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1088680185', '40E3F0F9', 'object/building/corellia/shared_filler_historic_24x16_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1667646591', '6366447F', 'object/building/corellia/shared_filler_historic_32x16_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3094473960', 'B871ECE8', 'object/building/corellia/shared_filler_historic_32x16_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2757381075', 'A45A4BD3', 'object/building/corellia/shared_filler_slum_16x16_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1694210539', '64FB99EB', 'object/building/corellia/shared_filler_slum_16x32_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3219927420', 'BFEC317C', 'object/building/corellia/shared_filler_slum_16x32_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1140644280', '43FCD9B8', 'object/building/corellia/shared_garage_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('1288802152', '4CD18F68', 'object/building/corellia/shared_guild_combat_corellia_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2920780919', 'AE179477', 'object/building/corellia/shared_guild_commerce_corellia_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3431234640', 'CC847C50', 'object/building/corellia/shared_guild_theater_corellia_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3226540131', 'C0511863', 'object/building/corellia/shared_guild_university_corellia_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2966265050', 'B0CD9CDA', 'object/building/corellia/shared_hospital_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('1414124568', '5449D418', 'object/building/corellia/shared_hospital_corellia_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3326447330', 'C6458EE2', 'object/building/corellia/shared_hotel_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('2032858770', '792AF692', 'object/building/corellia/shared_merchant_tent_corellia_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2468987350', '9329C1D6', 'object/building/corellia/shared_ply_corl_house_lg_s01_fp1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1777902906', '69F8A53A', 'object/building/corellia/shared_ply_corl_house_m_s01_fp1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4262283837', 'FE0D4A3D', 'object/building/corellia/shared_ply_corl_house_s_s01_fp1.iff');
INSERT INTO `object_crc_string_table` VALUES ('622518954', '251AE2AA', 'object/building/corellia/shared_ply_corl_house_s_s01_fp2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3972901152', 'ECCDA920', 'object/building/corellia/shared_ply_corl_house_s_s02_fp1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4015891242', 'EF5DA32A', 'object/building/corellia/shared_salon_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('197393539', 'BC3FC83', 'object/building/corellia/shared_shuttleport_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('2284214156', '8826578C', 'object/building/corellia/shared_skyscraper_corellia_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1395785499', '5331FF1B', 'object/building/corellia/shared_skyscraper_corellia_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('440178838', '1A3C9896', 'object/building/corellia/shared_skyscraper_corellia_style_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3789534082', 'E1DFB382', 'object/building/corellia/shared_skyscraper_corellia_style_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2832389135', 'A8D2D40F', 'object/building/corellia/shared_skyscraper_corellia_style_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1449497657', '56659439', 'object/building/corellia/shared_starport_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('3733495054', 'DE889D0E', 'object/building/dathomir/shared_mtn_clan_stronghold.iff');
INSERT INTO `object_crc_string_table` VALUES ('1104863563', '41DAE14B', 'object/building/dathomir/shared_night_sister_stronghold.iff');
INSERT INTO `object_crc_string_table` VALUES ('1092202767', '4119B10F', 'object/building/endor/shared_endor_catwalk.iff');
INSERT INTO `object_crc_string_table` VALUES ('1451215471', '567FCA6F', 'object/building/endor/shared_endor_catwalk_cap.iff');
INSERT INTO `object_crc_string_table` VALUES ('2759537117', 'A47B31DD', 'object/building/endor/shared_endor_forest_hut.iff');
INSERT INTO `object_crc_string_table` VALUES ('2543574892', '979BDF6C', 'object/building/endor/shared_endor_giant_catwalk.iff');
INSERT INTO `object_crc_string_table` VALUES ('3384806373', 'C9C00BE5', 'object/building/endor/shared_endor_giant_village_tree_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('790353916', '2F1BD7FC', 'object/building/endor/shared_endor_lake_hut.iff');
INSERT INTO `object_crc_string_table` VALUES ('1488414842', '58B7687A', 'object/building/endor/shared_endor_lake_hut_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2419475197', '903642FD', 'object/building/endor/shared_endor_lake_platform.iff');
INSERT INTO `object_crc_string_table` VALUES ('1002562347', '3BC1E32B', 'object/building/endor/shared_endor_lake_platform_cap.iff');
INSERT INTO `object_crc_string_table` VALUES ('1339123676', '4FD167DC', 'object/building/endor/shared_endor_lake_walkway_square.iff');
INSERT INTO `object_crc_string_table` VALUES ('3597287151', 'D66A3EEF', 'object/building/endor/shared_endor_lake_walkway_straight.iff');
INSERT INTO `object_crc_string_table` VALUES ('4148017771', 'F73DBA6B', 'object/building/endor/shared_endor_tiki_torch.iff');
INSERT INTO `object_crc_string_table` VALUES ('1111623449', '42420719', 'object/building/endor/shared_endor_village_tree.iff');
INSERT INTO `object_crc_string_table` VALUES ('4074943330', 'F2E2B362', 'object/building/endor/shared_endor_village_tree_viewpoint.iff');
INSERT INTO `object_crc_string_table` VALUES ('2748322568', 'A3D01308', 'object/building/endor/shared_endr_lake_rail16m.iff');
INSERT INTO `object_crc_string_table` VALUES ('380245173', '16AA14B5', 'object/building/endor/shared_endr_lake_rail2m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1280981925', '4C5A3BA5', 'object/building/endor/shared_endr_lake_rail4m.iff');
INSERT INTO `object_crc_string_table` VALUES ('4189742469', 'F9BA6585', 'object/building/endor/shared_endr_lake_rail8m.iff');
INSERT INTO `object_crc_string_table` VALUES ('275299294', '1068BBDE', 'object/building/faction_perk/base/shared_factional_building_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2342412562', '8B9E6112', 'object/building/faction_perk/hq/base/shared_factional_hq_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('622259850', '2516EE8A', 'object/building/faction_perk/hq/base/shared_factional_hq_fp.iff');
INSERT INTO `object_crc_string_table` VALUES ('4204337141', 'FA9917F5', 'object/building/faction_perk/hq/shared_hq_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2419085158', '90304F66', 'object/building/faction_perk/hq/shared_hq_s01_fp.iff');
INSERT INTO `object_crc_string_table` VALUES ('554924775', '21137AE7', 'object/building/faction_perk/hq/shared_hq_s01_imp.iff');
INSERT INTO `object_crc_string_table` VALUES ('1119051291', '42B35E1B', 'object/building/faction_perk/hq/shared_hq_s01_rebel.iff');
INSERT INTO `object_crc_string_table` VALUES ('563003234', '218EBF62', 'object/building/faction_perk/hq/shared_hq_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2094148152', '7CD22A38', 'object/building/faction_perk/hq/shared_hq_s02_fp.iff');
INSERT INTO `object_crc_string_table` VALUES ('869505530', '33D399FA', 'object/building/faction_perk/hq/shared_hq_s02_imp.iff');
INSERT INTO `object_crc_string_table` VALUES ('1283967902', '4C87CB9E', 'object/building/faction_perk/hq/shared_hq_s02_rebel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1753471215', '6883D8EF', 'object/building/faction_perk/hq/shared_hq_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('661911282', '2773F6F2', 'object/building/faction_perk/hq/shared_hq_s03_fp.iff');
INSERT INTO `object_crc_string_table` VALUES ('3251843996', 'C1D3339C', 'object/building/faction_perk/hq/shared_hq_s03_imp.iff');
INSERT INTO `object_crc_string_table` VALUES ('3039513712', 'B52B4C70', 'object/building/faction_perk/hq/shared_hq_s03_rebel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2472604667', '9360F3FB', 'object/building/faction_perk/hq/shared_hq_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2715286835', 'A1D7FD33', 'object/building/faction_perk/hq/shared_hq_s04_fp.iff');
INSERT INTO `object_crc_string_table` VALUES ('374497216', '16525FC0', 'object/building/faction_perk/hq/shared_hq_s04_imp.iff');
INSERT INTO `object_crc_string_table` VALUES ('1357832340', '50EEE094', 'object/building/faction_perk/hq/shared_hq_s04_rebel.iff');
INSERT INTO `object_crc_string_table` VALUES ('3664614518', 'DA6D9476', 'object/building/faction_perk/hq/shared_hq_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('4202045945', 'FA7621F9', 'object/building/faction_perk/hq/shared_hq_s05_fp.iff');
INSERT INTO `object_crc_string_table` VALUES ('3830642086', 'E452F5A6', 'object/building/faction_perk/hq/shared_hq_s05_imp.iff');
INSERT INTO `object_crc_string_table` VALUES ('2839701370', 'A942677A', 'object/building/faction_perk/hq/shared_hq_s05_rebel.iff');
INSERT INTO `object_crc_string_table` VALUES ('929068141', '3760746D', 'object/building/general/shared_aircar_general.iff');
INSERT INTO `object_crc_string_table` VALUES ('3257125986', 'C223CC62', 'object/building/general/shared_arena_general.iff');
INSERT INTO `object_crc_string_table` VALUES ('3322084706', 'C602FD62', 'object/building/general/shared_arena_large_general.iff');
INSERT INTO `object_crc_string_table` VALUES ('3632219938', 'D87F4722', 'object/building/general/shared_association_hall_civilian_general.iff');
INSERT INTO `object_crc_string_table` VALUES ('3960949370', 'EC174A7A', 'object/building/general/shared_association_hall_general.iff');
INSERT INTO `object_crc_string_table` VALUES ('2650754817', '9DFF4F01', 'object/building/general/shared_bank_general.iff');
INSERT INTO `object_crc_string_table` VALUES ('599067335', '23B50AC7', 'object/building/general/shared_bunker_allum_mine.iff');
INSERT INTO `object_crc_string_table` VALUES ('3171223694', 'BD05088E', 'object/building/general/shared_bunker_crimelord_retreat_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2982837298', 'B1CA7C32', 'object/building/general/shared_bunker_imperial_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1792922789', '6ADDD4A5', 'object/building/general/shared_bunker_imperial_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('600879912', '23D0B328', 'object/building/general/shared_bunker_imperial_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('990897798', '3B0FE686', 'object/building/general/shared_bunker_imperial_bunker_abandoned.iff');
INSERT INTO `object_crc_string_table` VALUES ('2935243152', 'AEF44190', 'object/building/general/shared_bunker_imperial_deep_chasm.iff');
INSERT INTO `object_crc_string_table` VALUES ('1672354378', '63AE1A4A', 'object/building/general/shared_bunker_imperial_detainment_center_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1661550307', '63093EE3', 'object/building/general/shared_bunker_imperial_prison_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('357299427', '154BF4E3', 'object/building/general/shared_bunker_imperial_weapons_research_facility_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3223964695', 'C029CC17', 'object/building/general/shared_bunker_mad_bio.iff');
INSERT INTO `object_crc_string_table` VALUES ('102885585', '621E8D1', 'object/building/general/shared_bunker_rebel_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3695355168', 'DC42A520', 'object/building/general/shared_bunker_rebel_deep_chasm.iff');
INSERT INTO `object_crc_string_table` VALUES ('4133162154', 'F65B0CAA', 'object/building/general/shared_bunker_rebel_spynet.iff');
INSERT INTO `object_crc_string_table` VALUES ('2551461683', '98143733', 'object/building/general/shared_bunker_rebel_weapons_depot.iff');
INSERT INTO `object_crc_string_table` VALUES ('2046272201', '79F7A2C9', 'object/building/general/shared_bunker_research_facility_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1060967532', '3F3D146C', 'object/building/general/shared_bunker_small_outpost_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3828006139', 'E42ABCFB', 'object/building/general/shared_bunker_small_outpost_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2130756010', '7F00C1AA', 'object/building/general/shared_bunker_talus_chunker_bunker.iff');
INSERT INTO `object_crc_string_table` VALUES ('2032341079', '79231057', 'object/building/general/shared_bunker_tok_retreat_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2436238099', '91360B13', 'object/building/general/shared_bunker_warren_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4015930050', 'EF5E3AC2', 'object/building/general/shared_cantina_general.iff');
INSERT INTO `object_crc_string_table` VALUES ('2926502766', 'AE6EE36E', 'object/building/general/shared_capitol_general.iff');
INSERT INTO `object_crc_string_table` VALUES ('3160184163', 'BC5C9563', 'object/building/general/shared_cave_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('952315499', '38C32E6B', 'object/building/general/shared_cave_01_damprock.iff');
INSERT INTO `object_crc_string_table` VALUES ('2530583699', '96D5A493', 'object/building/general/shared_cave_01_damprock_mirror.iff');
INSERT INTO `object_crc_string_table` VALUES ('3629542620', 'D8566CDC', 'object/building/general/shared_cave_01_ice.iff');
INSERT INTO `object_crc_string_table` VALUES ('3887886541', 'E7BC70CD', 'object/building/general/shared_cave_01_mirror.iff');
INSERT INTO `object_crc_string_table` VALUES ('1732984308', '674B3DF4', 'object/building/general/shared_cave_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4040916264', 'F0DB7D28', 'object/building/general/shared_cave_02_damprock.iff');
INSERT INTO `object_crc_string_table` VALUES ('3705597680', 'DCDEEEF0', 'object/building/general/shared_cave_02_damprock_mirror.iff');
INSERT INTO `object_crc_string_table` VALUES ('3398864833', 'CA968FC1', 'object/building/general/shared_cave_02_ice.iff');
INSERT INTO `object_crc_string_table` VALUES ('4020721095', 'EFA755C7', 'object/building/general/shared_cave_02_mirror.iff');
INSERT INTO `object_crc_string_table` VALUES ('776362617', '2E465A79', 'object/building/general/shared_cave_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3073160169', 'B72CB3E9', 'object/building/general/shared_cave_03_damprock.iff');
INSERT INTO `object_crc_string_table` VALUES ('426189756', '196723BC', 'object/building/general/shared_cave_03_damprock_mirror.iff');
INSERT INTO `object_crc_string_table` VALUES ('949364135', '389625A7', 'object/building/general/shared_cave_03_ice.iff');
INSERT INTO `object_crc_string_table` VALUES ('3897669313', 'E851B6C1', 'object/building/general/shared_cave_03_mirror.iff');
INSERT INTO `object_crc_string_table` VALUES ('519460091', '1EF654FB', 'object/building/general/shared_cave_04_ice_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('759540329', '2D45AA69', 'object/building/general/shared_cave_05_ice_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('736190789', '2BE16145', 'object/building/general/shared_cave_06_flatland_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3352052197', 'C7CC41E5', 'object/building/general/shared_cave_06_flatland_s01_damprock.iff');
INSERT INTO `object_crc_string_table` VALUES ('1663639712', '632920A0', 'object/building/general/shared_cave_06_flatland_s01_ice.iff');
INSERT INTO `object_crc_string_table` VALUES ('1905336231', '71911FA7', 'object/building/general/shared_cave_07_flatland_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3655237343', 'D9DE7EDF', 'object/building/general/shared_cave_07_flatland_s02_damprock.iff');
INSERT INTO `object_crc_string_table` VALUES ('2188080207', '826B744F', 'object/building/general/shared_cave_07_flatland_s02_ice.iff');
INSERT INTO `object_crc_string_table` VALUES ('2882713804', 'ABD2B8CC', 'object/building/general/shared_cave_08_flatland_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('524918885', '1F49A065', 'object/building/general/shared_cave_08_flatland_s03_damprock.iff');
INSERT INTO `object_crc_string_table` VALUES ('557190412', '21360D0C', 'object/building/general/shared_cave_08_flatland_s03_ice.iff');
INSERT INTO `object_crc_string_table` VALUES ('153465138', '925B132', 'object/building/general/shared_cave_lok_pirate_cave.iff');
INSERT INTO `object_crc_string_table` VALUES ('1852639945', '6E6D0AC9', 'object/building/general/shared_cave_morag.iff');
INSERT INTO `object_crc_string_table` VALUES ('327514443', '1385794B', 'object/building/general/shared_cloning_facility_general.iff');
INSERT INTO `object_crc_string_table` VALUES ('1102119105', '41B100C1', 'object/building/general/shared_corellia_afarathu_cave.iff');
INSERT INTO `object_crc_string_table` VALUES ('88228892', '542441C', 'object/building/general/shared_corellia_drall_cave.iff');
INSERT INTO `object_crc_string_table` VALUES ('780046145', '2E7E8F41', 'object/building/general/shared_corellia_nyax_bunker.iff');
INSERT INTO `object_crc_string_table` VALUES ('1263547301', '4B5033A5', 'object/building/general/shared_dantooine_force_crystal_hunter_sd_cave.iff');
INSERT INTO `object_crc_string_table` VALUES ('1976190033', '75CA4451', 'object/building/general/shared_dantooine_janta_cave.iff');
INSERT INTO `object_crc_string_table` VALUES ('2274845407', '879762DF', 'object/building/general/shared_dantooine_kunga_cave.iff');
INSERT INTO `object_crc_string_table` VALUES ('711566567', '2A69A4E7', 'object/building/general/shared_dathomir_nsister_cave.iff');
INSERT INTO `object_crc_string_table` VALUES ('1702144691', '6574AAB3', 'object/building/general/shared_dathomir_nsister_rancor_cave.iff');
INSERT INTO `object_crc_string_table` VALUES ('709151424', '2A44CAC0', 'object/building/general/shared_endor_jinda_cave.iff');
INSERT INTO `object_crc_string_table` VALUES ('1189018300', '46DEFABC', 'object/building/general/shared_endor_korga_cave.iff');
INSERT INTO `object_crc_string_table` VALUES ('3233389758', 'C0B99CBE', 'object/building/general/shared_endor_marauder_orphans_cave.iff');
INSERT INTO `object_crc_string_table` VALUES ('1394323186', '531BAEF2', 'object/building/general/shared_guild_combat_general_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('326541771', '1376A1CB', 'object/building/general/shared_guild_commerce_general_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3594966040', 'D646D418', 'object/building/general/shared_guild_university_general_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2957667026', 'B04A6AD2', 'object/building/general/shared_hotel_general_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1801306693', '6B5DC245', 'object/building/general/shared_hotel_general_style_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1516155062', '5A5EB0B6', 'object/building/general/shared_housing_general_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('766941896', '2DB69AC8', 'object/building/general/shared_landing_pad_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1736894341', '6786E785', 'object/building/general/shared_lok_evil_droid_engineer_cave.iff');
INSERT INTO `object_crc_string_table` VALUES ('2736597128', 'A31D2888', 'object/building/general/shared_lok_kimogila_cult_bunker.iff');
INSERT INTO `object_crc_string_table` VALUES ('2476588024', '939DBBF8', 'object/building/general/shared_lok_mercenary_cave_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('526484590', '1F61846E', 'object/building/general/shared_lok_nymstheme_mercenary_bunker.iff');
INSERT INTO `object_crc_string_table` VALUES ('18770566', '11E6A86', 'object/building/general/shared_lok_nymstheme_pirate_cave.iff');
INSERT INTO `object_crc_string_table` VALUES ('3614150695', 'D76B9027', 'object/building/general/shared_merchant_tent_all_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1684189678', '6462B1EE', 'object/building/general/shared_mun_all_capitol_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('432887298', '19CD5602', 'object/building/general/shared_mun_all_cloning_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3789605488', 'E1E0CA70', 'object/building/general/shared_mun_all_guild_combat_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('49465033', '2F2C6C9', 'object/building/general/shared_mun_all_guild_commerce_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2335562190', '8B35D9CE', 'object/building/general/shared_mun_all_guild_theater_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1179256079', '464A050F', 'object/building/general/shared_mun_all_guild_university_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3942101786', 'EAF7B31A', 'object/building/general/shared_mun_all_hospital_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('836770701', '31E01B8D', 'object/building/general/shared_mun_all_hospital_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('64245657', '3D44F99', 'object/building/general/shared_mun_all_hotel_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2845231920', 'A996CB30', 'object/building/general/shared_mun_all_landing_pad_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1399192891', '5365FD3B', 'object/building/general/shared_mun_all_starport_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1618666507', '607AE40B', 'object/building/general/shared_naboo_narglatch_cave.iff');
INSERT INTO `object_crc_string_table` VALUES ('2696571862', 'A0BA6BD6', 'object/building/general/shared_naboo_pirate_bunker.iff');
INSERT INTO `object_crc_string_table` VALUES ('1074091686', '400556A6', 'object/building/general/shared_naboo_veermok_cave.iff');
INSERT INTO `object_crc_string_table` VALUES ('3771444529', 'E0CBAD31', 'object/building/general/shared_newbie_hall.iff');
INSERT INTO `object_crc_string_table` VALUES ('1011239275', '3C46496B', 'object/building/general/shared_newbie_hall_skipped.iff');
INSERT INTO `object_crc_string_table` VALUES ('2054952898', '7A7C17C2', 'object/building/general/shared_nightsister_slave_mine_sd_cave.iff');
INSERT INTO `object_crc_string_table` VALUES ('3151125', '301515', 'object/building/general/shared_parking_garage_general.iff');
INSERT INTO `object_crc_string_table` VALUES ('2779359080', 'A5A9A768', 'object/building/general/shared_ranchers_house_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('3374741880', 'C9267978', 'object/building/general/shared_rebel_fuel_depot.iff');
INSERT INTO `object_crc_string_table` VALUES ('2008111071', '77B157DF', 'object/building/general/shared_rori_bark_mite_cave.iff');
INSERT INTO `object_crc_string_table` VALUES ('2510037668', '959C22A4', 'object/building/general/shared_rori_bat_cave.iff');
INSERT INTO `object_crc_string_table` VALUES ('2753493661', 'A41EFA9D', 'object/building/general/shared_rori_cobral_bunker.iff');
INSERT INTO `object_crc_string_table` VALUES ('2144664039', '7FD4F9E7', 'object/building/general/shared_rori_garyn_bunker.iff');
INSERT INTO `object_crc_string_table` VALUES ('2711352465', 'A19BF491', 'object/building/general/shared_rori_hyperdrive_research_facility.iff');
INSERT INTO `object_crc_string_table` VALUES ('303008890', '120F8C7A', 'object/building/general/shared_rori_kobola_cave.iff');
INSERT INTO `object_crc_string_table` VALUES ('1919200278', '7264AC16', 'object/building/general/shared_rori_torton_cave.iff');
INSERT INTO `object_crc_string_table` VALUES ('3656969600', 'D9F8ED80', 'object/building/general/shared_shuttleport_general.iff');
INSERT INTO `object_crc_string_table` VALUES ('2945204994', 'AF8C4302', 'object/building/general/shared_space_dungeon_corellian_corvette.iff');
INSERT INTO `object_crc_string_table` VALUES ('3935788511', 'EA975DDF', 'object/building/general/shared_space_dungeon_corellian_corvette_imperial.iff');
INSERT INTO `object_crc_string_table` VALUES ('1523571122', '5ACFD9B2', 'object/building/general/shared_space_dungeon_corellian_corvette_rebel.iff');
INSERT INTO `object_crc_string_table` VALUES ('692704019', '2949D313', 'object/building/general/shared_space_dungeon_hutt_asteroid.iff');
INSERT INTO `object_crc_string_table` VALUES ('1431567153', '5553FB31', 'object/building/general/shared_space_dungeon_star_destroyer.iff');
INSERT INTO `object_crc_string_table` VALUES ('4229374013', 'FC17203D', 'object/building/general/shared_starport_general.iff');
INSERT INTO `object_crc_string_table` VALUES ('2699737473', 'A0EAB981', 'object/building/general/shared_starport_general_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2080182550', '7BFD1116', 'object/building/general/shared_starport_general_style_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1823419741', '6CAF2D5D', 'object/building/general/shared_talus_aakuan_cave.iff');
INSERT INTO `object_crc_string_table` VALUES ('3978592584', 'ED248148', 'object/building/general/shared_talus_aqualish_cave.iff');
INSERT INTO `object_crc_string_table` VALUES ('4022785523', 'EFC6D5F3', 'object/building/general/shared_talus_binyare_bunker.iff');
INSERT INTO `object_crc_string_table` VALUES ('2459804029', '929DA17D', 'object/building/general/shared_talus_giant_decay_mite_cave.iff');
INSERT INTO `object_crc_string_table` VALUES ('1300216386', '4D7FBA42', 'object/building/general/shared_talus_giant_fynock_cave.iff');
INSERT INTO `object_crc_string_table` VALUES ('1743913196', '67F200EC', 'object/building/general/shared_talus_kahmurra_bunker.iff');
INSERT INTO `object_crc_string_table` VALUES ('330907884', '13B940EC', 'object/building/general/shared_talus_traitor_erran.iff');
INSERT INTO `object_crc_string_table` VALUES ('1885974487', '7069AFD7', 'object/building/general/shared_tatooine_beetle_cave.iff');
INSERT INTO `object_crc_string_table` VALUES ('434980665', '19ED4739', 'object/building/general/shared_tatooine_hutt_cave.iff');
INSERT INTO `object_crc_string_table` VALUES ('1109209534', '421D31BE', 'object/building/general/shared_tatooine_squill_cave.iff');
INSERT INTO `object_crc_string_table` VALUES ('2741312696', 'A3651CB8', 'object/building/general/shared_tatooine_tusken_bunker.iff');
INSERT INTO `object_crc_string_table` VALUES ('1658229769', '62D69409', 'object/building/lok/shared_cave_03_nym_pirates.iff');
INSERT INTO `object_crc_string_table` VALUES ('223465819', 'D51D15B', 'object/building/lok/shared_mining_cave_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2289463992', '887672B8', 'object/building/lok/shared_nym_stronghold.iff');
INSERT INTO `object_crc_string_table` VALUES ('61695795', '3AD6733', 'object/building/military/shared_military_abandoned_police_station_rebel.iff');
INSERT INTO `object_crc_string_table` VALUES ('3485179638', 'CFBB9EF6', 'object/building/military/shared_military_base_gate_house_imperial.iff');
INSERT INTO `object_crc_string_table` VALUES ('301400937', '11F70369', 'object/building/military/shared_military_base_gate_house_rebel.iff');
INSERT INTO `object_crc_string_table` VALUES ('603572205', '23F9C7ED', 'object/building/military/shared_military_base_police_station_imperial_lok_otto.iff');
INSERT INTO `object_crc_string_table` VALUES ('3633066758', 'D88C3306', 'object/building/military/shared_military_base_police_station_imperial_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2265285311', '870582BF', 'object/building/military/shared_military_base_police_station_rebel_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4255048531', 'FD9EE353', 'object/building/military/shared_military_base_shed_imperial_barracks_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('196947849', 'BBD2F89', 'object/building/military/shared_military_base_shed_imperial_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3577026459', 'D535179B', 'object/building/military/shared_military_base_shed_imperial_style_bank_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4151796568', 'F7776358', 'object/building/military/shared_military_base_shed_imperial_style_cantina_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3493400176', 'D0390E70', 'object/building/military/shared_military_base_shed_imperial_style_hospital_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('279599580', '10AA59DC', 'object/building/military/shared_military_base_shed_imperial_style_officer_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3201291643', 'BECFD57B', 'object/building/military/shared_military_base_shed_imperial_style_prison_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1836586352', '6D781570', 'object/building/military/shared_military_base_shed_rebel_abandoned_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3606723543', 'D6FA3BD7', 'object/building/military/shared_military_base_shed_rebel_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3881652814', 'E75D524E', 'object/building/military/shared_military_imperial_detachment_hq.iff');
INSERT INTO `object_crc_string_table` VALUES ('1587777178', '5EA38E9A', 'object/building/military/shared_military_imperial_field_hospital.iff');
INSERT INTO `object_crc_string_table` VALUES ('3707185089', 'DCF727C1', 'object/building/military/shared_military_imperial_forward_outpost.iff');
INSERT INTO `object_crc_string_table` VALUES ('1767088646', '6953A206', 'object/building/military/shared_military_imperial_strategic_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3834889912', 'E493C6B8', 'object/building/military/shared_military_imperial_tactical_center.iff');
INSERT INTO `object_crc_string_table` VALUES ('1294596356', '4D29F904', 'object/building/military/shared_military_outpost_guard_house_imperial.iff');
INSERT INTO `object_crc_string_table` VALUES ('4257226961', 'FDC020D1', 'object/building/military/shared_military_outpost_guard_house_rebel.iff');
INSERT INTO `object_crc_string_table` VALUES ('3846575780', 'E54616A4', 'object/building/military/shared_military_outpost_guard_tower_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('27534614', '1A42516', 'object/building/military/shared_military_rebel_detachment_hq.iff');
INSERT INTO `object_crc_string_table` VALUES ('2029763921', '78FBBD51', 'object/building/military/shared_military_rebel_field_hospital.iff');
INSERT INTO `object_crc_string_table` VALUES ('107026323', '6611793', 'object/building/military/shared_military_rebel_forward_outpost.iff');
INSERT INTO `object_crc_string_table` VALUES ('1326158285', '4F0B91CD', 'object/building/military/shared_military_rebel_strategic_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1040578282', '3E05F6EA', 'object/building/military/shared_military_rebel_tactical_center.iff');
INSERT INTO `object_crc_string_table` VALUES ('4049657385', 'F160DE29', 'object/building/military/shared_mun_all_military_tower_impl_guard_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1152524774', '44B221E6', 'object/building/military/shared_outpost_cloning_facility.iff');
INSERT INTO `object_crc_string_table` VALUES ('1476076676', '57FB2484', 'object/building/military/shared_outpost_cloning_facility_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('519455497', '1EF64309', 'object/building/military/shared_outpost_cloning_facility_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1037564192', '3DD7F920', 'object/building/military/shared_outpost_shed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3955868475', 'EBC9C33B', 'object/building/military/shared_outpost_shed_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2730796214', 'A2C4A4B6', 'object/building/military/shared_outpost_shed_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1495764898', '59278FA2', 'object/building/military/shared_outpost_shed_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('271247407', '102AE82F', 'object/building/military/shared_outpost_shed_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('3035022053', 'B4E6C2E5', 'object/building/military/shared_outpost_starport.iff');
INSERT INTO `object_crc_string_table` VALUES ('2804382550', 'A7277B56', 'object/building/military/shared_pirate_outpost.iff');
INSERT INTO `object_crc_string_table` VALUES ('2437476511', '9148F09F', 'object/building/military/shared_pirate_warehouse.iff');
INSERT INTO `object_crc_string_table` VALUES ('568013580', '21DB330C', 'object/building/military/shared_poi_all_alum_mine_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('339089158', '14361706', 'object/building/military/shared_poi_all_impl_bunker_recon_outpost.iff');
INSERT INTO `object_crc_string_table` VALUES ('149503406', '8E93DAE', 'object/building/military/shared_poi_all_jedi_temple_ruined.iff');
INSERT INTO `object_crc_string_table` VALUES ('2675557351', '9F79C3E7', 'object/building/military/shared_poi_all_mad_bio_mine_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1446333372', '56354BBC', 'object/building/military/shared_rebel_hideout_themepark.iff');
INSERT INTO `object_crc_string_table` VALUES ('2082976950', '7C27B4B6', 'object/building/military/shared_small_imperial_cloning_facility.iff');
INSERT INTO `object_crc_string_table` VALUES ('972900942', '39FD4A4E', 'object/building/military/shared_small_imperial_cloning_facility_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4161211751', 'F8070D67', 'object/building/naboo/shared_association_hall_civilian_naboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('3658850000', 'DA159ED0', 'object/building/naboo/shared_bank_naboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('4092578549', 'F3EFCAF5', 'object/building/naboo/shared_bubble_naboo_large_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4060997575', 'F20DE7C7', 'object/building/naboo/shared_bubble_naboo_medium_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('689590096', '291A4F50', 'object/building/naboo/shared_bubble_naboo_medium_style_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1528349113', '5B18C1B9', 'object/building/naboo/shared_bubble_naboo_small_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1964795921', '751C6811', 'object/building/naboo/shared_cantina_naboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('2574224334', '996F8BCE', 'object/building/naboo/shared_capitol_naboo_theed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1114686474', '4270C40A', 'object/building/naboo/shared_cloning_facility_naboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('120523031', '72F0917', 'object/building/naboo/shared_emperors_retreat.iff');
INSERT INTO `object_crc_string_table` VALUES ('3073450826', 'B731234A', 'object/building/naboo/shared_filler_building_naboo_style_10.iff');
INSERT INTO `object_crc_string_table` VALUES ('4265362631', 'FE3C44C7', 'object/building/naboo/shared_filler_building_naboo_style_11.iff');
INSERT INTO `object_crc_string_table` VALUES ('343147098', '1474025A', 'object/building/naboo/shared_filler_building_naboo_style_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1568237015', '5D7965D7', 'object/building/naboo/shared_filler_building_naboo_style_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2795130563', 'A69A4EC3', 'object/building/naboo/shared_filler_building_naboo_style_4.iff');
INSERT INTO `object_crc_string_table` VALUES ('4019661134', 'EF97294E', 'object/building/naboo/shared_filler_building_naboo_style_5.iff');
INSERT INTO `object_crc_string_table` VALUES ('880837081', '348081D9', 'object/building/naboo/shared_filler_building_naboo_style_6.iff');
INSERT INTO `object_crc_string_table` VALUES ('3347565126', 'C787CA46', 'object/building/naboo/shared_filler_building_naboo_style_8.iff');
INSERT INTO `object_crc_string_table` VALUES ('2391453131', '8E8AADCB', 'object/building/naboo/shared_filler_building_naboo_style_9.iff');
INSERT INTO `object_crc_string_table` VALUES ('1370920904', '51B697C8', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2325823327', '8AA13F5F', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2522453461', '965995D5', 'object/building/naboo/shared_filler_nboo_bldg_64x32_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('166100265', '9E67D29', 'object/building/naboo/shared_filler_nboo_bldg_64x32_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2162092176', '80DEE890', 'object/building/naboo/shared_guild_combat_naboo_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('754152794', '2CF3755A', 'object/building/naboo/shared_guild_commerce_naboo_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2364526054', '8CEFCDE6', 'object/building/naboo/shared_guild_theater_naboo_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1500355509', '596D9BB5', 'object/building/naboo/shared_guild_university_naboo_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3224368648', 'C02FF608', 'object/building/naboo/shared_hangar_naboo_theed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3288048289', 'C3FBA2A1', 'object/building/naboo/shared_hospital_naboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('1309649332', '4E0FA9B4', 'object/building/naboo/shared_hospital_naboo_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2256796740', '8683FC44', 'object/building/naboo/shared_hotel_naboo_theed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1207237066', '47F4F9CA', 'object/building/naboo/shared_housing_naboo_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3589158608', 'D5EE36D0', 'object/building/naboo/shared_housing_naboo_style_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3127135334', 'BA644C66', 'object/building/naboo/shared_merchant_tent_naboo_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('243325651', 'E80DAD3', 'object/building/naboo/shared_palace_naboo_theed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4129354478', 'F620F2EE', 'object/building/naboo/shared_parking_garage_naboo_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3110745453', 'B96A356D', 'object/building/naboo/shared_ply_nboo_house_lg_s01_fp1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2671892606', '9F41D87E', 'object/building/naboo/shared_ply_nboo_house_m_s01_fp1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2374056803', '8D813B63', 'object/building/naboo/shared_ply_nboo_house_m_s02_fp1.iff');
INSERT INTO `object_crc_string_table` VALUES ('146028409', '8B43779', 'object/building/naboo/shared_ply_nboo_house_s_s01_fp1.iff');
INSERT INTO `object_crc_string_table` VALUES ('443864164', '1A74D464', 'object/building/naboo/shared_ply_nboo_house_s_s02_fp1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2419077761', '90303281', 'object/building/naboo/shared_power_generator_naboo_theed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4115268904', 'F54A0528', 'object/building/naboo/shared_salon_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('135005575', '80C0587', 'object/building/naboo/shared_salon_naboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('3818763165', 'E39DB39D', 'object/building/naboo/shared_shuttleport_naboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('1265259890', '4B6A5572', 'object/building/naboo/shared_starport_naboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('1845141471', '6DFA9FDF', 'object/building/player/city/shared_bank_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('3868143603', 'E68F2FF3', 'object/building/player/city/shared_bank_naboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('1371143744', '51B9FE40', 'object/building/player/city/shared_bank_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('3739527551', 'DEE4A97F', 'object/building/player/city/shared_cantina_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('2025646266', '78BCE8BA', 'object/building/player/city/shared_cantina_naboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('3802646752', 'E2A7C8E0', 'object/building/player/city/shared_cantina_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('4031190701', 'F04716AD', 'object/building/player/city/shared_cityhall_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('3442426219', 'CD2F416B', 'object/building/player/city/shared_cityhall_naboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('3422844722', 'CC047732', 'object/building/player/city/shared_cityhall_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('1360449531', '5116CFFB', 'object/building/player/city/shared_cloning_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('2221199199', '8464CF5F', 'object/building/player/city/shared_cloning_naboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('1834331748', '6D55AE64', 'object/building/player/city/shared_cloning_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('3782826017', 'E1795821', 'object/building/player/city/shared_garden_corellia_lrg_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('980349110', '3A6EF0B6', 'object/building/player/city/shared_garden_corellia_lrg_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1935906619', '7363973B', 'object/building/player/city/shared_garden_corellia_lrg_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2290138159', '8880BC2F', 'object/building/player/city/shared_garden_corellia_lrg_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3247299490', 'C18DDBA2', 'object/building/player/city/shared_garden_corellia_lrg_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1120922265', '42CFEA99', 'object/building/player/city/shared_garden_corellia_med_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2581086734', '99D8420E', 'object/building/player/city/shared_garden_corellia_med_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3503629699', 'D0D52583', 'object/building/player/city/shared_garden_corellia_med_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('724962967', '2B360E97', 'object/building/player/city/shared_garden_corellia_med_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1648060698', '623B691A', 'object/building/player/city/shared_garden_corellia_med_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('782388533', '2EA24D35', 'object/building/player/city/shared_garden_corellia_sml_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4122338722', 'F5B5E5A2', 'object/building/player/city/shared_garden_corellia_sml_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3166208559', 'BCB8822F', 'object/building/player/city/shared_garden_corellia_sml_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1197189435', '475BA93B', 'object/building/player/city/shared_garden_corellia_sml_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('240570038', 'E56CEB6', 'object/building/player/city/shared_garden_corellia_sml_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('2412094562', '8FC5A462', 'object/building/player/city/shared_garden_dantooine_lrg_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('745739994', '2C7316DA', 'object/building/player/city/shared_garden_dantooine_med_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1075753334', '401EB176', 'object/building/player/city/shared_garden_dantooine_sml_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('247337676', 'EBE12CC', 'object/building/player/city/shared_garden_dathomir_lrg_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2903023732', 'AD08A074', 'object/building/player/city/shared_garden_dathomir_med_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3244623832', 'C16507D8', 'object/building/player/city/shared_garden_dathomir_sml_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2039109063', '798A55C7', 'object/building/player/city/shared_garden_endor_lrg_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3661424511', 'DA3CE77F', 'object/building/player/city/shared_garden_endor_med_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3058778323', 'B65140D3', 'object/building/player/city/shared_garden_endor_sml_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2557845591', '9875A057', 'object/building/player/city/shared_garden_naboo_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('1417631619', '547F5783', 'object/building/player/city/shared_garden_naboo_lrg_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2406022932', '8F68FF14', 'object/building/player/city/shared_garden_naboo_lrg_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3328546969', 'C6659899', 'object/building/player/city/shared_garden_naboo_lrg_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1032237965', '3D86B38D', 'object/building/player/city/shared_garden_naboo_lrg_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1955320832', '748BD400', 'object/building/player/city/shared_garden_naboo_lrg_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('4157203771', 'F7C9E53B', 'object/building/player/city/shared_garden_naboo_med_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('752766380', '2CDE4DAC', 'object/building/player/city/shared_garden_naboo_med_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1708337697', '65D32A21', 'object/building/player/city/shared_garden_naboo_med_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2653946165', '9E300135', 'object/building/player/city/shared_garden_naboo_med_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3611125432', 'D73D66B8', 'object/building/player/city/shared_garden_naboo_med_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('2611233431', '9BA44297', 'object/building/player/city/shared_garden_naboo_sml_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1085532672', '40B3EA00', 'object/building/player/city/shared_garden_naboo_sml_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('163483021', '9BE8D8D', 'object/building/player/city/shared_garden_naboo_sml_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('4066223769', 'F25DA699', 'object/building/player/city/shared_garden_naboo_sml_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3142631700', 'BB50C114', 'object/building/player/city/shared_garden_naboo_sml_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('2152696910', '804F8C4E', 'object/building/player/city/shared_garden_tatooine_lrg_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1532503257', '5B5824D9', 'object/building/player/city/shared_garden_tatooine_lrg_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('307577684', '12554354', 'object/building/player/city/shared_garden_tatooine_lrg_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3921045568', 'E9B66840', 'object/building/player/city/shared_garden_tatooine_lrg_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2696613837', 'A0BB0FCD', 'object/building/player/city/shared_garden_tatooine_lrg_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('603537142', '23F93EF6', 'object/building/player/city/shared_garden_tatooine_med_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4176385633', 'F8EE9661', 'object/building/player/city/shared_garden_tatooine_med_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2984505836', 'B1E3F1EC', 'object/building/player/city/shared_garden_tatooine_med_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1241570040', '4A00DAF8', 'object/building/player/city/shared_garden_tatooine_med_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('51232117', '30DBD75', 'object/building/player/city/shared_garden_tatooine_med_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1335138650', '4F94995A', 'object/building/player/city/shared_garden_tatooine_sml_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2491625933', '948331CD', 'object/building/player/city/shared_garden_tatooine_sml_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3717092928', 'DD8E5640', 'object/building/player/city/shared_garden_tatooine_sml_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('644709716', '266D7D54', 'object/building/player/city/shared_garden_tatooine_sml_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1868569305', '6F601AD9', 'object/building/player/city/shared_garden_tatooine_sml_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('3101511526', 'B8DD4F66', 'object/building/player/city/shared_hospital_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('1387695986', '52B68F72', 'object/building/player/city/shared_hospital_naboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('2224959225', '849E2EF9', 'object/building/player/city/shared_hospital_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('3046076056', 'B58F6E98', 'object/building/player/city/shared_shuttleport_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('893676466', '35446BB2', 'object/building/player/city/shared_shuttleport_naboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('2311851783', '89CC0F07', 'object/building/player/city/shared_shuttleport_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('3302987664', 'C4DF9790', 'object/building/player/city/shared_theater_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('2697086195', 'A0C244F3', 'object/building/player/city/shared_theater_naboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('4171036175', 'F89CF60F', 'object/building/player/city/shared_theater_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('366457799', '15D7B3C7', 'object/building/player/construction/shared_construction_player_guildhall_corellia_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2900055352', 'ACDB5538', 'object/building/player/construction/shared_construction_player_guildhall_naboo_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3169847379', 'BCF00853', 'object/building/player/construction/shared_construction_player_guildhall_tatooine_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1743233220', '67E7A0C4', 'object/building/player/construction/shared_construction_player_guildhall_tatooine_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2433947084', '911315CC', 'object/building/player/construction/shared_construction_player_house_corellia_large_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1241824603', '4A04BD5B', 'object/building/player/construction/shared_construction_player_house_corellia_large_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1508639875', '59EC0483', 'object/building/player/construction/shared_construction_player_house_corellia_medium_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2197531668', '82FBAC14', 'object/building/player/construction/shared_construction_player_house_corellia_medium_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2973753978', 'B13FE27A', 'object/building/player/construction/shared_construction_player_house_corellia_small_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1781025517', '6A284AED', 'object/building/player/construction/shared_construction_player_house_corellia_small_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1015360683', '3C852CAB', 'object/building/player/construction/shared_construction_player_house_generic_large_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3885139004', 'E792843C', 'object/building/player/construction/shared_construction_player_house_generic_large_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('255308638', 'F37B35E', 'object/building/player/construction/shared_construction_player_house_generic_medium_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3558874057', 'D4201BC9', 'object/building/player/construction/shared_construction_player_house_generic_medium_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('480893725', '1CA9DB1D', 'object/building/player/construction/shared_construction_player_house_generic_small_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3351147402', 'C7BE738A', 'object/building/player/construction/shared_construction_player_house_generic_small_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1193695091', '47265773', 'object/building/player/construction/shared_construction_player_house_naboo_large_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1739832792', '67B3BDD8', 'object/building/player/construction/shared_construction_player_house_naboo_medium_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1728749765', '670AA0C5', 'object/building/player/construction/shared_construction_player_house_naboo_small_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3156019282', 'BC1D0852', 'object/building/player/construction/shared_construction_player_house_naboo_small_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2991369986', 'B24CAF02', 'object/building/player/construction/shared_construction_player_house_tatooine_large_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2469812922', '93365ABA', 'object/building/player/construction/shared_construction_player_house_tatooine_medium_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2455787700', '926058B4', 'object/building/player/construction/shared_construction_player_house_tatooine_small_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4003827328', 'EEA58E80', 'object/building/player/shared_construction_structure.iff');
INSERT INTO `object_crc_string_table` VALUES ('3533693421', 'D29FE1ED', 'object/building/player/shared_player_garage_corellia_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2162635930', '80E7349A', 'object/building/player/shared_player_garage_naboo_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2075679353', '7BB85A79', 'object/building/player/shared_player_garage_tatooine_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1038468412', '3DE5C53C', 'object/building/player/shared_player_guildhall_corellia_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1861851362', '6EF998E2', 'object/building/player/shared_player_guildhall_generic_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3197026082', 'BE8EBF22', 'object/building/player/shared_player_guildhall_naboo_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2495774376', '94C27EA8', 'object/building/player/shared_player_guildhall_tatooine_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1339414079', '4FD5D63F', 'object/building/player/shared_player_guildhall_tatooine_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2427663942', '90B33646', 'object/building/player/shared_player_house_corellia_large_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1269079761', '4BA49ED1', 'object/building/player/shared_player_house_corellia_large_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4245590836', 'FD0E9334', 'object/building/player/shared_player_house_corellia_medium_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('639187875', '26193BA3', 'object/building/player/shared_player_house_corellia_medium_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2963259888', 'B09FC1F0', 'object/building/player/shared_player_house_corellia_small_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4102677864', 'F489E568', 'object/building/player/shared_player_house_corellia_small_style_01_floorplan_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1804101991', '6B886967', 'object/building/player/shared_player_house_corellia_small_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1944093248', '73E08240', 'object/building/player/shared_player_house_corellia_small_style_02_floorplan_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2966981875', 'B0D88CF3', 'object/building/player/shared_player_house_generic_large_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1808737380', '6BCF2464', 'object/building/player/shared_player_house_generic_large_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('244814036', 'E9790D4', 'object/building/player/shared_player_house_generic_medium_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3581950019', 'D5803843', 'object/building/player/shared_player_house_generic_medium_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2431941445', '90F47B45', 'object/building/player/shared_player_house_generic_small_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4015966289', 'EF5EC851', 'object/building/player/shared_player_house_generic_small_style_01_floorplan_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1273222098', '4BE3D3D2', 'object/building/player/shared_player_house_generic_small_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1748479865', '6837AF79', 'object/building/player/shared_player_house_generic_small_style_02_floorplan_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1926074883', '72CD9203', 'object/building/player/shared_player_house_naboo_large_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1333906211', '4F81CB23', 'object/building/player/shared_player_house_naboo_medium_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1390503349', '52E165B5', 'object/building/player/shared_player_house_naboo_small_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2314652962', '89F6CD22', 'object/building/player/shared_player_house_naboo_small_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3018624136', 'B3EC8C88', 'object/building/player/shared_player_house_tatooine_large_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('936693005', '37D4CD0D', 'object/building/player/shared_player_house_tatooine_medium_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2478865214', '93C07B3E', 'object/building/player/shared_player_house_tatooine_small_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1222103977', '48D7D3A9', 'object/building/player/shared_player_house_tatooine_small_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2671747310', '9F3FA0EE', 'object/building/player/shared_player_merchant_tent_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1143474297', '44280879', 'object/building/player/shared_player_merchant_tent_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('220557300', 'D256FF4', 'object/building/player/shared_player_merchant_tent_style_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3227957177', 'C066B7B9', 'object/building/poi/base/shared_base_poi_building.iff');
INSERT INTO `object_crc_string_table` VALUES ('3975774939', 'ECF982DB', 'object/building/poi/base/shared_base_poi_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('1110952143', '4237C8CF', 'object/building/poi/base/shared_base_poi_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('3638695666', 'D8E216F2', 'object/building/poi/base/shared_base_poi_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('2341623398', '8B925666', 'object/building/poi/farm/shared_tatooine_flora_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('2883928313', 'ABE540F9', 'object/building/poi/hq/shared_hutt_lrg.iff');
INSERT INTO `object_crc_string_table` VALUES ('3359402016', 'C83C6820', 'object/building/poi/hq/shared_hutt_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('1295187033', '4D32FC59', 'object/building/poi/hq/shared_hutt_sm.iff');
INSERT INTO `object_crc_string_table` VALUES ('1970934894', '757A146E', 'object/building/poi/hq/shared_imperial_lrg.iff');
INSERT INTO `object_crc_string_table` VALUES ('379796663', '16A33CB7', 'object/building/poi/hq/shared_imperial_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('759219915', '2D40C6CB', 'object/building/poi/hq/shared_imperial_sm.iff');
INSERT INTO `object_crc_string_table` VALUES ('1900138383', '7141CF8F', 'object/building/poi/hq/shared_rebel_lrg.iff');
INSERT INTO `object_crc_string_table` VALUES ('312010582', '1298E756', 'object/building/poi/hq/shared_rebel_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('2752460800', 'A40F3800', 'object/building/poi/hq/shared_rebel_sm.iff');
INSERT INTO `object_crc_string_table` VALUES ('2150026524', '8026CD1C', 'object/building/poi/shared_anywhere_fs_intro_camp.iff');
INSERT INTO `object_crc_string_table` VALUES ('3181956427', 'BDA8CD4B', 'object/building/poi/shared_anywhere_imperial_base_large_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('990728646', '3B0D51C6', 'object/building/poi/shared_anywhere_imperial_base_small_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2012164314', '77EF30DA', 'object/building/poi/shared_anywhere_misc_camp_small_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1530380993', '5B37C2C1', 'object/building/poi/shared_anywhere_rebel_base_large_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1267268082', '4B88F9F2', 'object/building/poi/shared_anywhere_rebel_camp_large_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3442304383', 'CD2D657F', 'object/building/poi/shared_anywhere_rebel_camp_small_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('372952552', '163ACDE8', 'object/building/poi/shared_anywhere_rebel_camp_small_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1597483621', '5F37AA65', 'object/building/poi/shared_anywhere_rebel_camp_small_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('833924651', '31B4AE2B', 'object/building/poi/shared_anywhere_uberlair_imperial_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2141413884', '7FA361FC', 'object/building/poi/shared_corellia_afarathu_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2763311467', 'A4B4C96B', 'object/building/poi/shared_corellia_afarathu_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3988369126', 'EDB9AEE6', 'object/building/poi/shared_corellia_afarathu_large3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2880031369', 'ABA9CA89', 'object/building/poi/shared_corellia_afarathu_medium2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2734773168', 'A30153B0', 'object/building/poi/shared_corellia_afarathu_small1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2014772007', '7816FB27', 'object/building/poi/shared_corellia_afarathu_small2.iff');
INSERT INTO `object_crc_string_table` VALUES ('823893162', '311B9CAA', 'object/building/poi/shared_corellia_afarathu_small3.iff');
INSERT INTO `object_crc_string_table` VALUES ('4189497836', 'F9B6A9EC', 'object/building/poi/shared_corellia_beldonna_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('580977019', '22A1017B', 'object/building/poi/shared_corellia_beldonna_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1806460662', '6BAC66F6', 'object/building/poi/shared_corellia_beldonna_large3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3495558430', 'D059FD1E', 'object/building/poi/shared_corellia_corellia_times_investigator_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('189683081', 'B4E5589', 'object/building/poi/shared_corellia_corellia_times_investigator_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3864145072', 'E6522CB0', 'object/building/poi/shared_corellia_corellia_times_investigators_camp_small1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1027965991', '3D458427', 'object/building/poi/shared_corellia_corellia_times_investigators_camp_small2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2110974936', '7DD2EBD8', 'object/building/poi/shared_corellia_corsec_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2797945679', 'A6C5434F', 'object/building/poi/shared_corellia_corsec_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4022871234', 'EFC824C2', 'object/building/poi/shared_corellia_corsec_large3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1754860044', '68990A0C', 'object/building/poi/shared_corellia_drall_abbot_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3012469403', 'B38EA29B', 'object/building/poi/shared_corellia_drall_abbot_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4202939670', 'FA83C516', 'object/building/poi/shared_corellia_drall_abbot_large3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3281302012', 'C394B1FC', 'object/building/poi/shared_corellia_drall_abbot_medium2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3023779904', 'B43B3840', 'object/building/poi/shared_corellia_drall_abbot_small1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1865191639', '6F2C90D7', 'object/building/poi/shared_corellia_drall_abbot_small2.iff');
INSERT INTO `object_crc_string_table` VALUES ('657822368', '273592A0', 'object/building/poi/shared_corellia_drall_abbots_camp_small1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2646384537', '9DBC9F99', 'object/building/poi/shared_corellia_drall_patriot_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1185625870', '46AB370E', 'object/building/poi/shared_corellia_drall_patriot_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('262557827', 'FA65083', 'object/building/poi/shared_corellia_drall_patriot_large3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2021438110', '787CB29E', 'object/building/poi/shared_corellia_drall_patriot_medium2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1092529621', '411EADD5', 'object/building/poi/shared_corellia_drall_patriot_small1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2584282434', '9A090542', 'object/building/poi/shared_corellia_drall_patriot_small2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4128797230', 'F618722E', 'object/building/poi/shared_corellia_flail_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('756013753', '2D0FDAB9', 'object/building/poi/shared_corellia_flail_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2415245494', '8FF5B8B6', 'object/building/poi/shared_corellia_greck_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1424101409', '54E21021', 'object/building/poi/shared_corellia_greck_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2767898088', 'A4FAC5E8', 'object/building/poi/shared_corellia_hidden_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2146266495', '7FED6D7F', 'object/building/poi/shared_corellia_hidden_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('804219570', '2FEF6AB2', 'object/building/poi/shared_corellia_meatlump_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4109943333', 'F4F8C225', 'object/building/poi/shared_corellia_meatlump_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3186992552', 'BDF5A5A8', 'object/building/poi/shared_corellia_meatlump_large3.iff');
INSERT INTO `object_crc_string_table` VALUES ('4081932542', 'F34D58FE', 'object/building/poi/shared_corellia_meatlump_small1.iff');
INSERT INTO `object_crc_string_table` VALUES ('677048425', '285AF069', 'object/building/poi/shared_corellia_meatlump_small2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1633130468', '615797E4', 'object/building/poi/shared_corellia_meatlump_small3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1922341284', '729499A4', 'object/building/poi/shared_corellia_monumenter_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2843947315', 'A9833133', 'object/building/poi/shared_corellia_monumenter_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3767424702', 'E08E56BE', 'object/building/poi/shared_corellia_monumenter_large3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1203547217', '47BCAC51', 'object/building/poi/shared_corellia_nyax_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2628453574', '9CAB04C6', 'object/building/poi/shared_corellia_nyax_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3584451403', 'D5A6634B', 'object/building/poi/shared_corellia_nyax_large3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3652494141', 'D9B4A33D', 'object/building/poi/shared_corellia_selonian_rebel_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('44239786', '2A30BAA', 'object/building/poi/shared_corellia_selonian_rebel_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('85365105', '5169171', 'object/building/poi/shared_corellia_selonian_rebel_small1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3724622310', 'DE0139E6', 'object/building/poi/shared_corellia_selonian_rebel_small2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2534170219', '970C5E6B', 'object/building/poi/shared_corellia_selonian_rebel_small3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1047558952', '3E707B28', 'object/building/poi/shared_corellia_selonian_separatists_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3848786879', 'E567D3BF', 'object/building/poi/shared_corellia_selonian_separatists_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3805432164', 'E2D24964', 'object/building/poi/shared_corellia_selonian_separatists_small1.iff');
INSERT INTO `object_crc_string_table` VALUES ('969269747', '39C5E1F3', 'object/building/poi/shared_corellia_selonian_separatists_small2.iff');
INSERT INTO `object_crc_string_table` VALUES ('23761660', '16A92FC', 'object/building/poi/shared_corellia_smashball_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3665640043', 'DA7D3A6B', 'object/building/poi/shared_corellia_smashball_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2473614822', '93705DE6', 'object/building/poi/shared_corellia_smashball_large3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3720913072', 'DDC8A0B0', 'object/building/poi/shared_corellia_smashball_small1.iff');
INSERT INTO `object_crc_string_table` VALUES ('115279911', '6DF0827', 'object/building/poi/shared_corellia_smashball_small2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3611608872', 'D744C728', 'object/building/poi/shared_corellia_solitude_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('206794687', 'C536FBF', 'object/building/poi/shared_corellia_solitude_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3525690034', 'D225C2B2', 'object/building/poi/shared_corellia_solitude_medium3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1646203242', '621F116A', 'object/building/poi/shared_corellia_solitude_small4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1644662189', '62078DAD', 'object/building/poi/shared_corellia_swoop_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3104843066', 'B910253A', 'object/building/poi/shared_corellia_swoop_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4028449463', 'F01D42B7', 'object/building/poi/shared_corellia_swoop_large3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1132882531', '43866A63', 'object/building/poi/shared_creature_lair_baz_nitch.iff');
INSERT INTO `object_crc_string_table` VALUES ('2163254490', '80F0A4DA', 'object/building/poi/shared_creature_lair_boar_wolf.iff');
INSERT INTO `object_crc_string_table` VALUES ('2699861572', 'A0EC9E44', 'object/building/poi/shared_creature_lair_bocat.iff');
INSERT INTO `object_crc_string_table` VALUES ('1685804096', '647B5440', 'object/building/poi/shared_creature_lair_bolma.iff');
INSERT INTO `object_crc_string_table` VALUES ('2511531434', '95B2EDAA', 'object/building/poi/shared_creature_lair_brackaset.iff');
INSERT INTO `object_crc_string_table` VALUES ('3260213168', 'C252E7B0', 'object/building/poi/shared_creature_lair_brokensandcrawler_herb_camp.iff');
INSERT INTO `object_crc_string_table` VALUES ('168468441', 'A0A9FD9', 'object/building/poi/shared_creature_lair_condor_dragon.iff');
INSERT INTO `object_crc_string_table` VALUES ('2536553904', '9730BDB0', 'object/building/poi/shared_creature_lair_deathstarruins_junktown.iff');
INSERT INTO `object_crc_string_table` VALUES ('2155178725', '80756AE5', 'object/building/poi/shared_creature_lair_deathstarruinsoldcamp.iff');
INSERT INTO `object_crc_string_table` VALUES ('2933459627', 'AED90AAB', 'object/building/poi/shared_creature_lair_exploding_homestead.iff');
INSERT INTO `object_crc_string_table` VALUES ('2864892154', 'AAC2C8FA', 'object/building/poi/shared_creature_lair_forest_bloom_herbivore.iff');
INSERT INTO `object_crc_string_table` VALUES ('312069736', '1299CE68', 'object/building/poi/shared_creature_lair_forest_camp_remains.iff');
INSERT INTO `object_crc_string_table` VALUES ('1499753343', '59646B7F', 'object/building/poi/shared_creature_lair_forest_sacrifice_beast.iff');
INSERT INTO `object_crc_string_table` VALUES ('3037282369', 'B5094041', 'object/building/poi/shared_creature_lair_gaping_spider.iff');
INSERT INTO `object_crc_string_table` VALUES ('1500140860', '596A553C', 'object/building/poi/shared_creature_lair_graul.iff');
INSERT INTO `object_crc_string_table` VALUES ('3644562261', 'D93B9B55', 'object/building/poi/shared_creature_lair_gronda.iff');
INSERT INTO `object_crc_string_table` VALUES ('4133313486', 'F65D5BCE', 'object/building/poi/shared_creature_lair_guardian_rancor.iff');
INSERT INTO `object_crc_string_table` VALUES ('1423458211', '54D83FA3', 'object/building/poi/shared_creature_lair_gubbur.iff');
INSERT INTO `object_crc_string_table` VALUES ('833511658', '31AE60EA', 'object/building/poi/shared_creature_lair_imperial_destroy.iff');
INSERT INTO `object_crc_string_table` VALUES ('3440583076', 'CD1321A4', 'object/building/poi/shared_creature_lair_kusak.iff');
INSERT INTO `object_crc_string_table` VALUES ('2439742199', '916B82F7', 'object/building/poi/shared_creature_lair_kwi.iff');
INSERT INTO `object_crc_string_table` VALUES ('2030330619', '790462FB', 'object/building/poi/shared_creature_lair_langlatch.iff');
INSERT INTO `object_crc_string_table` VALUES ('3137310203', 'BAFF8DFB', 'object/building/poi/shared_creature_lair_malkloc.iff');
INSERT INTO `object_crc_string_table` VALUES ('2399203938', '8F00F262', 'object/building/poi/shared_creature_lair_purbole.iff');
INSERT INTO `object_crc_string_table` VALUES ('3508768381', 'D1238E7D', 'object/building/poi/shared_creature_lair_remer.iff');
INSERT INTO `object_crc_string_table` VALUES ('4009911486', 'EF0264BE', 'object/building/poi/shared_creature_lair_reptilian_flyer.iff');
INSERT INTO `object_crc_string_table` VALUES ('3588797301', 'D5E8B375', 'object/building/poi/shared_creature_lair_sand_panther.iff');
INSERT INTO `object_crc_string_table` VALUES ('4085921723', 'F38A37BB', 'object/building/poi/shared_creature_lair_shear_mite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1454550642', '56B2AE72', 'object/building/poi/shared_creature_lair_swampy_lair.iff');
INSERT INTO `object_crc_string_table` VALUES ('3846558086', 'E545D186', 'object/building/poi/shared_creature_lair_verne.iff');
INSERT INTO `object_crc_string_table` VALUES ('2789761722', 'A64862BA', 'object/building/poi/shared_dantooine_janta_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2103429677', '7D5FCA2D', 'object/building/poi/shared_dantooine_janta_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2834276344', 'A8EF9FF8', 'object/building/poi/shared_dantooine_janta_medium1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1945646959', '73F8376F', 'object/building/poi/shared_dantooine_janta_medium2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2062176502', '7AEA50F6', 'object/building/poi/shared_dantooine_janta_small1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2717775969', 'A1FDF861', 'object/building/poi/shared_dantooine_janta_small2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2589378688', '9A56C880', 'object/building/poi/shared_dantooine_kunga_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1094803479', '41416017', 'object/building/poi/shared_dantooine_kunga_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1467699980', '577B530C', 'object/building/poi/shared_dantooine_kunga_medium1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2355952539', '8C6CFB9B', 'object/building/poi/shared_dantooine_kunga_medium2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1190460108', '46F4FACC', 'object/building/poi/shared_dantooine_kunga_small1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2648920667', '9DE3525B', 'object/building/poi/shared_dantooine_kunga_small2.iff');
INSERT INTO `object_crc_string_table` VALUES ('175414071', 'A749B37', 'object/building/poi/shared_dantooine_mokk_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3512939424', 'D16333A0', 'object/building/poi/shared_dantooine_mokk_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1345707922', '5035DF92', 'object/building/poi/shared_dantooine_mokk_medium1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2334291717', '8B227705', 'object/building/poi/shared_dantooine_mokk_medium2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3604392315', 'D6D6A97B', 'object/building/poi/shared_dantooine_mokk_small1.iff');
INSERT INTO `object_crc_string_table` VALUES ('230752748', 'DC101EC', 'object/building/poi/shared_dantooine_mokk_small2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1611276352', '600A2040', 'object/building/poi/shared_dathomir_freedprisonercamp_small1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3139274967', 'BB1D88D7', 'object/building/poi/shared_dathomir_freedprisonercamp_small2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3067701329', 'B6D96851', 'object/building/poi/shared_dathomir_freedprisonerscamp_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1842266310', '6DCEC0C6', 'object/building/poi/shared_dathomir_freedprisonerscamp_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1978969992', '75F4AF88', 'object/building/poi/shared_dathomir_freedprisonerscamp_medium1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2934114079', 'AEE3071F', 'object/building/poi/shared_dathomir_freedprisonerscamp_medium2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2603789484', '9B32ACAC', 'object/building/poi/shared_dathomir_imperialprisonpatrol_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1076167739', '4025043B', 'object/building/poi/shared_dathomir_imperialprisonpatrol_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('937321147', '37DE62BB', 'object/building/poi/shared_dathomir_imperialprisonpatrol_medium1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1927414722', '72E203C2', 'object/building/poi/shared_dathomir_imperialprisonscout_small1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2851449685', 'A9F5AB55', 'object/building/poi/shared_dathomir_imperialprisonscout_small2.iff');
INSERT INTO `object_crc_string_table` VALUES ('255101489', 'F348A31', 'object/building/poi/shared_dathomir_nightsister_medium3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2012109994', '77EE5CAA', 'object/building/poi/shared_dathomir_nightsister_small1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2902062141', 'ACF9F43D', 'object/building/poi/shared_dathomir_nightsister_small2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3858011056', 'E5F493B0', 'object/building/poi/shared_dathomir_nightsister_small3.iff');
INSERT INTO `object_crc_string_table` VALUES ('504871076', '1E17B8A4', 'object/building/poi/shared_dathomir_nightsister_small4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1461378857', '571ADF29', 'object/building/poi/shared_dathomir_nightsister_small5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2349692862', '8C0D77BE', 'object/building/poi/shared_dathomir_nightsister_small6.iff');
INSERT INTO `object_crc_string_table` VALUES ('3485566354', 'CFC18592', 'object/building/poi/shared_dathomir_nightsisterpatrol_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('349580549', '14D62D05', 'object/building/poi/shared_dathomir_nightsisterpatrol_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2942599520', 'AF648160', 'object/building/poi/shared_dathomir_nightsisterpatrol_medium1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3095836244', 'B886B654', 'object/building/poi/shared_dathomir_singingmtnclan_small1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1670454979', '63911EC3', 'object/building/poi/shared_dathomir_singingmtnclan_small2.iff');
INSERT INTO `object_crc_string_table` VALUES ('139005500', '8490E3C', 'object/building/poi/shared_dathomir_singingmtnclanpatrol_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3546195627', 'D35EA6AB', 'object/building/poi/shared_dathomir_singingmtnclanpatrol_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1680011260', '6422EFFC', 'object/building/poi/shared_dathomir_singingmtnclanpatrol_medium1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4201619574', 'FA6FA076', 'object/building/poi/shared_destroyed_moisture_farm_theater.iff');
INSERT INTO `object_crc_string_table` VALUES ('3909453160', 'E9058568', 'object/building/poi/shared_destroyed_sandcrawler_theater.iff');
INSERT INTO `object_crc_string_table` VALUES ('1489412304', '58C6A0D0', 'object/building/poi/shared_endor_dulok_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2211514439', '83D10847', 'object/building/poi/shared_endor_dulok_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3403444170', 'CADC6FCA', 'object/building/poi/shared_endor_dulok_large3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3951405793', 'EB85AAE1', 'object/building/poi/shared_endor_dulok_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('1208746092', '480C006C', 'object/building/poi/shared_endor_dulok_medium2.iff');
INSERT INTO `object_crc_string_table` VALUES ('569762914', '21F5E462', 'object/building/poi/shared_endor_dulok_medium7.iff');
INSERT INTO `object_crc_string_table` VALUES ('2221183644', '8464929C', 'object/building/poi/shared_endor_dulok_small1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1601387019', '5F733A0B', 'object/building/poi/shared_endor_dulok_small2.iff');
INSERT INTO `object_crc_string_table` VALUES ('377380230', '167E5D86', 'object/building/poi/shared_endor_dulok_small3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2760904991', 'A490111F', 'object/building/poi/shared_endor_dulok_small5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2139601288', '7F87B988', 'object/building/poi/shared_endor_dulok_small6.iff');
INSERT INTO `object_crc_string_table` VALUES ('915070469', '368ADE05', 'object/building/poi/shared_endor_dulok_small7.iff');
INSERT INTO `object_crc_string_table` VALUES ('1525456539', '5AEC9E9B', 'object/building/poi/shared_endor_ewok_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2180724236', '81FB360C', 'object/building/poi/shared_endor_ewok_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3371585921', 'C8F65181', 'object/building/poi/shared_endor_ewok_large3.iff');
INSERT INTO `object_crc_string_table` VALUES ('857045653', '33157A95', 'object/building/poi/shared_endor_ewok_large4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2048400664', '7A181D18', 'object/building/poi/shared_endor_ewok_large5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2702161295', 'A10FB58F', 'object/building/poi/shared_endor_ewok_large6.iff');
INSERT INTO `object_crc_string_table` VALUES ('3892498946', 'E802D202', 'object/building/poi/shared_endor_ewok_large7.iff');
INSERT INTO `object_crc_string_table` VALUES ('3920598186', 'E9AF94AA', 'object/building/poi/shared_endor_ewok_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('582817679', '22BD178F', 'object/building/poi/shared_endor_ewok_medium3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3646831771', 'D95E3C9B', 'object/building/poi/shared_endor_ewok_medium4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2253302999', '864EACD7', 'object/building/poi/shared_endor_ewok_small1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1566114880', '5D590440', 'object/building/poi/shared_endor_ewok_small2.iff');
INSERT INTO `object_crc_string_table` VALUES ('341074893', '145463CD', 'object/building/poi/shared_endor_ewok_small3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2271972307', '876B8BD3', 'object/building/poi/shared_endor_marauder_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1551639364', '5C7C2344', 'object/building/poi/shared_endor_marauder_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('359744713', '157144C9', 'object/building/poi/shared_endor_marauder_large3.iff');
INSERT INTO `object_crc_string_table` VALUES ('4002574301', 'EE926FDD', 'object/building/poi/shared_endor_marauder_large4.iff');
INSERT INTO `object_crc_string_table` VALUES ('875069922', '342881E2', 'object/building/poi/shared_endor_marauder_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('3438540088', 'CCF3F538', 'object/building/poi/shared_endor_marauder_medium2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1539946911', '5BC9B99F', 'object/building/poi/shared_endor_marauder_small1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2162037000', '80DE1108', 'object/building/poi/shared_endor_marauder_small2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3386078853', 'C9D37685', 'object/building/poi/shared_endor_marauder_small3.iff');
INSERT INTO `object_crc_string_table` VALUES ('842030481', '32305D91', 'object/building/poi/shared_endor_marauder_small4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3267290153', 'C2BEE429', 'object/building/poi/shared_imperial_listening_post.iff');
INSERT INTO `object_crc_string_table` VALUES ('2644566900', '9DA0E374', 'object/building/poi/shared_lincbarnes_testcamp_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('1325908803', '4F07C343', 'object/building/poi/shared_lok_imperial_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2484104148', '94106BD4', 'object/building/poi/shared_lok_imperial_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3709668441', 'DD1D0C59', 'object/building/poi/shared_lok_imperial_large3.iff');
INSERT INTO `object_crc_string_table` VALUES ('654190413', '26FE274D', 'object/building/poi/shared_lok_imperial_large4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1878212800', '6FF340C0', 'object/building/poi/shared_lok_imperial_large5.iff');
INSERT INTO `object_crc_string_table` VALUES ('4232366450', 'FC44C972', 'object/building/poi/shared_lok_imperial_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('3677952025', 'DB391819', 'object/building/poi/shared_lok_imperial_medium2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1775719552', '69D75480', 'object/building/poi/shared_lok_imperial_medium4.iff');
INSERT INTO `object_crc_string_table` VALUES ('551170829', '20DA330D', 'object/building/poi/shared_lok_imperial_medium5.iff');
INSERT INTO `object_crc_string_table` VALUES ('4224555930', 'FBCD9B9A', 'object/building/poi/shared_lok_imperial_medium6.iff');
INSERT INTO `object_crc_string_table` VALUES ('2477125903', '93A5F10F', 'object/building/poi/shared_lok_imperial_small1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1219647896', '48B25998', 'object/building/poi/shared_lok_imperial_small2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2468275837', '931EE67D', 'object/building/poi/shared_lok_nymshenchman_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('368864307', '15FC6C33', 'object/building/poi/shared_lok_nymshenchman_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1559301054', '5CF10BBE', 'object/building/poi/shared_lok_nymshenchman_large3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2802983082', 'A71220AA', 'object/building/poi/shared_lok_nymshenchman_large4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3995027239', 'EE1F4727', 'object/building/poi/shared_lok_nymshenchman_large5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2108214933', '7DA8CE95', 'object/building/poi/shared_lok_nymshenchman_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('1525875264', '5AF30240', 'object/building/poi/shared_lok_nymshenchman_medium2.iff');
INSERT INTO `object_crc_string_table` VALUES ('335439309', '13FE65CD', 'object/building/poi/shared_lok_nymshenchman_medium3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3894234841', 'E81D4ED9', 'object/building/poi/shared_lok_nymshenchman_medium4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2152937970', '805339F2', 'object/building/poi/shared_lok_nymshenchman_small3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2075136742', '7BB012E6', 'object/building/poi/shared_lok_nymshenchman_small4.iff');
INSERT INTO `object_crc_string_table` VALUES ('616378301', '24BD2FBD', 'object/building/poi/shared_naboo_abbots_camp_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('591257863', '233DE107', 'object/building/poi/shared_naboo_afcitexplor_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4163520912', 'F82A4990', 'object/building/poi/shared_naboo_afcitexplor_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2424236854', '907EEB36', 'object/building/poi/shared_naboo_afcitexplor_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('568758617', '21E69159', 'object/building/poi/shared_naboo_borvos_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4210112974', 'FAF139CE', 'object/building/poi/shared_naboo_borvos_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3019660867', 'B3FC5E43', 'object/building/poi/shared_naboo_borvos_large3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2460326760', '92A59B68', 'object/building/poi/shared_naboo_borvos_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('4283975782', 'FF584866', 'object/building/poi/shared_naboo_farm_medium_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('609214705', '244FE0F1', 'object/building/poi/shared_naboo_farm_medium_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3123585066', 'BA2E202A', 'object/building/poi/shared_naboo_gungawar_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1631160509', '613988BD', 'object/building/poi/shared_naboo_gungawar_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3437191612', 'CCDF61BC', 'object/building/poi/shared_naboo_gungtrad_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('399034667', '17C8C92B', 'object/building/poi/shared_naboo_gungtrad_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2140957581', '7F9C6B8D', 'object/building/poi/shared_naboo_gungtrad_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('1741955374', '67D4212E', 'object/building/poi/shared_naboo_gungtrad_medium2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2104254608', '7D6C6090', 'object/building/poi/shared_naboo_gungwar_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2793129991', 'A67BC807', 'object/building/poi/shared_naboo_gungwar_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3459213985', 'CE2F6AA1', 'object/building/poi/shared_naboo_gungwar_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('2566973772', '9900E94C', 'object/building/poi/shared_naboo_gunrunners_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1108820443', '421741DB', 'object/building/poi/shared_naboo_gunrunners_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('709092221', '2A43E37D', 'object/building/poi/shared_naboo_gunrunners_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('1168300800', '45A2DB00', 'object/building/poi/shared_naboo_gunrunners_small1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2662691735', '9EB57397', 'object/building/poi/shared_naboo_gunrunners_small2.iff');
INSERT INTO `object_crc_string_table` VALUES ('179496592', 'AB2E690', 'object/building/poi/shared_naboo_imperial_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1761246693', '68FA7DE5', 'object/building/poi/shared_naboo_imperial_scout_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3509571779', 'D12FD0C3', 'object/building/poi/shared_naboo_impext_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('171472980', 'A387854', 'object/building/poi/shared_naboo_impext_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1127555033', '43351FD9', 'object/building/poi/shared_naboo_impext_large3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1651301106', '626CDAF2', 'object/building/poi/shared_naboo_impext_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('536910191', '2000996F', 'object/building/poi/shared_naboo_impswamp_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4212601336', 'FB1731F8', 'object/building/poi/shared_naboo_impswamp_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2470679390', '9343935E', 'object/building/poi/shared_naboo_impswamp_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('647466583', '26978E57', 'object/building/poi/shared_naboo_mauler_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4253034176', 'FD8026C0', 'object/building/poi/shared_naboo_mauler_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2513732710', '95D48466', 'object/building/poi/shared_naboo_mauler_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('1333273055', '4F7821DF', 'object/building/poi/shared_naboo_mvillager_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2490337608', '946F8948', 'object/building/poi/shared_naboo_mvillager_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4231736302', 'FC3B2BEE', 'object/building/poi/shared_naboo_mvillager_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('2977371865', 'B17716D9', 'object/building/poi/shared_naboo_police_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1784725070', '6A60BE4E', 'object/building/poi/shared_naboo_police_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('36969704', '2341CE8', 'object/building/poi/shared_naboo_police_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('2943429571', 'AF712BC3', 'object/building/poi/shared_naboo_politic_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1952875348', '74668354', 'object/building/poi/shared_naboo_politic_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('473047538', '1C3221F2', 'object/building/poi/shared_naboo_politic_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('1925640941', '72C6F2ED', 'object/building/poi/shared_naboo_ruins_large_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2535903472', '9726D0F0', 'object/building/poi/shared_naboo_ruins_medium_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('87826410', '53C1FEA', 'object/building/poi/shared_naboo_ruins_medium_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('4100157024', 'F4636E60', 'object/building/poi/shared_naboo_ruins_small_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('796182263', '2F74C6F7', 'object/building/poi/shared_naboo_ruins_small_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1719247226', '6679A17A', 'object/building/poi/shared_naboo_ruins_small_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2644150894', '9D9A8A6E', 'object/building/poi/shared_naboo_ruins_small_4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3566726627', 'D497EDE3', 'object/building/poi/shared_naboo_ruins_small_5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3018898037', 'B3F0BA75', 'object/building/poi/shared_naboo_swamhunt_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1759974114', '68E712E2', 'object/building/poi/shared_naboo_swamhunt_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('11776068', 'B3B044', 'object/building/poi/shared_naboo_swamhunt_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('1168819895', '45AAC6B7', 'object/building/poi/shared_naboo_swamp_rat_gang_camp_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2663214624', '9EBD6E20', 'object/building/poi/shared_naboo_swamp_rat_gang_camp_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4142517382', 'F6E9CC86', 'object/building/poi/shared_naboo_swamp_rat_gang_camp_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('665275923', '27A74E13', 'object/building/poi/shared_naboo_tradefederationloyalist_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4239451780', 'FCB0E684', 'object/building/poi/shared_naboo_tradefederationloyalist_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2497987618', '94E44422', 'object/building/poi/shared_naboo_tradefederationloyalist_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('4211440735', 'FB057C5F', 'object/building/poi/shared_naboo_tradefederationloyalist_small1.iff');
INSERT INTO `object_crc_string_table` VALUES ('538105032', '2012D4C8', 'object/building/poi/shared_naboo_tradefederationloyalist_small2.iff');
INSERT INTO `object_crc_string_table` VALUES ('609383494', '24527446', 'object/building/poi/shared_naboo_tuskcattam_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4282768593', 'FF45DCD1', 'object/building/poi/shared_naboo_tuskcattam_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2534506103', '97117E77', 'object/building/poi/shared_naboo_tuskcattam_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('1100618175', '419A19BF', 'object/building/poi/shared_naboo_village_large_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2924073718', 'AE49D2F6', 'object/building/poi/shared_rebel_listening_post.iff');
INSERT INTO `object_crc_string_table` VALUES ('1509267724', '59F5990C', 'object/building/poi/shared_rebel_scavenger_camp.iff');
INSERT INTO `object_crc_string_table` VALUES ('144155712', '897A440', 'object/building/poi/shared_scout_camp_s0.iff');
INSERT INTO `object_crc_string_table` VALUES ('1100661709', '419AC3CD', 'object/building/poi/shared_scout_camp_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2592959322', '9A8D6B5A', 'object/building/poi/shared_scout_camp_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3548384471', 'D3800CD7', 'object/building/poi/shared_scout_camp_s3.iff');
INSERT INTO `object_crc_string_table` VALUES ('677586883', '286327C3', 'object/building/poi/shared_scout_camp_s4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1634615374', '616E404E', 'object/building/poi/shared_scout_camp_s5.iff');
INSERT INTO `object_crc_string_table` VALUES ('301257872', '11F4D490', 'object/building/poi/shared_slavegirl_medium_camp_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3403906055', 'CAE37C07', 'object/building/poi/shared_slavegirl_medium_camp_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2704439988', 'A1327AB4', 'object/building/poi/shared_slavegirl_small_camp.iff');
INSERT INTO `object_crc_string_table` VALUES ('2957252267', 'B04416AB', 'object/building/poi/shared_small_imperial_tie_bomber_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1574028468', '5DD1C4B4', 'object/building/poi/shared_small_imperial_tie_bomber_base_v2.iff');
INSERT INTO `object_crc_string_table` VALUES ('622598573', '251C19AD', 'object/building/poi/shared_tatooine_alkahara_bandits_camp_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('1258103248', '4AFD21D0', 'object/building/poi/shared_tatooine_alkahara_bandits_camp_small1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2448066887', '91EA8947', 'object/building/poi/shared_tatooine_alkahara_bandits_camp_small2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4289090146', 'FFA65262', 'object/building/poi/shared_tatooine_alkahara_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('615643893', '24B1FAF5', 'object/building/poi/shared_tatooine_alkahara_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2841070881', 'A9574D21', 'object/building/poi/shared_tatooine_burning_sandcrawler.iff');
INSERT INTO `object_crc_string_table` VALUES ('2792167870', 'A66D19BE', 'object/building/poi/shared_tatooine_dervishcamp_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2105192745', '7D7AB129', 'object/building/poi/shared_tatooine_dervishcamp_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('355341199', '152E138F', 'object/building/poi/shared_tatooine_dervishcamp_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('2060397554', '7ACF2BF2', 'object/building/poi/shared_tatooine_dervishcamp_small1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2715321189', 'A1D88365', 'object/building/poi/shared_tatooine_dervishcamp_small2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3587580084', 'D5D620B4', 'object/building/poi/shared_tatooine_desert_demons_camp_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('247564323', 'EC18823', 'object/building/poi/shared_tatooine_desert_demons_camp_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1721051781', '66952A85', 'object/building/poi/shared_tatooine_desert_demons_camp_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('3919443673', 'E99DF6D9', 'object/building/poi/shared_tatooine_dim_u_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('847928910', '328A5E4E', 'object/building/poi/shared_tatooine_dim_u_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1524563176', '5ADEFCE8', 'object/building/poi/shared_tatooine_dim_u_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('1602134381', '5F7EA16D', 'object/building/poi/shared_tatooine_dunestalkers_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2221476346', '846909FA', 'object/building/poi/shared_tatooine_dunestalkers_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3963464540', 'EC3DAB5C', 'object/building/poi/shared_tatooine_dunestalkers_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('2212270881', '83DC9321', 'object/building/poi/shared_tatooine_dunestalkers_small1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1489714102', '58CB3BB6', 'object/building/poi/shared_tatooine_dunestalkers_small2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3440346918', 'CD0F8726', 'object/building/poi/shared_tatooine_evil_hermit_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('370683825', '16182FB1', 'object/building/poi/shared_tatooine_evil_hermit_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1759776270', '68E40E0E', 'object/building/poi/shared_tatooine_evil_hermit_medium1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3019089561', 'B3F3A699', 'object/building/poi/shared_tatooine_evil_hermit_medium2.iff');
INSERT INTO `object_crc_string_table` VALUES ('296596842', '11ADB56A', 'object/building/poi/shared_tatooine_evil_hermit_small1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3401195005', 'CABA1DFD', 'object/building/poi/shared_tatooine_evil_hermit_small2.iff');
INSERT INTO `object_crc_string_table` VALUES ('577830484', '2270FE54', 'object/building/poi/shared_tatooine_evil_nomad_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4184299203', 'F96756C3', 'object/building/poi/shared_tatooine_evil_nomad_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2959749454', 'B06A314E', 'object/building/poi/shared_tatooine_evil_nomad_large3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3933988810', 'EA7BE7CA', 'object/building/poi/shared_tatooine_evil_nomad_medium1.iff');
INSERT INTO `object_crc_string_table` VALUES ('829181789', '316C4F5D', 'object/building/poi/shared_tatooine_evil_nomad_medium2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4275227672', 'FED2CC18', 'object/building/poi/shared_tatooine_evil_nomad_small1.iff');
INSERT INTO `object_crc_string_table` VALUES ('633693327', '25C5648F', 'object/building/poi/shared_tatooine_evil_nomad_small2.iff');
INSERT INTO `object_crc_string_table` VALUES ('944821265', '3850D411', 'object/building/poi/shared_tatooine_evil_settlers_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3813112966', 'E3477C86', 'object/building/poi/shared_tatooine_evil_settlers_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2856983307', 'AA4A1B0B', 'object/building/poi/shared_tatooine_evil_settlers_large3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2333335072', '8B13DE20', 'object/building/poi/shared_tatooine_evil_settlers_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('1927088123', '72DD07FB', 'object/building/poi/shared_tatooine_evil_settlers_medium2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3841123933', 'E4F2E65D', 'object/building/poi/shared_tatooine_evil_settlers_small1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1071992522', '3FE54ECA', 'object/building/poi/shared_tatooine_evil_settlers_small2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3256091414', 'C2140316', 'object/building/poi/shared_tatooine_factory_liberation.iff');
INSERT INTO `object_crc_string_table` VALUES ('589370670', '2321152E', 'object/building/poi/shared_tatooine_farm_medium_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2269855089', '874B3D71', 'object/building/poi/shared_tatooine_fugitive_camp_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1549571558', '5C5C95E6', 'object/building/poi/shared_tatooine_fugitive_camp_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('357692011', '1551F26B', 'object/building/poi/shared_tatooine_fugitive_camp_large3.iff');
INSERT INTO `object_crc_string_table` VALUES ('872953664', '34083740', 'object/building/poi/shared_tatooine_fugitive_camp_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('2407212781', '8F7B26ED', 'object/building/poi/shared_tatooine_gunrunners_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1416400506', '546C8E7A', 'object/building/poi/shared_tatooine_gunrunners_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1010314460', '3C382CDC', 'object/building/poi/shared_tatooine_gunrunners_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('3403597906', 'CADEC852', 'object/building/poi/shared_tatooine_hutt_assassin_camp_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('298410181', '11C960C5', 'object/building/poi/shared_tatooine_hutt_assassin_camp_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1489241928', '58C40748', 'object/building/poi/shared_tatooine_hutt_assassin_camp_large3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2737253468', 'A3272C5C', 'object/building/poi/shared_tatooine_hutt_assassin_camp_large4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2817272331', 'A7EC2A0B', 'object/building/poi/shared_tatooine_hutt_assassin_camp_medium1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2096857756', '7CFB829C', 'object/building/poi/shared_tatooine_hutt_assassin_camp_medium2.iff');
INSERT INTO `object_crc_string_table` VALUES ('377289246', '167CFA1E', 'object/building/poi/shared_tatooine_hutt_assassin_camp_small1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3446362761', 'CD6B5289', 'object/building/poi/shared_tatooine_hutt_assassin_camp_small2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2763131686', 'A4B20B26', 'object/building/poi/shared_tatooine_hutt_businessmen_camp_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2141561777', '7FA5A3B1', 'object/building/poi/shared_tatooine_hutt_businessmen_camp_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('917029948', '36A8C43C', 'object/building/poi/shared_tatooine_hutt_businessmen_camp_large3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3444305704', 'CD4BEF28', 'object/building/poi/shared_tatooine_hutt_businessmen_camp_large4.iff');
INSERT INTO `object_crc_string_table` VALUES ('401670423', '17F10117', 'object/building/poi/shared_tatooine_hutt_businessmen_camp_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('2148765697', '80139001', 'object/building/poi/shared_tatooine_hutt_businessmen_camp_medium2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2014329194', '7810396A', 'object/building/poi/shared_tatooine_hutt_businessmen_camp_small1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2735182333', 'A30791FD', 'object/building/poi/shared_tatooine_hutt_businessmen_camp_small2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1785735227', '6A70283B', 'object/building/poi/shared_tatooine_jawa_droid_thieves_camp_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2976350380', 'B16780AC', 'object/building/poi/shared_tatooine_jawa_droid_thieves_camp_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4167755553', 'F86AE721', 'object/building/poi/shared_tatooine_jawa_droid_thieves_camp_large3.iff');
INSERT INTO `object_crc_string_table` VALUES ('4163048709', 'F8231505', 'object/building/poi/shared_tatooine_jawa_droid_thieves_camp_medium1.iff');
INSERT INTO `object_crc_string_table` VALUES ('780991958', '2E8CFDD6', 'object/building/poi/shared_tatooine_jawa_large_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('230353567', 'DBAEA9F', 'object/building/poi/shared_tatooine_jawa_tradesmen_camp_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3601678856', 'D6AD4208', 'object/building/poi/shared_tatooine_jawa_tradesmen_camp_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2147690391', '80032797', 'object/building/poi/shared_tatooine_jawa_tradesmen_camp_medium1.iff');
INSERT INTO `object_crc_string_table` VALUES ('886252581', '34D32425', 'object/building/poi/shared_tatooine_mineral_farmer_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4022635698', 'EFC48CB2', 'object/building/poi/shared_tatooine_mineral_farmer_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2798250815', 'A6C9EB3F', 'object/building/poi/shared_tatooine_mineral_farmer_large3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1563082795', '5D2AC02B', 'object/building/poi/shared_tatooine_mineral_farmer_large4.iff');
INSERT INTO `object_crc_string_table` VALUES ('523632648', '1F360008', 'object/building/poi/shared_tatooine_mineral_farmer_medium1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3290540191', 'C421A89F', 'object/building/poi/shared_tatooine_mineral_farmer_medium2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2815056351', 'A7CA59DF', 'object/building/poi/shared_tatooine_moisture_farmer_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2094920008', '7CDDF148', 'object/building/poi/shared_tatooine_moisture_farmer_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('902862533', '35D096C5', 'object/building/poi/shared_tatooine_moisture_farmer_large3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3459497425', 'CE33BDD1', 'object/building/poi/shared_tatooine_moisture_farmer_large4.iff');
INSERT INTO `object_crc_string_table` VALUES ('773187407', '2E15E74F', 'object/building/poi/shared_tatooine_moisture_farmer_medium1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4110569432', 'F5024FD8', 'object/building/poi/shared_tatooine_moisture_farmer_medium2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1135190096', '43A9A050', 'object/building/poi/shared_tatooine_nomad_squatter_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2562590919', '98BE08C7', 'object/building/poi/shared_tatooine_nomad_squatter_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2604742890', '9B4138EA', 'object/building/poi/shared_tatooine_nomad_squatter_medium1.iff');
INSERT INTO `object_crc_string_table` VALUES ('103376874', '62967EA', 'object/building/poi/shared_tatooine_plaguevictim_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3711881085', 'DD3ECF7D', 'object/building/poi/shared_tatooine_plaguevictim_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3043651035', 'B56A6DDB', 'object/building/poi/shared_tatooine_plaguevictim_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('1155349866', '44DD3D6A', 'object/building/poi/shared_tatooine_prison_break.iff');
INSERT INTO `object_crc_string_table` VALUES ('3108734198', 'B94B84F6', 'object/building/poi/shared_tatooine_rodianhunter_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1650207841', '625C2C61', 'object/building/poi/shared_tatooine_rodianhunter_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('168332999', 'A088EC7', 'object/building/poi/shared_tatooine_rodianhunter_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('864649654', '338981B6', 'object/building/poi/shared_tatooine_slaver_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3902679329', 'E89E2921', 'object/building/poi/shared_tatooine_slaver_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2710785708', 'A1934EAC', 'object/building/poi/shared_tatooine_slaver_large3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1517315512', '5A7065B8', 'object/building/poi/shared_tatooine_slaver_large4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2160757639', '80CA8B87', 'object/building/poi/shared_tatooine_slaver_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('2160290714', '80C36B9A', 'object/building/poi/shared_tatooine_slaver_medium2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2850462148', 'A9E699C4', 'object/building/poi/shared_tatooine_spicefiend_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1928409427', '72F13153', 'object/building/poi/shared_tatooine_spicefiend_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1006393054', '3BFC56DE', 'object/building/poi/shared_tatooine_spicefiend_large3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3223289290', 'C01F7DCA', 'object/building/poi/shared_tatooine_spicefiend_large4.iff');
INSERT INTO `object_crc_string_table` VALUES ('447058933', '1AA593F5', 'object/building/poi/shared_tatooine_spicefiend_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('3847025874', 'E54CF4D2', 'object/building/poi/shared_tatooine_spicefiend_medium2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1230309351', '495507E7', 'object/building/poi/shared_tatooine_swoop_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2453843824', '9242AF70', 'object/building/poi/shared_tatooine_swoop_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3679439101', 'DB4FC8FD', 'object/building/poi/shared_tatooine_swoop_large3.iff');
INSERT INTO `object_crc_string_table` VALUES ('548201449', '20ACE3E9', 'object/building/poi/shared_tatooine_swoop_large4.iff');
INSERT INTO `object_crc_string_table` VALUES ('4195749334', 'FA160DD6', 'object/building/poi/shared_tatooine_swoop_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('2474373547', '937BF1AB', 'object/building/poi/shared_tatooine_swoop_medium2.iff');
INSERT INTO `object_crc_string_table` VALUES ('70977104', '43B0650', 'object/building/poi/shared_tatooine_tuskenbantha_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3744247495', 'DF2CAEC7', 'object/building/poi/shared_tatooine_tuskenbantha_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3078098017', 'B7780C61', 'object/building/poi/shared_tatooine_tuskenbantha_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('4071159081', 'F2A8F529', 'object/building/poi/shared_tatooine_tuskenwar_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('700407230', '29BF5DBE', 'object/building/poi/shared_tatooine_tuskenwar_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1622293043', '60B23A33', 'object/building/poi/shared_tatooine_tuskenwar_large3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1105985304', '41EBFF18', 'object/building/poi/shared_tatooine_tuskenwar_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('3919757322', 'E9A2C00A', 'object/building/poi/shared_tatooine_valariangang_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('850749597', '32B5689D', 'object/building/poi/shared_tatooine_valariangang_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1524746811', '5AE1CA3B', 'object/building/poi/shared_tatooine_valariangang_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('2925334203', 'AE5D0EBB', 'object/building/poi/shared_tatooine_valariantrader_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1967826476', '754AA62C', 'object/building/poi/shared_tatooine_valariantrader_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('488506506', '1D1E048A', 'object/building/poi/shared_tatooine_valariantrader_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('1488043728', '58B1BED0', 'object/building/poi/shared_tatooine_village_medium_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3400233418', 'CAAB71CA', 'object/building/poi/shared_tatooine_village_medium_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('749133500', '2CA6DEBC', 'object/building/poi/shared_tatooine_weequayzealots_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4155602475', 'F7B1762B', 'object/building/poi/shared_tatooine_weequayzealots_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2682639501', '9FE5D48D', 'object/building/poi/shared_tatooine_weequayzealots_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('3686926167', 'DBC20757', 'object/building/poi/shared_tatooine_weequayzealots_medium2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3922111839', 'E9C6AD5F', 'object/building/poi/shared_yavin4_abandoned_rebel_camp_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('852559304', '32D105C8', 'object/building/poi/shared_yavin4_abandoned_rebel_camp_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2078040645', '7BDC6245', 'object/building/poi/shared_yavin4_abandoned_rebel_camp_large3.iff');
INSERT INTO `object_crc_string_table` VALUES ('719959858', '2AE9B732', 'object/building/poi/shared_yavin4_abandoned_rebel_camp_medium1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4059963301', 'F1FE1FA5', 'object/building/poi/shared_yavin4_abandoned_rebel_camp_medium2.iff');
INSERT INTO `object_crc_string_table` VALUES ('895786771', '35649F13', 'object/building/poi/shared_yavin4_abandoned_rebel_camp_small1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4000528260', 'EE733784', 'object/building/poi/shared_yavin4_abandoned_rebel_camp_small2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1405724823', '53C9A897', 'object/building/poi/shared_yavin4_hutt_scavenger_camp_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2296250368', '88DE0000', 'object/building/poi/shared_yavin4_hutt_scavenger_camp_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3076007066', 'B758249A', 'object/building/poi/shared_yavin4_hutt_scavenger_camp_medium1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1817152525', '6C4F8C0D', 'object/building/poi/shared_yavin4_hutt_scavenger_camp_medium2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2406193883', '8F6B9ADB', 'object/building/poi/shared_yavin4_hutt_scavenger_camp_small1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1417425484', '547C324C', 'object/building/poi/shared_yavin4_hutt_scavenger_camp_small2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1421675238', '54BD0AE6', 'object/building/poi/shared_yavin4_imperial_patrol_camp_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2410324593', '8FAAA271', 'object/building/poi/shared_yavin4_imperial_patrol_camp_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3332883964', 'C6A7C5FC', 'object/building/poi/shared_yavin4_imperial_patrol_camp_large3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1027927784', '3D44EEE8', 'object/building/poi/shared_yavin4_imperial_patrol_camp_large4.iff');
INSERT INTO `object_crc_string_table` VALUES ('989401762', '3AF912A2', 'object/building/poi/shared_yavin4_imperial_patrol_medium1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3790518837', 'E1EEBA35', 'object/building/poi/shared_yavin4_imperial_patrol_medium2.iff');
INSERT INTO `object_crc_string_table` VALUES ('94420443', '5A0BDDB', 'object/building/poi/shared_yavin4_imperial_patrol_small1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3736540492', 'DEB7154C', 'object/building/poi/shared_yavin4_imperial_patrol_small2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3483054122', 'CF9B302A', 'object/building/tatooine/shared_association_hall_civilian_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('3781643094', 'E1674B56', 'object/building/tatooine/shared_association_hall_civilian_tatooine_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('533531985', '1FCD0D51', 'object/building/tatooine/shared_bank_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('1072782602', '3FF15D0A', 'object/building/tatooine/shared_cantina_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('1064279242', '3F6F9CCA', 'object/building/tatooine/shared_capitol_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('3062222401', 'B685CE41', 'object/building/tatooine/shared_cave_tatooine_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1838311126', '6D9266D6', 'object/building/tatooine/shared_cave_tatooine_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('749651154', '2CAEC4D2', 'object/building/tatooine/shared_cloning_facility_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('1267595977', '4B8DFAC9', 'object/building/tatooine/shared_cloning_facility_tatooine_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('1977133003', '75D8A7CB', 'object/building/tatooine/shared_filler_building_block_64x16_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2932805468', 'AECF0F5C', 'object/building/tatooine/shared_filler_building_block_64x16_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3491257899', 'D0185E2B', 'object/building/tatooine/shared_filler_building_block_64x32_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('185595580', 'B0FF6BC', 'object/building/tatooine/shared_filler_building_block_64x32_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3086665699', 'B7FAC7E3', 'object/building/tatooine/shared_filler_building_slave_quarters_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2338066597', '8B5C10A5', 'object/building/tatooine/shared_filler_building_tatt_style01_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1347139634', '504BB832', 'object/building/tatooine/shared_filler_building_tatt_style01_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('424075199', '1946DFBF', 'object/building/tatooine/shared_filler_building_tatt_style01_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3802526891', 'E2A5F4AB', 'object/building/tatooine/shared_filler_building_tatt_style01_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2879951654', 'ABA89326', 'object/building/tatooine/shared_filler_building_tatt_style01_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1891580849', '70BF3BB1', 'object/building/tatooine/shared_filler_building_tatt_style01_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('967990332', '39B25C3C', 'object/building/tatooine/shared_filler_building_tatt_style01_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('2209902638', '83B8702E', 'object/building/tatooine/shared_filler_building_tatt_style01_08.iff');
INSERT INTO `object_crc_string_table` VALUES ('3400865699', 'CAB517A3', 'object/building/tatooine/shared_filler_building_tatt_style01_09.iff');
INSERT INTO `object_crc_string_table` VALUES ('3648617040', 'D9797A50', 'object/building/tatooine/shared_filler_building_tatt_style01_10.iff');
INSERT INTO `object_crc_string_table` VALUES ('2423528925', '90741DDD', 'object/building/tatooine/shared_filler_building_tatt_style01_11.iff');
INSERT INTO `object_crc_string_table` VALUES ('1194412824', '47314B18', 'object/building/tatooine/shared_fort_tusken.iff');
INSERT INTO `object_crc_string_table` VALUES ('1273926318', '4BEE92AE', 'object/building/tatooine/shared_guild_combat_tatooine_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('113904481', '6CA0B61', 'object/building/tatooine/shared_guild_commerce_tatooine_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3289028168', 'C40A9648', 'object/building/tatooine/shared_guild_theater_tatooine_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('970934772', '39DF49F4', 'object/building/tatooine/shared_guild_university_tatooine_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3804815715', 'E2C8E163', 'object/building/tatooine/shared_guild_university_tatooine_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4066183619', 'F25D09C3', 'object/building/tatooine/shared_hospital_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('2745462757', 'A3A46FE5', 'object/building/tatooine/shared_hospital_tatooine_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('776066139', '2E41D45B', 'object/building/tatooine/shared_hotel_tatooine_general.iff');
INSERT INTO `object_crc_string_table` VALUES ('4181798094', 'F9412CCE', 'object/building/tatooine/shared_hotel_tatooine_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3970726045', 'ECAC789D', 'object/building/tatooine/shared_housing_tatt_style01_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('2662523338', '9EB2E1CA', 'object/building/tatooine/shared_housing_tatt_style01_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('3635932340', 'D8B7ECB4', 'object/building/tatooine/shared_housing_tatt_style01_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('3801672984', 'E298ED18', 'object/building/tatooine/shared_housing_tatt_style02_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('2356282071', '8C7202D7', 'object/building/tatooine/shared_housing_tatt_style02_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('3598940465', 'D6837931', 'object/building/tatooine/shared_housing_tatt_style02_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('456420086', '1B346AF6', 'object/building/tatooine/shared_housing_tatt_style03_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('2121443505', '7E72A8B1', 'object/building/tatooine/shared_housing_tatt_style03_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('791674591', '2F2FFEDF', 'object/building/tatooine/shared_housing_tatt_style03_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('4014265599', 'EF44D4FF', 'object/building/tatooine/shared_junkshop_watto.iff');
INSERT INTO `object_crc_string_table` VALUES ('2616325223', '9BF1F467', 'object/building/tatooine/shared_lair_environment_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('1100188829', '41938C9D', 'object/building/tatooine/shared_lucky_despot.iff');
INSERT INTO `object_crc_string_table` VALUES ('2745583203', 'A3A64663', 'object/building/tatooine/shared_merchant_tent_tato_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4034000230', 'F071F566', 'object/building/tatooine/shared_palace_tatooine_jabba.iff');
INSERT INTO `object_crc_string_table` VALUES ('2278884651', '87D5052B', 'object/building/tatooine/shared_parking_garage_tatooine_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1014253665', '3C744861', 'object/building/tatooine/shared_poi_tato_farm_32x32_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('616531993', '24BF8819', 'object/building/tatooine/shared_salon_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('3505295527', 'D0EE90A7', 'object/building/tatooine/shared_shuttleport_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('351600928', '14F50120', 'object/building/tatooine/shared_starport_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('2860552089', 'AA808F99', 'object/building/tatooine/shared_tower_jabbas_palace.iff');
INSERT INTO `object_crc_string_table` VALUES ('2882030964', 'ABC84D74', 'object/building/yavin/shared_dark_enclave.iff');
INSERT INTO `object_crc_string_table` VALUES ('3550315323', 'D39D833B', 'object/building/yavin/shared_light_enclave.iff');
INSERT INTO `object_crc_string_table` VALUES ('1060389087', '3F3440DF', 'object/building/yavin/shared_temple_blueleaf.iff');
INSERT INTO `object_crc_string_table` VALUES ('3687664408', 'DBCD4B18', 'object/building/yavin/shared_temple_exar_kun.iff');
INSERT INTO `object_crc_string_table` VALUES ('2078872520', '7BE913C8', 'object/building/yavin/shared_temple_massassi.iff');
INSERT INTO `object_crc_string_table` VALUES ('1136920717', '43C4088D', 'object/building/yavin/shared_temple_woolamander.iff');
INSERT INTO `object_crc_string_table` VALUES ('3381216749', 'C98945ED', 'object/cell/base/shared_base_cell.iff');
INSERT INTO `object_crc_string_table` VALUES ('632406981', '25B1C3C5', 'object/cell/base/shared_cell_default.iff');
INSERT INTO `object_crc_string_table` VALUES ('206832110', 'C5401EE', 'object/cell/shared_cell.iff');
INSERT INTO `object_crc_string_table` VALUES ('645732506', '267D189A', 'object/construction_contract/base/shared_base_construction_contract.iff');
INSERT INTO `object_crc_string_table` VALUES ('3027882478', 'B479D1EE', 'object/construction_contract/shared_construction_contract.iff');
INSERT INTO `object_crc_string_table` VALUES ('2904726131', 'AD229A73', 'object/counting/base/shared_base_counting.iff');
INSERT INTO `object_crc_string_table` VALUES ('3211286444', 'BF6857AC', 'object/counting/base/shared_counting_default.iff');
INSERT INTO `object_crc_string_table` VALUES ('3842659589', 'E50A5505', 'object/counting/shared_default_battery.iff');
INSERT INTO `object_crc_string_table` VALUES ('697154328', '298DBB18', 'object/creature/base/shared_base_creature.iff');
INSERT INTO `object_crc_string_table` VALUES ('937448992', '37E05620', 'object/creature/base/shared_creature_default.iff');
INSERT INTO `object_crc_string_table` VALUES ('2217042692', '84256304', 'object/creature/camera/shared_intro_camera.iff');
INSERT INTO `object_crc_string_table` VALUES ('1416223243', '5469DA0B', 'object/creature/camera/shared_intro_controller.iff');
INSERT INTO `object_crc_string_table` VALUES ('2762844902', 'A4ADAAE6', 'object/creature/npc/base/shared_aqualish_base_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('643792170', '265F7D2A', 'object/creature/npc/base/shared_aqualish_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('1130200645', '435D7E45', 'object/creature/npc/base/shared_aqualish_s02_base_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('1420546336', '54ABD120', 'object/creature/npc/base/shared_aqualish_s02_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('1418612504', '548E4F18', 'object/creature/npc/base/shared_aqualish_s03_base_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('2309238866', '89A43052', 'object/creature/npc/base/shared_aqualish_s03_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('3496555527', 'D0693407', 'object/creature/npc/base/shared_base_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('636692298', '25F3274A', 'object/creature/npc/base/shared_base_npc.iff');
INSERT INTO `object_crc_string_table` VALUES ('654644587', '2705156B', 'object/creature/npc/base/shared_base_npc_theme_park.iff');
INSERT INTO `object_crc_string_table` VALUES ('2412520178', '8FCC22F2', 'object/creature/npc/base/shared_bith_base_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('1042888288', '3E293660', 'object/creature/npc/base/shared_bith_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('3759013611', 'E00DFEEB', 'object/creature/npc/base/shared_bothan_base_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('1590149475', '5EC7C163', 'object/creature/npc/base/shared_bothan_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('896393245', '356DE01D', 'object/creature/npc/base/shared_chadra_fan_base_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('313334022', '12AD1906', 'object/creature/npc/base/shared_chadra_fan_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('3185808736', 'BDE39560', 'object/creature/npc/base/shared_dantari_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('4086632991', 'F395121F', 'object/creature/npc/base/shared_devaronian_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('1636192846', '6186524E', 'object/creature/npc/base/shared_drall_base_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('999880424', '3B98F6E8', 'object/creature/npc/base/shared_drall_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('2138236706', '7F72E722', 'object/creature/npc/base/shared_dulok_base_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('748671429', '2C9FD1C5', 'object/creature/npc/base/shared_dulok_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('1504641037', '59AF000D', 'object/creature/npc/base/shared_ewok_base_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('2588984693', '9A50C575', 'object/creature/npc/base/shared_ewok_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('3906894721', 'E8DE7B81', 'object/creature/npc/base/shared_gamorrean_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('595885541', '23847DE5', 'object/creature/npc/base/shared_geonosian_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('2975619975', 'B15C5B87', 'object/creature/npc/base/shared_gorax_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('3900679321', 'E87FA499', 'object/creature/npc/base/shared_gran_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('2826781885', 'A87D44BD', 'object/creature/npc/base/shared_gungan_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('53721594', '333B9FA', 'object/creature/npc/base/shared_human_base_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('2134943660', '7F40A7AC', 'object/creature/npc/base/shared_human_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('36831134', '231FF9E', 'object/creature/npc/base/shared_hutt_base_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('3532419442', 'D28C7172', 'object/creature/npc/base/shared_hutt_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('3055229554', 'B61B1A72', 'object/creature/npc/base/shared_ishi_tib_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('1397449143', '534B61B7', 'object/creature/npc/base/shared_ithorian_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('3349422050', 'C7A41FE2', 'object/creature/npc/base/shared_jawa_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('4291004780', 'FFC3896C', 'object/creature/npc/base/shared_jinda_base_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('242045215', 'E6D511F', 'object/creature/npc/base/shared_jinda_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('3370318767', 'C8E2FBAF', 'object/creature/npc/base/shared_klatooinian_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('2355090288', '8C5FD370', 'object/creature/npc/base/shared_marauder_base_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('1688940240', '64AB2ED0', 'object/creature/npc/base/shared_marauder_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('1371353669', '51BD3245', 'object/creature/npc/base/shared_moncal_base_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('1617753563', '606CF5DB', 'object/creature/npc/base/shared_moncal_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('2839443196', 'A93E76FC', 'object/creature/npc/base/shared_nikto_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('2606234616', '9B57FBF8', 'object/creature/npc/base/shared_quarren_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('2803462038', 'A7196F96', 'object/creature/npc/base/shared_rodian_base_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('873111919', '340AA16F', 'object/creature/npc/base/shared_rodian_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('4114788784', 'F542B1B0', 'object/creature/npc/base/shared_selonian_base_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('1841868410', '6DC8AE7A', 'object/creature/npc/base/shared_selonian_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('381383099', '16BB71BB', 'object/creature/npc/base/shared_sullustan_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('2585187332', '9A16D404', 'object/creature/npc/base/shared_trandoshan_base_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('193024850', 'B815352', 'object/creature/npc/base/shared_trandoshan_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('344809642', '148D60AA', 'object/creature/npc/base/shared_tusken_raider_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('4167458949', 'F8666085', 'object/creature/npc/base/shared_twilek_base_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('3121839578', 'BA137DDA', 'object/creature/npc/base/shared_twilek_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('3478426739', 'CF549473', 'object/creature/npc/base/shared_weequay_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('858760919', '332FA6D7', 'object/creature/npc/base/shared_whiphid_base_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('929953104', '376DF550', 'object/creature/npc/base/shared_whiphid_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('3361749167', 'C86038AF', 'object/creature/npc/base/shared_wookiee_base_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('627149744', '25618BB0', 'object/creature/npc/base/shared_wookiee_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('2580396153', '99CDB879', 'object/creature/npc/base/shared_zabrak_base_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('2904879514', 'AD24F19A', 'object/creature/npc/base/shared_zabrak_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('2915843418', 'ADCC3D5A', 'object/creature/npc/droid/crafted/shared_2_1b_surgical_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('1752432055', '6873FDB7', 'object/creature/npc/droid/crafted/shared_2_1b_surgical_droid_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2764227037', 'A4C2C1DD', 'object/creature/npc/droid/crafted/shared_3po_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('604017168', '24009210', 'object/creature/npc/droid/crafted/shared_3po_droid_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3172589023', 'BD19DDDF', 'object/creature/npc/droid/crafted/shared_bomarr_monk_spider_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('2295784813', '88D6E56D', 'object/creature/npc/droid/crafted/shared_bomarr_monk_spider_droid_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1144214850', '44335542', 'object/creature/npc/droid/crafted/shared_cll_8_binary_load_lifter.iff');
INSERT INTO `object_crc_string_table` VALUES ('2691944817', 'A073D171', 'object/creature/npc/droid/crafted/shared_cll_8_binary_load_lifter_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3813952229', 'E3544AE5', 'object/creature/npc/droid/crafted/shared_dark_trooper_phase_ii.iff');
INSERT INTO `object_crc_string_table` VALUES ('320581973', '131BB155', 'object/creature/npc/droid/crafted/shared_dark_trooper_phase_ii_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3178328195', 'BD717083', 'object/creature/npc/droid/crafted/shared_droideka.iff');
INSERT INTO `object_crc_string_table` VALUES ('2397633499', '8EE8FBDB', 'object/creature/npc/droid/crafted/shared_droideka_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3709391789', 'DD18D3AD', 'object/creature/npc/droid/crafted/shared_dz_70_fugitive_tracker_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('1848917490', '6E343DF2', 'object/creature/npc/droid/crafted/shared_dz_70_fugitive_tracker_droid_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2388417509', '8E5C5BE5', 'object/creature/npc/droid/crafted/shared_eg_6_power_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('2251263338', '862F8D6A', 'object/creature/npc/droid/crafted/shared_eg_6_power_droid_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('103856343', '630B8D7', 'object/creature/npc/droid/crafted/shared_ig_assassin_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('3720942075', 'DDC911FB', 'object/creature/npc/droid/crafted/shared_ig_assassin_droid_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2904803500', 'AD23C8AC', 'object/creature/npc/droid/crafted/shared_imperial_probot.iff');
INSERT INTO `object_crc_string_table` VALUES ('2998077962', 'B2B30A0A', 'object/creature/npc/droid/crafted/shared_imperial_probot_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3950548383', 'EB78959F', 'object/creature/npc/droid/crafted/shared_it_o_interrogator.iff');
INSERT INTO `object_crc_string_table` VALUES ('1493429482', '5903ECEA', 'object/creature/npc/droid/crafted/shared_it_o_interrogator_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('150852356', '8FDD304', 'object/creature/npc/droid/crafted/shared_jedi_training_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('1150973475', '449A7623', 'object/creature/npc/droid/crafted/shared_jedi_training_droid_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2448691902', '91F412BE', 'object/creature/npc/droid/crafted/shared_le_repair_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('256863265', 'F4F6C21', 'object/creature/npc/droid/crafted/shared_le_repair_droid_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('4276460545', 'FEE59C01', 'object/creature/npc/droid/crafted/shared_lin_demolitionmech.iff');
INSERT INTO `object_crc_string_table` VALUES ('3957385280', 'EBE0E840', 'object/creature/npc/droid/crafted/shared_lin_demolitionmech_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2169488229', '814FC365', 'object/creature/npc/droid/crafted/shared_mse_6_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('2206627850', '8386780A', 'object/creature/npc/droid/crafted/shared_mse_6_droid_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1995149002', '76EB8ECA', 'object/creature/npc/droid/crafted/shared_probe_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('1470713199', '57A94D6F', 'object/creature/npc/droid/crafted/shared_probe_droid_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1532167005', '5B53035D', 'object/creature/npc/droid/crafted/shared_r2_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('4218729421', 'FB74B3CD', 'object/creature/npc/droid/crafted/shared_r2_droid_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2734654643', 'A2FF84B3', 'object/creature/npc/droid/crafted/shared_r3_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('3480632347', 'CF763C1B', 'object/creature/npc/droid/crafted/shared_r3_droid_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1194993751', '473A2857', 'object/creature/npc/droid/crafted/shared_r4_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('1132172089', '437B9339', 'object/creature/npc/droid/crafted/shared_r4_droid_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3197546425', 'BE96AFB9', 'object/creature/npc/droid/crafted/shared_r5_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('2004425967', '77791CEF', 'object/creature/npc/droid/crafted/shared_r5_droid_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1905884809', '71997E89', 'object/creature/npc/droid/crafted/shared_ra7_bug_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('298901338', '11D0DF5A', 'object/creature/npc/droid/crafted/shared_ra7_bug_droid_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('774994860', '2E317BAC', 'object/creature/npc/droid/crafted/shared_red_protocol_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('2864675349', 'AABF7A15', 'object/creature/npc/droid/crafted/shared_red_protocol_droid_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('700179103', '29BBE29F', 'object/creature/npc/droid/crafted/shared_robo_bartender_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('1665563112', '634679E8', 'object/creature/npc/droid/crafted/shared_robo_bartender_droid_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3802774389', 'E2A9BB75', 'object/creature/npc/droid/crafted/shared_silver_protocol_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('4209769049', 'FAEBFA59', 'object/creature/npc/droid/crafted/shared_silver_protocol_droid_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3627618627', 'D8391143', 'object/creature/npc/droid/crafted/shared_tt_8l_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('3840849400', 'E4EEB5F8', 'object/creature/npc/droid/crafted/shared_tt_8l_droid_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3258466577', 'C2384111', 'object/creature/npc/droid/crafted/shared_tt_8l_y7_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('3957782001', 'EBE6F5F1', 'object/creature/npc/droid/crafted/shared_tt_8l_y7_droid_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1585315002', '5E7DFCBA', 'object/creature/npc/droid/crafted/shared_wed_treadwell_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('3393855591', 'CA4A2067', 'object/creature/npc/droid/crafted/shared_wed_treadwell_droid_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1605343560', '5FAF9948', 'object/creature/npc/droid/shared_2_1b_surgical_droid_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2915624318', 'ADC8E57E', 'object/creature/npc/droid/shared_3po_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3197073485', 'BE8F784D', 'object/creature/npc/droid/shared_bomarr_monk_spider_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('2746759604', 'A3B839B4', 'object/creature/npc/droid/shared_cll_8_binary_load_lifter_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3007882000', 'B348A310', 'object/creature/npc/droid/shared_dark_trooper_phase_ii_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1363686436', '51483424', 'object/creature/npc/droid/shared_droideka_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1822521972', '6CA17A74', 'object/creature/npc/droid/shared_dz_70_fugitive_tracker_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('4263326196', 'FE1D31F4', 'object/creature/npc/droid/shared_eg_6_power_droid_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2147155885', '7FFAFFAD', 'object/creature/npc/droid/shared_ig_assassin_droid_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('855701230', '3300F6EE', 'object/creature/npc/droid/shared_imperial_probot_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2404177386', '8F4CD5EA', 'object/creature/npc/droid/shared_it_o_interrogator_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1824587153', '6CC0FD91', 'object/creature/npc/droid/shared_jedi_training_droid_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3636727392', 'D8C40E60', 'object/creature/npc/droid/shared_le_repair_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('3586538841', 'D5C63D59', 'object/creature/npc/droid/shared_lin_demolitionmech_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1281145336', '4C5CB9F8', 'object/creature/npc/droid/shared_maul_probe_droid_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3289977441', 'C4191261', 'object/creature/npc/droid/shared_mse_6_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2822086398', 'A8359EFE', 'object/creature/npc/droid/shared_r2_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('681918105', '28A53E99', 'object/creature/npc/droid/shared_r3_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2786425205', 'A6157975', 'object/creature/npc/droid/shared_r4_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('646306066', '2685D912', 'object/creature/npc/droid/shared_r5_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('148666614', '8DC78F6', 'object/creature/npc/droid/shared_ra7_bug_droid_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('368181993', '15F202E9', 'object/creature/npc/droid/shared_red_protocol_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3380886881', 'C9843D61', 'object/creature/npc/droid/shared_robo_bartender_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2083758013', '7C339FBD', 'object/creature/npc/droid/shared_silver_protocol_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1547923813', '5C437165', 'object/creature/npc/droid/shared_tt_8l_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1384722195', '52892F13', 'object/creature/npc/droid/shared_tt_8l_y7_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1639908569', '61BF04D9', 'object/creature/npc/droid/shared_wed_treadwell_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2389040637', '8E65DDFD', 'object/creature/npc/general/shared_skill_trainer.iff');
INSERT INTO `object_crc_string_table` VALUES ('3752954766', 'DFB18B8E', 'object/creature/npc/theme_park/shared_lambda_shuttle.iff');
INSERT INTO `object_crc_string_table` VALUES ('3655546204', 'D9E3355C', 'object/creature/npc/theme_park/shared_lambda_shuttle_faction_perk.iff');
INSERT INTO `object_crc_string_table` VALUES ('1984806965', '764DC035', 'object/creature/npc/theme_park/shared_player_shuttle.iff');
INSERT INTO `object_crc_string_table` VALUES ('1196401137', '474FA1F1', 'object/creature/npc/theme_park/shared_player_transport.iff');
INSERT INTO `object_crc_string_table` VALUES ('773296996', '2E179364', 'object/creature/npc/theme_park/shared_player_transport_theed_hangar.iff');
INSERT INTO `object_crc_string_table` VALUES ('940072196', '38085D04', 'object/creature/player/base/base_player.iff');
INSERT INTO `object_crc_string_table` VALUES ('957124474', '390C8F7A', 'object/creature/player/base/shared_base_player.iff');
INSERT INTO `object_crc_string_table` VALUES ('3289006210', 'C40A4082', 'object/creature/player/bothan.iff');
INSERT INTO `object_crc_string_table` VALUES ('4138440591', 'F6AB978F', 'object/creature/player/bothan_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('2608966962', '9B81AD32', 'object/creature/player/bothan_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('3398692358', 'CA93EE06', 'object/creature/player/human.iff');
INSERT INTO `object_crc_string_table` VALUES ('3567725168', 'D4A72A70', 'object/creature/player/human_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('101601749', '60E51D5', 'object/creature/player/human_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('2983618428', 'B1D6677C', 'object/creature/player/ithorian.iff');
INSERT INTO `object_crc_string_table` VALUES ('3889828710', 'E7DA1366', 'object/creature/player/ithorian_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('3544392517', 'D3432345', 'object/creature/player/ithorian_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('2750856484', 'A3F6BD24', 'object/creature/player/moncal.iff');
INSERT INTO `object_crc_string_table` VALUES ('1943427935', '73D65B5F', 'object/creature/player/moncal_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('2042529705', '79BE87A9', 'object/creature/player/moncal_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('159868048', '9876490', 'object/creature/player/rodian.iff');
INSERT INTO `object_crc_string_table` VALUES ('698204378', '299DC0DA', 'object/creature/player/rodian_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('3415154589', 'CB8F1F9D', 'object/creature/player/rodian_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('491942670', '1D52730E', 'object/creature/player/shared_bothan_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('1542946611', '5BF77F33', 'object/creature/player/shared_bothan_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('4294949865', 'FFFFBBE9', 'object/creature/player/shared_human_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('2937962913', 'AF1DC1A1', 'object/creature/player/shared_human_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('3017834515', 'B3E08013', 'object/creature/player/shared_ithorian_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('951764932', '38BAC7C4', 'object/creature/player/shared_ithorian_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('2553266142', '982FBFDE', 'object/creature/player/shared_moncal_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('3116914088', 'B9C855A8', 'object/creature/player/shared_moncal_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('3261342811', 'C264245B', 'object/creature/player/shared_rodian_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('200920476', 'BF9CD9C', 'object/creature/player/shared_rodian_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('359871514', '1573341A', 'object/creature/player/shared_sullustan_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('194222500', 'B9399A4', 'object/creature/player/shared_sullustan_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('406594758', '183C24C6', 'object/creature/player/shared_trandoshan_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('1355045775', '50C45B8F', 'object/creature/player/shared_trandoshan_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('2224509660', '849752DC', 'object/creature/player/shared_twilek_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('4068532859', 'F280E27B', 'object/creature/player/shared_twilek_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('229336546', 'DAB65E2', 'object/creature/player/shared_wookiee_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('90470685', '564791D', 'object/creature/player/shared_wookiee_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('2850250749', 'A9E35FFD', 'object/creature/player/shared_zabrak_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('3791955286', 'E204A556', 'object/creature/player/shared_zabrak_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('3896384354', 'E83E1B62', 'object/creature/player/sullustan.iff');
INSERT INTO `object_crc_string_table` VALUES ('1148427457', '44739CC1', 'object/creature/player/sullustan_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('479589820', '1C95F5BC', 'object/creature/player/sullustan_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('1434855482', '5586283A', 'object/creature/player/trandoshan.iff');
INSERT INTO `object_crc_string_table` VALUES ('1690454390', '64C24976', 'object/creature/player/trandoshan_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('83806458', '4FEC8FA', 'object/creature/player/trandoshan_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('123334804', '759F094', 'object/creature/player/twilek.iff');
INSERT INTO `object_crc_string_table` VALUES ('1869526621', '6F6EB65D', 'object/creature/player/twilek_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('854995066', '32F6307A', 'object/creature/player/twilek_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('1183820448', '468FAAA0', 'object/creature/player/wookiee.iff');
INSERT INTO `object_crc_string_table` VALUES ('447547898', '1AAD09FA', 'object/creature/player/wookiee_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('775743620', '2E3CE884', 'object/creature/player/wookiee_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('1166791527', '458BD367', 'object/creature/player/zabrak.iff');
INSERT INTO `object_crc_string_table` VALUES ('1109048188', '421ABB7C', 'object/creature/player/zabrak_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('577926999', '22727757', 'object/creature/player/zabrak_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('1792719503', '6ADABA8F', 'object/draft_schematic/armor/component/shared_armor_layer_acid.iff');
INSERT INTO `object_crc_string_table` VALUES ('180189865', 'ABD7AA9', 'object/draft_schematic/armor/component/shared_armor_layer_blast.iff');
INSERT INTO `object_crc_string_table` VALUES ('3769957782', 'E0B4FD96', 'object/draft_schematic/armor/component/shared_armor_layer_cold.iff');
INSERT INTO `object_crc_string_table` VALUES ('2193465881', '82BDA219', 'object/draft_schematic/armor/component/shared_armor_layer_electrical.iff');
INSERT INTO `object_crc_string_table` VALUES ('4258794187', 'FDD80ACB', 'object/draft_schematic/armor/component/shared_armor_layer_energy.iff');
INSERT INTO `object_crc_string_table` VALUES ('3965303725', 'EC59BBAD', 'object/draft_schematic/armor/component/shared_armor_layer_environmental.iff');
INSERT INTO `object_crc_string_table` VALUES ('408400742', '1857B366', 'object/draft_schematic/armor/component/shared_armor_layer_heat.iff');
INSERT INTO `object_crc_string_table` VALUES ('4175436808', 'F8E01C08', 'object/draft_schematic/armor/component/shared_armor_layer_kinetic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3228456823', 'C06E5777', 'object/draft_schematic/armor/component/shared_armor_layer_restraint.iff');
INSERT INTO `object_crc_string_table` VALUES ('1540900933', '5BD84845', 'object/draft_schematic/armor/component/shared_armor_layer_ris.iff');
INSERT INTO `object_crc_string_table` VALUES ('2919500503', 'AE040AD7', 'object/draft_schematic/armor/component/shared_armor_layer_stun.iff');
INSERT INTO `object_crc_string_table` VALUES ('3177230385', 'BD60B031', 'object/draft_schematic/armor/component/shared_deflector_shield_emitter_assembly.iff');
INSERT INTO `object_crc_string_table` VALUES ('3571137786', 'D4DB3CFA', 'object/draft_schematic/armor/component/shared_deflector_shield_generator_energy_ray.iff');
INSERT INTO `object_crc_string_table` VALUES ('3523195897', 'D1FFB3F9', 'object/draft_schematic/armor/component/shared_deflector_shield_generator_particle.iff');
INSERT INTO `object_crc_string_table` VALUES ('1075484439', '401A9717', 'object/draft_schematic/armor/component/shared_deflector_shield_ion_feed_unit.iff');
INSERT INTO `object_crc_string_table` VALUES ('831687516', '31928B5C', 'object/draft_schematic/armor/component/shared_deflector_shield_overload_discharge_unit.iff');
INSERT INTO `object_crc_string_table` VALUES ('951632989', '38B8C45D', 'object/draft_schematic/armor/component/shared_deflector_shield_projector_plate.iff');
INSERT INTO `object_crc_string_table` VALUES ('1874931611', '6FC12F9B', 'object/draft_schematic/armor/component/shared_heavy_armor_layer_acid.iff');
INSERT INTO `object_crc_string_table` VALUES ('116196802', '6ED05C2', 'object/draft_schematic/armor/component/shared_heavy_armor_layer_blast.iff');
INSERT INTO `object_crc_string_table` VALUES ('3853478018', 'E5AF6882', 'object/draft_schematic/armor/component/shared_heavy_armor_layer_cold.iff');
INSERT INTO `object_crc_string_table` VALUES ('127633276', '79B877C', 'object/draft_schematic/armor/component/shared_heavy_armor_layer_electrical.iff');
INSERT INTO `object_crc_string_table` VALUES ('2561407663', '98ABFAAF', 'object/draft_schematic/armor/component/shared_heavy_armor_layer_energy.iff');
INSERT INTO `object_crc_string_table` VALUES ('690401981', '2926B2BD', 'object/draft_schematic/armor/component/shared_heavy_armor_layer_environmental.iff');
INSERT INTO `object_crc_string_table` VALUES ('491529842', '1D4C2672', 'object/draft_schematic/armor/component/shared_heavy_armor_layer_heat.iff');
INSERT INTO `object_crc_string_table` VALUES ('812701172', '3070D5F4', 'object/draft_schematic/armor/component/shared_heavy_armor_layer_kinetic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1695390575', '650D9B6F', 'object/draft_schematic/armor/component/shared_heavy_armor_layer_restraint.iff');
INSERT INTO `object_crc_string_table` VALUES ('2870976451', 'AB1F9FC3', 'object/draft_schematic/armor/component/shared_heavy_armor_layer_stun.iff');
INSERT INTO `object_crc_string_table` VALUES ('908240485', '3622A665', 'object/draft_schematic/armor/shared_armor_module_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('4152007355', 'F77A9ABB', 'object/draft_schematic/armor/shared_armor_module_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('1286868407', '4CB40DB7', 'object/draft_schematic/armor/shared_armor_segment.iff');
INSERT INTO `object_crc_string_table` VALUES ('211004258', 'C93AB62', 'object/draft_schematic/armor/shared_armor_segment_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1007340042', '3C0ACA0A', 'object/draft_schematic/armor/shared_armor_segment_bone.iff');
INSERT INTO `object_crc_string_table` VALUES ('2889266361', 'AC36B4B9', 'object/draft_schematic/armor/shared_armor_segment_bone_acklay.iff');
INSERT INTO `object_crc_string_table` VALUES ('1129609908', '43547AB4', 'object/draft_schematic/armor/shared_armor_segment_bone_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3865019752', 'E65F8568', 'object/draft_schematic/armor/shared_armor_segment_chitin.iff');
INSERT INTO `object_crc_string_table` VALUES ('892546099', '35332C33', 'object/draft_schematic/armor/shared_armor_segment_chitin_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1778592860', '6A032C5C', 'object/draft_schematic/armor/shared_armor_segment_composite.iff');
INSERT INTO `object_crc_string_table` VALUES ('2060695348', '7AD3B734', 'object/draft_schematic/armor/shared_armor_segment_composite_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('168895200', 'A1122E0', 'object/draft_schematic/armor/shared_armor_segment_kashyyykian_black_mtn.iff');
INSERT INTO `object_crc_string_table` VALUES ('737525903', '2BF5C08F', 'object/draft_schematic/armor/shared_armor_segment_kashyyykian_black_mtn_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1171031092', '45CC8434', 'object/draft_schematic/armor/shared_armor_segment_kashyyykian_ceremonial.iff');
INSERT INTO `object_crc_string_table` VALUES ('1897422446', '71185E6E', 'object/draft_schematic/armor/shared_armor_segment_kashyyykian_ceremonial_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('4257597570', 'FDC5C882', 'object/draft_schematic/armor/shared_armor_segment_kashyyykian_hunting.iff');
INSERT INTO `object_crc_string_table` VALUES ('1703266289', '6585C7F1', 'object/draft_schematic/armor/shared_armor_segment_kashyyykian_hunting_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1432695926', '55653476', 'object/draft_schematic/armor/shared_armor_segment_padded.iff');
INSERT INTO `object_crc_string_table` VALUES ('626237841', '2553A191', 'object/draft_schematic/armor/shared_armor_segment_padded_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2640774670', '9D67060E', 'object/draft_schematic/armor/shared_armor_segment_ris.iff');
INSERT INTO `object_crc_string_table` VALUES ('103597235', '62CC4B3', 'object/draft_schematic/armor/shared_armor_segment_ris_acklay.iff');
INSERT INTO `object_crc_string_table` VALUES ('3533039838', 'D295E8DE', 'object/draft_schematic/armor/shared_armor_segment_ubese.iff');
INSERT INTO `object_crc_string_table` VALUES ('83159329', '4F4E921', 'object/draft_schematic/armor/shared_armor_segment_ubese_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1204507579', '47CB53BB', 'object/draft_schematic/armor/shared_armor_segment_zam.iff');
INSERT INTO `object_crc_string_table` VALUES ('2640349743', '9D608A2F', 'object/draft_schematic/armor/shared_armor_segment_zam_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1522717131', '5AC2D1CB', 'object/draft_schematic/armor/shared_shield_generator_facility.iff');
INSERT INTO `object_crc_string_table` VALUES ('677114065', '285BF0D1', 'object/draft_schematic/armor/shared_shield_generator_personal.iff');
INSERT INTO `object_crc_string_table` VALUES ('1759066430', '68D9393E', 'object/draft_schematic/armor/shared_shield_generator_personal_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('567566003', '21D45EB3', 'object/draft_schematic/armor/shared_shield_generator_personal_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('2086068372', '7C56E094', 'object/draft_schematic/armor/shared_shield_generator_personal_imperial_test.iff');
INSERT INTO `object_crc_string_table` VALUES ('1960728983', '74DE5997', 'object/draft_schematic/armor/shared_shield_generator_vehicular.iff');
INSERT INTO `object_crc_string_table` VALUES ('1315482063', '4E68A9CF', 'object/draft_schematic/base/shared_base_draft_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1088794197', '40E5AE55', 'object/draft_schematic/base/shared_draft_schematic_default.iff');
INSERT INTO `object_crc_string_table` VALUES ('1521547401', '5AB0F889', 'object/draft_schematic/base/shared_missing_schematic_substitute.iff');
INSERT INTO `object_crc_string_table` VALUES ('2925842', '2CA512', 'object/draft_schematic/bio_engineer/bio_component/shared_bio_component_clothing_casual_charisma.iff');
INSERT INTO `object_crc_string_table` VALUES ('3961130234', 'EC1A0CFA', 'object/draft_schematic/bio_engineer/bio_component/shared_bio_component_clothing_casual_charisma_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('768952240', '2DD547B0', 'object/draft_schematic/bio_engineer/bio_component/shared_bio_component_clothing_casual_entertainer.iff');
INSERT INTO `object_crc_string_table` VALUES ('2552206589', '981F94FD', 'object/draft_schematic/bio_engineer/bio_component/shared_bio_component_clothing_casual_entertainer_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1589090972', '5EB79A9C', 'object/draft_schematic/bio_engineer/bio_component/shared_bio_component_clothing_casual_medic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3813406638', 'E34BF7AE', 'object/draft_schematic/bio_engineer/bio_component/shared_bio_component_clothing_casual_medic_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1620152707', '60919183', 'object/draft_schematic/bio_engineer/bio_component/shared_bio_component_clothing_casual_taming.iff');
INSERT INTO `object_crc_string_table` VALUES ('899505469', '359D5D3D', 'object/draft_schematic/bio_engineer/bio_component/shared_bio_component_clothing_casual_taming_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2024699150', '78AE750E', 'object/draft_schematic/bio_engineer/bio_component/shared_bio_component_clothing_casual_training.iff');
INSERT INTO `object_crc_string_table` VALUES ('2809419089', 'A7745551', 'object/draft_schematic/bio_engineer/bio_component/shared_bio_component_clothing_casual_training_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2665358309', '9EDE23E5', 'object/draft_schematic/bio_engineer/bio_component/shared_bio_component_clothing_field_armor.iff');
INSERT INTO `object_crc_string_table` VALUES ('395605474', '179475E2', 'object/draft_schematic/bio_engineer/bio_component/shared_bio_component_clothing_field_armor_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1070501512', '3FCE8E88', 'object/draft_schematic/bio_engineer/bio_component/shared_bio_component_clothing_field_bleeding.iff');
INSERT INTO `object_crc_string_table` VALUES ('2262729200', '86DE81F0', 'object/draft_schematic/bio_engineer/bio_component/shared_bio_component_clothing_field_bleeding_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3361810650', 'C86128DA', 'object/draft_schematic/bio_engineer/bio_component/shared_bio_component_clothing_field_camo.iff');
INSERT INTO `object_crc_string_table` VALUES ('756747736', '2D1B0DD8', 'object/draft_schematic/bio_engineer/bio_component/shared_bio_component_clothing_field_camo_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2635065111', '9D0FE717', 'object/draft_schematic/bio_engineer/bio_component/shared_bio_component_clothing_field_cover.iff');
INSERT INTO `object_crc_string_table` VALUES ('3034020975', 'B4D77C6F', 'object/draft_schematic/bio_engineer/bio_component/shared_bio_component_clothing_field_cover_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1421353901', '54B823AD', 'object/draft_schematic/bio_engineer/bio_component/shared_bio_component_clothing_field_defense.iff');
INSERT INTO `object_crc_string_table` VALUES ('1217369934', '488F974E', 'object/draft_schematic/bio_engineer/bio_component/shared_bio_component_clothing_field_defense_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1549050933', '5C54A435', 'object/draft_schematic/bio_engineer/bio_component/shared_bio_component_clothing_field_intimidate.iff');
INSERT INTO `object_crc_string_table` VALUES ('3053086977', 'B5FA6901', 'object/draft_schematic/bio_engineer/bio_component/shared_bio_component_clothing_field_intimidate_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('295650264', '119F43D8', 'object/draft_schematic/bio_engineer/bio_component/shared_bio_component_food_heavy_filling.iff');
INSERT INTO `object_crc_string_table` VALUES ('4077000315', 'F302167B', 'object/draft_schematic/bio_engineer/bio_component/shared_bio_component_food_heavy_flavor.iff');
INSERT INTO `object_crc_string_table` VALUES ('463434519', '1B9F7317', 'object/draft_schematic/bio_engineer/bio_component/shared_bio_component_food_heavy_nutrition.iff');
INSERT INTO `object_crc_string_table` VALUES ('3722871954', 'DDE68492', 'object/draft_schematic/bio_engineer/bio_component/shared_bio_component_food_heavy_quantity.iff');
INSERT INTO `object_crc_string_table` VALUES ('2624931359', '9C75461F', 'object/draft_schematic/bio_engineer/bio_component/shared_bio_component_food_light_filling.iff');
INSERT INTO `object_crc_string_table` VALUES ('3804703928', 'E2C72CB8', 'object/draft_schematic/bio_engineer/bio_component/shared_bio_component_food_light_flavor.iff');
INSERT INTO `object_crc_string_table` VALUES ('1803745287', '6B82F807', 'object/draft_schematic/bio_engineer/bio_component/shared_bio_component_food_light_nutrition.iff');
INSERT INTO `object_crc_string_table` VALUES ('1864508847', '6F2225AF', 'object/draft_schematic/bio_engineer/bio_component/shared_bio_component_food_light_quantity.iff');
INSERT INTO `object_crc_string_table` VALUES ('903570077', '35DB629D', 'object/draft_schematic/bio_engineer/bio_component/shared_bio_component_food_medium_filling.iff');
INSERT INTO `object_crc_string_table` VALUES ('929619132', '3768DCBC', 'object/draft_schematic/bio_engineer/bio_component/shared_bio_component_food_medium_flavor.iff');
INSERT INTO `object_crc_string_table` VALUES ('2027905587', '78DF6233', 'object/draft_schematic/bio_engineer/bio_component/shared_bio_component_food_medium_nutrition.iff');
INSERT INTO `object_crc_string_table` VALUES ('316670382', '12E001AE', 'object/draft_schematic/bio_engineer/bio_component/shared_bio_component_food_medium_quantity.iff');
INSERT INTO `object_crc_string_table` VALUES ('2194731916', '82D0F38C', 'object/draft_schematic/bio_engineer/creature/shared_creature_angler.iff');
INSERT INTO `object_crc_string_table` VALUES ('4215503445', 'FB437A55', 'object/draft_schematic/bio_engineer/creature/shared_creature_bageraset.iff');
INSERT INTO `object_crc_string_table` VALUES ('2986875366', 'B20819E6', 'object/draft_schematic/bio_engineer/creature/shared_creature_bantha.iff');
INSERT INTO `object_crc_string_table` VALUES ('4105804770', 'F4B99BE2', 'object/draft_schematic/bio_engineer/creature/shared_creature_bearded_jax.iff');
INSERT INTO `object_crc_string_table` VALUES ('3526408720', 'D230BA10', 'object/draft_schematic/bio_engineer/creature/shared_creature_blurrg.iff');
INSERT INTO `object_crc_string_table` VALUES ('4013578304', 'EF3A5840', 'object/draft_schematic/bio_engineer/creature/shared_creature_boar_wolf.iff');
INSERT INTO `object_crc_string_table` VALUES ('2241064889', '8593EFB9', 'object/draft_schematic/bio_engineer/creature/shared_creature_bocatt.iff');
INSERT INTO `object_crc_string_table` VALUES ('194404346', 'B965FFA', 'object/draft_schematic/bio_engineer/creature/shared_creature_bol.iff');
INSERT INTO `object_crc_string_table` VALUES ('774858939', '2E2F68BB', 'object/draft_schematic/bio_engineer/creature/shared_creature_bolle_bol.iff');
INSERT INTO `object_crc_string_table` VALUES ('3401168648', 'CAB9B708', 'object/draft_schematic/bio_engineer/creature/shared_creature_bolma.iff');
INSERT INTO `object_crc_string_table` VALUES ('2122372411', '7E80D53B', 'object/draft_schematic/bio_engineer/creature/shared_creature_bordok.iff');
INSERT INTO `object_crc_string_table` VALUES ('4202172720', 'FA781130', 'object/draft_schematic/bio_engineer/creature/shared_creature_brackaset.iff');
INSERT INTO `object_crc_string_table` VALUES ('2824161282', 'A8554802', 'object/draft_schematic/bio_engineer/creature/shared_creature_carrion_spat.iff');
INSERT INTO `object_crc_string_table` VALUES ('2519862275', '96320C03', 'object/draft_schematic/bio_engineer/creature/shared_creature_choku.iff');
INSERT INTO `object_crc_string_table` VALUES ('294189744', '1188FAB0', 'object/draft_schematic/bio_engineer/creature/shared_creature_cu_pa.iff');
INSERT INTO `object_crc_string_table` VALUES ('1742701874', '67DF8532', 'object/draft_schematic/bio_engineer/creature/shared_creature_dalyrake.iff');
INSERT INTO `object_crc_string_table` VALUES ('458255116', '1B506B0C', 'object/draft_schematic/bio_engineer/creature/shared_creature_dewback.iff');
INSERT INTO `object_crc_string_table` VALUES ('1538963680', '5BBAB8E0', 'object/draft_schematic/bio_engineer/creature/shared_creature_dune_lizard.iff');
INSERT INTO `object_crc_string_table` VALUES ('2143765286', '7FC74326', 'object/draft_schematic/bio_engineer/creature/shared_creature_durni.iff');
INSERT INTO `object_crc_string_table` VALUES ('4256914670', 'FDBB5CEE', 'object/draft_schematic/bio_engineer/creature/shared_creature_eopie.iff');
INSERT INTO `object_crc_string_table` VALUES ('1377358713', '5218D379', 'object/draft_schematic/bio_engineer/creature/shared_creature_falumpaset.iff');
INSERT INTO `object_crc_string_table` VALUES ('3590470383', 'D6023AEF', 'object/draft_schematic/bio_engineer/creature/shared_creature_fambaa.iff');
INSERT INTO `object_crc_string_table` VALUES ('3008536395', 'B3529F4B', 'object/draft_schematic/bio_engineer/creature/shared_creature_gnort.iff');
INSERT INTO `object_crc_string_table` VALUES ('4155029108', 'F7A8B674', 'object/draft_schematic/bio_engineer/creature/shared_creature_graul.iff');
INSERT INTO `object_crc_string_table` VALUES ('3598263633', 'D6792551', 'object/draft_schematic/bio_engineer/creature/shared_creature_gronda.iff');
INSERT INTO `object_crc_string_table` VALUES ('1583894111', '5E684E5F', 'object/draft_schematic/bio_engineer/creature/shared_creature_gualama.iff');
INSERT INTO `object_crc_string_table` VALUES ('214864710', 'CCE9346', 'object/draft_schematic/bio_engineer/creature/shared_creature_guf_drolg.iff');
INSERT INTO `object_crc_string_table` VALUES ('2942082056', 'AF5C9C08', 'object/draft_schematic/bio_engineer/creature/shared_creature_gurnaset.iff');
INSERT INTO `object_crc_string_table` VALUES ('836337505', '31D97F61', 'object/draft_schematic/bio_engineer/creature/shared_creature_gurrcat.iff');
INSERT INTO `object_crc_string_table` VALUES ('2573412958', '99632A5E', 'object/draft_schematic/bio_engineer/creature/shared_creature_gurreck.iff');
INSERT INTO `object_crc_string_table` VALUES ('3982863564', 'ED65ACCC', 'object/draft_schematic/bio_engineer/creature/shared_creature_hermit_spider.iff');
INSERT INTO `object_crc_string_table` VALUES ('42281249', '2852921', 'object/draft_schematic/bio_engineer/creature/shared_creature_huf_dun.iff');
INSERT INTO `object_crc_string_table` VALUES ('221814880', 'D38A060', 'object/draft_schematic/bio_engineer/creature/shared_creature_huurton.iff');
INSERT INTO `object_crc_string_table` VALUES ('3034849253', 'B4E41FE5', 'object/draft_schematic/bio_engineer/creature/shared_creature_ikopi.iff');
INSERT INTO `object_crc_string_table` VALUES ('3687731549', 'DBCE515D', 'object/draft_schematic/bio_engineer/creature/shared_creature_kaadu.iff');
INSERT INTO `object_crc_string_table` VALUES ('2090758476', '7C9E714C', 'object/draft_schematic/bio_engineer/creature/shared_creature_kahmurra.iff');
INSERT INTO `object_crc_string_table` VALUES ('4083743117', 'F368F98D', 'object/draft_schematic/bio_engineer/creature/shared_creature_kima.iff');
INSERT INTO `object_crc_string_table` VALUES ('2952128886', 'AFF5E976', 'object/draft_schematic/bio_engineer/creature/shared_creature_kimogila.iff');
INSERT INTO `object_crc_string_table` VALUES ('4064324910', 'F240AD2E', 'object/draft_schematic/bio_engineer/creature/shared_creature_kliknik.iff');
INSERT INTO `object_crc_string_table` VALUES ('2639605564', '9D552F3C', 'object/draft_schematic/bio_engineer/creature/shared_creature_krahbu.iff');
INSERT INTO `object_crc_string_table` VALUES ('1674691308', '63D1C2EC', 'object/draft_schematic/bio_engineer/creature/shared_creature_kusak.iff');
INSERT INTO `object_crc_string_table` VALUES ('822086132', '310009F4', 'object/draft_schematic/bio_engineer/creature/shared_creature_kwi.iff');
INSERT INTO `object_crc_string_table` VALUES ('382639713', '16CE9E61', 'object/draft_schematic/bio_engineer/creature/shared_creature_langlatch.iff');
INSERT INTO `object_crc_string_table` VALUES ('3222156358', 'C00E3446', 'object/draft_schematic/bio_engineer/creature/shared_creature_malkloc.iff');
INSERT INTO `object_crc_string_table` VALUES ('1998178833', '7719CA11', 'object/draft_schematic/bio_engineer/creature/shared_creature_mawgax.iff');
INSERT INTO `object_crc_string_table` VALUES ('3363831532', 'C87FFEEC', 'object/draft_schematic/bio_engineer/creature/shared_creature_merek.iff');
INSERT INTO `object_crc_string_table` VALUES ('391972314', '175D05DA', 'object/draft_schematic/bio_engineer/creature/shared_creature_mott.iff');
INSERT INTO `object_crc_string_table` VALUES ('1494399637', '5912BA95', 'object/draft_schematic/bio_engineer/creature/shared_creature_narglatch.iff');
INSERT INTO `object_crc_string_table` VALUES ('876066471', '3437B6A7', 'object/draft_schematic/bio_engineer/creature/shared_creature_piket.iff');
INSERT INTO `object_crc_string_table` VALUES ('3425505007', 'CC2D0EEF', 'object/draft_schematic/bio_engineer/creature/shared_creature_pugoriss.iff');
INSERT INTO `object_crc_string_table` VALUES ('2315289809', '8A0084D1', 'object/draft_schematic/bio_engineer/creature/shared_creature_rancor.iff');
INSERT INTO `object_crc_string_table` VALUES ('3996613579', 'EE377BCB', 'object/draft_schematic/bio_engineer/creature/shared_creature_roba.iff');
INSERT INTO `object_crc_string_table` VALUES ('3413941223', 'CB7C9BE7', 'object/draft_schematic/bio_engineer/creature/shared_creature_ronto.iff');
INSERT INTO `object_crc_string_table` VALUES ('1557933596', '5CDC2E1C', 'object/draft_schematic/bio_engineer/creature/shared_creature_sand_panther.iff');
INSERT INTO `object_crc_string_table` VALUES ('1130402855', '43609427', 'object/draft_schematic/bio_engineer/creature/shared_creature_sharnaff.iff');
INSERT INTO `object_crc_string_table` VALUES ('2912736913', 'AD9CD691', 'object/draft_schematic/bio_engineer/creature/shared_creature_shear_mite.iff');
INSERT INTO `object_crc_string_table` VALUES ('3198942193', 'BEABFBF1', 'object/draft_schematic/bio_engineer/creature/shared_creature_slice_hound.iff');
INSERT INTO `object_crc_string_table` VALUES ('3916872379', 'E976BABB', 'object/draft_schematic/bio_engineer/creature/shared_creature_snorbal.iff');
INSERT INTO `object_crc_string_table` VALUES ('1147183865', '4460A2F9', 'object/draft_schematic/bio_engineer/creature/shared_creature_squall.iff');
INSERT INTO `object_crc_string_table` VALUES ('1889951794', '70A66032', 'object/draft_schematic/bio_engineer/creature/shared_creature_swirl_prong.iff');
INSERT INTO `object_crc_string_table` VALUES ('2789806366', 'A649111E', 'object/draft_schematic/bio_engineer/creature/shared_creature_thune.iff');
INSERT INTO `object_crc_string_table` VALUES ('3492399802', 'D029CABA', 'object/draft_schematic/bio_engineer/creature/shared_creature_torton.iff');
INSERT INTO `object_crc_string_table` VALUES ('784595182', '2EC3F8EE', 'object/draft_schematic/bio_engineer/creature/shared_creature_tybis.iff');
INSERT INTO `object_crc_string_table` VALUES ('3830962018', 'E457D762', 'object/draft_schematic/bio_engineer/creature/shared_creature_veermok.iff');
INSERT INTO `object_crc_string_table` VALUES ('1267151566', '4B8732CE', 'object/draft_schematic/bio_engineer/creature/shared_creature_verne.iff');
INSERT INTO `object_crc_string_table` VALUES ('240128094', 'E50105E', 'object/draft_schematic/bio_engineer/creature/shared_creature_vesp.iff');
INSERT INTO `object_crc_string_table` VALUES ('454865702', '1B1CB326', 'object/draft_schematic/bio_engineer/creature/shared_creature_vir_vur.iff');
INSERT INTO `object_crc_string_table` VALUES ('2302146856', '8937F928', 'object/draft_schematic/bio_engineer/creature/shared_creature_woolamander.iff');
INSERT INTO `object_crc_string_table` VALUES ('2008121273', '77B17FB9', 'object/draft_schematic/bio_engineer/creature/shared_creature_zucca_boar.iff');
INSERT INTO `object_crc_string_table` VALUES ('4075558247', 'F2EC1567', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_angler.iff');
INSERT INTO `object_crc_string_table` VALUES ('3258253069', 'C234FF0D', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_bantha.iff');
INSERT INTO `object_crc_string_table` VALUES ('1415032707', '5457AF83', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_bearded_jax.iff');
INSERT INTO `object_crc_string_table` VALUES ('2718719227', 'A20C5CFB', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_blurrg.iff');
INSERT INTO `object_crc_string_table` VALUES ('359532674', '156E0882', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_bol.iff');
INSERT INTO `object_crc_string_table` VALUES ('3039475182', 'B52AB5EE', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_bolle_bol.iff');
INSERT INTO `object_crc_string_table` VALUES ('1304346718', '4DBEC05E', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_bolma.iff');
INSERT INTO `object_crc_string_table` VALUES ('1635634277', '617DCC65', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_brackaset.iff');
INSERT INTO `object_crc_string_table` VALUES ('3075374860', 'B74E7F0C', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_carrion_spat.iff');
INSERT INTO `object_crc_string_table` VALUES ('288717653', '11357B55', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_choku.iff');
INSERT INTO `object_crc_string_table` VALUES ('297710271', '11BEB2BF', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_dalyrake.iff');
INSERT INTO `object_crc_string_table` VALUES ('3338837483', 'C7029DEB', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_dewback.iff');
INSERT INTO `object_crc_string_table` VALUES ('2059152312', '7ABC2BB8', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_eopie.iff');
INSERT INTO `object_crc_string_table` VALUES ('1502836358', '59937686', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_falumpaset.iff');
INSERT INTO `object_crc_string_table` VALUES ('2789137412', 'A63EDC04', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_fambaa.iff');
INSERT INTO `object_crc_string_table` VALUES ('3001518312', 'B2E788E8', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_generic.iff');
INSERT INTO `object_crc_string_table` VALUES ('2184886456', '823AB8B8', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_gualama.iff');
INSERT INTO `object_crc_string_table` VALUES ('2546683411', '97CB4E13', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_guf_drolg.iff');
INSERT INTO `object_crc_string_table` VALUES ('3985344902', 'ED8B8986', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_gurrcat.iff');
INSERT INTO `object_crc_string_table` VALUES ('1160895673', '4531DCB9', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_gurreck.iff');
INSERT INTO `object_crc_string_table` VALUES ('1556686347', '5CC9260B', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_kaadu.iff');
INSERT INTO `object_crc_string_table` VALUES ('184501953', 'AFF46C1', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_kahmurra.iff');
INSERT INTO `object_crc_string_table` VALUES ('3650412283', 'D994DEFB', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_kimogila.iff');
INSERT INTO `object_crc_string_table` VALUES ('3983133143', 'ED69C9D7', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_krahbu.iff');
INSERT INTO `object_crc_string_table` VALUES ('3839276474', 'E4D6B5BA', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_kusak.iff');
INSERT INTO `object_crc_string_table` VALUES ('3256313792', 'C21767C0', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_narglatch.iff');
INSERT INTO `object_crc_string_table` VALUES ('3125557602', 'BA4C3962', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_pugoriss.iff');
INSERT INTO `object_crc_string_table` VALUES ('4198261306', 'FA3C623A', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_rancor.iff');
INSERT INTO `object_crc_string_table` VALUES ('1283189937', '4C7BECB1', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_ronto.iff');
INSERT INTO `object_crc_string_table` VALUES ('1137121554', '43C71912', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_sand_panther.iff');
INSERT INTO `object_crc_string_table` VALUES ('891571292', '35244C5C', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_snorbal.iff');
INSERT INTO `object_crc_string_table` VALUES ('2685742161', 'A0152C51', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_torton.iff');
INSERT INTO `object_crc_string_table` VALUES ('2848231352', 'A9C48FB8', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_tybis.iff');
INSERT INTO `object_crc_string_table` VALUES ('939860357', '38052185', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_veermok.iff');
INSERT INTO `object_crc_string_table` VALUES ('2084231750', '7C3ADA46', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_zucca_boar.iff');
INSERT INTO `object_crc_string_table` VALUES ('2910061894', 'AD740546', 'object/draft_schematic/bio_engineer/utilities/shared_pet_stimpack_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('1986244049', '7663ADD1', 'object/draft_schematic/bio_engineer/utilities/shared_pet_stimpack_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1064225372', '3F6ECA5C', 'object/draft_schematic/bio_engineer/utilities/shared_pet_stimpack_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('3297632584', 'C48DE148', 'object/draft_schematic/bio_engineer/utilities/shared_pet_stimpack_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('996406481', '3B63F4D1', 'object/draft_schematic/bio_engineer/utilities/shared_pet_vitapack_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('3765722182', 'E0745C46', 'object/draft_schematic/bio_engineer/utilities/shared_pet_vitapack_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2843294667', 'A9793BCB', 'object/draft_schematic/bio_engineer/utilities/shared_pet_vitapack_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('2661748357', '9EA70E85', 'object/draft_schematic/chemistry/component/shared_biologic_effect_controller.iff');
INSERT INTO `object_crc_string_table` VALUES ('800746464', '2FBA6BE0', 'object/draft_schematic/chemistry/component/shared_biologic_effect_controller_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('478830585', '1C8A5FF9', 'object/draft_schematic/chemistry/component/shared_dispersal_mechanism.iff');
INSERT INTO `object_crc_string_table` VALUES ('830646641', '3182A971', 'object/draft_schematic/chemistry/component/shared_dispersal_mechanism_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1655499039', '62ACE91F', 'object/draft_schematic/chemistry/component/shared_dye_clothing.iff');
INSERT INTO `object_crc_string_table` VALUES ('3869282426', 'E6A0907A', 'object/draft_schematic/chemistry/component/shared_dye_hair.iff');
INSERT INTO `object_crc_string_table` VALUES ('3761672459', 'E036910B', 'object/draft_schematic/chemistry/component/shared_infection_amplifier.iff');
INSERT INTO `object_crc_string_table` VALUES ('878631490', '345EDA42', 'object/draft_schematic/chemistry/component/shared_infection_amplifier_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2319984747', '8A48286B', 'object/draft_schematic/chemistry/component/shared_liquid_delivery_suspension.iff');
INSERT INTO `object_crc_string_table` VALUES ('3383554373', 'C9ACF145', 'object/draft_schematic/chemistry/component/shared_liquid_delivery_suspension_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('756180985', '2D1267F9', 'object/draft_schematic/chemistry/component/shared_release_mechanism_duration.iff');
INSERT INTO `object_crc_string_table` VALUES ('3061218995', 'B6767EB3', 'object/draft_schematic/chemistry/component/shared_release_mechanism_duration_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('4214515751', 'FB346827', 'object/draft_schematic/chemistry/component/shared_resilience_compound.iff');
INSERT INTO `object_crc_string_table` VALUES ('1897418306', '71184E42', 'object/draft_schematic/chemistry/component/shared_resilience_compound_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3674074652', 'DAFDEE1C', 'object/draft_schematic/chemistry/component/shared_solid_delivery_shell.iff');
INSERT INTO `object_crc_string_table` VALUES ('1535549193', '5B869F09', 'object/draft_schematic/chemistry/component/shared_solid_delivery_shell_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3265117703', 'C29DBE07', 'object/draft_schematic/chemistry/shared_antidote_sm_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('362148804', '1595F3C4', 'object/draft_schematic/chemistry/shared_dye_kit_clothing.iff');
INSERT INTO `object_crc_string_table` VALUES ('291639705', '11621199', 'object/draft_schematic/chemistry/shared_dye_kit_hair.iff');
INSERT INTO `object_crc_string_table` VALUES ('3675038200', 'DB0CA1F8', 'object/draft_schematic/chemistry/shared_med_fire_blanket.iff');
INSERT INTO `object_crc_string_table` VALUES ('3757704336', 'DFFA0490', 'object/draft_schematic/chemistry/shared_med_stimpack_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2814723846', 'A7C54706', 'object/draft_schematic/chemistry/shared_med_stimpack_area_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2094198673', '7CD2EF91', 'object/draft_schematic/chemistry/shared_med_stimpack_area_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('903841820', '35DF881C', 'object/draft_schematic/chemistry/shared_med_stimpack_area_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('82684935', '4EDAC07', 'object/draft_schematic/chemistry/shared_med_stimpack_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1306577802', '4DE0CB8A', 'object/draft_schematic/chemistry/shared_med_stimpack_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('3053707422', 'B603E09E', 'object/draft_schematic/chemistry/shared_med_stimpack_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('4279142163', 'FF0E8713', 'object/draft_schematic/chemistry/shared_med_stimpack_e.iff');
INSERT INTO `object_crc_string_table` VALUES ('2387638158', '8E50778E', 'object/draft_schematic/chemistry/shared_med_stimpack_range_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('1430773529', '5547DF19', 'object/draft_schematic/chemistry/shared_med_stimpack_range_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('474658964', '1C4AB894', 'object/draft_schematic/chemistry/shared_med_stimpack_range_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('3886650240', 'E7A99380', 'object/draft_schematic/chemistry/shared_med_stimpack_range_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('2930045965', 'AEA4F40D', 'object/draft_schematic/chemistry/shared_med_stimpack_range_e.iff');
INSERT INTO `object_crc_string_table` VALUES ('1364124168', '514EE208', 'object/draft_schematic/chemistry/shared_med_stimpack_state_blinded_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2321107615', '8A594A9F', 'object/draft_schematic/chemistry/shared_med_stimpack_state_blinded_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1036204741', '3DC33AC5', 'object/draft_schematic/chemistry/shared_med_stimpack_state_dizzy_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('3872690770', 'E6D49252', 'object/draft_schematic/chemistry/shared_med_stimpack_state_dizzy_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1965538987', '7527BEAB', 'object/draft_schematic/chemistry/shared_med_stimpack_state_intimidated_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2922387004', 'AE30163C', 'object/draft_schematic/chemistry/shared_med_stimpack_state_intimidated_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('3140453120', 'BB2F8300', 'object/draft_schematic/chemistry/shared_med_stimpack_state_stunned_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('1614293911', '60382B97', 'object/draft_schematic/chemistry/shared_med_stimpack_state_stunned_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1775360187', '69D1D8BB', 'object/draft_schematic/chemistry/shared_medic_damage.iff');
INSERT INTO `object_crc_string_table` VALUES ('1941410275', '73B791E3', 'object/draft_schematic/chemistry/shared_medikit_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2213021622', '83E807B6', 'object/draft_schematic/chemistry/shared_medikit_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('124288552', '7687E28', 'object/draft_schematic/chemistry/shared_medpack_cure_disease_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('3871211792', 'E6BE0110', 'object/draft_schematic/chemistry/shared_medpack_cure_disease_area_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('1034529159', '3DA9A987', 'object/draft_schematic/chemistry/shared_medpack_cure_disease_area_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1956957706', '74A4CE0A', 'object/draft_schematic/chemistry/shared_medpack_cure_disease_area_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('3699365567', 'DC7FD6BF', 'object/draft_schematic/chemistry/shared_medpack_cure_disease_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2507321650', '9572B132', 'object/draft_schematic/chemistry/shared_medpack_cure_disease_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('351667608', '14F60598', 'object/draft_schematic/chemistry/shared_medpack_cure_poison_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('954914479', '38EAD6AF', 'object/draft_schematic/chemistry/shared_medpack_cure_poison_area_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('3825040952', 'E3FD7E38', 'object/draft_schematic/chemistry/shared_medpack_cure_poison_area_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2867861941', 'AAF019B5', 'object/draft_schematic/chemistry/shared_medpack_cure_poison_area_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('3487673615', 'CFE1AD0F', 'object/draft_schematic/chemistry/shared_medpack_cure_poison_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2263665282', '86ECCA82', 'object/draft_schematic/chemistry/shared_medpack_cure_poison_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('3405539555', 'CAFC68E3', 'object/draft_schematic/chemistry/shared_medpack_damage.iff');
INSERT INTO `object_crc_string_table` VALUES ('694015561', '295DD649', 'object/draft_schematic/chemistry/shared_medpack_disease_action_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('4064968414', 'F24A7EDE', 'object/draft_schematic/chemistry/shared_medpack_disease_action_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('3141998931', 'BB471953', 'object/draft_schematic/chemistry/shared_medpack_disease_action_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('3808059942', 'E2FA6226', 'object/draft_schematic/chemistry/shared_medpack_disease_area_action_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('971885233', '39EDCAB1', 'object/draft_schematic/chemistry/shared_medpack_disease_area_action_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1893772604', '70E0AD3C', 'object/draft_schematic/chemistry/shared_medpack_disease_area_action_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('2084105908', '7C38EEB4', 'object/draft_schematic/chemistry/shared_medpack_disease_area_constitution_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2804893219', 'A72F4623', 'object/draft_schematic/chemistry/shared_medpack_disease_area_constitution_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('3995214254', 'EE2221AE', 'object/draft_schematic/chemistry/shared_medpack_disease_area_constitution_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('1596796775', '5F2D2F67', 'object/draft_schematic/chemistry/shared_medpack_disease_area_focus_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2218428400', '843A87F0', 'object/draft_schematic/chemistry/shared_medpack_disease_area_focus_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('3442991229', 'CD37E07D', 'object/draft_schematic/chemistry/shared_medpack_disease_area_focus_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('1732580378', '6745141A', 'object/draft_schematic/chemistry/shared_medpack_disease_area_health_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('3159538829', 'BC52BC8D', 'object/draft_schematic/chemistry/shared_medpack_disease_area_health_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('4116699904', 'F55FDB00', 'object/draft_schematic/chemistry/shared_medpack_disease_area_health_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('1596047843', '5F21C1E3', 'object/draft_schematic/chemistry/shared_medpack_disease_area_mind_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2218158452', '84366974', 'object/draft_schematic/chemistry/shared_medpack_disease_area_mind_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('3443199737', 'CD3B0EF9', 'object/draft_schematic/chemistry/shared_medpack_disease_area_mind_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('3559575404', 'D42ACF6C', 'object/draft_schematic/chemistry/shared_medpack_disease_area_quickness_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('255682555', 'F3D67FB', 'object/draft_schematic/chemistry/shared_medpack_disease_area_quickness_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1177550966', '46300076', 'object/draft_schematic/chemistry/shared_medpack_disease_area_quickness_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('2040229827', '799B6FC3', 'object/draft_schematic/chemistry/shared_medpack_disease_area_stamina_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2727135060', 'A28CC754', 'object/draft_schematic/chemistry/shared_medpack_disease_area_stamina_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('3951141081', 'EB81A0D9', 'object/draft_schematic/chemistry/shared_medpack_disease_area_stamina_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('1967260026', '7542017A', 'object/draft_schematic/chemistry/shared_medpack_disease_area_strength_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2924849645', 'AE55A9ED', 'object/draft_schematic/chemistry/shared_medpack_disease_area_strength_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('3881356896', 'E758CE60', 'object/draft_schematic/chemistry/shared_medpack_disease_area_strength_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('98306144', '5DC0860', 'object/draft_schematic/chemistry/shared_medpack_disease_area_willpower_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('3737886967', 'DECBA0F7', 'object/draft_schematic/chemistry/shared_medpack_disease_area_willpower_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2546386810', '97C6C77A', 'object/draft_schematic/chemistry/shared_medpack_disease_area_willpower_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('2302811997', '89421F5D', 'object/draft_schematic/chemistry/shared_medpack_disease_constitution_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('1381349322', '5255B7CA', 'object/draft_schematic/chemistry/shared_medpack_disease_constitution_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('458805319', '1B58D047', 'object/draft_schematic/chemistry/shared_medpack_disease_constitution_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('4097633358', 'F43CEC4E', 'object/draft_schematic/chemistry/shared_medpack_disease_focus_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('791364825', '2F2B44D9', 'object/draft_schematic/chemistry/shared_medpack_disease_focus_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1713775444', '66262354', 'object/draft_schematic/chemistry/shared_medpack_disease_focus_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('2900533365', 'ACE2A075', 'object/draft_schematic/chemistry/shared_medpack_disease_health_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2012547298', '77F508E2', 'object/draft_schematic/chemistry/shared_medpack_disease_health_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1056468847', '3EF86F6F', 'object/draft_schematic/chemistry/shared_medpack_disease_health_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('3467316230', 'CEAB0C06', 'object/draft_schematic/chemistry/shared_medpack_disease_mind_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('364684433', '15BCA491', 'object/draft_schematic/chemistry/shared_medpack_disease_mind_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1555153692', '5CB1C31C', 'object/draft_schematic/chemistry/shared_medpack_disease_mind_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('371283963', '162157FB', 'object/draft_schematic/chemistry/shared_medpack_disease_quickness_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('3442933612', 'CD36FF6C', 'object/draft_schematic/chemistry/shared_medpack_disease_quickness_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2218498273', '843B98E1', 'object/draft_schematic/chemistry/shared_medpack_disease_quickness_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('2834193211', 'A8EE5B3B', 'object/draft_schematic/chemistry/shared_medpack_disease_stamina_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('1945760684', '73F9F3AC', 'object/draft_schematic/chemistry/shared_medpack_disease_stamina_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('989107233', '3AF49421', 'object/draft_schematic/chemistry/shared_medpack_disease_stamina_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('355249956', '152CAF24', 'object/draft_schematic/chemistry/shared_medpack_disease_strength_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('3459975091', 'CE3B07B3', 'object/draft_schematic/chemistry/shared_medpack_disease_strength_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2268487742', '8736603E', 'object/draft_schematic/chemistry/shared_medpack_disease_strength_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('3352793335', 'C7D790F7', 'object/draft_schematic/chemistry/shared_medpack_disease_willpower_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('482359392', '1CC03860', 'object/draft_schematic/chemistry/shared_medpack_disease_willpower_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1439522797', '55CD5FED', 'object/draft_schematic/chemistry/shared_medpack_disease_willpower_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('2369668578', '8D3E45E2', 'object/draft_schematic/chemistry/shared_medpack_enhance_action_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('1445588341', '5629ED75', 'object/draft_schematic/chemistry/shared_medpack_enhance_action_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('522488568', '1F248AF8', 'object/draft_schematic/chemistry/shared_medpack_enhance_action_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('3838288364', 'E4C7A1EC', 'object/draft_schematic/chemistry/shared_medpack_enhance_action_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('481940432', '1CB9D3D0', 'object/draft_schematic/chemistry/shared_medpack_enhance_constitution_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('3350100807', 'C7AE7B47', 'object/draft_schematic/chemistry/shared_medpack_enhance_constitution_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2393054410', '8EA31CCA', 'object/draft_schematic/chemistry/shared_medpack_enhance_constitution_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('1967142878', '754037DE', 'object/draft_schematic/chemistry/shared_medpack_enhance_constitution_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('3898940476', 'E8651C3C', 'object/draft_schematic/chemistry/shared_medpack_enhance_disease_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('863155371', '3372B4AB', 'object/draft_schematic/chemistry/shared_medpack_enhance_disease_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2055197478', '7A7FD326', 'object/draft_schematic/chemistry/shared_medpack_enhance_disease_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('142685150', '88133DE', 'object/draft_schematic/chemistry/shared_medpack_enhance_health_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('3549862729', 'D3969B49', 'object/draft_schematic/chemistry/shared_medpack_enhance_health_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2593914052', '9A9BFCC4', 'object/draft_schematic/chemistry/shared_medpack_enhance_health_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('1635309520', '6178D7D0', 'object/draft_schematic/chemistry/shared_medpack_enhance_health_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('140514746', '86015BA', 'object/draft_schematic/chemistry/shared_medpack_enhance_poison_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('3547839789', 'D377BD2D', 'object/draft_schematic/chemistry/shared_medpack_enhance_poison_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2591742624', '9A7ADAA0', 'object/draft_schematic/chemistry/shared_medpack_enhance_poison_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('1448095353', '56502E79', 'object/draft_schematic/chemistry/shared_medpack_enhance_quickness_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2370275054', '8D4786EE', 'object/draft_schematic/chemistry/shared_medpack_enhance_quickness_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('3293241699', 'C44AE163', 'object/draft_schematic/chemistry/shared_medpack_enhance_quickness_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('1068092023', '3FA9CA77', 'object/draft_schematic/chemistry/shared_medpack_enhance_quickness_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('693555433', '2956D0E9', 'object/draft_schematic/chemistry/shared_medpack_enhance_stamina_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('4064376958', 'F241787E', 'object/draft_schematic/chemistry/shared_medpack_enhance_stamina_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('3142328307', 'BB4C1FF3', 'object/draft_schematic/chemistry/shared_medpack_enhance_stamina_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('1085224167', '40AF34E7', 'object/draft_schematic/chemistry/shared_medpack_enhance_stamina_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('3228205181', 'C06A807D', 'object/draft_schematic/chemistry/shared_medpack_enhance_strength_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('461187306', '1B7D28EA', 'object/draft_schematic/chemistry/shared_medpack_enhance_strength_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1383092071', '52704F67', 'object/draft_schematic/chemistry/shared_medpack_enhance_strength_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('2845009011', 'A9936473', 'object/draft_schematic/chemistry/shared_medpack_enhance_strength_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('2893232021', 'AC733795', 'object/draft_schematic/chemistry/shared_medpack_poison_action_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2003083010', '77649F02', 'object/draft_schematic/chemistry/shared_medpack_poison_action_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1047132303', '3E69F88F', 'object/draft_schematic/chemistry/shared_medpack_poison_action_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('3913034152', 'E93C29A8', 'object/draft_schematic/chemistry/shared_medpack_poison_area_action_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('841711935', '322B813F', 'object/draft_schematic/chemistry/shared_medpack_poison_area_action_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2066146994', '7B26E6B2', 'object/draft_schematic/chemistry/shared_medpack_poison_area_action_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('1820549012', '6C835F94', 'object/draft_schematic/chemistry/shared_medpack_poison_area_health_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('3079993091', 'B794F703', 'object/draft_schematic/chemistry/shared_medpack_poison_area_health_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('4271476878', 'FE99908E', 'object/draft_schematic/chemistry/shared_medpack_poison_area_health_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('3885526500', 'E7986DE4', 'object/draft_schematic/chemistry/shared_medpack_poison_area_mind_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('1016055155', '3C8FC573', 'object/draft_schematic/chemistry/shared_medpack_poison_area_mind_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1971495678', '7582A2FE', 'object/draft_schematic/chemistry/shared_medpack_poison_area_mind_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('701252009', '29CC41A9', 'object/draft_schematic/chemistry/shared_medpack_poison_health_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('4074498366', 'F2DBE93E', 'object/draft_schematic/chemistry/shared_medpack_poison_health_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('3151400627', 'BBD68EB3', 'object/draft_schematic/chemistry/shared_medpack_poison_health_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('2919448554', 'AE033FEA', 'object/draft_schematic/chemistry/shared_medpack_poison_mind_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('1964283773', '7514977D', 'object/draft_schematic/chemistry/shared_medpack_poison_mind_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1008333040', '3C19F0F0', 'object/draft_schematic/chemistry/shared_medpack_poison_mind_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('1702447331', '657948E3', 'object/draft_schematic/chemistry/shared_medpack_revive.iff');
INSERT INTO `object_crc_string_table` VALUES ('751951570', '2CD1DED2', 'object/draft_schematic/chemistry/shared_medpack_sm_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2399715807', '8F08C1DF', 'object/draft_schematic/chemistry/shared_medpack_wound.iff');
INSERT INTO `object_crc_string_table` VALUES ('2149892394', '8024C12A', 'object/draft_schematic/chemistry/shared_medpack_wound_action.iff');
INSERT INTO `object_crc_string_table` VALUES ('1923718175', '72A99C1F', 'object/draft_schematic/chemistry/shared_medpack_wound_action_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2847814792', 'A9BE3488', 'object/draft_schematic/chemistry/shared_medpack_wound_action_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('3769848581', 'E0B35305', 'object/draft_schematic/chemistry/shared_medpack_wound_action_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('458258449', '1B507811', 'object/draft_schematic/chemistry/shared_medpack_wound_action_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('1381834652', '525D1F9C', 'object/draft_schematic/chemistry/shared_medpack_wound_action_e.iff');
INSERT INTO `object_crc_string_table` VALUES ('1820732441', '6C862C19', 'object/draft_schematic/chemistry/shared_medpack_wound_constitution.iff');
INSERT INTO `object_crc_string_table` VALUES ('1261572470', '4B321176', 'object/draft_schematic/chemistry/shared_medpack_wound_constitution_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2418391521', '9025B9E1', 'object/draft_schematic/chemistry/shared_medpack_wound_constitution_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('3643334252', 'D928DE6C', 'object/draft_schematic/chemistry/shared_medpack_wound_constitution_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('583791992', '22CBF578', 'object/draft_schematic/chemistry/shared_medpack_wound_constitution_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('1808175861', '6BC692F5', 'object/draft_schematic/chemistry/shared_medpack_wound_constitution_e.iff');
INSERT INTO `object_crc_string_table` VALUES ('685238281', '28D7E809', 'object/draft_schematic/chemistry/shared_medpack_wound_health.iff');
INSERT INTO `object_crc_string_table` VALUES ('4145474083', 'F716EA23', 'object/draft_schematic/chemistry/shared_medpack_wound_health_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('738280116', '2C0142B4', 'object/draft_schematic/chemistry/shared_medpack_wound_health_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1695294777', '650C2539', 'object/draft_schematic/chemistry/shared_medpack_wound_health_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('2666466861', '9EEF0E2D', 'object/draft_schematic/chemistry/shared_medpack_wound_health_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('3621939616', 'D7E269A0', 'object/draft_schematic/chemistry/shared_medpack_wound_health_e.iff');
INSERT INTO `object_crc_string_table` VALUES ('45293723', '2B3209B', 'object/draft_schematic/chemistry/shared_medpack_wound_quickness.iff');
INSERT INTO `object_crc_string_table` VALUES ('2319233299', '8A3CB113', 'object/draft_schematic/chemistry/shared_medpack_wound_quickness_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('1361779076', '512B1984', 'object/draft_schematic/chemistry/shared_medpack_wound_quickness_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('405175817', '18267E09', 'object/draft_schematic/chemistry/shared_medpack_wound_quickness_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('3821360413', 'E3C5551D', 'object/draft_schematic/chemistry/shared_medpack_wound_quickness_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('2865246864', 'AAC83290', 'object/draft_schematic/chemistry/shared_medpack_wound_quickness_e.iff');
INSERT INTO `object_crc_string_table` VALUES ('643507193', '265B23F9', 'object/draft_schematic/chemistry/shared_medpack_wound_stamina.iff');
INSERT INTO `object_crc_string_table` VALUES ('259550557', 'F786D5D', 'object/draft_schematic/chemistry/shared_medpack_wound_stamina_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('3564094922', 'D46FC5CA', 'object/draft_schematic/chemistry/shared_medpack_wound_stamina_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2640486983', '9D62A247', 'object/draft_schematic/chemistry/shared_medpack_wound_stamina_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('1719765331', '66818953', 'object/draft_schematic/chemistry/shared_medpack_wound_stamina_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('797765342', '2F8CEEDE', 'object/draft_schematic/chemistry/shared_medpack_wound_stamina_e.iff');
INSERT INTO `object_crc_string_table` VALUES ('4078580754', 'F31A3412', 'object/draft_schematic/chemistry/shared_medpack_wound_strength.iff');
INSERT INTO `object_crc_string_table` VALUES ('1819463471', '6C72CF2F', 'object/draft_schematic/chemistry/shared_medpack_wound_strength_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('3076876216', 'B76567B8', 'object/draft_schematic/chemistry/shared_medpack_wound_strength_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('4268228661', 'FE680035', 'object/draft_schematic/chemistry/shared_medpack_wound_strength_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('93006625', '58B2B21', 'object/draft_schematic/chemistry/shared_medpack_wound_strength_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('1283869868', '4C864CAC', 'object/draft_schematic/chemistry/shared_medpack_wound_strength_e.iff');
INSERT INTO `object_crc_string_table` VALUES ('773676321', '2E1D5D21', 'object/draft_schematic/chemistry/shared_quest_stimpack_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2382882754', '8E07E7C2', 'object/draft_schematic/chemistry/shared_stimpack_sm_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('217803170', 'CFB69A2', 'object/draft_schematic/clothing/component/shared_clothing_cargo_pocket.iff');
INSERT INTO `object_crc_string_table` VALUES ('2902252643', 'ACFCDC63', 'object/draft_schematic/clothing/component/shared_clothing_component.iff');
INSERT INTO `object_crc_string_table` VALUES ('3235529113', 'C0DA4199', 'object/draft_schematic/clothing/component/shared_clothing_component_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('656345238', '271F0896', 'object/draft_schematic/clothing/component/shared_clothing_fiberplast_panel.iff');
INSERT INTO `object_crc_string_table` VALUES ('3119926044', 'B9F64B1C', 'object/draft_schematic/clothing/component/shared_clothing_jewelry_setting.iff');
INSERT INTO `object_crc_string_table` VALUES ('196841582', 'BBB906E', 'object/draft_schematic/clothing/component/shared_clothing_metal_fasteners.iff');
INSERT INTO `object_crc_string_table` VALUES ('1984198906', '764478FA', 'object/draft_schematic/clothing/component/shared_clothing_padding_segment.iff');
INSERT INTO `object_crc_string_table` VALUES ('394655839', '1785F85F', 'object/draft_schematic/clothing/component/shared_clothing_reinforced_fiber_panels.iff');
INSERT INTO `object_crc_string_table` VALUES ('794389103', '2F596A6F', 'object/draft_schematic/clothing/component/shared_clothing_shoe_sole.iff');
INSERT INTO `object_crc_string_table` VALUES ('329274185', '13A05349', 'object/draft_schematic/clothing/component/shared_clothing_synthetic_cloth.iff');
INSERT INTO `object_crc_string_table` VALUES ('3996452682', 'EE35074A', 'object/draft_schematic/clothing/component/shared_clothing_trim.iff');
INSERT INTO `object_crc_string_table` VALUES ('1709613137', '65E6A051', 'object/draft_schematic/clothing/shared_clothing_apron_chef_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1015992243', '3C8ECFB3', 'object/draft_schematic/clothing/shared_clothing_apron_field_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3196236554', 'BE82B30A', 'object/draft_schematic/clothing/shared_clothing_apron_field_01_quest_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1704270749', '65951B9D', 'object/draft_schematic/clothing/shared_clothing_apron_field_01_quest_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('748190736', '2C987C10', 'object/draft_schematic/clothing/shared_clothing_apron_field_01_quest_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3615184644', 'D77B5704', 'object/draft_schematic/clothing/shared_clothing_apron_field_01_quest_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1272321681', '4BD61691', 'object/draft_schematic/clothing/shared_clothing_armor_bone_bicep_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('990073602', '3B035302', 'object/draft_schematic/clothing/shared_clothing_armor_bone_bicep_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('970979898', '39DFFA3A', 'object/draft_schematic/clothing/shared_clothing_armor_bone_boots.iff');
INSERT INTO `object_crc_string_table` VALUES ('1642323858', '61E3DF92', 'object/draft_schematic/clothing/shared_clothing_armor_bone_bracer_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('288791041', '11369A01', 'object/draft_schematic/clothing/shared_clothing_armor_bone_bracer_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('450361637', '1AD7F925', 'object/draft_schematic/clothing/shared_clothing_armor_bone_chest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2920088501', 'AE0D03B5', 'object/draft_schematic/clothing/shared_clothing_armor_bone_gloves.iff');
INSERT INTO `object_crc_string_table` VALUES ('416146109', '18CDE2BD', 'object/draft_schematic/clothing/shared_clothing_armor_bone_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('4006019725', 'EEC7028D', 'object/draft_schematic/clothing/shared_clothing_armor_bone_leggings.iff');
INSERT INTO `object_crc_string_table` VALUES ('2913124016', 'ADA2BEB0', 'object/draft_schematic/clothing/shared_clothing_armor_bounty_hunter_belt.iff');
INSERT INTO `object_crc_string_table` VALUES ('3188330078', 'BE0A0E5E', 'object/draft_schematic/clothing/shared_clothing_armor_bounty_hunter_bicep_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('3470740429', 'CEDF4BCD', 'object/draft_schematic/clothing/shared_clothing_armor_bounty_hunter_bicep_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('3169440995', 'BCE9D4E3', 'object/draft_schematic/clothing/shared_clothing_armor_bounty_hunter_boots.iff');
INSERT INTO `object_crc_string_table` VALUES ('596018928', '238686F0', 'object/draft_schematic/clothing/shared_clothing_armor_bounty_hunter_bracer_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('1397998435', '5353C363', 'object/draft_schematic/clothing/shared_clothing_armor_bounty_hunter_bracer_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('689554844', '2919C59C', 'object/draft_schematic/clothing/shared_clothing_armor_bounty_hunter_chest_plate.iff');
INSERT INTO `object_crc_string_table` VALUES ('3874115888', 'E6EA5130', 'object/draft_schematic/clothing/shared_clothing_armor_bounty_hunter_gloves.iff');
INSERT INTO `object_crc_string_table` VALUES ('1344974904', '502AB038', 'object/draft_schematic/clothing/shared_clothing_armor_bounty_hunter_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('2896321519', 'ACA25BEF', 'object/draft_schematic/clothing/shared_clothing_armor_bounty_hunter_leggings.iff');
INSERT INTO `object_crc_string_table` VALUES ('3047595124', 'B5A69C74', 'object/draft_schematic/clothing/shared_clothing_armor_chitin_bicep_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('3312703975', 'C573D9E7', 'object/draft_schematic/clothing/shared_clothing_armor_chitin_bicep_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('1821888750', '6C97D0EE', 'object/draft_schematic/clothing/shared_clothing_armor_chitin_boots.iff');
INSERT INTO `object_crc_string_table` VALUES ('2757715857', 'A45F6791', 'object/draft_schematic/clothing/shared_clothing_armor_chitin_bracer_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('3565822466', 'D48A2202', 'object/draft_schematic/clothing/shared_clothing_armor_chitin_bracer_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('1335874545', '4F9FD3F1', 'object/draft_schematic/clothing/shared_clothing_armor_chitin_chest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2306152409', '897517D9', 'object/draft_schematic/clothing/shared_clothing_armor_chitin_gloves.iff');
INSERT INTO `object_crc_string_table` VALUES ('1068889809', '3FB5F6D1', 'object/draft_schematic/clothing/shared_clothing_armor_chitin_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('729528974', '2B7BBA8E', 'object/draft_schematic/clothing/shared_clothing_armor_chitin_leggings.iff');
INSERT INTO `object_crc_string_table` VALUES ('816015931', '30A36A3B', 'object/draft_schematic/clothing/shared_clothing_armor_composite_bicep_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('1081487272', '40762FA8', 'object/draft_schematic/clothing/shared_clothing_armor_composite_bicep_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('1025601885', '3D21715D', 'object/draft_schematic/clothing/shared_clothing_armor_composite_boots.iff');
INSERT INTO `object_crc_string_table` VALUES ('3747652372', 'DF60A314', 'object/draft_schematic/clothing/shared_clothing_armor_composite_bracer_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('2947933831', 'AFB5E687', 'object/draft_schematic/clothing/shared_clothing_armor_composite_bracer_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('506032706', '1E297242', 'object/draft_schematic/clothing/shared_clothing_armor_composite_chest.iff');
INSERT INTO `object_crc_string_table` VALUES ('1132597865', '43821269', 'object/draft_schematic/clothing/shared_clothing_armor_composite_gloves.iff');
INSERT INTO `object_crc_string_table` VALUES ('4114805601', 'F542F361', 'object/draft_schematic/clothing/shared_clothing_armor_composite_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('1346665995', '50447E0B', 'object/draft_schematic/clothing/shared_clothing_armor_composite_leggings.iff');
INSERT INTO `object_crc_string_table` VALUES ('3077397359', 'B76D5B6F', 'object/draft_schematic/clothing/shared_clothing_armor_ithorian_defender_bicep_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('3350732540', 'C7B81EFC', 'object/draft_schematic/clothing/shared_clothing_armor_ithorian_defender_bicep_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('750129025', '2CB60F81', 'object/draft_schematic/clothing/shared_clothing_armor_ithorian_defender_boots.iff');
INSERT INTO `object_crc_string_table` VALUES ('1712998399', '661A47FF', 'object/draft_schematic/clothing/shared_clothing_armor_ithorian_defender_bracer_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('382665324', '16CF026C', 'object/draft_schematic/clothing/shared_clothing_armor_ithorian_defender_bracer_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('264113310', 'FBE0C9E', 'object/draft_schematic/clothing/shared_clothing_armor_ithorian_defender_chest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2620131502', '9C2C08AE', 'object/draft_schematic/clothing/shared_clothing_armor_ithorian_defender_gloves.iff');
INSERT INTO `object_crc_string_table` VALUES ('720169382', '2AECE9A6', 'object/draft_schematic/clothing/shared_clothing_armor_ithorian_defender_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('3913194208', 'E93E9AE0', 'object/draft_schematic/clothing/shared_clothing_armor_ithorian_defender_leggings.iff');
INSERT INTO `object_crc_string_table` VALUES ('4137038776', 'F69633B8', 'object/draft_schematic/clothing/shared_clothing_armor_ithorian_guardian_bicep_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('2252568107', '8643762B', 'object/draft_schematic/clothing/shared_clothing_armor_ithorian_guardian_bicep_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('3355136251', 'C7FB50FB', 'object/draft_schematic/clothing/shared_clothing_armor_ithorian_guardian_boots.iff');
INSERT INTO `object_crc_string_table` VALUES ('2905996607', 'AD35FD3F', 'object/draft_schematic/clothing/shared_clothing_armor_ithorian_guardian_bracer_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('3722492076', 'DDE0B8AC', 'object/draft_schematic/clothing/shared_clothing_armor_ithorian_guardian_bracer_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('3841151972', 'E4F353E4', 'object/draft_schematic/clothing/shared_clothing_armor_ithorian_guardian_chest.iff');
INSERT INTO `object_crc_string_table` VALUES ('1066508214', '3F919FB6', 'object/draft_schematic/clothing/shared_clothing_armor_ithorian_guardian_gloves.iff');
INSERT INTO `object_crc_string_table` VALUES ('2303819454', '89517EBE', 'object/draft_schematic/clothing/shared_clothing_armor_ithorian_guardian_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('571547680', '22112020', 'object/draft_schematic/clothing/shared_clothing_armor_ithorian_guardian_leggings.iff');
INSERT INTO `object_crc_string_table` VALUES ('365205610', '15C4986A', 'object/draft_schematic/clothing/shared_clothing_armor_ithorian_sentinel_bicep_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('1695669753', '6511DDF9', 'object/draft_schematic/clothing/shared_clothing_armor_ithorian_sentinel_bicep_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('3805329247', 'E2D0B75F', 'object/draft_schematic/clothing/shared_clothing_armor_ithorian_sentinel_boots.iff');
INSERT INTO `object_crc_string_table` VALUES ('930361247', '37742F9F', 'object/draft_schematic/clothing/shared_clothing_armor_ithorian_sentinel_bracer_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('1201760780', '47A16A0C', 'object/draft_schematic/clothing/shared_clothing_armor_ithorian_sentinel_bracer_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('3252204608', 'C1D8B440', 'object/draft_schematic/clothing/shared_clothing_armor_ithorian_sentinel_chest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2609964605', '9B90E63D', 'object/draft_schematic/clothing/shared_clothing_armor_ithorian_sentinel_gloves.iff');
INSERT INTO `object_crc_string_table` VALUES ('760219445', '2D500735', 'object/draft_schematic/clothing/shared_clothing_armor_ithorian_sentinel_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('3092312704', 'B850F280', 'object/draft_schematic/clothing/shared_clothing_armor_ithorian_sentinel_leggings.iff');
INSERT INTO `object_crc_string_table` VALUES ('2731516736', 'A2CFA340', 'object/draft_schematic/clothing/shared_clothing_armor_kashyyykian_black_mtn_bracer_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('3524978387', 'D21AE6D3', 'object/draft_schematic/clothing/shared_clothing_armor_kashyyykian_black_mtn_bracer_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('4154804782', 'F7A54A2E', 'object/draft_schematic/clothing/shared_clothing_armor_kashyyykian_black_mtn_chest.iff');
INSERT INTO `object_crc_string_table` VALUES ('770408031', '2DEB7E5F', 'object/draft_schematic/clothing/shared_clothing_armor_kashyyykian_black_mtn_leggings.iff');
INSERT INTO `object_crc_string_table` VALUES ('1982155306', '76254A2A', 'object/draft_schematic/clothing/shared_clothing_armor_kashyyykian_ceremonial_bracer_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('116395961', '6F00FB9', 'object/draft_schematic/clothing/shared_clothing_armor_kashyyykian_ceremonial_bracer_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('2034172347', '793F01BB', 'object/draft_schematic/clothing/shared_clothing_armor_kashyyykian_ceremonial_chest.iff');
INSERT INTO `object_crc_string_table` VALUES ('4177631029', 'F9019735', 'object/draft_schematic/clothing/shared_clothing_armor_kashyyykian_ceremonial_leggings.iff');
INSERT INTO `object_crc_string_table` VALUES ('611262677', '246F20D5', 'object/draft_schematic/clothing/shared_clothing_armor_kashyyykian_hunting_bracer_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('1421501766', '54BA6546', 'object/draft_schematic/clothing/shared_clothing_armor_kashyyykian_hunting_bracer_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('592867110', '23566F26', 'object/draft_schematic/clothing/shared_clothing_armor_kashyyykian_hunting_chest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2873884106', 'AB4BFDCA', 'object/draft_schematic/clothing/shared_clothing_armor_kashyyykian_hunting_leggings.iff');
INSERT INTO `object_crc_string_table` VALUES ('2802855714', 'A7102F22', 'object/draft_schematic/clothing/shared_clothing_armor_mandalorian_belt.iff');
INSERT INTO `object_crc_string_table` VALUES ('305069795', '122EFEE3', 'object/draft_schematic/clothing/shared_clothing_armor_mandalorian_bicep_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('1660664688', '62FBBB70', 'object/draft_schematic/clothing/shared_clothing_armor_mandalorian_bicep_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('569544757', '21F29035', 'object/draft_schematic/clothing/shared_clothing_armor_mandalorian_boots.iff');
INSERT INTO `object_crc_string_table` VALUES ('3277190810', 'C355F69A', 'object/draft_schematic/clothing/shared_clothing_armor_mandalorian_bracer_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('3011556105', 'B380B309', 'object/draft_schematic/clothing/shared_clothing_armor_mandalorian_bracer_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('2746571471', 'A3B55ACF', 'object/draft_schematic/clothing/shared_clothing_armor_mandalorian_chest_plate.iff');
INSERT INTO `object_crc_string_table` VALUES ('3917363837', 'E97E3A7D', 'object/draft_schematic/clothing/shared_clothing_armor_mandalorian_gloves.iff');
INSERT INTO `object_crc_string_table` VALUES ('1606343541', '5FBEDB75', 'object/draft_schematic/clothing/shared_clothing_armor_mandalorian_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('1282485125', '4C712B85', 'object/draft_schematic/clothing/shared_clothing_armor_mandalorian_leggings.iff');
INSERT INTO `object_crc_string_table` VALUES ('1238463430', '49D173C6', 'object/draft_schematic/clothing/shared_clothing_armor_padded_belt.iff');
INSERT INTO `object_crc_string_table` VALUES ('18400770', '118C602', 'object/draft_schematic/clothing/shared_clothing_armor_padded_bicep_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('1909293969', '71CD8391', 'object/draft_schematic/clothing/shared_clothing_armor_padded_bicep_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('428470854', '1989F246', 'object/draft_schematic/clothing/shared_clothing_armor_padded_boots.iff');
INSERT INTO `object_crc_string_table` VALUES ('3024087603', 'B43FEA33', 'object/draft_schematic/clothing/shared_clothing_armor_padded_bracer_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('3303714720', 'C4EAAFA0', 'object/draft_schematic/clothing/shared_clothing_armor_padded_bracer_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('981594457', '3A81F159', 'object/draft_schematic/clothing/shared_clothing_armor_padded_chest.iff');
INSERT INTO `object_crc_string_table` VALUES ('1613154645', '6026C955', 'object/draft_schematic/clothing/shared_clothing_armor_padded_gloves.iff');
INSERT INTO `object_crc_string_table` VALUES ('3605407837', 'D6E6285D', 'object/draft_schematic/clothing/shared_clothing_armor_padded_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('991639340', '3B1B372C', 'object/draft_schematic/clothing/shared_clothing_armor_padded_leggings.iff');
INSERT INTO `object_crc_string_table` VALUES ('1855767107', '6E9CC243', 'object/draft_schematic/clothing/shared_clothing_armor_ris_bicep_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('508135376', '1E4987D0', 'object/draft_schematic/clothing/shared_clothing_armor_ris_bicep_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('93979565', '59A03AD', 'object/draft_schematic/clothing/shared_clothing_armor_ris_boots.iff');
INSERT INTO `object_crc_string_table` VALUES ('2765213721', 'A4D1D019', 'object/draft_schematic/clothing/shared_clothing_armor_ris_bracer_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('3557070218', 'D404958A', 'object/draft_schematic/clothing/shared_clothing_armor_ris_bracer_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('764259865', '2D8DAE19', 'object/draft_schematic/clothing/shared_clothing_armor_ris_chest_plate.iff');
INSERT INTO `object_crc_string_table` VALUES ('181035585', 'ACA6241', 'object/draft_schematic/clothing/shared_clothing_armor_ris_gloves.iff');
INSERT INTO `object_crc_string_table` VALUES ('3154805577', 'BC0A8349', 'object/draft_schematic/clothing/shared_clothing_armor_ris_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('737479942', '2BF50D06', 'object/draft_schematic/clothing/shared_clothing_armor_ris_leggings.iff');
INSERT INTO `object_crc_string_table` VALUES ('2070704485', '7B6C7165', 'object/draft_schematic/clothing/shared_clothing_armor_tantel_boots.iff');
INSERT INTO `object_crc_string_table` VALUES ('1482977914', '5864727A', 'object/draft_schematic/clothing/shared_clothing_armor_tantel_chest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2520970916', '9642F6A4', 'object/draft_schematic/clothing/shared_clothing_armor_tantel_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('1802019036', '6B68A0DC', 'object/draft_schematic/clothing/shared_clothing_armor_ubese_bandolier.iff');
INSERT INTO `object_crc_string_table` VALUES ('1268014346', '4B945D0A', 'object/draft_schematic/clothing/shared_clothing_armor_ubese_boots.iff');
INSERT INTO `object_crc_string_table` VALUES ('1416333578', '546B890A', 'object/draft_schematic/clothing/shared_clothing_armor_ubese_bracer_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('616483993', '24BECC99', 'object/draft_schematic/clothing/shared_clothing_armor_ubese_bracer_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('211555644', 'C9C153C', 'object/draft_schematic/clothing/shared_clothing_armor_ubese_gloves.iff');
INSERT INTO `object_crc_string_table` VALUES ('3126654004', 'BA5CF434', 'object/draft_schematic/clothing/shared_clothing_armor_ubese_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('2414320930', '8FE79D22', 'object/draft_schematic/clothing/shared_clothing_armor_ubese_jacket.iff');
INSERT INTO `object_crc_string_table` VALUES ('4124011912', 'F5CF6D88', 'object/draft_schematic/clothing/shared_clothing_armor_ubese_pants.iff');
INSERT INTO `object_crc_string_table` VALUES ('559189669', '21548EA5', 'object/draft_schematic/clothing/shared_clothing_armor_ubese_shirt.iff');
INSERT INTO `object_crc_string_table` VALUES ('344794469', '148D2565', 'object/draft_schematic/clothing/shared_clothing_armor_zam_belt.iff');
INSERT INTO `object_crc_string_table` VALUES ('210074770', 'C857C92', 'object/draft_schematic/clothing/shared_clothing_armor_zam_boots.iff');
INSERT INTO `object_crc_string_table` VALUES ('797802381', '2F8D7F8D', 'object/draft_schematic/clothing/shared_clothing_armor_zam_chest.iff');
INSERT INTO `object_crc_string_table` VALUES ('930917710', '377CAD4E', 'object/draft_schematic/clothing/shared_clothing_armor_zam_gloves.iff');
INSERT INTO `object_crc_string_table` VALUES ('2176601158', '81BC4C46', 'object/draft_schematic/clothing/shared_clothing_armor_zam_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('3000912912', 'B2DE4C10', 'object/draft_schematic/clothing/shared_clothing_armor_zam_pants.iff');
INSERT INTO `object_crc_string_table` VALUES ('2065293376', '7B19E040', 'object/draft_schematic/clothing/shared_clothing_backpack_field_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3909300058', 'E9032F5A', 'object/draft_schematic/clothing/shared_clothing_backpack_field_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3310546342', 'C552EDA6', 'object/draft_schematic/clothing/shared_clothing_backpack_field_03_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('316671054', '12E0044E', 'object/draft_schematic/clothing/shared_clothing_backpack_field_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1542284227', '5BED63C3', 'object/draft_schematic/clothing/shared_clothing_backpack_field_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('2163919700', '80FACB54', 'object/draft_schematic/clothing/shared_clothing_backpack_field_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('3608105769', 'D70F5329', 'object/draft_schematic/clothing/shared_clothing_backpack_field_06_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('1358780911', '50FD59EF', 'object/draft_schematic/clothing/shared_clothing_bandolier_field_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3295553965', 'C46E29AD', 'object/draft_schematic/clothing/shared_clothing_bandolier_field_02_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('435175010', '19F03E62', 'object/draft_schematic/clothing/shared_clothing_bandolier_field_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3792901494', 'E2131576', 'object/draft_schematic/clothing/shared_clothing_bandolier_field_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3624338087', 'D80702A7', 'object/draft_schematic/clothing/shared_clothing_bandolier_field_04_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2870899451', 'AB1E72FB', 'object/draft_schematic/clothing/shared_clothing_bandolier_field_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1879693932', '7009DA6C', 'object/draft_schematic/clothing/shared_clothing_bandolier_field_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('956612065', '3904BDE1', 'object/draft_schematic/clothing/shared_clothing_bandolier_field_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('2198770163', '830E91F3', 'object/draft_schematic/clothing/shared_clothing_bandolier_field_08.iff');
INSERT INTO `object_crc_string_table` VALUES ('825555419', '3134F9DB', 'object/draft_schematic/clothing/shared_clothing_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2241263026', '8596F5B2', 'object/draft_schematic/clothing/shared_clothing_belt_field_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1585536293', '5E815D25', 'object/draft_schematic/clothing/shared_clothing_belt_field_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('395066024', '178C3AA8', 'object/draft_schematic/clothing/shared_clothing_belt_field_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3966702012', 'EC6F11BC', 'object/draft_schematic/clothing/shared_clothing_belt_field_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2774693425', 'A5627631', 'object/draft_schematic/clothing/shared_clothing_belt_field_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('2928106130', 'AE875A92', 'object/draft_schematic/clothing/shared_clothing_belt_field_05_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('930658603', '3778B92B', 'object/draft_schematic/clothing/shared_clothing_belt_field_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('3296719540', 'C47FF2B4', 'object/draft_schematic/clothing/shared_clothing_belt_field_09.iff');
INSERT INTO `object_crc_string_table` VALUES ('2663315658', '9EBEF8CA', 'object/draft_schematic/clothing/shared_clothing_belt_field_11.iff');
INSERT INTO `object_crc_string_table` VALUES ('4066865224', 'F2677048', 'object/draft_schematic/clothing/shared_clothing_belt_formal_12.iff');
INSERT INTO `object_crc_string_table` VALUES ('3144292293', 'BB6A17C5', 'object/draft_schematic/clothing/shared_clothing_belt_formal_13.iff');
INSERT INTO `object_crc_string_table` VALUES ('1082735825', '40893CD1', 'object/draft_schematic/clothing/shared_clothing_belt_formal_14.iff');
INSERT INTO `object_crc_string_table` VALUES ('159669084', '9845B5C', 'object/draft_schematic/clothing/shared_clothing_belt_formal_15.iff');
INSERT INTO `object_crc_string_table` VALUES ('3532911563', 'D293F3CB', 'object/draft_schematic/clothing/shared_clothing_belt_formal_16.iff');
INSERT INTO `object_crc_string_table` VALUES ('2610861126', '9B9E9446', 'object/draft_schematic/clothing/shared_clothing_belt_formal_17.iff');
INSERT INTO `object_crc_string_table` VALUES ('563394644', '2194B854', 'object/draft_schematic/clothing/shared_clothing_belt_formal_18.iff');
INSERT INTO `object_crc_string_table` VALUES ('1754914777', '6899DFD9', 'object/draft_schematic/clothing/shared_clothing_belt_formal_19.iff');
INSERT INTO `object_crc_string_table` VALUES ('1292216538', '4D05A8DA', 'object/draft_schematic/clothing/shared_clothing_belt_formal_20.iff');
INSERT INTO `object_crc_string_table` VALUES ('764549397', '2D921915', 'object/draft_schematic/clothing/shared_clothing_bikini_casual_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4135956866', 'F685B182', 'object/draft_schematic/clothing/shared_clothing_bikini_casual_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3213415951', 'BF88D60F', 'object/draft_schematic/clothing/shared_clothing_bikini_casual_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1147927835', '446BFD1B', 'object/draft_schematic/clothing/shared_clothing_bikini_casual_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3560259623', 'D4354027', 'object/draft_schematic/clothing/shared_clothing_bikini_leggings_casual_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3174599388', 'BD388ADC', 'object/draft_schematic/clothing/shared_clothing_bodysuit_casual_08.iff');
INSERT INTO `object_crc_string_table` VALUES ('1977831352', '75E34FB8', 'object/draft_schematic/clothing/shared_clothing_bodysuit_casual_12.iff');
INSERT INTO `object_crc_string_table` VALUES ('3603791203', 'D6CD7D63', 'object/draft_schematic/clothing/shared_clothing_bodysuit_field_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1610596097', '5FFFBF01', 'object/draft_schematic/clothing/shared_clothing_bodysuit_field_13.iff');
INSERT INTO `object_crc_string_table` VALUES ('2753336341', 'A41C9415', 'object/draft_schematic/clothing/shared_clothing_bodysuit_field_14.iff');
INSERT INTO `object_crc_string_table` VALUES ('3977376664', 'ED11F398', 'object/draft_schematic/clothing/shared_clothing_bodysuit_field_15.iff');
INSERT INTO `object_crc_string_table` VALUES ('906386191', '36065B0F', 'object/draft_schematic/clothing/shared_clothing_bodysuit_field_16.iff');
INSERT INTO `object_crc_string_table` VALUES ('3890717293', 'E7E7A26D', 'object/draft_schematic/clothing/shared_clothing_bodysuit_formal_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('196342496', 'BB3F2E0', 'object/draft_schematic/clothing/shared_clothing_boots_casual_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2725622529', 'A275B301', 'object/draft_schematic/clothing/shared_clothing_boots_casual_12.iff');
INSERT INTO `object_crc_string_table` VALUES ('1503041557', '59969815', 'object/draft_schematic/clothing/shared_clothing_boots_casual_15.iff');
INSERT INTO `object_crc_string_table` VALUES ('948640912', '388B1C90', 'object/draft_schematic/clothing/shared_clothing_boots_casual_19.iff');
INSERT INTO `object_crc_string_table` VALUES ('1410993182', '541A0C1E', 'object/draft_schematic/clothing/shared_clothing_boots_casual_21.iff');
INSERT INTO `object_crc_string_table` VALUES ('3858090702', 'E5F5CACE', 'object/draft_schematic/clothing/shared_clothing_boots_field_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1461421655', '571B8657', 'object/draft_schematic/clothing/shared_clothing_boots_field_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('88009890', '53EECA2', 'object/draft_schematic/clothing/shared_clothing_boots_field_14.iff');
INSERT INTO `object_crc_string_table` VALUES ('2594748339', '9AA8B7B3', 'object/draft_schematic/clothing/shared_clothing_boots_field_22.iff');
INSERT INTO `object_crc_string_table` VALUES ('862910034', '336EF652', 'object/draft_schematic/clothing/shared_clothing_boots_field_34.iff');
INSERT INTO `object_crc_string_table` VALUES ('3782064495', 'E16DB96F', 'object/draft_schematic/clothing/shared_clothing_bustier_casual_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('981078520', '3A7A11F8', 'object/draft_schematic/clothing/shared_clothing_bustier_casual_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1937208949', '73777675', 'object/draft_schematic/clothing/shared_clothing_bustier_casual_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2230028828', '84EB8A1C', 'object/draft_schematic/clothing/shared_clothing_dress_casual_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1610359435', '5FFC228B', 'object/draft_schematic/clothing/shared_clothing_dress_casual_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('384910598', '16F14506', 'object/draft_schematic/clothing/shared_clothing_dress_casual_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('3858108057', 'E5F60E99', 'object/draft_schematic/clothing/shared_clothing_dress_casual_09.iff');
INSERT INTO `object_crc_string_table` VALUES ('4131021674', 'F63A636A', 'object/draft_schematic/clothing/shared_clothing_dress_casual_10.iff');
INSERT INTO `object_crc_string_table` VALUES ('1679862896', '6420AC70', 'object/draft_schematic/clothing/shared_clothing_dress_casual_12.iff');
INSERT INTO `object_crc_string_table` VALUES ('86182458', '5230A3A', 'object/draft_schematic/clothing/shared_clothing_dress_formal_08.iff');
INSERT INTO `object_crc_string_table` VALUES ('1771320306', '699433F2', 'object/draft_schematic/clothing/shared_clothing_dress_formal_08_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('384788425', '16EF67C9', 'object/draft_schematic/clothing/shared_clothing_dress_formal_11.iff');
INSERT INTO `object_crc_string_table` VALUES ('2230692051', '84F5A8D3', 'object/draft_schematic/clothing/shared_clothing_dress_formal_13.iff');
INSERT INTO `object_crc_string_table` VALUES ('2132181959', '7F1683C7', 'object/draft_schematic/clothing/shared_clothing_dress_formal_14.iff');
INSERT INTO `object_crc_string_table` VALUES ('907797578', '361BE44A', 'object/draft_schematic/clothing/shared_clothing_dress_formal_15.iff');
INSERT INTO `object_crc_string_table` VALUES ('3977006301', 'ED0C4CDD', 'object/draft_schematic/clothing/shared_clothing_dress_formal_16.iff');
INSERT INTO `object_crc_string_table` VALUES ('504039234', '1E0B0742', 'object/draft_schematic/clothing/shared_clothing_dress_formal_18.iff');
INSERT INTO `object_crc_string_table` VALUES ('1460035791', '570660CF', 'object/draft_schematic/clothing/shared_clothing_dress_formal_19.iff');
INSERT INTO `object_crc_string_table` VALUES ('2844639067', 'A98DBF5B', 'object/draft_schematic/clothing/shared_clothing_dress_formal_23.iff');
INSERT INTO `object_crc_string_table` VALUES ('3228851029', 'C0745B55', 'object/draft_schematic/clothing/shared_clothing_dress_formal_26.iff');
INSERT INTO `object_crc_string_table` VALUES ('2306424024', '89793CD8', 'object/draft_schematic/clothing/shared_clothing_dress_formal_27.iff');
INSERT INTO `object_crc_string_table` VALUES ('2055108423', '7A7E7747', 'object/draft_schematic/clothing/shared_clothing_dress_formal_29.iff');
INSERT INTO `object_crc_string_table` VALUES ('1773279924', '69B21AB4', 'object/draft_schematic/clothing/shared_clothing_dress_formal_30.iff');
INSERT INTO `object_crc_string_table` VALUES ('549420345', '20BF7D39', 'object/draft_schematic/clothing/shared_clothing_dress_formal_31.iff');
INSERT INTO `object_crc_string_table` VALUES ('4222145966', 'FBA8D5AE', 'object/draft_schematic/clothing/shared_clothing_dress_formal_32.iff');
INSERT INTO `object_crc_string_table` VALUES ('2997203491', 'B2A5B223', 'object/draft_schematic/clothing/shared_clothing_dress_formal_33.iff');
INSERT INTO `object_crc_string_table` VALUES ('1229363511', '49469937', 'object/draft_schematic/clothing/shared_clothing_dress_formal_34.iff');
INSERT INTO `object_crc_string_table` VALUES ('4980410', '4BFEBA', 'object/draft_schematic/clothing/shared_clothing_dress_formal_35.iff');
INSERT INTO `object_crc_string_table` VALUES ('1896518833', '710A94B1', 'object/draft_schematic/clothing/shared_clothing_gloves_casual_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('418607295', '18F370BF', 'object/draft_schematic/clothing/shared_clothing_gloves_casual_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('1748466152', '683779E8', 'object/draft_schematic/clothing/shared_clothing_gloves_field_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('30318054', '1CE9DE6', 'object/draft_schematic/clothing/shared_clothing_gloves_field_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('3775249290', 'E105BB8A', 'object/draft_schematic/clothing/shared_clothing_gloves_field_10.iff');
INSERT INTO `object_crc_string_table` VALUES ('2819152903', 'A808DC07', 'object/draft_schematic/clothing/shared_clothing_gloves_field_11.iff');
INSERT INTO `object_crc_string_table` VALUES ('1931441296', '731F7490', 'object/draft_schematic/clothing/shared_clothing_gloves_field_12.iff');
INSERT INTO `object_crc_string_table` VALUES ('974263069', '3A12131D', 'object/draft_schematic/clothing/shared_clothing_gloves_field_13.iff');
INSERT INTO `object_crc_string_table` VALUES ('3253811209', 'C1F13809', 'object/draft_schematic/clothing/shared_clothing_gloves_field_14.iff');
INSERT INTO `object_crc_string_table` VALUES ('3156505087', 'BC2471FF', 'object/draft_schematic/clothing/shared_clothing_hat_casual_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('890680221', '3516B39D', 'object/draft_schematic/clothing/shared_clothing_hat_casual_10.iff');
INSERT INTO `object_crc_string_table` VALUES ('2802613383', 'A70C7C87', 'object/draft_schematic/clothing/shared_clothing_hat_casual_12.iff');
INSERT INTO `object_crc_string_table` VALUES ('367144990', '15E2301E', 'object/draft_schematic/clothing/shared_clothing_hat_casual_14.iff');
INSERT INTO `object_crc_string_table` VALUES ('3580572048', 'D56B3190', 'object/draft_schematic/clothing/shared_clothing_hat_chef_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('243046663', 'E7C9907', 'object/draft_schematic/clothing/shared_clothing_hat_chef_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1708681155', '65D867C3', 'object/draft_schematic/clothing/shared_clothing_hat_field_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1205434404', '47D97824', 'object/draft_schematic/clothing/shared_clothing_hat_formal_13.iff');
INSERT INTO `object_crc_string_table` VALUES ('2563353264', '98C9AAB0', 'object/draft_schematic/clothing/shared_clothing_hat_twilek_casual_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1138623015', '43DE0227', 'object/draft_schematic/clothing/shared_clothing_hat_twilek_casual_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2735408772', 'A30B0684', 'object/draft_schematic/clothing/shared_clothing_hat_twilek_formal_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1491611024', '58E82D90', 'object/draft_schematic/clothing/shared_clothing_hat_twilek_formal_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('300239389', '11E54A1D', 'object/draft_schematic/clothing/shared_clothing_hat_twilek_formal_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('3567680505', 'D4A67BF9', 'object/draft_schematic/clothing/shared_clothing_ith_apron_chef_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2522580360', '965B8588', 'object/draft_schematic/clothing/shared_clothing_ith_backpack_field_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('71387794', '4414A92', 'object/draft_schematic/clothing/shared_clothing_ith_backpack_field_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3064923659', 'B6AF060B', 'object/draft_schematic/clothing/shared_clothing_ith_backpack_field_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1840819868', '6DB8AE9C', 'object/draft_schematic/clothing/shared_clothing_ith_backpack_field_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('3875287365', 'E6FC3145', 'object/draft_schematic/clothing/shared_clothing_ith_bandolier_field_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2951829192', 'AFF156C8', 'object/draft_schematic/clothing/shared_clothing_ith_bandolier_field_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1410498012', '54127DDC', 'object/draft_schematic/clothing/shared_clothing_ith_bandolier_field_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('488577617', '1D1F1A51', 'object/draft_schematic/clothing/shared_clothing_ith_bandolier_field_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('3322458822', 'C608B2C6', 'object/draft_schematic/clothing/shared_clothing_ith_bandolier_field_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('2399524171', '8F05D54B', 'object/draft_schematic/clothing/shared_clothing_ith_bandolier_field_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('890239321', '350FF959', 'object/draft_schematic/clothing/shared_clothing_ith_bandolier_field_08.iff');
INSERT INTO `object_crc_string_table` VALUES ('886451738', '34D62E1A', 'object/draft_schematic/clothing/shared_clothing_ith_belt_field_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4022437517', 'EFC1868D', 'object/draft_schematic/clothing/shared_clothing_ith_belt_field_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2798444800', 'A6CCE100', 'object/draft_schematic/clothing/shared_clothing_ith_belt_field_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1563413012', '5D2FCA14', 'object/draft_schematic/clothing/shared_clothing_ith_belt_field_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('337816985', '1422AD99', 'object/draft_schematic/clothing/shared_clothing_ith_belt_field_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('2251842179', '86386283', 'object/draft_schematic/clothing/shared_clothing_ith_belt_field_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('1967073564', '753F291C', 'object/draft_schematic/clothing/shared_clothing_ith_belt_field_09.iff');
INSERT INTO `object_crc_string_table` VALUES ('805184354', '2FFE2362', 'object/draft_schematic/clothing/shared_clothing_ith_belt_field_11.iff');
INSERT INTO `object_crc_string_table` VALUES ('188958849', 'B434881', 'object/draft_schematic/clothing/shared_clothing_ith_belt_formal_12.iff');
INSERT INTO `object_crc_string_table` VALUES ('1112420108', '424E2F0C', 'object/draft_schematic/clothing/shared_clothing_ith_belt_formal_13.iff');
INSERT INTO `object_crc_string_table` VALUES ('3115123736', 'B9AD0418', 'object/draft_schematic/clothing/shared_clothing_ith_belt_formal_14.iff');
INSERT INTO `object_crc_string_table` VALUES ('4037043093', 'F0A06395', 'object/draft_schematic/clothing/shared_clothing_ith_belt_formal_15.iff');
INSERT INTO `object_crc_string_table` VALUES ('733465346', '2BB7CB02', 'object/draft_schematic/clothing/shared_clothing_ith_belt_formal_16.iff');
INSERT INTO `object_crc_string_table` VALUES ('1656401039', '62BAAC8F', 'object/draft_schematic/clothing/shared_clothing_ith_belt_formal_17.iff');
INSERT INTO `object_crc_string_table` VALUES ('3635445917', 'D8B0809D', 'object/draft_schematic/clothing/shared_clothing_ith_belt_formal_18.iff');
INSERT INTO `object_crc_string_table` VALUES ('2445141776', '91BDE710', 'object/draft_schematic/clothing/shared_clothing_ith_belt_formal_19.iff');
INSERT INTO `object_crc_string_table` VALUES ('3022098451', 'B4219013', 'object/draft_schematic/clothing/shared_clothing_ith_belt_formal_20.iff');
INSERT INTO `object_crc_string_table` VALUES ('64848637', '3DD82FD', 'object/draft_schematic/clothing/shared_clothing_ith_bodysuit_casual_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2445757927', '91C74DE7', 'object/draft_schematic/clothing/shared_clothing_ith_bodysuit_casual_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1780770547', '6A2466F3', 'object/draft_schematic/clothing/shared_clothing_ith_bodysuit_casual_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('589889918', '2329017E', 'object/draft_schematic/clothing/shared_clothing_ith_bodysuit_casual_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('3768102972', 'E098B03C', 'object/draft_schematic/clothing/shared_clothing_ith_bodysuit_field_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1374079687', '51E6CAC7', 'object/draft_schematic/clothing/shared_clothing_ith_bodysuit_formal_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('4030817550', 'F041650E', 'object/draft_schematic/clothing/shared_clothing_ith_dress_casual_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('278159789', '109461AD', 'object/draft_schematic/clothing/shared_clothing_ith_dress_formal_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3950463673', 'EB774AB9', 'object/draft_schematic/clothing/shared_clothing_ith_dress_formal_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3883843054', 'E77EBDEE', 'object/draft_schematic/clothing/shared_clothing_ith_gloves_field_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3597861568', 'D67302C0', 'object/draft_schematic/clothing/shared_clothing_ith_hat_casual_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1147784666', '4469CDDA', 'object/draft_schematic/clothing/shared_clothing_ith_hat_casual_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1471257791', '57B19CBF', 'object/draft_schematic/clothing/shared_clothing_ith_hat_chef_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2359702568', '8CA63428', 'object/draft_schematic/clothing/shared_clothing_ith_hat_chef_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2763835769', 'A4BCC979', 'object/draft_schematic/clothing/shared_clothing_ith_hat_formal_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('374506976', '165285E0', 'object/draft_schematic/clothing/shared_clothing_ith_hat_formal_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1218278620', '489D74DC', 'object/draft_schematic/clothing/shared_clothing_ith_jacket_casual_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3666328518', 'DA87BBC6', 'object/draft_schematic/clothing/shared_clothing_ith_jacket_casual_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3011403720', 'B37E5FC8', 'object/draft_schematic/clothing/shared_clothing_ith_jacket_casual_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('158626778', '97473DA', 'object/draft_schematic/clothing/shared_clothing_ith_jacket_casual_09.iff');
INSERT INTO `object_crc_string_table` VALUES ('2292371763', '88A2D133', 'object/draft_schematic/clothing/shared_clothing_ith_jacket_casual_12.iff');
INSERT INTO `object_crc_string_table` VALUES ('978099626', '3A4C9DAA', 'object/draft_schematic/clothing/shared_clothing_ith_jacket_casual_14.iff');
INSERT INTO `object_crc_string_table` VALUES ('682128055', '28A872B7', 'object/draft_schematic/clothing/shared_clothing_ith_jacket_field_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3544930723', 'D34B59A3', 'object/draft_schematic/clothing/shared_clothing_ith_jacket_field_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1095866041', '415196B9', 'object/draft_schematic/clothing/shared_clothing_ith_jacket_field_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('3902265176', 'E897D758', 'object/draft_schematic/clothing/shared_clothing_ith_jacket_field_11.iff');
INSERT INTO `object_crc_string_table` VALUES ('2056067138', '7A8D1842', 'object/draft_schematic/clothing/shared_clothing_ith_jacket_field_13.iff');
INSERT INTO `object_crc_string_table` VALUES ('2294084604', '88BCF3FC', 'object/draft_schematic/clothing/shared_clothing_ith_jacket_formal_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3919673209', 'E9A17779', 'object/draft_schematic/clothing/shared_clothing_ith_jacket_formal_08.iff');
INSERT INTO `object_crc_string_table` VALUES ('3009445127', 'B3607D07', 'object/draft_schematic/clothing/shared_clothing_ith_jacket_formal_10.iff');
INSERT INTO `object_crc_string_table` VALUES ('3667499273', 'DA999909', 'object/draft_schematic/clothing/shared_clothing_ith_jacket_formal_15.iff');
INSERT INTO `object_crc_string_table` VALUES ('3694343430', 'DC333506', 'object/draft_schematic/clothing/shared_clothing_ith_jewelry_necklace_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('119840145', '7249D91', 'object/draft_schematic/clothing/shared_clothing_ith_jewelry_necklace_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1311373852', '4E29FA1C', 'object/draft_schematic/clothing/shared_clothing_ith_jewelry_necklace_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3049967880', 'B5CAD108', 'object/draft_schematic/clothing/shared_clothing_ith_jewelry_necklace_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('4240946821', 'FCC7B685', 'object/draft_schematic/clothing/shared_clothing_ith_jewelry_necklace_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('667950610', '27D01E12', 'object/draft_schematic/clothing/shared_clothing_ith_jewelry_necklace_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('1860008351', '6EDD799F', 'object/draft_schematic/clothing/shared_clothing_ith_jewelry_necklace_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('3570881933', 'D4D7558D', 'object/draft_schematic/clothing/shared_clothing_ith_jewelry_necklace_08.iff');
INSERT INTO `object_crc_string_table` VALUES ('2648322560', '9DDA3200', 'object/draft_schematic/clothing/shared_clothing_ith_jewelry_necklace_09.iff');
INSERT INTO `object_crc_string_table` VALUES ('2383831027', '8E165FF3', 'object/draft_schematic/clothing/shared_clothing_ith_jewelry_necklace_10.iff');
INSERT INTO `object_crc_string_table` VALUES ('3340449918', 'C71B387E', 'object/draft_schematic/clothing/shared_clothing_ith_jewelry_necklace_11.iff');
INSERT INTO `object_crc_string_table` VALUES ('470585577', '1C0C90E9', 'object/draft_schematic/clothing/shared_clothing_ith_jewelry_necklace_12.iff');
INSERT INTO `object_crc_string_table` VALUES ('1568038916', '5D766004', 'object/draft_schematic/clothing/shared_clothing_ith_pants_casual_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2254555283', '8661C893', 'object/draft_schematic/clothing/shared_clothing_ith_pants_casual_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3480006430', 'CF6CAF1E', 'object/draft_schematic/clothing/shared_clothing_ith_pants_casual_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1435631759', '5592008F', 'object/draft_schematic/clothing/shared_clothing_ith_pants_casual_08.iff');
INSERT INTO `object_crc_string_table` VALUES ('480208642', '1C9F6702', 'object/draft_schematic/clothing/shared_clothing_ith_pants_casual_09.iff');
INSERT INTO `object_crc_string_table` VALUES ('3183298152', 'BDBD4668', 'object/draft_schematic/clothing/shared_clothing_ith_pants_casual_16.iff');
INSERT INTO `object_crc_string_table` VALUES ('4105183717', 'F4B021E5', 'object/draft_schematic/clothing/shared_clothing_ith_pants_casual_17.iff');
INSERT INTO `object_crc_string_table` VALUES ('1320816119', '4EBA0DF7', 'object/draft_schematic/clothing/shared_clothing_ith_pants_casual_18.iff');
INSERT INTO `object_crc_string_table` VALUES ('1797683956', '6B267AF4', 'object/draft_schematic/clothing/shared_clothing_ith_pants_casual_21.iff');
INSERT INTO `object_crc_string_table` VALUES ('814575802', '308D70BA', 'object/draft_schematic/clothing/shared_clothing_ith_pants_field_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2038437687', '79801737', 'object/draft_schematic/clothing/shared_clothing_ith_pants_field_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('2727853984', 'A297BFA0', 'object/draft_schematic/clothing/shared_clothing_ith_pants_field_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('3952793645', 'EB9AD82D', 'object/draft_schematic/clothing/shared_clothing_ith_pants_field_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('2571841883', '994B315B', 'object/draft_schematic/clothing/shared_clothing_ith_pants_field_12.iff');
INSERT INTO `object_crc_string_table` VALUES ('3494270678', 'D04656D6', 'object/draft_schematic/clothing/shared_clothing_ith_pants_field_13.iff');
INSERT INTO `object_crc_string_table` VALUES ('1655183951', '62A81A4F', 'object/draft_schematic/clothing/shared_clothing_ith_pants_field_15.iff');
INSERT INTO `object_crc_string_table` VALUES ('62234314', '3B59ECA', 'object/draft_schematic/clothing/shared_clothing_ith_pants_field_19.iff');
INSERT INTO `object_crc_string_table` VALUES ('640281033', '2629E9C9', 'object/draft_schematic/clothing/shared_clothing_ith_pants_field_20.iff');
INSERT INTO `object_crc_string_table` VALUES ('2794154463', 'A68B69DF', 'object/draft_schematic/clothing/shared_clothing_ith_pants_formal_10.iff');
INSERT INTO `object_crc_string_table` VALUES ('4018540114', 'EF860E52', 'object/draft_schematic/clothing/shared_clothing_ith_pants_formal_11.iff');
INSERT INTO `object_crc_string_table` VALUES ('2256530012', '867FEA5C', 'object/draft_schematic/clothing/shared_clothing_ith_pants_formal_14.iff');
INSERT INTO `object_crc_string_table` VALUES ('3469187502', 'CEC799AE', 'object/draft_schematic/clothing/shared_clothing_ith_robe_formal_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('365965625', '15D03139', 'object/draft_schematic/clothing/shared_clothing_ith_robe_formal_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1176658641', '462262D1', 'object/draft_schematic/clothing/shared_clothing_ith_shirt_casual_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3560484299', 'D438ADCB', 'object/draft_schematic/clothing/shared_clothing_ith_shirt_casual_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('802916063', '2FDB86DF', 'object/draft_schematic/clothing/shared_clothing_ith_shirt_casual_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3183561157', 'BDC149C5', 'object/draft_schematic/clothing/shared_clothing_ith_shirt_casual_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('4107021896', 'F4CC2E48', 'object/draft_schematic/clothing/shared_clothing_ith_shirt_casual_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('1321599578', '4EC6025A', 'object/draft_schematic/clothing/shared_clothing_ith_shirt_casual_08.iff');
INSERT INTO `object_crc_string_table` VALUES ('130770391', '7CB65D7', 'object/draft_schematic/clothing/shared_clothing_ith_shirt_casual_09.iff');
INSERT INTO `object_crc_string_table` VALUES ('2250098494', '861DC73E', 'object/draft_schematic/clothing/shared_clothing_ith_shirt_casual_12.iff');
INSERT INTO `object_crc_string_table` VALUES ('3473973427', 'CF10A0B3', 'object/draft_schematic/clothing/shared_clothing_ith_shirt_casual_13.iff');
INSERT INTO `object_crc_string_table` VALUES ('888376231', '34F38BA7', 'object/draft_schematic/clothing/shared_clothing_ith_shirt_casual_14.iff');
INSERT INTO `object_crc_string_table` VALUES ('2365718462', '8D01FFBE', 'object/draft_schematic/clothing/shared_clothing_ith_shirt_field_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('3067965765', 'B6DD7145', 'object/draft_schematic/clothing/shared_clothing_ith_shirt_field_11.iff');
INSERT INTO `object_crc_string_table` VALUES ('887990632', '34EDA968', 'object/draft_schematic/clothing/shared_clothing_ith_shirt_formal_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3185535754', 'BDDF6B0A', 'object/draft_schematic/clothing/shared_clothing_ith_shirt_formal_10.iff');
INSERT INTO `object_crc_string_table` VALUES ('1754490583', '689366D7', 'object/draft_schematic/clothing/shared_clothing_ith_skirt_formal_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3011825216', 'B384CE40', 'object/draft_schematic/clothing/shared_clothing_ith_skirt_formal_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4203325901', 'FA89A9CD', 'object/draft_schematic/clothing/shared_clothing_ith_skirt_formal_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('454011368', '1B0FA9E8', 'object/draft_schematic/clothing/shared_clothing_ith_vest_field_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2332919576', '8B0D8718', 'object/draft_schematic/clothing/shared_clothing_jacket_casual_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1894689804', '70EEAC0C', 'object/draft_schematic/clothing/shared_clothing_jacket_casual_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('3807666966', 'E2F46316', 'object/draft_schematic/clothing/shared_clothing_jacket_casual_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('2418379360', '90258A60', 'object/draft_schematic/clothing/shared_clothing_jacket_casual_12.iff');
INSERT INTO `object_crc_string_table` VALUES ('583780089', '22CBC6F9', 'object/draft_schematic/clothing/shared_clothing_jacket_casual_14.iff');
INSERT INTO `object_crc_string_table` VALUES ('4191972974', 'F9DC6E6E', 'object/draft_schematic/clothing/shared_clothing_jacket_casual_17.iff');
INSERT INTO `object_crc_string_table` VALUES ('1138115196', '43D6427C', 'object/draft_schematic/clothing/shared_clothing_jacket_casual_18.iff');
INSERT INTO `object_crc_string_table` VALUES ('182134257', 'ADB25F1', 'object/draft_schematic/clothing/shared_clothing_jacket_casual_19.iff');
INSERT INTO `object_crc_string_table` VALUES ('263442801', 'FB3D171', 'object/draft_schematic/clothing/shared_clothing_jacket_casual_24.iff');
INSERT INTO `object_crc_string_table` VALUES ('2256605971', '86811313', 'object/draft_schematic/clothing/shared_clothing_jacket_casual_36.iff');
INSERT INTO `object_crc_string_table` VALUES ('1947369133', '74127EAD', 'object/draft_schematic/clothing/shared_clothing_jacket_field_08.iff');
INSERT INTO `object_crc_string_table` VALUES ('785609939', '2ED374D3', 'object/draft_schematic/clothing/shared_clothing_jacket_field_10.iff');
INSERT INTO `object_crc_string_table` VALUES ('4123319364', 'F5C4DC44', 'object/draft_schematic/clothing/shared_clothing_jacket_field_13.iff');
INSERT INTO `object_crc_string_table` VALUES ('1193971933', '472A90DD', 'object/draft_schematic/clothing/shared_clothing_jacket_field_15.iff');
INSERT INTO `object_crc_string_table` VALUES ('2621257802', '9C3D384A', 'object/draft_schematic/clothing/shared_clothing_jacket_field_16.iff');
INSERT INTO `object_crc_string_table` VALUES ('1866101717', '6F3A73D5', 'object/draft_schematic/clothing/shared_clothing_jacket_field_18.iff');
INSERT INTO `object_crc_string_table` VALUES ('1252394198', '4AA604D6', 'object/draft_schematic/clothing/shared_clothing_jacket_field_21.iff');
INSERT INTO `object_crc_string_table` VALUES ('1903856173', '717A8A2D', 'object/draft_schematic/clothing/shared_clothing_jacket_field_35.iff');
INSERT INTO `object_crc_string_table` VALUES ('1809351611', '6BD883BB', 'object/draft_schematic/clothing/shared_clothing_jacket_formal_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('35743669', '22167B5', 'object/draft_schematic/clothing/shared_clothing_jacket_formal_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('3807003097', 'E2EA41D9', 'object/draft_schematic/clothing/shared_clothing_jacket_formal_11.iff');
INSERT INTO `object_crc_string_table` VALUES ('344325830', '1485FEC6', 'object/draft_schematic/clothing/shared_clothing_jacket_formal_22.iff');
INSERT INTO `object_crc_string_table` VALUES ('4016494034', 'EF66D5D2', 'object/draft_schematic/clothing/shared_clothing_jacket_formal_25.iff');
INSERT INTO `object_crc_string_table` VALUES ('879852869', '34717D45', 'object/draft_schematic/clothing/shared_clothing_jacket_formal_26.iff');
INSERT INTO `object_crc_string_table` VALUES ('446131726', '1A976E0E', 'object/draft_schematic/clothing/shared_clothing_jewelry_bracelet_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1402603907', '539A0983', 'object/draft_schematic/clothing/shared_clothing_jewelry_bracelet_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2826510999', 'A8792297', 'object/draft_schematic/clothing/shared_clothing_jewelry_bracelet_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3782493466', 'E174451A', 'object/draft_schematic/clothing/shared_clothing_jewelry_bracelet_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('979627405', '3A63ED8D', 'object/draft_schematic/clothing/shared_clothing_jewelry_bracelet_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('2061721546', '7AE35FCA', 'object/draft_schematic/clothing/shared_clothing_jewelry_necklace_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2717185885', 'A1F4F75D', 'object/draft_schematic/clothing/shared_clothing_jewelry_necklace_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3908669648', 'E8F990D0', 'object/draft_schematic/clothing/shared_clothing_jewelry_necklace_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('320519108', '131ABBC4', 'object/draft_schematic/clothing/shared_clothing_jewelry_necklace_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1511513161', '5A17DC49', 'object/draft_schematic/clothing/shared_clothing_jewelry_necklace_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('2164290782', '810074DE', 'object/draft_schematic/clothing/shared_clothing_jewelry_necklace_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('3356300115', 'C80D1353', 'object/draft_schematic/clothing/shared_clothing_jewelry_necklace_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('1913077569', '72073F41', 'object/draft_schematic/clothing/shared_clothing_jewelry_necklace_08.iff');
INSERT INTO `object_crc_string_table` VALUES ('990533836', '3B0A58CC', 'object/draft_schematic/clothing/shared_clothing_jewelry_necklace_09.iff');
INSERT INTO `object_crc_string_table` VALUES ('684078399', '28C6353F', 'object/draft_schematic/clothing/shared_clothing_jewelry_necklace_10.iff');
INSERT INTO `object_crc_string_table` VALUES ('1640714930', '61CB52B2', 'object/draft_schematic/clothing/shared_clothing_jewelry_necklace_11.iff');
INSERT INTO `object_crc_string_table` VALUES ('3135044133', 'BADCFA25', 'object/draft_schematic/clothing/shared_clothing_jewelry_necklace_12.iff');
INSERT INTO `object_crc_string_table` VALUES ('2962417774', 'B092E86E', 'object/draft_schematic/clothing/shared_clothing_jewelry_ring_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1803895033', '6B8540F9', 'object/draft_schematic/clothing/shared_clothing_jewelry_ring_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('579348340', '22882774', 'object/draft_schematic/clothing/shared_clothing_jewelry_ring_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3647671392', 'D96B0C60', 'object/draft_schematic/clothing/shared_clothing_jewelry_ring_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3527386114', 'D23FA402', 'object/draft_schematic/clothing/shared_clothing_pants_casual_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('153619605', '9280C95', 'object/draft_schematic/clothing/shared_clothing_pants_casual_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4073400193', 'F2CB2781', 'object/draft_schematic/clothing/shared_clothing_pants_casual_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('702320406', '29DC8F16', 'object/draft_schematic/clothing/shared_clothing_pants_casual_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('3671835785', 'DADBC489', 'object/draft_schematic/clothing/shared_clothing_pants_casual_08.iff');
INSERT INTO `object_crc_string_table` VALUES ('2480317188', '93D6A304', 'object/draft_schematic/clothing/shared_clothing_pants_casual_09.iff');
INSERT INTO `object_crc_string_table` VALUES ('2149240567', '801ACEF7', 'object/draft_schematic/clothing/shared_clothing_pants_casual_10.iff');
INSERT INTO `object_crc_string_table` VALUES ('3373771130', 'C917A97A', 'object/draft_schematic/clothing/shared_clothing_pants_casual_11.iff');
INSERT INTO `object_crc_string_table` VALUES ('2079974883', '7BF9E5E3', 'object/draft_schematic/clothing/shared_clothing_pants_casual_17.iff');
INSERT INTO `object_crc_string_table` VALUES ('3253979633', 'C1F3C9F1', 'object/draft_schematic/clothing/shared_clothing_pants_casual_18.iff');
INSERT INTO `object_crc_string_table` VALUES ('2375441148', '8D965AFC', 'object/draft_schematic/clothing/shared_clothing_pants_casual_24.iff');
INSERT INTO `object_crc_string_table` VALUES ('3298508145', 'C49B3D71', 'object/draft_schematic/clothing/shared_clothing_pants_casual_25.iff');
INSERT INTO `object_crc_string_table` VALUES ('529307110', '1F8C95E6', 'object/draft_schematic/clothing/shared_clothing_pants_casual_26.iff');
INSERT INTO `object_crc_string_table` VALUES ('3383314547', 'C9A94873', 'object/draft_schematic/clothing/shared_clothing_pants_field_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('314499300', '12BEE0E4', 'object/draft_schematic/clothing/shared_clothing_pants_field_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('1617889682', '606F0992', 'object/draft_schematic/clothing/shared_clothing_pants_field_12.iff');
INSERT INTO `object_crc_string_table` VALUES ('3531687179', 'D281450B', 'object/draft_schematic/clothing/shared_clothing_pants_field_14.iff');
INSERT INTO `object_crc_string_table` VALUES ('2516629133', '9600B68D', 'object/draft_schematic/clothing/shared_clothing_pants_field_21.iff');
INSERT INTO `object_crc_string_table` VALUES ('1293360666', '4D171E1A', 'object/draft_schematic/clothing/shared_clothing_pants_field_22.iff');
INSERT INTO `object_crc_string_table` VALUES ('619641364', '24EEFA14', 'object/draft_schematic/clothing/shared_clothing_pants_field_27.iff');
INSERT INTO `object_crc_string_table` VALUES ('2665797126', '9EE4D606', 'object/draft_schematic/clothing/shared_clothing_pants_field_28.iff');
INSERT INTO `object_crc_string_table` VALUES ('3622416779', 'D7E9B18B', 'object/draft_schematic/clothing/shared_clothing_pants_field_29.iff');
INSERT INTO `object_crc_string_table` VALUES ('3290815608', 'C425DC78', 'object/draft_schematic/clothing/shared_clothing_pants_field_30.iff');
INSERT INTO `object_crc_string_table` VALUES ('4074046798', 'F2D5054E', 'object/draft_schematic/clothing/shared_clothing_pants_formal_13.iff');
INSERT INTO `object_crc_string_table` VALUES ('1077627351', '403B49D7', 'object/draft_schematic/clothing/shared_clothing_pants_formal_15.iff');
INSERT INTO `object_crc_string_table` VALUES ('1453314212', '569FD0A4', 'object/draft_schematic/clothing/shared_clothing_pants_formal_31.iff');
INSERT INTO `object_crc_string_table` VALUES ('2374531123', '8D887833', 'object/draft_schematic/clothing/shared_clothing_pants_formal_32.iff');
INSERT INTO `object_crc_string_table` VALUES ('3297058750', 'C4851FBE', 'object/draft_schematic/clothing/shared_clothing_pants_formal_33.iff');
INSERT INTO `object_crc_string_table` VALUES ('1585164335', '5E7BB02F', 'object/draft_schematic/clothing/shared_clothing_pants_formal_38.iff');
INSERT INTO `object_crc_string_table` VALUES ('2290443455', '888564BF', 'object/draft_schematic/clothing/shared_clothing_quest_jacket_rebel_pilot.iff');
INSERT INTO `object_crc_string_table` VALUES ('224341466', 'D5F2DDA', 'object/draft_schematic/clothing/shared_clothing_quest_robe_imperial.iff');
INSERT INTO `object_crc_string_table` VALUES ('1888189585', '708B7C91', 'object/draft_schematic/clothing/shared_clothing_quest_vest_smuggler_pilot.iff');
INSERT INTO `object_crc_string_table` VALUES ('4156696135', 'F7C22647', 'object/draft_schematic/clothing/shared_clothing_robe_casual_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3201253834', 'BECF41CA', 'object/draft_schematic/clothing/shared_clothing_robe_casual_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('3903710802', 'E8ADE652', 'object/draft_schematic/clothing/shared_clothing_robe_casual_05b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2381819834', '8DF7AFBA', 'object/draft_schematic/clothing/shared_clothing_robe_casual_18.iff');
INSERT INTO `object_crc_string_table` VALUES ('1075666882', '401D5FC2', 'object/draft_schematic/clothing/shared_clothing_robe_field_27.iff');
INSERT INTO `object_crc_string_table` VALUES ('937664871', '37E3A167', 'object/draft_schematic/clothing/shared_clothing_robe_formal_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4158391432', 'F7DC0488', 'object/draft_schematic/clothing/shared_clothing_robe_formal_12.iff');
INSERT INTO `object_crc_string_table` VALUES ('1534159309', '5B7169CD', 'object/draft_schematic/clothing/shared_clothing_shirt_casual_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2693939929', 'A09242D9', 'object/draft_schematic/clothing/shared_clothing_shirt_casual_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2072373838', '7B85EA4E', 'object/draft_schematic/clothing/shared_clothing_shirt_casual_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('3527650223', 'D243ABAF', 'object/draft_schematic/clothing/shared_clothing_shirt_casual_11.iff');
INSERT INTO `object_crc_string_table` VALUES ('698384571', '29A080BB', 'object/draft_schematic/clothing/shared_clothing_shirt_casual_16.iff');
INSERT INTO `object_crc_string_table` VALUES ('2529318953', '96C25829', 'object/draft_schematic/clothing/shared_clothing_shirt_casual_24.iff');
INSERT INTO `object_crc_string_table` VALUES ('1305866430', '4DD5F0BE', 'object/draft_schematic/clothing/shared_clothing_shirt_casual_27.iff');
INSERT INTO `object_crc_string_table` VALUES ('2904479442', 'AD1ED6D2', 'object/draft_schematic/clothing/shared_clothing_shirt_casual_30.iff');
INSERT INTO `object_crc_string_table` VALUES ('2380944721', '8DEA5551', 'object/draft_schematic/clothing/shared_clothing_shirt_casual_34.iff');
INSERT INTO `object_crc_string_table` VALUES ('3975664084', 'ECF7D1D4', 'object/draft_schematic/clothing/shared_clothing_shirt_casual_38.iff');
INSERT INTO `object_crc_string_table` VALUES ('2128362400', '7EDC3BA0', 'object/draft_schematic/clothing/shared_clothing_shirt_casual_42.iff');
INSERT INTO `object_crc_string_table` VALUES ('356008946', '153843F2', 'object/draft_schematic/clothing/shared_clothing_shirt_field_09.iff');
INSERT INTO `object_crc_string_table` VALUES ('116665857', '6F42E01', 'object/draft_schematic/clothing/shared_clothing_shirt_field_10.iff');
INSERT INTO `object_crc_string_table` VALUES ('637578626', '2600AD82', 'object/draft_schematic/clothing/shared_clothing_shirt_field_14.iff');
INSERT INTO `object_crc_string_table` VALUES ('2573366544', '99627510', 'object/draft_schematic/clothing/shared_clothing_shirt_field_26.iff');
INSERT INTO `object_crc_string_table` VALUES ('1078412922', '4047467A', 'object/draft_schematic/clothing/shared_clothing_shirt_formal_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1750574450', '6857A572', 'object/draft_schematic/clothing/shared_clothing_shirt_formal_08.iff');
INSERT INTO `object_crc_string_table` VALUES ('2693554198', 'A08C6016', 'object/draft_schematic/clothing/shared_clothing_shirt_formal_12.iff');
INSERT INTO `object_crc_string_table` VALUES ('3917547419', 'E981079B', 'object/draft_schematic/clothing/shared_clothing_shirt_formal_13.iff');
INSERT INTO `object_crc_string_table` VALUES ('1534020354', '5B6F4B02', 'object/draft_schematic/clothing/shared_clothing_shirt_formal_15.iff');
INSERT INTO `object_crc_string_table` VALUES ('1577566082', '5E07BF82', 'object/draft_schematic/clothing/shared_clothing_shirt_formal_28.iff');
INSERT INTO `object_crc_string_table` VALUES ('2531031782', '96DC7AE6', 'object/draft_schematic/clothing/shared_clothing_shirt_formal_32.iff');
INSERT INTO `object_crc_string_table` VALUES ('1153745366', '44C4C1D6', 'object/draft_schematic/clothing/shared_clothing_shoes_casual_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('231319131', 'DC9A65B', 'object/draft_schematic/clothing/shared_clothing_shoes_casual_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('758982104', '2D3D25D8', 'object/draft_schematic/clothing/shared_clothing_shoes_casual_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('2536966602', '973709CA', 'object/draft_schematic/clothing/shared_clothing_shoes_casual_08.iff');
INSERT INTO `object_crc_string_table` VALUES ('906693231', '360B0A6F', 'object/draft_schematic/clothing/shared_clothing_shoes_formal_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2011303273', '77E20D69', 'object/draft_schematic/clothing/shared_clothing_shoes_formal_09.iff');
INSERT INTO `object_crc_string_table` VALUES ('3692564197', 'DC180EE5', 'object/draft_schematic/clothing/shared_clothing_skirt_casual_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('670770673', '27FB25F1', 'object/draft_schematic/clothing/shared_clothing_skirt_casual_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1861632636', '6EF6427C', 'object/draft_schematic/clothing/shared_clothing_skirt_casual_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('472361738', '1C27AB0A', 'object/draft_schematic/clothing/shared_clothing_skirt_casual_10.iff');
INSERT INTO `object_crc_string_table` VALUES ('473532869', '1C3989C5', 'object/draft_schematic/clothing/shared_clothing_skirt_formal_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('1429532232', '5534EE48', 'object/draft_schematic/clothing/shared_clothing_skirt_formal_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('2788402647', 'A633A5D7', 'object/draft_schematic/clothing/shared_clothing_skirt_formal_09.iff');
INSERT INTO `object_crc_string_table` VALUES ('4243763113', 'FCF2AFA9', 'object/draft_schematic/clothing/shared_clothing_skirt_formal_11.iff');
INSERT INTO `object_crc_string_table` VALUES ('669321022', '27E5073E', 'object/draft_schematic/clothing/shared_clothing_skirt_formal_12.iff');
INSERT INTO `object_crc_string_table` VALUES ('1860722867', '6EE860B3', 'object/draft_schematic/clothing/shared_clothing_skirt_formal_13.iff');
INSERT INTO `object_crc_string_table` VALUES ('2500545447', '950B4BA7', 'object/draft_schematic/clothing/shared_clothing_skirt_formal_14.iff');
INSERT INTO `object_crc_string_table` VALUES ('3798683604', 'E26B4FD4', 'object/draft_schematic/clothing/shared_clothing_vest_casual_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('964486979', '397CE743', 'object/draft_schematic/clothing/shared_clothing_vest_casual_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1886486734', '707180CE', 'object/draft_schematic/clothing/shared_clothing_vest_casual_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2341645274', '8B92ABDA', 'object/draft_schematic/clothing/shared_clothing_vest_casual_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3265252439', 'C29FCC57', 'object/draft_schematic/clothing/shared_clothing_vest_casual_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('2957911329', 'B04E2521', 'object/draft_schematic/clothing/shared_clothing_vest_casual_10.iff');
INSERT INTO `object_crc_string_table` VALUES ('4181934764', 'F94342AC', 'object/draft_schematic/clothing/shared_clothing_vest_casual_11.iff');
INSERT INTO `object_crc_string_table` VALUES ('1370249556', '51AC5954', 'object/draft_schematic/clothing/shared_clothing_vest_field_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('3953554758', 'EBA67546', 'object/draft_schematic/clothing/shared_clothing_vest_field_09.iff');
INSERT INTO `object_crc_string_table` VALUES ('489581843', '1D2E6D13', 'object/draft_schematic/clothing/shared_clothing_vest_field_hutt_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3325674884', 'C639C584', 'object/draft_schematic/clothing/shared_clothing_vest_field_hutt_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2402591241', '8F34A209', 'object/draft_schematic/clothing/shared_clothing_vest_field_hutt_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1886364161', '706FA201', 'object/draft_schematic/clothing/shared_clothing_vest_formal_15.iff');
INSERT INTO `object_crc_string_table` VALUES ('3557216934', 'D406D2A6', 'object/draft_schematic/clothing/shared_clothing_wke_gloves_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('252803633', 'F117A31', 'object/draft_schematic/clothing/shared_clothing_wke_gloves_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1176247740', '461C1DBC', 'object/draft_schematic/clothing/shared_clothing_wke_gloves_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3187619496', 'BDFF36A8', 'object/draft_schematic/clothing/shared_clothing_wke_gloves_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1693934374', '64F76326', 'object/draft_schematic/clothing/shared_clothing_wke_hat_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3381032072', 'C9867488', 'object/draft_schematic/clothing/shared_clothing_wke_hood_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('311548959', '1291DC1F', 'object/draft_schematic/clothing/shared_clothing_wke_hood_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1536998290', '5B9CBB92', 'object/draft_schematic/clothing/shared_clothing_wke_hood_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3901194065', 'E8877F51', 'object/draft_schematic/clothing/shared_clothing_wke_shirt_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('865130438', '3390D7C6', 'object/draft_schematic/clothing/shared_clothing_wke_shirt_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2057154635', '7A9DB04B', 'object/draft_schematic/clothing/shared_clothing_wke_shirt_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2172558175', '817E9B5F', 'object/draft_schematic/clothing/shared_clothing_wke_shirt_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1660876305', '62FEF611', 'object/draft_schematic/clothing/shared_clothing_wke_shoulder_pad_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3119079046', 'B9E95E86', 'object/draft_schematic/clothing/shared_clothing_wke_shoulder_pad_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3768343131', 'E09C5A5B', 'object/draft_schematic/clothing/shared_clothing_wke_skirt_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('999027404', '3B8BF2CC', 'object/draft_schematic/clothing/shared_clothing_wke_skirt_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1921422657', '72869541', 'object/draft_schematic/clothing/shared_clothing_wke_skirt_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2305146453', '8965BE55', 'object/draft_schematic/clothing/shared_clothing_wke_skirt_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('4055607250', 'F1BBA7D2', 'object/draft_schematic/community_crafting/component/shared_connections.iff');
INSERT INTO `object_crc_string_table` VALUES ('2475941003', '9393DC8B', 'object/draft_schematic/community_crafting/component/shared_endrost.iff');
INSERT INTO `object_crc_string_table` VALUES ('2447534688', '91E26A60', 'object/draft_schematic/community_crafting/component/shared_lightweight_turret.iff');
INSERT INTO `object_crc_string_table` VALUES ('3176161507', 'BD5060E3', 'object/draft_schematic/community_crafting/component/shared_lightweight_turret_electronics.iff');
INSERT INTO `object_crc_string_table` VALUES ('3801620264', 'E2981F28', 'object/draft_schematic/community_crafting/component/shared_lightweight_turret_hardware.iff');
INSERT INTO `object_crc_string_table` VALUES ('4259828056', 'FDE7D158', 'object/draft_schematic/community_crafting/component/shared_power_supply.iff');
INSERT INTO `object_crc_string_table` VALUES ('165554499', '9DE2943', 'object/draft_schematic/community_crafting/component/shared_primary_computer.iff');
INSERT INTO `object_crc_string_table` VALUES ('1988740242', '7689C492', 'object/draft_schematic/community_crafting/component/shared_refined_ardanium_ii.iff');
INSERT INTO `object_crc_string_table` VALUES ('3315144456', 'C5991708', 'object/draft_schematic/community_crafting/component/shared_refined_endrine.iff');
INSERT INTO `object_crc_string_table` VALUES ('1152625889', '44B3ACE1', 'object/draft_schematic/community_crafting/component/shared_refined_rudic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3007982575', 'B34A2BEF', 'object/draft_schematic/community_crafting/component/shared_regulator.iff');
INSERT INTO `object_crc_string_table` VALUES ('426210556', '196774FC', 'object/draft_schematic/community_crafting/component/shared_reinforced_wall_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('4054564743', 'F1ABBF87', 'object/draft_schematic/community_crafting/component/shared_shield_housing.iff');
INSERT INTO `object_crc_string_table` VALUES ('866494494', '33A5A81E', 'object/draft_schematic/community_crafting/component/shared_unit_computer.iff');
INSERT INTO `object_crc_string_table` VALUES ('3199067220', 'BEADE454', 'object/draft_schematic/community_crafting/shared_base_community_crafting.iff');
INSERT INTO `object_crc_string_table` VALUES ('2022784928', '78913FA0', 'object/draft_schematic/community_crafting/shared_village_defenses.iff');
INSERT INTO `object_crc_string_table` VALUES ('2318897333', '8A3790B5', 'object/draft_schematic/community_crafting/shared_village_shields.iff');
INSERT INTO `object_crc_string_table` VALUES ('3707409451', 'DCFA942B', 'object/draft_schematic/droid/component/shared_advanced_droid_frame.iff');
INSERT INTO `object_crc_string_table` VALUES ('495603709', '1D8A4FFD', 'object/draft_schematic/droid/component/shared_armor_module_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3332237162', 'C69DE76A', 'object/draft_schematic/droid/component/shared_armor_module_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2408612071', '8F9080E7', 'object/draft_schematic/droid/component/shared_armor_module_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1953737715', '7473ABF3', 'object/draft_schematic/droid/component/shared_armor_module_4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1031720062', '3D7ECC7E', 'object/draft_schematic/droid/component/shared_armor_module_5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3865666793', 'E66964E9', 'object/draft_schematic/droid/component/shared_armor_module_6.iff');
INSERT INTO `object_crc_string_table` VALUES ('4137122581', 'F6977B15', 'object/draft_schematic/droid/component/shared_auto_repair_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('3093618278', 'B864DE66', 'object/draft_schematic/droid/component/shared_capacitor_high_discharge.iff');
INSERT INTO `object_crc_string_table` VALUES ('2802575426', 'A70BE842', 'object/draft_schematic/droid/component/shared_capacitor_low_discharge.iff');
INSERT INTO `object_crc_string_table` VALUES ('1917062474', '72440D4A', 'object/draft_schematic/droid/component/shared_chassis_droid_3p0.iff');
INSERT INTO `object_crc_string_table` VALUES ('627202236', '256258BC', 'object/draft_schematic/droid/component/shared_chassis_droid_binary_load_lifter.iff');
INSERT INTO `object_crc_string_table` VALUES ('1454279073', '56AE89A1', 'object/draft_schematic/droid/component/shared_chassis_droid_le_repair.iff');
INSERT INTO `object_crc_string_table` VALUES ('826632567', '31456977', 'object/draft_schematic/droid/component/shared_chassis_droid_probot.iff');
INSERT INTO `object_crc_string_table` VALUES ('2430274925', '90DB0D6D', 'object/draft_schematic/droid/component/shared_chassis_droid_r2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3654707936', 'D9D66AE0', 'object/draft_schematic/droid/component/shared_chassis_droid_r3.iff');
INSERT INTO `object_crc_string_table` VALUES ('573915636', '223541F4', 'object/draft_schematic/droid/component/shared_chassis_droid_r4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3708426767', 'DD0A1A0F', 'object/draft_schematic/droid/component/shared_chassis_droid_surgical.iff');
INSERT INTO `object_crc_string_table` VALUES ('1062424977', '3F535191', 'object/draft_schematic/droid/component/shared_combat_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('4091831192', 'F3E46398', 'object/draft_schematic/droid/component/shared_combat_socket_bank.iff');
INSERT INTO `object_crc_string_table` VALUES ('3903465021', 'E8AA263D', 'object/draft_schematic/droid/component/shared_crafting_module_clothing.iff');
INSERT INTO `object_crc_string_table` VALUES ('2020344340', '786C0214', 'object/draft_schematic/droid/component/shared_crafting_module_food.iff');
INSERT INTO `object_crc_string_table` VALUES ('2988881404', 'B226B5FC', 'object/draft_schematic/droid/component/shared_crafting_module_space.iff');
INSERT INTO `object_crc_string_table` VALUES ('1342793735', '50096807', 'object/draft_schematic/droid/component/shared_crafting_module_structure.iff');
INSERT INTO `object_crc_string_table` VALUES ('2836886900', 'A9177574', 'object/draft_schematic/droid/component/shared_crafting_module_weapon.iff');
INSERT INTO `object_crc_string_table` VALUES ('3095575463', 'B882BBA7', 'object/draft_schematic/droid/component/shared_data_storage_module_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1670714160', '63951330', 'object/draft_schematic/droid/component/shared_data_storage_module_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('714634429', '2A9874BD', 'object/draft_schematic/droid/component/shared_data_storage_module_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3514523561', 'D17B5FA9', 'object/draft_schematic/droid/component/shared_data_storage_module_4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2557884452', '98763824', 'object/draft_schematic/droid/component/shared_data_storage_module_5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1130467507', '436190B3', 'object/draft_schematic/droid/component/shared_data_storage_module_6.iff');
INSERT INTO `object_crc_string_table` VALUES ('1401526520', '538998F8', 'object/draft_schematic/droid/component/shared_detonation_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('1658743175', '62DE6987', 'object/draft_schematic/droid/component/shared_diagnostic_circuit.iff');
INSERT INTO `object_crc_string_table` VALUES ('2931179205', 'AEB63EC5', 'object/draft_schematic/droid/component/shared_diagnostic_circuit_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('350351326', '14E1EFDE', 'object/draft_schematic/droid/component/shared_droid_brain.iff');
INSERT INTO `object_crc_string_table` VALUES ('1277338736', '4C22A470', 'object/draft_schematic/droid/component/shared_droid_brain_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1276486956', '4C15A52C', 'object/draft_schematic/droid/component/shared_droid_motive_system.iff');
INSERT INTO `object_crc_string_table` VALUES ('4037562', '3D9BBA', 'object/draft_schematic/droid/component/shared_droid_motive_system_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('4097812653', 'F43FA8AD', 'object/draft_schematic/droid/component/shared_droid_space_memory_module_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('14675959', 'DFEFF7', 'object/draft_schematic/droid/component/shared_droid_storage_compartment.iff');
INSERT INTO `object_crc_string_table` VALUES ('1297099612', '4D502B5C', 'object/draft_schematic/droid/component/shared_harvest_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('1860278231', '6EE197D7', 'object/draft_schematic/droid/component/shared_item_storage_module_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3052814144', 'B5F63F40', 'object/draft_schematic/droid/component/shared_item_storage_module_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4244330701', 'FCFB58CD', 'object/draft_schematic/droid/component/shared_item_storage_module_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('119043033', '71873D9', 'object/draft_schematic/droid/component/shared_item_storage_module_4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1310004308', '4E151454', 'object/draft_schematic/droid/component/shared_item_storage_module_5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2499984579', '9502BCC3', 'object/draft_schematic/droid/component/shared_item_storage_module_6.iff');
INSERT INTO `object_crc_string_table` VALUES ('1607709946', '5FD3B4FA', 'object/draft_schematic/droid/component/shared_manipulator_arm.iff');
INSERT INTO `object_crc_string_table` VALUES ('3596785845', 'D66298B5', 'object/draft_schematic/droid/component/shared_manipulator_arm_package_set.iff');
INSERT INTO `object_crc_string_table` VALUES ('2910848469', 'AD8005D5', 'object/draft_schematic/droid/component/shared_medic_module_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1989651778', '7697AD42', 'object/draft_schematic/droid/component/shared_medic_module_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1067109071', '3F9ACACF', 'object/draft_schematic/droid/component/shared_medic_module_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3296322011', 'C479E1DB', 'object/draft_schematic/droid/component/shared_medic_module_4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2373224022', '8D748656', 'object/draft_schematic/droid/component/shared_medic_module_5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1449340609', '56632EC1', 'object/draft_schematic/droid/component/shared_medic_module_6.iff');
INSERT INTO `object_crc_string_table` VALUES ('2832999494', 'A8DC2446', 'object/draft_schematic/droid/component/shared_merchant_barker.iff');
INSERT INTO `object_crc_string_table` VALUES ('2910297856', 'AD779F00', 'object/draft_schematic/droid/component/shared_module_socket_bank.iff');
INSERT INTO `object_crc_string_table` VALUES ('336724066', '14120062', 'object/draft_schematic/droid/component/shared_performer_effects_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('811492893', '305E661D', 'object/draft_schematic/droid/component/shared_performer_effects_aa.iff');
INSERT INTO `object_crc_string_table` VALUES ('3473254645', 'CF05A8F5', 'object/draft_schematic/droid/component/shared_performer_effects_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2248724344', '8608CF78', 'object/draft_schematic/droid/component/shared_performer_effects_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('2112611436', '7DEBE46C', 'object/draft_schematic/droid/component/shared_performer_effects_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('887522273', '34E683E1', 'object/draft_schematic/droid/component/shared_performer_effects_e.iff');
INSERT INTO `object_crc_string_table` VALUES ('1499447339', '595FC02B', 'object/draft_schematic/droid/component/shared_personality_module_geek.iff');
INSERT INTO `object_crc_string_table` VALUES ('1777589517', '69F3DD0D', 'object/draft_schematic/droid/component/shared_personality_module_prissy.iff');
INSERT INTO `object_crc_string_table` VALUES ('2313369621', '89E33815', 'object/draft_schematic/droid/component/shared_personality_module_sarcastic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3590751523', 'D6068523', 'object/draft_schematic/droid/component/shared_personality_module_slang.iff');
INSERT INTO `object_crc_string_table` VALUES ('4185529459', 'F97A1C73', 'object/draft_schematic/droid/component/shared_personality_module_stupid.iff');
INSERT INTO `object_crc_string_table` VALUES ('2575103077', '997CF465', 'object/draft_schematic/droid/component/shared_personality_module_worshipful.iff');
INSERT INTO `object_crc_string_table` VALUES ('3135218997', 'BADFA535', 'object/draft_schematic/droid/component/shared_playback_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('3746549117', 'DF4FCD7D', 'object/draft_schematic/droid/component/shared_power_supply_redundant.iff');
INSERT INTO `object_crc_string_table` VALUES ('3927866988', 'EA1E7E6C', 'object/draft_schematic/droid/component/shared_power_supply_redundant_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1133747824', '43939E70', 'object/draft_schematic/droid/component/shared_repair_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('2600714842', '9B03C25A', 'object/draft_schematic/droid/component/shared_repair_unit_casing.iff');
INSERT INTO `object_crc_string_table` VALUES ('4238826541', 'FCA75C2D', 'object/draft_schematic/droid/component/shared_repair_unit_casing_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('4095289017', 'F41926B9', 'object/draft_schematic/droid/component/shared_sensor_package_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('2649448310', '9DEB5F76', 'object/draft_schematic/droid/component/shared_stimpack_dispensor.iff');
INSERT INTO `object_crc_string_table` VALUES ('3214412986', 'BF980CBA', 'object/draft_schematic/droid/component/shared_struct_maint_module_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1687135277', '648FA42D', 'object/draft_schematic/droid/component/shared_struct_maint_module_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('763544480', '2D82C3A0', 'object/draft_schematic/droid/component/shared_struct_maint_module_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('574411331', '223CD243', 'object/draft_schematic/droid/component/shared_trap_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('3662626430', 'DA4F3E7E', 'object/draft_schematic/droid/component/shared_unit_delivery_cartridge.iff');
INSERT INTO `object_crc_string_table` VALUES ('3067143839', 'B6D0E69F', 'object/draft_schematic/droid/component/shared_unit_delivery_cartridge_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1941968174', '73C0152E', 'object/draft_schematic/droid/shared_bounty_probot_transmitter.iff');
INSERT INTO `object_crc_string_table` VALUES ('2758845308', 'A470A37C', 'object/draft_schematic/droid/shared_bounty_seeker_transmitter.iff');
INSERT INTO `object_crc_string_table` VALUES ('1389615347', '52D3D8F3', 'object/draft_schematic/droid/shared_droid_3p0.iff');
INSERT INTO `object_crc_string_table` VALUES ('1306893282', '4DE59BE2', 'object/draft_schematic/droid/shared_droid_3p0_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('4286041096', 'FF77CC08', 'object/draft_schematic/droid/shared_droid_binary_load_lifter.iff');
INSERT INTO `object_crc_string_table` VALUES ('3404292567', 'CAE961D7', 'object/draft_schematic/droid/shared_droid_binary_load_lifter_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2443661159', '91A74F67', 'object/draft_schematic/droid/shared_droid_customization_kit.iff');
INSERT INTO `object_crc_string_table` VALUES ('2525304754', '968517B2', 'object/draft_schematic/droid/shared_droid_damage_repair_kit_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('1301462821', '4D92BF25', 'object/draft_schematic/droid/shared_droid_damage_repair_kit_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('77584552', '49FD8A8', 'object/draft_schematic/droid/shared_droid_damage_repair_kit_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('4286378940', 'FF7CF3BC', 'object/draft_schematic/droid/shared_droid_damage_repair_kit_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('708846051', '2A4021E3', 'object/draft_schematic/droid/shared_droid_dz70.iff');
INSERT INTO `object_crc_string_table` VALUES ('2942797773', 'AF6787CD', 'object/draft_schematic/droid/shared_droid_dz70_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('5645596', '56251C', 'object/draft_schematic/droid/shared_droid_interplanetary_survey.iff');
INSERT INTO `object_crc_string_table` VALUES ('2934220330', 'AEE4A62A', 'object/draft_schematic/droid/shared_droid_le_repair.iff');
INSERT INTO `object_crc_string_table` VALUES ('2527796117', '96AB1B95', 'object/draft_schematic/droid/shared_droid_le_repair_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('901463605', '35BB3E35', 'object/draft_schematic/droid/shared_droid_mse.iff');
INSERT INTO `object_crc_string_table` VALUES ('118884910', '7160A2E', 'object/draft_schematic/droid/shared_droid_mse_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('385422826', '16F915EA', 'object/draft_schematic/droid/shared_droid_power.iff');
INSERT INTO `object_crc_string_table` VALUES ('495736923', '1D8C585B', 'object/draft_schematic/droid/shared_droid_power_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('270329060', '101CE4E4', 'object/draft_schematic/droid/shared_droid_probot.iff');
INSERT INTO `object_crc_string_table` VALUES ('3398676938', 'CA93B1CA', 'object/draft_schematic/droid/shared_droid_probot_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('823031027', '310E74F3', 'object/draft_schematic/droid/shared_droid_r2.iff');
INSERT INTO `object_crc_string_table` VALUES ('783926207', '2EB9C3BF', 'object/draft_schematic/droid/shared_droid_r2_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2013467518', '7803137E', 'object/draft_schematic/droid/shared_droid_r3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1766722942', '694E0D7E', 'object/draft_schematic/droid/shared_droid_r3_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2212509802', '83E0386A', 'object/draft_schematic/droid/shared_droid_r4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3125311630', 'BA48788E', 'object/draft_schematic/droid/shared_droid_r4_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3404554215', 'CAED5FE7', 'object/draft_schematic/droid/shared_droid_r5.iff');
INSERT INTO `object_crc_string_table` VALUES ('4257199695', 'FDBFB64F', 'object/draft_schematic/droid/shared_droid_r5_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('670345241', '27F4A819', 'object/draft_schematic/droid/shared_droid_stimpack_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('4242735246', 'FCE3008E', 'object/draft_schematic/droid/shared_droid_stimpack_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('3052300035', 'B5EE6703', 'object/draft_schematic/droid/shared_droid_stimpack_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('1309494295', '4E0D4C17', 'object/draft_schematic/droid/shared_droid_stimpack_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('4168988413', 'F87DB6FD', 'object/draft_schematic/droid/shared_droid_surgical.iff');
INSERT INTO `object_crc_string_table` VALUES ('4113263864', 'F52B6CF8', 'object/draft_schematic/droid/shared_droid_surgical_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('201412072', 'C014DE8', 'object/draft_schematic/droid/shared_droid_treadwell.iff');
INSERT INTO `object_crc_string_table` VALUES ('3172777822', 'BD1CBF5E', 'object/draft_schematic/droid/shared_droid_treadwell_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2984466830', 'B1E3598E', 'object/draft_schematic/droid/shared_droid_vitapack_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('1794437401', '6AF4F119', 'object/draft_schematic/droid/shared_droid_vitapack_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('603559572', '23F99694', 'object/draft_schematic/droid/shared_droid_vitapack_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('376516854', '167130F6', 'object/draft_schematic/droid/shared_droid_wound_repair_kit_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('3446052961', 'CD669861', 'object/draft_schematic/droid/shared_droid_wound_repair_kit_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2221670380', '846BFFEC', 'object/draft_schematic/droid/shared_droid_wound_repair_kit_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('2139673848', '7F88D4F8', 'object/draft_schematic/droid/shared_droid_wound_repair_kit_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('783582353', '2EB48491', 'object/draft_schematic/droid/shared_navicomputer_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4121111558', 'F5A32C06', 'object/draft_schematic/droid/shared_navicomputer_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3165539211', 'BCAE4B8B', 'object/draft_schematic/droid/shared_navicomputer_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1196253343', '474D609F', 'object/draft_schematic/droid/shared_navicomputer_4.iff');
INSERT INTO `object_crc_string_table` VALUES ('239077138', 'E400712', 'object/draft_schematic/droid/shared_navicomputer_5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3579293573', 'D557AF85', 'object/draft_schematic/droid/shared_navicomputer_6.iff');
INSERT INTO `object_crc_string_table` VALUES ('3572109934', 'D4EA126E', 'object/draft_schematic/food/additive/shared_additive_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('363998896', '15B22EB0', 'object/draft_schematic/food/additive/shared_additive_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('2258764043', '86A2010B', 'object/draft_schematic/food/additive/shared_additive_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('1809601710', '6BDC54AE', 'object/draft_schematic/food/component/shared_container_barrel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2983185528', 'B1CFCC78', 'object/draft_schematic/food/component/shared_container_cask.iff');
INSERT INTO `object_crc_string_table` VALUES ('3740654207', 'DEF5DA7F', 'object/draft_schematic/food/component/shared_container_large_glass.iff');
INSERT INTO `object_crc_string_table` VALUES ('1819609352', '6C750908', 'object/draft_schematic/food/component/shared_container_small_glass.iff');
INSERT INTO `object_crc_string_table` VALUES ('797799084', '2F8D72AC', 'object/draft_schematic/food/component/shared_ingredient_ball_of_dough.iff');
INSERT INTO `object_crc_string_table` VALUES ('752274773', '2CD6CD55', 'object/draft_schematic/food/component/shared_ingredient_carbosyrup.iff');
INSERT INTO `object_crc_string_table` VALUES ('3534105211', 'D2A62A7B', 'object/draft_schematic/food/shared_base_food_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1232265308', '4972E05C', 'object/draft_schematic/food/shared_dessert_air_cake.iff');
INSERT INTO `object_crc_string_table` VALUES ('1643860574', '61FB525E', 'object/draft_schematic/food/shared_dessert_almond_kwevvu_crisp_munchies.iff');
INSERT INTO `object_crc_string_table` VALUES ('1534089256', '5B705828', 'object/draft_schematic/food/shared_dessert_bantha_butter.iff');
INSERT INTO `object_crc_string_table` VALUES ('2877457110', 'AB8282D6', 'object/draft_schematic/food/shared_dessert_blap_biscuit.iff');
INSERT INTO `object_crc_string_table` VALUES ('4218540665', 'FB71D279', 'object/draft_schematic/food/shared_dessert_blob_candy.iff');
INSERT INTO `object_crc_string_table` VALUES ('2207249955', '838FF623', 'object/draft_schematic/food/shared_dessert_bofa_treat.iff');
INSERT INTO `object_crc_string_table` VALUES ('3781117254', 'E15F4546', 'object/draft_schematic/food/shared_dessert_cavaellin_creams.iff');
INSERT INTO `object_crc_string_table` VALUES ('2230715855', '84F605CF', 'object/draft_schematic/food/shared_dessert_chandad.iff');
INSERT INTO `object_crc_string_table` VALUES ('1694757424', '6503F230', 'object/draft_schematic/food/shared_dessert_citros_snow_cake.iff');
INSERT INTO `object_crc_string_table` VALUES ('4175174885', 'F8DC1CE5', 'object/draft_schematic/food/shared_dessert_corellian_fried_icecream.iff');
INSERT INTO `object_crc_string_table` VALUES ('3417631805', 'CBB4EC3D', 'object/draft_schematic/food/shared_dessert_deneelian_fizz_pudding.iff');
INSERT INTO `object_crc_string_table` VALUES ('891262167', '351F94D7', 'object/draft_schematic/food/shared_dessert_dweezel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2718719593', 'A20C5E69', 'object/draft_schematic/food/shared_dessert_felbar.iff');
INSERT INTO `object_crc_string_table` VALUES ('4027079478', 'F0085B36', 'object/draft_schematic/food/shared_dessert_glazed_glucose_pate.iff');
INSERT INTO `object_crc_string_table` VALUES ('613121721', '248B7EB9', 'object/draft_schematic/food/shared_dessert_gorrnar.iff');
INSERT INTO `object_crc_string_table` VALUES ('147823633', '8CF9C11', 'object/draft_schematic/food/shared_dessert_kiwik_clusjo_swirl.iff');
INSERT INTO `object_crc_string_table` VALUES ('2469520119', '9331E2F7', 'object/draft_schematic/food/shared_dessert_nanana_twist.iff');
INSERT INTO `object_crc_string_table` VALUES ('3783790420', 'E1880F54', 'object/draft_schematic/food/shared_dessert_para_roll.iff');
INSERT INTO `object_crc_string_table` VALUES ('1390404412', '52DFE33C', 'object/draft_schematic/food/shared_dessert_parwan_nutricake.iff');
INSERT INTO `object_crc_string_table` VALUES ('1271872434', '4BCF3BB2', 'object/draft_schematic/food/shared_dessert_pastebread.iff');
INSERT INTO `object_crc_string_table` VALUES ('3617520830', 'D79EFCBE', 'object/draft_schematic/food/shared_dessert_pikatta_pie.iff');
INSERT INTO `object_crc_string_table` VALUES ('223277237', 'D4EF0B5', 'object/draft_schematic/food/shared_dessert_pkneb.iff');
INSERT INTO `object_crc_string_table` VALUES ('3689968253', 'DBF0727D', 'object/draft_schematic/food/shared_dessert_puffcake.iff');
INSERT INTO `object_crc_string_table` VALUES ('3212906328', 'BF810F58', 'object/draft_schematic/food/shared_dessert_pyollian_cake.iff');
INSERT INTO `object_crc_string_table` VALUES ('3448198568', 'CD8755A8', 'object/draft_schematic/food/shared_dessert_ryshcate.iff');
INSERT INTO `object_crc_string_table` VALUES ('2092844576', '7CBE4620', 'object/draft_schematic/food/shared_dessert_smugglers_delight.iff');
INSERT INTO `object_crc_string_table` VALUES ('4003562934', 'EEA185B6', 'object/draft_schematic/food/shared_dessert_sweesonberry_rolls.iff');
INSERT INTO `object_crc_string_table` VALUES ('3267367960', 'C2C01418', 'object/draft_schematic/food/shared_dessert_sweet_cake_mix.iff');
INSERT INTO `object_crc_string_table` VALUES ('1016541288', '3C973068', 'object/draft_schematic/food/shared_dessert_tranna_nougat_cream.iff');
INSERT INTO `object_crc_string_table` VALUES ('3895744001', 'E8345601', 'object/draft_schematic/food/shared_dessert_vagnerian_canape.iff');
INSERT INTO `object_crc_string_table` VALUES ('1242276912', '4A0BA430', 'object/draft_schematic/food/shared_dessert_wedding_cake.iff');
INSERT INTO `object_crc_string_table` VALUES ('3560062309', 'D4323D65', 'object/draft_schematic/food/shared_dessert_won_won.iff');
INSERT INTO `object_crc_string_table` VALUES ('2183154251', '82204A4B', 'object/draft_schematic/food/shared_dish_ahrisa.iff');
INSERT INTO `object_crc_string_table` VALUES ('3290158899', 'C41BD733', 'object/draft_schematic/food/shared_dish_bivoli_tempari.iff');
INSERT INTO `object_crc_string_table` VALUES ('1109116374', '421BC5D6', 'object/draft_schematic/food/shared_dish_blood_chowder.iff');
INSERT INTO `object_crc_string_table` VALUES ('2734261289', 'A2F98429', 'object/draft_schematic/food/shared_dish_braised_canron.iff');
INSERT INTO `object_crc_string_table` VALUES ('1659210847', '62E58C5F', 'object/draft_schematic/food/shared_dish_cho_nor_hoola.iff');
INSERT INTO `object_crc_string_table` VALUES ('654822514', '2707CC72', 'object/draft_schematic/food/shared_dish_crispic.iff');
INSERT INTO `object_crc_string_table` VALUES ('451779682', '1AED9C62', 'object/draft_schematic/food/shared_dish_dustcrepe.iff');
INSERT INTO `object_crc_string_table` VALUES ('4045225099', 'F11D3C8B', 'object/draft_schematic/food/shared_dish_exo_protein_wafers.iff');
INSERT INTO `object_crc_string_table` VALUES ('2266076523', '8711956B', 'object/draft_schematic/food/shared_dish_fire_stew.iff');
INSERT INTO `object_crc_string_table` VALUES ('3099048355', 'B8B7B9A3', 'object/draft_schematic/food/shared_dish_fried_endwa.iff');
INSERT INTO `object_crc_string_table` VALUES ('767510337', '2DBF4741', 'object/draft_schematic/food/shared_dish_gruuvan_shaal.iff');
INSERT INTO `object_crc_string_table` VALUES ('811374233', '305C9699', 'object/draft_schematic/food/shared_dish_havla.iff');
INSERT INTO `object_crc_string_table` VALUES ('2008463907', '77B6BA23', 'object/draft_schematic/food/shared_dish_kanali_wafers.iff');
INSERT INTO `object_crc_string_table` VALUES ('627565504', '2567E3C0', 'object/draft_schematic/food/shared_dish_karkan_ribenes.iff');
INSERT INTO `object_crc_string_table` VALUES ('2726957459', 'A28A1193', 'object/draft_schematic/food/shared_dish_meatlump.iff');
INSERT INTO `object_crc_string_table` VALUES ('2829323424', 'A8A40CA0', 'object/draft_schematic/food/shared_dish_ormachek.iff');
INSERT INTO `object_crc_string_table` VALUES ('2914707129', 'ADBAE6B9', 'object/draft_schematic/food/shared_dish_patot_panak.iff');
INSERT INTO `object_crc_string_table` VALUES ('4162901350', 'F820D566', 'object/draft_schematic/food/shared_dish_protato.iff');
INSERT INTO `object_crc_string_table` VALUES ('497945491', '1DAE0B93', 'object/draft_schematic/food/shared_dish_puk.iff');
INSERT INTO `object_crc_string_table` VALUES ('1517322434', '5A7080C2', 'object/draft_schematic/food/shared_dish_rakririan_burnout_sauce.iff');
INSERT INTO `object_crc_string_table` VALUES ('765738435', '2DA43DC3', 'object/draft_schematic/food/shared_dish_ramorrean_capanata.iff');
INSERT INTO `object_crc_string_table` VALUES ('103531831', '62BC537', 'object/draft_schematic/food/shared_dish_rations.iff');
INSERT INTO `object_crc_string_table` VALUES ('613957967', '2498414F', 'object/draft_schematic/food/shared_dish_scrimpi.iff');
INSERT INTO `object_crc_string_table` VALUES ('1964935706', '751E8A1A', 'object/draft_schematic/food/shared_dish_soypro.iff');
INSERT INTO `object_crc_string_table` VALUES ('3781922189', 'E16B8D8D', 'object/draft_schematic/food/shared_dish_stewed_gwouch.iff');
INSERT INTO `object_crc_string_table` VALUES ('1494447818', '591376CA', 'object/draft_schematic/food/shared_dish_synthsteak.iff');
INSERT INTO `object_crc_string_table` VALUES ('3118947489', 'B9E75CA1', 'object/draft_schematic/food/shared_dish_teltier_noodles.iff');
INSERT INTO `object_crc_string_table` VALUES ('2124204125', '7E9CC85D', 'object/draft_schematic/food/shared_dish_terratta.iff');
INSERT INTO `object_crc_string_table` VALUES ('3315393340', 'C59CE33C', 'object/draft_schematic/food/shared_dish_thakitillo.iff');
INSERT INTO `object_crc_string_table` VALUES ('854764144', '32F2AA70', 'object/draft_schematic/food/shared_dish_travel_biscuits.iff');
INSERT INTO `object_crc_string_table` VALUES ('2878426134', 'AB914C16', 'object/draft_schematic/food/shared_dish_trimpian.iff');
INSERT INTO `object_crc_string_table` VALUES ('810320403', '304C8213', 'object/draft_schematic/food/shared_dish_vegeparsine.iff');
INSERT INTO `object_crc_string_table` VALUES ('1653623915', '62904C6B', 'object/draft_schematic/food/shared_dish_veghash.iff');
INSERT INTO `object_crc_string_table` VALUES ('3313024144', 'C578BC90', 'object/draft_schematic/food/shared_dish_vercupti_of_agazza_boleruuee.iff');
INSERT INTO `object_crc_string_table` VALUES ('1843611804', '6DE3489C', 'object/draft_schematic/food/shared_dish_wastril_bread.iff');
INSERT INTO `object_crc_string_table` VALUES ('117295245', '6FDC88D', 'object/draft_schematic/food/shared_dish_xermaauc.iff');
INSERT INTO `object_crc_string_table` VALUES ('2962432093', 'B093205D', 'object/draft_schematic/food/shared_drink_accarragm.iff');
INSERT INTO `object_crc_string_table` VALUES ('276726581', '107E8335', 'object/draft_schematic/food/shared_drink_aitha.iff');
INSERT INTO `object_crc_string_table` VALUES ('4248532865', 'FD3B7781', 'object/draft_schematic/food/shared_drink_alcohol.iff');
INSERT INTO `object_crc_string_table` VALUES ('732438292', '2BA81F14', 'object/draft_schematic/food/shared_drink_aludium_pu36.iff');
INSERT INTO `object_crc_string_table` VALUES ('1973756725', '75A52335', 'object/draft_schematic/food/shared_drink_angerian_fishak_surprise.iff');
INSERT INTO `object_crc_string_table` VALUES ('3876777294', 'E712ED4E', 'object/draft_schematic/food/shared_drink_antakarian_fire_dancer.iff');
INSERT INTO `object_crc_string_table` VALUES ('13350537', 'CBB689', 'object/draft_schematic/food/shared_drink_bantha_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('1871364813', '6F8AC2CD', 'object/draft_schematic/food/shared_drink_bespin_port.iff');
INSERT INTO `object_crc_string_table` VALUES ('1399918537', '53710FC9', 'object/draft_schematic/food/shared_drink_blue_milk.iff');
INSERT INTO `object_crc_string_table` VALUES ('4267245284', 'FE58FEE4', 'object/draft_schematic/food/shared_drink_breath_of_heaven.iff');
INSERT INTO `object_crc_string_table` VALUES ('3676820545', 'DB27D441', 'object/draft_schematic/food/shared_drink_caf.iff');
INSERT INTO `object_crc_string_table` VALUES ('2023703123', '789F4253', 'object/draft_schematic/food/shared_drink_charde.iff');
INSERT INTO `object_crc_string_table` VALUES ('760961429', '2D5B5995', 'object/draft_schematic/food/shared_drink_corellian_ale.iff');
INSERT INTO `object_crc_string_table` VALUES ('452526783', '1AF902BF', 'object/draft_schematic/food/shared_drink_corellian_brandy.iff');
INSERT INTO `object_crc_string_table` VALUES ('3280328510', 'C385D73E', 'object/draft_schematic/food/shared_drink_cortyg.iff');
INSERT INTO `object_crc_string_table` VALUES ('803945736', '2FEB3D08', 'object/draft_schematic/food/shared_drink_deuterium_pyro.iff');
INSERT INTO `object_crc_string_table` VALUES ('1003536549', '3BD0C0A5', 'object/draft_schematic/food/shared_drink_double_dip_outer_rim_rumdrop.iff');
INSERT INTO `object_crc_string_table` VALUES ('982697559', '3A92C657', 'object/draft_schematic/food/shared_drink_durindfire.iff');
INSERT INTO `object_crc_string_table` VALUES ('1393778960', '53136110', 'object/draft_schematic/food/shared_drink_elshandruu_pica_thundercloud.iff');
INSERT INTO `object_crc_string_table` VALUES ('2009122717', '77C0C79D', 'object/draft_schematic/food/shared_drink_flameout.iff');
INSERT INTO `object_crc_string_table` VALUES ('231956831', 'DD3615F', 'object/draft_schematic/food/shared_drink_garrmorl.iff');
INSERT INTO `object_crc_string_table` VALUES ('1147287850', '4462392A', 'object/draft_schematic/food/shared_drink_gralinyn_juice.iff');
INSERT INTO `object_crc_string_table` VALUES ('3333710935', 'C6B46457', 'object/draft_schematic/food/shared_drink_ice_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('2653880997', '9E2F02A5', 'object/draft_schematic/food/shared_drink_ithorian_mist.iff');
INSERT INTO `object_crc_string_table` VALUES ('4135578942', 'F67FED3E', 'object/draft_schematic/food/shared_drink_jaar.iff');
INSERT INTO `object_crc_string_table` VALUES ('2181376134', '82052886', 'object/draft_schematic/food/shared_drink_jawa_beer.iff');
INSERT INTO `object_crc_string_table` VALUES ('472363791', '1C27B30F', 'object/draft_schematic/food/shared_drink_kylessian_fruit_distillate.iff');
INSERT INTO `object_crc_string_table` VALUES ('2504650869', '9549F075', 'object/draft_schematic/food/shared_drink_mandalorian_wine.iff');
INSERT INTO `object_crc_string_table` VALUES ('1465295596', '5756A2EC', 'object/draft_schematic/food/shared_drink_ruby_bliel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1072768290', '3FF12522', 'object/draft_schematic/food/shared_drink_skannbult_likker.iff');
INSERT INTO `object_crc_string_table` VALUES ('1970945815', '757A3F17', 'object/draft_schematic/food/shared_drink_spiced_tea.iff');
INSERT INTO `object_crc_string_table` VALUES ('3111876122', 'B97B761A', 'object/draft_schematic/food/shared_drink_starshine_surprise.iff');
INSERT INTO `object_crc_string_table` VALUES ('1582183508', '5E4E3454', 'object/draft_schematic/food/shared_drink_sullustan_gin.iff');
INSERT INTO `object_crc_string_table` VALUES ('3040174805', 'B53562D5', 'object/draft_schematic/food/shared_drink_tatooine_sunburn.iff');
INSERT INTO `object_crc_string_table` VALUES ('727640070', '2B5EE806', 'object/draft_schematic/food/shared_drink_tilla_tiil.iff');
INSERT INTO `object_crc_string_table` VALUES ('568876713', '21E85EA9', 'object/draft_schematic/food/shared_drink_tssolok.iff');
INSERT INTO `object_crc_string_table` VALUES ('483425020', '1CD07AFC', 'object/draft_schematic/food/shared_drink_vasarian_brandy.iff');
INSERT INTO `object_crc_string_table` VALUES ('823533577', '31162009', 'object/draft_schematic/food/shared_drink_vayerbok.iff');
INSERT INTO `object_crc_string_table` VALUES ('3150731917', 'BBCC5A8D', 'object/draft_schematic/food/shared_drink_veronian_berry_wine.iff');
INSERT INTO `object_crc_string_table` VALUES ('3554417607', 'D3DC1BC7', 'object/draft_schematic/furniture/bestine/shared_painting_bestine_blueleaf_temple.iff');
INSERT INTO `object_crc_string_table` VALUES ('3868739773', 'E69848BD', 'object/draft_schematic/furniture/bestine/shared_painting_bestine_blumbush.iff');
INSERT INTO `object_crc_string_table` VALUES ('3812766941', 'E34234DD', 'object/draft_schematic/furniture/bestine/shared_painting_bestine_boffa.iff');
INSERT INTO `object_crc_string_table` VALUES ('2798774405', 'A6D1E885', 'object/draft_schematic/furniture/bestine/shared_painting_bestine_golden_flower_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2110144530', '7DC64012', 'object/draft_schematic/furniture/bestine/shared_painting_bestine_golden_flower_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('885729183', '34CB279F', 'object/draft_schematic/furniture/bestine/shared_painting_bestine_golden_flower_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1534476352', '5B764040', 'object/draft_schematic/furniture/bestine/shared_painting_bestine_house.iff');
INSERT INTO `object_crc_string_table` VALUES ('3028784545', 'B48795A1', 'object/draft_schematic/furniture/bestine/shared_painting_bestine_krayt_skeleton.iff');
INSERT INTO `object_crc_string_table` VALUES ('1610627862', '60003B16', 'object/draft_schematic/furniture/bestine/shared_painting_bestine_lucky_despot.iff');
INSERT INTO `object_crc_string_table` VALUES ('3967202686', 'EC76B57E', 'object/draft_schematic/furniture/bestine/shared_painting_bestine_mattberry.iff');
INSERT INTO `object_crc_string_table` VALUES ('3453343183', 'CDD5D5CF', 'object/draft_schematic/furniture/bestine/shared_painting_bestine_moncal_eye_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('381844824', '16C27D58', 'object/draft_schematic/furniture/bestine/shared_painting_bestine_moncal_eye_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('33582333', '2006CFD', 'object/draft_schematic/furniture/bestine/shared_painting_bestine_rainbow_berry_bush.iff');
INSERT INTO `object_crc_string_table` VALUES ('3011444247', 'B37EFE17', 'object/draft_schematic/furniture/bestine/shared_painting_bestine_raventhorn.iff');
INSERT INTO `object_crc_string_table` VALUES ('653658046', '26F607BE', 'object/draft_schematic/furniture/bestine/shared_painting_bestine_ronka.iff');
INSERT INTO `object_crc_string_table` VALUES ('1279874804', '4C4956F4', 'object/draft_schematic/furniture/city/shared_furniture_fountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('2671586006', '9F3D2AD6', 'object/draft_schematic/furniture/city/shared_furniture_statue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1457349982', '56DD655E', 'object/draft_schematic/furniture/city/shared_furniture_streetlamp.iff');
INSERT INTO `object_crc_string_table` VALUES ('503234127', '1DFEBE4F', 'object/draft_schematic/furniture/shared_furniture_armoire_cheap.iff');
INSERT INTO `object_crc_string_table` VALUES ('4043086902', 'F0FC9C36', 'object/draft_schematic/furniture/shared_furniture_armoire_elegant.iff');
INSERT INTO `object_crc_string_table` VALUES ('3731755770', 'DE6E12FA', 'object/draft_schematic/furniture/shared_furniture_armoire_modern.iff');
INSERT INTO `object_crc_string_table` VALUES ('4186069946', 'F9825BBA', 'object/draft_schematic/furniture/shared_furniture_assorted_fruit.iff');
INSERT INTO `object_crc_string_table` VALUES ('2153194', '20DAEA', 'object/draft_schematic/furniture/shared_furniture_bacta_tank_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('1897060991', '7112DA7F', 'object/draft_schematic/furniture/shared_furniture_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2001218854', '77482D26', 'object/draft_schematic/furniture/shared_furniture_basket_closed.iff');
INSERT INTO `object_crc_string_table` VALUES ('533283202', '1FC94182', 'object/draft_schematic/furniture/shared_furniture_bed_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('735237547', '2BD2D5AB', 'object/draft_schematic/furniture/shared_furniture_bed_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('2537699992', '97423A98', 'object/draft_schematic/furniture/shared_furniture_bench_park.iff');
INSERT INTO `object_crc_string_table` VALUES ('12431605', 'BDB0F5', 'object/draft_schematic/furniture/shared_furniture_bookcase_cheap.iff');
INSERT INTO `object_crc_string_table` VALUES ('3400004268', 'CAA7F2AC', 'object/draft_schematic/furniture/shared_furniture_bookcase_elegant.iff');
INSERT INTO `object_crc_string_table` VALUES ('3770479961', 'E0BCF559', 'object/draft_schematic/furniture/shared_furniture_bookcase_modern.iff');
INSERT INTO `object_crc_string_table` VALUES ('461981833', '1B894889', 'object/draft_schematic/furniture/shared_furniture_bottle_fat.iff');
INSERT INTO `object_crc_string_table` VALUES ('1125427623', '4314A9A7', 'object/draft_schematic/furniture/shared_furniture_bottle_pear.iff');
INSERT INTO `object_crc_string_table` VALUES ('3469962240', 'CED36C00', 'object/draft_schematic/furniture/shared_furniture_bottle_tall.iff');
INSERT INTO `object_crc_string_table` VALUES ('2212832359', '83E52467', 'object/draft_schematic/furniture/shared_furniture_bowl_carved.iff');
INSERT INTO `object_crc_string_table` VALUES ('3322611379', 'C60B06B3', 'object/draft_schematic/furniture/shared_furniture_bowl_plain.iff');
INSERT INTO `object_crc_string_table` VALUES ('1963156114', '75036292', 'object/draft_schematic/furniture/shared_furniture_bubble_tank.iff');
INSERT INTO `object_crc_string_table` VALUES ('2423921648', '907A1BF0', 'object/draft_schematic/furniture/shared_furniture_cabinet_elegant.iff');
INSERT INTO `object_crc_string_table` VALUES ('1721082397', '6695A21D', 'object/draft_schematic/furniture/shared_furniture_cabinet_modern.iff');
INSERT INTO `object_crc_string_table` VALUES ('3247286204', 'C18DA7BC', 'object/draft_schematic/furniture/shared_furniture_campfire.iff');
INSERT INTO `object_crc_string_table` VALUES ('1751547432', '68667E28', 'object/draft_schematic/furniture/shared_furniture_candle_free_s01_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('2223250294', '84841B76', 'object/draft_schematic/furniture/shared_furniture_candle_free_s02_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('3133739820', 'BAC9132C', 'object/draft_schematic/furniture/shared_furniture_candle_table_s01_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('1445688946', '562B7672', 'object/draft_schematic/furniture/shared_furniture_candle_table_s02_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('227191480', 'D8AAAB8', 'object/draft_schematic/furniture/shared_furniture_candle_table_s03_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('2513782024', '95D54508', 'object/draft_schematic/furniture/shared_furniture_chair_cafe.iff');
INSERT INTO `object_crc_string_table` VALUES ('910119282', '363F5172', 'object/draft_schematic/furniture/shared_furniture_chair_cantina.iff');
INSERT INTO `object_crc_string_table` VALUES ('1652364514', '627D14E2', 'object/draft_schematic/furniture/shared_furniture_chair_cheap.iff');
INSERT INTO `object_crc_string_table` VALUES ('2835590680', 'A903AE18', 'object/draft_schematic/furniture/shared_furniture_chair_divan.iff');
INSERT INTO `object_crc_string_table` VALUES ('4063077968', 'F22DA650', 'object/draft_schematic/furniture/shared_furniture_chair_elegant.iff');
INSERT INTO `object_crc_string_table` VALUES ('1204774907', '47CF67FB', 'object/draft_schematic/furniture/shared_furniture_chair_futon.iff');
INSERT INTO `object_crc_string_table` VALUES ('2923662897', 'AE438E31', 'object/draft_schematic/furniture/shared_furniture_chair_kitchen.iff');
INSERT INTO `object_crc_string_table` VALUES ('567802060', '21D7F8CC', 'object/draft_schematic/furniture/shared_furniture_chair_love_seat.iff');
INSERT INTO `object_crc_string_table` VALUES ('3169224090', 'BCE6859A', 'object/draft_schematic/furniture/shared_furniture_chair_loveseat_cheap.iff');
INSERT INTO `object_crc_string_table` VALUES ('3506865564', 'D106859C', 'object/draft_schematic/furniture/shared_furniture_chair_loveseat_elegant.iff');
INSERT INTO `object_crc_string_table` VALUES ('867929155', '33BB8C43', 'object/draft_schematic/furniture/shared_furniture_chair_loveseat_modern.iff');
INSERT INTO `object_crc_string_table` VALUES ('1732226002', '673FABD2', 'object/draft_schematic/furniture/shared_furniture_chair_metal.iff');
INSERT INTO `object_crc_string_table` VALUES ('4056307587', 'F1C65783', 'object/draft_schematic/furniture/shared_furniture_chair_metal_wheeled.iff');
INSERT INTO `object_crc_string_table` VALUES ('2235506592', '853F1FA0', 'object/draft_schematic/furniture/shared_furniture_chair_modern.iff');
INSERT INTO `object_crc_string_table` VALUES ('1388339274', '52C0604A', 'object/draft_schematic/furniture/shared_furniture_chair_ottoman.iff');
INSERT INTO `object_crc_string_table` VALUES ('561313142', '2174F576', 'object/draft_schematic/furniture/shared_furniture_chair_recliner.iff');
INSERT INTO `object_crc_string_table` VALUES ('2144483446', '7FD23876', 'object/draft_schematic/furniture/shared_furniture_chair_tatooine_cafe.iff');
INSERT INTO `object_crc_string_table` VALUES ('3440141471', 'CD0C649F', 'object/draft_schematic/furniture/shared_furniture_chair_upholstered.iff');
INSERT INTO `object_crc_string_table` VALUES ('956097755', '38FCE4DB', 'object/draft_schematic/furniture/shared_furniture_chair_wooden.iff');
INSERT INTO `object_crc_string_table` VALUES ('2666704761', '9EF2AF79', 'object/draft_schematic/furniture/shared_furniture_chest_cheap.iff');
INSERT INTO `object_crc_string_table` VALUES ('614563865', '24A18019', 'object/draft_schematic/furniture/shared_furniture_chest_elegant.iff');
INSERT INTO `object_crc_string_table` VALUES ('3056657101', 'B630E2CD', 'object/draft_schematic/furniture/shared_furniture_chest_modern.iff');
INSERT INTO `object_crc_string_table` VALUES ('2937549491', 'AF1772B3', 'object/draft_schematic/furniture/shared_furniture_command_console.iff');
INSERT INTO `object_crc_string_table` VALUES ('3733441831', 'DE87CD27', 'object/draft_schematic/furniture/shared_furniture_corellia_flagpole.iff');
INSERT INTO `object_crc_string_table` VALUES ('3140317503', 'BB2D713F', 'object/draft_schematic/furniture/shared_furniture_couch_blue.iff');
INSERT INTO `object_crc_string_table` VALUES ('503627770', '1E04BFFA', 'object/draft_schematic/furniture/shared_furniture_couch_cheap.iff');
INSERT INTO `object_crc_string_table` VALUES ('630253626', '2590E83A', 'object/draft_schematic/furniture/shared_furniture_couch_elegant.iff');
INSERT INTO `object_crc_string_table` VALUES ('1982260857', '7626E679', 'object/draft_schematic/furniture/shared_furniture_couch_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('690782499', '292C8123', 'object/draft_schematic/furniture/shared_furniture_couch_modern.iff');
INSERT INTO `object_crc_string_table` VALUES ('1111323216', '423D7250', 'object/draft_schematic/furniture/shared_furniture_couch_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('4046525404', 'F13113DC', 'object/draft_schematic/furniture/shared_furniture_diagnostic_screen.iff');
INSERT INTO `object_crc_string_table` VALUES ('1416269598', '546A8F1E', 'object/draft_schematic/furniture/shared_furniture_display_fish.iff');
INSERT INTO `object_crc_string_table` VALUES ('727885265', '2B62A5D1', 'object/draft_schematic/furniture/shared_furniture_droid_body.iff');
INSERT INTO `object_crc_string_table` VALUES ('387670342', '171B6146', 'object/draft_schematic/furniture/shared_furniture_droid_detector.iff');
INSERT INTO `object_crc_string_table` VALUES ('2037432099', '7970BF23', 'object/draft_schematic/furniture/shared_furniture_droid_head.iff');
INSERT INTO `object_crc_string_table` VALUES ('259067166', 'F710D1E', 'object/draft_schematic/furniture/shared_furniture_food_cart.iff');
INSERT INTO `object_crc_string_table` VALUES ('3767456943', 'E08ED4AF', 'object/draft_schematic/furniture/shared_furniture_lamp_desk.iff');
INSERT INTO `object_crc_string_table` VALUES ('3644518188', 'D93AEF2C', 'object/draft_schematic/furniture/shared_furniture_lamp_desk_s01_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('903383666', '35D88A72', 'object/draft_schematic/furniture/shared_furniture_lamp_desk_s02_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('998998605', '3B8B824D', 'object/draft_schematic/furniture/shared_furniture_lamp_free_s01_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('3614041875', 'D769E713', 'object/draft_schematic/furniture/shared_furniture_lamp_free_s02_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('2361932761', '8CC83BD9', 'object/draft_schematic/furniture/shared_furniture_lamp_free_s03_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('174862360', 'A6C3018', 'object/draft_schematic/furniture/shared_furniture_lamp_free_s04_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('3738470849', 'DED489C1', 'object/draft_schematic/furniture/shared_furniture_lamp_freestanding.iff');
INSERT INTO `object_crc_string_table` VALUES ('3339274515', 'C7094913', 'object/draft_schematic/furniture/shared_furniture_lamp_street.iff');
INSERT INTO `object_crc_string_table` VALUES ('2352769980', '8C3C6BBC', 'object/draft_schematic/furniture/shared_furniture_lamp_table.iff');
INSERT INTO `object_crc_string_table` VALUES ('1555131837', '5CB16DBD', 'object/draft_schematic/furniture/shared_furniture_lamp_table_cantina.iff');
INSERT INTO `object_crc_string_table` VALUES ('585235442', '22E1FBF2', 'object/draft_schematic/furniture/shared_furniture_lamp_table_s01_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('3456343724', 'CE039EAC', 'object/draft_schematic/furniture/shared_furniture_lamp_table_s02_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('2510439014', '95A24266', 'object/draft_schematic/furniture/shared_furniture_lamp_table_s03_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('3874570331', 'E6F1405B', 'object/draft_schematic/furniture/shared_furniture_lamp_tatt_s01_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('641464866', '263BFA22', 'object/draft_schematic/furniture/shared_furniture_microphone_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4247540405', 'FD2C52B5', 'object/draft_schematic/furniture/shared_furniture_microphone_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2223826284', '848CE56C', 'object/draft_schematic/furniture/shared_furniture_pitcher_full.iff');
INSERT INTO `object_crc_string_table` VALUES ('1324890214', '4EF83866', 'object/draft_schematic/furniture/shared_furniture_plant_hanging.iff');
INSERT INTO `object_crc_string_table` VALUES ('1254741892', '4AC9D784', 'object/draft_schematic/furniture/shared_furniture_plants_potted_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('2127709101', '7ED243AD', 'object/draft_schematic/furniture/shared_furniture_plants_potted_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('3765530604', 'E0716FEC', 'object/draft_schematic/furniture/shared_furniture_professors_desk.iff');
INSERT INTO `object_crc_string_table` VALUES ('3139706323', 'BB241DD3', 'object/draft_schematic/furniture/shared_furniture_radar_table.iff');
INSERT INTO `object_crc_string_table` VALUES ('3679529615', 'DB512A8F', 'object/draft_schematic/furniture/shared_furniture_radio.iff');
INSERT INTO `object_crc_string_table` VALUES ('966033779', '39948173', 'object/draft_schematic/furniture/shared_furniture_rug_rectangle_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('3851878103', 'E596FED7', 'object/draft_schematic/furniture/shared_furniture_rug_rectangle_large_modern.iff');
INSERT INTO `object_crc_string_table` VALUES ('1303564975', '4DB2D2AF', 'object/draft_schematic/furniture/shared_furniture_rug_rectangle_medium_modern.iff');
INSERT INTO `object_crc_string_table` VALUES ('3522772935', 'D1F93FC7', 'object/draft_schematic/furniture/shared_furniture_rug_rectangle_small_modern.iff');
INSERT INTO `object_crc_string_table` VALUES ('1853332128', '6E779AA0', 'object/draft_schematic/furniture/shared_furniture_rug_round_large_modern.iff');
INSERT INTO `object_crc_string_table` VALUES ('4002516512', 'EE918E20', 'object/draft_schematic/furniture/shared_furniture_rug_round_medium_modern.iff');
INSERT INTO `object_crc_string_table` VALUES ('1511545776', '5A185BB0', 'object/draft_schematic/furniture/shared_furniture_rug_round_small_modern.iff');
INSERT INTO `object_crc_string_table` VALUES ('165207937', '9D8DF81', 'object/draft_schematic/furniture/shared_furniture_shisa.iff');
INSERT INTO `object_crc_string_table` VALUES ('4077678655', 'F30C703F', 'object/draft_schematic/furniture/shared_furniture_slave_brazier.iff');
INSERT INTO `object_crc_string_table` VALUES ('4112658765', 'F522314D', 'object/draft_schematic/furniture/shared_furniture_sofachair_modern.iff');
INSERT INTO `object_crc_string_table` VALUES ('1075462693', '401A4225', 'object/draft_schematic/furniture/shared_furniture_spear_stand.iff');
INSERT INTO `object_crc_string_table` VALUES ('3934526753', 'EA841D21', 'object/draft_schematic/furniture/shared_furniture_stove.iff');
INSERT INTO `object_crc_string_table` VALUES ('3996703472', 'EE38DAF0', 'object/draft_schematic/furniture/shared_furniture_table_coffee_cheap.iff');
INSERT INTO `object_crc_string_table` VALUES ('1385957167', '529C072F', 'object/draft_schematic/furniture/shared_furniture_table_coffee_elegant.iff');
INSERT INTO `object_crc_string_table` VALUES ('2633070122', '9CF1762A', 'object/draft_schematic/furniture/shared_furniture_table_coffee_modern.iff');
INSERT INTO `object_crc_string_table` VALUES ('3991989661', 'EDF0ED9D', 'object/draft_schematic/furniture/shared_furniture_table_coffee_modern_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1679809800', '641FDD08', 'object/draft_schematic/furniture/shared_furniture_table_dining_modern.iff');
INSERT INTO `object_crc_string_table` VALUES ('1303951734', '4DB8B976', 'object/draft_schematic/furniture/shared_furniture_table_endtable_cheap.iff');
INSERT INTO `object_crc_string_table` VALUES ('2295486124', '88D256AC', 'object/draft_schematic/furniture/shared_furniture_table_endtable_elegant.iff');
INSERT INTO `object_crc_string_table` VALUES ('3774775549', 'E0FE80FD', 'object/draft_schematic/furniture/shared_furniture_table_endtable_modern.iff');
INSERT INTO `object_crc_string_table` VALUES ('3560273523', 'D4357673', 'object/draft_schematic/furniture/shared_furniture_table_endtable_small_modern.iff');
INSERT INTO `object_crc_string_table` VALUES ('2712386824', 'A1ABBD08', 'object/draft_schematic/furniture/shared_furniture_table_gambling.iff');
INSERT INTO `object_crc_string_table` VALUES ('1911992161', '71F6AF61', 'object/draft_schematic/furniture/shared_furniture_table_modern.iff');
INSERT INTO `object_crc_string_table` VALUES ('4131306340', 'F63EBB64', 'object/draft_schematic/furniture/shared_furniture_table_small_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('1088284371', '40DDE6D3', 'object/draft_schematic/furniture/shared_furniture_table_tatooine_cafe.iff');
INSERT INTO `object_crc_string_table` VALUES ('4133553880', 'F66106D8', 'object/draft_schematic/furniture/shared_furniture_tatooine_tapestry.iff');
INSERT INTO `object_crc_string_table` VALUES ('2712417397', 'A1AC3475', 'object/draft_schematic/furniture/shared_furniture_technical_console_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2059115746', '7ABB9CE2', 'object/draft_schematic/furniture/shared_furniture_technical_console_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3617247497', 'D79AD109', 'object/draft_schematic/furniture/shared_furniture_terminal_freestanding.iff');
INSERT INTO `object_crc_string_table` VALUES ('1070041440', '3FC78960', 'object/draft_schematic/furniture/shared_furniture_terminal_wall.iff');
INSERT INTO `object_crc_string_table` VALUES ('2544072226', '97A37622', 'object/draft_schematic/furniture/shared_furniture_throwpillow.iff');
INSERT INTO `object_crc_string_table` VALUES ('1246784176', '4A506AB0', 'object/draft_schematic/furniture/shared_furniture_tiki_torch.iff');
INSERT INTO `object_crc_string_table` VALUES ('4284576998', 'FF6174E6', 'object/draft_schematic/furniture/shared_furniture_toolchest_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('2610104422', '9B930866', 'object/draft_schematic/furniture/shared_furniture_toolchest_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('3133188143', 'BAC0A82F', 'object/draft_schematic/furniture/shared_furniture_tree_potted.iff');
INSERT INTO `object_crc_string_table` VALUES ('586863296', '22FAD2C0', 'object/draft_schematic/furniture/shared_furniture_utensils.iff');
INSERT INTO `object_crc_string_table` VALUES ('1770705362', '698AD1D2', 'object/draft_schematic/furniture/shared_tanning_hide.iff');
INSERT INTO `object_crc_string_table` VALUES ('1254608802', '4AC7CFA2', 'object/draft_schematic/furniture/shared_tanning_hide_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('658217892', '273B9BA4', 'object/draft_schematic/instrument/component/shared_dual_wave_synthesizer.iff');
INSERT INTO `object_crc_string_table` VALUES ('1069929316', '3FC5D364', 'object/draft_schematic/instrument/shared_instrument_bandfill.iff');
INSERT INTO `object_crc_string_table` VALUES ('3133647251', 'BAC7A993', 'object/draft_schematic/instrument/shared_instrument_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('592945841', '2357A2B1', 'object/draft_schematic/instrument/shared_instrument_drums.iff');
INSERT INTO `object_crc_string_table` VALUES ('1598981907', '5F4E8713', 'object/draft_schematic/instrument/shared_instrument_fanfar.iff');
INSERT INTO `object_crc_string_table` VALUES ('1476982860', '5808F84C', 'object/draft_schematic/instrument/shared_instrument_fizz.iff');
INSERT INTO `object_crc_string_table` VALUES ('3913461118', 'E942AD7E', 'object/draft_schematic/instrument/shared_instrument_flute_droopy.iff');
INSERT INTO `object_crc_string_table` VALUES ('4207775926', 'FACD90B6', 'object/draft_schematic/instrument/shared_instrument_kloo_horn.iff');
INSERT INTO `object_crc_string_table` VALUES ('1835965889', '6D6E9DC1', 'object/draft_schematic/instrument/shared_instrument_mandoviol.iff');
INSERT INTO `object_crc_string_table` VALUES ('2180987107', '81FF38E3', 'object/draft_schematic/instrument/shared_instrument_nalargon.iff');
INSERT INTO `object_crc_string_table` VALUES ('3365239168', 'C8957980', 'object/draft_schematic/instrument/shared_instrument_omni_box.iff');
INSERT INTO `object_crc_string_table` VALUES ('12716542', 'C209FE', 'object/draft_schematic/instrument/shared_instrument_organ_figrin_dan.iff');
INSERT INTO `object_crc_string_table` VALUES ('747863128', '2C937C58', 'object/draft_schematic/instrument/shared_instrument_organ_max_rebo.iff');
INSERT INTO `object_crc_string_table` VALUES ('2027141215', '78D3B85F', 'object/draft_schematic/instrument/shared_instrument_slitherhorn.iff');
INSERT INTO `object_crc_string_table` VALUES ('1146643573', '44586475', 'object/draft_schematic/instrument/shared_instrument_traz.iff');
INSERT INTO `object_crc_string_table` VALUES ('989624055', '3AFC76F7', 'object/draft_schematic/item/component/shared_item_electronic_control_unit.iff');
INSERT INTO `object_crc_string_table` VALUES ('1152098080', '44AB9F20', 'object/draft_schematic/item/component/shared_item_electronic_energy_distributor.iff');
INSERT INTO `object_crc_string_table` VALUES ('3615264224', 'D77C8DE0', 'object/draft_schematic/item/component/shared_item_electronic_power_conditioner.iff');
INSERT INTO `object_crc_string_table` VALUES ('4228360112', 'FC07A7B0', 'object/draft_schematic/item/component/shared_item_electronics_gp_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('2170102415', '8159228F', 'object/draft_schematic/item/component/shared_item_electronics_memory_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('622519855', '251AE62F', 'object/draft_schematic/item/component/shared_item_micro_sensor_suite.iff');
INSERT INTO `object_crc_string_table` VALUES ('4038906353', 'F0BCD1F1', 'object/draft_schematic/item/quest_item/shared_attunement_grid.iff');
INSERT INTO `object_crc_string_table` VALUES ('4250243198', 'FD55907E', 'object/draft_schematic/item/quest_item/shared_current_alternator.iff');
INSERT INTO `object_crc_string_table` VALUES ('3237757933', 'C0FC43ED', 'object/draft_schematic/item/quest_item/shared_feedback_controller.iff');
INSERT INTO `object_crc_string_table` VALUES ('4025902927', 'EFF6674F', 'object/draft_schematic/item/quest_item/shared_fs_craft_puzzle_config_processor.iff');
INSERT INTO `object_crc_string_table` VALUES ('1486639811', '589C52C3', 'object/draft_schematic/item/quest_item/shared_fs_craft_puzzle_decryption_chip.iff');
INSERT INTO `object_crc_string_table` VALUES ('1039066742', '3DEEE676', 'object/draft_schematic/item/quest_item/shared_fs_craft_puzzle_gyro_receiver.iff');
INSERT INTO `object_crc_string_table` VALUES ('2171554059', '816F490B', 'object/draft_schematic/item/quest_item/shared_fs_craft_puzzle_signal_amp.iff');
INSERT INTO `object_crc_string_table` VALUES ('4028815217', 'F022D771', 'object/draft_schematic/item/quest_item/shared_fs_craft_puzzle_solid_state_array.iff');
INSERT INTO `object_crc_string_table` VALUES ('1522512719', '5ABFB34F', 'object/draft_schematic/item/quest_item/shared_fs_medic_puzzle_heal_pack.iff');
INSERT INTO `object_crc_string_table` VALUES ('863982881', '337F5521', 'object/draft_schematic/item/quest_item/shared_output_governor.iff');
INSERT INTO `object_crc_string_table` VALUES ('2816707854', 'A7E38D0E', 'object/draft_schematic/item/quest_item/shared_power_regulator.iff');
INSERT INTO `object_crc_string_table` VALUES ('3662038442', 'DA4645AA', 'object/draft_schematic/item/shared_craftable_bug_habitat.iff');
INSERT INTO `object_crc_string_table` VALUES ('3332388159', 'C6A0353F', 'object/draft_schematic/item/shared_item_agitator_motor.iff');
INSERT INTO `object_crc_string_table` VALUES ('2213189419', '83EA972B', 'object/draft_schematic/item/shared_item_ballot_box_terminal.iff');
INSERT INTO `object_crc_string_table` VALUES ('3261161372', 'C2615F9C', 'object/draft_schematic/item/shared_item_base_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('3508567807', 'D1207EFF', 'object/draft_schematic/item/shared_item_battery_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('3203266155', 'BEEDF66B', 'object/draft_schematic/item/shared_item_chance_cube.iff');
INSERT INTO `object_crc_string_table` VALUES ('1775090103', '69CDB9B7', 'object/draft_schematic/item/shared_item_clothing_station.iff');
INSERT INTO `object_crc_string_table` VALUES ('1505349903', '59B9D10F', 'object/draft_schematic/item/shared_item_clothing_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('1370957893', '51B72845', 'object/draft_schematic/item/shared_item_configurable_sided_dice.iff');
INSERT INTO `object_crc_string_table` VALUES ('3660502688', 'DA2ED6A0', 'object/draft_schematic/item/shared_item_firework_eighteen.iff');
INSERT INTO `object_crc_string_table` VALUES ('2713986341', 'A1C42525', 'object/draft_schematic/item/shared_item_firework_eleven.iff');
INSERT INTO `object_crc_string_table` VALUES ('879669640', '346EB188', 'object/draft_schematic/item/shared_item_firework_five.iff');
INSERT INTO `object_crc_string_table` VALUES ('3323326153', 'C615EEC9', 'object/draft_schematic/item/shared_item_firework_four.iff');
INSERT INTO `object_crc_string_table` VALUES ('2052759177', '7A5A9E89', 'object/draft_schematic/item/shared_item_firework_one.iff');
INSERT INTO `object_crc_string_table` VALUES ('2196218270', '82E7A19E', 'object/draft_schematic/item/shared_item_firework_show.iff');
INSERT INTO `object_crc_string_table` VALUES ('1345222985', '502E7949', 'object/draft_schematic/item/shared_item_firework_ten.iff');
INSERT INTO `object_crc_string_table` VALUES ('1853917921', '6E808AE1', 'object/draft_schematic/item/shared_item_firework_three.iff');
INSERT INTO `object_crc_string_table` VALUES ('2570243587', '9932CE03', 'object/draft_schematic/item/shared_item_firework_two.iff');
INSERT INTO `object_crc_string_table` VALUES ('4197036370', 'FA29B152', 'object/draft_schematic/item/shared_item_fishing_pole.iff');
INSERT INTO `object_crc_string_table` VALUES ('697822739', '2997EE13', 'object/draft_schematic/item/shared_item_food_station.iff');
INSERT INTO `object_crc_string_table` VALUES ('1492600411', '58F7465B', 'object/draft_schematic/item/shared_item_food_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('2914524854', 'ADB81EB6', 'object/draft_schematic/item/shared_item_generic_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('292809069', '1173E96D', 'object/draft_schematic/item/shared_item_hundred_sided_dice.iff');
INSERT INTO `object_crc_string_table` VALUES ('3722220294', 'DDDC9306', 'object/draft_schematic/item/shared_item_jedi_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('2785425064', 'A60636A8', 'object/draft_schematic/item/shared_item_parrot_cage.iff');
INSERT INTO `object_crc_string_table` VALUES ('247131041', 'EBAEBA1', 'object/draft_schematic/item/shared_item_powerup_weapon_melee_generic.iff');
INSERT INTO `object_crc_string_table` VALUES ('964828866', '39821EC2', 'object/draft_schematic/item/shared_item_powerup_weapon_melee_lightsaber.iff');
INSERT INTO `object_crc_string_table` VALUES ('797092971', '2F82AC6B', 'object/draft_schematic/item/shared_item_powerup_weapon_mine_explosive.iff');
INSERT INTO `object_crc_string_table` VALUES ('1412684588', '5433DB2C', 'object/draft_schematic/item/shared_item_powerup_weapon_ranged_five.iff');
INSERT INTO `object_crc_string_table` VALUES ('2789770349', 'A648846D', 'object/draft_schematic/item/shared_item_powerup_weapon_ranged_four.iff');
INSERT INTO `object_crc_string_table` VALUES ('926910485', '373F8815', 'object/draft_schematic/item/shared_item_powerup_weapon_ranged_one.iff');
INSERT INTO `object_crc_string_table` VALUES ('1911715488', '71F276A0', 'object/draft_schematic/item/shared_item_powerup_weapon_ranged_six.iff');
INSERT INTO `object_crc_string_table` VALUES ('2672814198', '9F4FE876', 'object/draft_schematic/item/shared_item_powerup_weapon_ranged_three.iff');
INSERT INTO `object_crc_string_table` VALUES ('3562526879', 'D457D89F', 'object/draft_schematic/item/shared_item_powerup_weapon_ranged_two.iff');
INSERT INTO `object_crc_string_table` VALUES ('3975490857', 'ECF52D29', 'object/draft_schematic/item/shared_item_powerup_weapon_thrown_explosive.iff');
INSERT INTO `object_crc_string_table` VALUES ('2101449408', '7D4192C0', 'object/draft_schematic/item/shared_item_powerup_weapon_thrown_wiring.iff');
INSERT INTO `object_crc_string_table` VALUES ('860687270', '334D0BA6', 'object/draft_schematic/item/shared_item_public_clothing_station.iff');
INSERT INTO `object_crc_string_table` VALUES ('925875807', '372FBE5F', 'object/draft_schematic/item/shared_item_public_food_station.iff');
INSERT INTO `object_crc_string_table` VALUES ('1326594481', '4F1239B1', 'object/draft_schematic/item/shared_item_public_structure_station.iff');
INSERT INTO `object_crc_string_table` VALUES ('2519720442', '962FE1FA', 'object/draft_schematic/item/shared_item_public_weapon_station.iff');
INSERT INTO `object_crc_string_table` VALUES ('780076423', '2E7F0587', 'object/draft_schematic/item/shared_item_recycler_chemical.iff');
INSERT INTO `object_crc_string_table` VALUES ('2037307449', '796ED839', 'object/draft_schematic/item/shared_item_recycler_creature.iff');
INSERT INTO `object_crc_string_table` VALUES ('134662469', '806C945', 'object/draft_schematic/item/shared_item_recycler_flora.iff');
INSERT INTO `object_crc_string_table` VALUES ('3962708535', 'EC322237', 'object/draft_schematic/item/shared_item_recycler_metal.iff');
INSERT INTO `object_crc_string_table` VALUES ('2090788459', '7C9EE66B', 'object/draft_schematic/item/shared_item_recycler_ore.iff');
INSERT INTO `object_crc_string_table` VALUES ('1371712760', '51C2ACF8', 'object/draft_schematic/item/shared_item_repairkit_armor.iff');
INSERT INTO `object_crc_string_table` VALUES ('2082185823', '7C1BA25F', 'object/draft_schematic/item/shared_item_repairkit_clothing.iff');
INSERT INTO `object_crc_string_table` VALUES ('2481009784', '93E13478', 'object/draft_schematic/item/shared_item_repairkit_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('3616819013', 'D7944745', 'object/draft_schematic/item/shared_item_repairkit_structure.iff');
INSERT INTO `object_crc_string_table` VALUES ('1278219253', '4C3013F5', 'object/draft_schematic/item/shared_item_repairkit_weapon.iff');
INSERT INTO `object_crc_string_table` VALUES ('1302103457', '4D9C85A1', 'object/draft_schematic/item/shared_item_shellfish_harvester.iff');
INSERT INTO `object_crc_string_table` VALUES ('2953774166', 'B00F0456', 'object/draft_schematic/item/shared_item_six_sided_dice.iff');
INSERT INTO `object_crc_string_table` VALUES ('1829585398', '6D0D41F6', 'object/draft_schematic/item/shared_item_space_station.iff');
INSERT INTO `object_crc_string_table` VALUES ('245803278', 'EA6A90E', 'object/draft_schematic/item/shared_item_space_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('2562544992', '98BD5560', 'object/draft_schematic/item/shared_item_structure_station.iff');
INSERT INTO `object_crc_string_table` VALUES ('1567438265', '5D6D35B9', 'object/draft_schematic/item/shared_item_structure_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('1375088999', '51F63167', 'object/draft_schematic/item/shared_item_survey_tool_flora.iff');
INSERT INTO `object_crc_string_table` VALUES ('256520291', 'F4A3063', 'object/draft_schematic/item/shared_item_survey_tool_gas.iff');
INSERT INTO `object_crc_string_table` VALUES ('780227147', '2E81524B', 'object/draft_schematic/item/shared_item_survey_tool_liquid.iff');
INSERT INTO `object_crc_string_table` VALUES ('1449938755', '566C4F43', 'object/draft_schematic/item/shared_item_survey_tool_mineral.iff');
INSERT INTO `object_crc_string_table` VALUES ('3420859733', 'CBE62D55', 'object/draft_schematic/item/shared_item_survey_tool_moisture.iff');
INSERT INTO `object_crc_string_table` VALUES ('2148903380', '8015A9D4', 'object/draft_schematic/item/shared_item_survey_tool_solar.iff');
INSERT INTO `object_crc_string_table` VALUES ('2695222848', 'A0A5D640', 'object/draft_schematic/item/shared_item_survey_tool_wind.iff');
INSERT INTO `object_crc_string_table` VALUES ('3387294730', 'C9E6040A', 'object/draft_schematic/item/shared_item_ten_sided_dice.iff');
INSERT INTO `object_crc_string_table` VALUES ('2328709231', '8ACD486F', 'object/draft_schematic/item/shared_item_tumble_blender.iff');
INSERT INTO `object_crc_string_table` VALUES ('1478333642', '581D94CA', 'object/draft_schematic/item/shared_item_twelve_sided_dice.iff');
INSERT INTO `object_crc_string_table` VALUES ('1156487020', '44EE976C', 'object/draft_schematic/item/shared_item_twenty_sided_dice.iff');
INSERT INTO `object_crc_string_table` VALUES ('580576987', '229AE6DB', 'object/draft_schematic/item/shared_item_weapon_station.iff');
INSERT INTO `object_crc_string_table` VALUES ('806231782', '300E1EE6', 'object/draft_schematic/item/shared_item_weapon_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('1649870245', '625705A5', 'object/draft_schematic/item/theme_park/alderaan/act2/shared_dead_eye_decoder.iff');
INSERT INTO `object_crc_string_table` VALUES ('3578248809', 'D547BE69', 'object/draft_schematic/item/theme_park/alderaan/act3/shared_dead_eye_prototype.iff');
INSERT INTO `object_crc_string_table` VALUES ('4036740128', 'F09BC420', 'object/draft_schematic/munition/component/shared_ammo_projectile.iff');
INSERT INTO `object_crc_string_table` VALUES ('443220500', '1A6B0214', 'object/draft_schematic/munition/component/shared_ammo_projectile_entanglement.iff');
INSERT INTO `object_crc_string_table` VALUES ('3506113789', 'D0FB0CFD', 'object/draft_schematic/munition/component/shared_base_munition_enhancer.iff');
INSERT INTO `object_crc_string_table` VALUES ('3153150043', 'BBF1405B', 'object/draft_schematic/munition/component/shared_enhanced_charge_composition.iff');
INSERT INTO `object_crc_string_table` VALUES ('3158528693', 'BC4352B5', 'object/draft_schematic/munition/component/shared_enhanced_charge_shaping.iff');
INSERT INTO `object_crc_string_table` VALUES ('2401022295', '8F1CB157', 'object/draft_schematic/munition/component/shared_enhanced_destructive_pulse_channeling.iff');
INSERT INTO `object_crc_string_table` VALUES ('3256653222', 'C21C95A6', 'object/draft_schematic/munition/component/shared_enhanced_fragmentation_sleeve.iff');
INSERT INTO `object_crc_string_table` VALUES ('1156003088', '44E73510', 'object/draft_schematic/munition/component/shared_warhead_chemical.iff');
INSERT INTO `object_crc_string_table` VALUES ('3955180920', 'EBBF4578', 'object/draft_schematic/munition/component/shared_warhead_fusing_mechanism.iff');
INSERT INTO `object_crc_string_table` VALUES ('2232358950', '850F1826', 'object/draft_schematic/munition/component/shared_warhead_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('1146561784', '445724F8', 'object/draft_schematic/munition/component/shared_warhead_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('536805307', '1FFEFFBB', 'object/draft_schematic/munition/component/shared_warhead_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('4065626322', 'F25488D2', 'object/draft_schematic/munition/component/shared_warhead_stabilizer.iff');
INSERT INTO `object_crc_string_table` VALUES ('565719631', '21B8324F', 'object/draft_schematic/munition/shared_base_munition.iff');
INSERT INTO `object_crc_string_table` VALUES ('2705118881', 'A13CD6A1', 'object/draft_schematic/munition/shared_base_munition_enhancer.iff');
INSERT INTO `object_crc_string_table` VALUES ('4027709871', 'F011F9AF', 'object/draft_schematic/munition/shared_bomb_field_antigravity.iff');
INSERT INTO `object_crc_string_table` VALUES ('3371484020', 'C8F4C374', 'object/draft_schematic/munition/shared_detonator_thermal_class_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('273841684', '10527E14', 'object/draft_schematic/munition/shared_detonator_thermal_imperial_issue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1932295981', '732C7F2D', 'object/draft_schematic/munition/shared_grenade_cryoban_ww_41.iff');
INSERT INTO `object_crc_string_table` VALUES ('11395638', 'ADE236', 'object/draft_schematic/munition/shared_grenade_fragmentation_c_12.iff');
INSERT INTO `object_crc_string_table` VALUES ('768996798', '2DD5F5BE', 'object/draft_schematic/munition/shared_grenade_fragmentation_c_22.iff');
INSERT INTO `object_crc_string_table` VALUES ('3560497923', 'D438E303', 'object/draft_schematic/munition/shared_grenade_glop.iff');
INSERT INTO `object_crc_string_table` VALUES ('1913629188', '720FAA04', 'object/draft_schematic/munition/shared_grenade_proton.iff');
INSERT INTO `object_crc_string_table` VALUES ('225539159', 'D717457', 'object/draft_schematic/munition/shared_mine_anti_vehicle.iff');
INSERT INTO `object_crc_string_table` VALUES ('1052443447', '3EBB0337', 'object/draft_schematic/munition/shared_mine_dxr55.iff');
INSERT INTO `object_crc_string_table` VALUES ('1813474007', '6C176AD7', 'object/draft_schematic/munition/shared_mine_xg.iff');
INSERT INTO `object_crc_string_table` VALUES ('1271566961', '4BCA9271', 'object/draft_schematic/scout/shared_item_camokit_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('1726167672', '66E33A78', 'object/draft_schematic/scout/shared_item_camokit_dantooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('3742569809', 'DF131551', 'object/draft_schematic/scout/shared_item_camokit_dathomir.iff');
INSERT INTO `object_crc_string_table` VALUES ('1218082990', '489A78AE', 'object/draft_schematic/scout/shared_item_camokit_endor.iff');
INSERT INTO `object_crc_string_table` VALUES ('594480745', '236F0E69', 'object/draft_schematic/scout/shared_item_camokit_lok.iff');
INSERT INTO `object_crc_string_table` VALUES ('2327891628', '8AC0CEAC', 'object/draft_schematic/scout/shared_item_camokit_naboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('380917503', '16B456FF', 'object/draft_schematic/scout/shared_item_camokit_rori.iff');
INSERT INTO `object_crc_string_table` VALUES ('2475866246', '9392B886', 'object/draft_schematic/scout/shared_item_camokit_talus.iff');
INSERT INTO `object_crc_string_table` VALUES ('2005529582', '7789F3EE', 'object/draft_schematic/scout/shared_item_camokit_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('2300033935', '8917BB8F', 'object/draft_schematic/scout/shared_item_camokit_yavin.iff');
INSERT INTO `object_crc_string_table` VALUES ('2508179971', '957FCA03', 'object/draft_schematic/scout/shared_item_camp_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('102187210', '61740CA', 'object/draft_schematic/scout/shared_item_camp_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('3426650174', 'CC3E883E', 'object/draft_schematic/scout/shared_item_camp_improved.iff');
INSERT INTO `object_crc_string_table` VALUES ('253213515', 'F17BB4B', 'object/draft_schematic/scout/shared_item_camp_luxury.iff');
INSERT INTO `object_crc_string_table` VALUES ('3178673319', 'BD76B4A7', 'object/draft_schematic/scout/shared_item_camp_multi.iff');
INSERT INTO `object_crc_string_table` VALUES ('1609906001', '5FF53751', 'object/draft_schematic/scout/shared_item_camp_quality.iff');
INSERT INTO `object_crc_string_table` VALUES ('1724840642', '66CEFAC2', 'object/draft_schematic/scout/shared_item_trap_drowsy_dart.iff');
INSERT INTO `object_crc_string_table` VALUES ('253853379', 'F217EC3', 'object/draft_schematic/scout/shared_item_trap_enraging_spur.iff');
INSERT INTO `object_crc_string_table` VALUES ('1322113998', '4ECDDBCE', 'object/draft_schematic/scout/shared_item_trap_flash_bomb.iff');
INSERT INTO `object_crc_string_table` VALUES ('4212347810', 'FB1353A2', 'object/draft_schematic/scout/shared_item_trap_melee_def_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2226010853', '84AE3AE5', 'object/draft_schematic/scout/shared_item_trap_melee_ranged_def_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4127661828', 'F6071F04', 'object/draft_schematic/scout/shared_item_trap_noise_maker.iff');
INSERT INTO `object_crc_string_table` VALUES ('3312435007', 'C56FBF3F', 'object/draft_schematic/scout/shared_item_trap_ranged_def_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2585913329', '9A21E7F1', 'object/draft_schematic/scout/shared_item_trap_sonic_pulse.iff');
INSERT INTO `object_crc_string_table` VALUES ('1618982847', '607FB7BF', 'object/draft_schematic/scout/shared_item_trap_state_def_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4155383645', 'F7AE1F5D', 'object/draft_schematic/scout/shared_item_trap_tranq_dart.iff');
INSERT INTO `object_crc_string_table` VALUES ('2895113899', 'AC8FEEAB', 'object/draft_schematic/scout/shared_item_trap_webber.iff');
INSERT INTO `object_crc_string_table` VALUES ('1225468655', '490B2AEF', 'object/draft_schematic/slicing/shared_slicing_armor_upgrade_kit.iff');
INSERT INTO `object_crc_string_table` VALUES ('425747428', '196063E4', 'object/draft_schematic/slicing/shared_slicing_flow_analyzer.iff');
INSERT INTO `object_crc_string_table` VALUES ('1575116633', '5DE25F59', 'object/draft_schematic/slicing/shared_slicing_laser_knife.iff');
INSERT INTO `object_crc_string_table` VALUES ('2888384407', 'AC293F97', 'object/draft_schematic/slicing/shared_slicing_molecular_clamp.iff');
INSERT INTO `object_crc_string_table` VALUES ('2390191987', '8E776F73', 'object/draft_schematic/slicing/shared_slicing_weapon_upgrade_kit.iff');
INSERT INTO `object_crc_string_table` VALUES ('2102420108', '7D50628C', 'object/draft_schematic/space/armor/shared_adv_durasteel_plating.iff');
INSERT INTO `object_crc_string_table` VALUES ('2806408794', 'A746665A', 'object/draft_schematic/space/armor/shared_armor_reinforcement_panel_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2085736141', '7C51CECD', 'object/draft_schematic/space/armor/shared_armor_reinforcement_panel_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('895265088', '355CA940', 'object/draft_schematic/space/armor/shared_armor_reinforcement_panel_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3468657236', 'CEBF8254', 'object/draft_schematic/space/armor/shared_armor_reinforcement_panel_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2276648409', '87B2E5D9', 'object/draft_schematic/space/armor/shared_armor_reinforcement_panel_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('4047177961', 'F13B08E9', 'object/draft_schematic/space/armor/shared_durasteel_plating.iff');
INSERT INTO `object_crc_string_table` VALUES ('3426217899', 'CC37EFAB', 'object/draft_schematic/space/armor/shared_exp_durasteel_plating.iff');
INSERT INTO `object_crc_string_table` VALUES ('2174167663', '81972A6F', 'object/draft_schematic/space/armor/shared_heavy_durasteel_plating.iff');
INSERT INTO `object_crc_string_table` VALUES ('4236143256', 'FC7E6A98', 'object/draft_schematic/space/armor/shared_light_durasteel_plating.iff');
INSERT INTO `object_crc_string_table` VALUES ('67761570', '409F5A2', 'object/draft_schematic/space/armor/shared_mass_reduction_kit_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3743309109', 'DF1E5D35', 'object/draft_schematic/space/armor/shared_mass_reduction_kit_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2517842616', '96133AB8', 'object/draft_schematic/space/armor/shared_mass_reduction_kit_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1844449708', '6DF011AC', 'object/draft_schematic/space/armor/shared_mass_reduction_kit_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('620590625', '24FD7621', 'object/draft_schematic/space/armor/shared_mass_reduction_kit_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('216548376', 'CE84418', 'object/draft_schematic/space/booster/shared_advanced_fuel_ignition.iff');
INSERT INTO `object_crc_string_table` VALUES ('1157928076', '4504948C', 'object/draft_schematic/space/booster/shared_booster_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2652060699', '9E133C1B', 'object/draft_schematic/space/booster/shared_booster_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3609090966', 'D71E5B96', 'object/draft_schematic/space/booster/shared_booster_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('754806914', '2CFD7082', 'object/draft_schematic/space/booster/shared_booster_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1710233359', '65F0170F', 'object/draft_schematic/space/booster/shared_booster_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1287538938', '4CBE48FA', 'object/draft_schematic/space/booster/shared_booster_overdriver_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2544492653', '97A9E06D', 'object/draft_schematic/space/booster/shared_booster_overdriver_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3735324640', 'DEA487E0', 'object/draft_schematic/space/booster/shared_booster_overdriver_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('625454324', '2547ACF4', 'object/draft_schematic/space/booster/shared_booster_overdriver_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1816841081', '6C4ACB79', 'object/draft_schematic/space/booster/shared_booster_overdriver_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1033968628', '3DA11BF4', 'object/draft_schematic/space/booster/shared_extended_life_fuel_cell_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3870733155', 'E6B6B363', 'object/draft_schematic/space/booster/shared_extended_life_fuel_cell_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2948322542', 'AFBBD4EE', 'object/draft_schematic/space/booster/shared_extended_life_fuel_cell_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1415118842', '5458FFFA', 'object/draft_schematic/space/booster/shared_extended_life_fuel_cell_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('492148855', '1D559877', 'object/draft_schematic/space/booster/shared_extended_life_fuel_cell_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2613161095', '9BC1AC87', 'object/draft_schematic/space/booster/shared_fast_charge_fuel_cell_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1087767568', '40D60410', 'object/draft_schematic/space/booster/shared_fast_charge_fuel_cell_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('165372829', '9DB639D', 'object/draft_schematic/space/booster/shared_fast_charge_fuel_cell_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('4063774857', 'F2384889', 'object/draft_schematic/space/booster/shared_fast_charge_fuel_cell_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3140824836', 'BB352F04', 'object/draft_schematic/space/booster/shared_fast_charge_fuel_cell_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3915024240', 'E95A8770', 'object/draft_schematic/space/booster/shared_heavy_fuel_cell_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('843919335', '324D2FE7', 'object/draft_schematic/space/booster/shared_heavy_fuel_cell_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2067810410', '7B40486A', 'object/draft_schematic/space/booster/shared_heavy_fuel_cell_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2158191486', '80A3637E', 'object/draft_schematic/space/booster/shared_heavy_fuel_cell_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3383624947', 'C9AE04F3', 'object/draft_schematic/space/booster/shared_heavy_fuel_cell_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1520819528', '5AA5DD48', 'object/draft_schematic/space/booster/shared_xwing_booster_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2175956447', '81B275DF', 'object/draft_schematic/space/booster/shared_xwing_booster_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1279300072', '4C4091E8', 'object/draft_schematic/space/capacitor/shared_basic_capacitor.iff');
INSERT INTO `object_crc_string_table` VALUES ('2202770982', '834B9E26', 'object/draft_schematic/space/capacitor/shared_capacitor_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1482438321', '585C36B1', 'object/draft_schematic/space/capacitor/shared_capacitor_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('290541884', '1151513C', 'object/draft_schematic/space/capacitor/shared_capacitor_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3937565224', 'EAB27A28', 'object/draft_schematic/space/capacitor/shared_capacitor_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2747211173', 'A3BF1DA5', 'object/draft_schematic/space/capacitor/shared_capacitor_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('731258544', '2B961EB0', 'object/draft_schematic/space/capacitor/shared_energy_saver_battery_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4035032615', 'F081B627', 'object/draft_schematic/space/capacitor/shared_energy_saver_battery_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3113013674', 'B98CD1AA', 'object/draft_schematic/space/capacitor/shared_energy_saver_battery_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1114634942', '426FFABE', 'object/draft_schematic/space/capacitor/shared_energy_saver_battery_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('191012147', 'B629D33', 'object/draft_schematic/space/capacitor/shared_energy_saver_battery_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1501708613', '59824145', 'object/draft_schematic/space/capacitor/shared_extended_life_battery_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2190862802', '8295E9D2', 'object/draft_schematic/space/capacitor/shared_extended_life_battery_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3415772767', 'CB988E5F', 'object/draft_schematic/space/capacitor/shared_extended_life_battery_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('813409611', '307BA54B', 'object/draft_schematic/space/capacitor/shared_extended_life_battery_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2037826246', '7976C2C6', 'object/draft_schematic/space/capacitor/shared_extended_life_battery_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3001021296', 'B2DFF370', 'object/draft_schematic/space/capacitor/shared_heavy_battery_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1774738407', '69C85BE7', 'object/draft_schematic/space/capacitor/shared_heavy_battery_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('549796970', '20C53C6A', 'object/draft_schematic/space/capacitor/shared_heavy_battery_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3676706686', 'DB26177E', 'object/draft_schematic/space/capacitor/shared_heavy_battery_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2452320499', '922B70F3', 'object/draft_schematic/space/capacitor/shared_heavy_battery_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3603192853', 'D6C45C15', 'object/draft_schematic/space/capacitor/shared_quick_recharge_battery_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('231994498', 'DD3F482', 'object/draft_schematic/space/capacitor/shared_quick_recharge_battery_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1155437327', '44DE930F', 'object/draft_schematic/space/capacitor/shared_quick_recharge_battery_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3208493083', 'BF3DB81B', 'object/draft_schematic/space/capacitor/shared_quick_recharge_battery_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('4130398102', 'F630DF96', 'object/draft_schematic/space/capacitor/shared_quick_recharge_battery_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('4088349067', 'F3AF418B', 'object/draft_schematic/space/chassis/shared_awing.iff');
INSERT INTO `object_crc_string_table` VALUES ('1739966126', '67B5C6AE', 'object/draft_schematic/space/chassis/shared_blacksun_heavy_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3164761657', 'BCA26E39', 'object/draft_schematic/space/chassis/shared_blacksun_heavy_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4121889204', 'F5AF09B4', 'object/draft_schematic/space/chassis/shared_blacksun_heavy_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('239870624', 'E4C22A0', 'object/draft_schematic/space/chassis/shared_blacksun_heavy_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2076334324', '7BC258F4', 'object/draft_schematic/space/chassis/shared_blacksun_light_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2698375267', 'A0D5F063', 'object/draft_schematic/space/chassis/shared_blacksun_light_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3923285998', 'E9D897EE', 'object/draft_schematic/space/chassis/shared_blacksun_light_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('305904890', '123BBCFA', 'object/draft_schematic/space/chassis/shared_blacksun_light_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1149181177', '447F1CF9', 'object/draft_schematic/space/chassis/shared_blacksun_medium_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2674439278', '9F68B46E', 'object/draft_schematic/space/chassis/shared_blacksun_medium_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3596997603', 'D665D3E3', 'object/draft_schematic/space/chassis/shared_blacksun_medium_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('763820279', '2D86F8F7', 'object/draft_schematic/space/chassis/shared_blacksun_medium_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3782189718', 'E16FA296', 'object/draft_schematic/space/chassis/shared_bwing.iff');
INSERT INTO `object_crc_string_table` VALUES ('28631849', '1B4E329', 'object/draft_schematic/space/chassis/shared_decimator.iff');
INSERT INTO `object_crc_string_table` VALUES ('1220046426', '48B86E5A', 'object/draft_schematic/space/chassis/shared_firespray.iff');
INSERT INTO `object_crc_string_table` VALUES ('2018297747', '784CC793', 'object/draft_schematic/space/chassis/shared_hutt_heavy_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2740678404', 'A35B6F04', 'object/draft_schematic/space/chassis/shared_hutt_heavy_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1681611209', '643B59C9', 'object/draft_schematic/space/chassis/shared_hutt_light_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3207393630', 'BF2CF15E', 'object/draft_schematic/space/chassis/shared_hutt_light_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3374335796', 'C9204734', 'object/draft_schematic/space/chassis/shared_hutt_medium_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('305655715', '1237EFA3', 'object/draft_schematic/space/chassis/shared_hutt_medium_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1789657129', '6AAC0029', 'object/draft_schematic/space/chassis/shared_hutt_turret_ship.iff');
INSERT INTO `object_crc_string_table` VALUES ('3565914279', 'D48B88A7', 'object/draft_schematic/space/chassis/shared_texture_kit_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('261890096', 'F9C2030', 'object/draft_schematic/space/chassis/shared_texture_kit_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1183926205', '469147BD', 'object/draft_schematic/space/chassis/shared_texture_kit_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3178392745', 'BD726CA9', 'object/draft_schematic/space/chassis/shared_texture_kit_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('4101966628', 'F47F0B24', 'object/draft_schematic/space/chassis/shared_texture_kit_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('795386803', '2F68A3B3', 'object/draft_schematic/space/chassis/shared_texture_kit_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('2807324799', 'A754607F', 'object/draft_schematic/space/chassis/shared_tie_in.iff');
INSERT INTO `object_crc_string_table` VALUES ('2042083013', '79B7B6C5', 'object/draft_schematic/space/chassis/shared_tie_light_duty.iff');
INSERT INTO `object_crc_string_table` VALUES ('2726853665', 'A2887C21', 'object/draft_schematic/space/chassis/shared_tieadvanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('675255699', '283F9593', 'object/draft_schematic/space/chassis/shared_tieaggressor.iff');
INSERT INTO `object_crc_string_table` VALUES ('3922789724', 'E9D1055C', 'object/draft_schematic/space/chassis/shared_tiebomber.iff');
INSERT INTO `object_crc_string_table` VALUES ('2781545168', 'A5CB02D0', 'object/draft_schematic/space/chassis/shared_tiefighter.iff');
INSERT INTO `object_crc_string_table` VALUES ('1164496814', '4568CFAE', 'object/draft_schematic/space/chassis/shared_tiefighter_body.iff');
INSERT INTO `object_crc_string_table` VALUES ('2195192561', '82D7FAF1', 'object/draft_schematic/space/chassis/shared_tieinterceptor.iff');
INSERT INTO `object_crc_string_table` VALUES ('653085701', '26ED4C05', 'object/draft_schematic/space/chassis/shared_tieoppressor.iff');
INSERT INTO `object_crc_string_table` VALUES ('2544431877', '97A8F305', 'object/draft_schematic/space/chassis/shared_xwing.iff');
INSERT INTO `object_crc_string_table` VALUES ('4124324408', 'F5D43238', 'object/draft_schematic/space/chassis/shared_xwing_body.iff');
INSERT INTO `object_crc_string_table` VALUES ('1518980580', '5A89CDE4', 'object/draft_schematic/space/chassis/shared_xwing_cockpit.iff');
INSERT INTO `object_crc_string_table` VALUES ('2412810817', '8FD09241', 'object/draft_schematic/space/chassis/shared_xwing_customization_kit.iff');
INSERT INTO `object_crc_string_table` VALUES ('385814820', '16FF1124', 'object/draft_schematic/space/chassis/shared_xwing_wing_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('1714050231', '662A54B7', 'object/draft_schematic/space/chassis/shared_xwing_wing_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('1171955086', '45DA9D8E', 'object/draft_schematic/space/chassis/shared_ykl37r.iff');
INSERT INTO `object_crc_string_table` VALUES ('654797812', '27076BF4', 'object/draft_schematic/space/chassis/shared_yt1300.iff');
INSERT INTO `object_crc_string_table` VALUES ('1705531747', '65A85963', 'object/draft_schematic/space/chassis/shared_ywing.iff');
INSERT INTO `object_crc_string_table` VALUES ('3626101042', 'D821E932', 'object/draft_schematic/space/chassis/shared_ywing_longprobe.iff');
INSERT INTO `object_crc_string_table` VALUES ('2357203295', '8C80115F', 'object/draft_schematic/space/chassis/shared_z95.iff');
INSERT INTO `object_crc_string_table` VALUES ('646958322', '268FCCF2', 'object/draft_schematic/space/chassis/shared_z95_body.iff');
INSERT INTO `object_crc_string_table` VALUES ('160769152', '9952480', 'object/draft_schematic/space/chassis/shared_z95_cockpit.iff');
INSERT INTO `object_crc_string_table` VALUES ('446234966', '1A990156', 'object/draft_schematic/space/chassis/shared_z95_wing_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('1783383237', '6A4C44C5', 'object/draft_schematic/space/chassis/shared_z95_wing_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('3067045132', 'B6CF650C', 'object/draft_schematic/space/droid_interface/shared_basic_droid_interface.iff');
INSERT INTO `object_crc_string_table` VALUES ('3260211482', 'C252E11A', 'object/draft_schematic/space/droid_interface/shared_ddi_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('423971213', '1945498D', 'object/draft_schematic/space/droid_interface/shared_ddi_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1346907648', '50482E00', 'object/draft_schematic/space/droid_interface/shared_ddi_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2880111892', 'ABAB0514', 'object/draft_schematic/space/droid_interface/shared_ddi_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3802555033', 'E2A66299', 'object/draft_schematic/space/droid_interface/shared_ddi_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('4028213100', 'F019A76C', 'object/draft_schematic/space/droid_interface/shared_droid_brain_upgrade_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('722341883', '2B0E0FFB', 'object/draft_schematic/space/droid_interface/shared_droid_brain_upgrade_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1644390518', '62036876', 'object/draft_schematic/space/droid_interface/shared_droid_brain_upgrade_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2581611362', '99E04362', 'object/draft_schematic/space/droid_interface/shared_droid_brain_upgrade_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3505202415', 'D0ED24EF', 'object/draft_schematic/space/droid_interface/shared_droid_brain_upgrade_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3536617726', 'D2CC80FE', 'object/draft_schematic/space/droid_interface/shared_maintenance_reduction_kit_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('165357673', '9DB2869', 'object/draft_schematic/space/droid_interface/shared_maintenance_reduction_kit_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1087786980', '40D64FE4', 'object/draft_schematic/space/droid_interface/shared_maintenance_reduction_kit_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3140838640', 'BB3564F0', 'object/draft_schematic/space/droid_interface/shared_maintenance_reduction_kit_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('4063757181', 'F238037D', 'object/draft_schematic/space/droid_interface/shared_maintenance_reduction_kit_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('541354942', '20446BBE', 'object/draft_schematic/space/engine/shared_basic_engine.iff');
INSERT INTO `object_crc_string_table` VALUES ('1997394294', '770DD176', 'object/draft_schematic/space/engine/shared_eng_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2887416289', 'AC1A79E1', 'object/draft_schematic/space/engine/shared_eng_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3843497580', 'E5171E6C', 'object/draft_schematic/space/engine/shared_eng_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('519320952', '1EF43578', 'object/draft_schematic/space/engine/shared_eng_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1475957493', '57F952F5', 'object/draft_schematic/space/engine/shared_eng_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3601967388', 'D6B1A91C', 'object/draft_schematic/space/engine/shared_engine_limiter_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('228983179', 'DA6018B', 'object/draft_schematic/space/engine/shared_engine_limiter_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1152083462', '44AB6606', 'object/draft_schematic/space/engine/shared_engine_limiter_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3209186578', 'BF484D12', 'object/draft_schematic/space/engine/shared_engine_limiter_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('4131728031', 'F6452A9F', 'object/draft_schematic/space/engine/shared_engine_limiter_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('4012002136', 'EF224B58', 'object/draft_schematic/space/engine/shared_engine_overdriver_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('875946959', '3435E3CF', 'object/draft_schematic/space/engine/shared_engine_overdriver_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2100855874', '7D388442', 'object/draft_schematic/space/engine/shared_engine_overdriver_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2262544214', '86DBAF56', 'object/draft_schematic/space/engine/shared_engine_overdriver_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3486959835', 'CFD6C8DB', 'object/draft_schematic/space/engine/shared_engine_overdriver_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('366234772', '15D44C94', 'object/draft_schematic/space/reactor/shared_basic_reactor.iff');
INSERT INTO `object_crc_string_table` VALUES ('3664496596', 'DA6BC7D4', 'object/draft_schematic/space/reactor/shared_fusion_reactor_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('24932163', '17C6F43', 'object/draft_schematic/space/reactor/shared_fusion_reactor_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1215367374', '487108CE', 'object/draft_schematic/space/reactor/shared_fusion_reactor_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3012699098', 'B39223DA', 'object/draft_schematic/space/reactor/shared_fusion_reactor_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('4204741719', 'FA9F4457', 'object/draft_schematic/space/reactor/shared_fusion_reactor_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3282952808', 'C3ADE268', 'object/draft_schematic/space/reactor/shared_reactor_limiter_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('414862079', '18BA4AFF', 'object/draft_schematic/space/reactor/shared_reactor_limiter_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1370959218', '51B72D72', 'object/draft_schematic/space/reactor/shared_reactor_limiter_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2857633382', 'AA540666', 'object/draft_schematic/space/reactor/shared_reactor_limiter_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3814285803', 'E35961EB', 'object/draft_schematic/space/reactor/shared_reactor_limiter_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('287048772', '111C0444', 'object/draft_schematic/space/reactor/shared_reactor_overcharger_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3389762771', 'CA0BACD3', 'object/draft_schematic/space/reactor/shared_reactor_overcharger_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2198260574', '8306CB5E', 'object/draft_schematic/space/reactor/shared_reactor_overcharger_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2028331082', '78E5E04A', 'object/draft_schematic/space/reactor/shared_reactor_overcharger_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('837322695', '31E887C7', 'object/draft_schematic/space/reactor/shared_reactor_overcharger_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('159626494', '983B4FE', 'object/draft_schematic/space/repair/shared_armor_repair_kit.iff');
INSERT INTO `object_crc_string_table` VALUES ('2182505796', '82166544', 'object/draft_schematic/space/repair/shared_booster_repair_kit.iff');
INSERT INTO `object_crc_string_table` VALUES ('3561061070', 'D4417ACE', 'object/draft_schematic/space/repair/shared_capacitor_repair_kit.iff');
INSERT INTO `object_crc_string_table` VALUES ('2046246395', '79F73DFB', 'object/draft_schematic/space/repair/shared_chassis_repair_kit.iff');
INSERT INTO `object_crc_string_table` VALUES ('1979319803', '75FA05FB', 'object/draft_schematic/space/repair/shared_droid_interface_repair_kit.iff');
INSERT INTO `object_crc_string_table` VALUES ('2834161708', 'A8EDE02C', 'object/draft_schematic/space/repair/shared_engine_repair_kit.iff');
INSERT INTO `object_crc_string_table` VALUES ('2504809285', '954C5B45', 'object/draft_schematic/space/repair/shared_generic_repair_kit.iff');
INSERT INTO `object_crc_string_table` VALUES ('4277810100', 'FEFA33B4', 'object/draft_schematic/space/repair/shared_plasma_conduit_repair_kit.iff');
INSERT INTO `object_crc_string_table` VALUES ('383068437', '16D52915', 'object/draft_schematic/space/repair/shared_reactor_repair_kit.iff');
INSERT INTO `object_crc_string_table` VALUES ('2463568618', '92D712EA', 'object/draft_schematic/space/repair/shared_shield_repair_kit.iff');
INSERT INTO `object_crc_string_table` VALUES ('974874513', '3A1B6791', 'object/draft_schematic/space/repair/shared_weapon_repair_kit.iff');
INSERT INTO `object_crc_string_table` VALUES ('4256991250', 'FDBC8812', 'object/draft_schematic/space/reverse_engineering/shared_analysis_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('3368050000', 'C8C05D50', 'object/draft_schematic/space/reverse_engineering/shared_armor_analysis_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('1558712471', '5CE81097', 'object/draft_schematic/space/reverse_engineering/shared_booster_analysis_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('4158784961', 'F7E205C1', 'object/draft_schematic/space/reverse_engineering/shared_capacitor_analysis_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('1820998508', '6C8A3B6C', 'object/draft_schematic/space/reverse_engineering/shared_droid_interface_analysis_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('3400518634', 'CAAFCBEA', 'object/draft_schematic/space/reverse_engineering/shared_engine_analysis_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('1274882415', '4BFD296F', 'object/draft_schematic/space/reverse_engineering/shared_reactor_analysis_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('3323192675', 'C613E563', 'object/draft_schematic/space/reverse_engineering/shared_retrofit_kit.iff');
INSERT INTO `object_crc_string_table` VALUES ('2342685561', '8BA28B79', 'object/draft_schematic/space/reverse_engineering/shared_shields_analysis_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('3831959480', 'E4670FB8', 'object/draft_schematic/space/reverse_engineering/shared_weapon_analysis_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('1117582132', '429CF334', 'object/draft_schematic/space/shields/shared_adv_deflector_shields.iff');
INSERT INTO `object_crc_string_table` VALUES ('3884245261', 'E784E10D', 'object/draft_schematic/space/shields/shared_basic_shields.iff');
INSERT INTO `object_crc_string_table` VALUES ('1694654678', '650260D6', 'object/draft_schematic/space/shields/shared_deflector_shields.iff');
INSERT INTO `object_crc_string_table` VALUES ('4093345299', 'F3FB7E13', 'object/draft_schematic/space/shields/shared_exp_deflector_shields.iff');
INSERT INTO `object_crc_string_table` VALUES ('2667507411', '9EFEEED3', 'object/draft_schematic/space/shields/shared_heavy_deflector_shields.iff');
INSERT INTO `object_crc_string_table` VALUES ('3809979940', 'E317AE24', 'object/draft_schematic/space/shields/shared_light_deflector_shields.iff');
INSERT INTO `object_crc_string_table` VALUES ('1723995512', '66C21578', 'object/draft_schematic/space/shields/shared_shield_energy_saver_kit_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3184901615', 'BDD5BDEF', 'object/draft_schematic/space/shields/shared_shield_energy_saver_kit_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4107852386', 'F4D8DA62', 'object/draft_schematic/space/shields/shared_shield_energy_saver_kit_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('255586678', 'F3BF176', 'object/draft_schematic/space/shields/shared_shield_energy_saver_kit_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1177982715', '463696FB', 'object/draft_schematic/space/shields/shared_shield_energy_saver_kit_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1539385043', '5BC126D3', 'object/draft_schematic/space/shields/shared_shield_intensifier_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2161544772', '80D68E44', 'object/draft_schematic/space/shields/shared_shield_intensifier_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3386632649', 'C9DBE9C9', 'object/draft_schematic/space/shields/shared_shield_intensifier_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('842580701', '3238C2DD', 'object/draft_schematic/space/shields/shared_shield_intensifier_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2067113296', '7B35A550', 'object/draft_schematic/space/shields/shared_shield_intensifier_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2950186363', 'AFD8457B', 'object/draft_schematic/space/shields/shared_shield_limiter_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1959783916', '74CFEDEC', 'object/draft_schematic/space/shields/shared_shield_limiter_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1036159585', '3DC28A61', 'object/draft_schematic/space/shields/shared_shield_limiter_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3324092789', 'C621A175', 'object/draft_schematic/space/shields/shared_shield_limiter_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2402076408', '8F2CC6F8', 'object/draft_schematic/space/shields/shared_shield_limiter_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('759499849', '2D450C49', 'object/draft_schematic/space/shields/shared_shield_overcharger_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4132611294', 'F652A4DE', 'object/draft_schematic/space/shields/shared_shield_overcharger_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3210724179', 'BF5FC353', 'object/draft_schematic/space/shields/shared_shield_overcharger_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1153230919', '44BCE847', 'object/draft_schematic/space/shields/shared_shield_overcharger_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('229740490', 'DB18FCA', 'object/draft_schematic/space/shields/shared_shield_overcharger_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3598298958', 'D679AF4E', 'object/draft_schematic/space/weapon/missile/shared_basic_chaff_launcher.iff');
INSERT INTO `object_crc_string_table` VALUES ('2098216050', '7D103C72', 'object/draft_schematic/space/weapon/missile/shared_basic_chaff_pack.iff');
INSERT INTO `object_crc_string_table` VALUES ('1802841048', '6B752BD8', 'object/draft_schematic/space/weapon/missile/shared_basic_launcher.iff');
INSERT INTO `object_crc_string_table` VALUES ('126586241', '78B8D81', 'object/draft_schematic/space/weapon/missile/shared_basic_missile_pack.iff');
INSERT INTO `object_crc_string_table` VALUES ('1669199220', '637DF574', 'object/draft_schematic/space/weapon/missile/shared_countermeasure_chaff_launcher.iff');
INSERT INTO `object_crc_string_table` VALUES ('967427990', '39A9C796', 'object/draft_schematic/space/weapon/missile/shared_countermeasure_chaff_pack.iff');
INSERT INTO `object_crc_string_table` VALUES ('1010014254', '3C33982E', 'object/draft_schematic/space/weapon/missile/shared_countermeasure_confuser_launcher.iff');
INSERT INTO `object_crc_string_table` VALUES ('1096963488', '416255A0', 'object/draft_schematic/space/weapon/missile/shared_countermeasure_confuser_pack.iff');
INSERT INTO `object_crc_string_table` VALUES ('3889493337', 'E7D4F559', 'object/draft_schematic/space/weapon/missile/shared_countermeasure_decoy_launcher.iff');
INSERT INTO `object_crc_string_table` VALUES ('1710067156', '65ED8DD4', 'object/draft_schematic/space/weapon/missile/shared_countermeasure_decoy_pack.iff');
INSERT INTO `object_crc_string_table` VALUES ('2736033559', 'A3148F17', 'object/draft_schematic/space/weapon/missile/shared_countermeasure_em_launcher.iff');
INSERT INTO `object_crc_string_table` VALUES ('3044761439', 'B57B5F5F', 'object/draft_schematic/space/weapon/missile/shared_countermeasure_em_pack.iff');
INSERT INTO `object_crc_string_table` VALUES ('1406628129', '53D77121', 'object/draft_schematic/space/weapon/missile/shared_countermeasure_microchaff_launcher.iff');
INSERT INTO `object_crc_string_table` VALUES ('3491272814', 'D018986E', 'object/draft_schematic/space/weapon/missile/shared_countermeasure_microchaff_pack.iff');
INSERT INTO `object_crc_string_table` VALUES ('4275827372', 'FEDBF2AC', 'object/draft_schematic/space/weapon/missile/shared_wpn_concussion_missile_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('634149435', '25CC5A3B', 'object/draft_schematic/space/weapon/missile/shared_wpn_concussion_missile_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1824603574', '6CC13DB6', 'object/draft_schematic/space/weapon/missile/shared_wpn_concussion_missile_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2093977497', '7CCF8F99', 'object/draft_schematic/space/weapon/missile/shared_wpn_imagerec_missile_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2815960846', 'A7D8270E', 'object/draft_schematic/space/weapon/missile/shared_wpn_imagerec_missile_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1043274696', '3E2F1BC8', 'object/draft_schematic/space/weapon/missile/shared_wpn_launcher_concussion_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3845698399', 'E538B35F', 'object/draft_schematic/space/weapon/missile/shared_wpn_launcher_concussion_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2889209042', 'AC35D4D2', 'object/draft_schematic/space/weapon/missile/shared_wpn_launcher_concussion_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('650835732', '26CAF714', 'object/draft_schematic/space/weapon/missile/shared_wpn_launcher_imagerec_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4259143555', 'FDDD5F83', 'object/draft_schematic/space/weapon/missile/shared_wpn_launcher_imagerec_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3316343727', 'C5AB63AF', 'object/draft_schematic/space/weapon/missile/shared_wpn_launcher_proton_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('515689272', '1EBCCB38', 'object/draft_schematic/space/weapon/missile/shared_wpn_launcher_proton_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1471261877', '57B1ACB5', 'object/draft_schematic/space/weapon/missile/shared_wpn_launcher_proton_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2891089825', 'AC5287A1', 'object/draft_schematic/space/weapon/missile/shared_wpn_launcher_proton_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3651288032', 'D9A23BE0', 'object/draft_schematic/space/weapon/missile/shared_wpn_launcher_seismic_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('45454199', '2B59377', 'object/draft_schematic/space/weapon/missile/shared_wpn_launcher_seismic_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1270412538', '4BB8F4FA', 'object/draft_schematic/space/weapon/missile/shared_wpn_launcher_seismic_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3784031794', 'E18BBE32', 'object/draft_schematic/space/weapon/missile/shared_wpn_launcher_spacebomb_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('983307941', '3A9C16A5', 'object/draft_schematic/space/weapon/missile/shared_wpn_launcher_spacebomb_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('681902817', '28A502E1', 'object/draft_schematic/space/weapon/missile/shared_wpn_proton_missile_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4088572534', 'F3B2AA76', 'object/draft_schematic/space/weapon/missile/shared_wpn_proton_missile_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3133132283', 'BABFCDFB', 'object/draft_schematic/space/weapon/missile/shared_wpn_proton_missile_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1096607471', '415CE6EF', 'object/draft_schematic/space/weapon/missile/shared_wpn_proton_missile_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3507837660', 'D1155ADC', 'object/draft_schematic/space/weapon/missile/shared_wpn_seismic_missile_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('167965259', 'A02F24B', 'object/draft_schematic/space/weapon/missile/shared_wpn_seismic_missile_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1125094854', '430F95C6', 'object/draft_schematic/space/weapon/missile/shared_wpn_seismic_missile_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2352553481', '8C391E09', 'object/draft_schematic/space/weapon/missile/shared_wpn_spacebomb_missile_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1462679198', '572EB69E', 'object/draft_schematic/space/weapon/missile/shared_wpn_spacebomb_missile_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('357549043', '154FC3F3', 'object/draft_schematic/space/weapon/shared_armor_effectiveness_intensifier_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3461901156', 'CE586B64', 'object/draft_schematic/space/weapon/shared_armor_effectiveness_intensifier_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2270498025', '87550CE9', 'object/draft_schematic/space/weapon/shared_armor_effectiveness_intensifier_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2092312573', '7CB627FD', 'object/draft_schematic/space/weapon/shared_armor_effectiveness_intensifier_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('901464176', '35BB4070', 'object/draft_schematic/space/weapon/shared_armor_effectiveness_intensifier_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3535680224', 'D2BE32E0', 'object/draft_schematic/space/weapon/shared_basic_weapon.iff');
INSERT INTO `object_crc_string_table` VALUES ('925393883', '372863DB', 'object/draft_schematic/space/weapon/shared_max_damage_intensifier_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3963603788', 'EC3FCB4C', 'object/draft_schematic/space/weapon/shared_max_damage_intensifier_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2771561665', 'A532ACC1', 'object/draft_schematic/space/weapon/shared_max_damage_intensifier_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1590790101', '5ED187D5', 'object/draft_schematic/space/weapon/shared_max_damage_intensifier_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('400351320', '17DCE058', 'object/draft_schematic/space/weapon/shared_max_damage_intensifier_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2276034256', '87A986D0', 'object/draft_schematic/space/weapon/shared_min_damage_intensifier_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1555967559', '5CBE2E47', 'object/draft_schematic/space/weapon/shared_min_damage_intensifier_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('364071370', '15B349CA', 'object/draft_schematic/space/weapon/shared_min_damage_intensifier_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3998245598', 'EE5062DE', 'object/draft_schematic/space/weapon/shared_min_damage_intensifier_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2807891283', 'A75D0553', 'object/draft_schematic/space/weapon/shared_min_damage_intensifier_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('207458723', 'C5D91A3', 'object/draft_schematic/space/weapon/shared_quick_shot_upgrade_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3611965748', 'D74A3934', 'object/draft_schematic/space/weapon/shared_quick_shot_upgrade_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2655477433', '9E475EB9', 'object/draft_schematic/space/weapon/shared_quick_shot_upgrade_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1705276845', '65A475AD', 'object/draft_schematic/space/weapon/shared_quick_shot_upgrade_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('749277728', '2CA91220', 'object/draft_schematic/space/weapon/shared_quick_shot_upgrade_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2068760823', '7B4EC8F7', 'object/draft_schematic/space/weapon/shared_shield_effectiveness_intensifier_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2690211936', 'A0596060', 'object/draft_schematic/space/weapon/shared_shield_effectiveness_intensifier_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3914598381', 'E95407ED', 'object/draft_schematic/space/weapon/shared_shield_effectiveness_intensifier_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('313994489', '12B72CF9', 'object/draft_schematic/space/weapon/shared_shield_effectiveness_intensifier_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1538935668', '5BBA4B74', 'object/draft_schematic/space/weapon/shared_shield_effectiveness_intensifier_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1212255047', '48418B47', 'object/draft_schematic/space/weapon/shared_speed_limiter_upgrade_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2471896016', '935623D0', 'object/draft_schematic/space/weapon/shared_speed_limiter_upgrade_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3663414365', 'DA5B445D', 'object/draft_schematic/space/weapon/shared_speed_limiter_upgrade_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('565735241', '21B86F49', 'object/draft_schematic/space/weapon/shared_speed_limiter_upgrade_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1756694724', '68B508C4', 'object/draft_schematic/space/weapon/shared_speed_limiter_upgrade_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3740796153', 'DEF804F9', 'object/draft_schematic/space/weapon/shared_wpn_advanced_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('3929052829', 'EA30969D', 'object/draft_schematic/space/weapon/shared_wpn_advanced_blaster_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('1431740762', '5556A15A', 'object/draft_schematic/space/weapon/shared_wpn_advanced_disruptor.iff');
INSERT INTO `object_crc_string_table` VALUES ('90674496', '5679540', 'object/draft_schematic/space/weapon/shared_wpn_advanced_ioncannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('749584960', '2CADC240', 'object/draft_schematic/space/weapon/shared_wpn_experimental_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('3909227909', 'E9021585', 'object/draft_schematic/space/weapon/shared_wpn_experimental_blaster_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('2943870680', 'AF77E6D8', 'object/draft_schematic/space/weapon/shared_wpn_experimental_disruptor.iff');
INSERT INTO `object_crc_string_table` VALUES ('4282831554', 'FF46D2C2', 'object/draft_schematic/space/weapon/shared_wpn_experimental_ioncannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('2094697931', '7CDA8DCB', 'object/draft_schematic/space/weapon/shared_wpn_heavy_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('651808748', '26D9CFEC', 'object/draft_schematic/space/weapon/shared_wpn_heavy_blaster_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('1326996581', '4F185C65', 'object/draft_schematic/space/weapon/shared_wpn_heavy_disruptor.iff');
INSERT INTO `object_crc_string_table` VALUES ('522807423', '1F29687F', 'object/draft_schematic/space/weapon/shared_wpn_heavy_ioncannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('4046489612', 'F130880C', 'object/draft_schematic/space/weapon/shared_wpn_light_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('3388774737', 'C9FC9951', 'object/draft_schematic/space/weapon/shared_wpn_light_blaster_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('1057347445', '3F05D775', 'object/draft_schematic/space/weapon/shared_wpn_light_disruptor.iff');
INSERT INTO `object_crc_string_table` VALUES ('1865737071', '6F34E36F', 'object/draft_schematic/space/weapon/shared_wpn_light_ioncannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('3453442561', 'CDD75A01', 'object/draft_schematic/space/weapon/shared_wpn_medium_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('1698920791', '65437957', 'object/draft_schematic/space/weapon/shared_wpn_medium_blaster_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('3380113095', 'C9786EC7', 'object/draft_schematic/space/weapon/shared_wpn_medium_disruptor.iff');
INSERT INTO `object_crc_string_table` VALUES ('2571721437', '99495ADD', 'object/draft_schematic/space/weapon/shared_wpn_medium_ioncannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('1461060097', '57160201', 'object/draft_schematic/spices/shared_spice_booster_blue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3344700100', 'C75C12C4', 'object/draft_schematic/spices/shared_spice_crash_n_burn.iff');
INSERT INTO `object_crc_string_table` VALUES ('3232550663', 'C0ACCF07', 'object/draft_schematic/spices/shared_spice_droid_lube.iff');
INSERT INTO `object_crc_string_table` VALUES ('3392956409', 'CA3C67F9', 'object/draft_schematic/spices/shared_spice_giggledust.iff');
INSERT INTO `object_crc_string_table` VALUES ('3344628504', 'C75AFB18', 'object/draft_schematic/spices/shared_spice_grey_gabaki.iff');
INSERT INTO `object_crc_string_table` VALUES ('1606899928', '5FC758D8', 'object/draft_schematic/spices/shared_spice_gunjack.iff');
INSERT INTO `object_crc_string_table` VALUES ('2071554224', '7B7968B0', 'object/draft_schematic/spices/shared_spice_muon_gold.iff');
INSERT INTO `object_crc_string_table` VALUES ('1790064822', '6AB238B6', 'object/draft_schematic/spices/shared_spice_neutron_pixey.iff');
INSERT INTO `object_crc_string_table` VALUES ('4245288866', 'FD09F7A2', 'object/draft_schematic/spices/shared_spice_pyrepenol.iff');
INSERT INTO `object_crc_string_table` VALUES ('1617885526', '606EF956', 'object/draft_schematic/spices/shared_spice_scramjet.iff');
INSERT INTO `object_crc_string_table` VALUES ('811014949', '30571B25', 'object/draft_schematic/spices/shared_spice_sedative_h4b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1734826910', '67675B9E', 'object/draft_schematic/spices/shared_spice_shadowpaw.iff');
INSERT INTO `object_crc_string_table` VALUES ('2224540196', '8497CA24', 'object/draft_schematic/spices/shared_spice_sweetblossom.iff');
INSERT INTO `object_crc_string_table` VALUES ('2661232828', '9E9F30BC', 'object/draft_schematic/spices/shared_spice_thruster_head.iff');
INSERT INTO `object_crc_string_table` VALUES ('3906041259', 'E8D175AB', 'object/draft_schematic/spices/shared_spice_yarrock.iff');
INSERT INTO `object_crc_string_table` VALUES ('1957527431', '74AD7F87', 'object/draft_schematic/structure/city/shared_bank_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('1356737706', '50DE2CAA', 'object/draft_schematic/structure/city/shared_bank_naboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('1223564824', '48EE1E18', 'object/draft_schematic/structure/city/shared_bank_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('922879724', '370206EC', 'object/draft_schematic/structure/city/shared_cantina_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('1642793186', '61EB08E2', 'object/draft_schematic/structure/city/shared_cantina_naboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('188835699', 'B416773', 'object/draft_schematic/structure/city/shared_cantina_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('4052243419', 'F18853DB', 'object/draft_schematic/structure/city/shared_cityhall_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('4095160852', 'F4173214', 'object/draft_schematic/structure/city/shared_cityhall_naboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('3452645956', 'CDCB3244', 'object/draft_schematic/structure/city/shared_cityhall_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('3102761064', 'B8F06068', 'object/draft_schematic/structure/city/shared_cloning_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('2637377287', '9D332F07', 'object/draft_schematic/structure/city/shared_cloning_naboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('2226323959', '84B301F7', 'object/draft_schematic/structure/city/shared_cloning_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('2511913384', '95B8C1A8', 'object/draft_schematic/structure/city/shared_garage_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('3583461183', 'D597473F', 'object/draft_schematic/structure/city/shared_garage_naboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('2851840055', 'A9FBA037', 'object/draft_schematic/structure/city/shared_garage_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('191116922', 'B64367A', 'object/draft_schematic/structure/city/shared_garden_exotic_dantooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('2283291302', '881842A6', 'object/draft_schematic/structure/city/shared_garden_exotic_dathomir.iff');
INSERT INTO `object_crc_string_table` VALUES ('197575835', 'BC6C49B', 'object/draft_schematic/structure/city/shared_garden_exotic_endor.iff');
INSERT INTO `object_crc_string_table` VALUES ('1276792416', '4C1A4E60', 'object/draft_schematic/structure/city/shared_garden_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('1356080577', '50D425C1', 'object/draft_schematic/structure/city/shared_garden_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('2013387337', '7801DA49', 'object/draft_schematic/structure/city/shared_garden_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('3104967184', 'B9120A10', 'object/draft_schematic/structure/city/shared_hospital_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('1804532749', '6B8EFC0D', 'object/draft_schematic/structure/city/shared_hospital_naboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('2236705679', '85516B8F', 'object/draft_schematic/structure/city/shared_hospital_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('2673430783', '9F5950FF', 'object/draft_schematic/structure/city/shared_shuttleport_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('881536708', '348B2EC4', 'object/draft_schematic/structure/city/shared_shuttleport_naboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('2736402784', 'A31A3160', 'object/draft_schematic/structure/city/shared_shuttleport_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('758724611', '2D393803', 'object/draft_schematic/structure/city/shared_theater_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('3113591979', 'B995A4AB', 'object/draft_schematic/structure/city/shared_theater_naboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('293231004', '117A599C', 'object/draft_schematic/structure/city/shared_theater_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('3736246245', 'DEB297E5', 'object/draft_schematic/structure/component/shared_structural_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('188700507', 'B3F575B', 'object/draft_schematic/structure/component/shared_structure_fluidic_drilling_pumping_unit.iff');
INSERT INTO `object_crc_string_table` VALUES ('890068144', '350D5CB0', 'object/draft_schematic/structure/component/shared_structure_generator_turbine.iff');
INSERT INTO `object_crc_string_table` VALUES ('1426968673', '550DD061', 'object/draft_schematic/structure/component/shared_structure_harvesting_mechanism.iff');
INSERT INTO `object_crc_string_table` VALUES ('2142863561', '7FB980C9', 'object/draft_schematic/structure/component/shared_structure_heavy_harvesting_mechanism.iff');
INSERT INTO `object_crc_string_table` VALUES ('3263967120', 'C28C2F90', 'object/draft_schematic/structure/component/shared_structure_light_ore_mining_unit.iff');
INSERT INTO `object_crc_string_table` VALUES ('2040269434', '799C0A7A', 'object/draft_schematic/structure/component/shared_structure_light_power_core_unit.iff');
INSERT INTO `object_crc_string_table` VALUES ('1592150343', '5EE64947', 'object/draft_schematic/structure/component/shared_structure_manufacturing_mechanism.iff');
INSERT INTO `object_crc_string_table` VALUES ('2037730009', '79754AD9', 'object/draft_schematic/structure/component/shared_structure_ore_mining_unit.iff');
INSERT INTO `object_crc_string_table` VALUES ('3261427507', 'C2656F33', 'object/draft_schematic/structure/component/shared_structure_power_core_unit.iff');
INSERT INTO `object_crc_string_table` VALUES ('3364203190', 'C885AAB6', 'object/draft_schematic/structure/component/shared_structure_small_storage_section.iff');
INSERT INTO `object_crc_string_table` VALUES ('1345350988', '50306D4C', 'object/draft_schematic/structure/component/shared_structure_storage_section.iff');
INSERT INTO `object_crc_string_table` VALUES ('661556822', '276E8E56', 'object/draft_schematic/structure/component/shared_structure_turbo_fluidic_drilling_pumping_unit.iff');
INSERT INTO `object_crc_string_table` VALUES ('686217066', '28E6D76A', 'object/draft_schematic/structure/component/shared_wall_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('2433532742', '910CC346', 'object/draft_schematic/structure/component/shared_weapon_mount_heavy_stabilization_unit.iff');
INSERT INTO `object_crc_string_table` VALUES ('3665444927', 'DA7A403F', 'object/draft_schematic/structure/shared_corellia_house_guild_hall.iff');
INSERT INTO `object_crc_string_table` VALUES ('3370388037', 'C8E40A45', 'object/draft_schematic/structure/shared_corellia_house_player_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('3853219478', 'E5AB7696', 'object/draft_schematic/structure/shared_corellia_house_player_large_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3566769907', 'D49896F3', 'object/draft_schematic/structure/shared_corellia_house_player_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('3830483623', 'E4508AA7', 'object/draft_schematic/structure/shared_corellia_house_player_medium_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4244610668', 'FCFF9E6C', 'object/draft_schematic/structure/shared_corellia_house_player_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('2371857542', '8D5FAC86', 'object/draft_schematic/structure/shared_corellia_house_player_small_floorplan_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3313991968', 'C5878120', 'object/draft_schematic/structure/shared_corellia_house_player_small_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2455024554', '9254B3AA', 'object/draft_schematic/structure/shared_corellia_house_player_small_style_02_floorplan_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('745024084', '2C682A54', 'object/draft_schematic/structure/shared_generic_house_guild_hall.iff');
INSERT INTO `object_crc_string_table` VALUES ('4059188252', 'F1F24C1C', 'object/draft_schematic/structure/shared_generic_house_player_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('1458415719', '56EDA867', 'object/draft_schematic/structure/shared_generic_house_player_large_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('874861164', '3425526C', 'object/draft_schematic/structure/shared_generic_house_player_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('317968384', '12F3D000', 'object/draft_schematic/structure/shared_generic_house_player_medium_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3320436789', 'C5E9D835', 'object/draft_schematic/structure/shared_generic_house_player_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('364360184', '15B7B1F8', 'object/draft_schematic/structure/shared_generic_house_player_small_floorplan_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1992384465', '76C15FD1', 'object/draft_schematic/structure/shared_generic_house_player_small_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3838920320', 'E4D14680', 'object/draft_schematic/structure/shared_generic_house_player_small_style_02_floorplan_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('40573621', '26B1AB5', 'object/draft_schematic/structure/shared_house_guild_hall.iff');
INSERT INTO `object_crc_string_table` VALUES ('2204999703', '836DA017', 'object/draft_schematic/structure/shared_house_player_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('1124040677', '42FF7FE5', 'object/draft_schematic/structure/shared_house_player_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('3077977150', 'B776343E', 'object/draft_schematic/structure/shared_house_player_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('2529898048', '96CB2E40', 'object/draft_schematic/structure/shared_house_player_small_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3925546520', 'E9FB1618', 'object/draft_schematic/structure/shared_installation_factory_clothing.iff');
INSERT INTO `object_crc_string_table` VALUES ('3287078704', 'C3ECD730', 'object/draft_schematic/structure/shared_installation_factory_food.iff');
INSERT INTO `object_crc_string_table` VALUES ('100159664', '5F850B0', 'object/draft_schematic/structure/shared_installation_factory_structure.iff');
INSERT INTO `object_crc_string_table` VALUES ('1608711350', '5FE2FCB6', 'object/draft_schematic/structure/shared_installation_factory_weapon.iff');
INSERT INTO `object_crc_string_table` VALUES ('1430182849', '553EDBC1', 'object/draft_schematic/structure/shared_installation_generator_fusion.iff');
INSERT INTO `object_crc_string_table` VALUES ('464777341', '1BB3F07D', 'object/draft_schematic/structure/shared_installation_generator_solar.iff');
INSERT INTO `object_crc_string_table` VALUES ('3011453668', 'B37F22E4', 'object/draft_schematic/structure/shared_installation_generator_wind.iff');
INSERT INTO `object_crc_string_table` VALUES ('189297844', 'B4874B4', 'object/draft_schematic/structure/shared_installation_mining_gas.iff');
INSERT INTO `object_crc_string_table` VALUES ('3372573215', 'C905621F', 'object/draft_schematic/structure/shared_installation_mining_gas_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('140336833', '85D5EC1', 'object/draft_schematic/structure/shared_installation_mining_gas_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('2039707891', '799378F3', 'object/draft_schematic/structure/shared_installation_mining_liquid.iff');
INSERT INTO `object_crc_string_table` VALUES ('362692246', '159E3E96', 'object/draft_schematic/structure/shared_installation_mining_liquid_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('3569746504', 'D4C60248', 'object/draft_schematic/structure/shared_installation_mining_liquid_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('2343309848', '8BAC1218', 'object/draft_schematic/structure/shared_installation_mining_liquid_vapor.iff');
INSERT INTO `object_crc_string_table` VALUES ('1643145278', '61F0683E', 'object/draft_schematic/structure/shared_installation_mining_liquid_vapor_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('2695386336', 'A0A854E0', 'object/draft_schematic/structure/shared_installation_mining_liquid_vapor_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('3530854520', 'D2749078', 'object/draft_schematic/structure/shared_installation_mining_ore.iff');
INSERT INTO `object_crc_string_table` VALUES ('1543208719', '5BFB7F0F', 'object/draft_schematic/structure/shared_installation_mining_ore_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('2594390993', '9AA343D1', 'object/draft_schematic/structure/shared_installation_mining_ore_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('3915458084', 'E9612624', 'object/draft_schematic/structure/shared_installation_mining_organic_creature.iff');
INSERT INTO `object_crc_string_table` VALUES ('1656287178', '62B8EFCA', 'object/draft_schematic/structure/shared_installation_mining_organic_flora.iff');
INSERT INTO `object_crc_string_table` VALUES ('2861455405', 'AA8E582D', 'object/draft_schematic/structure/shared_installation_mining_organic_flora_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('1809212659', '6BD664F3', 'object/draft_schematic/structure/shared_installation_mining_organic_flora_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('2724074378', 'A25E138A', 'object/draft_schematic/structure/shared_merchant_tent.iff');
INSERT INTO `object_crc_string_table` VALUES ('1974589873', '75B1D9B1', 'object/draft_schematic/structure/shared_naboo_house_guild_hall.iff');
INSERT INTO `object_crc_string_table` VALUES ('939754027', '3803822B', 'object/draft_schematic/structure/shared_naboo_house_player_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('3131573754', 'BAA805FA', 'object/draft_schematic/structure/shared_naboo_house_player_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('202905090', 'C181602', 'object/draft_schematic/structure/shared_naboo_house_player_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('903806834', '35DEFF72', 'object/draft_schematic/structure/shared_naboo_house_player_small_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1463325777', '57389451', 'object/draft_schematic/structure/shared_tatooine_house_guild_hall_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('945497402', '385B253A', 'object/draft_schematic/test/shared_dan_test_component.iff');
INSERT INTO `object_crc_string_table` VALUES ('1485880165', '5890BB65', 'object/draft_schematic/test/shared_dan_test_pistol.iff');
INSERT INTO `object_crc_string_table` VALUES ('3547848737', 'D377E021', 'object/draft_schematic/vehicle/civilian/shared_civilian_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('376694145', '1673E581', 'object/draft_schematic/vehicle/civilian/shared_civilian_aa.iff');
INSERT INTO `object_crc_string_table` VALUES ('140527798', '86048B6', 'object/draft_schematic/vehicle/civilian/shared_civilian_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1097674555', '416D2F3B', 'object/draft_schematic/vehicle/civilian/shared_civilian_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('3129869359', 'BA8E042F', 'object/draft_schematic/vehicle/civilian/shared_civilian_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('4085474210', 'F38363A2', 'object/draft_schematic/vehicle/civilian/shared_civilian_e.iff');
INSERT INTO `object_crc_string_table` VALUES ('3255217674', 'C206AE0A', 'object/draft_schematic/vehicle/civilian/shared_jetpack.iff');
INSERT INTO `object_crc_string_table` VALUES ('2632559466', '9CE9AB6A', 'object/draft_schematic/vehicle/civilian/shared_landspeeder_av21.iff');
INSERT INTO `object_crc_string_table` VALUES ('3178368929', 'BD720FA1', 'object/draft_schematic/vehicle/civilian/shared_landspeeder_x34.iff');
INSERT INTO `object_crc_string_table` VALUES ('3893680726', 'E814DA56', 'object/draft_schematic/vehicle/civilian/shared_speeder_bike.iff');
INSERT INTO `object_crc_string_table` VALUES ('4231876597', 'FC3D4FF5', 'object/draft_schematic/vehicle/civilian/shared_speeder_bike_swoop.iff');
INSERT INTO `object_crc_string_table` VALUES ('3478654115', 'CF580CA3', 'object/draft_schematic/vehicle/component/shared_adv_hvy_blaster_power_handler.iff');
INSERT INTO `object_crc_string_table` VALUES ('3820646245', 'E3BA6F65', 'object/draft_schematic/vehicle/component/shared_adv_hvy_projectile_feed_mech.iff');
INSERT INTO `object_crc_string_table` VALUES ('3831493388', 'E45FF30C', 'object/draft_schematic/vehicle/component/shared_adv_warhead_launcher.iff');
INSERT INTO `object_crc_string_table` VALUES ('2606958072', '9B6305F8', 'object/draft_schematic/vehicle/component/shared_armor_panel_acid.iff');
INSERT INTO `object_crc_string_table` VALUES ('1048309015', '3E7BED17', 'object/draft_schematic/vehicle/component/shared_armor_panel_blast.iff');
INSERT INTO `object_crc_string_table` VALUES ('286081761', '110D42E1', 'object/draft_schematic/vehicle/component/shared_armor_panel_cold.iff');
INSERT INTO `object_crc_string_table` VALUES ('3167986321', 'BCD3A291', 'object/draft_schematic/vehicle/component/shared_armor_panel_electrical.iff');
INSERT INTO `object_crc_string_table` VALUES ('4235833223', 'FC79AF87', 'object/draft_schematic/vehicle/component/shared_armor_panel_energy.iff');
INSERT INTO `object_crc_string_table` VALUES ('3924691985', 'E9EE0C11', 'object/draft_schematic/vehicle/component/shared_armor_panel_heat.iff');
INSERT INTO `object_crc_string_table` VALUES ('1568951743', '5D844DBF', 'object/draft_schematic/vehicle/component/shared_armor_panel_kinetic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1710945708', '65FAF5AC', 'object/draft_schematic/vehicle/component/shared_armor_plating_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3203226939', 'BEED5D3B', 'object/draft_schematic/vehicle/component/shared_armor_plating_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4158667446', 'F7E03AB6', 'object/draft_schematic/vehicle/component/shared_armor_plating_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2395664099', '8ECAEEE3', 'object/draft_schematic/vehicle/component/shared_auto_blaster_cannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('682698271', '28B1261F', 'object/draft_schematic/vehicle/component/shared_blaster_cannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('2022913854', '7893373E', 'object/draft_schematic/vehicle/component/shared_command_center.iff');
INSERT INTO `object_crc_string_table` VALUES ('2619881434', '9C2837DA', 'object/draft_schematic/vehicle/component/shared_disperser.iff');
INSERT INTO `object_crc_string_table` VALUES ('2892938786', 'AC6EBE22', 'object/draft_schematic/vehicle/component/shared_dx_disruptor_array.iff');
INSERT INTO `object_crc_string_table` VALUES ('3771997793', 'E0D41E61', 'object/draft_schematic/vehicle/component/shared_extended_fuel_tank.iff');
INSERT INTO `object_crc_string_table` VALUES ('808312838', '302DE006', 'object/draft_schematic/vehicle/component/shared_extended_fuel_tank_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('4284576256', 'FF617200', 'object/draft_schematic/vehicle/component/shared_fuel_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('611768983', '2476DA97', 'object/draft_schematic/vehicle/component/shared_fuel_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1836825882', '6D7BBD1A', 'object/draft_schematic/vehicle/component/shared_fuel_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('3935185074', 'EA8E28B2', 'object/draft_schematic/vehicle/component/shared_fuel_cell_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('832143397', '31998025', 'object/draft_schematic/vehicle/component/shared_fuel_cell_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2023024552', '7894E7A8', 'object/draft_schematic/vehicle/component/shared_fuel_cell_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('3332814833', 'C6A6B7F1', 'object/draft_schematic/vehicle/component/shared_hvy_blaster_power_handler.iff');
INSERT INTO `object_crc_string_table` VALUES ('3308336165', 'C5313425', 'object/draft_schematic/vehicle/component/shared_hvy_projectile_feed_mech.iff');
INSERT INTO `object_crc_string_table` VALUES ('3058872493', 'B652B0AD', 'object/draft_schematic/vehicle/component/shared_laser_cannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('2177317912', '81C73C18', 'object/draft_schematic/vehicle/component/shared_launcher.iff');
INSERT INTO `object_crc_string_table` VALUES ('2246650067', '85E928D3', 'object/draft_schematic/vehicle/component/shared_mass_driver.iff');
INSERT INTO `object_crc_string_table` VALUES ('692221089', '294274A1', 'object/draft_schematic/vehicle/component/shared_mini_launcher_pod.iff');
INSERT INTO `object_crc_string_table` VALUES ('292651205', '117180C5', 'object/draft_schematic/vehicle/component/shared_power_plant_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3395692626', 'CA662852', 'object/draft_schematic/vehicle/component/shared_power_plant_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2204848095', '836B4FDF', 'object/draft_schematic/vehicle/component/shared_power_plant_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3785575259', 'E1A34B5B', 'object/draft_schematic/vehicle/component/shared_proton_torpedo_array.iff');
INSERT INTO `object_crc_string_table` VALUES ('2085630879', '7C50339F', 'object/draft_schematic/vehicle/component/shared_reactor_unit.iff');
INSERT INTO `object_crc_string_table` VALUES ('3810129002', 'E319F46A', 'object/draft_schematic/vehicle/component/shared_starship_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('2723083446', 'A24EF4B6', 'object/draft_schematic/vehicle/component/shared_starship_module_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2138971548', '7F7E1D9C', 'object/draft_schematic/vehicle/component/shared_starship_shield_generator_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1144006749', '4430285D', 'object/draft_schematic/vehicle/component/shared_storage_bay.iff');
INSERT INTO `object_crc_string_table` VALUES ('3428251943', 'CC56F927', 'object/draft_schematic/vehicle/component/shared_structural_frame.iff');
INSERT INTO `object_crc_string_table` VALUES ('1550856246', '5C703036', 'object/draft_schematic/vehicle/component/shared_structural_frame_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3188051200', 'BE05CD00', 'object/draft_schematic/vehicle/component/shared_structural_reinforcement.iff');
INSERT INTO `object_crc_string_table` VALUES ('3098033682', 'B8A83E12', 'object/draft_schematic/vehicle/component/shared_structural_reinforcement_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('2988472593', 'B2207911', 'object/draft_schematic/vehicle/component/shared_veh_shield_generator_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1765265798', '6937D186', 'object/draft_schematic/vehicle/component/shared_veh_shield_generator_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('540718603', '203AB60B', 'object/draft_schematic/vehicle/component/shared_veh_shield_generator_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('12867979', 'C4598B', 'object/draft_schematic/vehicle/component/shared_vehicle_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('1246345170', '4A49B7D2', 'object/draft_schematic/vehicle/component/shared_vehicle_module_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2784669777', 'A5FAB051', 'object/draft_schematic/vehicle/component/shared_warhead_launcher.iff');
INSERT INTO `object_crc_string_table` VALUES ('1296711234', '4D4A3E42', 'object/draft_schematic/vehicle/component/shared_weapon_array.iff');
INSERT INTO `object_crc_string_table` VALUES ('333191706', '13DC1A1A', 'object/draft_schematic/vehicle/component/shared_weapon_link.iff');
INSERT INTO `object_crc_string_table` VALUES ('2402380717', '8F316BAD', 'object/draft_schematic/vehicle/military/shared_military_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('1411826490', '5426C33A', 'object/draft_schematic/vehicle/military/shared_military_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('489399479', '1D2BA4B7', 'object/draft_schematic/vehicle/military/shared_military_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('3871903651', 'E6C88FA3', 'object/draft_schematic/vehicle/military/shared_military_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('2948982830', 'AFC5E82E', 'object/draft_schematic/vehicle/military/shared_military_e.iff');
INSERT INTO `object_crc_string_table` VALUES ('4100515758', 'F468E7AE', 'object/draft_schematic/vehicle/military/shared_starship_impl_tie_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('796872505', '2F7F4F39', 'object/draft_schematic/vehicle/military/shared_starship_impl_tie_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1330578969', '4F4F0619', 'object/draft_schematic/vehicle/military/shared_starship_rebel_xwing_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2488839822', '9458AE8E', 'object/draft_schematic/vehicle/military/shared_starship_rebel_xwing_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('4170918716', 'F89B2B3C', 'object/draft_schematic/vehicle/shared_vehicle_customization_kit.iff');
INSERT INTO `object_crc_string_table` VALUES ('642464593', '264B3B51', 'object/draft_schematic/weapon/component/shared_blade_vibro_unit.iff');
INSERT INTO `object_crc_string_table` VALUES ('2591525916', '9A778C1C', 'object/draft_schematic/weapon/component/shared_blade_vibro_unit_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1763890276', '6922D464', 'object/draft_schematic/weapon/component/shared_blaster_pistol_barrel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2411109221', '8FB69B65', 'object/draft_schematic/weapon/component/shared_blaster_pistol_barrel_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('291466906', '115F6E9A', 'object/draft_schematic/weapon/component/shared_blaster_power_handler.iff');
INSERT INTO `object_crc_string_table` VALUES ('669027229', '27E08B9D', 'object/draft_schematic/weapon/component/shared_blaster_power_handler_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3017432687', 'B3DA5E6F', 'object/draft_schematic/weapon/component/shared_blaster_rifle_barrel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2415303462', '8FF69B26', 'object/draft_schematic/weapon/component/shared_blaster_rifle_barrel_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('4093058849', 'F3F71F21', 'object/draft_schematic/weapon/component/shared_chemical_dispersion_mechanism.iff');
INSERT INTO `object_crc_string_table` VALUES ('3692236674', 'DC130F82', 'object/draft_schematic/weapon/component/shared_chemical_dispersion_mechanism_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3330558458', 'C68449FA', 'object/draft_schematic/weapon/component/shared_energization_crystals.iff');
INSERT INTO `object_crc_string_table` VALUES ('1314707956', '4E5CD9F4', 'object/draft_schematic/weapon/component/shared_galven_tube_circuits.iff');
INSERT INTO `object_crc_string_table` VALUES ('4113789241', 'F5337139', 'object/draft_schematic/weapon/component/shared_laser_cannon_cooling_sleeve.iff');
INSERT INTO `object_crc_string_table` VALUES ('2303806735', '89514D0F', 'object/draft_schematic/weapon/component/shared_laser_cannon_gun_tube.iff');
INSERT INTO `object_crc_string_table` VALUES ('4238408983', 'FCA0FD17', 'object/draft_schematic/weapon/component/shared_laser_generator.iff');
INSERT INTO `object_crc_string_table` VALUES ('3558702385', 'D41D7D31', 'object/draft_schematic/weapon/component/shared_laser_magnetic_flashback_supressor.iff');
INSERT INTO `object_crc_string_table` VALUES ('3824855701', 'E3FAAA95', 'object/draft_schematic/weapon/component/shared_parallel_weapon_targeting_computer.iff');
INSERT INTO `object_crc_string_table` VALUES ('3297087256', 'C4858F18', 'object/draft_schematic/weapon/component/shared_projectile_feed_mechanism.iff');
INSERT INTO `object_crc_string_table` VALUES ('262118266', 'F9F9B7A', 'object/draft_schematic/weapon/component/shared_projectile_feed_mechanism_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2418709976', '902A95D8', 'object/draft_schematic/weapon/component/shared_projectile_pistol_barrel.iff');
INSERT INTO `object_crc_string_table` VALUES ('3111961622', 'B97CC416', 'object/draft_schematic/weapon/component/shared_projectile_pistol_barrel_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('365494069', '15C8FF35', 'object/draft_schematic/weapon/component/shared_projectile_rifle_barrel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1631155967', '613976FF', 'object/draft_schematic/weapon/component/shared_projectile_rifle_barrel_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2874693612', 'AB5857EC', 'object/draft_schematic/weapon/component/shared_reinforcement_core.iff');
INSERT INTO `object_crc_string_table` VALUES ('1668239813', '636F51C5', 'object/draft_schematic/weapon/component/shared_reinforcement_core_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1540459451', '5BD18BBB', 'object/draft_schematic/weapon/component/shared_reinforcement_core_geo.iff');
INSERT INTO `object_crc_string_table` VALUES ('3596514252', 'D65E73CC', 'object/draft_schematic/weapon/component/shared_scope_weapon.iff');
INSERT INTO `object_crc_string_table` VALUES ('3611829706', 'D74825CA', 'object/draft_schematic/weapon/component/shared_scope_weapon_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('507005578', '1E384A8A', 'object/draft_schematic/weapon/component/shared_stock.iff');
INSERT INTO `object_crc_string_table` VALUES ('1592695997', '5EEE9CBD', 'object/draft_schematic/weapon/component/shared_stock_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('4049686729', 'F16150C9', 'object/draft_schematic/weapon/component/shared_sword_core.iff');
INSERT INTO `object_crc_string_table` VALUES ('4271255485', 'FE962FBD', 'object/draft_schematic/weapon/component/shared_sword_core_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2844636480', 'A98DB540', 'object/draft_schematic/weapon/component/shared_sword_core_geo.iff');
INSERT INTO `object_crc_string_table` VALUES ('522996520', '1F2C4B28', 'object/draft_schematic/weapon/component/shared_turbo_laser_gun_tube.iff');
INSERT INTO `object_crc_string_table` VALUES ('3571298637', 'D4DDB14D', 'object/draft_schematic/weapon/component/shared_weapon_mount.iff');
INSERT INTO `object_crc_string_table` VALUES ('3504836884', 'D0E79114', 'object/draft_schematic/weapon/component/shared_weapon_mount_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('2837944775', 'A92799C7', 'object/draft_schematic/weapon/component/shared_weapon_targeting_computer.iff');
INSERT INTO `object_crc_string_table` VALUES ('3402034090', 'CAC6EBAA', 'object/draft_schematic/weapon/component/shared_weapon_trajectory_computer.iff');
INSERT INTO `object_crc_string_table` VALUES ('2209371727', '83B0564F', 'object/draft_schematic/weapon/lightsaber/shared_lightsaber_one_hand_gen1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1487404760', '58A7FED8', 'object/draft_schematic/weapon/lightsaber/shared_lightsaber_one_hand_gen2.iff');
INSERT INTO `object_crc_string_table` VALUES ('296393045', '11AA9955', 'object/draft_schematic/weapon/lightsaber/shared_lightsaber_one_hand_gen3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3930698305', 'EA49B241', 'object/draft_schematic/weapon/lightsaber/shared_lightsaber_one_hand_gen4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2739197388', 'A344D5CC', 'object/draft_schematic/weapon/lightsaber/shared_lightsaber_one_hand_gen5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2055057421', '7A7DB00D', 'object/draft_schematic/weapon/lightsaber/shared_lightsaber_polearm_gen1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2708084890', 'A16A189A', 'object/draft_schematic/weapon/lightsaber/shared_lightsaber_polearm_gen2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3899096855', 'E8677F17', 'object/draft_schematic/weapon/lightsaber/shared_lightsaber_polearm_gen3.iff');
INSERT INTO `object_crc_string_table` VALUES ('327439363', '13845403', 'object/draft_schematic/weapon/lightsaber/shared_lightsaber_polearm_gen4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1518941070', '5A89338E', 'object/draft_schematic/weapon/lightsaber/shared_lightsaber_polearm_gen5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2234584747', '85310EAB', 'object/draft_schematic/weapon/lightsaber/shared_lightsaber_refined_crystal_pack.iff');
INSERT INTO `object_crc_string_table` VALUES ('3899605882', 'E86F437A', 'object/draft_schematic/weapon/lightsaber/shared_lightsaber_training.iff');
INSERT INTO `object_crc_string_table` VALUES ('2495319493', '94BB8DC5', 'object/draft_schematic/weapon/lightsaber/shared_lightsaber_two_hand_gen1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1336681810', '4FAC2552', 'object/draft_schematic/weapon/lightsaber/shared_lightsaber_two_hand_gen2.iff');
INSERT INTO `object_crc_string_table` VALUES ('111231711', '6A142DF', 'object/draft_schematic/weapon/lightsaber/shared_lightsaber_two_hand_gen3.iff');
INSERT INTO `object_crc_string_table` VALUES ('4248988107', 'FD4269CB', 'object/draft_schematic/weapon/lightsaber/shared_lightsaber_two_hand_gen4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3025079878', 'B44F0E46', 'object/draft_schematic/weapon/lightsaber/shared_lightsaber_two_hand_gen5.iff');
INSERT INTO `object_crc_string_table` VALUES ('326162791', '1370D967', 'object/draft_schematic/weapon/shared_2h_sword_scythe.iff');
INSERT INTO `object_crc_string_table` VALUES ('234370130', 'DF83452', 'object/draft_schematic/weapon/shared_axe.iff');
INSERT INTO `object_crc_string_table` VALUES ('3948376002', 'EB576FC2', 'object/draft_schematic/weapon/shared_axe_vibro.iff');
INSERT INTO `object_crc_string_table` VALUES ('3052026379', 'B5EA3A0B', 'object/draft_schematic/weapon/shared_baton_gaderiffi.iff');
INSERT INTO `object_crc_string_table` VALUES ('366533914', '15D8DD1A', 'object/draft_schematic/weapon/shared_baton_stun.iff');
INSERT INTO `object_crc_string_table` VALUES ('597539800', '239DBBD8', 'object/draft_schematic/weapon/shared_battleaxe.iff');
INSERT INTO `object_crc_string_table` VALUES ('2782911899', 'A5DFDD9B', 'object/draft_schematic/weapon/shared_blaster_cannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('76251144', '48B8008', 'object/draft_schematic/weapon/shared_carbine_blaster_cdef.iff');
INSERT INTO `object_crc_string_table` VALUES ('1906569024', '71A3EF40', 'object/draft_schematic/weapon/shared_carbine_quest_smuggler_underslung.iff');
INSERT INTO `object_crc_string_table` VALUES ('3092291953', 'B850A171', 'object/draft_schematic/weapon/shared_cleaver.iff');
INSERT INTO `object_crc_string_table` VALUES ('3647480452', 'D9682284', 'object/draft_schematic/weapon/shared_executioners_hack.iff');
INSERT INTO `object_crc_string_table` VALUES ('2797052196', 'A6B7A124', 'object/draft_schematic/weapon/shared_heavy_acid_beam.iff');
INSERT INTO `object_crc_string_table` VALUES ('1279236123', '4C3F981B', 'object/draft_schematic/weapon/shared_heavy_lightning_beam.iff');
INSERT INTO `object_crc_string_table` VALUES ('3571649817', 'D4E30D19', 'object/draft_schematic/weapon/shared_heavy_particle_beam.iff');
INSERT INTO `object_crc_string_table` VALUES ('2478786473', '93BF47A9', 'object/draft_schematic/weapon/shared_heavy_rocket_launcher.iff');
INSERT INTO `object_crc_string_table` VALUES ('1667625944', '6365F3D8', 'object/draft_schematic/weapon/shared_ion_cannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('3248015659', 'C198C92B', 'object/draft_schematic/weapon/shared_katana.iff');
INSERT INTO `object_crc_string_table` VALUES ('1343310494', '50114A9E', 'object/draft_schematic/weapon/shared_knife_stone.iff');
INSERT INTO `object_crc_string_table` VALUES ('1433859593', '5576F609', 'object/draft_schematic/weapon/shared_knife_survival.iff');
INSERT INTO `object_crc_string_table` VALUES ('1451327989', '568181F5', 'object/draft_schematic/weapon/shared_knife_twilek_dagger.iff');
INSERT INTO `object_crc_string_table` VALUES ('3275846224', 'C3417250', 'object/draft_schematic/weapon/shared_knife_vibroblade.iff');
INSERT INTO `object_crc_string_table` VALUES ('1403681275', '53AA79FB', 'object/draft_schematic/weapon/shared_knuckler_vibro.iff');
INSERT INTO `object_crc_string_table` VALUES ('4133019254', 'F658DE76', 'object/draft_schematic/weapon/shared_lance_nightsister.iff');
INSERT INTO `object_crc_string_table` VALUES ('2399536859', '8F0606DB', 'object/draft_schematic/weapon/shared_lance_vibro.iff');
INSERT INTO `object_crc_string_table` VALUES ('2188173511', '826CE0C7', 'object/draft_schematic/weapon/shared_lance_vibro_controller_fp.iff');
INSERT INTO `object_crc_string_table` VALUES ('3159431738', 'BC511A3A', 'object/draft_schematic/weapon/shared_laser_cannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('190437753', 'B59D979', 'object/draft_schematic/weapon/shared_lightsaber_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1312097223', '4E3503C7', 'object/draft_schematic/weapon/shared_maul.iff');
INSERT INTO `object_crc_string_table` VALUES ('2266178839', '87132517', 'object/draft_schematic/weapon/shared_pistol_blaster_cdef.iff');
INSERT INTO `object_crc_string_table` VALUES ('1379546989', '523A376D', 'object/draft_schematic/weapon/shared_pistol_blaster_d18.iff');
INSERT INTO `object_crc_string_table` VALUES ('2372103801', '8D636E79', 'object/draft_schematic/weapon/shared_pistol_blaster_dh17.iff');
INSERT INTO `object_crc_string_table` VALUES ('408961925', '18604385', 'object/draft_schematic/weapon/shared_pistol_blaster_dl44.iff');
INSERT INTO `object_crc_string_table` VALUES ('2361580915', '8CC2DD73', 'object/draft_schematic/weapon/shared_pistol_blaster_dl44_metal.iff');
INSERT INTO `object_crc_string_table` VALUES ('4124760882', 'F5DADB32', 'object/draft_schematic/weapon/shared_pistol_blaster_power5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1147231467', '44615CEB', 'object/draft_schematic/weapon/shared_pistol_blaster_scout_trooper.iff');
INSERT INTO `object_crc_string_table` VALUES ('3207190896', 'BF29D970', 'object/draft_schematic/weapon/shared_pistol_blaster_short_range_combat.iff');
INSERT INTO `object_crc_string_table` VALUES ('1460478', '1648FE', 'object/draft_schematic/weapon/shared_pistol_de_10.iff');
INSERT INTO `object_crc_string_table` VALUES ('343860113', '147EE391', 'object/draft_schematic/weapon/shared_pistol_disrupter_dx2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2825813273', 'A86E7D19', 'object/draft_schematic/weapon/shared_pistol_flechette_fwg5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3441382387', 'CD1F53F3', 'object/draft_schematic/weapon/shared_pistol_flechette_fwg5_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('3419108874', 'CBCB760A', 'object/draft_schematic/weapon/shared_pistol_geo_sonic_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('1800323184', '6B4EC070', 'object/draft_schematic/weapon/shared_pistol_launcher.iff');
INSERT INTO `object_crc_string_table` VALUES ('70825547', '438B64B', 'object/draft_schematic/weapon/shared_pistol_projectile_striker.iff');
INSERT INTO `object_crc_string_table` VALUES ('222927716', 'D499B64', 'object/draft_schematic/weapon/shared_pistol_quest_imperial_navy_formal.iff');
INSERT INTO `object_crc_string_table` VALUES ('3999110437', 'EE5D9525', 'object/draft_schematic/weapon/shared_pistol_republic_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('1459893602', '57043562', 'object/draft_schematic/weapon/shared_pistol_republic_blaster_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('636138859', '25EAB56B', 'object/draft_schematic/weapon/shared_pistol_scatter.iff');
INSERT INTO `object_crc_string_table` VALUES ('1580001250', '5E2CE7E2', 'object/draft_schematic/weapon/shared_poleaxe_vibro.iff');
INSERT INTO `object_crc_string_table` VALUES ('158977907', '979CF73', 'object/draft_schematic/weapon/shared_razor_knuckler.iff');
INSERT INTO `object_crc_string_table` VALUES ('2393268622', '8EA6618E', 'object/draft_schematic/weapon/shared_rifle_acid_beam.iff');
INSERT INTO `object_crc_string_table` VALUES ('2418671476', '9029FF74', 'object/draft_schematic/weapon/shared_rifle_beam.iff');
INSERT INTO `object_crc_string_table` VALUES ('393845120', '17799980', 'object/draft_schematic/weapon/shared_rifle_berserker.iff');
INSERT INTO `object_crc_string_table` VALUES ('3598018363', 'D675673B', 'object/draft_schematic/weapon/shared_rifle_blaster_cdef.iff');
INSERT INTO `object_crc_string_table` VALUES ('1869102319', '6F683CEF', 'object/draft_schematic/weapon/shared_rifle_blaster_dlt20.iff');
INSERT INTO `object_crc_string_table` VALUES ('2174565787', '819D3D9B', 'object/draft_schematic/weapon/shared_rifle_blaster_dlt20a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2213003971', '83E7C2C3', 'object/draft_schematic/weapon/shared_rifle_blaster_e11.iff');
INSERT INTO `object_crc_string_table` VALUES ('2607432911', '9B6A44CF', 'object/draft_schematic/weapon/shared_rifle_blaster_ionization_jawa.iff');
INSERT INTO `object_crc_string_table` VALUES ('621048174', '2504716E', 'object/draft_schematic/weapon/shared_rifle_blaster_laser_rifle.iff');
INSERT INTO `object_crc_string_table` VALUES ('4189243546', 'F9B2C89A', 'object/draft_schematic/weapon/shared_rifle_bowcaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('2244091215', '85C21D4F', 'object/draft_schematic/weapon/shared_rifle_disrupter_dxr6.iff');
INSERT INTO `object_crc_string_table` VALUES ('1104931422', '41DBEA5E', 'object/draft_schematic/weapon/shared_rifle_flame_thrower.iff');
INSERT INTO `object_crc_string_table` VALUES ('1774809121', '69C97021', 'object/draft_schematic/weapon/shared_rifle_light_blaster_dh17_carbine.iff');
INSERT INTO `object_crc_string_table` VALUES ('2025642760', '78BCDB08', 'object/draft_schematic/weapon/shared_rifle_light_blaster_dh17_carbine_snubnose.iff');
INSERT INTO `object_crc_string_table` VALUES ('24679666', '17894F2', 'object/draft_schematic/weapon/shared_rifle_light_blaster_e11_carbine.iff');
INSERT INTO `object_crc_string_table` VALUES ('3869068993', 'E69D4EC1', 'object/draft_schematic/weapon/shared_rifle_light_blaster_e11_carbine_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('1756442314', '68B12ECA', 'object/draft_schematic/weapon/shared_rifle_light_blaster_ee3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2997753388', 'B2AE162C', 'object/draft_schematic/weapon/shared_rifle_light_blaster_imperial_scout_carbine.iff');
INSERT INTO `object_crc_string_table` VALUES ('638676086', '26116C76', 'object/draft_schematic/weapon/shared_rifle_light_blaster_laser_carbine.iff');
INSERT INTO `object_crc_string_table` VALUES ('1659428780', '62E8DFAC', 'object/draft_schematic/weapon/shared_rifle_lightning.iff');
INSERT INTO `object_crc_string_table` VALUES ('112067557', '6AE03E5', 'object/draft_schematic/weapon/shared_rifle_projectile_tusken.iff');
INSERT INTO `object_crc_string_table` VALUES ('74294879', '46DA65F', 'object/draft_schematic/weapon/shared_rifle_quest_rebel_longrifle.iff');
INSERT INTO `object_crc_string_table` VALUES ('722478817', '2B1026E1', 'object/draft_schematic/weapon/shared_rifle_sonic_sg82.iff');
INSERT INTO `object_crc_string_table` VALUES ('3338440548', 'C6FC8F64', 'object/draft_schematic/weapon/shared_rifle_spray_stick_stohli.iff');
INSERT INTO `object_crc_string_table` VALUES ('546888390', '2098DAC6', 'object/draft_schematic/weapon/shared_rifle_t21.iff');
INSERT INTO `object_crc_string_table` VALUES ('306573674', '1245F16A', 'object/draft_schematic/weapon/shared_rifle_tangle_gun7.iff');
INSERT INTO `object_crc_string_table` VALUES ('4198608458', 'FA41AE4A', 'object/draft_schematic/weapon/shared_rifle_tenloss_disrupter.iff');
INSERT INTO `object_crc_string_table` VALUES ('2766431643', 'A4E4659B', 'object/draft_schematic/weapon/shared_staff.iff');
INSERT INTO `object_crc_string_table` VALUES ('1376786982', '52101A26', 'object/draft_schematic/weapon/shared_staff_metal.iff');
INSERT INTO `object_crc_string_table` VALUES ('2748771750', 'A3D6EDA6', 'object/draft_schematic/weapon/shared_staff_reinforced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3572901439', 'D4F6263F', 'object/draft_schematic/weapon/shared_sword.iff');
INSERT INTO `object_crc_string_table` VALUES ('2999681334', 'B2CB8136', 'object/draft_schematic/weapon/shared_sword_curved.iff');
INSERT INTO `object_crc_string_table` VALUES ('3464681484', 'CE82D80C', 'object/draft_schematic/weapon/shared_sword_ryyk_blade.iff');
INSERT INTO `object_crc_string_table` VALUES ('3719216124', 'DDAEBBFC', 'object/draft_schematic/weapon/shared_turbo_laser.iff');
INSERT INTO `object_crc_string_table` VALUES ('2878298230', 'AB8F5876', 'object/factory/base/shared_base_factory.iff');
INSERT INTO `object_crc_string_table` VALUES ('4005028874', 'EEB7E40A', 'object/factory/base/shared_factory_default.iff');
INSERT INTO `object_crc_string_table` VALUES ('1598099833', '5F411179', 'object/factory/shared_factory_crate_armor.iff');
INSERT INTO `object_crc_string_table` VALUES ('3401438151', 'CABDD3C7', 'object/factory/shared_factory_crate_chemicals.iff');
INSERT INTO `object_crc_string_table` VALUES ('2342101395', '8B99A193', 'object/factory/shared_factory_crate_clothing.iff');
INSERT INTO `object_crc_string_table` VALUES ('1584679689', '5E744B09', 'object/factory/shared_factory_crate_electronics.iff');
INSERT INTO `object_crc_string_table` VALUES ('1184983851', '46A16B2B', 'object/factory/shared_factory_crate_food.iff');
INSERT INTO `object_crc_string_table` VALUES ('3880912033', 'E75204A1', 'object/factory/shared_factory_crate_furniture.iff');
INSERT INTO `object_crc_string_table` VALUES ('685226208', '28D7B8E0', 'object/factory/shared_factory_crate_generic_items.iff');
INSERT INTO `object_crc_string_table` VALUES ('577406456', '226A85F8', 'object/factory/shared_factory_crate_installation.iff');
INSERT INTO `object_crc_string_table` VALUES ('4077073151', 'F30332FF', 'object/factory/shared_factory_crate_weapon.iff');
INSERT INTO `object_crc_string_table` VALUES ('2283159762', '881640D2', 'object/group/base/shared_base_group.iff');
INSERT INTO `object_crc_string_table` VALUES ('3581093559', 'D57326B7', 'object/group/base/shared_group_default.iff');
INSERT INTO `object_crc_string_table` VALUES ('2022504856', '788CF998', 'object/group/shared_group_object.iff');
INSERT INTO `object_crc_string_table` VALUES ('2854935626', 'AA2ADC4A', 'object/guild/base/shared_base_guild.iff');
INSERT INTO `object_crc_string_table` VALUES ('3744093888', 'DF2A56C0', 'object/guild/base/shared_guild_default.iff');
INSERT INTO `object_crc_string_table` VALUES ('2101404390', '7D40E2E6', 'object/guild/shared_guild_object.iff');
INSERT INTO `object_crc_string_table` VALUES ('544424204', '2073410C', 'object/installation/base/shared_construction_installation_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1610526259', '5FFEAE33', 'object/installation/base/shared_installation_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('4138250553', 'F6A8B139', 'object/installation/base/shared_installation_default.iff');
INSERT INTO `object_crc_string_table` VALUES ('529503793', '1F8F9631', 'object/installation/battlefield/destructible/barracks/shared_bfield_gungan_barracks.iff');
INSERT INTO `object_crc_string_table` VALUES ('745421256', '2C6E39C8', 'object/installation/battlefield/destructible/barracks/shared_bfield_nightsister_barracks.iff');
INSERT INTO `object_crc_string_table` VALUES ('3854704940', 'E5C2212C', 'object/installation/battlefield/destructible/barracks/shared_rebel_infantry_barracks.iff');
INSERT INTO `object_crc_string_table` VALUES ('3586973666', 'D5CCDFE2', 'object/installation/battlefield/destructible/barracks/shared_storm_trooper_barracks.iff');
INSERT INTO `object_crc_string_table` VALUES ('3062251189', 'B6863EB5', 'object/installation/battlefield/destructible/base/shared_base_destructible_building.iff');
INSERT INTO `object_crc_string_table` VALUES ('2258056519', '86973547', 'object/installation/battlefield/destructible/base/shared_construction_base_destructible_building.iff');
INSERT INTO `object_crc_string_table` VALUES ('1010668003', '3C3D91E3', 'object/installation/battlefield/destructible/shared_antenna_tatt_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3878304116', 'E72A3974', 'object/installation/battlefield/destructible/shared_antenna_tatt_style_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2493653890', '94A22382', 'object/installation/battlefield/destructible/shared_battlefield_constructor.iff');
INSERT INTO `object_crc_string_table` VALUES ('2039684051', '79931BD3', 'object/installation/battlefield/destructible/shared_bfield_banner_freestand_impl.iff');
INSERT INTO `object_crc_string_table` VALUES ('520990553', '1F0DAF59', 'object/installation/battlefield/destructible/shared_bfield_banner_freestand_rebl.iff');
INSERT INTO `object_crc_string_table` VALUES ('2617968651', '9C0B080B', 'object/installation/battlefield/destructible/shared_bfield_base_gate_impl.iff');
INSERT INTO `object_crc_string_table` VALUES ('2654774665', '9E3CA589', 'object/installation/battlefield/destructible/shared_bfield_column_imperial.iff');
INSERT INTO `object_crc_string_table` VALUES ('1286651525', '4CB0BE85', 'object/installation/battlefield/destructible/shared_bfield_column_impl_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('2786325575', 'A613F447', 'object/installation/battlefield/destructible/shared_bfield_column_impl_weak.iff');
INSERT INTO `object_crc_string_table` VALUES ('3243521441', 'C15435A1', 'object/installation/battlefield/destructible/shared_bfield_column_rebel.iff');
INSERT INTO `object_crc_string_table` VALUES ('4256393755', 'FDB36A1B', 'object/installation/battlefield/destructible/shared_bfield_column_rebl_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('2202504027', '83478B5B', 'object/installation/battlefield/destructible/shared_bfield_column_rebl_strong.iff');
INSERT INTO `object_crc_string_table` VALUES ('473496206', '1C38FA8E', 'object/installation/battlefield/destructible/shared_bfield_column_rebl_weak.iff');
INSERT INTO `object_crc_string_table` VALUES ('3725708837', 'DE11CE25', 'object/installation/battlefield/destructible/shared_bfield_column_strong.iff');
INSERT INTO `object_crc_string_table` VALUES ('3467497655', 'CEADD0B7', 'object/installation/battlefield/destructible/shared_bfield_gungan_cleft_wall_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('2072399894', '7B865016', 'object/installation/battlefield/destructible/shared_bfield_gungan_damaged_narrow_arch.iff');
INSERT INTO `object_crc_string_table` VALUES ('3127732580', 'BA6D6964', 'object/installation/battlefield/destructible/shared_bfield_gungan_damaged_wall_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('3148938953', 'BBB0FEC9', 'object/installation/battlefield/destructible/shared_bfield_gungan_damaged_wide_arch.iff');
INSERT INTO `object_crc_string_table` VALUES ('2861241123', 'AA8B1323', 'object/installation/battlefield/destructible/shared_bfield_gungan_pillar_damaged.iff');
INSERT INTO `object_crc_string_table` VALUES ('3046900101', 'B59C0185', 'object/installation/battlefield/destructible/shared_bfield_gungan_pillar_ruined.iff');
INSERT INTO `object_crc_string_table` VALUES ('3317620099', 'C5BEDD83', 'object/installation/battlefield/destructible/shared_bfield_gungan_relic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3260516219', 'C257877B', 'object/installation/battlefield/destructible/shared_bfield_gungan_statue_s01a.iff');
INSERT INTO `object_crc_string_table` VALUES ('423636972', '19402FEC', 'object/installation/battlefield/destructible/shared_bfield_gungan_statue_s01b.iff');
INSERT INTO `object_crc_string_table` VALUES ('4012871923', 'EF2F90F3', 'object/installation/battlefield/destructible/shared_bfield_gungan_statue_s02a.iff');
INSERT INTO `object_crc_string_table` VALUES ('876099684', '34383864', 'object/installation/battlefield/destructible/shared_bfield_gungan_statue_s02b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2410944935', '8FB419A7', 'object/installation/battlefield/destructible/shared_bfield_gungan_target_shield_gen.iff');
INSERT INTO `object_crc_string_table` VALUES ('4289393973', 'FFAAF535', 'object/installation/battlefield/destructible/shared_bfield_gungan_wall_ruined_lg_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('616390050', '24BD5DA2', 'object/installation/battlefield/destructible/shared_bfield_gungan_wall_ruined_lg_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('656107195', '271B66BB', 'object/installation/battlefield/destructible/shared_bfield_gungan_wall_ruined_sm_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4228697644', 'FC0CCE2C', 'object/installation/battlefield/destructible/shared_bfield_gungan_wall_ruined_sm_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1198047599', '4768C16F', 'object/installation/battlefield/destructible/shared_bfield_nightsister_fence.iff');
INSERT INTO `object_crc_string_table` VALUES ('712214351', '2A73874F', 'object/installation/battlefield/destructible/shared_bfield_nightsister_freestand_banner01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4049874904', 'F1642FD8', 'object/installation/battlefield/destructible/shared_bfield_nightsister_freestand_banner02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3093907541', 'B8694855', 'object/installation/battlefield/destructible/shared_bfield_nightsister_freestand_banner03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2788699463', 'A6382D47', 'object/installation/battlefield/destructible/shared_bfield_nightsister_gate.iff');
INSERT INTO `object_crc_string_table` VALUES ('1444171901', '5614507D', 'object/installation/battlefield/destructible/shared_bfield_nightsister_hut.iff');
INSERT INTO `object_crc_string_table` VALUES ('3112050906', 'B97E20DA', 'object/installation/battlefield/destructible/shared_bfield_nightsister_target_sith_altar.iff');
INSERT INTO `object_crc_string_table` VALUES ('483726355', '1CD51413', 'object/installation/battlefield/destructible/shared_bfield_nightsister_target_sith_crystal.iff');
INSERT INTO `object_crc_string_table` VALUES ('3796911801', 'E25046B9', 'object/installation/battlefield/destructible/shared_bfield_nightsister_target_tower.iff');
INSERT INTO `object_crc_string_table` VALUES ('2393390431', '8EA83D5F', 'object/installation/battlefield/destructible/shared_bfield_target_power_generator.iff');
INSERT INTO `object_crc_string_table` VALUES ('3659920532', 'DA25F494', 'object/installation/battlefield/destructible/shared_bfield_target_power_transformer_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('20077571', '1325C03', 'object/installation/battlefield/destructible/shared_bfield_target_power_transformer_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4261137937', 'FDFBCE11', 'object/installation/battlefield/destructible/shared_bfield_wall_barbed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2122168983', '7E7DBA97', 'object/installation/battlefield/destructible/shared_bfield_wall_connector.iff');
INSERT INTO `object_crc_string_table` VALUES ('3072454055', 'B721EDA7', 'object/installation/battlefield/destructible/shared_bfield_wall_impl_weak.iff');
INSERT INTO `object_crc_string_table` VALUES ('2827387119', 'A88680EF', 'object/installation/battlefield/destructible/shared_bfield_wall_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('3711597492', 'DD3A7BB4', 'object/installation/battlefield/destructible/shared_bfield_wall_rebl_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('2237630314', '855F876A', 'object/installation/battlefield/destructible/shared_bfield_wall_rebl_strong.iff');
INSERT INTO `object_crc_string_table` VALUES ('218817390', 'D0AE36E', 'object/installation/battlefield/destructible/shared_bfield_wall_rebl_weak.iff');
INSERT INTO `object_crc_string_table` VALUES ('1471201695', '57B0C19F', 'object/installation/battlefield/destructible/shared_bfield_wall_strong.iff');
INSERT INTO `object_crc_string_table` VALUES ('2515256237', '95EBC3AD', 'object/installation/battlefield/destructible/shared_gungan_sacred_head.iff');
INSERT INTO `object_crc_string_table` VALUES ('4180449547', 'F92C990B', 'object/installation/battlefield/destructible/shared_imperial_gate_house.iff');
INSERT INTO `object_crc_string_table` VALUES ('3637065132', 'D8C935AC', 'object/installation/battlefield/destructible/shared_rebel_gate_house.iff');
INSERT INTO `object_crc_string_table` VALUES ('422378636', '192CFC8C', 'object/installation/battlefield/destructible/shared_small_turret.iff');
INSERT INTO `object_crc_string_table` VALUES ('209537017', 'C7D47F9', 'object/installation/battlefield/destructible/shared_turret_dish_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('718314234', '2AD09AFA', 'object/installation/battlefield/destructible/shared_turret_tower_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('2218940295', '84425787', 'object/installation/faction_perk/covert_detector/shared_detector_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1321802406', '4EC91AA6', 'object/installation/faction_perk/minefield/base/shared_minefield_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1970833898', '757889EA', 'object/installation/faction_perk/minefield/shared_field_1x1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1860325711', '6EE2514F', 'object/installation/faction_perk/turret/base/shared_faction_turret_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2286796965', '884DC0A5', 'object/installation/faction_perk/turret/shared_block_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('1869715208', '6F719708', 'object/installation/faction_perk/turret/shared_block_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('1969720102', '75678B26', 'object/installation/faction_perk/turret/shared_block_sm.iff');
INSERT INTO `object_crc_string_table` VALUES ('1581064772', '5E3D2244', 'object/installation/faction_perk/turret/shared_dish_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('2736220615', 'A31769C7', 'object/installation/faction_perk/turret/shared_dish_sm.iff');
INSERT INTO `object_crc_string_table` VALUES ('3604402557', 'D6D6D17D', 'object/installation/faction_perk/turret/shared_tower_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('2960737285', 'B0794405', 'object/installation/faction_perk/turret/shared_tower_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('737975038', '2BFC9AFE', 'object/installation/faction_perk/turret/shared_tower_sm.iff');
INSERT INTO `object_crc_string_table` VALUES ('3676361903', 'DB20D4AF', 'object/installation/generators/base/shared_power_generator_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1283788286', '4C850DFE', 'object/installation/generators/shared_power_generator_fusion_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2363771835', '8CE44BBB', 'object/installation/generators/shared_power_generator_photo_bio_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('859942951', '3341B027', 'object/installation/generators/shared_power_generator_solar_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2932869055', 'AED007BF', 'object/installation/generators/shared_power_generator_wind_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3460199396', 'CE3E73E4', 'object/installation/manufacture/base/shared_manufacture_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2037216595', '796D7553', 'object/installation/manufacture/shared_clothing_factory.iff');
INSERT INTO `object_crc_string_table` VALUES ('2484565682', '941776B2', 'object/installation/manufacture/shared_food_factory.iff');
INSERT INTO `object_crc_string_table` VALUES ('1556571915', '5CC7670B', 'object/installation/manufacture/shared_structure_factory.iff');
INSERT INTO `object_crc_string_table` VALUES ('1304272380', '4DBD9DFC', 'object/installation/manufacture/shared_weapon_factory.iff');
INSERT INTO `object_crc_string_table` VALUES ('415547091', '18C4BED3', 'object/installation/manufacture/shared_weapon_installation.iff');
INSERT INTO `object_crc_string_table` VALUES ('1518209965', '5A7E0BAD', 'object/installation/mining_gas/base/shared_mining_gas_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3446200775', 'CD68D9C7', 'object/installation/mining_gas/shared_mining_gas_harvester_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('377450832', '167F7150', 'object/installation/mining_gas/shared_mining_gas_harvester_style_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1601312477', '5F7216DD', 'object/installation/mining_gas/shared_mining_gas_harvester_style_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2659189194', '9E8001CA', 'object/installation/mining_liquid/base/shared_mining_liquid_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2015682736', '7824E0B0', 'object/installation/mining_liquid/shared_mining_liquid_harvester_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2738047015', 'A3334827', 'object/installation/mining_liquid/shared_mining_liquid_harvester_style_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3929943978', 'EA3E2FAA', 'object/installation/mining_liquid/shared_mining_liquid_harvester_style_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2235626870', '8540F576', 'object/installation/mining_liquid/shared_mining_liquid_moisture_harvester.iff');
INSERT INTO `object_crc_string_table` VALUES ('1305511934', '4DD087FE', 'object/installation/mining_liquid/shared_mining_liquid_moisture_harvester_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('3152239258', 'BBE35A9A', 'object/installation/mining_liquid/shared_mining_liquid_moisture_harvester_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('860426391', '33491097', 'object/installation/mining_liquid/shared_resource_harvester.iff');
INSERT INTO `object_crc_string_table` VALUES ('1937734566', '737F7BA6', 'object/installation/mining_ore/base/shared_mining_ore_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2242761962', '85ADD4EA', 'object/installation/mining_ore/construction/shared_construction_mining_ore_harvester_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1589279869', '5EBA7C7D', 'object/installation/mining_ore/construction/shared_construction_mining_ore_harvester_style_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1103585647', '41C7616F', 'object/installation/mining_ore/construction/shared_construction_mining_ore_harvester_style_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('1077924017', '403FD0B1', 'object/installation/mining_ore/shared_mining_ore_harvester_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('1719643610', '667FADDA', 'object/installation/mining_ore/shared_mining_ore_harvester_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3177710925', 'BD68054D', 'object/installation/mining_ore/shared_mining_ore_harvester_style_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1780958356', '6A274494', 'object/installation/mining_organic/base/shared_mining_organic_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3544083954', 'D33E6DF2', 'object/installation/mining_organic/shared_mining_organic_creature_farm.iff');
INSERT INTO `object_crc_string_table` VALUES ('3438944708', 'CCFA21C4', 'object/installation/mining_organic/shared_mining_organic_flora_farm.iff');
INSERT INTO `object_crc_string_table` VALUES ('880917767', '3481BD07', 'object/installation/mining_organic/shared_mining_organic_flora_farm_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('681856626', '28A44E72', 'object/installation/mining_organic/shared_mining_organic_flora_farm_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('646823895', '268DBFD7', 'object/installation/turret/base/shared_turret_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3901317905', 'E8896311', 'object/installation/turret/shared_turret_block_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('1652270840', '627BA6F8', 'object/installation/turret/shared_turret_block_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('3880132119', 'E7461E17', 'object/installation/turret/shared_turret_block_sm.iff');
INSERT INTO `object_crc_string_table` VALUES ('264371583', 'FC1FD7F', 'object/installation/turret/shared_turret_dish_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('3645535897', 'D94A7699', 'object/installation/turret/shared_turret_dish_sm.iff');
INSERT INTO `object_crc_string_table` VALUES ('1938857030', '73909C46', 'object/installation/turret/shared_turret_tower_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('3178460661', 'BD7375F5', 'object/installation/turret/shared_turret_tower_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('3118272463', 'B9DD0FCF', 'object/installation/turret/shared_turret_tower_sm.iff');
INSERT INTO `object_crc_string_table` VALUES ('3949582877', 'EB69DA1D', 'object/intangible/base/shared_base_intangible.iff');
INSERT INTO `object_crc_string_table` VALUES ('1331018210', '4F55B9E2', 'object/intangible/base/shared_intangible_default.iff');
INSERT INTO `object_crc_string_table` VALUES ('1638993826', '61B10FA2', 'object/intangible/data_item/shared_data_geiger_counter.iff');
INSERT INTO `object_crc_string_table` VALUES ('228023073', 'D975B21', 'object/intangible/data_item/shared_data_imperial.iff');
INSERT INTO `object_crc_string_table` VALUES ('4189484016', 'F9B673F0', 'object/intangible/data_item/shared_data_item.iff');
INSERT INTO `object_crc_string_table` VALUES ('197286219', 'BC2594B', 'object/intangible/data_item/shared_data_rebel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1128492217', '43436CB9', 'object/intangible/data_item/shared_droid_command.iff');
INSERT INTO `object_crc_string_table` VALUES ('994574621', '3B48011D', 'object/intangible/data_item/shared_warren_encryption_key.iff');
INSERT INTO `object_crc_string_table` VALUES ('3760892474', 'E02AAA3A', 'object/intangible/data_item/shared_warren_evidence_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('993854125', '3B3D02AD', 'object/intangible/data_item/shared_warren_evidence_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1915774240', '72306520', 'object/intangible/data_item/shared_warren_evidence_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2312326708', '89D34E34', 'object/intangible/data_item/shared_warren_evidence_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2608329477', '9B77F305', 'object/intangible/faction_perk/shared_shuttle_extract.iff');
INSERT INTO `object_crc_string_table` VALUES ('1789110379', '6AA3A86B', 'object/intangible/holocron/shared_newbie_mission.iff');
INSERT INTO `object_crc_string_table` VALUES ('1339278002', '4FD3C2B2', 'object/intangible/pet/shared_21b_surgical_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('1151045797', '449B90A5', 'object/intangible/pet/shared_3po_protocol_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('23365206', '1648656', 'object/intangible/pet/shared_3po_protocol_droid_crafted.iff');
INSERT INTO `object_crc_string_table` VALUES ('1404851907', '53BC56C3', 'object/intangible/pet/shared_3po_protocol_droid_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('2910857037', 'AD80274D', 'object/intangible/pet/shared_3po_protocol_droid_silver.iff');
INSERT INTO `object_crc_string_table` VALUES ('589316378', '2320411A', 'object/intangible/pet/shared_angler_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1324343534', '4EEFE0EE', 'object/intangible/pet/shared_astromech_waiter.iff');
INSERT INTO `object_crc_string_table` VALUES ('3823818603', 'E3EAD76B', 'object/intangible/pet/shared_bageraset_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('4245924782', 'FD13ABAE', 'object/intangible/pet/shared_bantha_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2460317493', '92A57735', 'object/intangible/pet/shared_bark_mite_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2105300149', '7D7C54B5', 'object/intangible/pet/shared_bearded_jax_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2907258996', 'AD494074', 'object/intangible/pet/shared_blurrg_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3961986832', 'EC271F10', 'object/intangible/pet/shared_boar_wolf_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1462408235', '572A942B', 'object/intangible/pet/shared_bocatt_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3365864788', 'C89F0554', 'object/intangible/pet/shared_bol_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3465438553', 'CE8E6559', 'object/intangible/pet/shared_bolle_bol_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2112020105', '7DE2DE89', 'object/intangible/pet/shared_bolma_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2304397641', '895A5149', 'object/intangible/pet/shared_bomarr_monk_spider_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('3248156228', 'C19AEE44', 'object/intangible/pet/shared_bordok_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3776791504', 'E11D43D0', 'object/intangible/pet/shared_borgle_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('932343786', '37926FEA', 'object/intangible/pet/shared_brackaset_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('85637661', '51ABA1D', 'object/intangible/pet/shared_capper_spineflap_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1876009660', '6FD1A2BC', 'object/intangible/pet/shared_carrion_spat_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1603716876', '5F96C70C', 'object/intangible/pet/shared_choku_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2478782544', '93BF3850', 'object/intangible/pet/shared_chuba_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1945863130', '73FB83DA', 'object/intangible/pet/shared_cll8_binary_load_lifter.iff');
INSERT INTO `object_crc_string_table` VALUES ('4157866050', 'F7D40042', 'object/intangible/pet/shared_condor_dragon_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1485452335', '588A342F', 'object/intangible/pet/shared_corellian_butterfly_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('261977165', 'F9D744D', 'object/intangible/pet/shared_corellian_sand_panther_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('636628481', '25F22E01', 'object/intangible/pet/shared_corellian_slice_hound_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2696046285', 'A0B266CD', 'object/intangible/pet/shared_crystal_snake.iff');
INSERT INTO `object_crc_string_table` VALUES ('2229022652', '84DC2FBC', 'object/intangible/pet/shared_cu_pa_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3738155310', 'DECFB92E', 'object/intangible/pet/shared_dalyrake_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3870771439', 'E6B748EF', 'object/intangible/pet/shared_darth_maul_probe_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('2745422351', 'A3A3D20F', 'object/intangible/pet/shared_dewback_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2217571195', '842D737B', 'object/intangible/pet/shared_droid_pet.iff');
INSERT INTO `object_crc_string_table` VALUES ('3107311581', 'B935CFDD', 'object/intangible/pet/shared_droideka.iff');
INSERT INTO `object_crc_string_table` VALUES ('2377707050', '8DB8EE2A', 'object/intangible/pet/shared_dune_lizard_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('779257516', '2E7286AC', 'object/intangible/pet/shared_durni_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2326969858', '8AB2BE02', 'object/intangible/pet/shared_dwarf_nuna_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('215765850', 'CDC535A', 'object/intangible/pet/shared_dz70_fugitive_tracker_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('4040278264', 'F0D1C0F8', 'object/intangible/pet/shared_eg6_power_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('1381576162', '52592DE2', 'object/intangible/pet/shared_eg6_power_droid_crafted.iff');
INSERT INTO `object_crc_string_table` VALUES ('3150571270', 'BBC9E706', 'object/intangible/pet/shared_eopie_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2257725045', '86922675', 'object/intangible/pet/shared_ev_9d9.iff');
INSERT INTO `object_crc_string_table` VALUES ('2686405669', 'A01F4C25', 'object/intangible/pet/shared_falumpaset_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3353974211', 'C7E995C3', 'object/intangible/pet/shared_fambaa_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1856953327', '6EAEDBEF', 'object/intangible/pet/shared_fanned_rawl_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3804467322', 'E2C3907A', 'object/intangible/pet/shared_flewt_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2923608669', 'AE42BA5D', 'object/intangible/pet/shared_flit_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2285917811', '88405673', 'object/intangible/pet/shared_fynock_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('184038036', 'AF83294', 'object/intangible/pet/shared_gackle_bat_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3334930732', 'C6C7012C', 'object/intangible/pet/shared_gaping_spider_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2858510328', 'AA6167F8', 'object/intangible/pet/shared_gnort_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('580835531', '229ED8CB', 'object/intangible/pet/shared_graul_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3080189549', 'B797F66D', 'object/intangible/pet/shared_gronda_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('943256525', '3838F3CD', 'object/intangible/pet/shared_gualama_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2671246669', '9F37FD4D', 'object/intangible/pet/shared_gubbur_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2334338028', '8B232BEC', 'object/intangible/pet/shared_guf_drolg_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('896340341', '356D1175', 'object/intangible/pet/shared_gulginaw_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3720963355', 'DDC9651B', 'object/intangible/pet/shared_gurk_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('223844542', 'D5798BE', 'object/intangible/pet/shared_gurnaset_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2145605419', '7FE3572B', 'object/intangible/pet/shared_gurreck_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('697606401', '2994A101', 'object/intangible/pet/shared_hanadak_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2367204663', '8D18AD37', 'object/intangible/pet/shared_hermit_spider_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2396316832', '8ED4E4A0', 'object/intangible/pet/shared_horned_krevol_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3500397762', 'D0A3D4C2', 'object/intangible/pet/shared_horned_rasp_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3089599434', 'B8278BCA', 'object/intangible/pet/shared_huf_dun_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1969470414', '7563BBCE', 'object/intangible/pet/shared_huurton_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1786377662', '6A79F5BE', 'object/intangible/pet/shared_ig_assassin_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('936658701', '37D4470D', 'object/intangible/pet/shared_ikopi_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1276251054', '4C120BAE', 'object/intangible/pet/shared_ito_interrogator.iff');
INSERT INTO `object_crc_string_table` VALUES ('1791601248', '6AC9AA60', 'object/intangible/pet/shared_kaadu_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3450820067', 'CDAF55E3', 'object/intangible/pet/shared_kai_tok_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3208771572', 'BF41F7F4', 'object/intangible/pet/shared_kima_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('4021952384', 'EFBA1F80', 'object/intangible/pet/shared_kimogila_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2970580359', 'B10F7587', 'object/intangible/pet/shared_kliknik_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2054788993', '7A799781', 'object/intangible/pet/shared_krahbu_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1739916137', '67B50369', 'object/intangible/pet/shared_kusak_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3989984964', 'EDD256C4', 'object/intangible/pet/shared_kwi_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2731995998', 'A2D6F35E', 'object/intangible/pet/shared_langlatch_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('554540263', '210D9CE7', 'object/intangible/pet/shared_lantern_bird_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1013378354', '3C66ED32', 'object/intangible/pet/shared_le_repair_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('771860722', '2E01A8F2', 'object/intangible/pet/shared_lin_demolitionmech.iff');
INSERT INTO `object_crc_string_table` VALUES ('754217676', '2CF472CC', 'object/intangible/pet/shared_malkloc_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3067716749', 'B6D9A48D', 'object/intangible/pet/shared_mamien_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('10709435', 'A369BB', 'object/intangible/pet/shared_mawgax_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2431435109', '90ECC165', 'object/intangible/pet/shared_merek_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('604608091', '2409965B', 'object/intangible/pet/shared_mott_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1597090102', '5F31A936', 'object/intangible/pet/shared_mouse_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('3582700290', 'D58BAB02', 'object/intangible/pet/shared_mouse_droid_crafted.iff');
INSERT INTO `object_crc_string_table` VALUES ('548542319', '20B2176F', 'object/intangible/pet/shared_murra_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1986283606', '76644856', 'object/intangible/pet/shared_mynock_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3888571684', 'E7C6E524', 'object/intangible/pet/shared_narglatch_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3421430045', 'CBEEE11D', 'object/intangible/pet/shared_nhelper_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('3091853501', 'B849F0BD', 'object/intangible/pet/shared_nuna_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('392393668', '176373C4', 'object/intangible/pet/shared_peko_peko_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1839464306', '6DA3FF72', 'object/intangible/pet/shared_perlek_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1094694212', '413FB544', 'object/intangible/pet/shared_pet_control.iff');
INSERT INTO `object_crc_string_table` VALUES ('3291887021', 'C43635AD', 'object/intangible/pet/shared_pet_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3554017920', 'D3D60280', 'object/intangible/pet/shared_piket_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2974753647', 'B14F236F', 'object/intangible/pet/shared_plumed_rasp_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('535952493', '1FF1FC6D', 'object/intangible/pet/shared_probot.iff');
INSERT INTO `object_crc_string_table` VALUES ('4000809563', 'EE77825B', 'object/intangible/pet/shared_pugoriss_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3982156177', 'ED5AE191', 'object/intangible/pet/shared_purbole_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2267633287', '87295687', 'object/intangible/pet/shared_quenker_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2191450852', '829EE2E4', 'object/intangible/pet/shared_r2.iff');
INSERT INTO `object_crc_string_table` VALUES ('442194865', '1A5B5BB1', 'object/intangible/pet/shared_r2_crafted.iff');
INSERT INTO `object_crc_string_table` VALUES ('387302363', '1715C3DB', 'object/intangible/pet/shared_r2d2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3415442793', 'CB938569', 'object/intangible/pet/shared_r3.iff');
INSERT INTO `object_crc_string_table` VALUES ('4076801460', 'F2FF0DB4', 'object/intangible/pet/shared_r3_crafted.iff');
INSERT INTO `object_crc_string_table` VALUES ('812691069', '3070AE7D', 'object/intangible/pet/shared_r4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1610650817', '600094C1', 'object/intangible/pet/shared_r4_crafted.iff');
INSERT INTO `object_crc_string_table` VALUES ('2038286832', '797DC9F0', 'object/intangible/pet/shared_r5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2292499140', '88A4C2C4', 'object/intangible/pet/shared_r5_crafted.iff');
INSERT INTO `object_crc_string_table` VALUES ('50664012', '305124C', 'object/intangible/pet/shared_ra7_bug_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('1377624567', '521CE1F7', 'object/intangible/pet/shared_rancor_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2028852617', '78EDD589', 'object/intangible/pet/shared_reptilian_flier_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2100700576', '7D3625A0', 'object/intangible/pet/shared_roba_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2925451769', 'AE5ED9F9', 'object/intangible/pet/shared_robo_bartender.iff');
INSERT INTO `object_crc_string_table` VALUES ('1336305960', '4FA66928', 'object/intangible/pet/shared_rock_mite_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('794949628', '2F61F7FC', 'object/intangible/pet/shared_ronto_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2085682547', '7C50FD73', 'object/intangible/pet/shared_salt_mynock_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('273179059', '104861B3', 'object/intangible/pet/shared_sharnaff_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2159009522', '80AFDEF2', 'object/intangible/pet/shared_shaupaut_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2966894198', 'B0D73676', 'object/intangible/pet/shared_shear_mite_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3842631555', 'E509E783', 'object/intangible/pet/shared_skreeg_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3901518942', 'E88C745E', 'object/intangible/pet/shared_snorbal_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('4255586723', 'FDA719A3', 'object/intangible/pet/shared_spined_puc_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2113307554', '7DF683A2', 'object/intangible/pet/shared_spined_snake_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('713872273', '2A8CD391', 'object/intangible/pet/shared_squall_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('4189043940', 'F9AFBCE4', 'object/intangible/pet/shared_squill_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('748019304', '2C95DE68', 'object/intangible/pet/shared_stintaril_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2871755001', 'AB2B80F9', 'object/intangible/pet/shared_swirl_prong_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3342328122', 'C737E13A', 'object/intangible/pet/shared_tanc_mite_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1854611752', '6E8B2128', 'object/intangible/pet/shared_thune_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('969518136', '39C9AC38', 'object/intangible/pet/shared_tip_solicitor_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('2899651011', 'ACD529C3', 'object/intangible/pet/shared_torton_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3182158026', 'BDABE0CA', 'object/intangible/pet/shared_training_remote.iff');
INSERT INTO `object_crc_string_table` VALUES ('1553023360', '5C914180', 'object/intangible/pet/shared_tt8l.iff');
INSERT INTO `object_crc_string_table` VALUES ('218724646', 'D097926', 'object/intangible/pet/shared_tt8l_y7.iff');
INSERT INTO `object_crc_string_table` VALUES ('2290289692', '88830C1C', 'object/intangible/pet/shared_tusk_cat_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3794077692', 'E22507FC', 'object/intangible/pet/shared_tybis_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3304145962', 'C4F1442A', 'object/intangible/pet/shared_veermok_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3441960181', 'CD2824F5', 'object/intangible/pet/shared_vehicular_prototype.iff');
INSERT INTO `object_crc_string_table` VALUES ('2843250911', 'A97890DF', 'object/intangible/pet/shared_vehicular_prototype_bike.iff');
INSERT INTO `object_crc_string_table` VALUES ('2036157279', '795D4B5F', 'object/intangible/pet/shared_verne_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('58797746', '3812EB2', 'object/intangible/pet/shared_vesp_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('844441928', '32552948', 'object/intangible/pet/shared_vir_vur_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1578601916', '5E178DBC', 'object/intangible/pet/shared_voritor_lizard_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3828927679', 'E438CCBF', 'object/intangible/pet/shared_vynock_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1347741729', '5054E821', 'object/intangible/pet/shared_wed_treadwell.iff');
INSERT INTO `object_crc_string_table` VALUES ('273820215', '10522A37', 'object/intangible/pet/shared_womp_rat_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3182931850', 'BDB7AF8A', 'object/intangible/pet/shared_woolamander_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2024101379', '78A55603', 'object/intangible/pet/shared_worrt_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('49929061', '2F9DB65', 'object/intangible/pet/shared_zucca_boar_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1318932514', '4E9D5022', 'object/intangible/ship/base/shared_ship_control_device_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3231609067', 'C09E70EB', 'object/intangible/ship/shared_awing_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('3117731697', 'B9D4CF71', 'object/intangible/ship/shared_basic_hutt_light_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('3542586269', 'D327939D', 'object/intangible/ship/shared_basic_tiefighter_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('1951744339', '74554153', 'object/intangible/ship/shared_basic_z95_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('1920551856', '72794BB0', 'object/intangible/ship/shared_blacksun_heavy_s01_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('1622780077', '60B9A8AD', 'object/intangible/ship/shared_blacksun_heavy_s02_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('2461598411', '92B902CB', 'object/intangible/ship/shared_blacksun_heavy_s03_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('1161326231', '45386E97', 'object/intangible/ship/shared_blacksun_heavy_s04_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('4287843959', 'FF934E77', 'object/intangible/ship/shared_blacksun_light_s01_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('3981684074', 'ED53AD6A', 'object/intangible/ship/shared_blacksun_light_s02_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('525534988', '1F53070C', 'object/intangible/ship/shared_blacksun_light_s03_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('3369233232', 'C8D26B50', 'object/intangible/ship/shared_blacksun_light_s04_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('3830604387', 'E4526263', 'object/intangible/ship/shared_blacksun_medium_s01_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('4136796542', 'F692817E', 'object/intangible/ship/shared_blacksun_medium_s02_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('76688152', '4922B18', 'object/intangible/ship/shared_blacksun_medium_s03_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('3541256004', 'D3134744', 'object/intangible/ship/shared_blacksun_medium_s04_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('4256405331', 'FDB39753', 'object/intangible/ship/shared_bwing_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('816398955', '30A9426B', 'object/intangible/ship/shared_decimator_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('3214165542', 'BF944626', 'object/intangible/ship/shared_firespray_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('2913916856', 'ADAED7B8', 'object/intangible/ship/shared_hutt_heavy_s01_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('3211670693', 'BF6E34A5', 'object/intangible/ship/shared_hutt_heavy_s02_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('541381247', '2044D27F', 'object/intangible/ship/shared_hutt_light_s01_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('847524194', '32843162', 'object/intangible/ship/shared_hutt_light_s02_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('437951543', '1A1A9C37', 'object/intangible/ship/shared_hutt_medium_s01_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('148537130', '8DA7F2A', 'object/intangible/ship/shared_hutt_medium_s02_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('3431555714', 'CC896282', 'object/intangible/ship/shared_hutt_turret_ship_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('3404705593', 'CAEFAF39', 'object/intangible/ship/shared_navicomputer_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('301467566', '11F807AE', 'object/intangible/ship/shared_navicomputer_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1492475939', '58F56023', 'object/intangible/ship/shared_navicomputer_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2736147255', 'A3164B37', 'object/intangible/ship/shared_navicomputer_4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3927649466', 'EA1B2CBA', 'object/intangible/ship/shared_navicomputer_5.iff');
INSERT INTO `object_crc_string_table` VALUES ('822903853', '310C842D', 'object/intangible/ship/shared_navicomputer_6.iff');
INSERT INTO `object_crc_string_table` VALUES ('1537107009', '5B9E6441', 'object/intangible/ship/shared_navicomputer_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3320786901', 'C5EF2FD5', 'object/intangible/ship/shared_prototype_hutt_light_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('2937877305', 'AF1C7339', 'object/intangible/ship/shared_prototype_tiefighter_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('3760715561', 'E027F729', 'object/intangible/ship/shared_prototype_z95_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('264594860', 'FC565AC', 'object/intangible/ship/shared_sorosuub_space_yacht_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('4072676654', 'F2C01D2E', 'object/intangible/ship/shared_tie_in_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('3211390', '31007E', 'object/intangible/ship/shared_tie_light_duty_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('3041041630', 'B5429CDE', 'object/intangible/ship/shared_tieadvanced_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('3555369555', 'D3EAA253', 'object/intangible/ship/shared_tieaggressor_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('3994408379', 'EE15D5BB', 'object/intangible/ship/shared_tiebomber_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('2741040950', 'A360F736', 'object/intangible/ship/shared_tiefighter_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('4152772827', 'F78648DB', 'object/intangible/ship/shared_tieinterceptor_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('3673716446', 'DAF876DE', 'object/intangible/ship/shared_tieoppressor_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('3314812569', 'C5940699', 'object/intangible/ship/shared_xwing_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('1454524572', '56B2489C', 'object/intangible/ship/shared_ykl37r_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('2265582340', '870A0B04', 'object/intangible/ship/shared_yt1300_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('3884767324', 'E78CD85C', 'object/intangible/ship/shared_ywing_longprobe_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('758141084', '2D30509C', 'object/intangible/ship/shared_ywing_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('628864673', '257BB6A1', 'object/intangible/ship/shared_z95_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('2322781790', '8A72D65E', 'object/intangible/theater/shared_base_theater.iff');
INSERT INTO `object_crc_string_table` VALUES ('2096609656', '7CF7B978', 'object/intangible/vehicle/shared_jetpack_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('3762629621', 'E0452BF5', 'object/intangible/vehicle/shared_landspeeder_av21_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('3148893162', 'BBB04BEA', 'object/intangible/vehicle/shared_landspeeder_x31_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('2364632781', '8CF16ECD', 'object/intangible/vehicle/shared_landspeeder_x34_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('1448247515', '565280DB', 'object/intangible/vehicle/shared_speederbike_flash_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('3659586517', 'DA20DBD5', 'object/intangible/vehicle/shared_speederbike_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('2233671002', '85231D5A', 'object/intangible/vehicle/shared_speederbike_swoop_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('2853503513', 'AA150219', 'object/intangible/vehicle/shared_vehicle_pcd_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('4042830301', 'F0F8B1DD', 'object/jedi_manager/shared_jedi_manager.iff');
INSERT INTO `object_crc_string_table` VALUES ('3062041799', 'B6830CC7', 'object/manufacture_schematic/base/shared_base_manufacture_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('933697332', '37A71734', 'object/manufacture_schematic/base/shared_manufacture_schematic_default.iff');
INSERT INTO `object_crc_string_table` VALUES ('941212681', '3819C409', 'object/manufacture_schematic/shared_generic_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3240843527', 'C12B5907', 'object/mission/base/shared_base_mission.iff');
INSERT INTO `object_crc_string_table` VALUES ('2210569821', '83C29E5D', 'object/mission/base/shared_mission_default.iff');
INSERT INTO `object_crc_string_table` VALUES ('3205608574', 'BF11B47E', 'object/mission/shared_mission_data_object.iff');
INSERT INTO `object_crc_string_table` VALUES ('2729425872', 'A2AFBBD0', 'object/mission/shared_mission_list_entry_object.iff');
INSERT INTO `object_crc_string_table` VALUES ('3741732474', 'DF064E7A', 'object/mission/shared_mission_object.iff');
INSERT INTO `object_crc_string_table` VALUES ('721694525', '2B042F3D', 'object/mobile/naboo_npc/shared_thrawn.iff');
INSERT INTO `object_crc_string_table` VALUES ('548983473', '20B8D2B1', 'object/mobile/naboo_npc/shared_veers.iff');
INSERT INTO `object_crc_string_table` VALUES ('3419245135', 'CBCD8A4F', 'object/mobile/shared_21b_surgical_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('2871376015', 'AB25B88F', 'object/mobile/shared_3po_protocol.iff');
INSERT INTO `object_crc_string_table` VALUES ('3229997144', 'C085D858', 'object/mobile/shared_3po_protocol_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('2322058554', '8A67CD3A', 'object/mobile/shared_3po_protocol_droid_crafted.iff');
INSERT INTO `object_crc_string_table` VALUES ('3980932165', 'ED483445', 'object/mobile/shared_3po_protocol_droid_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('4167333574', 'F86476C6', 'object/mobile/shared_3po_protocol_droid_silver.iff');
INSERT INTO `object_crc_string_table` VALUES ('1105187711', '41DFD37F', 'object/mobile/shared_4lom.iff');
INSERT INTO `object_crc_string_table` VALUES ('1714052983', '662A5F77', 'object/mobile/shared_ackbar.iff');
INSERT INTO `object_crc_string_table` VALUES ('258679778', 'F6B23E2', 'object/mobile/shared_acklay_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1079261977', '40543B19', 'object/mobile/shared_alpha_bolma.iff');
INSERT INTO `object_crc_string_table` VALUES ('873755149', '3414720D', 'object/mobile/shared_alpha_veermok.iff');
INSERT INTO `object_crc_string_table` VALUES ('3645434131', 'D948E913', 'object/mobile/shared_angler.iff');
INSERT INTO `object_crc_string_table` VALUES ('3561022171', 'D440E2DB', 'object/mobile/shared_angler_hatchling.iff');
INSERT INTO `object_crc_string_table` VALUES ('2757109237', 'A45625F5', 'object/mobile/shared_angler_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1513149813', '5A30D575', 'object/mobile/shared_ankura_gungan.iff');
INSERT INTO `object_crc_string_table` VALUES ('2880441498', 'ABB00C9A', 'object/mobile/shared_aqualish_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('3577500162', 'D53C5202', 'object/mobile/shared_aqualish_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('3611025486', 'D73BE04E', 'object/mobile/shared_aqualish_s02_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('1031980568', '3D82C618', 'object/mobile/shared_aqualish_s02_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('3503096648', 'D0CD0348', 'object/mobile/shared_aqualish_s03_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('3172099711', 'BD12667F', 'object/mobile/shared_aqualish_s03_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('193029957', 'B816745', 'object/mobile/shared_arachne_hatchling.iff');
INSERT INTO `object_crc_string_table` VALUES ('1942418333', '73C6F39D', 'object/mobile/shared_astromech_waiter.iff');
INSERT INTO `object_crc_string_table` VALUES ('4274898142', 'FECDC4DE', 'object/mobile/shared_atat.iff');
INSERT INTO `object_crc_string_table` VALUES ('2128352281', '7EDC1419', 'object/mobile/shared_atst.iff');
INSERT INTO `object_crc_string_table` VALUES ('573531266', '222F6482', 'object/mobile/shared_aujante_klee.iff');
INSERT INTO `object_crc_string_table` VALUES ('3520114851', 'D1D0B0A3', 'object/mobile/shared_baby_bol.iff');
INSERT INTO `object_crc_string_table` VALUES ('2017464107', '78400F2B', 'object/mobile/shared_bageraset.iff');
INSERT INTO `object_crc_string_table` VALUES ('3463716330', 'CE741DEA', 'object/mobile/shared_bageraset_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3918529401', 'E9900379', 'object/mobile/shared_bantha.iff');
INSERT INTO `object_crc_string_table` VALUES ('2053492545', '7A65CF41', 'object/mobile/shared_bantha_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1901766605', '715AA7CD', 'object/mobile/shared_bantha_saddle.iff');
INSERT INTO `object_crc_string_table` VALUES ('205859894', 'C452C36', 'object/mobile/shared_bantha_saddle_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3755698973', 'DFDB6B1D', 'object/mobile/shared_barada.iff');
INSERT INTO `object_crc_string_table` VALUES ('2318119001', '8A2BB059', 'object/mobile/shared_bark_mite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1477419452', '580FA1BC', 'object/mobile/shared_bark_mite_burrower_queen.iff');
INSERT INTO `object_crc_string_table` VALUES ('1684910254', '646DB0AE', 'object/mobile/shared_bark_mite_hatchling.iff');
INSERT INTO `object_crc_string_table` VALUES ('3208363444', 'BF3BBDB4', 'object/mobile/shared_bark_mite_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2042392243', '79BC6EB3', 'object/mobile/shared_battle_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('2941248391', 'AF4FE387', 'object/mobile/shared_baz_nitch.iff');
INSERT INTO `object_crc_string_table` VALUES ('2986306980', 'B1FF6DA4', 'object/mobile/shared_baz_nitch_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2095266416', '7CE33A70', 'object/mobile/shared_bearded_jax.iff');
INSERT INTO `object_crc_string_table` VALUES ('2478332448', '93B85A20', 'object/mobile/shared_bearded_jax_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2085862217', '7C53BB49', 'object/mobile/shared_bestine_museum_owner.iff');
INSERT INTO `object_crc_string_table` VALUES ('1678312038', '64090266', 'object/mobile/shared_bib_fortuna.iff');
INSERT INTO `object_crc_string_table` VALUES ('644720935', '266DA927', 'object/mobile/shared_bile_drenched_quenker.iff');
INSERT INTO `object_crc_string_table` VALUES ('1145541444', '44479344', 'object/mobile/shared_bith_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('817734764', '30BDA46C', 'object/mobile/shared_bith_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('4267504420', 'FE5CF324', 'object/mobile/shared_blastromech.iff');
INSERT INTO `object_crc_string_table` VALUES ('2430922138', '90E4ED9A', 'object/mobile/shared_blister_rot_queen.iff');
INSERT INTO `object_crc_string_table` VALUES ('21982066', '14F6B72', 'object/mobile/shared_blood_drenched_merek_king.iff');
INSERT INTO `object_crc_string_table` VALUES ('2273297352', '877FC3C8', 'object/mobile/shared_bloodfanged_gackle_bat.iff');
INSERT INTO `object_crc_string_table` VALUES ('4102628433', 'F4892451', 'object/mobile/shared_bloodseeker_mite.iff');
INSERT INTO `object_crc_string_table` VALUES ('706552459', '2A1D228B', 'object/mobile/shared_bloodseeker_mite_queen.iff');
INSERT INTO `object_crc_string_table` VALUES ('1187375621', '46C5EA05', 'object/mobile/shared_blooming_jax.iff');
INSERT INTO `object_crc_string_table` VALUES ('2309529743', '89A8A08F', 'object/mobile/shared_blurrg.iff');
INSERT INTO `object_crc_string_table` VALUES ('708781211', '2A3F249B', 'object/mobile/shared_blurrg_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1432306355', '555F42B3', 'object/mobile/shared_blurrg_pup.iff');
INSERT INTO `object_crc_string_table` VALUES ('3376386441', 'C93F9189', 'object/mobile/shared_blushing_jax.iff');
INSERT INTO `object_crc_string_table` VALUES ('1815686462', '6C392D3E', 'object/mobile/shared_boar_wolf.iff');
INSERT INTO `object_crc_string_table` VALUES ('2560245072', '989A3D50', 'object/mobile/shared_boar_wolf_cub.iff');
INSERT INTO `object_crc_string_table` VALUES ('3250181521', 'C1B9D591', 'object/mobile/shared_boar_wolf_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2908233289', 'AD581E49', 'object/mobile/shared_boba_fett.iff');
INSERT INTO `object_crc_string_table` VALUES ('3725325606', 'DE0BF526', 'object/mobile/shared_bocatt.iff');
INSERT INTO `object_crc_string_table` VALUES ('3495751876', 'D05CF0C4', 'object/mobile/shared_bocatt_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1195766949', '4745F4A5', 'object/mobile/shared_bol.iff');
INSERT INTO `object_crc_string_table` VALUES ('1849838534', '6E424BC6', 'object/mobile/shared_bol_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3745797903', 'DF44570F', 'object/mobile/shared_bol_pack_runner.iff');
INSERT INTO `object_crc_string_table` VALUES ('2905349573', 'AD2C1DC5', 'object/mobile/shared_bolle_bol.iff');
INSERT INTO `object_crc_string_table` VALUES ('2063978210', '7B05CEE2', 'object/mobile/shared_bolle_bol_calf.iff');
INSERT INTO `object_crc_string_table` VALUES ('3809521624', 'E310AFD8', 'object/mobile/shared_bolle_bol_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('4078228623', 'F314D48F', 'object/mobile/shared_bolma.iff');
INSERT INTO `object_crc_string_table` VALUES ('395403417', '17916099', 'object/mobile/shared_bolma_calf.iff');
INSERT INTO `object_crc_string_table` VALUES ('1423917739', '54DF42AB', 'object/mobile/shared_bolma_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2480583701', '93DAB415', 'object/mobile/shared_bolma_youth.iff');
INSERT INTO `object_crc_string_table` VALUES ('2894091205', 'AC8053C5', 'object/mobile/shared_bomarr_monk_spider_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('2037341400', '796F5CD8', 'object/mobile/shared_bomarr_spider_monk_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('622383012', '2518CFA4', 'object/mobile/shared_bordok.iff');
INSERT INTO `object_crc_string_table` VALUES ('4179476385', 'F91DBFA1', 'object/mobile/shared_bordok_foal.iff');
INSERT INTO `object_crc_string_table` VALUES ('1189907115', '46EC8AAB', 'object/mobile/shared_bordok_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('715008896', '2A9E2B80', 'object/mobile/shared_borgle.iff');
INSERT INTO `object_crc_string_table` VALUES ('1718298431', '666B273F', 'object/mobile/shared_borgle_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1880344724', '7013C894', 'object/mobile/shared_borvo.iff');
INSERT INTO `object_crc_string_table` VALUES ('2344257018', '8BBA85FA', 'object/mobile/shared_boss_nass.iff');
INSERT INTO `object_crc_string_table` VALUES ('1748507550', '68381B9E', 'object/mobile/shared_bossk.iff');
INSERT INTO `object_crc_string_table` VALUES ('110794157', '69A95AD', 'object/mobile/shared_bothan_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('2910398359', 'AD792797', 'object/mobile/shared_bothan_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('2038129742', '797B644E', 'object/mobile/shared_brackaset.iff');
INSERT INTO `object_crc_string_table` VALUES ('437036395', '1A0CA56B', 'object/mobile/shared_brackaset_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('837719973', '31EE97A5', 'object/mobile/shared_bull_rancor.iff');
INSERT INTO `object_crc_string_table` VALUES ('4053019120', 'F19429F0', 'object/mobile/shared_c_3po.iff');
INSERT INTO `object_crc_string_table` VALUES ('1600355953', '5F637E71', 'object/mobile/shared_canoid.iff');
INSERT INTO `object_crc_string_table` VALUES ('1139580531', '43EC9E73', 'object/mobile/shared_canoid_pack_leader.iff');
INSERT INTO `object_crc_string_table` VALUES ('1238991743', '49D9837F', 'object/mobile/shared_canyon_krayt_dragon.iff');
INSERT INTO `object_crc_string_table` VALUES ('3797965860', 'E2605C24', 'object/mobile/shared_capper_spineflap.iff');
INSERT INTO `object_crc_string_table` VALUES ('4207949910', 'FAD03856', 'object/mobile/shared_capper_spineflap_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('4148793812', 'F74991D4', 'object/mobile/shared_captain_eso.iff');
INSERT INTO `object_crc_string_table` VALUES ('4166677801', 'F85A7529', 'object/mobile/shared_captain_hassk.iff');
INSERT INTO `object_crc_string_table` VALUES ('3186677588', 'BDF0D754', 'object/mobile/shared_carrion_spat.iff');
INSERT INTO `object_crc_string_table` VALUES ('1392030159', '52F8B1CF', 'object/mobile/shared_carrion_spat_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1234817390', '4999D16E', 'object/mobile/shared_cat.iff');
INSERT INTO `object_crc_string_table` VALUES ('3327478152', 'C6554988', 'object/mobile/shared_chadra_fan_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('2357441488', '8C83B3D0', 'object/mobile/shared_chadra_fan_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('169882835', 'A2034D3', 'object/mobile/shared_charal.iff');
INSERT INTO `object_crc_string_table` VALUES ('993210305', '3B332FC1', 'object/mobile/shared_chewbacca.iff');
INSERT INTO `object_crc_string_table` VALUES ('2946461572', 'AF9F6F84', 'object/mobile/shared_choku.iff');
INSERT INTO `object_crc_string_table` VALUES ('1990941486', '76AB5B2E', 'object/mobile/shared_choku_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('164314374', '9CB3D06', 'object/mobile/shared_choku_pup.iff');
INSERT INTO `object_crc_string_table` VALUES ('3308574907', 'C534D8BB', 'object/mobile/shared_chuba.iff');
INSERT INTO `object_crc_string_table` VALUES ('3129123954', 'BA82A472', 'object/mobile/shared_chuba_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('768940720', '2DD51AB0', 'object/mobile/shared_clipped_fynock.iff');
INSERT INTO `object_crc_string_table` VALUES ('103360686', '62928AE', 'object/mobile/shared_cll8_binary_load_lifter.iff');
INSERT INTO `object_crc_string_table` VALUES ('2333671459', '8B190023', 'object/mobile/shared_condor_dragon.iff');
INSERT INTO `object_crc_string_table` VALUES ('993564673', '3B389801', 'object/mobile/shared_condor_dragon_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('38180676', '2469744', 'object/mobile/shared_confused_wood_mite_hatchling.iff');
INSERT INTO `object_crc_string_table` VALUES ('3636427705', 'D8BF7BB9', 'object/mobile/shared_corellian_butterfly.iff');
INSERT INTO `object_crc_string_table` VALUES ('1729513297', '67164751', 'object/mobile/shared_corellian_butterfly_defender.iff');
INSERT INTO `object_crc_string_table` VALUES ('760782683', '2D589F5B', 'object/mobile/shared_corellian_butterfly_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2920594560', 'AE14BC80', 'object/mobile/shared_corellian_butterfly_monarch.iff');
INSERT INTO `object_crc_string_table` VALUES ('705935397', '2A13B825', 'object/mobile/shared_corellian_sand_panther.iff');
INSERT INTO `object_crc_string_table` VALUES ('3720206304', 'DDBDD7E0', 'object/mobile/shared_corellian_sand_panther_cub.iff');
INSERT INTO `object_crc_string_table` VALUES ('2224963361', '849E3F21', 'object/mobile/shared_corellian_sand_panther_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2638763255', '9D4854F7', 'object/mobile/shared_corellian_slice_hound.iff');
INSERT INTO `object_crc_string_table` VALUES ('1880522634', '70167F8A', 'object/mobile/shared_corellian_slice_hound_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('138923017', '847CC09', 'object/mobile/shared_crazed_durni.iff');
INSERT INTO `object_crc_string_table` VALUES ('3569435698', 'D4C14432', 'object/mobile/shared_crimson_sand_panther.iff');
INSERT INTO `object_crc_string_table` VALUES ('229802836', 'DB28354', 'object/mobile/shared_crowned_rasp.iff');
INSERT INTO `object_crc_string_table` VALUES ('2286569912', '884A49B8', 'object/mobile/shared_crowned_rasp_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2368515148', '8D2CAC4C', 'object/mobile/shared_crystal_snake.iff');
INSERT INTO `object_crc_string_table` VALUES ('673552695', '28259937', 'object/mobile/shared_cu_pa.iff');
INSERT INTO `object_crc_string_table` VALUES ('2917249950', 'ADE1B39E', 'object/mobile/shared_cu_pa_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3621894346', 'D7E1B8CA', 'object/mobile/shared_dalyrake.iff');
INSERT INTO `object_crc_string_table` VALUES ('4115746713', 'F5514F99', 'object/mobile/shared_dalyrake_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3341021560', 'C723F178', 'object/mobile/shared_dalyrake_matriarch.iff');
INSERT INTO `object_crc_string_table` VALUES ('3486278575', 'CFCC63AF', 'object/mobile/shared_dantari_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('4083847450', 'F36A911A', 'object/mobile/shared_dantari_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('2351012697', '8C219B59', 'object/mobile/shared_dappled_gualama.iff');
INSERT INTO `object_crc_string_table` VALUES ('1312348723', '4E38DA33', 'object/mobile/shared_dark_trooper.iff');
INSERT INTO `object_crc_string_table` VALUES ('2116341658', '7E24CF9A', 'object/mobile/shared_darklight_guard.iff');
INSERT INTO `object_crc_string_table` VALUES ('1480796777', '58432A69', 'object/mobile/shared_darth_maul_probe_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('147261716', '8C70914', 'object/mobile/shared_darth_vader.iff');
INSERT INTO `object_crc_string_table` VALUES ('1767611196', '695B9B3C', 'object/mobile/shared_death_watch_battle_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('1029266079', '3D595A9F', 'object/mobile/shared_death_watch_battle_droid_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1951677714', '74543D12', 'object/mobile/shared_death_watch_battle_droid_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('403141407', '1807731F', 'object/mobile/shared_death_watch_s_battle_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('854577453', '32EFD12D', 'object/mobile/shared_death_watch_s_battle_droid_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2078455456', '7BE2B6A0', 'object/mobile/shared_death_watch_s_battle_droid_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3943467921', 'EB0C8B91', 'object/mobile/shared_decay_mite.iff');
INSERT INTO `object_crc_string_table` VALUES ('2501027811', '9512A7E3', 'object/mobile/shared_dera_darklighter.iff');
INSERT INTO `object_crc_string_table` VALUES ('3059258087', 'B65892E7', 'object/mobile/shared_deranged_wrix.iff');
INSERT INTO `object_crc_string_table` VALUES ('497085163', '1DA0EAEB', 'object/mobile/shared_devaronian_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('1164163092', '4563B814', 'object/mobile/shared_devil_gulginaw.iff');
INSERT INTO `object_crc_string_table` VALUES ('3499529322', 'D096946A', 'object/mobile/shared_dewback.iff');
INSERT INTO `object_crc_string_table` VALUES ('2727120356', 'A28C8DE4', 'object/mobile/shared_dewback_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1303882694', '4DB7ABC6', 'object/mobile/shared_diax.iff');
INSERT INTO `object_crc_string_table` VALUES ('1616759912', '605DCC68', 'object/mobile/shared_dire_cat.iff');
INSERT INTO `object_crc_string_table` VALUES ('3135080150', 'BADD86D6', 'object/mobile/shared_distant_ship_controller.iff');
INSERT INTO `object_crc_string_table` VALUES ('3464873062', 'CE85C466', 'object/mobile/shared_dragonet.iff');
INSERT INTO `object_crc_string_table` VALUES ('21647313', '14A4FD1', 'object/mobile/shared_drall_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('3116494340', 'B9C1EE04', 'object/mobile/shared_drall_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('2144371959', '7FD084F7', 'object/mobile/shared_dressed_1handsword_trainer_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2764516448', 'A4C72C60', 'object/mobile/shared_dressed_1handsword_trainer_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3989457901', 'EDCA4BED', 'object/mobile/shared_dressed_1handsword_trainer_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('763716767', '2D85649F', 'object/mobile/shared_dressed_2handsword_trainer_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4136815624', 'F692CC08', 'object/mobile/shared_dressed_2handsword_trainer_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3214912389', 'BF9FAB85', 'object/mobile/shared_dressed_2handsword_trainer_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('285582608', '1105A510', 'object/mobile/shared_dressed_aakuan_champion_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3531454450', 'D27DB7F2', 'object/mobile/shared_dressed_aakuan_champion_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('44536943', '2A7946F', 'object/mobile/shared_dressed_aakuan_defender_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1861023902', '6EECF89E', 'object/mobile/shared_dressed_aakuan_defender_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2384407781', '8E1F2CE5', 'object/mobile/shared_dressed_aakuan_follower_trandoshan_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3521468694', 'D1E55916', 'object/mobile/shared_dressed_aakuan_follower_trandoshan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3190504305', 'BE2B3B71', 'object/mobile/shared_dressed_aakuan_guardian_trandoshan_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2760638919', 'A48C01C7', 'object/mobile/shared_dressed_aakuan_guardian_trandoshan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3639930037', 'D8F4ECB5', 'object/mobile/shared_dressed_aakuan_keeper_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2426711269', '90A4ACE5', 'object/mobile/shared_dressed_aakuan_keeper_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3079254704', 'B789B2B0', 'object/mobile/shared_dressed_aakuan_sentinal_rodian_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('810742409', '3052F289', 'object/mobile/shared_dressed_aakuan_sentinal_rodian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('395933616', '179977B0', 'object/mobile/shared_dressed_aakuan_steward_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1987859108', '767C52A4', 'object/mobile/shared_dressed_aakuan_steward_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1551900709', '5C802025', 'object/mobile/shared_dressed_aakuan_warder_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3666866181', 'DA8FF005', 'object/mobile/shared_dressed_aakuan_warder_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('206516695', 'C4F31D7', 'object/mobile/shared_dressed_ackbar.iff');
INSERT INTO `object_crc_string_table` VALUES ('3951482007', 'EB86D497', 'object/mobile/shared_dressed_ajuva_vanasterin.iff');
INSERT INTO `object_crc_string_table` VALUES ('792175214', '2F37A26E', 'object/mobile/shared_dressed_architect_trainer_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4095740665', 'F4200AF9', 'object/mobile/shared_dressed_architect_trainer_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3173870964', 'BD2D6D74', 'object/mobile/shared_dressed_architect_trainer_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1052594439', '3EBD5107', 'object/mobile/shared_dressed_armorsmith_trainer_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3853187472', 'E5AAF990', 'object/mobile/shared_dressed_armorsmith_trainer_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2896666141', 'ACA79E1D', 'object/mobile/shared_dressed_armorsmith_trainer_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('111428352', '6A44300', 'object/mobile/shared_dressed_artisan_trainer_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3719555991', 'DDB3EB97', 'object/mobile/shared_dressed_artisan_trainer_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2495515674', '94BE8C1A', 'object/mobile/shared_dressed_artisan_trainer_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3430477753', 'CC78EFB9', 'object/mobile/shared_dressed_arven_wendik.iff');
INSERT INTO `object_crc_string_table` VALUES ('2867003287', 'AAE2FF97', 'object/mobile/shared_dressed_assassin_mission_giver_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1911904000', '71F55700', 'object/mobile/shared_dressed_assassin_mission_giver_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('955789453', '38F8308D', 'object/mobile/shared_dressed_assassin_mission_giver_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2999746712', 'B2CC8098', 'object/mobile/shared_dressed_assassin_mission_giver_imp_hum_m_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1775970319', '69DB280F', 'object/mobile/shared_dressed_assassin_mission_giver_imp_hum_m_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('550915970', '20D64F82', 'object/mobile/shared_dressed_assassin_mission_giver_imp_hum_m_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2342323877', '8B9D06A5', 'object/mobile/shared_dressed_assassin_mission_giver_reb_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1351265842', '508AAE32', 'object/mobile/shared_dressed_assassin_mission_giver_reb_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('428329407', '1987C9BF', 'object/mobile/shared_dressed_assassin_mission_giver_reb_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2557835749', '987579E5', 'object/mobile/shared_dressed_athok_dinvar.iff');
INSERT INTO `object_crc_string_table` VALUES ('3423768628', 'CC129034', 'object/mobile/shared_dressed_aujante_klee.iff');
INSERT INTO `object_crc_string_table` VALUES ('2318105215', '8A2B7A7F', 'object/mobile/shared_dressed_bardo_klinj.iff');
INSERT INTO `object_crc_string_table` VALUES ('2569256686', '9923BEEE', 'object/mobile/shared_dressed_baritha.iff');
INSERT INTO `object_crc_string_table` VALUES ('3404464510', 'CAEC017E', 'object/mobile/shared_dressed_bestine_artist01.iff');
INSERT INTO `object_crc_string_table` VALUES ('301705705', '11FBA9E9', 'object/mobile/shared_dressed_bestine_artist02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1492569700', '58F6CE64', 'object/mobile/shared_dressed_bestine_artist03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2736121200', 'A315E570', 'object/mobile/shared_dressed_bestine_artist04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3927474941', 'EA1882FD', 'object/mobile/shared_dressed_bestine_artist05.iff');
INSERT INTO `object_crc_string_table` VALUES ('823077482', '310F2A6A', 'object/mobile/shared_dressed_bestine_artist06.iff');
INSERT INTO `object_crc_string_table` VALUES ('1310701477', '4E1FB7A5', 'object/mobile/shared_dressed_bestine_capitol01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2500337458', '95081F32', 'object/mobile/shared_dressed_bestine_capitol02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3691346111', 'DC0578BF', 'object/mobile/shared_dressed_bestine_capitol03.iff');
INSERT INTO `object_crc_string_table` VALUES ('669406123', '27E653AB', 'object/mobile/shared_dressed_bestine_capitol04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1339869628', '4FDCC9BC', 'object/mobile/shared_dressed_bestine_rumor01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2496356651', '94CB612B', 'object/mobile/shared_dressed_bestine_rumor02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3720742566', 'DDC606A6', 'object/mobile/shared_dressed_bestine_rumor03.iff');
INSERT INTO `object_crc_string_table` VALUES ('639970738', '26252DB2', 'object/mobile/shared_dressed_bestine_rumor04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1864911423', '6F284A3F', 'object/mobile/shared_dressed_bestine_rumor05.iff');
INSERT INTO `object_crc_string_table` VALUES ('3024085672', 'B43FE2A8', 'object/mobile/shared_dressed_bestine_rumor06.iff');
INSERT INTO `object_crc_string_table` VALUES ('4247946533', 'FD328525', 'object/mobile/shared_dressed_bestine_rumor07.iff');
INSERT INTO `object_crc_string_table` VALUES ('1194895671', '4738A937', 'object/mobile/shared_dressed_bestine_rumor08.iff');
INSERT INTO `object_crc_string_table` VALUES ('238407354', 'E35CEBA', 'object/mobile/shared_dressed_bestine_rumor09.iff');
INSERT INTO `object_crc_string_table` VALUES ('502899529', '1DF9A349', 'object/mobile/shared_dressed_bestine_rumor10.iff');
INSERT INTO `object_crc_string_table` VALUES ('1425327300', '54F4C4C4', 'object/mobile/shared_dressed_bestine_rumor11.iff');
INSERT INTO `object_crc_string_table` VALUES ('2414046291', '8FE36C53', 'object/mobile/shared_dressed_bestine_rumor12.iff');
INSERT INTO `object_crc_string_table` VALUES ('2108211755', '7DA8C22B', 'object/mobile/shared_dressed_binayre_bruiser_rodian_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('631166786', '259ED742', 'object/mobile/shared_dressed_binayre_bruiser_rodian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2961997465', 'B08C7E99', 'object/mobile/shared_dressed_binayre_chief_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('510097734', '1E677946', 'object/mobile/shared_dressed_binayre_chief_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2706622894', 'A153C9AE', 'object/mobile/shared_dressed_binayre_goon_bith_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2809920427', 'A77BFBAB', 'object/mobile/shared_dressed_binayre_goon_bith_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2736089111', 'A3156817', 'object/mobile/shared_dressed_binayre_hoodlum_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2306777365', '897EA115', 'object/mobile/shared_dressed_binayre_hoodlum_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('48769020', '2E827FC', 'object/mobile/shared_dressed_binayre_hooligan_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('318185811', '12F72153', 'object/mobile/shared_dressed_binayre_hooligan_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3089904341', 'B82C32D5', 'object/mobile/shared_dressed_binayre_pirate_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1070552187', '3FCF547B', 'object/mobile/shared_dressed_binayre_pirate_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3699863784', 'DC8770E8', 'object/mobile/shared_dressed_binayre_prowler_trandoshan_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4029132092', 'F027AD3C', 'object/mobile/shared_dressed_binayre_prowler_trandoshan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3680180330', 'DB5B186A', 'object/mobile/shared_dressed_binayre_ruffian_trandoshan_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1794653011', '6AF83B53', 'object/mobile/shared_dressed_binayre_ruffian_trandoshan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2348451756', '8BFA87AC', 'object/mobile/shared_dressed_binayre_scalawag_twk_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4048463412', 'F14EA634', 'object/mobile/shared_dressed_binayre_scalawag_twk_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1210819917', '482BA54D', 'object/mobile/shared_dressed_binayre_smuggler_trandoshan_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1975330486', '75BD26B6', 'object/mobile/shared_dressed_binayre_smuggler_trandoshan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3282438609', 'C3A609D1', 'object/mobile/shared_dressed_binayre_swindler_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('538295350', '2015BC36', 'object/mobile/shared_dressed_binayre_swindler_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2506246921', '95624B09', 'object/mobile/shared_dressed_binayre_thief_twk_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('921281473', '36E9A3C1', 'object/mobile/shared_dressed_binayre_thief_twk_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3870866351', 'E6B8BBAF', 'object/mobile/shared_dressed_bioengineer_trainer_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1034883896', '3DAF1338', 'object/mobile/shared_dressed_bioengineer_trainer_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1956803765', '74A274B5', 'object/mobile/shared_dressed_bioengineer_trainer_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2754521442', 'A42EA962', 'object/mobile/shared_dressed_biribas_tarun.iff');
INSERT INTO `object_crc_string_table` VALUES ('3627888108', 'D83D2DEC', 'object/mobile/shared_dressed_black_sun_assassin.iff');
INSERT INTO `object_crc_string_table` VALUES ('3095856786', 'B8870692', 'object/mobile/shared_dressed_black_sun_guard.iff');
INSERT INTO `object_crc_string_table` VALUES ('1930323679', '730E66DF', 'object/mobile/shared_dressed_black_sun_henchman.iff');
INSERT INTO `object_crc_string_table` VALUES ('2905654803', 'AD30C613', 'object/mobile/shared_dressed_black_sun_thug.iff');
INSERT INTO `object_crc_string_table` VALUES ('332227579', '13CD63FB', 'object/mobile/shared_dressed_blood_crazed_plains_marauder.iff');
INSERT INTO `object_crc_string_table` VALUES ('4199989558', 'FA56C136', 'object/mobile/shared_dressed_blood_razor_pirate_berzerker_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('1621651111', '60A86EA7', 'object/mobile/shared_dressed_blood_razor_pirate_berzerker_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3826708386', 'E416EFA2', 'object/mobile/shared_dressed_blood_razor_pirate_berzerker_rod_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3418850156', 'CBC7836C', 'object/mobile/shared_dressed_blood_razor_pirate_berzerker_tran_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2865307966', 'AAC9213E', 'object/mobile/shared_dressed_blood_razor_pirate_captain_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('4274430150', 'FEC6A0C6', 'object/mobile/shared_dressed_blood_razor_pirate_captain_nikto_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('900630951', '35AE89A7', 'object/mobile/shared_dressed_blood_razor_pirate_captain_wee_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3539328812', 'D2F5DF2C', 'object/mobile/shared_dressed_blood_razor_pirate_cutthroat_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('1208709309', '480B70BD', 'object/mobile/shared_dressed_blood_razor_pirate_cutthroat_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3101038540', 'B8D617CC', 'object/mobile/shared_dressed_blood_razor_pirate_cutthroat_nikto_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3606233652', 'D6F2C234', 'object/mobile/shared_dressed_blood_razor_pirate_cutthroat_tran_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3614234660', 'D76CD824', 'object/mobile/shared_dressed_blood_razor_pirate_cutthroat_wee_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3613451706', 'D760E5BA', 'object/mobile/shared_dressed_blood_razor_pirate_destroyer_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('1302219307', '4D9E4A2B', 'object/mobile/shared_dressed_blood_razor_pirate_destroyer_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('665167692', '27A5A74C', 'object/mobile/shared_dressed_blood_razor_pirate_destroyer_nikto_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1410154335', '540D3F5F', 'object/mobile/shared_dressed_blood_razor_pirate_destroyer_tran_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2257177660', '8689CC3C', 'object/mobile/shared_dressed_blood_razor_pirate_elite_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('477586349', '1C7763AD', 'object/mobile/shared_dressed_blood_razor_pirate_elite_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1783449529', '6A4D47B9', 'object/mobile/shared_dressed_blood_razor_pirate_elite_nikto_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3245477871', 'C1720FEF', 'object/mobile/shared_dressed_blood_razor_pirate_elite_tran_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2198915892', '8310CB34', 'object/mobile/shared_dressed_blood_razor_pirate_elite_wee_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2535139283', '971B27D3', 'object/mobile/shared_dressed_blood_razor_pirate_guard_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('233146434', 'DE58842', 'object/mobile/shared_dressed_blood_razor_pirate_guard_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1869946246', '6F751D86', 'object/mobile/shared_dressed_blood_razor_pirate_guard_nikto_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2304444743', '895B0947', 'object/mobile/shared_dressed_blood_razor_pirate_guard_rod_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2731439784', 'A2CE76A8', 'object/mobile/shared_dressed_blood_razor_pirate_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('942725433', '3830D939', 'object/mobile/shared_dressed_blood_razor_pirate_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2678026308', '9F9F7044', 'object/mobile/shared_dressed_blood_razor_pirate_nikto_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1349033504', '50689E20', 'object/mobile/shared_dressed_blood_razor_pirate_officer_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('3398840753', 'CA9631B1', 'object/mobile/shared_dressed_blood_razor_pirate_officer_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3480546326', 'CF74EC16', 'object/mobile/shared_dressed_blood_razor_pirate_officer_nikto_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1311289524', '4E28B0B4', 'object/mobile/shared_dressed_blood_razor_pirate_officer_rod_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1441896744', '55F19928', 'object/mobile/shared_dressed_blood_razor_pirate_officer_wee_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3163445308', 'BC8E583C', 'object/mobile/shared_dressed_blood_razor_pirate_rod_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1671721438', '63A471DE', 'object/mobile/shared_dressed_blood_razor_pirate_scout_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('4183481935', 'F95ADE4F', 'object/mobile/shared_dressed_blood_razor_pirate_scout_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2112118602', '7DE45F4A', 'object/mobile/shared_dressed_blood_razor_pirate_scout_rod_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1050910973', '3EA3A0FD', 'object/mobile/shared_dressed_blood_razor_pirate_scout_tran_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2990738266', 'B2430B5A', 'object/mobile/shared_dressed_blood_razor_pirate_strong_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('683517131', '28BDA4CB', 'object/mobile/shared_dressed_blood_razor_pirate_strong_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2868743530', 'AAFD8D6A', 'object/mobile/shared_dressed_blood_razor_pirate_strong_nikto_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2885887438', 'AC0325CE', 'object/mobile/shared_dressed_blood_razor_pirate_strong_rod_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3431166627', 'CC8372A3', 'object/mobile/shared_dressed_blood_razor_pirate_strong_tran_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3084520530', 'B7DA0C52', 'object/mobile/shared_dressed_blood_razor_pirate_strong_wee_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2365210911', '8CFA411F', 'object/mobile/shared_dressed_blood_razor_pirate_strong_zab_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('233790419', 'DEF5BD3', 'object/mobile/shared_dressed_blood_razor_pirate_tran_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('437068806', '1A0D2406', 'object/mobile/shared_dressed_blood_razor_pirate_weak_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('2163444631', '80F38B97', 'object/mobile/shared_dressed_blood_razor_pirate_weak_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2781802747', 'A5CEF0FB', 'object/mobile/shared_dressed_blood_razor_pirate_weak_nikto_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('72157842', '44D0A92', 'object/mobile/shared_dressed_blood_razor_pirate_weak_rod_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('529801998', '1F94230E', 'object/mobile/shared_dressed_blood_razor_pirate_weak_wee_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('615804483', '24B46E43', 'object/mobile/shared_dressed_blood_razor_pirate_weak_zab_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2807525792', 'A75771A0', 'object/mobile/shared_dressed_blood_razor_pirate_wee_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2625060077', '9C773CED', 'object/mobile/shared_dressed_blood_razor_pirate_zab_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1879667779', '70097443', 'object/mobile/shared_dressed_borvos_bruiser.iff');
INSERT INTO `object_crc_string_table` VALUES ('4026950238', 'F006625E', 'object/mobile/shared_dressed_borvos_champion.iff');
INSERT INTO `object_crc_string_table` VALUES ('4246087789', 'FD16286D', 'object/mobile/shared_dressed_borvos_mercenary.iff');
INSERT INTO `object_crc_string_table` VALUES ('309867940', '127835A4', 'object/mobile/shared_dressed_borvos_soldier.iff');
INSERT INTO `object_crc_string_table` VALUES ('63783907', '3CD43E3', 'object/mobile/shared_dressed_borvos_thief.iff');
INSERT INTO `object_crc_string_table` VALUES ('2881848951', 'ABC58677', 'object/mobile/shared_dressed_borvos_thug.iff');
INSERT INTO `object_crc_string_table` VALUES ('3113345378', 'B991E162', 'object/mobile/shared_dressed_bounty_hunter_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1548044523', '5C4548EB', 'object/mobile/shared_dressed_bountyhunter_trainer_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2270355580', '8752E07C', 'object/mobile/shared_dressed_bountyhunter_trainer_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3462367217', 'CE5F87F1', 'object/mobile/shared_dressed_bountyhunter_trainer_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('901557477', '35BCACE5', 'object/mobile/shared_dressed_bountyhunter_trainer_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3269586252', 'C2E1ED4C', 'object/mobile/shared_dressed_brantlee_spondoon.iff');
INSERT INTO `object_crc_string_table` VALUES ('3146794019', 'BB904423', 'object/mobile/shared_dressed_brawler_trainer_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1619520692', '6087ECB4', 'object/mobile/shared_dressed_brawler_trainer_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('696945465', '298A8B39', 'object/mobile/shared_dressed_brawler_trainer_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2508291775', '95817EBF', 'object/mobile/shared_dressed_brennis_doore.iff');
INSERT INTO `object_crc_string_table` VALUES ('1292099918', '4D03E14E', 'object/mobile/shared_dressed_brigade_captain_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('931042019', '377E92E3', 'object/mobile/shared_dressed_brigade_captain_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3800532815', 'E287874F', 'object/mobile/shared_dressed_brigade_general_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1994893804', '76E7A9EC', 'object/mobile/shared_dressed_brigade_general_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3937956007', 'EAB870A7', 'object/mobile/shared_dressed_brigade_gunner_bith_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3390460344', 'CA1651B8', 'object/mobile/shared_dressed_brigade_gunner_bith_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1439642847', '55CF34DF', 'object/mobile/shared_dressed_brigade_infiltrator_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('631381531', '25A21E1B', 'object/mobile/shared_dressed_brigade_infiltrator_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('241925181', 'E6B7C3D', 'object/mobile/shared_dressed_brigade_marine_trandoshan_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('583793692', '22CBFC1C', 'object/mobile/shared_dressed_brigade_marine_trandoshan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1494584116', '59158B34', 'object/mobile/shared_dressed_brigade_officer_rodian_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('738700410', '2C07AC7A', 'object/mobile/shared_dressed_brigade_officer_rodian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3172406444', 'BD1714AC', 'object/mobile/shared_dressed_brigade_scout_trandoshan_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1060082921', '3F2F94E9', 'object/mobile/shared_dressed_brigade_scout_trandoshan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('764894191', '2D975BEF', 'object/mobile/shared_dressed_brigade_sergeant_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1914153568', '7217AA60', 'object/mobile/shared_dressed_brigade_sergeant_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2807671153', 'A759A971', 'object/mobile/shared_dressed_brigade_technician_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3275684387', 'C33EFA23', 'object/mobile/shared_dressed_brigade_technician_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2170332525', '815CA56D', 'object/mobile/shared_dressed_brigade_trooper_bith_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('565695608', '21B7D478', 'object/mobile/shared_dressed_brigade_trooper_bith_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('211938328', 'CA1EC18', 'object/mobile/shared_dressed_bth_spynet_pilot_f_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('886002808', '34CF5478', 'object/mobile/shared_dressed_bth_spynet_pilot_m_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4023975151', 'EFD8FCEF', 'object/mobile/shared_dressed_bth_spynet_pilot_m_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2799016802', 'A6D59B62', 'object/mobile/shared_dressed_bth_spynet_pilot_m_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('694637565', '296753FD', 'object/mobile/shared_dressed_businessman_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('601118418', '23D456D2', 'object/mobile/shared_dressed_capt_ric_olie.iff');
INSERT INTO `object_crc_string_table` VALUES ('1601211291', '5F708B9B', 'object/mobile/shared_dressed_captain_eso.iff');
INSERT INTO `object_crc_string_table` VALUES ('416325093', '18D09DE5', 'object/mobile/shared_dressed_captain_gilad_pellaeon.iff');
INSERT INTO `object_crc_string_table` VALUES ('3150051230', 'BBC1F79E', 'object/mobile/shared_dressed_captain_tish.iff');
INSERT INTO `object_crc_string_table` VALUES ('3376482768', 'C94109D0', 'object/mobile/shared_dressed_carbine_trainer_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('307667271', '1256A147', 'object/mobile/shared_dressed_carbine_trainer_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1532741322', '5B5BC6CA', 'object/mobile/shared_dressed_carbine_trainer_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2453530973', '923DE95D', 'object/mobile/shared_dressed_chadra_fan_f_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1227506122', '492A41CA', 'object/mobile/shared_dressed_chadra_fan_f_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2565703', '272647', 'object/mobile/shared_dressed_chadra_fan_f_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2857587005', 'AA53513D', 'object/mobile/shared_dressed_chadra_fan_m_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1900345770', '7144F9AA', 'object/mobile/shared_dressed_chadra_fan_m_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('944348711', '38499E27', 'object/mobile/shared_dressed_chadra_fan_m_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2403581691', '8F43BEFB', 'object/mobile/shared_dressed_champhra_biahin.iff');
INSERT INTO `object_crc_string_table` VALUES ('3948617257', 'EB5B1E29', 'object/mobile/shared_dressed_chef_trainer_devaronian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1051403638', '3EAB2576', 'object/mobile/shared_dressed_chef_trainer_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4072597558', 'F2BEE836', 'object/mobile/shared_dressed_chef_trainer_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2176019381', '81B36BB5', 'object/mobile/shared_dressed_cobral_assassin_twk_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1119677650', '42BCECD2', 'object/mobile/shared_dressed_cobral_assassin_twk_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2358376164', '8C91F6E4', 'object/mobile/shared_dressed_cobral_bandit_bith_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('915891720', '36976608', 'object/mobile/shared_dressed_cobral_bandit_bith_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2735939972', 'A3132184', 'object/mobile/shared_dressed_cobral_boss_twk_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1769302321', '69756931', 'object/mobile/shared_dressed_cobral_boss_twk_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3682831326', 'DB838BDE', 'object/mobile/shared_dressed_cobral_hitman_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1731610618', '673647FA', 'object/mobile/shared_dressed_cobral_hitman_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3910983327', 'E91CDE9F', 'object/mobile/shared_dressed_cobral_hooligan_bith_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2735896748', 'A31278AC', 'object/mobile/shared_dressed_cobral_hooligan_bith_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('801261173', '2FC24675', 'object/mobile/shared_dressed_cobral_mugger_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2175646546', '81ADBB52', 'object/mobile/shared_dressed_cobral_mugger_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('296359878', '11AA17C6', 'object/mobile/shared_dressed_cobral_overlord_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3728905292', 'DE42944C', 'object/mobile/shared_dressed_cobral_overlord_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1633608178', '615EE1F2', 'object/mobile/shared_dressed_cobral_runner_trandoshan_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('579043751', '228381A7', 'object/mobile/shared_dressed_cobral_runner_trandoshan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1527998977', '5B136A01', 'object/mobile/shared_dressed_cobral_thief_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('683714709', '28C0A895', 'object/mobile/shared_dressed_cobral_thief_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3021148797', 'B413127D', 'object/mobile/shared_dressed_cobral_thug_rodian_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2295771949', '88D6B32D', 'object/mobile/shared_dressed_cobral_thug_rodian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2257954726', '8695A7A6', 'object/mobile/shared_dressed_combatmedic_trainer_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1931483406', '7320190E', 'object/mobile/shared_dressed_combatmedic_trainer_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2661371614', '9EA14EDE', 'object/mobile/shared_dressed_combatmedic_trainer_rodian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2938030814', 'AF1ECADE', 'object/mobile/shared_dressed_commander_xalox_guul.iff');
INSERT INTO `object_crc_string_table` VALUES ('765923786', '2DA711CA', 'object/mobile/shared_dressed_commando_trainer_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1571848659', '5DB081D3', 'object/mobile/shared_dressed_commando_trainer_rodian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3787658199', 'E1C313D7', 'object/mobile/shared_dressed_commando_trainer_trandoshan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('604803028', '240C8FD4', 'object/mobile/shared_dressed_commoner_artisan_bith_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1233791826', '498A2B52', 'object/mobile/shared_dressed_commoner_artisan_sullustan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3004861826', 'B31A8D82', 'object/mobile/shared_dressed_commoner_artisan_trandoshan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4103475195', 'F4960FFB', 'object/mobile/shared_dressed_commoner_fat_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('797026156', '2F81A76C', 'object/mobile/shared_dressed_commoner_fat_human_female_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1852970812', '6E72173C', 'object/mobile/shared_dressed_commoner_fat_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3043344299', 'B565BFAB', 'object/mobile/shared_dressed_commoner_fat_human_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('638835734', '2613DC16', 'object/mobile/shared_dressed_commoner_fat_twilek_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4244927617', 'FD047481', 'object/mobile/shared_dressed_commoner_fat_twilek_female_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1812306872', '6C059BB8', 'object/mobile/shared_dressed_commoner_fat_twilek_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3071423279', 'B712332F', 'object/mobile/shared_dressed_commoner_fat_twilek_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('824463446', '31245056', 'object/mobile/shared_dressed_commoner_fat_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3929274561', 'EA33F8C1', 'object/mobile/shared_dressed_commoner_fat_zabrak_female_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2984675979', 'B1E68A8B', 'object/mobile/shared_dressed_commoner_fat_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1794187804', '6AF1221C', 'object/mobile/shared_dressed_commoner_fat_zabrak_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('41146771', '273D993', 'object/mobile/shared_dressed_commoner_naboo_bothan_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3647238404', 'D9647104', 'object/mobile/shared_dressed_commoner_naboo_bothan_female_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1309761692', '4E11609C', 'object/mobile/shared_dressed_commoner_naboo_bothan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2500249611', '9506C80B', 'object/mobile/shared_dressed_commoner_naboo_bothan_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3504184450', 'D0DD9C82', 'object/mobile/shared_dressed_commoner_naboo_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('197800981', 'BCA3415', 'object/mobile/shared_dressed_commoner_naboo_human_female_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1120359320', '42C75398', 'object/mobile/shared_dressed_commoner_naboo_human_female_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3106175116', 'B924788C', 'object/mobile/shared_dressed_commoner_naboo_human_female_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('4029226753', 'F0291F01', 'object/mobile/shared_dressed_commoner_naboo_human_female_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('725530518', '2B3EB796', 'object/mobile/shared_dressed_commoner_naboo_human_female_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('1647562779', '6233D01B', 'object/mobile/shared_dressed_commoner_naboo_human_female_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('3627678729', 'D839FC09', 'object/mobile/shared_dressed_commoner_naboo_human_female_08.iff');
INSERT INTO `object_crc_string_table` VALUES ('955311928', '38F0E738', 'object/mobile/shared_dressed_commoner_naboo_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3823587247', 'E3E74FAF', 'object/mobile/shared_dressed_commoner_naboo_human_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2867472418', 'AAEA2822', 'object/mobile/shared_dressed_commoner_naboo_human_male_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1359545142', '51090336', 'object/mobile/shared_dressed_commoner_naboo_human_male_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('402941115', '180464BB', 'object/mobile/shared_dressed_commoner_naboo_human_male_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('3272854572', 'C313CC2C', 'object/mobile/shared_dressed_commoner_naboo_human_male_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('2317265825', '8A1EABA1', 'object/mobile/shared_dressed_commoner_naboo_human_male_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('806651827', '301487B3', 'object/mobile/shared_dressed_commoner_naboo_human_male_08.iff');
INSERT INTO `object_crc_string_table` VALUES ('1020849451', '3CD8ED2B', 'object/mobile/shared_dressed_commoner_naboo_moncal_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3889120700', 'E7CF45BC', 'object/mobile/shared_dressed_commoner_naboo_moncal_female_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1293171481', '4D143B19', 'object/mobile/shared_dressed_commoner_naboo_moncal_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2516816782', '9603938E', 'object/mobile/shared_dressed_commoner_naboo_moncal_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3869730090', 'E6A7652A', 'object/mobile/shared_dressed_commoner_naboo_twilek_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1034997181', '3DB0CDBD', 'object/mobile/shared_dressed_commoner_naboo_twilek_female_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2363783437', '8CE4790D', 'object/mobile/shared_dressed_commoner_naboo_twilek_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1475596698', '57F3D19A', 'object/mobile/shared_dressed_commoner_naboo_twilek_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4052805994', 'F190E96A', 'object/mobile/shared_dressed_commoner_naboo_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('713507325', '2A8741FD', 'object/mobile/shared_dressed_commoner_naboo_zabrak_female_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1359439934', '5107683E', 'object/mobile/shared_dressed_commoner_naboo_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2316353705', '8A10C0A9', 'object/mobile/shared_dressed_commoner_naboo_zabrak_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('481461881', '1CB28679', 'object/mobile/shared_dressed_commoner_old_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3349491438', 'C7A52EEE', 'object/mobile/shared_dressed_commoner_old_human_female_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2112269243', '7DE6ABBB', 'object/mobile/shared_dressed_commoner_old_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2800812844', 'A6F1032C', 'object/mobile/shared_dressed_commoner_old_human_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3778778583', 'E13B95D7', 'object/mobile/shared_dressed_commoner_old_twilek_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('975977792', '3A2C3D40', 'object/mobile/shared_dressed_commoner_old_twilek_female_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3119243537', 'B9EBE111', 'object/mobile/shared_dressed_commoner_old_twilek_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1660701062', '62FC4986', 'object/mobile/shared_dressed_commoner_old_twilek_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4127988119', 'F60C1997', 'object/mobile/shared_dressed_commoner_old_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('756789504', '2D1BB100', 'object/mobile/shared_dressed_commoner_old_zabrak_female_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1678307362', '6408F022', 'object/mobile/shared_dressed_commoner_old_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3206502581', 'BF1F58B5', 'object/mobile/shared_dressed_commoner_old_zabrak_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('145755511', '8B00D77', 'object/mobile/shared_dressed_commoner_tatooine_aqualish_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3550979552', 'D3A7A5E0', 'object/mobile/shared_dressed_commoner_tatooine_aqualish_female_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2594882157', '9AAAC26D', 'object/mobile/shared_dressed_commoner_tatooine_aqualish_female_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1632233849', '6149E979', 'object/mobile/shared_dressed_commoner_tatooine_aqualish_female_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('675581684', '28448EF4', 'object/mobile/shared_dressed_commoner_tatooine_aqualish_female_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('4082312803', 'F3532663', 'object/mobile/shared_dressed_commoner_tatooine_aqualish_female_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('3126739438', 'BA5E41EE', 'object/mobile/shared_dressed_commoner_tatooine_aqualish_female_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('5533180', '546DFC', 'object/mobile/shared_dressed_commoner_tatooine_aqualish_female_08.iff');
INSERT INTO `object_crc_string_table` VALUES ('3498486854', 'D086AC46', 'object/mobile/shared_dressed_commoner_tatooine_aqualish_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('194053329', 'B9104D1', 'object/mobile/shared_dressed_commoner_tatooine_aqualish_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1117545308', '429C635C', 'object/mobile/shared_dressed_commoner_tatooine_aqualish_male_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3112126536', 'B97F4848', 'object/mobile/shared_dressed_commoner_tatooine_aqualish_male_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('4034015173', 'F0722FC5', 'object/mobile/shared_dressed_commoner_tatooine_aqualish_male_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('728074066', '2B658752', 'object/mobile/shared_dressed_commoner_tatooine_aqualish_male_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('1651040479', '6268E0DF', 'object/mobile/shared_dressed_commoner_tatooine_aqualish_male_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('3630353613', 'D862CCCD', 'object/mobile/shared_dressed_commoner_tatooine_aqualish_male_08.iff');
INSERT INTO `object_crc_string_table` VALUES ('2440014656', '916FAB40', 'object/mobile/shared_dressed_commoner_tatooine_aqualish_male_09.iff');
INSERT INTO `object_crc_string_table` VALUES ('1241828047', '4A04CACF', 'object/mobile/shared_dressed_commoner_tatooine_bith_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2433966680', '91136258', 'object/mobile/shared_dressed_commoner_tatooine_bith_female_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3625846229', 'D81E05D5', 'object/mobile/shared_dressed_commoner_tatooine_bith_female_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('603795137', '23FD2EC1', 'object/mobile/shared_dressed_commoner_tatooine_bith_female_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1794132300', '6AF0494C', 'object/mobile/shared_dressed_commoner_tatooine_bith_female_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('2984763867', 'B1E7E1DB', 'object/mobile/shared_dressed_commoner_tatooine_bith_female_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('3206161025', 'BF1A2281', 'object/mobile/shared_dressed_commoner_tatooine_bith_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1678608918', '640D8A16', 'object/mobile/shared_dressed_commoner_tatooine_bith_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('755035547', '2D00ED9B', 'object/mobile/shared_dressed_commoner_tatooine_bith_male_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3605251727', 'D6E3C68F', 'object/mobile/shared_dressed_commoner_tatooine_bith_male_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2683216130', '9FEEA102', 'object/mobile/shared_dressed_commoner_tatooine_bith_male_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1157171605', '44F90995', 'object/mobile/shared_dressed_commoner_tatooine_bith_male_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('2027163053', '78D40DAD', 'object/mobile/shared_dressed_commoner_tatooine_devaronian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2747508026', 'A3C3A53A', 'object/mobile/shared_dressed_commoner_tatooine_devaronian_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3939418807', 'EACEC2B7', 'object/mobile/shared_dressed_commoner_tatooine_devaronian_male_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('288221603', '112DE9A3', 'object/mobile/shared_dressed_commoner_tatooine_devaronian_male_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('190716306', 'B5E1992', 'object/mobile/shared_dressed_commoner_tatooine_ishitib_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3494490373', 'D049B105', 'object/mobile/shared_dressed_commoner_tatooine_ishitib_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2571425416', '9944D688', 'object/mobile/shared_dressed_commoner_tatooine_ishitib_male_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('181687135', 'AD4535F', 'object/mobile/shared_dressed_commoner_tatooine_nikto_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3519282120', 'D1C3FBC8', 'object/mobile/shared_dressed_commoner_tatooine_nikto_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2563677253', '98CE9C45', 'object/mobile/shared_dressed_commoner_tatooine_nikto_male_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1663940433', '632DB751', 'object/mobile/shared_dressed_commoner_tatooine_nikto_male_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('706793692', '2A20D0DC', 'object/mobile/shared_dressed_commoner_tatooine_nikto_male_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('4046944331', 'F137784B', 'object/mobile/shared_dressed_commoner_tatooine_nikto_male_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('3090816966', 'B83A1FC6', 'object/mobile/shared_dressed_commoner_tatooine_nikto_male_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('36713428', '23033D4', 'object/mobile/shared_dressed_commoner_tatooine_nikto_male_08.iff');
INSERT INTO `object_crc_string_table` VALUES ('2497774199', '94E10277', 'object/mobile/shared_dressed_commoner_tatooine_rodian_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1341565664', '4FF6AAE0', 'object/mobile/shared_dressed_commoner_tatooine_rodian_female_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('117165421', '6FBCD6D', 'object/mobile/shared_dressed_commoner_tatooine_rodian_female_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('4246267513', 'FD18E679', 'object/mobile/shared_dressed_commoner_tatooine_rodian_female_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3651467751', 'D9A4F9E7', 'object/mobile/shared_dressed_commoner_tatooine_rodian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('45306224', '2B35170', 'object/mobile/shared_dressed_commoner_tatooine_rodian_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1270757117', '4BBE36FD', 'object/mobile/shared_dressed_commoner_tatooine_rodian_male_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2958892521', 'B05D1DE9', 'object/mobile/shared_dressed_commoner_tatooine_rodian_male_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1944026085', '73DF7BE5', 'object/mobile/shared_dressed_commoner_tatooine_sullustan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2831733618', 'A8C8D372', 'object/mobile/shared_dressed_commoner_tatooine_sullustan_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3787830527', 'E1C5B4FF', 'object/mobile/shared_dressed_commoner_tatooine_sullustan_male_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('438738923', '1A269FEB', 'object/mobile/shared_dressed_commoner_tatooine_sullustan_male_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1395390566', '532BF866', 'object/mobile/shared_dressed_commoner_tatooine_sullustan_male_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('2285654257', '883C50F1', 'object/mobile/shared_dressed_commoner_tatooine_sullustan_male_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('138244543', '83D71BF', 'object/mobile/shared_dressed_commoner_tatooine_trandoshan_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3542800680', 'D32AD928', 'object/mobile/shared_dressed_commoner_tatooine_trandoshan_female_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2586295973', '9A27BEA5', 'object/mobile/shared_dressed_commoner_tatooine_trandoshan_female_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1640273329', '61C495B1', 'object/mobile/shared_dressed_commoner_tatooine_trandoshan_female_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('502432196', '1DF281C4', 'object/mobile/shared_dressed_commoner_tatooine_trandoshan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3336907091', 'C6E52953', 'object/mobile/shared_dressed_commoner_tatooine_trandoshan_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3062555626', 'B68AE3EA', 'object/mobile/shared_dressed_coraline_dynes.iff');
INSERT INTO `object_crc_string_table` VALUES ('1145107103', '4440F29F', 'object/mobile/shared_dressed_corellia_cec_officer.iff');
INSERT INTO `object_crc_string_table` VALUES ('4071518060', 'F2AE6F6C', 'object/mobile/shared_dressed_corellia_corran_horn.iff');
INSERT INTO `object_crc_string_table` VALUES ('2546781728', '97CCCE20', 'object/mobile/shared_dressed_corellia_hal_horn.iff');
INSERT INTO `object_crc_string_table` VALUES ('142160511', '879327F', 'object/mobile/shared_dressed_corellia_local_corsec_chief.iff');
INSERT INTO `object_crc_string_table` VALUES ('1929807804', '730687BC', 'object/mobile/shared_dressed_corellia_viceprex_mistress.iff');
INSERT INTO `object_crc_string_table` VALUES ('2814605458', 'A7C37892', 'object/mobile/shared_dressed_corran_horn.iff');
INSERT INTO `object_crc_string_table` VALUES ('3643912755', 'D931B233', 'object/mobile/shared_dressed_corsair_captain_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3240373981', 'C1242EDD', 'object/mobile/shared_dressed_corsair_captain_nikto_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1180048042', '46561AAA', 'object/mobile/shared_dressed_corsair_captain_wee_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2104907751', '7D7657E7', 'object/mobile/shared_dressed_corsair_captain_zab_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3977728311', 'ED175137', 'object/mobile/shared_dressed_corsair_cutthroat_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('2011823782', '77E9FEA6', 'object/mobile/shared_dressed_corsair_cutthroat_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3901642303', 'E88E563F', 'object/mobile/shared_dressed_corsair_cutthroat_wee_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3551402866', 'D3AE1B72', 'object/mobile/shared_dressed_corsair_cutthroat_zab_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3900861345', 'E8826BA1', 'object/mobile/shared_dressed_corsair_destroyer_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('1920779312', '727CC430', 'object/mobile/shared_dressed_corsair_destroyer_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3977997481', 'ED1B6CA9', 'object/mobile/shared_dressed_corsair_destroyer_wee_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3594199524', 'D63B21E4', 'object/mobile/shared_dressed_corsair_destroyer_zab_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('4015626219', 'EF5997EB', 'object/mobile/shared_dressed_corsair_elite_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('1973893242', '75A7387A', 'object/mobile/shared_dressed_corsair_elite_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('431346868', '19B5D4B4', 'object/mobile/shared_dressed_corsair_elite_nikto_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3938488547', 'EAC090E3', 'object/mobile/shared_dressed_corsair_elite_wee_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3521174958', 'D1E0DDAE', 'object/mobile/shared_dressed_corsair_elite_zab_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('4274748420', 'FECB7C04', 'object/mobile/shared_dressed_corsair_guard_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('1681249173', '6435D395', 'object/mobile/shared_dressed_corsair_guard_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('479039115', '1C8D8E8B', 'object/mobile/shared_dressed_corsair_guard_nikto_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3767227024', 'E08B5290', 'object/mobile/shared_dressed_corsair_guard_rod_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3844771565', 'E52A8EED', 'object/mobile/shared_dressed_corsair_pirate_elite_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('2144608636', '7FD4217C', 'object/mobile/shared_dressed_corsair_pirate_elite_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3355325143', 'C7FE32D7', 'object/mobile/shared_dressed_corsair_pirate_elite_nikto_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('4218069113', 'FB6AA079', 'object/mobile/shared_dressed_corsair_pirate_elite_rod_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3769862629', 'E0B389E5', 'object/mobile/shared_dressed_corsair_pirate_elite_wee_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3683894440', 'DB93C4A8', 'object/mobile/shared_dressed_corsair_pirate_elite_zab_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2967943700', 'B0E73A14', 'object/mobile/shared_dressed_corsair_pirate_strong_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('706319749', '2A199585', 'object/mobile/shared_dressed_corsair_pirate_strong_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3647615927', 'D96A33B7', 'object/mobile/shared_dressed_corsair_pirate_strong_nikto_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2388553809', '8E5E7051', 'object/mobile/shared_dressed_corsair_pirate_strong_zab_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1077516857', '40399A39', 'object/mobile/shared_dressed_corsair_pirate_weak_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('3670488488', 'DAC735A8', 'object/mobile/shared_dressed_corsair_pirate_weak_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1585034413', '5E79B4AD', 'object/mobile/shared_dressed_corsair_pirate_weak_rod_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('175385097', 'A742A09', 'object/mobile/shared_dressed_corsair_scout_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('2424997272', '908A8598', 'object/mobile/shared_dressed_corsair_scout_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('338953373', '1434049D', 'object/mobile/shared_dressed_corsair_scout_rod_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('267201793', 'FED2D01', 'object/mobile/shared_dressed_corsair_scout_wee_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('466282881', '1BCAE981', 'object/mobile/shared_dressed_corsec_captain_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('16556953', 'FCA399', 'object/mobile/shared_dressed_corsec_captain_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1875886160', '6FCFC050', 'object/mobile/shared_dressed_corsec_detective_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3750712439', 'DF8F5477', 'object/mobile/shared_dressed_corsec_detective_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3254959481', 'C202BD79', 'object/mobile/shared_dressed_corsec_officer_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('152421728', '915C560', 'object/mobile/shared_dressed_corsec_officer_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3630538207', 'D8659DDF', 'object/mobile/shared_dressed_corsec_pilot_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('920895820', '36E3C14C', 'object/mobile/shared_dressed_corsec_pilot_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('971528206', '39E8580E', 'object/mobile/shared_dressed_corvette_imperial_darkstone.iff');
INSERT INTO `object_crc_string_table` VALUES ('2642335020', '9D7ED52C', 'object/mobile/shared_dressed_corvette_imperial_sabol.iff');
INSERT INTO `object_crc_string_table` VALUES ('3435443235', 'CCC4B423', 'object/mobile/shared_dressed_corvette_imperial_velso.iff');
INSERT INTO `object_crc_string_table` VALUES ('2101878876', '7D48205C', 'object/mobile/shared_dressed_corvette_neutral_bronell.iff');
INSERT INTO `object_crc_string_table` VALUES ('1901946192', '715D6550', 'object/mobile/shared_dressed_corvette_neutral_bruce.iff');
INSERT INTO `object_crc_string_table` VALUES ('1266546126', '4B7DF5CE', 'object/mobile/shared_dressed_corvette_neutral_yondalla.iff');
INSERT INTO `object_crc_string_table` VALUES ('4086098905', 'F38CEBD9', 'object/mobile/shared_dressed_corvette_rebel_adar.iff');
INSERT INTO `object_crc_string_table` VALUES ('509098355', '1E583973', 'object/mobile/shared_dressed_corvette_rebel_crowley.iff');
INSERT INTO `object_crc_string_table` VALUES ('3232029514', 'C0A4DB4A', 'object/mobile/shared_dressed_corvette_rebel_pashna.iff');
INSERT INTO `object_crc_string_table` VALUES ('2930076531', 'AEA56B73', 'object/mobile/shared_dressed_coynite_off_hum_m_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1974649828', '75B2C3E4', 'object/mobile/shared_dressed_coynite_off_hum_m_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2165756757', '8116D355', 'object/mobile/shared_dressed_coynite_pilot_hum_m_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1510046658', '5A017BC2', 'object/mobile/shared_dressed_coynite_pilot_hum_m_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('319560783', '130C1C4F', 'object/mobile/shared_dressed_coynite_pilot_hum_m_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3907991387', 'E8EF375B', 'object/mobile/shared_dressed_coynite_pilot_hum_m_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2715963606', 'A1E250D6', 'object/mobile/shared_dressed_coynite_pilot_hum_m_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('2975872532', 'B1603614', 'object/mobile/shared_dressed_creaturehandler_trainer_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('544352117', '20722775', 'object/mobile/shared_dressed_creaturehandler_trainer_rodian_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2316522719', '8A1354DF', 'object/mobile/shared_dressed_creaturehandler_trainer_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4126019205', 'F5EE0E85', 'object/mobile/shared_dressed_crev_bombaasa.iff');
INSERT INTO `object_crc_string_table` VALUES ('4227186798', 'FBF5C06E', 'object/mobile/shared_dressed_crider_trant.iff');
INSERT INTO `object_crc_string_table` VALUES ('3456571922', 'CE071A12', 'object/mobile/shared_dressed_criminal_assassin_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3216467552', 'BFB76660', 'object/mobile/shared_dressed_criminal_assassin_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1871385447', '6F8B1367', 'object/mobile/shared_dressed_criminal_organized_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1789315994', '6AA6CB9A', 'object/mobile/shared_dressed_criminal_organized_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('895070441', '3559B0E9', 'object/mobile/shared_dressed_criminal_organized_twilek_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2883406692', 'ABDD4B64', 'object/mobile/shared_dressed_criminal_organized_twilek_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2941743775', 'AF57729F', 'object/mobile/shared_dressed_criminal_pirate_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3075287882', 'B74D2B4A', 'object/mobile/shared_dressed_criminal_pirate_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2268027596', '872F5ACC', 'object/mobile/shared_dressed_criminal_slicer_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2693793018', 'A09004FA', 'object/mobile/shared_dressed_criminal_slicer_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1439737032', '55D0A4C8', 'object/mobile/shared_dressed_criminal_smuggler_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4184098303', 'F96445FF', 'object/mobile/shared_dressed_criminal_smuggler_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('598710341', '23AF9845', 'object/mobile/shared_dressed_criminal_swooper_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('783797004', '2EB7CB0C', 'object/mobile/shared_dressed_criminal_swooper_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('124777914', '76FF5BA', 'object/mobile/shared_dressed_criminal_swooper_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1086114556', '40BCCAFC', 'object/mobile/shared_dressed_criminal_swooper_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3411344577', 'CB54FCC1', 'object/mobile/shared_dressed_criminal_thug_aqualish_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('272847958', '10435456', 'object/mobile/shared_dressed_criminal_thug_aqualish_female_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('490930067', '1D42FF93', 'object/mobile/shared_dressed_criminal_thug_aqualish_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3327481604', 'C6555704', 'object/mobile/shared_dressed_criminal_thug_aqualish_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('870855086', '33E831AE', 'object/mobile/shared_dressed_criminal_thug_bothan_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1812834379', '6C0DA84B', 'object/mobile/shared_dressed_criminal_thug_bothan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1572128268', '5DB4C60C', 'object/mobile/shared_dressed_criminal_thug_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2258857627', '86A36E9B', 'object/mobile/shared_dressed_criminal_thug_human_female_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2603521920', '9B2E9780', 'object/mobile/shared_dressed_criminal_thug_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1077493527', '40393F17', 'object/mobile/shared_dressed_criminal_thug_human_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1495617954', '592551A2', 'object/mobile/shared_dressed_criminal_thug_rodian_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1938688799', '738E0B1F', 'object/mobile/shared_dressed_criminal_thug_rodian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2651310621', '9E07CA1D', 'object/mobile/shared_dressed_criminal_thug_trandoshan_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3726012530', 'DE167072', 'object/mobile/shared_dressed_criminal_thug_trandoshan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3221946711', 'C00B0157', 'object/mobile/shared_dressed_criminal_thug_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1931190505', '731BA0E9', 'object/mobile/shared_dressed_criminal_thug_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2121620877', '7E755D8D', 'object/mobile/shared_dressed_crook_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1110857106', '42365592', 'object/mobile/shared_dressed_crook_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1994099101', '76DB899D', 'object/mobile/shared_dressed_cx_425.iff');
INSERT INTO `object_crc_string_table` VALUES ('3507958054', 'D1173126', 'object/mobile/shared_dressed_daclif_gallamby.iff');
INSERT INTO `object_crc_string_table` VALUES ('3760167728', 'E01F9B30', 'object/mobile/shared_dressed_dalla_solo.iff');
INSERT INTO `object_crc_string_table` VALUES ('2800557384', 'A6ED1D48', 'object/mobile/shared_dressed_damalia_korde.iff');
INSERT INTO `object_crc_string_table` VALUES ('369592207', '1607878F', 'object/mobile/shared_dressed_dancer_trainer_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3440389912', 'CD102F18', 'object/mobile/shared_dressed_dancer_trainer_human_female_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1983490866', '7639AB32', 'object/mobile/shared_dressed_dancer_trainer_twk_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2171393597', '816CD63D', 'object/mobile/shared_dressed_dark_force_crystal_hunter.iff');
INSERT INTO `object_crc_string_table` VALUES ('1570698968', '5D9EF6D8', 'object/mobile/shared_dressed_dark_jedi_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2005105485', '77837B4D', 'object/mobile/shared_dressed_dark_jedi_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('381404964', '16BBC724', 'object/mobile/shared_dressed_dark_side_savage.iff');
INSERT INTO `object_crc_string_table` VALUES ('2500972348', '9511CF3C', 'object/mobile/shared_dressed_dark_trooper_black_hole.iff');
INSERT INTO `object_crc_string_table` VALUES ('910678824', '3647DB28', 'object/mobile/shared_dressed_darklighter_niece.iff');
INSERT INTO `object_crc_string_table` VALUES ('2853795094', 'AA197516', 'object/mobile/shared_dressed_dathomir_nightsister_axkva.iff');
INSERT INTO `object_crc_string_table` VALUES ('4033230337', 'F0663601', 'object/mobile/shared_dressed_dathomir_nightsister_elder.iff');
INSERT INTO `object_crc_string_table` VALUES ('361612105', '158DC349', 'object/mobile/shared_dressed_dathomir_nightsister_escaped_slave.iff');
INSERT INTO `object_crc_string_table` VALUES ('2967208473', 'B0DC0219', 'object/mobile/shared_dressed_dathomir_nightsister_guardian.iff');
INSERT INTO `object_crc_string_table` VALUES ('531141629', '1FA893FD', 'object/mobile/shared_dressed_dathomir_nightsister_initiate.iff');
INSERT INTO `object_crc_string_table` VALUES ('2430135288', '90D8EBF8', 'object/mobile/shared_dressed_dathomir_nightsister_outcast.iff');
INSERT INTO `object_crc_string_table` VALUES ('2893162759', 'AC722907', 'object/mobile/shared_dressed_dathomir_nightsister_protector.iff');
INSERT INTO `object_crc_string_table` VALUES ('764979635', '2D98A9B3', 'object/mobile/shared_dressed_dathomir_nightsister_rancor_tamer.iff');
INSERT INTO `object_crc_string_table` VALUES ('3628672450', 'D84925C2', 'object/mobile/shared_dressed_dathomir_nightsister_ranger.iff');
INSERT INTO `object_crc_string_table` VALUES ('1363815615', '514A2CBF', 'object/mobile/shared_dressed_dathomir_nightsister_sentinal.iff');
INSERT INTO `object_crc_string_table` VALUES ('1482802851', '5861C6A3', 'object/mobile/shared_dressed_dathomir_nightsister_slave.iff');
INSERT INTO `object_crc_string_table` VALUES ('2291851149', '889ADF8D', 'object/mobile/shared_dressed_dathomir_nightsister_spellweaver.iff');
INSERT INTO `object_crc_string_table` VALUES ('1157182633', '44F934A9', 'object/mobile/shared_dressed_dathomir_nightsister_stalker.iff');
INSERT INTO `object_crc_string_table` VALUES ('1292914982', '4D105126', 'object/mobile/shared_dressed_dathomir_prisoner_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2517105073', '9607F9B1', 'object/mobile/shared_dressed_dathomir_prisoner_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3742015036', 'DF0A9E3C', 'object/mobile/shared_dressed_dathomir_prisoner_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('619296040', '24E9B528', 'object/mobile/shared_dressed_dathomir_prisoner_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1843712677', '6DE4D2A5', 'object/mobile/shared_dressed_dathomir_prisoner_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1806425280', '6BABDCC0', 'object/mobile/shared_dressed_dathomir_sing_mt_clan_arch_witch.iff');
INSERT INTO `object_crc_string_table` VALUES ('905293113', '35F5AD39', 'object/mobile/shared_dressed_dathomir_sing_mt_clan_councilwoman.iff');
INSERT INTO `object_crc_string_table` VALUES ('2066521183', '7B2C9C5F', 'object/mobile/shared_dressed_dathomir_sing_mt_clan_dragoon.iff');
INSERT INTO `object_crc_string_table` VALUES ('3140756286', 'BB34233E', 'object/mobile/shared_dressed_dathomir_sing_mt_clan_escaped_slave.iff');
INSERT INTO `object_crc_string_table` VALUES ('3845924648', 'E53C2728', 'object/mobile/shared_dressed_dathomir_sing_mt_clan_guardian.iff');
INSERT INTO `object_crc_string_table` VALUES ('1615915310', '6050E92E', 'object/mobile/shared_dressed_dathomir_sing_mt_clan_huntress.iff');
INSERT INTO `object_crc_string_table` VALUES ('1246279372', '4A48B6CC', 'object/mobile/shared_dressed_dathomir_sing_mt_clan_initiate.iff');
INSERT INTO `object_crc_string_table` VALUES ('3930207510', 'EA423516', 'object/mobile/shared_dressed_dathomir_sing_mt_clan_outcast.iff');
INSERT INTO `object_crc_string_table` VALUES ('1828886051', '6D029623', 'object/mobile/shared_dressed_dathomir_sing_mt_clan_rancor_tamer.iff');
INSERT INTO `object_crc_string_table` VALUES ('1250467023', '4A889CCF', 'object/mobile/shared_dressed_dathomir_sing_mt_clan_scout.iff');
INSERT INTO `object_crc_string_table` VALUES ('1197970667', '476794EB', 'object/mobile/shared_dressed_dathomir_sing_mt_clan_sentry.iff');
INSERT INTO `object_crc_string_table` VALUES ('722215438', '2B0C220E', 'object/mobile/shared_dressed_dathomir_sing_mt_clan_slave.iff');
INSERT INTO `object_crc_string_table` VALUES ('4294388409', 'FFF72AB9', 'object/mobile/shared_dressed_dathomir_spider_nightsister_crawler.iff');
INSERT INTO `object_crc_string_table` VALUES ('916249685', '369CDC55', 'object/mobile/shared_dressed_dathomir_spider_nightsister_elder.iff');
INSERT INTO `object_crc_string_table` VALUES ('1238613848', '49D3BF58', 'object/mobile/shared_dressed_dathomir_spider_nightsister_guardian.iff');
INSERT INTO `object_crc_string_table` VALUES ('3869716156', 'E6A72EBC', 'object/mobile/shared_dressed_dathomir_spider_nightsister_initiate.iff');
INSERT INTO `object_crc_string_table` VALUES ('146695425', '8BE6501', 'object/mobile/shared_dressed_dathomir_spider_nightsister_protector.iff');
INSERT INTO `object_crc_string_table` VALUES ('3303384094', 'C4E5A41E', 'object/mobile/shared_dressed_dathomir_spider_nightsister_sentinel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1259412327', '4B111B67', 'object/mobile/shared_dressed_dathomir_spider_nightsister_spellweaver.iff');
INSERT INTO `object_crc_string_table` VALUES ('780342276', '2E831404', 'object/mobile/shared_dressed_dathomir_spider_nightsister_stalker.iff');
INSERT INTO `object_crc_string_table` VALUES ('3806977449', 'E2E9DDA9', 'object/mobile/shared_dressed_dathomir_spider_nightsister_web_dancer.iff');
INSERT INTO `object_crc_string_table` VALUES ('839768165', '320DD865', 'object/mobile/shared_dressed_death_watch_gold.iff');
INSERT INTO `object_crc_string_table` VALUES ('3089566225', 'B8270A11', 'object/mobile/shared_dressed_death_watch_grey.iff');
INSERT INTO `object_crc_string_table` VALUES ('3286146806', 'C3DE9EF6', 'object/mobile/shared_dressed_death_watch_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('3553170937', 'D3C915F9', 'object/mobile/shared_dressed_death_watch_silver.iff');
INSERT INTO `object_crc_string_table` VALUES ('3985030980', 'ED86BF44', 'object/mobile/shared_dressed_deathstar_debris_cultist_hum_m_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('915478483', '369117D3', 'object/mobile/shared_dressed_deathstar_debris_cultist_hum_m_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4142371591', 'F6E79307', 'object/mobile/shared_dressed_deathstar_debris_cultist_mon_m_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2347860664', '8BF182B8', 'object/mobile/shared_dressed_deathstar_debris_cultist_rod_f_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3850528316', 'E582663C', 'object/mobile/shared_dressed_deathstar_debris_leader_rod_m_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2432259061', '90F953F5', 'object/mobile/shared_dressed_denell_kelvannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('2053608249', '7A679339', 'object/mobile/shared_dressed_desperado_bith_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1616396794', '605841FA', 'object/mobile/shared_dressed_desperado_bith_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1331530610', '4F5D8B72', 'object/mobile/shared_dressed_diax.iff');
INSERT INTO `object_crc_string_table` VALUES ('2089666985', '7C8DC9A9', 'object/mobile/shared_dressed_diplomat_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2811912510', 'A79A613E', 'object/mobile/shared_dressed_diplomat_human_female_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4002875059', 'EE9706B3', 'object/mobile/shared_dressed_diplomat_human_female_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3809271012', 'E30CDCE4', 'object/mobile/shared_dressed_diplomat_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('941323379', '381B7473', 'object/mobile/shared_dressed_diplomat_human_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1897272318', '711613FE', 'object/mobile/shared_dressed_diplomat_human_male_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('838046104', '31F39198', 'object/mobile/shared_dressed_diplomat_trando_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('756505236', '2D175A94', 'object/mobile/shared_dressed_diplomat_trando_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1709575936', '65E60F00', 'object/mobile/shared_dressed_diplomat_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3203508119', 'BEF1A797', 'object/mobile/shared_dressed_diplomat_zabrak_female_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2548839606', '97EC34B6', 'object/mobile/shared_dressed_diplomat_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1291557921', '4CFB9C21', 'object/mobile/shared_dressed_diplomat_zabrak_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('278701370', '109CA53A', 'object/mobile/shared_dressed_disable_sidequest_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('1838302384', '6D9244B0', 'object/mobile/shared_dressed_diva_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3454026602', 'CDE0436A', 'object/mobile/shared_dressed_doak_sif.iff');
INSERT INTO `object_crc_string_table` VALUES ('1153411498', '44BFA9AA', 'object/mobile/shared_dressed_doctor_trainer_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1760856169', '68F48869', 'object/mobile/shared_dressed_doctor_trainer_moncal_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1970430892', '757263AC', 'object/mobile/shared_dressed_doctor_trainer_moncal_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3334423662', 'C6BF446E', 'object/mobile/shared_dressed_doctor_vacca.iff');
INSERT INTO `object_crc_string_table` VALUES ('940947755', '3815B92B', 'object/mobile/shared_dressed_dolac_legasi.iff');
INSERT INTO `object_crc_string_table` VALUES ('1525826938', '5AF2457A', 'object/mobile/shared_dressed_dr_dea_tore.iff');
INSERT INTO `object_crc_string_table` VALUES ('1851363330', '6E599002', 'object/mobile/shared_dressed_dr_vacca.iff');
INSERT INTO `object_crc_string_table` VALUES ('325819301', '136B9BA5', 'object/mobile/shared_dressed_drakka_judarrl.iff');
INSERT INTO `object_crc_string_table` VALUES ('4247998836', 'FD335174', 'object/mobile/shared_dressed_draya_korbinari.iff');
INSERT INTO `object_crc_string_table` VALUES ('617014231', '24C6E3D7', 'object/mobile/shared_dressed_drenn_zebber.iff');
INSERT INTO `object_crc_string_table` VALUES ('3794306810', 'E22886FA', 'object/mobile/shared_dressed_droidengineer_trainer_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2875483174', 'AB646426', 'object/mobile/shared_dressed_droidengineer_trainer_moncal_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3085081847', 'B7E29CF7', 'object/mobile/shared_dressed_droidengineer_trainer_rodian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3573085560', 'D4F8F578', 'object/mobile/shared_dressed_durgur_pyne.iff');
INSERT INTO `object_crc_string_table` VALUES ('1905762901', '7197A255', 'object/mobile/shared_dressed_eisley_harburik_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('969141434', '39C3ECBA', 'object/mobile/shared_dressed_eisley_officer_aqualish_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('42070043', '281F01B', 'object/mobile/shared_dressed_eisley_officer_aqualish_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('741031462', '2C2B3E26', 'object/mobile/shared_dressed_eisley_officer_bothan_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3885288051', 'E794CA73', 'object/mobile/shared_dressed_eisley_officer_bothan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2257704323', '8691D583', 'object/mobile/shared_dressed_eisley_officer_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('300124372', '11E388D4', 'object/mobile/shared_dressed_eisley_officer_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2474359135', '937BB95F', 'object/mobile/shared_dressed_eisley_officer_quarren_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1189502506', '46E65E2A', 'object/mobile/shared_dressed_eisley_officer_rodian_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4162283815', 'F8176927', 'object/mobile/shared_dressed_eisley_officer_rodian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3874236008', 'E6EC2668', 'object/mobile/shared_dressed_eisley_officer_trandoshan_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('746676233', '2C816009', 'object/mobile/shared_dressed_eisley_officer_trandoshan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3372188319', 'C8FF829F', 'object/mobile/shared_dressed_eisley_officer_twilek_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('627168226', '2561D3E2', 'object/mobile/shared_dressed_eisley_officer_twilek_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3754430175', 'DFC80EDF', 'object/mobile/shared_dressed_eisley_officer_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4169319121', 'F882C2D1', 'object/mobile/shared_dressed_eisley_officer_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3199160442', 'BEAF507A', 'object/mobile/shared_dressed_emperors_hand_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1486314061', '58975A4D', 'object/mobile/shared_dressed_emperors_hand_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2206266074', '8380F2DA', 'object/mobile/shared_dressed_emperors_hand_human_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2585779113', '9A1FDBA9', 'object/mobile/shared_dressed_emperors_hand_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3733923381', 'DE8F2635', 'object/mobile/shared_dressed_entertainer_trainer_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2002969215', '7762E27F', 'object/mobile/shared_dressed_entertainer_trainer_twk_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('795770506', '2F6E7E8A', 'object/mobile/shared_dressed_entertainer_trainer_twk_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2888229824', 'AC26E3C0', 'object/mobile/shared_dressed_erran_sif.iff');
INSERT INTO `object_crc_string_table` VALUES ('974088634', '3A0F69BA', 'object/mobile/shared_dressed_ewok_f_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3776495917', 'E118C12D', 'object/mobile/shared_dressed_ewok_f_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2819991200', 'A815A6A0', 'object/mobile/shared_dressed_ewok_f_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1408667060', '53F68DB4', 'object/mobile/shared_dressed_ewok_f_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('452717113', '1AFBEA39', 'object/mobile/shared_dressed_ewok_f_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('3253486254', 'C1EC42AE', 'object/mobile/shared_dressed_ewok_f_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('2296456483', '88E12523', 'object/mobile/shared_dressed_ewok_f_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('854264113', '32EB0931', 'object/mobile/shared_dressed_ewok_f_08.iff');
INSERT INTO `object_crc_string_table` VALUES ('2078699196', '7BE66EBC', 'object/mobile/shared_dressed_ewok_f_09.iff');
INSERT INTO `object_crc_string_table` VALUES ('1747583823', '682A034F', 'object/mobile/shared_dressed_ewok_f_10.iff');
INSERT INTO `object_crc_string_table` VALUES ('556229826', '212764C2', 'object/mobile/shared_dressed_ewok_f_11.iff');
INSERT INTO `object_crc_string_table` VALUES ('4197502037', 'FA30CC55', 'object/mobile/shared_dressed_ewok_f_12.iff');
INSERT INTO `object_crc_string_table` VALUES ('39965146', '261D1DA', 'object/mobile/shared_dressed_ewok_m_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3648420173', 'D976794D', 'object/mobile/shared_dressed_ewok_m_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2423987904', '907B1EC0', 'object/mobile/shared_dressed_ewok_m_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1805137364', '6B9835D4', 'object/mobile/shared_dressed_ewok_m_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('580211289', '22955259', 'object/mobile/shared_dressed_ewok_m_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('4186110670', 'F982FACE', 'object/mobile/shared_dressed_ewok_m_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('2962201923', 'B08F9D43', 'object/mobile/shared_dressed_ewok_m_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('176533841', 'A85B151', 'object/mobile/shared_dressed_ewok_m_08.iff');
INSERT INTO `object_crc_string_table` VALUES ('1133041372', '4388D6DC', 'object/mobile/shared_dressed_ewok_m_09.iff');
INSERT INTO `object_crc_string_table` VALUES ('1346681647', '5044BB2F', 'object/mobile/shared_dressed_ewok_m_10.iff');
INSERT INTO `object_crc_string_table` VALUES ('424271010', '1949DCA2', 'object/mobile/shared_dressed_ewok_m_11.iff');
INSERT INTO `object_crc_string_table` VALUES ('3260970037', 'C25E7435', 'object/mobile/shared_dressed_ewok_m_12.iff');
INSERT INTO `object_crc_string_table` VALUES ('552012164', '20E70984', 'object/mobile/shared_dressed_fancy_human_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('2083472646', '7C2F4506', 'object/mobile/shared_dressed_farmer_husband_of_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('1759379812', '68DE0164', 'object/mobile/shared_dressed_farmer_wife_of_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('1812641406', '6C0AB67E', 'object/mobile/shared_dressed_fath_hray.iff');
INSERT INTO `object_crc_string_table` VALUES ('3327997767', 'C65D3747', 'object/mobile/shared_dressed_fawn_moonraiser.iff');
INSERT INTO `object_crc_string_table` VALUES ('3361618348', 'C85E39AC', 'object/mobile/shared_dressed_fed_dub_captain_twk_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('12819568', 'C39C70', 'object/mobile/shared_dressed_fed_dub_captain_twk_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2942933226', 'AF6998EA', 'object/mobile/shared_dressed_fed_dub_commander_bith_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3161535209', 'BC7132E9', 'object/mobile/shared_dressed_fed_dub_commander_bith_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('334303988', '13ED12F4', 'object/mobile/shared_dressed_fed_dub_constable_twk_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('279439411', '10A7E833', 'object/mobile/shared_dressed_fed_dub_constable_twk_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3778777696', 'E13B9260', 'object/mobile/shared_dressed_fed_dub_investigator_twk_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('90363846', '562D7C6', 'object/mobile/shared_dressed_fed_dub_investigator_twk_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1664654311', '63389BE7', 'object/mobile/shared_dressed_fed_dub_patrol_man_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2889525055', 'AC3AA73F', 'object/mobile/shared_dressed_fed_dub_patrolman_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1127504966', '43345C46', 'object/mobile/shared_dressed_fed_dub_patrolman_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1386145364', '529EE654', 'object/mobile/shared_dressed_fed_dub_supporter_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('749035356', '2CA55F5C', 'object/mobile/shared_dressed_fed_dub_supporter_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2095772516', '7CEAF364', 'object/mobile/shared_dressed_feinu_zerk.iff');
INSERT INTO `object_crc_string_table` VALUES ('2507849557', '957ABF55', 'object/mobile/shared_dressed_feral_force_wielder.iff');
INSERT INTO `object_crc_string_table` VALUES ('52876059', '326D31B', 'object/mobile/shared_dressed_feral_marauder.iff');
INSERT INTO `object_crc_string_table` VALUES ('3872065888', 'E6CB0960', 'object/mobile/shared_dressed_fightmaster_jorak.iff');
INSERT INTO `object_crc_string_table` VALUES ('3582842102', 'D58DD4F6', 'object/mobile/shared_dressed_force_sensitive_crypt_crawler.iff');
INSERT INTO `object_crc_string_table` VALUES ('4022749602', 'EFC649A2', 'object/mobile/shared_dressed_force_sensitive_renegade.iff');
INSERT INTO `object_crc_string_table` VALUES ('2067446413', '7B3ABA8D', 'object/mobile/shared_dressed_force_trained_archaist.iff');
INSERT INTO `object_crc_string_table` VALUES ('1874526327', '6FBB0077', 'object/mobile/shared_dressed_forsaken_force_drifter.iff');
INSERT INTO `object_crc_string_table` VALUES ('1366618558', '5174F1BE', 'object/mobile/shared_dressed_frenzied_marauder.iff');
INSERT INTO `object_crc_string_table` VALUES ('1512375804', '5A2505FC', 'object/mobile/shared_dressed_fs_converter.iff');
INSERT INTO `object_crc_string_table` VALUES ('892039589', '352B71A5', 'object/mobile/shared_dressed_fs_trainer.iff');
INSERT INTO `object_crc_string_table` VALUES ('551049976', '20D85AF8', 'object/mobile/shared_dressed_fs_village_captain.iff');
INSERT INTO `object_crc_string_table` VALUES ('3897249451', 'E84B4EAB', 'object/mobile/shared_dressed_fs_village_elder.iff');
INSERT INTO `object_crc_string_table` VALUES ('760613899', '2D560C0B', 'object/mobile/shared_dressed_fs_village_enemies_daktar.iff');
INSERT INTO `object_crc_string_table` VALUES ('1307193204', '4DEA2F74', 'object/mobile/shared_dressed_fs_village_enemy_daktar.iff');
INSERT INTO `object_crc_string_table` VALUES ('2754508565', 'A42E7715', 'object/mobile/shared_dressed_fs_village_enemy_gadsle.iff');
INSERT INTO `object_crc_string_table` VALUES ('3989382798', 'EDC9268E', 'object/mobile/shared_dressed_fs_village_enemy_kylaena.iff');
INSERT INTO `object_crc_string_table` VALUES ('1261483492', '4B30B5E4', 'object/mobile/shared_dressed_fs_village_enemy_mellichae.iff');
INSERT INTO `object_crc_string_table` VALUES ('1164924830', '456F579E', 'object/mobile/shared_dressed_fs_village_farmer.iff');
INSERT INTO `object_crc_string_table` VALUES ('849175958', '329D6596', 'object/mobile/shared_dressed_fs_village_intro_woman.iff');
INSERT INTO `object_crc_string_table` VALUES ('2518383563', '961B7BCB', 'object/mobile/shared_dressed_fs_village_medic.iff');
INSERT INTO `object_crc_string_table` VALUES ('2513398694', '95CF6BA6', 'object/mobile/shared_dressed_fs_village_oldman.iff');
INSERT INTO `object_crc_string_table` VALUES ('2964267603', 'B0AF2253', 'object/mobile/shared_dressed_fs_village_quharek.iff');
INSERT INTO `object_crc_string_table` VALUES ('1326393236', '4F0F2794', 'object/mobile/shared_dressed_fs_village_sad.iff');
INSERT INTO `object_crc_string_table` VALUES ('567479231', '21D30BBF', 'object/mobile/shared_dressed_fs_village_surveyor.iff');
INSERT INTO `object_crc_string_table` VALUES ('1285208010', '4C9AB7CA', 'object/mobile/shared_dressed_fs_village_whip.iff');
INSERT INTO `object_crc_string_table` VALUES ('4284535005', 'FF60D0DD', 'object/mobile/shared_dressed_garm_bel_iblis.iff');
INSERT INTO `object_crc_string_table` VALUES ('379852701', '16A4179D', 'object/mobile/shared_dressed_garyn_dragoon_bith_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('658499922', '273FE952', 'object/mobile/shared_dressed_garyn_dragoon_bith_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2593641177', '9A97D2D9', 'object/mobile/shared_dressed_garyn_lieutenant_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2720805250', 'A22C3182', 'object/mobile/shared_dressed_garyn_lieutenant_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('704542206', '29FE75FE', 'object/mobile/shared_dressed_garyn_marauder_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('31538792', '1E13E68', 'object/mobile/shared_dressed_garyn_marauder_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('779794461', '2E7AB81D', 'object/mobile/shared_dressed_garyn_mugger_twk_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2570846511', '993C012F', 'object/mobile/shared_dressed_garyn_mugger_twk_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3679678950', 'DB5371E6', 'object/mobile/shared_dressed_garyn_pirate_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3508255084', 'D11BB96C', 'object/mobile/shared_dressed_garyn_pirate_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('501375303', '1DE26147', 'object/mobile/shared_dressed_garyn_prowler_trandoshan_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2038842218', '7986436A', 'object/mobile/shared_dressed_garyn_prowler_trandoshan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3742435317', 'DF1107F5', 'object/mobile/shared_dressed_garyn_raider_twk_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3217528770', 'BFC797C2', 'object/mobile/shared_dressed_garyn_raider_twk_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2088843005', '7C8136FD', 'object/mobile/shared_dressed_garyn_theif_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('324685249', '135A4DC1', 'object/mobile/shared_dressed_garyn_theif_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1926554567', '72D4E3C7', 'object/mobile/shared_dressed_garyn_vigo_bith_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4167663919', 'F869812F', 'object/mobile/shared_dressed_garyn_vigo_bith_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3410643434', 'CB4A49EA', 'object/mobile/shared_dressed_gavyn_sykes.iff');
INSERT INTO `object_crc_string_table` VALUES ('1110838154', '42360B8A', 'object/mobile/shared_dressed_geonosian_commoner_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2569118493', '9921A31D', 'object/mobile/shared_dressed_geonosian_commoner_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1049007864', '3E8696F8', 'object/mobile/shared_dressed_geonosian_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3953979153', 'EBACEF11', 'object/mobile/shared_dressed_geonosian_noble_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('817579910', '30BB4786', 'object/mobile/shared_dressed_geonosian_noble_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('504767605', '1E162475', 'object/mobile/shared_dressed_geonosian_scientist_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3305213154', 'C5018CE2', 'object/mobile/shared_dressed_geonosian_scientist_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3023268625', 'B4336B11', 'object/mobile/shared_dressed_geonosian_warrior_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1864680326', '6F24C386', 'object/mobile/shared_dressed_geonosian_warrior_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('640263179', '2629A40B', 'object/mobile/shared_dressed_geonosian_warrior_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2620110369', '9C2BB621', 'object/mobile/shared_dressed_gerrio_coronis.iff');
INSERT INTO `object_crc_string_table` VALUES ('1517198202', '5A6E9B7A', 'object/mobile/shared_dressed_ghent.iff');
INSERT INTO `object_crc_string_table` VALUES ('715708874', '2AA8D9CA', 'object/mobile/shared_dressed_giker_budz.iff');
INSERT INTO `object_crc_string_table` VALUES ('336777384', '1412D0A8', 'object/mobile/shared_dressed_ging_darjeek.iff');
INSERT INTO `object_crc_string_table` VALUES ('3856857139', 'E5E2F833', 'object/mobile/shared_dressed_gins_darone.iff');
INSERT INTO `object_crc_string_table` VALUES ('2558798248', '988429A8', 'object/mobile/shared_dressed_goon_twk_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3646837680', 'D95E53B0', 'object/mobile/shared_dressed_goon_twk_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('53895320', '3366098', 'object/mobile/shared_dressed_goru_rainstealer.iff');
INSERT INTO `object_crc_string_table` VALUES ('1875364182', '6FC7C956', 'object/mobile/shared_dressed_governor.iff');
INSERT INTO `object_crc_string_table` VALUES ('1764711956', '692F5E14', 'object/mobile/shared_dressed_graf_zapalo.iff');
INSERT INTO `object_crc_string_table` VALUES ('2901057639', 'ACEAA067', 'object/mobile/shared_dressed_gran_thug_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2013071600', '77FD08F0', 'object/mobile/shared_dressed_gran_thug_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1397186032', '53475DF0', 'object/mobile/shared_dressed_grassland_blood_marauder.iff');
INSERT INTO `object_crc_string_table` VALUES ('2457307675', '92778A1B', 'object/mobile/shared_dressed_gravin_attal.iff');
INSERT INTO `object_crc_string_table` VALUES ('337327897', '141B3719', 'object/mobile/shared_dressed_grondorn_muse.iff');
INSERT INTO `object_crc_string_table` VALUES ('1709106425', '65DEE4F9', 'object/mobile/shared_dressed_hagrin_zeed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4024810595', 'EFE5BC63', 'object/mobile/shared_dressed_haline_snowline.iff');
INSERT INTO `object_crc_string_table` VALUES ('4103436961', 'F4957AA1', 'object/mobile/shared_dressed_hefsen_zindalai.iff');
INSERT INTO `object_crc_string_table` VALUES ('1068785020', '3FB45D7C', 'object/mobile/shared_dressed_herald_biogenic_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3835950571', 'E4A3F5EB', 'object/mobile/shared_dressed_herald_biogenic_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2913899110', 'ADAE9266', 'object/mobile/shared_dressed_herald_biogenic_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1263781370', '4B53C5FA', 'object/mobile/shared_dressed_herald_corellia_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2420403565', '90446D6D', 'object/mobile/shared_dressed_herald_corellia_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1451994947', '568BAF43', 'object/mobile/shared_dressed_herald_dathomir_nsister_cave_azzenaj.iff');
INSERT INTO `object_crc_string_table` VALUES ('1899969798', '713F3D06', 'object/mobile/shared_dressed_herald_dathomir_nsister_cave_leandra.iff');
INSERT INTO `object_crc_string_table` VALUES ('979563827', '3A62F533', 'object/mobile/shared_dressed_herald_dathomir_nsister_cave_olof.iff');
INSERT INTO `object_crc_string_table` VALUES ('2399008769', '8EFDF801', 'object/mobile/shared_dressed_herald_emperors_retreat.iff');
INSERT INTO `object_crc_string_table` VALUES ('3258356187', 'C23691DB', 'object/mobile/shared_dressed_herald_lok_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('421607756', '1921394C', 'object/mobile/shared_dressed_herald_lok_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2515985347', '95F6E3C3', 'object/mobile/shared_dressed_herald_naboo_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1323387732', '4EE14B54', 'object/mobile/shared_dressed_herald_naboo_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1128604511', '4345235F', 'object/mobile/shared_dressed_herald_noble_twk_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('890806653', '3518A17D', 'object/mobile/shared_dressed_herald_nsister_rancor_cave_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3993962986', 'EE0F09EA', 'object/mobile/shared_dressed_herald_nsister_rancor_cave_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3049082673', 'B5BD4F31', 'object/mobile/shared_dressed_herald_pirate_naboo_human_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('2873284654', 'AB42D82E', 'object/mobile/shared_dressed_herald_servant_naboo_human_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('1621271537', '60A2A3F1', 'object/mobile/shared_dressed_herald_tatooine_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3149204326', 'BBB50B66', 'object/mobile/shared_dressed_herald_tatooine_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('754123397', '2CF30285', 'object/mobile/shared_dressed_hermit_of_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('2267502107', '8727561B', 'object/mobile/shared_dressed_hiddendagger_pilot_f_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3209293435', 'BF49EE7B', 'object/mobile/shared_dressed_hiddendagger_pilot_m_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2591680328', '9A79E748', 'object/mobile/shared_dressed_hirsch_sif.iff');
INSERT INTO `object_crc_string_table` VALUES ('2753395803', 'A41D7C5B', 'object/mobile/shared_dressed_hoodlum_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2154342619', '8068A8DB', 'object/mobile/shared_dressed_hoodlum_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2375379724', '8D956B0C', 'object/mobile/shared_dressed_hooligan_rodian_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('648197290', '26A2B4AA', 'object/mobile/shared_dressed_hooligan_rodian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('702008669', '29D7CD5D', 'object/mobile/shared_dressed_huff_zinga.iff');
INSERT INTO `object_crc_string_table` VALUES ('212098020', 'CA45BE4', 'object/mobile/shared_dressed_human_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('1481202544', '58495B70', 'object/mobile/shared_dressed_hutt_expedition_force_leader.iff');
INSERT INTO `object_crc_string_table` VALUES ('3240174951', 'C1212567', 'object/mobile/shared_dressed_hutt_expedition_force_member.iff');
INSERT INTO `object_crc_string_table` VALUES ('1634320731', '6169C15B', 'object/mobile/shared_dressed_hutt_informant_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('1223887816', '48F30BC8', 'object/mobile/shared_dressed_hutt_medic1_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2456484453', '926AFA65', 'object/mobile/shared_dressed_hutt_medic2_twilek_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4277287259', 'FEF2395B', 'object/mobile/shared_dressed_igbi_freemo.iff');
INSERT INTO `object_crc_string_table` VALUES ('2495474236', '94BDEA3C', 'object/mobile/shared_dressed_ignar_ominaz.iff');
INSERT INTO `object_crc_string_table` VALUES ('4208167227', 'FAD3893B', 'object/mobile/shared_dressed_image_designer_trainer_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('566501804', '21C421AC', 'object/mobile/shared_dressed_image_designer_trainer_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1758021153', '68C94621', 'object/mobile/shared_dressed_image_designer_trainer_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('391329231', '175335CF', 'object/mobile/shared_dressed_imperial_admiral_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('2376964702', '8DAD9A5E', 'object/mobile/shared_dressed_imperial_admiral_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('560106012', '21628A1C', 'object/mobile/shared_dressed_imperial_admiral_m_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2087563029', '7C6DAF15', 'object/mobile/shared_dressed_imperial_atat_pilot_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3498321727', 'D084273F', 'object/mobile/shared_dressed_imperial_captain_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1373753095', '51E1CF07', 'object/mobile/shared_dressed_imperial_cold_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2701430666', 'A1048F8A', 'object/mobile/shared_dressed_imperial_colonel_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('383293821', '16D8997D', 'object/mobile/shared_dressed_imperial_commander_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2481288664', '93E575D8', 'object/mobile/shared_dressed_imperial_exterminator.iff');
INSERT INTO `object_crc_string_table` VALUES ('3799379131', 'E275ECBB', 'object/mobile/shared_dressed_imperial_general_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1217933493', '489830B5', 'object/mobile/shared_dressed_imperial_gunner_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1449644294', '5667D106', 'object/mobile/shared_dressed_imperial_inquisitor_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3317919928', 'C5C370B8', 'object/mobile/shared_dressed_imperial_lieutenant_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1953999744', '7477AB80', 'object/mobile/shared_dressed_imperial_major_cold_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1867395579', '6F4E31FB', 'object/mobile/shared_dressed_imperial_major_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1590349271', '5ECACDD7', 'object/mobile/shared_dressed_imperial_medic1_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('477381975', '1C744557', 'object/mobile/shared_dressed_imperial_medic2_21b_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1258151269', '4AFDDD65', 'object/mobile/shared_dressed_imperial_medic3_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3038898656', 'B521E9E0', 'object/mobile/shared_dressed_imperial_moff_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('4155535310', 'F7B06FCE', 'object/mobile/shared_dressed_imperial_moff1_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1458378929', '56ED18B1', 'object/mobile/shared_dressed_imperial_officer_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('3423844128', 'CC13B720', 'object/mobile/shared_dressed_imperial_officer_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('519244536', '1EF30AF8', 'object/mobile/shared_dressed_imperial_officer_m_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1476291957', '57FE6D75', 'object/mobile/shared_dressed_imperial_officer_m_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2887599713', 'AC1D4661', 'object/mobile/shared_dressed_imperial_officer_m_4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3843039724', 'E51021EC', 'object/mobile/shared_dressed_imperial_officer_m_5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1040681339', '3E07897B', 'object/mobile/shared_dressed_imperial_officer_m_6.iff');
INSERT INTO `object_crc_string_table` VALUES ('1967105963', '753FA7AB', 'object/mobile/shared_dressed_imperial_red_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('1623607949', '60C64A8D', 'object/mobile/shared_dressed_imperial_soldier_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('330150147', '13ADB103', 'object/mobile/shared_dressed_imperial_trainer_alozen.iff');
INSERT INTO `object_crc_string_table` VALUES ('3950366823', 'EB75D067', 'object/mobile/shared_dressed_imperial_trainer_holfheim.iff');
INSERT INTO `object_crc_string_table` VALUES ('1950081642', '743BE26A', 'object/mobile/shared_dressed_imperial_trainer_oberhaur.iff');
INSERT INTO `object_crc_string_table` VALUES ('4198850561', 'FA456001', 'object/mobile/shared_dressed_imperial_trainer_space_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('559073430', '2152C896', 'object/mobile/shared_dressed_imperial_trainer_space_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1751101211', '685FAF1B', 'object/mobile/shared_dressed_imperial_trainer_space_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1089937518', '40F7206E', 'object/mobile/shared_dressed_ind.iff');
INSERT INTO `object_crc_string_table` VALUES ('2991056770', 'B247E782', 'object/mobile/shared_dressed_indigo_siyan.iff');
INSERT INTO `object_crc_string_table` VALUES ('2146920626', '7FF768B2', 'object/mobile/shared_dressed_indintra_imbru_yerevan.iff');
INSERT INTO `object_crc_string_table` VALUES ('177360391', 'A924E07', 'object/mobile/shared_dressed_industrialist_trainer_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3515213456', 'D185E690', 'object/mobile/shared_dressed_industrialist_trainer_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2559082781', '9888811D', 'object/mobile/shared_dressed_industrialist_trainer_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('530535693', '1F9F550D', 'object/mobile/shared_dressed_isshala_daprovan.iff');
INSERT INTO `object_crc_string_table` VALUES ('1183190064', '46860C30', 'object/mobile/shared_dressed_izaryx.iff');
INSERT INTO `object_crc_string_table` VALUES ('965056128', '39859680', 'object/mobile/shared_dressed_jadam_questrel.iff');
INSERT INTO `object_crc_string_table` VALUES ('3023398566', 'B43566A6', 'object/mobile/shared_dressed_jaleela_bindoo.iff');
INSERT INTO `object_crc_string_table` VALUES ('3877267891', 'E71A69B3', 'object/mobile/shared_dressed_jan_dodonna.iff');
INSERT INTO `object_crc_string_table` VALUES ('3492268220', 'D027C8BC', 'object/mobile/shared_dressed_jatrian_lytus.iff');
INSERT INTO `object_crc_string_table` VALUES ('2478704547', '93BE07A3', 'object/mobile/shared_dressed_jazeen_thurmm.iff');
INSERT INTO `object_crc_string_table` VALUES ('3500161469', 'D0A039BD', 'object/mobile/shared_dressed_jedi_trainer_chiss_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('649399391', '26B50C5F', 'object/mobile/shared_dressed_jedi_trainer_nikto_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('70519421', '4340A7D', 'object/mobile/shared_dressed_jedi_trainer_old_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3681424650', 'DB6E150A', 'object/mobile/shared_dressed_jedi_trainer_twilek_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1613368528', '602A0CD0', 'object/mobile/shared_dressed_jowir_arlensa.iff');
INSERT INTO `object_crc_string_table` VALUES ('936443092', '37D0FCD4', 'object/mobile/shared_dressed_joz_jodhul.iff');
INSERT INTO `object_crc_string_table` VALUES ('1558112822', '5CDEEA36', 'object/mobile/shared_dressed_jusani_zhord.iff');
INSERT INTO `object_crc_string_table` VALUES ('4209366666', 'FAE5D68A', 'object/mobile/shared_dressed_jyr_koble.iff');
INSERT INTO `object_crc_string_table` VALUES ('770892346', '2DF2E23A', 'object/mobile/shared_dressed_kais.iff');
INSERT INTO `object_crc_string_table` VALUES ('3741772966', 'DF06ECA6', 'object/mobile/shared_dressed_karlaina_goldlight.iff');
INSERT INTO `object_crc_string_table` VALUES ('3607865991', 'D70BAA87', 'object/mobile/shared_dressed_karrek_film.iff');
INSERT INTO `object_crc_string_table` VALUES ('1046512307', '3E6082B3', 'object/mobile/shared_dressed_kathikiis_ruwahurr.iff');
INSERT INTO `object_crc_string_table` VALUES ('564386208', '21A3D9A0', 'object/mobile/shared_dressed_kavas_urdano.iff');
INSERT INTO `object_crc_string_table` VALUES ('2059682328', '7AC44218', 'object/mobile/shared_dressed_keanna_likyna.iff');
INSERT INTO `object_crc_string_table` VALUES ('1811616322', '6BFB1242', 'object/mobile/shared_dressed_kelvus_naria.iff');
INSERT INTO `object_crc_string_table` VALUES ('623980582', '25313026', 'object/mobile/shared_dressed_kobola_assassin_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1197861951', '4765EC3F', 'object/mobile/shared_dressed_kobola_assassin_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2426247961', '909D9B19', 'object/mobile/shared_dressed_kobola_guard_trandoshan_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1829293794', '6D08CEE2', 'object/mobile/shared_dressed_kobola_guard_trandoshan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3466937588', 'CEA544F4', 'object/mobile/shared_dressed_kobola_miner_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2565353846', '98E83176', 'object/mobile/shared_dressed_kobola_miner_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3583164488', 'D592C048', 'object/mobile/shared_dressed_kobola_pitboss_trandoshan_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2713205365', 'A1B83A75', 'object/mobile/shared_dressed_kobola_pitboss_trandoshan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1070809352', '3FD34108', 'object/mobile/shared_dressed_kobola_smuggler_trandoshan_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('572510011', '221FCF3B', 'object/mobile/shared_dressed_kobola_smuggler_trandoshan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('145386432', '8AA6BC0', 'object/mobile/shared_dressed_kobola_thief_rodian_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1730466112', '6724D140', 'object/mobile/shared_dressed_kobola_thief_rodian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3433581784', 'CCA84CD8', 'object/mobile/shared_dressed_kobola_underboss_bith_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('683881069', '28C3326D', 'object/mobile/shared_dressed_kobola_underboss_bith_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2481153223', '93E364C7', 'object/mobile/shared_dressed_kritus_morven.iff');
INSERT INTO `object_crc_string_table` VALUES ('4099641481', 'F45B9089', 'object/mobile/shared_dressed_lasha_bindari.iff');
INSERT INTO `object_crc_string_table` VALUES ('3364800791', 'C88EC917', 'object/mobile/shared_dressed_lassin_dedge.iff');
INSERT INTO `object_crc_string_table` VALUES ('3892196875', 'E7FE360B', 'object/mobile/shared_dressed_leb_slesher.iff');
INSERT INTO `object_crc_string_table` VALUES ('1538430112', '5BB294A0', 'object/mobile/shared_dressed_lergo_brazee.iff');
INSERT INTO `object_crc_string_table` VALUES ('623965379', '2530F4C3', 'object/mobile/shared_dressed_lethin_bludder.iff');
INSERT INTO `object_crc_string_table` VALUES ('3250723058', 'C1C218F2', 'object/mobile/shared_dressed_lian_byrne.iff');
INSERT INTO `object_crc_string_table` VALUES ('947462918', '38792306', 'object/mobile/shared_dressed_liberation_activist_rodian_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1601060901', '5F6E4025', 'object/mobile/shared_dressed_liberation_activist_rodian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('739288441', '2C10A579', 'object/mobile/shared_dressed_liberation_fanatic_bith_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3808151967', 'E2FBC99F', 'object/mobile/shared_dressed_liberation_fanatic_bith_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('276027883', '1073D9EB', 'object/mobile/shared_dressed_liberation_loyalist_bith_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3426281992', 'CC38EA08', 'object/mobile/shared_dressed_liberation_loyalist_bith_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('779502639', '2E76442F', 'object/mobile/shared_dressed_liberation_partisan_rodian_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('897341670', '357C58E6', 'object/mobile/shared_dressed_liberation_partisan_rodian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1736741704', '67849348', 'object/mobile/shared_dressed_liberation_patriot_rodian_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('787073854', '2EE9CB3E', 'object/mobile/shared_dressed_liberation_patriot_rodian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('479143739', '1C8F273B', 'object/mobile/shared_dressed_liberation_reactionist_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2860335492', 'AA7D4184', 'object/mobile/shared_dressed_liberation_reactionist_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2615554812', '9BE632FC', 'object/mobile/shared_dressed_liberation_volunteer_rodian_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2807907259', 'A75D43BB', 'object/mobile/shared_dressed_liberation_volunteer_rodian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('955764932', '38F7D0C4', 'object/mobile/shared_dressed_lieutenant_lance.iff');
INSERT INTO `object_crc_string_table` VALUES ('1041217450', '3E0FB7AA', 'object/mobile/shared_dressed_lieutenant_riggs.iff');
INSERT INTO `object_crc_string_table` VALUES ('475806339', '1C5C3A83', 'object/mobile/shared_dressed_lok_cas_vankoo.iff');
INSERT INTO `object_crc_string_table` VALUES ('4219937413', 'FB872285', 'object/mobile/shared_dressed_lord_nyax.iff');
INSERT INTO `object_crc_string_table` VALUES ('3605093507', 'D6E15C83', 'object/mobile/shared_dressed_lord_sloan_rusper.iff');
INSERT INTO `object_crc_string_table` VALUES ('211338452', 'C98C4D4', 'object/mobile/shared_dressed_lord_throme_gormengal.iff');
INSERT INTO `object_crc_string_table` VALUES ('3529912023', 'D2662ED7', 'object/mobile/shared_dressed_lost_aqualish_bomber_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1333325052', '4F78ECFC', 'object/mobile/shared_dressed_lost_aqualish_bomber_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3135075943', 'BADD7667', 'object/mobile/shared_dressed_lost_aqualish_captain_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3477140721', 'CF40F4F1', 'object/mobile/shared_dressed_lost_aqualish_captain_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3600770521', 'D69F65D9', 'object/mobile/shared_dressed_lost_aqualish_commando_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2737355927', 'A328BC97', 'object/mobile/shared_dressed_lost_aqualish_commando_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3958728876', 'EBF568AC', 'object/mobile/shared_dressed_lost_aqualish_infiltrator_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3639880829', 'D8F42C7D', 'object/mobile/shared_dressed_lost_aqualish_infiltrator_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4072770288', 'F2C18AF0', 'object/mobile/shared_dressed_lost_aqualish_lookout_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('302007941', '12004685', 'object/mobile/shared_dressed_lost_aqualish_lookout_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3432799906', 'CC9C5EA2', 'object/mobile/shared_dressed_lost_aqualish_marksman_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2058114902', '7AAC5756', 'object/mobile/shared_dressed_lost_aqualish_marksman_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3894956242', 'E82850D2', 'object/mobile/shared_dressed_lost_aqualish_marshal_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2384888696', '8E268378', 'object/mobile/shared_dressed_lost_aqualish_marshal_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1249890837', '4A7FD215', 'object/mobile/shared_dressed_lost_aqualish_outrider_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3819569599', 'E3AA01BF', 'object/mobile/shared_dressed_lost_aqualish_outrider_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1755759198', '68A6C25E', 'object/mobile/shared_dressed_lost_aqualish_scout_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('423623', '676C7', 'object/mobile/shared_dressed_lost_aqualish_scout_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('845541443', '3265F043', 'object/mobile/shared_dressed_lost_aqualish_soldier_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2343082890', '8BA89B8A', 'object/mobile/shared_dressed_lost_aqualish_soldier_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1107235899', '41FF143B', 'object/mobile/shared_dressed_lost_aqualish_warchief_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2278879940', '87D4F2C4', 'object/mobile/shared_dressed_lost_aqualish_warchief_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3830683083', 'E45395CB', 'object/mobile/shared_dressed_lost_aqualish_warrior_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2901742474', 'ACF5138A', 'object/mobile/shared_dressed_lost_aqualish_warrior_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('944471301', '384B7D05', 'object/mobile/shared_dressed_lt_oron_wintree.iff');
INSERT INTO `object_crc_string_table` VALUES ('3659641704', 'DA21B368', 'object/mobile/shared_dressed_lt_vana_sage.iff');
INSERT INTO `object_crc_string_table` VALUES ('196428947', 'BB54493', 'object/mobile/shared_dressed_luke_skywalker.iff');
INSERT INTO `object_crc_string_table` VALUES ('1009717039', '3C2F0F2F', 'object/mobile/shared_dressed_luthik_uwyr.iff');
INSERT INTO `object_crc_string_table` VALUES ('3471228081', 'CEE6BCB1', 'object/mobile/shared_dressed_luthin_dlunar.iff');
INSERT INTO `object_crc_string_table` VALUES ('1482499810', '585D26E2', 'object/mobile/shared_dressed_lx_466.iff');
INSERT INTO `object_crc_string_table` VALUES ('4058692295', 'F1EABAC7', 'object/mobile/shared_dressed_lyda_skims.iff');
INSERT INTO `object_crc_string_table` VALUES ('3429158012', 'CC64CC7C', 'object/mobile/shared_dressed_magur_torigai.iff');
INSERT INTO `object_crc_string_table` VALUES ('3926753656', 'EA0D8178', 'object/mobile/shared_dressed_mand_bunker_crazed_miner.iff');
INSERT INTO `object_crc_string_table` VALUES ('1121654046', '42DB151E', 'object/mobile/shared_dressed_mand_bunker_foreman.iff');
INSERT INTO `object_crc_string_table` VALUES ('3584504744', 'D5A733A8', 'object/mobile/shared_dressed_mand_bunker_technician.iff');
INSERT INTO `object_crc_string_table` VALUES ('3960169544', 'EC0B6448', 'object/mobile/shared_dressed_mand_miner_aqualish.iff');
INSERT INTO `object_crc_string_table` VALUES ('2473795196', '93731E7C', 'object/mobile/shared_dressed_mand_miner_bith.iff');
INSERT INTO `object_crc_string_table` VALUES ('2838717540', 'A9336464', 'object/mobile/shared_dressed_mand_miner_hum_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1915014387', '7224CCF3', 'object/mobile/shared_dressed_mand_miner_hum_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('992586622', '3B29AB7E', 'object/mobile/shared_dressed_mand_miner_hum_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3665147795', 'DA75B793', 'object/mobile/shared_dressed_marauder.iff');
INSERT INTO `object_crc_string_table` VALUES ('3641710673', 'D9101851', 'object/mobile/shared_dressed_marksman_trainer_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('34058438', '207B0C6', 'object/mobile/shared_dressed_marksman_trainer_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1259001675', '4B0AD74B', 'object/mobile/shared_dressed_marksman_trainer_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3615217683', 'D77BD813', 'object/mobile/shared_dressed_marooned_pirate_bith_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3856434738', 'E5DC8632', 'object/mobile/shared_dressed_marooned_pirate_captain_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('4276044217', 'FEDF41B9', 'object/mobile/shared_dressed_marooned_pirate_captain_nikto_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3253116393', 'C1E69DE9', 'object/mobile/shared_dressed_marooned_pirate_captain_tran_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2059087531', '7ABB2EAB', 'object/mobile/shared_dressed_marooned_pirate_captain_wee_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1494554629', '59151805', 'object/mobile/shared_dressed_marooned_pirate_engr_bith_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3398355279', 'CA8EC94F', 'object/mobile/shared_dressed_marooned_pirate_engr_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('1349543646', '507066DE', 'object/mobile/shared_dressed_marooned_pirate_engr_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3842573061', 'E5090305', 'object/mobile/shared_dressed_marooned_pirate_engr_sull_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1472654375', '57C6EC27', 'object/mobile/shared_dressed_marooned_pirate_engr1_bith_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('4233014939', 'FC4EAE9B', 'object/mobile/shared_dressed_marooned_pirate_engr1_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('1722810634', '66B0010A', 'object/mobile/shared_dressed_marooned_pirate_engr1_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3956995879', 'EBDAF727', 'object/mobile/shared_dressed_marooned_pirate_engr1_sull_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1157311584', '44FB2C60', 'object/mobile/shared_dressed_marooned_pirate_first_mate_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('3724903409', 'DE0583F1', 'object/mobile/shared_dressed_marooned_pirate_first_mate_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2051051', '1F4BEB', 'object/mobile/shared_dressed_marooned_pirate_first_mate_nikto_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1522205428', '5ABB02F4', 'object/mobile/shared_dressed_marooned_pirate_first_mate_rod_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3885692952', 'E79AF818', 'object/mobile/shared_dressed_marooned_pirate_first_mate_tran_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2166319668', '811F6A34', 'object/mobile/shared_dressed_marooned_pirate_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('467781029', '1BE1C5A5', 'object/mobile/shared_dressed_marooned_pirate_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3289468911', 'C4114FEF', 'object/mobile/shared_dressed_marooned_pirate_nikto_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('94497585', '5A1EB31', 'object/mobile/shared_dressed_marooned_pirate_rod_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('2673820832', '9F5F44A0', 'object/mobile/shared_dressed_marooned_pirate_rod_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1234393066', '499357EA', 'object/mobile/shared_dressed_marooned_pirate_tran_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3962845587', 'EC343993', 'object/mobile/shared_dressed_mauler.iff');
INSERT INTO `object_crc_string_table` VALUES ('3239599673', 'C1185E39', 'object/mobile/shared_dressed_mauler_acolyte.iff');
INSERT INTO `object_crc_string_table` VALUES ('651266589', '26D18A1D', 'object/mobile/shared_dressed_mauler_apprentice.iff');
INSERT INTO `object_crc_string_table` VALUES ('2470638760', '9342F4A8', 'object/mobile/shared_dressed_mauler_lord.iff');
INSERT INTO `object_crc_string_table` VALUES ('1826884049', '6CE409D1', 'object/mobile/shared_dressed_mauler_master.iff');
INSERT INTO `object_crc_string_table` VALUES ('3201343736', 'BED0A0F8', 'object/mobile/shared_dressed_mayor.iff');
INSERT INTO `object_crc_string_table` VALUES ('1815575059', '6C377A13', 'object/mobile/shared_dressed_medic_trainer_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3072381572', 'B720D284', 'object/mobile/shared_dressed_medic_trainer_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4264408329', 'FE2DB509', 'object/mobile/shared_dressed_medic_trainer_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3360870828', 'C852D1AC', 'object/mobile/shared_dressed_mercenary_commander_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3239416924', 'C115945C', 'object/mobile/shared_dressed_mercenary_commander_nikto_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1463122229', '57357935', 'object/mobile/shared_dressed_mercenary_commander_wee_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1813329016', '6C153478', 'object/mobile/shared_dressed_mercenary_commander_zab_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('111439077', '6A46CE5', 'object/mobile/shared_dressed_mercenary_destroyer_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('2623193972', '9C5AC374', 'object/mobile/shared_dressed_mercenary_destroyer_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3791040274', 'E1F6AF12', 'object/mobile/shared_dressed_mercenary_destroyer_nikto_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('54356973', '33D6BED', 'object/mobile/shared_dressed_mercenary_destroyer_wee_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('4288300086', 'FF9A4436', 'object/mobile/shared_dressed_mercenary_elite_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('1701112743', '6564EBA7', 'object/mobile/shared_dressed_mercenary_elite_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3044338694', 'B574EC06', 'object/mobile/shared_dressed_mercenary_elite_medic_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2331048423', '8AF0F9E7', 'object/mobile/shared_dressed_mercenary_elite_nikto_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3789187746', 'E1DA6AA2', 'object/mobile/shared_dressed_mercenary_elite_rod_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('4194517822', 'FA03433E', 'object/mobile/shared_dressed_mercenary_elite_wee_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1325337605', '4EFF0C05', 'object/mobile/shared_dressed_mercenary_medic_rodian_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3229947334', 'C08515C6', 'object/mobile/shared_dressed_mercenary_messanger_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('1518058071', '5A7BBA57', 'object/mobile/shared_dressed_mercenary_messanger_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3737467730', 'DEC53B52', 'object/mobile/shared_dressed_mercenary_messanger_rod_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2334055534', '8B1EDC6E', 'object/mobile/shared_dressed_mercenary_messanger_sullustan_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1672932530', '63B6ECB2', 'object/mobile/shared_dressed_mercenary_strong_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('4182262563', 'F9484323', 'object/mobile/shared_dressed_mercenary_strong_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2113323558', '7DF6C226', 'object/mobile/shared_dressed_mercenary_strong_rod_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('742313213', '2C3ECCFD', 'object/mobile/shared_dressed_mercenary_strong_tran_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3306620307', 'C5170593', 'object/mobile/shared_dressed_mercenary_warlord_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('723266663', '2B1C2C67', 'object/mobile/shared_dressed_mercenary_warlord_nikto_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1517333770', '5A70AD0A', 'object/mobile/shared_dressed_mercenary_warlord_wee_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('340310318', '1448B92E', 'object/mobile/shared_dressed_mercenary_weak_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('2394298047', '8EB616BF', 'object/mobile/shared_dressed_mercenary_weak_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('168335290', 'A0897BA', 'object/mobile/shared_dressed_mercenary_weak_rod_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1219048604', '48A9349C', 'object/mobile/shared_dressed_merchant_trainer_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2478742539', '93BE9C0B', 'object/mobile/shared_dressed_merchant_trainer_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3669228422', 'DAB3FB86', 'object/mobile/shared_dressed_merchant_trainer_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('122069444', '746A1C4', 'object/mobile/shared_dressed_mountain_villager.iff');
INSERT INTO `object_crc_string_table` VALUES ('495034452', '1D81A054', 'object/mobile/shared_dressed_mourno_draver.iff');
INSERT INTO `object_crc_string_table` VALUES ('3861706741', 'E62CF7F5', 'object/mobile/shared_dressed_mozo_bondog.iff');
INSERT INTO `object_crc_string_table` VALUES ('2305519749', '896B7085', 'object/mobile/shared_dressed_mugger.iff');
INSERT INTO `object_crc_string_table` VALUES ('747095842', '2C87C722', 'object/mobile/shared_dressed_mullud_bombo.iff');
INSERT INTO `object_crc_string_table` VALUES ('376670109', '1673879D', 'object/mobile/shared_dressed_murder_mystery_alonarg.iff');
INSERT INTO `object_crc_string_table` VALUES ('1994617029', '76E370C5', 'object/mobile/shared_dressed_murder_mystery_ardol.iff');
INSERT INTO `object_crc_string_table` VALUES ('1722395149', '66A9AA0D', 'object/mobile/shared_dressed_murder_mystery_captain_harrigan.iff');
INSERT INTO `object_crc_string_table` VALUES ('3311653609', 'C563D2E9', 'object/mobile/shared_dressed_murder_mystery_car_nistran.iff');
INSERT INTO `object_crc_string_table` VALUES ('3848904904', 'E569A0C8', 'object/mobile/shared_dressed_murder_mystery_chelerra.iff');
INSERT INTO `object_crc_string_table` VALUES ('2732877226', 'A2E465AA', 'object/mobile/shared_dressed_murder_mystery_dareth_faerine.iff');
INSERT INTO `object_crc_string_table` VALUES ('1993889412', '76D85684', 'object/mobile/shared_dressed_murder_mystery_gevers.iff');
INSERT INTO `object_crc_string_table` VALUES ('2135718194', '7F4C7932', 'object/mobile/shared_dressed_murder_mystery_rezden.iff');
INSERT INTO `object_crc_string_table` VALUES ('2219908786', '84511EB2', 'object/mobile/shared_dressed_murder_mystery_thanik_santilis.iff');
INSERT INTO `object_crc_string_table` VALUES ('438572567', '1A241617', 'object/mobile/shared_dressed_musician_trainer_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3241393792', 'C133BE80', 'object/mobile/shared_dressed_musician_trainer_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2285820173', '883ED90D', 'object/mobile/shared_dressed_musician_trainer_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2944138708', 'AF7BFDD4', 'object/mobile/shared_dressed_naboo_ayn_eckener.iff');
INSERT INTO `object_crc_string_table` VALUES ('2734276594', 'A2F9BFF2', 'object/mobile/shared_dressed_naboo_captain_dallows.iff');
INSERT INTO `object_crc_string_table` VALUES ('1828754012', '6D00925C', 'object/mobile/shared_dressed_naboo_dissident.iff');
INSERT INTO `object_crc_string_table` VALUES ('156723958', '9576AF6', 'object/mobile/shared_dressed_naboo_govenor_ian_lago.iff');
INSERT INTO `object_crc_string_table` VALUES ('953770859', '38D9636B', 'object/mobile/shared_dressed_naboo_gunrunner.iff');
INSERT INTO `object_crc_string_table` VALUES ('2996282061', 'B297A2CD', 'object/mobile/shared_dressed_naboo_holy_man.iff');
INSERT INTO `object_crc_string_table` VALUES ('3771727654', 'E0CFFF26', 'object/mobile/shared_dressed_naboo_junelle_astor.iff');
INSERT INTO `object_crc_string_table` VALUES ('791733027', '2F30E323', 'object/mobile/shared_dressed_naboo_kadil_nurugen.iff');
INSERT INTO `object_crc_string_table` VALUES ('2946296785', 'AF9CEBD1', 'object/mobile/shared_dressed_naboo_liane.iff');
INSERT INTO `object_crc_string_table` VALUES ('1279142292', '4C3E2994', 'object/mobile/shared_dressed_naboo_lt_porro_dolphe.iff');
INSERT INTO `object_crc_string_table` VALUES ('4210584096', 'FAF86A20', 'object/mobile/shared_dressed_naboo_mal_sikander.iff');
INSERT INTO `object_crc_string_table` VALUES ('3542952599', 'D32D2A97', 'object/mobile/shared_dressed_naboo_monk.iff');
INSERT INTO `object_crc_string_table` VALUES ('157916561', '9699D91', 'object/mobile/shared_dressed_naboo_nomad.iff');
INSERT INTO `object_crc_string_table` VALUES ('1225308126', '4908B7DE', 'object/mobile/shared_dressed_naboo_police.iff');
INSERT INTO `object_crc_string_table` VALUES ('3605262391', 'D6E3F037', 'object/mobile/shared_dressed_naboo_police_chief.iff');
INSERT INTO `object_crc_string_table` VALUES ('900147651', '35A729C3', 'object/mobile/shared_dressed_naboo_queen_kylantha_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4004544852', 'EEB08154', 'object/mobile/shared_dressed_naboo_queen_kylantha_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2161264385', '80D24701', 'object/mobile/shared_dressed_naboo_sayama_edosun.iff');
INSERT INTO `object_crc_string_table` VALUES ('315133989', '12C89025', 'object/mobile/shared_dressed_naboo_serena_fenner.iff');
INSERT INTO `object_crc_string_table` VALUES ('2540419932', '976BBB5C', 'object/mobile/shared_dressed_naboo_vrir_unglan.iff');
INSERT INTO `object_crc_string_table` VALUES ('658617488', '2741B490', 'object/mobile/shared_dressed_narmle_captain_bith_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2649958645', '9DF328F5', 'object/mobile/shared_dressed_narmle_captain_bith_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1425584552', '54F8B1A8', 'object/mobile/shared_dressed_narmle_colonel_rodian_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2966483962', 'B0D0F3FA', 'object/mobile/shared_dressed_narmle_colonel_rodian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4291865971', 'FFD0AD73', 'object/mobile/shared_dressed_narmle_commander_rodian_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1483182730', '5867928A', 'object/mobile/shared_dressed_narmle_commander_rodian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('956494460', '3902F27C', 'object/mobile/shared_dressed_narmle_commando_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2995017057', 'B2845561', 'object/mobile/shared_dressed_narmle_commando_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3253691894', 'C1EF65F6', 'object/mobile/shared_dressed_narmle_ensign_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1694969239', '65072D97', 'object/mobile/shared_dressed_narmle_ensign_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('741581017', '2C33A0D9', 'object/mobile/shared_dressed_narmle_grenadier_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3842393606', 'E5064606', 'object/mobile/shared_dressed_narmle_grenadier_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('607934672', '243C58D0', 'object/mobile/shared_dressed_narmle_guard_rodian_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3806888161', 'E2E880E1', 'object/mobile/shared_dressed_narmle_guard_rodian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3773749177', 'E0EED7B9', 'object/mobile/shared_dressed_narmle_lieutenant_twk_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1496072288', '592C4060', 'object/mobile/shared_dressed_narmle_lieutenant_twk_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1166132297', '4581C449', 'object/mobile/shared_dressed_narmle_major_twk_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('364856187', '15BF437B', 'object/mobile/shared_dressed_narmle_major_twk_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2146377796', '7FEF2044', 'object/mobile/shared_dressed_narmle_rifleman_rodian_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1012651850', '3C5BD74A', 'object/mobile/shared_dressed_narmle_rifleman_rodian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('350942716', '14EAF5FC', 'object/mobile/shared_dressed_neja_bertolo.iff');
INSERT INTO `object_crc_string_table` VALUES ('2409892248', '8FA40998', 'object/mobile/shared_dressed_noble_bothan_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1150912757', '449988F5', 'object/mobile/shared_dressed_noble_bothan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('193271410', 'B851672', 'object/mobile/shared_dressed_noble_fat_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3499278053', 'D092BEE5', 'object/mobile/shared_dressed_noble_fat_human_female_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3023966340', 'B43E1084', 'object/mobile/shared_dressed_noble_fat_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1865005075', '6F29B813', 'object/mobile/shared_dressed_noble_fat_human_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2231178658', '84FD15A2', 'object/mobile/shared_dressed_noble_fat_twilek_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1609219381', '5FEABD35', 'object/mobile/shared_dressed_noble_fat_twilek_female_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('504610439', '1E13BE87', 'object/mobile/shared_dressed_noble_fat_twilek_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3305379344', 'C5041610', 'object/mobile/shared_dressed_noble_fat_twilek_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2479528418', '93CA99E2', 'object/mobile/shared_dressed_noble_fat_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1222455669', '48DD3175', 'object/mobile/shared_dressed_noble_fat_zabrak_female_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3287330740', 'C3F0AFB4', 'object/mobile/shared_dressed_noble_fat_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('417793827', '18E70723', 'object/mobile/shared_dressed_noble_fat_zabrak_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2009015124', '77BF2354', 'object/mobile/shared_dressed_noble_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2896726979', 'ACA88BC3', 'object/mobile/shared_dressed_noble_human_female_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3852856398', 'E5A5EC4E', 'object/mobile/shared_dressed_noble_human_female_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('507955034', '1E46C75A', 'object/mobile/shared_dressed_noble_human_female_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1787525696', '6A8B7A40', 'object/mobile/shared_dressed_noble_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2979844823', 'B19CD2D7', 'object/mobile/shared_dressed_noble_human_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4170298714', 'F891B55A', 'object/mobile/shared_dressed_noble_human_male_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('57843278', '3729E4E', 'object/mobile/shared_dressed_noble_human_male_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3572077544', 'D4E993E8', 'object/mobile/shared_dressed_noble_naboo_twilek_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('268319615', 'FFE3B7F', 'object/mobile/shared_dressed_noble_naboo_twilek_female_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('772452537', '2E0AB0B9', 'object/mobile/shared_dressed_noble_naboo_twilek_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3819020272', 'E3A19FF0', 'object/mobile/shared_dressed_noble_old_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('951465831', '38B63767', 'object/mobile/shared_dressed_noble_old_human_female_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2812980227', 'A7AAAC03', 'object/mobile/shared_dressed_noble_old_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2092762260', '7CBD0494', 'object/mobile/shared_dressed_noble_old_human_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1535762044', '5B89DE7C', 'object/mobile/shared_dressed_noble_old_twk_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2157868779', '809E76EB', 'object/mobile/shared_dressed_noble_old_twk_female_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('616279196', '24BBAC9C', 'object/mobile/shared_dressed_noble_old_twk_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4289463307', 'FFAC040B', 'object/mobile/shared_dressed_noble_old_twk_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1424150563', '54E2D023', 'object/mobile/shared_dressed_noble_old_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2415229108', '8FF578B4', 'object/mobile/shared_dressed_noble_old_zabrak_female_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('371119389', '161ED51D', 'object/mobile/shared_dressed_noble_old_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3439951242', 'CD097D8A', 'object/mobile/shared_dressed_noble_old_zabrak_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3848890772', 'E5696994', 'object/mobile/shared_dressed_noble_rodian_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1528441761', '5B1A2BA1', 'object/mobile/shared_dressed_noble_rodian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2877387260', 'AB8171FC', 'object/mobile/shared_dressed_noble_trandoshan_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2595785783', '9AB88C37', 'object/mobile/shared_dressed_noble_trandoshan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1802548513', '6B70B521', 'object/mobile/shared_dressed_noble_twilek_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2255262052', '866C9164', 'object/mobile/shared_dressed_noble_twilek_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2085042529', '7C473961', 'object/mobile/shared_dressed_noble_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1536131159', '5B8F8057', 'object/mobile/shared_dressed_noble_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1747570832', '6829D090', 'object/mobile/shared_dressed_nomad_chief.iff');
INSERT INTO `object_crc_string_table` VALUES ('3742112963', 'DF0C1CC3', 'object/mobile/shared_dressed_novice_force_mystic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3534520204', 'D2AC7F8C', 'object/mobile/shared_dressed_nurla_slinthiss.iff');
INSERT INTO `object_crc_string_table` VALUES ('149210376', '8E4C508', 'object/mobile/shared_dressed_nym_bodyguard_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('2451204761', '921A6A99', 'object/mobile/shared_dressed_nym_bodyguard_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('379906972', '16A4EB9C', 'object/mobile/shared_dressed_nym_bodyguard_rod_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2677564031', '9F98627F', 'object/mobile/shared_dressed_nym_brawler_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('90623470', '566CDEE', 'object/mobile/shared_dressed_nym_brawler_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3302922467', 'C4DE98E3', 'object/mobile/shared_dressed_nym_brawler_nikto_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('455533434', '1B26E37A', 'object/mobile/shared_dressed_nym_brawler_rod_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('2178436331', '81D84CEB', 'object/mobile/shared_dressed_nym_brawler_rod_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3187959696', 'BE046790', 'object/mobile/shared_dressed_nym_brawler_tran_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3987529421', 'EDACDECD', 'object/mobile/shared_dressed_nym_destroyer_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3436977932', 'CCDC1F0C', 'object/mobile/shared_dressed_nym_destroyer_nikto_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1762811848', '69125FC8', 'object/mobile/shared_dressed_nym_destroyer_rod_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1925936724', '72CB7654', 'object/mobile/shared_dressed_nym_destroyer_wee_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('427983067', '198280DB', 'object/mobile/shared_dressed_nym_guard_elite_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2155557294', '807B31AE', 'object/mobile/shared_dressed_nym_guard_elite_nikto_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2637955550', '9D3C01DE', 'object/mobile/shared_dressed_nym_guard_elite_rod_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1348802097', '50651631', 'object/mobile/shared_dressed_nym_guard_strong_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('3399203232', 'CA9BB9A0', 'object/mobile/shared_dressed_nym_guard_strong_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1990748869', '76A86AC5', 'object/mobile/shared_dressed_nym_guard_strong_nikto_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1311062181', '4E2538A5', 'object/mobile/shared_dressed_nym_guard_strong_rod_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('4092571955', 'F3EFB133', 'object/mobile/shared_dressed_nym_guard_weak_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('1762729634', '69111EA2', 'object/mobile/shared_dressed_nym_guard_weak_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1206447504', '47E8ED90', 'object/mobile/shared_dressed_nym_guard_weak_nikto_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3987709863', 'EDAF9FA7', 'object/mobile/shared_dressed_nym_guard_weak_rod_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('4269351452', 'FE79221C', 'object/mobile/shared_dressed_nym_patrol_elite_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1424620366', '54E9FB4E', 'object/mobile/shared_dressed_nym_patrol_elite_nikto_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2059903769', '7AC7A319', 'object/mobile/shared_dressed_nym_patrol_elite_rod_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1881777997', '7029A74D', 'object/mobile/shared_dressed_nym_patrol_strong_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('3939961052', 'EAD708DC', 'object/mobile/shared_dressed_nym_patrol_strong_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3875387376', 'E6FDB7F0', 'object/mobile/shared_dressed_nym_patrol_strong_nikto_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1852410329', '6E6989D9', 'object/mobile/shared_dressed_nym_patrol_strong_rod_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3795884631', 'E2409A57', 'object/mobile/shared_dressed_nym_patrol_weak_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('2025731526', '78BE35C6', 'object/mobile/shared_dressed_nym_patrol_weak_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1738824940', '67A45CEC', 'object/mobile/shared_dressed_nym_patrol_weak_nikto_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('4227904707', 'FC00B4C3', 'object/mobile/shared_dressed_nym_patrol_weak_rod_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3368463168', 'C8C6AB40', 'object/mobile/shared_dressed_nym_pirate_elite_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2380323102', '8DE0D91E', 'object/mobile/shared_dressed_nym_pirate_elite_nikto_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1282943557', '4C782A45', 'object/mobile/shared_dressed_nym_pirate_elite_rod_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1470170073', '57A103D9', 'object/mobile/shared_dressed_nym_pirate_elite_wee_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('18144111', '114DB6F', 'object/mobile/shared_dressed_nym_pirate_strong_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('2615833854', '9BEA74FE', 'object/mobile/shared_dressed_nym_pirate_strong_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3700251670', 'DC8D5C16', 'object/mobile/shared_dressed_nym_pirate_strong_nikto_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2242533994', '85AA5A6A', 'object/mobile/shared_dressed_nym_pirate_strong_rod_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('525661691', '1F54F5FB', 'object/mobile/shared_dressed_nym_pirate_strong_rod_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('76405863', '48DDC67', 'object/mobile/shared_dressed_nym_pirate_strong_wee_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1678094195', '6405AF73', 'object/mobile/shared_dressed_nym_pirate_weak_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('4277862626', 'FEFB00E2', 'object/mobile/shared_dressed_nym_pirate_weak_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('379134158', '169920CE', 'object/mobile/shared_dressed_nym_pirate_weak_nikto_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3770363510', 'E0BB2E76', 'object/mobile/shared_dressed_nym_pirate_weak_rod_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('2051375591', '7A4581E7', 'object/mobile/shared_dressed_nym_pirate_weak_rod_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3657604091', 'DA029BFB', 'object/mobile/shared_dressed_nym_surveyer_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('1090270314', '40FC346A', 'object/mobile/shared_dressed_nym_surveyer_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1589385982', '5EBC1AFE', 'object/mobile/shared_dressed_nym_surveyer_rod_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('3292706159', 'C442B56F', 'object/mobile/shared_dressed_nym_surveyer_rod_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2773365757', 'A54E33FD', 'object/mobile/shared_dressed_nym_technician_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2119801706', '7E599B6A', 'object/mobile/shared_dressed_nym_technician_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('928316647', '3754FCE7', 'object/mobile/shared_dressed_nym_technician_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('4085719491', 'F38721C3', 'object/mobile/shared_dressed_official.iff');
INSERT INTO `object_crc_string_table` VALUES ('1865557108', '6F322474', 'object/mobile/shared_dressed_onli_shien.iff');
INSERT INTO `object_crc_string_table` VALUES ('1599346226', '5F541632', 'object/mobile/shared_dressed_oxil_sarban.iff');
INSERT INTO `object_crc_string_table` VALUES ('3146770993', 'BB8FEA31', 'object/mobile/shared_dressed_palace_guard.iff');
INSERT INTO `object_crc_string_table` VALUES ('1330242632', '4F49E448', 'object/mobile/shared_dressed_palejo_reshad.iff');
INSERT INTO `object_crc_string_table` VALUES ('4237320511', 'FC90613F', 'object/mobile/shared_dressed_palu_zerk.iff');
INSERT INTO `object_crc_string_table` VALUES ('2008505665', '77B75D41', 'object/mobile/shared_dressed_patron_chiss_f_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1339680033', '4FD9E521', 'object/mobile/shared_dressed_patron_chiss_m_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2371112259', '8D544D43', 'object/mobile/shared_dressed_patron_devaronian_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4012249795', 'EF2612C3', 'object/mobile/shared_dressed_patron_ishi_tib_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2567607166', '990A937E', 'object/mobile/shared_dressed_patron_klaatu_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2159232937', '80B347A9', 'object/mobile/shared_dressed_patron_nikto_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3937588766', 'EAB2D61E', 'object/mobile/shared_dressed_patron_quarren_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2466707655', '9306F8C7', 'object/mobile/shared_dressed_patron_sullustan_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2793076345', 'A67AF679', 'object/mobile/shared_dressed_philosopher.iff');
INSERT INTO `object_crc_string_table` VALUES ('1143976124', '442FB0BC', 'object/mobile/shared_dressed_pirate_leader_of_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('3163478299', 'BC8ED91B', 'object/mobile/shared_dressed_pistol_trainer_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1738109324', '6799718C', 'object/mobile/shared_dressed_pistol_trainer_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('781456897', '2E941601', 'object/mobile/shared_dressed_pistol_trainer_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3772660176', 'E0DE39D0', 'object/mobile/shared_dressed_plainsfolk.iff');
INSERT INTO `object_crc_string_table` VALUES ('115778272', '6E6A2E0', 'object/mobile/shared_dressed_plasma_bandit.iff');
INSERT INTO `object_crc_string_table` VALUES ('1953381637', '746E3D05', 'object/mobile/shared_dressed_plasma_thief.iff');
INSERT INTO `object_crc_string_table` VALUES ('1434120831', '557AF27F', 'object/mobile/shared_dressed_plasma_thief_leader.iff');
INSERT INTO `object_crc_string_table` VALUES ('2145502049', '7FE1C361', 'object/mobile/shared_dressed_poi_tatooine_alerris.iff');
INSERT INTO `object_crc_string_table` VALUES ('2022456323', '788C3C03', 'object/mobile/shared_dressed_poi_tatooine_garret.iff');
INSERT INTO `object_crc_string_table` VALUES ('801701399', '2FC8FE17', 'object/mobile/shared_dressed_poi_tatooine_kelen.iff');
INSERT INTO `object_crc_string_table` VALUES ('3836738261', 'E4AFFAD5', 'object/mobile/shared_dressed_polearm_trainer_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1069044290', '3FB85242', 'object/mobile/shared_dressed_polearm_trainer_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1991587279', '76B535CF', 'object/mobile/shared_dressed_polearm_trainer_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2701359949', 'A1037B4D', 'object/mobile/shared_dressed_pooja_naberrie.iff');
INSERT INTO `object_crc_string_table` VALUES ('384013830', '16E39606', 'object/mobile/shared_dressed_porcellus.iff');
INSERT INTO `object_crc_string_table` VALUES ('2068694', '1F90D6', 'object/mobile/shared_dressed_prowler.iff');
INSERT INTO `object_crc_string_table` VALUES ('1388389383', '52C12407', 'object/mobile/shared_dressed_qualdo_herm.iff');
INSERT INTO `object_crc_string_table` VALUES ('3644923330', 'D9411DC2', 'object/mobile/shared_dressed_queen_kylantha.iff');
INSERT INTO `object_crc_string_table` VALUES ('2022793578', '7891616A', 'object/mobile/shared_dressed_quest_farmer.iff');
INSERT INTO `object_crc_string_table` VALUES ('1220358659', '48BD3203', 'object/mobile/shared_dressed_quest_farmer_child.iff');
INSERT INTO `object_crc_string_table` VALUES ('3187813890', 'BE022E02', 'object/mobile/shared_dressed_quest_farmer_wife.iff');
INSERT INTO `object_crc_string_table` VALUES ('1289033943', '4CD518D7', 'object/mobile/shared_dressed_quest_liar_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2546118720', '97C2B040', 'object/mobile/shared_dressed_quest_liar_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2445129339', '91BDB67B', 'object/mobile/shared_dressed_quest_liar_bh.iff');
INSERT INTO `object_crc_string_table` VALUES ('3732681690', 'DE7C33DA', 'object/mobile/shared_dressed_radlee_mathiss.iff');
INSERT INTO `object_crc_string_table` VALUES ('3447872584', 'CD825C48', 'object/mobile/shared_dressed_raglith.iff');
INSERT INTO `object_crc_string_table` VALUES ('1152735844', '44B55A64', 'object/mobile/shared_dressed_raider_trandoshan_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1981892818', '762148D2', 'object/mobile/shared_dressed_raider_trandoshan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3602745306', 'D6BD87DA', 'object/mobile/shared_dressed_rancorclan_hum_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('149944561', '8EFF8F1', 'object/mobile/shared_dressed_ranger_trainer_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3556266086', 'D3F85066', 'object/mobile/shared_dressed_ranger_trainer_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2599761899', '9AF537EB', 'object/mobile/shared_dressed_ranger_trainer_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3234489056', 'C0CA62E0', 'object/mobile/shared_dressed_ravager_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3282541156', 'C3A79A64', 'object/mobile/shared_dressed_ravager_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('486848381', '1D04B77D', 'object/mobile/shared_dressed_raxa_binn.iff');
INSERT INTO `object_crc_string_table` VALUES ('698248160', '299E6BE0', 'object/mobile/shared_dressed_rebel_army_captain_bothan_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('1570028687', '5D94BC8F', 'object/mobile/shared_dressed_rebel_army_captain_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2452562405', '922F21E5', 'object/mobile/shared_dressed_rebel_army_captain_moncal_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('601764367', '23DE320F', 'object/mobile/shared_dressed_rebel_army_captain_trandoshan_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('2043495164', '79CD42FC', 'object/mobile/shared_dressed_rebel_army_captain_twk_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('3793368595', 'E21A3613', 'object/mobile/shared_dressed_rebel_army_captain_zabrak_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('609082266', '244DDB9A', 'object/mobile/shared_dressed_rebel_brigadier_general_bith_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('201697436', 'C05A89C', 'object/mobile/shared_dressed_rebel_brigadier_general_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3957935841', 'EBE94EE1', 'object/mobile/shared_dressed_rebel_brigadier_general_moncal_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('2484958994', '941D7712', 'object/mobile/shared_dressed_rebel_brigadier_general_rodian_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('546676122', '20959D9A', 'object/mobile/shared_dressed_rebel_brigadier_general_sullustan_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('3881299181', 'E757ECED', 'object/mobile/shared_dressed_rebel_brigadier_general_trandoshan_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('1803030018', '6B780E02', 'object/mobile/shared_dressed_rebel_colonel_bothan_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('986931283', '3AD36053', 'object/mobile/shared_dressed_rebel_colonel_fat_zabrak_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('2293190584', '88AF4FB8', 'object/mobile/shared_dressed_rebel_colonel_moncal_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('3449984372', 'CDA29574', 'object/mobile/shared_dressed_rebel_colonel_old_human_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('781724201', '2E982A29', 'object/mobile/shared_dressed_rebel_colonel_sullustan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1031477329', '3D7B1851', 'object/mobile/shared_dressed_rebel_colonel_twk_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1340194354', '4FE1BE32', 'object/mobile/shared_dressed_rebel_commando_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2797115337', 'A6B897C9', 'object/mobile/shared_dressed_rebel_commando_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('485970317', '1CF7518D', 'object/mobile/shared_dressed_rebel_commando_moncal_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('7448924', '71A95C', 'object/mobile/shared_dressed_rebel_commando_rodian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3352777481', 'C7D75309', 'object/mobile/shared_dressed_rebel_commando_twilek_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3504398153', 'D0E0DF49', 'object/mobile/shared_dressed_rebel_commando_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1281722081', '4C6586E1', 'object/mobile/shared_dressed_rebel_corporal_bith_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3225818781', 'C046169D', 'object/mobile/shared_dressed_rebel_corporal_bothan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3525959014', 'D229DD66', 'object/mobile/shared_dressed_rebel_corporal_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3275967768', 'C3434D18', 'object/mobile/shared_dressed_rebel_corporal_moncal_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2508023537', '957D66F1', 'object/mobile/shared_dressed_rebel_corporal_rodian_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3950698578', 'EB7AE052', 'object/mobile/shared_dressed_rebel_corporal_sullustan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2718687819', 'A20BE24B', 'object/mobile/shared_dressed_rebel_corvette_commando_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3089637617', 'B82820F1', 'object/mobile/shared_dressed_rebel_corvette_commando_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4242477815', 'FCDF12F7', 'object/mobile/shared_dressed_rebel_corvette_commando_moncal_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3763989030', 'E059EA26', 'object/mobile/shared_dressed_rebel_corvette_commando_rodian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3656354467', 'D9EF8AA3', 'object/mobile/shared_dressed_rebel_corvette_commando_twilek_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3470264035', 'CED806E3', 'object/mobile/shared_dressed_rebel_corvette_commando_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1118279920', '42A798F0', 'object/mobile/shared_dressed_rebel_crewman_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2578460775', '99B03067', 'object/mobile/shared_dressed_rebel_crewman_human_female_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4157774510', 'F7D29AAE', 'object/mobile/shared_dressed_rebel_crewman_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('751120953', '2CC53239', 'object/mobile/shared_dressed_rebel_crewman_human_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1707627956', '65C855B4', 'object/mobile/shared_dressed_rebel_crewman_human_male_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2653650592', '9E2B7EA0', 'object/mobile/shared_dressed_rebel_crewman_human_male_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1053270126', '3EC7A06E', 'object/mobile/shared_dressed_rebel_first_lieutenant_bothan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3869864805', 'E6A97365', 'object/mobile/shared_dressed_rebel_first_lieutenant_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4257906179', 'FDCA7E03', 'object/mobile/shared_dressed_rebel_first_lieutenant_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2256742921', '86832A09', 'object/mobile/shared_dressed_rebel_first_lieutenant_moncal_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1570013854', '5D94829E', 'object/mobile/shared_dressed_rebel_first_lieutenant_moncal_female_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1503890464', '59A38C20', 'object/mobile/shared_dressed_rebel_first_lieutenant_sullustan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3539948146', 'D2FF5272', 'object/mobile/shared_dressed_rebel_general_fat_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3181822525', 'BDA6C23D', 'object/mobile/shared_dressed_rebel_general_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1722903210', '66B16AAA', 'object/mobile/shared_dressed_rebel_general_human_female_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('354934529', '1527DF01', 'object/mobile/shared_dressed_rebel_general_moncal_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3164387595', 'BC9CB90B', 'object/mobile/shared_dressed_rebel_general_old_twilek_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2391295707', '8E8846DB', 'object/mobile/shared_dressed_rebel_general_rodian_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1895884541', '7100E6FD', 'object/mobile/shared_dressed_rebel_high_general_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3772693403', 'E0DEBB9B', 'object/mobile/shared_dressed_rebel_high_general_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1003033356', '3BC9130C', 'object/mobile/shared_dressed_rebel_high_general_human_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1423654472', '54DB3E48', 'object/mobile/shared_dressed_rebel_high_general_moncal_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3388026943', 'C9F1303F', 'object/mobile/shared_dressed_rebel_high_general_old_twilek_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3134134224', 'BACF17D0', 'object/mobile/shared_dressed_rebel_high_general_sullustan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3527361510', 'D23F43E6', 'object/mobile/shared_dressed_rebel_lance_corporal_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1432467606', '5561B896', 'object/mobile/shared_dressed_rebel_lance_corporal_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3615863365', 'D785B245', 'object/mobile/shared_dressed_rebel_lance_corporal_moncal_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1571106188', '5DA52D8C', 'object/mobile/shared_dressed_rebel_lance_corporal_rodian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2839726825', 'A942CAE9', 'object/mobile/shared_dressed_rebel_lance_corporal_twk_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3048032260', 'B5AD4804', 'object/mobile/shared_dressed_rebel_lance_corporal_twk_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3658140104', 'DA0AC9C8', 'object/mobile/shared_dressed_rebel_lieutenant_colonel_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('18702687', '11D615F', 'object/mobile/shared_dressed_rebel_lieutenant_colonel_human_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('321819859', '132E94D3', 'object/mobile/shared_dressed_rebel_lieutenant_colonel_moncal_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1195950183', '4748C067', 'object/mobile/shared_dressed_rebel_lieutenant_colonel_rodian_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1737961183', '67972EDF', 'object/mobile/shared_dressed_rebel_lieutenant_colonel_rodian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1728218409', '67028529', 'object/mobile/shared_dressed_rebel_lieutenant_colonel_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('262265598', 'FA1DAFE', 'object/mobile/shared_dressed_rebel_lieutenant_general_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3216846830', 'BFBD2FEE', 'object/mobile/shared_dressed_rebel_lieutenant_general_moncal_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3596402828', 'D65CC08C', 'object/mobile/shared_dressed_rebel_lieutenant_general_moncal_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3403298909', 'CADA385D', 'object/mobile/shared_dressed_rebel_lieutenant_general_rodian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1707255791', '65C2A7EF', 'object/mobile/shared_dressed_rebel_lieutenant_general_twilek_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('397181592', '17AC8298', 'object/mobile/shared_dressed_rebel_lieutenant_general_twilek_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('450207030', '1AD59D36', 'object/mobile/shared_dressed_rebel_major_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1384952791', '528CB3D7', 'object/mobile/shared_dressed_rebel_major_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2993669208', 'B26FC458', 'object/mobile/shared_dressed_rebel_major_moncal_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1939834444', '739F864C', 'object/mobile/shared_dressed_rebel_major_twilek_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2341542693', '8B911B25', 'object/mobile/shared_dressed_rebel_major_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2927400831', 'AE7C977F', 'object/mobile/shared_dressed_rebel_major_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4024707117', 'EFE4282D', 'object/mobile/shared_dressed_rebel_master_sergeant_sullustan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1135789557', '43B2C5F5', 'object/mobile/shared_dressed_rebel_medic1_bothan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1430309468', '5540CA5C', 'object/mobile/shared_dressed_rebel_medic2_21b_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2607565960', '9B6C4C88', 'object/mobile/shared_dressed_rebel_medic3_moncal_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1246114680', '4A463378', 'object/mobile/shared_dressed_rebel_pilot_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('827237442', '314EA442', 'object/mobile/shared_dressed_rebel_pilot_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3931704533', 'EA590CD5', 'object/mobile/shared_dressed_rebel_pilot_human_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3440921031', 'CD1849C7', 'object/mobile/shared_dressed_rebel_pilot_rodian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2300287905', '891B9BA1', 'object/mobile/shared_dressed_rebel_pilot_sullustan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3980741761', 'ED454C81', 'object/mobile/shared_dressed_rebel_recruiter_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('911402006', '3652E416', 'object/mobile/shared_dressed_rebel_recruiter_human_female_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3013383572', 'B39C9594', 'object/mobile/shared_dressed_rebel_recruiter_moncal_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2609417577', '9B888D69', 'object/mobile/shared_dressed_rebel_recruiter_twilek_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3518921629', 'D1BE7B9D', 'object/mobile/shared_dressed_rebel_scout_bothan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1653873569', '62941BA1', 'object/mobile/shared_dressed_rebel_scout_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3112416054', 'B983B336', 'object/mobile/shared_dressed_rebel_scout_human_female_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2445061765', '91BCAE85', 'object/mobile/shared_dressed_rebel_scout_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3460159689', 'CE3DD8C9', 'object/mobile/shared_dressed_rebel_scout_rodian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('212565114', 'CAB7C7A', 'object/mobile/shared_dressed_rebel_scout_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2209774811', '83B67CDB', 'object/mobile/shared_dressed_rebel_second_lieutenant_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3500959189', 'D0AC65D5', 'object/mobile/shared_dressed_rebel_second_lieutenant_rodian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3065090255', 'B6B190CF', 'object/mobile/shared_dressed_rebel_second_lieutenant_trandoshan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('681709148', '28A20E5C', 'object/mobile/shared_dressed_rebel_second_lieutenant_twk_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2201296853', '83351FD5', 'object/mobile/shared_dressed_rebel_second_lieutenant_twk_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4020518324', 'EFA43DB4', 'object/mobile/shared_dressed_rebel_second_lieutenant_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4110720926', 'F5049F9E', 'object/mobile/shared_dressed_rebel_sergeant_fat_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2930986441', 'AEB34DC9', 'object/mobile/shared_dressed_rebel_sergeant_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3881398557', 'E759711D', 'object/mobile/shared_dressed_rebel_sergeant_major_bothan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('334153556', '13EAC754', 'object/mobile/shared_dressed_rebel_sergeant_major_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3316194516', 'C5A91CD4', 'object/mobile/shared_dressed_rebel_sergeant_major_moncal_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3831245464', 'E45C2A98', 'object/mobile/shared_dressed_rebel_sergeant_major_moncal_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3906154097', 'E8D32E71', 'object/mobile/shared_dressed_rebel_sergeant_major_old_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2446280800', '91CF4860', 'object/mobile/shared_dressed_rebel_sergeant_major_rodian_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('824556597', '3125BC35', 'object/mobile/shared_dressed_rebel_sergeant_moncal_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2176412218', '81B96A3A', 'object/mobile/shared_dressed_rebel_sergeant_rodian_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('765674724', '2DA344E4', 'object/mobile/shared_dressed_rebel_sergeant_rodian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1930097118', '730AF1DE', 'object/mobile/shared_dressed_rebel_sergeant_twilek_female_old_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('542195677', '20513FDD', 'object/mobile/shared_dressed_rebel_specforce_captain_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3084489301', 'B7D99255', 'object/mobile/shared_dressed_rebel_specforce_captain_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('969101090', '39C34F22', 'object/mobile/shared_dressed_rebel_specforce_captain_moncal_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1839537046', '6DA51B96', 'object/mobile/shared_dressed_rebel_specforce_captain_rodian_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2297961472', '88F81C00', 'object/mobile/shared_dressed_rebel_specforce_captain_trandoshan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('691099757', '2931586D', 'object/mobile/shared_dressed_rebel_specforce_captain_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2673553935', '9F5B320F', 'object/mobile/shared_dressed_rebel_specforce_general_bothan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2669072967', '9F16D247', 'object/mobile/shared_dressed_rebel_specforce_general_sullustan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('174316325', 'A63DB25', 'object/mobile/shared_dressed_rebel_specforce_general_twk_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2586945197', '9A31A6AD', 'object/mobile/shared_dressed_rebel_specforce_guerilla_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1962460025', '74F8C379', 'object/mobile/shared_dressed_rebel_specforce_guerilla_moncal_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1762755489', '691183A1', 'object/mobile/shared_dressed_rebel_specforce_guerrilla_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('995551214', '3B56E7EE', 'object/mobile/shared_dressed_rebel_specforce_guerrilla_rodian_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3459669329', 'CE365D51', 'object/mobile/shared_dressed_rebel_specforce_guerrilla_rodian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2725820187', 'A278B71B', 'object/mobile/shared_dressed_rebel_specforce_guerrilla_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('643421087', '2659D39F', 'object/mobile/shared_dressed_rebel_specforce_pathfinder_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2970410253', 'B10CDD0D', 'object/mobile/shared_dressed_rebel_specforce_pathfinder_moncal_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3848964537', 'E56A89B9', 'object/mobile/shared_dressed_rebel_specforce_pathfinder_rodian_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3665469920', 'DA7AA1E0', 'object/mobile/shared_dressed_rebel_specforce_pathfinder_twk_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2082664932', '7C22F1E4', 'object/mobile/shared_dressed_rebel_specforce_pathfinder_twk_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1995996499', '76F87D53', 'object/mobile/shared_dressed_rebel_specforce_pathfinder_zabrak_female_fat_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('5471313', '537C51', 'object/mobile/shared_dressed_rebel_specforce_sergeant_bothan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('667614018', '27CAFB42', 'object/mobile/shared_dressed_rebel_specforce_sergeant_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('868824714', '33C9368A', 'object/mobile/shared_dressed_rebel_specforce_sergeant_moncal_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('55977940', '35627D4', 'object/mobile/shared_dressed_rebel_specforce_sergeant_moncal_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4099938187', 'F460178B', 'object/mobile/shared_dressed_rebel_specforce_sergeant_trandoshan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3689515325', 'DBE9893D', 'object/mobile/shared_dressed_rebel_specforce_sergeant_twk_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('760067467', '2D4DB58B', 'object/mobile/shared_dressed_rebel_staff_corporal_bith_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3238905363', 'C10DC613', 'object/mobile/shared_dressed_rebel_staff_corporal_bothan_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1384016966', '527E6C46', 'object/mobile/shared_dressed_rebel_staff_corporal_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1023958294', '3D085D16', 'object/mobile/shared_dressed_rebel_staff_corporal_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2881529375', 'ABC0A61F', 'object/mobile/shared_dressed_rebel_staff_corporal_rodian_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('622830948', '251FA564', 'object/mobile/shared_dressed_rebel_staff_sergeant_sullustan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('7469172', '71F874', 'object/mobile/shared_dressed_rebel_surface_marshal_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2085203466', '7C49AE0A', 'object/mobile/shared_dressed_rebel_surface_marshal_moncal_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('674233022', '282FFABE', 'object/mobile/shared_dressed_rebel_surface_marshal_rodian_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('582422496', '22B70FE0', 'object/mobile/shared_dressed_rebel_surface_marshal_rodian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('309083003', '126C3B7B', 'object/mobile/shared_dressed_rebel_surface_marshal_twk_male_fat_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('572695574', '2222A416', 'object/mobile/shared_dressed_rebel_surface_marshal_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4012550111', 'EF2AA7DF', 'object/mobile/shared_dressed_rebel_trooper_bith_m_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3630957150', 'D86C025E', 'object/mobile/shared_dressed_rebel_trooper_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1094091104', '41368160', 'object/mobile/shared_dressed_rebel_trooper_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1035675155', '3DBB2613', 'object/mobile/shared_dressed_rebel_trooper_sullustan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3172332319', 'BD15F31F', 'object/mobile/shared_dressed_rebel_trooper_twk_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3356992038', 'C817A226', 'object/mobile/shared_dressed_rebel_trooper_twk_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2061352541', '7ADDBE5D', 'object/mobile/shared_dressed_rifleman_trainer_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2714375882', 'A1CA16CA', 'object/mobile/shared_dressed_rifleman_trainer_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3905384775', 'E8C77147', 'object/mobile/shared_dressed_rifleman_trainer_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('783348019', '2EB0F133', 'object/mobile/shared_dressed_ris_inventor_bothan_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('1520469080', '5AA08458', 'object/mobile/shared_dressed_robber_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1681935872', '64404E00', 'object/mobile/shared_dressed_robber_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2556640383', '98633C7F', 'object/mobile/shared_dressed_robber_twk_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2082161926', '7C1B4506', 'object/mobile/shared_dressed_robber_twk_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3235108002', 'C0D3D4A2', 'object/mobile/shared_dressed_royal_counterintelligence_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4142947170', 'F6F05B62', 'object/mobile/shared_dressed_royal_counterintelligence_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('572408132', '221E4144', 'object/mobile/shared_dressed_royal_officer_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('930136432', '3770C170', 'object/mobile/shared_dressed_royal_officer_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3858799055', 'E60099CF', 'object/mobile/shared_dressed_royal_pilot_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('810274264', '304BCDD8', 'object/mobile/shared_dressed_royal_pilot_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3941705264', 'EAF1A630', 'object/mobile/shared_dressed_royal_security_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2025996770', '78C241E2', 'object/mobile/shared_dressed_royal_security_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2558172385', '987A9CE1', 'object/mobile/shared_dressed_rsf_captain.iff');
INSERT INTO `object_crc_string_table` VALUES ('3895382960', 'E82ED3B0', 'object/mobile/shared_dressed_rsf_commando.iff');
INSERT INTO `object_crc_string_table` VALUES ('2038367918', '797F06AE', 'object/mobile/shared_dressed_rsf_palace_guard.iff');
INSERT INTO `object_crc_string_table` VALUES ('67737149', '409963D', 'object/mobile/shared_dressed_rsf_pilot.iff');
INSERT INTO `object_crc_string_table` VALUES ('4160022471', 'F7F4E7C7', 'object/mobile/shared_dressed_rsf_security_guard.iff');
INSERT INTO `object_crc_string_table` VALUES ('3111252772', 'B971F324', 'object/mobile/shared_dressed_rsf_security_officer.iff');
INSERT INTO `object_crc_string_table` VALUES ('2391131240', '8E85C468', 'object/mobile/shared_dressed_rsf_tier2_trainer.iff');
INSERT INTO `object_crc_string_table` VALUES ('3984356119', 'ED7C7317', 'object/mobile/shared_dressed_ruffian_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2619685836', '9C253BCC', 'object/mobile/shared_dressed_ruffian_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3402413884', 'CACCB73C', 'object/mobile/shared_dressed_ruwan_tokai.iff');
INSERT INTO `object_crc_string_table` VALUES ('4164040273', 'F8323651', 'object/mobile/shared_dressed_sargeant_tarl.iff');
INSERT INTO `object_crc_string_table` VALUES ('1283275937', '4C7D3CA1', 'object/mobile/shared_dressed_scarab_pirate_general_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4069493558', 'F28F8B36', 'object/mobile/shared_dressed_scarab_pirate_general_twilek_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3448495854', 'CD8BDEEE', 'object/mobile/shared_dressed_scholar_szingo.iff');
INSERT INTO `object_crc_string_table` VALUES ('1862571885', '6F04976D', 'object/mobile/shared_dressed_scolex_grath.iff');
INSERT INTO `object_crc_string_table` VALUES ('978633536', '3A54C340', 'object/mobile/shared_dressed_scout_trainer_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3779292119', 'E1436BD7', 'object/mobile/shared_dressed_scout_trainer_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2823687258', 'A84E0C5A', 'object/mobile/shared_dressed_scout_trainer_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('427178976', '19763BE0', 'object/mobile/shared_dressed_scout_trooper_black_black.iff');
INSERT INTO `object_crc_string_table` VALUES ('3260762182', 'C25B4846', 'object/mobile/shared_dressed_scout_trooper_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2303490976', '894C7BA0', 'object/mobile/shared_dressed_scout_trooper_white_white.iff');
INSERT INTO `object_crc_string_table` VALUES ('3617041264', 'D797AB70', 'object/mobile/shared_dressed_sean_contact_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('3300427205', 'C4B885C5', 'object/mobile/shared_dressed_sean_questn_university.iff');
INSERT INTO `object_crc_string_table` VALUES ('1376428811', '520AA30B', 'object/mobile/shared_dressed_sean_questp_house.iff');
INSERT INTO `object_crc_string_table` VALUES ('3752493227', 'DFAA80AB', 'object/mobile/shared_dressed_sean_questp_market.iff');
INSERT INTO `object_crc_string_table` VALUES ('2356198358', '8C70BBD6', 'object/mobile/shared_dressed_sean_trenwell.iff');
INSERT INTO `object_crc_string_table` VALUES ('1648304325', '623F20C5', 'object/mobile/shared_dressed_seans_historian.iff');
INSERT INTO `object_crc_string_table` VALUES ('1574558142', '5DD9D9BE', 'object/mobile/shared_dressed_selonian_f_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2261676329', '86CE7129', 'object/mobile/shared_dressed_selonian_f_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3485669028', 'CFC316A4', 'object/mobile/shared_dressed_selonian_f_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('874528176', '34203DB0', 'object/mobile/shared_dressed_selonian_f_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2100124221', '7D2D5A3D', 'object/mobile/shared_dressed_selonian_f_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('2788881066', 'A63AF2AA', 'object/mobile/shared_dressed_selonian_f_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('4013397287', 'EF379527', 'object/mobile/shared_dressed_selonian_f_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('1430108469', '553DB935', 'object/mobile/shared_dressed_selonian_f_08.iff');
INSERT INTO `object_crc_string_table` VALUES ('472964792', '1C30DEB8', 'object/mobile/shared_dressed_selonian_f_09.iff');
INSERT INTO `object_crc_string_table` VALUES ('268219211', 'FFCB34B', 'object/mobile/shared_dressed_selonian_f_10.iff');
INSERT INTO `object_crc_string_table` VALUES ('1190253766', '46F1D4C6', 'object/mobile/shared_dressed_selonian_f_11.iff');
INSERT INTO `object_crc_string_table` VALUES ('2649128017', '9DE67C51', 'object/mobile/shared_dressed_selonian_f_12.iff');
INSERT INTO `object_crc_string_table` VALUES ('1706516958', '65B761DE', 'object/mobile/shared_dressed_selonian_m_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3198208329', 'BEA0C949', 'object/mobile/shared_dressed_selonian_m_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4155354820', 'F7ADAEC4', 'object/mobile/shared_dressed_selonian_m_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('206472656', 'C4E85D0', 'object/mobile/shared_dressed_selonian_m_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1162076765', '4543E25D', 'object/mobile/shared_dressed_selonian_m_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('2656324298', '9E544ACA', 'object/mobile/shared_dressed_selonian_m_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('3612945735', 'D7592D47', 'object/mobile/shared_dressed_selonian_m_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('1834156373', '6D530155', 'object/mobile/shared_dressed_selonian_m_08.iff');
INSERT INTO `object_crc_string_table` VALUES ('610166488', '245E66D8', 'object/mobile/shared_dressed_selonian_m_09.iff');
INSERT INTO `object_crc_string_table` VALUES ('932317995', '37920B2B', 'object/mobile/shared_dressed_selonian_m_10.iff');
INSERT INTO `object_crc_string_table` VALUES ('2124377254', '7E9F6CA6', 'object/mobile/shared_dressed_selonian_m_11.iff');
INSERT INTO `object_crc_string_table` VALUES ('2777203761', 'A588C431', 'object/mobile/shared_dressed_selonian_m_12.iff');
INSERT INTO `object_crc_string_table` VALUES ('2453845306', '9242B53A', 'object/mobile/shared_dressed_sennex_pirate_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1230314925', '49551DAD', 'object/mobile/shared_dressed_sennex_pirate_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('5798432', '587A20', 'object/mobile/shared_dressed_sennex_pirate_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('4223357236', 'FBBB5134', 'object/mobile/shared_dressed_sennex_pirate_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2998286009', 'B2B636B9', 'object/mobile/shared_dressed_sennex_pirate_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1772199470', '69A19E2E', 'object/mobile/shared_dressed_sennex_pirate_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('548207011', '20ACF9A3', 'object/mobile/shared_dressed_sennex_pirate_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('2594624945', '9AA6D5B1', 'object/mobile/shared_dressed_sennex_pirate_08.iff');
INSERT INTO `object_crc_string_table` VALUES ('3551244860', 'D3ABB23C', 'object/mobile/shared_dressed_sennex_pirate_09.iff');
INSERT INTO `object_crc_string_table` VALUES ('3228032975', 'C067DFCF', 'object/mobile/shared_dressed_sennex_pirate_10.iff');
INSERT INTO `object_crc_string_table` VALUES ('2305472578', '896AB842', 'object/mobile/shared_dressed_sennex_pirate_11.iff');
INSERT INTO `object_crc_string_table` VALUES ('1383928021', '527D10D5', 'object/mobile/shared_dressed_sennex_pirate_12.iff');
INSERT INTO `object_crc_string_table` VALUES ('3576077327', 'D5269C0F', 'object/mobile/shared_dressed_serjix_arrogantus.iff');
INSERT INTO `object_crc_string_table` VALUES ('2847048714', 'A9B2840A', 'object/mobile/shared_dressed_sg_567.iff');
INSERT INTO `object_crc_string_table` VALUES ('2341728454', '8B93F0C6', 'object/mobile/shared_dressed_shaki_hamachil.iff');
INSERT INTO `object_crc_string_table` VALUES ('2385405505', '8E2E6641', 'object/mobile/shared_dressed_shibb_nisshil.iff');
INSERT INTO `object_crc_string_table` VALUES ('4130887746', 'F6385842', 'object/mobile/shared_dressed_sidoras_bey.iff');
INSERT INTO `object_crc_string_table` VALUES ('3870788230', 'E6B78A86', 'object/mobile/shared_dressed_sigrix_slix.iff');
INSERT INTO `object_crc_string_table` VALUES ('1352060508', '5096CE5C', 'object/mobile/shared_dressed_sindra_lintikoor.iff');
INSERT INTO `object_crc_string_table` VALUES ('1220510861', '48BF848D', 'object/mobile/shared_dressed_singular_nak.iff');
INSERT INTO `object_crc_string_table` VALUES ('2087691308', '7C6FA42C', 'object/mobile/shared_dressed_sith_shadow_aqualish_f_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2809662651', 'A7780CBB', 'object/mobile/shared_dressed_sith_shadow_aqualish_f_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1140923468', '44011C4C', 'object/mobile/shared_dressed_sith_shadow_aqualish_m_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2669065435', '9F16B4DB', 'object/mobile/shared_dressed_sith_shadow_aqualish_m_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1574553080', '5DD9C5F8', 'object/mobile/shared_dressed_sith_shadow_hum_f_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2261675375', '86CE6D6F', 'object/mobile/shared_dressed_sith_shadow_hum_f_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3485666018', 'CFC30AE2', 'object/mobile/shared_dressed_sith_shadow_hum_f_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1706524056', '65B77D98', 'object/mobile/shared_dressed_sith_shadow_hum_m_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3198211343', 'BEA0D50F', 'object/mobile/shared_dressed_sith_shadow_hum_m_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4155355778', 'F7ADB282', 'object/mobile/shared_dressed_sith_shadow_hum_m_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1949568181', '74340CB5', 'object/mobile/shared_dressed_sith_shadow_hum_m_nco.iff');
INSERT INTO `object_crc_string_table` VALUES ('371253062', '1620DF46', 'object/mobile/shared_dressed_sith_shadow_nikto_m_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3442964433', 'CD3777D1', 'object/mobile/shared_dressed_sith_shadow_nikto_m_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2218397788', '843A105C', 'object/mobile/shared_dressed_sith_shadow_nikto_m_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('241297803', 'E61E98B', 'object/mobile/shared_dressed_sith_shadow_nikto_m_nco.iff');
INSERT INTO `object_crc_string_table` VALUES ('3065885724', 'B6BDB41C', 'object/mobile/shared_dressed_sith_shadow_rodian_f_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1839864971', '6DAA1C8B', 'object/mobile/shared_dressed_sith_shadow_rodian_f_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2396195964', '8ED30C7C', 'object/mobile/shared_dressed_sith_shadow_rodian_m_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1438950635', '55C4A4EB', 'object/mobile/shared_dressed_sith_shadow_rodian_m_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1651388490', '626E304A', 'object/mobile/shared_dressed_sith_shadow_trn_f_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1509984298', '5A00882A', 'object/mobile/shared_dressed_sith_shadow_trn_m_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2165776573', '811720BD', 'object/mobile/shared_dressed_sith_shadow_trn_m_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3357165360', 'C81A4730', 'object/mobile/shared_dressed_sith_shadow_trn_m_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('4246600608', 'FD1DFBA0', 'object/mobile/shared_dressed_sith_shadow_zab_f_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('638210871', '260A5337', 'object/mobile/shared_dressed_sith_shadow_zab_f_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3718767251', 'DDA7E293', 'object/mobile/shared_dressed_sith_shadow_zab_f_nco.iff');
INSERT INTO `object_crc_string_table` VALUES ('3312665536', 'C57343C0', 'object/mobile/shared_dressed_sith_shadow_zab_m_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('509930327', '1E64EB57', 'object/mobile/shared_dressed_sith_shadow_zab_m_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1466535130', '57698CDA', 'object/mobile/shared_dressed_sith_shadow_zab_m_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('64463528', '3D7A2A8', 'object/mobile/shared_dressed_skinkner.iff');
INSERT INTO `object_crc_string_table` VALUES ('2777803693', 'A591EBAD', 'object/mobile/shared_dressed_slooni_long.iff');
INSERT INTO `object_crc_string_table` VALUES ('2631289812', '9CD64BD4', 'object/mobile/shared_dressed_smuggler_trainer_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1203888963', '47C1E343', 'object/mobile/shared_dressed_smuggler_trainer_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('248284366', 'ECC84CE', 'object/mobile/shared_dressed_smuggler_trainer_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1116567363', '428D7743', 'object/mobile/shared_dressed_solcar_dienbel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1395686545', '53307C91', 'object/mobile/shared_dressed_space_comm_chiss_assassin_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('3385774848', 'C9CED300', 'object/mobile/shared_dressed_space_comm_chiss_assassin_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3858816757', 'E600DEF5', 'object/mobile/shared_dressed_space_rebel_trainer_brother_vrovel.iff');
INSERT INTO `object_crc_string_table` VALUES ('616317845', '24BC4395', 'object/mobile/shared_dressed_space_rebel_trainer_lady_viopa.iff');
INSERT INTO `object_crc_string_table` VALUES ('1650608969', '62624B49', 'object/mobile/shared_dressed_space_rebel_trainer_major_eker.iff');
INSERT INTO `object_crc_string_table` VALUES ('2182790194', '821ABC32', 'object/mobile/shared_dressed_spice_collective_courier_rodian_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4057893577', 'F1DE8AC9', 'object/mobile/shared_dressed_spice_collective_courier_rodian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('575122373', '2247ABC5', 'object/mobile/shared_dressed_spice_collective_eliteguard_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1475860359', '57F7D787', 'object/mobile/shared_dressed_spice_collective_eliteguard_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('615329380', '24AD2E64', 'object/mobile/shared_dressed_spice_collective_foreman_trandoshan_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3365968103', 'C8A098E7', 'object/mobile/shared_dressed_spice_collective_foreman_trandoshan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2295073659', '88CC0B7B', 'object/mobile/shared_dressed_spice_collective_heavyguard_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2488678851', '945639C3', 'object/mobile/shared_dressed_spice_collective_heavyguard_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('929247009', '37632F21', 'object/mobile/shared_dressed_spice_collective_miner_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3095687610', 'B88471BA', 'object/mobile/shared_dressed_spice_collective_miner_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1341689731', '4FF88F83', 'object/mobile/shared_dressed_spice_collective_sentry_twk_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1849408029', '6E3BBA1D', 'object/mobile/shared_dressed_spice_collective_sentry_twk_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1727419831', '66F655B7', 'object/mobile/shared_dressed_spice_collective_workchief_twk_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('80047482', '4C56D7A', 'object/mobile/shared_dressed_spice_collective_workchief_twk_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3966925356', 'EC727A2C', 'object/mobile/shared_dressed_squad_leader_trainer_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('929419963', '3765D2BB', 'object/mobile/shared_dressed_squad_leader_trainer_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2120791350', '7E68B536', 'object/mobile/shared_dressed_squad_leader_trainer_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('4285356578', 'FF6D5A22', 'object/mobile/shared_dressed_statesman_human_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('19010705', '1221491', 'object/mobile/shared_dressed_stoos_olko.iff');
INSERT INTO `object_crc_string_table` VALUES ('3172933515', 'BD1F1F8B', 'object/mobile/shared_dressed_stormtrooper_assault_trooper_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2706161932', 'A14CC10C', 'object/mobile/shared_dressed_stormtrooper_black_black.iff');
INSERT INTO `object_crc_string_table` VALUES ('572214088', '221B4B48', 'object/mobile/shared_dressed_stormtrooper_black_blue.iff');
INSERT INTO `object_crc_string_table` VALUES ('4280388140', 'FF218A2C', 'object/mobile/shared_dressed_stormtrooper_black_gold.iff');
INSERT INTO `object_crc_string_table` VALUES ('952713016', '38C93F38', 'object/mobile/shared_dressed_stormtrooper_black_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('1963677784', '750B5858', 'object/mobile/shared_dressed_stormtrooper_black_grey.iff');
INSERT INTO `object_crc_string_table` VALUES ('4039820271', 'F0CAC3EF', 'object/mobile/shared_dressed_stormtrooper_black_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('2477345103', '93A9494F', 'object/mobile/shared_dressed_stormtrooper_black_white.iff');
INSERT INTO `object_crc_string_table` VALUES ('4217747543', 'FB65B857', 'object/mobile/shared_dressed_stormtrooper_bombardier_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2684193105', '9FFD8951', 'object/mobile/shared_dressed_stormtrooper_captain_black_black.iff');
INSERT INTO `object_crc_string_table` VALUES ('3502200687', 'D0BF576F', 'object/mobile/shared_dressed_stormtrooper_captain_black_gold.iff');
INSERT INTO `object_crc_string_table` VALUES ('264751377', 'FC7C911', 'object/mobile/shared_dressed_stormtrooper_captain_white_white.iff');
INSERT INTO `object_crc_string_table` VALUES ('755018446', '2D00AACE', 'object/mobile/shared_dressed_stormtrooper_commander_black_black.iff');
INSERT INTO `object_crc_string_table` VALUES ('3925561809', 'E9FB51D1', 'object/mobile/shared_dressed_stormtrooper_commander_black_gold.iff');
INSERT INTO `object_crc_string_table` VALUES ('3037629485', 'B50E8C2D', 'object/mobile/shared_dressed_stormtrooper_commando_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3637879502', 'D8D5A2CE', 'object/mobile/shared_dressed_stormtrooper_commando1_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2493178409', '949AE229', 'object/mobile/shared_dressed_stormtrooper_groupleader_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('628727249', '25799DD1', 'object/mobile/shared_dressed_stormtrooper_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('425662555', '195F185B', 'object/mobile/shared_dressed_stormtrooper_medic_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1298804271', '4D6A2E2F', 'object/mobile/shared_dressed_stormtrooper_rifleman_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('440719956', '1A44DA54', 'object/mobile/shared_dressed_stormtrooper_sand_trooper_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2688076350', 'A038CA3E', 'object/mobile/shared_dressed_stormtrooper_sniper_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2781960693', 'A5D159F5', 'object/mobile/shared_dressed_stormtrooper_squad_leader_black_black.iff');
INSERT INTO `object_crc_string_table` VALUES ('2642423881', '9D803049', 'object/mobile/shared_dressed_stormtrooper_squad_leader_black_gold.iff');
INSERT INTO `object_crc_string_table` VALUES ('1670896092', '6397D9DC', 'object/mobile/shared_dressed_stormtrooper_squad_leader_white_gold.iff');
INSERT INTO `object_crc_string_table` VALUES ('904599989', '35EB19B5', 'object/mobile/shared_dressed_stormtrooper_squad_leader_white_white.iff');
INSERT INTO `object_crc_string_table` VALUES ('59967759', '393090F', 'object/mobile/shared_dressed_stormtrooper_white_black.iff');
INSERT INTO `object_crc_string_table` VALUES ('3691815645', 'DC0CA2DD', 'object/mobile/shared_dressed_stormtrooper_white_blue.iff');
INSERT INTO `object_crc_string_table` VALUES ('20341689', '13663B9', 'object/mobile/shared_dressed_stormtrooper_white_gold.iff');
INSERT INTO `object_crc_string_table` VALUES ('2585196347', '9A16F73B', 'object/mobile/shared_dressed_stormtrooper_white_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('2333913549', '8B1CB1CD', 'object/mobile/shared_dressed_stormtrooper_white_grey.iff');
INSERT INTO `object_crc_string_table` VALUES ('3355353403', 'C7FEA13B', 'object/mobile/shared_dressed_stormtrooper_white_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('829849932', '3176814C', 'object/mobile/shared_dressed_stormtrooper_white_white.iff');
INSERT INTO `object_crc_string_table` VALUES ('698862146', '29A7CA42', 'object/mobile/shared_dressed_story_loot_bestine.iff');
INSERT INTO `object_crc_string_table` VALUES ('1970321141', '7570B6F5', 'object/mobile/shared_dressed_story_loot_bestine_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1014878584', '3C7DD178', 'object/mobile/shared_dressed_story_loot_bestine_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1935589621', '735EC0F5', 'object/mobile/shared_dressed_story_loot_coronet.iff');
INSERT INTO `object_crc_string_table` VALUES ('1796863393', '6B19F5A1', 'object/mobile/shared_dressed_story_loot_eisley_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2953731382', 'B00E5D36', 'object/mobile/shared_dressed_story_loot_eisley_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1587973862', '5EA68EE6', 'object/mobile/shared_dressed_story_loot_espa.iff');
INSERT INTO `object_crc_string_table` VALUES ('192910918', 'B7F9646', 'object/mobile/shared_dressed_story_loot_kadaara.iff');
INSERT INTO `object_crc_string_table` VALUES ('2399426063', '8F04560F', 'object/mobile/shared_dressed_story_loot_moeina.iff');
INSERT INTO `object_crc_string_table` VALUES ('150791232', '8FCE440', 'object/mobile/shared_dressed_story_loot_talus.iff');
INSERT INTO `object_crc_string_table` VALUES ('1976506732', '75CF196C', 'object/mobile/shared_dressed_story_loot_theed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1795874748', '6B0ADFBC', 'object/mobile/shared_dressed_story_loot_tyrena.iff');
INSERT INTO `object_crc_string_table` VALUES ('3302781103', 'C4DC70AF', 'object/mobile/shared_dressed_stranded_imperial_officer.iff');
INSERT INTO `object_crc_string_table` VALUES ('1689982294', '64BB1556', 'object/mobile/shared_dressed_stranded_imperial_pilot.iff');
INSERT INTO `object_crc_string_table` VALUES ('2951134852', 'AFE6BE84', 'object/mobile/shared_dressed_stranded_imperial_soldier.iff');
INSERT INTO `object_crc_string_table` VALUES ('3622133309', 'D7E55E3D', 'object/mobile/shared_dressed_stranded_rebel_officer.iff');
INSERT INTO `object_crc_string_table` VALUES ('1828371552', '6CFABC60', 'object/mobile/shared_dressed_stranded_rebel_pilot.iff');
INSERT INTO `object_crc_string_table` VALUES ('3168768022', 'BCDF9016', 'object/mobile/shared_dressed_stranded_rebel_soldier.iff');
INSERT INTO `object_crc_string_table` VALUES ('2827134666', 'A882A6CA', 'object/mobile/shared_dressed_supervisor_zogor_sturm.iff');
INSERT INTO `object_crc_string_table` VALUES ('1469825511', '579BC1E7', 'object/mobile/shared_dressed_surlin_rolei.iff');
INSERT INTO `object_crc_string_table` VALUES ('4231005743', 'FC30062F', 'object/mobile/shared_dressed_swamp_rat.iff');
INSERT INTO `object_crc_string_table` VALUES ('2496246070', '94C9B136', 'object/mobile/shared_dressed_swamp_trooper.iff');
INSERT INTO `object_crc_string_table` VALUES ('3266904714', 'C2B9028A', 'object/mobile/shared_dressed_swamp_trooper_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2728777398', 'A2A5D6B6', 'object/mobile/shared_dressed_swamp_villager.iff');
INSERT INTO `object_crc_string_table` VALUES ('2765594550', 'A4D79FB6', 'object/mobile/shared_dressed_tailor_trainer_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2143303457', '7FC03721', 'object/mobile/shared_dressed_tailor_trainer_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('919425196', '36CD50AC', 'object/mobile/shared_dressed_tailor_trainer_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2412965344', '8FD2EDE0', 'object/mobile/shared_dressed_talon_karrde.iff');
INSERT INTO `object_crc_string_table` VALUES ('2875782427', 'AB68F51B', 'object/mobile/shared_dressed_talus_sif_mercenary_rodian_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1887395212', '707F5D8C', 'object/mobile/shared_dressed_talus_sif_mercenary_rodian_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3717185433', 'DD8FBF99', 'object/mobile/shared_dressed_talus_sif_mercenary_trand_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('110630670', '698170E', 'object/mobile/shared_dressed_talus_sif_mercenary_trand_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1484454863', '587AFBCF', 'object/mobile/shared_dressed_tamvar_senzen.iff');
INSERT INTO `object_crc_string_table` VALUES ('1117545060', '429C6264', 'object/mobile/shared_dressed_tatooine_aaph_koden.iff');
INSERT INTO `object_crc_string_table` VALUES ('2585524237', '9A1BF80D', 'object/mobile/shared_dressed_tatooine_alkhara_bandit.iff');
INSERT INTO `object_crc_string_table` VALUES ('4033743537', 'F06E0AB1', 'object/mobile/shared_dressed_tatooine_alkhara_champion.iff');
INSERT INTO `object_crc_string_table` VALUES ('4039191602', 'F0C12C32', 'object/mobile/shared_dressed_tatooine_alkhara_king.iff');
INSERT INTO `object_crc_string_table` VALUES ('525698458', '1F55859A', 'object/mobile/shared_dressed_tatooine_alkhara_lieutenant.iff');
INSERT INTO `object_crc_string_table` VALUES ('2997057190', 'B2A376A6', 'object/mobile/shared_dressed_tatooine_binna.iff');
INSERT INTO `object_crc_string_table` VALUES ('2481130818', '93E30D42', 'object/mobile/shared_dressed_tatooine_blerx_tango.iff');
INSERT INTO `object_crc_string_table` VALUES ('533866262', '1FD22716', 'object/mobile/shared_dressed_tatooine_boshek.iff');
INSERT INTO `object_crc_string_table` VALUES ('3234397476', 'C0C8FD24', 'object/mobile/shared_dressed_tatooine_brea_tonnika.iff');
INSERT INTO `object_crc_string_table` VALUES ('2165896093', '8118F39D', 'object/mobile/shared_dressed_tatooine_cannibal.iff');
INSERT INTO `object_crc_string_table` VALUES ('3577509863', 'D53C77E7', 'object/mobile/shared_dressed_tatooine_crimelord.iff');
INSERT INTO `object_crc_string_table` VALUES ('2922109466', 'AE2BDA1A', 'object/mobile/shared_dressed_tatooine_dervish.iff');
INSERT INTO `object_crc_string_table` VALUES ('2619822546', '9C2751D2', 'object/mobile/shared_dressed_tatooine_desert_demon.iff');
INSERT INTO `object_crc_string_table` VALUES ('2891837247', 'AC5DEF3F', 'object/mobile/shared_dressed_tatooine_desert_demon_bodyguard.iff');
INSERT INTO `object_crc_string_table` VALUES ('1319703009', '4EA911E1', 'object/mobile/shared_dressed_tatooine_desert_demon_brawler.iff');
INSERT INTO `object_crc_string_table` VALUES ('3171148228', 'BD03E1C4', 'object/mobile/shared_dressed_tatooine_desert_demon_leader.iff');
INSERT INTO `object_crc_string_table` VALUES ('207095094', 'C580536', 'object/mobile/shared_dressed_tatooine_desert_demon_marksman.iff');
INSERT INTO `object_crc_string_table` VALUES ('3873482467', 'E6E0A6E3', 'object/mobile/shared_dressed_tatooine_desert_swooper.iff');
INSERT INTO `object_crc_string_table` VALUES ('1866886579', '6F466DB3', 'object/mobile/shared_dressed_tatooine_desert_swooper_leader.iff');
INSERT INTO `object_crc_string_table` VALUES ('47900839', '2DAE8A7', 'object/mobile/shared_dressed_tatooine_dim_u_abbot.iff');
INSERT INTO `object_crc_string_table` VALUES ('4021660117', 'EFB5A9D5', 'object/mobile/shared_dressed_tatooine_dim_u_cleric.iff');
INSERT INTO `object_crc_string_table` VALUES ('507065980', '1E39367C', 'object/mobile/shared_dressed_tatooine_dim_u_monastery_nun.iff');
INSERT INTO `object_crc_string_table` VALUES ('851470317', '32C067ED', 'object/mobile/shared_dressed_tatooine_dim_u_monk.iff');
INSERT INTO `object_crc_string_table` VALUES ('1594655942', '5F0C84C6', 'object/mobile/shared_dressed_tatooine_dim_u_preacher.iff');
INSERT INTO `object_crc_string_table` VALUES ('62019124', '3B25634', 'object/mobile/shared_dressed_tatooine_dim_u_priestess.iff');
INSERT INTO `object_crc_string_table` VALUES ('2572134690', '994FA922', 'object/mobile/shared_dressed_tatooine_dune_stalker.iff');
INSERT INTO `object_crc_string_table` VALUES ('2839533722', 'A93FD89A', 'object/mobile/shared_dressed_tatooine_dune_stalker_brawler.iff');
INSERT INTO `object_crc_string_table` VALUES ('172429008', 'A470ED0', 'object/mobile/shared_dressed_tatooine_dune_stalker_leader.iff');
INSERT INTO `object_crc_string_table` VALUES ('1098844234', '417F084A', 'object/mobile/shared_dressed_tatooine_dune_stalker_marksman.iff');
INSERT INTO `object_crc_string_table` VALUES ('1125860595', '431B44F3', 'object/mobile/shared_dressed_tatooine_evil_hermit.iff');
INSERT INTO `object_crc_string_table` VALUES ('2756305281', 'A449E181', 'object/mobile/shared_dressed_tatooine_evil_settler.iff');
INSERT INTO `object_crc_string_table` VALUES ('1064689763', '3F75E063', 'object/mobile/shared_dressed_tatooine_farious_gletch.iff');
INSERT INTO `object_crc_string_table` VALUES ('4060343926', 'F203EE76', 'object/mobile/shared_dressed_tatooine_figrin_dan.iff');
INSERT INTO `object_crc_string_table` VALUES ('2589964585', '9A5FB929', 'object/mobile/shared_dressed_tatooine_fixer.iff');
INSERT INTO `object_crc_string_table` VALUES ('2245876929', '85DD5CC1', 'object/mobile/shared_dressed_tatooine_fugitive.iff');
INSERT INTO `object_crc_string_table` VALUES ('1671485825', '63A0D981', 'object/mobile/shared_dressed_tatooine_gold_two.iff');
INSERT INTO `object_crc_string_table` VALUES ('405583246', '182CB58E', 'object/mobile/shared_dressed_tatooine_gunrunner.iff');
INSERT INTO `object_crc_string_table` VALUES ('4113187836', 'F52A43FC', 'object/mobile/shared_dressed_tatooine_hedon_istee.iff');
INSERT INTO `object_crc_string_table` VALUES ('3261280467', 'C26330D3', 'object/mobile/shared_dressed_tatooine_hermit.iff');
INSERT INTO `object_crc_string_table` VALUES ('2592179372', '9A8184AC', 'object/mobile/shared_dressed_tatooine_ikka_gesul.iff');
INSERT INTO `object_crc_string_table` VALUES ('1559021904', '5CECC950', 'object/mobile/shared_dressed_tatooine_jabba_assassin.iff');
INSERT INTO `object_crc_string_table` VALUES ('3315833874', 'C5A39C12', 'object/mobile/shared_dressed_tatooine_jabba_enforcer.iff');
INSERT INTO `object_crc_string_table` VALUES ('4158620259', 'F7DF8263', 'object/mobile/shared_dressed_tatooine_jabba_henchman.iff');
INSERT INTO `object_crc_string_table` VALUES ('3640565796', 'D8FEA024', 'object/mobile/shared_dressed_tatooine_jabba_scout.iff');
INSERT INTO `object_crc_string_table` VALUES ('1282805440', '4C760EC0', 'object/mobile/shared_dressed_tatooine_jabba_swooper.iff');
INSERT INTO `object_crc_string_table` VALUES ('3956928835', 'EBD9F143', 'object/mobile/shared_dressed_tatooine_jabba_swooper_leader.iff');
INSERT INTO `object_crc_string_table` VALUES ('933892840', '37AA12E8', 'object/mobile/shared_dressed_tatooine_jabba_thief.iff');
INSERT INTO `object_crc_string_table` VALUES ('203327776', 'C1E8920', 'object/mobile/shared_dressed_tatooine_jabba_thug.iff');
INSERT INTO `object_crc_string_table` VALUES ('3462393809', 'CE5FEFD1', 'object/mobile/shared_dressed_tatooine_jilljoo_jab.iff');
INSERT INTO `object_crc_string_table` VALUES ('849589762', '32A3B602', 'object/mobile/shared_dressed_tatooine_kaeline_ungasan.iff');
INSERT INTO `object_crc_string_table` VALUES ('684030067', '28C57873', 'object/mobile/shared_dressed_tatooine_kitster_banai.iff');
INSERT INTO `object_crc_string_table` VALUES ('2065756883', '7B20F2D3', 'object/mobile/shared_dressed_tatooine_kormund_thrylle.iff');
INSERT INTO `object_crc_string_table` VALUES ('1114519294', '426E36FE', 'object/mobile/shared_dressed_tatooine_lilas_dinhint.iff');
INSERT INTO `object_crc_string_table` VALUES ('4213556758', 'FB25C616', 'object/mobile/shared_dressed_tatooine_lt_hantor_loftus.iff');
INSERT INTO `object_crc_string_table` VALUES ('1571582723', '5DAC7303', 'object/mobile/shared_dressed_tatooine_lt_harburik.iff');
INSERT INTO `object_crc_string_table` VALUES ('1850887803', '6E524E7B', 'object/mobile/shared_dressed_tatooine_mat_rags.iff');
INSERT INTO `object_crc_string_table` VALUES ('1672474013', '63AFED9D', 'object/mobile/shared_dressed_tatooine_melious_purl.iff');
INSERT INTO `object_crc_string_table` VALUES ('2394503607', '8EB939B7', 'object/mobile/shared_dressed_tatooine_mikos_denari.iff');
INSERT INTO `object_crc_string_table` VALUES ('3875991561', 'E706F009', 'object/mobile/shared_dressed_tatooine_militiaman.iff');
INSERT INTO `object_crc_string_table` VALUES ('2732966134', 'A2E5C0F6', 'object/mobile/shared_dressed_tatooine_moisture_farmer.iff');
INSERT INTO `object_crc_string_table` VALUES ('903465893', '35D9CBA5', 'object/mobile/shared_dressed_tatooine_moisture_thief.iff');
INSERT INTO `object_crc_string_table` VALUES ('966807087', '39A04E2F', 'object/mobile/shared_dressed_tatooine_mos_eisley_police_officer.iff');
INSERT INTO `object_crc_string_table` VALUES ('4175079995', 'F8DAAA3B', 'object/mobile/shared_dressed_tatooine_mos_eisley_police_sergeant.iff');
INSERT INTO `object_crc_string_table` VALUES ('3880120838', 'E745F206', 'object/mobile/shared_dressed_tatooine_nitra_vendallan.iff');
INSERT INTO `object_crc_string_table` VALUES ('71120972', '43D384C', 'object/mobile/shared_dressed_tatooine_nomad.iff');
INSERT INTO `object_crc_string_table` VALUES ('347384355', '14B4AA23', 'object/mobile/shared_dressed_tatooine_om_aynat.iff');
INSERT INTO `object_crc_string_table` VALUES ('4218076122', 'FB6ABBDA', 'object/mobile/shared_dressed_tatooine_pfilbee_jhorn.iff');
INSERT INTO `object_crc_string_table` VALUES ('544425454', '207345EE', 'object/mobile/shared_dressed_tatooine_phinea_shantee.iff');
INSERT INTO `object_crc_string_table` VALUES ('201618992', 'C047630', 'object/mobile/shared_dressed_tatooine_plague_victim.iff');
INSERT INTO `object_crc_string_table` VALUES ('2157500626', '8098D8D2', 'object/mobile/shared_dressed_tatooine_rakir_banai.iff');
INSERT INTO `object_crc_string_table` VALUES ('7201715', '6DE3B3', 'object/mobile/shared_dressed_tatooine_rodian_clan_captain.iff');
INSERT INTO `object_crc_string_table` VALUES ('1727421474', '66F65C22', 'object/mobile/shared_dressed_tatooine_rodian_clan_medic.iff');
INSERT INTO `object_crc_string_table` VALUES ('986700441', '3ACFDA99', 'object/mobile/shared_dressed_tatooine_rodian_clan_warchief.iff');
INSERT INTO `object_crc_string_table` VALUES ('946265272', '3866DCB8', 'object/mobile/shared_dressed_tatooine_rodian_gladiator.iff');
INSERT INTO `object_crc_string_table` VALUES ('2519983264', '9633E4A0', 'object/mobile/shared_dressed_tatooine_sango_rond.iff');
INSERT INTO `object_crc_string_table` VALUES ('2002780196', '77600024', 'object/mobile/shared_dressed_tatooine_scavenger.iff');
INSERT INTO `object_crc_string_table` VALUES ('2858183973', 'AA5C6D25', 'object/mobile/shared_dressed_tatooine_senni_tonnika.iff');
INSERT INTO `object_crc_string_table` VALUES ('2985311448', 'B1F03CD8', 'object/mobile/shared_dressed_tatooine_settler.iff');
INSERT INTO `object_crc_string_table` VALUES ('22290055', '1541E87', 'object/mobile/shared_dressed_tatooine_slaver.iff');
INSERT INTO `object_crc_string_table` VALUES ('3607910047', 'D70C569F', 'object/mobile/shared_dressed_tatooine_spice_fiend.iff');
INSERT INTO `object_crc_string_table` VALUES ('2907123253', 'AD472E35', 'object/mobile/shared_dressed_tatooine_squatter.iff');
INSERT INTO `object_crc_string_table` VALUES ('136039445', '81BCC15', 'object/mobile/shared_dressed_tatooine_tekil_barje.iff');
INSERT INTO `object_crc_string_table` VALUES ('3884139724', 'E78344CC', 'object/mobile/shared_dressed_tatooine_tour_aryon.iff');
INSERT INTO `object_crc_string_table` VALUES ('3173915810', 'BD2E1CA2', 'object/mobile/shared_dressed_tatooine_trandoshan_slavemaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('1897433190', '71188866', 'object/mobile/shared_dressed_tatooine_trandoshan_slaver.iff');
INSERT INTO `object_crc_string_table` VALUES ('2129924', '208004', 'object/mobile/shared_dressed_tatooine_valarian_assassin.iff');
INSERT INTO `object_crc_string_table` VALUES ('1450006686', '566D589E', 'object/mobile/shared_dressed_tatooine_valarian_compound_guard.iff');
INSERT INTO `object_crc_string_table` VALUES ('2574243142', '996FD546', 'object/mobile/shared_dressed_tatooine_valarian_enforcer.iff');
INSERT INTO `object_crc_string_table` VALUES ('2870201143', 'AB13CB37', 'object/mobile/shared_dressed_tatooine_valarian_henchman.iff');
INSERT INTO `object_crc_string_table` VALUES ('162757528', '9B37B98', 'object/mobile/shared_dressed_tatooine_valarian_scout.iff');
INSERT INTO `object_crc_string_table` VALUES ('2466453119', '9303167F', 'object/mobile/shared_dressed_tatooine_valarian_swooper.iff');
INSERT INTO `object_crc_string_table` VALUES ('3404283589', 'CAE93EC5', 'object/mobile/shared_dressed_tatooine_valarian_swooper_leader.iff');
INSERT INTO `object_crc_string_table` VALUES ('3873950036', 'E6E7C954', 'object/mobile/shared_dressed_tatooine_valarian_thief.iff');
INSERT INTO `object_crc_string_table` VALUES ('2854514144', 'AA246DE0', 'object/mobile/shared_dressed_tatooine_valarian_thug.iff');
INSERT INTO `object_crc_string_table` VALUES ('1104079659', '41CEEB2B', 'object/mobile/shared_dressed_tatooine_vardias_tyne.iff');
INSERT INTO `object_crc_string_table` VALUES ('3903225686', 'E8A67F56', 'object/mobile/shared_dressed_tatooine_wald.iff');
INSERT INTO `object_crc_string_table` VALUES ('2174449815', '819B7897', 'object/mobile/shared_dressed_tatooine_water_bug.iff');
INSERT INTO `object_crc_string_table` VALUES ('3843079037', 'E510BB7D', 'object/mobile/shared_dressed_tatooine_weequay_captain.iff');
INSERT INTO `object_crc_string_table` VALUES ('165532274', '9DDD272', 'object/mobile/shared_dressed_tatooine_weequay_champion.iff');
INSERT INTO `object_crc_string_table` VALUES ('2227074402', '84BE7562', 'object/mobile/shared_dressed_tatooine_weequay_soldier.iff');
INSERT INTO `object_crc_string_table` VALUES ('1843632835', '6DE39AC3', 'object/mobile/shared_dressed_tatooine_weequay_thug.iff');
INSERT INTO `object_crc_string_table` VALUES ('1699048006', '65456A46', 'object/mobile/shared_dressed_tatooine_weequay_zealot.iff');
INSERT INTO `object_crc_string_table` VALUES ('2952819539', 'B0007353', 'object/mobile/shared_dressed_tatooine_wilhalm_skrim.iff');
INSERT INTO `object_crc_string_table` VALUES ('1221199472', '48CA0670', 'object/mobile/shared_dressed_tatooine_windom_starkiller.iff');
INSERT INTO `object_crc_string_table` VALUES ('2239425332', '857AEB34', 'object/mobile/shared_dressed_tatooine_wuher.iff');
INSERT INTO `object_crc_string_table` VALUES ('2792230761', 'A66E0F69', 'object/mobile/shared_dressed_terminator_human_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('3511591853', 'D14EA3AD', 'object/mobile/shared_dressed_theed_palace_chamberlain.iff');
INSERT INTO `object_crc_string_table` VALUES ('1428264275', '55219553', 'object/mobile/shared_dressed_tiberus_anderlock.iff');
INSERT INTO `object_crc_string_table` VALUES ('1719126009', '6677C7F9', 'object/mobile/shared_dressed_tie_fighter_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2498034736', '94E4FC30', 'object/mobile/shared_dressed_tieykna_mercenary_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2499808077', '95000B4D', 'object/mobile/shared_dressed_tieykna_mercenary_human_male_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1465505555', '5759D713', 'object/mobile/shared_dressed_tieykna_mercenary_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('89143208', '55037A8', 'object/mobile/shared_dressed_tieykna_miner_bith_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1176413592', '461EA598', 'object/mobile/shared_dressed_tieykna_miner_bothan_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3660511267', 'DA2EF823', 'object/mobile/shared_dressed_tieykna_miner_sullustan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3507336402', 'D10DB4D2', 'object/mobile/shared_dressed_trade_federation_avenger.iff');
INSERT INTO `object_crc_string_table` VALUES ('595567551', '237FA3BF', 'object/mobile/shared_dressed_trade_federation_loyalist.iff');
INSERT INTO `object_crc_string_table` VALUES ('2609079790', '9B8365EE', 'object/mobile/shared_dressed_trade_federation_zealot.iff');
INSERT INTO `object_crc_string_table` VALUES ('863061149', '3371449D', 'object/mobile/shared_dressed_tusk_cat_rider.iff');
INSERT INTO `object_crc_string_table` VALUES ('2598237323', '9ADDF48B', 'object/mobile/shared_dressed_unarmed_trainer_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1103780892', '41CA5C1C', 'object/mobile/shared_dressed_unarmed_trainer_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('147274641', '8C73B91', 'object/mobile/shared_dressed_unarmed_trainer_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2931904990', 'AEC151DE', 'object/mobile/shared_dressed_untrained_wielder_of_the_darkside.iff');
INSERT INTO `object_crc_string_table` VALUES ('534258499', '1FD82343', 'object/mobile/shared_dressed_velocity_bith_m_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3479252597', 'CF612E75', 'object/mobile/shared_dressed_velocity_chiss_m_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2929106056', 'AE969C88', 'object/mobile/shared_dressed_velocity_gran_m_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2857550099', 'AA52C113', 'object/mobile/shared_dressed_velocity_hum_f_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1183129198', '46851E6E', 'object/mobile/shared_dressed_velocity_quar_m_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2911603905', 'AD8B8CC1', 'object/mobile/shared_dressed_velocity_trn_m_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2414223399', '8FE62027', 'object/mobile/shared_dressed_venthan_chassu.iff');
INSERT INTO `object_crc_string_table` VALUES ('3772153811', 'E0D67FD3', 'object/mobile/shared_dressed_vhaunda.iff');
INSERT INTO `object_crc_string_table` VALUES ('398517092', '17C0E364', 'object/mobile/shared_dressed_victor_questn_cantina.iff');
INSERT INTO `object_crc_string_table` VALUES ('1011696302', '3C4D42AE', 'object/mobile/shared_dressed_victor_questn_capitol.iff');
INSERT INTO `object_crc_string_table` VALUES ('2362107874', '8CCAE7E2', 'object/mobile/shared_dressed_victor_questp_hospital.iff');
INSERT INTO `object_crc_string_table` VALUES ('99901750', '5F46136', 'object/mobile/shared_dressed_victor_questp_slums.iff');
INSERT INTO `object_crc_string_table` VALUES ('871692080', '33F4F730', 'object/mobile/shared_dressed_victor_visalis.iff');
INSERT INTO `object_crc_string_table` VALUES ('1903416078', '7173D30E', 'object/mobile/shared_dressed_villain_trandoshan_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('454087031', '1B10D177', 'object/mobile/shared_dressed_villain_trandoshan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3160184982', 'BC5C9896', 'object/mobile/shared_dressed_vinya_maysor.iff');
INSERT INTO `object_crc_string_table` VALUES ('1123065659', '42F09F3B', 'object/mobile/shared_dressed_vinzel_haylon.iff');
INSERT INTO `object_crc_string_table` VALUES ('3261127142', 'C260D9E6', 'object/mobile/shared_dressed_vordin_sildor.iff');
INSERT INTO `object_crc_string_table` VALUES ('3812523374', 'E33E7D6E', 'object/mobile/shared_dressed_vraker_orde.iff');
INSERT INTO `object_crc_string_table` VALUES ('374445299', '165194F3', 'object/mobile/shared_dressed_vurlene.iff');
INSERT INTO `object_crc_string_table` VALUES ('998736755', '3B878373', 'object/mobile/shared_dressed_wallaw_loowobbli.iff');
INSERT INTO `object_crc_string_table` VALUES ('4103644702', 'F498A61E', 'object/mobile/shared_dressed_wandering_desert_marauder.iff');
INSERT INTO `object_crc_string_table` VALUES ('4265953165', 'FE45478D', 'object/mobile/shared_dressed_warren_cyborg_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2579995835', '99C79CBB', 'object/mobile/shared_dressed_warren_doctor_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4293689440', 'FFEC8060', 'object/mobile/shared_dressed_weaponsmith_trainer_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('620439799', '24FB28F7', 'object/mobile/shared_dressed_weaponsmith_trainer_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1844858746', '6DF64F7A', 'object/mobile/shared_dressed_weaponsmith_trainer_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1552458793', '5C88A429', 'object/mobile/shared_dressed_xaan_talmaron.iff');
INSERT INTO `object_crc_string_table` VALUES ('1685958549', '647DAF95', 'object/mobile/shared_dressed_xarot_korlin.iff');
INSERT INTO `object_crc_string_table` VALUES ('3304412051', 'C4F55393', 'object/mobile/shared_dressed_yith_seenath.iff');
INSERT INTO `object_crc_string_table` VALUES ('117506864', '7010330', 'object/mobile/shared_dressed_zeelius_kraymunder.iff');
INSERT INTO `object_crc_string_table` VALUES ('2356948414', '8C7C2DBE', 'object/mobile/shared_dressed_zideera.iff');
INSERT INTO `object_crc_string_table` VALUES ('2412922465', '8FD24661', 'object/mobile/shared_droideka.iff');
INSERT INTO `object_crc_string_table` VALUES ('3056528372', 'B62EEBF4', 'object/mobile/shared_droopy_mccool.iff');
INSERT INTO `object_crc_string_table` VALUES ('1541355871', '5BDF395F', 'object/mobile/shared_dulok_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('2350961206', '8C20D236', 'object/mobile/shared_dulok_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('3554679154', 'D3E01972', 'object/mobile/shared_dune_lizard.iff');
INSERT INTO `object_crc_string_table` VALUES ('1669128383', '637CE0BF', 'object/mobile/shared_dune_lizard_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('382834958', '16D1990E', 'object/mobile/shared_dung_mite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1181360289', '466A20A1', 'object/mobile/shared_durni.iff');
INSERT INTO `object_crc_string_table` VALUES ('122624654', '74F1A8E', 'object/mobile/shared_durni_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('4229494825', 'FC18F829', 'object/mobile/shared_dwarf_bantha.iff');
INSERT INTO `object_crc_string_table` VALUES ('3051864722', 'B5E7C292', 'object/mobile/shared_dwarf_eopie.iff');
INSERT INTO `object_crc_string_table` VALUES ('2557068446', '9869C49E', 'object/mobile/shared_dwarf_gronda.iff');
INSERT INTO `object_crc_string_table` VALUES ('2763251553', 'A4B3DF61', 'object/mobile/shared_dwarf_nuna.iff');
INSERT INTO `object_crc_string_table` VALUES ('3180728113', 'BD960F31', 'object/mobile/shared_dwarf_nuna_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1305482453', '4DD014D5', 'object/mobile/shared_dz70_fugitive_tracker_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('504745581', '1E15CE6D', 'object/mobile/shared_eg6_power_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('663455382', '278B8696', 'object/mobile/shared_eg6_power_droid_crafted.iff');
INSERT INTO `object_crc_string_table` VALUES ('426628456', '196DD568', 'object/mobile/shared_elder_hanadak_matriarch.iff');
INSERT INTO `object_crc_string_table` VALUES ('751022420', '2CC3B154', 'object/mobile/shared_elder_pugoriss.iff');
INSERT INTO `object_crc_string_table` VALUES ('2656910223', '9E5D3B8F', 'object/mobile/shared_elder_snorbal_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('2413744233', '8FDED069', 'object/mobile/shared_elder_snorbal_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('1548119821', '5C466F0D', 'object/mobile/shared_emperor_royal_guard.iff');
INSERT INTO `object_crc_string_table` VALUES ('3935706286', 'EA961CAE', 'object/mobile/shared_enraged_wood_mite_king.iff');
INSERT INTO `object_crc_string_table` VALUES ('3289792361', 'C4163F69', 'object/mobile/shared_eopie.iff');
INSERT INTO `object_crc_string_table` VALUES ('2465495844', '92F47B24', 'object/mobile/shared_eopie_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3282043693', 'C3A0032D', 'object/mobile/shared_ephant_mon.iff');
INSERT INTO `object_crc_string_table` VALUES ('3783661997', 'E18619AD', 'object/mobile/shared_ev_9d9.iff');
INSERT INTO `object_crc_string_table` VALUES ('1221034026', '48C7802A', 'object/mobile/shared_ewok_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('4033412878', 'F068FF0E', 'object/mobile/shared_ewok_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('139303918', '84D9BEE', 'object/mobile/shared_ewok_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('2368719642', '8D2FCB1A', 'object/mobile/shared_ewok_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('891448142', '35226B4E', 'object/mobile/shared_falumpaset.iff');
INSERT INTO `object_crc_string_table` VALUES ('2537291030', '973BFD16', 'object/mobile/shared_falumpaset_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2375688304', '8D9A2070', 'object/mobile/shared_fambaa.iff');
INSERT INTO `object_crc_string_table` VALUES ('1084223788', '409FF12C', 'object/mobile/shared_fambaa_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('304357171', '12241F33', 'object/mobile/shared_fanned_rawl.iff');
INSERT INTO `object_crc_string_table` VALUES ('2154485114', '806AD57A', 'object/mobile/shared_fanned_rawl_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3937658602', 'EAB3E6EA', 'object/mobile/shared_fath_hray.iff');
INSERT INTO `object_crc_string_table` VALUES ('2406226385', '8F6C19D1', 'object/mobile/shared_fearful_fynock_youth.iff');
INSERT INTO `object_crc_string_table` VALUES ('2465113907', '92EEA733', 'object/mobile/shared_female_dire_cat.iff');
INSERT INTO `object_crc_string_table` VALUES ('1661514098', '6308B172', 'object/mobile/shared_female_grassland_slice_hound.iff');
INSERT INTO `object_crc_string_table` VALUES ('857953251', '332353E3', 'object/mobile/shared_female_snorbal_calf.iff');
INSERT INTO `object_crc_string_table` VALUES ('3651259209', 'D9A1CB49', 'object/mobile/shared_female_swamp_tusk_cat.iff');
INSERT INTO `object_crc_string_table` VALUES ('3041927583', 'B550219F', 'object/mobile/shared_fightmaster_jorak.iff');
INSERT INTO `object_crc_string_table` VALUES ('1436777570', '55A37C62', 'object/mobile/shared_flewt.iff');
INSERT INTO `object_crc_string_table` VALUES ('3422424152', 'CBFE0C58', 'object/mobile/shared_flewt_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('878848245', '346228F5', 'object/mobile/shared_flit.iff');
INSERT INTO `object_crc_string_table` VALUES ('2560963553', '98A533E1', 'object/mobile/shared_flit_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('554215691', '2108A90B', 'object/mobile/shared_flit_youth.iff');
INSERT INTO `object_crc_string_table` VALUES ('1138484659', '43DBE5B3', 'object/mobile/shared_flite_rasp.iff');
INSERT INTO `object_crc_string_table` VALUES ('2107821844', '7DA2CF14', 'object/mobile/shared_flite_rasp_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('4253086890', 'FD80F4AA', 'object/mobile/shared_forest_mite.iff');
INSERT INTO `object_crc_string_table` VALUES ('108259727', '673E98F', 'object/mobile/shared_forest_murra.iff');
INSERT INTO `object_crc_string_table` VALUES ('2917464836', 'ADE4FB04', 'object/mobile/shared_forest_slice_hound.iff');
INSERT INTO `object_crc_string_table` VALUES ('4126395623', 'F5F3CCE7', 'object/mobile/shared_frenzied_graul.iff');
INSERT INTO `object_crc_string_table` VALUES ('1114917911', '42744C17', 'object/mobile/shared_frightened_young_flewt.iff');
INSERT INTO `object_crc_string_table` VALUES ('388899118', '172E212E', 'object/mobile/shared_fynock.iff');
INSERT INTO `object_crc_string_table` VALUES ('255210140', 'F36329C', 'object/mobile/shared_fynock_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2791266544', 'A65F58F0', 'object/mobile/shared_gackle_bat.iff');
INSERT INTO `object_crc_string_table` VALUES ('1037861799', '3DDC83A7', 'object/mobile/shared_gackle_bat_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('890755352', '3517D918', 'object/mobile/shared_gamorrean.iff');
INSERT INTO `object_crc_string_table` VALUES ('874176443', '341ADFBB', 'object/mobile/shared_gaping_spider.iff');
INSERT INTO `object_crc_string_table` VALUES ('670298183', '27F3F047', 'object/mobile/shared_gaping_spider_broodling.iff');
INSERT INTO `object_crc_string_table` VALUES ('170629487', 'A2B996F', 'object/mobile/shared_gaping_spider_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1435207717', '558B8825', 'object/mobile/shared_gaping_spider_queen.iff');
INSERT INTO `object_crc_string_table` VALUES ('2216583678', '841E61FE', 'object/mobile/shared_gaping_spider_recluse.iff');
INSERT INTO `object_crc_string_table` VALUES ('9986579', '986213', 'object/mobile/shared_gaping_spider_recluse_giant_kiin_dray.iff');
INSERT INTO `object_crc_string_table` VALUES ('236788505', 'E1D1B19', 'object/mobile/shared_general_jan_dodonna.iff');
INSERT INTO `object_crc_string_table` VALUES ('1346665302', '50447B56', 'object/mobile/shared_gerrick_lond.iff');
INSERT INTO `object_crc_string_table` VALUES ('2239716054', '857F5AD6', 'object/mobile/shared_gethzerion.iff');
INSERT INTO `object_crc_string_table` VALUES ('1519374408', '5A8FD048', 'object/mobile/shared_giant_angler.iff');
INSERT INTO `object_crc_string_table` VALUES ('411959999', '188E02BF', 'object/mobile/shared_giant_baz_nitch.iff');
INSERT INTO `object_crc_string_table` VALUES ('2592720151', '9A89C517', 'object/mobile/shared_giant_carrion_spat.iff');
INSERT INTO `object_crc_string_table` VALUES ('1918503337', '725A09A9', 'object/mobile/shared_giant_crystal_snake.iff');
INSERT INTO `object_crc_string_table` VALUES ('1561394973', '5D10FF1D', 'object/mobile/shared_giant_dalyrake.iff');
INSERT INTO `object_crc_string_table` VALUES ('1341282550', '4FF258F6', 'object/mobile/shared_giant_dune_kimogila.iff');
INSERT INTO `object_crc_string_table` VALUES ('4002066866', 'EE8AB1B2', 'object/mobile/shared_giant_flit.iff');
INSERT INTO `object_crc_string_table` VALUES ('3301424523', 'C4C7BD8B', 'object/mobile/shared_giant_gackle_bat.iff');
INSERT INTO `object_crc_string_table` VALUES ('2210767459', '83C5A263', 'object/mobile/shared_giant_gubbur.iff');
INSERT INTO `object_crc_string_table` VALUES ('135987033', '81AFF59', 'object/mobile/shared_giant_horned_krevol.iff');
INSERT INTO `object_crc_string_table` VALUES ('2503643993', '953A9359', 'object/mobile/shared_giant_kimogila.iff');
INSERT INTO `object_crc_string_table` VALUES ('2940660181', 'AF46E9D5', 'object/mobile/shared_giant_mawgax.iff');
INSERT INTO `object_crc_string_table` VALUES ('1032288412', '3D87789C', 'object/mobile/shared_giant_peko_peko.iff');
INSERT INTO `object_crc_string_table` VALUES ('4108418006', 'F4E17BD6', 'object/mobile/shared_giant_pharple.iff');
INSERT INTO `object_crc_string_table` VALUES ('607873114', '243B685A', 'object/mobile/shared_giant_sand_beetle.iff');
INSERT INTO `object_crc_string_table` VALUES ('1892971996', '70D475DC', 'object/mobile/shared_giant_spined_puc.iff');
INSERT INTO `object_crc_string_table` VALUES ('928031214', '3750A1EE', 'object/mobile/shared_giant_spined_snake.iff');
INSERT INTO `object_crc_string_table` VALUES ('3055227574', 'B61B12B6', 'object/mobile/shared_giant_stintaril.iff');
INSERT INTO `object_crc_string_table` VALUES ('2091826918', '7CAEBEE6', 'object/mobile/shared_giant_tanc_mite.iff');
INSERT INTO `object_crc_string_table` VALUES ('2363995443', '8CE7B533', 'object/mobile/shared_giant_veermok.iff');
INSERT INTO `object_crc_string_table` VALUES ('4229150764', 'FC13B82C', 'object/mobile/shared_giant_worrt.iff');
INSERT INTO `object_crc_string_table` VALUES ('2677634246', '9F9974C6', 'object/mobile/shared_glutted_fynock_queen.iff');
INSERT INTO `object_crc_string_table` VALUES ('1247872509', '4A6105FD', 'object/mobile/shared_gnarled_bark_mite_queen.iff');
INSERT INTO `object_crc_string_table` VALUES ('2332032204', '8AFFFCCC', 'object/mobile/shared_gnort.iff');
INSERT INTO `object_crc_string_table` VALUES ('2203909082', '835CFBDA', 'object/mobile/shared_gnort_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3371835636', 'C8FA20F4', 'object/mobile/shared_gorax.iff');
INSERT INTO `object_crc_string_table` VALUES ('2760269032', 'A4865CE8', 'object/mobile/shared_gorg.iff');
INSERT INTO `object_crc_string_table` VALUES ('3538453074', 'D2E88252', 'object/mobile/shared_gorr_ebelt.iff');
INSERT INTO `object_crc_string_table` VALUES ('2180193191', '81F31BA7', 'object/mobile/shared_gran_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('3021374410', 'B41683CA', 'object/mobile/shared_grand_wrix.iff');
INSERT INTO `object_crc_string_table` VALUES ('727049275', '2B55E43B', 'object/mobile/shared_grassland_voritor_tracker.iff');
INSERT INTO `object_crc_string_table` VALUES ('3456488947', 'CE05D5F3', 'object/mobile/shared_graul.iff');
INSERT INTO `object_crc_string_table` VALUES ('195249385', 'BA344E9', 'object/mobile/shared_graul_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('197567680', 'BC6A4C0', 'object/mobile/shared_great_borgle.iff');
INSERT INTO `object_crc_string_table` VALUES ('3337882429', 'C6F40B3D', 'object/mobile/shared_greater_desert_womp_rat.iff');
INSERT INTO `object_crc_string_table` VALUES ('2004591794', '777BA4B2', 'object/mobile/shared_greater_gulginaw.iff');
INSERT INTO `object_crc_string_table` VALUES ('2822551779', 'A83CB8E3', 'object/mobile/shared_greater_shaupaut.iff');
INSERT INTO `object_crc_string_table` VALUES ('2403761131', '8F467BEB', 'object/mobile/shared_greater_sludge_panther.iff');
INSERT INTO `object_crc_string_table` VALUES ('626775279', '255BD4EF', 'object/mobile/shared_greeata.iff');
INSERT INTO `object_crc_string_table` VALUES ('2380349390', '8DE13FCE', 'object/mobile/shared_gronda.iff');
INSERT INTO `object_crc_string_table` VALUES ('820089474', '30E19282', 'object/mobile/shared_gronda_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('699324195', '29AED723', 'object/mobile/shared_grubbur.iff');
INSERT INTO `object_crc_string_table` VALUES ('2511253817', '95AEB139', 'object/mobile/shared_gualama.iff');
INSERT INTO `object_crc_string_table` VALUES ('957852710', '3917AC26', 'object/mobile/shared_gualama_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('622698539', '251DA02B', 'object/mobile/shared_gualama_patriarch.iff');
INSERT INTO `object_crc_string_table` VALUES ('170808', '29B38', 'object/mobile/shared_gubbur.iff');
INSERT INTO `object_crc_string_table` VALUES ('406952354', '184199A2', 'object/mobile/shared_gubbur_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2412635704', '8FCDE638', 'object/mobile/shared_guf_drolg.iff');
INSERT INTO `object_crc_string_table` VALUES ('2797461869', 'A6BDE16D', 'object/mobile/shared_guf_drolg_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3577243781', 'D5386885', 'object/mobile/shared_gulginaw.iff');
INSERT INTO `object_crc_string_table` VALUES ('519301058', '1EF3E7C2', 'object/mobile/shared_gulginaw_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3438350132', 'CCF10F34', 'object/mobile/shared_gungan_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('1911569758', '71F03D5E', 'object/mobile/shared_gungan_outcast.iff');
INSERT INTO `object_crc_string_table` VALUES ('4291134911', 'FFC585BF', 'object/mobile/shared_gungan_s02_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('2136286680', '7F5525D8', 'object/mobile/shared_gungan_s03_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('4058341940', 'F1E56234', 'object/mobile/shared_gungan_s04_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('3464397925', 'CE7E8465', 'object/mobile/shared_gurk.iff');
INSERT INTO `object_crc_string_table` VALUES ('3945720999', 'EB2EECA7', 'object/mobile/shared_gurk_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3648622033', 'D9798DD1', 'object/mobile/shared_gurk_whelp.iff');
INSERT INTO `object_crc_string_table` VALUES ('526557680', '1F62A1F0', 'object/mobile/shared_gurnaset.iff');
INSERT INTO `object_crc_string_table` VALUES ('2388439199', '8E5CB09F', 'object/mobile/shared_gurnaset_hatchling.iff');
INSERT INTO `object_crc_string_table` VALUES ('650735113', '26C96E09', 'object/mobile/shared_gurnaset_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('4196368391', 'FA1F8007', 'object/mobile/shared_gurrcat.iff');
INSERT INTO `object_crc_string_table` VALUES ('1386599736', '52A5D538', 'object/mobile/shared_gurreck.iff');
INSERT INTO `object_crc_string_table` VALUES ('2127300800', '7ECC08C0', 'object/mobile/shared_gurreck_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('4209483922', 'FAE7A092', 'object/mobile/shared_han_solo.iff');
INSERT INTO `object_crc_string_table` VALUES ('737828942', '2BFA604E', 'object/mobile/shared_hanadak.iff');
INSERT INTO `object_crc_string_table` VALUES ('683409130', '28BBFEEA', 'object/mobile/shared_hanadak_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('321800919', '132E4AD7', 'object/mobile/shared_hermit_spider.iff');
INSERT INTO `object_crc_string_table` VALUES ('1106523508', '41F43574', 'object/mobile/shared_hermit_spider_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1772162748', '69A10EBC', 'object/mobile/shared_hermit_spider_queen.iff');
INSERT INTO `object_crc_string_table` VALUES ('4151073468', 'F76C5ABC', 'object/mobile/shared_horned_krevol.iff');
INSERT INTO `object_crc_string_table` VALUES ('1110998243', '42387CE3', 'object/mobile/shared_horned_krevol_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1235301079', '49A132D7', 'object/mobile/shared_horned_rasp.iff');
INSERT INTO `object_crc_string_table` VALUES ('1046993495', '3E67DA57', 'object/mobile/shared_horned_rasp_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3376666183', 'C943D647', 'object/mobile/shared_huf_dun.iff');
INSERT INTO `object_crc_string_table` VALUES ('3104363553', 'B908D421', 'object/mobile/shared_huf_dun_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('455344365', '1B2400ED', 'object/mobile/shared_huff_darklighter.iff');
INSERT INTO `object_crc_string_table` VALUES ('3801722706', 'E299AF52', 'object/mobile/shared_human_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('3807249423', 'E2EE040F', 'object/mobile/shared_human_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('271061361', '10281171', 'object/mobile/shared_humanoid.iff');
INSERT INTO `object_crc_string_table` VALUES ('372793188', '16385F64', 'object/mobile/shared_hutt_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('3524293994', 'D210756A', 'object/mobile/shared_hutt_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('3338559238', 'C6FE5F06', 'object/mobile/shared_huurton.iff');
INSERT INTO `object_crc_string_table` VALUES ('1951196197', '744CE425', 'object/mobile/shared_huurton_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('187466253', 'B2C820D', 'object/mobile/shared_huurton_pup.iff');
INSERT INTO `object_crc_string_table` VALUES ('3624261773', 'D805D88D', 'object/mobile/shared_ig_88.iff');
INSERT INTO `object_crc_string_table` VALUES ('2794810877', 'A6956DFD', 'object/mobile/shared_ig_assassin_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('2370403426', '8D497C62', 'object/mobile/shared_ikopi.iff');
INSERT INTO `object_crc_string_table` VALUES ('518642479', '1EE9DB2F', 'object/mobile/shared_ikopi_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3489809286', 'D0024386', 'object/mobile/shared_infant_brackaset.iff');
INSERT INTO `object_crc_string_table` VALUES ('1512283088', '5A239BD0', 'object/mobile/shared_infant_graul.iff');
INSERT INTO `object_crc_string_table` VALUES ('2606110011', '9B56153B', 'object/mobile/shared_ishi_tib_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('594682215', '23722167', 'object/mobile/shared_ithorian_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('1899698397', '713B18DD', 'object/mobile/shared_ito_interrogator.iff');
INSERT INTO `object_crc_string_table` VALUES ('2667695413', '9F01CD35', 'object/mobile/shared_jabba_the_hutt.iff');
INSERT INTO `object_crc_string_table` VALUES ('1350586805', '508051B5', 'object/mobile/shared_jawa.iff');
INSERT INTO `object_crc_string_table` VALUES ('3444186231', 'CD4A1C77', 'object/mobile/shared_jawa_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('1884909391', '70596F4F', 'object/mobile/shared_jinda_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('3180848925', 'BD97E71D', 'object/mobile/shared_jinda_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2886364858', 'AC0A6EBA', 'object/mobile/shared_jinda_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('3791269426', 'E1FA2E32', 'object/mobile/shared_jinda_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4152200653', 'F77D8DCD', 'object/mobile/shared_jinkins.iff');
INSERT INTO `object_crc_string_table` VALUES ('3796385498', 'E2483EDA', 'object/mobile/shared_junk_dender.iff');
INSERT INTO `object_crc_string_table` VALUES ('1073383419', '3FFA87FB', 'object/mobile/shared_junk_lila.iff');
INSERT INTO `object_crc_string_table` VALUES ('1200510488', '478E5618', 'object/mobile/shared_junk_malik.iff');
INSERT INTO `object_crc_string_table` VALUES ('3519505878', 'D1C765D6', 'object/mobile/shared_junk_nado.iff');
INSERT INTO `object_crc_string_table` VALUES ('1068835611', '3FB5231B', 'object/mobile/shared_junk_nathan.iff');
INSERT INTO `object_crc_string_table` VALUES ('4083329630', 'F362AA5E', 'object/mobile/shared_junk_ollobo.iff');
INSERT INTO `object_crc_string_table` VALUES ('2442790048', '919A04A0', 'object/mobile/shared_junk_quich.iff');
INSERT INTO `object_crc_string_table` VALUES ('3743679532', 'DF24042C', 'object/mobile/shared_junk_reggi.iff');
INSERT INTO `object_crc_string_table` VALUES ('1497892027', '594804BB', 'object/mobile/shared_junk_sheani.iff');
INSERT INTO `object_crc_string_table` VALUES ('1491720494', '58E9D92E', 'object/mobile/shared_junk_sneg.iff');
INSERT INTO `object_crc_string_table` VALUES ('899113216', '35976100', 'object/mobile/shared_juvenile_canyon_krayt.iff');
INSERT INTO `object_crc_string_table` VALUES ('3798151898', 'E26332DA', 'object/mobile/shared_kaadu.iff');
INSERT INTO `object_crc_string_table` VALUES ('1140078146', '43F43642', 'object/mobile/shared_kaadu_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3433057460', 'CCA04CB4', 'object/mobile/shared_kahmurra.iff');
INSERT INTO `object_crc_string_table` VALUES ('1823266132', '6CACD554', 'object/mobile/shared_kai_tok.iff');
INSERT INTO `object_crc_string_table` VALUES ('3430943240', 'CC800A08', 'object/mobile/shared_kai_tok_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('790151822', '2F18C28E', 'object/mobile/shared_kais.iff');
INSERT INTO `object_crc_string_table` VALUES ('2220741380', '845DD304', 'object/mobile/shared_kaja_orzee.iff');
INSERT INTO `object_crc_string_table` VALUES ('4021216065', 'EFAEE341', 'object/mobile/shared_kardeer.iff');
INSERT INTO `object_crc_string_table` VALUES ('558452126', '21494D9E', 'object/mobile/shared_kima.iff');
INSERT INTO `object_crc_string_table` VALUES ('2309389896', '89A67E48', 'object/mobile/shared_kima_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('533451918', '1FCBD48E', 'object/mobile/shared_kimogila.iff');
INSERT INTO `object_crc_string_table` VALUES ('331807070', '13C6F95E', 'object/mobile/shared_kimogila_hatchling.iff');
INSERT INTO `object_crc_string_table` VALUES ('3290753335', 'C424E937', 'object/mobile/shared_kimogila_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('696113680', '297DDA10', 'object/mobile/shared_king_merek_harvester.iff');
INSERT INTO `object_crc_string_table` VALUES ('2679096925', '9FAFC65D', 'object/mobile/shared_king_terak.iff');
INSERT INTO `object_crc_string_table` VALUES ('894333200', '354E7110', 'object/mobile/shared_king_venom_nightspider.iff');
INSERT INTO `object_crc_string_table` VALUES ('853883293', '32E5399D', 'object/mobile/shared_kitonak_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('1921032397', '7280A0CD', 'object/mobile/shared_kittle.iff');
INSERT INTO `object_crc_string_table` VALUES ('3514726180', 'D17E7724', 'object/mobile/shared_kittle_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2777947553', 'A5941DA1', 'object/mobile/shared_klaatu.iff');
INSERT INTO `object_crc_string_table` VALUES ('1786131312', '6A763370', 'object/mobile/shared_klatooinian_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('965104200', '39865248', 'object/mobile/shared_kliknik.iff');
INSERT INTO `object_crc_string_table` VALUES ('563836998', '219B7846', 'object/mobile/shared_kliknik_hatchling.iff');
INSERT INTO `object_crc_string_table` VALUES ('2954898028', 'B0202A6C', 'object/mobile/shared_kliknik_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1426582452', '5507EBB4', 'object/mobile/shared_kliknik_queen.iff');
INSERT INTO `object_crc_string_table` VALUES ('3181883060', 'BDA7AEB4', 'object/mobile/shared_kole.iff');
INSERT INTO `object_crc_string_table` VALUES ('3335337379', 'C6CD35A3', 'object/mobile/shared_krahbu.iff');
INSERT INTO `object_crc_string_table` VALUES ('4245681006', 'FD0FF36E', 'object/mobile/shared_krahbu_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1661868611', '630E1A43', 'object/mobile/shared_krayt_dragon.iff');
INSERT INTO `object_crc_string_table` VALUES ('3506562190', 'D101E48E', 'object/mobile/shared_krayt_dragon_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3267723937', 'C2C582A1', 'object/mobile/shared_kreetle.iff');
INSERT INTO `object_crc_string_table` VALUES ('1518117227', '5A7CA16B', 'object/mobile/shared_kusak.iff');
INSERT INTO `object_crc_string_table` VALUES ('1317576523', '4E889F4B', 'object/mobile/shared_kusak_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('837351779', '31E8F963', 'object/mobile/shared_kusak_pup.iff');
INSERT INTO `object_crc_string_table` VALUES ('2111021739', '7DD3A2AB', 'object/mobile/shared_kwi.iff');
INSERT INTO `object_crc_string_table` VALUES ('1259280470', '4B0F1856', 'object/mobile/shared_kwi_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1732119602', '673E0C32', 'object/mobile/shared_lady_valarian.iff');
INSERT INTO `object_crc_string_table` VALUES ('2513300255', '95CDEB1F', 'object/mobile/shared_langlatch.iff');
INSERT INTO `object_crc_string_table` VALUES ('2089092771', '7C8506A3', 'object/mobile/shared_langlatch_hatchling.iff');
INSERT INTO `object_crc_string_table` VALUES ('2403875295', '8F4839DF', 'object/mobile/shared_langlatch_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('92206253', '57EF4AD', 'object/mobile/shared_langlatch_juvenile.iff');
INSERT INTO `object_crc_string_table` VALUES ('1183906554', '4690FAFA', 'object/mobile/shared_lantern_bird.iff');
INSERT INTO `object_crc_string_table` VALUES ('472158100', '1C248F94', 'object/mobile/shared_lantern_bird_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3533890471', 'D2A2E3A7', 'object/mobile/shared_le_repair_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('3810094755', 'E3196EA3', 'object/mobile/shared_leia_organa.iff');
INSERT INTO `object_crc_string_table` VALUES ('2069323499', '7B575EEB', 'object/mobile/shared_lerat_zom.iff');
INSERT INTO `object_crc_string_table` VALUES ('2598364682', '9ADFE60A', 'object/mobile/shared_lesser_desert_womp_rat.iff');
INSERT INTO `object_crc_string_table` VALUES ('2862937050', 'AAA4F3DA', 'object/mobile/shared_leviasquall.iff');
INSERT INTO `object_crc_string_table` VALUES ('1979857288', '76023988', 'object/mobile/shared_lice_ridden_remmer_queen.iff');
INSERT INTO `object_crc_string_table` VALUES ('4246900266', 'FD228E2A', 'object/mobile/shared_lieutenant_heb_nee.iff');
INSERT INTO `object_crc_string_table` VALUES ('2859131568', 'AA6AE2B0', 'object/mobile/shared_lieutenant_ori.iff');
INSERT INTO `object_crc_string_table` VALUES ('2854215695', 'AA1FE00F', 'object/mobile/shared_lin_demolitionmech.iff');
INSERT INTO `object_crc_string_table` VALUES ('4144531529', 'F7088849', 'object/mobile/shared_loam_redge.iff');
INSERT INTO `object_crc_string_table` VALUES ('3645848119', 'D94F3A37', 'object/mobile/shared_lord_hethrir.iff');
INSERT INTO `object_crc_string_table` VALUES ('2517357014', '960BD1D6', 'object/mobile/shared_luke_skywalker.iff');
INSERT INTO `object_crc_string_table` VALUES ('145629216', '8AE2020', 'object/mobile/shared_malakili.iff');
INSERT INTO `object_crc_string_table` VALUES ('604798460', '240C7DFC', 'object/mobile/shared_male_snorbal_calf.iff');
INSERT INTO `object_crc_string_table` VALUES ('1884038525', '704C257D', 'object/mobile/shared_male_swamp_tusk_cat.iff');
INSERT INTO `object_crc_string_table` VALUES ('197708576', 'BC8CB20', 'object/mobile/shared_malkloc.iff');
INSERT INTO `object_crc_string_table` VALUES ('2252300184', '863F5F98', 'object/mobile/shared_malkloc_bull.iff');
INSERT INTO `object_crc_string_table` VALUES ('769338663', '2DDB2D27', 'object/mobile/shared_malkloc_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1795257005', '6B0172AD', 'object/mobile/shared_mamien.iff');
INSERT INTO `object_crc_string_table` VALUES ('3896527107', 'E8404903', 'object/mobile/shared_mamien_ancient.iff');
INSERT INTO `object_crc_string_table` VALUES ('833601634', '31AFC062', 'object/mobile/shared_mamien_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('534842102', '1FE10AF6', 'object/mobile/shared_mammoth_bearded_jax.iff');
INSERT INTO `object_crc_string_table` VALUES ('1684536430', '6467FC6E', 'object/mobile/shared_mantigrue_night_stalker.iff');
INSERT INTO `object_crc_string_table` VALUES ('302799756', '120C5B8C', 'object/mobile/shared_mara_jade.iff');
INSERT INTO `object_crc_string_table` VALUES ('2751070604', 'A3FA018C', 'object/mobile/shared_marauder_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('2107662910', '7DA0623E', 'object/mobile/shared_marauder_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('2237343893', '855B2895', 'object/mobile/shared_marauder_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3428208408', 'CC564F18', 'object/mobile/shared_marauder_male_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3005725996', 'B327BD2C', 'object/mobile/shared_matriarch_bantha.iff');
INSERT INTO `object_crc_string_table` VALUES ('746705038', '2C81D08E', 'object/mobile/shared_mawgax.iff');
INSERT INTO `object_crc_string_table` VALUES ('2278886740', '87D50D54', 'object/mobile/shared_mawgax_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1390351063', '52DF12D7', 'object/mobile/shared_mawgax_youth.iff');
INSERT INTO `object_crc_string_table` VALUES ('4134465553', 'F66EF011', 'object/mobile/shared_max_rebo.iff');
INSERT INTO `object_crc_string_table` VALUES ('2394031156', '8EB20434', 'object/mobile/shared_meager_tortur.iff');
INSERT INTO `object_crc_string_table` VALUES ('278841892', '109ECA24', 'object/mobile/shared_megan_drlar.iff');
INSERT INTO `object_crc_string_table` VALUES ('4057111915', 'F1D29D6B', 'object/mobile/shared_merek.iff');
INSERT INTO `object_crc_string_table` VALUES ('3117505863', 'B9D15D47', 'object/mobile/shared_merek_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3095272695', 'B87E1CF7', 'object/mobile/shared_minor_gubbur.iff');
INSERT INTO `object_crc_string_table` VALUES ('1297255033', '4D528A79', 'object/mobile/shared_minor_guf_drolg.iff');
INSERT INTO `object_crc_string_table` VALUES ('2183424297', '82246929', 'object/mobile/shared_minor_sludge_panther.iff');
INSERT INTO `object_crc_string_table` VALUES ('1647415305', '62319009', 'object/mobile/shared_minor_worrt.iff');
INSERT INTO `object_crc_string_table` VALUES ('3397167220', 'CA7CA874', 'object/mobile/shared_mobile.iff');
INSERT INTO `object_crc_string_table` VALUES ('717270744', '2AC0AED8', 'object/mobile/shared_mon_mothma.iff');
INSERT INTO `object_crc_string_table` VALUES ('2212977021', '83E7597D', 'object/mobile/shared_moncal_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('1329990924', '4F460D0C', 'object/mobile/shared_moncal_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('2678081700', '9FA048A4', 'object/mobile/shared_morag.iff');
INSERT INTO `object_crc_string_table` VALUES ('1780356929', '6A1E1741', 'object/mobile/shared_mordran.iff');
INSERT INTO `object_crc_string_table` VALUES ('3571307552', 'D4DDD420', 'object/mobile/shared_mos_taike_cantina_owner.iff');
INSERT INTO `object_crc_string_table` VALUES ('3565654856', 'D4879348', 'object/mobile/shared_mos_taike_guard_old.iff');
INSERT INTO `object_crc_string_table` VALUES ('3344047957', 'C7521F55', 'object/mobile/shared_mos_taike_guard_young.iff');
INSERT INTO `object_crc_string_table` VALUES ('3457587793', 'CE169A51', 'object/mobile/shared_mos_taike_mayor.iff');
INSERT INTO `object_crc_string_table` VALUES ('3313283529', 'C57CB1C9', 'object/mobile/shared_mott.iff');
INSERT INTO `object_crc_string_table` VALUES ('1601195957', '5F704FB5', 'object/mobile/shared_mott_bull.iff');
INSERT INTO `object_crc_string_table` VALUES ('147591516', '8CC115C', 'object/mobile/shared_mott_calf.iff');
INSERT INTO `object_crc_string_table` VALUES ('317595623', '12EE1FE7', 'object/mobile/shared_mott_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2626589931', '9C8E94EB', 'object/mobile/shared_mottled_wrix.iff');
INSERT INTO `object_crc_string_table` VALUES ('3483139495', 'CF9C7DA7', 'object/mobile/shared_mouf.iff');
INSERT INTO `object_crc_string_table` VALUES ('4266026234', 'FE4664FA', 'object/mobile/shared_mound_mite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1084332041', '40A19809', 'object/mobile/shared_mountain_dewback.iff');
INSERT INTO `object_crc_string_table` VALUES ('1555554447', '5CB7E08F', 'object/mobile/shared_mountain_murra.iff');
INSERT INTO `object_crc_string_table` VALUES ('807169980', '301C6FBC', 'object/mobile/shared_mountain_squill.iff');
INSERT INTO `object_crc_string_table` VALUES ('239900799', 'E4C987F', 'object/mobile/shared_mountain_worrt.iff');
INSERT INTO `object_crc_string_table` VALUES ('1579087581', '5E1EF6DD', 'object/mobile/shared_mouse_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('2982920240', 'B1CBC030', 'object/mobile/shared_mouse_droid_crafted.iff');
INSERT INTO `object_crc_string_table` VALUES ('1756550775', '68B2D677', 'object/mobile/shared_muftak.iff');
INSERT INTO `object_crc_string_table` VALUES ('2019564259', '78601AE3', 'object/mobile/shared_murra.iff');
INSERT INTO `object_crc_string_table` VALUES ('160402253', '98F8B4D', 'object/mobile/shared_murra_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('252682001', 'F0F9F11', 'object/mobile/shared_mutant_baz_nitch.iff');
INSERT INTO `object_crc_string_table` VALUES ('976459327', '3A33963F', 'object/mobile/shared_mutant_rancor.iff');
INSERT INTO `object_crc_string_table` VALUES ('3723114695', 'DDEA38C7', 'object/mobile/shared_mutated_kahmurra.iff');
INSERT INTO `object_crc_string_table` VALUES ('1223392893', '48EB7E7D', 'object/mobile/shared_mutated_krevol_clicker.iff');
INSERT INTO `object_crc_string_table` VALUES ('2246027732', '85DFA9D4', 'object/mobile/shared_mynock.iff');
INSERT INTO `object_crc_string_table` VALUES ('4044500153', 'F1122CB9', 'object/mobile/shared_mynock_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3658600427', 'DA11CFEB', 'object/mobile/shared_narglatch.iff');
INSERT INTO `object_crc_string_table` VALUES ('2474362724', '937BC764', 'object/mobile/shared_narglatch_cub.iff');
INSERT INTO `object_crc_string_table` VALUES ('793263804', '2F483EBC', 'object/mobile/shared_narglatch_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('595934525', '23853D3D', 'object/mobile/shared_narglatch_female_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3394776997', 'CA582FA5', 'object/mobile/shared_narglatch_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2402390357', '8F319155', 'object/mobile/shared_nerf.iff');
INSERT INTO `object_crc_string_table` VALUES ('3370906334', 'C8EBF2DE', 'object/mobile/shared_nerf_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3866110876', 'E6702B9C', 'object/mobile/shared_nhelper_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('3105718577', 'B91D8131', 'object/mobile/shared_nightsister.iff');
INSERT INTO `object_crc_string_table` VALUES ('1343438906', '5013403A', 'object/mobile/shared_nightsister_guardian.iff');
INSERT INTO `object_crc_string_table` VALUES ('4118742802', 'F57F0712', 'object/mobile/shared_nightspider.iff');
INSERT INTO `object_crc_string_table` VALUES ('2881975821', 'ABC7760D', 'object/mobile/shared_nightspider_aggressor.iff');
INSERT INTO `object_crc_string_table` VALUES ('184069760', 'AF8AE80', 'object/mobile/shared_nightspider_poison_spitter.iff');
INSERT INTO `object_crc_string_table` VALUES ('337606181', '141F7625', 'object/mobile/shared_nikto_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('1273076283', '4BE19A3B', 'object/mobile/shared_noxious_vrelt_scavenger.iff');
INSERT INTO `object_crc_string_table` VALUES ('2646925455', '9DC4E08F', 'object/mobile/shared_nsister_rancor_grovo.iff');
INSERT INTO `object_crc_string_table` VALUES ('598467155', '23ABE253', 'object/mobile/shared_nudfuh.iff');
INSERT INTO `object_crc_string_table` VALUES ('2432817562', '9101D99A', 'object/mobile/shared_nuna.iff');
INSERT INTO `object_crc_string_table` VALUES ('2393798913', '8EAE7901', 'object/mobile/shared_nuna_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2824646682', 'A85CB01A', 'object/mobile/shared_nym.iff');
INSERT INTO `object_crc_string_table` VALUES ('4145365928', 'F71543A8', 'object/mobile/shared_oola.iff');
INSERT INTO `object_crc_string_table` VALUES ('3254768126', 'C1FFD1FE', 'object/mobile/shared_palpatine.iff');
INSERT INTO `object_crc_string_table` VALUES ('634611787', '25D3684B', 'object/mobile/shared_paralope.iff');
INSERT INTO `object_crc_string_table` VALUES ('2319882660', '8A4699A4', 'object/mobile/shared_peko_peko.iff');
INSERT INTO `object_crc_string_table` VALUES ('989706565', '3AFDB945', 'object/mobile/shared_peko_peko_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('4249958797', 'FD51398D', 'object/mobile/shared_perlek.iff');
INSERT INTO `object_crc_string_table` VALUES ('3939867549', 'EAD59B9D', 'object/mobile/shared_perlek_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1469572833', '5797E6E1', 'object/mobile/shared_pharple.iff');
INSERT INTO `object_crc_string_table` VALUES ('2318505708', '8A3196EC', 'object/mobile/shared_pharple_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2773934611', 'A556E213', 'object/mobile/shared_pigmy_pugoriss.iff');
INSERT INTO `object_crc_string_table` VALUES ('228250912', 'D9AD520', 'object/mobile/shared_piket.iff');
INSERT INTO `object_crc_string_table` VALUES ('4209745570', 'FAEB9EA2', 'object/mobile/shared_piket_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3816463323', 'E37A9BDB', 'object/mobile/shared_piket_longhorn.iff');
INSERT INTO `object_crc_string_table` VALUES ('487283564', '1D0B5B6C', 'object/mobile/shared_piket_plains_walker.iff');
INSERT INTO `object_crc_string_table` VALUES ('4041302046', 'F0E1601E', 'object/mobile/shared_player_transport.iff');
INSERT INTO `object_crc_string_table` VALUES ('144116282', '8970A3A', 'object/mobile/shared_plumed_rasp.iff');
INSERT INTO `object_crc_string_table` VALUES ('1602956794', '5F8B2DFA', 'object/mobile/shared_plumed_rasp_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1766345516', '69484B2C', 'object/mobile/shared_poisonous_krevol_queen.iff');
INSERT INTO `object_crc_string_table` VALUES ('2421868178', '905AC692', 'object/mobile/shared_porcellus.iff');
INSERT INTO `object_crc_string_table` VALUES ('3834228429', 'E489AECD', 'object/mobile/shared_prefect_talmont.iff');
INSERT INTO `object_crc_string_table` VALUES ('2028323765', '78E5C3B5', 'object/mobile/shared_probot.iff');
INSERT INTO `object_crc_string_table` VALUES ('2081633047', '7C133317', 'object/mobile/shared_pugoriss.iff');
INSERT INTO `object_crc_string_table` VALUES ('3320411372', 'C5E974EC', 'object/mobile/shared_pugoriss_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('539898393', '202E3219', 'object/mobile/shared_puny_gackle_bat.iff');
INSERT INTO `object_crc_string_table` VALUES ('3511490991', 'D14D19AF', 'object/mobile/shared_puny_stintaril.iff');
INSERT INTO `object_crc_string_table` VALUES ('469284351', '1BF8B5FF', 'object/mobile/shared_puny_tanc_mite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1043838137', '3E37B4B9', 'object/mobile/shared_purbole.iff');
INSERT INTO `object_crc_string_table` VALUES ('1649503815', '62516E47', 'object/mobile/shared_purbole_elder.iff');
INSERT INTO `object_crc_string_table` VALUES ('3967139450', 'EC75BE7A', 'object/mobile/shared_purbole_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2308440626', '89980232', 'object/mobile/shared_purbole_youth.iff');
INSERT INTO `object_crc_string_table` VALUES ('2827279538', 'A884DCB2', 'object/mobile/shared_putrid_decay_mite_hatchling.iff');
INSERT INTO `object_crc_string_table` VALUES ('4210572872', 'FAF83E48', 'object/mobile/shared_qualdo_herm.iff');
INSERT INTO `object_crc_string_table` VALUES ('693363261', '2953E23D', 'object/mobile/shared_quarren_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('1157055229', '44F742FD', 'object/mobile/shared_queen_arachne.iff');
INSERT INTO `object_crc_string_table` VALUES ('1600142947', '5F603E63', 'object/mobile/shared_queen_merek_harvester.iff');
INSERT INTO `object_crc_string_table` VALUES ('894437668', '35500924', 'object/mobile/shared_quenker.iff');
INSERT INTO `object_crc_string_table` VALUES ('2248542572', '8606096C', 'object/mobile/shared_quenker_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3105108794', 'B914333A', 'object/mobile/shared_quenker_relic_reaper.iff');
INSERT INTO `object_crc_string_table` VALUES ('1584953800', '5E7879C8', 'object/mobile/shared_r2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2636988254', '9D2D3F5E', 'object/mobile/shared_r2_crafted.iff');
INSERT INTO `object_crc_string_table` VALUES ('860207358', '3345B8FE', 'object/mobile/shared_r2_crafted_space.iff');
INSERT INTO `object_crc_string_table` VALUES ('1667365664', '6361FB20', 'object/mobile/shared_r2_space.iff');
INSERT INTO `object_crc_string_table` VALUES ('1340204332', '4FE1E52C', 'object/mobile/shared_r2d2.iff');
INSERT INTO `object_crc_string_table` VALUES ('393551429', '17751E45', 'object/mobile/shared_r3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1971939675', '7589695B', 'object/mobile/shared_r3_crafted.iff');
INSERT INTO `object_crc_string_table` VALUES ('962474151', '395E30A7', 'object/mobile/shared_r3_crafted_space.iff');
INSERT INTO `object_crc_string_table` VALUES ('2597158094', '9ACD7CCE', 'object/mobile/shared_r3_space.iff');
INSERT INTO `object_crc_string_table` VALUES ('3969267025', 'EC963551', 'object/mobile/shared_r4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3883331630', 'E776F02E', 'object/mobile/shared_r4_crafted.iff');
INSERT INTO `object_crc_string_table` VALUES ('253528360', 'F1C8928', 'object/mobile/shared_r4_crafted_space.iff');
INSERT INTO `object_crc_string_table` VALUES ('2131284010', '7F08D02A', 'object/mobile/shared_r4_space.iff');
INSERT INTO `object_crc_string_table` VALUES ('2778419932', 'A59B52DC', 'object/mobile/shared_r5.iff');
INSERT INTO `object_crc_string_table` VALUES ('265463339', 'FD2A62B', 'object/mobile/shared_r5_crafted.iff');
INSERT INTO `object_crc_string_table` VALUES ('84345201', '5070171', 'object/mobile/shared_r5_crafted_space.iff');
INSERT INTO `object_crc_string_table` VALUES ('2258917316', '86A457C4', 'object/mobile/shared_r5_space.iff');
INSERT INTO `object_crc_string_table` VALUES ('781965517', '2E9BD8CD', 'object/mobile/shared_ra7_bug_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('3516440142', 'D1989E4E', 'object/mobile/shared_rancor.iff');
INSERT INTO `object_crc_string_table` VALUES ('3580527896', 'D56A8518', 'object/mobile/shared_rancor_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2919713604', 'AE074B44', 'object/mobile/shared_rancor_youth.iff');
INSERT INTO `object_crc_string_table` VALUES ('657461156', '27300FA4', 'object/mobile/shared_recluse_gurk_king.iff');
INSERT INTO `object_crc_string_table` VALUES ('357807548', '1553B5BC', 'object/mobile/shared_reelo_baruk.iff');
INSERT INTO `object_crc_string_table` VALUES ('3273659222', 'C3201356', 'object/mobile/shared_remmer.iff');
INSERT INTO `object_crc_string_table` VALUES ('2944971325', 'AF88B23D', 'object/mobile/shared_remmer_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2270001055', '874D779F', 'object/mobile/shared_reptilian_flier.iff');
INSERT INTO `object_crc_string_table` VALUES ('481148603', '1CADBEBB', 'object/mobile/shared_reptilian_flier_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('813958609', '308405D1', 'object/mobile/shared_rill.iff');
INSERT INTO `object_crc_string_table` VALUES ('1599197632', '5F51D1C0', 'object/mobile/shared_riverside_sulfur_mynock.iff');
INSERT INTO `object_crc_string_table` VALUES ('1008127960', '3C16CFD8', 'object/mobile/shared_roba.iff');
INSERT INTO `object_crc_string_table` VALUES ('1272032284', '4BD1AC1C', 'object/mobile/shared_roba_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2574936266', '997A68CA', 'object/mobile/shared_robo_bartender.iff');
INSERT INTO `object_crc_string_table` VALUES ('1381990465', '525F8041', 'object/mobile/shared_rock_beetle.iff');
INSERT INTO `object_crc_string_table` VALUES ('1212835476', '484A6694', 'object/mobile/shared_rock_mite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1647879081', '6238A3A9', 'object/mobile/shared_rock_mite_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3651977976', 'D9ACC2F8', 'object/mobile/shared_rodian_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('4252472632', 'FD779538', 'object/mobile/shared_rodian_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('4073846880', 'F2D1F860', 'object/mobile/shared_ronto.iff');
INSERT INTO `object_crc_string_table` VALUES ('106720222', '65C6BDE', 'object/mobile/shared_ronto_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('4167786528', 'F86B6020', 'object/mobile/shared_rot_mite.iff');
INSERT INTO `object_crc_string_table` VALUES ('413618023', '18A74F67', 'object/mobile/shared_rotten_gut_remmer_king.iff');
INSERT INTO `object_crc_string_table` VALUES ('4225004735', 'FBD474BF', 'object/mobile/shared_royal_guard.iff');
INSERT INTO `object_crc_string_table` VALUES ('3510308358', 'D13B0E06', 'object/mobile/shared_runty_pharple.iff');
INSERT INTO `object_crc_string_table` VALUES ('1987091963', '76709DFB', 'object/mobile/shared_salacious_crumb.iff');
INSERT INTO `object_crc_string_table` VALUES ('1848263825', '6E2A4491', 'object/mobile/shared_salt_mynock.iff');
INSERT INTO `object_crc_string_table` VALUES ('2459235302', '9294F3E6', 'object/mobile/shared_salt_mynock_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3811928373', 'E3356935', 'object/mobile/shared_sarlacc.iff');
INSERT INTO `object_crc_string_table` VALUES ('1979223286', '75F88CF6', 'object/mobile/shared_savage_flewt_queen.iff');
INSERT INTO `object_crc_string_table` VALUES ('1217993661', '48991BBD', 'object/mobile/shared_savage_humbaba.iff');
INSERT INTO `object_crc_string_table` VALUES ('1345670059', '50354BAB', 'object/mobile/shared_scholar_szingo.iff');
INSERT INTO `object_crc_string_table` VALUES ('3164121956', 'BC98AB64', 'object/mobile/shared_scyk.iff');
INSERT INTO `object_crc_string_table` VALUES ('3820992759', 'E3BFB8F7', 'object/mobile/shared_seething_bol_crusher.iff');
INSERT INTO `object_crc_string_table` VALUES ('2810724451', 'A7884063', 'object/mobile/shared_selonian_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('770788109', '2DF14B0D', 'object/mobile/shared_selonian_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('595956848', '23859470', 'object/mobile/shared_sevorrt.iff');
INSERT INTO `object_crc_string_table` VALUES ('117230570', '6FCCBEA', 'object/mobile/shared_shaggy_gurk_youth.iff');
INSERT INTO `object_crc_string_table` VALUES ('2018439632', '784EF1D0', 'object/mobile/shared_shalera.iff');
INSERT INTO `object_crc_string_table` VALUES ('1970962787', '757A8163', 'object/mobile/shared_shallow_torton.iff');
INSERT INTO `object_crc_string_table` VALUES ('4083067359', 'F35EA9DF', 'object/mobile/shared_sharnaff.iff');
INSERT INTO `object_crc_string_table` VALUES ('3709004378', 'DD12EA5A', 'object/mobile/shared_sharnaff_bull.iff');
INSERT INTO `object_crc_string_table` VALUES ('1003919108', '3BD69704', 'object/mobile/shared_sharnaff_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('176125140', 'A7F74D4', 'object/mobile/shared_shaupaut.iff');
INSERT INTO `object_crc_string_table` VALUES ('2872125509', 'AB312845', 'object/mobile/shared_shaupaut_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3399904934', 'CAA66EA6', 'object/mobile/shared_shear_mite.iff');
INSERT INTO `object_crc_string_table` VALUES ('501606791', '1DE5E987', 'object/mobile/shared_shear_mite_broodling.iff');
INSERT INTO `object_crc_string_table` VALUES ('2280884037', '87F38745', 'object/mobile/shared_shear_mite_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('4216430900', 'FB51A134', 'object/mobile/shared_shear_mite_hunter.iff');
INSERT INTO `object_crc_string_table` VALUES ('3821753803', 'E3CB55CB', 'object/mobile/shared_shear_mite_queen.iff');
INSERT INTO `object_crc_string_table` VALUES ('1678456640', '640B3740', 'object/mobile/shared_shear_mite_soldier.iff');
INSERT INTO `object_crc_string_table` VALUES ('3568220072', 'D4AEB7A8', 'object/mobile/shared_sickening_dung_mite_worker.iff');
INSERT INTO `object_crc_string_table` VALUES ('3342299915', 'C737730B', 'object/mobile/shared_singing_mt_clan_guardian.iff');
INSERT INTO `object_crc_string_table` VALUES ('1185675425', '46ABF8A1', 'object/mobile/shared_singing_mt_clan_witch.iff');
INSERT INTO `object_crc_string_table` VALUES ('714096395', '2A903F0B', 'object/mobile/shared_sirad_far.iff');
INSERT INTO `object_crc_string_table` VALUES ('2391906030', '8E9196EE', 'object/mobile/shared_skreeg.iff');
INSERT INTO `object_crc_string_table` VALUES ('1067374229', '3F9ED695', 'object/mobile/shared_skreeg_adolescent.iff');
INSERT INTO `object_crc_string_table` VALUES ('1652523884', '627F836C', 'object/mobile/shared_skreeg_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('768808419', '2DD315E3', 'object/mobile/shared_skreeg_infant.iff');
INSERT INTO `object_crc_string_table` VALUES ('1248104419', '4A648FE3', 'object/mobile/shared_slinking_voritor_hunter.iff');
INSERT INTO `object_crc_string_table` VALUES ('581977565', '22B045DD', 'object/mobile/shared_snorbal.iff');
INSERT INTO `object_crc_string_table` VALUES ('3919784885', 'E9A32BB5', 'object/mobile/shared_snorbal_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2831973457', 'A8CC7C51', 'object/mobile/shared_snorbal_matriarch.iff');
INSERT INTO `object_crc_string_table` VALUES ('3639457236', 'D8EDB5D4', 'object/mobile/shared_space_chassis_broker_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('66723139', '3FA1D43', 'object/mobile/shared_space_chassis_broker_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1257732814', '4AF77ACE', 'object/mobile/shared_space_chassis_broker_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2970898906', 'B11451DA', 'object/mobile/shared_space_chassis_broker_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('4162401879', 'F8193657', 'object/mobile/shared_space_chassis_broker_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('148115873', '8D411A1', 'object/mobile/shared_space_comm_aynat_ace_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3552819510', 'D3C3B936', 'object/mobile/shared_space_comm_aynat_ace_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2597248699', '9ACEDEBB', 'object/mobile/shared_space_comm_aynat_ace_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1630401967', '612DF5AF', 'object/mobile/shared_space_comm_aynat_ace_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1160287463', '452894E7', 'object/mobile/shared_space_comm_blacksun_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2654944368', '9E3F3C70', 'object/mobile/shared_space_comm_blacksun_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3610401789', 'D7325BFD', 'object/mobile/shared_space_comm_blacksun_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3573735897', 'D502E1D9', 'object/mobile/shared_space_comm_civilian_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('236276046', 'E15494E', 'object/mobile/shared_space_comm_civilian_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1192767171', '47182EC3', 'object/mobile/shared_space_comm_civilian_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3170567639', 'BCFB05D7', 'object/mobile/shared_space_comm_civilian_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('4126564954', 'F5F6625A', 'object/mobile/shared_space_comm_civilian_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('786549453', '2EE1CACD', 'object/mobile/shared_space_comm_civilian_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('1737456484', '678F7B64', 'object/mobile/shared_space_comm_hutt_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3164132339', 'BC98D3F3', 'object/mobile/shared_space_comm_hutt_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4120228990', 'F595B47E', 'object/mobile/shared_space_comm_hutt_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1507387338', '59D8E7CA', 'object/mobile/shared_space_comm_imperial_ace_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1770030665', '69808649', 'object/mobile/shared_space_comm_imperial_officer_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2996252382', 'B2972EDE', 'object/mobile/shared_space_comm_imperial_officer_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3707663572', 'DCFE74D4', 'object/mobile/shared_space_comm_imperial_tiefighter_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3668479742', 'DAA88EFE', 'object/mobile/shared_space_comm_quest_hortrix_steelarm_chiss_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('491206767', '1D47386F', 'object/mobile/shared_space_comm_rancorclan_hum_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3327168760', 'C65090F8', 'object/mobile/shared_space_comm_rancorclan_hum_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2405300085', '8F5DF775', 'object/mobile/shared_space_comm_rancorclan_hum_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1958665313', '74BEDC61', 'object/mobile/shared_space_comm_rancorclan_hum_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2478752260', '93BEC204', 'object/mobile/shared_space_comm_rebel_transport_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1219062419', '48A96A93', 'object/mobile/shared_space_comm_rebel_transport_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('27528478', '1A40D1E', 'object/mobile/shared_space_comm_rebel_transport_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('4198966794', 'FA47260A', 'object/mobile/shared_space_comm_rebel_transport_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3007988103', 'B34A4187', 'object/mobile/shared_space_comm_rebel_transport_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1750984976', '685DE910', 'object/mobile/shared_space_comm_rebel_transport_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('2555678598', '98548F86', 'object/mobile/shared_space_comm_rebel_xwing_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1128474385', '43432711', 'object/mobile/shared_space_comm_rebel_xwing_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('172900508', 'A4E409C', 'object/mobile/shared_space_comm_rebel_xwing_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('4054674312', 'F1AD6B88', 'object/mobile/shared_space_comm_rebel_xwing_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3097496581', 'B8A00C05', 'object/mobile/shared_space_comm_rebel_xwing_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1672979602', '63B7A492', 'object/mobile/shared_space_comm_rebel_xwing_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('971474758', '39E78746', 'object/mobile/shared_space_comm_station_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('2730503153', 'A2C02BF1', 'object/mobile/shared_space_comm_station_dantooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('2906521702', 'AD3E0066', 'object/mobile/shared_space_comm_station_dathomir.iff');
INSERT INTO `object_crc_string_table` VALUES ('3334621237', 'C6C24835', 'object/mobile/shared_space_comm_station_endor.iff');
INSERT INTO `object_crc_string_table` VALUES ('4126385773', 'F5F3A66D', 'object/mobile/shared_space_comm_station_lok.iff');
INSERT INTO `object_crc_string_table` VALUES ('77135415', '498FE37', 'object/mobile/shared_space_comm_station_naboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('2164348068', '810154A4', 'object/mobile/shared_space_comm_station_rori.iff');
INSERT INTO `object_crc_string_table` VALUES ('499812381', '1DCA881D', 'object/mobile/shared_space_comm_station_talus.iff');
INSERT INTO `object_crc_string_table` VALUES ('94693081', '5A4E6D9', 'object/mobile/shared_space_comm_station_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('3227911400', 'C06604E8', 'object/mobile/shared_space_comm_station_yavin4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1483579408', '586DA010', 'object/mobile/shared_space_comm_witchblood_ace_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2205812871', '837A0887', 'object/mobile/shared_space_comm_witchblood_ace_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3396824842', 'CA776F0A', 'object/mobile/shared_space_comm_witchblood_ace_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('831800350', '3194441E', 'object/mobile/shared_space_comm_witchblood_ace_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2153419363', '805A9263', 'object/mobile/shared_space_greeter_bestine_bookie.iff');
INSERT INTO `object_crc_string_table` VALUES ('4220216566', 'FB8B64F6', 'object/mobile/shared_space_greeter_coronet_merchant.iff');
INSERT INTO `object_crc_string_table` VALUES ('667337002', '27C6C12A', 'object/mobile/shared_space_greeter_coronet_shipwright_impatient.iff');
INSERT INTO `object_crc_string_table` VALUES ('2630690869', '9CCD2835', 'object/mobile/shared_space_greeter_coronet_shipwright_indifferent.iff');
INSERT INTO `object_crc_string_table` VALUES ('3317857177', 'C5C27B99', 'object/mobile/shared_space_greeter_dantooine_brother_imperial.iff');
INSERT INTO `object_crc_string_table` VALUES ('2736058884', 'A314F204', 'object/mobile/shared_space_greeter_dantooine_brother_neutral.iff');
INSERT INTO `object_crc_string_table` VALUES ('2133759376', '7F2E9590', 'object/mobile/shared_space_greeter_dantooine_brother_rebel.iff');
INSERT INTO `object_crc_string_table` VALUES ('523854362', '1F39621A', 'object/mobile/shared_space_greeter_dantooine_imperial_officer.iff');
INSERT INTO `object_crc_string_table` VALUES ('1477218900', '580C9254', 'object/mobile/shared_space_greeter_dantooine_imperial_pilot.iff');
INSERT INTO `object_crc_string_table` VALUES ('3852169411', 'E59B70C3', 'object/mobile/shared_space_greeter_dantooine_old_pilot.iff');
INSERT INTO `object_crc_string_table` VALUES ('2103085678', '7D5A8A6E', 'object/mobile/shared_space_greeter_kadaara_imperial_officer.iff');
INSERT INTO `object_crc_string_table` VALUES ('3638356577', 'D8DCEA61', 'object/mobile/shared_space_greeter_kadaara_mistress.iff');
INSERT INTO `object_crc_string_table` VALUES ('3211927465', 'BF721FA9', 'object/mobile/shared_space_greeter_kor_vella_imperial_officer.iff');
INSERT INTO `object_crc_string_table` VALUES ('1370241895', '51AC3B67', 'object/mobile/shared_space_greeter_moenia_undercover_rebel.iff');
INSERT INTO `object_crc_string_table` VALUES ('716517814', '2AB531B6', 'object/mobile/shared_space_greeter_mos_eisley_smuggler_fat.iff');
INSERT INTO `object_crc_string_table` VALUES ('1374373695', '51EB473F', 'object/mobile/shared_space_greeter_mos_eisley_smuggler_nervous.iff');
INSERT INTO `object_crc_string_table` VALUES ('191586259', 'B6B5FD3', 'object/mobile/shared_space_greeter_mos_eisley_smuggler_skinny.iff');
INSERT INTO `object_crc_string_table` VALUES ('1419401755', '549A5A1B', 'object/mobile/shared_space_greeter_mos_espa_young_pilot.iff');
INSERT INTO `object_crc_string_table` VALUES ('2138123225', '7F712BD9', 'object/mobile/shared_space_greeter_theed_freighter_captain.iff');
INSERT INTO `object_crc_string_table` VALUES ('1757437671', '68C05EE7', 'object/mobile/shared_space_greeter_tyrena_disgraced_corsec.iff');
INSERT INTO `object_crc_string_table` VALUES ('2605794132', '9B514354', 'object/mobile/shared_space_greeter_tyrena_pilot_friend.iff');
INSERT INTO `object_crc_string_table` VALUES ('1713238074', '661DF03A', 'object/mobile/shared_space_imperial_experimental_pilot.iff');
INSERT INTO `object_crc_string_table` VALUES ('1322301995', '4ED0BA2B', 'object/mobile/shared_space_imperial_tier2_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('385974235', '17017FDB', 'object/mobile/shared_space_imperial_tier2_lok_fuel_tech.iff');
INSERT INTO `object_crc_string_table` VALUES ('2167455850', '8130C06A', 'object/mobile/shared_space_imperial_tier2_naboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('3245577162', 'C17393CA', 'object/mobile/shared_space_imperial_tier2_spy_morv.iff');
INSERT INTO `object_crc_string_table` VALUES ('331515184', '13C28530', 'object/mobile/shared_space_imperial_tier2_tatooine_alozen.iff');
INSERT INTO `object_crc_string_table` VALUES ('3571620160', 'D4E29940', 'object/mobile/shared_space_imperial_tier2_tatooine_oberhaur.iff');
INSERT INTO `object_crc_string_table` VALUES ('3852132037', 'E59ADEC5', 'object/mobile/shared_space_imperial_tier3_naboo_vrke.iff');
INSERT INTO `object_crc_string_table` VALUES ('2068525735', '7B4B32A7', 'object/mobile/shared_space_imperial_tier3_yavin.iff');
INSERT INTO `object_crc_string_table` VALUES ('1231947478', '496E06D6', 'object/mobile/shared_space_imperial_tier3_yavin_blackepsilon.iff');
INSERT INTO `object_crc_string_table` VALUES ('4080327542', 'F334DB76', 'object/mobile/shared_space_imperial_tier4_corellia_nin_gursawe.iff');
INSERT INTO `object_crc_string_table` VALUES ('3682206605', 'DB7A038D', 'object/mobile/shared_space_imperial_tier4_naboo_inquisitor.iff');
INSERT INTO `object_crc_string_table` VALUES ('562288135', '2183D607', 'object/mobile/shared_space_imperial_tier4_naboo_jace_yiaso.iff');
INSERT INTO `object_crc_string_table` VALUES ('1087846293', '40D73795', 'object/mobile/shared_space_imperial_tier4_tatooine_kilnstrider.iff');
INSERT INTO `object_crc_string_table` VALUES ('3734741019', 'DE9BA01B', 'object/mobile/shared_space_newbie_generic_pilot_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2977322049', 'B1765441', 'object/mobile/shared_space_privateer_broker_fired_worker.iff');
INSERT INTO `object_crc_string_table` VALUES ('2164244784', '80FFC130', 'object/mobile/shared_space_privateer_broker_retired_pilot.iff');
INSERT INTO `object_crc_string_table` VALUES ('3663997357', 'DA6429AD', 'object/mobile/shared_space_privateer_retired_corsec_beggar.iff');
INSERT INTO `object_crc_string_table` VALUES ('492217850', '1D56A5FA', 'object/mobile/shared_space_privateer_tier1_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('3749780760', 'DF811D18', 'object/mobile/shared_space_privateer_tier1_naboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('555074661', '2115C465', 'object/mobile/shared_space_privateer_tier1_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('3578721977', 'D54EF6B9', 'object/mobile/shared_space_privateer_tier2_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('3518335133', 'D1B5889D', 'object/mobile/shared_space_privateer_tier2_naboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('242138417', 'E6EBD31', 'object/mobile/shared_space_privateer_tier2_shamdon.iff');
INSERT INTO `object_crc_string_table` VALUES ('672730995', '28190F73', 'object/mobile/shared_space_privateer_tier3_naboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('137142299', '82CA01B', 'object/mobile/shared_space_privateer_tier3_ramna.iff');
INSERT INTO `object_crc_string_table` VALUES ('2027152464', '78D3E450', 'object/mobile/shared_space_privateer_tier4_corellia_adwan.iff');
INSERT INTO `object_crc_string_table` VALUES ('3453789079', 'CDDCA397', 'object/mobile/shared_space_privateer_tier4_naboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('1407375199', '53E2D75F', 'object/mobile/shared_space_privateer_tier4_naboo_diness.iff');
INSERT INTO `object_crc_string_table` VALUES ('3173018805', 'BD206CB5', 'object/mobile/shared_space_privateer_tier4_ryel.iff');
INSERT INTO `object_crc_string_table` VALUES ('360509381', '157CEFC5', 'object/mobile/shared_space_privateer_tier4_tatooine_nirame.iff');
INSERT INTO `object_crc_string_table` VALUES ('798946004', '2F9EF2D4', 'object/mobile/shared_space_rebel_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1865440118', '6F305B76', 'object/mobile/shared_space_rebel_tier1_corellia_kreezo.iff');
INSERT INTO `object_crc_string_table` VALUES ('3681704139', 'DB7258CB', 'object/mobile/shared_space_rebel_tier1_naboo_kiizete.iff');
INSERT INTO `object_crc_string_table` VALUES ('187578299', 'B2E37BB', 'object/mobile/shared_space_rebel_tier1_naboo_v3fx.iff');
INSERT INTO `object_crc_string_table` VALUES ('2236790901', '8552B875', 'object/mobile/shared_space_rebel_tier1_tatooine_socuna.iff');
INSERT INTO `object_crc_string_table` VALUES ('1606981878', '5FC898F6', 'object/mobile/shared_space_rebel_tier2_eker.iff');
INSERT INTO `object_crc_string_table` VALUES ('954834746', '38E99F3A', 'object/mobile/shared_space_rebel_tier2_vrovel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1399509205', '536AD0D5', 'object/mobile/shared_space_rebel_tier3_aqzow.iff');
INSERT INTO `object_crc_string_table` VALUES ('1502567424', '598F5C00', 'object/mobile/shared_space_rebel_tier3_arnecio.iff');
INSERT INTO `object_crc_string_table` VALUES ('3145096769', 'BB765E41', 'object/mobile/shared_space_rebel_tier3_beissa.iff');
INSERT INTO `object_crc_string_table` VALUES ('206016170', 'C478EAA', 'object/mobile/shared_space_rebel_tier3_ezkiel.iff');
INSERT INTO `object_crc_string_table` VALUES ('764445939', '2D9084F3', 'object/mobile/shared_space_rebel_tier3_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('254556443', 'F2C391B', 'object/mobile/shared_space_rebel_tier4_extok_evin.iff');
INSERT INTO `object_crc_string_table` VALUES ('1544112958', '5C094B3E', 'object/mobile/shared_space_rebel_tier4_ufwol.iff');
INSERT INTO `object_crc_string_table` VALUES ('2677513096', '9F979B88', 'object/mobile/shared_space_rebel_tier4_warvog.iff');
INSERT INTO `object_crc_string_table` VALUES ('2184783819', '823927CB', 'object/mobile/shared_space_shipwright_trainer_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1496223580', '592E8F5C', 'object/mobile/shared_space_shipwright_trainer_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('270788817', '1023E8D1', 'object/mobile/shared_space_shipwright_trainer_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1091624249', '4110DD39', 'object/mobile/shared_space_starfighter_engineer_trainer_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2584180142', '9A0775AE', 'object/mobile/shared_space_starfighter_engineer_trainer_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3540652579', 'D30A1223', 'object/mobile/shared_space_starfighter_engineer_trainer_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('307007655', '124C90A7', 'object/mobile/shared_spined_puc.iff');
INSERT INTO `object_crc_string_table` VALUES ('3397626000', 'CA83A890', 'object/mobile/shared_spined_puc_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('271168429', '1029B3AD', 'object/mobile/shared_spined_snake.iff');
INSERT INTO `object_crc_string_table` VALUES ('1088393425', '40DF90D1', 'object/mobile/shared_spined_snake_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1774004209', '69BD27F1', 'object/mobile/shared_spineflap_queen.iff');
INSERT INTO `object_crc_string_table` VALUES ('536393830', '1FF8B866', 'object/mobile/shared_squall.iff');
INSERT INTO `object_crc_string_table` VALUES ('2918889342', 'ADFAB77E', 'object/mobile/shared_squall_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1824637824', '6CC1C380', 'object/mobile/shared_squill.iff');
INSERT INTO `object_crc_string_table` VALUES ('2128205835', '7ED9D80B', 'object/mobile/shared_squill_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('626565000', '25589F88', 'object/mobile/shared_startled_vrelt_mother.iff');
INSERT INTO `object_crc_string_table` VALUES ('31126414', '1DAF38E', 'object/mobile/shared_stintaril.iff');
INSERT INTO `object_crc_string_table` VALUES ('17503465', '10B14E9', 'object/mobile/shared_stintaril_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3128894413', 'BA7F23CD', 'object/mobile/shared_stormtrooper.iff');
INSERT INTO `object_crc_string_table` VALUES ('313608476', '12B1491C', 'object/mobile/shared_stormtrooper_groupleader.iff');
INSERT INTO `object_crc_string_table` VALUES ('3411571666', 'CB5873D2', 'object/mobile/shared_stunted_huf_dun.iff');
INSERT INTO `object_crc_string_table` VALUES ('2754554549', 'A42F2AB5', 'object/mobile/shared_sullustan_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('3793641800', 'E21E6148', 'object/mobile/shared_super_battle_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('1765279360', '69380680', 'object/mobile/shared_swarming_lesser_dewback.iff');
INSERT INTO `object_crc_string_table` VALUES ('4177314208', 'F8FCC1A0', 'object/mobile/shared_swirl_prong.iff');
INSERT INTO `object_crc_string_table` VALUES ('1173327468', '45EF8E6C', 'object/mobile/shared_swirl_prong_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1694139040', '64FA82A0', 'object/mobile/shared_sy_snootles.iff');
INSERT INTO `object_crc_string_table` VALUES ('1588417694', '5EAD549E', 'object/mobile/shared_tabage.iff');
INSERT INTO `object_crc_string_table` VALUES ('3413073886', 'CB6F5FDE', 'object/mobile/shared_tanc_mite.iff');
INSERT INTO `object_crc_string_table` VALUES ('3936955323', 'EAA92BBB', 'object/mobile/shared_tanc_mite_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2907846429', 'AD52371D', 'object/mobile/shared_tauntaun.iff');
INSERT INTO `object_crc_string_table` VALUES ('2218267784', '84381488', 'object/mobile/shared_tauntaun_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('67035887', '3FEE2EF', 'object/mobile/shared_theme_park_record_keeper_imperial.iff');
INSERT INTO `object_crc_string_table` VALUES ('1457884080', '56E58BB0', 'object/mobile/shared_theme_park_record_keeper_jabba.iff');
INSERT INTO `object_crc_string_table` VALUES ('3278650535', 'C36C3CA7', 'object/mobile/shared_theme_park_record_keeper_rebel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2682548889', '9FE47299', 'object/mobile/shared_thune.iff');
INSERT INTO `object_crc_string_table` VALUES ('2147765074', '80044B52', 'object/mobile/shared_thune_grassland_guardian.iff');
INSERT INTO `object_crc_string_table` VALUES ('3588269792', 'D5E0A6E0', 'object/mobile/shared_thune_herd_leader.iff');
INSERT INTO `object_crc_string_table` VALUES ('1203158282', '47B6BD0A', 'object/mobile/shared_thune_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1569310474', '5D89C70A', 'object/mobile/shared_tip_solicitor_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('2343686181', '8BB1D025', 'object/mobile/shared_torton.iff');
INSERT INTO `object_crc_string_table` VALUES ('732122412', '2BA34D2C', 'object/mobile/shared_torton_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1399844447', '536FEE5F', 'object/mobile/shared_training_remote.iff');
INSERT INTO `object_crc_string_table` VALUES ('417229050', '18DE68FA', 'object/mobile/shared_trandoshan_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('622305596', '2517A13C', 'object/mobile/shared_trandoshan_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('73754487', '4656777', 'object/mobile/shared_tt8l.iff');
INSERT INTO `object_crc_string_table` VALUES ('2882811828', 'ABD437B4', 'object/mobile/shared_tt8l_y7.iff');
INSERT INTO `object_crc_string_table` VALUES ('2922712105', 'AE350C29', 'object/mobile/shared_tusk_cat.iff');
INSERT INTO `object_crc_string_table` VALUES ('2736650923', 'A31DFAAB', 'object/mobile/shared_tusk_cat_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3780705985', 'E158FEC1', 'object/mobile/shared_tusken_raider.iff');
INSERT INTO `object_crc_string_table` VALUES ('2673849471', '9F5FB47F', 'object/mobile/shared_twilek_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('68074207', '40EBADF', 'object/mobile/shared_twilek_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('393124713', '176E9B69', 'object/mobile/shared_tybis.iff');
INSERT INTO `object_crc_string_table` VALUES ('3407387614', 'CB189BDE', 'object/mobile/shared_tybis_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('641206826', '26380A2A', 'object/mobile/shared_tybis_youth.iff');
INSERT INTO `object_crc_string_table` VALUES ('1909480803', '71D05D63', 'object/mobile/shared_variegated_womp_rat.iff');
INSERT INTO `object_crc_string_table` VALUES ('798042116', '2F912804', 'object/mobile/shared_veermok.iff');
INSERT INTO `object_crc_string_table` VALUES ('3319667649', 'C5DE1BC1', 'object/mobile/shared_veermok_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2842185671', 'A9684FC7', 'object/mobile/shared_vehicular_prototype.iff');
INSERT INTO `object_crc_string_table` VALUES ('2359464531', '8CA29253', 'object/mobile/shared_vehicular_prototype_bike.iff');
INSERT INTO `object_crc_string_table` VALUES ('1915375945', '722A5149', 'object/mobile/shared_verne.iff');
INSERT INTO `object_crc_string_table` VALUES ('3971784364', 'ECBC9EAC', 'object/mobile/shared_verne_bull.iff');
INSERT INTO `object_crc_string_table` VALUES ('3137388613', 'BB00C045', 'object/mobile/shared_verne_calf.iff');
INSERT INTO `object_crc_string_table` VALUES ('1348523901', '5060D77D', 'object/mobile/shared_verne_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3698435149', 'DC71A44D', 'object/mobile/shared_vesp.iff');
INSERT INTO `object_crc_string_table` VALUES ('895919886', '3566A70E', 'object/mobile/shared_vesp_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('4014205794', 'EF43EB62', 'object/mobile/shared_vexed_voritor_lizard.iff');
INSERT INTO `object_crc_string_table` VALUES ('2870376228', 'AB167724', 'object/mobile/shared_violent_krahbu.iff');
INSERT INTO `object_crc_string_table` VALUES ('3503967296', 'D0DA4C40', 'object/mobile/shared_vir_vur.iff');
INSERT INTO `object_crc_string_table` VALUES ('863663779', '337A76A3', 'object/mobile/shared_vir_vur_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('14767466', 'E1556A', 'object/mobile/shared_vog_eel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1711359682', '660146C2', 'object/mobile/shared_vog_eel_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2238343173', '856A6805', 'object/mobile/shared_voritor_dasher.iff');
INSERT INTO `object_crc_string_table` VALUES ('1766827549', '694FA61D', 'object/mobile/shared_voritor_lizard.iff');
INSERT INTO `object_crc_string_table` VALUES ('3658073409', 'DA09C541', 'object/mobile/shared_voritor_lizard_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2882436158', 'ABCE7C3E', 'object/mobile/shared_vrelt.iff');
INSERT INTO `object_crc_string_table` VALUES ('927885796', '374E69E4', 'object/mobile/shared_vrobal.iff');
INSERT INTO `object_crc_string_table` VALUES ('1400935020', '5380926C', 'object/mobile/shared_vrobal_bull.iff');
INSERT INTO `object_crc_string_table` VALUES ('130113365', '7C15F55', 'object/mobile/shared_vrobalet.iff');
INSERT INTO `object_crc_string_table` VALUES ('942459622', '382CCAE6', 'object/mobile/shared_vynock.iff');
INSERT INTO `object_crc_string_table` VALUES ('1666099280', '634EA850', 'object/mobile/shared_vynock_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('867421028', '33B3CB64', 'object/mobile/shared_wald.iff');
INSERT INTO `object_crc_string_table` VALUES ('3265031797', 'C29C6E75', 'object/mobile/shared_war_gronda.iff');
INSERT INTO `object_crc_string_table` VALUES ('89820136', '55A8BE8', 'object/mobile/shared_warren_agro_droid_boss.iff');
INSERT INTO `object_crc_string_table` VALUES ('162667025', '9B21A11', 'object/mobile/shared_warren_agro_droid_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3534074502', 'D2A5B286', 'object/mobile/shared_warren_agro_droid_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2611533067', '9BA8D50B', 'object/mobile/shared_warren_agro_droid_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1615592991', '604BFE1F', 'object/mobile/shared_warren_agro_droid_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2229601505', '84E504E1', 'object/mobile/shared_warren_bors_teraud.iff');
INSERT INTO `object_crc_string_table` VALUES ('3135859313', 'BAE96A71', 'object/mobile/shared_warren_crazed_imperial.iff');
INSERT INTO `object_crc_string_table` VALUES ('136013095', '81B6527', 'object/mobile/shared_warren_cyborg_bol.iff');
INSERT INTO `object_crc_string_table` VALUES ('1142940054', '441FE196', 'object/mobile/shared_warren_cyborg_dunelizard.iff');
INSERT INTO `object_crc_string_table` VALUES ('3011024511', 'B378967F', 'object/mobile/shared_warren_cyborg_huurton.iff');
INSERT INTO `object_crc_string_table` VALUES ('3500363411', 'D0A34E93', 'object/mobile/shared_warren_cyborg_slicehound.iff');
INSERT INTO `object_crc_string_table` VALUES ('4091483135', 'F3DF13FF', 'object/mobile/shared_warren_cyborg_tuskcat.iff');
INSERT INTO `object_crc_string_table` VALUES ('2659217543', '9E807087', 'object/mobile/shared_warren_cyborg_worker.iff');
INSERT INTO `object_crc_string_table` VALUES ('1066860952', '3F970198', 'object/mobile/shared_warren_dim_u_loyalist.iff');
INSERT INTO `object_crc_string_table` VALUES ('3159215060', 'BC4DCBD4', 'object/mobile/shared_warren_droideka_loyalist.iff');
INSERT INTO `object_crc_string_table` VALUES ('3786849417', 'E1B6BC89', 'object/mobile/shared_warren_dying_loyalist.iff');
INSERT INTO `object_crc_string_table` VALUES ('3513325628', 'D169183C', 'object/mobile/shared_warren_escapee.iff');
INSERT INTO `object_crc_string_table` VALUES ('2223977526', '848F3436', 'object/mobile/shared_warren_imperial_officer_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1603837089', '5F989CA1', 'object/mobile/shared_warren_imperial_officer_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('378927916', '1695FB2C', 'object/mobile/shared_warren_imperial_officer_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3351270727', 'C7C05547', 'object/mobile/shared_warren_imperial_worker_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('483917264', '1CD7FDD0', 'object/mobile/shared_warren_imperial_worker_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1440389725', '55DA9A5D', 'object/mobile/shared_warren_imperial_worker_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2923016521', 'AE39B149', 'object/mobile/shared_warren_imperial_worker_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3878999748', 'E734D6C4', 'object/mobile/shared_warren_imperial_worker_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1008959059', '3C237E53', 'object/mobile/shared_warren_imperial_worker_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('348441981', '14C4CD7D', 'object/mobile/shared_warren_insane_comp_sci.iff');
INSERT INTO `object_crc_string_table` VALUES ('520769640', '1F0A5068', 'object/mobile/shared_warren_irradiated_worker_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3290298623', 'C41DF8FF', 'object/mobile/shared_warren_irradiated_worker_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2366676850', '8D109F72', 'object/mobile/shared_warren_irradiated_worker_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3740812193', 'DEF843A1', 'object/mobile/shared_warren_janna_bel_arde.iff');
INSERT INTO `object_crc_string_table` VALUES ('3055618382', 'B621094E', 'object/mobile/shared_warren_jerrd_sonclim.iff');
INSERT INTO `object_crc_string_table` VALUES ('2266608790', '8719B496', 'object/mobile/shared_warren_knag_garhun.iff');
INSERT INTO `object_crc_string_table` VALUES ('1996885184', '77060CC0', 'object/mobile/shared_warren_loyalist_commander.iff');
INSERT INTO `object_crc_string_table` VALUES ('97887118', '5D5A38E', 'object/mobile/shared_warren_mirla.iff');
INSERT INTO `object_crc_string_table` VALUES ('1568593996', '5D7ED84C', 'object/mobile/shared_warren_phy_hudgen.iff');
INSERT INTO `object_crc_string_table` VALUES ('3712415776', 'DD46F820', 'object/mobile/shared_warren_research_scientist.iff');
INSERT INTO `object_crc_string_table` VALUES ('3180069091', 'BD8C00E3', 'object/mobile/shared_warren_scientist_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1721477236', '669BA874', 'object/mobile/shared_warren_scientist_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('798412793', '2F96CFF9', 'object/mobile/shared_warren_scientist_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('320821801', '131F5A29', 'object/mobile/shared_warren_stormtrooper.iff');
INSERT INTO `object_crc_string_table` VALUES ('1889694918', '70A274C6', 'object/mobile/shared_warren_technician.iff');
INSERT INTO `object_crc_string_table` VALUES ('1282994696', '4C78F208', 'object/mobile/shared_warren_teraud_loyalist_cyborg_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2540657311', '976F5A9F', 'object/mobile/shared_warren_teraud_loyalist_cyborg_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3730980114', 'DE623D12', 'object/mobile/shared_warren_teraud_loyalist_cyborg_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('629216774', '25811606', 'object/mobile/shared_warren_teraud_loyalist_cyborg_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3005247216', 'B3206EF0', 'object/mobile/shared_warren_teraud_loyalist_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1748485735', '6837C667', 'object/mobile/shared_warren_teraud_loyalist_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('557490666', '213AA1EA', 'object/mobile/shared_warren_teraud_loyalist_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3671689982', 'DAD98AFE', 'object/mobile/shared_warren_teraud_loyalist_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('208413022', 'C6C215E', 'object/mobile/shared_warren_teraud_loyalist_scientist.iff');
INSERT INTO `object_crc_string_table` VALUES ('2110399136', '7DCA22A0', 'object/mobile/shared_wed_treadwell.iff');
INSERT INTO `object_crc_string_table` VALUES ('75671079', '482A627', 'object/mobile/shared_wedge_antilles.iff');
INSERT INTO `object_crc_string_table` VALUES ('1382091790', '52610C0E', 'object/mobile/shared_weequay_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('3229632721', 'C08048D1', 'object/mobile/shared_whisper_bird.iff');
INSERT INTO `object_crc_string_table` VALUES ('453669455', '1B0A724F', 'object/mobile/shared_whisper_bird_hatchling.iff');
INSERT INTO `object_crc_string_table` VALUES ('3326314502', 'C6438806', 'object/mobile/shared_whisper_bird_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('995330799', '3B538AEF', 'object/mobile/shared_womp_rat.iff');
INSERT INTO `object_crc_string_table` VALUES ('1003281536', '3BCCDC80', 'object/mobile/shared_womp_rat_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2933860928', 'AEDF2A40', 'object/mobile/shared_wood_mite.iff');
INSERT INTO `object_crc_string_table` VALUES ('3186511910', 'BDEE5026', 'object/mobile/shared_wood_mite_matriarch.iff');
INSERT INTO `object_crc_string_table` VALUES ('2719471347', 'A217D6F3', 'object/mobile/shared_wookiee_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('2365627490', '8D009C62', 'object/mobile/shared_wookiee_lifeday_elder.iff');
INSERT INTO `object_crc_string_table` VALUES ('2967512761', 'B0E0A6B9', 'object/mobile/shared_wookiee_lifeday_female1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1811353134', '6BF70E2E', 'object/mobile/shared_wookiee_lifeday_female2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1221402643', '48CD2013', 'object/mobile/shared_wookiee_lifeday_male1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2480572548', '93DA8884', 'object/mobile/shared_wookiee_lifeday_male2.iff');
INSERT INTO `object_crc_string_table` VALUES ('402812326', '18026DA6', 'object/mobile/shared_wookiee_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('23943354', '16D58BA', 'object/mobile/shared_woolamander.iff');
INSERT INTO `object_crc_string_table` VALUES ('1400086815', '5373A11F', 'object/mobile/shared_woolamander_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('714826259', '2A9B6213', 'object/mobile/shared_worrt.iff');
INSERT INTO `object_crc_string_table` VALUES ('1368967713', '5198CA21', 'object/mobile/shared_worrt_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2441033354', '917F368A', 'object/mobile/shared_wrix.iff');
INSERT INTO `object_crc_string_table` VALUES ('2854115772', 'AA1E59BC', 'object/mobile/shared_wuher.iff');
INSERT INTO `object_crc_string_table` VALUES ('2080130327', '7BFC4517', 'object/mobile/shared_young_baz_nitch.iff');
INSERT INTO `object_crc_string_table` VALUES ('3722994435', 'DDE86303', 'object/mobile/shared_young_hanadak_rock_crusher.iff');
INSERT INTO `object_crc_string_table` VALUES ('3978814666', 'ED27E4CA', 'object/mobile/shared_young_malkloc.iff');
INSERT INTO `object_crc_string_table` VALUES ('65705057', '3EA9461', 'object/mobile/shared_young_reptilian_flier.iff');
INSERT INTO `object_crc_string_table` VALUES ('2564251610', '98D75FDA', 'object/mobile/shared_young_roba.iff');
INSERT INTO `object_crc_string_table` VALUES ('729848387', '2B809A43', 'object/mobile/shared_young_spined_snake.iff');
INSERT INTO `object_crc_string_table` VALUES ('2989209950', 'B22BB95E', 'object/mobile/shared_zabrak_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('344653298', '148AFDF2', 'object/mobile/shared_zabrak_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('277596046', '108BC78E', 'object/mobile/shared_zucca_boar.iff');
INSERT INTO `object_crc_string_table` VALUES ('903703126', '35DD6A56', 'object/mobile/shared_zucca_boar_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3915581743', 'E963092F', 'object/mobile/skeleton/shared_acklay.iff');
INSERT INTO `object_crc_string_table` VALUES ('994908092', '3B4D17BC', 'object/mobile/skeleton/shared_astromech.iff');
INSERT INTO `object_crc_string_table` VALUES ('1820074321', '6C7C2151', 'object/mobile/skeleton/shared_base_insect_moth.iff');
INSERT INTO `object_crc_string_table` VALUES ('2504466576', '95472090', 'object/mobile/skeleton/shared_bat.iff');
INSERT INTO `object_crc_string_table` VALUES ('1000541852', '3BA30E9C', 'object/mobile/skeleton/shared_bird_finch.iff');
INSERT INTO `object_crc_string_table` VALUES ('519570189', '1EF8030D', 'object/mobile/skeleton/shared_bird_giant.iff');
INSERT INTO `object_crc_string_table` VALUES ('1413515142', '54408786', 'object/mobile/skeleton/shared_bird_turkey.iff');
INSERT INTO `object_crc_string_table` VALUES ('2223413436', '848698BC', 'object/mobile/skeleton/shared_camel.iff');
INSERT INTO `object_crc_string_table` VALUES ('825801147', '3138B9BB', 'object/mobile/skeleton/shared_canine.iff');
INSERT INTO `object_crc_string_table` VALUES ('1826010896', '6CD6B710', 'object/mobile/skeleton/shared_cat_domestic.iff');
INSERT INTO `object_crc_string_table` VALUES ('284042171', '10EE23BB', 'object/mobile/skeleton/shared_cat_predatory.iff');
INSERT INTO `object_crc_string_table` VALUES ('3021854628', 'B41DD7A4', 'object/mobile/skeleton/shared_cll8.iff');
INSERT INTO `object_crc_string_table` VALUES ('892528452', '3532E744', 'object/mobile/skeleton/shared_dewback.iff');
INSERT INTO `object_crc_string_table` VALUES ('2856144413', 'AA3D4E1D', 'object/mobile/skeleton/shared_droid_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4190971251', 'F9CD2573', 'object/mobile/skeleton/shared_droideka.iff');
INSERT INTO `object_crc_string_table` VALUES ('2699879603', 'A0ECE4B3', 'object/mobile/skeleton/shared_dz70.iff');
INSERT INTO `object_crc_string_table` VALUES ('3003303428', 'B302C604', 'object/mobile/skeleton/shared_eg6.iff');
INSERT INTO `object_crc_string_table` VALUES ('4284811148', 'FF65078C', 'object/mobile/skeleton/shared_elephant.iff');
INSERT INTO `object_crc_string_table` VALUES ('1623233094', '60C09246', 'object/mobile/skeleton/shared_elephant_bantha.iff');
INSERT INTO `object_crc_string_table` VALUES ('1277611918', '4C26CF8E', 'object/mobile/skeleton/shared_fambaa.iff');
INSERT INTO `object_crc_string_table` VALUES ('2783556290', 'A5E9B2C2', 'object/mobile/skeleton/shared_frog.iff');
INSERT INTO `object_crc_string_table` VALUES ('2416872297', '900E8B69', 'object/mobile/skeleton/shared_giraffe.iff');
INSERT INTO `object_crc_string_table` VALUES ('3334329739', 'C6BDD58B', 'object/mobile/skeleton/shared_goat.iff');
INSERT INTO `object_crc_string_table` VALUES ('1997066566', '7708D146', 'object/mobile/skeleton/shared_griffon.iff');
INSERT INTO `object_crc_string_table` VALUES ('2297855719', '88F67EE7', 'object/mobile/skeleton/shared_horse.iff');
INSERT INTO `object_crc_string_table` VALUES ('1714909795', '66377263', 'object/mobile/skeleton/shared_humanoid.iff');
INSERT INTO `object_crc_string_table` VALUES ('422447477', '192E0975', 'object/mobile/skeleton/shared_insect_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('4047561864', 'F140E488', 'object/mobile/skeleton/shared_insect_mantis.iff');
INSERT INTO `object_crc_string_table` VALUES ('3715444431', 'DD752ECF', 'object/mobile/skeleton/shared_insect_moth.iff');
INSERT INTO `object_crc_string_table` VALUES ('4016222327', 'EF62B077', 'object/mobile/skeleton/shared_ito.iff');
INSERT INTO `object_crc_string_table` VALUES ('3497999971', 'D07F3E63', 'object/mobile/skeleton/shared_kaadu.iff');
INSERT INTO `object_crc_string_table` VALUES ('765355707', '2D9E66BB', 'object/mobile/skeleton/shared_lin_demolition.iff');
INSERT INTO `object_crc_string_table` VALUES ('2532063942', '96EC3AC6', 'object/mobile/skeleton/shared_lizard_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('873783873', '3414E241', 'object/mobile/skeleton/shared_lizard_giant.iff');
INSERT INTO `object_crc_string_table` VALUES ('340337386', '144922EA', 'object/mobile/skeleton/shared_mouse_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('1147356714', '4463462A', 'object/mobile/skeleton/shared_mynock.iff');
INSERT INTO `object_crc_string_table` VALUES ('984617406', '3AB011BE', 'object/mobile/skeleton/shared_orb.iff');
INSERT INTO `object_crc_string_table` VALUES ('1813957157', '6C1ECA25', 'object/mobile/skeleton/shared_pig.iff');
INSERT INTO `object_crc_string_table` VALUES ('3856845356', 'E5E2CA2C', 'object/mobile/skeleton/shared_probe_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('3037551555', 'B50D5BC3', 'object/mobile/skeleton/shared_protocol_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('161991049', '9A7C989', 'object/mobile/skeleton/shared_rabbit.iff');
INSERT INTO `object_crc_string_table` VALUES ('270823856', '102471B0', 'object/mobile/skeleton/shared_rancor.iff');
INSERT INTO `object_crc_string_table` VALUES ('1932908380', '7335D75C', 'object/mobile/skeleton/shared_rat.iff');
INSERT INTO `object_crc_string_table` VALUES ('2976038956', 'B162C02C', 'object/mobile/skeleton/shared_robo_bartender.iff');
INSERT INTO `object_crc_string_table` VALUES ('1735902555', '6777C55B', 'object/mobile/skeleton/shared_simian_ape.iff');
INSERT INTO `object_crc_string_table` VALUES ('75660389', '4827C65', 'object/mobile/skeleton/shared_simian_monkey.iff');
INSERT INTO `object_crc_string_table` VALUES ('253409232', 'F1AB7D0', 'object/mobile/skeleton/shared_snake.iff');
INSERT INTO `object_crc_string_table` VALUES ('4213186397', 'FB201F5D', 'object/mobile/skeleton/shared_spider.iff');
INSERT INTO `object_crc_string_table` VALUES ('460559210', '1B73936A', 'object/mobile/skeleton/shared_spider_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('3679278095', 'DB4D540F', 'object/mobile/skeleton/shared_tauntaun.iff');
INSERT INTO `object_crc_string_table` VALUES ('2778895664', 'A5A29530', 'object/mobile/skeleton/shared_tt8l.iff');
INSERT INTO `object_crc_string_table` VALUES ('1315980442', '4E70449A', 'object/mobile/skeleton/shared_tt8l_y7.iff');
INSERT INTO `object_crc_string_table` VALUES ('2765187251', 'A4D168B3', 'object/mobile/skeleton/shared_wed_treadwell.iff');
INSERT INTO `object_crc_string_table` VALUES ('2210665097', '83C41289', 'object/mobile/tatooine_npc/shared_aaph_koden.iff');
INSERT INTO `object_crc_string_table` VALUES ('3420862161', 'CBE636D1', 'object/mobile/tatooine_npc/shared_binna_jode.iff');
INSERT INTO `object_crc_string_table` VALUES ('2463657324', '92D86D6C', 'object/mobile/tatooine_npc/shared_blerx_tango.iff');
INSERT INTO `object_crc_string_table` VALUES ('1226761307', '491EE45B', 'object/mobile/tatooine_npc/shared_boshek.iff');
INSERT INTO `object_crc_string_table` VALUES ('4285124243', 'FF69CE93', 'object/mobile/tatooine_npc/shared_brea_tonnika.iff');
INSERT INTO `object_crc_string_table` VALUES ('4289563473', 'FFAD8B51', 'object/mobile/tatooine_npc/shared_capt_loftus.iff');
INSERT INTO `object_crc_string_table` VALUES ('1952005063', '74593BC7', 'object/mobile/tatooine_npc/shared_farious_gletch.iff');
INSERT INTO `object_crc_string_table` VALUES ('861642395', '335B9E9B', 'object/mobile/tatooine_npc/shared_figrin_dan.iff');
INSERT INTO `object_crc_string_table` VALUES ('119383383', '71DA557', 'object/mobile/tatooine_npc/shared_fixer.iff');
INSERT INTO `object_crc_string_table` VALUES ('4094763986', 'F41123D2', 'object/mobile/tatooine_npc/shared_hedon_istee.iff');
INSERT INTO `object_crc_string_table` VALUES ('1541010497', '5BD9F441', 'object/mobile/tatooine_npc/shared_ikka_gesul.iff');
INSERT INTO `object_crc_string_table` VALUES ('3479474175', 'CF648FFF', 'object/mobile/tatooine_npc/shared_jilljoo_jab.iff');
INSERT INTO `object_crc_string_table` VALUES ('28682516', '1B5A914', 'object/mobile/tatooine_npc/shared_kaeline_ungasan.iff');
INSERT INTO `object_crc_string_table` VALUES ('1703616350', '658B1F5E', 'object/mobile/tatooine_npc/shared_kitster_banai.iff');
INSERT INTO `object_crc_string_table` VALUES ('1211559365', '4836EDC5', 'object/mobile/tatooine_npc/shared_kormund_thrylle.iff');
INSERT INTO `object_crc_string_table` VALUES ('253776339', 'F2051D3', 'object/mobile/tatooine_npc/shared_lilas_dinhint.iff');
INSERT INTO `object_crc_string_table` VALUES ('1553404717', '5C97132D', 'object/mobile/tatooine_npc/shared_lt_harburik.iff');
INSERT INTO `object_crc_string_table` VALUES ('1901596031', '71580D7F', 'object/mobile/tatooine_npc/shared_mat_rags.iff');
INSERT INTO `object_crc_string_table` VALUES ('4049550118', 'F15F3B26', 'object/mobile/tatooine_npc/shared_melios_purl.iff');
INSERT INTO `object_crc_string_table` VALUES ('2971142656', 'B1180A00', 'object/mobile/tatooine_npc/shared_mikos_denari.iff');
INSERT INTO `object_crc_string_table` VALUES ('3562269968', 'D453ED10', 'object/mobile/tatooine_npc/shared_nitra_vendallan.iff');
INSERT INTO `object_crc_string_table` VALUES ('197060903', 'BBEE927', 'object/mobile/tatooine_npc/shared_om_aynat.iff');
INSERT INTO `object_crc_string_table` VALUES ('3055869175', 'B624DCF7', 'object/mobile/tatooine_npc/shared_pfilbee_jhorn.iff');
INSERT INTO `object_crc_string_table` VALUES ('1801428554', '6B5F9E4A', 'object/mobile/tatooine_npc/shared_phinea_shantee.iff');
INSERT INTO `object_crc_string_table` VALUES ('2174990588', '81A3B8FC', 'object/mobile/tatooine_npc/shared_rakir_banai.iff');
INSERT INTO `object_crc_string_table` VALUES ('3876719112', 'E7120A08', 'object/mobile/tatooine_npc/shared_senni_tonnika.iff');
INSERT INTO `object_crc_string_table` VALUES ('153136187', '920AC3B', 'object/mobile/tatooine_npc/shared_tekil_barje.iff');
INSERT INTO `object_crc_string_table` VALUES ('651899937', '26DB3421', 'object/mobile/tatooine_npc/shared_tour_aryon.iff');
INSERT INTO `object_crc_string_table` VALUES ('2121259164', '7E6FD89C', 'object/mobile/tatooine_npc/shared_vardias_tyne.iff');
INSERT INTO `object_crc_string_table` VALUES ('4249752702', 'FD4E147E', 'object/mobile/tatooine_npc/shared_wilhalm_skrim.iff');
INSERT INTO `object_crc_string_table` VALUES ('1129472596', '43526254', 'object/mobile/tatooine_npc/shared_windom_starkiller.iff');
INSERT INTO `object_crc_string_table` VALUES ('1613040434', '60250B32', 'object/mobile/vehicle/shared_jetpack.iff');
INSERT INTO `object_crc_string_table` VALUES ('2842025402', 'A965DDBA', 'object/mobile/vehicle/shared_landspeeder_av21.iff');
INSERT INTO `object_crc_string_table` VALUES ('634510067', '25D1DAF3', 'object/mobile/vehicle/shared_landspeeder_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('658152450', '273A9C02', 'object/mobile/vehicle/shared_landspeeder_x31.iff');
INSERT INTO `object_crc_string_table` VALUES ('1321433100', '4EC3780C', 'object/mobile/vehicle/shared_landspeeder_x34.iff');
INSERT INTO `object_crc_string_table` VALUES ('1064205223', '3F6E7BA7', 'object/mobile/vehicle/shared_landspeeder_xp38.iff');
INSERT INTO `object_crc_string_table` VALUES ('1922373615', '729517EF', 'object/mobile/vehicle/shared_speederbike.iff');
INSERT INTO `object_crc_string_table` VALUES ('2115869795', '7E1D9C63', 'object/mobile/vehicle/shared_speederbike_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('5125428', '4E3534', 'object/mobile/vehicle/shared_speederbike_flash.iff');
INSERT INTO `object_crc_string_table` VALUES ('2943197007', 'AF6D9F4F', 'object/mobile/vehicle/shared_speederbike_swoop.iff');
INSERT INTO `object_crc_string_table` VALUES ('1605130582', '5FAC5956', 'object/mobile/vehicle/shared_vehicle_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3405269957', 'CAF84BC5', 'object/mobile/vendor/shared_aqualish_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('3560977643', 'D44034EB', 'object/mobile/vendor/shared_aqualish_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('2071723635', '7B7BFE73', 'object/mobile/vendor/shared_bith_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('1947827481', '74197D19', 'object/mobile/vendor/shared_bith_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('132576068', '7E6F344', 'object/mobile/vendor/shared_bothan_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('2454014624', '92454AA0', 'object/mobile/vendor/shared_bothan_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('2095623604', '7CE8ADB4', 'object/mobile/vendor/shared_devaronian_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('3310863058', 'C557C2D2', 'object/mobile/vendor/shared_gran_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('847857791', '3289487F', 'object/mobile/vendor/shared_human_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('1639282596', '61B577A4', 'object/mobile/vendor/shared_human_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('2586473426', '9A2A73D2', 'object/mobile/vendor/shared_ishi_tib_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('2809871871', 'A77B3DFF', 'object/mobile/vendor/shared_ithorian_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('571361166', '220E478E', 'object/mobile/vendor/shared_ithorian_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('2191212436', '829B3F94', 'object/mobile/vendor/shared_moncal_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('1887068219', '707A603B', 'object/mobile/vendor/shared_moncal_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('2537817486', '9744058E', 'object/mobile/vendor/shared_nikto_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('4181918992', 'F9430510', 'object/mobile/vendor/shared_quarren_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('3637552145', 'D8D0A411', 'object/mobile/vendor/shared_rodian_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('3259758607', 'C24BF80F', 'object/mobile/vendor/shared_rodian_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('3520820662', 'D1DB75B6', 'object/mobile/vendor/shared_sullustan_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('3699957250', 'DC88DE02', 'object/mobile/vendor/shared_sullustan_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('4277366403', 'FEF36E83', 'object/mobile/vendor/shared_trandoshan_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('1147135587', '445FE663', 'object/mobile/vendor/shared_trandoshan_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('2653147798', '9E23D296', 'object/mobile/vendor/shared_twilek_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('993187816', '3B32D7E8', 'object/mobile/vendor/shared_twilek_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('2188503843', '8271EB23', 'object/mobile/vendor/shared_weequay_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('3668976196', 'DAB02244', 'object/mobile/vendor/shared_wookiee_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('3356658315', 'C8128A8B', 'object/mobile/vendor/shared_wookiee_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('3008880567', 'B357DFB7', 'object/mobile/vendor/shared_zabrak_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('733384901', '2BB690C5', 'object/mobile/vendor/shared_zabrak_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('2637095427', '9D2EE203', 'object/object/base/shared_base_object.iff');
INSERT INTO `object_crc_string_table` VALUES ('1571647223', '5DAD6EF7', 'object/object/base/shared_object_default.iff');
INSERT INTO `object_crc_string_table` VALUES ('3574077008', 'D5081650', 'object/path_waypoint/base/shared_path_waypoint_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2053891523', '7A6BE5C3', 'object/path_waypoint/shared_path_waypoint.iff');
INSERT INTO `object_crc_string_table` VALUES ('3534396119', 'D2AA9AD7', 'object/path_waypoint/shared_path_waypoint_auto_spawn.iff');
INSERT INTO `object_crc_string_table` VALUES ('3085605223', 'B7EA9967', 'object/path_waypoint/shared_path_waypoint_city.iff');
INSERT INTO `object_crc_string_table` VALUES ('3986061853', 'ED967A1D', 'object/path_waypoint/shared_path_waypoint_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('1010698515', '3C3E0913', 'object/path_waypoint/shared_path_waypoint_patrol.iff');
INSERT INTO `object_crc_string_table` VALUES ('1894914263', '70F218D7', 'object/player/base/shared_base_player.iff');
INSERT INTO `object_crc_string_table` VALUES ('1016063662', '3C8FE6AE', 'object/player/base/shared_player_default.iff');
INSERT INTO `object_crc_string_table` VALUES ('1637592609', '619BAE21', 'object/player/shared_player.iff');
INSERT INTO `object_crc_string_table` VALUES ('1272540468', '4BD96D34', 'object/resource_container/resource_container_base/shared_base_resource_container.iff');
INSERT INTO `object_crc_string_table` VALUES ('741847407', '2C37B16F', 'object/resource_container/resource_container_base/shared_resource_container_default.iff');
INSERT INTO `object_crc_string_table` VALUES ('2640304325', '9D5FD8C5', 'object/resource_container/resource_container_shared_resource_container_energy_gas.iff');
INSERT INTO `object_crc_string_table` VALUES ('1023265709', '3CFDCBAD', 'object/resource_container/resource_container_shared_resource_container_energy_gas_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('505491474', '1E213012', 'object/resource_container/resource_container_shared_resource_container_energy_liquid.iff');
INSERT INTO `object_crc_string_table` VALUES ('4165569512', 'F8498BE8', 'object/resource_container/resource_container_shared_resource_container_energy_liquid_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('3244320243', 'C16065F3', 'object/resource_container/resource_container_shared_resource_container_energy_radioactive.iff');
INSERT INTO `object_crc_string_table` VALUES ('1769828233', '697D6F89', 'object/resource_container/resource_container_shared_resource_container_energy_radioactive_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('3912559902', 'E934ED1E', 'object/resource_container/resource_container_shared_resource_container_energy_solid.iff');
INSERT INTO `object_crc_string_table` VALUES ('3935977713', 'EA9A40F1', 'object/resource_container/resource_container_shared_resource_container_energy_solid_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('125850083', '78051E3', 'object/resource_container/resource_container_shared_resource_container_inorganic_bottle_water.iff');
INSERT INTO `object_crc_string_table` VALUES ('422061124', '19282444', 'object/resource_container/resource_container_shared_resource_container_inorganic_chemicals.iff');
INSERT INTO `object_crc_string_table` VALUES ('2886132575', 'AC06E35F', 'object/resource_container/resource_container_shared_resource_container_inorganic_chemicals_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('2204725480', '836970E8', 'object/resource_container/resource_container_shared_resource_container_inorganic_gas.iff');
INSERT INTO `object_crc_string_table` VALUES ('73541074', '46225D2', 'object/resource_container/resource_container_shared_resource_container_inorganic_gas_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('2295225965', '88CE5E6D', 'object/resource_container/resource_container_shared_resource_container_inorganic_minerals.iff');
INSERT INTO `object_crc_string_table` VALUES ('3162714701', 'BC83324D', 'object/resource_container/resource_container_shared_resource_container_inorganic_minerals_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('3404372557', 'CAEA9A4D', 'object/resource_container/resource_container_shared_resource_container_inorganic_petrochem_liquid.iff');
INSERT INTO `object_crc_string_table` VALUES ('759021360', '2D3DBF30', 'object/resource_container/resource_container_shared_resource_container_inorganic_water.iff');
INSERT INTO `object_crc_string_table` VALUES ('1891729994', '70C1824A', 'object/resource_container/resource_container_shared_resource_container_inorganic_water_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('4263974406', 'FE271606', 'object/resource_container/resource_container_shared_resource_container_organic_bean.iff');
INSERT INTO `object_crc_string_table` VALUES ('3072418635', 'B721634B', 'object/resource_container/resource_container_shared_resource_container_organic_bottle_milk.iff');
INSERT INTO `object_crc_string_table` VALUES ('2077617394', '7BD5ECF2', 'object/resource_container/resource_container_shared_resource_container_organic_bristley_hide.iff');
INSERT INTO `object_crc_string_table` VALUES ('3542662327', 'D328BCB7', 'object/resource_container/resource_container_shared_resource_container_organic_corn.iff');
INSERT INTO `object_crc_string_table` VALUES ('699752337', '29B55F91', 'object/resource_container/resource_container_shared_resource_container_organic_food.iff');
INSERT INTO `object_crc_string_table` VALUES ('466521573', '1BCE8DE5', 'object/resource_container/resource_container_shared_resource_container_organic_food_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('1967870892', '754B53AC', 'object/resource_container/resource_container_shared_resource_container_organic_fruit.iff');
INSERT INTO `object_crc_string_table` VALUES ('2670708128', '9F2FC5A0', 'object/resource_container/resource_container_shared_resource_container_organic_fungi.iff');
INSERT INTO `object_crc_string_table` VALUES ('2909750726', 'AD6F45C6', 'object/resource_container/resource_container_shared_resource_container_organic_green_vegetables.iff');
INSERT INTO `object_crc_string_table` VALUES ('976954288', '3A3B23B0', 'object/resource_container/resource_container_shared_resource_container_organic_hide.iff');
INSERT INTO `object_crc_string_table` VALUES ('495391475', '1D8712F3', 'object/resource_container/resource_container_shared_resource_container_organic_hide_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('2514079067', '95D9CD5B', 'object/resource_container/resource_container_shared_resource_container_organic_leathery_hide.iff');
INSERT INTO `object_crc_string_table` VALUES ('1222368053', '48DBDB35', 'object/resource_container/resource_container_shared_resource_container_organic_oats.iff');
INSERT INTO `object_crc_string_table` VALUES ('3052716729', 'B5F4C2B9', 'object/resource_container/resource_container_shared_resource_container_organic_rice.iff');
INSERT INTO `object_crc_string_table` VALUES ('355985042', '1537E692', 'object/resource_container/resource_container_shared_resource_container_organic_scaley_hide.iff');
INSERT INTO `object_crc_string_table` VALUES ('1326787440', '4F152B70', 'object/resource_container/resource_container_shared_resource_container_organic_structure.iff');
INSERT INTO `object_crc_string_table` VALUES ('3803992658', 'E2BC5252', 'object/resource_container/resource_container_shared_resource_container_organic_structure_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('41151102', '273EA7E', 'object/resource_container/resource_container_shared_resource_container_organic_tuber.iff');
INSERT INTO `object_crc_string_table` VALUES ('1848360314', '6E2BBD7A', 'object/resource_container/resource_container_shared_resource_container_organic_wheat.iff');
INSERT INTO `object_crc_string_table` VALUES ('3648978698', 'D97EFF0A', 'object/resource_container/resource_container_shared_resource_container_organic_wooly_hide.iff');
INSERT INTO `object_crc_string_table` VALUES ('4049825392', 'F1636E70', 'object/resource_container/resource_container_shared_simple.iff');
INSERT INTO `object_crc_string_table` VALUES ('3840320293', 'E4E6A325', 'object/ship/base/shared_ship_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2714493516', 'A1CBE24C', 'object/ship/base/shared_ship_capital_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1221795395', '48D31E43', 'object/ship/base/shared_ship_fighter_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('92011496', '57BFBE8', 'object/ship/base/shared_ship_station_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('4138284526', 'F6A935EE', 'object/ship/base/shared_ship_transport_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2823165423', 'A84615EF', 'object/ship/player/shared_player_awing.iff');
INSERT INTO `object_crc_string_table` VALUES ('770455739', '2DEC38BB', 'object/ship/player/shared_player_basic_hutt_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('2430870087', '90E42247', 'object/ship/player/shared_player_basic_tiefighter.iff');
INSERT INTO `object_crc_string_table` VALUES ('960125460', '393A5A14', 'object/ship/player/shared_player_basic_z95.iff');
INSERT INTO `object_crc_string_table` VALUES ('2406012699', '8F68D71B', 'object/ship/player/shared_player_blacksun_heavy_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1417641868', '547F7F8C', 'object/ship/player/shared_player_blacksun_heavy_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('494016513', '1D721801', 'object/ship/player/shared_player_blacksun_heavy_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3868275477', 'E6913315', 'object/ship/player/shared_player_blacksun_heavy_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2468301121', '931F4941', 'object/ship/player/shared_player_blacksun_light_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1208541654', '4808E1D6', 'object/ship/player/shared_player_blacksun_light_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('17139291', '105865B', 'object/ship/player/shared_player_blacksun_light_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('4209421647', 'FAE6AD4F', 'object/ship/player/shared_player_blacksun_light_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2060411448', '7ACF6238', 'object/ship/player/shared_player_blacksun_medium_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2715339439', 'A1D8CAAF', 'object/ship/player/shared_player_blacksun_medium_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3906317602', 'E8D5AD22', 'object/ship/player/shared_player_blacksun_medium_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('322340406', '13368636', 'object/ship/player/shared_player_blacksun_medium_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3129407218', 'BA86F6F2', 'object/ship/player/shared_player_bwing.iff');
INSERT INTO `object_crc_string_table` VALUES ('1738437900', '679E750C', 'object/ship/player/shared_player_corvette.iff');
INSERT INTO `object_crc_string_table` VALUES ('3150522393', 'BBC92819', 'object/ship/player/shared_player_decimator.iff');
INSERT INTO `object_crc_string_table` VALUES ('4073039210', 'F2C5A56A', 'object/ship/player/shared_player_firespray.iff');
INSERT INTO `object_crc_string_table` VALUES ('354676203', '1523EDEB', 'object/ship/player/shared_player_hutt_heavy_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3459532156', 'CE34457C', 'object/ship/player/shared_player_hutt_heavy_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('156529585', '95473B1', 'object/ship/player/shared_player_hutt_light_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3527662374', 'D243DB26', 'object/ship/player/shared_player_hutt_light_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('996310896', '3B627F70', 'object/ship/player/shared_player_hutt_medium_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3765819367', 'E075D7E7', 'object/ship/player/shared_player_hutt_medium_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2830008910', 'A8AE824E', 'object/ship/player/shared_player_hutt_turret_ship.iff');
INSERT INTO `object_crc_string_table` VALUES ('1541926498', '5BE7EE62', 'object/ship/player/shared_player_prototype_hutt_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('3874485406', 'E6EFF49E', 'object/ship/player/shared_player_prototype_tiefighter.iff');
INSERT INTO `object_crc_string_table` VALUES ('4125787031', 'F5EA8397', 'object/ship/player/shared_player_prototype_z95.iff');
INSERT INTO `object_crc_string_table` VALUES ('4077746601', 'F30D79A9', 'object/ship/player/shared_player_sorosuub_space_yacht.iff');
INSERT INTO `object_crc_string_table` VALUES ('500982809', '1DDC6419', 'object/ship/player/shared_player_tie_in.iff');
INSERT INTO `object_crc_string_table` VALUES ('349740221', '14D89CBD', 'object/ship/player/shared_player_tie_light_duty.iff');
INSERT INTO `object_crc_string_table` VALUES ('537219045', '20054FE5', 'object/ship/player/shared_player_tieadvanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3313666579', 'C5828A13', 'object/ship/player/shared_player_tieaggressor.iff');
INSERT INTO `object_crc_string_table` VALUES ('1403833964', '53ACCE6C', 'object/ship/player/shared_player_tiebomber.iff');
INSERT INTO `object_crc_string_table` VALUES ('1253337464', '4AB46978', 'object/ship/player/shared_player_tiefighter.iff');
INSERT INTO `object_crc_string_table` VALUES ('4021866633', 'EFB8D089', 'object/ship/player/shared_player_tieinterceptor.iff');
INSERT INTO `object_crc_string_table` VALUES ('3411039109', 'CB505385', 'object/ship/player/shared_player_tieoppressor.iff');
INSERT INTO `object_crc_string_table` VALUES ('3426854753', 'CC41A761', 'object/ship/player/shared_player_xwing.iff');
INSERT INTO `object_crc_string_table` VALUES ('4283603432', 'FF5299E8', 'object/ship/player/shared_player_ykl37r.iff');
INSERT INTO `object_crc_string_table` VALUES ('2643423122', '9D8F6F92', 'object/ship/player/shared_player_yt1300.iff');
INSERT INTO `object_crc_string_table` VALUES ('3619233988', 'D7B920C4', 'object/ship/player/shared_player_yt1300_decorated_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1044450567', '3E410D07', 'object/ship/player/shared_player_ywing.iff');
INSERT INTO `object_crc_string_table` VALUES ('711184758', '2A63D176', 'object/ship/player/shared_player_ywing_longprobe.iff');
INSERT INTO `object_crc_string_table` VALUES ('3298750759', 'C49EF127', 'object/ship/player/shared_player_z95.iff');
INSERT INTO `object_crc_string_table` VALUES ('3844148531', 'E5210D33', 'object/ship/shared_assaultship.iff');
INSERT INTO `object_crc_string_table` VALUES ('1006768204', '3C02104C', 'object/ship/shared_awing.iff');
INSERT INTO `object_crc_string_table` VALUES ('2304550097', '895CA4D1', 'object/ship/shared_awing_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1380650054', '524B0C46', 'object/ship/shared_awing_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('457599947', '1B466BCB', 'object/ship/shared_awing_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3768926431', 'E0A540DF', 'object/ship/shared_awing_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2846369618', 'A9A82752', 'object/ship/shared_awing_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('762962365', '2D79E1BD', 'object/ship/shared_basic_hutt_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('2423388993', '9071FB41', 'object/ship/shared_basic_tiefighter.iff');
INSERT INTO `object_crc_string_table` VALUES ('237307345', 'E2505D1', 'object/ship/shared_basic_z95.iff');
INSERT INTO `object_crc_string_table` VALUES ('1689683950', '64B687EE', 'object/ship/shared_blacksun_heavy_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('42858675', '28DF8B3', 'object/ship/shared_blacksun_heavy_s01_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3650768932', 'D99A5024', 'object/ship/shared_blacksun_heavy_s01_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2425829289', '909737A9', 'object/ship/shared_blacksun_heavy_s01_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1802771645', '6B741CBD', 'object/ship/shared_blacksun_heavy_s01_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('578386736', '22797B30', 'object/ship/shared_blacksun_heavy_s01_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3215011705', 'BFA12F79', 'object/ship/shared_blacksun_heavy_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('213478710', 'CB96D36', 'object/ship/shared_blacksun_heavy_s02_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3618555297', 'D7AEC5A1', 'object/ship/shared_blacksun_heavy_s02_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2661524012', '9EA3A22C', 'object/ship/shared_blacksun_heavy_s02_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1698728248', '65408938', 'object/ship/shared_blacksun_heavy_s02_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('743304885', '2C4DEEB5', 'object/ship/shared_blacksun_heavy_s02_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('4138486004', 'F6AC48F4', 'object/ship/shared_blacksun_heavy_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('4111854296', 'F515EAD8', 'object/ship/shared_blacksun_heavy_s03_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('771899983', '2E02424F', 'object/ship/shared_blacksun_heavy_s03_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1729045954', '670F25C2', 'object/ship/shared_blacksun_heavy_s03_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2632715990', '9CEC0ED6', 'object/ship/shared_blacksun_heavy_s03_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3588319579', 'D5E1695B', 'object/ship/shared_blacksun_heavy_s03_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('223306720', 'D4F63E0', 'object/ship/shared_blacksun_heavy_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('282084924', '10D0463C', 'object/ship/shared_blacksun_heavy_s04_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3418877611', 'CBC7EEAB', 'object/ship/shared_blacksun_heavy_s04_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2194311462', '82CA8926', 'object/ship/shared_blacksun_heavy_s04_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2032771634', '7929A232', 'object/ship/shared_blacksun_heavy_s04_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('807716287', '3024C5BF', 'object/ship/shared_blacksun_heavy_s04_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2025920948', '78C119B4', 'object/ship/shared_blacksun_light_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1922069411', '729073A3', 'object/ship/shared_blacksun_light_s01_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2844252980', 'A987DB34', 'object/ship/shared_blacksun_light_s01_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3767188665', 'E08ABCB9', 'object/ship/shared_blacksun_light_s01_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('459904941', '1B6997AD', 'object/ship/shared_blacksun_light_s01_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1382346784', '5264F020', 'object/ship/shared_blacksun_light_s01_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2748756259', 'A3D6B123', 'object/ship/shared_blacksun_light_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2091181606', '7CA4E626', 'object/ship/shared_blacksun_light_s02_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2813546161', 'A7B34EB1', 'object/ship/shared_blacksun_light_s02_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4005439804', 'EEBE293C', 'object/ship/shared_blacksun_light_s02_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('358416936', '155D0228', 'object/ship/shared_blacksun_light_s02_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1548772773', '5C5065A5', 'object/ship/shared_blacksun_light_s02_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3940275886', 'EADBD6AE', 'object/ship/shared_blacksun_light_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2231919048', '850861C8', 'object/ship/shared_blacksun_light_s03_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1579141471', '5E1FC95F', 'object/ship/shared_blacksun_light_s03_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('387100370', '1712AED2', 'object/ship/shared_blacksun_light_s03_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3975251398', 'ECF185C6', 'object/ship/shared_blacksun_light_s03_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2784813643', 'A5FCE24B', 'object/ship/shared_blacksun_light_s03_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('288947642', '1138FDBA', 'object/ship/shared_blacksun_light_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1624100140', '60CDCD2C', 'object/ship/shared_blacksun_light_s04_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3151652283', 'BBDA65BB', 'object/ship/shared_blacksun_light_s04_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4074177078', 'F2D70236', 'object/ship/shared_blacksun_light_s04_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('154413346', '9342922', 'object/ship/shared_blacksun_light_s04_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1077497519', '40394EAF', 'object/ship/shared_blacksun_light_s04_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1249737248', '4A7D7A20', 'object/ship/shared_blacksun_medium_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3687774721', 'DBCEFA01', 'object/ship/shared_blacksun_medium_s01_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('14242454', 'D95296', 'object/ship/shared_blacksun_medium_s01_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1238643995', '49D4351B', 'object/ship/shared_blacksun_medium_s01_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2989956623', 'B2371E0F', 'object/ship/shared_blacksun_medium_s01_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('4214913410', 'FB3A7982', 'object/ship/shared_blacksun_medium_s01_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2439697079', '916AD2B7', 'object/ship/shared_blacksun_medium_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3589959556', 'D5FA6F84', 'object/ship/shared_blacksun_medium_s02_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('250464019', 'EEDC713', 'object/ship/shared_blacksun_medium_s02_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1205903518', '47E0A09E', 'object/ship/shared_blacksun_medium_s02_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3154348938', 'BC038B8A', 'object/ship/shared_blacksun_medium_s02_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('4111395847', 'F50EEC07', 'object/ship/shared_blacksun_medium_s02_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3630675258', 'D867B53A', 'object/ship/shared_blacksun_medium_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('743893098', '2C56E86A', 'object/ship/shared_blacksun_medium_s03_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4148248829', 'F74140FD', 'object/ship/shared_blacksun_medium_s03_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3192661872', 'BE4C2770', 'object/ship/shared_blacksun_medium_s03_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1169099876', '45AF0C64', 'object/ship/shared_blacksun_medium_s03_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('211971049', 'CA26BE9', 'object/ship/shared_blacksun_medium_s03_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('595893806', '23849E2E', 'object/ship/shared_blacksun_medium_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3381871758', 'C993448E', 'object/ship/shared_blacksun_medium_s04_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('310701081', '1284EC19', 'object/ship/shared_blacksun_medium_s04_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1535740820', '5B898B94', 'object/ship/shared_blacksun_medium_s04_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2691342464', 'A06AA080', 'object/ship/shared_blacksun_medium_s04_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3915892493', 'E967C70D', 'object/ship/shared_blacksun_medium_s04_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('806145873', '300CCF51', 'object/ship/shared_blacksun_transport.iff');
INSERT INTO `object_crc_string_table` VALUES ('3217548599', 'BFC7E537', 'object/ship/shared_blacksun_transport_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1691372960', '64D04DA0', 'object/ship/shared_blacksun_transport_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('769468973', '2DDD2A2D', 'object/ship/shared_blacksun_transport_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3594387769', 'D63E0139', 'object/ship/shared_blacksun_transport_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2670945972', '9F3366B4', 'object/ship/shared_blacksun_transport_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('784528209', '2EC2F351', 'object/ship/shared_bwing.iff');
INSERT INTO `object_crc_string_table` VALUES ('3935148784', 'EA8D9AF0', 'object/ship/shared_bwing_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('832189031', '319A3267', 'object/ship/shared_bwing_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2023183850', '789755EA', 'object/ship/shared_bwing_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2205449982', '83747EFE', 'object/ship/shared_bwing_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3396934003', 'CA791973', 'object/ship/shared_bwing_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('907129698', '3611B362', 'object/ship/shared_civshuttle.iff');
INSERT INTO `object_crc_string_table` VALUES ('4120399097', 'F5984CF9', 'object/ship/shared_civspeeder1.iff');
INSERT INTO `object_crc_string_table` VALUES ('781182062', '2E8FE46E', 'object/ship/shared_civspeeder2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3717426532', 'DD936D64', 'object/ship/shared_civtaxi.iff');
INSERT INTO `object_crc_string_table` VALUES ('952499678', '38C5FDDE', 'object/ship/shared_civtransport.iff');
INSERT INTO `object_crc_string_table` VALUES ('562522734', '21876A6E', 'object/ship/shared_corvette.iff');
INSERT INTO `object_crc_string_table` VALUES ('3035559423', 'B4EEF5FF', 'object/ship/shared_corvette_interior.iff');
INSERT INTO `object_crc_string_table` VALUES ('2362865628', '8CD677DC', 'object/ship/shared_decimator.iff');
INSERT INTO `object_crc_string_table` VALUES ('2353591998', '8C48F6BE', 'object/ship/shared_decimator_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1465867817', '575F5E29', 'object/ship/shared_decimator_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('508705188', '1E5239A4', 'object/ship/shared_decimator_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3853587120', 'E5B112B0', 'object/ship/shared_decimator_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2898031933', 'ACBC753D', 'object/ship/shared_decimator_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2308789341', '899D545D', 'object/ship/shared_droid_fighter.iff');
INSERT INTO `object_crc_string_table` VALUES ('14973297', 'E47971', 'object/ship/shared_droid_fighter_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3690189286', 'DBF3D1E6', 'object/ship/shared_droid_fighter_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2466166379', '92FEB66B', 'object/ship/shared_droid_fighter_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1763548543', '691D9D7F', 'object/ship/shared_droid_fighter_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('537983730', '2010FAF2', 'object/ship/shared_droid_fighter_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2997532055', 'B2AAB597', 'object/ship/shared_escape_pod.iff');
INSERT INTO `object_crc_string_table` VALUES ('2280868888', '87F34C18', 'object/ship/shared_escape_pod_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1558504591', '5CE4E48F', 'object/ship/shared_escape_pod_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('367624962', '15E98302', 'object/ship/shared_escape_pod_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3993675798', 'EE0AA816', 'object/ship/shared_escape_pod_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2802306971', 'A707CF9B', 'object/ship/shared_escape_pod_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3319462575', 'C5DAFAAF', 'object/ship/shared_firespray.iff');
INSERT INTO `object_crc_string_table` VALUES ('1391589453', '52F1F84D', 'object/ship/shared_firespray_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2313572570', '89E650DA', 'object/ship/shared_firespray_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3236640599', 'C0EB3757', 'object/ship/shared_firespray_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('990387267', '3B081C43', 'object/ship/shared_firespray_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1912961998', '72057BCE', 'object/ship/shared_firespray_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2210460492', '83C0F34C', 'object/ship/shared_freighterheavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('237176683', 'E23076B', 'object/ship/shared_freighterheavy_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3576999932', 'D534AFFC', 'object/ship/shared_freighterheavy_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2621032561', '9C39C871', 'object/ship/shared_freighterheavy_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1742398309', '67DAE365', 'object/ship/shared_freighterheavy_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('785876200', '2ED784E8', 'object/ship/shared_freighterheavy_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1117310866', '4298CF92', 'object/ship/shared_freighterlight.iff');
INSERT INTO `object_crc_string_table` VALUES ('2981606241', 'B1B7B361', 'object/ship/shared_freighterlight_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1788877814', '6AA01BF6', 'object/ship/shared_freighterlight_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('598572155', '23AD7C7B', 'object/ship/shared_freighterlight_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3629012847', 'D84E576F', 'object/ship/shared_freighterlight_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2437099746', '914330E2', 'object/ship/shared_freighterlight_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3398686729', 'CA93D809', 'object/ship/shared_freightermedium.iff');
INSERT INTO `object_crc_string_table` VALUES ('1092912234', '4124846A', 'object/ship/shared_freightermedium_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2587045117', '9A332CFD', 'object/ship/shared_freightermedium_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3544075120', 'D33E4B70', 'object/ship/shared_freightermedium_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('685596772', '28DD6064', 'object/ship/shared_freightermedium_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1641023465', '61D007E9', 'object/ship/shared_freightermedium_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1217600546', '48931C22', 'object/ship/shared_hutt_heavy_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3993388117', 'EE064455', 'object/ship/shared_hutt_heavy_s01_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('890367170', '3511ECC2', 'object/ship/shared_hutt_heavy_s01_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2082245455', '7C1C8B4F', 'object/ship/shared_hutt_heavy_s01_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2281676891', '87FFA05B', 'object/ship/shared_hutt_heavy_s01_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3472017366', 'CEF2C7D6', 'object/ship/shared_hutt_heavy_s01_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2474947765', '9384B4B5', 'object/ship/shared_hutt_heavy_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3761426896', 'E032D1D0', 'object/ship/shared_hutt_heavy_s02_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('992311623', '3B257947', 'object/ship/shared_hutt_heavy_s02_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1915231946', '72281ECA', 'object/ship/shared_hutt_heavy_s02_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2311796190', '89CB35DE', 'object/ship/shared_hutt_heavy_s02_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3234222675', 'C0C65253', 'object/ship/shared_hutt_heavy_s02_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1424261752', '54E48278', 'object/ship/shared_hutt_light_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2652622661', '9E1BCF45', 'object/ship/shared_hutt_light_s01_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1158440914', '450C67D2', 'object/ship/shared_hutt_light_s01_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('201392223', 'C01005F', 'object/ship/shared_hutt_light_s01_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('4158794571', 'F7E22B4B', 'object/ship/shared_hutt_light_s01_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3203353798', 'BEEF4CC6', 'object/ship/shared_hutt_light_s01_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2415078127', '8FF32AEF', 'object/ship/shared_hutt_light_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2419022528', '902F5AC0', 'object/ship/shared_hutt_light_s02_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1262023255', '4B38F257', 'object/ship/shared_hutt_light_s02_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('37066202', '23595DA', 'object/ship/shared_hutt_light_s02_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('4191600334', 'F9D6BECE', 'object/ship/shared_hutt_light_s02_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2967198019', 'B0DBD943', 'object/ship/shared_hutt_light_s02_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3267992484', 'C2C99BA4', 'object/ship/shared_hutt_medium_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2698486044', 'A0D7A11C', 'object/ship/shared_hutt_medium_s01_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2076182923', '7BC0098B', 'object/ship/shared_hutt_medium_s01_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('852323846', '32CD6E06', 'object/ship/shared_hutt_medium_s01_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3375252754', 'C92E4512', 'object/ship/shared_hutt_medium_s01_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2149786271', '8023229F', 'object/ship/shared_hutt_medium_s01_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('433992499', '19DE3333', 'object/ship/shared_hutt_medium_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2934125721', 'AEE33499', 'object/ship/shared_hutt_medium_s02_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1978965006', '75F49C0E', 'object/ship/shared_hutt_medium_s02_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1023015811', '3CF9FB83', 'object/ship/shared_hutt_medium_s02_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3340423319', 'C71AD097', 'object/ship/shared_hutt_medium_s02_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2383918874', '8E17B71A', 'object/ship/shared_hutt_medium_s02_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('472470685', '1C29549D', 'object/ship/shared_hutt_transport.iff');
INSERT INTO `object_crc_string_table` VALUES ('1397512657', '534C59D1', 'object/ship/shared_hutt_transport_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2287726918', '885BF146', 'object/ship/shared_hutt_transport_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3243677387', 'C15696CB', 'object/ship/shared_hutt_transport_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('984989151', '3AB5BDDF', 'object/ship/shared_hutt_transport_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1941494354', '73B8DA52', 'object/ship/shared_hutt_transport_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2822462280', 'A83B5B48', 'object/ship/shared_hutt_turret_ship.iff');
INSERT INTO `object_crc_string_table` VALUES ('3259306099', 'C2451073', 'object/ship/shared_imperial_gunboat.iff');
INSERT INTO `object_crc_string_table` VALUES ('1910102521', '71D9D9F9', 'object/ship/shared_imperial_gunboat_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2865656174', 'AACE716E', 'object/ship/shared_imperial_gunboat_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3821213411', 'E3C316E3', 'object/ship/shared_imperial_gunboat_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('404766199', '18203DF7', 'object/ship/shared_imperial_gunboat_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1361926778', '512D5A7A', 'object/ship/shared_imperial_gunboat_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('979946526', '3A68CC1E', 'object/ship/shared_lambdashuttle.iff');
INSERT INTO `object_crc_string_table` VALUES ('1746838902', '681EA576', 'object/ship/shared_lambdashuttle_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3003715041', 'B3090DE1', 'object/ship/shared_lambdashuttle_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4194593388', 'FA046A6C', 'object/ship/shared_lambdashuttle_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('31932792', '1E74178', 'object/ship/shared_lambdashuttle_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1223304949', '48EA26F5', 'object/ship/shared_lambdashuttle_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2543011646', '9793473E', 'object/ship/shared_merchant_cruiser_light_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1283780521', '4C84EFA9', 'object/ship/shared_merchant_cruiser_light_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('92899364', '5898824', 'object/ship/shared_merchant_cruiser_light_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('4268401456', 'FE6AA330', 'object/ship/shared_merchant_cruiser_light_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3077031101', 'B767C4BD', 'object/ship/shared_merchant_cruiser_light_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('4266302506', 'FE4A9C2A', 'object/ship/shared_merchant_cruiser_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('3883212856', 'E7752038', 'object/ship/shared_merchant_cruiser_medium_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1013090479', '3C6288AF', 'object/ship/shared_merchant_cruiser_medium_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1970269986', '756FEF22', 'object/ship/shared_merchant_cruiser_medium_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2391589942', '8E8CC436', 'object/ship/shared_merchant_cruiser_medium_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3347162043', 'C781A3BB', 'object/ship/shared_merchant_cruiser_medium_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2407618193', '8F815691', 'object/ship/shared_nebulon.iff');
INSERT INTO `object_crc_string_table` VALUES ('327912933', '138B8DE5', 'object/ship/shared_probe_droid_pod.iff');
INSERT INTO `object_crc_string_table` VALUES ('2888320846', 'AC28474E', 'object/ship/shared_probe_droid_pod_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2000678873', '773FEFD9', 'object/ship/shared_probe_droid_pod_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1043499092', '3E328854', 'object/ship/shared_probe_droid_pod_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3318850368', 'C5D1A340', 'object/ship/shared_probe_droid_pod_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2363278541', '8CDCC4CD', 'object/ship/shared_probe_droid_pod_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1036884978', '3DCD9BF2', 'object/ship/shared_prototype_hutt_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('2160427278', '80C5810E', 'object/ship/shared_prototype_tiefighter.iff');
INSERT INTO `object_crc_string_table` VALUES ('1141820662', '440ECCF6', 'object/ship/shared_prototype_z95.iff');
INSERT INTO `object_crc_string_table` VALUES ('3542721164', 'D329A28C', 'object/ship/shared_rebel_gunboat.iff');
INSERT INTO `object_crc_string_table` VALUES ('137363241', '82FFF29', 'object/ship/shared_rebel_gunboat_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3543685054', 'D33857BE', 'object/ship/shared_rebel_gunboat_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2587177011', '9A353033', 'object/ship/shared_rebel_gunboat_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1641421607', '61D61B27', 'object/ship/shared_rebel_gunboat_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('685472938', '28DB7CAA', 'object/ship/shared_rebel_gunboat_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('282943774', '10DD611E', 'object/ship/shared_rebel_shuttle_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3419064713', 'CBCAC989', 'object/ship/shared_rebel_shuttle_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2194124292', '82C7AE04', 'object/ship/shared_rebel_shuttle_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2032436496', '79248510', 'object/ship/shared_rebel_shuttle_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('808051357', '3029E29D', 'object/ship/shared_rebel_shuttle_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1243384778', '4A1C8BCA', 'object/ship/shared_smuggler_warlord_ship_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2433426269', '910B235D', 'object/ship/shared_smuggler_warlord_ship_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3624289488', 'D80644D0', 'object/ship/shared_smuggler_warlord_ship_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('602238916', '23E56FC4', 'object/ship/shared_smuggler_warlord_ship_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1793591369', '6AE80849', 'object/ship/shared_smuggler_warlord_ship_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2502364217', '95270C39', 'object/ship/shared_sorosuub_space_yacht.iff');
INSERT INTO `object_crc_string_table` VALUES ('3165332223', 'BCAB22FF', 'object/ship/shared_spacestation_imperial.iff');
INSERT INTO `object_crc_string_table` VALUES ('4164831037', 'F83E473D', 'object/ship/shared_spacestation_neutral.iff');
INSERT INTO `object_crc_string_table` VALUES ('431716433', '19BB7851', 'object/ship/shared_spacestation_rebel.iff');
INSERT INTO `object_crc_string_table` VALUES ('3207599336', 'BF3014E8', 'object/ship/shared_star_destroyer.iff');
INSERT INTO `object_crc_string_table` VALUES ('4043601537', 'F1047681', 'object/ship/shared_supplyship.iff');
INSERT INTO `object_crc_string_table` VALUES ('1874889307', '6FC08A5B', 'object/ship/shared_tie_in.iff');
INSERT INTO `object_crc_string_table` VALUES ('1231580532', '49686D74', 'object/ship/shared_tie_light_duty.iff');
INSERT INTO `object_crc_string_table` VALUES ('212073063', 'CA3FA67', 'object/ship/shared_tieadvanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('4294368666', 'FFF6DD9A', 'object/ship/shared_tieadvanced_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('618755341', '24E1750D', 'object/ship/shared_tieadvanced_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1844187776', '6DEC1280', 'object/ship/shared_tieadvanced_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2517580180', '960F3994', 'object/ship/shared_tieadvanced_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3741474329', 'DF025E19', 'object/ship/shared_tieadvanced_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3457688983', 'CE182597', 'object/ship/shared_tieaggressor.iff');
INSERT INTO `object_crc_string_table` VALUES ('1918801119', '725E94DF', 'object/ship/shared_tieaggressor_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2840149064', 'A9493C48', 'object/ship/shared_tieaggressor_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3762576325', 'E0445BC5', 'object/ship/shared_tieaggressor_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('463958225', '1BA770D1', 'object/ship/shared_tieaggressor_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1386878812', '52AA175C', 'object/ship/shared_tieaggressor_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1689489833', '64B391A9', 'object/ship/shared_tiebomber.iff');
INSERT INTO `object_crc_string_table` VALUES ('800011159', '2FAF3397', 'object/ship/shared_tiebomber_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4105739008', 'F4B89B00', 'object/ship/shared_tiebomber_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3182820493', 'BDB5FC8D', 'object/ship/shared_tiebomber_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1180096409', '4656D799', 'object/ship/shared_tiebomber_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('257667092', 'F5BB014', 'object/ship/shared_tiebomber_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2677969389', '9F9E91ED', 'object/ship/shared_tiefighter.iff');
INSERT INTO `object_crc_string_table` VALUES ('719737899', '2AE6542B', 'object/ship/shared_tiefighter_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4059167932', 'F1F1FCBC', 'object/ship/shared_tiefighter_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3103562545', 'B8FC9B31', 'object/ship/shared_tiefighter_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1126150181', '431FB025', 'object/ship/shared_tiefighter_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('169007016', 'A12D7A8', 'object/ship/shared_tiefighter_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2986877248', 'B2082140', 'object/ship/shared_tieinterceptor.iff');
INSERT INTO `object_crc_string_table` VALUES ('3034789135', 'B4E3350F', 'object/ship/shared_tieinterceptor_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1878302104', '6FF49D98', 'object/ship/shared_tieinterceptor_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('653916693', '26F9FA15', 'object/ship/shared_tieinterceptor_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3709522177', 'DD1AD101', 'object/ship/shared_tieinterceptor_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2484582028', '9417B68C', 'object/ship/shared_tieinterceptor_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3234528257', 'C0CAFC01', 'object/ship/shared_tieoppressor.iff');
INSERT INTO `object_crc_string_table` VALUES ('3138516559', 'BB11F64F', 'object/ship/shared_tieoppressor_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1611030232', '60065ED8', 'object/ship/shared_tieoppressor_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('688601429', '290B3955', 'object/ship/shared_tieoppressor_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3538424385', 'D2E81241', 'object/ship/shared_tieoppressor_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2615506380', '9BE575CC', 'object/ship/shared_tieoppressor_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1879411884', '70058CAC', 'object/ship/shared_transport_science.iff');
INSERT INTO `object_crc_string_table` VALUES ('1650455622', '625FF446', 'object/ship/shared_transport_science_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3108527313', 'B9485CD1', 'object/ship/shared_transport_science_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4031069020', 'F0453B5C', 'object/ship/shared_transport_science_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('195432520', 'BA61048', 'object/ship/shared_transport_science_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1118533573', '42AB77C5', 'object/ship/shared_transport_science_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1476764354', '5805A2C2', 'object/ship/shared_xwing.iff');
INSERT INTO `object_crc_string_table` VALUES ('1201246834', '47999272', 'object/ship/shared_xwing_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2626566885', '9C8E3AE5', 'object/ship/shared_xwing_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3582156136', 'D5835D68', 'object/ship/shared_xwing_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('778073724', '2E60767C', 'object/ship/shared_xwing_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1735201265', '676D11F1', 'object/ship/shared_xwing_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2370729898', '8D4E77AA', 'object/ship/shared_ykl37r.iff');
INSERT INTO `object_crc_string_table` VALUES ('212362802', 'CA86632', 'object/ship/shared_ykl37r_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3619671717', 'D7BFCEA5', 'object/ship/shared_ykl37r_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2662508840', '9EB2A928', 'object/ship/shared_ykl37r_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1699840572', '6551823C', 'object/ship/shared_ykl37r_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('744285617', '2C5CE5B1', 'object/ship/shared_ykl37r_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('4019421648', 'EF9381D0', 'object/ship/shared_yt1300.iff');
INSERT INTO `object_crc_string_table` VALUES ('1347113891', '504B53A3', 'object/ship/shared_yt1300_interior.iff');
INSERT INTO `object_crc_string_table` VALUES ('3582257391', 'D584E8EF', 'object/ship/shared_yt1300_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('244531320', 'E934078', 'object/ship/shared_yt1300_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1201547253', '479E27F5', 'object/ship/shared_yt1300_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3162311905', 'BC7D0CE1', 'object/ship/shared_yt1300_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('4117785452', 'F5706B6C', 'object/ship/shared_yt1300_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2852456612', 'AA0508A4', 'object/ship/shared_ywing.iff');
INSERT INTO `object_crc_string_table` VALUES ('3553113506', 'D3C835A2', 'object/ship/shared_ywing_longprobe.iff');
INSERT INTO `object_crc_string_table` VALUES ('2593551104', '9A967300', 'object/ship/shared_ywing_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1099029399', '4181DB97', 'object/ship/shared_ywing_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('143440922', '88CBC1A', 'object/ship/shared_ywing_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('4084176654', 'F36F970E', 'object/ship/shared_ywing_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3127046275', 'BA62F083', 'object/ship/shared_ywing_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3963433956', 'EC3D33E4', 'object/ship/shared_z95.iff');
INSERT INTO `object_crc_string_table` VALUES ('603334641', '23F627F1', 'object/ship/shared_z95_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4175531878', 'F8E18F66', 'object/ship/shared_z95_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2985093355', 'B1ECE8EB', 'object/ship/shared_z95_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1242547199', '4A0FC3FF', 'object/ship/shared_z95_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('50504818', '302A472', 'object/ship/shared_z95_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1100063237', '4191A205', 'object/soundobject/base/shared_soundobject_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1113312589', '425BCD4D', 'object/soundobject/shared_soundobject_cantina_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('769239243', '2DD9A8CB', 'object/soundobject/shared_soundobject_cantina_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('1983928676', '76405964', 'object/soundobject/shared_soundobject_cantina_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('526901089', '1F67DF61', 'object/soundobject/shared_soundobject_cave_drip.iff');
INSERT INTO `object_crc_string_table` VALUES ('1471626100', '57B73B74', 'object/soundobject/shared_soundobject_chamber_music.iff');
INSERT INTO `object_crc_string_table` VALUES ('1649456437', '6250B535', 'object/soundobject/shared_soundobject_city_crowd_booing.iff');
INSERT INTO `object_crc_string_table` VALUES ('3171942528', 'BD100080', 'object/soundobject/shared_soundobject_city_crowd_cheering.iff');
INSERT INTO `object_crc_string_table` VALUES ('1007094640', '3C070B70', 'object/soundobject/shared_soundobject_city_crowd_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('2995810506', 'B29070CA', 'object/soundobject/shared_soundobject_city_crowd_sentients.iff');
INSERT INTO `object_crc_string_table` VALUES ('1220356330', '48BD28EA', 'object/soundobject/shared_soundobject_city_crowd_sentients_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('2160245111', '80C2B977', 'object/soundobject/shared_soundobject_city_crowd_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('2219862072', '84506838', 'object/soundobject/shared_soundobject_cloning_facility.iff');
INSERT INTO `object_crc_string_table` VALUES ('805544317', '3003A17D', 'object/soundobject/shared_soundobject_elevator_music.iff');
INSERT INTO `object_crc_string_table` VALUES ('3185407219', 'BDDD74F3', 'object/soundobject/shared_soundobject_factory_exterior.iff');
INSERT INTO `object_crc_string_table` VALUES ('2322270980', '8A6B0B04', 'object/soundobject/shared_soundobject_figrin_dan_band.iff');
INSERT INTO `object_crc_string_table` VALUES ('543287439', '2061E88F', 'object/soundobject/shared_soundobject_fire_roaring.iff');
INSERT INTO `object_crc_string_table` VALUES ('1387709357', '52B6C3AD', 'object/soundobject/shared_soundobject_fort_tusken.iff');
INSERT INTO `object_crc_string_table` VALUES ('111680330', '6A81B4A', 'object/soundobject/shared_soundobject_fusion_power_generator.iff');
INSERT INTO `object_crc_string_table` VALUES ('1865831738', '6F36553A', 'object/soundobject/shared_soundobject_hovering.iff');
INSERT INTO `object_crc_string_table` VALUES ('111189793', '6A09F21', 'object/soundobject/shared_soundobject_hydro_power_generator.iff');
INSERT INTO `object_crc_string_table` VALUES ('995137663', '3B50987F', 'object/soundobject/shared_soundobject_installation_hydro.iff');
INSERT INTO `object_crc_string_table` VALUES ('3621719598', 'D7DF0E2E', 'object/soundobject/shared_soundobject_installation_photo_bio.iff');
INSERT INTO `object_crc_string_table` VALUES ('522992257', '1F2C3A81', 'object/soundobject/shared_soundobject_installation_wind.iff');
INSERT INTO `object_crc_string_table` VALUES ('2503585302', '9539AE16', 'object/soundobject/shared_soundobject_jabba_audience_chamber.iff');
INSERT INTO `object_crc_string_table` VALUES ('1106794', '10E36A', 'object/soundobject/shared_soundobject_jabba_max_rebo_band.iff');
INSERT INTO `object_crc_string_table` VALUES ('3562507459', 'D4578CC3', 'object/soundobject/shared_soundobject_jabba_monk_hideaway.iff');
INSERT INTO `object_crc_string_table` VALUES ('1643654633', '61F82DE9', 'object/soundobject/shared_soundobject_jabba_palace_entrance.iff');
INSERT INTO `object_crc_string_table` VALUES ('2070906203', '7B6F855B', 'object/soundobject/shared_soundobject_jungle_music_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2692230604', 'A0782DCC', 'object/soundobject/shared_soundobject_jungle_music_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('999668036', '3B95B944', 'object/soundobject/shared_soundobject_lakeshore.iff');
INSERT INTO `object_crc_string_table` VALUES ('3854588989', 'E5C05C3D', 'object/soundobject/shared_soundobject_lava.iff');
INSERT INTO `object_crc_string_table` VALUES ('3479780870', 'CF693E06', 'object/soundobject/shared_soundobject_loud_steam.iff');
INSERT INTO `object_crc_string_table` VALUES ('3222553098', 'C014420A', 'object/soundobject/shared_soundobject_marketplace_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('4094678563', 'F40FD623', 'object/soundobject/shared_soundobject_marketplace_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('293547237', '117F2CE5', 'object/soundobject/shared_soundobject_mountain_winds.iff');
INSERT INTO `object_crc_string_table` VALUES ('1031338094', '3D78F86E', 'object/soundobject/shared_soundobject_nightsisters_stronghold.iff');
INSERT INTO `object_crc_string_table` VALUES ('590222819', '232E15E3', 'object/soundobject/shared_soundobject_power_generator.iff');
INSERT INTO `object_crc_string_table` VALUES ('1143794115', '442CE9C3', 'object/soundobject/shared_soundobject_quiet_steam.iff');
INSERT INTO `object_crc_string_table` VALUES ('3950943395', 'EB7E9CA3', 'object/soundobject/shared_soundobject_rebel_hideout.iff');
INSERT INTO `object_crc_string_table` VALUES ('2124729098', '7EA4CB0A', 'object/soundobject/shared_soundobject_refrigeration_unit.iff');
INSERT INTO `object_crc_string_table` VALUES ('2374956061', '8D8EF41D', 'object/soundobject/shared_soundobject_river_indoors.iff');
INSERT INTO `object_crc_string_table` VALUES ('3441954755', 'CD280FC3', 'object/soundobject/shared_soundobject_river_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('4180909034', 'F9339BEA', 'object/soundobject/shared_soundobject_river_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('4258394168', 'FDD1F038', 'object/soundobject/shared_soundobject_sailbarge_lower.iff');
INSERT INTO `object_crc_string_table` VALUES ('2386769474', '8E433642', 'object/soundobject/shared_soundobject_sailbarge_upper.iff');
INSERT INTO `object_crc_string_table` VALUES ('279468825', '10A85B19', 'object/soundobject/shared_soundobject_seashore_indoors.iff');
INSERT INTO `object_crc_string_table` VALUES ('2890368574', 'AC47863E', 'object/soundobject/shared_soundobject_seashore_outdoors.iff');
INSERT INTO `object_crc_string_table` VALUES ('3705653312', 'DCDFC840', 'object/soundobject/shared_soundobject_shield_generator.iff');
INSERT INTO `object_crc_string_table` VALUES ('1803959668', '6B863D74', 'object/soundobject/shared_soundobject_snow_outside.iff');
INSERT INTO `object_crc_string_table` VALUES ('2863794774', 'AAB20A56', 'object/soundobject/shared_soundobject_space_yacht.iff');
INSERT INTO `object_crc_string_table` VALUES ('740379187', '2C214A33', 'object/soundobject/shared_soundobject_sparks.iff');
INSERT INTO `object_crc_string_table` VALUES ('93072533', '58C2C95', 'object/soundobject/shared_soundobject_starport_exterior.iff');
INSERT INTO `object_crc_string_table` VALUES ('2601406698', '9B0E50EA', 'object/soundobject/shared_soundobject_starport_interior.iff');
INSERT INTO `object_crc_string_table` VALUES ('20514831', '139080F', 'object/soundobject/shared_soundobject_theed_fountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('425345644', '195A426C', 'object/soundobject/shared_soundobject_transport_interior.iff');
INSERT INTO `object_crc_string_table` VALUES ('1630317945', '612CAD79', 'object/soundobject/shared_soundobject_underground_music_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('3124430318', 'BA3B05EE', 'object/soundobject/shared_soundobject_underground_music_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2014649812', '78151DD4', 'object/soundobject/shared_soundobject_water_gurgle.iff');
INSERT INTO `object_crc_string_table` VALUES ('4152482150', 'F781D966', 'object/soundobject/shared_soundobject_water_gurgle_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('1465513069', '5759F46D', 'object/soundobject/shared_soundobject_waterfall_indoors.iff');
INSERT INTO `object_crc_string_table` VALUES ('2572356312', '99530AD8', 'object/soundobject/shared_soundobject_waterfall_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('1999229516', '7729D24C', 'object/soundobject/shared_soundobject_waterfall_outdoors.iff');
INSERT INTO `object_crc_string_table` VALUES ('2907217649', 'AD489EF1', 'object/soundobject/shared_soundobject_waterfall_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('2041745522', '79B29072', 'object/soundobject/shared_soundobject_wind_power_generator.iff');
INSERT INTO `object_crc_string_table` VALUES ('1732101595', '673DC5DB', 'object/static/base/shared_static_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('4025184', '3D6B60', 'object/static/base/shared_static_default.iff');
INSERT INTO `object_crc_string_table` VALUES ('2705862416', 'A1482F10', 'object/static/creature/shared_corellia_bageraset.iff');
INSERT INTO `object_crc_string_table` VALUES ('477184105', '1C714069', 'object/static/creature/shared_corellia_carrion_spat.iff');
INSERT INTO `object_crc_string_table` VALUES ('2747990145', 'A3CB0081', 'object/static/creature/shared_corellia_dalyrake.iff');
INSERT INTO `object_crc_string_table` VALUES ('3048728047', 'B5B7E5EF', 'object/static/creature/shared_corellia_durni.iff');
INSERT INTO `object_crc_string_table` VALUES ('2954563063', 'B01B0DF7', 'object/static/creature/shared_corellia_gulingaw.iff');
INSERT INTO `object_crc_string_table` VALUES ('2683543667', '9FF3A073', 'object/static/creature/shared_corellia_krahbu.iff');
INSERT INTO `object_crc_string_table` VALUES ('2344476589', '8BBDDFAD', 'object/static/creature/shared_corellia_murra.iff');
INSERT INTO `object_crc_string_table` VALUES ('1375326208', '51F9D000', 'object/static/creature/shared_corellia_paralope.iff');
INSERT INTO `object_crc_string_table` VALUES ('3137870482', 'BB081A92', 'object/static/creature/shared_corellia_slice_hound.iff');
INSERT INTO `object_crc_string_table` VALUES ('4063038895', 'F22D0DAF', 'object/static/creature/shared_corellia_wrix.iff');
INSERT INTO `object_crc_string_table` VALUES ('854757845', '32F291D5', 'object/static/creature/shared_dantooine_bol.iff');
INSERT INTO `object_crc_string_table` VALUES ('1931905486', '732689CE', 'object/static/creature/shared_dantooine_huurton.iff');
INSERT INTO `object_crc_string_table` VALUES ('2303273158', '894928C6', 'object/static/creature/shared_dantooine_picket.iff');
INSERT INTO `object_crc_string_table` VALUES ('2156453868', '8088DFEC', 'object/static/creature/shared_dantooine_quenker.iff');
INSERT INTO `object_crc_string_table` VALUES ('3211038446', 'BF648EEE', 'object/static/creature/shared_dantooine_thune.iff');
INSERT INTO `object_crc_string_table` VALUES ('2989515482', 'B23062DA', 'object/static/creature/shared_dantooine_voritor_lizard.iff');
INSERT INTO `object_crc_string_table` VALUES ('3739778750', 'DEE87EBE', 'object/static/creature/shared_dathomir_baz_nitch.iff');
INSERT INTO `object_crc_string_table` VALUES ('2130373686', '7EFAEC36', 'object/static/creature/shared_dathomir_bolma.iff');
INSERT INTO `object_crc_string_table` VALUES ('148699511', '8DCF977', 'object/static/creature/shared_dathomir_brackaset.iff');
INSERT INTO `object_crc_string_table` VALUES ('2407684045', '8F8257CD', 'object/static/creature/shared_dathomir_gaping_spider.iff');
INSERT INTO `object_crc_string_table` VALUES ('2475425069', '938BFD2D', 'object/static/creature/shared_dathomir_kwi.iff');
INSERT INTO `object_crc_string_table` VALUES ('1615874421', '60504975', 'object/static/creature/shared_dathomir_purbole.iff');
INSERT INTO `object_crc_string_table` VALUES ('1734426995', '67614173', 'object/static/creature/shared_dathomir_rancor.iff');
INSERT INTO `object_crc_string_table` VALUES ('634197524', '25CD1614', 'object/static/creature/shared_droids_21b_medical.iff');
INSERT INTO `object_crc_string_table` VALUES ('3764580571', 'E062F0DB', 'object/static/creature/shared_droids_c118.iff');
INSERT INTO `object_crc_string_table` VALUES ('1268246832', '4B97E930', 'object/static/creature/shared_droids_dz70.iff');
INSERT INTO `object_crc_string_table` VALUES ('3476817295', 'CF3C058F', 'object/static/creature/shared_droids_eg6.iff');
INSERT INTO `object_crc_string_table` VALUES ('470452239', '1C0A880F', 'object/static/creature/shared_droids_imperial_it0.iff');
INSERT INTO `object_crc_string_table` VALUES ('1273875386', '4BEDCBBA', 'object/static/creature/shared_droids_le_repair.iff');
INSERT INTO `object_crc_string_table` VALUES ('3987492608', 'EDAC4F00', 'object/static/creature/shared_droids_lin_demolition.iff');
INSERT INTO `object_crc_string_table` VALUES ('1766014260', '69433D34', 'object/static/creature/shared_droids_mse_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('3769609842', 'E0AFAE72', 'object/static/creature/shared_droids_protocol_droid_gold.iff');
INSERT INTO `object_crc_string_table` VALUES ('1386398217', '52A2C209', 'object/static/creature/shared_droids_r2.iff');
INSERT INTO `object_crc_string_table` VALUES ('74591773', '4722E1D', 'object/static/creature/shared_droids_r2_waiter.iff');
INSERT INTO `object_crc_string_table` VALUES ('2839669021', 'A941E91D', 'object/static/creature/shared_droids_r5.iff');
INSERT INTO `object_crc_string_table` VALUES ('4031936600', 'F0527858', 'object/static/creature/shared_endor_arachne.iff');
INSERT INTO `object_crc_string_table` VALUES ('2777768022', 'A5916056', 'object/static/creature/shared_endor_blurrg.iff');
INSERT INTO `object_crc_string_table` VALUES ('2997015768', 'B2A2D4D8', 'object/static/creature/shared_endor_boar_wolf.iff');
INSERT INTO `object_crc_string_table` VALUES ('4030049897', 'F035AE69', 'object/static/creature/shared_endor_bolma.iff');
INSERT INTO `object_crc_string_table` VALUES ('153161597', '9210F7D', 'object/static/creature/shared_endor_bordok.iff');
INSERT INTO `object_crc_string_table` VALUES ('1525067606', '5AE6AF56', 'object/static/creature/shared_endor_gurrek.iff');
INSERT INTO `object_crc_string_table` VALUES ('3844520985', 'E526BC19', 'object/static/creature/shared_endor_roba.iff');
INSERT INTO `object_crc_string_table` VALUES ('3191722300', 'BE3DD13C', 'object/static/creature/shared_imperial_at_st.iff');
INSERT INTO `object_crc_string_table` VALUES ('315951279', '12D508AF', 'object/static/creature/shared_lok_gurk.iff');
INSERT INTO `object_crc_string_table` VALUES ('4271066089', 'FE934BE9', 'object/static/creature/shared_lok_gurnaset.iff');
INSERT INTO `object_crc_string_table` VALUES ('3580345318', 'D567BBE6', 'object/static/creature/shared_lok_kusak.iff');
INSERT INTO `object_crc_string_table` VALUES ('2773469649', 'A54FC9D1', 'object/static/creature/shared_lok_langlatch.iff');
INSERT INTO `object_crc_string_table` VALUES ('357241664', '154B1340', 'object/static/creature/shared_lok_pharple.iff');
INSERT INTO `object_crc_string_table` VALUES ('1617735804', '606CB07C', 'object/static/creature/shared_lok_snorbal.iff');
INSERT INTO `object_crc_string_table` VALUES ('14297223', 'DA2887', 'object/static/creature/shared_lok_vesp.iff');
INSERT INTO `object_crc_string_table` VALUES ('1767558298', '695ACC9A', 'object/static/creature/shared_naboo_bolle_bol.iff');
INSERT INTO `object_crc_string_table` VALUES ('226349579', 'D7DD20B', 'object/static/creature/shared_naboo_falumpaset.iff');
INSERT INTO `object_crc_string_table` VALUES ('2354504429', '8C56E2ED', 'object/static/creature/shared_naboo_fambaa.iff');
INSERT INTO `object_crc_string_table` VALUES ('1571631502', '5DAD318E', 'object/static/creature/shared_naboo_gualama.iff');
INSERT INTO `object_crc_string_table` VALUES ('2364724606', '8CF2D57E', 'object/static/creature/shared_naboo_kaadu.iff');
INSERT INTO `object_crc_string_table` VALUES ('1920843509', '727DBEF5', 'object/static/creature/shared_naboo_shaupaut.iff');
INSERT INTO `object_crc_string_table` VALUES ('3593979400', 'D637C608', 'object/static/creature/shared_naboo_tusk_cat.iff');
INSERT INTO `object_crc_string_table` VALUES ('3885148339', 'E792A8B3', 'object/static/creature/shared_naboo_veermok.iff');
INSERT INTO `object_crc_string_table` VALUES ('1608440478', '5FDEDA9E', 'object/static/creature/shared_rori_bearded_jax.iff');
INSERT INTO `object_crc_string_table` VALUES ('3736933444', 'DEBD1444', 'object/static/creature/shared_rori_forest_mite.iff');
INSERT INTO `object_crc_string_table` VALUES ('115117462', '6DC8D96', 'object/static/creature/shared_rori_pugoriss.iff');
INSERT INTO `object_crc_string_table` VALUES ('2689990897', 'A05600F1', 'object/static/creature/shared_rori_squall.iff');
INSERT INTO `object_crc_string_table` VALUES ('2296435059', '88E0D173', 'object/static/creature/shared_rori_vrobal.iff');
INSERT INTO `object_crc_string_table` VALUES ('3737643958', 'DEC7EBB6', 'object/static/creature/shared_talus_guf_drolg.iff');
INSERT INTO `object_crc_string_table` VALUES ('595006750', '2377151E', 'object/static/creature/shared_talus_kima.iff');
INSERT INTO `object_crc_string_table` VALUES ('347380569', '14B49B59', 'object/static/creature/shared_talus_sludge_panther.iff');
INSERT INTO `object_crc_string_table` VALUES ('3938599478', 'EAC24236', 'object/static/creature/shared_tatooine_bantha_nosaddle.iff');
INSERT INTO `object_crc_string_table` VALUES ('3837912821', 'E4C1E6F5', 'object/static/creature/shared_tatooine_bantha_saddle.iff');
INSERT INTO `object_crc_string_table` VALUES ('1883442736', '70430E30', 'object/static/creature/shared_tatooine_cu_pa.iff');
INSERT INTO `object_crc_string_table` VALUES ('720218946', '2AEDAB42', 'object/static/creature/shared_tatooine_dewback.iff');
INSERT INTO `object_crc_string_table` VALUES ('73737599', '465257F', 'object/static/creature/shared_tatooine_dewback_nosaddle.iff');
INSERT INTO `object_crc_string_table` VALUES ('2624628846', '9C70A86E', 'object/static/creature/shared_tatooine_eopie.iff');
INSERT INTO `object_crc_string_table` VALUES ('10526857', 'A0A089', 'object/static/creature/shared_tatooine_jawa.iff');
INSERT INTO `object_crc_string_table` VALUES ('2864148327', 'AAB76F67', 'object/static/creature/shared_tatooine_ronto.iff');
INSERT INTO `object_crc_string_table` VALUES ('424564253', '194E561D', 'object/static/creature/shared_tatooine_sarlacc.iff');
INSERT INTO `object_crc_string_table` VALUES ('1422492223', '54C9823F', 'object/static/creature/shared_tatooine_squill.iff');
INSERT INTO `object_crc_string_table` VALUES ('3864955184', 'E65E8930', 'object/static/creature/shared_tatooine_womp_rat.iff');
INSERT INTO `object_crc_string_table` VALUES ('1929245972', '72FDF514', 'object/static/creature/shared_tatooine_worrt.iff');
INSERT INTO `object_crc_string_table` VALUES ('3688075301', 'DBD39025', 'object/static/creature/shared_yavin4_choku.iff');
INSERT INTO `object_crc_string_table` VALUES ('4080884107', 'F33D598B', 'object/static/creature/shared_yavin4_kliknik.iff');
INSERT INTO `object_crc_string_table` VALUES ('3561928854', 'D44EB896', 'object/static/creature/shared_yavin4_mamien.iff');
INSERT INTO `object_crc_string_table` VALUES ('2479758005', '93CE1AB5', 'object/static/creature/shared_yavin4_mawgax.iff');
INSERT INTO `object_crc_string_table` VALUES ('836656341', '31DE5CD5', 'object/static/creature/shared_yavin4_skreeg.iff');
INSERT INTO `object_crc_string_table` VALUES ('1663198408', '632264C8', 'object/static/creature/shared_yavin4_tybis.iff');
INSERT INTO `object_crc_string_table` VALUES ('2786092096', 'A6106440', 'object/static/dathomir/shared_dath_mistyfalls_waterfall1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2097663191', '7D07CCD7', 'object/static/dathomir/shared_dath_mistyfalls_waterfall2.iff');
INSERT INTO `object_crc_string_table` VALUES ('918998876', '36C6CF5C', 'object/static/destructible/shared_destructible_cave_wall_damprock.iff');
INSERT INTO `object_crc_string_table` VALUES ('4179770460', 'F9223C5C', 'object/static/destructible/shared_destructible_item_barrel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2104939815', '7D76D527', 'object/static/destructible/shared_destructible_tato_cave_rock_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('3390669674', 'CA19836A', 'object/static/destructible/shared_destructible_tato_cave_rock_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('4003304122', 'EE9D92BA', 'object/static/destructible/shared_destructible_tato_crate1.iff');
INSERT INTO `object_crc_string_table` VALUES ('316155043', '12D824A3', 'object/static/destructible/shared_destructible_tato_drum_dented.iff');
INSERT INTO `object_crc_string_table` VALUES ('2157671754', '809B754A', 'object/static/destructible/shared_destructible_tato_drum_storage1.iff');
INSERT INTO `object_crc_string_table` VALUES ('196750544', 'BBA2CD0', 'object/static/destructible/shared_gungan_sacred_head.iff');
INSERT INTO `object_crc_string_table` VALUES ('2524579942', '967A0866', 'object/static/firework/base/shared_firework_fx_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('4015660279', 'EF5A1CF7', 'object/static/firework/shared_fx_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('877507680', '344DB460', 'object/static/firework/shared_fx_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2101400557', '7D40D3ED', 'object/static/firework/shared_fx_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2258893049', '86A3F8F9', 'object/static/firework/shared_fx_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3484327796', 'CFAE9F74', 'object/static/firework/shared_fx_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('3179247106', 'BD7F7602', 'object/static/firework/shared_fx_10.iff');
INSERT INTO `object_crc_string_table` VALUES ('4101116303', 'F472118F', 'object/static/firework/shared_fx_11.iff');
INSERT INTO `object_crc_string_table` VALUES ('4237717764', 'FC967104', 'object/static/firework/shared_fx_18.iff');
INSERT INTO `object_crc_string_table` VALUES ('4092821074', 'F3F37E52', 'object/static/firework/shared_show_launcher.iff');
INSERT INTO `object_crc_string_table` VALUES ('3282656608', 'C3A95D60', 'object/static/flora/shared_flora_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3380635776', 'C9806880', 'object/static/flora/shared_flora_bush_dathomir_hwotha.iff');
INSERT INTO `object_crc_string_table` VALUES ('2385797177', '8E346039', 'object/static/flora/shared_flora_bush_endor_rainbowbush.iff');
INSERT INTO `object_crc_string_table` VALUES ('1622915798', '60BBBAD6', 'object/static/flora/shared_flora_bush_talus_razorcoil.iff');
INSERT INTO `object_crc_string_table` VALUES ('4112833826', 'F524DD22', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff');
INSERT INTO `object_crc_string_table` VALUES ('1303000302', '4DAA34EE', 'object/static/flora/shared_flora_decd_dath_azerontree.iff');
INSERT INTO `object_crc_string_table` VALUES ('1239955396', '49E837C4', 'object/static/flora/shared_flora_decd_dath_blacktree.iff');
INSERT INTO `object_crc_string_table` VALUES ('3087503053', 'B8078ECD', 'object/static/flora/shared_flora_decd_endr_destree_dead.iff');
INSERT INTO `object_crc_string_table` VALUES ('1850241596', '6E48723C', 'object/static/flora/shared_flora_decd_scorched_massassi.iff');
INSERT INTO `object_crc_string_table` VALUES ('1334140957', '4F85601D', 'object/static/flora/shared_flora_decd_scorched_massassi_broke.iff');
INSERT INTO `object_crc_string_table` VALUES ('4131259780', 'F63E0584', 'object/static/flora/shared_flora_decd_scorched_tallbirch.iff');
INSERT INTO `object_crc_string_table` VALUES ('2780610841', 'A5BCC119', 'object/static/flora/shared_flora_decd_scorched_tallbirch_broke.iff');
INSERT INTO `object_crc_string_table` VALUES ('2323835715', '8A82EB43', 'object/static/flora/shared_flora_flower_all_bauhin.iff');
INSERT INTO `object_crc_string_table` VALUES ('1951625577', '74537169', 'object/static/flora/shared_flora_flower_endor_scrubwort.iff');
INSERT INTO `object_crc_string_table` VALUES ('3210762519', 'BF605917', 'object/static/flora/shared_flora_flower_tato_funnel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1114511484', '426E187C', 'object/static/flora/shared_flora_flower_tato_funnel_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('3419088004', 'CBCB2484', 'object/static/flora/shared_flora_flower_tato_funnel_sm.iff');
INSERT INTO `object_crc_string_table` VALUES ('3330222752', 'C67F2AA0', 'object/static/flora/shared_flora_plant_tato_falotil.iff');
INSERT INTO `object_crc_string_table` VALUES ('3257873338', 'C22F33BA', 'object/static/flora/shared_flora_plant_tato_falotil_bare.iff');
INSERT INTO `object_crc_string_table` VALUES ('998793848', '3B886278', 'object/static/flora/shared_flora_plant_tato_hubba.iff');
INSERT INTO `object_crc_string_table` VALUES ('2097396056', '7D03B958', 'object/static/flora/shared_flora_plant_tato_pika.iff');
INSERT INTO `object_crc_string_table` VALUES ('753105168', '2CE37910', 'object/static/flora/shared_flora_plant_tato_pika_tri.iff');
INSERT INTO `object_crc_string_table` VALUES ('4134879921', 'F67542B1', 'object/static/flora/shared_flora_shrb_dath_glingi.iff');
INSERT INTO `object_crc_string_table` VALUES ('3776365618', 'E116C432', 'object/static/flora/shared_flora_tree_lok_mkpud.iff');
INSERT INTO `object_crc_string_table` VALUES ('2866142506', 'AAD5DD2A', 'object/static/flora/shared_flora_tree_palm_fngi.iff');
INSERT INTO `object_crc_string_table` VALUES ('2535930087', '972738E7', 'object/static/flora/shared_flora_tree_palm_sm.iff');
INSERT INTO `object_crc_string_table` VALUES ('758632558', '2D37D06E', 'object/static/flora/shared_flora_tree_palm_thk.iff');
INSERT INTO `object_crc_string_table` VALUES ('1443720376', '560D6CB8', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff');
INSERT INTO `object_crc_string_table` VALUES ('4015418034', 'EF566AB2', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff');
INSERT INTO `object_crc_string_table` VALUES ('2790985023', 'A65B0D3F', 'object/static/flora/shared_flora_tree_rori_windswept_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2102175144', '7D4CA5A8', 'object/static/flora/shared_flora_tree_rori_windswept_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('876724773', '3441C225', 'object/static/flora/shared_flora_tree_rori_windswept_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1020776426', '3CD7CFEA', 'object/static/flora/shared_flora_tree_tato_touchnot.iff');
INSERT INTO `object_crc_string_table` VALUES ('248082179', 'EC96F03', 'object/static/flora/shared_potted_plant_flowers_orange.iff');
INSERT INTO `object_crc_string_table` VALUES ('3892348345', 'E80085B9', 'object/static/flora/shared_potted_plant_flowers_purple.iff');
INSERT INTO `object_crc_string_table` VALUES ('877469590', '344D1F96', 'object/static/flora/shared_potted_plant_leaves_fern.iff');
INSERT INTO `object_crc_string_table` VALUES ('1315610543', '4E6A9FAF', 'object/static/flora/shared_potted_plant_leaves_ivy.iff');
INSERT INTO `object_crc_string_table` VALUES ('622948670', '2521713E', 'object/static/flora/shared_potted_plant_leaves_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('1376116358', '5205DE86', 'object/static/installation/shared_mockup_factory_clothing_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1702691941', '657D0465', 'object/static/installation/shared_mockup_factory_item_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1996893062', '77062B86', 'object/static/installation/shared_mockup_factory_machine_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1851420525', '6E5A6F6D', 'object/static/installation/shared_mockup_factory_organic_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2670476003', '9F2C3AE3', 'object/static/installation/shared_mockup_farm_creature_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('455333563', '1B23D6BB', 'object/static/installation/shared_mockup_farm_flora_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('952651135', '38C84D7F', 'object/static/installation/shared_mockup_mining_gas_harvester_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2973636894', 'B13E191E', 'object/static/installation/shared_mockup_mining_liquid_harvester_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3774495712', 'E0FA3BE0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff');
INSERT INTO `object_crc_string_table` VALUES ('3112884760', 'B98ADA18', 'object/static/installation/shared_mockup_mining_ore_harvester_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1654485647', '629D728F', 'object/static/installation/shared_mockup_mining_ore_harvester_style_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2278647849', '87D16829', 'object/static/installation/shared_mockup_power_generator_fusion_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1650901824', '6266C340', 'object/static/installation/shared_mockup_power_generator_photo_bio_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2423687218', '90768832', 'object/static/installation/shared_mockup_power_generator_solar_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('467258209', '1BD9CB61', 'object/static/installation/shared_mockup_power_generator_wind_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1899025413', '7130D405', 'object/static/item/shared_armor_bone_bicep_left.iff');
INSERT INTO `object_crc_string_table` VALUES ('41670550', '27BD796', 'object/static/item/shared_armor_bone_bicep_right.iff');
INSERT INTO `object_crc_string_table` VALUES ('382834978', '16D19922', 'object/static/item/shared_armor_bone_boots.iff');
INSERT INTO `object_crc_string_table` VALUES ('2196134634', '82E65AEA', 'object/static/item/shared_armor_bone_bracer_left.iff');
INSERT INTO `object_crc_string_table` VALUES ('1343152966', '500EE346', 'object/static/item/shared_armor_bone_bracer_right.iff');
INSERT INTO `object_crc_string_table` VALUES ('1633683478', '61600816', 'object/static/item/shared_armor_bone_chestplate.iff');
INSERT INTO `object_crc_string_table` VALUES ('3066229216', 'B6C2F1E0', 'object/static/item/shared_armor_bone_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('140815738', '864AD7A', 'object/static/item/shared_armor_bone_leggings.iff');
INSERT INTO `object_crc_string_table` VALUES ('1343017016', '500CD038', 'object/static/item/shared_armor_chitin_chestplate.iff');
INSERT INTO `object_crc_string_table` VALUES ('3642120486', 'D9165926', 'object/static/item/shared_armor_chitin_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('94582139', '5A3357B', 'object/static/item/shared_armor_composite_chestplate.iff');
INSERT INTO `object_crc_string_table` VALUES ('3193810957', 'BE5DB00D', 'object/static/item/shared_armor_composite_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('1320875919', '4EBAF78F', 'object/static/item/shared_armor_imp_chestplate.iff');
INSERT INTO `object_crc_string_table` VALUES ('2794536831', 'A6913F7F', 'object/static/item/shared_armor_imp_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('2742991799', 'A37EBBB7', 'object/static/item/shared_armor_imp_leggings.iff');
INSERT INTO `object_crc_string_table` VALUES ('1633324476', '615A8DBC', 'object/static/item/shared_armor_padded_chestplate.iff');
INSERT INTO `object_crc_string_table` VALUES ('809863082', '304587AA', 'object/static/item/shared_armor_padded_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('4170506744', 'F894E1F8', 'object/static/item/shared_item_ammo_rocket.iff');
INSERT INTO `object_crc_string_table` VALUES ('570042739', '21FA2973', 'object/static/item/shared_item_atat_lifesupport_pack.iff');
INSERT INTO `object_crc_string_table` VALUES ('109834402', '68BF0A2', 'object/static/item/shared_item_axe.iff');
INSERT INTO `object_crc_string_table` VALUES ('568915597', '21E8F68D', 'object/static/item/shared_item_bacta_ampules.iff');
INSERT INTO `object_crc_string_table` VALUES ('377921986', '1686A1C2', 'object/static/item/shared_item_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2195165289', '82D79069', 'object/static/item/shared_item_basket_closed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2018770690', '7853FF02', 'object/static/item/shared_item_basket_frame.iff');
INSERT INTO `object_crc_string_table` VALUES ('3461086095', 'CE4BFB8F', 'object/static/item/shared_item_basket_shallow.iff');
INSERT INTO `object_crc_string_table` VALUES ('2258606562', '869F99E2', 'object/static/item/shared_item_binoculars.iff');
INSERT INTO `object_crc_string_table` VALUES ('3689007977', 'DBE1CB69', 'object/static/item/shared_item_bottle_fat.iff');
INSERT INTO `object_crc_string_table` VALUES ('1981667646', '761DD93E', 'object/static/item/shared_item_bottle_pear.iff');
INSERT INTO `object_crc_string_table` VALUES ('4225375385', 'FBDA1C99', 'object/static/item/shared_item_bottle_tall.iff');
INSERT INTO `object_crc_string_table` VALUES ('3068941566', 'B6EC54FE', 'object/static/item/shared_item_bowl_carved.iff');
INSERT INTO `object_crc_string_table` VALUES ('107185491', '6638553', 'object/static/item/shared_item_bowl_plain.iff');
INSERT INTO `object_crc_string_table` VALUES ('1053398824', '3EC99728', 'object/static/item/shared_item_bowl_shallow.iff');
INSERT INTO `object_crc_string_table` VALUES ('3680189690', 'DB5B3CFA', 'object/static/item/shared_item_bread_loaf.iff');
INSERT INTO `object_crc_string_table` VALUES ('3247183112', 'C18C1508', 'object/static/item/shared_item_briefcase.iff');
INSERT INTO `object_crc_string_table` VALUES ('2462334330', '92C43D7A', 'object/static/item/shared_item_cage_bamboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('2142034506', '7FACDA4A', 'object/static/item/shared_item_camera.iff');
INSERT INTO `object_crc_string_table` VALUES ('3137119633', 'BAFCA591', 'object/static/item/shared_item_carbine_dh17.iff');
INSERT INTO `object_crc_string_table` VALUES ('1473664410', '57D6559A', 'object/static/item/shared_item_carbine_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1397773079', '53505317', 'object/static/item/shared_item_carbine_imperial_e11.iff');
INSERT INTO `object_crc_string_table` VALUES ('272772605', '10422DFD', 'object/static/item/shared_item_carbine_laser.iff');
INSERT INTO `object_crc_string_table` VALUES ('1148404776', '44734428', 'object/static/item/shared_item_chair_cafe_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2674191551', '9F64ECBF', 'object/static/item/shared_item_chair_cafe_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2268935381', '873D34D5', 'object/static/item/shared_item_chair_futon_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('244758057', 'E96B629', 'object/static/item/shared_item_chair_metal_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('894596562', '355275D2', 'object/static/item/shared_item_chair_metal_wheeled_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2420924532', '904C6074', 'object/static/item/shared_item_chair_modern_loveseat_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3071442412', 'B7127DEC', 'object/static/item/shared_item_chair_recliner_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3215824507', 'BFAD967B', 'object/static/item/shared_item_chair_tato_cafe_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1689927404', '64BA3EEC', 'object/static/item/shared_item_chair_tato_cafe_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3898799663', 'E862F62F', 'object/static/item/shared_item_cheap_cabinet_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1128245228', '433FA7EC', 'object/static/item/shared_item_cheese_wheel_s1_partial.iff');
INSERT INTO `object_crc_string_table` VALUES ('2995492937', 'B28B9849', 'object/static/item/shared_item_chemical_container_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('1336005578', '4FA1D3CA', 'object/static/item/shared_item_chemical_container_sm.iff');
INSERT INTO `object_crc_string_table` VALUES ('755038889', '2D00FAA9', 'object/static/item/shared_item_cloth_patches.iff');
INSERT INTO `object_crc_string_table` VALUES ('3801331454', 'E293B6FE', 'object/static/item/shared_item_comp_blaster_cannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('2119991533', '7E5C80ED', 'object/static/item/shared_item_comp_ion_cannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('3210817338', 'BF612F3A', 'object/static/item/shared_item_comp_stabilization_unit.iff');
INSERT INTO `object_crc_string_table` VALUES ('881953982', '34918CBE', 'object/static/item/shared_item_comp_turret_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3696942882', 'DC5ADF22', 'object/static/item/shared_item_con_bag_ingredients_lg_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2887784359', 'AC2017A7', 'object/static/item/shared_item_con_bag_sm.iff');
INSERT INTO `object_crc_string_table` VALUES ('782789818', '2EA86CBA', 'object/static/item/shared_item_con_barrel_lg_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('468970819', '1BF3ED43', 'object/static/item/shared_item_con_basket.iff');
INSERT INTO `object_crc_string_table` VALUES ('1435978532', '55974B24', 'object/static/item/shared_item_con_bowl_full.iff');
INSERT INTO `object_crc_string_table` VALUES ('22411271', '155F807', 'object/static/item/shared_item_con_bowl_serving_full.iff');
INSERT INTO `object_crc_string_table` VALUES ('3135460176', 'BAE35350', 'object/static/item/shared_item_con_drink_flask.iff');
INSERT INTO `object_crc_string_table` VALUES ('1302190221', '4D9DD88D', 'object/static/item/shared_item_con_glass_beaker.iff');
INSERT INTO `object_crc_string_table` VALUES ('2557094901', '986A2BF5', 'object/static/item/shared_item_con_glass_full_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3008672134', 'B354B186', 'object/static/item/shared_item_con_pitcher_full.iff');
INSERT INTO `object_crc_string_table` VALUES ('3388012720', 'C9F0F8B0', 'object/static/item/shared_item_con_plate_casserole.iff');
INSERT INTO `object_crc_string_table` VALUES ('3130233010', 'BA9390B2', 'object/static/item/shared_item_con_plate_s1_full.iff');
INSERT INTO `object_crc_string_table` VALUES ('1720318167', '6689F8D7', 'object/static/item/shared_item_con_ration_kit_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('3534364000', 'D2AA1D60', 'object/static/item/shared_item_con_ration_kit_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('798767493', '2F9C3985', 'object/static/item/shared_item_con_tankard_full.iff');
INSERT INTO `object_crc_string_table` VALUES ('2519863183', '96320F8F', 'object/static/item/shared_item_con_tato_bowl_full_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1294313240', '4D25A718', 'object/static/item/shared_item_con_tato_bowl_full_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1498865741', '5956E04D', 'object/static/item/shared_item_con_tato_cup_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('274433984', '105B87C0', 'object/static/item/shared_item_con_tato_cup_s3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2923451996', 'AE40565C', 'object/static/item/shared_item_con_water.iff');
INSERT INTO `object_crc_string_table` VALUES ('3283714136', 'C3B98058', 'object/static/item/shared_item_con_winebottle_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('414066895', '18AE28CF', 'object/static/item/shared_item_con_winebottle_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1369657154', '51A34F42', 'object/static/item/shared_item_con_winebottle_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2856346710', 'AA406456', 'object/static/item/shared_item_con_winebottle_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3813475291', 'E34D03DB', 'object/static/item/shared_item_con_winebottle_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('4175646326', 'F8E34E76', 'object/static/item/shared_item_container_armor.iff');
INSERT INTO `object_crc_string_table` VALUES ('2255481432', '866FEA58', 'object/static/item/shared_item_container_electronics.iff');
INSERT INTO `object_crc_string_table` VALUES ('3085056595', 'B7E23A53', 'object/static/item/shared_item_container_energy_gas.iff');
INSERT INTO `object_crc_string_table` VALUES ('3714078297', 'DD605659', 'object/static/item/shared_item_container_energy_liquid.iff');
INSERT INTO `object_crc_string_table` VALUES ('3965708443', 'EC5FE89B', 'object/static/item/shared_item_container_energy_radioactive.iff');
INSERT INTO `object_crc_string_table` VALUES ('2370309576', '8D480DC8', 'object/static/item/shared_item_container_energy_solid.iff');
INSERT INTO `object_crc_string_table` VALUES ('2404088951', '8F4B7C77', 'object/static/item/shared_item_container_inorganic_chemicals.iff');
INSERT INTO `object_crc_string_table` VALUES ('1076369059', '402816A3', 'object/static/item/shared_item_container_inorganic_gas.iff');
INSERT INTO `object_crc_string_table` VALUES ('2784088837', 'A5F1D305', 'object/static/item/shared_item_container_inorganic_minerals.iff');
INSERT INTO `object_crc_string_table` VALUES ('3390061047', 'CA1039F7', 'object/static/item/shared_item_container_inorganic_water.iff');
INSERT INTO `object_crc_string_table` VALUES ('240677545', 'E5872A9', 'object/static/item/shared_item_container_installation.iff');
INSERT INTO `object_crc_string_table` VALUES ('1305067335', '4DC9BF47', 'object/static/item/shared_item_container_organic_food.iff');
INSERT INTO `object_crc_string_table` VALUES ('1581761382', '5E47C366', 'object/static/item/shared_item_container_organic_hide.iff');
INSERT INTO `object_crc_string_table` VALUES ('3030050763', 'B49AE7CB', 'object/static/item/shared_item_container_organic_structure.iff');
INSERT INTO `object_crc_string_table` VALUES ('1255851413', '4ADAC595', 'object/static/item/shared_item_container_plain_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2446159106', '91CD6D02', 'object/static/item/shared_item_container_plain_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3636464271', 'D8C00A8F', 'object/static/item/shared_item_container_plain_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('589504923', '2323219B', 'object/static/item/shared_item_container_plain_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3641225683', 'D908B1D3', 'object/static/item/shared_item_container_weapons.iff');
INSERT INTO `object_crc_string_table` VALUES ('3546018033', 'D35BF0F1', 'object/static/item/shared_item_cook_frying_pan.iff');
INSERT INTO `object_crc_string_table` VALUES ('2685147084', 'A00C17CC', 'object/static/item/shared_item_cook_pot_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('1562795087', '5D265C4F', 'object/static/item/shared_item_cook_pot_sm.iff');
INSERT INTO `object_crc_string_table` VALUES ('3603096922', 'D6C2E55A', 'object/static/item/shared_item_crate_clothing_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('1789284715', '6AA6516B', 'object/static/item/shared_item_crate_spice.iff');
INSERT INTO `object_crc_string_table` VALUES ('4136425931', 'F68CD9CB', 'object/static/item/shared_item_data_disk.iff');
INSERT INTO `object_crc_string_table` VALUES ('522904897', '1F2AE541', 'object/static/item/shared_item_datapad_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3292351958', 'C43D4DD6', 'object/static/item/shared_item_datapad_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('980291180', '3A6E0E6C', 'object/static/item/shared_item_decryptor_imperial.iff');
INSERT INTO `object_crc_string_table` VALUES ('1651617897', '6271B069', 'object/static/item/shared_item_diagnostic_screen.iff');
INSERT INTO `object_crc_string_table` VALUES ('1483782412', '5870B90C', 'object/static/item/shared_item_document.iff');
INSERT INTO `object_crc_string_table` VALUES ('2782320182', 'A5D6D636', 'object/static/item/shared_item_door_impl_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3229629688', 'C0803CF8', 'object/static/item/shared_item_drall_medicine.iff');
INSERT INTO `object_crc_string_table` VALUES ('2741400727', 'A3667497', 'object/static/item/shared_item_droid_magnet.iff');
INSERT INTO `object_crc_string_table` VALUES ('578717359', '227E86AF', 'object/static/item/shared_item_dye_kit.iff');
INSERT INTO `object_crc_string_table` VALUES ('3452623710', 'CDCADB5E', 'object/static/item/shared_item_edb_con_tato_cup_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2227682515', '84C7BCD3', 'object/static/item/shared_item_edb_con_tato_cup_s3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2686619843', 'A02290C3', 'object/static/item/shared_item_eyes_of_mesra.iff');
INSERT INTO `object_crc_string_table` VALUES ('1962912307', '74FFAA33', 'object/static/item/shared_item_food_assorted_fruit.iff');
INSERT INTO `object_crc_string_table` VALUES ('2447344421', '91DF8325', 'object/static/item/shared_item_food_cake.iff');
INSERT INTO `object_crc_string_table` VALUES ('1643171226', '61F0CD9A', 'object/static/item/shared_item_food_dish_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3135726861', 'BAE7650D', 'object/static/item/shared_item_food_dish_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4092199552', 'F3EA0280', 'object/static/item/shared_item_food_dish_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('134818196', '8092994', 'object/static/item/shared_item_food_dish_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1090801177', '41044E19', 'object/static/item/shared_item_food_dish_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('2584995470', '9A13E68E', 'object/static/item/shared_item_food_dish_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('2484078697', '94100869', 'object/static/item/shared_item_food_fish.iff');
INSERT INTO `object_crc_string_table` VALUES ('4237678042', 'FC95D5DA', 'object/static/item/shared_item_food_fruit_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('662863181', '27827D4D', 'object/static/item/shared_item_food_fruit_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1854872256', '6E8F1AC0', 'object/static/item/shared_item_food_fruit_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3941091563', 'EAE848EB', 'object/static/item/shared_item_food_links.iff');
INSERT INTO `object_crc_string_table` VALUES ('357872124', '1554B1FC', 'object/static/item/shared_item_food_meat_loaf.iff');
INSERT INTO `object_crc_string_table` VALUES ('3930727381', 'EA4A23D5', 'object/static/item/shared_item_food_meat_roast.iff');
INSERT INTO `object_crc_string_table` VALUES ('2792426547', 'A6710C33', 'object/static/item/shared_item_food_muffins.iff');
INSERT INTO `object_crc_string_table` VALUES ('1451691855', '56870F4F', 'object/static/item/shared_item_food_nutricake.iff');
INSERT INTO `object_crc_string_table` VALUES ('4291568660', 'FFCC2414', 'object/static/item/shared_item_food_pie.iff');
INSERT INTO `object_crc_string_table` VALUES ('3224713039', 'C035374F', 'object/static/item/shared_item_food_pie_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4222035816', 'FBA72768', 'object/static/item/shared_item_food_sandwich.iff');
INSERT INTO `object_crc_string_table` VALUES ('4188629182', 'F9A968BE', 'object/static/item/shared_item_food_sausage.iff');
INSERT INTO `object_crc_string_table` VALUES ('153020576', '91EE8A0', 'object/static/item/shared_item_food_skewer.iff');
INSERT INTO `object_crc_string_table` VALUES ('2784005446', 'A5F08D46', 'object/static/item/shared_item_food_spices.iff');
INSERT INTO `object_crc_string_table` VALUES ('1453569476', '56A3B5C4', 'object/static/item/shared_item_food_vegetable_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2377391443', '8DB41D53', 'object/static/item/shared_item_food_vegetable_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3300489950', 'C4B97ADE', 'object/static/item/shared_item_food_vegetable_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2726248829', 'A27F417D', 'object/static/item/shared_item_fruit_melon.iff');
INSERT INTO `object_crc_string_table` VALUES ('608112100', '243F0DE4', 'object/static/item/shared_item_game_dejarik_gameboard.iff');
INSERT INTO `object_crc_string_table` VALUES ('1526354706', '5AFA5312', 'object/static/item/shared_item_glass_bluemilk.iff');
INSERT INTO `object_crc_string_table` VALUES ('3464252430', 'CE7C4C0E', 'object/static/item/shared_item_glass_empty.iff');
INSERT INTO `object_crc_string_table` VALUES ('3995101539', 'EE206963', 'object/static/item/shared_item_glass_full.iff');
INSERT INTO `object_crc_string_table` VALUES ('2261530459', '86CC375B', 'object/static/item/shared_item_glass_metal.iff');
INSERT INTO `object_crc_string_table` VALUES ('1070449231', '3FCDC24F', 'object/static/item/shared_item_glass_white.iff');
INSERT INTO `object_crc_string_table` VALUES ('781716835', '2E980D63', 'object/static/item/shared_item_hair_dye_kit.iff');
INSERT INTO `object_crc_string_table` VALUES ('3281791142', 'C39C28A6', 'object/static/item/shared_item_imperial_lifesupport_pack.iff');
INSERT INTO `object_crc_string_table` VALUES ('1166760359', '458B59A7', 'object/static/item/shared_item_items_container_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('3097563684', 'B8A11224', 'object/static/item/shared_item_items_container_sm.iff');
INSERT INTO `object_crc_string_table` VALUES ('1266080022', '4B76D916', 'object/static/item/shared_item_jacket_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('193627130', 'B8A83FA', 'object/static/item/shared_item_jar_berries.iff');
INSERT INTO `object_crc_string_table` VALUES ('3304125843', 'C4F0F593', 'object/static/item/shared_item_jar_bugs.iff');
INSERT INTO `object_crc_string_table` VALUES ('3759215411', 'E0111333', 'object/static/item/shared_item_jar_empty.iff');
INSERT INTO `object_crc_string_table` VALUES ('2934305982', 'AEE5F4BE', 'object/static/item/shared_item_jar_funk.iff');
INSERT INTO `object_crc_string_table` VALUES ('1848547961', '6E2E9A79', 'object/static/item/shared_item_jar_guts.iff');
INSERT INTO `object_crc_string_table` VALUES ('2646277526', '9DBAFD96', 'object/static/item/shared_item_jar_spice_blue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2734733012', 'A300B6D4', 'object/static/item/shared_item_jar_spice_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('3077482380', 'B76EA78C', 'object/static/item/shared_item_jar_spice_white.iff');
INSERT INTO `object_crc_string_table` VALUES ('1894064245', '70E52075', 'object/static/item/shared_item_katana.iff');
INSERT INTO `object_crc_string_table` VALUES ('775820803', '2E3E1603', 'object/static/item/shared_item_keepsakes.iff');
INSERT INTO `object_crc_string_table` VALUES ('1010638097', '3C3D1D11', 'object/static/item/shared_item_key_electronic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3347975078', 'C78E0BA6', 'object/static/item/shared_item_kiosk_statue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1563747235', '5D34E3A3', 'object/static/item/shared_item_kitchen_chair_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2655114123', '9E41D38B', 'object/static/item/shared_item_kitchen_cook_set_lg_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1226902722', '49210CC2', 'object/static/item/shared_item_kitchen_portable_stove_sm_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2564506086', '98DB41E6', 'object/static/item/shared_item_kitchen_pot_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1137502577', '43CCE971', 'object/static/item/shared_item_kitchen_pot_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('180457212', 'AC18EFC', 'object/static/item/shared_item_kitchen_pot_style_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('806343879', '300FD4C7', 'object/static/item/shared_item_makeup.iff');
INSERT INTO `object_crc_string_table` VALUES ('1149924451', '448A7463', 'object/static/item/shared_item_meat_hunk.iff');
INSERT INTO `object_crc_string_table` VALUES ('4176592177', 'F8F1BD31', 'object/static/item/shared_item_meat_kabob.iff');
INSERT INTO `object_crc_string_table` VALUES ('2391288762', '8E882BBA', 'object/static/item/shared_item_medic_bacta_tank.iff');
INSERT INTO `object_crc_string_table` VALUES ('3268663656', 'C2D3D968', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('239850220', 'E4BD2EC', 'object/static/item/shared_item_medic_bacta_tank_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('89534284', '5562F4C', 'object/static/item/shared_item_medic_bag.iff');
INSERT INTO `object_crc_string_table` VALUES ('761234502', '2D5F8446', 'object/static/item/shared_item_medic_hormone_enhancements.iff');
INSERT INTO `object_crc_string_table` VALUES ('159228180', '97DA114', 'object/static/item/shared_item_medic_medpack_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('3596258776', 'D65A8DD8', 'object/static/item/shared_item_medic_radical_enhancements.iff');
INSERT INTO `object_crc_string_table` VALUES ('2863591257', 'AAAEEF59', 'object/static/item/shared_item_medic_stimpack.iff');
INSERT INTO `object_crc_string_table` VALUES ('246106758', 'EAB4A86', 'object/static/item/shared_item_medical_console.iff');
INSERT INTO `object_crc_string_table` VALUES ('2170258452', '815B8414', 'object/static/item/shared_item_metal_armor_layer.iff');
INSERT INTO `object_crc_string_table` VALUES ('3683981192', 'DB951788', 'object/static/item/shared_item_metal_armor_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('3838382803', 'E4C912D3', 'object/static/item/shared_item_metal_armor_segment.iff');
INSERT INTO `object_crc_string_table` VALUES ('3910295094', 'E9125E36', 'object/static/item/shared_item_metal_staff.iff');
INSERT INTO `object_crc_string_table` VALUES ('332671055', '13D4284F', 'object/static/item/shared_item_mockup_bank_terminal.iff');
INSERT INTO `object_crc_string_table` VALUES ('3509759537', 'D132AE31', 'object/static/item/shared_item_mun_ballot_box.iff');
INSERT INTO `object_crc_string_table` VALUES ('3913685828', 'E9461B44', 'object/static/item/shared_item_music_drum.iff');
INSERT INTO `object_crc_string_table` VALUES ('2886859470', 'AC11FACE', 'object/static/item/shared_item_music_gong_stick.iff');
INSERT INTO `object_crc_string_table` VALUES ('1392564831', '5300DA5F', 'object/static/item/shared_item_music_microphone_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2283238088', '881772C8', 'object/static/item/shared_item_music_microphone_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1121751331', '42DC9123', 'object/static/item/shared_item_music_omni_box.iff');
INSERT INTO `object_crc_string_table` VALUES ('2858477001', 'AA60E5C9', 'object/static/item/shared_item_music_red_ball_jet_organ.iff');
INSERT INTO `object_crc_string_table` VALUES ('254927168', 'F31E140', 'object/static/item/shared_item_nemodian_bird_cage.iff');
INSERT INTO `object_crc_string_table` VALUES ('1451068724', '567D8D34', 'object/static/item/shared_item_newbie_crate.iff');
INSERT INTO `object_crc_string_table` VALUES ('3040505241', 'B53A6D99', 'object/static/item/shared_item_organic_container.iff');
INSERT INTO `object_crc_string_table` VALUES ('613259702', '248D99B6', 'object/static/item/shared_item_organichem_stores.iff');
INSERT INTO `object_crc_string_table` VALUES ('3722569308', 'DDE1E65C', 'object/static/item/shared_item_painting_agrilat_swamp_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('116805323', '6F64ECB', 'object/static/item/shared_item_painting_agrilat_swamp_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('319085241', '1304DAB9', 'object/static/item/shared_item_painting_bothan_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2681544199', '9FD51E07', 'object/static/item/shared_item_painting_corellia_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1153611408', '44C2B690', 'object/static/item/shared_item_painting_corellia_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('898047270', '35871D26', 'object/static/item/shared_item_painting_endor_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2489851461', '94681E45', 'object/static/item/shared_item_painting_naboo_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('921871763', '36F2A593', 'object/static/item/shared_item_painting_tatooine_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3991211268', 'EDE50D04', 'object/static/item/shared_item_painting_tatooine_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1718716397', '667187ED', 'object/static/item/shared_item_pistol.iff');
INSERT INTO `object_crc_string_table` VALUES ('1252414061', '4AA6526D', 'object/static/item/shared_item_pistol_imperial_scout.iff');
INSERT INTO `object_crc_string_table` VALUES ('222887447', 'D48FE17', 'object/static/item/shared_item_place_setting_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3593697104', 'D6337750', 'object/static/item/shared_item_raw_cloth.iff');
INSERT INTO `object_crc_string_table` VALUES ('730337579', '2B88112B', 'object/static/item/shared_item_repair_melee_kit.iff');
INSERT INTO `object_crc_string_table` VALUES ('1186133138', '46B2F492', 'object/static/item/shared_item_ribbon.iff');
INSERT INTO `object_crc_string_table` VALUES ('328334469', '1391FC85', 'object/static/item/shared_item_rifle.iff');
INSERT INTO `object_crc_string_table` VALUES ('1042864505', '3E28D979', 'object/static/item/shared_item_rifle_t21.iff');
INSERT INTO `object_crc_string_table` VALUES ('1188714941', '46DA59BD', 'object/static/item/shared_item_rocket_launcher.iff');
INSERT INTO `object_crc_string_table` VALUES ('2692497434', 'A07C401A', 'object/static/item/shared_item_ryyk_blade.iff');
INSERT INTO `object_crc_string_table` VALUES ('516883090', '1ECF0292', 'object/static/item/shared_item_sclpt_stuffed_bantha.iff');
INSERT INTO `object_crc_string_table` VALUES ('3726137889', 'DE185A21', 'object/static/item/shared_item_scrolling_screen.iff');
INSERT INTO `object_crc_string_table` VALUES ('210118642', 'C8627F2', 'object/static/item/shared_item_security_scanner.iff');
INSERT INTO `object_crc_string_table` VALUES ('2943431813', 'AF713485', 'object/static/item/shared_item_sewing_utensils.iff');
INSERT INTO `object_crc_string_table` VALUES ('1394799204', '5322F264', 'object/static/item/shared_item_sewing_utensils_lg_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2285198067', '88355AF3', 'object/static/item/shared_item_sewing_utensils_lg_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1589368660', '5EBBD754', 'object/static/item/shared_item_shisha.iff');
INSERT INTO `object_crc_string_table` VALUES ('110349680', '693CD70', 'object/static/item/shared_item_slave_brazier.iff');
INSERT INTO `object_crc_string_table` VALUES ('235065843', 'E02D1F3', 'object/static/item/shared_item_speaker.iff');
INSERT INTO `object_crc_string_table` VALUES ('1107032483', '41FBF9A3', 'object/static/item/shared_item_storage_cabinet_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3134020162', 'BACD5A42', 'object/static/item/shared_item_structure_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('1396654236', '533F409C', 'object/static/item/shared_item_substance_analyzer.iff');
INSERT INTO `object_crc_string_table` VALUES ('2226997314', '84BD4842', 'object/static/item/shared_item_tank_bubble.iff');
INSERT INTO `object_crc_string_table` VALUES ('2134737488', '7F3D8250', 'object/static/item/shared_item_tank_gas.iff');
INSERT INTO `object_crc_string_table` VALUES ('1397358236', '5349FE9C', 'object/static/item/shared_item_tapestry_imperial.iff');
INSERT INTO `object_crc_string_table` VALUES ('3975304889', 'ECF256B9', 'object/static/item/shared_item_tapestry_rebel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2397241081', '8EE2FEF9', 'object/static/item/shared_item_tapestry_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('410220122', '1873765A', 'object/static/item/shared_item_tech_console_sectional_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('3278167757', 'C364DECD', 'object/static/item/shared_item_tech_console_sectional_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2322184512', '8A69B940', 'object/static/item/shared_item_tech_console_sectional_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('1904906836', '718A9254', 'object/static/item/shared_item_tech_console_sectional_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('3837927792', 'E4C22170', 'object/static/item/shared_item_tool_aeromagnifier.iff');
INSERT INTO `object_crc_string_table` VALUES ('3870512519', 'E6B35587', 'object/static/item/shared_item_tool_computer_toolkit.iff');
INSERT INTO `object_crc_string_table` VALUES ('1385243389', '529122FD', 'object/static/item/shared_item_tool_demagnetizer.iff');
INSERT INTO `object_crc_string_table` VALUES ('1574251690', '5DD52CAA', 'object/static/item/shared_item_tool_droid_toolkit.iff');
INSERT INTO `object_crc_string_table` VALUES ('3200271339', 'BEC043EB', 'object/static/item/shared_item_tool_engineering_datapad.iff');
INSERT INTO `object_crc_string_table` VALUES ('4196956120', 'FA2877D8', 'object/static/item/shared_item_tool_handheld_viewscreen_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('557834063', '213FDF4F', 'object/static/item/shared_item_tool_handheld_viewscreen_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2348445241', '8BFA6E39', 'object/static/item/shared_item_tool_hydrospanner.iff');
INSERT INTO `object_crc_string_table` VALUES ('3875485569', 'E6FF3781', 'object/static/item/shared_item_tool_instrument_calibrator.iff');
INSERT INTO `object_crc_string_table` VALUES ('2304998957', '89637E2D', 'object/static/item/shared_item_tool_magnetite_cleaner.iff');
INSERT INTO `object_crc_string_table` VALUES ('3445151914', 'CD58D8AA', 'object/static/item/shared_item_tool_meson_taloscope.iff');
INSERT INTO `object_crc_string_table` VALUES ('644353550', '26680E0E', 'object/static/item/shared_item_tool_ore_mining_unit.iff');
INSERT INTO `object_crc_string_table` VALUES ('1439401525', '55CB8635', 'object/static/item/shared_item_tool_power_output_analyzer.iff');
INSERT INTO `object_crc_string_table` VALUES ('2220759169', '845E1881', 'object/static/item/shared_item_tool_radio.iff');
INSERT INTO `object_crc_string_table` VALUES ('3897755824', 'E85308B0', 'object/static/item/shared_item_tool_ranged_wp_repair.iff');
INSERT INTO `object_crc_string_table` VALUES ('2107092671', '7D97AEBF', 'object/static/item/shared_item_tool_recording_rod.iff');
INSERT INTO `object_crc_string_table` VALUES ('3331762173', 'C696A7FD', 'object/static/item/shared_item_tool_sandstat.iff');
INSERT INTO `object_crc_string_table` VALUES ('977421656', '3A424558', 'object/static/item/shared_item_tool_sensor_beacon.iff');
INSERT INTO `object_crc_string_table` VALUES ('3660166964', 'DA29B734', 'object/static/item/shared_item_tool_sensor_frequency_jammer_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1171461633', '45D31601', 'object/static/item/shared_item_tool_stasis_field.iff');
INSERT INTO `object_crc_string_table` VALUES ('2681316682', '9FD1A54A', 'object/static/item/shared_item_tool_tools.iff');
INSERT INTO `object_crc_string_table` VALUES ('2665023163', '9ED906BB', 'object/static/item/shared_item_tool_turbine_generator.iff');
INSERT INTO `object_crc_string_table` VALUES ('1750773218', '685AADE2', 'object/static/item/shared_item_tool_worklight.iff');
INSERT INTO `object_crc_string_table` VALUES ('1245421508', '4A3B9FC4', 'object/static/item/shared_item_turbine_generator.iff');
INSERT INTO `object_crc_string_table` VALUES ('3409584272', 'CB3A2090', 'object/static/item/shared_item_vibroaxe.iff');
INSERT INTO `object_crc_string_table` VALUES ('674397916', '28327EDC', 'object/static/item/shared_item_vibroknuckles.iff');
INSERT INTO `object_crc_string_table` VALUES ('675826205', '28484A1D', 'object/static/item/shared_item_vibrolance.iff');
INSERT INTO `object_crc_string_table` VALUES ('401434510', '17ED678E', 'object/static/item/shared_item_wood_staff.iff');
INSERT INTO `object_crc_string_table` VALUES ('250888359', 'EF440A7', 'object/static/item/shared_wp_carbine_dh17_combined.iff');
INSERT INTO `object_crc_string_table` VALUES ('3414429101', 'CB840DAD', 'object/static/item/shared_wp_carbine_e11_combined.iff');
INSERT INTO `object_crc_string_table` VALUES ('1437189080', '55A9C3D8', 'object/static/item/shared_wp_carbine_ee3_combined.iff');
INSERT INTO `object_crc_string_table` VALUES ('1850802894', '6E5102CE', 'object/static/item/shared_wp_carbine_elite_combined.iff');
INSERT INTO `object_crc_string_table` VALUES ('1453498990', '56A2A26E', 'object/static/item/shared_wp_carbine_laser_combined.iff');
INSERT INTO `object_crc_string_table` VALUES ('3699781446', 'DC862F46', 'object/static/item/shared_wp_mle_2h_sword_axe_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1065633828', '3F844824', 'object/static/item/shared_wp_mle_2h_sword_lightsaber_luke.iff');
INSERT INTO `object_crc_string_table` VALUES ('3350565207', 'C7B59157', 'object/static/item/shared_wp_mle_2h_sword_lightsaber_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1482753040', '58610410', 'object/static/item/shared_wp_mle_2h_sword_maul_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('521257310', '1F11C15E', 'object/static/item/shared_wp_mle_2h_sword_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3288754633', 'C40669C9', 'object/static/item/shared_wp_mle_2h_sword_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2366312004', '8D0B0E44', 'object/static/item/shared_wp_mle_2h_sword_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1844463104', '6DF04600', 'object/static/item/shared_wp_mle_axe_heavy_duty.iff');
INSERT INTO `object_crc_string_table` VALUES ('2440657910', '91797BF6', 'object/static/item/shared_wp_mle_axe_vibroax.iff');
INSERT INTO `object_crc_string_table` VALUES ('992193600', '3B23AC40', 'object/static/item/shared_wp_mle_baton_gaderiffi.iff');
INSERT INTO `object_crc_string_table` VALUES ('2420709474', '90491862', 'object/static/item/shared_wp_mle_baton_stun.iff');
INSERT INTO `object_crc_string_table` VALUES ('1779328413', '6A0E659D', 'object/static/item/shared_wp_mle_battleaxe.iff');
INSERT INTO `object_crc_string_table` VALUES ('2212584107', '83E15AAB', 'object/static/item/shared_wp_mle_blacksun_hack.iff');
INSERT INTO `object_crc_string_table` VALUES ('1625350741', '60E0E255', 'object/static/item/shared_wp_mle_blacksun_razor.iff');
INSERT INTO `object_crc_string_table` VALUES ('3675420926', 'DB1278FE', 'object/static/item/shared_wp_mle_knife_dagger.iff');
INSERT INTO `object_crc_string_table` VALUES ('3206396187', 'BF1DB91B', 'object/static/item/shared_wp_mle_knife_stone.iff');
INSERT INTO `object_crc_string_table` VALUES ('826777135', '31479E2F', 'object/static/item/shared_wp_mle_knife_survival.iff');
INSERT INTO `object_crc_string_table` VALUES ('1599437236', '5F5579B4', 'object/static/item/shared_wp_mle_knife_vibroblade.iff');
INSERT INTO `object_crc_string_table` VALUES ('1826224713', '6CD9FA49', 'object/static/item/shared_wp_mle_lance_controller.iff');
INSERT INTO `object_crc_string_table` VALUES ('3718329571', 'DDA134E3', 'object/static/item/shared_wp_mle_lance_lightsaber_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('112630900', '6B69C74', 'object/static/item/shared_wp_mle_lance_lightsaber_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1433317881', '556EB1F9', 'object/static/item/shared_wp_mle_lance_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3472480586', 'CEF9D94A', 'object/static/item/shared_wp_mle_lance_staff_metal_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3664898798', 'DA71EAEE', 'object/static/item/shared_wp_mle_lance_staff_wood_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('23478905', '1664279', 'object/static/item/shared_wp_mle_lance_staff_wood_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3456274398', 'CE028FDE', 'object/static/item/shared_wp_mle_lance_vibroaxe.iff');
INSERT INTO `object_crc_string_table` VALUES ('3791727168', 'E2012A40', 'object/static/item/shared_wp_mle_lance_vibrolance.iff');
INSERT INTO `object_crc_string_table` VALUES ('1839817431', '6DA962D7', 'object/static/item/shared_wp_mle_nightsister_lance.iff');
INSERT INTO `object_crc_string_table` VALUES ('3502273014', 'D0C071F6', 'object/static/item/shared_wp_mle_scythe.iff');
INSERT INTO `object_crc_string_table` VALUES ('3342611236', 'C73C3324', 'object/static/item/shared_wp_mle_sword_lightsaber_anakin.iff');
INSERT INTO `object_crc_string_table` VALUES ('1018608527', '3CB6BB8F', 'object/static/item/shared_wp_mle_sword_lightsaber_andael.iff');
INSERT INTO `object_crc_string_table` VALUES ('592712531', '23541353', 'object/static/item/shared_wp_mle_sword_lightsaber_ben.iff');
INSERT INTO `object_crc_string_table` VALUES ('1547853327', '5C425E0F', 'object/static/item/shared_wp_mle_sword_lightsaber_dugald.iff');
INSERT INTO `object_crc_string_table` VALUES ('1298192347', '4D60D7DB', 'object/static/item/shared_wp_mle_sword_lightsaber_leather.iff');
INSERT INTO `object_crc_string_table` VALUES ('79637610', '4BF2C6A', 'object/static/item/shared_wp_mle_sword_lightsaber_luke.iff');
INSERT INTO `object_crc_string_table` VALUES ('1268199554', '4B973082', 'object/static/item/shared_wp_mle_sword_lightsaber_luke_2h.iff');
INSERT INTO `object_crc_string_table` VALUES ('1504760159', '59B0D15F', 'object/static/item/shared_wp_mle_sword_lightsaber_mace.iff');
INSERT INTO `object_crc_string_table` VALUES ('338954886', '14340A86', 'object/static/item/shared_wp_mle_sword_lightsaber_nebu.iff');
INSERT INTO `object_crc_string_table` VALUES ('2627580971', '9C9DB42B', 'object/static/item/shared_wp_mle_sword_lightsaber_obi.iff');
INSERT INTO `object_crc_string_table` VALUES ('2820675362', 'A8201722', 'object/static/item/shared_wp_mle_sword_lightsaber_quigon.iff');
INSERT INTO `object_crc_string_table` VALUES ('2604364449', '9B3B72A1', 'object/static/item/shared_wp_mle_sword_lightsaber_sleekblack.iff');
INSERT INTO `object_crc_string_table` VALUES ('2115713480', '7E1B39C8', 'object/static/item/shared_wp_mle_sword_lightsaber_sleeksilver.iff');
INSERT INTO `object_crc_string_table` VALUES ('2745431319', 'A3A3F517', 'object/static/item/shared_wp_mle_sword_lightsaber_vader.iff');
INSERT INTO `object_crc_string_table` VALUES ('3924744619', 'E9EED9AB', 'object/static/item/shared_wp_mle_sword_rantok.iff');
INSERT INTO `object_crc_string_table` VALUES ('1385616360', '5296D3E8', 'object/static/item/shared_wp_mle_sword_ryyk_blade.iff');
INSERT INTO `object_crc_string_table` VALUES ('3780711592', 'E15914A8', 'object/static/item/shared_wp_mle_sword_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('978238527', '3A4EBC3F', 'object/static/item/shared_wp_mle_sword_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1317941189', '4E8E2FC5', 'object/static/item/shared_wp_mle_sword_vibroblade.iff');
INSERT INTO `object_crc_string_table` VALUES ('3411329076', 'CB54C034', 'object/static/item/shared_wp_pistol_cdef_combined.iff');
INSERT INTO `object_crc_string_table` VALUES ('1347955636', '50582BB4', 'object/static/item/shared_wp_pistol_d18_combined.iff');
INSERT INTO `object_crc_string_table` VALUES ('907334301', '3614D29D', 'object/static/item/shared_wp_pistol_dl44_combined.iff');
INSERT INTO `object_crc_string_table` VALUES ('137325307', '82F6AFB', 'object/static/item/shared_wp_pistol_dl44_metal_combined.iff');
INSERT INTO `object_crc_string_table` VALUES ('637170422', '25FA72F6', 'object/static/item/shared_wp_pistol_scout_combined.iff');
INSERT INTO `object_crc_string_table` VALUES ('3596059056', 'D65781B0', 'object/static/item/shared_wp_pistol_srcombat_combined.iff');
INSERT INTO `object_crc_string_table` VALUES ('3861751731', 'E62DA7B3', 'object/static/item/shared_wp_rifle_bowcaster_combined.iff');
INSERT INTO `object_crc_string_table` VALUES ('2285943714', '8840BBA2', 'object/static/item/shared_wp_rifle_laser_combined.iff');
INSERT INTO `object_crc_string_table` VALUES ('1990229508', '76A07E04', 'object/static/item/shared_wp_rifle_t21_combined.iff');
INSERT INTO `object_crc_string_table` VALUES ('2148373752', '800D94F8', 'object/static/item/shared_wp_rifle_tusken_combined.iff');
INSERT INTO `object_crc_string_table` VALUES ('2421347186', '9052D372', 'object/static/naboo/shared_waterfall_200m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2586864352', '9A306AE0', 'object/static/naboo/shared_waterfall_all_thin_forked.iff');
INSERT INTO `object_crc_string_table` VALUES ('1454317490', '56AF1FB2', 'object/static/naboo/shared_waterfall_all_wide_short.iff');
INSERT INTO `object_crc_string_table` VALUES ('4151923875', 'F77954A3', 'object/static/naboo/shared_waterfall_mist_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('3240630762', 'C12819EA', 'object/static/naboo/shared_waterfall_mist_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('4101701818', 'F47B00BA', 'object/static/naboo/shared_waterfall_naboo_crest_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('282497930', '10D6938A', 'object/static/naboo/shared_waterfall_naboo_falls_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('370991757', '161CE28D', 'object/static/naboo/shared_waterfall_naboo_hangar.iff');
INSERT INTO `object_crc_string_table` VALUES ('3951584767', 'EB8865FF', 'object/static/naboo/shared_waterfall_naboo_keren.iff');
INSERT INTO `object_crc_string_table` VALUES ('4195612510', 'FA13F75E', 'object/static/naboo/shared_waterfall_naboo_theed_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3625221420', 'D8147D2C', 'object/static/naboo/shared_waterfall_naboo_theed_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4015665582', 'EF5A31AE', 'object/static/naboo/shared_whitewater_6meter.iff');
INSERT INTO `object_crc_string_table` VALUES ('208849872', 'C72CBD0', 'object/static/particle/base/shared_static_particle_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1473993018', '57DB593A', 'object/static/particle/shared_particle_bactatank_bubbles.iff');
INSERT INTO `object_crc_string_table` VALUES ('2524188092', '96740DBC', 'object/static/particle/shared_particle_campfire_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2407390404', '8F7DDCC4', 'object/static/particle/shared_particle_distant_ships.iff');
INSERT INTO `object_crc_string_table` VALUES ('169978190', 'A21A94E', 'object/static/particle/shared_particle_distant_ships_dogfight_t_vs_x.iff');
INSERT INTO `object_crc_string_table` VALUES ('4214314868', 'FB315774', 'object/static/particle/shared_particle_distant_ships_dogfight_t_vs_x_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2990289145', 'B23C30F9', 'object/static/particle/shared_particle_distant_ships_dogfight_t_vs_x_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('4182775907', 'F9501863', 'object/static/particle/shared_particle_distant_ships_dogfight_tb_vs_bw.iff');
INSERT INTO `object_crc_string_table` VALUES ('800723222', '2FBA1116', 'object/static/particle/shared_particle_distant_ships_dogfight_tb_vs_bw_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1723299483', '66B7769B', 'object/static/particle/shared_particle_distant_ships_dogfight_tb_vs_bw_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('155186459', '93FF51B', 'object/static/particle/shared_particle_distant_ships_dogfight_ti_vs_aw.iff');
INSERT INTO `object_crc_string_table` VALUES ('2769318877', 'A51073DD', 'object/static/particle/shared_particle_distant_ships_dogfight_ti_vs_aw_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3961328720', 'EC1D1450', 'object/static/particle/shared_particle_distant_ships_dogfight_ti_vs_aw_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3417625546', 'CBB4D3CA', 'object/static/particle/shared_particle_distant_ships_imperial.iff');
INSERT INTO `object_crc_string_table` VALUES ('3663577642', 'DA5DC22A', 'object/static/particle/shared_particle_distant_ships_rebel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1932156871', '732A5FC7', 'object/static/particle/shared_particle_geyser_01_l0.iff');
INSERT INTO `object_crc_string_table` VALUES ('975648842', '3A27384A', 'object/static/particle/shared_particle_geyser_01_l1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3778056413', 'E13090DD', 'object/static/particle/shared_particle_geyser_01_l2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2822633296', 'A83DF750', 'object/static/particle/shared_particle_geyser_01_l3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1698821405', '6541F51D', 'object/static/particle/shared_particle_geyser_center.iff');
INSERT INTO `object_crc_string_table` VALUES ('3840511804', 'E4E98F3C', 'object/static/particle/shared_particle_lg_explosion.iff');
INSERT INTO `object_crc_string_table` VALUES ('736770694', '2BEA3A86', 'object/static/particle/shared_particle_magic_sparks.iff');
INSERT INTO `object_crc_string_table` VALUES ('2827947559', 'A88F0E27', 'object/static/particle/shared_particle_md_explosion.iff');
INSERT INTO `object_crc_string_table` VALUES ('84116728', '50384F8', 'object/static/particle/shared_particle_mine_explosion.iff');
INSERT INTO `object_crc_string_table` VALUES ('1732966696', '674AF928', 'object/static/particle/shared_particle_mine_warning.iff');
INSERT INTO `object_crc_string_table` VALUES ('2597597224', '9AD43028', 'object/static/particle/shared_particle_newbie_airport_sign.iff');
INSERT INTO `object_crc_string_table` VALUES ('2059002681', '7AB9E339', 'object/static/particle/shared_particle_newbie_arrow.iff');
INSERT INTO `object_crc_string_table` VALUES ('247210913', 'EBC23A1', 'object/static/particle/shared_particle_newbie_bomb_debris.iff');
INSERT INTO `object_crc_string_table` VALUES ('1187500001', '46C7CFE1', 'object/static/particle/shared_particle_newbie_bombed_spot.iff');
INSERT INTO `object_crc_string_table` VALUES ('1643854677', '61FB3B55', 'object/static/particle/shared_particle_newbie_hanging_smoke.iff');
INSERT INTO `object_crc_string_table` VALUES ('1272311156', '4BD5ED74', 'object/static/particle/shared_particle_newbie_refrigerator_steam.iff');
INSERT INTO `object_crc_string_table` VALUES ('1940697475', '73ACB183', 'object/static/particle/shared_particle_newbie_siren.iff');
INSERT INTO `object_crc_string_table` VALUES ('4173485801', 'F8C256E9', 'object/static/particle/shared_particle_newbie_spotlight.iff');
INSERT INTO `object_crc_string_table` VALUES ('2193561176', '82BF1658', 'object/static/particle/shared_particle_newbie_steam.iff');
INSERT INTO `object_crc_string_table` VALUES ('2655971520', '9E4EE8C0', 'object/static/particle/shared_particle_newbie_wall_mech_lights_blue.iff');
INSERT INTO `object_crc_string_table` VALUES ('726419148', '2B4C46CC', 'object/static/particle/shared_particle_newbie_wall_mech_lights_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('2545325419', '97B6956B', 'object/static/particle/shared_particle_newbie_wall_mech_lights_yellow.iff');
INSERT INTO `object_crc_string_table` VALUES ('2141382138', '7FA2E5FA', 'object/static/particle/shared_particle_seagulls_flock.iff');
INSERT INTO `object_crc_string_table` VALUES ('3981248322', 'ED4D0742', 'object/static/particle/shared_particle_sm_explosion.iff');
INSERT INTO `object_crc_string_table` VALUES ('3175786729', 'BD4AA8E9', 'object/static/particle/shared_particle_smoke.iff');
INSERT INTO `object_crc_string_table` VALUES ('1641393609', '61D5ADC9', 'object/static/particle/shared_particle_test_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3432501582', 'CC97D14E', 'object/static/particle/shared_particle_test_10.iff');
INSERT INTO `object_crc_string_table` VALUES ('1309247123', '4E098693', 'object/static/particle/shared_particle_test_100.iff');
INSERT INTO `object_crc_string_table` VALUES ('2241509059', '859AB6C3', 'object/static/particle/shared_particle_test_11.iff');
INSERT INTO `object_crc_string_table` VALUES ('1586306644', '5E8D1E54', 'object/static/particle/shared_particle_test_12.iff');
INSERT INTO `object_crc_string_table` VALUES ('394295769', '178079D9', 'object/static/particle/shared_particle_test_13.iff');
INSERT INTO `object_crc_string_table` VALUES ('3965932237', 'EC6352CD', 'object/static/particle/shared_particle_test_14.iff');
INSERT INTO `object_crc_string_table` VALUES ('2775463232', 'A56E3540', 'object/static/particle/shared_particle_test_15.iff');
INSERT INTO `object_crc_string_table` VALUES ('2121899479', '7E799DD7', 'object/static/particle/shared_particle_test_16.iff');
INSERT INTO `object_crc_string_table` VALUES ('930413146', '3774FA5A', 'object/static/particle/shared_particle_test_17.iff');
INSERT INTO `object_crc_string_table` VALUES ('2373899848', '8D7ED648', 'object/static/particle/shared_particle_test_18.iff');
INSERT INTO `object_crc_string_table` VALUES ('3295916485', 'C473B1C5', 'object/static/particle/shared_particle_test_19.iff');
INSERT INTO `object_crc_string_table` VALUES ('3133277534', 'BAC2055E', 'object/static/particle/shared_particle_test_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3790587590', 'E1EFC6C6', 'object/static/particle/shared_particle_test_20.iff');
INSERT INTO `object_crc_string_table` VALUES ('2833424715', 'A8E2A14B', 'object/static/particle/shared_particle_test_21.iff');
INSERT INTO `object_crc_string_table` VALUES ('1945438684', '73F509DC', 'object/static/particle/shared_particle_test_22.iff');
INSERT INTO `object_crc_string_table` VALUES ('989359697', '3AF86E51', 'object/static/particle/shared_particle_test_23.iff');
INSERT INTO `object_crc_string_table` VALUES ('3239789893', 'C11B4545', 'object/static/particle/shared_particle_test_24.iff');
INSERT INTO `object_crc_string_table` VALUES ('2283152072', '881622C8', 'object/static/particle/shared_particle_test_25.iff');
INSERT INTO `object_crc_string_table` VALUES ('1392609887', '53018A5F', 'object/static/particle/shared_particle_test_26.iff');
INSERT INTO `object_crc_string_table` VALUES ('437054930', '1A0CEDD2', 'object/static/particle/shared_particle_test_27.iff');
INSERT INTO `object_crc_string_table` VALUES ('2684797376', 'A006C1C0', 'object/static/particle/shared_particle_test_28.iff');
INSERT INTO `object_crc_string_table` VALUES ('3909854797', 'E90BA64D', 'object/static/particle/shared_particle_test_29.iff');
INSERT INTO `object_crc_string_table` VALUES ('4090454739', 'F3CF62D3', 'object/static/particle/shared_particle_test_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('4207397822', 'FAC7CBBE', 'object/static/particle/shared_particle_test_30.iff');
INSERT INTO `object_crc_string_table` VALUES ('3016404019', 'B3CAAC33', 'object/static/particle/shared_particle_test_31.iff');
INSERT INTO `object_crc_string_table` VALUES ('1759315108', '68DD04A4', 'object/static/particle/shared_particle_test_32.iff');
INSERT INTO `object_crc_string_table` VALUES ('567305001', '21D06329', 'object/static/particle/shared_particle_test_33.iff');
INSERT INTO `object_crc_string_table` VALUES ('3660793917', 'DA33483D', 'object/static/particle/shared_particle_test_34.iff');
INSERT INTO `object_crc_string_table` VALUES ('2470326192', '933E2FB0', 'object/static/particle/shared_particle_test_35.iff');
INSERT INTO `object_crc_string_table` VALUES ('1210681127', '48298727', 'object/static/particle/shared_particle_test_36.iff');
INSERT INTO `object_crc_string_table` VALUES ('19194026', '124E0AA', 'object/static/particle/shared_particle_test_37.iff');
INSERT INTO `object_crc_string_table` VALUES ('3140406456', 'BB2ECCB8', 'object/static/particle/shared_particle_test_38.iff');
INSERT INTO `object_crc_string_table` VALUES ('4062423861', 'F223AB35', 'object/static/particle/shared_particle_test_39.iff');
INSERT INTO `object_crc_string_table` VALUES ('137120199', '82C49C7', 'object/static/particle/shared_particle_test_4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3139430870', 'BB1FE9D6', 'object/static/particle/shared_particle_test_40.iff');
INSERT INTO `object_crc_string_table` VALUES ('4061302363', 'F2128E5B', 'object/static/particle/shared_particle_test_41.iff');
INSERT INTO `object_crc_string_table` VALUES ('688203468', '290526CC', 'object/static/particle/shared_particle_test_42.iff');
INSERT INTO `object_crc_string_table` VALUES ('1611153729', '60084141', 'object/static/particle/shared_particle_test_43.iff');
INSERT INTO `object_crc_string_table` VALUES ('2615896661', '9BEB6A55', 'object/static/particle/shared_particle_test_44.iff');
INSERT INTO `object_crc_string_table` VALUES ('3538292184', 'D2E60DD8', 'object/static/particle/shared_particle_test_45.iff');
INSERT INTO `object_crc_string_table` VALUES ('166831439', '9F1A54F', 'object/static/particle/shared_particle_test_46.iff');
INSERT INTO `object_crc_string_table` VALUES ('1090306754', '40FCC2C2', 'object/static/particle/shared_particle_test_47.iff');
INSERT INTO `object_crc_string_table` VALUES ('4210486992', 'FAF6EED0', 'object/static/particle/shared_particle_test_48.iff');
INSERT INTO `object_crc_string_table` VALUES ('3019606365', 'B3FB895D', 'object/static/particle/shared_particle_test_49.iff');
INSERT INTO `object_crc_string_table` VALUES ('1092693578', '41212E4A', 'object/static/particle/shared_particle_test_5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2688017582', 'A037E4AE', 'object/static/particle/shared_particle_test_50.iff');
INSERT INTO `object_crc_string_table` VALUES ('3912925987', 'E93A8323', 'object/static/particle/shared_particle_test_51.iff');
INSERT INTO `object_crc_string_table` VALUES ('841821108', '322D2BB4', 'object/static/particle/shared_particle_test_52.iff');
INSERT INTO `object_crc_string_table` VALUES ('2065714233', '7B204C39', 'object/static/particle/shared_particle_test_53.iff');
INSERT INTO `object_crc_string_table` VALUES ('2160289581', '80C3672D', 'object/static/particle/shared_particle_test_54.iff');
INSERT INTO `object_crc_string_table` VALUES ('3385720992', 'C9CE00A0', 'object/static/particle/shared_particle_test_55.iff');
INSERT INTO `object_crc_string_table` VALUES ('316254263', '12D9A837', 'object/static/particle/shared_particle_test_56.iff');
INSERT INTO `object_crc_string_table` VALUES ('1540673466', '5BD4CFBA', 'object/static/particle/shared_particle_test_57.iff');
INSERT INTO `object_crc_string_table` VALUES ('3789480872', 'E1DEE3A8', 'object/static/particle/shared_particle_test_58.iff');
INSERT INTO `object_crc_string_table` VALUES ('2832434213', 'A8D38425', 'object/static/particle/shared_particle_test_59.iff');
INSERT INTO `object_crc_string_table` VALUES ('2587264733', '9A3686DD', 'object/static/particle/shared_particle_test_6.iff');
INSERT INTO `object_crc_string_table` VALUES ('2370827046', '8D4FF326', 'object/static/particle/shared_particle_test_60.iff');
INSERT INTO `object_crc_string_table` VALUES ('3292697771', 'C44294AB', 'object/static/particle/shared_particle_test_61.iff');
INSERT INTO `object_crc_string_table` VALUES ('525679676', '1F553C3C', 'object/static/particle/shared_particle_test_62.iff');
INSERT INTO `object_crc_string_table` VALUES ('1448631217', '56585BB1', 'object/static/particle/shared_particle_test_63.iff');
INSERT INTO `object_crc_string_table` VALUES ('2914742437', 'ADBB70A5', 'object/static/particle/shared_particle_test_64.iff');
INSERT INTO `object_crc_string_table` VALUES ('3837138728', 'E4B61728', 'object/static/particle/shared_particle_test_65.iff');
INSERT INTO `object_crc_string_table` VALUES ('1067564991', '3FA1BFBF', 'object/static/particle/shared_particle_test_66.iff');
INSERT INTO `object_crc_string_table` VALUES ('1991039026', '76ACD832', 'object/static/particle/shared_particle_test_67.iff');
INSERT INTO `object_crc_string_table` VALUES ('3433493536', 'CCA6F420', 'object/static/particle/shared_particle_test_68.iff');
INSERT INTO `object_crc_string_table` VALUES ('2242614189', '85AB93AD', 'object/static/particle/shared_particle_test_69.iff');
INSERT INTO `object_crc_string_table` VALUES ('3543916880', 'D33BE150', 'object/static/particle/shared_particle_test_7.iff');
INSERT INTO `object_crc_string_table` VALUES ('2523397726', '9667FE5E', 'object/static/particle/shared_particle_test_70.iff');
INSERT INTO `object_crc_string_table` VALUES ('3748305363', 'DF6A99D3', 'object/static/particle/shared_particle_test_71.iff');
INSERT INTO `object_crc_string_table` VALUES ('75313476', '47D3144', 'object/static/particle/shared_particle_test_72.iff');
INSERT INTO `object_crc_string_table` VALUES ('1299207881', '4D7056C9', 'object/static/particle/shared_particle_test_73.iff');
INSERT INTO `object_crc_string_table` VALUES ('3063119325', 'B6937DDD', 'object/static/particle/shared_particle_test_74.iff');
INSERT INTO `object_crc_string_table` VALUES ('4288551504', 'FF9E1A50', 'object/static/particle/shared_particle_test_75.iff');
INSERT INTO `object_crc_string_table` VALUES ('613003975', '2489B2C7', 'object/static/particle/shared_particle_test_76.iff');
INSERT INTO `object_crc_string_table` VALUES ('1837421898', '6D84D54A', 'object/static/particle/shared_particle_test_77.iff');
INSERT INTO `object_crc_string_table` VALUES ('3616471384', 'D78EF958', 'object/static/particle/shared_particle_test_78.iff');
INSERT INTO `object_crc_string_table` VALUES ('2659426005', '9E839ED5', 'object/static/particle/shared_particle_test_79.iff');
INSERT INTO `object_crc_string_table` VALUES ('1764871490', '6931CD42', 'object/static/particle/shared_particle_test_8.iff');
INSERT INTO `object_crc_string_table` VALUES ('251639798', 'EFFB7F6', 'object/static/particle/shared_particle_test_80.iff');
INSERT INTO `object_crc_string_table` VALUES ('1207095419', '47F2D07B', 'object/static/particle/shared_particle_test_81.iff');
INSERT INTO `object_crc_string_table` VALUES ('2632284396', '9CE578EC', 'object/static/particle/shared_particle_test_82.iff');
INSERT INTO `object_crc_string_table` VALUES ('3588759393', 'D5E81F61', 'object/static/particle/shared_particle_test_83.iff');
INSERT INTO `object_crc_string_table` VALUES ('772486261', '2E0B3475', 'object/static/particle/shared_particle_test_84.iff');
INSERT INTO `object_crc_string_table` VALUES ('1728467960', '670653F8', 'object/static/particle/shared_particle_test_85.iff');
INSERT INTO `object_crc_string_table` VALUES ('3155295087', 'BC11FB6F', 'object/static/particle/shared_particle_test_86.iff');
INSERT INTO `object_crc_string_table` VALUES ('4112293090', 'F51C9CE2', 'object/static/particle/shared_particle_test_87.iff');
INSERT INTO `object_crc_string_table` VALUES ('1326887152', '4F16B0F0', 'object/static/particle/shared_particle_test_88.iff');
INSERT INTO `object_crc_string_table` VALUES ('102487933', '61BD77D', 'object/static/particle/shared_particle_test_89.iff');
INSERT INTO `object_crc_string_table` VALUES ('540846799', '203CAACF', 'object/static/particle/shared_particle_test_9.iff');
INSERT INTO `object_crc_string_table` VALUES ('366459534', '15D7BA8E', 'object/static/particle/shared_particle_test_90.iff');
INSERT INTO `object_crc_string_table` VALUES ('1557847299', '5CDADD03', 'object/static/particle/shared_particle_test_91.iff');
INSERT INTO `object_crc_string_table` VALUES ('2278389140', '87CD7594', 'object/static/particle/shared_particle_test_92.iff');
INSERT INTO `object_crc_string_table` VALUES ('3468694041', 'CEC01219', 'object/static/particle/shared_particle_test_93.iff');
INSERT INTO `object_crc_string_table` VALUES ('891500813', '3523390D', 'object/static/particle/shared_particle_test_94.iff');
INSERT INTO `object_crc_string_table` VALUES ('2083413632', '7C2E5E80', 'object/static/particle/shared_particle_test_95.iff');
INSERT INTO `object_crc_string_table` VALUES ('2805593623', 'A739F617', 'object/static/particle/shared_particle_test_96.iff');
INSERT INTO `object_crc_string_table` VALUES ('3996422554', 'EE34919A', 'object/static/particle/shared_particle_test_97.iff');
INSERT INTO `object_crc_string_table` VALUES ('1413397896', '543EBD88', 'object/static/particle/shared_particle_test_98.iff');
INSERT INTO `object_crc_string_table` VALUES ('489937413', '1D33DA05', 'object/static/particle/shared_particle_test_99.iff');
INSERT INTO `object_crc_string_table` VALUES ('1841523220', '6DC36A14', 'object/static/particle/shared_particle_volcano_glow_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2270635651', '87572683', 'object/static/particle/shared_particle_waterfall_whitewater_s02_l0.iff');
INSERT INTO `object_crc_string_table` VALUES ('3462021390', 'CE5A410E', 'object/static/particle/shared_particle_waterfall_whitewater_s02_l1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2832359220', 'A8D25F34', 'object/static/particle/shared_pt_airport_race_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('1749781363', '684B8B73', 'object/static/particle/shared_pt_airport_race_light_group.iff');
INSERT INTO `object_crc_string_table` VALUES ('574961375', '224536DF', 'object/static/particle/shared_pt_birds_flock.iff');
INSERT INTO `object_crc_string_table` VALUES ('468934100', '1BF35DD4', 'object/static/particle/shared_pt_birds_flock_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3451183105', 'CDB4E001', 'object/static/particle/shared_pt_bunker_allum_mine_car_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3389820098', 'CA0C8CC2', 'object/static/particle/shared_pt_bunker_allum_mine_hallway_vent_steam.iff');
INSERT INTO `object_crc_string_table` VALUES ('3610533575', 'D7345EC7', 'object/static/particle/shared_pt_bunker_allum_mine_large_steam_gravity.iff');
INSERT INTO `object_crc_string_table` VALUES ('1733362585', '67510399', 'object/static/particle/shared_pt_bunker_allum_mine_lift_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4112463342', 'F51F35EE', 'object/static/particle/shared_pt_burning_smokeandembers_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('3309131413', 'C53D5695', 'object/static/particle/shared_pt_burning_smokeandembers_md.iff');
INSERT INTO `object_crc_string_table` VALUES ('1507296935', '59D786A7', 'object/static/particle/shared_pt_buzzing_insects_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('1842090638', '6DCC128E', 'object/static/particle/shared_pt_buzzing_insects_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('655646750', '2714601E', 'object/static/particle/shared_pt_campfire_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4138320669', 'F6A9C31D', 'object/static/particle/shared_pt_detector.iff');
INSERT INTO `object_crc_string_table` VALUES ('3567175317', 'D49EC695', 'object/static/particle/shared_pt_falling_dirt.iff');
INSERT INTO `object_crc_string_table` VALUES ('3490534350', 'D00D53CE', 'object/static/particle/shared_pt_falling_dirt_all.iff');
INSERT INTO `object_crc_string_table` VALUES ('4246067951', 'FD15DAEF', 'object/static/particle/shared_pt_falling_dirt_all_loop.iff');
INSERT INTO `object_crc_string_table` VALUES ('2998306057', 'B2B68509', 'object/static/particle/shared_pt_falling_dirt_loop.iff');
INSERT INTO `object_crc_string_table` VALUES ('1667365428', '6361FA34', 'object/static/particle/shared_pt_falling_dust.iff');
INSERT INTO `object_crc_string_table` VALUES ('337159855', '1418A6AF', 'object/static/particle/shared_pt_falling_dust_loop.iff');
INSERT INTO `object_crc_string_table` VALUES ('2545958613', '97C03ED5', 'object/static/particle/shared_pt_falling_rock.iff');
INSERT INTO `object_crc_string_table` VALUES ('2198363460', '83085D44', 'object/static/particle/shared_pt_falling_rock_loop.iff');
INSERT INTO `object_crc_string_table` VALUES ('1060739444', '3F399974', 'object/static/particle/shared_pt_flocking_bees.iff');
INSERT INTO `object_crc_string_table` VALUES ('333751823', '13E4A60F', 'object/static/particle/shared_pt_flocking_bluefish.iff');
INSERT INTO `object_crc_string_table` VALUES ('360344089', '157A6A19', 'object/static/particle/shared_pt_flocking_butterflies.iff');
INSERT INTO `object_crc_string_table` VALUES ('409161218', '18634E02', 'object/static/particle/shared_pt_flocking_butterflies_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2000292545', '773A0AC1', 'object/static/particle/shared_pt_flocking_centipede.iff');
INSERT INTO `object_crc_string_table` VALUES ('3738808713', 'DED9B189', 'object/static/particle/shared_pt_flocking_cricket.iff');
INSERT INTO `object_crc_string_table` VALUES ('392100184', '175EF958', 'object/static/particle/shared_pt_flocking_frog.iff');
INSERT INTO `object_crc_string_table` VALUES ('386604484', '170B1DC4', 'object/static/particle/shared_pt_flocking_frog_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1644547623', '6205CE27', 'object/static/particle/shared_pt_flocking_glowzees.iff');
INSERT INTO `object_crc_string_table` VALUES ('3478976599', 'CF5CF857', 'object/static/particle/shared_pt_frn_all_glowing_light_s3.iff');
INSERT INTO `object_crc_string_table` VALUES ('951222437', '38B280A5', 'object/static/particle/shared_pt_geonosian_aquarium_fish.iff');
INSERT INTO `object_crc_string_table` VALUES ('1329694676', '4F4187D4', 'object/static/particle/shared_pt_green_gunk_spurt.iff');
INSERT INTO `object_crc_string_table` VALUES ('4118588253', 'F57CAB5D', 'object/static/particle/shared_pt_green_hanging_smoke.iff');
INSERT INTO `object_crc_string_table` VALUES ('613903763', '24976D93', 'object/static/particle/shared_pt_green_refrigerator_steam.iff');
INSERT INTO `object_crc_string_table` VALUES ('1797841273', '6B28E179', 'object/static/particle/shared_pt_green_steam.iff');
INSERT INTO `object_crc_string_table` VALUES ('2919624693', 'AE05EFF5', 'object/static/particle/shared_pt_lair_evil_fire_large_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('1476527814', '580206C6', 'object/static/particle/shared_pt_lair_evil_fire_large_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('153148481', '920DC41', 'object/static/particle/shared_pt_lair_evil_fire_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('669295657', '27E4A429', 'object/static/particle/shared_pt_lair_med_burn.iff');
INSERT INTO `object_crc_string_table` VALUES ('1342131178', '4FFF4BEA', 'object/static/particle/shared_pt_lair_med_damage.iff');
INSERT INTO `object_crc_string_table` VALUES ('1787409199', '6A89B32F', 'object/static/particle/shared_pt_light_blink_blue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3099575799', 'B8BFC5F7', 'object/static/particle/shared_pt_light_blink_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('1680016354', '642303E2', 'object/static/particle/shared_pt_light_blink_orange.iff');
INSERT INTO `object_crc_string_table` VALUES ('3049235018', 'B5BFA24A', 'object/static/particle/shared_pt_light_constant_blue.iff');
INSERT INTO `object_crc_string_table` VALUES ('927898294', '374E9AB6', 'object/static/particle/shared_pt_light_streetlamp_blue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3933494226', 'EA745BD2', 'object/static/particle/shared_pt_light_streetlamp_gold.iff');
INSERT INTO `object_crc_string_table` VALUES ('919367971', '36CC7123', 'object/static/particle/shared_pt_light_streetlamp_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('3254920808', 'C2022668', 'object/static/particle/shared_pt_light_streetlamp_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('3373071606', 'C90CFCF6', 'object/static/particle/shared_pt_lok_lava_bubblingareaprt.iff');
INSERT INTO `object_crc_string_table` VALUES ('198238654', 'BD0E1BE', 'object/static/particle/shared_pt_lok_lava_drop.iff');
INSERT INTO `object_crc_string_table` VALUES ('2234486758', '852F8FE6', 'object/static/particle/shared_pt_lok_lava_spirt.iff');
INSERT INTO `object_crc_string_table` VALUES ('893154540', '353C74EC', 'object/static/particle/shared_pt_lok_volcano.iff');
INSERT INTO `object_crc_string_table` VALUES ('693978317', '295D44CD', 'object/static/particle/shared_pt_lok_volcano_smoke.iff');
INSERT INTO `object_crc_string_table` VALUES ('3030325207', 'B49F17D7', 'object/static/particle/shared_pt_lok_volcano_smoke_sm.iff');
INSERT INTO `object_crc_string_table` VALUES ('4190362861', 'F9C3DCED', 'object/static/particle/shared_pt_magic_sparks.iff');
INSERT INTO `object_crc_string_table` VALUES ('4103176691', 'F49181F3', 'object/static/particle/shared_pt_miasma_of_fog_gray.iff');
INSERT INTO `object_crc_string_table` VALUES ('2098974720', '7D1BD000', 'object/static/particle/shared_pt_miasma_of_fog_greenish.iff');
INSERT INTO `object_crc_string_table` VALUES ('495620993', '1D8A9381', 'object/static/particle/shared_pt_miasma_of_fog_mustard.iff');
INSERT INTO `object_crc_string_table` VALUES ('2453321375', '923AB69F', 'object/static/particle/shared_pt_miasma_of_fog_orange.iff');
INSERT INTO `object_crc_string_table` VALUES ('2493012147', '949858B3', 'object/static/particle/shared_pt_miasma_of_fog_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('2630854860', '9CCFA8CC', 'object/static/particle/shared_pt_poi_broken_electronics.iff');
INSERT INTO `object_crc_string_table` VALUES ('718197252', '2ACED204', 'object/static/particle/shared_pt_poi_droid_weld_sparks.iff');
INSERT INTO `object_crc_string_table` VALUES ('927712692', '374BC5B4', 'object/static/particle/shared_pt_poi_electricity_2x2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1063575849', '3F64E129', 'object/static/particle/shared_pt_sm_explosion.iff');
INSERT INTO `object_crc_string_table` VALUES ('1921352658', '728583D2', 'object/static/particle/shared_pt_smoke.iff');
INSERT INTO `object_crc_string_table` VALUES ('3471324085', 'CEE833B5', 'object/static/particle/shared_pt_smoke_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('4210272156', 'FAF3A79C', 'object/static/particle/shared_pt_smoke_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('2928460713', 'AE8CC3A9', 'object/static/particle/shared_pt_smoke_tr.iff');
INSERT INTO `object_crc_string_table` VALUES ('3328660965', 'C66755E5', 'object/static/particle/shared_pt_sonic_pulse.iff');
INSERT INTO `object_crc_string_table` VALUES ('1232478276', '49762044', 'object/static/particle/shared_pt_sound_location.iff');
INSERT INTO `object_crc_string_table` VALUES ('2573168569', '995F6FB9', 'object/static/particle/shared_pt_sparking_blast_md.iff');
INSERT INTO `object_crc_string_table` VALUES ('952907796', '38CC3814', 'object/static/particle/shared_pt_sparks_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('215460925', 'CD7AC3D', 'object/static/particle/shared_pt_sparks_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('320796703', '131EF81F', 'object/static/particle/shared_pt_steam.iff');
INSERT INTO `object_crc_string_table` VALUES ('2327575207', '8ABBFAA7', 'object/static/particle/shared_pt_steam_rise.iff');
INSERT INTO `object_crc_string_table` VALUES ('3748858537', 'DF730AA9', 'object/static/particle/shared_pt_steam_rise_2x2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3872867406', 'E6D7444E', 'object/static/particle/shared_pt_stunned_player.iff');
INSERT INTO `object_crc_string_table` VALUES ('4008828338', 'EEF1DDB2', 'object/static/particle/shared_pt_survey.iff');
INSERT INTO `object_crc_string_table` VALUES ('2454176685', '9247C3AD', 'object/static/particle/shared_pt_survey_gas_sample.iff');
INSERT INTO `object_crc_string_table` VALUES ('2673530585', '9F5AD6D9', 'object/static/particle/shared_pt_survey_liquid_sample.iff');
INSERT INTO `object_crc_string_table` VALUES ('3827726832', 'E42679F0', 'object/static/particle/shared_pt_survey_lumber_sample.iff');
INSERT INTO `object_crc_string_table` VALUES ('1570673166', '5D9E920E', 'object/static/particle/shared_pt_survey_mineral_sample.iff');
INSERT INTO `object_crc_string_table` VALUES ('1547554683', '5C3DCF7B', 'object/static/particle/shared_pt_survey_moisture_sample.iff');
INSERT INTO `object_crc_string_table` VALUES ('2160449826', '80C5D922', 'object/static/particle/shared_pt_survey_tool_liquid.iff');
INSERT INTO `object_crc_string_table` VALUES ('1247458392', '4A5AB458', 'object/static/particle/shared_pt_survey_tool_lumber.iff');
INSERT INTO `object_crc_string_table` VALUES ('3745960007', 'DF46D047', 'object/static/particle/shared_pt_survey_tool_mineral.iff');
INSERT INTO `object_crc_string_table` VALUES ('2864462260', 'AABC39B4', 'object/static/particle/shared_pt_survey_tool_moisture.iff');
INSERT INTO `object_crc_string_table` VALUES ('1930955215', '731809CF', 'object/static/particle/shared_pt_trailing_falling_dust.iff');
INSERT INTO `object_crc_string_table` VALUES ('2226030876', '84AE891C', 'object/static/particle/shared_pt_trailing_falling_dust_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3586703298', 'D5C8BFC2', 'object/static/particle/shared_pt_waterfall_crest.iff');
INSERT INTO `object_crc_string_table` VALUES ('3820269470', 'E3B4AF9E', 'object/static/particle/shared_pt_waterfall_mist.iff');
INSERT INTO `object_crc_string_table` VALUES ('1019797263', '3CC8DF0F', 'object/static/particle/shared_pt_waterfall_mist_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('730945332', '2B915734', 'object/static/particle/shared_pt_waterfall_mist_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('3705199688', 'DCD8DC48', 'object/static/particle/shared_pt_waterfall_spray.iff');
INSERT INTO `object_crc_string_table` VALUES ('637915981', '2605D34D', 'object/static/particle/shared_pt_waterfall_spray_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('3219447959', 'BFE4E097', 'object/static/particle/shared_pt_waterfall_whitewater_s02_l0.iff');
INSERT INTO `object_crc_string_table` VALUES ('4142499610', 'F6E9871A', 'object/static/particle/shared_pt_waterfall_whitewater_s02_l1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2168193478', '813C01C6', 'object/static/particle/shared_pt_waterfalling_200m.iff');
INSERT INTO `object_crc_string_table` VALUES ('4066371395', 'F25FE743', 'object/static/particle/shared_pt_waterfalling_slow.iff');
INSERT INTO `object_crc_string_table` VALUES ('364658424', '15BC3EF8', 'object/static/particle/shared_pt_webber.iff');
INSERT INTO `object_crc_string_table` VALUES ('2146976297', '7FF84229', 'object/static/space/asteroid/shared_asteroid_acid_large_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2767186622', 'A4EFEABE', 'object/static/space/asteroid/shared_asteroid_acid_large_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('162308775', '9ACA2A7', 'object/static/space/asteroid/shared_asteroid_acid_medium_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3535473200', 'D2BB0A30', 'object/static/space/asteroid/shared_asteroid_acid_medium_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2850972277', 'A9EE6275', 'object/static/space/asteroid/shared_asteroid_acid_small_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1928973026', '72F9CAE2', 'object/static/space/asteroid/shared_asteroid_acid_small_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1920047316', '727198D4', 'object/static/space/asteroid/shared_asteroid_ice_large_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2842046531', 'A9663043', 'object/static/space/asteroid/shared_asteroid_ice_large_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2981878132', 'B1BBD974', 'object/static/space/asteroid/shared_asteroid_ice_medium_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1789686243', '6AAC71E3', 'object/static/space/asteroid/shared_asteroid_ice_medium_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2758260872', 'A467B888', 'object/static/space/asteroid/shared_asteroid_ice_small_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2138050591', '7F70101F', 'object/static/space/asteroid/shared_asteroid_ice_small_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1650332563', '625E1393', 'object/static/space/asteroid/shared_asteroid_iron_large_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3108616964', 'B949BB04', 'object/static/space/asteroid/shared_asteroid_iron_large_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3525395716', 'D2214504', 'object/static/space/asteroid/shared_asteroid_iron_medium_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('154594707', '936ED93', 'object/static/space/asteroid/shared_asteroid_iron_medium_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1077643806', '403B8A1E', 'object/static/space/asteroid/shared_asteroid_iron_medium_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3024630735', 'B44833CF', 'object/static/space/asteroid/shared_asteroid_iron_small_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1868536664', '6F5F9B58', 'object/static/space/asteroid/shared_asteroid_iron_small_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1475082056', '57EBF748', 'object/static/space/asteroid/shared_asteroid_large_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2365349855', '8CFC5FDF', 'object/static/space/asteroid/shared_asteroid_large_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2771529923', 'A53230C3', 'object/static/space/asteroid/shared_asteroid_mammoth_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2116393044', '7E259854', 'object/static/space/asteroid/shared_asteroid_mammoth_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2754779391', 'A43298FF', 'object/static/space/asteroid/shared_asteroid_medium_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2133143656', '7F253068', 'object/static/space/asteroid/shared_asteroid_medium_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('513619551', '1E9D365F', 'object/static/space/asteroid/shared_asteroid_metal_large_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3314196168', 'C58A9EC8', 'object/static/space/asteroid/shared_asteroid_metal_large_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3300659079', 'C4BC0F87', 'object/static/space/asteroid/shared_asteroid_metal_medium_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('531343120', '1FABA710', 'object/static/space/asteroid/shared_asteroid_metal_medium_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3364558339', 'C88B1603', 'object/static/space/asteroid/shared_asteroid_metal_small_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('329039508', '139CBE94', 'object/static/space/asteroid/shared_asteroid_metal_small_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('319418639', '1309F10F', 'object/static/space/asteroid/shared_asteroid_molten_large_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3357432216', 'C81E5998', 'object/static/space/asteroid/shared_asteroid_molten_large_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1639373140', '61B6D954', 'object/static/space/asteroid/shared_asteroid_molten_medium_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3131142595', 'BAA171C3', 'object/static/space/asteroid/shared_asteroid_molten_medium_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3307196755', 'C51FD153', 'object/static/space/asteroid/shared_asteroid_molten_small_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('503871940', '1E0879C4', 'object/static/space/asteroid/shared_asteroid_molten_small_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1492758381', '58F9AF6D', 'object/static/space/asteroid/shared_asteroid_obsidian_large_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2213414906', '83EE07FA', 'object/static/space/asteroid/shared_asteroid_obsidian_large_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2384789570', '8E250042', 'object/static/space/asteroid/shared_asteroid_obsidian_medium_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1429383381', '5532A8D5', 'object/static/space/asteroid/shared_asteroid_obsidian_medium_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2398064433', '8EEF8F31', 'object/static/space/asteroid/shared_asteroid_obsidian_small_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1442326438', '55F827A6', 'object/static/space/asteroid/shared_asteroid_obsidian_small_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2180896532', '81FDD714', 'object/static/space/asteroid/shared_asteroid_small_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1525317507', '5AEA7F83', 'object/static/space/asteroid/shared_asteroid_small_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3193266020', 'BE555F64', 'object/static/space/asteroid/shared_planetoid_ice_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2558377422', '987DBDCE', 'object/static/space/asteroid/shared_planetoid_iron_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2070404336', '7B67DCF0', 'object/static/space/asteroid/shared_planetoid_molten_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4149044600', 'F74D6578', 'object/static/space/base/shared_static_space_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2175205203', '81A6FF53', 'object/static/space/beacon/shared_hyperspace_generator_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2042724339', '79C17FF3', 'object/static/space/beacon/shared_hyperspace_route_beacon_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2590979892', '9A6F3734', 'object/static/space/debris/shared_cargo_destroyed_large_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('483044281', '1CCAABB9', 'object/static/space/debris/shared_cargo_destroyed_small_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('3524446459', 'D212C8FB', 'object/static/space/debris/shared_cargo_pristine_large_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2077093717', '7BCDEF55', 'object/static/space/debris/shared_death_star_debris_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2698659778', 'A0DA47C2', 'object/static/space/debris/shared_death_star_debris_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('3923189839', 'E9D7204F', 'object/static/space/debris/shared_death_star_debris_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('305400667', '12340B5B', 'object/static/space/debris/shared_death_star_debris_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('1530490070', '5B396CD6', 'object/static/space/debris/shared_death_star_debris_e.iff');
INSERT INTO `object_crc_string_table` VALUES ('2150548545', '802EC441', 'object/static/space/debris/shared_death_star_debris_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('3374556108', 'C923A3CC', 'object/static/space/debris/shared_death_star_debris_g.iff');
INSERT INTO `object_crc_string_table` VALUES ('1932103646', '73298FDE', 'object/static/space/debris/shared_death_star_debris_h.iff');
INSERT INTO `object_crc_string_table` VALUES ('975497299', '3A24E853', 'object/static/space/debris/shared_death_star_debris_i.iff');
INSERT INTO `object_crc_string_table` VALUES ('3253175573', 'C1E78515', 'object/static/space/debris/shared_droid_fighter_debris_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('451947906', '1AF02D82', 'object/static/space/debris/shared_droid_fighter_debris_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1409108495', '53FD4A0F', 'object/static/space/debris/shared_droid_fighter_debris_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2820563227', 'A81E611B', 'object/static/space/debris/shared_droid_fighter_debris_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3891582202', 'E7F4D4FA', 'object/static/space/debris/shared_tie_fighter_debris_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('1021541485', '3CE37C6D', 'object/static/space/debris/shared_tie_fighter_debris_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1978538976', '75EE1BE0', 'object/static/space/debris/shared_tie_fighter_debris_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('2383229172', '8E0D30F4', 'object/static/space/debris/shared_tie_fighter_debris_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('3338688377', 'C7005779', 'object/static/space/debris/shared_tie_fighter_debris_e.iff');
INSERT INTO `object_crc_string_table` VALUES ('471334894', '1C17FFEE', 'object/static/space/debris/shared_tie_fighter_debris_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('1427806307', '551A9863', 'object/static/space/debris/shared_tie_fighter_debris_g.iff');
INSERT INTO `object_crc_string_table` VALUES ('3363541547', 'C87B922B', 'object/static/space/debris/shared_tradefed_hulk_debris_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('325860028', '136C3ABC', 'object/static/space/debris/shared_tradefed_hulk_debris_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1516330289', '5A615D31', 'object/static/space/debris/shared_tradefed_hulk_debris_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2709681701', 'A1827625', 'object/static/space/debris/shared_tradefed_hulk_debris_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3548707546', 'D384FADA', 'object/static/space/debris/shared_xwing_debris_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('143872589', '893524D', 'object/static/space/debris/shared_xwing_debris_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1100887488', '419E35C0', 'object/static/space/debris/shared_xwing_debris_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('3128762068', 'BA7D1ED4', 'object/static/space/debris/shared_xwing_debris_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('4084234585', 'F3707959', 'object/static/space/debris/shared_xwing_debris_e.iff');
INSERT INTO `object_crc_string_table` VALUES ('677892558', '2867D1CE', 'object/static/space/debris/shared_xwing_debris_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('1634383427', '616AB643', 'object/static/space/debris/shared_xwing_debris_g.iff');
INSERT INTO `object_crc_string_table` VALUES ('141305204', '86C2574', 'object/static/space/ship/shared_cargo_freighter.iff');
INSERT INTO `object_crc_string_table` VALUES ('785804943', '2ED66E8F', 'object/static/space/ship/shared_corellian_corvette.iff');
INSERT INTO `object_crc_string_table` VALUES ('4161425774', 'F80A516E', 'object/static/space/ship/shared_nebulon_frigate.iff');
INSERT INTO `object_crc_string_table` VALUES ('2081400463', '7C0FA68F', 'object/static/space/spacestation/shared_corsec_outpost_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('51631832', '313D6D8', 'object/static/space/spacestation/shared_destroyed_imperial_spacestation_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1249810321', '4A7E9791', 'object/static/space/spacestation/shared_destroyed_neutral_spacestation_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2680136017', '9FBFA151', 'object/static/space/spacestation/shared_destroyed_rebel_spacestation_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2798221309', 'A6C977FD', 'object/static/space/spacestation/shared_imperial_outpost_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1432735117', '5565CD8D', 'object/static/space/spacestation/shared_imperial_spacestation_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2821130357', 'A8270875', 'object/static/space/spacestation/shared_mining_outpost_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1020449754', '3CD2D3DA', 'object/static/space/spacestation/shared_neutral_spacestation_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1500513199', '597003AF', 'object/static/space/spacestation/shared_pirate_outpost_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1677357980', '63FA739C', 'object/static/space/spacestation/shared_pirate_outpost_asteroid.iff');
INSERT INTO `object_crc_string_table` VALUES ('2870024383', 'AB1118BF', 'object/static/space/spacestation/shared_rebel_outpost_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2738509482', 'A33A56AA', 'object/static/space/spacestation/shared_rebel_spacestation_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1595448737', '5F189DA1', 'object/static/space/spacestation/shared_rsf_spacestation.iff');
INSERT INTO `object_crc_string_table` VALUES ('4274432492', 'FEC6A9EC', 'object/static/space/spacestation/shared_tradefed_destroyed_hulk.iff');
INSERT INTO `object_crc_string_table` VALUES ('58780545', '380EB81', 'object/static/space/spacestation/shared_tradefed_outpost_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1636783685', '618F5645', 'object/static/space/zonemap/shared_ui_hyperspace.iff');
INSERT INTO `object_crc_string_table` VALUES ('3111086071', 'B96F67F7', 'object/static/space/zonemap/shared_ui_mission_critical.iff');
INSERT INTO `object_crc_string_table` VALUES ('68001236', '40D9DD4', 'object/static/space/zonemap/shared_ui_poi_waypoint.iff');
INSERT INTO `object_crc_string_table` VALUES ('3977491959', 'ED13B5F7', 'object/static/space/zonemap/shared_ui_spacestation.iff');
INSERT INTO `object_crc_string_table` VALUES ('2973438501', 'B13B1225', 'object/static/space/zonemap/shared_ui_waypoint.iff');
INSERT INTO `object_crc_string_table` VALUES ('464932918', '1BB65036', 'object/static/space/zonemap/shared_ui_waypoint_active.iff');
INSERT INTO `object_crc_string_table` VALUES ('161765900', '9A45A0C', 'object/static/structure/base/shared_static_structure_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3488732557', 'CFF1D58D', 'object/static/structure/corellia/shared_corl_banner_govt_angled_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('662555920', '277DCD10', 'object/static/structure/corellia/shared_corl_banner_govt_tall_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3994724911', 'EE1AAA2F', 'object/static/structure/corellia/shared_corl_fountain_brazier_round_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('632694927', '25B6288F', 'object/static/structure/corellia/shared_corl_fountain_brazier_square_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2676149866', '9F82CE6A', 'object/static/structure/corellia/shared_corl_fountain_circle_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1330147903', '4F48723F', 'object/static/structure/corellia/shared_corl_fountain_rectangle_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2625105516', '9C77EE6C', 'object/static/structure/corellia/shared_corl_fountain_statue_contemplate_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('593244797', '235C327D', 'object/static/structure/corellia/shared_corl_fountain_statue_heroic_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3523876965', 'D20A1865', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('152940786', '91DB0F2', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('180063211', 'ABB8BEB', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3517719420', 'D1AC237C', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2560705777', '98A144F1', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('4106256117', 'F4C07EF5', 'object/static/structure/corellia/shared_corl_imprv_bannerpole_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3451992127', 'CDC1383F', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('383160488', '16D690A8', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('514306461', '1EA7B19D', 'object/static/structure/corellia/shared_corl_imprv_bridge_lg_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3316652298', 'C5B0190A', 'object/static/structure/corellia/shared_corl_imprv_bridge_lg_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3323339283', 'C6162213', 'object/static/structure/corellia/shared_corl_imprv_bridge_sm_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('486640260', '1D018A84', 'object/static/structure/corellia/shared_corl_imprv_bridge_sm_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2435499985', '912AC7D1', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1245540166', '4A3D6F46', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('53479627', '33008CB', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('4174586847', 'F8D323DF', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('92914717', '589C41D', 'object/static/structure/corellia/shared_corl_imprv_flagpole_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1792479271', '6AD71027', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2982197424', 'B1C0B8B0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4174241597', 'F8CDDF3D', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('440351692', '1A3F3BCC', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3240661851', 'C128935B', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2284188886', '8825F4D6', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1942413250', '73C6DFC2', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3667847668', 'DA9EE9F4', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('25772387', '1894163', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1216620270', '488426EE', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3009875450', 'B3670DFA', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1209853320', '481CE588', 'object/static/structure/corellia/shared_corl_power_arial_prime.iff');
INSERT INTO `object_crc_string_table` VALUES ('3856785881', 'E5E1E1D9', 'object/static/structure/corellia/shared_corl_power_arial_thin.iff');
INSERT INTO `object_crc_string_table` VALUES ('4203234536', 'FA8844E8', 'object/static/structure/corellia/shared_corl_power_box_node.iff');
INSERT INTO `object_crc_string_table` VALUES ('3942637523', 'EAFFDFD3', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff');
INSERT INTO `object_crc_string_table` VALUES ('2265922541', '870F3BED', 'object/static/structure/corellia/shared_corl_power_connector.iff');
INSERT INTO `object_crc_string_table` VALUES ('3364711462', 'C88D6C26', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('328910001', '139AC4B1', 'object/static/structure/corellia/shared_corl_power_transformer_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2489724749', '94662F4D', 'object/static/structure/corellia/shared_corl_stair_large_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3099330896', 'B8BC0950', 'object/static/structure/corellia/shared_corl_stair_medium_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2304472342', '895B7516', 'object/static/structure/corellia/shared_corl_stair_small_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1857626571', '6EB921CB', 'object/static/structure/corellia/shared_corl_tent_hut_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2517417479', '960CBE07', 'object/static/structure/corellia/shared_corl_tent_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('962796496', '39631BD0', 'object/static/structure/corellia/shared_corl_tent_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('2719427118', 'A2172A2E', 'object/static/structure/corellia/shared_corl_tent_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('2924198126', 'AE4BB8EE', 'object/static/structure/dantooine/shared_dant_boundary_post.iff');
INSERT INTO `object_crc_string_table` VALUES ('1600616690', '5F6778F2', 'object/static/structure/dantooine/shared_dant_cooking_stone.iff');
INSERT INTO `object_crc_string_table` VALUES ('1600034556', '5F5E96FC', 'object/static/structure/dantooine/shared_dant_fence_4m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3938371804', 'EABEC8DC', 'object/static/structure/dantooine/shared_dant_fence_8m.iff');
INSERT INTO `object_crc_string_table` VALUES ('4033600287', 'F06BDB1F', 'object/static/structure/dantooine/shared_dant_fire_pit.iff');
INSERT INTO `object_crc_string_table` VALUES ('440746262', '1A454116', 'object/static/structure/dantooine/shared_dant_fish_rack.iff');
INSERT INTO `object_crc_string_table` VALUES ('7139239', '6CEFA7', 'object/static/structure/dantooine/shared_dant_gate.iff');
INSERT INTO `object_crc_string_table` VALUES ('2151826436', '80424404', 'object/static/structure/dantooine/shared_dant_hide_tanning_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1532357779', '5B55EC93', 'object/static/structure/dantooine/shared_dant_hide_tanning_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2238403752', '856B54A8', 'object/static/structure/dantooine/shared_dant_imprv_bannerpole_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3453851559', 'CDDD97A7', 'object/static/structure/dantooine/shared_dant_imprv_flagpole_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3200541181', 'BEC461FD', 'object/static/structure/dantooine/shared_dant_jedi_main_structure.iff');
INSERT INTO `object_crc_string_table` VALUES ('3549254078', 'D38D51BE', 'object/static/structure/dantooine/shared_dant_jedi_temple_altar.iff');
INSERT INTO `object_crc_string_table` VALUES ('3410738140', 'CB4BBBDC', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar.iff');
INSERT INTO `object_crc_string_table` VALUES ('3737353832', 'DEC37E68', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1808475957', '6BCB2735', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_fallen.iff');
INSERT INTO `object_crc_string_table` VALUES ('4036421930', 'F096E92A', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('1127667832', '4336D878', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff');
INSERT INTO `object_crc_string_table` VALUES ('3556125150', 'D3F629DE', 'object/static/structure/dantooine/shared_dant_jedi_wall_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('148996425', '8E18149', 'object/static/structure/dantooine/shared_dant_jedi_wall_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2822062306', 'A83540E2', 'object/static/structure/dantooine/shared_dant_large_communal.iff');
INSERT INTO `object_crc_string_table` VALUES ('888416774', '34F42A06', 'object/static/structure/dantooine/shared_dant_large_communal_dest.iff');
INSERT INTO `object_crc_string_table` VALUES ('5395298', '525362', 'object/static/structure/dantooine/shared_dant_large_communal_no_flora_10m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3738317565', 'DED232FD', 'object/static/structure/dantooine/shared_dant_large_hut.iff');
INSERT INTO `object_crc_string_table` VALUES ('2953965200', 'B011EE90', 'object/static/structure/dantooine/shared_dant_large_hut_no_flora_10m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3375506333', 'C932239D', 'object/static/structure/dantooine/shared_dant_large_mudhut.iff');
INSERT INTO `object_crc_string_table` VALUES ('3829973531', 'E448C21B', 'object/static/structure/dantooine/shared_dant_large_mudhut_no_flora_05m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1876585046', '6FDA6A56', 'object/static/structure/dantooine/shared_dant_large_rock_hut.iff');
INSERT INTO `object_crc_string_table` VALUES ('2097574138', '7D0670FA', 'object/static/structure/dantooine/shared_dant_large_rock_hut_dest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2552639748', '98263104', 'object/static/structure/dantooine/shared_dant_large_rock_hut_dest_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1127324051', '43319993', 'object/static/structure/dantooine/shared_dant_large_rock_hut_dest_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('171769374', 'A3CFE1E', 'object/static/structure/dantooine/shared_dant_large_rock_hut_dest_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1673544289', '63C04261', 'object/static/structure/dantooine/shared_dant_large_rock_hut_no_flora_05m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2326141197', '8AA6190D', 'object/static/structure/dantooine/shared_dant_mud_oven.iff');
INSERT INTO `object_crc_string_table` VALUES ('2133865913', '7F3035B9', 'object/static/structure/dantooine/shared_dant_rack_spears.iff');
INSERT INTO `object_crc_string_table` VALUES ('3964846407', 'EC52C147', 'object/static/structure/dantooine/shared_dant_skull_bol.iff');
INSERT INTO `object_crc_string_table` VALUES ('3296364307', 'C47A8713', 'object/static/structure/dantooine/shared_dant_skull_lizard.iff');
INSERT INTO `object_crc_string_table` VALUES ('2732329939', 'A2DC0BD3', 'object/static/structure/dantooine/shared_dant_skull_thune.iff');
INSERT INTO `object_crc_string_table` VALUES ('4250788493', 'FD5DE28D', 'object/static/structure/dantooine/shared_dant_small_mudhut.iff');
INSERT INTO `object_crc_string_table` VALUES ('880635575', '347D6EB7', 'object/static/structure/dantooine/shared_dant_totem_pole.iff');
INSERT INTO `object_crc_string_table` VALUES ('218376108', 'D0427AC', 'object/static/structure/dathomir/shared_dath_imprv_bannerpole_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1208818658', '480D1BE2', 'object/static/structure/dathomir/shared_dath_imprv_flagpole_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4186513770', 'F989216A', 'object/static/structure/dathomir/shared_imp_prison.iff');
INSERT INTO `object_crc_string_table` VALUES ('1840196313', '6DAF2AD9', 'object/static/structure/dathomir/shared_mtn_clan_crows_nest_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('65550249', '3E837A9', 'object/static/structure/dathomir/shared_mtn_clan_gate_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2024122595', '78A5A8E3', 'object/static/structure/dathomir/shared_mtn_clan_hut_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('351866084', '14F90CE4', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2457942136', '92813878', 'object/static/structure/dathomir/shared_mtn_clan_strong_fence_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1938207181', '7386B1CD', 'object/static/structure/dathomir/shared_mtn_clan_tent_house_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1990407384', '76A334D8', 'object/static/structure/dathomir/shared_night_sister_banner_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2914294863', 'ADB49C4F', 'object/static/structure/dathomir/shared_night_sister_banner_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3837393858', 'E4B9FBC2', 'object/static/structure/dathomir/shared_night_sister_banner_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('446202967', '1A988457', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2480168117', '93D45CB5', 'object/static/structure/dathomir/shared_nsister_gate_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1729146517', '6710AE95', 'object/static/structure/dathomir/shared_nsister_guard_tower_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1535014405', '5B7E7605', 'object/static/structure/dathomir/shared_nsister_hut_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2686708811', 'A023EC4B', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1412682900', '5433D494', 'object/static/structure/endor/shared_endor_cap.iff');
INSERT INTO `object_crc_string_table` VALUES ('2834035953', 'A8EBF4F1', 'object/static/structure/endor/shared_endor_catwalk.iff');
INSERT INTO `object_crc_string_table` VALUES ('2166795982', '8126AECE', 'object/static/structure/endor/shared_endr_imprv_bannerpole_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4084104443', 'F36E7CFB', 'object/static/structure/endor/shared_endr_imprv_flagpole_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2896788724', 'ACA97CF4', 'object/static/structure/general/shared_all_banner_generic_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2008994915', '77BED463', 'object/static/structure/general/shared_all_banner_generic_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1165822108', '457D089C', 'object/static/structure/general/shared_all_foodcart_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2334316222', '8B22D6BE', 'object/static/structure/general/shared_all_sign_shop_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1345682985', '50357E29', 'object/static/structure/general/shared_all_sign_shop_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('423106980', '193819A4', 'object/static/structure/general/shared_all_sign_shop_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3806016176', 'E2DB32B0', 'object/static/structure/general/shared_all_sign_shop_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2238973525', '85740655', 'object/static/structure/general/shared_all_sign_street_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2031661587', '7918B213', 'object/static/structure/general/shared_allum_mine_bucket_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1999726466', '77316782', 'object/static/structure/general/shared_allum_mine_car_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2472819165', '936439DD', 'object/static/structure/general/shared_allum_mine_console_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('798806621', '2F9CD25D', 'object/static/structure/general/shared_allum_mine_device_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4102781642', 'F48B7ACA', 'object/static/structure/general/shared_allum_mine_device_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2002036005', '7754A525', 'object/static/structure/general/shared_allum_mine_pipes_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2890075570', 'AC430DB2', 'object/static/structure/general/shared_allum_mine_pipes_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3698833758', 'DC77B95E', 'object/static/structure/general/shared_allum_mine_support_piston_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3841253399', 'E4F4E017', 'object/static/structure/general/shared_allum_mine_support_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('455069579', '1B1FCF8B', 'object/static/structure/general/shared_allum_mine_wall_lamp_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2204766571', '836A116B', 'object/static/structure/general/shared_atat_debris_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1484634620', '587DB9FC', 'object/static/structure/general/shared_atat_debris_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3541027443', 'D30FCA73', 'object/static/structure/general/shared_atat_destroyed.iff');
INSERT INTO `object_crc_string_table` VALUES ('788309969', '2EFCA7D1', 'object/static/structure/general/shared_atst_debris_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2123988169', '7E997CC9', 'object/static/structure/general/shared_atst_destroyed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4060142999', 'F200DD97', 'object/static/structure/general/shared_banner_imperial_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2320654391', '8A526037', 'object/static/structure/general/shared_banner_rebel_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('556485701', '212B4C45', 'object/static/structure/general/shared_banner_tatooine_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2023415601', '789ADF31', 'object/static/structure/general/shared_bench_generic_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3833265874', 'E47AFED2', 'object/static/structure/general/shared_camp_campfire_logs_fresh_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1620143270', '60916CA6', 'object/static/structure/general/shared_camp_campfire_logs_smoldering_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1047908184', '3E75CF58', 'object/static/structure/general/shared_camp_cot_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2619023506', '9C1B2092', 'object/static/structure/general/shared_camp_lawn_chair_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('773324764', '2E17FFDC', 'object/static/structure/general/shared_camp_spit_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1530450717', '5B38D31D', 'object/static/structure/general/shared_camp_stool_short_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1755841704', '68A804A8', 'object/static/structure/general/shared_camp_stool_tall_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('129854704', '7BD6CF0', 'object/static/structure/general/shared_camp_tent_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4067844831', 'F27662DF', 'object/static/structure/general/shared_campfire_ash.iff');
INSERT INTO `object_crc_string_table` VALUES ('2586812298', '9A2F9F8A', 'object/static/structure/general/shared_campfire_burnt.iff');
INSERT INTO `object_crc_string_table` VALUES ('765197024', '2D9BFAE0', 'object/static/structure/general/shared_campfire_fresh.iff');
INSERT INTO `object_crc_string_table` VALUES ('2300560117', '891FC2F5', 'object/static/structure/general/shared_campfire_smoldering.iff');
INSERT INTO `object_crc_string_table` VALUES ('3261177526', 'C2619EB6', 'object/static/structure/general/shared_cave_column_damprock_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('427177505', '19763621', 'object/static/structure/general/shared_cave_column_damprock_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1350259116', '507B51AC', 'object/static/structure/general/shared_cave_column_damprock_style_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2977899176', 'B17F22A8', 'object/static/structure/general/shared_cave_column_ice_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1785236031', '6A688A3F', 'object/static/structure/general/shared_cave_column_ice_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('593882546', '2365EDB2', 'object/static/structure/general/shared_cave_column_ice_style_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3092283888', 'B85081F0', 'object/static/structure/general/shared_cave_column_tato_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1665608039', '63472967', 'object/static/structure/general/shared_cave_column_tato_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('709512938', '2A4A4EEA', 'object/static/structure/general/shared_cave_column_tato_style_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3621325123', 'D7D90943', 'object/static/structure/general/shared_cave_stalactite_damprock_s01_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('4217032646', 'FB5ACFC6', 'object/static/structure/general/shared_cave_stalactite_damprock_s01_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('3821182314', 'E3C29D6A', 'object/static/structure/general/shared_cave_stalactite_damprock_s01_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('3656228038', 'D9ED9CC6', 'object/static/structure/general/shared_cave_stalactite_damprock_s02_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('3919195355', 'E99A2CDB', 'object/static/structure/general/shared_cave_stalactite_damprock_s02_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('3992324335', 'EDF608EF', 'object/static/structure/general/shared_cave_stalactite_damprock_s02_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('541137704', '20411B28', 'object/static/structure/general/shared_cave_stalactite_damprock_s03_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('463111869', '1B9A86BD', 'object/static/structure/general/shared_cave_stalactite_damprock_s03_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('341479169', '145A8F01', 'object/static/structure/general/shared_cave_stalactite_damprock_s03_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('3338296027', 'C6FA5ADB', 'object/static/structure/general/shared_cave_stalactite_ice_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('502133324', '1DEDF24C', 'object/static/structure/general/shared_cave_stalactite_ice_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1424004545', '54E095C1', 'object/static/structure/general/shared_cave_stalactite_ice_style_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2936258261', 'AF03BED5', 'object/static/structure/general/shared_cave_stalactite_ice_style_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3859732824', 'E60ED958', 'object/static/structure/general/shared_cave_stalactite_ice_style_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1025077711', '3D1971CF', 'object/static/structure/general/shared_cave_stalactite_ice_style_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('634638246', '25D3CFA6', 'object/static/structure/general/shared_cave_stalactite_tato_s01_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('2597707635', '9AD5DF73', 'object/static/structure/general/shared_cave_stalactite_tato_s01_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('298343311', '11C85B8F', 'object/static/structure/general/shared_cave_stalactite_tato_s01_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('736582179', '2BE75A23', 'object/static/structure/general/shared_cave_stalactite_tato_s02_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('2283093102', '88153C6E', 'object/static/structure/general/shared_cave_stalactite_tato_s02_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('536661514', '1FFCCE0A', 'object/static/structure/general/shared_cave_stalactite_tato_s02_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('3528187341', 'D24BDDCD', 'object/static/structure/general/shared_cave_stalactite_tato_s03_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('2048235016', '7A159608', 'object/static/structure/general/shared_cave_stalactite_tato_s03_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('3864021476', 'E65049E4', 'object/static/structure/general/shared_cave_stalactite_tato_s03_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('4289263471', 'FFA8F76F', 'object/static/structure/general/shared_cave_stalagmite_damprock_s01_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('552994988', '20F608AC', 'object/static/structure/general/shared_cave_stalagmite_damprock_s01_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('3417531206', 'CBB36346', 'object/static/structure/general/shared_cave_stalagmite_damprock_s01_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('4053557994', 'F19C62EA', 'object/static/structure/general/shared_cave_stalagmite_damprock_s02_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('842460081', '3236EBB1', 'object/static/structure/general/shared_cave_stalagmite_damprock_s02_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('3314022083', 'C587F6C3', 'object/static/structure/general/shared_cave_stalagmite_damprock_s02_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('137422084', '830E504', 'object/static/structure/general/shared_cave_stalagmite_damprock_s03_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('3224781271', 'C03641D7', 'object/static/structure/general/shared_cave_stalagmite_damprock_s03_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('1009479981', '3C2B712D', 'object/static/structure/general/shared_cave_stalagmite_damprock_s03_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('2580678384', '99D206F0', 'object/static/structure/general/shared_cave_stalagmite_ice_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1120251495', '42C5AE67', 'object/static/structure/general/shared_cave_stalagmite_ice_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('197708266', 'BC8C9EA', 'object/static/structure/general/shared_cave_stalagmite_ice_style_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('4029407998', 'F02BE2FE', 'object/static/structure/general/shared_cave_stalagmite_ice_style_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3106309491', 'B9268573', 'object/static/structure/general/shared_cave_stalagmite_ice_style_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1647390180', '62312DE4', 'object/static/structure/general/shared_cave_stalagmite_ice_style_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('725371497', '2B3C4A69', 'object/static/structure/general/shared_cave_stalagmite_ice_style_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('2436261499', '9136667B', 'object/static/structure/general/shared_cave_stalagmite_ice_style_08.iff');
INSERT INTO `object_crc_string_table` VALUES ('3627745782', 'D83B01F6', 'object/static/structure/general/shared_cave_stalagmite_ice_style_09.iff');
INSERT INTO `object_crc_string_table` VALUES ('725835401', '2B435E89', 'object/static/structure/general/shared_cave_stalagmite_tato_s01_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('3321725784', 'C5FD8358', 'object/static/structure/general/shared_cave_stalagmite_tato_s01_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('525912736', '1F58CAA0', 'object/static/structure/general/shared_cave_stalagmite_tato_s01_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('628607756', '2577CB0C', 'object/static/structure/general/shared_cave_stalagmite_tato_s02_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('3611123781', 'D73D6045', 'object/static/structure/general/shared_cave_stalagmite_tato_s02_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('292314917', '116C5F25', 'object/static/structure/general/shared_cave_stalagmite_tato_s02_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('3705359586', 'DCDB4CE2', 'object/static/structure/general/shared_cave_stalagmite_tato_s03_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('624806435', '253DCA23', 'object/static/structure/general/shared_cave_stalagmite_tato_s03_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('3904952523', 'E8C0D8CB', 'object/static/structure/general/shared_cave_stalagmite_tato_s03_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('1574245952', '5DD51640', 'object/static/structure/general/shared_cave_wall_damprock_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1438485055', '55BD8A3F', 'object/static/structure/general/shared_cave_wall_ice_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2891269717', 'AC554655', 'object/static/structure/general/shared_cave_wall_tato_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2931956368', 'AEC21A90', 'object/static/structure/general/shared_cloning_tube.iff');
INSERT INTO `object_crc_string_table` VALUES ('427922071', '19819297', 'object/static/structure/general/shared_corellia_garden_base_lrg_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3124174895', 'BA37202F', 'object/static/structure/general/shared_corellia_garden_base_med_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3596257155', 'D65A8783', 'object/static/structure/general/shared_corellia_garden_base_sml_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('44608000', '2A8AA00', 'object/static/structure/general/shared_data_terminal_free_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3653173911', 'D9BF0297', 'object/static/structure/general/shared_data_terminal_free_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2122155955', '7E7D87B3', 'object/static/structure/general/shared_data_terminal_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2775199524', 'A56A2F24', 'object/static/structure/general/shared_data_terminal_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3966191785', 'EC6748A9', 'object/static/structure/general/shared_data_terminal_s3.iff');
INSERT INTO `object_crc_string_table` VALUES ('394552253', '178463BD', 'object/static/structure/general/shared_data_terminal_s4.iff');
INSERT INTO `object_crc_string_table` VALUES ('10375362', '9E50C2', 'object/static/structure/general/shared_data_terminal_wall_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3683252309', 'DB89F855', 'object/static/structure/general/shared_data_terminal_wall_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2458165208', '92849FD8', 'object/static/structure/general/shared_data_terminal_wall_s3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2874353965', 'AB53292D', 'object/static/structure/general/shared_debris_deathstar_conduit.iff');
INSERT INTO `object_crc_string_table` VALUES ('935530456', '37C30FD8', 'object/static/structure/general/shared_debris_deathstar_large_tube.iff');
INSERT INTO `object_crc_string_table` VALUES ('1746560554', '681A662A', 'object/static/structure/general/shared_debris_deathstar_small_chunk.iff');
INSERT INTO `object_crc_string_table` VALUES ('2001013115', '7745097B', 'object/static/structure/general/shared_debris_deathstar_small_tube.iff');
INSERT INTO `object_crc_string_table` VALUES ('2692428938', 'A07B348A', 'object/static/structure/general/shared_debris_deathstar_storage.iff');
INSERT INTO `object_crc_string_table` VALUES ('2528075774', '96AF5FFE', 'object/static/structure/general/shared_debris_deathstar_tractorbeam.iff');
INSERT INTO `object_crc_string_table` VALUES ('1279869106', '4C4940B2', 'object/static/structure/general/shared_debris_deathstar_turbolaser.iff');
INSERT INTO `object_crc_string_table` VALUES ('3024357967', 'B4440A4F', 'object/static/structure/general/shared_distant_ship_controller_general.iff');
INSERT INTO `object_crc_string_table` VALUES ('2828767827', 'A89B9253', 'object/static/structure/general/shared_distant_ship_controller_imperial.iff');
INSERT INTO `object_crc_string_table` VALUES ('1893331081', '70D9F089', 'object/static/structure/general/shared_distant_ship_controller_rebel.iff');
INSERT INTO `object_crc_string_table` VALUES ('3264546069', 'C2950515', 'object/static/structure/general/shared_distant_ship_controller2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1757386432', '68BF96C0', 'object/static/structure/general/shared_droid_21bmedical_powerdown.iff');
INSERT INTO `object_crc_string_table` VALUES ('3437279552', 'CCE0B940', 'object/static/structure/general/shared_droid_4lom_powerdown.iff');
INSERT INTO `object_crc_string_table` VALUES ('3847574879', 'E555555F', 'object/static/structure/general/shared_droid_droideka_powerdown.iff');
INSERT INTO `object_crc_string_table` VALUES ('2797855909', 'A6C3E4A5', 'object/static/structure/general/shared_droid_lemedical_powerdown.iff');
INSERT INTO `object_crc_string_table` VALUES ('3116660923', 'B9C478BB', 'object/static/structure/general/shared_droid_probedroid_powerdown.iff');
INSERT INTO `object_crc_string_table` VALUES ('602463452', '23E8DCDC', 'object/static/structure/general/shared_droid_r2_powerdown.iff');
INSERT INTO `object_crc_string_table` VALUES ('4276567470', 'FEE73DAE', 'object/static/structure/general/shared_droid_r3_powerdown.iff');
INSERT INTO `object_crc_string_table` VALUES ('3830096030', 'E44AA09E', 'object/static/structure/general/shared_droid_r4_powerdown.iff');
INSERT INTO `object_crc_string_table` VALUES ('960840172', '394541EC', 'object/static/structure/general/shared_droid_r5_powerdown.iff');
INSERT INTO `object_crc_string_table` VALUES ('1368160497', '518C78F1', 'object/static/structure/general/shared_droid_ra7_powerdown.iff');
INSERT INTO `object_crc_string_table` VALUES ('1519373105', '5A8FCB31', 'object/static/structure/general/shared_escape_pod.iff');
INSERT INTO `object_crc_string_table` VALUES ('3468613806', 'CEBED8AE', 'object/static/structure/general/shared_escape_pod_door.iff');
INSERT INTO `object_crc_string_table` VALUES ('1862118957', '6EFDAE2D', 'object/static/structure/general/shared_flag_corellia_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4123706379', 'F5CAC40B', 'object/static/structure/general/shared_fountain_generic_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3451198859', 'CDB51D8B', 'object/static/structure/general/shared_fs_village_bannerpole_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1915892056', '72323158', 'object/static/structure/general/shared_fs_village_drum.iff');
INSERT INTO `object_crc_string_table` VALUES ('3392378715', 'CA33975B', 'object/static/structure/general/shared_fs_village_fire_pit_p1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2795847292', 'A6A53E7C', 'object/static/structure/general/shared_fs_village_fire_pit_p1_test.iff');
INSERT INTO `object_crc_string_table` VALUES ('287588300', '11243FCC', 'object/static/structure/general/shared_fs_village_fire_pit_p2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3328842763', 'C66A1C0B', 'object/static/structure/general/shared_fs_village_nobuild_768m.iff');
INSERT INTO `object_crc_string_table` VALUES ('377795232', '1684B2A0', 'object/static/structure/general/shared_gravestone_generic_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3448969783', 'CD931A37', 'object/static/structure/general/shared_gravestone_generic_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2224979386', '849E7DBA', 'object/static/structure/general/shared_gravestone_generic_style_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2138920622', '7F7D56AE', 'object/static/structure/general/shared_gravestone_generic_style_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('913322275', '36703123', 'object/static/structure/general/shared_gravestone_generic_style_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('3067227948', 'B6D22F2C', 'object/static/structure/general/shared_ins_shield_generator.iff');
INSERT INTO `object_crc_string_table` VALUES ('844164119', '3250EC17', 'object/static/structure/general/shared_ins_shield_generator_stage1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3913761920', 'E9474480', 'object/static/structure/general/shared_ins_shield_generator_stage2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2689213197', 'A04A230D', 'object/static/structure/general/shared_ins_shield_generator_stage3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1662232577', '6313A801', 'object/static/structure/general/shared_landing_pad_shuttle.iff');
INSERT INTO `object_crc_string_table` VALUES ('3960394138', 'EC0ED19A', 'object/static/structure/general/shared_landing_pad_transport.iff');
INSERT INTO `object_crc_string_table` VALUES ('1071317165', '3FDB00AD', 'object/static/structure/general/shared_lucky_despot_debris_aft_hull.iff');
INSERT INTO `object_crc_string_table` VALUES ('1826694051', '6CE123A3', 'object/static/structure/general/shared_lucky_despot_debris_forward_hull.iff');
INSERT INTO `object_crc_string_table` VALUES ('2930187854', 'AEA71E4E', 'object/static/structure/general/shared_lucky_despot_debris_lg_engine_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1974515417', '75B0B6D9', 'object/static/structure/general/shared_lucky_despot_debris_lg_engine_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('296119740', '11A66DBC', 'object/static/structure/general/shared_lucky_despot_debris_md_engine.iff');
INSERT INTO `object_crc_string_table` VALUES ('1971388264', '7580FF68', 'object/static/structure/general/shared_lucky_despot_debris_nose_cone.iff');
INSERT INTO `object_crc_string_table` VALUES ('3188881805', 'BE12798D', 'object/static/structure/general/shared_lucky_despot_debris_sm_engine.iff');
INSERT INTO `object_crc_string_table` VALUES ('2739982582', 'A350D0F6', 'object/static/structure/general/shared_naboo_garden_base_lrg_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('15098446', 'E6624E', 'object/static/structure/general/shared_naboo_garden_base_med_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1821099490', '6C8BC5E2', 'object/static/structure/general/shared_naboo_garden_base_sml_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1624671286', '60D68436', 'object/static/structure/general/shared_nboo_imprv_flower_urn_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('133902662', '7FB3146', 'object/static/structure/general/shared_palette_supply_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3706493393', 'DCEC99D1', 'object/static/structure/general/shared_palette_supply_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2514615900', '95E1FE5C', 'object/static/structure/general/shared_palette_supply_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1845679432', '6E02D548', 'object/static/structure/general/shared_palette_supply_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('655340229', '270FB2C5', 'object/static/structure/general/shared_palette_supply_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1146536775', '4456C347', 'object/static/structure/general/shared_planter_generic_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2671864784', '9F416BD0', 'object/static/structure/general/shared_planter_generic_style_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3595308125', 'D64C0C5D', 'object/static/structure/general/shared_planter_generic_style_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('766453577', '2DAF2749', 'object/static/structure/general/shared_planter_generic_style_4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2539469744', '975D3BB0', 'object/static/structure/general/shared_poi_all_construction_metal_pile.iff');
INSERT INTO `object_crc_string_table` VALUES ('4004698684', 'EEB2DA3C', 'object/static/structure/general/shared_poi_all_construction_stone_pile.iff');
INSERT INTO `object_crc_string_table` VALUES ('894674624', '3553A6C0', 'object/static/structure/general/shared_poi_all_corral_half_32x32_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3997437527', 'EE440E57', 'object/static/structure/general/shared_poi_all_corral_half_32x32_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2806606298', 'A74969DA', 'object/static/structure/general/shared_poi_all_corral_half_32x32_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1554662094', '5CAA42CE', 'object/static/structure/general/shared_poi_all_corral_half_32x32_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('363275587', '15A72543', 'object/static/structure/general/shared_poi_all_corral_half_32x32_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('3435272371', 'CCC218B3', 'object/static/structure/general/shared_poi_all_corral_half_64x64_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('399880228', '17D5B024', 'object/static/structure/general/shared_poi_all_corral_half_64x64_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1591269289', '5ED8D7A9', 'object/static/structure/general/shared_poi_all_corral_half_64x64_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2772171965', 'A53BFCBD', 'object/static/structure/general/shared_poi_all_corral_half_64x64_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('4207782372', 'FACDA9E4', 'object/static/structure/general/shared_poi_all_corral_pen_16x8_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('243441435', 'E829F1B', 'object/static/structure/general/shared_poi_all_corral_pen_8x16_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('521808954', '1F1A2C3A', 'object/static/structure/general/shared_poi_all_farm_32x32_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3289220269', 'C40D84AD', 'object/static/structure/general/shared_poi_all_farm_32x32_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3403191254', 'CAD893D6', 'object/static/structure/general/shared_poi_all_impl_corral_32x32_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('860433829', '33492DA5', 'object/static/structure/general/shared_poi_all_impl_corral_64x64_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3898508594', 'E85E8532', 'object/static/structure/general/shared_poi_all_impl_corral_64x64_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4290955633', 'FFC2C971', 'object/static/structure/general/shared_poi_all_monolith_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4045966315', 'F1288BEB', 'object/static/structure/general/shared_poi_all_obelisk_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3607385038', 'D70453CE', 'object/static/structure/general/shared_poi_all_rebl_corral_32x32_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('781577661', '2E95EDBD', 'object/static/structure/general/shared_poi_all_rebl_corral_64x64_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4118955306', 'F582452A', 'object/static/structure/general/shared_poi_all_rebl_corral_64x64_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2823161923', 'A8460843', 'object/static/structure/general/shared_poi_corl_corral_half_32x32_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1934729428', '7351A0D4', 'object/static/structure/general/shared_poi_corl_corral_half_32x32_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('979158873', '3A5CC759', 'object/static/structure/general/shared_poi_corl_corral_half_32x32_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3250580557', 'C1BFEC4D', 'object/static/structure/general/shared_poi_corl_corral_half_32x32_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1373091376', '51D7B630', 'object/static/structure/general/shared_poi_corl_corral_half_64x64_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2327846567', '8AC01EA7', 'object/static/structure/general/shared_poi_corl_corral_half_64x64_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3285023018', 'C3CD792A', 'object/static/structure/general/shared_poi_corl_corral_half_64x64_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('942559806', '382E523E', 'object/static/structure/general/shared_poi_corl_corral_half_64x64_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3005460078', 'B323AE6E', 'object/static/structure/general/shared_poi_ev9d9head.iff');
INSERT INTO `object_crc_string_table` VALUES ('765433917', '2D9F983D', 'object/static/structure/general/shared_poi_nboo_corral_32x32_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4136120490', 'F68830AA', 'object/static/structure/general/shared_poi_nboo_corral_32x32_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3213186855', 'BF855727', 'object/static/structure/general/shared_poi_nboo_corral_32x32_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3557697102', 'D40E264E', 'object/static/structure/general/shared_poi_nboo_corral_64x64_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('253333209', 'F198ED9', 'object/static/structure/general/shared_poi_nboo_corral_64x64_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3767767960', 'E0939398', 'object/static/structure/general/shared_poi_nboo_corral_half_32x32_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('998521615', '3B843B0F', 'object/static/structure/general/shared_poi_nboo_corral_half_32x32_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1921604738', '72895C82', 'object/static/structure/general/shared_poi_nboo_corral_half_32x32_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2305456022', '896A7796', 'object/static/structure/general/shared_poi_nboo_corral_half_32x32_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('419573227', '19022DEB', 'object/static/structure/general/shared_poi_nboo_corral_half_64x64_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3256190332', 'C215857C', 'object/static/structure/general/shared_poi_nboo_corral_half_64x64_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2333663985', '8B18E2F1', 'object/static/structure/general/shared_poi_nboo_corral_half_64x64_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1895549413', '70FBC9E5', 'object/static/structure/general/shared_poi_nboo_corral_half_64x64_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3737229246', 'DEC197BE', 'object/static/structure/general/shared_poi_powerdroid_powerdown.iff');
INSERT INTO `object_crc_string_table` VALUES ('3451909497', 'CDBFF579', 'object/static/structure/general/shared_poi_powerdroidbody.iff');
INSERT INTO `object_crc_string_table` VALUES ('4129855315', 'F6289753', 'object/static/structure/general/shared_poi_powerdroidleg.iff');
INSERT INTO `object_crc_string_table` VALUES ('2341025511', '8B8936E7', 'object/static/structure/general/shared_poi_protocolarm.iff');
INSERT INTO `object_crc_string_table` VALUES ('2853288096', 'AA11B8A0', 'object/static/structure/general/shared_poi_protocolleg.iff');
INSERT INTO `object_crc_string_table` VALUES ('863309006', '33750CCE', 'object/static/structure/general/shared_poi_tato_corral_half_32x32_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3898778713', 'E862A459', 'object/static/structure/general/shared_poi_tato_corral_half_32x32_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2708456404', 'A16FC3D4', 'object/static/structure/general/shared_poi_tato_corral_half_32x32_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1519184064', '5A8CE8C0', 'object/static/structure/general/shared_poi_tato_corral_half_32x32_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3403985597', 'CAE4B2BD', 'object/static/structure/general/shared_poi_tato_corral_half_64x64_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('301144618', '11F31A2A', 'object/static/structure/general/shared_poi_tato_corral_half_64x64_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1493073319', '58FE7DA7', 'object/static/structure/general/shared_poi_tato_corral_half_64x64_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2736608947', 'A31D56B3', 'object/static/structure/general/shared_poi_tato_corral_half_64x64_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2681617984', '9FD63E40', 'object/static/structure/general/shared_poi_tato_corral_pen_16x8_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2475027384', '9385EBB8', 'object/static/structure/general/shared_poi_tato_farm_32x32_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1217545007', '4892432F', 'object/static/structure/general/shared_poi_tato_farm_32x32_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1779717579', '6A1455CB', 'object/static/structure/general/shared_poi_tato_farm_64x64_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2969828700', 'B103FD5C', 'object/static/structure/general/shared_poi_tato_farm_64x64_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('373696824', '16462938', 'object/static/structure/general/shared_poi_tato_tent_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('557561835', '213BB7EB', 'object/static/structure/general/shared_poi_temple_ancient_ruined.iff');
INSERT INTO `object_crc_string_table` VALUES ('1325486496', '4F0151A0', 'object/static/structure/general/shared_prp_engine.iff');
INSERT INTO `object_crc_string_table` VALUES ('11049213', 'A898FD', 'object/static/structure/general/shared_prp_engine_component.iff');
INSERT INTO `object_crc_string_table` VALUES ('946860440', '386FF198', 'object/static/structure/general/shared_prp_junk_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3816315151', 'E378590F', 'object/static/structure/general/shared_prp_junk_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2859810434', 'AA753E82', 'object/static/structure/general/shared_prp_junk_s3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1368790422', '51961596', 'object/static/structure/general/shared_prp_junk_s4.iff');
INSERT INTO `object_crc_string_table` VALUES ('412840475', '189B721B', 'object/static/structure/general/shared_prp_junk_s5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3280788108', 'C38CDA8C', 'object/static/structure/general/shared_prp_junk_s6.iff');
INSERT INTO `object_crc_string_table` VALUES ('2323758337', '8A81BD01', 'object/static/structure/general/shared_prp_junk_s7.iff');
INSERT INTO `object_crc_string_table` VALUES ('814453011', '308B9113', 'object/static/structure/general/shared_prp_junk_s8.iff');
INSERT INTO `object_crc_string_table` VALUES ('932706472', '3797F8A8', 'object/static/structure/general/shared_r2_head.iff');
INSERT INTO `object_crc_string_table` VALUES ('1771962306', '699DFFC2', 'object/static/structure/general/shared_r2_leg.iff');
INSERT INTO `object_crc_string_table` VALUES ('593109784', '235A2318', 'object/static/structure/general/shared_r2_torso.iff');
INSERT INTO `object_crc_string_table` VALUES ('3070712015', 'B70758CF', 'object/static/structure/general/shared_r3_head.iff');
INSERT INTO `object_crc_string_table` VALUES ('2610779556', '9B9D55A4', 'object/static/structure/general/shared_r3_leg.iff');
INSERT INTO `object_crc_string_table` VALUES ('3673597174', 'DAF6A4F6', 'object/static/structure/general/shared_r3_torso.iff');
INSERT INTO `object_crc_string_table` VALUES ('968302371', '39B71F23', 'object/static/structure/general/shared_r4_head.iff');
INSERT INTO `object_crc_string_table` VALUES ('1276918264', '4C1C39F8', 'object/static/structure/general/shared_r4_leg.iff');
INSERT INTO `object_crc_string_table` VALUES ('1060309010', '3F330812', 'object/static/structure/general/shared_r4_torso.iff');
INSERT INTO `object_crc_string_table` VALUES ('3106389828', 'B927BF44', 'object/static/structure/general/shared_r5_head.iff');
INSERT INTO `object_crc_string_table` VALUES ('3189543838', 'BE1C939E', 'object/static/structure/general/shared_r5_leg.iff');
INSERT INTO `object_crc_string_table` VALUES ('3332345852', 'C69F8FFC', 'object/static/structure/general/shared_r5_torso.iff');
INSERT INTO `object_crc_string_table` VALUES ('745217663', '2C6B1E7F', 'object/static/structure/general/shared_repairdroidhead.iff');
INSERT INTO `object_crc_string_table` VALUES ('3102139401', 'B8E6E409', 'object/static/structure/general/shared_repairdroidtorso.iff');
INSERT INTO `object_crc_string_table` VALUES ('71717386', '446520A', 'object/static/structure/general/shared_rock_beach_dark_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('3296327653', 'C479F7E5', 'object/static/structure/general/shared_rock_beach_dark_md.iff');
INSERT INTO `object_crc_string_table` VALUES ('4036063186', 'F0916FD2', 'object/static/structure/general/shared_rock_forestriverrock_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('2218867418', '84413ADA', 'object/static/structure/general/shared_rock_mossy_big.iff');
INSERT INTO `object_crc_string_table` VALUES ('464560897', '1BB0A301', 'object/static/structure/general/shared_rock_mossy_big_a1.iff');
INSERT INTO `object_crc_string_table` VALUES ('86891093', '52DDA55', 'object/static/structure/general/shared_sandcrawler_debris_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3728372418', 'DE3A72C2', 'object/static/structure/general/shared_sandcrawler_debris_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1430782285', '5548014D', 'object/static/structure/general/shared_sandcrawler_destroyed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1576141271', '5DF201D7', 'object/static/structure/general/shared_skeleton_ancient_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('435082443', '19EED4CB', 'object/static/structure/general/shared_skeleton_ancient_s01_with_floor.iff');
INSERT INTO `object_crc_string_table` VALUES ('2348339894', '8BF8D2B6', 'object/static/structure/general/shared_skeleton_bith_head.iff');
INSERT INTO `object_crc_string_table` VALUES ('1830314734', '6D1862EE', 'object/static/structure/general/shared_skeleton_bith_headandbody.iff');
INSERT INTO `object_crc_string_table` VALUES ('3483128149', 'CF9C5155', 'object/static/structure/general/shared_skeleton_human_body.iff');
INSERT INTO `object_crc_string_table` VALUES ('2643348391', '9D8E4BA7', 'object/static/structure/general/shared_skeleton_human_head.iff');
INSERT INTO `object_crc_string_table` VALUES ('3589626000', 'D5F55890', 'object/static/structure/general/shared_skeleton_human_headandbody.iff');
INSERT INTO `object_crc_string_table` VALUES ('2846173676', 'A9A529EC', 'object/static/structure/general/shared_skeleton_ithorian_head.iff');
INSERT INTO `object_crc_string_table` VALUES ('2172543691', '817E62CB', 'object/static/structure/general/shared_skeleton_ithorian_headandbody.iff');
INSERT INTO `object_crc_string_table` VALUES ('366574640', '15D97C30', 'object/static/structure/general/shared_space_station.iff');
INSERT INTO `object_crc_string_table` VALUES ('943189465', '3837EDD9', 'object/static/structure/general/shared_streetlamp_large_blue_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4240600726', 'FCC26E96', 'object/static/structure/general/shared_streetlamp_large_blue_style_01_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('3810542926', 'E320454E', 'object/static/structure/general/shared_streetlamp_large_blue_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('270535624', '10200BC8', 'object/static/structure/general/shared_streetlamp_large_blue_style_02_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('3624406979', 'D8080FC3', 'object/static/structure/general/shared_streetlamp_large_green_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('116658492', '6F4113C', 'object/static/structure/general/shared_streetlamp_large_green_style_01_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('52406100', '31FA754', 'object/static/structure/general/shared_streetlamp_large_green_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3927340130', 'EA167462', 'object/static/structure/general/shared_streetlamp_large_green_style_02_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('3608090564', 'D70F17C4', 'object/static/structure/general/shared_streetlamp_large_red_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1475115555', '57EC7A23', 'object/static/structure/general/shared_streetlamp_large_red_style_01_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('202948435', 'C18BF53', 'object/static/structure/general/shared_streetlamp_large_red_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3138264957', 'BB0E1F7D', 'object/static/structure/general/shared_streetlamp_large_red_style_02_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('3885351943', 'E795C407', 'object/static/structure/general/shared_streetlamp_large_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3316525735', 'C5AE2AA7', 'object/static/structure/general/shared_streetlamp_large_style_01_off.iff');
INSERT INTO `object_crc_string_table` VALUES ('382521685', '16CCD155', 'object/static/structure/general/shared_streetlamp_large_style_01_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('1015180432', '3C826C90', 'object/static/structure/general/shared_streetlamp_large_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4197364747', 'FA2EB40B', 'object/static/structure/general/shared_streetlamp_large_style_02_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('3556643158', 'D3FE1156', 'object/static/structure/general/shared_streetlamp_medium_blue_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4180237744', 'F9295DB0', 'object/static/structure/general/shared_streetlamp_medium_blue_style_01_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('149535169', '8E9B9C1', 'object/static/structure/general/shared_streetlamp_medium_blue_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('365639918', '15CB38EE', 'object/static/structure/general/shared_streetlamp_medium_blue_style_02_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('4279659995', 'FF166DDB', 'object/static/structure/general/shared_streetlamp_medium_green_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4194458711', 'FA025C57', 'object/static/structure/general/shared_streetlamp_medium_green_style_01_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('604095820', '2401C54C', 'object/static/structure/general/shared_streetlamp_medium_green_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('383793417', '16E03909', 'object/static/structure/general/shared_streetlamp_medium_green_style_02_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('1554422035', '5CA69913', 'object/static/structure/general/shared_streetlamp_medium_red_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3488253126', 'CFEA84C6', 'object/static/structure/general/shared_streetlamp_medium_red_style_01_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('2276536708', '87B13184', 'object/static/structure/general/shared_streetlamp_medium_red_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('587784600', '2308E198', 'object/static/structure/general/shared_streetlamp_medium_red_style_02_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('621780950', '250F9FD6', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3048936619', 'B5BB14AB', 'object/static/structure/general/shared_streetlamp_medium_style_01_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('4262999873', 'FE183741', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1499034101', '595971F5', 'object/static/structure/general/shared_streetlamp_medium_style_02_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('3135621574', 'BAE5C9C6', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4100654572', 'F46B05EC', 'object/static/structure/general/shared_streetlamp_small_blue_style_01_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('1643274577', '61F26151', 'object/static/structure/general/shared_streetlamp_small_blue_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('411656370', '188960B2', 'object/static/structure/general/shared_streetlamp_small_blue_style_02_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('1789053763', '6AA2CB43', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2308408964', '89978684', 'object/static/structure/general/shared_streetlamp_small_green_style_01_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('2981454804', 'B1B563D4', 'object/static/structure/general/shared_streetlamp_small_green_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1702224858', '6575E3DA', 'object/static/structure/general/shared_streetlamp_small_green_style_02_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('1813754022', '6C1BB0A6', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1234455603', '49944C33', 'object/static/structure/general/shared_streetlamp_small_red_style_01_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('3071023153', 'B70C1831', 'object/static/structure/general/shared_streetlamp_small_red_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2775984493', 'A576296D', 'object/static/structure/general/shared_streetlamp_small_red_style_02_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('3350803377', 'C7B933B1', 'object/static/structure/general/shared_streetlamp_small_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3823745124', 'E3E9B864', 'object/static/structure/general/shared_streetlamp_small_style_01_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('481205030', '1CAE9B26', 'object/static/structure/general/shared_streetlamp_small_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('252435770', 'F0BDD3A', 'object/static/structure/general/shared_streetlamp_small_style_02_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('2209227126', '83AE2176', 'object/static/structure/general/shared_tankfarm_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('440438426', '1A408E9A', 'object/static/structure/general/shared_tato_cave_rock_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('2973893562', 'B14203BA', 'object/static/structure/general/shared_tato_cave_rock_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('2719778318', 'A21C860E', 'object/static/structure/general/shared_tato_cave_stalactite_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('2143135301', '7FBDA645', 'object/static/structure/general/shared_tato_cave_stalactite_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('2517045799', '96071227', 'object/static/structure/general/shared_tato_cave_stalactite_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('1567446267', '5D6D54FB', 'object/static/structure/general/shared_tato_cave_stalactite_tiny.iff');
INSERT INTO `object_crc_string_table` VALUES ('3335732340', 'C6D33C74', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('2537559006', '974013DE', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('4073236573', 'F2C8A85D', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('1132004410', '4379043A', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff');
INSERT INTO `object_crc_string_table` VALUES ('179319926', 'AB03476', 'object/static/structure/general/shared_tatooine_garden_base_lrg_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2835777230', 'A90686CE', 'object/static/structure/general/shared_tatooine_garden_base_med_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3312132450', 'C56B2162', 'object/static/structure/general/shared_tatooine_garden_base_sml_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1810658978', '6BEC76A2', 'object/static/structure/general/shared_tie_bomber_debris_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2386740007', '8E42C327', 'object/static/structure/general/shared_transport_debris_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1431661488', '55556BB0', 'object/static/structure/general/shared_transport_debris_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('783749181', '2EB7103D', 'object/static/structure/general/shared_trash_pile_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2131444493', '7F0B430D', 'object/static/structure/general/shared_tutorial_waypoint.iff');
INSERT INTO `object_crc_string_table` VALUES ('2194373157', '82CB7A25', 'object/static/structure/general/shared_web_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1507644082', '59DCD2B2', 'object/static/structure/general/shared_web_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('282178879', '10D1B53F', 'object/static/structure/general/shared_web_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3945963051', 'EB329E2B', 'object/static/structure/general/shared_web_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2722101670', 'A23FF9A6', 'object/static/structure/general/shared_web_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('2032685361', '79285131', 'object/static/structure/general/shared_web_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('807745212', '302536BC', 'object/static/structure/general/shared_web_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('3802756237', 'E2A9748D', 'object/static/structure/general/shared_xwing.iff');
INSERT INTO `object_crc_string_table` VALUES ('3199681465', 'BEB743B9', 'object/static/structure/lok/shared_lok_imprv_bannerpole_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2646498442', '9DBE5C8A', 'object/static/structure/lok/shared_lok_imprv_flagpole_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2482416832', '93F6ACC0', 'object/static/structure/military/shared_bunker_crate_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1580787523', '5E38E743', 'object/static/structure/military/shared_bunker_pillar_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2234470356', '852F4FD4', 'object/static/structure/military/shared_bunker_pillar_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3424790617', 'CC222859', 'object/static/structure/military/shared_bunker_pillar_style_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('935396173', '37C1034D', 'object/static/structure/military/shared_bunker_pillar_style_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3131562949', 'BAA7DBC5', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2048366214', '7A179686', 'object/static/structure/military/shared_military_column_med_rebel_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2024230445', '78A74E2D', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3057024962', 'B6367FC2', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3932437109', 'EA643A75', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('165391475', '9DBAC73', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3143955172', 'BB64F2E4', 'object/static/structure/military/shared_military_wall_med_imperial_16_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('514067204', '1EA40B04', 'object/static/structure/military/shared_military_wall_med_imperial_32_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('790640751', '2F20386F', 'object/static/structure/military/shared_military_wall_med_imperial_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3655812348', 'D9E744FC', 'object/static/structure/military/shared_military_wall_med_rebl_16_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2082979100', '7C27BD1C', 'object/static/structure/military/shared_military_wall_med_rebl_32_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3715555896', 'DD76E238', 'object/static/structure/military/shared_military_wall_med_rebl_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1838610467', '6D96F823', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3361079747', 'C85601C3', 'object/static/structure/military/shared_military_wall_strong_imperial_32_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1483242756', '58687D04', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3699886546', 'DC87C9D2', 'object/static/structure/military/shared_military_wall_strong_rebl_16_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2034708530', '79473032', 'object/static/structure/military/shared_military_wall_strong_rebl_32_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('456208313', '1B312FB9', 'object/static/structure/military/shared_military_wall_strong_rebl_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1733519188', '67536754', 'object/static/structure/military/shared_military_wall_weak_imperial_16_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3264454324', 'C2939EB4', 'object/static/structure/military/shared_military_wall_weak_imperial_32_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1600110720', '5F5FC080', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4029534530', 'F02DD142', 'object/static/structure/military/shared_military_wall_weak_rebl_16_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1441605794', '55ED28A2', 'object/static/structure/military/shared_military_wall_weak_rebl_32_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1462224892', '5727C7FC', 'object/static/structure/military/shared_military_wall_weak_rebl_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4135100937', 'F678A209', 'object/static/structure/naboo/shared_arbor_corner_45_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1575544927', '5DE8E85F', 'object/static/structure/naboo/shared_arbor_corner_90_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4146113855', 'F720AD3F', 'object/static/structure/naboo/shared_arbor_long_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('741803432', '2C3705A8', 'object/static/structure/naboo/shared_arbor_long_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('608666818', '244784C2', 'object/static/structure/naboo/shared_arbor_pillar_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1770334972', '69852AFC', 'object/static/structure/naboo/shared_arbor_short_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2995946091', 'B292826B', 'object/static/structure/naboo/shared_arbor_short_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('528159500', '1F7B130C', 'object/static/structure/naboo/shared_arch_bronze_naboo_theed.iff');
INSERT INTO `object_crc_string_table` VALUES ('242956153', 'E7B3779', 'object/static/structure/naboo/shared_arch_triumph_naboo_theed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1075423280', '4019A830', 'object/static/structure/naboo/shared_archway_narrow_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2601386151', '9B0E00A7', 'object/static/structure/naboo/shared_archway_narrow_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2344148347', '8BB8DD7B', 'object/static/structure/naboo/shared_archway_wide_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1353676268', '50AF75EC', 'object/static/structure/naboo/shared_archway_wide_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1827069441', '6CE6DE01', 'object/static/structure/naboo/shared_bridge_naboo_theed_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2378774480', '8DC937D0', 'object/static/structure/naboo/shared_bridge_stairs_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1457430343', '56DE9F47', 'object/static/structure/naboo/shared_bridge_stairs_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('533985482', '1FD3F8CA', 'object/static/structure/naboo/shared_bridge_stairs_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3142068500', 'BB482914', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1649846057', '6256A729', 'object/static/structure/naboo/shared_elevated_walkway_corner_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3220065348', 'BFEE4C44', 'object/static/structure/naboo/shared_elevated_walkway_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1694098643', '64F9E4D3', 'object/static/structure/naboo/shared_elevated_walkway_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('770999134', '2DF4835E', 'object/static/structure/naboo/shared_elevated_walkway_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1862893955', '6F098183', 'object/static/structure/naboo/shared_enclosed_walkway_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3021875476', 'B41E2914', 'object/static/structure/naboo/shared_enclosed_walkway_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3048917433', 'B5BAC9B9', 'object/static/structure/naboo/shared_fountain_naboo_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('195966880', 'BAE37A0', 'object/static/structure/naboo/shared_garden_gazebo_lg_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2126742923', '7EC3858B', 'object/static/structure/naboo/shared_garden_gazebo_sml_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1074098797', '4005726D', 'object/static/structure/naboo/shared_gate_narrow_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2601704186', '9B12DAFA', 'object/static/structure/naboo/shared_gate_narrow_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3519045750', 'D1C06076', 'object/static/structure/naboo/shared_gate_wide_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('181913825', 'AD7C8E1', 'object/static/structure/naboo/shared_gate_wide_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3414113435', 'CB7F3C9B', 'object/static/structure/naboo/shared_gungan_cleft_wall_lg_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2657146801', '9E60D7B1', 'object/static/structure/naboo/shared_gungan_damaged_narrow_arch_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3105404106', 'B918B4CA', 'object/static/structure/naboo/shared_gungan_damaged_wall_lg_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('377663795', '1682B133', 'object/static/structure/naboo/shared_gungan_damaged_wide_arch_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2805010210', 'A7310F22', 'object/static/structure/naboo/shared_gungan_filler_building_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2082908085', '7C26A7B5', 'object/static/structure/naboo/shared_gungan_filler_building_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2422623839', '90664E5F', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1702469898', '6579A10A', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1354924647', '50C28267', 'object/static/structure/naboo/shared_gungan_relic_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2346003184', '8BD52AF0', 'object/static/structure/naboo/shared_gungan_relic_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3941709300', 'EAF1B5F4', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1950388529', '74409131', 'object/static/structure/naboo/shared_gungan_shield_gen_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2881619119', 'ABC204AF', 'object/static/structure/naboo/shared_gungan_shield_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3341914811', 'C73192BB', 'object/static/structure/naboo/shared_gungan_statue_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('472267308', '1C263A2C', 'object/static/structure/naboo/shared_gungan_statue_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1428905377', '552B5DA1', 'object/static/structure/naboo/shared_gungan_statue_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2932373173', 'AEC876B5', 'object/static/structure/naboo/shared_gungan_statue_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3035920625', 'B4F478F1', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1877200998', '6FE3D066', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1816521599', '6C45EB7F', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3075621864', 'B75243E8', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('241189910', 'E604416', 'object/static/structure/naboo/shared_nboo_imprv_bannerpole_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1593839317', '5F000ED5', 'object/static/structure/naboo/shared_nboo_imprv_flagpole_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2546820738', '97CD6682', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('686510443', '28EB516B', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_short_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1780163094', '6A1B2216', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_lg_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2970389121', 'B10C8A81', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_lg_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1672669355', '63B2E8AB', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_sml_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3097837628', 'B8A5403C', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_sml_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2749897506', 'A3E81B22', 'object/static/structure/naboo/shared_nboo_imprv_pillar_lattice_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2569571754', '99288DAA', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1111434557', '423F253D', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('187843248', 'B3242B0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('734445875', '2BC6C133', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s07.iff');
INSERT INTO `object_crc_string_table` VALUES ('2446126369', '91CCED21', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s08.iff');
INSERT INTO `object_crc_string_table` VALUES ('2272581416', '8774D728', 'object/static/structure/naboo/shared_nboo_imprv_pillar_wall_large_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3953865310', 'EBAB325E', 'object/static/structure/naboo/shared_nboo_imprv_pillar_wall_ornate_large_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4137052165', 'F6966805', 'object/static/structure/naboo/shared_nboo_imprv_pillar_wall_ornate_small_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2588511603', '9A498D73', 'object/static/structure/naboo/shared_nboo_imprv_pillar_wall_small_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('630334767', '2592252F', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4270165432', 'FE858DB8', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('316340941', '12DAFACD', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_sml_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3039994617', 'B532A2F9', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_large_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2819618978', 'A80FF8A2', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_small_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3465140166', 'CE89D7C6', 'object/static/structure/naboo/shared_nboo_imprv_spill_gate_cap_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('808527051', '303124CB', 'object/static/structure/naboo/shared_nboo_imprv_spill_gate_pillar_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('979523108', '3A625624', 'object/static/structure/naboo/shared_nboo_imprv_spill_gate_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('550850554', '20D54FFA', 'object/static/structure/naboo/shared_nboo_imprv_tall_curved_wall_large_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1038620065', '3DE815A1', 'object/static/structure/naboo/shared_nboo_imprv_tall_curved_wall_small_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2590175363', '9A62F083', 'object/static/structure/naboo/shared_obelisk_naboo_theed_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1098209300', '41755814', 'object/static/structure/naboo/shared_obelisk_naboo_theed_style_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('142098329', '8783F99', 'object/static/structure/naboo/shared_obelisk_naboo_theed_style_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('531406240', '1FAC9DA0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3300603191', 'C4BB3537', 'object/static/structure/naboo/shared_planter_naboo_theed_style_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2089723078', '7C8EA4C6', 'object/static/structure/naboo/shared_poi_nboo_tent_hut_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3032697252', 'B4C349A4', 'object/static/structure/naboo/shared_poi_nboo_tent_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('3565822051', 'D48A2063', 'object/static/structure/naboo/shared_poi_nboo_tent_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('2161696141', '80D8DD8D', 'object/static/structure/naboo/shared_poi_nboo_tent_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('2216877395', '8422DD53', 'object/static/structure/naboo/shared_seawall_base_naboo_theed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3505796690', 'D0F63652', 'object/static/structure/naboo/shared_seawall_block.iff');
INSERT INTO `object_crc_string_table` VALUES ('2659350477', '9E8277CD', 'object/static/structure/naboo/shared_seawall_corner.iff');
INSERT INTO `object_crc_string_table` VALUES ('2996812721', 'B29FBBB1', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1770525478', '69881326', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4075734257', 'F2EEC4F1', 'object/static/structure/naboo/shared_seawall_rocks_naboo_theed_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('704212070', '29F96C66', 'object/static/structure/naboo/shared_seawall_rocks_naboo_theed_style_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('971032080', '39E0C610', 'object/static/structure/naboo/shared_seawall_stair_naboo_theed_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('346200597', '14A29A15', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3484758658', 'CFB53282', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2260227343', '86B8550F', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2103148059', '7D5B7E1B', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_4.iff');
INSERT INTO `object_crc_string_table` VALUES ('883128137', '34A37749', 'object/static/structure/naboo/shared_street_bridge_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4021608414', 'EFB4DFDE', 'object/static/structure/naboo/shared_street_bridge_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3791525150', 'E1FE151E', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3290878358', 'C426D196', 'object/static/structure/naboo/shared_wall_a1_naboo_theed_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2164222563', '80FF6A63', 'object/static/structure/naboo/shared_wall_naboo_theed_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2826816525', 'A87DCC0D', 'object/static/structure/naboo/shared_wallend_a1_naboo_theed_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('602568228', '23EA7624', 'object/static/structure/naboo/shared_wallend_naboo_theed_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2977184644', 'B1743B84', 'object/static/structure/nobuild/base/shared_nobuild_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1784128829', '6A57A53D', 'object/static/structure/nobuild/shared_nobuild_128.iff');
INSERT INTO `object_crc_string_table` VALUES ('1076938945', '4030C8C1', 'object/static/structure/nobuild/shared_nobuild_32.iff');
INSERT INTO `object_crc_string_table` VALUES ('2917289526', 'ADE24E36', 'object/static/structure/nobuild/shared_nobuild_4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2237054144', '8556BCC0', 'object/static/structure/nobuild/shared_nobuild_64.iff');
INSERT INTO `object_crc_string_table` VALUES ('361465227', '158B858B', 'object/static/structure/rori/shared_rori_imprv_bannerpole_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3974035646', 'ECDEF8BE', 'object/static/structure/rori/shared_rori_imprv_flagpole_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('181836729', 'AD69BB9', 'object/static/structure/talus/shared_talus_imprv_bannerpole_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('929058155', '37604D6B', 'object/static/structure/talus/shared_talus_imprv_flagpole_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3069872384', 'B6FA8900', 'object/static/structure/tatooine/jawa/base/shared_tent_jawa_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1450417289', '56739C89', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('3551226366', 'D3AB69FE', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('1650985120', '626808A0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('1093255506', '4129C152', 'object/static/structure/tatooine/shared_antenna_tatt_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2587781573', '9A3E69C5', 'object/static/structure/tatooine/shared_antenna_tatt_style_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4012796711', 'EF2E6B27', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('876200880', '3439C3B0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1188632964', '46D91984', 'object/static/structure/tatooine/shared_bridge_tatooine_small_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2647568659', '9DCEB113', 'object/static/structure/tatooine/shared_bridge_tatooine_small_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3569604254', 'D4C3D69E', 'object/static/structure/tatooine/shared_bridge_tatooine_small_style_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3926077524', 'EA033054', 'object/static/structure/tatooine/shared_concrete_slab_tatooine_16x8.iff');
INSERT INTO `object_crc_string_table` VALUES ('2802480216', 'A70A7458', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('640052328', '26266C68', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2065777367', '7B2142D7', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1759237578', '68DBD5CA', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3016523101', 'B3CC7D5D', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3869966709', 'E6AB0175', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff');
INSERT INTO `object_crc_string_table` VALUES ('2912961482', 'ADA043CA', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1991764829', '76B7EB5D', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('734378137', '2BC5B899', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff');
INSERT INTO `object_crc_string_table` VALUES ('509333295', '1E5BCF2F', 'object/static/structure/tatooine/shared_debris_tatt_radar_dish.iff');
INSERT INTO `object_crc_string_table` VALUES ('4217839607', 'FB671FF7', 'object/static/structure/tatooine/shared_guild_ball_free_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3370382065', 'C8E3F2F1', 'object/static/structure/tatooine/shared_guild_banner_free_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3311933250', 'C5681742', 'object/static/structure/tatooine/shared_guild_statue_free_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('833921892', '31B4A364', 'object/static/structure/tatooine/shared_luke_farm_dome.iff');
INSERT INTO `object_crc_string_table` VALUES ('2599767179', '9AF54C8B', 'object/static/structure/tatooine/shared_luke_farm_garage.iff');
INSERT INTO `object_crc_string_table` VALUES ('2565487141', '98EA3A25', 'object/static/structure/tatooine/shared_orchard_tatooine_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1140691634', '43FD92B2', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('964260108', '3979710C', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('241421707', 'E63CD8B', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4292692970', 'FFDD4BEA', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3757161564', 'DFF1BC5C', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3787857912', 'E1C61FF8', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1598087847', '5F40E2A7', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2137789713', '7F6C1511', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4197410545', 'FA2F66F1', 'object/static/structure/tatooine/shared_pillar_watto_junkshop.iff');
INSERT INTO `object_crc_string_table` VALUES ('965371099', '398A64DB', 'object/static/structure/tatooine/shared_planter_hanging_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3602181980', 'D6B4EF5C', 'object/static/structure/tatooine/shared_planter_window_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3540340474', 'D3054EFA', 'object/static/structure/tatooine/shared_shed_junkshop_watto.iff');
INSERT INTO `object_crc_string_table` VALUES ('2360757218', '8CB64BE2', 'object/static/structure/tatooine/shared_skeleton_greater_krayt_head.iff');
INSERT INTO `object_crc_string_table` VALUES ('1968966439', '755C0B27', 'object/static/structure/tatooine/shared_skeleton_greater_krayt_spine_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('3765108574', 'E06AFF5E', 'object/static/structure/tatooine/shared_skeleton_greater_krayt_spine_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('1095212814', '41479F0E', 'object/static/structure/tatooine/shared_skeleton_greater_krayt_spine_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('2765616042', 'A4D7F3AA', 'object/static/structure/tatooine/shared_skeleton_krayt_arm_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2143312701', '7FC05B3D', 'object/static/structure/tatooine/shared_skeleton_krayt_arm_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3709855452', 'DD1FE6DC', 'object/static/structure/tatooine/shared_skeleton_krayt_foot.iff');
INSERT INTO `object_crc_string_table` VALUES ('1206320755', '47E6FE73', 'object/static/structure/tatooine/shared_skeleton_krayt_head_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2633062116', '9CF156E4', 'object/static/structure/tatooine/shared_skeleton_krayt_head_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('244287544', 'E8F8838', 'object/static/structure/tatooine/shared_skeleton_krayt_leg_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3583516847', 'D59820AF', 'object/static/structure/tatooine/shared_skeleton_krayt_leg_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3011148946', 'B37A7C92', 'object/static/structure/tatooine/shared_skeleton_krayt_ribcage.iff');
INSERT INTO `object_crc_string_table` VALUES ('2336540846', '8B44C8AE', 'object/static/structure/tatooine/shared_skeleton_krayt_tail.iff');
INSERT INTO `object_crc_string_table` VALUES ('1322132974', '4ECE25EE', 'object/static/structure/tatooine/shared_stair_tatooine_large_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2514062713', '95D98D79', 'object/static/structure/tatooine/shared_stair_tatooine_large_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1860358744', '6EE2D258', 'object/static/structure/tatooine/shared_stair_tatooine_small_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3052763855', 'B5F57ACF', 'object/static/structure/tatooine/shared_stair_tatooine_small_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3200019712', 'BEBC6D00', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1684082876', '646110BC', 'object/static/structure/tatooine/shared_streetsign_upright_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3198539542', 'BEA5D716', 'object/static/structure/tatooine/shared_streetsign_wall_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2616904837', '9BFACC85', 'object/static/structure/tatooine/shared_tato_imprv_bannerpole_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1474884262', '57E8F2A6', 'object/static/structure/tatooine/shared_tato_imprv_flagpole_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1417975984', '548498B0', 'object/static/structure/tatooine/shared_tent_house_tatooine_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('380331488', '16AB65E0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('757634419', '2D289573', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3117988515', 'B9D8BAA3', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3482982112', 'CF9A16E0', 'object/static/structure/tatooine/shared_wall_damaged_tatooine_large_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3317597393', 'C5BE84D1', 'object/static/structure/tatooine/shared_wall_gate_tatooine_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('514403398', '1EA92C46', 'object/static/structure/tatooine/shared_wall_gate_tatooine_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1470385099', '57A44BCB', 'object/static/structure/tatooine/shared_wall_gate_tatooine_style_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('107098437', '6623145', 'object/static/structure/tatooine/shared_wall_gate_tatooine_wide_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3988863044', 'EDC13844', 'object/static/structure/tatooine/shared_wall_junkshop_watto.iff');
INSERT INTO `object_crc_string_table` VALUES ('2746619484', 'A3B6165C', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2023866059', '78A1BECB', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2207965674', '839AE1EA', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1229804318', '494D531E', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3589895396', 'D5F974E4', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('250535027', 'EEEDC73', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4124410706', 'F5D58352', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2504717915', '954AF65B', 'object/static/structure/yavin/shared_yavn_imprv_bannerpole_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1455376607', '56BF48DF', 'object/static/structure/yavin/shared_yavn_imprv_flagpole_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2890795531', 'AC4E0A0B', 'object/static/terrain/base/shared_static_terrain_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2001053430', '7745A6F6', 'object/static/terrain/corellia/shared_rock_bowl_agrilat_double.iff');
INSERT INTO `object_crc_string_table` VALUES ('269158049', '100B06A1', 'object/static/terrain/corellia/shared_rock_bowl_agrilat_single.iff');
INSERT INTO `object_crc_string_table` VALUES ('443205623', '1A6AC7F7', 'object/static/terrain/corellia/shared_rock_crystal_agrilat_arch_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('3222394313', 'C011D5C9', 'object/static/terrain/corellia/shared_rock_crystal_arch_agrilat_half_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('925475782', '3729A3C6', 'object/static/terrain/corellia/shared_rock_crystal_arch_agrilat_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('1782875920', '6A448710', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('667239859', '27C545B3', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_main.iff');
INSERT INTO `object_crc_string_table` VALUES ('2360913555', '8CB8AE93', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('1583289145', '5E5F1339', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('1649037373', '624A503D', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('2758241835', 'A4676E2B', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('563211563', '2191ED2B', 'object/static/terrain/corellia/shared_rock_crystl_shrpbush_main.iff');
INSERT INTO `object_crc_string_table` VALUES ('2674710016', '9F6CD600', 'object/static/terrain/corellia/shared_rock_crystl_shrpbush_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('751683644', '2CCDC83C', 'object/static/terrain/corellia/shared_rock_crystl_shrpbush_sm.iff');
INSERT INTO `object_crc_string_table` VALUES ('2387521344', '8E4EAF40', 'object/static/terrain/tatooine/shared_pinnacle_sacred_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('3940129403', 'EAD99A7B', 'object/static/terrain/tatooine/shared_poi_sarlacc_collision_floor.iff');
INSERT INTO `object_crc_string_table` VALUES ('3663567208', 'DA5D9968', 'object/static/terrain/tatooine/shared_rock_arch_large_tatooine_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3478274265', 'CF5240D9', 'object/static/terrain/tatooine/shared_rock_arch_medium_tatooine_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3539268114', 'D2F4F212', 'object/static/terrain/tatooine/shared_rock_arch_small_tatooine_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('611566460', '2473C37C', 'object/static/terrain/tatooine/shared_rock_mushroom_tatooine_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1526101729', '5AF676E1', 'object/static/terrain/tatooine/shared_rock_spire_fin_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('3421956208', 'CBF6E870', 'object/static/terrain/tatooine/shared_rock_spire_lumpy_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('1746495727', '681968EF', 'object/static/terrain/tatooine/shared_rock_spire_lumpy_tatooine_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3004088440', 'B30EC078', 'object/static/terrain/tatooine/shared_rock_spire_lumpy_tatooine_style_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('505839558', '1E267FC6', 'object/static/terrain/tatooine/shared_rock_spire_skinny_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('24378186', '173FB4A', 'object/static/terrain/tatooine/shared_rock_spire_skinny_tatooine_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3664008157', 'DA6453DD', 'object/static/terrain/tatooine/shared_rock_spire_skinny_tatooine_style_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3455314010', 'CDF3E85A', 'object/static/terrain/tatooine/shared_rock_spire_smooth_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('323068853', '1341A3B5', 'object/static/terrain/tatooine/shared_rock_spire_smooth_tatooine_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3361082146', 'C8560B22', 'object/static/terrain/tatooine/shared_rock_spire_smooth_tatooine_style_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('956566051', '39040A23', 'object/static/test/shared_test_blast.iff');
INSERT INTO `object_crc_string_table` VALUES ('1262353977', '4B3DFE39', 'object/static/test/shared_test_blaster_bolt.iff');
INSERT INTO `object_crc_string_table` VALUES ('4068306658', 'F27D6EE2', 'object/static/test/shared_test_sound_obelisk_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('694863477', '296AC675', 'object/static/test/shared_test_sound_obelisk_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('82674764', '4ED844C', 'object/static/test/shared_test_static_sandcrawler.iff');
INSERT INTO `object_crc_string_table` VALUES ('2401779536', '8F283F50', 'object/static/vehicle/e3/shared_landspeeder.iff');
INSERT INTO `object_crc_string_table` VALUES ('3753376188', 'DFB7F9BC', 'object/static/vehicle/shared_player_shuttle.iff');
INSERT INTO `object_crc_string_table` VALUES ('520035504', '1EFF1CB0', 'object/static/vehicle/shared_static_lambda_shuttle.iff');
INSERT INTO `object_crc_string_table` VALUES ('1560527030', '5D03C0B6', 'object/static/vehicle/shared_static_sandcrawler.iff');
INSERT INTO `object_crc_string_table` VALUES ('1319374106', '4EA40D1A', 'object/static/vehicle/shared_static_speeder_bike.iff');
INSERT INTO `object_crc_string_table` VALUES ('1844639584', '6DF2F760', 'object/static/vehicle/shared_static_swoop_bike.iff');
INSERT INTO `object_crc_string_table` VALUES ('4082501071', 'F35605CF', 'object/static/vehicle/shared_static_tie_bomber.iff');
INSERT INTO `object_crc_string_table` VALUES ('1095801974', '41509C76', 'object/static/vehicle/shared_static_tie_fighter.iff');
INSERT INTO `object_crc_string_table` VALUES ('1895633812', '70FD1394', 'object/tangible/bank/shared_character_bank.iff');
INSERT INTO `object_crc_string_table` VALUES ('3825894482', 'E40A8452', 'object/tangible/base/shared_tangible_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1525014593', '5AE5E041', 'object/tangible/base/shared_tangible_craftable.iff');
INSERT INTO `object_crc_string_table` VALUES ('1350067174', '507863E6', 'object/tangible/base/shared_tangible_default.iff');
INSERT INTO `object_crc_string_table` VALUES ('2246798191', '85EB6B6F', 'object/tangible/battery/shared_battery.iff');
INSERT INTO `object_crc_string_table` VALUES ('3480787913', 'CF789BC9', 'object/tangible/beta/shared_beta_terminal_food.iff');
INSERT INTO `object_crc_string_table` VALUES ('600604858', '23CC80BA', 'object/tangible/beta/shared_beta_terminal_medicine.iff');
INSERT INTO `object_crc_string_table` VALUES ('1792262622', '6AD3C1DE', 'object/tangible/beta/shared_beta_terminal_money.iff');
INSERT INTO `object_crc_string_table` VALUES ('1782676583', '6A417C67', 'object/tangible/beta/shared_beta_terminal_resource.iff');
INSERT INTO `object_crc_string_table` VALUES ('1453711903', '56A5E21F', 'object/tangible/beta/shared_beta_terminal_warp.iff');
INSERT INTO `object_crc_string_table` VALUES ('123483416', '75C3518', 'object/tangible/beta/shared_beta_terminal_wound.iff');
INSERT INTO `object_crc_string_table` VALUES ('3440875324', 'CD17973C', 'object/tangible/beta/shared_beta_terminal_xp.iff');
INSERT INTO `object_crc_string_table` VALUES ('3977978094', 'ED1B20EE', 'object/tangible/beta/shared_donham_terminal.iff');
INSERT INTO `object_crc_string_table` VALUES ('3865262015', 'E66337BF', 'object/tangible/bug_jar/shared_craftable_bug_habitat.iff');
INSERT INTO `object_crc_string_table` VALUES ('649283460', '26B34784', 'object/tangible/bug_jar/shared_sample_bats.iff');
INSERT INTO `object_crc_string_table` VALUES ('2990947640', 'B2463D38', 'object/tangible/bug_jar/shared_sample_bees.iff');
INSERT INTO `object_crc_string_table` VALUES ('1650774020', '6264D004', 'object/tangible/bug_jar/shared_sample_bugs.iff');
INSERT INTO `object_crc_string_table` VALUES ('3511677766', 'D14FF346', 'object/tangible/bug_jar/shared_sample_butterflies.iff');
INSERT INTO `object_crc_string_table` VALUES ('1920617264', '727A4B30', 'object/tangible/bug_jar/shared_sample_flies.iff');
INSERT INTO `object_crc_string_table` VALUES ('543867771', '206AC37B', 'object/tangible/bug_jar/shared_sample_glowzees.iff');
INSERT INTO `object_crc_string_table` VALUES ('1330824406', '4F52C4D6', 'object/tangible/bug_jar/shared_sample_moths.iff');
INSERT INTO `object_crc_string_table` VALUES ('3093106291', 'B85D0E73', 'object/tangible/camp/shared_camp_chair_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1665836772', '634AA6E4', 'object/tangible/camp/shared_camp_chair_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('709345641', '2A47C169', 'object/tangible/camp/shared_camp_chair_s3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1403576504', '53A8E0B8', 'object/tangible/camp/shared_camp_control_panel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1118144576', '42A58840', 'object/tangible/camp/shared_camp_cot.iff');
INSERT INTO `object_crc_string_table` VALUES ('2382295007', '8DFEEFDF', 'object/tangible/camp/shared_camp_cot_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1458128712', '56E94748', 'object/tangible/camp/shared_camp_cot_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('535044293', '1FE420C5', 'object/tangible/camp/shared_camp_cot_s3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3025871349', 'B45B21F5', 'object/tangible/camp/shared_camp_crate_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1758920925', '68D700DD', 'object/tangible/camp/shared_camp_lantern_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3015747658', 'B3C0A84A', 'object/tangible/camp/shared_camp_lantern_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4207792071', 'FACDCFC7', 'object/tangible/camp/shared_camp_lantern_s3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2201158823', '833304A7', 'object/tangible/camp/shared_camp_lawn_chair.iff');
INSERT INTO `object_crc_string_table` VALUES ('1218683481', '48A3A259', 'object/tangible/camp/shared_camp_light_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2478049998', '93B40ACE', 'object/tangible/camp/shared_camp_light_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3669585219', 'DAB96D43', 'object/tangible/camp/shared_camp_light_s3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3526587554', 'D23374A2', 'object/tangible/camp/shared_camp_pavilion_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('153410613', '924DC35', 'object/tangible/camp/shared_camp_pavilion_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3348365284', 'C793FFE4', 'object/tangible/camp/shared_camp_spit.iff');
INSERT INTO `object_crc_string_table` VALUES ('3905285557', 'E8C5EDB5', 'object/tangible/camp/shared_camp_spit_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('869418274', '33D24522', 'object/tangible/camp/shared_camp_spit_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2061443759', '7ADF22AF', 'object/tangible/camp/shared_camp_spit_s3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1063678177', '3F6670E1', 'object/tangible/camp/shared_camp_stool_short.iff');
INSERT INTO `object_crc_string_table` VALUES ('3243108837', 'C14DE9E5', 'object/tangible/camp/shared_camp_stool_tall.iff');
INSERT INTO `object_crc_string_table` VALUES ('2127813712', '7ED3DC50', 'object/tangible/camp/shared_camp_tent_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2781115591', 'A5C474C7', 'object/tangible/camp/shared_camp_tent_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3972600650', 'ECC9134A', 'object/tangible/camp/shared_camp_tent_s3.iff');
INSERT INTO `object_crc_string_table` VALUES ('388642910', '172A385E', 'object/tangible/camp/shared_camp_tent_s4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1579638739', '5E275FD3', 'object/tangible/camp/shared_camp_tent_s5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2234578756', '8530F744', 'object/tangible/camp/shared_camp_tent_s6.iff');
INSERT INTO `object_crc_string_table` VALUES ('1850708683', '6E4F92CB', 'object/tangible/camp/shared_campfire_logs_ash.iff');
INSERT INTO `object_crc_string_table` VALUES ('3245417317', 'C1712365', 'object/tangible/camp/shared_campfire_logs_burnt.iff');
INSERT INTO `object_crc_string_table` VALUES ('1992640015', '76C5460F', 'object/tangible/camp/shared_campfire_logs_fresh.iff');
INSERT INTO `object_crc_string_table` VALUES ('343626744', '147B53F8', 'object/tangible/camp/shared_campfire_logs_smoldering.iff');
INSERT INTO `object_crc_string_table` VALUES ('3871435906', 'E6C16C82', 'object/tangible/component/armor/shared_armor_layer.iff');
INSERT INTO `object_crc_string_table` VALUES ('3368394489', 'C8C59EF9', 'object/tangible/component/armor/shared_armor_layer_acid.iff');
INSERT INTO `object_crc_string_table` VALUES ('3979633097', 'ED3461C9', 'object/tangible/component/armor/shared_armor_layer_blast.iff');
INSERT INTO `object_crc_string_table` VALUES ('1118558688', '42ABD9E0', 'object/tangible/component/armor/shared_armor_layer_cold.iff');
INSERT INTO `object_crc_string_table` VALUES ('2194125131', '82C7B14B', 'object/tangible/component/armor/shared_armor_layer_electrical.iff');
INSERT INTO `object_crc_string_table` VALUES ('2938969271', 'AF2D1CB7', 'object/tangible/component/armor/shared_armor_layer_energy.iff');
INSERT INTO `object_crc_string_table` VALUES ('2751814176', 'A4055A20', 'object/tangible/component/armor/shared_armor_layer_environmental.iff');
INSERT INTO `object_crc_string_table` VALUES ('3125319440', 'BA489710', 'object/tangible/component/armor/shared_armor_layer_heat.iff');
INSERT INTO `object_crc_string_table` VALUES ('2095312993', '7CE3F061', 'object/tangible/component/armor/shared_armor_layer_kinetic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3536633958', 'D2CCC066', 'object/tangible/component/armor/shared_armor_layer_nightsister.iff');
INSERT INTO `object_crc_string_table` VALUES ('3874261151', 'E6EC889F', 'object/tangible/component/armor/shared_armor_layer_restraint.iff');
INSERT INTO `object_crc_string_table` VALUES ('2996647863', 'B29D37B7', 'object/tangible/component/armor/shared_armor_layer_ris.iff');
INSERT INTO `object_crc_string_table` VALUES ('203108001', 'C1B2EA1', 'object/tangible/component/armor/shared_armor_layer_stun.iff');
INSERT INTO `object_crc_string_table` VALUES ('1321171754', '4EBF7B2A', 'object/tangible/component/armor/shared_armor_module_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('2414299124', '8FE747F4', 'object/tangible/component/armor/shared_armor_module_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('1357044619', '50E2DB8B', 'object/tangible/component/armor/shared_armor_segment.iff');
INSERT INTO `object_crc_string_table` VALUES ('34830358', '2137816', 'object/tangible/component/armor/shared_armor_segment_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1150752581', '44971745', 'object/tangible/component/armor/shared_armor_segment_bone.iff');
INSERT INTO `object_crc_string_table` VALUES ('1282707003', '4C748E3B', 'object/tangible/component/armor/shared_armor_segment_bone_acklay.iff');
INSERT INTO `object_crc_string_table` VALUES ('2814096223', 'A7BBB35F', 'object/tangible/component/armor/shared_armor_segment_bone_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1936004642', '73651622', 'object/tangible/component/armor/shared_armor_segment_bone_donkuwah.iff');
INSERT INTO `object_crc_string_table` VALUES ('2307142178', '89843222', 'object/tangible/component/armor/shared_armor_segment_bone_kimogila.iff');
INSERT INTO `object_crc_string_table` VALUES ('534961284', '1FE2DC84', 'object/tangible/component/armor/shared_armor_segment_bone_voritor_lizard.iff');
INSERT INTO `object_crc_string_table` VALUES ('3560749582', 'D43CBA0E', 'object/tangible/component/armor/shared_armor_segment_chitin.iff');
INSERT INTO `object_crc_string_table` VALUES ('2809337004', 'A77314AC', 'object/tangible/component/armor/shared_armor_segment_chitin_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3248573794', 'C1A14D62', 'object/tangible/component/armor/shared_armor_segment_chitin_brackaset.iff');
INSERT INTO `object_crc_string_table` VALUES ('2446761645', '91D69EAD', 'object/tangible/component/armor/shared_armor_segment_chitin_kliknick.iff');
INSERT INTO `object_crc_string_table` VALUES ('2037172516', '796CC924', 'object/tangible/component/armor/shared_armor_segment_chitin_kliknick_adv.iff');
INSERT INTO `object_crc_string_table` VALUES ('1708779648', '65D9E880', 'object/tangible/component/armor/shared_armor_segment_chitin_sharnaff.iff');
INSERT INTO `object_crc_string_table` VALUES ('3596548182', 'D65EF856', 'object/tangible/component/armor/shared_armor_segment_composite.iff');
INSERT INTO `object_crc_string_table` VALUES ('2764212654', 'A4C289AE', 'object/tangible/component/armor/shared_armor_segment_composite_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2649372559', '9DEA378F', 'object/tangible/component/armor/shared_armor_segment_composite_krayt.iff');
INSERT INTO `object_crc_string_table` VALUES ('591672738', '234435A2', 'object/tangible/component/armor/shared_armor_segment_enhancement_brackaset.iff');
INSERT INTO `object_crc_string_table` VALUES ('433071916', '19D0272C', 'object/tangible/component/armor/shared_armor_segment_enhancement_dragonet.iff');
INSERT INTO `object_crc_string_table` VALUES ('409289522', '18654332', 'object/tangible/component/armor/shared_armor_segment_enhancement_fambaa.iff');
INSERT INTO `object_crc_string_table` VALUES ('184239884', 'AFB470C', 'object/tangible/component/armor/shared_armor_segment_enhancement_janta.iff');
INSERT INTO `object_crc_string_table` VALUES ('3365812164', 'C89E37C4', 'object/tangible/component/armor/shared_armor_segment_enhancement_kimogila.iff');
INSERT INTO `object_crc_string_table` VALUES ('1719593091', '667EE883', 'object/tangible/component/armor/shared_armor_segment_enhancement_krayt.iff');
INSERT INTO `object_crc_string_table` VALUES ('2132900638', '7F217B1E', 'object/tangible/component/armor/shared_armor_segment_enhancement_nightsister.iff');
INSERT INTO `object_crc_string_table` VALUES ('1147665676', '4467FD0C', 'object/tangible/component/armor/shared_armor_segment_enhancement_rancor.iff');
INSERT INTO `object_crc_string_table` VALUES ('604719765', '240B4A95', 'object/tangible/component/armor/shared_armor_segment_enhancement_sharnaff.iff');
INSERT INTO `object_crc_string_table` VALUES ('2169359198', '814DCB5E', 'object/tangible/component/armor/shared_armor_segment_enhancement_voritor_lizard.iff');
INSERT INTO `object_crc_string_table` VALUES ('923046063', '370490AF', 'object/tangible/component/armor/shared_armor_segment_kashyyykian_black_mtn.iff');
INSERT INTO `object_crc_string_table` VALUES ('4080254682', 'F333BEDA', 'object/tangible/component/armor/shared_armor_segment_kashyyykian_black_mtn_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3045138551', 'B5812077', 'object/tangible/component/armor/shared_armor_segment_kashyyykian_ceremonial.iff');
INSERT INTO `object_crc_string_table` VALUES ('2163584319', '80F5AD3F', 'object/tangible/component/armor/shared_armor_segment_kashyyykian_ceremonial_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3253647713', 'C1EEB961', 'object/tangible/component/armor/shared_armor_segment_kashyyykian_hunting.iff');
INSERT INTO `object_crc_string_table` VALUES ('2762649224', 'A4AAAE88', 'object/tangible/component/armor/shared_armor_segment_kashyyykian_hunting_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1728449296', '67060B10', 'object/tangible/component/armor/shared_armor_segment_padded.iff');
INSERT INTO `object_crc_string_table` VALUES ('962320502', '395BD876', 'object/tangible/component/armor/shared_armor_segment_padded_acklay.iff');
INSERT INTO `object_crc_string_table` VALUES ('3071514894', 'B713990E', 'object/tangible/component/armor/shared_armor_segment_padded_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2051360405', '7A454695', 'object/tangible/component/armor/shared_armor_segment_padded_dune_lizard.iff');
INSERT INTO `object_crc_string_table` VALUES ('2619219671', '9C1E1ED7', 'object/tangible/component/armor/shared_armor_segment_padded_fambaa.iff');
INSERT INTO `object_crc_string_table` VALUES ('3223101673', 'C01CA0E9', 'object/tangible/component/armor/shared_armor_segment_padded_rancor.iff');
INSERT INTO `object_crc_string_table` VALUES ('1466801045', '576D9B95', 'object/tangible/component/armor/shared_armor_segment_ris.iff');
INSERT INTO `object_crc_string_table` VALUES ('3553286313', 'D3CAD8A9', 'object/tangible/component/armor/shared_armor_segment_ris_acklay.iff');
INSERT INTO `object_crc_string_table` VALUES ('2314491777', '89F45781', 'object/tangible/component/armor/shared_armor_segment_ubese.iff');
INSERT INTO `object_crc_string_table` VALUES ('1032868484', '3D905284', 'object/tangible/component/armor/shared_armor_segment_ubese_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2378288672', '8DC1CE20', 'object/tangible/component/armor/shared_armor_segment_zam.iff');
INSERT INTO `object_crc_string_table` VALUES ('452144726', '1AF32E56', 'object/tangible/component/armor/shared_armor_segment_zam_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('524566894', '1F44416E', 'object/tangible/component/armor/shared_base_armor_segment_enhancement.iff');
INSERT INTO `object_crc_string_table` VALUES ('4007249575', 'EED9C6A7', 'object/tangible/component/armor/shared_bone_fragment_woolamander_harrower.iff');
INSERT INTO `object_crc_string_table` VALUES ('3438496009', 'CCF34909', 'object/tangible/component/armor/shared_deflector_shield_emitter_assembly.iff');
INSERT INTO `object_crc_string_table` VALUES ('1857960052', '6EBE3874', 'object/tangible/component/armor/shared_deflector_shield_generator_energy_ray.iff');
INSERT INTO `object_crc_string_table` VALUES ('2738138651', 'A334AE1B', 'object/tangible/component/armor/shared_deflector_shield_generator_particle.iff');
INSERT INTO `object_crc_string_table` VALUES ('2607341358', '9B68DF2E', 'object/tangible/component/armor/shared_deflector_shield_ion_feed_unit.iff');
INSERT INTO `object_crc_string_table` VALUES ('2649973177', '9DF361B9', 'object/tangible/component/armor/shared_deflector_shield_overload_discharge_unit.iff');
INSERT INTO `object_crc_string_table` VALUES ('2995769746', 'B28FD192', 'object/tangible/component/armor/shared_deflector_shield_projector_plate.iff');
INSERT INTO `object_crc_string_table` VALUES ('2381585751', '8DF41D57', 'object/tangible/component/armor/shared_feather_peko_albatross.iff');
INSERT INTO `object_crc_string_table` VALUES ('3619749395', 'D7C0FE13', 'object/tangible/component/armor/shared_heavy_armor_layer.iff');
INSERT INTO `object_crc_string_table` VALUES ('1874541769', '6FBB3CC9', 'object/tangible/component/armor/shared_heavy_armor_layer_acid.iff');
INSERT INTO `object_crc_string_table` VALUES ('2097043394', '7CFE57C2', 'object/tangible/component/armor/shared_heavy_armor_layer_blast.iff');
INSERT INTO `object_crc_string_table` VALUES ('3855973328', 'E5D57BD0', 'object/tangible/component/armor/shared_heavy_armor_layer_cold.iff');
INSERT INTO `object_crc_string_table` VALUES ('2909170926', 'AD666CEE', 'object/tangible/component/armor/shared_heavy_armor_layer_electrical.iff');
INSERT INTO `object_crc_string_table` VALUES ('1153905054', '44C7319E', 'object/tangible/component/armor/shared_heavy_armor_layer_energy.iff');
INSERT INTO `object_crc_string_table` VALUES ('1639844661', '61BE0B35', 'object/tangible/component/armor/shared_heavy_armor_layer_environmental.iff');
INSERT INTO `object_crc_string_table` VALUES ('490091808', '1D363520', 'object/tangible/component/armor/shared_heavy_armor_layer_heat.iff');
INSERT INTO `object_crc_string_table` VALUES ('2016162937', '782C3479', 'object/tangible/component/armor/shared_heavy_armor_layer_kinetic.iff');
INSERT INTO `object_crc_string_table` VALUES ('34964498', '2158412', 'object/tangible/component/armor/shared_heavy_armor_layer_restraint.iff');
INSERT INTO `object_crc_string_table` VALUES ('2875559057', 'AB658C91', 'object/tangible/component/armor/shared_heavy_armor_layer_stun.iff');
INSERT INTO `object_crc_string_table` VALUES ('605934535', '241DD3C7', 'object/tangible/component/armor/shared_hide_gurk_king.iff');
INSERT INTO `object_crc_string_table` VALUES ('3177620881', 'BD66A591', 'object/tangible/component/armor/shared_scale_giant_dune_kimogila.iff');
INSERT INTO `object_crc_string_table` VALUES ('3129011017', 'BA80EB49', 'object/tangible/component/armor/shared_shield_generator_facility.iff');
INSERT INTO `object_crc_string_table` VALUES ('3357133395', 'C819CA53', 'object/tangible/component/armor/shared_shield_generator_personal.iff');
INSERT INTO `object_crc_string_table` VALUES ('2352410837', '8C36F0D5', 'object/tangible/component/armor/shared_shield_generator_personal_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('3309016920', 'C53B9758', 'object/tangible/component/armor/shared_shield_generator_personal_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('1034696189', '3DAC35FD', 'object/tangible/component/armor/shared_shield_generator_personal_imperial_test.iff');
INSERT INTO `object_crc_string_table` VALUES ('4081974766', 'F34DFDEE', 'object/tangible/component/armor/shared_shield_generator_vehicular.iff');
INSERT INTO `object_crc_string_table` VALUES ('2531878022', '96E96486', 'object/tangible/component/base/shared_base_barrel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2398764559', '8EFA3E0F', 'object/tangible/component/base/shared_base_component.iff');
INSERT INTO `object_crc_string_table` VALUES ('2106678290', '7D915C12', 'object/tangible/component/base/shared_base_dna_sample.iff');
INSERT INTO `object_crc_string_table` VALUES ('77505063', '49EA227', 'object/tangible/component/base/shared_base_electronic_component.iff');
INSERT INTO `object_crc_string_table` VALUES ('3167521190', 'BCCC89A6', 'object/tangible/component/base/shared_base_food.iff');
INSERT INTO `object_crc_string_table` VALUES ('219382584', 'D138338', 'object/tangible/component/bio/shared_base_bio_component_clothing_casual.iff');
INSERT INTO `object_crc_string_table` VALUES ('2494958129', '94B60A31', 'object/tangible/component/bio/shared_base_bio_component_clothing_field.iff');
INSERT INTO `object_crc_string_table` VALUES ('3815377986', 'E36A0C42', 'object/tangible/component/bio/shared_base_bio_component_clothing_formal.iff');
INSERT INTO `object_crc_string_table` VALUES ('2633814515', '9CFCD1F3', 'object/tangible/component/bio/shared_base_bio_component_food.iff');
INSERT INTO `object_crc_string_table` VALUES ('1272895118', '4BDED68E', 'object/tangible/component/bio/shared_bio_component_clothing_casual_charisma.iff');
INSERT INTO `object_crc_string_table` VALUES ('2790898256', 'A659BA50', 'object/tangible/component/bio/shared_bio_component_clothing_casual_charisma_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1970227985', '756F4B11', 'object/tangible/component/bio/shared_bio_component_clothing_casual_entertainer.iff');
INSERT INTO `object_crc_string_table` VALUES ('3713366872', 'DD557B58', 'object/tangible/component/bio/shared_bio_component_clothing_casual_entertainer_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('55693017', '351CED9', 'object/tangible/component/bio/shared_bio_component_clothing_casual_medic.iff');
INSERT INTO `object_crc_string_table` VALUES ('608421917', '2443C81D', 'object/tangible/component/bio/shared_bio_component_clothing_casual_medic_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3483367767', 'CF9FF957', 'object/tangible/component/bio/shared_bio_component_clothing_casual_taming.iff');
INSERT INTO `object_crc_string_table` VALUES ('2121215649', '7E6F2EA1', 'object/tangible/component/bio/shared_bio_component_clothing_casual_taming_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('861669010', '335C0692', 'object/tangible/component/bio/shared_bio_component_clothing_casual_training.iff');
INSERT INTO `object_crc_string_table` VALUES ('3979863035', 'ED37E3FB', 'object/tangible/component/bio/shared_bio_component_clothing_casual_training_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1523403607', '5ACD4B57', 'object/tangible/component/bio/shared_bio_component_clothing_field_armor.iff');
INSERT INTO `object_crc_string_table` VALUES ('3097107766', 'B89A1D36', 'object/tangible/component/bio/shared_bio_component_clothing_field_armor_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4173771067', 'F8C6B13B', 'object/tangible/component/bio/shared_bio_component_clothing_field_bleeding.iff');
INSERT INTO `object_crc_string_table` VALUES ('1801496294', '6B60A6E6', 'object/tangible/component/bio/shared_bio_component_clothing_field_bleeding_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3468672511', 'CEBFBDFF', 'object/tangible/component/bio/shared_bio_component_clothing_field_camo.iff');
INSERT INTO `object_crc_string_table` VALUES ('1895651741', '70FD599D', 'object/tangible/component/bio/shared_bio_component_clothing_field_camo_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1495044005', '591C8FA5', 'object/tangible/component/bio/shared_bio_component_clothing_field_cover.iff');
INSERT INTO `object_crc_string_table` VALUES ('467211451', '1BD914BB', 'object/tangible/component/bio/shared_bio_component_clothing_field_cover_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4223028089', 'FBB64B79', 'object/tangible/component/bio/shared_bio_component_clothing_field_defense.iff');
INSERT INTO `object_crc_string_table` VALUES ('58582226', '37DE4D2', 'object/tangible/component/bio/shared_bio_component_clothing_field_defense_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2984936227', 'B1EA8323', 'object/tangible/component/bio/shared_bio_component_clothing_field_intimidate.iff');
INSERT INTO `object_crc_string_table` VALUES ('3980420512', 'ED4065A0', 'object/tangible/component/bio/shared_bio_component_clothing_field_intimidate_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2498712826', '94EF54FA', 'object/tangible/component/bio/shared_bio_component_food_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('1999617734', '772FBEC6', 'object/tangible/component/bio/shared_bio_component_food_heavy_filling.iff');
INSERT INTO `object_crc_string_table` VALUES ('3777049958', 'E1213566', 'object/tangible/component/bio/shared_bio_component_food_heavy_flavor.iff');
INSERT INTO `object_crc_string_table` VALUES ('3750501285', 'DF8C1BA5', 'object/tangible/component/bio/shared_bio_component_food_heavy_nutrition.iff');
INSERT INTO `object_crc_string_table` VALUES ('3677884855', 'DB3811B7', 'object/tangible/component/bio/shared_bio_component_food_heavy_quantity.iff');
INSERT INTO `object_crc_string_table` VALUES ('1438083108', '55B76824', 'object/tangible/component/bio/shared_bio_component_food_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('4207262465', 'FAC5BB01', 'object/tangible/component/bio/shared_bio_component_food_light_filling.iff');
INSERT INTO `object_crc_string_table` VALUES ('4041478053', 'F0E40FA5', 'object/tangible/component/bio/shared_bio_component_food_light_flavor.iff');
INSERT INTO `object_crc_string_table` VALUES ('2945552565', 'AF9190B5', 'object/tangible/component/bio/shared_bio_component_food_light_nutrition.iff');
INSERT INTO `object_crc_string_table` VALUES ('1778167946', '69FCB08A', 'object/tangible/component/bio/shared_bio_component_food_light_quantity.iff');
INSERT INTO `object_crc_string_table` VALUES ('3076711804', 'B762E57C', 'object/tangible/component/bio/shared_bio_component_food_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('856029112', '3305F7B8', 'object/tangible/component/bio/shared_bio_component_food_medium_filling.iff');
INSERT INTO `object_crc_string_table` VALUES ('1373118882', '51D821A2', 'object/tangible/component/bio/shared_bio_component_food_medium_flavor.iff');
INSERT INTO `object_crc_string_table` VALUES ('624506486', '25393676', 'object/tangible/component/bio/shared_bio_component_food_medium_nutrition.iff');
INSERT INTO `object_crc_string_table` VALUES ('3606276380', 'D6F3691C', 'object/tangible/component/bio/shared_bio_component_food_medium_quantity.iff');
INSERT INTO `object_crc_string_table` VALUES ('3704098001', 'DCC80CD1', 'object/tangible/component/chemistry/shared_biologic_effect_controller.iff');
INSERT INTO `object_crc_string_table` VALUES ('2300334388', '891C5134', 'object/tangible/component/chemistry/shared_biologic_effect_controller_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1107717367', '42066CF7', 'object/tangible/component/chemistry/shared_chemistry_component.iff');
INSERT INTO `object_crc_string_table` VALUES ('2561274877', '98A9F3FD', 'object/tangible/component/chemistry/shared_dispersal_mechanism.iff');
INSERT INTO `object_crc_string_table` VALUES ('1183326232', '46882018', 'object/tangible/component/chemistry/shared_dispersal_mechanism_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3662200732', 'DA48BF9C', 'object/tangible/component/chemistry/shared_dispersal_mechanism_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('1566810278', '5D63A0A6', 'object/tangible/component/chemistry/shared_endrost.iff');
INSERT INTO `object_crc_string_table` VALUES ('1679113487', '64153D0F', 'object/tangible/component/chemistry/shared_infection_amplifier.iff');
INSERT INTO `object_crc_string_table` VALUES ('1129599787', '4354532B', 'object/tangible/component/chemistry/shared_infection_amplifier_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2542466646', '978AF656', 'object/tangible/component/chemistry/shared_infection_amplifier_donkuwah.iff');
INSERT INTO `object_crc_string_table` VALUES ('1058893195', '3F1D6D8B', 'object/tangible/component/chemistry/shared_janta_blood.iff');
INSERT INTO `object_crc_string_table` VALUES ('3358009919', 'C8272A3F', 'object/tangible/component/chemistry/shared_liquid_delivery_suspension.iff');
INSERT INTO `object_crc_string_table` VALUES ('1862978449', '6F0ACB91', 'object/tangible/component/chemistry/shared_liquid_delivery_suspension_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2125828642', '7EB59222', 'object/tangible/component/chemistry/shared_liquid_delivery_suspension_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('478044743', '1C7E6247', 'object/tangible/component/chemistry/shared_quest_stimpack_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('317047330', '12E5C222', 'object/tangible/component/chemistry/shared_rancor_bile.iff');
INSERT INTO `object_crc_string_table` VALUES ('1870489005', '6F7D65AD', 'object/tangible/component/chemistry/shared_release_mechanism_duration.iff');
INSERT INTO `object_crc_string_table` VALUES ('282084455', '10D04467', 'object/tangible/component/chemistry/shared_release_mechanism_duration_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2132263971', '7F17C423', 'object/tangible/component/chemistry/shared_resilience_compound.iff');
INSERT INTO `object_crc_string_table` VALUES ('101893931', '612C72B', 'object/tangible/component/chemistry/shared_resilience_compound_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2203679790', '83597C2E', 'object/tangible/component/chemistry/shared_solid_delivery_shell.iff');
INSERT INTO `object_crc_string_table` VALUES ('2952575979', 'AFFCBBEB', 'object/tangible/component/chemistry/shared_solid_delivery_shell_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3428815879', 'CC5F9407', 'object/tangible/component/chemistry/shared_spider_venom.iff');
INSERT INTO `object_crc_string_table` VALUES ('3621976108', 'D7E2F82C', 'object/tangible/component/clothing/shared_cargo_pocket.iff');
INSERT INTO `object_crc_string_table` VALUES ('948917712', '388F55D0', 'object/tangible/component/clothing/shared_clasp_heavy_duty.iff');
INSERT INTO `object_crc_string_table` VALUES ('1281925235', '4C68A073', 'object/tangible/component/clothing/shared_clothing_treatment_crystalline.iff');
INSERT INTO `object_crc_string_table` VALUES ('347363744', '14B459A0', 'object/tangible/component/clothing/shared_component_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('967991397', '39B26065', 'object/tangible/component/clothing/shared_fiberplast_panel.iff');
INSERT INTO `object_crc_string_table` VALUES ('3580972841', 'D5714F29', 'object/tangible/component/clothing/shared_jewelry_setting.iff');
INSERT INTO `object_crc_string_table` VALUES ('2558785369', '9883F759', 'object/tangible/component/clothing/shared_leather_heavy_duty.iff');
INSERT INTO `object_crc_string_table` VALUES ('1732023387', '673C945B', 'object/tangible/component/clothing/shared_metal_fasteners.iff');
INSERT INTO `object_crc_string_table` VALUES ('449019087', '1AC37CCF', 'object/tangible/component/clothing/shared_padding_segment.iff');
INSERT INTO `object_crc_string_table` VALUES ('142903413', '8848875', 'object/tangible/component/clothing/shared_reinforced_fiber_panels.iff');
INSERT INTO `object_crc_string_table` VALUES ('845264699', '3261B73B', 'object/tangible/component/clothing/shared_shoe_sole.iff');
INSERT INTO `object_crc_string_table` VALUES ('2133284732', '7F27577C', 'object/tangible/component/clothing/shared_synthetic_cloth.iff');
INSERT INTO `object_crc_string_table` VALUES ('3684307948', 'DB9A13EC', 'object/tangible/component/clothing/shared_trim.iff');
INSERT INTO `object_crc_string_table` VALUES ('3272908463', 'C3149EAF', 'object/tangible/component/dna/shared_dna_sample_above_average.iff');
INSERT INTO `object_crc_string_table` VALUES ('2524715920', '967C1B90', 'object/tangible/component/dna/shared_dna_sample_average.iff');
INSERT INTO `object_crc_string_table` VALUES ('675784259', '2847A643', 'object/tangible/component/dna/shared_dna_sample_below_average.iff');
INSERT INTO `object_crc_string_table` VALUES ('3034626514', 'B4E0B9D2', 'object/tangible/component/dna/shared_dna_sample_high.iff');
INSERT INTO `object_crc_string_table` VALUES ('2579345010', '99BDAE72', 'object/tangible/component/dna/shared_dna_sample_low.iff');
INSERT INTO `object_crc_string_table` VALUES ('299885620', '11DFE434', 'object/tangible/component/dna/shared_dna_sample_very_high.iff');
INSERT INTO `object_crc_string_table` VALUES ('1076609940', '402BC394', 'object/tangible/component/dna/shared_dna_sample_very_low.iff');
INSERT INTO `object_crc_string_table` VALUES ('461916189', '1B88481D', 'object/tangible/component/dna/shared_dna_template_angler.iff');
INSERT INTO `object_crc_string_table` VALUES ('726704759', '2B50A277', 'object/tangible/component/dna/shared_dna_template_bantha.iff');
INSERT INTO `object_crc_string_table` VALUES ('727178963', '2B57DED3', 'object/tangible/component/dna/shared_dna_template_bearded_jax.iff');
INSERT INTO `object_crc_string_table` VALUES ('1265107329', '4B680181', 'object/tangible/component/dna/shared_dna_template_blurrg.iff');
INSERT INTO `object_crc_string_table` VALUES ('706373854', '2A1A68DE', 'object/tangible/component/dna/shared_dna_template_bol.iff');
INSERT INTO `object_crc_string_table` VALUES ('214227430', 'CC4D9E6', 'object/tangible/component/dna/shared_dna_template_bolle_bol.iff');
INSERT INTO `object_crc_string_table` VALUES ('1395080056', '53273B78', 'object/tangible/component/dna/shared_dna_template_bolma.iff');
INSERT INTO `object_crc_string_table` VALUES ('3633553517', 'D893A06D', 'object/tangible/component/dna/shared_dna_template_brackaset.iff');
INSERT INTO `object_crc_string_table` VALUES ('1875152726', '6FC48F56', 'object/tangible/component/dna/shared_dna_template_carrion_spat.iff');
INSERT INTO `object_crc_string_table` VALUES ('262963315', 'FAC8073', 'object/tangible/component/dna/shared_dna_template_choku.iff');
INSERT INTO `object_crc_string_table` VALUES ('1214055048', '485D0288', 'object/tangible/component/dna/shared_dna_template_dalyrake.iff');
INSERT INTO `object_crc_string_table` VALUES ('1144992157', '443F319D', 'object/tangible/component/dna/shared_dna_template_dewback.iff');
INSERT INTO `object_crc_string_table` VALUES ('1680199838', '6425D09E', 'object/tangible/component/dna/shared_dna_template_eopie.iff');
INSERT INTO `object_crc_string_table` VALUES ('671613943', '280803F7', 'object/tangible/component/dna/shared_dna_template_falumpaset.iff');
INSERT INTO `object_crc_string_table` VALUES ('1331331454', '4F5A817E', 'object/tangible/component/dna/shared_dna_template_fambaa.iff');
INSERT INTO `object_crc_string_table` VALUES ('836379806', '31DA249E', 'object/tangible/component/dna/shared_dna_template_generic.iff');
INSERT INTO `object_crc_string_table` VALUES ('17241294', '10714CE', 'object/tangible/component/dna/shared_dna_template_gualama.iff');
INSERT INTO `object_crc_string_table` VALUES ('774185499', '2E25221B', 'object/tangible/component/dna/shared_dna_template_guf_drolg.iff');
INSERT INTO `object_crc_string_table` VALUES ('1857431024', '6EB625F0', 'object/tangible/component/dna/shared_dna_template_gurrcat.iff');
INSERT INTO `object_crc_string_table` VALUES ('3322704079', 'C60C70CF', 'object/tangible/component/dna/shared_dna_template_gurreck.iff');
INSERT INTO `object_crc_string_table` VALUES ('1112595757', '4250DD2D', 'object/tangible/component/dna/shared_dna_template_kaadu.iff');
INSERT INTO `object_crc_string_table` VALUES ('1394407158', '531CF6F6', 'object/tangible/component/dna/shared_dna_template_kahmurra.iff');
INSERT INTO `object_crc_string_table` VALUES ('2155310796', '80776ECC', 'object/tangible/component/dna/shared_dna_template_kimogila.iff');
INSERT INTO `object_crc_string_table` VALUES ('67998893', '40D94AD', 'object/tangible/component/dna/shared_dna_template_krahbu.iff');
INSERT INTO `object_crc_string_table` VALUES ('4199501468', 'FA4F4E9C', 'object/tangible/component/dna/shared_dna_template_kusak.iff');
INSERT INTO `object_crc_string_table` VALUES ('2079919048', '7BF90BC8', 'object/tangible/component/dna/shared_dna_template_narglatch.iff');
INSERT INTO `object_crc_string_table` VALUES ('3819931989', 'E3AF8955', 'object/tangible/component/dna/shared_dna_template_pugoriss.iff');
INSERT INTO `object_crc_string_table` VALUES ('324550464', '13583F40', 'object/tangible/component/dna/shared_dna_template_rancor.iff');
INSERT INTO `object_crc_string_table` VALUES ('1390548887', '52E21797', 'object/tangible/component/dna/shared_dna_template_ronto.iff');
INSERT INTO `object_crc_string_table` VALUES ('2605574472', '9B4DE948', 'object/tangible/component/dna/shared_dna_template_sand_panther.iff');
INSERT INTO `object_crc_string_table` VALUES ('3055149098', 'B619E02A', 'object/tangible/component/dna/shared_dna_template_snorbal.iff');
INSERT INTO `object_crc_string_table` VALUES ('1232171307', '4971712B', 'object/tangible/component/dna/shared_dna_template_torton.iff');
INSERT INTO `object_crc_string_table` VALUES ('3076355230', 'B75D749E', 'object/tangible/component/dna/shared_dna_template_tybis.iff');
INSERT INTO `object_crc_string_table` VALUES ('3141045747', 'BB388DF3', 'object/tangible/component/dna/shared_dna_template_veermok.iff');
INSERT INTO `object_crc_string_table` VALUES ('228699959', 'DA1AF37', 'object/tangible/component/dna/shared_dna_template_zucca_boar.iff');
INSERT INTO `object_crc_string_table` VALUES ('475400384', '1C5608C0', 'object/tangible/component/droid/repair/shared_capacitor_high_discharge.iff');
INSERT INTO `object_crc_string_table` VALUES ('3184279961', 'BDCC4199', 'object/tangible/component/droid/repair/shared_capacitor_low_discharge.iff');
INSERT INTO `object_crc_string_table` VALUES ('1770332803', '69852283', 'object/tangible/component/droid/repair/shared_diagnostic_circuit.iff');
INSERT INTO `object_crc_string_table` VALUES ('1133144792', '438A6AD8', 'object/tangible/component/droid/repair/shared_diagnostic_circuit_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2336135433', '8B3E9909', 'object/tangible/component/droid/repair/shared_power_supply_redundant.iff');
INSERT INTO `object_crc_string_table` VALUES ('1755831948', '68A7DE8C', 'object/tangible/component/droid/repair/shared_power_supply_redundant_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2421721438', '9058895E', 'object/tangible/component/droid/repair/shared_repair_unit_casing.iff');
INSERT INTO `object_crc_string_table` VALUES ('295372848', '119B0830', 'object/tangible/component/droid/repair/shared_repair_unit_casing_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3230177189', 'C08897A5', 'object/tangible/component/droid/repair/shared_unit_delivery_cartridge.iff');
INSERT INTO `object_crc_string_table` VALUES ('1878973727', '6FFEDD1F', 'object/tangible/component/droid/repair/shared_unit_delivery_cartridge_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3744416781', 'DF2F440D', 'object/tangible/component/droid/shared_advanced_droid_frame.iff');
INSERT INTO `object_crc_string_table` VALUES ('1402137071', '5392E9EF', 'object/tangible/component/droid/shared_armor_module_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2290434424', '88854178', 'object/tangible/component/droid/shared_armor_module_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3246925557', 'C18826F5', 'object/tangible/component/droid/shared_armor_module_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('980094433', '3A6B0DE1', 'object/tangible/component/droid/shared_armor_module_4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1936091756', '73666A6C', 'object/tangible/component/droid/shared_armor_module_5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2826027771', 'A871C2FB', 'object/tangible/component/droid/shared_armor_module_6.iff');
INSERT INTO `object_crc_string_table` VALUES ('832469141', '319E7895', 'object/tangible/component/droid/shared_armor_module_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('262408920', 'FA40AD8', 'object/tangible/component/droid/shared_auto_repair_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('3300613134', 'C4BB5C0E', 'object/tangible/component/droid/shared_binary_load_lifter_droid_chassis.iff');
INSERT INTO `object_crc_string_table` VALUES ('3671008634', 'DACF257A', 'object/tangible/component/droid/shared_combat_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('181867093', 'AD71255', 'object/tangible/component/droid/shared_combat_socket_bank.iff');
INSERT INTO `object_crc_string_table` VALUES ('2404931840', '8F585900', 'object/tangible/component/droid/shared_crafting_module_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1487860845', '58AEF46D', 'object/tangible/component/droid/shared_crafting_module_clothing.iff');
INSERT INTO `object_crc_string_table` VALUES ('2075775538', '7BB9D232', 'object/tangible/component/droid/shared_crafting_module_food.iff');
INSERT INTO `object_crc_string_table` VALUES ('1790293285', '6AB5B525', 'object/tangible/component/droid/shared_crafting_module_space.iff');
INSERT INTO `object_crc_string_table` VALUES ('3924145529', 'E9E5B579', 'object/tangible/component/droid/shared_crafting_module_structure.iff');
INSERT INTO `object_crc_string_table` VALUES ('226757157', 'D840A25', 'object/tangible/component/droid/shared_crafting_module_weapon.iff');
INSERT INTO `object_crc_string_table` VALUES ('1611774846', '6011BB7E', 'object/tangible/component/droid/shared_data_storage_module_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3137737705', 'BB0613E9', 'object/tangible/component/droid/shared_data_storage_module_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4060836964', 'F20B7464', 'object/tangible/component/droid/shared_data_storage_module_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('166223728', '9E85F70', 'object/tangible/component/droid/shared_data_storage_module_4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1088764157', '40E538FD', 'object/tangible/component/droid/shared_data_storage_module_5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2616365162', '9BF2906A', 'object/tangible/component/droid/shared_data_storage_module_6.iff');
INSERT INTO `object_crc_string_table` VALUES ('85639854', '51AC2AE', 'object/tangible/component/droid/shared_data_storage_module_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2559519879', '988F2C87', 'object/tangible/component/droid/shared_defensive_module_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1275393519', '4C04F5EF', 'object/tangible/component/droid/shared_detonation_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('4221279122', 'FB9B9B92', 'object/tangible/component/droid/shared_droid_brain.iff');
INSERT INTO `object_crc_string_table` VALUES ('1341617238', '4FF77456', 'object/tangible/component/droid/shared_droid_brain_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3225311396', 'C03E58A4', 'object/tangible/component/droid/shared_droid_combat_service_module_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3837390071', 'E4B9ECF7', 'object/tangible/component/droid/shared_droid_interplanetary_survey.iff');
INSERT INTO `object_crc_string_table` VALUES ('3558171946', 'D415652A', 'object/tangible/component/droid/shared_droid_motive_system.iff');
INSERT INTO `object_crc_string_table` VALUES ('3082446118', 'B7BA6526', 'object/tangible/component/droid/shared_droid_motive_system_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2856991975', 'AA4A3CE7', 'object/tangible/component/droid/shared_droid_service_module_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3107140233', 'B9333289', 'object/tangible/component/droid/shared_droid_storage_compartment.iff');
INSERT INTO `object_crc_string_table` VALUES ('55086414', '3488D4E', 'object/tangible/component/droid/shared_harvest_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('3831537892', 'E460A0E4', 'object/tangible/component/droid/shared_harvest_module_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3060963086', 'B672970E', 'object/tangible/component/droid/shared_item_storage_module_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1835351961', '6D653F99', 'object/tangible/component/droid/shared_item_storage_module_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('610818068', '24685814', 'object/tangible/component/droid/shared_item_storage_module_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3750458112', 'DF8B7300', 'object/tangible/component/droid/shared_item_storage_module_4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2525369485', '9686148D', 'object/tangible/component/droid/shared_item_storage_module_5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1301396506', '4D91BC1A', 'object/tangible/component/droid/shared_item_storage_module_6.iff');
INSERT INTO `object_crc_string_table` VALUES ('1210035121', '481FABB1', 'object/tangible/component/droid/shared_item_storage_module_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1573291172', '5DC684A4', 'object/tangible/component/droid/shared_le_repair_droid_chassis.iff');
INSERT INTO `object_crc_string_table` VALUES ('1333622407', '4F7D7687', 'object/tangible/component/droid/shared_manipulator_arm.iff');
INSERT INTO `object_crc_string_table` VALUES ('295096971', '1196D28B', 'object/tangible/component/droid/shared_manipulator_arm_package_set.iff');
INSERT INTO `object_crc_string_table` VALUES ('3818431431', 'E398A3C7', 'object/tangible/component/droid/shared_medic_module_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('948898640', '388F0B50', 'object/tangible/component/droid/shared_medic_module_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1904372957', '71826CDD', 'object/tangible/component/droid/shared_medic_module_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2321631177', '8A6147C9', 'object/tangible/component/droid/shared_medic_module_4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3278643268', 'C36C2044', 'object/tangible/component/droid/shared_medic_module_5.iff');
INSERT INTO `object_crc_string_table` VALUES ('410749139', '187B88D3', 'object/tangible/component/droid/shared_medic_module_6.iff');
INSERT INTO `object_crc_string_table` VALUES ('3806402681', 'E2E11879', 'object/tangible/component/droid/shared_medic_module_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3094537787', 'B872E63B', 'object/tangible/component/droid/shared_merchant_barker.iff');
INSERT INTO `object_crc_string_table` VALUES ('246819840', 'EB62C00', 'object/tangible/component/droid/shared_merchant_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2364795143', '8CF3E907', 'object/tangible/component/droid/shared_p0_droid_chassis.iff');
INSERT INTO `object_crc_string_table` VALUES ('2350039140', '8C12C064', 'object/tangible/component/droid/shared_performer_effects_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('864794171', '338BB63B', 'object/tangible/component/droid/shared_performer_effects_aa.iff');
INSERT INTO `object_crc_string_table` VALUES ('1459972339', '570568F3', 'object/tangible/component/droid/shared_performer_effects_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('503844734', '1E080F7E', 'object/tangible/component/droid/shared_performer_effects_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('3857392746', 'E5EB246A', 'object/tangible/component/droid/shared_performer_effects_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('2900771815', 'ACE643E7', 'object/tangible/component/droid/shared_performer_effects_e.iff');
INSERT INTO `object_crc_string_table` VALUES ('1069945063', '3FC610E7', 'object/tangible/component/droid/shared_personality_module_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('671855097', '280BB1F9', 'object/tangible/component/droid/shared_personality_module_geek.iff');
INSERT INTO `object_crc_string_table` VALUES ('3491692659', 'D01F0073', 'object/tangible/component/droid/shared_personality_module_prissy.iff');
INSERT INTO `object_crc_string_table` VALUES ('1046791817', '3E64C689', 'object/tangible/component/droid/shared_personality_module_sarcastic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1711429491', '66025773', 'object/tangible/component/droid/shared_personality_module_slang.iff');
INSERT INTO `object_crc_string_table` VALUES ('1083621645', '4096C10D', 'object/tangible/component/droid/shared_personality_module_stupid.iff');
INSERT INTO `object_crc_string_table` VALUES ('3187389726', 'BDFBB51E', 'object/tangible/component/droid/shared_personality_module_worshipful.iff');
INSERT INTO `object_crc_string_table` VALUES ('2859558728', 'AA716748', 'object/tangible/component/droid/shared_playback_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('498496861', '1DB6755D', 'object/tangible/component/droid/shared_probot_droid_chassis.iff');
INSERT INTO `object_crc_string_table` VALUES ('4039239193', 'F0C1E619', 'object/tangible/component/droid/shared_r2_droid_chassis.iff');
INSERT INTO `object_crc_string_table` VALUES ('4208619072', 'FADA6E40', 'object/tangible/component/droid/shared_r3_droid_chassis.iff');
INSERT INTO `object_crc_string_table` VALUES ('3432568783', 'CC98D7CF', 'object/tangible/component/droid/shared_r4_droid_chassis.iff');
INSERT INTO `object_crc_string_table` VALUES ('2786060955', 'A60FEA9B', 'object/tangible/component/droid/shared_repair_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('4157404831', 'F7CCF69F', 'object/tangible/component/droid/shared_sensor_package_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('3701424953', 'DC9F4339', 'object/tangible/component/droid/shared_socket_bank.iff');
INSERT INTO `object_crc_string_table` VALUES ('1691889339', '64D82EBB', 'object/tangible/component/droid/shared_stimpack_dispensor.iff');
INSERT INTO `object_crc_string_table` VALUES ('1728777315', '670B0C63', 'object/tangible/component/droid/shared_struct_maint_module_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3155993844', 'BC1CA4F4', 'object/tangible/component/droid/shared_struct_maint_module_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4111582073', 'F511C379', 'object/tangible/component/droid/shared_struct_maint_module_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2223185422', '84831E0E', 'object/tangible/component/droid/shared_struct_maint_module_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2925064047', 'AE58EF6F', 'object/tangible/component/droid/shared_surgical_droid_chassis.iff');
INSERT INTO `object_crc_string_table` VALUES ('3443959311', 'CD46A60F', 'object/tangible/component/droid/shared_trap_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('2178596494', '81DABE8E', 'object/tangible/component/droid/shared_trap_module_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1975147691', '75BA5CAB', 'object/tangible/component/food/base/shared_drink_container_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('4005001840', 'EEB77A70', 'object/tangible/component/food/secrets/shared_secret_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2542399223', '9789EEF7', 'object/tangible/component/food/secrets/shared_secret_imperial_biochem.iff');
INSERT INTO `object_crc_string_table` VALUES ('1836800845', '6D7B5B4D', 'object/tangible/component/food/secrets/shared_secret_rebel_biochem.iff');
INSERT INTO `object_crc_string_table` VALUES ('208291925', 'C6A4855', 'object/tangible/component/food/shared_container_barrel.iff');
INSERT INTO `object_crc_string_table` VALUES ('225597999', 'D725A2F', 'object/tangible/component/food/shared_container_cask.iff');
INSERT INTO `object_crc_string_table` VALUES ('1157356093', '44FBDA3D', 'object/tangible/component/food/shared_container_large_glass.iff');
INSERT INTO `object_crc_string_table` VALUES ('4135258442', 'F67B094A', 'object/tangible/component/food/shared_container_small_glass.iff');
INSERT INTO `object_crc_string_table` VALUES ('4273682590', 'FEBB389E', 'object/tangible/component/food/shared_ingredient_ball_of_dough.iff');
INSERT INTO `object_crc_string_table` VALUES ('3067661591', 'B6D8CD17', 'object/tangible/component/food/shared_ingredient_carbosyrup.iff');
INSERT INTO `object_crc_string_table` VALUES ('264284589', 'FC0A9AD', 'object/tangible/component/instrument/shared_dual_wave_synthesizer.iff');
INSERT INTO `object_crc_string_table` VALUES ('2184126369', '822F1FA1', 'object/tangible/component/item/quest_item/shared_corrective_inducer.iff');
INSERT INTO `object_crc_string_table` VALUES ('899191445', '35989295', 'object/tangible/component/item/quest_item/shared_current_motivator.iff');
INSERT INTO `object_crc_string_table` VALUES ('361454355', '158B5B13', 'object/tangible/component/item/quest_item/shared_cycle_control.iff');
INSERT INTO `object_crc_string_table` VALUES ('2146196136', '7FEC5AA8', 'object/tangible/component/item/quest_item/shared_decoherence_sensor.iff');
INSERT INTO `object_crc_string_table` VALUES ('3309489661', 'C542CDFD', 'object/tangible/component/item/quest_item/shared_directional_sensor.iff');
INSERT INTO `object_crc_string_table` VALUES ('111523036', '6A5B4DC', 'object/tangible/component/item/quest_item/shared_loop_auditor.iff');
INSERT INTO `object_crc_string_table` VALUES ('2600965554', '9B0795B2', 'object/tangible/component/item/quest_item/shared_momentum_compensator.iff');
INSERT INTO `object_crc_string_table` VALUES ('1180256886', '46594A76', 'object/tangible/component/item/quest_item/shared_particle_sensor.iff');
INSERT INTO `object_crc_string_table` VALUES ('754272347', '2CF5485B', 'object/tangible/component/item/quest_item/shared_signal_cleanup_unit.iff');
INSERT INTO `object_crc_string_table` VALUES ('2201370721', '83364061', 'object/tangible/component/item/quest_item/shared_signal_rerouter.iff');
INSERT INTO `object_crc_string_table` VALUES ('529542099', '1F902BD3', 'object/tangible/component/item/quest_item/shared_spin_alignment_inducer.iff');
INSERT INTO `object_crc_string_table` VALUES ('3561575461', 'D4495425', 'object/tangible/component/item/quest_item/shared_transductive_shunt.iff');
INSERT INTO `object_crc_string_table` VALUES ('815023209', '30944469', 'object/tangible/component/item/quest_item/shared_tuning_cell.iff');
INSERT INTO `object_crc_string_table` VALUES ('3604740995', 'D6DBFB83', 'object/tangible/component/item/quest_item/shared_variance_throttle.iff');
INSERT INTO `object_crc_string_table` VALUES ('373412997', '1641D485', 'object/tangible/component/item/quest_item/shared_voltage_inducer.iff');
INSERT INTO `object_crc_string_table` VALUES ('814846904', '309193B8', 'object/tangible/component/item/shared_electronic_control_unit.iff');
INSERT INTO `object_crc_string_table` VALUES ('3328520335', 'C665308F', 'object/tangible/component/item/shared_electronic_energy_distributor.iff');
INSERT INTO `object_crc_string_table` VALUES ('1024745663', '3D1460BF', 'object/tangible/component/item/shared_electronic_power_conditioner.iff');
INSERT INTO `object_crc_string_table` VALUES ('3786408832', 'E1B00380', 'object/tangible/component/item/shared_electronics_gp_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('3552886678', 'D3C4BF96', 'object/tangible/component/item/shared_electronics_memory_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('366580459', '15D992EB', 'object/tangible/component/item/shared_large_sensor_package.iff');
INSERT INTO `object_crc_string_table` VALUES ('3198540321', 'BEA5DA21', 'object/tangible/component/item/shared_micro_sensor_suite.iff');
INSERT INTO `object_crc_string_table` VALUES ('3684259216', 'DB995590', 'object/tangible/component/munition/shared_acklay_venom.iff');
INSERT INTO `object_crc_string_table` VALUES ('4029895422', 'F03352FE', 'object/tangible/component/munition/shared_ammo_projectile.iff');
INSERT INTO `object_crc_string_table` VALUES ('1717162905', '6659D399', 'object/tangible/component/munition/shared_ammo_projectile_entanglement.iff');
INSERT INTO `object_crc_string_table` VALUES ('1098837027', '417EEC23', 'object/tangible/component/munition/shared_base_munition_enhancer.iff');
INSERT INTO `object_crc_string_table` VALUES ('1739187546', '67A9E55A', 'object/tangible/component/munition/shared_enhanced_charge_composition.iff');
INSERT INTO `object_crc_string_table` VALUES ('411019932', '187FAA9C', 'object/tangible/component/munition/shared_enhanced_charge_shaping.iff');
INSERT INTO `object_crc_string_table` VALUES ('3545355156', 'D351D394', 'object/tangible/component/munition/shared_enhanced_destructive_pulse_channeling.iff');
INSERT INTO `object_crc_string_table` VALUES ('628465189', '25759E25', 'object/tangible/component/munition/shared_enhanced_fragmentation_sleeve.iff');
INSERT INTO `object_crc_string_table` VALUES ('3311758812', 'C5656DDC', 'object/tangible/component/munition/shared_kliknick_gland.iff');
INSERT INTO `object_crc_string_table` VALUES ('3966888720', 'EC71EB10', 'object/tangible/component/munition/shared_warhead_chemical.iff');
INSERT INTO `object_crc_string_table` VALUES ('896289962', '356C4CAA', 'object/tangible/component/munition/shared_warhead_fusing_mechanism.iff');
INSERT INTO `object_crc_string_table` VALUES ('2416425450', '9007B9EA', 'object/tangible/component/munition/shared_warhead_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('1365214516', '515F8534', 'object/tangible/component/munition/shared_warhead_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('1284211616', '4C8B83A0', 'object/tangible/component/munition/shared_warhead_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('1000887058', '3BA85312', 'object/tangible/component/munition/shared_warhead_stabilizer.iff');
INSERT INTO `object_crc_string_table` VALUES ('3456087885', 'CDFFB74D', 'object/tangible/component/shared_barrel_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('2450471928', '920F3BF8', 'object/tangible/component/shared_blaster_barrel.iff');
INSERT INTO `object_crc_string_table` VALUES ('3845827705', 'E53AAC79', 'object/tangible/component/shared_blaster_pistol_barrel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2638681735', '9D471687', 'object/tangible/component/shared_blaster_power_handler.iff');
INSERT INTO `object_crc_string_table` VALUES ('3899287284', 'E86A66F4', 'object/tangible/component/shared_scope_weapon.iff');
INSERT INTO `object_crc_string_table` VALUES ('1675600168', '63DFA128', 'object/tangible/component/structure/shared_capacitor_bank.iff');
INSERT INTO `object_crc_string_table` VALUES ('1644580711', '62064F67', 'object/tangible/component/structure/shared_connections.iff');
INSERT INTO `object_crc_string_table` VALUES ('499199094', '1DC12C76', 'object/tangible/component/structure/shared_fluidic_drilling_pumping_unit.iff');
INSERT INTO `object_crc_string_table` VALUES ('1363328023', '5142BC17', 'object/tangible/component/structure/shared_generator_turbine.iff');
INSERT INTO `object_crc_string_table` VALUES ('2168038464', '8139A440', 'object/tangible/component/structure/shared_harvesting_mechanism.iff');
INSERT INTO `object_crc_string_table` VALUES ('4202910010', 'FA83513A', 'object/tangible/component/structure/shared_heavy_harvesting_mechanism.iff');
INSERT INTO `object_crc_string_table` VALUES ('4100404133', 'F46733A5', 'object/tangible/component/structure/shared_light_ore_mining_unit.iff');
INSERT INTO `object_crc_string_table` VALUES ('1333204559', '4F77164F', 'object/tangible/component/structure/shared_light_power_core_unit.iff');
INSERT INTO `object_crc_string_table` VALUES ('216556073', 'CE86229', 'object/tangible/component/structure/shared_lightweight_turret.iff');
INSERT INTO `object_crc_string_table` VALUES ('1039813801', '3DFA4CA9', 'object/tangible/component/structure/shared_lightweight_turret_electronics.iff');
INSERT INTO `object_crc_string_table` VALUES ('2213385801', '83ED9649', 'object/tangible/component/structure/shared_lightweight_turret_hardware.iff');
INSERT INTO `object_crc_string_table` VALUES ('2031466188', '7915B6CC', 'object/tangible/component/structure/shared_manufacturing_mechanism.iff');
INSERT INTO `object_crc_string_table` VALUES ('494485339', '1D793F5B', 'object/tangible/component/structure/shared_ore_mining_unit.iff');
INSERT INTO `object_crc_string_table` VALUES ('2791905969', 'A6691AB1', 'object/tangible/component/structure/shared_power_core_unit.iff');
INSERT INTO `object_crc_string_table` VALUES ('1750169887', '6851791F', 'object/tangible/component/structure/shared_power_supply.iff');
INSERT INTO `object_crc_string_table` VALUES ('872977107', '340892D3', 'object/tangible/component/structure/shared_primary_computer.iff');
INSERT INTO `object_crc_string_table` VALUES ('1750151391', '685130DF', 'object/tangible/component/structure/shared_refined_ardanium_ii.iff');
INSERT INTO `object_crc_string_table` VALUES ('4117820382', 'F570F3DE', 'object/tangible/component/structure/shared_refined_endrine.iff');
INSERT INTO `object_crc_string_table` VALUES ('3234052884', 'C0C3BB14', 'object/tangible/component/structure/shared_refined_rudic.iff');
INSERT INTO `object_crc_string_table` VALUES ('334361877', '13EDF515', 'object/tangible/component/structure/shared_regulator.iff');
INSERT INTO `object_crc_string_table` VALUES ('2157237478', '8094D4E6', 'object/tangible/component/structure/shared_reinforced_wall_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('4222934197', 'FBB4DCB5', 'object/tangible/component/structure/shared_shield_housing.iff');
INSERT INTO `object_crc_string_table` VALUES ('581097497', '22A2D819', 'object/tangible/component/structure/shared_structural_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('3065121947', 'B6B20C9B', 'object/tangible/component/structure/shared_structure_small_storage_section.iff');
INSERT INTO `object_crc_string_table` VALUES ('2670328164', '9F29F964', 'object/tangible/component/structure/shared_structure_storage_section.iff');
INSERT INTO `object_crc_string_table` VALUES ('3576172943', 'D528118F', 'object/tangible/component/structure/shared_turbo_fluidic_drilling_pumping_unit.iff');
INSERT INTO `object_crc_string_table` VALUES ('3084238827', 'B7D5BFEB', 'object/tangible/component/structure/shared_unit_computer.iff');
INSERT INTO `object_crc_string_table` VALUES ('831970225', '3196DBB1', 'object/tangible/component/structure/shared_wall_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('3919359812', 'E99CAF44', 'object/tangible/component/structure/shared_weapon_high_power_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('3638822414', 'D8E4060E', 'object/tangible/component/structure/shared_weapon_mount_heavy_stabilization_unit.iff');
INSERT INTO `object_crc_string_table` VALUES ('3466579247', 'CE9FCD2F', 'object/tangible/component/vehicle/base/shared_base_armor_panel.iff');
INSERT INTO `object_crc_string_table` VALUES ('3375082309', 'C92BAB45', 'object/tangible/component/vehicle/base/shared_base_veh_hull.iff');
INSERT INTO `object_crc_string_table` VALUES ('1342686472', '5007C508', 'object/tangible/component/vehicle/base/shared_base_veh_hull_hvy.iff');
INSERT INTO `object_crc_string_table` VALUES ('3126672435', 'BA5D3C33', 'object/tangible/component/vehicle/base/shared_base_veh_weapon.iff');
INSERT INTO `object_crc_string_table` VALUES ('4158223239', 'F7D97387', 'object/tangible/component/vehicle/base/shared_base_veh_weapon_hvy.iff');
INSERT INTO `object_crc_string_table` VALUES ('3865021906', 'E65F8DD2', 'object/tangible/component/vehicle/shared_adv_hvy_blaster_power_handler.iff');
INSERT INTO `object_crc_string_table` VALUES ('1510776729', '5A0C9F99', 'object/tangible/component/vehicle/shared_adv_hvy_projectile_feed_mech.iff');
INSERT INTO `object_crc_string_table` VALUES ('1581441816', '5E42E318', 'object/tangible/component/vehicle/shared_adv_vehicle_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('786572723', '2EE225B3', 'object/tangible/component/vehicle/shared_adv_vehicle_structure_frame.iff');
INSERT INTO `object_crc_string_table` VALUES ('1382684326', '526A16A6', 'object/tangible/component/vehicle/shared_adv_warhead_launcher.iff');
INSERT INTO `object_crc_string_table` VALUES ('3241531623', 'C135D8E7', 'object/tangible/component/vehicle/shared_armor_panel_acid.iff');
INSERT INTO `object_crc_string_table` VALUES ('1069256646', '3FBB8FC6', 'object/tangible/component/vehicle/shared_armor_panel_blast.iff');
INSERT INTO `object_crc_string_table` VALUES ('1264295934', '4B5B9FFE', 'object/tangible/component/vehicle/shared_armor_panel_cold.iff');
INSERT INTO `object_crc_string_table` VALUES ('3441847905', 'CD266E61', 'object/tangible/component/vehicle/shared_armor_panel_electrical.iff');
INSERT INTO `object_crc_string_table` VALUES ('953836336', '38DA6330', 'object/tangible/component/vehicle/shared_armor_panel_energy.iff');
INSERT INTO `object_crc_string_table` VALUES ('3015233806', 'B3B8D10E', 'object/tangible/component/vehicle/shared_armor_panel_heat.iff');
INSERT INTO `object_crc_string_table` VALUES ('2965773562', 'B0C61CFA', 'object/tangible/component/vehicle/shared_armor_panel_kinetic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1681561469', '643A977D', 'object/tangible/component/vehicle/shared_armor_plating_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3207413738', 'BF2D3FEA', 'object/tangible/component/vehicle/shared_armor_plating_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4129314919', 'F6205867', 'object/tangible/component/vehicle/shared_armor_plating_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1669906342', '6388BFA6', 'object/tangible/component/vehicle/shared_auto_blaster_cannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('3207704663', 'BF31B057', 'object/tangible/component/vehicle/shared_blaster_cannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('4196904136', 'FA27ACC8', 'object/tangible/component/vehicle/shared_civilian_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('4241836654', 'FCD54A6E', 'object/tangible/component/vehicle/shared_civilian_aa.iff');
INSERT INTO `object_crc_string_table` VALUES ('556794975', '2130045F', 'object/tangible/component/vehicle/shared_civilian_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1748853714', '683D63D2', 'object/tangible/component/vehicle/shared_civilian_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('2480818374', '93DE48C6', 'object/tangible/component/vehicle/shared_civilian_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('3671273291', 'DAD32F4B', 'object/tangible/component/vehicle/shared_civilian_e.iff');
INSERT INTO `object_crc_string_table` VALUES ('4011041142', 'EF13A176', 'object/tangible/component/vehicle/shared_command_center.iff');
INSERT INTO `object_crc_string_table` VALUES ('2526466923', '9696D36B', 'object/tangible/component/vehicle/shared_disperser.iff');
INSERT INTO `object_crc_string_table` VALUES ('1758294677', '68CD7295', 'object/tangible/component/vehicle/shared_dx_disruptor_array.iff');
INSERT INTO `object_crc_string_table` VALUES ('2423684763', '90767E9B', 'object/tangible/component/vehicle/shared_extended_fuel_tanks.iff');
INSERT INTO `object_crc_string_table` VALUES ('1508560129', '59EACD01', 'object/tangible/component/vehicle/shared_extended_fuel_tanks_hvy.iff');
INSERT INTO `object_crc_string_table` VALUES ('875276992', '342BAAC0', 'object/tangible/component/vehicle/shared_fuel_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('4013687383', 'EF3C0257', 'object/tangible/component/vehicle/shared_fuel_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2788255194', 'A63165DA', 'object/tangible/component/vehicle/shared_fuel_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('2771769499', 'A535D89B', 'object/tangible/component/vehicle/shared_fuel_cell_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2116186124', '7E22700C', 'object/tangible/component/vehicle/shared_fuel_cell_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('925833089', '372F1781', 'object/tangible/component/vehicle/shared_fuel_cell_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('1799983183', '6B49904F', 'object/tangible/component/vehicle/shared_hvy_blaster_power_handler.iff');
INSERT INTO `object_crc_string_table` VALUES ('873571042', '3411A2E2', 'object/tangible/component/vehicle/shared_hvy_projectile_feed_mech.iff');
INSERT INTO `object_crc_string_table` VALUES ('23811175', '16B5467', 'object/tangible/component/vehicle/shared_laser_cannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('2036478700', '796232EC', 'object/tangible/component/vehicle/shared_launcher.iff');
INSERT INTO `object_crc_string_table` VALUES ('3252736157', 'C1E0D09D', 'object/tangible/component/vehicle/shared_launcher_pod.iff');
INSERT INTO `object_crc_string_table` VALUES ('3394427130', 'CA52D8FA', 'object/tangible/component/vehicle/shared_mass_driver.iff');
INSERT INTO `object_crc_string_table` VALUES ('3996260675', 'EE321943', 'object/tangible/component/vehicle/shared_military_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('891662804', '3525B1D4', 'object/tangible/component/vehicle/shared_military_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2083051097', '7C28D659', 'object/tangible/component/vehicle/shared_military_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('2278292813', '87CBFD4D', 'object/tangible/component/vehicle/shared_military_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('3469122240', 'CEC69AC0', 'object/tangible/component/vehicle/shared_military_e.iff');
INSERT INTO `object_crc_string_table` VALUES ('679614064', '28821670', 'object/tangible/component/vehicle/shared_mini_launcher_pod.iff');
INSERT INTO `object_crc_string_table` VALUES ('1469492977', '5796AEF1', 'object/tangible/component/vehicle/shared_proton_torpedo_array.iff');
INSERT INTO `object_crc_string_table` VALUES ('3412711253', 'CB69D755', 'object/tangible/component/vehicle/shared_reactor_unit.iff');
INSERT INTO `object_crc_string_table` VALUES ('193714292', 'B8BD874', 'object/tangible/component/vehicle/shared_storage_bay.iff');
INSERT INTO `object_crc_string_table` VALUES ('1158767213', '4511626D', 'object/tangible/component/vehicle/shared_structural_reinforcements.iff');
INSERT INTO `object_crc_string_table` VALUES ('2107974846', '7DA524BE', 'object/tangible/component/vehicle/shared_structural_reinforcements_hvy.iff');
INSERT INTO `object_crc_string_table` VALUES ('988089930', '3AE50E4A', 'object/tangible/component/vehicle/shared_veh_power_plant_av21.iff');
INSERT INTO `object_crc_string_table` VALUES ('2595754938', '9AB813BA', 'object/tangible/component/vehicle/shared_veh_power_plant_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1102035757', '41AFBB2D', 'object/tangible/component/vehicle/shared_veh_power_plant_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('144891040', '8A2DCA0', 'object/tangible/component/vehicle/shared_veh_power_plant_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1124134870', '4300EFD6', 'object/tangible/component/vehicle/shared_veh_shield_generator_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2551662401', '98174741', 'object/tangible/component/vehicle/shared_veh_shield_generator_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3508150476', 'D11A20CC', 'object/tangible/component/vehicle/shared_veh_shield_generator_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2537869251', '9744CFC3', 'object/tangible/component/vehicle/shared_vehicle_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('2570010963', '992F4153', 'object/tangible/component/vehicle/shared_vehicle_structure_frame.iff');
INSERT INTO `object_crc_string_table` VALUES ('4289490254', 'FFAC6D4E', 'object/tangible/component/vehicle/shared_warhead_launcher.iff');
INSERT INTO `object_crc_string_table` VALUES ('4201896584', 'FA73DA88', 'object/tangible/component/vehicle/shared_weapon_array.iff');
INSERT INTO `object_crc_string_table` VALUES ('1550314035', '5C67EA33', 'object/tangible/component/vehicle/shared_weapon_link.iff');
INSERT INTO `object_crc_string_table` VALUES ('3404051263', 'CAE5B33F', 'object/tangible/component/weapon/lightsaber/shared_base_lightsaber_lance_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('2816851382', 'A7E5BDB6', 'object/tangible/component/weapon/lightsaber/shared_base_lightsaber_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('1896638798', '710C694E', 'object/tangible/component/weapon/lightsaber/shared_lightsaber_lance_module_force_crystal.iff');
INSERT INTO `object_crc_string_table` VALUES ('384190732', '16E6490C', 'object/tangible/component/weapon/lightsaber/shared_lightsaber_module_attackspeed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2224509400', '849751D8', 'object/tangible/component/weapon/lightsaber/shared_lightsaber_module_color.iff');
INSERT INTO `object_crc_string_table` VALUES ('3690389169', 'DBF6DEB1', 'object/tangible/component/weapon/lightsaber/shared_lightsaber_module_damage.iff');
INSERT INTO `object_crc_string_table` VALUES ('4273612814', 'FEBA280E', 'object/tangible/component/weapon/lightsaber/shared_lightsaber_module_force_crystal.iff');
INSERT INTO `object_crc_string_table` VALUES ('3573227590', 'D4FB2046', 'object/tangible/component/weapon/lightsaber/shared_lightsaber_module_forcecost.iff');
INSERT INTO `object_crc_string_table` VALUES ('2322379839', '8A6CB43F', 'object/tangible/component/weapon/lightsaber/shared_lightsaber_module_krayt_dragon_pearl.iff');
INSERT INTO `object_crc_string_table` VALUES ('1396643279', '533F15CF', 'object/tangible/component/weapon/lightsaber/shared_lightsaber_module_woundchance.iff');
INSERT INTO `object_crc_string_table` VALUES ('4078172805', 'F313FA85', 'object/tangible/component/weapon/lightsaber/shared_lightsaber_refined_crystal_pack.iff');
INSERT INTO `object_crc_string_table` VALUES ('4088226280', 'F3AD61E8', 'object/tangible/component/weapon/shared_acklay_bone_reinforcement_core.iff');
INSERT INTO `object_crc_string_table` VALUES ('3003199598', 'B301306E', 'object/tangible/component/weapon/shared_base_blaster_power_handler_enhancement.iff');
INSERT INTO `object_crc_string_table` VALUES ('2928380904', 'AE8B8BE8', 'object/tangible/component/weapon/shared_base_projectile_feed_mechanism_enhancement.iff');
INSERT INTO `object_crc_string_table` VALUES ('1563728747', '5D349B6B', 'object/tangible/component/weapon/shared_base_vibro_unit_enhancement.iff');
INSERT INTO `object_crc_string_table` VALUES ('1710329756', '65F18F9C', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_lg_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2092661773', '7CBB7C0D', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_lg_s01_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('3202754315', 'BEE6270B', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_lg_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2421758291', '90591953', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_lg_s02_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('4159389830', 'F7EB4086', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_lg_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3422078361', 'CBF8C599', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_lg_s03_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('201878418', 'C086B92', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_lg_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1297927768', '4D5CCE58', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_lg_s04_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('1157958687', '45050C1F', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_lg_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('385684114', '16FD1292', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_lg_s05_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('2652021896', '9E12A488', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_lg_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('4196366284', 'FA1F77CC', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_lg_s06_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('3609182981', 'D71FC305', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_lg_s07.iff');
INSERT INTO `object_crc_string_table` VALUES ('2713627398', 'A1BEAB06', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_lg_s07_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('4222005055', 'FBA6AF3F', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_m_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3666495250', 'DA8A4712', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_m_s01_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('548472744', '20B107A8', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_m_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('912794188', '3668224C', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_m_s02_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('1773953061', '69BC6025', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_m_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1841954438', '6DC9FE86', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_m_s03_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('2455718705', '925F4B31', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_m_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3949851975', 'EB6DF547', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_m_s04_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('3679595708', 'DB522CBC', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_m_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('2966169997', 'B0CC298D', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_m_s05_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('4555819', '45842B', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_m_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('1546538195', '5C2E4CD3', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_m_s06_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('1229513638', '4948E3A6', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_m_s07.iff');
INSERT INTO `object_crc_string_table` VALUES ('126849049', '78F9019', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_m_s07_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('3175095314', 'BD401C12', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_sm_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('867179315', '33B01B33', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_sm_s01_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('1717023877', '6657B485', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_sm_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3746725485', 'DF527E6D', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_sm_s02_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('794481416', '2F5AD308', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_sm_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2230559399', '84F3A2A7', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_sm_s03_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('3568957468', 'D4B9F81C', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_sm_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('39299430', '257A966', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_sm_s04_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('2645860241', '9DB49F91', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_sm_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1509324204', '59F675AC', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_sm_s05_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('1185101574', '46A33706', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_sm_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('3037991154', 'B51410F2', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_sm_s06_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('263082123', 'FAE508B', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_sm_s07.iff');
INSERT INTO `object_crc_string_table` VALUES ('4004891704', 'EEB5CC38', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_sm_s07_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('3001062270', 'B2E0937E', 'object/tangible/component/weapon/shared_blaster_pistol_barrel.iff');
INSERT INTO `object_crc_string_table` VALUES ('4250066631', 'FD52DEC7', 'object/tangible/component/weapon/shared_blaster_pistol_barrel_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2263958541', '86F1440D', 'object/tangible/component/weapon/shared_blaster_pistol_barrel_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('3399297408', 'CA9D2980', 'object/tangible/component/weapon/shared_blaster_power_handler.iff');
INSERT INTO `object_crc_string_table` VALUES ('1426378303', '5504CE3F', 'object/tangible/component/weapon/shared_blaster_power_handler_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1717492287', '665EDA3F', 'object/tangible/component/weapon/shared_blaster_power_handler_enhancement_durability.iff');
INSERT INTO `object_crc_string_table` VALUES ('3981194570', 'ED4C354A', 'object/tangible/component/weapon/shared_blaster_power_handler_enhancement_krayt.iff');
INSERT INTO `object_crc_string_table` VALUES ('3285791160', 'C3D931B8', 'object/tangible/component/weapon/shared_blaster_power_handler_enhancement_max_damage.iff');
INSERT INTO `object_crc_string_table` VALUES ('4158958561', 'F7E4ABE1', 'object/tangible/component/weapon/shared_blaster_power_handler_enhancement_min_damage.iff');
INSERT INTO `object_crc_string_table` VALUES ('3074802434', 'B745C302', 'object/tangible/component/weapon/shared_blaster_power_handler_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('260681278', 'F89AE3E', 'object/tangible/component/weapon/shared_blaster_rifle_barrel.iff');
INSERT INTO `object_crc_string_table` VALUES ('992626072', '3B2A4598', 'object/tangible/component/weapon/shared_blaster_rifle_barrel_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1194049951', '472BC19F', 'object/tangible/component/weapon/shared_chemical_dispersion_mechanism.iff');
INSERT INTO `object_crc_string_table` VALUES ('1411275981', '541E5CCD', 'object/tangible/component/weapon/shared_chemical_dispersion_mechanism_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3758372574', 'E00436DE', 'object/tangible/component/weapon/shared_corvette_rifle_barrel.iff');
INSERT INTO `object_crc_string_table` VALUES ('491130592', '1D460EE0', 'object/tangible/component/weapon/shared_energization_crystals.iff');
INSERT INTO `object_crc_string_table` VALUES ('4061079973', 'F20F29A5', 'object/tangible/component/weapon/shared_galven_tube_circuits.iff');
INSERT INTO `object_crc_string_table` VALUES ('2313307226', '89E2445A', 'object/tangible/component/weapon/shared_geonosian_power_cube.iff');
INSERT INTO `object_crc_string_table` VALUES ('4092441918', 'F3EDB53E', 'object/tangible/component/weapon/shared_geonosian_power_cube_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2570329564', '99341DDC', 'object/tangible/component/weapon/shared_geonosian_power_cube_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('98191878', '5DA4A06', 'object/tangible/component/weapon/shared_geonosian_power_cube_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('783478248', '2EB2EDE8', 'object/tangible/component/weapon/shared_geonosian_power_cube_yellow.iff');
INSERT INTO `object_crc_string_table` VALUES ('2362781931', '8CD530EB', 'object/tangible/component/weapon/shared_geonosian_reinforcement_core.iff');
INSERT INTO `object_crc_string_table` VALUES ('3710952248', 'DD30A338', 'object/tangible/component/weapon/shared_geonosian_solidifying_agent.iff');
INSERT INTO `object_crc_string_table` VALUES ('927591163', '3749EAFB', 'object/tangible/component/weapon/shared_geonosian_sword_core.iff');
INSERT INTO `object_crc_string_table` VALUES ('2251276199', '862FBFA7', 'object/tangible/component/weapon/shared_laser_cannon_cooling_sleeve.iff');
INSERT INTO `object_crc_string_table` VALUES ('1385368085', '52930A15', 'object/tangible/component/weapon/shared_laser_cannon_gun_tube.iff');
INSERT INTO `object_crc_string_table` VALUES ('695643472', '2976AD50', 'object/tangible/component/weapon/shared_laser_generator.iff');
INSERT INTO `object_crc_string_table` VALUES ('741674762', '2C350F0A', 'object/tangible/component/weapon/shared_laser_magnetic_flashback_supressor.iff');
INSERT INTO `object_crc_string_table` VALUES ('3988462144', 'EDBB1A40', 'object/tangible/component/weapon/shared_melee_core_enhancement.iff');
INSERT INTO `object_crc_string_table` VALUES ('466802862', '1BD2D8AE', 'object/tangible/component/weapon/shared_parallel_weapon_targeting_computer.iff');
INSERT INTO `object_crc_string_table` VALUES ('1361510729', '51270149', 'object/tangible/component/weapon/shared_projectile_feed_mechanism.iff');
INSERT INTO `object_crc_string_table` VALUES ('4156025153', 'F7B7E941', 'object/tangible/component/weapon/shared_projectile_feed_mechanism_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1517204001', '5A6EB221', 'object/tangible/component/weapon/shared_projectile_feed_mechanism_enhancement_durability.iff');
INSERT INTO `object_crc_string_table` VALUES ('255106526', 'F349DDE', 'object/tangible/component/weapon/shared_projectile_feed_mechanism_enhancement_gorax.iff');
INSERT INTO `object_crc_string_table` VALUES ('4293482918', 'FFE959A6', 'object/tangible/component/weapon/shared_projectile_feed_mechanism_enhancement_max_damage.iff');
INSERT INTO `object_crc_string_table` VALUES ('3419718655', 'CBD4C3FF', 'object/tangible/component/weapon/shared_projectile_feed_mechanism_enhancement_min_damage.iff');
INSERT INTO `object_crc_string_table` VALUES ('1216914672', '4888A4F0', 'object/tangible/component/weapon/shared_projectile_pistol_barrel.iff');
INSERT INTO `object_crc_string_table` VALUES ('3447151631', 'CD775C0F', 'object/tangible/component/weapon/shared_projectile_pistol_barrel_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1641350102', '61D503D6', 'object/tangible/component/weapon/shared_projectile_pistol_barrel_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('769812356', '2DE26784', 'object/tangible/component/weapon/shared_projectile_rifle_barrel.iff');
INSERT INTO `object_crc_string_table` VALUES ('594573612', '2370792C', 'object/tangible/component/weapon/shared_projectile_rifle_barrel_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2968083189', 'B0E95AF5', 'object/tangible/component/weapon/shared_projectile_rifle_barrel_advanced_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('3366067371', 'C8A21CAB', 'object/tangible/component/weapon/shared_rancor_tooth.iff');
INSERT INTO `object_crc_string_table` VALUES ('829703922', '317446F2', 'object/tangible/component/weapon/shared_rancor_tooth_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('600823841', '23CFD821', 'object/tangible/component/weapon/shared_reinforcement_core.iff');
INSERT INTO `object_crc_string_table` VALUES ('276012891', '10739F5B', 'object/tangible/component/weapon/shared_reinforcement_core_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('46230492', '2C16BDC', 'object/tangible/component/weapon/shared_scope_weapon.iff');
INSERT INTO `object_crc_string_table` VALUES ('210395856', 'C8A62D0', 'object/tangible/component/weapon/shared_scope_weapon_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3286610922', 'C3E5B3EA', 'object/tangible/component/weapon/shared_scope_weapon_advanced_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('1450202343', '567054E7', 'object/tangible/component/weapon/shared_scope_weapon_lg_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2372402288', '8D67FC70', 'object/tangible/component/weapon/shared_scope_weapon_lg_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3295321085', 'C46A9BFD', 'object/tangible/component/weapon/shared_scope_weapon_lg_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2395064169', '8EC1C769', 'object/tangible/component/weapon/shared_scope_weapon_sm_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1440116734', '55D66FFE', 'object/tangible/component/weapon/shared_scope_weapon_sm_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('484116595', '1CDB0873', 'object/tangible/component/weapon/shared_scope_weapon_sm_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3879215975', 'E7382367', 'object/tangible/component/weapon/shared_scope_weapon_sm_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2922726634', 'AE3544EA', 'object/tangible/component/weapon/shared_scope_weapon_sm_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1965223037', '7522EC7D', 'object/tangible/component/weapon/shared_scope_weapon_sm_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('1418250527', '5488C91F', 'object/tangible/component/weapon/shared_spider_spine.iff');
INSERT INTO `object_crc_string_table` VALUES ('2306652479', '897CB93F', 'object/tangible/component/weapon/shared_stock.iff');
INSERT INTO `object_crc_string_table` VALUES ('3440579824', 'CD1314F0', 'object/tangible/component/weapon/shared_stock_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('473297139', '1C35F0F3', 'object/tangible/component/weapon/shared_stock_advanced_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('3001742780', 'B2EAF5BC', 'object/tangible/component/weapon/shared_sword_core.iff');
INSERT INTO `object_crc_string_table` VALUES ('639496171', '261DEFEB', 'object/tangible/component/weapon/shared_sword_core_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('937100583', '37DB0527', 'object/tangible/component/weapon/shared_sword_core_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2743057273', 'A37FBB79', 'object/tangible/component/weapon/shared_turbo_laser_gun_tube.iff');
INSERT INTO `object_crc_string_table` VALUES ('2075249202', '7BB1CA32', 'object/tangible/component/weapon/shared_vibro_unit.iff');
INSERT INTO `object_crc_string_table` VALUES ('1094994187', '4144490B', 'object/tangible/component/weapon/shared_vibro_unit_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('719270332', '2ADF31BC', 'object/tangible/component/weapon/shared_vibro_unit_enhancement_durability.iff');
INSERT INTO `object_crc_string_table` VALUES ('2404964923', '8F58DA3B', 'object/tangible/component/weapon/shared_vibro_unit_enhancement_max_damage.iff');
INSERT INTO `object_crc_string_table` VALUES ('3143975010', 'BB654062', 'object/tangible/component/weapon/shared_vibro_unit_enhancement_min_damage.iff');
INSERT INTO `object_crc_string_table` VALUES ('1279704725', '4C46BE95', 'object/tangible/component/weapon/shared_vibro_unit_enhancement_wounding.iff');
INSERT INTO `object_crc_string_table` VALUES ('3670724056', 'DACACDD8', 'object/tangible/component/weapon/shared_vibro_unit_nightsister.iff');
INSERT INTO `object_crc_string_table` VALUES ('2177771940', '81CE29A4', 'object/tangible/component/weapon/shared_vibro_unit_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('3845302346', 'E532A84A', 'object/tangible/component/weapon/shared_weapon_carbine_laser_stock.iff');
INSERT INTO `object_crc_string_table` VALUES ('784421487', '2EC1526F', 'object/tangible/component/weapon/shared_weapon_dlt20_stock.iff');
INSERT INTO `object_crc_string_table` VALUES ('3265377487', 'C2A1B4CF', 'object/tangible/component/weapon/shared_weapon_dxr6_stock.iff');
INSERT INTO `object_crc_string_table` VALUES ('2778389108', 'A59ADA74', 'object/tangible/component/weapon/shared_weapon_e11_stock_closed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3082135386', 'B7B5A75A', 'object/tangible/component/weapon/shared_weapon_e11_stock_open.iff');
INSERT INTO `object_crc_string_table` VALUES ('119190783', '71AB4FF', 'object/tangible/component/weapon/shared_weapon_ee3_stock.iff');
INSERT INTO `object_crc_string_table` VALUES ('2199807561', '831E6649', 'object/tangible/component/weapon/shared_weapon_elite_stock.iff');
INSERT INTO `object_crc_string_table` VALUES ('4368733', '42A95D', 'object/tangible/component/weapon/shared_weapon_mount.iff');
INSERT INTO `object_crc_string_table` VALUES ('1483742937', '58701ED9', 'object/tangible/component/weapon/shared_weapon_mount_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('2098038776', '7D0D87F8', 'object/tangible/component/weapon/shared_weapon_rifle_laser_stock.iff');
INSERT INTO `object_crc_string_table` VALUES ('1060795790', '3F3A758E', 'object/tangible/component/weapon/shared_weapon_t21_stock.iff');
INSERT INTO `object_crc_string_table` VALUES ('1015355286', '3C851796', 'object/tangible/component/weapon/shared_weapon_targeting_computer.iff');
INSERT INTO `object_crc_string_table` VALUES ('1519446623', '5A90EA5F', 'object/tangible/component/weapon/shared_weapon_trajectory_computer.iff');
INSERT INTO `object_crc_string_table` VALUES ('1607613666', '5FD23CE2', 'object/tangible/container/base/shared_base_container.iff');
INSERT INTO `object_crc_string_table` VALUES ('2617825065', '9C08D729', 'object/tangible/container/base/shared_base_container_slotted.iff');
INSERT INTO `object_crc_string_table` VALUES ('2281415090', '87FBA1B2', 'object/tangible/container/base/shared_base_container_volume.iff');
INSERT INTO `object_crc_string_table` VALUES ('3090831505', 'B83A5891', 'object/tangible/container/corpse/shared_player_corpse.iff');
INSERT INTO `object_crc_string_table` VALUES ('1685311950', '6473D1CE', 'object/tangible/container/drum/shared_large_plain_crate_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3211032921', 'BF647959', 'object/tangible/container/drum/shared_large_plain_crate_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4134084308', 'F6691ED4', 'object/tangible/container/drum/shared_large_plain_crate_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('227161536', 'D8A35C0', 'object/tangible/container/drum/shared_large_plain_crate_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1962311443', '74F67F13', 'object/tangible/container/drum/shared_pob_ship_loot_box.iff');
INSERT INTO `object_crc_string_table` VALUES ('2325798188', '8AA0DD2C', 'object/tangible/container/drum/shared_poi_prize_box_off.iff');
INSERT INTO `object_crc_string_table` VALUES ('856439167', '330C397F', 'object/tangible/container/drum/shared_poi_prize_box_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('3342593323', 'C73BED2B', 'object/tangible/container/drum/shared_tatt_drum_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3112160566', 'B97FCD36', 'object/tangible/container/drum/shared_treasure_drum.iff');
INSERT INTO `object_crc_string_table` VALUES ('3188177313', 'BE07B9A1', 'object/tangible/container/drum/shared_warren_core_rod_storage.iff');
INSERT INTO `object_crc_string_table` VALUES ('3257388271', 'C227CCEF', 'object/tangible/container/drum/shared_warren_drum_loot.iff');
INSERT INTO `object_crc_string_table` VALUES ('1100233944', '41943CD8', 'object/tangible/container/drum/shared_warren_drum_skeleton.iff');
INSERT INTO `object_crc_string_table` VALUES ('738307164', '2C01AC5C', 'object/tangible/container/drum/shared_warren_drum_tech_armoire.iff');
INSERT INTO `object_crc_string_table` VALUES ('2500254490', '9506DB1A', 'object/tangible/container/drum/shared_warren_drum_tech_chest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2456580913', '926C7331', 'object/tangible/container/drum/shared_warren_reactor_core.iff');
INSERT INTO `object_crc_string_table` VALUES ('1773382797', '69B3AC8D', 'object/tangible/container/food/shared_lunchbox_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3378300955', 'C95CC81B', 'object/tangible/container/general/shared_cargo_pocket.iff');
INSERT INTO `object_crc_string_table` VALUES ('2917538', '2C84A2', 'object/tangible/container/general/shared_satchel.iff');
INSERT INTO `object_crc_string_table` VALUES ('997788135', '3B7909E7', 'object/tangible/container/general/shared_tech_armoire.iff');
INSERT INTO `object_crc_string_table` VALUES ('3363389476', 'C8794024', 'object/tangible/container/general/shared_tech_bookcase.iff');
INSERT INTO `object_crc_string_table` VALUES ('542811322', '205AA4BA', 'object/tangible/container/general/shared_tech_chest.iff');
INSERT INTO `object_crc_string_table` VALUES ('3203126472', 'BEEBD4C8', 'object/tangible/container/jar/base/shared_jar_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('4139801999', 'F6C05D8F', 'object/tangible/container/jar/shared_jar_berries_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('835828013', '31D1B92D', 'object/tangible/container/jar/shared_jar_bugs_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1210399766', '48253C16', 'object/tangible/container/jar/shared_jar_empty_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('790427742', '2F1CF85E', 'object/tangible/container/jar/shared_jar_funk_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2207170789', '838EC0E5', 'object/tangible/container/jar/shared_jar_guts_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2797429817', 'A6BD6439', 'object/tangible/container/jar/shared_jar_spice_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2108345518', '7DAACCAE', 'object/tangible/container/jar/shared_jar_spice_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('883403555', '34A7AB23', 'object/tangible/container/jar/shared_jar_spice_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('84456311', '508B377', 'object/tangible/container/loot/shared_astromech_container.iff');
INSERT INTO `object_crc_string_table` VALUES ('2996080617', 'B2948FE9', 'object/tangible/container/loot/shared_computer_container.iff');
INSERT INTO `object_crc_string_table` VALUES ('349560727', '14D5DF97', 'object/tangible/container/loot/shared_gas_filter_container.iff');
INSERT INTO `object_crc_string_table` VALUES ('1268006083', '4B943CC3', 'object/tangible/container/loot/shared_loot_crate.iff');
INSERT INTO `object_crc_string_table` VALUES ('2362384973', '8CCF224D', 'object/tangible/container/loot/shared_placable_loot_crate.iff');
INSERT INTO `object_crc_string_table` VALUES ('2636682415', '9D2894AF', 'object/tangible/container/loot/shared_placable_loot_crate_skeleton_bith.iff');
INSERT INTO `object_crc_string_table` VALUES ('2665565001', '9EE14B49', 'object/tangible/container/loot/shared_placable_loot_crate_skeleton_human.iff');
INSERT INTO `object_crc_string_table` VALUES ('2780389059', 'A5B95EC3', 'object/tangible/container/loot/shared_placable_loot_crate_skeleton_ithorian.iff');
INSERT INTO `object_crc_string_table` VALUES ('2410892657', '8FB34D71', 'object/tangible/container/loot/shared_placable_loot_crate_tech_armoire.iff');
INSERT INTO `object_crc_string_table` VALUES ('4025920030', 'EFF6AA1E', 'object/tangible/container/loot/shared_placable_loot_crate_tech_chest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2638627675', '9D46435B', 'object/tangible/container/loot/shared_placable_loot_crate_trashpile.iff');
INSERT INTO `object_crc_string_table` VALUES ('3460646661', 'CE454705', 'object/tangible/container/loot/shared_player_loot_crate.iff');
INSERT INTO `object_crc_string_table` VALUES ('1834451270', '6D578146', 'object/tangible/container/medical/shared_medbag_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('4232935338', 'FC4D77AA', 'object/tangible/container/quest/crafting_contract/shared_armor_crate.iff');
INSERT INTO `object_crc_string_table` VALUES ('2488721733', '9456E145', 'object/tangible/container/quest/crafting_contract/shared_clothing_crate.iff');
INSERT INTO `object_crc_string_table` VALUES ('594486839', '236F2637', 'object/tangible/container/quest/crafting_contract/shared_droid_crate.iff');
INSERT INTO `object_crc_string_table` VALUES ('2851563770', 'A9F768FA', 'object/tangible/container/quest/crafting_contract/shared_food_crate.iff');
INSERT INTO `object_crc_string_table` VALUES ('3179098251', 'BD7D308B', 'object/tangible/container/quest/crafting_contract/shared_furniture_crate.iff');
INSERT INTO `object_crc_string_table` VALUES ('2299347618', '890D42A2', 'object/tangible/container/quest/crafting_contract/shared_generic_crate.iff');
INSERT INTO `object_crc_string_table` VALUES ('2938212328', 'AF218FE8', 'object/tangible/container/quest/crafting_contract/shared_weapon_crate.iff');
INSERT INTO `object_crc_string_table` VALUES ('3357840333', 'C82493CD', 'object/tangible/container/quest/hero_of_tatooine/shared_rock_crevice.iff');
INSERT INTO `object_crc_string_table` VALUES ('405889283', '18316103', 'object/tangible/crafting/base/shared_base_public_station.iff');
INSERT INTO `object_crc_string_table` VALUES ('4267815739', 'FE61B33B', 'object/tangible/crafting/base/shared_base_repair.iff');
INSERT INTO `object_crc_string_table` VALUES ('722014891', '2B0912AB', 'object/tangible/crafting/base/shared_base_station.iff');
INSERT INTO `object_crc_string_table` VALUES ('589813491', '2327D6F3', 'object/tangible/crafting/base/shared_base_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('4203992702', 'FA93D67E', 'object/tangible/crafting/shared_crafting_components_container.iff');
INSERT INTO `object_crc_string_table` VALUES ('13064699', 'C759FB', 'object/tangible/crafting/shared_default_draft_not_found.iff');
INSERT INTO `object_crc_string_table` VALUES ('1186484366', '46B8508E', 'object/tangible/crafting/shared_missing_schematic_substitute.iff');
INSERT INTO `object_crc_string_table` VALUES ('3769226262', 'E0A9D416', 'object/tangible/crafting/station/shared_armor_repair.iff');
INSERT INTO `object_crc_string_table` VALUES ('4032677980', 'F05DC85C', 'object/tangible/crafting/station/shared_clothing_repair.iff');
INSERT INTO `object_crc_string_table` VALUES ('737990049', '2BFCD5A1', 'object/tangible/crafting/station/shared_clothing_station.iff');
INSERT INTO `object_crc_string_table` VALUES ('753735496', '2CED1748', 'object/tangible/crafting/station/shared_clothing_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('3945578306', 'EB2CBF42', 'object/tangible/crafting/station/shared_droid_repair.iff');
INSERT INTO `object_crc_string_table` VALUES ('3133859016', 'BACAE4C8', 'object/tangible/crafting/station/shared_food_station.iff');
INSERT INTO `object_crc_string_table` VALUES ('2849609519', 'A9D9972F', 'object/tangible/crafting/station/shared_food_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('1055200365', '3EE5146D', 'object/tangible/crafting/station/shared_generic_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('754074226', '2CF24272', 'object/tangible/crafting/station/shared_jedi_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('2936644592', 'AF09A3F0', 'object/tangible/crafting/station/shared_public_clothing_station.iff');
INSERT INTO `object_crc_string_table` VALUES ('804779915', '2FF7F78B', 'object/tangible/crafting/station/shared_public_food_station.iff');
INSERT INTO `object_crc_string_table` VALUES ('395482180', '17929444', 'object/tangible/crafting/station/shared_public_space_station.iff');
INSERT INTO `object_crc_string_table` VALUES ('464244555', '1BABCF4B', 'object/tangible/crafting/station/shared_public_structure_station.iff');
INSERT INTO `object_crc_string_table` VALUES ('1920049130', '72719FEA', 'object/tangible/crafting/station/shared_public_weapon_station.iff');
INSERT INTO `object_crc_string_table` VALUES ('408520625', '185987B1', 'object/tangible/crafting/station/shared_space_station.iff');
INSERT INTO `object_crc_string_table` VALUES ('2903391664', 'AD0E3DB0', 'object/tangible/crafting/station/shared_space_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('1513899009', '5A3C4401', 'object/tangible/crafting/station/shared_structure_repair.iff');
INSERT INTO `object_crc_string_table` VALUES ('2496989305', '94D50879', 'object/tangible/crafting/station/shared_structure_station.iff');
INSERT INTO `object_crc_string_table` VALUES ('4275700789', 'FEDA0435', 'object/tangible/crafting/station/shared_structure_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('2607871827', '9B70F753', 'object/tangible/crafting/station/shared_weapon_repair.iff');
INSERT INTO `object_crc_string_table` VALUES ('2167265111', '812DD757', 'object/tangible/crafting/station/shared_weapon_station.iff');
INSERT INTO `object_crc_string_table` VALUES ('1693896753', '64F6D031', 'object/tangible/crafting/station/shared_weapon_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('1941590017', '73BA5001', 'object/tangible/datapad/shared_character_datapad.iff');
INSERT INTO `object_crc_string_table` VALUES ('3496173420', 'D0635F6C', 'object/tangible/datapad/shared_droid_datapad_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('192215035', 'B74F7FB', 'object/tangible/datapad/shared_droid_datapad_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1115263094', '42799076', 'object/tangible/datapad/shared_droid_datapad_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3113925474', 'B99ABB62', 'object/tangible/datapad/shared_droid_datapad_4.iff');
INSERT INTO `object_crc_string_table` VALUES ('4036484335', 'F097DCEF', 'object/tangible/datapad/shared_droid_datapad_5.iff');
INSERT INTO `object_crc_string_table` VALUES ('729838712', '2B807478', 'object/tangible/datapad/shared_droid_datapad_6.iff');
INSERT INTO `object_crc_string_table` VALUES ('3216787509', 'BFBC4835', 'object/tangible/deed/base/shared_deed_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2878588829', 'AB93C79D', 'object/tangible/deed/base/shared_deed_building_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3225611811', 'C042EE23', 'object/tangible/deed/base/shared_deed_installation_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2503565638', '95396146', 'object/tangible/deed/base/shared_pet_deed_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('4079953693', 'F32F271D', 'object/tangible/deed/base/shared_pet_droid_deed_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('401261440', '17EAC380', 'object/tangible/deed/city_deed/shared_bank_corellia_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3557805385', 'D40FCD49', 'object/tangible/deed/city_deed/shared_bank_naboo_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('613943705', '24980999', 'object/tangible/deed/city_deed/shared_bank_tatooine_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2192147369', '82A983A9', 'object/tangible/deed/city_deed/shared_cantina_corellia_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1331321297', '4F5A59D1', 'object/tangible/deed/city_deed/shared_cantina_naboo_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2983938480', 'B1DB49B0', 'object/tangible/deed/city_deed/shared_cantina_tatooine_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2784919551', 'A5FE7FFF', 'object/tangible/deed/city_deed/shared_cityhall_corellia_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3662935696', 'DA53F690', 'object/tangible/deed/city_deed/shared_cityhall_naboo_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2525804006', '968CB5E6', 'object/tangible/deed/city_deed/shared_cityhall_tatooine_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1835066567', '6D60E4C7', 'object/tangible/deed/city_deed/shared_cloning_corellia_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2532276742', '96EF7A06', 'object/tangible/deed/city_deed/shared_cloning_naboo_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1578249950', '5E122EDE', 'object/tangible/deed/city_deed/shared_cloning_tatooine_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2847017824', 'A9B20B60', 'object/tangible/deed/city_deed/shared_garage_corellia_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3208167004', 'BF38BE5C', 'object/tangible/deed/city_deed/shared_garage_naboo_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2596323705', '9AC0C179', 'object/tangible/deed/city_deed/shared_garage_tatooine_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2592373233', '9A8479F1', 'object/tangible/deed/city_deed/shared_garden_corellia_lrg_01_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('536118511', '1FF484EF', 'object/tangible/deed/city_deed/shared_garden_corellia_lrg_02_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2674140296', '9F642488', 'object/tangible/deed/city_deed/shared_garden_corellia_lrg_03_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('299131748', '11D46364', 'object/tangible/deed/city_deed/shared_garden_corellia_lrg_04_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2437202691', '9144C303', 'object/tangible/deed/city_deed/shared_garden_corellia_lrg_05_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3319304199', 'C5D89007', 'object/tangible/deed/city_deed/shared_garden_corellia_med_01_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1084779801', '40A86D19', 'object/tangible/deed/city_deed/shared_garden_corellia_med_02_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3224948094', 'C038CD7E', 'object/tangible/deed/city_deed/shared_garden_corellia_med_03_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1317571218', '4E888A92', 'object/tangible/deed/city_deed/shared_garden_corellia_med_04_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3457690357', 'CE182AF5', 'object/tangible/deed/city_deed/shared_garden_corellia_med_05_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2095683295', '7CE996DF', 'object/tangible/deed/city_deed/shared_garden_corellia_sml_01_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4187581377', 'F9996BC1', 'object/tangible/deed/city_deed/shared_garden_corellia_sml_02_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2030685094', '7909CBA6', 'object/tangible/deed/city_deed/shared_garden_corellia_sml_03_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4156132426', 'F7B98C4A', 'object/tangible/deed/city_deed/shared_garden_corellia_sml_04_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1999186989', '77292C2D', 'object/tangible/deed/city_deed/shared_garden_corellia_sml_05_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1153184823', '44BC3437', 'object/tangible/deed/city_deed/shared_garden_dantooine_lrg_01_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('467721665', '1BE0DDC1', 'object/tangible/deed/city_deed/shared_garden_dantooine_med_01_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2731662105', 'A2D1DB19', 'object/tangible/deed/city_deed/shared_garden_dantooine_sml_01_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3330359214', 'C6813FAE', 'object/tangible/deed/city_deed/shared_garden_dathomir_lrg_01_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2581452376', '99DDD658', 'object/tangible/deed/city_deed/shared_garden_dathomir_med_01_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('552390784', '20ECD080', 'object/tangible/deed/city_deed/shared_garden_dathomir_sml_01_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4266378949', 'FE4BC6C5', 'object/tangible/deed/city_deed/shared_garden_endor_lrg_01_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2702651187', 'A1172F33', 'object/tangible/deed/city_deed/shared_garden_endor_med_01_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('405154283', '182629EB', 'object/tangible/deed/city_deed/shared_garden_endor_sml_01_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('410853409', '187D2021', 'object/tangible/deed/city_deed/shared_garden_naboo_lrg_01_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2634931519', '9D0DDD3F', 'object/tangible/deed/city_deed/shared_garden_naboo_lrg_02_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('496860504', '1D9D7D58', 'object/tangible/deed/city_deed/shared_garden_naboo_lrg_03_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2469214900', '932D3AB4', 'object/tangible/deed/city_deed/shared_garden_naboo_lrg_04_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('331193043', '13BD9AD3', 'object/tangible/deed/city_deed/shared_garden_naboo_lrg_05_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1193396695', '4721C9D7', 'object/tangible/deed/city_deed/shared_garden_naboo_med_01_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3260101833', 'C25134C9', 'object/tangible/deed/city_deed/shared_garden_naboo_med_02_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1119982766', '42C194AE', 'object/tangible/deed/city_deed/shared_garden_naboo_med_03_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3430011714', 'CC71D342', 'object/tangible/deed/city_deed/shared_garden_naboo_med_04_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1289843493', '4CE17325', 'object/tangible/deed/city_deed/shared_garden_naboo_med_05_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4262514447', 'FE10CF0F', 'object/tangible/deed/city_deed/shared_garden_naboo_sml_01_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2069901841', '7B603211', 'object/tangible/deed/city_deed/shared_garden_naboo_sml_02_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4226847350', 'FBF09276', 'object/tangible/deed/city_deed/shared_garden_naboo_sml_03_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1967183258', '7540D59A', 'object/tangible/deed/city_deed/shared_garden_naboo_sml_04_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4124079613', 'F5D075FD', 'object/tangible/deed/city_deed/shared_garden_naboo_sml_05_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1472425069', '57C36C6D', 'object/tangible/deed/city_deed/shared_garden_tatooine_lrg_01_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3534983539', 'D2B39173', 'object/tangible/deed/city_deed/shared_garden_tatooine_lrg_02_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1378038036', '52233114', 'object/tangible/deed/city_deed/shared_garden_tatooine_lrg_03_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3700651768', 'DC9376F8', 'object/tangible/deed/city_deed/shared_garden_tatooine_lrg_04_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1543755423', '5C03D69F', 'object/tangible/deed/city_deed/shared_garden_tatooine_lrg_05_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('144672155', '89F859B', 'object/tangible/deed/city_deed/shared_garden_tatooine_med_01_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2381281413', '8DEF7885', 'object/tangible/deed/city_deed/shared_garden_tatooine_med_02_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('226482402', 'D7FD8E2', 'object/tangible/deed/city_deed/shared_garden_tatooine_med_03_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2211421966', '83CF9F0E', 'object/tangible/deed/city_deed/shared_garden_tatooine_med_04_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('56573801', '35F3F69', 'object/tangible/deed/city_deed/shared_garden_tatooine_med_05_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2981004099', 'B1AE8343', 'object/tangible/deed/city_deed/shared_garden_tatooine_sml_01_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('886996573', '34DE7E5D', 'object/tangible/deed/city_deed/shared_garden_tatooine_sml_02_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3025067578', 'B44EDE3A', 'object/tangible/deed/city_deed/shared_garden_tatooine_sml_03_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('989764054', '3AFE99D6', 'object/tangible/deed/city_deed/shared_garden_tatooine_sml_04_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3127785905', 'BA6E39B1', 'object/tangible/deed/city_deed/shared_garden_tatooine_sml_05_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2836026000', 'A90A5290', 'object/tangible/deed/city_deed/shared_hospital_corellia_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1107375302', '420134C6', 'object/tangible/deed/city_deed/shared_hospital_naboo_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2591594633', '9A789889', 'object/tangible/deed/city_deed/shared_hospital_tatooine_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3681788535', 'DB73A277', 'object/tangible/deed/city_deed/shared_shuttleport_corellia_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1379109301', '523389B5', 'object/tangible/deed/city_deed/shared_shuttleport_naboo_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3892406382', 'E801686E', 'object/tangible/deed/city_deed/shared_shuttleport_tatooine_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('613379311', '248F6CEF', 'object/tangible/deed/city_deed/shared_theater_corellia_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3022502254', 'B427B96E', 'object/tangible/deed/city_deed/shared_theater_naboo_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('402499318', '17FDA6F6', 'object/tangible/deed/city_deed/shared_theater_tatooine_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('100121621', '5F7BC15', 'object/tangible/deed/corellia/player_house_deed/shared_corellia_house_large_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4084143770', 'F36F169A', 'object/tangible/deed/corellia/player_house_deed/shared_corellia_house_medium_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1165081270', '4571BAB6', 'object/tangible/deed/corellia/player_house_deed/shared_corellia_house_small_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('96032000', '5B95500', 'object/tangible/deed/event_perk/shared_atat_static_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('868380341', '33C26EB5', 'object/tangible/deed/event_perk/shared_atst_static_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1077833957', '403E70E5', 'object/tangible/deed/event_perk/shared_banner_style_1_static_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2018190082', '784B2302', 'object/tangible/deed/event_perk/shared_banner_style_2_static_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('490659620', '1D3EDF24', 'object/tangible/deed/event_perk/shared_bantha_static_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2758380112', 'A4698A50', 'object/tangible/deed/event_perk/shared_corellia_flag_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('394496697', '17838AB9', 'object/tangible/deed/event_perk/shared_corellian_banner_static_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2118733227', '7E494DAB', 'object/tangible/deed/event_perk/shared_corsec_1x10_honorguard_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2243554173', '85B9EB7D', 'object/tangible/deed/event_perk/shared_corsec_2x10_honorguard_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3541464783', 'D31676CF', 'object/tangible/deed/event_perk/shared_corsec_3x10_honorguard_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1989786470', '7699BB66', 'object/tangible/deed/event_perk/shared_corsec_4x10_honorguard_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('669879864', '27ED8E38', 'object/tangible/deed/event_perk/shared_corsec_stage_theater_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('278767627', '109DA80B', 'object/tangible/deed/event_perk/shared_crashed_tie_bomber_theater_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3107518803', 'B938F953', 'object/tangible/deed/event_perk/shared_crashed_tie_fighter_theater_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2283518877', '881BBB9D', 'object/tangible/deed/event_perk/shared_crashed_xwing_theater_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2997866157', 'B2AFCEAD', 'object/tangible/deed/event_perk/shared_dantooine_flag_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('214316882', 'CC63752', 'object/tangible/deed/event_perk/shared_dathomir_flag_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1222265113', '48DA4919', 'object/tangible/deed/event_perk/shared_destroyed_atat_theater_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3400416537', 'CAAE3D19', 'object/tangible/deed/event_perk/shared_endor_flag_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3098769210', 'B8B3773A', 'object/tangible/deed/event_perk/shared_fed_dub_1x10_honorguard_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1128518124', '4343D1EC', 'object/tangible/deed/event_perk/shared_fed_dub_2x10_honorguard_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('367807582', '15EC4C5E', 'object/tangible/deed/event_perk/shared_fed_dub_3x10_honorguard_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2959311351', 'B06381F7', 'object/tangible/deed/event_perk/shared_fed_dub_4x10_honorguard_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('478885552', '1C8B36B0', 'object/tangible/deed/event_perk/shared_fed_dub_stage_theater_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2492601987', '94921683', 'object/tangible/deed/event_perk/shared_game_flag_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2067322746', '7B38D77A', 'object/tangible/deed/event_perk/shared_imperial_1x10_honorguard_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2160619948', '80C871AC', 'object/tangible/deed/event_perk/shared_imperial_2x10_honorguard_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3597134878', 'D667EC1E', 'object/tangible/deed/event_perk/shared_imperial_3x10_honorguard_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1944592823', '73E821B7', 'object/tangible/deed/event_perk/shared_imperial_4x10_honorguard_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1199828440', '4783EDD8', 'object/tangible/deed/event_perk/shared_imperial_banner_static_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('950407805', '38A6127D', 'object/tangible/deed/event_perk/shared_imperial_landing_party_atat_theater_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1341560350', '4FF6961E', 'object/tangible/deed/event_perk/shared_imperial_landing_party_lambda_theater_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3942321443', 'EAFB0D23', 'object/tangible/deed/event_perk/shared_imperial_recruiter_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3037735539', 'B5102A73', 'object/tangible/deed/event_perk/shared_imperial_recruiting_station_theater_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1465346121', '57576849', 'object/tangible/deed/event_perk/shared_imperial_stage_theater_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('740174005', '2C1E28B5', 'object/tangible/deed/event_perk/shared_lambda_shuttle_static_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('161207781', '99BD5E5', 'object/tangible/deed/event_perk/shared_lok_flag_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('630171523', '258FA783', 'object/tangible/deed/event_perk/shared_lottery_droid_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3495277454', 'D055B38E', 'object/tangible/deed/event_perk/shared_marble_gazebo_static_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3494057376', 'D04315A0', 'object/tangible/deed/event_perk/shared_naboo_flag_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1889831990', '70A48C36', 'object/tangible/deed/event_perk/shared_naboo_gazebo_static_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3932323881', 'EA628029', 'object/tangible/deed/event_perk/shared_npc_actor_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3871451836', 'E6C1AABC', 'object/tangible/deed/event_perk/shared_party_stage_theater_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1418087679', '54864CFF', 'object/tangible/deed/event_perk/shared_pavillion_1_static_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1827872536', '6CF31F18', 'object/tangible/deed/event_perk/shared_pavillion_2_static_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('316690423', '12E04FF7', 'object/tangible/deed/event_perk/shared_race_droid_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2285088159', '8833AD9F', 'object/tangible/deed/event_perk/shared_radiologically_shielded_chest_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1723520463', '66BAD5CF', 'object/tangible/deed/event_perk/shared_rebel_1x10_honorguard_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2638902041', '9D4A7319', 'object/tangible/deed/event_perk/shared_rebel_2x10_honorguard_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3420843691', 'CBE5EEAB', 'object/tangible/deed/event_perk/shared_rebel_3x10_honorguard_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1852449538', '6E6A2302', 'object/tangible/deed/event_perk/shared_rebel_4x10_honorguard_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3380613131', 'C980100B', 'object/tangible/deed/event_perk/shared_rebel_banner_static_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3579561687', 'D55BC6D7', 'object/tangible/deed/event_perk/shared_rebel_recruiter_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4115692973', 'F5507DAD', 'object/tangible/deed/event_perk/shared_rebel_recruiting_station_theater_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3646199194', 'D954959A', 'object/tangible/deed/event_perk/shared_rebel_stage_theater_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('703132094', '29E8F1BE', 'object/tangible/deed/event_perk/shared_rori_flag_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1754106896', '688D8C10', 'object/tangible/deed/event_perk/shared_rsf_1x10_honorguard_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2474453702', '937D2AC6', 'object/tangible/deed/event_perk/shared_rsf_2x10_honorguard_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3318921076', 'C5D2B774', 'object/tangible/deed/event_perk/shared_rsf_3x10_honorguard_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1616739037', '605D7ADD', 'object/tangible/deed/event_perk/shared_rsf_4x10_honorguard_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2659515583', '9E84FCBF', 'object/tangible/deed/event_perk/shared_rsf_stage_theater_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2216046432', '84162F60', 'object/tangible/deed/event_perk/shared_scavenger_droid_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1834589804', '6D599E6C', 'object/tangible/deed/event_perk/shared_shuttle_beacon.iff');
INSERT INTO `object_crc_string_table` VALUES ('411294361', '1883DA99', 'object/tangible/deed/event_perk/shared_shuttle_static_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3218012813', 'BFCEFA8D', 'object/tangible/deed/event_perk/shared_skeleton_chest_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2059968039', '7AC89E27', 'object/tangible/deed/event_perk/shared_sparking_treasure_box_chest_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('791289209', '2F2A1D79', 'object/tangible/deed/event_perk/shared_stone_base_banner_static_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1161808241', '453FC971', 'object/tangible/deed/event_perk/shared_talus_flag_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3487161883', 'CFD9DE1B', 'object/tangible/deed/event_perk/shared_tatooine_banner_static_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1345632337', '5034B851', 'object/tangible/deed/event_perk/shared_tatooine_flag_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2676733006', '9F8BB44E', 'object/tangible/deed/event_perk/shared_technical_chest_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3261222674', 'C2624F12', 'object/tangible/deed/event_perk/shared_test_gaming_table_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4003914281', 'EEA6E229', 'object/tangible/deed/event_perk/shared_test_npc_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4208408711', 'FAD73887', 'object/tangible/deed/event_perk/shared_test_theater_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3210011419', 'BF54E31B', 'object/tangible/deed/event_perk/shared_tie_bomber_static_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2234203599', '852B3DCF', 'object/tangible/deed/event_perk/shared_tie_fighter_static_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3166995738', 'BCC4851A', 'object/tangible/deed/event_perk/shared_treasure_box_chest_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2343696726', '8BB1F956', 'object/tangible/deed/event_perk/shared_treasure_crate_chest_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1584596145', '5E7304B1', 'object/tangible/deed/event_perk/shared_universe_flags_theater.iff');
INSERT INTO `object_crc_string_table` VALUES ('719238316', '2ADEB4AC', 'object/tangible/deed/event_perk/shared_wedding_garden_imperial_large_theater_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1935091430', '735726E6', 'object/tangible/deed/event_perk/shared_wedding_garden_rebel_large_theater_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('680163975', '288A7A87', 'object/tangible/deed/event_perk/shared_xwing_static_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1572439874', '5DB98742', 'object/tangible/deed/event_perk/shared_yavin_flag_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3347458445', 'C786298D', 'object/tangible/deed/faction_perk/covert_detector/shared_detector_32m_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2279437035', '87DD72EB', 'object/tangible/deed/faction_perk/hq/shared_hq_deed_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('814071482', '3085BEBA', 'object/tangible/deed/faction_perk/hq/shared_hq_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3952219693', 'EB92162D', 'object/tangible/deed/faction_perk/hq/shared_hq_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2728358304', 'A29F71A0', 'object/tangible/deed/faction_perk/hq/shared_hq_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1501321908', '597C5AB4', 'object/tangible/deed/faction_perk/hq/shared_hq_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('275856697', '10713D39', 'object/tangible/deed/faction_perk/hq/shared_hq_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1563479543', '5D30CDF7', 'object/tangible/deed/faction_perk/minefield/shared_field_1x1_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1819939378', '6C7A1232', 'object/tangible/deed/faction_perk/turret/base/shared_faction_turret_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('629647552', '2587A8C0', 'object/tangible/deed/faction_perk/turret/shared_block_lg_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4221569030', 'FBA00806', 'object/tangible/deed/faction_perk/turret/shared_block_med_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2743566481', 'A3878091', 'object/tangible/deed/faction_perk/turret/shared_block_sm_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4034604910', 'F07B2F6E', 'object/tangible/deed/faction_perk/turret/shared_dish_lg_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1987774271', '767B073F', 'object/tangible/deed/faction_perk/turret/shared_dish_sm_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3732331701', 'DE76DCB5', 'object/tangible/deed/faction_perk/turret/shared_tower_lg_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2821147502', 'A8274B6E', 'object/tangible/deed/faction_perk/turret/shared_tower_med_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1484190948', '5876F4E4', 'object/tangible/deed/faction_perk/turret/shared_tower_sm_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1812501477', '6C0893E5', 'object/tangible/deed/factory_deed/shared_factory_clothing_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3488359653', 'CFEC24E5', 'object/tangible/deed/factory_deed/shared_factory_food_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4246665338', 'FD1EF87A', 'object/tangible/deed/factory_deed/shared_factory_item_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2385714184', '8E331C08', 'object/tangible/deed/factory_deed/shared_factory_structure_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3852530581', 'E5A0F395', 'object/tangible/deed/generator_deed/shared_generator_fusion_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('651572803', '26D63643', 'object/tangible/deed/generator_deed/shared_generator_photo_bio_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1181332776', '4669B528', 'object/tangible/deed/generator_deed/shared_generator_solar_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3871805863', 'E6C711A7', 'object/tangible/deed/generator_deed/shared_generator_wind_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4111019383', 'F5092D77', 'object/tangible/deed/guild_deed/shared_corellia_guild_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3345639792', 'C76A6970', 'object/tangible/deed/guild_deed/shared_generic_guild_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2398572808', '8EF75108', 'object/tangible/deed/guild_deed/shared_naboo_guild_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('847751074', '3287A7A2', 'object/tangible/deed/guild_deed/shared_tatooine_guild_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1677139943', '63F71FE7', 'object/tangible/deed/guild_deed/shared_tatooine_guild_style_02_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3801540743', 'E296E887', 'object/tangible/deed/harvester_deed/shared_harvester_creature_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2840949012', 'A9557114', 'object/tangible/deed/harvester_deed/shared_harvester_flora_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4005897011', 'EEC52333', 'object/tangible/deed/harvester_deed/shared_harvester_flora_deed_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('1378608973', '522BE74D', 'object/tangible/deed/harvester_deed/shared_harvester_flora_deed_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('2231503385', '85020A19', 'object/tangible/deed/harvester_deed/shared_harvester_gas_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('277903692', '1090794C', 'object/tangible/deed/harvester_deed/shared_harvester_gas_deed_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('2991048014', 'B247C54E', 'object/tangible/deed/harvester_deed/shared_harvester_gas_deed_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('3335458434', 'C6CF0E82', 'object/tangible/deed/harvester_deed/shared_harvester_liquid_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1336331736', '4FA6CDD8', 'object/tangible/deed/harvester_deed/shared_harvester_liquid_deed_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('3291170804', 'C42B47F4', 'object/tangible/deed/harvester_deed/shared_harvester_liquid_deed_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('1578846375', '5E1B48A7', 'object/tangible/deed/harvester_deed/shared_harvester_moisture_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('21472355', '147A463', 'object/tangible/deed/harvester_deed/shared_harvester_moisture_deed_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('759835785', '2D4A2C89', 'object/tangible/deed/harvester_deed/shared_harvester_moisture_deed_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('3224287923', 'C02EBAB3', 'object/tangible/deed/harvester_deed/shared_harvester_ore_heavy_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2126009375', '7EB8541F', 'object/tangible/deed/harvester_deed/shared_harvester_ore_s1_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4224231681', 'FBC8A901', 'object/tangible/deed/harvester_deed/shared_harvester_ore_s2_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('63835392', '3CE0D00', 'object/tangible/deed/naboo/player_house_deed/shared_naboo_house_large_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3495448104', 'D0584E28', 'object/tangible/deed/naboo/player_house_deed/shared_naboo_house_medium_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1128795043', '43480BA3', 'object/tangible/deed/naboo/player_house_deed/shared_naboo_house_small_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1956514459', '749E0A9B', 'object/tangible/deed/pet_deed/shared_acklay_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2482798836', '93FC80F4', 'object/tangible/deed/pet_deed/shared_angler_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3630864640', 'D86A9900', 'object/tangible/deed/pet_deed/shared_bageraset_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2365841175', '8D03DF17', 'object/tangible/deed/pet_deed/shared_bantha_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('78102585', '4A7C039', 'object/tangible/deed/pet_deed/shared_bearded_jax_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2944380432', 'AF7FAE10', 'object/tangible/deed/pet_deed/shared_blurrg_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('770531261', '2DED5FBD', 'object/tangible/deed/pet_deed/shared_boar_wolf_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1788467919', '6A99DACF', 'object/tangible/deed/pet_deed/shared_bocatt_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3319053761', 'C5D4BDC1', 'object/tangible/deed/pet_deed/shared_bol_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('355900211', '15369B33', 'object/tangible/deed/pet_deed/shared_bolle_bol_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3293690275', 'C451B9A3', 'object/tangible/deed/pet_deed/shared_bolma_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3849896931', 'E578C3E3', 'object/tangible/deed/pet_deed/shared_bordok_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2722964789', 'A24D2535', 'object/tangible/deed/pet_deed/shared_brackaset_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1539923178', '5BC95CEA', 'object/tangible/deed/pet_deed/shared_carrion_spat_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('568963373', '21E9B12D', 'object/tangible/deed/pet_deed/shared_choku_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1372684709', '51D181A5', 'object/tangible/deed/pet_deed/shared_cu_pa_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3912913130', 'E93A50EA', 'object/tangible/deed/pet_deed/shared_dalyrake_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3377218847', 'C94C451F', 'object/tangible/deed/pet_deed/shared_deed_3p0_advanced_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1415490905', '545EAD59', 'object/tangible/deed/pet_deed/shared_deed_3p0_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('2057798202', '7AA7823A', 'object/tangible/deed/pet_deed/shared_deed_binary_load_lifter_advanced_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('2601281504', '9B0C67E0', 'object/tangible/deed/pet_deed/shared_deed_binary_load_lifter_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3223531426', 'C0232FA2', 'object/tangible/deed/pet_deed/shared_deed_droid_basic_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('582239250', '22B44412', 'object/tangible/deed/pet_deed/shared_deed_dz70_advanced_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3167973020', 'BCD36E9C', 'object/tangible/deed/pet_deed/shared_deed_dz70_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1844616075', '6DF29B8B', 'object/tangible/deed/pet_deed/shared_deed_le_repair_advanced_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('882669301', '349C76F5', 'object/tangible/deed/pet_deed/shared_deed_le_repair_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3093478182', 'B862BB26', 'object/tangible/deed/pet_deed/shared_deed_mse_advanced_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('710547098', '2A5A169A', 'object/tangible/deed/pet_deed/shared_deed_mse_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3935000008', 'EA8B55C8', 'object/tangible/deed/pet_deed/shared_deed_power_advanced_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3515669510', 'D18CDC06', 'object/tangible/deed/pet_deed/shared_deed_power_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('2316266352', '8A0F6B70', 'object/tangible/deed/pet_deed/shared_deed_probot_advanced_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3430959224', 'CC804878', 'object/tangible/deed/pet_deed/shared_deed_probot_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1405017351', '53BEDD07', 'object/tangible/deed/pet_deed/shared_deed_r2_advanced_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3138660886', 'BB142A16', 'object/tangible/deed/pet_deed/shared_deed_r2_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1740395217', '67BC52D1', 'object/tangible/deed/pet_deed/shared_deed_r3_advanced_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1119399416', '42B8ADF8', 'object/tangible/deed/pet_deed/shared_deed_r3_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3954310643', 'EBB1FDF3', 'object/tangible/deed/pet_deed/shared_deed_r4_advanced_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('2809987356', 'A77D011C', 'object/tangible/deed/pet_deed/shared_deed_r4_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3753079333', 'DFB37225', 'object/tangible/deed/pet_deed/shared_deed_r5_advanced_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1590789874', '5ED186F2', 'object/tangible/deed/pet_deed/shared_deed_r5_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1818683217', '6C66E751', 'object/tangible/deed/pet_deed/shared_deed_surgical_advanced_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3195886758', 'BE7D5CA6', 'object/tangible/deed/pet_deed/shared_deed_surgical_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('560171017', '21638809', 'object/tangible/deed/pet_deed/shared_deed_treadwell_advanced_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('868926943', '33CAC5DF', 'object/tangible/deed/pet_deed/shared_deed_treadwell_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1201174852', '47987944', 'object/tangible/deed/pet_deed/shared_dewback_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1235591728', '49A5A230', 'object/tangible/deed/pet_deed/shared_dune_lizard_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('568136061', '21DD117D', 'object/tangible/deed/pet_deed/shared_durni_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2825186184', 'A864EB88', 'object/tangible/deed/pet_deed/shared_eopie_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1479198736', '582AC810', 'object/tangible/deed/pet_deed/shared_falumpaset_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2357528913', '8C850951', 'object/tangible/deed/pet_deed/shared_fambaa_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1211421519', '4834D34F', 'object/tangible/deed/pet_deed/shared_gnort_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4170181913', 'F88FED19', 'object/tangible/deed/pet_deed/shared_graul_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('307411638', '1252BAB6', 'object/tangible/deed/pet_deed/shared_gronda_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3538897851', 'D2EF4BBB', 'object/tangible/deed/pet_deed/shared_gualama_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2604348719', '9B3B352F', 'object/tangible/deed/pet_deed/shared_guf_drolg_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1841540570', '6DC3ADDA', 'object/tangible/deed/pet_deed/shared_gurnaset_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1914113142', '72170C76', 'object/tangible/deed/pet_deed/shared_gurrcat_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('596282825', '238A8DC9', 'object/tangible/deed/pet_deed/shared_gurreck_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4141996678', 'F6E1DA86', 'object/tangible/deed/pet_deed/shared_hermit_spider_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2761665621', 'A49BAC55', 'object/tangible/deed/pet_deed/shared_huf_dun_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2364325407', '8CECBE1F', 'object/tangible/deed/pet_deed/shared_huurton_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3921976066', 'E9C49B02', 'object/tangible/deed/pet_deed/shared_ikopi_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3178486742', 'BD73DBD6', 'object/tangible/deed/pet_deed/shared_kaadu_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1489129172', '58C24ED4', 'object/tangible/deed/pet_deed/shared_kahmurra_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1283047253', '4C79BF55', 'object/tangible/deed/pet_deed/shared_kima_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1282379469', '4C6F8ECD', 'object/tangible/deed/pet_deed/shared_kimogila_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2930512218', 'AEAC115A', 'object/tangible/deed/pet_deed/shared_kliknik_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2423537916', '907440FC', 'object/tangible/deed/pet_deed/shared_krahbu_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4028060677', 'F0175405', 'object/tangible/deed/pet_deed/shared_kusak_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('123859018', '761F04A', 'object/tangible/deed/pet_deed/shared_kwi_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3557409216', 'D409C1C0', 'object/tangible/deed/pet_deed/shared_langlatch_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1098639127', '417BE717', 'object/tangible/deed/pet_deed/shared_malkloc_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2243211725', '85B4B1CD', 'object/tangible/deed/pet_deed/shared_mawgax_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1043002633', '3E2AF509', 'object/tangible/deed/pet_deed/shared_merek_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('172941482', 'A4EE0AA', 'object/tangible/deed/pet_deed/shared_mott_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3881607388', 'E75CA0DC', 'object/tangible/deed/pet_deed/shared_narglatch_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1026311847', '3D2C46A7', 'object/tangible/deed/pet_deed/shared_piket_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2234730618', '8533487A', 'object/tangible/deed/pet_deed/shared_pugoriss_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1261006244', '4B296DA4', 'object/tangible/deed/pet_deed/shared_rancor_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1872969890', '6FA340A2', 'object/tangible/deed/pet_deed/shared_roba_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('913136842', '366D5CCA', 'object/tangible/deed/pet_deed/shared_ronto_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1167578973', '4597D75D', 'object/tangible/deed/pet_deed/shared_sand_panther_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('266796409', 'FE6FD79', 'object/tangible/deed/pet_deed/shared_sharnaff_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3695263840', 'DC414060', 'object/tangible/deed/pet_deed/shared_shear_mite_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3038018529', 'B5147BE1', 'object/tangible/deed/pet_deed/shared_slice_hound_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2012451666', '77F39352', 'object/tangible/deed/pet_deed/shared_snorbal_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('497548283', '1DA7FBFB', 'object/tangible/deed/pet_deed/shared_squall_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1483639394', '586E8A62', 'object/tangible/deed/pet_deed/shared_swirl_prong_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3975996682', 'ECFCE50A', 'object/tangible/deed/pet_deed/shared_thune_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('936838311', '37D704A7', 'object/tangible/deed/pet_deed/shared_torton_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('517622400', '1EDA4A80', 'object/tangible/deed/pet_deed/shared_tybis_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2817313494', 'A7ECCAD6', 'object/tangible/deed/pet_deed/shared_veermok_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3969410602', 'EC98662A', 'object/tangible/deed/pet_deed/shared_vehicular_prototype.iff');
INSERT INTO `object_crc_string_table` VALUES ('1133365907', '438DCA93', 'object/tangible/deed/pet_deed/shared_vehicular_prototype_bike.iff');
INSERT INTO `object_crc_string_table` VALUES ('1757419903', '68C0197F', 'object/tangible/deed/pet_deed/shared_verne_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('76738383', '492EF4F', 'object/tangible/deed/pet_deed/shared_vesp_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2428442733', '90BF186D', 'object/tangible/deed/pet_deed/shared_vir_vur_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2463526816', '92D66FA0', 'object/tangible/deed/pet_deed/shared_woolamander_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1175512432', '4610E570', 'object/tangible/deed/pet_deed/shared_zucca_boar_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2929915649', 'AEA2F701', 'object/tangible/deed/player_house_deed/shared_corellia_house_large_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('235215989', 'E051C75', 'object/tangible/deed/player_house_deed/shared_corellia_house_large_style_02_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2084610037', '7C409FF5', 'object/tangible/deed/player_house_deed/shared_corellia_house_medium_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2451032772', '9217CAC4', 'object/tangible/deed/player_house_deed/shared_corellia_house_medium_style_02_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3995398562', 'EE24F1A2', 'object/tangible/deed/player_house_deed/shared_corellia_house_small_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4236382032', 'FC820F50', 'object/tangible/deed/player_house_deed/shared_corellia_house_small_floor_02_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2362914922', '8CD7386A', 'object/tangible/deed/player_house_deed/shared_corellia_house_small_style_02_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3176020474', 'BD4E39FA', 'object/tangible/deed/player_house_deed/shared_corellia_house_small_style_02_floor_02_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1741240035', '67C936E3', 'object/tangible/deed/player_house_deed/shared_generic_house_large_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3587608428', 'D5D68F6C', 'object/tangible/deed/player_house_deed/shared_generic_house_large_style_02_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1757551971', '68C21D63', 'object/tangible/deed/player_house_deed/shared_generic_house_medium_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2069123916', '7B54534C', 'object/tangible/deed/player_house_deed/shared_generic_house_medium_style_02_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('659501120', '274F3040', 'object/tangible/deed/player_house_deed/shared_generic_house_small_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('659659849', '27519C49', 'object/tangible/deed/player_house_deed/shared_generic_house_small_floor_02_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1459923827', '5704AB73', 'object/tangible/deed/player_house_deed/shared_generic_house_small_style_02_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1914522978', '721D4D62', 'object/tangible/deed/player_house_deed/shared_generic_house_small_style_02_floor_02_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2826097149', 'A872D1FD', 'object/tangible/deed/player_house_deed/shared_merchant_tent_style_01_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('755117283', '2D022CE3', 'object/tangible/deed/player_house_deed/shared_merchant_tent_style_02_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2912062596', 'AD928C84', 'object/tangible/deed/player_house_deed/shared_merchant_tent_style_03_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2425408276', '9090CB14', 'object/tangible/deed/player_house_deed/shared_naboo_house_large_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2797619055', 'A6C0476F', 'object/tangible/deed/player_house_deed/shared_naboo_house_medium_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3999622538', 'EE65658A', 'object/tangible/deed/player_house_deed/shared_naboo_house_medium_style_02_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3491155383', 'D016CDB7', 'object/tangible/deed/player_house_deed/shared_naboo_house_small_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4010454053', 'EF0AAC25', 'object/tangible/deed/player_house_deed/shared_naboo_house_small_style_02_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('117213262', '6FC884E', 'object/tangible/deed/player_house_deed/shared_tatooine_house_large_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4112018243', 'F5186B43', 'object/tangible/deed/player_house_deed/shared_tatooine_house_medium_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1182437101', '467A8EED', 'object/tangible/deed/player_house_deed/shared_tatooine_house_small_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2199454599', '83190387', 'object/tangible/deed/player_house_deed/shared_tatooine_house_small_style_02_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3516023581', 'D192431D', 'object/tangible/deed/shared_test_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('662025863', '2775B687', 'object/tangible/deed/turret_deed/shared_turret_block_large_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3770943764', 'E0C40914', 'object/tangible/deed/turret_deed/shared_turret_block_medium_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1744023588', '67F3B024', 'object/tangible/deed/turret_deed/shared_turret_block_small_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2560190060', '9899666C', 'object/tangible/deed/vehicle_deed/shared_jetpack_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3746524983', 'DF4F6F37', 'object/tangible/deed/vehicle_deed/shared_landspeeder_av21_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3199159464', 'BEAF4CA8', 'object/tangible/deed/vehicle_deed/shared_landspeeder_x31_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('905926205', '35FF563D', 'object/tangible/deed/vehicle_deed/shared_landspeeder_x34_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4075476273', 'F2EAD531', 'object/tangible/deed/vehicle_deed/shared_speederbike_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1892530279', '70CDB867', 'object/tangible/deed/vehicle_deed/shared_speederbike_flash_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('495473751', '1D885457', 'object/tangible/deed/vehicle_deed/shared_speederbike_swoop_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('504910832', '1E1853F0', 'object/tangible/deed/vehicle_deed/shared_vehicle_deed_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1262265566', '4B3CA4DE', 'object/tangible/deed/vehicle_deed/shared_vehicular_prototype_bike_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3990622047', 'EDDC0F5F', 'object/tangible/deed/vehicle_deed/shared_vehicular_prototype_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('551874414', '20E4EF6E', 'object/tangible/destructible/wreckage/shared_wreck_starship_small_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('572459271', '221F0907', 'object/tangible/dice/shared_eqp_chance_cube.iff');
INSERT INTO `object_crc_string_table` VALUES ('1212860070', '484AC6A6', 'object/tangible/dice/shared_eqp_configurable_group_dice.iff');
INSERT INTO `object_crc_string_table` VALUES ('2182985448', '821DB6E8', 'object/tangible/dice/shared_eqp_one_hundred_sided_dice_set.iff');
INSERT INTO `object_crc_string_table` VALUES ('3211047396', 'BF64B1E4', 'object/tangible/dice/shared_eqp_six_sided_dice_set.iff');
INSERT INTO `object_crc_string_table` VALUES ('3051569698', 'B5E34222', 'object/tangible/dice/shared_eqp_ten_sided_dice_set.iff');
INSERT INTO `object_crc_string_table` VALUES ('2176227197', '81B6977D', 'object/tangible/dice/shared_eqp_twelve_sided_dice_set.iff');
INSERT INTO `object_crc_string_table` VALUES ('3564430823', 'D474E5E7', 'object/tangible/dice/shared_eqp_twenty_sided_dice_set.iff');
INSERT INTO `object_crc_string_table` VALUES ('240821599', 'E5AA55F', 'object/tangible/droid/shared_droid_space_memory_module_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2856908563', 'AA48F713', 'object/tangible/droid/shared_droid_space_memory_module_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1883811803', '7048AFDB', 'object/tangible/droid/shared_navicomputer_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2875131724', 'AB5F074C', 'object/tangible/droid/shared_navicomputer_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3797049537', 'E25260C1', 'object/tangible/droid/shared_navicomputer_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('431049685', '19B14BD5', 'object/tangible/droid/shared_navicomputer_4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1354509400', '50BC2C58', 'object/tangible/droid/shared_navicomputer_5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2343273679', '8BAB84CF', 'object/tangible/droid/shared_navicomputer_6.iff');
INSERT INTO `object_crc_string_table` VALUES ('3955479203', 'EBC3D2A3', 'object/tangible/droid/shared_navicomputer_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('4005418239', 'EEBDD4FF', 'object/tangible/droid_battery/base/shared_base_battery.iff');
INSERT INTO `object_crc_string_table` VALUES ('209388269', 'C7B02ED', 'object/tangible/droid_battery/shared_battery.iff');
INSERT INTO `object_crc_string_table` VALUES ('1407650214', '53E709A6', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_imperial_assassination_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2297471281', '88F0A131', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_imperial_assassination_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3254634172', 'C1FDC6BC', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_imperial_assassination_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1492422801', '58F49091', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_imperial_destroy_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2212706310', '83E33806', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_imperial_destroy_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3404619659', 'CAEE5F8B', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_imperial_destroy_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2560812636', '98A2E65C', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_imperial_rescue_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1135955659', '43B54ECB', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_imperial_rescue_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('179841350', 'AB82946', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_imperial_rescue_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3272388566', 'C30CAFD6', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_neutral_assassination_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('404424513', '181B0741', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_neutral_assassination_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1360421068', '511660CC', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_neutral_assassination_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('264621119', 'FC5CC3F', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_neutral_destroy_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3570558120', 'D4D264A8', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_neutral_destroy_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2648638245', '9DDF0325', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_neutral_destroy_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3687584342', 'DBCC1256', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_neutral_rescue_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('14400193', 'DBBAC1', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_neutral_rescue_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1238818124', '49D6DD4C', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_neutral_rescue_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('542981184', '205D3C40', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_rebel_assassination_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4215968983', 'FB4A94D7', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_rebel_assassination_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2991059802', 'B247F35A', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_rebel_assassination_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('645261248', '2675E7C0', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_rebel_destroy_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4251078487', 'FD624F57', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_rebel_destroy_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3027183834', 'B46F28DA', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_rebel_destroy_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1089205389', '40EBF48D', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_rebel_rescue_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2617007130', '9BFC5C1A', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_rebel_rescue_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3539024791', 'D2F13B97', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_rebel_rescue_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3544017422', 'D33D6A0E', 'object/tangible/dungeon/death_watch_bunker/shared_crazed_miner_medicine.iff');
INSERT INTO `object_crc_string_table` VALUES ('2953987050', 'B01243EA', 'object/tangible/dungeon/death_watch_bunker/shared_door_control_terminal.iff');
INSERT INTO `object_crc_string_table` VALUES ('707354619', '2A295FFB', 'object/tangible/dungeon/death_watch_bunker/shared_drill_battery.iff');
INSERT INTO `object_crc_string_table` VALUES ('1573354578', '5DC77C52', 'object/tangible/dungeon/death_watch_bunker/shared_drill_battery_clean.iff');
INSERT INTO `object_crc_string_table` VALUES ('474299270', '1C453B86', 'object/tangible/dungeon/death_watch_bunker/shared_enhanced_filter.iff');
INSERT INTO `object_crc_string_table` VALUES ('4268583510', 'FE6D6A56', 'object/tangible/dungeon/death_watch_bunker/shared_filter.iff');
INSERT INTO `object_crc_string_table` VALUES ('3953005946', 'EB9E157A', 'object/tangible/dungeon/death_watch_bunker/shared_filter_dispenser.iff');
INSERT INTO `object_crc_string_table` VALUES ('3707628236', 'DCFDEACC', 'object/tangible/dungeon/death_watch_bunker/shared_gel_packet.iff');
INSERT INTO `object_crc_string_table` VALUES ('1491458500', '58E5D9C4', 'object/tangible/dungeon/death_watch_bunker/shared_invulnerable_debris.iff');
INSERT INTO `object_crc_string_table` VALUES ('2015489022', '7821EBFE', 'object/tangible/dungeon/death_watch_bunker/shared_passkey_hall.iff');
INSERT INTO `object_crc_string_table` VALUES ('72046646', '44B5836', 'object/tangible/dungeon/death_watch_bunker/shared_passkey_mine.iff');
INSERT INTO `object_crc_string_table` VALUES ('2522380231', '965877C7', 'object/tangible/dungeon/death_watch_bunker/shared_passkey_storage.iff');
INSERT INTO `object_crc_string_table` VALUES ('4007608473', 'EEDF4099', 'object/tangible/dungeon/death_watch_bunker/shared_workbench.iff');
INSERT INTO `object_crc_string_table` VALUES ('1546847010', '5C330322', 'object/tangible/dungeon/shared_cave_stalagmite_ice_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2171896668', '8174835C', 'object/tangible/dungeon/shared_chemical_storage.iff');
INSERT INTO `object_crc_string_table` VALUES ('1342811705', '5009AE39', 'object/tangible/dungeon/shared_coal_bin_container.iff');
INSERT INTO `object_crc_string_table` VALUES ('1483156059', '58672A5B', 'object/tangible/dungeon/shared_computer_desktop.iff');
INSERT INTO `object_crc_string_table` VALUES ('2299324292', '890CE784', 'object/tangible/dungeon/shared_computer_mainframe.iff');
INSERT INTO `object_crc_string_table` VALUES ('3106365328', 'B9275F90', 'object/tangible/dungeon/shared_droid_maint_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('307119363', '124E4503', 'object/tangible/dungeon/shared_keypad_terminal.iff');
INSERT INTO `object_crc_string_table` VALUES ('1380579021', '5249F6CD', 'object/tangible/dungeon/shared_poison_gas_cloud.iff');
INSERT INTO `object_crc_string_table` VALUES ('2249389472', '8612F5A0', 'object/tangible/dungeon/shared_poison_stabilizer.iff');
INSERT INTO `object_crc_string_table` VALUES ('2707720646', 'A16489C6', 'object/tangible/dungeon/shared_terminal_free_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1529401041', '5B28CED1', 'object/tangible/dungeon/shared_trash_container.iff');
INSERT INTO `object_crc_string_table` VALUES ('4069617127', 'F2916DE7', 'object/tangible/dungeon/shared_wall_terminal_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('696698224', '2986C570', 'object/tangible/dungeon/shared_wall_terminal_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1619763965', '608BA2FD', 'object/tangible/dungeon/shared_wall_terminal_s3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2607319529', '9B6889E9', 'object/tangible/dungeon/shared_wall_terminal_s4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2852692407', 'AA08A1B7', 'object/tangible/encoded_disk/shared_dead_eye_decoder.iff');
INSERT INTO `object_crc_string_table` VALUES ('1811104039', '6BF34127', 'object/tangible/encoded_disk/shared_encoded_disk_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3642693212', 'D91F165C', 'object/tangible/encoded_disk/shared_message_assembled_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('378623221', '169154F5', 'object/tangible/encoded_disk/shared_message_fragment_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1696219911', '651A4307', 'object/tangible/firework/base/shared_firework_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('4158245667', 'F7D9CB23', 'object/tangible/firework/shared_default.iff');
INSERT INTO `object_crc_string_table` VALUES ('3899934399', 'E87446BF', 'object/tangible/firework/shared_firework_five.iff');
INSERT INTO `object_crc_string_table` VALUES ('437197310', '1A0F19FE', 'object/tangible/firework/shared_firework_four.iff');
INSERT INTO `object_crc_string_table` VALUES ('4192390072', 'F9E2CBB8', 'object/tangible/firework/shared_firework_one.iff');
INSERT INTO `object_crc_string_table` VALUES ('363719141', '15ADE9E5', 'object/tangible/firework/shared_firework_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3468312946', 'CEBA4172', 'object/tangible/firework/shared_firework_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2276927231', '87B726FF', 'object/tangible/firework/shared_firework_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2085883371', '7C540DEB', 'object/tangible/firework/shared_firework_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('895052390', '35596A66', 'object/tangible/firework/shared_firework_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1200128784', '47888310', 'object/tangible/firework/shared_firework_s10.iff');
INSERT INTO `object_crc_string_table` VALUES ('243655837', 'E85E49D', 'object/tangible/firework/shared_firework_s11.iff');
INSERT INTO `object_crc_string_table` VALUES ('107054102', '6618416', 'object/tangible/firework/shared_firework_s18.iff');
INSERT INTO `object_crc_string_table` VALUES ('1356885356', '50E06D6C', 'object/tangible/firework/shared_firework_three.iff');
INSERT INTO `object_crc_string_table` VALUES ('445291314', '1A8A9B32', 'object/tangible/firework/shared_firework_two.iff');
INSERT INTO `object_crc_string_table` VALUES ('4211144857', 'FB00F899', 'object/tangible/firework/shared_show.iff');
INSERT INTO `object_crc_string_table` VALUES ('2699059676', 'A0E061DC', 'object/tangible/firework/shared_test.iff');
INSERT INTO `object_crc_string_table` VALUES ('3482306960', 'CF8FC990', 'object/tangible/fishing/bait/base/shared_bait_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1907354318', '71AFEACE', 'object/tangible/fishing/bait/shared_bait_chum.iff');
INSERT INTO `object_crc_string_table` VALUES ('2852582475', 'AA06F44B', 'object/tangible/fishing/bait/shared_bait_grub.iff');
INSERT INTO `object_crc_string_table` VALUES ('574609963', '223FDA2B', 'object/tangible/fishing/bait/shared_bait_insect.iff');
INSERT INTO `object_crc_string_table` VALUES ('529269810', '1F8C0432', 'object/tangible/fishing/bait/shared_bait_worm.iff');
INSERT INTO `object_crc_string_table` VALUES ('3666883788', 'DA9034CC', 'object/tangible/fishing/fish/base/shared_fish_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('408623623', '185B1A07', 'object/tangible/fishing/fish/shared_blackfish.iff');
INSERT INTO `object_crc_string_table` VALUES ('2010790033', '77DA3891', 'object/tangible/fishing/fish/shared_blowfish.iff');
INSERT INTO `object_crc_string_table` VALUES ('2990319970', 'B23CA962', 'object/tangible/fishing/fish/shared_bluefish.iff');
INSERT INTO `object_crc_string_table` VALUES ('2004254750', '7776801E', 'object/tangible/fishing/fish/shared_faa.iff');
INSERT INTO `object_crc_string_table` VALUES ('1061978988', '3F4C836C', 'object/tangible/fishing/fish/shared_fish_generic.iff');
INSERT INTO `object_crc_string_table` VALUES ('2598448090', '9AE12BDA', 'object/tangible/fishing/fish/shared_laa.iff');
INSERT INTO `object_crc_string_table` VALUES ('1789117227', '6AA3C32B', 'object/tangible/fishing/fish/shared_ray.iff');
INSERT INTO `object_crc_string_table` VALUES ('2919980156', 'AE0B5C7C', 'object/tangible/fishing/fish/shared_striped.iff');
INSERT INTO `object_crc_string_table` VALUES ('1813029717', '6C10A355', 'object/tangible/fishing/shared_fishing_pole.iff');
INSERT INTO `object_crc_string_table` VALUES ('1763394438', '691B4386', 'object/tangible/fishing/shared_marker.iff');
INSERT INTO `object_crc_string_table` VALUES ('1084993175', '40ABAE97', 'object/tangible/fishing/shared_splash.iff');
INSERT INTO `object_crc_string_table` VALUES ('57637204', '36F7954', 'object/tangible/food/base/shared_alcoholic_drink_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3304775743', 'C4FAE03F', 'object/tangible/food/base/shared_base_crafted_food.iff');
INSERT INTO `object_crc_string_table` VALUES ('3228094758', 'C068D126', 'object/tangible/food/base/shared_base_food.iff');
INSERT INTO `object_crc_string_table` VALUES ('314474339', '12BE7F63', 'object/tangible/food/base/shared_desert_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3988054565', 'EDB4E225', 'object/tangible/food/base/shared_dish_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('224626249', 'D638649', 'object/tangible/food/base/shared_drink_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('549891041', '20C6ABE1', 'object/tangible/food/base/shared_meal_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('407188941', '184535CD', 'object/tangible/food/base/shared_meat_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('666169127', '27B4EF27', 'object/tangible/food/base/shared_side_dish_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2342861658', '8BA53B5A', 'object/tangible/food/base/shared_veggie_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('4284585922', 'FF6197C2', 'object/tangible/food/crafted/additive/shared_additive_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2284977295', '8831FC8F', 'object/tangible/food/crafted/additive/shared_additive_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('1231667281', '4969C051', 'object/tangible/food/crafted/additive/shared_additive_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('282579048', '10D7D068', 'object/tangible/food/crafted/additive/shared_additive_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('4020591662', 'EFA55C2E', 'object/tangible/food/crafted/shared_dessert_air_cake.iff');
INSERT INTO `object_crc_string_table` VALUES ('2785624477', 'A609419D', 'object/tangible/food/crafted/shared_dessert_almond_kwevvu_crisp_munchies.iff');
INSERT INTO `object_crc_string_table` VALUES ('1764032352', '6924FF60', 'object/tangible/food/crafted/shared_dessert_bantha_butter.iff');
INSERT INTO `object_crc_string_table` VALUES ('834290076', '31BA419C', 'object/tangible/food/crafted/shared_dessert_blap_biscuit.iff');
INSERT INTO `object_crc_string_table` VALUES ('254187661', 'F26988D', 'object/tangible/food/crafted/shared_dessert_blob_candy.iff');
INSERT INTO `object_crc_string_table` VALUES ('2010692823', '77D8BCD7', 'object/tangible/food/crafted/shared_dessert_bofa_treat.iff');
INSERT INTO `object_crc_string_table` VALUES ('1999279141', '772A9425', 'object/tangible/food/crafted/shared_dessert_cavaellin_creams.iff');
INSERT INTO `object_crc_string_table` VALUES ('3279557459', 'C37A1353', 'object/tangible/food/crafted/shared_dessert_chandad.iff');
INSERT INTO `object_crc_string_table` VALUES ('4084605779', 'F3762353', 'object/tangible/food/crafted/shared_dessert_citros_snow_cake.iff');
INSERT INTO `object_crc_string_table` VALUES ('998986934', '3B8B54B6', 'object/tangible/food/crafted/shared_dessert_corellian_fried_icecream.iff');
INSERT INTO `object_crc_string_table` VALUES ('2123466191', '7E9185CF', 'object/tangible/food/crafted/shared_dessert_deneelian_fizz_pudding.iff');
INSERT INTO `object_crc_string_table` VALUES ('1922269771', '7293824B', 'object/tangible/food/crafted/shared_dessert_dweezel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1695031231', '65081FBF', 'object/tangible/food/crafted/shared_dessert_felbar.iff');
INSERT INTO `object_crc_string_table` VALUES ('2513718406', '95D44C86', 'object/tangible/food/crafted/shared_dessert_glazed_glucose_pate.iff');
INSERT INTO `object_crc_string_table` VALUES ('1661429797', '63076825', 'object/tangible/food/crafted/shared_dessert_gorrnar.iff');
INSERT INTO `object_crc_string_table` VALUES ('1507202736', '59D616B0', 'object/tangible/food/crafted/shared_dessert_kiwik_clusjo_swirl.iff');
INSERT INTO `object_crc_string_table` VALUES ('151593405', '90921BD', 'object/tangible/food/crafted/shared_dessert_nanana_twist.iff');
INSERT INTO `object_crc_string_table` VALUES ('3718080232', 'DD9D66E8', 'object/tangible/food/crafted/shared_dessert_para_roll.iff');
INSERT INTO `object_crc_string_table` VALUES ('3299488351', 'C4AA325F', 'object/tangible/food/crafted/shared_dessert_parwan_nutricake.iff');
INSERT INTO `object_crc_string_table` VALUES ('3214438726', 'BF987146', 'object/tangible/food/crafted/shared_dessert_pastebread.iff');
INSERT INTO `object_crc_string_table` VALUES ('443057003', '1A68836B', 'object/tangible/food/crafted/shared_dessert_pikatta_pie.iff');
INSERT INTO `object_crc_string_table` VALUES ('128351778', '7A67E22', 'object/tangible/food/crafted/shared_dessert_pkneb.iff');
INSERT INTO `object_crc_string_table` VALUES ('2099760655', '7D27CE0F', 'object/tangible/food/crafted/shared_dessert_puffcake.iff');
INSERT INTO `object_crc_string_table` VALUES ('2379589648', '8DD5A810', 'object/tangible/food/crafted/shared_dessert_pyollian_cake.iff');
INSERT INTO `object_crc_string_table` VALUES ('1800464858', '6B50E9DA', 'object/tangible/food/crafted/shared_dessert_ryshcate.iff');
INSERT INTO `object_crc_string_table` VALUES ('921981708', '36F4530C', 'object/tangible/food/crafted/shared_dessert_smugglers_delight.iff');
INSERT INTO `object_crc_string_table` VALUES ('3216510743', 'BFB80F17', 'object/tangible/food/crafted/shared_dessert_sweesonberry_rolls.iff');
INSERT INTO `object_crc_string_table` VALUES ('1272384230', '4BD70AE6', 'object/tangible/food/crafted/shared_dessert_sweet_cake_mix.iff');
INSERT INTO `object_crc_string_table` VALUES ('1498097624', '594B27D8', 'object/tangible/food/crafted/shared_dessert_tranna_nougat_cream.iff');
INSERT INTO `object_crc_string_table` VALUES ('2118223714', '7E418762', 'object/tangible/food/crafted/shared_dessert_vagnerian_canape.iff');
INSERT INTO `object_crc_string_table` VALUES ('3493029754', 'D033677A', 'object/tangible/food/crafted/shared_dessert_wedding_cake.iff');
INSERT INTO `object_crc_string_table` VALUES ('2478713849', '93BE2BF9', 'object/tangible/food/crafted/shared_dessert_won_won.iff');
INSERT INTO `object_crc_string_table` VALUES ('407534571', '184A7BEB', 'object/tangible/food/crafted/shared_dish_ahrisa.iff');
INSERT INTO `object_crc_string_table` VALUES ('166570214', '9EDA8E6', 'object/tangible/food/crafted/shared_dish_bivoli_tempari.iff');
INSERT INTO `object_crc_string_table` VALUES ('3058470690', 'B64C8F22', 'object/tangible/food/crafted/shared_dish_blood_chowder.iff');
INSERT INTO `object_crc_string_table` VALUES ('1863318524', '6F0FFBFC', 'object/tangible/food/crafted/shared_dish_braised_canron.iff');
INSERT INTO `object_crc_string_table` VALUES ('2528298667', '96B2C6AB', 'object/tangible/food/crafted/shared_dish_cho_nor_hoola.iff');
INSERT INTO `object_crc_string_table` VALUES ('1201766714', '47A1813A', 'object/tangible/food/crafted/shared_dish_crispic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3723091380', 'DDE9DDB4', 'object/tangible/food/crafted/shared_dish_dustcrepe.iff');
INSERT INTO `object_crc_string_table` VALUES ('2915488362', 'ADC6D26A', 'object/tangible/food/crafted/shared_dish_exo_protein_wafers.iff');
INSERT INTO `object_crc_string_table` VALUES ('1075172541', '4015D4BD', 'object/tangible/food/crafted/shared_dish_fire_stew.iff');
INSERT INTO `object_crc_string_table` VALUES ('509609425', '1E6005D1', 'object/tangible/food/crafted/shared_dish_fried_endwa.iff');
INSERT INTO `object_crc_string_table` VALUES ('3655863733', 'D9E80DB5', 'object/tangible/food/crafted/shared_dish_gruuvan_shaal.iff');
INSERT INTO `object_crc_string_table` VALUES ('3540915880', 'D30E16A8', 'object/tangible/food/crafted/shared_dish_havla.iff');
INSERT INTO `object_crc_string_table` VALUES ('2212622551', '83E1F0D7', 'object/tangible/food/crafted/shared_dish_kanali_wafers.iff');
INSERT INTO `object_crc_string_table` VALUES ('3901856789', 'E8919C15', 'object/tangible/food/crafted/shared_dish_karkan_ribenes.iff');
INSERT INTO `object_crc_string_table` VALUES ('2825035524', 'A8629F04', 'object/tangible/food/crafted/shared_dish_meatlump.iff');
INSERT INTO `object_crc_string_table` VALUES ('2722923063', 'A24C8237', 'object/tangible/food/crafted/shared_dish_ormachek.iff');
INSERT INTO `object_crc_string_table` VALUES ('191716043', 'B6D5ACB', 'object/tangible/food/crafted/shared_dish_patot_panak.iff');
INSERT INTO `object_crc_string_table` VALUES ('2558957614', '9886982E', 'object/tangible/food/crafted/shared_dish_protato.iff');
INSERT INTO `object_crc_string_table` VALUES ('2037089871', '796B864F', 'object/tangible/food/crafted/shared_dish_puk.iff');
INSERT INTO `object_crc_string_table` VALUES ('1023909182', '3D079D3E', 'object/tangible/food/crafted/shared_dish_rakririan_burnout_sauce.iff');
INSERT INTO `object_crc_string_table` VALUES ('1904202530', '717FD322', 'object/tangible/food/crafted/shared_dish_ramorrean_capanata.iff');
INSERT INTO `object_crc_string_table` VALUES ('1720551551', '668D887F', 'object/tangible/food/crafted/shared_dish_rations.iff');
INSERT INTO `object_crc_string_table` VALUES ('1144916999', '443E0C07', 'object/tangible/food/crafted/shared_dish_scrimpi.iff');
INSERT INTO `object_crc_string_table` VALUES ('4017404858', 'EF74BBBA', 'object/tangible/food/crafted/shared_dish_soypro.iff');
INSERT INTO `object_crc_string_table` VALUES ('356304761', '153CC779', 'object/tangible/food/crafted/shared_dish_stewed_gwouch.iff');
INSERT INTO `object_crc_string_table` VALUES ('513761366', '1E9F6056', 'object/tangible/food/crafted/shared_dish_synthsteak.iff');
INSERT INTO `object_crc_string_table` VALUES ('601858027', '23DF9FEB', 'object/tangible/food/crafted/shared_dish_teltier_noodles.iff');
INSERT INTO `object_crc_string_table` VALUES ('1953777354', '747446CA', 'object/tangible/food/crafted/shared_dish_terratta.iff');
INSERT INTO `object_crc_string_table` VALUES ('2182149536', '8210F5A0', 'object/tangible/food/crafted/shared_dish_thakitillo.iff');
INSERT INTO `object_crc_string_table` VALUES ('2831837498', 'A8CA693A', 'object/tangible/food/crafted/shared_dish_travel_biscuits.iff');
INSERT INTO `object_crc_string_table` VALUES ('2709111425', 'A179C281', 'object/tangible/food/crafted/shared_dish_trimpian.iff');
INSERT INTO `object_crc_string_table` VALUES ('2526756449', '969B3E61', 'object/tangible/food/crafted/shared_dish_vegeparsine.iff');
INSERT INTO `object_crc_string_table` VALUES ('37093667', '2360123', 'object/tangible/food/crafted/shared_dish_veghash.iff');
INSERT INTO `object_crc_string_table` VALUES ('3271121360', 'C2F959D0', 'object/tangible/food/crafted/shared_dish_vercupti_of_agazza_boleruuee.iff');
INSERT INTO `object_crc_string_table` VALUES ('2578711144', '99B40268', 'object/tangible/food/crafted/shared_dish_wastril_bread.iff');
INSERT INTO `object_crc_string_table` VALUES ('202720794', 'C15461A', 'object/tangible/food/crafted/shared_dish_xermaauc.iff');
INSERT INTO `object_crc_string_table` VALUES ('4146017985', 'F71F36C1', 'object/tangible/food/crafted/shared_drink_accarragm.iff');
INSERT INTO `object_crc_string_table` VALUES ('2316612245', '8A14B295', 'object/tangible/food/crafted/shared_drink_aitha.iff');
INSERT INTO `object_crc_string_table` VALUES ('4157864214', 'F7D3F916', 'object/tangible/food/crafted/shared_drink_alcohol.iff');
INSERT INTO `object_crc_string_table` VALUES ('3758052832', 'DFFF55E0', 'object/tangible/food/crafted/shared_drink_aludium_pu36.iff');
INSERT INTO `object_crc_string_table` VALUES ('3229633223', 'C0804AC7', 'object/tangible/food/crafted/shared_drink_angerian_fishak_surprise.iff');
INSERT INTO `object_crc_string_table` VALUES ('2154164402', '8065F0B2', 'object/tangible/food/crafted/shared_drink_antakarian_fire_dancer.iff');
INSERT INTO `object_crc_string_table` VALUES ('2599646659', '9AF375C3', 'object/tangible/food/crafted/shared_drink_bantha_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('1402973041', '539FAB71', 'object/tangible/food/crafted/shared_drink_bespin_port.iff');
INSERT INTO `object_crc_string_table` VALUES ('352131413', '14FD1955', 'object/tangible/food/crafted/shared_drink_blue_milk.iff');
INSERT INTO `object_crc_string_table` VALUES ('2001723418', '774FE01A', 'object/tangible/food/crafted/shared_drink_breath_of_heaven.iff');
INSERT INTO `object_crc_string_table` VALUES ('2701899786', 'A10BB80A', 'object/tangible/food/crafted/shared_drink_caf.iff');
INSERT INTO `object_crc_string_table` VALUES ('406392603', '18390F1B', 'object/tangible/food/crafted/shared_drink_charde.iff');
INSERT INTO `object_crc_string_table` VALUES ('3769443904', 'E0AD2640', 'object/tangible/food/crafted/shared_drink_corellian_ale.iff');
INSERT INTO `object_crc_string_table` VALUES ('2481855553', '93EE1C41', 'object/tangible/food/crafted/shared_drink_corellian_brandy.iff');
INSERT INTO `object_crc_string_table` VALUES ('2737019510', 'A3239A76', 'object/tangible/food/crafted/shared_drink_cortyg.iff');
INSERT INTO `object_crc_string_table` VALUES ('3050569282', 'B5D3FE42', 'object/tangible/food/crafted/shared_drink_deuterium_pyro.iff');
INSERT INTO `object_crc_string_table` VALUES ('2758987936', 'A472D0A0', 'object/tangible/food/crafted/shared_drink_double_dip_outer_rim_rumdrop.iff');
INSERT INTO `object_crc_string_table` VALUES ('2621798949', '9C457A25', 'object/tangible/food/crafted/shared_drink_durindfire.iff');
INSERT INTO `object_crc_string_table` VALUES ('3434180885', 'CCB17115', 'object/tangible/food/crafted/shared_drink_elshandruu_pica_thundercloud.iff');
INSERT INTO `object_crc_string_table` VALUES ('2965669451', 'B0C4864B', 'object/tangible/food/crafted/shared_drink_flameout.iff');
INSERT INTO `object_crc_string_table` VALUES ('3403096201', 'CAD72089', 'object/tangible/food/crafted/shared_drink_garrmorl.iff');
INSERT INTO `object_crc_string_table` VALUES ('3730504288', 'DE5AFA60', 'object/tangible/food/crafted/shared_drink_gralinyn_juice.iff');
INSERT INTO `object_crc_string_table` VALUES ('4204858859', 'FAA10DEB', 'object/tangible/food/crafted/shared_drink_ice_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('1406762352', '53D97D70', 'object/tangible/food/crafted/shared_drink_ithorian_mist.iff');
INSERT INTO `object_crc_string_table` VALUES ('355298575', '152D6D0F', 'object/tangible/food/crafted/shared_drink_jaar.iff');
INSERT INTO `object_crc_string_table` VALUES ('3314105882', 'C5893E1A', 'object/tangible/food/crafted/shared_drink_jawa_beer.iff');
INSERT INTO `object_crc_string_table` VALUES ('3748723548', 'DF70FB5C', 'object/tangible/food/crafted/shared_drink_kylessian_fruit_distillate.iff');
INSERT INTO `object_crc_string_table` VALUES ('475983499', '1C5EEE8B', 'object/tangible/food/crafted/shared_drink_mandalorian_wine.iff');
INSERT INTO `object_crc_string_table` VALUES ('4051771038', 'F1811E9E', 'object/tangible/food/crafted/shared_drink_ruby_bliel.iff');
INSERT INTO `object_crc_string_table` VALUES ('3068541916', 'B6E63BDC', 'object/tangible/food/crafted/shared_drink_skannbult_likker.iff');
INSERT INTO `object_crc_string_table` VALUES ('3551363941', 'D3AD8365', 'object/tangible/food/crafted/shared_drink_spiced_tea.iff');
INSERT INTO `object_crc_string_table` VALUES ('789489529', '2F0EA779', 'object/tangible/food/crafted/shared_drink_starshine_surprise.iff');
INSERT INTO `object_crc_string_table` VALUES ('2478328705', '93B84B81', 'object/tangible/food/crafted/shared_drink_sullustan_gin.iff');
INSERT INTO `object_crc_string_table` VALUES ('1008892971', '3C227C2B', 'object/tangible/food/crafted/shared_drink_tatooine_sunburn.iff');
INSERT INTO `object_crc_string_table` VALUES ('2374587508', '8D895474', 'object/tangible/food/crafted/shared_drink_tilla_tiil.iff');
INSERT INTO `object_crc_string_table` VALUES ('721473598', '2B00D03E', 'object/tangible/food/crafted/shared_drink_tssolok.iff');
INSERT INTO `object_crc_string_table` VALUES ('780459444', '2E84DDB4', 'object/tangible/food/crafted/shared_drink_vasarian_brandy.iff');
INSERT INTO `object_crc_string_table` VALUES ('4128399839', 'F61261DF', 'object/tangible/food/crafted/shared_drink_vayerbok.iff');
INSERT INTO `object_crc_string_table` VALUES ('4052111265', 'F1864FA1', 'object/tangible/food/crafted/shared_drink_veronian_berry_wine.iff');
INSERT INTO `object_crc_string_table` VALUES ('2415963091', '9000ABD3', 'object/tangible/food/creature_bio_effects/shared_bio_kliknik_fortitude_boost.iff');
INSERT INTO `object_crc_string_table` VALUES ('1615742669', '604E46CD', 'object/tangible/food/creature_bio_effects/shared_bio_kwi_adrenal_boost.iff');
INSERT INTO `object_crc_string_table` VALUES ('1405655823', '53C89B0F', 'object/tangible/food/foraged/shared_edible_jar_berries.iff');
INSERT INTO `object_crc_string_table` VALUES ('2220813342', '845EEC1E', 'object/tangible/food/foraged/shared_edible_jar_bugs.iff');
INSERT INTO `object_crc_string_table` VALUES ('404667969', '181EBE41', 'object/tangible/food/foraged/shared_edible_jar_fungus.iff');
INSERT INTO `object_crc_string_table` VALUES ('3997953331', 'EE4BED33', 'object/tangible/food/foraged/shared_edible_jar_funk.iff');
INSERT INTO `object_crc_string_table` VALUES ('4279994826', 'FF1B89CA', 'object/tangible/food/foraged/shared_edible_jar_livers.iff');
INSERT INTO `object_crc_string_table` VALUES ('1125771498', '4319E8EA', 'object/tangible/food/foraged/shared_foraged_fruit_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2551070845', '980E407D', 'object/tangible/food/foraged/shared_foraged_fruit_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3506644976', 'D10327F0', 'object/tangible/food/foraged/shared_foraged_fruit_s3.iff');
INSERT INTO `object_crc_string_table` VALUES ('719326436', '2AE00CE4', 'object/tangible/food/foraged/shared_foraged_fruit_s4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1676503913', '63ED6B69', 'object/tangible/food/foraged/shared_foraged_fruit_s5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2375994584', '8D9ECCD8', 'object/tangible/food/foraged/shared_foraged_vegetable_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3298011989', 'C493AB55', 'object/tangible/food/foraged/shared_foraged_vegetable_s3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1064337473', '3F708041', 'object/tangible/food/foraged/shared_foraged_vegetable_s4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1987962828', '767DE7CC', 'object/tangible/food/foraged/shared_foraged_vegetable_s5.iff');
INSERT INTO `object_crc_string_table` VALUES ('636907490', '25F66FE2', 'object/tangible/food/shared_bread_loaf_full_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1805453686', '6B9D0976', 'object/tangible/food/shared_fruit_melon.iff');
INSERT INTO `object_crc_string_table` VALUES ('1607939967', '5FD7377F', 'object/tangible/food/shared_meat_kabob.iff');
INSERT INTO `object_crc_string_table` VALUES ('1002178660', '3BBC0864', 'object/tangible/food/shared_meat_object.iff');
INSERT INTO `object_crc_string_table` VALUES ('2221635461', '846B7785', 'object/tangible/food/shared_nectar.iff');
INSERT INTO `object_crc_string_table` VALUES ('2073269551', '7B93952F', 'object/tangible/food/spice/shared_spice_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2516008025', '95F73C59', 'object/tangible/food/spice/shared_spice_booster_blue.iff');
INSERT INTO `object_crc_string_table` VALUES ('96283804', '5BD2C9C', 'object/tangible/food/spice/shared_spice_crash_n_burn.iff');
INSERT INTO `object_crc_string_table` VALUES ('1700944368', '656259F0', 'object/tangible/food/spice/shared_spice_droid_lube.iff');
INSERT INTO `object_crc_string_table` VALUES ('1878192398', '6FF2F10E', 'object/tangible/food/spice/shared_spice_giggledust.iff');
INSERT INTO `object_crc_string_table` VALUES ('4012257661', 'EF26317D', 'object/tangible/food/spice/shared_spice_grey_gabaki.iff');
INSERT INTO `object_crc_string_table` VALUES ('3162646760', 'BC8228E8', 'object/tangible/food/spice/shared_spice_gunjack.iff');
INSERT INTO `object_crc_string_table` VALUES ('2365942016', '8D056900', 'object/tangible/food/spice/shared_spice_kliknik_boost.iff');
INSERT INTO `object_crc_string_table` VALUES ('3381348892', 'C98B4A1C', 'object/tangible/food/spice/shared_spice_kwi_boost.iff');
INSERT INTO `object_crc_string_table` VALUES ('3112742541', 'B988AE8D', 'object/tangible/food/spice/shared_spice_muon_gold.iff');
INSERT INTO `object_crc_string_table` VALUES ('3750021953', 'DF84CB41', 'object/tangible/food/spice/shared_spice_neutron_pixey.iff');
INSERT INTO `object_crc_string_table` VALUES ('1073230239', '3FF8319F', 'object/tangible/food/spice/shared_spice_pyrepenol.iff');
INSERT INTO `object_crc_string_table` VALUES ('3992242678', 'EDF4C9F6', 'object/tangible/food/spice/shared_spice_scramjet.iff');
INSERT INTO `object_crc_string_table` VALUES ('4072023421', 'F2B6257D', 'object/tangible/food/spice/shared_spice_sedative_h4b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2778111395', 'A5969DA3', 'object/tangible/food/spice/shared_spice_shadowpaw.iff');
INSERT INTO `object_crc_string_table` VALUES ('1182200956', '4676F47C', 'object/tangible/food/spice/shared_spice_sweetblossom.iff');
INSERT INTO `object_crc_string_table` VALUES ('732545867', '2BA9C34B', 'object/tangible/food/spice/shared_spice_thruster_head.iff');
INSERT INTO `object_crc_string_table` VALUES ('194250139', 'B94059B', 'object/tangible/food/spice/shared_spice_yarrock.iff');
INSERT INTO `object_crc_string_table` VALUES ('1531961782', '5B4FE1B6', 'object/tangible/furniture/all/shared_bestine_quest_imp_banner.iff');
INSERT INTO `object_crc_string_table` VALUES ('382776042', '16D0B2EA', 'object/tangible/furniture/all/shared_bestine_quest_statue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3069965117', 'B6FBF33D', 'object/tangible/furniture/all/shared_event_flag_game_imp_banner.iff');
INSERT INTO `object_crc_string_table` VALUES ('1888446421', '708F67D5', 'object/tangible/furniture/all/shared_event_flag_game_neut_banner.iff');
INSERT INTO `object_crc_string_table` VALUES ('255943061', 'F416195', 'object/tangible/furniture/all/shared_event_flag_game_reb_banner.iff');
INSERT INTO `object_crc_string_table` VALUES ('1081367784', '40745CE8', 'object/tangible/furniture/all/shared_frn_all_banner_rebel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2766782450', 'A4E9BFF2', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2147358565', '7FFE1765', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2258677740', '86A0AFEC', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1572276091', '5DB7077B', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3227489016', 'C05F92F8', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('457718383', '1B483A6F', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('481905908', '1CB94CF4', 'object/tangible/furniture/all/shared_frn_all_chair_meatal_wheeled_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1199580943', '4780270F', 'object/tangible/furniture/all/shared_frn_all_chair_metal_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1014994447', '3C7F960F', 'object/tangible/furniture/all/shared_frn_all_chair_recliner_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3584752217', 'D5AAFA59', 'object/tangible/furniture/all/shared_frn_all_chair_upholstered_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('521624148', '1F175A54', 'object/tangible/furniture/all/shared_frn_all_chair_wooden_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3288396483', 'C400F2C3', 'object/tangible/furniture/all/shared_frn_all_chair_wooden_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1808903036', '6BD1AB7C', 'object/tangible/furniture/all/shared_frn_all_command_console.iff');
INSERT INTO `object_crc_string_table` VALUES ('1193418540', '47221F2C', 'object/tangible/furniture/all/shared_frn_all_couch_divan_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2092553247', '7CB9D41F', 'object/tangible/furniture/all/shared_frn_all_couch_futon_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1042763570', '3E274F32', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3845187493', 'E530E7A5', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2658048255', '9E6E98FF', 'object/tangible/furniture/all/shared_frn_all_couch_love_seat_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1165570152', '45793068', 'object/tangible/furniture/all/shared_frn_all_couch_love_seat_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1218810982', '48A59466', 'object/tangible/furniture/all/shared_frn_all_couch_ottoman_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('476995372', '1C6E5F2C', 'object/tangible/furniture/all/shared_frn_all_couch_sm_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2558376117', '987DB8B5', 'object/tangible/furniture/all/shared_frn_all_data_terminal_free_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1131024418', '436A1022', 'object/tangible/furniture/all/shared_frn_all_data_terminal_free_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2588623479', '9A4B4277', 'object/tangible/furniture/all/shared_frn_all_data_terminal_wall_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1096608480', '415CEAE0', 'object/tangible/furniture/all/shared_frn_all_data_terminal_wall_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('139562349', '8518D6D', 'object/tangible/furniture/all/shared_frn_all_data_terminal_wall_s3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3436169521', 'CCCFC931', 'object/tangible/furniture/all/shared_frn_all_decorative_lg_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('400056742', '17D861A6', 'object/tangible/furniture/all/shared_frn_all_decorative_lg_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4001814831', 'EE86D92F', 'object/tangible/furniture/all/shared_frn_all_decorative_sm_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('898724280', '359171B8', 'object/tangible/furniture/all/shared_frn_all_decorative_sm_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2090604085', '7C9C1635', 'object/tangible/furniture/all/shared_frn_all_decorative_sm_s3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2273262881', '877F3D21', 'object/tangible/furniture/all/shared_frn_all_decorative_sm_s4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2805336181', 'A7360875', 'object/tangible/furniture/all/shared_frn_all_desk_map_table.iff');
INSERT INTO `object_crc_string_table` VALUES ('1189355734', '46E420D6', 'object/tangible/furniture/all/shared_frn_all_desk_map_table_insert.iff');
INSERT INTO `object_crc_string_table` VALUES ('3848687606', 'E5664FF6', 'object/tangible/furniture/all/shared_frn_all_desk_radar_topology_screen.iff');
INSERT INTO `object_crc_string_table` VALUES ('1694461731', '64FF6F23', 'object/tangible/furniture/all/shared_frn_all_gaming_kiosk_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2800172243', 'A6E73CD3', 'object/tangible/furniture/all/shared_frn_all_jedi_council_seat.iff');
INSERT INTO `object_crc_string_table` VALUES ('3521956956', 'D1ECCC5C', 'object/tangible/furniture/all/shared_frn_all_lamp_candlestick_free_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3324544895', 'C628877F', 'object/tangible/furniture/all/shared_frn_all_lamp_candlestick_free_s01_lit.iff');
INSERT INTO `object_crc_string_table` VALUES ('184247499', 'AFB64CB', 'object/tangible/furniture/all/shared_frn_all_lamp_candlestick_free_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3571999842', 'D4E86462', 'object/tangible/furniture/all/shared_frn_all_lamp_candlestick_free_s02_lit.iff');
INSERT INTO `object_crc_string_table` VALUES ('4181620046', 'F93E754E', 'object/tangible/furniture/all/shared_frn_all_lamp_candlestick_tbl_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('573169113', '2229DDD9', 'object/tangible/furniture/all/shared_frn_all_lamp_candlestick_tbl_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1797569108', '6B24BA54', 'object/tangible/furniture/all/shared_frn_all_lamp_candlestick_tbl_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2360472234', '8CB1F2AA', 'object/tangible/furniture/all/shared_frn_all_lamp_desk_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('382797400', '16D10658', 'object/tangible/furniture/all/shared_frn_all_lamp_desk_s01_lit.iff');
INSERT INTO `object_crc_string_table` VALUES ('1470519869', '57A65A3D', 'object/tangible/furniture/all/shared_frn_all_lamp_desk_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('68281669', '411E545', 'object/tangible/furniture/all/shared_frn_all_lamp_desk_s02_lit.iff');
INSERT INTO `object_crc_string_table` VALUES ('1325371987', '4EFF9253', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1805089359', '6B977A4F', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s01_lit.iff');
INSERT INTO `object_crc_string_table` VALUES ('2515024580', '95E83AC4', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2035784018', '79579952', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s02_lit.iff');
INSERT INTO `object_crc_string_table` VALUES ('3706019145', 'DCE55D49', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2337747764', '8B573334', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s03_lit.iff');
INSERT INTO `object_crc_string_table` VALUES ('654734941', '2706765D', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1557553000', '5CD65F68', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s04_lit.iff');
INSERT INTO `object_crc_string_table` VALUES ('2424631679', '9084F17F', 'object/tangible/furniture/all/shared_frn_all_lamp_table_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1267948008', '4B9359E8', 'object/tangible/furniture/all/shared_frn_all_lamp_table_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('43925093', '29E3E65', 'object/tangible/furniture/all/shared_frn_all_lamp_table_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3608725747', 'D718C8F3', 'object/tangible/furniture/all/shared_frn_all_lamp_tatt_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('822321525', '3103A175', 'object/tangible/furniture/all/shared_frn_all_lamp_tatt_s01_lit.iff');
INSERT INTO `object_crc_string_table` VALUES ('4035162080', 'F083AFE0', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('761322007', '2D60DA17', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s01_lit.iff');
INSERT INTO `object_crc_string_table` VALUES ('731121527', '2B940777', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1067464970', '3FA0390A', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s02_lit.iff');
INSERT INTO `object_crc_string_table` VALUES ('1654219002', '629960FA', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3449852780', 'CDA0936C', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s03_lit.iff');
INSERT INTO `object_crc_string_table` VALUES ('4031925830', 'F0524E46', 'object/tangible/furniture/all/shared_frn_all_light_death_watch.iff');
INSERT INTO `object_crc_string_table` VALUES ('1579415490', '5E23F7C2', 'object/tangible/furniture/all/shared_frn_all_light_lamp_candlestick_free_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2234802005', '85345F55', 'object/tangible/furniture/all/shared_frn_all_light_lamp_candlestick_free_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1771349838', '6994A74E', 'object/tangible/furniture/all/shared_frn_all_light_lamp_candlestick_tbl_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2994933721', 'B2830FD9', 'object/tangible/furniture/all/shared_frn_all_light_lamp_candlestick_tbl_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('284598381', '10F6A06D', 'object/tangible/furniture/all/shared_frn_all_light_lamp_candlestick_tbl_s02_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('4220414036', 'FB8E6854', 'object/tangible/furniture/all/shared_frn_all_light_lamp_candlestick_tbl_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2383392501', '8E0FAEF5', 'object/tangible/furniture/all/shared_frn_all_light_lamp_desk_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1427637858', '55180662', 'object/tangible/furniture/all/shared_frn_all_light_lamp_desk_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1279381004', '4C41CE0C', 'object/tangible/furniture/all/shared_frn_all_light_lamp_free_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2539021979', '9756669B', 'object/tangible/furniture/all/shared_frn_all_light_lamp_free_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3730506006', 'DE5B0116', 'object/tangible/furniture/all/shared_frn_all_light_lamp_free_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('632826370', '25B82A02', 'object/tangible/furniture/all/shared_frn_all_light_lamp_free_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('660247825', '275A9511', 'object/tangible/furniture/all/shared_frn_all_light_lamp_table_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4232920454', 'FC4D3D86', 'object/tangible/furniture/all/shared_frn_all_light_lamp_table_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3040893451', 'B5405A0B', 'object/tangible/furniture/all/shared_frn_all_light_lamp_table_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3584464044', 'D5A694AC', 'object/tangible/furniture/all/shared_frn_all_light_lamp_tatt_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2264087913', '86F33D69', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1575261694', '5DE495FE', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('350876275', '14E9F273', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s3.iff');
INSERT INTO `object_crc_string_table` VALUES ('4010465639', 'EF0AD967', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1722056472', '66A47F18', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3182679951', 'BDB3D78F', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4106137602', 'F4BEB002', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('257792790', 'F5D9B16', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1179712667', '4650FC9B', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('4069121058', 'F289DC22', 'object/tangible/furniture/all/shared_frn_all_professor_desk.iff');
INSERT INTO `object_crc_string_table` VALUES ('2466207088', '92FF5570', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1240006119', '49E8FDE7', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('15047274', 'E59A6A', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('4211519870', 'FB06B17E', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2987120371', 'B20BD6F3', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('3131467531', 'BAA6670B', 'object/tangible/furniture/all/shared_frn_all_table_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1639042972', '61B1CF9C', 'object/tangible/furniture/all/shared_frn_all_table_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('683452433', '28BCA811', 'object/tangible/furniture/all/shared_frn_all_table_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('891789876', '3527A234', 'object/tangible/furniture/all/shared_frn_all_technical_console_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3996125859', 'EE300AA3', 'object/tangible/furniture/all/shared_frn_all_technical_console_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('554677542', '210FB526', 'object/tangible/furniture/all/shared_frn_all_throwpillow_med_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4195884465', 'FA181DB1', 'object/tangible/furniture/all/shared_frn_all_throwpillow_med_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3004529212', 'B3157A3C', 'object/tangible/furniture/all/shared_frn_all_throwpillow_med_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3066089836', 'B6C0D16C', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4055857984', 'F1BF7B40', 'object/tangible/furniture/all/shared_frn_all_toolchest_lg_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1035190183', '3DB3BFA7', 'object/tangible/furniture/all/shared_frn_all_toolchest_med_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1995765132', '76F4F58C', 'object/tangible/furniture/all/shared_frn_all_tree_potted_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2917358875', 'ADE35D1B', 'object/tangible/furniture/all/shared_frn_all_tree_potted_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1802643293', '6B72275D', 'object/tangible/furniture/all/shared_frn_bench_generic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3515230028', 'D186274C', 'object/tangible/furniture/base/shared_furniture_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('814787995', '3090AD9B', 'object/tangible/furniture/cheap/shared_armoire_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('536193644', '1FF5AA6C', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1571830128', '5DB03970', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('390371593', '17449909', 'object/tangible/furniture/cheap/shared_chair_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3830949127', 'E457A507', 'object/tangible/furniture/cheap/shared_chest_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3533156957', 'D297B25D', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('760525609', '2D54B329', 'object/tangible/furniture/cheap/shared_couch_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('506885495', '1E367577', 'object/tangible/furniture/cheap/shared_end_table_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('649092668', '26B05E3C', 'object/tangible/furniture/cheap/shared_love_seat_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4151196909', 'F76E3CED', 'object/tangible/furniture/city/shared_city_furniture.iff');
INSERT INTO `object_crc_string_table` VALUES ('2313257856', '89E18380', 'object/tangible/furniture/city/shared_fountain_brazier_round.iff');
INSERT INTO `object_crc_string_table` VALUES ('3003277159', 'B3025F67', 'object/tangible/furniture/city/shared_fountain_brazier_square.iff');
INSERT INTO `object_crc_string_table` VALUES ('2062230985', '7AEB25C9', 'object/tangible/furniture/city/shared_fountain_circle.iff');
INSERT INTO `object_crc_string_table` VALUES ('2289141154', '887185A2', 'object/tangible/furniture/city/shared_fountain_contemplate.iff');
INSERT INTO `object_crc_string_table` VALUES ('891317652', '35206D94', 'object/tangible/furniture/city/shared_fountain_generic.iff');
INSERT INTO `object_crc_string_table` VALUES ('752522067', '2CDA9353', 'object/tangible/furniture/city/shared_fountain_heroic.iff');
INSERT INTO `object_crc_string_table` VALUES ('288593099', '113394CB', 'object/tangible/furniture/city/shared_fountain_rectangle.iff');
INSERT INTO `object_crc_string_table` VALUES ('2297433571', '88F00DE3', 'object/tangible/furniture/city/shared_statue_gungan_head.iff');
INSERT INTO `object_crc_string_table` VALUES ('2790671586', 'A65644E2', 'object/tangible/furniture/city/shared_statue_sentinel_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2101472373', '7D41EC75', 'object/tangible/furniture/city/shared_statue_sentinel_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2953802016', 'B00F7120', 'object/tangible/furniture/city/shared_statue_tatooine_sunball.iff');
INSERT INTO `object_crc_string_table` VALUES ('3005115588', 'B31E6CC4', 'object/tangible/furniture/city/shared_statue_weird_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1745470547', '6809C453', 'object/tangible/furniture/city/shared_statue_weird_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2047185274', '7A05917A', 'object/tangible/furniture/city/shared_streetlamp_large_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2702326253', 'A11239ED', 'object/tangible/furniture/city/shared_streetlamp_large_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('551133960', '20D9A308', 'object/tangible/furniture/city/shared_streetlamp_large_blue_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4224584607', 'FBCE0B9F', 'object/tangible/furniture/city/shared_streetlamp_large_blue_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2531280975', '96E0484F', 'object/tangible/furniture/city/shared_streetlamp_large_green_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1308090584', '4DF7E0D8', 'object/tangible/furniture/city/shared_streetlamp_large_green_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2282086980', '8805E244', 'object/tangible/furniture/city/shared_streetlamp_large_red_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1393707731', '53124AD3', 'object/tangible/furniture/city/shared_streetlamp_large_red_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1764304868', '692927E4', 'object/tangible/furniture/city/shared_streetlamp_med_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2990444403', 'B23E8F73', 'object/tangible/furniture/city/shared_streetlamp_med_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('615766032', '24B3D810', 'object/tangible/furniture/city/shared_streetlamp_med_blue_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4288966791', 'FFA47087', 'object/tangible/furniture/city/shared_streetlamp_med_blue_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4020184723', 'EF9F2693', 'object/tangible/furniture/city/shared_streetlamp_med_green_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('881364484', '34888E04', 'object/tangible/furniture/city/shared_streetlamp_med_green_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1676634834', '63EF6AD2', 'object/tangible/furniture/city/shared_streetlamp_med_red_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3103310405', 'B8F8C245', 'object/tangible/furniture/city/shared_streetlamp_med_red_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('778917674', '2E6D572A', 'object/tangible/furniture/decorative/shared_bacta_tank.iff');
INSERT INTO `object_crc_string_table` VALUES ('1552726710', '5C8CBAB6', 'object/tangible/furniture/decorative/shared_basket_closed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2472176746', '935A6C6A', 'object/tangible/furniture/decorative/shared_bottle_fat.iff');
INSERT INTO `object_crc_string_table` VALUES ('3744745457', 'DF3447F1', 'object/tangible/furniture/decorative/shared_bottle_pear.iff');
INSERT INTO `object_crc_string_table` VALUES ('1391690326', '52F38256', 'object/tangible/furniture/decorative/shared_bottle_tall.iff');
INSERT INTO `object_crc_string_table` VALUES ('3911421124', 'E9238CC4', 'object/tangible/furniture/decorative/shared_bubble_tank.iff');
INSERT INTO `object_crc_string_table` VALUES ('4161463527', 'F80AE4E7', 'object/tangible/furniture/decorative/shared_cafe_chair.iff');
INSERT INTO `object_crc_string_table` VALUES ('2302774503', '89418CE7', 'object/tangible/furniture/decorative/shared_campfire.iff');
INSERT INTO `object_crc_string_table` VALUES ('339149947', '1437047B', 'object/tangible/furniture/decorative/shared_carved_bowl.iff');
INSERT INTO `object_crc_string_table` VALUES ('1081449691', '40759CDB', 'object/tangible/furniture/decorative/shared_corellian_flagpole.iff');
INSERT INTO `object_crc_string_table` VALUES ('2673191290', '9F55A97A', 'object/tangible/furniture/decorative/shared_diagnostic_screen.iff');
INSERT INTO `object_crc_string_table` VALUES ('247713361', 'EC3CE51', 'object/tangible/furniture/decorative/shared_foodcart.iff');
INSERT INTO `object_crc_string_table` VALUES ('2967222212', 'B0DC37C4', 'object/tangible/furniture/decorative/shared_fruit_assorted.iff');
INSERT INTO `object_crc_string_table` VALUES ('3845808441', 'E53A6139', 'object/tangible/furniture/decorative/shared_hanging_planter.iff');
INSERT INTO `object_crc_string_table` VALUES ('2914356187', 'ADB58BDB', 'object/tangible/furniture/decorative/shared_kitchen_utensils.iff');
INSERT INTO `object_crc_string_table` VALUES ('1371805603', '51C417A3', 'object/tangible/furniture/decorative/shared_microphone_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2329132852', '8AD3BF34', 'object/tangible/furniture/decorative/shared_microphone_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3230914916', 'C093D964', 'object/tangible/furniture/decorative/shared_park_bench.iff');
INSERT INTO `object_crc_string_table` VALUES ('3027440534', 'B4731396', 'object/tangible/furniture/decorative/shared_pitcher_full.iff');
INSERT INTO `object_crc_string_table` VALUES ('265330510', 'FD09F4E', 'object/tangible/furniture/decorative/shared_plain_bowl.iff');
INSERT INTO `object_crc_string_table` VALUES ('1276845581', '4C1B1E0D', 'object/tangible/furniture/decorative/shared_portable_stove.iff');
INSERT INTO `object_crc_string_table` VALUES ('3449846247', 'CDA079E7', 'object/tangible/furniture/decorative/shared_professor_desk.iff');
INSERT INTO `object_crc_string_table` VALUES ('1925051927', '72BDF617', 'object/tangible/furniture/decorative/shared_radio.iff');
INSERT INTO `object_crc_string_table` VALUES ('2687763225', 'A0340319', 'object/tangible/furniture/decorative/shared_shisa.iff');
INSERT INTO `object_crc_string_table` VALUES ('3637045167', 'D8C8E7AF', 'object/tangible/furniture/decorative/shared_slave_brazier.iff');
INSERT INTO `object_crc_string_table` VALUES ('584986683', '22DE303B', 'object/tangible/furniture/decorative/shared_spear_rack.iff');
INSERT INTO `object_crc_string_table` VALUES ('1025826272', '3D24DDE0', 'object/tangible/furniture/decorative/shared_streetlamp.iff');
INSERT INTO `object_crc_string_table` VALUES ('3754610369', 'DFCACEC1', 'object/tangible/furniture/decorative/shared_stuffed_fish.iff');
INSERT INTO `object_crc_string_table` VALUES ('92142046', '57DF9DE', 'object/tangible/furniture/decorative/shared_tanning_hide_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3731509577', 'DE6A5149', 'object/tangible/furniture/decorative/shared_tanning_hide_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2550512766', '9805BC7E', 'object/tangible/furniture/decorative/shared_tatooine_tapestry.iff');
INSERT INTO `object_crc_string_table` VALUES ('56090695', '357E047', 'object/tangible/furniture/elegant/shared_armoire_elegant_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1814465035', '6C268A0B', 'object/tangible/furniture/elegant/shared_bookcase_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2940457110', 'AF43D096', 'object/tangible/furniture/elegant/shared_cabinet_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('824180051', '311FFD53', 'object/tangible/furniture/elegant/shared_chair_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3255615837', 'C20CC15D', 'object/tangible/furniture/elegant/shared_chest_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1775305785', '69D10439', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('185587571', 'B0FD773', 'object/tangible/furniture/elegant/shared_couch_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('551627081', '20E12949', 'object/tangible/furniture/elegant/shared_end_table_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('409403906', '18670202', 'object/tangible/furniture/elegant/shared_love_seat_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('396719577', '17A575D9', 'object/tangible/furniture/imperial/shared_bunker_table_giant_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2690468155', 'A05D493B', 'object/tangible/furniture/imperial/shared_data_terminal_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2068505004', '7B4AE1AC', 'object/tangible/furniture/imperial/shared_data_terminal_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('843548193', '32478621', 'object/tangible/furniture/imperial/shared_data_terminal_s3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3383012661', 'C9A4AD35', 'object/tangible/furniture/imperial/shared_data_terminal_s4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1484080816', '587546B0', 'object/tangible/furniture/imperial/shared_table_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3872577518', 'E6D2D7EE', 'object/tangible/furniture/imperial/shared_warren_computer_terminal.iff');
INSERT INTO `object_crc_string_table` VALUES ('2156516600', '8089D4F8', 'object/tangible/furniture/imperial/shared_warren_evidence_terminal_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1537113199', '5B9E7C6F', 'object/tangible/furniture/imperial/shared_warren_evidence_terminal_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('311630818', '12931BE2', 'object/tangible/furniture/imperial/shared_warren_evidence_terminal_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3916443894', 'E97030F6', 'object/tangible/furniture/imperial/shared_warren_evidence_terminal_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1918381408', '72582D60', 'object/tangible/furniture/imperial/shared_warren_experiment_terminal.iff');
INSERT INTO `object_crc_string_table` VALUES ('811537804', '305F158C', 'object/tangible/furniture/imperial/shared_warren_warning_sign.iff');
INSERT INTO `object_crc_string_table` VALUES ('1233088738', '497F70E2', 'object/tangible/furniture/jedi/shared_frn_all_banner_dark.iff');
INSERT INTO `object_crc_string_table` VALUES ('424725094', '1950CA66', 'object/tangible/furniture/jedi/shared_frn_all_banner_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('655797183', '2716ABBF', 'object/tangible/furniture/jedi/shared_frn_all_candlestick.iff');
INSERT INTO `object_crc_string_table` VALUES ('3388059075', 'C9F1ADC3', 'object/tangible/furniture/jedi/shared_frn_all_dark_chair_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('317064532', '12E60554', 'object/tangible/furniture/jedi/shared_frn_all_dark_chair_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3059746437', 'B6600685', 'object/tangible/furniture/jedi/shared_frn_all_dark_throne.iff');
INSERT INTO `object_crc_string_table` VALUES ('3078124404', 'B7787374', 'object/tangible/furniture/jedi/shared_frn_all_light_chair_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1819270115', '6C6FDBE3', 'object/tangible/furniture/jedi/shared_frn_all_light_chair_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4291415310', 'FFC9CD0E', 'object/tangible/furniture/jedi/shared_frn_all_light_throne.iff');
INSERT INTO `object_crc_string_table` VALUES ('4041312926', 'F0E18A9E', 'object/tangible/furniture/jedi/shared_frn_all_table_dark_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('737550857', '2BF62209', 'object/tangible/furniture/jedi/shared_frn_all_table_dark_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1906389046', '71A13036', 'object/tangible/furniture/jedi/shared_frn_all_table_light_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2864093345', 'AAB698A1', 'object/tangible/furniture/jedi/shared_frn_all_table_light_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1825670087', '6CD183C7', 'object/tangible/furniture/modern/shared_armoire_modern_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3231704914', 'C09FE752', 'object/tangible/furniture/modern/shared_bar_counter_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('825953959', '313B0EA7', 'object/tangible/furniture/modern/shared_bar_piece_curve_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3928794672', 'EA2CA630', 'object/tangible/furniture/modern/shared_bar_piece_curve_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('756303151', '2D14452F', 'object/tangible/furniture/modern/shared_bar_piece_straight_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4127452600', 'F603EDB8', 'object/tangible/furniture/modern/shared_bar_piece_straight_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3582039293', 'D58194FD', 'object/tangible/furniture/modern/shared_bestine_quest_rug.iff');
INSERT INTO `object_crc_string_table` VALUES ('947776958', '387DEDBE', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1509992400', '5A00A7D0', 'object/tangible/furniture/modern/shared_cabinet_modern_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1425220436', '54F32354', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3089584009', 'B8274F89', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1875811519', '6FCE9CBF', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3034133544', 'B4D93428', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('997369378', '3B72A622', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3764719285', 'E0650EB5', 'object/tangible/furniture/modern/shared_couch_modern_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3671645095', 'DAD8DBA7', 'object/tangible/furniture/modern/shared_dining_table_modern_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('571124446', '220AAADE', 'object/tangible/furniture/modern/shared_end_table_large_modern_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1014144206', '3C729CCE', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1897101447', '71137887', 'object/tangible/furniture/modern/shared_love_seat_modern_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('698741961', '29A5F4C9', 'object/tangible/furniture/modern/shared_rug_oval_lg_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1443324291', '56076183', 'object/tangible/furniture/modern/shared_rug_oval_m_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3835781381', 'E4A16105', 'object/tangible/furniture/modern/shared_rug_oval_sml_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2938908953', 'AF2C3119', 'object/tangible/furniture/modern/shared_rug_rect_lg_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1950062990', '743B998E', 'object/tangible/furniture/modern/shared_rug_rect_lg_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2115156746', '7E12BB0A', 'object/tangible/furniture/modern/shared_rug_rect_m_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('518921305', '1EEE1C59', 'object/tangible/furniture/modern/shared_rug_rect_sml_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('162987896', '9B6FF78', 'object/tangible/furniture/modern/shared_rug_rnd_lg_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1973381647', '759F6A0F', 'object/tangible/furniture/modern/shared_rug_rnd_m_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1871275749', '6F8966E5', 'object/tangible/furniture/modern/shared_rug_rnd_sml_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1959548191', '74CC551F', 'object/tangible/furniture/modern/shared_rug_sqr_m_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2262472670', '86DA97DE', 'object/tangible/furniture/modern/shared_searchable_desk_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1573732169', '5DCD3F49', 'object/tangible/furniture/modern/shared_searchable_desk_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3001683990', 'B2EA1016', 'object/tangible/furniture/modern/shared_searchable_squill_lair_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4052184792', 'F1876ED8', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1064046324', '3F6C0EF4', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3086235549', 'B7F4379D', 'object/tangible/furniture/plain/shared_plain_armoire_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('203693191', 'C241C87', 'object/tangible/furniture/plain/shared_plain_bookcase_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3671368566', 'DAD4A376', 'object/tangible/furniture/plain/shared_plain_cabinet_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1997607130', '771110DA', 'object/tangible/furniture/plain/shared_plain_chair_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2214735060', '84022CD4', 'object/tangible/furniture/plain/shared_plain_chest_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2056326196', '7A910C34', 'object/tangible/furniture/plain/shared_plain_coffee_table_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1291926266', '4D013AFA', 'object/tangible/furniture/plain/shared_plain_couch_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2396152798', '8ED263DE', 'object/tangible/furniture/plain/shared_plain_end_table_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3058976917', 'B6544895', 'object/tangible/furniture/plain/shared_plain_love_seat_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('408550317', '1859FBAD', 'object/tangible/furniture/shared_furniture_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3326667567', 'C648EB2F', 'object/tangible/furniture/shared_furniture_tatooine_cantina_seat_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2521145726', '9645A17E', 'object/tangible/furniture/space/shared_frn_chair_falcon_passenger_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1297222121', '4D5209E9', 'object/tangible/furniture/space/shared_frn_chair_falcon_passenger_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3613873422', 'D767550E', 'object/tangible/furniture/space/shared_frn_couch_falcon_corner_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('927756693', '374C7195', 'object/tangible/furniture/space/shared_frn_couch_falcon_section_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1908855481', '71C6D2B9', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff');
INSERT INTO `object_crc_string_table` VALUES ('2164191436', '80FEF0CC', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1542019163', '5BE9585B', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3245057821', 'C16BA71D', 'object/tangible/furniture/tatooine/shared_frn_tato_fruit_stand_large_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3779547307', 'E14750AB', 'object/tangible/furniture/tatooine/shared_frn_tato_fruit_stand_small_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3789730782', 'E1E2B3DE', 'object/tangible/furniture/tatooine/shared_frn_tato_meat_rack.iff');
INSERT INTO `object_crc_string_table` VALUES ('507352168', '1E3D9468', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3307879679', 'C52A3CFF', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2351389554', '8C275B72', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('4223928616', 'FBC40928', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2957326043', 'B04536DB', 'object/tangible/furniture/tatooine/shared_frn_tato_vase_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1800576588', '6B529E4C', 'object/tangible/furniture/tatooine/shared_frn_tato_vase_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1910356061', '71DDB85D', 'object/tangible/furniture/tatooine/shared_frn_tatt_cantina_droid_detector.iff');
INSERT INTO `object_crc_string_table` VALUES ('4257932604', 'FDCAE53C', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff');
INSERT INTO `object_crc_string_table` VALUES ('2639715831', '9D56DDF7', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3562781306', 'D45BBA7A', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2174626788', '819E2BE4', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1518961523', '5A898373', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('327476478', '1384E4FE', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2668054876', '9F07495C', 'object/tangible/furniture/technical/shared_armoire_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1097959135', '417186DF', 'object/tangible/furniture/technical/shared_bookcase_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4062698935', 'F227DDB7', 'object/tangible/furniture/technical/shared_cabinet_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('563858030', '219BCA6E', 'object/tangible/furniture/technical/shared_chair_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3532191328', 'D288F660', 'object/tangible/furniture/technical/shared_chest_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2031353243', '7913FD9B', 'object/tangible/furniture/technical/shared_coffee_table_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('462151758', '1B8BE04E', 'object/tangible/furniture/technical/shared_couch_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3724791162', 'DE03CD7A', 'object/tangible/furniture/technical/shared_end_table_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3509750456', 'D1328AB8', 'object/tangible/gambling/base/shared_gambling_station.iff');
INSERT INTO `object_crc_string_table` VALUES ('1978853321', '75F2E7C9', 'object/tangible/gambling/slot/shared_standard.iff');
INSERT INTO `object_crc_string_table` VALUES ('294893544', '1193B7E8', 'object/tangible/gambling/table/shared_table_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2596039133', '9ABC69DD', 'object/tangible/gambling/wheel/shared_roulette.iff');
INSERT INTO `object_crc_string_table` VALUES ('1086540149', '40C34975', 'object/tangible/gem/base/shared_gem_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3742650204', 'DF144F5C', 'object/tangible/gem/shared_armor.iff');
INSERT INTO `object_crc_string_table` VALUES ('3237805620', 'C0FCFE34', 'object/tangible/gem/shared_clothing.iff');
INSERT INTO `object_crc_string_table` VALUES ('330070250', '13AC78EA', 'object/tangible/gem/shared_default.iff');
INSERT INTO `object_crc_string_table` VALUES ('479064205', '1C8DF08D', 'object/tangible/gravestone/shared_gravestone01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3348781082', 'C79A581A', 'object/tangible/gravestone/shared_gravestone02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2392276887', '8E973F97', 'object/tangible/gravestone/shared_gravestone03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1970541699', '75741483', 'object/tangible/gravestone/shared_gravestone04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1014592270', '3C79730E', 'object/tangible/gravestone/shared_gravestone05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1570783223', '5DA03FF7', 'object/tangible/hair/base/shared_hair_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2550508164', '9805AA84', 'object/tangible/hair/bothan/base/shared_hair_bothan_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('4122368933', 'F5B65BA5', 'object/tangible/hair/bothan/base/shared_hair_bothan_female_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('4062977600', 'F22C1E40', 'object/tangible/hair/bothan/base/shared_hair_bothan_male_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('4248154474', 'FD35B16A', 'object/tangible/hair/bothan/shared_hair_bothan_female_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('639769085', '262219FD', 'object/tangible/hair/bothan/shared_hair_bothan_female_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1865383536', '6F2F7E70', 'object/tangible/hair/bothan/shared_hair_bothan_female_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2496419172', '94CC5564', 'object/tangible/hair/bothan/shared_hair_bothan_female_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3720426217', 'DDC132E9', 'object/tangible/hair/bothan/shared_hair_bothan_female_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('114727550', '6D69A7E', 'object/tangible/hair/bothan/shared_hair_bothan_female_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('1339817459', '4FDBFDF3', 'object/tangible/hair/bothan/shared_hair_bothan_female_s07.iff');
INSERT INTO `object_crc_string_table` VALUES ('4124168673', 'F5D1D1E1', 'object/tangible/hair/bothan/shared_hair_bothan_female_s08.iff');
INSERT INTO `object_crc_string_table` VALUES ('3168581228', 'BCDCB66C', 'object/tangible/hair/bothan/shared_hair_bothan_female_s09.iff');
INSERT INTO `object_crc_string_table` VALUES ('2937117599', 'AF10DB9F', 'object/tangible/hair/bothan/shared_hair_bothan_female_s10.iff');
INSERT INTO `object_crc_string_table` VALUES ('3860708370', 'E61DBC12', 'object/tangible/hair/bothan/shared_hair_bothan_female_s11.iff');
INSERT INTO `object_crc_string_table` VALUES ('1024070789', '3D0A1485', 'object/tangible/hair/bothan/shared_hair_bothan_female_s12.iff');
INSERT INTO `object_crc_string_table` VALUES ('1946645256', '74077308', 'object/tangible/hair/bothan/shared_hair_bothan_female_s13.iff');
INSERT INTO `object_crc_string_table` VALUES ('2414106652', '8FE4581C', 'object/tangible/hair/bothan/shared_hair_bothan_female_s14.iff');
INSERT INTO `object_crc_string_table` VALUES ('3337174929', 'C6E93F91', 'object/tangible/hair/bothan/shared_hair_bothan_female_s15.iff');
INSERT INTO `object_crc_string_table` VALUES ('503224070', '1DFE9706', 'object/tangible/hair/bothan/shared_hair_bothan_female_s16.iff');
INSERT INTO `object_crc_string_table` VALUES ('1425272971', '54F3F08B', 'object/tangible/hair/bothan/shared_hair_bothan_female_s17.iff');
INSERT INTO `object_crc_string_table` VALUES ('4009352345', 'EEF9DC99', 'object/tangible/hair/bothan/shared_hair_bothan_female_s18.iff');
INSERT INTO `object_crc_string_table` VALUES ('2817833748', 'A7F4BB14', 'object/tangible/hair/bothan/shared_hair_bothan_female_s19.iff');
INSERT INTO `object_crc_string_table` VALUES ('2187906071', '8268CC17', 'object/tangible/hair/bothan/shared_hair_bothan_female_s20.iff');
INSERT INTO `object_crc_string_table` VALUES ('1567285451', '5D6AE0CB', 'object/tangible/hair/bothan/shared_hair_bothan_male_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2256357468', '867D485C', 'object/tangible/hair/bothan/shared_hair_bothan_male_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3480235985', 'CF702FD1', 'object/tangible/hair/bothan/shared_hair_bothan_male_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('882050245', '349304C5', 'object/tangible/hair/bothan/shared_hair_bothan_male_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2107532104', '7D9E6348', 'object/tangible/hair/bothan/shared_hair_bothan_male_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('2794048479', 'A689CBDF', 'object/tangible/hair/bothan/shared_hair_bothan_male_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('4018449490', 'EF84AC52', 'object/tangible/hair/bothan/shared_hair_bothan_male_s07.iff');
INSERT INTO `object_crc_string_table` VALUES ('1435402304', '558E8040', 'object/tangible/hair/bothan/shared_hair_bothan_male_s08.iff');
INSERT INTO `object_crc_string_table` VALUES ('478406605', '1C83E7CD', 'object/tangible/hair/bothan/shared_hair_bothan_male_s09.iff');
INSERT INTO `object_crc_string_table` VALUES ('256870974', 'F4F8A3E', 'object/tangible/hair/bothan/shared_hair_bothan_male_s10.iff');
INSERT INTO `object_crc_string_table` VALUES ('1178791347', '4642EDB3', 'object/tangible/hair/bothan/shared_hair_bothan_male_s11.iff');
INSERT INTO `object_crc_string_table` VALUES ('2639611172', '9D554524', 'object/tangible/hair/bothan/shared_hair_bothan_male_s12.iff');
INSERT INTO `object_crc_string_table` VALUES ('3562545833', 'D45822A9', 'object/tangible/hair/bothan/shared_hair_bothan_male_s13.iff');
INSERT INTO `object_crc_string_table` VALUES ('800786877', '2FBB09BD', 'object/tangible/hair/bothan/shared_hair_bothan_male_s14.iff');
INSERT INTO `object_crc_string_table` VALUES ('1723231792', '66B66E30', 'object/tangible/hair/bothan/shared_hair_bothan_male_s15.iff');
INSERT INTO `object_crc_string_table` VALUES ('4104954154', 'F4ACA12A', 'object/tangible/hair/bothan/shared_hair_bothan_male_s17.iff');
INSERT INTO `object_crc_string_table` VALUES ('1319537976', '4EA68D38', 'object/tangible/hair/bothan/shared_hair_bothan_male_s18.iff');
INSERT INTO `object_crc_string_table` VALUES ('128707253', '7ABEAB5', 'object/tangible/hair/bothan/shared_hair_bothan_male_s19.iff');
INSERT INTO `object_crc_string_table` VALUES ('574070198', '22379DB6', 'object/tangible/hair/bothan/shared_hair_bothan_male_s20.iff');
INSERT INTO `object_crc_string_table` VALUES ('1278154793', '4C2F1829', 'object/tangible/hair/human/base/shared_hair_human_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('504761774', '1E160DAE', 'object/tangible/hair/human/base/shared_hair_human_female_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2205118344', '836F6F88', 'object/tangible/hair/human/base/shared_hair_human_male_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3485410635', 'CFBF254B', 'object/tangible/hair/human/shared_hair_human_female_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('346590684', '14A88DDC', 'object/tangible/hair/human/shared_hair_human_female_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1571154513', '5DA5EA51', 'object/tangible/hair/human/shared_hair_human_female_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2789654853', 'A646C145', 'object/tangible/hair/human/shared_hair_human_female_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('4014712520', 'EF4BA6C8', 'object/tangible/hair/human/shared_hair_human_female_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('878448223', '345C0E5F', 'object/tangible/hair/human/shared_hair_human_female_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('2102487506', '7D5169D2', 'object/tangible/hair/human/shared_hair_human_female_s07.iff');
INSERT INTO `object_crc_string_table` VALUES ('3344647616', 'C75B45C0', 'object/tangible/hair/human/shared_hair_human_female_s08.iff');
INSERT INTO `object_crc_string_table` VALUES ('2388009549', '8E56224D', 'object/tangible/hair/human/shared_hair_human_female_s09.iff');
INSERT INTO `object_crc_string_table` VALUES ('2644135870', '9D9A4FBE', 'object/tangible/hair/human/shared_hair_human_female_s10.iff');
INSERT INTO `object_crc_string_table` VALUES ('3566676019', 'D4972833', 'object/tangible/hair/human/shared_hair_human_female_s11.iff');
INSERT INTO `object_crc_string_table` VALUES ('260079780', 'F8080A4', 'object/tangible/hair/human/shared_hair_human_female_s12.iff');
INSERT INTO `object_crc_string_table` VALUES ('3178155069', 'BD6ECC3D', 'object/tangible/hair/human/shared_hair_human_female_s14.iff');
INSERT INTO `object_crc_string_table` VALUES ('4100172720', 'F463ABB0', 'object/tangible/hair/human/shared_hair_human_female_s15.iff');
INSERT INTO `object_crc_string_table` VALUES ('796132135', '2F740327', 'object/tangible/hair/human/shared_hair_human_female_s16.iff');
INSERT INTO `object_crc_string_table` VALUES ('1719231658', '667964AA', 'object/tangible/hair/human/shared_hair_human_female_s17.iff');
INSERT INTO `object_crc_string_table` VALUES ('3698542776', 'DC7348B8', 'object/tangible/hair/human/shared_hair_human_female_s18.iff');
INSERT INTO `object_crc_string_table` VALUES ('2508074805', '957E2F35', 'object/tangible/hair/human/shared_hair_human_female_s19.iff');
INSERT INTO `object_crc_string_table` VALUES ('2967623734', 'B0E25836', 'object/tangible/hair/human/shared_hair_human_female_s20.iff');
INSERT INTO `object_crc_string_table` VALUES ('4193206203', 'F9EF3FBB', 'object/tangible/hair/human/shared_hair_human_female_s21.iff');
INSERT INTO `object_crc_string_table` VALUES ('586716972', '22F8972C', 'object/tangible/hair/human/shared_hair_human_female_s22.iff');
INSERT INTO `object_crc_string_table` VALUES ('1811280033', '6BF5F0A1', 'object/tangible/hair/human/shared_hair_human_female_s23.iff');
INSERT INTO `object_crc_string_table` VALUES ('2417417141', '9016DBB5', 'object/tangible/hair/human/shared_hair_human_female_s24.iff');
INSERT INTO `object_crc_string_table` VALUES ('3642473528', 'D91BBC38', 'object/tangible/hair/human/shared_hair_human_female_s25.iff');
INSERT INTO `object_crc_string_table` VALUES ('34346159', '20C14AF', 'object/tangible/hair/human/shared_hair_human_female_s26.iff');
INSERT INTO `object_crc_string_table` VALUES ('1258386210', '4B017322', 'object/tangible/hair/human/shared_hair_human_female_s27.iff');
INSERT INTO `object_crc_string_table` VALUES ('2882164046', 'ABCA554E', 'object/tangible/hair/human/shared_hair_human_female_s30.iff');
INSERT INTO `object_crc_string_table` VALUES ('3804705475', 'E2C732C3', 'object/tangible/hair/human/shared_hair_human_female_s31.iff');
INSERT INTO `object_crc_string_table` VALUES ('969972308', '39D09A54', 'object/tangible/hair/human/shared_hair_human_female_s32.iff');
INSERT INTO `object_crc_string_table` VALUES ('2336151245', '8B3ED6CD', 'object/tangible/hair/human/shared_hair_human_female_s34.iff');
INSERT INTO `object_crc_string_table` VALUES ('3258167616', 'C233B140', 'object/tangible/hair/human/shared_hair_human_female_s35.iff');
INSERT INTO `object_crc_string_table` VALUES ('421796311', '192419D7', 'object/tangible/hair/human/shared_hair_human_female_s36.iff');
INSERT INTO `object_crc_string_table` VALUES ('1344896602', '50297E5A', 'object/tangible/hair/human/shared_hair_human_female_s37.iff');
INSERT INTO `object_crc_string_table` VALUES ('3928183368', 'EA235248', 'object/tangible/hair/human/shared_hair_human_female_s38.iff');
INSERT INTO `object_crc_string_table` VALUES ('2737714629', 'A32E35C5', 'object/tangible/hair/human/shared_hair_human_female_s39.iff');
INSERT INTO `object_crc_string_table` VALUES ('3927078694', 'EA127726', 'object/tangible/hair/human/shared_hair_human_female_s40.iff');
INSERT INTO `object_crc_string_table` VALUES ('2736722091', 'A31F10AB', 'object/tangible/hair/human/shared_hair_human_female_s41.iff');
INSERT INTO `object_crc_string_table` VALUES ('2013837372', '7808B83C', 'object/tangible/hair/human/shared_hair_human_female_s42.iff');
INSERT INTO `object_crc_string_table` VALUES ('2377331336', '8DB33288', 'object/tangible/hair/human/shared_hair_human_male_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1453627935', '56A49A1F', 'object/tangible/hair/human/shared_hair_human_male_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('531234194', '1FA9FD92', 'object/tangible/hair/human/shared_hair_human_male_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3830109830', 'E44AD686', 'object/tangible/hair/human/shared_hair_human_male_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2907156747', 'AD47B10B', 'object/tangible/hair/human/shared_hair_human_male_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1984960924', '7650199C', 'object/tangible/hair/human/shared_hair_human_male_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('1063091729', '3F5D7E11', 'object/tangible/hair/human/shared_hair_human_male_s07.iff');
INSERT INTO `object_crc_string_table` VALUES ('2237092355', '85575203', 'object/tangible/hair/human/shared_hair_human_male_s08.iff');
INSERT INTO `object_crc_string_table` VALUES ('3428464014', 'CC5A358E', 'object/tangible/hair/human/shared_hair_human_male_s09.iff');
INSERT INTO `object_crc_string_table` VALUES ('3751172221', 'DF96587D', 'object/tangible/hair/human/shared_hair_human_male_s10.iff');
INSERT INTO `object_crc_string_table` VALUES ('2526756848', '969B3FF0', 'object/tangible/hair/human/shared_hair_human_male_s11.iff');
INSERT INTO `object_crc_string_table` VALUES ('1301059431', '4D8C9767', 'object/tangible/hair/human/shared_hair_human_male_s12.iff');
INSERT INTO `object_crc_string_table` VALUES ('75624682', '481F0EA', 'object/tangible/hair/human/shared_hair_human_male_s13.iff');
INSERT INTO `object_crc_string_table` VALUES ('4284668926', 'FF62DBFE', 'object/tangible/hair/human/shared_hair_human_male_s14.iff');
INSERT INTO `object_crc_string_table` VALUES ('3060776051', 'B66FBC73', 'object/tangible/hair/human/shared_hair_human_male_s15.iff');
INSERT INTO `object_crc_string_table` VALUES ('1836586212', '6D7814E4', 'object/tangible/hair/human/shared_hair_human_male_s16.iff');
INSERT INTO `object_crc_string_table` VALUES ('611677033', '24757369', 'object/tangible/hair/human/shared_hair_human_male_s17.iff');
INSERT INTO `object_crc_string_table` VALUES ('2659147643', '9E7F5F7B', 'object/tangible/hair/human/shared_hair_human_male_s18.iff');
INSERT INTO `object_crc_string_table` VALUES ('3614587126', 'D77238F6', 'object/tangible/hair/human/shared_hair_human_male_s19.iff');
INSERT INTO `object_crc_string_table` VALUES ('4075704309', 'F2EE4FF5', 'object/tangible/hair/human/shared_hair_human_male_s20.iff');
INSERT INTO `object_crc_string_table` VALUES ('3152226424', 'BBE32878', 'object/tangible/hair/human/shared_hair_human_male_s21.iff');
INSERT INTO `object_crc_string_table` VALUES ('1626636527', '60F480EF', 'object/tangible/hair/human/shared_hair_human_male_s22.iff');
INSERT INTO `object_crc_string_table` VALUES ('704243554', '29F9E762', 'object/tangible/hair/human/shared_hair_human_male_s23.iff');
INSERT INTO `object_crc_string_table` VALUES ('3524971638', 'D21ACC76', 'object/tangible/hair/human/shared_hair_human_male_s24.iff');
INSERT INTO `object_crc_string_table` VALUES ('2602019835', '9B17ABFB', 'object/tangible/hair/human/shared_hair_human_male_s25.iff');
INSERT INTO `object_crc_string_table` VALUES ('1073742700', '4000036C', 'object/tangible/hair/human/shared_hair_human_male_s26.iff');
INSERT INTO `object_crc_string_table` VALUES ('151872737', '90D64E1', 'object/tangible/hair/human/shared_hair_human_male_s27.iff');
INSERT INTO `object_crc_string_table` VALUES ('3003599091', 'B30748F3', 'object/tangible/hair/human/shared_hair_human_male_s28.iff');
INSERT INTO `object_crc_string_table` VALUES ('4194971518', 'FA0A2F7E', 'object/tangible/hair/human/shared_hair_human_male_s29.iff');
INSERT INTO `object_crc_string_table` VALUES ('3922084493', 'E9C6428D', 'object/tangible/hair/human/shared_hair_human_male_s30.iff');
INSERT INTO `object_crc_string_table` VALUES ('2697667840', 'A0CB2500', 'object/tangible/hair/human/shared_hair_human_male_s31.iff');
INSERT INTO `object_crc_string_table` VALUES ('2078051735', '7BDC8D97', 'object/tangible/hair/human/shared_hair_human_male_s32.iff');
INSERT INTO `object_crc_string_table` VALUES ('852617754', '32D1EA1A', 'object/tangible/hair/human/shared_hair_human_male_s33.iff');
INSERT INTO `object_crc_string_table` VALUES ('3375546638', 'C932C10E', 'object/tangible/hair/human/shared_hair_human_male_s34.iff');
INSERT INTO `object_crc_string_table` VALUES ('2151655043', '803FA683', 'object/tangible/hair/human/shared_hair_human_male_s35.iff');
INSERT INTO `object_crc_string_table` VALUES ('304441753', '12256999', 'object/tangible/hair/human/shared_hair_human_male_s37.iff');
INSERT INTO `object_crc_string_table` VALUES ('2821670283', 'A82F458B', 'object/tangible/hair/human/shared_hair_human_male_s38.iff');
INSERT INTO `object_crc_string_table` VALUES ('3777110534', 'E1222206', 'object/tangible/hair/human/shared_hair_human_male_s39.iff');
INSERT INTO `object_crc_string_table` VALUES ('2820563173', 'A81E60E5', 'object/tangible/hair/human/shared_hair_human_male_s40.iff');
INSERT INTO `object_crc_string_table` VALUES ('3776120680', 'E1130768', 'object/tangible/hair/human/shared_hair_human_male_s41.iff');
INSERT INTO `object_crc_string_table` VALUES ('2992922029', 'B2645DAD', 'object/tangible/hair/mon_calamari/base/shared_hair_mon_calamari_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3431919684', 'CC8EF044', 'object/tangible/hair/mon_calamari/base/shared_hair_mon_calamari_female_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('70668813', '436520D', 'object/tangible/hair/mon_calamari/base/shared_hair_mon_calamari_male_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1082414446', '4084556E', 'object/tangible/hair/rodian/base/shared_hair_rodian_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2387184273', '8E498A91', 'object/tangible/hair/rodian/base/shared_hair_rodian_female_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1061024720', '3F3DF3D0', 'object/tangible/hair/rodian/base/shared_hair_rodian_male_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1932780925', '7333E57D', 'object/tangible/hair/rodian/shared_hair_rodian_female_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2820951530', 'A8244DEA', 'object/tangible/hair/rodian/shared_hair_rodian_female_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3777571431', 'E1292A67', 'object/tangible/hair/rodian/shared_hair_rodian_female_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('449446259', '1ACA0173', 'object/tangible/hair/rodian/shared_hair_rodian_female_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1405576958', '53C766FE', 'object/tangible/hair/rodian/shared_hair_rodian_female_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('2295385705', '88D0CE69', 'object/tangible/hair/rodian/shared_hair_rodian_female_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('3252529636', 'C1DDA9E4', 'object/tangible/hair/rodian/shared_hair_rodian_female_s07.iff');
INSERT INTO `object_crc_string_table` VALUES ('2077722102', '7BD785F6', 'object/tangible/hair/rodian/shared_hair_rodian_female_s08.iff');
INSERT INTO `object_crc_string_table` VALUES ('853205627', '32DAE27B', 'object/tangible/hair/rodian/shared_hair_rodian_female_s09.iff');
INSERT INTO `object_crc_string_table` VALUES ('555126664', '21168F88', 'object/tangible/hair/rodian/shared_hair_rodian_female_s10.iff');
INSERT INTO `object_crc_string_table` VALUES ('3003924626', 'B30C4092', 'object/tangible/hair/rodian/shared_hair_rodian_female_s12.iff');
INSERT INTO `object_crc_string_table` VALUES ('4194379551', 'FA01271F', 'object/tangible/hair/rodian/shared_hair_rodian_female_s13.iff');
INSERT INTO `object_crc_string_table` VALUES ('31591435', '1E20C0B', 'object/tangible/hair/rodian/shared_hair_rodian_female_s14.iff');
INSERT INTO `object_crc_string_table` VALUES ('1223650182', '48EF6B86', 'object/tangible/hair/rodian/shared_hair_rodian_female_s15.iff');
INSERT INTO `object_crc_string_table` VALUES ('2482553617', '93F8C311', 'object/tangible/hair/rodian/shared_hair_rodian_female_s16.iff');
INSERT INTO `object_crc_string_table` VALUES ('3673531548', 'DAF5A49C', 'object/tangible/hair/rodian/shared_hair_rodian_female_s17.iff');
INSERT INTO `object_crc_string_table` VALUES ('1627359374', '60FF888E', 'object/tangible/hair/rodian/shared_hair_rodian_female_s18.iff');
INSERT INTO `object_crc_string_table` VALUES ('703786755', '29F2EF03', 'object/tangible/hair/rodian/shared_hair_rodian_female_s19.iff');
INSERT INTO `object_crc_string_table` VALUES ('208574464', 'C6E9800', 'object/tangible/hair/rodian/shared_hair_rodian_female_s20.iff');
INSERT INTO `object_crc_string_table` VALUES ('1164181389', '4563FF8D', 'object/tangible/hair/rodian/shared_hair_rodian_female_s21.iff');
INSERT INTO `object_crc_string_table` VALUES ('2658424602', '9E74571A', 'object/tangible/hair/rodian/shared_hair_rodian_female_s22.iff');
INSERT INTO `object_crc_string_table` VALUES ('1850856365', '6E51D3AD', 'object/tangible/hair/rodian/shared_hair_rodian_male_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3041295162', 'B5467B3A', 'object/tangible/hair/rodian/shared_hair_rodian_male_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4232780983', 'FC4B1CB7', 'object/tangible/hair/rodian/shared_hair_rodian_male_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('128464803', '7A837A3', 'object/tangible/hair/rodian/shared_hair_rodian_male_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1319456814', '4EA5502E', 'object/tangible/hair/rodian/shared_hair_rodian_male_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('2511534265', '95B2F8B9', 'object/tangible/hair/rodian/shared_hair_rodian_male_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('3703545652', 'DCBF9F34', 'object/tangible/hair/rodian/shared_hair_rodian_male_s07.iff');
INSERT INTO `object_crc_string_table` VALUES ('1723183910', '66B5B326', 'object/tangible/hair/rodian/shared_hair_rodian_male_s08.iff');
INSERT INTO `object_crc_string_table` VALUES ('800642219', '2FB8D4AB', 'object/tangible/hair/rodian/shared_hair_rodian_male_s09.iff');
INSERT INTO `object_crc_string_table` VALUES ('1014282584', '3C74B958', 'object/tangible/hair/rodian/shared_hair_rodian_male_s10.iff');
INSERT INTO `object_crc_string_table` VALUES ('1970921173', '7579DED5', 'object/tangible/hair/rodian/shared_hair_rodian_male_s11.iff');
INSERT INTO `object_crc_string_table` VALUES ('2926474818', 'AE6E7642', 'object/tangible/hair/rodian/shared_hair_rodian_male_s12.iff');
INSERT INTO `object_crc_string_table` VALUES ('3882029519', 'E76311CF', 'object/tangible/hair/rodian/shared_hair_rodian_male_s13.iff');
INSERT INTO `object_crc_string_table` VALUES ('478165723', '1C803ADB', 'object/tangible/hair/rodian/shared_hair_rodian_male_s14.iff');
INSERT INTO `object_crc_string_table` VALUES ('1435327830', '558D5D56', 'object/tangible/hair/rodian/shared_hair_rodian_male_s15.iff');
INSERT INTO `object_crc_string_table` VALUES ('2392520129', '8E9AF5C1', 'object/tangible/hair/rodian/shared_hair_rodian_male_s16.iff');
INSERT INTO `object_crc_string_table` VALUES ('2584119077', '9A068725', 'object/tangible/hair/singing_mountain_clan/shared_hair_singing_mountain_clan_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1091645362', '41112FB2', 'object/tangible/hair/singing_mountain_clan/shared_hair_singing_mountain_clan_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('136071231', '81C483F', 'object/tangible/hair/singing_mountain_clan/shared_hair_singing_mountain_clan_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2007410332', '77A6A69C', 'object/tangible/hair/singing_mountain_clan/shared_singing_mountain_clan_bangs_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('801531223', '2FC66557', 'object/tangible/hair/sullustan/base/shared_hair_sullustan_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('396464255', '17A1907F', 'object/tangible/hair/sullustan/base/shared_hair_sullustan_female_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2746028692', 'A3AD1294', 'object/tangible/hair/sullustan/base/shared_hair_sullustan_male_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2917568319', 'ADE68F3F', 'object/tangible/hair/sullustan/shared_sul_hair_s01_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('924328110', '371820AE', 'object/tangible/hair/sullustan/shared_sul_hair_s01_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2082420492', '7C1F370C', 'object/tangible/hair/sullustan/shared_sul_hair_s02_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('3873544349', 'E6E1989D', 'object/tangible/hair/sullustan/shared_sul_hair_s02_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('860380957', '33485F1D', 'object/tangible/hair/sullustan/shared_sul_hair_s03_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('2847338636', 'A9B6F08C', 'object/tangible/hair/sullustan/shared_sul_hair_s03_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3677182685', 'DB2D5ADD', 'object/tangible/hair/sullustan/shared_sul_hair_s04_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('1104409932', '41D3F54C', 'object/tangible/hair/sullustan/shared_sul_hair_s04_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2491036364', '947A32CC', 'object/tangible/hair/sullustan/shared_sul_hair_s05_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('243572061', 'E849D5D', 'object/tangible/hair/sullustan/shared_sul_hair_s05_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1166248703', '45838AFF', 'object/tangible/hair/sullustan/shared_sul_hair_s06_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('3749520750', 'DF7D256E', 'object/tangible/hair/sullustan/shared_sul_hair_s06_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('181723886', 'AD4E2EE', 'object/tangible/hair/sullustan/shared_sul_hair_s07_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('2418691455', '902A4D7F', 'object/tangible/hair/sullustan/shared_sul_hair_s07_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2441649352', '91889CC8', 'object/tangible/hair/sullustan/shared_sul_hair_s08_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('192295769', 'B763359', 'object/tangible/hair/sullustan/shared_sul_hair_s08_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3739219161', 'DEDFF4D9', 'object/tangible/hair/sullustan/shared_sul_hair_s09_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('1143036744', '44215B48', 'object/tangible/hair/sullustan/shared_sul_hair_s09_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3104848868', 'B9103BE4', 'object/tangible/hair/sullustan/shared_sul_hair_s10_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('602838133', '23EE9475', 'object/tangible/hair/sullustan/shared_sul_hair_s10_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('4131869685', 'F64753F5', 'object/tangible/hair/sullustan/shared_sul_hair_s11_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('1824128100', '6CB9FC64', 'object/tangible/hair/sullustan/shared_sul_hair_s11_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('666823622', '27BEEBC6', 'object/tangible/hair/sullustan/shared_sul_hair_s12_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('3175105623', 'BD404457', 'object/tangible/hair/sullustan/shared_sul_hair_s12_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1760134103', '68E983D7', 'object/tangible/hair/sullustan/shared_sul_hair_s13_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('4061604934', 'F2172C46', 'object/tangible/hair/sullustan/shared_sul_hair_s13_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2156693015', '808C8617', 'object/tangible/hair/sullustan/shared_sul_hair_s14_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('443689350', '1A722986', 'object/tangible/hair/sullustan/shared_sul_hair_s14_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3487297030', 'CFDBEE06', 'object/tangible/hair/sullustan/shared_sul_hair_s15_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('1428504983', '55254197', 'object/tangible/hair/sullustan/shared_sul_hair_s15_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('505566773', '1E225635', 'object/tangible/hair/sullustan/shared_sul_hair_s16_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('2229074340', '84DCF9A4', 'object/tangible/hair/sullustan/shared_sul_hair_s16_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1366638116', '51753E24', 'object/tangible/hair/sullustan/shared_sul_hair_s17_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('3414921653', 'CB8B91B5', 'object/tangible/hair/sullustan/shared_sul_hair_s17_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3391700994', 'CA294002', 'object/tangible/hair/sullustan/shared_sul_hair_s18_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('1356328851', '50D7EF93', 'object/tangible/hair/sullustan/shared_sul_hair_s18_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3635936924', 'D8B7FE9C', 'object/tangible/hair/trandoshan/base/shared_hair_trandoshan_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2276784889', '87B4FAF9', 'object/tangible/hair/trandoshan/base/shared_hair_trandoshan_female_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('87941221', '53DE065', 'object/tangible/hair/trandoshan/base/shared_hair_trandoshan_male_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('33998203', '206C57B', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_female_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3641798124', 'D9116DEC', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_female_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2417756769', '901C0A61', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_female_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1811882357', '6BFF2175', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_female_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('586303224', '22F246F8', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_female_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('4192595567', 'F9E5EE6F', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_female_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('2968029666', 'B0E889E2', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_female_s07.iff');
INSERT INTO `object_crc_string_table` VALUES ('182625776', 'AE2A5F0', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_female_s08.iff');
INSERT INTO `object_crc_string_table` VALUES ('1139786365', '43EFC27D', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_female_s09.iff');
INSERT INTO `object_crc_string_table` VALUES ('1344515982', '5023AF8E', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_female_s10.iff');
INSERT INTO `object_crc_string_table` VALUES ('422496259', '192EC803', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_female_s11.iff');
INSERT INTO `object_crc_string_table` VALUES ('3258540180', 'C2396094', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_female_s12.iff');
INSERT INTO `object_crc_string_table` VALUES ('2335442713', '8B340719', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_female_s13.iff');
INSERT INTO `object_crc_string_table` VALUES ('1893149709', '70D72C0D', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_female_s14.iff');
INSERT INTO `object_crc_string_table` VALUES ('1363440697', '51447439', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_male_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2320751790', '8A53DCAE', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_male_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3277765411', 'C35EBB23', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_male_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('951947319', '38BD9037', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_male_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1907423162', '71B0F7BA', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_male_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('2863095597', 'AAA75F2D', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_male_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('3819583648', 'E3AA38A0', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_male_s07.iff');
INSERT INTO `object_crc_string_table` VALUES ('1503663282', '59A014B2', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_male_s08.iff');
INSERT INTO `object_crc_string_table` VALUES ('279802687', '10AD733F', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_male_s09.iff');
INSERT INTO `object_crc_string_table` VALUES ('56696524', '3611ECC', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_male_s10.iff');
INSERT INTO `object_crc_string_table` VALUES ('1248622913', '4A6C7941', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_male_s11.iff');
INSERT INTO `object_crc_string_table` VALUES ('2440810966', '917BD1D6', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_male_s12.iff');
INSERT INTO `object_crc_string_table` VALUES ('3631658587', 'D876B65B', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_male_s13.iff');
INSERT INTO `object_crc_string_table` VALUES ('597007695', '23959D4F', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_male_s14.iff');
INSERT INTO `object_crc_string_table` VALUES ('3565672678', 'D487D8E6', 'object/tangible/hair/twilek/base/shared_hair_twilek_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('730298848', '2B8779E0', 'object/tangible/hair/twilek/base/shared_hair_twilek_female_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('487942244', '1D156864', 'object/tangible/hair/twilek/base/shared_hair_twilek_male_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3634839517', 'D8A73FDD', 'object/tangible/hair/twilek/shared_hair_twilek_female_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('61904714', '3B0974A', 'object/tangible/hair/twilek/shared_hair_twilek_female_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1253961927', '4ABDF0C7', 'object/tangible/hair/twilek/shared_hair_twilek_female_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2975783891', 'B15EDBD3', 'object/tangible/hair/twilek/shared_hair_twilek_female_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('4166237278', 'F853BC5E', 'object/tangible/hair/twilek/shared_hair_twilek_female_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('591664329', '234414C9', 'object/tangible/hair/twilek/shared_hair_twilek_female_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('1783198532', '6A497344', 'object/tangible/hair/twilek/shared_hair_twilek_female_s07.iff');
INSERT INTO `object_crc_string_table` VALUES ('3494076246', 'D0435F56', 'object/tangible/hair/twilek/shared_hair_twilek_female_s08.iff');
INSERT INTO `object_crc_string_table` VALUES ('2466956712', '930AC5A8', 'object/tangible/hair/twilek/shared_hair_twilek_male_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1209888063', '481D6D3F', 'object/tangible/hair/twilek/shared_hair_twilek_male_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('17828530', '1100AB2', 'object/tangible/hair/twilek/shared_hair_twilek_male_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('4210237862', 'FAF321A6', 'object/tangible/hair/twilek/shared_hair_twilek_male_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3019785771', 'B3FE462B', 'object/tangible/hair/twilek/shared_hair_twilek_male_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1760161468', '68E9EEBC', 'object/tangible/hair/twilek/shared_hair_twilek_male_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('568625457', '21E48931', 'object/tangible/hair/twilek/shared_hair_twilek_male_s07.iff');
INSERT INTO `object_crc_string_table` VALUES ('2616108323', '9BEEA523', 'object/tangible/hair/twilek/shared_hair_twilek_male_s08.iff');
INSERT INTO `object_crc_string_table` VALUES ('2505702624', '9559FCE0', 'object/tangible/hair/wookiee/base/shared_hair_wookiee_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1402579310', '5399A96E', 'object/tangible/hair/wookiee/base/shared_hair_wookiee_female_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('848817616', '3297EDD0', 'object/tangible/hair/wookiee/base/shared_hair_wookiee_male_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1840322274', '6DB116E2', 'object/tangible/hair/zabrak/base/shared_hair_zabrak_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('338751255', '1430EF17', 'object/tangible/hair/zabrak/base/shared_hair_zabrak_female_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2425340605', '908FC2BD', 'object/tangible/hair/zabrak/base/shared_hair_zabrak_male_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3692198825', 'DC127BA9', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('117822270', '705D33E', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1309193395', '4E08B4B3', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3052117927', 'B5EB9FA7', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('4242995242', 'FCE6F82A', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('670126269', '27F150BD', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('1862022960', '6EFC3730', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s07.iff');
INSERT INTO `object_crc_string_table` VALUES ('3572898594', 'D4F61B22', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s08.iff');
INSERT INTO `object_crc_string_table` VALUES ('2650504367', '9DFB7CAF', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s09.iff');
INSERT INTO `object_crc_string_table` VALUES ('2385973596', '8E37115C', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s10.iff');
INSERT INTO `object_crc_string_table` VALUES ('3342497489', 'C73A76D1', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s11.iff');
INSERT INTO `object_crc_string_table` VALUES ('472768070', '1C2DDE46', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s12.iff');
INSERT INTO `object_crc_string_table` VALUES ('1428208075', '5520B9CB', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s13.iff');
INSERT INTO `object_crc_string_table` VALUES ('2932052703', 'AEC392DF', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s14.iff');
INSERT INTO `object_crc_string_table` VALUES ('3889100114', 'E7CEF552', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s15.iff');
INSERT INTO `object_crc_string_table` VALUES ('1020878277', '3CD95DC5', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s16.iff');
INSERT INTO `object_crc_string_table` VALUES ('1976842824', '75D43A48', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s17.iff');
INSERT INTO `object_crc_string_table` VALUES ('3487438426', 'CFDE165A', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s18.iff');
INSERT INTO `object_crc_string_table` VALUES ('2262004183', '86D371D7', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s19.iff');
INSERT INTO `object_crc_string_table` VALUES ('2739865300', 'A34F06D4', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s20.iff');
INSERT INTO `object_crc_string_table` VALUES ('3250935101', 'C1C5553D', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('450035114', '1AD2FDAA', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1407162919', '53DF9A27', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2822549811', 'A83CB133', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3778139838', 'E131D6BE', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('975601193', '3A267E29', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('1932204452', '732B19A4', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s07.iff');
INSERT INTO `object_crc_string_table` VALUES ('3374396854', 'C92135B6', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s08.iff');
INSERT INTO `object_crc_string_table` VALUES ('2150388283', '802C523B', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s09.iff');
INSERT INTO `object_crc_string_table` VALUES ('2480947144', '93E03FC8', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s10.iff');
INSERT INTO `object_crc_string_table` VALUES ('3672987717', 'DAED5845', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s11.iff');
INSERT INTO `object_crc_string_table` VALUES ('33222866', '1FAF0D2', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s12.iff');
INSERT INTO `object_crc_string_table` VALUES ('1224185695', '48F7975F', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s13.iff');
INSERT INTO `object_crc_string_table` VALUES ('3004480587', 'B314BC4B', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s14.iff');
INSERT INTO `object_crc_string_table` VALUES ('4195998662', 'FA19DBC6', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s15.iff');
INSERT INTO `object_crc_string_table` VALUES ('554595153', '210E7351', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s16.iff');
INSERT INTO `object_crc_string_table` VALUES ('1745032412', '680314DC', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s17.iff');
INSERT INTO `object_crc_string_table` VALUES ('3523819726', 'D20938CE', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s18.iff');
INSERT INTO `object_crc_string_table` VALUES ('2600755011', '9B045F43', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s19.iff');
INSERT INTO `object_crc_string_table` VALUES ('3197642816', 'BE982840', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s20.iff');
INSERT INTO `object_crc_string_table` VALUES ('867105366', '33AEFA56', 'object/tangible/harvesting/shared_shellfish_harvester.iff');
INSERT INTO `object_crc_string_table` VALUES ('1942668017', '73CAC2F1', 'object/tangible/hopper/crafting_station_hopper/shared_crafting_station_ingredient_hopper_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('1814389996', '6C2564EC', 'object/tangible/hopper/crafting_station_hopper/shared_crafting_station_ingredient_hopper_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('1204901592', '47D156D8', 'object/tangible/hopper/crafting_station_hopper/shared_crafting_station_ingredient_hopper_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('2805227646', 'A734607E', 'object/tangible/hopper/crafting_station_hopper/shared_crafting_station_ingredient_hopper_structure_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('2417546969', '9018D6D9', 'object/tangible/hopper/crafting_station_hopper/shared_crafting_station_ingredient_hopper_structure_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('2469393495', '932FF457', 'object/tangible/hopper/crafting_station_hopper/shared_crafting_station_ingredient_hopper_structure_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('1304408300', '4DBFB0EC', 'object/tangible/hopper/manufacturing_facility_hopper/shared_manufacture_installation_ingredient_hopper_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('4058756214', 'F1EBB476', 'object/tangible/hopper/manufacturing_facility_hopper/shared_manufacture_installation_ingredient_hopper_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('2040800453', '79A424C5', 'object/tangible/hopper/manufacturing_facility_hopper/shared_manufacture_installation_ingredient_hopper_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('2843941257', 'A9831989', 'object/tangible/hopper/manufacturing_facility_hopper/shared_manufacture_installation_ingredient_hopper_structure_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('468681171', '1BEF81D3', 'object/tangible/hopper/manufacturing_facility_hopper/shared_manufacture_installation_ingredient_hopper_structure_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('2644020640', '9D988DA0', 'object/tangible/hopper/manufacturing_facility_hopper/shared_manufacture_installation_ingredient_hopper_structure_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('2116612555', '7E28F1CB', 'object/tangible/hopper/shared_crafting_station_ingredient_hopper_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4266502475', 'FE4DA94B', 'object/tangible/hopper/shared_manufacture_installation_ingredient_hopper_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3765113149', 'E06B113D', 'object/tangible/hopper/shared_manufacture_installation_output_hopper_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('730285201', '2B874491', 'object/tangible/hq_destructible/shared_base_destructible.iff');
INSERT INTO `object_crc_string_table` VALUES ('2006377548', '7796E44C', 'object/tangible/hq_destructible/shared_override_terminal.iff');
INSERT INTO `object_crc_string_table` VALUES ('3447096600', 'CD768518', 'object/tangible/hq_destructible/shared_power_regulator.iff');
INSERT INTO `object_crc_string_table` VALUES ('868384958', '33C280BE', 'object/tangible/hq_destructible/shared_security_terminal.iff');
INSERT INTO `object_crc_string_table` VALUES ('459058175', '1B5CABFF', 'object/tangible/hq_destructible/shared_uplink_terminal.iff');
INSERT INTO `object_crc_string_table` VALUES ('2963077221', 'B09CF865', 'object/tangible/instrument/base/shared_instrument_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('838757271', '31FE6B97', 'object/tangible/instrument/shared_bandfill.iff');
INSERT INTO `object_crc_string_table` VALUES ('2024043623', '78A47467', 'object/tangible/instrument/shared_fanfar.iff');
INSERT INTO `object_crc_string_table` VALUES ('197364379', 'BC38A9B', 'object/tangible/instrument/shared_fizz.iff');
INSERT INTO `object_crc_string_table` VALUES ('1186559398', '46B975A6', 'object/tangible/instrument/shared_flute_droopy.iff');
INSERT INTO `object_crc_string_table` VALUES ('2221793724', '846DE1BC', 'object/tangible/instrument/shared_instrument_organ_figrin_dan.iff');
INSERT INTO `object_crc_string_table` VALUES ('3369165758', 'C8D163BE', 'object/tangible/instrument/shared_instrument_organ_max_rebo.iff');
INSERT INTO `object_crc_string_table` VALUES ('4261135292', 'FDFBC3BC', 'object/tangible/instrument/shared_kloo_horn.iff');
INSERT INTO `object_crc_string_table` VALUES ('1784205003', '6A58CECB', 'object/tangible/instrument/shared_mandoviol.iff');
INSERT INTO `object_crc_string_table` VALUES ('2412019728', '8FC48010', 'object/tangible/instrument/shared_nalargon.iff');
INSERT INTO `object_crc_string_table` VALUES ('2010287603', '77D28DF3', 'object/tangible/instrument/shared_ommni_box.iff');
INSERT INTO `object_crc_string_table` VALUES ('1225824678', '491099A6', 'object/tangible/instrument/shared_organ_max_rebo.iff');
INSERT INTO `object_crc_string_table` VALUES ('3533891079', 'D2A2E607', 'object/tangible/instrument/shared_slitherhorn.iff');
INSERT INTO `object_crc_string_table` VALUES ('395515554', '179316A2', 'object/tangible/instrument/shared_traz.iff');
INSERT INTO `object_crc_string_table` VALUES ('963242043', '3969E83B', 'object/tangible/inventory/shared_character_inventory.iff');
INSERT INTO `object_crc_string_table` VALUES ('554727708', '2110791C', 'object/tangible/inventory/shared_creature_inventory.iff');
INSERT INTO `object_crc_string_table` VALUES ('4169639267', 'F887A563', 'object/tangible/inventory/shared_creature_inventory_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('596643316', '23900DF4', 'object/tangible/inventory/shared_creature_inventory_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1788701305', '6A9D6A79', 'object/tangible/inventory/shared_creature_inventory_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2440970605', '917E416D', 'object/tangible/inventory/shared_creature_inventory_4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3631425248', 'D87326E0', 'object/tangible/inventory/shared_creature_inventory_5.iff');
INSERT INTO `object_crc_string_table` VALUES ('56921719', '3648E77', 'object/tangible/inventory/shared_creature_inventory_6.iff');
INSERT INTO `object_crc_string_table` VALUES ('3089628208', 'B827FC30', 'object/tangible/inventory/shared_lightsaber_inventory_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1664111783', '633054A7', 'object/tangible/inventory/shared_lightsaber_inventory_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('708653866', '2A3D332A', 'object/tangible/inventory/shared_lightsaber_inventory_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3520993342', 'D1DE183E', 'object/tangible/inventory/shared_lightsaber_inventory_4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1036860999', '3DCD3E47', 'object/tangible/inventory/shared_lightsaber_inventory_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3030613257', 'B4A37D09', 'object/tangible/inventory/shared_lightsaber_inventory_training.iff');
INSERT INTO `object_crc_string_table` VALUES ('2721032514', 'A22FA942', 'object/tangible/inventory/shared_vendor_inventory.iff');
INSERT INTO `object_crc_string_table` VALUES ('2459202861', '9294752D', 'object/tangible/item/new_player/shared_new_player_cloning_coupon.iff');
INSERT INTO `object_crc_string_table` VALUES ('190401300', 'B594B14', 'object/tangible/item/new_player/shared_new_player_travel_coupon.iff');
INSERT INTO `object_crc_string_table` VALUES ('835581820', '31CDF77C', 'object/tangible/item/new_player/shared_new_player_vehicle_coupon.iff');
INSERT INTO `object_crc_string_table` VALUES ('3800711792', 'E28A4270', 'object/tangible/item/plant/shared_force_melon.iff');
INSERT INTO `object_crc_string_table` VALUES ('972371039', '39F5345F', 'object/tangible/item/quest/crowd_pleaser/shared_dance_reward.iff');
INSERT INTO `object_crc_string_table` VALUES ('1862695356', '6F0679BC', 'object/tangible/item/quest/crowd_pleaser/shared_music_reward.iff');
INSERT INTO `object_crc_string_table` VALUES ('910140533', '363FA475', 'object/tangible/item/quest/force_sensitive/shared_bacta_tank.iff');
INSERT INTO `object_crc_string_table` VALUES ('940923132', '381558FC', 'object/tangible/item/quest/force_sensitive/shared_fs_buff_item.iff');
INSERT INTO `object_crc_string_table` VALUES ('486918968', '1D05CB38', 'object/tangible/item/quest/force_sensitive/shared_fs_craft_puzzle_analyzer.iff');
INSERT INTO `object_crc_string_table` VALUES ('1614838947', '60407CA3', 'object/tangible/item/quest/force_sensitive/shared_fs_craft_puzzle_calibrator.iff');
INSERT INTO `object_crc_string_table` VALUES ('1790922527', '6ABF4F1F', 'object/tangible/item/quest/force_sensitive/shared_fs_craft_puzzle_config_processor.iff');
INSERT INTO `object_crc_string_table` VALUES ('704474859', '29FD6EEB', 'object/tangible/item/quest/force_sensitive/shared_fs_craft_puzzle_decryption_chip.iff');
INSERT INTO `object_crc_string_table` VALUES ('2604518454', '9B3DCC36', 'object/tangible/item/quest/force_sensitive/shared_fs_craft_puzzle_gyro_receiver.iff');
INSERT INTO `object_crc_string_table` VALUES ('2081471563', '7C10BC4B', 'object/tangible/item/quest/force_sensitive/shared_fs_craft_puzzle_signal_amp.iff');
INSERT INTO `object_crc_string_table` VALUES ('3351448820', 'C7C30CF4', 'object/tangible/item/quest/force_sensitive/shared_fs_craft_puzzle_solid_state_array.iff');
INSERT INTO `object_crc_string_table` VALUES ('2439008129', '91604F81', 'object/tangible/item/quest/force_sensitive/shared_fs_craft_puzzle_terminal.iff');
INSERT INTO `object_crc_string_table` VALUES ('821838739', '30FC4393', 'object/tangible/item/quest/force_sensitive/shared_fs_crafting4_computer_core.iff');
INSERT INTO `object_crc_string_table` VALUES ('997112719', '3B6EBB8F', 'object/tangible/item/quest/force_sensitive/shared_fs_crafting4_downed_satellite.iff');
INSERT INTO `object_crc_string_table` VALUES ('2568094988', '9912050C', 'object/tangible/item/quest/force_sensitive/shared_fs_medic_puzzle_heal_pack.iff');
INSERT INTO `object_crc_string_table` VALUES ('2794758303', 'A694A09F', 'object/tangible/item/quest/force_sensitive/shared_fs_mellichae_cyborg_arm.iff');
INSERT INTO `object_crc_string_table` VALUES ('622337164', '25181C8C', 'object/tangible/item/quest/force_sensitive/shared_fs_reflex_supply_crate.iff');
INSERT INTO `object_crc_string_table` VALUES ('2534792856', '9715DE98', 'object/tangible/item/quest/force_sensitive/shared_fs_sculpture_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1275229711', '4C02760F', 'object/tangible/item/quest/force_sensitive/shared_fs_sculpture_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('84873602', '50F1182', 'object/tangible/item/quest/force_sensitive/shared_fs_sculpture_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('4276894358', 'FEEC3A96', 'object/tangible/item/quest/force_sensitive/shared_fs_sculpture_4.iff');
INSERT INTO `object_crc_string_table` VALUES ('392556278', '1765EEF6', 'object/tangible/item/quest/force_sensitive/shared_fs_village_bannerpole_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2331373945', '8AF5F179', 'object/tangible/item/quest/hero_of_tatooine/shared_explosives.iff');
INSERT INTO `object_crc_string_table` VALUES ('633901236', '25C890B4', 'object/tangible/item/quest/hero_of_tatooine/shared_explosives_crate.iff');
INSERT INTO `object_crc_string_table` VALUES ('2860245091', 'AA7BE063', 'object/tangible/item/shared_con_drinking_glass_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3401469915', 'CABE4FDB', 'object/tangible/item/shared_droid_customization.iff');
INSERT INTO `object_crc_string_table` VALUES ('4287269962', 'FF8A8C4A', 'object/tangible/item/shared_loot_credit_chip.iff');
INSERT INTO `object_crc_string_table` VALUES ('3055843193', 'B6247779', 'object/tangible/item/shared_lytus_family_artefact.iff');
INSERT INTO `object_crc_string_table` VALUES ('3528062501', 'D249F625', 'object/tangible/item/shared_vehicle_customization.iff');
INSERT INTO `object_crc_string_table` VALUES ('3757784174', 'DFFB3C6E', 'object/tangible/jedi/shared_force_shrine_stone.iff');
INSERT INTO `object_crc_string_table` VALUES ('2292501440', '88A4CBC0', 'object/tangible/jedi/shared_jedi_holocron_dark.iff');
INSERT INTO `object_crc_string_table` VALUES ('2610980168', '9BA06548', 'object/tangible/jedi/shared_jedi_holocron_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('2325658238', '8A9EBA7E', 'object/tangible/jedi/shared_no_drop_jedi_holocron_dark.iff');
INSERT INTO `object_crc_string_table` VALUES ('2824069158', 'A853E026', 'object/tangible/jedi/shared_no_drop_jedi_holocron_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('3447451409', 'CD7BEF11', 'object/tangible/jedi/shared_padawan_trials_skeleton.iff');
INSERT INTO `object_crc_string_table` VALUES ('2994720477', 'B27FCEDD', 'object/tangible/jedi/shared_power_shrine.iff');
INSERT INTO `object_crc_string_table` VALUES ('2808368973', 'A7644F4D', 'object/tangible/jedi/shared_power_shrine_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('1988238968', '76821E78', 'object/tangible/lair/angler/shared_lair_angler.iff');
INSERT INTO `object_crc_string_table` VALUES ('20648312', '13B1178', 'object/tangible/lair/angler/shared_lair_angler_jungle.iff');
INSERT INTO `object_crc_string_table` VALUES ('2297908648', '88F74DA8', 'object/tangible/lair/angler/shared_lair_angler_swamp.iff');
INSERT INTO `object_crc_string_table` VALUES ('3099411810', 'B8BD4562', 'object/tangible/lair/angler/shared_lair_angler_underwater.iff');
INSERT INTO `object_crc_string_table` VALUES ('4218860200', 'FB76B2A8', 'object/tangible/lair/bageraset/shared_lair_bageraset.iff');
INSERT INTO `object_crc_string_table` VALUES ('46513624', '2C5BDD8', 'object/tangible/lair/bageraset/shared_lair_bageraset_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2351102801', '8C22FB51', 'object/tangible/lair/bantha/shared_lair_bantha.iff');
INSERT INTO `object_crc_string_table` VALUES ('810600832', '3050C980', 'object/tangible/lair/bantha/shared_lair_bantha_desert.iff');
INSERT INTO `object_crc_string_table` VALUES ('3458718751', 'CE27DC1F', 'object/tangible/lair/bantha/shared_lair_bantha_dune.iff');
INSERT INTO `object_crc_string_table` VALUES ('3384005907', 'C9B3D513', 'object/tangible/lair/bantha/shared_lair_bantha_wasteland.iff');
INSERT INTO `object_crc_string_table` VALUES ('382017471', '16C51FBF', 'object/tangible/lair/bark_mite/shared_lair_bark_mite.iff');
INSERT INTO `object_crc_string_table` VALUES ('3158646685', 'BC451F9D', 'object/tangible/lair/bark_mite/shared_lair_bark_mite_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('1801002251', '6B591D0B', 'object/tangible/lair/bark_mite/shared_lair_bark_mite_hills.iff');
INSERT INTO `object_crc_string_table` VALUES ('326994159', '137D88EF', 'object/tangible/lair/base/shared_antpile_dark.iff');
INSERT INTO `object_crc_string_table` VALUES ('1286978231', '4CB5BAB7', 'object/tangible/lair/base/shared_antpile_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('2767616602', 'A4F67A5A', 'object/tangible/lair/base/shared_bramble_dark.iff');
INSERT INTO `object_crc_string_table` VALUES ('1681838796', '643ED2CC', 'object/tangible/lair/base/shared_bramble_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('1710583853', '65F5702D', 'object/tangible/lair/base/shared_cave_small_dark.iff');
INSERT INTO `object_crc_string_table` VALUES ('1048520930', '3E7F28E2', 'object/tangible/lair/base/shared_cave_small_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('2097596216', '7D06C738', 'object/tangible/lair/base/shared_earthmound_dark.iff');
INSERT INTO `object_crc_string_table` VALUES ('2815494954', 'A7D10B2A', 'object/tangible/lair/base/shared_earthmound_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('3530316477', 'D26C5ABD', 'object/tangible/lair/base/shared_lair_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3488597328', 'CFEFC550', 'object/tangible/lair/base/shared_lair_base_cave_griffon_dark.iff');
INSERT INTO `object_crc_string_table` VALUES ('4201633082', 'FA6FD53A', 'object/tangible/lair/base/shared_lair_base_cave_griffon_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('552648551', '20F0BF67', 'object/tangible/lair/base/shared_lair_base_cave_lion_dark.iff');
INSERT INTO `object_crc_string_table` VALUES ('418609662', '18F379FE', 'object/tangible/lair/base/shared_lair_base_cave_lion_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('3148303792', 'BBA74DB0', 'object/tangible/lair/base/shared_lair_base_crevice_dark.iff');
INSERT INTO `object_crc_string_table` VALUES ('1096244737', '41575E01', 'object/tangible/lair/base/shared_lair_base_crevice_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('3561390098', 'D4468012', 'object/tangible/lair/base/shared_lair_base_den_earthen_dark.iff');
INSERT INTO `object_crc_string_table` VALUES ('879789867', '3470872B', 'object/tangible/lair/base/shared_lair_base_den_earthen_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('734574174', '2BC8B65E', 'object/tangible/lair/base/shared_lair_base_hovel.iff');
INSERT INTO `object_crc_string_table` VALUES ('3776501697', 'E118D7C1', 'object/tangible/lair/base/shared_lair_base_imperial_guard.iff');
INSERT INTO `object_crc_string_table` VALUES ('2387382663', '8E4C9187', 'object/tangible/lair/base/shared_lair_base_mound_bramble_dark.iff');
INSERT INTO `object_crc_string_table` VALUES ('1769762810', '697C6FFA', 'object/tangible/lair/base/shared_lair_base_mound_bramble_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('3360926461', 'C853AAFD', 'object/tangible/lair/base/shared_lair_base_mound_insect_dark.iff');
INSERT INTO `object_crc_string_table` VALUES ('1481058367', '5847283F', 'object/tangible/lair/base/shared_lair_base_mound_insect_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('1671618921', '63A2E169', 'object/tangible/lair/base/shared_lair_base_nest_ground_lg_dark.iff');
INSERT INTO `object_crc_string_table` VALUES ('1936204112', '73682150', 'object/tangible/lair/base/shared_lair_base_nest_ground_lg_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('3610220706', 'D72F98A2', 'object/tangible/lair/base/shared_lair_base_nest_tree_lg_dark.iff');
INSERT INTO `object_crc_string_table` VALUES ('1344999922', '502B11F2', 'object/tangible/lair/base/shared_lair_base_nest_tree_lg_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('738621096', '2C0676A8', 'object/tangible/lair/base/shared_lair_base_rancor_dark.iff');
INSERT INTO `object_crc_string_table` VALUES ('3677760922', 'DB362D9A', 'object/tangible/lair/base/shared_lair_base_rancor_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('960523007', '39406AFF', 'object/tangible/lair/base/shared_lair_base_trash_dark.iff');
INSERT INTO `object_crc_string_table` VALUES ('3338586753', 'C6FECA81', 'object/tangible/lair/base/shared_lair_base_trash_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('1002824904', '3BC5E4C8', 'object/tangible/lair/base/shared_nest_tree.iff');
INSERT INTO `object_crc_string_table` VALUES ('1575829275', '5DED3F1B', 'object/tangible/lair/base/shared_objective_banner_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('1806591986', '6BAE67F2', 'object/tangible/lair/base/shared_objective_banner_generic_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2964967269', 'B0B9CF65', 'object/tangible/lair/base/shared_objective_banner_generic_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3154468577', 'BC055EE1', 'object/tangible/lair/base/shared_objective_banner_imperial.iff');
INSERT INTO `object_crc_string_table` VALUES ('3574902738', 'D514AFD2', 'object/tangible/lair/base/shared_objective_banner_rebel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1638817412', '61AE5E84', 'object/tangible/lair/base/shared_objective_banner_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('1367098929', '517C4631', 'object/tangible/lair/base/shared_objective_dantari_fire_pit.iff');
INSERT INTO `object_crc_string_table` VALUES ('426269176', '196859F8', 'object/tangible/lair/base/shared_objective_dantari_monolith.iff');
INSERT INTO `object_crc_string_table` VALUES ('1140811690', '43FF67AA', 'object/tangible/lair/base/shared_objective_data_terminal.iff');
INSERT INTO `object_crc_string_table` VALUES ('2446722637', '91D6064D', 'object/tangible/lair/base/shared_objective_gungan_statue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3090575675', 'B836713B', 'object/tangible/lair/base/shared_objective_main_terminal.iff');
INSERT INTO `object_crc_string_table` VALUES ('4290984139', 'FFC338CB', 'object/tangible/lair/base/shared_objective_mts_clan_monolith.iff');
INSERT INTO `object_crc_string_table` VALUES ('468482047', '1BEC77FF', 'object/tangible/lair/base/shared_objective_power_generator.iff');
INSERT INTO `object_crc_string_table` VALUES ('2086368006', '7C5B7306', 'object/tangible/lair/base/shared_objective_power_node.iff');
INSERT INTO `object_crc_string_table` VALUES ('3115996224', 'B9BA5440', 'object/tangible/lair/base/shared_objective_power_transformer.iff');
INSERT INTO `object_crc_string_table` VALUES ('3142299424', 'BB4BAF20', 'object/tangible/lair/base/shared_poi_all_lair_bones.iff');
INSERT INTO `object_crc_string_table` VALUES ('2845871690', 'A9A08E4A', 'object/tangible/lair/base/shared_poi_all_lair_bones_evil_fire_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('1770695820', '698AAC8C', 'object/tangible/lair/base/shared_poi_all_lair_bones_evil_fire_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('3803873203', 'E2BA7FB3', 'object/tangible/lair/base/shared_poi_all_lair_bones_evil_fire_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('430580141', '19AA21AD', 'object/tangible/lair/base/shared_poi_all_lair_bones_fog_gray.iff');
INSERT INTO `object_crc_string_table` VALUES ('965028408', '39852A38', 'object/tangible/lair/base/shared_poi_all_lair_bones_fog_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('3554933816', 'D3E3FC38', 'object/tangible/lair/base/shared_poi_all_lair_bones_fog_mustard.iff');
INSERT INTO `object_crc_string_table` VALUES ('1163934021', '45603945', 'object/tangible/lair/base/shared_poi_all_lair_bones_fog_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('1362281265', '5132C331', 'object/tangible/lair/base/shared_poi_all_lair_bones_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('3202178196', 'BEDD5C94', 'object/tangible/lair/base/shared_poi_all_lair_bones_large_evil_fire_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('287273685', '111F72D5', 'object/tangible/lair/base/shared_poi_all_lair_bones_large_evil_fire_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('4123503981', 'F5C7AD6D', 'object/tangible/lair/base/shared_poi_all_lair_bones_large_evil_fire_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('2627450629', '9C9BB705', 'object/tangible/lair/base/shared_poi_all_lair_bones_large_fog_gray.iff');
INSERT INTO `object_crc_string_table` VALUES ('1994000829', '76DA09BD', 'object/tangible/lair/base/shared_poi_all_lair_bones_large_fog_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('1283439590', '4C7FBBE6', 'object/tangible/lair/base/shared_poi_all_lair_bones_large_fog_mustard.iff');
INSERT INTO `object_crc_string_table` VALUES ('4286037128', 'FF77BC88', 'object/tangible/lair/base/shared_poi_all_lair_bones_large_fog_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('2971623955', 'B11F6213', 'object/tangible/lair/base/shared_poi_all_lair_brambles_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('3450920549', 'CDB0DE65', 'object/tangible/lair/base/shared_poi_all_lair_brambles_large_evil_fire_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('3728817132', 'DE413BEC', 'object/tangible/lair/base/shared_poi_all_lair_brambles_large_evil_fire_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('2259300252', '86AA2F9C', 'object/tangible/lair/base/shared_poi_all_lair_brambles_large_evil_fire_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('1837327181', '6D83634D', 'object/tangible/lair/base/shared_poi_all_lair_brambles_large_fog.iff');
INSERT INTO `object_crc_string_table` VALUES ('1099426587', '4187EB1B', 'object/tangible/lair/base/shared_poi_all_lair_brambles_large_fog_gray.iff');
INSERT INTO `object_crc_string_table` VALUES ('1255201415', '4AD0DA87', 'object/tangible/lair/base/shared_poi_all_lair_brambles_large_fog_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('1330750206', '4F51A2FE', 'object/tangible/lair/base/shared_poi_all_lair_brambles_large_fog_mustard.iff');
INSERT INTO `object_crc_string_table` VALUES ('3991876404', 'EDEF3334', 'object/tangible/lair/base/shared_poi_all_lair_brambles_large_fog_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('2231694906', '8504F63A', 'object/tangible/lair/base/shared_poi_all_lair_brambles_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('3553159285', 'D3C8E875', 'object/tangible/lair/base/shared_poi_all_lair_brambles_small_evil_fire_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('1553145843', '5C931FF3', 'object/tangible/lair/base/shared_poi_all_lair_brambles_small_evil_fire_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('2563905932', '98D2198C', 'object/tangible/lair/base/shared_poi_all_lair_brambles_small_evil_fire_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('1638603949', '61AB1CAD', 'object/tangible/lair/base/shared_poi_all_lair_brambles_small_fog_gray.iff');
INSERT INTO `object_crc_string_table` VALUES ('4261730919', 'FE04DA67', 'object/tangible/lair/base/shared_poi_all_lair_brambles_small_fog_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('3128216527', 'BA74CBCF', 'object/tangible/lair/base/shared_poi_all_lair_brambles_small_fog_mustard.iff');
INSERT INTO `object_crc_string_table` VALUES ('1159215224', '45183878', 'object/tangible/lair/base/shared_poi_all_lair_brambles_small_fog_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('759277072', '2D41A610', 'object/tangible/lair/base/shared_poi_all_lair_dead_log_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('3507525090', 'D11095E2', 'object/tangible/lair/base/shared_poi_all_lair_dead_log_large_evil_fire_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('2858454846', 'AA608F3E', 'object/tangible/lair/base/shared_poi_all_lair_dead_log_large_evil_fire_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('2584372251', '9A0A641B', 'object/tangible/lair/base/shared_poi_all_lair_dead_log_large_evil_fire_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('1743001105', '67E41611', 'object/tangible/lair/base/shared_poi_all_lair_dead_log_large_fog_gray.iff');
INSERT INTO `object_crc_string_table` VALUES ('2877828053', 'AB882BD5', 'object/tangible/lair/base/shared_poi_all_lair_dead_log_large_fog_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('3521947503', 'D1ECA76F', 'object/tangible/lair/base/shared_poi_all_lair_dead_log_large_fog_mustard.iff');
INSERT INTO `object_crc_string_table` VALUES ('3824541289', 'E3F5DE69', 'object/tangible/lair/base/shared_poi_all_lair_dead_log_large_fog_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('425341497', '195A3239', 'object/tangible/lair/base/shared_poi_all_lair_dead_log_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('3479741426', 'CF68A3F2', 'object/tangible/lair/base/shared_poi_all_lair_dead_log_small_evil_fire_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('682797857', '28B2AB21', 'object/tangible/lair/base/shared_poi_all_lair_dead_log_small_evil_fire_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('2222084619', '8472520B', 'object/tangible/lair/base/shared_poi_all_lair_dead_log_small_evil_fire_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('1204347303', '47C8E1A7', 'object/tangible/lair/base/shared_poi_all_lair_dead_log_small_fog_gray.iff');
INSERT INTO `object_crc_string_table` VALUES ('526134069', '1F5C2B35', 'object/tangible/lair/base/shared_poi_all_lair_dead_log_small_fog_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('617205342', '24C9CE5E', 'object/tangible/lair/base/shared_poi_all_lair_dead_log_small_fog_mustard.iff');
INSERT INTO `object_crc_string_table` VALUES ('1258476837', '4B02D525', 'object/tangible/lair/base/shared_poi_all_lair_dead_log_small_fog_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('2517129351', '96085887', 'object/tangible/lair/base/shared_poi_all_lair_garbage_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('2898447287', 'ACC2CBB7', 'object/tangible/lair/base/shared_poi_all_lair_garbage_large_evil_fire_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('182921096', 'AE72788', 'object/tangible/lair/base/shared_poi_all_lair_garbage_large_evil_fire_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('3889707598', 'E7D83A4E', 'object/tangible/lair/base/shared_poi_all_lair_garbage_large_evil_fire_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('823883732', '311B77D4', 'object/tangible/lair/base/shared_poi_all_lair_garbage_large_fog_gray.iff');
INSERT INTO `object_crc_string_table` VALUES ('922224736', '36F80860', 'object/tangible/lair/base/shared_poi_all_lair_garbage_large_fog_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('2638567972', '9D455A24', 'object/tangible/lair/base/shared_poi_all_lair_garbage_large_fog_mustard.iff');
INSERT INTO `object_crc_string_table` VALUES ('2777489717', 'A58D2135', 'object/tangible/lair/base/shared_poi_all_lair_garbage_large_fog_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('2719206574', 'A213CCAE', 'object/tangible/lair/base/shared_poi_all_lair_garbage_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('2998599079', 'B2BAFDA7', 'object/tangible/lair/base/shared_poi_all_lair_garbage_small_evil_fire_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('2285175703', '88350397', 'object/tangible/lair/base/shared_poi_all_lair_garbage_small_evil_fire_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('4188015710', 'F9A00C5E', 'object/tangible/lair/base/shared_poi_all_lair_garbage_small_evil_fire_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('288850018', '11378062', 'object/tangible/lair/base/shared_poi_all_lair_garbage_small_fog_gray.iff');
INSERT INTO `object_crc_string_table` VALUES ('2183923840', '822C0880', 'object/tangible/lair/base/shared_poi_all_lair_garbage_small_fog_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('1751134997', '68603315', 'object/tangible/lair/base/shared_poi_all_lair_garbage_small_fog_mustard.iff');
INSERT INTO `object_crc_string_table` VALUES ('226110073', 'D7A2A79', 'object/tangible/lair/base/shared_poi_all_lair_garbage_small_fog_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('2912626123', 'AD9B25CB', 'object/tangible/lair/base/shared_poi_all_lair_insecthill_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('1861288469', '6EF10215', 'object/tangible/lair/base/shared_poi_all_lair_insecthill_large_evil_fire_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('2385068823', '8E294317', 'object/tangible/lair/base/shared_poi_all_lair_insecthill_large_evil_fire_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('636220396', '25EBF3EC', 'object/tangible/lair/base/shared_poi_all_lair_insecthill_large_evil_fire_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('1730491297', '672533A1', 'object/tangible/lair/base/shared_poi_all_lair_insecthill_large_fog_gray.iff');
INSERT INTO `object_crc_string_table` VALUES ('1789762517', '6AAD9BD5', 'object/tangible/lair/base/shared_poi_all_lair_insecthill_large_fog_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('4292415468', 'FFD90FEC', 'object/tangible/lair/base/shared_poi_all_lair_insecthill_large_fog_mustard.iff');
INSERT INTO `object_crc_string_table` VALUES ('2995341818', 'B28949FA', 'object/tangible/lair/base/shared_poi_all_lair_insecthill_large_fog_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('2575348194', '9980B1E2', 'object/tangible/lair/base/shared_poi_all_lair_insecthill_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('1888039941', '70893405', 'object/tangible/lair/base/shared_poi_all_lair_insecthill_small_evil_fire_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('217802504', 'CFB6708', 'object/tangible/lair/base/shared_poi_all_lair_insecthill_small_evil_fire_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('999540220', '3B93C5FC', 'object/tangible/lair/base/shared_poi_all_lair_insecthill_small_evil_fire_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('1191822359', '4709C417', 'object/tangible/lair/base/shared_poi_all_lair_insecthill_small_fog_gray.iff');
INSERT INTO `object_crc_string_table` VALUES ('3732511541', 'DE799B35', 'object/tangible/lair/base/shared_poi_all_lair_insecthill_small_fog_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('184313565', 'AFC66DD', 'object/tangible/lair/base/shared_poi_all_lair_insecthill_small_fog_mustard.iff');
INSERT INTO `object_crc_string_table` VALUES ('444482230', '1A7E42B6', 'object/tangible/lair/base/shared_poi_all_lair_insecthill_small_fog_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('228848137', 'DA3F209', 'object/tangible/lair/base/shared_poi_all_lair_leaf_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('289667785', '1143FAC9', 'object/tangible/lair/base/shared_poi_all_lair_leaf_large_evil_fire_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('2898038316', 'ACBC8E2C', 'object/tangible/lair/base/shared_poi_all_lair_leaf_large_evil_fire_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('1515785008', '5A590B30', 'object/tangible/lair/base/shared_poi_all_lair_leaf_large_evil_fire_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('1207051318', '47F22436', 'object/tangible/lair/base/shared_poi_all_lair_leaf_large_fog_gray.iff');
INSERT INTO `object_crc_string_table` VALUES ('630831669', '2599BA35', 'object/tangible/lair/base/shared_poi_all_lair_leaf_large_fog_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('3855500740', 'E5CE45C4', 'object/tangible/lair/base/shared_poi_all_lair_leaf_large_fog_mustard.iff');
INSERT INTO `object_crc_string_table` VALUES ('3523558187', 'D2053B2B', 'object/tangible/lair/base/shared_poi_all_lair_leaf_large_fog_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('3643744513', 'D92F2101', 'object/tangible/lair/base/shared_poi_all_lair_leaf_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('968386080', '39B86620', 'object/tangible/lair/base/shared_poi_all_lair_leaf_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('255577305', 'F3BCCD9', 'object/tangible/lair/base/shared_poi_all_lair_leaf_small_evil_fire_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('779004467', '2E6EAA33', 'object/tangible/lair/base/shared_poi_all_lair_leaf_small_evil_fire_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('1143029024', '44213D20', 'object/tangible/lair/base/shared_poi_all_lair_leaf_small_evil_fire_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('1742656384', '67DED380', 'object/tangible/lair/base/shared_poi_all_lair_leaf_small_fog_gray.iff');
INSERT INTO `object_crc_string_table` VALUES ('2437790421', '914DBAD5', 'object/tangible/lair/base/shared_poi_all_lair_leaf_small_fog_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('283847925', '10EB2CF5', 'object/tangible/lair/base/shared_poi_all_lair_leaf_small_fog_mustard.iff');
INSERT INTO `object_crc_string_table` VALUES ('2062692455', '7AF23067', 'object/tangible/lair/base/shared_poi_all_lair_leaf_small_fog_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('420187503', '190B8D6F', 'object/tangible/lair/base/shared_poi_all_lair_mound_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('1540415537', '5BD0E031', 'object/tangible/lair/base/shared_poi_all_lair_mound_large_evil_fire_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('3337919854', 'C6F49D6E', 'object/tangible/lair/base/shared_poi_all_lair_mound_large_evil_fire_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('281678280', '10CA11C8', 'object/tangible/lair/base/shared_poi_all_lair_mound_large_evil_fire_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('2881445329', 'ABBF5DD1', 'object/tangible/lair/base/shared_poi_all_lair_mound_large_fog_gray.iff');
INSERT INTO `object_crc_string_table` VALUES ('2554716200', '9845E028', 'object/tangible/lair/base/shared_poi_all_lair_mound_large_fog_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('877609923', '344F43C3', 'object/tangible/lair/base/shared_poi_all_lair_mound_large_fog_mustard.iff');
INSERT INTO `object_crc_string_table` VALUES ('2718548559', 'A209C24F', 'object/tangible/lair/base/shared_poi_all_lair_mound_large_fog_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('756029766', '2D101946', 'object/tangible/lair/base/shared_poi_all_lair_mound_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('1168692769', '45A8D621', 'object/tangible/lair/base/shared_poi_all_lair_mound_small_evil_fire_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('1143388529', '4426B971', 'object/tangible/lair/base/shared_poi_all_lair_mound_small_evil_fire_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('246556632', 'EB227D8', 'object/tangible/lair/base/shared_poi_all_lair_mound_small_evil_fire_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('2341710439', '8B93AA67', 'object/tangible/lair/base/shared_poi_all_lair_mound_small_fog_gray.iff');
INSERT INTO `object_crc_string_table` VALUES ('747757768', '2C91E0C8', 'object/tangible/lair/base/shared_poi_all_lair_mound_small_fog_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('3244960498', 'C16A2AF2', 'object/tangible/lair/base/shared_poi_all_lair_mound_small_fog_mustard.iff');
INSERT INTO `object_crc_string_table` VALUES ('184469763', 'AFEC903', 'object/tangible/lair/base/shared_poi_all_lair_mound_small_fog_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('2815445201', 'A7D048D1', 'object/tangible/lair/base/shared_poi_all_lair_nest_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('1869084369', '6F67F6D1', 'object/tangible/lair/base/shared_poi_all_lair_nest_large_evil_fire_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('622648314', '251CDBFA', 'object/tangible/lair/base/shared_poi_all_lair_nest_large_evil_fire_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('612173608', '247D0728', 'object/tangible/lair/base/shared_poi_all_lair_nest_large_evil_fire_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('2401663752', '8F267B08', 'object/tangible/lair/base/shared_poi_all_lair_nest_large_fog_gray.iff');
INSERT INTO `object_crc_string_table` VALUES ('2319776020', '8A44F914', 'object/tangible/lair/base/shared_poi_all_lair_nest_large_fog_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('2568051560', '99115B68', 'object/tangible/lair/base/shared_poi_all_lair_nest_large_fog_mustard.iff');
INSERT INTO `object_crc_string_table` VALUES ('2703235151', 'A120184F', 'object/tangible/lair/base/shared_poi_all_lair_nest_large_fog_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('2479611128', '93CBDCF8', 'object/tangible/lair/base/shared_poi_all_lair_nest_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('1897906369', '711FC0C1', 'object/tangible/lair/base/shared_poi_all_lair_nest_small_evil_fire_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('2815360997', 'A7CEFFE5', 'object/tangible/lair/base/shared_poi_all_lair_nest_small_evil_fire_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('973418808', '3A053138', 'object/tangible/lair/base/shared_poi_all_lair_nest_small_evil_fire_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('2936704190', 'AF0A8CBE', 'object/tangible/lair/base/shared_poi_all_lair_nest_small_fog_gray.iff');
INSERT INTO `object_crc_string_table` VALUES ('1049688564', '3E90F9F4', 'object/tangible/lair/base/shared_poi_all_lair_nest_small_fog_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('1815360089', '6C343259', 'object/tangible/lair/base/shared_poi_all_lair_nest_small_fog_mustard.iff');
INSERT INTO `object_crc_string_table` VALUES ('165090051', '9D71303', 'object/tangible/lair/base/shared_poi_all_lair_nest_small_fog_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('4005767247', 'EEC3284F', 'object/tangible/lair/base/shared_poi_all_lair_rock_shelter_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('643219996', '2656C21C', 'object/tangible/lair/base/shared_poi_all_lair_rock_shelter_large_evil_fire_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('58803054', '381436E', 'object/tangible/lair/base/shared_poi_all_lair_rock_shelter_large_evil_fire_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('1833710565', '6D4C33E5', 'object/tangible/lair/base/shared_poi_all_lair_rock_shelter_large_evil_fire_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('534560840', '1FDCC048', 'object/tangible/lair/base/shared_poi_all_lair_rock_shelter_large_fog_gray.iff');
INSERT INTO `object_crc_string_table` VALUES ('1440907914', '55E2828A', 'object/tangible/lair/base/shared_poi_all_lair_rock_shelter_large_fog_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('1731875387', '673A523B', 'object/tangible/lair/base/shared_poi_all_lair_rock_shelter_large_fog_mustard.iff');
INSERT INTO `object_crc_string_table` VALUES ('1658858306', '62E02B42', 'object/tangible/lair/base/shared_poi_all_lair_rock_shelter_large_fog_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('3671637094', 'DAD8BC66', 'object/tangible/lair/base/shared_poi_all_lair_rock_shelter_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('942601228', '382EF40C', 'object/tangible/lair/base/shared_poi_all_lair_rock_shelter_small_evil_fire_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('2169726833', '81536771', 'object/tangible/lair/base/shared_poi_all_lair_rock_shelter_small_evil_fire_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('1932789237', '733405F5', 'object/tangible/lair/base/shared_poi_all_lair_rock_shelter_small_evil_fire_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('1072707582', '3FF037FE', 'object/tangible/lair/base/shared_poi_all_lair_rock_shelter_small_fog_gray.iff');
INSERT INTO `object_crc_string_table` VALUES ('3778445930', 'E136826A', 'object/tangible/lair/base/shared_poi_all_lair_rock_shelter_small_fog_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('2451520266', '921F3B0A', 'object/tangible/lair/base/shared_poi_all_lair_rock_shelter_small_fog_mustard.iff');
INSERT INTO `object_crc_string_table` VALUES ('3390513166', 'CA17200E', 'object/tangible/lair/base/shared_poi_all_lair_rock_shelter_small_fog_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('2207500291', '8393C803', 'object/tangible/lair/base/shared_poi_all_lair_rocks_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('2753825733', 'A4240BC5', 'object/tangible/lair/base/shared_poi_all_lair_rocks_large_evil_fire_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('708322841', '2A382619', 'object/tangible/lair/base/shared_poi_all_lair_rocks_large_evil_fire_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('4013881916', 'EF3EFA3C', 'object/tangible/lair/base/shared_poi_all_lair_rocks_large_evil_fire_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('4032828716', 'F060152C', 'object/tangible/lair/base/shared_poi_all_lair_rocks_large_fog_gray.iff');
INSERT INTO `object_crc_string_table` VALUES ('349273422', '14D17D4E', 'object/tangible/lair/base/shared_poi_all_lair_rocks_large_fog_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('3536893154', 'D2D0B4E2', 'object/tangible/lair/base/shared_poi_all_lair_rocks_large_fog_mustard.iff');
INSERT INTO `object_crc_string_table` VALUES ('1849334540', '6E3A9B0C', 'object/tangible/lair/base/shared_poi_all_lair_rocks_large_fog_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('3079167018', 'B7885C2A', 'object/tangible/lair/base/shared_poi_all_lair_rocks_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('3126607317', 'BA5C3DD5', 'object/tangible/lair/base/shared_poi_all_lair_rocks_small_evil_fire_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('2833908230', 'A8EA0206', 'object/tangible/lair/base/shared_poi_all_lair_rocks_small_evil_fire_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('4047948844', 'F146CC2C', 'object/tangible/lair/base/shared_poi_all_lair_rocks_small_evil_fire_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('3494699674', 'D04CE29A', 'object/tangible/lair/base/shared_poi_all_lair_rocks_small_fog_gray.iff');
INSERT INTO `object_crc_string_table` VALUES ('2684714414', 'A0057DAE', 'object/tangible/lair/base/shared_poi_all_lair_rocks_small_fog_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('670424531', '27F5DDD3', 'object/tangible/lair/base/shared_poi_all_lair_rocks_small_fog_mustard.iff');
INSERT INTO `object_crc_string_table` VALUES ('3335360576', 'C6CD9040', 'object/tangible/lair/base/shared_poi_all_lair_rocks_small_fog_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('1820503108', '6C82AC44', 'object/tangible/lair/base/shared_poi_all_lair_thicket_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('3034883500', 'B4E4A5AC', 'object/tangible/lair/base/shared_poi_all_lair_thicket_large_evil_fire_gray.iff');
INSERT INTO `object_crc_string_table` VALUES ('3085171685', 'B7E3FBE5', 'object/tangible/lair/base/shared_poi_all_lair_thicket_large_evil_fire_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('3961426279', 'EC1E9167', 'object/tangible/lair/base/shared_poi_all_lair_thicket_large_evil_fire_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('4244179484', 'FCF90A1C', 'object/tangible/lair/base/shared_poi_all_lair_thicket_large_evil_fire_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('939589773', '3801008D', 'object/tangible/lair/base/shared_poi_all_lair_thicket_large_fog_gray.iff');
INSERT INTO `object_crc_string_table` VALUES ('239509871', 'E46A16F', 'object/tangible/lair/base/shared_poi_all_lair_thicket_large_fog_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('255891767', 'F409937', 'object/tangible/lair/base/shared_poi_all_lair_thicket_large_fog_mustard.iff');
INSERT INTO `object_crc_string_table` VALUES ('619312831', '24E9F6BF', 'object/tangible/lair/base/shared_poi_all_lair_thicket_large_fog_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('1486436461', '5899386D', 'object/tangible/lair/base/shared_poi_all_lair_thicket_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('2845560309', 'A99BCDF5', 'object/tangible/lair/base/shared_poi_all_lair_thicket_small_evil_fire_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('1858909560', '6ECCB578', 'object/tangible/lair/base/shared_poi_all_lair_thicket_small_evil_fire_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('3800120332', 'E2813C0C', 'object/tangible/lair/base/shared_poi_all_lair_thicket_small_evil_fire_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('405665595', '182DF73B', 'object/tangible/lair/base/shared_poi_all_lair_thicket_small_fog_gray.iff');
INSERT INTO `object_crc_string_table` VALUES ('3130171791', 'BA92A18F', 'object/tangible/lair/base/shared_poi_all_lair_thicket_small_fog_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('4200984582', 'FA65F006', 'object/tangible/lair/base/shared_poi_all_lair_thicket_small_fog_mustard.iff');
INSERT INTO `object_crc_string_table` VALUES ('2350841331', '8C1EFDF3', 'object/tangible/lair/base/shared_poi_all_lair_thicket_small_fog_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('4287958045', 'FF950C1D', 'object/tangible/lair/base/shared_poi_all_lair_warren_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('637821318', '26046186', 'object/tangible/lair/base/shared_poi_all_lair_warren_large_evil_fire_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('28715451', '1B629BB', 'object/tangible/lair/base/shared_poi_all_lair_warren_large_evil_fire_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('1830719615', '6D1E907F', 'object/tangible/lair/base/shared_poi_all_lair_warren_large_evil_fire_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('2592614872', '9A8829D8', 'object/tangible/lair/base/shared_poi_all_lair_warren_large_fog_gray.iff');
INSERT INTO `object_crc_string_table` VALUES ('2143459599', '7FC2990F', 'object/tangible/lair/base/shared_poi_all_lair_warren_large_fog_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('4001697696', 'EE850FA0', 'object/tangible/lair/base/shared_poi_all_lair_warren_large_fog_mustard.iff');
INSERT INTO `object_crc_string_table` VALUES ('1387351494', '52B14DC6', 'object/tangible/lair/base/shared_poi_all_lair_warren_large_fog_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('3415119924', 'CB8E9834', 'object/tangible/lair/base/shared_poi_all_lair_warren_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('947672982', '387C5796', 'object/tangible/lair/base/shared_poi_all_lair_warren_small_evil_fire_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('2204372388', '83640DA4', 'object/tangible/lair/base/shared_poi_all_lair_warren_small_evil_fire_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('1936107119', '7366A66F', 'object/tangible/lair/base/shared_poi_all_lair_warren_small_evil_fire_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('3131367022', 'BAA4DE6E', 'object/tangible/lair/base/shared_poi_all_lair_warren_small_fog_gray.iff');
INSERT INTO `object_crc_string_table` VALUES ('3407256047', 'CB1699EF', 'object/tangible/lair/base/shared_poi_all_lair_warren_small_fog_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('463496849', '1BA06691', 'object/tangible/lair/base/shared_poi_all_lair_warren_small_fog_mustard.iff');
INSERT INTO `object_crc_string_table` VALUES ('4198909578', 'FA46468A', 'object/tangible/lair/base/shared_poi_all_lair_warren_small_fog_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('1183728413', '468E431D', 'object/tangible/lair/base/shared_poi_all_lair_wooden.iff');
INSERT INTO `object_crc_string_table` VALUES ('4124016419', 'F5CF7F23', 'object/tangible/lair/base/shared_poi_all_lair_wooden_destroyed.iff');
INSERT INTO `object_crc_string_table` VALUES ('329214614', '139F6A96', 'object/tangible/lair/base/shared_poi_all_lair_wooden_destroyed_evil_fire_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('238872353', 'E3CE721', 'object/tangible/lair/base/shared_poi_all_lair_wooden_destroyed_evil_fire_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('1485151087', '58859B6F', 'object/tangible/lair/base/shared_poi_all_lair_wooden_destroyed_evil_fire_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('2993244082', 'B26947B2', 'object/tangible/lair/base/shared_poi_all_lair_wooden_destroyed_fog_gray.iff');
INSERT INTO `object_crc_string_table` VALUES ('545761367', '2087A857', 'object/tangible/lair/base/shared_poi_all_lair_wooden_destroyed_fog_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('269409995', '100EDECB', 'object/tangible/lair/base/shared_poi_all_lair_wooden_destroyed_fog_mustard.iff');
INSERT INTO `object_crc_string_table` VALUES ('4267544421', 'FE5D8F65', 'object/tangible/lair/base/shared_poi_all_lair_wooden_destroyed_fog_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('3398422442', 'CA8FCFAA', 'object/tangible/lair/base/shared_poi_all_lair_wooden_evil_fire_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('2885574443', 'ABFE5F2B', 'object/tangible/lair/base/shared_poi_all_lair_wooden_evil_fire_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('2174041683', '81953E53', 'object/tangible/lair/base/shared_poi_all_lair_wooden_evil_fire_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('2521819744', '964FEA60', 'object/tangible/lair/base/shared_poi_all_lair_wooden_fog_gray.iff');
INSERT INTO `object_crc_string_table` VALUES ('2366487147', '8D0DBA6B', 'object/tangible/lair/base/shared_poi_all_lair_wooden_fog_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('4226721130', 'FBEEA56A', 'object/tangible/lair/base/shared_poi_all_lair_wooden_fog_mustard.iff');
INSERT INTO `object_crc_string_table` VALUES ('1520141032', '5A9B82E8', 'object/tangible/lair/base/shared_poi_all_lair_wooden_fog_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('2089078932', '7C84D094', 'object/tangible/lair/base/shared_rancor_dark.iff');
INSERT INTO `object_crc_string_table` VALUES ('554154653', '2107BA9D', 'object/tangible/lair/base/shared_rancor_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('496750489', '1D9BCF99', 'object/tangible/lair/base/shared_trash_dark.iff');
INSERT INTO `object_crc_string_table` VALUES ('66686181', '3F98CE5', 'object/tangible/lair/baz_nitch/shared_lair_baz_nitch.iff');
INSERT INTO `object_crc_string_table` VALUES ('544226811', '20703DFB', 'object/tangible/lair/baz_nitch/shared_lair_baz_nitch_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('1253989511', '4ABE5C87', 'object/tangible/lair/baz_nitch/shared_lair_baz_nitch_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('2902384723', 'ACFEE053', 'object/tangible/lair/bearded_jax/shared_lair_bearded_jax.iff');
INSERT INTO `object_crc_string_table` VALUES ('1258386738', '4B017532', 'object/tangible/lair/bearded_jax/shared_lair_bearded_jax_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('40317031', '2673067', 'object/tangible/lair/binjinphant/shared_lair_binjinphant.iff');
INSERT INTO `object_crc_string_table` VALUES ('165640576', '9DF7980', 'object/tangible/lair/binjinphant/shared_lair_binjinphant_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('4281161854', 'FF2D587E', 'object/tangible/lair/blackfish/shared_lair_blackfish.iff');
INSERT INTO `object_crc_string_table` VALUES ('3015378000', 'B3BB0450', 'object/tangible/lair/blackfish/shared_lair_blackfish_underwater.iff');
INSERT INTO `object_crc_string_table` VALUES ('642963853', '2652D98D', 'object/tangible/lair/blistmok/shared_lair_blistmok.iff');
INSERT INTO `object_crc_string_table` VALUES ('920509188', '36DDDB04', 'object/tangible/lair/blistmok/shared_lair_blistmok_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('1298589466', '4D66E71A', 'object/tangible/lair/blistmok/shared_lair_blistmok_wasteland.iff');
INSERT INTO `object_crc_string_table` VALUES ('1606267256', '5FBDB178', 'object/tangible/lair/bluefish/shared_lair_bluefish.iff');
INSERT INTO `object_crc_string_table` VALUES ('2427174559', '90ABBE9F', 'object/tangible/lair/bluefish/shared_lair_bluefish_underwater.iff');
INSERT INTO `object_crc_string_table` VALUES ('3631991415', 'D87BCA77', 'object/tangible/lair/blurrg/shared_lair_blurrg.iff');
INSERT INTO `object_crc_string_table` VALUES ('399329773', '17CD49ED', 'object/tangible/lair/blurrg/shared_lair_blurrg_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('3043394661', 'B5668465', 'object/tangible/lair/blurrg/shared_lair_blurrg_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('2734437911', 'A2FC3617', 'object/tangible/lair/boar_wolf/shared_lair_boar_wolf.iff');
INSERT INTO `object_crc_string_table` VALUES ('150445531', '8F79DDB', 'object/tangible/lair/boar_wolf/shared_lair_boar_wolf_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('465155974', '1BB9B786', 'object/tangible/lair/bocatt/shared_lair_bocatt.iff');
INSERT INTO `object_crc_string_table` VALUES ('3263722419', 'C28873B3', 'object/tangible/lair/bocatt/shared_lair_bocatt_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('3197548002', 'BE96B5E2', 'object/tangible/lair/bocatt/shared_lair_bocatt_hills.iff');
INSERT INTO `object_crc_string_table` VALUES ('690467171', '2927B163', 'object/tangible/lair/bol/shared_lair_bol.iff');
INSERT INTO `object_crc_string_table` VALUES ('494138850', '1D73F5E2', 'object/tangible/lair/bol/shared_lair_bol_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('3363205545', 'C87671A9', 'object/tangible/lair/bolle_bol/shared_lair_bolle_bol.iff');
INSERT INTO `object_crc_string_table` VALUES ('457571636', '1B45FD34', 'object/tangible/lair/bolle_bol/shared_lair_bolle_bol_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('3974943996', 'ECECD4FC', 'object/tangible/lair/bolma/shared_lair_bolma.iff');
INSERT INTO `object_crc_string_table` VALUES ('907065118', '3610B71E', 'object/tangible/lair/bolma/shared_lair_bolma_desert.iff');
INSERT INTO `object_crc_string_table` VALUES ('184119716', 'AF971A4', 'object/tangible/lair/bolma/shared_lair_bolma_dune.iff');
INSERT INTO `object_crc_string_table` VALUES ('1763604762', '691E791A', 'object/tangible/lair/bolma/shared_lair_bolma_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('2816531423', 'A7E0DBDF', 'object/tangible/lair/bordok/shared_lair_bordok.iff');
INSERT INTO `object_crc_string_table` VALUES ('4096042384', 'F424A590', 'object/tangible/lair/bordok/shared_lair_bordok_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('2434310431', '9118A11F', 'object/tangible/lair/borgle/shared_lair_borgle.iff');
INSERT INTO `object_crc_string_table` VALUES ('1961458957', '74E97D0D', 'object/tangible/lair/borgle/shared_lair_borgle_jungle.iff');
INSERT INTO `object_crc_string_table` VALUES ('2129819322', '7EF276BA', 'object/tangible/lair/brackaset/shared_lair_brackaset.iff');
INSERT INTO `object_crc_string_table` VALUES ('3690646770', 'DBFACCF2', 'object/tangible/lair/brackaset/shared_lair_brackaset_desert.iff');
INSERT INTO `object_crc_string_table` VALUES ('772926850', '2E11ED82', 'object/tangible/lair/capper_spineflap/shared_lair_capper_spineflap.iff');
INSERT INTO `object_crc_string_table` VALUES ('1110501147', '4230E71B', 'object/tangible/lair/capper_spineflap/shared_lair_capper_spineflap_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2989290041', 'B22CF239', 'object/tangible/lair/carrion_spat/shared_lair_carrion_spat.iff');
INSERT INTO `object_crc_string_table` VALUES ('2377863666', '8DBB51F2', 'object/tangible/lair/carrion_spat/shared_lair_carrion_spat_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('320002597', '1312DA25', 'object/tangible/lair/choku/shared_lair_choku.iff');
INSERT INTO `object_crc_string_table` VALUES ('1812548247', '6C094A97', 'object/tangible/lair/choku/shared_lair_choku_jungle.iff');
INSERT INTO `object_crc_string_table` VALUES ('3941503205', 'EAEE90E5', 'object/tangible/lair/chuba/shared_lair_chuba.iff');
INSERT INTO `object_crc_string_table` VALUES ('2016717177', '7834A979', 'object/tangible/lair/chuba/shared_lair_chuba_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('745493888', '2C6F5580', 'object/tangible/lair/chuba/shared_lair_chuba_swamp.iff');
INSERT INTO `object_crc_string_table` VALUES ('52528931', '3218723', 'object/tangible/lair/colo_claw_fish/shared_lair_colo_claw_fish.iff');
INSERT INTO `object_crc_string_table` VALUES ('3773705041', 'E0EE2B51', 'object/tangible/lair/colo_claw_fish/shared_lair_colo_claw_fish_underwater.iff');
INSERT INTO `object_crc_string_table` VALUES ('1027555264', '3D3F3FC0', 'object/tangible/lair/condor_dragon/shared_lair_condor_dragon.iff');
INSERT INTO `object_crc_string_table` VALUES ('3923122581', 'E9D61995', 'object/tangible/lair/condor_dragon/shared_lair_condor_dragon_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('518156641', '1EE27161', 'object/tangible/lair/condor_dragon/shared_lair_condor_dragon_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('3008925530', 'B3588F5A', 'object/tangible/lair/corellian_butterfly/shared_lair_corellian_butterfly.iff');
INSERT INTO `object_crc_string_table` VALUES ('1882452150', '7033F0B6', 'object/tangible/lair/corellian_butterfly/shared_lair_corellian_butterfly_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('4011982198', 'EF21FD76', 'object/tangible/lair/corellian_butterfly/shared_lair_corellian_butterfly_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('1294781391', '4D2CCBCF', 'object/tangible/lair/corellian_sand_panther/shared_lair_corellian_sand_panther.iff');
INSERT INTO `object_crc_string_table` VALUES ('3907598549', 'E8E938D5', 'object/tangible/lair/corellian_sand_panther/shared_lair_corellian_sand_panther_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('866782264', '33AA0C38', 'object/tangible/lair/corellian_slice_hound/shared_lair_corellian_slice_hound.iff');
INSERT INTO `object_crc_string_table` VALUES ('2443001594', '919D3EFA', 'object/tangible/lair/corellian_slice_hound/shared_lair_corellian_slice_hound_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('3854748687', 'E5C2CC0F', 'object/tangible/lair/corellian_slice_hound/shared_lair_corellian_slice_hound_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('4155092607', 'F7A9AE7F', 'object/tangible/lair/crowned_rasp/shared_lair_crowned_rasp.iff');
INSERT INTO `object_crc_string_table` VALUES ('3519101848', 'D1C13B98', 'object/tangible/lair/crowned_rasp/shared_lair_crowned_rasp_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('3173314157', 'BD24EE6D', 'object/tangible/lair/crowned_rasp/shared_lair_crowned_rasp_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('890345407', '351197BF', 'object/tangible/lair/crystal_snake/shared_lair_crystal_snake.iff');
INSERT INTO `object_crc_string_table` VALUES ('348095194', '14BF82DA', 'object/tangible/lair/crystal_snake/shared_lair_crystal_snake_jungle.iff');
INSERT INTO `object_crc_string_table` VALUES ('1011676096', '3C4CF3C0', 'object/tangible/lair/crystal_snake/shared_lair_crystal_snake_swamp.iff');
INSERT INTO `object_crc_string_table` VALUES ('480132823', '1C9E3ED7', 'object/tangible/lair/crystal_snake/shared_lair_crystal_snake_underwater.iff');
INSERT INTO `object_crc_string_table` VALUES ('2944625946', 'AF836D1A', 'object/tangible/lair/cu_pa/shared_lair_cu_pa.iff');
INSERT INTO `object_crc_string_table` VALUES ('3403514963', 'CADD8453', 'object/tangible/lair/cu_pa/shared_lair_cu_pa_dune.iff');
INSERT INTO `object_crc_string_table` VALUES ('3513164342', 'D166A236', 'object/tangible/lair/cu_pa/shared_lair_cu_pa_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('770810726', '2DF1A366', 'object/tangible/lair/cu_pa/shared_lair_cu_pa_wasteland.iff');
INSERT INTO `object_crc_string_table` VALUES ('1654178930', '6298C472', 'object/tangible/lair/dalyrake/shared_lair_dalyrake.iff');
INSERT INTO `object_crc_string_table` VALUES ('2587304882', '9A3723B2', 'object/tangible/lair/dalyrake/shared_lair_dalyrake_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('146696119', '8BE67B7', 'object/tangible/lair/demo/shared_lair_demo.iff');
INSERT INTO `object_crc_string_table` VALUES ('62836419', '3BECEC3', 'object/tangible/lair/dewback/shared_lair_dewback.iff');
INSERT INTO `object_crc_string_table` VALUES ('605037773', '241024CD', 'object/tangible/lair/dewback/shared_lair_dewback_desert.iff');
INSERT INTO `object_crc_string_table` VALUES ('2444927445', '91BAA1D5', 'object/tangible/lair/dune_lizard/shared_lair_dune_lizard.iff');
INSERT INTO `object_crc_string_table` VALUES ('2514665274', '95E2BF3A', 'object/tangible/lair/dune_lizard/shared_lair_dune_lizard_desert.iff');
INSERT INTO `object_crc_string_table` VALUES ('3048400862', 'B5B2E7DE', 'object/tangible/lair/durni/shared_lair_durni.iff');
INSERT INTO `object_crc_string_table` VALUES ('2005132249', '7783E3D9', 'object/tangible/lair/durni/shared_lair_durni_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('3607200677', 'D70183A5', 'object/tangible/lair/durni/shared_lair_durni_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('2758659354', 'A46DCD1A', 'object/tangible/lair/dwarf_nuna/shared_lair_dwarf_nuna.iff');
INSERT INTO `object_crc_string_table` VALUES ('2456561117', '926C25DD', 'object/tangible/lair/dwarf_nuna/shared_lair_dwarf_nuna_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('1635796730', '618046FA', 'object/tangible/lair/dwarf_nuna/shared_lair_dwarf_nuna_swamp.iff');
INSERT INTO `object_crc_string_table` VALUES ('390824199', '174B8107', 'object/tangible/lair/eopie/shared_lair_eopie.iff');
INSERT INTO `object_crc_string_table` VALUES ('2432430820', '90FBF2E4', 'object/tangible/lair/eopie/shared_lair_eopie_desert.iff');
INSERT INTO `object_crc_string_table` VALUES ('769893304', '2DE3A3B8', 'object/tangible/lair/eopie/shared_lair_eopie_dune.iff');
INSERT INTO `object_crc_string_table` VALUES ('2248131866', '85FFC51A', 'object/tangible/lair/eopie/shared_lair_eopie_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('3741668029', 'DF0552BD', 'object/tangible/lair/eopie/shared_lair_eopie_wasteland.iff');
INSERT INTO `object_crc_string_table` VALUES ('3919679912', 'E9A191A8', 'object/tangible/lair/faa/shared_lair_faa.iff');
INSERT INTO `object_crc_string_table` VALUES ('92404120', '581F998', 'object/tangible/lair/faa/shared_lair_faa_underwater.iff');
INSERT INTO `object_crc_string_table` VALUES ('4013916432', 'EF3F8110', 'object/tangible/lair/falumpaset/shared_lair_falumpaset.iff');
INSERT INTO `object_crc_string_table` VALUES ('3600280476', 'D697EB9C', 'object/tangible/lair/falumpaset/shared_lair_falumpaset_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('3691403141', 'DC065785', 'object/tangible/lair/falumpaset/shared_lair_falumpaset_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('189239844', 'B479224', 'object/tangible/lair/falumpaset/shared_lair_falumpaset_swamp.iff');
INSERT INTO `object_crc_string_table` VALUES ('2348330712', '8BF8AED8', 'object/tangible/lair/fambaa/shared_lair_fambaa.iff');
INSERT INTO `object_crc_string_table` VALUES ('3030660529', 'B4A435B1', 'object/tangible/lair/fambaa/shared_lair_fambaa_swamp.iff');
INSERT INTO `object_crc_string_table` VALUES ('3965462331', 'EC5C273B', 'object/tangible/lair/fanned_rawl/shared_lair_fanned_rawl.iff');
INSERT INTO `object_crc_string_table` VALUES ('1138635179', '43DE31AB', 'object/tangible/lair/fanned_rawl/shared_lair_fanned_rawl_swamp.iff');
INSERT INTO `object_crc_string_table` VALUES ('2542789035', '978FE1AB', 'object/tangible/lair/flewt/shared_lair_flewt.iff');
INSERT INTO `object_crc_string_table` VALUES ('1133603735', '43916B97', 'object/tangible/lair/flewt/shared_lair_flewt_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2897911206', 'ACBA9DA6', 'object/tangible/lair/flewt/shared_lair_flewt_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('148367825', '8D7E9D1', 'object/tangible/lair/flit/shared_lair_flit.iff');
INSERT INTO `object_crc_string_table` VALUES ('1679618703', '641CF28F', 'object/tangible/lair/flit/shared_lair_flit_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('402738321', '18014C91', 'object/tangible/lair/flit/shared_lair_flit_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('3680958140', 'DB66F6BC', 'object/tangible/lair/flite_rasp/shared_lair_flite_rasp.iff');
INSERT INTO `object_crc_string_table` VALUES ('3329199331', 'C66F8CE3', 'object/tangible/lair/flite_rasp/shared_lair_flite_rasp_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('182559338', 'AE1A26A', 'object/tangible/lair/flite_rasp_hill/shared_lair_flite_rasp_hill.iff');
INSERT INTO `object_crc_string_table` VALUES ('2394100347', '8EB3127B', 'object/tangible/lair/fynock/shared_lair_fynock.iff');
INSERT INTO `object_crc_string_table` VALUES ('577876063', '2271B05F', 'object/tangible/lair/fynock/shared_lair_fynock_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('3668255923', 'DAA524B3', 'object/tangible/lair/gackle_bat/shared_lair_gackle_bat.iff');
INSERT INTO `object_crc_string_table` VALUES ('987504645', '3ADC2005', 'object/tangible/lair/gackle_bat/shared_lair_gackle_bat_jungle.iff');
INSERT INTO `object_crc_string_table` VALUES ('3334775369', 'C6C4A249', 'object/tangible/lair/gackle_bat/shared_lair_gackle_bat_swamp.iff');
INSERT INTO `object_crc_string_table` VALUES ('3319780027', 'C5DFD2BB', 'object/tangible/lair/gaping_spider/shared_lair_gaping_spider.iff');
INSERT INTO `object_crc_string_table` VALUES ('1706419842', '65B5E682', 'object/tangible/lair/gaping_spider/shared_lair_gaping_spider_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('451691491', '1AEC43E3', 'object/tangible/lair/gekk/shared_lair_gekk.iff');
INSERT INTO `object_crc_string_table` VALUES ('1243506243', '4A1E6643', 'object/tangible/lair/gekk/shared_lair_gekk_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('3151166549', 'BBD2FC55', 'object/tangible/lair/gnort/shared_lair_gnort.iff');
INSERT INTO `object_crc_string_table` VALUES ('622467939', '251A1B63', 'object/tangible/lair/gnort/shared_lair_gnort_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('2282996299', '8813C24B', 'object/tangible/lair/gnort/shared_lair_gnort_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('1881708167', '70289687', 'object/tangible/lair/graul/shared_lair_graul.iff');
INSERT INTO `object_crc_string_table` VALUES ('1200430930', '478D1F52', 'object/tangible/lair/graul/shared_lair_graul_jungle.iff');
INSERT INTO `object_crc_string_table` VALUES ('658868181', '274587D5', 'object/tangible/lair/gronda/shared_lair_gronda.iff');
INSERT INTO `object_crc_string_table` VALUES ('1050006158', '3E95D28E', 'object/tangible/lair/gronda/shared_lair_gronda_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('1781219126', '6A2B3F36', 'object/tangible/lair/gualama/shared_lair_gualama.iff');
INSERT INTO `object_crc_string_table` VALUES ('464760681', '1BB3AF69', 'object/tangible/lair/gualama/shared_lair_gualama_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('2954623268', 'B01BF924', 'object/tangible/lair/gubbur/shared_lair_gubbur.iff');
INSERT INTO `object_crc_string_table` VALUES ('162663967', '9B20E1F', 'object/tangible/lair/gubbur/shared_lair_gubbur_underwater.iff');
INSERT INTO `object_crc_string_table` VALUES ('2875084691', 'AB5E4F93', 'object/tangible/lair/guf_drolg/shared_lair_guf_drolg.iff');
INSERT INTO `object_crc_string_table` VALUES ('4195556845', 'FA131DED', 'object/tangible/lair/guf_drolg/shared_lair_guf_drolg_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('3851962696', 'E5984948', 'object/tangible/lair/guf_drolg/shared_lair_guf_drolg_jungle.iff');
INSERT INTO `object_crc_string_table` VALUES ('129775004', '7BC359C', 'object/tangible/lair/gulginaw/shared_lair_gulginaw.iff');
INSERT INTO `object_crc_string_table` VALUES ('3528407820', 'D24F3B0C', 'object/tangible/lair/gulginaw/shared_lair_gulginaw_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2774815419', 'A56452BB', 'object/tangible/lair/gurk/shared_lair_gurk.iff');
INSERT INTO `object_crc_string_table` VALUES ('3262874974', 'C27B855E', 'object/tangible/lair/gurk/shared_lair_gurk_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('1904490191', '718436CF', 'object/tangible/lair/gurk/shared_lair_gurk_wasteland.iff');
INSERT INTO `object_crc_string_table` VALUES ('3508293768', 'D11C5088', 'object/tangible/lair/gurnaset/shared_lair_gurnaset.iff');
INSERT INTO `object_crc_string_table` VALUES ('535348522', '1FE8C52A', 'object/tangible/lair/gurnaset/shared_lair_gurnaset_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('3153084894', 'BBF041DE', 'object/tangible/lair/gurnaset/shared_lair_gurnaset_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('2258425428', '869CD654', 'object/tangible/lair/gurreck/shared_lair_gurreck.iff');
INSERT INTO `object_crc_string_table` VALUES ('2418881242', '902D32DA', 'object/tangible/lair/gurreck/shared_lair_gurreck_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('2197561822', '82FC21DE', 'object/tangible/lair/hanadak/shared_lair_hanadak.iff');
INSERT INTO `object_crc_string_table` VALUES ('2169247668', '814C17B4', 'object/tangible/lair/hanadak/shared_lair_hanadak_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('3720772749', 'DDC67C8D', 'object/tangible/lair/hermit_spider/shared_lair_hermit_spider.iff');
INSERT INTO `object_crc_string_table` VALUES ('202240792', 'C0DF318', 'object/tangible/lair/hermit_spider/shared_lair_hermit_spider_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('1727414364', '66F6405C', 'object/tangible/lair/hermit_spider/shared_lair_hermit_spider_wasteland.iff');
INSERT INTO `object_crc_string_table` VALUES ('3995926996', 'EE2D01D4', 'object/tangible/lair/horned_krevol/shared_lair_horned_krevol.iff');
INSERT INTO `object_crc_string_table` VALUES ('883847742', '34AE723E', 'object/tangible/lair/horned_krevol/shared_lair_horned_krevol_desert.iff');
INSERT INTO `object_crc_string_table` VALUES ('524661947', '1F45B4BB', 'object/tangible/lair/horned_krevol/shared_lair_horned_krevol_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2373765729', '8D7CCA61', 'object/tangible/lair/horned_krevol/shared_lair_horned_krevol_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('4201023069', 'FA66865D', 'object/tangible/lair/horned_rasp/shared_lair_horned_rasp.iff');
INSERT INTO `object_crc_string_table` VALUES ('1788421902', '6A99270E', 'object/tangible/lair/horned_rasp/shared_lair_horned_rasp_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('2453418917', '923C33A5', 'object/tangible/lair/horned_rasp/shared_lair_horned_rasp_jungle.iff');
INSERT INTO `object_crc_string_table` VALUES ('323029276', '1341091C', 'object/tangible/lair/huf_dun/shared_lair_huf_dun.iff');
INSERT INTO `object_crc_string_table` VALUES ('1957462040', '74AC8018', 'object/tangible/lair/huf_dun/shared_lair_huf_dun_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('1260954181', '4B28A245', 'object/tangible/lair/huf_dun_hill/shared_lair_huf_dun_hill.iff');
INSERT INTO `object_crc_string_table` VALUES ('2374143434', '8D828DCA', 'object/tangible/lair/hutt_thug/shared_lair_hutt_thug_npc.iff');
INSERT INTO `object_crc_string_table` VALUES ('1349396449', '506E27E1', 'object/tangible/lair/huurton/shared_lair_huurton.iff');
INSERT INTO `object_crc_string_table` VALUES ('3768282762', 'E09B6E8A', 'object/tangible/lair/huurton/shared_lair_huurton_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('1653632566', '62906E36', 'object/tangible/lair/ikopi/shared_lair_ikopi.iff');
INSERT INTO `object_crc_string_table` VALUES ('852367209', '32CE1769', 'object/tangible/lair/ikopi/shared_lair_ikopi_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('1244300952', '4A2A8698', 'object/tangible/lair/jellyfish/shared_lair_jellyfish.iff');
INSERT INTO `object_crc_string_table` VALUES ('2597048309', '9ACBCFF5', 'object/tangible/lair/jellyfish/shared_lair_jellyfish_underwater.iff');
INSERT INTO `object_crc_string_table` VALUES ('3251401603', 'C1CC7383', 'object/tangible/lair/kaadu/shared_lair_kaadu.iff');
INSERT INTO `object_crc_string_table` VALUES ('1694176520', '64FB1508', 'object/tangible/lair/kaadu/shared_lair_kaadu_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2596368393', '9AC17009', 'object/tangible/lair/kaadu/shared_lair_kaadu_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('2515299649', '95EC6D41', 'object/tangible/lair/kaadu/shared_lair_kaadu_swamp.iff');
INSERT INTO `object_crc_string_table` VALUES ('2306923855', '8980DD4F', 'object/tangible/lair/kaitok/shared_lair_kaitok.iff');
INSERT INTO `object_crc_string_table` VALUES ('977615987', '3A453C73', 'object/tangible/lair/kaitok/shared_lair_kaitok_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('3767339902', 'E08D0B7E', 'object/tangible/lair/kaitok/shared_lair_kaitok_wasteland.iff');
INSERT INTO `object_crc_string_table` VALUES ('3165231595', 'BCA999EB', 'object/tangible/lair/kima/shared_lair_kima.iff');
INSERT INTO `object_crc_string_table` VALUES ('2030650931', '79094633', 'object/tangible/lair/kima/shared_lair_kima_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('4188775446', 'F9ABA416', 'object/tangible/lair/kima/shared_lair_kima_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('1897213420', '71152DEC', 'object/tangible/lair/kimogila/shared_lair_kimogila.iff');
INSERT INTO `object_crc_string_table` VALUES ('2372563176', '8D6A70E8', 'object/tangible/lair/kimogila/shared_lair_kimogila_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('2905887997', 'AD3454FD', 'object/tangible/lair/kimogila/shared_lair_kimogila_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('4291838693', 'FFD042E5', 'object/tangible/lair/kittle/shared_lair_kittle.iff');
INSERT INTO `object_crc_string_table` VALUES ('2947041437', 'AFA8489D', 'object/tangible/lair/kittle/shared_lair_kittle_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('4088792736', 'F3B606A0', 'object/tangible/lair/kittle/shared_lair_kittle_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('2186183651', '824E83E3', 'object/tangible/lair/kliknik/shared_lair_kliknik.iff');
INSERT INTO `object_crc_string_table` VALUES ('33728532', '202A814', 'object/tangible/lair/kliknik/shared_lair_kliknik_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2273906310', '87890E86', 'object/tangible/lair/krahbu/shared_lair_krahbu.iff');
INSERT INTO `object_crc_string_table` VALUES ('2706872784', 'A15799D0', 'object/tangible/lair/krahbu/shared_lair_krahbu_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('131974925', '7DDC70D', 'object/tangible/lair/krayt_dragon/shared_lair_krayt_dragon.iff');
INSERT INTO `object_crc_string_table` VALUES ('3458672072', 'CE2725C8', 'object/tangible/lair/krayt_dragon/shared_lair_krayt_dragon_desert.iff');
INSERT INTO `object_crc_string_table` VALUES ('2174313207', '819962F7', 'object/tangible/lair/krayt_dragon/shared_lair_krayt_dragon_wasteland.iff');
INSERT INTO `object_crc_string_table` VALUES ('2658633620', '9E778794', 'object/tangible/lair/kupernug/shared_lair_kupernug.iff');
INSERT INTO `object_crc_string_table` VALUES ('3996614231', 'EE377E57', 'object/tangible/lair/kupernug/shared_lair_kupernug_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('2421166667', '9050124B', 'object/tangible/lair/kupernug/shared_lair_kupernug_wasteland.iff');
INSERT INTO `object_crc_string_table` VALUES ('4037110317', 'F0A16A2D', 'object/tangible/lair/kusak/shared_lair_kusak.iff');
INSERT INTO `object_crc_string_table` VALUES ('3071582373', 'B714A0A5', 'object/tangible/lair/kusak/shared_lair_kusak_wasteland.iff');
INSERT INTO `object_crc_string_table` VALUES ('2075620240', '7BB77390', 'object/tangible/lair/kwi/shared_lair_kwi.iff');
INSERT INTO `object_crc_string_table` VALUES ('3436978198', 'CCDC2016', 'object/tangible/lair/kwi/shared_lair_kwi_desert.iff');
INSERT INTO `object_crc_string_table` VALUES ('3879200403', 'E737E693', 'object/tangible/lair/kwi/shared_lair_kwi_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('1326626395', '4F12B65B', 'object/tangible/lair/kwi/shared_lair_kwi_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('986654540', '3ACF274C', 'object/tangible/lair/laa/shared_lair_laa.iff');
INSERT INTO `object_crc_string_table` VALUES ('4014734204', 'EF4BFB7C', 'object/tangible/lair/laa/shared_lair_laa_underwater.iff');
INSERT INTO `object_crc_string_table` VALUES ('3783483774', 'E183617E', 'object/tangible/lair/langlatch/shared_lair_langlatch.iff');
INSERT INTO `object_crc_string_table` VALUES ('3329291401', 'C670F489', 'object/tangible/lair/langlatch/shared_lair_langlatch_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2238931411', '857361D3', 'object/tangible/lair/langlatch/shared_lair_langlatch_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('1403100093', '53A19BBD', 'object/tangible/lair/langlatch/shared_lair_langlatch_wasteland.iff');
INSERT INTO `object_crc_string_table` VALUES ('3672751802', 'DAE9BEBA', 'object/tangible/lair/lantern_bird/shared_lair_lantern_bird.iff');
INSERT INTO `object_crc_string_table` VALUES ('615980885', '24B71F55', 'object/tangible/lair/lantern_bird/shared_lair_lantern_bird_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('1819099855', '6C6D42CF', 'object/tangible/lair/malkloc/shared_lair_malkloc.iff');
INSERT INTO `object_crc_string_table` VALUES ('3825333189', 'E401F3C5', 'object/tangible/lair/malkloc/shared_lair_malkloc_desert.iff');
INSERT INTO `object_crc_string_table` VALUES ('3488232768', 'CFEA3540', 'object/tangible/lair/malkloc/shared_lair_malkloc_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('377228821', '167C0E15', 'object/tangible/lair/malkloc/shared_lair_malkloc_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('1262287323', '4B3CF9DB', 'object/tangible/lair/mamien/shared_lair_mamien.iff');
INSERT INTO `object_crc_string_table` VALUES ('222781865', 'D4761A9', 'object/tangible/lair/mamien/shared_lair_mamien_jungle.iff');
INSERT INTO `object_crc_string_table` VALUES ('3179863902', 'BD88DF5E', 'object/tangible/lair/mawgax/shared_lair_mawgax.iff');
INSERT INTO `object_crc_string_table` VALUES ('767243941', '2DBB36A5', 'object/tangible/lair/mawgax/shared_lair_mawgax_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('813716742', '30805506', 'object/tangible/lair/mawgax/shared_lair_mawgax_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('150449973', '8F7AF35', 'object/tangible/lair/merek/shared_lair_merek.iff');
INSERT INTO `object_crc_string_table` VALUES ('1521427454', '5AAF23FE', 'object/tangible/lair/merek/shared_lair_merek_jungle.iff');
INSERT INTO `object_crc_string_table` VALUES ('4083623500', 'F367264C', 'object/tangible/lair/merek/shared_lair_merek_swamp.iff');
INSERT INTO `object_crc_string_table` VALUES ('1868006233', '6F578359', 'object/tangible/lair/mott/shared_lair_mott.iff');
INSERT INTO `object_crc_string_table` VALUES ('1621695491', '60A91C03', 'object/tangible/lair/mott/shared_lair_mott_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('1522261205', '5ABBDCD5', 'object/tangible/lair/murra/shared_lair_murra.iff');
INSERT INTO `object_crc_string_table` VALUES ('1680788890', '642ECD9A', 'object/tangible/lair/murra/shared_lair_murra_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('3942109536', 'EAF7D160', 'object/tangible/lair/murra/shared_lair_murra_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('573653561', '22314239', 'object/tangible/lair/mynock/shared_lair_mynock.iff');
INSERT INTO `object_crc_string_table` VALUES ('1786171158', '6A76CF16', 'object/tangible/lair/narglatch/shared_lair_narglatch.iff');
INSERT INTO `object_crc_string_table` VALUES ('1005548587', '3BEF742B', 'object/tangible/lair/narglatch/shared_lair_narglatch_swamp.iff');
INSERT INTO `object_crc_string_table` VALUES ('2431052313', '90E6EA19', 'object/tangible/lair/nerf/shared_lair_nerf.iff');
INSERT INTO `object_crc_string_table` VALUES ('2861606931', 'AA90A813', 'object/tangible/lair/nerf/shared_lair_nerf_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('1642238246', '61E29126', 'object/tangible/lair/npc/shared_lair_npc_general.iff');
INSERT INTO `object_crc_string_table` VALUES ('1870027501', '6F765AED', 'object/tangible/lair/nuna/shared_lair_nuna.iff');
INSERT INTO `object_crc_string_table` VALUES ('3366083630', 'C8A25C2E', 'object/tangible/lair/nuna/shared_lair_nuna_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2100068580', '7D2C80E4', 'object/tangible/lair/nuna/shared_lair_nuna_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('222503390', 'D4321DE', 'object/tangible/lair/nuna/shared_lair_nuna_swamp.iff');
INSERT INTO `object_crc_string_table` VALUES ('486155425', '1CFA24A1', 'object/tangible/lair/opee_sea_killer/shared_lair_opee_sea_killer.iff');
INSERT INTO `object_crc_string_table` VALUES ('662717072', '27804290', 'object/tangible/lair/opee_sea_killer/shared_lair_opee_sea_killer_underwater.iff');
INSERT INTO `object_crc_string_table` VALUES ('2543663822', '979D3ACE', 'object/tangible/lair/peko_peko/shared_lair_peko_peko.iff');
INSERT INTO `object_crc_string_table` VALUES ('1250959161', '4A901F39', 'object/tangible/lair/peko_peko/shared_lair_peko_peko_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('739180542', '2C0EFFFE', 'object/tangible/lair/peko_peko/shared_lair_peko_peko_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('4010621056', 'EF0D3880', 'object/tangible/lair/peko_peko/shared_lair_peko_peko_swamp.iff');
INSERT INTO `object_crc_string_table` VALUES ('804817169', '2FF88911', 'object/tangible/lair/perlek/shared_lair_perlek.iff');
INSERT INTO `object_crc_string_table` VALUES ('4089303997', 'F3BDD3BD', 'object/tangible/lair/perlek/shared_lair_perlek_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('3319913083', 'C5E1DA7B', 'object/tangible/lair/perlek/shared_lair_perlek_jungle.iff');
INSERT INTO `object_crc_string_table` VALUES ('3003958462', 'B30CC4BE', 'object/tangible/lair/pharple/shared_lair_pharple.iff');
INSERT INTO `object_crc_string_table` VALUES ('4033646950', 'F06C9166', 'object/tangible/lair/pharple/shared_lair_pharple_wasteland.iff');
INSERT INTO `object_crc_string_table` VALUES ('206631052', 'C50F08C', 'object/tangible/lair/piket/shared_lair_piket.iff');
INSERT INTO `object_crc_string_table` VALUES ('1495135397', '591DF4A5', 'object/tangible/lair/piket/shared_lair_piket_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('3571980970', 'D4E81AAA', 'object/tangible/lair/plumed_rasp/shared_lair_plumed_rasp.iff');
INSERT INTO `object_crc_string_table` VALUES ('847621417', '3285AD29', 'object/tangible/lair/plumed_rasp/shared_lair_plumed_rasp_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('4105359353', 'F4B2CFF9', 'object/tangible/lair/plumed_rasp/shared_lair_plumed_rasp_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('2069689133', '7B5CF32D', 'object/tangible/lair/pufferfish/shared_lair_pufferfish.iff');
INSERT INTO `object_crc_string_table` VALUES ('2279018496', '87D71000', 'object/tangible/lair/pufferfish/shared_lair_pufferfish_underwater.iff');
INSERT INTO `object_crc_string_table` VALUES ('1270614001', '4BBC07F1', 'object/tangible/lair/pugoriss/shared_lair_pugoriss.iff');
INSERT INTO `object_crc_string_table` VALUES ('3218295663', 'BFD34B6F', 'object/tangible/lair/pugoriss/shared_lair_pugoriss_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('1874608603', '6FBC41DB', 'object/tangible/lair/purbole/shared_lair_purbole.iff');
INSERT INTO `object_crc_string_table` VALUES ('2529340012', '96C2AA6C', 'object/tangible/lair/purbole/shared_lair_purbole_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('1829714494', '6D0F3A3E', 'object/tangible/lair/quenker/shared_lair_quenker.iff');
INSERT INTO `object_crc_string_table` VALUES ('571906509', '221699CD', 'object/tangible/lair/quenker/shared_lair_quenker_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('1736818373', '6785BEC5', 'object/tangible/lair/qurvel/shared_lair_qurvel.iff');
INSERT INTO `object_crc_string_table` VALUES ('107086842', '66203FA', 'object/tangible/lair/qurvel/shared_lair_qurvel_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('4099487001', 'F4593519', 'object/tangible/lair/qurvel/shared_lair_qurvel_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('2318276825', '8A2E18D9', 'object/tangible/lair/rancor/shared_lair_rancor.iff');
INSERT INTO `object_crc_string_table` VALUES ('2929914812', 'AEA2F3BC', 'object/tangible/lair/rancor/shared_lair_rancor_desert.iff');
INSERT INTO `object_crc_string_table` VALUES ('2174078931', '8195CFD3', 'object/tangible/lair/rancor/shared_lair_rancor_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('3495854251', 'D05E80AB', 'object/tangible/lair/ray/shared_lair_ray.iff');
INSERT INTO `object_crc_string_table` VALUES ('3792404273', 'E20B7F31', 'object/tangible/lair/ray/shared_lair_ray_underwater.iff');
INSERT INTO `object_crc_string_table` VALUES ('3833889530', 'E48482FA', 'object/tangible/lair/rebel/shared_lair_rebel_npc.iff');
INSERT INTO `object_crc_string_table` VALUES ('1568679889', '5D8027D1', 'object/tangible/lair/remmer/shared_lair_remmer.iff');
INSERT INTO `object_crc_string_table` VALUES ('1785284401', '6A694731', 'object/tangible/lair/remmer/shared_lair_remmer_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('3159632907', 'BC542C0B', 'object/tangible/lair/remmer/shared_lair_remmer_jungle.iff');
INSERT INTO `object_crc_string_table` VALUES ('1767218829', '69559E8D', 'object/tangible/lair/reptilian_flyer/shared_lair_reptilian_flyer.iff');
INSERT INTO `object_crc_string_table` VALUES ('989527915', '3AFAFF6B', 'object/tangible/lair/reptilian_flyer/shared_lair_reptilian_flyer_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('4098043121', 'F4432CF1', 'object/tangible/lair/reptilian_flyer/shared_lair_reptilian_flyer_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('636662941', '25F2B49D', 'object/tangible/lair/roba/shared_lair_roba.iff');
INSERT INTO `object_crc_string_table` VALUES ('4293395359', 'FFE8039F', 'object/tangible/lair/roba/shared_lair_roba_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('2140994340', '7F9CFB24', 'object/tangible/lair/roba_hill/shared_lair_roba_hill.iff');
INSERT INTO `object_crc_string_table` VALUES ('3536993046', 'D2D23B16', 'object/tangible/lair/rock_mite/shared_lair_rock_mite.iff');
INSERT INTO `object_crc_string_table` VALUES ('4213428417', 'FB23D0C1', 'object/tangible/lair/rock_mite/shared_lair_rock_mite_desert.iff');
INSERT INTO `object_crc_string_table` VALUES ('151987616', '90F25A0', 'object/tangible/lair/rock_mite/shared_lair_rock_mite_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('1944425271', '73E59337', 'object/tangible/lair/rock_mite/shared_lair_rock_mite_wasteland.iff');
INSERT INTO `object_crc_string_table` VALUES ('2470399210', '933F4CEA', 'object/tangible/lair/ronto/shared_lair_ronto.iff');
INSERT INTO `object_crc_string_table` VALUES ('28411685', '1B18725', 'object/tangible/lair/ronto/shared_lair_ronto_desert.iff');
INSERT INTO `object_crc_string_table` VALUES ('3699812531', 'DC86A8B3', 'object/tangible/lair/ronto/shared_lair_ronto_dune.iff');
INSERT INTO `object_crc_string_table` VALUES ('2598164093', '9ADCD67D', 'object/tangible/lair/salt_mynock/shared_lair_salt_mynock.iff');
INSERT INTO `object_crc_string_table` VALUES ('3617713744', 'D7A1EE50', 'object/tangible/lair/salt_mynock/shared_lair_salt_mynock_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('4030433492', 'F03B88D4', 'object/tangible/lair/salt_mynock/shared_lair_salt_mynock_wasteland.iff');
INSERT INTO `object_crc_string_table` VALUES ('939893081', '3805A159', 'object/tangible/lair/sarlacc/shared_lair_sarlacc.iff');
INSERT INTO `object_crc_string_table` VALUES ('2362534144', '8CD16900', 'object/tangible/lair/sarlacc/shared_lair_sarlacc_desert.iff');
INSERT INTO `object_crc_string_table` VALUES ('3654226862', 'D9CF13AE', 'object/tangible/lair/scurrier/shared_lair_scurrier.iff');
INSERT INTO `object_crc_string_table` VALUES ('1092043415', '41174297', 'object/tangible/lair/scurrier/shared_lair_scurrier_desert.iff');
INSERT INTO `object_crc_string_table` VALUES ('129638931', '7BA2213', 'object/tangible/lair/scurrier/shared_lair_scurrier_dune.iff');
INSERT INTO `object_crc_string_table` VALUES ('3299579420', 'C4AB961C', 'object/tangible/lair/scurrier/shared_lair_scurrier_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('3138468221', 'BB11397D', 'object/tangible/lair/scurrier/shared_lair_scurrier_wasteland.iff');
INSERT INTO `object_crc_string_table` VALUES ('1938568983', '738C3717', 'object/tangible/lair/shared_npc_lair.iff');
INSERT INTO `object_crc_string_table` VALUES ('196553824', 'BB72C60', 'object/tangible/lair/sharnaff/shared_lair_sharnaff.iff');
INSERT INTO `object_crc_string_table` VALUES ('150207939', '8F3FDC3', 'object/tangible/lair/sharnaff/shared_lair_sharnaff_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2092015518', '7CB19F9E', 'object/tangible/lair/sharnaff/shared_lair_sharnaff_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('56634783', '3602D9F', 'object/tangible/lair/shaupaut/shared_lair_shaupaut.iff');
INSERT INTO `object_crc_string_table` VALUES ('1064337645', '3F7080ED', 'object/tangible/lair/shaupaut/shared_lair_shaupaut_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2989589042', 'B2318232', 'object/tangible/lair/shaupaut/shared_lair_shaupaut_swamp.iff');
INSERT INTO `object_crc_string_table` VALUES ('1395090938', '532765FA', 'object/tangible/lair/shear_mite/shared_lair_shear_mite.iff');
INSERT INTO `object_crc_string_table` VALUES ('9878364', '96BB5C', 'object/tangible/lair/shear_mite/shared_lair_shear_mite_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('865403242', '3395016A', 'object/tangible/lair/shear_mite/shared_lair_shear_mite_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('3525197879', 'D21E4037', 'object/tangible/lair/skreeg/shared_lair_skreeg.iff');
INSERT INTO `object_crc_string_table` VALUES ('962440956', '395DAEFC', 'object/tangible/lair/skreeg/shared_lair_skreeg_jungle.iff');
INSERT INTO `object_crc_string_table` VALUES ('2757887034', 'A462043A', 'object/tangible/lair/skreeg/shared_lair_skreeg_swamp.iff');
INSERT INTO `object_crc_string_table` VALUES ('3190753462', 'BE2F08B6', 'object/tangible/lair/snorbal/shared_lair_snorbal.iff');
INSERT INTO `object_crc_string_table` VALUES ('1664191883', '63318D8B', 'object/tangible/lair/snorbal/shared_lair_snorbal_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('80246849', '4C87841', 'object/tangible/lair/snorbal_hill/shared_lair_snorbal_hill.iff');
INSERT INTO `object_crc_string_table` VALUES ('3786767749', 'E1B57D85', 'object/tangible/lair/spined_puc/shared_lair_spined_puc.iff');
INSERT INTO `object_crc_string_table` VALUES ('2429481167', '90CEF0CF', 'object/tangible/lair/spined_puc/shared_lair_spined_puc_underwater.iff');
INSERT INTO `object_crc_string_table` VALUES ('2281325742', '87FA44AE', 'object/tangible/lair/spined_snake/shared_lair_spined_snake.iff');
INSERT INTO `object_crc_string_table` VALUES ('1340697568', '4FE96BE0', 'object/tangible/lair/spined_snake/shared_lair_spined_snake_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('3148607218', 'BBABEEF2', 'object/tangible/lair/spined_snake/shared_lair_spined_snake_wasteland.iff');
INSERT INTO `object_crc_string_table` VALUES ('131581462', '7D7C616', 'object/tangible/lair/squall/shared_lair_squall.iff');
INSERT INTO `object_crc_string_table` VALUES ('3621609063', 'D7DD5E67', 'object/tangible/lair/squall/shared_lair_squall_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('1781856165', '6A34F7A5', 'object/tangible/lair/squill/shared_lair_squill.iff');
INSERT INTO `object_crc_string_table` VALUES ('2102372943', '7D4FAA4F', 'object/tangible/lair/squill/shared_lair_squill_desert.iff');
INSERT INTO `object_crc_string_table` VALUES ('3535581753', 'D2BCB239', 'object/tangible/lair/stintaril/shared_lair_stintaril.iff');
INSERT INTO `object_crc_string_table` VALUES ('3799137931', 'E2723E8B', 'object/tangible/lair/stintaril/shared_lair_stintaril_jungle.iff');
INSERT INTO `object_crc_string_table` VALUES ('3834490330', 'E48DADDA', 'object/tangible/lair/stintaril/shared_lair_stintaril_swamp.iff');
INSERT INTO `object_crc_string_table` VALUES ('2371032814', '8D5316EE', 'object/tangible/lair/stormtrooper/shared_lair_stormtrooper_npc.iff');
INSERT INTO `object_crc_string_table` VALUES ('348164560', '14C091D0', 'object/tangible/lair/striped_fish/shared_lair_striped_fish.iff');
INSERT INTO `object_crc_string_table` VALUES ('1569350634', '5D8A63EA', 'object/tangible/lair/striped_fish/shared_lair_striped_fish_underwater.iff');
INSERT INTO `object_crc_string_table` VALUES ('3412992193', 'CB6E20C1', 'object/tangible/lair/structure/exterior/shared_lair_cave_giant_exterior_graul.iff');
INSERT INTO `object_crc_string_table` VALUES ('743053980', '2C4A1A9C', 'object/tangible/lair/structure/exterior/shared_lair_cave_giant_exterior_kimogila.iff');
INSERT INTO `object_crc_string_table` VALUES ('449676358', '1ACD8446', 'object/tangible/lair/structure/exterior/shared_lair_cave_giant_exterior_krayt_dragon.iff');
INSERT INTO `object_crc_string_table` VALUES ('2913519397', 'ADA8C725', 'object/tangible/lair/structure/exterior/shared_lair_cave_giant_exterior_rancor.iff');
INSERT INTO `object_crc_string_table` VALUES ('3125250632', 'BA478A48', 'object/tangible/lair/structure/exterior/shared_lair_cave_large_exterior_condor_dragon.iff');
INSERT INTO `object_crc_string_table` VALUES ('455779396', '1B2AA444', 'object/tangible/lair/structure/exterior/shared_lair_cave_large_exterior_gulginaw.iff');
INSERT INTO `object_crc_string_table` VALUES ('2139786863', '7F8A8E6F', 'object/tangible/lair/structure/exterior/shared_lair_cave_large_exterior_kai-tok.iff');
INSERT INTO `object_crc_string_table` VALUES ('2915140501', 'ADC18395', 'object/tangible/lair/structure/exterior/shared_lair_cave_large_exterior_perlek.iff');
INSERT INTO `object_crc_string_table` VALUES ('3985013510', 'ED867B06', 'object/tangible/lair/structure/exterior/shared_lair_cave_medium_exterior_gurk.iff');
INSERT INTO `object_crc_string_table` VALUES ('3103858464', 'B9011F20', 'object/tangible/lair/structure/exterior/shared_lair_cave_medium_exterior_hanadak.iff');
INSERT INTO `object_crc_string_table` VALUES ('1771703273', '699A0BE9', 'object/tangible/lair/structure/exterior/shared_lair_cave_medium_exterior_mamien.iff');
INSERT INTO `object_crc_string_table` VALUES ('3177863018', 'BD6A576A', 'object/tangible/lair/structure/exterior/shared_lair_cave_medium_exterior_veermok.iff');
INSERT INTO `object_crc_string_table` VALUES ('599219084', '23B75B8C', 'object/tangible/lair/structure/exterior/shared_lair_hive_medium_exterior_dalyrake.iff');
INSERT INTO `object_crc_string_table` VALUES ('59358224', '389BC10', 'object/tangible/lair/structure/exterior/shared_lair_hive_medium_exterior_kliknik.iff');
INSERT INTO `object_crc_string_table` VALUES ('2811758761', 'A79808A9', 'object/tangible/lair/structure/exterior/shared_lair_hive_medium_exterior_merek.iff');
INSERT INTO `object_crc_string_table` VALUES ('2016356298', '782F27CA', 'object/tangible/lair/structure/interior/shared_lair_cave_giant_interior_graul.iff');
INSERT INTO `object_crc_string_table` VALUES ('1660029328', '62F20990', 'object/tangible/lair/structure/interior/shared_lair_cave_giant_interior_kimogila.iff');
INSERT INTO `object_crc_string_table` VALUES ('1633798217', '6161C849', 'object/tangible/lair/structure/interior/shared_lair_cave_giant_interior_krayt_dragon.iff');
INSERT INTO `object_crc_string_table` VALUES ('1557292930', '5CD26782', 'object/tangible/lair/structure/interior/shared_lair_cave_giant_interior_rancor.iff');
INSERT INTO `object_crc_string_table` VALUES ('2312630242', '89D7EFE2', 'object/tangible/lair/structure/interior/shared_lair_cave_large_interior_with_nest_condor_dragon.iff');
INSERT INTO `object_crc_string_table` VALUES ('2074553503', '7BA72C9F', 'object/tangible/lair/structure/interior/shared_lair_cave_large_interior_with_nest_gulginaw.iff');
INSERT INTO `object_crc_string_table` VALUES ('729911354', '2B81903A', 'object/tangible/lair/structure/interior/shared_lair_cave_large_interior_with_nest_kai-tok.iff');
INSERT INTO `object_crc_string_table` VALUES ('3681532635', 'DB6FBADB', 'object/tangible/lair/structure/interior/shared_lair_cave_large_interior_with_nest_perlek.iff');
INSERT INTO `object_crc_string_table` VALUES ('2976215460', 'B16571A4', 'object/tangible/lair/structure/interior/shared_lair_cave_medium_interior_gurk.iff');
INSERT INTO `object_crc_string_table` VALUES ('3339660099', 'C70F2B43', 'object/tangible/lair/structure/interior/shared_lair_cave_medium_interior_hanadak.iff');
INSERT INTO `object_crc_string_table` VALUES ('900308717', '35A99EED', 'object/tangible/lair/structure/interior/shared_lair_cave_medium_interior_mamien.iff');
INSERT INTO `object_crc_string_table` VALUES ('3278136073', 'C3646309', 'object/tangible/lair/structure/interior/shared_lair_cave_medium_interior_veermok.iff');
INSERT INTO `object_crc_string_table` VALUES ('4055467361', 'F1B98561', 'object/tangible/lair/structure/interior/shared_lair_hive_medium_interior_dalyrake.iff');
INSERT INTO `object_crc_string_table` VALUES ('2106034291', '7D878873', 'object/tangible/lair/structure/interior/shared_lair_hive_medium_interior_kliknik.iff');
INSERT INTO `object_crc_string_table` VALUES ('151624394', '9099ACA', 'object/tangible/lair/structure/interior/shared_lair_hive_medium_interior_merek.iff');
INSERT INTO `object_crc_string_table` VALUES ('4003634872', 'EEA29EB8', 'object/tangible/lair/swirl_prong/shared_lair_swirl_prong.iff');
INSERT INTO `object_crc_string_table` VALUES ('1455751773', '56C5025D', 'object/tangible/lair/swirl_prong/shared_lair_swirl_prong_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('3444207030', 'CD4A6DB6', 'object/tangible/lair/tanc_mite/shared_lair_tanc_mite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1352445484', '509CAE2C', 'object/tangible/lair/tanc_mite/shared_lair_tanc_mite_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('827416388', '31515F44', 'object/tangible/lair/thune/shared_lair_thune.iff');
INSERT INTO `object_crc_string_table` VALUES ('4176654445', 'F8F2B06D', 'object/tangible/lair/thune/shared_lair_thune_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('1086986057', '40CA1749', 'object/tangible/lair/torton/shared_lair_torton.iff');
INSERT INTO `object_crc_string_table` VALUES ('2619306263', '9C1F7117', 'object/tangible/lair/torton/shared_lair_torton_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('1593900791', '5F00FEF7', 'object/tangible/lair/tusk_cat/shared_lair_tusk_cat.iff');
INSERT INTO `object_crc_string_table` VALUES ('664931344', '27A20C10', 'object/tangible/lair/tusk_cat/shared_lair_tusk_cat_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('2693069296', 'A084F9F0', 'object/tangible/lair/tusken_raider/shared_lair_tusken_raider_npc.iff');
INSERT INTO `object_crc_string_table` VALUES ('880238924', '3477614C', 'object/tangible/lair/tybis/shared_lair_tybis.iff');
INSERT INTO `object_crc_string_table` VALUES ('4004634433', 'EEB1DF41', 'object/tangible/lair/tybis/shared_lair_tybis_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('2070384123', '7B678DFB', 'object/tangible/lair/veermok/shared_lair_veermok.iff');
INSERT INTO `object_crc_string_table` VALUES ('4273060059', 'FEB1B8DB', 'object/tangible/lair/veermok/shared_lair_veermok_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2554849898', '9847EA6A', 'object/tangible/lair/veermok/shared_lair_veermok_swamp.iff');
INSERT INTO `object_crc_string_table` VALUES ('1856597850', '6EA96F5A', 'object/tangible/lair/verne/shared_lair_verne.iff');
INSERT INTO `object_crc_string_table` VALUES ('2461392200', '92B5DD48', 'object/tangible/lair/verne/shared_lair_verne_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2116978464', '7E2E8720', 'object/tangible/lair/vesp/shared_lair_vesp.iff');
INSERT INTO `object_crc_string_table` VALUES ('2079570981', '7BF3BC25', 'object/tangible/lair/vesp/shared_lair_vesp_desert.iff');
INSERT INTO `object_crc_string_table` VALUES ('4143757009', 'F6FCB6D1', 'object/tangible/lair/vesp/shared_lair_vesp_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('1439526693', '55CD6F25', 'object/tangible/lair/vir_vir/shared_lair_vir_vir.iff');
INSERT INTO `object_crc_string_table` VALUES ('1627499859', '6101AD53', 'object/tangible/lair/vir_vir/shared_lair_vir_vir_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('2229387137', '84E1BF81', 'object/tangible/lair/vir_vir_hill/shared_lair_vir_vir_hill.iff');
INSERT INTO `object_crc_string_table` VALUES ('594764698', '2373639A', 'object/tangible/lair/vlutore/shared_lair_vlutore.iff');
INSERT INTO `object_crc_string_table` VALUES ('3306801185', 'C519C821', 'object/tangible/lair/vlutore/shared_lair_vlutore_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('482728149', '1CC5D8D5', 'object/tangible/lair/vlutore/shared_lair_vlutore_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('1441198347', '55E6F10B', 'object/tangible/lair/vog_eel/shared_lair_vog_eel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1951814673', '74565411', 'object/tangible/lair/vog_eel/shared_lair_vog_eel_underwater.iff');
INSERT INTO `object_crc_string_table` VALUES ('908714854', '3629E366', 'object/tangible/lair/voritor_lizard/shared_lair_voritor_lizard.iff');
INSERT INTO `object_crc_string_table` VALUES ('3526592210', 'D23386D2', 'object/tangible/lair/voritor_lizard/shared_lair_voritor_lizard_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('1883986886', '704B5BC6', 'object/tangible/lair/voritor_lizard/shared_lair_voritor_lizard_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('3826434758', 'E412C2C6', 'object/tangible/lair/vynock/shared_lair_vynock.iff');
INSERT INTO `object_crc_string_table` VALUES ('453779300', '1B0C1F64', 'object/tangible/lair/vynock/shared_lair_vynock_dune.iff');
INSERT INTO `object_crc_string_table` VALUES ('2882460738', 'ABCEDC42', 'object/tangible/lair/vynock/shared_lair_vynock_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('1253121111', '4AB11C57', 'object/tangible/lair/vynock/shared_lair_vynock_wasteland.iff');
INSERT INTO `object_crc_string_table` VALUES ('3979491544', 'ED3238D8', 'object/tangible/lair/whisper_bird/shared_lair_whisper_bird.iff');
INSERT INTO `object_crc_string_table` VALUES ('3994387683', 'EE1584E3', 'object/tangible/lair/whisper_bird/shared_lair_whisper_bird_jungle.iff');
INSERT INTO `object_crc_string_table` VALUES ('522402134', '1F233956', 'object/tangible/lair/whisper_bird/shared_lair_whisper_bird_swamp.iff');
INSERT INTO `object_crc_string_table` VALUES ('2324552203', '8A8DDA0B', 'object/tangible/lair/winged_ornith/shared_lair_winged_ornith.iff');
INSERT INTO `object_crc_string_table` VALUES ('3499819428', 'D09B01A4', 'object/tangible/lair/winged_ornith/shared_lair_winged_ornith_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('3275441058', 'C33B43A2', 'object/tangible/lair/winged_ornith/shared_lair_winged_ornith_jungle.iff');
INSERT INTO `object_crc_string_table` VALUES ('2053935761', '7A6C9291', 'object/tangible/lair/womp_rat/shared_lair_womp_rat.iff');
INSERT INTO `object_crc_string_table` VALUES ('703016558', '29E72E6E', 'object/tangible/lair/womp_rat/shared_lair_womp_rat_desert.iff');
INSERT INTO `object_crc_string_table` VALUES ('2207514475', '8393FF6B', 'object/tangible/lair/woolamander/shared_lair_woolamander.iff');
INSERT INTO `object_crc_string_table` VALUES ('2613243319', '9BC2EDB7', 'object/tangible/lair/woolamander/shared_lair_woolamander_jungle.iff');
INSERT INTO `object_crc_string_table` VALUES ('3340605461', 'C71D9815', 'object/tangible/lair/worrt/shared_lair_worrt.iff');
INSERT INTO `object_crc_string_table` VALUES ('870158284', '33DD8FCC', 'object/tangible/lair/worrt/shared_lair_worrt_desert.iff');
INSERT INTO `object_crc_string_table` VALUES ('3052352906', 'B5EF358A', 'object/tangible/lair/zucca_boar/shared_lair_zucca_boar.iff');
INSERT INTO `object_crc_string_table` VALUES ('415973727', '18CB415F', 'object/tangible/lair/zucca_boar/shared_lair_zucca_boar_desert.iff');
INSERT INTO `object_crc_string_table` VALUES ('3550514923', 'D3A08EEB', 'object/tangible/lair/zucca_boar/shared_lair_zucca_boar_dune.iff');
INSERT INTO `object_crc_string_table` VALUES ('102331287', '6197397', 'object/tangible/lair/zucca_boar/shared_lair_zucca_boar_wasteland.iff');
INSERT INTO `object_crc_string_table` VALUES ('1191572337', '4705F371', 'object/tangible/loadbeacon/shared_loadbeacon_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2015057562', '781B569A', 'object/tangible/location/base/shared_location_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('742219640', '2C3D5F78', 'object/tangible/location/shared_location_32.iff');
INSERT INTO `object_crc_string_table` VALUES ('3189159180', 'BE16B50C', 'object/tangible/location/shared_location_48.iff');
INSERT INTO `object_crc_string_table` VALUES ('3915066233', 'E95B2B79', 'object/tangible/location/shared_location_64.iff');
INSERT INTO `object_crc_string_table` VALUES ('1243606058', '4A1FEC2A', 'object/tangible/location/shared_location_80.iff');
INSERT INTO `object_crc_string_table` VALUES ('3822693835', 'E3D9ADCB', 'object/tangible/location/shared_location_96.iff');
INSERT INTO `object_crc_string_table` VALUES ('23318879', '163D15F', 'object/tangible/loot/bestine/shared_bestine_painting_schematic_blueleaf_temple.iff');
INSERT INTO `object_crc_string_table` VALUES ('392989916', '176C8CDC', 'object/tangible/loot/bestine/shared_bestine_painting_schematic_blumbrush.iff');
INSERT INTO `object_crc_string_table` VALUES ('4037872612', 'F0AD0BE4', 'object/tangible/loot/bestine/shared_bestine_painting_schematic_boffa.iff');
INSERT INTO `object_crc_string_table` VALUES ('16908290', '1020002', 'object/tangible/loot/bestine/shared_bestine_painting_schematic_golden_flower_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3658852501', 'DA15A895', 'object/tangible/loot/bestine/shared_bestine_painting_schematic_golden_flower_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2467876632', '9318CF18', 'object/tangible/loot/bestine/shared_bestine_painting_schematic_golden_flower_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1218019193', '48997F79', 'object/tangible/loot/bestine/shared_bestine_painting_schematic_house.iff');
INSERT INTO `object_crc_string_table` VALUES ('3722135133', 'DDDB465D', 'object/tangible/loot/bestine/shared_bestine_painting_schematic_krayt_skeleton.iff');
INSERT INTO `object_crc_string_table` VALUES ('3503871911', 'D0D8D7A7', 'object/tangible/loot/bestine/shared_bestine_painting_schematic_lucky_despot.iff');
INSERT INTO `object_crc_string_table` VALUES ('2856187452', 'AA3DF63C', 'object/tangible/loot/bestine/shared_bestine_painting_schematic_mattberry.iff');
INSERT INTO `object_crc_string_table` VALUES ('2819090865', 'A807E9B1', 'object/tangible/loot/bestine/shared_bestine_painting_schematic_moncal_eye_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1930445094', '73104126', 'object/tangible/loot/bestine/shared_bestine_painting_schematic_moncal_eye_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1673498889', '63BF9109', 'object/tangible/loot/bestine/shared_bestine_painting_schematic_rainbow_berry_bush.iff');
INSERT INTO `object_crc_string_table` VALUES ('3594355154', 'D63D81D2', 'object/tangible/loot/bestine/shared_bestine_painting_schematic_raventhorn.iff');
INSERT INTO `object_crc_string_table` VALUES ('890845319', '35193887', 'object/tangible/loot/bestine/shared_bestine_painting_schematic_ronka.iff');
INSERT INTO `object_crc_string_table` VALUES ('1123513366', '42F77416', 'object/tangible/loot/collectible/collectible_parts/shared_blue_rug_adhesive.iff');
INSERT INTO `object_crc_string_table` VALUES ('1357216829', '50E57C3D', 'object/tangible/loot/collectible/collectible_parts/shared_blue_rug_dye.iff');
INSERT INTO `object_crc_string_table` VALUES ('166272448', '9E91DC0', 'object/tangible/loot/collectible/collectible_parts/shared_blue_rug_patches.iff');
INSERT INTO `object_crc_string_table` VALUES ('2636514827', '9D26060B', 'object/tangible/loot/collectible/collectible_parts/shared_blue_rug_thread_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1177661084', '4631AE9C', 'object/tangible/loot/collectible/collectible_parts/shared_blue_rug_thread_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('255641873', 'F3CC911', 'object/tangible/loot/collectible/collectible_parts/shared_blue_rug_thread_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('4108313093', 'F4DFE205', 'object/tangible/loot/collectible/collectible_parts/shared_blue_rug_thread_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3184690568', 'BDD28588', 'object/tangible/loot/collectible/collectible_parts/shared_blue_rug_thread_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1724198175', '66C52D1F', 'object/tangible/loot/collectible/collectible_parts/shared_blue_rug_thread_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('801655442', '2FC84A92', 'object/tangible/loot/collectible/collectible_parts/shared_blue_rug_thread_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('2854787907', 'AA289B43', 'object/tangible/loot/collectible/collectible_parts/shared_fs_tracking_device_assembly_bracket_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1899967444', '713F33D4', 'object/tangible/loot/collectible/collectible_parts/shared_fs_tracking_device_assembly_bracket_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('942822489', '38325459', 'object/tangible/loot/collectible/collectible_parts/shared_fs_tracking_device_assembly_bracket_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3868077869', 'E68E2F2D', 'object/tangible/loot/collectible/collectible_parts/shared_fs_tracking_device_case_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1033471930', '3D9987BA', 'object/tangible/loot/collectible/collectible_parts/shared_fs_tracking_device_case_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1955913783', '7494E037', 'object/tangible/loot/collectible/collectible_parts/shared_fs_tracking_device_case_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2733801121', 'A2F27EA1', 'object/tangible/loot/collectible/collectible_parts/shared_gong_adhesive.iff');
INSERT INTO `object_crc_string_table` VALUES ('2466495662', '9303BCAE', 'object/tangible/loot/collectible/collectible_parts/shared_gong_skin_back.iff');
INSERT INTO `object_crc_string_table` VALUES ('97797037', '5D443AD', 'object/tangible/loot/collectible/collectible_parts/shared_gong_skin_front.iff');
INSERT INTO `object_crc_string_table` VALUES ('191195306', 'B6568AA', 'object/tangible/loot/collectible/collectible_parts/shared_gong_structure_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3497181245', 'D072C03D', 'object/tangible/loot/collectible/collectible_parts/shared_gong_structure_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2575280048', '997FA7B0', 'object/tangible/loot/collectible/collectible_parts/shared_gong_structure_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1654426788', '629C8CA4', 'object/tangible/loot/collectible/collectible_parts/shared_gong_structure_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('730983209', '2B91EB29', 'object/tangible/loot/collectible/collectible_parts/shared_gong_structure_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('4035331006', 'F08643BE', 'object/tangible/loot/collectible/collectible_parts/shared_gong_structure_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('3112903731', 'B98B2433', 'object/tangible/loot/collectible/collectible_parts/shared_gong_structure_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('888771001', '34F991B9', 'object/tangible/loot/collectible/collectible_parts/shared_light_table_adhesive.iff');
INSERT INTO `object_crc_string_table` VALUES ('1261115821', '4B2B19AD', 'object/tangible/loot/collectible/collectible_parts/shared_light_table_glasstop_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2419896634', '903CB13A', 'object/tangible/loot/collectible/collectible_parts/shared_light_table_glasstop_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2720203883', 'A223046B', 'object/tangible/loot/collectible/collectible_parts/shared_light_table_structure_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2033495292', '7934ACFC', 'object/tangible/loot/collectible/collectible_parts/shared_light_table_structure_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('809094001', '3039CB71', 'object/tangible/loot/collectible/collectible_parts/shared_light_table_structure_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3420119141', 'CBDAE065', 'object/tangible/loot/collectible/collectible_parts/shared_light_table_structure_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2195163112', '82D787E8', 'object/tangible/loot/collectible/collectible_parts/shared_light_table_structure_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1505767295', '59C02F7F', 'object/tangible/loot/collectible/collectible_parts/shared_light_table_structure_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('281889010', '10CD48F2', 'object/tangible/loot/collectible/collectible_parts/shared_light_table_structure_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('3616535114', 'D78FF24A', 'object/tangible/loot/collectible/collectible_parts/shared_orange_rug_adhesive.iff');
INSERT INTO `object_crc_string_table` VALUES ('3820849787', 'E3BD8A7B', 'object/tangible/loot/collectible/collectible_parts/shared_orange_rug_dye.iff');
INSERT INTO `object_crc_string_table` VALUES ('2400186347', '8F0FEFEB', 'object/tangible/loot/collectible/collectible_parts/shared_orange_rug_patches.iff');
INSERT INTO `object_crc_string_table` VALUES ('3614968574', 'D7780AFE', 'object/tangible/loot/collectible/collectible_parts/shared_orange_rug_thread_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('208642665', 'C6FA269', 'object/tangible/loot/collectible/collectible_parts/shared_orange_rug_thread_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1164101092', '4562C5E4', 'object/tangible/loot/collectible/collectible_parts/shared_orange_rug_thread_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3196186352', 'BE81EEF0', 'object/tangible/loot/collectible/collectible_parts/shared_orange_rug_thread_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('4153182589', 'F78C897D', 'object/tangible/loot/collectible/collectible_parts/shared_orange_rug_thread_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('748364266', '2C9B21EA', 'object/tangible/loot/collectible/collectible_parts/shared_orange_rug_thread_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('1704347239', '65964667', 'object/tangible/loot/collectible/collectible_parts/shared_orange_rug_thread_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('3289712377', 'C41506F9', 'object/tangible/loot/collectible/collectible_parts/shared_sculpture_adhesive.iff');
INSERT INTO `object_crc_string_table` VALUES ('1249132287', '4A743EFF', 'object/tangible/loot/collectible/collectible_parts/shared_sculpture_goldinlay_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2439222888', '91639668', 'object/tangible/loot/collectible/collectible_parts/shared_sculpture_goldinlay_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4050692979', 'F170AB73', 'object/tangible/loot/collectible/collectible_parts/shared_sculpture_structure_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('711394276', '2A6703E4', 'object/tangible/loot/collectible/collectible_parts/shared_sculpture_structure_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1667916905', '636A6469', 'object/tangible/loot/collectible/collectible_parts/shared_sculpture_structure_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2559135613', '98894F7D', 'object/tangible/loot/collectible/collectible_parts/shared_sculpture_structure_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3515099376', 'D18428F0', 'object/tangible/loot/collectible/collectible_parts/shared_sculpture_structure_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('177438823', 'A938067', 'object/tangible/loot/collectible/collectible_parts/shared_sculpture_structure_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('1134487530', '439EE7EA', 'object/tangible/loot/collectible/collectible_parts/shared_sculpture_structure_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('2581547421', '99DF499D', 'object/tangible/loot/collectible/collectible_rewards/shared_blue_rug.iff');
INSERT INTO `object_crc_string_table` VALUES ('1595043156', '5F126D54', 'object/tangible/loot/collectible/collectible_rewards/shared_collectible_sculpture_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1553506726', '5C98A1A6', 'object/tangible/loot/collectible/collectible_rewards/shared_collectible_table.iff');
INSERT INTO `object_crc_string_table` VALUES ('3016575876', 'B3CD4B84', 'object/tangible/loot/collectible/collectible_rewards/shared_fs_tracking_device.iff');
INSERT INTO `object_crc_string_table` VALUES ('1260578344', '4B22E628', 'object/tangible/loot/collectible/collectible_rewards/shared_gong.iff');
INSERT INTO `object_crc_string_table` VALUES ('1620517273', '60972199', 'object/tangible/loot/collectible/collectible_rewards/shared_orange_rug.iff');
INSERT INTO `object_crc_string_table` VALUES ('1365765159', '5167EC27', 'object/tangible/loot/collectible/kits/shared_blue_rug_kit.iff');
INSERT INTO `object_crc_string_table` VALUES ('3179120955', 'BD7D893B', 'object/tangible/loot/collectible/kits/shared_fs_tracking_device_kit.iff');
INSERT INTO `object_crc_string_table` VALUES ('3922864269', 'E9D2288D', 'object/tangible/loot/collectible/kits/shared_gong_kit.iff');
INSERT INTO `object_crc_string_table` VALUES ('3392193780', 'CA30C4F4', 'object/tangible/loot/collectible/kits/shared_light_table_kit.iff');
INSERT INTO `object_crc_string_table` VALUES ('2076973768', '7BCC1AC8', 'object/tangible/loot/collectible/kits/shared_orange_rug_kit.iff');
INSERT INTO `object_crc_string_table` VALUES ('1751538268', '68665A5C', 'object/tangible/loot/collectible/kits/shared_sculpture_kit.iff');
INSERT INTO `object_crc_string_table` VALUES ('1943652029', '73D9C6BD', 'object/tangible/loot/dungeon/corellian_corvette/shared_bootdisk.iff');
INSERT INTO `object_crc_string_table` VALUES ('2778523039', 'A59CE59F', 'object/tangible/loot/dungeon/corellian_corvette/shared_imperial_assassin_filler01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2123058440', '7E8B4D08', 'object/tangible/loot/dungeon/corellian_corvette/shared_imperial_assassin_filler02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1409729686', '5406C496', 'object/tangible/loot/dungeon/corellian_corvette/shared_imperial_assassin_intel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2615503998', '9BE56C7E', 'object/tangible/loot/dungeon/corellian_corvette/shared_imperial_destroy_filler01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1089651945', '40F2C4E9', 'object/tangible/loot/dungeon/corellian_corvette/shared_imperial_destroy_filler02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3271133983', 'C2F98B1F', 'object/tangible/loot/dungeon/corellian_corvette/shared_imperial_destroy_intel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1429810306', '55392C82', 'object/tangible/loot/dungeon/corellian_corvette/shared_imperial_rescue_filler01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2385413141', '8E2E8415', 'object/tangible/loot/dungeon/corellian_corvette/shared_imperial_rescue_filler02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1800721654', '6B54D4F6', 'object/tangible/loot/dungeon/corellian_corvette/shared_imperial_rescue_intel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1226514463', '491B201F', 'object/tangible/loot/dungeon/corellian_corvette/shared_neutral_assassin_filler01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2450294920', '920C8888', 'object/tangible/loot/dungeon/corellian_corvette/shared_neutral_assassin_filler02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2214959298', '840598C2', 'object/tangible/loot/dungeon/corellian_corvette/shared_neutral_assassin_intel.iff');
INSERT INTO `object_crc_string_table` VALUES ('426337632', '19696560', 'object/tangible/loot/dungeon/corellian_corvette/shared_neutral_destroy_filler01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3263090167', 'C27ECDF7', 'object/tangible/loot/dungeon/corellian_corvette/shared_neutral_destroy_filler02.iff');
INSERT INTO `object_crc_string_table` VALUES ('486562997', '1D005CB5', 'object/tangible/loot/dungeon/corellian_corvette/shared_neutral_destroy_intel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1207841643', '47FE336B', 'object/tangible/loot/dungeon/corellian_corvette/shared_neutral_rescue_filler01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2632555516', '9CE99BFC', 'object/tangible/loot/dungeon/corellian_corvette/shared_neutral_rescue_filler02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2256488833', '867F4981', 'object/tangible/loot/dungeon/corellian_corvette/shared_neutral_rescue_intel.iff');
INSERT INTO `object_crc_string_table` VALUES ('3223256133', 'C01EFC45', 'object/tangible/loot/dungeon/corellian_corvette/shared_rebel_assassin_filler01.iff');
INSERT INTO `object_crc_string_table` VALUES ('453596370', '1B0954D2', 'object/tangible/loot/dungeon/corellian_corvette/shared_rebel_assassin_filler02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1608051965', '5FD8ECFD', 'object/tangible/loot/dungeon/corellian_corvette/shared_rebel_assassin_intel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1714985756', '66389B1C', 'object/tangible/loot/dungeon/corellian_corvette/shared_rebel_destroy_filler01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3173987211', 'BD2F338B', 'object/tangible/loot/dungeon/corellian_corvette/shared_rebel_destroy_filler02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3353710684', 'C7E5905C', 'object/tangible/loot/dungeon/corellian_corvette/shared_rebel_destroy_intel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2690288867', 'A05A8CE3', 'object/tangible/loot/dungeon/corellian_corvette/shared_rebel_rescue_filler01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2068653172', '7B4D2474', 'object/tangible/loot/dungeon/corellian_corvette/shared_rebel_rescue_filler02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1454651142', '56B43706', 'object/tangible/loot/dungeon/corellian_corvette/shared_rebel_rescue_intel.iff');
INSERT INTO `object_crc_string_table` VALUES ('3487250459', 'CFDB381B', 'object/tangible/loot/dungeon/death_watch_bunker/shared_art_crate.iff');
INSERT INTO `object_crc_string_table` VALUES ('4135561605', 'F67FA985', 'object/tangible/loot/dungeon/death_watch_bunker/shared_binary_liquid.iff');
INSERT INTO `object_crc_string_table` VALUES ('3164930997', 'BCA503B5', 'object/tangible/loot/dungeon/death_watch_bunker/shared_blood_vial.iff');
INSERT INTO `object_crc_string_table` VALUES ('2674191794', '9F64EDB2', 'object/tangible/loot/dungeon/death_watch_bunker/shared_ducted_fan.iff');
INSERT INTO `object_crc_string_table` VALUES ('3565585514', 'D486846A', 'object/tangible/loot/dungeon/death_watch_bunker/shared_emulsion_protection.iff');
INSERT INTO `object_crc_string_table` VALUES ('2809463476', 'A77502B4', 'object/tangible/loot/dungeon/death_watch_bunker/shared_fuel_dispersion_unit.iff');
INSERT INTO `object_crc_string_table` VALUES ('2471910625', '93565CE1', 'object/tangible/loot/dungeon/death_watch_bunker/shared_fuel_injector_tank.iff');
INSERT INTO `object_crc_string_table` VALUES ('4035920074', 'F08F40CA', 'object/tangible/loot/dungeon/death_watch_bunker/shared_jetpack_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1405799440', '53CACC10', 'object/tangible/loot/dungeon/death_watch_bunker/shared_jetpack_stabilizer.iff');
INSERT INTO `object_crc_string_table` VALUES ('3782407794', 'E172F672', 'object/tangible/loot/dungeon/death_watch_bunker/shared_mining_drill_reward.iff');
INSERT INTO `object_crc_string_table` VALUES ('431650444', '19BA768C', 'object/tangible/loot/dungeon/death_watch_bunker/shared_pistol_de10_barrel.iff');
INSERT INTO `object_crc_string_table` VALUES ('765586613', '2DA1ECB5', 'object/tangible/loot/dungeon/death_watch_bunker/shared_viewscreen_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4139140130', 'F6B64422', 'object/tangible/loot/dungeon/death_watch_bunker/shared_viewscreen_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1212603957', '4846DE35', 'object/tangible/loot/dungeon/geonosian_mad_bunker/shared_engineering_datapad.iff');
INSERT INTO `object_crc_string_table` VALUES ('3779706256', 'E149BD90', 'object/tangible/loot/dungeon/geonosian_mad_bunker/shared_engineering_key.iff');
INSERT INTO `object_crc_string_table` VALUES ('4110674252', 'F503E94C', 'object/tangible/loot/dungeon/geonosian_mad_bunker/shared_passkey.iff');
INSERT INTO `object_crc_string_table` VALUES ('1953839447', '74753957', 'object/tangible/loot/dungeon/geonosian_mad_bunker/shared_relic_gbb_chemical_tab.iff');
INSERT INTO `object_crc_string_table` VALUES ('2836503277', 'A9119AED', 'object/tangible/loot/dungeon/geonosian_mad_bunker/shared_relic_gbb_data_tab.iff');
INSERT INTO `object_crc_string_table` VALUES ('1253190673', '4AB22C11', 'object/tangible/loot/dungeon/geonosian_mad_bunker/shared_relic_gbb_honey_carafe.iff');
INSERT INTO `object_crc_string_table` VALUES ('395732955', '179667DB', 'object/tangible/loot/dungeon/geonosian_mad_bunker/shared_relic_gbb_ration_kit.iff');
INSERT INTO `object_crc_string_table` VALUES ('3247484355', 'C190ADC3', 'object/tangible/loot/dungeon/geonosian_mad_bunker/shared_relic_gbb_small_ball.iff');
INSERT INTO `object_crc_string_table` VALUES ('2674127359', '9F63F1FF', 'object/tangible/loot/dungeon/geonosian_mad_bunker/shared_relic_gbb_spice_container.iff');
INSERT INTO `object_crc_string_table` VALUES ('1965831716', '752C3624', 'object/tangible/loot/dungeon/geonosian_mad_bunker/shared_relic_gbb_tech_kit.iff');
INSERT INTO `object_crc_string_table` VALUES ('3973368814', 'ECD4CBEE', 'object/tangible/loot/loot_schematic/shared_agitator_motor_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('33357504', '1FCFEC0', 'object/tangible/loot/loot_schematic/shared_assorted_fruit_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('2176567440', '81BBC890', 'object/tangible/loot/loot_schematic/shared_bacta_tank_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('275009907', '10645173', 'object/tangible/loot/loot_schematic/shared_basket_closed_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('2981833750', 'B1BB2C16', 'object/tangible/loot/loot_schematic/shared_bottle_fat_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('49511220', '2F37B34', 'object/tangible/loot/loot_schematic/shared_bottle_pear_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1843384540', '6DDFD0DC', 'object/tangible/loot/loot_schematic/shared_bottle_tall_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('2666433962', '9EEE8DAA', 'object/tangible/loot/loot_schematic/shared_bowl_carved_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('2499138491', '94F5D3BB', 'object/tangible/loot/loot_schematic/shared_bowl_plain_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('352538230', '15034E76', 'object/tangible/loot/loot_schematic/shared_bubble_tank_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('2177174238', '81C50ADE', 'object/tangible/loot/loot_schematic/shared_campfire_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1817381441', '6C530A41', 'object/tangible/loot/loot_schematic/shared_cantina_chair_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1634921548', '6172EC4C', 'object/tangible/loot/loot_schematic/shared_chair_cafe_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3816949248', 'E3820600', 'object/tangible/loot/loot_schematic/shared_chemical_recycler_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1441840530', '55F0BD92', 'object/tangible/loot/loot_schematic/shared_command_console_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('2788504736', 'A63534A0', 'object/tangible/loot/loot_schematic/shared_corellian_corvette_landspeeder_av21_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('2378673848', '8DC7AEB8', 'object/tangible/loot/loot_schematic/shared_corellian_corvette_rifle_berserker_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3464694105', 'CE830959', 'object/tangible/loot/loot_schematic/shared_corellian_flagpole_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('2109385771', '7DBAAC2B', 'object/tangible/loot/loot_schematic/shared_couch_blue_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3869986987', 'E6AB50AB', 'object/tangible/loot/loot_schematic/shared_creature_recycler_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3186214418', 'BDE9C612', 'object/tangible/loot/loot_schematic/shared_death_watch_bounty_hunter_belt_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('4262840848', 'FE15CA10', 'object/tangible/loot/loot_schematic/shared_death_watch_bounty_hunter_bicep_l_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('712860035', '2A7D6183', 'object/tangible/loot/loot_schematic/shared_death_watch_bounty_hunter_bicep_r_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('2564896139', '98E1358B', 'object/tangible/loot/loot_schematic/shared_death_watch_bounty_hunter_boots_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('4001355238', 'EE7FD5E6', 'object/tangible/loot/loot_schematic/shared_death_watch_bounty_hunter_bracer_l_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('974618229', '3A177E75', 'object/tangible/loot/loot_schematic/shared_death_watch_bounty_hunter_bracer_r_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3084811322', 'B7DE7C3A', 'object/tangible/loot/loot_schematic/shared_death_watch_bounty_hunter_chest_plate_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('4286535235', 'FF7F5643', 'object/tangible/loot/loot_schematic/shared_death_watch_bounty_hunter_gloves_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('4021975943', 'EFBA7B87', 'object/tangible/loot/loot_schematic/shared_death_watch_bounty_hunter_helmet_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('204385497', 'C2EACD9', 'object/tangible/loot/loot_schematic/shared_death_watch_bounty_hunter_leggings_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('818256163', '30C59923', 'object/tangible/loot/loot_schematic/shared_death_watch_drink_mandalorian_wine_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('2390933673', '8E82C0A9', 'object/tangible/loot/loot_schematic/shared_death_watch_executioners_hack_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3163168550', 'BC8A1F26', 'object/tangible/loot/loot_schematic/shared_death_watch_mandalorian_belt_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3952203976', 'EB91D8C8', 'object/tangible/loot/loot_schematic/shared_death_watch_mandalorian_bicep_l_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1073312603', '3FF9735B', 'object/tangible/loot/loot_schematic/shared_death_watch_mandalorian_bicep_r_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('4294515772', 'FFF91C3C', 'object/tangible/loot/loot_schematic/shared_death_watch_mandalorian_boots_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('834256381', '31B9BDFD', 'object/tangible/loot/loot_schematic/shared_death_watch_mandalorian_bracer_l_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3855685230', 'E5D1166E', 'object/tangible/loot/loot_schematic/shared_death_watch_mandalorian_bracer_r_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('2354501114', '8C56D5FA', 'object/tangible/loot/loot_schematic/shared_death_watch_mandalorian_chest_plate_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1437890513', '55B477D1', 'object/tangible/loot/loot_schematic/shared_death_watch_mandalorian_gloves_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1165056533', '45715A15', 'object/tangible/loot/loot_schematic/shared_death_watch_mandalorian_helmet_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('571889949', '2216591D', 'object/tangible/loot/loot_schematic/shared_death_watch_mandalorian_jetpack_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3555247298', 'D3E8C4C2', 'object/tangible/loot/loot_schematic/shared_death_watch_mandalorian_leggings_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('44057344', '2A04300', 'object/tangible/loot/loot_schematic/shared_death_watch_pistol_de10_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('56986758', '3658C86', 'object/tangible/loot/loot_schematic/shared_death_watch_razor_knuckler_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('74183997', '46BF53D', 'object/tangible/loot/loot_schematic/shared_diagnostic_screen_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3014709176', 'B3B0CFB8', 'object/tangible/loot/loot_schematic/shared_droid_body_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('443254179', '1A6B85A3', 'object/tangible/loot/loot_schematic/shared_droid_head_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1275187305', '4C01D069', 'object/tangible/loot/loot_schematic/shared_elegant_cabinet_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1892700204', '70D0502C', 'object/tangible/loot/loot_schematic/shared_flora_recycler_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('4233888471', 'FC5C02D7', 'object/tangible/loot/loot_schematic/shared_foodcart_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('131416383', '7D5413F', 'object/tangible/loot/loot_schematic/shared_gambling_table_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3869697913', 'E6A6E779', 'object/tangible/loot/loot_schematic/shared_geonosian_acklay_bone_armor_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1435106538', '5589FCEA', 'object/tangible/loot/loot_schematic/shared_geonosian_acklay_muscle_armor_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('2842219763', 'A968D4F3', 'object/tangible/loot/loot_schematic/shared_geonosian_reinforcement_core_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3191519467', 'BE3AB8EB', 'object/tangible/loot/loot_schematic/shared_geonosian_sonic_blaster_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('2133560437', '7F2B8C75', 'object/tangible/loot/loot_schematic/shared_geonosian_sword_core_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('910955791', '364C150F', 'object/tangible/loot/loot_schematic/shared_geonosian_tenloss_dxr6_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1451271511', '5680A557', 'object/tangible/loot/loot_schematic/shared_hanging_planter_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('138305507', '83E5FE3', 'object/tangible/loot/loot_schematic/shared_metal_recycler_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('620571036', '24FD299C', 'object/tangible/loot/loot_schematic/shared_microphone_s01_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1194071997', '472C17BD', 'object/tangible/loot/loot_schematic/shared_microphone_s02_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('2736953476', 'A3229884', 'object/tangible/loot/loot_schematic/shared_ore_recycler_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('385386900', '16F88994', 'object/tangible/loot/loot_schematic/shared_park_bench_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('4049237306', 'F15A753A', 'object/tangible/loot/loot_schematic/shared_pitcher_full_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('2780825325', 'A5C006ED', 'object/tangible/loot/loot_schematic/shared_professors_desk_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1601376740', '5F7311E4', 'object/tangible/loot/loot_schematic/shared_radar_screen_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('4283977315', 'FF584E63', 'object/tangible/loot/loot_schematic/shared_radio_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('2074723143', '7BA9C347', 'object/tangible/loot/loot_schematic/shared_shisa_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('4016619674', 'EF68C09A', 'object/tangible/loot/loot_schematic/shared_slave_brazier_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('2882303083', 'ABCC746B', 'object/tangible/loot/loot_schematic/shared_spear_rack_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3338971500', 'C704A96C', 'object/tangible/loot/loot_schematic/shared_stove_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('2023724464', '789F95B0', 'object/tangible/loot/loot_schematic/shared_streetlamp_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('46984344', '2CCEC98', 'object/tangible/loot/loot_schematic/shared_stuffed_fish_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1657163664', '62C64F90', 'object/tangible/loot/loot_schematic/shared_table_coffee_modern_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('189791805', 'B4FFE3D', 'object/tangible/loot/loot_schematic/shared_tanning_hide_s01_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1755234332', '689EC01C', 'object/tangible/loot/loot_schematic/shared_tanning_hide_s02_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1445555733', '56296E15', 'object/tangible/loot/loot_schematic/shared_tatooine_tapestry_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('911123298', '364EA362', 'object/tangible/loot/loot_schematic/shared_technical_console_s01_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1436523843', '559F9D43', 'object/tangible/loot/loot_schematic/shared_technical_console_s02_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3095520200', 'B881E3C8', 'object/tangible/loot/loot_schematic/shared_throwpillow_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('2145052130', '7FDAE5E2', 'object/tangible/loot/loot_schematic/shared_tumble_blender_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('2313370154', '89E33A2A', 'object/tangible/loot/loot_schematic/shared_utensils_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('865298765', '3393694D', 'object/tangible/loot/misc/shared_artifact_rare_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4077046979', 'F302CCC3', 'object/tangible/loot/misc/shared_basket_expensive_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2848209064', 'A9C438A8', 'object/tangible/loot/misc/shared_bowl_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1815409445', '6C34F325', 'object/tangible/loot/misc/shared_briefcase_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3249408869', 'C1AE0B65', 'object/tangible/loot/misc/shared_brown_rug.iff');
INSERT INTO `object_crc_string_table` VALUES ('842587466', '3238DD4A', 'object/tangible/loot/misc/shared_cage_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('327865364', '138AD414', 'object/tangible/loot/misc/shared_camera_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3603005332', 'D6C17F94', 'object/tangible/loot/misc/shared_casserole_binna_jode.iff');
INSERT INTO `object_crc_string_table` VALUES ('759121721', '2D3F4739', 'object/tangible/loot/misc/shared_casual_rug.iff');
INSERT INTO `object_crc_string_table` VALUES ('3380245587', 'C97A7453', 'object/tangible/loot/misc/shared_corsec_id_badge.iff');
INSERT INTO `object_crc_string_table` VALUES ('2077895809', '7BDA2C81', 'object/tangible/loot/misc/shared_damaged_datapad.iff');
INSERT INTO `object_crc_string_table` VALUES ('1598786934', '5F4B8D76', 'object/tangible/loot/misc/shared_datadisk_corrupt.iff');
INSERT INTO `object_crc_string_table` VALUES ('4256936356', 'FDBBB1A4', 'object/tangible/loot/misc/shared_decryptor_broken_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1425405589', '54F5F695', 'object/tangible/loot/misc/shared_dermal_analyxer.iff');
INSERT INTO `object_crc_string_table` VALUES ('706975394', '2A2396A2', 'object/tangible/loot/misc/shared_firework_dud_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4046732853', 'F1343E35', 'object/tangible/loot/misc/shared_firework_dud_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2901988249', 'ACF8D399', 'object/tangible/loot/misc/shared_force_crystal.iff');
INSERT INTO `object_crc_string_table` VALUES ('3730613962', 'DE5CA6CA', 'object/tangible/loot/misc/shared_glass_heirloom_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2290214914', '8881E802', 'object/tangible/loot/misc/shared_green_rug.iff');
INSERT INTO `object_crc_string_table` VALUES ('2604517877', '9B3DC9F5', 'object/tangible/loot/misc/shared_gungan_lance.iff');
INSERT INTO `object_crc_string_table` VALUES ('374420297', '16513349', 'object/tangible/loot/misc/shared_gungan_signet.iff');
INSERT INTO `object_crc_string_table` VALUES ('1021999255', '3CEA7897', 'object/tangible/loot/misc/shared_holocron_splinters_sith_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1159518109', '451CD79D', 'object/tangible/loot/misc/shared_hyperdrive_part_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('239625063', 'E486367', 'object/tangible/loot/misc/shared_inkpen_engraved_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1419164698', '5496BC1A', 'object/tangible/loot/misc/shared_insects_rare_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1637830141', '619F4DFD', 'object/tangible/loot/misc/shared_jawa_beads.iff');
INSERT INTO `object_crc_string_table` VALUES ('634814302', '25D67F5E', 'object/tangible/loot/misc/shared_keepsakes.iff');
INSERT INTO `object_crc_string_table` VALUES ('1312940379', '4E41E15B', 'object/tangible/loot/misc/shared_key_electronic_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1032597494', '3D8C2FF6', 'object/tangible/loot/misc/shared_ledger_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3424112691', 'CC17D033', 'object/tangible/loot/misc/shared_loot_krayt_arm1.iff');
INSERT INTO `object_crc_string_table` VALUES ('385906852', '170078A4', 'object/tangible/loot/misc/shared_loot_krayt_arm2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4031807386', 'F0507F9A', 'object/tangible/loot/misc/shared_loot_krayt_foot.iff');
INSERT INTO `object_crc_string_table` VALUES ('3363519588', 'C87B3C64', 'object/tangible/loot/misc/shared_loot_krayt_leg1.iff');
INSERT INTO `object_crc_string_table` VALUES ('325883123', '136C94F3', 'object/tangible/loot/misc/shared_loot_krayt_leg2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3374450491', 'C922073B', 'object/tangible/loot/misc/shared_loot_krayt_spine1.iff');
INSERT INTO `object_crc_string_table` VALUES ('305508268', '1235AFAC', 'object/tangible/loot/misc/shared_loot_krayt_spine2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1530447905', '5B38C821', 'object/tangible/loot/misc/shared_loot_krayt_spine3.iff');
INSERT INTO `object_crc_string_table` VALUES ('707837564', '2A30BE7C', 'object/tangible/loot/misc/shared_loot_skull_bith.iff');
INSERT INTO `object_crc_string_table` VALUES ('2725183958', 'A26F01D6', 'object/tangible/loot/misc/shared_loot_skull_bol.iff');
INSERT INTO `object_crc_string_table` VALUES ('632440114', '25B24532', 'object/tangible/loot/misc/shared_loot_skull_human.iff');
INSERT INTO `object_crc_string_table` VALUES ('128900324', '7AEDCE4', 'object/tangible/loot/misc/shared_loot_skull_ithorian.iff');
INSERT INTO `object_crc_string_table` VALUES ('3855703718', 'E5D15EA6', 'object/tangible/loot/misc/shared_loot_skull_krayt1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1053226545', '3EC6F631', 'object/tangible/loot/misc/shared_loot_skull_krayt2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2842325032', 'A96A7028', 'object/tangible/loot/misc/shared_loot_skull_thune.iff');
INSERT INTO `object_crc_string_table` VALUES ('3032461432', 'B4BFB078', 'object/tangible/loot/misc/shared_loot_skull_voritor.iff');
INSERT INTO `object_crc_string_table` VALUES ('317779620', '12F0EEA4', 'object/tangible/loot/misc/shared_majestic_rug.iff');
INSERT INTO `object_crc_string_table` VALUES ('706045997', '2A15682D', 'object/tangible/loot/misc/shared_medallion_black_sun_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('689527148', '2919596C', 'object/tangible/loot/misc/shared_medallion_dark_jedi_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4152880530', 'F787ED92', 'object/tangible/loot/misc/shared_mt_casserole.iff');
INSERT INTO `object_crc_string_table` VALUES ('2434258915', '9117D7E3', 'object/tangible/loot/misc/shared_mt_flatbread.iff');
INSERT INTO `object_crc_string_table` VALUES ('468840680', '1BF1F0E8', 'object/tangible/loot/misc/shared_mt_pie.iff');
INSERT INTO `object_crc_string_table` VALUES ('3702520473', 'DCAFFA99', 'object/tangible/loot/misc/shared_mt_soup.iff');
INSERT INTO `object_crc_string_table` VALUES ('3480466055', 'CF73B287', 'object/tangible/loot/misc/shared_mystical_orb.iff');
INSERT INTO `object_crc_string_table` VALUES ('1931809434', '7325129A', 'object/tangible/loot/misc/shared_mystical_powered_orb.iff');
INSERT INTO `object_crc_string_table` VALUES ('3678039981', 'DB3A6FAD', 'object/tangible/loot/misc/shared_ornamental_sconce.iff');
INSERT INTO `object_crc_string_table` VALUES ('1764965839', '69333DCF', 'object/tangible/loot/misc/shared_palm_frond.iff');
INSERT INTO `object_crc_string_table` VALUES ('2137101597', '7F61951D', 'object/tangible/loot/misc/shared_personal_effects.iff');
INSERT INTO `object_crc_string_table` VALUES ('3152449908', 'BBE69174', 'object/tangible/loot/misc/shared_petrified_avian_egg.iff');
INSERT INTO `object_crc_string_table` VALUES ('1021103631', '3CDCCE0F', 'object/tangible/loot/misc/shared_picture_handheld_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3888866968', 'E7CB6698', 'object/tangible/loot/misc/shared_picture_handheld_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('720417432', '2AF0B298', 'object/tangible/loot/misc/shared_proclamation_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3573709036', 'D50278EC', 'object/tangible/loot/misc/shared_recording_rod_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1359996863', '510FE7BF', 'object/tangible/loot/misc/shared_shisa_decorative_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3986073325', 'ED96A6ED', 'object/tangible/loot/misc/shared_slave_collar.iff');
INSERT INTO `object_crc_string_table` VALUES ('141936959', '875C93F', 'object/tangible/loot/misc/shared_speaker_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2986929439', 'B208ED1F', 'object/tangible/loot/misc/shared_spectrum_recorder.iff');
INSERT INTO `object_crc_string_table` VALUES ('3850821437', 'E586DF3D', 'object/tangible/loot/misc/shared_sports_award_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1896550802', '710B1192', 'object/tangible/loot/misc/shared_ticket_collectors_item_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2280007490', '87E62742', 'object/tangible/loot/misc/shared_ticket_expired.iff');
INSERT INTO `object_crc_string_table` VALUES ('381474584', '16BCD718', 'object/tangible/loot/misc/shared_toxic_rations.iff');
INSERT INTO `object_crc_string_table` VALUES ('667280512', '27C5E480', 'object/tangible/loot/misc/shared_worklight.iff');
INSERT INTO `object_crc_string_table` VALUES ('3550223157', 'D39C1B35', 'object/tangible/loot/plant_grow/shared_plant_stage_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('143373218', '88BB3A2', 'object/tangible/loot/plant_grow/shared_plant_stage_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1099355183', '4186D42F', 'object/tangible/loot/plant_grow/shared_plant_stage_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3320437812', 'C5E9DC34', 'object/tangible/loot/plant_grow/shared_plant_stage_dead.iff');
INSERT INTO `object_crc_string_table` VALUES ('535228363', '1FE6EFCB', 'object/tangible/loot/quest/force_sensitive/shared_camp_frequency_datapad.iff');
INSERT INTO `object_crc_string_table` VALUES ('2972904337', 'B132EB91', 'object/tangible/loot/quest/force_sensitive/shared_camp_remote.iff');
INSERT INTO `object_crc_string_table` VALUES ('3049740856', 'B5C75A38', 'object/tangible/loot/quest/force_sensitive/shared_camp_waypoint_datapad.iff');
INSERT INTO `object_crc_string_table` VALUES ('3130494948', 'BA978FE4', 'object/tangible/loot/quest/force_sensitive/shared_theater_datapad.iff');
INSERT INTO `object_crc_string_table` VALUES ('2042144998', '79B8A8E6', 'object/tangible/loot/quest/force_sensitive/sharred_force_crystal.iff');
INSERT INTO `object_crc_string_table` VALUES ('1900348707', '71450523', 'object/tangible/loot/quest/force_sensitive/sharred_waypoint_datapad.iff');
INSERT INTO `object_crc_string_table` VALUES ('2895321218', 'AC931882', 'object/tangible/loot/quest/hero_of_tatooine/shared_mark_altruism.iff');
INSERT INTO `object_crc_string_table` VALUES ('1173220327', '45EDEBE7', 'object/tangible/loot/quest/hero_of_tatooine/shared_mark_courage.iff');
INSERT INTO `object_crc_string_table` VALUES ('1842983256', '6DD9B158', 'object/tangible/loot/quest/hero_of_tatooine/shared_mark_honor.iff');
INSERT INTO `object_crc_string_table` VALUES ('2725337290', 'A27158CA', 'object/tangible/loot/quest/hero_of_tatooine/shared_mark_intellect.iff');
INSERT INTO `object_crc_string_table` VALUES ('577481974', '226BACF6', 'object/tangible/loot/quest/hero_of_tatooine/shared_squill_skull.iff');
INSERT INTO `object_crc_string_table` VALUES ('1779384495', '6A0F40AF', 'object/tangible/loot/quest/shared_2h_sword_scythe_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('619337831', '24EA5867', 'object/tangible/loot/quest/shared_anakin_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('144495220', '89CD274', 'object/tangible/loot/quest/shared_ardanium_ii.iff');
INSERT INTO `object_crc_string_table` VALUES ('3429421231', 'CC68D0AF', 'object/tangible/loot/quest/shared_bantha_doll.iff');
INSERT INTO `object_crc_string_table` VALUES ('1855025689', '6E917219', 'object/tangible/loot/quest/shared_carved_stone.iff');
INSERT INTO `object_crc_string_table` VALUES ('1540822606', '5BD7164E', 'object/tangible/loot/quest/shared_crude_stone.iff');
INSERT INTO `object_crc_string_table` VALUES ('513781670', '1E9FAFA6', 'object/tangible/loot/quest/shared_droid_brain_anakin.iff');
INSERT INTO `object_crc_string_table` VALUES ('2926434751', 'AE6DD9BF', 'object/tangible/loot/quest/shared_edb_quest_heirloom_bowl.iff');
INSERT INTO `object_crc_string_table` VALUES ('561758267', '217BC03B', 'object/tangible/loot/quest/shared_endrine.iff');
INSERT INTO `object_crc_string_table` VALUES ('3113427386', 'B99321BA', 'object/tangible/loot/quest/shared_frn_quest_dant_skull_bol_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2961420204', 'B083AFAC', 'object/tangible/loot/quest/shared_frn_quest_krayt_skull_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1225123257', '4905E5B9', 'object/tangible/loot/quest/shared_huff_quest_borvos_money.iff');
INSERT INTO `object_crc_string_table` VALUES ('3663409611', 'DA5B31CB', 'object/tangible/loot/quest/shared_huff_quest_corsec_badge.iff');
INSERT INTO `object_crc_string_table` VALUES ('940267990', '380B59D6', 'object/tangible/loot/quest/shared_huff_quest_top_secret_documents.iff');
INSERT INTO `object_crc_string_table` VALUES ('2337201287', '8B4EDC87', 'object/tangible/loot/quest/shared_hvy_disruptor_cannon_broken.iff');
INSERT INTO `object_crc_string_table` VALUES ('4063290190', 'F230E34E', 'object/tangible/loot/quest/shared_lance_nightsister_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3441146756', 'CD1BBB84', 'object/tangible/loot/quest/shared_lifeday_orb.iff');
INSERT INTO `object_crc_string_table` VALUES ('2300896857', '8924E659', 'object/tangible/loot/quest/shared_nym_droid_memory_chip.iff');
INSERT INTO `object_crc_string_table` VALUES ('1171264370', '45D01372', 'object/tangible/loot/quest/shared_nym_filtered_gas.iff');
INSERT INTO `object_crc_string_table` VALUES ('701926242', '29D68B62', 'object/tangible/loot/quest/shared_nym_hard_drive.iff');
INSERT INTO `object_crc_string_table` VALUES ('1123957010', '42FE3912', 'object/tangible/loot/quest/shared_nym_imggc.iff');
INSERT INTO `object_crc_string_table` VALUES ('2924880449', 'AE562241', 'object/tangible/loot/quest/shared_ostrine.iff');
INSERT INTO `object_crc_string_table` VALUES ('2547815080', '97DC92A8', 'object/tangible/loot/quest/shared_quest_item_goru_calling_card.iff');
INSERT INTO `object_crc_string_table` VALUES ('3548721475', 'D3853143', 'object/tangible/loot/quest/shared_quest_item_sarlacc_bile_jar.iff');
INSERT INTO `object_crc_string_table` VALUES ('2368845489', '8D31B6B1', 'object/tangible/loot/quest/shared_quest_item_spice_jar.iff');
INSERT INTO `object_crc_string_table` VALUES ('2624714198', '9C71F5D6', 'object/tangible/loot/quest/shared_quest_item_zicx_bug_jar.iff');
INSERT INTO `object_crc_string_table` VALUES ('2224923865', '849DA4D9', 'object/tangible/loot/quest/shared_quest_satchel_charge.iff');
INSERT INTO `object_crc_string_table` VALUES ('916480864', '36A06360', 'object/tangible/loot/quest/shared_quest_stimpack_a_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1695535287', '650FD0B7', 'object/tangible/loot/quest/shared_rifle_quest_tusken.iff');
INSERT INTO `object_crc_string_table` VALUES ('880694768', '347E55F0', 'object/tangible/loot/quest/shared_rudic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1815099947', '6C303A2B', 'object/tangible/loot/quest/shared_schematic_apron_s01_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2800706287', 'A6EF62EF', 'object/tangible/loot/quest/shared_schematic_backpack_s03_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('3031620704', 'B4B2DC60', 'object/tangible/loot/quest/shared_schematic_backpack_s06_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2807969436', 'A75E369C', 'object/tangible/loot/quest/shared_schematic_bandolier_s02_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('3140951446', 'BB371D96', 'object/tangible/loot/quest/shared_schematic_bandolier_s04_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('3011414562', 'B37E8A22', 'object/tangible/loot/quest/shared_schematic_belt_s05_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('3738946257', 'DEDBCAD1', 'object/tangible/loot/quest/shared_schematic_carbine_e11_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('4276949463', 'FEED11D7', 'object/tangible/loot/quest/shared_schematic_dress_s08_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('4044312600', 'F10F5018', 'object/tangible/loot/quest/shared_schematic_pistol_fwg5_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('3517653342', 'D1AB215E', 'object/tangible/loot/quest/shared_schematic_republic_blaster_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2394816327', '8EBDFF47', 'object/tangible/loot/quest/shared_sean_campaign_disk.iff');
INSERT INTO `object_crc_string_table` VALUES ('1553800313', '5C9D1C79', 'object/tangible/loot/quest/shared_sean_history_disk.iff');
INSERT INTO `object_crc_string_table` VALUES ('560125063', '2162D487', 'object/tangible/loot/quest/shared_sean_questn_alog.iff');
INSERT INTO `object_crc_string_table` VALUES ('1604016241', '5F9B5871', 'object/tangible/loot/quest/shared_sean_questn_gpapers.iff');
INSERT INTO `object_crc_string_table` VALUES ('3604298808', 'D6D53C38', 'object/tangible/loot/quest/shared_sean_questn_tdisk.iff');
INSERT INTO `object_crc_string_table` VALUES ('3591581058', 'D6132D82', 'object/tangible/loot/quest/shared_sean_questp_ctestimony.iff');
INSERT INTO `object_crc_string_table` VALUES ('674706343', '283733A7', 'object/tangible/loot/quest/shared_sean_questp_htestimony.iff');
INSERT INTO `object_crc_string_table` VALUES ('3743353236', 'DF1F0994', 'object/tangible/loot/quest/shared_sean_questp_mdisk.iff');
INSERT INTO `object_crc_string_table` VALUES ('2894170579', 'AC8189D3', 'object/tangible/loot/quest/shared_shellfish_harvester_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('856720284', '3310839C', 'object/tangible/loot/quest/shared_shield_generator_personal_imperial_test_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1409323836', '5400933C', 'object/tangible/loot/quest/shared_smooth_stone.iff');
INSERT INTO `object_crc_string_table` VALUES ('1380874599', '524E7967', 'object/tangible/loot/quest/shared_treasure_map_hedon.iff');
INSERT INTO `object_crc_string_table` VALUES ('2221778773', '846DA755', 'object/tangible/loot/quest/shared_tusken_head.iff');
INSERT INTO `object_crc_string_table` VALUES ('2259444048', '86AC6150', 'object/tangible/loot/quest/shared_valarian_dagger.iff');
INSERT INTO `object_crc_string_table` VALUES ('1885312788', '705F9714', 'object/tangible/loot/quest/shared_victor_campaign_disk.iff');
INSERT INTO `object_crc_string_table` VALUES ('1528043292', '5B14171C', 'object/tangible/loot/quest/shared_victor_questn_dseal.iff');
INSERT INTO `object_crc_string_table` VALUES ('3882415492', 'E768F584', 'object/tangible/loot/quest/shared_victor_questn_hlist.iff');
INSERT INTO `object_crc_string_table` VALUES ('367939380', '15EE4F34', 'object/tangible/loot/quest/shared_victor_questn_journal.iff');
INSERT INTO `object_crc_string_table` VALUES ('1576962769', '5DFE8AD1', 'object/tangible/loot/quest/shared_victor_questp_jregistry.iff');
INSERT INTO `object_crc_string_table` VALUES ('1884397294', '70519EEE', 'object/tangible/loot/quest/shared_victor_questp_receipt.iff');
INSERT INTO `object_crc_string_table` VALUES ('1434128341', '557B0FD5', 'object/tangible/loot/quest/shared_victor_questp_testimony.iff');
INSERT INTO `object_crc_string_table` VALUES ('1481000655', '584646CF', 'object/tangible/loot/quest/shared_wind_crystal.iff');
INSERT INTO `object_crc_string_table` VALUES ('1558538770', '5CE56A12', 'object/tangible/loot/simple_kit/shared_battery_cheap_copper.iff');
INSERT INTO `object_crc_string_table` VALUES ('4025688379', 'EFF3213B', 'object/tangible/loot/simple_kit/shared_datadisk.iff');
INSERT INTO `object_crc_string_table` VALUES ('1751481295', '68657BCF', 'object/tangible/loot/simple_kit/shared_datadisk_repair_kit.iff');
INSERT INTO `object_crc_string_table` VALUES ('4084040354', 'F36D82A2', 'object/tangible/loot/simple_kit/shared_datapad_backlight.iff');
INSERT INTO `object_crc_string_table` VALUES ('3119448448', 'B9EF0180', 'object/tangible/loot/simple_kit/shared_datapad_battery.iff');
INSERT INTO `object_crc_string_table` VALUES ('2404535278', '8F524BEE', 'object/tangible/loot/simple_kit/shared_datapad_casing.iff');
INSERT INTO `object_crc_string_table` VALUES ('3704114882', 'DCC84EC2', 'object/tangible/loot/simple_kit/shared_datapad_connectors.iff');
INSERT INTO `object_crc_string_table` VALUES ('1084051270', '409D4F46', 'object/tangible/loot/simple_kit/shared_empty_datapad.iff');
INSERT INTO `object_crc_string_table` VALUES ('2298400846', '88FED04E', 'object/tangible/loot/simple_kit/shared_feed_tubes.iff');
INSERT INTO `object_crc_string_table` VALUES ('652853740', '26E9C1EC', 'object/tangible/loot/simple_kit/shared_firework_casing.iff');
INSERT INTO `object_crc_string_table` VALUES ('4181083610', 'F93645DA', 'object/tangible/loot/simple_kit/shared_firework_fixer.iff');
INSERT INTO `object_crc_string_table` VALUES ('164033242', '9C6F2DA', 'object/tangible/loot/simple_kit/shared_flat_canvas.iff');
INSERT INTO `object_crc_string_table` VALUES ('326778183', '137A3D47', 'object/tangible/loot/simple_kit/shared_heating_element.iff');
INSERT INTO `object_crc_string_table` VALUES ('2586601937', '9A2C69D1', 'object/tangible/loot/simple_kit/shared_magnetic_burner.iff');
INSERT INTO `object_crc_string_table` VALUES ('29814933', '1C6F095', 'object/tangible/loot/simple_kit/shared_magnetic_reader.iff');
INSERT INTO `object_crc_string_table` VALUES ('3144713360', 'BB708490', 'object/tangible/loot/simple_kit/shared_motor_small_blue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1519193504', '5A8D0DA0', 'object/tangible/loot/simple_kit/shared_motor_small_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('1559578461', '5CF5475D', 'object/tangible/loot/simple_kit/shared_paint_cartridge.iff');
INSERT INTO `object_crc_string_table` VALUES ('433413834', '19D55ECA', 'object/tangible/loot/simple_kit/shared_paint_disperser.iff');
INSERT INTO `object_crc_string_table` VALUES ('3918612828', 'E991495C', 'object/tangible/loot/simple_kit/shared_picture_printer.iff');
INSERT INTO `object_crc_string_table` VALUES ('3790649571', 'E1F0B8E3', 'object/tangible/loot/simple_kit/shared_powder_pack.iff');
INSERT INTO `object_crc_string_table` VALUES ('802964254', '2FDC431E', 'object/tangible/loot/simple_kit/shared_processor_attachments.iff');
INSERT INTO `object_crc_string_table` VALUES ('575747803', '225136DB', 'object/tangible/loot/simple_kit/shared_pulverizer.iff');
INSERT INTO `object_crc_string_table` VALUES ('3916637406', 'E97324DE', 'object/tangible/loot/simple_kit/shared_recovery_software.iff');
INSERT INTO `object_crc_string_table` VALUES ('3010431171', 'B36F88C3', 'object/tangible/loot/simple_kit/shared_spinning_blade.iff');
INSERT INTO `object_crc_string_table` VALUES ('737773540', '2BF987E4', 'object/tangible/loot/simple_kit/shared_tumble_blender.iff');
INSERT INTO `object_crc_string_table` VALUES ('1346373524', '50400794', 'object/tangible/loot/simple_kit/shared_viewscreen_printer.iff');
INSERT INTO `object_crc_string_table` VALUES ('3617524157', 'D79F09BD', 'object/tangible/loot/simple_kit/shared_viewscreen_reader.iff');
INSERT INTO `object_crc_string_table` VALUES ('1151739825', '44A627B1', 'object/tangible/loot/simple_kit/shared_wiring.iff');
INSERT INTO `object_crc_string_table` VALUES ('1994052682', '76DAD44A', 'object/tangible/loot/simple_kit/shared_wiring_blue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2818101899', 'A7F8D28B', 'object/tangible/loot/simple_kit/shared_wiring_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('511989855', '1E84585F', 'object/tangible/loot/tool/shared_binoculars_broken_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3314806984', 'C593F0C8', 'object/tangible/loot/tool/shared_binoculars_broken_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1384767705', '5289E0D9', 'object/tangible/loot/tool/shared_calibrator_broken.iff');
INSERT INTO `object_crc_string_table` VALUES ('1058991151', '3F1EEC2F', 'object/tangible/loot/tool/shared_comlink_naboo_broken.iff');
INSERT INTO `object_crc_string_table` VALUES ('3897890885', 'E8551845', 'object/tangible/loot/tool/shared_datapad_broken.iff');
INSERT INTO `object_crc_string_table` VALUES ('3205052430', 'BF09380E', 'object/tangible/loot/tool/shared_impulse_detector_broken_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1679724697', '641E9099', 'object/tangible/loot/tool/shared_impulse_detector_broken_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('756283156', '2D13F714', 'object/tangible/loot/tool/shared_impulse_detector_broken_s3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3085465916', 'B7E8793C', 'object/tangible/loot/tool/shared_recording_rod_broken.iff');
INSERT INTO `object_crc_string_table` VALUES ('2766599802', 'A4E6F67A', 'object/tangible/loot/tool/shared_sandstat_broken.iff');
INSERT INTO `object_crc_string_table` VALUES ('1847347593', '6E1C4989', 'object/tangible/loot/tool/shared_taloscope_broken.iff');
INSERT INTO `object_crc_string_table` VALUES ('990061346', '3B032322', 'object/tangible/loot/tool/shared_usable_datapad.iff');
INSERT INTO `object_crc_string_table` VALUES ('3503789827', 'D0D79703', 'object/tangible/loot/tool/shared_viewscreen_broken_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('197148564', 'BC03F94', 'object/tangible/loot/tool/shared_viewscreen_broken_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3259696709', 'C24B0645', 'object/tangible/magic_eight_ball/shared_magic_eight_ball.iff');
INSERT INTO `object_crc_string_table` VALUES ('832067310', '319856EE', 'object/tangible/medicine/base/shared_base_medicine.iff');
INSERT INTO `object_crc_string_table` VALUES ('2421139465', '904FA809', 'object/tangible/medicine/crafted/shared_crafted_stimpack_sm_s1_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('1264058526', '4B58009E', 'object/tangible/medicine/crafted/shared_crafted_stimpack_sm_s1_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('39151379', '2556713', 'object/tangible/medicine/crafted/shared_crafted_stimpack_sm_s1_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('4189473799', 'F9B64C07', 'object/tangible/medicine/crafted/shared_crafted_stimpack_sm_s1_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('2965056394', 'B0BB2B8A', 'object/tangible/medicine/crafted/shared_crafted_stimpack_sm_s1_e.iff');
INSERT INTO `object_crc_string_table` VALUES ('3337965998', 'C6F551AE', 'object/tangible/medicine/crafted/shared_medic_fire_blanket.iff');
INSERT INTO `object_crc_string_table` VALUES ('1050358641', '3E9B3371', 'object/tangible/medicine/crafted/shared_medpack_blinded_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('3851197414', 'E58C9BE6', 'object/tangible/medicine/crafted/shared_medpack_blinded_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2627802879', '9CA116FF', 'object/tangible/medicine/crafted/shared_medpack_cure_disease_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('131829089', '7DB8D61', 'object/tangible/medicine/crafted/shared_medpack_cure_disease_area_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('3704366582', 'DCCC25F6', 'object/tangible/medicine/crafted/shared_medpack_cure_disease_area_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2512470651', '95C1427B', 'object/tangible/medicine/crafted/shared_medpack_cure_disease_area_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('1203158632', '47B6BE68', 'object/tangible/medicine/crafted/shared_medpack_cure_disease_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('247192037', 'EBBD9E5', 'object/tangible/medicine/crafted/shared_medpack_cure_disease_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('3079774336', 'B791A080', 'object/tangible/medicine/crafted/shared_medpack_cure_poison_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2173977694', '8194445E', 'object/tangible/medicine/crafted/shared_medpack_cure_poison_area_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('1518595273', '5A83ECC9', 'object/tangible/medicine/crafted/shared_medpack_cure_poison_area_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('328108868', '138E8B44', 'object/tangible/medicine/crafted/shared_medpack_cure_poison_area_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('1820723223', '6C860817', 'object/tangible/medicine/crafted/shared_medpack_cure_poison_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('629895066', '258B6F9A', 'object/tangible/medicine/crafted/shared_medpack_cure_poison_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('2001848134', '7751C746', 'object/tangible/medicine/crafted/shared_medpack_damage_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2890297297', 'AC466FD1', 'object/tangible/medicine/crafted/shared_medpack_damage_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('3846899804', 'E54B085C', 'object/tangible/medicine/crafted/shared_medpack_damage_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('514335560', '1EA82348', 'object/tangible/medicine/crafted/shared_medpack_damage_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('1470448837', '57A544C5', 'object/tangible/medicine/crafted/shared_medpack_damage_e.iff');
INSERT INTO `object_crc_string_table` VALUES ('1421339093', '54B7E9D5', 'object/tangible/medicine/crafted/shared_medpack_disease_action_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2409644354', '8FA04142', 'object/tangible/medicine/crafted/shared_medpack_disease_action_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('3333236431', 'C6AD26CF', 'object/tangible/medicine/crafted/shared_medpack_disease_action_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('3835399412', 'E49B8CF4', 'object/tangible/medicine/crafted/shared_medpack_disease_area_action_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('1066148963', '3F8C2463', 'object/tangible/medicine/crafted/shared_medpack_disease_area_action_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1988183022', '768143EE', 'object/tangible/medicine/crafted/shared_medpack_disease_area_action_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('1245003913', '4A354089', 'object/tangible/medicine/crafted/shared_medpack_disease_area_constitution_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2434983966', '9122E81E', 'object/tangible/medicine/crafted/shared_medpack_disease_area_constitution_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('3626995603', 'D82F8F93', 'object/tangible/medicine/crafted/shared_medpack_disease_area_constitution_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('4224279977', 'FBC965A9', 'object/tangible/medicine/crafted/shared_medpack_disease_area_focus_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('551472446', '20DECD3E', 'object/tangible/medicine/crafted/shared_medpack_disease_area_focus_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1775479475', '69D3AAB3', 'object/tangible/medicine/crafted/shared_medpack_disease_area_focus_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('1629813448', '6124FAC8', 'object/tangible/medicine/crafted/shared_medpack_disease_area_health_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('3123925599', 'BA33525F', 'object/tangible/medicine/crafted/shared_medpack_disease_area_health_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('4080940498', 'F33E35D2', 'object/tangible/medicine/crafted/shared_medpack_disease_area_health_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('3192147346', 'BE444D92', 'object/tangible/medicine/crafted/shared_medpack_disease_area_mind_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('1699996933', '6553E505', 'object/tangible/medicine/crafted/shared_medpack_disease_area_mind_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('744391304', '2C5E8288', 'object/tangible/medicine/crafted/shared_medpack_disease_area_mind_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('1210202555', '482239BB', 'object/tangible/medicine/crafted/shared_medpack_disease_area_quickness_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2469761324', '9335912C', 'object/tangible/medicine/crafted/shared_medpack_disease_area_quickness_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('3661166241', 'DA38F6A1', 'object/tangible/medicine/crafted/shared_medpack_disease_area_quickness_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('49541233', '2F3F071', 'object/tangible/medicine/crafted/shared_medpack_disease_area_stamina_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('3655620838', 'D9E458E6', 'object/tangible/medicine/crafted/shared_medpack_disease_area_stamina_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2431205227', '90E93F6B', 'object/tangible/medicine/crafted/shared_medpack_disease_area_stamina_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('3592578556', 'D62265FC', 'object/tangible/medicine/crafted/shared_medpack_disease_area_strength_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('221629803', 'D35CD6B', 'object/tangible/medicine/crafted/shared_medpack_disease_area_strength_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1144564454', '4438AAE6', 'object/tangible/medicine/crafted/shared_medpack_disease_area_strength_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('2580872887', '99D4FEB7', 'object/tangible/medicine/crafted/shared_medpack_disease_area_willpower_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('1120097824', '42C35620', 'object/tangible/medicine/crafted/shared_medpack_disease_area_willpower_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('198062509', 'BCE31AD', 'object/tangible/medicine/crafted/shared_medpack_disease_area_willpower_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('4062871791', 'F22A80EF', 'object/tangible/medicine/crafted/shared_medpack_disease_constitution_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('691873912', '293D2878', 'object/tangible/medicine/crafted/shared_medpack_disease_constitution_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1613778933', '60304FF5', 'object/tangible/medicine/crafted/shared_medpack_disease_constitution_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('855821233', '3302CBB1', 'object/tangible/medicine/crafted/shared_medpack_disease_focus_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('3893715750', 'E8156326', 'object/tangible/medicine/crafted/shared_medpack_disease_focus_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2702705835', 'A11804AB', 'object/tangible/medicine/crafted/shared_medpack_disease_focus_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('3507003369', 'D1089FE9', 'object/tangible/medicine/crafted/shared_medpack_disease_health_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('169817982', 'A1F377E', 'object/tangible/medicine/crafted/shared_medpack_disease_health_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1125273843', '431250F3', 'object/tangible/medicine/crafted/shared_medpack_disease_health_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('1432511697', '556264D1', 'object/tangible/medicine/crafted/shared_medpack_disease_mind_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2390084678', '8E75CC46', 'object/tangible/medicine/crafted/shared_medpack_disease_mind_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('3346574283', 'C778ABCB', 'object/tangible/medicine/crafted/shared_medpack_disease_mind_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('4148485002', 'F744DB8A', 'object/tangible/medicine/crafted/shared_medpack_disease_quickness_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('743666461', '2C53731D', 'object/tangible/medicine/crafted/shared_medpack_disease_quickness_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1700664464', '655E1490', 'object/tangible/medicine/crafted/shared_medpack_disease_quickness_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('2477284367', '93A85C0F', 'object/tangible/medicine/crafted/shared_medpack_disease_stamina_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('1220539544', '48BFF498', 'object/tangible/medicine/crafted/shared_medpack_disease_stamina_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('28480277', '1B29315', 'object/tangible/medicine/crafted/shared_medpack_disease_stamina_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('2891070933', 'AC523DD5', 'object/tangible/medicine/crafted/shared_medpack_disease_strength_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2001048898', '77459542', 'object/tangible/medicine/crafted/shared_medpack_disease_strength_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1044968143', '3E48F2CF', 'object/tangible/medicine/crafted/shared_medpack_disease_strength_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('649206918', '26B21C86', 'object/tangible/medicine/crafted/shared_medpack_disease_willpower_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('4255495185', 'FDA5B411', 'object/tangible/medicine/crafted/shared_medpack_disease_willpower_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('3030963100', 'B4A8D39C', 'object/tangible/medicine/crafted/shared_medpack_disease_willpower_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('4286027794', 'FF779812', 'object/tangible/medicine/crafted/shared_medpack_dizzy_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('610283653', '24603085', 'object/tangible/medicine/crafted/shared_medpack_dizzy_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('4040456830', 'F0D47A7E', 'object/tangible/medicine/crafted/shared_medpack_enhance_action_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('734253801', '2BC3D2E9', 'object/tangible/medicine/crafted/shared_medpack_enhance_action_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1657714020', '62CEB564', 'object/tangible/medicine/crafted/shared_medpack_enhance_action_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('2569903728', '992D9E70', 'object/tangible/medicine/crafted/shared_medpack_enhance_action_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('1741769826', '67D14C62', 'object/tangible/medicine/crafted/shared_medpack_enhance_constitution_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('3167151349', 'BCC6E4F5', 'object/tangible/medicine/crafted/shared_medpack_enhance_constitution_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('4123755384', 'F5CB8378', 'object/tangible/medicine/crafted/shared_medpack_enhance_constitution_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('237545580', 'E28A86C', 'object/tangible/medicine/crafted/shared_medpack_enhance_constitution_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('3542293256', 'D3231B08', 'object/tangible/medicine/crafted/shared_medpack_enhance_disease_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('137671583', '834B39F', 'object/tangible/medicine/crafted/shared_medpack_enhance_disease_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1094308882', '4139D412', 'object/tangible/medicine/crafted/shared_medpack_enhance_disease_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('1969949762', '756B0C42', 'object/tangible/medicine/crafted/shared_medpack_enhance_health_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2927404245', 'AE7CA4D5', 'object/tangible/medicine/crafted/shared_medpack_enhance_health_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('3882992472', 'E771C358', 'object/tangible/medicine/crafted/shared_medpack_enhance_health_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('479389772', '1C92E84C', 'object/tangible/medicine/crafted/shared_medpack_enhance_health_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('1971989030', '758A2A26', 'object/tangible/medicine/crafted/shared_medpack_enhance_poison_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2929558193', 'AE9D82B1', 'object/tangible/medicine/crafted/shared_medpack_enhance_poison_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('3885032764', 'E790E53C', 'object/tangible/medicine/crafted/shared_medpack_enhance_poison_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('3073745416', 'B735A208', 'object/tangible/medicine/crafted/shared_medpack_enhance_quickness_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('1814170271', '6C220A9F', 'object/tangible/medicine/crafted/shared_medpack_enhance_quickness_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('623865106', '252F6D12', 'object/tangible/medicine/crafted/shared_medpack_enhance_quickness_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('3737929222', 'DECC4606', 'object/tangible/medicine/crafted/shared_medpack_enhance_quickness_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('303093725', '1210D7DD', 'object/tangible/medicine/crafted/shared_medpack_enhance_stamina_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('3372711754', 'C9077F4A', 'object/tangible/medicine/crafted/shared_medpack_enhance_stamina_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2148145351', '800A18C7', 'object/tangible/medicine/crafted/shared_medpack_enhance_stamina_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('2078880723', '7BE933D3', 'object/tangible/medicine/crafted/shared_medpack_enhance_stamina_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('2031358604', '7914128C', 'object/tangible/medicine/crafted/shared_medpack_enhance_strength_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2718153243', 'A203BA1B', 'object/tangible/medicine/crafted/shared_medpack_enhance_strength_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('3943619990', 'EB0EDD96', 'object/tangible/medicine/crafted/shared_medpack_enhance_strength_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('284030594', '10EDF682', 'object/tangible/medicine/crafted/shared_medpack_enhance_strength_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('1566761102', '5D62E08E', 'object/tangible/medicine/crafted/shared_medpack_grenade_area_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2255833113', '86754819', 'object/tangible/medicine/crafted/shared_medpack_grenade_area_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('3480760212', 'CF782F94', 'object/tangible/medicine/crafted/shared_medpack_grenade_area_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('256177215', 'F44F43F', 'object/tangible/medicine/crafted/shared_medpack_grenade_damage_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('3562233000', 'D4535CA8', 'object/tangible/medicine/crafted/shared_medpack_grenade_damage_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2640198437', '9D5E3B25', 'object/tangible/medicine/crafted/shared_medpack_grenade_damage_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('1723666481', '66BD1031', 'object/tangible/medicine/crafted/shared_medpack_grenade_damage_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('800094140', '2FB077BC', 'object/tangible/medicine/crafted/shared_medpack_grenade_damage_e.iff');
INSERT INTO `object_crc_string_table` VALUES ('3909597494', 'E907B936', 'object/tangible/medicine/crafted/shared_medpack_intimidated_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('839913889', '321011A1', 'object/tangible/medicine/crafted/shared_medpack_intimidated_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1800212586', '6B4D106A', 'object/tangible/medicine/crafted/shared_medpack_poison_action_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2958735613', 'B05AB8FD', 'object/tangible/medicine/crafted/shared_medpack_poison_action_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('4183285616', 'F957DF70', 'object/tangible/medicine/crafted/shared_medpack_poison_action_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('1306026854', '4DD86366', 'object/tangible/medicine/crafted/shared_medpack_poison_area_action_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2530200561', '96CFCBF1', 'object/tangible/medicine/crafted/shared_medpack_poison_area_action_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('3754077308', 'DFC2AC7C', 'object/tangible/medicine/crafted/shared_medpack_poison_area_action_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('3362198874', 'C867155A', 'object/tangible/medicine/crafted/shared_medpack_poison_area_health_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('326155725', '1370BDCD', 'object/tangible/medicine/crafted/shared_medpack_poison_area_health_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1518197312', '5A7DDA40', 'object/tangible/medicine/crafted/shared_medpack_poison_area_health_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('1592196885', '5EE6FF15', 'object/tangible/medicine/crafted/shared_medpack_poison_area_mind_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2247186306', '85F15782', 'object/tangible/medicine/crafted/shared_medpack_poison_area_mind_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('3439079439', 'CCFC300F', 'object/tangible/medicine/crafted/shared_medpack_poison_area_mind_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('4008863318', 'EEF26656', 'object/tangible/medicine/crafted/shared_medpack_poison_health_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('904253121', '35E5CEC1', 'object/tangible/medicine/crafted/shared_medpack_poison_health_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2095622476', '7CE8A94C', 'object/tangible/medicine/crafted/shared_medpack_poison_health_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('224697074', 'D649AF2', 'object/tangible/medicine/crafted/shared_medpack_poison_mind_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('3597873765', 'D6733265', 'object/tangible/medicine/crafted/shared_medpack_poison_mind_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2675856872', '9F7E55E8', 'object/tangible/medicine/crafted/shared_medpack_poison_mind_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('893587986', '35431212', 'object/tangible/medicine/crafted/shared_medpack_revive.iff');
INSERT INTO `object_crc_string_table` VALUES ('3573174905', 'D4FA5279', 'object/tangible/medicine/crafted/shared_medpack_stunned_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('267254510', 'FEDFAEE', 'object/tangible/medicine/crafted/shared_medpack_stunned_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('3915445448', 'E960F4C8', 'object/tangible/medicine/crafted/shared_medpack_wound_action_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('846683231', '32775C5F', 'object/tangible/medicine/crafted/shared_medpack_wound_action_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2071608274', '7B7A3BD2', 'object/tangible/medicine/crafted/shared_medpack_wound_action_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('2157514950', '809910C6', 'object/tangible/medicine/crafted/shared_medpack_wound_action_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('3381950283', 'C994774B', 'object/tangible/medicine/crafted/shared_medpack_wound_action_e.iff');
INSERT INTO `object_crc_string_table` VALUES ('4023802808', 'EFD65BB8', 'object/tangible/medicine/crafted/shared_medpack_wound_constitution_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('885125935', '34C1F32F', 'object/tangible/medicine/crafted/shared_medpack_wound_constitution_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2110559394', '7DCC94A2', 'object/tangible/medicine/crafted/shared_medpack_wound_constitution_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('2251276214', '862FBFB6', 'object/tangible/medicine/crafted/shared_medpack_wound_constitution_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('3475167291', 'CF22D83B', 'object/tangible/medicine/crafted/shared_medpack_wound_constitution_e.iff');
INSERT INTO `object_crc_string_table` VALUES ('1826587380', '6CDF82F4', 'object/tangible/medicine/crafted/shared_medpack_wound_health_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('3083348579', 'B7C82A63', 'object/tangible/medicine/crafted/shared_medpack_wound_health_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('4274343406', 'FEC54DEE', 'object/tangible/medicine/crafted/shared_medpack_wound_health_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('86402810', '52666FA', 'object/tangible/medicine/crafted/shared_medpack_wound_health_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('1277886839', '4C2B0177', 'object/tangible/medicine/crafted/shared_medpack_wound_health_e.iff');
INSERT INTO `object_crc_string_table` VALUES ('2977609255', 'B17AB627', 'object/tangible/medicine/crafted/shared_medpack_wound_quickness_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('1785536176', '6A6D1EB0', 'object/tangible/medicine/crafted/shared_medpack_wound_quickness_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('593525053', '2360793D', 'object/tangible/medicine/crafted/shared_medpack_wound_quickness_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('3632484905', 'D8835229', 'object/tangible/medicine/crafted/shared_medpack_wound_quickness_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('2442016164', '918E35A4', 'object/tangible/medicine/crafted/shared_medpack_wound_quickness_e.iff');
INSERT INTO `object_crc_string_table` VALUES ('3360049826', 'C8464AA2', 'object/tangible/medicine/crafted/shared_medpack_wound_stamina_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('324133429', '1351E235', 'object/tangible/medicine/crafted/shared_medpack_wound_stamina_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1516012984', '5A5C85B8', 'object/tangible/medicine/crafted/shared_medpack_wound_stamina_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('2713693868', 'A1BFAEAC', 'object/tangible/medicine/crafted/shared_medpack_wound_stamina_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('3904031009', 'E8B2C921', 'object/tangible/medicine/crafted/shared_medpack_wound_stamina_e.iff');
INSERT INTO `object_crc_string_table` VALUES ('295235763', '1198F0B3', 'object/tangible/medicine/crafted/shared_medpack_wound_strength_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('3398391844', 'CA8F5824', 'object/tangible/medicine/crafted/shared_medpack_wound_strength_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2206351273', '83823FA9', 'object/tangible/medicine/crafted/shared_medpack_wound_strength_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('2019628221', '786114BD', 'object/tangible/medicine/crafted/shared_medpack_wound_strength_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('829190960', '316C7330', 'object/tangible/medicine/crafted/shared_medpack_wound_strength_e.iff');
INSERT INTO `object_crc_string_table` VALUES ('2350997777', '8C216111', 'object/tangible/medicine/pet/shared_droid_damage_kit_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('1463208326', '5736C986', 'object/tangible/medicine/pet/shared_droid_damage_kit_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('507227659', '1E3BAE0B', 'object/tangible/medicine/pet/shared_droid_damage_kit_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('3856172319', 'E5D8851F', 'object/tangible/medicine/pet/shared_droid_damage_kit_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('3944772347', 'EB2072FB', 'object/tangible/medicine/pet/shared_droid_stimpack_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('808966764', '3037DA6C', 'object/tangible/medicine/pet/shared_droid_stimpack_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2033892833', '793ABDE1', 'object/tangible/medicine/pet/shared_droid_stimpack_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('2195298037', '82D996F5', 'object/tangible/medicine/pet/shared_droid_stimpack_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('2100790124', '7D37836C', 'object/tangible/medicine/pet/shared_droid_vitapack_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2787126267', 'A6202BFB', 'object/tangible/medicine/pet/shared_droid_vitapack_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('4012723318', 'EF2D4C76', 'object/tangible/medicine/pet/shared_droid_vitapack_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('1025129359', '3D1A3B8F', 'object/tangible/medicine/pet/shared_droid_wound_kit_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('3859649304', 'E60D9318', 'object/tangible/medicine/pet/shared_droid_wound_kit_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2936075413', 'AF00F495', 'object/tangible/medicine/pet/shared_droid_wound_kit_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('1424220033', '54E3DF81', 'object/tangible/medicine/pet/shared_droid_wound_kit_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('1789607514', '6AAB3E5A', 'object/tangible/medicine/pet/shared_pet_stimpack_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2981926605', 'B1BC96CD', 'object/tangible/medicine/pet/shared_pet_stimpack_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('4172411200', 'F8B1F140', 'object/tangible/medicine/pet/shared_pet_stimpack_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('55761492', '352DA54', 'object/tangible/medicine/pet/shared_pet_stimpack_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('4240232397', 'FCBCCFCD', 'object/tangible/medicine/pet/shared_pet_vitapack_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('665544538', '27AB675A', 'object/tangible/medicine/pet/shared_pet_vitapack_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1856372951', '6EA600D7', 'object/tangible/medicine/pet/shared_pet_vitapack_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('1440189415', '55D78BE7', 'object/tangible/medicine/shared_antidote_sm_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4251613254', 'FD6A7846', 'object/tangible/medicine/shared_grenade_area_disease.iff');
INSERT INTO `object_crc_string_table` VALUES ('407306967', '184702D7', 'object/tangible/medicine/shared_grenade_area_poison.iff');
INSERT INTO `object_crc_string_table` VALUES ('1464815996', '574F517C', 'object/tangible/medicine/shared_grenade_disease.iff');
INSERT INTO `object_crc_string_table` VALUES ('3318575411', 'C5CD7133', 'object/tangible/medicine/shared_grenade_poison.iff');
INSERT INTO `object_crc_string_table` VALUES ('1436861013', '55A4C255', 'object/tangible/medicine/shared_healing_grenade.iff');
INSERT INTO `object_crc_string_table` VALUES ('517120211', '1ED2A0D3', 'object/tangible/medicine/shared_healing_grenade_longrange.iff');
INSERT INTO `object_crc_string_table` VALUES ('354709332', '15246F54', 'object/tangible/medicine/shared_medic_damage.iff');
INSERT INTO `object_crc_string_table` VALUES ('1604165582', '5F9D9FCE', 'object/tangible/medicine/shared_medikit_tool_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2114140377', '7E0338D9', 'object/tangible/medicine/shared_medikit_tool_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('765314717', '2D9DC69D', 'object/tangible/medicine/shared_medpack_blinded.iff');
INSERT INTO `object_crc_string_table` VALUES ('3567534855', 'D4A44307', 'object/tangible/medicine/shared_medpack_cure_disease.iff');
INSERT INTO `object_crc_string_table` VALUES ('1928193020', '72EDE3FC', 'object/tangible/medicine/shared_medpack_cure_poison.iff');
INSERT INTO `object_crc_string_table` VALUES ('1572232451', '5DB65D03', 'object/tangible/medicine/shared_medpack_damage.iff');
INSERT INTO `object_crc_string_table` VALUES ('832861899', '31A476CB', 'object/tangible/medicine/shared_medpack_disease_health.iff');
INSERT INTO `object_crc_string_table` VALUES ('2465786722', '92F8EB62', 'object/tangible/medicine/shared_medpack_dizzy.iff');
INSERT INTO `object_crc_string_table` VALUES ('2933500212', 'AED9A934', 'object/tangible/medicine/shared_medpack_enhance_action.iff');
INSERT INTO `object_crc_string_table` VALUES ('4043375021', 'F10101AD', 'object/tangible/medicine/shared_medpack_enhance_constitution.iff');
INSERT INTO `object_crc_string_table` VALUES ('103448599', '62A8017', 'object/tangible/medicine/shared_medpack_enhance_health.iff');
INSERT INTO `object_crc_string_table` VALUES ('1230024376', '4950AEB8', 'object/tangible/medicine/shared_medpack_enhance_quickness.iff');
INSERT INTO `object_crc_string_table` VALUES ('2141072147', '7F9E2B13', 'object/tangible/medicine/shared_medpack_enhance_stamina.iff');
INSERT INTO `object_crc_string_table` VALUES ('1816954138', '6C4C851A', 'object/tangible/medicine/shared_medpack_enhance_strength.iff');
INSERT INTO `object_crc_string_table` VALUES ('4052941806', 'F192FBEE', 'object/tangible/medicine/shared_medpack_grenade_area.iff');
INSERT INTO `object_crc_string_table` VALUES ('1050069168', '3E96C8B0', 'object/tangible/medicine/shared_medpack_grenade_damage.iff');
INSERT INTO `object_crc_string_table` VALUES ('3337310390', 'C6EB50B6', 'object/tangible/medicine/shared_medpack_intimidated.iff');
INSERT INTO `object_crc_string_table` VALUES ('3017797623', 'B3DFEFF7', 'object/tangible/medicine/shared_medpack_poison_health.iff');
INSERT INTO `object_crc_string_table` VALUES ('4063460611', 'F2337D03', 'object/tangible/medicine/shared_medpack_revive.iff');
INSERT INTO `object_crc_string_table` VALUES ('215922513', 'CDEB751', 'object/tangible/medicine/shared_medpack_sm_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4041482351', 'F0E4206F', 'object/tangible/medicine/shared_medpack_stunned.iff');
INSERT INTO `object_crc_string_table` VALUES ('2936514652', 'AF07A85C', 'object/tangible/medicine/shared_medpack_wound.iff');
INSERT INTO `object_crc_string_table` VALUES ('457349028', '1B4297A4', 'object/tangible/medicine/shared_medpack_wound_action.iff');
INSERT INTO `object_crc_string_table` VALUES ('1021180765', '3CDDFB5D', 'object/tangible/medicine/shared_medpack_wound_constitution.iff');
INSERT INTO `object_crc_string_table` VALUES ('3014770311', 'B3B1BE87', 'object/tangible/medicine/shared_medpack_wound_health.iff');
INSERT INTO `object_crc_string_table` VALUES ('2548119971', '97E139A3', 'object/tangible/medicine/shared_medpack_wound_quickness.iff');
INSERT INTO `object_crc_string_table` VALUES ('1314610438', '4E5B5D06', 'object/tangible/medicine/shared_medpack_wound_stamina.iff');
INSERT INTO `object_crc_string_table` VALUES ('2043273277', '79C9E03D', 'object/tangible/medicine/shared_medpack_wound_strength.iff');
INSERT INTO `object_crc_string_table` VALUES ('2246906578', '85ED12D2', 'object/tangible/medicine/shared_newbie_heal_mission_medicine.iff');
INSERT INTO `object_crc_string_table` VALUES ('424530466', '194DD222', 'object/tangible/medicine/shared_stimpack_sm_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('120135169', '7291E01', 'object/tangible/medicine/shared_test_fire_blanket.iff');
INSERT INTO `object_crc_string_table` VALUES ('1744278717', '67F794BD', 'object/tangible/microphone/shared_microphone.iff');
INSERT INTO `object_crc_string_table` VALUES ('3951173790', 'EB82209E', 'object/tangible/mission/quest_item/shared_aaph_koden_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('378433158', '168E6E86', 'object/tangible/mission/quest_item/shared_ajuva_vamasterin_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('513100684', '1E954B8C', 'object/tangible/mission/quest_item/shared_ajuva_vamasterin_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('910173292', '3640246C', 'object/tangible/mission/quest_item/shared_arrek_vonsarko_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3207687484', 'BF316D3C', 'object/tangible/mission/quest_item/shared_arven_wendik_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2808249853', 'A7627DFD', 'object/tangible/mission/quest_item/shared_athok_dinvar_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1378666230', '522CC6F6', 'object/tangible/mission/quest_item/shared_attunement_grid.iff');
INSERT INTO `object_crc_string_table` VALUES ('3195313536', 'BE749D80', 'object/tangible/mission/quest_item/shared_aujante_klee_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('947591589', '387B19A5', 'object/tangible/mission/quest_item/shared_ayn_eckener_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3109370215', 'B9553967', 'object/tangible/mission/quest_item/shared_bab_esrus_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3065577323', 'B6B8FF6B', 'object/tangible/mission/quest_item/shared_bab_esrus_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2260248356', '86B8A724', 'object/tangible/mission/quest_item/shared_bardo_klinj_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2393080366', '8EA3822E', 'object/tangible/mission/quest_item/shared_bardo_klinj_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2304074024', '89556128', 'object/tangible/mission/quest_item/shared_bardo_klinj_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2763509222', 'A4B7CDE6', 'object/tangible/mission/quest_item/shared_binna_jode_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2897012972', 'ACACE8EC', 'object/tangible/mission/quest_item/shared_binna_jode_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2874805226', 'AB5A0BEA', 'object/tangible/mission/quest_item/shared_binna_jode_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3164250872', 'BC9AA2F8', 'object/tangible/mission/quest_item/shared_binna_jode_q4_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2299815222', '89146536', 'object/tangible/mission/quest_item/shared_biribas_tarun_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('612933888', '2488A100', 'object/tangible/mission/quest_item/shared_booto_lubble_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('747865098', '2C93840A', 'object/tangible/mission/quest_item/shared_booto_lubble_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3403265909', 'CAD9B775', 'object/tangible/mission/quest_item/shared_borvo_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3709410919', 'DD191E67', 'object/tangible/mission/quest_item/shared_borvo_q6_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4133937817', 'F666E299', 'object/tangible/mission/quest_item/shared_boshek_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4269655955', 'FE7DC793', 'object/tangible/mission/quest_item/shared_boshek_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3753479454', 'DFB98D1E', 'object/tangible/mission/quest_item/shared_brantlee_spondoon_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3617761300', 'D7A2A814', 'object/tangible/mission/quest_item/shared_brantlee_spondoon_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1892692988', '70D033FC', 'object/tangible/mission/quest_item/shared_brass_marshoo_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2026575606', '78CB16F6', 'object/tangible/mission/quest_item/shared_brass_marshoo_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('359980413', '1574DD7D', 'object/tangible/mission/quest_item/shared_brea_tonnika_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('240174714', 'E50C67A', 'object/tangible/mission/quest_item/shared_bren_kingal_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2799354182', 'A6DAC146', 'object/tangible/mission/quest_item/shared_bren_kingal_q1_reward.iff');
INSERT INTO `object_crc_string_table` VALUES ('105636720', '64BE370', 'object/tangible/mission/quest_item/shared_bren_kingal_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2931942476', 'AEC1E44C', 'object/tangible/mission/quest_item/shared_bren_kingal_q2_reward.iff');
INSERT INTO `object_crc_string_table` VALUES ('29163638', '1BD0076', 'object/tangible/mission/quest_item/shared_bren_kingal_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2838955850', 'A937074A', 'object/tangible/mission/quest_item/shared_bren_kingal_q3_reward.iff');
INSERT INTO `object_crc_string_table` VALUES ('377334116', '167DA964', 'object/tangible/mission/quest_item/shared_bren_kingal_q4_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3203903064', 'BEF7AE58', 'object/tangible/mission/quest_item/shared_bren_kingal_q4_reward.iff');
INSERT INTO `object_crc_string_table` VALUES ('1705405453', '65A66C0D', 'object/tangible/mission/quest_item/shared_brennis_doore_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1841121543', '6DBD4907', 'object/tangible/mission/quest_item/shared_brennis_doore_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1783343617', '6A4BAA01', 'object/tangible/mission/quest_item/shared_brennis_doore_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3264370995', 'C2925933', 'object/tangible/mission/quest_item/shared_champhra_biahin_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3398007865', 'CA897C39', 'object/tangible/mission/quest_item/shared_champhra_biahin_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2397269656', '8EE36E98', 'object/tangible/mission/quest_item/shared_charal_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2530083206', '96CE0186', 'object/tangible/mission/quest_item/shared_charal_q4_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3359396583', 'C83C52E7', 'object/tangible/mission/quest_item/shared_chertyl_ruruwoor_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('8182933', '7CDC95', 'object/tangible/mission/quest_item/shared_crev_bombaasa_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('141031839', '867F99F', 'object/tangible/mission/quest_item/shared_crev_bombaasa_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2176487212', '81BA8F2C', 'object/tangible/mission/quest_item/shared_crider_trant_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3995914990', 'EE2CD2EE', 'object/tangible/mission/quest_item/shared_current_alternator.iff');
INSERT INTO `object_crc_string_table` VALUES ('2245704148', '85DAB9D4', 'object/tangible/mission/quest_item/shared_daclif_gallamby_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2378276062', '8DC19CDE', 'object/tangible/mission/quest_item/shared_daclif_gallamby_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2318893016', '8A377FD8', 'object/tangible/mission/quest_item/shared_daclif_gallamby_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2650265290', '9DF7D6CA', 'object/tangible/mission/quest_item/shared_daclif_gallamby_q4_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2451181766', '921A10C6', 'object/tangible/mission/quest_item/shared_daclif_gallamby_q6_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4183162211', 'F955FD63', 'object/tangible/mission/quest_item/shared_damalia_korde_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1675280131', '63DABF03', 'object/tangible/mission/quest_item/shared_dannik_malaan_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('888947205', '34FC4205', 'object/tangible/mission/quest_item/shared_dea_tore_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('856334595', '330AA103', 'object/tangible/mission/quest_item/shared_dea_tore_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('617220113', '24CA0811', 'object/tangible/mission/quest_item/shared_dea_tore_q4_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1955273161', '748B19C9', 'object/tangible/mission/quest_item/shared_denell_kelvannon_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4071396946', 'F2AC9652', 'object/tangible/mission/quest_item/shared_diax_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3645474258', 'D94985D2', 'object/tangible/mission/quest_item/shared_didina_lippinoss_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('767298763', '2DBC0CCB', 'object/tangible/mission/quest_item/shared_dilvin_lormurojo_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2124169630', '7E9C419E', 'object/tangible/mission/quest_item/shared_dolac_legasi_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('813496257', '307CF7C1', 'object/tangible/mission/quest_item/shared_draya_korbinari_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1092729423', '4121BA4F', 'object/tangible/mission/quest_item/shared_drenn_zebber_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1335716161', '4F9D6941', 'object/tangible/mission/quest_item/shared_ebenn_baobab_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1215007303', '486B8A47', 'object/tangible/mission/quest_item/shared_ebenn_baobab_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4176227908', 'F8EC2E44', 'object/tangible/mission/quest_item/shared_feedback_controller.iff');
INSERT INTO `object_crc_string_table` VALUES ('153181486', '9215D2E', 'object/tangible/mission/quest_item/shared_figrindan_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('20609060', '13A7824', 'object/tangible/mission/quest_item/shared_figrindan_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('114072354', '6CC9B22', 'object/tangible/mission/quest_item/shared_figrindan_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1275277718', '4C033196', 'object/tangible/mission/quest_item/shared_fixer_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1139734426', '43EEF79A', 'object/tangible/mission/quest_item/shared_fixer_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3270538959', 'C2F076CF', 'object/tangible/mission/quest_item/shared_garm_beliblis_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3066980718', 'B6CE696E', 'object/tangible/mission/quest_item/shared_gilad_pellaeon_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3201649764', 'BED54C64', 'object/tangible/mission/quest_item/shared_gilad_pellaeon_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1062635978', '3F5689CA', 'object/tangible/mission/quest_item/shared_gilker_budz_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1909895567', '71D6B18F', 'object/tangible/mission/quest_item/shared_ging_darjeek_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('848766472', '32972608', 'object/tangible/mission/quest_item/shared_gins_darone_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('982254338', '3A8C0302', 'object/tangible/mission/quest_item/shared_gins_darone_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2601533339', '9B103F9B', 'object/tangible/mission/quest_item/shared_graf_zapalo_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2632375453', '9CE6DC9D', 'object/tangible/mission/quest_item/shared_graf_zapalo_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3346488460', 'C7775C8C', 'object/tangible/mission/quest_item/shared_gravin_attal_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3479992710', 'CF6C7986', 'object/tangible/mission/quest_item/shared_gravin_attal_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3862327670', 'E6367176', 'object/tangible/mission/quest_item/shared_green_laser_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1444934081', '561FF1C1', 'object/tangible/mission/quest_item/shared_grondorn_muse_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1783655886', '6A506DCE', 'object/tangible/mission/quest_item/shared_hagrin_zeed_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1649100996', '624B48C4', 'object/tangible/mission/quest_item/shared_hagrin_zeed_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2483021006', '93FFE4CE', 'object/tangible/mission/quest_item/shared_hal_horn_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('135220430', '80F4CCE', 'object/tangible/mission/quest_item/shared_haleen_snowline_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1337796', '1469C4', 'object/tangible/mission/quest_item/shared_haleen_snowline_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3252161065', 'C1D80A29', 'object/tangible/mission/quest_item/shared_hedon_istee_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('828118213', '315C14C5', 'object/tangible/mission/quest_item/shared_hefsen_zindalai_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3136963652', 'BAFA4444', 'object/tangible/mission/quest_item/shared_ian_logo_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3038216776', 'B5178248', 'object/tangible/mission/quest_item/shared_ian_logo_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('753804918', '2CEE2676', 'object/tangible/mission/quest_item/shared_igbi_freemo_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('896881297', '35755291', 'object/tangible/mission/quest_item/shared_ikka_gesul_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('104299049', '6377A29', 'object/tangible/mission/quest_item/shared_indintra_imbru_yerevan_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('237788963', 'E2C5F23', 'object/tangible/mission/quest_item/shared_indintra_imbru_yerevan_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('373666081', '1645B121', 'object/tangible/mission/quest_item/shared_jadam_questrel_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1190917197', '46FBF44D', 'object/tangible/mission/quest_item/shared_jaleela_bindoo_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1226191425', '49163241', 'object/tangible/mission/quest_item/shared_jaleela_bindoo_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1591122771', '5ED69B53', 'object/tangible/mission/quest_item/shared_jaleela_bindoo_q4_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('224919357', 'D67FF3D', 'object/tangible/mission/quest_item/shared_jatrian_lytus_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1966647565', '7538A90D', 'object/tangible/mission/quest_item/shared_jazeen_thurmm_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3685390687', 'DBAA995F', 'object/tangible/mission/quest_item/shared_junelle_astor_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3561447251', 'D4475F53', 'object/tangible/mission/quest_item/shared_junelle_astor_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3165505661', 'BCADC87D', 'object/tangible/mission/quest_item/shared_jusani_zhord_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3558096182', 'D4143D36', 'object/tangible/mission/quest_item/shared_jyr_koble_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3690593082', 'DBF9FB3A', 'object/tangible/mission/quest_item/shared_jyr_koble_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3426308648', 'CC395228', 'object/tangible/mission/quest_item/shared_jyr_koble_q4_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('900691098', '35AF749A', 'object/tangible/mission/quest_item/shared_kadil_nurugen_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1452769693', '5697819D', 'object/tangible/mission/quest_item/shared_kaeline_ungasan_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1586275479', '5E8CA497', 'object/tangible/mission/quest_item/shared_kaeline_ungasan_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1060398386', '3F346532', 'object/tangible/mission/quest_item/shared_kais_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('925843512', '372F4038', 'object/tangible/mission/quest_item/shared_kais_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('819569470', '30D9A33E', 'object/tangible/mission/quest_item/shared_kais_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2116306072', '7E244498', 'object/tangible/mission/quest_item/shared_karena_keer_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1983865234', '763F6192', 'object/tangible/mission/quest_item/shared_karena_keer_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('937788468', '37E58434', 'object/tangible/mission/quest_item/shared_karrek_film_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1073652030', '3FFEA13E', 'object/tangible/mission/quest_item/shared_karrek_film_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('940065336', '38084238', 'object/tangible/mission/quest_item/shared_karrek_film_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('643250440', '26573908', 'object/tangible/mission/quest_item/shared_kelvus_naria_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2996552062', 'B29BC17E', 'object/tangible/mission/quest_item/shared_kirkin_liawoon_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('116404538', '6F0313A', 'object/tangible/mission/quest_item/shared_kitster_banai_q5_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1774093383', '69BE8447', 'object/tangible/mission/quest_item/shared_kormund_thrylle_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3710443198', 'DD28DEBE', 'object/tangible/mission/quest_item/shared_kritus_morven_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3576953780', 'D533FBB4', 'object/tangible/mission/quest_item/shared_kritus_morven_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3536132274', 'D2C518B2', 'object/tangible/mission/quest_item/shared_kritus_morven_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3270726310', 'C2F352A6', 'object/tangible/mission/quest_item/shared_kritus_morven_q5_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2573148736', '995F2240', 'object/tangible/mission/quest_item/shared_kylantha_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2437154634', '9144074A', 'object/tangible/mission/quest_item/shared_kylantha_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3401487746', 'CABE9582', 'object/tangible/mission/quest_item/shared_lasha_bindari_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4147603865', 'F7376999', 'object/tangible/mission/quest_item/shared_leb_slesher_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4281093267', 'FF2C4C93', 'object/tangible/mission/quest_item/shared_leb_slesher_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4175081365', 'F8DAAF95', 'object/tangible/mission/quest_item/shared_leb_slesher_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('30504142', '1D174CE', 'object/tangible/mission/quest_item/shared_lergo_brazee_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4211658393', 'FB08CE99', 'object/tangible/mission/quest_item/shared_lian_byrne_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4108650645', 'F4E50895', 'object/tangible/mission/quest_item/shared_lian_byrne_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('711653844', '2A6AF9D4', 'object/tangible/mission/quest_item/shared_liane_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('577887454', '2271DCDE', 'object/tangible/mission/quest_item/shared_liane_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('629620696', '25873FD8', 'object/tangible/mission/quest_item/shared_liane_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('405736035', '182F0A63', 'object/tangible/mission/quest_item/shared_lilas_dinhint_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('271855465', '10342F69', 'object/tangible/mission/quest_item/shared_lilas_dinhint_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('398642287', '17C2CC6F', 'object/tangible/mission/quest_item/shared_lilas_dinhint_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('157053', '2657D', 'object/tangible/mission/quest_item/shared_lilas_dinhint_q4_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1696726449', '6521FDB1', 'object/tangible/mission/quest_item/shared_lob_dizz_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1195800723', '47467893', 'object/tangible/mission/quest_item/shared_luthik_uwyr_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1085315989', '40B09B95', 'object/tangible/mission/quest_item/shared_luthik_uwyr_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1189726815', '46E9CA5F', 'object/tangible/mission/quest_item/shared_luthin_dlunar_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1324543829', '4EF2EF55', 'object/tangible/mission/quest_item/shared_luthin_dlunar_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('122267561', '749A7A9', 'object/tangible/mission/quest_item/shared_lx466_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('12534959', 'BF44AF', 'object/tangible/mission/quest_item/shared_lx466_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3787453530', 'E1BFF45A', 'object/tangible/mission/quest_item/shared_mal_sikander_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4267997250', 'FE647842', 'object/tangible/mission/quest_item/shared_mal_sikander_q5_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2123489242', '7E91DFDA', 'object/tangible/mission/quest_item/shared_mat_rags_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1988819664', '768AFAD0', 'object/tangible/mission/quest_item/shared_mat_rags_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1903958486', '717C19D6', 'object/tangible/mission/quest_item/shared_mat_rags_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1723642052', '66BCB0C4', 'object/tangible/mission/quest_item/shared_mat_rags_q4_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3913193492', 'E93E9814', 'object/tangible/mission/quest_item/shared_megan_drlar_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1349487784', '506F8CA8', 'object/tangible/mission/quest_item/shared_melios_purl_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1469673390', '57996FAE', 'object/tangible/mission/quest_item/shared_melios_purl_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1784339058', '6A5ADA72', 'object/tangible/mission/quest_item/shared_morag_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4215350829', 'FB41262D', 'object/tangible/mission/quest_item/shared_mozo_bondog_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('289927562', '1147F18A', 'object/tangible/mission/quest_item/shared_mullud_bombo_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('425514112', '195CD480', 'object/tangible/mission/quest_item/shared_mullud_bombo_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1722057504', '66A48320', 'object/tangible/mission/quest_item/shared_nass_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3767145747', 'E08A1513', 'object/tangible/mission/quest_item/shared_noren_krast_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3901829145', 'E8913019', 'object/tangible/mission/quest_item/shared_noren_krast_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4016558879', 'EF67D31F', 'object/tangible/mission/quest_item/shared_noren_krast_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3385151380', 'C9C54F94', 'object/tangible/mission/quest_item/shared_nurla_slinthiss_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3324545432', 'C6288998', 'object/tangible/mission/quest_item/shared_nurla_slinthiss_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2491310445', '947E616D', 'object/tangible/mission/quest_item/shared_oron_wintree_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2448376358', '91EF4226', 'object/tangible/mission/quest_item/shared_output_governor.iff');
INSERT INTO `object_crc_string_table` VALUES ('1007650043', '3C0F84FB', 'object/tangible/mission/quest_item/shared_oxil_sarban_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('873767409', '3414A1F1', 'object/tangible/mission/quest_item/shared_oxil_sarban_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1961361819', '74E8019B', 'object/tangible/mission/quest_item/shared_pooja_naberrie_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2096309393', '7CF32491', 'object/tangible/mission/quest_item/shared_pooja_naberrie_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1798540675', '6B338D83', 'object/tangible/mission/quest_item/shared_pooja_naberrie_q5_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('91462153', '5739A09', 'object/tangible/mission/quest_item/shared_power_regulator.iff');
INSERT INTO `object_crc_string_table` VALUES ('269215799', '100BE837', 'object/tangible/mission/quest_item/shared_radanthus_mandelatara_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('402459441', '17FD0B31', 'object/tangible/mission/quest_item/shared_radanthus_mandelatara_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2036787588', '7966E984', 'object/tangible/mission/quest_item/shared_radlee_mathiss_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2266234349', '8713FDED', 'object/tangible/mission/quest_item/shared_raglith_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2060219830', '7ACC75B6', 'object/tangible/mission/quest_item/shared_rakir_banai_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1794785186', '6AFA3FA2', 'object/tangible/mission/quest_item/shared_rakir_banai_q4_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1676232329', '63E94689', 'object/tangible/mission/quest_item/shared_rep_been_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('887722995', '34E993F3', 'object/tangible/mission/quest_item/shared_ric_olie_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2473963928', '9375B198', 'object/tangible/mission/quest_item/shared_rovim_minnoni_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('427703742', '197E3DBE', 'object/tangible/mission/quest_item/shared_ruwan_tokai_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('291838132', '116518B4', 'object/tangible/mission/quest_item/shared_ruwan_tokai_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2151494415', '803D330F', 'object/tangible/mission/quest_item/shared_sango_rond_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3884406312', 'E7875628', 'object/tangible/mission/quest_item/shared_sayama_edosun_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4020007714', 'EF9C7322', 'object/tangible/mission/quest_item/shared_sayama_edosun_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3899297828', 'E86A9024', 'object/tangible/mission/quest_item/shared_sayama_edosun_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2412100000', '8FC5B9A0', 'object/tangible/mission/quest_item/shared_senni_tonnika_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2279513258', '87DE9CAA', 'object/tangible/mission/quest_item/shared_senni_tonnika_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2150137772', '80287FAC', 'object/tangible/mission/quest_item/shared_senni_tonnika_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3662733402', 'DA50E05A', 'object/tangible/mission/quest_item/shared_serena_fenner_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3585943126', 'D5BD2656', 'object/tangible/mission/quest_item/shared_serena_fenner_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1479422018', '582E3042', 'object/tangible/mission/quest_item/shared_serjix_arrogantus_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('748682048', '2C9FFB40', 'object/tangible/mission/quest_item/shared_shaki_hamachil_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('612687434', '2484DE4A', 'object/tangible/mission/quest_item/shared_shaki_hamachil_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3462087162', 'CE5B41FA', 'object/tangible/mission/quest_item/shared_shalera_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3650873576', 'D99BE8E8', 'object/tangible/mission/quest_item/shared_shalera_q6_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2665956312', '9EE743D8', 'object/tangible/mission/quest_item/shared_sidoras_bey_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2008112320', '77B15CC0', 'object/tangible/mission/quest_item/shared_sigrix_slix_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2141878730', '7FAA79CA', 'object/tangible/mission/quest_item/shared_sigrix_slix_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1411534999', '54225097', 'object/tangible/mission/quest_item/shared_sindra_lintikoor_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1547269533', '5C39759D', 'object/tangible/mission/quest_item/shared_sindra_lintikoor_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1924055018', '72AEBFEA', 'object/tangible/mission/quest_item/shared_singular_nak_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2058722016', '7AB59AE0', 'object/tangible/mission/quest_item/shared_singular_nak_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2164733898', '810737CA', 'object/tangible/mission/quest_item/shared_slooni_jong_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('528594706', '1F81B712', 'object/tangible/mission/quest_item/shared_stella_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('396005912', '179A9218', 'object/tangible/mission/quest_item/shared_stella_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('275542302', '106C711E', 'object/tangible/mission/quest_item/shared_stella_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2617025596', '9BFCA43C', 'object/tangible/mission/quest_item/shared_stoos_olko_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2481422646', '93E78136', 'object/tangible/mission/quest_item/shared_stoos_olko_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2484167216', '94116230', 'object/tangible/mission/quest_item/shared_stoos_olko_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3849796149', 'E5773A35', 'object/tangible/mission/quest_item/shared_surlin_rolei_q1_recruitment_disk.iff');
INSERT INTO `object_crc_string_table` VALUES ('1532630144', '5B5A1480', 'object/tangible/mission/quest_item/shared_surlin_rolei_q2_camera.iff');
INSERT INTO `object_crc_string_table` VALUES ('3866569269', 'E6772A35', 'object/tangible/mission/quest_item/shared_surlin_rolei_q6_spy_report.iff');
INSERT INTO `object_crc_string_table` VALUES ('894921043', '35576953', 'object/tangible/mission/quest_item/shared_surlin_rolei_q6_stolen_info.iff');
INSERT INTO `object_crc_string_table` VALUES ('1954160177', '747A1E31', 'object/tangible/mission/quest_item/shared_szingo_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3820828760', 'E3BD3858', 'object/tangible/mission/quest_item/shared_talon_karrde_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3964730964', 'EC50FE54', 'object/tangible/mission/quest_item/shared_talon_karrde_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4220540742', 'FB905746', 'object/tangible/mission/quest_item/shared_talon_karrde_q4_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1607172162', '5FCB8042', 'object/tangible/mission/quest_item/shared_tekil_barje_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1344685646', '5026464E', 'object/tangible/mission/quest_item/shared_tekil_barje_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('210706787', 'C8F2163', 'object/tangible/mission/quest_item/shared_terak_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('56813423', '362E76F', 'object/tangible/mission/quest_item/shared_terak_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2085244316', '7C4A4D9C', 'object/tangible/mission/quest_item/shared_thrackan_salsolo_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('643932349', '2661A0BD', 'object/tangible/mission/quest_item/shared_throme_gormengal_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('697067185', '298C66B1', 'object/tangible/mission/quest_item/shared_throme_gormengal_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1263458770', '4B4ED9D2', 'object/tangible/mission/quest_item/shared_vana_sage_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('791270203', '2F29D33B', 'object/tangible/mission/quest_item/shared_vardias_tyne_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('751474155', '2CCA95EB', 'object/tangible/mission/quest_item/shared_vhaunda_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3678523510', 'DB41D076', 'object/tangible/mission/quest_item/shared_village_defenses.iff');
INSERT INTO `object_crc_string_table` VALUES ('2159790732', '80BBCA8C', 'object/tangible/mission/quest_item/shared_village_shields.iff');
INSERT INTO `object_crc_string_table` VALUES ('509776095', '1E6290DF', 'object/tangible/mission/quest_item/shared_vinya_maysor_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4161049668', 'F8049444', 'object/tangible/mission/quest_item/shared_vordin_sildor_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1952017154', '74596B02', 'object/tangible/mission/quest_item/shared_vrir_unglan_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2084720136', '7C424E08', 'object/tangible/mission/quest_item/shared_vrir_unglan_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3997432132', 'EE43F944', 'object/tangible/mission/quest_item/shared_vurlene_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3864583246', 'E658DC4E', 'object/tangible/mission/quest_item/shared_vurlene_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3786293064', 'E1AE3F48', 'object/tangible/mission/quest_item/shared_vurlene_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1905329925', '71910705', 'object/tangible/mission/quest_item/shared_wald_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2039095823', '798A220F', 'object/tangible/mission/quest_item/shared_wald_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2122105097', '7E7CC109', 'object/tangible/mission/quest_item/shared_wald_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1773955099', '69BC681B', 'object/tangible/mission/quest_item/shared_wald_q4_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1875516238', '6FCA1B4E', 'object/tangible/mission/quest_item/shared_warren_core_control_rod_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3034428377', 'B4DDB3D9', 'object/tangible/mission/quest_item/shared_warren_core_control_rod_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4073100212', 'F2C693B4', 'object/tangible/mission/quest_item/shared_warren_device_encryption_key.iff');
INSERT INTO `object_crc_string_table` VALUES ('751589667', '2CCC5923', 'object/tangible/mission/quest_item/shared_warren_evidence_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4158386612', 'F7DBF1B4', 'object/tangible/mission/quest_item/shared_warren_evidence_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3201734201', 'BED69639', 'object/tangible/mission/quest_item/shared_warren_evidence_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1161149741', '4535BD2D', 'object/tangible/mission/quest_item/shared_warren_evidence_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2348946698', '8C02150A', 'object/tangible/mission/quest_item/shared_warren_farewell_letter.iff');
INSERT INTO `object_crc_string_table` VALUES ('1929635907', '7303E843', 'object/tangible/mission/quest_item/shared_warren_inquisitor_letter.iff');
INSERT INTO `object_crc_string_table` VALUES ('1731835743', '6739B75F', 'object/tangible/mission/quest_item/shared_warren_passkey_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3157139400', 'BC2E1FC8', 'object/tangible/mission/quest_item/shared_warren_passkey_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4112742469', 'F5237845', 'object/tangible/mission/quest_item/shared_warren_passkey_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('247485265', 'EC05351', 'object/tangible/mission/quest_item/shared_warren_passkey_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1273506615', '4BE82B37', 'object/tangible/mission/quest_item/shared_warren_turret_sequence.iff');
INSERT INTO `object_crc_string_table` VALUES ('961134093', '3949BE0D', 'object/tangible/mission/quest_item/shared_wilhalm_skrim_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('827497223', '31529B07', 'object/tangible/mission/quest_item/shared_wilhalm_skrim_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3087063788', 'B800DAEC', 'object/tangible/mission/quest_item/shared_windom_starkiller_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3120568606', 'BA00191E', 'object/tangible/mission/quest_item/shared_wuher_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2988129300', 'B21B3C14', 'object/tangible/mission/quest_item/shared_wuher_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3052265234', 'B5EDDF12', 'object/tangible/mission/quest_item/shared_wuher_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2720888320', 'A22D7600', 'object/tangible/mission/quest_item/shared_wuher_q4_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('726645346', '2B4FBA62', 'object/tangible/mission/quest_item/shared_xaan_talmaron_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('614628462', '24A27C6E', 'object/tangible/mission/quest_item/shared_xaan_talmaron_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2258907872', '86A432E0', 'object/tangible/mission/quest_item/shared_xalox_guul_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2168666592', '814339E0', 'object/tangible/mission/quest_item/shared_xarot_korlin_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2304253162', '89581CEA', 'object/tangible/mission/quest_item/shared_xarot_korlin_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3276450481', 'C34AAAB1', 'object/tangible/mission/quest_item/shared_yith_seenath_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3147538700', 'BB9BA10C', 'object/tangible/mission/quest_item/shared_zekka_thyne_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1563677402', '5D33D2DA', 'object/tangible/mission/quest_item/shared_zogor_sturm_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2808148877', 'A760F38D', 'object/tangible/mission/shared_assassin_missions_device.iff');
INSERT INTO `object_crc_string_table` VALUES ('492694456', '1D5DEBB8', 'object/tangible/mission/shared_mission_bounty_droid_probot.iff');
INSERT INTO `object_crc_string_table` VALUES ('1438002131', '55B62BD3', 'object/tangible/mission/shared_mission_bounty_droid_seeker.iff');
INSERT INTO `object_crc_string_table` VALUES ('3104954918', 'B911DA26', 'object/tangible/mission/shared_mission_bounty_target.iff');
INSERT INTO `object_crc_string_table` VALUES ('3784432555', 'E191DBAB', 'object/tangible/mission/shared_mission_datadisk.iff');
INSERT INTO `object_crc_string_table` VALUES ('528020933', '1F78F5C5', 'object/tangible/mission/shared_mission_informant_spawner_easy.iff');
INSERT INTO `object_crc_string_table` VALUES ('1257863890', '4AF97AD2', 'object/tangible/mission/shared_mission_informant_spawner_hard.iff');
INSERT INTO `object_crc_string_table` VALUES ('3708162000', 'DD060FD0', 'object/tangible/mission/shared_mission_informant_spawner_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('1165528802', '45788EE2', 'object/tangible/mission/shared_mission_recon_target.iff');
INSERT INTO `object_crc_string_table` VALUES ('1188112429', '46D1282D', 'object/tangible/mission/shared_mission_terminal.iff');
INSERT INTO `object_crc_string_table` VALUES ('1031761823', '3D7F6F9F', 'object/tangible/mission_bag/shared_mission_bag.iff');
INSERT INTO `object_crc_string_table` VALUES ('4070737588', 'F2A286B4', 'object/tangible/newbie_tutorial/shared_debris.iff');
INSERT INTO `object_crc_string_table` VALUES ('2943030476', 'AF6B14CC', 'object/tangible/npc/tatooine_special/shared_sarlacc.iff');
INSERT INTO `object_crc_string_table` VALUES ('3716079022', 'DD7EDDAE', 'object/tangible/painting/shared_bestine_history_quest_painting.iff');
INSERT INTO `object_crc_string_table` VALUES ('550655936', '20D257C0', 'object/tangible/painting/shared_bestine_quest_painting.iff');
INSERT INTO `object_crc_string_table` VALUES ('2365303481', '8CFBAAB9', 'object/tangible/painting/shared_painting_agrilat_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2522220824', '96560918', 'object/tangible/painting/shared_painting_armor_blueprint.iff');
INSERT INTO `object_crc_string_table` VALUES ('2092717443', '7CBC5583', 'object/tangible/painting/shared_painting_bestine_blueleaf_temple.iff');
INSERT INTO `object_crc_string_table` VALUES ('2399181727', '8F009B9F', 'object/tangible/painting/shared_painting_bestine_blumbush.iff');
INSERT INTO `object_crc_string_table` VALUES ('1521577134', '5AB16CAE', 'object/tangible/painting/shared_painting_bestine_boffa.iff');
INSERT INTO `object_crc_string_table` VALUES ('268388150', 'FFF4736', 'object/tangible/painting/shared_painting_bestine_golden_flower_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3572035489', 'D4E8EFA1', 'object/tangible/painting/shared_painting_bestine_golden_flower_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2649065516', '9DE5882C', 'object/tangible/painting/shared_painting_bestine_golden_flower_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3800373299', 'E2851833', 'object/tangible/painting/shared_painting_bestine_house.iff');
INSERT INTO `object_crc_string_table` VALUES ('3652558255', 'D9B59DAF', 'object/tangible/painting/shared_painting_bestine_krayt_skeleton.iff');
INSERT INTO `object_crc_string_table` VALUES ('2981494109', 'B1B5FD5D', 'object/tangible/painting/shared_painting_bestine_lucky_despot.iff');
INSERT INTO `object_crc_string_table` VALUES ('4207518182', 'FAC9A1E6', 'object/tangible/painting/shared_painting_bestine_mattberry.iff');
INSERT INTO `object_crc_string_table` VALUES ('1833552017', '6D49C891', 'object/tangible/painting/shared_painting_bestine_moncal_eye_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3059638278', 'B65E6006', 'object/tangible/painting/shared_painting_bestine_moncal_eye_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4083160615', 'F3601627', 'object/tangible/painting/shared_painting_bestine_rainbow_berry_bush.iff');
INSERT INTO `object_crc_string_table` VALUES ('1526591701', '5AFDF0D5', 'object/tangible/painting/shared_painting_bestine_raventhorn.iff');
INSERT INTO `object_crc_string_table` VALUES ('2667929549', '9F055FCD', 'object/tangible/painting/shared_painting_bestine_ronka.iff');
INSERT INTO `object_crc_string_table` VALUES ('232377496', 'DD9CC98', 'object/tangible/painting/shared_painting_bioengineer_orange.iff');
INSERT INTO `object_crc_string_table` VALUES ('854788635', '32F30A1B', 'object/tangible/painting/shared_painting_bothan_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('2819466634', 'A80DA58A', 'object/tangible/painting/shared_painting_bothan_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2585541648', '9A1C3C10', 'object/tangible/painting/shared_painting_bw_stormtrooper.iff');
INSERT INTO `object_crc_string_table` VALUES ('8552875', '8281AB', 'object/tangible/painting/shared_painting_cargoport.iff');
INSERT INTO `object_crc_string_table` VALUES ('105361220', '647AF44', 'object/tangible/painting/shared_painting_dance_party.iff');
INSERT INTO `object_crc_string_table` VALUES ('2823052972', 'A8445EAC', 'object/tangible/painting/shared_painting_double_helix.iff');
INSERT INTO `object_crc_string_table` VALUES ('2843033838', 'A97540EE', 'object/tangible/painting/shared_painting_droid_bright.iff');
INSERT INTO `object_crc_string_table` VALUES ('633275539', '25BF0493', 'object/tangible/painting/shared_painting_endor_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4258475485', 'FDD32DDD', 'object/tangible/painting/shared_painting_fighter_pilot_human_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3144090584', 'BB6703D8', 'object/tangible/painting/shared_painting_food_baking_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1617996623', '6070AB4F', 'object/tangible/painting/shared_painting_food_baking_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3648739651', 'D97B5943', 'object/tangible/painting/shared_painting_freedom.iff');
INSERT INTO `object_crc_string_table` VALUES ('2218996276', '84433234', 'object/tangible/painting/shared_painting_han_wanted.iff');
INSERT INTO `object_crc_string_table` VALUES ('3589238977', 'D5EF70C1', 'object/tangible/painting/shared_painting_human_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('1814671481', '6C29B079', 'object/tangible/painting/shared_painting_kite_plant.iff');
INSERT INTO `object_crc_string_table` VALUES ('3845142344', 'E5303748', 'object/tangible/painting/shared_painting_leia_wanted.iff');
INSERT INTO `object_crc_string_table` VALUES ('1125814305', '431A9021', 'object/tangible/painting/shared_painting_luke_wanted.iff');
INSERT INTO `object_crc_string_table` VALUES ('4178650060', 'F91123CC', 'object/tangible/painting/shared_painting_nebula_flower.iff');
INSERT INTO `object_crc_string_table` VALUES ('1851630183', '6E5DA267', 'object/tangible/painting/shared_painting_palowick_ad_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3041528560', 'B54A0AF0', 'object/tangible/painting/shared_painting_palowick_ad_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4232539517', 'FC476D7D', 'object/tangible/painting/shared_painting_palowick_ad_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('128206441', '7A44669', 'object/tangible/painting/shared_painting_palowick_ad_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1235349261', '49A1EF0D', 'object/tangible/painting/shared_painting_planet_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2426371029', '909F7BD5', 'object/tangible/painting/shared_painting_rodian_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('3837717304', 'E4BEEB38', 'object/tangible/painting/shared_painting_rodian_f_ad_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('174183492', 'A61D444', 'object/tangible/painting/shared_painting_rodian_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1382937840', '526DF4F0', 'object/tangible/painting/shared_painting_schematic_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('648855104', '26ACBE40', 'object/tangible/painting/shared_painting_schematic_transport_ship.iff');
INSERT INTO `object_crc_string_table` VALUES ('2579175131', '99BB16DB', 'object/tangible/painting/shared_painting_schematic_weapon.iff');
INSERT INTO `object_crc_string_table` VALUES ('716865001', '2ABA7DE9', 'object/tangible/painting/shared_painting_schematic_weapon_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('4253954885', 'FD8E3345', 'object/tangible/painting/shared_painting_skyscraper.iff');
INSERT INTO `object_crc_string_table` VALUES ('200259882', 'BEFB92A', 'object/tangible/painting/shared_painting_smoking_ad.iff');
INSERT INTO `object_crc_string_table` VALUES ('2644531826', '9DA05A72', 'object/tangible/painting/shared_painting_starmap.iff');
INSERT INTO `object_crc_string_table` VALUES ('2441069764', '917FC4C4', 'object/tangible/painting/shared_painting_tato_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1788669904', '6A9CEFD0', 'object/tangible/painting/shared_painting_tato_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('4110008393', 'F4F9C049', 'object/tangible/painting/shared_painting_teras_kasi.iff');
INSERT INTO `object_crc_string_table` VALUES ('956503088', '39031430', 'object/tangible/painting/shared_painting_teras_kasi_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2913821862', 'ADAD64A6', 'object/tangible/painting/shared_painting_trandoshan_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1179174055', '4648C4A7', 'object/tangible/painting/shared_painting_trandoshan_m_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3605402564', 'D6E613C4', 'object/tangible/painting/shared_painting_trandoshan_wanted.iff');
INSERT INTO `object_crc_string_table` VALUES ('3334758805', 'C6C46195', 'object/tangible/painting/shared_painting_tree.iff');
INSERT INTO `object_crc_string_table` VALUES ('1783509906', '6A4E3392', 'object/tangible/painting/shared_painting_trees_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1175481538', '46106CC2', 'object/tangible/painting/shared_painting_twilek_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('380699826', '16B104B2', 'object/tangible/painting/shared_painting_twilek_f_lg_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3450252325', 'CDA6AC25', 'object/tangible/painting/shared_painting_twilek_f_lg_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2225851304', '84ABCBA8', 'object/tangible/painting/shared_painting_twilek_f_lg_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2135482556', '7F48E0BC', 'object/tangible/painting/shared_painting_twilek_f_lg_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3456145212', 'CE00973C', 'object/tangible/painting/shared_painting_twilek_f_sm_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('353845163', '15173FAB', 'object/tangible/painting/shared_painting_twilek_f_sm_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1545230374', '5C1A5826', 'object/tangible/painting/shared_painting_twilek_f_sm_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2818143026', 'A7F97332', 'object/tangible/painting/shared_painting_twilek_f_sm_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3706635091', 'DCEEC353', 'object/tangible/painting/shared_painting_twilek_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3566316574', 'D491AC1E', 'object/tangible/painting/shared_painting_vader_victory.iff');
INSERT INTO `object_crc_string_table` VALUES ('2895682928', 'AC989D70', 'object/tangible/painting/shared_painting_valley_view.iff');
INSERT INTO `object_crc_string_table` VALUES ('2421149115', '904FCDBB', 'object/tangible/painting/shared_painting_victorious_reign.iff');
INSERT INTO `object_crc_string_table` VALUES ('4064843162', 'F248959A', 'object/tangible/painting/shared_painting_waterfall.iff');
INSERT INTO `object_crc_string_table` VALUES ('3402224478', 'CAC9D35E', 'object/tangible/painting/shared_painting_wookiee_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('1345813711', '50377CCF', 'object/tangible/painting/shared_painting_wookiee_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2622418438', '9C4EEE06', 'object/tangible/painting/shared_painting_zabrak_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('112214423', '6B04197', 'object/tangible/painting/shared_painting_zabrak_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1639031767', '61B1A3D7', 'object/tangible/parrot_cage/shared_parrot_cage.iff');
INSERT INTO `object_crc_string_table` VALUES ('60452333', '39A6DED', 'object/tangible/planet_map_location/shared_map_location_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2572869140', '995ADE14', 'object/tangible/poi/base/shared_poi_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('165055566', '9D68C4E', 'object/tangible/poi/base/shared_poi_base_nosnap.iff');
INSERT INTO `object_crc_string_table` VALUES ('2911833522', 'AD8F0DB2', 'object/tangible/poi/object/shared_droid_body.iff');
INSERT INTO `object_crc_string_table` VALUES ('4288485184', 'FF9D1740', 'object/tangible/poi/object/shared_droid_head.iff');
INSERT INTO `object_crc_string_table` VALUES ('2900653287', 'ACE474E7', 'object/tangible/powerup/base/shared_armor_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('486380582', '1CFD9426', 'object/tangible/powerup/base/shared_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1015299597', '3C843E0D', 'object/tangible/powerup/base/shared_weapon_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3511795045', 'D151BD65', 'object/tangible/powerup/weapon/fs_quest_sad/shared_melee_speed_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('717357125', '2AC20045', 'object/tangible/powerup/weapon/shared_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('1636293712', '6187DC50', 'object/tangible/powerup/weapon/shared_melee.iff');
INSERT INTO `object_crc_string_table` VALUES ('1375892401', '520273B1', 'object/tangible/powerup/weapon/shared_melee_generic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1890042255', '70A7C18F', 'object/tangible/powerup/weapon/shared_melee_lightsaber.iff');
INSERT INTO `object_crc_string_table` VALUES ('2304219525', '89579985', 'object/tangible/powerup/weapon/shared_mine.iff');
INSERT INTO `object_crc_string_table` VALUES ('3665923080', 'DA818C08', 'object/tangible/powerup/weapon/shared_mine_explosive.iff');
INSERT INTO `object_crc_string_table` VALUES ('1637218728', '6195F9A8', 'object/tangible/powerup/weapon/shared_ranged.iff');
INSERT INTO `object_crc_string_table` VALUES ('137262486', '82E7596', 'object/tangible/powerup/weapon/shared_ranged_barrel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1312422379', '4E39F9EB', 'object/tangible/powerup/weapon/shared_ranged_grip.iff');
INSERT INTO `object_crc_string_table` VALUES ('555906025', '212273E9', 'object/tangible/powerup/weapon/shared_ranged_muzzle.iff');
INSERT INTO `object_crc_string_table` VALUES ('1622710306', '60B89822', 'object/tangible/powerup/weapon/shared_ranged_power.iff');
INSERT INTO `object_crc_string_table` VALUES ('3758199555', 'E0019303', 'object/tangible/powerup/weapon/shared_ranged_scope.iff');
INSERT INTO `object_crc_string_table` VALUES ('2739120425', 'A343A929', 'object/tangible/powerup/weapon/shared_ranged_stock.iff');
INSERT INTO `object_crc_string_table` VALUES ('540983335', '203EC027', 'object/tangible/powerup/weapon/shared_thrown.iff');
INSERT INTO `object_crc_string_table` VALUES ('2781934180', 'A5D0F264', 'object/tangible/powerup/weapon/shared_thrown_explosive.iff');
INSERT INTO `object_crc_string_table` VALUES ('569969360', '21F90AD0', 'object/tangible/powerup/weapon/shared_thrown_wiring.iff');
INSERT INTO `object_crc_string_table` VALUES ('1627417847', '61006CF7', 'object/tangible/recycler/shared_chemical_recycler.iff');
INSERT INTO `object_crc_string_table` VALUES ('2601090218', '9B097CAA', 'object/tangible/recycler/shared_creature_recycler.iff');
INSERT INTO `object_crc_string_table` VALUES ('372626307', '1635D383', 'object/tangible/recycler/shared_flora_recycler.iff');
INSERT INTO `object_crc_string_table` VALUES ('860237131', '33462D4B', 'object/tangible/recycler/shared_metal_recycler.iff');
INSERT INTO `object_crc_string_table` VALUES ('4105541227', 'F4B5966B', 'object/tangible/recycler/shared_ore_recycler.iff');
INSERT INTO `object_crc_string_table` VALUES ('3641759801', 'D910D839', 'object/tangible/region/shared_battlefield_marker.iff');
INSERT INTO `object_crc_string_table` VALUES ('2066164498', '7B272B12', 'object/tangible/region/shared_deliver_region_10.iff');
INSERT INTO `object_crc_string_table` VALUES ('316591900', '12DECF1C', 'object/tangible/region/shared_deliver_region_15.iff');
INSERT INTO `object_crc_string_table` VALUES ('1449082010', '565F3C9A', 'object/tangible/region/shared_deliver_region_20.iff');
INSERT INTO `object_crc_string_table` VALUES ('1067899028', '3FA6D894', 'object/tangible/region/shared_deliver_region_25.iff');
INSERT INTO `object_crc_string_table` VALUES ('1299657186', '4D7731E2', 'object/tangible/region/shared_deliver_region_30.iff');
INSERT INTO `object_crc_string_table` VALUES ('3353678877', 'C7E5141D', 'object/tangible/region/shared_deliver_region_5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2196629790', '82EDE91E', 'object/tangible/scout/camokit/shared_camokit_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('1054553582', '3EDB35EE', 'object/tangible/scout/camokit/shared_camokit_dantooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('372534846', '16346E3E', 'object/tangible/scout/camokit/shared_camokit_dathomir.iff');
INSERT INTO `object_crc_string_table` VALUES ('2201297332', '833521B4', 'object/tangible/scout/camokit/shared_camokit_endor.iff');
INSERT INTO `object_crc_string_table` VALUES ('3919662514', 'E9A14DB2', 'object/tangible/scout/camokit/shared_camokit_lok.iff');
INSERT INTO `object_crc_string_table` VALUES ('1097832374', '416F97B6', 'object/tangible/scout/camokit/shared_camokit_naboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('2868366256', 'AAF7CBB0', 'object/tangible/scout/camokit/shared_camokit_rori.iff');
INSERT INTO `object_crc_string_table` VALUES ('1480450460', '583DE19C', 'object/tangible/scout/camokit/shared_camokit_talus.iff');
INSERT INTO `object_crc_string_table` VALUES ('3199109249', 'BEAE8881', 'object/tangible/scout/camokit/shared_camokit_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('1119412885', '42B8E295', 'object/tangible/scout/camokit/shared_camokit_yavin.iff');
INSERT INTO `object_crc_string_table` VALUES ('1292354861', '4D07C52D', 'object/tangible/scout/camp/shared_camp_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3731836900', 'DE6F4FE4', 'object/tangible/scout/camp/shared_camp_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('2831120800', 'A8BF79A0', 'object/tangible/scout/camp/shared_camp_improved.iff');
INSERT INTO `object_crc_string_table` VALUES ('1082864410', '408B331A', 'object/tangible/scout/camp/shared_camp_luxury.iff');
INSERT INTO `object_crc_string_table` VALUES ('1695464329', '650EBB89', 'object/tangible/scout/camp/shared_camp_multi.iff');
INSERT INTO `object_crc_string_table` VALUES ('3484724123', 'CFB4AB9B', 'object/tangible/scout/camp/shared_camp_quality.iff');
INSERT INTO `object_crc_string_table` VALUES ('705221769', '2A08D489', 'object/tangible/scout/trap/shared_trap_drowsy_dart.iff');
INSERT INTO `object_crc_string_table` VALUES ('3897339231', 'E84CAD5F', 'object/tangible/scout/trap/shared_trap_enraging_spur.iff');
INSERT INTO `object_crc_string_table` VALUES ('708754512', '2A3EBC50', 'object/tangible/scout/trap/shared_trap_flash_bomb.iff');
INSERT INTO `object_crc_string_table` VALUES ('3084221929', 'B7D57DE9', 'object/tangible/scout/trap/shared_trap_melee_def_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3453088617', 'CDD1F369', 'object/tangible/scout/trap/shared_trap_melee_ranged_def_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3133223247', 'BAC1314F', 'object/tangible/scout/trap/shared_trap_noise_maker.iff');
INSERT INTO `object_crc_string_table` VALUES ('46866220', '2CB1F2C', 'object/tangible/scout/trap/shared_trap_ranged_def_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2460580704', '92A97B60', 'object/tangible/scout/trap/shared_trap_ranged_speed_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3605514682', 'D6E7C9BA', 'object/tangible/scout/trap/shared_trap_sonic_pulse.iff');
INSERT INTO `object_crc_string_table` VALUES ('750361076', '2CB999F4', 'object/tangible/scout/trap/shared_trap_state_def_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2472376515', '935D78C3', 'object/tangible/scout/trap/shared_trap_tranq_dart.iff');
INSERT INTO `object_crc_string_table` VALUES ('3441092972', 'CD1AE96C', 'object/tangible/scout/trap/shared_trap_webber.iff');
INSERT INTO `object_crc_string_table` VALUES ('1517850046', '5A788DBE', 'object/tangible/ship/attachment/base/shared_base_ship_attachment.iff');
INSERT INTO `object_crc_string_table` VALUES ('3697647717', 'DC65A065', 'object/tangible/ship/attachment/booster/shared_awing_booster_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('124913906', '77208F2', 'object/tangible/ship/attachment/booster/shared_awing_booster_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4140859891', 'F6D081F3', 'object/tangible/ship/attachment/booster/shared_blacksun_heavy_booster_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('768026980', '2DC72964', 'object/tangible/ship/attachment/booster/shared_blacksun_heavy_booster_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1906842921', '71A81D29', 'object/tangible/ship/attachment/booster/shared_blacksun_light_booster_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2864690622', 'AABFB5BE', 'object/tangible/ship/attachment/booster/shared_blacksun_light_booster_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('763756187', '2D85FE9B', 'object/tangible/ship/attachment/booster/shared_blacksun_medium_booster_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4136785420', 'F692560C', 'object/tangible/ship/attachment/booster/shared_blacksun_medium_booster_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2523851270', '966EEA06', 'object/tangible/ship/attachment/booster/shared_bwing_booster_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1299792529', '4D794291', 'object/tangible/ship/attachment/booster/shared_bwing_booster_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2076367365', '7BC2DA05', 'object/tangible/ship/attachment/booster/shared_decimator_booster_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2698343058', 'A0D57292', 'object/tangible/ship/attachment/booster/shared_decimator_booster_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2708999938', 'A1780F02', 'object/tangible/ship/attachment/booster/shared_hutt_heavy_booster_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2054137749', '7A6FA795', 'object/tangible/ship/attachment/booster/shared_hutt_heavy_booster_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('637572056', '260093D8', 'object/tangible/ship/attachment/booster/shared_hutt_light_booster_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4246158159', 'FD173B4F', 'object/tangible/ship/attachment/booster/shared_hutt_light_booster_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3822843033', 'E3DBF499', 'object/tangible/ship/attachment/booster/shared_hutt_medium_booster_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('952917006', '38CC5C0E', 'object/tangible/ship/attachment/booster/shared_hutt_medium_booster_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2347949328', '8BF2DD10', 'object/tangible/ship/attachment/booster/shared_kse_firespray_booster_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1357215111', '50E57587', 'object/tangible/ship/attachment/booster/shared_kse_firespray_booster_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1074005343', '4004055F', 'object/tangible/ship/attachment/booster/shared_xwing_booster_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('21603316', '149A3F4', 'object/tangible/ship/attachment/booster/shared_xwing_booster_s01_neg.iff');
INSERT INTO `object_crc_string_table` VALUES ('2131148464', '7F06BEB0', 'object/tangible/ship/attachment/booster/shared_xwing_booster_s01_pos.iff');
INSERT INTO `object_crc_string_table` VALUES ('2601758152', '9B13ADC8', 'object/tangible/ship/attachment/booster/shared_xwing_booster_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('327762153', '138940E9', 'object/tangible/ship/attachment/booster/shared_xwing_booster_s02_neg.iff');
INSERT INTO `object_crc_string_table` VALUES ('1841716653', '6DC65DAD', 'object/tangible/ship/attachment/booster/shared_xwing_booster_s02_pos.iff');
INSERT INTO `object_crc_string_table` VALUES ('17645535', '10D3FDF', 'object/tangible/ship/attachment/booster/shared_ykl37r_booster_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3659175752', 'DA1A9748', 'object/tangible/ship/attachment/booster/shared_ykl37r_booster_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1920544323', '72792E43', 'object/tangible/ship/attachment/booster/shared_yt1300_booster_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2842592980', 'A96E86D4', 'object/tangible/ship/attachment/booster/shared_yt1300_booster_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2243807251', '85BDC813', 'object/tangible/ship/attachment/booster/shared_ywing_booster_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1588224132', '5EAA6084', 'object/tangible/ship/attachment/booster/shared_ywing_booster_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2678287878', '9FA36E06', 'object/tangible/ship/attachment/booster/shared_z95_booster_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1152698001', '44B4C691', 'object/tangible/ship/attachment/booster/shared_z95_booster_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1389700188', '52D5245C', 'object/tangible/ship/attachment/bridge/shared_star_destroyer_bridge.iff');
INSERT INTO `object_crc_string_table` VALUES ('4185031918', 'F97284EE', 'object/tangible/ship/attachment/engine/shared_awing_engine_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('577055865', '22652C79', 'object/tangible/ship/attachment/engine/shared_awing_engine_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1430717714', '55470512', 'object/tangible/ship/attachment/engine/shared_blacksun_heavy_engine_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2387651973', '8E50AD85', 'object/tangible/ship/attachment/engine/shared_blacksun_heavy_engine_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2826438901', 'A87808F5', 'object/tangible/ship/attachment/engine/shared_blacksun_light_engine_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1936695394', '736FA062', 'object/tangible/ship/attachment/engine/shared_blacksun_light_engine_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2775195131', 'A56A1DFB', 'object/tangible/ship/attachment/engine/shared_blacksun_medium_engine_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2122167660', '7E7DB56C', 'object/tangible/ship/attachment/engine/shared_blacksun_medium_engine_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2775913620', 'A5751494', 'object/tangible/ship/attachment/engine/shared_bwing_engine_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2120399875', '7E62BC03', 'object/tangible/ship/attachment/engine/shared_bwing_engine_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1116177012', '42878274', 'object/tangible/ship/attachment/engine/shared_decimator_engine_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2576362211', '99902AE3', 'object/tangible/ship/attachment/engine/shared_decimator_engine_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1064155476', '3F6DB954', 'object/tangible/ship/attachment/engine/shared_eng_tiefighter_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('2054741017', '7A78DC19', 'object/tangible/ship/attachment/engine/shared_hutt_heavy_engine_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2708436110', 'A16F748E', 'object/tangible/ship/attachment/engine/shared_hutt_heavy_engine_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2269630974', '8747D1FE', 'object/tangible/ship/attachment/engine/shared_hutt_light_engine_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1548777833', '5C507969', 'object/tangible/ship/attachment/engine/shared_hutt_light_engine_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('987700646', '3ADF1DA6', 'object/tangible/ship/attachment/engine/shared_hutt_medium_engine_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3788027185', 'E1C8B531', 'object/tangible/ship/attachment/engine/shared_hutt_medium_engine_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1758759963', '68D48C1B', 'object/tangible/ship/attachment/engine/shared_kse_firespray_engine_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3015910540', 'B3C3248C', 'object/tangible/ship/attachment/engine/shared_kse_firespray_engine_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('557699423', '213DD15F', 'object/tangible/ship/attachment/engine/shared_tie_engine_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1078468437', '40481F55', 'object/tangible/ship/attachment/engine/shared_tieadvanced_engine_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4073386065', 'F2CAF051', 'object/tangible/ship/attachment/engine/shared_tiebomber_engine_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3973162809', 'ECD1A739', 'object/tangible/ship/attachment/engine/shared_tieinterceptor_engine_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3648736552', 'D97B4D28', 'object/tangible/ship/attachment/engine/shared_tieoppressor_engine_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1476333721', '57FF1099', 'object/tangible/ship/attachment/engine/shared_xwing_engine_neg_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2364061710', '8CE8B80E', 'object/tangible/ship/attachment/engine/shared_xwing_engine_neg_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3320176515', 'C5E5DF83', 'object/tangible/ship/attachment/engine/shared_xwing_engine_neg_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('4116130746', 'F5572BBA', 'object/tangible/ship/attachment/engine/shared_xwing_engine_pos_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('775979821', '2E40832D', 'object/tangible/ship/attachment/engine/shared_xwing_engine_pos_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1733158048', '674DE4A0', 'object/tangible/ship/attachment/engine/shared_xwing_engine_pos_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('332197254', '13CCED86', 'object/tangible/ship/attachment/engine/shared_ykl37r_engine_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3369813265', 'C8DB4511', 'object/tangible/ship/attachment/engine/shared_ykl37r_engine_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3573306455', 'D4FC5457', 'object/tangible/ship/attachment/engine/shared_yt1300_engine_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('267123904', 'FEBFCC0', 'object/tangible/ship/attachment/engine/shared_yt1300_engine_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('281820240', '10CC3C50', 'object/tangible/ship/attachment/engine/shared_ywing_engine_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3420165319', 'CBDB94C7', 'object/tangible/ship/attachment/engine/shared_ywing_engine_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2645704367', '9DB23EAF', 'object/tangible/ship/attachment/engine/shared_z95_engine_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1185257016', '46A59638', 'object/tangible/ship/attachment/engine/shared_z95_engine_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1810673938', '6BECB112', 'object/tangible/ship/attachment/hangar/shared_star_destroyer_hangar.iff');
INSERT INTO `object_crc_string_table` VALUES ('2069937842', '7B60BEB2', 'object/tangible/ship/attachment/shield/shared_star_destroyer_shieldtower_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2692159013', 'A0771625', 'object/tangible/ship/attachment/shield/shared_star_destroyer_shieldtower_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2582989929', '99F54C69', 'object/tangible/ship/attachment/weapon/shared_aggressor_weapon_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1122166014', '42E2E4FE', 'object/tangible/ship/attachment/weapon/shared_aggressor_weapon_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3551073047', 'D3A91317', 'object/tangible/ship/attachment/weapon/shared_awing_weapon_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('146717568', '8BEBB80', 'object/tangible/ship/attachment/weapon/shared_awing_weapon_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1102306317', '41B3DC0D', 'object/tangible/ship/attachment/weapon/shared_awing_weapon_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3125868313', 'BA50F719', 'object/tangible/ship/attachment/weapon/shared_awing_weapon_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('4082995348', 'F35D9094', 'object/tangible/ship/attachment/weapon/shared_awing_weapon_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('675952643', '284A3803', 'object/tangible/ship/attachment/weapon/shared_awing_weapon_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('2822706074', 'A83F139A', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_missile_pod_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1932049165', '7328BB0D', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_missile_pod_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3725694028', 'DE11944C', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon1_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('84294875', '5063CDB', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon1_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1275812694', '4C0B5B56', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon1_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3085463618', 'B7E87042', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon1_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('4276426703', 'FEE517CF', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon1_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('636665688', '25F2BF58', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon1_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('3436279633', 'CCD17751', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon2_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('398909382', '17C6DFC6', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon2_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1590409291', '5ECBB84B', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon2_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2770899807', 'A528935F', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon2_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3961910482', 'EC25F4D2', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon2_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('926047301', '37325C45', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon2_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('1053941047', '3ED1DD37', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon3_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3854988704', 'E5C675A0', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon3_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2898989613', 'ACCB122D', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon3_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1462253881', '57283939', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon3_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('505765556', '1E255EB4', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon3_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('3308451363', 'C532F623', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon3_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('3382429692', 'C99BC7FC', 'object/tangible/ship/attachment/weapon/shared_blacksun_light_weapon_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('311193451', '128C6F6B', 'object/tangible/ship/attachment/weapon/shared_blacksun_light_weapon_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1535183078', '5B8108E6', 'object/tangible/ship/attachment/weapon/shared_blacksun_light_weapon_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2690786290', 'A06223F2', 'object/tangible/ship/attachment/weapon/shared_blacksun_light_weapon_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3916383359', 'E96F447F', 'object/tangible/ship/attachment/weapon/shared_blacksun_light_weapon_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('846785768', '3278ECE8', 'object/tangible/ship/attachment/weapon/shared_blacksun_light_weapon_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('88180936', '54188C8', 'object/tangible/ship/attachment/weapon/shared_blacksun_medium_weapon1_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3730186335', 'DE56205F', 'object/tangible/ship/attachment/weapon/shared_blacksun_medium_weapon1_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2539341778', '975B47D2', 'object/tangible/ship/attachment/weapon/shared_blacksun_medium_weapon1_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1824025798', '6CB86CC6', 'object/tangible/ship/attachment/weapon/shared_blacksun_medium_weapon1_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('394357717', '17816BD5', 'object/tangible/ship/attachment/weapon/shared_blacksun_medium_weapon2_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3432432450', 'CC96C342', 'object/tangible/ship/attachment/weapon/shared_blacksun_medium_weapon2_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2241569999', '859BA4CF', 'object/tangible/ship/attachment/weapon/shared_blacksun_medium_weapon2_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2121830363', '7E788FDB', 'object/tangible/ship/attachment/weapon/shared_blacksun_medium_weapon2_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('930474070', '3775E856', 'object/tangible/ship/attachment/weapon/shared_blacksun_medium_weapon2_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('3965862081', 'EC6240C1', 'object/tangible/ship/attachment/weapon/shared_blacksun_medium_weapon2_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('1110287443', '422DA453', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon1_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2570718404', '993A0CC4', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon1_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3493292873', 'D0376B49', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon1_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('735330397', '2BD4405D', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon1_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1658398672', '62D927D0', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon1_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('3117322055', 'B9CE8F47', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon1_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('3899597756', 'E86F23BC', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon2l_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('863537963', '33788B2B', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon2l_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2054548646', '7A75ECA6', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon2l_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2174142386', '8196C7B2', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon2l_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3365642303', 'C89BA03F', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon2l_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('327944360', '138C08A8', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon2l_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('1542061422', '5BE9FD6E', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon2r_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2164151801', '80FE55F9', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon2r_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3388158580', 'C9F33274', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon2r_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('839915872', '32101960', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon2r_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2065530605', '7B1D7EED', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon2r_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('2685064826', 'A00AD67A', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon2r_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('2733501736', 'A2EDED28', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon3_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2046444991', '79FA45BF', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon3_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('821502514', '30F72232', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon3_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3407087910', 'CB140926', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon3_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2182704811', '82196EAB', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon3_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1494140476', '590EC63C', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon3_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('1889933396', '70A61854', 'object/tangible/ship/attachment/weapon/shared_corellian_corvette_turret_large_base_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2900942561', 'ACE8DEE1', 'object/tangible/ship/attachment/weapon/shared_corellian_corvette_turret_side_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('3695025010', 'DC3D9B72', 'object/tangible/ship/attachment/weapon/shared_corellian_corvette_turret_side_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('2014065489', '780C3351', 'object/tangible/ship/attachment/weapon/shared_corellian_corvette_turret_small_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3839453665', 'E4D969E1', 'object/tangible/ship/attachment/weapon/shared_decimator_turret_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2160314161', '80C3C731', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_missile_pod_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1540648870', '5BD46FA6', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_missile_pod_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2582307984', '99EAE490', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon1_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1123896327', '42FD4C07', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon1_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('200289162', 'BF02B8A', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon1_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('4027777182', 'F013009E', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon1_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3105777427', 'B91E6713', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon1_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1644810116', '6209CF84', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon1_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('2334787469', '8B2A078D', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon2_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1346219802', '503DAF1A', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon2_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('422627479', '1930C897', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon2_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3805537155', 'E2D3E383', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon2_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2883486734', 'ABDE840E', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon2_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1892232345', '70C92C99', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon2_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('2032840171', '792AADEB', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon3_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2721908092', 'A23D057C', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon3_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3945816817', 'EB3062F1', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon3_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('282282469', '10D349E5', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon3_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1507733096', '59DE2E68', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon3_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('2194245375', '82C986FF', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon3_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('3452909818', 'CDCF38FA', 'object/tangible/ship/attachment/weapon/shared_hutt_light_weapon_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('383291501', '16D8906D', 'object/tangible/ship/attachment/weapon/shared_hutt_light_weapon_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1607858144', '5FD5F7E0', 'object/tangible/ship/attachment/weapon/shared_hutt_light_weapon_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2755058932', 'A436DCF4', 'object/tangible/ship/attachment/weapon/shared_hutt_light_weapon_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3980114809', 'ED3BBB79', 'object/tangible/ship/attachment/weapon/shared_hutt_light_weapon_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('908858350', '362C13EE', 'object/tangible/ship/attachment/weapon/shared_hutt_light_weapon_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('3572528314', 'D4F074BA', 'object/tangible/ship/attachment/weapon/shared_hutt_medium_weapon1_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('266853421', 'FE7DC2D', 'object/tangible/ship/attachment/weapon/shared_hutt_medium_weapon1_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1189788576', '46EABBA0', 'object/tangible/ship/attachment/weapon/shared_hutt_medium_weapon1_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3171520692', 'BD0990B4', 'object/tangible/ship/attachment/weapon/shared_hutt_medium_weapon1_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('4093966137', 'F404F739', 'object/tangible/ship/attachment/weapon/shared_hutt_medium_weapon1_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('789798830', '2F135FAE', 'object/tangible/ship/attachment/weapon/shared_hutt_medium_weapon1_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('3325073319', 'C63097A7', 'object/tangible/ship/attachment/weapon/shared_hutt_medium_weapon2_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('489111344', '1D273F30', 'object/tangible/ship/attachment/weapon/shared_hutt_medium_weapon2_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1412061373', '542A58BD', 'object/tangible/ship/attachment/weapon/shared_hutt_medium_weapon2_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2949215145', 'AFC973A9', 'object/tangible/ship/attachment/weapon/shared_hutt_medium_weapon2_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3871609892', 'E6C41424', 'object/tangible/ship/attachment/weapon/shared_hutt_medium_weapon2_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1037286579', '3DD3BCB3', 'object/tangible/ship/attachment/weapon/shared_hutt_medium_weapon2_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('1577369987', '5E04C183', 'object/tangible/ship/attachment/weapon/shared_imperial_gunboat_turret_ball.iff');
INSERT INTO `object_crc_string_table` VALUES ('3326093060', 'C6402704', 'object/tangible/ship/attachment/weapon/shared_imperial_gunboat_turretbase_nose.iff');
INSERT INTO `object_crc_string_table` VALUES ('3373578911', 'C914BA9F', 'object/tangible/ship/attachment/weapon/shared_imperial_gunboat_turretbase_wing.iff');
INSERT INTO `object_crc_string_table` VALUES ('1950093783', '743C11D7', 'object/tangible/ship/attachment/weapon/shared_kse_firespray_weapon1_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2938878272', 'AF2BB940', 'object/tangible/ship/attachment/weapon/shared_kse_firespray_weapon1_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3861307085', 'E626DECD', 'object/tangible/ship/attachment/weapon/shared_kse_firespray_weapon1_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('499512793', '1DC5F5D9', 'object/tangible/ship/attachment/weapon/shared_kse_firespray_weapon1_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1422430804', '54C89254', 'object/tangible/ship/attachment/weapon/shared_kse_firespray_weapon1_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('2413771459', '8FDF3AC3', 'object/tangible/ship/attachment/weapon/shared_kse_firespray_weapon1_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('1727853258', '66FCF2CA', 'object/tangible/ship/attachment/weapon/shared_kse_firespray_weapon2_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3186317917', 'BDEB5A5D', 'object/tangible/ship/attachment/weapon/shared_kse_firespray_weapon2_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4108729808', 'F4E63DD0', 'object/tangible/ship/attachment/weapon/shared_kse_firespray_weapon2_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('251991748', 'F0516C4', 'object/tangible/ship/attachment/weapon/shared_kse_firespray_weapon2_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1174958409', '46087149', 'object/tangible/ship/attachment/weapon/shared_kse_firespray_weapon2_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('2636110302', '9D1FD9DE', 'object/tangible/ship/attachment/weapon/shared_kse_firespray_weapon2_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('3734921862', 'DE9E6286', 'object/tangible/ship/attachment/weapon/shared_lambda_turret.iff');
INSERT INTO `object_crc_string_table` VALUES ('3035694359', 'B4F10517', 'object/tangible/ship/attachment/weapon/shared_lambda_weapon_body.iff');
INSERT INTO `object_crc_string_table` VALUES ('1662183130', '6312E6DA', 'object/tangible/ship/attachment/weapon/shared_lambda_weapon1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3760357625', 'E02280F9', 'object/tangible/ship/attachment/weapon/shared_merchant_cruiser_medium_turret_base_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('570224584', '21FCEFC8', 'object/tangible/ship/attachment/weapon/shared_rebel_gunboat_turretbase_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('355284595', '152D3673', 'object/tangible/ship/attachment/weapon/shared_smuggler_warlord_ship_turret_ball.iff');
INSERT INTO `object_crc_string_table` VALUES ('1506898161', '59D170F1', 'object/tangible/ship/attachment/weapon/shared_smuggler_warlord_ship_turret_nose.iff');
INSERT INTO `object_crc_string_table` VALUES ('915217099', '368D1ACB', 'object/tangible/ship/attachment/weapon/shared_smuggler_warlord_ship_turret_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3986338396', 'ED9AB25C', 'object/tangible/ship/attachment/weapon/shared_smuggler_warlord_ship_turret_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2674417340', '9F685EBC', 'object/tangible/ship/attachment/weapon/shared_spacestation_turret_base_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1149236779', '447FF62B', 'object/tangible/ship/attachment/weapon/shared_spacestation_turret_base_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4094834880', 'F41238C0', 'object/tangible/ship/attachment/weapon/shared_star_destroyer_mini_turret_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2546418414', '97C742EE', 'object/tangible/ship/attachment/weapon/shared_star_destroyer_turret_dome_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1452946959', '569A360F', 'object/tangible/ship/attachment/weapon/shared_star_destroyer_turret_dome_body.iff');
INSERT INTO `object_crc_string_table` VALUES ('3194550652', 'BE68F97C', 'object/tangible/ship/attachment/weapon/shared_star_destroyer_turret_med_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1688925698', '64AAF602', 'object/tangible/ship/attachment/weapon/shared_star_destroyer_turret_med_gun.iff');
INSERT INTO `object_crc_string_table` VALUES ('1727578906', '66F8C31A', 'object/tangible/ship/attachment/weapon/shared_star_destroyer_turret_square_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2812655611', 'A7A5B7FB', 'object/tangible/ship/attachment/weapon/shared_star_destroyer_turret_square_body.iff');
INSERT INTO `object_crc_string_table` VALUES ('3659818969', 'DA2467D9', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon_neg_s01_0.iff');
INSERT INTO `object_crc_string_table` VALUES ('2468937812', '93290054', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon_neg_s01_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('199090154', 'BDDDFEA', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon_neg_s02_0.iff');
INSERT INTO `object_crc_string_table` VALUES ('1120974951', '42D0B867', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon_neg_s02_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('889040094', '34FDACDE', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon_pos_s01_0.iff');
INSERT INTO `object_crc_string_table` VALUES ('2112932691', '7DF0CB53', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon_pos_s01_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3842249965', 'E50414ED', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon_pos_s02_0.iff');
INSERT INTO `object_crc_string_table` VALUES ('2886300512', 'AC097360', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon_pos_s02_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3105944395', 'B920F34B', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_neg_s01_0.iff');
INSERT INTO `object_crc_string_table` VALUES ('4029519046', 'F02D94C6', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_neg_s01_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1759071096', '68D94B78', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_neg_s02_0.iff');
INSERT INTO `object_crc_string_table` VALUES ('567553269', '21D42CF5', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_neg_s02_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('663626601', '278E2369', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_neg_s03_0.iff');
INSERT INTO `object_crc_string_table` VALUES ('1854096612', '6E8344E4', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_neg_s03_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3488294569', 'CFEB26A9', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_neg_s04_0.iff');
INSERT INTO `object_crc_string_table` VALUES ('2263236900', '86E64124', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_neg_s04_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2159824568', '80BC4EB8', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_neg_s05_0.iff');
INSERT INTO `object_crc_string_table` VALUES ('3383830837', 'C9B12935', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_neg_s05_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1363539595', '5145F68B', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_neg_s06_0.iff');
INSERT INTO `object_crc_string_table` VALUES ('407408902', '18489106', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_neg_s06_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1475950668', '57F9384C', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_pos_s01_0.iff');
INSERT INTO `object_crc_string_table` VALUES ('519331777', '1EF45FC1', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_pos_s01_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2248179839', '8600807F', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_pos_s02_0.iff');
INSERT INTO `object_crc_string_table` VALUES ('3473795058', 'CF0DE7F2', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_pos_s02_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3377981550', 'C957E86E', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_pos_s03_0.iff');
INSERT INTO `object_crc_string_table` VALUES ('2153418723', '805A8FE3', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_pos_s03_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('556985774', '2132EDAE', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_pos_s04_0.iff');
INSERT INTO `object_crc_string_table` VALUES ('1748994595', '683F8A23', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_pos_s04_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1852147135', '6E6585BF', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_pos_s05_0.iff');
INSERT INTO `object_crc_string_table` VALUES ('661185074', '2768E232', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_pos_s05_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3214687628', 'BF9C3D8C', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_pos_s06_0.iff');
INSERT INTO `object_crc_string_table` VALUES ('4136720897', 'F6915A01', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_pos_s06_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3673279850', 'DAF1CD6A', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_neg_s01_0.iff');
INSERT INTO `object_crc_string_table` VALUES ('2482809575', '93FCAAE7', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_neg_s01_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('185103705', 'B087559', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_neg_s02_0.iff');
INSERT INTO `object_crc_string_table` VALUES ('1107628756', '420512D4', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_neg_s02_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1147084104', '445F1D48', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_neg_s03_0.iff');
INSERT INTO `object_crc_string_table` VALUES ('223509189', 'D527AC5', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_neg_s03_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2889488520', 'AC3A1888', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_neg_s04_0.iff');
INSERT INTO `object_crc_string_table` VALUES ('3845619461', 'E5377F05', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_neg_s04_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3815600281', 'E36D7099', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_neg_s05_0.iff');
INSERT INTO `object_crc_string_table` VALUES ('2858424084', 'AA601714', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_neg_s05_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('848611498', '3294C8AA', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_neg_s06_0.iff');
INSERT INTO `object_crc_string_table` VALUES ('2073669415', '7B99AF27', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_neg_s06_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('875038317', '3428066D', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_pos_s01_0.iff');
INSERT INTO `object_crc_string_table` VALUES ('2099601888', '7D2561E0', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_pos_s01_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3855728222', 'E5D1BE5E', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_pos_s02_0.iff');
INSERT INTO `object_crc_string_table` VALUES ('2900154835', 'ACDCD9D3', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_pos_s02_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2860963407', 'AA86D64F', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_pos_s03_0.iff');
INSERT INTO `object_crc_string_table` VALUES ('3817583042', 'E38BB1C2', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_pos_s03_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1122227087', '42E3D38F', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_pos_s04_0.iff');
INSERT INTO `object_crc_string_table` VALUES ('200193026', 'BEEB402', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_pos_s04_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('229948318', 'DB4BB9E', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_pos_s05_0.iff');
INSERT INTO `object_crc_string_table` VALUES ('1153031187', '44B9DC13', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_pos_s05_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3696034733', 'DC4D03AD', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_pos_s06_0.iff');
INSERT INTO `object_crc_string_table` VALUES ('2504025120', '95406420', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_pos_s06_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4090999089', 'F3D7B131', 'object/tangible/ship/attachment/weapon/shared_ykl37r_turret_barrel_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('683678118', '28C019A6', 'object/tangible/ship/attachment/weapon/shared_ykl37r_turret_barrel_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1208980716', '480F94EC', 'object/tangible/ship/attachment/weapon/shared_ykl37r_turret_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('4231136595', 'FC320553', 'object/tangible/ship/attachment/weapon/shared_ykl37r_turret_body_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('656780740', '2725ADC4', 'object/tangible/ship/attachment/weapon/shared_ykl37r_turret_body_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('665280141', '27A75E8D', 'object/tangible/ship/attachment/weapon/shared_yt1300_radar_s01_0.iff');
INSERT INTO `object_crc_string_table` VALUES ('3561577094', 'D4495A86', 'object/tangible/ship/attachment/weapon/shared_yt1300_turret_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('257880593', 'F5EF211', 'object/tangible/ship/attachment/weapon/shared_yt1300_turret_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4197394562', 'FA2F2882', 'object/tangible/ship/attachment/weapon/shared_yt1300_weapon_s01_0.iff');
INSERT INTO `object_crc_string_table` VALUES ('1375635014', '51FE8646', 'object/tangible/ship/attachment/weapon/shared_ywing_weapon1_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2330537681', '8AE92ED1', 'object/tangible/ship/attachment/weapon/shared_ywing_weapon1_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3286518108', 'C3E4495C', 'object/tangible/ship/attachment/weapon/shared_ywing_weapon1_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('940008008', '38076248', 'object/tangible/ship/attachment/weapon/shared_ywing_weapon1_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1896482245', '710A05C5', 'object/tangible/ship/attachment/weapon/shared_ywing_weapon1_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('2854071634', 'AA1DAD52', 'object/tangible/ship/attachment/weapon/shared_ywing_weapon1_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('1128162651', '433E655B', 'object/tangible/ship/attachment/weapon/shared_ywing_weapon2_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2552876492', '9829CDCC', 'object/tangible/ship/attachment/weapon/shared_ywing_weapon2_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3508841025', 'D124AA41', 'object/tangible/ship/attachment/weapon/shared_ywing_weapon2_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('717717845', '2AC78155', 'object/tangible/ship/attachment/weapon/shared_ywing_weapon2_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1674241752', '63CAE6D8', 'object/tangible/ship/attachment/weapon/shared_ywing_weapon2_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('3101511247', 'B8DD4E4F', 'object/tangible/ship/attachment/weapon/shared_ywing_weapon2_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('2956556787', 'B03979F3', 'object/tangible/ship/attachment/weapon/shared_z95_missile.iff');
INSERT INTO `object_crc_string_table` VALUES ('238417246', 'E35F55E', 'object/tangible/ship/attachment/weapon/shared_z95_weapon_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3575799241', 'D5225DC9', 'object/tangible/ship/attachment/weapon/shared_z95_weapon_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2620340804', '9C2F3A44', 'object/tangible/ship/attachment/weapon/shared_z95_weapon_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1741427024', '67CC1150', 'object/tangible/ship/attachment/weapon/shared_z95_weapon_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('784430813', '2EC176DD', 'object/tangible/ship/attachment/weapon/shared_z95_weapon_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('4124499530', 'F5D6DE4A', 'object/tangible/ship/attachment/weapon/shared_z95_weapon_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('4014332398', 'EF45D9EE', 'object/tangible/ship/attachment/wing/shared_blacksun_heavy_wing_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('877818233', '34527179', 'object/tangible/ship/attachment/wing/shared_blacksun_heavy_wing_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1568766163', '5D8178D3', 'object/tangible/ship/attachment/wing/shared_blacksun_light_wing_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2258030660', '8696D044', 'object/tangible/ship/attachment/wing/shared_blacksun_light_wing_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3598757540', 'D680AEA4', 'object/tangible/ship/attachment/wing/shared_blacksun_medium_wing_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('228001331', 'D970633', 'object/tangible/ship/attachment/wing/shared_blacksun_medium_wing_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1161389128', '45396448', 'object/tangible/ship/attachment/wing/shared_bwing_body.iff');
INSERT INTO `object_crc_string_table` VALUES ('110478371', '695C423', 'object/tangible/ship/attachment/wing/shared_bwing_wing_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('1983938992', '764081B0', 'object/tangible/ship/attachment/wing/shared_bwing_wing_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('2822483285', 'A83BAD55', 'object/tangible/ship/attachment/wing/shared_hutt_heavy_wing_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1932264898', '732C05C2', 'object/tangible/ship/attachment/wing/shared_hutt_heavy_wing_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('452922472', '1AFF0C68', 'object/tangible/ship/attachment/wing/shared_hutt_light_wing_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3253249279', 'C1E8A4FF', 'object/tangible/ship/attachment/wing/shared_hutt_light_wing_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2184525270', '823535D6', 'object/tangible/ship/attachment/wing/shared_hutt_medium_wing_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1495440705', '59229D41', 'object/tangible/ship/attachment/wing/shared_hutt_medium_wing_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3713063710', 'DD50DB1E', 'object/tangible/ship/attachment/wing/shared_kse_firespray_struct_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('105345929', '6477389', 'object/tangible/ship/attachment/wing/shared_kse_firespray_struct_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2459214995', '9294A493', 'object/tangible/ship/attachment/wing/shared_lambda_wing_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('3795968256', 'E241E100', 'object/tangible/ship/attachment/wing/shared_lambda_wing_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('12581699', 'BFFB43', 'object/tangible/ship/attachment/wing/shared_xwing_wing_neg_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2719465568', 'A217C060', 'object/tangible/ship/attachment/wing/shared_xwing_wing_pos_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3014828629', 'B3B2A255', 'object/tangible/ship/components/armor/shared_arm_corellian_advanced_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2711392870', 'A19C9266', 'object/tangible/ship/components/armor/shared_arm_corellian_cheap_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1457378842', '56DDD61A', 'object/tangible/ship/components/armor/shared_arm_corellian_elite_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('4170685241', 'F8979B39', 'object/tangible/ship/components/armor/shared_arm_corellian_enhanced_elite_plastisteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('912895666', '3669AEB2', 'object/tangible/ship/components/armor/shared_arm_corellian_heavy_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('3145007708', 'BB75025C', 'object/tangible/ship/components/armor/shared_arm_corellian_improved_advanced_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1182016930', '467425A2', 'object/tangible/ship/components/armor/shared_arm_corellian_light_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('4076917946', 'F300D4BA', 'object/tangible/ship/components/armor/shared_arm_corellian_modified_heavy_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2793909249', 'A687AC01', 'object/tangible/ship/components/armor/shared_arm_corellian_reinforced_light_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('792770319', '2F40B70F', 'object/tangible/ship/components/armor/shared_arm_corellian_reinforced_supreme_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('3131875437', 'BAACA06D', 'object/tangible/ship/components/armor/shared_arm_corellian_special_standard_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2484547864', '94173118', 'object/tangible/ship/components/armor/shared_arm_corellian_standard_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('3245469229', 'C171EE2D', 'object/tangible/ship/components/armor/shared_arm_corellian_supreme_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2417515644', '90185C7C', 'object/tangible/ship/components/armor/shared_arm_cygnus_light_weave.iff');
INSERT INTO `object_crc_string_table` VALUES ('1396020444', '533594DC', 'object/tangible/ship/components/armor/shared_arm_cygnus_standard_weave.iff');
INSERT INTO `object_crc_string_table` VALUES ('203726257', 'C249DB1', 'object/tangible/ship/components/armor/shared_arm_freitek_deluxe_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('1109511404', '4221CCEC', 'object/tangible/ship/components/armor/shared_arm_freitek_standard.iff');
INSERT INTO `object_crc_string_table` VALUES ('39221168', '25677B0', 'object/tangible/ship/components/armor/shared_arm_gallofree_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3644972839', 'D941DF27', 'object/tangible/ship/components/armor/shared_arm_gallofree_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1622491618', '60B541E2', 'object/tangible/ship/components/armor/shared_arm_generic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1227421656', '4928F7D8', 'object/tangible/ship/components/armor/shared_arm_incom_light_plate.iff');
INSERT INTO `object_crc_string_table` VALUES ('2366385613', '8D0C2DCD', 'object/tangible/ship/components/armor/shared_arm_incom_modified_standard_plate.iff');
INSERT INTO `object_crc_string_table` VALUES ('641382819', '263AB9A3', 'object/tangible/ship/components/armor/shared_arm_incom_standard_plate.iff');
INSERT INTO `object_crc_string_table` VALUES ('1625601979', '60E4B7BB', 'object/tangible/ship/components/armor/shared_arm_kessel_imperial_rendili_crystalline_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('3348661069', 'C798834D', 'object/tangible/ship/components/armor/shared_arm_kessel_imperial_sds_imperial_impervious.iff');
INSERT INTO `object_crc_string_table` VALUES ('1099045901', '41821C0D', 'object/tangible/ship/components/armor/shared_arm_kessel_imperial_sfs_imperial_finest.iff');
INSERT INTO `object_crc_string_table` VALUES ('4176245510', 'F8EC7306', 'object/tangible/ship/components/armor/shared_arm_kessel_rebel_mandal_corrugated_plastisteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('3545922834', 'D35A7D12', 'object/tangible/ship/components/armor/shared_arm_kessel_rebel_slayn_flexsteel_multilayer.iff');
INSERT INTO `object_crc_string_table` VALUES ('1672663550', '63B2D1FE', 'object/tangible/ship/components/armor/shared_arm_kessel_rebel_sorosuub_spidershell_plating.iff');
INSERT INTO `object_crc_string_table` VALUES ('828530711', '31626017', 'object/tangible/ship/components/armor/shared_arm_koensayr_advanced_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1171221751', '45CF6CF7', 'object/tangible/ship/components/armor/shared_arm_koensayr_b5_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('3460991428', 'CE4A89C4', 'object/tangible/ship/components/armor/shared_arm_koensayr_b9_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2857270890', 'AA4E7E6A', 'object/tangible/ship/components/armor/shared_arm_koensayr_elite_plastisteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('3973535465', 'ECD756E9', 'object/tangible/ship/components/armor/shared_arm_koensayr_enhanced_heavy_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('935608310', '37C43FF6', 'object/tangible/ship/components/armor/shared_arm_koensayr_enhanced_standard_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1092389644', '411C8B0C', 'object/tangible/ship/components/armor/shared_arm_koensayr_heavy_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2296134538', '88DC3B8A', 'object/tangible/ship/components/armor/shared_arm_koensayr_improved_elite_plastisteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1035628527', '3DBA6FEF', 'object/tangible/ship/components/armor/shared_arm_koensayr_light_advanced_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2917985380', 'ADECEC64', 'object/tangible/ship/components/armor/shared_arm_koensayr_limited_heavy_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2534423202', '97103AA2', 'object/tangible/ship/components/armor/shared_arm_koensayr_limited_supreme_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('167045731', '9F4EA63', 'object/tangible/ship/components/armor/shared_arm_koensayr_promotional_b9_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('258640314', 'F6A89BA', 'object/tangible/ship/components/armor/shared_arm_koensayr_reinforced_b5_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1378987090', '5231AC52', 'object/tangible/ship/components/armor/shared_arm_koensayr_special_supreme_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('382202714', '16C7F35A', 'object/tangible/ship/components/armor/shared_arm_koensayr_standard_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1438984098', '55C527A2', 'object/tangible/ship/components/armor/shared_arm_koensayr_supreme_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('3772847383', 'E0E11517', 'object/tangible/ship/components/armor/shared_arm_koensayr_thick_advanced_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('987276877', '3AD8A64D', 'object/tangible/ship/components/armor/shared_arm_kse_advanced_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2637845243', '9D3A52FB', 'object/tangible/ship/components/armor/shared_arm_kse_customized_advanced_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('3918028246', 'E9885DD6', 'object/tangible/ship/components/armor/shared_arm_kse_elite_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2302420350', '893C257E', 'object/tangible/ship/components/armor/shared_arm_kse_heavy_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2472601379', '9360E723', 'object/tangible/ship/components/armor/shared_arm_kse_intermediate_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('754583097', '2CFA0639', 'object/tangible/ship/components/armor/shared_arm_kse_limited_heavy_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('759538289', '2D45A271', 'object/tangible/ship/components/armor/shared_arm_kse_modified_heavy_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1566058849', '5D582961', 'object/tangible/ship/components/armor/shared_arm_kse_modified_light_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2288993339', '886F443B', 'object/tangible/ship/components/armor/shared_arm_kse_modified_supreme_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('494744832', '1D7D3500', 'object/tangible/ship/components/armor/shared_arm_kse_standard_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('706111172', '2A1666C4', 'object/tangible/ship/components/armor/shared_arm_kse_supreme_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1688248880', '64A0A230', 'object/tangible/ship/components/armor/shared_arm_mandal_advanced_composite.iff');
INSERT INTO `object_crc_string_table` VALUES ('2614891769', '9BDC14F9', 'object/tangible/ship/components/armor/shared_arm_mandal_composite_j5.iff');
INSERT INTO `object_crc_string_table` VALUES ('164027363', '9C6DBE3', 'object/tangible/ship/components/armor/shared_arm_mandal_composite_j7.iff');
INSERT INTO `object_crc_string_table` VALUES ('2443269363', '91A154F3', 'object/tangible/ship/components/armor/shared_arm_mandal_custom_heavy_composite.iff');
INSERT INTO `object_crc_string_table` VALUES ('4187492746', 'F998118A', 'object/tangible/ship/components/armor/shared_arm_mandal_double_insulated_i5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1803738768', '6B82DE90', 'object/tangible/ship/components/armor/shared_arm_mandal_double_insulated_i7.iff');
INSERT INTO `object_crc_string_table` VALUES ('2556935456', '9867BD20', 'object/tangible/ship/components/armor/shared_arm_mandal_double_plated_composite_j7.iff');
INSERT INTO `object_crc_string_table` VALUES ('2373681857', '8D7B82C1', 'object/tangible/ship/components/armor/shared_arm_mandal_elite_composite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1466373688', '57671638', 'object/tangible/ship/components/armor/shared_arm_mandal_enhanced_elite_composite.iff');
INSERT INTO `object_crc_string_table` VALUES ('936603280', '37D36E90', 'object/tangible/ship/components/armor/shared_arm_mandal_enhanced_heavy_composite.iff');
INSERT INTO `object_crc_string_table` VALUES ('3989830249', 'EDCFFA69', 'object/tangible/ship/components/armor/shared_arm_mandal_heavy_composite.iff');
INSERT INTO `object_crc_string_table` VALUES ('156429997', '952EEAD', 'object/tangible/ship/components/armor/shared_arm_mandal_insulated_i7.iff');
INSERT INTO `object_crc_string_table` VALUES ('2798415892', 'A6CC7014', 'object/tangible/ship/components/armor/shared_arm_mandal_modified_supreme_composite.iff');
INSERT INTO `object_crc_string_table` VALUES ('2535453726', '971FF41E', 'object/tangible/ship/components/armor/shared_arm_mandal_modifier_composite_j5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3155179627', 'BC10386B', 'object/tangible/ship/components/armor/shared_arm_mandal_reinforced_advanced_composite.iff');
INSERT INTO `object_crc_string_table` VALUES ('3572993151', 'D4F78C7F', 'object/tangible/ship/components/armor/shared_arm_mandal_supreme_composite.iff');
INSERT INTO `object_crc_string_table` VALUES ('8094392', '7B82B8', 'object/tangible/ship/components/armor/shared_arm_mission_reward_imperial_rss_special_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('3133915377', 'BACBC0F1', 'object/tangible/ship/components/armor/shared_arm_mission_reward_imperial_sfs_light_military.iff');
INSERT INTO `object_crc_string_table` VALUES ('250102310', 'EE84226', 'object/tangible/ship/components/armor/shared_arm_mission_reward_neutral_kse_handcrafted.iff');
INSERT INTO `object_crc_string_table` VALUES ('935409503', '37C1375F', 'object/tangible/ship/components/armor/shared_arm_mission_reward_rebel_corellian_triplate.iff');
INSERT INTO `object_crc_string_table` VALUES ('2559663629', '98915E0D', 'object/tangible/ship/components/armor/shared_arm_mission_reward_rebel_incom_ultralight.iff');
INSERT INTO `object_crc_string_table` VALUES ('109261874', '6833432', 'object/tangible/ship/components/armor/shared_arm_moncal_advanced_weave.iff');
INSERT INTO `object_crc_string_table` VALUES ('3758987303', 'E00D9827', 'object/tangible/ship/components/armor/shared_arm_moncal_elite_weave.iff');
INSERT INTO `object_crc_string_table` VALUES ('2065607228', '7B1EAA3C', 'object/tangible/ship/components/armor/shared_arm_moncal_improved_light_weave.iff');
INSERT INTO `object_crc_string_table` VALUES ('3053787299', 'B60518A3', 'object/tangible/ship/components/armor/shared_arm_moncal_light_weave.iff');
INSERT INTO `object_crc_string_table` VALUES ('1882172430', '702FAC0E', 'object/tangible/ship/components/armor/shared_arm_moncal_supreme_weave.iff');
INSERT INTO `object_crc_string_table` VALUES ('2845706811', 'A99E0A3B', 'object/tangible/ship/components/armor/shared_arm_prototype_armor.iff');
INSERT INTO `object_crc_string_table` VALUES ('3837917885', 'E4C1FABD', 'object/tangible/ship/components/armor/shared_arm_rendili_tough_plate.iff');
INSERT INTO `object_crc_string_table` VALUES ('558663557', '214C8785', 'object/tangible/ship/components/armor/shared_arm_reward_alderaan_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('161167635', '99B3913', 'object/tangible/ship/components/armor/shared_arm_reward_baktoid_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('554262569', '21096029', 'object/tangible/ship/components/armor/shared_arm_reward_freitek_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('648039775', '26A04D5F', 'object/tangible/ship/components/armor/shared_arm_reward_mandal_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('2577499173', '99A18425', 'object/tangible/ship/components/armor/shared_arm_reward_subpro_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('3260614501', 'C2590765', 'object/tangible/ship/components/armor/shared_arm_rss_light_plastisteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('4088171955', 'F3AC8DB3', 'object/tangible/ship/components/armor/shared_arm_sds_triplate_system.iff');
INSERT INTO `object_crc_string_table` VALUES ('3164042253', 'BC97740D', 'object/tangible/ship/components/armor/shared_arm_sfs_enhanced_standard_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1705716466', '65AB2AF2', 'object/tangible/ship/components/armor/shared_arm_sfs_light_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2872638243', 'AB38FB23', 'object/tangible/ship/components/armor/shared_arm_sfs_standard_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2741880354', 'A36DC622', 'object/tangible/ship/components/armor/shared_arm_slayn_tech_weave.iff');
INSERT INTO `object_crc_string_table` VALUES ('3788237472', 'E1CBEAA0', 'object/tangible/ship/components/armor/shared_arm_sorosuub_advanced_plastisteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('4256777864', 'FDB94688', 'object/tangible/ship/components/armor/shared_arm_sorosuub_elite_plastisteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1781793436', '6A34029C', 'object/tangible/ship/components/armor/shared_arm_sorosuub_enhanced_advanced_plastisteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1255073600', '4ACEE740', 'object/tangible/ship/components/armor/shared_arm_sorosuub_heavy_plastisteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('3554465146', 'D3DCD57A', 'object/tangible/ship/components/armor/shared_arm_sorosuub_improved_light_plastisteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('293552888', '117F42F8', 'object/tangible/ship/components/armor/shared_arm_sorosuub_intemediate_plastisteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('3015832844', 'B3C1F50C', 'object/tangible/ship/components/armor/shared_arm_sorosuub_modified_elite_plastisteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2255439223', '866F4577', 'object/tangible/ship/components/armor/shared_arm_sorosuub_special_intermediate_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('3054433644', 'B60EF56C', 'object/tangible/ship/components/armor/shared_arm_subpro_advanced_plasisteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('762200952', '2D6E4378', 'object/tangible/ship/components/armor/shared_arm_subpro_bargain_plastisteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('557901816', '2140E7F8', 'object/tangible/ship/components/armor/shared_arm_subpro_elite_plastisteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1248323519', '4A67E7BF', 'object/tangible/ship/components/armor/shared_arm_subpro_enhanced_supreme_plastisteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2166232467', '811E1593', 'object/tangible/ship/components/armor/shared_arm_subpro_experimental_advanced_plastisteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2520204848', '96374630', 'object/tangible/ship/components/armor/shared_arm_subpro_heavy_plastisteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1038537255', '3DE6D227', 'object/tangible/ship/components/armor/shared_arm_subpro_improved_light_plastisteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1581165137', '5E3EAA51', 'object/tangible/ship/components/armor/shared_arm_subpro_improved_standard_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2268555312', '87376830', 'object/tangible/ship/components/armor/shared_arm_subpro_limited_heavy_plastisteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('4116799240', 'F5615F08', 'object/tangible/ship/components/armor/shared_arm_subpro_special_elite_plastisteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('601305947', '23D7335B', 'object/tangible/ship/components/armor/shared_arm_subpro_standard_plastisteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('142850797', '883BAED', 'object/tangible/ship/components/armor/shared_arm_subpro_supreme_plastisteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('3192065844', 'BE430F34', 'object/tangible/ship/components/armor/shared_armor_alderaan_royal_plate.iff');
INSERT INTO `object_crc_string_table` VALUES ('3502209132', 'D0BF786C', 'object/tangible/ship/components/armor/shared_armor_alderaan_royal_weave.iff');
INSERT INTO `object_crc_string_table` VALUES ('2941453089', 'AF530321', 'object/tangible/ship/components/armor/shared_armor_baktoid_mtt_prototype.iff');
INSERT INTO `object_crc_string_table` VALUES ('2893359892', 'AC752B14', 'object/tangible/ship/components/armor/shared_armor_baktoid_shock_armor.iff');
INSERT INTO `object_crc_string_table` VALUES ('3860828257', 'E61F9061', 'object/tangible/ship/components/armor/shared_armor_baktoid_spider_shell_g2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2157390663', '80972B47', 'object/tangible/ship/components/armor/shared_armor_freitek_es4_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2136590551', '7F59C8D7', 'object/tangible/ship/components/armor/shared_armor_freitek_ew6_prototype.iff');
INSERT INTO `object_crc_string_table` VALUES ('189197792', 'B46EDE0', 'object/tangible/ship/components/armor/shared_armor_mandal_composite_j14.iff');
INSERT INTO `object_crc_string_table` VALUES ('2126398315', '7EBE436B', 'object/tangible/ship/components/armor/shared_armor_mandal_insulated_i5.iff');
INSERT INTO `object_crc_string_table` VALUES ('502029625', '1DEC5D39', 'object/tangible/ship/components/armor/shared_armor_seinar_coated_plasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1304001760', '4DB97CE0', 'object/tangible/ship/components/armor/shared_armor_seinar_enhanced_plasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2835323687', 'A8FF9B27', 'object/tangible/ship/components/armor/shared_armor_subpro_corrugated_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('3103851668', 'B9010494', 'object/tangible/ship/components/armor/shared_armor_subpro_light_plasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('4267599025', 'FE5E64B1', 'object/tangible/ship/components/armor/shared_armor_subpro_reinforced_plasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1291680085', '4CFD7955', 'object/tangible/ship/components/armor/shared_armor_test.iff');
INSERT INTO `object_crc_string_table` VALUES ('2493559431', '94A0B287', 'object/tangible/ship/components/armor/shared_armor_tiefighter_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1331552040', '4F5DDF28', 'object/tangible/ship/components/armor/shared_armor_trilon_custom.iff');
INSERT INTO `object_crc_string_table` VALUES ('2483784578', '940B8B82', 'object/tangible/ship/components/armor/shared_armor_trilon_unknown.iff');
INSERT INTO `object_crc_string_table` VALUES ('710519304', '2A59AA08', 'object/tangible/ship/components/armor/shared_armor_z95_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('489689344', '1D301100', 'object/tangible/ship/components/base/shared_ship_component_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1282074761', '4C6AE889', 'object/tangible/ship/components/base/shared_ship_component_loot_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1420884630', '54B0FA96', 'object/tangible/ship/components/base/shared_ship_subcomponent_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1784141535', '6A57D6DF', 'object/tangible/ship/components/booster/shared_booster_test.iff');
INSERT INTO `object_crc_string_table` VALUES ('95367825', '5AF3291', 'object/tangible/ship/components/booster/shared_bst_corellian_advanced_thrust_enhancer.iff');
INSERT INTO `object_crc_string_table` VALUES ('4019311987', 'EF91D573', 'object/tangible/ship/components/booster/shared_bst_corellian_elite_thrust_enhancer.iff');
INSERT INTO `object_crc_string_table` VALUES ('788395141', '2EFDF485', 'object/tangible/ship/components/booster/shared_bst_corellian_experimental_tjh3.iff');
INSERT INTO `object_crc_string_table` VALUES ('369299921', '160311D1', 'object/tangible/ship/components/booster/shared_bst_corellian_heavy_thrust_enhancer.iff');
INSERT INTO `object_crc_string_table` VALUES ('307950030', '125AF1CE', 'object/tangible/ship/components/booster/shared_bst_corellian_highly_modified_elite_thrust_enhancer.iff');
INSERT INTO `object_crc_string_table` VALUES ('2687766710', 'A03410B6', 'object/tangible/ship/components/booster/shared_bst_corellian_performance_advanced_thrust_enhancer.iff');
INSERT INTO `object_crc_string_table` VALUES ('679723055', '2883C02F', 'object/tangible/ship/components/booster/shared_bst_corellian_promotional_standard_thrust_enhancer.iff');
INSERT INTO `object_crc_string_table` VALUES ('82609038', '4EC838E', 'object/tangible/ship/components/booster/shared_bst_corellian_standard_thrust_enhancer.iff');
INSERT INTO `object_crc_string_table` VALUES ('3342663764', 'C73D0054', 'object/tangible/ship/components/booster/shared_bst_corellian_tjh3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3003301835', 'B302BFCB', 'object/tangible/ship/components/booster/shared_bst_corellian_tuned_heavy_thrust_enhancer.iff');
INSERT INTO `object_crc_string_table` VALUES ('2062222960', '7AEB0670', 'object/tangible/ship/components/booster/shared_bst_cygnus_flashboost3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2164796772', '81082D64', 'object/tangible/ship/components/booster/shared_bst_cygnus_flashboost4.iff');
INSERT INTO `object_crc_string_table` VALUES ('367538652', '15E831DC', 'object/tangible/ship/components/booster/shared_bst_freitek_outrunner_x1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2309515131', '89A8677B', 'object/tangible/ship/components/booster/shared_bst_gallofree_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('3848915623', 'E569CAA7', 'object/tangible/ship/components/booster/shared_bst_generic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1705883702', '65ADB836', 'object/tangible/ship/components/booster/shared_bst_incom_deluxe_fynock.iff');
INSERT INTO `object_crc_string_table` VALUES ('3900405472', 'E87B76E0', 'object/tangible/ship/components/booster/shared_bst_incom_elite_sls_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3742318303', 'DF0F3EDF', 'object/tangible/ship/components/booster/shared_bst_incom_enhanced_mynock.iff');
INSERT INTO `object_crc_string_table` VALUES ('1410368784', '54108510', 'object/tangible/ship/components/booster/shared_bst_incom_fynock.iff');
INSERT INTO `object_crc_string_table` VALUES ('3520766481', 'D1DAA211', 'object/tangible/ship/components/booster/shared_bst_incom_intimidator_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('181209734', 'ACD0A86', 'object/tangible/ship/components/booster/shared_bst_incom_intimidator_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1136684299', '43C06D0B', 'object/tangible/ship/components/booster/shared_bst_incom_intimidator_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3089319455', 'B823461F', 'object/tangible/ship/components/booster/shared_bst_incom_intimidator_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3336637930', 'C6E10DEA', 'object/tangible/ship/components/booster/shared_bst_incom_mynock.iff');
INSERT INTO `object_crc_string_table` VALUES ('1721827885', '66A1022D', 'object/tangible/ship/components/booster/shared_bst_incom_nkj31.iff');
INSERT INTO `object_crc_string_table` VALUES ('47183178', '2CFF54A', 'object/tangible/ship/components/booster/shared_bst_incom_performance_nkj31.iff');
INSERT INTO `object_crc_string_table` VALUES ('2524451923', '96781453', 'object/tangible/ship/components/booster/shared_bst_incom_sls_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4118504437', 'F57B63F5', 'object/tangible/ship/components/booster/shared_bst_incom_supercharged_vynock.iff');
INSERT INTO `object_crc_string_table` VALUES ('2064805592', '7B126ED8', 'object/tangible/ship/components/booster/shared_bst_incom_vynock.iff');
INSERT INTO `object_crc_string_table` VALUES ('744508372', '2C604BD4', 'object/tangible/ship/components/booster/shared_bst_kde_br12.iff');
INSERT INTO `object_crc_string_table` VALUES ('793081046', '2F4574D6', 'object/tangible/ship/components/booster/shared_bst_kessel_imperial_cygnus_hyperthrust.iff');
INSERT INTO `object_crc_string_table` VALUES ('1606808856', '5FC5F518', 'object/tangible/ship/components/booster/shared_bst_kessel_imperial_sds_experimental_b7.iff');
INSERT INTO `object_crc_string_table` VALUES ('53752884', '3343434', 'object/tangible/ship/components/booster/shared_bst_kessel_imperial_sfs_ultra_thrust.iff');
INSERT INTO `object_crc_string_table` VALUES ('419026085', '18F9D4A5', 'object/tangible/ship/components/booster/shared_bst_kessel_rebel_incom_quicksilver.iff');
INSERT INTO `object_crc_string_table` VALUES ('3378973624', 'C9670BB8', 'object/tangible/ship/components/booster/shared_bst_kessel_rebel_incom_windrunner.iff');
INSERT INTO `object_crc_string_table` VALUES ('3998248231', 'EE506D27', 'object/tangible/ship/components/booster/shared_bst_kessel_rebel_mandal_lightning_m1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4027189608', 'F00A0968', 'object/tangible/ship/components/booster/shared_bst_koensayr_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2298767702', '89046956', 'object/tangible/ship/components/booster/shared_bst_koensayr_charged_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('511836444', '1E82011C', 'object/tangible/ship/components/booster/shared_bst_koensayr_deluxe_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('528263488', '1F7CA940', 'object/tangible/ship/components/booster/shared_bst_koensayr_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1204424540', '47CA0F5C', 'object/tangible/ship/components/booster/shared_bst_koensayr_evh12.iff');
INSERT INTO `object_crc_string_table` VALUES ('2398381369', '8EF46539', 'object/tangible/ship/components/booster/shared_bst_koensayr_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('894005127', '35496F87', 'object/tangible/ship/components/booster/shared_bst_koensayr_improved_standard.iff');
INSERT INTO `object_crc_string_table` VALUES ('1813570456', '6C18E398', 'object/tangible/ship/components/booster/shared_bst_koensayr_modified_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('2813746586', 'A7B65D9A', 'object/tangible/ship/components/booster/shared_bst_koensayr_racer_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2090988813', '7CA1F50D', 'object/tangible/ship/components/booster/shared_bst_koensayr_racer_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('900502144', '35AC9280', 'object/tangible/ship/components/booster/shared_bst_koensayr_racer_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3461331348', 'CE4FB994', 'object/tangible/ship/components/booster/shared_bst_koensayr_racer_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2437955271', '91503EC7', 'object/tangible/ship/components/booster/shared_bst_koensayr_special_evh12.iff');
INSERT INTO `object_crc_string_table` VALUES ('3498550211', 'D087A3C3', 'object/tangible/ship/components/booster/shared_bst_koensayr_standard.iff');
INSERT INTO `object_crc_string_table` VALUES ('4146162190', 'F7216A0E', 'object/tangible/ship/components/booster/shared_bst_kse_als_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2827178862', 'A883536E', 'object/tangible/ship/components/booster/shared_bst_kse_bti1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1939143673', '7394FBF9', 'object/tangible/ship/components/booster/shared_bst_kse_bti2.iff');
INSERT INTO `object_crc_string_table` VALUES ('983145588', '3A999C74', 'object/tangible/ship/components/booster/shared_bst_kse_bti3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1082190673', '4080EB51', 'object/tangible/ship/components/booster/shared_bst_kse_cb6.iff');
INSERT INTO `object_crc_string_table` VALUES ('1877470958', '6FE7EEEE', 'object/tangible/ship/components/booster/shared_bst_kse_deluxe_bti3.iff');
INSERT INTO `object_crc_string_table` VALUES ('4147447022', 'F73504EE', 'object/tangible/ship/components/booster/shared_bst_kse_elite_als_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1680098180', '64244384', 'object/tangible/ship/components/booster/shared_bst_kse_enhanced_bti2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1644149004', '61FFB90C', 'object/tangible/ship/components/booster/shared_bst_kse_performance_bti1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3050826285', 'B5D7EA2D', 'object/tangible/ship/components/booster/shared_bst_kse_performance_cb6.iff');
INSERT INTO `object_crc_string_table` VALUES ('3536291891', 'D2C78833', 'object/tangible/ship/components/booster/shared_bst_kuat_military_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('164634788', '9D020A4', 'object/tangible/ship/components/booster/shared_bst_kuat_military_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1088243497', '40DD4729', 'object/tangible/ship/components/booster/shared_bst_kuat_military_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3141430333', 'BB3E6C3D', 'object/tangible/ship/components/booster/shared_bst_kuat_military_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2694479901', 'A09A801D', 'object/tangible/ship/components/booster/shared_bst_mandal_deluxe_jbj_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1206714092', '47ECFEEC', 'object/tangible/ship/components/booster/shared_bst_mandal_enhanced_jbj_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3157954036', 'BC3A8DF4', 'object/tangible/ship/components/booster/shared_bst_mandal_improved_jbj_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3869490887', 'E6A3BEC7', 'object/tangible/ship/components/booster/shared_bst_mandal_jbj_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1035212368', '3DB41650', 'object/tangible/ship/components/booster/shared_bst_mandal_jbj_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1958310365', '74B971DD', 'object/tangible/ship/components/booster/shared_bst_mandal_jbj_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2405063369', '8F5A5AC9', 'object/tangible/ship/components/booster/shared_bst_mandal_jbj_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3327606084', 'C6573D44', 'object/tangible/ship/components/booster/shared_bst_mandal_jbj_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3105704550', 'B91D4A66', 'object/tangible/ship/components/booster/shared_bst_mandal_limited_jbj_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2916150549', 'ADD0ED15', 'object/tangible/ship/components/booster/shared_bst_mandal_modified_jbj_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2616547998', '9BF55A9E', 'object/tangible/ship/components/booster/shared_bst_mission_reward_imperial_rss_ion_booster.iff');
INSERT INTO `object_crc_string_table` VALUES ('2251024280', '862BE798', 'object/tangible/ship/components/booster/shared_bst_mission_reward_neutral_mandal_m_series.iff');
INSERT INTO `object_crc_string_table` VALUES ('3643360208', 'D92943D0', 'object/tangible/ship/components/booster/shared_bst_mission_reward_neutral_mandal_q_series.iff');
INSERT INTO `object_crc_string_table` VALUES ('1314651324', '4E5BFCBC', 'object/tangible/ship/components/booster/shared_bst_mission_reward_rebel_novaldex_hypernova.iff');
INSERT INTO `object_crc_string_table` VALUES ('2730673872', 'A2C2C6D0', 'object/tangible/ship/components/booster/shared_bst_mission_reward_rebel_qualdex_halcyon.iff');
INSERT INTO `object_crc_string_table` VALUES ('3124355866', 'BA39E31A', 'object/tangible/ship/components/booster/shared_bst_moncal_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3234187742', 'C0C5C9DE', 'object/tangible/ship/components/booster/shared_bst_moncal_charged_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('3884337187', 'E7864823', 'object/tangible/ship/components/booster/shared_bst_moncal_deluxe_standard.iff');
INSERT INTO `object_crc_string_table` VALUES ('3306025844', 'C50DF374', 'object/tangible/ship/components/booster/shared_bst_moncal_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('2418943761', '902E2711', 'object/tangible/ship/components/booster/shared_bst_moncal_enhanced_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1418018573', '54853F0D', 'object/tangible/ship/components/booster/shared_bst_moncal_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('4144415819', 'F706C44B', 'object/tangible/ship/components/booster/shared_bst_moncal_jlc37.iff');
INSERT INTO `object_crc_string_table` VALUES ('124704737', '76ED7E1', 'object/tangible/ship/components/booster/shared_bst_moncal_limited_jlc37.iff');
INSERT INTO `object_crc_string_table` VALUES ('2113743234', '7DFD2982', 'object/tangible/ship/components/booster/shared_bst_moncal_rare_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2595506609', '9AB449B1', 'object/tangible/ship/components/booster/shared_bst_moncal_standard.iff');
INSERT INTO `object_crc_string_table` VALUES ('2871976232', 'AB2EE128', 'object/tangible/ship/components/booster/shared_bst_novaldex_pulsar.iff');
INSERT INTO `object_crc_string_table` VALUES ('1333284272', '4F784DB0', 'object/tangible/ship/components/booster/shared_bst_novaldex_pulsar_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3470077476', 'CED52E24', 'object/tangible/ship/components/booster/shared_bst_novaldex_quasar.iff');
INSERT INTO `object_crc_string_table` VALUES ('3009788712', 'B365BB28', 'object/tangible/ship/components/booster/shared_bst_novaldex_quasar_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('554255149', '2109432D', 'object/tangible/ship/components/booster/shared_bst_qualdex_xboost_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4196330426', 'FA1EEBBA', 'object/tangible/ship/components/booster/shared_bst_qualdex_xboost_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3004402743', 'B3138C37', 'object/tangible/ship/components/booster/shared_bst_qualdex_xboost_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1223730979', '48F0A723', 'object/tangible/ship/components/booster/shared_bst_qualdex_xboost_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3656597256', 'D9F33F08', 'object/tangible/ship/components/booster/shared_bst_reward_incom_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('2006126864', '77931110', 'object/tangible/ship/components/booster/shared_bst_reward_koensayr_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('3954154692', 'EBAF9CC4', 'object/tangible/ship/components/booster/shared_bst_reward_kuat_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('621880457', '25112489', 'object/tangible/ship/components/booster/shared_bst_reward_novaldex_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('2436545673', '913ABC89', 'object/tangible/ship/components/booster/shared_bst_reward_qualdex_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('3925642831', 'E9FC8E4F', 'object/tangible/ship/components/booster/shared_bst_rss_special.iff');
INSERT INTO `object_crc_string_table` VALUES ('498383661', '1DB4BB2D', 'object/tangible/ship/components/booster/shared_bst_sap_imperial_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3332576186', 'C6A313BA', 'object/tangible/ship/components/booster/shared_bst_sap_imperial_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2637703678', '9D3829FE', 'object/tangible/ship/components/booster/shared_bst_sds_enhanced_imperial_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('173403376', 'A55ECF0', 'object/tangible/ship/components/booster/shared_bst_sfs_imperial_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3510781031', 'D1424467', 'object/tangible/ship/components/booster/shared_bst_sfs_imperial_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4258532580', 'FDD40CE4', 'object/tangible/ship/components/booster/shared_bst_slayn_ion_booster_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1866927528', '6F470DA8', 'object/tangible/ship/components/booster/shared_bst_sorosuub_enhanced_liberator_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('4042319819', 'F0F0E7CB', 'object/tangible/ship/components/booster/shared_bst_sorosuub_improved_liberator_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2904503853', 'AD1F362D', 'object/tangible/ship/components/booster/shared_bst_sorosuub_liberator_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1980276410', '76089EBA', 'object/tangible/ship/components/booster/shared_bst_sorosuub_liberator_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1057356087', '3F05F937', 'object/tangible/ship/components/booster/shared_bst_sorosuub_liberator_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3303461411', 'C4E6D223', 'object/tangible/ship/components/booster/shared_bst_sorosuub_liberator_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2381034926', '8DEBB5AE', 'object/tangible/ship/components/booster/shared_bst_sorosuub_liberator_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2805387949', 'A736D2AD', 'object/tangible/ship/components/booster/shared_bst_sorosuub_prized_liberator_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1684575263', '6468941F', 'object/tangible/ship/components/booster/shared_bst_sorosuub_supercharged_liberator_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3378470899', 'C95F5FF3', 'object/tangible/ship/components/booster/shared_bst_sorosuub_well_tuned_liberator_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3614410827', 'D76F884B', 'object/tangible/ship/components/booster/shared_bst_subpro_accelatron_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('209199324', 'C7820DC', 'object/tangible/ship/components/booster/shared_bst_subpro_accelatron_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1165313873', '45754751', 'object/tangible/ship/components/booster/shared_bst_subpro_accelatron_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3197529157', 'BE966C45', 'object/tangible/ship/components/booster/shared_bst_subpro_accelatron_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('4154133448', 'F79B0BC8', 'object/tangible/ship/components/booster/shared_bst_subpro_accelatron_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2441728107', '9189D06B', 'object/tangible/ship/components/booster/shared_bst_subpro_deluxe_accelatron_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2539684267', '976081AB', 'object/tangible/ship/components/booster/shared_bst_subpro_elite_accelatron_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3219799574', 'BFEA3E16', 'object/tangible/ship/components/booster/shared_bst_subpro_enhanced_accelatron_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3848103440', 'E55D6610', 'object/tangible/ship/components/booster/shared_bst_subpro_modified_accelatron_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2160911375', '80CCE40F', 'object/tangible/ship/components/booster/shared_bst_subpro_tuned_accelatron_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3438333204', 'CCF0CD14', 'object/tangible/ship/components/booster/shared_bst_surronian_accelerator_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('401040771', '17E76583', 'object/tangible/ship/components/booster/shared_bst_surronian_accelerator_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1695261878', '650BA4B6', 'object/tangible/ship/components/booster/shared_bst_surronian_nomad_x4.iff');
INSERT INTO `object_crc_string_table` VALUES ('68558899', '4162033', 'object/tangible/ship/components/booster/shared_bst_surronian_nomad_x8.iff');
INSERT INTO `object_crc_string_table` VALUES ('2602586479', '9B20516F', 'object/tangible/ship/components/booster/shared_bst_tiefighter_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('623716829', '252D29DD', 'object/tangible/ship/components/booster/shared_bst_z95_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1998070919', '77182487', 'object/tangible/ship/components/booster/shared_xwing_booster_test.iff');
INSERT INTO `object_crc_string_table` VALUES ('90429842', '563D992', 'object/tangible/ship/components/chassis/shared_awing_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('721690937', '2B042139', 'object/tangible/ship/components/chassis/shared_base_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('467101545', '1BD76769', 'object/tangible/ship/components/chassis/shared_blacksun_heavy_s01_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('100401026', '5FBFF82', 'object/tangible/ship/components/chassis/shared_blacksun_heavy_s02_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('266368987', 'FE077DB', 'object/tangible/ship/components/chassis/shared_blacksun_heavy_s03_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('966970964', '39A2CE54', 'object/tangible/ship/components/chassis/shared_blacksun_heavy_s04_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('1715349406', '663E279E', 'object/tangible/ship/components/chassis/shared_blacksun_light_s01_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('2014494581', '7812BF75', 'object/tangible/ship/components/chassis/shared_blacksun_light_s02_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('1913206572', '7209372C', 'object/tangible/ship/components/chassis/shared_blacksun_light_s03_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('1145802403', '444B8EA3', 'object/tangible/ship/components/chassis/shared_blacksun_light_s04_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('1303791659', '4DB6482B', 'object/tangible/ship/components/chassis/shared_blacksun_medium_s01_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('1402654912', '539AD0C0', 'object/tangible/ship/components/chassis/shared_blacksun_medium_s02_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('1501649049', '59815899', 'object/tangible/ship/components/chassis/shared_blacksun_medium_s03_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('1875108118', '6FC3E116', 'object/tangible/ship/components/chassis/shared_blacksun_medium_s04_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('263693282', 'FB7A3E2', 'object/tangible/ship/components/chassis/shared_bwing_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('202774630', 'C161866', 'object/tangible/ship/components/chassis/shared_decimator_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('2197904030', '83015A9E', 'object/tangible/ship/components/chassis/shared_firespray_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('2891959182', 'AC5FCB8E', 'object/tangible/ship/components/chassis/shared_hutt_heavy_s01_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('2993902437', 'B2735365', 'object/tangible/ship/components/chassis/shared_hutt_heavy_s02_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('2409366358', '8F9C0356', 'object/tangible/ship/components/chassis/shared_hutt_light_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('3482981266', 'CF9A1392', 'object/tangible/ship/components/chassis/shared_hutt_light_s02_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('1717793360', '66637250', 'object/tangible/ship/components/chassis/shared_hutt_medium_s01_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('2018503355', '784FEABB', 'object/tangible/ship/components/chassis/shared_hutt_medium_s02_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('2648461459', '9DDC5093', 'object/tangible/ship/components/chassis/shared_hutt_turret_ship_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('2237376595', '855BA853', 'object/tangible/ship/components/chassis/shared_tie_in_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('1661320674', '6305BDE2', 'object/tangible/ship/components/chassis/shared_tie_light_duty_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('2706856449', 'A1575A01', 'object/tangible/ship/components/chassis/shared_tieadvanced_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('791634059', '2F2F608B', 'object/tangible/ship/components/chassis/shared_tieaggressor_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('1457187476', '56DAEA94', 'object/tangible/ship/components/chassis/shared_tiebomber_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('1894497795', '70EBBE03', 'object/tangible/ship/components/chassis/shared_tiefighter_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('2556036230', '985A0486', 'object/tangible/ship/components/chassis/shared_tieinterceptor_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('1760010218', '68E79FEA', 'object/tangible/ship/components/chassis/shared_tieoppressor_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('1435247554', '558C23C2', 'object/tangible/ship/components/chassis/shared_xwing_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('3131311830', 'BAA406D6', 'object/tangible/ship/components/chassis/shared_ykl37r_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('1540879175', '5BD7F347', 'object/tangible/ship/components/chassis/shared_yt1300_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('1405094418', '53C00A12', 'object/tangible/ship/components/chassis/shared_ywing_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('2655964271', '9E4ECC6F', 'object/tangible/ship/components/chassis/shared_ywing_longprobe_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('2126096651', '7EB9A90B', 'object/tangible/ship/components/chassis/shared_z95_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('2255500676', '86703584', 'object/tangible/ship/components/droid_interface/shared_ddi_armek_military_grade_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1567071507', '5D679D13', 'object/tangible/ship/components/droid_interface/shared_ddi_armek_military_grade_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1554428652', '5CA6B2EC', 'object/tangible/ship/components/droid_interface/shared_ddi_cygnus_di6.iff');
INSERT INTO `object_crc_string_table` VALUES ('2946627955', 'AFA1F973', 'object/tangible/ship/components/droid_interface/shared_ddi_cygnus_di8.iff');
INSERT INTO `object_crc_string_table` VALUES ('382961907', '16D388F3', 'object/tangible/ship/components/droid_interface/shared_ddi_freitek_droid_commander_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3452182628', 'CDC42064', 'object/tangible/ship/components/droid_interface/shared_ddi_freitek_droid_commander_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2227783657', '84C947E9', 'object/tangible/ship/components/droid_interface/shared_ddi_freitek_droid_commander_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2848252301', 'A9C4E18D', 'object/tangible/ship/components/droid_interface/shared_ddi_freitek_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1303344441', '4DAF7539', 'object/tangible/ship/components/droid_interface/shared_ddi_freitek_modified_droid_commander_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2130320343', '7EFA1BD7', 'object/tangible/ship/components/droid_interface/shared_ddi_gallofree_level1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3733721392', 'DE8C1130', 'object/tangible/ship/components/droid_interface/shared_ddi_generic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1006845389', '3C033DCD', 'object/tangible/ship/components/droid_interface/shared_ddi_haor_chall_old_tech.iff');
INSERT INTO `object_crc_string_table` VALUES ('1151995556', '44AA0EA4', 'object/tangible/ship/components/droid_interface/shared_ddi_haor_chall_vintage_piece.iff');
INSERT INTO `object_crc_string_table` VALUES ('3073922282', 'B73854EA', 'object/tangible/ship/components/droid_interface/shared_ddi_hk_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3118062866', 'B9D9DD12', 'object/tangible/ship/components/droid_interface/shared_ddi_hk_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('3473966086', 'CF108406', 'object/tangible/ship/components/droid_interface/shared_ddi_hk_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('336014481', '14072C91', 'object/tangible/ship/components/droid_interface/shared_ddi_hk_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1560955676', '5D0A4B1C', 'object/tangible/ship/components/droid_interface/shared_ddi_hk_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2800312328', 'A6E96008', 'object/tangible/ship/components/droid_interface/shared_ddi_hk_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('70249391', '42FEBAF', 'object/tangible/ship/components/droid_interface/shared_ddi_incom_advanced_droid_interface.iff');
INSERT INTO `object_crc_string_table` VALUES ('2164595319', '81051A77', 'object/tangible/ship/components/droid_interface/shared_ddi_incom_deluxe_droid_interface_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1507715114', '59DDE82A', 'object/tangible/ship/components/droid_interface/shared_ddi_incom_droid_interface_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2194292925', '82CA40BD', 'object/tangible/ship/components/droid_interface/shared_ddi_incom_droid_interface_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3418826544', 'CBC72730', 'object/tangible/ship/components/droid_interface/shared_ddi_incom_droid_interface_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('807668772', '30240C24', 'object/tangible/ship/components/droid_interface/shared_ddi_incom_droid_interface_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2854165292', 'AA1F1B2C', 'object/tangible/ship/components/droid_interface/shared_ddi_incom_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('3762048650', 'E03C4E8A', 'object/tangible/ship/components/droid_interface/shared_ddi_incom_enhanced_droid_interface_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1562019403', '5D1A864B', 'object/tangible/ship/components/droid_interface/shared_ddi_incom_fast_droid_interface_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2495157622', '94B91576', 'object/tangible/ship/components/droid_interface/shared_ddi_kde_governor_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1336851937', '4FAEBDE1', 'object/tangible/ship/components/droid_interface/shared_ddi_kde_governor_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4052563476', 'F18D3614', 'object/tangible/ship/components/droid_interface/shared_ddi_kessel_imperial_cygnus_dp44.iff');
INSERT INTO `object_crc_string_table` VALUES ('925674650', '372CAC9A', 'object/tangible/ship/components/droid_interface/shared_ddi_kessel_imperial_sds_unknown_prototype.iff');
INSERT INTO `object_crc_string_table` VALUES ('818987742', '30D0C2DE', 'object/tangible/ship/components/droid_interface/shared_ddi_kessel_imperial_sfs_imperial_finest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2292572439', '88A5E117', 'object/tangible/ship/components/droid_interface/shared_ddi_kessel_rebel_incom_dx61.iff');
INSERT INTO `object_crc_string_table` VALUES ('3674415260', 'DB03209C', 'object/tangible/ship/components/droid_interface/shared_ddi_kessel_rebel_incom_supreme_interface.iff');
INSERT INTO `object_crc_string_table` VALUES ('3713293708', 'DD545D8C', 'object/tangible/ship/components/droid_interface/shared_ddi_kessel_rebel_qualdex_integrated_array.iff');
INSERT INTO `object_crc_string_table` VALUES ('2763794124', 'A4BC26CC', 'object/tangible/ship/components/droid_interface/shared_ddi_koensayr_simple_droid_interface.iff');
INSERT INTO `object_crc_string_table` VALUES ('2549539607', '97F6E317', 'object/tangible/ship/components/droid_interface/shared_ddi_koensayr_standard_droid_interface.iff');
INSERT INTO `object_crc_string_table` VALUES ('1119916671', '42C0927F', 'object/tangible/ship/components/droid_interface/shared_ddi_kse_advanced_manager.iff');
INSERT INTO `object_crc_string_table` VALUES ('3418100037', 'CBBC1145', 'object/tangible/ship/components/droid_interface/shared_ddi_kse_custom_manager_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1085256606', '40AFB39E', 'object/tangible/ship/components/droid_interface/shared_ddi_kse_elite_manager_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2612534025', '9BB81B09', 'object/tangible/ship/components/droid_interface/shared_ddi_kse_elite_manager_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('686125639', '28E57247', 'object/tangible/ship/components/droid_interface/shared_ddi_kse_enhanced_manager_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1137242392', '43C8F118', 'object/tangible/ship/components/droid_interface/shared_ddi_kse_improved_manager_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('363665805', '15AD198D', 'object/tangible/ship/components/droid_interface/shared_ddi_kse_manager_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3468341530', 'CEBAB11A', 'object/tangible/ship/components/droid_interface/shared_ddi_kse_manager_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2276972183', '87B7D697', 'object/tangible/ship/components/droid_interface/shared_ddi_kse_manager_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1391406113', '52EF2C21', 'object/tangible/ship/components/droid_interface/shared_ddi_mandal_military_grade_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2314765494', '89F884B6', 'object/tangible/ship/components/droid_interface/shared_ddi_mandal_military_grade_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1458928562', '56F57BB2', 'object/tangible/ship/components/droid_interface/shared_ddi_mission_reward_imperial_sfs_military_grade.iff');
INSERT INTO `object_crc_string_table` VALUES ('2653382104', '9E2765D8', 'object/tangible/ship/components/droid_interface/shared_ddi_mission_reward_neutral_sorosuub_w19.iff');
INSERT INTO `object_crc_string_table` VALUES ('1715402318', '663EF64E', 'object/tangible/ship/components/droid_interface/shared_ddi_mission_reward_rebel_moncal_d22.iff');
INSERT INTO `object_crc_string_table` VALUES ('4246752822', 'FD204E36', 'object/tangible/ship/components/droid_interface/shared_ddi_mission_reward_rebel_novaldex_low_latency.iff');
INSERT INTO `object_crc_string_table` VALUES ('3456992776', 'CE0D8608', 'object/tangible/ship/components/droid_interface/shared_ddi_moncal_advanced_interface.iff');
INSERT INTO `object_crc_string_table` VALUES ('779250230', '2E726A36', 'object/tangible/ship/components/droid_interface/shared_ddi_moncal_custom_dk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1664316727', '63337537', 'object/tangible/ship/components/droid_interface/shared_ddi_moncal_dk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3089423776', 'B824DDA0', 'object/tangible/ship/components/droid_interface/shared_ddi_moncal_dk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4046043693', 'F129BA2D', 'object/tangible/ship/components/droid_interface/shared_ddi_moncal_dk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('181047609', 'ACA9139', 'object/tangible/ship/components/droid_interface/shared_ddi_moncal_dk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3431557181', 'CC89683D', 'object/tangible/ship/components/droid_interface/shared_ddi_moncal_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('4167158823', 'F861CC27', 'object/tangible/ship/components/droid_interface/shared_ddi_moncal_special_dk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3255531720', 'C20B78C8', 'object/tangible/ship/components/droid_interface/shared_ddi_novaldex_advanced_droid_interface.iff');
INSERT INTO `object_crc_string_table` VALUES ('1177380841', '462D67E9', 'object/tangible/ship/components/droid_interface/shared_ddi_novaldex_custom_droid_interface_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1309787365', '4E11C4E5', 'object/tangible/ship/components/droid_interface/shared_ddi_novaldex_droid_interface_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2500226162', '95066C72', 'object/tangible/ship/components/droid_interface/shared_ddi_novaldex_droid_interface_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3691711487', 'DC0B0BFF', 'object/tangible/ship/components/droid_interface/shared_ddi_novaldex_droid_interface_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('669524203', '27E820EB', 'object/tangible/ship/components/droid_interface/shared_ddi_novaldex_droid_interface_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('4109273189', 'F4EE8865', 'object/tangible/ship/components/droid_interface/shared_ddi_novaldex_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1478874794', '5825D6AA', 'object/tangible/ship/components/droid_interface/shared_ddi_novaldex_special_droid_interface_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('29344223', '1BFC1DF', 'object/tangible/ship/components/droid_interface/shared_ddi_qualdex_droid_interface_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3668470088', 'DAA86948', 'object/tangible/ship/components/droid_interface/shared_ddi_qualdex_droid_interface_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2477067973', '93A50EC5', 'object/tangible/ship/components/droid_interface/shared_ddi_qualdex_droid_interface_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1749427665', '684625D1', 'object/tangible/ship/components/droid_interface/shared_ddi_qualdex_droid_interface_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1189388094', '46E49F3E', 'object/tangible/ship/components/droid_interface/shared_ddi_qualdex_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('545170083', '207EA2A3', 'object/tangible/ship/components/droid_interface/shared_ddi_qualdex_enhanced_droid_interface_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3983562485', 'ED7056F5', 'object/tangible/ship/components/droid_interface/shared_ddi_qualdex_modified_droid_interface_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1075566151', '401BD647', 'object/tangible/ship/components/droid_interface/shared_ddi_rendili_elite_imperator.iff');
INSERT INTO `object_crc_string_table` VALUES ('73360089', '45F62D9', 'object/tangible/ship/components/droid_interface/shared_ddi_rendili_imperator_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3746089550', 'DF48CA4E', 'object/tangible/ship/components/droid_interface/shared_ddi_rendili_imperator_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('785562391', '2ED2BB17', 'object/tangible/ship/components/droid_interface/shared_ddi_rss_enhanced_imperial_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('55562871', '34FD277', 'object/tangible/ship/components/droid_interface/shared_ddi_rss_imperial_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3629677280', 'D8587AE0', 'object/tangible/ship/components/droid_interface/shared_ddi_rss_imperial_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4200034291', 'FA576FF3', 'object/tangible/ship/components/droid_interface/shared_ddi_sds_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('3078863051', 'B783B8CB', 'object/tangible/ship/components/droid_interface/shared_ddi_sds_enhanced_imperial_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2632162038', '9CE39AF6', 'object/tangible/ship/components/droid_interface/shared_ddi_sds_imperial_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1207186017', '47F43261', 'object/tangible/ship/components/droid_interface/shared_ddi_sds_imperial_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('251221484', 'EF955EC', 'object/tangible/ship/components/droid_interface/shared_ddi_sds_imperial_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('4112154360', 'F51A7EF8', 'object/tangible/ship/components/droid_interface/shared_ddi_sds_imperial_4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3155630453', 'BC171975', 'object/tangible/ship/components/droid_interface/shared_ddi_sds_imperial_5.iff');
INSERT INTO `object_crc_string_table` VALUES ('872393893', '33FFACA5', 'object/tangible/ship/components/droid_interface/shared_ddi_sds_special_imperial_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2015516233', '78225649', 'object/tangible/ship/components/droid_interface/shared_ddi_seinar_interface_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2738224862', 'A335FEDE', 'object/tangible/ship/components/droid_interface/shared_ddi_seinar_interface_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3929577811', 'EA389953', 'object/tangible/ship/components/droid_interface/shared_ddi_seinar_interface_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('299610695', '11DBB247', 'object/tangible/ship/components/droid_interface/shared_ddi_seinar_interface_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('4122651135', 'F5BAA9FF', 'object/tangible/ship/components/droid_interface/shared_ddi_sfs_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('2826062719', 'A8724B7F', 'object/tangible/ship/components/droid_interface/shared_ddi_sfs_enhanced_imperial_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3007707212', 'B345F84C', 'object/tangible/ship/components/droid_interface/shared_ddi_sfs_imperial_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1750225115', '685250DB', 'object/tangible/ship/components/droid_interface/shared_ddi_sfs_imperial_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('559888214', '215F3756', 'object/tangible/ship/components/droid_interface/shared_ddi_sfs_imperial_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2393015606', '8EA28536', 'object/tangible/ship/components/droid_interface/shared_ddi_sfs_imperial_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1681488075', '643978CB', 'object/tangible/ship/components/droid_interface/shared_ddi_sorosuub_echelon_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3207516252', 'BF2ED05C', 'object/tangible/ship/components/droid_interface/shared_ddi_sorosuub_echelon_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4095807384', 'F4210F98', 'object/tangible/ship/components/droid_interface/shared_ddi_sorosuub_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1414454205', '544EDBBD', 'object/tangible/ship/components/droid_interface/shared_ddi_sorosuub_enhanced_rad_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3195193412', 'BE72C844', 'object/tangible/ship/components/droid_interface/shared_ddi_sorosuub_modified_rad_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3728923525', 'DE42DB85', 'object/tangible/ship/components/droid_interface/shared_ddi_sorosuub_rad_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('89486098', '5557312', 'object/tangible/ship/components/droid_interface/shared_ddi_sorosuub_rad_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1280840863', '4C58149F', 'object/tangible/ship/components/droid_interface/shared_ddi_sorosuub_rad_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1508215157', '59E58975', 'object/tangible/ship/components/droid_interface/shared_ddi_subpro_improved_jrd33.iff');
INSERT INTO `object_crc_string_table` VALUES ('2330402512', '8AE71ED0', 'object/tangible/ship/components/droid_interface/shared_ddi_subpro_jrd33.iff');
INSERT INTO `object_crc_string_table` VALUES ('698514748', '29A27D3C', 'object/tangible/ship/components/droid_interface/shared_ddi_tiefighter_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3834107259', 'E487D57B', 'object/tangible/ship/components/droid_interface/shared_ddi_z95_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('989447066', '3AF9C39A', 'object/tangible/ship/components/droid_interface/shared_droid_interface_test.iff');
INSERT INTO `object_crc_string_table` VALUES ('1494270747', '5910C31B', 'object/tangible/ship/components/engine/shared_eng_corellian_cruiser_grade_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2181524364', '82076B8C', 'object/tangible/ship/components/engine/shared_eng_corellian_cruiser_grade_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1126310988', '4322244C', 'object/tangible/ship/components/engine/shared_eng_corellian_deluxe_cruiser_grade_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('775508572', '2E39525C', 'object/tangible/ship/components/engine/shared_eng_cygnus_hd_5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1087324097', '40CF3FC1', 'object/tangible/ship/components/engine/shared_eng_cygnus_hd3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1614527554', '603BBC42', 'object/tangible/ship/components/engine/shared_eng_cygnus_hd7.iff');
INSERT INTO `object_crc_string_table` VALUES ('3660681296', 'DA319050', 'object/tangible/ship/components/engine/shared_eng_cygnus_hd8.iff');
INSERT INTO `object_crc_string_table` VALUES ('3707474702', 'DCFB930E', 'object/tangible/ship/components/engine/shared_eng_cygnus_hdx.iff');
INSERT INTO `object_crc_string_table` VALUES ('2546925520', '97CEFFD0', 'object/tangible/ship/components/engine/shared_eng_freitek_dual_jet.iff');
INSERT INTO `object_crc_string_table` VALUES ('4109218739', 'F4EDB3B3', 'object/tangible/ship/components/engine/shared_eng_gallofree_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3029000329', 'B48AE089', 'object/tangible/ship/components/engine/shared_eng_gallofree_jx2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4253517572', 'FD878704', 'object/tangible/ship/components/engine/shared_eng_gallofree_jx3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2137568563', '7F68B533', 'object/tangible/ship/components/engine/shared_eng_generic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3688131239', 'DBD46AA7', 'object/tangible/ship/components/engine/shared_eng_haor_chall_old_engine.iff');
INSERT INTO `object_crc_string_table` VALUES ('1656121527', '62B668B7', 'object/tangible/ship/components/engine/shared_eng_incom_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1530662903', '5B3C0FF7', 'object/tangible/ship/components/engine/shared_eng_incom_advanced_fusialthrust.iff');
INSERT INTO `object_crc_string_table` VALUES ('1983861509', '763F5305', 'object/tangible/ship/components/engine/shared_eng_incom_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1150814129', '449807B1', 'object/tangible/ship/components/engine/shared_eng_incom_fusialthrust.iff');
INSERT INTO `object_crc_string_table` VALUES ('3839998653', 'E4E1BABD', 'object/tangible/ship/components/engine/shared_eng_incom_fusialthrust_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1860270722', '6EE17A82', 'object/tangible/ship/components/engine/shared_eng_incom_heavy_fusialthrust.iff');
INSERT INTO `object_crc_string_table` VALUES ('3821177042', 'E3C288D2', 'object/tangible/ship/components/engine/shared_eng_incom_improved_fusialthrust_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1630933097', '61361069', 'object/tangible/ship/components/engine/shared_eng_incom_light_fusialthrust.iff');
INSERT INTO `object_crc_string_table` VALUES ('3350954365', 'C7BB817D', 'object/tangible/ship/components/engine/shared_eng_kessel_imperial_rendili_hyperion_drive.iff');
INSERT INTO `object_crc_string_table` VALUES ('267311659', 'FEEDA2B', 'object/tangible/ship/components/engine/shared_eng_kessel_imperial_sds_special_forces.iff');
INSERT INTO `object_crc_string_table` VALUES ('2153536772', '805C5D04', 'object/tangible/ship/components/engine/shared_eng_kessel_imperial_sfs_special_forces.iff');
INSERT INTO `object_crc_string_table` VALUES ('1686514173', '648629FD', 'object/tangible/ship/components/engine/shared_eng_kessel_rebel_incom_t11_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('2912460069', 'AD989D25', 'object/tangible/ship/components/engine/shared_eng_kessel_rebel_novaldex_blackhole_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('3829446933', 'E440B915', 'object/tangible/ship/components/engine/shared_eng_kessel_rebel_novaldex_grb1138.iff');
INSERT INTO `object_crc_string_table` VALUES ('2950758561', 'AFE100A1', 'object/tangible/ship/components/engine/shared_eng_koensayr_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2074333945', '7BA3D2F9', 'object/tangible/ship/components/engine/shared_eng_koensayr_dual_small_ionjet.iff');
INSERT INTO `object_crc_string_table` VALUES ('856779265', '33116A01', 'object/tangible/ship/components/engine/shared_eng_koensayr_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('2994323720', 'B279C108', 'object/tangible/ship/components/engine/shared_eng_koensayr_enhanced_dual_small_ionjet.iff');
INSERT INTO `object_crc_string_table` VALUES ('399309085', '17CCF91D', 'object/tangible/ship/components/engine/shared_eng_koensayr_heavy_ionjet.iff');
INSERT INTO `object_crc_string_table` VALUES ('1091345516', '410C9C6C', 'object/tangible/ship/components/engine/shared_eng_koensayr_small_ionjet.iff');
INSERT INTO `object_crc_string_table` VALUES ('225753299', 'D74B8D3', 'object/tangible/ship/components/engine/shared_eng_koensayr_tuned_small_ionjet.iff');
INSERT INTO `object_crc_string_table` VALUES ('3609646499', 'D726D5A3', 'object/tangible/ship/components/engine/shared_eng_kse_a2x.iff');
INSERT INTO `object_crc_string_table` VALUES ('2533291979', '96FEF7CB', 'object/tangible/ship/components/engine/shared_eng_kse_a5x.iff');
INSERT INTO `object_crc_string_table` VALUES ('2695818555', 'A0AEED3B', 'object/tangible/ship/components/engine/shared_eng_kse_a7x.iff');
INSERT INTO `object_crc_string_table` VALUES ('943105171', '3836A493', 'object/tangible/ship/components/engine/shared_eng_kse_a8x.iff');
INSERT INTO `object_crc_string_table` VALUES ('4154059461', 'F799EAC5', 'object/tangible/ship/components/engine/shared_eng_kse_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3273736550', 'C3214166', 'object/tangible/ship/components/engine/shared_eng_kse_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1881362164', '70234EF4', 'object/tangible/ship/components/engine/shared_eng_kse_improved_a2x.iff');
INSERT INTO `object_crc_string_table` VALUES ('2801444011', 'A6FAA4AB', 'object/tangible/ship/components/engine/shared_eng_mandal_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1878143653', '6FF232A5', 'object/tangible/ship/components/engine/shared_eng_mandal_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('3570273187', 'D4CE0BA3', 'object/tangible/ship/components/engine/shared_eng_mandal_enhanced_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('3541249894', 'D3132F66', 'object/tangible/ship/components/engine/shared_eng_mandal_firestorm.iff');
INSERT INTO `object_crc_string_table` VALUES ('727952579', '2B63ACC3', 'object/tangible/ship/components/engine/shared_eng_mandal_firestorm_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4269473500', 'FE7AFEDC', 'object/tangible/ship/components/engine/shared_eng_mandal_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('1398811681', '53602C21', 'object/tangible/ship/components/engine/shared_eng_mandal_x37_vandal.iff');
INSERT INTO `object_crc_string_table` VALUES ('691790673', '293BE351', 'object/tangible/ship/components/engine/shared_eng_mandal_x57_vandal.iff');
INSERT INTO `object_crc_string_table` VALUES ('116254934', '6EDE8D6', 'object/tangible/ship/components/engine/shared_eng_mission_reward_imperial_cygnus_megadrive.iff');
INSERT INTO `object_crc_string_table` VALUES ('1833143091', '6D438B33', 'object/tangible/ship/components/engine/shared_eng_mission_reward_neutral_haor_chall_military.iff');
INSERT INTO `object_crc_string_table` VALUES ('2762799874', 'A4ACFB02', 'object/tangible/ship/components/engine/shared_eng_mission_reward_neutral_mandal_inferno.iff');
INSERT INTO `object_crc_string_table` VALUES ('3414312899', 'CB8247C3', 'object/tangible/ship/components/engine/shared_eng_mission_reward_rebel_incom_military.iff');
INSERT INTO `object_crc_string_table` VALUES ('2970369817', 'B10C3F19', 'object/tangible/ship/components/engine/shared_eng_moncal_charged_standard.iff');
INSERT INTO `object_crc_string_table` VALUES ('2303167784', '89478D28', 'object/tangible/ship/components/engine/shared_eng_moncal_enhanced_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('1507745225', '59DE5DC9', 'object/tangible/ship/components/engine/shared_eng_moncal_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('81343226', '4D932FA', 'object/tangible/ship/components/engine/shared_eng_moncal_ifs32.iff');
INSERT INTO `object_crc_string_table` VALUES ('3250538235', 'C1BF46FB', 'object/tangible/ship/components/engine/shared_eng_moncal_ifs64.iff');
INSERT INTO `object_crc_string_table` VALUES ('3680559351', 'DB60E0F7', 'object/tangible/ship/components/engine/shared_eng_moncal_improved_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('2558943511', '98866117', 'object/tangible/ship/components/engine/shared_eng_moncal_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('1515726133', '5A582535', 'object/tangible/ship/components/engine/shared_eng_moncal_standard.iff');
INSERT INTO `object_crc_string_table` VALUES ('3212374131', 'BF78F073', 'object/tangible/ship/components/engine/shared_eng_novaldex_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('954786503', '38E8E2C7', 'object/tangible/ship/components/engine/shared_eng_novaldex_eventhorizon.iff');
INSERT INTO `object_crc_string_table` VALUES ('4190415358', 'F9C4A9FE', 'object/tangible/ship/components/engine/shared_eng_novaldex_light_eventhorizon.iff');
INSERT INTO `object_crc_string_table` VALUES ('1243009933', '4A16D38D', 'object/tangible/ship/components/engine/shared_eng_novaldex_x6.iff');
INSERT INTO `object_crc_string_table` VALUES ('52147200', '31BB400', 'object/tangible/ship/components/engine/shared_eng_novaldex_x7.iff');
INSERT INTO `object_crc_string_table` VALUES ('4028432287', 'F01CFF9F', 'object/tangible/ship/components/engine/shared_eng_novaldex_x9.iff');
INSERT INTO `object_crc_string_table` VALUES ('938019795', '37E90BD3', 'object/tangible/ship/components/engine/shared_eng_prototype_engine.iff');
INSERT INTO `object_crc_string_table` VALUES ('1058854056', '3F1CD4A8', 'object/tangible/ship/components/engine/shared_eng_qualdex_a13.iff');
INSERT INTO `object_crc_string_table` VALUES ('1072902230', '3FF33056', 'object/tangible/ship/components/engine/shared_eng_qualdex_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('905102348', '35F2C40C', 'object/tangible/ship/components/engine/shared_eng_qualdex_b10.iff');
INSERT INTO `object_crc_string_table` VALUES ('2316920034', '8A1964E2', 'object/tangible/ship/components/engine/shared_eng_qualdex_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('3668146278', 'DAA37866', 'object/tangible/ship/components/engine/shared_eng_qualdex_kyromaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('4106286177', 'F4C0F461', 'object/tangible/ship/components/engine/shared_eng_qualdex_small_kyromaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('2203700275', '8359CC33', 'object/tangible/ship/components/engine/shared_eng_rendili_demon_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3783532255', 'E1841EDF', 'object/tangible/ship/components/engine/shared_eng_rendili_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1914888370', '7222E0B2', 'object/tangible/ship/components/engine/shared_eng_reward_incom_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1042959246', '3E2A4B8E', 'object/tangible/ship/components/engine/shared_eng_reward_koensayr_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('3024393485', 'B444950D', 'object/tangible/ship/components/engine/shared_eng_reward_kuat_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1822981655', '6CA87E17', 'object/tangible/ship/components/engine/shared_eng_reward_novaldex_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1593887000', '5F00C918', 'object/tangible/ship/components/engine/shared_eng_reward_surronian_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('2871154859', 'AB2258AB', 'object/tangible/ship/components/engine/shared_eng_rss_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2026233667', '78C5DF43', 'object/tangible/ship/components/engine/shared_eng_rss_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('4106763643', 'F4C83D7B', 'object/tangible/ship/components/engine/shared_eng_rss_imperial_skyrunner.iff');
INSERT INTO `object_crc_string_table` VALUES ('348283927', '14C26417', 'object/tangible/ship/components/engine/shared_eng_rss_imperial_skyrunner_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1573847962', '5DCF039A', 'object/tangible/ship/components/engine/shared_eng_rss_imperial_skyrunner_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2787911822', 'A62C288E', 'object/tangible/ship/components/engine/shared_eng_rss_imperial_skyrunner_4.iff');
INSERT INTO `object_crc_string_table` VALUES ('161369355', '99E4D0B', 'object/tangible/ship/components/engine/shared_eng_sds_imperial_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3532252572', 'D289E59C', 'object/tangible/ship/components/engine/shared_eng_sds_imperial_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3869362638', 'E6A1C9CE', 'object/tangible/ship/components/engine/shared_eng_sds_limited_imperial_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3251975169', 'C1D53401', 'object/tangible/ship/components/engine/shared_eng_sfs_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('4146255416', 'F722D638', 'object/tangible/ship/components/engine/shared_eng_sfs_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('641216433', '26382FB1', 'object/tangible/ship/components/engine/shared_eng_sfs_imperial_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4247750438', 'FD2F8726', 'object/tangible/ship/components/engine/shared_eng_sfs_imperial_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3022184619', 'B422E0AB', 'object/tangible/ship/components/engine/shared_eng_sfs_imperial_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1338100671', '4FC1CBBF', 'object/tangible/ship/components/engine/shared_eng_sfs_imperial_4.iff');
INSERT INTO `object_crc_string_table` VALUES ('114076722', '6CCAC32', 'object/tangible/ship/components/engine/shared_eng_sfs_imperial_5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3416202828', 'CB9F1E4C', 'object/tangible/ship/components/engine/shared_eng_sfs_modified_imperial_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('4285524122', 'FF6FE89A', 'object/tangible/ship/components/engine/shared_eng_sfs_performance_imperial_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3062194398', 'B68560DE', 'object/tangible/ship/components/engine/shared_eng_sfs_tuned_imperial_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2256977477', '8686BE45', 'object/tangible/ship/components/engine/shared_eng_sorosuub_l_337_ion_engine.iff');
INSERT INTO `object_crc_string_table` VALUES ('2014640684', '7814FA2C', 'object/tangible/ship/components/engine/shared_eng_sorosuub_tuned_l_337_ion_engine.iff');
INSERT INTO `object_crc_string_table` VALUES ('1154791429', '44D4B805', 'object/tangible/ship/components/engine/shared_eng_sorosuub_u83r_ion_drive.iff');
INSERT INTO `object_crc_string_table` VALUES ('2953087891', 'B0048B93', 'object/tangible/ship/components/engine/shared_eng_subpro_light_engines.iff');
INSERT INTO `object_crc_string_table` VALUES ('717637110', '2AC645F6', 'object/tangible/ship/components/engine/shared_eng_tiefighter_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3860835004', 'E61FAABC', 'object/tangible/ship/components/engine/shared_eng_z95_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('4025396591', 'EFEEAD6F', 'object/tangible/ship/components/engine/shared_engine_cygnus_hd7.iff');
INSERT INTO `object_crc_string_table` VALUES ('3590792483', 'D6072523', 'object/tangible/ship/components/engine/shared_engine_damorian_rx7.iff');
INSERT INTO `object_crc_string_table` VALUES ('1073664893', '3FFED37D', 'object/tangible/ship/components/engine/shared_engine_incom_e16.iff');
INSERT INTO `object_crc_string_table` VALUES ('3226309687', 'C04D9437', 'object/tangible/ship/components/engine/shared_engine_incom_fusialthrust.iff');
INSERT INTO `object_crc_string_table` VALUES ('1396982474', '534442CA', 'object/tangible/ship/components/engine/shared_engine_koensayr_ionjet.iff');
INSERT INTO `object_crc_string_table` VALUES ('1377789974', '521F6816', 'object/tangible/ship/components/engine/shared_engine_kongar_defender.iff');
INSERT INTO `object_crc_string_table` VALUES ('528919760', '1F86ACD0', 'object/tangible/ship/components/engine/shared_engine_kuat_a9x.iff');
INSERT INTO `object_crc_string_table` VALUES ('383630325', '16DDBBF5', 'object/tangible/ship/components/engine/shared_engine_kuat_f31.iff');
INSERT INTO `object_crc_string_table` VALUES ('630949966', '259B884E', 'object/tangible/ship/components/engine/shared_engine_kuat_tc40.iff');
INSERT INTO `object_crc_string_table` VALUES ('958710190', '3924C1AE', 'object/tangible/ship/components/engine/shared_engine_novaldex_eventhorizon.iff');
INSERT INTO `object_crc_string_table` VALUES ('1145254225', '44433151', 'object/tangible/ship/components/engine/shared_engine_novaldex_singularity.iff');
INSERT INTO `object_crc_string_table` VALUES ('1195098255', '473BC08F', 'object/tangible/ship/components/engine/shared_engine_novaldex_x12.iff');
INSERT INTO `object_crc_string_table` VALUES ('408364665', '18572679', 'object/tangible/ship/components/engine/shared_engine_nubian_221.iff');
INSERT INTO `object_crc_string_table` VALUES ('3449726708', 'CD9EA6F4', 'object/tangible/ship/components/engine/shared_engine_nubian_221_racing_mod.iff');
INSERT INTO `object_crc_string_table` VALUES ('1616448620', '60590C6C', 'object/tangible/ship/components/engine/shared_engine_qualdex_a10.iff');
INSERT INTO `object_crc_string_table` VALUES ('157942210', '96A01C2', 'object/tangible/ship/components/engine/shared_engine_qualdex_igt.iff');
INSERT INTO `object_crc_string_table` VALUES ('1584851936', '5E76EBE0', 'object/tangible/ship/components/engine/shared_engine_qualdex_kyromaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('425327830', '1959FCD6', 'object/tangible/ship/components/engine/shared_engine_seinar_ps56.iff');
INSERT INTO `object_crc_string_table` VALUES ('3679552737', 'DB5184E1', 'object/tangible/ship/components/engine/shared_engine_surronian_a2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3019065064', 'B3F346E8', 'object/tangible/ship/components/engine/shared_engine_surronian_a25.iff');
INSERT INTO `object_crc_string_table` VALUES ('3349337615', 'C7A2D60F', 'object/tangible/ship/components/engine/shared_engine_test.iff');
INSERT INTO `object_crc_string_table` VALUES ('2229515854', '84E3B64E', 'object/tangible/ship/components/engine/shared_engine_ubrikkian_n2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1817330955', '6C52450B', 'object/tangible/ship/components/engine/shared_xwing_engine_s01_test.iff');
INSERT INTO `object_crc_string_table` VALUES ('3911366677', 'E922B815', 'object/tangible/ship/components/engine/shared_xwing_engine_s02_test.iff');
INSERT INTO `object_crc_string_table` VALUES ('1363026125', '513E20CD', 'object/tangible/ship/components/reactor/rct_tiefighter_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3484082121', 'CFAADFC9', 'object/tangible/ship/components/reactor/rct_z95_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1838799948', '6D99DC4C', 'object/tangible/ship/components/reactor/shared_rct_armek_phase_grinder.iff');
INSERT INTO `object_crc_string_table` VALUES ('655443437', '271145ED', 'object/tangible/ship/components/reactor/shared_rct_armek_super_collider.iff');
INSERT INTO `object_crc_string_table` VALUES ('479861884', '1C9A1C7C', 'object/tangible/ship/components/reactor/shared_rct_armek_ultra_collider.iff');
INSERT INTO `object_crc_string_table` VALUES ('2144194829', '7FCDD10D', 'object/tangible/ship/components/reactor/shared_rct_corellian_modified_bt3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3441663380', 'CD239D94', 'object/tangible/ship/components/reactor/shared_rct_corellian_modified_bt5.iff');
INSERT INTO `object_crc_string_table` VALUES ('4106488287', 'F4C409DF', 'object/tangible/ship/components/reactor/shared_rct_cygnus_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2061868907', '7AE59F6B', 'object/tangible/ship/components/reactor/shared_rct_cygnus_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2717005820', 'A1F237FC', 'object/tangible/ship/components/reactor/shared_rct_cygnus_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2482451537', '93F73451', 'object/tangible/ship/components/reactor/shared_rct_cygnus_supercharged_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2632377171', '9CE6E353', 'object/tangible/ship/components/reactor/shared_rct_cygnus_tuned_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('274444164', '105BAF84', 'object/tangible/ship/components/reactor/shared_rct_freitek_improved_powerhouse_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2089644371', '7C8D7153', 'object/tangible/ship/components/reactor/shared_rct_freitek_level1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3762511133', 'E0435D1D', 'object/tangible/ship/components/reactor/shared_rct_freitek_performance_level1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1756278622', '68AEAF5E', 'object/tangible/ship/components/reactor/shared_rct_freitek_powerhouse_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3015247817', 'B3B907C9', 'object/tangible/ship/components/reactor/shared_rct_freitek_powerhouse_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4206125124', 'FAB46044', 'object/tangible/ship/components/reactor/shared_rct_freitek_powerhouse_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('393073933', '176DD50D', 'object/tangible/ship/components/reactor/shared_rct_generic.iff');
INSERT INTO `object_crc_string_table` VALUES ('469546362', '1BFCB57A', 'object/tangible/ship/components/reactor/shared_rct_incom_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('273987032', '1054B5D8', 'object/tangible/ship/components/reactor/shared_rct_incom_custom_mark2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1003263168', '3BCC94C0', 'object/tangible/ship/components/reactor/shared_rct_incom_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('3090093197', 'B82F148D', 'object/tangible/ship/components/reactor/shared_rct_incom_improved_mark1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2674049481', '9F62C1C9', 'object/tangible/ship/components/reactor/shared_rct_incom_mark1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1148545374', '4475695E', 'object/tangible/ship/components/reactor/shared_rct_incom_mark2.iff');
INSERT INTO `object_crc_string_table` VALUES ('225971923', 'D780ED3', 'object/tangible/ship/components/reactor/shared_rct_incom_mark3.iff');
INSERT INTO `object_crc_string_table` VALUES ('4137362887', 'F69B25C7', 'object/tangible/ship/components/reactor/shared_rct_incom_mark4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3214295626', 'BF96424A', 'object/tangible/ship/components/reactor/shared_rct_incom_mark5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3711183726', 'DD342B6E', 'object/tangible/ship/components/reactor/shared_rct_kessel_imperial_kdy_powermaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('3454365984', 'CDE57120', 'object/tangible/ship/components/reactor/shared_rct_kessel_imperial_sds_secret_ops.iff');
INSERT INTO `object_crc_string_table` VALUES ('159411222', '9806C16', 'object/tangible/ship/components/reactor/shared_rct_kessel_imperial_sfs_special_forces.iff');
INSERT INTO `object_crc_string_table` VALUES ('3518404345', 'D1B696F9', 'object/tangible/ship/components/reactor/shared_rct_kessel_rebel_incom_overdriven_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('110330195', '6938153', 'object/tangible/ship/components/reactor/shared_rct_kessel_rebel_mandal_modified_gorax.iff');
INSERT INTO `object_crc_string_table` VALUES ('1643853797', '61FB37E5', 'object/tangible/ship/components/reactor/shared_rct_kessel_rebel_slayn_high_output_experimental.iff');
INSERT INTO `object_crc_string_table` VALUES ('1619443827', '6086C073', 'object/tangible/ship/components/reactor/shared_rct_koensayr_charged_supernova.iff');
INSERT INTO `object_crc_string_table` VALUES ('4212259517', 'FB11FABD', 'object/tangible/ship/components/reactor/shared_rct_koensayr_enhanced_supernova_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2993433692', 'B26C2C5C', 'object/tangible/ship/components/reactor/shared_rct_koensayr_supernova.iff');
INSERT INTO `object_crc_string_table` VALUES ('4233117404', 'FC503EDC', 'object/tangible/ship/components/reactor/shared_rct_koensayr_supernova_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1605967841', '5FB91FE1', 'object/tangible/ship/components/reactor/shared_rct_koensayr_supernova_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('380926060', '16B4786C', 'object/tangible/ship/components/reactor/shared_rct_koensayr_supernova_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('396907608', '17A85458', 'object/tangible/ship/components/reactor/shared_rct_kse_custom_lx11.iff');
INSERT INTO `object_crc_string_table` VALUES ('3490595180', 'D00E416C', 'object/tangible/ship/components/reactor/shared_rct_kse_lx11.iff');
INSERT INTO `object_crc_string_table` VALUES ('4252391140', 'FD7656E4', 'object/tangible/ship/components/reactor/shared_rct_kse_lx21.iff');
INSERT INTO `object_crc_string_table` VALUES ('379835158', '16A3D316', 'object/tangible/ship/components/reactor/shared_rct_kse_rct_x.iff');
INSERT INTO `object_crc_string_table` VALUES ('2226723852', '84B91C0C', 'object/tangible/ship/components/reactor/shared_rct_kse_rct_z.iff');
INSERT INTO `object_crc_string_table` VALUES ('3961940522', 'EC266A2A', 'object/tangible/ship/components/reactor/shared_rct_kse_supreme.iff');
INSERT INTO `object_crc_string_table` VALUES ('3433957122', 'CCAE0702', 'object/tangible/ship/components/reactor/shared_rct_mandal_dx_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('917671788', '36B28F6C', 'object/tangible/ship/components/reactor/shared_rct_mandal_dxr.iff');
INSERT INTO `object_crc_string_table` VALUES ('1602175062', '5F7F4056', 'object/tangible/ship/components/reactor/shared_rct_mandal_dxr2.iff');
INSERT INTO `object_crc_string_table` VALUES ('376580059', '167227DB', 'object/tangible/ship/components/reactor/shared_rct_mandal_dxr3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3985706191', 'ED910CCF', 'object/tangible/ship/components/reactor/shared_rct_mandal_dxr4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2761714498', 'A49C6B42', 'object/tangible/ship/components/reactor/shared_rct_mandal_dxr5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2139866069', '7F8BC3D5', 'object/tangible/ship/components/reactor/shared_rct_mandal_dxr6.iff');
INSERT INTO `object_crc_string_table` VALUES ('2046773021', '79FF471D', 'object/tangible/ship/components/reactor/shared_rct_mandalor_gorax.iff');
INSERT INTO `object_crc_string_table` VALUES ('3008300066', 'B34F0422', 'object/tangible/ship/components/reactor/shared_rct_mandalor_gorax_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('2253318306', '864EE8A2', 'object/tangible/ship/components/reactor/shared_rct_mission_reward_imperial_rss_advanced_military.iff');
INSERT INTO `object_crc_string_table` VALUES ('1448525431', '5656BE77', 'object/tangible/ship/components/reactor/shared_rct_mission_reward_imperial_sds_high_output.iff');
INSERT INTO `object_crc_string_table` VALUES ('2954387594', 'B018608A', 'object/tangible/ship/components/reactor/shared_rct_mission_reward_neutral_subpro_military.iff');
INSERT INTO `object_crc_string_table` VALUES ('2609742784', '9B8D83C0', 'object/tangible/ship/components/reactor/shared_rct_mission_reward_rebel_slayn_hypervortex.iff');
INSERT INTO `object_crc_string_table` VALUES ('4111600702', 'F5120C3E', 'object/tangible/ship/components/reactor/shared_rct_moncal_overdriver_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('772121769', '2E05A4A9', 'object/tangible/ship/components/reactor/shared_rct_moncal_overdriver_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2835039376', 'A8FB4490', 'object/tangible/ship/components/reactor/shared_rct_prototype_reactor.iff');
INSERT INTO `object_crc_string_table` VALUES ('1521298929', '5AAD2DF1', 'object/tangible/ship/components/reactor/shared_rct_rendili_type_x_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('2057207911', '7A9E8067', 'object/tangible/ship/components/reactor/shared_rct_rendili_type5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3900985213', 'E8844F7D', 'object/tangible/ship/components/reactor/shared_rct_rendili_type7.iff');
INSERT INTO `object_crc_string_table` VALUES ('4229165572', 'FC13F204', 'object/tangible/ship/components/reactor/shared_rct_reward_armek_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1119723348', '42BD9F54', 'object/tangible/ship/components/reactor/shared_rct_reward_incom_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('3567473688', 'D4A35418', 'object/tangible/ship/components/reactor/shared_rct_reward_slayn_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('2500440467', '9509B193', 'object/tangible/ship/components/reactor/shared_rct_reward_subpro_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1252227058', '4AA377F2', 'object/tangible/ship/components/reactor/shared_rct_reward_taim_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1571711759', '5DAE6B0F', 'object/tangible/ship/components/reactor/shared_rct_rss_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('682785613', '28B27B4D', 'object/tangible/ship/components/reactor/shared_rct_rss_x12.iff');
INSERT INTO `object_crc_string_table` VALUES ('729478764', '2B7AF66C', 'object/tangible/ship/components/reactor/shared_rct_rss_x8.iff');
INSERT INTO `object_crc_string_table` VALUES ('1687773799', '64996267', 'object/tangible/ship/components/reactor/shared_rct_sds_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1892978886', '70D490C6', 'object/tangible/ship/components/reactor/shared_rct_sds_imperial_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3970052034', 'ECA22FC2', 'object/tangible/ship/components/reactor/shared_rct_sds_special_forces_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('293975026', '1185B3F2', 'object/tangible/ship/components/reactor/shared_rct_seinar_enhanced_level1.iff');
INSERT INTO `object_crc_string_table` VALUES ('78015690', '4A66CCA', 'object/tangible/ship/components/reactor/shared_rct_seinar_level1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3752969309', 'DFB1C45D', 'object/tangible/ship/components/reactor/shared_rct_seinar_level2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2528945104', '96BCA3D0', 'object/tangible/ship/components/reactor/shared_rct_seinar_level3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1834977476', '6D5F88C4', 'object/tangible/ship/components/reactor/shared_rct_seinar_level4.iff');
INSERT INTO `object_crc_string_table` VALUES ('928581541', '375907A5', 'object/tangible/ship/components/reactor/shared_rct_sfs_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1802806379', '6B74A46B', 'object/tangible/ship/components/reactor/shared_rct_sfs_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1601368700', '5F72F27C', 'object/tangible/ship/components/reactor/shared_rct_sfs_imperial_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2221234923', '84655AEB', 'object/tangible/ship/components/reactor/shared_rct_sfs_imperial_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3446160742', 'CD683D66', 'object/tangible/ship/components/reactor/shared_rct_sfs_imperial_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('915084914', '368B1672', 'object/tangible/ship/components/reactor/shared_rct_sfs_imperial_4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2139517439', '7F8671FF', 'object/tangible/ship/components/reactor/shared_rct_sfs_imperial_5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3699990858', 'DC89614A', 'object/tangible/ship/components/reactor/shared_rct_slayn_hypertron_2k.iff');
INSERT INTO `object_crc_string_table` VALUES ('2256096858', '86794E5A', 'object/tangible/ship/components/reactor/shared_rct_slayn_hypertron_4k.iff');
INSERT INTO `object_crc_string_table` VALUES ('1273339609', '4BE59ED9', 'object/tangible/ship/components/reactor/shared_rct_slayn_vortex_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2431792718', '90F2364E', 'object/tangible/ship/components/reactor/shared_rct_slayn_vortex_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3657388483', 'D9FF51C3', 'object/tangible/ship/components/reactor/shared_rct_slayn_vortex_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('572291799', '221C7AD7', 'object/tangible/ship/components/reactor/shared_rct_slayn_vortex_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3916801975', 'E975A7B7', 'object/tangible/ship/components/reactor/shared_rct_sorosuub_fusion_reactor_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('845287200', '32620F20', 'object/tangible/ship/components/reactor/shared_rct_sorosuub_fusion_reactor_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2070898861', '7B6F68AD', 'object/tangible/ship/components/reactor/shared_rct_sorosuub_fusion_reactor_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3299280915', 'C4A70813', 'object/tangible/ship/components/reactor/shared_rct_sorosuub_turbine_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('4221084087', 'FB98A1B7', 'object/tangible/ship/components/reactor/shared_rct_sorosuub_turbine_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3380404850', 'C97CE272', 'object/tangible/ship/components/reactor/shared_rct_subpro_aurora.iff');
INSERT INTO `object_crc_string_table` VALUES ('630252106', '2590E24A', 'object/tangible/ship/components/reactor/shared_rct_subpro_aurora_max.iff');
INSERT INTO `object_crc_string_table` VALUES ('3288337981', 'C4000E3D', 'object/tangible/ship/components/reactor/shared_rct_subpro_dyna1.iff');
INSERT INTO `object_crc_string_table` VALUES ('521643690', '1F17A6AA', 'object/tangible/ship/components/reactor/shared_rct_subpro_dyna2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3847523590', 'E5548D06', 'object/tangible/ship/components/reactor/shared_rct_subpro_special_dyna2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1580359384', '5E325ED8', 'object/tangible/ship/components/reactor/shared_rct_taim_experimental_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2233857615', '8525F64F', 'object/tangible/ship/components/reactor/shared_rct_taim_experimental_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3425210818', 'CC2891C2', 'object/tangible/ship/components/reactor/shared_rct_taim_experimental_s3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3319963808', 'C5E2A0A0', 'object/tangible/ship/components/reactor/shared_rct_tiefighter_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('951546180', '38B77144', 'object/tangible/ship/components/reactor/shared_rct_unknown_distressed_aluminum.iff');
INSERT INTO `object_crc_string_table` VALUES ('33823730', '2041BF2', 'object/tangible/ship/components/reactor/shared_rct_unknown_multicore.iff');
INSERT INTO `object_crc_string_table` VALUES ('2573145892', '995F1724', 'object/tangible/ship/components/reactor/shared_rct_unknown_proton_chamber.iff');
INSERT INTO `object_crc_string_table` VALUES ('1703778737', '658D99B1', 'object/tangible/ship/components/reactor/shared_rct_watto_sunray_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('746651196', '2C80FE3C', 'object/tangible/ship/components/reactor/shared_rct_watto_sunray_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2051660015', '7A49D8EF', 'object/tangible/ship/components/reactor/shared_rct_z95_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1943796009', '73DBF929', 'object/tangible/ship/components/reactor/shared_reactor_test.iff');
INSERT INTO `object_crc_string_table` VALUES ('4005496660', 'EEBF0754', 'object/tangible/ship/components/shield_generator/shared_shd_armek_plasma_shell_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('3941953467', 'EAF56FBB', 'object/tangible/ship/components/shield_generator/shared_shd_armek_plasma_shell_elite_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4043998830', 'F10A866E', 'object/tangible/ship/components/shield_generator/shared_shd_armek_plasma_shell_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('706555641', '2A1D2EF9', 'object/tangible/ship/components/shield_generator/shared_shd_armek_plasma_shell_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1662011764', '63104974', 'object/tangible/ship/components/shield_generator/shared_shd_armek_plasma_shell_s3.iff');
INSERT INTO `object_crc_string_table` VALUES ('183086458', 'AE9AD7A', 'object/tangible/ship/components/shield_generator/shared_shd_armek_plasma_shell_s6.iff');
INSERT INTO `object_crc_string_table` VALUES ('587137384', '22FF0168', 'object/tangible/ship/components/shield_generator/shared_shd_cygnus_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('172501282', 'A482922', 'object/tangible/ship/components/shield_generator/shared_shd_cygnus_improved_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2092831252', '7CBE1214', 'object/tangible/ship/components/shield_generator/shared_shd_cygnus_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2812918403', 'A7A9BA83', 'object/tangible/ship/components/shield_generator/shared_shd_cygnus_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4003781902', 'EEA4DD0E', 'object/tangible/ship/components/shield_generator/shared_shd_cygnus_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('357037594', '1547F61A', 'object/tangible/ship/components/shield_generator/shared_shd_cygnus_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1548390807', '5C4A9197', 'object/tangible/ship/components/shield_generator/shared_shd_cygnus_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('491149550', '1D4658EE', 'object/tangible/ship/components/shield_generator/shared_shd_cygnus_special_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3651549547', 'D9A6396B', 'object/tangible/ship/components/shield_generator/shared_shd_dual_deflector_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('45191676', '2B191FC', 'object/tangible/ship/components/shield_generator/shared_shd_dual_deflector_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2812483779', 'A7A318C3', 'object/tangible/ship/components/shield_generator/shared_shd_gallofree_defender_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('673595337', '28263FC9', 'object/tangible/ship/components/shield_generator/shared_shd_gallofree_defender_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('904269427', '35E60E73', 'object/tangible/ship/components/shield_generator/shared_shd_generic.iff');
INSERT INTO `object_crc_string_table` VALUES ('92167148', '57E5BEC', 'object/tangible/ship/components/shield_generator/shared_shd_incom_mark2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4271730936', 'FE9D70F8', 'object/tangible/ship/components/shield_generator/shared_shd_incom_mark5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2676028541', '9F80F47D', 'object/tangible/ship/components/shield_generator/shared_shd_incom_mark9.iff');
INSERT INTO `object_crc_string_table` VALUES ('3501222654', 'D0B06AFE', 'object/tangible/ship/components/shield_generator/shared_shd_incom_rayshield_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('328452728', '1393CA78', 'object/tangible/ship/components/shield_generator/shared_shd_incom_rayshield_r4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3364119279', 'C88462EF', 'object/tangible/ship/components/shield_generator/shared_shd_incom_rayshield_r7.iff');
INSERT INTO `object_crc_string_table` VALUES ('2507824966', '957A5F46', 'object/tangible/ship/components/shield_generator/shared_shd_incom_rayshield_x1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1807948417', '6BC31A81', 'object/tangible/ship/components/shield_generator/shared_shd_incom_rayshield_x12.iff');
INSERT INTO `object_crc_string_table` VALUES ('1315829713', '4E6DF7D1', 'object/tangible/ship/components/shield_generator/shared_shd_incom_rayshield_x2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3046038725', 'B58EDCC5', 'object/tangible/ship/components/shield_generator/shared_shd_incom_rayshield_x5.iff');
INSERT INTO `object_crc_string_table` VALUES ('664015839', '279413DF', 'object/tangible/ship/components/shield_generator/shared_shd_incom_rayshield_x7.iff');
INSERT INTO `object_crc_string_table` VALUES ('3566426176', 'D4935840', 'object/tangible/ship/components/shield_generator/shared_shd_incom_rayshield_x9.iff');
INSERT INTO `object_crc_string_table` VALUES ('2737456566', 'A32A45B6', 'object/tangible/ship/components/shield_generator/shared_shd_incom_rayshield_z1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2212415029', '83DEC635', 'object/tangible/ship/components/shield_generator/shared_shd_incom_rayshield_z5.iff');
INSERT INTO `object_crc_string_table` VALUES ('298060079', '11C4092F', 'object/tangible/ship/components/shield_generator/shared_shd_incom_rayshield_z7.iff');
INSERT INTO `object_crc_string_table` VALUES ('2855050390', 'AA2C9C96', 'object/tangible/ship/components/shield_generator/shared_shd_incom_techscreen_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1899705345', '713B3401', 'object/tangible/ship/components/shield_generator/shared_shd_incom_techscreen_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('754371356', '2CF6CB1C', 'object/tangible/ship/components/shield_generator/shared_shd_incom_techscreen_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1716616411', '66517CDB', 'object/tangible/ship/components/shield_generator/shared_shd_interlaced_graviton.iff');
INSERT INTO `object_crc_string_table` VALUES ('980498708', '3A713914', 'object/tangible/ship/components/shield_generator/shared_shd_kessel_imperial_cygnus_experimental_system.iff');
INSERT INTO `object_crc_string_table` VALUES ('3075481852', 'B75020FC', 'object/tangible/ship/components/shield_generator/shared_shd_kessel_imperial_sds_secret_ops.iff');
INSERT INTO `object_crc_string_table` VALUES ('485167241', '1CEB1089', 'object/tangible/ship/components/shield_generator/shared_shd_kessel_imperial_sfs_megapolyweb.iff');
INSERT INTO `object_crc_string_table` VALUES ('3631366873', 'D87242D9', 'object/tangible/ship/components/shield_generator/shared_shd_kessel_rebel_incom_rayshield_overdriver.iff');
INSERT INTO `object_crc_string_table` VALUES ('2671377903', '9F39FDEF', 'object/tangible/ship/components/shield_generator/shared_shd_kessel_rebel_sorosuub_ion_mesh_projection.iff');
INSERT INTO `object_crc_string_table` VALUES ('3294081937', 'C457B391', 'object/tangible/ship/components/shield_generator/shared_shd_kessel_rebel_unknown_proton_interweave_system.iff');
INSERT INTO `object_crc_string_table` VALUES ('3659868328', 'DA2528A8', 'object/tangible/ship/components/shield_generator/shared_shd_koensayr_deflector_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('4054911210', 'F1B108EA', 'object/tangible/ship/components/shield_generator/shared_shd_koensayr_deflector_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('3189603642', 'BE1D7D3A', 'object/tangible/ship/components/shield_generator/shared_shd_koensayr_deflector_m1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1695208877', '650AD5AD', 'object/tangible/ship/components/shield_generator/shared_shd_koensayr_deflector_m2.iff');
INSERT INTO `object_crc_string_table` VALUES ('738701856', '2C07B220', 'object/tangible/ship/components/shield_generator/shared_shd_koensayr_deflector_m3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1174296110', '45FE562E', 'object/tangible/ship/components/shield_generator/shared_shd_koensayr_deflector_m6.iff');
INSERT INTO `object_crc_string_table` VALUES ('3069779377', 'B6F91DB1', 'object/tangible/ship/components/shield_generator/shared_shd_koensayr_deflector_m8.iff');
INSERT INTO `object_crc_string_table` VALUES ('2795036189', 'A698DE1D', 'object/tangible/ship/components/shield_generator/shared_shd_koensayr_improved_deflector_m1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2846210589', 'A9A5BA1D', 'object/tangible/ship/components/shield_generator/shared_shd_koensayr_modified_deflector_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1176481939', '461FB093', 'object/tangible/ship/components/shield_generator/shared_shd_kse_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('3332739328', 'C6A59100', 'object/tangible/ship/components/shield_generator/shared_shd_kse_enhanced_military_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3352793075', 'C7D78FF3', 'object/tangible/ship/components/shield_generator/shared_shd_kse_military_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('482355044', '1CC02764', 'object/tangible/ship/components/shield_generator/shared_shd_kse_military_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4019567364', 'EF95BB04', 'object/tangible/ship/components/shield_generator/shared_shd_kse_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('343314448', '14769010', 'object/tangible/ship/components/shield_generator/shared_shd_kse_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1568405405', '5D7BF79D', 'object/tangible/ship/components/shield_generator/shared_shd_kse_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2255249162', '866C5F0A', 'object/tangible/ship/components/shield_generator/shared_shd_kse_mk6.iff');
INSERT INTO `object_crc_string_table` VALUES ('3479255175', 'CF613887', 'object/tangible/ship/components/shield_generator/shared_shd_kse_mk7.iff');
INSERT INTO `object_crc_string_table` VALUES ('442744867', '1A63C023', 'object/tangible/ship/components/shield_generator/shared_shd_mandal_double_protector_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2330337362', '8AE62052', 'object/tangible/ship/components/shield_generator/shared_shd_mandal_flexshield_ks25.iff');
INSERT INTO `object_crc_string_table` VALUES ('2144035461', '7FCB6285', 'object/tangible/ship/components/shield_generator/shared_shd_mandal_flexshield_ks5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3989941663', 'EDD1AD9F', 'object/tangible/ship/components/shield_generator/shared_shd_mandal_flexshield_ks7.iff');
INSERT INTO `object_crc_string_table` VALUES ('2869402958', 'AB079D4E', 'object/tangible/ship/components/shield_generator/shared_shd_mandal_flexshield_kx1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4072962412', 'F2C4796C', 'object/tangible/ship/components/shield_generator/shared_shd_mandal_protector_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2105182786', '7D7A8A42', 'object/tangible/ship/components/shield_generator/shared_shd_mandalor_flexshield_ks1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1531190620', '5B441D5C', 'object/tangible/ship/components/shield_generator/shared_shd_mandalor_flexshield_ks18.iff');
INSERT INTO `object_crc_string_table` VALUES ('4016063832', 'EF604558', 'object/tangible/ship/components/shield_generator/shared_shd_mandalor_flexshield_ks3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2343498615', '8BAEF377', 'object/tangible/ship/components/shield_generator/shared_shd_mission_reward_imperial_cygnus_holoscreen.iff');
INSERT INTO `object_crc_string_table` VALUES ('3141363443', 'BB3D66F3', 'object/tangible/ship/components/shield_generator/shared_shd_mission_reward_imperial_rendili_dual_projector.iff');
INSERT INTO `object_crc_string_table` VALUES ('868794909', '33C8C21D', 'object/tangible/ship/components/shield_generator/shared_shd_mission_reward_neutral_armek_plasma_web.iff');
INSERT INTO `object_crc_string_table` VALUES ('489325202', '1D2A8292', 'object/tangible/ship/components/shield_generator/shared_shd_mission_reward_neutral_koensayr_ds23.iff');
INSERT INTO `object_crc_string_table` VALUES ('2160478208', '80C64800', 'object/tangible/ship/components/shield_generator/shared_shd_mission_reward_rebel_incom_k77.iff');
INSERT INTO `object_crc_string_table` VALUES ('1836682734', '6D798DEE', 'object/tangible/ship/components/shield_generator/shared_shd_mission_reward_rebel_taim_military_grade.iff');
INSERT INTO `object_crc_string_table` VALUES ('2199200859', '8315245B', 'object/tangible/ship/components/shield_generator/shared_shd_moncal.iff');
INSERT INTO `object_crc_string_table` VALUES ('1224559248', '48FD4A90', 'object/tangible/ship/components/shield_generator/shared_shd_moncal_deluxe_ionweb_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2481644039', '93EAE207', 'object/tangible/ship/components/shield_generator/shared_shd_moncal_deluxe_ionweb_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('523179685', '1F2F16A5', 'object/tangible/ship/components/shield_generator/shared_shd_moncal_ionweb_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('4163014250', 'F8228E6A', 'object/tangible/ship/components/shield_generator/shared_shd_moncal_ionweb_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1024099405', '3D0A844D', 'object/tangible/ship/components/shield_generator/shared_shd_moncal_ionweb_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1650981306', '6267F9BA', 'object/tangible/ship/components/shield_generator/shared_shd_moncal_ionweb_elite_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2894219316', 'AC824834', 'object/tangible/ship/components/shield_generator/shared_shd_moncal_ionweb_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('3258399997', 'C2373CFD', 'object/tangible/ship/components/shield_generator/shared_shd_phased_fullerine_fx12.iff');
INSERT INTO `object_crc_string_table` VALUES ('2260127611', '86B6CF7B', 'object/tangible/ship/components/shield_generator/shared_shd_phased_fullerine_fx27.iff');
INSERT INTO `object_crc_string_table` VALUES ('460805949', '1B77573D', 'object/tangible/ship/components/shield_generator/shared_shd_phased_fullerine_fx92.iff');
INSERT INTO `object_crc_string_table` VALUES ('31928618', '1E7312A', 'object/tangible/ship/components/shield_generator/shared_shd_prototype_shield.iff');
INSERT INTO `object_crc_string_table` VALUES ('1045720054', '3E546BF6', 'object/tangible/ship/components/shield_generator/shared_shd_rendili.iff');
INSERT INTO `object_crc_string_table` VALUES ('3327697307', 'C658A19B', 'object/tangible/ship/components/shield_generator/shared_shd_reward_armek_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('2029440203', '78F6CCCB', 'object/tangible/ship/components/shield_generator/shared_shd_reward_incom_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1626448404', '60F1A214', 'object/tangible/ship/components/shield_generator/shared_shd_reward_mandalor_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('3113022153', 'B98CF2C9', 'object/tangible/ship/components/shield_generator/shared_shd_reward_seinar_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1936705340', '736FC73C', 'object/tangible/ship/components/shield_generator/shared_shd_reward_taim_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('2243790343', '85BD8607', 'object/tangible/ship/components/shield_generator/shared_shd_seinar_experimental_a1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2098040456', '7D0D8E88', 'object/tangible/ship/components/shield_generator/shared_shd_seinar_gx_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1330497147', '4F4DC67B', 'object/tangible/ship/components/shield_generator/shared_shd_seinar_gx3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1874413048', '6FB945F8', 'object/tangible/ship/components/shield_generator/shared_shd_seinar_gx7.iff');
INSERT INTO `object_crc_string_table` VALUES ('951174675', '38B1C613', 'object/tangible/ship/components/shield_generator/shared_shd_seinar_proton_screen_p1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3276991751', 'C352ED07', 'object/tangible/ship/components/shield_generator/shared_shd_seinar_proton_screen_p6.iff');
INSERT INTO `object_crc_string_table` VALUES ('3776811256', 'E11D90F8', 'object/tangible/ship/components/shield_generator/shared_shd_seinar_reflector_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('2608074768', '9B741010', 'object/tangible/ship/components/shield_generator/shared_shd_seinar_reflector_standard.iff');
INSERT INTO `object_crc_string_table` VALUES ('204265573', 'C2CD865', 'object/tangible/ship/components/shield_generator/shared_shd_sfs_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('4763553', '48AFA1', 'object/tangible/ship/components/shield_generator/shared_shd_sfs_custom_polyweb_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('2062565953', '7AF04241', 'object/tangible/ship/components/shield_generator/shared_shd_sfs_imperial_deluxe_standard.iff');
INSERT INTO `object_crc_string_table` VALUES ('3360322809', 'C84A74F9', 'object/tangible/ship/components/shield_generator/shared_shd_sfs_imperial_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('3818296715', 'E396958B', 'object/tangible/ship/components/shield_generator/shared_shd_sfs_imperial_special_forces.iff');
INSERT INTO `object_crc_string_table` VALUES ('4149159567', 'F74F268F', 'object/tangible/ship/components/shield_generator/shared_shd_sfs_imperial_standard.iff');
INSERT INTO `object_crc_string_table` VALUES ('3598481390', 'D67C77EE', 'object/tangible/ship/components/shield_generator/shared_shd_sfs_limited_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1316308873', '4E754789', 'object/tangible/ship/components/shield_generator/shared_shd_sfs_modified_imperial_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('1435911104', '559643C0', 'object/tangible/ship/components/shield_generator/shared_shd_sfs_modified_imperial_special_forces.iff');
INSERT INTO `object_crc_string_table` VALUES ('2004538016', '777AD2A0', 'object/tangible/ship/components/shield_generator/shared_shd_sfs_modified_polyweb_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('610167392', '245E6A60', 'object/tangible/ship/components/shield_generator/shared_shd_sfs_polyweb_4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3057952122', 'B644A57A', 'object/tangible/ship/components/shield_generator/shared_shd_sfs_polyweb_6.iff');
INSERT INTO `object_crc_string_table` VALUES ('3475858867', 'CF2D65B3', 'object/tangible/ship/components/shield_generator/shared_shd_sfs_polyweb_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1384192338', '52811952', 'object/tangible/ship/components/shield_generator/shared_shd_sfs_polyweb_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('549069337', '20BA2219', 'object/tangible/ship/components/shield_generator/shared_shd_taim_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3533183005', 'D298181D', 'object/tangible/ship/components/shield_generator/shared_shd_taim_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('412063730', '188F97F2', 'object/tangible/ship/components/shield_generator/shared_shd_taim_enhanced_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1125176420', '4310D464', 'object/tangible/ship/components/shield_generator/shared_shd_taim_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('3639474', '3788B2', 'object/tangible/ship/components/shield_generator/shared_shd_taim_standard.iff');
INSERT INTO `object_crc_string_table` VALUES ('605684779', '241A042B', 'object/tangible/ship/components/shield_generator/shared_shd_tiefighter_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('94312606', '59F189E', 'object/tangible/ship/components/shield_generator/shared_shd_unknown_holosteel_x1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3733499913', 'DE88B009', 'object/tangible/ship/components/shield_generator/shared_shd_unknown_holosteel_x2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2554696462', '9845930E', 'object/tangible/ship/components/shield_generator/shared_shd_unknown_proton_projector.iff');
INSERT INTO `object_crc_string_table` VALUES ('1663130441', '63215B49', 'object/tangible/ship/components/shield_generator/shared_shd_z95_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('2405620850', '8F62DC72', 'object/tangible/ship/components/shield_generator/shared_shield_generator_test.iff');
INSERT INTO `object_crc_string_table` VALUES ('1416211325', '5469AB7D', 'object/tangible/ship/components/weapon/shared_weapon_incom_disruptor.iff');
INSERT INTO `object_crc_string_table` VALUES ('3090870041', 'B83AEF19', 'object/tangible/ship/components/weapon/shared_weapon_slayn_ioncannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('1718453703', '666D85C7', 'object/tangible/ship/components/weapon/shared_weapon_subpro_tripleblaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('583355334', '22C54BC6', 'object/tangible/ship/components/weapon/shared_weapon_test.iff');
INSERT INTO `object_crc_string_table` VALUES ('3432873939', 'CC9D7FD3', 'object/tangible/ship/components/weapon/shared_wpn_armek_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2927442761', 'AE7D3B49', 'object/tangible/ship/components/weapon/shared_wpn_armek_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('3078564587', 'B77F2AEB', 'object/tangible/ship/components/weapon/shared_wpn_armek_sw4.iff');
INSERT INTO `object_crc_string_table` VALUES ('627434993', '2565E5F1', 'object/tangible/ship/components/weapon/shared_wpn_armek_sw6.iff');
INSERT INTO `object_crc_string_table` VALUES ('1818788476', '6C68827C', 'object/tangible/ship/components/weapon/shared_wpn_armek_sw7.iff');
INSERT INTO `object_crc_string_table` VALUES ('3596791406', 'D662AE6E', 'object/tangible/ship/components/weapon/shared_wpn_armek_sw8.iff');
INSERT INTO `object_crc_string_table` VALUES ('1392493131', '52FFC24B', 'object/tangible/ship/components/weapon/shared_wpn_awing_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('1971958873', '7589B459', 'object/tangible/ship/components/weapon/shared_wpn_borstel_rg9.iff');
INSERT INTO `object_crc_string_table` VALUES ('1787466156', '6A8A91AC', 'object/tangible/ship/components/weapon/shared_wpn_bwing_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('3311096308', 'C55B51F4', 'object/tangible/ship/components/weapon/shared_wpn_capitalship_turret_test.iff');
INSERT INTO `object_crc_string_table` VALUES ('2087182522', '7C67E0BA', 'object/tangible/ship/components/weapon/shared_wpn_corellian_1d.iff');
INSERT INTO `object_crc_string_table` VALUES ('3460040348', 'CE3C069C', 'object/tangible/ship/components/weapon/shared_wpn_corellian_ag1g_laser.iff');
INSERT INTO `object_crc_string_table` VALUES ('2989343947', 'B22DC4CB', 'object/tangible/ship/components/weapon/shared_wpn_corellian_ag2g_quad_laser.iff');
INSERT INTO `object_crc_string_table` VALUES ('2213766317', '83F364AD', 'object/tangible/ship/components/weapon/shared_wpn_corellian_cruiser_grade_blaster_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1361242261', '5122E895', 'object/tangible/ship/components/weapon/shared_wpn_corvette_turret_sm_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4229372390', 'FC1719E6', 'object/tangible/ship/components/weapon/shared_wpn_cygnus_destroyer_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('654356849', '2700B171', 'object/tangible/ship/components/weapon/shared_wpn_cygnus_destroyer_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3038804521', 'B5207A29', 'object/tangible/ship/components/weapon/shared_wpn_cygnus_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('526650114', '1F640B02', 'object/tangible/ship/components/weapon/shared_wpn_cygnus_eradicator_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('373679875', '1645E703', 'object/tangible/ship/components/weapon/shared_wpn_freitek_cannoneer_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1333192542', '4F76E75E', 'object/tangible/ship/components/weapon/shared_wpn_generic.iff');
INSERT INTO `object_crc_string_table` VALUES ('90081547', '55E890B', 'object/tangible/ship/components/weapon/shared_wpn_gyrhil_auto_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('1218898024', '48A6E868', 'object/tangible/ship/components/weapon/shared_wpn_gyrhil_r9x.iff');
INSERT INTO `object_crc_string_table` VALUES ('762044667', '2D6BE0FB', 'object/tangible/ship/components/weapon/shared_wpn_haor_chall_speedblaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('2957562610', 'B048D2F2', 'object/tangible/ship/components/weapon/shared_wpn_hk_modified_scorcher_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1555262455', '5CB36BF7', 'object/tangible/ship/components/weapon/shared_wpn_hk_scorcher.iff');
INSERT INTO `object_crc_string_table` VALUES ('2715164541', 'A1D61F7D', 'object/tangible/ship/components/weapon/shared_wpn_hk_scorcher_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3906697456', 'E8DB78F0', 'object/tangible/ship/components/weapon/shared_wpn_hk_scorcher_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3110719195', 'B969CEDB', 'object/tangible/ship/components/weapon/shared_wpn_hk_scorcher_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('146304976', '8B86FD0', 'object/tangible/ship/components/weapon/shared_wpn_hk_scorcher_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('2570101673', '9930A3A9', 'object/tangible/ship/components/weapon/shared_wpn_hk_scorcher_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('939423053', '37FE754D', 'object/tangible/ship/components/weapon/shared_wpn_incom_advanced_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('3446201616', 'CD68DD10', 'object/tangible/ship/components/weapon/shared_wpn_incom_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('3407371780', 'CB185E04', 'object/tangible/ship/components/weapon/shared_wpn_incom_disruptor.iff');
INSERT INTO `object_crc_string_table` VALUES ('655771385', '271646F9', 'object/tangible/ship/components/weapon/shared_wpn_incom_elite_quad_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('2709580640', 'A180EB60', 'object/tangible/ship/components/weapon/shared_wpn_incom_heavy_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('4090385282', 'F3CE5382', 'object/tangible/ship/components/weapon/shared_wpn_incom_heavy_quad_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('745205415', '2C6AEEA7', 'object/tangible/ship/components/weapon/shared_wpn_incom_light_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('2585546139', '9A1C4D9B', 'object/tangible/ship/components/weapon/shared_wpn_incom_proton_missile_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2691880126', 'A072D4BE', 'object/tangible/ship/components/weapon/shared_wpn_incom_quad_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('134787828', '808B2F4', 'object/tangible/ship/components/weapon/shared_wpn_incom_seismic_missile_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('819793875', '30DD0FD3', 'object/tangible/ship/components/weapon/shared_wpn_incom_shredder.iff');
INSERT INTO `object_crc_string_table` VALUES ('3885305221', 'E7950D85', 'object/tangible/ship/components/weapon/shared_wpn_incom_tt13.iff');
INSERT INTO `object_crc_string_table` VALUES ('4021441179', 'EFB2529B', 'object/tangible/ship/components/weapon/shared_wpn_incom_tt8.iff');
INSERT INTO `object_crc_string_table` VALUES ('667601641', '27CACAE9', 'object/tangible/ship/components/weapon/shared_wpn_kdy_pounder_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1429969329', '553B99B1', 'object/tangible/ship/components/weapon/shared_wpn_kessel_imperial_rendili_prototype_x.iff');
INSERT INTO `object_crc_string_table` VALUES ('3083127705', 'B7C4CB99', 'object/tangible/ship/components/weapon/shared_wpn_kessel_imperial_sds_experimental_secret_ops.iff');
INSERT INTO `object_crc_string_table` VALUES ('4028755301', 'F021ED65', 'object/tangible/ship/components/weapon/shared_wpn_kessel_imperial_sfs_elite_ops.iff');
INSERT INTO `object_crc_string_table` VALUES ('2645130727', '9DA97DE7', 'object/tangible/ship/components/weapon/shared_wpn_kessel_rebel_incom_dualcore_flashcannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('89824351', '55A9C5F', 'object/tangible/ship/components/weapon/shared_wpn_kessel_rebel_riiz_combine_slammer_cannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('953073966', '38CEC12E', 'object/tangible/ship/components/weapon/shared_wpn_kessel_rebel_unknown_rayslinger.iff');
INSERT INTO `object_crc_string_table` VALUES ('3911315270', 'E921EF46', 'object/tangible/ship/components/weapon/shared_wpn_koensayr_deluxe_ion_accelerator.iff');
INSERT INTO `object_crc_string_table` VALUES ('2517260475', '960A58BB', 'object/tangible/ship/components/weapon/shared_wpn_koensayr_ion_accelerator.iff');
INSERT INTO `object_crc_string_table` VALUES ('3827108741', 'E41D0B85', 'object/tangible/ship/components/weapon/shared_wpn_koensayr_ion_accelerator_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2903534600', 'AD106C08', 'object/tangible/ship/components/weapon/shared_wpn_koensayr_ion_accelerator_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3935855718', 'EA986466', 'object/tangible/ship/components/weapon/shared_wpn_koensayr_ion_accelerator_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2964865390', 'B0B8416E', 'object/tangible/ship/components/weapon/shared_wpn_koensayr_light_disruptor.iff');
INSERT INTO `object_crc_string_table` VALUES ('2324723441', '8A9076F1', 'object/tangible/ship/components/weapon/shared_wpn_koensayr_tuned_light_disruptor.iff');
INSERT INTO `object_crc_string_table` VALUES ('1309584223', '4E0EAB5F', 'object/tangible/ship/components/weapon/shared_wpn_kse_double_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('1496618540', '5934962C', 'object/tangible/ship/components/weapon/shared_wpn_kse_light_disruptor.iff');
INSERT INTO `object_crc_string_table` VALUES ('1864468167', '6F2186C7', 'object/tangible/ship/components/weapon/shared_wpn_mandal_advanced_annihilator.iff');
INSERT INTO `object_crc_string_table` VALUES ('2171243660', '816A8C8C', 'object/tangible/ship/components/weapon/shared_wpn_mandal_annihilator_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3043215801', 'B563C9B9', 'object/tangible/ship/components/weapon/shared_wpn_mandal_annilhator_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1203586695', '47BD4687', 'object/tangible/ship/components/weapon/shared_wpn_mandal_elite_annihilator.iff');
INSERT INTO `object_crc_string_table` VALUES ('945058875', '3854743B', 'object/tangible/ship/components/weapon/shared_wpn_mandal_enhanced_mangler_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4039829327', 'F0CAE74F', 'object/tangible/ship/components/weapon/shared_wpn_mandal_heavy_annihilator.iff');
INSERT INTO `object_crc_string_table` VALUES ('3229356354', 'C07C1142', 'object/tangible/ship/components/weapon/shared_wpn_mandal_mangler_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2181339101', '820497DD', 'object/tangible/ship/components/weapon/shared_wpn_mandal_qv3_disruptor.iff');
INSERT INTO `object_crc_string_table` VALUES ('1168567199', '45A6EB9F', 'object/tangible/ship/components/weapon/shared_wpn_mandal_qv5_disruptor.iff');
INSERT INTO `object_crc_string_table` VALUES ('1966553634', '75373A22', 'object/tangible/ship/components/weapon/shared_wpn_mandal_super_mangler.iff');
INSERT INTO `object_crc_string_table` VALUES ('2216406766', '841BAEEE', 'object/tangible/ship/components/weapon/shared_wpn_mission_reward_imperial_cygnus_starblaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('1584266196', '5E6DFBD4', 'object/tangible/ship/components/weapon/shared_wpn_mission_reward_imperial_sds_boltdriver.iff');
INSERT INTO `object_crc_string_table` VALUES ('1515757719', '5A58A097', 'object/tangible/ship/components/weapon/shared_wpn_mission_reward_neutral_borstel_disruptor.iff');
INSERT INTO `object_crc_string_table` VALUES ('2865416858', 'AACACA9A', 'object/tangible/ship/components/weapon/shared_wpn_mission_reward_neutral_hk_military_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('4071002762', 'F2A6928A', 'object/tangible/ship/components/weapon/shared_wpn_mission_reward_neutral_mandal_light_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('3498715160', 'D08A2818', 'object/tangible/ship/components/weapon/shared_wpn_mission_reward_rebel_incom_tricannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('219326346', 'D12A78A', 'object/tangible/ship/components/weapon/shared_wpn_mission_reward_rebel_taim_ion_driver.iff');
INSERT INTO `object_crc_string_table` VALUES ('3697933765', 'DC69FDC5', 'object/tangible/ship/components/weapon/shared_wpn_moncal_light_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('1904433726', '71835A3E', 'object/tangible/ship/components/weapon/shared_wpn_prototype_weapon.iff');
INSERT INTO `object_crc_string_table` VALUES ('1097828961', '416F8A61', 'object/tangible/ship/components/weapon/shared_wpn_prototype_weapon_tie.iff');
INSERT INTO `object_crc_string_table` VALUES ('1966255607', '7532ADF7', 'object/tangible/ship/components/weapon/shared_wpn_rendili_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('459008853', '1B5BEB55', 'object/tangible/ship/components/weapon/shared_wpn_rendili_fr13_disruptor.iff');
INSERT INTO `object_crc_string_table` VALUES ('100362336', '5FB6860', 'object/tangible/ship/components/weapon/shared_wpn_rendili_fr9_disruptor.iff');
INSERT INTO `object_crc_string_table` VALUES ('2784983723', 'A5FF7AAB', 'object/tangible/ship/components/weapon/shared_wpn_rendili_sc3_disruptor.iff');
INSERT INTO `object_crc_string_table` VALUES ('886506152', '34D702A8', 'object/tangible/ship/components/weapon/shared_wpn_rendili_sc8_disruptor.iff');
INSERT INTO `object_crc_string_table` VALUES ('983721375', '3AA2659F', 'object/tangible/ship/components/weapon/shared_wpn_reward_incom_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('3491884496', 'D021EDD0', 'object/tangible/ship/components/weapon/shared_wpn_reward_seinar_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('2898046675', 'ACBCAED3', 'object/tangible/ship/components/weapon/shared_wpn_reward_slayn_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1280281292', '4C4F8ACC', 'object/tangible/ship/components/weapon/shared_wpn_reward_subpro_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('2885961571', 'AC044763', 'object/tangible/ship/components/weapon/shared_wpn_reward_taim_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('3583705980', 'D59B037C', 'object/tangible/ship/components/weapon/shared_wpn_rss_imperial_cannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('3939485307', 'EACFC67B', 'object/tangible/ship/components/weapon/shared_wpn_sds_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1624083757', '60CD8D2D', 'object/tangible/ship/components/weapon/shared_wpn_sds_heavy_imperial_spc_forces_cannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('3660124331', 'DA2910AB', 'object/tangible/ship/components/weapon/shared_wpn_sds_imperial_blaster_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('20887612', '13EB83C', 'object/tangible/ship/components/weapon/shared_wpn_sds_imperial_blaster_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('326500083', '1375FEF3', 'object/tangible/ship/components/weapon/shared_wpn_sds_imperial_special_forces_cannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('3416463612', 'CBA318FC', 'object/tangible/ship/components/weapon/shared_wpn_sds_modified_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1499653630', '5962E5FE', 'object/tangible/ship/components/weapon/shared_wpn_seinar_concussion_missile_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3046767372', 'B599FB0C', 'object/tangible/ship/components/weapon/shared_wpn_seinar_disruptor.iff');
INSERT INTO `object_crc_string_table` VALUES ('1500305519', '596CD86F', 'object/tangible/ship/components/weapon/shared_wpn_seinar_heatseeker_missile_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1847953292', '6E25878C', 'object/tangible/ship/components/weapon/shared_wpn_seinar_ion_cannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('3708108391', 'DD053E67', 'object/tangible/ship/components/weapon/shared_wpn_seinar_linked_cannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('2396153703', '8ED26767', 'object/tangible/ship/components/weapon/shared_wpn_seinar_ls1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4266722432', 'FE510480', 'object/tangible/ship/components/weapon/shared_wpn_seinar_ls72.iff');
INSERT INTO `object_crc_string_table` VALUES ('3844210807', 'E5220077', 'object/tangible/ship/components/weapon/shared_wpn_sfs_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1173398646', '45F0A476', 'object/tangible/ship/components/weapon/shared_wpn_sfs_imperial_blaster_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2665942241', '9EE70CE1', 'object/tangible/ship/components/weapon/shared_wpn_sfs_imperial_blaster_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3622464364', 'D7EA6B6C', 'object/tangible/ship/components/weapon/shared_wpn_sfs_imperial_blaster_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('738803832', '2C094078', 'object/tangible/ship/components/weapon/shared_wpn_sfs_imperial_blaster_4.iff');
INSERT INTO `object_crc_string_table` VALUES ('994450521', '3B461C59', 'object/tangible/ship/components/weapon/shared_wpn_sfs_imperial_special_forces_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('3810806571', 'E3244B2B', 'object/tangible/ship/components/weapon/shared_wpn_sfs_improved_imperial_blaster_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('674088640', '282DC6C0', 'object/tangible/ship/components/weapon/shared_wpn_slayn_deluxe_light_ioncannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('3037690567', 'B50F7AC7', 'object/tangible/ship/components/weapon/shared_wpn_slayn_imagerec_missile_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('659233376', '274B1A60', 'object/tangible/ship/components/weapon/shared_wpn_slayn_ioncannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('1606284757', '5FBDF5D5', 'object/tangible/ship/components/weapon/shared_wpn_slayn_light_ioncannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('2455152329', '9256A6C9', 'object/tangible/ship/components/weapon/shared_wpn_spacestation_rebel_turret_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1229000286', '49410E5E', 'object/tangible/ship/components/weapon/shared_wpn_spacestation_rebel_turret_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3564769891', 'D47A1263', 'object/tangible/ship/components/weapon/shared_wpn_star_destroyer_turret_dome.iff');
INSERT INTO `object_crc_string_table` VALUES ('52712658', '32454D2', 'object/tangible/ship/components/weapon/shared_wpn_star_destroyer_turret_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('1162390806', '4548AD16', 'object/tangible/ship/components/weapon/shared_wpn_star_destroyer_turret_square.iff');
INSERT INTO `object_crc_string_table` VALUES ('1265550250', '4B6EC3AA', 'object/tangible/ship/components/weapon/shared_wpn_std_countermeasure.iff');
INSERT INTO `object_crc_string_table` VALUES ('4160278616', 'F7F8D058', 'object/tangible/ship/components/weapon/shared_wpn_subpro_advanced_cannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('2401708828', '8F272B1C', 'object/tangible/ship/components/weapon/shared_wpn_subpro_improved_light_ioncannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('3317340182', 'C5BA9816', 'object/tangible/ship/components/weapon/shared_wpn_subpro_light_ioncannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('1471920679', '57BBBA27', 'object/tangible/ship/components/weapon/shared_wpn_subpro_modified_tricannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('1320399548', '4EB3B2BC', 'object/tangible/ship/components/weapon/shared_wpn_subpro_tricannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('3508512617', 'D11FA769', 'object/tangible/ship/components/weapon/shared_wpn_subpro_tripleblaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('449709518', '1ACE05CE', 'object/tangible/ship/components/weapon/shared_wpn_subpro_tripleblaster_mark2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1405313603', '53C36243', 'object/tangible/ship/components/weapon/shared_wpn_subpro_tripleblaster_mark3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3622160774', 'D7E5C986', 'object/tangible/ship/components/weapon/shared_wpn_taim_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1640800907', '61CCA28B', 'object/tangible/ship/components/weapon/shared_wpn_taim_heavy_laser.iff');
INSERT INTO `object_crc_string_table` VALUES ('2408591552', '8F9030C0', 'object/tangible/ship/components/weapon/shared_wpn_taim_ix4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3332200269', 'C69D574D', 'object/tangible/ship/components/weapon/shared_wpn_taim_ix5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1479772015', '5833876F', 'object/tangible/ship/components/weapon/shared_wpn_taim_kx5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1881367655', '70236467', 'object/tangible/ship/components/weapon/shared_wpn_taim_kx8.iff');
INSERT INTO `object_crc_string_table` VALUES ('959316970', '392E03EA', 'object/tangible/ship/components/weapon/shared_wpn_taim_kx9.iff');
INSERT INTO `object_crc_string_table` VALUES ('6623562', '65114A', 'object/tangible/ship/components/weapon/shared_wpn_tieadvanced_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('1543754587', '5C03D35B', 'object/tangible/ship/components/weapon/shared_wpn_tiefighter_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('4095704307', 'F41F7CF3', 'object/tangible/ship/components/weapon/shared_wpn_z95_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3374006977', 'C91B42C1', 'object/tangible/ship/components/weapon/shared_wpn_z95_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('4194726205', 'FA06713D', 'object/tangible/ship/components/weapon/shared_xwing_weapon_s01_test.iff');
INSERT INTO `object_crc_string_table` VALUES ('2138475555', '7F768C23', 'object/tangible/ship/components/weapon/shared_xwing_weapon_s02_test.iff');
INSERT INTO `object_crc_string_table` VALUES ('1410960531', '54198C93', 'object/tangible/ship/components/weapon_capacitor/shared_cap_corellian_cruiser_grade_cap1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3275853237', 'C3418DB5', 'object/tangible/ship/components/weapon_capacitor/shared_cap_corellian_cruiser_grade_cap10.iff');
INSERT INTO `object_crc_string_table` VALUES ('2400068612', '8F0E2404', 'object/tangible/ship/components/weapon_capacitor/shared_cap_corellian_cruiser_grade_cap2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3322102665', 'C6034389', 'object/tangible/ship/components/weapon_capacitor/shared_cap_corellian_cruiser_grade_cap3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1961692944', '74ED0F10', 'object/tangible/ship/components/weapon_capacitor/shared_cap_corellian_cruiser_grade_cap5.iff');
INSERT INTO `object_crc_string_table` VALUES ('368085909', '15F08B95', 'object/tangible/ship/components/weapon_capacitor/shared_cap_corellian_cruiser_grade_cap9.iff');
INSERT INTO `object_crc_string_table` VALUES ('2219573456', '844C00D0', 'object/tangible/ship/components/weapon_capacitor/shared_cap_corellian_deluxe_cruiser_grade_cap2.iff');
INSERT INTO `object_crc_string_table` VALUES ('266518392', 'FE2BF78', 'object/tangible/ship/components/weapon_capacitor/shared_cap_corellian_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1591296526', '5ED9420E', 'object/tangible/ship/components/weapon_capacitor/shared_cap_corellian_standard.iff');
INSERT INTO `object_crc_string_table` VALUES ('4202667471', 'FA7F9DCF', 'object/tangible/ship/components/weapon_capacitor/shared_cap_corellian_tuned_cruiser_grade_cap1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1734206129', '675DE2B1', 'object/tangible/ship/components/weapon_capacitor/shared_cap_cygnus_cygcap_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('3158985254', 'BC4A4A26', 'object/tangible/ship/components/weapon_capacitor/shared_cap_cygnus_cygcap_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2897720901', 'ACB7B645', 'object/tangible/ship/components/weapon_capacitor/shared_cap_freitek_xd2.iff');
INSERT INTO `object_crc_string_table` VALUES ('18515388', '11A85BC', 'object/tangible/ship/components/weapon_capacitor/shared_cap_gallofree_lt22.iff');
INSERT INTO `object_crc_string_table` VALUES ('700417052', '29BF841C', 'object/tangible/ship/components/weapon_capacitor/shared_cap_generic.iff');
INSERT INTO `object_crc_string_table` VALUES ('345339930', '1495781A', 'object/tangible/ship/components/weapon_capacitor/shared_cap_haor_chall_old_capacitor.iff');
INSERT INTO `object_crc_string_table` VALUES ('928393821', '37562A5D', 'object/tangible/ship/components/weapon_capacitor/shared_cap_huppla_pasa_tisc_old_capacitor.iff');
INSERT INTO `object_crc_string_table` VALUES ('3633642593', 'D894FC61', 'object/tangible/ship/components/weapon_capacitor/shared_cap_incom_bjn825.iff');
INSERT INTO `object_crc_string_table` VALUES ('971147390', '39E2887E', 'object/tangible/ship/components/weapon_capacitor/shared_cap_incom_improved_rebel_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1737426279', '678F0567', 'object/tangible/ship/components/weapon_capacitor/shared_cap_incom_rebel_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2476449638', '939B9F66', 'object/tangible/ship/components/weapon_capacitor/shared_cap_incom_special_bjn825.iff');
INSERT INTO `object_crc_string_table` VALUES ('105866207', '64F63DF', 'object/tangible/ship/components/weapon_capacitor/shared_cap_kessel_imperial_rendili_hyperbattery.iff');
INSERT INTO `object_crc_string_table` VALUES ('2935211611', 'AEF3C65B', 'object/tangible/ship/components/weapon_capacitor/shared_cap_kessel_imperial_sds_imperial_finest.iff');
INSERT INTO `object_crc_string_table` VALUES ('3196333805', 'BE842EED', 'object/tangible/ship/components/weapon_capacitor/shared_cap_kessel_imperial_sfs_array.iff');
INSERT INTO `object_crc_string_table` VALUES ('2093681588', '7CCB0BB4', 'object/tangible/ship/components/weapon_capacitor/shared_cap_kessel_rebel_armek_array.iff');
INSERT INTO `object_crc_string_table` VALUES ('1308361117', '4DFC019D', 'object/tangible/ship/components/weapon_capacitor/shared_cap_kessel_rebel_deepwell_k33_prototype.iff');
INSERT INTO `object_crc_string_table` VALUES ('2807586925', 'A758606D', 'object/tangible/ship/components/weapon_capacitor/shared_cap_kessel_rebel_taim_hypercharger.iff');
INSERT INTO `object_crc_string_table` VALUES ('426882042', '1971B3FA', 'object/tangible/ship/components/weapon_capacitor/shared_cap_koensayr_custom_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('3900005351', 'E8755BE7', 'object/tangible/ship/components/weapon_capacitor/shared_cap_koensayr_deluxe_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3764122355', 'E05BF2F3', 'object/tangible/ship/components/weapon_capacitor/shared_cap_koensayr_elite_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2209731504', '83B5D3B0', 'object/tangible/ship/components/weapon_capacitor/shared_cap_koensayr_improved_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('4075122898', 'F2E570D2', 'object/tangible/ship/components/weapon_capacitor/shared_cap_koensayr_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('3401812641', 'CAC38AA1', 'object/tangible/ship/components/weapon_capacitor/shared_cap_koensayr_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('824222133', '3120A1B5', 'object/tangible/ship/components/weapon_capacitor/shared_cap_koensayr_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2016265784', '782DC638', 'object/tangible/ship/components/weapon_capacitor/shared_cap_koensayr_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3333186732', 'C6AC64AC', 'object/tangible/ship/components/weapon_capacitor/shared_cap_koensayr_rare_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4087524942', 'F3A2AE4E', 'object/tangible/ship/components/weapon_capacitor/shared_cap_koensayr_tuned_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('4088781034', 'F3B5D8EA', 'object/tangible/ship/components/weapon_capacitor/shared_cap_kse_elite_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('659177202', '274A3EF2', 'object/tangible/ship/components/weapon_capacitor/shared_cap_kse_limited_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1320409852', '4EB3DAFC', 'object/tangible/ship/components/weapon_capacitor/shared_cap_kse_limited_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1641479793', '61D6FE71', 'object/tangible/ship/components/weapon_capacitor/shared_cap_kse_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3133232870', 'BAC156E6', 'object/tangible/ship/components/weapon_capacitor/shared_cap_kse_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4090245483', 'F3CC316B', 'object/tangible/ship/components/weapon_capacitor/shared_cap_kse_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('137304703', '82F1A7F', 'object/tangible/ship/components/weapon_capacitor/shared_cap_kse_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1092779506', '41227DF2', 'object/tangible/ship/components/weapon_capacitor/shared_cap_kse_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1092646081', '412074C1', 'object/tangible/ship/components/weapon_capacitor/shared_cap_kse_performance_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2236352533', '854C0815', 'object/tangible/ship/components/weapon_capacitor/shared_cap_kse_supercharged_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1062359612', '3F52523C', 'object/tangible/ship/components/weapon_capacitor/shared_cap_mandal_improved_powermaster_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('4261155014', 'FDFC10C6', 'object/tangible/ship/components/weapon_capacitor/shared_cap_mandal_powermaster_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('652982353', '26EBB851', 'object/tangible/ship/components/weapon_capacitor/shared_cap_mandal_powermaster_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1877401564', '6FE6DFDC', 'object/tangible/ship/components/weapon_capacitor/shared_cap_mandal_powermaster_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2483418312', '9405F4C8', 'object/tangible/ship/components/weapon_capacitor/shared_cap_mandal_powermaster_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3708326725', 'DD089345', 'object/tangible/ship/components/weapon_capacitor/shared_cap_mandal_powermaster_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1628218941', '610CA63D', 'object/tangible/ship/components/weapon_capacitor/shared_cap_mandal_powersoak.iff');
INSERT INTO `object_crc_string_table` VALUES ('2499929805', '9501E6CD', 'object/tangible/ship/components/weapon_capacitor/shared_cap_mandal_provider_p1.iff');
INSERT INTO `object_crc_string_table` VALUES ('782841496', '2EA93698', 'object/tangible/ship/components/weapon_capacitor/shared_cap_mandal_rare_powermaster_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3992126029', 'EDF3024D', 'object/tangible/ship/components/weapon_capacitor/shared_cap_mandal_special_powermaster_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('549991474', '20C83432', 'object/tangible/ship/components/weapon_capacitor/shared_cap_mandal_tuned_powermaster_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2713051365', 'A1B5E0E5', 'object/tangible/ship/components/weapon_capacitor/shared_cap_mission_reward_imperial_rendili_k_class.iff');
INSERT INTO `object_crc_string_table` VALUES ('2617588856', '9C053C78', 'object/tangible/ship/components/weapon_capacitor/shared_cap_mission_reward_neutral_sorosuub_v1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1350376627', '507D1CB3', 'object/tangible/ship/components/weapon_capacitor/shared_cap_mission_reward_rebel_qualdex_battery_array.iff');
INSERT INTO `object_crc_string_table` VALUES ('2145639863', '7FE3DDB7', 'object/tangible/ship/components/weapon_capacitor/shared_cap_moncal_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('905494263', '35F8BEF7', 'object/tangible/ship/components/weapon_capacitor/shared_cap_moncal_charged_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('1276287045', '4C129845', 'object/tangible/ship/components/weapon_capacitor/shared_cap_moncal_deluxe_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('3651162594', 'D9A051E2', 'object/tangible/ship/components/weapon_capacitor/shared_cap_moncal_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('3865253340', 'E66315DC', 'object/tangible/ship/components/weapon_capacitor/shared_cap_moncal_enhanced_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1210621339', '48289D9B', 'object/tangible/ship/components/weapon_capacitor/shared_cap_moncal_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('2305859909', '8970A145', 'object/tangible/ship/components/weapon_capacitor/shared_cap_moncal_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('565817686', '21B9B156', 'object/tangible/ship/components/weapon_capacitor/shared_cap_moncal_modified_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('1034330448', '3DA6A150', 'object/tangible/ship/components/weapon_capacitor/shared_cap_moncal_modified_standard.iff');
INSERT INTO `object_crc_string_table` VALUES ('1601074972', '5F6E771C', 'object/tangible/ship/components/weapon_capacitor/shared_cap_moncal_standard.iff');
INSERT INTO `object_crc_string_table` VALUES ('2122277506', '7E7F6282', 'object/tangible/ship/components/weapon_capacitor/shared_cap_novaldex_deluxe_wampa_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3491064416', 'D0156A60', 'object/tangible/ship/components/weapon_capacitor/shared_cap_novaldex_experimental.iff');
INSERT INTO `object_crc_string_table` VALUES ('1296746974', '4D4AC9DE', 'object/tangible/ship/components/weapon_capacitor/shared_cap_novaldex_experimental_sarlacc_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2694446356', 'A099FD14', 'object/tangible/ship/components/weapon_capacitor/shared_cap_novaldex_sarlacc_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2072925571', '7B8E5583', 'object/tangible/ship/components/weapon_capacitor/shared_cap_novaldex_sarlacc_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('847458830', '3283320E', 'object/tangible/ship/components/weapon_capacitor/shared_cap_novaldex_sarlacc_s3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1595351643', '5F17225B', 'object/tangible/ship/components/weapon_capacitor/shared_cap_novaldex_small_capacitor.iff');
INSERT INTO `object_crc_string_table` VALUES ('2833268516', 'A8E03F24', 'object/tangible/ship/components/weapon_capacitor/shared_cap_novaldex_wampa_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1945606067', '73F797B3', 'object/tangible/ship/components/weapon_capacitor/shared_cap_novaldex_wampa_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('989524030', '3AFAF03E', 'object/tangible/ship/components/weapon_capacitor/shared_cap_novaldex_wampa_s3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3673224579', 'DAF0F583', 'object/tangible/ship/components/weapon_capacitor/shared_cap_prototype_capacitor.iff');
INSERT INTO `object_crc_string_table` VALUES ('2253174399', '864CB67F', 'object/tangible/ship/components/weapon_capacitor/shared_cap_qualdex_conservator_q3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2797090300', 'A6B835FC', 'object/tangible/ship/components/weapon_capacitor/shared_cap_qualdex_conservator_q7.iff');
INSERT INTO `object_crc_string_table` VALUES ('3822197061', 'E3D21945', 'object/tangible/ship/components/weapon_capacitor/shared_cap_qualdex_conservator_qx1.iff');
INSERT INTO `object_crc_string_table` VALUES ('952480210', '38C5B1D2', 'object/tangible/ship/components/weapon_capacitor/shared_cap_qualdex_conservator_qx2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1908987487', '71C8D65F', 'object/tangible/ship/components/weapon_capacitor/shared_cap_qualdex_conservator_qx3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2318138699', '8A2BFD4B', 'object/tangible/ship/components/weapon_capacitor/shared_cap_qualdex_conservator_qx4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3274087110', 'C3269AC6', 'object/tangible/ship/components/weapon_capacitor/shared_cap_qualdex_conservator_qx5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2515055959', '95E8B557', 'object/tangible/ship/components/weapon_capacitor/shared_cap_qualdex_experimental.iff');
INSERT INTO `object_crc_string_table` VALUES ('3526039001', 'D22B15D9', 'object/tangible/ship/components/weapon_capacitor/shared_cap_qualdex_miser_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('2197546366', '82FBE57E', 'object/tangible/ship/components/weapon_capacitor/shared_cap_qualdex_miser_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('896476191', '356F241F', 'object/tangible/ship/components/weapon_capacitor/shared_cap_qualdex_miser_standard.iff');
INSERT INTO `object_crc_string_table` VALUES ('2580709564', '99D280BC', 'object/tangible/ship/components/weapon_capacitor/shared_cap_rendili_overseer_j7.iff');
INSERT INTO `object_crc_string_table` VALUES ('601402542', '23D8ACAE', 'object/tangible/ship/components/weapon_capacitor/shared_cap_rendili_overseer_j8.iff');
INSERT INTO `object_crc_string_table` VALUES ('2828974582', 'A89EB9F6', 'object/tangible/ship/components/weapon_capacitor/shared_cap_reward_mandal_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('2272053445', '876CC8C5', 'object/tangible/ship/components/weapon_capacitor/shared_cap_reward_novaldex_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('2774529918', 'A55FF77E', 'object/tangible/ship/components/weapon_capacitor/shared_cap_reward_qualdex_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('2275626808', '87A34F38', 'object/tangible/ship/components/weapon_capacitor/shared_cap_reward_sorosuub_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('396325004', '179F708C', 'object/tangible/ship/components/weapon_capacitor/shared_cap_reward_subpro_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('118943742', '716EFFE', 'object/tangible/ship/components/weapon_capacitor/shared_cap_rss_imperial_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2562369407', '98BAA77F', 'object/tangible/ship/components/weapon_capacitor/shared_cap_sds_imperial_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1135415272', '43AD0FE8', 'object/tangible/ship/components/weapon_capacitor/shared_cap_sds_imperial_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3112239614', 'B98101FE', 'object/tangible/ship/components/weapon_capacitor/shared_cap_sds_special_imperial_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3072116165', 'B71CC5C5', 'object/tangible/ship/components/weapon_capacitor/shared_cap_sfs_imperial_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1029784328', '3D614308', 'object/tangible/ship/components/weapon_capacitor/shared_cap_sorosuub_dynamo_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3866553247', 'E676EB9F', 'object/tangible/ship/components/weapon_capacitor/shared_cap_sorosuub_dynamo_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2944109586', 'AF7B8C12', 'object/tangible/ship/components/weapon_capacitor/shared_cap_sorosuub_dynamo_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1419290374', '5498A706', 'object/tangible/ship/components/weapon_capacitor/shared_cap_sorosuub_dynamo_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3213086713', 'BF83CFF9', 'object/tangible/ship/components/weapon_capacitor/shared_cap_sorosuub_enhanced_dynamo_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4165561226', 'F8496B8A', 'object/tangible/ship/components/weapon_capacitor/shared_cap_sorosuub_flash.iff');
INSERT INTO `object_crc_string_table` VALUES ('1816017894', '6C3E3BE6', 'object/tangible/ship/components/weapon_capacitor/shared_cap_sorosuub_premium_dynamo_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2228066878', '84CD9A3E', 'object/tangible/ship/components/weapon_capacitor/shared_cap_sorosuub_supercharged_dynamo_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1077552108', '403A23EC', 'object/tangible/ship/components/weapon_capacitor/shared_cap_sorosuub_tuned_dynamo_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1127759031', '43383CB7', 'object/tangible/ship/components/weapon_capacitor/shared_cap_sorosuub_turbo.iff');
INSERT INTO `object_crc_string_table` VALUES ('1229533676', '494931EC', 'object/tangible/ship/components/weapon_capacitor/shared_cap_subpro_dauntless_z3.iff');
INSERT INTO `object_crc_string_table` VALUES ('4222057845', 'FBA77D75', 'object/tangible/ship/components/weapon_capacitor/shared_cap_subpro_dauntless_z5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2112122777', '7DE46F99', 'object/tangible/ship/components/weapon_capacitor/shared_cap_subpro_defiant_c1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2800994062', 'A6F3C70E', 'object/tangible/ship/components/weapon_capacitor/shared_cap_subpro_defiant_c2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4026441859', 'EFFEA083', 'object/tangible/ship/components/weapon_capacitor/shared_cap_subpro_defiant_c3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3850921327', 'E588656F', 'object/tangible/ship/components/weapon_capacitor/shared_cap_subpro_experimental.iff');
INSERT INTO `object_crc_string_table` VALUES ('242825300', 'E793854', 'object/tangible/ship/components/weapon_capacitor/shared_cap_subpro_gallant_a1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2126492799', '7EBFB47F', 'object/tangible/ship/components/weapon_capacitor/shared_cap_subpro_improved_valiant_z1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3037503050', 'B50C9E4A', 'object/tangible/ship/components/weapon_capacitor/shared_cap_subpro_modified_defiant_c1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1976722601', '75D264A9', 'object/tangible/ship/components/weapon_capacitor/shared_cap_subpro_valiant_z1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2932198462', 'AEC5CC3E', 'object/tangible/ship/components/weapon_capacitor/shared_cap_subpro_valiant_z2.iff');
INSERT INTO `object_crc_string_table` VALUES ('189859741', 'B51079D', 'object/tangible/ship/components/weapon_capacitor/shared_cap_tiefighter_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('278033573', '109274A5', 'object/tangible/ship/components/weapon_capacitor/shared_cap_tiefighter_elite_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3414547506', 'CB85DC32', 'object/tangible/ship/components/weapon_capacitor/shared_cap_tiefighter_elite_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2189999039', '8288BBBF', 'object/tangible/ship/components/weapon_capacitor/shared_cap_tiefighter_elite_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1515496099', '5A54A2A3', 'object/tangible/ship/components/weapon_capacitor/shared_cap_tiefighter_experimental.iff');
INSERT INTO `object_crc_string_table` VALUES ('251613793', 'EFF5261', 'object/tangible/ship/components/weapon_capacitor/shared_cap_unknown_experimental.iff');
INSERT INTO `object_crc_string_table` VALUES ('1814952361', '6C2DF9A9', 'object/tangible/ship/components/weapon_capacitor/shared_cap_z95_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('2040861908', '79A514D4', 'object/tangible/ship/components/weapon_capacitor/shared_cap_z95_deepwell_experimental.iff');
INSERT INTO `object_crc_string_table` VALUES ('3065987757', 'B6BF42AD', 'object/tangible/ship/components/weapon_capacitor/shared_cap_z95_deepwell_k3.iff');
INSERT INTO `object_crc_string_table` VALUES ('72420916', '4510E34', 'object/tangible/ship/components/weapon_capacitor/shared_cap_z95_deepwell_k5.iff');
INSERT INTO `object_crc_string_table` VALUES ('635272917', '25DD7ED5', 'object/tangible/ship/components/weapon_capacitor/shared_weapon_capacitor_test.iff');
INSERT INTO `object_crc_string_table` VALUES ('3119994654', 'B9F7571E', 'object/tangible/ship/crafted/armor/shared_adv_durasteel_plating.iff');
INSERT INTO `object_crc_string_table` VALUES ('2997247202', 'B2A65CE2', 'object/tangible/ship/crafted/armor/shared_armor_reinforcement_panel_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1773270133', '69B1F475', 'object/tangible/ship/crafted/armor/shared_armor_reinforcement_panel_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('549229560', '20BC93F8', 'object/tangible/ship/crafted/armor/shared_armor_reinforcement_panel_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3680483564', 'DB5FB8EC', 'object/tangible/ship/crafted/armor/shared_armor_reinforcement_panel_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2454904673', '9252DF61', 'object/tangible/ship/crafted/armor/shared_armor_reinforcement_panel_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2002100175', '77559FCF', 'object/tangible/ship/crafted/armor/shared_base_armor.iff');
INSERT INTO `object_crc_string_table` VALUES ('773618140', '2E1C79DC', 'object/tangible/ship/crafted/armor/shared_base_armor_subcomponent.iff');
INSERT INTO `object_crc_string_table` VALUES ('2949774675', 'AFD1FD53', 'object/tangible/ship/crafted/armor/shared_base_armor_subcomponent_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1959155140', '74C655C4', 'object/tangible/ship/crafted/armor/shared_base_armor_subcomponent_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1036726857', '3DCB3249', 'object/tangible/ship/crafted/armor/shared_base_armor_subcomponent_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3324516701', 'C628195D', 'object/tangible/ship/crafted/armor/shared_base_armor_subcomponent_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2401599184', '8F257ED0', 'object/tangible/ship/crafted/armor/shared_base_armor_subcomponent_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1660462348', '62F8A50C', 'object/tangible/ship/crafted/armor/shared_durasteel_plating.iff');
INSERT INTO `object_crc_string_table` VALUES ('2006663885', '779B42CD', 'object/tangible/ship/crafted/armor/shared_experimental_armor.iff');
INSERT INTO `object_crc_string_table` VALUES ('3716397337', 'DD83B919', 'object/tangible/ship/crafted/armor/shared_heavy_durasteel_plating.iff');
INSERT INTO `object_crc_string_table` VALUES ('2691365358', 'A06AF9EE', 'object/tangible/ship/crafted/armor/shared_light_durasteel_plating.iff');
INSERT INTO `object_crc_string_table` VALUES ('3987898855', 'EDB281E7', 'object/tangible/ship/crafted/armor/shared_mass_reduction_kit_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('916793712', '36A52970', 'object/tangible/ship/crafted/armor/shared_mass_reduction_kit_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2141736701', '7FA84EFD', 'object/tangible/ship/crafted/armor/shared_mass_reduction_kit_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2219533801', '844B65E9', 'object/tangible/ship/crafted/armor/shared_mass_reduction_kit_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3443917412', 'CD460264', 'object/tangible/ship/crafted/armor/shared_mass_reduction_kit_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1020427901', '3CD27E7D', 'object/tangible/ship/crafted/booster/shared_base_booster.iff');
INSERT INTO `object_crc_string_table` VALUES ('1262367016', '4B3E3128', 'object/tangible/ship/crafted/booster/shared_base_booster_subcomponent.iff');
INSERT INTO `object_crc_string_table` VALUES ('1571131488', '5DA59060', 'object/tangible/ship/crafted/booster/shared_base_booster_subcomponent_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2259826935', '86B238F7', 'object/tangible/ship/crafted/booster/shared_base_booster_subcomponent_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3485425530', 'CFBF5F7A', 'object/tangible/ship/crafted/booster/shared_base_booster_subcomponent_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('878474350', '345C746E', 'object/tangible/ship/crafted/booster/shared_base_booster_subcomponent_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2102465507', '7D5113E3', 'object/tangible/ship/crafted/booster/shared_base_booster_subcomponent_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('4241371436', 'FCCE312C', 'object/tangible/ship/crafted/booster/shared_basic_booster.iff');
INSERT INTO `object_crc_string_table` VALUES ('1453813442', '56A76EC2', 'object/tangible/ship/crafted/booster/shared_booster_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2377172565', '8DB0C655', 'object/tangible/ship/crafted/booster/shared_booster_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3300762072', 'C4BDA1D8', 'object/tangible/ship/crafted/booster/shared_booster_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1063160524', '3F5E8ACC', 'object/tangible/ship/crafted/booster/shared_booster_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1985211713', '7653ED41', 'object/tangible/ship/crafted/booster/shared_booster_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('364252825', '15B60E99', 'object/tangible/ship/crafted/booster/shared_booster_overdriver_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3466700302', 'CEA1A60E', 'object/tangible/ship/crafted/booster/shared_booster_overdriver_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2276245891', '87ACC183', 'object/tangible/ship/crafted/booster/shared_booster_overdriver_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2085612183', '7C4FEA97', 'object/tangible/ship/crafted/booster/shared_booster_overdriver_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('893553946', '35428D1A', 'object/tangible/ship/crafted/booster/shared_booster_overdriver_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('675357004', '2841214C', 'object/tangible/ship/crafted/booster/shared_extended_life_fuel_cell_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4082534875', 'F35689DB', 'object/tangible/ship/crafted/booster/shared_extended_life_fuel_cell_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3126586966', 'BA5BEE56', 'object/tangible/ship/crafted/booster/shared_extended_life_fuel_cell_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1102628162', '41B8C542', 'object/tangible/ship/crafted/booster/shared_extended_life_fuel_cell_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('146121423', '8B5A2CF', 'object/tangible/ship/crafted/booster/shared_extended_life_fuel_cell_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('943059743', '3835F31F', 'object/tangible/ship/crafted/booster/shared_fast_charge_fuel_cell_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3810679688', 'E3225B88', 'object/tangible/ship/crafted/booster/shared_fast_charge_fuel_cell_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2855222277', 'AA2F3C05', 'object/tangible/ship/crafted/booster/shared_fast_charge_fuel_cell_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1372329745', '51CC1711', 'object/tangible/ship/crafted/booster/shared_fast_charge_fuel_cell_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('415330460', '18C1709C', 'object/tangible/ship/crafted/booster/shared_fast_charge_fuel_cell_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('771601122', '2DFDB2E2', 'object/tangible/ship/crafted/booster/shared_heavy_fuel_cell_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4142537333', 'F6EA1A75', 'object/tangible/ship/crafted/booster/shared_heavy_fuel_cell_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3219619320', 'BFE77DF8', 'object/tangible/ship/crafted/booster/shared_heavy_fuel_cell_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1141135084', '440456EC', 'object/tangible/ship/crafted/booster/shared_heavy_fuel_cell_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('218706273', 'D093161', 'object/tangible/ship/crafted/booster/shared_heavy_fuel_cell_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1203730256', '47BF7750', 'object/tangible/ship/crafted/booster/shared_xwing_booster_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2628313031', '9CA8DFC7', 'object/tangible/ship/crafted/booster/shared_xwing_booster_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3843288645', 'E513EE45', 'object/tangible/ship/crafted/capacitor/shared_advanced_capacitor_battery.iff');
INSERT INTO `object_crc_string_table` VALUES ('4282694391', 'FF44BAF7', 'object/tangible/ship/crafted/capacitor/shared_advanced_recharge_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('3064505654', 'B6A8A536', 'object/tangible/ship/crafted/capacitor/shared_base_capacitor.iff');
INSERT INTO `object_crc_string_table` VALUES ('4258529862', 'FDD40246', 'object/tangible/ship/crafted/capacitor/shared_base_capacitor_subcomponent.iff');
INSERT INTO `object_crc_string_table` VALUES ('1484781854', '587FF91E', 'object/tangible/ship/crafted/capacitor/shared_base_capacitor_subcomponent_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2204651913', '83685189', 'object/tangible/ship/crafted/capacitor/shared_base_capacitor_subcomponent_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3395630596', 'CA653604', 'object/tangible/ship/crafted/capacitor/shared_base_capacitor_subcomponent_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('830872848', '31861D10', 'object/tangible/ship/crafted/capacitor/shared_base_capacitor_subcomponent_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2022406813', '788B7A9D', 'object/tangible/ship/crafted/capacitor/shared_base_capacitor_subcomponent_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1364868080', '515A3BF0', 'object/tangible/ship/crafted/capacitor/shared_basic_capacitor.iff');
INSERT INTO `object_crc_string_table` VALUES ('277361603', '108833C3', 'object/tangible/ship/crafted/capacitor/shared_capacitor_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3416234836', 'CB9F9B54', 'object/tangible/ship/crafted/capacitor/shared_capacitor_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2190671065', '8292FCD9', 'object/tangible/ship/crafted/capacitor/shared_capacitor_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2037503949', '7971D7CD', 'object/tangible/ship/crafted/capacitor/shared_capacitor_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('813477952', '307CB040', 'object/tangible/ship/crafted/capacitor/shared_capacitor_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('598079079', '23A5F667', 'object/tangible/ship/crafted/capacitor/shared_energy_saver_battery_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4172439280', 'F8B25EF0', 'object/tangible/ship/crafted/capacitor/shared_energy_saver_battery_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2982099325', 'B1BF397D', 'object/tangible/ship/crafted/capacitor/shared_energy_saver_battery_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1247548009', '4A5C1269', 'object/tangible/ship/crafted/capacitor/shared_energy_saver_battery_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('55670244', '35175E4', 'object/tangible/ship/crafted/capacitor/shared_energy_saver_battery_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1281522685', '4C627BFD', 'object/tangible/ship/crafted/capacitor/shared_extended_life_battery_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2541081450', '9775D36A', 'object/tangible/ship/crafted/capacitor/shared_extended_life_battery_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3732452583', 'DE78B4E7', 'object/tangible/ship/crafted/capacitor/shared_extended_life_battery_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('630956019', '259B9FF3', 'object/tangible/ship/crafted/capacitor/shared_extended_life_battery_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1821833342', '6C96F87E', 'object/tangible/ship/crafted/capacitor/shared_extended_life_battery_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1987626722', '7678C6E2', 'object/tangible/ship/crafted/capacitor/shared_heavy_battery_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2909761141', 'AD6F6E75', 'object/tangible/ship/crafted/capacitor/shared_heavy_battery_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3831630328', 'E46209F8', 'object/tangible/ship/crafted/capacitor/shared_heavy_battery_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('528556780', '1F8122EC', 'object/tangible/ship/crafted/capacitor/shared_heavy_battery_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1452033377', '568C4561', 'object/tangible/ship/crafted/capacitor/shared_heavy_battery_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1831490574', '6D2A540E', 'object/tangible/ship/crafted/capacitor/shared_quick_recharge_battery_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3057515673', 'B63DFC99', 'object/tangible/ship/crafted/capacitor/shared_quick_recharge_battery_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4281375508', 'FF309B14', 'object/tangible/ship/crafted/capacitor/shared_quick_recharge_battery_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('80982016', '4D3B000', 'object/tangible/ship/crafted/capacitor/shared_quick_recharge_battery_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1306449805', '4DDED78D', 'object/tangible/ship/crafted/capacitor/shared_quick_recharge_battery_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3218110775', 'BFD07937', 'object/tangible/ship/crafted/capacitor/shared_standard_capacitor_battery.iff');
INSERT INTO `object_crc_string_table` VALUES ('4261874664', 'FE070BE8', 'object/tangible/ship/crafted/capacitor/shared_standard_recharge_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('195949306', 'BADF2FA', 'object/tangible/ship/crafted/chassis/shared_awing_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3908589416', 'E8F85768', 'object/tangible/ship/crafted/chassis/shared_base_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2022853613', '78924BED', 'object/tangible/ship/crafted/chassis/shared_blacksun_heavy_s01_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4259493619', 'FDE2B6F3', 'object/tangible/ship/crafted/chassis/shared_blacksun_heavy_s02_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2104628884', '7D721694', 'object/tangible/ship/crafted/chassis/shared_blacksun_heavy_s03_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4089598328', 'F3C25178', 'object/tangible/ship/crafted/chassis/shared_blacksun_heavy_s04_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3394693840', 'CA56EAD0', 'object/tangible/ship/crafted/chassis/shared_blacksun_light_s01_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1327896526', '4F2617CE', 'object/tangible/ship/crafted/chassis/shared_blacksun_light_s02_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3484858281', 'CFB6B7A9', 'object/tangible/ship/crafted/chassis/shared_blacksun_light_s03_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1090973765', '4106F045', 'object/tangible/ship/crafted/chassis/shared_blacksun_light_s04_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1166754060', '458B410C', 'object/tangible/ship/crafted/chassis/shared_blacksun_medium_s01_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3237723154', 'C0FBBC12', 'object/tangible/ship/crafted/chassis/shared_blacksun_medium_s02_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1080761461', '406B1C75', 'object/tangible/ship/crafted/chassis/shared_blacksun_medium_s03_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3470482329', 'CEDB5B99', 'object/tangible/ship/crafted/chassis/shared_blacksun_medium_s04_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3283460537', 'C3B5A1B9', 'object/tangible/ship/crafted/chassis/shared_bwing_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1060557321', '3F36D209', 'object/tangible/ship/crafted/chassis/shared_chassis_hutt_light_body.iff');
INSERT INTO `object_crc_string_table` VALUES ('357847559', '15545207', 'object/tangible/ship/crafted/chassis/shared_chassis_hutt_light_wing_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2488529697', '9453F321', 'object/tangible/ship/crafted/chassis/shared_chassis_hutt_light_wing_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1329879990', '4F445BB6', 'object/tangible/ship/crafted/chassis/shared_chassis_hutt_light_wing_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1329933896', '4F452E48', 'object/tangible/ship/crafted/chassis/shared_chassis_tiefighter_body.iff');
INSERT INTO `object_crc_string_table` VALUES ('3155334906', 'BC1296FA', 'object/tangible/ship/crafted/chassis/shared_chassis_xwing_body.iff');
INSERT INTO `object_crc_string_table` VALUES ('629673787', '25880F3B', 'object/tangible/ship/crafted/chassis/shared_chassis_xwing_cockpit.iff');
INSERT INTO `object_crc_string_table` VALUES ('3961922253', 'EC2622CD', 'object/tangible/ship/crafted/chassis/shared_chassis_xwing_wing_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('2633197406', '9CF3675E', 'object/tangible/ship/crafted/chassis/shared_chassis_xwing_wing_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('2732841781', 'A2E3DB35', 'object/tangible/ship/crafted/chassis/shared_chassis_z95_body.iff');
INSERT INTO `object_crc_string_table` VALUES ('3648939768', 'D97E66F8', 'object/tangible/ship/crafted/chassis/shared_chassis_z95_cockpit.iff');
INSERT INTO `object_crc_string_table` VALUES ('1398777236', '535FA594', 'object/tangible/ship/crafted/chassis/shared_chassis_z95_wing_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('596303879', '238AE007', 'object/tangible/ship/crafted/chassis/shared_chassis_z95_wing_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('3999213800', 'EE5F28E8', 'object/tangible/ship/crafted/chassis/shared_decimator_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2182625467', '821838BB', 'object/tangible/ship/crafted/chassis/shared_firespray_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3022324315', 'B425025B', 'object/tangible/ship/crafted/chassis/shared_hutt_heavy_s01_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('827719493', '3155FF45', 'object/tangible/ship/crafted/chassis/shared_hutt_heavy_s02_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('115450726', '6E1A366', 'object/tangible/ship/crafted/chassis/shared_hutt_light_s01_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2207342200', '83915E78', 'object/tangible/ship/crafted/chassis/shared_hutt_light_s02_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2588212465', '9A44FCF1', 'object/tangible/ship/crafted/chassis/shared_hutt_medium_s01_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('523502063', '1F3401EF', 'object/tangible/ship/crafted/chassis/shared_hutt_medium_s02_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2817524533', 'A7F00335', 'object/tangible/ship/crafted/chassis/shared_hutt_turret_ship_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1195910466', '47482542', 'object/tangible/ship/crafted/chassis/shared_texture_kit_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2623507925', '9C5F8DD5', 'object/tangible/ship/crafted/chassis/shared_texture_kit_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3578980952', 'D552EA58', 'object/tangible/ship/crafted/chassis/shared_texture_kit_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('783401292', '2EB1C14C', 'object/tangible/ship/crafted/chassis/shared_texture_kit_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1740416705', '67BCA6C1', 'object/tangible/ship/crafted/chassis/shared_texture_kit_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('3165326934', 'BCAB0E56', 'object/tangible/ship/crafted/chassis/shared_texture_kit_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('2702453550', 'A1142B2E', 'object/tangible/ship/crafted/chassis/shared_tie_in_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3943699590', 'EB101486', 'object/tangible/ship/crafted/chassis/shared_tie_light_duty_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('535268402', '1FE78C32', 'object/tangible/ship/crafted/chassis/shared_tieadvanced_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('738814292', '2C096954', 'object/tangible/ship/crafted/chassis/shared_tieaggressor_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2145194763', '7FDD130B', 'object/tangible/ship/crafted/chassis/shared_tiebomber_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1456733944', '56D3FEF8', 'object/tangible/ship/crafted/chassis/shared_tiefighter_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3416726666', 'CBA71C8A', 'object/tangible/ship/crafted/chassis/shared_tieinterceptor_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('471077979', '1C14145B', 'object/tangible/ship/crafted/chassis/shared_tieoppressor_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3720915529', 'DDC8AA49', 'object/tangible/ship/crafted/chassis/shared_xwing_customization_kit.iff');
INSERT INTO `object_crc_string_table` VALUES ('371125137', '161EEB91', 'object/tangible/ship/crafted/chassis/shared_xwing_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('829078012', '316AB9FC', 'object/tangible/ship/crafted/chassis/shared_ykl37r_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2624812962', '9C7377A2', 'object/tangible/ship/crafted/chassis/shared_yt1300_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1374233936', '51E92550', 'object/tangible/ship/crafted/chassis/shared_ywing_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3027627051', 'B475EC2B', 'object/tangible/ship/crafted/chassis/shared_ywing_longprobe_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('689633436', '291AF89C', 'object/tangible/ship/crafted/chassis/shared_z95_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2841202755', 'A9595043', 'object/tangible/ship/crafted/droid_interface/shared_advanced_droid_harness.iff');
INSERT INTO `object_crc_string_table` VALUES ('3849212575', 'E56E529F', 'object/tangible/ship/crafted/droid_interface/shared_advanced_ship_circuitry.iff');
INSERT INTO `object_crc_string_table` VALUES ('1488124234', '58B2F94A', 'object/tangible/ship/crafted/droid_interface/shared_base_droid_interface.iff');
INSERT INTO `object_crc_string_table` VALUES ('1094447812', '413BF2C4', 'object/tangible/ship/crafted/droid_interface/shared_base_droid_interface_subcomponent.iff');
INSERT INTO `object_crc_string_table` VALUES ('1600874546', '5F6B6832', 'object/tangible/ship/crafted/droid_interface/shared_base_droid_interface_subcomponent_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2222768293', '847CC0A5', 'object/tangible/ship/crafted/droid_interface/shared_base_droid_interface_subcomponent_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3446777640', 'CD71A728', 'object/tangible/ship/crafted/droid_interface/shared_base_droid_interface_subcomponent_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('915573820', '36928C3C', 'object/tangible/ship/crafted/droid_interface/shared_base_droid_interface_subcomponent_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2141186993', '7F9FEBB1', 'object/tangible/ship/crafted/droid_interface/shared_base_droid_interface_subcomponent_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3467786259', 'CEB23813', 'object/tangible/ship/crafted/droid_interface/shared_basic_droid_interface.iff');
INSERT INTO `object_crc_string_table` VALUES ('1368476927', '51914CFF', 'object/tangible/ship/crafted/droid_interface/shared_ddi_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2324096104', '8A86E468', 'object/tangible/ship/crafted/droid_interface/shared_ddi_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3280700389', 'C38B83E5', 'object/tangible/ship/crafted/droid_interface/shared_ddi_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('946383089', '3868A8F1', 'object/tangible/ship/crafted/droid_interface/shared_ddi_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1902497660', '7165CF7C', 'object/tangible/ship/crafted/droid_interface/shared_ddi_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1290028693', '4CE44695', 'object/tangible/ship/crafted/droid_interface/shared_droid_brain_interface.iff');
INSERT INTO `object_crc_string_table` VALUES ('2273558131', '8783BE73', 'object/tangible/ship/crafted/droid_interface/shared_droid_brain_upgrade_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1553209060', '5C9416E4', 'object/tangible/ship/crafted/droid_interface/shared_droid_brain_upgrade_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('362377577', '15997169', 'object/tangible/ship/crafted/droid_interface/shared_droid_brain_upgrade_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('4000995965', 'EE7A5A7D', 'object/tangible/ship/crafted/droid_interface/shared_droid_brain_upgrade_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2809609712', 'A7773DF0', 'object/tangible/ship/crafted/droid_interface/shared_droid_brain_upgrade_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('930004332', '376EBD6C', 'object/tangible/ship/crafted/droid_interface/shared_droid_harness.iff');
INSERT INTO `object_crc_string_table` VALUES ('82900645', '4F0F6A5', 'object/tangible/ship/crafted/droid_interface/shared_maintenance_reduction_kit_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3756482098', 'DFE75E32', 'object/tangible/ship/crafted/droid_interface/shared_maintenance_reduction_kit_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2531932607', '96EA39BF', 'object/tangible/ship/crafted/droid_interface/shared_maintenance_reduction_kit_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1829311147', '6D0912AB', 'object/tangible/ship/crafted/droid_interface/shared_maintenance_reduction_kit_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('604271910', '24047526', 'object/tangible/ship/crafted/droid_interface/shared_maintenance_reduction_kit_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2846440032', 'A9A93A60', 'object/tangible/ship/crafted/engine/shared_adv_exhaust.iff');
INSERT INTO `object_crc_string_table` VALUES ('2039436347', '798F543B', 'object/tangible/ship/crafted/engine/shared_adv_fuel_regulation.iff');
INSERT INTO `object_crc_string_table` VALUES ('2452306838', '922B3B96', 'object/tangible/ship/crafted/engine/shared_base_engine.iff');
INSERT INTO `object_crc_string_table` VALUES ('2308703133', '899C039D', 'object/tangible/ship/crafted/engine/shared_base_engine_subcomponent.iff');
INSERT INTO `object_crc_string_table` VALUES ('2017675952', '78434AB0', 'object/tangible/ship/crafted/engine/shared_base_engine_subcomponent_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2740249127', 'A354E227', 'object/tangible/ship/crafted/engine/shared_base_engine_subcomponent_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3931735466', 'EA5985AA', 'object/tangible/ship/crafted/engine/shared_base_engine_subcomponent_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('297447102', '11BAAEBE', 'object/tangible/ship/crafted/engine/shared_base_engine_subcomponent_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1488439603', '58B7C933', 'object/tangible/ship/crafted/engine/shared_base_engine_subcomponent_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('870814192', '33E791F0', 'object/tangible/ship/crafted/engine/shared_basic_engine.iff');
INSERT INTO `object_crc_string_table` VALUES ('1052168697', '3EB6D1F9', 'object/tangible/ship/crafted/engine/shared_eng_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3852564846', 'E5A1796E', 'object/tangible/ship/crafted/engine/shared_eng_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2896961251', 'ACAC1EE3', 'object/tangible/ship/crafted/engine/shared_eng_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1464808951', '574F35F7', 'object/tangible/ship/crafted/engine/shared_eng_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('507662970', '1E42527A', 'object/tangible/ship/crafted/engine/shared_eng_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('309168025', '126D8799', 'object/tangible/ship/crafted/engine/shared_engine_incom_fusialthrust.iff');
INSERT INTO `object_crc_string_table` VALUES ('3416982276', 'CBAB0304', 'object/tangible/ship/crafted/engine/shared_engine_limiter_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('280800147', '10BCAB93', 'object/tangible/ship/crafted/engine/shared_engine_limiter_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1504824350', '59B1CC1E', 'object/tangible/ship/crafted/engine/shared_engine_limiter_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2723342090', 'A252E70A', 'object/tangible/ship/crafted/engine/shared_engine_limiter_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3948904583', 'EB5F8087', 'object/tangible/ship/crafted/engine/shared_engine_limiter_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1922300191', '7293F91F', 'object/tangible/ship/crafted/engine/shared_engine_novaldex_eventhorizon.iff');
INSERT INTO `object_crc_string_table` VALUES ('110706461', '6993F1D', 'object/tangible/ship/crafted/engine/shared_engine_overdriver_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3717109642', 'DD8E978A', 'object/tangible/ship/crafted/engine/shared_engine_overdriver_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2491674631', '9483F007', 'object/tangible/ship/crafted/engine/shared_engine_overdriver_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1868618515', '6F60DB13', 'object/tangible/ship/crafted/engine/shared_engine_overdriver_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('644725918', '266DBC9E', 'object/tangible/ship/crafted/engine/shared_engine_overdriver_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2354509902', '8C56F84E', 'object/tangible/ship/crafted/engine/shared_engine_qualdex_kyromaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('1660885565', '62FF1A3D', 'object/tangible/ship/crafted/engine/shared_hyperdrive_class1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3119035050', 'B9E8B2AA', 'object/tangible/ship/crafted/engine/shared_hyperdrive_class2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4041594151', 'F0E5D527', 'object/tangible/ship/crafted/engine/shared_hyperdrive_class3.iff');
INSERT INTO `object_crc_string_table` VALUES ('4185825259', 'F97E9FEB', 'object/tangible/ship/crafted/engine/shared_std_exhaust.iff');
INSERT INTO `object_crc_string_table` VALUES ('4036202637', 'F093908D', 'object/tangible/ship/crafted/engine/shared_std_fuel_regulation.iff');
INSERT INTO `object_crc_string_table` VALUES ('2957310385', 'B044F9B1', 'object/tangible/ship/crafted/reactor/shared_advanced_fusion_core.iff');
INSERT INTO `object_crc_string_table` VALUES ('4065301062', 'F24F9246', 'object/tangible/ship/crafted/reactor/shared_advanced_power_distributor.iff');
INSERT INTO `object_crc_string_table` VALUES ('4073763603', 'F2D0B313', 'object/tangible/ship/crafted/reactor/shared_base_reactor.iff');
INSERT INTO `object_crc_string_table` VALUES ('2892822392', 'AC6CF778', 'object/tangible/ship/crafted/reactor/shared_base_reactor_subcomponent.iff');
INSERT INTO `object_crc_string_table` VALUES ('3936392569', 'EAA09579', 'object/tangible/ship/crafted/reactor/shared_base_reactor_subcomponent_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('834092526', '31B73DEE', 'object/tangible/ship/crafted/reactor/shared_base_reactor_subcomponent_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2025478755', '78BA5A63', 'object/tangible/ship/crafted/reactor/shared_base_reactor_subcomponent_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2203677047', '83597177', 'object/tangible/ship/crafted/reactor/shared_base_reactor_subcomponent_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3394508538', 'CA5416FA', 'object/tangible/ship/crafted/reactor/shared_base_reactor_subcomponent_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1900869763', '714CF883', 'object/tangible/ship/crafted/reactor/shared_basic_reactor.iff');
INSERT INTO `object_crc_string_table` VALUES ('3172827767', 'BD1D8277', 'object/tangible/ship/crafted/reactor/shared_fusion_reactor_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1711942368', '660A2AE0', 'object/tangible/ship/crafted/reactor/shared_fusion_reactor_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('789007725', '2F074D6D', 'object/tangible/ship/crafted/reactor/shared_fusion_reactor_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3571738233', 'D4E46679', 'object/tangible/ship/crafted/reactor/shared_fusion_reactor_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2649293300', '9DE901F4', 'object/tangible/ship/crafted/reactor/shared_fusion_reactor_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('118151162', '70AD7FA', 'object/tangible/ship/crafted/reactor/shared_reactor_limiter_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3692920685', 'DC1D7F6D', 'object/tangible/ship/crafted/reactor/shared_reactor_limiter_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2500860128', '951018E0', 'object/tangible/ship/crafted/reactor/shared_reactor_limiter_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1861432308', '6EF333F4', 'object/tangible/ship/crafted/reactor/shared_reactor_limiter_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('670979193', '27FE5479', 'object/tangible/ship/crafted/reactor/shared_reactor_limiter_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1124351052', '43043C4C', 'object/tangible/ship/crafted/reactor/shared_reactor_overcharger_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2551420123', '981394DB', 'object/tangible/ship/crafted/reactor/shared_reactor_overcharger_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3508466518', 'D11EF356', 'object/tangible/ship/crafted/reactor/shared_reactor_overcharger_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('721279042', '2AFDD842', 'object/tangible/ship/crafted/reactor/shared_reactor_overcharger_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1676722127', '63F0BFCF', 'object/tangible/ship/crafted/reactor/shared_reactor_overcharger_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3532622984', 'D28F8C88', 'object/tangible/ship/crafted/reactor/shared_standard_fusion_core.iff');
INSERT INTO `object_crc_string_table` VALUES ('2827748660', 'A88C0534', 'object/tangible/ship/crafted/reactor/shared_standard_power_distributor.iff');
INSERT INTO `object_crc_string_table` VALUES ('4170937873', 'F89B7611', 'object/tangible/ship/crafted/repair/shared_repair_kit_armor.iff');
INSERT INTO `object_crc_string_table` VALUES ('1229310280', '4945C948', 'object/tangible/ship/crafted/repair/shared_repair_kit_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1003395918', '3BCE9B4E', 'object/tangible/ship/crafted/repair/shared_repair_kit_booster.iff');
INSERT INTO `object_crc_string_table` VALUES ('4086932014', 'F399A22E', 'object/tangible/ship/crafted/repair/shared_repair_kit_chassis.iff');
INSERT INTO `object_crc_string_table` VALUES ('3855703758', 'E5D15ECE', 'object/tangible/ship/crafted/repair/shared_repair_kit_droid_interface.iff');
INSERT INTO `object_crc_string_table` VALUES ('4137917364', 'F6A39BB4', 'object/tangible/ship/crafted/repair/shared_repair_kit_engine.iff');
INSERT INTO `object_crc_string_table` VALUES ('3545826505', 'D35904C9', 'object/tangible/ship/crafted/repair/shared_repair_kit_hull.iff');
INSERT INTO `object_crc_string_table` VALUES ('3287770531', 'C3F765A3', 'object/tangible/ship/crafted/repair/shared_repair_kit_plasma_conduit.iff');
INSERT INTO `object_crc_string_table` VALUES ('1646486394', '6223637A', 'object/tangible/ship/crafted/repair/shared_repair_kit_reactor.iff');
INSERT INTO `object_crc_string_table` VALUES ('2366222507', '8D09B0AB', 'object/tangible/ship/crafted/repair/shared_repair_kit_shield_generator.iff');
INSERT INTO `object_crc_string_table` VALUES ('807989435', '3028F0BB', 'object/tangible/ship/crafted/repair/shared_repair_kit_ship.iff');
INSERT INTO `object_crc_string_table` VALUES ('3322698996', 'C60C5CF4', 'object/tangible/ship/crafted/repair/shared_repair_kit_weapon.iff');
INSERT INTO `object_crc_string_table` VALUES ('3536823939', 'D2CFA683', 'object/tangible/ship/crafted/repair/shared_repair_kit_weapon_capacitor.iff');
INSERT INTO `object_crc_string_table` VALUES ('1581832074', '5E48D78A', 'object/tangible/ship/crafted/reverse_engineering/shared_analysis_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('3210363983', 'BF5A444F', 'object/tangible/ship/crafted/reverse_engineering/shared_armor_analysis_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('152781532', '91B42DC', 'object/tangible/ship/crafted/reverse_engineering/shared_booster_analysis_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('3883452731', 'E778C93B', 'object/tangible/ship/crafted/reverse_engineering/shared_capacitor_analysis_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('3288485718', 'C4024F56', 'object/tangible/ship/crafted/reverse_engineering/shared_droid_interface_analysis_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('2923796744', 'AE459908', 'object/tangible/ship/crafted/reverse_engineering/shared_engine_analysis_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('504265508', '1E0E7B24', 'object/tangible/ship/crafted/reverse_engineering/shared_reactor_analysis_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('2940108042', 'AF3E7D0A', 'object/tangible/ship/crafted/reverse_engineering/shared_retrofit_kit.iff');
INSERT INTO `object_crc_string_table` VALUES ('3729905970', 'DE51D932', 'object/tangible/ship/crafted/reverse_engineering/shared_shields_analysis_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('2156748122', '808D5D5A', 'object/tangible/ship/crafted/reverse_engineering/shared_weapon_analysis_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('512254018', '1E886042', 'object/tangible/ship/crafted/shields/shared_adv_deflector_shields.iff');
INSERT INTO `object_crc_string_table` VALUES ('3156847701', 'BC29AC55', 'object/tangible/ship/crafted/shields/shared_advanced_projector_unit.iff');
INSERT INTO `object_crc_string_table` VALUES ('1334075435', '4F84602B', 'object/tangible/ship/crafted/shields/shared_base_shields.iff');
INSERT INTO `object_crc_string_table` VALUES ('501625805', '1DE633CD', 'object/tangible/ship/crafted/shields/shared_base_shields_subcomponent.iff');
INSERT INTO `object_crc_string_table` VALUES ('1088509023', '40E1545F', 'object/tangible/ship/crafted/shields/shared_base_shields_subcomponent_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2616655048', '9BF6FCC8', 'object/tangible/ship/crafted/shields/shared_base_shields_subcomponent_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3539704645', 'D2FB9B45', 'object/tangible/ship/crafted/shields/shared_base_shields_subcomponent_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('689483857', '2918B051', 'object/tangible/ship/crafted/shields/shared_base_shields_subcomponent_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1612044252', '6015D7DC', 'object/tangible/ship/crafted/shields/shared_base_shields_subcomponent_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2199672090', '831C551A', 'object/tangible/ship/crafted/shields/shared_basic_shields.iff');
INSERT INTO `object_crc_string_table` VALUES ('2014890702', '7818CACE', 'object/tangible/ship/crafted/shields/shared_deflector_shields.iff');
INSERT INTO `object_crc_string_table` VALUES ('2951736677', 'AFEFED65', 'object/tangible/ship/crafted/shields/shared_exp_deflector_shields.iff');
INSERT INTO `object_crc_string_table` VALUES ('3437680347', 'CCE6D6DB', 'object/tangible/ship/crafted/shields/shared_heavy_deflector_shields.iff');
INSERT INTO `object_crc_string_table` VALUES ('2970588716', 'B10F962C', 'object/tangible/ship/crafted/shields/shared_light_deflector_shields.iff');
INSERT INTO `object_crc_string_table` VALUES ('1931620288', '73222FC0', 'object/tangible/ship/crafted/shields/shared_shield_energy_saver_kit_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2822080343', 'A8358757', 'object/tangible/ship/crafted/shields/shared_shield_energy_saver_kit_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3778601178', 'E138E0DA', 'object/tangible/ship/crafted/shields/shared_shield_energy_saver_kit_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('450612174', '1ADBCBCE', 'object/tangible/ship/crafted/shields/shared_shield_energy_saver_kit_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1406577731', '53D6AC43', 'object/tangible/ship/crafted/shields/shared_shield_energy_saver_kit_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('46751920', '2C960B0', 'object/tangible/ship/crafted/shields/shared_shield_intensifier_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3655256103', 'D9DEC827', 'object/tangible/ship/crafted/shields/shared_shield_intensifier_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2429792170', '90D3AFAA', 'object/tangible/ship/crafted/shields/shared_shield_intensifier_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1798341822', '6B3084BE', 'object/tangible/ship/crafted/shields/shared_shield_intensifier_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('574481203', '223DE333', 'object/tangible/ship/crafted/shields/shared_shield_intensifier_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3366846680', 'C8AE00D8', 'object/tangible/ship/crafted/shields/shared_shield_limiter_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('330934351', '13B9A84F', 'object/tangible/ship/crafted/shields/shared_shield_limiter_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1521799106', '5AB4CFC2', 'object/tangible/ship/crafted/shields/shared_shield_limiter_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2706891990', 'A157E4D6', 'object/tangible/ship/crafted/shields/shared_shield_limiter_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3898245979', 'E85A835B', 'object/tangible/ship/crafted/shields/shared_shield_limiter_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1951222314', '744D4A2A', 'object/tangible/ship/crafted/shields/shared_shield_overcharger_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2941969085', 'AF5AE2BD', 'object/tangible/ship/crafted/shields/shared_shield_overcharger_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3864495408', 'E6578530', 'object/tangible/ship/crafted/shields/shared_shield_overcharger_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('498380324', '1DB4AE24', 'object/tangible/ship/crafted/shields/shared_shield_overcharger_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1421461929', '54B9C9A9', 'object/tangible/ship/crafted/shields/shared_shield_overcharger_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('129931938', '7BE9AA2', 'object/tangible/ship/crafted/shields/shared_standard_projector_unit.iff');
INSERT INTO `object_crc_string_table` VALUES ('3245525817', 'C172CB39', 'object/tangible/ship/crafted/weapon/missile/shared_base_countermeasure.iff');
INSERT INTO `object_crc_string_table` VALUES ('1672702928', '63B36BD0', 'object/tangible/ship/crafted/weapon/missile/shared_base_pack.iff');
INSERT INTO `object_crc_string_table` VALUES ('3047216132', 'B5A0D404', 'object/tangible/ship/crafted/weapon/missile/shared_countermeasure_chaff_launcher.iff');
INSERT INTO `object_crc_string_table` VALUES ('1564710260', '5D439574', 'object/tangible/ship/crafted/weapon/missile/shared_countermeasure_chaff_pack.iff');
INSERT INTO `object_crc_string_table` VALUES ('2635857595', '9D1BFEBB', 'object/tangible/ship/crafted/weapon/missile/shared_countermeasure_confuser_launcher.iff');
INSERT INTO `object_crc_string_table` VALUES ('1375246682', '51F8995A', 'object/tangible/ship/crafted/weapon/missile/shared_countermeasure_confuser_pack.iff');
INSERT INTO `object_crc_string_table` VALUES ('822727721', '3109D429', 'object/tangible/ship/crafted/weapon/missile/shared_countermeasure_decoy_launcher.iff');
INSERT INTO `object_crc_string_table` VALUES ('17293110', '107DF36', 'object/tangible/ship/crafted/weapon/missile/shared_countermeasure_decoy_pack.iff');
INSERT INTO `object_crc_string_table` VALUES ('4142390620', 'F6E7DD5C', 'object/tangible/ship/crafted/weapon/missile/shared_countermeasure_em_launcher.iff');
INSERT INTO `object_crc_string_table` VALUES ('3439723072', 'CD060240', 'object/tangible/ship/crafted/weapon/missile/shared_countermeasure_em_pack.iff');
INSERT INTO `object_crc_string_table` VALUES ('4217308443', 'FB5F051B', 'object/tangible/ship/crafted/weapon/missile/shared_countermeasure_microchaff_launcher.iff');
INSERT INTO `object_crc_string_table` VALUES ('103083573', '624EE35', 'object/tangible/ship/crafted/weapon/missile/shared_countermeasure_microchaff_pack.iff');
INSERT INTO `object_crc_string_table` VALUES ('2943273728', 'AF6ECB00', 'object/tangible/ship/crafted/weapon/missile/shared_weapon_basic_launcher.iff');
INSERT INTO `object_crc_string_table` VALUES ('1453812677', '56A76BC5', 'object/tangible/ship/crafted/weapon/missile/shared_weapon_basic_pack.iff');
INSERT INTO `object_crc_string_table` VALUES ('2657624858', '9E68231A', 'object/tangible/ship/crafted/weapon/missile/shared_weapon_chaff_launcher.iff');
INSERT INTO `object_crc_string_table` VALUES ('1873034308', '6FA43C44', 'object/tangible/ship/crafted/weapon/missile/shared_weapon_chaff_pack.iff');
INSERT INTO `object_crc_string_table` VALUES ('2871566567', 'AB28A0E7', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_concussion_missile_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1883179120', '703F0870', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_concussion_missile_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('959606781', '39326FFD', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_concussion_missile_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('190158470', 'B559686', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_imagerec_missile_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3494002193', 'D0423E11', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_imagerec_missile_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2721026212', 'A22F90A4', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_launcher_concussion_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2033727539', '79383833', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_launcher_concussion_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('808804286', '30355FBE', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_launcher_concussion_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1109435894', '4220A5F6', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_launcher_imagerec_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2570521953', '99370D61', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_launcher_imagerec_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2118814960', '7E4A8CF0', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_launcher_proton_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2774344807', 'A55D2467', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_launcher_proton_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3964683242', 'EC5043EA', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_launcher_proton_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('397633790', '17B368FE', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_launcher_proton_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2922914559', 'AE3822FF', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_launcher_seismic_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1966049896', '752F8A68', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_launcher_seismic_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1008922085', '3C22EDE5', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_launcher_seismic_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3027823737', 'B478EC79', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_launcher_spacebomb_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1869563118', '6F6F44EE', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_launcher_spacebomb_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1356357630', '50D85FFE', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_proton_missile_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2345662313', '8BCFF769', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_proton_missile_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3267530980', 'C2C290E4', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_proton_missile_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('958512112', '3921BBF0', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_proton_missile_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1794422147', '6AF4B583', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_seismic_missile_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2984451348', 'B1E31D14', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_seismic_missile_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4176378521', 'F8EE7A99', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_seismic_missile_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3906161899', 'E8D34CEB', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_spacebomb_missile_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('868541564', '33C4E47C', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_spacebomb_missile_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2303674527', '894F489F', 'object/tangible/ship/crafted/weapon/shared_armor_effectiveness_intensifier_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1381556232', '5258E008', 'object/tangible/ship/crafted/weapon/shared_armor_effectiveness_intensifier_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('458590085', '1B558785', 'object/tangible/ship/crafted/weapon/shared_armor_effectiveness_intensifier_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3770068113', 'E0B6AC91', 'object/tangible/ship/crafted/weapon/shared_armor_effectiveness_intensifier_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2847656732', 'A9BBCB1C', 'object/tangible/ship/crafted/weapon/shared_armor_effectiveness_intensifier_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2953001640', 'B0033AA8', 'object/tangible/ship/crafted/weapon/shared_base_weapon.iff');
INSERT INTO `object_crc_string_table` VALUES ('1696759306', '65227E0A', 'object/tangible/ship/crafted/weapon/shared_base_weapon_subcomponent.iff');
INSERT INTO `object_crc_string_table` VALUES ('4144294137', 'F704E8F9', 'object/tangible/ship/crafted/weapon/shared_base_weapon_subcomponent_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('739459182', '2C13406E', 'object/tangible/ship/crafted/weapon/shared_base_weapon_subcomponent_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1696475107', '651E27E3', 'object/tangible/ship/crafted/weapon/shared_base_weapon_subcomponent_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2667384055', '9EFD0CF7', 'object/tangible/ship/crafted/weapon/shared_base_weapon_subcomponent_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3622857594', 'D7F06B7A', 'object/tangible/ship/crafted/weapon/shared_base_weapon_subcomponent_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3239954606', 'C11DC8AE', 'object/tangible/ship/crafted/weapon/shared_basic_weapon.iff');
INSERT INTO `object_crc_string_table` VALUES ('2497461315', '94DC3C43', 'object/tangible/ship/crafted/weapon/shared_max_damage_intensifier_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1338741972', '4FCB94D4', 'object/tangible/ship/crafted/weapon/shared_max_damage_intensifier_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('113701721', '6C6F359', 'object/tangible/ship/crafted/weapon/shared_max_damage_intensifier_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('4247115853', 'FD25D84D', 'object/tangible/ship/crafted/weapon/shared_max_damage_intensifier_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3022569408', 'B428BFC0', 'object/tangible/ship/crafted/weapon/shared_max_damage_intensifier_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('610130248', '245DD948', 'object/tangible/ship/crafted/weapon/shared_min_damage_intensifier_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4283068895', 'FF4A71DF', 'object/tangible/ship/crafted/weapon/shared_min_damage_intensifier_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3058112082', 'B6471652', 'object/tangible/ship/crafted/weapon/shared_min_damage_intensifier_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1302609222', '4DA43D46', 'object/tangible/ship/crafted/weapon/shared_min_damage_intensifier_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('78207691', '4A95ACB', 'object/tangible/ship/crafted/weapon/shared_min_damage_intensifier_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1346962133', '504902D5', 'object/tangible/ship/crafted/weapon/shared_quick_shot_upgrade_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2338236994', '8B5EAA42', 'object/tangible/ship/crafted/weapon/shared_quick_shot_upgrade_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3260272079', 'C253CDCF', 'object/tangible/ship/crafted/weapon/shared_quick_shot_upgrade_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('967894747', '39B0E6DB', 'object/tangible/ship/crafted/weapon/shared_quick_shot_upgrade_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1891467606', '70BD8156', 'object/tangible/ship/crafted/weapon/shared_quick_shot_upgrade_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1809056781', '6BD4040D', 'object/tangible/ship/crafted/weapon/shared_shield_effectiveness_intensifier_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2965613722', 'B0C3AC9A', 'object/tangible/ship/crafted/weapon/shared_shield_effectiveness_intensifier_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4191079191', 'F9CECB17', 'object/tangible/ship/crafted/weapon/shared_shield_effectiveness_intensifier_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('36560899', '22DE003', 'object/tangible/ship/crafted/weapon/shared_shield_effectiveness_intensifier_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1260423054', '4B20878E', 'object/tangible/ship/crafted/weapon/shared_shield_effectiveness_intensifier_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('560730926', '216C132E', 'object/tangible/ship/crafted/weapon/shared_speed_limiter_upgrade_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4202412985', 'FA7BBBB9', 'object/tangible/ship/crafted/weapon/shared_speed_limiter_upgrade_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3010911284', 'B376DC34', 'object/tangible/ship/crafted/weapon/shared_speed_limiter_upgrade_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1217787680', '4895F720', 'object/tangible/ship/crafted/weapon/shared_speed_limiter_upgrade_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('26775725', '19890AD', 'object/tangible/ship/crafted/weapon/shared_speed_limiter_upgrade_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2853736517', 'AA189045', 'object/tangible/ship/crafted/weapon/shared_weapon_incom_disruptor.iff');
INSERT INTO `object_crc_string_table` VALUES ('1179374625', '464BD421', 'object/tangible/ship/crafted/weapon/shared_weapon_slayn_ioncannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('2659812079', '9E8982EF', 'object/tangible/ship/crafted/weapon/shared_weapon_subpro_tripleblaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('442446187', '1A5F316B', 'object/tangible/ship/crafted/weapon/shared_wpn_advanced_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('1237633285', '49C4C905', 'object/tangible/ship/crafted/weapon/shared_wpn_advanced_blaster_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('155333164', '942322C', 'object/tangible/ship/crafted/weapon/shared_wpn_advanced_disruptor.iff');
INSERT INTO `object_crc_string_table` VALUES ('1500710454', '59730636', 'object/tangible/ship/crafted/weapon/shared_wpn_advanced_ioncannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('2125855304', '7EB5FA48', 'object/tangible/ship/crafted/weapon/shared_wpn_experimental_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('2441037978', '917F489A', 'object/tangible/ship/crafted/weapon/shared_wpn_experimental_blaster_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('209959232', 'C83B940', 'object/tangible/ship/crafted/weapon/shared_wpn_experimental_disruptor.iff');
INSERT INTO `object_crc_string_table` VALUES ('1555205466', '5CB28D5A', 'object/tangible/ship/crafted/weapon/shared_wpn_experimental_ioncannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('2536076684', '9729758C', 'object/tangible/ship/crafted/weapon/shared_wpn_heavy_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('2144438671', '7FD1898F', 'object/tangible/ship/crafted/weapon/shared_wpn_heavy_blaster_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('678304198', '286E19C6', 'object/tangible/ship/crafted/weapon/shared_wpn_heavy_disruptor.iff');
INSERT INTO `object_crc_string_table` VALUES ('2019503580', '785F2DDC', 'object/tangible/ship/crafted/weapon/shared_wpn_heavy_ioncannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('449015883', '1AC3704B', 'object/tangible/ship/crafted/weapon/shared_wpn_light_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('2431967026', '90F4DF32', 'object/tangible/ship/crafted/weapon/shared_wpn_light_blaster_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('1483969238', '587392D6', 'object/tangible/ship/crafted/weapon/shared_wpn_light_disruptor.iff');
INSERT INTO `object_crc_string_table` VALUES ('138585804', '842A6CC', 'object/tangible/ship/crafted/weapon/shared_wpn_light_ioncannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('3503157273', 'D0CDF019', 'object/tangible/ship/crafted/weapon/shared_wpn_medium_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('928727391', '375B415F', 'object/tangible/ship/crafted/weapon/shared_wpn_medium_blaster_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('232741717', 'DDF5B55', 'object/tangible/ship/crafted/weapon/shared_wpn_medium_disruptor.iff');
INSERT INTO `object_crc_string_table` VALUES ('1575907151', '5DEE6F4F', 'object/tangible/ship/crafted/weapon/shared_wpn_medium_ioncannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('2278316907', '87CC5B6B', 'object/tangible/ship/customization/shared_xwing_cowl_neg_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1557918716', '5CDBF3FC', 'object/tangible/ship/customization/shared_xwing_cowl_neg_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2209400056', '83B0C4F8', 'object/tangible/ship/customization/shared_xwing_gun_neg_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1487367279', '58A76C6F', 'object/tangible/ship/customization/shared_xwing_gun_neg_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('900489122', '35AC5FA2', 'object/tangible/ship/customization/shared_xwing_thruster_neg_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4005295925', 'EEBBF735', 'object/tangible/ship/customization/shared_xwing_thruster_neg_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3974262189', 'ECE26DAD', 'object/tangible/ship/interior_components/shared_alarm_interior.iff');
INSERT INTO `object_crc_string_table` VALUES ('1352184706', '5098B382', 'object/tangible/ship/interior_components/shared_booster_interior.iff');
INSERT INTO `object_crc_string_table` VALUES ('2832895610', 'A8DA8E7A', 'object/tangible/ship/interior_components/shared_capacitor_interior.iff');
INSERT INTO `object_crc_string_table` VALUES ('3377520816', 'C950E0B0', 'object/tangible/ship/interior_components/shared_droid_interface_interior.iff');
INSERT INTO `object_crc_string_table` VALUES ('2189154037', '827BD6F5', 'object/tangible/ship/interior_components/shared_engine_interior.iff');
INSERT INTO `object_crc_string_table` VALUES ('3990614703', 'EDDBF2AF', 'object/tangible/ship/interior_components/shared_escape_pod_hatch.iff');
INSERT INTO `object_crc_string_table` VALUES ('3234906407', 'C0D0C127', 'object/tangible/ship/interior_components/shared_hull_access_interior.iff');
INSERT INTO `object_crc_string_table` VALUES ('3880861694', 'E7513FFE', 'object/tangible/ship/interior_components/shared_hyperdrive_interior.iff');
INSERT INTO `object_crc_string_table` VALUES ('1650278519', '625D4077', 'object/tangible/ship/interior_components/shared_interior_component_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3443371299', 'CD3DAD23', 'object/tangible/ship/interior_components/shared_life_support_interior.iff');
INSERT INTO `object_crc_string_table` VALUES ('3763171458', 'E04D7082', 'object/tangible/ship/interior_components/shared_missile_launcher_interior.iff');
INSERT INTO `object_crc_string_table` VALUES ('3308870721', 'C5395C41', 'object/tangible/ship/interior_components/shared_plasma_conduit_interior.iff');
INSERT INTO `object_crc_string_table` VALUES ('2128920004', '7EE4BDC4', 'object/tangible/ship/interior_components/shared_reactor_interior.iff');
INSERT INTO `object_crc_string_table` VALUES ('1208361503', '4806221F', 'object/tangible/ship/interior_components/shared_shield_generator_interior.iff');
INSERT INTO `object_crc_string_table` VALUES ('2082379213', '7C1E95CD', 'object/tangible/ship/interior_components/shared_targeting_station_interior.iff');
INSERT INTO `object_crc_string_table` VALUES ('1599351425', '5F542A81', 'object/tangible/ship/interior_components/shared_weapon_interior.iff');
INSERT INTO `object_crc_string_table` VALUES ('3541722217', 'D31A6469', 'object/tangible/shipcontrol/shared_pilot_chair.iff');
INSERT INTO `object_crc_string_table` VALUES ('543526931', '20659013', 'object/tangible/shipcontrol/shared_shipcontrol_corvette.iff');
INSERT INTO `object_crc_string_table` VALUES ('362033500', '1594315C', 'object/tangible/shipcontrol/shared_shipcontrol_falcon.iff');
INSERT INTO `object_crc_string_table` VALUES ('752872042', '2CDFEA6A', 'object/tangible/shipcontrol/shared_shipoperations_falcon.iff');
INSERT INTO `object_crc_string_table` VALUES ('3238239508', 'C1039D14', 'object/tangible/shipcontrol/shared_turretcontrol_falcon.iff');
INSERT INTO `object_crc_string_table` VALUES ('315011154', '12C6B052', 'object/tangible/shipcontrol/shared_turretcontrol_vt49.iff');
INSERT INTO `object_crc_string_table` VALUES ('675816768', '28482540', 'object/tangible/sign/base/shared_base_sign.iff');
INSERT INTO `object_crc_string_table` VALUES ('354971311', '15286EAF', 'object/tangible/sign/municipal/base/shared_municipal_sign_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3236011689', 'C0E19EA9', 'object/tangible/sign/municipal/shared_municipal_sign_hanging_bank.iff');
INSERT INTO `object_crc_string_table` VALUES ('3410306211', 'CB4524A3', 'object/tangible/sign/municipal/shared_municipal_sign_hanging_cantina.iff');
INSERT INTO `object_crc_string_table` VALUES ('3771237737', 'E0C88569', 'object/tangible/sign/municipal/shared_municipal_sign_hanging_capitol.iff');
INSERT INTO `object_crc_string_table` VALUES ('3647827532', 'D96D6E4C', 'object/tangible/sign/municipal/shared_municipal_sign_hanging_cloning.iff');
INSERT INTO `object_crc_string_table` VALUES ('1785001308', '6A64F55C', 'object/tangible/sign/municipal/shared_municipal_sign_hanging_combat.iff');
INSERT INTO `object_crc_string_table` VALUES ('1680490925', '642A41AD', 'object/tangible/sign/municipal/shared_municipal_sign_hanging_commerce.iff');
INSERT INTO `object_crc_string_table` VALUES ('3811548404', 'E32F9CF4', 'object/tangible/sign/municipal/shared_municipal_sign_hanging_hospital.iff');
INSERT INTO `object_crc_string_table` VALUES ('101788547', '6112B83', 'object/tangible/sign/municipal/shared_municipal_sign_hanging_hotel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2041501823', '79AED87F', 'object/tangible/sign/municipal/shared_municipal_sign_hanging_parking.iff');
INSERT INTO `object_crc_string_table` VALUES ('2402289971', '8F300933', 'object/tangible/sign/municipal/shared_municipal_sign_hanging_shuttle.iff');
INSERT INTO `object_crc_string_table` VALUES ('555356506', '211A115A', 'object/tangible/sign/municipal/shared_municipal_sign_hanging_starport.iff');
INSERT INTO `object_crc_string_table` VALUES ('1423370292', '54D6E834', 'object/tangible/sign/municipal/shared_municipal_sign_hanging_theater.iff');
INSERT INTO `object_crc_string_table` VALUES ('2713174086', 'A1B7C046', 'object/tangible/sign/municipal/shared_municipal_sign_hanging_university.iff');
INSERT INTO `object_crc_string_table` VALUES ('2165019612', '810B93DC', 'object/tangible/sign/player/banner/shared_banner_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1294986677', '4D2FEDB5', 'object/tangible/sign/player/banner/shared_pa_hall.iff');
INSERT INTO `object_crc_string_table` VALUES ('1607004274', '5FC8F072', 'object/tangible/sign/player/base/shared_player_sign_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1431689328', '5555D870', 'object/tangible/sign/player/base/shared_shop_sign_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2527534357', '96A71D15', 'object/tangible/sign/player/shared_house_address.iff');
INSERT INTO `object_crc_string_table` VALUES ('1770300189', '6984A31D', 'object/tangible/sign/player/shared_house_address_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('3585850510', 'D5BBBC8E', 'object/tangible/sign/player/shared_house_address_naboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('1439154818', '55C7C282', 'object/tangible/sign/player/shared_house_address_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('3889554743', 'E7D5E537', 'object/tangible/sign/player/shared_shop_sign_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1019366816', '3CC24DA0', 'object/tangible/sign/player/shared_shop_sign_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1976511021', '75CF2A2D', 'object/tangible/sign/player/shared_shop_sign_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2385248569', '8E2C0139', 'object/tangible/sign/player/shared_shop_sign_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('533444800', '1FCBB8C0', 'object/tangible/sign/shared_all_sign_city_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3302756439', 'C4DC1057', 'object/tangible/sign/shared_all_sign_city_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2379315162', '8DD177DA', 'object/tangible/sign/shared_all_sign_city_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1023580937', '3D029B09', 'object/tangible/sign/shared_all_sign_street_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('281440325', '10C67045', 'object/tangible/sign/shared_streetsign_upright_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1744336727', '67F87757', 'object/tangible/sign/shared_streetsign_wall_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('166858799', '9F2102F', 'object/tangible/sign/shared_tatooine_moraj_marker.iff');
INSERT INTO `object_crc_string_table` VALUES ('150738371', '8FC15C3', 'object/tangible/skill_buff/base/shared_skill_buff_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3070103050', 'B6FE0E0A', 'object/tangible/skill_buff/shared_skill_buff_carbine_accuracy.iff');
INSERT INTO `object_crc_string_table` VALUES ('2417642005', '901A4A15', 'object/tangible/skill_buff/shared_skill_buff_carbine_speed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1148030361', '446D8D99', 'object/tangible/skill_buff/shared_skill_buff_heavy_weapon_accuracy.iff');
INSERT INTO `object_crc_string_table` VALUES ('2003739536', '776EA390', 'object/tangible/skill_buff/shared_skill_buff_heavy_weapon_speed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2803312333', 'A71726CD', 'object/tangible/skill_buff/shared_skill_buff_mask_scent.iff');
INSERT INTO `object_crc_string_table` VALUES ('687567212', '28FB716C', 'object/tangible/skill_buff/shared_skill_buff_melee_accuracy.iff');
INSERT INTO `object_crc_string_table` VALUES ('3148321230', 'BBA791CE', 'object/tangible/skill_buff/shared_skill_buff_melee_defense.iff');
INSERT INTO `object_crc_string_table` VALUES ('336832987', '1413A9DB', 'object/tangible/skill_buff/shared_skill_buff_onehandmelee_accuracy.iff');
INSERT INTO `object_crc_string_table` VALUES ('3043511880', 'B5684E48', 'object/tangible/skill_buff/shared_skill_buff_onehandmelee_speed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4053673313', 'F19E2561', 'object/tangible/skill_buff/shared_skill_buff_pistol_accuracy.iff');
INSERT INTO `object_crc_string_table` VALUES ('3705181543', 'DCD89567', 'object/tangible/skill_buff/shared_skill_buff_pistol_speed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2877612542', 'AB84E1FE', 'object/tangible/skill_buff/shared_skill_buff_polearm_accuracy.iff');
INSERT INTO `object_crc_string_table` VALUES ('2574942749', '997A821D', 'object/tangible/skill_buff/shared_skill_buff_polearm_speed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2321374102', '8A5D5B96', 'object/tangible/skill_buff/shared_skill_buff_ranged_accuracy.iff');
INSERT INTO `object_crc_string_table` VALUES ('655697476', '27152644', 'object/tangible/skill_buff/shared_skill_buff_ranged_defense.iff');
INSERT INTO `object_crc_string_table` VALUES ('1676691901', '63F049BD', 'object/tangible/skill_buff/shared_skill_buff_rifle_accuracy.iff');
INSERT INTO `object_crc_string_table` VALUES ('1002436514', '3BBFF7A2', 'object/tangible/skill_buff/shared_skill_buff_rifle_speed.iff');
INSERT INTO `object_crc_string_table` VALUES ('675038361', '283C4499', 'object/tangible/skill_buff/shared_skill_buff_thrown_accuracy.iff');
INSERT INTO `object_crc_string_table` VALUES ('2671557576', '9F3CBBC8', 'object/tangible/skill_buff/shared_skill_buff_thrown_speed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1962907578', '74FF97BA', 'object/tangible/skill_buff/shared_skill_buff_twohandmelee_accuracy.iff');
INSERT INTO `object_crc_string_table` VALUES ('2007596912', '77A97F70', 'object/tangible/skill_buff/shared_skill_buff_twohandmelee_speed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2213257613', '83EBA18D', 'object/tangible/skill_buff/shared_skill_buff_unarmed_accuracy.iff');
INSERT INTO `object_crc_string_table` VALUES ('2704330106', 'A130CD7A', 'object/tangible/skill_buff/shared_skill_buff_unarmed_speed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2423629000', '9075A4C8', 'object/tangible/slicing/shared_slicing_armor_upgrade_kit.iff');
INSERT INTO `object_crc_string_table` VALUES ('352400896', '15013600', 'object/tangible/slicing/shared_slicing_flow_analyzer.iff');
INSERT INTO `object_crc_string_table` VALUES ('3905355100', 'E8C6FD5C', 'object/tangible/slicing/shared_slicing_laser_knife.iff');
INSERT INTO `object_crc_string_table` VALUES ('2663745100', '9EC5864C', 'object/tangible/slicing/shared_slicing_molecular_clamp.iff');
INSERT INTO `object_crc_string_table` VALUES ('3282826133', 'C3ABF395', 'object/tangible/slicing/shared_slicing_weapon_upgrade_kit.iff');
INSERT INTO `object_crc_string_table` VALUES ('1336476935', '4FA90507', 'object/tangible/space/content_infrastructure/shared_basic_corridor_point.iff');
INSERT INTO `object_crc_string_table` VALUES ('2123564231', '7E9304C7', 'object/tangible/space/content_infrastructure/shared_basic_generic_point.iff');
INSERT INTO `object_crc_string_table` VALUES ('233417941', 'DE9ACD5', 'object/tangible/space/content_infrastructure/shared_basic_patrol_point.iff');
INSERT INTO `object_crc_string_table` VALUES ('283550594', '10E6A382', 'object/tangible/space/content_infrastructure/shared_basic_spawner.iff');
INSERT INTO `object_crc_string_table` VALUES ('2712609943', 'A1AF2497', 'object/tangible/space/content_infrastructure/shared_content_manager.iff');
INSERT INTO `object_crc_string_table` VALUES ('2186464753', '8252CDF1', 'object/tangible/space/content_infrastructure/shared_corridor_end_spawner.iff');
INSERT INTO `object_crc_string_table` VALUES ('4139087673', 'F6B57739', 'object/tangible/space/content_infrastructure/shared_corridor_start_spawner.iff');
INSERT INTO `object_crc_string_table` VALUES ('2261680514', '86CE8182', 'object/tangible/space/content_infrastructure/shared_generic_egg_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('4256567837', 'FDB6121D', 'object/tangible/space/content_infrastructure/shared_patrol_spawner.iff');
INSERT INTO `object_crc_string_table` VALUES ('493351489', '1D67F241', 'object/tangible/space/content_infrastructure/shared_quest_manager.iff');
INSERT INTO `object_crc_string_table` VALUES ('339299356', '14394C1C', 'object/tangible/space/content_infrastructure/shared_quest_nav_point.iff');
INSERT INTO `object_crc_string_table` VALUES ('3763775974', 'E056A9E6', 'object/tangible/space/content_infrastructure/shared_wave_spawner.iff');
INSERT INTO `object_crc_string_table` VALUES ('1578605257', '5E179AC9', 'object/tangible/space/mission_objects/shared_palace_access_doc.iff');
INSERT INTO `object_crc_string_table` VALUES ('1004695364', '3BE26F44', 'object/tangible/space/mission_objects/shared_transfer_auth.iff');
INSERT INTO `object_crc_string_table` VALUES ('3055118687', 'B619695F', 'object/tangible/space/spacestations/shared_spacestation_imperial_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2372198483', '8D64E053', 'object/tangible/space/spacestations/shared_spacestation_imperial_battlefield_control.iff');
INSERT INTO `object_crc_string_table` VALUES ('3537441951', 'D2D9149F', 'object/tangible/space/spacestations/shared_spacestation_imperial_battlefield_entry.iff');
INSERT INTO `object_crc_string_table` VALUES ('2417244262', '90143866', 'object/tangible/space/spacestations/shared_spacestation_neutral_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2407802973', '8F84285D', 'object/tangible/space/spacestations/shared_spacestation_rebel_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3861915556', 'E63027A4', 'object/tangible/space/spacestations/shared_spacestation_rebel_battlefield_control.iff');
INSERT INTO `object_crc_string_table` VALUES ('2272557315', '87747903', 'object/tangible/space/spacestations/shared_spacestation_rebel_battlefield_entry.iff');
INSERT INTO `object_crc_string_table` VALUES ('1384769825', '5289E921', 'object/tangible/space/special_loot/shared_encoded_document.iff');
INSERT INTO `object_crc_string_table` VALUES ('3265273647', 'C2A01F2F', 'object/tangible/space/special_loot/shared_firespray_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3529502508', 'D25FEF2C', 'object/tangible/space/special_loot/shared_firespray_schematic_part1.iff');
INSERT INTO `object_crc_string_table` VALUES ('155731899', '94847BB', 'object/tangible/space/special_loot/shared_firespray_schematic_part2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1078272054', '40452036', 'object/tangible/space/special_loot/shared_firespray_schematic_part3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3148221218', 'BBA60B22', 'object/tangible/space/special_loot/shared_firespray_schematic_part4.iff');
INSERT INTO `object_crc_string_table` VALUES ('4071320751', 'F2AB6CAF', 'object/tangible/space/special_loot/shared_firespray_schematic_part5.iff');
INSERT INTO `object_crc_string_table` VALUES ('700236856', '29BCC438', 'object/tangible/space/special_loot/shared_firespray_schematic_part6.iff');
INSERT INTO `object_crc_string_table` VALUES ('1622254517', '60B1A3B5', 'object/tangible/space/special_loot/shared_firespray_schematic_part7.iff');
INSERT INTO `object_crc_string_table` VALUES ('3669725095', 'DABB8FA7', 'object/tangible/space/special_loot/shared_firespray_schematic_part8.iff');
INSERT INTO `object_crc_string_table` VALUES ('3579895697', 'D560DF91', 'object/tangible/space/story_loot/shared_loot_all_freighter.iff');
INSERT INTO `object_crc_string_table` VALUES ('3551864923', 'D3B5285B', 'object/tangible/space/story_loot/shared_loot_all_freighter_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1723215073', '66B62CE1', 'object/tangible/space/story_loot/shared_loot_dantooine_anthro.iff');
INSERT INTO `object_crc_string_table` VALUES ('592143953', '234B6651', 'object/tangible/space/story_loot/shared_loot_dantooine_anthro2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3245065394', 'C16BC4B2', 'object/tangible/space/story_loot/shared_loot_dantooine_blacksun.iff');
INSERT INTO `object_crc_string_table` VALUES ('298529626', '11CB335A', 'object/tangible/space/story_loot/shared_loot_dantooine_blacksun2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4024561732', 'EFE1F044', 'object/tangible/space/story_loot/shared_loot_dantooine_force.iff');
INSERT INTO `object_crc_string_table` VALUES ('2359349823', '8CA0D23F', 'object/tangible/space/story_loot/shared_loot_dantooine_imp.iff');
INSERT INTO `object_crc_string_table` VALUES ('3751168254', 'DF9648FE', 'object/tangible/space/story_loot/shared_loot_dantooine_imp2.iff');
INSERT INTO `object_crc_string_table` VALUES ('506610356', '1E3242B4', 'object/tangible/space/story_loot/shared_loot_dantooine_junk.iff');
INSERT INTO `object_crc_string_table` VALUES ('1637466894', '6199C30E', 'object/tangible/space/story_loot/shared_loot_dantooine_junk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('680830083', '2894A483', 'object/tangible/space/story_loot/shared_loot_dantooine_junk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1853798346', '6E7EB7CA', 'object/tangible/space/story_loot/shared_loot_dantooine_mining.iff');
INSERT INTO `object_crc_string_table` VALUES ('3453526249', 'CDD8A0E9', 'object/tangible/space/story_loot/shared_loot_dantooine_mining2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3847010341', 'E54CB825', 'object/tangible/space/story_loot/shared_loot_dantooine_rebel.iff');
INSERT INTO `object_crc_string_table` VALUES ('3180356710', 'BD906466', 'object/tangible/space/story_loot/shared_loot_dantooine_rebel2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1838597503', '6D96C57F', 'object/tangible/space/story_loot/shared_loot_dantooine_scavengers.iff');
INSERT INTO `object_crc_string_table` VALUES ('686371632', '28E93330', 'object/tangible/space/story_loot/shared_loot_dantooine_scavengers2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1642353853', '61E454BD', 'object/tangible/space/story_loot/shared_loot_dantooine_scavengers3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3661960880', 'DA4516B0', 'object/tangible/space/story_loot/shared_loot_dantooine_slave.iff');
INSERT INTO `object_crc_string_table` VALUES ('1982024474', '76234B1A', 'object/tangible/space/story_loot/shared_loot_dantooine_warren.iff');
INSERT INTO `object_crc_string_table` VALUES ('843112558', '3240E06E', 'object/tangible/space/story_loot/shared_loot_endor_artisan.iff');
INSERT INTO `object_crc_string_table` VALUES ('3188995210', 'BE14348A', 'object/tangible/space/story_loot/shared_loot_endor_artisan2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4247652196', 'FD2E0764', 'object/tangible/space/story_loot/shared_loot_endor_series_tinrilo.iff');
INSERT INTO `object_crc_string_table` VALUES ('1520410243', '5A9F9E83', 'object/tangible/space/story_loot/shared_loot_naboo_borvo.iff');
INSERT INTO `object_crc_string_table` VALUES ('2417494884', '90180B64', 'object/tangible/space/story_loot/shared_loot_naboo_civspeeder.iff');
INSERT INTO `object_crc_string_table` VALUES ('1611326943', '600AE5DF', 'object/tangible/space/story_loot/shared_loot_naboo_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('854700506', '32F1B1DA', 'object/tangible/space/story_loot/shared_loot_naboo_imperial.iff');
INSERT INTO `object_crc_string_table` VALUES ('1114974083', '42752783', 'object/tangible/space/story_loot/shared_loot_naboo_miner.iff');
INSERT INTO `object_crc_string_table` VALUES ('355997813', '15381875', 'object/tangible/space/story_loot/shared_loot_naboo_rsf.iff');
INSERT INTO `object_crc_string_table` VALUES ('3063834510', 'B69E678E', 'object/tangible/space/story_loot/shared_loot_naboo_series_tinrilo.iff');
INSERT INTO `object_crc_string_table` VALUES ('3042526533', 'B5594545', 'object/tangible/space/story_loot/shared_loot_tatooine_bestine_pirates.iff');
INSERT INTO `object_crc_string_table` VALUES ('2091210633', '7CA55789', 'object/tangible/space/story_loot/shared_loot_tatooine_blacksun.iff');
INSERT INTO `object_crc_string_table` VALUES ('1403716599', '53AB03F7', 'object/tangible/space/story_loot/shared_loot_tatooine_blacksun2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1733541614', '6753BEEE', 'object/tangible/space/story_loot/shared_loot_tatooine_hutt.iff');
INSERT INTO `object_crc_string_table` VALUES ('804394387', '2FF21593', 'object/tangible/space/story_loot/shared_loot_tatooine_imp.iff');
INSERT INTO `object_crc_string_table` VALUES ('2776381679', 'A57C38EF', 'object/tangible/space/story_loot/shared_loot_tatooine_mining.iff');
INSERT INTO `object_crc_string_table` VALUES ('2201065761', '83319921', 'object/tangible/space/story_loot/shared_loot_tatooine_rebel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1420399460', '54A99364', 'object/tangible/space/story_loot/shared_loot_tatooine_series_tinrilo.iff');
INSERT INTO `object_crc_string_table` VALUES ('1385044449', '528E19E1', 'object/tangible/space/story_loot/shared_loot_tatooine_valarian.iff');
INSERT INTO `object_crc_string_table` VALUES ('4061585871', 'F216E1CF', 'object/tangible/space/story_loot/shared_loot_template.iff');
INSERT INTO `object_crc_string_table` VALUES ('2280159140', '87E877A4', 'object/tangible/space/veteran_reward/shared_sorosuub_space_yacht_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2009793095', '77CB0247', 'object/tangible/spawning/shared_fs_village_npc_spawner.iff');
INSERT INTO `object_crc_string_table` VALUES ('3065118291', 'B6B1FE53', 'object/tangible/spawning/shared_quest_spawner.iff');
INSERT INTO `object_crc_string_table` VALUES ('1732078563', '673D6BE3', 'object/tangible/spawning/shared_remote_theater_spawner.iff');
INSERT INTO `object_crc_string_table` VALUES ('85728691', '51C1DB3', 'object/tangible/spawning/shared_spawn_egg.iff');
INSERT INTO `object_crc_string_table` VALUES ('1991875875', '76B99D23', 'object/tangible/speaker/shared_speaker.iff');
INSERT INTO `object_crc_string_table` VALUES ('2568376858', '9916521A', 'object/tangible/survey_tool/base/shared_survey_tool_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('255686868', 'F3D78D4', 'object/tangible/survey_tool/shared_survey_tool_all.iff');
INSERT INTO `object_crc_string_table` VALUES ('1059021891', '3F1F6443', 'object/tangible/survey_tool/shared_survey_tool_gas.iff');
INSERT INTO `object_crc_string_table` VALUES ('3427396409', 'CC49EB39', 'object/tangible/survey_tool/shared_survey_tool_inorganic.iff');
INSERT INTO `object_crc_string_table` VALUES ('2242363434', '85A7C02A', 'object/tangible/survey_tool/shared_survey_tool_liquid.iff');
INSERT INTO `object_crc_string_table` VALUES ('1329114448', '4F38AD50', 'object/tangible/survey_tool/shared_survey_tool_lumber.iff');
INSERT INTO `object_crc_string_table` VALUES ('2862265132', 'AA9AB32C', 'object/tangible/survey_tool/shared_survey_tool_mineral.iff');
INSERT INTO `object_crc_string_table` VALUES ('2175673400', '81AE2438', 'object/tangible/survey_tool/shared_survey_tool_moisture.iff');
INSERT INTO `object_crc_string_table` VALUES ('963146674', '396873B2', 'object/tangible/survey_tool/shared_survey_tool_organic.iff');
INSERT INTO `object_crc_string_table` VALUES ('2341848205', '8B95C48D', 'object/tangible/survey_tool/shared_survey_tool_solar.iff');
INSERT INTO `object_crc_string_table` VALUES ('566467536', '21C39BD0', 'object/tangible/survey_tool/shared_survey_tool_wind.iff');
INSERT INTO `object_crc_string_table` VALUES ('88218105', '54219F9', 'object/tangible/terminal/base/shared_base_terminal.iff');
INSERT INTO `object_crc_string_table` VALUES ('909741262', '36398CCE', 'object/tangible/terminal/shared_terminal_ballot_box.iff');
INSERT INTO `object_crc_string_table` VALUES ('1989986645', '769CC955', 'object/tangible/terminal/shared_terminal_bank.iff');
INSERT INTO `object_crc_string_table` VALUES ('3631323563', 'D87199AB', 'object/tangible/terminal/shared_terminal_bazaar.iff');
INSERT INTO `object_crc_string_table` VALUES ('234637781', 'DFC49D5', 'object/tangible/terminal/shared_terminal_bestine_quests_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3605782850', 'D6EBE142', 'object/tangible/terminal/shared_terminal_bestine_quests_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2682685135', '9FE686CF', 'object/tangible/terminal/shared_terminal_bestine_quests_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('4023071175', 'EFCB31C7', 'object/tangible/terminal/shared_terminal_bounty_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('1444012427', '5611E18B', 'object/tangible/terminal/shared_terminal_character_builder.iff');
INSERT INTO `object_crc_string_table` VALUES ('379393128', '169D1468', 'object/tangible/terminal/shared_terminal_city.iff');
INSERT INTO `object_crc_string_table` VALUES ('1204497275', '47CB2B7B', 'object/tangible/terminal/shared_terminal_city_vote.iff');
INSERT INTO `object_crc_string_table` VALUES ('3781560082', 'E1660712', 'object/tangible/terminal/shared_terminal_cloning.iff');
INSERT INTO `object_crc_string_table` VALUES ('245813721', 'EA6D1D9', 'object/tangible/terminal/shared_terminal_command_console.iff');
INSERT INTO `object_crc_string_table` VALUES ('1992103782', '76BD1766', 'object/tangible/terminal/shared_terminal_dark_enclave_challenge.iff');
INSERT INTO `object_crc_string_table` VALUES ('2329382269', '8AD78D7D', 'object/tangible/terminal/shared_terminal_dark_enclave_voting.iff');
INSERT INTO `object_crc_string_table` VALUES ('278443635', '1098B673', 'object/tangible/terminal/shared_terminal_elevator.iff');
INSERT INTO `object_crc_string_table` VALUES ('3298826986', 'C4A01AEA', 'object/tangible/terminal/shared_terminal_elevator_down.iff');
INSERT INTO `object_crc_string_table` VALUES ('115529514', '6E2D72A', 'object/tangible/terminal/shared_terminal_elevator_up.iff');
INSERT INTO `object_crc_string_table` VALUES ('3878794306', 'E731B442', 'object/tangible/terminal/shared_terminal_geo_bunker.iff');
INSERT INTO `object_crc_string_table` VALUES ('724271921', '2B2B8331', 'object/tangible/terminal/shared_terminal_guild.iff');
INSERT INTO `object_crc_string_table` VALUES ('489350492', '1D2AE55C', 'object/tangible/terminal/shared_terminal_hq.iff');
INSERT INTO `object_crc_string_table` VALUES ('3161971452', 'BC77DAFC', 'object/tangible/terminal/shared_terminal_hq_imperial.iff');
INSERT INTO `object_crc_string_table` VALUES ('1176471647', '461F885F', 'object/tangible/terminal/shared_terminal_hq_rebel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2229698005', '84E67DD5', 'object/tangible/terminal/shared_terminal_hq_turret_control.iff');
INSERT INTO `object_crc_string_table` VALUES ('2511005752', '95AAE838', 'object/tangible/terminal/shared_terminal_imagedesign.iff');
INSERT INTO `object_crc_string_table` VALUES ('1029213671', '3D588DE7', 'object/tangible/terminal/shared_terminal_insurance.iff');
INSERT INTO `object_crc_string_table` VALUES ('249891408', 'EE50A50', 'object/tangible/terminal/shared_terminal_jukebox.iff');
INSERT INTO `object_crc_string_table` VALUES ('2945424908', 'AF8F9E0C', 'object/tangible/terminal/shared_terminal_light_enclave_challenge.iff');
INSERT INTO `object_crc_string_table` VALUES ('1384984494', '528D2FAE', 'object/tangible/terminal/shared_terminal_light_enclave_voting.iff');
INSERT INTO `object_crc_string_table` VALUES ('2907007746', 'AD456B02', 'object/tangible/terminal/shared_terminal_mission.iff');
INSERT INTO `object_crc_string_table` VALUES ('3927829015', 'EA1DEA17', 'object/tangible/terminal/shared_terminal_mission_artisan.iff');
INSERT INTO `object_crc_string_table` VALUES ('3951925654', 'EB8D9996', 'object/tangible/terminal/shared_terminal_mission_bounty.iff');
INSERT INTO `object_crc_string_table` VALUES ('2410700040', '8FB05D08', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff');
INSERT INTO `object_crc_string_table` VALUES ('4186402280', 'F9876DE8', 'object/tangible/terminal/shared_terminal_mission_imperial.iff');
INSERT INTO `object_crc_string_table` VALUES ('2666426537', '9EEE70A9', 'object/tangible/terminal/shared_terminal_mission_newbie.iff');
INSERT INTO `object_crc_string_table` VALUES ('2082896080', '7C2678D0', 'object/tangible/terminal/shared_terminal_mission_rebel.iff');
INSERT INTO `object_crc_string_table` VALUES ('581658756', '22AB6884', 'object/tangible/terminal/shared_terminal_mission_scout.iff');
INSERT INTO `object_crc_string_table` VALUES ('4114889569', 'F5443B61', 'object/tangible/terminal/shared_terminal_mission_statue.iff');
INSERT INTO `object_crc_string_table` VALUES ('4290085920', 'FFB58420', 'object/tangible/terminal/shared_terminal_newbie_clothing.iff');
INSERT INTO `object_crc_string_table` VALUES ('2721518483', 'A2371393', 'object/tangible/terminal/shared_terminal_newbie_food.iff');
INSERT INTO `object_crc_string_table` VALUES ('3665675874', 'DA7DC662', 'object/tangible/terminal/shared_terminal_newbie_instrument.iff');
INSERT INTO `object_crc_string_table` VALUES ('1668873424', '6378FCD0', 'object/tangible/terminal/shared_terminal_newbie_medicine.iff');
INSERT INTO `object_crc_string_table` VALUES ('4182051530', 'F9450ACA', 'object/tangible/terminal/shared_terminal_newbie_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('3880062907', 'E7450FBB', 'object/tangible/terminal/shared_terminal_nym_cave.iff');
INSERT INTO `object_crc_string_table` VALUES ('4023332994', 'EFCF3082', 'object/tangible/terminal/shared_terminal_player_structure.iff');
INSERT INTO `object_crc_string_table` VALUES ('437907033', '1A19EE59', 'object/tangible/terminal/shared_terminal_player_structure_nosnap.iff');
INSERT INTO `object_crc_string_table` VALUES ('2775644177', 'A570F811', 'object/tangible/terminal/shared_terminal_player_structure_nosnap_mini.iff');
INSERT INTO `object_crc_string_table` VALUES ('1004751674', '3BE34B3A', 'object/tangible/terminal/shared_terminal_pm_register.iff');
INSERT INTO `object_crc_string_table` VALUES ('3308349953', 'C5316A01', 'object/tangible/terminal/shared_terminal_pob_ship.iff');
INSERT INTO `object_crc_string_table` VALUES ('965433242', '398B579A', 'object/tangible/terminal/shared_terminal_ship_interior_security_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1225472505', '490B39F9', 'object/tangible/terminal/shared_terminal_shipping.iff');
INSERT INTO `object_crc_string_table` VALUES ('328711509', '1397BD55', 'object/tangible/terminal/shared_terminal_skill.iff');
INSERT INTO `object_crc_string_table` VALUES ('1701113915', '6564F03B', 'object/tangible/terminal/shared_terminal_space.iff');
INSERT INTO `object_crc_string_table` VALUES ('1946349820', '7402F0FC', 'object/tangible/terminal/shared_terminal_travel.iff');
INSERT INTO `object_crc_string_table` VALUES ('4062337637', 'F2225A65', 'object/tangible/terminal/shared_terminal_water_pressure.iff');
INSERT INTO `object_crc_string_table` VALUES ('3876933537', 'E7154FA1', 'object/tangible/terminal/shared_test.iff');
INSERT INTO `object_crc_string_table` VALUES ('2308658089', '899B53A9', 'object/tangible/test/shared_inventory_filler.iff');
INSERT INTO `object_crc_string_table` VALUES ('3742060699', 'DF0B509B', 'object/tangible/test/shared_test_barrel_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('69007372', '41CF80C', 'object/tangible/test/shared_test_barrel_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('4013228996', 'EF3503C4', 'object/tangible/test/shared_test_jwatson.iff');
INSERT INTO `object_crc_string_table` VALUES ('1611558615', '600E6ED7', 'object/tangible/test/shared_test_pastry_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1340334223', '4FE3E08F', 'object/tangible/test/shared_test_terminal.iff');
INSERT INTO `object_crc_string_table` VALUES ('2668141954', '9F089D82', 'object/tangible/theme_park/alderaan/act2/shared_decoder_comp_housing.iff');
INSERT INTO `object_crc_string_table` VALUES ('1253904609', '4ABD10E1', 'object/tangible/theme_park/alderaan/act2/shared_decoder_comp_power.iff');
INSERT INTO `object_crc_string_table` VALUES ('1745145484', '6804CE8C', 'object/tangible/theme_park/alderaan/act2/shared_decoder_comp_processor.iff');
INSERT INTO `object_crc_string_table` VALUES ('551792434', '20E3AF32', 'object/tangible/theme_park/alderaan/act2/shared_decoder_comp_reader.iff');
INSERT INTO `object_crc_string_table` VALUES ('1766910306', '6950E962', 'object/tangible/theme_park/alderaan/act2/shared_decoder_comp_screen.iff');
INSERT INTO `object_crc_string_table` VALUES ('3061856066', 'B6803742', 'object/tangible/theme_park/alderaan/act2/shared_decoder_comp_translation.iff');
INSERT INTO `object_crc_string_table` VALUES ('1110698456', '4233E9D8', 'object/tangible/theme_park/alderaan/act2/shared_interface_override_device.iff');
INSERT INTO `object_crc_string_table` VALUES ('1889725651', '70A2ECD3', 'object/tangible/theme_park/alderaan/act2/shared_relay_station_terminal.iff');
INSERT INTO `object_crc_string_table` VALUES ('4208054945', 'FAD1D2A1', 'object/tangible/theme_park/alderaan/act3/shared_alderaan_flora.iff');
INSERT INTO `object_crc_string_table` VALUES ('1332386213', '4F6A99A5', 'object/tangible/theme_park/alderaan/act3/shared_broken_grav_unit.iff');
INSERT INTO `object_crc_string_table` VALUES ('2963865200', 'B0A8FE70', 'object/tangible/theme_park/alderaan/act3/shared_dead_eye_prototype.iff');
INSERT INTO `object_crc_string_table` VALUES ('3516039098', 'D1927FBA', 'object/tangible/theme_park/alderaan/act3/shared_encoded_data_disk.iff');
INSERT INTO `object_crc_string_table` VALUES ('3076162697', 'B75A8489', 'object/tangible/theme_park/alderaan/act3/shared_grav_unit_repair_kit.iff');
INSERT INTO `object_crc_string_table` VALUES ('1247686243', '4A5E2E63', 'object/tangible/theme_park/alderaan/act3/shared_repaired_grav_unit.iff');
INSERT INTO `object_crc_string_table` VALUES ('843852525', '324C2AED', 'object/tangible/theme_park/alderaan/act3/shared_research_facility.iff');
INSERT INTO `object_crc_string_table` VALUES ('3509014052', 'D1274E24', 'object/tangible/theme_park/shared_invisible_object.iff');
INSERT INTO `object_crc_string_table` VALUES ('3243898728', 'C159F768', 'object/tangible/transport/base/shared_transport_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2330152069', '8AE34C85', 'object/tangible/transport/shared_door.iff');
INSERT INTO `object_crc_string_table` VALUES ('3646229980', 'D9550DDC', 'object/tangible/transport/shared_strut_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('37922123', '242A54B', 'object/tangible/transport/shared_strut_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1263518406', '4B4FC2C6', 'object/tangible/transport/shared_strut_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('3801530659', 'E296C123', 'object/tangible/transport/shared_transport.iff');
INSERT INTO `object_crc_string_table` VALUES ('1622629631', '60B75CFF', 'object/tangible/travel/shuttle/base/shared_base_travel_shuttle.iff');
INSERT INTO `object_crc_string_table` VALUES ('4243633165', 'FCF0B40D', 'object/tangible/travel/ticket_collector/shared_ticket_collector.iff');
INSERT INTO `object_crc_string_table` VALUES ('3667975811', 'DAA0DE83', 'object/tangible/travel/travel_ticket/base/shared_base_travel_ticket.iff');
INSERT INTO `object_crc_string_table` VALUES ('1400905177', '53801DD9', 'object/tangible/travel/travel_ticket/shared_dungeon_ticket.iff');
INSERT INTO `object_crc_string_table` VALUES ('2463455571', '92D55953', 'object/tangible/treasure_map/shared_treasure_map_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('239886061', 'E4C5EED', 'object/tangible/treasure_map/shared_treasure_map_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2296040317', '88DACB7D', 'object/tangible/trophy/shared_picture_handheld_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1405969386', '53CD63EA', 'object/tangible/trophy/shared_picture_handheld_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3842630349', 'E509E2CD', 'object/tangible/trophy/shared_shisa_decorative_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('580259338', '22960E0A', 'object/tangible/ui/shared_ui_char_cust_pedestal.iff');
INSERT INTO `object_crc_string_table` VALUES ('565167488', '21AFC580', 'object/tangible/ui/shared_ui_planet_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('3225920634', 'C047A47A', 'object/tangible/ui/shared_ui_planet_imperial.iff');
INSERT INTO `object_crc_string_table` VALUES ('3585856086', 'D5BBD256', 'object/tangible/ui/shared_ui_planet_naboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('4127966392', 'F60BC4B8', 'object/tangible/ui/shared_ui_planet_privateer.iff');
INSERT INTO `object_crc_string_table` VALUES ('3636261575', 'D8BCF2C7', 'object/tangible/ui/shared_ui_planet_rebel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2331720771', '8AFB3C43', 'object/tangible/ui/shared_ui_planet_rori.iff');
INSERT INTO `object_crc_string_table` VALUES ('3437864060', 'CCE9A47C', 'object/tangible/ui/shared_ui_planet_talus.iff');
INSERT INTO `object_crc_string_table` VALUES ('502047775', '1DECA41F', 'object/tangible/ui/shared_ui_planet_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('2776424308', 'A57CDF74', 'object/tangible/vendor/base/shared_base_vendor.iff');
INSERT INTO `object_crc_string_table` VALUES ('887599030', '34E7AFB6', 'object/tangible/vendor/shared_vendor_droid_bartender.iff');
INSERT INTO `object_crc_string_table` VALUES ('1459672491', '5700D5AB', 'object/tangible/vendor/shared_vendor_droid_power.iff');
INSERT INTO `object_crc_string_table` VALUES ('844125696', '32505600', 'object/tangible/vendor/shared_vendor_droid_protocol.iff');
INSERT INTO `object_crc_string_table` VALUES ('946679884', '386D304C', 'object/tangible/vendor/shared_vendor_droid_surgical.iff');
INSERT INTO `object_crc_string_table` VALUES ('1745672602', '680CD99A', 'object/tangible/vendor/shared_vendor_droid_wed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1946512190', '74056B3E', 'object/tangible/vendor/shared_vendor_terminal_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('2831480672', 'A8C4F760', 'object/tangible/vendor/shared_vendor_terminal_bulky.iff');
INSERT INTO `object_crc_string_table` VALUES ('3992259223', 'EDF50A97', 'object/tangible/vendor/shared_vendor_terminal_fancy.iff');
INSERT INTO `object_crc_string_table` VALUES ('3179269297', 'BD7FCCB1', 'object/tangible/vendor/shared_vendor_terminal_slim.iff');
INSERT INTO `object_crc_string_table` VALUES ('2513721920', '95D45A40', 'object/tangible/vendor/shared_vendor_terminal_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('90585643', '5663A2B', 'object/tangible/vendor/shared_vendor_terminal_standard.iff');
INSERT INTO `object_crc_string_table` VALUES ('3479300551', 'CF61E9C7', 'object/tangible/veteran_reward/one_year_anniversary/shared_painting_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('343294288', '14764150', 'object/tangible/veteran_reward/one_year_anniversary/shared_painting_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1568351965', '5D7B26DD', 'object/tangible/veteran_reward/one_year_anniversary/shared_painting_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2794982857', 'A6980DC9', 'object/tangible/veteran_reward/one_year_anniversary/shared_painting_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('4019546692', 'EF956A44', 'object/tangible/veteran_reward/one_year_anniversary/shared_painting_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('880984787', '3482C2D3', 'object/tangible/veteran_reward/one_year_anniversary/shared_painting_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('2106565982', '7D8FA55E', 'object/tangible/veteran_reward/one_year_anniversary/shared_painting_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('3347417420', 'C785894C', 'object/tangible/veteran_reward/one_year_anniversary/shared_painting_08.iff');
INSERT INTO `object_crc_string_table` VALUES ('2391338689', '8E88EEC1', 'object/tangible/veteran_reward/one_year_anniversary/shared_painting_09.iff');
INSERT INTO `object_crc_string_table` VALUES ('3168887145', 'BCE16169', 'object/tangible/veteran_reward/shared_antidecay.iff');
INSERT INTO `object_crc_string_table` VALUES ('4198944772', 'FA46D004', 'object/tangible/veteran_reward/shared_data_terminal_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('558987411', '21517893', 'object/tangible/veteran_reward/shared_data_terminal_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1750867742', '685C1F1E', 'object/tangible/veteran_reward/shared_data_terminal_s3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2478781450', '93BF340A', 'object/tangible/veteran_reward/shared_data_terminal_s4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3623049861', 'D7F35A85', 'object/tangible/veteran_reward/shared_emote_group_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3759715763', 'E018B5B3', 'object/tangible/veteran_reward/shared_frn_couch_falcon_corner_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2195321088', '82D9F100', 'object/tangible/veteran_reward/shared_frn_couch_falcon_section_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1297213500', '4D51E83C', 'object/tangible/veteran_reward/shared_frn_tech_console_sectional_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2521186475', '964640AB', 'object/tangible/veteran_reward/shared_frn_tech_console_sectional_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('3746244390', 'DF4B2726', 'object/tangible/veteran_reward/shared_frn_tech_console_sectional_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('614992946', '24A80C32', 'object/tangible/veteran_reward/shared_frn_tech_console_sectional_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('3960625723', 'EC125A3B', 'object/tangible/veteran_reward/shared_frn_vet_darth_vader_toy.iff');
INSERT INTO `object_crc_string_table` VALUES ('3416831363', 'CBA8B583', 'object/tangible/veteran_reward/shared_frn_vet_jabba_toy.iff');
INSERT INTO `object_crc_string_table` VALUES ('2349778145', '8C0EC4E1', 'object/tangible/veteran_reward/shared_frn_vet_protocol_droid_toy.iff');
INSERT INTO `object_crc_string_table` VALUES ('2578350384', '99AE8130', 'object/tangible/veteran_reward/shared_frn_vet_r2_toy.iff');
INSERT INTO `object_crc_string_table` VALUES ('1449977976', '566CE878', 'object/tangible/veteran_reward/shared_frn_vet_stormtrooper_toy.iff');
INSERT INTO `object_crc_string_table` VALUES ('1917299992', '7247AD18', 'object/tangible/veteran_reward/shared_frn_vet_tie_fighter_toy.iff');
INSERT INTO `object_crc_string_table` VALUES ('918916770', '36C58EA2', 'object/tangible/veteran_reward/shared_frn_vet_x_wing_toy.iff');
INSERT INTO `object_crc_string_table` VALUES ('4154009202', 'F7992672', 'object/tangible/veteran_reward/shared_harvester.iff');
INSERT INTO `object_crc_string_table` VALUES ('2099830307', '7D28DE23', 'object/tangible/veteran_reward/shared_resource.iff');
INSERT INTO `object_crc_string_table` VALUES ('1238323119', '49CF4FAF', 'object/tangible/wearables/apron/shared_apron_chef_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3631236476', 'D870457C', 'object/tangible/wearables/apron/shared_apron_porcellus.iff');
INSERT INTO `object_crc_string_table` VALUES ('129788759', '7BC6B57', 'object/tangible/wearables/apron/shared_apron_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3378416176', 'C95E8A30', 'object/tangible/wearables/apron/shared_apron_s01_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2085871516', '7C53DF9C', 'object/tangible/wearables/armor/bone/shared_armor_bone_s01_bicep_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('210147855', 'C869A0F', 'object/tangible/wearables/armor/bone/shared_armor_bone_s01_bicep_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('802627120', '2FD71E30', 'object/tangible/wearables/armor/bone/shared_armor_bone_s01_boots.iff');
INSERT INTO `object_crc_string_table` VALUES ('778039047', '2E5FEF07', 'object/tangible/wearables/armor/bone/shared_armor_bone_s01_bracer_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('1586145940', '5E8AAA94', 'object/tangible/wearables/armor/bone/shared_armor_bone_s01_bracer_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('3552584942', 'D3C024EE', 'object/tangible/wearables/armor/bone/shared_armor_bone_s01_chest_plate.iff');
INSERT INTO `object_crc_string_table` VALUES ('4034830199', 'F07E9F77', 'object/tangible/wearables/armor/bone/shared_armor_bone_s01_gloves.iff');
INSERT INTO `object_crc_string_table` VALUES ('1186889343', '46BE7E7F', 'object/tangible/wearables/armor/bone/shared_armor_bone_s01_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('2709205528', 'A17B3218', 'object/tangible/wearables/armor/bone/shared_armor_bone_s01_leggings.iff');
INSERT INTO `object_crc_string_table` VALUES ('3237390515', 'C0F6A8B3', 'object/tangible/wearables/armor/bone/shared_armor_smc_s01_bicep_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('148447404', '8D920AC', 'object/tangible/wearables/armor/bounty_hunter/shared_armor_bounty_hunter_belt.iff');
INSERT INTO `object_crc_string_table` VALUES ('3816261065', 'E37785C9', 'object/tangible/wearables/armor/bounty_hunter/shared_armor_bounty_hunter_bicep_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('2476916826', '93A2C05A', 'object/tangible/wearables/armor/bounty_hunter/shared_armor_bounty_hunter_bicep_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('564000134', '219DF586', 'object/tangible/wearables/armor/bounty_hunter/shared_armor_bounty_hunter_boots.iff');
INSERT INTO `object_crc_string_table` VALUES ('391592996', '17573C24', 'object/tangible/wearables/armor/bounty_hunter/shared_armor_bounty_hunter_bracer_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('1736604087', '678279B7', 'object/tangible/wearables/armor/bounty_hunter/shared_armor_bounty_hunter_bracer_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('1339202211', '4FD29AA3', 'object/tangible/wearables/armor/bounty_hunter/shared_armor_bounty_hunter_chest_plate.iff');
INSERT INTO `object_crc_string_table` VALUES ('2249951613', '861B897D', 'object/tangible/wearables/armor/bounty_hunter/shared_armor_bounty_hunter_gloves.iff');
INSERT INTO `object_crc_string_table` VALUES ('819685493', '30DB6875', 'object/tangible/wearables/armor/bounty_hunter/shared_armor_bounty_hunter_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('2557731131', '9873E13B', 'object/tangible/wearables/armor/bounty_hunter/shared_armor_bounty_hunter_leggings.iff');
INSERT INTO `object_crc_string_table` VALUES ('1049353985', '3E8BDF01', 'object/tangible/wearables/armor/chitin/shared_armor_chitin_s01_bicep_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('1314822802', '4E5E9A92', 'object/tangible/wearables/armor/chitin/shared_armor_chitin_s01_bicep_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('1961496739', '74EA10A3', 'object/tangible/wearables/armor/chitin/shared_armor_chitin_s01_boots.iff');
INSERT INTO `object_crc_string_table` VALUES ('3411753246', 'CB5B391E', 'object/tangible/wearables/armor/chitin/shared_armor_chitin_s01_bracer_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('3146677389', 'BB8E7C8D', 'object/tangible/wearables/armor/chitin/shared_armor_chitin_s01_bracer_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('590081831', '232BEF27', 'object/tangible/wearables/armor/chitin/shared_armor_chitin_s01_chest_plate.iff');
INSERT INTO `object_crc_string_table` VALUES ('2662099985', '9EAC6C11', 'object/tangible/wearables/armor/chitin/shared_armor_chitin_s01_gloves.iff');
INSERT INTO `object_crc_string_table` VALUES ('678202649', '286C8D19', 'object/tangible/wearables/armor/chitin/shared_armor_chitin_s01_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('1149232129', '447FE401', 'object/tangible/wearables/armor/chitin/shared_armor_chitin_s01_leggings.iff');
INSERT INTO `object_crc_string_table` VALUES ('329570833', '13A4DA11', 'object/tangible/wearables/armor/composite/shared_armor_composite_bicep_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('1668390786', '63719F82', 'object/tangible/wearables/armor/composite/shared_armor_composite_bicep_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('3683772891', 'DB91E9DB', 'object/tangible/wearables/armor/composite/shared_armor_composite_boots.iff');
INSERT INTO `object_crc_string_table` VALUES ('1303386413', '4DB0192D', 'object/tangible/wearables/armor/composite/shared_armor_composite_bracer_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('1030053054', '3D655CBE', 'object/tangible/wearables/armor/composite/shared_armor_composite_bracer_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('2068279078', '7B476F26', 'object/tangible/wearables/armor/composite/shared_armor_composite_chest_plate.iff');
INSERT INTO `object_crc_string_table` VALUES ('741736354', '2C35FFA2', 'object/tangible/wearables/armor/composite/shared_armor_composite_gloves.iff');
INSERT INTO `object_crc_string_table` VALUES ('2599755434', '9AF51EAA', 'object/tangible/wearables/armor/composite/shared_armor_composite_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('3264529458', 'C294C432', 'object/tangible/wearables/armor/composite/shared_armor_composite_leggings.iff');
INSERT INTO `object_crc_string_table` VALUES ('391015330', '174E6BA2', 'object/tangible/wearables/armor/ithorian_defender/shared_ith_armor_s01_bicep_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('1738223153', '679B2E31', 'object/tangible/wearables/armor/ithorian_defender/shared_ith_armor_s01_bicep_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('2766594033', 'A4E6DFF1', 'object/tangible/wearables/armor/ithorian_defender/shared_ith_armor_s01_boots.iff');
INSERT INTO `object_crc_string_table` VALUES ('3020283121', 'B405DCF1', 'object/tangible/wearables/armor/ithorian_defender/shared_ith_armor_s01_bracer_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('3302005090', 'C4D09962', 'object/tangible/wearables/armor/ithorian_defender/shared_ith_armor_s01_bracer_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('2075456355', '7BB4F363', 'object/tangible/wearables/armor/ithorian_defender/shared_ith_armor_s01_chest_plate.iff');
INSERT INTO `object_crc_string_table` VALUES ('2214098424', '83F875F8', 'object/tangible/wearables/armor/ithorian_defender/shared_ith_armor_s01_gloves.iff');
INSERT INTO `object_crc_string_table` VALUES ('892900592', '353894F0', 'object/tangible/wearables/armor/ithorian_defender/shared_ith_armor_s01_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('992018926', '3B2101EE', 'object/tangible/wearables/armor/ithorian_defender/shared_ith_armor_s01_leggings.iff');
INSERT INTO `object_crc_string_table` VALUES ('1211170670', '4830FF6E', 'object/tangible/wearables/armor/ithorian_guardian/shared_ith_armor_s02_bicep_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('954579709', '38E5BAFD', 'object/tangible/wearables/armor/ithorian_guardian/shared_ith_armor_s02_bicep_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('2071589825', '7B79F3C1', 'object/tangible/wearables/armor/ithorian_guardian/shared_ith_armor_s02_boots.iff');
INSERT INTO `object_crc_string_table` VALUES ('2320041547', '8A49064B', 'object/tangible/wearables/armor/ithorian_guardian/shared_ith_armor_s02_bracer_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('4204544984', 'FA9C43D8', 'object/tangible/wearables/armor/ithorian_guardian/shared_ith_armor_s02_bracer_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('1560721233', '5D06B751', 'object/tangible/wearables/armor/ithorian_guardian/shared_ith_armor_s02_chest_plate.iff');
INSERT INTO `object_crc_string_table` VALUES ('889238444', '3500B3AC', 'object/tangible/wearables/armor/ithorian_guardian/shared_ith_armor_s02_gloves.iff');
INSERT INTO `object_crc_string_table` VALUES ('2210419364', '83C052A4', 'object/tangible/wearables/armor/ithorian_guardian/shared_ith_armor_s02_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('91085652', '56DDB54', 'object/tangible/wearables/armor/ithorian_guardian/shared_ith_armor_s02_leggings.iff');
INSERT INTO `object_crc_string_table` VALUES ('2273272421', '877F6265', 'object/tangible/wearables/armor/ithorian_sentinel/shared_ith_armor_s03_bicep_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('4155123702', 'F7AA27F6', 'object/tangible/wearables/armor/ithorian_sentinel/shared_ith_armor_s03_bicep_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('3974465933', 'ECE5898D', 'object/tangible/wearables/armor/ithorian_sentinel/shared_ith_armor_s03_boots.iff');
INSERT INTO `object_crc_string_table` VALUES ('2685476975', 'A011206F', 'object/tangible/wearables/armor/ithorian_sentinel/shared_ith_armor_s03_bracer_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('3502532092', 'D0C465FC', 'object/tangible/wearables/armor/ithorian_sentinel/shared_ith_armor_s03_bracer_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('379409880', '169D55D8', 'object/tangible/wearables/armor/ithorian_sentinel/shared_ith_armor_s03_chest_plate.iff');
INSERT INTO `object_crc_string_table` VALUES ('2451608631', '92209437', 'object/tangible/wearables/armor/ithorian_sentinel/shared_ith_armor_s03_gloves.iff');
INSERT INTO `object_crc_string_table` VALUES ('618689855', '24E0753F', 'object/tangible/wearables/armor/ithorian_sentinel/shared_ith_armor_s03_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('792067440', '2F35FD70', 'object/tangible/wearables/armor/ithorian_sentinel/shared_ith_armor_s03_leggings.iff');
INSERT INTO `object_crc_string_table` VALUES ('2400154328', '8F0F72D8', 'object/tangible/wearables/armor/kashyyykian_black_mtn/shared_armor_kashyyykian_black_mtn_bracer_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('4292491083', 'FFDA374B', 'object/tangible/wearables/armor/kashyyykian_black_mtn/shared_armor_kashyyykian_black_mtn_bracer_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('2677805339', '9F9C111B', 'object/tangible/wearables/armor/kashyyykian_black_mtn/shared_armor_kashyyykian_black_mtn_chest_plate.iff');
INSERT INTO `object_crc_string_table` VALUES ('2863047', '2BAFC7', 'object/tangible/wearables/armor/kashyyykian_black_mtn/shared_armor_kashyyykian_black_mtn_leggings.iff');
INSERT INTO `object_crc_string_table` VALUES ('107997252', '66FE844', 'object/tangible/wearables/armor/kashyyykian_ceremonial/shared_armor_kashyyykian_ceremonial_bracer_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('1991945687', '76BAADD7', 'object/tangible/wearables/armor/kashyyykian_ceremonial/shared_armor_kashyyykian_ceremonial_bracer_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('2342857990', '8BA52D06', 'object/tangible/wearables/armor/kashyyykian_ceremonial/shared_armor_kashyyykian_ceremonial_chest_plate.iff');
INSERT INTO `object_crc_string_table` VALUES ('2303407451', '894B355B', 'object/tangible/wearables/armor/kashyyykian_ceremonial/shared_armor_kashyyykian_ceremonial_leggings.iff');
INSERT INTO `object_crc_string_table` VALUES ('2126287876', '7EBC9404', 'object/tangible/wearables/armor/kashyyykian_hunting/shared_armor_kashyyykian_hunting_bracer_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('241815959', 'E69D197', 'object/tangible/wearables/armor/kashyyykian_hunting/shared_armor_kashyyykian_hunting_bracer_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('3776759545', 'E11CC6F9', 'object/tangible/wearables/armor/kashyyykian_hunting/shared_armor_kashyyykian_hunting_chest_plate.iff');
INSERT INTO `object_crc_string_table` VALUES ('4053289243', 'F198491B', 'object/tangible/wearables/armor/kashyyykian_hunting/shared_armor_kashyyykian_hunting_leggings.iff');
INSERT INTO `object_crc_string_table` VALUES ('1505873604', '59C1CEC4', 'object/tangible/wearables/armor/mandalorian/shared_armor_mandalorian_belt.iff');
INSERT INTO `object_crc_string_table` VALUES ('2184224460', '82309ECC', 'object/tangible/wearables/armor/mandalorian/shared_armor_mandalorian_bicep_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('4075150175', 'F2E5DB5F', 'object/tangible/wearables/armor/mandalorian/shared_armor_mandalorian_bicep_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('4163428868', 'F828E204', 'object/tangible/wearables/armor/mandalorian/shared_armor_mandalorian_bracer_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('2298324887', '88FDA797', 'object/tangible/wearables/armor/mandalorian/shared_armor_mandalorian_bracer_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('609377308', '24525C1C', 'object/tangible/wearables/armor/mandalorian/shared_armor_mandalorian_chest_plate.iff');
INSERT INTO `object_crc_string_table` VALUES ('2170849590', '81648936', 'object/tangible/wearables/armor/mandalorian/shared_armor_mandalorian_gloves.iff');
INSERT INTO `object_crc_string_table` VALUES ('933521470', '37A4683E', 'object/tangible/wearables/armor/mandalorian/shared_armor_mandalorian_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('1997291291', '770C3F1B', 'object/tangible/wearables/armor/mandalorian/shared_armor_mandalorian_leggings.iff');
INSERT INTO `object_crc_string_table` VALUES ('2225952259', '84AD5603', 'object/tangible/wearables/armor/mandalorian/shared_armor_mandalorian_shoes.iff');
INSERT INTO `object_crc_string_table` VALUES ('1193954837', '472A4E15', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s01_belt.iff');
INSERT INTO `object_crc_string_table` VALUES ('912959243', '366AA70B', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s01_bicep_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('1186980504', '46BFE298', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s01_bicep_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('204201638', 'C2BDEA6', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s01_bracer_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('2097060661', '7CFE9B35', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s01_bracer_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('2919726583', 'AE077DF7', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s01_chest_plate.iff');
INSERT INTO `object_crc_string_table` VALUES ('2425881545', '909803C9', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s01_gloves.iff');
INSERT INTO `object_crc_string_table` VALUES ('643359425', '2658E2C1', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s01_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('2198799289', '830F03B9', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s01_leggings.iff');
INSERT INTO `object_crc_string_table` VALUES ('189218995', 'B4740B3', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s02_bicep_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('2073167136', '7B920520', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s02_bicep_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('3490583753', 'D00E14C9', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s02_boots.iff');
INSERT INTO `object_crc_string_table` VALUES ('3291712997', 'C4338DE5', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s02_bracer_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('3035023478', 'B4E6C876', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s02_bracer_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('2524065296', '96722E10', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s02_chest_plate.iff');
INSERT INTO `object_crc_string_table` VALUES ('990779747', '3B0E1963', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s02_chest_plate_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('1259819258', '4B1750FA', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s02_leggings.iff');
INSERT INTO `object_crc_string_table` VALUES ('711641234', '2A6AC892', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s03_bandolier_double.iff');
INSERT INTO `object_crc_string_table` VALUES ('3823310518', 'E3E316B6', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s03_bicep_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('2469810981', '93365325', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s03_bicep_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('698520359', '29A29327', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s03_boots.iff');
INSERT INTO `object_crc_string_table` VALUES ('2210677540', '83C44324', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s03_bracer_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('4077979319', 'F31106B7', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s03_bracer_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('2174820173', '81A11F4D', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s03_chest_plate.iff');
INSERT INTO `object_crc_string_table` VALUES ('2675295685', '9F75C5C5', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s03_gloves.iff');
INSERT INTO `object_crc_string_table` VALUES ('699737293', '29B524CD', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s03_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('216047163', 'CE09E3B', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s03_leggings.iff');
INSERT INTO `object_crc_string_table` VALUES ('1616221801', '60559669', 'object/tangible/wearables/armor/marine/shared_armor_marine_backpack.iff');
INSERT INTO `object_crc_string_table` VALUES ('377642897', '16825F91', 'object/tangible/wearables/armor/marine/shared_armor_marine_bicep_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('1716984322', '66571A02', 'object/tangible/wearables/armor/marine/shared_armor_marine_bicep_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('168220197', 'A06D625', 'object/tangible/wearables/armor/marine/shared_armor_marine_boots.iff');
INSERT INTO `object_crc_string_table` VALUES ('2560891493', '98A41A65', 'object/tangible/wearables/armor/marine/shared_armor_marine_chest_plate.iff');
INSERT INTO `object_crc_string_table` VALUES ('3425564515', 'CC2DF763', 'object/tangible/wearables/armor/marine/shared_armor_marine_chest_plate_rebel.iff');
INSERT INTO `object_crc_string_table` VALUES ('412137204', '1890B6F4', 'object/tangible/wearables/armor/marine/shared_armor_marine_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('4090769241', 'F3D42F59', 'object/tangible/wearables/armor/marine/shared_armor_marine_leggings.iff');
INSERT INTO `object_crc_string_table` VALUES ('781466578', '2E943BD2', 'object/tangible/wearables/armor/nightsister/shared_armor_nightsister_bicep_r_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4150080953', 'F75D35B9', 'object/tangible/wearables/armor/padded/shared_armor_padded_s01_belt.iff');
INSERT INTO `object_crc_string_table` VALUES ('3710375326', 'DD27D59E', 'object/tangible/wearables/armor/padded/shared_armor_padded_s01_bicep_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('2918354957', 'ADF2900D', 'object/tangible/wearables/armor/padded/shared_armor_padded_s01_bicep_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('343908402', '147FA032', 'object/tangible/wearables/armor/padded/shared_armor_padded_s01_boots.iff');
INSERT INTO `object_crc_string_table` VALUES ('2948310718', 'AFBBA6BE', 'object/tangible/wearables/armor/padded/shared_armor_padded_s01_bracer_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('3748586285', 'DF6EE32D', 'object/tangible/wearables/armor/padded/shared_armor_padded_s01_bracer_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('927787210', '374CE8CA', 'object/tangible/wearables/armor/padded/shared_armor_padded_s01_chest_plate.iff');
INSERT INTO `object_crc_string_table` VALUES ('2813934470', 'A7B93B86', 'object/tangible/wearables/armor/padded/shared_armor_padded_s01_gloves.iff');
INSERT INTO `object_crc_string_table` VALUES ('293198478', '1179DA8E', 'object/tangible/wearables/armor/padded/shared_armor_padded_s01_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('547322785', '209F7BA1', 'object/tangible/wearables/armor/padded/shared_armor_padded_s01_leggings.iff');
INSERT INTO `object_crc_string_table` VALUES ('1200831709', '47933CDD', 'object/tangible/wearables/armor/ris/shared_armor_ris_bicep_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('927365454', '3746794E', 'object/tangible/wearables/armor/ris/shared_armor_ris_bicep_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('1126436738', '43240F82', 'object/tangible/wearables/armor/ris/shared_armor_ris_boots.iff');
INSERT INTO `object_crc_string_table` VALUES ('298125558', '11C508F6', 'object/tangible/wearables/armor/ris/shared_armor_ris_bracer_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('1628458341', '61104D65', 'object/tangible/wearables/armor/ris/shared_armor_ris_bracer_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('1813559161', '6C18B779', 'object/tangible/wearables/armor/ris/shared_armor_ris_chest_plate.iff');
INSERT INTO `object_crc_string_table` VALUES ('2596696196', '9AC67084', 'object/tangible/wearables/armor/ris/shared_armor_ris_gloves.iff');
INSERT INTO `object_crc_string_table` VALUES ('738627980', '2C06918C', 'object/tangible/wearables/armor/ris/shared_armor_ris_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('2665600489', '9EE1D5E9', 'object/tangible/wearables/armor/ris/shared_armor_ris_leggings.iff');
INSERT INTO `object_crc_string_table` VALUES ('4164574755', 'F83A5E23', 'object/tangible/wearables/armor/singing_mountain_clan/shared_armor_smc_s01_bicep_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('2297371568', '88EF1BB0', 'object/tangible/wearables/armor/singing_mountain_clan/shared_armor_smc_s01_bicep_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('1037485621', '3DD6C635', 'object/tangible/wearables/armor/singing_mountain_clan/shared_armor_smc_s01_bracer_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('1292075942', '4D0383A6', 'object/tangible/wearables/armor/singing_mountain_clan/shared_armor_smc_s01_bracer_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('1002440220', '3BC0061C', 'object/tangible/wearables/armor/stormtrooper/shared_armor_stormtrooper_bicep_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('1259684751', '4B15438F', 'object/tangible/wearables/armor/stormtrooper/shared_armor_stormtrooper_bicep_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('2016668118', '7833E9D6', 'object/tangible/wearables/armor/stormtrooper/shared_armor_stormtrooper_boots.iff');
INSERT INTO `object_crc_string_table` VALUES ('2538033013', '97474F75', 'object/tangible/wearables/armor/stormtrooper/shared_armor_stormtrooper_bracer_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('3885107942', 'E7920AE6', 'object/tangible/wearables/armor/stormtrooper/shared_armor_stormtrooper_bracer_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('253917454', 'F22790E', 'object/tangible/wearables/armor/stormtrooper/shared_armor_stormtrooper_chest_plate.iff');
INSERT INTO `object_crc_string_table` VALUES ('1122862762', '42ED86AA', 'object/tangible/wearables/armor/stormtrooper/shared_armor_stormtrooper_chest_plate_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('1918468725', '72598275', 'object/tangible/wearables/armor/stormtrooper/shared_armor_stormtrooper_gloves.iff');
INSERT INTO `object_crc_string_table` VALUES ('3298386813', 'C499637D', 'object/tangible/wearables/armor/stormtrooper/shared_armor_stormtrooper_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('880764068', '347F64A4', 'object/tangible/wearables/armor/stormtrooper/shared_armor_stormtrooper_helmet_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('409178730', '1863926A', 'object/tangible/wearables/armor/stormtrooper/shared_armor_stormtrooper_leggings.iff');
INSERT INTO `object_crc_string_table` VALUES ('3027159239', 'B46EC8C7', 'object/tangible/wearables/armor/stormtrooper/shared_armor_stormtrooper_leggings_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('1212660794', '4847BC3A', 'object/tangible/wearables/armor/stormtrooper/shared_armor_stormtrooper_utility_belt.iff');
INSERT INTO `object_crc_string_table` VALUES ('917083893', '36A996F5', 'object/tangible/wearables/armor/tantel/shared_armor_tantel_skreej_boots.iff');
INSERT INTO `object_crc_string_table` VALUES ('30813288', '1D62C68', 'object/tangible/wearables/armor/tantel/shared_armor_tantel_skreej_boots_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('290985679', '115816CF', 'object/tangible/wearables/armor/tantel/shared_armor_tantel_skreej_chest_plate.iff');
INSERT INTO `object_crc_string_table` VALUES ('1738912430', '67A5B2AE', 'object/tangible/wearables/armor/tantel/shared_armor_tantel_skreej_chest_plate_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('1458475008', '56EE9000', 'object/tangible/wearables/armor/tantel/shared_armor_tantel_skreej_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('1049616094', '3E8FDEDE', 'object/tangible/wearables/armor/tantel/shared_armor_tantel_skreej_helmet_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('3989520572', 'EDCB40BC', 'object/tangible/wearables/armor/ubese/shared_armor_ubese_bandolier.iff');
INSERT INTO `object_crc_string_table` VALUES ('1207105731', '47F2F8C3', 'object/tangible/wearables/armor/ubese/shared_armor_ubese_boots.iff');
INSERT INTO `object_crc_string_table` VALUES ('4128606087', 'F6158787', 'object/tangible/wearables/armor/ubese/shared_armor_ubese_bracer_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('2260779540', '86C0C214', 'object/tangible/wearables/armor/ubese/shared_armor_ubese_bracer_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('1597327192', '5F354758', 'object/tangible/wearables/armor/ubese/shared_armor_ubese_gloves.iff');
INSERT INTO `object_crc_string_table` VALUES ('3925190224', 'E9F5A650', 'object/tangible/wearables/armor/ubese/shared_armor_ubese_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('1916840424', '7240A9E8', 'object/tangible/wearables/armor/ubese/shared_armor_ubese_helmet_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('3696152390', 'DC4ECF46', 'object/tangible/wearables/armor/ubese/shared_armor_ubese_jacket.iff');
INSERT INTO `object_crc_string_table` VALUES ('3409085291', 'CB32836B', 'object/tangible/wearables/armor/ubese/shared_armor_ubese_jacket_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('4188653633', 'F9A9C841', 'object/tangible/wearables/armor/ubese/shared_armor_ubese_pants.iff');
INSERT INTO `object_crc_string_table` VALUES ('1051305101', '3EA9A48D', 'object/tangible/wearables/armor/ubese/shared_armor_ubese_pants_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('758262636', '2D322B6C', 'object/tangible/wearables/armor/ubese/shared_armor_ubese_shirt.iff');
INSERT INTO `object_crc_string_table` VALUES ('1255925428', '4ADBE6B4', 'object/tangible/wearables/armor/zam/shared_armor_zam_wesell_belt.iff');
INSERT INTO `object_crc_string_table` VALUES ('509585055', '1E5FA69F', 'object/tangible/wearables/armor/zam/shared_armor_zam_wesell_boots.iff');
INSERT INTO `object_crc_string_table` VALUES ('3303691594', 'C4EA554A', 'object/tangible/wearables/armor/zam/shared_armor_zam_wesell_chest_plate.iff');
INSERT INTO `object_crc_string_table` VALUES ('2543046725', '9793D045', 'object/tangible/wearables/armor/zam/shared_armor_zam_wesell_chest_plate_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2822062160', 'A8354050', 'object/tangible/wearables/armor/zam/shared_armor_zam_wesell_gloves.iff');
INSERT INTO `object_crc_string_table` VALUES ('519414104', '1EF5A158', 'object/tangible/wearables/armor/zam/shared_armor_zam_wesell_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('2324855644', '8A927B5C', 'object/tangible/wearables/armor/zam/shared_armor_zam_wesell_helmet_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2684655133', 'A004961D', 'object/tangible/wearables/armor/zam/shared_armor_zam_wesell_pants.iff');
INSERT INTO `object_crc_string_table` VALUES ('3252715807', 'C1E0811F', 'object/tangible/wearables/armor/zam/shared_armor_zam_wesell_pants_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('4059441362', 'F1F628D2', 'object/tangible/wearables/backpack/shared_backpack_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1676470216', '63ECE7C8', 'object/tangible/wearables/backpack/shared_backpack_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1103784358', '41CA69A6', 'object/tangible/wearables/backpack/shared_backpack_s03_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2551172316', '980FCCDC', 'object/tangible/wearables/backpack/shared_backpack_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3506613073', 'D102AB51', 'object/tangible/wearables/backpack/shared_backpack_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('169149382', 'A1503C6', 'object/tangible/wearables/backpack/shared_backpack_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('1402459945', '5397D729', 'object/tangible/wearables/backpack/shared_backpack_s06_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('1811378952', '6BF77308', 'object/tangible/wearables/backpack/shared_singing_mountain_clan_backpack.iff');
INSERT INTO `object_crc_string_table` VALUES ('2100666153', '7D359F29', 'object/tangible/wearables/bandolier/shared_bandolier_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2787260350', 'A62237BE', 'object/tangible/wearables/bandolier/shared_bandolier_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1876108427', '6FD3248B', 'object/tangible/wearables/bandolier/shared_bandolier_s02_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('4012855347', 'EF2F5033', 'object/tangible/wearables/bandolier/shared_bandolier_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('348945191', '14CC7B27', 'object/tangible/wearables/bandolier/shared_bandolier_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1941573505', '73BA0F81', 'object/tangible/wearables/bandolier/shared_bandolier_s04_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('1572936874', '5DC11CAA', 'object/tangible/wearables/bandolier/shared_bandolier_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('2262217789', '86D6B43D', 'object/tangible/wearables/bandolier/shared_bandolier_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('3487290288', 'CFDBD3B0', 'object/tangible/wearables/bandolier/shared_bandolier_s07.iff');
INSERT INTO `object_crc_string_table` VALUES ('1976696738', '75D1FFA2', 'object/tangible/wearables/bandolier/shared_bandolier_s08.iff');
INSERT INTO `object_crc_string_table` VALUES ('1021089839', '3CDC982F', 'object/tangible/wearables/bandolier/shared_bandolier_s09.iff');
INSERT INTO `object_crc_string_table` VALUES ('2362441992', '8CD00108', 'object/tangible/wearables/bandolier/shared_bandolier_tusken_raider_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1472702879', '57C7A99F', 'object/tangible/wearables/bandolier/shared_bandolier_tusken_raider_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('516607506', '1ECACE12', 'object/tangible/wearables/bandolier/shared_bandolier_tusken_raider_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1293966476', '4D205C8C', 'object/tangible/wearables/bandolier/shared_double_bandolier.iff');
INSERT INTO `object_crc_string_table` VALUES ('1065147216', '3F7CDB50', 'object/tangible/wearables/bandolier/shared_ith_double_bandolier.iff');
INSERT INTO `object_crc_string_table` VALUES ('3570000539', 'D4C9E29B', 'object/tangible/wearables/bandolier/shared_ith_mercenary_bandolier.iff');
INSERT INTO `object_crc_string_table` VALUES ('721380424', '2AFF6448', 'object/tangible/wearables/bandolier/shared_ith_multipocket_bandolier.iff');
INSERT INTO `object_crc_string_table` VALUES ('3002918794', 'B2FCE78A', 'object/tangible/wearables/bandolier/shared_mercenary_bandolier.iff');
INSERT INTO `object_crc_string_table` VALUES ('1747617663', '682A877F', 'object/tangible/wearables/bandolier/shared_multipocket_bandolier.iff');
INSERT INTO `object_crc_string_table` VALUES ('1118410205', '42A995DD', 'object/tangible/wearables/base/shared_armor_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2810806644', 'A7898174', 'object/tangible/wearables/base/shared_base_back.iff');
INSERT INTO `object_crc_string_table` VALUES ('3185007320', 'BDD75AD8', 'object/tangible/wearables/base/shared_base_backpack.iff');
INSERT INTO `object_crc_string_table` VALUES ('3970091966', 'ECA2CBBE', 'object/tangible/wearables/base/shared_base_bandolier.iff');
INSERT INTO `object_crc_string_table` VALUES ('1062557489', '3F555731', 'object/tangible/wearables/base/shared_base_belt.iff');
INSERT INTO `object_crc_string_table` VALUES ('2712137924', 'A1A7F0C4', 'object/tangible/wearables/base/shared_base_bicep_both.iff');
INSERT INTO `object_crc_string_table` VALUES ('4008734029', 'EEF06D4D', 'object/tangible/wearables/base/shared_base_bicep_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('2653235422', '9E2528DE', 'object/tangible/wearables/base/shared_base_bicep_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('837302752', '31E839E0', 'object/tangible/wearables/base/shared_base_bracer_both.iff');
INSERT INTO `object_crc_string_table` VALUES ('2708618999', 'A1723EF7', 'object/tangible/wearables/base/shared_base_bracer_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('3517414244', 'D1A77B64', 'object/tangible/wearables/base/shared_base_bracer_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('2675265298', '9F754F12', 'object/tangible/wearables/base/shared_base_bracer_upper_both.iff');
INSERT INTO `object_crc_string_table` VALUES ('4140306303', 'F6C80F7F', 'object/tangible/wearables/base/shared_base_bracer_upper_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('2250066668', '861D4AEC', 'object/tangible/wearables/base/shared_base_bracer_upper_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('2484521886', '9416CB9E', 'object/tangible/wearables/base/shared_base_cape.iff');
INSERT INTO `object_crc_string_table` VALUES ('2056216974', '7A8F618E', 'object/tangible/wearables/base/shared_base_cloak.iff');
INSERT INTO `object_crc_string_table` VALUES ('31223610', '1DC6F3A', 'object/tangible/wearables/base/shared_base_cloak_hooded.iff');
INSERT INTO `object_crc_string_table` VALUES ('2091266362', '7CA6313A', 'object/tangible/wearables/base/shared_base_cloak_noback.iff');
INSERT INTO `object_crc_string_table` VALUES ('2707266953', 'A15D9D89', 'object/tangible/wearables/base/shared_base_costume_allow_jewelry.iff');
INSERT INTO `object_crc_string_table` VALUES ('2269371502', '8743DC6E', 'object/tangible/wearables/base/shared_base_costume_full.iff');
INSERT INTO `object_crc_string_table` VALUES ('2799882789', 'A6E2D225', 'object/tangible/wearables/base/shared_base_dress.iff');
INSERT INTO `object_crc_string_table` VALUES ('3251571586', 'C1CF0B82', 'object/tangible/wearables/base/shared_base_dress_formal.iff');
INSERT INTO `object_crc_string_table` VALUES ('3497114818', 'D071BCC2', 'object/tangible/wearables/base/shared_base_dress_formal_gloved.iff');
INSERT INTO `object_crc_string_table` VALUES ('593250873', '235C4A39', 'object/tangible/wearables/base/shared_base_dress_formal_hooded.iff');
INSERT INTO `object_crc_string_table` VALUES ('4147701623', 'F738E777', 'object/tangible/wearables/base/shared_base_dress_poofysleeve_allow_gauntlets.iff');
INSERT INTO `object_crc_string_table` VALUES ('470480709', '1C0AF745', 'object/tangible/wearables/base/shared_base_dress_poofysleeve_full.iff');
INSERT INTO `object_crc_string_table` VALUES ('1881919920', '702BD1B0', 'object/tangible/wearables/base/shared_base_dress_poofysleeve_lower.iff');
INSERT INTO `object_crc_string_table` VALUES ('62461898', '3B917CA', 'object/tangible/wearables/base/shared_base_dress_poofysleeve_upper.iff');
INSERT INTO `object_crc_string_table` VALUES ('169169891', 'A1553E3', 'object/tangible/wearables/base/shared_base_ear_both.iff');
INSERT INTO `object_crc_string_table` VALUES ('1514339438', '5A42FC6E', 'object/tangible/wearables/base/shared_base_ear_either.iff');
INSERT INTO `object_crc_string_table` VALUES ('4290100541', 'FFB5BD3D', 'object/tangible/wearables/base/shared_base_ear_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('2405497006', '8F60F8AE', 'object/tangible/wearables/base/shared_base_ear_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('749543557', '2CAD2085', 'object/tangible/wearables/base/shared_base_eyes.iff');
INSERT INTO `object_crc_string_table` VALUES ('3961745252', 'EC236F64', 'object/tangible/wearables/base/shared_base_gauntlets.iff');
INSERT INTO `object_crc_string_table` VALUES ('199720665', 'BE77ED9', 'object/tangible/wearables/base/shared_base_gauntlets_long.iff');
INSERT INTO `object_crc_string_table` VALUES ('2864390584', 'AABB21B8', 'object/tangible/wearables/base/shared_base_gloves.iff');
INSERT INTO `object_crc_string_table` VALUES ('1997625980', '77115A7C', 'object/tangible/wearables/base/shared_base_gloves_long.iff');
INSERT INTO `object_crc_string_table` VALUES ('2527263770', '96A2FC1A', 'object/tangible/wearables/base/shared_base_hat.iff');
INSERT INTO `object_crc_string_table` VALUES ('4046540417', 'F1314E81', 'object/tangible/wearables/base/shared_base_held_both.iff');
INSERT INTO `object_crc_string_table` VALUES ('3544049811', 'D33DE893', 'object/tangible/wearables/base/shared_base_held_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('2749934848', 'A3E8AD00', 'object/tangible/wearables/base/shared_base_held_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('2362107763', '8CCAE773', 'object/tangible/wearables/base/shared_base_helmet_closed_eyes.iff');
INSERT INTO `object_crc_string_table` VALUES ('3510435998', 'D13D009E', 'object/tangible/wearables/base/shared_base_helmet_closed_full.iff');
INSERT INTO `object_crc_string_table` VALUES ('2962747437', 'B097F02D', 'object/tangible/wearables/base/shared_base_helmet_closed_full_ventilated.iff');
INSERT INTO `object_crc_string_table` VALUES ('3128780769', 'BA7D67E1', 'object/tangible/wearables/base/shared_base_helmet_closed_mouth.iff');
INSERT INTO `object_crc_string_table` VALUES ('2025938864', '78C15FB0', 'object/tangible/wearables/base/shared_base_helmet_open.iff');
INSERT INTO `object_crc_string_table` VALUES ('2465585907', '92F5DAF3', 'object/tangible/wearables/base/shared_base_jacket_halfsleeve.iff');
INSERT INTO `object_crc_string_table` VALUES ('1586795263', '5E9492FF', 'object/tangible/wearables/base/shared_base_jacket_longsleeve.iff');
INSERT INTO `object_crc_string_table` VALUES ('1538565730', '5BB4A662', 'object/tangible/wearables/base/shared_base_jacket_shortsleeve.iff');
INSERT INTO `object_crc_string_table` VALUES ('1811884613', '6BFF2A45', 'object/tangible/wearables/base/shared_base_jewelry_set.iff');
INSERT INTO `object_crc_string_table` VALUES ('3014962433', 'B3B4AD01', 'object/tangible/wearables/base/shared_base_jumpsuit.iff');
INSERT INTO `object_crc_string_table` VALUES ('1949399047', '74317807', 'object/tangible/wearables/base/shared_base_jumpsuit_gloved.iff');
INSERT INTO `object_crc_string_table` VALUES ('2013984551', '780AF727', 'object/tangible/wearables/base/shared_base_jumpsuit_longsleeve.iff');
INSERT INTO `object_crc_string_table` VALUES ('1198818608', '47748530', 'object/tangible/wearables/base/shared_base_jumpsuit_shortsleeve.iff');
INSERT INTO `object_crc_string_table` VALUES ('3305679722', 'C508AB6A', 'object/tangible/wearables/base/shared_base_mask_face.iff');
INSERT INTO `object_crc_string_table` VALUES ('748013551', '2C95C7EF', 'object/tangible/wearables/base/shared_base_mouth.iff');
INSERT INTO `object_crc_string_table` VALUES ('551522086', '20DF8F26', 'object/tangible/wearables/base/shared_base_neck.iff');
INSERT INTO `object_crc_string_table` VALUES ('3653526929', 'D9C46591', 'object/tangible/wearables/base/shared_base_pants.iff');
INSERT INTO `object_crc_string_table` VALUES ('415713156', '18C74784', 'object/tangible/wearables/base/shared_base_pauldron_both.iff');
INSERT INTO `object_crc_string_table` VALUES ('3883644082', 'E77BB4B2', 'object/tangible/wearables/base/shared_base_pauldron_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('2544824609', '97AEF121', 'object/tangible/wearables/base/shared_base_pauldron_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('2610078742', '9B92A416', 'object/tangible/wearables/base/shared_base_ring_both.iff');
INSERT INTO `object_crc_string_table` VALUES ('2587414226', '9A38CED2', 'object/tangible/wearables/base/shared_base_ring_either.iff');
INSERT INTO `object_crc_string_table` VALUES ('3286738453', 'C3E7A615', 'object/tangible/wearables/base/shared_base_ring_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('3006456710', 'B332E386', 'object/tangible/wearables/base/shared_base_ring_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('3859006116', 'E603C2A4', 'object/tangible/wearables/base/shared_base_robe_longsleeve.iff');
INSERT INTO `object_crc_string_table` VALUES ('3926887891', 'EA0F8DD3', 'object/tangible/wearables/base/shared_base_robe_longsleeve_hooded.iff');
INSERT INTO `object_crc_string_table` VALUES ('1473420708', '57D29DA4', 'object/tangible/wearables/base/shared_base_robe_shortsleeve.iff');
INSERT INTO `object_crc_string_table` VALUES ('1105969450', '41EBC12A', 'object/tangible/wearables/base/shared_base_robe_shortsleeve_hooded.iff');
INSERT INTO `object_crc_string_table` VALUES ('224364220', 'D5F86BC', 'object/tangible/wearables/base/shared_base_shirt.iff');
INSERT INTO `object_crc_string_table` VALUES ('3144684645', 'BB701465', 'object/tangible/wearables/base/shared_base_shirt_poofysleeve_full.iff');
INSERT INTO `object_crc_string_table` VALUES ('3852531643', 'E5A0F7BB', 'object/tangible/wearables/base/shared_base_shirt_poofysleeve_lower.iff');
INSERT INTO `object_crc_string_table` VALUES ('2519871937', '963231C1', 'object/tangible/wearables/base/shared_base_shirt_poofysleeve_upper.iff');
INSERT INTO `object_crc_string_table` VALUES ('2786535462', 'A6172826', 'object/tangible/wearables/base/shared_base_shoes.iff');
INSERT INTO `object_crc_string_table` VALUES ('3787318242', 'E1BDE3E2', 'object/tangible/wearables/base/shared_base_skirt.iff');
INSERT INTO `object_crc_string_table` VALUES ('1904536543', '7184EBDF', 'object/tangible/wearables/base/shared_base_sleeve_both.iff');
INSERT INTO `object_crc_string_table` VALUES ('3578472162', 'D54B26E2', 'object/tangible/wearables/base/shared_base_sleeve_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('2778620785', 'A59E6371', 'object/tangible/wearables/base/shared_base_sleeve_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('3591511546', 'D6121DFA', 'object/tangible/wearables/base/shared_base_vest.iff');
INSERT INTO `object_crc_string_table` VALUES ('3301034284', 'C4C1C92C', 'object/tangible/wearables/base/shared_base_wrist_both.iff');
INSERT INTO `object_crc_string_table` VALUES ('1850116475', '6E46897B', 'object/tangible/wearables/base/shared_base_wrist_either.iff');
INSERT INTO `object_crc_string_table` VALUES ('3290100944', 'C41AF4D0', 'object/tangible/wearables/base/shared_base_wrist_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('3033510211', 'B4CFB143', 'object/tangible/wearables/base/shared_base_wrist_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('3547164646', 'D36D6FE6', 'object/tangible/wearables/base/shared_wearables_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1699237411', '65484E23', 'object/tangible/wearables/belt/shared_aakuan_belt.iff');
INSERT INTO `object_crc_string_table` VALUES ('2489884324', '94689EA4', 'object/tangible/wearables/belt/shared_belt_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1333737011', '4F7F3633', 'object/tangible/wearables/belt/shared_belt_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('108155326', '67251BE', 'object/tangible/wearables/belt/shared_belt_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('4254169770', 'FD917AAA', 'object/tangible/wearables/belt/shared_belt_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3030129959', 'B49C1D27', 'object/tangible/wearables/belt/shared_belt_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('3225289633', 'C03E03A1', 'object/tangible/wearables/belt/shared_belt_s05_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('646369853', '2686D23D', 'object/tangible/wearables/belt/shared_belt_s07.iff');
INSERT INTO `object_crc_string_table` VALUES ('3582040482', 'D58199A2', 'object/tangible/wearables/belt/shared_belt_s09.iff');
INSERT INTO `object_crc_string_table` VALUES ('2403374044', '8F4093DC', 'object/tangible/wearables/belt/shared_belt_s11.iff');
INSERT INTO `object_crc_string_table` VALUES ('1415002955', '54573B4B', 'object/tangible/wearables/belt/shared_belt_s12.iff');
INSERT INTO `object_crc_string_table` VALUES ('492461254', '1D5A5CC6', 'object/tangible/wearables/belt/shared_belt_s13.iff');
INSERT INTO `object_crc_string_table` VALUES ('3870914514', 'E6B977D2', 'object/tangible/wearables/belt/shared_belt_s14.iff');
INSERT INTO `object_crc_string_table` VALUES ('2947813471', 'AFB4105F', 'object/tangible/wearables/belt/shared_belt_s15.iff');
INSERT INTO `object_crc_string_table` VALUES ('1956886728', '74A3B8C8', 'object/tangible/wearables/belt/shared_belt_s16.iff');
INSERT INTO `object_crc_string_table` VALUES ('1034870597', '3DAEDF45', 'object/tangible/wearables/belt/shared_belt_s17.iff');
INSERT INTO `object_crc_string_table` VALUES ('2275734359', '87A4F357', 'object/tangible/wearables/belt/shared_belt_s18.iff');
INSERT INTO `object_crc_string_table` VALUES ('3467220186', 'CEA994DA', 'object/tangible/wearables/belt/shared_belt_s19.iff');
INSERT INTO `object_crc_string_table` VALUES ('3946177497', 'EB35E3D9', 'object/tangible/wearables/belt/shared_belt_s20.iff');
INSERT INTO `object_crc_string_table` VALUES ('389872487', '173CFB67', 'object/tangible/wearables/bikini/shared_bikini_leggings_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('798815144', '2F9CF3A8', 'object/tangible/wearables/bikini/shared_bikini_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4102773567', 'F48B5B3F', 'object/tangible/wearables/bikini/shared_bikini_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3179691186', 'BD863CB2', 'object/tangible/wearables/bikini/shared_bikini_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1181030310', '466517A6', 'object/tangible/wearables/bikini/shared_bikini_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2562125101', '98B6ED2D', 'object/tangible/wearables/bodysuit/shared_bodysuit_atat.iff');
INSERT INTO `object_crc_string_table` VALUES ('2859919047', 'AA76E6C7', 'object/tangible/wearables/bodysuit/shared_bodysuit_atat_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2920765612', 'AE1758AC', 'object/tangible/wearables/bodysuit/shared_bodysuit_bwing.iff');
INSERT INTO `object_crc_string_table` VALUES ('2675213661', '9F74855D', 'object/tangible/wearables/bodysuit/shared_bodysuit_bwing_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('3519793019', 'D1CBC77B', 'object/tangible/wearables/bodysuit/shared_bodysuit_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('707325039', '2A28EC6F', 'object/tangible/wearables/bodysuit/shared_bodysuit_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('1663405026', '63258BE2', 'object/tangible/wearables/bodysuit/shared_bodysuit_s07.iff');
INSERT INTO `object_crc_string_table` VALUES ('3643779056', 'D92FA7F0', 'object/tangible/wearables/bodysuit/shared_bodysuit_s08.iff');
INSERT INTO `object_crc_string_table` VALUES ('301228692', '11F46294', 'object/tangible/wearables/bodysuit/shared_bodysuit_s12.iff');
INSERT INTO `object_crc_string_table` VALUES ('1492714777', '58F90519', 'object/tangible/wearables/bodysuit/shared_bodysuit_s13.iff');
INSERT INTO `object_crc_string_table` VALUES ('2736401933', 'A31A2E0D', 'object/tangible/wearables/bodysuit/shared_bodysuit_s14.iff');
INSERT INTO `object_crc_string_table` VALUES ('3927394688', 'EA174980', 'object/tangible/wearables/bodysuit/shared_bodysuit_s15.iff');
INSERT INTO `object_crc_string_table` VALUES ('822141207', '3100E117', 'object/tangible/wearables/bodysuit/shared_bodysuit_s16.iff');
INSERT INTO `object_crc_string_table` VALUES ('2416523857', '90093A51', 'object/tangible/wearables/bodysuit/shared_bodysuit_sarlacc_coverall.iff');
INSERT INTO `object_crc_string_table` VALUES ('19224104', '1255628', 'object/tangible/wearables/bodysuit/shared_bodysuit_tie_fighter.iff');
INSERT INTO `object_crc_string_table` VALUES ('184136204', 'AF9B20C', 'object/tangible/wearables/bodysuit/shared_bodysuit_tie_fighter_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('803130691', '2FDECD43', 'object/tangible/wearables/boots/shared_boots_corsec.iff');
INSERT INTO `object_crc_string_table` VALUES ('1907982508', '71B980AC', 'object/tangible/wearables/boots/shared_boots_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2321198008', '8A5AABB8', 'object/tangible/wearables/boots/shared_boots_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3277311029', 'C357CC35', 'object/tangible/wearables/boots/shared_boots_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('597486169', '239CEA59', 'object/tangible/wearables/boots/shared_boots_s12.iff');
INSERT INTO `object_crc_string_table` VALUES ('2440210112', '9172A6C0', 'object/tangible/wearables/boots/shared_boots_s14.iff');
INSERT INTO `object_crc_string_table` VALUES ('3632251213', 'D87FC14D', 'object/tangible/wearables/boots/shared_boots_s15.iff');
INSERT INTO `object_crc_string_table` VALUES ('3110225352', 'B96245C8', 'object/tangible/wearables/boots/shared_boots_s19.iff');
INSERT INTO `object_crc_string_table` VALUES ('3589494086', 'D5F35546', 'object/tangible/wearables/boots/shared_boots_s21.iff');
INSERT INTO `object_crc_string_table` VALUES ('249888209', 'EE4FDD1', 'object/tangible/wearables/boots/shared_boots_s22.iff');
INSERT INTO `object_crc_string_table` VALUES ('2804071472', 'A722BC30', 'object/tangible/wearables/boots/shared_boots_s34.iff');
INSERT INTO `object_crc_string_table` VALUES ('688070269', '29031E7D', 'object/tangible/wearables/boots/shared_boots_tusken_raider.iff');
INSERT INTO `object_crc_string_table` VALUES ('1068365842', '3FADF812', 'object/tangible/wearables/boots/shared_nightsister_boots.iff');
INSERT INTO `object_crc_string_table` VALUES ('610961345', '246A87C1', 'object/tangible/wearables/boots/shared_singing_mountain_clan_boots.iff');
INSERT INTO `object_crc_string_table` VALUES ('1474382637', '57E14B2D', 'object/tangible/wearables/bracelet/shared_bracelet_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('657723070', '27340EBE', 'object/tangible/wearables/bracelet/shared_bracelet_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('3949931361', 'EB6F2B61', 'object/tangible/wearables/bracelet/shared_bracelet_s02_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('2612686578', '9BBA6EF2', 'object/tangible/wearables/bracelet/shared_bracelet_s02_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('2755150704', 'A4384370', 'object/tangible/wearables/bracelet/shared_bracelet_s03_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('3572303587', 'D4ED06E3', 'object/tangible/wearables/bracelet/shared_bracelet_s03_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('1281181360', '4C5D46B0', 'object/tangible/wearables/bracelet/shared_bracelet_s04_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('1015546659', '3C880323', 'object/tangible/wearables/bracelet/shared_bracelet_s04_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('50998945', '30A2EA1', 'object/tangible/wearables/bracelet/shared_bracelet_s05_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('1944021810', '73DF6B32', 'object/tangible/wearables/bracelet/shared_bracelet_s05_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('3539179154', 'D2F39692', 'object/tangible/wearables/bracelet/shared_bracelet_s06_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('2720453377', 'A226D301', 'object/tangible/wearables/bracelet/shared_bracelet_s06_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('2813298237', 'A7AF863D', 'object/tangible/wearables/bustier/shared_bustier_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2092445354', '7CB82EAA', 'object/tangible/wearables/bustier/shared_bustier_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('901073191', '35B54927', 'object/tangible/wearables/bustier/shared_bustier_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3312405691', 'C56F4CBB', 'object/tangible/wearables/cyborg/shared_arm_l_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1995018857', '76E99269', 'object/tangible/wearables/cyborg/shared_arm_r_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('641245984', '2638A320', 'object/tangible/wearables/cyborg/shared_forearm_l_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2512289266', '95BE7DF2', 'object/tangible/wearables/cyborg/shared_forearm_r_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1621320928', '60A364E0', 'object/tangible/wearables/cyborg/shared_hand_l_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3542465074', 'D325BA32', 'object/tangible/wearables/cyborg/shared_hand_r_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1838065175', '6D8EA617', 'object/tangible/wearables/dress/shared_dress_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('3063484032', 'B6990E80', 'object/tangible/wearables/dress/shared_dress_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('4287916301', 'FF94690D', 'object/tangible/wearables/dress/shared_dress_s07.iff');
INSERT INTO `object_crc_string_table` VALUES ('1168000287', '459E451F', 'object/tangible/wearables/dress/shared_dress_s08.iff');
INSERT INTO `object_crc_string_table` VALUES ('368488984', '15F6B218', 'object/tangible/wearables/dress/shared_dress_s08_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('210969234', 'C932292', 'object/tangible/wearables/dress/shared_dress_s09.iff');
INSERT INTO `object_crc_string_table` VALUES ('526339937', '1F5F4F61', 'object/tangible/wearables/dress/shared_dress_s10.iff');
INSERT INTO `object_crc_string_table` VALUES ('1448225004', '565228EC', 'object/tangible/wearables/dress/shared_dress_s11.iff');
INSERT INTO `object_crc_string_table` VALUES ('2370142331', '8D45807B', 'object/tangible/wearables/dress/shared_dress_s12.iff');
INSERT INTO `object_crc_string_table` VALUES ('3293112310', 'C448E7F6', 'object/tangible/wearables/dress/shared_dress_s13.iff');
INSERT INTO `object_crc_string_table` VALUES ('1068223714', '3FABCCE2', 'object/tangible/wearables/dress/shared_dress_s14.iff');
INSERT INTO `object_crc_string_table` VALUES ('1990634351', '76A6AB6F', 'object/tangible/wearables/dress/shared_dress_s15.iff');
INSERT INTO `object_crc_string_table` VALUES ('2914059256', 'ADB103F8', 'object/tangible/wearables/dress/shared_dress_s16.iff');
INSERT INTO `object_crc_string_table` VALUES ('1589004391', '5EB64867', 'object/tangible/wearables/dress/shared_dress_s18.iff');
INSERT INTO `object_crc_string_table` VALUES ('398143466', '17BB2FEA', 'object/tangible/wearables/dress/shared_dress_s19.iff');
INSERT INTO `object_crc_string_table` VALUES ('3912298622', 'E930F07E', 'object/tangible/wearables/dress/shared_dress_s23.iff');
INSERT INTO `object_crc_string_table` VALUES ('2160661616', '80C91470', 'object/tangible/wearables/dress/shared_dress_s26.iff');
INSERT INTO `object_crc_string_table` VALUES ('3385095165', 'C9C473FD', 'object/tangible/wearables/dress/shared_dress_s27.iff');
INSERT INTO `object_crc_string_table` VALUES ('985872482', '3AC33862', 'object/tangible/wearables/dress/shared_dress_s29.iff');
INSERT INTO `object_crc_string_table` VALUES ('688870801', '290F5591', 'object/tangible/wearables/dress/shared_dress_s30.iff');
INSERT INTO `object_crc_string_table` VALUES ('1610756636', '6002321C', 'object/tangible/wearables/dress/shared_dress_s31.iff');
INSERT INTO `object_crc_string_table` VALUES ('3138755211', 'BB159A8B', 'object/tangible/wearables/dress/shared_dress_s32.iff');
INSERT INTO `object_crc_string_table` VALUES ('4061723910', 'F218FD06', 'object/tangible/wearables/dress/shared_dress_s33.iff');
INSERT INTO `object_crc_string_table` VALUES ('167499282', '9FBD612', 'object/tangible/wearables/dress/shared_dress_s34.iff');
INSERT INTO `object_crc_string_table` VALUES ('1089909151', '40F6B19F', 'object/tangible/wearables/dress/shared_dress_s35.iff');
INSERT INTO `object_crc_string_table` VALUES ('586837828', '22FA6F44', 'object/tangible/wearables/dress/shared_nightsister_dress.iff');
INSERT INTO `object_crc_string_table` VALUES ('901601080', '35BD5738', 'object/tangible/wearables/earring/shared_earring_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1313672121', '4E4D0BB9', 'object/tangible/wearables/earring/shared_earring_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2505745198', '955AA32E', 'object/tangible/wearables/earring/shared_earring_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3696739491', 'DC57C4A3', 'object/tangible/wearables/earring/shared_earring_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('666169271', '27B4EFB7', 'object/tangible/wearables/earring/shared_earring_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1857652794', '6EB9883A', 'object/tangible/wearables/earring/shared_earring_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('3048087725', 'B5AE20AD', 'object/tangible/wearables/earring/shared_earring_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('4238559008', 'FCA34720', 'object/tangible/wearables/earring/shared_earring_s07.iff');
INSERT INTO `object_crc_string_table` VALUES ('1185508146', '46A96B32', 'object/tangible/wearables/earring/shared_earring_s08.iff');
INSERT INTO `object_crc_string_table` VALUES ('262409407', 'FA40CBF', 'object/tangible/wearables/earring/shared_earring_s09.iff');
INSERT INTO `object_crc_string_table` VALUES ('476602700', '1C68614C', 'object/tangible/wearables/earring/shared_earring_s10.iff');
INSERT INTO `object_crc_string_table` VALUES ('1432684225', '556506C1', 'object/tangible/wearables/earring/shared_earring_s11.iff');
INSERT INTO `object_crc_string_table` VALUES ('2389880406', '8E72AE56', 'object/tangible/wearables/earring/shared_earring_s12.iff');
INSERT INTO `object_crc_string_table` VALUES ('3347040731', 'C77FC9DB', 'object/tangible/wearables/earring/shared_earring_s13.iff');
INSERT INTO `object_crc_string_table` VALUES ('1016914639', '3C9CE2CF', 'object/tangible/wearables/earring/shared_earring_s14.iff');
INSERT INTO `object_crc_string_table` VALUES ('1972471106', '75918542', 'object/tangible/wearables/earring/shared_earring_s15.iff');
INSERT INTO `object_crc_string_table` VALUES ('2451059154', '921831D2', 'object/tangible/wearables/gloves/shared_gloves_corsec.iff');
INSERT INTO `object_crc_string_table` VALUES ('1702772985', '657E40F9', 'object/tangible/wearables/gloves/shared_gloves_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('745744244', '2C732774', 'object/tangible/wearables/gloves/shared_gloves_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1166721914', '458AC37A', 'object/tangible/wearables/gloves/shared_gloves_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('210216183', 'C87A4F7', 'object/tangible/wearables/gloves/shared_gloves_s07.iff');
INSERT INTO `object_crc_string_table` VALUES ('3964437147', 'EC4C829B', 'object/tangible/wearables/gloves/shared_gloves_s10.iff');
INSERT INTO `object_crc_string_table` VALUES ('2772559126', 'A541E516', 'object/tangible/wearables/gloves/shared_gloves_s11.iff');
INSERT INTO `object_crc_string_table` VALUES ('2119585153', '7E564D81', 'object/tangible/wearables/gloves/shared_gloves_s12.iff');
INSERT INTO `object_crc_string_table` VALUES ('928721420', '375B2A0C', 'object/tangible/wearables/gloves/shared_gloves_s13.iff');
INSERT INTO `object_crc_string_table` VALUES ('3434610968', 'CCB80118', 'object/tangible/wearables/gloves/shared_gloves_s14.iff');
INSERT INTO `object_crc_string_table` VALUES ('1738692931', '67A25943', 'object/tangible/wearables/gloves/shared_gloves_tusken_raider.iff');
INSERT INTO `object_crc_string_table` VALUES ('970341305', '39D63BB9', 'object/tangible/wearables/goggles/shared_goggles_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3804336942', 'E2C1932E', 'object/tangible/wearables/goggles/shared_goggles_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2882335907', 'ABCCF4A3', 'object/tangible/wearables/goggles/shared_goggles_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1345314743', '502FDFB7', 'object/tangible/wearables/goggles/shared_goggles_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('421705786', '1922B83A', 'object/tangible/wearables/goggles/shared_goggles_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('3258257581', 'C23510AD', 'object/tangible/wearables/goggles/shared_goggles_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('53819294', '335379E', 'object/tangible/wearables/goggles/shared_rebreather.iff');
INSERT INTO `object_crc_string_table` VALUES ('4237787733', 'FC978255', 'object/tangible/wearables/hat/shared_hat_chef_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('662710978', '27802AC2', 'object/tangible/wearables/hat/shared_hat_chef_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1674058111', '63C8197F', 'object/tangible/wearables/hat/shared_hat_imp_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('522601046', '1F264256', 'object/tangible/wearables/hat/shared_hat_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2915569359', 'ADC80ECF', 'object/tangible/wearables/hat/shared_hat_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2517925940', '96148034', 'object/tangible/wearables/hat/shared_hat_s10.iff');
INSERT INTO `object_crc_string_table` VALUES ('68046638', '40E4F2E', 'object/tangible/wearables/hat/shared_hat_s12.iff');
INSERT INTO `object_crc_string_table` VALUES ('1292052643', '4D0328A3', 'object/tangible/wearables/hat/shared_hat_s13.iff');
INSERT INTO `object_crc_string_table` VALUES ('3068134327', 'B6E003B7', 'object/tangible/wearables/hat/shared_hat_s14.iff');
INSERT INTO `object_crc_string_table` VALUES ('305393881', '1233F0D9', 'object/tangible/wearables/hat/shared_hat_twilek_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3374602318', 'C924584E', 'object/tangible/wearables/hat/shared_hat_twilek_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2150186947', '80293FC3', 'object/tangible/wearables/hat/shared_hat_twilek_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2076841175', '7BCA14D7', 'object/tangible/wearables/hat/shared_hat_twilek_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('851931994', '32C7735A', 'object/tangible/wearables/hat/shared_hat_twilek_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('3899232766', 'E86991FE', 'object/tangible/wearables/hat/shared_nightsister_hat_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('863910249', '337E3969', 'object/tangible/wearables/hat/shared_nightsister_hat_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2054381284', '7A735EE4', 'object/tangible/wearables/hat/shared_nightsister_hat_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3818307792', 'E396C0D0', 'object/tangible/wearables/hat/shared_singing_mountain_clan_hat_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('948004935', '38816847', 'object/tangible/wearables/hat/shared_singing_mountain_clan_hat_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1653166773', '628952B5', 'object/tangible/wearables/hat/shared_singing_mountain_clan_mask_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4140396271', 'F6C96EEF', 'object/tangible/wearables/helmet/shared_helmet_atat.iff');
INSERT INTO `object_crc_string_table` VALUES ('430117123', '19A31103', 'object/tangible/wearables/helmet/shared_helmet_fighter_blacksun_ace.iff');
INSERT INTO `object_crc_string_table` VALUES ('2580358001', '99CD2371', 'object/tangible/wearables/helmet/shared_helmet_fighter_imperial_ace.iff');
INSERT INTO `object_crc_string_table` VALUES ('1909608537', '71D25059', 'object/tangible/wearables/helmet/shared_helmet_fighter_privateer_ace.iff');
INSERT INTO `object_crc_string_table` VALUES ('4143277653', 'F6F56655', 'object/tangible/wearables/helmet/shared_helmet_fighter_rebel_ace.iff');
INSERT INTO `object_crc_string_table` VALUES ('1007682682', '3C10047A', 'object/tangible/wearables/helmet/shared_helmet_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('49314199', '2F07997', 'object/tangible/wearables/helmet/shared_helmet_tie_fighter.iff');
INSERT INTO `object_crc_string_table` VALUES ('4156063051', 'F7B87D4B', 'object/tangible/wearables/helmet/shared_helmet_tusken_raider_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('749721052', '2CAFD5DC', 'object/tangible/wearables/helmet/shared_helmet_tusken_raider_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2484025416', '940F3848', 'object/tangible/wearables/ithorian/shared_apron_chef_jacket_s01_ith.iff');
INSERT INTO `object_crc_string_table` VALUES ('1415345053', '545C739D', 'object/tangible/wearables/ithorian/shared_hat_chef_s01_ith.iff');
INSERT INTO `object_crc_string_table` VALUES ('1184665728', '469C9080', 'object/tangible/wearables/ithorian/shared_hat_chef_s02_ith.iff');
INSERT INTO `object_crc_string_table` VALUES ('4148168248', 'F7400638', 'object/tangible/wearables/ithorian/shared_ith_backpack_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1700448546', '655AC922', 'object/tangible/wearables/ithorian/shared_ith_backpack_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3618932155', 'D7B485BB', 'object/tangible/wearables/ithorian/shared_ith_backpack_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('212020524', 'CA32D2C', 'object/tangible/wearables/ithorian/shared_ith_backpack_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('347486328', '14B63878', 'object/tangible/wearables/ithorian/shared_ith_bandolier_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1572560885', '5DBB5FF5', 'object/tangible/wearables/ithorian/shared_ith_bandolier_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2790814945', 'A65874E1', 'object/tangible/wearables/ithorian/shared_ith_bandolier_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('4015330156', 'EF55136C', 'object/tangible/wearables/ithorian/shared_ith_bandolier_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('876788731', '3442BBFB', 'object/tangible/wearables/ithorian/shared_ith_bandolier_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('2102385782', '7D4FDC76', 'object/tangible/wearables/ithorian/shared_ith_bandolier_s07.iff');
INSERT INTO `object_crc_string_table` VALUES ('3343249508', 'C745F064', 'object/tangible/wearables/ithorian/shared_ith_bandolier_s08.iff');
INSERT INTO `object_crc_string_table` VALUES ('3042876922', 'B55E9DFA', 'object/tangible/wearables/ithorian/shared_ith_belt_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1850291565', '6E49356D', 'object/tangible/wearables/ithorian/shared_ith_belt_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('658789088', '274452E0', 'object/tangible/wearables/ithorian/shared_ith_belt_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3701963252', 'DCA779F4', 'object/tangible/wearables/ithorian/shared_ith_belt_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2510954105', '95AA1E79', 'object/tangible/wearables/ithorian/shared_ith_belt_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('129028451', '7B0D163', 'object/tangible/wearables/ithorian/shared_ith_belt_s07.iff');
INSERT INTO `object_crc_string_table` VALUES ('4105673468', 'F4B79AFC', 'object/tangible/wearables/ithorian/shared_ith_belt_s09.iff');
INSERT INTO `object_crc_string_table` VALUES ('2927005826', 'AE769082', 'object/tangible/wearables/ithorian/shared_ith_belt_s11.iff');
INSERT INTO `object_crc_string_table` VALUES ('1969305621', '75613815', 'object/tangible/wearables/ithorian/shared_ith_belt_s12.iff');
INSERT INTO `object_crc_string_table` VALUES ('1013735320', '3C6C5F98', 'object/tangible/wearables/ithorian/shared_ith_belt_s13.iff');
INSERT INTO `object_crc_string_table` VALUES ('3348067468', 'C78F748C', 'object/tangible/wearables/ithorian/shared_ith_belt_s14.iff');
INSERT INTO `object_crc_string_table` VALUES ('2390889217', '8E821301', 'object/tangible/wearables/ithorian/shared_ith_belt_s15.iff');
INSERT INTO `object_crc_string_table` VALUES ('1435876246', '5595BB96', 'object/tangible/wearables/ithorian/shared_ith_belt_s16.iff');
INSERT INTO `object_crc_string_table` VALUES ('479779867', '1C98DC1B', 'object/tangible/wearables/ithorian/shared_ith_belt_s17.iff');
INSERT INTO `object_crc_string_table` VALUES ('2794647561', 'A692F009', 'object/tangible/wearables/ithorian/shared_ith_belt_s18.iff');
INSERT INTO `object_crc_string_table` VALUES ('4020213636', 'EF9F9784', 'object/tangible/wearables/ithorian/shared_ith_belt_s19.iff');
INSERT INTO `object_crc_string_table` VALUES ('3389251719', 'CA03E087', 'object/tangible/wearables/ithorian/shared_ith_belt_s20.iff');
INSERT INTO `object_crc_string_table` VALUES ('1624619856', '60D5BB50', 'object/tangible/wearables/ithorian/shared_ith_bodysuit_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3150058439', 'BBC213C7', 'object/tangible/wearables/ithorian/shared_ith_bodysuit_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4073681994', 'F2CF744A', 'object/tangible/wearables/ithorian/shared_ith_bodysuit_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('153902942', '92C5F5E', 'object/tangible/wearables/ithorian/shared_ith_bodysuit_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1075919059', '402138D3', 'object/tangible/wearables/ithorian/shared_ith_bodysuit_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('2604044356', '9B369044', 'object/tangible/wearables/ithorian/shared_ith_bodysuit_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('2776825848', 'A582FFF8', 'object/tangible/wearables/ithorian/shared_ith_dress_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3968833653', 'EC8F9875', 'object/tangible/wearables/ithorian/shared_ith_dress_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('4091398496', 'F3DDC960', 'object/tangible/wearables/ithorian/shared_ith_dress_short_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('698134614', '299CB056', 'object/tangible/wearables/ithorian/shared_ith_gloves_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4069202113', 'F28B18C1', 'object/tangible/wearables/ithorian/shared_ith_gloves_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2858642362', 'AA636BBA', 'object/tangible/wearables/ithorian/shared_ith_hat_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1903477549', '7174C32D', 'object/tangible/wearables/ithorian/shared_ith_hat_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('947496096', '3879A4A0', 'object/tangible/wearables/ithorian/shared_ith_hat_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3281686452', 'C39A8FB4', 'object/tangible/wearables/ithorian/shared_ith_hat_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3410900852', 'CB4E3774', 'object/tangible/wearables/ithorian/shared_ith_jacket_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('274309091', '10599FE3', 'object/tangible/wearables/ithorian/shared_ith_jacket_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1498740846', '5954F86E', 'object/tangible/wearables/ithorian/shared_ith_jacket_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2729956218', 'A2B7D37A', 'object/tangible/wearables/ithorian/shared_ith_jacket_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3954881783', 'EBBAB4F7', 'object/tangible/wearables/ithorian/shared_ith_jacket_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('816651360', '30AD1C60', 'object/tangible/wearables/ithorian/shared_ith_jacket_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('2040560621', '79A07BED', 'object/tangible/wearables/ithorian/shared_ith_jacket_s07.iff');
INSERT INTO `object_crc_string_table` VALUES ('3282720767', 'C3AA57FF', 'object/tangible/wearables/ithorian/shared_ith_jacket_s08.iff');
INSERT INTO `object_crc_string_table` VALUES ('2326212722', '8AA73072', 'object/tangible/wearables/ithorian/shared_ith_jacket_s09.iff');
INSERT INTO `object_crc_string_table` VALUES ('2573950337', '996B5D81', 'object/tangible/wearables/ithorian/shared_ith_jacket_s10.iff');
INSERT INTO `object_crc_string_table` VALUES ('3496360460', 'D0663A0C', 'object/tangible/wearables/ithorian/shared_ith_jacket_s11.iff');
INSERT INTO `object_crc_string_table` VALUES ('191992475', 'B71929B', 'object/tangible/wearables/ithorian/shared_ith_jacket_s12.iff');
INSERT INTO `object_crc_string_table` VALUES ('1115485462', '427CF516', 'object/tangible/wearables/ithorian/shared_ith_jacket_s13.iff');
INSERT INTO `object_crc_string_table` VALUES ('3114262018', 'B99FDE02', 'object/tangible/wearables/ithorian/shared_ith_jacket_s14.iff');
INSERT INTO `object_crc_string_table` VALUES ('4036147599', 'F092B98F', 'object/tangible/wearables/ithorian/shared_ith_jacket_s15.iff');
INSERT INTO `object_crc_string_table` VALUES ('3177176289', 'BD5FDCE1', 'object/tangible/wearables/ithorian/shared_ith_necklace_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1716024438', '66487476', 'object/tangible/wearables/ithorian/shared_ith_necklace_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('793056251', '2F4513FB', 'object/tangible/wearables/ithorian/shared_ith_necklace_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3567663343', 'D4A638EF', 'object/tangible/wearables/ithorian/shared_ith_necklace_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2645253986', '9DAB5F62', 'object/tangible/wearables/ithorian/shared_ith_necklace_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1186789365', '46BCF7F5', 'object/tangible/wearables/ithorian/shared_ith_necklace_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('263295096', 'FB19078', 'object/tangible/wearables/ithorian/shared_ith_necklace_s07.iff');
INSERT INTO `object_crc_string_table` VALUES ('3048979562', 'B5BBBC6A', 'object/tangible/wearables/ithorian/shared_ith_necklace_s08.iff');
INSERT INTO `object_crc_string_table` VALUES ('4239842279', 'FCB6DBE7', 'object/tangible/wearables/ithorian/shared_ith_necklace_s09.iff');
INSERT INTO `object_crc_string_table` VALUES ('4017796628', 'EF7AB614', 'object/tangible/wearables/ithorian/shared_ith_necklace_s10.iff');
INSERT INTO `object_crc_string_table` VALUES ('2792870297', 'A677D199', 'object/tangible/wearables/ithorian/shared_ith_necklace_s11.iff');
INSERT INTO `object_crc_string_table` VALUES ('2103474446', '7D60790E', 'object/tangible/wearables/ithorian/shared_ith_necklace_s12.iff');
INSERT INTO `object_crc_string_table` VALUES ('1130250638', '435E418E', 'object/tangible/wearables/ithorian/shared_ith_pants_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2554980633', '9849E919', 'object/tangible/wearables/ithorian/shared_ith_pants_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3510931092', 'D1448E94', 'object/tangible/wearables/ithorian/shared_ith_pants_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('715629952', '2AA7A580', 'object/tangible/wearables/ithorian/shared_ith_pants_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1672135181', '63AAC20D', 'object/tangible/wearables/ithorian/shared_ith_pants_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('3099421338', 'B8BD6A9A', 'object/tangible/wearables/ithorian/shared_ith_pants_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('4054846743', 'F1B00D17', 'object/tangible/wearables/ithorian/shared_ith_pants_s07.iff');
INSERT INTO `object_crc_string_table` VALUES ('1270489349', '4BBA2105', 'object/tangible/wearables/ithorian/shared_ith_pants_s08.iff');
INSERT INTO `object_crc_string_table` VALUES ('45565576', '2B74688', 'object/tangible/wearables/ithorian/shared_ith_pants_s09.iff');
INSERT INTO `object_crc_string_table` VALUES ('293284731', '117B2B7B', 'object/tangible/wearables/ithorian/shared_ith_pants_s10.iff');
INSERT INTO `object_crc_string_table` VALUES ('1484147958', '58764CF6', 'object/tangible/wearables/ithorian/shared_ith_pants_s11.iff');
INSERT INTO `object_crc_string_table` VALUES ('2204230753', '8361E461', 'object/tangible/wearables/ithorian/shared_ith_pants_s12.iff');
INSERT INTO `object_crc_string_table` VALUES ('3396109292', 'CA6C83EC', 'object/tangible/wearables/ithorian/shared_ith_pants_s13.iff');
INSERT INTO `object_crc_string_table` VALUES ('831498488', '318FA8F8', 'object/tangible/wearables/ithorian/shared_ith_pants_s14.iff');
INSERT INTO `object_crc_string_table` VALUES ('2021838709', '7882CF75', 'object/tangible/wearables/ithorian/shared_ith_pants_s15.iff');
INSERT INTO `object_crc_string_table` VALUES ('2744477666', 'A39567E2', 'object/tangible/wearables/ithorian/shared_ith_pants_s16.iff');
INSERT INTO `object_crc_string_table` VALUES ('3935830127', 'EA98006F', 'object/tangible/wearables/ithorian/shared_ith_pants_s17.iff');
INSERT INTO `object_crc_string_table` VALUES ('1351756925', '50922C7D', 'object/tangible/wearables/ithorian/shared_ith_pants_s18.iff');
INSERT INTO `object_crc_string_table` VALUES ('429870064', '199F4BF0', 'object/tangible/wearables/ithorian/shared_ith_pants_s19.iff');
INSERT INTO `object_crc_string_table` VALUES ('1006845171', '3C033CF3', 'object/tangible/wearables/ithorian/shared_ith_pants_s20.iff');
INSERT INTO `object_crc_string_table` VALUES ('1963875198', '750E5B7E', 'object/tangible/wearables/ithorian/shared_ith_pants_s21.iff');
INSERT INTO `object_crc_string_table` VALUES ('3329776583', 'C6785BC7', 'object/tangible/wearables/ithorian/shared_ith_robe_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2406825034', '8F753C4A', 'object/tangible/wearables/ithorian/shared_ith_robe_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2052487731', '7A567A33', 'object/tangible/wearables/ithorian/shared_ith_shirt_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2705445540', 'A141D2A4', 'object/tangible/wearables/ithorian/shared_ith_shirt_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3897341225', 'E84CB529', 'object/tangible/wearables/ithorian/shared_ith_shirt_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('330276413', '13AF9E3D', 'object/tangible/wearables/ithorian/shared_ith_shirt_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1520630192', '5AA2F9B0', 'object/tangible/wearables/ithorian/shared_ith_shirt_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('2176143655', '81B55127', 'object/tangible/wearables/ithorian/shared_ith_shirt_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('3367515818', 'C8B836AA', 'object/tangible/wearables/ithorian/shared_ith_shirt_s07.iff');
INSERT INTO `object_crc_string_table` VALUES ('1924274872', '72B21AB8', 'object/tangible/wearables/ithorian/shared_ith_shirt_s08.iff');
INSERT INTO `object_crc_string_table` VALUES ('1002405173', '3BBF7D35', 'object/tangible/wearables/ithorian/shared_ith_shirt_s09.iff');
INSERT INTO `object_crc_string_table` VALUES ('678629574', '287310C6', 'object/tangible/wearables/ithorian/shared_ith_shirt_s10.iff');
INSERT INTO `object_crc_string_table` VALUES ('1635678027', '617E774B', 'object/tangible/wearables/ithorian/shared_ith_shirt_s11.iff');
INSERT INTO `object_crc_string_table` VALUES ('3127500764', 'BA69DFDC', 'object/tangible/wearables/ithorian/shared_ith_shirt_s12.iff');
INSERT INTO `object_crc_string_table` VALUES ('4083464273', 'F364B851', 'object/tangible/wearables/ithorian/shared_ith_shirt_s13.iff');
INSERT INTO `object_crc_string_table` VALUES ('143102789', '8879345', 'object/tangible/wearables/ithorian/shared_ith_shirt_s14.iff');
INSERT INTO `object_crc_string_table` VALUES ('1917673273', '724D5F39', 'object/tangible/wearables/ithorian/shared_ith_skirt_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2841311150', 'A95AF7AE', 'object/tangible/wearables/ithorian/shared_ith_skirt_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3763834915', 'E0579023', 'object/tangible/wearables/ithorian/shared_ith_skirt_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('582349540', '22B5F2E4', 'object/tangible/wearables/ithorian/shared_ith_underwear_bottom.iff');
INSERT INTO `object_crc_string_table` VALUES ('3845560407', 'E5369857', 'object/tangible/wearables/ithorian/shared_ith_underwear_top.iff');
INSERT INTO `object_crc_string_table` VALUES ('1675163714', '63D8F842', 'object/tangible/wearables/ithorian/shared_ith_vest_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3100594389', 'B8CF50D5', 'object/tangible/wearables/ithorian/shared_ith_vest_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4035495678', 'F088C6FE', 'object/tangible/wearables/jacket/shared_jacket_ace_imperial.iff');
INSERT INTO `object_crc_string_table` VALUES ('3982175528', 'ED5B2D28', 'object/tangible/wearables/jacket/shared_jacket_ace_privateer.iff');
INSERT INTO `object_crc_string_table` VALUES ('3256170327', 'C2153757', 'object/tangible/wearables/jacket/shared_jacket_ace_rebel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1288064520', '4CC64E08', 'object/tangible/wearables/jacket/shared_jacket_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('97200517', '5CB2985', 'object/tangible/wearables/jacket/shared_jacket_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3072681244', 'B725651C', 'object/tangible/wearables/jacket/shared_jacket_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1815268747', '6C32CD8B', 'object/tangible/wearables/jacket/shared_jacket_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('624929286', '253FAA06', 'object/tangible/wearables/jacket/shared_jacket_s07.iff');
INSERT INTO `object_crc_string_table` VALUES ('2671085076', '9F358614', 'object/tangible/wearables/jacket/shared_jacket_s08.iff');
INSERT INTO `object_crc_string_table` VALUES ('3321138282', 'C5F48C6A', 'object/tangible/wearables/jacket/shared_jacket_s10.iff');
INSERT INTO `object_crc_string_table` VALUES ('2365189095', '8CF9EBE7', 'object/tangible/wearables/jacket/shared_jacket_s11.iff');
INSERT INTO `object_crc_string_table` VALUES ('1475232624', '57EE4370', 'object/tangible/wearables/jacket/shared_jacket_s12.iff');
INSERT INTO `object_crc_string_table` VALUES ('518202621', '1EE324FD', 'object/tangible/wearables/jacket/shared_jacket_s13.iff');
INSERT INTO `object_crc_string_table` VALUES ('3841986537', 'E5000FE9', 'object/tangible/wearables/jacket/shared_jacket_s14.iff');
INSERT INTO `object_crc_string_table` VALUES ('2886559844', 'AC0D6864', 'object/tangible/wearables/jacket/shared_jacket_s15.iff');
INSERT INTO `object_crc_string_table` VALUES ('1998242035', '771AC0F3', 'object/tangible/wearables/jacket/shared_jacket_s16.iff');
INSERT INTO `object_crc_string_table` VALUES ('1041737598', '3E17A77E', 'object/tangible/wearables/jacket/shared_jacket_s17.iff');
INSERT INTO `object_crc_string_table` VALUES ('2216528748', '841D8B6C', 'object/tangible/wearables/jacket/shared_jacket_s18.iff');
INSERT INTO `object_crc_string_table` VALUES ('3440438497', 'CD10ECE1', 'object/tangible/wearables/jacket/shared_jacket_s19.iff');
INSERT INTO `object_crc_string_table` VALUES ('2709650543', 'A181FC6F', 'object/tangible/wearables/jacket/shared_jacket_s21.iff');
INSERT INTO `object_crc_string_table` VALUES ('2056672504', '7A9654F8', 'object/tangible/wearables/jacket/shared_jacket_s22.iff');
INSERT INTO `object_crc_string_table` VALUES ('3363313761', 'C8781861', 'object/tangible/wearables/jacket/shared_jacket_s24.iff');
INSERT INTO `object_crc_string_table` VALUES ('2171961324', '81757FEC', 'object/tangible/wearables/jacket/shared_jacket_s25.iff');
INSERT INTO `object_crc_string_table` VALUES ('1516427131', '5A62D77B', 'object/tangible/wearables/jacket/shared_jacket_s26.iff');
INSERT INTO `object_crc_string_table` VALUES ('2589815444', '9A5D7294', 'object/tangible/wearables/jacket/shared_jacket_s35.iff');
INSERT INTO `object_crc_string_table` VALUES ('1095424515', '414ADA03', 'object/tangible/wearables/jacket/shared_jacket_s36.iff');
INSERT INTO `object_crc_string_table` VALUES ('3954123718', 'EBAF23C6', 'object/tangible/wearables/necklace/shared_bestine_quest_badge.iff');
INSERT INTO `object_crc_string_table` VALUES ('1050230351', '3E993E4F', 'object/tangible/wearables/necklace/shared_necklace_adorned_beads.iff');
INSERT INTO `object_crc_string_table` VALUES ('3453591411', 'CDD99F73', 'object/tangible/wearables/necklace/shared_necklace_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3584437673', 'D5A62DA9', 'object/tangible/wearables/necklace/shared_necklace_blue_gadget.iff');
INSERT INTO `object_crc_string_table` VALUES ('4150202535', 'F75F10A7', 'object/tangible/wearables/necklace/shared_necklace_brass_charm.iff');
INSERT INTO `object_crc_string_table` VALUES ('3040940329', 'B5411129', 'object/tangible/wearables/necklace/shared_necklace_bright_bauble.iff');
INSERT INTO `object_crc_string_table` VALUES ('974368601', '3A13AF59', 'object/tangible/wearables/necklace/shared_necklace_complex_pattern.iff');
INSERT INTO `object_crc_string_table` VALUES ('2325808611', '8AA105E3', 'object/tangible/wearables/necklace/shared_necklace_convoluted_adornment.iff');
INSERT INTO `object_crc_string_table` VALUES ('1155738012', '44E3299C', 'object/tangible/wearables/necklace/shared_necklace_crushed_brooch.iff');
INSERT INTO `object_crc_string_table` VALUES ('283875663', '10EB994F', 'object/tangible/wearables/necklace/shared_necklace_elaborate_necklet.iff');
INSERT INTO `object_crc_string_table` VALUES ('2530110745', '96CE6D19', 'object/tangible/wearables/necklace/shared_necklace_flashy_choker.iff');
INSERT INTO `object_crc_string_table` VALUES ('3024190115', 'B4417AA3', 'object/tangible/wearables/necklace/shared_necklace_hologram_locket.iff');
INSERT INTO `object_crc_string_table` VALUES ('3734395119', 'DE9658EF', 'object/tangible/wearables/necklace/shared_necklace_ice_pendant.iff');
INSERT INTO `object_crc_string_table` VALUES ('4144828811', 'F70D118B', 'object/tangible/wearables/necklace/shared_necklace_iron_brooch.iff');
INSERT INTO `object_crc_string_table` VALUES ('840414348', '3217B48C', 'object/tangible/wearables/necklace/shared_necklace_iron_choker.iff');
INSERT INTO `object_crc_string_table` VALUES ('218269484', 'D02872C', 'object/tangible/wearables/necklace/shared_necklace_jeweled_pendant.iff');
INSERT INTO `object_crc_string_table` VALUES ('3512942236', 'D1633E9C', 'object/tangible/wearables/necklace/shared_necklace_knickknack.iff');
INSERT INTO `object_crc_string_table` VALUES ('3087789204', 'B80BEC94', 'object/tangible/wearables/necklace/shared_necklace_living_chains.iff');
INSERT INTO `object_crc_string_table` VALUES ('2122077046', '7E7C5376', 'object/tangible/wearables/necklace/shared_necklace_magnificent_lavaliere.iff');
INSERT INTO `object_crc_string_table` VALUES ('3448479035', 'CD8B9D3B', 'object/tangible/wearables/necklace/shared_necklace_nyax.iff');
INSERT INTO `object_crc_string_table` VALUES ('118177721', '70B3FB9', 'object/tangible/wearables/necklace/shared_necklace_opulent_cameo.iff');
INSERT INTO `object_crc_string_table` VALUES ('2206646823', '8386C227', 'object/tangible/wearables/necklace/shared_necklace_ornamental_ratchet.iff');
INSERT INTO `object_crc_string_table` VALUES ('1137026386', '43C5A552', 'object/tangible/wearables/necklace/shared_necklace_pawl_chain.iff');
INSERT INTO `object_crc_string_table` VALUES ('2922514792', 'AE320968', 'object/tangible/wearables/necklace/shared_necklace_platinum_pin.iff');
INSERT INTO `object_crc_string_table` VALUES ('3826079370', 'E40D568A', 'object/tangible/wearables/necklace/shared_necklace_reebo_charm.iff');
INSERT INTO `object_crc_string_table` VALUES ('2107115657', '7D980889', 'object/tangible/wearables/necklace/shared_necklace_rosy_pearl.iff');
INSERT INTO `object_crc_string_table` VALUES ('509359350', '1E5C34F6', 'object/tangible/wearables/necklace/shared_necklace_rusty_beads.iff');
INSERT INTO `object_crc_string_table` VALUES ('705351361', '2A0ACEC1', 'object/tangible/wearables/necklace/shared_necklace_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4045235798', 'F11D6656', 'object/tangible/wearables/necklace/shared_necklace_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3088056795', 'B81001DB', 'object/tangible/wearables/necklace/shared_necklace_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1140009679', '43F32ACF', 'object/tangible/wearables/necklace/shared_necklace_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('184438082', 'AFE4D42', 'object/tangible/wearables/necklace/shared_necklace_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('3521766869', 'D1E9E5D5', 'object/tangible/wearables/necklace/shared_necklace_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('2565112408', '98E48258', 'object/tangible/wearables/necklace/shared_necklace_s07.iff');
INSERT INTO `object_crc_string_table` VALUES ('586067530', '22EEAE4A', 'object/tangible/wearables/necklace/shared_necklace_s08.iff');
INSERT INTO `object_crc_string_table` VALUES ('1810090439', '6BE3C9C7', 'object/tangible/wearables/necklace/shared_necklace_s09.iff');
INSERT INTO `object_crc_string_table` VALUES ('4204967934', 'FAA2B7FE', 'object/tangible/wearables/necklace/shared_necklace_s09_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2016388148', '782FA434', 'object/tangible/wearables/necklace/shared_necklace_s10.iff');
INSERT INTO `object_crc_string_table` VALUES ('824361913', '3122C3B9', 'object/tangible/wearables/necklace/shared_necklace_s11.iff');
INSERT INTO `object_crc_string_table` VALUES ('3929369390', 'EA356B2E', 'object/tangible/wearables/necklace/shared_necklace_s12.iff');
INSERT INTO `object_crc_string_table` VALUES ('4111333468', 'F50DF85C', 'object/tangible/wearables/necklace/shared_necklace_sparkling_bijou.iff');
INSERT INTO `object_crc_string_table` VALUES ('3192072783', 'BE432A4F', 'object/tangible/wearables/necklace/shared_necklace_wampum.iff');
INSERT INTO `object_crc_string_table` VALUES ('2233956453', '85277865', 'object/tangible/wearables/pants/shared_nightsister_pants_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1580257522', '5E30D0F2', 'object/tangible/wearables/pants/shared_nightsister_pants_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('729715050', '2B7E916A', 'object/tangible/wearables/pants/shared_pants_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4033427965', 'F06939FD', 'object/tangible/wearables/pants/shared_pants_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1116173668', '42877564', 'object/tangible/wearables/pants/shared_pants_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('193598185', 'B8A12E9', 'object/tangible/wearables/pants/shared_pants_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('3499997822', 'D09DBA7E', 'object/tangible/wearables/pants/shared_pants_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('2576408051', '9990DDF3', 'object/tangible/wearables/pants/shared_pants_s07.iff');
INSERT INTO `object_crc_string_table` VALUES ('597357025', '239AF1E1', 'object/tangible/wearables/pants/shared_pants_s08.iff');
INSERT INTO `object_crc_string_table` VALUES ('1788319340', '6A97966C', 'object/tangible/wearables/pants/shared_pants_s09.iff');
INSERT INTO `object_crc_string_table` VALUES ('2036071327', '795BFB9F', 'object/tangible/wearables/pants/shared_pants_s10.iff');
INSERT INTO `object_crc_string_table` VALUES ('810982418', '30569C12', 'object/tangible/wearables/pants/shared_pants_s11.iff');
INSERT INTO `object_crc_string_table` VALUES ('3946919045', 'EB413485', 'object/tangible/wearables/pants/shared_pants_s12.iff');
INSERT INTO `object_crc_string_table` VALUES ('2722910984', 'A24C5308', 'object/tangible/wearables/pants/shared_pants_s13.iff');
INSERT INTO `object_crc_string_table` VALUES ('1504671772', '59AF781C', 'object/tangible/wearables/pants/shared_pants_s14.iff');
INSERT INTO `object_crc_string_table` VALUES ('279060369', '10A21F91', 'object/tangible/wearables/pants/shared_pants_s15.iff');
INSERT INTO `object_crc_string_table` VALUES ('2193150091', '82B8D08B', 'object/tangible/wearables/pants/shared_pants_s17.iff');
INSERT INTO `object_crc_string_table` VALUES ('951254169', '38B2FC99', 'object/tangible/wearables/pants/shared_pants_s18.iff');
INSERT INTO `object_crc_string_table` VALUES ('489589658', '1D2E8B9A', 'object/tangible/wearables/pants/shared_pants_s21.iff');
INSERT INTO `object_crc_string_table` VALUES ('3325633293', 'C639230D', 'object/tangible/wearables/pants/shared_pants_s22.iff');
INSERT INTO `object_crc_string_table` VALUES ('1960275860', '74D76F94', 'object/tangible/wearables/pants/shared_pants_s24.iff');
INSERT INTO `object_crc_string_table` VALUES ('1037699097', '3DDA0819', 'object/tangible/wearables/pants/shared_pants_s25.iff');
INSERT INTO `object_crc_string_table` VALUES ('3872235662', 'E6CDA08E', 'object/tangible/wearables/pants/shared_pants_s26.iff');
INSERT INTO `object_crc_string_table` VALUES ('2948646659', 'AFC0C703', 'object/tangible/wearables/pants/shared_pants_s27.iff');
INSERT INTO `object_crc_string_table` VALUES ('365619985', '15CAEB11', 'object/tangible/wearables/pants/shared_pants_s28.iff');
INSERT INTO `object_crc_string_table` VALUES ('1556581532', '5CC78C9C', 'object/tangible/wearables/pants/shared_pants_s29.iff');
INSERT INTO `object_crc_string_table` VALUES ('1326178671', '4F0BE16F', 'object/tangible/wearables/pants/shared_pants_s30.iff');
INSERT INTO `object_crc_string_table` VALUES ('101091042', '60686E2', 'object/tangible/wearables/pants/shared_pants_s31.iff');
INSERT INTO `object_crc_string_table` VALUES ('3708890741', 'DD112E75', 'object/tangible/wearables/pants/shared_pants_s32.iff');
INSERT INTO `object_crc_string_table` VALUES ('2484881912', '941C49F8', 'object/tangible/wearables/pants/shared_pants_s33.iff');
INSERT INTO `object_crc_string_table` VALUES ('923373873', '37099131', 'object/tangible/wearables/ring/shared_aakuan_ring.iff');
INSERT INTO `object_crc_string_table` VALUES ('4136025825', 'F686BEE1', 'object/tangible/wearables/ring/shared_ring_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3368096094', 'C8C1115E', 'object/tangible/wearables/ring/shared_ring_mark_hero.iff');
INSERT INTO `object_crc_string_table` VALUES ('186168033', 'B18B2E1', 'object/tangible/wearables/ring/shared_ring_nightsister.iff');
INSERT INTO `object_crc_string_table` VALUES ('1300460406', '4D837376', 'object/tangible/wearables/ring/shared_ring_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2526338017', '9694DBE1', 'object/tangible/wearables/ring/shared_ring_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3751394412', 'DF99BC6C', 'object/tangible/wearables/ring/shared_ring_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('266162342', 'FDD50A6', 'object/tangible/wearables/ring/shared_ring_s03_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('612013944', '247A9778', 'object/tangible/wearables/ring/shared_ring_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('518208123', '1EE33A7B', 'object/tangible/wearables/robe/shared_aakuan_robe.iff');
INSERT INTO `object_crc_string_table` VALUES ('3169107890', 'BCE4BFB2', 'object/tangible/wearables/robe/shared_robe_inquisitor.iff');
INSERT INTO `object_crc_string_table` VALUES ('3047595977', 'B5A69FC9', 'object/tangible/wearables/robe/shared_robe_jedi_dark_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1857107806', '6EB1375E', 'object/tangible/wearables/robe/shared_robe_jedi_dark_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('666652883', '27BC50D3', 'object/tangible/wearables/robe/shared_robe_jedi_dark_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3697245127', 'DC5F7BC7', 'object/tangible/wearables/robe/shared_robe_jedi_dark_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2505186378', '95521C4A', 'object/tangible/wearables/robe/shared_robe_jedi_dark_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('3064236439', 'B6A48997', 'object/tangible/wearables/robe/shared_robe_jedi_light_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1840455936', '6DB32100', 'object/tangible/wearables/robe/shared_robe_jedi_light_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('616449677', '24BE468D', 'object/tangible/wearables/robe/shared_robe_jedi_light_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3747442073', 'DF5D6D99', 'object/tangible/wearables/robe/shared_robe_jedi_light_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2521827860', '96500A14', 'object/tangible/wearables/robe/shared_robe_jedi_light_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('901202930', '35B743F2', 'object/tangible/wearables/robe/shared_robe_jedi_padawan.iff');
INSERT INTO `object_crc_string_table` VALUES ('2041848180', '79B42174', 'object/tangible/wearables/robe/shared_robe_jedi_test.iff');
INSERT INTO `object_crc_string_table` VALUES ('1197214887', '475C0CA7', 'object/tangible/wearables/robe/shared_robe_prefect_talmont.iff');
INSERT INTO `object_crc_string_table` VALUES ('1986706266', '766ABB5A', 'object/tangible/wearables/robe/shared_robe_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('529751892', '1F935F54', 'object/tangible/wearables/robe/shared_robe_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1453209817', '569E38D9', 'object/tangible/wearables/robe/shared_robe_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('956309254', '39001F06', 'object/tangible/wearables/robe/shared_robe_s05_h1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3059031733', 'B6551EB5', 'object/tangible/wearables/robe/shared_robe_s12.iff');
INSERT INTO `object_crc_string_table` VALUES ('1705432745', '65A6D6A9', 'object/tangible/wearables/robe/shared_robe_s18.iff');
INSERT INTO `object_crc_string_table` VALUES ('4074040627', 'F2D4ED33', 'object/tangible/wearables/robe/shared_robe_s27.iff');
INSERT INTO `object_crc_string_table` VALUES ('1357876030', '50EF8B3E', 'object/tangible/wearables/robe/shared_robe_tusken_raider_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2348295081', '8BF823A9', 'object/tangible/wearables/robe/shared_robe_tusken_raider_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1826844236', '6CE36E4C', 'object/tangible/wearables/shirt/shared_aakuan_shirt.iff');
INSERT INTO `object_crc_string_table` VALUES ('2915181995', 'ADC225AB', 'object/tangible/wearables/shirt/shared_nightsister_shirt_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1993706812', '76D58D3C', 'object/tangible/wearables/shirt/shared_nightsister_shirt_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1071180465', '3FD8EAB1', 'object/tangible/wearables/shirt/shared_nightsister_shirt_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2503455797', '9537B435', 'object/tangible/wearables/shirt/shared_shirt_dera.iff');
INSERT INTO `object_crc_string_table` VALUES ('2094605554', '7CD924F2', 'object/tangible/wearables/shirt/shared_shirt_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3284391471', 'C3C3D62F', 'object/tangible/wearables/shirt/shared_shirt_s03_rebel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2268729318', '873A0FE6', 'object/tangible/wearables/shirt/shared_shirt_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3459737707', 'CE37686B', 'object/tangible/wearables/shirt/shared_shirt_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1546495857', '5C2DA771', 'object/tangible/wearables/shirt/shared_shirt_s07.iff');
INSERT INTO `object_crc_string_table` VALUES ('3861351267', 'E6278B63', 'object/tangible/wearables/shirt/shared_shirt_s08.iff');
INSERT INTO `object_crc_string_table` VALUES ('2938825966', 'AF2AECEE', 'object/tangible/wearables/shirt/shared_shirt_s09.iff');
INSERT INTO `object_crc_string_table` VALUES ('3169222941', 'BCE6811D', 'object/tangible/wearables/shirt/shared_shirt_s10.iff');
INSERT INTO `object_crc_string_table` VALUES ('4125877904', 'F5EBE690', 'object/tangible/wearables/shirt/shared_shirt_s11.iff');
INSERT INTO `object_crc_string_table` VALUES ('788286983', '2EFC4E07', 'object/tangible/wearables/shirt/shared_shirt_s12.iff');
INSERT INTO `object_crc_string_table` VALUES ('1743858058', '67F1298A', 'object/tangible/wearables/shirt/shared_shirt_s13.iff');
INSERT INTO `object_crc_string_table` VALUES ('2618426014', '9C12029E', 'object/tangible/wearables/shirt/shared_shirt_s14.iff');
INSERT INTO `object_crc_string_table` VALUES ('3575604499', 'D51F6513', 'object/tangible/wearables/shirt/shared_shirt_s15.iff');
INSERT INTO `object_crc_string_table` VALUES ('235457924', 'E08CD84', 'object/tangible/wearables/shirt/shared_shirt_s16.iff');
INSERT INTO `object_crc_string_table` VALUES ('2976519446', 'B16A1516', 'object/tangible/wearables/shirt/shared_shirt_s24.iff');
INSERT INTO `object_crc_string_table` VALUES ('594598412', '2370DA0C', 'object/tangible/wearables/shirt/shared_shirt_s26.iff');
INSERT INTO `object_crc_string_table` VALUES ('1786625409', '6A7DBD81', 'object/tangible/wearables/shirt/shared_shirt_s27.iff');
INSERT INTO `object_crc_string_table` VALUES ('3497496979', 'D0779193', 'object/tangible/wearables/shirt/shared_shirt_s28.iff');
INSERT INTO `object_crc_string_table` VALUES ('2327223277', '8AB69BED', 'object/tangible/wearables/shirt/shared_shirt_s30.iff');
INSERT INTO `object_crc_string_table` VALUES ('413947127', '18AC54F7', 'object/tangible/wearables/shirt/shared_shirt_s32.iff');
INSERT INTO `object_crc_string_table` VALUES ('2856458350', 'AA42186E', 'object/tangible/wearables/shirt/shared_shirt_s34.iff');
INSERT INTO `object_crc_string_table` VALUES ('3412040939', 'CB5F9CEB', 'object/tangible/wearables/shirt/shared_shirt_s38.iff');
INSERT INTO `object_crc_string_table` VALUES ('1500804767', '5974769F', 'object/tangible/wearables/shirt/shared_shirt_s42.iff');
INSERT INTO `object_crc_string_table` VALUES ('73383983', '45FC02F', 'object/tangible/wearables/shirt/shared_singing_mountain_clan_shirt_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3746064568', 'DF4868B8', 'object/tangible/wearables/shirt/shared_singing_mountain_clan_shirt_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2521108277', '96450F35', 'object/tangible/wearables/shirt/shared_singing_mountain_clan_shirt_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3549441025', 'D3902C01', 'object/tangible/wearables/shoes/shared_shoes_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('143099030', '8878496', 'object/tangible/wearables/shoes/shared_shoes_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1099621147', '418AE31B', 'object/tangible/wearables/shoes/shared_shoes_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1635672216', '617E6098', 'object/tangible/wearables/shoes/shared_shoes_s07.iff');
INSERT INTO `object_crc_string_table` VALUES ('3681832074', 'DB744C8A', 'object/tangible/wearables/shoes/shared_shoes_s08.iff');
INSERT INTO `object_crc_string_table` VALUES ('2457414407', '92792B07', 'object/tangible/wearables/shoes/shared_shoes_s09.iff');
INSERT INTO `object_crc_string_table` VALUES ('2970859087', 'B113B64F', 'object/tangible/wearables/skirt/shared_singing_mountain_clan_skirt_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1778654936', '6A041ED8', 'object/tangible/wearables/skirt/shared_singing_mountain_clan_skirt_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('587823445', '23097955', 'object/tangible/wearables/skirt/shared_singing_mountain_clan_skirt_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('647487888', '2697E190', 'object/tangible/wearables/skirt/shared_skirt_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3715418756', 'DD74CA84', 'object/tangible/wearables/skirt/shared_skirt_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2491002121', '9479AD09', 'object/tangible/wearables/skirt/shared_skirt_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1332610462', '4F6E059E', 'object/tangible/wearables/skirt/shared_skirt_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('107176467', '6636213', 'object/tangible/wearables/skirt/shared_skirt_s07.iff');
INSERT INTO `object_crc_string_table` VALUES ('3161017857', 'BC694E01', 'object/tangible/wearables/skirt/shared_skirt_s08.iff');
INSERT INTO `object_crc_string_table` VALUES ('4116982156', 'F564298C', 'object/tangible/wearables/skirt/shared_skirt_s09.iff');
INSERT INTO `object_crc_string_table` VALUES ('3869787263', 'E6A8447F', 'object/tangible/wearables/skirt/shared_skirt_s10.iff');
INSERT INTO `object_crc_string_table` VALUES ('2946835442', 'AFA523F2', 'object/tangible/wearables/skirt/shared_skirt_s11.iff');
INSERT INTO `object_crc_string_table` VALUES ('1957858149', '74B28B65', 'object/tangible/wearables/skirt/shared_skirt_s12.iff');
INSERT INTO `object_crc_string_table` VALUES ('1035988200', '3DBFECE8', 'object/tangible/wearables/skirt/shared_skirt_s13.iff');
INSERT INTO `object_crc_string_table` VALUES ('3327969276', 'C65CC7FC', 'object/tangible/wearables/skirt/shared_skirt_s14.iff');
INSERT INTO `object_crc_string_table` VALUES ('3623370478', 'D7F83EEE', 'object/tangible/wearables/underwear/shared_underwear_bottom.iff');
INSERT INTO `object_crc_string_table` VALUES ('467062673', '1BD6CF91', 'object/tangible/wearables/underwear/shared_underwear_top.iff');
INSERT INTO `object_crc_string_table` VALUES ('34828875', '213724B', 'object/tangible/wearables/utility/shared_utility_belt_tusken_raider.iff');
INSERT INTO `object_crc_string_table` VALUES ('589794232', '23278BB8', 'object/tangible/wearables/vest/shared_vest_hutt_gang_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4163904303', 'F830232F', 'object/tangible/wearables/vest/shared_vest_hutt_gang_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2973582498', 'B13D44A2', 'object/tangible/wearables/vest/shared_vest_hutt_gang_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('815018384', '30943190', 'object/tangible/wearables/vest/shared_vest_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3951270151', 'EB839907', 'object/tangible/wearables/vest/shared_vest_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2727280266', 'A28EFE8A', 'object/tangible/wearables/vest/shared_vest_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1500370334', '596DD59E', 'object/tangible/wearables/vest/shared_vest_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('274772499', '1060B213', 'object/tangible/wearables/vest/shared_vest_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('3413580420', 'CB771A84', 'object/tangible/wearables/vest/shared_vest_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('1904031382', '717D3696', 'object/tangible/wearables/vest/shared_vest_s09.iff');
INSERT INTO `object_crc_string_table` VALUES ('1655790437', '62B15B65', 'object/tangible/wearables/vest/shared_vest_s10.iff');
INSERT INTO `object_crc_string_table` VALUES ('733756648', '2BBC3CE8', 'object/tangible/wearables/vest/shared_vest_s11.iff');
INSERT INTO `object_crc_string_table` VALUES ('189316971', 'B48BF6B', 'object/tangible/wearables/vest/shared_vest_s15.iff');
INSERT INTO `object_crc_string_table` VALUES ('982220507', '3A8B7EDB', 'object/tangible/wearables/wookiee/shared_wke_gloves_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3785152076', 'E19CD64C', 'object/tangible/wearables/wookiee/shared_wke_gloves_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2828120513', 'A891B1C1', 'object/tangible/wearables/wookiee/shared_wke_gloves_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1400019669', '53729AD5', 'object/tangible/wearables/wookiee/shared_wke_gloves_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('143220595', '8895F73', 'object/tangible/wearables/wookiee/shared_wke_hat_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('773028987', '2E137C7B', 'object/tangible/wearables/wookiee/shared_wke_hood_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4110734572', 'F504D4EC', 'object/tangible/wearables/wookiee/shared_wke_hood_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3154752353', 'BC09B361', 'object/tangible/wearables/wookiee/shared_wke_hood_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1294873415', '4D2E3347', 'object/tangible/wearables/wookiee/shared_wke_lifeday_robe.iff');
INSERT INTO `object_crc_string_table` VALUES ('2316465710', '8A12762E', 'object/tangible/wearables/wookiee/shared_wke_lifeday_robe_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('283957695', '10ECD9BF', 'object/tangible/wearables/wookiee/shared_wke_lifeday_robe_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2791438893', 'A661FA2D', 'object/tangible/wearables/wookiee/shared_wke_shirt_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2104906426', '7D7652BA', 'object/tangible/wearables/wookiee/shared_wke_shirt_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('880489783', '347B3537', 'object/tangible/wearables/wookiee/shared_wke_shirt_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3482852899', 'CF981E23', 'object/tangible/wearables/wookiee/shared_wke_shirt_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1209883613', '481D5BDD', 'object/tangible/wearables/wookiee/shared_wke_shoulder_pad_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2466968394', '930AF34A', 'object/tangible/wearables/wookiee/shared_wke_shoulder_pad_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2927288103', 'AE7ADF27', 'object/tangible/wearables/wookiee/shared_wke_skirt_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1970108336', '756D77B0', 'object/tangible/wearables/wookiee/shared_wke_skirt_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1012928573', '3C60103D', 'object/tangible/wearables/wookiee/shared_wke_skirt_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3347266345', 'C7833B29', 'object/tangible/wearables/wookiee/shared_wke_skirt_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('638400460', '260D37CC', 'object/tangible/weather_object/shared_weather_object_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3897855130', 'E8548C9A', 'object/token/base/shared_base_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('599623444', '23BD8714', 'object/token/base/shared_token_default.iff');
INSERT INTO `object_crc_string_table` VALUES ('4231471595', 'FC3721EB', 'object/token/shared_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('2428076790', '90B982F6', 'object/universe/base/shared_base_universe.iff');
INSERT INTO `object_crc_string_table` VALUES ('3854968513', 'E5C626C1', 'object/universe/base/shared_universe_default.iff');
INSERT INTO `object_crc_string_table` VALUES ('80681620', '4CF1A94', 'object/waypoint/base/shared_base_waypoint.iff');
INSERT INTO `object_crc_string_table` VALUES ('2511311124', '95AF9114', 'object/waypoint/base/shared_waypoint_default.iff');
INSERT INTO `object_crc_string_table` VALUES ('4195736526', 'FA15DBCE', 'object/waypoint/shared_path_waypoint.iff');
INSERT INTO `object_crc_string_table` VALUES ('4251347533', 'FD666A4D', 'object/waypoint/shared_waypoint.iff');
INSERT INTO `object_crc_string_table` VALUES ('629636525', '25877DAD', 'object/waypoint/shared_world_waypoint.iff');
INSERT INTO `object_crc_string_table` VALUES ('3038003230', 'B514401E', 'object/waypoint/shared_world_waypoint_blue.iff');
INSERT INTO `object_crc_string_table` VALUES ('211288739', 'C9802A3', 'object/waypoint/shared_world_waypoint_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('3990793280', 'EDDEAC40', 'object/waypoint/shared_world_waypoint_orange.iff');
INSERT INTO `object_crc_string_table` VALUES ('186074874', 'B1746FA', 'object/waypoint/shared_world_waypoint_purple.iff');
INSERT INTO `object_crc_string_table` VALUES ('2672628441', '9F4D12D9', 'object/waypoint/shared_world_waypoint_space.iff');
INSERT INTO `object_crc_string_table` VALUES ('2818077908', 'A7F874D4', 'object/waypoint/shared_world_waypoint_white.iff');
INSERT INTO `object_crc_string_table` VALUES ('2960507421', 'B075C21D', 'object/waypoint/shared_world_waypoint_yellow.iff');
INSERT INTO `object_crc_string_table` VALUES ('1343110417', '500E3D11', 'object/weapon/base/shared_base_weapon.iff');
INSERT INTO `object_crc_string_table` VALUES ('3295718930', 'C470AE12', 'object/weapon/base/shared_weapon_default.iff');
INSERT INTO `object_crc_string_table` VALUES ('2110842690', '7DD0E742', 'object/weapon/creature/shared_creature_default_weapon.iff');
INSERT INTO `object_crc_string_table` VALUES ('3231039364', 'C095BF84', 'object/weapon/melee/2h_sword/base/shared_2h_sword_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3974479430', 'ECE5BE46', 'object/weapon/melee/2h_sword/base/shared_crafted_lightsaber_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1123043338', '42F0480A', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_gen1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2582110365', '99E7E09D', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_gen2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3505030928', 'D0EA8710', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_gen3.iff');
INSERT INTO `object_crc_string_table` VALUES ('722054148', '2B09AC04', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_gen4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1644481417', '6204CB89', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_gen5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3520543309', 'D1D73A4D', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1113262465', '425B0981', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s1_gen1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2571936022', '994CA116', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s1_gen2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3493971611', 'D041C69B', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s1_gen3.iff');
INSERT INTO `object_crc_string_table` VALUES ('732097935', '2BA2ED8F', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s1_gen4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1933498416', '733ED830', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s10.iff');
INSERT INTO `object_crc_string_table` VALUES ('2821972348', 'A833E17C', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s10_gen1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1931758059', '732449EB', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s10_gen2.iff');
INSERT INTO `object_crc_string_table` VALUES ('975777382', '3A292E66', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s10_gen3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3251242354', 'C1CA0572', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s10_gen4.iff');
INSERT INTO `object_crc_string_table` VALUES ('976469949', '3A33BFBD', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s11.iff');
INSERT INTO `object_crc_string_table` VALUES ('681787675', '28A3411B', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s11_gen1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4088719756', 'F3B4E98C', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s11_gen2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3132722689', 'BAB98E01', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s11_gen3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1096459541', '415AA515', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s11_gen4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3777238826', 'E124172A', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s12.iff');
INSERT INTO `object_crc_string_table` VALUES ('2916334597', 'ADD3BC05', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s12_gen1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1992561810', '76C41492', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s12_gen2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1070166815', '3FC9731F', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s12_gen3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3291109387', 'C42A580B', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s12_gen4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2821288103', 'A82970A7', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s13.iff');
INSERT INTO `object_crc_string_table` VALUES ('759372898', '2D431C62', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s13_gen1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4132746485', 'F654B4F5', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s13_gen2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3210335096', 'BF59D378', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s13_gen3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1153103980', '44BAF86C', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s13_gen4.iff');
INSERT INTO `object_crc_string_table` VALUES ('180392666', 'AC092DA', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3341546655', 'C72BF49F', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s2_gen1.iff');
INSERT INTO `object_crc_string_table` VALUES ('473717768', '1C3C5C08', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s2_gen2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1429289861', '55313B85', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s2_gen3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2933002385', 'AED21091', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s2_gen4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1137571159', '43CDF557', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1203459320', '47BB54F8', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s3_gen1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2628582511', '9CACFC6F', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s3_gen2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3584138210', 'D5A19BE2', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s3_gen3.iff');
INSERT INTO `object_crc_string_table` VALUES ('776122614', '2E42B0F6', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s3_gen4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3090079299', 'B82EDE43', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3372946196', 'C90B1314', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s4_gen1.iff');
INSERT INTO `object_crc_string_table` VALUES ('303872899', '121CBB83', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s4_gen2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1527897102', '5B11DC0E', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s4_gen3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2700277530', 'A0F2F71A', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s4_gen4.iff');
INSERT INTO `object_crc_string_table` VALUES ('4045650382', 'F123B9CE', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1234940787', '499BB373', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s5_gen1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2458655716', '928C1BE4', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s5_gen2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3682696297', 'DB817C69', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s5_gen3.iff');
INSERT INTO `object_crc_string_table` VALUES ('543315837', '2062577D', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s5_gen4.iff');
INSERT INTO `object_crc_string_table` VALUES ('708055385', '2A341159', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s6.iff');
INSERT INTO `object_crc_string_table` VALUES ('3437973101', 'CCEB4E6D', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s6_gen1.iff');
INSERT INTO `object_crc_string_table` VALUES ('402450170', '17FCE6FA', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s6_gen2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1592885623', '5EF18177', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s6_gen3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2769463907', 'A512AA63', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s6_gen4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1664710356', '633976D4', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s7.iff');
INSERT INTO `object_crc_string_table` VALUES ('1283190282', '4C7BEE0A', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s7_gen1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2540455581', '976C469D', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s7_gen2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3730907408', 'DE612110', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s7_gen3.iff');
INSERT INTO `object_crc_string_table` VALUES ('629279236', '25820A04', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s7_gen4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3644021446', 'D9335AC6', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s8.iff');
INSERT INTO `object_crc_string_table` VALUES ('3578452994', 'D54ADC02', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s8_gen1.iff');
INSERT INTO `object_crc_string_table` VALUES ('241005717', 'E5D7495', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s8_gen2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1196430104', '47501318', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s8_gen3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3165861900', 'BCB3380C', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s8_gen4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2419998027', '903E3D4B', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s9.iff');
INSERT INTO `object_crc_string_table` VALUES ('1440382053', '55DA7C65', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s9_gen1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2395854066', '8ECDD4F2', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s9_gen2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3351294847', 'C7C0B37F', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s9_gen3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1008965739', '3C23986B', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s9_gen4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3488117788', 'CFE8741C', 'object/weapon/melee/2h_sword/shared_2h_sword_battleaxe.iff');
INSERT INTO `object_crc_string_table` VALUES ('2823273971', 'A847BDF3', 'object/weapon/melee/2h_sword/shared_2h_sword_battleaxe_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('1699236305', '654849D1', 'object/weapon/melee/2h_sword/shared_2h_sword_blacksun_hack.iff');
INSERT INTO `object_crc_string_table` VALUES ('1737909268', '67966414', 'object/weapon/melee/2h_sword/shared_2h_sword_cleaver.iff');
INSERT INTO `object_crc_string_table` VALUES ('1688331731', '64A1E5D3', 'object/weapon/melee/2h_sword/shared_2h_sword_katana.iff');
INSERT INTO `object_crc_string_table` VALUES ('2213862016', '83F4DA80', 'object/weapon/melee/2h_sword/shared_2h_sword_katana_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('248141391', 'ECA564F', 'object/weapon/melee/2h_sword/shared_2h_sword_maul.iff');
INSERT INTO `object_crc_string_table` VALUES ('3006583634', 'B334D352', 'object/weapon/melee/2h_sword/shared_2h_sword_scythe.iff');
INSERT INTO `object_crc_string_table` VALUES ('2307905353', '898FD749', 'object/weapon/melee/axe/base/shared_axe_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3808952162', 'E307FF62', 'object/weapon/melee/axe/shared_axe_heavy_duty.iff');
INSERT INTO `object_crc_string_table` VALUES ('1835485114', '6D6747BA', 'object/weapon/melee/axe/shared_axe_vibroaxe.iff');
INSERT INTO `object_crc_string_table` VALUES ('1158062481', '4506A191', 'object/weapon/melee/base/shared_base_melee.iff');
INSERT INTO `object_crc_string_table` VALUES ('3732005131', 'DE71E10B', 'object/weapon/melee/baton/base/shared_baton_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1521219232', '5AABF6A0', 'object/weapon/melee/baton/shared_baton_gaderiffi.iff');
INSERT INTO `object_crc_string_table` VALUES ('2740869510', 'A35E5986', 'object/weapon/melee/baton/shared_baton_stun.iff');
INSERT INTO `object_crc_string_table` VALUES ('926540761', '3739E3D9', 'object/weapon/melee/baton/shared_victor_baton_gaderiffi.iff');
INSERT INTO `object_crc_string_table` VALUES ('2605941713', '9B5383D1', 'object/weapon/melee/knife/base/shared_knife_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('4040009714', 'F0CDA7F2', 'object/weapon/melee/knife/shared_knife_dagger.iff');
INSERT INTO `object_crc_string_table` VALUES ('532251396', '1FB98304', 'object/weapon/melee/knife/shared_knife_donkuwah.iff');
INSERT INTO `object_crc_string_table` VALUES ('2255187692', '866B6EEC', 'object/weapon/melee/knife/shared_knife_janta.iff');
INSERT INTO `object_crc_string_table` VALUES ('1218550121', '48A19969', 'object/weapon/melee/knife/shared_knife_stone.iff');
INSERT INTO `object_crc_string_table` VALUES ('1606995338', '5FC8CD8A', 'object/weapon/melee/knife/shared_knife_stone_noob.iff');
INSERT INTO `object_crc_string_table` VALUES ('530531036', '1F9F42DC', 'object/weapon/melee/knife/shared_knife_survival.iff');
INSERT INTO `object_crc_string_table` VALUES ('4211610935', 'FB081537', 'object/weapon/melee/knife/shared_knife_vibroblade.iff');
INSERT INTO `object_crc_string_table` VALUES ('3270607602', 'C2F182F2', 'object/weapon/melee/knife/shared_knife_vibroblade_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('4081145715', 'F3415773', 'object/weapon/melee/polearm/base/shared_crafted_lance_lightsaber_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1355297704', '50C833A8', 'object/weapon/melee/polearm/base/shared_lance_lightsaber_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('4212036933', 'FB0E9545', 'object/weapon/melee/polearm/base/shared_polearm_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3485705147', 'CFC3A3BB', 'object/weapon/melee/polearm/crafted_saber/shared_sword_lightsaber_polearm_gen1.iff');
INSERT INTO `object_crc_string_table` VALUES ('349440812', '14D40B2C', 'object/weapon/melee/polearm/crafted_saber/shared_sword_lightsaber_polearm_gen2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1574530209', '5DD96CA1', 'object/weapon/melee/polearm/crafted_saber/shared_sword_lightsaber_polearm_gen3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2788837301', 'A63A47B5', 'object/weapon/melee/polearm/crafted_saber/shared_sword_lightsaber_polearm_gen4.iff');
INSERT INTO `object_crc_string_table` VALUES ('4013367352', 'EF372038', 'object/weapon/melee/polearm/crafted_saber/shared_sword_lightsaber_polearm_gen5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3840733128', 'E4ECEFC8', 'object/weapon/melee/polearm/crafted_saber/shared_sword_lightsaber_polearm_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3146329948', 'BB892F5C', 'object/weapon/melee/polearm/crafted_saber/shared_sword_lightsaber_polearm_s1_gen1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1621002187', '609E87CB', 'object/weapon/melee/polearm/crafted_saber/shared_sword_lightsaber_polearm_s1_gen2.iff');
INSERT INTO `object_crc_string_table` VALUES ('697557062', '2993E046', 'object/weapon/melee/polearm/crafted_saber/shared_sword_lightsaber_polearm_s1_gen3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3530607442', 'D270CB52', 'object/weapon/melee/polearm/crafted_saber/shared_sword_lightsaber_polearm_s1_gen4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1073432415', '3FFB475F', 'object/weapon/melee/polearm/crafted_saber/shared_sword_lightsaber_polearm_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1056559682', '3EF9D242', 'object/weapon/melee/polearm/crafted_saber/shared_sword_lightsaber_polearm_s2_gen1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3857611477', 'E5EE7AD5', 'object/weapon/melee/polearm/crafted_saber/shared_sword_lightsaber_polearm_s2_gen2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2900565336', 'ACE31D58', 'object/weapon/melee/polearm/crafted_saber/shared_sword_lightsaber_polearm_s2_gen3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1459631692', '5700364C', 'object/weapon/melee/polearm/crafted_saber/shared_sword_lightsaber_polearm_s2_gen4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1316875243', '4E7DEBEB', 'object/weapon/melee/polearm/shared_lance_controllerfp.iff');
INSERT INTO `object_crc_string_table` VALUES ('3796866830', 'E24F970E', 'object/weapon/melee/polearm/shared_lance_controllerfp_nightsister.iff');
INSERT INTO `object_crc_string_table` VALUES ('3828775483', 'E4367A3B', 'object/weapon/melee/polearm/shared_lance_lightsaber_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1059181228', '3F21D2AC', 'object/weapon/melee/polearm/shared_lance_lightsaber_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1613461036', '602B762C', 'object/weapon/melee/polearm/shared_lance_nightsister.iff');
INSERT INTO `object_crc_string_table` VALUES ('770226321', '2DE8B891', 'object/weapon/melee/polearm/shared_lance_nightsister_npc_version.iff');
INSERT INTO `object_crc_string_table` VALUES ('1705789500', '65AC483C', 'object/weapon/melee/polearm/shared_lance_staff_janta.iff');
INSERT INTO `object_crc_string_table` VALUES ('978782032', '3A570750', 'object/weapon/melee/polearm/shared_lance_staff_metal.iff');
INSERT INTO `object_crc_string_table` VALUES ('1200142292', '4788B7D4', 'object/weapon/melee/polearm/shared_lance_staff_wood_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2627673923', '9C9F1F43', 'object/weapon/melee/polearm/shared_lance_staff_wood_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('22784428', '15BA9AC', 'object/weapon/melee/polearm/shared_lance_vibrolance.iff');
INSERT INTO `object_crc_string_table` VALUES ('1723256113', '66B6CD31', 'object/weapon/melee/polearm/shared_polearm_vibro_axe.iff');
INSERT INTO `object_crc_string_table` VALUES ('3357199743', 'C81ACD7F', 'object/weapon/melee/special/shared_blacksun_razor.iff');
INSERT INTO `object_crc_string_table` VALUES ('1697024206', '652688CE', 'object/weapon/melee/special/shared_vibroknuckler.iff');
INSERT INTO `object_crc_string_table` VALUES ('4214168147', 'FB2F1A53', 'object/weapon/melee/sword/base/shared_crafted_lightsaber_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('831536160', '31903C20', 'object/weapon/melee/sword/base/shared_crafted_sword_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1528257070', '5B175A2E', 'object/weapon/melee/sword/base/shared_lightsaber_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3159479554', 'BC51D502', 'object/weapon/melee/sword/base/shared_sword_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('225373638', 'D6EEDC6', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_gen1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3598271825', 'D6794551', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_gen2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2675188444', '9F7422DC', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_gen3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1687620040', '649709C8', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_gen4.iff');
INSERT INTO `object_crc_string_table` VALUES ('765095493', '2D9A6E45', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_gen5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1955018838', '74873856', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3893856758', 'E81789F6', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s1_gen1.iff');
INSERT INTO `object_crc_string_table` VALUES ('855646561', '33002161', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s1_gen2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2047690476', '7A0D46EC', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s1_gen3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2179886584', '81EE6DF8', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s1_gen4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3319201365', 'C5D6FE55', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s10.iff');
INSERT INTO `object_crc_string_table` VALUES ('974526116', '3A1616A4', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s10_gen1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3774987827', 'E101BE33', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s10_gen2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2819414462', 'A80CD9BE', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s10_gen3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1408234154', '53EFF2AA', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s10_gen4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2363202008', '8CDB99D8', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s11.iff');
INSERT INTO `object_crc_string_table` VALUES ('3129390787', 'BA86B6C3', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s11_gen1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1636900436', '61911E54', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s11_gen2.iff');
INSERT INTO `object_crc_string_table` VALUES ('681343449', '289C79D9', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s11_gen3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3548336845', 'D37F52CD', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s11_gen4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1472999759', '57CC314F', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s12.iff');
INSERT INTO `object_crc_string_table` VALUES ('1073105885', '3FF64BDD', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s12_gen1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3840009034', 'E4E1E34A', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s12_gen2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2917958855', 'ADEC84C7', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s12_gen3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1443868627', '560FAFD3', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s12_gen4.iff');
INSERT INTO `object_crc_string_table` VALUES ('515987138', '1EC156C2', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s13.iff');
INSERT INTO `object_crc_string_table` VALUES ('3211193274', 'BF66EBBA', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s13_gen1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1685144365', '6471432D', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s13_gen2.iff');
INSERT INTO `object_crc_string_table` VALUES ('763110560', '2D7C24A0', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s13_gen3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3600748468', 'D69F0FB4', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s13_gen4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2945487041', 'AF9090C1', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1835496680', '6D6774E8', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s2_gen1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3060849791', 'B670DC7F', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s2_gen2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4286430194', 'FF7DBBF2', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s2_gen3.iff');
INSERT INTO `object_crc_string_table` VALUES ('77500646', '49E90E6', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s2_gen4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3869112140', 'E69DF74C', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3992441999', 'EDF7D48F', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s3_gen1.iff');
INSERT INTO `object_crc_string_table` VALUES ('920681496', '36E07C18', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s3_gen2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2146245525', '7FED1B95', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s3_gen3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2215522433', '840E3081', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s3_gen4.iff');
INSERT INTO `object_crc_string_table` VALUES ('494853208', '1D7EDC58', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1665635171', '63479363', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s4_gen1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3092265972', 'B8503BF4', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s4_gen2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4049427577', 'F15D5C79', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s4_gen3.iff');
INSERT INTO `object_crc_string_table` VALUES ('180254573', 'ABE776D', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s4_gen4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1416870869', '5473BBD5', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3822531332', 'E3D73304', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s5_gen1.iff');
INSERT INTO `object_crc_string_table` VALUES ('952146835', '38C09B93', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s5_gen2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1909324830', '71CDFC1E', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s5_gen3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2318325514', '8A2ED70A', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s5_gen4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2405700418', '8F641342', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s6.iff');
INSERT INTO `object_crc_string_table` VALUES ('1722273306', '66A7CE1A', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s6_gen1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3182454413', 'BDB0668D', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s6_gen2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4106027264', 'F4BD0100', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s6_gen3.iff');
INSERT INTO `object_crc_string_table` VALUES ('257829396', 'F5E2A14', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s6_gen4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3328799951', 'C66974CF', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s7.iff');
INSERT INTO `object_crc_string_table` VALUES ('3862392445', 'E6376E7D', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s7_gen1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1025558250', '3D20C6EA', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s7_gen2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1949147495', '742DA167', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s7_gen3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2412677747', '8FCE8A73', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s7_gen4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2086885597', '7C6358DD', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s8.iff');
INSERT INTO `object_crc_string_table` VALUES ('2131123317', '7F065C75', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s8_gen1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2752640226', 'A411F4E2', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s8_gen2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3978072943', 'ED1C936F', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s8_gen3.iff');
INSERT INTO `object_crc_string_table` VALUES ('385857659', '16FFB87B', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s8_gen4.iff');
INSERT INTO `object_crc_string_table` VALUES ('896417616', '356E3F50', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s9.iff');
INSERT INTO `object_crc_string_table` VALUES ('4288085010', 'FF96FC12', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s9_gen1.iff');
INSERT INTO `object_crc_string_table` VALUES ('612455557', '24815485', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s9_gen2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1837904648', '6D8C3308', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s9_gen3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2523863068', '966F181C', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s9_gen4.iff');
INSERT INTO `object_crc_string_table` VALUES ('901085030', '35B57766', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_s1_training.iff');
INSERT INTO `object_crc_string_table` VALUES ('4009691393', 'EEFF0901', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_s10_training.iff');
INSERT INTO `object_crc_string_table` VALUES ('2835924928', 'A908C7C0', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_s11_training.iff');
INSERT INTO `object_crc_string_table` VALUES ('4255982629', 'FDAD2425', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_s2_training.iff');
INSERT INTO `object_crc_string_table` VALUES ('3126520548', 'BA5AEAE4', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_s3_training.iff');
INSERT INTO `object_crc_string_table` VALUES ('1767677716', '695C9F14', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_s4_training.iff');
INSERT INTO `object_crc_string_table` VALUES ('782979541', '2EAB51D5', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_s5_training.iff');
INSERT INTO `object_crc_string_table` VALUES ('3870491286', 'E6B30296', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_s6_training.iff');
INSERT INTO `object_crc_string_table` VALUES ('2705640535', 'A144CC57', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_s7_training.iff');
INSERT INTO `object_crc_string_table` VALUES ('1149170881', '447EF4C1', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_s8_training.iff');
INSERT INTO `object_crc_string_table` VALUES ('59324928', '3893A00', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_s9_training.iff');
INSERT INTO `object_crc_string_table` VALUES ('3675065336', 'DB0D0BF8', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_training.iff');
INSERT INTO `object_crc_string_table` VALUES ('4064578026', 'F24489EA', 'object/weapon/melee/sword/shared_bestine_quest_sword.iff');
INSERT INTO `object_crc_string_table` VALUES ('2166507187', '812246B3', 'object/weapon/melee/sword/shared_sword_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4026227863', 'EFFB5C97', 'object/weapon/melee/sword/shared_sword_01_noob.iff');
INSERT INTO `object_crc_string_table` VALUES ('1513483812', '5A35EE24', 'object/weapon/melee/sword/shared_sword_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1543947481', '5C06C4D9', 'object/weapon/melee/sword/shared_sword_blade_ryyk.iff');
INSERT INTO `object_crc_string_table` VALUES ('686325746', '28E87FF2', 'object/weapon/melee/sword/shared_sword_curved_nyax.iff');
INSERT INTO `object_crc_string_table` VALUES ('4148631342', 'F747172E', 'object/weapon/melee/sword/shared_sword_lightsaber_anakin.iff');
INSERT INTO `object_crc_string_table` VALUES ('214802309', 'CCD9F85', 'object/weapon/melee/sword/shared_sword_lightsaber_andael.iff');
INSERT INTO `object_crc_string_table` VALUES ('2309363184', '89A615F0', 'object/weapon/melee/sword/shared_sword_lightsaber_ben.iff');
INSERT INTO `object_crc_string_table` VALUES ('1815706117', '6C397A05', 'object/weapon/melee/sword/shared_sword_lightsaber_dugald.iff');
INSERT INTO `object_crc_string_table` VALUES ('3799429195', 'E276B04B', 'object/weapon/melee/sword/shared_sword_lightsaber_leather.iff');
INSERT INTO `object_crc_string_table` VALUES ('672927666', '281C0FB2', 'object/weapon/melee/sword/shared_sword_lightsaber_luke.iff');
INSERT INTO `object_crc_string_table` VALUES ('3534521944', 'D2AC8658', 'object/weapon/melee/sword/shared_sword_lightsaber_luke_2h_test.iff');
INSERT INTO `object_crc_string_table` VALUES ('1964241543', '7513F287', 'object/weapon/melee/sword/shared_sword_lightsaber_mace.iff');
INSERT INTO `object_crc_string_table` VALUES ('949430622', '3897295E', 'object/weapon/melee/sword/shared_sword_lightsaber_nebu.iff');
INSERT INTO `object_crc_string_table` VALUES ('913289864', '366FB288', 'object/weapon/melee/sword/shared_sword_lightsaber_obi.iff');
INSERT INTO `object_crc_string_table` VALUES ('2556113704', '985B3328', 'object/weapon/melee/sword/shared_sword_lightsaber_quigon.iff');
INSERT INTO `object_crc_string_table` VALUES ('2429759563', '90D3304B', 'object/weapon/melee/sword/shared_sword_lightsaber_sleekblack.iff');
INSERT INTO `object_crc_string_table` VALUES ('3172079785', 'BD1218A9', 'object/weapon/melee/sword/shared_sword_lightsaber_sleeksilver.iff');
INSERT INTO `object_crc_string_table` VALUES ('2913927315', 'ADAF0093', 'object/weapon/melee/sword/shared_sword_lightsaber_vader.iff');
INSERT INTO `object_crc_string_table` VALUES ('371913339', '162AF27B', 'object/weapon/melee/sword/shared_sword_nyax.iff');
INSERT INTO `object_crc_string_table` VALUES ('3125045014', 'BA446716', 'object/weapon/melee/sword/shared_sword_rantok.iff');
INSERT INTO `object_crc_string_table` VALUES ('1334573707', '4F8BFA8B', 'object/weapon/melee/unarmed/shared_unarmed_default.iff');
INSERT INTO `object_crc_string_table` VALUES ('1891079953', '70B79711', 'object/weapon/melee/unarmed/shared_unarmed_default_player.iff');
INSERT INTO `object_crc_string_table` VALUES ('482351684', '1CC01A44', 'object/weapon/mine/base/shared_mine_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1109205423', '421D21AF', 'object/weapon/mine/shared_wp_mine_anti_vehicle.iff');
INSERT INTO `object_crc_string_table` VALUES ('1308699589', '4E012BC5', 'object/weapon/mine/shared_wp_mine_drx55.iff');
INSERT INTO `object_crc_string_table` VALUES ('350273897', '14E0C169', 'object/weapon/mine/shared_wp_mine_xg.iff');
INSERT INTO `object_crc_string_table` VALUES ('1635659251', '617E2DF3', 'object/weapon/ranged/base/shared_base_ranged_weapon.iff');
INSERT INTO `object_crc_string_table` VALUES ('2810105369', 'A77ECE19', 'object/weapon/ranged/carbine/base/shared_carbine_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('583942574', '22CE41AE', 'object/weapon/ranged/carbine/shared_carbine_cdef.iff');
INSERT INTO `object_crc_string_table` VALUES ('227072559', 'D88DA2F', 'object/weapon/ranged/carbine/shared_carbine_cdef_corsec.iff');
INSERT INTO `object_crc_string_table` VALUES ('683543232', '28BE0AC0', 'object/weapon/ranged/carbine/shared_carbine_dh17.iff');
INSERT INTO `object_crc_string_table` VALUES ('648744456', '26AB0E08', 'object/weapon/ranged/carbine/shared_carbine_dh17_black.iff');
INSERT INTO `object_crc_string_table` VALUES ('1881783933', '7029BE7D', 'object/weapon/ranged/carbine/shared_carbine_dh17_snubnose.iff');
INSERT INTO `object_crc_string_table` VALUES ('2050793147', '7A3C9EBB', 'object/weapon/ranged/carbine/shared_carbine_dxr6.iff');
INSERT INTO `object_crc_string_table` VALUES ('3034123480', 'B4D90CD8', 'object/weapon/ranged/carbine/shared_carbine_e11.iff');
INSERT INTO `object_crc_string_table` VALUES ('861424280', '33584A98', 'object/weapon/ranged/carbine/shared_carbine_e11_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('1297312489', '4D536AE9', 'object/weapon/ranged/carbine/shared_carbine_e11_victor_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('749154215', '2CA72FA7', 'object/weapon/ranged/carbine/shared_carbine_ee3.iff');
INSERT INTO `object_crc_string_table` VALUES ('971375722', '39E6046A', 'object/weapon/ranged/carbine/shared_carbine_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('2121432077', '7E727C0D', 'object/weapon/ranged/carbine/shared_carbine_laser.iff');
INSERT INTO `object_crc_string_table` VALUES ('1757923070', '68C7C6FE', 'object/weapon/ranged/carbine/shared_carbine_nym_slugthrower.iff');
INSERT INTO `object_crc_string_table` VALUES ('2748406341', 'A3D15A45', 'object/weapon/ranged/creature/base/shared_creature_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3638052260', 'D8D845A4', 'object/weapon/ranged/creature/shared_creature_spit_heavy_flame.iff');
INSERT INTO `object_crc_string_table` VALUES ('4293058545', 'FFE2DFF1', 'object/weapon/ranged/creature/shared_creature_spit_large_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('3761745120', 'E037ACE0', 'object/weapon/ranged/creature/shared_creature_spit_large_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('3595296227', 'D64BDDE3', 'object/weapon/ranged/creature/shared_creature_spit_large_toxicgreen.iff');
INSERT INTO `object_crc_string_table` VALUES ('1314081741', '4E534BCD', 'object/weapon/ranged/creature/shared_creature_spit_large_yellow.iff');
INSERT INTO `object_crc_string_table` VALUES ('4140159842', 'F6C5D362', 'object/weapon/ranged/creature/shared_creature_spit_lightning_ball.iff');
INSERT INTO `object_crc_string_table` VALUES ('2889945643', 'AC41122B', 'object/weapon/ranged/creature/shared_creature_spit_particle_beam.iff');
INSERT INTO `object_crc_string_table` VALUES ('1298271366', '4D620C86', 'object/weapon/ranged/creature/shared_creature_spit_small_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('4245354171', 'FD0AF6BB', 'object/weapon/ranged/creature/shared_creature_spit_small_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('2893137473', 'AC71C641', 'object/weapon/ranged/creature/shared_creature_spit_small_toxicgreen.iff');
INSERT INTO `object_crc_string_table` VALUES ('2050788061', '7A3C8ADD', 'object/weapon/ranged/creature/shared_creature_spit_small_yellow.iff');
INSERT INTO `object_crc_string_table` VALUES ('1466506816', '57691E40', 'object/weapon/ranged/creature/shared_creature_spit_spray_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('3130570406', 'BA98B6A6', 'object/weapon/ranged/creature/shared_creature_spit_spray_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('1575661625', '5DEAB039', 'object/weapon/ranged/creature/shared_creature_spit_spray_toxicgreen.iff');
INSERT INTO `object_crc_string_table` VALUES ('313868667', '12B5417B', 'object/weapon/ranged/creature/shared_creature_spit_spray_yellow.iff');
INSERT INTO `object_crc_string_table` VALUES ('1112246409', '424B8889', 'object/weapon/ranged/droid/shared_droid_astromech_ranged.iff');
INSERT INTO `object_crc_string_table` VALUES ('3685860278', 'DBB1C3B6', 'object/weapon/ranged/droid/shared_droid_droideka_ranged.iff');
INSERT INTO `object_crc_string_table` VALUES ('380494511', '16ADE2AF', 'object/weapon/ranged/droid/shared_droid_probot_ranged.iff');
INSERT INTO `object_crc_string_table` VALUES ('3903774700', 'E8AEDFEC', 'object/weapon/ranged/grenade/base/shared_grenade_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('4031568609', 'F04CDAE1', 'object/weapon/ranged/grenade/shared_grenade_bug_bomb.iff');
INSERT INTO `object_crc_string_table` VALUES ('2139866976', '7F8BC760', 'object/weapon/ranged/grenade/shared_grenade_cryoban.iff');
INSERT INTO `object_crc_string_table` VALUES ('1363204393', '5140D929', 'object/weapon/ranged/grenade/shared_grenade_fallback.iff');
INSERT INTO `object_crc_string_table` VALUES ('2723525196', 'A255B24C', 'object/weapon/ranged/grenade/shared_grenade_fragmentation.iff');
INSERT INTO `object_crc_string_table` VALUES ('2839802123', 'A943F10B', 'object/weapon/ranged/grenade/shared_grenade_fragmentation_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('595784365', '2382F2AD', 'object/weapon/ranged/grenade/shared_grenade_glop.iff');
INSERT INTO `object_crc_string_table` VALUES ('4036235024', 'F0940F10', 'object/weapon/ranged/grenade/shared_grenade_imperial_detonator.iff');
INSERT INTO `object_crc_string_table` VALUES ('2714007859', 'A1C47933', 'object/weapon/ranged/grenade/shared_grenade_poison.iff');
INSERT INTO `object_crc_string_table` VALUES ('904042039', '35E29637', 'object/weapon/ranged/grenade/shared_grenade_proton.iff');
INSERT INTO `object_crc_string_table` VALUES ('4094720749', 'F4107AED', 'object/weapon/ranged/grenade/shared_grenade_thermal_detonator.iff');
INSERT INTO `object_crc_string_table` VALUES ('2361541818', '8CC244BA', 'object/weapon/ranged/heavy/base/shared_heavy_weapon_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('337224478', '1419A31E', 'object/weapon/ranged/heavy/shared_heavy_acid_beam.iff');
INSERT INTO `object_crc_string_table` VALUES ('1073082434', '3FF5F042', 'object/weapon/ranged/heavy/shared_heavy_lightning_beam.iff');
INSERT INTO `object_crc_string_table` VALUES ('1442646668', '55FD0A8C', 'object/weapon/ranged/heavy/shared_heavy_particle_beam.iff');
INSERT INTO `object_crc_string_table` VALUES ('3022005655', 'B4202597', 'object/weapon/ranged/heavy/shared_heavy_rocket_launcher.iff');
INSERT INTO `object_crc_string_table` VALUES ('2595978283', '9ABB7C2B', 'object/weapon/ranged/heavy/shared_launcher.iff');
INSERT INTO `object_crc_string_table` VALUES ('1704683282', '659B6712', 'object/weapon/ranged/pistol/base/shared_pistol_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('937103853', '37DB11ED', 'object/weapon/ranged/pistol/shared_pistol_cdef.iff');
INSERT INTO `object_crc_string_table` VALUES ('1753490887', '688425C7', 'object/weapon/ranged/pistol/shared_pistol_cdef_corsec.iff');
INSERT INTO `object_crc_string_table` VALUES ('3483007032', 'CF9A7838', 'object/weapon/ranged/pistol/shared_pistol_cdef_noob.iff');
INSERT INTO `object_crc_string_table` VALUES ('3466260217', 'CE9AEEF9', 'object/weapon/ranged/pistol/shared_pistol_d18.iff');
INSERT INTO `object_crc_string_table` VALUES ('3368548007', 'C8C7F6A7', 'object/weapon/ranged/pistol/shared_pistol_de_10.iff');
INSERT INTO `object_crc_string_table` VALUES ('1034640003', '3DAB5A83', 'object/weapon/ranged/pistol/shared_pistol_dh17.iff');
INSERT INTO `object_crc_string_table` VALUES ('2829612927', 'A8A8777F', 'object/weapon/ranged/pistol/shared_pistol_dl44.iff');
INSERT INTO `object_crc_string_table` VALUES ('1831044635', '6D23861B', 'object/weapon/ranged/pistol/shared_pistol_dl44_metal.iff');
INSERT INTO `object_crc_string_table` VALUES ('260330479', 'F8453EF', 'object/weapon/ranged/pistol/shared_pistol_dx2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1508397938', '59E85372', 'object/weapon/ranged/pistol/shared_pistol_fwg5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1350493335', '507EE497', 'object/weapon/ranged/pistol/shared_pistol_fwg5_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2311570538', '89C7C46A', 'object/weapon/ranged/pistol/shared_pistol_geonosian_sonic_blaster_loot.iff');
INSERT INTO `object_crc_string_table` VALUES ('650380647', '26C40567', 'object/weapon/ranged/pistol/shared_pistol_launcher.iff');
INSERT INTO `object_crc_string_table` VALUES ('148689854', '8DCD3BE', 'object/weapon/ranged/pistol/shared_pistol_power5.iff');
INSERT INTO `object_crc_string_table` VALUES ('258355020', 'F662F4C', 'object/weapon/ranged/pistol/shared_pistol_republic_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('4154566547', 'F7A1A793', 'object/weapon/ranged/pistol/shared_pistol_republic_blaster_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('3345683635', 'C76B14B3', 'object/weapon/ranged/pistol/shared_pistol_scatter.iff');
INSERT INTO `object_crc_string_table` VALUES ('3883785442', 'E77DDCE2', 'object/weapon/ranged/pistol/shared_pistol_scout_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('1438704896', '55C0E500', 'object/weapon/ranged/pistol/shared_pistol_scout_blaster_ammo_test_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1727125782', '66F1D916', 'object/weapon/ranged/pistol/shared_pistol_scout_blaster_corsec.iff');
INSERT INTO `object_crc_string_table` VALUES ('874294352', '341CAC50', 'object/weapon/ranged/pistol/shared_pistol_srcombat.iff');
INSERT INTO `object_crc_string_table` VALUES ('1505820957', '59C1011D', 'object/weapon/ranged/pistol/shared_pistol_striker.iff');
INSERT INTO `object_crc_string_table` VALUES ('1701084599', '65647DB7', 'object/weapon/ranged/pistol/shared_pistol_striker_noob.iff');
INSERT INTO `object_crc_string_table` VALUES ('2758629867', 'A46D59EB', 'object/weapon/ranged/pistol/shared_pistol_tangle.iff');
INSERT INTO `object_crc_string_table` VALUES ('2730158915', 'A2BAEB43', 'object/weapon/ranged/rifle/base/shared_rifle_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3329701535', 'C677369F', 'object/weapon/ranged/rifle/shared_rifle_acid_beam.iff');
INSERT INTO `object_crc_string_table` VALUES ('852163759', '32CAFCAF', 'object/weapon/ranged/rifle/shared_rifle_beam.iff');
INSERT INTO `object_crc_string_table` VALUES ('1604898449', '5FA8CE91', 'object/weapon/ranged/rifle/shared_rifle_berserker.iff');
INSERT INTO `object_crc_string_table` VALUES ('2976096139', 'B1639F8B', 'object/weapon/ranged/rifle/shared_rifle_bowcaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('3496137221', 'D062D205', 'object/weapon/ranged/rifle/shared_rifle_cdef.iff');
INSERT INTO `object_crc_string_table` VALUES ('1650151261', '625B4F5D', 'object/weapon/ranged/rifle/shared_rifle_dlt20.iff');
INSERT INTO `object_crc_string_table` VALUES ('2200111432', '83230948', 'object/weapon/ranged/rifle/shared_rifle_dlt20a.iff');
INSERT INTO `object_crc_string_table` VALUES ('4027327053', 'F00C224D', 'object/weapon/ranged/rifle/shared_rifle_e11.iff');
INSERT INTO `object_crc_string_table` VALUES ('917715390', '36B339BE', 'object/weapon/ranged/rifle/shared_rifle_ewok_crossbow.iff');
INSERT INTO `object_crc_string_table` VALUES ('3238374228', 'C105AB54', 'object/weapon/ranged/rifle/shared_rifle_flame_thrower.iff');
INSERT INTO `object_crc_string_table` VALUES ('1928416827', '72F14E3B', 'object/weapon/ranged/rifle/shared_rifle_jawa_ion.iff');
INSERT INTO `object_crc_string_table` VALUES ('1390088554', '52DB116A', 'object/weapon/ranged/rifle/shared_rifle_laser.iff');
INSERT INTO `object_crc_string_table` VALUES ('378484773', '168F3825', 'object/weapon/ranged/rifle/shared_rifle_laser_noob.iff');
INSERT INTO `object_crc_string_table` VALUES ('708413629', '2A3988BD', 'object/weapon/ranged/rifle/shared_rifle_lightning.iff');
INSERT INTO `object_crc_string_table` VALUES ('3248736753', 'C1A3C9F1', 'object/weapon/ranged/rifle/shared_rifle_sg82.iff');
INSERT INTO `object_crc_string_table` VALUES ('284980584', '10FC7568', 'object/weapon/ranged/rifle/shared_rifle_spraystick.iff');
INSERT INTO `object_crc_string_table` VALUES ('1951509016', '7451AA18', 'object/weapon/ranged/rifle/shared_rifle_t21.iff');
INSERT INTO `object_crc_string_table` VALUES ('20961126', '13FD766', 'object/weapon/ranged/rifle/shared_rifle_tenloss_dxr6_disruptor_loot.iff');
INSERT INTO `object_crc_string_table` VALUES ('2874182418', 'AB508B12', 'object/weapon/ranged/rifle/shared_rifle_tusken.iff');
INSERT INTO `object_crc_string_table` VALUES ('4165527266', 'F848E6E2', 'object/weapon/ranged/rifle/shared_rifle_victor_tusken.iff');
INSERT INTO `object_crc_string_table` VALUES ('1234241813', '49910915', 'object/weapon/ranged/turret/base/shared_turret_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('4214506567', 'FB344447', 'object/weapon/ranged/turret/shared_turret_block_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('2231868029', '85079A7D', 'object/weapon/ranged/vehicle/shared_vehicle_atst_ranged.iff');
INSERT INTO `object_crc_string_table` VALUES ('1619506188', '6087B40C', 'object/weapon/trap/shared_eqp_weapon_auto_laser_trap.iff');
INSERT INTO `performance` VALUES ('starwars1', '2', 'startMusic+starwars1', 'slitherhorn', '', '0', '28', '5', '866729052', '0', '2', '4', '2', 'healing_music_ability', '5', 'player_music/sound/song04_shorn_main.snd', 'player_music/sound/song04_shorn_flourish01.snd', 'player_music/sound/song04_shorn_flourish02.snd', 'player_music/sound/song04_shorn_flourish03.snd', 'player_music/sound/song04_shorn_flourish04.snd', 'player_music/sound/song04_shorn_flourish05.snd', 'player_music/sound/song04_shorn_flourish06.snd', 'player_music/sound/song04_shorn_flourish07.snd', 'player_music/sound/song04_shorn_flourish08.snd', 'player_music/sound/song04_shorn_intro.snd', 'player_music/sound/song04_shorn_outro.snd', '1');
INSERT INTO `performance` VALUES ('starwars1', '6', 'startMusic+starwars1', 'fizz', '', '0', '32', '5', '866729052', '0', '3', '6', '3', 'healing_music_ability', '5', 'player_music/sound/song04_khorn_main.snd', 'player_music/sound/song04_khorn_flourish01.snd', 'player_music/sound/song04_khorn_flourish02.snd', 'player_music/sound/song04_khorn_flourish03.snd', 'player_music/sound/song04_khorn_flourish04.snd', 'player_music/sound/song04_khorn_flourish05.snd', 'player_music/sound/song04_khorn_flourish06.snd', 'player_music/sound/song04_khorn_flourish07.snd', 'player_music/sound/song04_khorn_flourish08.snd', 'player_music/sound/song04_khorn_intro.snd', 'player_music/sound/song04_khorn_outro.snd', '2');
INSERT INTO `performance` VALUES ('starwars1', '3', 'startMusic+starwars1', 'fanfar', '', '0', '36', '5', '866729052', '0', '6', '6', '3', 'healing_music_ability', '10', 'player_music/sound/song04_shorn_main.snd', 'player_music/sound/song04_shorn_flourish01.snd', 'player_music/sound/song04_shorn_flourish02.snd', 'player_music/sound/song04_shorn_flourish03.snd', 'player_music/sound/song04_shorn_flourish04.snd', 'player_music/sound/song04_shorn_flourish05.snd', 'player_music/sound/song04_shorn_flourish06.snd', 'player_music/sound/song04_shorn_flourish07.snd', 'player_music/sound/song04_shorn_flourish08.snd', 'player_music/sound/song04_shorn_intro.snd', 'player_music/sound/song04_shorn_outro.snd', '3');
INSERT INTO `performance` VALUES ('starwars1', '5', 'startMusic+starwars1', 'kloohorn', '', '0', '36', '5', '866729052', '0', '7', '8', '4', 'healing_music_ability', '10', 'player_music/sound/song04_khorn_main.snd', 'player_music/sound/song04_khorn_flourish01.snd', 'player_music/sound/song04_khorn_flourish02.snd', 'player_music/sound/song04_khorn_flourish03.snd', 'player_music/sound/song04_khorn_flourish04.snd', 'player_music/sound/song04_khorn_flourish05.snd', 'player_music/sound/song04_khorn_flourish06.snd', 'player_music/sound/song04_khorn_flourish07.snd', 'player_music/sound/song04_khorn_flourish08.snd', 'player_music/sound/song04_khorn_intro.snd', 'player_music/sound/song04_khorn_outro.snd', '4');
INSERT INTO `performance` VALUES ('starwars1', '10', 'startMusic+starwars1', 'mandoviol', '', '0', '40', '5', '866729052', '0', '9', '8', '4', 'healing_music_ability', '15', 'player_music/sound/song04_mand_main.snd', 'player_music/sound/song04_mand_flourish01.snd', 'player_music/sound/song04_mand_flourish02.snd', 'player_music/sound/song04_mand_flourish03.snd', 'player_music/sound/song04_mand_flourish04.snd', 'player_music/sound/song04_mand_flourish05.snd', 'player_music/sound/song04_mand_flourish06.snd', 'player_music/sound/song04_mand_flourish07.snd', 'player_music/sound/song04_mand_flourish08.snd', 'player_music/sound/song04_mand_intro.snd', 'player_music/sound/song04_mand_outro.snd', '5');
INSERT INTO `performance` VALUES ('starwars1', '1', 'startMusic+starwars1', 'traz', '', '0', '40', '5', '866729052', '0', '9', '10', '5', 'healing_music_ability', '15', 'player_music/sound/song04_shorn_main.snd', 'player_music/sound/song04_shorn_flourish01.snd', 'player_music/sound/song04_shorn_flourish02.snd', 'player_music/sound/song04_shorn_flourish03.snd', 'player_music/sound/song04_shorn_flourish04.snd', 'player_music/sound/song04_shorn_flourish05.snd', 'player_music/sound/song04_shorn_flourish06.snd', 'player_music/sound/song04_shorn_flourish07.snd', 'player_music/sound/song04_shorn_flourish08.snd', 'player_music/sound/song04_shorn_intro.snd', 'player_music/sound/song04_shorn_outro.snd', '6');
INSERT INTO `performance` VALUES ('starwars1', '7', 'startMusic+starwars1', 'bandfill', '', '0', '44', '5', '866729052', '0', '13', '10', '5', 'healing_music_ability', '15', 'player_music/sound/song04_drum_main.snd', 'player_music/sound/song04_drum_flourish01.snd', 'player_music/sound/song04_drum_flourish02.snd', 'player_music/sound/song04_drum_flourish03.snd', 'player_music/sound/song04_drum_flourish04.snd', 'player_music/sound/song04_drum_flourish05.snd', 'player_music/sound/song04_drum_flourish06.snd', 'player_music/sound/song04_drum_flourish07.snd', 'player_music/sound/song04_drum_flourish08.snd', 'player_music/sound/song04_drum_intro.snd', 'player_music/sound/song04_drum_outro.snd', '7');
INSERT INTO `performance` VALUES ('starwars1', '4', 'startMusic+starwars1', 'flutedroopy', '', '0', '44', '5', '866729052', '0', '15', '12', '6', 'healing_music_ability', '10', 'player_music/sound/song04_khorn_main.snd', 'player_music/sound/song04_khorn_flourish01.snd', 'player_music/sound/song04_khorn_flourish02.snd', 'player_music/sound/song04_khorn_flourish03.snd', 'player_music/sound/song04_khorn_flourish04.snd', 'player_music/sound/song04_khorn_flourish05.snd', 'player_music/sound/song04_khorn_flourish06.snd', 'player_music/sound/song04_khorn_flourish07.snd', 'player_music/sound/song04_khorn_flourish08.snd', 'player_music/sound/song04_khorn_intro.snd', 'player_music/sound/song04_khorn_outro.snd', '8');
INSERT INTO `performance` VALUES ('starwars1', '8', 'startMusic+starwars1', 'omnibox', '', '0', '48', '5', '866729052', '0', '17', '12', '6', 'healing_music_ability', '10', 'player_music/sound/song04_drum_main.snd', 'player_music/sound/song04_drum_flourish01.snd', 'player_music/sound/song04_drum_flourish02.snd', 'player_music/sound/song04_drum_flourish03.snd', 'player_music/sound/song04_drum_flourish04.snd', 'player_music/sound/song04_drum_flourish05.snd', 'player_music/sound/song04_drum_flourish06.snd', 'player_music/sound/song04_drum_flourish07.snd', 'player_music/sound/song04_drum_flourish08.snd', 'player_music/sound/song04_drum_intro.snd', 'player_music/sound/song04_drum_outro.snd', '9');
INSERT INTO `performance` VALUES ('starwars1', '9', 'startMusic+starwars1', 'nalargon', '', '0', '48', '5', '866729052', '0', '20', '14', '7', 'healing_music_ability', '20', 'player_music/sound/song04_nlrg_main.snd', 'player_music/sound/song04_nlrg_flourish01.snd', 'player_music/sound/song04_nlrg_flourish02.snd', 'player_music/sound/song04_nlrg_flourish03.snd', 'player_music/sound/song04_nlrg_flourish04.snd', 'player_music/sound/song04_nlrg_flourish05.snd', 'player_music/sound/song04_nlrg_flourish06.snd', 'player_music/sound/song04_nlrg_flourish07.snd', 'player_music/sound/song04_nlrg_flourish08.snd', 'player_music/sound/song04_nlrg_intro.snd', 'player_music/sound/song04_nlrg_outro.snd', '10');
INSERT INTO `performance` VALUES ('rock', '2', 'startMusic+rock', 'slitherhorn', '', '0', '32', '5', '866729052', '0', '3', '6', '3', 'healing_music_ability', '10', 'player_music/sound/song01_shorn_main.snd', 'player_music/sound/song01_shorn_flourish01.snd', 'player_music/sound/song01_shorn_flourish02.snd', 'player_music/sound/song01_shorn_flourish03.snd', 'player_music/sound/song01_shorn_flourish04.snd', 'player_music/sound/song01_shorn_flourish05.snd', 'player_music/sound/song01_shorn_flourish06.snd', 'player_music/sound/song01_shorn_flourish07.snd', 'player_music/sound/song01_shorn_flourish08.snd', 'player_music/sound/song01_shorn_intro.snd', 'player_music/sound/song01_shorn_outro.snd', '11');
INSERT INTO `performance` VALUES ('rock', '6', 'startMusic+rock', 'fizz', '', '0', '32', '5', '866729052', '0', '3', '6', '3', 'healing_music_ability', '10', 'player_music/sound/song01_khorn_main.snd', 'player_music/sound/song01_khorn_flourish01.snd', 'player_music/sound/song01_khorn_flourish02.snd', 'player_music/sound/song01_khorn_flourish03.snd', 'player_music/sound/song01_khorn_flourish04.snd', 'player_music/sound/song01_khorn_flourish05.snd', 'player_music/sound/song01_khorn_flourish06.snd', 'player_music/sound/song01_khorn_flourish07.snd', 'player_music/sound/song01_khorn_flourish08.snd', 'player_music/sound/song01_khorn_intro.snd', 'player_music/sound/song01_khorn_outro.snd', '12');
INSERT INTO `performance` VALUES ('rock', '3', 'startMusic+rock', 'fanfar', '', '0', '36', '5', '866729052', '0', '6', '6', '3', 'healing_music_ability', '15', 'player_music/sound/song01_shorn_main.snd', 'player_music/sound/song01_shorn_flourish01.snd', 'player_music/sound/song01_shorn_flourish02.snd', 'player_music/sound/song01_shorn_flourish03.snd', 'player_music/sound/song01_shorn_flourish04.snd', 'player_music/sound/song01_shorn_flourish05.snd', 'player_music/sound/song01_shorn_flourish06.snd', 'player_music/sound/song01_shorn_flourish07.snd', 'player_music/sound/song01_shorn_flourish08.snd', 'player_music/sound/song01_shorn_intro.snd', 'player_music/sound/song01_shorn_outro.snd', '13');
INSERT INTO `performance` VALUES ('rock', '5', 'startMusic+rock', 'kloohorn', '', '0', '36', '5', '866729052', '0', '7', '8', '4', 'healing_music_ability', '15', 'player_music/sound/song01_khorn_main.snd', 'player_music/sound/song01_khorn_flourish01.snd', 'player_music/sound/song01_khorn_flourish02.snd', 'player_music/sound/song01_khorn_flourish03.snd', 'player_music/sound/song01_khorn_flourish04.snd', 'player_music/sound/song01_khorn_flourish05.snd', 'player_music/sound/song01_khorn_flourish06.snd', 'player_music/sound/song01_khorn_flourish07.snd', 'player_music/sound/song01_khorn_flourish08.snd', 'player_music/sound/song01_khorn_intro.snd', 'player_music/sound/song01_khorn_outro.snd', '14');
INSERT INTO `performance` VALUES ('rock', '10', 'startMusic+rock', 'mandoviol', '', '0', '40', '5', '866729052', '0', '9', '8', '4', 'healing_music_ability', '20', 'player_music/sound/song01_mand_main.snd', 'player_music/sound/song01_mand_flourish01.snd', 'player_music/sound/song01_mand_flourish02.snd', 'player_music/sound/song01_mand_flourish03.snd', 'player_music/sound/song01_mand_flourish04.snd', 'player_music/sound/song01_mand_flourish05.snd', 'player_music/sound/song01_mand_flourish06.snd', 'player_music/sound/song01_mand_flourish07.snd', 'player_music/sound/song01_mand_flourish08.snd', 'player_music/sound/song01_mand_intro.snd', 'player_music/sound/song01_mand_outro.snd', '15');
INSERT INTO `performance` VALUES ('rock', '1', 'startMusic+rock', 'traz', '', '0', '40', '5', '866729052', '0', '9', '10', '5', 'healing_music_ability', '20', 'player_music/sound/song01_shorn_main.snd', 'player_music/sound/song01_shorn_flourish01.snd', 'player_music/sound/song01_shorn_flourish02.snd', 'player_music/sound/song01_shorn_flourish03.snd', 'player_music/sound/song01_shorn_flourish04.snd', 'player_music/sound/song01_shorn_flourish05.snd', 'player_music/sound/song01_shorn_flourish06.snd', 'player_music/sound/song01_shorn_flourish07.snd', 'player_music/sound/song01_shorn_flourish08.snd', 'player_music/sound/song01_shorn_intro.snd', 'player_music/sound/song01_shorn_outro.snd', '16');
INSERT INTO `performance` VALUES ('rock', '7', 'startMusic+rock', 'bandfill', '', '0', '44', '5', '866729052', '0', '13', '10', '5', 'healing_music_ability', '20', 'player_music/sound/song01_drum_main.snd', 'player_music/sound/song01_drum_flourish01.snd', 'player_music/sound/song01_drum_flourish02.snd', 'player_music/sound/song01_drum_flourish03.snd', 'player_music/sound/song01_drum_flourish04.snd', 'player_music/sound/song01_drum_flourish05.snd', 'player_music/sound/song01_drum_flourish06.snd', 'player_music/sound/song01_drum_flourish07.snd', 'player_music/sound/song01_drum_flourish08.snd', 'player_music/sound/song01_drum_intro.snd', 'player_music/sound/song01_drum_outro.snd', '17');
INSERT INTO `performance` VALUES ('rock', '4', 'startMusic+rock', 'flutedroopy', '', '0', '44', '5', '866729052', '0', '15', '12', '6', 'healing_music_ability', '15', 'player_music/sound/song01_khorn_main.snd', 'player_music/sound/song01_khorn_flourish01.snd', 'player_music/sound/song01_khorn_flourish02.snd', 'player_music/sound/song01_khorn_flourish03.snd', 'player_music/sound/song01_khorn_flourish04.snd', 'player_music/sound/song01_khorn_flourish05.snd', 'player_music/sound/song01_khorn_flourish06.snd', 'player_music/sound/song01_khorn_flourish07.snd', 'player_music/sound/song01_khorn_flourish08.snd', 'player_music/sound/song01_khorn_intro.snd', 'player_music/sound/song01_khorn_outro.snd', '18');
INSERT INTO `performance` VALUES ('rock', '8', 'startMusic+rock', 'omnibox', '', '0', '48', '5', '866729052', '0', '17', '12', '6', 'healing_music_ability', '15', 'player_music/sound/song01_drum_main.snd', 'player_music/sound/song01_drum_flourish01.snd', 'player_music/sound/song01_drum_flourish02.snd', 'player_music/sound/song01_drum_flourish03.snd', 'player_music/sound/song01_drum_flourish04.snd', 'player_music/sound/song01_drum_flourish05.snd', 'player_music/sound/song01_drum_flourish06.snd', 'player_music/sound/song01_drum_flourish07.snd', 'player_music/sound/song01_drum_flourish08.snd', 'player_music/sound/song01_drum_intro.snd', 'player_music/sound/song01_drum_outro.snd', '19');
INSERT INTO `performance` VALUES ('rock', '9', 'startMusic+rock', 'nalargon', '', '0', '48', '5', '866729052', '0', '20', '14', '7', 'healing_music_ability', '25', 'player_music/sound/song01_nlrg_main.snd', 'player_music/sound/song01_nlrg_flourish01.snd', 'player_music/sound/song01_nlrg_flourish02.snd', 'player_music/sound/song01_nlrg_flourish03.snd', 'player_music/sound/song01_nlrg_flourish04.snd', 'player_music/sound/song01_nlrg_flourish05.snd', 'player_music/sound/song01_nlrg_flourish06.snd', 'player_music/sound/song01_nlrg_flourish07.snd', 'player_music/sound/song01_nlrg_flourish08.snd', 'player_music/sound/song01_nlrg_intro.snd', 'player_music/sound/song01_nlrg_outro.snd', '20');
INSERT INTO `performance` VALUES ('starwars2', '2', 'startMusic+starwars2', 'slitherhorn', '', '0', '32', '5', '866729052', '0', '4', '6', '3', 'healing_music_ability', '20', 'player_music/sound/song05_shorn_main.snd', 'player_music/sound/song05_shorn_flourish01.snd', 'player_music/sound/song05_shorn_flourish02.snd', 'player_music/sound/song05_shorn_flourish03.snd', 'player_music/sound/song05_shorn_flourish04.snd', 'player_music/sound/song05_shorn_flourish05.snd', 'player_music/sound/song05_shorn_flourish06.snd', 'player_music/sound/song05_shorn_flourish07.snd', 'player_music/sound/song05_shorn_flourish08.snd', 'player_music/sound/song05_shorn_intro.snd', 'player_music/sound/song05_shorn_outro.snd', '21');
INSERT INTO `performance` VALUES ('starwars2', '6', 'startMusic+starwars2', 'fizz', '', '0', '32', '5', '866729052', '0', '4', '6', '3', 'healing_music_ability', '20', 'player_music/sound/song05_khorn_main.snd', 'player_music/sound/song05_khorn_flourish01.snd', 'player_music/sound/song05_khorn_flourish02.snd', 'player_music/sound/song05_khorn_flourish03.snd', 'player_music/sound/song05_khorn_flourish04.snd', 'player_music/sound/song05_khorn_flourish05.snd', 'player_music/sound/song05_khorn_flourish06.snd', 'player_music/sound/song05_khorn_flourish07.snd', 'player_music/sound/song05_khorn_flourish08.snd', 'player_music/sound/song05_khorn_intro.snd', 'player_music/sound/song05_khorn_outro.snd', '22');
INSERT INTO `performance` VALUES ('starwars2', '3', 'startMusic+starwars2', 'fanfar', '', '0', '36', '5', '866729052', '0', '6', '6', '3', 'healing_music_ability', '25', 'player_music/sound/song05_shorn_main.snd', 'player_music/sound/song05_shorn_flourish01.snd', 'player_music/sound/song05_shorn_flourish02.snd', 'player_music/sound/song05_shorn_flourish03.snd', 'player_music/sound/song05_shorn_flourish04.snd', 'player_music/sound/song05_shorn_flourish05.snd', 'player_music/sound/song05_shorn_flourish06.snd', 'player_music/sound/song05_shorn_flourish07.snd', 'player_music/sound/song05_shorn_flourish08.snd', 'player_music/sound/song05_shorn_intro.snd', 'player_music/sound/song05_shorn_outro.snd', '23');
INSERT INTO `performance` VALUES ('starwars2', '5', 'startMusic+starwars2', 'kloohorn', '', '0', '36', '5', '866729052', '0', '7', '8', '4', 'healing_music_ability', '25', 'player_music/sound/song05_khorn_main.snd', 'player_music/sound/song05_khorn_flourish01.snd', 'player_music/sound/song05_khorn_flourish02.snd', 'player_music/sound/song05_khorn_flourish03.snd', 'player_music/sound/song05_khorn_flourish04.snd', 'player_music/sound/song05_khorn_flourish05.snd', 'player_music/sound/song05_khorn_flourish06.snd', 'player_music/sound/song05_khorn_flourish07.snd', 'player_music/sound/song05_khorn_flourish08.snd', 'player_music/sound/song05_khorn_intro.snd', 'player_music/sound/song05_khorn_outro.snd', '24');
INSERT INTO `performance` VALUES ('starwars2', '10', 'startMusic+starwars2', 'mandoviol', '', '0', '40', '5', '866729052', '0', '9', '8', '4', 'healing_music_ability', '30', 'player_music/sound/song05_mand_main.snd', 'player_music/sound/song05_mand_flourish01.snd', 'player_music/sound/song05_mand_flourish02.snd', 'player_music/sound/song05_mand_flourish03.snd', 'player_music/sound/song05_mand_flourish04.snd', 'player_music/sound/song05_mand_flourish05.snd', 'player_music/sound/song05_mand_flourish06.snd', 'player_music/sound/song05_mand_flourish07.snd', 'player_music/sound/song05_mand_flourish08.snd', 'player_music/sound/song05_mand_intro.snd', 'player_music/sound/song05_mand_outro.snd', '25');
INSERT INTO `performance` VALUES ('starwars2', '1', 'startMusic+starwars2', 'traz', '', '0', '40', '5', '866729052', '0', '9', '10', '5', 'healing_music_ability', '30', 'player_music/sound/song05_shorn_main.snd', 'player_music/sound/song05_shorn_flourish01.snd', 'player_music/sound/song05_shorn_flourish02.snd', 'player_music/sound/song05_shorn_flourish03.snd', 'player_music/sound/song05_shorn_flourish04.snd', 'player_music/sound/song05_shorn_flourish05.snd', 'player_music/sound/song05_shorn_flourish06.snd', 'player_music/sound/song05_shorn_flourish07.snd', 'player_music/sound/song05_shorn_flourish08.snd', 'player_music/sound/song05_shorn_intro.snd', 'player_music/sound/song05_shorn_outro.snd', '26');
INSERT INTO `performance` VALUES ('starwars2', '7', 'startMusic+starwars2', 'bandfill', '', '0', '44', '5', '866729052', '0', '13', '10', '5', 'healing_music_ability', '30', 'player_music/sound/song05_drum_main.snd', 'player_music/sound/song05_drum_flourish01.snd', 'player_music/sound/song05_drum_flourish02.snd', 'player_music/sound/song05_drum_flourish03.snd', 'player_music/sound/song05_drum_flourish04.snd', 'player_music/sound/song05_drum_flourish05.snd', 'player_music/sound/song05_drum_flourish06.snd', 'player_music/sound/song05_drum_flourish07.snd', 'player_music/sound/song05_drum_flourish08.snd', 'player_music/sound/song05_drum_intro.snd', 'player_music/sound/song05_drum_outro.snd', '27');
INSERT INTO `performance` VALUES ('starwars2', '4', 'startMusic+starwars2', 'flutedroopy', '', '0', '44', '5', '866729052', '0', '15', '12', '6', 'healing_music_ability', '25', 'player_music/sound/song05_khorn_main.snd', 'player_music/sound/song05_khorn_flourish01.snd', 'player_music/sound/song05_khorn_flourish02.snd', 'player_music/sound/song05_khorn_flourish03.snd', 'player_music/sound/song05_khorn_flourish04.snd', 'player_music/sound/song05_khorn_flourish05.snd', 'player_music/sound/song05_khorn_flourish06.snd', 'player_music/sound/song05_khorn_flourish07.snd', 'player_music/sound/song05_khorn_flourish08.snd', 'player_music/sound/song05_khorn_intro.snd', 'player_music/sound/song05_khorn_outro.snd', '28');
INSERT INTO `performance` VALUES ('starwars2', '8', 'startMusic+starwars2', 'omnibox', '', '0', '48', '5', '866729052', '0', '17', '12', '6', 'healing_music_ability', '25', 'player_music/sound/song05_drum_main.snd', 'player_music/sound/song05_drum_flourish01.snd', 'player_music/sound/song05_drum_flourish02.snd', 'player_music/sound/song05_drum_flourish03.snd', 'player_music/sound/song05_drum_flourish04.snd', 'player_music/sound/song05_drum_flourish05.snd', 'player_music/sound/song05_drum_flourish06.snd', 'player_music/sound/song05_drum_flourish07.snd', 'player_music/sound/song05_drum_flourish08.snd', 'player_music/sound/song05_drum_intro.snd', 'player_music/sound/song05_drum_outro.snd', '29');
INSERT INTO `performance` VALUES ('starwars2', '9', 'startMusic+starwars2', 'nalargon', '', '0', '48', '5', '866729052', '0', '20', '14', '7', 'healing_music_ability', '35', 'player_music/sound/song05_nlrg_main.snd', 'player_music/sound/song05_nlrg_flourish01.snd', 'player_music/sound/song05_nlrg_flourish02.snd', 'player_music/sound/song05_nlrg_flourish03.snd', 'player_music/sound/song05_nlrg_flourish04.snd', 'player_music/sound/song05_nlrg_flourish05.snd', 'player_music/sound/song05_nlrg_flourish06.snd', 'player_music/sound/song05_nlrg_flourish07.snd', 'player_music/sound/song05_nlrg_flourish08.snd', 'player_music/sound/song05_nlrg_intro.snd', 'player_music/sound/song05_nlrg_outro.snd', '30');
INSERT INTO `performance` VALUES ('folk', '2', 'startMusic+folk', 'slitherhorn', '', '0', '36', '5', '866729052', '0', '6', '6', '3', 'healing_music_ability', '30', 'player_music/sound/song07_shorn_main.snd', 'player_music/sound/song07_shorn_flourish01.snd', 'player_music/sound/song07_shorn_flourish02.snd', 'player_music/sound/song07_shorn_flourish03.snd', 'player_music/sound/song07_shorn_flourish04.snd', 'player_music/sound/song07_shorn_flourish05.snd', 'player_music/sound/song07_shorn_flourish06.snd', 'player_music/sound/song07_shorn_flourish07.snd', 'player_music/sound/song07_shorn_flourish08.snd', 'player_music/sound/song07_shorn_intro.snd', 'player_music/sound/song07_shorn_outro.snd', '31');
INSERT INTO `performance` VALUES ('folk', '6', 'startMusic+folk', 'fizz', '', '0', '36', '5', '866729052', '0', '6', '6', '3', 'healing_music_ability', '30', 'player_music/sound/song07_khorn_main.snd', 'player_music/sound/song07_khorn_flourish01.snd', 'player_music/sound/song07_khorn_flourish02.snd', 'player_music/sound/song07_khorn_flourish03.snd', 'player_music/sound/song07_khorn_flourish04.snd', 'player_music/sound/song07_khorn_flourish05.snd', 'player_music/sound/song07_khorn_flourish06.snd', 'player_music/sound/song07_khorn_flourish07.snd', 'player_music/sound/song07_khorn_flourish08.snd', 'player_music/sound/song07_khorn_intro.snd', 'player_music/sound/song07_khorn_outro.snd', '32');
INSERT INTO `performance` VALUES ('folk', '3', 'startMusic+folk', 'fanfar', '', '0', '36', '5', '866729052', '0', '6', '6', '3', 'healing_music_ability', '35', 'player_music/sound/song07_shorn_main.snd', 'player_music/sound/song07_shorn_flourish01.snd', 'player_music/sound/song07_shorn_flourish02.snd', 'player_music/sound/song07_shorn_flourish03.snd', 'player_music/sound/song07_shorn_flourish04.snd', 'player_music/sound/song07_shorn_flourish05.snd', 'player_music/sound/song07_shorn_flourish06.snd', 'player_music/sound/song07_shorn_flourish07.snd', 'player_music/sound/song07_shorn_flourish08.snd', 'player_music/sound/song07_shorn_intro.snd', 'player_music/sound/song07_shorn_outro.snd', '33');
INSERT INTO `performance` VALUES ('folk', '5', 'startMusic+folk', 'kloohorn', '', '0', '36', '5', '866729052', '0', '7', '8', '4', 'healing_music_ability', '35', 'player_music/sound/song07_khorn_main.snd', 'player_music/sound/song07_khorn_flourish01.snd', 'player_music/sound/song07_khorn_flourish02.snd', 'player_music/sound/song07_khorn_flourish03.snd', 'player_music/sound/song07_khorn_flourish04.snd', 'player_music/sound/song07_khorn_flourish05.snd', 'player_music/sound/song07_khorn_flourish06.snd', 'player_music/sound/song07_khorn_flourish07.snd', 'player_music/sound/song07_khorn_flourish08.snd', 'player_music/sound/song07_khorn_intro.snd', 'player_music/sound/song07_khorn_outro.snd', '34');
INSERT INTO `performance` VALUES ('folk', '10', 'startMusic+folk', 'mandoviol', '', '0', '40', '5', '866729052', '0', '9', '8', '4', 'healing_music_ability', '35', 'player_music/sound/song07_mand_main.snd', 'player_music/sound/song07_mand_flourish01.snd', 'player_music/sound/song07_mand_flourish02.snd', 'player_music/sound/song07_mand_flourish03.snd', 'player_music/sound/song07_mand_flourish04.snd', 'player_music/sound/song07_mand_flourish05.snd', 'player_music/sound/song07_mand_flourish06.snd', 'player_music/sound/song07_mand_flourish07.snd', 'player_music/sound/song07_mand_flourish08.snd', 'player_music/sound/song07_mand_intro.snd', 'player_music/sound/song07_mand_outro.snd', '35');
INSERT INTO `performance` VALUES ('folk', '1', 'startMusic+folk', 'traz', '', '0', '40', '5', '866729052', '0', '9', '10', '5', 'healing_music_ability', '40', 'player_music/sound/song07_shorn_main.snd', 'player_music/sound/song07_shorn_flourish01.snd', 'player_music/sound/song07_shorn_flourish02.snd', 'player_music/sound/song07_shorn_flourish03.snd', 'player_music/sound/song07_shorn_flourish04.snd', 'player_music/sound/song07_shorn_flourish05.snd', 'player_music/sound/song07_shorn_flourish06.snd', 'player_music/sound/song07_shorn_flourish07.snd', 'player_music/sound/song07_shorn_flourish08.snd', 'player_music/sound/song07_shorn_intro.snd', 'player_music/sound/song07_shorn_outro.snd', '36');
INSERT INTO `performance` VALUES ('folk', '7', 'startMusic+folk', 'bandfill', '', '0', '44', '5', '866729052', '0', '13', '10', '5', 'healing_music_ability', '40', 'player_music/sound/song07_drum_main.snd', 'player_music/sound/song07_drum_flourish01.snd', 'player_music/sound/song07_drum_flourish02.snd', 'player_music/sound/song07_drum_flourish03.snd', 'player_music/sound/song07_drum_flourish04.snd', 'player_music/sound/song07_drum_flourish05.snd', 'player_music/sound/song07_drum_flourish06.snd', 'player_music/sound/song07_drum_flourish07.snd', 'player_music/sound/song07_drum_flourish08.snd', 'player_music/sound/song07_drum_intro.snd', 'player_music/sound/song07_drum_outro.snd', '37');
INSERT INTO `performance` VALUES ('folk', '4', 'startMusic+folk', 'flutedroopy', '', '0', '44', '5', '866729052', '0', '15', '12', '6', 'healing_music_ability', '35', 'player_music/sound/song07_khorn_main.snd', 'player_music/sound/song07_khorn_flourish01.snd', 'player_music/sound/song07_khorn_flourish02.snd', 'player_music/sound/song07_khorn_flourish03.snd', 'player_music/sound/song07_khorn_flourish04.snd', 'player_music/sound/song07_khorn_flourish05.snd', 'player_music/sound/song07_khorn_flourish06.snd', 'player_music/sound/song07_khorn_flourish07.snd', 'player_music/sound/song07_khorn_flourish08.snd', 'player_music/sound/song07_khorn_intro.snd', 'player_music/sound/song07_khorn_outro.snd', '38');
INSERT INTO `performance` VALUES ('folk', '8', 'startMusic+folk', 'omnibox', '', '0', '48', '5', '866729052', '0', '17', '12', '6', 'healing_music_ability', '35', 'player_music/sound/song07_drum_main.snd', 'player_music/sound/song07_drum_flourish01.snd', 'player_music/sound/song07_drum_flourish02.snd', 'player_music/sound/song07_drum_flourish03.snd', 'player_music/sound/song07_drum_flourish04.snd', 'player_music/sound/song07_drum_flourish05.snd', 'player_music/sound/song07_drum_flourish06.snd', 'player_music/sound/song07_drum_flourish07.snd', 'player_music/sound/song07_drum_flourish08.snd', 'player_music/sound/song07_drum_intro.snd', 'player_music/sound/song07_drum_outro.snd', '39');
INSERT INTO `performance` VALUES ('folk', '9', 'startMusic+folk', 'nalargon', '', '0', '48', '5', '866729052', '0', '20', '14', '7', 'healing_music_ability', '45', 'player_music/sound/song07_nlrg_main.snd', 'player_music/sound/song07_nlrg_flourish01.snd', 'player_music/sound/song07_nlrg_flourish02.snd', 'player_music/sound/song07_nlrg_flourish03.snd', 'player_music/sound/song07_nlrg_flourish04.snd', 'player_music/sound/song07_nlrg_flourish05.snd', 'player_music/sound/song07_nlrg_flourish06.snd', 'player_music/sound/song07_nlrg_flourish07.snd', 'player_music/sound/song07_nlrg_flourish08.snd', 'player_music/sound/song07_nlrg_intro.snd', 'player_music/sound/song07_nlrg_outro.snd', '40');
INSERT INTO `performance` VALUES ('starwars3', '2', 'startMusic+starwars3', 'slitherhorn', '', '0', '36', '5', '866729052', '0', '7', '8', '4', 'healing_music_ability', '40', 'player_music/sound/song06_shorn_main.snd', 'player_music/sound/song06_shorn_flourish01.snd', 'player_music/sound/song06_shorn_flourish02.snd', 'player_music/sound/song06_shorn_flourish03.snd', 'player_music/sound/song06_shorn_flourish04.snd', 'player_music/sound/song06_shorn_flourish05.snd', 'player_music/sound/song06_shorn_flourish06.snd', 'player_music/sound/song06_shorn_flourish07.snd', 'player_music/sound/song06_shorn_flourish08.snd', 'player_music/sound/song06_shorn_intro.snd', 'player_music/sound/song06_shorn_outro.snd', '41');
INSERT INTO `performance` VALUES ('starwars3', '6', 'startMusic+starwars3', 'fizz', '', '0', '36', '5', '866729052', '0', '7', '8', '4', 'healing_music_ability', '40', 'player_music/sound/song06_khorn_main.snd', 'player_music/sound/song06_khorn_flourish01.snd', 'player_music/sound/song06_khorn_flourish02.snd', 'player_music/sound/song06_khorn_flourish03.snd', 'player_music/sound/song06_khorn_flourish04.snd', 'player_music/sound/song06_khorn_flourish05.snd', 'player_music/sound/song06_khorn_flourish06.snd', 'player_music/sound/song06_khorn_flourish07.snd', 'player_music/sound/song06_khorn_flourish08.snd', 'player_music/sound/song06_khorn_intro.snd', 'player_music/sound/song06_khorn_outro.snd', '42');
INSERT INTO `performance` VALUES ('starwars3', '3', 'startMusic+starwars3', 'fanfar', '', '0', '36', '5', '866729052', '0', '7', '8', '4', 'healing_music_ability', '45', 'player_music/sound/song06_shorn_main.snd', 'player_music/sound/song06_shorn_flourish01.snd', 'player_music/sound/song06_shorn_flourish02.snd', 'player_music/sound/song06_shorn_flourish03.snd', 'player_music/sound/song06_shorn_flourish04.snd', 'player_music/sound/song06_shorn_flourish05.snd', 'player_music/sound/song06_shorn_flourish06.snd', 'player_music/sound/song06_shorn_flourish07.snd', 'player_music/sound/song06_shorn_flourish08.snd', 'player_music/sound/song06_shorn_intro.snd', 'player_music/sound/song06_shorn_outro.snd', '43');
INSERT INTO `performance` VALUES ('starwars3', '5', 'startMusic+starwars3', 'kloohorn', '', '0', '36', '5', '866729052', '0', '7', '8', '4', 'healing_music_ability', '45', 'player_music/sound/song06_khorn_main.snd', 'player_music/sound/song06_khorn_flourish01.snd', 'player_music/sound/song06_khorn_flourish02.snd', 'player_music/sound/song06_khorn_flourish03.snd', 'player_music/sound/song06_khorn_flourish04.snd', 'player_music/sound/song06_khorn_flourish05.snd', 'player_music/sound/song06_khorn_flourish06.snd', 'player_music/sound/song06_khorn_flourish07.snd', 'player_music/sound/song06_khorn_flourish08.snd', 'player_music/sound/song06_khorn_intro.snd', 'player_music/sound/song06_khorn_outro.snd', '44');
INSERT INTO `performance` VALUES ('starwars3', '10', 'startMusic+starwars3', 'mandoviol', '', '0', '40', '5', '866729052', '0', '9', '8', '4', 'healing_music_ability', '50', 'player_music/sound/song06_mand_main.snd', 'player_music/sound/song06_mand_flourish01.snd', 'player_music/sound/song06_mand_flourish02.snd', 'player_music/sound/song06_mand_flourish03.snd', 'player_music/sound/song06_mand_flourish04.snd', 'player_music/sound/song06_mand_flourish05.snd', 'player_music/sound/song06_mand_flourish06.snd', 'player_music/sound/song06_mand_flourish07.snd', 'player_music/sound/song06_mand_flourish08.snd', 'player_music/sound/song06_mand_intro.snd', 'player_music/sound/song06_mand_outro.snd', '45');
INSERT INTO `performance` VALUES ('starwars3', '1', 'startMusic+starwars3', 'traz', '', '0', '40', '5', '866729052', '0', '9', '10', '5', 'healing_music_ability', '50', 'player_music/sound/song06_shorn_main.snd', 'player_music/sound/song06_shorn_flourish01.snd', 'player_music/sound/song06_shorn_flourish02.snd', 'player_music/sound/song06_shorn_flourish03.snd', 'player_music/sound/song06_shorn_flourish04.snd', 'player_music/sound/song06_shorn_flourish05.snd', 'player_music/sound/song06_shorn_flourish06.snd', 'player_music/sound/song06_shorn_flourish07.snd', 'player_music/sound/song06_shorn_flourish08.snd', 'player_music/sound/song06_shorn_intro.snd', 'player_music/sound/song06_shorn_outro.snd', '46');
INSERT INTO `performance` VALUES ('starwars3', '7', 'startMusic+starwars3', 'bandfill', '', '0', '44', '5', '866729052', '0', '13', '10', '5', 'healing_music_ability', '50', 'player_music/sound/song06_drum_main.snd', 'player_music/sound/song06_drum_flourish01.snd', 'player_music/sound/song06_drum_flourish02.snd', 'player_music/sound/song06_drum_flourish03.snd', 'player_music/sound/song06_drum_flourish04.snd', 'player_music/sound/song06_drum_flourish05.snd', 'player_music/sound/song06_drum_flourish06.snd', 'player_music/sound/song06_drum_flourish07.snd', 'player_music/sound/song06_drum_flourish08.snd', 'player_music/sound/song06_drum_intro.snd', 'player_music/sound/song06_drum_outro.snd', '47');
INSERT INTO `performance` VALUES ('starwars3', '4', 'startMusic+starwars3', 'flutedroopy', '', '0', '44', '5', '866729052', '0', '15', '12', '6', 'healing_music_ability', '45', 'player_music/sound/song06_khorn_main.snd', 'player_music/sound/song06_khorn_flourish01.snd', 'player_music/sound/song06_khorn_flourish02.snd', 'player_music/sound/song06_khorn_flourish03.snd', 'player_music/sound/song06_khorn_flourish04.snd', 'player_music/sound/song06_khorn_flourish05.snd', 'player_music/sound/song06_khorn_flourish06.snd', 'player_music/sound/song06_khorn_flourish07.snd', 'player_music/sound/song06_khorn_flourish08.snd', 'player_music/sound/song06_khorn_intro.snd', 'player_music/sound/song06_khorn_outro.snd', '48');
INSERT INTO `performance` VALUES ('starwars3', '8', 'startMusic+starwars3', 'omnibox', '', '0', '48', '5', '866729052', '0', '17', '12', '6', 'healing_music_ability', '45', 'player_music/sound/song06_drum_main.snd', 'player_music/sound/song06_drum_flourish01.snd', 'player_music/sound/song06_drum_flourish02.snd', 'player_music/sound/song06_drum_flourish03.snd', 'player_music/sound/song06_drum_flourish04.snd', 'player_music/sound/song06_drum_flourish05.snd', 'player_music/sound/song06_drum_flourish06.snd', 'player_music/sound/song06_drum_flourish07.snd', 'player_music/sound/song06_drum_flourish08.snd', 'player_music/sound/song06_drum_intro.snd', 'player_music/sound/song06_drum_outro.snd', '49');
INSERT INTO `performance` VALUES ('starwars3', '9', 'startMusic+starwars3', 'nalargon', '', '0', '48', '5', '866729052', '0', '20', '14', '7', 'healing_music_ability', '55', 'player_music/sound/song06_nlrg_main.snd', 'player_music/sound/song06_nlrg_flourish01.snd', 'player_music/sound/song06_nlrg_flourish02.snd', 'player_music/sound/song06_nlrg_flourish03.snd', 'player_music/sound/song06_nlrg_flourish04.snd', 'player_music/sound/song06_nlrg_flourish05.snd', 'player_music/sound/song06_nlrg_flourish06.snd', 'player_music/sound/song06_nlrg_flourish07.snd', 'player_music/sound/song06_nlrg_flourish08.snd', 'player_music/sound/song06_nlrg_intro.snd', 'player_music/sound/song06_nlrg_outro.snd', '50');
INSERT INTO `performance` VALUES ('ceremonial', '2', 'startMusic+ceremonial', 'slitherhorn', '', '0', '40', '5', '866729052', '0', '9', '8', '4', 'healing_music_ability', '45', 'player_music/sound/song09_shorn_main.snd', 'player_music/sound/song09_shorn_flourish01.snd', 'player_music/sound/song09_shorn_flourish02.snd', 'player_music/sound/song09_shorn_flourish03.snd', 'player_music/sound/song09_shorn_flourish04.snd', 'player_music/sound/song09_shorn_flourish05.snd', 'player_music/sound/song09_shorn_flourish06.snd', 'player_music/sound/song09_shorn_flourish07.snd', 'player_music/sound/song09_shorn_flourish08.snd', 'player_music/sound/song09_shorn_intro.snd', 'player_music/sound/song09_shorn_outro.snd', '51');
INSERT INTO `performance` VALUES ('ceremonial', '6', 'startMusic+ceremonial', 'fizz', '', '0', '40', '5', '866729052', '0', '9', '8', '4', 'healing_music_ability', '45', 'player_music/sound/song09_khorn_main.snd', 'player_music/sound/song09_khorn_flourish01.snd', 'player_music/sound/song09_khorn_flourish02.snd', 'player_music/sound/song09_khorn_flourish03.snd', 'player_music/sound/song09_khorn_flourish04.snd', 'player_music/sound/song09_khorn_flourish05.snd', 'player_music/sound/song09_khorn_flourish06.snd', 'player_music/sound/song09_khorn_flourish07.snd', 'player_music/sound/song09_khorn_flourish08.snd', 'player_music/sound/song09_khorn_intro.snd', 'player_music/sound/song09_khorn_outro.snd', '52');
INSERT INTO `performance` VALUES ('ceremonial', '3', 'startMusic+ceremonial', 'fanfar', '', '0', '40', '5', '866729052', '0', '9', '8', '4', 'healing_music_ability', '50', 'player_music/sound/song09_shorn_main.snd', 'player_music/sound/song09_shorn_flourish01.snd', 'player_music/sound/song09_shorn_flourish02.snd', 'player_music/sound/song09_shorn_flourish03.snd', 'player_music/sound/song09_shorn_flourish04.snd', 'player_music/sound/song09_shorn_flourish05.snd', 'player_music/sound/song09_shorn_flourish06.snd', 'player_music/sound/song09_shorn_flourish07.snd', 'player_music/sound/song09_shorn_flourish08.snd', 'player_music/sound/song09_shorn_intro.snd', 'player_music/sound/song09_shorn_outro.snd', '53');
INSERT INTO `performance` VALUES ('ceremonial', '5', 'startMusic+ceremonial', 'kloohorn', '', '0', '40', '5', '866729052', '0', '9', '8', '4', 'healing_music_ability', '50', 'player_music/sound/song09_khorn_main.snd', 'player_music/sound/song09_khorn_flourish01.snd', 'player_music/sound/song09_khorn_flourish02.snd', 'player_music/sound/song09_khorn_flourish03.snd', 'player_music/sound/song09_khorn_flourish04.snd', 'player_music/sound/song09_khorn_flourish05.snd', 'player_music/sound/song09_khorn_flourish06.snd', 'player_music/sound/song09_khorn_flourish07.snd', 'player_music/sound/song09_khorn_flourish08.snd', 'player_music/sound/song09_khorn_intro.snd', 'player_music/sound/song09_khorn_outro.snd', '54');
INSERT INTO `performance` VALUES ('ceremonial', '10', 'startMusic+ceremonial', 'mandoviol', '', '0', '40', '5', '866729052', '0', '9', '8', '4', 'healing_music_ability', '55', 'player_music/sound/song09_mand_main.snd', 'player_music/sound/song09_mand_flourish01.snd', 'player_music/sound/song09_mand_flourish02.snd', 'player_music/sound/song09_mand_flourish03.snd', 'player_music/sound/song09_mand_flourish04.snd', 'player_music/sound/song09_mand_flourish05.snd', 'player_music/sound/song09_mand_flourish06.snd', 'player_music/sound/song09_mand_flourish07.snd', 'player_music/sound/song09_mand_flourish08.snd', 'player_music/sound/song09_mand_intro.snd', 'player_music/sound/song09_mand_outro.snd', '55');
INSERT INTO `performance` VALUES ('ceremonial', '1', 'startMusic+ceremonial', 'traz', '', '0', '40', '5', '866729052', '0', '9', '10', '5', 'healing_music_ability', '55', 'player_music/sound/song09_shorn_main.snd', 'player_music/sound/song09_shorn_flourish01.snd', 'player_music/sound/song09_shorn_flourish02.snd', 'player_music/sound/song09_shorn_flourish03.snd', 'player_music/sound/song09_shorn_flourish04.snd', 'player_music/sound/song09_shorn_flourish05.snd', 'player_music/sound/song09_shorn_flourish06.snd', 'player_music/sound/song09_shorn_flourish07.snd', 'player_music/sound/song09_shorn_flourish08.snd', 'player_music/sound/song09_shorn_intro.snd', 'player_music/sound/song09_shorn_outro.snd', '56');
INSERT INTO `performance` VALUES ('ceremonial', '7', 'startMusic+ceremonial', 'bandfill', '', '0', '44', '5', '866729052', '0', '13', '10', '5', 'healing_music_ability', '55', 'player_music/sound/song09_drum_main.snd', 'player_music/sound/song09_drum_flourish01.snd', 'player_music/sound/song09_drum_flourish02.snd', 'player_music/sound/song09_drum_flourish03.snd', 'player_music/sound/song09_drum_flourish04.snd', 'player_music/sound/song09_drum_flourish05.snd', 'player_music/sound/song09_drum_flourish06.snd', 'player_music/sound/song09_drum_flourish07.snd', 'player_music/sound/song09_drum_flourish08.snd', 'player_music/sound/song09_drum_intro.snd', 'player_music/sound/song09_drum_outro.snd', '57');
INSERT INTO `performance` VALUES ('ceremonial', '4', 'startMusic+ceremonial', 'flutedroopy', '', '0', '44', '5', '866729052', '0', '15', '12', '6', 'healing_music_ability', '50', 'player_music/sound/song09_khorn_main.snd', 'player_music/sound/song09_khorn_flourish01.snd', 'player_music/sound/song09_khorn_flourish02.snd', 'player_music/sound/song09_khorn_flourish03.snd', 'player_music/sound/song09_khorn_flourish04.snd', 'player_music/sound/song09_khorn_flourish05.snd', 'player_music/sound/song09_khorn_flourish06.snd', 'player_music/sound/song09_khorn_flourish07.snd', 'player_music/sound/song09_khorn_flourish08.snd', 'player_music/sound/song09_khorn_intro.snd', 'player_music/sound/song09_khorn_outro.snd', '58');
INSERT INTO `performance` VALUES ('ceremonial', '8', 'startMusic+ceremonial', 'omnibox', '', '0', '48', '5', '866729052', '0', '17', '12', '6', 'healing_music_ability', '50', 'player_music/sound/song09_drum_main.snd', 'player_music/sound/song09_drum_flourish01.snd', 'player_music/sound/song09_drum_flourish02.snd', 'player_music/sound/song09_drum_flourish03.snd', 'player_music/sound/song09_drum_flourish04.snd', 'player_music/sound/song09_drum_flourish05.snd', 'player_music/sound/song09_drum_flourish06.snd', 'player_music/sound/song09_drum_flourish07.snd', 'player_music/sound/song09_drum_flourish08.snd', 'player_music/sound/song09_drum_intro.snd', 'player_music/sound/song09_drum_outro.snd', '59');
INSERT INTO `performance` VALUES ('ceremonial', '9', 'startMusic+ceremonial', 'nalargon', '', '0', '48', '5', '866729052', '0', '20', '14', '7', 'healing_music_ability', '60', 'player_music/sound/song09_nlrg_main.snd', 'player_music/sound/song09_nlrg_flourish01.snd', 'player_music/sound/song09_nlrg_flourish02.snd', 'player_music/sound/song09_nlrg_flourish03.snd', 'player_music/sound/song09_nlrg_flourish04.snd', 'player_music/sound/song09_nlrg_flourish05.snd', 'player_music/sound/song09_nlrg_flourish06.snd', 'player_music/sound/song09_nlrg_flourish07.snd', 'player_music/sound/song09_nlrg_flourish08.snd', 'player_music/sound/song09_nlrg_intro.snd', 'player_music/sound/song09_nlrg_outro.snd', '60');
INSERT INTO `performance` VALUES ('ballad', '2', 'startMusic+ballad', 'slitherhorn', '', '0', '40', '5', '866729052', '0', '11', '10', '5', 'healing_music_ability', '60', 'player_music/sound/song08_shorn_main.snd', 'player_music/sound/song08_shorn_flourish01.snd', 'player_music/sound/song08_shorn_flourish02.snd', 'player_music/sound/song08_shorn_flourish03.snd', 'player_music/sound/song08_shorn_flourish04.snd', 'player_music/sound/song08_shorn_flourish05.snd', 'player_music/sound/song08_shorn_flourish06.snd', 'player_music/sound/song08_shorn_flourish07.snd', 'player_music/sound/song08_shorn_flourish08.snd', 'player_music/sound/song08_shorn_intro.snd', 'player_music/sound/song08_shorn_outro.snd', '61');
INSERT INTO `performance` VALUES ('ballad', '6', 'startMusic+ballad', 'fizz', '', '0', '40', '5', '866729052', '0', '11', '10', '5', 'healing_music_ability', '60', 'player_music/sound/song08_khorn_main.snd', 'player_music/sound/song08_khorn_flourish01.snd', 'player_music/sound/song08_khorn_flourish02.snd', 'player_music/sound/song08_khorn_flourish03.snd', 'player_music/sound/song08_khorn_flourish04.snd', 'player_music/sound/song08_khorn_flourish05.snd', 'player_music/sound/song08_khorn_flourish06.snd', 'player_music/sound/song08_khorn_flourish07.snd', 'player_music/sound/song08_khorn_flourish08.snd', 'player_music/sound/song08_khorn_intro.snd', 'player_music/sound/song08_khorn_outro.snd', '62');
INSERT INTO `performance` VALUES ('ballad', '3', 'startMusic+ballad', 'fanfar', '', '0', '40', '5', '866729052', '0', '11', '10', '5', 'healing_music_ability', '65', 'player_music/sound/song08_shorn_main.snd', 'player_music/sound/song08_shorn_flourish01.snd', 'player_music/sound/song08_shorn_flourish02.snd', 'player_music/sound/song08_shorn_flourish03.snd', 'player_music/sound/song08_shorn_flourish04.snd', 'player_music/sound/song08_shorn_flourish05.snd', 'player_music/sound/song08_shorn_flourish06.snd', 'player_music/sound/song08_shorn_flourish07.snd', 'player_music/sound/song08_shorn_flourish08.snd', 'player_music/sound/song08_shorn_intro.snd', 'player_music/sound/song08_shorn_outro.snd', '63');
INSERT INTO `performance` VALUES ('ballad', '5', 'startMusic+ballad', 'kloohorn', '', '0', '40', '5', '866729052', '0', '11', '10', '5', 'healing_music_ability', '65', 'player_music/sound/song08_khorn_main.snd', 'player_music/sound/song08_khorn_flourish01.snd', 'player_music/sound/song08_khorn_flourish02.snd', 'player_music/sound/song08_khorn_flourish03.snd', 'player_music/sound/song08_khorn_flourish04.snd', 'player_music/sound/song08_khorn_flourish05.snd', 'player_music/sound/song08_khorn_flourish06.snd', 'player_music/sound/song08_khorn_flourish07.snd', 'player_music/sound/song08_khorn_flourish08.snd', 'player_music/sound/song08_khorn_intro.snd', 'player_music/sound/song08_khorn_outro.snd', '64');
INSERT INTO `performance` VALUES ('ballad', '10', 'startMusic+ballad', 'mandoviol', '', '0', '40', '5', '866729052', '0', '11', '10', '5', 'healing_music_ability', '70', 'player_music/sound/song08_mand_main.snd', 'player_music/sound/song08_mand_flourish01.snd', 'player_music/sound/song08_mand_flourish02.snd', 'player_music/sound/song08_mand_flourish03.snd', 'player_music/sound/song08_mand_flourish04.snd', 'player_music/sound/song08_mand_flourish05.snd', 'player_music/sound/song08_mand_flourish06.snd', 'player_music/sound/song08_mand_flourish07.snd', 'player_music/sound/song08_mand_flourish08.snd', 'player_music/sound/song08_mand_intro.snd', 'player_music/sound/song08_mand_outro.snd', '65');
INSERT INTO `performance` VALUES ('ballad', '1', 'startMusic+ballad', 'traz', '', '0', '40', '5', '866729052', '0', '11', '10', '5', 'healing_music_ability', '70', 'player_music/sound/song08_shorn_main.snd', 'player_music/sound/song08_shorn_flourish01.snd', 'player_music/sound/song08_shorn_flourish02.snd', 'player_music/sound/song08_shorn_flourish03.snd', 'player_music/sound/song08_shorn_flourish04.snd', 'player_music/sound/song08_shorn_flourish05.snd', 'player_music/sound/song08_shorn_flourish06.snd', 'player_music/sound/song08_shorn_flourish07.snd', 'player_music/sound/song08_shorn_flourish08.snd', 'player_music/sound/song08_shorn_intro.snd', 'player_music/sound/song08_shorn_outro.snd', '66');
INSERT INTO `performance` VALUES ('ballad', '7', 'startMusic+ballad', 'bandfill', '', '0', '44', '5', '866729052', '0', '13', '10', '5', 'healing_music_ability', '70', 'player_music/sound/song08_drum_main.snd', 'player_music/sound/song08_drum_flourish01.snd', 'player_music/sound/song08_drum_flourish02.snd', 'player_music/sound/song08_drum_flourish03.snd', 'player_music/sound/song08_drum_flourish04.snd', 'player_music/sound/song08_drum_flourish05.snd', 'player_music/sound/song08_drum_flourish06.snd', 'player_music/sound/song08_drum_flourish07.snd', 'player_music/sound/song08_drum_flourish08.snd', 'player_music/sound/song08_drum_intro.snd', 'player_music/sound/song08_drum_outro.snd', '67');
INSERT INTO `performance` VALUES ('ballad', '4', 'startMusic+ballad', 'flutedroopy', '', '0', '44', '5', '866729052', '0', '15', '12', '6', 'healing_music_ability', '65', 'player_music/sound/song08_khorn_main.snd', 'player_music/sound/song08_khorn_flourish01.snd', 'player_music/sound/song08_khorn_flourish02.snd', 'player_music/sound/song08_khorn_flourish03.snd', 'player_music/sound/song08_khorn_flourish04.snd', 'player_music/sound/song08_khorn_flourish05.snd', 'player_music/sound/song08_khorn_flourish06.snd', 'player_music/sound/song08_khorn_flourish07.snd', 'player_music/sound/song08_khorn_flourish08.snd', 'player_music/sound/song08_khorn_intro.snd', 'player_music/sound/song08_khorn_outro.snd', '68');
INSERT INTO `performance` VALUES ('ballad', '8', 'startMusic+ballad', 'omnibox', '', '0', '48', '5', '866729052', '0', '17', '12', '6', 'healing_music_ability', '65', 'player_music/sound/song08_drum_main.snd', 'player_music/sound/song08_drum_flourish01.snd', 'player_music/sound/song08_drum_flourish02.snd', 'player_music/sound/song08_drum_flourish03.snd', 'player_music/sound/song08_drum_flourish04.snd', 'player_music/sound/song08_drum_flourish05.snd', 'player_music/sound/song08_drum_flourish06.snd', 'player_music/sound/song08_drum_flourish07.snd', 'player_music/sound/song08_drum_flourish08.snd', 'player_music/sound/song08_drum_intro.snd', 'player_music/sound/song08_drum_outro.snd', '69');
INSERT INTO `performance` VALUES ('ballad', '9', 'startMusic+ballad', 'nalargon', '', '0', '48', '5', '866729052', '0', '20', '14', '7', 'healing_music_ability', '75', 'player_music/sound/song08_nlrg_main.snd', 'player_music/sound/song08_nlrg_flourish01.snd', 'player_music/sound/song08_nlrg_flourish02.snd', 'player_music/sound/song08_nlrg_flourish03.snd', 'player_music/sound/song08_nlrg_flourish04.snd', 'player_music/sound/song08_nlrg_flourish05.snd', 'player_music/sound/song08_nlrg_flourish06.snd', 'player_music/sound/song08_nlrg_flourish07.snd', 'player_music/sound/song08_nlrg_flourish08.snd', 'player_music/sound/song08_nlrg_intro.snd', 'player_music/sound/song08_nlrg_outro.snd', '70');
INSERT INTO `performance` VALUES ('waltz', '2', 'startMusic+waltz', 'slitherhorn', '', '0', '44', '5', '866729052', '0', '15', '12', '6', 'healing_music_ability', '70', 'player_music/sound/song10_shorn_main.snd', 'player_music/sound/song10_shorn_flourish01.snd', 'player_music/sound/song10_shorn_flourish02.snd', 'player_music/sound/song10_shorn_flourish03.snd', 'player_music/sound/song10_shorn_flourish04.snd', 'player_music/sound/song10_shorn_flourish05.snd', 'player_music/sound/song10_shorn_flourish06.snd', 'player_music/sound/song10_shorn_flourish07.snd', 'player_music/sound/song10_shorn_flourish08.snd', 'player_music/sound/song10_shorn_intro.snd', 'player_music/sound/song10_shorn_outro.snd', '71');
INSERT INTO `performance` VALUES ('waltz', '6', 'startMusic+waltz', 'fizz', '', '0', '44', '5', '866729052', '0', '15', '12', '6', 'healing_music_ability', '70', 'player_music/sound/song10_khorn_main.snd', 'player_music/sound/song10_khorn_flourish01.snd', 'player_music/sound/song10_khorn_flourish02.snd', 'player_music/sound/song10_khorn_flourish03.snd', 'player_music/sound/song10_khorn_flourish04.snd', 'player_music/sound/song10_khorn_flourish05.snd', 'player_music/sound/song10_khorn_flourish06.snd', 'player_music/sound/song10_khorn_flourish07.snd', 'player_music/sound/song10_khorn_flourish08.snd', 'player_music/sound/song10_khorn_intro.snd', 'player_music/sound/song10_khorn_outro.snd', '72');
INSERT INTO `performance` VALUES ('waltz', '3', 'startMusic+waltz', 'fanfar', '', '0', '44', '5', '866729052', '0', '15', '12', '6', 'healing_music_ability', '75', 'player_music/sound/song10_shorn_main.snd', 'player_music/sound/song10_shorn_flourish01.snd', 'player_music/sound/song10_shorn_flourish02.snd', 'player_music/sound/song10_shorn_flourish03.snd', 'player_music/sound/song10_shorn_flourish04.snd', 'player_music/sound/song10_shorn_flourish05.snd', 'player_music/sound/song10_shorn_flourish06.snd', 'player_music/sound/song10_shorn_flourish07.snd', 'player_music/sound/song10_shorn_flourish08.snd', 'player_music/sound/song10_shorn_intro.snd', 'player_music/sound/song10_shorn_outro.snd', '73');
INSERT INTO `performance` VALUES ('waltz', '5', 'startMusic+waltz', 'kloohorn', '', '0', '44', '5', '866729052', '0', '15', '12', '6', 'healing_music_ability', '75', 'player_music/sound/song10_khorn_main.snd', 'player_music/sound/song10_khorn_flourish01.snd', 'player_music/sound/song10_khorn_flourish02.snd', 'player_music/sound/song10_khorn_flourish03.snd', 'player_music/sound/song10_khorn_flourish04.snd', 'player_music/sound/song10_khorn_flourish05.snd', 'player_music/sound/song10_khorn_flourish06.snd', 'player_music/sound/song10_khorn_flourish07.snd', 'player_music/sound/song10_khorn_flourish08.snd', 'player_music/sound/song10_khorn_intro.snd', 'player_music/sound/song10_khorn_outro.snd', '74');
INSERT INTO `performance` VALUES ('waltz', '10', 'startMusic+waltz', 'mandoviol', '', '0', '44', '5', '866729052', '0', '15', '12', '6', 'healing_music_ability', '80', 'player_music/sound/song10_mand_main.snd', 'player_music/sound/song10_mand_flourish01.snd', 'player_music/sound/song10_mand_flourish02.snd', 'player_music/sound/song10_mand_flourish03.snd', 'player_music/sound/song10_mand_flourish04.snd', 'player_music/sound/song10_mand_flourish05.snd', 'player_music/sound/song10_mand_flourish06.snd', 'player_music/sound/song10_mand_flourish07.snd', 'player_music/sound/song10_mand_flourish08.snd', 'player_music/sound/song10_mand_intro.snd', 'player_music/sound/song10_mand_outro.snd', '75');
INSERT INTO `performance` VALUES ('waltz', '1', 'startMusic+waltz', 'traz', '', '0', '44', '5', '866729052', '0', '15', '12', '6', 'healing_music_ability', '80', 'player_music/sound/song10_shorn_main.snd', 'player_music/sound/song10_shorn_flourish01.snd', 'player_music/sound/song10_shorn_flourish02.snd', 'player_music/sound/song10_shorn_flourish03.snd', 'player_music/sound/song10_shorn_flourish04.snd', 'player_music/sound/song10_shorn_flourish05.snd', 'player_music/sound/song10_shorn_flourish06.snd', 'player_music/sound/song10_shorn_flourish07.snd', 'player_music/sound/song10_shorn_flourish08.snd', 'player_music/sound/song10_shorn_intro.snd', 'player_music/sound/song10_shorn_outro.snd', '76');
INSERT INTO `performance` VALUES ('waltz', '7', 'startMusic+waltz', 'bandfill', '', '0', '44', '5', '866729052', '0', '15', '12', '6', 'healing_music_ability', '80', 'player_music/sound/song10_drum_main.snd', 'player_music/sound/song10_drum_flourish01.snd', 'player_music/sound/song10_drum_flourish02.snd', 'player_music/sound/song10_drum_flourish03.snd', 'player_music/sound/song10_drum_flourish04.snd', 'player_music/sound/song10_drum_flourish05.snd', 'player_music/sound/song10_drum_flourish06.snd', 'player_music/sound/song10_drum_flourish07.snd', 'player_music/sound/song10_drum_flourish08.snd', 'player_music/sound/song10_drum_intro.snd', 'player_music/sound/song10_drum_outro.snd', '77');
INSERT INTO `performance` VALUES ('waltz', '4', 'startMusic+waltz', 'flutedroopy', '', '0', '44', '5', '866729052', '0', '15', '12', '6', 'healing_music_ability', '75', 'player_music/sound/song10_khorn_main.snd', 'player_music/sound/song10_khorn_flourish01.snd', 'player_music/sound/song10_khorn_flourish02.snd', 'player_music/sound/song10_khorn_flourish03.snd', 'player_music/sound/song10_khorn_flourish04.snd', 'player_music/sound/song10_khorn_flourish05.snd', 'player_music/sound/song10_khorn_flourish06.snd', 'player_music/sound/song10_khorn_flourish07.snd', 'player_music/sound/song10_khorn_flourish08.snd', 'player_music/sound/song10_khorn_intro.snd', 'player_music/sound/song10_khorn_outro.snd', '78');
INSERT INTO `performance` VALUES ('waltz', '8', 'startMusic+waltz', 'omnibox', '', '0', '48', '5', '866729052', '0', '17', '12', '6', 'healing_music_ability', '75', 'player_music/sound/song10_drum_main.snd', 'player_music/sound/song10_drum_flourish01.snd', 'player_music/sound/song10_drum_flourish02.snd', 'player_music/sound/song10_drum_flourish03.snd', 'player_music/sound/song10_drum_flourish04.snd', 'player_music/sound/song10_drum_flourish05.snd', 'player_music/sound/song10_drum_flourish06.snd', 'player_music/sound/song10_drum_flourish07.snd', 'player_music/sound/song10_drum_flourish08.snd', 'player_music/sound/song10_drum_intro.snd', 'player_music/sound/song10_drum_outro.snd', '79');
INSERT INTO `performance` VALUES ('waltz', '9', 'startMusic+waltz', 'nalargon', '', '0', '48', '5', '866729052', '0', '20', '14', '7', 'healing_music_ability', '85', 'player_music/sound/song10_nlrg_main.snd', 'player_music/sound/song10_nlrg_flourish01.snd', 'player_music/sound/song10_nlrg_flourish02.snd', 'player_music/sound/song10_nlrg_flourish03.snd', 'player_music/sound/song10_nlrg_flourish04.snd', 'player_music/sound/song10_nlrg_flourish05.snd', 'player_music/sound/song10_nlrg_flourish06.snd', 'player_music/sound/song10_nlrg_flourish07.snd', 'player_music/sound/song10_nlrg_flourish08.snd', 'player_music/sound/song10_nlrg_intro.snd', 'player_music/sound/song10_nlrg_outro.snd', '80');
INSERT INTO `performance` VALUES ('jazz', '2', 'startMusic+jazz', 'slitherhorn', '', '0', '48', '5', '866729052', '0', '17', '12', '6', 'healing_music_ability', '85', 'player_music/sound/song02_shorn_main.snd', 'player_music/sound/song02_shorn_flourish01.snd', 'player_music/sound/song02_shorn_flourish02.snd', 'player_music/sound/song02_shorn_flourish03.snd', 'player_music/sound/song02_shorn_flourish04.snd', 'player_music/sound/song02_shorn_flourish05.snd', 'player_music/sound/song02_shorn_flourish06.snd', 'player_music/sound/song02_shorn_flourish07.snd', 'player_music/sound/song02_shorn_flourish08.snd', 'player_music/sound/song02_shorn_intro.snd', 'player_music/sound/song02_shorn_outro.snd', '81');
INSERT INTO `performance` VALUES ('jazz', '6', 'startMusic+jazz', 'fizz', '', '0', '48', '5', '866729052', '0', '17', '12', '6', 'healing_music_ability', '85', 'player_music/sound/song02_khorn_main.snd', 'player_music/sound/song02_khorn_flourish01.snd', 'player_music/sound/song02_khorn_flourish02.snd', 'player_music/sound/song02_khorn_flourish03.snd', 'player_music/sound/song02_khorn_flourish04.snd', 'player_music/sound/song02_khorn_flourish05.snd', 'player_music/sound/song02_khorn_flourish06.snd', 'player_music/sound/song02_khorn_flourish07.snd', 'player_music/sound/song02_khorn_flourish08.snd', 'player_music/sound/song02_khorn_intro.snd', 'player_music/sound/song02_khorn_outro.snd', '82');
INSERT INTO `performance` VALUES ('jazz', '3', 'startMusic+jazz', 'fanfar', '', '0', '48', '5', '866729052', '0', '17', '12', '6', 'healing_music_ability', '90', 'player_music/sound/song02_shorn_main.snd', 'player_music/sound/song02_shorn_flourish01.snd', 'player_music/sound/song02_shorn_flourish02.snd', 'player_music/sound/song02_shorn_flourish03.snd', 'player_music/sound/song02_shorn_flourish04.snd', 'player_music/sound/song02_shorn_flourish05.snd', 'player_music/sound/song02_shorn_flourish06.snd', 'player_music/sound/song02_shorn_flourish07.snd', 'player_music/sound/song02_shorn_flourish08.snd', 'player_music/sound/song02_shorn_intro.snd', 'player_music/sound/song02_shorn_outro.snd', '83');
INSERT INTO `performance` VALUES ('jazz', '5', 'startMusic+jazz', 'kloohorn', '', '0', '48', '5', '866729052', '0', '17', '12', '6', 'healing_music_ability', '90', 'player_music/sound/song02_khorn_main.snd', 'player_music/sound/song02_khorn_flourish01.snd', 'player_music/sound/song02_khorn_flourish02.snd', 'player_music/sound/song02_khorn_flourish03.snd', 'player_music/sound/song02_khorn_flourish04.snd', 'player_music/sound/song02_khorn_flourish05.snd', 'player_music/sound/song02_khorn_flourish06.snd', 'player_music/sound/song02_khorn_flourish07.snd', 'player_music/sound/song02_khorn_flourish08.snd', 'player_music/sound/song02_khorn_intro.snd', 'player_music/sound/song02_khorn_outro.snd', '84');
INSERT INTO `performance` VALUES ('jazz', '10', 'startMusic+jazz', 'mandoviol', '', '0', '48', '5', '866729052', '0', '17', '12', '6', 'healing_music_ability', '95', 'player_music/sound/song02_mand_main.snd', 'player_music/sound/song02_mand_flourish01.snd', 'player_music/sound/song02_mand_flourish02.snd', 'player_music/sound/song02_mand_flourish03.snd', 'player_music/sound/song02_mand_flourish04.snd', 'player_music/sound/song02_mand_flourish05.snd', 'player_music/sound/song02_mand_flourish06.snd', 'player_music/sound/song02_mand_flourish07.snd', 'player_music/sound/song02_mand_flourish08.snd', 'player_music/sound/song02_mand_intro.snd', 'player_music/sound/song02_mand_outro.snd', '85');
INSERT INTO `performance` VALUES ('jazz', '1', 'startMusic+jazz', 'traz', '', '0', '48', '5', '866729052', '0', '17', '12', '6', 'healing_music_ability', '95', 'player_music/sound/song02_shorn_main.snd', 'player_music/sound/song02_shorn_flourish01.snd', 'player_music/sound/song02_shorn_flourish02.snd', 'player_music/sound/song02_shorn_flourish03.snd', 'player_music/sound/song02_shorn_flourish04.snd', 'player_music/sound/song02_shorn_flourish05.snd', 'player_music/sound/song02_shorn_flourish06.snd', 'player_music/sound/song02_shorn_flourish07.snd', 'player_music/sound/song02_shorn_flourish08.snd', 'player_music/sound/song02_shorn_intro.snd', 'player_music/sound/song02_shorn_outro.snd', '86');
INSERT INTO `performance` VALUES ('jazz', '7', 'startMusic+jazz', 'bandfill', '', '0', '48', '5', '866729052', '0', '17', '12', '6', 'healing_music_ability', '95', 'player_music/sound/song02_drum_main.snd', 'player_music/sound/song02_drum_flourish01.snd', 'player_music/sound/song02_drum_flourish02.snd', 'player_music/sound/song02_drum_flourish03.snd', 'player_music/sound/song02_drum_flourish04.snd', 'player_music/sound/song02_drum_flourish05.snd', 'player_music/sound/song02_drum_flourish06.snd', 'player_music/sound/song02_drum_flourish07.snd', 'player_music/sound/song02_drum_flourish08.snd', 'player_music/sound/song02_drum_intro.snd', 'player_music/sound/song02_drum_outro.snd', '87');
INSERT INTO `performance` VALUES ('jazz', '4', 'startMusic+jazz', 'flutedroopy', '', '0', '48', '5', '866729052', '0', '17', '12', '6', 'healing_music_ability', '90', 'player_music/sound/song02_khorn_main.snd', 'player_music/sound/song02_khorn_flourish01.snd', 'player_music/sound/song02_khorn_flourish02.snd', 'player_music/sound/song02_khorn_flourish03.snd', 'player_music/sound/song02_khorn_flourish04.snd', 'player_music/sound/song02_khorn_flourish05.snd', 'player_music/sound/song02_khorn_flourish06.snd', 'player_music/sound/song02_khorn_flourish07.snd', 'player_music/sound/song02_khorn_flourish08.snd', 'player_music/sound/song02_khorn_intro.snd', 'player_music/sound/song02_khorn_outro.snd', '88');
INSERT INTO `performance` VALUES ('jazz', '8', 'startMusic+jazz', 'omnibox', '', '0', '48', '5', '866729052', '0', '17', '12', '6', 'healing_music_ability', '90', 'player_music/sound/song02_drum_main.snd', 'player_music/sound/song02_drum_flourish01.snd', 'player_music/sound/song02_drum_flourish02.snd', 'player_music/sound/song02_drum_flourish03.snd', 'player_music/sound/song02_drum_flourish04.snd', 'player_music/sound/song02_drum_flourish05.snd', 'player_music/sound/song02_drum_flourish06.snd', 'player_music/sound/song02_drum_flourish07.snd', 'player_music/sound/song02_drum_flourish08.snd', 'player_music/sound/song02_drum_intro.snd', 'player_music/sound/song02_drum_outro.snd', '89');
INSERT INTO `performance` VALUES ('jazz', '9', 'startMusic+jazz', 'nalargon', '', '0', '48', '5', '866729052', '0', '20', '14', '7', 'healing_music_ability', '100', 'player_music/sound/song02_nlrg_main.snd', 'player_music/sound/song02_nlrg_flourish01.snd', 'player_music/sound/song02_nlrg_flourish02.snd', 'player_music/sound/song02_nlrg_flourish03.snd', 'player_music/sound/song02_nlrg_flourish04.snd', 'player_music/sound/song02_nlrg_flourish05.snd', 'player_music/sound/song02_nlrg_flourish06.snd', 'player_music/sound/song02_nlrg_flourish07.snd', 'player_music/sound/song02_nlrg_flourish08.snd', 'player_music/sound/song02_nlrg_intro.snd', 'player_music/sound/song02_nlrg_outro.snd', '90');
INSERT INTO `performance` VALUES ('virtuoso', '2', 'startMusic+virtuoso', 'slitherhorn', '', '0', '48', '5', '866729052', '0', '20', '14', '7', 'healing_music_ability', '100', 'player_music/sound/song03_shorn_main.snd', 'player_music/sound/song03_shorn_flourish01.snd', 'player_music/sound/song03_shorn_flourish02.snd', 'player_music/sound/song03_shorn_flourish03.snd', 'player_music/sound/song03_shorn_flourish04.snd', 'player_music/sound/song03_shorn_flourish05.snd', 'player_music/sound/song03_shorn_flourish06.snd', 'player_music/sound/song03_shorn_flourish07.snd', 'player_music/sound/song03_shorn_flourish08.snd', 'player_music/sound/song03_shorn_intro.snd', 'player_music/sound/song03_shorn_outro.snd', '91');
INSERT INTO `performance` VALUES ('virtuoso', '6', 'startMusic+virtuoso', 'fizz', '', '0', '48', '5', '866729052', '0', '20', '14', '7', 'healing_music_ability', '100', 'player_music/sound/song03_khorn_main.snd', 'player_music/sound/song03_khorn_flourish01.snd', 'player_music/sound/song03_khorn_flourish02.snd', 'player_music/sound/song03_khorn_flourish03.snd', 'player_music/sound/song03_khorn_flourish04.snd', 'player_music/sound/song03_khorn_flourish05.snd', 'player_music/sound/song03_khorn_flourish06.snd', 'player_music/sound/song03_khorn_flourish07.snd', 'player_music/sound/song03_khorn_flourish08.snd', 'player_music/sound/song03_khorn_intro.snd', 'player_music/sound/song03_khorn_outro.snd', '92');
INSERT INTO `performance` VALUES ('virtuoso', '3', 'startMusic+virtuoso', 'fanfar', '', '0', '48', '5', '866729052', '0', '20', '14', '7', 'healing_music_ability', '100', 'player_music/sound/song03_shorn_main.snd', 'player_music/sound/song03_shorn_flourish01.snd', 'player_music/sound/song03_shorn_flourish02.snd', 'player_music/sound/song03_shorn_flourish03.snd', 'player_music/sound/song03_shorn_flourish04.snd', 'player_music/sound/song03_shorn_flourish05.snd', 'player_music/sound/song03_shorn_flourish06.snd', 'player_music/sound/song03_shorn_flourish07.snd', 'player_music/sound/song03_shorn_flourish08.snd', 'player_music/sound/song03_shorn_intro.snd', 'player_music/sound/song03_shorn_outro.snd', '93');
INSERT INTO `performance` VALUES ('virtuoso', '5', 'startMusic+virtuoso', 'kloohorn', '', '0', '48', '5', '866729052', '0', '20', '14', '7', 'healing_music_ability', '100', 'player_music/sound/song03_khorn_main.snd', 'player_music/sound/song03_khorn_flourish01.snd', 'player_music/sound/song03_khorn_flourish02.snd', 'player_music/sound/song03_khorn_flourish03.snd', 'player_music/sound/song03_khorn_flourish04.snd', 'player_music/sound/song03_khorn_flourish05.snd', 'player_music/sound/song03_khorn_flourish06.snd', 'player_music/sound/song03_khorn_flourish07.snd', 'player_music/sound/song03_khorn_flourish08.snd', 'player_music/sound/song03_khorn_intro.snd', 'player_music/sound/song03_khorn_outro.snd', '94');
INSERT INTO `performance` VALUES ('virtuoso', '10', 'startMusic+virtuoso', 'mandoviol', '', '0', '48', '5', '866729052', '0', '20', '14', '7', 'healing_music_ability', '100', 'player_music/sound/song03_mand_main.snd', 'player_music/sound/song03_mand_flourish01.snd', 'player_music/sound/song03_mand_flourish02.snd', 'player_music/sound/song03_mand_flourish03.snd', 'player_music/sound/song03_mand_flourish04.snd', 'player_music/sound/song03_mand_flourish05.snd', 'player_music/sound/song03_mand_flourish06.snd', 'player_music/sound/song03_mand_flourish07.snd', 'player_music/sound/song03_mand_flourish08.snd', 'player_music/sound/song03_mand_intro.snd', 'player_music/sound/song03_mand_outro.snd', '95');
INSERT INTO `performance` VALUES ('virtuoso', '1', 'startMusic+virtuoso', 'traz', '', '0', '48', '5', '866729052', '0', '20', '14', '7', 'healing_music_ability', '100', 'player_music/sound/song03_shorn_main.snd', 'player_music/sound/song03_shorn_flourish01.snd', 'player_music/sound/song03_shorn_flourish02.snd', 'player_music/sound/song03_shorn_flourish03.snd', 'player_music/sound/song03_shorn_flourish04.snd', 'player_music/sound/song03_shorn_flourish05.snd', 'player_music/sound/song03_shorn_flourish06.snd', 'player_music/sound/song03_shorn_flourish07.snd', 'player_music/sound/song03_shorn_flourish08.snd', 'player_music/sound/song03_shorn_intro.snd', 'player_music/sound/song03_shorn_outro.snd', '96');
INSERT INTO `performance` VALUES ('virtuoso', '7', 'startMusic+virtuoso', 'bandfill', '', '0', '48', '5', '866729052', '0', '20', '14', '7', 'healing_music_ability', '100', 'player_music/sound/song03_drum_main.snd', 'player_music/sound/song03_drum_flourish01.snd', 'player_music/sound/song03_drum_flourish02.snd', 'player_music/sound/song03_drum_flourish03.snd', 'player_music/sound/song03_drum_flourish04.snd', 'player_music/sound/song03_drum_flourish05.snd', 'player_music/sound/song03_drum_flourish06.snd', 'player_music/sound/song03_drum_flourish07.snd', 'player_music/sound/song03_drum_flourish08.snd', 'player_music/sound/song03_drum_intro.snd', 'player_music/sound/song03_drum_outro.snd', '97');
INSERT INTO `performance` VALUES ('virtuoso', '4', 'startMusic+virtuoso', 'flutedroopy', '', '0', '48', '5', '866729052', '0', '20', '14', '7', 'healing_music_ability', '100', 'player_music/sound/song03_khorn_main.snd', 'player_music/sound/song03_khorn_flourish01.snd', 'player_music/sound/song03_khorn_flourish02.snd', 'player_music/sound/song03_khorn_flourish03.snd', 'player_music/sound/song03_khorn_flourish04.snd', 'player_music/sound/song03_khorn_flourish05.snd', 'player_music/sound/song03_khorn_flourish06.snd', 'player_music/sound/song03_khorn_flourish07.snd', 'player_music/sound/song03_khorn_flourish08.snd', 'player_music/sound/song03_khorn_intro.snd', 'player_music/sound/song03_khorn_outro.snd', '98');
INSERT INTO `performance` VALUES ('virtuoso', '8', 'startMusic+virtuoso', 'omnibox', '', '0', '48', '5', '866729052', '0', '20', '14', '7', 'healing_music_ability', '100', 'player_music/sound/song03_drum_main.snd', 'player_music/sound/song03_drum_flourish01.snd', 'player_music/sound/song03_drum_flourish02.snd', 'player_music/sound/song03_drum_flourish03.snd', 'player_music/sound/song03_drum_flourish04.snd', 'player_music/sound/song03_drum_flourish05.snd', 'player_music/sound/song03_drum_flourish06.snd', 'player_music/sound/song03_drum_flourish07.snd', 'player_music/sound/song03_drum_flourish08.snd', 'player_music/sound/song03_drum_intro.snd', 'player_music/sound/song03_drum_outro.snd', '99');
INSERT INTO `performance` VALUES ('virtuoso', '9', 'startMusic+virtuoso', 'nalargon', '', '0', '48', '5', '866729052', '0', '20', '14', '7', 'healing_music_ability', '100', 'player_music/sound/song03_nlrg_main.snd', 'player_music/sound/song03_nlrg_flourish01.snd', 'player_music/sound/song03_nlrg_flourish02.snd', 'player_music/sound/song03_nlrg_flourish03.snd', 'player_music/sound/song03_nlrg_flourish04.snd', 'player_music/sound/song03_nlrg_flourish05.snd', 'player_music/sound/song03_nlrg_flourish06.snd', 'player_music/sound/song03_nlrg_flourish07.snd', 'player_music/sound/song03_nlrg_flourish08.snd', 'player_music/sound/song03_nlrg_intro.snd', 'player_music/sound/song03_nlrg_outro.snd', '100');
INSERT INTO `performance` VALUES ('western', '2', 'startMusic+western', 'slitherhorn', '', '0', '36', '6.43', '866729052', '0', '7', '8', '4', 'healing_music_ability', '40', 'player_music/sound/song16_shorn_main.snd', 'player_music/sound/song16_shorn_flourish01.snd', 'player_music/sound/song16_shorn_flourish02.snd', 'player_music/sound/song16_shorn_flourish03.snd', 'player_music/sound/song16_shorn_flourish04.snd', 'player_music/sound/song16_shorn_flourish05.snd', 'player_music/sound/song16_shorn_flourish06.snd', 'player_music/sound/song16_shorn_flourish07.snd', 'player_music/sound/song16_shorn_flourish08.snd', 'player_music/sound/song16_shorn_intro.snd', 'player_music/sound/song16_shorn_outro.snd', '101');
INSERT INTO `performance` VALUES ('western', '6', 'startMusic+western', 'fizz', '', '0', '36', '6.43', '866729052', '0', '7', '8', '4', 'healing_music_ability', '40', 'player_music/sound/song16_khorn_main.snd', 'player_music/sound/song16_khorn_flourish01.snd', 'player_music/sound/song16_khorn_flourish02.snd', 'player_music/sound/song16_khorn_flourish03.snd', 'player_music/sound/song16_khorn_flourish04.snd', 'player_music/sound/song16_khorn_flourish05.snd', 'player_music/sound/song16_khorn_flourish06.snd', 'player_music/sound/song16_khorn_flourish07.snd', 'player_music/sound/song16_khorn_flourish08.snd', 'player_music/sound/song16_khorn_intro.snd', 'player_music/sound/song16_khorn_outro.snd', '102');
INSERT INTO `performance` VALUES ('western', '3', 'startMusic+western', 'fanfar', '', '0', '36', '6.43', '866729052', '0', '7', '8', '4', 'healing_music_ability', '45', 'player_music/sound/song16_shorn_main.snd', 'player_music/sound/song16_shorn_flourish01.snd', 'player_music/sound/song16_shorn_flourish02.snd', 'player_music/sound/song16_shorn_flourish03.snd', 'player_music/sound/song16_shorn_flourish04.snd', 'player_music/sound/song16_shorn_flourish05.snd', 'player_music/sound/song16_shorn_flourish06.snd', 'player_music/sound/song16_shorn_flourish07.snd', 'player_music/sound/song16_shorn_flourish08.snd', 'player_music/sound/song16_shorn_intro.snd', 'player_music/sound/song16_shorn_outro.snd', '103');
INSERT INTO `performance` VALUES ('western', '5', 'startMusic+western', 'kloohorn', '', '0', '36', '6.43', '866729052', '0', '7', '8', '4', 'healing_music_ability', '45', 'player_music/sound/song16_khorn_main.snd', 'player_music/sound/song16_khorn_flourish01.snd', 'player_music/sound/song16_khorn_flourish02.snd', 'player_music/sound/song16_khorn_flourish03.snd', 'player_music/sound/song16_khorn_flourish04.snd', 'player_music/sound/song16_khorn_flourish05.snd', 'player_music/sound/song16_khorn_flourish06.snd', 'player_music/sound/song16_khorn_flourish07.snd', 'player_music/sound/song16_khorn_flourish08.snd', 'player_music/sound/song16_khorn_intro.snd', 'player_music/sound/song16_khorn_outro.snd', '104');
INSERT INTO `performance` VALUES ('western', '10', 'startMusic+western', 'mandoviol', '', '0', '40', '6.43', '866729052', '0', '9', '8', '4', 'healing_music_ability', '50', 'player_music/sound/song16_mand_main.snd', 'player_music/sound/song16_mand_flourish01.snd', 'player_music/sound/song16_mand_flourish02.snd', 'player_music/sound/song16_mand_flourish03.snd', 'player_music/sound/song16_mand_flourish04.snd', 'player_music/sound/song16_mand_flourish05.snd', 'player_music/sound/song16_mand_flourish06.snd', 'player_music/sound/song16_mand_flourish07.snd', 'player_music/sound/song16_mand_flourish08.snd', 'player_music/sound/song16_mand_intro.snd', 'player_music/sound/song16_mand_outro.snd', '105');
INSERT INTO `performance` VALUES ('western', '1', 'startMusic+western', 'traz', '', '0', '40', '6.43', '866729052', '0', '9', '10', '5', 'healing_music_ability', '50', 'player_music/sound/song16_shorn_main.snd', 'player_music/sound/song16_shorn_flourish01.snd', 'player_music/sound/song16_shorn_flourish02.snd', 'player_music/sound/song16_shorn_flourish03.snd', 'player_music/sound/song16_shorn_flourish04.snd', 'player_music/sound/song16_shorn_flourish05.snd', 'player_music/sound/song16_shorn_flourish06.snd', 'player_music/sound/song16_shorn_flourish07.snd', 'player_music/sound/song16_shorn_flourish08.snd', 'player_music/sound/song16_shorn_intro.snd', 'player_music/sound/song16_shorn_outro.snd', '106');
INSERT INTO `performance` VALUES ('western', '7', 'startMusic+western', 'bandfill', '', '0', '44', '6.43', '866729052', '0', '13', '10', '5', 'healing_music_ability', '50', 'player_music/sound/song16_drum_main.snd', 'player_music/sound/song16_drum_flourish01.snd', 'player_music/sound/song16_drum_flourish02.snd', 'player_music/sound/song16_drum_flourish03.snd', 'player_music/sound/song16_drum_flourish04.snd', 'player_music/sound/song16_drum_flourish05.snd', 'player_music/sound/song16_drum_flourish06.snd', 'player_music/sound/song16_drum_flourish07.snd', 'player_music/sound/song16_drum_flourish08.snd', 'player_music/sound/song16_drum_intro.snd', 'player_music/sound/song16_drum_outro.snd', '107');
INSERT INTO `performance` VALUES ('western', '4', 'startMusic+western', 'flutedroopy', '', '0', '44', '6.43', '866729052', '0', '15', '12', '6', 'healing_music_ability', '45', 'player_music/sound/song16_khorn_main.snd', 'player_music/sound/song16_khorn_flourish01.snd', 'player_music/sound/song16_khorn_flourish02.snd', 'player_music/sound/song16_khorn_flourish03.snd', 'player_music/sound/song16_khorn_flourish04.snd', 'player_music/sound/song16_khorn_flourish05.snd', 'player_music/sound/song16_khorn_flourish06.snd', 'player_music/sound/song16_khorn_flourish07.snd', 'player_music/sound/song16_khorn_flourish08.snd', 'player_music/sound/song16_khorn_intro.snd', 'player_music/sound/song16_khorn_outro.snd', '108');
INSERT INTO `performance` VALUES ('western', '8', 'startMusic+western', 'omnibox', '', '0', '48', '6.43', '866729052', '0', '17', '12', '6', 'healing_music_ability', '45', 'player_music/sound/song16_drum_main.snd', 'player_music/sound/song16_drum_flourish01.snd', 'player_music/sound/song16_drum_flourish02.snd', 'player_music/sound/song16_drum_flourish03.snd', 'player_music/sound/song16_drum_flourish04.snd', 'player_music/sound/song16_drum_flourish05.snd', 'player_music/sound/song16_drum_flourish06.snd', 'player_music/sound/song16_drum_flourish07.snd', 'player_music/sound/song16_drum_flourish08.snd', 'player_music/sound/song16_drum_intro.snd', 'player_music/sound/song16_drum_outro.snd', '109');
INSERT INTO `performance` VALUES ('western', '9', 'startMusic+western', 'nalargon', '', '0', '48', '6.43', '866729052', '0', '20', '14', '7', 'healing_music_ability', '55', 'player_music/sound/song16_nlrg_main.snd', 'player_music/sound/song16_nlrg_flourish01.snd', 'player_music/sound/song16_nlrg_flourish02.snd', 'player_music/sound/song16_nlrg_flourish03.snd', 'player_music/sound/song16_nlrg_flourish04.snd', 'player_music/sound/song16_nlrg_flourish05.snd', 'player_music/sound/song16_nlrg_flourish06.snd', 'player_music/sound/song16_nlrg_flourish07.snd', 'player_music/sound/song16_nlrg_flourish08.snd', 'player_music/sound/song16_nlrg_intro.snd', 'player_music/sound/song16_nlrg_outro.snd', '110');
INSERT INTO `performance` VALUES ('starwars4', '2', 'startMusic+starwars4', 'slitherhorn', '', '0', '36', '5.81', '866729052', '0', '8', '9', '2', 'healing_music_ability', '40', 'player_music/sound/song19_shorn_main.snd', 'player_music/sound/song19_shorn_flourish01.snd', 'player_music/sound/song19_shorn_flourish02.snd', 'player_music/sound/song19_shorn_flourish03.snd', 'player_music/sound/song19_shorn_flourish04.snd', 'player_music/sound/song19_shorn_flourish05.snd', 'player_music/sound/song19_shorn_flourish06.snd', 'player_music/sound/song19_shorn_flourish07.snd', 'player_music/sound/song19_shorn_flourish08.snd', 'player_music/sound/song19_shorn_intro.snd', 'player_music/sound/song19_shorn_outro.snd', '111');
INSERT INTO `performance` VALUES ('starwars4', '6', 'startMusic+starwars4', 'fizz', '', '0', '36', '5.81', '866729052', '0', '8', '9', '3', 'healing_music_ability', '40', 'player_music/sound/song19_khorn_main.snd', 'player_music/sound/song19_khorn_flourish01.snd', 'player_music/sound/song19_khorn_flourish02.snd', 'player_music/sound/song19_khorn_flourish03.snd', 'player_music/sound/song19_khorn_flourish04.snd', 'player_music/sound/song19_khorn_flourish05.snd', 'player_music/sound/song19_khorn_flourish06.snd', 'player_music/sound/song19_khorn_flourish07.snd', 'player_music/sound/song19_khorn_flourish08.snd', 'player_music/sound/song19_khorn_intro.snd', 'player_music/sound/song19_khorn_outro.snd', '112');
INSERT INTO `performance` VALUES ('starwars4', '3', 'startMusic+starwars4', 'fanfar', '', '0', '36', '5.81', '866729052', '0', '8', '9', '3', 'healing_music_ability', '45', 'player_music/sound/song19_shorn_main.snd', 'player_music/sound/song19_shorn_flourish01.snd', 'player_music/sound/song19_shorn_flourish02.snd', 'player_music/sound/song19_shorn_flourish03.snd', 'player_music/sound/song19_shorn_flourish04.snd', 'player_music/sound/song19_shorn_flourish05.snd', 'player_music/sound/song19_shorn_flourish06.snd', 'player_music/sound/song19_shorn_flourish07.snd', 'player_music/sound/song19_shorn_flourish08.snd', 'player_music/sound/song19_shorn_intro.snd', 'player_music/sound/song19_shorn_outro.snd', '113');
INSERT INTO `performance` VALUES ('starwars4', '5', 'startMusic+starwars4', 'kloohorn', '', '0', '36', '5.81', '866729052', '0', '8', '9', '4', 'healing_music_ability', '45', 'player_music/sound/song19_khorn_main.snd', 'player_music/sound/song19_khorn_flourish01.snd', 'player_music/sound/song19_khorn_flourish02.snd', 'player_music/sound/song19_khorn_flourish03.snd', 'player_music/sound/song19_khorn_flourish04.snd', 'player_music/sound/song19_khorn_flourish05.snd', 'player_music/sound/song19_khorn_flourish06.snd', 'player_music/sound/song19_khorn_flourish07.snd', 'player_music/sound/song19_khorn_flourish08.snd', 'player_music/sound/song19_khorn_intro.snd', 'player_music/sound/song19_khorn_outro.snd', '114');
INSERT INTO `performance` VALUES ('starwars4', '10', 'startMusic+starwars4', 'mandoviol', '', '0', '40', '5.81', '866729052', '0', '10', '9', '4', 'healing_music_ability', '50', 'player_music/sound/song19_mand_main.snd', 'player_music/sound/song19_mand_flourish01.snd', 'player_music/sound/song19_mand_flourish02.snd', 'player_music/sound/song19_mand_flourish03.snd', 'player_music/sound/song19_mand_flourish04.snd', 'player_music/sound/song19_mand_flourish05.snd', 'player_music/sound/song19_mand_flourish06.snd', 'player_music/sound/song19_mand_flourish07.snd', 'player_music/sound/song19_mand_flourish08.snd', 'player_music/sound/song19_mand_intro.snd', 'player_music/sound/song19_mand_outro.snd', '115');
INSERT INTO `performance` VALUES ('starwars4', '1', 'startMusic+starwars4', 'traz', '', '0', '40', '5.81', '866729052', '0', '10', '11', '5', 'healing_music_ability', '50', 'player_music/sound/song19_shorn_main.snd', 'player_music/sound/song19_shorn_flourish01.snd', 'player_music/sound/song19_shorn_flourish02.snd', 'player_music/sound/song19_shorn_flourish03.snd', 'player_music/sound/song19_shorn_flourish04.snd', 'player_music/sound/song19_shorn_flourish05.snd', 'player_music/sound/song19_shorn_flourish06.snd', 'player_music/sound/song19_shorn_flourish07.snd', 'player_music/sound/song19_shorn_flourish08.snd', 'player_music/sound/song19_shorn_intro.snd', 'player_music/sound/song19_shorn_outro.snd', '116');
INSERT INTO `performance` VALUES ('starwars4', '7', 'startMusic+starwars4', 'bandfill', '', '0', '44', '5.81', '866729052', '0', '14', '11', '5', 'healing_music_ability', '50', 'player_music/sound/song19_drum_main.snd', 'player_music/sound/song19_drum_flourish01.snd', 'player_music/sound/song19_drum_flourish02.snd', 'player_music/sound/song19_drum_flourish03.snd', 'player_music/sound/song19_drum_flourish04.snd', 'player_music/sound/song19_drum_flourish05.snd', 'player_music/sound/song19_drum_flourish06.snd', 'player_music/sound/song19_drum_flourish07.snd', 'player_music/sound/song19_drum_flourish08.snd', 'player_music/sound/song19_drum_intro.snd', 'player_music/sound/song19_drum_outro.snd', '117');
INSERT INTO `performance` VALUES ('starwars4', '4', 'startMusic+starwars4', 'flutedroopy', '', '0', '44', '5.81', '866729052', '0', '16', '13', '6', 'healing_music_ability', '45', 'player_music/sound/song19_khorn_main.snd', 'player_music/sound/song19_khorn_flourish01.snd', 'player_music/sound/song19_khorn_flourish02.snd', 'player_music/sound/song19_khorn_flourish03.snd', 'player_music/sound/song19_khorn_flourish04.snd', 'player_music/sound/song19_khorn_flourish05.snd', 'player_music/sound/song19_khorn_flourish06.snd', 'player_music/sound/song19_khorn_flourish07.snd', 'player_music/sound/song19_khorn_flourish08.snd', 'player_music/sound/song19_khorn_intro.snd', 'player_music/sound/song19_khorn_outro.snd', '118');
INSERT INTO `performance` VALUES ('starwars4', '8', 'startMusic+starwars4', 'omnibox', '', '0', '48', '5.81', '866729052', '0', '17', '12', '6', 'healing_music_ability', '45', 'player_music/sound/song19_drum_main.snd', 'player_music/sound/song19_drum_flourish01.snd', 'player_music/sound/song19_drum_flourish02.snd', 'player_music/sound/song19_drum_flourish03.snd', 'player_music/sound/song19_drum_flourish04.snd', 'player_music/sound/song19_drum_flourish05.snd', 'player_music/sound/song19_drum_flourish06.snd', 'player_music/sound/song19_drum_flourish07.snd', 'player_music/sound/song19_drum_flourish08.snd', 'player_music/sound/song19_drum_intro.snd', 'player_music/sound/song19_drum_outro.snd', '119');
INSERT INTO `performance` VALUES ('starwars4', '9', 'startMusic+starwars4', 'nalargon', '', '0', '48', '5.81', '866729052', '0', '20', '14', '7', 'healing_music_ability', '55', 'player_music/sound/song19_nlrg_main.snd', 'player_music/sound/song19_nlrg_flourish01.snd', 'player_music/sound/song19_nlrg_flourish02.snd', 'player_music/sound/song19_nlrg_flourish03.snd', 'player_music/sound/song19_nlrg_flourish04.snd', 'player_music/sound/song19_nlrg_flourish05.snd', 'player_music/sound/song19_nlrg_flourish06.snd', 'player_music/sound/song19_nlrg_flourish07.snd', 'player_music/sound/song19_nlrg_flourish08.snd', 'player_music/sound/song19_nlrg_intro.snd', 'player_music/sound/song19_nlrg_outro.snd', '120');
INSERT INTO `performance` VALUES ('funk', '2', 'startMusic+funk', 'slitherhorn', '', '0', '40', '6.4', '866729052', '0', '13', '10', '5', 'healing_music_ability', '60', 'player_music/sound/song12_shorn_main.snd', 'player_music/sound/song12_shorn_flourish01.snd', 'player_music/sound/song12_shorn_flourish02.snd', 'player_music/sound/song12_shorn_flourish03.snd', 'player_music/sound/song12_shorn_flourish04.snd', 'player_music/sound/song12_shorn_flourish05.snd', 'player_music/sound/song12_shorn_flourish06.snd', 'player_music/sound/song12_shorn_flourish07.snd', 'player_music/sound/song12_shorn_flourish08.snd', 'player_music/sound/song12_shorn_intro.snd', 'player_music/sound/song12_shorn_outro.snd', '121');
INSERT INTO `performance` VALUES ('funk', '6', 'startMusic+funk', 'fizz', '	', '0', '40', '6.4', '866729052', '0', '13', '10', '5', 'healing_music_ability', '60', 'player_music/sound/song12_khorn_main.snd', 'player_music/sound/song12_khorn_flourish01.snd', 'player_music/sound/song12_khorn_flourish02.snd', 'player_music/sound/song12_khorn_flourish03.snd', 'player_music/sound/song12_khorn_flourish04.snd', 'player_music/sound/song12_khorn_flourish05.snd', 'player_music/sound/song12_khorn_flourish06.snd', 'player_music/sound/song12_khorn_flourish07.snd', 'player_music/sound/song12_khorn_flourish08.snd', 'player_music/sound/song12_khorn_intro.snd', 'player_music/sound/song12_khorn_outro.snd', '122');
INSERT INTO `performance` VALUES ('funk', '3', 'startMusic+funk', 'fanfar', '', '0', '40', '6.4', '866729052', '0', '13', '10', '5', 'healing_music_ability', '65', 'player_music/sound/song12_shorn_main.snd', 'player_music/sound/song12_shorn_flourish01.snd', 'player_music/sound/song12_shorn_flourish02.snd', 'player_music/sound/song12_shorn_flourish03.snd', 'player_music/sound/song12_shorn_flourish04.snd', 'player_music/sound/song12_shorn_flourish05.snd', 'player_music/sound/song12_shorn_flourish06.snd', 'player_music/sound/song12_shorn_flourish07.snd', 'player_music/sound/song12_shorn_flourish08.snd', 'player_music/sound/song12_shorn_intro.snd', 'player_music/sound/song12_shorn_outro.snd', '123');
INSERT INTO `performance` VALUES ('funk', '5', 'startMusic+funk', 'kloohorn', '', '0', '40', '6.4', '866729052', '0', '13', '10', '5', 'healing_music_ability', '65', 'player_music/sound/song12_khorn_main.snd', 'player_music/sound/song12_khorn_flourish01.snd', 'player_music/sound/song12_khorn_flourish02.snd', 'player_music/sound/song12_khorn_flourish03.snd', 'player_music/sound/song12_khorn_flourish04.snd', 'player_music/sound/song12_khorn_flourish05.snd', 'player_music/sound/song12_khorn_flourish06.snd', 'player_music/sound/song12_khorn_flourish07.snd', 'player_music/sound/song12_khorn_flourish08.snd', 'player_music/sound/song12_khorn_intro.snd', 'player_music/sound/song12_khorn_outro.snd', '124');
INSERT INTO `performance` VALUES ('funk', '10', 'startMusic+funk', 'mandoviol', '', '0', '40', '6.4', '866729052', '0', '13', '10', '5', 'healing_music_ability', '70', 'player_music/sound/song12_mand_main.snd', 'player_music/sound/song12_mand_flourish01.snd', 'player_music/sound/song12_mand_flourish02.snd', 'player_music/sound/song12_mand_flourish03.snd', 'player_music/sound/song12_mand_flourish04.snd', 'player_music/sound/song12_mand_flourish05.snd', 'player_music/sound/song12_mand_flourish06.snd', 'player_music/sound/song12_mand_flourish07.snd', 'player_music/sound/song12_mand_flourish08.snd', 'player_music/sound/song12_mand_intro.snd', 'player_music/sound/song12_mand_outro.snd', '125');
INSERT INTO `performance` VALUES ('funk', '1', 'startMusic+funk', 'traz', '', '0', '40', '6.4', '866729052', '0', '13', '10', '5', 'healing_music_ability', '70', 'player_music/sound/song12_shorn_main.snd', 'player_music/sound/song12_shorn_flourish01.snd', 'player_music/sound/song12_shorn_flourish02.snd', 'player_music/sound/song12_shorn_flourish03.snd', 'player_music/sound/song12_shorn_flourish04.snd', 'player_music/sound/song12_shorn_flourish05.snd', 'player_music/sound/song12_shorn_flourish06.snd', 'player_music/sound/song12_shorn_flourish07.snd', 'player_music/sound/song12_shorn_flourish08.snd', 'player_music/sound/song12_shorn_intro.snd', 'player_music/sound/song12_shorn_outro.snd', '126');
INSERT INTO `performance` VALUES ('funk', '7', 'startMusic+funk', 'bandfill', '', '0', '44', '6.4', '866729052', '0', '13', '10', '5', 'healing_music_ability', '70', 'player_music/sound/song12_drum_main.snd', 'player_music/sound/song12_drum_flourish01.snd', 'player_music/sound/song12_drum_flourish02.snd', 'player_music/sound/song12_drum_flourish03.snd', 'player_music/sound/song12_drum_flourish04.snd', 'player_music/sound/song12_drum_flourish05.snd', 'player_music/sound/song12_drum_flourish06.snd', 'player_music/sound/song12_drum_flourish07.snd', 'player_music/sound/song12_drum_flourish08.snd', 'player_music/sound/song12_drum_intro.snd', 'player_music/sound/song12_drum_outro.snd', '127');
INSERT INTO `performance` VALUES ('funk', '4', 'startMusic+funk', 'flutedroopy', '', '0', '44', '6.4', '866729052', '0', '13', '10', '6', 'healing_music_ability', '65', 'player_music/sound/song12_khorn_main.snd', 'player_music/sound/song12_khorn_flourish01.snd', 'player_music/sound/song12_khorn_flourish02.snd', 'player_music/sound/song12_khorn_flourish03.snd', 'player_music/sound/song12_khorn_flourish04.snd', 'player_music/sound/song12_khorn_flourish05.snd', 'player_music/sound/song12_khorn_flourish06.snd', 'player_music/sound/song12_khorn_flourish07.snd', 'player_music/sound/song12_khorn_flourish08.snd', 'player_music/sound/song12_khorn_intro.snd', 'player_music/sound/song12_khorn_outro.snd', '128');
INSERT INTO `performance` VALUES ('funk', '8', 'startMusic+funk', 'omnibox', '', '0', '48', '6.4', '866729052', '0', '17', '12', '6', 'healing_music_ability', '65', 'player_music/sound/song12_drum_main.snd', 'player_music/sound/song12_drum_flourish01.snd', 'player_music/sound/song12_drum_flourish02.snd', 'player_music/sound/song12_drum_flourish03.snd', 'player_music/sound/song12_drum_flourish04.snd', 'player_music/sound/song12_drum_flourish05.snd', 'player_music/sound/song12_drum_flourish06.snd', 'player_music/sound/song12_drum_flourish07.snd', 'player_music/sound/song12_drum_flourish08.snd', 'player_music/sound/song12_drum_intro.snd', 'player_music/sound/song12_drum_outro.snd', '129');
INSERT INTO `performance` VALUES ('funk', '9', 'startMusic+funk', 'nalargon', '', '0', '48', '6.4', '866729052', '0', '20', '14', '7', 'healing_music_ability', '75', 'player_music/sound/song12_nlrg_main.snd', 'player_music/sound/song12_nlrg_flourish01.snd', 'player_music/sound/song12_nlrg_flourish02.snd', 'player_music/sound/song12_nlrg_flourish03.snd', 'player_music/sound/song12_nlrg_flourish04.snd', 'player_music/sound/song12_nlrg_flourish05.snd', 'player_music/sound/song12_nlrg_flourish06.snd', 'player_music/sound/song12_nlrg_flourish07.snd', 'player_music/sound/song12_nlrg_flourish08.snd', 'player_music/sound/song12_nlrg_intro.snd', 'player_music/sound/song12_nlrg_outro.snd', '130');
INSERT INTO `performance` VALUES ('basic', '0', '', '', 'startDance+basic', '1', '28', '10', '-1788534963', '0', '4', '4', '2', 'healing_dance_ability', '5', '', '', '', '', '', '', '', '', '', '', '', '131');
INSERT INTO `performance` VALUES ('rhythmic', '0', '', '', 'startDance+rhythmic', '3', '28', '10', '-1788534963', '0', '4', '4', '2', 'healing_dance_ability', '5', '', '', '', '', '', '', '', '', '', '', '', '132');
INSERT INTO `performance` VALUES ('basic2', '0', '', '', 'startDance+basic2', '2', '32', '10', '-1788534963', '0', '6', '6', '3', 'healing_dance_ability', '10', '', '', '', '', '', '', '', '', '', '', '', '133');
INSERT INTO `performance` VALUES ('rhythmic2', '0', '', '', 'startDance+rhythmic2', '4', '32', '10', '-1788534963', '0', '8', '6', '3', 'healing_dance_ability', '15', '', '', '', '', '', '', '', '', '', '', '', '134');
INSERT INTO `performance` VALUES ('footloose', '0', '', '', 'startDance+footloose', '15', '36', '10', '-1788534963', '0', '12', '6', '3', 'healing_dance_ability', '20', '', '', '', '', '', '', '', '', '', '', '', '135');
INSERT INTO `performance` VALUES ('formal', '0', '', '', 'startDance+formal', '17', '36', '10', '-1788534963', '0', '14', '8', '4', 'healing_dance_ability', '30', '', '', '', '', '', '', '', '', '', '', '', '136');
INSERT INTO `performance` VALUES ('footloose2', '0', '', '', 'startDance+footloose2', '16', '40', '10', '-1788534963', '0', '18', '8', '4', 'healing_dance_ability', '40', '', '', '', '', '', '', '', '', '', '', '', '137');
INSERT INTO `performance` VALUES ('formal2', '0', '', '', 'startDance+formal2', '18', '40', '10', '-1788534963', '0', '18', '8', '4', 'healing_dance_ability', '40', '', '', '', '', '', '', '', '', '', '', '', '138');
INSERT INTO `performance` VALUES ('popular', '0', '', '', 'startDance+popular', '9', '40', '10', '-1788534963', '0', '18', '10', '5', 'healing_dance_ability', '50', '', '', '', '', '', '', '', '', '', '', '', '139');
INSERT INTO `performance` VALUES ('poplock', '0', '', '', 'startDance+poplock', '13', '40', '10', '-1788534963', '0', '18', '10', '5', 'healing_dance_ability', '50', '', '', '', '', '', '', '', '', '', '', '', '140');
INSERT INTO `performance` VALUES ('popular2', '0', '', '', 'startDance+popular2', '10', '40', '10', '-1788534963', '0', '22', '10', '5', 'healing_dance_ability', '60', '', '', '', '', '', '', '', '', '', '', '', '141');
INSERT INTO `performance` VALUES ('poplock2', '0', '', '', 'startDance+poplock2', '14', '44', '10', '-1788534963', '0', '26', '10', '5', 'healing_dance_ability', '70', '', '', '', '', '', '', '', '', '', '', '', '142');
INSERT INTO `performance` VALUES ('lyrical', '0', '', '', 'startDance+lyrical', '11', '44', '10', '-1788534963', '0', '30', '10', '6', 'healing_dance_ability', '80', '', '', '', '', '', '', '', '', '', '', '', '143');
INSERT INTO `performance` VALUES ('exotic', '0', '', '', 'startDance+exotic', '5', '48', '10', '-1788534963', '0', '34', '10', '6', 'healing_dance_ability', '90', '', '', '', '', '', '', '', '', '', '', '', '144');
INSERT INTO `performance` VALUES ('exotic2', '0', '', '', 'startDance+exotic2', '6', '48', '10', '-1788534963', '0', '34', '12', '6', 'healing_dance_ability', '90', '', '', '', '', '', '', '', '', '', '', '', '145');
INSERT INTO `performance` VALUES ('lyrical2', '0', '', '', 'startDance+lyrical2', '12', '48', '10', '-1788534963', '0', '40', '12', '7', 'healing_dance_ability', '100', '', '', '', '', '', '', '', '', '', '', '', '146');
INSERT INTO `performance` VALUES ('exotic3', '0', '', '', 'startDance+exotic3', '7', '48', '10', '-1788534963', '0', '40', '12', '7', 'healing_dance_ability', '100', '', '', '', '', '', '', '', '', '', '', '', '147');
INSERT INTO `performance` VALUES ('exotic4', '0', '', '', 'startDance+exotic4', '8', '48', '10', '-1788534963', '0', '40', '14', '7', 'healing_dance_ability', '100', '', '', '', '', '', '', '', '', '', '', '', '148');
INSERT INTO `performance` VALUES ('theatrical', '0', '', '', 'startDance+theatrical', '21', '36', '10.25', '-1788534963', '0', '12', '6', '3', 'healing_dance_ability', '50', '', '', '', '', '', '', '', '', '', '', '', '149');
INSERT INTO `performance` VALUES ('theatrical2', '0', '', '', 'startDance+theatrical2', '22', '40', '13.1', '-1788534963', '0', '18', '8', '4', 'healing_dance_ability', '70', '', '', '', '', '', '', '', '', '', '', '', '150');
INSERT INTO `performance` VALUES ('breakdance', '0', '', '', 'startDance+breakdance', '29', '40', '10', '-1788534963', '0', '22', '10', '5', 'healing_dance_ability', '60', '', '', '', '', '', '', '', '', '', '', '', '151');
INSERT INTO `performance` VALUES ('breakdance2', '0', '', '', 'startDance+breakdance2', '30', '44', '10', '-1788534963', '0', '26', '10', '5', 'healing_dance_ability', '70', '', '', '', '', '', '', '', '', '', '', '', '152');
INSERT INTO `performance` VALUES ('tumble', '0', '', '', 'startDance+tumble', '31', '44', '10', '-1788534963', '0', '30', '10', '6', 'healing_dance_ability', '80', '', '', '', '', '', '', '', '', '', '', '', '153');
INSERT INTO `performance` VALUES ('tumble2', '0', '', '', 'startDance+tumble2', '32', '48', '10', '-1788534963', '0', '34', '10', '6', 'healing_dance_ability', '90', '', '', '', '', '', '', '', '', '', '', '', '154');
INSERT INTO `performance_effect` VALUES ('Dazzle1', 'music,dance', '10', '1', 'self', '5', '30');
INSERT INTO `performance_effect` VALUES ('Dazzle2', 'music,dance', '30', '1', 'self', '5', '60');
INSERT INTO `performance_effect` VALUES ('Dazzle3', 'music,dance', '75', '1', 'self', '5', '90');
INSERT INTO `performance_effect` VALUES ('Distract1', 'dance', '20', '1', 'self', '2', '30');
INSERT INTO `performance_effect` VALUES ('Distract2', 'dance', '50', '1', 'self', '5', '60');
INSERT INTO `performance_effect` VALUES ('Distract3', 'dance', '75', '1', 'self', '5', '90');
INSERT INTO `performance_effect` VALUES ('SpotLight1', 'music,dance', '10', '1', 'self', '2', '30');
INSERT INTO `performance_effect` VALUES ('SpotLight2', 'music,dance', '20', '1', 'self', '2', '60');
INSERT INTO `performance_effect` VALUES ('SpotLight3', 'music,dance', '30', '1', 'self', '2', '90');
INSERT INTO `performance_effect` VALUES ('ColorLights1', 'music,dance', '10', '1', 'self', '2', '30');
INSERT INTO `performance_effect` VALUES ('ColorLights2', 'music,dance', '20', '1', 'self', '2', '60');
INSERT INTO `performance_effect` VALUES ('ColorLights3', 'music,dance', '50', '1', 'self', '2', '90');
INSERT INTO `performance_effect` VALUES ('SmokeBomb1', 'dance', '30', '1', 'stationary', '5', '30');
INSERT INTO `performance_effect` VALUES ('SmokeBomb2', 'dance', '50', '1', 'stationary', '5', '60');
INSERT INTO `performance_effect` VALUES ('SmokeBomb3', 'dance', '75', '1', 'stationary', '5', '90');
INSERT INTO `performance_effect` VALUES ('FireJets1', 'music', '20', '1', 'stationary', '5', '30');
INSERT INTO `performance_effect` VALUES ('FireJets2', 'music', '50', '1', 'stationary', '5', '60');
INSERT INTO `performance_effect` VALUES ('FireJets3', 'music', '75', '1', 'stationary', '5', '90');
INSERT INTO `performance_effect` VALUES ('Ventriloquism1', 'music', '30', '1', 'target', '10', '30');
INSERT INTO `performance_effect` VALUES ('Ventriloquism2', 'music', '50', '1', 'target', '10', '60');
INSERT INTO `performance_effect` VALUES ('Ventriloquism3', 'music', '75', '1', 'target', '10', '90');
INSERT INTO `planet` VALUES ('0', 'corellia');
INSERT INTO `planet` VALUES ('1', 'dantooine');
INSERT INTO `planet` VALUES ('2', 'dathomir');
INSERT INTO `planet` VALUES ('3', 'endor');
INSERT INTO `planet` VALUES ('4', 'lok');
INSERT INTO `planet` VALUES ('5', 'naboo');
INSERT INTO `planet` VALUES ('6', 'rori');
INSERT INTO `planet` VALUES ('7', 'talus');
INSERT INTO `planet` VALUES ('8', 'tatooine');
INSERT INTO `planet` VALUES ('9', 'yavin4');
INSERT INTO `planet` VALUES ('10', 'space_corellia');
INSERT INTO `planet` VALUES ('11', 'space_corellia_2');
INSERT INTO `planet` VALUES ('12', 'space_dantooine');
INSERT INTO `planet` VALUES ('13', 'space_dathomir');
INSERT INTO `planet` VALUES ('14', 'space_endor');
INSERT INTO `planet` VALUES ('15', 'space_env');
INSERT INTO `planet` VALUES ('16', 'space_halos');
INSERT INTO `planet` VALUES ('17', 'space_heavy1');
INSERT INTO `planet` VALUES ('18', 'space_light1');
INSERT INTO `planet` VALUES ('19', 'space_lok');
INSERT INTO `planet` VALUES ('20', 'space_naboo');
INSERT INTO `planet` VALUES ('21', 'space_naboo_2');
INSERT INTO `planet` VALUES ('22', 'space_tatooine');
INSERT INTO `planet` VALUES ('23', 'space_tatooine_2');
INSERT INTO `planet` VALUES ('24', 'space_yavin4');
INSERT INTO `planetmap` VALUES ('1', 'tatooine', 'Mission Terminal', '161', '-5332', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('2', 'tatooine', 'Mission Terminal', '161', '-5332', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('3', 'tatooine', 'Bank Terminal', '67', '-5351', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('4', 'tatooine', 'Bazaar Terminal', '60', '-5350', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('5', 'tatooine', 'Bazaar Terminal', '63', '-5350', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('6', 'tatooine', 'Anchorhead', '-156', '-5310', '3', '0', '0');
INSERT INTO `planetmap` VALUES ('7', 'tatooine', 'Anchorhead', '70', '-5358', '5', '0', '0');
INSERT INTO `planetmap` VALUES ('8', 'tatooine', 'Mission Terminal', '83', '-5324', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('9', 'tatooine', 'Mission Terminal', '141', '-5323', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('10', 'tatooine', 'Mission Terminal', '153', '-5333', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('11', 'tatooine', 'Mission Terminal', '122', '-5428', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('12', 'tatooine', 'Anchorhead', '48', '-5333', '14', '0', '0');
INSERT INTO `planetmap` VALUES ('13', 'tatooine', 'Anchorhead', '123', '-5365', '27', '0', '0');
INSERT INTO `planetmap` VALUES ('14', 'tatooine', 'Bank Terminal', '57', '-5350', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('15', 'tatooine', 'Bank Terminal', '-1267', '-3670', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('16', 'tatooine', 'Bank Terminal', '-1095', '-3522', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('17', 'tatooine', 'Bank Terminal', '-1122', '-3678', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('18', 'tatooine', 'Bank Terminal', '-1107', '-3690', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('19', 'tatooine', 'Bazarr Terminal', '-1267', '-3670', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('20', 'tatooine', 'Bazaar Terminal', '-1288', '-3578', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('21', 'tatooine', 'Bazaar Terminal', '-1292', '-3601', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('22', 'tatooine', 'Bazaar Terminal', '-1104', '-3536', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('23', 'tatooine', 'Bazaar Terminal', '-1124', '-3677', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('24', 'tatooine', 'Bazaar Terminal', '-1106', '-3693', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('25', 'tatooine', 'Bazaar Terminal', '-1395', '-3711', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('26', 'tatooine', 'Bestine', '-1131', '-3614', '4', '0', '0');
INSERT INTO `planetmap` VALUES ('27', 'tatooine', 'Bestine', '-1424', '-3783', '5', '0', '0');
INSERT INTO `planetmap` VALUES ('28', 'tatooine', 'Bestine', '-1188', '-3515', '7', '0', '0');
INSERT INTO `planetmap` VALUES ('29', 'tatooine', 'Bestine', '-1238', '-3527', '7', '0', '0');
INSERT INTO `planetmap` VALUES ('30', 'tatooine', 'Bestine', '-1237', '-3578', '7', '0', '0');
INSERT INTO `planetmap` VALUES ('31', 'tatooine', 'Bestine', '-1178', '-3648', '12', '0', '0');
INSERT INTO `planetmap` VALUES ('32', 'tatooine', 'Bestine', '-1299', '-3502', '13', '0', '0');
INSERT INTO `planetmap` VALUES ('33', 'tatooine', 'Mission Terminal', '-1294', '-3604', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('34', 'tatooine', 'Mission Terminal', '-996', '-3713', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('35', 'tatooine', 'Mission Terminal', '-1344', '-3705', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('36', 'tatooine', 'Bestine', '-1095', '-3661', '56', '0', '0');
INSERT INTO `planetmap` VALUES ('37', 'tatooine', 'Bestine', '-1090', '-3558', '14', '0', '0');
INSERT INTO `planetmap` VALUES ('38', 'tatooine', 'Bestine', '-1294', '-3590', '15', '0', '0');
INSERT INTO `planetmap` VALUES ('39', 'tatooine', 'Bestine', '-1359', '-3690', '3', '0', '0');
INSERT INTO `planetmap` VALUES ('40', 'tatooine', 'Bank Terminal', '3499', '-4944', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('41', 'tatooine', 'Bazaar Terminal', '3499', '-4944', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('42', 'tatooine', 'Mos Eisley', '3468', '-4855', '3', '0', '0');
INSERT INTO `planetmap` VALUES ('43', 'tatooine', 'Mos Eisley', '3423', '-5006', '5', '0', '0');
INSERT INTO `planetmap` VALUES ('44', 'tatooine', 'Mos Eisley', '3257', '-4635', '5', '0', '0');
INSERT INTO `planetmap` VALUES ('45', 'tatooine', 'Mos Eisley', '3385', '-4974', '6', '0', '0');
INSERT INTO `planetmap` VALUES ('46', 'tatooine', 'Mos Eisley', '3538', '-4626', '6', '0', '0');
INSERT INTO `planetmap` VALUES ('47', 'tatooine', 'Mos Eisley', '3428', '-4794', '7', '0', '0');
INSERT INTO `planetmap` VALUES ('48', 'tatooine', 'Mos Eisley', '3483', '-4686', '7', '0', '0');
INSERT INTO `planetmap` VALUES ('49', 'tatooine', 'Mos Eisley', '3357', '-4715', '7', '0', '0');
INSERT INTO `planetmap` VALUES ('50', 'tatooine', 'Mos Eisley', '3514', '-4773', '13', '0', '0');
INSERT INTO `planetmap` VALUES ('51', 'tatooine', 'Mission Terminal', '3513', '-4794', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('52', 'tatooine', 'Mission Terminal', '3502', '-4867', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('53', 'tatooine', 'Mission Terminal', '3483', '-4686', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('54', 'tatooine', 'Mission Terminal', '3421', '-4744', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('55', 'tatooine', 'Mission Terminal', '3357', '-4715', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('56', 'tatooine', 'Mos Eisley', '3433', '-4658', '14', '0', '0');
INSERT INTO `planetmap` VALUES ('57', 'tatooine', 'Mos Eisley', '3608', '-4753', '15', '0', '0');
INSERT INTO `planetmap` VALUES ('58', 'tatooine', 'Mos Eisley', '3305', '-4769', '10', '0', '0');
INSERT INTO `planetmap` VALUES ('59', 'tatooine', 'Bank Terminal', '1449', '3264', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('60', 'tatooine', 'Bank Terminal', '1420', '3264', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('61', 'tatooine', 'Bank Terminal', '1498', '3267', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('62', 'tatooine', 'Bank Terminal', '1445', '3323', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('63', 'tatooine', 'Bank Terminal', '1417', '3323', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('64', 'tatooine', 'Bazaar Terminal', '1436', '3264', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('65', 'tatooine', 'Bazaar Terminal', '1432', '3324', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('66', 'tatooine', 'Bazaar Terminal', '1589', '3023', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('67', 'tatooine', 'Bazarr Terminal', '1589', '3026', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('68', 'tatooine', 'Mission Terminal', '1509', '3397', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('69', 'tatooine', 'Mission Terminal', '1498', '3115', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('70', 'tatooine', 'Mission Terminal', '1761', '3135', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('71', 'tatooine', 'Mission Terminal', '1572', '3026', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('72', 'tatooine', 'Mission Terminal', '1561', '3018', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('73', 'tatooine', 'Mission Terminal', '1549', '3026', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('74', 'tatooine', 'Mos Entha', '1729', '3200', '14', '0', '0');
INSERT INTO `planetmap` VALUES ('75', 'tatooine', 'Mos Entha', '1713', '3073', '3', '0', '0');
INSERT INTO `planetmap` VALUES ('76', 'tatooine', 'Mos Entha', '1477', '3471', '6', '0', '0');
INSERT INTO `planetmap` VALUES ('77', 'tatooine', 'Mos Entha', '1777', '3066', '6', '0', '0');
INSERT INTO `planetmap` VALUES ('78', 'tatooine', 'Mos Entha', '1241', '3063', '15', '0', '0');
INSERT INTO `planetmap` VALUES ('79', 'tatooine', 'Bank Terminal', '-2991', '2331', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('80', 'tatooine', 'Bank Terminal', '-2994', '2341', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('81', 'tatooine', 'Bank Terminal', '-2998', '2335', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('82', 'tatooine', 'Bank Terminal', '-2998', '2338', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('83', 'tatooine', 'Bazaar Terminal', '-3013', '2331', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('84', 'tatooine', 'Bazaar Terminal', '-2997', '2356', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('85', 'tatooine', 'Bazaar Terminal', '-2973', '2341', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('86', 'tatooine', 'Bazaar Terminal', '-2988', '2316', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('87', 'tatooine', 'Mos Espa', '-3094', '2268', '5', '0', '0');
INSERT INTO `planetmap` VALUES ('88', 'tatooine', 'Mos Espa', '-2997', '2427', '7', '0', '0');
INSERT INTO `planetmap` VALUES ('89', 'tatooine', 'Mos Espa', '-2857', '1987', '7', '0', '0');
INSERT INTO `planetmap` VALUES ('90', 'tatooine', 'Mos Espa', '-3149', '2126', '13', '0', '0');
INSERT INTO `planetmap` VALUES ('91', 'tatooine', 'Mission Terminal', '-2718', '2226', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('92', 'tatooine', 'Mission Terminal', '-2709', '2065', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('93', 'tatooine', 'Mission Terminal', '-2881', '1993', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('94', 'tatooine', 'Mission Terminal', '-2877', '1973', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('95', 'tatooine', 'Mission Terminal', '-2943', '2535', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('96', 'tatooine', 'Mission Terminal', '-2997', '2433', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('97', 'tatooine', 'Mission Terminal', '-2995', '2421', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('98', 'tatooine', 'Mission Terminal', '-2981', '2430', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('99', 'tatooine', 'Mission Terminal', '-2976', '2429', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('100', 'tatooine', 'Mission Terminal', '-2977', '2435', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('101', 'tatooine', 'Mission Terminal', '-3009', '2376', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('102', 'tatooine', 'Mos Espa', '-3063', '2076', '7', '0', '0');
INSERT INTO `planetmap` VALUES ('103', 'tatooine', 'Mos Espa', '-2797', '2164', '14', '0', '0');
INSERT INTO `planetmap` VALUES ('104', 'tatooine', 'Mos Espa', '-3030', '2216', '3', '0', '0');
INSERT INTO `planetmap` VALUES ('105', 'tatooine', 'Mos Espa', '-2830', '2085', '15', '0', '0');
INSERT INTO `planetmap` VALUES ('106', 'tatooine', 'Mos Espa', '-3131', '2172', '14', '0', '0');
INSERT INTO `planetmap` VALUES ('107', 'tatooine', 'Bank Terminal', '3774', '2344', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('108', 'tatooine', 'Bazaar Terminal', '3791', '2340', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('109', 'tatooine', 'Bazaar Terminal', '3791', '2337', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('110', 'tatooine', 'Mos Taike', '3888', '2351', '4', '0', '0');
INSERT INTO `planetmap` VALUES ('111', 'tatooine', 'Mos Taike', '3769', '2308', '6', '0', '0');
INSERT INTO `planetmap` VALUES ('112', 'tatooine', 'Mission Terminal', '3782', '2378', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('113', 'tatooine', 'Mission Terminal', '3770', '2378', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('114', 'tatooine', 'Mission Terminal', '3778', '2378', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('115', 'tatooine', 'Mos Taike', '3789', '2382', '27', '0', '0');
INSERT INTO `planetmap` VALUES ('116', 'tatooine', 'Mission Terminal', '-5203', '-6474', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('117', 'tatooine', 'Bank Terminal', '-5113', '-6544', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('118', 'tatooine', 'Bazaar Terminal', '-5176', '-6486', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('119', 'tatooine', 'Mission Terminal', '-5205', '-6459', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('120', 'tatooine', 'Wayfar', '-5122', '-6572', '3', '0', '0');
INSERT INTO `planetmap` VALUES ('121', 'tatooine', 'Wayfar', '-5072', '-6620', '5', '0', '0');
INSERT INTO `planetmap` VALUES ('122', 'tatooine', 'Mission Terminal', '-5203', '-6477', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('123', 'tatooine', 'Mission Terminal', '-5203', '-6569', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('124', 'tatooine', 'Wayfar', '-5006', '-6615', '13', '0', '0');
INSERT INTO `planetmap` VALUES ('125', 'tatooine', 'Mission Terminal', '-5128', '-6588', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('126', 'dathomir', 'Science Outpost', '-100', '-1600', '17', '0', '0');
INSERT INTO `planetmap` VALUES ('127', 'dathomir', 'Trade Outpost', '600', '3100', '17', '0', '0');
INSERT INTO `planetmap` VALUES ('128', 'dathomir', 'Bank Terminal', '580', '3105', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('129', 'dathomir', 'Bank Terminal', '569', '3091', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('130', 'dathomir', 'Bazaar Terminal', '573', '3091', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('131', 'dathomir', 'Trade Outpost', '620', '3054', '5', '0', '0');
INSERT INTO `planetmap` VALUES ('132', 'dathomir', 'Trade Outpost', '582', '3046', '12', '0', '0');
INSERT INTO `planetmap` VALUES ('133', 'dathomir', 'Mission Terminal', '576', '3065', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('134', 'dathomir', 'Trade Outpost', '613', '3094', '15', '0', '0');
INSERT INTO `planetmap` VALUES ('135', 'dathomir', 'Trade Outpost', '610', '3043', '27', '0', '0');
INSERT INTO `planetmap` VALUES ('136', 'dathomir', 'Trade Outpost', '603', '3036', '19', '64', '0');
INSERT INTO `planetmap` VALUES ('137', 'dathomir', 'Science Outpost', '-61', '-1617', '13', '0', '0');
INSERT INTO `planetmap` VALUES ('138', 'dathomir', 'Banking Terminal', '-72', '-1596', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('139', 'dathomir', 'Banking Terminal', '-79', '-1590', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('140', 'dathomir', 'Bazaar Terminal', '-70', '-1598', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('141', 'dathomir', 'Bazaar Terminal', '-81', '-1589', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('142', 'dathomir', 'Science Outpost', '-68', '-1627', '5', '0', '0');
INSERT INTO `planetmap` VALUES ('143', 'dathomir', 'Mission Terminal', '-74', '-1586', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('144', 'dathomir', 'Mission Terminal', '-69', '-1591', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('145', 'dathomir', 'Science Outpost', '-53', '-1582', '15', '0', '0');
INSERT INTO `planetmap` VALUES ('146', 'dathomir', 'Science Outpost', '-112', '-1585', '3', '0', '0');
INSERT INTO `planetmap` VALUES ('147', 'dathomir', 'Imperial Prison', '-6300', '750', '17', '0', '0');
INSERT INTO `planetmap` VALUES ('148', 'dathomir', 'Bazaar Terminal', '-6326', '875', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('149', 'dathomir', 'Bazaar Terminal', '-6313', '875', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('150', 'dathomir', 'Mission Terminal', '-6335', '922', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('151', 'dathomir', 'Mission Terminal', '-6335', '932', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('152', 'dathomir', 'Science Outpost', '-81', '-1632', '12', '0', '0');
INSERT INTO `planetmap` VALUES ('153', 'lok', 'Imperial Base', '-1844', '-3039', '5', '0', '0');
INSERT INTO `planetmap` VALUES ('154', 'lok', 'Nyms Stronghold', '476', '5511', '15', '0', '0');
INSERT INTO `planetmap` VALUES ('155', 'lok', 'Mission Terminal', '478', '5489', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('156', 'lok', 'Mission Terminal', '439', '5489', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('157', 'lok', 'Mission Terminal', '628', '5039', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('158', 'lok', 'Mission Terminal', '481', '5014', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('159', 'lok', 'Mission Terminal', '477', '5014', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('160', 'lok', 'Mission Terminal', '287', '5087', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('161', 'lok', 'Mission Terminal', '428', '5199', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('162', 'lok', 'Mission Terminal', '410', '5199', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('163', 'lok', 'Mission Terminal', '480', '5015', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('164', 'lok', 'Mission Terminal', '478', '5015', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('165', 'lok', 'Nyms Stronghold', '612', '5139', '13', '0', '0');
INSERT INTO `planetmap` VALUES ('166', 'lok', 'Nyms Stronghold', '419', '5140', '12', '0', '0');
INSERT INTO `planetmap` VALUES ('167', 'lok', 'Nyms Stronghold', '211', '5135', '5', '0', '0');
INSERT INTO `planetmap` VALUES ('168', 'lok', 'Mission Terminal', '461', '5505', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('169', 'lok', 'Mission Terminal', '459', '5505', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('170', 'lok', 'Mission Terminal', '421', '5050', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('171', 'lok', 'Mission Terminal', '421', '5050', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('172', 'lok', 'Nyms Stronghold', '544', '5090', '3', '0', '0');
INSERT INTO `planetmap` VALUES ('173', 'lok', 'Nyms Stronghold', '407', '5090', '19', '65', '0');
INSERT INTO `planetmap` VALUES ('174', 'lok', 'Nyms Stronghold', '588', '5145', '19', '25', '0');
INSERT INTO `planetmap` VALUES ('175', 'lok', 'Mission Terminal', '-1909', '-3176', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('176', 'lok', 'Mission Terminal', '-2012', '-3052', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('177', 'lok', 'Mission Terminal', '-1927', '-2980', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('178', 'lok', 'Mission Terminal', '-1846', '-3098', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('179', 'lok', 'Mission Terminal', '-1846', '-3101', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('180', 'lok', 'Nyms Stronghold', '474', '5511', '17', '0', '0');
INSERT INTO `planetmap` VALUES ('181', 'talus', 'Dearic', '500', '-3043', '19', '21', '0');
INSERT INTO `planetmap` VALUES ('182', 'talus', 'Dearic', '459', '-3070', '19', '21', '0');
INSERT INTO `planetmap` VALUES ('183', 'talus', 'Dearic', '549', '-2934', '19', '20', '0');
INSERT INTO `planetmap` VALUES ('184', 'talus', 'Dearic', '551', '-2886', '19', '20', '0');
INSERT INTO `planetmap` VALUES ('185', 'talus', 'Dearic', '566', '-3074', '19', '24', '0');
INSERT INTO `planetmap` VALUES ('186', 'talus', 'Dearic', '540', '-2885', '19', '23', '0');
INSERT INTO `planetmap` VALUES ('187', 'talus', 'Dearic', '586', '-2873', '19', '23', '0');
INSERT INTO `planetmap` VALUES ('188', 'talus', 'Dearic', '317', '-3054', '19', '25', '0');
INSERT INTO `planetmap` VALUES ('189', 'talus', 'Dearic', '700', '-2911', '19', '22', '0');
INSERT INTO `planetmap` VALUES ('190', 'talus', 'Dearic', '552', '-2904', '19', '22', '0');
INSERT INTO `planetmap` VALUES ('191', 'talus', 'Dearic', '515', '-2966', '2', '0', '0');
INSERT INTO `planetmap` VALUES ('192', 'talus', 'Dearic', '490', '-2936', '3', '0', '0');
INSERT INTO `planetmap` VALUES ('193', 'talus', 'Dearic', '254', '-3070', '5', '0', '0');
INSERT INTO `planetmap` VALUES ('194', 'talus', 'Dearic', '540', '-2919', '7', '0', '0');
INSERT INTO `planetmap` VALUES ('195', 'talus', 'Dearic', '540', '-3165', '7', '0', '0');
INSERT INTO `planetmap` VALUES ('196', 'talus', 'Dearic', '597', '-3047', '7', '0', '0');
INSERT INTO `planetmap` VALUES ('197', 'talus', 'Dearic', '482', '-3046', '7', '0', '0');
INSERT INTO `planetmap` VALUES ('198', 'talus', 'Dearic', '692', '-3000', '12', '0', '0');
INSERT INTO `planetmap` VALUES ('199', 'talus', 'Dearic', '342', '-3055', '13', '0', '0');
INSERT INTO `planetmap` VALUES ('200', 'talus', 'Dearic', '700', '-3046', '14', '0', '0');
INSERT INTO `planetmap` VALUES ('201', 'talus', 'Dearic', '330', '-2930', '15', '0', '0');
INSERT INTO `planetmap` VALUES ('202', 'talus', 'Bazaar Terminal', '169', '-2949', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('203', 'talus', 'Banking Terminal', '540', '-2990', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('204', 'talus', 'Dearic', '685', '-3134', '4', '0', '0');
INSERT INTO `planetmap` VALUES ('205', 'talus', 'Mission Terminal', '242', '-3070', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('206', 'talus', 'Dearic', '554', '-2902', '29', '40', '0');
INSERT INTO `planetmap` VALUES ('207', 'talus', 'Dearic', '167', '-3085', '6', '0', '0');
INSERT INTO `planetmap` VALUES ('208', 'talus', 'Mission Terminal', '605', '-2982', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('209', 'talus', 'Dearic', '516', '-3076', '19', '65', '0');
INSERT INTO `planetmap` VALUES ('210', 'talus', 'Bazaar Terminal', '540', '-2990', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('211', 'talus', 'Dearic', '598', '-2940', '29', '40', '0');
INSERT INTO `planetmap` VALUES ('212', 'talus', 'Dearic', '182', '-3064', '29', '40', '0');
INSERT INTO `planetmap` VALUES ('213', 'talus', 'Dearic', '146', '-2852', '29', '40', '0');
INSERT INTO `planetmap` VALUES ('214', 'talus', 'Mission Terminal', '141', '-2908', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('215', 'talus', 'Mission Terminal', '330', '-2939', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('216', 'talus', 'Mission Terminal', '533', '-3022', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('217', 'talus', 'Mission Terminal', '485', '-3025', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('218', 'talus', 'Dearic', '359', '-2911', '17', '0', '0');
INSERT INTO `planetmap` VALUES ('219', 'talus', 'Dearic', '244', '-2931', '58', '60', '0');
INSERT INTO `planetmap` VALUES ('220', 'talus', 'Nashal', '4410', '5309', '19', '21', '0');
INSERT INTO `planetmap` VALUES ('221', 'talus', 'Nashal', '4518', '5230', '19', '21', '0');
INSERT INTO `planetmap` VALUES ('222', 'talus', 'Nashal', '4286', '5395', '19', '20', '0');
INSERT INTO `planetmap` VALUES ('223', 'talus', 'Nashal', '4409', '5287', '19', '20', '0');
INSERT INTO `planetmap` VALUES ('224', 'talus', 'Nashal', '4309', '5327', '19', '24', '0');
INSERT INTO `planetmap` VALUES ('225', 'talus', 'Nashal', '4366', '5320', '19', '24', '0');
INSERT INTO `planetmap` VALUES ('226', 'talus', 'Nashal', '4366', '5294', '19', '23', '0');
INSERT INTO `planetmap` VALUES ('227', 'talus', 'Nashal', '4285', '5384', '19', '23', '0');
INSERT INTO `planetmap` VALUES ('228', 'talus', 'Nashal', '4389', '5281', '19', '25', '0');
INSERT INTO `planetmap` VALUES ('229', 'talus', 'Nashal', '4304', '5396', '19', '22', '0');
INSERT INTO `planetmap` VALUES ('230', 'talus', 'Nashal', '4377', '5302', '19', '22', '0');
INSERT INTO `planetmap` VALUES ('231', 'talus', 'Nashal', '4370', '5165', '17', '0', '0');
INSERT INTO `planetmap` VALUES ('232', 'talus', 'Imperial Military Outpost', '-2222', '2303', '15', '0', '0');
INSERT INTO `planetmap` VALUES ('233', 'talus', 'Imperial Military Outpost', '-2191', '2352', '5', '0', '0');
INSERT INTO `planetmap` VALUES ('234', 'talus', 'Imperial Military Outpost', '-2175', '2352', '13', '0', '0');
INSERT INTO `planetmap` VALUES ('235', 'talus', 'Bazaar Terminal', '-2170', '2344', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('236', 'talus', 'Bazaar Terminal', '-2171', '2353', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('237', 'talus', 'Bank Terminal', '-2180', '2344', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('238', 'talus', 'Bank Terminal', '-2179', '2353', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('239', 'talus', 'Mission Terminal', '-2223', '2281', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('240', 'talus', 'Mission Terminal', '-2223', '2321', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('241', 'talus', 'Imperial Military Outpost', '-2183', '2260', '19', '66', '0');
INSERT INTO `planetmap` VALUES ('242', 'talus', 'Bazaar Terminal', '170', '-2943', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('243', 'talus', 'Bazaar Terminal', '170', '-2913', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('244', 'talus', 'Bazaar Terminal', '170', '-2918', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('245', 'talus', 'Mission Terminal', '184', '-3050', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('246', 'talus', 'Mission Terminal', '141', '-2948', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('247', 'talus', 'Dearic', '659', '-2869', '6', '0', '0');
INSERT INTO `planetmap` VALUES ('248', 'yavin4', 'Labor Outpost', '-6896', '-5663', '3', '0', '0');
INSERT INTO `planetmap` VALUES ('249', 'yavin4', 'Labor Outpost', '-6973', '-5757', '5', '0', '0');
INSERT INTO `planetmap` VALUES ('250', 'yavin4', 'Labor Outpost', '-6924', '-5757', '12', '0', '0');
INSERT INTO `planetmap` VALUES ('251', 'yavin4', 'Labor Outpost', '-6966', '-5666', '13', '0', '0');
INSERT INTO `planetmap` VALUES ('252', 'yavin4', 'Labor Outpost', '-6927', '-5709', '15', '0', '0');
INSERT INTO `planetmap` VALUES ('253', 'yavin4', 'Bank Terminal', '-6882', '-5691', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('254', 'yavin4', 'Bank Terminal', '-6886', '-5691', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('255', 'yavin4', 'Bazaar Terminal', '-6916', '-5741', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('256', 'yavin4', 'Bazaar Terminal', '-6918', '-5736', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('257', 'yavin4', 'Mission Terminal', '-6883', '-5684', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('258', 'yavin4', 'Mission Terminal', '-6880', '-5688', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('259', 'yavin4', 'Labor Outpost', '-6927', '-5709', '17', '0', '0');
INSERT INTO `planetmap` VALUES ('260', 'yavin4', 'Mining Outpost', '-273', '4896', '17', '0', '0');
INSERT INTO `planetmap` VALUES ('261', 'yavin4', 'Mining Outpost', '-355', '4861', '3', '0', '0');
INSERT INTO `planetmap` VALUES ('262', 'yavin4', 'Mining Outpost', '-353', '4847', '5', '0', '0');
INSERT INTO `planetmap` VALUES ('263', 'yavin4', 'Mining Outpost', '-336', '4847', '12', '0', '0');
INSERT INTO `planetmap` VALUES ('264', 'yavin4', 'Mining Outpost', '-276', '4843', '13', '0', '0');
INSERT INTO `planetmap` VALUES ('265', 'yavin4', 'Mining Outpost', '-284', '4890', '15', '0', '0');
INSERT INTO `planetmap` VALUES ('266', 'yavin4', 'Bank Terminal', '-313', '4853', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('267', 'yavin4', 'Bazaar Terminal', '-313', '4853', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('268', 'yavin4', 'Mission Terminal', '-293', '4820', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('269', 'endor', 'Research Outpost', '3209', '-3499', '17', '0', '0');
INSERT INTO `planetmap` VALUES ('270', 'endor', 'Smugglers Outpost', '-955', '1557', '17', '0', '0');
INSERT INTO `planetmap` VALUES ('271', 'endor', 'Research Outpost', '3215', '-3450', '3', '0', '0');
INSERT INTO `planetmap` VALUES ('272', 'endor', 'Research Outpost', '3199', '-3449', '5', '0', '0');
INSERT INTO `planetmap` VALUES ('273', 'endor ', 'Research Outpost', '3255', '-3495', '12', '0', '0');
INSERT INTO `planetmap` VALUES ('274', 'endor', 'Research Outpost', '3245', '-3450', '13', '0', '0');
INSERT INTO `planetmap` VALUES ('275', 'endor', 'Research Outpost', '3218', '-3493', '15', '0', '0');
INSERT INTO `planetmap` VALUES ('276', 'endor', 'Bank Terminal', '3239', '-3500', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('277', 'endor', 'Bank Terminal', '3235', '-3500', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('278', 'endor', 'Bazaar Terminal', '3243', '-3499', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('279', 'endor', 'Bazaar Terminal', '3231', '-3500', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('280', 'endor', 'Mission Terminal', '3191', '-3495', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('281', 'endor', 'Mission Terminal', '3184', '-3495', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('282', 'endor', 'Mission Terminal', '3252', '-3495', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('283', 'endor', 'Mission Terminal', '3259', '-3495', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('284', 'endor', 'Smuggler Outpost', '-871', '1565', '3', '0', '0');
INSERT INTO `planetmap` VALUES ('285', 'endor', 'Smuggler Outpost', '-905', '1613', '5', '0', '0');
INSERT INTO `planetmap` VALUES ('286', 'endor ', 'Smuggler Outpost', '-854', '1601', '13', '0', '0');
INSERT INTO `planetmap` VALUES ('287', 'endor', 'Smuggler Outpost', '-966', '1559', '15', '0', '0');
INSERT INTO `planetmap` VALUES ('288', 'endor', 'Bank Terminal', '-863', '1554', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('289', 'endor', 'Bank Terminal', '-863', '1556', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('290', 'endor', 'Bazaar Terminal', '-868', '1554', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('291', 'endor', 'Bazaar Terminal', '-867', '1557', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('292', 'endor', 'Mission Terminal', '-865', '1566', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('293', 'endor', 'Mission Terminal', '-862', '1566', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('294', 'endor', 'Mission Terminal', '-851', '1599', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('295', 'endor', 'Mission Terminal', '-857', '1603', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('296', 'endor', 'Mission Terminal', '-907', '1611', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('297', 'endor', 'Mission Terminal', '-904', '1617', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('298', 'naboo', 'Keren', '1787', '2614', '2', '0', '0');
INSERT INTO `planetmap` VALUES ('299', 'naboo', 'Keren', '1786', '2707', '12', '0', '0');
INSERT INTO `planetmap` VALUES ('300', 'naboo', 'Lake Retreat', '-5506', '-34', '12', '0', '0');
INSERT INTO `planetmap` VALUES ('301', 'naboo', 'Moenia', '4690', '-4893', '12', '0', '0');
INSERT INTO `planetmap` VALUES ('302', 'naboo', 'Theed', '-5708', '4265', '12', '0', '0');
INSERT INTO `planetmap` VALUES ('303', 'naboo', 'Theed', '-5085', '4075', '12', '0', '0');
INSERT INTO `planetmap` VALUES ('304', 'naboo', 'Kaadara', '5130', '6633', '13', '0', '0');
INSERT INTO `planetmap` VALUES ('305', 'naboo', 'Keren', '1977', '2636', '13', '0', '0');
INSERT INTO `planetmap` VALUES ('306', 'naboo', 'Moenia', '4901', '-4903', '13', '0', '0');
INSERT INTO `planetmap` VALUES ('307', 'naboo', 'Theed', '-5014', '4192', '13', '0', '0');
INSERT INTO `planetmap` VALUES ('308', 'naboo', 'Kaadara', '5109', '6573', '6', '0', '0');
INSERT INTO `planetmap` VALUES ('309', 'naboo', 'Keren', '1977', '2392', '6', '0', '0');
INSERT INTO `planetmap` VALUES ('310', 'naboo', 'Keren', '1647', '2426', '6', '0', '0');
INSERT INTO `planetmap` VALUES ('311', 'naboo', 'Moenia', '4646', '-4771', '6', '0', '0');
INSERT INTO `planetmap` VALUES ('312', 'naboo', 'Theed', '-5656', '4111', '6', '0', '0');
INSERT INTO `planetmap` VALUES ('313', 'naboo', 'Moenia', '4785', '-4726', '57', '0', '0');
INSERT INTO `planetmap` VALUES ('314', 'naboo', 'Theed', '-5120', '4260', '57', '0', '0');
INSERT INTO `planetmap` VALUES ('315', 'naboo', 'Dee\'ja Peak', '5351', '-1576', '14', '0', '0');
INSERT INTO `planetmap` VALUES ('316', 'naboo', 'Kaadara', '5317', '6601', '14', '0', '0');
INSERT INTO `planetmap` VALUES ('317', 'naboo', 'Keren', '2041', '2525', '14', '0', '0');
INSERT INTO `planetmap` VALUES ('318', 'naboo', 'Keren', '1567', '2857', '14', '0', '0');
INSERT INTO `planetmap` VALUES ('319', 'naboo', 'Lake Retreat', '-5474', '-21', '14', '0', '0');
INSERT INTO `planetmap` VALUES ('320', 'naboo', 'Moenia', '4981', '-4892', '14', '0', '0');
INSERT INTO `planetmap` VALUES ('321', 'naboo', 'Theed', '-5876', '4172', '14', '0', '0');
INSERT INTO `planetmap` VALUES ('322', 'naboo', 'Theed', '-5411', '4302', '14', '0', '0');
INSERT INTO `planetmap` VALUES ('323', 'naboo', 'Theed', '-4989', '4090', '14', '0', '0');
INSERT INTO `planetmap` VALUES ('324', 'naboo', 'Commander Landau (\'Imperial Pilot Coordinator)', '-5516', '4404', '58', '59', '0');
INSERT INTO `planetmap` VALUES ('325', 'naboo', 'Theed', '-4852', '4171', '15', '0', '0');
INSERT INTO `planetmap` VALUES ('326', 'naboo', 'Moenia', '4708', '-4693', '15', '0', '0');
INSERT INTO `planetmap` VALUES ('327', 'naboo', 'Keren', '1363', '2721', '15', '0', '0');
INSERT INTO `planetmap` VALUES ('328', 'naboo', 'Kaadara', '5293', '6712', '15', '0', '0');
INSERT INTO `planetmap` VALUES ('329', 'naboo', 'Starship Chassis Broker', '-4795', '4238', '58', '60', '0');
INSERT INTO `planetmap` VALUES ('330', 'naboo', 'Starship Chassis Broker', '1352', '2768', '58', '60', '0');
INSERT INTO `planetmap` VALUES ('331', 'naboo', 'Starship Chassis Broker', '5295', '6664', '58', '60', '0');
INSERT INTO `planetmap` VALUES ('332', 'naboo', 'Starship Chassis Broker', '4727', '-4649', '58', '60', '0');
INSERT INTO `planetmap` VALUES ('333', 'naboo', 'Mission Terminal', '4868', '-4592', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('334', 'naboo', 'Mission Terminal', '4870', '-4592', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('335', 'naboo', 'Mission Terminal', '4790', '-4967', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('336', 'naboo', 'Mission Terminal', '1445', '2783', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('337', 'naboo', 'Mission Terminal', '4925', '6725', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('338', 'naboo', 'Mission Terminal', '2090', '2574', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('339', 'naboo', 'Mission Terminal', '-5726', '4251', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('340', 'naboo', 'Mission Terminal', '-5524', '4197', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('341', 'naboo', 'Mission Terminal', '-5467', '4197', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('342', 'naboo', 'Mission Terminal', '1612', '2496', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('343', 'naboo', 'Mission Terminal', '5194', '6675', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('344', 'naboo', 'Mission Terminal', '5194', '6669', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('345', 'naboo', 'Mission Terminal', '4793', '-4702', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('346', 'naboo', 'Mission Terminal', '4801', '-4691', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('347', 'naboo', 'Mission Terminal', '4695', '-4877', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('348', 'naboo', 'Mission Terminal', '4695', '-4910', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('349', 'naboo', 'Mission Terminal', '5002', '6665', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('350', 'naboo', 'Mission Terminal', '5013', '6672', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('351', 'naboo', 'Mission Terminal', '5108', '6752', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('352', 'naboo', 'Mission Terminal', '4819', '-4967', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('353', 'naboo', 'Mission Terminal', '4678', '-4875', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('354', 'naboo', 'Mission Terminal', '-5782', '4401', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('355', 'naboo', 'Mission Terminal', '-5772', '4414', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('356', 'naboo', 'Mission Terminal', '-5466', '4029', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('357', 'naboo', 'Mission Terminal', '5191', '6676', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('358', 'naboo', 'Mission Terminal', '5191', '6674', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('359', 'naboo', 'Mission Terminal', '5192', '6668', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('360', 'naboo', 'Mission Terminal', '5157', '6727', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('361', 'naboo', 'Mission Terminal', '5142', '6711', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('362', 'naboo', 'Mission Terminal', '-4829', '4193', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('363', 'naboo', 'Mission Terminal', '-4834', '4198', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('364', 'naboo', 'Mission Terminal', '-5382', '4154', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('365', 'naboo', 'Mission Terminal', '-5357', '4154', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('366', 'naboo', 'Mission Terminal', '-5690', '4251', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('367', 'naboo', 'Mission Terminal', '5212', '6718', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('368', 'naboo', 'Mission Terminal', '4927', '6725', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('369', 'naboo', 'Mission Terminal', '1426', '2797', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('370', 'naboo', 'Mission Terminal', '1426', '2795', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('371', 'naboo', 'Mission Terminal', '-5471', '4412', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('372', 'naboo', 'Mission Terminal', '-4920', '4227', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('373', 'naboo', 'Mission Terminal', '-4918', '4226', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('374', 'naboo', 'Mission Terminal', '-4916', '4224', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('375', 'naboo', 'Mission Terminal', '5145', '6672', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('376', 'naboo', 'Mission Terminal', '4679', '-4911', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('377', 'naboo', 'Mission Terminal', '1445', '2757', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('378', 'naboo', 'Mission Terminal', '-4869', '4187', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('379', 'naboo', 'Mission Terminal', '-4834', '4157', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('380', 'naboo', 'Mission Terminal', '2085', '2571', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('381', 'naboo', 'Mission Terminal', '5192', '6670', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('382', 'naboo', 'Mission Terminal', '2111', '2570', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('383', 'naboo', 'Mission Terminal', '2110', '2571', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('384', 'naboo', 'Mission Terminal', '1612', '2496', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('385', 'naboo', 'Bazaar Terminal', '-5116', '4176', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('386', 'naboo', 'Bazaar Terminal', '-5114', '4154', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('387', 'naboo', 'Bazaar Terminal', '-5145', '4143', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('388', 'naboo', 'Bazaar Terminal', '-5147', '4174', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('389', 'naboo', 'Bazaar Terminal', '-5683', '4171', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('390', 'naboo', 'Bazaar Terminal', '-5705', '4149', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('391', 'naboo', 'Bazaar Terminal', '-5727', '4171', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('392', 'naboo', 'Bazaar Terminal', '-5705', '4193', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('393', 'naboo', 'Bazaar Terminal', '-5010', '4256', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('394', 'naboo', 'Bazaar Terminal', '-5018', '4246', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('395', 'naboo', 'Bazaar Terminal', '-5488', '-5', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('396', 'naboo', 'Bazaar Terminal', '5060', '6723', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('397', 'naboo', 'Bazaar Terminal', '5063', '6727', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('398', 'naboo', 'Bazaar Terminal', '5094', '6696', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('399', 'naboo', 'Bazaar Terminal', '5091', '6692', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('400', 'naboo', 'Bazaar Terminal', '4787', '-4852', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('401', 'naboo', 'Bazaar Terrminal', '4187', '-4849', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('402', 'naboo', 'Bazaar Terminal', '4821', '-4880', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('403', 'naboo', 'Bazaar Terminal', '4790', '-4883', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('404', 'naboo', 'Bazaar Terminal', '5339', '-1560', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('405', 'naboo', 'Bazaar Terminal', '4936', '-1501', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('406', 'naboo', 'Bazaar Terminal', '4937', '-1444', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('407', 'naboo', 'Bazaar Terminal', '4730', '-1342', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('408', 'naboo', 'Bazaar Terminal', '4658', '-4617', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('409', 'naboo', 'Bazaar Terminal', '4655', '-4622', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('410', 'naboo', 'Bazaar Terminal', '4675', '-4593', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('411', 'naboo', 'Bazaar Terminal', '4673', '-4597', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('412', 'naboo', 'Bazaar Terminal', '1786', '2635', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('413', 'naboo', 'Bazaar Terminal', '1808', '2614', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('414', 'naboo', 'Bazaar Terminal', '1765', '2614', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('415', 'naboo', 'Bazaar Terminal', '1787', '2592', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('416', 'naboo', 'Mission Terminal', '4802', '-4689', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('417', 'naboo', 'Mission Terminal', '4907', '-4824', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('418', 'naboo', 'Mission Terminal', '4884', '-4804', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('419', 'naboo', 'Mission Terminal', '4730', '-1317', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('420', 'naboo', 'Mission Terminal', '4731', '-1320', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('421', 'naboo', 'Mission Terminal', '4915', '-1397', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('422', 'naboo', 'Mission Terminal', '4907', '-1397', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('423', 'naboo', 'Mission Terminal', '1697', '2716', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('424', 'naboo', 'Mission Terminal', '1697', '2698', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('425', 'naboo', 'Mission Terminal', '1701', '2602', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('426', 'naboo', 'Mission Terminal', '1701', '2626', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('427', 'naboo', 'Mission Terminal', '1800', '2532', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('428', 'naboo', 'Mission Terminal', '1773', '2532', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('429', 'naboo', 'Mission Terminal', '5191', '6678', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('430', 'naboo', 'Mission Terminal', '5191', '6666', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('431', 'naboo', 'Mission Terminal', '5007', '6673', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('432', 'naboo', 'Mission Terminal', '5003', '6670', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('433', 'naboo', 'Mission Terminal', '5106', '6756', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('434', 'naboo', 'Mission Terminal', '5118', '6769', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('435', 'naboo', 'Mission Terminal', '-4868', '4186', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('436', 'naboo', 'Mission Terminal', '-4825', '4158', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('437', 'naboo', 'Mission Terminal', '-5470', '4197', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('438', 'naboo', 'Mission Terminal', '-5723', '4251', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('439', 'naboo', 'Mission Terminal', '-5693', '4251', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('440', 'naboo', 'Mission Terminal', '-5353', '4396', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('441', 'naboo', 'Mission Terminal', '-5353', '4415', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('442', 'naboo', 'Mission Terminal', '-5444', '4135', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('443', 'naboo', 'Mission Terminal', '-5468', '4135', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('444', 'naboo', 'Mission Terminal', '-5521', '4197', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('445', 'naboo', 'Mission Terminal', '-5440', '4029', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('446', 'naboo', 'Mission Terminal', '-5464', '4029', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('447', 'naboo', 'Mission Terminal', '1444', '2784', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('448', 'naboo', 'Mission Terminal', '4792', '-4967', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('449', 'naboo', 'Mission Terminal', '4817', '-4967', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('450', 'naboo', 'Mission Terminal', '4732', '-4960', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('451', 'naboo', 'Mission Terminal', '4711', '-4960', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('452', 'naboo', 'Mission Terminal', '4694', '-4911', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('453', 'naboo', 'Mission Terminal', '4693', '-4875', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('454', 'naboo', 'Mission Terminal', '4793', '-4704', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('455', 'naboo', 'Mission Terminal', '4723', '-1328', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('456', 'naboo', 'Mission Terminal', '4738', '-1328', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('457', 'naboo', 'Mission Terminal', '1875', '2598', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('458', 'naboo', 'Mission Terminal', '1875', '2629', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('459', 'naboo', 'Mission Terminal', '1699', '2702', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('460', 'naboo', 'Mission Terminal', '1875', '2629', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('461', 'naboo', 'Mission Terminal', '5194', '6678', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('462', 'naboo', 'Mission Terminal', '5194', '6666', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('463', 'naboo', 'Mission Terminal', '5001', '6668', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('464', 'naboo', 'Mission Terminal', '5005', '6671', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('465', 'naboo', 'Mission Terminal', '5009', '6674', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('466', 'naboo', 'Mission Terminal', '-4871', '4188', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('467', 'naboo', 'Mission Terminal', '-4833', '4155', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('468', 'naboo', 'Mission Terminal', '-5526', '4197', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('469', 'naboo', 'Mission Terminal', '-5464', '4197', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('470', 'naboo', 'Mission Terminal', '-5728', '4251', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('471', 'naboo', 'Mission Terminal', '-5267', '4251', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('472', 'naboo', 'Mission Terminal', '-5784', '4399', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('473', 'naboo', 'Mission Terminal', '-5770', '4415', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('474', 'naboo', 'Mission Terminal', '-5435', '4029', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('475', 'naboo', 'Mission Terminal', '4788', '-4967', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('476', 'naboo', 'Mission Terminal', '4821', '-4966', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('477', 'naboo', 'Mission Terminal', '4677', '-4877', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('478', 'naboo', 'Mission Terminal', '4677', '-4910', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('479', 'naboo', 'Mission Terminal', '4947', '-1474', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('480', 'naboo', 'Mission Terminal', '4947', '-1472', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('481', 'naboo', 'Mission Terminal', '4915', '-1444', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('482', 'naboo', 'Mission Terminal', '4913', '-1444', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('483', 'naboo', 'Mission Terminal', '4912', '-1501', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('484', 'naboo', 'Mission Terminal', '4914', '-1501', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('485', 'naboo', 'Mission Terminal', '4972', '6755', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('486', 'naboo', 'Mission Terminal', '4973', '6753', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('487', 'naboo', 'Mission Terminal', '5305', '6767', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('488', 'naboo', 'Mission Terminal', '5305', '6765', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('489', 'naboo', 'Mission Terminal', '5205', '6763', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('490', 'naboo', 'Mission Terminal', '1697', '2718', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('491', 'naboo', 'Mission Terminal', '1697', '2696', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('492', 'naboo', 'Mission Terminal', '1802', '2532', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('493', 'naboo', 'Mission Terminal', '1771', '2531', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('494', 'naboo', 'Mission Terminal', '1689', '2568', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('495', 'naboo', 'Mission Terminal', '1687', '2568', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('496', 'naboo', 'Mission Terminal', '1685', '2568', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('497', 'naboo', 'Mission Terminal', '2118', '2476', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('498', 'naboo', 'Mission Terminal', '2119', '2476', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('499', 'naboo', 'Banking Terminal', '-5705', '4166', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('500', 'naboo', 'Banking Terminal', '-5709', '4171', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('501', 'naboo', 'Banking Terminal', '-5071', '4171', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('502', 'naboo', 'Banking Terminal', '-5133', '4156', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('503', 'naboo', 'Banking Terminal', '-5134', '4162', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('504', 'naboo', 'Banking Terminal', '5074', '6713', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('505', 'naboo', 'Banking Terminal', '5080', '6713', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('506', 'naboo', 'Banking Terminal', '5080', '6706', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('507', 'naboo', 'Banking Terminal', '5074', '6706', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('508', 'naboo', 'Banking Terminal', '1791', '2604', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('509', 'naboo', 'Banking Terminal', '1787', '2609', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('510', 'naboo', 'Banking Terminal', '1782', '2614', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('511', 'naboo', 'Banking Terminal', '1787', '2618', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('512', 'naboo', 'Banking Terminal', '4800', '-4863', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('513', 'naboo', 'Banking Terminal', '4806', '-4863', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('514', 'naboo', 'Banking Terminal', '4807', '-4869', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('515', 'naboo', 'Banking Terminal', '4801', '-4869', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('516', 'naboo', 'Theed', '-4848', '4172', '17', '0', '0');
INSERT INTO `planetmap` VALUES ('517', 'naboo', 'Moenia', '4796', '-4696', '17', '0', '0');
INSERT INTO `planetmap` VALUES ('518', 'naboo', 'Kaadara', '5177', '6613', '17', '0', '0');
INSERT INTO `planetmap` VALUES ('519', 'naboo', 'Deeja Peak', '5337', '-1578', '17', '0', '0');
INSERT INTO `planetmap` VALUES ('520', 'naboo', 'Keren', '1431', '2770', '17', '0', '0');
INSERT INTO `planetmap` VALUES ('521', 'dantooine', 'Bank Terminal', '-4250', '-2402', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('522', 'dantooine', 'Bank Terminal', '-4260', '-2411', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('523', 'dantooine', 'Bazaar Terminal', '-4250', '-2412', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('524', 'dantooine', 'Bazaar Terminal', '-4263', '-2403', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('525', 'dantooine', 'Dantooine Imperial Outpost', '-4213', '-2350', '15', '0', '0');
INSERT INTO `planetmap` VALUES ('705', 'tatooine', 'Bestine', '-1294', '-3590', '17', '0', '0');
INSERT INTO `planetmap` VALUES ('527', 'dantooine', 'Dantooine Imperial Outpost', '-4207', '-2422', '3', '0', '0');
INSERT INTO `planetmap` VALUES ('528', 'dantooine', 'Dantooine Imperial Outpost', '-4197', '-2408', '13', '0', '0');
INSERT INTO `planetmap` VALUES ('529', 'dantooine', 'Mission Terminal', '-4222', '-2435', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('530', 'dantooine', 'Mission Terminal', '-4197', '-2410', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('531', 'dantooine', 'Dantooine Mining Outpost', '-642', '2453', '5', '0', '0');
INSERT INTO `planetmap` VALUES ('532', 'dantooine', 'Dantooine Mining Outpost', '-581', '2496', '27', '0', '0');
INSERT INTO `planetmap` VALUES ('533', 'dantooine', 'Dantooine Imperial Outpost', '-4243', '-2422', '5', '0', '0');
INSERT INTO `planetmap` VALUES ('534', 'dantooine', 'Dantooine Mining Outpost', '-622', '2472', '17', '0', '0');
INSERT INTO `planetmap` VALUES ('535', 'dantooine', 'Mission Terminal', '-4208', '-2375', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('536', 'dantooine', 'Dantooine Mining Outpost', '-636', '2504', '15', '0', '0');
INSERT INTO `planetmap` VALUES ('537', 'dantooine', 'Bank Terminal', '-630', '2501', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('538', 'dantooine', 'Bank Terminal', '-602', '2469', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('539', 'dantooine', 'Bazaar Terminal', '-620', '2490', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('540', 'dantooine', 'Bazaar Terminal', '-607', '2468', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('541', 'dantooine', 'Mission Terminal', '-609', '2482', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('542', 'dantooine', 'Dantooine Agro Outpost', '1568', '-6427', '5', '0', '0');
INSERT INTO `planetmap` VALUES ('543', 'dantooine', 'Dantooine Agro Outpost', '1571', '-6413', '15', '0', '0');
INSERT INTO `planetmap` VALUES ('544', 'dantooine', 'Dantooine Agro Outpost', '1579', '-6370', '27', '0', '0');
INSERT INTO `planetmap` VALUES ('704', 'tatooine', 'Mos Eisley', '3532', '-4803', '17', '0', '0');
INSERT INTO `planetmap` VALUES ('546', 'dantooine', 'Bank Terminal', '1604', '-6366', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('547', 'dantooine', 'Bank Terminal', '1570', '-6366', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('548', 'dantooine', 'Bazaar Terminal', '1615', '-6367', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('549', 'dantooine', 'Bazaar Terminal', '1560', '-6366', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('550', 'dantooine', 'Mission Terminal', '1613', '-6390', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('551', 'dantooine', 'Mission Terminal', '1567', '-6390', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('552', 'dantooine', 'Mission Terminal', '1555', '-6394', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('553', 'dantooine', 'Dantooine Agro Outpost', '1570', '-6416', '17', '0', '0');
INSERT INTO `planetmap` VALUES ('554', 'dantooine', 'Dantooine Imperial Outpost', '-4210', '-2350', '17', '0', '0');
INSERT INTO `planetmap` VALUES ('706', 'tatooine', 'Mos Entha', '1287', '3132', '17', '0', '0');
INSERT INTO `planetmap` VALUES ('556', 'corellia', 'Coronet', '-67', '-4711', '17', '0', '0');
INSERT INTO `planetmap` VALUES ('557', 'corellia', 'Tyrena', '-5001', '-2227', '17', '0', '0');
INSERT INTO `planetmap` VALUES ('558', 'corellia', 'Kor Vella', '-3155', '2877', '17', '0', '0');
INSERT INTO `planetmap` VALUES ('559', 'corellia', 'Doaba Guerfel', '3352', '5595', '17', '0', '0');
INSERT INTO `planetmap` VALUES ('560', 'corellia', 'Bela Vistal', '6624', '-5921', '17', '0', '0');
INSERT INTO `planetmap` VALUES ('561', 'corellia', 'Vreni Island', '-5551', '-6039', '17', '0', '0');
INSERT INTO `planetmap` VALUES ('562', 'corellia', 'Vreni Island', '-5160', '-6372', '57', '0', '0');
INSERT INTO `planetmap` VALUES ('563', 'corellia', 'Vreni Island', '-5551', '-6041', '14', '0', '0');
INSERT INTO `planetmap` VALUES ('564', 'corellia', 'Bank Terminal', '6927', '-5553', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('565', 'corellia', 'Bank Terminal', '6833', '-5782', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('566', 'corellia', 'Bazaar Terminal', '6654', '-5943', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('567', 'corellia', 'Bela Vistal', '6724', '-5706', '3', '0', '0');
INSERT INTO `planetmap` VALUES ('568', 'corellia', 'Bela Vistal', '6853', '-5718', '5', '0', '0');
INSERT INTO `planetmap` VALUES ('569', 'corellia', 'Bela Vistal', '6853', '-5446', '7', '11', '0');
INSERT INTO `planetmap` VALUES ('570', 'corellia', 'Bela Vistal', '6708', '-5548', '7', '9', '0');
INSERT INTO `planetmap` VALUES ('571', 'corellia', 'Bela Vistal', '6907', '-5581', '12', '0', '0');
INSERT INTO `planetmap` VALUES ('572', 'corellia', 'Bela Vistal', '6712', '-5917', '13', '0', '0');
INSERT INTO `planetmap` VALUES ('573', 'corellia', 'Mission Terminal', '6919', '-5566', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('574', 'corellia', 'Mission Terminal', '6909', '-5589', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('575', 'corellia', 'Mission Terminal', '6708', '-5549', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('576', 'corellia', 'Mission Terminal', '6707', '-5592', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('577', 'corellia', 'Mission Terminal', '6833', '-5782', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('578', 'corellia', 'Bela Vistal', '6643', '-5924', '14', '0', '0');
INSERT INTO `planetmap` VALUES ('579', 'corellia', 'Bela Vistal', '6936', '-5538', '14', '0', '0');
INSERT INTO `planetmap` VALUES ('580', 'corellia', 'Bank Terminal', '-60', '-4599', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('581', 'corellia', 'Bazaar Terminal', '-364', '-4534', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('582', 'corellia', 'Coronet', '-346', '-4542', '3', '0', '0');
INSERT INTO `planetmap` VALUES ('583', 'corellia', 'Coronet', '-209', '-4534', '4', '0', '0');
INSERT INTO `planetmap` VALUES ('584', 'corellia', 'Coronet', '-480', '-4499', '5', '0', '0');
INSERT INTO `planetmap` VALUES ('585', 'corellia', 'Coronet', '-263', '-4790', '6', '0', '0');
INSERT INTO `planetmap` VALUES ('586', 'corellia', 'Coronet', '45', '-4239', '6', '0', '0');
INSERT INTO `planetmap` VALUES ('587', 'corellia', 'Coronet', '-177', '-4390', '7', '9', '0');
INSERT INTO `planetmap` VALUES ('588', 'corellia', 'Coronet', '-240', '-4389', '7', '8', '0');
INSERT INTO `planetmap` VALUES ('589', 'corellia', 'Coronet', '-210', '-4135', '7', '10', '0');
INSERT INTO `planetmap` VALUES ('590', 'corellia', 'Coronet', '20', '-4439', '7', '11', '0');
INSERT INTO `planetmap` VALUES ('591', 'corellia', 'Coronet', '-492', '-4672', '12', '0', '0');
INSERT INTO `planetmap` VALUES ('592', 'corellia', 'Coronet', '-107', '-4461', '13', '0', '0');
INSERT INTO `planetmap` VALUES ('593', 'corellia', 'Coronet', '-360', '-4690', '57', '0', '0');
INSERT INTO `planetmap` VALUES ('594', 'corellia', 'Coronet', '-29', '-4401', '14', '0', '0');
INSERT INTO `planetmap` VALUES ('595', 'corellia', 'Coronet', '-329', '-4636', '14', '0', '0');
INSERT INTO `planetmap` VALUES ('596', 'corellia', 'Coronet', '-131', '-4723', '15', '0', '0');
INSERT INTO `planetmap` VALUES ('597', 'corellia', 'Bank Terminal', '3207', '5382', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('598', 'corellia', 'Bazaar Terminal', '3207', '5382', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('599', 'corellia', 'Doaba Guerfel', '3268', '5373', '3', '0', '0');
INSERT INTO `planetmap` VALUES ('600', 'corellia', 'Doaba Guerfel', '3325', '5725', '5', '0', '0');
INSERT INTO `planetmap` VALUES ('601', 'corellia', 'Doaba Guerfel', '3183', '5240', '7', '8', '0');
INSERT INTO `planetmap` VALUES ('602', 'corellia', 'Doaba Guerfel', '3120', '5269', '7', '11', '0');
INSERT INTO `planetmap` VALUES ('603', 'corellia', 'Doaba Guerfel', '3468', '5462', '7', '10', '0');
INSERT INTO `planetmap` VALUES ('604', 'corellia', 'Doaba Guerfel', '3160', '5011', '7', '9', '0');
INSERT INTO `planetmap` VALUES ('605', 'corellia', 'Doaba Guerfel', '3108', '5205', '12', '0', '0');
INSERT INTO `planetmap` VALUES ('606', 'corellia', 'Doaba Guerfel', '3262', '5422', '13', '0', '0');
INSERT INTO `planetmap` VALUES ('607', 'corellia', 'Mission Terminal', '3174', '4995', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('608', 'corellia', 'Mission Terminal', '3188', '4985', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('609', 'corellia', 'Mission Terminal', '3166', '5338', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('610', 'corellia', 'Mission Terminal', '3199', '4984', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('611', 'corellia', 'Mission Terminal', '3189', '4975', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('612', 'corellia', 'Doaba Guerfel', '3078', '4995', '14', '0', '0');
INSERT INTO `planetmap` VALUES ('613', 'corellia', 'Doaba Guerfel', '3340', '5534', '15', '0', '0');
INSERT INTO `planetmap` VALUES ('614', 'corellia', 'Bank Terminal', '-3126', '2790', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('615', 'corellia', 'Bank Terminal', '-3268', '3109', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('616', 'corellia', 'Bazaar Terminal', '-3150', '2782', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('617', 'corellia', 'Bazaar Terminal', '-3119', '2970', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('618', 'corellia', 'Kor Vella', '-3464', '3041', '3', '0', '0');
INSERT INTO `planetmap` VALUES ('619', 'corellia', 'Kor Vella', '-3544', '3219', '5', '0', '0');
INSERT INTO `planetmap` VALUES ('620', 'corellia', 'Kor Vella', '-3184', '2818', '6', '0', '0');
INSERT INTO `planetmap` VALUES ('621', 'corellia', 'Kor Vella', '-3434', '3197', '7', '9', '0');
INSERT INTO `planetmap` VALUES ('622', 'corellia', 'Kor Vella', '-3411', '3365', '7', '8', '0');
INSERT INTO `planetmap` VALUES ('623', 'corellia', 'Kor Vella', '-3680', '3081', '7', '11', '0');
INSERT INTO `planetmap` VALUES ('624', 'corellia', 'Kor Vella', '-3268', '3109', '12', '0', '0');
INSERT INTO `planetmap` VALUES ('625', 'corellia', 'Kor Vella', '-3795', '3155', '13', '0', '0');
INSERT INTO `planetmap` VALUES ('626', 'corellia', 'Mission Terminal', '-3268', '3109', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('627', 'corellia', 'Kor Vella', '-3777', '3240', '14', '0', '0');
INSERT INTO `planetmap` VALUES ('628', 'corellia', 'Kor Vella', '-3154', '2872', '15', '0', '0');
INSERT INTO `planetmap` VALUES ('629', 'corellia', 'Bank Terminal', '-5102', '-2380', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('630', 'corellia', 'Bazaar Terminal', '-5091', '-2369', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('631', 'corellia', 'Tyrena', '-5287', '-2521', '3', '0', '0');
INSERT INTO `planetmap` VALUES ('632', 'corellia', 'Tyrena', '-5670', '-2697', '5', '0', '0');
INSERT INTO `planetmap` VALUES ('633', 'corellia', 'Tyrena', '-5566', '-2562', '6', '0', '0');
INSERT INTO `planetmap` VALUES ('634', 'corellia', 'Tyrena', '-5463', '-2725', '7', '8', '0');
INSERT INTO `planetmap` VALUES ('635', 'corellia', 'Tyrena', '-5504', '-2679', '7', '11', '0');
INSERT INTO `planetmap` VALUES ('636', 'corellia', 'Tyrena', '-5168', '-2539', '12', '0', '0');
INSERT INTO `planetmap` VALUES ('637', 'corellia', 'Tyrena', '-5005', '-2476', '13', '0', '0');
INSERT INTO `planetmap` VALUES ('638', 'corellia', 'Mission Terminal', '-5041', '-2305', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('639', 'corellia', 'Mission Terminal', '-5193', '-2561', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('640', 'corellia', 'Tyrena', '-5001', '-2355', '14', '0', '0');
INSERT INTO `planetmap` VALUES ('641', 'corellia', 'Tyrena', '-5605', '-2790', '14', '0', '0');
INSERT INTO `planetmap` VALUES ('642', 'corellia', 'Tyrena', '-4998', '-2226', '15', '0', '0');
INSERT INTO `planetmap` VALUES ('643', 'corellia', 'Tyrena', '-5573', '-2628', '7', '10', '0');
INSERT INTO `planetmap` VALUES ('644', 'corellia', 'Bank Terminal', '-5540', '-6204', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('645', 'corellia', 'Bazaar Terminal', '-5540', '-6204', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('646', 'corellia', 'Bazaar Terminal', '-5564', '-6064', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('647', 'corellia', 'Vreni Island', '-5160', '-6420', '3', '0', '0');
INSERT INTO `planetmap` VALUES ('648', 'corellia', 'Vreni Island', '-5515', '-6179', '12', '0', '0');
INSERT INTO `planetmap` VALUES ('649', 'corellia', 'Vreni Island', '-5160', '-6372', '57', '0', '0');
INSERT INTO `planetmap` VALUES ('650', 'corellia', 'Vreni Island', '-5551', '-6041', '14', '0', '0');
INSERT INTO `planetmap` VALUES ('651', 'rori', 'Rebel Military Outpost', '3676', '-6403', '15', '0', '0');
INSERT INTO `planetmap` VALUES ('652', 'rori', 'Mission Terminal', '3660', '-6425', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('653', 'rori', 'Mission Terminal', '3664', '-6425', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('654', 'rori', 'Bazaar Terminal', '3663', '-6420', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('655', 'rori', 'Bank Terminal', '3669', '-6421', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('656', 'rori', 'Bank Terminal', '3664', '-6418', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('657', 'rori', 'Rebel Military Outpost', '3644', '-6447', '5', '0', '0');
INSERT INTO `planetmap` VALUES ('658', 'rori', 'Mission Terminal', '-5230', '-2237', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('659', 'rori', 'Narmle', '-5232', '-2495', '6', '0', '0');
INSERT INTO `planetmap` VALUES ('660', 'rori', 'Mission Terminal', '-5161', '-2480', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('661', 'rori', 'Mission Terminal', '-5165', '-2480', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('662', 'rori', 'Narmle', '-5200', '-2409', '7', '8', '0');
INSERT INTO `planetmap` VALUES ('663', 'rori', 'Narmle', '-5370', '-2152', '17', '0', '0');
INSERT INTO `planetmap` VALUES ('664', 'rori', 'Bank Terminal', '-5110', '-2170', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('665', 'rori', 'Bazaar Terminal', '-5279', '-2170', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('666', 'rori', 'Bazaar Terminal', '-5435', '-2113', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('667', 'rori', 'Narmle', '-5025', '-2483', '5', '0', '0');
INSERT INTO `planetmap` VALUES ('668', 'rori', 'Narmle', '-5200', '-2358', '7', '9', '0');
INSERT INTO `planetmap` VALUES ('669', 'rori', 'Narmle', '-5029', '-2353', '7', '10', '0');
INSERT INTO `planetmap` VALUES ('670', 'rori', 'Narmle', '-5011', '-2397', '7', '11', '0');
INSERT INTO `planetmap` VALUES ('671', 'rori', 'Narmle', '-5286', '-2266', '12', '0', '0');
INSERT INTO `planetmap` VALUES ('672', 'rori', 'Narmle', '-5129', '-2336', '12', '0', '0');
INSERT INTO `planetmap` VALUES ('673', 'rori', 'Narmle', '-5109', '-2237', '13', '0', '0');
INSERT INTO `planetmap` VALUES ('674', 'rori', 'Mission Terminal', '-5331', '-2111', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('675', 'rori', 'Mission Terminal', '-5333', '-2109', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('676', 'rori', 'Mission Terminal', '-5303', '-2280', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('677', 'rori', 'Mission Terminal', '-5268', '-2280', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('678', 'rori', 'Narmle', '-5241', '-2147', '14', '0', '0');
INSERT INTO `planetmap` VALUES ('679', 'rori', 'Narmle', '-5399', '-2200', '15', '0', '0');
INSERT INTO `planetmap` VALUES ('680', 'rori', 'Mission Terminal', '-5161', '-2480', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('681', 'rori', 'Restuss', '5343', '5733', '17', '0', '0');
INSERT INTO `planetmap` VALUES ('682', 'rori', 'Restuss', '5409', '5878', '5', '0', '0');
INSERT INTO `planetmap` VALUES ('683', 'rori', 'Restuss', '5213', '5810', '14', '0', '0');
INSERT INTO `planetmap` VALUES ('684', 'rori', 'Restuss', '5317', '5742', '15', '0', '0');
INSERT INTO `planetmap` VALUES ('685', 'rori', 'Bazaar Terminal', '5240', '5789', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('686', 'rori', 'Bazaar Terminal', '5241', '5786', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('687', 'rori', 'Bazaar Terminal', '5305', '5822', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('688', 'rori', 'Bazaar Terminal', '5309', '5824', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('689', 'rori', 'Bazaar Terminal', '5301', '5829', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('690', 'rori', 'Bazaar Terminal', '5306', '5832', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('692', 'rori', 'Mission Terminal', '5510', '5611', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('693', 'rori', 'Mission Terminal', '5508', '5611', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('694', 'rori', 'Mission Terminal', '5508', '5636', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('695', 'rori', 'Mission Terminal', '5510', '5636', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('696', 'rori', 'Restuss', '5385', '5628', '7', '11', '0');
INSERT INTO `planetmap` VALUES ('697', 'rori', 'Restuss', '5467', '5633', '7', '10', '0');
INSERT INTO `planetmap` VALUES ('698', 'rori', 'Restuss', '5446', '5780', '7', '8', '0');
INSERT INTO `planetmap` VALUES ('699', 'rori', 'Restuss', '5237', '5722', '7', '9', '0');
INSERT INTO `planetmap` VALUES ('700', 'rori', 'Restuss', '5314', '5567', '13', '0', '0');
INSERT INTO `planetmap` VALUES ('701', 'rori', 'Restuss', '5149', '5687', '12', '0', '0');
INSERT INTO `planetmap` VALUES ('702', 'rori', 'Bazaar Terminal', '5180', '5603', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('703', 'rori', 'Bazaar Terminal', '5180', '5562', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('707', 'tatooine', 'Mos Espa', '-2901', '2125', '17', '0', '0');
INSERT INTO `planetmap` VALUES ('708', 'tatooine', 'Mos Taike', '3780', '2360', '17', '0', '0');
INSERT INTO `planetmap` VALUES ('709', 'tatooine', 'Wayfar', '-5120', '-6574', '17', '0', '0');
INSERT INTO `planetmap` VALUES ('710', 'tatooine', 'Anchorhead', '49', '-5341', '17', '0', '0');
INSERT INTO `planetmap` VALUES ('711', 'yavin4', 'Imperial Base', '4000', '-6200', '17', '0', '0');
INSERT INTO `planetmap` VALUES ('712', 'yavin4', 'Imperial Base', '4000', '-6200', '15', '0', '0');
INSERT INTO `planetmap` VALUES ('713', 'tatooine', 'Mos Entha', '1322', '3290', '13', '0', '0');
INSERT INTO `planetmap` VALUES ('714', 'tatooine', 'Mos Taike', '3773', '2316', '6', '0', '0');
INSERT INTO `planetmap` VALUES ('715', 'tatooine', 'Bestine', '-1437', '-3698', '57', '0', '0');
INSERT INTO `planetmap` VALUES ('716', 'tatooine', 'Mos Entha', '1320', '3456', '5', '0', '0');
INSERT INTO `planetmap` VALUES ('717', 'naboo', 'Moenia', '5021', '-4930', '5', '0', '0');
INSERT INTO `planetmap` VALUES ('718', 'naboo', 'Keren', '1948', '2755', '5', '0', '0');
INSERT INTO `planetmap` VALUES ('719', 'naboo', 'Kaadara', '5332', '6555', '5', '0', '0');
INSERT INTO `planetmap` VALUES ('720', 'naboo', 'Theed', '-4877', '4033', '5', '0', '0');
INSERT INTO `planetmap` VALUES ('721', 'naboo', 'Theed', '-5885', '4305', '5', '0', '0');
INSERT INTO `recruiters` VALUES ('2', '5', '-4928', '4231', '0', '1', '0.053', '0', '1');
INSERT INTO `recruiters` VALUES ('1', '5', '-4936', '4231', '0', '1', '0.053', '0', '1');
INSERT INTO `recruiters` VALUES ('3', '5', '5307', '-1584', '0', '0.6', '0.8', '0', '1');
INSERT INTO `recruiters` VALUES ('4', '5', '-29', '-1.2', '-0.89', '0.6', '0.8', '119', '2');
INSERT INTO `recruiters` VALUES ('5', '0', '6719', '-5804', '315', '1', '0.037', '0', '1');
INSERT INTO `recruiters` VALUES ('6', '0', '-29', '0.5', '-0.89', '0.6', '0.8', '8105504', '2');
INSERT INTO `recruiters` VALUES ('7', '0', '-29', '0.5', '-0.89', '0.6', '0.8', '2625363', '2');
INSERT INTO `recruiters` VALUES ('8', '8', '-6.7', '-6.9', '-3.9', '0.45', '0.89', '1213349', '2');
INSERT INTO `recruiters` VALUES ('9', '8', '-1275', '-3594', '0', '-0.6', '0.8', '0', '1');
INSERT INTO `recruiters` VALUES ('10', '8', '-1138', '-3897', '98', '0', '1', '0', '1');
INSERT INTO `recruiters` VALUES ('11', '8', '-0.86', '-8', '0.4', '0.45', '0.89', '1280131', '1');
INSERT INTO `recruiters` VALUES ('12', '6', '3683', '-6460', '0', '0.77', '-0.63', '0', '2');
INSERT INTO `recruiters` VALUES ('13', '7', '-2192', '2269', '0', '-0.42', '0.9', '0', '1');
INSERT INTO `recruiters` VALUES ('14', '7', '-28.4145', '-1.7825', '-0.89', '0.66', '0.74', '3175399', '2');
INSERT INTO `recruiters` VALUES ('15', '1', '-4196.99', '-2411.57', '3', '-0.65', '0.75', '0', '1');
INSERT INTO `recruiters` VALUES ('16', '6', '5348', '5616', '80', '-0.6', '1', '0', '1');
INSERT INTO `recruiters` VALUES ('17', '5', '4826', '-4696', '0', '0.72', '-0.69', '0', '2');
INSERT INTO `recruiters` VALUES ('18', '4', '-1843.79', '-3069.92', '12', '0.880756', '0.47357', '0', '1');
INSERT INTO `resource_tree` VALUES ('1', 'organic', 'Organic', '', '', '', '', '', '', '390', '390', '0', '0', '0', 'res_decay_resist', 'res_quality', '', '', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', 'plain_resource', '-1', '0', '-1');
INSERT INTO `resource_tree` VALUES ('2', 'creature_resources', 'Organic', 'Creature Resources', '', '', '', '', '', '206', '206', '0', '0', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '', 'plain_resource', '-1', '0', '-1');
INSERT INTO `resource_tree` VALUES ('3', 'creature_food', 'Organic', 'Creature Resources', 'Creature Food', '', '', '', '', '133', '133', '0', '0', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '', '-1', '0', '-1');
INSERT INTO `resource_tree` VALUES ('4', 'milk', 'Organic', 'Creature Resources', 'Creature Food', 'Milk', '', '', '', '21', '21', '20', '20', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', 'plain_resource', '-1', '0', '-1');
INSERT INTO `resource_tree` VALUES ('5', 'milk_homogenized', 'Organic', 'Creature Resources', 'Creature Food', 'Milk', 'Homogenized Milk', '', '', '1', '1', '1', '1', '1', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '200', '200', '200', '200', '200', '200', '200', '200', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_bottle_milk.iff', 'plain_resource', '-1', '0', '-1');
INSERT INTO `resource_tree` VALUES ('6', 'milk_domesticated', 'Organic', 'Creature Resources', 'Creature Food', 'Milk', 'Domesticated Milk', '', '', '10', '10', '10', '10', '0', '', '', '', '', '', '', '', '', '', '', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '', '-1', '0', '-1');
INSERT INTO `resource_tree` VALUES ('7', 'milk_domesticated_corellia', 'Organic', 'Creature Resources', 'Creature Food', 'Milk', 'Domesticated Milk', 'Corellian Domesticated Milk', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_bottle_milk.iff', 'plain_resource', '0', '0', '-1');
INSERT INTO `resource_tree` VALUES ('8', 'milk_domesticated_dantooine', 'Organic', 'Creature Resources', 'Creature Food', 'Milk', 'Domesticated Milk', 'Dantooine Domesticated Milk', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_bottle_milk.iff', 'plain_resource', '1', '0', '-1');
INSERT INTO `resource_tree` VALUES ('9', 'milk_domesticated_dathomir', 'Organic', 'Creature Resources', 'Creature Food', 'Milk', 'Domesticated Milk', 'Dathomirian  Domesticated Milk', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_bottle_milk.iff', '', '2', '0', '-1');
INSERT INTO `resource_tree` VALUES ('10', 'milk_domesticated_endor', 'Organic', 'Creature Resources', 'Creature Food', 'Milk', 'Domesticated Milk', 'Endorian Domesticated Milk', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_bottle_milk.iff', '', '3', '0', '-1');
INSERT INTO `resource_tree` VALUES ('11', 'milk_domesticated_lok', 'Organic', 'Creature Resources', 'Creature Food', 'Milk', 'Domesticated Milk', 'Lokian Domesticated Milk', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_bottle_milk.iff', '', '4', '0', '-1');
INSERT INTO `resource_tree` VALUES ('12', 'milk_domesticated_naboo', 'Organic', 'Creature Resources', 'Creature Food', 'Milk', 'Domesticated Milk', 'Nabooian Domesticated Milk', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_bottle_milk.iff', '', '5', '0', '-1');
INSERT INTO `resource_tree` VALUES ('13', 'milk_domesticated_rori', 'Organic', 'Creature Resources', 'Creature Food', 'Milk', 'Domesticated Milk', 'Rori Domesticated Milk', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_bottle_milk.iff', '', '6', '0', '-1');
INSERT INTO `resource_tree` VALUES ('14', 'milk_domesticated_talus', 'Organic', 'Creature Resources', 'Creature Food', 'Milk', 'Domesticated Milk', 'Talusian Domesticated Milk', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_bottle_milk.iff', '', '7', '0', '-1');
INSERT INTO `resource_tree` VALUES ('15', 'milk_domesticated_tatooine', 'Organic', 'Creature Resources', 'Creature Food', 'Milk', 'Domesticated Milk', 'Tatooinian Domesticated Milk', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_bottle_milk.iff', '', '8', '0', '-1');
INSERT INTO `resource_tree` VALUES ('16', 'milk_domesticated_yavin4', 'Organic', 'Creature Resources', 'Creature Food', 'Milk', 'Domesticated Milk', 'Yavinian Domesticated Milk', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_bottle_milk.iff', '', '9', '0', '-1');
INSERT INTO `resource_tree` VALUES ('17', 'milk_wild', 'Organic', 'Creature Resources', 'Creature Food', 'Milk', 'Wild Milk', '', '', '10', '10', '10', '10', '0', '', '', '', '', '', '', '', '', '', '', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '', '-1', '0', '-1');
INSERT INTO `resource_tree` VALUES ('18', 'milk_wild_corellia', 'Organic', 'Creature Resources', 'Creature Food', 'Milk', 'Wild Milk', 'Corellian Wild Milk', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_bottle_milk.iff', 'plain_resource', '0', '0', '-1');
INSERT INTO `resource_tree` VALUES ('19', 'milk_wild_dantooine', 'Organic', 'Creature Resources', 'Creature Food', 'Milk', 'Wild Milk', 'Dantooine Wild Milk', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_bottle_milk.iff', 'plain_resource', '1', '0', '-1');
INSERT INTO `resource_tree` VALUES ('20', 'milk_wild_dathomir', 'Organic', 'Creature Resources', 'Creature Food', 'Milk', 'Wild Milk', 'Dathomirian Wild Milk', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_bottle_milk.iff', '', '2', '0', '-1');
INSERT INTO `resource_tree` VALUES ('21', 'milk_wild_endor', 'Organic', 'Creature Resources', 'Creature Food', 'Milk', 'Wild Milk', 'Endorian Wild Milk', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_bottle_milk.iff', '', '3', '0', '-1');
INSERT INTO `resource_tree` VALUES ('22', 'milk_wild_lok', 'Organic', 'Creature Resources', 'Creature Food', 'Milk', 'Wild Milk', 'Lokian Wild Milk', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_bottle_milk.iff', '', '4', '0', '-1');
INSERT INTO `resource_tree` VALUES ('23', 'milk_wild_naboo', 'Organic', 'Creature Resources', 'Creature Food', 'Milk', 'Wild Milk', 'Nabooian Wild Milk', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_bottle_milk.iff', '', '5', '0', '-1');
INSERT INTO `resource_tree` VALUES ('24', 'milk_wild_rori', 'Organic', 'Creature Resources', 'Creature Food', 'Milk', 'Wild Milk', 'Rori Wild Milk', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_bottle_milk.iff', '', '6', '0', '-1');
INSERT INTO `resource_tree` VALUES ('25', 'milk_wild_talus', 'Organic', 'Creature Resources', 'Creature Food', 'Milk', 'Wild Milk', 'Talusian Wild Milk', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_bottle_milk.iff', '', '7', '0', '-1');
INSERT INTO `resource_tree` VALUES ('26', 'milk_wild_tatooine', 'Organic', 'Creature Resources', 'Creature Food', 'Milk', 'Wild Milk', 'Tatooinian Wild Milk', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_bottle_milk.iff', '', '8', '0', '-1');
INSERT INTO `resource_tree` VALUES ('27', 'milk_wild_yavin4', 'Organic', 'Creature Resources', 'Creature Food', 'Milk', 'Wild Milk', 'Yavin IV Wild Milk', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_bottle_milk.iff', '', '9', '0', '-1');
INSERT INTO `resource_tree` VALUES ('28', 'meat', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', '', '', '', '112', '112', '110', '110', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', 'plain_resource', '-1', '0', '-1');
INSERT INTO `resource_tree` VALUES ('29', 'processed_meat', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Processed Meat', '', '', '1', '1', '1', '1', '1', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '200', '200', '200', '200', '200', '200', '200', '200', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', 'plain_resource', '-1', '0', '-1');
INSERT INTO `resource_tree` VALUES ('30', 'meat_domesticated', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Domesticated Meat', '', '', '10', '10', '10', '10', '0', '', '', '', '', '', '', '', '', '', '', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '', '-1', '0', '-1');
INSERT INTO `resource_tree` VALUES ('31', 'meat_domesticated_corellia', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Domesticated Meat', 'Corellian Domesticated Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', 'plain_resource', '0', '0', '-1');
INSERT INTO `resource_tree` VALUES ('32', 'meat_domesticated_dantooine', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Domesticated Meat', 'Dantooine Domesticated Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', 'plain_resource', '1', '0', '-1');
INSERT INTO `resource_tree` VALUES ('33', 'meat_domesticated_dathomir', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Domesticated Meat', 'Dathomirian Domesticated Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '2', '0', '-1');
INSERT INTO `resource_tree` VALUES ('34', 'meat_domesticated_endor', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Domesticated Meat', 'Endorian Domesticated Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '3', '0', '-1');
INSERT INTO `resource_tree` VALUES ('35', 'meat_domesticated_lok', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Domesticated Meat', 'Lokian Domesticated Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '4', '0', '-1');
INSERT INTO `resource_tree` VALUES ('36', 'meat_domesticated_naboo', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Domesticated Meat', 'Nabooian Domesticated Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '5', '0', '-1');
INSERT INTO `resource_tree` VALUES ('37', 'meat_domesticated_rori', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Domesticated Meat', 'Rori Domesticated Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '6', '0', '-1');
INSERT INTO `resource_tree` VALUES ('38', 'meat_domesticated_talus', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Domesticated Meat', 'Talusian Domesticated Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '7', '0', '-1');
INSERT INTO `resource_tree` VALUES ('39', 'meat_domesticated_tatooine', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Domesticated Meat', 'Tatooinian Domesticated Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '8', '0', '-1');
INSERT INTO `resource_tree` VALUES ('40', 'meat_domesticated_yavin4', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Domesticated Meat', 'Yavinian Domesticated Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '9', '0', '-1');
INSERT INTO `resource_tree` VALUES ('41', 'meat_wild', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Wild Meat', '', '', '10', '10', '10', '10', '0', '', '', '', '', '', '', '', '', '', '', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '', '-1', '0', '-1');
INSERT INTO `resource_tree` VALUES ('42', 'meat_wild_corellia', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Wild Meat', 'Corellian Wild Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', 'plain_resource', '0', '0', '-1');
INSERT INTO `resource_tree` VALUES ('43', 'meat_wild_dantooine', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Wild Meat', 'Dantooine Wild Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', 'plain_resource', '1', '0', '-1');
INSERT INTO `resource_tree` VALUES ('44', 'meat_wild_dathomir', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Wild Meat', 'Dathomirian Wild Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '2', '0', '-1');
INSERT INTO `resource_tree` VALUES ('45', 'meat_wild_endor', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Wild Meat', 'Endorian Wild Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '3', '0', '-1');
INSERT INTO `resource_tree` VALUES ('46', 'meat_wild_lok', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Wild Meat', 'Lokian Wild Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '4', '0', '-1');
INSERT INTO `resource_tree` VALUES ('47', 'meat_wild_naboo', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Wild Meat', 'Nabooian Wild Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '5', '0', '-1');
INSERT INTO `resource_tree` VALUES ('48', 'meat_wild_rori', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Wild Meat', 'Rori Wild Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '6', '0', '-1');
INSERT INTO `resource_tree` VALUES ('49', 'meat_wild_talus', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Wild Meat', 'Talusian Wild Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '7', '0', '-1');
INSERT INTO `resource_tree` VALUES ('50', 'meat_wild_tatooine', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Wild Meat', 'Tatooinian Wild Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '8', '0', '-1');
INSERT INTO `resource_tree` VALUES ('51', 'meat_wild_yavin4', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Wild Meat', 'Yavinian Wild Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '9', '0', '-1');
INSERT INTO `resource_tree` VALUES ('52', 'meat_herbivore', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Herbivore Meat', '', '', '10', '10', '10', '10', '0', '', '', '', '', '', '', '', '', '', '', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '', '-1', '0', '-1');
INSERT INTO `resource_tree` VALUES ('53', 'meat_herbivore_corellia', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Herbivore Meat', 'Corellian Herbivore Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', 'plain_resource', '0', '0', '-1');
INSERT INTO `resource_tree` VALUES ('54', 'meat_herbivore_dantooine', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Herbivore Meat', 'Dantooine Herbivore Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', 'plain_resource', '1', '0', '-1');
INSERT INTO `resource_tree` VALUES ('55', 'meat_herbivore_dathomir', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Herbivore Meat', 'Dathomirian Herbivore Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '2', '0', '-1');
INSERT INTO `resource_tree` VALUES ('56', 'meat_herbivore_endor', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Herbivore Meat', 'Endorian Herbivore Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '3', '0', '-1');
INSERT INTO `resource_tree` VALUES ('57', 'meat_herbivore_lok', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Herbivore Meat', 'Lokian Herbivore Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '4', '0', '-1');
INSERT INTO `resource_tree` VALUES ('58', 'meat_herbivore_naboo', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Herbivore Meat', 'Nabooian Herbivore Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '5', '0', '-1');
INSERT INTO `resource_tree` VALUES ('59', 'meat_herbivore_rori', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Herbivore Meat', 'Rori Herbivore Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '6', '0', '-1');
INSERT INTO `resource_tree` VALUES ('60', 'meat_herbivore_talus', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Herbivore Meat', 'Talusian Herbivore Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '7', '0', '-1');
INSERT INTO `resource_tree` VALUES ('61', 'meat_herbivore_tatooine', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Herbivore Meat', 'Tatooinian Herbivore Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '8', '0', '-1');
INSERT INTO `resource_tree` VALUES ('62', 'meat_herbivore_yavin4', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Herbivore Meat', 'Yavinian Herbivore Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '9', '0', '-1');
INSERT INTO `resource_tree` VALUES ('63', 'meat_carnivore', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Carnivore Meat', '', '', '10', '10', '10', '10', '0', '', '', '', '', '', '', '', '', '', '', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '', '-1', '0', '-1');
INSERT INTO `resource_tree` VALUES ('64', 'meat_carnivore_corellia', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Carnivore Meat', 'Corellian Carnivore Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', 'plain_resource', '0', '0', '-1');
INSERT INTO `resource_tree` VALUES ('65', 'meat_carnivore_dantooine', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Carnivore Meat', 'Dantooine Carnivore Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', 'plain_resource', '1', '0', '-1');
INSERT INTO `resource_tree` VALUES ('66', 'meat_carnivore_dathomir', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Carnivore Meat', 'Dathomirian Carnivore Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '2', '0', '-1');
INSERT INTO `resource_tree` VALUES ('67', 'meat_carnivore_endor', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Carnivore Meat', 'Endorian Carnivore Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '3', '0', '-1');
INSERT INTO `resource_tree` VALUES ('68', 'meat_carnivore_lok', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Carnivore Meat', 'Lokian Carnivore Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '4', '0', '-1');
INSERT INTO `resource_tree` VALUES ('69', 'meat_carnivore_naboo', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Carnivore Meat', 'Nabooian Carnivore Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '5', '0', '-1');
INSERT INTO `resource_tree` VALUES ('70', 'meat_carnivore_rori', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Carnivore Meat', 'Rori Carnivore Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '6', '0', '-1');
INSERT INTO `resource_tree` VALUES ('71', 'meat_carnivore_talus', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Carnivore Meat', 'Talusian Carnivore Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '7', '0', '-1');
INSERT INTO `resource_tree` VALUES ('72', 'meat_carnivore_tatooine', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Carnivore Meat', 'Tatooinian Carnivore Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '8', '0', '-1');
INSERT INTO `resource_tree` VALUES ('73', 'meat_carnivore_yavin4', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Carnivore Meat', 'Yavinian Carnivore Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '9', '0', '-1');
INSERT INTO `resource_tree` VALUES ('74', 'meat_reptillian', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Reptillian Meat', '', '', '10', '10', '10', '10', '0', '', '', '', '', '', '', '', '', '', '', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '', '-1', '0', '-1');
INSERT INTO `resource_tree` VALUES ('75', 'meat_reptilian_corellia', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Reptillian Meat', 'Corellian Reptillian Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', 'plain_resource', '0', '0', '-1');
INSERT INTO `resource_tree` VALUES ('76', 'meat_reptilian_dantooine', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Reptillian Meat', 'Dantooine Reptillian Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', 'plain_resource', '1', '0', '-1');
INSERT INTO `resource_tree` VALUES ('77', 'meat_reptilian_dathomir', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Reptillian Meat', 'Dathomirian Reptillian Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '2', '0', '-1');
INSERT INTO `resource_tree` VALUES ('78', 'meat_reptilian_endor', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Reptillian Meat', 'Endorian Reptillian Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '3', '0', '-1');
INSERT INTO `resource_tree` VALUES ('79', 'meat_reptilian_lok', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Reptillian Meat', 'Lokian Reptillian Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '4', '0', '-1');
INSERT INTO `resource_tree` VALUES ('80', 'meat_reptilian_naboo', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Reptillian Meat', 'Nabooian Reptillian Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '5', '0', '-1');
INSERT INTO `resource_tree` VALUES ('81', 'meat_reptilian_rori', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Reptillian Meat', 'Rori Reptillian Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '6', '0', '-1');
INSERT INTO `resource_tree` VALUES ('82', 'meat_reptilian_talus', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Reptillian Meat', 'Talusian Reptillian Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '7', '0', '-1');
INSERT INTO `resource_tree` VALUES ('83', 'meat_reptilian_tatooine', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Reptillian Meat', 'Tatooinian Reptillian Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '8', '0', '-1');
INSERT INTO `resource_tree` VALUES ('84', 'meat_reptilian_yavin4', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Reptillian Meat', 'Yavinian Reptillian Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '9', '0', '-1');
INSERT INTO `resource_tree` VALUES ('85', 'meat_avian', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Avian Meat', '', '', '10', '10', '10', '10', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '', '-1', '0', '-1');
INSERT INTO `resource_tree` VALUES ('86', 'meat_avian_corellia', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Avian Meat', 'Corellian Avian Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', 'plain_resource', '0', '0', '-1');
INSERT INTO `resource_tree` VALUES ('87', 'meat_avian_dantooine', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Avian Meat', 'Dantooine Avian Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', 'plain_resource', '1', '0', '-1');
INSERT INTO `resource_tree` VALUES ('88', 'meat_avian_dathomir', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Avian Meat', 'Dathomirian Avian Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '2', '0', '-1');
INSERT INTO `resource_tree` VALUES ('89', 'meat_avian_endor', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Avian Meat', 'Endorian Avian Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '3', '0', '-1');
INSERT INTO `resource_tree` VALUES ('90', 'meat_avian_lok', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Avian Meat', 'Lokian Avian Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '4', '0', '-1');
INSERT INTO `resource_tree` VALUES ('91', 'meat_avian_naboo', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Avian Meat', 'Nabooian Avian Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '5', '0', '-1');
INSERT INTO `resource_tree` VALUES ('92', 'meat_avian_rori', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Avian Meat', 'Rori Avian Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '6', '0', '-1');
INSERT INTO `resource_tree` VALUES ('93', 'meat_avian_talus', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Avian Meat', 'Talusian Avian Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '7', '0', '-1');
INSERT INTO `resource_tree` VALUES ('94', 'meat_avian_tatooine', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Avian Meat', 'Tatooinian Avian Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '8', '0', '-1');
INSERT INTO `resource_tree` VALUES ('95', 'meat_avian_yavin4', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Avian Meat', 'Yavinian Avian Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '9', '0', '-1');
INSERT INTO `resource_tree` VALUES ('96', 'meat_egg', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Egg', '', '', '10', '10', '10', '10', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '', '-1', '0', '-1');
INSERT INTO `resource_tree` VALUES ('97', 'meat_egg_corellia', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Egg', 'Corellian Egg', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', 'plain_resource', '0', '0', '-1');
INSERT INTO `resource_tree` VALUES ('98', 'meat_egg_dantooine', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Egg', 'Dantooine Egg', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', 'plain_resource', '1', '0', '-1');
INSERT INTO `resource_tree` VALUES ('99', 'meat_egg_dathomir', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Egg', 'Dathomirian Egg', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '2', '0', '-1');
INSERT INTO `resource_tree` VALUES ('100', 'meat_egg_endor', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Egg', 'Endorian Egg', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '3', '0', '-1');
INSERT INTO `resource_tree` VALUES ('101', 'meat_egg_lok', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Egg', 'Lokian Egg', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '4', '0', '-1');
INSERT INTO `resource_tree` VALUES ('102', 'meat_egg_naboo', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Egg', 'Nabooian Egg', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '5', '0', '-1');
INSERT INTO `resource_tree` VALUES ('103', 'meat_egg_rori', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Egg', 'Rori Egg', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '6', '0', '-1');
INSERT INTO `resource_tree` VALUES ('104', 'meat_egg_talus', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Egg', 'Talusian Egg', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '7', '0', '-1');
INSERT INTO `resource_tree` VALUES ('105', 'meat_egg_tatooine', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Egg', 'Tatooinian Egg', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '8', '0', '-1');
INSERT INTO `resource_tree` VALUES ('106', 'meat_egg_yavin4', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Egg', 'Yavinian Egg', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '9', '0', '-1');
INSERT INTO `resource_tree` VALUES ('107', 'meat_insect', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Insect Meat', '', '', '10', '10', '10', '10', '0', '', '', '', '', '', '', '', '', '', '', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '', '-1', '0', '-1');
INSERT INTO `resource_tree` VALUES ('108', 'meat_insect_corellia', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Insect Meat', 'Corellian Insect Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', 'plain_resource', '0', '0', '-1');
INSERT INTO `resource_tree` VALUES ('109', 'meat_insect_dantooine', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Insect Meat', 'Dantooine Insect Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', 'plain_resource', '1', '0', '-1');
INSERT INTO `resource_tree` VALUES ('110', 'meat_insect_dathomir', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Insect Meat', 'Dathomirian Insect Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '2', '0', '-1');
INSERT INTO `resource_tree` VALUES ('111', 'meat_insect_endor', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Insect Meat', 'Endorian Insect Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '3', '0', '-1');
INSERT INTO `resource_tree` VALUES ('112', 'meat_insect_lok', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Insect Meat', 'Lokian Insect Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '4', '0', '-1');
INSERT INTO `resource_tree` VALUES ('113', 'meat_insect_naboo', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Insect Meat', 'Nabooian Insect Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '5', '0', '-1');
INSERT INTO `resource_tree` VALUES ('114', 'meat_insect_rori', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Insect Meat', 'Rori Insect Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '6', '0', '-1');
INSERT INTO `resource_tree` VALUES ('115', 'meat_insect_talus', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Insect Meat', 'Talusian Insect Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '7', '0', '-1');
INSERT INTO `resource_tree` VALUES ('116', 'meat_insect_tatooine', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Insect Meat', 'Tatooinian Insect Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '8', '0', '-1');
INSERT INTO `resource_tree` VALUES ('117', 'meat_insect_yavin4', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Insect Meat', 'Yavinian Insect Meat', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '9', '0', '-1');
INSERT INTO `resource_tree` VALUES ('118', 'seafood', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Seafood', '', '', '31', '31', '30', '30', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', 'plain_resource', '-1', '0', '-1');
INSERT INTO `resource_tree` VALUES ('119', 'processed_seafood', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Seafood', 'Processed Seafood', '', '1', '1', '1', '1', '1', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '200', '200', '200', '200', '200', '200', '200', '200', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', 'plain_resource', '-1', '0', '-1');
INSERT INTO `resource_tree` VALUES ('120', 'seafood_fish', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Seafood', 'Fish', '', '10', '10', '10', '10', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '', '-1', '0', '-1');
INSERT INTO `resource_tree` VALUES ('121', 'seafood_fish_corellia', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Seafood', 'Fish', 'Corellian Fish Meat', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', 'plain_resource', '0', '0', '-1');
INSERT INTO `resource_tree` VALUES ('122', 'seafood_fish_dantooine', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Seafood', 'Fish', 'Dantooine Fish Meat', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', 'plain_resource', '1', '0', '-1');
INSERT INTO `resource_tree` VALUES ('123', 'seafood_fish_dathomir', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Seafood', 'Fish', 'Dathomirian Fish Meat', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '2', '0', '-1');
INSERT INTO `resource_tree` VALUES ('124', 'seafood_fish_endor', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Seafood', 'Fish', 'Endorian Fish Meat', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '3', '0', '-1');
INSERT INTO `resource_tree` VALUES ('125', 'seafood_fish_lok', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Seafood', 'Fish', 'Lokian Fish Meat', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '4', '0', '-1');
INSERT INTO `resource_tree` VALUES ('126', 'seafood_fish_naboo', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Seafood', 'Fish', 'Nabooian Fish Meat', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '5', '0', '-1');
INSERT INTO `resource_tree` VALUES ('127', 'seafood_fish_rori', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Seafood', 'Fish', 'Rori Fish Meat', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '6', '0', '-1');
INSERT INTO `resource_tree` VALUES ('128', 'seafood_fish_talus', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Seafood', 'Fish', 'Talusian Fish Meat', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '7', '0', '-1');
INSERT INTO `resource_tree` VALUES ('129', 'seafood_fish_tatooine', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Seafood', 'Fish', 'Tatooinian Fish Meat', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '8', '0', '-1');
INSERT INTO `resource_tree` VALUES ('130', 'seafood_fish_yavin4', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Seafood', 'Fish', 'Yavinian Fish Meat', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '9', '0', '-1');
INSERT INTO `resource_tree` VALUES ('131', 'seafood_crustacean', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Seafood', 'Crustacean', '', '10', '10', '10', '10', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '', '-1', '0', '-1');
INSERT INTO `resource_tree` VALUES ('132', 'seafood_crustacean_corellia', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Seafood', 'Crustacean', 'Corellia Crustacean Meat', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', 'plain_resource', '0', '0', '-1');
INSERT INTO `resource_tree` VALUES ('133', 'seafood_crustacean_dantooine', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Seafood', 'Crustacean', 'Dantooine Crustacean Meat', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', 'plain_resource', '1', '0', '-1');
INSERT INTO `resource_tree` VALUES ('134', 'seafood_crustacean_dathomir', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Seafood', 'Crustacean', 'Dathomirian Crustacean Meat', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '2', '0', '-1');
INSERT INTO `resource_tree` VALUES ('135', 'seafood_crustacean_endor', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Seafood', 'Crustacean', 'Endorian Crustacean Meat', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '3', '0', '-1');
INSERT INTO `resource_tree` VALUES ('136', 'seafood_crustacean_lok', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Seafood', 'Crustacean', 'Lokian Crustacean Meat', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '4', '0', '-1');
INSERT INTO `resource_tree` VALUES ('137', 'seafood_crustacean_naboo', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Seafood', 'Crustacean', 'Nabooian Crustacean Meat', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '5', '0', '-1');
INSERT INTO `resource_tree` VALUES ('138', 'seafood_crustacean_rori', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Seafood', 'Crustacean', 'Rori Crustacean Meat', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '6', '0', '-1');
INSERT INTO `resource_tree` VALUES ('139', 'seafood_crustacean_talus', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Seafood', 'Crustacean', 'Talusian Crustacean Meat', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '7', '0', '-1');
INSERT INTO `resource_tree` VALUES ('140', 'seafood_crustacean_tatooine', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Seafood', 'Crustacean', 'Tatooinian Crustacean Meat', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '8', '0', '-1');
INSERT INTO `resource_tree` VALUES ('141', 'seafood_crustacean_yavin4', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Seafood', 'Crustacean', 'Yavinian Crustacean Meat', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '9', '0', '-1');
INSERT INTO `resource_tree` VALUES ('142', 'seafood_mollusk', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Seafood', 'Mollusk', '', '10', '10', '10', '10', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '', '-1', '0', '-1');
INSERT INTO `resource_tree` VALUES ('143', 'seafood_mollusk_corellia', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Seafood', 'Mollusk', 'Corellia Mollusk Meat', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', 'plain_resource', '0', '0', '-1');
INSERT INTO `resource_tree` VALUES ('144', 'seafood_mollusk_dantooine', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Seafood', 'Mollusk', 'Dantooine Mollusk Meat', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', 'plain_resource', '1', '0', '-1');
INSERT INTO `resource_tree` VALUES ('145', 'seafood_mollusk_dathomir', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Seafood', 'Mollusk', 'Dathomirian Mollusk Meat', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '2', '0', '-1');
INSERT INTO `resource_tree` VALUES ('146', 'seafood_mollusk_endor', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Seafood', 'Mollusk', 'Endorian Mollusk Meat', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '3', '0', '-1');
INSERT INTO `resource_tree` VALUES ('147', 'seafood_mollusk_lok', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Seafood', 'Mollusk', 'Lokian Mollusk Meat', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '4', '0', '-1');
INSERT INTO `resource_tree` VALUES ('148', 'seafood_mollusk_naboo', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Seafood', 'Mollusk', 'Nabooian Mollusk Meat', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '5', '0', '-1');
INSERT INTO `resource_tree` VALUES ('149', 'seafood_mollusk_rori', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Seafood', 'Mollusk', 'Rori Mollusk Meat', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '6', '0', '-1');
INSERT INTO `resource_tree` VALUES ('150', 'seafood_mollusk_talus', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Seafood', 'Mollusk', 'Talusian Mollusk Meat', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '7', '0', '-1');
INSERT INTO `resource_tree` VALUES ('151', 'seafood_mollusk_tatooine', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Seafood', 'Mollusk', 'Tatooinian Mollusk Meat', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '8', '0', '-1');
INSERT INTO `resource_tree` VALUES ('152', 'seafood_mollusk_yavin4', 'Organic', 'Creature Resources', 'Creature Food', 'Meat', 'Seafood', 'Mollusk', 'Yavinian Mollusk Meat', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '9', '0', '-1');
INSERT INTO `resource_tree` VALUES ('153', 'creature_structural', 'Organic', 'Creature Resources', 'Creature Structural', '', '', '', '', '73', '73', '70', '70', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', 'plain_resource', '-1', '0', '-1');
INSERT INTO `resource_tree` VALUES ('154', 'bone', 'Organic', 'Creature Resources', 'Creature Structural', 'Bone', '', '', '', '31', '31', '30', '30', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '600', '1', '1000', '100', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', 'plain_resource', '-1', '0', '-1');
INSERT INTO `resource_tree` VALUES ('155', 'ground_bones', 'Organic', 'Creature Resources', 'Creature Structural', 'Bone', 'Ground Bones', '', '', '1', '1', '1', '1', '1', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', 'plain_resource', '-1', '0', '-1');
INSERT INTO `resource_tree` VALUES ('156', 'bone_mammal', 'Organic', 'Creature Resources', 'Creature Structural', 'Bone', 'Animal Bone', '', '', '10', '10', '10', '10', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', ' ', ' ', ' ', ' ', ' ', ' ', '300', '1000', '1', '1000', '1', '500', '1', '1000', '400', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', 'plain_resource', '-1', '0', '-1');
INSERT INTO `resource_tree` VALUES ('157', 'bone_mammal_corellia', 'Organic', 'Creature Resources', 'Creature Structural', 'Bone', 'Animal Bone', 'Corellian Animal Bones', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '300', '1000', '1', '1000', '1', '500', '1', '1000', '400', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_structure.iff', 'plain_resource', '0', '0', '-1');
INSERT INTO `resource_tree` VALUES ('158', 'bone_mammal_dantooine', 'Organic', 'Creature Resources', 'Creature Structural', 'Bone', 'Animal Bone', 'Dantooine Animal Bones', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '300', '1000', '1', '1000', '1', '500', '1', '1000', '400', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_structure.iff', 'plain_resource', '1', '0', '-1');
INSERT INTO `resource_tree` VALUES ('159', 'bone_mammal_dathomir', 'Organic', 'Creature Resources', 'Creature Structural', 'Bone', 'Animal Bone', 'Dathomirian Animal Bones', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '300', '1000', '1', '1000', '1', '500', '1', '1000', '400', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_structure.iff', '', '2', '0', '-1');
INSERT INTO `resource_tree` VALUES ('160', 'bone_mammal_endor', 'Organic', 'Creature Resources', 'Creature Structural', 'Bone', 'Animal Bone', 'Endorian Animal Bones', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '300', '1000', '1', '1000', '1', '500', '1', '1000', '400', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_structure.iff', '', '3', '0', '-1');
INSERT INTO `resource_tree` VALUES ('161', 'bone_mammal_lok', 'Organic', 'Creature Resources', 'Creature Structural', 'Bone', 'Animal Bone', 'Lokian Animal Bones', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '300', '1000', '1', '1000', '1', '500', '1', '1000', '400', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_structure.iff', '', '4', '0', '-1');
INSERT INTO `resource_tree` VALUES ('162', 'bone_mammal_naboo', 'Organic', 'Creature Resources', 'Creature Structural', 'Bone', 'Animal Bone', 'Nabooian Animal Bones', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '300', '1000', '1', '1000', '1', '500', '1', '1000', '400', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_structure.iff', '', '5', '0', '-1');
INSERT INTO `resource_tree` VALUES ('163', 'bone_mammal_rori', 'Organic', 'Creature Resources', 'Creature Structural', 'Bone', 'Animal Bone', 'Rori Animal Bones', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '300', '1000', '1', '1000', '1', '500', '1', '1000', '400', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_structure.iff', '', '6', '0', '-1');
INSERT INTO `resource_tree` VALUES ('164', 'bone_mammal_talus', 'Organic', 'Creature Resources', 'Creature Structural', 'Bone', 'Animal Bone', 'Talusian Animal Bones', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '300', '1000', '1', '1000', '1', '500', '1', '1000', '400', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_structure.iff', '', '7', '0', '-1');
INSERT INTO `resource_tree` VALUES ('165', 'bone_mammal_tatooine', 'Organic', 'Creature Resources', 'Creature Structural', 'Bone', 'Animal Bone', 'Tatooinian Animal Bones', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '300', '1000', '1', '1000', '1', '500', '1', '1000', '400', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_structure.iff', '', '8', '0', '-1');
INSERT INTO `resource_tree` VALUES ('166', 'bone_mammal_yavin4', 'Organic', 'Creature Resources', 'Creature Structural', 'Bone', 'Animal Bone', 'Yavinian Animal Bones', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '300', '1000', '1', '1000', '1', '500', '1', '1000', '400', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_structure.iff', '', '9', '0', '-1');
INSERT INTO `resource_tree` VALUES ('167', 'bone_avian', 'Organic', 'Creature Resources', 'Creature Structural', 'Bone', 'Avian bone', '', '', '10', '10', '10', '10', '0', '', '', '', '', '', '', '', '', '', '', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '', '-1', '0', '-1');
INSERT INTO `resource_tree` VALUES ('168', 'bone_avian_corellia', 'Organic', 'Creature Resources', 'Creature Structural', 'Bone', 'Avian bone', 'Corellian Avian Bones', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '700', '1', '1000', '1', '600', '1', '500', '100', '500', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_structure.iff', 'plain_resource', '0', '0', '-1');
INSERT INTO `resource_tree` VALUES ('169', 'bone_avian_dantooine', 'Organic', 'Creature Resources', 'Creature Structural', 'Bone', 'Avian bone', 'Dantooine Avian Bones', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '700', '1', '1000', '1', '600', '1', '500', '100', '500', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_structure.iff', 'plain_resource', '1', '0', '-1');
INSERT INTO `resource_tree` VALUES ('170', 'bone_avian_dathomir', 'Organic', 'Creature Resources', 'Creature Structural', 'Bone', 'Avian bone', 'Dathomirian Avian Bones', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '700', '1', '1000', '1', '600', '1', '500', '100', '500', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_structure.iff', '', '2', '0', '-1');
INSERT INTO `resource_tree` VALUES ('171', 'bone_avian_endor', 'Organic', 'Creature Resources', 'Creature Structural', 'Bone', 'Avian bone', 'Endorian Avian Bones', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '700', '1', '1000', '1', '600', '1', '500', '100', '500', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_structure.iff', '', '3', '0', '-1');
INSERT INTO `resource_tree` VALUES ('172', 'bone_avian_lok', 'Organic', 'Creature Resources', 'Creature Structural', 'Bone', 'Avian bone', 'Lokian Avian Bones', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '700', '1', '1000', '1', '600', '1', '500', '100', '500', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_structure.iff', '', '4', '0', '-1');
INSERT INTO `resource_tree` VALUES ('173', 'bone_avian_naboo', 'Organic', 'Creature Resources', 'Creature Structural', 'Bone', 'Avian bone', 'Nabooian Avian Bones', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '700', '1', '1000', '1', '600', '1', '500', '100', '500', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_structure.iff', '', '5', '0', '-1');
INSERT INTO `resource_tree` VALUES ('174', 'bone_avian_rori', 'Organic', 'Creature Resources', 'Creature Structural', 'Bone', 'Avian bone', 'Rori Avian Bones', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '700', '1', '1000', '1', '600', '1', '500', '100', '500', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_structure.iff', '', '6', '0', '-1');
INSERT INTO `resource_tree` VALUES ('175', 'bone_avian_talus', 'Organic', 'Creature Resources', 'Creature Structural', 'Bone', 'Avian bone', 'Talusian Avian Bones', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '700', '1', '1000', '1', '600', '1', '500', '100', '500', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_structure.iff', '', '7', '0', '-1');
INSERT INTO `resource_tree` VALUES ('176', 'bone_avian_tatooine', 'Organic', 'Creature Resources', 'Creature Structural', 'Bone', 'Avian bone', 'Tatooinian Avian Bones', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '700', '1', '1000', '1', '600', '1', '500', '100', '500', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_structure.iff', '', '8', '0', '-1');
INSERT INTO `resource_tree` VALUES ('177', 'bone_avian_yavin4', 'Organic', 'Creature Resources', 'Creature Structural', 'Bone', 'Avian bone', 'Yavinian Avian Bones', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '700', '1', '1000', '1', '600', '1', '500', '100', '500', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_structure.iff', '', '9', '0', '-1');
INSERT INTO `resource_tree` VALUES ('178', 'bone_horn', 'Organic', 'Creature Resources', 'Creature Structural', 'Horn', '', '', '', '11', '11', '10', '10', '0', '', '', '', '', '', '', '', '', '', '', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '', '-1', '0', '-1');
INSERT INTO `resource_tree` VALUES ('179', 'bone_horn_ground', 'Organic', 'Creature Resources', 'Creature Structural', 'Horn', 'Ground Horn', '', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_structure.iff', 'plain_resource', '-1', '0', '-1');
INSERT INTO `resource_tree` VALUES ('180', 'bone_horn_corellia', 'Organic', 'Creature Resources', 'Creature Structural', 'Horn', 'Corellian Horn', '', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '200', '1000', '1', '1000', '1', '500', '1', '500', '300', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_structure.iff', 'plain_resource', '0', '0', '-1');
INSERT INTO `resource_tree` VALUES ('181', 'bone_horn_dantooine', 'Organic', 'Creature Resources', 'Creature Structural', 'Horn', 'Dantooine Horn', '', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '200', '1000', '1', '1000', '1', '500', '1', '500', '300', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_structure.iff', 'plain_resource', '1', '0', '-1');
INSERT INTO `resource_tree` VALUES ('182', 'bone_horn_dathomir', 'Organic', 'Creature Resources', 'Creature Structural', 'Horn', 'Dothomirian Horn', '', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '200', '1000', '1', '1000', '1', '500', '1', '500', '300', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_structure.iff', '', '2', '0', '-1');
INSERT INTO `resource_tree` VALUES ('183', 'bone_horn_endor', 'Organic', 'Creature Resources', 'Creature Structural', 'Horn', 'Endorian Horn', '', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '200', '1000', '1', '1000', '1', '500', '1', '500', '300', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_structure.iff', '', '3', '0', '-1');
INSERT INTO `resource_tree` VALUES ('184', 'bone_horn_lok', 'Organic', 'Creature Resources', 'Creature Structural', 'Horn', 'Lokian Horn', '', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '200', '1000', '1', '1000', '1', '500', '1', '500', '300', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_structure.iff', '', '4', '0', '-1');
INSERT INTO `resource_tree` VALUES ('185', 'bone_horn_naboo', 'Organic', 'Creature Resources', 'Creature Structural', 'Horn', 'Nabooian Horn', '', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '200', '1000', '1', '1000', '1', '500', '1', '500', '300', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_structure.iff', '', '5', '0', '-1');
INSERT INTO `resource_tree` VALUES ('186', 'bone_horn_rori', 'Organic', 'Creature Resources', 'Creature Structural', 'Horn', 'Rori Horn', '', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '200', '1000', '1', '1000', '1', '500', '1', '500', '300', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_structure.iff', '', '6', '0', '-1');
INSERT INTO `resource_tree` VALUES ('187', 'bone_horn_talus', 'Organic', 'Creature Resources', 'Creature Structural', 'Horn', 'Talusian Horn', '', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '200', '1000', '1', '1000', '1', '500', '1', '500', '300', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_structure.iff', '', '7', '0', '-1');
INSERT INTO `resource_tree` VALUES ('188', 'bone_horn_tatooine', 'Organic', 'Creature Resources', 'Creature Structural', 'Horn', 'Tatooinian Horn', '', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '200', '1000', '1', '1000', '1', '500', '1', '500', '300', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_structure.iff', '', '8', '0', '-1');
INSERT INTO `resource_tree` VALUES ('189', 'bone_horn_yavin4', 'Organic', 'Creature Resources', 'Creature Structural', 'Horn', 'Yavinian Horn', '', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '200', '1000', '1', '1000', '1', '500', '1', '500', '300', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_structure.iff', '', '9', '0', '-1');
INSERT INTO `resource_tree` VALUES ('190', 'hide', 'Organic', 'Creature Resources', 'Creature Structural', 'Hide', '', '', '', '41', '41', '40', '40', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', 'plain_resource', '-1', '0', '-1');
INSERT INTO `resource_tree` VALUES ('191', 'synthesized_hides', 'Organic', 'Creature Resources', 'Creature Structural', 'Hide', 'Synthesized Hides', '', '', '1', '1', '1', '1', '1', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', 'plain_resource', '-1', '0', '-1');
INSERT INTO `resource_tree` VALUES ('192', 'hide_wooly', 'Organic', 'Creature Resources', 'Creature Structural', 'Hide', 'Wooly Hide', '', '', '10', '10', '10', '10', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', 'plain_resource', '-1', '0', '-1');
INSERT INTO `resource_tree` VALUES ('193', 'hide_wooly_corellia', 'Organic', 'Creature Resources', 'Creature Structural', 'Hide', 'Wooly Hide', 'Corellian Wooly Hide', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', 'plain_resource', '0', '0', '-1');
INSERT INTO `resource_tree` VALUES ('194', 'hide_wooly_dantooine', 'Organic', 'Creature Resources', 'Creature Structural', 'Hide', 'Wooly Hide', 'Dantooine Wooly Hide', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', 'plain_resource', '1', '0', '-1');
INSERT INTO `resource_tree` VALUES ('195', 'hide_wooly_dathomir', 'Organic', 'Creature Resources', 'Creature Structural', 'Hide', 'Wooly Hide', 'Dathomirian Wooly Hide', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '2', '0', '-1');
INSERT INTO `resource_tree` VALUES ('196', 'hide_wooly_endor', 'Organic', 'Creature Resources', 'Creature Structural', 'Hide', 'Wooly Hide', 'Endorian Wooly Hide', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '3', '0', '-1');
INSERT INTO `resource_tree` VALUES ('197', 'hide_wooly_lok', 'Organic', 'Creature Resources', 'Creature Structural', 'Hide', 'Wooly Hide', 'Lokian Wooly Hide', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '4', '0', '-1');
INSERT INTO `resource_tree` VALUES ('198', 'hide_wooly_naboo', 'Organic', 'Creature Resources', 'Creature Structural', 'Hide', 'Wooly Hide', 'Nabooian Wooly Hide', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '5', '0', '-1');
INSERT INTO `resource_tree` VALUES ('199', 'hide_wooly_rori', 'Organic', 'Creature Resources', 'Creature Structural', 'Hide', 'Wooly Hide', 'Rori Wooly Hide', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '6', '0', '-1');
INSERT INTO `resource_tree` VALUES ('200', 'hide_wooly_talus', 'Organic', 'Creature Resources', 'Creature Structural', 'Hide', 'Wooly Hide', 'Talusian Wooly Hide', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '7', '0', '-1');
INSERT INTO `resource_tree` VALUES ('201', 'hide_wooly_tatooine', 'Organic', 'Creature Resources', 'Creature Structural', 'Hide', 'Wooly Hide', 'Tatooinian Wooly Hide', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '8', '0', '-1');
INSERT INTO `resource_tree` VALUES ('202', 'hide_wooly_yavin4', 'Organic', 'Creature Resources', 'Creature Structural', 'Hide', 'Wooly Hide', 'Yavinian Wooly Hide', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '9', '0', '-1');
INSERT INTO `resource_tree` VALUES ('203', 'hide_bristley', 'Organic', 'Creature Resources', 'Creature Structural', 'Hide', 'Bristley Hide', '', '', '10', '10', '10', '10', '0', '', '', '', '', '', '', '', '', '', '', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '', '-1', '0', '-1');
INSERT INTO `resource_tree` VALUES ('204', 'hide_bristley_corellia', 'Organic', 'Creature Resources', 'Creature Structural', 'Hide', 'Bristley Hide', 'Corellian Bristley Hide', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_bristley_hide.iff', 'plain_resource', '0', '0', '-1');
INSERT INTO `resource_tree` VALUES ('205', 'hide_bristley_dantooine', 'Organic', 'Creature Resources', 'Creature Structural', 'Hide', 'Bristley Hide', 'Dantooine Bristley Hide', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_bristley_hide.iff', 'plain_resource', '1', '0', '-1');
INSERT INTO `resource_tree` VALUES ('206', 'hide_bristley_dathomir', 'Organic', 'Creature Resources', 'Creature Structural', 'Hide', 'Bristley Hide', 'Dathomirian Bristley Hide', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_bristley_hide.iff', '', '2', '0', '-1');
INSERT INTO `resource_tree` VALUES ('207', 'hide_bristley_endor', 'Organic', 'Creature Resources', 'Creature Structural', 'Hide', 'Bristley Hide', 'Endorian Bristley Hide', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_bristley_hide.iff', '', '3', '0', '-1');
INSERT INTO `resource_tree` VALUES ('208', 'hide_bristley_lok', 'Organic', 'Creature Resources', 'Creature Structural', 'Hide', 'Bristley Hide', 'Lokian Bristley Hide', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_bristley_hide.iff', '', '4', '0', '-1');
INSERT INTO `resource_tree` VALUES ('209', 'hide_bristley_naboo', 'Organic', 'Creature Resources', 'Creature Structural', 'Hide', 'Bristley Hide', 'Nabooian Bristley Hide', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_bristley_hide.iff', '', '5', '0', '-1');
INSERT INTO `resource_tree` VALUES ('210', 'hide_bristley_rori', 'Organic', 'Creature Resources', 'Creature Structural', 'Hide', 'Bristley Hide', 'Rori Bristley Hide', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_bristley_hide.iff', '', '6', '0', '-1');
INSERT INTO `resource_tree` VALUES ('211', 'hide_bristley_talus', 'Organic', 'Creature Resources', 'Creature Structural', 'Hide', 'Bristley Hide', 'Talusian Bristley Hide', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_bristley_hide.iff', '', '7', '0', '-1');
INSERT INTO `resource_tree` VALUES ('212', 'hide_bristley_tatooine', 'Organic', 'Creature Resources', 'Creature Structural', 'Hide', 'Bristley Hide', 'Tatooinian Bristley Hide', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_bristley_hide.iff', '', '8', '0', '-1');
INSERT INTO `resource_tree` VALUES ('213', 'hide_bristley_yavin4', 'Organic', 'Creature Resources', 'Creature Structural', 'Hide', 'Bristley Hide', 'Yavinian Bristley Hide', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_bristley_hide.iff', '', '9', '0', '-1');
INSERT INTO `resource_tree` VALUES ('214', 'hide_leathery', 'Organic', 'Creature Resources', 'Creature Structural', 'Hide', 'Leathery Hide', '', '', '10', '10', '10', '10', '0', '', '', '', '', '', '', '', '', '', '', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '', '-1', '0', '-1');
INSERT INTO `resource_tree` VALUES ('215', 'hide_leathery_corellia', 'Organic', 'Creature Resources', 'Creature Structural', 'Hide', 'Leathery Hide', 'Corellian Leathery Hide', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', 'plain_resource', '0', '0', '-1');
INSERT INTO `resource_tree` VALUES ('216', 'hide_leathery_dantooine', 'Organic', 'Creature Resources', 'Creature Structural', 'Hide', 'Leathery Hide', 'Dantooine Leathery Hide', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', 'plain_resource', '1', '0', '-1');
INSERT INTO `resource_tree` VALUES ('217', 'hide_leathery_dathomir', 'Organic', 'Creature Resources', 'Creature Structural', 'Hide', 'Leathery Hide', 'Dathomirian Leathery Hide', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '2', '0', '-1');
INSERT INTO `resource_tree` VALUES ('218', 'hide_leathery_endor', 'Organic', 'Creature Resources', 'Creature Structural', 'Hide', 'Leathery Hide', 'Endorian Leathery Hide', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '3', '0', '-1');
INSERT INTO `resource_tree` VALUES ('219', 'hide_leathery_lok', 'Organic', 'Creature Resources', 'Creature Structural', 'Hide', 'Leathery Hide', 'Lokian Leathery Hide', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '4', '0', '-1');
INSERT INTO `resource_tree` VALUES ('220', 'hide_leathery_naboo', 'Organic', 'Creature Resources', 'Creature Structural', 'Hide', 'Leathery Hide', 'Nabooian Leathery Hide', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '5', '0', '-1');
INSERT INTO `resource_tree` VALUES ('221', 'hide_leathery_rori', 'Organic', 'Creature Resources', 'Creature Structural', 'Hide', 'Leathery Hide', 'Rori Leathery Hide', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '6', '0', '-1');
INSERT INTO `resource_tree` VALUES ('222', 'hide_leathery_talus', 'Organic', 'Creature Resources', 'Creature Structural', 'Hide', 'Leathery Hide', 'Talusian Leathery Hide', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '7', '0', '-1');
INSERT INTO `resource_tree` VALUES ('223', 'hide_leathery_tatooine', 'Organic', 'Creature Resources', 'Creature Structural', 'Hide', 'Leathery Hide', 'Tatooinian Leathery Hide', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '8', '0', '-1');
INSERT INTO `resource_tree` VALUES ('224', 'hide_leathery_yavin4', 'Organic', 'Creature Resources', 'Creature Structural', 'Hide', 'Leathery Hide', 'Yavinian Leathery Hide', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', '', '9', '0', '-1');
INSERT INTO `resource_tree` VALUES ('225', 'hide_scaley', 'Organic', 'Creature Resources', 'Creature Structural', 'Hide', 'Scaley Hide', '', '', '10', '10', '10', '10', '0', '', '', '', '', '', '', '', '', '', '', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '', '-1', '0', '-1');
INSERT INTO `resource_tree` VALUES ('226', 'hide_scaley_corellia', 'Organic', 'Creature Resources', 'Creature Structural', 'Hide', 'Scaley Hide', 'Corellian Scaley Hide', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_scaley_hide.iff', 'plain_resource', '0', '0', '-1');
INSERT INTO `resource_tree` VALUES ('227', 'hide_scaley_dantooine', 'Organic', 'Creature Resources', 'Creature Structural', 'Hide', 'Scaley Hide', 'Dantooine Scaley Hide', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_scaley_hide.iff', 'plain_resource', '1', '0', '-1');
INSERT INTO `resource_tree` VALUES ('228', 'hide_scaley_dathomir', 'Organic', 'Creature Resources', 'Creature Structural', 'Hide', 'Scaley Hide', 'Dathomirian Scaley Hide', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_scaley_hide.iff', '', '2', '0', '-1');
INSERT INTO `resource_tree` VALUES ('229', 'hide_scaley_endor', 'Organic', 'Creature Resources', 'Creature Structural', 'Hide', 'Scaley Hide', 'Endorian Scaley Hide', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_scaley_hide.iff', '', '3', '0', '-1');
INSERT INTO `resource_tree` VALUES ('230', 'hide_scaley_lok', 'Organic', 'Creature Resources', 'Creature Structural', 'Hide', 'Scaley Hide', 'Lokian Scaley Hide', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_scaley_hide.iff', '', '4', '0', '-1');
INSERT INTO `resource_tree` VALUES ('231', 'hide_scaley_naboo', 'Organic', 'Creature Resources', 'Creature Structural', 'Hide', 'Scaley Hide', 'Nabooian Scaley Hide', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_scaley_hide.iff', '', '5', '0', '-1');
INSERT INTO `resource_tree` VALUES ('232', 'hide_scaley_rori', 'Organic', 'Creature Resources', 'Creature Structural', 'Hide', 'Scaley Hide', 'Rori Scaley Hide', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_scaley_hide.iff', '', '6', '0', '-1');
INSERT INTO `resource_tree` VALUES ('233', 'hide_scaley_talus', 'Organic', 'Creature Resources', 'Creature Structural', 'Hide', 'Scaley Hide', 'Talusian Scaley Hide', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_scaley_hide.iff', '', '7', '0', '-1');
INSERT INTO `resource_tree` VALUES ('234', 'hide_scaley_tatooine', 'Organic', 'Creature Resources', 'Creature Structural', 'Hide', 'Scaley Hide', 'Tatooinian Scaley Hide', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_scaley_hide.iff', '', '8', '0', '-1');
INSERT INTO `resource_tree` VALUES ('235', 'hide_scaley_yavin4', 'Organic', 'Creature Resources', 'Creature Structural', 'Hide', 'Scaley Hide', 'Yavinian Scaley Hide', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_scaley_hide.iff', '', '9', '0', '-1');
INSERT INTO `resource_tree` VALUES ('236', 'flora_resources', 'Organic', 'Flora Resources', '', '', '', '', '', '184', '184', '0', '0', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '', '-1', '0', '3');
INSERT INTO `resource_tree` VALUES ('237', 'flora_food', 'Organic', 'Flora Resources', 'Flora Food', '', '', '', '', '153', '153', '150', '150', '0', '', '', '', '', '', '', '', '', '', '', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '', '-1', '0', '3');
INSERT INTO `resource_tree` VALUES ('238', 'cereal', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', '', '', '', '81', '81', '80', '80', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', 'plain_resource', '-1', '0', '3');
INSERT INTO `resource_tree` VALUES ('239', 'processed_cereal', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Processed Cereal', '', '', '1', '1', '1', '1', '1', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '200', '200', '200', '200', '200', '200', '200', '200', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', 'plain_resource', '-1', '0', '3');
INSERT INTO `resource_tree` VALUES ('240', 'corn', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Corn', '', '', '20', '20', '20', '20', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', 'plain_resource', '-1', '0', '3');
INSERT INTO `resource_tree` VALUES ('241', 'corn_domesticated', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Corn', 'Domesticated Corn', '', '10', '10', '10', '10', '0', '', '', '', '', '', '', '', '', '', '', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_corn.iff', '', '-1', '0', '3');
INSERT INTO `resource_tree` VALUES ('242', 'corn_domesticated_corellia', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Corn', 'Domesticated Corn', 'Corellian Domesticated Corn', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_corn.iff', 'plain_resource', '0', '0', '3');
INSERT INTO `resource_tree` VALUES ('243', 'corn_domesticated_dantooine', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Corn', 'Domesticated Corn', 'Dantooine Domesticated Corn', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_corn.iff', 'plain_resource', '1', '0', '3');
INSERT INTO `resource_tree` VALUES ('244', 'corn_domesticated_dathomir', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Corn', 'Domesticated Corn', 'Dathomirian Domesticated Corn', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_corn.iff', '', '2', '0', '3');
INSERT INTO `resource_tree` VALUES ('245', 'corn_domesticated_endor', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Corn', 'Domesticated Corn', 'Endorian Domesticated Corn', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_corn.iff', '', '3', '0', '3');
INSERT INTO `resource_tree` VALUES ('246', 'corn_domesticated_lok', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Corn', 'Domesticated Corn', 'Lokian Domesticated Corn', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_corn.iff', '', '4', '0', '3');
INSERT INTO `resource_tree` VALUES ('247', 'corn_domesticated_naboo', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Corn', 'Domesticated Corn', 'Nabooian Domesticated Corn', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_corn.iff', '', '5', '0', '3');
INSERT INTO `resource_tree` VALUES ('248', 'corn_domesticated_rori', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Corn', 'Domesticated Corn', 'Rori Domesticated Corn', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_corn.iff', '', '6', '0', '3');
INSERT INTO `resource_tree` VALUES ('249', 'corn_domesticated_talus', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Corn', 'Domesticated Corn', 'Talusian Domesticated Corn', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_corn.iff', '', '7', '0', '3');
INSERT INTO `resource_tree` VALUES ('250', 'corn_domesticated_tatooine', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Corn', 'Domesticated Corn', 'Tatooinian Domesticated Corn', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_corn.iff', '', '8', '0', '3');
INSERT INTO `resource_tree` VALUES ('251', 'corn_domesticated_yavin4', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Corn', 'Domesticated Corn', 'Yavinian Domesticated Corn', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_corn.iff', '', '9', '0', '3');
INSERT INTO `resource_tree` VALUES ('252', 'corn_wild', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Corn', 'Wild Corn', '', '10', '10', '10', '10', '0', '', '', '', '', '', '', '', '', '', '', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '', '-1', '0', '3');
INSERT INTO `resource_tree` VALUES ('253', 'corn_wild_corellia', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Corn', 'Wild Corn', 'Corellian Wild Corn', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_corn.iff', 'plain_resource', '0', '0', '3');
INSERT INTO `resource_tree` VALUES ('254', 'corn_wild_dantooine', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Corn', 'Wild Corn', 'Dantooine Wild Corn', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_corn.iff', 'plain_resource', '1', '0', '3');
INSERT INTO `resource_tree` VALUES ('255', 'corn_wild_dathomir', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Corn', 'Wild Corn', 'Dathomirian Wild Corn', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_corn.iff', '', '2', '0', '3');
INSERT INTO `resource_tree` VALUES ('256', 'corn_wild_endor', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Corn', 'Wild Corn', 'Endorian Wild Corn', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_corn.iff', '', '3', '0', '3');
INSERT INTO `resource_tree` VALUES ('257', 'corn_wild_lok', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Corn', 'Wild Corn', 'Lokian Wild Corn', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_corn.iff', '', '4', '0', '3');
INSERT INTO `resource_tree` VALUES ('258', 'corn_wild_naboo', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Corn', 'Wild Corn', 'Nabooian Wild Corn', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_corn.iff', '', '5', '0', '3');
INSERT INTO `resource_tree` VALUES ('259', 'corn_wild_rori', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Corn', 'Wild Corn', 'Rori Wild Corn', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_corn.iff', '', '6', '0', '3');
INSERT INTO `resource_tree` VALUES ('260', 'corn_wild_talus', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Corn', 'Wild Corn', 'Talusian Wild Corn', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_corn.iff', '', '7', '0', '3');
INSERT INTO `resource_tree` VALUES ('261', 'corn_wild_tatooine', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Corn', 'Wild Corn', 'Tatooinian Wild Corn', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_corn.iff', '', '8', '0', '3');
INSERT INTO `resource_tree` VALUES ('262', 'corn_wild_yavin4', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Corn', 'Wild Corn', 'Yavinian Wild Corn', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_corn.iff', '', '9', '0', '3');
INSERT INTO `resource_tree` VALUES ('263', 'rice', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Rice', '', '', '20', '20', '20', '20', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', 'plain_resource', '-1', '0', '3');
INSERT INTO `resource_tree` VALUES ('264', 'rice_domesticated', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Rice', 'Domesticated Rice', '', '10', '10', '10', '10', '0', '', '', '', '', '', '', '', '', '', '', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_rice.iff', '', '-1', '0', '3');
INSERT INTO `resource_tree` VALUES ('265', 'rice_domesticated_corellia', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Rice', 'Domesticated Rice', 'Corellian Domesticated Rice', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_rice.iff', 'plain_resource', '0', '0', '3');
INSERT INTO `resource_tree` VALUES ('266', 'rice_domesticated_dantooine', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Rice', 'Domesticated Rice', 'Dantooine Domesticated Rice', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_rice.iff', 'plain_resource', '1', '0', '3');
INSERT INTO `resource_tree` VALUES ('267', 'rice_domesticated_dathomir', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Rice', 'Domesticated Rice', 'Dathomirian Domesticated Rice', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_rice.iff', '', '2', '0', '3');
INSERT INTO `resource_tree` VALUES ('268', 'rice_domesticated_endor', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Rice', 'Domesticated Rice', 'Endorian Domesticated Rice', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_rice.iff', '', '3', '0', '3');
INSERT INTO `resource_tree` VALUES ('269', 'rice_domesticated_lok', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Rice', 'Domesticated Rice', 'Lokian Domesticated Rice', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_rice.iff', '', '4', '0', '3');
INSERT INTO `resource_tree` VALUES ('270', 'rice_domesticated_naboo', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Rice', 'Domesticated Rice', 'Nabooian Domesticated Rice', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_rice.iff', '', '5', '0', '3');
INSERT INTO `resource_tree` VALUES ('271', 'rice_domesticated_rori', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Rice', 'Domesticated Rice', 'Rori Domesticated Rice', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_rice.iff', '', '6', '0', '3');
INSERT INTO `resource_tree` VALUES ('272', 'rice_domesticated_talus', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Rice', 'Domesticated Rice', 'Talusian Domesticated Rice', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_rice.iff', '', '7', '0', '3');
INSERT INTO `resource_tree` VALUES ('273', 'rice_domesticated_tatooine', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Rice', 'Domesticated Rice', 'Tatooinian Domesticated Rice', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_rice.iff', '', '8', '0', '3');
INSERT INTO `resource_tree` VALUES ('274', 'rice_domesticated_yavin4', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Rice', 'Domesticated Rice', 'Yavinian Domesticated Rice', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_rice.iff', '', '9', '0', '3');
INSERT INTO `resource_tree` VALUES ('275', 'rice_wild', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Rice', 'Wild Rice', '', '10', '10', '10', '10', '0', '', '', '', '', '', '', '', '', '', '', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '', '-1', '0', '3');
INSERT INTO `resource_tree` VALUES ('276', 'rice_wild_corellia', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Rice', 'Wild Rice', 'Corellian Wild Rice', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_rice.iff', 'plain_resource', '0', '0', '3');
INSERT INTO `resource_tree` VALUES ('277', 'rice_wild_dantooine', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Rice', 'Wild Rice', 'Dantooine Wild Rice', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_rice.iff', 'plain_resource', '1', '0', '3');
INSERT INTO `resource_tree` VALUES ('278', 'rice_wild_dathomir', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Rice', 'Wild Rice', 'Dathomirian Wild Rice', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_rice.iff', '', '2', '0', '3');
INSERT INTO `resource_tree` VALUES ('279', 'rice_wild_endor', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Rice', 'Wild Rice', 'Endorian Wild Rice', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_rice.iff', '', '3', '0', '3');
INSERT INTO `resource_tree` VALUES ('280', 'rice_wild_lok', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Rice', 'Wild Rice', 'Lokian Wild Rice', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_rice.iff', '', '4', '0', '3');
INSERT INTO `resource_tree` VALUES ('281', 'rice_wild_naboo', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Rice', 'Wild Rice', 'Nabooian Wild Rice', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_rice.iff', '', '5', '0', '3');
INSERT INTO `resource_tree` VALUES ('282', 'rice_wild_rori', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Rice', 'Wild Rice', 'Rori Wild Rice', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_rice.iff', '', '6', '0', '3');
INSERT INTO `resource_tree` VALUES ('283', 'rice_wild_talus', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Rice', 'Wild Rice', 'Talusian Wild Rice', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_rice.iff', '', '7', '0', '3');
INSERT INTO `resource_tree` VALUES ('284', 'rice_wild_tatooine', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Rice', 'Wild Rice', 'Tatooinian Wild Rice', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_rice.iff', '', '8', '0', '3');
INSERT INTO `resource_tree` VALUES ('285', 'rice_wild_yavin4', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Rice', 'Wild Rice', 'Yavinian Wild Rice', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_rice.iff', '', '9', '0', '3');
INSERT INTO `resource_tree` VALUES ('286', 'oats', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Oats', '', '', '20', '20', '20', '20', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', 'plain_resource', '-1', '0', '3');
INSERT INTO `resource_tree` VALUES ('287', 'oats_domesticated', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Oats', 'Domesticated Oats', '', '10', '10', '10', '10', '0', '', '', '', '', '', '', '', '', '', '', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_oats.iff', '', '-1', '0', '3');
INSERT INTO `resource_tree` VALUES ('288', 'oats_domesticated_corellia', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Oats', 'Domesticated Oats', 'Corellian Domesticated Oats', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_oats.iff', 'plain_resource', '0', '0', '3');
INSERT INTO `resource_tree` VALUES ('289', 'oats_domesticated_dantooine', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Oats', 'Domesticated Oats', 'Dantooine Domesticated Oats', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_oats.iff', 'plain_resource', '1', '0', '3');
INSERT INTO `resource_tree` VALUES ('290', 'oats_domesticated_dathomir', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Oats', 'Domesticated Oats', 'Dathomirian Domesticated Oats', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_oats.iff', '', '2', '0', '3');
INSERT INTO `resource_tree` VALUES ('291', 'oats_domesticated_endor', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Oats', 'Domesticated Oats', 'Endorian Domesticated Oats', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_oats.iff', '', '3', '0', '3');
INSERT INTO `resource_tree` VALUES ('292', 'oats_domesticated_lok', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Oats', 'Domesticated Oats', 'Lokian Domesticated Oats', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_oats.iff', '', '4', '0', '3');
INSERT INTO `resource_tree` VALUES ('293', 'oats_domesticated_naboo', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Oats', 'Domesticated Oats', 'Nabooian Domesticated Oats', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_oats.iff', '', '5', '0', '3');
INSERT INTO `resource_tree` VALUES ('294', 'oats_domesticated_rori', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Oats', 'Domesticated Oats', 'Rori Domesticated Oats', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_oats.iff', '', '6', '0', '3');
INSERT INTO `resource_tree` VALUES ('295', 'oats_domesticated_talus', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Oats', 'Domesticated Oats', 'Talusian Domesticated Oats', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_oats.iff', '', '7', '0', '3');
INSERT INTO `resource_tree` VALUES ('296', 'oats_domesticated_tatooine', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Oats', 'Domesticated Oats', 'Tatooinian Domesticated Oats', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_oats.iff', '', '8', '0', '3');
INSERT INTO `resource_tree` VALUES ('297', 'oats_domesticated_yavin4', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Oats', 'Domesticated Oats', 'Yavinian Domesticated Oats', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_oats.iff', '', '9', '0', '3');
INSERT INTO `resource_tree` VALUES ('298', 'oats_wild', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Oats', 'Wild Oats', '', '10', '10', '10', '10', '0', '', '', '', '', '', '', '', '', '', '', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '', '-1', '0', '3');
INSERT INTO `resource_tree` VALUES ('299', 'oats_wild_corellia', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Oats', 'Wild Oats', 'Corellian Wild Oats', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_oats.iff', 'plain_resource', '0', '0', '3');
INSERT INTO `resource_tree` VALUES ('300', 'oats_wild_dantooine', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Oats', 'Wild Oats', 'Dantooine Wild Oats', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_oats.iff', 'plain_resource', '1', '0', '3');
INSERT INTO `resource_tree` VALUES ('301', 'oats_wild_dathomir', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Oats', 'Wild Oats', 'Dathomirian Wild Oats', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_oats.iff', '', '2', '0', '3');
INSERT INTO `resource_tree` VALUES ('302', 'oats_wild_endor', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Oats', 'Wild Oats', 'Endorian Wild Oats', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_oats.iff', '', '3', '0', '3');
INSERT INTO `resource_tree` VALUES ('303', 'oats_wild_lok', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Oats', 'Wild Oats', 'Lokian Wild Oats', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_oats.iff', '', '4', '0', '3');
INSERT INTO `resource_tree` VALUES ('304', 'oats_wild_naboo', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Oats', 'Wild Oats', 'Nabooian Wild Oats', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_oats.iff', '', '5', '0', '3');
INSERT INTO `resource_tree` VALUES ('305', 'oats_wild_rori', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Oats', 'Wild Oats', 'Rori Wild Oats', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_oats.iff', '', '6', '0', '3');
INSERT INTO `resource_tree` VALUES ('306', 'oats_wild_talus', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Oats', 'Wild Oats', 'Talusian Wild Oats', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_oats.iff', '', '7', '0', '3');
INSERT INTO `resource_tree` VALUES ('307', 'oats_wild_tatooine', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Oats', 'Wild Oats', 'Tatooinian Wild Oats', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_oats.iff', '', '8', '0', '3');
INSERT INTO `resource_tree` VALUES ('308', 'oats_wild_yavin4', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Oats', 'Wild Oats', 'Yavinian Wild Oats', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_oats.iff', '', '9', '0', '3');
INSERT INTO `resource_tree` VALUES ('309', 'wheat', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Wheat', '', '', '20', '20', '20', '20', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', 'plain_resource', '-1', '0', '3');
INSERT INTO `resource_tree` VALUES ('310', 'wheat_domesticated', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Wheat', 'Domesticated Wheat', '', '10', '10', '10', '10', '0', '', '', '', '', '', '', '', '', '', '', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_wheat.iff', '', '-1', '0', '3');
INSERT INTO `resource_tree` VALUES ('311', 'wheat_domesticated_corellia', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Wheat', 'Domesticated Wheat', 'Corellian Domesticated Wheat', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_wheat.iff', 'plain_resource', '0', '0', '3');
INSERT INTO `resource_tree` VALUES ('312', 'wheat_domesticated_dantooine', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Wheat', 'Domesticated Wheat', 'Dantooine Domesticated Wheat', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_wheat.iff', 'plain_resource', '1', '0', '3');
INSERT INTO `resource_tree` VALUES ('313', 'wheat_domesticated_dathomir', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Wheat', 'Domesticated Wheat', 'Dathomirian Domesticated Wheat', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_wheat.iff', '', '2', '0', '3');
INSERT INTO `resource_tree` VALUES ('314', 'wheat_domesticated_endor', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Wheat', 'Domesticated Wheat', 'Endorian Domesticated Wheat', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_wheat.iff', '', '3', '0', '3');
INSERT INTO `resource_tree` VALUES ('315', 'wheat_domesticated_lok', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Wheat', 'Domesticated Wheat', 'Lokian Domesticated Wheat', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_wheat.iff', '', '4', '0', '3');
INSERT INTO `resource_tree` VALUES ('316', 'wheat_domesticated_naboo', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Wheat', 'Domesticated Wheat', 'Nabooian Domesticated Wheat', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_wheat.iff', '', '5', '0', '3');
INSERT INTO `resource_tree` VALUES ('317', 'wheat_domesticated_rori', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Wheat', 'Domesticated Wheat', 'Rori Domesticated Wheat', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_wheat.iff', '', '6', '0', '3');
INSERT INTO `resource_tree` VALUES ('318', 'wheat_domesticated_talus', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Wheat', 'Domesticated Wheat', 'Talusian Domesticated Wheat', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_wheat.iff', '', '7', '0', '3');
INSERT INTO `resource_tree` VALUES ('319', 'wheat_domesticated_tatooine', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Wheat', 'Domesticated Wheat', 'Tatooinian Domesticated Wheat', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_wheat.iff', '', '8', '0', '3');
INSERT INTO `resource_tree` VALUES ('320', 'wheat_domesticated_yavin4', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Wheat', 'Domesticated Wheat', 'Yavinian Domesticated Wheat', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '700', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_wheat.iff', '', '9', '0', '3');
INSERT INTO `resource_tree` VALUES ('321', 'wheat_wild', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Wheat', 'Wild Wheat', '', '10', '10', '10', '10', '0', '', '', '', '', '', '', '', '', '', '', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '', '-1', '0', '3');
INSERT INTO `resource_tree` VALUES ('322', 'wheat_wild_corellia', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Wheat', 'Wild Wheat', 'Corellian Wild Wheat', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_wheat.iff', 'plain_resource', '0', '0', '3');
INSERT INTO `resource_tree` VALUES ('323', 'wheat_wild_dantooine', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Wheat', 'Wild Wheat', 'Dantooine Wild Wheat', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_wheat.iff', 'plain_resource', '1', '0', '3');
INSERT INTO `resource_tree` VALUES ('324', 'wheat_wild_dathomir', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Wheat', 'Wild Wheat', 'Dathomir Wild Wheat', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_wheat.iff', '', '2', '0', '3');
INSERT INTO `resource_tree` VALUES ('325', 'wheat_wild_endor', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Wheat', 'Wild Wheat', 'Endorian Wild Wheat', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_wheat.iff', '', '3', '0', '3');
INSERT INTO `resource_tree` VALUES ('326', 'wheat_wild_lok', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Wheat', 'Wild Wheat', 'Lokian Wild Wheat', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_wheat.iff', '', '4', '0', '3');
INSERT INTO `resource_tree` VALUES ('327', 'wheat_wild_naboo', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Wheat', 'Wild Wheat', 'Nabooian Wild Wheat', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_wheat.iff', '', '5', '0', '3');
INSERT INTO `resource_tree` VALUES ('328', 'wheat_wild_rori', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Wheat', 'Wild Wheat', 'Rori Wild Wheat', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_wheat.iff', '', '6', '0', '3');
INSERT INTO `resource_tree` VALUES ('329', 'wheat_wild_talus', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Wheat', 'Wild Wheat', 'Talusian Wild Wheat', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_wheat.iff', '', '7', '0', '3');
INSERT INTO `resource_tree` VALUES ('330', 'wheat_wild_tatooine', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Wheat', 'Wild Wheat', 'Tatooinian Wild Wheat', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_wheat.iff', '', '8', '0', '3');
INSERT INTO `resource_tree` VALUES ('331', 'wheat_wild_yavin4', 'Organic', 'Flora Resources', 'Flora Food', 'Cereal', 'Wheat', 'Wild Wheat', 'Yavinian Wild Wheat', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_wheat.iff', '', '9', '0', '3');
INSERT INTO `resource_tree` VALUES ('332', 'seeds', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', '', '', '', '72', '72', '70', '70', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', 'plain_resource', '-1', '0', '3');
INSERT INTO `resource_tree` VALUES ('333', 'vegetable', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Vegetables', '', '', '41', '41', '40', '40', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', 'plain_resource', '-1', '0', '3');
INSERT INTO `resource_tree` VALUES ('334', 'mixed_vegetables', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Vegetables', 'Mixed Vegetables', '', '1', '1', '1', '1', '1', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '200', '200', '200', '200', '200', '200', '200', '200', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', 'plain_resource', '-1', '0', '3');
INSERT INTO `resource_tree` VALUES ('335', 'vegetable_greens', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Vegetables', 'Greens', '', '10', '10', '10', '10', '0', '', '', '', '', '', '', '', '', '', '', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '', '-1', '0', '3');
INSERT INTO `resource_tree` VALUES ('336', 'vegetable_greens_corellia', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Vegetables', 'Greens', 'Corellian Vegetable Greens', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_green_vegetables.iff', 'plain_resource', '0', '0', '3');
INSERT INTO `resource_tree` VALUES ('337', 'vegetable_greens_dantooine', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Vegetables', 'Greens', 'Dantooine Vegetable Greens', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_green_vegetables.iff', 'plain_resource', '1', '0', '3');
INSERT INTO `resource_tree` VALUES ('338', 'vegetable_greens_dathomir', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Vegetables', 'Greens', 'Dathomirian Vegetable Greens', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_green_vegetables.iff', '', '2', '0', '3');
INSERT INTO `resource_tree` VALUES ('339', 'vegetable_greens_endor', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Vegetables', 'Greens', 'Endorian Vegetable Greens', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_green_vegetables.iff', '', '3', '0', '3');
INSERT INTO `resource_tree` VALUES ('340', 'vegetable_greens_lok', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Vegetables', 'Greens', 'Lokian Vegetable Greens', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_green_vegetables.iff', '', '4', '0', '3');
INSERT INTO `resource_tree` VALUES ('341', 'vegetable_greens_naboo', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Vegetables', 'Greens', 'Nabooian Vegetable Greens', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_green_vegetables.iff', '', '5', '0', '3');
INSERT INTO `resource_tree` VALUES ('342', 'vegetable_greens_rori', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Vegetables', 'Greens', 'Rori Vegetable Greens', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_green_vegetables.iff', '', '6', '0', '3');
INSERT INTO `resource_tree` VALUES ('343', 'vegetable_greens_talus', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Vegetables', 'Greens', 'Talusian Vegetable Greens', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_green_vegetables.iff', '', '7', '0', '3');
INSERT INTO `resource_tree` VALUES ('344', 'vegetable_greens_tatooine', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Vegetables', 'Greens', 'Tatooinian Vegetable Greens', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_green_vegetables.iff', '', '8', '0', '3');
INSERT INTO `resource_tree` VALUES ('345', 'vegetable_greens_yavin4', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Vegetables', 'Greens', 'Yavinian Vegetable Greens', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_green_vegetables.iff', '', '9', '0', '3');
INSERT INTO `resource_tree` VALUES ('346', 'vegetable_beans', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Vegetables', 'Beans', '', '10', '10', '10', '10', '0', '', '', '', '', '', '', '', '', '', '', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '', '-1', '0', '3');
INSERT INTO `resource_tree` VALUES ('347', 'vegetable_beans_corellia', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Vegetables', 'Beans', 'Corellian Vegetable Beans', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_bean.iff', 'plain_resource', '0', '0', '3');
INSERT INTO `resource_tree` VALUES ('348', 'vegetable_beans_dantooine', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Vegetables', 'Beans', 'Dantooine Vegetable Beans', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_bean.iff', 'plain_resource', '1', '0', '3');
INSERT INTO `resource_tree` VALUES ('349', 'vegetable_beans_dathomir', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Vegetables', 'Beans', 'Dathomirian Vegetable Beans', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_bean.iff', '', '2', '0', '3');
INSERT INTO `resource_tree` VALUES ('350', 'vegetable_beans_endor', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Vegetables', 'Beans', 'Endorian Vegetable Beans', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_bean.iff', '', '3', '0', '3');
INSERT INTO `resource_tree` VALUES ('351', 'vegetable_beans_lok', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Vegetables', 'Beans', 'Lokian Vegetable Beans', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_bean.iff', '', '4', '0', '3');
INSERT INTO `resource_tree` VALUES ('352', 'vegetable_beans_naboo', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Vegetables', 'Beans', 'Nabooian Vegetable Beans', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_bean.iff', '', '5', '0', '3');
INSERT INTO `resource_tree` VALUES ('353', 'vegetable_beans_rori', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Vegetables', 'Beans', 'Rori Vegetable Beans', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_bean.iff', '', '6', '0', '3');
INSERT INTO `resource_tree` VALUES ('354', 'vegetable_beans_talus', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Vegetables', 'Beans', 'Talusian Vegetable Beans', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_bean.iff', '', '7', '0', '3');
INSERT INTO `resource_tree` VALUES ('355', 'vegetable_beans_tatooine', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Vegetables', 'Beans', 'Tatooinian Vegetable Beans', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_bean.iff', '', '8', '0', '3');
INSERT INTO `resource_tree` VALUES ('356', 'vegetable_beans_yavin4', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Vegetables', 'Beans', 'Yavinian Vegetable Beans', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_bean.iff', '', '9', '0', '3');
INSERT INTO `resource_tree` VALUES ('357', 'vegetable_tubers', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Vegetables', 'Tubers', '', '10', '10', '10', '10', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '', '-1', '0', '3');
INSERT INTO `resource_tree` VALUES ('358', 'vegetable_tubers_corellia', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Vegetables', 'Tubers', 'Corellian Vegetable Tubers', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_tuber.iff', 'plain_resource', '0', '0', '3');
INSERT INTO `resource_tree` VALUES ('359', 'vegetable_tubers_dantooine', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Vegetables', 'Tubers', 'Dantooine Vegetable Tubers', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_tuber.iff', 'plain_resource', '1', '0', '3');
INSERT INTO `resource_tree` VALUES ('360', 'vegetable_tubers_dathomir', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Vegetables', 'Tubers', 'Dathomirian Vegetable Tubers', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_tuber.iff', '', '2', '0', '3');
INSERT INTO `resource_tree` VALUES ('361', 'vegetable_tubers_endor', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Vegetables', 'Tubers', 'Endorian Vegetable Tubers', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_tuber.iff', '', '3', '0', '3');
INSERT INTO `resource_tree` VALUES ('362', 'vegetable_tubers_lok', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Vegetables', 'Tubers', 'Lokian Vegetable Tubers', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_tuber.iff', '', '4', '0', '3');
INSERT INTO `resource_tree` VALUES ('363', 'vegetable_tubers_naboo', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Vegetables', 'Tubers', 'Nabooian Vegetable Tubers', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_tuber.iff', '', '5', '0', '3');
INSERT INTO `resource_tree` VALUES ('364', 'vegetable_tubers_rori', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Vegetables', 'Tubers', 'Rori Vegetable Tubers', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_tuber.iff', '', '6', '0', '3');
INSERT INTO `resource_tree` VALUES ('365', 'vegetable_tubers_talus', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Vegetables', 'Tubers', 'Talusian Vegetable Tubers', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_tuber.iff', '', '7', '0', '3');
INSERT INTO `resource_tree` VALUES ('366', 'vegetable_tubers_tatooine', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Vegetables', 'Tubers', 'Tatooinian Vegetable Tubers', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_tuber.iff', '', '8', '0', '3');
INSERT INTO `resource_tree` VALUES ('367', 'vegetable_tubers_yavin4', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Vegetables', 'Tubers', 'Yavinian Vegetable Tubers', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_tuber.iff', '', '9', '0', '3');
INSERT INTO `resource_tree` VALUES ('368', 'vegetable_fungi', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Vegetables', 'Fungi', '', '10', '10', '10', '10', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '', '-1', '0', '3');
INSERT INTO `resource_tree` VALUES ('369', 'vegetable_fungi_corellia', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Vegetables', 'Fungi', 'Corellian Vegetable Fungus', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_fungi.iff', 'plain_resource', '0', '0', '3');
INSERT INTO `resource_tree` VALUES ('370', 'vegetable_fungi_dantooine', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Vegetables', 'Fungi', 'Dantooine Vegetable Fungus', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_fungi.iff', 'plain_resource', '1', '0', '3');
INSERT INTO `resource_tree` VALUES ('371', 'vegetable_fungi_dathomir', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Vegetables', 'Fungi', 'Dathomirian Vegetable Fungus', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_fungi.iff', '', '2', '0', '3');
INSERT INTO `resource_tree` VALUES ('372', 'vegetable_fungi_endor', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Vegetables', 'Fungi', 'Endorian Vegetable Fungus', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_fungi.iff', '', '3', '0', '3');
INSERT INTO `resource_tree` VALUES ('373', 'vegetable_fungi_lok', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Vegetables', 'Fungi', 'Lokian Vegetable Fungus', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_fungi.iff', '', '4', '0', '3');
INSERT INTO `resource_tree` VALUES ('374', 'vegetable_fungi_naboo', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Vegetables', 'Fungi', 'Nabooian Vegetable Fungus', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_fungi.iff', '', '5', '0', '3');
INSERT INTO `resource_tree` VALUES ('375', 'vegetable_fungi_rori', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Vegetables', 'Fungi', 'Rori Vegetable Fungus', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_fungi.iff', '', '6', '0', '3');
INSERT INTO `resource_tree` VALUES ('376', 'vegetable_fungi_talus', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Vegetables', 'Fungi', 'Talusian Vegetable Fungus', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_fungi.iff', '', '7', '0', '3');
INSERT INTO `resource_tree` VALUES ('377', 'vegetable_fungi_tatooine', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Vegetables', 'Fungi', 'Tatooinian Vegetable Fungus', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_fungi.iff', '', '8', '0', '3');
INSERT INTO `resource_tree` VALUES ('378', 'vegetable_fungi_yavin4', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Vegetables', 'Fungi', 'Yavinian Vegetable Fungus', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_fungi.iff', '', '9', '0', '3');
INSERT INTO `resource_tree` VALUES ('379', 'fruit', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Fruit', '', '', '31', '31', '30', '30', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', 'plain_resource', '-1', '0', '3');
INSERT INTO `resource_tree` VALUES ('380', 'mixed_fruits', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Fruit', 'Mixed Fruits', '', '1', '1', '1', '1', '1', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '200', '200', '200', '200', '200', '200', '200', '200', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_fruit.iff', 'plain_resource', '-1', '0', '3');
INSERT INTO `resource_tree` VALUES ('381', 'fruit_fruits', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Fruit', 'Fruits', '', '10', '10', '10', '10', '0', '', '', '', '', '', '', '', '', '', '', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '', '-1', '0', '3');
INSERT INTO `resource_tree` VALUES ('382', 'fruit_fruits_corellia', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Fruit', 'Fruits', 'Corellian Fruit', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_fruit.iff', 'plain_resource', '0', '0', '3');
INSERT INTO `resource_tree` VALUES ('383', 'fruit_fruits_dantooine', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Fruit', 'Fruits', 'Dantooine Fruit', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_fruit.iff', 'plain_resource', '1', '0', '3');
INSERT INTO `resource_tree` VALUES ('384', 'fruit_fruits_dathomir', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Fruit', 'Fruits', 'Dathomirian Fruit', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_fruit.iff', '', '2', '0', '3');
INSERT INTO `resource_tree` VALUES ('385', 'fruit_fruits_endor', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Fruit', 'Fruits', 'Endorian Fruit', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_fruit.iff', '', '3', '0', '3');
INSERT INTO `resource_tree` VALUES ('386', 'fruit_fruits_lok', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Fruit', 'Fruits', 'Lokian Fruit', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_fruit.iff', '', '4', '0', '3');
INSERT INTO `resource_tree` VALUES ('387', 'fruit_fruits_naboo', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Fruit', 'Fruits', 'Nabooian Fruit', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_fruit.iff', '', '5', '0', '3');
INSERT INTO `resource_tree` VALUES ('388', 'fruit_fruits_rori', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Fruit', 'Fruits', 'Rori Fruit', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_fruit.iff', '', '6', '0', '3');
INSERT INTO `resource_tree` VALUES ('389', 'fruit_fruits_talus', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Fruit', 'Fruits', 'Talusian Fruit', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_fruit.iff', '', '7', '0', '3');
INSERT INTO `resource_tree` VALUES ('390', 'fruit_fruits_tatooine', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Fruit', 'Fruits', 'Tatooinian Fruit', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_fruit.iff', '', '8', '0', '3');
INSERT INTO `resource_tree` VALUES ('391', 'fruit_fruits_yavin4', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Fruit', 'Fruits', 'Yavinian Fruit', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_fruit.iff', '', '9', '0', '3');
INSERT INTO `resource_tree` VALUES ('392', 'fruit_berries', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Fruit', 'Berries', '', '10', '10', '10', '10', '0', '', '', '', '', '', '', '', '', '', '', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '', '-1', '0', '3');
INSERT INTO `resource_tree` VALUES ('393', 'fruit_berries_corellia', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Fruit', 'Berries', 'Corellia Berry Fruit', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_fruit.iff', 'plain_resource', '0', '0', '3');
INSERT INTO `resource_tree` VALUES ('394', 'fruit_berries_dantooine', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Fruit', 'Berries', 'Dantooine Berry Fruit', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_fruit.iff', 'plain_resource', '1', '0', '3');
INSERT INTO `resource_tree` VALUES ('395', 'fruit_berries_dathomir', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Fruit', 'Berries', 'Dathomirian Berry Fruit', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_fruit.iff', '', '2', '0', '3');
INSERT INTO `resource_tree` VALUES ('396', 'fruit_berries_endor', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Fruit', 'Berries', 'Endorian Berry Fruit', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_fruit.iff', '', '3', '0', '3');
INSERT INTO `resource_tree` VALUES ('397', 'fruit_berries_lok', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Fruit', 'Berries', 'Lokian Berry Fruit', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_fruit.iff', '', '4', '0', '3');
INSERT INTO `resource_tree` VALUES ('398', 'fruit_berries_naboo', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Fruit', 'Berries', 'Nabooian Berry Fruit', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_fruit.iff', '', '5', '0', '3');
INSERT INTO `resource_tree` VALUES ('399', 'fruit_berries_rori', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Fruit', 'Berries', 'Rori Berry Fruit', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_fruit.iff', '', '6', '0', '3');
INSERT INTO `resource_tree` VALUES ('400', 'fruit_berries_talus', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Fruit', 'Berries', 'Talusian Berry Fruit', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_fruit.iff', '', '7', '0', '3');
INSERT INTO `resource_tree` VALUES ('401', 'fruit_berries_tatooine', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Fruit', 'Berries', 'Tatooinian Berry Fruit', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_fruit.iff', '', '8', '0', '3');
INSERT INTO `resource_tree` VALUES ('402', 'fruit_berries_yavin4', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Fruit', 'Berries', 'Yavinian Berry Fruit', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_fruit.iff', '', '9', '0', '3');
INSERT INTO `resource_tree` VALUES ('403', 'fruit_flowers', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Fruit', 'Flowers', '', '10', '10', '10', '10', '0', '', '', '', '', '', '', '', '', '', '', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '', '-1', '0', '3');
INSERT INTO `resource_tree` VALUES ('404', 'fruit_flowers_corellia', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Fruit', 'Flowers', 'Corellia Flower Fruit', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_fruit.iff', 'plain_resource', '0', '0', '3');
INSERT INTO `resource_tree` VALUES ('405', 'fruit_flowers_dantooine', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Fruit', 'Flowers', 'Dantooine Flower Fruit', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_fruit.iff', 'plain_resource', '1', '0', '3');
INSERT INTO `resource_tree` VALUES ('406', 'fruit_flowers_dathomir', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Fruit', 'Flowers', 'Dathomirian Flower Fruit', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_fruit.iff', '', '2', '0', '3');
INSERT INTO `resource_tree` VALUES ('407', 'fruit_flowers_endor', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Fruit', 'Flowers', 'Endorian Flower Fruit', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_fruit.iff', '', '3', '0', '3');
INSERT INTO `resource_tree` VALUES ('408', 'fruit_flowers_lok', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Fruit', 'Flowers', 'Lokian Flower Fruit', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_fruit.iff', '', '4', '0', '3');
INSERT INTO `resource_tree` VALUES ('409', 'fruit_flowers_naboo', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Fruit', 'Flowers', 'Nabooian Flower Fruit', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_fruit.iff', '', '5', '0', '3');
INSERT INTO `resource_tree` VALUES ('410', 'fruit_flowers_rori', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Fruit', 'Flowers', 'Rori Flower Fruit', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_fruit.iff', '', '6', '0', '3');
INSERT INTO `resource_tree` VALUES ('411', 'fruit_flowers_talus', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Fruit', 'Flowers', 'Talusian Flower Fruit', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_fruit.iff', '', '7', '0', '3');
INSERT INTO `resource_tree` VALUES ('412', 'fruit_flowers_tatooine', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Fruit', 'Flowers', 'Tatooinian Flower Fruit', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_fruit.iff', '', '8', '0', '3');
INSERT INTO `resource_tree` VALUES ('413', 'fruit_flowers_yavin4', 'Organic', 'Flora Resources', 'Flora Food', 'Seeds', 'Fruit', 'Flowers', 'Yavinian Flower Fruit', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_flavor', 'res_potential_energy', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_fruit.iff', '', '9', '0', '3');
INSERT INTO `resource_tree` VALUES ('414', 'flora_structural', 'Organic', 'Flora Resources', 'Flora Structural', '', '', '', '', '31', '31', '30', '30', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', 'plain_resource', '-1', '0', '3');
INSERT INTO `resource_tree` VALUES ('415', 'wood', 'Organic', 'Flora Resources', 'Flora Structural', 'Wood', '', '', '', '31', '31', '30', '30', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', 'plain_resource', '-1', '0', '3');
INSERT INTO `resource_tree` VALUES ('416', 'processed_wood', 'Organic', 'Flora Resources', 'Flora Structural', 'Wood', 'Blended Wood', '', '', '1', '1', '1', '1', '1', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_structure.iff', 'plain_resource', '-1', '0', '3');
INSERT INTO `resource_tree` VALUES ('417', 'wood_deciduous', 'Organic', 'Flora Resources', 'Flora Structural', 'Wood', 'Hard Wood', '', '', '10', '10', '10', '10', '0', '', '', '', '', '', '', '', '', '', '', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '', '-1', '0', '3');
INSERT INTO `resource_tree` VALUES ('418', 'wood_deciduous_corellia', 'Organic', 'Flora Resources', 'Flora Structural', 'Wood', 'Hard Wood', 'Corellian Deciduous Wood', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '800', '1', '1000', '400', '800', '1', '800', '300', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_structure.iff', 'plain_resource', '0', '0', '3');
INSERT INTO `resource_tree` VALUES ('419', 'wood_deciduous_dantooine', 'Organic', 'Flora Resources', 'Flora Structural', 'Wood', 'Hard Wood', 'Dantooine Deciduous Wood', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '800', '1', '1000', '400', '800', '1', '800', '300', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_structure.iff', 'plain_resource', '1', '0', '3');
INSERT INTO `resource_tree` VALUES ('420', 'wood_deciduous_dathomir', 'Organic', 'Flora Resources', 'Flora Structural', 'Wood', 'Hard Wood', 'Dathomirian Deciduous Wood', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '800', '1', '1000', '400', '800', '1', '800', '300', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_structure.iff', '', '2', '0', '3');
INSERT INTO `resource_tree` VALUES ('421', 'wood_deciduous_endor', 'Organic', 'Flora Resources', 'Flora Structural', 'Wood', 'Hard Wood', 'Endorian Deciduous Wood', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '800', '1', '1000', '400', '800', '1', '800', '300', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_structure.iff', '', '3', '0', '3');
INSERT INTO `resource_tree` VALUES ('422', 'wood_deciduous_lok', 'Organic', 'Flora Resources', 'Flora Structural', 'Wood', 'Hard Wood', 'Lokian Deciduous Wood', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '800', '1', '1000', '400', '800', '1', '800', '300', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_structure.iff', '', '4', '0', '3');
INSERT INTO `resource_tree` VALUES ('423', 'wood_deciduous_naboo', 'Organic', 'Flora Resources', 'Flora Structural', 'Wood', 'Hard Wood', 'Nabooian Deciduous Wood', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '800', '1', '1000', '400', '800', '1', '800', '300', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_structure.iff', '', '5', '0', '3');
INSERT INTO `resource_tree` VALUES ('424', 'wood_deciduous_rori', 'Organic', 'Flora Resources', 'Flora Structural', 'Wood', 'Hard Wood', 'Rori Deciduous Wood', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '800', '1', '1000', '400', '800', '1', '800', '300', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_structure.iff', '', '6', '0', '3');
INSERT INTO `resource_tree` VALUES ('425', 'wood_deciduous_talus', 'Organic', 'Flora Resources', 'Flora Structural', 'Wood', 'Hard Wood', 'Talusian Deciduous Wood', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '800', '1', '1000', '400', '800', '1', '800', '300', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_structure.iff', '', '7', '0', '3');
INSERT INTO `resource_tree` VALUES ('426', 'wood_deciduous_tatooine', 'Organic', 'Flora Resources', 'Flora Structural', 'Wood', 'Hard Wood', 'Tatooinian Deciduous Wood', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '800', '1', '1000', '400', '800', '1', '800', '300', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_structure.iff', '', '8', '0', '3');
INSERT INTO `resource_tree` VALUES ('427', 'wood_deciduous_yavin4', 'Organic', 'Flora Resources', 'Flora Structural', 'Wood', 'Hard Wood', 'Yavinian Deciduous Wood', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '800', '1', '1000', '400', '800', '1', '800', '300', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_structure.iff', '', '9', '0', '3');
INSERT INTO `resource_tree` VALUES ('428', 'softwood', 'Organic', 'Flora Resources', 'Flora Structural', 'Wood', 'Soft Wood', '', '', '20', '20', '20', '20', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '600', '1', '1000', '600', '1000', '1', '300', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', 'plain_resource', '-1', '0', '3');
INSERT INTO `resource_tree` VALUES ('429', 'softwood_conifer', 'Organic', 'Flora Resources', 'Flora Structural', 'Wood', 'Soft Wood', 'Conifer Wood', '', '10', '10', '10', '10', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', ' ', ' ', ' ', ' ', ' ', ' ', '1', '600', '1', '1000', '600', '1000', '1', '300', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_structure.iff', 'plain_resource', '-1', '0', '3');
INSERT INTO `resource_tree` VALUES ('430', 'softwood_conifer_corellia', 'Organic', 'Flora Resources', 'Flora Structural', 'Wood', 'Soft Wood', 'Conifer Wood', 'Corellian Conifer Wood', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '600', '1', '1000', '600', '1000', '1', '300', '100', '400', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_structure.iff', 'plain_resource', '0', '0', '3');
INSERT INTO `resource_tree` VALUES ('431', 'softwood_conifer_dantooine', 'Organic', 'Flora Resources', 'Flora Structural', 'Wood', 'Soft Wood', 'Conifer Wood', 'Dantooine Conifer Wood', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '600', '1', '1000', '600', '1000', '1', '300', '100', '400', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_structure.iff', 'plain_resource', '1', '0', '3');
INSERT INTO `resource_tree` VALUES ('432', 'softwood_conifer_dathomir', 'Organic', 'Flora Resources', 'Flora Structural', 'Wood', 'Soft Wood', 'Conifer Wood', 'Dathomirian Conifer Wood', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '600', '1', '1000', '600', '1000', '1', '300', '100', '400', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_structure.iff', '', '2', '0', '3');
INSERT INTO `resource_tree` VALUES ('433', 'softwood_conifer_endor', 'Organic', 'Flora Resources', 'Flora Structural', 'Wood', 'Soft Wood', 'Conifer Wood', 'Endorian Conifer Wood', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '600', '1', '1000', '600', '1000', '1', '300', '100', '400', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_structure.iff', '', '3', '0', '3');
INSERT INTO `resource_tree` VALUES ('434', 'softwood_conifer_lok', 'Organic', 'Flora Resources', 'Flora Structural', 'Wood', 'Soft Wood', 'Conifer Wood', 'Lokian Conifer Wood', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '600', '1', '1000', '600', '1000', '1', '300', '100', '400', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_structure.iff', '', '4', '0', '3');
INSERT INTO `resource_tree` VALUES ('435', 'softwood_conifer_naboo', 'Organic', 'Flora Resources', 'Flora Structural', 'Wood', 'Soft Wood', 'Conifer Wood', 'Nabooian Conifer Wood', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '600', '1', '1000', '600', '1000', '1', '300', '100', '400', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_structure.iff', '', '5', '0', '3');
INSERT INTO `resource_tree` VALUES ('436', 'softwood_conifer_rori', 'Organic', 'Flora Resources', 'Flora Structural', 'Wood', 'Soft Wood', 'Conifer Wood', 'Rori Conifer Wood', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '600', '1', '1000', '600', '1000', '1', '300', '100', '400', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_structure.iff', '', '6', '0', '3');
INSERT INTO `resource_tree` VALUES ('437', 'softwood_conifer_talus', 'Organic', 'Flora Resources', 'Flora Structural', 'Wood', 'Soft Wood', 'Conifer Wood', 'Talusian Conifer Wood', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '600', '1', '1000', '600', '1000', '1', '300', '100', '400', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_structure.iff', '', '7', '0', '3');
INSERT INTO `resource_tree` VALUES ('438', 'softwood_conifer_tatooine', 'Organic', 'Flora Resources', 'Flora Structural', 'Wood', 'Soft Wood', 'Conifer Wood', 'Tatooinian Conifer Wood', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '600', '1', '1000', '600', '1000', '1', '300', '100', '400', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_structure.iff', '', '8', '0', '3');
INSERT INTO `resource_tree` VALUES ('439', 'softwood_conifer_yavin4', 'Organic', 'Flora Resources', 'Flora Structural', 'Wood', 'Soft Wood', 'Conifer Wood', 'Yavinian Conifer Wood', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '600', '1', '1000', '600', '1000', '1', '300', '100', '400', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_structure.iff', '', '9', '0', '3');
INSERT INTO `resource_tree` VALUES ('440', 'softwood_evergreen', 'Organic', 'Flora Resources', 'Flora Structural', 'Wood', 'Soft Wood', 'Evergreen Soft Wood', '', '10', '10', '10', '10', '0', '', '', '', '', '', '', '', '', '', '', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '', '-1', '0', '3');
INSERT INTO `resource_tree` VALUES ('441', 'softwood_evergreen_corellia', 'Organic', 'Flora Resources', 'Flora Structural', 'Wood', 'Soft Wood', 'Evergreen Soft Wood', 'Corellia Evergreen Wood', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '500', '1', '1000', '800', '1000', '1', '300', '1', '400', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_structure.iff', 'plain_resource', '0', '0', '3');
INSERT INTO `resource_tree` VALUES ('442', 'softwood_evergreen_dantooine', 'Organic', 'Flora Resources', 'Flora Structural', 'Wood', 'Soft Wood', 'Evergreen Soft Wood', 'Dantooine Evergreen Wood', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '500', '1', '1000', '800', '1000', '1', '300', '1', '400', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_structure.iff', 'plain_resource', '1', '0', '3');
INSERT INTO `resource_tree` VALUES ('443', 'softwood_evergreen_dathomir', 'Organic', 'Flora Resources', 'Flora Structural', 'Wood', 'Soft Wood', 'Evergreen Soft Wood', 'Dathomirian Evergreen Wood', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '500', '1', '1000', '800', '1000', '1', '300', '1', '400', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_structure.iff', '', '2', '0', '3');
INSERT INTO `resource_tree` VALUES ('444', 'softwood_evergreen_endor', 'Organic', 'Flora Resources', 'Flora Structural', 'Wood', 'Soft Wood', 'Evergreen Soft Wood', 'Endorian Evergreen Wood', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '500', '1', '1000', '800', '1000', '1', '300', '1', '400', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_structure.iff', '', '3', '0', '3');
INSERT INTO `resource_tree` VALUES ('445', 'softwood_evergreen_lok', 'Organic', 'Flora Resources', 'Flora Structural', 'Wood', 'Soft Wood', 'Evergreen Soft Wood', 'Lokian Evergreen Wood', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '500', '1', '1000', '800', '1000', '1', '300', '1', '400', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_structure.iff', '', '4', '0', '3');
INSERT INTO `resource_tree` VALUES ('446', 'softwood_evergreen_naboo', 'Organic', 'Flora Resources', 'Flora Structural', 'Wood', 'Soft Wood', 'Evergreen Soft Wood', 'Nabooian Evergreen Wood', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '500', '1', '1000', '800', '1000', '1', '300', '1', '400', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_structure.iff', '', '5', '0', '3');
INSERT INTO `resource_tree` VALUES ('447', 'softwood_evergreen_rori', 'Organic', 'Flora Resources', 'Flora Structural', 'Wood', 'Soft Wood', 'Evergreen Soft Wood', 'Rori Evergreen Wood', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '500', '1', '1000', '800', '1000', '1', '300', '1', '400', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_structure.iff', '', '6', '0', '3');
INSERT INTO `resource_tree` VALUES ('448', 'softwood_evergreen_talus', 'Organic', 'Flora Resources', 'Flora Structural', 'Wood', 'Soft Wood', 'Evergreen Soft Wood', 'Talusian Evergreen Wood', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '500', '1', '1000', '800', '1000', '1', '300', '1', '400', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_structure.iff', '', '7', '0', '3');
INSERT INTO `resource_tree` VALUES ('449', 'softwood_evergreen_tatooine', 'Organic', 'Flora Resources', 'Flora Structural', 'Wood', 'Soft Wood', 'Evergreen Soft Wood', 'Tatooinian Evergreen Wood', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '500', '1', '1000', '800', '1000', '1', '300', '1', '400', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_structure.iff', '', '8', '0', '3');
INSERT INTO `resource_tree` VALUES ('450', 'softwood_evergreen_yavin4', 'Organic', 'Flora Resources', 'Flora Structural', 'Wood', 'Soft Wood', 'Evergreen Soft Wood', 'Yavinian Evergreen Wood', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '500', '1', '1000', '800', '1000', '1', '300', '1', '400', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_structure.iff', '', '9', '0', '3');
INSERT INTO `resource_tree` VALUES ('451', 'inorganic', 'Inorganic', '', '', '', '', '', '', '126', '80', '73', '342', '0', 'res_decay_resist', 'res_quality', '', '', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', 'plain_resource', '-1', '0', '-1');
INSERT INTO `resource_tree` VALUES ('452', 'chemical', 'Inorganic', 'Chemical', '', '', '', '', '', '24', '20', '15', '68', '0', 'res_decay_resist', 'res_quality', '', '', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', 'plain_resource', '-1', '0', '2');
INSERT INTO `resource_tree` VALUES ('453', 'chemical_compound', 'Inorganic', 'Chemical', 'Chemical Compound', '', '', '', '', '1', '1', '1', '1', '1', 'res_decay_resist', 'res_quality', '', '', '', '', '', '', '', '', '', '200', '200', '200', '200', '200', '200', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_organic_food.iff', 'energy_resource', '-1', '0', '2');
INSERT INTO `resource_tree` VALUES ('454', 'fuel_petrochem_liquid', 'Inorganic', 'Chemical', 'Liquid Petrochem Fuel', '', '', '', '', '7', '1', '15', '21', '0', 'res_decay_resist', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', 'energy_resource', '-1', '0', '2');
INSERT INTO `resource_tree` VALUES ('455', 'petrochem_fuel_liquid_unknown', 'Inorganic', 'Chemical', 'Liquid Petrochem Fuel', 'Unknown Liquid Petrochem Fuel', '', '', '', '2', '0', '1', '3', '0', 'res_decay_resist', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_liquid.iff', 'energy_resource', '-1', '0', '2');
INSERT INTO `resource_tree` VALUES ('456', 'fuel_petrochem_liquid_known', 'Inorganic', 'Chemical', 'Liquid Petrochem Fuel', 'Known Liquid Petrochem Fuel', '', '', '', '5', '1', '1', '15', '0', 'res_decay_resist', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', 'energy_resource', '-1', '0', '2');
INSERT INTO `resource_tree` VALUES ('457', 'petrochem_fuel_liquid_type1', 'Inorganic', 'Chemical', 'Liquid Petrochem Fuel', 'Known Liquid Petrochem Fuel', 'Class 1 Liquid Petro Fuel', '', '', '1', '0', '1', '3', '0', 'res_decay_resist', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '1', '600', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_liquid.iff', 'energy_resource', '-1', '0', '2');
INSERT INTO `resource_tree` VALUES ('458', 'petrochem_fuel_liquid_type2', 'Inorganic', 'Chemical', 'Liquid Petrochem Fuel', 'Known Liquid Petrochem Fuel', 'Class 2 Liquid Petro Fuel', '', '', '1', '0', '1', '3', '0', 'res_decay_resist', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '1', '600', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_liquid.iff', 'energy_resource', '-1', '0', '2');
INSERT INTO `resource_tree` VALUES ('459', 'petrochem_fuel_liquid_type3', 'Inorganic', 'Chemical', 'Liquid Petrochem Fuel', 'Known Liquid Petrochem Fuel', 'Class 3 Liquid Petro Fuel', '', '', '1', '0', '1', '3', '0', 'res_decay_resist', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '1', '600', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_liquid.iff', 'energy_resource', '-1', '0', '2');
INSERT INTO `resource_tree` VALUES ('460', 'petrochem_fuel_liquid_type4', 'Inorganic', 'Chemical', 'Liquid Petrochem Fuel', 'Known Liquid Petrochem Fuel', 'Class 4 Liquid Petro Fuel', '', '', '1', '0', '1', '3', '0', 'res_decay_resist', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '1', '600', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_liquid.iff', 'energy_resource', '-1', '0', '2');
INSERT INTO `resource_tree` VALUES ('461', 'petrochem_fuel_liquid_type5', 'Inorganic', 'Chemical', 'Liquid Petrochem Fuel', 'Known Liquid Petrochem Fuel', 'Class 5 Liquid Petro Fuel', '', '', '1', '0', '1', '3', '0', 'res_decay_resist', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '1', '600', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_liquid.iff', 'energy_resource', '-1', '0', '2');
INSERT INTO `resource_tree` VALUES ('462', 'petrochem_fuel_liquid_type6', 'Inorganic', 'Chemical', 'Liquid Petrochem Fuel', 'Known Liquid Petrochem Fuel', 'Class 6 Liquid Petro Fuel', '', '', '1', '0', '1', '3', '0', 'res_decay_resist', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '1', '600', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_liquid.iff', 'energy_resource', '-1', '0', '2');
INSERT INTO `resource_tree` VALUES ('463', 'petrochem_fuel_liquid_type7', 'Inorganic', 'Chemical', 'Liquid Petrochem Fuel', 'Known Liquid Petrochem Fuel', 'Class 7 Liquid Petro Fuel', '', '', '1', '0', '1', '3', '0', 'res_decay_resist', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '1', '600', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_liquid.iff', 'energy_resource', '-1', '0', '2');
INSERT INTO `resource_tree` VALUES ('464', 'petrochem_inert', 'Inorganic', 'Chemical', 'Inert Petrochemical', '', '', '', '', '7', '4', '4', '21', '0', 'res_decay_resist', 'res_quality', '', '', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', 'energy_resource', '-1', '0', '2');
INSERT INTO `resource_tree` VALUES ('465', 'petrochem_inert_lubricating_oil', 'Inorganic', 'Chemical', 'Inert Petrochemical', 'Lubricating Oil', '', '', '', '5', '2', '8', '8', '0', 'res_decay_resist', 'res_quality', '', '', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_petrochem_liquid.iff', 'energy_resource', '-1', '0', '2');
INSERT INTO `resource_tree` VALUES ('466', 'petrochem_inert_polymer', 'Inorganic', 'Chemical', 'Inert Petrochemical', 'Polymer', '', '', '', '5', '2', '8', '8', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_petrochem_liquid.iff', 'energy_resource', '-1', '0', '2');
INSERT INTO `resource_tree` VALUES ('467', 'fiberplast', 'Inorganic', 'Chemical', 'Fiberplast', '', '', '', '', '11', '11', '10', '10', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', 'plain_resource', '-1', '0', '2');
INSERT INTO `resource_tree` VALUES ('468', 'fiberplast_corellia', 'Inorganic', 'Chemical', 'Fiberplast', 'Corellia Fiberplast', '', '', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_chemicals.iff', 'plain_resource', '0', '0', '2');
INSERT INTO `resource_tree` VALUES ('469', 'fiberplast_dantooine', 'Inorganic', 'Chemical', 'Fiberplast', 'Dantooine Fiberplast', '', '', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_chemicals.iff', 'plain_resource', '1', '0', '2');
INSERT INTO `resource_tree` VALUES ('470', 'fiberplast_dathomir', 'Inorganic', 'Chemical', 'Fiberplast', 'Dathomirian Fiberplast', '', '', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_chemicals.iff', 'plain_resource', '2', '0', '2');
INSERT INTO `resource_tree` VALUES ('471', 'fiberplast_endor', 'Inorganic', 'Chemical', 'Fiberplast', 'Endorian Fiberplast', '', '', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_chemicals.iff', 'plain_resource', '3', '0', '2');
INSERT INTO `resource_tree` VALUES ('472', 'fiberplast_lok', 'Inorganic', 'Chemical', 'Fiberplast', 'Lokian Fiberplast', '', '', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_chemicals.iff', 'plain_resource', '4', '0', '2');
INSERT INTO `resource_tree` VALUES ('473', 'fiberplast_naboo', 'Inorganic', 'Chemical', 'Fiberplast', 'Nabooian Fiberplast', '', '', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_chemicals.iff', 'plain_resource', '5', '0', '2');
INSERT INTO `resource_tree` VALUES ('474', 'fiberplast_rori', 'Inorganic', 'Chemical', 'Fiberplast', 'Rori Fiberplast', '', '', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_chemicals.iff', 'plain_resource', '6', '0', '2');
INSERT INTO `resource_tree` VALUES ('475', 'fiberplast_talus', 'Inorganic', 'Chemical', 'Fiberplast', 'Talusian Fiberplast', '', '', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_chemicals.iff', 'plain_resource', '7', '0', '2');
INSERT INTO `resource_tree` VALUES ('476', 'fiberplast_tatooine', 'Inorganic', 'Chemical', 'Fiberplast', 'Tatooinian Fiberplast', '', '', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_chemicals.iff', 'plain_resource', '8', '0', '2');
INSERT INTO `resource_tree` VALUES ('477', 'fiberplast_gravitonic', 'Inorganic', 'Chemical', 'Fiberplast', 'Gravitonic Fiberplast', '', '', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_chemicals.iff', 'plain_resource', '-1', '1', '2');
INSERT INTO `resource_tree` VALUES ('478', 'fiberplast_yavin4', 'Inorganic', 'Chemical', 'Fiberplast', 'Yavinian Fiberplast', '', '', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_chemicals.iff', 'plain_resource', '9', '0', '2');
INSERT INTO `resource_tree` VALUES ('479', 'water', 'Inorganic', 'Water', '', '', '', '', '', '16', '11', '10', '16', '0', 'res_decay_resist', 'res_quality', '', '', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', 'plain_resource', '-1', '0', '7');
INSERT INTO `resource_tree` VALUES ('480', 'water_solution', 'Inorganic', 'Water', 'Water Solution', '', '', '', '', '1', '1', '1', '1', '1', 'res_decay_resist', 'res_quality', '', '', '', '', '', '', '', '', '', '200', '200', '200', '200', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_water.iff', 'plain_resource', '-1', '0', '7');
INSERT INTO `resource_tree` VALUES ('481', 'water_vapor_corellia', 'Inorganic', 'Water', 'Corellian Water Vapor', '', '', '', '', '5', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', '', '', '', '', '', '', '', '', '', '1', '1000', '600', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_water.iff', 'plain_resource', '0', '0', '7');
INSERT INTO `resource_tree` VALUES ('482', 'water_vapor_dantooine', 'Inorganic', 'Water', 'Dantooine Water Vapor', '', '', '', '', '5', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', '', '', '', '', '', '', '', '', '', '1', '1000', '600', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_water.iff', 'plain_resource', '1', '0', '7');
INSERT INTO `resource_tree` VALUES ('483', 'water_vapor_dathomir', 'Inorganic', 'Water', 'Dathomir Water Vapor', '', '', '', '', '5', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', '', '', '', '', '', '', '', '', '', '1', '1000', '600', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_water.iff', '', '2', '0', '7');
INSERT INTO `resource_tree` VALUES ('484', 'water_vapor_endor', 'Inorganic', 'Water', 'Endorian Water Vapor', '', '', '', '', '5', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', '', '', '', '', '', '', '', '', '', '1', '1000', '600', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_water.iff', '', '3', '0', '7');
INSERT INTO `resource_tree` VALUES ('485', 'water_vapor_lok', 'Inorganic', 'Water', 'Lokian Water Vapor', '', '', '', '', '5', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', '', '', '', '', '', '', '', '', '', '1', '1000', '600', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_water.iff', '', '4', '0', '7');
INSERT INTO `resource_tree` VALUES ('486', 'water_vapor_naboo', 'Inorganic', 'Water', 'Nabooian Water Vapor', '', '', '', '', '5', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', '', '', '', '', '', '', '', '', '', '1', '1000', '600', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_water.iff', '', '5', '0', '7');
INSERT INTO `resource_tree` VALUES ('487', 'water_vapor_rori', 'Inorganic', 'Water', 'Rori Water Vapor', '', '', '', '', '5', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', '', '', '', '', '', '', '', '', '', '1', '1000', '600', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_water.iff', '', '6', '0', '7');
INSERT INTO `resource_tree` VALUES ('488', 'water_vapor_talus', 'Inorganic', 'Water', 'Talusian Water Vapor', '', '', '', '', '5', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', '', '', '', '', '', '', '', '', '', '1', '1000', '600', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_water.iff', '', '7', '0', '7');
INSERT INTO `resource_tree` VALUES ('489', 'water_vapor_tatooine', 'Inorganic', 'Water', 'Tatooinian Water Vapor', '', '', '', '', '5', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', '', '', '', '', '', '', '', '', '', '1', '1000', '600', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_water.iff', '', '8', '0', '7');
INSERT INTO `resource_tree` VALUES ('490', 'water_vapor_yavin4', 'Inorganic', 'Water', 'Yavinian Water Vapor', '', '', '', '', '5', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', '', '', '', '', '', '', '', '', '', '1', '1000', '600', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_water.iff', '', '9', '0', '7');
INSERT INTO `resource_tree` VALUES ('491', 'mineral', 'Inorganic', 'Mineral', '', '', '', '', '', '70', '42', '16', '210', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('492', 'fuel_petrochem_solid', 'Inorganic', 'Mineral', 'Solid Petrochem Fuel', '', '', '', '', '8', '2', '1', '24', '0', 'res_decay_resist', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', 'energy_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('493', 'degraded_fuel_petrochem_solid', 'Inorganic', 'Mineral', 'Solid Petrochem Fuel', 'Degraded Solid Petrochem Fuel', '', '', '', '1', '1', '1', '1', '1', 'res_decay_resist', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '200', '200', '200', '200', '200', '200', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_solid.iff', 'energy_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('494', 'petrochem_fuel_solid_unknown', 'Inorganic', 'Mineral', 'Solid Petrochem Fuel', 'Unknown Solid Petrochem Fuel', '', '', '', '2', '0', '1', '3', '0', 'res_decay_resist', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_solid.iff', 'energy_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('495', 'fuel_petrochem_solid_known', 'Inorganic', 'Mineral', 'Solid Petrochem Fuel', 'Known Solid Petrochem Fuel', '', '', '', '6', '1', '1', '18', '0', 'res_decay_resist', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '300', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', 'energy_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('496', 'petrochem_fuel_solid_type1', 'Inorganic', 'Mineral', 'Solid Petrochem Fuel', 'Known Solid Petrochem Fuel', 'Class 1 Solid Petro Fuel', '', '', '1', '0', '1', '3', '0', 'res_decay_resist', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '1', '149', '1', '1000', '300', '430', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_solid.iff', 'energy_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('497', 'petrochem_fuel_solid_type2', 'Inorganic', 'Mineral', 'Solid Petrochem Fuel', 'Known Solid Petrochem Fuel', 'Class 2 Solid Petro Fuel', '', '', '1', '0', '1', '3', '0', 'res_decay_resist', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '81', '264', '1', '1000', '370', '530', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_solid.iff', 'energy_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('498', 'petrochem_fuel_solid_type3', 'Inorganic', 'Mineral', 'Solid Petrochem Fuel', 'Known Solid Petrochem Fuel', 'Class 3 Solid Petro Fuel', '', '', '1', '0', '1', '3', '0', 'res_decay_resist', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '195', '378', '1', '1000', '470', '630', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_solid.iff', 'energy_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('499', 'petrochem_fuel_solid_type4', 'Inorganic', 'Mineral', 'Solid Petrochem Fuel', 'Known Solid Petrochem Fuel', 'Class 4 Solid Petro Fuel', '', '', '1', '0', '1', '3', '0', 'res_decay_resist', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '309', '492', '1', '1000', '570', '730', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_solid.iff', 'energy_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('500', 'petrochem_fuel_solid_type5', 'Inorganic', 'Mineral', 'Solid Petrochem Fuel', 'Known Solid Petrochem Fuel', 'Class 5 Solid Petro Fuel', '', '', '1', '0', '1', '3', '0', 'res_decay_resist', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '423', '606', '1', '1000', '670', '830', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_solid.iff', 'energy_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('501', 'petrochem_fuel_solid_type6', 'Inorganic', 'Mineral', 'Solid Petrochem Fuel', 'Known Solid Petrochem Fuel', 'Class 6 Solid Petro Fuel', '', '', '1', '0', '1', '3', '0', 'res_decay_resist', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '537', '720', '1', '1000', '770', '930', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_solid.iff', 'energy_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('502', 'petrochem_fuel_solid_type7', 'Inorganic', 'Mineral', 'Solid Petrochem Fuel', 'Known Solid Petrochem Fuel', 'Class 7 Solid Petro Fuel', '', '', '1', '0', '1', '3', '0', 'res_decay_resist', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '652', '800', '1', '1000', '870', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_solid.iff', 'energy_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('503', 'radioactive', 'Inorganic', 'Mineral', 'Radioactive', '', '', '', '', '6', '3', '1', '18', '0', 'res_decay_resist', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('504', 'combined_radioactive_isotpopes', 'Inorganic', 'Mineral', 'Radioactive', 'Combined Radioactive Isotopes', '', '', '', '1', '1', '1', '1', '1', 'res_decay_resist', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '200', '200', '200', '200', '200', '200', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_radioactive.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('505', 'radioactive_unknown', 'Inorganic', 'Mineral', 'Radioactive', 'Unknown Radioactive', '', '', '', '2', '0', '1', '3', '0', 'res_decay_resist', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '1', '800', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_radioactive.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('506', 'radioactive_known', 'Inorganic', 'Mineral', 'Radioactive', 'Known Radioactive', '', '', '', '4', '2', '1', '12', '0', 'res_decay_resist', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '1', '800', '1', '1000', '500', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('507', 'radioactive_type1', 'Inorganic', 'Mineral', 'Radioactive', 'Known Radioactive', 'Class 1 Radioactive', '', '', '1', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '400', '474', '1', '1000', '500', '593', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_radioactive.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('508', 'radioactive_type2', 'Inorganic', 'Mineral', 'Radioactive', 'Known Radioactive', 'Class 2 Radioactive', '', '', '1', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '440', '531', '1', '1000', '550', '664', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_radioactive.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('509', 'radioactive_type3', 'Inorganic', 'Mineral', 'Radioactive', 'Known Radioactive', 'Class 3 Radioactive', '', '', '1', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '497', '589', '1', '1000', '621', '736', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_radioactive.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('510', 'radioactive_type4', 'Inorganic', 'Mineral', 'Radioactive', 'Known Radioactive', 'Class 4 Radioactive', '', '', '1', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '554', '646', '1', '1000', '693', '807', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_radioactive.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('511', 'radioactive_type5', 'Inorganic', 'Mineral', 'Radioactive', 'Known Radioactive', 'Class 5 Radioactive', '', '', '1', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '611', '703', '1', '1000', '764', '879', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_radioactive.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('512', 'radioactive_type6', 'Inorganic', 'Mineral', 'Radioactive', 'Known Radioactive', 'Class 6 Radioactive', '', '', '1', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '669', '760', '1', '1000', '836', '950', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_radioactive.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('513', 'radioactive_type7', 'Inorganic', 'Mineral', 'Radioactive', 'Known Radioactive', 'Class 7 Radioactive', '', '', '1', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '726', '800', '1', '1000', '907', '1000', '889', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_radioactive.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('514', 'radioactive_polymetric', 'Inorganic', 'Mineral', 'Radioactive', 'Known Radioactive', 'High Grade Polymetric Radioactive', '', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_radioactive.iff', 'mineral_resource', '-1', '1', '6');
INSERT INTO `resource_tree` VALUES ('515', 'metal', 'Inorganic', 'Mineral', 'Metal', '', '', '', '', '60', '27', '8', '180', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '1', '1000', '1', '1000', '1', '800', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('516', 'metal_ferrous', 'Inorganic', 'Mineral', 'Metal', 'Ferrous Metal', '', '', '', '42', '20', '4', '126', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'res_conductivity', '', '', '', '1', '1000', '1', '1000', '1', '800', '300', '1000', '1', '650', '400', '1000', '400', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('517', 'smelted_metal_ferrous_unknown', 'Inorganic', 'Mineral', 'Metal', 'Ferrous Metal', 'Smelted Ferrous Metal', '', '', '1', '1', '1', '1', '1', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'res_conductivity', '', '', '', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('518', 'metal_ferrous_unknown', 'Inorganic', 'Mineral', 'Metal', 'Ferrous Metal', 'Unknown Ferrous Metal', '', '', '2', '0', '1', '3', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'res_conductivity', '', '', '', '300', '1000', '1', '1000', '1', '800', '300', '1000', '1', '600', '400', '1000', '400', '1000', '1', '650', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('519', 'steel', 'Inorganic', 'Mineral', 'Metal', 'Ferrous Metal', 'Steel', '', '', '20', '4', '2', '60', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'res_conductivity', '', '', '', '500', '1000', '1', '1000', '1', '800', '600', '1000', '1', '400', '400', '1000', '500', '1000', '1', '650', '0', '0', '0', '0', '0', '0', '', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('520', 'steel_smelted', 'Inorganic', 'Mineral', 'Metal', 'Ferrous Metal', 'Steel', 'Smelted Steel', '', '1', '1', '1', '1', '1', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'res_conductivity', '', '', '', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('521', 'steel_rhodium', 'Inorganic', 'Mineral', 'Metal', 'Ferrous Metal', 'Steel', 'Rhodium Steel', '', '5', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'res_conductivity', '', '', '', '500', '565', '1', '1000', '1', '105', '600', '652', '1', '53', '400', '478', '500', '565', '1', '85', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('522', 'steel_kiirium', 'Inorganic', 'Mineral', 'Metal', 'Ferrous Metal', 'Steel', 'Kiirium Steel', '', '5', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'res_conductivity', '', '', '', '535', '615', '1', '1000', '57', '185', '628', '692', '29', '93', '442', '538', '535', '615', '46', '150', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('523', 'steel_cubirian', 'Inorganic', 'Mineral', 'Metal', 'Ferrous Metal', 'Steel', 'Cubirian Steel', '', '5', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'res_conductivity', '', '', '', '585', '665', '1', '1000', '137', '265', '668', '732', '69', '133', '502', '598', '585', '665', '111', '215', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('524', 'steel_thoranium', 'Inorganic', 'Mineral', 'Metal', 'Ferrous Metal', 'Steel', 'Thoranium Steel', '', '5', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'res_conductivity', '', '', '', '635', '715', '1', '1000', '217', '345', '708', '772', '109', '173', '562', '658', '635', '715', '176', '280', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('525', 'steel_neutronium', 'Inorganic', 'Mineral', 'Metal', 'Ferrous Metal', 'Steel', 'Neutronium Steel', '', '5', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'res_conductivity', '', '', '', '685', '765', '1', '1000', '297', '424', '748', '812', '149', '212', '622', '718', '685', '765', '241', '345', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('526', 'steel_duranium', 'Inorganic', 'Mineral', 'Metal', 'Ferrous Metal', 'Steel', 'Duranium Steel', '', '5', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'res_conductivity', '', '', '', '735', '815', '1', '1000', '377', '504', '788', '852', '189', '252', '682', '778', '735', '815', '306', '410', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('527', 'steel_ditanium', 'Inorganic', 'Mineral', 'Metal', 'Ferrous Metal', 'Steel', 'Ditanium Steel', '', '5', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'res_conductivity', '', '', '', '785', '865', '1', '1000', '456', '584', '828', '892', '228', '292', '742', '838', '785', '865', '371', '475', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('528', 'steel_quadranium', 'Inorganic', 'Mineral', 'Metal', 'Ferrous Metal', 'Steel', 'Quadranium Steel', '', '5', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'res_conductivity', '', '', '', '835', '915', '1', '1000', '536', '664', '868', '932', '268', '332', '802', '898', '835', '915', '436', '540', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('529', 'steel_carbonite', 'Inorganic', 'Mineral', 'Metal', 'Ferrous Metal', 'Steel', 'Carbonite Steel', '', '5', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'res_conductivity', '', '', '', '885', '965', '1', '1000', '616', '744', '908', '972', '308', '372', '862', '958', '885', '965', '501', '605', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('530', 'steel_arveshian', 'Inorganic', 'Mineral', 'Metal', 'Ferrous Metal', 'Steel', 'Hardened Arveshium Steel', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'res_conductivity', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '1', '6');
INSERT INTO `resource_tree` VALUES ('531', 'steel_bicorbantium', 'Inorganic', 'Mineral', 'Metal', 'Ferrous Metal', 'Steel', 'Crystallized Bicorbantium Steel', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'res_conductivity', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '1', '6');
INSERT INTO `resource_tree` VALUES ('532', 'steel_duralloy', 'Inorganic', 'Mineral', 'Metal', 'Ferrous Metal', 'Steel', 'Duralloy Steel', '', '5', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'res_conductivity', '', '', '', '935', '1000', '1', '1000', '696', '800', '948', '1000', '348', '400', '922', '1000', '935', '1000', '566', '650', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('533', 'iron', 'Inorganic', 'Mineral', 'Metal', 'Ferrous Metal', 'Iron', '', '', '20', '15', '40', '60', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'res_conductivity', '', '', '', '300', '1000', '1', '1000', '1', '800', '500', '1000', '1', '600', '400', '1000', '400', '1000', '1', '500', '0', '0', '0', '0', '0', '0', '', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('534', 'iron_smelted', 'Inorganic', 'Mineral', 'Metal', 'Ferrous Metal', 'Iron', 'Smelted Iron', '', '1', '1', '1', '1', '1', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'res_conductivity', '', '', '', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('535', 'iron_plumbum', 'Inorganic', 'Mineral', 'Metal', 'Ferrous Metal', 'Iron', 'Plumbum Iron', '', '5', '0', '1', '3', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'res_conductivity', '', '', '', '300', '414', '1', '1000', '1', '131', '500', '581', '1', '98', '400', '498', '400', '498', '1', '82', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('536', 'iron_polonium', 'Inorganic', 'Mineral', 'Metal', 'Ferrous Metal', 'Iron', 'Polonium Iron', '', '5', '0', '1', '3', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'res_conductivity', '', '', '', '361', '501', '1', '1000', '71', '231', '544', '644', '53', '173', '453', '573', '453', '573', '45', '144', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('537', 'iron_axidite', 'Inorganic', 'Mineral', 'Metal', 'Ferrous Metal', 'Iron', 'Axidite Iron', '', '5', '0', '1', '3', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'res_conductivity', '', '', '', '559', '589', '1', '1000', '171', '331', '606', '706', '128', '248', '528', '648', '528', '648', '107', '207', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('538', 'iron_bronzium', 'Inorganic', 'Mineral', 'Metal', 'Ferrous Metal', 'Iron', 'Bronzium Iron', '', '5', '0', '1', '3', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'res_conductivity', '', '', '', '536', '676', '1', '1000', '271', '430', '669', '769', '203', '323', '603', '723', '603', '723', '169', '269', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('539', 'iron_colat', 'Inorganic', 'Mineral', 'Metal', 'Ferrous Metal', 'Iron', 'Colat Iron', '', '5', '0', '1', '3', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'res_conductivity', '', '', '', '624', '764', '1', '1000', '371', '530', '731', '831', '278', '398', '678', '798', '678', '798', '232', '332', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('540', 'iron_dolovite', 'Inorganic', 'Mineral', 'Metal', 'Ferrous Metal', 'Iron', 'Dolovite Iron', '', '5', '0', '1', '3', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'res_conductivity', '', '', '', '711', '851', '1', '1000', '470', '630', '794', '894', '353', '473', '753', '873', '753', '873', '294', '394', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('541', 'iron_doonium', 'Inorganic', 'Mineral', 'Metal', 'Ferrous Metal', 'Iron', 'Doonium Iron', '', '5', '0', '1', '3', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'res_conductivity', '', '', '', '799', '939', '1', '1000', '570', '730', '856', '956', '428', '548', '828', '948', '828', '948', '357', '456', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('542', 'iron_kammris', 'Inorganic', 'Mineral', 'Metal', 'Ferrous Metal', 'Iron', 'Kammris Iron', '', '5', '0', '1', '3', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'res_conductivity', '', '', '', '886', '1000', '1', '1000', '670', '800', '919', '1000', '503', '600', '903', '1000', '903', '1000', '419', '500', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('543', 'metal_nonferrous', 'Inorganic', 'Mineral', 'Metal', 'Non-Ferrous Metal', '', '', '', '32', '7', '4', '96', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'res_conductivity', '', '', '', '1', '1000', '1', '1000', '1', '800', '200', '800', '300', '1000', '300', '1000', '300', '1000', '300', '1000', '0', '0', '0', '0', '0', '0', '', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('544', 'smelted_metal_nonferrous_unknown', 'Inorganic', 'Mineral', 'Metal', 'Non-Ferrous Metal', 'Smelted Non-Ferrous Metal', '', '', '1', '1', '1', '1', '1', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'res_conductivity', '', '', '', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('545', 'metal_nonferrous_unknown', 'Inorganic', 'Mineral', 'Metal', 'Non-Ferrous Metal', 'Unknown Non-Ferrous Metal', '', '', '2', '0', '1', '3', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'res_conductivity', '', '', '', '1', '700', '1', '1000', '1', '800', '200', '800', '300', '1000', '300', '1000', '300', '900', '300', '1000', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('546', 'aluminum', 'Inorganic', 'Mineral', 'Metal', 'Non-Ferrous Metal', 'Aluminum', '', '', '12', '3', '2', '36', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'res_conductivity', '', '', '', '1', '800', '1', '1000', '1', '800', '200', '800', '300', '1000', '300', '900', '300', '900', '300', '800', '0', '0', '0', '0', '0', '0', '', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('547', 'aluminum_smelted', 'Inorganic', 'Mineral', 'Metal', 'Non-Ferrous Metal', 'Aluminum', 'Smelted Aluminum', '', '1', '1', '1', '1', '1', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'res_conductivity', '', '', '', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('548', 'aluminum_titanium', 'Inorganic', 'Mineral', 'Metal', 'Non-Ferrous Metal', 'Aluminum', 'Titanium Aluminum', '', '2', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'res_conductivity', '', '', '', '1', '174', '1', '1000', '1', '174', '200', '330', '300', '452', '300', '430', '300', '430', '300', '408', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('549', 'aluminum_agrinium', 'Inorganic', 'Mineral', 'Metal', 'Non-Ferrous Metal', 'Aluminum', 'Agrinium Aluminum', '', '2', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'res_conductivity', '', '', '', '94', '307', '1', '1000', '94', '307', '270', '430', '382', '568', '370', '530', '370', '530', '358', '492', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('550', 'aluminum_chromium', 'Inorganic', 'Mineral', 'Metal', 'Non-Ferrous Metal', 'Aluminum', 'Chromium Aluminum', '', '2', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'res_conductivity', '', '', '', '227', '440', '1', '1000', '227', '440', '370', '530', '498', '685', '470', '630', '470', '630', '442', '575', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('551', 'aluminum_duralumin', 'Inorganic', 'Mineral', 'Metal', 'Non-Ferrous Metal', 'Aluminum', 'Duralumin Aluminum', '', '2', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'res_conductivity', '', '', '', '361', '574', '1', '1000', '361', '574', '470', '630', '615', '802', '570', '730', '570', '730', '525', '658', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('552', 'aluminum_linksteel', 'Inorganic', 'Mineral', 'Metal', 'Non-Ferrous Metal', 'Aluminum', 'Link-Steel Aluminum', '', '2', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'res_conductivity', '', '', '', '494', '707', '1', '1000', '494', '707', '570', '730', '732', '918', '670', '830', '670', '830', '608', '742', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('553', 'aluminum_perovskitic', 'Inorganic', 'Mineral', 'Metal', 'Non-Ferrous Metal', 'Aluminum', 'Perovskitic Aluminum', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'res_conductivity', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '1', '6');
INSERT INTO `resource_tree` VALUES ('554', 'aluminum_phrik', 'Inorganic', 'Mineral', 'Metal', 'Non-Ferrous Metal', 'Aluminum', 'Phrik Aluminum', '', '2', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'res_conductivity', '', '', '', '627', '800', '1', '1000', '627', '800', '670', '800', '848', '1000', '770', '900', '770', '900', '692', '800', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('555', 'copper', 'Inorganic', 'Mineral', 'Metal', 'Non-Ferrous Metal', 'Copper', '', '', '18', '3', '2', '54', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'res_conductivity', '', '', '', '1', '700', '1', '1000', '1', '800', '200', '650', '500', '1000', '300', '800', '300', '800', '500', '1000', '0', '0', '0', '0', '0', '0', '', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('556', 'copper_smelted', 'Inorganic', 'Mineral', 'Metal', 'Non-Ferrous Metal', 'Copper', 'Smelted Copper', '', '1', '1', '1', '1', '1', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'res_conductivity', '', '', '', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('557', 'copper_desh', 'Inorganic', 'Mineral', 'Metal', 'Non-Ferrous Metal', 'Copper', 'Desh Copper', '', '2', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'res_conductivity', '', '', '', '1', '102', '1', '1000', '1', '116', '200', '265', '500', '572', '300', '372', '300', '372', '500', '572', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('558', 'copper_thallium', 'Inorganic', 'Mineral', 'Metal', 'Non-Ferrous Metal', 'Copper', 'Thallium Copper', '', '2', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'res_conductivity', '', '', '', '55', '180', '1', '1000', '63', '205', '235', '315', '539', '628', '339', '428', '339', '428', '539', '628', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('559', 'copper_beyrllius', 'Inorganic', 'Mineral', 'Metal', 'Non-Ferrous Metal', 'Copper', 'Beyrllius Copper', '', '2', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'res_conductivity', '', '', '', '133', '257', '1', '1000', '152', '294', '285', '365', '594', '683', '394', '483', '394', '483', '594', '683', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('560', 'copper_codoan', 'Inorganic', 'Mineral', 'Metal', 'Non-Ferrous Metal', 'Copper', 'Codoan Copper', '', '2', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'res_conductivity', '', '', '', '211', '335', '1', '1000', '241', '383', '335', '415', '650', '739', '450', '539', '450', '539', '650', '739', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('561', 'copper_diatium', 'Inorganic', 'Mineral', 'Metal', 'Non-Ferrous Metal', 'Copper', 'Diatium Copper', '', '2', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'res_conductivity', '', '', '', '288', '413', '1', '1000', '329', '472', '385', '465', '706', '794', '506', '594', '506', '594', '706', '794', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('562', 'copper_kelsh', 'Inorganic', 'Mineral', 'Metal', 'Non-Ferrous Metal', 'Copper', 'Kelsh Copper', '', '2', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'res_conductivity', '', '', '', '366', '490', '1', '1000', '418', '560', '435', '515', '761', '850', '561', '650', '561', '650', '761', '850', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('563', 'copper_mythra', 'Inorganic', 'Mineral', 'Metal', 'Non-Ferrous Metal', 'Copper', 'Mythra Copper', '', '2', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'res_conductivity', '', '', '', '444', '568', '1', '1000', '507', '649', '485', '565', '817', '906', '617', '706', '617', '706', '817', '906', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('564', 'copper_platinite', 'Inorganic', 'Mineral', 'Metal', 'Non-Ferrous Metal', 'Copper', 'Platinite Copper', '', '2', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'res_conductivity', '', '', '', '521', '646', '1', '1000', '596', '738', '535', '615', '872', '961', '672', '761', '672', '761', '872', '961', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('565', 'copper_polysteel', 'Inorganic', 'Mineral', 'Metal', 'Non-Ferrous Metal', 'Copper', 'Polysteel Copper', '', '2', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'res_conductivity', '', '', '', '599', '700', '1', '1000', '685', '800', '585', '650', '928', '1000', '728', '800', '728', '800', '928', '1000', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('566', 'copper_borocarbitic', 'Inorganic', 'Mineral', 'Metal', 'Non-Ferrous Metal', 'Copper', 'Conductive Borcarbitic Copper', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'res_conductivity', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '1', '6');
INSERT INTO `resource_tree` VALUES ('567', 'ore', 'Inorganic', 'Mineral', 'Low-Grade Ore', '', '', '', '', '30', '7', '4', '90', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '300', '1000', '1', '1000', '1', '1000', '200', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('568', 'ore_igneous', 'Inorganic', 'Mineral', 'Low-Grade Ore', 'Igneous Ore', '', '', '', '20', '3', '2', '60', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '300', '1000', '1', '1000', '200', '1000', '400', '1000', '1', '800', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('569', 'ore_extrusive_low_grade', 'Inorganic', 'Mineral', 'Low-Grade Ore', 'Igneous Ore', 'Low Grade Ore (igneous)', '', '', '1', '1', '1', '1', '1', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('570', 'ore_igneous_unknown', 'Inorganic', 'Mineral', 'Low-Grade Ore', 'Igneous Ore', 'Unknown Igneous Ore', '', '', '2', '0', '1', '3', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '300', '1000', '1', '1000', '200', '1000', '400', '1000', '1', '800', '400', '1000', '400', '1000', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('571', 'ore_extrusive', 'Inorganic', 'Mineral', 'Low-Grade Ore', 'Igneous Ore', 'Extrusive Ore', '', '', '10', '1', '1', '30', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '300', '1000', '1', '1000', '200', '1000', '400', '1000', '1', '600', '400', '1000', '400', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('572', 'ore_extrusive_bene', 'Inorganic', 'Mineral', 'Low-Grade Ore', 'Igneous Ore', 'Extrusive Ore', 'Bene Extrusive Ore', '', '2', '0', '1', '3', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '300', '391', '1', '1000', '200', '304', '400', '478', '1', '79', '400', '478', '400', '478', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('573', 'ore_extrusive_chronamite', 'Inorganic', 'Mineral', 'Low-Grade Ore', 'Igneous Ore', 'Extrusive Ore', 'Chronamite Extrusive Ore', '', '2', '0', '1', '3', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '349', '461', '1', '1000', '256', '384', '442', '538', '43', '139', '442', '538', '442', '538', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('574', 'ore_extrusive_ilimium', 'Inorganic', 'Mineral', 'Low-Grade Ore', 'Igneous Ore', 'Extrusive Ore', 'Ilimium Extrusive Ore', '', '2', '0', '1', '3', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '419', '531', '1', '1000', '336', '464', '502', '598', '103', '199', '502', '598', '502', '598', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('575', 'ore_extrusive_kalonterium', 'Inorganic', 'Mineral', 'Low-Grade Ore', 'Igneous Ore', 'Extrusive Ore', 'Kalonterium Extrusive Ore', '', '2', '0', '1', '3', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '489', '601', '1', '1000', '416', '544', '562', '658', '163', '259', '562', '658', '562', '658', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('576', 'ore_extrusive_keschel', 'Inorganic', 'Mineral', 'Low-Grade Ore', 'Igneous Ore', 'Extrusive Ore', 'Keschel Extrusive Ore', '', '2', '0', '1', '3', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '559', '671', '1', '1000', '496', '624', '622', '718', '223', '318', '622', '718', '622', '718', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('577', 'ore_extrusive_lidium', 'Inorganic', 'Mineral', 'Low-Grade Ore', 'Igneous Ore', 'Extrusive Ore', 'Lidium Extrusive Ore', '', '2', '0', '1', '3', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '629', '741', '1', '1000', '576', '704', '682', '778', '283', '378', '682', '778', '682', '778', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('578', 'ore_extrusive_maranium', 'Inorganic', 'Mineral', 'Low-Grade Ore', 'Igneous Ore', 'Extrusive Ore', 'Maranium Extrusive Ore', '', '2', '0', '1', '3', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '699', '811', '1', '1000', '656', '784', '742', '838', '342', '438', '742', '838', '742', '838', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('579', 'ore_extrusive_pholokite', 'Inorganic', 'Mineral', 'Low-Grade Ore', 'Igneous Ore', 'Extrusive Ore', 'Pholokite Extrusive Ore', '', '2', '0', '1', '3', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '769', '881', '1', '1000', '736', '864', '802', '898', '402', '498', '802', '898', '802', '898', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '4', '0', '6');
INSERT INTO `resource_tree` VALUES ('580', 'ore_extrusive_quadrenium', 'Inorganic', 'Mineral', 'Low-Grade Ore', 'Igneous Ore', 'Extrusive Ore', 'Quadrenium Extrusive Ore', '', '2', '0', '1', '3', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '839', '951', '1', '1000', '816', '944', '862', '958', '462', '558', '862', '958', '862', '958', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('581', 'ore_extrusive_vintrium', 'Inorganic', 'Mineral', 'Low-Grade Ore', 'Igneous Ore', 'Extrusive Ore', 'Vintrium Extrusive Ore', '', '2', '0', '1', '3', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '909', '1000', '1', '1000', '896', '1000', '922', '1000', '522', '600', '922', '1000', '922', '1000', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('582', 'ore_intrusive', 'Inorganic', 'Mineral', 'Low-Grade Ore', 'Igneous Ore', 'Intrusive Ore', '', '', '10', '1', '1', '30', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '300', '1000', '1', '1000', '200', '1000', '700', '1000', '1', '600', '400', '1000', '500', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('583', 'ore_intrusive_berubium', 'Inorganic', 'Mineral', 'Low-Grade Ore', 'Igneous Ore', 'Intrusive Ore', 'Berubium Intrusive Ore', '', '2', '0', '1', '3', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '300', '401', '1', '1000', '200', '316', '700', '743', '1', '88', '400', '487', '500', '572', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('584', 'ore_intrusive_chanlon', 'Inorganic', 'Mineral', 'Low-Grade Ore', 'Igneous Ore', 'Intrusive Ore', 'Chanlon Intrusive Ore', '', '2', '0', '1', '3', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '354', '479', '1', '1000', '262', '404', '723', '777', '48', '154', '447', '553', '539', '628', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('585', 'ore_intrusive_corintium', 'Inorganic', 'Mineral', 'Low-Grade Ore', 'Igneous Ore', 'Intrusive Ore', 'Corintium Intrusive Ore', '', '2', '0', '1', '3', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '432', '557', '1', '1000', '351', '493', '757', '810', '114', '221', '513', '620', '594', '683', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('586', 'ore_intrusive_derillium', 'Inorganic', 'Mineral', 'Low-Grade Ore', 'Igneous Ore', 'Intrusive Ore', 'Derillium Intrusive Ore', '', '2', '0', '1', '3', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '510', '634', '1', '1000', '440', '582', '790', '843', '181', '287', '580', '687', '650', '739', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('587', 'ore_intrusive_oridium', 'Inorganic', 'Mineral', 'Low-Grade Ore', 'Igneous Ore', 'Intrusive Ore', 'Oridium Intrusive Ore', '', '2', '0', '1', '3', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '588', '712', '1', '1000', '529', '671', '823', '877', '247', '354', '647', '753', '706', '794', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('588', 'ore_intrusive_dylinium', 'Inorganic', 'Mineral', 'Low-Grade Ore', 'Igneous Ore', 'Intrusive Ore', 'Dylinium Intrusive Ore', '', '2', '0', '1', '3', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '666', '790', '1', '1000', '618', '760', '857', '910', '314', '420', '713', '820', '761', '850', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('589', 'ore_intrusive_hollinium', 'Inorganic', 'Mineral', 'Low-Grade Ore', 'Igneous Ore', 'Intrusive Ore', 'Hollinium Intrusive Ore', '', '2', '0', '1', '3', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '743', '868', '1', '1000', '707', '849', '890', '943', '380', '487', '780', '887', '817', '906', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('590', 'ore_intrusive_ionite', 'Inorganic', 'Mineral', 'Low-Grade Ore', 'Igneous Ore', 'Intrusive Ore', 'Ionite Intrusive Ore', '', '2', '0', '1', '3', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '821', '946', '1', '1000', '796', '938', '923', '977', '447', '553', '847', '953', '872', '961', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('591', 'ore_intrusive_katrium', 'Inorganic', 'Mineral', 'Low-Grade Ore', 'Igneous Ore', 'Intrusive Ore', 'Katrium Intrusive Ore', '', '2', '0', '1', '3', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '899', '1000', '1', '1000', '884', '1000', '957', '1000', '513', '600', '913', '1000', '928', '1000', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('592', 'ore_sedimentary', 'Inorganic', 'Mineral', 'Low-Grade Ore', 'Sedimentary Ore', '', '', '', '15', '4', '2', '45', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '1', '700', '1', '1000', '300', '1000', '200', '1000', '300', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('593', 'ore_carbonate_low_grade', 'Inorganic', 'Mineral', 'Low-Grade Ore', 'Sedimentary Ore', 'Low Grade Ore (sedimentary)', '', '', '1', '1', '1', '1', '1', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('594', 'ore_sedimentary_unknown', 'Inorganic', 'Mineral', 'Low-Grade Ore', 'Sedimentary Ore', 'Unknown Sedimentary Ore', '', '', '2', '0', '1', '3', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '1', '700', '1', '1000', '300', '1000', '300', '1000', '300', '1000', '1', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('595', 'ore_carbonate', 'Inorganic', 'Mineral', 'Low-Grade Ore', 'Sedimentary Ore', 'Carbonate Ore', '', '', '10', '1', '1', '30', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '1', '700', '1', '1000', '300', '1000', '400', '1000', '300', '1000', '200', '1000', '1', '700', '0', '0', '0', '0', '0', '0', '0', '0', '', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('596', 'ore_carbonate_alantium', 'Inorganic', 'Mineral', 'Low-Grade Ore', 'Sedimentary Ore', 'Carbonate Ore', 'Alantium Carbonate Ore', '', '2', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '1', '115', '1', '1000', '300', '414', '400', '498', '300', '414', '200', '330', '1', '115', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('597', 'ore_carbonate_barthierium', 'Inorganic', 'Mineral', 'Low-Grade Ore', 'Sedimentary Ore', 'Carbonate Ore', 'Barthierium Carbonate Ore', '', '2', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '62', '202', '1', '1000', '361', '501', '453', '573', '361', '501', '270', '430', '62', '202', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('598', 'ore_carbonate_chromite', 'Inorganic', 'Mineral', 'Low-Grade Ore', 'Sedimentary Ore', 'Carbonate Ore', 'Chromite Carbonate Ore', '', '2', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '150', '289', '1', '1000', '449', '589', '528', '648', '449', '589', '370', '530', '150', '289', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('599', 'ore_carbonate_frasium', 'Inorganic', 'Mineral', 'Low-Grade Ore', 'Sedimentary Ore', 'Carbonate Ore', 'Frasium Carbonate Ore', '', '2', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '237', '377', '1', '1000', '536', '676', '603', '723', '536', '676', '470', '630', '237', '377', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('600', 'ore_carbonate_lommite', 'Inorganic', 'Mineral', 'Low-Grade Ore', 'Sedimentary Ore', 'Carbonate Ore', 'Lommite Carbonate Ore', '', '2', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '324', '464', '1', '1000', '624', '764', '678', '798', '624', '764', '570', '730', '324', '464', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('601', 'ore_carbonate_ostrine', 'Inorganic', 'Mineral', 'Low-Grade Ore', 'Sedimentary Ore', 'Carbonate Ore', 'Ostrine Carbonate Ore', '', '2', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '412', '551', '1', '1000', '711', '851', '753', '873', '711', '851', '670', '830', '412', '551', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('602', 'ore_carbonate_varium', 'Inorganic', 'Mineral', 'Low-Grade Ore', 'Sedimentary Ore', 'Carbonate Ore', 'Varium Carbonate Ore', '', '2', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '499', '639', '1', '1000', '799', '939', '828', '948', '799', '939', '770', '930', '499', '639', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('603', 'ore_carbonate_zinsiam', 'Inorganic', 'Mineral', 'Low-Grade Ore', 'Sedimentary Ore', 'Carbonate Ore', 'Zinsiam Carbonate Ore', '', '2', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '586', '700', '1', '1000', '886', '1000', '903', '1000', '886', '1000', '870', '1000', '586', '700', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('604', 'ore_siliclastic', 'Inorganic', 'Mineral', 'Low-Grade Ore', 'Sedimentary Ore', 'Siliclastic Ore', '', '', '8', '2', '1', '24', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '1', '700', '1', '1000', '300', '1000', '300', '1000', '300', '1000', '1', '700', '1', '600', '0', '0', '0', '0', '0', '0', '0', '0', '', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('605', 'ore_siliclastic_low_grade', 'Inorganic', 'Mineral', 'Low-Grade Ore', 'Sedimentary Ore', 'Siliclastic Ore', 'Low Grade Ore (siliclastic)', '', '1', '1', '1', '1', '1', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('606', 'ore_siliclastic_ardanium', 'Inorganic', 'Mineral', 'Low-Grade Ore', 'Sedimentary Ore', 'Siliclastic Ore', 'Ardanium Siliclastic Ore', '', '2', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '1', '152', '1', '1000', '300', '452', '300', '452', '300', '452', '1', '152', '1', '131', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('607', 'ore_siliclastic_cortosis', 'Inorganic', 'Mineral', 'Low-Grade Ore', 'Sedimentary Ore', 'Siliclastic Ore', 'Cortosis Siliclastic Ore', '', '2', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '83', '269', '1', '1000', '382', '568', '382', '568', '382', '568', '83', '269', '71', '231', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('608', 'ore_siliclastic_crism', 'Inorganic', 'Mineral', 'Low-Grade Ore', 'Sedimentary Ore', 'Siliclastic Ore', 'Crism Siliclastic Ore', '', '2', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '199', '385', '1', '1000', '498', '685', '498', '685', '498', '685', '199', '385', '171', '330', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('609', 'ore_siliclastic_malab', 'Inorganic', 'Mineral', 'Low-Grade Ore', 'Sedimentary Ore', 'Siliclastic Ore', 'Malab Siliclastic Ore', '', '2', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '316', '502', '1', '1000', '615', '802', '615', '802', '615', '802', '316', '502', '271', '430', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('610', 'ore_siliclastic_robindun', 'Inorganic', 'Mineral', 'Low-Grade Ore', 'Sedimentary Ore', 'Siliclastic Ore', 'Robindun Siliclastic Ore', '', '2', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '432', '618', '1', '1000', '732', '918', '732', '918', '732', '918', '432', '618', '370', '530', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('611', 'ore_siliclastic_fermionic', 'Inorganic', 'Mineral', 'Low-Grade Ore', 'Sedimentary Ore', 'Siliclastic Ore', 'Fermionic Siliclastic Ore', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '1', '6');
INSERT INTO `resource_tree` VALUES ('612', 'ore_siliclastic_tertian', 'Inorganic', 'Mineral', 'Low-Grade Ore', 'Sedimentary Ore', 'Siliclastic Ore', 'Tertian Siliclastic Ore', '', '2', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', '', '', '', '', '549', '700', '1', '1000', '848', '1000', '848', '1000', '848', '1000', '549', '700', '470', '600', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('613', 'gemstone', 'Inorganic', 'Mineral', 'Gemstone', '', '', '', '', '16', '3', '2', '48', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'entangle_resistance', '', '', '', '1', '1000', '1', '1000', '1', '1000', '600', '1000', '1', '700', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('614', 'gemstone_mixed_low_quality', 'Inorganic', 'Mineral', 'Gemstone', 'Low Quality Gemstones', '', '', '', '1', '1', '1', '1', '1', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'entangle_resistance', '', '', '', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('615', 'gemstone_unknown', 'Inorganic', 'Mineral', 'Gemstone', 'Unknown Gem Type', '', '', '', '2', '0', '1', '3', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'entangle_resistance', '', '', '', '1', '1000', '1', '1000', '1', '1000', '600', '1000', '1', '600', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('616', 'gemstone_armophous', 'Inorganic', 'Mineral', 'Gemstone', 'Amorphous Gemstone', '', '', '', '10', '1', '1', '30', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'entangle_resistance', '', '', '', '1', '1000', '1', '1000', '1', '1000', '600', '1000', '1', '600', '1', '1000', '1', '1000', '1', '800', '0', '0', '0', '0', '0', '0', '', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('617', 'armophous_bospridium', 'Inorganic', 'Mineral', 'Gemstone', 'Amorphous Gemstone', 'Bospridium Amorphous Gemstone', '', '', '2', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'entangle_resistance', '', '', '', '1', '131', '1', '1000', '1', '131', '600', '652', '1', '79', '1', '131', '1', '131', '1', '105', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('618', 'armophous_baradium', 'Inorganic', 'Mineral', 'Gemstone', 'Amorphous Gemstone', 'Baradium Amorphous Gemstone', '', '', '2', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'entangle_resistance', '', '', '', '71', '231', '1', '1000', '71', '231', '628', '692', '43', '139', '71', '231', '71', '231', '57', '185', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('619', 'armophous_regvis', 'Inorganic', 'Mineral', 'Gemstone', 'Amorphous Gemstone', 'Regvis Amorphous Gemstone', '', '', '2', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'entangle_resistance', '', '', '', '171', '331', '1', '1000', '171', '331', '668', '732', '103', '199', '171', '331', '171', '331', '137', '265', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('620', 'armophous_plexite', 'Inorganic', 'Mineral', 'Gemstone', 'Amorphous Gemstone', 'Plexite Amorphous Gemstone', '', '', '2', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'entangle_resistance', '', '', '', '271', '431', '1', '1000', '271', '431', '708', '772', '163', '259', '271', '431', '271', '431', '217', '345', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('621', 'armophous_rudic', 'Inorganic', 'Mineral', 'Gemstone', 'Amorphous Gemstone', 'Rudic Amorphous Gemstone', '', '', '2', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'entangle_resistance', '', '', '', '371', '530', '1', '1000', '371', '530', '748', '812', '223', '318', '371', '530', '371', '530', '297', '424', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('622', 'armophous_ryll', 'Inorganic', 'Mineral', 'Gemstone', 'Amorphous Gemstone', 'Ryll Amorphous Gemstone', '', '', '2', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'entangle_resistance', '', '', '', '471', '630', '1', '1000', '471', '630', '788', '852', '283', '378', '471', '630', '471', '630', '377', '504', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('623', 'armophous_sedrellium', 'Inorganic', 'Mineral', 'Gemstone', 'Amorphous Gemstone', 'Sedrellium Amorphous Gemstone', '', '', '2', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'entangle_resistance', '', '', '', '570', '730', '1', '1000', '570', '730', '828', '892', '342', '438', '570', '730', '570', '730', '456', '584', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('624', 'armophous_stygium', 'Inorganic', 'Mineral', 'Gemstone', 'Amorphous Gemstone', 'Stygium Amorphous Gemstone', '', '', '2', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'entangle_resistance', '', '', '', '670', '830', '1', '1000', '670', '830', '868', '932', '402', '498', '670', '830', '670', '830', '536', '664', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('625', 'armophous_vendusii', 'Inorganic', 'Mineral', 'Gemstone', 'Amorphous Gemstone', 'Vendusii Crystal Amorphous Gemstone', '', '', '2', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'entangle_resistance', '', '', '', '770', '930', '1', '1000', '770', '930', '908', '972', '462', '558', '770', '930', '770', '930', '616', '744', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('626', 'armophous_baltaran', 'Inorganic', 'Mineral', 'Gemstone', 'Amorphous Gemstone', 'Bal\'ta\'ran Crystal Amorphous Gemstone', '', '', '2', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'entangle_resistance', '', '', '', '870', '1000', '1', '1000', '870', '1000', '948', '1000', '522', '600', '870', '1000', '870', '1000', '696', '800', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('627', 'gemstone_crystalline', 'Inorganic', 'Mineral', 'Gemstone', 'Crystalline Gemstone', '', '', '', '8', '1', '1', '24', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'entangle_resistance', '', '', '', '1', '1000', '1', '1000', '1', '1000', '700', '1000', '1', '400', '300', '1000', '300', '1000', '500', '1000', '0', '0', '0', '0', '0', '0', '', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('628', 'crystalline_byrothsis', 'Inorganic', 'Mineral', 'Gemstone', 'Crystalline Gemstone', 'Byrothsis Crystalline Gemstone', '', '', '2', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'entangle_resistance', '', '', '', '1', '163', '1', '1000', '1', '163', '700', '749', '1', '66', '300', '414', '300', '414', '500', '581', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('629', 'crystalline_gallinorian', 'Inorganic', 'Mineral', 'Gemstone', 'Crystalline Gemstone', 'Gallinorian Rainbow Gem Crystalline Gemstone', '', '', '2', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'entangle_resistance', '', '', '', '88', '288', '1', '1000', '88', '288', '726', '786', '36', '116', '361', '501', '361', '501', '544', '644', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('630', 'crystalline_green_diamond', 'Inorganic', 'Mineral', 'Gemstone', 'Crystalline Gemstone', 'Green Diamond Crystalline Gemstone', '', '', '2', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'entangle_resistance', '', '', '', '213', '413', '1', '1000', '213', '413', '764', '824', '86', '166', '449', '589', '449', '589', '606', '706', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('631', 'crystalline_kerol_firegem', 'Inorganic', 'Mineral', 'Gemstone', 'Crystalline Gemstone', 'Kerol Fire-Gem Crystalline Gemstone', '', '', '2', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'entangle_resistance', '', '', '', '338', '538', '1', '1000', '338', '538', '801', '861', '136', '215', '536', '676', '536', '676', '669', '769', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('632', 'crystalline_seafah_jewel', 'Inorganic', 'Mineral', 'Gemstone', 'Crystalline Gemstone', 'Seafah Jewel Crystalline Gemstone', '', '', '2', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'entangle_resistance', '', '', '', '463', '663', '1', '1000', '463', '663', '839', '899', '186', '265', '624', '764', '624', '764', '731', '831', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('633', 'crystalline_sormahil_firegem', 'Inorganic', 'Mineral', 'Gemstone', 'Crystalline Gemstone', 'Sormahil Fire Gem Crystalline Gemstone', '', '', '2', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'entangle_resistance', '', '', '', '588', '788', '1', '1000', '588', '788', '876', '936', '235', '315', '711', '851', '711', '851', '794', '894', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('634', 'crystalline_laboi_mineral_crystal', 'Inorganic', 'Mineral', 'Gemstone', 'Crystalline Gemstone', 'Laboi Mineral Crystal Crystalline Gemstone', '', '', '2', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'entangle_resistance', '', '', '', '713', '913', '1', '1000', '713', '913', '914', '974', '285', '365', '799', '939', '799', '939', '856', '956', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('635', 'crystalline_vertex', 'Inorganic', 'Mineral', 'Gemstone', 'Crystalline Gemstone', 'Vertex Crystalline Gemstone', '', '', '2', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', 'res_cold_resist', 'res_heat_resist', 'res_malleability', 'res_toughness', 'res_shock_resistance', 'entangle_resistance', '', '', '', '838', '1000', '1', '1000', '838', '1000', '951', '1000', '335', '400', '886', '1000', '886', '1000', '919', '1000', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_minerals.iff', 'mineral_resource', '-1', '0', '6');
INSERT INTO `resource_tree` VALUES ('636', 'gas', 'Inorganic', 'Gas', '', '', '', '', '', '16', '3', '2', '48', '0', 'res_decay_resist', 'res_quality', '', '', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', 'energy_resource', '-1', '0', '4');
INSERT INTO `resource_tree` VALUES ('637', 'gas_reactive', 'Inorganic', 'Gas', 'Reactive Gas', '', '', '', '', '8', '2', '1', '24', '0', 'res_decay_resist', 'res_quality', '', '', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_gas.iff', 'energy_resource', '-1', '0', '4');
INSERT INTO `resource_tree` VALUES ('638', 'gas_reactive_unknown', 'Inorganic', 'Gas', 'Reactive Gas', 'Unknown Reactive Gas', '', '', '', '2', '0', '1', '3', '0', 'res_decay_resist', 'res_quality', '', '', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_gas.iff', 'energy_resource', '-1', '0', '4');
INSERT INTO `resource_tree` VALUES ('639', 'gas_reactive_known', 'Inorganic', 'Gas', 'Reactive Gas', 'Known Reactive Gas', '', '', '', '8', '2', '1', '24', '0', 'res_decay_resist', 'res_quality', '', '', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_gas.iff', 'energy_resource', '-1', '0', '4');
INSERT INTO `resource_tree` VALUES ('640', 'gas_reactive_mixed', 'Inorganic', 'Gas', 'Reactive Gas', 'Known Reactive Gas', 'Mixed Reactive Gas', '', '', '1', '1', '1', '1', '1', 'res_decay_resist', 'res_quality', '', '', '', '', '', '', '', '', '', '200', '200', '200', '200', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_gas.iff', 'reactive_gas_resource', '-1', '0', '4');
INSERT INTO `resource_tree` VALUES ('641', 'gas_reactive_eleton', 'Inorganic', 'Gas', 'Reactive Gas', 'Known Reactive Gas', 'Eleton Reactive Gas', '', '', '2', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', '', '', '', '', '', '', '', '', '', '1', '400', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_gas.iff', 'reactive_gas_resource', '-1', '0', '4');
INSERT INTO `resource_tree` VALUES ('642', 'gas_reactive_irolunn', 'Inorganic', 'Gas', 'Reactive Gas', 'Known Reactive Gas', 'Irolunn Reactive Gas', '', '', '2', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', '', '', '', '', '', '', '', '', '', '100', '600', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_gas.iff', 'reactive_gas_resource', '-1', '0', '4');
INSERT INTO `resource_tree` VALUES ('643', 'gas_reactive_methane', 'Inorganic', 'Gas', 'Reactive Gas', 'Known Reactive Gas', 'Methane Reactive Gas', '', '', '2', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', '', '', '', '', '', '', '', '', '', '200', '700', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_gas.iff', 'reactive_gas_resource', '-1', '0', '4');
INSERT INTO `resource_tree` VALUES ('644', 'gas_reactive_orveth', 'Inorganic', 'Gas', 'Reactive Gas', 'Known Reactive Gas', 'Orveth Reactive Gas', '', '', '2', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', '', '', '', '', '', '', '', '', '', '300', '800', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_gas.iff', 'reactive_gas_resource', '-1', '0', '4');
INSERT INTO `resource_tree` VALUES ('645', 'gas_reactive_sig', 'Inorganic', 'Gas', 'Reactive Gas', 'Known Reactive Gas', 'Sig Reactive Gas', '', '', '2', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', '', '', '', '', '', '', '', '', '', '300', '900', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_gas.iff', 'reactive_gas_resource', '-1', '0', '4');
INSERT INTO `resource_tree` VALUES ('646', 'gas_reactive_skevon', 'Inorganic', 'Gas', 'Reactive Gas', 'Known Reactive Gas', 'Skevon Reactive Gas', '', '', '2', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', '', '', '', '', '', '', '', '', '', '400', '900', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_gas.iff', 'reactive_gas_resource', '-1', '0', '4');
INSERT INTO `resource_tree` VALUES ('647', 'gas_reactive_organometallic', 'Inorganic', 'Gas', 'Reactive Gas', 'Known Reactive Gas', 'Unstable Organometallic Reactive Gas', '', '', '1', '1', '1', '1', '0', 'res_decay_resist', 'res_quality', '', '', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_gas.iff', 'reactive_gas_resource', '-1', '1', '4');
INSERT INTO `resource_tree` VALUES ('648', 'gas_reactive_tolium', 'Inorganic', 'Gas', 'Reactive Gas', 'Known Reactive Gas', 'Tolium Reactive Gas', '', '', '2', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', '', '', '', '', '', '', '', '', '', '500', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_gas.iff', 'reactive_gas_resource', '-1', '0', '4');
INSERT INTO `resource_tree` VALUES ('649', 'gas_inert', 'Inorganic', 'Gas', 'Inert Gas', '', '', '', '', '12', '1', '1', '36', '0', 'res_decay_resist', 'res_quality', '', '', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', 'energy_resource', '-1', '0', '4');
INSERT INTO `resource_tree` VALUES ('650', 'gas_inert_unknown', 'Inorganic', 'Gas', 'Inert Gas', 'Unknown Inert Gas', '', '', '', '2', '0', '1', '3', '0', 'res_decay_resist', 'res_quality', '', '', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_gas.iff', 'energy_resource', '-1', '0', '4');
INSERT INTO `resource_tree` VALUES ('651', 'gas_inert_known', 'Inorganic', 'Gas', 'Inert Gas', 'Known Inert Gas', '', '', '', '12', '1', '1', '36', '0', 'res_decay_resist', 'res_quality', '', '', '', '', '', '', '', '', '', '1', '800', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', 'energy_resource', '-1', '0', '4');
INSERT INTO `resource_tree` VALUES ('652', 'gas_inert_mixed', 'Inorganic', 'Gas', 'Inert Gas', 'Known Inert Gas', 'Mixed Inert Gas', '', '', '1', '1', '1', '1', '1', 'res_decay_resist', 'res_quality', '', '', '', '', '', '', '', '', '', '200', '200', '200', '200', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_gas.iff', 'energy_resource', '-1', '0', '4');
INSERT INTO `resource_tree` VALUES ('653', 'gas_inert_hydron3', 'Inorganic', 'Gas', 'Inert Gas', 'Known Inert Gas', 'Hydron-3 Inert Gas', '', '', '2', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', '', '', '', '', '', '', '', '', '', '1', '81', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_gas.iff', 'energy_resource', '-1', '0', '4');
INSERT INTO `resource_tree` VALUES ('654', 'gas_inert_malium', 'Inorganic', 'Gas', 'Inert Gas', 'Known Inert Gas', 'Malium Inert Gas', '', '', '2', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', '', '', '', '', '', '', '', '', '', '44', '142', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_gas.iff', 'energy_resource', '-1', '0', '4');
INSERT INTO `resource_tree` VALUES ('655', 'gas_inert_bilal', 'Inorganic', 'Gas', 'Inert Gas', 'Known Inert Gas', 'Bilal gas Inert Gas', '', '', '2', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', '', '', '', '', '', '', '', '', '', '105', '204', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_gas.iff', 'energy_resource', '-1', '0', '4');
INSERT INTO `resource_tree` VALUES ('656', 'gas_inert_corthel', 'Inorganic', 'Gas', 'Inert Gas', 'Known Inert Gas', 'Corthel Inert Gas', '', '', '2', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', '', '', '', '', '', '', '', '', '', '167', '265', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_gas.iff', 'energy_resource', '-1', '0', '4');
INSERT INTO `resource_tree` VALUES ('657', 'gas_inert_culsion', 'Inorganic', 'Gas', 'Inert Gas', 'Known Inert Gas', 'Culsion Inert Gas', '', '', '2', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', '', '', '', '', '', '', '', '', '', '228', '327', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_gas.iff', 'energy_resource', '-1', '0', '4');
INSERT INTO `resource_tree` VALUES ('658', 'gas_inert_dioxis', 'Inorganic', 'Gas', 'Inert Gas', 'Known Inert Gas', 'Dioxis Inert Gas', '', '', '2', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', '', '', '', '', '', '', '', '', '', '290', '388', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_gas.iff', 'energy_resource', '-1', '0', '4');
INSERT INTO `resource_tree` VALUES ('659', 'gas_inert_hurlothrombic', 'Inorganic', 'Gas', 'Inert Gas', 'Known Inert Gas', 'Hurlothrombic Inert Gas', '', '', '2', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', '', '', '', '', '', '', '', '', '', '351', '450', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_gas.iff', 'energy_resource', '-1', '0', '4');
INSERT INTO `resource_tree` VALUES ('660', 'gas_inert_kaylon', 'Inorganic', 'Gas', 'Inert Gas', 'Known Inert Gas', 'Kaylon Inert Gas', '', '', '2', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', '', '', '', '', '', '', '', '', '', '413', '511', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_gas.iff', 'energy_resource', '-1', '0', '4');
INSERT INTO `resource_tree` VALUES ('661', 'gas_inert_korfaise', 'Inorganic', 'Gas', 'Inert Gas', 'Known Inert Gas', 'Korfaise Inert Gas', '', '', '2', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', '', '', '', '', '', '', '', '', '', '474', '573', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_gas.iff', 'energy_resource', '-1', '0', '4');
INSERT INTO `resource_tree` VALUES ('662', 'gas_inert_methanagen', 'Inorganic', 'Gas', 'Inert Gas', 'Known Inert Gas', 'Methanagen Inert Gas', '', '', '2', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', '', '', '', '', '', '', '', '', '', '536', '634', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_gas.iff', 'energy_resource', '-1', '0', '4');
INSERT INTO `resource_tree` VALUES ('663', 'gas_inert_mirth', 'Inorganic', 'Gas', 'Inert Gas', 'Known Inert Gas', 'Mirth Inert Gas', '', '', '2', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', '', '', '', '', '', '', '', '', '', '597', '696', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_gas.iff', 'energy_resource', '-1', '0', '4');
INSERT INTO `resource_tree` VALUES ('664', 'gas_inert_obah', 'Inorganic', 'Gas', 'Inert Gas', 'Known Inert Gas', 'Obah Inert Gas', '', '', '2', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', '', '', '', '', '', '', '', '', '', '659', '757', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_gas.iff', 'energy_resource', '-1', '0', '4');
INSERT INTO `resource_tree` VALUES ('665', 'gas_inert_rethin', 'Inorganic', 'Gas', 'Inert Gas', 'Known Inert Gas', 'Rethin Inert Gas', '', '', '2', '0', '8', '8', '0', 'res_decay_resist', 'res_quality', '', '', '', '', '', '', '', '', '', '720', '800', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_inorganic_gas.iff', 'energy_resource', '-1', '0', '4');
INSERT INTO `resource_tree` VALUES ('666', 'energy', 'Energy', '', '', '', '', '', '', '55', '55', '50', '55', '0', 'res_quality', 'res_potential_energy', 'res_decay_resist', '', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', 'energy_resource', '-1', '0', '-1');
INSERT INTO `resource_tree` VALUES ('667', 'energy_renewable', 'Energy', 'Renewable energy', '', '', '', '', '', '55', '55', '50', '55', '0', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', 'energy_resource', '-1', '0', '-1');
INSERT INTO `resource_tree` VALUES ('668', 'energy_renewable_site_limited', 'Energy', 'Renewable energy', 'Site-Restricted Renewable Energy', '', '', '', '', '35', '33', '30', '35', '0', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '', '1', '1000', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', 'energy_resource', '-1', '0', '-1');
INSERT INTO `resource_tree` VALUES ('669', 'energy_renewable_site_limited_tidal_weak', 'Energy', 'Renewable energy', 'Site-Restricted Renewable Energy', 'Weak Tidal Renewable Energy', '', '', '', '1', '1', '1', '1', '1', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '', '200', '200', '200', '200', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_liquid.iff', 'energy_resource', '-1', '0', '-1');
INSERT INTO `resource_tree` VALUES ('670', 'energy_renewable_site_limited_tidal_corellia', 'Energy', 'Renewable energy', 'Site-Restricted Renewable Energy', 'Corellian Tidal Renewable Energy', '', '', '', '2', '1', '1', '1', '0', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '', '500', '500', '1', '500', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_liquid.iff', 'energy_resource', '0', '0', '-1');
INSERT INTO `resource_tree` VALUES ('671', 'energy_renewable_site_limited_tidal_dathomir', 'Energy', 'Renewable energy', 'Site-Restricted Renewable Energy', 'Dathomirian Tidal Renewable Energy', '', '', '', '2', '1', '1', '1', '0', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '', '500', '500', '1', '500', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_liquid.iff', 'energy_resource', '2', '0', '-1');
INSERT INTO `resource_tree` VALUES ('672', 'energy_renewable_site_limited_tidal_dantooine', 'Energy', 'Renewable energy', 'Site-Restricted Renewable Energy', 'Dantooine Tidal Renewable Energy', '', '', '', '2', '1', '1', '1', '0', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '', '500', '500', '1', '500', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_liquid.iff', 'energy_resource', '1', '0', '-1');
INSERT INTO `resource_tree` VALUES ('673', 'energy_renewable_site_limited_tidal_endor', 'Energy', 'Renewable energy', 'Site-Restricted Renewable Energy', 'Endor Tidal Renewable Energy', '', '', '', '2', '1', '1', '1', '0', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '', '500', '500', '1', '500', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_liquid.iff', 'energy_resource', '3', '0', '-1');
INSERT INTO `resource_tree` VALUES ('674', 'energy_renewable_site_limited_tidal_lok', 'Energy', 'Renewable energy', 'Site-Restricted Renewable Energy', 'Lokian Tidal Renewable Energy', '', '', '', '2', '1', '1', '1', '0', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '', '500', '500', '1', '500', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_liquid.iff', 'energy_resource', '4', '0', '-1');
INSERT INTO `resource_tree` VALUES ('675', 'energy_renewable_site_limited_tidal_naboo', 'Energy', 'Renewable energy', 'Site-Restricted Renewable Energy', 'Naboo Tidal Renewable Energy', '', '', '', '2', '1', '1', '1', '0', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '', '500', '500', '1', '500', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_liquid.iff', 'energy_resource', '5', '0', '-1');
INSERT INTO `resource_tree` VALUES ('676', 'energy_renewable_site_limited_tidal_rori', 'Energy', 'Renewable energy', 'Site-Restricted Renewable Energy', 'Rori Tidal Renewable Energy', '', '', '', '2', '1', '1', '1', '0', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '', '500', '500', '1', '500', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_liquid.iff', 'energy_resource', '6', '0', '-1');
INSERT INTO `resource_tree` VALUES ('677', 'energy_renewable_site_limited_tidal_talus', 'Energy', 'Renewable energy', 'Site-Restricted Renewable Energy', 'Talusian Tidal Renewable Energy', '', '', '', '2', '1', '1', '1', '0', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '', '500', '500', '1', '500', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_liquid.iff', 'energy_resource', '7', '0', '-1');
INSERT INTO `resource_tree` VALUES ('678', 'energy_renewable_site_limited_tidal_tatooine', 'Energy', 'Renewable energy', 'Site-Restricted Renewable Energy', 'Tatooinian Tidal Renewable Energy', '', '', '', '2', '1', '1', '1', '0', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '', '500', '500', '1', '500', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_liquid.iff', 'energy_resource', '8', '0', '-1');
INSERT INTO `resource_tree` VALUES ('679', 'energy_renewable_site_limited_tidal_yavin4', 'Energy', 'Renewable energy', 'Site-Restricted Renewable Energy', 'Yavinian Tidal Renewable Energy', '', '', '', '2', '1', '1', '1', '0', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '', '500', '500', '1', '500', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_liquid.iff', 'energy_resource', '9', '0', '-1');
INSERT INTO `resource_tree` VALUES ('680', 'energy_renewable_site_limited_hydron3_weak', 'Energy', 'Renewable energy', 'Site-Restricted Renewable Energy', 'Weak Hydron-3 Renewable Energy', '', '', '', '1', '1', '1', '1', '1', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '', '200', '200', '200', '200', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_liquid.iff', 'energy_resource', '-1', '0', '-1');
INSERT INTO `resource_tree` VALUES ('681', 'energy_renewable_site_limited_hydron3_corellia', 'Energy', 'Renewable energy', 'Site-Restricted Renewable Energy', 'Corellian Hydron-3 Renewable Energy', '', '', '', '2', '1', '1', '1', '0', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '', '500', '500', '1', '500', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_liquid.iff', 'energy_resource', '0', '0', '-1');
INSERT INTO `resource_tree` VALUES ('682', 'energy_renewable_site_limited_hydron3_dantooine', 'Energy', 'Renewable energy', 'Site-Restricted Renewable Energy', 'Dantooine Hydron-3 Renewable Energy', '', '', '', '2', '1', '1', '1', '0', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '', '500', '500', '1', '500', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_liquid.iff', 'energy_resource', '1', '0', '-1');
INSERT INTO `resource_tree` VALUES ('683', 'energy_renewable_site_limited_hydron3_dathomir', 'Energy', 'Renewable energy', 'Site-Restricted Renewable Energy', 'Dathomirian Hydron-3 Renewable Energy', '', '', '', '2', '1', '1', '1', '0', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '', '500', '500', '1', '500', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_liquid.iff', 'energy_resource', '2', '0', '-1');
INSERT INTO `resource_tree` VALUES ('684', 'energy_renewable_site_limited_hydron3_endor', 'Energy', 'Renewable energy', 'Site-Restricted Renewable Energy', 'Endorian Hydron-3 Renewable Energy', '', '', '', '2', '1', '1', '1', '0', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '', '500', '500', '1', '500', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_liquid.iff', 'energy_resource', '3', '0', '-1');
INSERT INTO `resource_tree` VALUES ('685', 'energy_renewable_site_limited_hydron3_lok', 'Energy', 'Renewable energy', 'Site-Restricted Renewable Energy', 'Lokian Hydron-3 Renewable Energy', '', '', '', '2', '1', '1', '1', '0', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '', '500', '500', '1', '500', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_liquid.iff', 'energy_resource', '4', '0', '-1');
INSERT INTO `resource_tree` VALUES ('686', 'energy_renewable_site_limited_hydron3_naboo', 'Energy', 'Renewable energy', 'Site-Restricted Renewable Energy', 'Nabooian Hydron-3 Renewable Energy', '', '', '', '2', '1', '1', '1', '0', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '', '500', '500', '1', '500', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_liquid.iff', 'energy_resource', '5', '0', '-1');
INSERT INTO `resource_tree` VALUES ('687', 'energy_renewable_site_limited_hydron3_rori', 'Energy', 'Renewable energy', 'Site-Restricted Renewable Energy', 'Rori Hydron-3 Renewable Energy', '', '', '', '2', '1', '1', '1', '0', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '', '500', '500', '1', '500', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_liquid.iff', 'energy_resource', '6', '0', '-1');
INSERT INTO `resource_tree` VALUES ('688', 'energy_renewable_site_limited_hydron3_talus', 'Energy', 'Renewable energy', 'Site-Restricted Renewable Energy', 'Talusian Hydron-3 Renewable Energy', '', '', '', '2', '1', '1', '1', '0', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '', '500', '500', '1', '500', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_liquid.iff', 'energy_resource', '7', '0', '-1');
INSERT INTO `resource_tree` VALUES ('689', 'energy_renewable_site_limited_hydron3_tatooine', 'Energy', 'Renewable energy', 'Site-Restricted Renewable Energy', 'Tatooinian Hydron-3 Renewable Energy', '', '', '', '2', '1', '1', '1', '0', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '', '500', '500', '1', '500', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_liquid.iff', 'energy_resource', '8', '0', '-1');
INSERT INTO `resource_tree` VALUES ('690', 'energy_renewable_site_limited_hydron3_yavin4', 'Energy', 'Renewable energy', 'Site-Restricted Renewable Energy', 'Yavinian Hydron-3 Renewable Energy', '', '', '', '2', '1', '1', '1', '0', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '', '500', '500', '1', '500', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_liquid.iff', 'energy_resource', '9', '0', '-1');
INSERT INTO `resource_tree` VALUES ('691', 'energy_renewable_site_limited_geothermal_weak', 'Energy', 'Renewable energy', 'Site-Restricted Renewable Energy', 'Weak Geothermal Renewable Energy', '', '', '', '1', '1', '1', '1', '1', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '', '200', '200', '200', '200', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_liquid.iff', 'energy_resource', '-1', '0', '-1');
INSERT INTO `resource_tree` VALUES ('692', 'energy_renewable_site_limited_geothermal_corellia', 'Energy', 'Renewable energy', 'Site-Restricted Renewable Energy', 'Corellian Geothermal Renewable Energy', '', '', '', '2', '1', '1', '1', '0', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '', '500', '500', '1', '500', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_liquid.iff', 'energy_resource', '0', '0', '-1');
INSERT INTO `resource_tree` VALUES ('693', 'energy_renewable_site_limited_geothermal_dantooine', 'Energy', 'Renewable energy', 'Site-Restricted Renewable Energy', 'Dantooine Geothermal Renewable Energy', '', '', '', '2', '1', '1', '1', '0', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '', '500', '500', '1', '500', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_liquid.iff', 'energy_resource', '1', '0', '-1');
INSERT INTO `resource_tree` VALUES ('694', 'energy_renewable_site_limited_geothermal_dathomir', 'Energy', 'Renewable energy', 'Site-Restricted Renewable Energy', 'Dathomirian Geothermal Renewable Energy', '', '', '', '2', '1', '1', '1', '0', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '', '500', '500', '1', '500', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_liquid.iff', 'energy_resource', '2', '0', '-1');
INSERT INTO `resource_tree` VALUES ('695', 'energy_renewable_site_limited_geothermal_endor', 'Energy', 'Renewable energy', 'Site-Restricted Renewable Energy', 'Endorian Geothermal Renewable Energy', '', '', '', '2', '1', '1', '1', '0', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '', '500', '500', '1', '500', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_liquid.iff', 'energy_resource', '3', '0', '-1');
INSERT INTO `resource_tree` VALUES ('696', 'energy_renewable_site_limited_geothermal_lok', 'Energy', 'Renewable energy', 'Site-Restricted Renewable Energy', 'Lokian Geothermal Renewable Energy', '', '', '', '2', '1', '1', '1', '0', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '', '500', '500', '1', '500', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_liquid.iff', 'energy_resource', '4', '0', '-1');
INSERT INTO `resource_tree` VALUES ('697', 'energy_renewable_site_limited_geothermal_naboo', 'Energy', 'Renewable energy', 'Site-Restricted Renewable Energy', 'Nabooian Geothermal Renewable Energy', '', '', '', '2', '1', '1', '1', '0', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '', '500', '500', '1', '500', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_liquid.iff', 'energy_resource', '5', '0', '-1');
INSERT INTO `resource_tree` VALUES ('698', 'energy_renewable_site_limited_geothermal_rori', 'Energy', 'Renewable energy', 'Site-Restricted Renewable Energy', 'Rori Geothermal Renewable Energy', '', '', '', '2', '1', '1', '1', '0', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '', '500', '500', '1', '500', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_liquid.iff', 'energy_resource', '6', '0', '-1');
INSERT INTO `resource_tree` VALUES ('699', 'energy_renewable_site_limited_geothermal_talus', 'Energy', 'Renewable energy', 'Site-Restricted Renewable Energy', 'Talusian Geothermal Renewable Energy', '', '', '', '2', '1', '1', '1', '0', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '', '500', '500', '1', '500', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_liquid.iff', 'energy_resource', '7', '0', '-1');
INSERT INTO `resource_tree` VALUES ('700', 'energy_renewable_site_limited_geothermal_tatooine', 'Energy', 'Renewable energy', 'Site-Restricted Renewable Energy', 'Tatooinian Geothermal Renewable Energy', '', '', '', '2', '1', '1', '1', '0', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '', '500', '500', '1', '500', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_liquid.iff', 'energy_resource', '8', '0', '-1');
INSERT INTO `resource_tree` VALUES ('701', 'energy_renewable_site_limited_geothermal_yavin4', 'Energy', 'Renewable energy', 'Site-Restricted Renewable Energy', 'Yavinian Geothermal Renewable Energy', '', '', '', '2', '1', '1', '1', '0', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '', '500', '500', '1', '500', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_liquid.iff', 'energy_resource', '9', '0', '-1');
INSERT INTO `resource_tree` VALUES ('702', 'energy_renewable_unlimited', 'Energy', 'Renewable energy', 'Non Site-Restricted Renewable Energy', '', '', '', '', '22', '22', '20', '20', '0', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '', '1', '500', '1', '500', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', 'energy_resource', '-1', '0', '-1');
INSERT INTO `resource_tree` VALUES ('703', 'energy_renewable_unlimited_wind', 'Energy', 'Renewable energy', 'Non Site-Restricted Renewable Energy', 'Wind Energy', '', '', '', '11', '11', '10', '10', '0', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '', '1', '500', '1', '400', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', 'energy_resource', '-1', '0', '8');
INSERT INTO `resource_tree` VALUES ('704', 'energy_renewable_unlimited_wind_weak', 'Energy', 'Renewable energy', 'Non Site-Restricted Renewable Energy', 'Wind Energy', 'Weak Wind Renewable Energy', '', '', '1', '1', '1', '1', '1', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '', '200', '200', '200', '200', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_liquid.iff', 'energy_resource', '-1', '0', '8');
INSERT INTO `resource_tree` VALUES ('705', 'energy_renewable_unlimited_wind_corellia', 'Energy', 'Renewable energy', 'Non Site-Restricted Renewable Energy', 'Wind Energy', 'Corellian Wind Renewable Energy', '', '', '1', '1', '1', '1', '0', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '', '500', '500', '1', '400', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_liquid.iff', 'energy_resource', '0', '0', '8');
INSERT INTO `resource_tree` VALUES ('706', 'energy_renewable_unlimited_wind_dantooine', 'Energy', 'Renewable energy', 'Non Site-Restricted Renewable Energy', 'Wind Energy', 'Dantooine Wind Renewable Energy', '', '', '1', '1', '1', '1', '0', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '', '500', '500', '1', '400', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_liquid.iff', 'energy_resource', '1', '0', '8');
INSERT INTO `resource_tree` VALUES ('707', 'energy_renewable_unlimited_wind_dathomir', 'Energy', 'Renewable energy', 'Non Site-Restricted Renewable Energy', 'Wind Energy', 'Dathomirian Wind Renewable Energy', '', '', '1', '1', '1', '1', '0', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '', '500', '500', '1', '400', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_liquid.iff', 'energy_resource', '2', '0', '8');
INSERT INTO `resource_tree` VALUES ('708', 'energy_renewable_unlimited_wind_endor', 'Energy', 'Renewable energy', 'Non Site-Restricted Renewable Energy', 'Wind Energy', 'Endorian Wind Renewable Energy', '', '', '1', '1', '1', '1', '0', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '', '500', '500', '1', '400', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_liquid.iff', 'energy_resource', '3', '0', '8');
INSERT INTO `resource_tree` VALUES ('709', 'energy_renewable_unlimited_wind_lok', 'Energy', 'Renewable energy', 'Non Site-Restricted Renewable Energy', 'Wind Energy', 'Lokian Wind Renewable Energy', '', '', '1', '1', '1', '1', '0', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '', '500', '500', '1', '400', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_liquid.iff', 'energy_resource', '4', '0', '8');
INSERT INTO `resource_tree` VALUES ('710', 'energy_renewable_unlimited_wind_naboo', 'Energy', 'Renewable energy', 'Non Site-Restricted Renewable Energy', 'Wind Energy', 'Nabooian Wind Renewable Energy', '', '', '1', '1', '1', '1', '0', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '', '500', '500', '1', '400', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_liquid.iff', 'energy_resource', '5', '0', '8');
INSERT INTO `resource_tree` VALUES ('711', 'energy_renewable_unlimited_wind_rori', 'Energy', 'Renewable energy', 'Non Site-Restricted Renewable Energy', 'Wind Energy', 'Rori Wind Renewable Energy', '', '', '1', '1', '1', '1', '0', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '', '500', '500', '1', '400', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_liquid.iff', 'energy_resource', '6', '0', '8');
INSERT INTO `resource_tree` VALUES ('712', 'energy_renewable_unlimited_wind_talus', 'Energy', 'Renewable energy', 'Non Site-Restricted Renewable Energy', 'Wind Energy', 'Talusian Wind Renewable Energy', '', '', '1', '1', '1', '1', '0', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '', '500', '500', '1', '400', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_liquid.iff', 'energy_resource', '7', '0', '8');
INSERT INTO `resource_tree` VALUES ('713', 'energy_renewable_unlimited_wind_tatooine', 'Energy', 'Renewable energy', 'Non Site-Restricted Renewable Energy', 'Wind Energy', 'Tatooinian Wind Renewable Energy', '', '', '1', '1', '1', '1', '0', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '', '500', '500', '1', '400', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_liquid.iff', 'energy_resource', '8', '0', '8');
INSERT INTO `resource_tree` VALUES ('714', 'energy_renewable_unlimited_wind_yavin4', 'Energy', 'Renewable energy', 'Non Site-Restricted Renewable Energy', 'Wind Energy', 'Yavinian Wind Renewable Energy', '', '', '1', '1', '1', '1', '0', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '', '500', '500', '1', '400', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_liquid.iff', 'energy_resource', '9', '0', '8');
INSERT INTO `resource_tree` VALUES ('715', 'energy_renewable_unlimited_solar', 'Energy', 'Renewable energy', 'Non Site-Restricted Renewable Energy', 'Solar Energy', '', '', '', '11', '11', '10', '10', '0', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '', '500', '500', '200', '600', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', 'energy_resource', '-1', '0', '1');
INSERT INTO `resource_tree` VALUES ('716', 'energy_renewable_unlimited_solar_weak', 'Energy', 'Renewable energy', 'Non Site-Restricted Renewable Energy', 'Solar Energy', 'Weak Solar Renewable Energy', '', '', '1', '1', '1', '1', '1', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '', '200', '200', '200', '200', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_liquid.iff', 'energy_resource', '-1', '0', '1');
INSERT INTO `resource_tree` VALUES ('717', 'energy_renewable_unlimited_solar_corellia', 'Energy', 'Renewable energy', 'Non Site-Restricted Renewable Energy', 'Solar Energy', 'Corellian Solar Renewable Energy', '', '', '1', '1', '1', '1', '0', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '', '500', '500', '200', '600', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_liquid.iff', 'energy_resource', '0', '0', '1');
INSERT INTO `resource_tree` VALUES ('718', 'energy_renewable_unlimited_solar_dantooine', 'Energy', 'Renewable energy', 'Non Site-Restricted Renewable Energy', 'Solar Energy', 'Dantooine Solar Renewable Energy', '', '', '1', '1', '1', '1', '0', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '', '500', '500', '200', '600', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_liquid.iff', 'energy_resource', '1', '0', '1');
INSERT INTO `resource_tree` VALUES ('719', 'energy_renewable_unlimited_solar_dathomir', 'Energy', 'Renewable energy', 'Non Site-Restricted Renewable Energy', 'Solar Energy', 'Dathomirian Solar Renewable Energy', '', '', '1', '1', '1', '1', '0', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '', '500', '500', '200', '600', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_liquid.iff', 'energy_resource', '2', '0', '1');
INSERT INTO `resource_tree` VALUES ('720', 'energy_renewable_unlimited_solar_endor', 'Energy', 'Renewable energy', 'Non Site-Restricted Renewable Energy', 'Solar Energy', 'Endorian Solar Renewable Energy', '', '', '1', '1', '1', '1', '0', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '', '500', '500', '200', '600', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_liquid.iff', 'energy_resource', '3', '0', '1');
INSERT INTO `resource_tree` VALUES ('721', 'energy_renewable_unlimited_solar_lok', 'Energy', 'Renewable energy', 'Non Site-Restricted Renewable Energy', 'Solar Energy', 'Lokian Solar Renewable Energy', '', '', '1', '1', '1', '1', '0', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '', '500', '500', '200', '600', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_liquid.iff', 'energy_resource', '4', '0', '1');
INSERT INTO `resource_tree` VALUES ('722', 'energy_renewable_unlimited_solar_naboo', 'Energy', 'Renewable energy', 'Non Site-Restricted Renewable Energy', 'Solar Energy', 'Nabooian Solar Renewable Energy', '', '', '1', '1', '1', '1', '0', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '', '500', '500', '200', '600', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_liquid.iff', 'energy_resource', '5', '0', '1');
INSERT INTO `resource_tree` VALUES ('723', 'energy_renewable_unlimited_solar_rori', 'Energy', 'Renewable energy', 'Non Site-Restricted Renewable Energy', 'Solar Energy', 'Rori Solar Renewable Energy', '', '', '1', '1', '1', '1', '0', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '', '500', '500', '200', '600', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_liquid.iff', 'energy_resource', '6', '0', '1');
INSERT INTO `resource_tree` VALUES ('724', 'energy_renewable_unlimited_solar_talus', 'Energy', 'Renewable energy', 'Non Site-Restricted Renewable Energy', 'Solar Energy', 'Talusian Solar Renewable Energy', '', '', '1', '1', '1', '1', '0', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '', '500', '500', '200', '600', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_liquid.iff', 'energy_resource', '7', '0', '1');
INSERT INTO `resource_tree` VALUES ('725', 'energy_renewable_unlimited_solar_tatooine', 'Energy', 'Renewable energy', 'Non Site-Restricted Renewable Energy', 'Solar Energy', 'Tatooinian Solar Renewable Energy', '', '', '1', '1', '1', '1', '0', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '', '500', '500', '200', '600', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_liquid.iff', 'energy_resource', '8', '0', '1');
INSERT INTO `resource_tree` VALUES ('726', 'energy_renewable_unlimited_solar_yavin4', 'Energy', 'Renewable energy', 'Non Site-Restricted Renewable Energy', 'Solar Energy', 'Yavinian Solar Renewable Energy', '', '', '1', '1', '1', '1', '0', 'res_quality', 'res_potential_energy', '', '', '', '', '', '', '', '', '', '500', '500', '200', '600', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'object/resource_container/resource_container_energy_liquid.iff', 'energy_resource', '9', '0', '1');
INSERT INTO `skills` VALUES ('1', 'combat_melee_basic', ' ', 'fourByFour', '0', '0', '0', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('2', 'combat_ranged_weapons_basic', ' ', 'fourByFour', '0', '0', '0', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('3', 'demo_combat', ' ', 'fourByFour', '0', '0', '0', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('4', 'common_knowledge', ' ', 'fourByFour', '0', '0', '0', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('5', 'utility', ' ', 'fourByFour', '1', '0', '0', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('6', 'utility_beta', 'utility', 'fourByFour', '1', '0', '0', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('7', 'utility_beta_demo_combat', 'utility_beta', 'fourByFour', '1', '0', '0', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('8', 'utility_player', 'utility', 'fourByFour', '1', '0', '0', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('9', 'social', ' ', 'fourByFour', '1', '0', '0', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('10', 'social_entertainer', 'social', 'fourByFour', '0', '0', '1', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('11', 'social_entertainer_novice', 'social_entertainer', 'fourByFour', '0', '1', '0', '0', '100', '15', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', 'private_entertainer_novice,musician,dancer,imagedesigner,startDance,stopDance,startMusic,stopMusic,flourish+1,flourish+2,flourish+3,flourish+4,flourish+5,flourish+6,flourish+7,flourish+8,startDance+basic,startDance+rhythmic,startMusic+starwars1,slitherhorn,bandflourish', 'healing_dance_wound=5,healing_music_wound=5,healing_music_ability=5,healing_dance_ability=5,hair=1,face=1', 'craftInstrumentGroupA', ' ', '1', '0');
INSERT INTO `skills` VALUES ('12', 'social_entertainer_master', 'social_entertainer', 'fourByFour', '0', '1', '0', '0', '5000', '6', '0', 'social_entertainer_hairstyle_04,social_entertainer_music_04,social_entertainer_dance_04,social_entertainer_healing_04', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', 'private_entertainer_master,startDance+footloose2,startDance+formal2,startMusic+ceremonial,mandoviol', 'healing_dance_ability=10,healing_music_ability=10,healing_dance_wound=10,healing_music_wound=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('13', 'social_entertainer_hairstyle_01', 'social_entertainer', 'fourByFour', '0', '0', '0', '0', '1000', '2', '0', 'social_entertainer_novice', ' ', 'imagedesigner', '1000', '10000', ' ', '0', ' ', ' ', 'none', ' ', 'private_entertainer_hair_1', 'hair=1', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('14', 'social_entertainer_hairstyle_02', 'social_entertainer_hairstyle_01', 'fourByFour', '0', '0', '0', '0', '2000', '3', '0', 'social_entertainer_hairstyle_01', ' ', 'imagedesigner', '5000', '20000', ' ', '0', ' ', ' ', 'none', ' ', 'private_entertainer_hair_2', 'markings=1,face=1', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('15', 'social_entertainer_hairstyle_03', 'social_entertainer_hairstyle_02', 'fourByFour', '0', '0', '0', '0', '3000', '4', '0', 'social_entertainer_hairstyle_02', ' ', 'imagedesigner', '10000', '30000', ' ', '0', ' ', ' ', 'none', ' ', 'private_entertainer_hair_3', 'hair=1', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('16', 'social_entertainer_hairstyle_04', 'social_entertainer_hairstyle_03', 'fourByFour', '0', '1', '0', '0', '4000', '5', '0', 'social_entertainer_hairstyle_03', ' ', 'imagedesigner', '15000', '30000', ' ', '0', ' ', ' ', 'none', ' ', 'private_entertainer_hair_4', 'hair=1,face=1', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('17', 'social_entertainer_music_01', 'social_entertainer', 'fourByFour', '0', '0', '0', '0', '1000', '2', '0', 'social_entertainer_novice', ' ', 'music', '1000', '10000', ' ', '0', ' ', ' ', 'none', ' ', 'private_entertainer_music_1,startMusic+rock,fizz', 'healing_music_ability=5', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('18', 'social_entertainer_music_02', 'social_entertainer_music_01', 'fourByFour', '0', '0', '0', '0', '2000', '3', '0', 'social_entertainer_music_01', ' ', 'music', '5000', '30000', ' ', '0', ' ', ' ', 'none', ' ', 'private_entertainer_music_2,startMusic+starwars2', 'healing_music_ability=5', 'craftInstrumentGroupB', ' ', '1', '0');
INSERT INTO `skills` VALUES ('19', 'social_entertainer_music_03', 'social_entertainer_music_02', 'fourByFour', '0', '0', '0', '0', '3000', '4', '0', 'social_entertainer_music_02', ' ', 'music', '15000', '90000', ' ', '0', ' ', ' ', 'none', ' ', 'private_entertainer_music_3,startMusic+folk,fanfar', 'healing_music_ability=5', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('20', 'social_entertainer_music_04', 'social_entertainer_music_03', 'fourByFour', '0', '1', '0', '0', '4000', '5', '0', 'social_entertainer_music_03', ' ', 'music', '45000', '150000', ' ', '0', ' ', ' ', 'none', ' ', 'private_entertainer_music_4,startMusic+starwars3,kloohorn', 'healing_music_ability=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('21', 'social_entertainer_dance_01', 'social_entertainer', 'fourByFour', '0', '0', '0', '0', '1000', '2', '0', 'social_entertainer_novice', ' ', 'dance', '1000', '10000', ' ', '0', ' ', ' ', 'none', ' ', 'private_entertainer_dance_1,startDance+basic2', 'healing_dance_ability=5', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('22', 'social_entertainer_dance_02', 'social_entertainer_dance_01', 'fourByFour', '0', '0', '0', '0', '2000', '3', '0', 'social_entertainer_dance_01', ' ', 'dance', '5000', '30000', ' ', '0', ' ', ' ', 'none', ' ', 'private_entertainer_dance_2,startDance+rhythmic2', 'healing_dance_ability=5', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('23', 'social_entertainer_dance_03', 'social_entertainer_dance_02', 'fourByFour', '0', '0', '0', '0', '3000', '4', '0', 'social_entertainer_dance_02', ' ', 'dance', '15000', '90000', ' ', '0', ' ', ' ', 'none', ' ', 'private_entertainer_dance_3,startDance+footloose', 'healing_dance_ability=5', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('24', 'social_entertainer_dance_04', 'social_entertainer_dance_03', 'fourByFour', '0', '1', '0', '0', '4000', '5', '0', 'social_entertainer_dance_03', ' ', 'dance', '45000', '150000', ' ', '0', ' ', ' ', 'none', ' ', 'private_entertainer_dance_4,startDance+formal', 'healing_dance_ability=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('25', 'social_entertainer_healing_01', 'social_entertainer', 'fourByFour', '0', '0', '0', '0', '1000', '2', '0', 'social_entertainer_novice', ' ', 'entertainer_healing', '1000', '10000', ' ', '0', ' ', ' ', 'none', ' ', 'private_entertainer_healing_1', 'healing_dance_wound=5,healing_music_wound=5', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('26', 'social_entertainer_healing_02', 'social_entertainer_healing_01', 'fourByFour', '0', '0', '0', '0', '2000', '3', '0', 'social_entertainer_healing_01', ' ', 'entertainer_healing', '5000', '20000', ' ', '0', ' ', ' ', 'none', ' ', 'private_entertainer_healing_2', 'healing_dance_wound=5,healing_music_wound=5', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('27', 'social_entertainer_healing_03', 'social_entertainer_healing_02', 'fourByFour', '0', '0', '0', '0', '3000', '4', '0', 'social_entertainer_healing_02', ' ', 'entertainer_healing', '10000', '50000', ' ', '0', ' ', ' ', 'none', ' ', 'private_entertainer_healing_3', 'healing_dance_wound=5,healing_music_wound=5', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('28', 'social_entertainer_healing_04', 'social_entertainer_healing_03', 'fourByFour', '0', '1', '0', '0', '4000', '5', '0', 'social_entertainer_healing_03', ' ', 'entertainer_healing', '25000', '75000', ' ', '0', ' ', ' ', 'none', ' ', 'private_entertainer_healing_4', 'healing_dance_wound=5,healing_music_wound=5', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('29', 'outdoors', ' ', 'fourByFour', '1', '0', '0', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('30', 'outdoors_scout', 'outdoors', 'fourByFour', '0', '0', '1', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('31', 'outdoors_scout_novice', 'outdoors_scout', 'fourByFour', '0', '1', '0', '0', '100', '15', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', 'private_scout_novice,harvestCorpse,throwWiredMeshTrap,throwLecepaninDart', 'trapping=5,camp=5,creature_knowledge=5,creature_harvesting=15', 'craftScoutCampGroupA,craftScoutTrapGroupNovice', ' ', '1', '0');
INSERT INTO `skills` VALUES ('32', 'outdoors_scout_master', 'outdoors_scout', 'fourByFour', '0', '1', '0', '0', '5000', '6', '0', 'outdoors_scout_movement_04,outdoors_scout_tools_04,outdoors_scout_harvest_04,outdoors_scout_camp_04', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', 'private_scout_master', 'slope_move=10,burst_run=10,camp=10,foraging=15,creature_knowledge=10,creature_harvesting=5,mask_scent=30,trapping=20', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('33', 'outdoors_scout_movement_01', 'outdoors_scout', 'fourByFour', '0', '0', '0', '0', '1000', '2', '0', 'outdoors_scout_novice', ' ', 'scout', '1000', '10000', ' ', '0', ' ', ' ', 'none', ' ', 'private_scout_movement_1', 'slope_move=20', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('34', 'outdoors_scout_movement_02', 'outdoors_scout_movement_01', 'fourByFour', '0', '0', '0', '0', '2000', '3', '0', 'outdoors_scout_movement_01', ' ', 'scout', '5000', '20000', ' ', '0', ' ', ' ', 'none', ' ', 'private_scout_movement_2,maskscent', 'burst_run=20,mask_scent=20', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('35', 'outdoors_scout_movement_03', 'outdoors_scout_movement_02', 'fourByFour', '0', '0', '0', '0', '3000', '4', '0', 'outdoors_scout_movement_02', ' ', 'scout', '10000', '30000', ' ', '0', ' ', ' ', 'none', ' ', 'private_scout_movement_3', 'slope_move=20,mask_scent=20', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('36', 'outdoors_scout_movement_04', 'outdoors_scout_movement_03', 'fourByFour', '0', '1', '0', '0', '4000', '5', '0', 'outdoors_scout_movement_03', ' ', 'scout', '15000', '30000', ' ', '0', ' ', ' ', 'none', ' ', 'private_scout_movement_4', 'burst_run=20,mask_scent=30', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('37', 'outdoors_scout_tools_01', 'outdoors_scout', 'fourByFour', '0', '0', '0', '0', '1000', '2', '0', 'outdoors_scout_novice', ' ', 'trapping', '1000', '10000', ' ', '0', ' ', ' ', 'none', ' ', 'private_scout_tools_1,throwGlowJuiceTrap,throwSharpBoneSpur', 'trapping=5', 'craftScoutTrapGroupA', ' ', '1', '0');
INSERT INTO `skills` VALUES ('38', 'outdoors_scout_tools_02', 'outdoors_scout_tools_01', 'fourByFour', '0', '0', '0', '0', '2000', '3', '0', 'outdoors_scout_tools_01', ' ', 'trapping', '5000', '20000', ' ', '0', ' ', ' ', 'none', ' ', 'private_scout_tools_2,throwNoiseMaker,throwStinkBomb', 'trapping=5', 'craftScoutTrapGroupB', ' ', '1', '0');
INSERT INTO `skills` VALUES ('39', 'outdoors_scout_tools_03', 'outdoors_scout_tools_02', 'fourByFour', '0', '0', '0', '0', '3000', '4', '0', 'outdoors_scout_tools_02', ' ', 'trapping', '10000', '30000', ' ', '0', ' ', ' ', 'none', ' ', 'private_scout_tools_3,throwGlowWireTrap,throwPhecnacineDart', 'trapping=5', 'craftScoutTrapGroupC', ' ', '1', '0');
INSERT INTO `skills` VALUES ('40', 'outdoors_scout_tools_04', 'outdoors_scout_tools_03', 'fourByFour', '0', '1', '0', '0', '4000', '5', '0', 'outdoors_scout_tools_03', ' ', 'trapping', '15000', '30000', ' ', '0', ' ', ' ', 'none', ' ', 'private_scout_tools_4,throwAdhesiveMesh', 'trapping=10', 'craftScoutTrapGroupD', ' ', '1', '0');
INSERT INTO `skills` VALUES ('41', 'outdoors_scout_harvest_01', 'outdoors_scout', 'fourByFour', '0', '0', '0', '0', '1000', '2', '0', 'outdoors_scout_novice', ' ', 'scout', '1000', '10000', ' ', '0', ' ', ' ', 'none', ' ', 'private_scout_harvest_1', 'creature_knowledge=5,creature_harvesting=5', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('42', 'outdoors_scout_harvest_02', 'outdoors_scout_harvest_01', 'fourByFour', '0', '0', '0', '0', '2000', '3', '0', 'outdoors_scout_harvest_01', ' ', 'scout', '5000', '20000', ' ', '0', ' ', ' ', 'none', ' ', 'private_scout_harvest_2', 'creature_knowledge=10,creature_harvesting=10,creature_hit_bonus=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('43', 'outdoors_scout_harvest_03', 'outdoors_scout_harvest_02', 'fourByFour', '0', '0', '0', '0', '3000', '4', '0', 'outdoors_scout_harvest_02', ' ', 'scout', '10000', '30000', ' ', '0', ' ', ' ', 'none', ' ', 'private_scout_harvest_3', 'creature_knowledge=10,creature_harvesting=5', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('44', 'outdoors_scout_harvest_04', 'outdoors_scout_harvest_03', 'fourByFour', '0', '1', '0', '0', '4000', '5', '0', 'outdoors_scout_harvest_03', ' ', 'scout', '15000', '30000', ' ', '0', ' ', ' ', 'none', ' ', 'private_scout_harvest_4', 'creature_knowledge=10,creature_harvesting=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('45', 'outdoors_scout_camp_01', 'outdoors_scout', 'fourByFour', '0', '0', '0', '0', '1000', '2', '0', 'outdoors_scout_novice', ' ', 'camp', '1000', '10000', ' ', '0', ' ', ' ', 'none', ' ', 'private_scout_camp_1,forage', 'camp=5,foraging=5', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('46', 'outdoors_scout_camp_02', 'outdoors_scout_camp_01', 'fourByFour', '0', '0', '0', '0', '2000', '3', '0', 'outdoors_scout_camp_01', ' ', 'camp', '5000', '20000', ' ', '0', ' ', ' ', 'none', ' ', 'private_scout_camp_2', 'camp=10,foraging=10', 'craftScoutCampGroupB', ' ', '1', '0');
INSERT INTO `skills` VALUES ('47', 'outdoors_scout_camp_03', 'outdoors_scout_camp_02', 'fourByFour', '0', '0', '0', '0', '3000', '4', '0', 'outdoors_scout_camp_02', ' ', 'camp', '10000', '40000', ' ', '0', ' ', ' ', 'none', ' ', 'private_scout_camp_3', 'camp=10,foraging=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('48', 'outdoors_scout_camp_04', 'outdoors_scout_camp_03', 'fourByFour', '0', '1', '0', '0', '4000', '5', '0', 'outdoors_scout_camp_03', ' ', 'camp', '20000', '40000', ' ', '0', ' ', ' ', 'none', ' ', 'private_scout_camp_4', 'camp=10,foraging=10', 'craftScoutCampGroupC', ' ', '1', '0');
INSERT INTO `skills` VALUES ('49', 'science', ' ', 'fourByFour', '1', '0', '0', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('50', 'science_medic', 'science', 'fourByFour', '0', '0', '1', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('51', 'science_medic_novice', 'science_medic', 'fourByFour', '0', '1', '0', '0', '100', '15', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', 'private_medic_novice,healDamage,healWound,medicalForage,tendWound,tendDamage,diagnose', 'healing_injury_treatment=5,healing_wound_treatment=5,healing_ability=5,healing_injury_speed=5,medicine_assembly=10,medicine_experimentation=10,medical_foraging=10', 'craftMedicineComponentGroupA,craftMedicineStimpackGroupA', ' ', '1', '0');
INSERT INTO `skills` VALUES ('52', 'science_medic_master', 'science_medic', 'fourByFour', '0', '1', '0', '0', '5000', '6', '0', 'science_medic_injury_04,science_medic_injury_speed_04,science_medic_ability_04,science_medic_crafting_04', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', 'private_medic_master', 'healing_injury_treatment=25,healing_ability=10,medical_foraging=25', 'craftMedicineStimpackGroupD', ' ', '1', '0');
INSERT INTO `skills` VALUES ('53', 'science_medic_injury_01', 'science_medic', 'fourByFour', '0', '0', '0', '0', '1000', '2', '0', 'science_medic_novice', ' ', 'medical', '1000', '10000', ' ', '0', ' ', ' ', 'none', ' ', 'private_medic_injury_1', 'healing_injury_treatment=15', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('54', 'science_medic_injury_02', 'science_medic_injury_01', 'fourByFour', '0', '0', '0', '0', '2000', '3', '0', 'science_medic_injury_01', ' ', 'medical', '5000', '20000', ' ', '0', ' ', ' ', 'none', ' ', 'private_medic_injury_2,firstAid', 'healing_injury_treatment=15', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('55', 'science_medic_injury_03', 'science_medic_injury_02', 'fourByFour', '0', '0', '0', '0', '3000', '4', '0', 'science_medic_injury_02', ' ', 'medical', '10000', '30000', ' ', '0', ' ', ' ', 'none', ' ', 'private_medic_injury_3', 'healing_injury_treatment=15', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('56', 'science_medic_injury_04', 'science_medic_injury_03', 'fourByFour', '0', '1', '0', '0', '4000', '5', '0', 'science_medic_injury_03', ' ', 'medical', '15000', '30000', ' ', '0', ' ', ' ', 'none', ' ', 'private_medic_injury_4,quickHeal', 'healing_injury_treatment=25', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('57', 'science_medic_injury_speed_01', 'science_medic', 'fourByFour', '0', '0', '0', '0', '1000', '2', '0', 'science_medic_novice', ' ', 'medical', '1000', '10000', ' ', '0', ' ', ' ', 'none', ' ', 'private_medic_speed_1', 'healing_injury_speed=15', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('58', 'science_medic_injury_speed_02', 'science_medic_injury_speed_01', 'fourByFour', '0', '0', '0', '0', '2000', '3', '0', 'science_medic_injury_speed_01', ' ', 'medical', '5000', '20000', ' ', '0', ' ', ' ', 'none', ' ', 'private_medic_speed_2,dragIncapacitatedPlayer', 'healing_injury_speed=15', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('59', 'science_medic_injury_speed_03', 'science_medic_injury_speed_02', 'fourByFour', '0', '0', '0', '0', '3000', '4', '0', 'science_medic_injury_speed_02', ' ', 'medical', '10000', '30000', ' ', '0', ' ', ' ', 'none', ' ', 'private_medic_speed_3', 'healing_injury_speed=15', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('60', 'science_medic_injury_speed_04', 'science_medic_injury_speed_03', 'fourByFour', '0', '1', '0', '0', '4000', '5', '0', 'science_medic_injury_speed_03', ' ', 'medical', '15000', '30000', ' ', '0', ' ', ' ', 'none', ' ', 'private_medic_speed_4', 'healing_injury_speed=25', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('61', 'science_medic_ability_01', 'science_medic', 'fourByFour', '0', '0', '0', '0', '1000', '2', '0', 'science_medic_novice', ' ', 'medical', '1000', '10000', ' ', '0', ' ', ' ', 'none', ' ', 'private_medic_ability_1', 'healing_ability=5,medical_foraging=15', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('62', 'science_medic_ability_02', 'science_medic_ability_01', 'fourByFour', '0', '0', '0', '0', '2000', '3', '0', 'science_medic_ability_01', ' ', 'medical', '5000', '20000', ' ', '0', ' ', ' ', 'none', ' ', 'private_medic_ability_2', 'healing_ability=10,medical_foraging=15', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('63', 'science_medic_ability_03', 'science_medic_ability_02', 'fourByFour', '0', '0', '0', '0', '3000', '4', '0', 'science_medic_ability_02', ' ', 'medical', '10000', '30000', ' ', '0', ' ', ' ', 'none', ' ', 'private_medic_ability_3', 'healing_ability=10,medical_foraging=15', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('64', 'science_medic_ability_04', 'science_medic_ability_03', 'fourByFour', '0', '1', '0', '0', '4000', '5', '0', 'science_medic_ability_03', ' ', 'medical', '15000', '30000', ' ', '0', ' ', ' ', 'none', ' ', 'private_medic_ability_4', 'healing_ability=10,medical_foraging=20', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('65', 'science_medic_crafting_01', 'science_medic', 'fourByFour', '0', '0', '0', '0', '1000', '2', '0', 'science_medic_novice', ' ', 'crafting_medicine_general', '500', '2000', ' ', '0', ' ', ' ', 'none', ' ', 'private_medic_crafting_1', 'medicine_assembly=10,medicine_experimentation=10', 'craftMedpackGroupA', ' ', '1', '0');
INSERT INTO `skills` VALUES ('66', 'science_medic_crafting_02', 'science_medic_crafting_01', 'fourByFour', '0', '0', '0', '0', '2000', '3', '0', 'science_medic_crafting_01', ' ', 'crafting_medicine_general', '1000', '6000', ' ', '0', ' ', ' ', 'none', ' ', 'private_medic_crafting_2', 'medicine_assembly=10,medicine_experimentation=10', 'craftMedicineComponentGroupB,craftMedicineStimpackGroupB', ' ', '1', '0');
INSERT INTO `skills` VALUES ('67', 'science_medic_crafting_03', 'science_medic_crafting_02', 'fourByFour', '0', '0', '0', '0', '3000', '4', '0', 'science_medic_crafting_02', ' ', 'crafting_medicine_general', '3000', '12000', ' ', '0', ' ', ' ', 'none', ' ', 'private_medic_crafting_3', 'medicine_assembly=10,medicine_experimentation=10', 'craftMedpackBGroupA,craftMedpackGroupB', ' ', '1', '0');
INSERT INTO `skills` VALUES ('68', 'science_medic_crafting_04', 'science_medic_crafting_03', 'fourByFour', '0', '1', '0', '0', '4000', '5', '0', 'science_medic_crafting_03', ' ', 'crafting_medicine_general', '6000', '17500', ' ', '0', ' ', ' ', 'none', ' ', 'private_medic_crafting_4', 'medicine_assembly=10,medicine_experimentation=10', 'craftMedicineStimpackGroupC,craftMedicineComponentGroupD,craftMedpackBGroupB', ' ', '1', '0');
INSERT INTO `skills` VALUES ('69', 'crafting', ' ', 'fourByFour', '1', '0', '0', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('70', 'crafting_artisan', 'crafting', 'fourByFour', '0', '0', '1', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('71', 'crafting_artisan_novice', 'crafting_artisan', 'fourByFour', '0', '1', '0', '0', '100', '15', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', 'private_artisan_novice,sample,survey', 'surveying=20,general_assembly=20,general_experimentation=20,clothing_customization=20,armor_customization=20', 'craftArtisanNewbieGroupA,craftArtisanNewbieGroupB,craftArtisanSurveyGroupA', ' ', '1', '0');
INSERT INTO `skills` VALUES ('72', 'crafting_artisan_master', 'crafting_artisan', 'fourByFour', '0', '1', '0', '0', '5000', '6', '0', 'crafting_artisan_engineering_04,crafting_artisan_domestic_04,crafting_artisan_business_04,crafting_artisan_survey_04', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', 'private_artisan_master,customizeVehicle', ' ', 'craftArtisanMasterGroupA,craftArtisanVehicle', ' ', '1', '0');
INSERT INTO `skills` VALUES ('73', 'crafting_artisan_engineering_01', 'crafting_artisan', 'fourByFour', '0', '0', '0', '0', '1000', '2', '0', 'crafting_artisan_novice', ' ', 'crafting_general', '500', '2000', ' ', '0', ' ', ' ', 'none', ' ', 'private_artisan_engineering_1', 'general_assembly=10,general_experimentation=10,armor_customization=20', 'craftArtisanEngineeringGroupA,craftArtisanToolGroupA', ' ', '1', '0');
INSERT INTO `skills` VALUES ('74', 'crafting_artisan_engineering_02', 'crafting_artisan_engineering_01', 'fourByFour', '0', '0', '0', '0', '2000', '3', '0', 'crafting_artisan_engineering_01', ' ', 'crafting_general', '1000', '6000', ' ', '0', ' ', ' ', 'none', ' ', 'private_artisan_engineering_2', 'general_assembly=10,general_experimentation=10,armor_customization=20', 'craftArtisanEngineeringGroupB', ' ', '1', '0');
INSERT INTO `skills` VALUES ('75', 'crafting_artisan_engineering_03', 'crafting_artisan_engineering_02', 'fourByFour', '0', '0', '0', '0', '3000', '4', '0', 'crafting_artisan_engineering_02', ' ', 'crafting_general', '3000', '12000', ' ', '0', ' ', ' ', 'none', ' ', 'private_artisan_engineering_3', 'general_assembly=10,general_experimentation=10,armor_customization=20', 'craftArtisanEngineeringGroupC', ' ', '1', '0');
INSERT INTO `skills` VALUES ('76', 'crafting_artisan_engineering_04', 'crafting_artisan_engineering_03', 'fourByFour', '0', '1', '0', '0', '4000', '5', '0', 'crafting_artisan_engineering_03', ' ', 'crafting_general', '6000', '50000', ' ', '0', ' ', ' ', 'none', ' ', 'private_artisan_engineering_4', 'general_assembly=10,general_experimentation=10,armor_customization=20', 'craftArtisanEngineeringGroupD', ' ', '1', '0');
INSERT INTO `skills` VALUES ('77', 'crafting_artisan_domestic_01', 'crafting_artisan', 'fourByFour', '0', '0', '0', '0', '1000', '2', '0', 'crafting_artisan_novice', ' ', 'crafting_general', '500', '2000', ' ', '0', ' ', ' ', 'none', ' ', 'private_artisan_domestic_1', 'general_assembly=10,general_experimentation=10,clothing_customization=20', 'craftArtisanDomesticGroupA', ' ', '1', '0');
INSERT INTO `skills` VALUES ('78', 'crafting_artisan_domestic_02', 'crafting_artisan_domestic_01', 'fourByFour', '0', '0', '0', '0', '2000', '3', '0', 'crafting_artisan_domestic_01', ' ', 'crafting_general', '1000', '6000', ' ', '0', ' ', ' ', 'none', ' ', 'private_artisan_domestic_2', 'general_assembly=10,general_experimentation=10,clothing_customization=20', 'craftArtisanDomesticGroupB', ' ', '1', '0');
INSERT INTO `skills` VALUES ('79', 'crafting_artisan_domestic_03', 'crafting_artisan_domestic_02', 'fourByFour', '0', '0', '0', '0', '3000', '4', '0', 'crafting_artisan_domestic_02', ' ', 'crafting_general', '3000', '12000', ' ', '0', ' ', ' ', 'none', ' ', 'private_artisan_domestic_3', 'general_assembly=10,general_experimentation=10,clothing_customization=20', 'craftArtisanDomesticGroupC', ' ', '1', '0');
INSERT INTO `skills` VALUES ('80', 'crafting_artisan_domestic_04', 'crafting_artisan_domestic_03', 'fourByFour', '0', '1', '0', '0', '4000', '5', '0', 'crafting_artisan_domestic_03', ' ', 'crafting_general', '6000', '50000', ' ', '0', ' ', ' ', 'none', ' ', 'private_artisan_domestic_4', 'general_assembly=10,general_experimentation=10,clothing_customization=20', 'craftArtisanDomesticGroupD', ' ', '1', '0');
INSERT INTO `skills` VALUES ('81', 'crafting_artisan_business_01', 'crafting_artisan', 'fourByFour', '0', '0', '0', '0', '1000', '2', '0', 'crafting_artisan_novice', ' ', 'crafting_general', '500', '2000', ' ', '0', ' ', ' ', 'none', ' ', 'private_artisan_business_1,access_fee', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('82', 'crafting_artisan_business_02', 'crafting_artisan_business_01', 'fourByFour', '0', '0', '0', '0', '2000', '3', '0', 'crafting_artisan_business_01', ' ', 'crafting_general', '1000', '6000', ' ', '0', ' ', ' ', 'none', ' ', 'private_artisan_business_2,premium_auctions', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('83', 'crafting_artisan_business_03', 'crafting_artisan_business_02', 'fourByFour', '0', '0', '0', '0', '3000', '4', '0', 'crafting_artisan_business_02', ' ', 'crafting_general', '3000', '12000', ' ', '0', ' ', ' ', 'none', ' ', 'private_artisan_business_3', 'manage_vendor=1,hiring=10,vendor_item_limit=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('84', 'crafting_artisan_business_04', 'crafting_artisan_business_03', 'fourByFour', '0', '1', '0', '0', '4000', '5', '0', 'crafting_artisan_business_03', ' ', 'crafting_general', '6000', '50000', ' ', '0', ' ', ' ', 'none', ' ', 'private_artisan_business_4', 'manage_vendor=1,hiring=10,vendor_item_limit=150', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('85', 'crafting_artisan_survey_01', 'crafting_artisan', 'fourByFour', '0', '0', '0', '0', '1000', '2', '0', 'crafting_artisan_novice', ' ', 'resource_harvesting_inorganic', '500', '5000', ' ', '0', ' ', ' ', 'none', ' ', 'private_artisan_survey_1', 'surveying=15', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('86', 'crafting_artisan_survey_02', 'crafting_artisan_survey_01', 'fourByFour', '0', '0', '0', '0', '2000', '3', '0', 'crafting_artisan_survey_01', ' ', 'resource_harvesting_inorganic', '2500', '10000', ' ', '0', ' ', ' ', 'none', ' ', 'private_artisan_survey_2', 'surveying=20', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('87', 'crafting_artisan_survey_03', 'crafting_artisan_survey_02', 'fourByFour', '0', '0', '0', '0', '3000', '4', '0', 'crafting_artisan_survey_02', ' ', 'resource_harvesting_inorganic', '5000', '20000', ' ', '0', ' ', ' ', 'none', ' ', 'private_artisan_survey_3', 'surveying=20', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('88', 'crafting_artisan_survey_04', 'crafting_artisan_survey_03', 'fourByFour', '0', '1', '0', '0', '4000', '5', '0', 'crafting_artisan_survey_03', ' ', 'resource_harvesting_inorganic', '10000', '20000', ' ', '0', ' ', ' ', 'none', ' ', 'private_artisan_survey_4', 'surveying=25', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('89', 'combat', ' ', 'fourByFour', '1', '0', '0', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('90', 'combat_brawler', 'combat', 'fourByFour', '0', '0', '1', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('91', 'combat_brawler_novice', 'combat_brawler', 'fourByFour', '0', '1', '0', '0', '100', '15', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', 'private_brawler_novice,polearmLunge1,unarmedLunge1,melee1hLunge1,melee2hLunge1,taunt,warcry1,intimidate1,berserk1,cert_knife_dagger,centerOfBeing', 'unarmed_accuracy=10,unarmed_damage=15,unarmed_speed=5,polearm_accuracy=10,polearm_speed=5,onehandmelee_accuracy=10,onehandmelee_speed=5,twohandmelee_accuracy=10,twohandmelee_speed=5,private_onehandmelee_combat_difficulty=100,private_twohandmelee_combat_difficulty=100,private_unarmed_combat_difficulty=100,private_polearm_combat_difficulty=100,taunt=10,unarmed_center_of_being_efficacy=10,polearm_center_of_being_efficacy=10,onehandmelee_center_of_being_efficacy=10,twohandmelee_center_of_being_efficacy=10,center_of_being_duration_unarmed=5,center_of_being_duration_onehandmelee=5,center_of_being_duration_twohandmelee=5,center_of_being_duration_polearm=5', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('92', 'combat_brawler_master', 'combat_brawler', 'fourByFour', '0', '1', '0', '0', '5000', '6', '0', 'combat_brawler_unarmed_04,combat_brawler_1handmelee_04,combat_brawler_2handmelee_04,combat_brawler_polearm_04', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', 'private_brawler_master,polearmLunge2,unarmedLunge2,melee1hLunge2,melee2hLunge2,warcry2,intimidate2,berserk2', 'warcry=20,intimidate=20,berserk=20,unarmed_accuracy=5,unarmed_speed=5,onehandmelee_speed=5,onehandmelee_accuracy=5,twohandmelee_speed=5,twohandmelee_accuracy=5,polearm_speed=5,polearm_accuracy=5,melee_defense=5,ranged_defense=5,private_onehandmelee_combat_difficulty=100,private_twohandmelee_combat_difficulty=100,private_unarmed_combat_difficulty=100,private_polearm_combat_difficulty=100,taunt=30,polearm_toughness=5,onehandmelee_toughness=5,twohandmelee_toughness=5,unarmed_toughness=5,unarmed_center_of_being_efficacy=10,polearm_center_of_being_efficacy=10,onehandmelee_center_of_being_efficacy=10,twohandmelee_center_of_being_efficacy=10,center_of_being_duration_onehandmelee=5,center_of_being_duration_twohandmelee=5,center_of_being_duration_polearm=5', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('93', 'combat_brawler_unarmed_01', 'combat_brawler', 'fourByFour', '0', '0', '0', '0', '1000', '2', '0', 'combat_brawler_novice', ' ', 'combat_meleespecialize_unarmed', '1000', '10000', ' ', '0', ' ', ' ', 'none', ' ', 'private_brawler_unarmed_1,unarmedHit1', 'unarmed_speed=5,unarmed_accuracy=10,private_unarmed_combat_difficulty=100,unarmed_damage=5,unarmed_center_of_being_efficacy=10,center_of_being_duration_unarmed=2', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('94', 'combat_brawler_unarmed_02', 'combat_brawler_unarmed_01', 'fourByFour', '0', '0', '0', '0', '2000', '3', '0', 'combat_brawler_unarmed_01', ' ', 'combat_meleespecialize_unarmed', '5000', '30000', ' ', '0', ' ', ' ', 'none', ' ', 'private_brawler_unarmed_2,unarmedStun1', 'unarmed_speed=5,unarmed_accuracy=10,private_unarmed_combat_difficulty=100,unarmed_damage=10,unarmed_center_of_being_efficacy=10,center_of_being_duration_unarmed=2', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('95', 'combat_brawler_unarmed_03', 'combat_brawler_unarmed_02', 'fourByFour', '0', '0', '0', '0', '3000', '4', '0', 'combat_brawler_unarmed_02', ' ', 'combat_meleespecialize_unarmed', '15000', '140000', ' ', '0', ' ', ' ', 'none', ' ', 'private_brawler_unarmed_3,unarmedBlind1', 'unarmed_speed=5,unarmed_accuracy=10,private_unarmed_combat_difficulty=100,unarmed_toughness=10,unarmed_damage=10,unarmed_center_of_being_efficacy=5,center_of_being_duration_unarmed=2', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('96', 'combat_brawler_unarmed_04', 'combat_brawler_unarmed_03', 'fourByFour', '0', '1', '0', '0', '4000', '5', '0', 'combat_brawler_unarmed_03', ' ', 'combat_meleespecialize_unarmed', '70000', '200000', ' ', '0', ' ', ' ', 'none', ' ', 'private_brawler_unarmed_4,unarmedSpinAttack1', 'unarmed_speed=5,unarmed_accuracy=10,melee_defense=2,private_unarmed_combat_difficulty=100,unarmed_toughness=10,unarmed_damage=10,unarmed_center_of_being_efficacy=10,center_of_being_duration_unarmed=2', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('97', 'combat_brawler_1handmelee_01', 'combat_brawler', 'fourByFour', '0', '0', '0', '0', '1000', '2', '0', 'combat_brawler_novice', ' ', 'combat_meleespecialize_onehand', '1000', '10000', ' ', '0', ' ', ' ', 'none', ' ', 'private_brawler_1hand_1,melee1hHit1,cert_sword_01,cert_baton_gaderiffi,cert_sword_02', 'onehandmelee_speed=5,onehandmelee_accuracy=10,private_onehandmelee_combat_difficulty=100,center_of_being_duration_onehandmelee=2,onehandmelee_center_of_being_efficacy=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('98', 'combat_brawler_1handmelee_02', 'combat_brawler_1handmelee_01', 'fourByFour', '0', '0', '0', '0', '2000', '3', '0', 'combat_brawler_1handmelee_01', ' ', 'combat_meleespecialize_onehand', '5000', '30000', ' ', '0', ' ', ' ', 'none', ' ', 'private_brawler_1hand_2,melee1hBodyHit1,cert_knife_vibroblade', 'onehandmelee_speed=5,onehandmelee_accuracy=10,private_onehandmelee_combat_difficulty=100,center_of_being_duration_onehandmelee=2,onehandmelee_center_of_being_efficacy=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('99', 'combat_brawler_1handmelee_03', 'combat_brawler_1handmelee_02', 'fourByFour', '0', '0', '0', '0', '3000', '4', '0', 'combat_brawler_1handmelee_02', ' ', 'combat_meleespecialize_onehand', '15000', '140000', ' ', '0', ' ', ' ', 'none', ' ', 'private_brawler_1hand_3,melee1hDizzyHit1,cert_sword_blade_ryyk', 'onehandmelee_speed=5,onehandmelee_accuracy=10,private_onehandmelee_combat_difficulty=100,onehandmelee_toughness=10,center_of_being_duration_onehandmelee=2,onehandmelee_center_of_being_efficacy=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('100', 'combat_brawler_1handmelee_04', 'combat_brawler_1handmelee_03', 'fourByFour', '0', '1', '0', '0', '4000', '5', '0', 'combat_brawler_1handmelee_03', ' ', 'combat_meleespecialize_onehand', '70000', '200000', ' ', '0', ' ', ' ', 'none', ' ', 'private_brawler_1hand_4,melee1hSpinAttack1,cert_sword_blade_rantok', 'onehandmelee_speed=5,onehandmelee_accuracy=10,private_onehandmelee_combat_difficulty=100,onehandmelee_toughness=10,center_of_being_duration_onehandmelee=2,onehandmelee_center_of_being_efficacy=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('101', 'combat_brawler_2handmelee_01', 'combat_brawler', 'fourByFour', '0', '0', '0', '0', '1000', '2', '0', 'combat_brawler_novice', ' ', 'combat_meleespecialize_twohand', '1000', '10000', ' ', '0', ' ', ' ', 'none', ' ', 'private_brawler_2hand_1,melee2hHit1,cert_sword_2h_axe', 'twohandmelee_speed=5,twohandmelee_accuracy=10,private_twohandmelee_combat_difficulty=100,center_of_being_duration_twohandmelee=2,twohandmelee_center_of_being_efficacy=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('102', 'combat_brawler_2handmelee_02', 'combat_brawler_2handmelee_01', 'fourByFour', '0', '0', '0', '0', '2000', '3', '0', 'combat_brawler_2handmelee_01', ' ', 'combat_meleespecialize_twohand', '5000', '30000', ' ', '0', ' ', ' ', 'none', ' ', 'private_brawler_2hand_2,melee2hHeadHit1,cert_sword_2h_katana', 'twohandmelee_speed=5,twohandmelee_accuracy=10,private_twohandmelee_combat_difficulty=100,center_of_being_duration_twohandmelee=2,twohandmelee_center_of_being_efficacy=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('103', 'combat_brawler_2handmelee_03', 'combat_brawler_2handmelee_02', 'fourByFour', '0', '0', '0', '0', '3000', '4', '0', 'combat_brawler_2handmelee_02', ' ', 'combat_meleespecialize_twohand', '15000', '140000', ' ', '0', ' ', ' ', 'none', ' ', 'private_brawler_2hand_3,melee2hSweep1,cert_axe_vibro', 'twohandmelee_speed=5,twohandmelee_accuracy=10,private_twohandmelee_combat_difficulty=100,twohandmelee_toughness=10,center_of_being_duration_twohandmelee=2,twohandmelee_center_of_being_efficacy=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('104', 'combat_brawler_2handmelee_04', 'combat_brawler_2handmelee_03', 'fourByFour', '0', '1', '0', '0', '4000', '5', '0', 'combat_brawler_2handmelee_03', ' ', 'combat_meleespecialize_twohand', '70000', '200000', ' ', '0', ' ', ' ', 'none', ' ', 'private_brawler_2hand_4,melee2hSpinAttack1,cert_sword_2h_cleaver', 'twohandmelee_speed=5,twohandmelee_accuracy=10,private_twohandmelee_combat_difficulty=100,twohandmelee_toughness=10,center_of_being_duration_twohandmelee=2,twohandmelee_center_of_being_efficacy=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('105', 'combat_brawler_polearm_01', 'combat_brawler', 'fourByFour', '0', '0', '0', '0', '1000', '2', '0', 'combat_brawler_novice', ' ', 'combat_meleespecialize_polearm', '1000', '10000', ' ', '0', ' ', ' ', 'none', ' ', 'private_brawler_polearm_1,polearmHit1,cert_lance_staff_wood_s2,cert_lance_staff_metal', 'polearm_speed=5,polearm_accuracy=10,private_polearm_combat_difficulty=100,center_of_being_duration_polearm=2,polearm_center_of_being_efficacy=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('106', 'combat_brawler_polearm_02', 'combat_brawler_polearm_01', 'fourByFour', '0', '0', '0', '0', '2000', '3', '0', 'combat_brawler_polearm_01', ' ', 'combat_meleespecialize_polearm', '5000', '30000', ' ', '0', ' ', ' ', 'none', ' ', 'private_brawler_polearm_2,polearmLegHit1,cert_lance_controllerfp', 'polearm_speed=5,polearm_accuracy=10,private_polearm_combat_difficulty=100,center_of_being_duration_polearm=2,polearm_center_of_being_efficacy=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('107', 'combat_brawler_polearm_03', 'combat_brawler_polearm_02', 'fourByFour', '0', '0', '0', '0', '3000', '4', '0', 'combat_brawler_polearm_02', ' ', 'combat_meleespecialize_polearm', '15000', '140000', ' ', '0', ' ', ' ', 'none', ' ', 'private_brawler_polearm_3,polearmStun1,cert_lance_vibro_axe', 'polearm_speed=5,polearm_accuracy=10,private_polearm_combat_difficulty=100,polearm_toughness=4,center_of_being_duration_polearm=2,polearm_center_of_being_efficacy=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('108', 'combat_brawler_polearm_04', 'combat_brawler_polearm_03', 'fourByFour', '0', '1', '0', '0', '4000', '5', '0', 'combat_brawler_polearm_03', ' ', 'combat_meleespecialize_polearm', '70000', '200000', ' ', '0', ' ', ' ', 'none', ' ', 'private_brawler_polearm_4,polearmSpinAttack1', 'polearm_speed=5,polearm_accuracy=10,private_polearm_combat_difficulty=100,polearm_toughness=4,center_of_being_duration_polearm=1,polearm_center_of_being_efficacy=5', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('109', 'combat_marksman', 'combat', 'fourByFour', '0', '0', '1', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('110', 'combat_marksman_novice', 'combat_marksman', 'fourByFour', '0', '1', '0', '0', '100', '15', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', 'private_marksman_novice,pointBlankArea1,pointBlankSingle1,overChargeShot1,cert_rifle_dlt20,cert_pistol_d18,cert_carbine_dh17', 'pistol_accuracy=10,pistol_speed=5,rifle_accuracy=10,rifle_speed=5,carbine_speed=5,carbine_accuracy=10,private_rifle_combat_difficulty=100,private_carbine_combat_difficulty=100,private_pistol_combat_difficulty=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('111', 'combat_marksman_master', 'combat_marksman', 'fourByFour', '0', '1', '0', '0', '5000', '6', '0', 'combat_marksman_rifle_04,combat_marksman_pistol_04,combat_marksman_carbine_04,combat_marksman_support_04', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', 'private_marksman_master,overChargeShot2', 'pistol_accuracy=10,pistol_speed=5,rifle_accuracy=10,rifle_speed=5,carbine_speed=5,carbine_accuracy=10,ranged_defense=5,private_rifle_combat_difficulty=100,private_carbine_combat_difficulty=100,private_pistol_combat_difficulty=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('112', 'combat_marksman_rifle_01', 'combat_marksman', 'fourByFour', '0', '0', '0', '0', '1000', '2', '0', 'combat_marksman_novice', ' ', 'combat_rangedspecialize_rifle', '1000', '10000', ' ', '0', ' ', ' ', 'none', ' ', 'private_marksman_rifle_1,headShot1,cert_rifle_dlt20a,cert_rifle_tusken', 'rifle_accuracy=10,rifle_speed=5,private_rifle_combat_difficulty=100,rifle_concealment_chance=5', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('113', 'combat_marksman_rifle_02', 'combat_marksman_rifle_01', 'fourByFour', '0', '0', '0', '0', '2000', '3', '0', 'combat_marksman_rifle_01', ' ', 'combat_rangedspecialize_rifle', '5000', '30000', ' ', '0', ' ', ' ', 'none', ' ', 'private_marksman_rifle_2,takeCover,cert_rifle_sg82,cert_rifle_laser', 'rifle_accuracy=10,rifle_speed=5,private_rifle_combat_difficulty=100,rifle_concealment_chance=5', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('114', 'combat_marksman_rifle_03', 'combat_marksman_rifle_02', 'fourByFour', '0', '0', '0', '0', '3000', '4', '0', 'combat_marksman_rifle_02', ' ', 'combat_rangedspecialize_rifle', '15000', '140000', ' ', '0', ' ', ' ', 'none', ' ', 'private_marksman_rifle_3,headShot2,cert_rifle_spraystick', 'rifle_accuracy=10,rifle_speed=5,private_rifle_combat_difficulty=100,rifle_concealment_chance=5', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('115', 'combat_marksman_rifle_04', 'combat_marksman_rifle_03', 'fourByFour', '0', '1', '0', '0', '4000', '5', '0', 'combat_marksman_rifle_03', ' ', 'combat_rangedspecialize_rifle', '70000', '200000', ' ', '0', ' ', ' ', 'none', ' ', 'private_marksman_rifle_4,mindShot1,cert_rifle_jawa_ion,cert_rifle_e11', 'rifle_accuracy=10,rifle_speed=5,ranged_defense=2,private_rifle_combat_difficulty=100,rifle_concealment_chance=5', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('116', 'combat_marksman_pistol_01', 'combat_marksman', 'fourByFour', '0', '0', '0', '0', '1000', '2', '0', 'combat_marksman_novice', ' ', 'combat_rangedspecialize_pistol', '1000', '10000', ' ', '0', ' ', ' ', 'none', ' ', 'private_marksman_pistol_1,bodyShot1,cert_pistol_dl44,cert_pistol_dl44_metal', 'pistol_accuracy=10,pistol_speed=5,private_pistol_combat_difficulty=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('117', 'combat_marksman_pistol_02', 'combat_marksman_pistol_01', 'fourByFour', '0', '0', '0', '0', '2000', '3', '0', 'combat_marksman_pistol_01', ' ', 'combat_rangedspecialize_pistol', '5000', '30000', ' ', '0', ' ', ' ', 'none', ' ', 'private_marksman_pistol_2,rollShot,diveShot,kipUpShot,cert_pistol_scout_blaster,cert_pistol_dh17', 'pistol_accuracy=10,pistol_speed=5,private_pistol_combat_difficulty=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('118', 'combat_marksman_pistol_03', 'combat_marksman_pistol_02', 'fourByFour', '0', '0', '0', '0', '3000', '4', '0', 'combat_marksman_pistol_02', ' ', 'combat_rangedspecialize_pistol', '15000', '140000', ' ', '0', ' ', ' ', 'none', ' ', 'private_marksman_pistol_3,bodyShot2,cert_pistol_striker,cert_pistol_power5', 'pistol_accuracy=10,pistol_speed=5,private_pistol_combat_difficulty=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('119', 'combat_marksman_pistol_04', 'combat_marksman_pistol_03', 'fourByFour', '0', '1', '0', '0', '4000', '5', '0', 'combat_marksman_pistol_03', ' ', 'combat_rangedspecialize_pistol', '70000', '200000', ' ', '0', ' ', ' ', 'none', ' ', 'private_marksman_pistol_4,healthShot1,cert_pistol_srcombat,cert_pistol_tangle,cert_pistol_fwg5', 'pistol_accuracy=10,pistol_speed=5,ranged_defense=2,private_pistol_combat_difficulty=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('120', 'combat_marksman_carbine_01', 'combat_marksman', 'fourByFour', '0', '0', '0', '0', '1000', '2', '0', 'combat_marksman_novice', ' ', 'combat_rangedspecialize_carbine', '1000', '10000', ' ', '0', ' ', ' ', 'none', ' ', 'private_marksman_carbine_1,legShot1,cert_carbine_dh17_snubnose', 'carbine_speed=5,carbine_accuracy=10,private_carbine_combat_difficulty=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('121', 'combat_marksman_carbine_02', 'combat_marksman_carbine_01', 'fourByFour', '0', '0', '0', '0', '2000', '3', '0', 'combat_marksman_carbine_01', ' ', 'combat_rangedspecialize_carbine', '5000', '30000', ' ', '0', ' ', ' ', 'none', ' ', 'private_marksman_carbine_2,fullAutoSingle1,cert_carbine_e11', 'carbine_speed=5,carbine_accuracy=10,private_carbine_combat_difficulty=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('122', 'combat_marksman_carbine_03', 'combat_marksman_carbine_02', 'fourByFour', '0', '0', '0', '0', '3000', '4', '0', 'combat_marksman_carbine_02', ' ', 'combat_rangedspecialize_carbine', '15000', '140000', ' ', '0', ' ', ' ', 'none', ' ', 'private_marksman_carbine_3,legShot2,cert_carbine_laser', 'carbine_speed=5,carbine_accuracy=10,private_carbine_combat_difficulty=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('123', 'combat_marksman_carbine_04', 'combat_marksman_carbine_03', 'fourByFour', '0', '1', '0', '0', '4000', '5', '0', 'combat_marksman_carbine_03', ' ', 'combat_rangedspecialize_carbine', '70000', '200000', ' ', '0', ' ', ' ', 'none', ' ', 'private_marksman_carbine_4,actionShot1,cert_carbine_dxr6,cert_carbine_ee3', 'carbine_speed=5,carbine_accuracy=10,ranged_defense=2,private_carbine_combat_difficulty=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('124', 'combat_marksman_support_01', 'combat_marksman', 'fourByFour', '0', '0', '0', '0', '1000', '2', '0', 'combat_marksman_novice', ' ', 'combat_general', '300', '170000', ' ', '0', ' ', ' ', 'none', ' ', 'private_marksman_support_1,threatenShot,aim', 'ranged_defense=2,aim=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('125', 'combat_marksman_support_02', 'combat_marksman_support_01', 'fourByFour', '0', '0', '0', '0', '2000', '3', '0', 'combat_marksman_support_01', ' ', 'combat_general', '2250', '170000', ' ', '0', ' ', ' ', 'none', ' ', 'private_marksman_support_2,tumbleToProne,tumbleToKneeling,tumbleToStanding', 'melee_defense=2,aim=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('126', 'combat_marksman_support_03', 'combat_marksman_support_02', 'fourByFour', '0', '0', '0', '0', '3000', '4', '0', 'combat_marksman_support_02', ' ', 'combat_general', '6000', '170000', ' ', '0', ' ', ' ', 'none', ' ', 'private_marksman_support_3,warningShot', 'ranged_defense=2,aim=5', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('127', 'combat_marksman_support_04', 'combat_marksman_support_03', 'fourByFour', '0', '1', '0', '0', '4000', '5', '0', 'combat_marksman_support_03', ' ', 'combat_general', '22000', '170000', ' ', '0', ' ', ' ', 'none', ' ', 'private_marksman_support_4,suppressionFire1', 'alert=10,ranged_defense=2,aim=5', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('128', 'combat_rifleman', 'combat', 'fourByFour', '0', '0', '1', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('129', 'combat_rifleman_novice', 'combat_rifleman', 'fourByFour', '0', '1', '0', '0', '5000', '6', '0', 'combat_marksman_rifle_04', ' ', 'combat_rangedspecialize_rifle', '125000', '350000', ' ', '0', ' ', ' ', 'none', ' ', 'private_rifle_novice,strafeShot1,cert_rifle_t21', 'rifle_accuracy=5,rifle_speed=5,private_rifle_combat_difficulty=100,block=10,rifle_concealment_chance=15', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('130', 'combat_rifleman_master', 'combat_rifleman', 'fourByFour', '0', '1', '0', '0', '10000', '1', '0', 'combat_rifleman_accuracy_04,combat_rifleman_speed_04,combat_rifleman_ability_04,combat_rifleman_support_04', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', 'private_rifle_master,strafeShot2,ranged_damage_mitigation_3', 'rifle_accuracy=40,rifle_speed=20,rifle_hit_while_moving=10,rifle_aim=40,ranged_defense=15,private_rifle_combat_difficulty=100,block=10,rifle_concealment_chance=5', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('131', 'combat_rifleman_accuracy_01', 'combat_rifleman', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'combat_rifleman_novice', ' ', 'combat_rangedspecialize_rifle', '175000', '500000', ' ', '0', ' ', ' ', 'none', ' ', 'private_rifle_accuracy_1,mindShot2', 'rifle_accuracy=10,rifle_aim=15,private_rifle_combat_difficulty=125,rifle_concealment_chance=15', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('132', 'combat_rifleman_accuracy_02', 'combat_rifleman_accuracy_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'combat_rifleman_accuracy_01', ' ', 'combat_rangedspecialize_rifle', '250000', '700000', ' ', '0', ' ', ' ', 'none', ' ', 'private_rifle_accuracy_2,headShot3', 'rifle_accuracy=15,rifle_aim=15,private_rifle_combat_difficulty=100,rifle_concealment_chance=15', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('133', 'combat_rifleman_accuracy_03', 'combat_rifleman_accuracy_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'combat_rifleman_accuracy_02', ' ', 'combat_rangedspecialize_rifle', '350000', '900000', ' ', '0', ' ', ' ', 'none', ' ', 'private_rifle_accuracy_3,surpriseShot', 'rifle_accuracy=20,rifle_aim=15,private_rifle_combat_difficulty=100,rifle_concealment_chance=15', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('134', 'combat_rifleman_accuracy_04', 'combat_rifleman_accuracy_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'combat_rifleman_accuracy_03', ' ', 'combat_rangedspecialize_rifle', '450000', '900000', ' ', '0', ' ', ' ', 'none', ' ', 'private_rifle_accuracy_4,sniperShot', 'rifle_accuracy=20,rifle_aim=15,private_rifle_combat_difficulty=125,rifle_concealment_chance=15', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('135', 'combat_rifleman_speed_01', 'combat_rifleman', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'combat_rifleman_novice', ' ', 'combat_rangedspecialize_rifle', '175000', '500000', ' ', '0', ' ', ' ', 'none', ' ', 'private_rifle_speed_1,concealShot,ranged_damage_mitigation_1', 'ranged_defense=10,take_cover=20,private_rifle_combat_difficulty=125', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('136', 'combat_rifleman_speed_02', 'combat_rifleman_speed_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'combat_rifleman_speed_01', ' ', 'combat_rangedspecialize_rifle', '250000', '700000', ' ', '0', ' ', ' ', 'none', ' ', 'private_rifle_speed_2', 'ranged_defense=10,take_cover=20,private_rifle_combat_difficulty=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('137', 'combat_rifleman_speed_03', 'combat_rifleman_speed_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'combat_rifleman_speed_02', ' ', 'combat_rangedspecialize_rifle', '350000', '900000', ' ', '0', ' ', ' ', 'none', ' ', 'private_rifle_speed_3,sneak,ranged_damage_mitigation_2', 'ranged_defense=10,take_cover=20,private_rifle_combat_difficulty=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('138', 'combat_rifleman_speed_04', 'combat_rifleman_speed_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'combat_rifleman_speed_03', ' ', 'combat_rangedspecialize_rifle', '450000', '900000', ' ', '0', ' ', ' ', 'none', ' ', 'private_rifle_speed_4', 'ranged_defense=10,take_cover=20,private_rifle_combat_difficulty=125', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('139', 'combat_rifleman_ability_01', 'combat_rifleman', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'combat_rifleman_novice', ' ', 'combat_rangedspecialize_rifle', '175000', '500000', ' ', '0', ' ', ' ', 'none', ' ', 'private_rifle_ability_1,flushingShot1', 'block=15,private_rifle_combat_difficulty=125', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('140', 'combat_rifleman_ability_02', 'combat_rifleman_ability_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'combat_rifleman_ability_01', ' ', 'combat_rangedspecialize_rifle', '250000', '700000', ' ', '0', ' ', ' ', 'none', ' ', 'private_rifle_ability_2,startleShot1,cert_rifle_tenloss_dxr6_disruptor_loot,cert_rifle_tenloss_disruptor', 'block=15,private_rifle_combat_difficulty=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('141', 'combat_rifleman_ability_03', 'combat_rifleman_ability_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'combat_rifleman_ability_02', ' ', 'combat_rangedspecialize_rifle', '350000', '900000', ' ', '0', ' ', ' ', 'none', ' ', 'private_rifle_ability_3,flushingShot2', 'block=15,posture_change_up_defense=30,stun_defense=10,blind_defense=10,dizzy_defense=10,private_rifle_combat_difficulty=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('142', 'combat_rifleman_ability_04', 'combat_rifleman_ability_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'combat_rifleman_ability_03', ' ', 'combat_rangedspecialize_rifle', '450000', '900000', ' ', '0', ' ', ' ', 'none', ' ', 'private_rifle_ability_4,startleShot2', 'block=15,ranged_defense=15,private_rifle_combat_difficulty=125', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('143', 'combat_rifleman_support_01', 'combat_rifleman', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'combat_rifleman_novice', ' ', 'combat_general', '60000', '170000', ' ', '0', ' ', ' ', 'none', ' ', 'private_rifle_support_1,flurryShot1', 'melee_defense=10,rifle_speed=10,private_rifle_combat_difficulty=125', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('144', 'combat_rifleman_support_02', 'combat_rifleman_support_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'combat_rifleman_support_01', ' ', 'combat_general', '85000', '240000', ' ', '0', ' ', ' ', 'none', ' ', 'private_rifle_support_2', 'melee_defense=10,rifle_speed=10,private_rifle_combat_difficulty=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('145', 'combat_rifleman_support_03', 'combat_rifleman_support_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'combat_rifleman_support_02', ' ', 'combat_general', '120000', '300000', ' ', '0', ' ', ' ', 'none', ' ', 'private_rifle_support_3,flurryShot2,cert_rifle_berserker', 'melee_defense=10,rifle_speed=10,private_rifle_combat_difficulty=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('146', 'combat_rifleman_support_04', 'combat_rifleman_support_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'combat_rifleman_support_03', ' ', 'combat_general', '150000', '300000', ' ', '0', ' ', ' ', 'none', ' ', 'private_rifle_support_4', 'melee_defense=10,rifle_speed=10,private_rifle_combat_difficulty=125', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('147', 'combat_pistol', 'combat', 'fourByFour', '0', '0', '1', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('148', 'combat_pistol_novice', 'combat_pistol', 'fourByFour', '0', '1', '0', '0', '5000', '6', '0', 'combat_marksman_pistol_04', ' ', 'combat_rangedspecialize_pistol', '125000', '350000', ' ', '0', ' ', ' ', 'none', ' ', 'private_pistol_novice,healthShot2,cert_pistol_dx2,cert_pistol_republic_blaster', 'pistol_accuracy=5,pistol_speed=5,private_pistol_combat_difficulty=100,dodge=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('149', 'combat_pistol_master', 'combat_pistol', 'fourByFour', '0', '1', '0', '0', '10000', '1', '0', 'combat_pistol_accuracy_04,combat_pistol_speed_04,combat_pistol_ability_04,combat_pistol_support_04', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', 'private_pistol_master,multiTargetPistolShot,disarmingShot2,ranged_damage_mitigation_3,cert_pistol_de10', 'pistol_accuracy=10,pistol_speed=20,pistol_hit_while_moving=10,pistol_aim=4,ranged_defense=5,melee_defense=5,private_pistol_combat_difficulty=100,dodge=25', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('150', 'combat_pistol_accuracy_01', 'combat_pistol', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'combat_pistol_novice', ' ', 'combat_rangedspecialize_pistol', '175000', '500000', ' ', '0', ' ', ' ', 'none', ' ', 'private_pistol_accuracy_1,pointBlankSingle2', 'private_pistol_combat_difficulty=125,dodge=15', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('151', 'combat_pistol_accuracy_02', 'combat_pistol_accuracy_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'combat_pistol_accuracy_01', ' ', 'combat_rangedspecialize_pistol', '250000', '700000', ' ', '0', ' ', ' ', 'none', ' ', 'private_pistol_accuracy_2', 'dodge=15,private_pistol_combat_difficulty=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('152', 'combat_pistol_accuracy_03', 'combat_pistol_accuracy_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'combat_pistol_accuracy_02', ' ', 'combat_rangedspecialize_pistol', '350000', '900000', ' ', '0', ' ', ' ', 'none', ' ', 'private_pistol_accuracy_3,bodyShot3', 'dodge=20,private_pistol_combat_difficulty=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('153', 'combat_pistol_accuracy_04', 'combat_pistol_accuracy_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'combat_pistol_accuracy_03', ' ', 'combat_rangedspecialize_pistol', '450000', '900000', ' ', '0', ' ', ' ', 'none', ' ', 'private_pistol_accuracy_4,pointBlankArea2', 'dodge=20,private_pistol_combat_difficulty=125', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('154', 'combat_pistol_speed_01', 'combat_pistol', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'combat_pistol_novice', ' ', 'combat_rangedspecialize_pistol', '175000', '500000', ' ', '0', ' ', ' ', 'none', ' ', 'private_pistol_speed_1', 'pistol_accuracy=10,pistol_hit_while_moving=5,pistol_aim=3,private_pistol_combat_difficulty=125', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('155', 'combat_pistol_speed_02', 'combat_pistol_speed_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'combat_pistol_speed_01', ' ', 'combat_rangedspecialize_pistol', '250000', '700000', ' ', '0', ' ', ' ', 'none', ' ', 'private_pistol_speed_2', 'pistol_accuracy=5,pistol_hit_while_moving=5,pistol_aim=3,private_pistol_combat_difficulty=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('156', 'combat_pistol_speed_03', 'combat_pistol_speed_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'combat_pistol_speed_02', ' ', 'combat_rangedspecialize_pistol', '350000', '900000', ' ', '0', ' ', ' ', 'none', ' ', 'private_pistol_speed_3', 'pistol_accuracy=10,pistol_hit_while_moving=5,pistol_aim=3,private_pistol_combat_difficulty=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('157', 'combat_pistol_speed_04', 'combat_pistol_speed_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'combat_pistol_speed_03', ' ', 'combat_rangedspecialize_pistol', '450000', '900000', ' ', '0', ' ', ' ', 'none', ' ', 'private_pistol_speed_4', 'pistol_accuracy=5,pistol_hit_while_moving=5,pistol_aim=3,private_pistol_combat_difficulty=125', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('158', 'combat_pistol_ability_01', 'combat_pistol', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'combat_pistol_novice', ' ', 'combat_rangedspecialize_pistol', '175000', '500000', ' ', '0', ' ', ' ', 'none', ' ', 'private_pistol_ability_1,disarmingShot1,ranged_damage_mitigation_1', 'stun_defense=40,private_pistol_combat_difficulty=125', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('159', 'combat_pistol_ability_02', 'combat_pistol_ability_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'combat_pistol_ability_01', ' ', 'combat_rangedspecialize_pistol', '250000', '700000', ' ', '0', ' ', ' ', 'none', ' ', 'private_pistol_ability_2,doubleTap,cert_pistol_geonosian_sonic_blaster_loot,cert_geo_sonic_blaster', 'blind_defense=40,private_pistol_combat_difficulty=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('160', 'combat_pistol_ability_03', 'combat_pistol_ability_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'combat_pistol_ability_02', ' ', 'combat_rangedspecialize_pistol', '350000', '900000', ' ', '0', ' ', ' ', 'none', ' ', 'private_pistol_ability_3,stoppingShot,ranged_damage_mitigation_2', 'dizzy_defense=40,private_pistol_combat_difficulty=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('161', 'combat_pistol_ability_04', 'combat_pistol_ability_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'combat_pistol_ability_03', ' ', 'combat_rangedspecialize_pistol', '450000', '900000', ' ', '0', ' ', ' ', 'none', ' ', 'private_pistol_ability_4,fanShot', 'posture_change_down_defense=20,knockdown_defense=50,private_pistol_combat_difficulty=125', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('162', 'combat_pistol_support_01', 'combat_pistol', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'combat_pistol_novice', ' ', 'combat_general', '60000', '170000', ' ', '0', ' ', ' ', 'none', ' ', 'private_pistol_defense_1,pistolMeleeDefense1', 'melee_defense=10,pistol_speed=6,private_pistol_combat_difficulty=125', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('163', 'combat_pistol_support_02', 'combat_pistol_support_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'combat_pistol_support_01', ' ', 'combat_general', '85000', '240000', ' ', '0', ' ', ' ', 'none', ' ', 'private_pistol_defense_2', 'melee_defense=10,pistol_speed=6,private_pistol_combat_difficulty=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('164', 'combat_pistol_support_03', 'combat_pistol_support_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'combat_pistol_support_02', ' ', 'combat_general', '120000', '300000', ' ', '0', ' ', ' ', 'none', ' ', 'private_pistol_defense_3,pistolMeleeDefense2', 'melee_defense=10,pistol_speed=6,pistol_accuracy_while_standing=15,private_pistol_combat_difficulty=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('165', 'combat_pistol_support_04', 'combat_pistol_support_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'combat_pistol_support_03', ' ', 'combat_general', '150000', '300000', ' ', '0', ' ', ' ', 'none', ' ', 'private_pistol_defense_4', 'melee_defense=10,pistol_speed=6,private_pistol_combat_difficulty=125', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('166', 'combat_carbine', 'combat', 'fourByFour', '0', '0', '1', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('167', 'combat_carbine_novice', 'combat_carbine', 'fourByFour', '0', '1', '0', '0', '5000', '6', '0', 'combat_marksman_carbine_04', ' ', 'combat_rangedspecialize_carbine', '125000', '350000', ' ', '0', ' ', ' ', 'none', ' ', 'private_carbine_novice,actionShot2,fullAutoSingle2,cert_carbine_elite,cert_carbine_nym_slugthrower', 'carbine_speed=5,carbine_accuracy=5,private_carbine_combat_difficulty=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('168', 'combat_carbine_master', 'combat_carbine', 'fourByFour', '0', '1', '0', '0', '10000', '1', '0', 'combat_carbine_support_04,combat_carbine_speed_04,combat_carbine_ability_04,combat_carbine_accuracy_04', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', 'private_carbine_master,ranged_damage_mitigation_3', 'carbine_speed=10,carbine_accuracy=20,carbine_hit_while_moving=10,carbine_aim=25,ranged_defense=25,private_carbine_combat_difficulty=100,counterattack=25', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('169', 'combat_carbine_accuracy_01', 'combat_carbine', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'combat_carbine_novice', ' ', 'combat_rangedspecialize_carbine', '175000', '500000', ' ', '0', ' ', ' ', 'none', ' ', 'private_carbine_accuracy_1,scatterShot1', 'carbine_speed=5,private_carbine_combat_difficulty=125', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('170', 'combat_carbine_accuracy_02', 'combat_carbine_accuracy_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'combat_carbine_accuracy_01', ' ', 'combat_rangedspecialize_carbine', '250000', '700000', ' ', '0', ' ', ' ', 'none', ' ', 'private_carbine_accuracy_2,wildShot1', 'carbine_speed=5,private_carbine_combat_difficulty=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('171', 'combat_carbine_accuracy_03', 'combat_carbine_accuracy_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'combat_carbine_accuracy_02', ' ', 'combat_rangedspecialize_carbine', '350000', '900000', ' ', '0', ' ', ' ', 'none', ' ', 'private_carbine_accuracy_3,scatterShot2', 'carbine_speed=5,private_carbine_combat_difficulty=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('172', 'combat_carbine_accuracy_04', 'combat_carbine_accuracy_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'combat_carbine_accuracy_03', ' ', 'combat_rangedspecialize_carbine', '450000', '900000', ' ', '0', ' ', ' ', 'none', ' ', 'private_carbine_accuracy_4,wildShot2', 'carbine_speed=5,private_carbine_combat_difficulty=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('173', 'combat_carbine_speed_01', 'combat_carbine', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'combat_carbine_novice', ' ', 'combat_rangedspecialize_carbine', '175000', '500000', ' ', '0', ' ', ' ', 'none', ' ', 'private_carbine_speed_1,legShot3', 'carbine_accuracy=5,private_carbine_combat_difficulty=125', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('174', 'combat_carbine_speed_02', 'combat_carbine_speed_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'combat_carbine_speed_01', ' ', 'combat_rangedspecialize_carbine', '250000', '700000', ' ', '0', ' ', ' ', 'none', ' ', 'private_carbine_speed_2', 'carbine_accuracy=10,private_carbine_combat_difficulty=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('175', 'combat_carbine_speed_03', 'combat_carbine_speed_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'combat_carbine_speed_02', ' ', 'combat_rangedspecialize_carbine', '350000', '900000', ' ', '0', ' ', ' ', 'none', ' ', 'private_carbine_speed_3,cripplingShot', 'carbine_accuracy=15,private_carbine_combat_difficulty=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('176', 'combat_carbine_speed_04', 'combat_carbine_speed_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'combat_carbine_speed_03', ' ', 'combat_rangedspecialize_carbine', '450000', '900000', ' ', '0', ' ', ' ', 'none', ' ', 'private_carbine_speed_4', 'carbine_accuracy=25,private_carbine_combat_difficulty=125', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('177', 'combat_carbine_ability_01', 'combat_carbine', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'combat_carbine_novice', ' ', 'combat_rangedspecialize_carbine', '175000', '500000', ' ', '0', ' ', ' ', 'none', ' ', 'private_carbine_ability_1,burstShot1,ranged_damage_mitigation_1', 'counterattack=20,private_carbine_combat_difficulty=125', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('178', 'combat_carbine_ability_02', 'combat_carbine_ability_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'combat_carbine_ability_01', ' ', 'combat_rangedspecialize_carbine', '250000', '700000', ' ', '0', ' ', ' ', 'none', ' ', 'private_carbine_ability_2', 'knockdown_defense=15,intimidate_defense=25,counterattack=20,private_carbine_combat_difficulty=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('179', 'combat_carbine_ability_03', 'combat_carbine_ability_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'combat_carbine_ability_02', ' ', 'combat_rangedspecialize_carbine', '350000', '900000', ' ', '0', ' ', ' ', 'none', ' ', 'private_carbine_ability_3,burstShot2,ranged_damage_mitigation_2', 'counterattack=20,private_carbine_combat_difficulty=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('180', 'combat_carbine_ability_04', 'combat_carbine_ability_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'combat_carbine_ability_03', ' ', 'combat_rangedspecialize_carbine', '450000', '900000', ' ', '0', ' ', ' ', 'none', ' ', 'private_carbine_ability_4,suppressionFire2', 'counterattack=20,private_carbine_combat_difficulty=125', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('181', 'combat_carbine_support_01', 'combat_carbine', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'combat_carbine_novice', ' ', 'combat_general', '60000', '170000', ' ', '0', ' ', ' ', 'none', ' ', 'private_carbine_support_1,fullAutoArea1', 'carbine_hit_while_moving=5,private_carbine_combat_difficulty=125', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('182', 'combat_carbine_support_02', 'combat_carbine_support_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'combat_carbine_support_01', ' ', 'combat_general', '85000', '240000', ' ', '0', ' ', ' ', 'none', ' ', 'private_carbine_support_2,chargeShot1', 'carbine_hit_while_moving=5,private_carbine_combat_difficulty=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('183', 'combat_carbine_support_03', 'combat_carbine_support_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'combat_carbine_support_02', ' ', 'combat_general', '120000', '300000', ' ', '0', ' ', ' ', 'none', ' ', 'private_carbine_support_3,fullAutoArea2', 'carbine_hit_while_moving=5,private_carbine_combat_difficulty=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('184', 'combat_carbine_support_04', 'combat_carbine_support_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'combat_carbine_support_03', ' ', 'combat_general', '150000', '300000', ' ', '0', ' ', ' ', 'none', ' ', 'private_carbine_support_4,chargeShot2', 'carbine_hit_while_moving=5,private_carbine_combat_difficulty=125', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('185', 'combat_unarmed', 'combat', 'fourByFour', '0', '0', '1', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('186', 'combat_unarmed_novice', 'combat_unarmed', 'fourByFour', '0', '1', '0', '0', '5000', '6', '0', 'combat_brawler_unarmed_04', ' ', 'combat_meleespecialize_unarmed', '125000', '350000', ' ', '0', ' ', ' ', 'none', ' ', 'private_unarmed_novice,unarmedHit2,meditate,cert_vibroknuckler', 'unarmed_damage=70,combat_equillibrium=10,unarmed_speed=10,unarmed_accuracy=20,private_unarmed_combat_difficulty=100,meditate=15,unarmed_toughness=4,private_med_dot=5,unarmed_passive_defense=15,unarmed_center_of_being_efficacy=15,center_of_being_duration_unarmed=5', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('187', 'combat_unarmed_master', 'combat_unarmed', 'fourByFour', '0', '1', '0', '0', '10000', '1', '0', 'combat_unarmed_accuracy_04,combat_unarmed_speed_04,combat_unarmed_ability_04,combat_unarmed_support_04', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', 'private_unarmed_master,unarmedHit3,melee_damage_mitigation_3', 'unarmed_damage=70,combat_equillibrium=15,unarmed_speed=20,unarmed_accuracy=35,private_unarmed_combat_difficulty=100,meditate=25,private_med_dot=10,private_med_wound=10,unarmed_passive_defense=25,unarmed_center_of_being_efficacy=10,center_of_being_duration_unarmed=5', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('188', 'combat_unarmed_accuracy_01', 'combat_unarmed', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'combat_unarmed_novice', ' ', 'combat_meleespecialize_unarmed', '175000', '500000', ' ', '0', ' ', ' ', 'none', ' ', 'private_unarmed_accuarcy_1', 'private_unarmed_combat_difficulty=125,meditate=15,private_med_dot=5', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('189', 'combat_unarmed_accuracy_02', 'combat_unarmed_accuracy_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'combat_unarmed_accuracy_01', ' ', 'combat_meleespecialize_unarmed', '250000', '700000', ' ', '0', ' ', ' ', 'none', ' ', 'private_unarmed_accuarcy_2,powerBoost', 'private_unarmed_combat_difficulty=100,meditate=15,private_med_dot=10,private_med_wound=5', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('190', 'combat_unarmed_accuracy_03', 'combat_unarmed_accuracy_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'combat_unarmed_accuracy_02', ' ', 'combat_meleespecialize_unarmed', '350000', '900000', ' ', '0', ' ', ' ', 'none', ' ', 'private_unarmed_accuracy_3', 'private_unarmed_combat_difficulty=100,meditate=15,private_med_dot=10,private_med_wound=5', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('191', 'combat_unarmed_accuracy_04', 'combat_unarmed_accuracy_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'combat_unarmed_accuracy_03', ' ', 'combat_meleespecialize_unarmed', '450000', '900000', ' ', '0', ' ', ' ', 'none', ' ', 'private_unarmed_accuracy_4,forceOfWill', 'private_unarmed_combat_difficulty=100,meditate=15,private_med_dot=10,private_med_wound=5', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('192', 'combat_unarmed_speed_01', 'combat_unarmed', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'combat_unarmed_novice', ' ', 'combat_meleespecialize_unarmed', '175000', '500000', ' ', '0', ' ', ' ', 'none', ' ', 'private_unarmed_speed_1,unarmedKnockdown1,melee_damage_mitigation_1', 'combat_equillibrium=10,blind_defense=10,posture_change_down_defense=10,private_unarmed_combat_difficulty=125', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('193', 'combat_unarmed_speed_02', 'combat_unarmed_speed_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'combat_unarmed_speed_01', ' ', 'combat_meleespecialize_unarmed', '250000', '700000', ' ', '0', ' ', ' ', 'none', ' ', 'private_unarmed_speed_2', 'stun_defense=10,combat_equillibrium=10,posture_change_down_defense=10,private_unarmed_combat_difficulty=100,unarmed_toughness=15', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('194', 'combat_unarmed_speed_03', 'combat_unarmed_speed_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'combat_unarmed_speed_02', ' ', 'combat_meleespecialize_unarmed', '350000', '900000', ' ', '0', ' ', ' ', 'none', ' ', 'private_unarmed_speed_3,melee_damage_mitigation_2', 'stun_defense=5,combat_equillibrium=10,posture_change_down_defense=10,dizzy_defense=5,knockdown_defense=20,private_unarmed_combat_difficulty=100,unarmed_toughness=4', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('195', 'combat_unarmed_speed_04', 'combat_unarmed_speed_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'combat_unarmed_speed_03', ' ', 'combat_meleespecialize_unarmed', '450000', '900000', ' ', '0', ' ', ' ', 'none', ' ', 'private_unarmed_speed_4,unarmedKnockdown2', 'private_unarmed_combat_difficulty=125,unarmed_toughness=4', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('196', 'combat_unarmed_ability_01', 'combat_unarmed', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'combat_unarmed_novice', ' ', 'combat_meleespecialize_unarmed', '175000', '500000', ' ', '0', ' ', ' ', 'none', ' ', 'private_unarmed_ability_1,unarmedDizzy1', 'unarmed_damage=15,unarmed_speed=15,private_unarmed_combat_difficulty=125', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('197', 'combat_unarmed_ability_02', 'combat_unarmed_ability_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'combat_unarmed_ability_01', ' ', 'combat_meleespecialize_unarmed', '250000', '700000', ' ', '0', ' ', ' ', 'none', ' ', 'private_unarmed_ability_2,unarmedCombo1', 'unarmed_damage=15,unarmed_speed=15,private_unarmed_combat_difficulty=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('198', 'combat_unarmed_ability_03', 'combat_unarmed_ability_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'combat_unarmed_ability_02', ' ', 'combat_meleespecialize_unarmed', '350000', '900000', ' ', '0', ' ', ' ', 'none', ' ', 'private_unarmed_ability_3,unarmedSpinAttack2', 'unarmed_damage=15,unarmed_speed=15,private_unarmed_combat_difficulty=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('199', 'combat_unarmed_ability_04', 'combat_unarmed_ability_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'combat_unarmed_ability_03', ' ', 'combat_meleespecialize_unarmed', '450000', '900000', ' ', '0', ' ', ' ', 'none', ' ', 'private_unarmed_ability_4,unarmedCombo2', 'unarmed_damage=15,unarmed_speed=15,private_unarmed_combat_difficulty=125', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('200', 'combat_unarmed_support_01', 'combat_unarmed', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'combat_unarmed_novice', ' ', 'combat_general', '60000', '170000', ' ', '0', ' ', ' ', 'none', ' ', 'private_unarmed_support_1,unarmedBodyHit1', 'melee_defense=15,ranged_defense=5,unarmed_accuracy=30,private_unarmed_combat_difficulty=125,unarmed_passive_defense=15,unarmed_center_of_being_efficacy=10,center_of_being_duration_unarmed=2', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('201', 'combat_unarmed_support_02', 'combat_unarmed_support_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'combat_unarmed_support_01', ' ', 'combat_general', '85000', '240000', ' ', '0', ' ', ' ', 'none', ' ', 'private_unarmed_support_2,unarmedLegHit1', 'private_unarmed_combat_difficulty=100,melee_defense=15,ranged_defense=10,unarmed_accuracy=20,unarmed_toughness=5,unarmed_passive_defense=11,unarmed_center_of_being_efficacy=5,center_of_being_duration_unarmed=2', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('202', 'combat_unarmed_support_03', 'combat_unarmed_support_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'combat_unarmed_support_02', ' ', 'combat_general', '120000', '300000', ' ', '0', ' ', ' ', 'none', ' ', 'private_unarmed_support_3', 'melee_defense=15,ranged_defense=15,unarmed_accuracy=30,private_unarmed_combat_difficulty=100,unarmed_passive_defense=15,unarmed_center_of_being_efficacy=10,center_of_being_duration_unarmed=2', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('203', 'combat_unarmed_support_04', 'combat_unarmed_support_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'combat_unarmed_support_03', ' ', 'combat_general', '150000', '300000', ' ', '0', ' ', ' ', 'none', ' ', 'private_unarmed_support_4,unarmedHeadHit1', 'private_unarmed_combat_difficulty=100,melee_defense=15,ranged_defense=15,unarmed_accuracy=20,unarmed_toughness=5,unarmed_passive_defense=15,unarmed_center_of_being_efficacy=10,center_of_being_duration_unarmed=1', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('204', 'combat_1hsword', 'combat', 'fourByFour', '0', '0', '1', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('205', 'combat_1hsword_novice', 'combat_1hsword', 'fourByFour', '0', '1', '0', '0', '5000', '6', '0', 'combat_brawler_1handmelee_04', ' ', 'combat_meleespecialize_onehand', '125000', '350000', ' ', '0', ' ', ' ', 'none', ' ', 'private_1hand_novice,melee1hHit2,cert_baton_stun', 'onehandmelee_accuracy=20,onehandmelee_speed=10,melee_defense=15,ranged_defense=15,dodge=15,private_onehandmelee_combat_difficulty=100,onehandmelee_toughness=4,center_of_being_duration_onehandmelee=5,onehandmelee_center_of_being_efficacy=15', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('206', 'combat_1hsword_master', 'combat_1hsword', 'fourByFour', '0', '1', '0', '0', '10000', '1', '0', 'combat_1hsword_accuracy_04,combat_1hsword_speed_04,combat_1hsword_ability_04,combat_1hsword_support_04', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', 'private_1hand_master,melee1hHit3,melee_damage_mitigation_3', 'onehandmelee_accuracy=20,onehandmelee_speed=10,alert=10,melee_defense=5,combat_equillibrium=10,dodge=15,private_onehandmelee_combat_difficulty=100,center_of_being_duration_onehandmelee=5,onehandmelee_center_of_being_efficacy=15', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('207', 'combat_1hsword_accuracy_01', 'combat_1hsword', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'combat_1hsword_novice', ' ', 'combat_meleespecialize_onehand', '175000', '500000', ' ', '0', ' ', ' ', 'none', ' ', 'private_1hand_accuracy_1,melee1hScatterHit1', 'melee_defense=12,ranged_defense=12,private_onehandmelee_combat_difficulty=125', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('208', 'combat_1hsword_accuracy_02', 'combat_1hsword_accuracy_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'combat_1hsword_accuracy_01', ' ', 'combat_meleespecialize_onehand', '250000', '700000', ' ', '0', ' ', ' ', 'none', ' ', 'private_1hand_accuracy_2', 'ranged_defense=15,melee_defense=15,private_onehandmelee_combat_difficulty=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('209', 'combat_1hsword_accuracy_03', 'combat_1hsword_accuracy_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'combat_1hsword_accuracy_02', ' ', 'combat_meleespecialize_onehand', '350000', '900000', ' ', '0', ' ', ' ', 'none', ' ', 'private_1hand_accuracy_3,melee1hDizzyHit2', 'melee_defense=12,ranged_defense=12,private_onehandmelee_combat_difficulty=100,onehandmelee_toughness=4', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('210', 'combat_1hsword_accuracy_04', 'combat_1hsword_accuracy_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'combat_1hsword_accuracy_03', ' ', 'combat_meleespecialize_onehand', '450000', '900000', ' ', '0', ' ', ' ', 'none', ' ', 'private_1hand_accuracy_4,melee1hScatterHit2', 'ranged_defense=15,melee_defense=15,private_onehandmelee_combat_difficulty=125,onehandmelee_toughness=4', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('211', 'combat_1hsword_speed_01', 'combat_1hsword', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'combat_1hsword_novice', ' ', 'combat_meleespecialize_onehand', '175000', '500000', ' ', '0', ' ', ' ', 'none', ' ', 'private_1hand_speed_1,melee1hHealthHit1', 'onehandmelee_speed=5,private_onehandmelee_combat_difficulty=125,center_of_being_duration_onehandmelee=2,onehandmelee_center_of_being_efficacy=5', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('212', 'combat_1hsword_speed_02', 'combat_1hsword_speed_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'combat_1hsword_speed_01', ' ', 'combat_meleespecialize_onehand', '250000', '700000', ' ', '0', ' ', ' ', 'none', ' ', 'private_1hand_speed_2', 'posture_change_down_defense=20,knockdown_defense=20,onehandmelee_speed=20,private_onehandmelee_combat_difficulty=100,center_of_being_duration_onehandmelee=2,onehandmelee_center_of_being_efficacy=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('213', 'combat_1hsword_speed_03', 'combat_1hsword_speed_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'combat_1hsword_speed_02', ' ', 'combat_meleespecialize_onehand', '350000', '900000', ' ', '0', ' ', ' ', 'none', ' ', 'private_1hand_speed_3,melee1hSpinAttack2', 'private_onehandmelee_combat_difficulty=100,center_of_being_duration_onehandmelee=2,onehandmelee_center_of_being_efficacy=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('214', 'combat_1hsword_speed_04', 'combat_1hsword_speed_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'combat_1hsword_speed_03', ' ', 'combat_meleespecialize_onehand', '450000', '900000', ' ', '0', ' ', ' ', 'none', ' ', 'private_1hand_speed_4,melee1hHealthHit2', 'posture_change_down_defense=30,knockdown_defense=30,onehandmelee_speed=20,dodge=15,private_onehandmelee_combat_difficulty=125,center_of_being_duration_onehandmelee=2,onehandmelee_center_of_being_efficacy=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('215', 'combat_1hsword_ability_01', 'combat_1hsword', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'combat_1hsword_novice', ' ', 'combat_meleespecialize_onehand', '175000', '500000', ' ', '0', ' ', ' ', 'none', ' ', 'private_1hand_ability_1,melee1hBodyHit2,melee_damage_mitigation_1', 'private_onehandmelee_combat_difficulty=125,dodge=15', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('216', 'combat_1hsword_ability_02', 'combat_1hsword_ability_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'combat_1hsword_ability_01', ' ', 'combat_meleespecialize_onehand', '250000', '700000', ' ', '0', ' ', ' ', 'none', ' ', 'private_1hand_ability_2', 'blind_defense=10,dizzy_defense=10,intimidate_defense=10,private_onehandmelee_combat_difficulty=100,dodge=15', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('217', 'combat_1hsword_ability_03', 'combat_1hsword_ability_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'combat_1hsword_ability_02', ' ', 'combat_meleespecialize_onehand', '350000', '900000', ' ', '0', ' ', ' ', 'none', ' ', 'private_1hand_ability_3,melee1hBodyHit3,melee_damage_mitigation_2', 'private_onehandmelee_combat_difficulty=100,dodge=15', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('218', 'combat_1hsword_ability_04', 'combat_1hsword_ability_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'combat_1hsword_ability_03', ' ', 'combat_meleespecialize_onehand', '450000', '900000', ' ', '0', ' ', ' ', 'none', ' ', 'private_1hand_ability_4', 'blind_defense=30,dizzy_defense=30,intimidate_defense=10,dodge=15,private_onehandmelee_combat_difficulty=125', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('219', 'combat_1hsword_support_01', 'combat_1hsword', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'combat_1hsword_novice', ' ', 'combat_general', '60000', '170000', ' ', '0', ' ', ' ', 'none', ' ', 'private_1hand_support_1,melee1hBlindHit1', 'private_onehandmelee_combat_difficulty=125', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('220', 'combat_1hsword_support_02', 'combat_1hsword_support_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'combat_1hsword_support_01', ' ', 'combat_general', '85000', '240000', ' ', '0', ' ', ' ', 'none', ' ', 'private_1hand_support_2', 'combat_equillibrium=10,onehandmelee_accuracy=30,private_onehandmelee_combat_difficulty=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('221', 'combat_1hsword_support_03', 'combat_1hsword_support_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'combat_1hsword_support_02', ' ', 'combat_general', '120000', '300000', ' ', '0', ' ', ' ', 'none', ' ', 'private_1hand_support_3,melee1hBlindHit2', 'private_onehandmelee_combat_difficulty=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('222', 'combat_1hsword_support_04', 'combat_1hsword_support_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'combat_1hsword_support_03', ' ', 'combat_general', '150000', '300000', ' ', '0', ' ', ' ', 'none', ' ', 'private_1hand_support_4', 'combat_equillibrium=10,onehandmelee_accuracy=30,private_onehandmelee_combat_difficulty=125', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('223', 'combat_2hsword', 'combat', 'fourByFour', '0', '0', '1', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('224', 'combat_2hsword_novice', 'combat_2hsword', 'fourByFour', '0', '1', '0', '0', '5000', '6', '0', 'combat_brawler_2handmelee_04', ' ', 'combat_meleespecialize_twohand', '125000', '350000', ' ', '0', ' ', ' ', 'none', ' ', 'private_2hand_novice,melee2hHit2,cert_sword_2h_maul', 'twohandmelee_accuracy=15,twohandmelee_speed=10,melee_defense=5,counterattack=15,private_twohandmelee_combat_difficulty=100,twohandmelee_toughness=15,center_of_being_duration_twohandmelee=5,twohandmelee_center_of_being_efficacy=15', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('225', 'combat_2hsword_master', 'combat_2hsword', 'fourByFour', '0', '1', '0', '0', '10000', '1', '0', 'combat_2hsword_accuracy_04,combat_2hsword_speed_04,combat_2hsword_ability_04,combat_2hsword_support_04', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', 'private_2hand_master,melee2hHit3,melee_damage_mitigation_3', 'twohandmelee_accuracy=15,twohandmelee_speed=10,melee_defense=5,stun_defense=30,blind_defense=10,knockdown_defense=10,ranged_defense=5,counterattack=25,private_twohandmelee_combat_difficulty=100,center_of_being_duration_twohandmelee=5,twohandmelee_center_of_being_efficacy=15', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('226', 'combat_2hsword_accuracy_01', 'combat_2hsword', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'combat_2hsword_novice', ' ', 'combat_meleespecialize_twohand', '175000', '500000', ' ', '0', ' ', ' ', 'none', ' ', 'private_2hand_accuracy_1,melee2hArea1', 'private_twohandmelee_combat_difficulty=125', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('227', 'combat_2hsword_accuracy_02', 'combat_2hsword_accuracy_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'combat_2hsword_accuracy_01', ' ', 'combat_meleespecialize_twohand', '250000', '700000', ' ', '0', ' ', ' ', 'none', ' ', 'private_2hand_accuracy_2,melee2hArea2', 'private_twohandmelee_combat_difficulty=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('228', 'combat_2hsword_accuracy_03', 'combat_2hsword_accuracy_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'combat_2hsword_accuracy_02', ' ', 'combat_meleespecialize_twohand', '350000', '900000', ' ', '0', ' ', ' ', 'none', ' ', 'private_2hand_accuracy_3', 'intimidate_defense=20,dizzy_defense=20,stun_defense=20,private_twohandmelee_combat_difficulty=100,twohandmelee_toughness=4', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('229', 'combat_2hsword_accuracy_04', 'combat_2hsword_accuracy_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'combat_2hsword_accuracy_03', ' ', 'combat_meleespecialize_twohand', '450000', '900000', ' ', '0', ' ', ' ', 'none', ' ', 'private_2hand_accuracy_4,melee2hArea3', 'private_twohandmelee_combat_difficulty=125,twohandmelee_toughness=4', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('230', 'combat_2hsword_speed_01', 'combat_2hsword', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'combat_2hsword_novice', ' ', 'combat_meleespecialize_twohand', '175000', '500000', ' ', '0', ' ', ' ', 'none', ' ', 'private_2hand_speed_1,melee2hHeadHit2', 'private_twohandmelee_combat_difficulty=125', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('231', 'combat_2hsword_speed_02', 'combat_2hsword_speed_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'combat_2hsword_speed_01', ' ', 'combat_meleespecialize_twohand', '250000', '700000', ' ', '0', ' ', ' ', 'none', ' ', 'private_2hand_speed_2', 'twohandmelee_speed=15,private_twohandmelee_combat_difficulty=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('232', 'combat_2hsword_speed_03', 'combat_2hsword_speed_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'combat_2hsword_speed_02', ' ', 'combat_meleespecialize_twohand', '350000', '900000', ' ', '0', ' ', ' ', 'none', ' ', 'melee2hHeadHit3', 'private_twohandmelee_combat_difficulty=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('233', 'combat_2hsword_speed_04', 'combat_2hsword_speed_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'combat_2hsword_speed_03', ' ', 'combat_meleespecialize_twohand', '450000', '900000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'twohandmelee_speed=15,private_twohandmelee_combat_difficulty=125', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('234', 'combat_2hsword_ability_01', 'combat_2hsword', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'combat_2hsword_novice', ' ', 'combat_meleespecialize_twohand', '175000', '500000', ' ', '0', ' ', ' ', 'none', ' ', 'melee2hSpinAttack2,melee_damage_mitigation_1', 'private_twohandmelee_combat_difficulty=125,counterattack=15,center_of_being_duration_twohandmelee=2,twohandmelee_center_of_being_efficacy=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('235', 'combat_2hsword_ability_02', 'combat_2hsword_ability_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'combat_2hsword_ability_01', ' ', 'combat_meleespecialize_twohand', '250000', '700000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'melee_defense=5,ranged_defense=5,posture_change_down_defense=10,private_twohandmelee_combat_difficulty=100,counterattack=15,center_of_being_duration_twohandmelee=2,twohandmelee_center_of_being_efficacy=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('236', 'combat_2hsword_ability_03', 'combat_2hsword_ability_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'combat_2hsword_ability_02', ' ', 'combat_meleespecialize_twohand', '350000', '900000', ' ', '0', ' ', ' ', 'none', ' ', 'melee2hSweep2,melee_damage_mitigation_2', 'private_twohandmelee_combat_difficulty=100,counterattack=15,center_of_being_duration_twohandmelee=2,twohandmelee_center_of_being_efficacy=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('237', 'combat_2hsword_ability_04', 'combat_2hsword_ability_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'combat_2hsword_ability_03', ' ', 'combat_meleespecialize_twohand', '450000', '900000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'melee_defense=5,ranged_defense=5,knockdown_defense=15,counterattack=15,private_twohandmelee_combat_difficulty=125,center_of_being_duration_twohandmelee=2,twohandmelee_center_of_being_efficacy=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('238', 'combat_2hsword_support_01', 'combat_2hsword', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'combat_2hsword_novice', ' ', 'combat_general', '60000', '170000', ' ', '0', ' ', ' ', 'none', ' ', 'melee2hMindHit1', 'private_twohandmelee_combat_difficulty=125', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('239', 'combat_2hsword_support_02', 'combat_2hsword_support_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'combat_2hsword_support_01', ' ', 'combat_general', '85000', '240000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'twohandmelee_accuracy=20,private_twohandmelee_combat_difficulty=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('240', 'combat_2hsword_support_03', 'combat_2hsword_support_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'combat_2hsword_support_02', ' ', 'combat_general', '120000', '300000', ' ', '0', ' ', ' ', 'none', ' ', 'melee2hMindHit2,cert_2h_sword_scythe', 'private_twohandmelee_combat_difficulty=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('241', 'combat_2hsword_support_04', 'combat_2hsword_support_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'combat_2hsword_support_03', ' ', 'combat_general', '150000', '300000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'twohandmelee_accuracy=30,private_twohandmelee_combat_difficulty=125,counterattack=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('242', 'combat_polearm', 'combat', 'fourByFour', '0', '0', '1', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('243', 'combat_polearm_novice', 'combat_polearm', 'fourByFour', '0', '1', '0', '0', '5000', '6', '0', 'combat_brawler_polearm_04', ' ', 'combat_meleespecialize_polearm', '125000', '350000', ' ', '0', ' ', ' ', 'none', ' ', 'private_polearm_novice,polearmHit2,cert_lance_vibrolance', 'polearm_accuracy=20,polearm_speed=10,melee_defense=5,block=25,private_polearm_combat_difficulty=100,polearm_toughness=10,center_of_being_duration_polearm=5,polearm_center_of_being_efficacy=15', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('244', 'combat_polearm_master', 'combat_polearm', 'fourByFour', '0', '1', '0', '0', '10000', '1', '0', 'combat_polearm_accuracy_04,combat_polearm_speed_04,combat_polearm_ability_04,combat_polearm_support_04', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', 'private_polearm_master,polearmHit3,melee_damage_mitigation_3', 'polearm_accuracy=20,polearm_speed=10,melee_defense=15,ranged_defense=15,posture_change_down_defense=10,dizzy_defense=20,stun_defense=30,block=30,private_polearm_combat_difficulty=100,center_of_being_duration_polearm=5,polearm_center_of_being_efficacy=15', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('245', 'combat_polearm_accuracy_01', 'combat_polearm', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'combat_polearm_novice', ' ', 'combat_meleespecialize_polearm', '175000', '500000', ' ', '0', ' ', ' ', 'none', ' ', 'private_polearm_accuracy_1,polearmStun2', 'private_polearm_combat_difficulty=125', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('246', 'combat_polearm_accuracy_02', 'combat_polearm_accuracy_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'combat_polearm_accuracy_01', ' ', 'combat_meleespecialize_polearm', '250000', '700000', ' ', '0', ' ', ' ', 'none', ' ', 'private_polearm_accuracy_2,cert_lance_nightsister', 'polearm_speed=15,private_polearm_combat_difficulty=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('247', 'combat_polearm_accuracy_03', 'combat_polearm_accuracy_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'combat_polearm_accuracy_02', ' ', 'combat_meleespecialize_polearm', '350000', '900000', ' ', '0', ' ', ' ', 'none', ' ', 'private_polearm_accuracy_3,polearmSpinAttack2', 'private_polearm_combat_difficulty=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('248', 'combat_polearm_accuracy_04', 'combat_polearm_accuracy_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'combat_polearm_accuracy_03', ' ', 'combat_meleespecialize_polearm', '450000', '900000', ' ', '0', ' ', ' ', 'none', ' ', 'private_polearm_accuracy_4', 'polearm_speed=15,private_polearm_combat_difficulty=125', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('249', 'combat_polearm_speed_01', 'combat_polearm', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'combat_polearm_novice', ' ', 'combat_meleespecialize_polearm', '175000', '500000', ' ', '0', ' ', ' ', 'none', ' ', 'polearmLegHit2', 'private_polearm_combat_difficulty=125', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('250', 'combat_polearm_speed_02', 'combat_polearm_speed_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'combat_polearm_speed_01', ' ', 'combat_meleespecialize_polearm', '250000', '700000', ' ', '0', ' ', ' ', 'none', ' ', 'polearmArea1,cert', 'private_polearm_combat_difficulty=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('251', 'combat_polearm_speed_03', 'combat_polearm_speed_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'combat_polearm_speed_02', ' ', 'combat_meleespecialize_polearm', '350000', '900000', ' ', '0', ' ', ' ', 'none', ' ', 'polearmLegHit3', 'private_polearm_combat_difficulty=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('252', 'combat_polearm_speed_04', 'combat_polearm_speed_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'combat_polearm_speed_03', ' ', 'combat_meleespecialize_polearm', '450000', '900000', ' ', '0', ' ', ' ', 'none', ' ', 'polearmArea2', 'private_polearm_combat_difficulty=125', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('253', 'combat_polearm_ability_01', 'combat_polearm', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'combat_polearm_novice', ' ', 'combat_meleespecialize_polearm', '175000', '500000', ' ', '0', ' ', ' ', 'none', ' ', 'polearmSweep1,melee_damage_mitigation_1', 'private_polearm_combat_difficulty=125,block=15,center_of_being_duration_polearm=2,polearm_center_of_being_efficacy=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('254', 'combat_polearm_ability_02', 'combat_polearm_ability_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'combat_polearm_ability_01', ' ', 'combat_meleespecialize_polearm', '250000', '700000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'melee_defense=5,ranged_defense=5,knockdown_defense=10,posture_change_down_defense=10,dizzy_defense=10,stun_defense=10,blind_defense=10,private_polearm_combat_difficulty=100,block=15,center_of_being_duration_polearm=2,polearm_center_of_being_efficacy=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('255', 'combat_polearm_ability_03', 'combat_polearm_ability_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'combat_polearm_ability_02', ' ', 'combat_meleespecialize_polearm', '350000', '900000', ' ', '0', ' ', ' ', 'none', ' ', 'polearmSweep2,melee_damage_mitigation_2', 'private_polearm_combat_difficulty=100,block=15,center_of_being_duration_polearm=2,polearm_center_of_being_efficacy=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('256', 'combat_polearm_ability_04', 'combat_polearm_ability_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'combat_polearm_ability_03', ' ', 'combat_meleespecialize_polearm', '450000', '900000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'melee_defense=5,ranged_defense=5,knockdown_defense=10,posture_change_down_defense=10,dizzy_defense=10,stun_defense=10,blind_defense=10,block=15,private_polearm_combat_difficulty=125,polearm_toughness=4,center_of_being_duration_polearm=2,polearm_center_of_being_efficacy=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('257', 'combat_polearm_support_01', 'combat_polearm', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'combat_polearm_novice', ' ', 'combat_general', '60000', '170000', ' ', '0', ' ', ' ', 'none', ' ', 'polearmActionHit1', 'private_polearm_combat_difficulty=125,polearm_toughness=4', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('258', 'combat_polearm_support_02', 'combat_polearm_support_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'combat_polearm_support_01', ' ', 'combat_general', '85000', '240000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'polearm_accuracy=30,private_polearm_combat_difficulty=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('259', 'combat_polearm_support_03', 'combat_polearm_support_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'combat_polearm_support_02', ' ', 'combat_general', '120000', '300000', ' ', '0', ' ', ' ', 'none', ' ', 'polearmActionHit2', 'private_polearm_combat_difficulty=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('260', 'combat_polearm_support_04', 'combat_polearm_support_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'combat_polearm_support_03', ' ', 'combat_general', '150000', '300000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'polearm_accuracy=30,private_polearm_combat_difficulty=125', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('261', 'social_dancer', 'social', 'fourByFour', '0', '0', '1', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('262', 'social_dancer_novice', 'social_dancer', 'fourByFour', '0', '1', '0', '0', '5000', '6', '0', 'social_entertainer_dance_04,social_entertainer_healing_04', ' ', 'dance', '50000', '350000', ' ', '0', ' ', ' ', 'none', ' ', 'startDance+popular,startDance+poplock,registerWithLocation', 'healing_dance_ability=10,healing_dance_wound=5,healing_dance_shock=10,healing_dance_mind=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('263', 'social_dancer_master', 'social_dancer', 'fourByFour', '0', '1', '0', '0', '10000', '1', '0', 'social_dancer_ability_04,social_dancer_wound_04,social_dancer_knowledge_04,social_dancer_shock_04', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', 'startDance+lyrical2,startDance+exotic3,startDance+exotic4,place_cantina,place_theater', 'healing_dance_ability=10,healing_dance_wound=15,healing_dance_shock=25,healing_dance_mind=25,melee_defense=7,ranged_defense=7,private_place_cantina=100,private_place_theater=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('264', 'social_dancer_ability_01', 'social_dancer', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'social_dancer_novice', ' ', 'dance', '87500', '500000', ' ', '0', ' ', ' ', 'none', ' ', 'spotlight,colorlights,dazzle', 'healing_dance_mind=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('265', 'social_dancer_ability_02', 'social_dancer_ability_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'social_dancer_ability_01', ' ', 'dance', '125000', '700000', ' ', '0', ' ', ' ', 'none', ' ', 'distract', 'healing_dance_mind=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('266', 'social_dancer_ability_03', 'social_dancer_ability_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'social_dancer_ability_02', ' ', 'dance', '175000', '900000', ' ', '0', ' ', ' ', 'none', ' ', 'smokebomb', 'healing_dance_mind=20', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('267', 'social_dancer_ability_04', 'social_dancer_ability_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'social_dancer_ability_03', ' ', 'dance', '225000', '900000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'healing_dance_mind=25', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('268', 'social_dancer_wound_01', 'social_dancer', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'social_dancer_novice', ' ', 'entertainer_healing', '25000', '200000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'healing_dance_wound=5', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('269', 'social_dancer_wound_02', 'social_dancer_wound_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'social_dancer_wound_01', ' ', 'entertainer_healing', '50000', '400000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'healing_dance_wound=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('270', 'social_dancer_wound_03', 'social_dancer_wound_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'social_dancer_wound_02', ' ', 'entertainer_healing', '100000', '500000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'healing_dance_wound=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('271', 'social_dancer_wound_04', 'social_dancer_wound_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'social_dancer_wound_03', ' ', 'entertainer_healing', '125000', '500000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'healing_dance_wound=15', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('272', 'social_dancer_knowledge_01', 'social_dancer', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'social_dancer_novice', ' ', 'dance', '87500', '500000', ' ', '0', ' ', ' ', 'none', ' ', 'startDance+popular2,startDance+tumble', 'healing_dance_ability=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('273', 'social_dancer_knowledge_02', 'social_dancer_knowledge_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'social_dancer_knowledge_01', ' ', 'dance', '125000', '700000', ' ', '0', ' ', ' ', 'none', ' ', 'startDance+poplock2,startDance+tumble2', 'healing_dance_ability=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('274', 'social_dancer_knowledge_03', 'social_dancer_knowledge_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'social_dancer_knowledge_02', ' ', 'dance', '175000', '900000', ' ', '0', ' ', ' ', 'none', ' ', 'startDance+lyrical,startDance+breakdance', 'healing_dance_ability=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('275', 'social_dancer_knowledge_04', 'social_dancer_knowledge_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'social_dancer_knowledge_03', ' ', 'dance', '225000', '900000', ' ', '0', ' ', ' ', 'none', ' ', 'startDance+breakdance2,startDance+exotic,startDance+exotic2', 'healing_dance_ability=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('276', 'social_dancer_shock_01', 'social_dancer', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'social_dancer_novice', ' ', 'entertainer_healing', '25000', '200000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'healing_dance_shock=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('277', 'social_dancer_shock_02', 'social_dancer_shock_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'social_dancer_shock_01', ' ', 'entertainer_healing', '50000', '400000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'healing_dance_shock=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('278', 'social_dancer_shock_03', 'social_dancer_shock_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'social_dancer_shock_02', ' ', 'entertainer_healing', '100000', '500000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'healing_dance_shock=20', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('279', 'social_dancer_shock_04', 'social_dancer_shock_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'social_dancer_shock_03', ' ', 'entertainer_healing', '125000', '500000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'healing_dance_shock=25', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('280', 'social_musician', 'social', 'fourByFour', '0', '0', '1', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('281', 'social_musician_novice', 'social_musician', 'fourByFour', '0', '1', '0', '0', '5000', '6', '0', 'social_entertainer_music_04,social_entertainer_healing_04', ' ', 'music', '50000', '350000', ' ', '0', ' ', ' ', 'none', ' ', 'traz,registerWithLocation,startMusic+starwars4', 'healing_music_ability=5,healing_music_wound=5,healing_music_shock=10,healing_music_mind=10,instrument_assembly=10', 'craftInstrumentGroupC', ' ', '1', '0');
INSERT INTO `skills` VALUES ('282', 'social_musician_master', 'social_musician', 'fourByFour', '0', '1', '0', '0', '10000', '1', '0', 'social_musician_ability_04,social_musician_wound_04,social_musician_knowledge_04,social_musician_shock_04', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', 'startMusic+virtuoso,nalargon,place_cantina,place_theater', 'healing_music_ability=15,healing_music_wound=15,healing_music_shock=25,healing_music_mind=25,instrument_assembly=25,ranged_defense=7,melee_defense=7,private_place_cantina=100,private_place_theater=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('283', 'social_musician_ability_01', 'social_musician', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'social_musician_novice', ' ', 'music', '87500', '500000', ' ', '0', ' ', ' ', 'none', ' ', 'spotlight,colorlights,dazzle', 'instrument_assembly=10,healing_music_mind=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('284', 'social_musician_ability_02', 'social_musician_ability_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'social_musician_ability_01', ' ', 'music', '125000', '700000', ' ', '0', ' ', ' ', 'none', ' ', 'firejet', 'instrument_assembly=15,healing_music_mind=10', 'craftInstrumentGroupD', ' ', '1', '0');
INSERT INTO `skills` VALUES ('285', 'social_musician_ability_03', 'social_musician_ability_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'social_musician_ability_02', ' ', 'music', '175000', '900000', ' ', '0', ' ', ' ', 'none', ' ', 'ventriloquism', 'instrument_assembly=15,healing_music_mind=20', 'craftInstrumentGroupE', ' ', '1', '0');
INSERT INTO `skills` VALUES ('286', 'social_musician_ability_04', 'social_musician_ability_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'social_musician_ability_03', ' ', 'music', '225000', '900000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'instrument_assembly=25,healing_music_mind=25', 'craftInstrumentGroupF', ' ', '1', '0');
INSERT INTO `skills` VALUES ('287', 'social_musician_wound_01', 'social_musician', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'social_musician_novice', ' ', 'entertainer_healing', '25000', '200000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'healing_music_wound=5', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('288', 'social_musician_wound_02', 'social_musician_wound_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'social_musician_wound_01', ' ', 'entertainer_healing', '50000', '400000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'healing_music_wound=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('289', 'social_musician_wound_03', 'social_musician_wound_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'social_musician_wound_02', ' ', 'entertainer_healing', '100000', '500000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'healing_music_wound=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('290', 'social_musician_wound_04', 'social_musician_wound_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'social_musician_wound_03', ' ', 'entertainer_healing', '125000', '500000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'healing_music_wound=15', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('291', 'social_musician_knowledge_01', 'social_musician', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'social_musician_novice', ' ', 'music', '87500', '500000', ' ', '0', ' ', ' ', 'none', ' ', 'startMusic+ballad', 'healing_music_ability=5', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('292', 'social_musician_knowledge_02', 'social_musician_knowledge_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'social_musician_knowledge_01', ' ', 'music', '125000', '700000', ' ', '0', ' ', ' ', 'none', ' ', 'bandfill,startMusic+funk', 'healing_music_ability=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('293', 'social_musician_knowledge_03', 'social_musician_knowledge_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'social_musician_knowledge_02', ' ', 'music', '175000', '900000', ' ', '0', ' ', ' ', 'none', ' ', 'startMusic+waltz,flutedroopy', 'healing_music_ability=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('294', 'social_musician_knowledge_04', 'social_musician_knowledge_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'social_musician_knowledge_03', ' ', 'music', '225000', '900000', ' ', '0', ' ', ' ', 'none', ' ', 'startMusic+jazz,omnibox', 'healing_music_ability=15', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('295', 'social_musician_shock_01', 'social_musician', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'social_musician_novice', ' ', 'entertainer_healing', '25000', '200000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'healing_music_shock=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('296', 'social_musician_shock_02', 'social_musician_shock_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'social_musician_shock_01', ' ', 'entertainer_healing', '50000', '400000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'healing_music_shock=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('297', 'social_musician_shock_03', 'social_musician_shock_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'social_musician_shock_02', ' ', 'entertainer_healing', '100000', '500000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'healing_music_shock=20', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('298', 'social_musician_shock_04', 'social_musician_shock_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'social_musician_shock_03', ' ', 'entertainer_healing', '125000', '500000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'healing_music_shock=25', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('299', 'science_doctor', 'science', 'fourByFour', '0', '0', '1', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('300', 'science_doctor_novice', 'science_doctor', 'fourByFour', '0', '1', '0', '0', '5000', '6', '0', 'science_medic_master', ' ', 'medical', '11250', '20000', ' ', '0', ' ', ' ', 'none', ' ', 'healState,registerWithLocation', 'healing_wound_treatment=5,healing_wound_speed=5,medicine_assembly=10,medicine_experimentation=10,healing_ability=5', 'craftCurePoisonGroupA,craftStimpackStateGroupA', ' ', '1', '0');
INSERT INTO `skills` VALUES ('301', 'science_doctor_master', 'science_doctor', 'fourByFour', '0', '1', '0', '0', '10000', '1', '0', 'science_doctor_wound_speed_04,science_doctor_wound_04,science_doctor_ability_04,science_doctor_support_04', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', 'place_hospital', 'healing_wound_treatment=25,healing_wound_speed=25,healing_ability=10,private_place_hospital=100', 'craftMedpackGroupE,craftMedpackBGroupE,craftCureDiseaseGroupC,craftMedpackBEnhanceGroupD', ' ', '1', '0');
INSERT INTO `skills` VALUES ('302', 'science_doctor_wound_speed_01', 'science_doctor', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'science_doctor_novice', ' ', 'medical', '15000', '40000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'healing_wound_speed=15', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('303', 'science_doctor_wound_speed_02', 'science_doctor_wound_speed_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'science_doctor_wound_speed_01', ' ', 'medical', '30000', '60000', ' ', '0', ' ', ' ', 'none', ' ', 'curePoison', 'healing_wound_speed=15', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('304', 'science_doctor_wound_speed_03', 'science_doctor_wound_speed_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'science_doctor_wound_speed_02', ' ', 'medical', '45000', '80000', ' ', '0', ' ', ' ', 'none', ' ', 'extinguishFire', 'healing_wound_speed=15', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('305', 'science_doctor_wound_speed_04', 'science_doctor_wound_speed_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'science_doctor_wound_speed_03', ' ', 'medical', '60000', '80000', ' ', '0', ' ', ' ', 'none', ' ', 'cureDisease', 'healing_wound_speed=25', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('306', 'science_doctor_wound_01', 'science_doctor', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'science_doctor_novice', ' ', 'medical', '15000', '40000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'healing_wound_treatment=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('307', 'science_doctor_wound_02', 'science_doctor_wound_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'science_doctor_wound_01', ' ', 'medical', '30000', '60000', ' ', '0', ' ', ' ', 'none', ' ', 'healEnhance', 'healing_wound_treatment=15', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('308', 'science_doctor_wound_03', 'science_doctor_wound_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'science_doctor_wound_02', ' ', 'medical', '45000', '80000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'healing_wound_treatment=15', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('309', 'science_doctor_wound_04', 'science_doctor_wound_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'science_doctor_wound_03', ' ', 'medical', '60000', '80000', ' ', '0', ' ', ' ', 'none', ' ', 'revivePlayer', 'healing_wound_treatment=25', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('310', 'science_doctor_ability_01', 'science_doctor', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'science_doctor_novice', ' ', 'medical', '15000', '40000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'healing_ability=5', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('311', 'science_doctor_ability_02', 'science_doctor_ability_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'science_doctor_ability_01', ' ', 'medical', '30000', '60000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'healing_ability=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('312', 'science_doctor_ability_03', 'science_doctor_ability_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'science_doctor_ability_02', ' ', 'medical', '45000', '80000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'healing_ability=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('313', 'science_doctor_ability_04', 'science_doctor_ability_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'science_doctor_ability_03', ' ', 'medical', '60000', '80000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'healing_ability=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('314', 'science_doctor_support_01', 'science_doctor', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'science_doctor_novice', ' ', 'crafting_medicine_general', '15000', '28000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'medicine_assembly=10,medicine_experimentation=10', 'craftCureDiseaseGroupA,craftMedpackEnhanceGroupA,craftStimpackStateGroupB', ' ', '1', '0');
INSERT INTO `skills` VALUES ('315', 'science_doctor_support_02', 'science_doctor_support_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'science_doctor_support_01', ' ', 'crafting_medicine_general', '21000', '36000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'medicine_assembly=10,medicine_experimentation=10', 'craftMedpackGroupC,craftCurePoisonGroupB,craftMedpackEnhanceGroupB,craftMedpackBEnhanceGroupA', ' ', '1', '0');
INSERT INTO `skills` VALUES ('316', 'science_doctor_support_03', 'science_doctor_support_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'science_doctor_support_02', ' ', 'crafting_medicine_general', '27000', '44000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'medicine_assembly=10,medicine_experimentation=10', 'craftMedicineStimpackGroupE,craftMedpackBGroupC,craftCureDiseaseGroupB,craftMedpackEnhanceGroupC,craftMedpackBEnhanceGroupB', ' ', '1', '0');
INSERT INTO `skills` VALUES ('317', 'science_doctor_support_04', 'science_doctor_support_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'science_doctor_support_03', ' ', 'crafting_medicine_general', '33000', '44000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'medicine_assembly=10,medicine_experimentation=10', 'craftMedpackGroupD,craftMedpackBGroupD,craftCurePoisonGroupC,craftMedpackEnhanceGroupD,craftMedpackBEnhanceGroupC', ' ', '1', '0');
INSERT INTO `skills` VALUES ('318', 'outdoors_ranger', 'outdoors', 'fourByFour', '0', '0', '1', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('319', 'outdoors_ranger_novice', 'outdoors_ranger', 'fourByFour', '0', '1', '0', '0', '5000', '6', '0', 'outdoors_scout_master', ' ', 'scout', '15000', '30000', ' ', '0', ' ', ' ', 'none', ' ', 'areatrack,areatrack_animal', 'slope_move=5,camp=5,foraging=5,creature_knowledge=5,creature_harvesting=5,private_areatrack=10', 'craftRangerCampGroupA', ' ', '1', '0');
INSERT INTO `skills` VALUES ('320', 'outdoors_ranger_master', 'outdoors_ranger', 'fourByFour', '0', '1', '0', '0', '10000', '1', '0', 'outdoors_ranger_movement_04,outdoors_ranger_tracking_04,outdoors_ranger_harvest_04,outdoors_ranger_support_04', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'camouflage=20,camp=5,foraging=5,creature_knowledge=10,creature_harvesting=10,trapping=10,rescue=10,ranged_defense=10,melee_defense=10', 'craftRangerCamoGroupMaster', ' ', '1', '0');
INSERT INTO `skills` VALUES ('321', 'outdoors_ranger_movement_01', 'outdoors_ranger', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'outdoors_ranger_novice', ' ', 'scout', '20000', '40000', ' ', '0', ' ', ' ', 'none', ' ', 'conceal', 'camouflage=40', 'craftRangerCamoGroupA', ' ', '1', '0');
INSERT INTO `skills` VALUES ('322', 'outdoors_ranger_movement_02', 'outdoors_ranger_movement_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'outdoors_ranger_movement_01', ' ', 'scout', '30000', '80000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'slope_move=20,burst_run=10', 'craftRangerCamoGroupB', ' ', '1', '0');
INSERT INTO `skills` VALUES ('323', 'outdoors_ranger_movement_03', 'outdoors_ranger_movement_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'outdoors_ranger_movement_02', ' ', 'scout', '50000', '120000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'camouflage=40', 'craftRangerCamoGroupC', ' ', '1', '0');
INSERT INTO `skills` VALUES ('324', 'outdoors_ranger_movement_04', 'outdoors_ranger_movement_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'outdoors_ranger_movement_03', ' ', 'scout', '70000', '160000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'slope_move=20,burst_run=10', 'craftRangerCamoGroupD', ' ', '1', '0');
INSERT INTO `skills` VALUES ('325', 'outdoors_ranger_tracking_01', 'outdoors_ranger', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'outdoors_ranger_novice', ' ', 'camp', '20000', '40000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'camp=10,foraging=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('326', 'outdoors_ranger_tracking_02', 'outdoors_ranger_tracking_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'outdoors_ranger_tracking_01', ' ', 'camp', '30000', '80000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'camp=10,foraging=10', 'craftRangerCampGroupB', ' ', '1', '0');
INSERT INTO `skills` VALUES ('327', 'outdoors_ranger_tracking_03', 'outdoors_ranger_tracking_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'outdoors_ranger_tracking_02', ' ', 'camp', '40000', '120000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'camp=10,foraging=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('328', 'outdoors_ranger_tracking_04', 'outdoors_ranger_tracking_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'outdoors_ranger_tracking_03', ' ', 'camp', '60000', '160000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'camp=10,foraging=10', 'craftRangerCampGroupC', ' ', '1', '0');
INSERT INTO `skills` VALUES ('329', 'outdoors_ranger_harvest_01', 'outdoors_ranger', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'outdoors_ranger_novice', ' ', 'scout', '20000', '40000', ' ', '0', ' ', ' ', 'none', ' ', 'areatrack_direction', 'creature_knowledge=5,creature_harvesting=5,private_areatrack=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('330', 'outdoors_ranger_harvest_02', 'outdoors_ranger_harvest_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'outdoors_ranger_harvest_01', ' ', 'scout', '30000', '80000', ' ', '0', ' ', ' ', 'none', ' ', 'areatrack_npc', 'creature_knowledge=10,creature_harvesting=10,creature_hit_bonus=10,private_areatrack=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('331', 'outdoors_ranger_harvest_03', 'outdoors_ranger_harvest_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'outdoors_ranger_harvest_02', ' ', 'scout', '50000', '120000', ' ', '0', ' ', ' ', 'none', ' ', 'areatrack_distance', 'creature_knowledge=10,creature_harvesting=10,private_areatrack=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('332', 'outdoors_ranger_harvest_04', 'outdoors_ranger_harvest_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'outdoors_ranger_harvest_03', ' ', 'scout', '70000', '160000', ' ', '0', ' ', ' ', 'none', ' ', 'areatrack_player', 'creature_knowledge=10,creature_harvesting=10,creature_hit_bonus=5,private_areatrack=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('333', 'outdoors_ranger_support_01', 'outdoors_ranger', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'outdoors_ranger_novice', ' ', 'trapping', '20000', '40000', ' ', '0', ' ', ' ', 'none', ' ', 'rescue', 'trapping=10,rescue=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('334', 'outdoors_ranger_support_02', 'outdoors_ranger_support_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'outdoors_ranger_support_01', ' ', 'trapping', '30000', '80000', ' ', '0', ' ', ' ', 'none', ' ', 'throwFlashBomb', 'trapping=10,rescue=10', 'craftRangerTrapGroupA', ' ', '1', '0');
INSERT INTO `skills` VALUES ('335', 'outdoors_ranger_support_03', 'outdoors_ranger_support_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'outdoors_ranger_support_02', ' ', 'trapping', '50000', '120000', ' ', '0', ' ', ' ', 'none', ' ', 'throwSonicPulse', 'trapping=10,rescue=10', 'craftRangerTrapGroupB', ' ', '1', '0');
INSERT INTO `skills` VALUES ('336', 'outdoors_ranger_support_04', 'outdoors_ranger_support_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'outdoors_ranger_support_03', ' ', 'trapping', '70000', '160000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'trapping=10,rescue=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('337', 'outdoors_creaturehandler', 'outdoors', 'fourByFour', '0', '0', '1', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('338', 'outdoors_creaturehandler_novice', 'outdoors_creaturehandler', 'fourByFour', '0', '1', '0', '0', '5000', '6', '0', 'outdoors_scout_movement_04,outdoors_scout_harvest_04', ' ', 'scout', '17500', '25000', ' ', '0', ' ', ' ', 'none', ' ', 'pet_follow,pet_release,pet_attack,tame', 'stored_pets=4,keep_creature=1,tame_non_aggro=5,tame_level=12', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('339', 'outdoors_creaturehandler_master', 'outdoors_creaturehandler', 'fourByFour', '0', '1', '0', '0', '10000', '1', '0', 'outdoors_creaturehandler_taming_04,outdoors_creaturehandler_training_04,outdoors_creaturehandler_healing_04,outdoors_creaturehandler_support_04', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', 'pet_transfer,pet_rangedattack', 'keep_creature=1,tame_non_aggro=5,tame_aggro=15,private_creature_empathy=10,private_creature_training=10,private_creature_management=10,tame_level=10,stored_pets=4', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('340', 'outdoors_creaturehandler_taming_01', 'outdoors_creaturehandler', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'outdoors_creaturehandler_novice', ' ', 'creaturehandler', '17500', '60000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'tame_non_aggro=5,tame_level=2', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('341', 'outdoors_creaturehandler_taming_02', 'outdoors_creaturehandler_taming_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'outdoors_creaturehandler_taming_01', ' ', 'creaturehandler', '52500', '100000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'tame_non_aggro=5,tame_aggro=10,tame_level=2', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('342', 'outdoors_creaturehandler_taming_03', 'outdoors_creaturehandler_taming_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'outdoors_creaturehandler_taming_02', ' ', 'creaturehandler', '87500', '160000', ' ', '0', ' ', ' ', 'none', ' ', 'pet_specialattack1', 'tame_non_aggro=5,tame_aggro=10,tame_level=3', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('343', 'outdoors_creaturehandler_taming_04', 'outdoors_creaturehandler_taming_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'outdoors_creaturehandler_taming_03', ' ', 'creaturehandler', '140000', '160000', ' ', '0', ' ', ' ', 'none', ' ', 'pet_specialattack2', 'tame_non_aggro=5,tame_aggro=15,tame_level=5', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('344', 'outdoors_creaturehandler_training_01', 'outdoors_creaturehandler', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'outdoors_creaturehandler_novice', ' ', 'creaturehandler', '17500', '60000', ' ', '0', ' ', ' ', 'none', ' ', 'pet_stay', 'private_creature_training=10,tame_level=2,stored_pets=2,tame_non_aggro=5', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('345', 'outdoors_creaturehandler_training_02', 'outdoors_creaturehandler_training_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'outdoors_creaturehandler_training_01', ' ', 'creaturehandler', '52500', '100000', ' ', '0', ' ', ' ', 'none', ' ', 'pet_guard', 'stored_pets=3,private_creature_training=10,tame_level=2,tame_non_aggro=5', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('346', 'outdoors_creaturehandler_training_03', 'outdoors_creaturehandler_training_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'outdoors_creaturehandler_training_02', ' ', 'creaturehandler', '87500', '160000', ' ', '0', ' ', ' ', 'none', ' ', 'pet_patrol', 'private_creature_training=10,tame_level=3,stored_pets=3,tame_non_aggro=5', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('347', 'outdoors_creaturehandler_training_04', 'outdoors_creaturehandler_training_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'outdoors_creaturehandler_training_03', ' ', 'creaturehandler', '140000', '160000', ' ', '0', ' ', ' ', 'none', ' ', 'pet_formation', 'stored_pets=4,private_creature_training=10,tame_level=5,tame_non_aggro=5', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('348', 'outdoors_creaturehandler_healing_01', 'outdoors_creaturehandler', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'outdoors_creaturehandler_novice', ' ', 'creaturehandler', '17500', '60000', ' ', '0', ' ', ' ', 'none', ' ', 'trick1', 'private_creature_empathy=10,tame_level=2,tame_non_aggro=5', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('349', 'outdoors_creaturehandler_healing_02', 'outdoors_creaturehandler_healing_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'outdoors_creaturehandler_healing_01', ' ', 'creaturehandler', '52500', '100000', ' ', '0', ' ', ' ', 'none', ' ', 'emboldenpets', 'private_creature_empathy=10,tame_level=2,tame_non_aggro=5', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('350', 'outdoors_creaturehandler_healing_03', 'outdoors_creaturehandler_healing_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'outdoors_creaturehandler_healing_02', ' ', 'creaturehandler', '87500', '160000', ' ', '0', ' ', ' ', 'none', ' ', 'trick2', 'private_creature_empathy=10,tame_level=3,tame_non_aggro=5', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('351', 'outdoors_creaturehandler_healing_04', 'outdoors_creaturehandler_healing_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'outdoors_creaturehandler_healing_03', ' ', 'creaturehandler', '140000', '160000', ' ', '0', ' ', ' ', 'none', ' ', 'enragepets', 'private_creature_empathy=10,tame_level=5,tame_non_aggro=5', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('352', 'outdoors_creaturehandler_support_01', 'outdoors_creaturehandler', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'outdoors_creaturehandler_novice', ' ', 'creaturehandler', '17500', '60000', ' ', '0', ' ', ' ', 'none', ' ', 'pet_group', 'private_creature_management=10,tame_level=2,tame_non_aggro=5', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('353', 'outdoors_creaturehandler_support_02', 'outdoors_creaturehandler_support_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'outdoors_creaturehandler_support_01', ' ', 'creaturehandler', '52500', '100000', ' ', '0', ' ', ' ', 'none', ' ', 'pet_followother', 'private_creature_management=10,tame_level=2,tame_non_aggro=5', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('354', 'outdoors_creaturehandler_support_03', 'outdoors_creaturehandler_support_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'outdoors_creaturehandler_support_02', ' ', 'creaturehandler', '87500', '160000', ' ', '0', ' ', ' ', 'none', ' ', 'pet_friend', 'keep_creature=1,private_creature_management=10,tame_level=3,tame_non_aggro=5', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('355', 'outdoors_creaturehandler_support_04', 'outdoors_creaturehandler_support_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'outdoors_creaturehandler_support_03', ' ', 'creaturehandler', '140000', '160000', ' ', '0', ' ', ' ', 'none', ' ', 'train_mount', 'private_creature_management=10,tame_level=5,tame_non_aggro=5', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('356', 'outdoors_bio_engineer', 'outdoors', 'fourByFour', '0', '0', '1', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('357', 'outdoors_bio_engineer_novice', 'outdoors_bio_engineer', 'fourByFour', '0', '1', '0', '0', '5000', '6', '0', 'outdoors_scout_harvest_04,science_medic_crafting_04', ' ', 'crafting_medicine_general', '10000', '40000', ' ', '0', ' ', ' ', 'none', ' ', 'sampleDNA', 'bio_engineer_assembly=10,bio_engineer_experimentation=10,dna_harvesting=15', 'craftBasicTissueGroup,craftBasicCreatureGroup', ' ', '1', '0');
INSERT INTO `skills` VALUES ('358', 'outdoors_bio_engineer_master', 'outdoors_bio_engineer', 'fourByFour', '0', '1', '0', '0', '10000', '1', '0', 'outdoors_bio_engineer_creature_04,outdoors_bio_engineer_tissue_04,outdoors_bio_engineer_dna_harvesting_04,outdoors_bio_engineer_production_04', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'bio_engineer_assembly=25,bio_engineer_experimentation=25,dna_harvesting=25', 'craftAdvancedTissueGroup,craftAdvancedCreatureGroup', ' ', '1', '0');
INSERT INTO `skills` VALUES ('359', 'outdoors_bio_engineer_creature_01', 'outdoors_bio_engineer', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'outdoors_bio_engineer_novice', ' ', 'crafting_bio_engineer_creature', '10000', '60000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftDomesticCreatureGroupA', ' ', '1', '0');
INSERT INTO `skills` VALUES ('360', 'outdoors_bio_engineer_creature_02', 'outdoors_bio_engineer_creature_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'outdoors_bio_engineer_creature_01', ' ', 'crafting_bio_engineer_creature', '30000', '100000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftAggressiveCreatureGroupA', ' ', '1', '0');
INSERT INTO `skills` VALUES ('361', 'outdoors_bio_engineer_creature_03', 'outdoors_bio_engineer_creature_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'outdoors_bio_engineer_creature_02', ' ', 'crafting_bio_engineer_creature', '50000', '160000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftDomesticCreatureGroupB', ' ', '1', '0');
INSERT INTO `skills` VALUES ('362', 'outdoors_bio_engineer_creature_04', 'outdoors_bio_engineer_creature_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'outdoors_bio_engineer_creature_03', ' ', 'crafting_bio_engineer_creature', '80000', '160000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftAggressiveCreatureGroupB', ' ', '1', '0');
INSERT INTO `skills` VALUES ('363', 'outdoors_bio_engineer_tissue_01', 'outdoors_bio_engineer', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'outdoors_bio_engineer_novice', ' ', 'crafting_bio_engineer_creature', '10000', '60000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftTissueGroupA', ' ', '1', '0');
INSERT INTO `skills` VALUES ('364', 'outdoors_bio_engineer_tissue_02', 'outdoors_bio_engineer_tissue_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'outdoors_bio_engineer_tissue_01', ' ', 'crafting_bio_engineer_creature', '30000', '100000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftTissueGroupB', ' ', '1', '0');
INSERT INTO `skills` VALUES ('365', 'outdoors_bio_engineer_tissue_03', 'outdoors_bio_engineer_tissue_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'outdoors_bio_engineer_tissue_02', ' ', 'crafting_bio_engineer_creature', '50000', '160000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftTissueGroupC', ' ', '1', '0');
INSERT INTO `skills` VALUES ('366', 'outdoors_bio_engineer_tissue_04', 'outdoors_bio_engineer_tissue_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'outdoors_bio_engineer_tissue_03', ' ', 'crafting_bio_engineer_creature', '80000', '160000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftTissueGroupD', ' ', '1', '0');
INSERT INTO `skills` VALUES ('367', 'outdoors_bio_engineer_dna_harvesting_01', 'outdoors_bio_engineer', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'outdoors_bio_engineer_novice', ' ', 'bio_engineer_dna_harvesting', '10000', '60000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'dna_harvesting=15', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('368', 'outdoors_bio_engineer_dna_harvesting_02', 'outdoors_bio_engineer_dna_harvesting_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'outdoors_bio_engineer_dna_harvesting_01', ' ', 'bio_engineer_dna_harvesting', '30000', '100000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'dna_harvesting=15', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('369', 'outdoors_bio_engineer_dna_harvesting_03', 'outdoors_bio_engineer_dna_harvesting_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'outdoors_bio_engineer_dna_harvesting_02', ' ', 'bio_engineer_dna_harvesting', '50000', '160000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'dna_harvesting=15', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('370', 'outdoors_bio_engineer_dna_harvesting_04', 'outdoors_bio_engineer_dna_harvesting_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'outdoors_bio_engineer_dna_harvesting_03', ' ', 'bio_engineer_dna_harvesting', '80000', '160000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'dna_harvesting=15', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('371', 'outdoors_bio_engineer_production_01', 'outdoors_bio_engineer', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'outdoors_bio_engineer_novice', ' ', 'crafting_bio_engineer_creature', '10000', '60000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'bio_engineer_assembly=10,bio_engineer_experimentation=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('372', 'outdoors_bio_engineer_production_02', 'outdoors_bio_engineer_production_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'outdoors_bio_engineer_production_01', ' ', 'crafting_bio_engineer_creature', '30000', '100000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'bio_engineer_assembly=15,bio_engineer_experimentation=15', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('373', 'outdoors_bio_engineer_production_03', 'outdoors_bio_engineer_production_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'outdoors_bio_engineer_production_02', ' ', 'crafting_bio_engineer_creature', '50000', '160000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'bio_engineer_assembly=15,bio_engineer_experimentation=15', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('374', 'outdoors_bio_engineer_production_04', 'outdoors_bio_engineer_production_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'outdoors_bio_engineer_production_03', ' ', 'crafting_bio_engineer_creature', '80000', '160000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'bio_engineer_assembly=25,bio_engineer_experimentation=25', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('375', 'crafting_armorsmith', 'crafting', 'fourByFour', '0', '0', '1', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('376', 'crafting_armorsmith_novice', 'crafting_armorsmith', 'fourByFour', '0', '1', '0', '0', '5000', '6', '0', 'crafting_artisan_engineering_04', ' ', 'crafting_general', '16800', '40000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'armor_assembly=10,armor_experimentation=10,armor_customization=20', 'craftArmorPersonalGroupA', ' ', '1', '0');
INSERT INTO `skills` VALUES ('377', 'crafting_armorsmith_master', 'crafting_armorsmith', 'fourByFour', '0', '1', '0', '0', '10000', '1', '0', 'crafting_armorsmith_personal_04,crafting_armorsmith_heavy_04,crafting_armorsmith_deflectors_04,crafting_armorsmith_complexity_04', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'armor_assembly=25,armor_experimentation=25,armor_customization=55', 'craftArmorLightLayersGroupE,craftArmorPersonalGroupF', ' ', '1', '0');
INSERT INTO `skills` VALUES ('378', 'crafting_armorsmith_personal_01', 'crafting_armorsmith', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'crafting_armorsmith_novice', ' ', 'crafting_clothing_armor', '28000', '56000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftArmorPersonalGroupB', ' ', '1', '0');
INSERT INTO `skills` VALUES ('379', 'crafting_armorsmith_personal_02', 'crafting_armorsmith_personal_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'crafting_armorsmith_personal_01', ' ', 'crafting_clothing_armor', '39200', '72000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftArmorPersonalGroupC', ' ', '1', '0');
INSERT INTO `skills` VALUES ('380', 'crafting_armorsmith_personal_03', 'crafting_armorsmith_personal_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'crafting_armorsmith_personal_02', ' ', 'crafting_clothing_armor', '50400', '100000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftArmorPersonalGroupD', ' ', '1', '0');
INSERT INTO `skills` VALUES ('381', 'crafting_armorsmith_personal_04', 'crafting_armorsmith_personal_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'crafting_armorsmith_personal_03', ' ', 'crafting_clothing_armor', '61600', '120000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftArmorPersonalGroupE', ' ', '1', '0');
INSERT INTO `skills` VALUES ('382', 'crafting_armorsmith_heavy_01', 'crafting_armorsmith', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'crafting_armorsmith_novice', ' ', 'crafting_clothing_armor', '28000', '56000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftArmorLightLayersGroupA', ' ', '1', '0');
INSERT INTO `skills` VALUES ('383', 'crafting_armorsmith_heavy_02', 'crafting_armorsmith_heavy_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'crafting_armorsmith_heavy_01', ' ', 'crafting_clothing_armor', '39200', '72000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftArmorLightLayersGroupB', ' ', '1', '0');
INSERT INTO `skills` VALUES ('384', 'crafting_armorsmith_heavy_03', 'crafting_armorsmith_heavy_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'crafting_armorsmith_heavy_02', ' ', 'crafting_clothing_armor', '50400', '100000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftArmorLightLayersGroupC', ' ', '1', '0');
INSERT INTO `skills` VALUES ('385', 'crafting_armorsmith_heavy_04', 'crafting_armorsmith_heavy_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'crafting_armorsmith_heavy_03', ' ', 'crafting_clothing_armor', '61600', '120000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftArmorLightLayersGroupD', ' ', '1', '0');
INSERT INTO `skills` VALUES ('386', 'crafting_armorsmith_deflectors_01', 'crafting_armorsmith', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'crafting_armorsmith_novice', ' ', 'crafting_clothing_armor', '28000', '56000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftArmorShieldsGroupA', ' ', '1', '0');
INSERT INTO `skills` VALUES ('387', 'crafting_armorsmith_deflectors_02', 'crafting_armorsmith_deflectors_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'crafting_armorsmith_deflectors_01', ' ', 'crafting_clothing_armor', '39200', '72000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftArmorShieldsGroupB', ' ', '1', '0');
INSERT INTO `skills` VALUES ('388', 'crafting_armorsmith_deflectors_03', 'crafting_armorsmith_deflectors_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'crafting_armorsmith_deflectors_02', ' ', 'crafting_clothing_armor', '50400', '100000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftArmorShieldsGroupC', ' ', '1', '0');
INSERT INTO `skills` VALUES ('389', 'crafting_armorsmith_deflectors_04', 'crafting_armorsmith_deflectors_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'crafting_armorsmith_deflectors_03', ' ', 'crafting_clothing_armor', '61600', '120000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftArmorShieldsGroupD', ' ', '1', '0');
INSERT INTO `skills` VALUES ('390', 'crafting_armorsmith_complexity_01', 'crafting_armorsmith', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'crafting_armorsmith_novice', ' ', 'crafting_clothing_armor', '28000', '56000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'armor_assembly=10,armor_experimentation=10,armor_customization=20', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('391', 'crafting_armorsmith_complexity_02', 'crafting_armorsmith_complexity_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'crafting_armorsmith_complexity_01', ' ', 'crafting_clothing_armor', '39200', '72000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'armor_assembly=15,armor_experimentation=15,armor_customization=20', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('392', 'crafting_armorsmith_complexity_03', 'crafting_armorsmith_complexity_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'crafting_armorsmith_complexity_02', ' ', 'crafting_clothing_armor', '50400', '100000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'armor_assembly=20,armor_experimentation=20,armor_customization=20', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('393', 'crafting_armorsmith_complexity_04', 'crafting_armorsmith_complexity_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'crafting_armorsmith_complexity_03', ' ', 'crafting_clothing_armor', '61600', '120000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'armor_assembly=20,armor_experimentation=20,armor_customization=20', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('394', 'crafting_weaponsmith', 'crafting', 'fourByFour', '0', '0', '1', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('395', 'crafting_weaponsmith_novice', 'crafting_weaponsmith', 'fourByFour', '0', '1', '0', '0', '5000', '6', '0', 'crafting_artisan_engineering_04', ' ', 'crafting_general', '21000', '40000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'weapon_assembly=10,weapon_experimentation=10', 'craftWeaponMeleeGroupA,craftWeaponRangedGroupA,craftMunitionsGroupA', ' ', '1', '0');
INSERT INTO `skills` VALUES ('396', 'crafting_weaponsmith_master', 'crafting_weaponsmith', 'fourByFour', '0', '1', '0', '0', '10000', '1', '0', 'crafting_weaponsmith_melee_04,crafting_weaponsmith_firearms_04,crafting_weaponsmith_munitions_04,crafting_weaponsmith_techniques_04', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'weapon_assembly=25,weapon_experimentation=25', 'craftWeaponRangedGroupF,craftMunitionsGroupF,craftWeaponMeleeGroupF', ' ', '1', '0');
INSERT INTO `skills` VALUES ('397', 'crafting_weaponsmith_melee_01', 'crafting_weaponsmith', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'crafting_weaponsmith_novice', ' ', 'crafting_weapons_general', '35000', '56000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftWeaponMeleeGroupB', ' ', '1', '0');
INSERT INTO `skills` VALUES ('398', 'crafting_weaponsmith_melee_02', 'crafting_weaponsmith_melee_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'crafting_weaponsmith_melee_01', ' ', 'crafting_weapons_general', '49000', '72000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftWeaponMeleeGroupC', ' ', '1', '0');
INSERT INTO `skills` VALUES ('399', 'crafting_weaponsmith_melee_03', 'crafting_weaponsmith_melee_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'crafting_weaponsmith_melee_02', ' ', 'crafting_weapons_general', '63000', '100000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftWeaponMeleeGroupD', ' ', '1', '0');
INSERT INTO `skills` VALUES ('400', 'crafting_weaponsmith_melee_04', 'crafting_weaponsmith_melee_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'crafting_weaponsmith_melee_03', ' ', 'crafting_weapons_general', '77000', '120000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftWeaponMeleeGroupE', ' ', '1', '0');
INSERT INTO `skills` VALUES ('401', 'crafting_weaponsmith_firearms_01', 'crafting_weaponsmith', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'crafting_weaponsmith_novice', ' ', 'crafting_weapons_general', '35000', '56000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftWeaponRangedGroupB', ' ', '1', '0');
INSERT INTO `skills` VALUES ('402', 'crafting_weaponsmith_firearms_02', 'crafting_weaponsmith_firearms_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'crafting_weaponsmith_firearms_01', ' ', 'crafting_weapons_general', '49000', '72000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftWeaponRangedGroupC', ' ', '1', '0');
INSERT INTO `skills` VALUES ('403', 'crafting_weaponsmith_firearms_03', 'crafting_weaponsmith_firearms_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'crafting_weaponsmith_firearms_02', ' ', 'crafting_weapons_general', '63000', '100000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftWeaponRangedGroupD', ' ', '1', '0');
INSERT INTO `skills` VALUES ('404', 'crafting_weaponsmith_firearms_04', 'crafting_weaponsmith_firearms_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'crafting_weaponsmith_firearms_03', ' ', 'crafting_weapons_general', '77000', '120000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftWeaponRangedGroupE', ' ', '1', '0');
INSERT INTO `skills` VALUES ('405', 'crafting_weaponsmith_munitions_01', 'crafting_weaponsmith', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'crafting_weaponsmith_novice', ' ', 'crafting_weapons_general', '35000', '56000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftMunitionsGroupB', ' ', '1', '0');
INSERT INTO `skills` VALUES ('406', 'crafting_weaponsmith_munitions_02', 'crafting_weaponsmith_munitions_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'crafting_weaponsmith_munitions_01', ' ', 'crafting_weapons_general', '49000', '72000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftMunitionsGroupC', ' ', '1', '0');
INSERT INTO `skills` VALUES ('407', 'crafting_weaponsmith_munitions_03', 'crafting_weaponsmith_munitions_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'crafting_weaponsmith_munitions_02', ' ', 'crafting_weapons_general', '63000', '100000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftMunitionsGroupD', ' ', '1', '0');
INSERT INTO `skills` VALUES ('408', 'crafting_weaponsmith_munitions_04', 'crafting_weaponsmith_munitions_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'crafting_weaponsmith_munitions_03', ' ', 'crafting_weapons_general', '77000', '120000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftMunitionsGroupE', ' ', '1', '0');
INSERT INTO `skills` VALUES ('409', 'crafting_weaponsmith_techniques_01', 'crafting_weaponsmith', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'crafting_weaponsmith_novice', ' ', 'crafting_weapons_general', '35000', '56000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'weapon_assembly=10,weapon_experimentation=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('410', 'crafting_weaponsmith_techniques_02', 'crafting_weaponsmith_techniques_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'crafting_weaponsmith_techniques_01', ' ', 'crafting_weapons_general', '49000', '72000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'weapon_assembly=15,weapon_experimentation=15', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('411', 'crafting_weaponsmith_techniques_03', 'crafting_weaponsmith_techniques_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'crafting_weaponsmith_techniques_02', ' ', 'crafting_weapons_general', '63000', '100000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'weapon_assembly=20,weapon_experimentation=20', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('412', 'crafting_weaponsmith_techniques_04', 'crafting_weaponsmith_techniques_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'crafting_weaponsmith_techniques_03', ' ', 'crafting_weapons_general', '77000', '120000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'weapon_assembly=20,weapon_experimentation=20', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('413', 'crafting_chef', 'crafting', 'fourByFour', '0', '0', '1', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('414', 'crafting_chef_novice', 'crafting_chef', 'fourByFour', '0', '1', '0', '0', '5000', '6', '0', 'crafting_artisan_domestic_04', ' ', 'crafting_general', '19200', '40000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'food_assembly=20,food_experimentation=20', 'craftFoodNoviceGroupA,craftFoodNoviceGroupB,craftFoodNoviceGroupC', ' ', '1', '0');
INSERT INTO `skills` VALUES ('415', 'crafting_chef_master', 'crafting_chef', 'fourByFour', '0', '1', '0', '0', '10000', '1', '0', 'crafting_chef_drink_04,crafting_chef_dish_04,crafting_chef_dessert_04,crafting_chef_techniques_04', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', 'place_cantina', 'food_assembly=10,food_experimentation=10,private_place_cantina=100', 'craftFoodMaster', ' ', '1', '0');
INSERT INTO `skills` VALUES ('416', 'crafting_chef_dish_01', 'crafting_chef', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'crafting_chef_novice', ' ', 'crafting_food_general', '32000', '56000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftFoodDishGroupA', ' ', '1', '0');
INSERT INTO `skills` VALUES ('417', 'crafting_chef_dish_02', 'crafting_chef_dish_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'crafting_chef_dish_01', ' ', 'crafting_food_general', '44800', '72000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftFoodDishGroupB', ' ', '1', '0');
INSERT INTO `skills` VALUES ('418', 'crafting_chef_dish_03', 'crafting_chef_dish_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'crafting_chef_dish_02', ' ', 'crafting_food_general', '57600', '100000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftFoodDishGroupC', ' ', '1', '0');
INSERT INTO `skills` VALUES ('419', 'crafting_chef_dish_04', 'crafting_chef_dish_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'crafting_chef_dish_03', ' ', 'crafting_food_general', '70400', '120000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftFoodDishGroupD', ' ', '1', '0');
INSERT INTO `skills` VALUES ('420', 'crafting_chef_dessert_01', 'crafting_chef', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'crafting_chef_novice', ' ', 'crafting_food_general', '32000', '56000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftFoodDessertGroupA', ' ', '1', '0');
INSERT INTO `skills` VALUES ('421', 'crafting_chef_dessert_02', 'crafting_chef_dessert_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'crafting_chef_dessert_01', ' ', 'crafting_food_general', '44800', '72000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftFoodDessertGroupB', ' ', '1', '0');
INSERT INTO `skills` VALUES ('422', 'crafting_chef_dessert_03', 'crafting_chef_dessert_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'crafting_chef_dessert_02', ' ', 'crafting_food_general', '57600', '100000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftFoodDessertGroupC', ' ', '1', '0');
INSERT INTO `skills` VALUES ('423', 'crafting_chef_dessert_04', 'crafting_chef_dessert_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'crafting_chef_dessert_03', ' ', 'crafting_food_general', '70400', '120000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftFoodDessertGroupD', ' ', '1', '0');
INSERT INTO `skills` VALUES ('424', 'crafting_chef_drink_01', 'crafting_chef', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'crafting_chef_novice', ' ', 'crafting_food_general', '32000', '56000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftFoodDrinkGroupA', ' ', '1', '0');
INSERT INTO `skills` VALUES ('425', 'crafting_chef_drink_02', 'crafting_chef_drink_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'crafting_chef_drink_01', ' ', 'crafting_food_general', '44800', '72000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftFoodDrinkGroupB', ' ', '1', '0');
INSERT INTO `skills` VALUES ('426', 'crafting_chef_drink_03', 'crafting_chef_drink_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'crafting_chef_drink_02', ' ', 'crafting_food_general', '57600', '100000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftFoodDrinkGroupC', ' ', '1', '0');
INSERT INTO `skills` VALUES ('427', 'crafting_chef_drink_04', 'crafting_chef_drink_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'crafting_chef_drink_03', ' ', 'crafting_food_general', '70400', '120000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftFoodDrinkGroupD', ' ', '1', '0');
INSERT INTO `skills` VALUES ('428', 'crafting_chef_techniques_01', 'crafting_chef', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'crafting_chef_novice', ' ', 'crafting_food_general', '32000', '56000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'food_assembly=10,food_experimentation=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('429', 'crafting_chef_techniques_02', 'crafting_chef_techniques_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'crafting_chef_techniques_01', ' ', 'crafting_food_general', '44800', '72000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'food_assembly=20,food_experimentation=20', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('430', 'crafting_chef_techniques_03', 'crafting_chef_techniques_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'crafting_chef_techniques_02', ' ', 'crafting_food_general', '57600', '100000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'food_assembly=20,food_experimentation=20', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('431', 'crafting_chef_techniques_04', 'crafting_chef_techniques_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'crafting_chef_techniques_03', ' ', 'crafting_food_general', '70400', '120000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'food_assembly=20,food_experimentation=20', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('432', 'crafting_tailor', 'crafting', 'fourByFour', '0', '0', '1', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('433', 'crafting_tailor_novice', 'crafting_tailor', 'fourByFour', '0', '1', '0', '0', '5000', '6', '0', 'crafting_artisan_domestic_04', ' ', 'crafting_general', '19200', '40000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'clothing_assembly=20,clothing_experimentation=20,clothing_customization=20', 'craftClothingNoviceGroupA,craftClothingNoviceGroupB,craftClothingNoviceGroupC', ' ', '1', '0');
INSERT INTO `skills` VALUES ('434', 'crafting_tailor_master', 'crafting_tailor', 'fourByFour', '0', '1', '0', '0', '10000', '1', '0', 'crafting_tailor_casual_04,crafting_tailor_field_04,crafting_tailor_formal_04,crafting_tailor_production_04', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'clothing_assembly=10,clothing_experimentation=20,clothing_customization=55', 'craftClothingMaster', ' ', '1', '0');
INSERT INTO `skills` VALUES ('435', 'crafting_tailor_casual_01', 'crafting_tailor', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'crafting_tailor_novice', ' ', 'crafting_clothing_general', '32000', '56000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftClothingCasualGroupA', ' ', '1', '0');
INSERT INTO `skills` VALUES ('436', 'crafting_tailor_casual_02', 'crafting_tailor_casual_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'crafting_tailor_casual_01', ' ', 'crafting_clothing_general', '44800', '72000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftClothingCasualGroupB', ' ', '1', '0');
INSERT INTO `skills` VALUES ('437', 'crafting_tailor_casual_03', 'crafting_tailor_casual_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'crafting_tailor_casual_02', ' ', 'crafting_clothing_general', '57600', '100000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftClothingCasualGroupC', ' ', '1', '0');
INSERT INTO `skills` VALUES ('438', 'crafting_tailor_casual_04', 'crafting_tailor_casual_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'crafting_tailor_casual_03', ' ', 'crafting_clothing_general', '70400', '120000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftClothingCasualGroupD', ' ', '1', '0');
INSERT INTO `skills` VALUES ('439', 'crafting_tailor_field_01', 'crafting_tailor', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'crafting_tailor_novice', ' ', 'crafting_clothing_general', '32000', '56000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftClothingFieldGroupA', ' ', '1', '0');
INSERT INTO `skills` VALUES ('440', 'crafting_tailor_field_02', 'crafting_tailor_field_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'crafting_tailor_field_01', ' ', 'crafting_clothing_general', '44800', '72000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftClothingFieldGroupB', ' ', '1', '0');
INSERT INTO `skills` VALUES ('441', 'crafting_tailor_field_03', 'crafting_tailor_field_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'crafting_tailor_field_02', ' ', 'crafting_clothing_general', '57600', '100000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftClothingFieldGroupC', ' ', '1', '0');
INSERT INTO `skills` VALUES ('442', 'crafting_tailor_field_04', 'crafting_tailor_field_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'crafting_tailor_field_03', ' ', 'crafting_clothing_general', '70400', '120000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftClothingFieldGroupD', ' ', '1', '0');
INSERT INTO `skills` VALUES ('443', 'crafting_tailor_formal_01', 'crafting_tailor', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'crafting_tailor_novice', ' ', 'crafting_clothing_general', '32000', '56000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftClothingFormalGroupA', ' ', '1', '0');
INSERT INTO `skills` VALUES ('444', 'crafting_tailor_formal_02', 'crafting_tailor_formal_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'crafting_tailor_formal_01', ' ', 'crafting_clothing_general', '44800', '72000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftClothingFormalGroupB', ' ', '1', '0');
INSERT INTO `skills` VALUES ('445', 'crafting_tailor_formal_03', 'crafting_tailor_formal_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'crafting_tailor_formal_02', ' ', 'crafting_clothing_general', '57600', '100000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftClothingFormalGroupC', ' ', '1', '0');
INSERT INTO `skills` VALUES ('446', 'crafting_tailor_formal_04', 'crafting_tailor_formal_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'crafting_tailor_formal_03', ' ', 'crafting_clothing_general', '70400', '120000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftClothingFormalGroupD', ' ', '1', '0');
INSERT INTO `skills` VALUES ('447', 'crafting_tailor_production_01', 'crafting_tailor', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'crafting_tailor_novice', ' ', 'crafting_clothing_general', '32000', '56000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'clothing_assembly=10,clothing_experimentation=15,clothing_customization=20', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('448', 'crafting_tailor_production_02', 'crafting_tailor_production_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'crafting_tailor_production_01', ' ', 'crafting_clothing_general', '44800', '72000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'clothing_assembly=20,clothing_experimentation=15,clothing_customization=20', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('449', 'crafting_tailor_production_03', 'crafting_tailor_production_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'crafting_tailor_production_02', ' ', 'crafting_clothing_general', '57600', '100000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'clothing_assembly=20,clothing_experimentation=15,clothing_customization=20', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('450', 'crafting_tailor_production_04', 'crafting_tailor_production_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'crafting_tailor_production_03', ' ', 'crafting_clothing_general', '70400', '120000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'clothing_assembly=20,clothing_experimentation=15,clothing_customization=20', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('451', 'crafting_architect', 'crafting', 'fourByFour', '0', '0', '1', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('452', 'crafting_architect_novice', 'crafting_architect', 'fourByFour', '0', '1', '0', '0', '5000', '6', '0', 'crafting_artisan_engineering_04', ' ', 'crafting_general', '33000', '40000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'structure_assembly=20,structure_experimentation=20', 'craftFurnitureGroupAA,craftStructureGroupAA,craftInstallationGroupAA', ' ', '1', '0');
INSERT INTO `skills` VALUES ('453', 'crafting_architect_master', 'crafting_architect', 'fourByFour', '0', '1', '0', '0', '10000', '1', '0', 'crafting_architect_production_04,crafting_architect_techniques_04,crafting_architect_harvesting_04,crafting_architect_blueprints_04', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'structure_assembly=10,structure_experimentation=10', 'craftStructureGroupE,craftFurnitureGroupE,craftPlayerCityE', ' ', '1', '0');
INSERT INTO `skills` VALUES ('454', 'crafting_architect_production_01', 'crafting_architect', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'crafting_architect_novice', ' ', 'crafting_structure_general', '55000', '140000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'structure_assembly=10', 'craftFurnitureGroupA', ' ', '1', '0');
INSERT INTO `skills` VALUES ('455', 'crafting_architect_production_02', 'crafting_architect_production_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'crafting_architect_production_01', ' ', 'crafting_structure_general', '77000', '180000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'structure_assembly=20', 'craftFurnitureGroupB', ' ', '1', '0');
INSERT INTO `skills` VALUES ('456', 'crafting_architect_production_03', 'crafting_architect_production_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'crafting_architect_production_02', ' ', 'crafting_structure_general', '99000', '240000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'structure_assembly=20', 'craftFurnitureGroupC', ' ', '1', '0');
INSERT INTO `skills` VALUES ('457', 'crafting_architect_production_04', 'crafting_architect_production_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'crafting_architect_production_03', ' ', 'crafting_structure_general', '121000', '240000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'structure_assembly=20', 'craftFurnitureGroupD', ' ', '1', '0');
INSERT INTO `skills` VALUES ('458', 'crafting_architect_techniques_01', 'crafting_architect', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'crafting_architect_novice', ' ', 'crafting_structure_general', '55000', '140000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'structure_experimentation=10', 'craftPlayerCityA', ' ', '1', '0');
INSERT INTO `skills` VALUES ('459', 'crafting_architect_techniques_02', 'crafting_architect_techniques_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'crafting_architect_techniques_01', ' ', 'crafting_structure_general', '77000', '180000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'structure_experimentation=20', 'craftPlayerCityB', ' ', '1', '0');
INSERT INTO `skills` VALUES ('460', 'crafting_architect_techniques_03', 'crafting_architect_techniques_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'crafting_architect_techniques_02', ' ', 'crafting_structure_general', '99000', '240000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'structure_experimentation=20', 'craftPlayerCityC', ' ', '1', '0');
INSERT INTO `skills` VALUES ('461', 'crafting_architect_techniques_04', 'crafting_architect_techniques_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'crafting_architect_techniques_03', ' ', 'crafting_structure_general', '121000', '240000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'structure_experimentation=20', 'craftPlayerCityD', ' ', '1', '0');
INSERT INTO `skills` VALUES ('462', 'crafting_architect_harvesting_01', 'crafting_architect', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'crafting_architect_novice', ' ', 'crafting_structure_general', '55000', '140000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftInstallationGroupA', ' ', '1', '0');
INSERT INTO `skills` VALUES ('463', 'crafting_architect_harvesting_02', 'crafting_architect_harvesting_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'crafting_architect_harvesting_01', ' ', 'crafting_structure_general', '77000', '180000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftInstallationGroupB', ' ', '1', '0');
INSERT INTO `skills` VALUES ('464', 'crafting_architect_harvesting_03', 'crafting_architect_harvesting_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'crafting_architect_harvesting_02', ' ', 'crafting_structure_general', '99000', '240000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftInstallationGroupC', ' ', '1', '0');
INSERT INTO `skills` VALUES ('465', 'crafting_architect_harvesting_04', 'crafting_architect_harvesting_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'crafting_architect_harvesting_03', ' ', 'crafting_structure_general', '121000', '240000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftInstallationGroupD', ' ', '1', '0');
INSERT INTO `skills` VALUES ('466', 'crafting_architect_blueprints_01', 'crafting_architect', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'crafting_architect_novice', ' ', 'crafting_structure_general', '55000', '140000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftStructureGroupA', ' ', '1', '0');
INSERT INTO `skills` VALUES ('467', 'crafting_architect_blueprints_02', 'crafting_architect_blueprints_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'crafting_architect_blueprints_01', ' ', 'crafting_structure_general', '77000', '180000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftStructureGroupB', ' ', '1', '0');
INSERT INTO `skills` VALUES ('468', 'crafting_architect_blueprints_03', 'crafting_architect_blueprints_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'crafting_architect_blueprints_02', ' ', 'crafting_structure_general', '99000', '240000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftStructureGroupC', ' ', '1', '0');
INSERT INTO `skills` VALUES ('469', 'crafting_architect_blueprints_04', 'crafting_architect_blueprints_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'crafting_architect_blueprints_03', ' ', 'crafting_structure_general', '121000', '240000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftStructureGroupD', ' ', '1', '0');
INSERT INTO `skills` VALUES ('470', 'crafting_droidengineer', 'crafting', 'fourByFour', '0', '0', '1', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('471', 'crafting_droidengineer_novice', 'crafting_droidengineer', 'fourByFour', '0', '1', '0', '0', '5000', '6', '0', 'crafting_artisan_engineering_04', ' ', 'crafting_general', '28800', '40000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'droid_assembly=20,droid_experimentation=20,droid_customization=32', 'craftdroidGroupA,craftdroiddefmodGroupA,craftdroidgenmodGroupA,craftDroidRepairCompA', ' ', '1', '0');
INSERT INTO `skills` VALUES ('472', 'crafting_droidengineer_master', 'crafting_droidengineer', 'fourByFour', '0', '1', '0', '0', '10000', '1', '0', 'crafting_droidengineer_production_04,crafting_droidengineer_techniques_04,crafting_droidengineer_refinement_04,crafting_droidengineer_blueprints_04', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'droid_assembly=10,droid_experimentation=10', 'craftdroidGroupF,craftdroidgenmodGroupF,craftdroiddefmodGroupF,craftDroidRepairCompB', ' ', '1', '0');
INSERT INTO `skills` VALUES ('473', 'crafting_droidengineer_production_01', 'crafting_droidengineer', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'crafting_droidengineer_novice', ' ', 'crafting_droid_general', '48000', '140000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftdroidgenmodGroupB', ' ', '1', '0');
INSERT INTO `skills` VALUES ('474', 'crafting_droidengineer_production_02', 'crafting_droidengineer_production_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'crafting_droidengineer_production_01', ' ', 'crafting_droid_general', '67200', '180000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftdroidgenmodGroupC', ' ', '1', '0');
INSERT INTO `skills` VALUES ('475', 'crafting_droidengineer_production_03', 'crafting_droidengineer_production_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'crafting_droidengineer_production_02', ' ', 'crafting_droid_general', '86400', '240000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftdroidgenmodGroupD,craftdroidgenmodGroupDD', ' ', '1', '0');
INSERT INTO `skills` VALUES ('476', 'crafting_droidengineer_production_04', 'crafting_droidengineer_production_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'crafting_droidengineer_production_03', ' ', 'crafting_droid_general', '105600', '240000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftdroidgenmodGroupE', ' ', '1', '0');
INSERT INTO `skills` VALUES ('477', 'crafting_droidengineer_techniques_01', 'crafting_droidengineer', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'crafting_droidengineer_novice', ' ', 'crafting_droid_general', '48000', '140000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftdroiddefmodGroupB,craftDroidWoundRepairA', ' ', '1', '0');
INSERT INTO `skills` VALUES ('478', 'crafting_droidengineer_techniques_02', 'crafting_droidengineer_techniques_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'crafting_droidengineer_techniques_01', ' ', 'crafting_droid_general', '67200', '180000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftdroiddefmodGroupC,craftDroidWoundRepairB', ' ', '1', '0');
INSERT INTO `skills` VALUES ('479', 'crafting_droidengineer_techniques_03', 'crafting_droidengineer_techniques_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'crafting_droidengineer_techniques_02', ' ', 'crafting_droid_general', '86400', '240000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftdroiddefmodGroupD,craftDroidWoundRepairC', ' ', '1', '0');
INSERT INTO `skills` VALUES ('480', 'crafting_droidengineer_techniques_04', 'crafting_droidengineer_techniques_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'crafting_droidengineer_techniques_03', ' ', 'crafting_droid_general', '105600', '240000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', 'craftdroiddefmodGroupE,craftDroidWoundRepairD', ' ', '1', '0');
INSERT INTO `skills` VALUES ('481', 'crafting_droidengineer_refinement_01', 'crafting_droidengineer', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'crafting_droidengineer_novice', ' ', 'crafting_droid_general', '48000', '140000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'droid_experimentation=10,droid_customization=8', 'craftDroidDamageRepairA', ' ', '1', '0');
INSERT INTO `skills` VALUES ('482', 'crafting_droidengineer_refinement_02', 'crafting_droidengineer_refinement_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'crafting_droidengineer_refinement_01', ' ', 'crafting_droid_general', '67200', '180000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'droid_experimentation=20,droid_customization=8', 'craftDroidDamageRepairB', ' ', '1', '0');
INSERT INTO `skills` VALUES ('483', 'crafting_droidengineer_refinement_03', 'crafting_droidengineer_refinement_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'crafting_droidengineer_refinement_02', ' ', 'crafting_droid_general', '86400', '240000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'droid_experimentation=20,droid_customization=8', 'craftDroidDamageRepairC', ' ', '1', '0');
INSERT INTO `skills` VALUES ('484', 'crafting_droidengineer_refinement_04', 'crafting_droidengineer_refinement_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'crafting_droidengineer_refinement_03', ' ', 'crafting_droid_general', '105600', '240000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'droid_experimentation=20,droid_customization=8', 'craftDroidDamageRepairD', ' ', '1', '0');
INSERT INTO `skills` VALUES ('485', 'crafting_droidengineer_blueprints_01', 'crafting_droidengineer', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'crafting_droidengineer_novice', ' ', 'crafting_droid_general', '48000', '140000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'droid_assembly=10', 'craftdroidGroupB', ' ', '1', '0');
INSERT INTO `skills` VALUES ('486', 'crafting_droidengineer_blueprints_02', 'crafting_droidengineer_blueprints_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'crafting_droidengineer_blueprints_01', ' ', 'crafting_droid_general', '67200', '180000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'droid_assembly=20', 'craftdroidGroupC', ' ', '1', '0');
INSERT INTO `skills` VALUES ('487', 'crafting_droidengineer_blueprints_03', 'crafting_droidengineer_blueprints_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'crafting_droidengineer_blueprints_02', ' ', 'crafting_droid_general', '86400', '240000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'droid_assembly=20', 'craftdroidGroupD', ' ', '1', '0');
INSERT INTO `skills` VALUES ('488', 'crafting_droidengineer_blueprints_04', 'crafting_droidengineer_blueprints_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'crafting_droidengineer_blueprints_03', ' ', 'crafting_droid_general', '105600', '240000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'droid_assembly=20', 'craftdroidGroupE', ' ', '1', '0');
INSERT INTO `skills` VALUES ('489', 'crafting_merchant', 'crafting', 'fourByFour', '0', '0', '1', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('490', 'crafting_merchant_novice', 'crafting_merchant', 'fourByFour', '0', '1', '0', '0', '5000', '6', '0', 'crafting_artisan_business_04', ' ', 'merchant', '5000', '20000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'manage_vendor=1,hiring=10,vendor_item_limit=500', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('491', 'crafting_merchant_master', 'crafting_merchant', 'fourByFour', '0', '1', '0', '0', '10000', '1', '0', 'crafting_merchant_advertising_04,crafting_merchant_sales_04,crafting_merchant_hiring_04,crafting_merchant_management_04', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', 'vendor_fees_1', 'manage_vendor=2,hiring=10,vendor_item_limit=1000', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('492', 'crafting_merchant_advertising_01', 'crafting_merchant', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'crafting_merchant_novice', ' ', 'merchant', '10000', '40000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('493', 'crafting_merchant_advertising_02', 'crafting_merchant_advertising_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'crafting_merchant_advertising_01', ' ', 'merchant', '20000', '60000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('494', 'crafting_merchant_advertising_03', 'crafting_merchant_advertising_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'crafting_merchant_advertising_02', ' ', 'merchant', '30000', '80000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('495', 'crafting_merchant_advertising_04', 'crafting_merchant_advertising_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'crafting_merchant_advertising_03', ' ', 'merchant', '40000', '80000', ' ', '0', ' ', ' ', 'none', ' ', 'ad_fees_1', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('496', 'crafting_merchant_sales_01', 'crafting_merchant', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'crafting_merchant_novice', ' ', 'merchant', '10000', '40000', ' ', '0', ' ', ' ', 'none', ' ', 'merchant_fees_1', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('497', 'crafting_merchant_sales_02', 'crafting_merchant_sales_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'crafting_merchant_sales_01', ' ', 'merchant', '20000', '60000', ' ', '0', ' ', ' ', 'none', ' ', 'vendor_fees_1', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('498', 'crafting_merchant_sales_03', 'crafting_merchant_sales_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'crafting_merchant_sales_02', ' ', 'merchant', '30000', '80000', ' ', '0', ' ', ' ', 'none', ' ', 'merchant_fees_1', 'vendor_item_limit=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('499', 'crafting_merchant_sales_04', 'crafting_merchant_sales_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'crafting_merchant_sales_03', ' ', 'merchant', '40000', '80000', ' ', '0', ' ', ' ', 'none', ' ', 'maintenance_fees_1,place_merchant_tent', 'manage_vendor=1,private_place_merchant_tent=100,vendor_item_limit=150', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('500', 'crafting_merchant_hiring_01', 'crafting_merchant', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'crafting_merchant_novice', ' ', 'merchant', '10000', '40000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'hiring=20', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('501', 'crafting_merchant_hiring_02', 'crafting_merchant_hiring_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'crafting_merchant_hiring_01', ' ', 'merchant', '20000', '60000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'hiring=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('502', 'crafting_merchant_hiring_03', 'crafting_merchant_hiring_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'crafting_merchant_hiring_02', ' ', 'merchant', '30000', '80000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'hiring=15', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('503', 'crafting_merchant_hiring_04', 'crafting_merchant_hiring_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'crafting_merchant_hiring_03', ' ', 'merchant', '40000', '80000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'hiring=15', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('504', 'crafting_merchant_management_01', 'crafting_merchant', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'crafting_merchant_novice', ' ', 'merchant', '10000', '40000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'manage_vendor=1,shop_sign=1,vendor_item_limit=500', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('505', 'crafting_merchant_management_02', 'crafting_merchant_management_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'crafting_merchant_management_01', ' ', 'merchant', '20000', '60000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'manage_vendor=1,shop_sign=1,vendor_item_limit=500', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('506', 'crafting_merchant_management_03', 'crafting_merchant_management_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'crafting_merchant_management_02', ' ', 'merchant', '30000', '80000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'manage_vendor=2,shop_sign=1,vendor_item_limit=500', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('507', 'crafting_merchant_management_04', 'crafting_merchant_management_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'crafting_merchant_management_03', ' ', 'merchant', '40000', '80000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'manage_vendor=2,shop_sign=1,vendor_item_limit=500', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('508', 'combat_smuggler', 'combat', 'fourByFour', '0', '0', '1', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('509', 'combat_smuggler_novice', 'combat_smuggler', 'fourByFour', '0', '1', '0', '0', '5000', '6', '0', 'combat_marksman_pistol_04,combat_brawler_unarmed_04', ' ', 'combat_rangedspecialize_pistol', '50000', '200000', ' ', '0', ' ', ' ', 'none', ' ', 'slice_containers', 'spice_assembly=20,spice_experimentation=20', 'craftSmugglerSpiceNovice,craftSmugglerToolsA', ' ', '1', '0');
INSERT INTO `skills` VALUES ('510', 'combat_smuggler_master', 'combat_smuggler', 'fourByFour', '0', '1', '0', '0', '10000', '1', '0', 'combat_smuggler_underworld_04,combat_smuggler_slicing_04,combat_smuggler_combat_04,combat_smuggler_spice_04', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('511', 'combat_smuggler_underworld_01', 'combat_smuggler', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'combat_smuggler_novice', ' ', 'combat_rangedspecialize_pistol', '75000', '150000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'language_all_comprehend=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('512', 'combat_smuggler_underworld_02', 'combat_smuggler_underworld_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'combat_smuggler_underworld_01', ' ', 'combat_rangedspecialize_pistol', '100000', '200000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('513', 'combat_smuggler_underworld_03', 'combat_smuggler_underworld_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'combat_smuggler_underworld_02', ' ', 'combat_rangedspecialize_pistol', '200000', '400000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('514', 'combat_smuggler_underworld_04', 'combat_smuggler_underworld_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'combat_smuggler_underworld_03', ' ', 'combat_rangedspecialize_pistol', '300000', '600000', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('515', 'combat_smuggler_slicing_01', 'combat_smuggler', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'combat_smuggler_novice', ' ', 'slicing', '5000', '10000', ' ', '0', ' ', ' ', 'none', ' ', 'slice_terminals', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('516', 'combat_smuggler_slicing_02', 'combat_smuggler_slicing_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'combat_smuggler_slicing_01', ' ', 'slicing', '10000', '50000', ' ', '0', ' ', ' ', 'none', ' ', 'slice_weaponsbasic', ' ', 'craftSmugglerToolsB', ' ', '1', '0');
INSERT INTO `skills` VALUES ('517', 'combat_smuggler_slicing_03', 'combat_smuggler_slicing_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'combat_smuggler_slicing_02', ' ', 'slicing', '25000', '100000', ' ', '0', ' ', ' ', 'none', ' ', 'slice_armor', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('518', 'combat_smuggler_slicing_04', 'combat_smuggler_slicing_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'combat_smuggler_slicing_03', ' ', 'slicing', '50000', '100000', ' ', '0', ' ', ' ', 'none', ' ', 'slice_weaponsadvanced', ' ', 'craftSmugglerToolsC', ' ', '1', '0');
INSERT INTO `skills` VALUES ('519', 'combat_smuggler_combat_01', 'combat_smuggler', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'combat_smuggler_novice', ' ', 'combat_rangedspecialize_pistol', '175000', '500000', ' ', '0', ' ', ' ', 'none', ' ', 'feignDeath,ranged_damage_mitigation_1', 'feign_death=45', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('520', 'combat_smuggler_combat_02', 'combat_smuggler_combat_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'combat_smuggler_combat_01', ' ', 'combat_rangedspecialize_pistol', '250000', '700000', ' ', '0', ' ', ' ', 'none', ' ', 'panicShot', 'feign_death=5', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('521', 'combat_smuggler_combat_03', 'combat_smuggler_combat_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'combat_smuggler_combat_02', ' ', 'combat_rangedspecialize_pistol', '350000', '900000', ' ', '0', ' ', ' ', 'none', ' ', 'lowBlow,melee_damage_mitigation_1', 'feign_death=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('522', 'combat_smuggler_combat_04', 'combat_smuggler_combat_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'combat_smuggler_combat_03', ' ', 'combat_rangedspecialize_pistol', '450000', '900000', ' ', '0', ' ', ' ', 'none', ' ', 'lastDitch', 'feign_death=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('523', 'combat_smuggler_spice_01', 'combat_smuggler', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'combat_smuggler_novice', ' ', 'crafting_spice', '8000', '24000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'spice_assembly=20,spice_experimentation=20', 'craftSmugglerSpiceA', ' ', '1', '0');
INSERT INTO `skills` VALUES ('524', 'combat_smuggler_spice_02', 'combat_smuggler_spice_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'combat_smuggler_spice_01', ' ', 'crafting_spice', '12000', '32000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'spice_assembly=20,spice_experimentation=20', 'craftSmugglerSpiceB', ' ', '1', '0');
INSERT INTO `skills` VALUES ('525', 'combat_smuggler_spice_03', 'combat_smuggler_spice_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'combat_smuggler_spice_02', ' ', 'crafting_spice', '16000', '40000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'spice_assembly=20,spice_experimentation=20', 'craftSmugglerSpiceC', ' ', '1', '0');
INSERT INTO `skills` VALUES ('526', 'combat_smuggler_spice_04', 'combat_smuggler_spice_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'combat_smuggler_spice_03', ' ', 'crafting_spice', '20000', '40000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'spice_assembly=20,spice_experimentation=20', 'craftSmugglerSpiceD', ' ', '1', '0');
INSERT INTO `skills` VALUES ('527', 'combat_bountyhunter', 'combat', 'fourByFour', '0', '0', '1', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('528', 'combat_bountyhunter_novice', 'combat_bountyhunter', 'fourByFour', '0', '1', '0', '0', '5000', '6', '0', 'combat_marksman_master,outdoors_scout_movement_04', ' ', 'combat_general', '40000', '0', ' ', '0', ' ', ' ', 'none', ' ', 'cert_pistol_scatter,cert_rifle_lightning', 'bounty_mission_level=1,heavy_rifle_lightning_accuracy=20,heavy_rifle_lightning_speed=10,private_heavyweapon_combat_difficulty=1600', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('529', 'combat_bountyhunter_master', 'combat_bountyhunter', 'fourByFour', '0', '1', '0', '0', '100000', '1', '0', 'combat_bountyhunter_investigation_04,combat_bountyhunter_droidcontrol_04,combat_bountyhunter_droidresponse_04,combat_bountyhunter_support_04', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', 'sprayShot,fastBlast,fireLightningCone2,ranged_damage_mitigation_3', 'droid_tracks=4,droid_track_chance=10,droid_find_chance=10,droid_find_speed=10,droid_track_speed=10,ranged_defense=7,pistol_accuracy=10,carbine_accuracy=10,private_heavyweapon_combat_difficulty=100,private_carbine_difficulty=100,private_pistol_difficulty=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('530', 'combat_bountyhunter_investigation_01', 'combat_bountyhunter', 'fourByFour', '0', '0', '0', '0', '10000', '5', '0', 'combat_bountyhunter_novice', ' ', 'bountyhunter', '1000', '10000', ' ', '0', ' ', ' ', 'none', ' ', 'droid_find,ranged_damage_mitigation_1', 'droid_find_chance=70,droid_find_speed=10,bounty_mission_level=1', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('531', 'combat_bountyhunter_investigation_02', 'combat_bountyhunter_investigation_01', 'fourByFour', '0', '0', '0', '0', '20000', '4', '0', 'combat_bountyhunter_investigation_01', ' ', 'bountyhunter', '5000', '20000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'droid_find_chance=50,droid_find_speed=40', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('532', 'combat_bountyhunter_investigation_03', 'combat_bountyhunter_investigation_02', 'fourByFour', '0', '0', '0', '0', '30000', '3', '0', 'combat_bountyhunter_investigation_02', ' ', 'bountyhunter', '10000', '40000', ' ', '0', ' ', ' ', 'none', ' ', 'droid_track,ranged_damage_mitigation_2', 'droid_tracks=4,droid_track_chance=50,droid_track_speed=40,droid_find_speed=30,bounty_mission_level=1', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('533', 'combat_bountyhunter_investigation_04', 'combat_bountyhunter_investigation_03', 'fourByFour', '0', '1', '0', '0', '40000', '2', '0', 'combat_bountyhunter_investigation_03', ' ', 'bountyhunter', '18000', '60000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'droid_tracks=4,droid_track_chance=40,droid_track_speed=30', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('534', 'combat_bountyhunter_droidcontrol_01', 'combat_bountyhunter', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'combat_bountyhunter_novice', ' ', 'combat_rangedspecialize_carbine', '150000', '300000', ' ', '0', ' ', ' ', 'none', ' ', 'underHandShot', 'carbine_accuracy=10,carbine_speed=10,private_carbine_combat_difficulty=200', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('535', 'combat_bountyhunter_droidcontrol_02', 'combat_bountyhunter_droidcontrol_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'combat_bountyhunter_droidcontrol_01', ' ', 'combat_rangedspecialize_carbine', '250000', '700000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'carbine_accuracy=10,carbine_speed=10,private_carbine_combat_difficulty=200', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('536', 'combat_bountyhunter_droidcontrol_03', 'combat_bountyhunter_droidcontrol_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'combat_bountyhunter_droidcontrol_02', ' ', 'combat_rangedspecialize_carbine', '350000', '900000', ' ', '0', ' ', ' ', 'none', ' ', 'knockdownFire', 'carbine_accuracy=20,carbine_speed=20,private_carbine_combat_difficulty=200', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('537', 'combat_bountyhunter_droidcontrol_04', 'combat_bountyhunter_droidcontrol_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'combat_bountyhunter_droidcontrol_03', ' ', 'combat_rangedspecialize_carbine', '450000', '900000', ' ', '0', ' ', ' ', 'none', ' ', 'confusionShot', 'carbine_accuracy=10,carbine_speed=10,private_carbine_combat_difficulty=200', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('538', 'combat_bountyhunter_droidresponse_01', 'combat_bountyhunter', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'combat_bountyhunter_novice', ' ', 'combat_rangedspecialize_pistol', '150000', '300000', ' ', '0', ' ', ' ', 'none', ' ', 'bleedingShot', 'pistol_accuracy=10,pistol_speed=10,private_pistol_combat_difficulty=200', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('539', 'combat_bountyhunter_droidresponse_02', 'combat_bountyhunter_droidresponse_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'combat_bountyhunter_droidresponse_01', ' ', 'combat_rangedspecialize_pistol', '250000', '700000', ' ', '0', ' ', ' ', 'none', ' ', 'eyeShot', 'pistol_accuracy=10,pistol_speed=10,private_pistol_combat_difficulty=200', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('540', 'combat_bountyhunter_droidresponse_03', 'combat_bountyhunter_droidresponse_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'combat_bountyhunter_droidresponse_02', ' ', 'combat_rangedspecialize_pistol', '350000', '900000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'pistol_accuracy=20,pistol_speed=20,private_pistol_combat_difficulty=200', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('541', 'combat_bountyhunter_droidresponse_04', 'combat_bountyhunter_droidresponse_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'combat_bountyhunter_droidresponse_03', ' ', 'combat_rangedspecialize_pistol', '450000', '900000', ' ', '0', ' ', ' ', 'none', ' ', 'torsoShot', 'pistol_accuracy=10,pistol_speed=10,private_pistol_combat_difficulty=200', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('542', 'combat_bountyhunter_support_01', 'combat_bountyhunter', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'combat_bountyhunter_novice', ' ', 'combat_rangedspecialize_heavy', '150000', '300000', ' ', '0', ' ', ' ', 'none', ' ', 'fireLightningSingle1', 'heavy_rifle_lightning_speed=10,heavy_rifle_lightning_accuracy=10,private_heavyweapon_combat_difficulty=200', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('543', 'combat_bountyhunter_support_02', 'combat_bountyhunter_support_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'combat_bountyhunter_support_01', ' ', 'combat_rangedspecialize_heavy', '250000', '700000', ' ', '0', ' ', ' ', 'none', ' ', 'fireLightningCone1', 'heavy_rifle_lightning_speed=10,heavy_rifle_lightning_accuracy=10,private_heavyweapon_combat_difficulty=200', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('544', 'combat_bountyhunter_support_03', 'combat_bountyhunter_support_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'combat_bountyhunter_support_02', ' ', 'combat_rangedspecialize_heavy', '350000', '900000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'heavy_rifle_lightning_speed=20,heavy_rifle_lightning_accuracy=20,private_heavyweapon_combat_difficulty=200', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('545', 'combat_bountyhunter_support_04', 'combat_bountyhunter_support_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'combat_bountyhunter_support_03', ' ', 'combat_rangedspecialize_heavy', '450000', '900000', ' ', '0', ' ', ' ', 'none', ' ', 'fireLightningSingle2', 'heavy_rifle_lightning_speed=10,heavy_rifle_lightning_accuracy=10,private_heavyweapon_combat_difficulty=200', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('546', 'combat_commando', 'combat', 'fourByFour', '0', '0', '1', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('547', 'combat_commando_novice', 'combat_commando', 'fourByFour', '0', '1', '0', '0', '5000', '6', '0', 'combat_marksman_master,combat_brawler_unarmed_04', ' ', 'combat_general', '40000', '1500', ' ', '0', ' ', ' ', 'none', ' ', 'cert_rocket_launcher,cert_pistol_launcher,cert_rifle_flame_thrower,cert_rifle_acid_beam,cert_grenade_fragmentation,throwgrenadefragmentation', 'heavy_flame_thrower_accuracy=10,heavy_rifle_acid_accuracy=10,private_heavyweapon_combat_difficulty=1700,thrown_accuracy=15', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('548', 'combat_commando_master', 'combat_commando', 'fourByFour', '0', '1', '0', '0', '10000', '1', '0', 'combat_commando_heavyweapon_accuracy_04,combat_commando_heavyweapon_speed_04,combat_commando_thrownweapon_04,combat_commando_support_04', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', 'cert_grenade_proton,throwgrenadeproton,flameCone2,fireAcidCone2,ranged_damage_mitigation_3', 'heavy_rocket_launcher_accuracy=40,thrown_accuracy=40,heavy_flame_thrower_accuracy=30,heavy_rifle_acid_accuracy=30,melee_defense=25,ranged_defense=25', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('549', 'combat_commando_heavyweapon_accuracy_01', 'combat_commando', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'combat_commando_novice', ' ', 'combat_general', '50000', '20000', ' ', '0', ' ', ' ', 'none', ' ', 'cert_grenade_cryoban,throwgrenadecryoban,ranged_damage_mitigation_1', 'thrown_accuracy=10,thrown_speed=10,private_heavyweapon_combat_difficulty=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('550', 'combat_commando_heavyweapon_accuracy_02', 'combat_commando_heavyweapon_accuracy_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'combat_commando_heavyweapon_accuracy_01', ' ', 'combat_general', '80000', '170000', ' ', '0', ' ', ' ', 'none', ' ', 'cert_grenade_glop,throwgrenadeglop', 'thrown_speed=10,knockdown_defense=5', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('551', 'combat_commando_heavyweapon_accuracy_03', 'combat_commando_heavyweapon_accuracy_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'combat_commando_heavyweapon_accuracy_02', ' ', 'combat_general', '100000', '240000', ' ', '0', ' ', ' ', 'none', ' ', 'cert_grenade_imperial_detonator,throwimperialdetonator,ranged_damage_mitigation_2', 'thrown_accuracy=10,thrown_speed=10,ranged_defense=5', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('552', 'combat_commando_heavyweapon_accuracy_04', 'combat_commando_heavyweapon_accuracy_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'combat_commando_heavyweapon_accuracy_03', ' ', 'combat_general', '130000', '300000', ' ', '0', ' ', ' ', 'none', ' ', 'cert_grenade_thermal_detonator,throwthermaldetonator', 'thrown_accuracy=10,thrown_speed=10,melee_defense=5', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('553', 'combat_commando_heavyweapon_speed_01', 'combat_commando', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'combat_commando_novice', ' ', 'combat_rangedspecialize_heavy', '100000', '300000', ' ', '0', ' ', ' ', 'none', ' ', 'cert_heavy_particle_beam', 'heavy_rocket_launcher_accuracy=20,heavy_rocket_launcher_speed=20heavy_particle_beam_accuracy=10,heavy_particle_beam_speed=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('554', 'combat_commando_heavyweapon_speed_02', 'combat_commando_heavyweapon_speed_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'combat_commando_heavyweapon_speed_01', ' ', 'combat_rangedspecialize_heavy', '200000', '400000', ' ', '0', ' ', ' ', 'none', ' ', 'cert_heavy_acid_beam', 'heavy_rocket_launcher_accuracy=20,heavy_rocket_launcher_speed=20,heavy_particle_beam_accuracy=20,heavy_particle_beam_speed=20,heavy_acid_beam_speed=10,heavy_acid_beam_accuracy=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('555', 'combat_commando_heavyweapon_speed_03', 'combat_commando_heavyweapon_speed_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'combat_commando_heavyweapon_speed_02', ' ', 'combat_rangedspecialize_heavy', '300000', '500000', ' ', '0', ' ', ' ', 'none', ' ', 'cert_heavy_lightning_beam', 'heavy_lightning_beam_speed=10,heavy_lightning_beam_accuracy=10,heavy_rocket_launcher_accuracy=20,heavy_rocket_launcher_speed=20,heavy_particle_beam_accuracy=20,heavy_particle_beam_speed=20,heavy_acid_beam_speed=20,heavy_acid_beam_accuracy=20', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('556', 'combat_commando_heavyweapon_speed_04', 'combat_commando_heavyweapon_speed_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'combat_commando_heavyweapon_speed_03', ' ', 'combat_rangedspecialize_heavy', '400000', '600000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'heavy_lightning_beam_speed=30,heavy_lightning_beam_accuracy=30,heavy_particle_beam_accuracy=20,heavy_particle_beam_speed=20,heavy_acid_beam_speed=20,heavy_acid_beam_accuracy=20', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('557', 'combat_commando_thrownweapon_01', 'combat_commando', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'combat_commando_novice', ' ', 'combat_rangedspecialize_heavy', '150000', '300000', ' ', '0', ' ', ' ', 'none', ' ', 'flameSingle1', 'heavy_flame_thrower_accuracy=15,heavy_flame_thrower_speed=10,private_heavyweapon_combat_difficulty=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('558', 'combat_commando_thrownweapon_02', 'combat_commando_thrownweapon_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'combat_commando_thrownweapon_01', ' ', 'combat_rangedspecialize_heavy', '250000', '700000', ' ', '0', ' ', ' ', 'none', ' ', 'flameCone1', 'heavy_flame_thrower_accuracy=15,heavy_flame_thrower_speed=10,private_heavyweapon_combat_difficulty=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('559', 'combat_commando_thrownweapon_03', 'combat_commando_thrownweapon_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'combat_commando_thrownweapon_02', ' ', 'combat_rangedspecialize_heavy', '350000', '900000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'heavy_flame_thrower_accuracy=25,heavy_flame_thrower_speed=15,private_heavyweapon_combat_difficulty=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('560', 'combat_commando_thrownweapon_04', 'combat_commando_thrownweapon_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'combat_commando_thrownweapon_03', ' ', 'combat_rangedspecialize_heavy', '450000', '900000', ' ', '0', ' ', ' ', 'none', ' ', 'flameSingle2', 'heavy_flame_thrower_accuracy=15,heavy_flame_thrower_speed=10,private_heavyweapon_combat_difficulty=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('561', 'combat_commando_support_01', 'combat_commando', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'combat_commando_novice', ' ', 'combat_rangedspecialize_heavy', '175000', '500000', ' ', '0', ' ', ' ', 'none', ' ', 'fireAcidSingle1', 'heavy_rifle_acid_accuracy=15,heavy_rifle_acid_speed=10,private_heavyweapon_combat_difficulty=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('562', 'combat_commando_support_02', 'combat_commando_support_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'combat_commando_support_01', ' ', 'combat_rangedspecialize_heavy', '250000', '700000', ' ', '0', ' ', ' ', 'none', ' ', 'fireAcidCone1', 'heavy_rifle_acid_accuracy=15,heavy_rifle_acid_speed=10,private_heavyweapon_combat_difficulty=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('563', 'combat_commando_support_03', 'combat_commando_support_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'combat_commando_support_02', ' ', 'combat_rangedspecialize_heavy', '350000', '900000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'heavy_rifle_acid_accuracy=25,heavy_rifle_acid_speed=15,private_heavyweapon_combat_difficulty=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('564', 'combat_commando_support_04', 'combat_commando_support_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'combat_commando_support_03', ' ', 'combat_rangedspecialize_heavy', '450000', '900000', ' ', '0', ' ', ' ', 'none', ' ', 'fireAcidSingle2', 'heavy_rifle_acid_accuracy=15,heavy_rifle_acid_speed=10,private_heavyweapon_combat_difficulty=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('565', 'science_combatmedic', 'science', 'fourByFour', '0', '0', '1', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('566', 'science_combatmedic_novice', 'science_combatmedic', 'fourByFour', '0', '1', '0', '0', '5000', '6', '0', 'combat_marksman_support_04,science_medic_master', ' ', 'medical', '12500', '20000', ' ', '0', ' ', ' ', 'none', ' ', 'applyPoison', 'healing_range=5,healing_range_speed=5,combat_medicine_assembly=20,combat_medicine_experimentation=20,combat_healing_ability=5,combat_medic_effectiveness=5', 'craftStimpackRangeGroupA,craftApplyPoisonGroupA,craftMedicineComponentGroupC', ' ', '1', '0');
INSERT INTO `skills` VALUES ('567', 'science_combatmedic_master', 'science_combatmedic', 'fourByFour', '0', '1', '0', '0', '10000', '1', '0', 'science_combatmedic_healing_range_04,science_combatmedic_healing_range_speed_04,science_combatmedic_medicine_04,science_combatmedic_support_04', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', 'place_hospital', 'healing_range=25,healing_range_speed=25,slope_move=10,combat_healing_ability=25,combat_medic_effectiveness=25,private_place_hospital=100', 'craftApplyPoisonAreaGroupC,craftApplyDiseaseGroupC,craftApplyDiseaseAreaGroupC', ' ', '1', '0');
INSERT INTO `skills` VALUES ('568', 'science_combatmedic_healing_range_01', 'science_combatmedic', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'science_combatmedic_novice', ' ', 'medical', '12500', '40000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'healing_range=15,combat_medic_effectiveness=15', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('569', 'science_combatmedic_healing_range_02', 'science_combatmedic_healing_range_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'science_combatmedic_healing_range_01', ' ', 'medical', '25000', '60000', ' ', '0', ' ', ' ', 'none', ' ', 'applyDisease', 'healing_range=15,combat_medic_effectiveness=15', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('570', 'science_combatmedic_healing_range_03', 'science_combatmedic_healing_range_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'science_combatmedic_healing_range_02', ' ', 'medical', '37500', '80000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'healing_range=15,combat_medic_effectiveness=15', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('571', 'science_combatmedic_healing_range_04', 'science_combatmedic_healing_range_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'science_combatmedic_healing_range_03', ' ', 'medical', '50000', '80000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'healing_range=25,combat_medic_effectiveness=25', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('572', 'science_combatmedic_healing_range_speed_01', 'science_combatmedic', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'science_combatmedic_novice', ' ', 'medical', '12500', '40000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'healing_range_speed=15', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('573', 'science_combatmedic_healing_range_speed_02', 'science_combatmedic_healing_range_speed_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'science_combatmedic_healing_range_speed_01', ' ', 'medical', '25000', '60000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'healing_range_speed=15', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('574', 'science_combatmedic_healing_range_speed_03', 'science_combatmedic_healing_range_speed_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'science_combatmedic_healing_range_speed_02', ' ', 'medical', '37500', '80000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'healing_range_speed=15', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('575', 'science_combatmedic_healing_range_speed_04', 'science_combatmedic_healing_range_speed_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'science_combatmedic_healing_range_speed_03', ' ', 'medical', '50000', '80000', ' ', '0', ' ', ' ', 'none', ' ', 'healMind', 'healing_range_speed=25', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('576', 'science_combatmedic_medicine_01', 'science_combatmedic', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'science_combatmedic_novice', ' ', 'crafting_medicine_general', '12500', '28000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'combat_medicine_assembly=20,combat_medicine_experimentation=20', 'craftStimpackRangeGroupB,craftApplyPoisonAreaGroupA,craftApplyDiseaseGroupA', ' ', '1', '0');
INSERT INTO `skills` VALUES ('577', 'science_combatmedic_medicine_02', 'science_combatmedic_medicine_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'science_combatmedic_medicine_01', ' ', 'crafting_medicine_general', '17500', '36000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'combat_medicine_assembly=20,combat_medicine_experimentation=20', 'craftStimpackRangeGroupC,craftApplyPoisonGroupB,craftApplyDiseaseAreaGroupA,craftMedicineComponentGroupE', ' ', '1', '0');
INSERT INTO `skills` VALUES ('578', 'science_combatmedic_medicine_03', 'science_combatmedic_medicine_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'science_combatmedic_medicine_02', ' ', 'crafting_medicine_general', '22500', '44000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'combat_medicine_assembly=20,combat_medicine_experimentation=20', 'craftStimpackRangeGroupD,craftApplyPoisonAreaGroupB,craftApplyDiseaseGroupB', ' ', '1', '0');
INSERT INTO `skills` VALUES ('579', 'science_combatmedic_medicine_04', 'science_combatmedic_medicine_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'science_combatmedic_medicine_03', ' ', 'crafting_medicine_general', '27500', '44000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'combat_medicine_assembly=20,combat_medicine_experimentation=20', 'craftStimpackRangeGroupE,craftApplyPoisonGroupC,craftApplyDiseaseAreaGroupB', ' ', '1', '0');
INSERT INTO `skills` VALUES ('580', 'science_combatmedic_support_01', 'science_combatmedic', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'science_combatmedic_novice', ' ', 'medical', '12500', '40000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'combat_healing_ability=15,slope_move=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('581', 'science_combatmedic_support_02', 'science_combatmedic_support_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'science_combatmedic_support_01', ' ', 'medical', '25000', '60000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'combat_healing_ability=15,slope_move=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('582', 'science_combatmedic_support_03', 'science_combatmedic_support_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'science_combatmedic_support_02', ' ', 'medical', '37500', '80000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'combat_healing_ability=15,slope_move=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('583', 'science_combatmedic_support_04', 'science_combatmedic_support_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'science_combatmedic_support_03', ' ', 'medical', '50000', '80000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'combat_healing_ability=25,slope_move=10,burst_run=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('584', 'social_imagedesigner', 'social', 'fourByFour', '0', '0', '1', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('585', 'social_imagedesigner_novice', 'social_imagedesigner', 'fourByFour', '0', '1', '0', '0', '5000', '6', '0', 'social_entertainer_hairstyle_04', ' ', 'imagedesigner', '10000', '20000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'hair=1,body=1,face=1', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('586', 'social_imagedesigner_master', 'social_imagedesigner', 'fourByFour', '0', '1', '0', '0', '10000', '1', '0', 'social_imagedesigner_hairstyle_04,social_imagedesigner_exotic_04,social_imagedesigner_bodyform_04,social_imagedesigner_markings_04', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'markings=2,body=2,face=2', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('587', 'social_imagedesigner_hairstyle_01', 'social_imagedesigner', 'fourByFour', '0', '0', '0', '0', '6000', '4', '0', 'social_imagedesigner_novice', ' ', 'imagedesigner', '10000', '40000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'hair=1', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('588', 'social_imagedesigner_hairstyle_02', 'social_imagedesigner_hairstyle_01', 'fourByFour', '0', '0', '0', '0', '7000', '3', '0', 'social_imagedesigner_hairstyle_01', ' ', 'imagedesigner', '20000', '60000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'hair=2', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('589', 'social_imagedesigner_hairstyle_03', 'social_imagedesigner_hairstyle_02', 'fourByFour', '0', '0', '0', '0', '8000', '2', '0', 'social_imagedesigner_hairstyle_02', ' ', 'imagedesigner', '30000', '80000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'hair=2', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('590', 'social_imagedesigner_hairstyle_04', 'social_imagedesigner_hairstyle_03', 'fourByFour', '0', '1', '0', '0', '9000', '1', '0', 'social_imagedesigner_hairstyle_03', ' ', 'imagedesigner', '40000', '80000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'hair=2', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('591', 'social_imagedesigner_exotic_01', 'social_imagedesigner', 'fourByFour', '0', '0', '0', '0', '6000', '4', '0', 'social_imagedesigner_novice', ' ', 'imagedesigner', '10000', '40000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'face=1', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('592', 'social_imagedesigner_exotic_02', 'social_imagedesigner_exotic_01', 'fourByFour', '0', '0', '0', '0', '7000', '3', '0', 'social_imagedesigner_exotic_01', ' ', 'imagedesigner', '20000', '60000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'face=1', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('593', 'social_imagedesigner_exotic_03', 'social_imagedesigner_exotic_02', 'fourByFour', '0', '0', '0', '0', '8000', '2', '0', 'social_imagedesigner_exotic_02', ' ', 'imagedesigner', '30000', '80000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'face=2', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('594', 'social_imagedesigner_exotic_04', 'social_imagedesigner_exotic_03', 'fourByFour', '0', '1', '0', '0', '9000', '1', '0', 'social_imagedesigner_exotic_03', ' ', 'imagedesigner', '40000', '80000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'face=2', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('595', 'social_imagedesigner_bodyform_01', 'social_imagedesigner', 'fourByFour', '0', '0', '0', '0', '6000', '4', '0', 'social_imagedesigner_novice', ' ', 'imagedesigner', '10000', '40000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'body=1', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('596', 'social_imagedesigner_bodyform_02', 'social_imagedesigner_bodyform_01', 'fourByFour', '0', '0', '0', '0', '7000', '3', '0', 'social_imagedesigner_bodyform_01', ' ', 'imagedesigner', '20000', '60000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'body=1', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('597', 'social_imagedesigner_bodyform_03', 'social_imagedesigner_bodyform_02', 'fourByFour', '0', '0', '0', '0', '8000', '2', '0', 'social_imagedesigner_bodyform_02', ' ', 'imagedesigner', '30000', '80000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'body=2', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('598', 'social_imagedesigner_bodyform_04', 'social_imagedesigner_bodyform_03', 'fourByFour', '0', '1', '0', '0', '9000', '1', '0', 'social_imagedesigner_bodyform_03', ' ', 'imagedesigner', '40000', '80000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'body=2', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('599', 'social_imagedesigner_markings_01', 'social_imagedesigner', 'fourByFour', '0', '0', '0', '0', '6000', '4', '0', 'social_imagedesigner_novice', ' ', 'imagedesigner', '10000', '40000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'markings=1', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('600', 'social_imagedesigner_markings_02', 'social_imagedesigner_markings_01', 'fourByFour', '0', '0', '0', '0', '7000', '3', '0', 'social_imagedesigner_markings_01', ' ', 'imagedesigner', '20000', '60000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'markings=1', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('601', 'social_imagedesigner_markings_03', 'social_imagedesigner_markings_02', 'fourByFour', '0', '0', '0', '0', '8000', '2', '0', 'social_imagedesigner_markings_02', ' ', 'imagedesigner', '30000', '80000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'markings=2', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('602', 'social_imagedesigner_markings_04', 'social_imagedesigner_markings_03', 'fourByFour', '0', '1', '0', '0', '9000', '1', '0', 'social_imagedesigner_markings_03', ' ', 'imagedesigner', '40000', '80000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'markings=2', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('603', 'outdoors_squadleader', 'outdoors', 'fourByFour', '0', '0', '1', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('604', 'outdoors_squadleader_novice', 'outdoors_squadleader', 'fourByFour', '0', '1', '0', '0', '5000', '6', '0', 'outdoors_scout_movement_04,outdoors_scout_camp_04,combat_marksman_support_04', ' ', 'combat_general', '7500', '20000', ' ', '0', ' ', ' ', 'none', ' ', 'serversysgroup', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('605', 'outdoors_squadleader_master', 'outdoors_squadleader', 'fourByFour', '0', '1', '0', '0', '10000', '1', '0', 'outdoors_squadleader_movement_04,outdoors_squadleader_offense_04,outdoors_squadleader_defense_04,outdoors_squadleader_support_04', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'group_melee_defense=5,group_ranged_defense=5,group_burst_run=10,group_slope_move=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('606', 'outdoors_squadleader_movement_01', 'outdoors_squadleader', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'outdoors_squadleader_novice', ' ', 'squadleader', '175000', '500000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'group_slope_move=25', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('607', 'outdoors_squadleader_movement_02', 'outdoors_squadleader_movement_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'outdoors_squadleader_movement_01', ' ', 'squadleader', '250000', '700000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'group_burst_run=25', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('608', 'outdoors_squadleader_movement_03', 'outdoors_squadleader_movement_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'outdoors_squadleader_movement_02', ' ', 'squadleader', '350000', '900000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'group_slope_move=25', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('609', 'outdoors_squadleader_movement_04', 'outdoors_squadleader_movement_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'outdoors_squadleader_movement_03', ' ', 'squadleader', '450000', '900000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'group_burst_run=25', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('610', 'outdoors_squadleader_offense_01', 'outdoors_squadleader', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'outdoors_squadleader_novice', ' ', 'squadleader', '175000', '500000', ' ', '0', ' ', ' ', 'none', ' ', 'steadyaim', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('611', 'outdoors_squadleader_offense_02', 'outdoors_squadleader_offense_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'outdoors_squadleader_offense_01', ' ', 'squadleader', '250000', '700000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'steadyaim=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('612', 'outdoors_squadleader_offense_03', 'outdoors_squadleader_offense_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'outdoors_squadleader_offense_02', ' ', 'squadleader', '350000', '900000', ' ', '0', ' ', ' ', 'none', ' ', 'volleyFire', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('613', 'outdoors_squadleader_offense_04', 'outdoors_squadleader_offense_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'outdoors_squadleader_offense_03', ' ', 'squadleader', '450000', '900000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'volley=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('614', 'outdoors_squadleader_defense_01', 'outdoors_squadleader', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'outdoors_squadleader_novice', ' ', 'squadleader', '175000', '500000', ' ', '0', ' ', ' ', 'none', ' ', 'formup', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('615', 'outdoors_squadleader_defense_02', 'outdoors_squadleader_defense_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'outdoors_squadleader_defense_01', ' ', 'squadleader', '250000', '700000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'group_melee_defense=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('616', 'outdoors_squadleader_defense_03', 'outdoors_squadleader_defense_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'outdoors_squadleader_defense_02', ' ', 'squadleader', '350000', '900000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'group_melee_defense=15', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('617', 'outdoors_squadleader_defense_04', 'outdoors_squadleader_defense_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'outdoors_squadleader_defense_03', ' ', 'squadleader', '450000', '900000', ' ', '0', ' ', ' ', 'none', ' ', 'boostmorale', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('618', 'outdoors_squadleader_support_01', 'outdoors_squadleader', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'outdoors_squadleader_novice', ' ', 'squadleader', '175000', '500000', ' ', '0', ' ', ' ', 'none', ' ', 'rally', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('619', 'outdoors_squadleader_support_02', 'outdoors_squadleader_support_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'outdoors_squadleader_support_01', ' ', 'squadleader', '250000', '700000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'group_ranged_defense=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('620', 'outdoors_squadleader_support_03', 'outdoors_squadleader_support_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'outdoors_squadleader_support_02', ' ', 'squadleader', '350000', '900000', ' ', '0', ' ', ' ', 'none', ' ', 'retreat', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('621', 'outdoors_squadleader_support_04', 'outdoors_squadleader_support_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'outdoors_squadleader_support_03', ' ', 'squadleader', '450000', '900000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'group_ranged_defense=15', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('622', 'social_politician', 'social', 'fourByFour', '0', '0', '1', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('623', 'social_politician_novice', 'social_politician', 'fourByFour', '0', '1', '0', '0', '100', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', 'place_cityhall,manage_taxes,grantZoningRights', 'private_place_cityhall=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('624', 'social_politician_master', 'social_politician', 'fourByFour', '0', '1', '0', '0', '5000', '0', '0', 'social_politician_fiscal_04,social_politician_martial_04,social_politician_civic_04,social_politician_urban_04', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('625', 'social_politician_fiscal_01', 'social_politician', 'fourByFour', '0', '0', '0', '0', '1000', '0', '0', 'social_politician_novice', ' ', 'political', '1000', '20000', ' ', '0', ' ', ' ', 'none', ' ', 'city_map', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('626', 'social_politician_fiscal_02', 'social_politician_fiscal_01', 'fourByFour', '0', '0', '0', '0', '2000', '0', '0', 'social_politician_fiscal_01', ' ', 'political', '2500', '40000', ' ', '0', ' ', ' ', 'none', ' ', 'place_bank,place_shuttleport', 'private_place_bank=100,private_place_shuttleport=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('627', 'social_politician_fiscal_03', 'social_politician_fiscal_02', 'fourByFour', '0', '0', '0', '0', '3000', '0', '0', 'social_politician_fiscal_02', ' ', 'political', '5000', '60000', ' ', '0', ' ', ' ', 'none', ' ', 'city_spec_industry', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('628', 'social_politician_fiscal_04', 'social_politician_fiscal_03', 'fourByFour', '0', '1', '0', '0', '4000', '0', '0', 'social_politician_fiscal_03', ' ', 'political', '10000', '60000', ' ', '0', ' ', ' ', 'none', ' ', 'city_spec_research', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('629', 'social_politician_martial_01', 'social_politician', 'fourByFour', '0', '0', '0', '0', '1000', '0', '0', 'social_politician_novice', ' ', 'political', '1000', '20000', ' ', '0', ' ', ' ', 'none', ' ', 'manage_militia', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('630', 'social_politician_martial_02', 'social_politician_martial_01', 'fourByFour', '0', '0', '0', '0', '2000', '0', '0', 'social_politician_martial_01', ' ', 'political', '2500', '40000', ' ', '0', ' ', ' ', 'none', ' ', 'place_cloning,city_spec_cloning', 'private_place_cloning=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('631', 'social_politician_martial_03', 'social_politician_martial_02', 'fourByFour', '0', '0', '0', '0', '3000', '0', '0', 'social_politician_martial_02', ' ', 'political', '5000', '60000', ' ', '0', ' ', ' ', 'none', ' ', 'city_spec_stronghold', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('632', 'social_politician_martial_04', 'social_politician_martial_03', 'fourByFour', '0', '1', '0', '0', '4000', '0', '0', 'social_politician_martial_03', ' ', 'political', '10000', '60000', ' ', '0', ' ', ' ', 'none', ' ', 'place_faction_terminal', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('633', 'social_politician_civic_01', 'social_politician', 'fourByFour', '0', '0', '0', '0', '1000', '0', '0', 'social_politician_novice', ' ', 'political', '1000', '20000', ' ', '0', ' ', ' ', 'none', ' ', 'installMissionTerminal', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('634', 'social_politician_civic_02', 'social_politician_civic_01', 'fourByFour', '0', '0', '0', '0', '2000', '0', '0', 'social_politician_civic_01', ' ', 'political', '2500', '40000', ' ', '0', ' ', ' ', 'none', ' ', 'recruitSkillTrainer,place_garage', 'private_place_garage=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('635', 'social_politician_civic_03', 'social_politician_civic_02', 'fourByFour', '0', '0', '0', '0', '3000', '0', '0', 'social_politician_civic_02', ' ', 'political', '5000', '60000', ' ', '0', ' ', ' ', 'none', ' ', 'city_spec_entertainer,city_spec_doctor', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('636', 'social_politician_civic_04', 'social_politician_civic_03', 'fourByFour', '0', '1', '0', '0', '4000', '0', '0', 'social_politician_civic_03', ' ', 'political', '10000', '60000', ' ', '0', ' ', ' ', 'none', ' ', 'city_spec_missions,city_spec_sample_rich', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('637', 'social_politician_urban_01', 'social_politician', 'fourByFour', '0', '0', '0', '0', '1000', '0', '0', 'social_politician_novice', ' ', 'political', '1000', '20000', ' ', '0', ' ', ' ', 'none', ' ', 'place_streetlamp,place_statue', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('638', 'social_politician_urban_02', 'social_politician_urban_01', 'fourByFour', '0', '0', '0', '0', '2000', '0', '0', 'social_politician_urban_01', ' ', 'political', '2500', '40000', ' ', '0', ' ', ' ', 'none', ' ', 'place_fountain', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('639', 'social_politician_urban_03', 'social_politician_urban_02', 'fourByFour', '0', '0', '0', '0', '3000', '0', '0', 'social_politician_urban_02', ' ', 'political', '5000', '60000', ' ', '0', ' ', ' ', 'none', ' ', 'place_small_garden,place_medium_garden', 'private_place_small_garden=100,private_place_medium_garden=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('640', 'social_politician_urban_04', 'social_politician_urban_03', 'fourByFour', '0', '1', '0', '0', '4000', '0', '0', 'social_politician_urban_03', ' ', 'political', '10000', '60000', ' ', '0', ' ', ' ', 'none', ' ', 'place_large_garden,place_exotic_garden', 'private_place_large_garden=100,private_place_exotic_garden=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('641', 'social_language', 'social', 'fourByFour', '0', '0', '0', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('642', 'social_language_basic', 'social_language', 'fourByFour', '0', '0', '0', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', 'bothan,human,moncalamari,rodian,trandoshan,twilek,zabrak', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('643', 'social_language_basic_speak', 'social_language', 'fourByFour', '0', '0', '0', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', 'bothan,human,moncalamari,rodian,trandoshan,twilek,zabrak', 'none', ' ', ' ', 'language_basic_speak=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('644', 'social_language_basic_comprehend', 'social_language', 'fourByFour', '0', '0', '0', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'language_basic_comprehend=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('645', 'social_language_rodian', 'social_language', 'fourByFour', '0', '0', '0', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('646', 'social_language_rodian_speak', 'social_language', 'fourByFour', '0', '0', '0', '0', '1000', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', 'bothan,human,moncalamari,rodian,trandoshan,twilek,zabrak', 'none', ' ', 'language+rodese', 'language_rodian_speak=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('647', 'social_language_rodian_comprehend', 'social_language', 'fourByFour', '0', '0', '0', '0', '1000', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'language_rodian_comprehend=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('648', 'social_language_trandoshan', 'social_language', 'fourByFour', '0', '0', '0', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('649', 'social_language_trandoshan_speak', 'social_language', 'fourByFour', '0', '0', '0', '0', '1000', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', 'bothan,human,moncalamari,rodian,trandoshan,twilek,zabrak', 'none', ' ', 'language+dosh', 'language_trandoshan_speak=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('650', 'social_language_trandoshan_comprehend', 'social_language', 'fourByFour', '0', '0', '0', '0', '1000', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'language_trandoshan_comprehend=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('651', 'social_language_moncalamari', 'social_language', 'fourByFour', '0', '0', '0', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('652', 'social_language_moncalamari_speak', 'social_language', 'fourByFour', '0', '0', '0', '0', '1000', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', 'bothan,human,moncalamari,rodian,trandoshan,twilek,zabrak', 'none', ' ', 'language+moncalamarian', 'language_moncalamari_speak=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('653', 'social_language_moncalamari_comprehend', 'social_language', 'fourByFour', '0', '0', '0', '0', '1000', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'language_moncalamari_comprehend=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('654', 'social_language_wookiee', 'social_language', 'fourByFour', '0', '0', '0', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('655', 'social_language_wookiee_speak', 'social_language', 'fourByFour', '0', '0', '0', '0', '1000', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', 'wookiee', 'none', ' ', 'language+shyriiwook', 'language_wookiee_speak=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('656', 'social_language_wookiee_comprehend', 'social_language', 'fourByFour', '0', '0', '0', '0', '1000', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'language_wookiee_comprehend=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('657', 'social_language_bothan', 'social_language', 'fourByFour', '0', '0', '0', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('658', 'social_language_bothan_speak', 'social_language', 'fourByFour', '0', '0', '0', '0', '1000', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', 'bothan,human,moncalamari,rodian,trandoshan,twilek,zabrak', 'none', ' ', 'language+bothese', 'language_bothan_speak=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('659', 'social_language_bothan_comprehend', 'social_language', 'fourByFour', '0', '0', '0', '0', '1000', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'language_bothan_comprehend=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('660', 'social_language_twilek', 'social_language', 'fourByFour', '0', '0', '0', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('661', 'social_language_twilek_speak', 'social_language', 'fourByFour', '0', '0', '0', '0', '1000', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', 'bothan,human,moncalamari,rodian,trandoshan,twilek,zabrak', 'none', ' ', 'language+ryl', 'language_twilek_speak=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('662', 'social_language_twilek_comprehend', 'social_language', 'fourByFour', '0', '0', '0', '0', '1000', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'language_twilek_comprehend=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('663', 'social_language_zabrak', 'social_language', 'fourByFour', '0', '0', '0', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('664', 'social_language_zabrak_speak', 'social_language', 'fourByFour', '0', '0', '0', '0', '1000', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', 'bothan,human,moncalamari,rodian,trandoshan,twilek,zabrak', 'none', ' ', 'language+zabrak', 'language_zabrak_speak=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('665', 'social_language_zabrak_comprehend', 'social_language', 'fourByFour', '0', '0', '0', '0', '1000', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'language_zabrak_comprehend=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('666', 'social_language_lekku', 'social_language', 'fourByFour', '0', '0', '0', '0', '0', '0', '0', ' ', ' ', 'unobtainable', '1', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('667', 'social_language_lekku_speak', 'social_language', 'fourByFour', '0', '0', '0', '0', '0', '0', '0', ' ', ' ', 'unobtainable', '1', '0', ' ', '0', ' ', 'twilek', 'none', ' ', 'language+lekku', 'language_lekku_speak=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('668', 'social_language_lekku_comprehend', 'social_language', 'fourByFour', '0', '0', '0', '0', '0', '0', '0', ' ', ' ', 'unobtainable', '1', '0', ' ', '0', ' ', 'twilek', 'none', ' ', ' ', 'language_lekku_comprehend=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('669', 'social_language_ithorian', 'social_language', 'fourByFour', '0', '0', '0', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('670', 'social_language_ithorian_speak', 'social_language', 'fourByFour', '0', '0', '0', '0', '1000', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', 'bothan,human,moncalamari,rodian,trandoshan,twilek,zabrak', 'none', ' ', 'language+ithorian', 'language_ithorian_speak=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('671', 'social_language_ithorian_comprehend', 'social_language', 'fourByFour', '0', '0', '0', '0', '1000', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'language_ithorian_comprehend=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('672', 'social_language_sullustan', 'social_language', 'fourByFour', '0', '0', '0', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('673', 'social_language_sullustan_speak', 'social_language', 'fourByFour', '0', '0', '0', '0', '1000', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', 'bothan,human,moncalamari,rodian,trandoshan,twilek,zabrak', 'none', ' ', 'language+sullustan', 'language_sullustan_speak=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('674', 'social_language_sullustan_comprehend', 'social_language', 'fourByFour', '0', '0', '0', '0', '1000', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'language_sullustan_comprehend=100', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('675', 'species', ' ', 'fourByFour', '1', '0', '0', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('676', 'species_bothan', 'species', 'fourByFour', '1', '0', '0', '0', '0', '0', '0', ' ', ' ', 'unobtainable', '1', '0', ' ', '0', ' ', 'bothan', 'none', ' ', 'cert_knife_stone,cert_knife_survival,cert_lance_staff_wood_s1,cert_axe_heavy_duty,cert_rifle_cdef,cert_pistol_cdef,cert_carbine_cdef,cert_grenade_fragmentation_light,throwgrenade', 'camouflage=15,take_cover=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('677', 'species_human', 'species', 'fourByFour', '1', '0', '0', '0', '0', '0', '0', ' ', ' ', 'unobtainable', '1', '0', ' ', '0', ' ', 'human', 'none', ' ', 'cert_knife_stone,cert_knife_survival,cert_lance_staff_wood_s1,cert_axe_heavy_duty,cert_rifle_cdef,cert_pistol_cdef,cert_carbine_cdef,cert_grenade_fragmentation_light,throwgrenade', 'leadership=10,general_experimentation=15', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('678', 'species_moncal', 'species', 'fourByFour', '1', '0', '0', '0', '0', '0', '0', ' ', ' ', 'unobtainable', '1', '0', ' ', '0', ' ', 'moncal', 'none', ' ', 'cert_knife_stone,cert_knife_survival,cert_lance_staff_wood_s1,cert_axe_heavy_duty,cert_rifle_cdef,cert_pistol_cdef,cert_carbine_cdef,cert_grenade_fragmentation_light,throwgrenade', 'alert=15,weapon_assembly=10,structure_assembly=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('679', 'species_rodian', 'species', 'fourByFour', '1', '0', '0', '0', '0', '0', '0', ' ', ' ', 'unobtainable', '1', '0', ' ', '0', ' ', 'rodian', 'none', ' ', 'cert_knife_stone,cert_knife_survival,cert_lance_staff_wood_s1,cert_axe_heavy_duty,cert_rifle_cdef,cert_pistol_cdef,cert_carbine_cdef,cert_grenade_fragmentation_light,throwgrenade', 'blind_defense=15,onehandmelee_accuracy=10,twohandmelee_accuracy=10,weapon_assembly=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('680', 'species_trandoshan', 'species', 'fourByFour', '1', '0', '0', '0', '0', '0', '0', ' ', ' ', 'unobtainable', '1', '0', ' ', '0', ' ', 'trandoshan', 'none', ' ', 'regeneration,cert_knife_stone,cert_knife_survival,cert_lance_staff_wood_s1,cert_axe_heavy_duty,cert_rifle_cdef,cert_pistol_cdef,cert_carbine_cdef,cert_grenade_fragmentation_light,throwgrenade', 'unarmed_accuracy=10,unarmed_speed=5,unarmed_damage=15,melee_defense=10,creature_harvesting=10,private_innate_regeneration=1', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('681', 'species_twilek', 'species', 'fourByFour', '1', '0', '0', '0', '0', '0', '0', ' ', ' ', 'unobtainable', '1', '0', ' ', '0', ' ', 'twilek', 'none', ' ', 'cert_knife_stone,cert_knife_survival,cert_lance_staff_wood_s1,cert_axe_heavy_duty,cert_rifle_cdef,cert_pistol_cdef,cert_carbine_cdef,cert_grenade_fragmentation_light,throwgrenade', 'healing_dance_wound=15,healing_music_wound=5,healing_dance_shock=15,healing_music_shock=5', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('682', 'species_wookiee', 'species', 'fourByFour', '1', '0', '0', '0', '0', '0', '0', ' ', ' ', 'unobtainable', '1', '0', ' ', '0', ' ', 'wookiee', 'none', ' ', 'wookieeRoar,cert_rifle_bowcaster,cert_knife_stone,cert_knife_survival,cert_lance_staff_wood_s1,cert_axe_heavy_duty,cert_rifle_cdef,cert_pistol_cdef,cert_carbine_cdef,cert_grenade_fragmentation_light,throwgrenade', 'trapping=10,tame_bonus=10,rescue=10,warcry=10,private_innate_roar=1', 'craftWookieItems', ' ', '1', '0');
INSERT INTO `skills` VALUES ('683', 'species_zabrak', 'species', 'fourByFour', '1', '0', '0', '0', '0', '0', '0', ' ', ' ', 'unobtainable', '1', '0', ' ', '0', ' ', 'zabrak', 'none', ' ', 'vitalize,equilibrium,cert_knife_stone,cert_knife_survival,cert_lance_staff_wood_s1,cert_axe_heavy_duty,cert_rifle_cdef,cert_pistol_cdef,cert_carbine_cdef,cert_grenade_fragmentation_light,throwgrenade', 'dizzy_defense=10,stun_defense=10,intimidate_defense=10,anti_shock=5,private_innate_equilibrium=1,private_innate_vitalize=1', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('684', 'species_ithorian', 'species', 'fourByFour', '1', '0', '0', '0', '0', '0', '0', ' ', ' ', 'unobtainable', '1', '0', ' ', '0', ' ', 'ithorian', 'none', ' ', 'cert_knife_stone,cert_knife_survival,cert_lance_staff_wood_s1,cert_axe_heavy_duty,cert_rifle_cdef,cert_pistol_cdef,cert_carbine_cdef,cert_grenade_fragmentation_light,throwgrenade', 'dizzy_defense=10,stun_defense=10,tame_bonus=10,melee_defense=10,chassis_assembly=10,power_systems=10,shields_assembly=10,advanced_assembly=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('685', 'species_sullustan', 'species', 'fourByFour', '1', '0', '0', '0', '0', '0', '0', ' ', ' ', 'unobtainable', '1', '0', ' ', '0', ' ', 'sullustan', 'none', ' ', 'space_navigator,cert_knife_stone,cert_knife_survival,cert_lance_staff_wood_s1,cert_axe_heavy_duty,cert_rifle_cdef,cert_pistol_cdef,cert_carbine_cdef,cert_grenade_fragmentation_light,throwgrenade', 'engine_assembly=10,booster_assembly=10,weapon_systems=10,trapping=10,creature_harvesting=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('686', 'jedi', ' ', 'fourByFour', '1', '0', '0', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('687', 'jedi_padawan', 'jedi', 'fourByFour', '1', '0', '1', '1', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('688', 'jedi_padawan_novice', 'jedi_padawan', 'fourByFour', '1', '1', '0', '1', '0', '250', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', 'saberSlash1,healBattleFatigueSelf1,cert_onehandlightsaber,sample,survey', 'jedi_force_power_max=200,jedi_force_power_regen=1,jedi_saber_assembly=25,onehandlightsaber_accuracy=30,onehandlightsaber_speed=30,saber_block=5,onehandlightsaber_toughness=5,surveying=50,private_jedi_difficulty=1000', 'craftJediTool,craftSaberOneHand1', ' ', '0', '0');
INSERT INTO `skills` VALUES ('689', 'jedi_padawan_master', 'jedi_padawan', 'fourByFour', '1', '1', '0', '1', '0', '0', '0', 'jedi_padawan_saber_04,jedi_padawan_healing_04,jedi_padawan_force_power_04,jedi_padawan_force_manipulation_04', ' ', 'jedi_general', '1500000', '4000000', ' ', '0', ' ', ' ', 'none', ' ', 'saberSlash2,saber1hComboHit2,saber1hHeadHit2,healBattleFatigueSelf2,saber1hFlurry', 'jedi_force_power_max=200,jedi_force_power_regen=1,onehandlightsaber_accuracy=20,onehandlightsaber_speed=10,forcethrow_accuracy=30,saber_block=6,onehandlightsaber_toughness=10,private_jedi_difficulty=500,forceknockdown_accuracy=20', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('690', 'jedi_padawan_saber_01', 'jedi_padawan', 'fourByFour', '1', '0', '0', '1', '0', '0', '0', 'jedi_padawan_novice', ' ', 'combat_meleespecialize_onehandlightsaber', '2500', '20000', ' ', '0', ' ', ' ', 'none', ' ', 'saber1hHit1', 'onehandlightsaber_accuracy=20,onehandlightsaber_speed=10,onehandlightsaber_toughness=2,private_jedi_difficulty=100', 'craftSaberOneHand2', ' ', '0', '0');
INSERT INTO `skills` VALUES ('691', 'jedi_padawan_saber_02', 'jedi_padawan_saber_01', 'fourByFour', '1', '0', '0', '1', '0', '0', '0', 'jedi_padawan_saber_01', ' ', 'combat_meleespecialize_onehandlightsaber', '15000', '30000', ' ', '0', ' ', ' ', 'none', ' ', 'saber1hComboHit1', 'onehandlightsaber_accuracy=20,onehandlightsaber_speed=10,onehandlightsaber_toughness=2,private_jedi_difficulty=100', 'craftSaberOneHand3', ' ', '0', '0');
INSERT INTO `skills` VALUES ('692', 'jedi_padawan_saber_03', 'jedi_padawan_saber_02', 'fourByFour', '1', '0', '0', '1', '0', '0', '0', 'jedi_padawan_saber_02', ' ', 'combat_meleespecialize_onehandlightsaber', '25000', '80000', ' ', '0', ' ', ' ', 'none', ' ', 'saber1hHeadHit1', 'onehandlightsaber_accuracy=20,onehandlightsaber_speed=10,saber_block=2,onehandlightsaber_toughness=2,private_jedi_difficulty=100', 'craftSaberOneHand4', ' ', '0', '0');
INSERT INTO `skills` VALUES ('693', 'jedi_padawan_saber_04', 'jedi_padawan_saber_03', 'fourByFour', '1', '1', '0', '1', '0', '0', '0', 'jedi_padawan_saber_03', ' ', 'combat_meleespecialize_onehandlightsaber', '75000', '200000', ' ', '0', ' ', ' ', 'none', ' ', 'saber1hHit2', 'onehandlightsaber_accuracy=20,onehandlightsaber_speed=10,saber_block=2,onehandlightsaber_toughness=2,private_jedi_difficulty=100', 'craftSaberOneHand5', ' ', '0', '0');
INSERT INTO `skills` VALUES ('694', 'jedi_padawan_healing_01', 'jedi_padawan', 'fourByFour', '1', '0', '0', '1', '0', '0', '0', 'jedi_padawan_novice', ' ', 'jedi_general', '20000', '500000', ' ', '0', ' ', ' ', 'none', ' ', 'healHealthSelf1,healHealthWoundSelf1', ' ', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('695', 'jedi_padawan_healing_02', 'jedi_padawan_healing_01', 'fourByFour', '1', '0', '0', '1', '0', '0', '0', 'jedi_padawan_healing_01', ' ', 'jedi_general', '200000', '1000000', ' ', '0', ' ', ' ', 'none', ' ', 'healActionSelf1,healActionWoundSelf1', ' ', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('696', 'jedi_padawan_healing_03', 'jedi_padawan_healing_02', 'fourByFour', '1', '0', '0', '1', '0', '0', '0', 'jedi_padawan_healing_02', ' ', 'jedi_general', '400000', '1500000', ' ', '0', ' ', ' ', 'none', ' ', 'healMindSelf1,healMindWoundSelf1', ' ', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('697', 'jedi_padawan_healing_04', 'jedi_padawan_healing_03', 'fourByFour', '1', '1', '0', '1', '0', '0', '0', 'jedi_padawan_healing_03', ' ', 'jedi_general', '800000', '2000000', ' ', '0', ' ', ' ', 'none', ' ', 'healAllSelf1', ' ', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('698', 'jedi_padawan_force_power_01', 'jedi_padawan', 'fourByFour', '1', '0', '0', '1', '0', '0', '0', 'jedi_padawan_novice', ' ', 'jedi_general', '50000', '500000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'jedi_force_power_max=100,jedi_force_power_regen=1,private_jedi_difficulty=100', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('699', 'jedi_padawan_force_power_02', 'jedi_padawan_force_power_01', 'fourByFour', '1', '0', '0', '1', '0', '0', '0', 'jedi_padawan_force_power_01', ' ', 'jedi_general', '200000', '1000000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'jedi_force_power_max=100,jedi_force_power_regen=1,private_jedi_difficulty=100', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('700', 'jedi_padawan_force_power_03', 'jedi_padawan_force_power_02', 'fourByFour', '1', '0', '0', '1', '0', '0', '0', 'jedi_padawan_force_power_02', ' ', 'jedi_general', '400000', '1500000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'jedi_force_power_max=100,jedi_force_power_regen=1,private_jedi_difficulty=100', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('701', 'jedi_padawan_force_power_04', 'jedi_padawan_force_power_03', 'fourByFour', '1', '1', '0', '1', '0', '0', '0', 'jedi_padawan_force_power_03', ' ', 'jedi_general', '800000', '2000000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'jedi_force_power_max=100,jedi_force_power_regen=1,private_jedi_difficulty=100', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('702', 'jedi_padawan_force_manipulation_01', 'jedi_padawan', 'fourByFour', '1', '0', '0', '1', '0', '0', '0', 'jedi_padawan_novice', ' ', 'jedi_general', '50000', '500000', ' ', '0', ' ', ' ', 'none', ' ', 'forceRun1', ' ', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('703', 'jedi_padawan_force_manipulation_02', 'jedi_padawan_force_manipulation_01', 'fourByFour', '1', '0', '0', '1', '0', '0', '0', 'jedi_padawan_force_manipulation_01', ' ', 'jedi_general', '200000', '1000000', ' ', '0', ' ', ' ', 'none', ' ', 'forceKnockdown1', 'forceknockdown_accuracy=30,private_jedi_difficulty=100', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('704', 'jedi_padawan_force_manipulation_03', 'jedi_padawan_force_manipulation_02', 'fourByFour', '1', '0', '0', '1', '0', '0', '0', 'jedi_padawan_force_manipulation_02', ' ', 'jedi_general', '400000', '1500000', ' ', '0', ' ', ' ', 'none', ' ', 'mindBlast1', 'mindblast_accuracy=30', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('705', 'jedi_padawan_force_manipulation_04', 'jedi_padawan_force_manipulation_03', 'fourByFour', '1', '1', '0', '1', '0', '0', '0', 'jedi_padawan_force_manipulation_03', ' ', 'jedi_general', '800000', '2000000', ' ', '0', ' ', ' ', 'none', ' ', 'forceThrow1', 'forcethrow_accuracy=30,private_jedi_difficulty=100', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('706', 'jedi_light_side_journeyman', 'jedi', 'fourByFour', '1', '0', '1', '1', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('707', 'jedi_light_side_journeyman_novice', 'jedi_light_side_journeyman', 'fourByFour', '1', '1', '0', '1', '0', '0', '0', 'jedi_padawan_master', 'jedi_dark_side_journeyman_novice', 'jedi_general', '3200000', '4000000', ' ', '0', ' ', ' ', 'none', ' ', 'healAllOther1,mindBlast2,saber2hHit1,saberThrow1,cert_twohandlightsaber,forceCurePoison,forceCureDisease,', 'jedi_force_power_max=400,jedi_force_power_regen=2,jedi_saber_assembly=25,twohandlightsaber_accuracy=3,twohandlightsaber_speed=30,mindblast_accuracy=60,saber_block=5,onehandlightsaber_toughness=5,twohandlightsaber_toughness=10,private_jedi_difficulty=500', 'craftSaberTwoHand1', ' ', '0', '0');
INSERT INTO `skills` VALUES ('708', 'jedi_light_side_journeyman_master', 'jedi_light_side_journeyman', 'fourByFour', '1', '1', '0', '1', '0', '0', '0', 'jedi_light_side_journeyman_saber_04,jedi_light_side_journeyman_healing_04,jedi_light_side_journeyman_force_power_04,jedi_light_side_journeyman_force_manipulation_04', ' ', 'jedi_general', '3200000', '4000000', ' ', '0', ' ', ' ', 'none', ' ', 'saber2hHit3,saber2hFrenzy,saber2hBodyHit2,saberThrow2', 'jedi_force_power_max=400,jedi_force_power_regen=2,twohandlightsaber_accuracy=20,twohandlightsaber_speed=10,saber_block=12,twohandlightsaber_toughness=10,private_jedi_difficulty=1200', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('709', 'jedi_light_side_journeyman_saber_01', 'jedi_light_side_journeyman', 'fourByFour', '1', '0', '0', '1', '0', '0', '0', 'jedi_light_side_journeyman_novice', ' ', 'combat_meleespecialize_twohandlightsaber', '150000', '300000', ' ', '0', ' ', ' ', 'none', ' ', 'saber2hBodyHit1', 'twohandlightsaber_accuracy=20,twohandlightsaber_speed=10,saber_block=2,onehandlightsaber_toughness=5,twohandlightsaber_toughness=5,private_jedi_difficulty=100', 'craftSaberTwoHand2', ' ', '0', '0');
INSERT INTO `skills` VALUES ('710', 'jedi_light_side_journeyman_saber_02', 'jedi_light_side_journeyman_saber_01', 'fourByFour', '1', '0', '0', '1', '0', '0', '0', 'jedi_light_side_journeyman_saber_01', ' ', 'combat_meleespecialize_twohandlightsaber', '250000', '400000', ' ', '0', ' ', ' ', 'none', ' ', 'saber2hSweep1', 'twohandlightsaber_accuracy=20,twohandlightsaber_speed=10,saber_block=2,onehandlightsaber_toughness=5,twohandlightsaber_toughness=5,private_jedi_difficulty=100', 'craftSaberTwoHand3', ' ', '0', '0');
INSERT INTO `skills` VALUES ('711', 'jedi_light_side_journeyman_saber_03', 'jedi_light_side_journeyman_saber_02', 'fourByFour', '1', '0', '0', '1', '0', '0', '0', 'jedi_light_side_journeyman_saber_02', ' ', 'combat_meleespecialize_twohandlightsaber', '350000', '500000', ' ', '0', ' ', ' ', 'none', ' ', 'saber2hHit2', 'twohandlightsaber_accuracy=20,twohandlightsaber_speed=10,saber_block=2,onehandlightsaber_toughness=5,twohandlightsaber_toughness=5,private_jedi_difficulty=100', 'craftSaberTwoHand4', ' ', '0', '0');
INSERT INTO `skills` VALUES ('712', 'jedi_light_side_journeyman_saber_04', 'jedi_light_side_journeyman_saber_03', 'fourByFour', '1', '1', '0', '1', '0', '0', '0', 'jedi_light_side_journeyman_saber_03', ' ', 'combat_meleespecialize_twohandlightsaber', '450000', '600000', ' ', '0', ' ', ' ', 'none', ' ', 'saber2hSweep2', 'twohandlightsaber_accuracy=20,twohandlightsaber_speed=10,saber_block=2,onehandlightsaber_toughness=5,twohandlightsaber_toughness=5,private_jedi_difficulty=100', 'craftSaberTwoHand5', ' ', '0', '0');
INSERT INTO `skills` VALUES ('713', 'jedi_light_side_journeyman_healing_01', 'jedi_light_side_journeyman', 'fourByFour', '1', '0', '0', '1', '0', '0', '0', 'jedi_light_side_journeyman_novice', ' ', 'jedi_general', '200000', '4000000', ' ', '0', ' ', ' ', 'none', ' ', 'healHealthSelf2,healHealthWoundOther1,healHealthWoundSelf2', ' ', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('714', 'jedi_light_side_journeyman_healing_02', 'jedi_light_side_journeyman_healing_01', 'fourByFour', '1', '0', '0', '1', '0', '0', '0', 'jedi_light_side_journeyman_healing_01', ' ', 'jedi_general', '400000', '4000000', ' ', '0', ' ', ' ', 'none', ' ', 'healActionWoundOther1,healActionSelf2,healActionWoundSelf2', ' ', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('715', 'jedi_light_side_journeyman_healing_03', 'jedi_light_side_journeyman_healing_02', 'fourByFour', '1', '0', '0', '1', '0', '0', '0', 'jedi_light_side_journeyman_healing_02', ' ', 'jedi_general', '800000', '4000000', ' ', '0', ' ', ' ', 'none', ' ', 'healMindSelf2,healMindWoundOther1,healMindWoundSelf2', ' ', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('716', 'jedi_light_side_journeyman_healing_04', 'jedi_light_side_journeyman_healing_03', 'fourByFour', '1', '1', '0', '1', '0', '0', '0', 'jedi_light_side_journeyman_healing_03', ' ', 'jedi_general', '1600000', '4000000', ' ', '0', ' ', ' ', 'none', ' ', 'healAllSelf2,healAllOther2', ' ', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('717', 'jedi_light_side_journeyman_force_power_01', 'jedi_light_side_journeyman', 'fourByFour', '1', '0', '0', '1', '0', '0', '0', 'jedi_light_side_journeyman_novice', ' ', 'jedi_general', '200000', '4000000', ' ', '0', ' ', ' ', 'none', ' ', 'animalScare', 'jedi_force_power_max=250,jedi_force_power_regen=2', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('718', 'jedi_light_side_journeyman_force_power_02', 'jedi_light_side_journeyman_force_power_01', 'fourByFour', '1', '0', '0', '1', '0', '0', '0', 'jedi_light_side_journeyman_force_power_01', ' ', 'jedi_general', '400000', '4000000', ' ', '0', ' ', ' ', 'none', ' ', 'animalCalm', 'jedi_force_power_max=250,jedi_force_power_regen=2', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('719', 'jedi_light_side_journeyman_force_power_03', 'jedi_light_side_journeyman_force_power_02', 'fourByFour', '1', '0', '0', '1', '0', '0', '0', 'jedi_light_side_journeyman_force_power_02', ' ', 'jedi_general', '800000', '4000000', ' ', '0', ' ', ' ', 'none', ' ', 'animalAttack', 'jedi_force_power_max=250,jedi_force_power_regen=2', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('720', 'jedi_light_side_journeyman_force_power_04', 'jedi_light_side_journeyman_force_power_03', 'fourByFour', '1', '1', '0', '1', '0', '0', '0', 'jedi_light_side_journeyman_force_power_03', ' ', 'jedi_general', '1600000', '4000000', ' ', '0', ' ', ' ', 'none', ' ', 'jediMindTrick', 'jedi_force_power_max=250,jedi_force_power_regen=2', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('721', 'jedi_light_side_journeyman_force_manipulation_01', 'jedi_light_side_journeyman', 'fourByFour', '1', '0', '0', '1', '0', '0', '0', 'jedi_light_side_journeyman_novice', ' ', 'jedi_general', '200000', '4000000', ' ', '0', ' ', ' ', 'none', ' ', 'forceLightningSingle1', 'private_force_lightning_single_power=1,forcelightning_accuracy=30,private_jedi_difficulty=100', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('722', 'jedi_light_side_journeyman_force_manipulation_02', 'jedi_light_side_journeyman_force_manipulation_01', 'fourByFour', '1', '0', '0', '1', '0', '0', '0', 'jedi_light_side_journeyman_force_manipulation_01', ' ', 'jedi_general', '400000', '4000000', ' ', '0', ' ', ' ', 'none', ' ', 'forceKnockdown2', 'forceknockdown_accuracy=30,private_jedi_difficulty=100', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('723', 'jedi_light_side_journeyman_force_manipulation_03', 'jedi_light_side_journeyman_force_manipulation_02', 'fourByFour', '1', '0', '0', '1', '0', '0', '0', 'jedi_light_side_journeyman_force_manipulation_02', ' ', 'jedi_general', '800000', '4000000', ' ', '0', ' ', ' ', 'none', ' ', 'forceThrow2', 'forcethrow_accuracy=30,forceknockdown_accuracy=30,private_jedi_difficulty=100', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('724', 'jedi_light_side_journeyman_force_manipulation_04', 'jedi_light_side_journeyman_force_manipulation_03', 'fourByFour', '1', '1', '0', '1', '0', '0', '0', 'jedi_light_side_journeyman_force_manipulation_03', ' ', 'jedi_general', '1600000', '4000000', ' ', '0', ' ', ' ', 'none', ' ', 'forceLightningSingle2', 'private_force_lightning_single_power=2,forcelightning_accuracy=30,forcethrow_accuracy=30,private_jedi_difficulty=100', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('725', 'jedi_light_side_master', 'jedi', 'fourByFour', '1', '0', '1', '1', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('726', 'jedi_light_side_master_novice', 'jedi_light_side_master', 'fourByFour', '1', '1', '0', '1', '0', '0', '0', 'jedi_light_side_journeyman_master', ' ', 'jedi_general', '3200000', '4000000', ' ', '0', ' ', ' ', 'none', ' ', 'healStatesSelf,stopBleeding,forceRun2,forceWeaken1,saberPolearmHit1,cert_polearmlightsaber,saberPolearmSpinAttack1', 'jedi_force_power_max=500,jedi_force_power_regen=4,jedi_saber_assembly=50,polearmlightsaber_speed=30,polearmlightsaber_accuracy=30,forceweaken_accuracy=50,saber_block=10,onehandlightsaber_toughness=5,twohandlightsaber_toughness=5,polearmlightsaber_toughness=30,private_jedi_difficulty=1000', 'craftSaberPolearm1', ' ', '0', '0');
INSERT INTO `skills` VALUES ('727', 'jedi_light_side_master_master', 'jedi_light_side_master', 'fourByFour', '1', '1', '0', '1', '0', '0', '0', 'jedi_light_side_master_saber_04,jedi_light_side_master_healing_04,jedi_light_side_master_force_power_04,jedi_light_side_master_force_manipulation_04', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', 'totalHealOther,saberPolearmDervish,forceChoke', 'jedi_force_power_max=500,jedi_force_power_regen=4,private_force_lightning_cone_power=1,private_force_lightning_single_power=1,polearmlightsaber_accuracy=20,polearmlightsaber_speed=10,force_choke=5,private_jedi_difficulty=1000', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('728', 'jedi_light_side_master_saber_01', 'jedi_light_side_master', 'fourByFour', '1', '0', '0', '1', '0', '0', '0', 'jedi_light_side_master_novice', ' ', 'combat_meleespecialize_polearmlightsaber', '150000', '300000', ' ', '0', ' ', ' ', 'none', ' ', 'saberPolearmLegHit1', 'polearmlightsaber_accuracy=20,polearmlightsaber_speed=10,saber_block=5,onehandlightsaber_toughness=2,twohandlightsaber_toughness=5,polearmlightsaber_toughness=5,private_jedi_difficulty=125', 'craftSaberPolearm2', ' ', '0', '0');
INSERT INTO `skills` VALUES ('729', 'jedi_light_side_master_saber_02', 'jedi_light_side_master_saber_01', 'fourByFour', '1', '0', '0', '1', '0', '0', '0', 'jedi_light_side_master_saber_01', ' ', 'combat_meleespecialize_polearmlightsaber', '250000', '400000', ' ', '0', ' ', ' ', 'none', ' ', 'saberPolearmHit2', 'polearmlightsaber_accuracy=20,polearmlightsaber_speed=10,saber_block=5,onehandlightsaber_toughness=5,twohandlightsaber_toughness=5,polearmlightsaber_toughness=5,private_jedi_difficulty=125', 'craftSaberPolearm3', ' ', '0', '0');
INSERT INTO `skills` VALUES ('730', 'jedi_light_side_master_saber_03', 'jedi_light_side_master_saber_02', 'fourByFour', '1', '0', '0', '1', '0', '0', '0', 'jedi_light_side_master_saber_02', ' ', 'combat_meleespecialize_polearmlightsaber', '350000', '500000', ' ', '0', ' ', ' ', 'none', ' ', 'saberPolearmLegHit2', 'polearmlightsaber_accuracy=20,polearmlightsaber_speed=10,saber_block=5,twohandlightsaber_toughness=5,polearmlightsaber_toughness=5,private_jedi_difficulty=125', 'craftSaberPolearm4', ' ', '0', '0');
INSERT INTO `skills` VALUES ('731', 'jedi_light_side_master_saber_04', 'jedi_light_side_master_saber_03', 'fourByFour', '1', '1', '0', '1', '0', '0', '0', 'jedi_light_side_master_saber_03', ' ', 'combat_meleespecialize_polearmlightsaber', '450000', '600000', ' ', '0', ' ', ' ', 'none', ' ', 'saberPolearmSpinAttack2', 'polearmlightsaber_accuracy=20,polearmlightsaber_speed=10,saber_block=5,polearmlightsaber_toughness=10,private_jedi_difficulty=125', 'craftSaberPolearm5', ' ', '0', '0');
INSERT INTO `skills` VALUES ('732', 'jedi_light_side_master_healing_01', 'jedi_light_side_master', 'fourByFour', '1', '0', '0', '1', '0', '0', '0', 'jedi_light_side_master_novice', ' ', 'jedi_general', '200000', '4000000', ' ', '0', ' ', ' ', 'none', ' ', 'healHealthWoundOther2', ' ', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('733', 'jedi_light_side_master_healing_02', 'jedi_light_side_master_healing_01', 'fourByFour', '1', '0', '0', '1', '0', '0', '0', 'jedi_light_side_master_healing_01', ' ', 'jedi_general', '400000', '4000000', ' ', '0', ' ', ' ', 'none', ' ', 'healActionWoundOther2', ' ', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('734', 'jedi_light_side_master_healing_03', 'jedi_light_side_master_healing_02', 'fourByFour', '1', '0', '0', '1', '0', '0', '0', 'jedi_light_side_master_healing_02', ' ', 'jedi_general', '800000', '4000000', ' ', '0', ' ', ' ', 'none', ' ', 'healMindWoundOther2', ' ', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('735', 'jedi_light_side_master_healing_04', 'jedi_light_side_master_healing_03', 'fourByFour', '1', '1', '0', '1', '0', '0', '0', 'jedi_light_side_master_healing_03', ' ', 'jedi_general', '1600000', '4000000', ' ', '0', ' ', ' ', 'none', ' ', 'totalHealSelf,healStatesOther', ' ', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('736', 'jedi_light_side_master_force_power_01', 'jedi_light_side_master', 'fourByFour', '1', '0', '0', '1', '0', '0', '0', 'jedi_light_side_master_novice', ' ', 'jedi_general', '200000', '4000000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'jedi_force_power_max=250,jedi_force_power_regen=8', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('737', 'jedi_light_side_master_force_power_02', 'jedi_light_side_master_force_power_01', 'fourByFour', '1', '0', '0', '1', '0', '0', '0', 'jedi_light_side_master_force_power_01', ' ', 'jedi_general', '400000', '4000000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'jedi_force_power_max=250,jedi_force_power_regen=8', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('738', 'jedi_light_side_master_force_power_03', 'jedi_light_side_master_force_power_02', 'fourByFour', '1', '0', '0', '1', '0', '0', '0', 'jedi_light_side_master_force_power_02', ' ', 'jedi_general', '800000', '4000000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'jedi_force_power_max=250,jedi_force_power_regen=8', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('739', 'jedi_light_side_master_force_power_04', 'jedi_light_side_master_force_power_03', 'fourByFour', '1', '1', '0', '1', '0', '0', '0', 'jedi_light_side_master_force_power_03', ' ', 'jedi_general', '1600000', '4000000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'jedi_force_power_max=250,jedi_force_power_regen=8', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('740', 'jedi_light_side_master_force_manipulation_01', 'jedi_light_side_master', 'fourByFour', '1', '0', '0', '1', '0', '0', '0', 'jedi_light_side_master_novice', ' ', 'jedi_general', '200000', '4000000', ' ', '0', ' ', ' ', 'none', ' ', 'forceLightningCone1', 'private_force_lightning_cone_power=2,forcelightning_accuracy=30', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('741', 'jedi_light_side_master_force_manipulation_02', 'jedi_light_side_master_force_manipulation_01', 'fourByFour', '1', '0', '0', '1', '0', '0', '0', 'jedi_light_side_master_force_manipulation_01', ' ', 'jedi_general', '400000', '4000000', ' ', '0', ' ', ' ', 'none', ' ', 'forceIntimidate', ' ', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('742', 'jedi_light_side_master_force_manipulation_03', 'jedi_light_side_master_force_manipulation_02', 'fourByFour', '1', '0', '0', '1', '0', '0', '0', 'jedi_light_side_master_force_manipulation_02', ' ', 'jedi_general', '800000', '4000000', ' ', '0', ' ', ' ', 'none', ' ', 'forceLightningCone2', ' ', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('743', 'jedi_light_side_master_force_manipulation_04', 'jedi_light_side_master_force_manipulation_03', 'fourByFour', '1', '1', '0', '1', '0', '0', '0', 'jedi_light_side_master_force_manipulation_03', ' ', 'jedi_general', '1600000', '4000000', ' ', '0', ' ', ' ', 'none', ' ', 'forceWeaken2', 'private_force_lightning_cone_power=2,forcelightning_accuracy=30,forceweaken_accuracy=50', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('744', 'jedi_dark_side_journeyman', 'jedi', 'fourByFour', '1', '0', '1', '1', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('745', 'jedi_dark_side_journeyman_novice', 'jedi_dark_side_journeyman', 'fourByFour', '1', '1', '0', '1', '0', '0', '0', 'jedi_padawan_master', 'jedi_light_side_journeyman_novice', 'jedi_general', '3200000', '4000000', ' ', '0', ' ', ' ', 'none', ' ', 'healAllOther1,mindBlast2,saber2hHit1,saberThrow1,cert_twohandlightsaber,forceCurePoison,forceCureDisease,', 'jedi_force_power_max=400,jedi_force_power_regen=2,jedi_saber_assembly=25,twohandlightsaber_accuracy=3,twohandlightsaber_speed=30,mindblast_accuracy=60,saber_block=5,onehandlightsaber_toughness=5,twohandlightsaber_toughness=10,private_jedi_difficulty=500', 'craftSaberTwoHand1', ' ', '0', '0');
INSERT INTO `skills` VALUES ('746', 'jedi_dark_side_journeyman_master', 'jedi_dark_side_journeyman', 'fourByFour', '1', '1', '0', '1', '0', '0', '0', 'jedi_dark_side_journeyman_saber_04,jedi_dark_side_journeyman_healing_04,jedi_dark_side_journeyman_force_power_04,jedi_dark_side_journeyman_force_manipulation_04', ' ', 'jedi_general', '3200000', '4000000', ' ', '0', ' ', ' ', 'none', ' ', 'saber2hHit3,saber2hFrenzy,saber2hBodyHit2,saberThrow2', 'jedi_force_power_max=400,jedi_force_power_regen=2,twohandlightsaber_accuracy=20,twohandlightsaber_speed=10,saber_block=12,twohandlightsaber_toughness=10,private_jedi_difficulty=1200', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('747', 'jedi_dark_side_journeyman_saber_01', 'jedi_dark_side_journeyman', 'fourByFour', '1', '0', '0', '1', '0', '0', '0', 'jedi_dark_side_journeyman_novice', ' ', 'combat_meleespecialize_twohandlightsaber', '150000', '300000', ' ', '0', ' ', ' ', 'none', ' ', 'saber2hBodyHit1', 'twohandlightsaber_accuracy=20,twohandlightsaber_speed=10,saber_block=2,onehandlightsaber_toughness=5,twohandlightsaber_toughness=5,private_jedi_difficulty=100,private_jedi_difficulty=100', 'craftSaberTwoHand2', ' ', '0', '0');
INSERT INTO `skills` VALUES ('748', 'jedi_dark_side_journeyman_saber_02', 'jedi_dark_side_journeyman_saber_01', 'fourByFour', '1', '0', '0', '1', '0', '0', '0', 'jedi_dark_side_journeyman_saber_01', ' ', 'combat_meleespecialize_twohandlightsaber', '250000', '400000', ' ', '0', ' ', ' ', 'none', ' ', 'saber2hSweep1', 'twohandlightsaber_accuracy=20,twohandlightsaber_speed=10,saber_block=2,onehandlightsaber_toughness=5,twohandlightsaber_toughness=5,private_jedi_difficulty=100,private_jedi_difficulty=100', 'craftSaberTwoHand3', ' ', '0', '0');
INSERT INTO `skills` VALUES ('749', 'jedi_dark_side_journeyman_saber_03', 'jedi_dark_side_journeyman_saber_02', 'fourByFour', '1', '0', '0', '1', '0', '0', '0', 'jedi_dark_side_journeyman_saber_02', ' ', 'combat_meleespecialize_twohandlightsaber', '350000', '500000', ' ', '0', ' ', ' ', 'none', ' ', 'saber2hHit2', 'twohandlightsaber_accuracy=20,twohandlightsaber_speed=10,saber_block=2,onehandlightsaber_toughness=5,twohandlightsaber_toughness=5,private_jedi_difficulty=100,private_jedi_difficulty=100', 'craftSaberTwoHand4', ' ', '0', '0');
INSERT INTO `skills` VALUES ('750', 'jedi_dark_side_journeyman_saber_04', 'jedi_dark_side_journeyman_saber_03', 'fourByFour', '1', '1', '0', '1', '0', '0', '0', 'jedi_dark_side_journeyman_saber_03', ' ', 'combat_meleespecialize_twohandlightsaber', '450000', '600000', ' ', '0', ' ', ' ', 'none', ' ', 'saber2hSweep2', 'twohandlightsaber_accuracy=20,twohandlightsaber_speed=10,saber_block=2,onehandlightsaber_toughness=5,twohandlightsaber_toughness=5,private_jedi_difficulty=100,private_jedi_difficulty=100', 'craftSaberTwoHand5', ' ', '0', '0');
INSERT INTO `skills` VALUES ('751', 'jedi_dark_side_journeyman_healing_01', 'jedi_dark_side_journeyman', 'fourByFour', '1', '0', '0', '1', '0', '0', '0', 'jedi_dark_side_journeyman_novice', ' ', 'jedi_general', '200000', '4000000', ' ', '0', ' ', ' ', 'none', ' ', 'healHealthSelf2,healHealthWoundOther1,healHealthWoundSelf2', ' ', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('752', 'jedi_dark_side_journeyman_healing_02', 'jedi_dark_side_journeyman_healing_01', 'fourByFour', '1', '0', '0', '1', '0', '0', '0', 'jedi_dark_side_journeyman_healing_01', ' ', 'jedi_general', '400000', '4000000', ' ', '0', ' ', ' ', 'none', ' ', 'healActionWoundOther1,healActionSelf2,healActionWoundSelf2', ' ', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('753', 'jedi_dark_side_journeyman_healing_03', 'jedi_dark_side_journeyman_healing_02', 'fourByFour', '1', '0', '0', '1', '0', '0', '0', 'jedi_dark_side_journeyman_healing_02', ' ', 'jedi_general', '800000', '4000000', ' ', '0', ' ', ' ', 'none', ' ', 'healMindSelf2,healMindWoundOther1,healMindWoundSelf2', ' ', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('754', 'jedi_dark_side_journeyman_healing_04', 'jedi_dark_side_journeyman_healing_03', 'fourByFour', '1', '1', '0', '1', '0', '0', '0', 'jedi_dark_side_journeyman_healing_03', ' ', 'jedi_general', '1600000', '4000000', ' ', '0', ' ', ' ', 'none', ' ', 'healAllSelf2,healAllOther2', ' ', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('755', 'jedi_dark_side_journeyman_force_power_01', 'jedi_dark_side_journeyman', 'fourByFour', '1', '0', '0', '1', '0', '0', '0', 'jedi_dark_side_journeyman_novice', ' ', 'jedi_general', '200000', '4000000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'jedi_force_power_max=200,jedi_force_power_regen=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('756', 'jedi_dark_side_journeyman_force_power_02', 'jedi_dark_side_journeyman_force_power_01', 'fourByFour', '1', '0', '0', '1', '0', '0', '0', 'jedi_dark_side_journeyman_force_power_01', ' ', 'jedi_general', '400000', '4000000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'jedi_force_power_max=200,jedi_force_power_regen=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('757', 'jedi_dark_side_journeyman_force_power_03', 'jedi_dark_side_journeyman_force_power_02', 'fourByFour', '1', '0', '0', '1', '0', '0', '0', 'jedi_dark_side_journeyman_force_power_02', ' ', 'jedi_general', '800000', '4000000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'jedi_force_power_max=200,jedi_force_power_regen=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('758', 'jedi_dark_side_journeyman_force_power_04', 'jedi_dark_side_journeyman_force_power_03', 'fourByFour', '1', '1', '0', '1', '0', '0', '0', 'jedi_dark_side_journeyman_force_power_03', ' ', 'jedi_general', '1600000', '4000000', ' ', '0', ' ', ' ', 'none', ' ', ' ', 'jedi_force_power_max=200,jedi_force_power_regen=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('759', 'jedi_dark_side_journeyman_force_manipulation_01', 'jedi_dark_side_journeyman', 'fourByFour', '1', '0', '0', '1', '0', '0', '0', 'jedi_dark_side_journeyman_novice', ' ', 'jedi_general', '200000', '4000000', ' ', '0', ' ', ' ', 'none', ' ', 'forceLightningSingle1', 'private_force_lightning_single_power=1,forcelightning_accuracy=30,private_jedi_difficulty=100', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('760', 'jedi_dark_side_journeyman_force_manipulation_02', 'jedi_dark_side_journeyman_force_manipulation_01', 'fourByFour', '1', '0', '0', '1', '0', '0', '0', 'jedi_dark_side_journeyman_force_manipulation_01', ' ', 'jedi_general', '400000', '4000000', ' ', '0', ' ', ' ', 'none', ' ', 'forceKnockdown2', 'forceknockdown_accuracy=30,private_jedi_difficulty=100', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('761', 'jedi_dark_side_journeyman_force_manipulation_03', 'jedi_dark_side_journeyman_force_manipulation_02', 'fourByFour', '1', '0', '0', '1', '0', '0', '0', 'jedi_dark_side_journeyman_force_manipulation_02', ' ', 'jedi_general', '800000', '4000000', ' ', '0', ' ', ' ', 'none', ' ', 'forceThrow2', 'forcethrow_accuracy=30,forceknockdown_accuracy=30,private_jedi_difficulty=100', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('762', 'jedi_dark_side_journeyman_force_manipulation_04', 'jedi_dark_side_journeyman_force_manipulation_03', 'fourByFour', '1', '1', '0', '1', '0', '0', '0', 'jedi_dark_side_journeyman_force_manipulation_03', ' ', 'jedi_general', '1600000', '4000000', ' ', '0', ' ', ' ', 'none', ' ', 'forceLightningSingle2', 'private_force_lightning_single_power=2,forcelightning_accuracy=30,forcethrow_accuracy=30,private_jedi_difficulty=100', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('763', 'jedi_dark_side_master', 'jedi', 'fourByFour', '1', '0', '1', '1', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('764', 'jedi_dark_side_master_novice', 'jedi_dark_side_master', 'fourByFour', '1', '1', '0', '1', '0', '0', '0', 'jedi_dark_side_journeyman_master', ' ', 'jedi_general', '3200000', '4000000', ' ', '0', ' ', ' ', 'none', ' ', 'healStatesSelf,stopBleeding,forceRun2,forceWeaken1,saberPolearmHit1,cert_polearmlightsaber,saberPolearmSpinAttack1', 'jedi_force_power_max=500,jedi_force_power_regen=4,jedi_saber_assembly=50,polearmlightsaber_speed=30,polearmlightsaber_accuracy=30,forceweaken_accuracy=50,saber_block=10,onehandlightsaber_toughness=5,twohandlightsaber_toughness=5,polearmlightsaber_toughness=30,private_jedi_difficulty=1000', 'craftSaberPolearm1', ' ', '0', '0');
INSERT INTO `skills` VALUES ('765', 'jedi_dark_side_master_master', 'jedi_dark_side_master', 'fourByFour', '1', '1', '0', '1', '0', '0', '0', 'jedi_dark_side_master_saber_04,jedi_dark_side_master_healing_04,jedi_dark_side_master_force_power_04,jedi_dark_side_master_force_manipulation_04', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', 'totalHealOther,saberPolearmDervish,forceChoke', 'jedi_force_power_max=500,jedi_force_power_regen=4,private_force_lightning_cone_power=1,private_force_lightning_single_power=1,polearmlightsaber_accuracy=20,polearmlightsaber_speed=10,force_choke=5,private_jedi_difficulty=1000', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('766', 'jedi_dark_side_master_saber_01', 'jedi_dark_side_master', 'fourByFour', '1', '0', '0', '1', '0', '0', '0', 'jedi_dark_side_master_novice', ' ', 'combat_meleespecialize_polearmlightsaber', '150000', '300000', ' ', '0', ' ', ' ', 'none', ' ', 'saberPolearmLegHit1', 'polearmlightsaber_accuracy=20,polearmlightsaber_speed=10,saber_block=5,onehandlightsaber_toughness=2,twohandlightsaber_toughness=5,polearmlightsaber_toughness=5,private_jedi_difficulty=125', 'craftSaberPolearm2', ' ', '0', '0');
INSERT INTO `skills` VALUES ('767', 'jedi_dark_side_master_saber_02', 'jedi_dark_side_master_saber_01', 'fourByFour', '1', '0', '0', '1', '0', '0', '0', 'jedi_dark_side_master_saber_01', ' ', 'combat_meleespecialize_polearmlightsaber', '250000', '400000', ' ', '0', ' ', ' ', 'none', ' ', 'saberPolearmHit2', 'polearmlightsaber_accuracy=20,polearmlightsaber_speed=10,saber_block=5,onehandlightsaber_toughness=5,twohandlightsaber_toughness=5,polearmlightsaber_toughness=5,private_jedi_difficulty=125', 'craftSaberPolearm3', ' ', '0', '0');
INSERT INTO `skills` VALUES ('768', 'jedi_dark_side_master_saber_03', 'jedi_dark_side_master_saber_02', 'fourByFour', '1', '0', '0', '1', '0', '0', '0', 'jedi_dark_side_master_saber_02', ' ', 'combat_meleespecialize_polearmlightsaber', '350000', '500000', ' ', '0', ' ', ' ', 'none', ' ', 'saberPolearmLegHit2', 'polearmlightsaber_accuracy=20,polearmlightsaber_speed=10,saber_block=5,twohandlightsaber_toughness=5,polearmlightsaber_toughness=5,private_jedi_difficulty=125', 'craftSaberPolearm4', ' ', '0', '0');
INSERT INTO `skills` VALUES ('769', 'jedi_dark_side_master_saber_04', 'jedi_dark_side_master_saber_03', 'fourByFour', '1', '1', '0', '1', '0', '0', '0', 'jedi_dark_side_master_saber_03', ' ', 'combat_meleespecialize_polearmlightsaber', '450000', '600000', ' ', '0', ' ', ' ', 'none', ' ', 'saberPolearmSpinAttack2', 'polearmlightsaber_accuracy=20,polearmlightsaber_speed=10,saber_block=5,polearmlightsaber_toughness=10,private_jedi_difficulty=125', 'craftSaberPolearm5', ' ', '0', '0');
INSERT INTO `skills` VALUES ('770', 'jedi_dark_side_master_healing_01', 'jedi_dark_side_master', 'fourByFour', '1', '0', '0', '1', '0', '0', '0', 'jedi_dark_side_master_novice', ' ', 'jedi_general', '200000', '4000000', ' ', '0', ' ', ' ', 'none', ' ', 'healHealthWoundOther2', ' ', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('771', 'jedi_dark_side_master_healing_02', 'jedi_dark_side_master_healing_01', 'fourByFour', '1', '0', '0', '1', '0', '0', '0', 'jedi_dark_side_master_healing_01', ' ', 'jedi_general', '400000', '4000000', ' ', '0', ' ', ' ', 'none', ' ', 'healActionWoundOther2', ' ', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('772', 'jedi_dark_side_master_healing_03', 'jedi_dark_side_master_healing_02', 'fourByFour', '1', '0', '0', '1', '0', '0', '0', 'jedi_dark_side_master_healing_02', ' ', 'jedi_general', '800000', '4000000', ' ', '0', ' ', ' ', 'none', ' ', 'healMindWoundOther2', ' ', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('773', 'jedi_dark_side_master_healing_04', 'jedi_dark_side_master_healing_03', 'fourByFour', '1', '1', '0', '1', '0', '0', '0', 'jedi_dark_side_master_healing_03', ' ', 'jedi_general', '1600000', '4000000', ' ', '0', ' ', ' ', 'none', ' ', 'totalHealSelf,healStatesOther', ' ', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('774', 'jedi_dark_side_master_force_power_01', 'jedi_dark_side_master', 'fourByFour', '1', '0', '0', '1', '0', '0', '0', 'jedi_dark_side_master_novice', ' ', 'jedi_general', '200000', '4000000', ' ', '0', ' ', ' ', 'none', ' ', 'animalScare', 'jedi_force_power_max=500,jedi_force_power_regen=2', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('775', 'jedi_dark_side_master_force_power_02', 'jedi_dark_side_master_force_power_01', 'fourByFour', '1', '0', '0', '1', '0', '0', '0', 'jedi_dark_side_master_force_power_01', ' ', 'jedi_general', '400000', '4000000', ' ', '0', ' ', ' ', 'none', ' ', 'animalCalm', 'jedi_force_power_max=500,jedi_force_power_regen=2', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('776', 'jedi_dark_side_master_force_power_03', 'jedi_dark_side_master_force_power_02', 'fourByFour', '1', '0', '0', '1', '0', '0', '0', 'jedi_dark_side_master_force_power_02', ' ', 'jedi_general', '800000', '4000000', ' ', '0', ' ', ' ', 'none', ' ', 'animalAttack', 'jedi_force_power_max=500,jedi_force_power_regen=2', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('777', 'jedi_dark_side_master_force_power_04', 'jedi_dark_side_master_force_power_03', 'fourByFour', '1', '1', '0', '1', '0', '0', '0', 'jedi_dark_side_master_force_power_03', ' ', 'jedi_general', '1600000', '4000000', ' ', '0', ' ', ' ', 'none', ' ', 'jediMindTrick', 'jedi_force_power_max=500,jedi_force_power_regen=2', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('778', 'jedi_dark_side_master_force_manipulation_01', 'jedi_dark_side_master', 'fourByFour', '1', '0', '0', '1', '0', '0', '0', 'jedi_dark_side_master_novice', ' ', 'jedi_general', '200000', '4000000', ' ', '0', ' ', ' ', 'none', ' ', 'forceLightningCone1', 'private_force_lightning_cone_power=2,forcelightning_accuracy=30', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('779', 'jedi_dark_side_master_force_manipulation_02', 'jedi_dark_side_master_force_manipulation_01', 'fourByFour', '1', '0', '0', '1', '0', '0', '0', 'jedi_dark_side_master_force_manipulation_01', ' ', 'jedi_general', '400000', '4000000', ' ', '0', ' ', ' ', 'none', ' ', 'forceIntimidate', ' ', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('780', 'jedi_dark_side_master_force_manipulation_03', 'jedi_dark_side_master_force_manipulation_02', 'fourByFour', '1', '0', '0', '1', '0', '0', '0', 'jedi_dark_side_master_force_manipulation_02', ' ', 'jedi_general', '800000', '4000000', ' ', '0', ' ', ' ', 'none', ' ', 'forceLightningCone2', ' ', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('781', 'jedi_dark_side_master_force_manipulation_04', 'jedi_dark_side_master_force_manipulation_03', 'fourByFour', '1', '1', '0', '1', '0', '0', '0', 'jedi_dark_side_master_force_manipulation_03', ' ', 'jedi_general', '1600000', '4000000', ' ', '0', ' ', ' ', 'none', ' ', 'forceWeaken2', 'private_force_lightning_cone_power=2,forcelightning_accuracy=30,forceweaken_accuracy=50', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('782', 'force_sensitive', ' ', 'fourByFour', '1', '0', '0', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', ' ', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('783', 'force_sensitive_combat_prowess', 'force_sensitive', 'fourByFour', '0', '0', '1', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', ' ', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('784', 'force_sensitive_combat_prowess_novice', 'force_sensitive_combat_prowess', 'fourByFour', '0', '0', '0', '0', '0', '0', '0', ' ', ' ', 'fs_combat', '50000', '5100000', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', ' ', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('785', 'force_sensitive_combat_prowess_master', 'force_sensitive_combat_prowess', 'fourByFour', '0', '0', '0', '0', '0', '0', '0', 'force_sensitive_combat_prowess_ranged_accuracy_04,force_sensitive_combat_prowess_ranged_speed_04,force_sensitive_combat_prowess_melee_accuracy_04,force_sensitive_combat_prowess_melee_speed_04', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', ' ', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('786', 'force_sensitive_combat_prowess_ranged_accuracy_01', 'force_sensitive_combat_prowess', 'fourByFour', '0', '0', '0', '0', '0', '1', '0', 'force_sensitive_combat_prowess_novice', ' ', 'fs_combat', '175000', '5100000', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', 'ranged_accuracy=3', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('787', 'force_sensitive_combat_prowess_ranged_accuracy_02', 'force_sensitive_combat_prowess_ranged_accuracy_01', 'fourByFour', '0', '0', '0', '0', '0', '1', '0', 'force_sensitive_combat_prowess_ranged_accuracy_01', ' ', 'fs_combat', '250000', '5100000', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', 'ranged_accuracy=3', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('788', 'force_sensitive_combat_prowess_ranged_accuracy_03', 'force_sensitive_combat_prowess_ranged_accuracy_02', 'fourByFour', '0', '0', '0', '0', '0', '1', '0', 'force_sensitive_combat_prowess_ranged_accuracy_02', ' ', 'fs_combat', '350000', '5100000', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', 'ranged_accuracy=3', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('789', 'force_sensitive_combat_prowess_ranged_accuracy_04', 'force_sensitive_combat_prowess_ranged_accuracy_03', 'fourByFour', '0', '0', '0', '0', '0', '1', '0', 'force_sensitive_combat_prowess_ranged_accuracy_03', ' ', 'fs_combat', '450000', '5100000', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', 'ranged_accuracy=3', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('790', 'force_sensitive_combat_prowess_ranged_speed_01', 'force_sensitive_combat_prowess', 'fourByFour', '0', '0', '0', '0', '0', '1', '0', 'force_sensitive_combat_prowess_novice', ' ', 'fs_combat', '175000', '5100000', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', 'ranged_speed=3', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('791', 'force_sensitive_combat_prowess_ranged_speed_02', 'force_sensitive_combat_prowess_ranged_speed_01', 'fourByFour', '0', '0', '0', '0', '0', '1', '0', 'force_sensitive_combat_prowess_ranged_speed_01', ' ', 'fs_combat', '250000', '5100000', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', 'ranged_speed=3', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('792', 'force_sensitive_combat_prowess_ranged_speed_03', 'force_sensitive_combat_prowess_ranged_speed_02', 'fourByFour', '0', '0', '0', '0', '0', '1', '0', 'force_sensitive_combat_prowess_ranged_speed_02', ' ', 'fs_combat', '350000', '5100000', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', 'ranged_speed=3', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('793', 'force_sensitive_combat_prowess_ranged_speed_04', 'force_sensitive_combat_prowess_ranged_speed_03', 'fourByFour', '0', '0', '0', '0', '0', '1', '0', 'force_sensitive_combat_prowess_ranged_speed_03', ' ', 'fs_combat', '450000', '5100000', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', 'ranged_speed=3', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('794', 'force_sensitive_combat_prowess_melee_accuracy_01', 'force_sensitive_combat_prowess', 'fourByFour', '0', '0', '0', '0', '0', '1', '0', 'force_sensitive_combat_prowess_novice', ' ', 'fs_combat', '175000', '5100000', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', 'melee_accuracy=3', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('795', 'force_sensitive_combat_prowess_melee_accuracy_02', 'force_sensitive_combat_prowess_melee_accuracy_01', 'fourByFour', '0', '0', '0', '0', '0', '1', '0', 'force_sensitive_combat_prowess_melee_accuracy_01', ' ', 'fs_combat', '250000', '5100000', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', 'melee_accuracy=3', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('796', 'force_sensitive_combat_prowess_melee_accuracy_03', 'force_sensitive_combat_prowess_melee_accuracy_02', 'fourByFour', '0', '0', '0', '0', '0', '1', '0', 'force_sensitive_combat_prowess_melee_accuracy_02', ' ', 'fs_combat', '350000', '5100000', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', 'melee_accuracy=3', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('797', 'force_sensitive_combat_prowess_melee_accuracy_04', 'force_sensitive_combat_prowess_melee_accuracy_03', 'fourByFour', '0', '0', '0', '0', '0', '1', '0', 'force_sensitive_combat_prowess_melee_accuracy_03', ' ', 'fs_combat', '450000', '5100000', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', 'melee_accuracy=3', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('798', 'force_sensitive_combat_prowess_melee_speed_01', 'force_sensitive_combat_prowess', 'fourByFour', '0', '0', '0', '0', '0', '1', '0', 'force_sensitive_combat_prowess_novice', ' ', 'fs_combat', '175000', '5100000', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', 'melee_speed=3', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('799', 'force_sensitive_combat_prowess_melee_speed_02', 'force_sensitive_combat_prowess_melee_speed_01', 'fourByFour', '0', '0', '0', '0', '0', '1', '0', 'force_sensitive_combat_prowess_melee_speed_01', ' ', 'fs_combat', '250000', '5100000', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', 'melee_speed=3', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('800', 'force_sensitive_combat_prowess_melee_speed_03', 'force_sensitive_combat_prowess_melee_speed_02', 'fourByFour', '0', '0', '0', '0', '0', '1', '0', 'force_sensitive_combat_prowess_melee_speed_02', ' ', 'fs_combat', '350000', '5100000', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', 'melee_speed=3', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('801', 'force_sensitive_combat_prowess_melee_speed_04', 'force_sensitive_combat_prowess_melee_speed_03', 'fourByFour', '0', '0', '0', '0', '0', '1', '0', 'force_sensitive_combat_prowess_melee_speed_03', ' ', 'fs_combat', '450000', '5100000', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', 'melee_speed=3', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('802', 'force_sensitive_enhanced_reflexes', 'force_sensitive', 'fourByFour', '0', '0', '1', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', ' ', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('803', 'force_sensitive_enhanced_reflexes_novice', 'force_sensitive_enhanced_reflexes', 'fourByFour', '0', '0', '0', '0', '0', '0', '0', ' ', ' ', 'fs_reflex', '50000', '5100000', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', ' ', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('804', 'force_sensitive_enhanced_reflexes_master', 'force_sensitive_enhanced_reflexes', 'fourByFour', '0', '0', '0', '0', '0', '0', '0', 'force_sensitive_enhanced_reflexes_ranged_defense_04,force_sensitive_enhanced_reflexes_melee_defense_04,force_sensitive_enhanced_reflexes_vehicle_control_04,force_sensitive_enhanced_reflexes_survival_04', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', ' ', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('805', 'force_sensitive_enhanced_reflexes_ranged_defense_01', 'force_sensitive_enhanced_reflexes', 'fourByFour', '0', '0', '0', '0', '0', '1', '0', 'force_sensitive_enhanced_reflexes_novice', ' ', 'fs_reflex', '175000', '5100000', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', 'ranged_defense=5', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('806', 'force_sensitive_enhanced_reflexes_ranged_defense_02', 'force_sensitive_enhanced_reflexes_ranged_defense_01', 'fourByFour', '0', '0', '0', '0', '0', '1', '0', 'force_sensitive_enhanced_reflexes_ranged_defense_01', ' ', 'fs_reflex', '250000', '5100000', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', 'ranged_defense=5', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('807', 'force_sensitive_enhanced_reflexes_ranged_defense_03', 'force_sensitive_enhanced_reflexes_ranged_defense_02', 'fourByFour', '0', '0', '0', '0', '0', '1', '0', 'force_sensitive_enhanced_reflexes_ranged_defense_02', ' ', 'fs_reflex', '350000', '5100000', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', 'ranged_defense=5', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('808', 'force_sensitive_enhanced_reflexes_ranged_defense_04', 'force_sensitive_enhanced_reflexes_ranged_defense_03', 'fourByFour', '0', '0', '0', '0', '0', '1', '0', 'force_sensitive_enhanced_reflexes_ranged_defense_03', ' ', 'fs_reflex', '450000', '5100000', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', 'ranged_defense=5', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('809', 'force_sensitive_enhanced_reflexes_melee_defense_01', 'force_sensitive_enhanced_reflexes', 'fourByFour', '0', '0', '0', '0', '0', '1', '0', 'force_sensitive_enhanced_reflexes_novice', ' ', 'fs_reflex', '175000', '5100000', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', 'melee_defense=5', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('810', 'force_sensitive_enhanced_reflexes_melee_defense_02', 'force_sensitive_enhanced_reflexes_melee_defense_01', 'fourByFour', '0', '0', '0', '0', '0', '1', '0', 'force_sensitive_enhanced_reflexes_melee_defense_01', ' ', 'fs_reflex', '250000', '5100000', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', 'melee_defense=5', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('811', 'force_sensitive_enhanced_reflexes_melee_defense_03', 'force_sensitive_enhanced_reflexes_melee_defense_02', 'fourByFour', '0', '0', '0', '0', '0', '1', '0', 'force_sensitive_enhanced_reflexes_melee_defense_02', ' ', 'fs_reflex', '350000', '5100000', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', 'melee_defense=5', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('812', 'force_sensitive_enhanced_reflexes_melee_defense_04', 'force_sensitive_enhanced_reflexes_melee_defense_03', 'fourByFour', '0', '0', '0', '0', '0', '1', '0', 'force_sensitive_enhanced_reflexes_melee_defense_03', ' ', 'fs_reflex', '450000', '5100000', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', 'melee_defense=5', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('813', 'force_sensitive_enhanced_reflexes_vehicle_control_01', 'force_sensitive_enhanced_reflexes', 'fourByFour', '0', '0', '0', '0', '0', '1', '0', 'force_sensitive_enhanced_reflexes_novice', ' ', 'fs_reflex', '175000', '5100000', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', 'force_vehicle_control=5', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('814', 'force_sensitive_enhanced_reflexes_vehicle_control_02', 'force_sensitive_enhanced_reflexes_vehicle_control_01', 'fourByFour', '0', '0', '0', '0', '0', '1', '0', 'force_sensitive_enhanced_reflexes_vehicle_control_01', ' ', 'fs_reflex', '250000', '5100000', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', 'force_vehicle_control=5,force_vehicle_speed=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('815', 'force_sensitive_enhanced_reflexes_vehicle_control_03', 'force_sensitive_enhanced_reflexes_vehicle_control_02', 'fourByFour', '0', '0', '0', '0', '0', '1', '0', 'force_sensitive_enhanced_reflexes_vehicle_control_02', ' ', 'fs_reflex', '350000', '5100000', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', 'force_vehicle_control=5,force_vehicle_speed=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('816', 'force_sensitive_enhanced_reflexes_vehicle_control_04', 'force_sensitive_enhanced_reflexes_vehicle_control_03', 'fourByFour', '0', '0', '0', '0', '0', '1', '0', 'force_sensitive_enhanced_reflexes_vehicle_control_03', ' ', 'fs_reflex', '450000', '5100000', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', 'force_vehicle_control=5,force_vehicle_speed=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('817', 'force_sensitive_enhanced_reflexes_survival_01', 'force_sensitive_enhanced_reflexes', 'fourByFour', '0', '0', '0', '0', '0', '1', '0', 'force_sensitive_enhanced_reflexes_novice', ' ', 'fs_reflex', '175000', '5100000', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', 'camp=5,foraging=5', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('818', 'force_sensitive_enhanced_reflexes_survival_02', 'force_sensitive_enhanced_reflexes_survival_01', 'fourByFour', '0', '0', '0', '0', '0', '1', '0', 'force_sensitive_enhanced_reflexes_survival_01', ' ', 'fs_reflex', '250000', '5100000', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', 'trapping=5,mask_scent=5', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('819', 'force_sensitive_enhanced_reflexes_survival_03', 'force_sensitive_enhanced_reflexes_survival_02', 'fourByFour', '0', '0', '0', '0', '0', '1', '0', 'force_sensitive_enhanced_reflexes_survival_02', ' ', 'fs_reflex', '350000', '5100000', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', 'slope_move=5', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('820', 'force_sensitive_enhanced_reflexes_survival_04', 'force_sensitive_enhanced_reflexes_survival_03', 'fourByFour', '0', '0', '0', '0', '0', '1', '0', 'force_sensitive_enhanced_reflexes_survival_03', ' ', 'fs_reflex', '450000', '5100000', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', 'creature_knowledge=5,creature_harvesting=5', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('821', 'force_sensitive_crafting_mastery', 'force_sensitive', 'fourByFour', '0', '0', '1', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', ' ', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('822', 'force_sensitive_crafting_mastery_novice', 'force_sensitive_crafting_mastery', 'fourByFour', '0', '0', '0', '0', '0', '0', '0', ' ', ' ', 'fs_crafting', '50000', '5100000', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', ' ', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('823', 'force_sensitive_crafting_mastery_master', 'force_sensitive_crafting_mastery', 'fourByFour', '0', '0', '0', '0', '0', '0', '0', 'force_sensitive_crafting_mastery_experimentation_04,force_sensitive_crafting_mastery_assembly_04,force_sensitive_crafting_mastery_repair_04,force_sensitive_crafting_mastery_technique_04', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', ' ', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('824', 'force_sensitive_crafting_mastery_experimentation_01', 'force_sensitive_crafting_mastery', 'fourByFour', '0', '0', '0', '0', '0', '1', '0', 'force_sensitive_crafting_mastery_novice', ' ', 'fs_crafting', '175000', '5100000', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', 'force_experimentation=5', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('825', 'force_sensitive_crafting_mastery_experimentation_02', 'force_sensitive_crafting_mastery_experimentation_01', 'fourByFour', '0', '0', '0', '0', '0', '1', '0', 'force_sensitive_crafting_mastery_experimentation_01', ' ', 'fs_crafting', '250000', '5100000', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', 'force_experimentation=5', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('826', 'force_sensitive_crafting_mastery_experimentation_03', 'force_sensitive_crafting_mastery_experimentation_02', 'fourByFour', '0', '0', '0', '0', '0', '1', '0', 'force_sensitive_crafting_mastery_experimentation_02', ' ', 'fs_crafting', '350000', '5100000', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', 'force_experimentation=5', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('827', 'force_sensitive_crafting_mastery_experimentation_04', 'force_sensitive_crafting_mastery_experimentation_03', 'fourByFour', '0', '0', '0', '0', '0', '1', '0', 'force_sensitive_crafting_mastery_experimentation_03', ' ', 'fs_crafting', '450000', '5100000', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', 'force_experimentation=5', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('828', 'force_sensitive_crafting_mastery_assembly_01', 'force_sensitive_crafting_mastery', 'fourByFour', '0', '0', '0', '0', '0', '1', '0', 'force_sensitive_crafting_mastery_novice', ' ', 'fs_crafting', '175000', '5100000', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', 'force_assembly=5', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('829', 'force_sensitive_crafting_mastery_assembly_02', 'force_sensitive_crafting_mastery_assembly_01', 'fourByFour', '0', '0', '0', '0', '0', '1', '0', 'force_sensitive_crafting_mastery_assembly_01', ' ', 'fs_crafting', '250000', '5100000', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', 'force_assembly=5', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('830', 'force_sensitive_crafting_mastery_assembly_03', 'force_sensitive_crafting_mastery_assembly_02', 'fourByFour', '0', '0', '0', '0', '0', '1', '0', 'force_sensitive_crafting_mastery_assembly_02', ' ', 'fs_crafting', '350000', '5100000', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', 'force_assembly=5', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('831', 'force_sensitive_crafting_mastery_assembly_04', 'force_sensitive_crafting_mastery_assembly_03', 'fourByFour', '0', '0', '0', '0', '0', '1', '0', 'force_sensitive_crafting_mastery_assembly_03', ' ', 'fs_crafting', '450000', '5100000', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', 'force_assembly=5', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('832', 'force_sensitive_crafting_mastery_repair_01', 'force_sensitive_crafting_mastery', 'fourByFour', '0', '0', '0', '0', '0', '1', '0', 'force_sensitive_crafting_mastery_novice', ' ', 'fs_crafting', '175000', '5100000', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', 'force_repair_bonus=5', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('833', 'force_sensitive_crafting_mastery_repair_02', 'force_sensitive_crafting_mastery_repair_01', 'fourByFour', '0', '0', '0', '0', '0', '1', '0', 'force_sensitive_crafting_mastery_repair_01', ' ', 'fs_crafting', '250000', '5100000', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', 'force_repair_bonus=5', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('834', 'force_sensitive_crafting_mastery_repair_03', 'force_sensitive_crafting_mastery_repair_02', 'fourByFour', '0', '0', '0', '0', '0', '1', '0', 'force_sensitive_crafting_mastery_repair_02', ' ', 'fs_crafting', '350000', '5100000', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', 'force_repair_bonus=5', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('835', 'force_sensitive_crafting_mastery_repair_04', 'force_sensitive_crafting_mastery_repair_03', 'fourByFour', '0', '0', '0', '0', '0', '1', '0', 'force_sensitive_crafting_mastery_repair_03', ' ', 'fs_crafting', '450000', '5100000', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', 'force_repair_bonus=5', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('836', 'force_sensitive_crafting_mastery_technique_01', 'force_sensitive_crafting_mastery', 'fourByFour', '0', '0', '0', '0', '0', '1', '0', 'force_sensitive_crafting_mastery_novice', ' ', 'fs_crafting', '175000', '5100000', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', 'force_failure_reduction=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('837', 'force_sensitive_crafting_mastery_technique_02', 'force_sensitive_crafting_mastery_technique_01', 'fourByFour', '0', '0', '0', '0', '0', '1', '0', 'force_sensitive_crafting_mastery_technique_01', ' ', 'fs_crafting', '250000', '5100000', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', 'force_failure_reduction=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('838', 'force_sensitive_crafting_mastery_technique_03', 'force_sensitive_crafting_mastery_technique_02', 'fourByFour', '0', '0', '0', '0', '0', '1', '0', 'force_sensitive_crafting_mastery_technique_02', ' ', 'fs_crafting', '350000', '5100000', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', 'force_failure_reduction=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('839', 'force_sensitive_crafting_mastery_technique_04', 'force_sensitive_crafting_mastery_technique_03', 'fourByFour', '0', '0', '0', '0', '0', '1', '0', 'force_sensitive_crafting_mastery_technique_03', ' ', 'fs_crafting', '450000', '5100000', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', 'force_failure_reduction=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('840', 'force_sensitive_heightened_senses', 'force_sensitive', 'fourByFour', '0', '0', '1', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', ' ', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('841', 'force_sensitive_heightened_senses_novice', 'force_sensitive_heightened_senses', 'fourByFour', '0', '0', '0', '0', '0', '0', '0', ' ', ' ', 'fs_senses', '50000', '5100000', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', ' ', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('842', 'force_sensitive_heightened_senses_master', 'force_sensitive_heightened_senses', 'fourByFour', '0', '0', '0', '0', '0', '0', '0', 'force_sensitive_heightened_senses_healing_04,force_sensitive_heightened_senses_surveying_04,force_sensitive_heightened_senses_persuasion_04,force_sensitive_heightened_senses_luck_04', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', ' ', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('843', 'force_sensitive_heightened_senses_healing_01', 'force_sensitive_heightened_senses', 'fourByFour', '0', '0', '0', '0', '0', '1', '0', 'force_sensitive_heightened_senses_novice', ' ', 'fs_senses', '175000', '5100000', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', 'healing_injury_treatment=5,healing_dance_wound=5,healing_music_wound=5', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('844', 'force_sensitive_heightened_senses_healing_02', 'force_sensitive_heightened_senses_healing_01', 'fourByFour', '0', '0', '0', '0', '0', '1', '0', 'force_sensitive_heightened_senses_healing_01', ' ', 'fs_senses', '250000', '5100000', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', 'healing_injury_speed=5,healing_dance_wound=5,healing_music_wound=5', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('845', 'force_sensitive_heightened_senses_healing_03', 'force_sensitive_heightened_senses_healing_02', 'fourByFour', '0', '0', '0', '0', '0', '1', '0', 'force_sensitive_heightened_senses_healing_02', ' ', 'fs_senses', '350000', '5100000', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', 'healing_injury_treatment=5,healing_dance_wound=5,healing_music_wound=5', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('846', 'force_sensitive_heightened_senses_healing_04', 'force_sensitive_heightened_senses_healing_03', 'fourByFour', '0', '0', '0', '0', '0', '1', '0', 'force_sensitive_heightened_senses_healing_03', ' ', 'fs_senses', '450000', '5100000', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', 'healing_injury_speed=5,healing_dance_wound=5,healing_music_wound=5', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('847', 'force_sensitive_heightened_senses_surveying_01', 'force_sensitive_heightened_senses', 'fourByFour', '0', '0', '0', '0', '0', '1', '0', 'force_sensitive_heightened_senses_novice', ' ', 'fs_senses', '175000', '5100000', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', 'surveying=5', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('848', 'force_sensitive_heightened_senses_surveying_02', 'force_sensitive_heightened_senses_surveying_01', 'fourByFour', '0', '0', '0', '0', '0', '1', '0', 'force_sensitive_heightened_senses_surveying_01', ' ', 'fs_senses', '250000', '5100000', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', 'surveying=5', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('849', 'force_sensitive_heightened_senses_surveying_03', 'force_sensitive_heightened_senses_surveying_02', 'fourByFour', '0', '0', '0', '0', '0', '1', '0', 'force_sensitive_heightened_senses_surveying_02', ' ', 'fs_senses', '350000', '5100000', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', 'surveying=5', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('850', 'force_sensitive_heightened_senses_surveying_04', 'force_sensitive_heightened_senses_surveying_03', 'fourByFour', '0', '0', '0', '0', '0', '1', '0', 'force_sensitive_heightened_senses_surveying_03', ' ', 'fs_senses', '450000', '5100000', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', 'surveying=5', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('851', 'force_sensitive_heightened_senses_persuasion_01', 'force_sensitive_heightened_senses', 'fourByFour', '0', '0', '0', '0', '0', '1', '0', 'force_sensitive_heightened_senses_novice', ' ', 'fs_senses', '175000', '5100000', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', 'force_persuade=5', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('852', 'force_sensitive_heightened_senses_persuasion_02', 'force_sensitive_heightened_senses_persuasion_01', 'fourByFour', '0', '0', '0', '0', '0', '1', '0', 'force_sensitive_heightened_senses_persuasion_01', ' ', 'fs_senses', '250000', '5100000', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', 'force_persuade=5', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('853', 'force_sensitive_heightened_senses_persuasion_03', 'force_sensitive_heightened_senses_persuasion_02', 'fourByFour', '0', '0', '0', '0', '0', '1', '0', 'force_sensitive_heightened_senses_persuasion_02', ' ', 'fs_senses', '350000', '5100000', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', 'force_persuade=5', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('854', 'force_sensitive_heightened_senses_persuasion_04', 'force_sensitive_heightened_senses_persuasion_03', 'fourByFour', '0', '0', '0', '0', '0', '1', '0', 'force_sensitive_heightened_senses_persuasion_03', ' ', 'fs_senses', '450000', '5100000', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', 'force_persuade=5', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('855', 'force_sensitive_heightened_senses_luck_01', 'force_sensitive_heightened_senses', 'fourByFour', '0', '0', '0', '0', '0', '1', '0', 'force_sensitive_heightened_senses_novice', ' ', 'fs_senses', '175000', '5100000', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', 'force_luck=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('856', 'force_sensitive_heightened_senses_luck_02', 'force_sensitive_heightened_senses_luck_01', 'fourByFour', '0', '0', '0', '0', '0', '1', '0', 'force_sensitive_heightened_senses_luck_01', ' ', 'fs_senses', '250000', '5100000', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', 'force_luck=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('857', 'force_sensitive_heightened_senses_luck_03', 'force_sensitive_heightened_senses_luck_02', 'fourByFour', '0', '0', '0', '0', '0', '1', '0', 'force_sensitive_heightened_senses_luck_02', ' ', 'fs_senses', '350000', '5100000', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', 'force_luck=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('858', 'force_sensitive_heightened_senses_luck_04', 'force_sensitive_heightened_senses_luck_03', 'fourByFour', '0', '0', '0', '0', '0', '1', '0', 'force_sensitive_heightened_senses_luck_03', ' ', 'fs_senses', '450000', '5100000', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', 'force_luck=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('859', 'force_discipline', ' ', 'fourByFour', '1', '0', '0', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'jedi', ' ', ' ', ' ', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('860', 'force_discipline_light_saber', 'force_discipline', 'fourByFour', '0', '0', '1', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'jedi', ' ', ' ', ' ', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('861', 'force_discipline_light_saber_novice', 'force_discipline_light_saber', 'fourByFour', '0', '0', '0', '0', '0', '8', '0', 'force_title_jedi_rank_02', ' ', 'jedi_general', '20000', '300000', ' ', '0', ' ', ' ', 'jedi', ' ', 'saberPolearmHit1,saber1hHit1,saber2hHit1,cert_onehandlightsaber_gen1,cert_polearmlightsaber_gen1,cert_twohandlightsaber_gen1', 'onehandlightsaber_accuracy=25,onehandlightsaber_speed=25,twohandlightsaber_accuracy=25,twohandlightsaber_speed=25,polearmlightsaber_accuracy=25,polearmlightsaber_speed=25,saber_block=10,lightsaber_toughness=10,jedi_saber_assembly=10,jedi_saber_experimentation=10,private_onehandlightsaber_combat_difficulty=200,private_twohandlightsaber_combat_difficulty=200,private_polearmlightsaber_combat_difficulty=200,jedi_force_power_max=200,jedi_force_power_regen=1', 'craftSaberNovice', ' ', '0', '0');
INSERT INTO `skills` VALUES ('862', 'force_discipline_light_saber_master', 'force_discipline_light_saber', 'fourByFour', '0', '0', '0', '0', '0', '1', '0', 'force_discipline_light_saber_one_hand_04,force_discipline_light_saber_two_hand_04,force_discipline_light_saber_polearm_04,force_discipline_light_saber_technique_04', ' ', 'jedi_general', '3200000', '4000000', ' ', '0', ' ', ' ', 'jedi', ' ', 'saberThrow3,saber1hFlurry2,saber2hPhantom,saberPolearmDervish2,cert_onehandlightsaber_gen4,cert_polearmlightsaber_gen4,cert_twohandlightsaber_gen4', 'onehandlightsaber_accuracy=25,onehandlightsaber_speed=25,twohandlightsaber_accuracy=25,twohandlightsaber_speed=25,polearmlightsaber_accuracy=25,polearmlightsaber_speed=25,saber_block=25,lightsaber_toughness=15,jedi_saber_assembly=30,jedi_saber_experimentation=25,jedi_force_power_max=500,jedi_force_power_regen=5', 'craftSaberMaster', ' ', '0', '0');
INSERT INTO `skills` VALUES ('863', 'force_discipline_light_saber_one_hand_01', 'force_discipline_light_saber', 'fourByFour', '0', '0', '0', '0', '0', '8', '0', 'force_discipline_light_saber_novice', ' ', 'jedi_general', '200000', '600000', ' ', '0', ' ', ' ', 'jedi', ' ', 'saber1hHeadHit1,saber1hComboHit1', 'onehandlightsaber_accuracy=5,onehandlightsaber_speed=5,private_onehandlightsaber_combat_difficulty=200,jedi_force_power_max=100,jedi_force_power_regen=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('864', 'force_discipline_light_saber_one_hand_02', 'force_discipline_light_saber_one_hand_01', 'fourByFour', '0', '0', '0', '0', '0', '6', '0', 'force_discipline_light_saber_one_hand_01', ' ', 'jedi_general', '400000', '1000000', ' ', '0', ' ', ' ', 'jedi', ' ', 'saber1hHit2,saber1hHeadHit2,cert_onehandlightsaber_gen2', 'onehandlightsaber_accuracy=10,onehandlightsaber_speed=10,private_onehandlightsaber_combat_difficulty=200,jedi_force_power_max=100,jedi_force_power_regen=1', 'craftSaberOneHand2', ' ', '0', '0');
INSERT INTO `skills` VALUES ('865', 'force_discipline_light_saber_one_hand_03', 'force_discipline_light_saber_one_hand_02', 'fourByFour', '0', '0', '0', '0', '0', '4', '0', 'force_discipline_light_saber_one_hand_02', ' ', 'jedi_general', '800000', '2000000', ' ', '0', ' ', ' ', 'jedi', ' ', 'saber1hComboHit2,saber1hHeadHit3', 'onehandlightsaber_accuracy=15,onehandlightsaber_speed=15,private_onehandlightsaber_combat_difficulty=200,jedi_force_power_max=150,jedi_force_power_regen=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('866', 'force_discipline_light_saber_one_hand_04', 'force_discipline_light_saber_one_hand_03', 'fourByFour', '0', '0', '0', '0', '0', '2', '0', 'force_discipline_light_saber_one_hand_03', ' ', 'jedi_general', '1600000', '4000000', ' ', '0', ' ', ' ', 'jedi', ' ', 'saber1hHit3,saber1hComboHit3,saber1hFlurry,cert_onehandlightsaber_gen3', 'onehandlightsaber_accuracy=20,onehandlightsaber_speed=20,private_onehandlightsaber_combat_difficulty=300,jedi_force_power_max=175,jedi_force_power_regen=2', 'craftSaberOneHand3', ' ', '0', '0');
INSERT INTO `skills` VALUES ('867', 'force_discipline_light_saber_two_hand_01', 'force_discipline_light_saber', 'fourByFour', '0', '0', '0', '0', '0', '8', '0', 'force_discipline_light_saber_novice', ' ', 'jedi_general', '200000', '600000', ' ', '0', ' ', ' ', 'jedi', ' ', 'saber2hBodyHit1,saber2hSweep1', 'twohandlightsaber_accuracy=5,twohandlightsaber_speed=5,private_twohandlightsaber_combat_difficulty=200,jedi_force_power_max=100,jedi_force_power_regen=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('868', 'force_discipline_light_saber_two_hand_02', 'force_discipline_light_saber_two_hand_01', 'fourByFour', '0', '0', '0', '0', '0', '6', '0', 'force_discipline_light_saber_two_hand_01', ' ', 'jedi_general', '400000', '1000000', ' ', '0', ' ', ' ', 'jedi', ' ', 'saber2hHit2,saber2hBodyHit2,cert_twohandlightsaber_gen2', 'twohandlightsaber_accuracy=10,twohandlightsaber_speed=10,private_twohandlightsaber_combat_difficulty=200,jedi_force_power_max=100,jedi_force_power_regen=1', 'craftSaberTwoHand2', ' ', '0', '0');
INSERT INTO `skills` VALUES ('869', 'force_discipline_light_saber_two_hand_03', 'force_discipline_light_saber_two_hand_02', 'fourByFour', '0', '0', '0', '0', '0', '4', '0', 'force_discipline_light_saber_two_hand_02', ' ', 'jedi_general', '800000', '2000000', ' ', '0', ' ', ' ', 'jedi', ' ', 'saber2hBodyHit3,saber2hSweep2', 'twohandlightsaber_accuracy=15,twohandlightsaber_speed=15,private_twohandlightsaber_combat_difficulty=200,jedi_force_power_max=150,jedi_force_power_regen=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('870', 'force_discipline_light_saber_two_hand_04', 'force_discipline_light_saber_two_hand_03', 'fourByFour', '0', '0', '0', '0', '0', '2', '0', 'force_discipline_light_saber_two_hand_03', ' ', 'jedi_general', '1600000', '4000000', ' ', '0', ' ', ' ', 'jedi', ' ', 'saber2hHit3,saber2hSweep3,saber2hFrenzy,cert_twohandlightsaber_gen3', 'twohandlightsaber_accuracy=20,twohandlightsaber_speed=20,private_twohandlightsaber_combat_difficulty=300,jedi_force_power_max=175,jedi_force_power_regen=2', 'craftSaberTwoHand3', ' ', '0', '0');
INSERT INTO `skills` VALUES ('871', 'force_discipline_light_saber_polearm_01', 'force_discipline_light_saber', 'fourByFour', '0', '0', '0', '0', '0', '8', '0', 'force_discipline_light_saber_novice', ' ', 'jedi_general', '200000', '600000', ' ', '0', ' ', ' ', 'jedi', ' ', 'saberPolearmLegHit1,saberPolearmSpinAttack1', 'polearmlightsaber_accuracy=5,polearmlightsaber_speed=5,private_polearmlightsaber_combat_difficulty=200,jedi_force_power_max=100,jedi_force_power_regen=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('872', 'force_discipline_light_saber_polearm_02', 'force_discipline_light_saber_polearm_01', 'fourByFour', '0', '0', '0', '0', '0', '6', '0', 'force_discipline_light_saber_polearm_01', ' ', 'jedi_general', '400000', '1000000', ' ', '0', ' ', ' ', 'jedi', ' ', 'saberPolearmHit2,saberPolearmLegHit2,cert_polearmlightsaber_gen2', 'polearmlightsaber_accuracy=10,polearmlightsaber_speed=10,private_polearmlightsaber_combat_difficulty=200,jedi_force_power_max=100,jedi_force_power_regen=1', 'craftSaberPoleArm2', ' ', '0', '0');
INSERT INTO `skills` VALUES ('873', 'force_discipline_light_saber_polearm_03', 'force_discipline_light_saber_polearm_02', 'fourByFour', '0', '0', '0', '0', '0', '4', '0', 'force_discipline_light_saber_polearm_02', ' ', 'jedi_general', '800000', '2000000', ' ', '0', ' ', ' ', 'jedi', ' ', 'saberPolearmLegHit3,saberPolearmSpinAttack2', 'polearmlightsaber_accuracy=15,polearmlightsaber_speed=15,private_polearmlightsaber_combat_difficulty=200,jedi_force_power_max=150,jedi_force_power_regen=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('874', 'force_discipline_light_saber_polearm_04', 'force_discipline_light_saber_polearm_03', 'fourByFour', '0', '0', '0', '0', '0', '2', '0', 'force_discipline_light_saber_polearm_03', ' ', 'jedi_general', '1600000', '4000000', ' ', '0', ' ', ' ', 'jedi', ' ', 'saberPolearmHit3,saberPolearmSpinAttack3,saberPolearmDervish,cert_polearmlightsaber_gen3', 'polearmlightsaber_accuracy=20,polearmlightsaber_speed=20,private_polearmlightsaber_combat_difficulty=300,jedi_force_power_max=175,jedi_force_power_regen=2', 'craftSaberPoleArm3', ' ', '0', '0');
INSERT INTO `skills` VALUES ('875', 'force_discipline_light_saber_technique_01', 'force_discipline_light_saber', 'fourByFour', '0', '0', '0', '0', '0', '8', '0', 'force_discipline_light_saber_novice', ' ', 'jedi_general', '200000', '600000', ' ', '0', ' ', ' ', 'jedi', ' ', 'saberSlash1', 'saber_block=5,lightsaber_toughness=5,jedi_saber_assembly=15,jedi_saber_experimentation=10,private_onehandlightsaber_combat_difficulty=100,private_twohandlightsaber_combat_difficulty=100,private_polearmlightsaber_combat_difficulty=100,jedi_force_power_max=100,jedi_force_power_regen=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('876', 'force_discipline_light_saber_technique_02', 'force_discipline_light_saber_technique_01', 'fourByFour', '0', '0', '0', '0', '0', '6', '0', 'force_discipline_light_saber_technique_01', ' ', 'jedi_general', '400000', '1000000', ' ', '0', ' ', ' ', 'jedi', ' ', 'saberThrow1', 'saber_block=10,lightsaber_toughness=5,jedi_saber_assembly=15,jedi_saber_experimentation=15,private_onehandlightsaber_combat_difficulty=100,private_twohandlightsaber_combat_difficulty=100,private_polearmlightsaber_combat_difficulty=100,jedi_force_power_max=100,jedi_force_power_regen=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('877', 'force_discipline_light_saber_technique_03', 'force_discipline_light_saber_technique_02', 'fourByFour', '0', '0', '0', '0', '0', '4', '0', 'force_discipline_light_saber_technique_02', ' ', 'jedi_general', '800000', '2000000', ' ', '0', ' ', ' ', 'jedi', ' ', 'saberSlash2', 'saber_block=15,lightsaber_toughness=10,jedi_saber_assembly=15,jedi_saber_experimentation=20,private_onehandlightsaber_combat_difficulty=100,private_twohandlightsaber_combat_difficulty=100,private_polearmlightsaber_combat_difficulty=100,jedi_force_power_max=150,jedi_force_power_regen=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('878', 'force_discipline_light_saber_technique_04', 'force_discipline_light_saber_technique_03', 'fourByFour', '0', '0', '0', '0', '0', '2', '0', 'force_discipline_light_saber_technique_03', ' ', 'jedi_general', '1600000', '4000000', ' ', '0', ' ', ' ', 'jedi', ' ', 'saberThrow2', 'saber_block=20,lightsaber_toughness=10,jedi_saber_assembly=15,jedi_saber_experimentation=20,private_onehandlightsaber_combat_difficulty=100,private_twohandlightsaber_combat_difficulty=100,private_polearmlightsaber_combat_difficulty=100,jedi_force_power_max=175,jedi_force_power_regen=2', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('879', 'force_discipline_powers', 'force_discipline', 'fourByFour', '0', '0', '1', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'jedi', ' ', ' ', ' ', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('880', 'force_discipline_powers_novice', 'force_discipline_powers', 'fourByFour', '0', '0', '0', '0', '0', '8', '0', 'force_title_jedi_rank_02', ' ', 'jedi_general', '20000', '300000', ' ', '0', ' ', ' ', 'jedi', ' ', 'animalScare', 'private_jedi_difficulty=50,jedi_force_power_max=200,jedi_force_power_regen=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('881', 'force_discipline_powers_master', 'force_discipline_powers', 'fourByFour', '0', '0', '0', '0', '0', '1', '0', 'force_discipline_powers_lightning_04,force_discipline_powers_mental_04,force_discipline_powers_debuff_04,force_discipline_powers_push_04', ' ', 'jedi_general', '3200000', '4000000', ' ', '0', ' ', ' ', 'jedi', ' ', 'jediMindTrick,forceChoke,forceKnockdown3', 'forceintimidate_accuracy=35,forcethrow_accuracy=30,forceknockdown_accuracy=35,forceweaken_accuracy=30,mindblast_accuracy=30,forcelightning_accuracy=30,force_choke=5,private_jedi_difficulty=200,jedi_force_power_max=500,jedi_force_power_regen=5', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('882', 'force_discipline_powers_lightning_01', 'force_discipline_powers', 'fourByFour', '0', '0', '0', '0', '0', '8', '0', 'force_discipline_powers_novice', ' ', 'jedi_general', '200000', '600000', ' ', '0', ' ', ' ', 'jedi', ' ', 'forceLightningSingle1', 'private_force_lightning_single_power=1,forcelightning_accuracy=20,private_jedi_difficulty=125,jedi_force_power_max=100,jedi_force_power_regen=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('883', 'force_discipline_powers_lightning_02', 'force_discipline_powers_lightning_01', 'fourByFour', '0', '0', '0', '0', '0', '6', '0', 'force_discipline_powers_lightning_01', ' ', 'jedi_general', '400000', '1000000', ' ', '0', ' ', ' ', 'jedi', ' ', 'forceLightningCone1', 'private_force_lightning_cone_power=1,forcelightning_accuracy=20,private_jedi_difficulty=100,jedi_force_power_max=100,jedi_force_power_regen=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('884', 'force_discipline_powers_lightning_03', 'force_discipline_powers_lightning_02', 'fourByFour', '0', '0', '0', '0', '0', '4', '0', 'force_discipline_powers_lightning_02', ' ', 'jedi_general', '800000', '2000000', ' ', '0', ' ', ' ', 'jedi', ' ', 'forceLightningSingle2', 'private_force_lightning_single_power=2,forcelightning_accuracy=20,private_jedi_difficulty=100,jedi_force_power_max=150,jedi_force_power_regen=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('885', 'force_discipline_powers_lightning_04', 'force_discipline_powers_lightning_03', 'fourByFour', '0', '0', '0', '0', '0', '2', '0', 'force_discipline_powers_lightning_03', ' ', 'jedi_general', '1600000', '4000000', ' ', '0', ' ', ' ', 'jedi', ' ', 'forceLightningCone2', 'private_force_lightning_cone_power=2,forcelightning_accuracy=20,private_jedi_difficulty=125,jedi_force_power_max=175,jedi_force_power_regen=2', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('886', 'force_discipline_powers_mental_01', 'force_discipline_powers', 'fourByFour', '0', '0', '0', '0', '0', '8', '0', 'force_discipline_powers_novice', ' ', 'jedi_general', '200000', '600000', ' ', '0', ' ', ' ', 'jedi', ' ', 'mindBlast1', 'mindblast_accuracy=20,private_jedi_difficulty=125,jedi_force_power_max=100,jedi_force_power_regen=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('887', 'force_discipline_powers_mental_02', 'force_discipline_powers_mental_01', 'fourByFour', '0', '0', '0', '0', '0', '6', '0', 'force_discipline_powers_mental_01', ' ', 'jedi_general', '400000', '1000000', ' ', '0', ' ', ' ', 'jedi', ' ', 'animalCalm', 'mindblast_accuracy=20,private_jedi_difficulty=100,jedi_force_power_max=100,jedi_force_power_regen=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('888', 'force_discipline_powers_mental_03', 'force_discipline_powers_mental_02', 'fourByFour', '0', '0', '0', '0', '0', '4', '0', 'force_discipline_powers_mental_02', ' ', 'jedi_general', '800000', '2000000', ' ', '0', ' ', ' ', 'jedi', ' ', 'mindBlast2', 'mindblast_accuracy=20,private_jedi_difficulty=100,jedi_force_power_max=150,jedi_force_power_regen=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('889', 'force_discipline_powers_mental_04', 'force_discipline_powers_mental_03', 'fourByFour', '0', '0', '0', '0', '0', '2', '0', 'force_discipline_powers_mental_03', ' ', 'jedi_general', '1600000', '4000000', ' ', '0', ' ', ' ', 'jedi', ' ', 'animalAttack', 'mindblast_accuracy=20,private_jedi_difficulty=125,jedi_force_power_max=175,jedi_force_power_regen=2', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('890', 'force_discipline_powers_debuff_01', 'force_discipline_powers', 'fourByFour', '0', '0', '0', '0', '0', '8', '0', 'force_discipline_powers_novice', ' ', 'jedi_general', '200000', '600000', ' ', '0', ' ', ' ', 'jedi', ' ', 'forceWeaken1', 'forceweaken_accuracy=20,private_jedi_difficulty=125,jedi_force_power_max=100,jedi_force_power_regen=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('891', 'force_discipline_powers_debuff_02', 'force_discipline_powers_debuff_01', 'fourByFour', '0', '0', '0', '0', '0', '6', '0', 'force_discipline_powers_debuff_01', ' ', 'jedi_general', '400000', '1000000', ' ', '0', ' ', ' ', 'jedi', ' ', 'forceIntimidate1', 'forceweaken_accuracy=20,forceintimidate_accuracy=25,private_jedi_difficulty=100,jedi_force_power_max=100,jedi_force_power_regen=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('892', 'force_discipline_powers_debuff_03', 'force_discipline_powers_debuff_02', 'fourByFour', '0', '0', '0', '0', '0', '4', '0', 'force_discipline_powers_debuff_02', ' ', 'jedi_general', '800000', '2000000', ' ', '0', ' ', ' ', 'jedi', ' ', 'forceWeaken2', 'forceweaken_accuracy=20,forceintimidate_accuracy=25,private_jedi_difficulty=100,jedi_force_power_max=150,jedi_force_power_regen=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('893', 'force_discipline_powers_debuff_04', 'force_discipline_powers_debuff_03', 'fourByFour', '0', '0', '0', '0', '0', '2', '0', 'force_discipline_powers_debuff_03', ' ', 'jedi_general', '1600000', '4000000', ' ', '0', ' ', ' ', 'jedi', ' ', 'forceIntimidate2', 'forceweaken_accuracy=20,forceintimidate_accuracy=25,private_jedi_difficulty=125,jedi_force_power_max=175,jedi_force_power_regen=2', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('894', 'force_discipline_powers_push_01', 'force_discipline_powers', 'fourByFour', '0', '0', '0', '0', '0', '8', '0', 'force_discipline_powers_novice', ' ', 'jedi_general', '200000', '600000', ' ', '0', ' ', ' ', 'jedi', ' ', 'forceThrow1', 'forcethrow_accuracy=20,private_jedi_difficulty=125,jedi_force_power_max=100,jedi_force_power_regen=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('895', 'force_discipline_powers_push_02', 'force_discipline_powers_push_01', 'fourByFour', '0', '0', '0', '0', '0', '6', '0', 'force_discipline_powers_push_01', ' ', 'jedi_general', '400000', '1000000', ' ', '0', ' ', ' ', 'jedi', ' ', 'forceKnockdown1', 'forcethrow_accuracy=20,forceknockdown_accuracy=25,private_jedi_difficulty=100,jedi_force_power_max=100,jedi_force_power_regen=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('896', 'force_discipline_powers_push_03', 'force_discipline_powers_push_02', 'fourByFour', '0', '0', '0', '0', '0', '4', '0', 'force_discipline_powers_push_02', ' ', 'jedi_general', '800000', '2000000', ' ', '0', ' ', ' ', 'jedi', ' ', 'forceThrow2', 'forcethrow_accuracy=20,forceknockdown_accuracy=25,private_jedi_difficulty=100,jedi_force_power_max=150,jedi_force_power_regen=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('897', 'force_discipline_powers_push_04', 'force_discipline_powers_push_03', 'fourByFour', '0', '0', '0', '0', '0', '2', '0', 'force_discipline_powers_push_03', ' ', 'jedi_general', '1600000', '4000000', ' ', '0', ' ', ' ', 'jedi', ' ', 'forceKnockdown2', 'forcethrow_accuracy=20,forceknockdown_accuracy=25,private_jedi_difficulty=125,jedi_force_power_max=175,jedi_force_power_regen=2', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('898', 'force_discipline_healing', 'force_discipline', 'fourByFour', '0', '0', '1', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'jedi', ' ', ' ', ' ', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('899', 'force_discipline_healing_novice', 'force_discipline_healing', 'fourByFour', '0', '0', '0', '0', '0', '8', '0', 'force_title_jedi_rank_02', ' ', 'jedi_general', '20000', '300000', ' ', '0', ' ', ' ', 'jedi', ' ', 'healHealthSelf1', 'private_jedi_difficulty=50,jedi_force_power_max=200,jedi_force_power_regen=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('900', 'force_discipline_healing_master', 'force_discipline_healing', 'fourByFour', '0', '0', '0', '0', '0', '1', '0', 'force_discipline_healing_damage_04,force_discipline_healing_wound_04,force_discipline_healing_other_04,force_discipline_healing_states_04', ' ', 'jedi_general', '3200000', '4000000', ' ', '0', ' ', ' ', 'jedi', ' ', 'totalHealSelf,totalHealOther', 'private_jedi_difficulty=200,jedi_force_power_max=500,jedi_force_power_regen=5', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('901', 'force_discipline_healing_damage_01', 'force_discipline_healing', 'fourByFour', '0', '0', '0', '0', '0', '8', '0', 'force_discipline_healing_novice', ' ', 'jedi_general', '200000', '600000', ' ', '0', ' ', ' ', 'jedi', ' ', 'healMindSelf1,healActionSelf1', 'private_jedi_difficulty=100,jedi_force_power_max=100,jedi_force_power_regen=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('902', 'force_discipline_healing_damage_02', 'force_discipline_healing_damage_01', 'fourByFour', '0', '0', '0', '0', '0', '6', '0', 'force_discipline_healing_damage_01', ' ', 'jedi_general', '400000', '1000000', ' ', '0', ' ', ' ', 'jedi', ' ', 'healAllSelf1', 'private_jedi_difficulty=100,jedi_force_power_max=100,jedi_force_power_regen=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('903', 'force_discipline_healing_damage_03', 'force_discipline_healing_damage_02', 'fourByFour', '0', '0', '0', '0', '0', '4', '0', 'force_discipline_healing_damage_02', ' ', 'jedi_general', '800000', '2000000', ' ', '0', ' ', ' ', 'jedi', ' ', 'healMindSelf2,healActionSelf2,healHealthSelf2', 'private_jedi_difficulty=100,jedi_force_power_max=150,jedi_force_power_regen=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('904', 'force_discipline_healing_damage_04', 'force_discipline_healing_damage_03', 'fourByFour', '0', '0', '0', '0', '0', '2', '0', 'force_discipline_healing_damage_03', ' ', 'jedi_general', '1600000', '4000000', ' ', '0', ' ', ' ', 'jedi', ' ', 'healAllSelf2', 'private_jedi_difficulty=100,jedi_force_power_max=175,jedi_force_power_regen=2', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('905', 'force_discipline_healing_wound_01', 'force_discipline_healing', 'fourByFour', '0', '0', '0', '0', '0', '8', '0', 'force_discipline_healing_novice', ' ', 'jedi_general', '200000', '600000', ' ', '0', ' ', ' ', 'jedi', ' ', 'healHealthWoundSelf1,healActionWoundSelf1', 'private_jedi_difficulty=100,jedi_force_power_max=100,jedi_force_power_regen=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('906', 'force_discipline_healing_wound_02', 'force_discipline_healing_wound_01', 'fourByFour', '0', '0', '0', '0', '0', '6', '0', 'force_discipline_healing_wound_01', ' ', 'jedi_general', '400000', '1000000', ' ', '0', ' ', ' ', 'jedi', ' ', 'healMindWoundSelf1,healBattleFatigueSelf1', 'private_jedi_difficulty=100,jedi_force_power_max=100,jedi_force_power_regen=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('907', 'force_discipline_healing_wound_03', 'force_discipline_healing_wound_02', 'fourByFour', '0', '0', '0', '0', '0', '4', '0', 'force_discipline_healing_wound_02', ' ', 'jedi_general', '800000', '2000000', ' ', '0', ' ', ' ', 'jedi', ' ', 'healActionWoundSelf2,healHealthWoundSelf2', 'private_jedi_difficulty=100,jedi_force_power_max=150,jedi_force_power_regen=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('908', 'force_discipline_healing_wound_04', 'force_discipline_healing_wound_03', 'fourByFour', '0', '0', '0', '0', '0', '2', '0', 'force_discipline_healing_wound_03', ' ', 'jedi_general', '1600000', '4000000', ' ', '0', ' ', ' ', 'jedi', ' ', 'healBattleFatigueSelf2,healMindWoundSelf2', 'private_jedi_difficulty=100,jedi_force_power_max=175,jedi_force_power_regen=2', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('909', 'force_discipline_healing_other_01', 'force_discipline_healing', 'fourByFour', '0', '0', '0', '0', '0', '8', '0', 'force_discipline_healing_novice', ' ', 'jedi_general', '200000', '600000', ' ', '0', ' ', ' ', 'jedi', ' ', 'healMindWoundOther1,healHealthWoundOther1,healActionWoundOther1', 'private_jedi_difficulty=100,jedi_force_power_max=100,jedi_force_power_regen=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('910', 'force_discipline_healing_other_02', 'force_discipline_healing_other_01', 'fourByFour', '0', '0', '0', '0', '0', '6', '0', 'force_discipline_healing_other_01', ' ', 'jedi_general', '400000', '1000000', ' ', '0', ' ', ' ', 'jedi', ' ', 'healAllOther1', 'private_jedi_difficulty=100,jedi_force_power_max=100,jedi_force_power_regen=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('911', 'force_discipline_healing_other_03', 'force_discipline_healing_other_02', 'fourByFour', '0', '0', '0', '0', '0', '4', '0', 'force_discipline_healing_other_02', ' ', 'jedi_general', '800000', '2000000', ' ', '0', ' ', ' ', 'jedi', ' ', 'healHealthWoundOther2,healActionWoundOther2,healMindWoundOther2', 'private_jedi_difficulty=100,jedi_force_power_max=150,jedi_force_power_regen=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('912', 'force_discipline_healing_other_04', 'force_discipline_healing_other_03', 'fourByFour', '0', '0', '0', '0', '0', '2', '0', 'force_discipline_healing_other_03', ' ', 'jedi_general', '1600000', '4000000', ' ', '0', ' ', ' ', 'jedi', ' ', 'healAllOther2,healStatesOther', 'private_jedi_difficulty=100,jedi_force_power_max=175,jedi_force_power_regen=2', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('913', 'force_discipline_healing_states_01', 'force_discipline_healing', 'fourByFour', '0', '0', '0', '0', '0', '8', '0', 'force_discipline_healing_novice', ' ', 'jedi_general', '200000', '600000', ' ', '0', ' ', ' ', 'jedi', ' ', 'stopBleeding', 'private_jedi_difficulty=100,jedi_force_power_max=100,jedi_force_power_regen=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('914', 'force_discipline_healing_states_02', 'force_discipline_healing_states_01', 'fourByFour', '0', '0', '0', '0', '0', '6', '0', 'force_discipline_healing_states_01', ' ', 'jedi_general', '400000', '1000000', ' ', '0', ' ', ' ', 'jedi', ' ', 'forceCureDisease', 'private_jedi_difficulty=100,jedi_force_power_max=100,jedi_force_power_regen=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('915', 'force_discipline_healing_states_03', 'force_discipline_healing_states_02', 'fourByFour', '0', '0', '0', '0', '0', '4', '0', 'force_discipline_healing_states_02', ' ', 'jedi_general', '800000', '2000000', ' ', '0', ' ', ' ', 'jedi', ' ', 'forceCurePoison', 'private_jedi_difficulty=100,jedi_force_power_max=150,jedi_force_power_regen=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('916', 'force_discipline_healing_states_04', 'force_discipline_healing_states_03', 'fourByFour', '0', '0', '0', '0', '0', '2', '0', 'force_discipline_healing_states_03', ' ', 'jedi_general', '1600000', '4000000', ' ', '0', ' ', ' ', 'jedi', ' ', 'healStatesSelf', 'private_jedi_difficulty=100,jedi_force_power_max=175,jedi_force_power_regen=2', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('917', 'force_discipline_enhancements', 'force_discipline', 'fourByFour', '0', '0', '1', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'jedi', ' ', ' ', ' ', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('918', 'force_discipline_enhancements_novice', 'force_discipline_enhancements', 'fourByFour', '0', '0', '0', '0', '0', '8', '0', 'force_title_jedi_rank_02', ' ', 'jedi_general', '20000', '300000', ' ', '0', ' ', ' ', 'jedi', ' ', 'forceAbsorb1', 'private_jedi_difficulty=50,jedi_force_power_max=200,jedi_force_power_regen=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('919', 'force_discipline_enhancements_master', 'force_discipline_enhancements', 'fourByFour', '0', '0', '0', '0', '0', '1', '0', 'force_discipline_enhancements_movement_04,force_discipline_enhancements_protection_04,force_discipline_enhancements_resistance_04,force_discipline_enhancements_synergy_04', ' ', 'jedi_general', '3200000', '4000000', ' ', '0', ' ', ' ', 'jedi', ' ', 'forceRun3,regainConsciousness', 'private_jedi_difficulty=200,jedi_force_power_max=500,jedi_force_power_regen=5', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('920', 'force_discipline_enhancements_movement_01', 'force_discipline_enhancements', 'fourByFour', '0', '0', '0', '0', '0', '8', '0', 'force_discipline_enhancements_novice', ' ', 'jedi_general', '200000', '600000', ' ', '0', ' ', ' ', 'jedi', ' ', 'forceSpeed1', 'private_jedi_difficulty=125,jedi_force_power_max=100,jedi_force_power_regen=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('921', 'force_discipline_enhancements_movement_02', 'force_discipline_enhancements_movement_01', 'fourByFour', '0', '0', '0', '0', '0', '6', '0', 'force_discipline_enhancements_movement_01', ' ', 'jedi_general', '400000', '1000000', ' ', '0', ' ', ' ', 'jedi', ' ', 'forceRun1', 'private_jedi_difficulty=100,jedi_force_power_max=100,jedi_force_power_regen=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('922', 'force_discipline_enhancements_movement_03', 'force_discipline_enhancements_movement_02', 'fourByFour', '0', '0', '0', '0', '0', '4', '0', 'force_discipline_enhancements_movement_02', ' ', 'jedi_general', '800000', '2000000', ' ', '0', ' ', ' ', 'jedi', ' ', 'forceSpeed2', 'private_jedi_difficulty=100,jedi_force_power_max=150,jedi_force_power_regen=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('923', 'force_discipline_enhancements_movement_04', 'force_discipline_enhancements_movement_03', 'fourByFour', '0', '0', '0', '0', '0', '2', '0', 'force_discipline_enhancements_movement_03', ' ', 'jedi_general', '1600000', '4000000', ' ', '0', ' ', ' ', 'jedi', ' ', 'forceRun2', 'private_jedi_difficulty=125,jedi_force_power_max=175,jedi_force_power_regen=2', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('924', 'force_discipline_enhancements_protection_01', 'force_discipline_enhancements', 'fourByFour', '0', '0', '0', '0', '0', '8', '0', 'force_discipline_enhancements_novice', ' ', 'jedi_general', '200000', '600000', ' ', '0', ' ', ' ', 'jedi', ' ', 'forceFeedback1', 'private_jedi_difficulty=125,jedi_force_power_max=100,jedi_force_power_regen=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('925', 'force_discipline_enhancements_protection_02', 'force_discipline_enhancements_protection_01', 'fourByFour', '0', '0', '0', '0', '0', '6', '0', 'force_discipline_enhancements_protection_01', ' ', 'jedi_general', '400000', '1000000', ' ', '0', ' ', ' ', 'jedi', ' ', 'forceArmor1', 'private_jedi_difficulty=100,jedi_force_power_max=100,jedi_force_power_regen=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('926', 'force_discipline_enhancements_protection_03', 'force_discipline_enhancements_protection_02', 'fourByFour', '0', '0', '0', '0', '0', '4', '0', 'force_discipline_enhancements_protection_02', ' ', 'jedi_general', '800000', '2000000', ' ', '0', ' ', ' ', 'jedi', ' ', 'forceFeedback2', 'private_jedi_difficulty=100,jedi_force_power_max=150,jedi_force_power_regen=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('927', 'force_discipline_enhancements_protection_04', 'force_discipline_enhancements_protection_03', 'fourByFour', '0', '0', '0', '0', '0', '2', '0', 'force_discipline_enhancements_protection_03', ' ', 'jedi_general', '1600000', '4000000', ' ', '0', ' ', ' ', 'jedi', ' ', 'forceAbsorb2,forceArmor2', 'private_jedi_difficulty=125,jedi_force_power_max=175,jedi_force_power_regen=2', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('928', 'force_discipline_enhancements_resistance_01', 'force_discipline_enhancements', 'fourByFour', '0', '0', '0', '0', '0', '8', '0', 'force_discipline_enhancements_novice', ' ', 'jedi_general', '200000', '600000', ' ', '0', ' ', ' ', 'jedi', ' ', 'forceResistBleeding', 'private_jedi_difficulty=100,jedi_force_power_max=100,jedi_force_power_regen=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('929', 'force_discipline_enhancements_resistance_02', 'force_discipline_enhancements_resistance_01', 'fourByFour', '0', '0', '0', '0', '0', '6', '0', 'force_discipline_enhancements_resistance_01', ' ', 'jedi_general', '400000', '1000000', ' ', '0', ' ', ' ', 'jedi', ' ', 'forceResistDisease', 'private_jedi_difficulty=100,jedi_force_power_max=100,jedi_force_power_regen=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('930', 'force_discipline_enhancements_resistance_03', 'force_discipline_enhancements_resistance_02', 'fourByFour', '0', '0', '0', '0', '0', '4', '0', 'force_discipline_enhancements_resistance_02', ' ', 'jedi_general', '800000', '2000000', ' ', '0', ' ', ' ', 'jedi', ' ', 'forceResistPoison', 'private_jedi_difficulty=100,jedi_force_power_max=150,jedi_force_power_regen=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('931', 'force_discipline_enhancements_resistance_04', 'force_discipline_enhancements_resistance_03', 'fourByFour', '0', '0', '0', '0', '0', '2', '0', 'force_discipline_enhancements_resistance_03', ' ', 'jedi_general', '1600000', '4000000', ' ', '0', ' ', ' ', 'jedi', ' ', 'forceResistStates', 'private_jedi_difficulty=100,jedi_force_power_max=175,jedi_force_power_regen=2', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('932', 'force_discipline_enhancements_synergy_01', 'force_discipline_enhancements', 'fourByFour', '0', '0', '0', '0', '0', '8', '0', 'force_discipline_enhancements_novice', ' ', 'jedi_general', '200000', '600000', ' ', '0', ' ', ' ', 'jedi', ' ', 'transferForce', 'private_jedi_difficulty=100,jedi_force_power_max=100,jedi_force_power_regen=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('933', 'force_discipline_enhancements_synergy_02', 'force_discipline_enhancements_synergy_01', 'fourByFour', '0', '0', '0', '0', '0', '6', '0', 'force_discipline_enhancements_synergy_01', ' ', 'jedi_general', '400000', '1000000', ' ', '0', ' ', ' ', 'jedi', ' ', 'channelForce,forceShield1', 'private_jedi_difficulty=100,jedi_force_power_max=100,jedi_force_power_regen=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('934', 'force_discipline_enhancements_synergy_03', 'force_discipline_enhancements_synergy_02', 'fourByFour', '0', '0', '0', '0', '0', '4', '0', 'force_discipline_enhancements_synergy_02', ' ', 'jedi_general', '800000', '2000000', ' ', '0', ' ', ' ', 'jedi', ' ', 'drainForce', 'private_jedi_difficulty=100,jedi_force_power_max=150,jedi_force_power_regen=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('935', 'force_discipline_enhancements_synergy_04', 'force_discipline_enhancements_synergy_03', 'fourByFour', '0', '0', '0', '0', '0', '2', '0', 'force_discipline_enhancements_synergy_03', ' ', 'jedi_general', '1600000', '4000000', ' ', '0', ' ', ' ', 'jedi', ' ', 'forceMeditate,forceShield2', 'private_jedi_difficulty=100,jedi_force_power_max=175,jedi_force_power_regen=2', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('936', 'force_discipline_defender', 'force_discipline', 'fourByFour', '0', '0', '1', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'jedi', ' ', ' ', ' ', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('937', 'force_discipline_defender_novice', 'force_discipline_defender', 'fourByFour', '0', '0', '0', '0', '0', '8', '0', 'force_title_jedi_rank_02', ' ', 'jedi_general', '20000', '300000', ' ', '0', ' ', ' ', 'jedi', ' ', ' ', 'melee_defense=20,ranged_defense=15,force_defense=20,jedi_state_defense=15,jedi_toughness=5,private_jedi_difficulty=50,jedi_force_power_max=200,jedi_force_power_regen=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('938', 'force_discipline_defender_master', 'force_discipline_defender', 'fourByFour', '0', '0', '0', '0', '0', '1', '0', 'force_discipline_defender_melee_defense_04,force_discipline_defender_ranged_defense_04,force_discipline_defender_force_defense_04,force_discipline_defender_preternatural_defense_04', ' ', 'jedi_general', '3200000', '4000000', ' ', '0', ' ', ' ', 'jedi', ' ', 'avoidIncapacitation', 'melee_defense=25,ranged_defense=20,force_defense=25,jedi_state_defense=15,jedi_toughness=8,private_jedi_difficulty=200,jedi_force_power_max=500,jedi_force_power_regen=5', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('939', 'force_discipline_defender_melee_defense_01', 'force_discipline_defender', 'fourByFour', '0', '0', '0', '0', '0', '8', '0', 'force_discipline_defender_novice', ' ', 'jedi_general', '200000', '600000', ' ', '0', ' ', ' ', 'jedi', ' ', ' ', 'melee_defense=5,jedi_toughness=1,private_jedi_difficulty=100,jedi_force_power_max=100,jedi_force_power_regen=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('940', 'force_discipline_defender_melee_defense_02', 'force_discipline_defender_melee_defense_01', 'fourByFour', '0', '0', '0', '0', '0', '6', '0', 'force_discipline_defender_melee_defense_01', ' ', 'jedi_general', '400000', '1000000', ' ', '0', ' ', ' ', 'jedi', ' ', ' ', 'melee_defense=10,jedi_toughness=1,private_jedi_difficulty=100,jedi_force_power_max=100,jedi_force_power_regen=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('941', 'force_discipline_defender_melee_defense_03', 'force_discipline_defender_melee_defense_02', 'fourByFour', '0', '0', '0', '0', '0', '4', '0', 'force_discipline_defender_melee_defense_02', ' ', 'jedi_general', '800000', '2000000', ' ', '0', ' ', ' ', 'jedi', ' ', ' ', 'melee_defense=15,jedi_toughness=2,private_jedi_difficulty=100,jedi_force_power_max=150,jedi_force_power_regen=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('942', 'force_discipline_defender_melee_defense_04', 'force_discipline_defender_melee_defense_03', 'fourByFour', '0', '0', '0', '0', '0', '2', '0', 'force_discipline_defender_melee_defense_03', ' ', 'jedi_general', '1600000', '4000000', ' ', '0', ' ', ' ', 'jedi', ' ', ' ', 'melee_defense=20,jedi_toughness=4,private_jedi_difficulty=100,jedi_force_power_max=175,jedi_force_power_regen=2', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('943', 'force_discipline_defender_ranged_defense_01', 'force_discipline_defender', 'fourByFour', '0', '0', '0', '0', '0', '8', '0', 'force_discipline_defender_novice', ' ', 'jedi_general', '200000', '600000', ' ', '0', ' ', ' ', 'jedi', ' ', ' ', 'ranged_defense=5,jedi_toughness=1,private_jedi_difficulty=100,jedi_force_power_max=100,jedi_force_power_regen=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('944', 'force_discipline_defender_ranged_defense_02', 'force_discipline_defender_ranged_defense_01', 'fourByFour', '0', '0', '0', '0', '0', '6', '0', 'force_discipline_defender_ranged_defense_01', ' ', 'jedi_general', '400000', '1000000', ' ', '0', ' ', ' ', 'jedi', ' ', ' ', 'ranged_defense=10,jedi_toughness=1,private_jedi_difficulty=100,jedi_force_power_max=100,jedi_force_power_regen=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('945', 'force_discipline_defender_ranged_defense_03', 'force_discipline_defender_ranged_defense_02', 'fourByFour', '0', '0', '0', '0', '0', '4', '0', 'force_discipline_defender_ranged_defense_02', ' ', 'jedi_general', '800000', '2000000', ' ', '0', ' ', ' ', 'jedi', ' ', ' ', 'ranged_defense=10,jedi_toughness=2,private_jedi_difficulty=100,jedi_force_power_max=150,jedi_force_power_regen=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('946', 'force_discipline_defender_ranged_defense_04', 'force_discipline_defender_ranged_defense_03', 'fourByFour', '0', '0', '0', '0', '0', '2', '0', 'force_discipline_defender_ranged_defense_03', ' ', 'jedi_general', '1600000', '4000000', ' ', '0', ' ', ' ', 'jedi', ' ', ' ', 'ranged_defense=15,jedi_toughness=4,private_jedi_difficulty=100,jedi_force_power_max=175,jedi_force_power_regen=2', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('947', 'force_discipline_defender_force_defense_01', 'force_discipline_defender', 'fourByFour', '0', '0', '0', '0', '0', '8', '0', 'force_discipline_defender_novice', ' ', 'jedi_general', '200000', '600000', ' ', '0', ' ', ' ', 'jedi', ' ', ' ', 'force_defense=10,jedi_toughness=1,private_jedi_difficulty=100,jedi_force_power_max=100,jedi_force_power_regen=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('948', 'force_discipline_defender_force_defense_02', 'force_discipline_defender_force_defense_01', 'fourByFour', '0', '0', '0', '0', '0', '6', '0', 'force_discipline_defender_force_defense_01', ' ', 'jedi_general', '400000', '1000000', ' ', '0', ' ', ' ', 'jedi', ' ', ' ', 'force_defense=10,jedi_toughness=1,private_jedi_difficulty=125,jedi_force_power_max=100,jedi_force_power_regen=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('949', 'force_discipline_defender_force_defense_03', 'force_discipline_defender_force_defense_02', 'fourByFour', '0', '0', '0', '0', '0', '4', '0', 'force_discipline_defender_force_defense_02', ' ', 'jedi_general', '800000', '2000000', ' ', '0', ' ', ' ', 'jedi', ' ', ' ', 'force_defense=15,jedi_toughness=2,private_jedi_difficulty=100,jedi_force_power_max=150,jedi_force_power_regen=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('950', 'force_discipline_defender_force_defense_04', 'force_discipline_defender_force_defense_03', 'fourByFour', '0', '0', '0', '0', '0', '2', '0', 'force_discipline_defender_force_defense_03', ' ', 'jedi_general', '1600000', '4000000', ' ', '0', ' ', ' ', 'jedi', ' ', ' ', 'force_defense=20,jedi_toughness=4,private_jedi_difficulty=125,jedi_force_power_max=175,jedi_force_power_regen=2', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('951', 'force_discipline_defender_preternatural_defense_01', 'force_discipline_defender', 'fourByFour', '0', '0', '0', '0', '0', '8', '0', 'force_discipline_defender_novice', ' ', 'jedi_general', '200000', '600000', ' ', '0', ' ', ' ', 'jedi', ' ', ' ', 'jedi_state_defense=5,jedi_toughness=1,private_jedi_difficulty=100,jedi_force_power_max=100,jedi_force_power_regen=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('952', 'force_discipline_defender_preternatural_defense_02', 'force_discipline_defender_preternatural_defense_01', 'fourByFour', '0', '0', '0', '0', '0', '6', '0', 'force_discipline_defender_preternatural_defense_01', ' ', 'jedi_general', '400000', '1000000', ' ', '0', ' ', ' ', 'jedi', ' ', ' ', 'jedi_state_defense=5,jedi_toughness=1,private_jedi_difficulty=125,jedi_force_power_max=100,jedi_force_power_regen=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('953', 'force_discipline_defender_preternatural_defense_03', 'force_discipline_defender_preternatural_defense_02', 'fourByFour', '0', '0', '0', '0', '0', '4', '0', 'force_discipline_defender_preternatural_defense_02', ' ', 'jedi_general', '800000', '2000000', ' ', '0', ' ', ' ', 'jedi', ' ', ' ', 'jedi_state_defense=10,jedi_toughness=2,private_jedi_difficulty=100,jedi_force_power_max=150,jedi_force_power_regen=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('954', 'force_discipline_defender_preternatural_defense_04', 'force_discipline_defender_preternatural_defense_03', 'fourByFour', '0', '0', '0', '0', '0', '2', '0', 'force_discipline_defender_preternatural_defense_03', ' ', 'jedi_general', '1600000', '4000000', ' ', '0', ' ', ' ', 'jedi', ' ', ' ', 'jedi_state_defense=15,jedi_toughness=4,private_jedi_difficulty=125,jedi_force_power_max=175,jedi_force_power_regen=2', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('955', 'force_rank', ' ', 'fourByFour', '1', '0', '0', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'forceRankedLight', ' ', ' ', ' ', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('956', 'force_rank_light', 'force_rank', 'pyramid', '0', '0', '1', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'forceRankedLight', ' ', ' ', ' ', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('957', 'force_rank_light_novice', 'force_rank_light', 'pyramid', '0', '1', '0', '0', '0', '0', '0', ' ', ' ', 'force_rank_xp', '0', '15000', ' ', '0', ' ', ' ', 'forceRankedLight', ' ', ' ', 'force_power_light=4,force_manipulation_light=5,force_control_light=5', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('958', 'force_rank_light_master', 'force_rank_light', 'pyramid', '0', '1', '0', '0', '0', '0', '0', 'force_rank_light_rank_10', ' ', 'force_rank_xp', '500000', '625000', ' ', '0', ' ', ' ', 'forceRankedLight', ' ', ' ', 'force_power_light=15,force_manipulation_light=15,force_control_light=20', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('959', 'force_rank_light_rank_01', 'force_rank_light', 'pyramid', '0', '1', '0', '0', '0', '0', '0', 'force_rank_light_novice', ' ', 'force_rank_xp', '10000', '25000', ' ', '0', ' ', ' ', 'forceRankedLight', ' ', ' ', 'force_power_light=2,force_manipulation_light=3,force_control_light=5', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('960', 'force_rank_light_rank_02', 'force_rank_light_rank_01', 'pyramid', '0', '0', '0', '0', '0', '0', '0', 'force_rank_light_rank_01', ' ', 'force_rank_xp', '20000', '37500', ' ', '0', ' ', ' ', 'forceRankedLight', ' ', ' ', 'force_power_light=2,force_manipulation_light=4,force_control_light=5', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('961', 'force_rank_light_rank_03', 'force_rank_light_rank_02', 'pyramid', '0', '0', '0', '0', '0', '0', '0', 'force_rank_light_rank_02', ' ', 'force_rank_xp', '30000', '50000', ' ', '0', ' ', ' ', 'forceRankedLight', ' ', ' ', 'force_power_light=2,force_manipulation_light=4,force_control_light=5', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('962', 'force_rank_light_rank_04', 'force_rank_light_rank_03', 'pyramid', '0', '0', '0', '0', '0', '0', '0', 'force_rank_light_rank_03', ' ', 'force_rank_xp', '40000', '75000', ' ', '0', ' ', ' ', 'forceRankedLight', ' ', ' ', 'force_power_light=2,force_manipulation_light=4,force_control_light=5', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('963', 'force_rank_light_rank_05', 'force_rank_light_rank_04', 'pyramid', '0', '1', '0', '0', '0', '0', '0', 'force_rank_light_rank_04', ' ', 'force_rank_xp', '60000', '100000', ' ', '0', ' ', ' ', 'forceRankedLight', ' ', ' ', 'force_power_light=3,force_manipulation_light=5,force_control_light=10', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('964', 'force_rank_light_rank_06', 'force_rank_light_rank_05', 'pyramid', '0', '0', '0', '0', '0', '0', '0', 'force_rank_light_rank_05', ' ', 'force_rank_xp', '80000', '125000', ' ', '0', ' ', ' ', 'forceRankedLight', ' ', ' ', 'force_power_light=5,force_manipulation_light=5,force_control_light=10', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('965', 'force_rank_light_rank_07', 'force_rank_light_rank_06', 'pyramid', '0', '0', '0', '0', '0', '0', '0', 'force_rank_light_rank_06', ' ', 'force_rank_xp', '100000', '187500', ' ', '0', ' ', ' ', 'forceRankedLight', ' ', ' ', 'force_power_light=5,force_manipulation_light=5,force_control_light=10', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('966', 'force_rank_light_rank_08', 'force_rank_light_rank_07', 'pyramid', '0', '1', '0', '0', '0', '0', '0', 'force_rank_light_rank_07', ' ', 'force_rank_xp', '150000', '250000', ' ', '0', ' ', ' ', 'forceRankedLight', ' ', ' ', 'force_power_light=10,force_manipulation_light=10,force_control_light=15', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('967', 'force_rank_light_rank_09', 'force_rank_light_rank_08', 'pyramid', '0', '0', '0', '0', '0', '0', '0', 'force_rank_light_rank_08', ' ', 'force_rank_xp', '200000', '375000', ' ', '0', ' ', ' ', 'forceRankedLight', ' ', ' ', 'force_power_light=10,force_manipulation_light=10,force_control_light=15', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('968', 'force_rank_light_rank_10', 'force_rank_light_rank_09', 'pyramid', '0', '1', '0', '0', '0', '0', '0', 'force_rank_light_rank_09', ' ', 'force_rank_xp', '300000', '625000', ' ', '0', ' ', ' ', 'forceRankedLight', ' ', ' ', 'force_power_light=15,force_manipulation_light=10,force_control_light=15', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('969', 'force_rank_dark', 'force_rank', 'pyramid', '0', '0', '1', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'forceRankedDark', ' ', ' ', ' ', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('970', 'force_rank_dark_novice', 'force_rank_dark', 'pyramid', '0', '1', '0', '0', '0', '0', '0', ' ', ' ', 'force_rank_xp', '0', '15000', ' ', '0', ' ', ' ', 'forceRankedDark', ' ', ' ', 'force_power_dark=5,force_manipulation_dark=5,force_control_dark=4', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('971', 'force_rank_dark_master', 'force_rank_dark', 'pyramid', '0', '1', '0', '0', '0', '0', '0', 'force_rank_dark_rank_10', ' ', 'force_rank_xp', '500000', '625000', ' ', '0', ' ', ' ', 'forceRankedDark', ' ', ' ', 'force_power_dark=20,force_manipulation_dark=15,force_control_dark=15', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('972', 'force_rank_dark_rank_01', 'force_rank_dark', 'pyramid', '0', '1', '0', '0', '0', '0', '0', 'force_rank_dark_novice', ' ', 'force_rank_xp', '10000', '25000', ' ', '0', ' ', ' ', 'forceRankedDark', ' ', ' ', 'force_power_dark=5,force_manipulation_dark=3,force_control_dark=2', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('973', 'force_rank_dark_rank_02', 'force_rank_dark_rank_01', 'pyramid', '0', '0', '0', '0', '0', '0', '0', 'force_rank_dark_rank_01', ' ', 'force_rank_xp', '20000', '37500', ' ', '0', ' ', ' ', 'forceRankedDark', ' ', ' ', 'force_power_dark=5,force_manipulation_dark=4,force_control_dark=2', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('974', 'force_rank_dark_rank_03', 'force_rank_dark_rank_02', 'pyramid', '0', '0', '0', '0', '0', '0', '0', 'force_rank_dark_rank_02', ' ', 'force_rank_xp', '30000', '50000', ' ', '0', ' ', ' ', 'forceRankedDark', ' ', ' ', 'force_power_dark=5,force_manipulation_dark=4,force_control_dark=2', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('975', 'force_rank_dark_rank_04', 'force_rank_dark_rank_03', 'pyramid', '0', '0', '0', '0', '0', '0', '0', 'force_rank_dark_rank_03', ' ', 'force_rank_xp', '40000', '75000', ' ', '0', ' ', ' ', 'forceRankedDark', ' ', ' ', 'force_power_dark=5,force_manipulation_dark=4,force_control_dark=2', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('976', 'force_rank_dark_rank_05', 'force_rank_dark_rank_04', 'pyramid', '0', '1', '0', '0', '0', '0', '0', 'force_rank_dark_rank_04', ' ', 'force_rank_xp', '60000', '100000', ' ', '0', ' ', ' ', 'forceRankedDark', ' ', ' ', 'force_power_dark=10,force_manipulation_dark=5,force_control_dark=3', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('977', 'force_rank_dark_rank_06', 'force_rank_dark_rank_05', 'pyramid', '0', '0', '0', '0', '0', '0', '0', 'force_rank_dark_rank_05', ' ', 'force_rank_xp', '80000', '125000', ' ', '0', ' ', ' ', 'forceRankedDark', ' ', ' ', 'force_power_dark=10,force_manipulation_dark=5,force_control_dark=5', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('978', 'force_rank_dark_rank_07', 'force_rank_dark_rank_06', 'pyramid', '0', '0', '0', '0', '0', '0', '0', 'force_rank_dark_rank_06', ' ', 'force_rank_xp', '100000', '187500', ' ', '0', ' ', ' ', 'forceRankedDark', ' ', ' ', 'force_power_dark=10,force_manipulation_dark=5,force_control_dark=5', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('979', 'force_rank_dark_rank_08', 'force_rank_dark_rank_07', 'pyramid', '0', '1', '0', '0', '0', '0', '0', 'force_rank_dark_rank_07', ' ', 'force_rank_xp', '150000', '250000', ' ', '0', ' ', ' ', 'forceRankedDark', ' ', ' ', 'force_power_dark=15,force_manipulation_dark=10,force_control_dark=10', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('980', 'force_rank_dark_rank_09', 'force_rank_dark_rank_08', 'pyramid', '0', '0', '0', '0', '0', '0', '0', 'force_rank_dark_rank_08', ' ', 'force_rank_xp', '200000', '375000', ' ', '0', ' ', ' ', 'forceRankedDark', ' ', ' ', 'force_power_dark=15,force_manipulation_dark=10,force_control_dark=10', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('981', 'force_rank_dark_rank_10', 'force_rank_dark_rank_09', 'pyramid', '0', '1', '0', '0', '0', '0', '0', 'force_rank_dark_rank_09', ' ', 'force_rank_xp', '300000', '625000', ' ', '0', ' ', ' ', 'forceRankedDark', ' ', ' ', 'force_power_dark=15,force_manipulation_dark=10,force_control_dark=15', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('982', 'force_title', ' ', 'fourByFour', '1', '0', '0', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', ' ', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('983', 'force_title_jedi', 'force_title', 'oneByFour', '0', '0', '1', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', ' ', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('984', 'force_title_jedi_novice', 'force_title_jedi', 'oneByFour', '0', '0', '0', '0', '0', '0', '0', ' ', ' ', 'jedi_general', '0', '0', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', ' ', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('985', 'force_title_jedi_master', 'force_title_jedi', 'oneByFour', '0', '1', '0', '0', '0', '0', '0', 'force_title_jedi_rank_04', ' ', 'jedi_general', '0', '0', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', ' ', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('986', 'force_title_jedi_rank_01', 'force_title_jedi', 'oneByFour', '0', '1', '0', '0', '0', '0', '0', 'force_title_jedi_novice', ' ', 'jedi_general', '0', '0', ' ', '0', ' ', ' ', 'forceSensitive', ' ', 'cert_onehandlightsaber_training', 'private_onehandlightsaber_combat_difficulty=500,private_twohandlightsaber_combat_difficulty=500,private_polearmlightsaber_combat_difficulty=500', 'craftSaberTraining,craftJediTool', ' ', '0', '0');
INSERT INTO `skills` VALUES ('987', 'force_title_jedi_rank_02', 'force_title_jedi_rank_01', 'oneByFour', '0', '1', '0', '0', '0', '0', '0', 'force_title_jedi_rank_01', ' ', 'jedi_general', '0', '0', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', 'jedi_force_power_max=100,jedi_force_power_regen=1', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('988', 'force_title_jedi_rank_03', 'force_title_jedi_rank_02', 'oneByFour', '0', '1', '0', '0', '0', '0', '0', 'force_title_jedi_rank_02', ' ', 'jedi_general', '0', '0', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', ' ', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('989', 'force_title_jedi_rank_04', 'force_title_jedi_rank_03', 'oneByFour', '0', '1', '0', '0', '0', '0', '0', 'force_title_jedi_rank_03', ' ', 'jedi_general', '0', '0', ' ', '0', ' ', ' ', 'forceSensitive', ' ', ' ', ' ', ' ', ' ', '0', '0');
INSERT INTO `skills` VALUES ('990', 'shipwright', ' ', 'fourByFour', '1', '0', '0', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('991', 'crafting_shipwright', 'shipwright', 'fourByFour', '0', '0', '1', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('992', 'crafting_shipwright_novice', 'crafting_shipwright', 'fourByFour', '0', '1', '0', '0', '5000', '6', '0', 'crafting_artisan_engineering_04', ' ', 'crafting_general', '30000', '40000', ' ', '0', ' ', ' ', 'none', ' ', 'private_shipwright_novice', 'chassis_assembly=10,engine_assembly=10,booster_assembly=10,power_systems=10,weapon_systems=10,shields_assembly=10,advanced_assembly=10,chassis_experimentation=10,weapon_systems_experimentation=20,engine_experimentation=20,booster_experimentation=20,power_systems_experimentation=10,shields_experimentation=10,advanced_ship_experimentation=10,defense_reverse=1,propulsion_reverse=1,engineering_reverse=1,systems_reverse=1', 'craftShipwrightNoviceGroupA', ' ', '1', '0');
INSERT INTO `skills` VALUES ('993', 'crafting_shipwright_master', 'crafting_shipwright', 'fourByFour', '0', '1', '0', '0', '10000', '1', '0', 'crafting_shipwright_engineering_04,crafting_shipwright_propulsion_04,crafting_shipwright_systems_04,crafting_shipwright_defense_04', ' ', 'shipwright', '200000', '300000', ' ', '0', ' ', ' ', 'none', ' ', 'private_shipwright_master', 'chassis_assembly=25,chassis_experimentation=25,weapon_systems_experimentation=25,weapon_systems=25,engine_experimentation=25,engine_assembly=25,booster_experimentation=25,booster_assembly=25,power_systems_experimentation=25,power_systems=25,shields_experimentation=25,shields_assembly=25,advanced_ship_experimentation=25,advanced_assembly=25,defense_reverse=1,propulsion_reverse=1,systems_reverse=1,engineering_reverse=1', 'craftShipwrightMaster', ' ', '1', '0');
INSERT INTO `skills` VALUES ('994', 'crafting_shipwright_engineering_01', 'crafting_shipwright', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'crafting_shipwright_novice', ' ', 'shipwright', '20000', '60000', ' ', '0', ' ', ' ', 'none', ' ', 'private_shipwright_engineering_1', 'chassis_assembly=10,chassis_experimentation=10,engineering_reverse=2', 'craftShipwrightEngGroupA', ' ', '1', '0');
INSERT INTO `skills` VALUES ('995', 'crafting_shipwright_engineering_02', 'crafting_shipwright_engineering_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'crafting_shipwright_engineering_01', ' ', 'shipwright', '50000', '150000', ' ', '0', ' ', ' ', 'none', ' ', 'private_shipwright_engineering_2', 'chassis_assembly=15,chassis_experimentation=15,engineering_reverse=2', 'craftShipwrightEngGroupB', ' ', '1', '0');
INSERT INTO `skills` VALUES ('996', 'crafting_shipwright_engineering_03', 'crafting_shipwright_engineering_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'crafting_shipwright_engineering_02', ' ', 'shipwright', '100000', '250000', ' ', '0', ' ', ' ', 'none', ' ', 'private_shipwright_engineering_3', 'chassis_assembly=20,chassis_experimentation=20,engineering_reverse=2', 'craftShipwrightEngGroupC', ' ', '1', '0');
INSERT INTO `skills` VALUES ('997', 'crafting_shipwright_engineering_04', 'crafting_shipwright_engineering_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'crafting_shipwright_engineering_03', ' ', 'shipwright', '150000', '300000', ' ', '0', ' ', ' ', 'none', ' ', 'private_shipwright_engineering_4', 'chassis_assembly=20,chassis_experimentation=20,engineering_reverse=2', 'craftShipwrightEngGroupD', ' ', '1', '0');
INSERT INTO `skills` VALUES ('998', 'crafting_shipwright_propulsion_01', 'crafting_shipwright', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'crafting_shipwright_novice', ' ', 'shipwright', '20000', '60000', ' ', '0', ' ', ' ', 'none', ' ', 'private_shipwright_propulsion_1', 'engine_assembly=10,booster_assembly=10,engine_experimentation=20,booster_experimentation=20,propulsion_reverse=2', 'craftShipwrightPropulsionGroupA', ' ', '1', '0');
INSERT INTO `skills` VALUES ('999', 'crafting_shipwright_propulsion_02', 'crafting_shipwright_propulsion_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'crafting_shipwright_propulsion_01', ' ', 'shipwright', '50000', '150000', ' ', '0', ' ', ' ', 'none', ' ', 'private_shipwright_propulsion_2', 'engine_assembly=15,booster_assembly=15,engine_experimentation=25,booster_experimentation=25,propulsion_reverse=2', 'craftShipwrightPropulsionGroupB', ' ', '1', '0');
INSERT INTO `skills` VALUES ('1000', 'crafting_shipwright_propulsion_03', 'crafting_shipwright_propulsion_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'crafting_shipwright_propulsion_02', ' ', 'shipwright', '100000', '250000', ' ', '0', ' ', ' ', 'none', ' ', 'private_shipwright_propulsion_3', 'engine_assembly=20,booster_assembly=20,engine_experimentation=30,booster_experimentation=30,propulsion_reverse=2', 'craftShipwrightPropulsionGroupC', ' ', '1', '0');
INSERT INTO `skills` VALUES ('1001', 'crafting_shipwright_propulsion_04', 'crafting_shipwright_propulsion_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'crafting_shipwright_propulsion_03', ' ', 'shipwright', '150000', '300000', ' ', '0', ' ', ' ', 'none', ' ', 'private_shipwright_propulsion_4', 'engine_assembly=20,booster_assembly=20,engine_experimentation=30,booster_experimentation=30,propulsion_reverse=2', 'craftShipwrightPropulsionGroupD', ' ', '1', '0');
INSERT INTO `skills` VALUES ('1002', 'crafting_shipwright_systems_01', 'crafting_shipwright', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'crafting_shipwright_novice', ' ', 'shipwright', '20000', '60000', ' ', '0', ' ', ' ', 'none', ' ', 'private_shipwright_systems_1', 'power_systems=10,advanced_assembly=10,power_systems_experimentation=10,advanced_ship_experimentation=10,systems_reverse=2', 'craftShipwrightSystemsGroupA', ' ', '1', '0');
INSERT INTO `skills` VALUES ('1003', 'crafting_shipwright_systems_02', 'crafting_shipwright_systems_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'crafting_shipwright_systems_01', ' ', 'shipwright', '50000', '150000', ' ', '0', ' ', ' ', 'none', ' ', 'private_shipwright_systems_2', 'power_systems=15,advanced_assembly=15,power_systems_experimentation=15,advanced_ship_experimentation=15,systems_reverse=2', 'craftShipwrightSystemsGroupB', ' ', '1', '0');
INSERT INTO `skills` VALUES ('1004', 'crafting_shipwright_systems_03', 'crafting_shipwright_systems_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'crafting_shipwright_systems_02', ' ', 'shipwright', '100000', '250000', ' ', '0', ' ', ' ', 'none', ' ', 'private_shipwright_systems_3', 'power_systems=20,advanced_assembly=20,power_systems_experimentation=20,advanced_ship_experimentation=20,systems_reverse=2', 'craftShipwrightSystemsGroupC', ' ', '1', '0');
INSERT INTO `skills` VALUES ('1005', 'crafting_shipwright_systems_04', 'crafting_shipwright_systems_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'crafting_shipwright_systems_03', ' ', 'shipwright', '150000', '300000', ' ', '0', ' ', ' ', 'none', ' ', 'private_shipwright_systems_4', 'power_systems=20,advanced_assembly=20,power_systems_experimentation=20,advanced_ship_experimentation=20,systems_reverse=2', 'craftShipwrightSystemsGroupD', ' ', '1', '0');
INSERT INTO `skills` VALUES ('1006', 'crafting_shipwright_defense_01', 'crafting_shipwright', 'fourByFour', '0', '0', '0', '0', '6000', '5', '0', 'crafting_shipwright_novice', ' ', 'shipwright', '20000', '60000', ' ', '0', ' ', ' ', 'none', ' ', 'private_shipwright_defense_1', 'weapon_systems=10,weapon_systems_experimentation=20,defense_reverse=2,shields_assembly=10,shields_experimentation=10', 'craftShipwrightDefenseGroupA', ' ', '1', '0');
INSERT INTO `skills` VALUES ('1007', 'crafting_shipwright_defense_02', 'crafting_shipwright_defense_01', 'fourByFour', '0', '0', '0', '0', '7000', '4', '0', 'crafting_shipwright_defense_01', ' ', 'shipwright', '50000', '150000', ' ', '0', ' ', ' ', 'none', ' ', 'private_shipwright_defense_2', 'weapon_systems=15,weapon_systems_experimentation=25,defense_reverse=2,shields_assembly=15,shields_experimentation=15', 'craftShipwrightDefenseGroupB', ' ', '1', '0');
INSERT INTO `skills` VALUES ('1008', 'crafting_shipwright_defense_03', 'crafting_shipwright_defense_02', 'fourByFour', '0', '0', '0', '0', '8000', '3', '0', 'crafting_shipwright_defense_02', ' ', 'shipwright', '100000', '250000', ' ', '0', ' ', ' ', 'none', ' ', 'private_shipwright_defense_3', 'weapon_systems=20,weapon_systems_experimentation=30,defense_reverse=2,shields_assembly=20,shields_experimentation=20', 'craftShipwrightDefenseGroupC', ' ', '1', '0');
INSERT INTO `skills` VALUES ('1009', 'crafting_shipwright_defense_04', 'crafting_shipwright_defense_03', 'fourByFour', '0', '1', '0', '0', '9000', '2', '0', 'crafting_shipwright_defense_03', ' ', 'shipwright', '150000', '300000', ' ', '0', ' ', ' ', 'none', ' ', 'private_shipwright_defense_4', 'weapon_systems=20,weapon_systems_experimentation=30,defense_reverse=2,shields_assembly=20,shields_experimentation=20', 'craftShipwrightDefenseGroupD', ' ', '1', '0');
INSERT INTO `skills` VALUES ('1010', 'pilot', ' ', 'fourByFour', '0', '0', '0', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('1011', 'pilot_rebel_navy', 'pilot', 'fourByFour', '0', '0', '1', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('1012', 'pilot_rebel_navy_novice', 'pilot_rebel_navy', 'fourByFour', '0', '1', '0', '0', '100', '0', '0', ' ', 'pilot_imperial_navy_novice,pilot_neutral_novice', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', 'private_rebel_navy_novice,cert_starships_z95headhunter,cert_ordnance_level1,cert_droid_astromech_1,droidcommand_mutedroid', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('1013', 'pilot_rebel_navy_master', 'pilot_rebel_navy', 'fourByFour', '0', '1', '0', '0', '5000', '0', '0', 'pilot_rebel_navy_starships_04,pilot_rebel_navy_weapons_04,pilot_rebel_navy_procedures_04,pilot_rebel_navy_droid_04', ' ', 'space_combat_general', '7500000', '7500000', ' ', '0', ' ', ' ', 'none', ' ', 'private_rebel_navy_master,cert_starships_bwing,cert_starships_ykl37r,cert_ordnance_level9,cert_ordnance_levelten,cert_droid_astromech_6,jstart3,inspacerr,cert_starships_firespray', 'pilot_special_tactics=20', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('1014', 'pilot_rebel_navy_starships_01', 'pilot_rebel_navy', 'fourByFour', '0', '0', '0', '0', '1000', '0', '0', 'pilot_rebel_navy_novice', ' ', 'space_combat_general', '7500', '60000', ' ', '0', ' ', ' ', 'none', ' ', 'private_rebel_navy_starships_1,cert_starships_ywing', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('1015', 'pilot_rebel_navy_starships_02', 'pilot_rebel_navy_starships_01', 'fourByFour', '0', '0', '0', '0', '2000', '0', '0', 'pilot_rebel_navy_starships_01,pilot_rebel_navy_weapons_01,pilot_rebel_navy_procedures_01,pilot_rebel_navy_droid_01', ' ', 'space_combat_general', '60000', '200000', ' ', '0', ' ', ' ', 'none', ' ', 'private_rebel_navy_starships_2,cert_starships_ywinglongprobe', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('1016', 'pilot_rebel_navy_starships_03', 'pilot_rebel_navy_starships_02', 'fourByFour', '0', '0', '0', '0', '3000', '0', '0', 'pilot_rebel_navy_starships_02,pilot_rebel_navy_weapons_02,pilot_rebel_navy_procedures_02,pilot_rebel_navy_droid_02', ' ', 'space_combat_general', '200000', '1000000', ' ', '0', ' ', ' ', 'none', ' ', 'private_rebel_navy_starships_3,cert_starships_xwing', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('1017', 'pilot_rebel_navy_starships_04', 'pilot_rebel_navy_starships_03', 'fourByFour', '0', '1', '0', '0', '4000', '0', '0', 'pilot_rebel_navy_starships_03,pilot_rebel_navy_weapons_03,pilot_rebel_navy_procedures_03,pilot_rebel_navy_droid_03', ' ', 'space_combat_general', '1000000', '7500000', ' ', '0', ' ', ' ', 'none', ' ', 'private_rebel_navy_starships_4,cert_starships_awing', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('1018', 'pilot_rebel_navy_weapons_01', 'pilot_rebel_navy', 'fourByFour', '0', '0', '0', '0', '1000', '0', '0', 'pilot_rebel_navy_novice', ' ', 'space_combat_general', '7500', '60000', ' ', '0', ' ', ' ', 'none', ' ', 'cert_ordnance_level2,cert_ordnance_level3', 'missile_launching=65', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('1019', 'pilot_rebel_navy_weapons_02', 'pilot_rebel_navy_weapons_01', 'fourByFour', '0', '0', '0', '0', '2000', '0', '0', 'pilot_rebel_navy_starships_01,pilot_rebel_navy_weapons_01,pilot_rebel_navy_procedures_01,pilot_rebel_navy_droid_01', ' ', 'space_combat_general', '60000', '200000', ' ', '0', ' ', ' ', 'none', ' ', 'cert_ordnance_level4,cert_ordnance_level5', 'missile_launching=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('1020', 'pilot_rebel_navy_weapons_03', 'pilot_rebel_navy_weapons_02', 'fourByFour', '0', '0', '0', '0', '3000', '0', '0', 'pilot_rebel_navy_starships_02,pilot_rebel_navy_weapons_02,pilot_rebel_navy_procedures_02,pilot_rebel_navy_droid_02', ' ', 'space_combat_general', '200000', '1000000', ' ', '0', ' ', ' ', 'none', ' ', 'cert_ordnance_level6,cert_ordnance_level7', 'missile_launching=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('1021', 'pilot_rebel_navy_weapons_04', 'pilot_rebel_navy_weapons_03', 'fourByFour', '0', '1', '0', '0', '4000', '0', '0', 'pilot_rebel_navy_starships_03,pilot_rebel_navy_weapons_03,pilot_rebel_navy_procedures_03,pilot_rebel_navy_droid_03', ' ', 'space_combat_general', '1000000', '7500000', ' ', '0', ' ', ' ', 'none', ' ', 'cert_ordnance_level8', 'missile_launching=15', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('1022', 'pilot_rebel_navy_procedures_01', 'pilot_rebel_navy', 'fourByFour', '0', '0', '0', '0', '1000', '0', '0', 'pilot_rebel_navy_novice', ' ', 'space_combat_general', '7500', '60000', ' ', '0', ' ', ' ', 'none', ' ', 'iffscramble,jstart1', 'pilot_special_tactics=20', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('1023', 'pilot_rebel_navy_procedures_02', 'pilot_rebel_navy_procedures_01', 'fourByFour', '0', '0', '0', '0', '2000', '0', '0', 'pilot_rebel_navy_starships_01,pilot_rebel_navy_weapons_01,pilot_rebel_navy_procedures_01,pilot_rebel_navy_droid_01', ' ', 'space_combat_general', '60000', '200000', ' ', '0', ' ', ' ', 'none', ' ', 'eshields,vrepair', 'pilot_special_tactics=20', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('1024', 'pilot_rebel_navy_procedures_03', 'pilot_rebel_navy_procedures_02', 'fourByFour', '0', '0', '0', '0', '3000', '0', '0', 'pilot_rebel_navy_starships_02,pilot_rebel_navy_weapons_02,pilot_rebel_navy_procedures_02,pilot_rebel_navy_droid_02', ' ', 'space_combat_general', '200000', '1000000', ' ', '0', ' ', ' ', 'none', ' ', 'jstart2,inspacerepair', 'pilot_special_tactics=20', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('1025', 'pilot_rebel_navy_procedures_04', 'pilot_rebel_navy_procedures_03', 'fourByFour', '0', '1', '0', '0', '4000', '0', '0', 'pilot_rebel_navy_starships_03,pilot_rebel_navy_weapons_03,pilot_rebel_navy_procedures_03,pilot_rebel_navy_droid_03', ' ', 'space_combat_general', '1000000', '7500000', ' ', '0', ' ', ' ', 'none', ' ', 'inspacereload,vrepairother', 'pilot_special_tactics=20', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('1026', 'pilot_rebel_navy_droid_01', 'pilot_rebel_navy', 'fourByFour', '0', '0', '0', '0', '1000', '0', '0', 'pilot_rebel_navy_novice', ' ', 'space_combat_general', '7500', '60000', ' ', '0', ' ', ' ', 'none', ' ', 'private_rebel_navy_droid_1,droidcommand_shieldnormalize,droidcommand_shieldbacktofronttwenty,droidcommand_shieldfronttobacktwenty,droidcommand_shieldadjustfrontone,droidcommand_shieldadjustrearone,cert_droid_astromech_2', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('1027', 'pilot_rebel_navy_droid_02', 'pilot_rebel_navy_droid_01', 'fourByFour', '0', '0', '0', '0', '2000', '0', '0', 'pilot_rebel_navy_starships_01,pilot_rebel_navy_weapons_01,pilot_rebel_navy_procedures_01,pilot_rebel_navy_droid_01', ' ', 'space_combat_general', '60000', '200000', ' ', '0', ' ', ' ', 'none', ' ', 'private_rebel_navy_droid_2,droidcommand_shieldbacktofrontfifty,droidcommand_shieldfronttobackfifty,droidcommand_shieldadjustfronttwo,droidcommand_shieldadjustreartwo,cert_droid_astromech_3', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('1028', 'pilot_rebel_navy_droid_03', 'pilot_rebel_navy_droid_02', 'fourByFour', '0', '0', '0', '0', '3000', '0', '0', 'pilot_rebel_navy_starships_02,pilot_rebel_navy_weapons_02,pilot_rebel_navy_procedures_02,pilot_rebel_navy_droid_02', ' ', 'space_combat_general', '200000', '1000000', ' ', '0', ' ', ' ', 'none', ' ', 'private_rebel_navy_droid_3,droidcommand_shieldbacktofronteighty,droidcommand_shieldfronttobackeighty,droidcommand_shieldadjustfrontthree,droidcommand_shieldadjustrearthree,cert_droid_astromech_4', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('1029', 'pilot_rebel_navy_droid_04', 'pilot_rebel_navy_droid_03', 'fourByFour', '0', '1', '0', '0', '4000', '0', '0', 'pilot_rebel_navy_starships_03,pilot_rebel_navy_weapons_03,pilot_rebel_navy_procedures_03,pilot_rebel_navy_droid_03', ' ', 'space_combat_general', '1000000', '7500000', ' ', '0', ' ', ' ', 'none', ' ', 'private_rebel_navy_droid_4,droidcommand_shieldbacktofronthundred,droidcommand_shieldfronttobackhundred,droidcommand_shieldadjustfrontfour,droidcommand_shieldadjustrearfour,cert_droid_astromech_5,droidcommand_shieldemergencyfront,droidcommand_shieldemergencyrear', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('1030', 'pilot_imperial_navy', 'pilot', 'fourByFour', '0', '0', '1', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('1031', 'pilot_imperial_navy_novice', 'pilot_imperial_navy', 'fourByFour', '0', '1', '0', '0', '100', '0', '0', ' ', 'pilot_rebel_navy_novice,pilot_neutral_novice', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', 'private_imperial_navy_novice,cert_starships_tiefighterlight,cert_ordnance_level1,cert_droid_astromech_1,droidcommand_mutedroid', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('1032', 'pilot_imperial_navy_master', 'pilot_imperial_navy', 'fourByFour', '0', '1', '0', '0', '5000', '0', '0', 'pilot_imperial_navy_starships_04,pilot_imperial_navy_weapons_04,pilot_imperial_navy_procedures_04,pilot_imperial_navy_droid_04', ' ', 'space_combat_general', '7500000', '7500000', ' ', '0', ' ', ' ', 'none', ' ', 'private_imperial_navy_master,cert_starships_decimator,cert_starships_tieoppressor,cert_ordnance_level9,cert_ordnance_levelten,cert_droid_astromech_6,bstrike3,cert_starships_firespray', 'pilot_special_tactics=20', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('1033', 'pilot_imperial_navy_starships_01', 'pilot_imperial_navy', 'fourByFour', '0', '0', '0', '0', '1000', '0', '0', 'pilot_imperial_navy_novice', ' ', 'space_combat_general', '7500', '60000', ' ', '0', ' ', ' ', 'none', ' ', 'private_imperial_navy_starships_1,cert_starships_tiefighter', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('1034', 'pilot_imperial_navy_starships_02', 'pilot_imperial_navy_starships_01', 'fourByFour', '0', '0', '0', '0', '2000', '0', '0', 'pilot_imperial_navy_starships_01,pilot_imperial_navy_weapons_01,pilot_imperial_navy_procedures_01,pilot_imperial_navy_droid_01', ' ', 'space_combat_general', '60000', '200000', ' ', '0', ' ', ' ', 'none', ' ', 'private_imperial_navy_starships_2,cert_starships_tiefighterin', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('1035', 'pilot_imperial_navy_starships_03', 'pilot_imperial_navy_starships_02', 'fourByFour', '0', '0', '0', '0', '3000', '0', '0', 'pilot_imperial_navy_starships_02,pilot_imperial_navy_weapons_02,pilot_imperial_navy_procedures_02,pilot_imperial_navy_droid_02', ' ', 'space_combat_general', '200000', '1000000', ' ', '0', ' ', ' ', 'none', ' ', 'private_imperial_navy_starships_3,cert_starships_tieinterceptor,cert_starships_tiebomber', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('1036', 'pilot_imperial_navy_starships_04', 'pilot_imperial_navy_starships_03', 'fourByFour', '0', '1', '0', '0', '4000', '0', '0', 'pilot_imperial_navy_starships_03,pilot_imperial_navy_weapons_03,pilot_imperial_navy_procedures_03,pilot_imperial_navy_droid_03', ' ', 'space_combat_general', '1000000', '7500000', ' ', '0', ' ', ' ', 'none', ' ', 'private_imperial_navy_starships_4,cert_starships_tieadvanced,cert_starships_tieaggressor', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('1037', 'pilot_imperial_navy_weapons_01', 'pilot_imperial_navy', 'fourByFour', '0', '0', '0', '0', '1000', '0', '0', 'pilot_imperial_navy_novice', ' ', 'space_combat_general', '7500', '60000', ' ', '0', ' ', ' ', 'none', ' ', 'cert_ordnance_level2,cert_ordnance_level3', 'missile_launching=65', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('1038', 'pilot_imperial_navy_weapons_02', 'pilot_imperial_navy_weapons_01', 'fourByFour', '0', '0', '0', '0', '2000', '0', '0', 'pilot_imperial_navy_starships_01,pilot_imperial_navy_weapons_01,pilot_imperial_navy_procedures_01,pilot_imperial_navy_droid_01', ' ', 'space_combat_general', '60000', '200000', ' ', '0', ' ', ' ', 'none', ' ', 'cert_ordnance_level4,cert_ordnance_level5', 'missile_launching=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('1039', 'pilot_imperial_navy_weapons_03', 'pilot_imperial_navy_weapons_02', 'fourByFour', '0', '0', '0', '0', '3000', '0', '0', 'pilot_imperial_navy_starships_02,pilot_imperial_navy_weapons_02,pilot_imperial_navy_procedures_02,pilot_imperial_navy_droid_02', ' ', 'space_combat_general', '200000', '1000000', ' ', '0', ' ', ' ', 'none', ' ', 'cert_ordnance_level6,cert_ordnance_level7', 'missile_launching=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('1040', 'pilot_imperial_navy_weapons_04', 'pilot_imperial_navy_weapons_03', 'fourByFour', '0', '1', '0', '0', '4000', '0', '0', 'pilot_imperial_navy_starships_03,pilot_imperial_navy_weapons_03,pilot_imperial_navy_procedures_03,pilot_imperial_navy_droid_03', ' ', 'space_combat_general', '1000000', '7500000', ' ', '0', ' ', ' ', 'none', ' ', 'cert_ordnance_level8', 'missile_launching=15', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('1041', 'pilot_imperial_navy_procedures_01', 'pilot_imperial_navy', 'fourByFour', '0', '0', '0', '0', '1000', '0', '0', 'pilot_imperial_navy_novice', ' ', 'space_combat_general', '7500', '60000', ' ', '0', ' ', ' ', 'none', ' ', 'pumpreactor', 'pilot_special_tactics=20', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('1042', 'pilot_imperial_navy_procedures_02', 'pilot_imperial_navy_procedures_01', 'fourByFour', '0', '0', '0', '0', '2000', '0', '0', 'pilot_imperial_navy_starships_01,pilot_imperial_navy_weapons_01,pilot_imperial_navy_procedures_01,pilot_imperial_navy_droid_01', ' ', 'space_combat_general', '60000', '200000', ' ', '0', ' ', ' ', 'none', ' ', 'eweapons', 'pilot_special_tactics=20', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('1043', 'pilot_imperial_navy_procedures_03', 'pilot_imperial_navy_procedures_02', 'fourByFour', '0', '0', '0', '0', '3000', '0', '0', 'pilot_imperial_navy_starships_02,pilot_imperial_navy_weapons_02,pilot_imperial_navy_procedures_02,pilot_imperial_navy_droid_02', ' ', 'space_combat_general', '200000', '1000000', ' ', '0', ' ', ' ', 'none', ' ', 'bstrike1,nblast', 'pilot_special_tactics=20', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('1044', 'pilot_imperial_navy_procedures_04', 'pilot_imperial_navy_procedures_03', 'fourByFour', '0', '1', '0', '0', '4000', '0', '0', 'pilot_imperial_navy_starships_03,pilot_imperial_navy_weapons_03,pilot_imperial_navy_procedures_03,pilot_imperial_navy_droid_03', ' ', 'space_combat_general', '1000000', '7500000', ' ', '0', ' ', ' ', 'none', ' ', 'bstrike2', 'pilot_special_tactics=20', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('1045', 'pilot_imperial_navy_droid_01', 'pilot_imperial_navy', 'fourByFour', '0', '0', '0', '0', '1000', '0', '0', 'pilot_imperial_navy_novice', ' ', 'space_combat_general', '7500', '60000', ' ', '0', ' ', ' ', 'none', ' ', 'private_imperial_navy_droid_1,droidcommand_weaponoverloadone,droidcommand_weaponeffeciencyone,droidcommand_weaponnormalize,droidcommand_engineoverloadone,droidcommand_engineefficiencyone,droidcommand_enginenormalize,cert_droid_astromech_2', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('1046', 'pilot_imperial_navy_droid_02', 'pilot_imperial_navy_droid_01', 'fourByFour', '0', '0', '0', '0', '2000', '0', '0', 'pilot_imperial_navy_starships_01,pilot_imperial_navy_weapons_01,pilot_imperial_navy_procedures_01,pilot_imperial_navy_droid_01', ' ', 'space_combat_general', '60000', '200000', ' ', '0', ' ', ' ', 'none', ' ', 'private_imperial_navy_droid_2,droidcommand_weaponoverloadtwo,droidcommand_weaponeffeciencytwo,droidcommand_engineoverloadtwo,droidcommand_engineefficiencytwo,cert_droid_astromech_3', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('1047', 'pilot_imperial_navy_droid_03', 'pilot_imperial_navy_droid_02', 'fourByFour', '0', '0', '0', '0', '3000', '0', '0', 'pilot_imperial_navy_starships_02,pilot_imperial_navy_weapons_02,pilot_imperial_navy_procedures_02,pilot_imperial_navy_droid_02', ' ', 'space_combat_general', '200000', '1000000', ' ', '0', ' ', ' ', 'none', ' ', 'private_imperial_navy_droid_3,droidcommand_weaponoverloadthree,droidcommand_weaponeffeciencythree,droidcommand_engineoverloadthree,droidcommand_engineefficiencythree,cert_droid_astromech_4', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('1048', 'pilot_imperial_navy_droid_04', 'pilot_imperial_navy_droid_03', 'fourByFour', '0', '1', '0', '0', '4000', '0', '0', 'pilot_imperial_navy_starships_03,pilot_imperial_navy_weapons_03,pilot_imperial_navy_procedures_03,pilot_imperial_navy_droid_03', ' ', 'space_combat_general', '1000000', '7500000', ' ', '0', ' ', ' ', 'none', ' ', 'private_imperial_navy_droid_4,droidcommand_weaponoverloadfour,droidcommand_weaponeffeciencyfour,droidcommand_engineoverloadfour,droidcommand_engineefficiencyfour,cert_droid_astromech_5', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('1049', 'pilot_neutral', 'pilot', 'fourByFour', '0', '0', '1', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', ' ', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('1050', 'pilot_neutral_novice', 'pilot_neutral', 'fourByFour', '0', '1', '0', '0', '100', '0', '0', ' ', 'pilot_rebel_navy_novice,pilot_imperial_navy_novice', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', 'private_neutral_novice,cert_starships_lighthuttfighter,cert_ordnance_level1,cert_droid_astromech_1,droidcommand_mutedroid', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('1051', 'pilot_neutral_master', 'pilot_neutral', 'fourByFour', '0', '1', '0', '0', '5000', '0', '0', 'pilot_neutral_starships_04,pilot_neutral_weapons_04,pilot_neutral_procedures_04,pilot_neutral_droid_04', ' ', 'space_combat_general', '7500000', '7500000', ' ', '0', ' ', ' ', 'none', ' ', 'private_neutral_master,cert_starships_yt1300,cert_ordnance_level9,cert_ordnance_levelten,cert_droid_astromech_6,ptrap2,epulse3,cert_starships_firespray,cert_starships_hutt_turret_ship', 'pilot_special_tactics=20', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('1052', 'pilot_neutral_starships_01', 'pilot_neutral', 'fourByFour', '0', '0', '0', '0', '1000', '0', '0', 'pilot_neutral_novice', ' ', 'space_combat_general', '7500', '60000', ' ', '0', ' ', ' ', 'none', ' ', 'private_neutral_starships_1,cert_starships_mediumhuttfighter', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('1053', 'pilot_neutral_starships_02', 'pilot_neutral_starships_01', 'fourByFour', '0', '0', '0', '0', '2000', '0', '0', 'pilot_neutral_starships_01,pilot_neutral_weapons_01,pilot_neutral_procedures_01,pilot_neutral_droid_01', ' ', 'space_combat_general', '60000', '200000', ' ', '0', ' ', ' ', 'none', ' ', 'private_neutral_starships_2,cert_starships_heavyhuttfighter,cert_starships_lightblacksunfighter', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('1054', 'pilot_neutral_starships_03', 'pilot_neutral_starships_02', 'fourByFour', '0', '0', '0', '0', '3000', '0', '0', 'pilot_neutral_starships_02,pilot_neutral_weapons_02,pilot_neutral_procedures_02,pilot_neutral_droid_02', ' ', 'space_combat_general', '200000', '1000000', ' ', '0', ' ', ' ', 'none', ' ', 'private_neutral_starships_3,cert_starships_mediumblacksunfighter', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('1055', 'pilot_neutral_starships_04', 'pilot_neutral_starships_03', 'fourByFour', '0', '1', '0', '0', '4000', '0', '0', 'pilot_neutral_starships_03,pilot_neutral_weapons_03,pilot_neutral_procedures_03,pilot_neutral_droid_03', ' ', 'space_combat_general', '1000000', '7500000', ' ', '0', ' ', ' ', 'none', ' ', 'private_neutral_starships_4,cert_starships_heavyblacksunfighter', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('1056', 'pilot_neutral_weapons_01', 'pilot_neutral', 'fourByFour', '0', '0', '0', '0', '1000', '0', '0', 'pilot_neutral_novice', ' ', 'space_combat_general', '7500', '60000', ' ', '0', ' ', ' ', 'none', ' ', 'cert_ordnance_level2,cert_ordnance_level3', 'missile_launching=65', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('1057', 'pilot_neutral_weapons_02', 'pilot_neutral_weapons_01', 'fourByFour', '0', '0', '0', '0', '2000', '0', '0', 'pilot_neutral_starships_01,pilot_neutral_weapons_01,pilot_neutral_procedures_01,pilot_neutral_droid_01', ' ', 'space_combat_general', '60000', '200000', ' ', '0', ' ', ' ', 'none', ' ', 'cert_ordnance_level4,cert_ordnance_level5', 'missile_launching=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('1058', 'pilot_neutral_weapons_03', 'pilot_neutral_weapons_02', 'fourByFour', '0', '0', '0', '0', '3000', '0', '0', 'pilot_neutral_starships_02,pilot_neutral_weapons_02,pilot_neutral_procedures_02,pilot_neutral_droid_02', ' ', 'space_combat_general', '200000', '1000000', ' ', '0', ' ', ' ', 'none', ' ', 'cert_ordnance_level6,cert_ordnance_level7', 'missile_launching=10', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('1059', 'pilot_neutral_weapons_04', 'pilot_neutral_weapons_03', 'fourByFour', '0', '1', '0', '0', '4000', '0', '0', 'pilot_neutral_starships_03,pilot_neutral_weapons_03,pilot_neutral_procedures_03,pilot_neutral_droid_03', ' ', 'space_combat_general', '1000000', '7500000', ' ', '0', ' ', ' ', 'none', ' ', 'cert_ordnance_level8', 'missile_launching=15', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('1060', 'pilot_neutral_procedures_01', 'pilot_neutral', 'fourByFour', '0', '0', '0', '0', '1000', '0', '0', 'pilot_neutral_novice', ' ', 'space_combat_general', '7500', '60000', ' ', '0', ' ', ' ', 'none', ' ', 'ethrust', 'pilot_special_tactics=20', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('1061', 'pilot_neutral_procedures_02', 'pilot_neutral_procedures_01', 'fourByFour', '0', '0', '0', '0', '2000', '0', '0', 'pilot_neutral_starships_01,pilot_neutral_weapons_01,pilot_neutral_procedures_01,pilot_neutral_droid_01', ' ', 'space_combat_general', '60000', '200000', ' ', '0', ' ', ' ', 'none', ' ', 'ptrap1', 'pilot_special_tactics=20', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('1062', 'pilot_neutral_procedures_03', 'pilot_neutral_procedures_02', 'fourByFour', '0', '0', '0', '0', '3000', '0', '0', 'pilot_neutral_starships_02,pilot_neutral_weapons_02,pilot_neutral_procedures_02,pilot_neutral_droid_02', ' ', 'space_combat_general', '200000', '1000000', ' ', '0', ' ', ' ', 'none', ' ', 'iffscramble,epulse1', 'pilot_special_tactics=20', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('1063', 'pilot_neutral_procedures_04', 'pilot_neutral_procedures_03', 'fourByFour', '0', '1', '0', '0', '4000', '0', '0', 'pilot_neutral_starships_03,pilot_neutral_weapons_03,pilot_neutral_procedures_03,pilot_neutral_droid_03', ' ', 'space_combat_general', '1000000', '7500000', ' ', '0', ' ', ' ', 'none', ' ', 'epulse2', 'pilot_special_tactics=20', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('1064', 'pilot_neutral_droid_01', 'pilot_neutral', 'fourByFour', '0', '0', '0', '0', '1000', '0', '0', 'pilot_neutral_novice', ' ', 'space_combat_general', '7500', '60000', ' ', '0', ' ', ' ', 'none', ' ', 'private_neutral_droid_1,droidcommand_reactoroverloadone,droidcommand_reactornormalize,cert_droid_astromech_2,droidcommand_weapcappowerupone,droidcommand_weapcapequalize,droidcommand_weapcaptoshieldone', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('1065', 'pilot_neutral_droid_02', 'pilot_neutral_droid_01', 'fourByFour', '0', '0', '0', '0', '2000', '0', '0', 'pilot_neutral_starships_01,pilot_neutral_weapons_01,pilot_neutral_procedures_01,pilot_neutral_droid_01', ' ', 'space_combat_general', '60000', '200000', ' ', '0', ' ', ' ', 'none', ' ', 'private_neutral_droid_2,droidcommand_reactoroverloadtwo,cert_droid_astromech_3,droidcommand_weapcappoweruptwo,droidcommand_weapcaptoshieldtwo', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('1066', 'pilot_neutral_droid_03', 'pilot_neutral_droid_02', 'fourByFour', '0', '0', '0', '0', '3000', '0', '0', 'pilot_neutral_starships_02,pilot_neutral_weapons_02,pilot_neutral_procedures_02,pilot_neutral_droid_02', ' ', 'space_combat_general', '200000', '1000000', ' ', '0', ' ', ' ', 'none', ' ', 'private_neutral_droid_3,droidcommand_reactoroverloadthree,cert_droid_astromech_4,droidcommand_weapcappowerupthree,droidcommand_weapcaptoshieldthree', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('1067', 'pilot_neutral_droid_04', 'pilot_neutral_droid_03', 'fourByFour', '0', '1', '0', '0', '4000', '0', '0', 'pilot_neutral_starships_03,pilot_neutral_weapons_03,pilot_neutral_procedures_03,pilot_neutral_droid_03', ' ', 'space_combat_general', '1000000', '7500000', ' ', '0', ' ', ' ', 'none', ' ', 'private_neutral_droid_4,droidcommand_reactoroverloadfour,cert_droid_astromech_5,droidcommand_weapcappowerupfour,droidcommand_weapcaptoshieldfour', ' ', ' ', ' ', '1', '0');
INSERT INTO `skills` VALUES ('1068', 'pilot_spacetest', 'pilot', 'fourByFour', '1', '1', '0', '0', '0', '0', '0', ' ', ' ', ' ', '0', '0', ' ', '0', ' ', ' ', 'none', ' ', 'droid+droidcommand_testweaponoverload1,droidcommand_testweaponoverload2,droidcommand_testweaponoverload3,droidcommand_testweaponoverload4,droidcommand_testweaponnormalize,droidcommand_testfronttobackfifty,droidcommand_testbacktofrontfifty', ' ', ' ', ' ', '1', '0');
INSERT INTO `starting_location` VALUES ('3', 'mos_eisley', '9', '3528.000000', '0.000000', '-4804.000000', 'Mos Eisley, Tatooine', '3', '180');
INSERT INTO `starting_location` VALUES ('5', 'coronet', '1', '-137.000000', '0.000000', '-4723.000000', 'Coronet, Corellia', '3', '180');
INSERT INTO `starting_location` VALUES ('9', 'dearic', '8', '335.000000', '0.000000', '-2931.000000', 'Dearic, Talus', '3', '180');
INSERT INTO `starting_location` VALUES ('11', 'narmle', '7', '-5310.000000', '0.000000', '-2221.000000', 'Narmle, Rori', '3', '180');
INSERT INTO `starting_location` VALUES ('13', 'theed', '6', '-4856.000000', '0.000000', '4162.000000', 'Theed, Naboo', '3', '180');
INSERT INTO `staticobjects` VALUES ('1', '162', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_med.iff', '0', '-0.539968', '0', '0.841686', '4231.65', '8', '5242.03', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '163', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0.841687', '0', '0.539966', '4241.58', '8', '5263.79', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '164', '0', 'object/static/structure/dantooine/shared_dant_jedi_wall_2.iff', '0', '0.213347', '0', '0.976976', '4239.58', '8', '5259.36', '256', '1');
INSERT INTO `staticobjects` VALUES ('1', '165', '0', 'object/static/structure/dantooine/shared_dant_jedi_wall_1.iff', '0', '-0.539968', '0', '0.841686', '4238.59', '8', '5238.76', '256', '1');
INSERT INTO `staticobjects` VALUES ('1', '166', '0', 'object/static/structure/dantooine/shared_dant_jedi_wall_2.iff', '0', '0.213347', '0', '0.976976', '4233.26', '8', '5245.6', '256', '1');
INSERT INTO `staticobjects` VALUES ('1', '167', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_med.iff', '0', '0.213347', '0', '0.976976', '4237.82', '8', '5255.62', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '168', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_med.iff', '0', '-0.539968', '0', '0.841686', '4235.14', '8', '5249.8', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '169', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '-0.539968', '0', '0.841686', '4252.63', '8', '5248.69', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '170', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0.841687', '0', '0.539966', '4249.98', '8', '5243', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '171', '0', 'object/static/structure/dantooine/shared_dant_jedi_wall_2.iff', '0', '0.213347', '0', '0.976976', '4248.05', '8', '5239.15', '256', '1');
INSERT INTO `staticobjects` VALUES ('1', '172', '0', 'object/static/structure/dantooine/shared_dant_jedi_wall_1.iff', '0', '-0.539968', '0', '0.841686', '4249.2', '8', '5260.33', '256', '1');
INSERT INTO `staticobjects` VALUES ('1', '173', '0', 'object/static/structure/dantooine/shared_dant_jedi_wall_2.iff', '0', '0.976976', '0', '-0.213348', '4254.7', '8', '5253.45', '256', '1');
INSERT INTO `staticobjects` VALUES ('1', '174', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0.213347', '0', '0.976976', '4246.36', '8', '5235.27', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '175', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar.iff', '0', '0.841687', '0', '0.539966', '4256.37', '8', '5257.08', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '176', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_med.iff', '0', '-0.539968', '0', '0.841686', '4183.46', '8', '5264', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '177', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0.841686', '0', '0.539966', '4193.4', '8', '5285.77', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '178', '0', 'object/static/structure/dantooine/shared_dant_jedi_wall_2.iff', '0', '0.213347', '0', '0.976976', '4191.4', '8', '5281.34', '256', '1');
INSERT INTO `staticobjects` VALUES ('1', '179', '0', 'object/static/structure/dantooine/shared_dant_jedi_wall_1.iff', '0', '-0.539968', '0', '0.841686', '4190.4', '8', '5260.74', '256', '1');
INSERT INTO `staticobjects` VALUES ('1', '180', '0', 'object/static/structure/dantooine/shared_dant_jedi_wall_2.iff', '0', '0.213347', '0', '0.976976', '4185.07', '8', '5267.58', '256', '1');
INSERT INTO `staticobjects` VALUES ('1', '181', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_med.iff', '0', '0.213347', '0', '0.976976', '4189.64', '8', '5277.6', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '182', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_med.iff', '0', '-0.539968', '0', '0.841686', '4186.96', '8', '5271.78', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '183', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '-0.539968', '0', '0.841686', '4204.44', '8', '5270.67', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '184', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0.841686', '0', '0.539966', '4201.8', '8', '5264.98', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '185', '0', 'object/static/structure/dantooine/shared_dant_jedi_wall_2.iff', '0', '0.213347', '0', '0.976976', '4199.86', '8', '5261.13', '256', '1');
INSERT INTO `staticobjects` VALUES ('1', '186', '0', 'object/static/structure/dantooine/shared_dant_jedi_wall_1.iff', '0', '-0.539968', '0', '0.841686', '4201.01', '8', '5282.31', '256', '1');
INSERT INTO `staticobjects` VALUES ('1', '187', '0', 'object/static/structure/dantooine/shared_dant_jedi_wall_2.iff', '0', '0.976976', '0', '-0.213348', '4206.52', '8', '5275.43', '256', '1');
INSERT INTO `staticobjects` VALUES ('1', '188', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0.213347', '0', '0.976976', '4198.18', '8', '5257.25', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '189', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar.iff', '0', '0.841686', '0', '0.539966', '4208.18', '8', '5279.06', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '257', '0', 'object/static/structure/general/shared_rock_mossy_big.iff', '0.122497', '-0.0857818', '-0.545043', '0.824963', '4170.27', '58.656', '5122.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '258', '0', 'object/static/structure/general/shared_rock_mossy_big.iff', '0.52592', '-0.167906', '-0.00790362', '0.833758', '4185.28', '59.0197', '5116.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '259', '0', 'object/static/structure/general/shared_rock_beach_dark_lg.iff', '0', '0.841471', '0', '0.540303', '4193.53', '5', '5139.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '260', '0', 'object/static/structure/general/shared_rock_beach_dark_md.iff', '0', '0', '0', '1', '4179.44', '5', '5145.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '261', '0', 'object/static/structure/general/shared_rock_beach_dark_md.iff', '0', '0.572867', '0', '0.819648', '4184.68', '5', '5143.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '262', '0', 'object/static/structure/general/shared_rock_forestriverrock_lg.iff', '0', '0', '0', '1', '4181.5', '58', '5117.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '263', '0', 'object/static/structure/general/shared_rock_forestriverrock_lg.iff', '0', '0.989391', '0', '-0.145281', '4178.98', '58', '5119.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '264', '0', 'object/static/structure/general/shared_rock_forestriverrock_lg.iff', '0', '0.795602', '0', '0.60582', '4176.57', '58', '5119.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '265', '0', 'object/static/structure/general/shared_rock_forestriverrock_lg.iff', '0', '0', '0', '1', '4174.23', '57.9718', '5120.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '266', '0', 'object/static/structure/dantooine/shared_dant_large_rock_hut.iff', '0', '0.933839', '0', '-0.357693', '-7225.74', '3', '-899.453', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '267', '0', 'object/static/structure/dantooine/shared_dant_large_communal.iff', '0', '0.92388', '0', '-0.382683', '-7207.69', '3', '-920.764', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '268', '0', 'object/static/structure/dantooine/shared_dant_large_rock_hut.iff', '0', '1', '0', '-0.000795386', '-7186.36', '3', '-941.554', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '269', '0', 'object/static/structure/dantooine/shared_dant_large_communal.iff', '0', '0.613117', '0', '0.789992', '-7134.84', '3', '-890.6', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '270', '0', 'object/static/structure/dantooine/shared_dant_large_rock_hut.iff', '0', '0.980224', '0', '0.19789', '-7166.68', '3', '-939.072', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '271', '0', 'object/static/structure/dantooine/shared_dant_large_rock_hut.iff', '0', '0.208459', '0', '0.978031', '-7158.26', '3', '-835.61', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '272', '0', 'object/static/structure/dantooine/shared_dant_large_rock_hut.iff', '0', '-0.17411', '0', '0.984726', '-7180.63', '3', '-841.257', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '273', '0', 'object/static/structure/dantooine/shared_dant_large_rock_hut.iff', '0', '0.434965', '0', '0.900447', '-7145.93', '3', '-858.159', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '274', '0', 'object/static/structure/dantooine/shared_dant_large_rock_hut.iff', '0', '0.875559', '0', '0.483112', '-7142.07', '3', '-913.66', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '275', '0', 'object/static/structure/dantooine/shared_dant_large_rock_hut.iff', '0', '-0.42594', '0', '0.904751', '-7242.75', '2.99356', '-863.862', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '276', '0', 'object/static/structure/dantooine/shared_dant_large_rock_hut.iff', '0', '0.734549', '0', '-0.678556', '-7243.29', '3', '-886.923', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '277', '0', 'object/static/structure/dantooine/shared_dant_large_rock_hut.iff', '0', '-0.149439', '0', '0.988771', '-7221.19', '2.9975', '-856.076', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '278', '0', 'object/static/structure/dantooine/shared_dant_large_rock_hut.iff', '0', '0.913413', '0', '0.407035', '-7212.67', '7', '-793.525', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '279', '0', 'object/static/structure/general/shared_rock_forestriverrock_lg.iff', '0', '0.999983', '0', '0.00579638', '-7213.4', '7', '-781.029', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '281', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '0', '0.993868', '0', '-0.11057', '-7290.43', '8', '-785.815', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '282', '0', 'object/static/structure/dantooine/shared_dant_fish_rack.iff', '0', '0.452886', '0', '0.891568', '-7233.85', '2.61458', '-821.029', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '283', '0', 'object/static/structure/dantooine/shared_dant_fish_rack.iff', '0', '0.466208', '0', '0.884675', '-7233.89', '2.58859', '-823.387', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '284', '0', 'object/static/structure/dantooine/shared_dant_fish_rack.iff', '0', '0.466208', '0', '0.884675', '-7232.98', '2.74413', '-825.506', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '285', '0', 'object/static/structure/dantooine/shared_dant_fish_rack.iff', '0', '0.492535', '0', '0.870293', '-7233.77', '2.77424', '-828.195', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '286', '0', 'object/static/structure/dantooine/shared_dant_cooking_stone.iff', '0', '-0.0665435', '0', '0.997784', '-7212.32', '7', '-783.318', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '287', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '0', '0', '1', '-7212.94', '7', '-787.091', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '288', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '0.149438', '0', '0.988771', '-7211.44', '7', '-787.421', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '289', '0', 'object/static/structure/general/shared_campfire_smoldering.iff', '0', '0', '0', '1', '-7219.71', '7.0851', '-787.532', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '290', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '0', '0', '1', '-7290.16', '8', '-783.028', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '291', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '0', '0', '1', '-7223.23', '3', '-892.275', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '292', '0', 'object/static/item/shared_item_basket_shallow.iff', '0', '0', '0', '1', '-7233.62', '3', '-867.725', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '293', '0', 'object/static/structure/dantooine/shared_dant_mud_oven.iff', '0', '-0.692537', '0', '0.721382', '-7216.18', '3', '-880.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '294', '0', 'object/static/structure/dantooine/shared_dant_fire_pit.iff', '0', '0.632672', '0', '0.77442', '-7135.68', '3', '-890.629', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '295', '0', 'object/static/structure/dantooine/shared_dant_fire_pit.iff', '0', '0.384808', '0', '0.922997', '-7206.94', '3', '-920.103', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '296', '0', 'object/static/structure/dantooine/shared_dant_mud_oven.iff', '0', '0.174108', '0', '0.984726', '-7170.22', '3', '-860.317', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '297', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0', '0', '1', '-7177.69', '3', '-933.281', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '298', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0', '0', '1', '-7237.99', '3', '-869.308', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '299', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0', '0', '1', '-7170.15', '3.50597', '-859.969', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '300', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0', '0', '1', '-7147.63', '3', '-908.894', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '301', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '-7193.69', '3', '-913.293', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '302', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '-7200.56', '3', '-906.75', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '303', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0.281158', '0', '0.959662', '-7149.15', '3', '-899.813', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '304', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0.281158', '0', '0.959662', '-7151.4', '3', '-890.598', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '305', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '-7215.83', '7.51256', '-787.769', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '308', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '-7286.04', '8', '-781.073', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '309', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '-7293.42', '8', '-780.516', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '310', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '-7184.27', '3.53759', '-935.4', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '311', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '-7176.88', '3.47434', '-845.764', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '200320', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '0', '0', '0', '1', '-6222.86', '51.9395', '7396.33', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '200321', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0.999574', '0', '0.0291995', '-6222.36', '47.8379', '7386.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '200322', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0.967462', '0', '-0.253017', '-6233.37', '49.569', '7387.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '200325', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0.8772', '0', '-0.480125', '-6240.31', '52.5174', '7391.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '200326', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0.973848', '0', '0.227202', '-6212.93', '51.4555', '7387.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '200327', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0.913414', '0', '0.407033', '-6207.6', '57.5851', '7392.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '200328', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0.999574', '0', '0.029199', '-6222.64', '42.8573', '7370.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '200329', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0.963558', '0', '-0.2675', '-6234.98', '43.3986', '7373.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '200330', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0.886627', '0', '-0.462487', '-6252.17', '50.8373', '7380.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '200331', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0.953608', '0', '-0.301053', '-6245.09', '46.2154', '7376.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '200332', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0.986549', '0', '0.163466', '-6208.26', '47.0935', '7371.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '200333', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0.937924', '0', '0.346844', '-6200.34', '52.5132', '7375.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '200334', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0.880347', '0', '0.474331', '-6192.3', '59.7882', '7380.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '200337', '0', 'object/tangible/container/loot/shared_placable_loot_crate_trashpile.iff', '0', '0', '0', '1', '-7043.64', '2.08686', '-3325.62', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '200338', '0', 'object/tangible/container/loot/shared_placable_loot_crate_trashpile.iff', '0.0323126', '-6.33491e-05', '-0.00195948', '0.999476', '-7046.99', '1.95998', '-3312.73', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '367317', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0', '0', '1', '-2495.01', '21.6016', '6376.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '367318', '0', 'object/static/structure/general/shared_campfire_ash.iff', '0', '0', '0', '1', '-2542.62', '18.6099', '6346.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '529322', '0', 'object/building/general/shared_dantooine_janta_cave.iff', '0', '0.758102', '0', '-0.652136', '7105.73', '74.2809', '-4093', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '529323', '529322', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '529324', '529322', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '529325', '529322', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '529326', '529322', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '529346', '529326', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '-0.328769', '0', '0.94441', '51.4471', '-44.4211', '-103.465', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '529327', '529322', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '529349', '529327', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0', '0', '1', '-10.4971', '-45.4992', '-147.5', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '529353', '529327', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0', '0', '1', '58.0106', '-57.5355', '-184.28', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '529328', '529322', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '529329', '529322', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '529330', '529322', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '529331', '529322', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '529363', '529331', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0.996802', '0', '0.0799147', '-11.69', '-69.1962', '-89.8369', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '4465373', '529331', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_imperial_destroy_03.iff', '-0.0965763', '0.0920533', '0.016496', '0.990922', '-10.4094', '-69.0209', '-90.5859', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '4465374', '529331', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '-9.21894', '-69.0373', '-91.1059', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '529332', '529322', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '529333', '529322', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '529368', '529333', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '1', '0', '-5.30747e-08', '-89.5009', '-99.4081', '-88.1736', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '529373', '0', 'object/building/general/shared_dantooine_kunga_cave.iff', '0', '1', '0', '-3.20013e-08', '-139.2', '25.692', '-352.987', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '529374', '529373', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '529375', '529373', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '529435', '529375', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '-0.00827479', '0.405285', '0.18376', '0.895493', '-42.34', '-32.821', '-26.9598', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '529376', '529373', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '529377', '529373', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '529378', '529373', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '529451', '529378', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '-0.707107', '0', '0.707107', '-61.6841', '-30.7567', '-61.7178', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '529379', '529373', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '529380', '529373', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '529381', '529373', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '529382', '529373', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '529383', '529373', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '529441', '529383', 'object/tangible/container/loot/shared_placable_loot_crate_trashpile.iff', '0', '0.785088', '0', '-0.619384', '-163.919', '-49.4354', '-92.2545', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '529384', '529373', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '529385', '529373', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '529386', '529373', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '529387', '529373', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '529388', '529373', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '529389', '529373', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '529390', '529373', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '529391', '529373', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '529392', '529373', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '529393', '529373', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '529394', '529373', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '529395', '529373', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '529418', '529395', 'object/tangible/container/loot/shared_placable_loot_crate_trashpile.iff', '0.104741', '0.00202121', '0.0448989', '0.993483', '-15.4309', '-43.7293', '-107.106', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '529396', '529373', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '529397', '529373', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '529398', '529373', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '529399', '529373', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '529400', '529373', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '529401', '529373', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '529402', '529373', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '529425', '529402', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0.707107', '0', '0.707107', '-67.9807', '-64.6895', '-232.643', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '529404', '0', 'object/static/structure/dantooine/shared_dant_large_rock_hut.iff', '0', '0.999667', '0', '-0.0257937', '-146.506', '7.21525', '-411.436', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '529405', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '0', '0', '0', '1', '-169.697', '8.70643', '-425.741', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '529406', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '0', '0', '0', '1', '-120.907', '6.92169', '-425.689', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '529408', '0', 'object/static/structure/dantooine/shared_dant_small_mudhut.iff', '0', '0.452886', '0', '0.891568', '-163.022', '7.60797', '-408.593', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '529409', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '-0.380188', '0', '0.924909', '-140.742', '6.96016', '-406.229', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '529410', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '-0.380188', '0', '0.924909', '-139.557', '6.95685', '-405.397', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '529411', '0', 'object/static/structure/dantooine/shared_dant_hide_tanning_s01.iff', '0', '0', '0', '1', '-154.861', '6.61071', '-408.249', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '529412', '0', 'object/static/structure/dantooine/shared_dant_hide_tanning_s02.iff', '0', '0', '0', '1', '-152.813', '6.86281', '-408.692', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '894819', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0', '0', '0', '1', '896.45', '21.068', '1393.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '1365875', '0', 'object/building/military/shared_military_base_shed_imperial_style_cantina_s01.iff', '0', '0', '0', '1', '-4207', '3', '-2430', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '1365876', '1365875', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '1365909', '1365876', 'object/static/item/shared_item_tapestry_imperial.iff', '0', '-0.707106', '0', '0.707107', '-0.509189', '-0.475567', '2.84317', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '1365877', '1365875', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '1365878', '1365875', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '1365879', '1365875', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885436', '1365879', 'object/static/item/shared_item_con_tato_cup_s2.iff', '0', '0.999942', '0', '-0.0107962', '4.63318', '0.125266', '3.51752', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885437', '1365879', 'object/static/item/shared_item_con_tato_cup_s2.iff', '0', '0.999942', '0', '-0.0107962', '4.21511', '0.125266', '3.99079', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885438', '1365879', 'object/static/item/shared_item_con_tato_cup_s2.iff', '0', '0.999942', '0', '-0.0107962', '4.62839', '0.125266', '3.96759', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885440', '1365879', 'object/static/item/shared_item_con_bowl_serving_full.iff', '0', '0', '0', '1', '4.00248', '0.884212', '3.76102', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '1365880', '1365875', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885441', '1365880', 'object/static/item/shared_item_con_tato_cup_s2.iff', '0', '0.0699428', '0', '0.997551', '4.10807', '0.125266', '-4.04978', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885442', '1365880', 'object/static/item/shared_item_con_tato_cup_s2.iff', '0', '0.0699428', '0', '0.997551', '3.62512', '0.125266', '-4.09707', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '1365881', '1365875', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3095568', '1365881', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '-5.51821', '0.125266', '-1.86059', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3095569', '1365881', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '-5.52238', '0.441494', '-1.84405', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3095570', '1365881', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '-5.52828', '0.757721', '-1.84952', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3095571', '1365881', 'object/static/creature/shared_droids_mse_droid.iff', '0', '0', '0', '1', '-4.32141', '0.125266', '-5.74547', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '3095572', '1365881', 'object/static/creature/shared_droids_mse_droid.iff', '0', '0', '0', '1', '-3.94996', '0.125266', '-5.75667', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '1365889', '0', 'object/building/military/shared_military_base_shed_imperial_style_bank_s01.iff', '0', '0.707106', '0', '0.707107', '-4261', '3', '-2408', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '1365890', '1365889', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '1365891', '1365889', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '1365892', '1365889', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '1365893', '1365889', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '1365911', '1365893', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '0', '0', '1', '3.91978', '0.125266', '-0.382776', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885443', '1365893', 'object/static/item/shared_item_data_disk.iff', '0', '0', '0', '1', '2.88553', '0.884212', '3.11873', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885444', '1365893', 'object/static/item/shared_item_decryptor_imperial.iff', '0', '0', '0', '1', '2.66608', '0.884212', '3.18016', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885448', '1365893', 'object/static/item/shared_item_decryptor_imperial.iff', '0', '0', '0', '1', '3.52435', '0.884212', '3.15166', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '1365894', '1365889', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '1365895', '1365889', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '1365910', '1365895', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '1', '0', '3.20013e-08', '-3.94219', '0.125266', '-0.974993', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '1365954', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.707106', '0', '0.707107', '-4252.65', '3', '-2412.84', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '1365955', '0', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '0.707106', '0', '0.707107', '-4253.09', '3', '-2403.3', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '1365985', '0', 'object/building/military/shared_outpost_shed_s03.iff', '0', '0.857504', '0', '-0.514477', '-593.845', '3', '2537.4', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '1365986', '1365985', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '1365987', '1365985', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '1365988', '1365985', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '1365989', '1365985', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885505', '1365989', 'object/static/item/shared_wp_rifle_laser_combined.iff', '-0.685579', '-0.117999', '0.125385', '0.707345', '2.22693', '0.373363', '3.23974', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885506', '1365989', 'object/static/item/shared_item_bacta_ampules.iff', '0', '0', '0', '1', '2.12215', '0.979081', '4.21872', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885507', '1365989', 'object/static/item/shared_item_bacta_ampules.iff', '0', '0', '0', '1', '2.13661', '0.979081', '4.26323', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885508', '1365989', 'object/static/item/shared_item_bacta_ampules.iff', '0', '0', '0', '1', '2.17473', '0.979081', '4.18353', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885509', '1365989', 'object/static/item/shared_item_bacta_ampules.iff', '0', '0', '0', '1', '2.19916', '0.979081', '4.21722', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885510', '1365989', 'object/static/item/shared_item_bacta_ampules.iff', '0', '0', '0', '1', '2.16464', '0.979081', '4.32909', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '1365990', '1365985', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '1365991', '1365985', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '1365992', '0', 'object/building/military/shared_outpost_cloning_facility_s03.iff', '0', '-0.416871', '0', '0.908966', '-634.838', '3', '2444.7', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '1365993', '1365992', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '1365994', '1365992', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '1365995', '1365992', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '1365996', '1365992', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '1365997', '1365992', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3095574', '1365997', 'object/static/creature/shared_droids_21b_medical.iff', '0', '0', '0', '1', '3.061', '0.125266', '-2.44731', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '1365998', '1365992', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '1366001', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.960945', '0', '-0.276738', '-618.928', '3', '2490.88', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '1366002', '0', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '0.998488', '0', '0.0549723', '-630.655', '3', '2502.22', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '1366003', '0', 'object/building/military/shared_outpost_cloning_facility_s03.iff', '0', '-0.707107', '0', '0.707107', '1576.43', '4', '-6427.89', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '1366004', '1366003', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '1366005', '1366003', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '1366006', '1366003', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '1366007', '1366003', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '1366008', '1366003', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '1366009', '1366003', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '1366010', '0', 'object/building/military/shared_outpost_shed_s04.iff', '0', '1', '0', '3.20013e-08', '1549.92', '4', '-6358.19', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '1366011', '1366010', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '1366012', '1366010', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '1366013', '1366010', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '1366014', '1366010', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '1366015', '1366010', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '1366016', '1366010', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '1366017', '0', 'object/building/military/shared_outpost_shed_s03.iff', '0', '1', '0', '3.20013e-08', '1609.77', '4', '-6358.11', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '1366018', '1366017', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '1366019', '1366017', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '1366020', '1366017', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '1366021', '1366017', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '1366022', '1366017', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '1366023', '1366017', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '1366026', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '1', '0', '3.20013e-08', '1579.64', '4.46957', '-6367.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '1366027', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '1567.26', '4', '-6365.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '1366028', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '1551.17', '4', '-6365.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '1366029', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '1611.01', '4', '-6365.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '1366030', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '1627.25', '4', '-6365.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '1366031', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '1601.18', '4', '-6426.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '1366032', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '-0.707106', '0', '0.707107', '1568.78', '4', '-6426.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '1366033', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '1524', '8.16742', '-6414', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '1366034', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '1524.03', '8.1426', '-6382.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '1366035', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '1652', '8.11097', '-6382', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '1366036', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '1651.95', '8.14659', '-6413.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '1366037', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0.999991', '0', '0', '-0.00420368', '1589.3', '7.77291', '-6400.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '1366038', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '-0.203567', '0', '0.979061', '-580.667', '3.47434', '2499.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '1366039', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0.430458', '0', '0.902611', '-612.036', '3', '2478.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '1366040', '0', 'object/static/structure/general/shared_streetlamp_large_blue_style_01.iff', '0', '-0.412321', '0', '0.911039', '-638.041', '3', '2451.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '1366041', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '-0.247404', '0', '0.968912', '-599.587', '3', '2532.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '1366042', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0.999971', '0.00496146', '0.00061942', '0.00579624', '-638.059', '6.77105', '2482.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '1366043', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0', '0', '1', '-4253.73', '3', '-2406.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '1366044', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0', '0', '1', '-4196.16', '3', '-2409.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '1366045', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '0.92388', '0', '-0.382683', '-4219.08', '3', '-2435.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '1380122', '0', 'object/building/military/shared_military_base_shed_imperial_style_hospital_01.iff', '0', '-0.707106', '0', '0.707107', '-4189', '3', '-2408', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '1380123', '1380122', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '1380124', '1380122', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '1380125', '1380122', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '1380126', '1380122', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '1380127', '1380122', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '1380128', '1380122', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '2366818', '0', 'object/static/structure/dantooine/shared_dant_fire_pit.iff', '0', '0.974794', '0', '-0.223106', '-6795.92', '127', '6013.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2366819', '0', 'object/static/structure/dantooine/shared_dant_large_rock_hut.iff', '0', '0', '0', '1', '-6805.87', '126', '6022.7', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '2366820', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '-0.0799147', '0.996802', '-6808.37', '126.704', '6017.84', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '2366824', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '-0.659385', '0', '0.751806', '-6812.7', '125.925', '6024.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2366826', '0', 'object/static/particle/shared_particle_smoke.iff', '0', '0', '0', '1', '-6796.03', '127', '6013.41', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '2366830', '0', 'object/static/item/shared_item_security_scanner.iff', '0', '-0.17903', '0', '0.983844', '-6806.87', '127.581', '6019.16', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625397', '0', 'object/static/structure/dantooine/shared_dant_large_hut.iff', '0', '0.972699', '0', '-0.232068', '5575.5', '0.162358', '-632.746', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625398', '0', 'object/static/structure/dantooine/shared_dant_small_mudhut.iff', '0', '0.969109', '0', '0.246632', '5544.48', '0.160675', '-644.207', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625400', '0', 'object/static/structure/dantooine/shared_dant_small_mudhut.iff', '0', '-0.613117', '0', '0.789992', '5602.42', '1.04231', '-648.87', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625401', '0', 'object/static/structure/dantooine/shared_dant_large_mudhut.iff', '0', '-0.688921', '0', '0.724836', '5582.46', '0.951741', '-657.709', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625402', '0', 'object/static/structure/dantooine/shared_dant_small_mudhut.iff', '0', '0.981853', '0', '0.189641', '5553.56', '0.31654', '-610.579', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625403', '0', 'object/static/structure/dantooine/shared_dant_small_mudhut.iff', '0', '0.962209', '0', '-0.272313', '5597.56', '1.14446', '-611.478', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625404', '0', 'object/static/structure/dantooine/shared_dant_small_mudhut.iff', '0', '0.434966', '0', '0.900447', '5515.45', '9.603', '-669.949', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625406', '0', 'object/static/structure/dantooine/shared_dant_small_mudhut.iff', '0', '0.95209', '0', '0.305817', '5539.92', '0.171923', '-674.953', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625407', '0', 'object/static/structure/dantooine/shared_dant_large_mudhut.iff', '0', '0.994409', '0', '0.105599', '5512.18', '0.41976', '-696.158', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625408', '0', 'object/static/structure/dantooine/shared_dant_small_mudhut.iff', '0', '-0.589145', '0', '0.808028', '5549.29', '0.185123', '-701.146', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625409', '0', 'object/static/structure/dantooine/shared_dant_fire_pit.iff', '0', '0.232843', '0', '0.972514', '5560.8', '0.166235', '-660.996', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625410', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0', '0', '1', '5582.61', '0.400388', '-657.789', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625411', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '5571.97', '0.154992', '-654.712', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625412', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0.986287', '0', '-0.165038', '5571.28', '0.255184', '-660.174', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625414', '0', 'object/static/structure/dantooine/shared_dant_skull_bol.iff', '-0.0168554', '-0.674077', '0.0184598', '0.738238', '5574.28', '4.45034', '-657.415', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625415', '0', 'object/static/structure/dantooine/shared_dant_cooking_stone.iff', '0', '0.884303', '0', '-0.466913', '5554.43', '0.162385', '-620.746', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625416', '0', 'object/static/structure/dantooine/shared_dant_hide_tanning_s01.iff', '0', '0.188859', '0', '0.982004', '5558.4', '0.2469', '-615.942', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625417', '0', 'object/static/structure/dantooine/shared_dant_skull_lizard.iff', '0.146408', '0.698607', '-0.684228', '0.149485', '5557.08', '2.10944', '-615.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625418', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0.993868', '0', '-0.11057', '5565.61', '0.152897', '-642.872', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625419', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '0.999875', '0', '-0.0157958', '5567.93', '0.187644', '-642.375', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625420', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '0.827702', '0', '-0.561168', '5572.11', '0.194906', '-644.963', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625422', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0', '0', '1', '5603.29', '0.911856', '-642.518', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625423', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '-0.707106', '0', '0.707107', '5607.36', '0.882535', '-638.628', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625424', '0', 'object/static/structure/dantooine/shared_dant_gate.iff', '0', '-0.66687', '0', '0.745174', '5599.11', '1.08755', '-640.504', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625425', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0', '0', '1', '5603.35', '0.959434', '-634.674', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625426', '0', 'object/static/structure/dantooine/shared_dant_fence_4m.iff', '0', '-0.707106', '0', '0.707107', '5599.31', '0.96757', '-636.618', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625427', '0', 'object/static/flora/shared_potted_plant_leaves_fern.iff', '0', '-0.430458', '0', '0.902611', '5606.58', '0.175055', '-635.992', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625428', '0', 'object/static/flora/shared_potted_plant_leaves_fern.iff', '0', '0.338197', '0', '0.941075', '5605.14', '0.220565', '-635.961', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625429', '0', 'object/static/flora/shared_potted_plant_leaves_fern.iff', '0', '0.795602', '0', '-0.60582', '5603.62', '0.222213', '-635.975', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625430', '0', 'object/static/flora/shared_potted_plant_leaves_fern.iff', '0', '0.247404', '0', '0.968912', '5601.95', '0.290238', '-636.05', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625431', '0', 'object/static/flora/shared_potted_plant_leaves_fern.iff', '0', '-0.21823', '0', '0.975897', '5600.65', '0.364771', '-635.918', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625432', '0', 'object/static/flora/shared_potted_plant_leaves_small.iff', '0', '-0.49688', '0', '0.867819', '5606.79', '0.307341', '-637.64', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625433', '0', 'object/static/flora/shared_potted_plant_leaves_small.iff', '0', '0.352274', '0', '0.935897', '5605.25', '0.402623', '-637.663', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625434', '0', 'object/static/flora/shared_potted_plant_leaves_small.iff', '0', '0.91071', '0', '0.413046', '5603.75', '0.389848', '-637.601', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625435', '0', 'object/static/flora/shared_potted_plant_leaves_small.iff', '0', '-0.407761', '0', '0.913089', '5602.16', '0.448727', '-637.576', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625436', '0', 'object/static/flora/shared_potted_plant_leaves_small.iff', '0', '0.319309', '0', '0.947651', '5600.66', '0.419426', '-637.634', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625437', '0', 'object/static/flora/shared_potted_plant_leaves_ivy.iff', '0', '0', '0', '1', '5606.49', '0.39704', '-639.327', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625438', '0', 'object/static/flora/shared_potted_plant_leaves_ivy.iff', '0', '0.734548', '0', '-0.678557', '5606.45', '0.450646', '-641.571', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625439', '0', 'object/static/flora/shared_potted_plant_leaves_ivy.iff', '0', '0.999023', '0', '0.0441892', '5604.54', '0.468102', '-639.247', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625440', '0', 'object/static/flora/shared_potted_plant_leaves_ivy.iff', '0', '-0.237703', '0', '0.971338', '5604.36', '0.556419', '-641.534', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625441', '0', 'object/static/flora/shared_potted_plant_leaves_ivy.iff', '0', '0.548024', '0', '0.836463', '5602.57', '0.430536', '-639.164', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625442', '0', 'object/static/flora/shared_potted_plant_leaves_ivy.iff', '0', '-0.651834', '0', '0.758361', '5602.45', '0.600397', '-641.428', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625443', '0', 'object/static/structure/dantooine/shared_dant_skull_thune.iff', '0', '0.266731', '0', '0.963771', '5523.05', '9.61782', '-667.111', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625444', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '0', '0', '0', '1', '5486.24', '11.2943', '-678.146', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625445', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '-0.0919126', '0.30372', '0.138799', '0.938105', '5580.92', '10.2174', '-707.538', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625446', '0', 'object/static/structure/dantooine/shared_dant_fish_rack.iff', '0', '0.514136', '0', '0.857709', '5544', '0.177658', '-696.657', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625447', '0', 'object/static/structure/dantooine/shared_dant_fish_rack.iff', '0', '0.509841', '0', '0.860269', '5543.35', '0.184754', '-695.322', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625448', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '-0.324043', '0', '0.946042', '5542.24', '0.173894', '-701.725', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625449', '0', 'object/static/structure/dantooine/shared_dant_fire_pit.iff', '0', '-0.585097', '0', '0.810963', '5534.07', '0.196532', '-696.374', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625450', '0', 'object/static/structure/dantooine/shared_dant_fish_rack.iff', '0', '-0.21823', '0', '0.975897', '5511.42', '0.465464', '-705.34', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625451', '0', 'object/static/structure/dantooine/shared_dant_fish_rack.iff', '0', '0.169182', '0', '0.985585', '5518.4', '0.359167', '-704.376', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625452', '0', 'object/static/structure/dantooine/shared_dant_hide_tanning_s01.iff', '0', '0.720831', '0', '-0.693111', '5510.59', '0.389214', '-706.658', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625453', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0.98545', '0', '0.169967', '5516.76', '0.371867', '-704.735', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625454', '0', 'object/static/structure/dantooine/shared_dant_cooking_stone.iff', '0', '0.0715317', '0', '0.997438', '5543.76', '0.162878', '-670.521', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625455', '0', 'object/static/structure/dantooine/shared_dant_hide_tanning_s01.iff', '0', '0.827702', '0', '0.561168', '5545.28', '0.132749', '-650.948', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625456', '0', 'object/static/structure/dantooine/shared_dant_hide_tanning_s02.iff', '0', '0.978197', '0', '-0.207681', '5543.91', '0.118347', '-651.469', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625457', '0', 'object/static/structure/dantooine/shared_dant_hide_tanning_s01.iff', '0', '0.997495', '0', '-0.0707372', '5549.92', '0.0763', '-648.623', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625458', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '0.979223', '0', '-0.202787', '5551.42', '0.073177', '-649.122', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625459', '0', 'object/static/structure/dantooine/shared_dant_skull_lizard.iff', '0.160318', '0.732817', '-0.639227', '0.169312', '5548.57', '1.93527', '-648.542', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625460', '0', 'object/static/structure/dantooine/shared_dant_skull_lizard.iff', '0.166865', '0.693809', '-0.679528', '0.170372', '5545.96', '1.86869', '-649.999', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625461', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '5571.27', '0.170445', '-644.935', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625462', '0', 'object/static/structure/dantooine/shared_dant_mud_oven.iff', '0', '0.964884', '0', '0.262678', '5520.89', '0.332094', '-690.754', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625463', '0', 'object/static/structure/dantooine/shared_dant_mud_oven.iff', '0', '0.939099', '0', '-0.343646', '5602.69', '1.02842', '-616.952', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625464', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '-0.00100877', '-0.692572', '-0.0494467', '0.719652', '5539.78', '0.868584', '-638.566', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625465', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '-0.00335292', '-0.670579', '0.00370914', '0.741822', '5540.42', '0.622643', '-630.525', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625466', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '-0.531187', '0', '0.847255', '5542.75', '0.928442', '-623.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625467', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0.0194687', '-0.55602', '-0.029077', '0.830432', '5545.98', '0.65919', '-615.838', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625468', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '-0.016008', '-0.640185', '0.0191993', '0.767814', '5548.27', '0.435313', '-608.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625469', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0', '0', '1', '5552.98', '0.633355', '-604.376', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625470', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0.000449916', '-0.0149927', '0.0299921', '0.999438', '5561.02', '0.869531', '-604.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625471', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0.000199983', '-0.0199977', '0.00999784', '0.99975', '5568.92', '1.18783', '-603.981', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625472', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0', '0', '1', '5580.33', '1.40138', '-603.955', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625473', '0', 'object/static/structure/dantooine/shared_dant_gate.iff', '0', '0', '0', '1', '5574.61', '1.23002', '-603.952', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625475', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0', '0', '1', '5588.32', '1.43303', '-604.023', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625476', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '-0.00314511', '0.0898235', '-0.0348512', '0.995343', '5596.21', '1.24134', '-604.711', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625477', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '-0.00533313', '0.271462', '-0.0244219', '0.962124', '5603.58', '0.793137', '-607.517', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625478', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.535416', '0', '0.844589', '5608.85', '0.691131', '-613.177', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625479', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.666869', '0', '0.745175', '5610.99', '0.674435', '-620.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625480', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.777072', '0', '0.629412', '5610.68', '0.588073', '-628.657', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625482', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '-0.706825', '0', '0.707388', '5609.47', '0.844569', '-636.715', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625483', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '-0.00727714', '0.727689', '0.00685857', '-0.685834', '5609.45', '0.984875', '-644.773', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625484', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0.00522679', '-0.522661', '-0.0085251', '0.852482', '5607.75', '1.19417', '-652.302', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625485', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '-0.00281153', '-0.252233', '0.00959646', '0.967615', '5602.52', '1.15685', '-657.734', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625486', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '-0.00341953', '-0.227952', '0.0146044', '0.973557', '5595.47', '0.944599', '-661.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625487', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '-0.237703', '0', '0.971338', '5588.28', '0.835566', '-665.014', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2625488', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '-0.00087473', '-0.0349819', '0.0249821', '0.999075', '5580.81', '0.609746', '-667.135', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775683', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_1.iff', '0', '-0.29074', '0', '0.956802', '-6852.11', '46', '5586.24', '256', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775684', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_2.iff', '0', '0.129634', '0', '0.991562', '-6852.05', '46', '5583.63', '256', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775686', '0', 'object/static/installation/shared_mockup_factory_item_style_1.iff', '0', '1', '0', '-3.20013e-08', '-6680.37', '30', '5574.9', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775687', '0', 'object/static/structure/corellia/shared_corl_power_arial_prime.iff', '0', '0.581035', '0', '0.813878', '-6686.13', '30', '5580.94', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775688', '0', 'object/static/structure/corellia/shared_corl_power_arial_thin.iff', '0', '0.720831', '0', '0.693111', '-6685.13', '30', '5581.63', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775689', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0.0143465', '0.984677', '-0.0987972', '0.142986', '-6680.64', '30', '5584.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775690', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '-0.0404863', '0.112658', '-0.335765', '0.934308', '-6680.53', '30', '5580.14', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775691', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.13459', '0', '0.990901', '-6681.68', '30', '5580.2', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775692', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0.746517', '-0.228099', '0.315622', '0.539505', '-6679.13', '30', '5582.35', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775693', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0', '0', '1', '-6681.7', '30', '5582.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775694', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '1', '0', '3.20013e-08', '-6636.54', '30', '5582.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775695', '0', 'object/static/structure/corellia/shared_corl_tent_small.iff', '0', '0.707106', '0', '0.707107', '-6633.28', '30', '5575.95', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775696', '0', 'object/static/structure/corellia/shared_corl_tent_small.iff', '0', '0', '0', '1', '-6633.21', '30', '5567.66', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775697', '0', 'object/static/structure/corellia/shared_corl_tent_small.iff', '0', '0.744908', '0', '0.667167', '-6633.41', '30', '5559.35', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775698', '0', 'object/tangible/furniture/all/shared_frn_all_toolchest_lg_s01.iff', '0', '-0.285952', '0', '0.958244', '-6632.6', '30', '5572.57', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775699', '0', 'object/tangible/furniture/all/shared_frn_all_toolchest_lg_s01.iff', '0', '0.792563', '0', '-0.609791', '-6632.38', '30', '5563.3', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775700', '0', 'object/static/structure/general/shared_prp_engine.iff', '0', '0.754571', '0', '-0.656219', '-6632.81', '29.851', '5574.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775701', '0', 'object/static/structure/general/shared_prp_engine.iff', '0.75128', '0', '0', '-0.659983', '-6632.11', '30.3944', '5576.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775702', '0', 'object/static/structure/general/shared_prp_engine_component.iff', '0', '0', '0', '1', '-6632.98', '30', '5575.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775703', '0', 'object/static/structure/general/shared_prp_engine_component.iff', '0', '0.953608', '0', '-0.301053', '-6633.24', '30', '5573.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775704', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '-0.191591', '-0.0289561', '-0.146606', '0.970032', '-6633.84', '29.5466', '5566.84', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775705', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '-0.707106', '0', '0.707107', '-6645.44', '30', '5478.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775707', '0', 'object/static/structure/corellia/shared_corl_tent_small.iff', '0', '0.744908', '0', '0.667167', '-6633.21', '30', '5506.52', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775708', '0', 'object/static/structure/corellia/shared_corl_tent_small.iff', '0', '0.707103', '0', '0.70711', '-6633.08', '30', '5523.12', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775711', '0', 'object/tangible/furniture/all/shared_frn_all_toolchest_lg_s01.iff', '0', '0.164252', '0', '0.986418', '-6633.33', '30', '5519.56', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775712', '0', 'object/static/installation/shared_mockup_power_generator_fusion_style_1.iff', '0', '-0.707106', '0', '0.707107', '-6665.28', '30', '5475.58', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775713', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '-0.353571', '0.557139', '-0.283007', '-0.696054', '-6670.33', '30', '5480.03', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775714', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.457339', '0', '0.889293', '-6664.85', '30', '5478.81', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775715', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.501213', '0', '0.865324', '-6671.63', '30', '5480.07', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775716', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0.1954', '-0.528887', '0.126628', '0.816127', '-6666.07', '29.7402', '5479.35', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775717', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '-0.113202', '0.738295', '-0.0527663', '-0.662813', '-6655.52', '29.747', '5476.73', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775718', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '-0.314567', '0', '0', '0.949235', '-6655.47', '30', '5477.49', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775723', '0', 'object/static/particle/shared_particle_newbie_refrigerator_steam.iff', '-0.124096', '0.684999', '0.163135', '-0.699116', '-6665.82', '30.9925', '5477.54', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775731', '0', 'object/static/particle/shared_pt_poi_broken_electronics.iff', '0', '0', '0', '1', '-6666.06', '31.8584', '5474.68', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775734', '0', 'object/static/structure/general/shared_prp_engine.iff', '-0.485734', '0.829015', '0.140094', '-0.239102', '-6633.35', '29.8641', '5509.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775735', '0', 'object/static/structure/general/shared_prp_engine.iff', '0.285952', '0', '0', '0.958244', '-6640.9', '29.6177', '5506.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775736', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0.208052', '-0.27333', '0.0660388', '0.936826', '-6634.21', '29.746', '5505.68', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775737', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0.92388', '0', '-0.382683', '-6940.91', '25', '5390.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775738', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0.92388', '0', '0.382683', '-6972.83', '25', '5435.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775739', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_1.iff', '0', '0', '0', '1', '-7038.26', '25', '5353.7', '256', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775741', '0', 'object/static/structure/corellia/shared_corl_power_arial_prime.iff', '0', '0', '0', '1', '-7037.75', '25', '5355.29', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775742', '0', 'object/static/structure/general/shared_landing_pad_shuttle.iff', '0', '0.92388', '0', '-0.382683', '-6972.93', '25', '5384.73', '256', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775744', '0', 'object/static/installation/shared_mockup_power_generator_fusion_style_1.iff', '0', '0.92388', '0', '-0.382683', '-6970.99', '25', '5382.88', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775746', '0', 'object/static/structure/corellia/shared_corl_power_box_node.iff', '0', '0.382683', '0', '0.92388', '-6969.77', '25', '5390.87', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775747', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0.453547', '-0.00884274', '0.468175', '0.758307', '-6977.97', '24.7941', '5383.81', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775748', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '-0.488832', '0.393156', '-0.146455', '0.764868', '-6973.98', '24.8763', '5385.39', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775749', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '-0.0948572', '0.995491', '-6975.89', '24.5326', '5383.06', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775750', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0.174595', '-0.595936', '-0.220377', '0.752204', '-6980.62', '24.916', '5381.7', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775751', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.430458', '0', '0.902611', '-7011.5', '25', '5383.07', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775752', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.17903', '0', '0.983844', '-7012.63', '25', '5383.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775753', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0.195396', '0.535011', '0.284531', '0.77112', '-7012.75', '25.1265', '5384.29', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775754', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.552199', '0', '0.833712', '-7012.73', '25', '5387.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775755', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.42141', '0', '0.90687', '-7013.67', '25', '5388.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775756', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0.300323', '0.355295', '-0.121697', '0.876791', '-7011.01', '25', '5385.22', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775760', '0', 'object/static/structure/general/shared_prp_junk_s7.iff', '0.321726', '-0.500773', '0.771356', '0.22523', '-7034.63', '27.3539', '5384.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775761', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0.872355', '0', '-0.488872', '-7031.51', '25', '5380.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775762', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0', '0', '1', '-7038.79', '25', '5386.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775763', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0.906534', '0', '-0.422132', '-7039.33', '25', '5387.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775768', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '-0.378944', '0.255536', '0.670061', '-0.584911', '-7030.68', '25.4678', '5389.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775769', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0.281157', '0', '0', '0.959662', '-6995.47', '24.6502', '5428.85', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775770', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0.663357', '-0.159619', '-0.221382', '-0.696756', '-6993.09', '25', '5431.49', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775771', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0.081469', '0.471822', '-0.0506446', '0.87646', '-6983.21', '25', '5397.89', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775772', '0', 'object/static/structure/tatooine/shared_debris_tatt_radar_dish.iff', '0.824993', '0.348801', '-0.173159', '0.40956', '-6944.24', '26.4606', '5410.41', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775773', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0.623845', '-0.323551', '0.316892', '0.636955', '-7003.26', '25', '5349.46', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775774', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '-0.173507', '-0.306582', '0.668103', '-0.655394', '-7003.73', '24.9203', '5347.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775775', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0.589407', '0.169371', '-0.24954', '0.749428', '-7005.59', '25', '5348.63', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775776', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '-0.67262', '0.040983', '0.119437', '0.729135', '-7008.59', '25', '5350', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775777', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0.108505', '-0.622641', '0.0877437', '0.769965', '-7001.43', '24.8413', '5348.65', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775778', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0.118791', '0.13371', '0.636419', '0.750321', '-6983.79', '25.1265', '5399.2', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775781', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0.262253', '-0.381965', '0.113983', '0.878825', '-6984.02', '25.6641', '5400.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775783', '0', 'object/static/structure/general/shared_prp_junk_s2.iff', '0.682259', '0.095308', '-0.187256', '0.700267', '-6914.88', '38.2478', '5458.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775784', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0.0290256', '-0.289287', '-0.0955209', '0.952022', '-6915.78', '37.894', '5458.75', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775785', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '-0.575305', '0.686181', '-0.411927', '0.168809', '-6910.8', '38.1582', '5459.7', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775786', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '-0.281257', '0.713152', '0.503762', '0.398162', '-6913.65', '38.4111', '5454.53', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775787', '0', 'object/static/structure/general/shared_prp_junk_s1.iff', '0', '0.999526', '0', '-0.0307915', '-6644.92', '30', '5545.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775788', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0', '0', '1', '-6646.48', '30', '5547.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775789', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '-0.281157', '0', '0.959662', '-6645.93', '30', '5546.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775790', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0.889657', '0', '0.45663', '-6647.07', '30', '5546.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955448', '0', 'object/building/military/shared_mun_all_military_tower_impl_guard_s01.iff', '0', '0.382683', '0', '0.92388', '-4180', '3', '-2383', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955449', '2955448', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955471', '0', 'object/building/military/shared_mun_all_military_tower_impl_guard_s01.iff', '0', '0.92388', '0', '-0.382683', '-4270', '3', '-2433', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955472', '2955471', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955473', '0', 'object/building/military/shared_mun_all_military_tower_impl_guard_s01.iff', '0', '0.92388', '0', '0.382683', '-4180', '3', '-2433', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955474', '2955473', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955475', '0', 'object/building/military/shared_mun_all_military_tower_impl_guard_s01.iff', '0', '-0.382683', '0', '0.92388', '-4270', '3', '-2383', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955476', '2955475', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955477', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_16_style_01.iff', '0', '0.382683', '0', '0.92388', '-4178.81', '3.44272', '-2382.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955478', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_1.iff', '0', '-0.384808', '0', '0.922997', '-4234', '2.91422', '-2438', '256', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955479', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-4156.81', '7.55368', '-2400.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955480', '0', 'object/static/structure/military/shared_military_wall_med_imperial_style_01.iff', '0', '1', '0', '3.20013e-08', '-4253', '3.44272', '-2392', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955481', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0', '0', '1', '-4156.81', '3.44272', '-2400.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955482', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-4156.81', '7.55544', '-2416.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955483', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0', '0', '1', '-4172.81', '3.44272', '-2388.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955484', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0', '0', '1', '-4156.81', '3.44272', '-2416.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955485', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0', '0', '1', '-4164.81', '3.44272', '-2412.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955486', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0', '0', '1', '-4172.81', '3.44272', '-2404.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955487', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0', '0', '1', '-4164.81', '3.44272', '-2404.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955488', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0', '0', '1', '-4184.81', '3.44272', '-2376.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955489', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0', '0', '1', '-4172.81', '3.44272', '-2412.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955490', '0', 'object/static/structure/military/shared_military_wall_med_imperial_16_style_01.iff', '0', '-0.707107', '0', '0.707107', '-4256.81', '3.44272', '-2368.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955491', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_16_style_01.iff', '0', '-0.707104', '0', '0.707109', '-4172.81', '3.44272', '-2420.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955492', '0', 'object/static/structure/military/shared_military_wall_med_imperial_16_style_01.iff', '0', '0', '0', '1', '-4225', '3.44272', '-2344', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955493', '0', 'object/static/structure/military/shared_military_wall_med_imperial_16_style_01.iff', '0', '1', '0', '3.20013e-08', '-4241', '3.44272', '-2392', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955494', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_16_style_01.iff', '0', '-0.707107', '0', '0.707107', '-4156.81', '3.44272', '-2408.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955495', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_16_style_01.iff', '0', '0', '0', '1', '-4240.81', '3.44272', '-2440.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955496', '0', 'object/static/structure/military/shared_military_wall_med_imperial_style_01.iff', '0', '0', '0', '1', '-4197', '3.44272', '-2360', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955497', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0', '0', '1', '-4172.81', '3.44272', '-2428.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955500', '0', 'object/static/structure/military/shared_military_wall_med_imperial_style_01.iff', '0', '0', '0', '1', '-4197', '3.44272', '-2392', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955501', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '0', '0', '1', '-4245.1', '2.96838', '-2422.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955502', '0', 'object/static/structure/military/shared_military_wall_med_imperial_16_style_01.iff', '0', '0.707107', '0', '0.707107', '-4256.81', '3.44272', '-2384.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955503', '0', 'object/static/structure/military/shared_military_wall_med_imperial_style_01.iff', '0', '0', '0', '1', '-4253', '3.44272', '-2344', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955504', '0', 'object/static/structure/military/shared_military_wall_med_imperial_16_style_01.iff', '0', '0', '0', '1', '-4242', '3.44272', '-2344', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955505', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '0', '0', '1', '-4224.81', '2.93345', '-2398.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955506', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '0', '0', '1', '-4204.88', '2.96838', '-2422.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955507', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '-0.707103', '0', '0.70711', '-4164.81', '7.68017', '-2404.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955508', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '0.707107', '0', '-0.707107', '-4164.81', '7.68018', '-2412.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955510', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_16_style_01.iff', '0', '0', '0', '1', '-4208.81', '3.44272', '-2440.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955512', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_16_style_01.iff', '0', '0', '0', '1', '-4192.81', '3.44272', '-2440.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955513', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_16_style_01.iff', '0', '-0.382683', '0', '0.92388', '-4178.81', '3.44272', '-2434.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955514', '0', 'object/static/structure/military/shared_military_wall_med_imperial_16_style_01.iff', '0', '-0.707103', '0', '0.70711', '-4193', '3.44272', '-2368', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955515', '0', 'object/static/structure/military/shared_military_wall_med_imperial_32_style_01.iff', '0', '0', '0', '1', '-4224.81', '3.44272', '-2400.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955516', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '0', '0', '1', '-4168.81', '3.44272', '-2412.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955517', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '0', '0', '1', '-4168.81', '3.44272', '-2404.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955518', '0', 'object/static/structure/military/shared_military_wall_med_imperial_16_style_01.iff', '0', '-0.707103', '0', '0.70711', '-4193', '3.44272', '-2384', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955519', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_16_style_01.iff', '0', '-0.707104', '0', '0.707109', '-4172.81', '3.44272', '-2396.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955520', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '0', '0', '1', '-4260.81', '3.44272', '-2376.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955521', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_16_style_01.iff', '0', '0', '0', '1', '-4256.81', '3.44272', '-2440.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955522', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0', '0', '1', '-4184.81', '3.44272', '-2440.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955523', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_16_style_01.iff', '0', '-0.382683', '0', '0.92388', '-4270.81', '3.44272', '-2382.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955524', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0', '0', '1', '-4193', '3.44272', '-2392', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955525', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_16_style_01.iff', '0', '0.382683', '0', '0.92388', '-4270.81', '3.44272', '-2434.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955526', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0', '0', '1', '-4193', '3.44272', '-2376', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955527', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_16_style_01.iff', '0', '-0.707104', '0', '0.707109', '-4276.81', '3.44272', '-2396.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955528', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_16_style_01.iff', '0', '-0.707104', '0', '0.707109', '-4276.81', '3.44272', '-2420.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955529', '0', 'object/static/structure/corellia/shared_corl_power_arial_prime.iff', '0', '0.707107', '0', '0.707107', '-4194.84', '2.49403', '-2369', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955530', '0', 'object/static/structure/corellia/shared_corl_power_arial_thin.iff', '0', '-0.707095', '0', '0.707118', '-4194.56', '2.62053', '-2364.91', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955531', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0', '0', '1', '-4200.81', '3.44272', '-2440.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955532', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0', '0', '1', '-4193', '3.44272', '-2360', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955533', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '0', '0', '1', '-4280.81', '3.44272', '-2404.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955534', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '0', '0', '1', '-4280.81', '3.44272', '-2412.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955535', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0', '0', '1', '-4201', '3.44272', '-2376', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955536', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.707103', '0', '0.70711', '-4201', '3', '-2384', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955537', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0', '0', '1', '-4197', '3', '-2371', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955538', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0', '0', '1', '-4197', '3', '-2367', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955539', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0', '0', '1', '-4197', '3', '-2363', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955540', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0', '0', '1', '-4208.81', '3.44272', '-2400.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955541', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0', '0', '1', '-4201', '3.44272', '-2392', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955542', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '0.707103', '0', '0.70711', '-4284.81', '7.68018', '-2404.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955543', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '0.707107', '0', '-0.707107', '-4284.81', '7.68018', '-2412.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955544', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.707103', '0', '0.70711', '-4201', '3', '-2368', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955545', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0', '0', '1', '-4201', '3.44272', '-2360', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955546', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0', '0', '1', '-4216.81', '3.44272', '-2392.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955547', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_16_style_01.iff', '0', '-0.707104', '0', '0.707109', '-4292.81', '3.44272', '-2408.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955548', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-4292.81', '7.55369', '-2416.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955549', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-4292.81', '7.56207', '-2400.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955550', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0', '0', '1', '-4217', '3.44272', '-2344', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955552', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '1', '0', '3.20013e-08', '-4233', '3.44272', '-2392', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955553', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0', '0', '1', '-4233', '3.44272', '-2344', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955554', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s02.iff', '0', '-0.382683', '0', '0.92388', '-4232', '3', '-2435', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955556', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0', '0', '1', '-4240.81', '3.44272', '-2400.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955557', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '1', '0', '3.20013e-08', '-4249', '3.44272', '-2392', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955558', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0', '0', '1', '-4249', '3.44272', '-2344', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955559', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0', '0', '1', '-4248.81', '3.44272', '-2440.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955560', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0', '0', '1', '-4256.81', '3.44272', '-2392.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955561', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0', '0', '1', '-4256.81', '3.44272', '-2376.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955562', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0', '0', '1', '-4256.81', '3.44272', '-2360.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955563', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0', '0', '1', '-4264.81', '3.44272', '-2376.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955564', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0', '0', '1', '-4264.81', '3.44272', '-2440.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955565', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0', '0', '1', '-4276.81', '3.44272', '-2404.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955566', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0', '0', '1', '-4276.81', '3.44272', '-2388.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955567', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0', '0', '1', '-4276.81', '3.44272', '-2412.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955568', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0', '0', '1', '-4276.81', '3.44272', '-2428.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955569', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0', '0', '1', '-4284.81', '3.44272', '-2412.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955570', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0', '0', '1', '-4284.81', '3.44272', '-2404.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955571', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0', '0', '1', '-4292.81', '3.44272', '-2416.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955572', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0', '0', '1', '-4292.81', '3.44272', '-2400.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955575', '0', 'object/static/installation/shared_mockup_power_generator_fusion_style_1.iff', '0', '0', '0', '1', '-4196.99', '3', '-2382.26', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955578', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '0', '0', '1', '-4189', '3', '-2376', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955579', '0', 'object/static/structure/military/shared_military_wall_med_imperial_16_style_01.iff', '0', '0', '0', '1', '-4209', '3', '-2344', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955580', '0', 'object/static/structure/military/shared_military_wall_med_imperial_16_style_01.iff', '0', '0', '0', '1', '-4209', '3.44725', '-2392', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955581', '0', 'object/static/structure/military/shared_military_wall_med_imperial_16_style_01.iff', '0', '0.707106', '0', '0.707107', '-4201', '3', '-2352', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955582', '0', 'object/static/structure/military/shared_military_wall_med_imperial_16_style_01.iff', '0', '-0.707106', '0', '0.707107', '-4257', '3', '-2352', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955583', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0', '0', '1', '-4257', '3', '-2344', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955584', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0', '0', '1', '-4201', '3', '-2344', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955585', '0', 'object/building/military/shared_outpost_starport.iff', '0', '1', '0', '-3.20013e-08', '-4229', '3', '-2368', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955586', '2955585', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3975461', '2955586', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0', '0', '1', '-7.41875', '0.146595', '-19.2582', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955587', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '0', '0', '1', '-4224.44', '3', '-2355.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955596', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0.710354', '0', '-0.703845', '-4236.94', '3', '-2346.3', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955599', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.00460156', '0', '0.999989', '-4237.69', '3.12649', '-2345.75', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955600', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.00460196', '-4236.97', '3.12649', '-2346.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955601', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.0046005', '-4236.97', '3.12649', '-2345.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955602', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.00460156', '0', '0.999989', '-4237.68', '3.12649', '-2346.75', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955603', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.0045938', '-4236.25', '3.12649', '-2345.89', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955604', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.00460215', '-4236.24', '3.12649', '-2346.89', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955619', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.00460143', '0', '0.999989', '-4237.71', '3.98031', '-2345.75', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955620', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0.710354', '0', '-0.703845', '-4236.96', '3.85382', '-2346.3', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955621', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.00460189', '-4236.99', '3.98031', '-2345.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955622', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.00460143', '0', '0.999989', '-4237.7', '3.98031', '-2346.76', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955623', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.00460215', '-4236.98', '3.98031', '-2346.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955624', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.0045911', '-4236.27', '3.98031', '-2345.89', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955625', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.00460215', '-4236.26', '3.98031', '-2346.88', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955626', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.00460143', '0', '0.999989', '-4237.73', '4.83412', '-2345.76', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955627', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0.710354', '0', '-0.703845', '-4236.98', '4.70763', '-2346.3', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955628', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.00460189', '-4237.01', '4.83412', '-2345.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955629', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.00460143', '0', '0.999989', '-4237.72', '4.83412', '-2346.75', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955630', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.00460215', '-4237', '4.83412', '-2346.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955631', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.0045911', '-4236.29', '4.83412', '-2345.88', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955632', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.00460215', '-4236.28', '4.83412', '-2346.89', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955633', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.00460143', '0', '0.999989', '-4237.77', '5.68794', '-2345.76', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955634', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0.710354', '0', '-0.703845', '-4237.02', '5.56145', '-2346.31', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955635', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.00460189', '-4237.06', '5.68794', '-2345.93', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955636', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.00460143', '0', '0.999989', '-4237.76', '5.68794', '-2346.77', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955637', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.00460215', '-4237.05', '5.68794', '-2346.93', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955638', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.00459267', '-4236.33', '5.68794', '-2345.9', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955639', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.00460215', '-4236.32', '5.68794', '-2346.9', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955640', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004602', '0', '0.999989', '-4241.14', '3.12649', '-2345.82', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955641', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0.710354', '0', '-0.703845', '-4240.39', '3', '-2346.36', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955642', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.0046', '-4240.42', '3.12649', '-2345.98', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955643', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004602', '0', '0.999989', '-4241.13', '3.12649', '-2346.82', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955644', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.004602', '-4240.42', '3.12649', '-2346.98', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955645', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.004594', '-4239.7', '3.12649', '-2345.95', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955646', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-4239.69', '3.12649', '-2346.95', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955647', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-4241.16', '3.98031', '-2345.82', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955648', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0.710354', '0', '-0.703845', '-4240.41', '3.85382', '-2346.37', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955649', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-4240.44', '3.98031', '-2345.99', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955650', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-4241.15', '3.98031', '-2346.82', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955651', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-4240.44', '3.98031', '-2346.99', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955652', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.004591', '-4239.72', '3.98031', '-2345.95', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955653', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-4239.71', '3.98031', '-2346.95', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955654', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-4241.18', '4.83413', '-2345.82', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955655', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0.710354', '0', '-0.703845', '-4240.43', '4.70763', '-2346.36', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955656', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-4240.46', '4.83413', '-2345.98', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955657', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-4241.17', '4.83413', '-2346.82', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955658', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-4240.45', '4.83413', '-2346.98', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955659', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.004591', '-4239.74', '4.83413', '-2345.95', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955660', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-4239.73', '4.83413', '-2346.95', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955661', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-4241.22', '5.68794', '-2345.83', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955662', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0.710354', '0', '-0.703845', '-4240.48', '5.56145', '-2346.37', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955663', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-4240.51', '5.68794', '-2346', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955664', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-4241.22', '5.68794', '-2346.83', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955665', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-4240.5', '5.68794', '-2347', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955666', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.004593', '-4239.79', '5.68794', '-2345.96', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955667', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-4239.78', '5.68794', '-2346.96', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955668', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004602', '0', '0.999989', '-4235.44', '3.12649', '-2351.74', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955669', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0.710354', '0', '-0.703845', '-4234.69', '3', '-2352.28', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955670', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.0046', '-4234.73', '3.12649', '-2351.9', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955671', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004602', '0', '0.999989', '-4235.43', '3.12649', '-2352.74', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955672', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.004602', '-4234.72', '3.12649', '-2352.91', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955673', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.004594', '-4234', '3.12649', '-2351.87', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955674', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-4233.99', '3.12649', '-2352.87', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955675', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-4235.46', '3.98031', '-2351.74', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955676', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0.710354', '0', '-0.703845', '-4234.71', '3.85382', '-2352.29', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955677', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-4234.74', '3.98031', '-2351.91', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955678', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-4235.45', '3.98031', '-2352.74', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955679', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-4234.74', '3.98031', '-2352.91', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955680', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.004591', '-4234.02', '3.98031', '-2351.87', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955681', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-4234.01', '3.98031', '-2352.87', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955682', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-4235.48', '4.83413', '-2351.74', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955683', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0.710354', '0', '-0.703845', '-4234.73', '4.70763', '-2352.28', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955684', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-4234.76', '4.83413', '-2351.91', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955685', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-4235.47', '4.83413', '-2352.74', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955686', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-4234.76', '4.83413', '-2352.9', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955687', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.004591', '-4234.04', '4.83413', '-2351.87', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955688', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-4234.03', '4.83413', '-2352.88', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955689', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-4235.53', '5.68794', '-2351.75', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955690', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0.710354', '0', '-0.703845', '-4234.78', '5.56145', '-2352.3', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955691', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-4234.81', '5.68794', '-2351.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955692', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-4235.52', '5.68794', '-2352.75', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955693', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-4234.8', '5.68794', '-2352.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955694', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.004593', '-4234.09', '5.68794', '-2351.89', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955695', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-4234.08', '5.68794', '-2352.89', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955696', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004602', '0', '0.999989', '-4244.63', '3.12649', '-2345.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955697', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0.710354', '0', '-0.703845', '-4243.88', '3', '-2346.46', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955698', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.0046', '-4243.92', '3.12649', '-2346.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955699', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004602', '0', '0.999989', '-4244.63', '3.12649', '-2346.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955700', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.004602', '-4243.91', '3.12649', '-2347.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955701', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.004594', '-4243.19', '3.12649', '-2346.05', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955702', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-4243.19', '3.12649', '-2347.05', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955703', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-4244.65', '3.98031', '-2345.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955704', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0.710354', '0', '-0.703845', '-4243.9', '3.85382', '-2346.47', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955705', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-4243.93', '3.98031', '-2346.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955706', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-4244.64', '3.98031', '-2346.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955707', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-4243.93', '3.98031', '-2347.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955708', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.004591', '-4243.21', '3.98031', '-2346.05', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955709', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-4243.2', '3.98031', '-2347.05', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955710', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-4244.67', '4.83413', '-2345.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955711', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0.710354', '0', '-0.703845', '-4243.93', '4.70763', '-2346.46', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955712', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-4243.95', '4.83413', '-2346.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955713', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-4244.66', '4.83413', '-2346.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955714', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-4243.95', '4.83413', '-2347.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955715', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.004591', '-4243.23', '4.83413', '-2346.05', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955716', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-4243.22', '4.83413', '-2347.05', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955717', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-4244.72', '5.68794', '-2345.93', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955718', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0.710354', '0', '-0.703845', '-4243.97', '5.56145', '-2346.47', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955719', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-4244', '5.68794', '-2346.09', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955720', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-4244.71', '5.68794', '-2346.93', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955721', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-4244', '5.68794', '-2347.09', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955722', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.004593', '-4243.28', '5.68794', '-2346.06', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955723', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-4243.27', '5.68794', '-2347.06', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955724', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004602', '0', '0.999989', '-4239.07', '3.12649', '-2351.83', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955725', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0.710354', '0', '-0.703845', '-4238.32', '3', '-2352.38', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955726', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.0046', '-4238.36', '3.12649', '-2352', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955727', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004602', '0', '0.999989', '-4239.07', '3.12649', '-2352.84', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955728', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.004602', '-4238.35', '3.12649', '-2353', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955729', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.004594', '-4237.63', '3.12649', '-2351.97', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955730', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-4237.63', '3.12649', '-2352.97', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955731', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-4239.09', '3.98031', '-2351.84', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955732', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0.710354', '0', '-0.703845', '-4238.34', '3.85382', '-2352.38', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955733', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-4238.37', '3.98031', '-2352', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955734', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-4239.08', '3.98031', '-2352.84', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955735', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-4238.37', '3.98031', '-2353', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955736', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.004591', '-4237.65', '3.98031', '-2351.97', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955737', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-4237.64', '3.98031', '-2352.97', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955738', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-4239.11', '4.83413', '-2351.84', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955739', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0.710354', '0', '-0.703845', '-4238.37', '4.70763', '-2352.38', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955740', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-4238.39', '4.83413', '-2352', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955741', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-4239.1', '4.83413', '-2352.84', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955742', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-4238.39', '4.83413', '-2353', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955743', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.004591', '-4237.67', '4.83413', '-2351.97', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955744', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-4237.66', '4.83413', '-2352.97', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955745', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-4239.16', '5.68794', '-2351.85', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955746', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0.710354', '0', '-0.703845', '-4238.41', '5.56145', '-2352.39', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955747', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-4238.44', '5.68794', '-2352.01', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955748', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-4239.15', '5.68794', '-2352.85', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955749', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-4238.44', '5.68794', '-2353.01', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955750', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.004593', '-4237.72', '5.68794', '-2351.98', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955751', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-4237.71', '5.68794', '-2352.98', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955752', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0', '0', '1', '-4249.65', '3', '-2387.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '2955753', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0', '0', '1', '-4245.56', '3', '-2389.87', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035877', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0.29552', '0', '0', '0.955337', '-6730.29', '37.5573', '5514.49', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035878', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.488177', '0', '0.872745', '-6728.51', '37.8981', '5515.24', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035879', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.990794', '0', '0.135379', '-6733.75', '38', '5514.87', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035880', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0.281157', '0', '0', '0.959662', '-6730.28', '38.0632', '5515.31', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035881', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '-6728.45', '38.759', '5515.21', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035882', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0.242562', '0.663972', '0.242369', '-0.664501', '-6770.14', '38.6008', '5506.41', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035883', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0.321517', '0.881059', '-0.119188', '0.325815', '-6769.93', '38.4427', '5507.04', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035884', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '-0.00719643', '-0.28523', '-0.304255', '0.908857', '-6770.02', '38.4427', '5507.87', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035885', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0.642709', '-0.285832', '0.339698', '0.624364', '-6771.32', '38.1463', '5509.53', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035886', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0.129634', '0', '0', '0.991562', '-6783.68', '37.8527', '5482.14', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035887', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.430458', '0', '0.902611', '-6781.95', '38', '5482.05', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035888', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.648034', '0', '0.761611', '-6784.64', '38', '5480.35', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035889', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.174108', '0', '0.984727', '-6781.4', '38', '5481.05', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035890', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0.950563', '0.043725', '-0.201048', '0.23259', '-6781.72', '38.7156', '5480.34', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035891', '0', 'object/static/structure/corellia/shared_corl_power_arial_prime.iff', '-0.0634556', '0.693883', '0.70749', '0.118146', '-6760.73', '38.1735', '5552.36', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035892', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0.498894', '0.483895', '-0.407579', '0.592308', '-6759.48', '38', '5557.77', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035893', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.810497', '0', '0.585743', '-6758.55', '38', '5560.97', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035894', '0', 'object/static/structure/general/shared_landing_pad_shuttle.iff', '0', '-0.382683', '0', '0.92388', '-6773.76', '38', '5601.69', '256', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035896', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '-0.159318', '0', '0.987227', '-6778.13', '38', '5603.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035897', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0.792563', '0', '-0.609791', '-6770.7', '38', '5593.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035899', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0.083758', '-0.499464', '0.183088', '0.842614', '-6870.23', '37.6838', '5607.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035900', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.430458', '0', '0.902611', '-6873.07', '37.8103', '5608.61', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035901', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0.635072', '0.315948', '-0.31821', '0.62897', '-6871.14', '38.1265', '5608.64', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035902', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.342898', '0', '0.939373', '-6876.35', '38', '5613.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035903', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0.495105', '0.370164', '-0.414981', '0.667564', '-6868.8', '38', '5604.45', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035904', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '-0.378544', '0.600482', '0.637781', '-0.298934', '-6864.41', '38', '5605.44', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035905', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0.63716', '-0.121633', '-0.0883432', '0.755929', '-6870.1', '38.2224', '5613.31', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035906', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.597195', '0', '0.802096', '-6874.63', '38', '5609.76', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035907', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0.0593833', '-0.12088', '-0.403295', '0.905105', '-6874.39', '38.236', '5609.86', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035908', '0', 'object/building/corellia/shared_filler_slum_16x16_s01.iff', '0', '0.92388', '0', '-0.382683', '-6893.07', '38', '5592.42', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035909', '0', 'object/building/corellia/shared_filler_slum_16x16_s01.iff', '0', '0.92388', '0', '-0.382683', '-6881.4', '38', '5604.07', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035917', '0', 'object/static/structure/general/shared_banner_rebel_style_01.iff', '0', '0.92388', '0', '0.382683', '-6962.13', '25', '5355.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035918', '0', 'object/static/structure/general/shared_banner_rebel_style_01.iff', '0', '0', '0', '1', '-6832.48', '47.2535', '5511.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035919', '0', 'object/static/structure/general/shared_banner_rebel_style_01.iff', '0', '0', '0', '1', '-6821.6', '47.2522', '5511.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035920', '0', 'object/static/structure/general/shared_banner_rebel_style_01.iff', '0', '0.707106', '0', '0.707107', '-6626.6', '30', '5548.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035921', '0', 'object/building/military/shared_military_base_shed_rebel_abandoned_01.iff', '0', '-0.382683', '0', '0.92388', '-6960', '25', '5398', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035922', '3035921', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035923', '3035921', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035924', '3035921', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035925', '3035921', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035926', '3035921', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035927', '3035921', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035928', '0', 'object/building/military/shared_military_base_shed_rebel_abandoned_01.iff', '0', '-0.382683', '0', '0.92388', '-6986', '25', '5372', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035929', '3035928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035930', '3035928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035931', '3035928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035932', '3035928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035933', '3035928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035934', '3035928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035935', '0', 'object/building/military/shared_military_base_shed_rebel_abandoned_01.iff', '0', '-0.382683', '0', '0.92388', '-6999', '25', '5359', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035936', '3035935', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035937', '3035935', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035938', '3035935', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035939', '3035935', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035940', '3035935', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035941', '3035935', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035942', '0', 'object/building/military/shared_military_base_shed_rebel_abandoned_01.iff', '0', '0.92388', '0', '0.382683', '-6979', '25', '5417', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035943', '3035942', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035944', '3035942', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035945', '3035942', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035946', '3035942', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035947', '3035942', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035948', '3035942', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035949', '0', 'object/building/military/shared_military_base_shed_rebel_abandoned_01.iff', '0', '0.92388', '0', '0.382683', '-6992', '25', '5404', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035950', '3035949', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035951', '3035949', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035952', '3035949', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035953', '3035949', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035954', '3035949', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035955', '3035949', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035956', '0', 'object/building/military/shared_military_base_shed_rebel_abandoned_01.iff', '0', '0.92388', '0', '0.382683', '-7018', '25', '5378', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035957', '3035956', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035958', '3035956', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035959', '3035956', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035960', '3035956', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035961', '3035956', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035962', '3035956', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035963', '0', 'object/building/military/shared_military_base_shed_rebel_abandoned_01.iff', '0', '0.92388', '0', '0.382683', '-7005', '25', '5391', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035964', '3035963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035965', '3035963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035966', '3035963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035967', '3035963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035968', '3035963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035969', '3035963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035970', '0', 'object/building/military/shared_military_base_shed_rebel_abandoned_01.iff', '0', '0.382683', '0', '0.92388', '-6881.09', '38', '5494.61', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035971', '3035970', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035972', '3035970', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035973', '3035970', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035974', '3035970', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035975', '3035970', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035976', '3035970', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035977', '0', 'object/building/military/shared_military_base_shed_rebel_abandoned_01.iff', '0', '1', '0', '3.20013e-08', '-6791', '46', '5523', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035978', '3035977', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035979', '3035977', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035980', '3035977', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035981', '3035977', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035982', '3035977', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035983', '3035977', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035991', '0', 'object/building/military/shared_military_base_shed_rebel_abandoned_01.iff', '0', '0.707106', '0', '0.707107', '-6678.01', '30', '5560.67', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035992', '3035991', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035993', '3035991', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035994', '3035991', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035995', '3035991', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '4465395', '3035995', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_imperial_assassination_03.iff', '0', '0.893612', '0', '-0.448839', '3.02858', '0.125266', '-0.4472', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035996', '3035991', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3035997', '3035991', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3095511', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.895699', '0', '-0.444661', '-6981.22', '31.9995', '5437.13', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3095512', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.556361', '0', '0.830941', '-6981.9', '31.9995', '5437.36', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3095513', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '-0.108141', '-0.312075', '0.295432', '0.896457', '-6981.5', '32.1892', '5436.88', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3095514', '0', 'object/static/item/shared_item_cloth_patches.iff', '0', '0', '0', '1', '-6980.92', '32.0252', '5440.31', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3095515', '0', 'object/static/item/shared_item_cloth_patches.iff', '0', '0.75128', '0', '-0.659983', '-6982.88', '32.0252', '5445.2', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3095516', '0', 'object/static/item/shared_item_cloth_patches.iff', '0', '0.509841', '0', '0.860269', '-6976.58', '32.0252', '5445.56', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3095517', '0', 'object/static/item/shared_item_chair_metal_wheeled_01.iff', '0.648312', '0.235991', '0.222063', '-0.688976', '-6983.66', '32.4396', '5443.4', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3095518', '0', 'object/static/item/shared_item_chair_metal_wheeled_01.iff', '-0.322395', '0.478763', '-0.458519', '0.675727', '-6977.34', '32.3005', '5443.51', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3095523', '0', 'object/static/item/shared_item_cloth_patches.iff', '0', '0', '0', '1', '-7042.26', '32.0107', '5375.12', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3095524', '0', 'object/static/item/shared_item_cloth_patches.iff', '0', '0.80162', '0', '0.597834', '-7042.02', '32.0107', '5371.67', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3095525', '0', 'object/static/item/shared_item_cloth_patches.iff', '0', '0.710353', '0', '0.703845', '-7044.07', '32.0663', '5379.91', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3095526', '0', 'object/static/item/shared_item_cloth_patches.iff', '0', '-0.636537', '0', '0.771246', '-7041.05', '32.0663', '5383.95', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3095527', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0', '0', '1', '-7046.94', '32.0106', '5379.76', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3095528', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.819192', '0', '0.57352', '-7042.26', '31.9684', '5378.06', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3095529', '0', 'object/static/item/shared_item_container_organic_food.iff', '-0.131305', '0.170494', '0.680971', '-0.699978', '-7048.32', '32.1265', '5378.07', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3095530', '0', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0.387605', '-0.392604', '0.187234', '0.812753', '-7036.92', '32.2949', '5375.72', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '3095537', '0', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '0.867423', '0', '-0.497571', '-6991.06', '31.9601', '5336.19', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '3095538', '0', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '0.999415', '0', '0.0341969', '-6990.52', '32.0379', '5334.64', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '3095539', '0', 'object/static/item/shared_item_chair_metal_wheeled_01.iff', '0.928369', '0', '0', '0.37166', '-6998.53', '32.4843', '5330.68', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3095540', '0', 'object/static/item/shared_item_cloth_patches.iff', '0', '0.761095', '0', '0.64864', '-6931.72', '32.1437', '5397.38', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3095541', '0', 'object/static/item/shared_item_cloth_patches.iff', '0', '0.990327', '0', '0.138755', '-6936.68', '32.007', '5400.35', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3095542', '0', 'object/static/item/shared_item_cloth_patches.iff', '0', '0.912764', '0', '-0.408487', '-6937.79', '32.0683', '5394.36', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3095543', '0', 'object/static/item/shared_item_container_energy_radioactive.iff', '0', '0.991458', '0', '-0.130424', '-6933.75', '31.9987', '5389.91', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3095547', '0', 'object/static/particle/shared_particle_smoke.iff', '0.226199', '0.0284231', '-0.121392', '0.966069', '-6639.9', '38.4404', '5596.78', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '3095548', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0', '0', '0', '1', '-6639.83', '37.9902', '5597.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '3095549', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '-6633.22', '36.9843', '5597.29', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3095550', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.452886', '0', '0.891568', '-6631.61', '37.0237', '5595.33', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3095552', '0', 'object/static/particle/shared_pt_miasma_of_fog_gray.iff', '0', '0', '0', '1', '-6638.64', '37.4206', '5591.7', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '3095560', '0', 'object/static/item/shared_item_cloth_patches.iff', '0', '0.893464', '0', '0.449134', '-6642.27', '37.0309', '5475.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3095561', '0', 'object/static/item/shared_item_cloth_patches.iff', '0', '0.448423', '0', '0.893822', '-6634.69', '37.0202', '5480.82', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3095562', '0', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '0.783327', '0', '0.62161', '-6642.35', '36.9802', '5477.81', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '3095563', '0', 'object/tangible/furniture/all/shared_frn_all_chair_meatal_wheeled_s1.iff', '0', '0.893464', '0', '0.449134', '-6633.43', '37.0133', '5479.55', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '3095564', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.526943', '0', '0.8499', '-6635.7', '36.9813', '5472.87', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3095565', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.881958', '0', '-0.471328', '-6635.26', '36.9813', '5473.73', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3095566', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.439462', '0', '0.898261', '-6635.53', '37.8745', '5473.3', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3095573', '0', 'object/static/creature/shared_droids_r5.iff', '0', '0.356949', '0', '0.934124', '-4262.87', '3', '-2383.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '3226131', '0', 'object/static/installation/shared_mockup_factory_organic_style_1.iff', '0', '0.707106', '0', '0.707107', '-4225', '3', '-2405', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '3226142', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0', '0', '1', '-4219.65', '3', '-2403.21', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3226143', '0', 'object/static/item/shared_item_container_energy_radioactive.iff', '0', '0', '0', '1', '-4219.07', '3.12649', '-2402.61', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3226144', '0', 'object/static/item/shared_item_container_energy_radioactive.iff', '0', '0', '0', '1', '-4219.07', '3.12649', '-2403.84', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3226145', '0', 'object/static/item/shared_item_container_energy_radioactive.iff', '0', '0', '0', '1', '-4220.26', '3.12649', '-2402.59', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3226146', '0', 'object/static/item/shared_item_container_energy_radioactive.iff', '0', '0', '0', '1', '-4220.24', '3.12649', '-2403.83', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3226147', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0', '0', '1', '-4219.65', '3.60083', '-2403.22', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3226148', '0', 'object/static/item/shared_item_container_energy_radioactive.iff', '0', '0', '0', '1', '-4219.07', '3.72733', '-2402.62', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3226149', '0', 'object/static/item/shared_item_container_energy_radioactive.iff', '0', '0', '0', '1', '-4219.07', '3.72733', '-2403.85', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3226150', '0', 'object/static/item/shared_item_container_energy_radioactive.iff', '0', '0', '0', '1', '-4220.26', '3.72733', '-2402.6', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3226151', '0', 'object/static/item/shared_item_container_energy_radioactive.iff', '0', '0', '0', '1', '-4220.24', '3.72733', '-2403.84', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3226154', '0', 'object/building/military/shared_military_outpost_guard_house_imperial.iff', '0', '0.92388', '0', '-0.382683', '-4225', '3', '-2440', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '3226155', '3226154', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '5055354', '3226155', 'object/static/item/shared_item_tapestry_imperial.iff', '0', '-0.707106', '0', '0.707107', '0.857574', '-0.122455', '-1.47717', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3226156', '3226154', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3465523', '0', 'object/static/structure/general/shared_rock_mossy_big_a1.iff', '0.539538', '0.00982821', '-0.375767', '0.753393', '4186.39', '45.3392', '5123.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '3625441', '0', 'object/static/particle/shared_pt_lair_evil_fire_small.iff', '0', '0', '0', '1', '5459.1', '2.03137', '5835.69', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '3625442', '0', 'object/static/particle/shared_pt_flocking_glowzees.iff', '0', '0', '0', '1', '5458.55', '2.02428', '5835.46', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '3735553', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '-5223.37', '-1.23011', '7103.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '3735565', '0', 'object/static/particle/shared_pt_buzzing_insects_large.iff', '0', '0', '0', '1', '-3365.03', '2.47999', '484.475', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '3735569', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.531186', '0', '0.847255', '-923.316', '15.0026', '6908.23', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '3735570', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.531186', '0', '0.847255', '-924.348', '14.9099', '6910.23', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '3735573', '0', 'object/static/particle/shared_pt_lair_evil_fire_small.iff', '0', '0', '0', '1', '-924.071', '15.0084', '6909.01', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '3735576', '0', 'object/static/structure/general/shared_campfire_burnt.iff', '0', '-0.20846', '0', '0.978031', '-924.13', '14.9745', '6908.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '3735581', '0', 'object/static/structure/dantooine/shared_dant_large_mudhut.iff', '0.118059', '0.903025', '0.0535449', '0.409561', '1172.32', '12.7005', '7059.77', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '3735583', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0.0449573', '-0.00157415', '-0.0349574', '0.998376', '1172.39', '12.6025', '7060.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '3735584', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '0.999667', '0', '-0.0257936', '1185.72', '11.228', '7052.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '3735585', '0', 'object/static/structure/dantooine/shared_dant_hide_tanning_s01.iff', '0', '0.819192', '0', '-0.57352', '1176.12', '12.0432', '7059.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '3735586', '0', 'object/static/creature/shared_dantooine_bol.iff', '0.0499792', '0', '0', '0.99875', '1175.35', '13.6975', '7049.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '3735601', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_02.iff', '0', '0', '0', '1', '1174.59', '17.3051', '5754.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '3735609', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0.847099', '0.0102001', '-0.531088', '0.0162694', '-4444.32', '1.38568', '5307.52', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '3735610', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0', '0', '1', '-4440.56', '3.26433', '5290.99', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '3735611', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '-0.227086', '0.0702459', '0.28705', '0.927955', '-4429.88', '2.18912', '5300.36', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '3735616', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '-4976.74', '59.9955', '6367.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '3735624', '0', 'object/static/structure/general/shared_planter_generic_style_4.iff', '0', '0', '0', '1', '-2618.76', '21.9416', '5273.54', '93', '1');
INSERT INTO `staticobjects` VALUES ('1', '3735625', '0', 'object/static/structure/general/shared_planter_generic_style_4.iff', '0', '0', '0', '1', '-2625.4', '21.7469', '5277.46', '93', '1');
INSERT INTO `staticobjects` VALUES ('1', '3975369', '0', 'object/static/creature/shared_dantooine_bol.iff', '0', '0', '0', '1', '1350.81', '22.5755', '5212.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '3975370', '0', 'object/static/creature/shared_dantooine_bol.iff', '0', '0.804599', '0', '-0.593818', '1353.2', '23.2493', '5203.66', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '3975371', '0', 'object/static/creature/shared_dantooine_bol.iff', '0', '0.920751', '0', '-0.390152', '1356.17', '23.5505', '5210.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '3975372', '0', 'object/static/creature/shared_dantooine_bol.iff', '0', '0.305059', '0', '0.952334', '1361.26', '24.0222', '5205.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '3975376', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_02.iff', '0', '0', '0', '1', '2063.89', '7.37105', '5306.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '3975379', '0', 'object/static/structure/dantooine/shared_dant_fish_rack.iff', '0', '0', '0', '1', '1507.41', '1.77118', '4657.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '3975381', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '1506.45', '-1.95551', '4661.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '3975386', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '1021.48', '20.158', '4360.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '3975393', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '-1820.4', '5.19836', '3795.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '4465384', '0', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_imperial_rescue_02.iff', '0.0243987', '-0.232358', '-0.0522958', '0.970917', '-7064.63', '1.81244', '-3326.07', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '4465385', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0.032613', '-0.00147785', '-0.0452443', '0.998442', '-7064.89', '1.76014', '-3324.88', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4775990', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0.999958', '0', '0', '-0.00920352', '-4248.73', '6.8806', '-2364.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '4775991', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0.999941', '0.00998935', '-0.000457796', '-0.00420341', '-4209.34', '6.88255', '-2365.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '4775992', '0', 'object/static/item/shared_item_briefcase.iff', '0', '0.710353', '0', '0.703845', '-4213.28', '3', '-2393.99', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4775993', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '1', '0', '3.20013e-08', '-4212.36', '3', '-2393.01', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4775994', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '1', '0', '3.20013e-08', '-4212.03', '3', '-2393.02', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4775995', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '1', '0', '3.20013e-08', '-4211.69', '3', '-2393', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4775996', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '1', '0', '0', '-4212.33', '3', '-2393.38', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4775997', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '1', '0', '0', '-4212', '3', '-2393.39', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4775998', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '1', '0', '0', '-4211.66', '3', '-2393.37', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4775999', '0', 'object/static/item/shared_item_container_inorganic_gas.iff', '0', '0', '0', '1', '-4212.28', '3', '-2393.98', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4776000', '0', 'object/static/item/shared_item_container_inorganic_gas.iff', '0', '0', '0', '1', '-4211.67', '3', '-2393.98', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4776001', '0', 'object/static/item/shared_item_container_organic_hide.iff', '0', '-0.696135', '0', '0.717911', '-4202.63', '3', '-2355.53', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4776002', '0', 'object/static/item/shared_item_container_organic_hide.iff', '0', '-0.696135', '0', '0.717911', '-4202.6', '3.4111', '-2355.51', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4776003', '0', 'object/static/item/shared_item_container_organic_structure.iff', '0', '0', '0', '1', '-4202.44', '3', '-2359.83', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4776004', '0', 'object/static/item/shared_item_container_organic_structure.iff', '0', '0', '0', '1', '-4203.06', '3', '-2354.8', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4776005', '0', 'object/static/item/shared_item_container_organic_structure.iff', '0', '0', '0', '1', '-4202.37', '3', '-2359.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4776006', '0', 'object/static/item/shared_item_container_organic_structure.iff', '0', '0', '0', '1', '-4203.43', '3', '-2355.54', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4776007', '0', 'object/tangible/furniture/all/shared_frn_all_toolchest_med_s01.iff', '0', '-0.688922', '0', '0.724836', '-4258.21', '3.038', '-2384.32', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '4776010', '0', 'object/static/item/shared_item_tool_computer_toolkit.iff', '0', '-0.518418', '0', '0.855127', '-4258.36', '4.04355', '-2384.16', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4776011', '0', 'object/static/item/shared_item_tool_demagnetizer.iff', '0', '0', '0', '1', '-4259.2', '3', '-2382.5', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4776012', '0', 'object/static/item/shared_item_tool_instrument_calibrator.iff', '0', '0.877201', '0', '-0.480124', '-4258.75', '3', '-2382.8', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885423', '0', 'object/building/military/shared_small_imperial_cloning_facility_s02.iff', '0', '0', '0', '1', '-4243', '3', '-2430', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885424', '4885423', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885425', '4885423', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885426', '4885423', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885427', '4885423', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885451', '4885427', 'object/static/item/shared_item_diagnostic_screen.iff', '-0.530101', '0.471423', '0.53596', '0.457711', '6.09406', '1.39018', '-0.3923', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885453', '4885427', 'object/tangible/furniture/technical/shared_end_table_s01.iff', '0', '-0.13459', '0', '0.990901', '2.57894', '0.125266', '-0.524763', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885454', '4885427', 'object/static/item/shared_item_decryptor_imperial.iff', '0', '-0.651834', '0', '0.758362', '2.64194', '0.504739', '-0.771143', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885457', '4885427', 'object/static/item/shared_item_medic_bag.iff', '0', '0.696135', '0', '0.717911', '2.06554', '0.85259', '0.0725567', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885458', '4885427', 'object/static/item/shared_item_medic_stimpack.iff', '0', '0', '0', '1', '2.48313', '0.504739', '-0.442617', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885459', '4885427', 'object/static/item/shared_item_medic_stimpack.iff', '0', '0', '0', '1', '2.2729', '0.504739', '-0.465962', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885460', '4885427', 'object/static/item/shared_item_medic_stimpack.iff', '0', '0', '0', '1', '2.37613', '0.504739', '-0.446712', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885461', '4885427', 'object/static/item/shared_item_medical_console.iff', '0', '0.999942', '0', '-0.0107961', '3.26381', '0.85259', '4.7132', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885462', '4885427', 'object/static/item/shared_item_tool_hydrospanner.iff', '0.613572', '0.390123', '-0.378893', '0.572515', '2.48122', '0.536362', '-0.569026', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885428', '4885423', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885463', '4885428', 'object/tangible/furniture/technical/shared_end_table_s01.iff', '0', '0.963983', '0', '0.265964', '2.33409', '0.125266', '-2.34369', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885464', '4885428', 'object/static/item/shared_item_decryptor_imperial.iff', '0', '0.664327', '0', '0.747442', '2.20787', '0.504739', '-2.12279', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885465', '4885428', 'object/static/item/shared_item_medic_stimpack.iff', '0', '0.991008', '0', '0.133801', '2.43421', '0.504739', '-2.4324', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885466', '4885428', 'object/static/item/shared_item_medic_stimpack.iff', '0', '0.991008', '0', '0.133801', '2.63076', '0.504739', '-2.35392', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885467', '4885428', 'object/static/item/shared_item_medic_stimpack.iff', '0', '0.991008', '0', '0.133801', '2.53606', '0.504739', '-2.4', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885468', '4885428', 'object/static/item/shared_item_tool_hydrospanner.iff', '0.457583', '0.619566', '0.557359', '-0.310012', '2.15232', '0.595233', '-2.44999', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885429', '4885423', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885470', '4885429', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '0', '0', '1', '-2.37722', '0.125266', '-1.2534', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885471', '4885429', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '0', '0', '1', '-2.35043', '0.125266', '-1.88455', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885472', '4885429', 'object/static/item/shared_item_medic_bag.iff', '0', '-0.696135', '0', '0.717911', '-2.06948', '1.54829', '-2.49314', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885473', '4885429', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '0.352274', '0', '0.935897', '-4.5657', '0.125266', '-5.73115', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885474', '4885429', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '1', '0', '-3.20013e-08', '-4.8968', '0.884212', '0.1101', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885475', '4885429', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '1', '0', '-3.20013e-08', '-3.10727', '0.884212', '0.10742', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885476', '4885429', 'object/static/item/shared_item_medic_stimpack.iff', '0', '1', '0', '3.20013e-08', '-5.05074', '1.04233', '-0.549573', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885477', '4885429', 'object/static/item/shared_item_medic_stimpack.iff', '0', '1', '0', '3.20013e-08', '-5.12227', '1.04233', '-0.566422', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885478', '4885429', 'object/static/item/shared_item_medic_stimpack.iff', '0', '1', '0', '3.20013e-08', '-5.21338', '1.04233', '-0.551171', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885479', '4885429', 'object/static/item/shared_item_medic_stimpack.iff', '0', '1', '0', '3.20013e-08', '-5.28382', '1.04233', '-0.556899', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845945', '4885429', 'object/static/particle/shared_particle_newbie_refrigerator_steam.iff', '0.858479', '0.378719', '-0.343185', '-0.0425507', '-3.11172', '0.824426', '-0.629239', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885431', '0', 'object/static/structure/general/shared_data_terminal_wall_s2.iff', '0', '1', '0', '3.20013e-08', '-4223.83', '3', '-2408.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885433', '0', 'object/static/item/shared_item_diagnostic_screen.iff', '0.854714', '0', '0', '-0.519099', '-4223.34', '4.47933', '-2407.73', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885434', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '-4198.05', '3', '-2424.29', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885435', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '-4198.07', '3', '-2423.8', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885480', '0', 'object/static/item/shared_item_briefcase.iff', '0', '0.470626', '0', '0.882333', '-635.607', '3', '2508.04', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885481', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.609159', '0', '0.793048', '-628.059', '3', '2529.94', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885482', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.609159', '0', '0.793048', '-627.647', '3', '2529.79', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885483', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.609159', '0', '0.793048', '-628.462', '3', '2530.05', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885484', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.609159', '0', '0.793048', '-627.85', '3.31623', '2529.87', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885485', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.609159', '0', '0.793048', '-628.264', '3.31623', '2529.98', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885486', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.786425', '0', '0.617686', '-629.038', '3', '2533.71', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885487', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.786425', '0', '0.617686', '-628.9', '3', '2534.2', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885488', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.786425', '0', '0.617686', '-629.102', '3', '2533.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885489', '0', 'object/static/item/shared_item_container_inorganic_chemicals.iff', '0', '0.0848977', '0', '0.99639', '-576.819', '3', '2501.21', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885490', '0', 'object/static/item/shared_item_container_inorganic_chemicals.iff', '0', '0.0848977', '0', '0.99639', '-576.184', '3', '2501.11', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885491', '0', 'object/static/item/shared_item_container_inorganic_chemicals.iff', '0', '0.0848977', '0', '0.99639', '-575.534', '3', '2501', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885492', '0', 'object/static/item/shared_item_container_inorganic_chemicals.iff', '0', '-0.644218', '0', '0.764842', '-576.192', '3.34785', '2501.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885493', '0', 'object/static/item/shared_item_briefcase.iff', '0', '-0.636537', '0', '0.771246', '-577.13', '3', '2501.67', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885495', '0', 'object/static/item/shared_item_tool_droid_toolkit.iff', '0', '-0.655617', '0', '0.755093', '-574.866', '3', '2501.14', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885496', '0', 'object/static/structure/general/shared_data_terminal_s1.iff', '0', '0.92388', '0', '0.382683', '-623.071', '3.28461', '2452.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885497', '0', 'object/static/item/shared_item_tool_droid_toolkit.iff', '0', '0.998152', '0', '-0.0607589', '-621.18', '3', '2452.87', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885498', '0', 'object/static/item/shared_item_tool_instrument_calibrator.iff', '0', '0.314566', '0', '0.949235', '-622.606', '3.6957', '2449.22', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885499', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.333487', '0', '0.942755', '-622.804', '3', '2449.32', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885500', '0', 'object/static/item/shared_item_tool_sensor_beacon.iff', '0', '-0.40319', '0', '0.915116', '-623.203', '3', '2449.79', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885501', '0', 'object/static/item/shared_item_tool_power_output_analyzer.iff', '0', '0.881958', '0', '-0.471328', '-619.293', '3.66408', '2451.87', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885502', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.333487', '0', '0.942755', '-619.122', '3', '2451.93', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885511', '0', 'object/static/item/shared_item_container_energy_radioactive.iff', '0', '0', '0', '1', '1599.21', '4', '-6419.37', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885512', '0', 'object/static/item/shared_item_container_energy_radioactive.iff', '0', '0', '0', '1', '1598.12', '4', '-6419.37', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885513', '0', 'object/static/item/shared_item_container_energy_radioactive.iff', '0', '0', '0', '1', '1596.88', '4', '-6419.39', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885514', '0', 'object/static/item/shared_item_container_organic_hide.iff', '0', '0', '0', '1', '1595.14', '4', '-6417.59', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885515', '0', 'object/static/item/shared_item_container_organic_hide.iff', '0', '0', '0', '1', '1595.1', '4', '-6416.85', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '4885516', '0', 'object/static/item/shared_item_container_organic_hide.iff', '0', '0', '0', '1', '1595.12', '4.34785', '-6417.25', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '5055356', '0', 'object/tangible/furniture/all/shared_frn_all_chair_meatal_wheeled_s1.iff', '0', '0.918788', '0', '0.394751', '-4218.17', '9.99119', '-2439.89', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '5055357', '0', 'object/tangible/furniture/all/shared_frn_all_chair_meatal_wheeled_s1.iff', '0', '0.920751', '0', '0.390152', '-4220.9', '9.98674', '-2442.81', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '5055358', '0', 'object/tangible/furniture/all/shared_frn_all_chair_meatal_wheeled_s1.iff', '0', '0.999942', '0', '-0.0107962', '-4225.14', '9.97821', '-2445.65', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '5055359', '0', 'object/tangible/furniture/all/shared_frn_all_chair_meatal_wheeled_s1.iff', '0', '0.92269', '0', '-0.385543', '-4229.03', '9.99034', '-2442.67', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '5055360', '0', 'object/tangible/furniture/all/shared_frn_all_chair_meatal_wheeled_s1.iff', '0', '0.926499', '0', '-0.376297', '-4231.68', '9.97744', '-2440', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '5055361', '0', 'object/tangible/furniture/all/shared_frn_all_data_terminal_wall_s1.iff', '-0.134185', '-0.376199', '-0.0535952', '0.915203', '-4217.77', '9.46751', '-2440.18', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '5055362', '0', 'object/tangible/furniture/all/shared_frn_all_data_terminal_wall_s1.iff', '-0.218898', '0.344718', '0.0847604', '0.908883', '-4231.92', '9.64229', '-2440.31', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '5055363', '0', 'object/tangible/furniture/all/shared_frn_all_data_terminal_wall_s2.iff', '-0.213347', '0', '0', '0.976976', '-4224.43', '9.45768', '-2446.2', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '5055365', '0', 'object/tangible/furniture/all/shared_frn_all_data_terminal_free_s1.iff', '0', '0.20846', '0', '0.978031', '-4226.44', '9.91358', '-2447.21', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '5055367', '0', 'object/tangible/furniture/all/shared_frn_all_data_terminal_free_s2.iff', '0', '0.92269', '0', '-0.385543', '-4219.16', '9.97364', '-2436.69', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '5055369', '0', 'object/tangible/furniture/imperial/shared_table_s1.iff', '0', '0.924606', '0', '-0.380925', '-4226.34', '9.98503', '-2438.87', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '5055371', '0', 'object/tangible/terminal/shared_terminal_mission_imperial.iff', '0', '0.92269', '0', '-0.385543', '-4221.5', '9.99528', '-2434.53', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '5055373', '0', 'object/static/item/shared_item_diagnostic_screen.iff', '0', '0.841471', '0', '-0.540302', '-4226.28', '10.7501', '-2439.47', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '5055374', '0', 'object/static/item/shared_item_diagnostic_screen.iff', '0', '0.996322', '0', '-0.0856912', '-4226.91', '10.7501', '-2438.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '5055380', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '-0.380188', '0', '0.924909', '-4224.96', '9.89004', '-2440.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '5055393', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0', '0', '1', '-4239.09', '3', '-2388', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '5055396', '0', 'object/tangible/terminal/shared_terminal_mission_imperial.iff', '0', '0.712164', '0', '-0.702013', '-4196.54', '3', '-2410.16', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '5055400', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.939099', '0', '-0.343646', '-4208.26', '3', '-2374.47', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '5055402', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '-0.356949', '0', '0.934124', '-4248.25', '3', '-2371.79', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '5055404', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.356949', '0', '0.934124', '-4248.17', '3.12649', '-2370.85', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '5055405', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.356949', '0', '0.934124', '-4247.3', '3.12649', '-2371.8', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '5055406', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.356949', '0', '0.934124', '-4248.28', '3.12649', '-2372.66', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '5055407', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.356949', '0', '0.934124', '-4249.14', '3.12649', '-2371.75', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '5055413', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '-0.356949', '0', '0.934124', '-4248.27', '4.04356', '-2371.81', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '5055414', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.356949', '0', '0.934124', '-4248.18', '4.17005', '-2370.87', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '5055415', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.356949', '0', '0.934124', '-4247.31', '4.17005', '-2371.82', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '5055416', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.356949', '0', '0.934124', '-4248.29', '4.17005', '-2372.68', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '5055417', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.356949', '0', '0.934124', '-4249.15', '4.17005', '-2371.76', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '5055418', '0', 'object/static/structure/corellia/shared_corl_power_box_node.iff', '0', '-0.707107', '0', '0.707107', '-4260.18', '3', '-2379.21', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '5055419', '0', 'object/static/structure/corellia/shared_corl_power_box_node.iff', '0', '-0.707106', '0', '0.707107', '-4189.71', '3', '-2379.08', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '5055534', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.706825', '0', '0.707388', '-4198.63', '3', '-2427.88', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '5055535', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.70328', '0', '0.710913', '-4198.39', '3.31623', '-2427.89', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '5055536', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.710353', '0', '-0.703845', '-4198.15', '3', '-2427.87', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '5685485', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.104807', '0', '0.994493', '-597.627', '3', '2526.49', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '5685486', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.720831', '0', '-0.693111', '-598.54', '3', '2526.11', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '5685487', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.159318', '0', '0.987227', '-598.079', '3.6957', '2526.24', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '5685488', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.124675', '0', '0.992198', '-600.493', '3', '2530.73', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '5685489', '0', 'object/static/item/shared_wp_rifle_t21_combined.iff', '0.684198', '-0.165477', '0.0855512', '-0.705104', '-599.042', '3.34785', '2526.28', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '5685490', '0', 'object/static/item/shared_wp_mle_axe_vibroax.iff', '-0.462715', '-0.0793137', '0.852704', '0.229132', '-600.403', '3.50597', '2529.52', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '5685491', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0.126946', '0.826662', '0.206684', '-0.507737', '-599.794', '3.03162', '2531.91', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '5685492', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.945784', '0', '-0.324796', '-598.789', '3', '2486.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '5685493', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '-0.548024', '0', '0.836463', '-598.348', '3', '2486.96', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '5685494', '0', 'object/static/item/shared_item_container_organic_food.iff', '-0.375799', '-0.363381', '0.601565', '0.604027', '-598.798', '3.15811', '2487.69', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '5685495', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.466208', '0', '0.884675', '-596.663', '3', '2482.6', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '5685496', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.560509', '0', '0.828148', '-597.123', '3', '2482.76', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '5685497', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0.198371', '0.761676', '0.285459', '-0.54682', '-596.371', '3.06325', '2482.05', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '5685498', '0', 'object/static/item/shared_item_container_organic_structure.iff', '0', '0', '0', '1', '-614.19', '3', '2477.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '5685499', '0', 'object/static/item/shared_item_container_organic_structure.iff', '0', '0.439462', '0', '0.898261', '-613.489', '3', '2478.16', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '5685500', '0', 'object/static/item/shared_item_container_organic_structure.iff', '0', '-0.644217', '0', '0.764842', '-617.113', '3', '2474.69', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '5685501', '0', 'object/static/item/shared_item_crate_clothing_small.iff', '0', '0.955101', '0', '0.296281', '-638.863', '3', '2454.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '5685502', '0', 'object/static/item/shared_item_crate_clothing_small.iff', '0', '0.470626', '0', '0.882333', '-639.303', '3', '2453.72', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '5685503', '0', 'object/static/item/shared_item_crate_clothing_small.iff', '0', '0.8772', '0', '0.480124', '-639.06', '3.75895', '2453.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '5685504', '0', 'object/static/item/shared_armor_composite_helmet.iff', '0', '-0.636537', '0', '0.771246', '-637.679', '1.76671', '2455.96', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '5685505', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.305059', '0', '0.952334', '-637.598', '3', '2455.9', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '5685506', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '0', '0', '1', '-597.612', '3', '2483.89', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '5685507', '0', 'object/static/item/shared_item_crate_clothing_small.iff', '0', '0.0998334', '0', '0.995004', '1553.89', '4', '-6366.25', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '5685508', '0', 'object/static/item/shared_item_crate_clothing_small.iff', '0', '-0.15438', '0', '0.988012', '1553.14', '4', '-6366.32', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '5685509', '0', 'object/static/item/shared_item_crate_clothing_small.iff', '0.253234', '0.258144', '0.665555', '0.652895', '1554.96', '4.25298', '-6367.73', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '5685510', '0', 'object/static/item/shared_item_food_muffins.iff', '0', '0', '0', '1', '1591.84', '4.94869', '-6369.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '5685511', '0', 'object/static/item/shared_item_food_assorted_fruit.iff', '0', '0', '0', '1', '1592.07', '4.91706', '-6368.77', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '5685512', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.950549', '0', '-0.310574', '1588.99', '4', '-6368.49', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '5685513', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.556361', '0', '0.830941', '1589.42', '4', '-6369.03', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '5685514', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0', '0', '1', '1588.85', '4', '-6368.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '5685515', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.988134', '0', '0.153593', '1593.95', '4', '-6368.38', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '5685516', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '1593.92', '4', '-6368.94', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '5685517', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.247404', '0', '0.968912', '1594.49', '4', '-6368.31', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '5685518', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.242556', '0', '0.970137', '1594.36', '4', '-6368.76', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '5685519', '0', 'object/static/item/shared_item_container_organic_structure.iff', '0', '-0.564642', '0', '0.825336', '1618.33', '4', '-6366.38', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '5685520', '0', 'object/static/item/shared_item_container_organic_structure.iff', '0', '-0.198669', '0', '0.980067', '1618.44', '4', '-6365.52', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '5685521', '0', 'object/static/item/shared_item_container_organic_structure.iff', '0', '0.281157', '0', '0.959662', '1622.09', '4', '-6366.11', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '5685522', '0', 'object/static/item/shared_item_chair_tato_cafe_s02.iff', '-0.374866', '-0.319478', '0.662376', '0.564507', '1622.19', '4.28461', '-6366.82', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '5685523', '0', 'object/static/item/shared_wp_rifle_laser_combined.iff', '-0.486821', '0.502766', '-0.487475', '0.522111', '1602.54', '4.63246', '-6425.64', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '5685524', '0', 'object/static/item/shared_wp_rifle_laser_combined.iff', '0.711726', '0.109708', '-0.114164', '-0.684381', '1603.48', '4.25298', '-6421.36', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '5685525', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.242556', '0', '0.970137', '1603.06', '4', '-6425.48', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '5685526', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.568762', '0', '0.822502', '1602.39', '4', '-6425.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '5685527', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.203567', '0', '0.979061', '1602.69', '4.29986', '-6425.66', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '5685528', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.475032', '0', '0.879969', '1603.62', '4', '-6420.62', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '6045480', '0', 'object/tangible/jedi/shared_force_shrine_stone.iff', '0', '0.707107', '0', '0.707107', '-6173.19', '34.0926', '4117.08', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '6045481', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0.707099', '0', '0.707114', '-6177.61', '35.1257', '4115.48', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '6045482', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0', '0', '1', '-6168.93', '35.1257', '4115.52', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '6045483', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '1', '0', '0', '-6174.16', '35.1257', '4115.47', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '6045484', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '0', '0', '1', '-6172.36', '35.1157', '4115.42', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '6045485', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_altar.iff', '0', '0', '0', '1', '-6173.25', '17.1721', '4115.48', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '6045486', '0', 'object/static/particle/shared_pt_poi_electricity_2x2.iff', '0', '0', '0', '1', '-6173.19', '34.9393', '4117.07', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '6045494', '0', 'object/tangible/jedi/shared_force_shrine_stone.iff', '0', '0.707107', '0', '0.707107', '2163.62', '160.031', '7545.13', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '6045495', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0.707099', '0', '0.707114', '2159.2', '161.354', '7543.53', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '6045496', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0', '0', '1', '2167.89', '161.364', '7543.56', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '6045497', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '1', '0', '0', '2162.66', '161.353', '7543.52', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '6045498', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '0', '0', '1', '2164.45', '161.343', '7543.47', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '6045499', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_altar.iff', '0', '0', '0', '1', '2163.57', '143.399', '7543.53', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '6045500', '0', 'object/static/particle/shared_pt_poi_electricity_2x2.iff', '0', '0', '0', '1', '2163.63', '161.479', '7545.12', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '6045501', '0', 'object/tangible/jedi/shared_force_shrine_stone.iff', '0', '0.707107', '0', '0.707107', '2640.77', '11.222', '-1539.78', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '6045502', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0.707101', '0', '0.707112', '2636.34', '11.2255', '-1541.38', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '6045503', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0', '0', '1', '2645.03', '11.2255', '-1541.34', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '6045504', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '1', '0', '0', '2639.8', '11.2255', '-1541.39', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '6045505', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '0', '0', '1', '2641.59', '11.2155', '-1541.44', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '6045506', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_altar.iff', '0', '0', '0', '1', '2640.71', '-6.72808', '-1541.38', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '6045507', '0', 'object/static/particle/shared_pt_poi_electricity_2x2.iff', '0', '0', '0', '1', '2640.77', '11.2255', '-1539.78', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '6045508', '0', 'object/tangible/jedi/shared_force_shrine_stone.iff', '0', '0.707107', '0', '0.707107', '-1814.18', '8.78892', '-6205.1', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '6045509', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0.7071', '0', '0.707113', '-1818.6', '9.67744', '-6206.69', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '6045510', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0', '0', '1', '-1809.92', '9.67744', '-6206.66', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '6045511', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '1', '0', '0', '-1815.15', '9.67744', '-6206.71', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '6045512', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '0', '0', '1', '-1813.36', '9.66743', '-6206.75', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '6045513', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_altar.iff', '0', '0', '0', '1', '-1814.24', '-8.27617', '-6206.69', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '6045514', '0', 'object/static/particle/shared_pt_poi_electricity_2x2.iff', '0', '0', '0', '1', '-1814.18', '9.83556', '-6205.1', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '6045522', '0', 'object/tangible/jedi/shared_force_shrine_stone.iff', '0', '0.707107', '0', '0.707107', '-6999.36', '11.2938', '-5272.79', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '6045523', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0.707098', '0', '0.707115', '-7003.79', '12.2222', '-5274.39', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '6045524', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0', '0', '1', '-6995.1', '12.2222', '-5274.35', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '6045525', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '1', '0', '0', '-7000.33', '12.2222', '-5274.4', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '6045526', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '0', '0', '1', '-6998.54', '12.2122', '-5274.45', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '6045527', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_altar.iff', '0', '0', '0', '1', '-6999.42', '-5.73137', '-5274.39', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '6045528', '0', 'object/static/particle/shared_pt_poi_electricity_2x2.iff', '0', '0', '0', '1', '-6999.36', '13.1588', '-5272.79', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205390', '0', 'object/static/structure/dantooine/shared_dant_cooking_stone.iff', '0', '0.66687', '0', '0.745174', '-7176.79', '3', '-939.811', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205391', '0', 'object/static/structure/dantooine/shared_dant_hide_tanning_s01.iff', '0', '-0.466209', '0', '0.884675', '-7165.95', '3', '-930.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205392', '0', 'object/static/structure/dantooine/shared_dant_skull_thune.iff', '0', '0.483807', '0', '0.875175', '-7189.73', '3', '-934.473', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205393', '0', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '-7164.78', '3', '-941.247', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205394', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '0.893464', '0', '0.449134', '-7165.74', '3', '-941.188', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205395', '0', 'object/static/item/shared_item_basket_shallow.iff', '0', '0', '0', '1', '-7184.86', '3', '-943.403', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205396', '0', 'object/static/item/shared_item_fruit_melon.iff', '0', '0', '0', '1', '-7184.76', '3.03162', '-943.424', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205397', '0', 'object/static/item/shared_item_fruit_melon.iff', '0', '0', '0', '1', '-7184.93', '3.03162', '-943.539', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205398', '0', 'object/static/item/shared_item_fruit_melon.iff', '0', '0', '0', '1', '-7184.91', '3.03162', '-943.356', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205399', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '0.994409', '0', '0.105599', '-7202.57', '3', '-911.725', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205400', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '-0.613117', '0', '0.789992', '-7198.97', '3', '-915.855', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205401', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.934408', '0', '0', '-0.356205', '-7202.39', '3', '-919.431', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205402', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.139139', '0.728284', '-0.155228', '0.652799', '-7204.45', '3', '-916.174', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205403', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '-0.104649', '0.705848', '-0.106678', '-0.692421', '-7209.53', '3', '-915.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205404', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.430458', '0', '0', '0.902611', '-7202.91', '3', '-923.725', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205405', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.30923', '0.595182', '0.265792', '-0.692452', '-7212.53', '3', '-920.358', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205406', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '-0.560509', '0', '0.828149', '-7207.4', '3', '-926.839', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205407', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.980893', '0', '0', '0.194548', '-7211.78', '3', '-924.665', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205408', '0', 'object/static/item/shared_item_basket_shallow.iff', '0.416871', '0', '0', '0.908966', '-7142.45', '3.34232', '-916.986', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205409', '0', 'object/static/item/shared_item_con_tato_bowl_full_s01.iff', '0', '0', '0', '1', '-7141.87', '3', '-915.829', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205410', '0', 'object/static/item/shared_item_con_tato_bowl_full_s02.iff', '0', '0', '0', '1', '-7139.63', '3', '-914.769', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205411', '0', 'object/static/structure/dantooine/shared_dant_hide_tanning_s02.iff', '0', '0.884303', '0', '-0.466913', '-7149.16', '3', '-891.368', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205412', '0', 'object/static/structure/dantooine/shared_dant_hide_tanning_s01.iff', '0', '0.727726', '0', '-0.685868', '-7147.37', '3', '-897.145', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205413', '0', 'object/static/item/shared_item_basket_frame.iff', '0', '0', '0', '1', '-7128.81', '3', '-885.511', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205414', '0', 'object/static/item/shared_item_basket_shallow.iff', '0', '0', '0', '1', '-7128.89', '3.66408', '-885.553', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205415', '0', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '-7128.03', '3', '-886.211', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205416', '0', 'object/static/item/shared_item_bowl_plain.iff', '0', '0', '0', '1', '-7129.59', '3', '-884.754', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205417', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.470626', '0', '0', '0.882333', '-7137.23', '3', '-885.661', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205418', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0.786425', '0', '0.617686', '-7141.89', '3', '-891.828', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205419', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.710353', '0', '0', '0.703845', '-7135.08', '3', '-895.989', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205420', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '-0.597166', '-0.00597185', '0.0160408', '0.801935', '-7131.09', '3', '-889.842', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205421', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '0.994409', '0', '-0.105599', '-7143.63', '3', '-857.462', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205422', '0', 'object/static/item/shared_item_fruit_melon.iff', '0', '0', '0', '1', '-7143.57', '3', '-858.055', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205423', '0', 'object/static/item/shared_item_fruit_melon.iff', '0', '0', '0', '1', '-7143.75', '3', '-857.917', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205424', '0', 'object/static/item/shared_item_fruit_melon.iff', '0', '0', '0', '1', '-7143.29', '3', '-858.285', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205425', '0', 'object/static/item/shared_item_basket_shallow.iff', '-0.0544344', '-0.501639', '0.533441', '0.678849', '-7143.39', '3.50597', '-856.182', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205426', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.989621', '0', '0.143704', '-7176.22', '3', '-826.301', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205427', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '-0.144493', '0', '0.989506', '-7173.32', '3', '-833.745', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205428', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.827702', '0', '-0.561168', '-7178.63', '3', '-831.292', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205429', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.556361', '0', '0.830941', '-7170.9', '3', '-828.898', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205430', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '0.942489', '0', '-0.334238', '-7183.31', '3', '-841.697', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205431', '0', 'object/static/item/shared_item_basket_frame.iff', '0', '0', '0', '1', '-7182.41', '3', '-842.632', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205433', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '-0.281157', '0', '0.959662', '-7178.48', '2.5889', '-828.345', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205434', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.461779', '0', '0.886995', '-7177.85', '2.5889', '-829.811', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205435', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '-0.300293', '0', '0.953847', '-7177.59', '2.5889', '-830.755', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205436', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '-0.425939', '0', '0.904752', '-7177.09', '2.5889', '-832.087', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205437', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.314567', '0', '0.949235', '-7176.63', '2.5889', '-833.317', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205438', '0', 'object/static/flora/shared_potted_plant_leaves_fern.iff', '0', '0', '0', '1', '-7176.07', '2.36754', '-827.425', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205439', '0', 'object/static/flora/shared_potted_plant_leaves_fern.iff', '0', '0', '0', '1', '-7175.6', '2.36754', '-829.008', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205440', '0', 'object/static/flora/shared_potted_plant_leaves_fern.iff', '0', '0', '0', '1', '-7175.03', '2.36754', '-830.156', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205441', '0', 'object/static/flora/shared_potted_plant_leaves_fern.iff', '0', '0', '0', '1', '-7174.58', '2.36754', '-831.627', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205442', '0', 'object/static/flora/shared_potted_plant_leaves_fern.iff', '0', '0', '0', '1', '-7174.17', '2.36754', '-833.082', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205443', '0', 'object/static/flora/shared_potted_plant_leaves_small.iff', '0', '0', '0', '1', '-7173.88', '2.50455', '-826.568', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205444', '0', 'object/static/flora/shared_potted_plant_leaves_small.iff', '0', '0', '0', '1', '-7173.23', '2.50455', '-828.354', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205445', '0', 'object/static/flora/shared_potted_plant_leaves_small.iff', '0', '0', '0', '1', '-7172.6', '2.50455', '-829.787', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205446', '0', 'object/static/flora/shared_potted_plant_leaves_small.iff', '0', '0', '0', '1', '-7172.25', '2.50455', '-831.006', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205447', '0', 'object/static/flora/shared_potted_plant_leaves_small.iff', '0', '0', '0', '1', '-7171.67', '2.50455', '-832.481', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205448', '0', 'object/static/item/shared_item_basket_shallow.iff', '0', '0', '0', '1', '-7242.11', '3', '-861.089', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205449', '0', 'object/static/item/shared_item_basket_shallow.iff', '0', '0', '0', '1', '-7240.9', '3', '-862.44', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205450', '0', 'object/static/item/shared_item_fruit_melon.iff', '0', '0', '0', '1', '-7242.13', '3.03162', '-860.943', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205451', '0', 'object/static/item/shared_item_fruit_melon.iff', '0', '0', '0', '1', '-7241.97', '3.03162', '-861.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205452', '0', 'object/static/item/shared_item_fruit_melon.iff', '0', '0', '0', '1', '-7242.14', '3.03162', '-861.138', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205453', '0', 'object/static/item/shared_item_meat_hunk.iff', '0', '-0.412321', '0', '0.911039', '-7240.74', '3.06325', '-862.366', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205454', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0.798621', '0', '0.601835', '-7216.18', '3', '-877.612', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205455', '0', 'object/static/structure/dantooine/shared_dant_hide_tanning_s01.iff', '0', '0.561827', '0', '0.827255', '-7225.4', '3', '-892.827', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205456', '0', 'object/static/structure/dantooine/shared_dant_fish_rack.iff', '0', '0.00999988', '0', '0.99995', '-7235.44', '3', '-888.966', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205457', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '0.833272', '0', '0.552863', '5537.96', '0.170511', '-676.279', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205458', '0', 'object/static/item/shared_item_basket_shallow.iff', '0', '0', '0', '1', '5537.41', '0.167165', '-674.852', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205459', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '-0.443948', '0', '0.896052', '5510.75', '0.422073', '-696.147', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205460', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0.539632', '0', '0.841901', '5511.33', '0.440354', '-697.211', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205461', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0.928369', '0', '-0.37166', '5512.45', '0.382511', '-697.062', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205462', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0.247404', '0', '0.968912', '5512.74', '0.324079', '-695.707', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205463', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0.461779', '0', '0.886995', '5511.57', '0.357403', '-695.342', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205464', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '0', '0', '1', '5550.84', '0.147477', '-699.152', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205465', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '0.724287', '0', '0.689498', '5551.58', '0.153159', '-699.991', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205466', '0', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '5550.79', '0.205777', '-703.615', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205467', '0', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '5550.66', '0.208356', '-704.071', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205472', '0', 'object/static/item/shared_item_basket_shallow.iff', '0.885532', '-0.399655', '0.213864', '-0.101843', '5513.49', '10.9874', '-671.269', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205473', '0', 'object/static/item/shared_item_basket_shallow.iff', '0', '0', '0', '1', '5515.82', '10.1281', '-671.883', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205474', '0', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '5514.36', '10.4288', '-672.372', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205475', '0', 'object/static/item/shared_item_bowl_plain.iff', '0', '0', '0', '1', '5512.7', '10.4587', '-670.319', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205476', '0', 'object/static/item/shared_item_bowl_plain.iff', '0', '0', '0', '1', '5547.03', '0.161709', '-642.619', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205477', '0', 'object/static/item/shared_item_bowl_shallow.iff', '0', '0', '0', '1', '5546.96', '0.16098', '-643.87', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205478', '0', 'object/static/item/shared_item_basket_frame.iff', '0', '0', '0', '1', '5545.06', '0.181474', '-641.697', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205479', '0', 'object/static/item/shared_item_fruit_melon.iff', '0', '0', '0', '1', '5546.98', '0.192261', '-643.683', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205480', '0', 'object/static/item/shared_item_fruit_melon.iff', '0', '0', '0', '1', '5547.09', '0.191114', '-643.989', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205481', '0', 'object/static/item/shared_item_fruit_melon.iff', '0', '0', '0', '1', '5546.88', '0.191919', '-643.954', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205482', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0.819192', '0', '-0.57352', '5575.06', '0.131474', '-631.665', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205483', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0.939099', '0', '0.343646', '5574.54', '0.127652', '-632.414', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205484', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.430436', '0.00902596', '0.00430451', '0.902565', '5575.01', '0.145966', '-633.286', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205485', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '-0.640386', '0', '0.768054', '5575.79', '0.16856', '-633.067', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205487', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '-0.475032', '0', '0.879969', '5576.21', '0.174806', '-632.358', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205488', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0.978899', '0', '0.204347', '5575.75', '0.158625', '-631.529', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205489', '0', 'object/static/structure/general/shared_campfire_ash.iff', '0', '0', '0', '1', '5575.59', '0.347509', '-632.442', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205490', '0', 'object/static/structure/general/shared_campfire_ash.iff', '0', '0', '0', '1', '5575.14', '0.335586', '-632.457', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205491', '0', 'object/static/structure/general/shared_campfire_ash.iff', '0', '0', '0', '1', '5575.49', '0.342792', '-632.112', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205492', '0', 'object/static/particle/shared_particle_campfire_style_1.iff', '0', '0', '0', '1', '5575.4', '0.342095', '-632.395', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205493', '0', 'object/static/particle/shared_particle_sm_explosion.iff', '0', '0', '0', '1', '5575.37', '0.34132', '-632.379', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205494', '0', 'object/static/particle/shared_particle_smoke.iff', '0', '0', '0', '1', '5575.49', '0.34466', '-632.405', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205495', '0', 'object/building/corellia/shared_ply_corl_house_m_s01_fp1.iff', '0', '1', '0', '3.20013e-08', '1589', '4', '-6360', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205496', '6205495', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775658', '6205496', 'object/static/item/shared_item_glass_empty.iff', '0', '0', '0', '1', '8.83494', '1.35232', '3.6927', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775659', '6205496', 'object/static/item/shared_item_glass_empty.iff', '0', '0', '0', '1', '8.25578', '1.35232', '3.62688', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775665', '6205496', 'object/static/item/shared_item_glass_empty.iff', '0', '0', '0', '1', '1.75857', '1.35232', '1.90201', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205500', '6205496', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0', '0', '1', '1.85498', '0.624999', '2.20682', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205501', '6205496', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0', '0', '1', '5.64244', '0.624999', '2.06453', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205502', '6205496', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0', '0', '1', '8.55243', '0.624998', '3.83219', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205503', '6205496', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.958016', '0', '-0.286715', '9.3544', '0.624998', '4.83777', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205504', '6205496', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '-0.370921', '0', '0.928665', '9.83078', '0.624998', '2.69625', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205505', '6205496', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.501213', '0', '0.865324', '7.26015', '0.624998', '3.4115', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205506', '6205496', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '-0.674287', '0', '0.738469', '7.2154', '0.624998', '1.99071', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205507', '6205496', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.522687', '0', '0.852525', '4.35271', '0.624999', '1.81775', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205508', '6205496', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '-0.361615', '0', '0.932327', '2.99049', '0.624999', '0.899213', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205509', '6205496', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.319309', '0', '0.947651', '0.637859', '0.624999', '0.872245', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205510', '6205496', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.937369', '0', '-0.348337', '2.85025', '0.624999', '3.22746', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205511', '6205496', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.937923', '0', '0.346844', '0.684755', '0.624999', '3.13515', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205513', '6205496', 'object/tangible/furniture/all/shared_frn_all_data_terminal_wall_s3.iff', '0', '1', '0', '3.20013e-08', '-0.259366', '0.624999', '6.26007', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205515', '6205496', 'object/tangible/furniture/tatooine/shared_frn_tato_vase_style_02.iff', '0', '0', '0', '1', '6.35769', '0.624998', '6.45212', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205518', '6205496', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '8.5736', '1.35232', '4.16567', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205524', '6205496', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '1.75674', '1.3207', '2.15898', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205525', '6205496', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s3.iff', '0', '0', '0', '1', '1.2826', '0.624999', '6.42168', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205526', '6205496', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s3.iff', '0', '0', '0', '1', '5.15656', '0.624999', '6.4411', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205527', '6205496', 'object/static/item/shared_item_painting_corellia_style_01.iff', '0', '-0.707106', '0', '0.707107', '3.26106', '0.624999', '6.91623', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515482', '6205496', 'object/soundobject/shared_soundobject_cantina_small.iff', '0', '0', '0', '1', '5.32659', '0.624998', '3.73713', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205497', '6205495', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515471', '6205497', 'object/tangible/furniture/modern/shared_bar_piece_curve_s1.iff', '0', '0.707106', '0', '0.707107', '-9.04125', '0.625', '2.31984', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515472', '6205497', 'object/tangible/furniture/modern/shared_bar_counter_s1.iff', '0', '0.707106', '0', '0.707107', '-8.3947', '0.625', '5.637', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515473', '6205497', 'object/tangible/furniture/all/shared_frn_all_data_terminal_wall_s3.iff', '0', '0.92388', '0', '-0.382683', '-4.6521', '0.625', '5.63492', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515474', '6205497', 'object/tangible/camp/shared_camp_lawn_chair.iff', '0', '0.710353', '0', '-0.703845', '-7.48795', '0.625', '5.09888', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515475', '6205497', 'object/tangible/camp/shared_camp_lawn_chair.iff', '0', '0.710353', '0', '-0.703845', '-7.48619', '0.625', '6.23097', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515476', '6205497', 'object/tangible/camp/shared_camp_lawn_chair.iff', '0', '-0.380188', '0', '0.924909', '-7.94064', '0.625', '1.4197', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515477', '6205497', 'object/static/item/shared_item_bottle_fat.iff', '0', '0.443948', '0', '0.896052', '-9.16304', '1.76342', '1.90335', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515478', '6205497', 'object/static/item/shared_item_bottle_fat.iff', '0', '0.443948', '0', '0.896052', '-9.48221', '1.76342', '1.76303', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515479', '6205497', 'object/static/item/shared_item_con_tato_cup_s2.iff', '0', '0', '0', '1', '-8.25225', '1.00447', '5.31016', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515480', '6205497', 'object/static/item/shared_item_con_tato_cup_s2.iff', '0', '0', '0', '1', '-8.23718', '1.00447', '5.99756', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515481', '6205497', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '-9.85765', '0.625', '2.40436', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515483', '6205497', 'object/soundobject/shared_soundobject_cantina_small.iff', '0', '0', '0', '1', '-5.62029', '0.625', '3.62988', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205498', '6205495', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775660', '6205498', 'object/static/item/shared_item_glass_empty.iff', '0', '0', '0', '1', '0.517898', '1.35232', '-4.43561', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775661', '6205498', 'object/static/item/shared_item_glass_empty.iff', '0', '0', '0', '1', '0.429685', '1.35232', '-3.93056', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775662', '6205498', 'object/static/item/shared_item_glass_empty.iff', '0', '0', '0', '1', '-0.153723', '1.35232', '-4.00594', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775663', '6205498', 'object/static/item/shared_item_glass_empty.iff', '0', '0', '0', '1', '-7.48258', '1.35232', '-3.46878', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775664', '6205498', 'object/static/item/shared_item_glass_empty.iff', '0', '0', '0', '1', '-6.74169', '1.35232', '-3.47522', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205528', '6205498', 'object/tangible/speaker/shared_speaker.iff', '0', '-0.42141', '0', '0.90687', '2.15316', '0.624999', '-7.10137', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205529', '6205498', 'object/tangible/speaker/shared_speaker.iff', '0', '0.380188', '0', '0.924909', '-8.64279', '0.624999', '-7.07196', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205530', '6205498', 'object/tangible/microphone/shared_microphone.iff', '0', '0', '0', '1', '-3.20411', '0.624999', '-6.47729', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205531', '6205498', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0', '0', '1', '-7.07843', '0.624999', '-3.76073', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205532', '6205498', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0', '0', '1', '-3.15624', '0.624999', '-3.06263', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205533', '6205498', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0', '0', '1', '0.205797', '0.624999', '-4.08469', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205534', '6205498', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.920751', '0', '-0.390152', '1.47219', '0.624999', '-3.11063', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205535', '6205498', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.804599', '0', '-0.593818', '1.75717', '0.624999', '-4.7929', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205536', '6205498', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.983986', '0', '-0.178246', '-0.482524', '0.624999', '-3.1264', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205537', '6205498', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.947396', '0', '-0.320063', '-1.7369', '0.624999', '-2.81989', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205538', '6205498', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.999958', '0', '0.00920342', '-2.97384', '0.625', '-1.67306', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205539', '6205498', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.957033', '0', '0.289978', '-4.47671', '0.625', '-2.29684', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205540', '6205498', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.997129', '0', '-0.0757238', '-6.38288', '0.624999', '-2.66289', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205541', '6205498', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.976071', '0', '0.217452', '-7.85522', '0.625', '-2.35064', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205542', '6205498', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.934408', '0', '0.356205', '-8.63876', '0.624999', '-4.09038', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205543', '6205498', 'object/static/item/shared_item_bowl_plain.iff', '0', '0', '0', '1', '-7.07843', '1.35232', '-3.77974', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205549', '6205498', 'object/tangible/furniture/all/shared_frn_all_data_terminal_wall_s3.iff', '0', '1', '0', '3.20013e-08', '-4.84843', '0.625', '-0.886862', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515484', '6205498', 'object/soundobject/shared_soundobject_cantina_small.iff', '0', '0', '0', '1', '-2.30147', '0.624999', '-4.28653', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205499', '6205495', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205550', '6205499', 'object/tangible/furniture/imperial/shared_table_s1.iff', '0', '0.707106', '0', '0.707107', '8.34503', '0.625', '-4.89166', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205551', '6205499', 'object/tangible/furniture/all/shared_frn_all_chair_meatal_wheeled_s1.iff', '0', '-0.677971', '0', '0.735088', '10.0866', '0.625', '-4.92761', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205552', '6205499', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '0.921061', '0', '-0.389418', '10.061', '0.625', '-2.31575', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205553', '6205499', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.384808', '0', '0.922997', '5.65856', '0.625', '-6.57358', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205554', '6205499', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '0.924606', '0', '0.380925', '5.6808', '0.625', '-2.2625', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205555', '6205499', 'object/tangible/furniture/all/shared_frn_all_data_terminal_wall_s3.iff', '0', '-0.384808', '0', '0.922997', '9.78974', '0.625', '-6.66932', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205556', '6205499', 'object/static/item/shared_item_diagnostic_screen.iff', '0', '0.844162', '0', '0.536088', '8.73243', '1.38395', '-4.50325', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205563', '0', 'object/building/corellia/shared_ply_corl_house_m_s01_fp1.iff', '0', '-0.183947', '0', '0.982936', '-586.607', '3', '2489.04', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205564', '6205563', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775666', '6205564', 'object/static/item/shared_item_glass_empty.iff', '0', '0.237703', '0', '0.971338', '8.12594', '1.35232', '3.23754', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775667', '6205564', 'object/static/item/shared_item_glass_empty.iff', '0', '0.237703', '0', '0.971338', '8.39616', '1.35232', '2.59332', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775668', '6205564', 'object/static/item/shared_item_glass_empty.iff', '0', '0', '0', '1', '3.69025', '1.35232', '4.37928', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775669', '6205564', 'object/static/item/shared_item_glass_empty.iff', '0', '0', '0', '1', '4.08898', '1.35232', '3.94521', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775670', '6205564', 'object/static/item/shared_item_glass_empty.iff', '0', '0', '0', '1', '-0.58629', '1.35232', '3.02687', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775671', '6205564', 'object/static/item/shared_item_glass_empty.iff', '0', '0', '0', '1', '0.0805136', '1.35232', '2.74617', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775672', '6205564', 'object/static/item/shared_item_glass_empty.iff', '0', '0', '0', '1', '0.287655', '1.35232', '3.30001', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205568', '6205564', 'object/tangible/furniture/all/shared_frn_all_table_s03.iff', '0', '0', '0', '1', '8.25187', '0.624998', '2.99355', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205569', '6205564', 'object/tangible/furniture/all/shared_frn_all_table_s03.iff', '0', '0', '0', '1', '3.69189', '0.624999', '3.97709', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205570', '6205564', 'object/tangible/furniture/all/shared_frn_all_table_s03.iff', '0', '0', '0', '1', '-0.0633099', '0.624999', '3.07335', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205571', '6205564', 'object/tangible/microphone/shared_microphone.iff', '0', '0', '0', '1', '4.09257', '0.624999', '1.80263', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515364', '6205564', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s2.iff', '0', '-0.338197', '0', '0.941075', '9.2797', '0.624998', '1.90373', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515365', '6205564', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s2.iff', '0', '0.91071', '0', '-0.413046', '9.31728', '0.624998', '3.90191', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515366', '6205564', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s2.iff', '0', '0.34759', '0', '0.937647', '7.19638', '0.624998', '1.71602', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515367', '6205564', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s2.iff', '0', '0.944672', '0', '0.328017', '7.33468', '0.624998', '4.21469', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515368', '6205564', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s2.iff', '0', '0.881958', '0', '-0.471328', '5.02559', '0.624998', '4.81219', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515369', '6205564', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s2.iff', '0', '0.891929', '0', '0.452176', '2.27948', '0.624999', '4.84326', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515370', '6205564', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s2.iff', '0', '-0.193767', '0', '0.981048', '0.528082', '0.624999', '1.61161', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515371', '6205564', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s2.iff', '0', '0.9001', '0', '-0.435683', '0.987665', '0.624999', '3.90176', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515372', '6205564', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s2.iff', '0', '0.509841', '0', '0.860269', '-1.47119', '0.625', '2.35274', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515373', '6205564', 'object/tangible/furniture/all/shared_frn_all_data_terminal_wall_s3.iff', '0', '1', '0', '3.20013e-08', '-0.66492', '0.625', '6.3562', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515377', '6205564', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s01.iff', '0', '0.382683', '0', '0.92388', '9.87642', '0.624998', '5.7854', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515378', '6205564', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s01.iff', '0', '-0.382683', '0', '0.92388', '-1.80379', '0.625', '5.79932', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515379', '6205564', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '8.56997', '1.35232', '2.84104', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515387', '6205564', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '-0.120146', '1.38395', '3.07659', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515462', '6205564', 'object/soundobject/shared_soundobject_cantina_small.iff', '0', '0', '0', '1', '4.84251', '0.624999', '3.23081', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205565', '6205563', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775673', '6205565', 'object/static/item/shared_item_glass_empty.iff', '0', '0', '0', '1', '-7.89742', '1.76342', '4.52356', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775674', '6205565', 'object/static/item/shared_item_glass_empty.iff', '0', '0', '0', '1', '-8.27513', '1.76342', '5.57118', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515388', '6205565', 'object/tangible/furniture/modern/shared_bar_piece_curve_s1.iff', '0', '0.713864', '0', '0.700285', '-9.0155', '0.625', '1.79076', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515391', '6205565', 'object/tangible/furniture/modern/shared_bar_piece_curve_s1.iff', '0', '0', '0', '1', '-8.6619', '0.625', '4.95304', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515393', '6205565', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s01.iff', '0', '0.382683', '0', '0.92388', '-4.40231', '0.625', '5.74668', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515394', '6205565', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s01.iff', '0', '0.92388', '0', '0.382683', '-4.44989', '0.625', '1.13451', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515395', '6205565', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '-8.64388', '1.76342', '1.27747', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515396', '6205565', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '-8.6181', '1.76342', '1.72556', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515397', '6205565', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '-8.97439', '1.76342', '1.34225', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515398', '6205565', 'object/static/item/shared_item_bottle_fat.iff', '0', '-0.319309', '0', '0.947651', '-9.08152', '1.76342', '5.58362', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515399', '6205565', 'object/static/item/shared_item_bottle_fat.iff', '0', '-0.319309', '0', '0.947651', '-8.7148', '1.76342', '5.7471', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515404', '6205565', 'object/tangible/camp/shared_camp_lawn_chair.iff', '0', '0.8699', '0', '-0.493228', '-7.88892', '0.625', '5.88704', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515405', '6205565', 'object/tangible/camp/shared_camp_lawn_chair.iff', '0', '-0.703279', '0', '0.710914', '-7.4886', '0.625', '4.70242', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515406', '6205565', 'object/tangible/camp/shared_camp_lawn_chair.iff', '0', '-0.593177', '0', '0.805072', '-7.40854', '0.625', '1.93739', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515461', '6205565', 'object/soundobject/shared_soundobject_cantina_small.iff', '0', '0', '0', '1', '-7.00272', '0.625', '3.63815', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205566', '6205563', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775675', '6205566', 'object/static/item/shared_item_glass_empty.iff', '0', '0', '0', '1', '-5.27703', '1.35232', '-6.80934', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775676', '6205566', 'object/static/item/shared_item_glass_empty.iff', '0', '0', '0', '1', '-5.74105', '1.35232', '-6.13406', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775677', '6205566', 'object/static/item/shared_item_glass_empty.iff', '0', '0', '0', '1', '-5.88305', '1.35232', '-6.73508', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775678', '6205566', 'object/static/item/shared_item_glass_empty.iff', '0', '0', '0', '1', '-3.97023', '1.35232', '-3.40329', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775679', '6205566', 'object/static/item/shared_item_glass_empty.iff', '0', '0', '0', '1', '-3.8894', '1.35232', '-2.79873', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775680', '6205566', 'object/static/item/shared_item_glass_empty.iff', '0', '0', '0', '1', '-4.57892', '1.35232', '-3.19172', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775681', '6205566', 'object/static/item/shared_item_glass_empty.iff', '0', '0', '0', '1', '-4.4682', '1.35232', '-2.54848', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '2775682', '6205566', 'object/static/item/shared_item_glass_empty.iff', '0', '0', '0', '1', '0.504916', '1.35232', '-6.67007', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515430', '6205566', 'object/tangible/furniture/all/shared_frn_all_data_terminal_wall_s3.iff', '0', '-0.707106', '0', '0.707107', '3.25119', '0.624999', '-6.28518', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515431', '6205566', 'object/tangible/furniture/all/shared_frn_all_table_s03.iff', '0', '0', '0', '1', '-0.0187268', '0.624999', '-2.5536', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515432', '6205566', 'object/tangible/furniture/all/shared_frn_all_table_s03.iff', '0', '0', '0', '1', '-5.60879', '0.624999', '-6.55026', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515433', '6205566', 'object/tangible/furniture/all/shared_frn_all_table_s03.iff', '0', '0', '0', '1', '0.0342306', '0.624999', '-6.59201', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515434', '6205566', 'object/tangible/furniture/all/shared_frn_all_table_s03.iff', '0', '0', '0', '1', '-4.29749', '0.625', '-2.99177', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515435', '6205566', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s01.iff', '0', '0.92388', '0', '-0.382683', '-9.10524', '0.624999', '-7.48887', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515436', '6205566', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s01.iff', '0', '0.92388', '0', '0.382683', '2.65339', '0.624999', '-7.5737', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515437', '6205566', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s2.iff', '0', '0.375559', '0', '0.926798', '-0.968081', '0.624999', '-3.6779', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515438', '6205566', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s2.iff', '0', '-0.640386', '0', '0.768054', '1.42778', '0.624999', '-6.71433', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515439', '6205566', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s2.iff', '0', '0.688922', '0', '0.724836', '-1.52498', '0.624999', '-6.61598', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515440', '6205566', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s2.iff', '0', '-0.448423', '0', '0.893822', '-4.02624', '0.624999', '-7.43734', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515441', '6205566', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s2.iff', '0', '0.434965', '0', '0.900447', '-7.01308', '0.624999', '-7.45476', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515442', '6205566', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s2.iff', '0', '0.99871', '0', '0.0507746', '-5.68559', '0.624999', '-5.15837', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515443', '6205566', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s2.iff', '0', '0.864925', '0', '0.501902', '-5.5654', '0.625', '-2.05183', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515444', '6205566', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s2.iff', '0', '0.42594', '0', '0.904752', '-5.3693', '0.624999', '-4.02446', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515445', '6205566', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s2.iff', '0', '0.920751', '0', '-0.390152', '-3.11596', '0.625', '-1.91223', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515446', '6205566', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s2.iff', '0', '-0.384808', '0', '0.922997', '-3.1574', '0.624999', '-4.0106', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515447', '6205566', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s2.iff', '0', '0.942489', '0', '-0.334238', '1.07565', '0.625', '-1.32937', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515448', '6205566', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s2.iff', '0', '0.886627', '0', '0.462485', '-1.19627', '0.625', '-1.48281', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515449', '6205566', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s2.iff', '0', '-0.412321', '0', '0.911039', '1.22111', '0.624999', '-3.59059', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515454', '6205566', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '0.311872', '1.38395', '-6.80004', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515459', '6205566', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '-4.28403', '1.38395', '-3.30877', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515460', '6205566', 'object/soundobject/shared_soundobject_cantina_small.iff', '0', '0', '0', '1', '-2.14212', '0.624999', '-4.5236', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '6205567', '6205563', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515407', '6205567', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '1', '0', '3.20013e-08', '7.86252', '0.625', '-1.27225', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515408', '6205567', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '0', '0', '1', '7.79058', '0.625', '-7.82666', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515409', '6205567', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '-0.707106', '0', '0.707107', '11.0825', '0.625', '-4.52669', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515410', '6205567', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '0', '0', '1', '7.96245', '0.625', '-4.21739', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515411', '6205567', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '1', '0', '3.20013e-08', '7.97788', '0.625', '-4.84491', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515412', '6205567', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '10.9234', '2.39588', '-4.18201', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515413', '6205567', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '11.0954', '2.39588', '-4.4923', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515414', '6205567', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '11.0403', '2.39588', '-4.86728', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515415', '6205567', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '7.49304', '2.39588', '-1.41557', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515416', '6205567', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '7.92682', '2.39588', '-1.32455', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515417', '6205567', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '8.23759', '2.39588', '-1.45791', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515418', '6205567', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '8.18722', '1.51044', '-4.23906', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515419', '6205567', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '7.71473', '1.51044', '-4.15226', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515420', '6205567', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '7.96283', '1.51044', '-4.65662', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515421', '6205567', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '8.31572', '1.51044', '-4.92713', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515422', '6205567', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '7.83896', '1.51044', '-4.98859', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515423', '6205567', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '10.5406', '0.625', '-5.9583', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515424', '6205567', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '10.4011', '0.625', '-6.37284', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515425', '6205567', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '9.96354', '0.625', '-6.11922', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515426', '6205567', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '10.1383', '0.625', '-6.71669', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515427', '6205567', 'object/static/item/shared_item_container_energy_solid.iff', '0', '0.34759', '0', '0.937646', '9.78466', '0.625', '-2.50652', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515428', '6205567', 'object/static/item/shared_item_container_energy_solid.iff', '0', '0.252245', '0', '0.967663', '10.3629', '0.625', '-3.16018', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515429', '6205567', 'object/static/item/shared_item_container_inorganic_chemicals.iff', '0', '0.338197', '0', '0.941075', '5.63087', '0.625', '-2.4506', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '6445470', '0', 'object/static/structure/dantooine/shared_dant_large_rock_hut.iff', '0', '0', '0', '1', '-7035.52', '2.84813', '-3347.08', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '6445471', '0', 'object/static/structure/dantooine/shared_dant_large_communal.iff', '0', '0.169182', '0', '0.985585', '-7047.51', '2.34452', '-3332.94', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '6445472', '0', 'object/static/structure/dantooine/shared_dant_large_rock_hut.iff', '0', '0.257081', '0', '0.96639', '-7066.1', '2.06898', '-3337.71', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '6445473', '0', 'object/static/structure/dantooine/shared_dant_large_rock_hut.iff', '0', '0.854921', '0', '0.518759', '-7066.96', '1.80262', '-3326.29', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '6445474', '0', 'object/static/structure/dantooine/shared_dant_large_rock_hut.iff', '0', '0.902268', '0', '-0.431177', '-7031.27', '2.23638', '-3326.4', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '6445475', '0', 'object/static/structure/dantooine/shared_dant_large_rock_hut.iff', '0', '0.98545', '0', '-0.169967', '-7036.64', '2.01081', '-3316.16', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '6445476', '0', 'object/static/structure/dantooine/shared_dant_large_rock_hut.iff', '0', '0.999707', '0', '0.0242013', '-7048.11', '1.98151', '-3312.93', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '6445477', '0', 'object/static/structure/dantooine/shared_dant_large_rock_hut.iff', '0', '0.977146', '0', '0.212569', '-7058.39', '1.81553', '-3318.21', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '6445478', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0.0169709', '-0.130847', '0.0463055', '0.990175', '-7062.77', '1.80016', '-3331.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6445479', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '-0.0422583', '0.086118', '-0.0336743', '0.994819', '-7062.8', '1.45662', '-3343.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6445480', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '0', '-0.560509', '0', '0.828148', '-7050.04', '1.42042', '-3320.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6445481', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '-0.140434', '0.283761', '0.024803', '0.948231', '-7051.87', '1.60196', '-3319.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6445482', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0.11679', '0.855586', '0.0127301', '0.504154', '-7037.94', '1.66887', '-3323.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6445483', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0.0729126', '0.909462', '0.0327126', '-0.408034', '-7035.95', '2.13746', '-3340', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6445484', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '0', '0', '0', '1', '-7030.98', '2.10349', '-3333.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6445485', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0.0338592', '-0.35534', '0.0886083', '0.929912', '-7050.9', '5.06852', '-3387.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6445486', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '-0.0186134', '0.249668', '-0.170955', '0.95294', '-7077.65', '5.69205', '-3381.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6445487', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '-0.110788', '-0.194407', '-0.0683517', '0.972245', '-7077.35', '5.65545', '-3385.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6445488', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0.0498925', '-0.551427', '-0.182938', '0.812387', '-7075.87', '5.08337', '-3379.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6445489', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '-0.118245', '0.786158', '0.0507305', '-0.604484', '-7051.45', '4.97857', '-3384.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6445490', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '-0.0894733', '-0.00852562', '0.0944733', '0.991462', '-7050.75', '4.94251', '-3389.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6445491', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '-0.156616', '0.798117', '0.0893288', '0.574892', '-7052.81', '4.65973', '-3387.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6445493', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '-0.135411', '0.214588', '0.0273742', '0.966885', '-7129.63', '10.5169', '-3288.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6445494', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0.140769', '0.715035', '-0.175567', '-0.66188', '-7130.88', '11.0192', '-3285.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6445495', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '-0.164699', '-0.45204', '0.0784118', '0.873147', '-7124.76', '9.09378', '-3291.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6445496', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0.111123', '0.753919', '-0.0936434', '-0.640694', '-7131.72', '10.6901', '-3288.59', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6445497', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0.0450163', '0.254388', '0.00681883', '0.96603', '-7145.25', '3.19784', '-3347.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6445498', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '-0.213147', '-0.188526', '0.0532938', '0.957176', '-7144.83', '2.76136', '-3349.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6445499', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '-0.0720163', '-0.552816', '-0.005071', '0.83017', '-7143.16', '3.20936', '-3347.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6445500', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '-0.247807', '0.0155245', '0.0363775', '0.968002', '-7147.57', '3.3581', '-3348.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6445501', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0.0235503', '0.988557', '0.0160831', '0.148129', '-7146.96', '3.60056', '-3346.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6445502', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '-0.183496', '0.0128657', '-0.0687494', '0.980529', '-7080.18', '19.796', '-3253.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6445503', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '-0.163721', '0.746734', '0.0203947', '0.644335', '-7084.98', '20.3872', '-3250.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6445504', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0.192004', '0.939953', '0.0321962', '-0.280332', '-7079.87', '19.3717', '-3249.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6445505', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '0.0526768', '-0.28552', '0.0157194', '0.956795', '-7081.58', '19.6508', '-3250.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6445506', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '-0.0740713', '0.64048', '-0.152993', '0.748928', '-7008.68', '17.2801', '-3225.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6445507', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '-0.0498568', '-0.00349568', '0.0698554', '0.996304', '-7011.83', '17.5318', '-3224.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6445508', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0.0277325', '0.885031', '0.0531657', '-0.461653', '-7008.76', '17.6218', '-3222.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6445509', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '-0.114724', '0.00229478', '-0.0198666', '0.993196', '-7010.46', '17.3707', '-3225.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6445512', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '-0.191618', '0.860496', '0.101726', '0.460956', '-6981.83', '11.008', '-3383.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6445513', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '-0.0926451', '0.457685', '0.25595', '0.846422', '-6980.48', '11.6767', '-3378.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6445514', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '-0.157169', '0.511914', '0.1899', '0.822909', '-6980.72', '11.6194', '-3382.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6445515', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '-0.170183', '0.976323', '-0.132714', '-0.0147554', '-6982.77', '10.0057', '-3387.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6445516', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0.00326821', '-0.458352', '0.267858', '0.84744', '-6981.95', '10.5994', '-3386.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6445517', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '-0.148101', '0.354905', '0.198246', '0.901558', '-6968.01', '34.469', '-3297.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6445518', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '-0.159318', '0', '0.987227', '-7083.8', '21.551', '-3246.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6445519', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0', '0', '1', '-7009.96', '18.0114', '-3223.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6445520', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0.685289', '0', '0.728272', '-6933.84', '52.1707', '-3305.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6445521', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0.994576', '0', '0.104015', '-6983.52', '9.74738', '-3389.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6445522', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0.999991', '0', '0.00420363', '-7054.71', '4.46451', '-3391.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6445523', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0.810497', '0', '-0.585743', '-7146.84', '3.35945', '-3349.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6445524', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0.747971', '0', '-0.663731', '-7129.67', '10.1755', '-3290.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6445525', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '0.798621', '0', '-0.601835', '-7073.44', '2.03916', '-3327.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6445526', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '0.727726', '0', '-0.685869', '-7072.27', '2.10403', '-3338.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6445527', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '0.9871', '0', '-0.160104', '-7064.38', '1.98191', '-3344.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6445528', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '0.996457', '0', '0.0841042', '-7061.99', '1.96036', '-3344.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6445529', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '0.996457', '0', '0.084104', '-7060.02', '2.18364', '-3344.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6445530', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '0.874789', '0', '-0.484504', '-7046.49', '2.92968', '-3349.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6445531', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '0.945784', '0', '-0.324796', '-7045.13', '2.97672', '-3350.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6445532', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '0.98545', '0', '-0.169967', '-7040.75', '3.0651', '-3352.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6445533', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '-0.394019', '0', '0.919102', '-7064.15', '1.79085', '-3314.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6445534', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '-0.0633646', '0', '0.99799', '-7052.76', '2.03299', '-3307.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6445535', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '0.126255', '0', '0.991998', '-7038.06', '1.88753', '-3309.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6445536', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '0.185512', '0', '0.982642', '-7044.16', '1.52392', '-3307.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6445537', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '0.594459', '0', '0.804126', '-7025.19', '2.91963', '-3326', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525354', '0', 'object/static/structure/dantooine/shared_dant_fire_pit.iff', '0.00703765', '0.193614', '0.0373616', '0.980341', '-7023.15', '2.19138', '-3308.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525355', '0', 'object/static/structure/dantooine/shared_dant_fish_rack.iff', '0.0277014', '-0.475', '0.00736415', '0.879519', '-7016.78', '2.63653', '-3313.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525356', '0', 'object/static/structure/dantooine/shared_dant_fish_rack.iff', '0.0424793', '-0.47414', '0.0349137', '0.878731', '-7015.8', '2.67213', '-3312.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525357', '0', 'object/static/structure/dantooine/shared_dant_hide_tanning_s01.iff', '-0.00330258', '-0.000138738', '0.0419718', '0.999113', '-7025.67', '2.18642', '-3292.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525358', '0', 'object/static/structure/dantooine/shared_dant_hide_tanning_s02.iff', '-0.0460554', '0.779111', '-0.0411022', '-0.623839', '-7026.49', '2.09055', '-3293.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525359', '0', 'object/static/structure/dantooine/shared_dant_hide_tanning_s01.iff', '-0.0446357', '0.964091', '0.0135199', '0.261446', '-7025.44', '2.18565', '-3293.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525360', '0', 'object/static/structure/dantooine/shared_dant_hide_tanning_s02.iff', '0.00244228', '0.443781', '0.0397086', '0.895252', '-7033.05', '1.95326', '-3294.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525361', '0', 'object/static/structure/dantooine/shared_dant_hide_tanning_s02.iff', '0.0306153', '-0.522792', '0.000482308', '0.85191', '-7034.21', '1.88521', '-3294.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525362', '0', 'object/static/structure/dantooine/shared_dant_hide_tanning_s01.iff', '0.00198787', '0.999639', '0.0216501', '-0.0157562', '-7033.53', '1.92661', '-3295.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525363', '0', 'object/static/structure/dantooine/shared_dant_fire_pit.iff', '-0.0688398', '-0.157316', '0.0124564', '0.985067', '-7056.95', '2.06355', '-3303.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525364', '0', 'object/static/structure/dantooine/shared_dant_hide_tanning_s01.iff', '0.0108887', '-0.636284', '0.00377611', '0.771369', '-7062.94', '2.45141', '-3353.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525365', '0', 'object/static/structure/dantooine/shared_dant_hide_tanning_s02.iff', '-0.00975153', '0.999823', '0.00614247', '0.0148567', '-7062.13', '2.47974', '-3354.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525366', '0', 'object/static/structure/dantooine/shared_dant_hide_tanning_s01.iff', '0.012553', '0.577152', '0.00920591', '0.816488', '-7061.96', '2.46438', '-3353.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525367', '0', 'object/static/structure/dantooine/shared_dant_hide_tanning_s02.iff', '0.0477413', '-0.228297', '-0.0321179', '0.97189', '-7062.92', '2.60375', '-3361.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525368', '0', 'object/static/structure/dantooine/shared_dant_hide_tanning_s02.iff', '0.0033297', '0.944257', '0.0529135', '-0.324912', '-7063.12', '2.72985', '-3362.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525369', '0', 'object/static/structure/dantooine/shared_dant_hide_tanning_s01.iff', '0.0494855', '0.780138', '0.0293594', '0.622956', '-7062.15', '2.63697', '-3361.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525370', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0.0106058', '-0.000100307', '-0.0094568', '0.999899', '-7062.52', '2.43946', '-3358.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525371', '0', 'object/static/structure/dantooine/shared_dant_fish_rack.iff', '0', '0.0499792', '0', '0.99875', '-7042.63', '2.9946', '-3349.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525372', '0', 'object/static/structure/dantooine/shared_dant_fish_rack.iff', '0', '0', '0', '1', '-7042.14', '3.01534', '-3350.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525373', '0', 'object/static/structure/dantooine/shared_dant_fire_pit.iff', '0', '0', '0', '1', '-7042.69', '3.18156', '-3357.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525374', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0', '0', '1', '-7042.91', '3.14333', '-3357.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525375', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0', '0', '1', '-7023.02', '2.19996', '-3308.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525376', '0', 'object/static/structure/dantooine/shared_dant_cooking_stone.iff', '0', '-0.361615', '0', '0.932327', '-7028.39', '1.96744', '-3316.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525377', '0', 'object/static/structure/dantooine/shared_dant_skull_bol.iff', '0.0774458', '0.300818', '-0.00347434', '0.950525', '-7034.78', '7.55185', '-3312.76', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525378', '0', 'object/static/structure/dantooine/shared_dant_skull_lizard.iff', '0.0701191', '0.0743965', '0.00026702', '0.99476', '-7027.66', '7.62027', '-3323.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525379', '0', 'object/static/structure/dantooine/shared_dant_skull_lizard.iff', '0.0600992', '0.45146', '-0.0361227', '0.889532', '-7028.31', '7.59129', '-3323.34', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525380', '0', 'object/static/structure/dantooine/shared_dant_skull_lizard.iff', '0', '0', '0', '1', '-7048.38', '7.33853', '-3308.62', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525381', '0', 'object/static/structure/dantooine/shared_dant_skull_bol.iff', '0', '-0.543835', '0', '0.839192', '-7070.5', '7.23887', '-3324.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525382', '0', 'object/static/structure/dantooine/shared_dant_skull_bol.iff', '-0.00703806', '0.992488', '-0.0695878', '-0.100379', '-7068.56', '7.55056', '-3340.87', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525383', '0', 'object/static/structure/dantooine/shared_dant_skull_bol.iff', '0.00291837', '0.908934', '-0.0780769', '-0.409553', '-7067.22', '7.52996', '-3341.64', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525384', '0', 'object/static/structure/dantooine/shared_dant_skull_lizard.iff', '0.0499568', '-0.343285', '0.0234575', '0.937608', '-7058.94', '2.42969', '-3311.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525385', '0', 'object/static/structure/dantooine/shared_dant_skull_thune.iff', '-0.0226333', '0.984022', '-0.0772839', '-0.158796', '-7051.16', '10.3684', '-3343.81', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525386', '0', 'object/static/structure/dantooine/shared_dant_skull_bol.iff', '-0.0520166', '0.988393', '-0.066842', '0.126115', '-7053.02', '10.3838', '-3342.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525387', '0', 'object/static/structure/dantooine/shared_dant_skull_bol.iff', '-0.0170502', '0.921959', '-0.0413854', '-0.384692', '-7049.56', '10.6241', '-3344.26', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525388', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0', '0.620986', '0', '0.783822', '-7055.01', '2.03538', '-3344.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525389', '0', 'object/static/structure/dantooine/shared_dant_skull_lizard.iff', '0', '0.973485', '0', '-0.228753', '-7055.11', '4.2863', '-3345.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525390', '0', 'object/static/structure/dantooine/shared_dant_fire_pit.iff', '0.0228163', '0.000336523', '0.0147438', '0.999631', '-7048.09', '2.36988', '-3333.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525391', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0.00659201', '0.96987', '0.0125884', '-0.243207', '-7048.34', '2.35655', '-3333.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525392', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0.010606', '-0.0001', '-0.009457', '0.999899', '-7048.05', '2.35881', '-3333.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525393', '0', 'object/static/particle/shared_particle_newbie_hanging_smoke.iff', '0', '0', '0', '1', '-7048.11', '8.58538', '-3333.98', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525394', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '-0.0810552', '-0.351316', '0.0639801', '0.930545', '-7044.58', '1.90758', '-3324.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525395', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '-0.0741864', '0.621222', '0.194556', '0.755465', '-7037.66', '2.11519', '-3334.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525396', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0.0647465', '0.0051908', '0.0797459', '0.994697', '-7044.25', '2.44071', '-3343.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525397', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '-0.0110738', '-0.641162', '-0.0955349', '0.761355', '-7056.57', '1.90972', '-3340.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525398', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '-0.0297798', '0.00359083', '-0.119658', '0.992362', '-7056.05', '1.73201', '-3327.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525399', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.0975732', '0.0721038', '-0.689272', '0.714272', '-7052.46', '2.06875', '-3334.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525400', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0', '-0.589145', '0.808027', '-7051.05', '1.9515', '-3329.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525401', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '-0.249045', '-0.331109', '0.638552', '-0.648532', '-7052.74', '2.03871', '-3331.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525402', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.565773', '-0.270253', '0.203323', '0.752013', '-7047.61', '2.13222', '-3328.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525403', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.258106', '-0.0672818', '-0.243107', '0.932606', '-7045.95', '2.16507', '-3329.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525404', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.142944', '-0.311682', '-0.391597', '0.853858', '-7046.36', '2.11582', '-3327.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525405', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '-0.30035', '-0.376925', '0.652013', '-0.585317', '-7044.39', '2.44155', '-3337.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525406', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.405113', '0.600802', '-0.529611', '0.440945', '-7042.49', '2.4319', '-3334.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525407', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '-0.173494', '-0.331937', '0.60689', '-0.701', '-7042.72', '2.18439', '-3331.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525416', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '-0.316924', '-0.06755', '0.197212', '0.925259', '-7095.53', '2.28014', '-3325.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525417', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.89736', '0.229586', '-0.174379', '0.334106', '-7093.87', '1.88216', '-3325.66', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525418', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.12028', '0.598022', '-0.311667', '0.728537', '-7094.14', '1.76501', '-3326.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525419', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0', '0', '1', '-7092.84', '1.80591', '-3327.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525420', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '-0.0243103', '0.23277', '0.00582047', '0.97221', '-7095.19', '1.51739', '-3328.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525421', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0.0976402', '0.207418', '-0.0208113', '0.973145', '-7093.38', '1.36521', '-3328.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525422', '0', 'object/static/structure/dantooine/shared_dant_cooking_stone.iff', '0', '-0.361615', '0', '0.932328', '-7091.9', '1.85947', '-3325.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525423', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.166058', '-0.121598', '-0.537424', '0.81781', '-7094.3', '1.60365', '-3329.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525425', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '-0.359588', '0.195318', '0.100151', '0.906927', '-7029.93', '2.93397', '-3355.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525426', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.91019', '0.314261', '0.0849546', '0.256079', '-7029.45', '2.96309', '-3356.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525427', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.203056', '0.778732', '-0.265277', '0.531011', '-7036.78', '2.95431', '-3352.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525428', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0.281157', '0', '0.959662', '-7029.77', '2.99155', '-3357.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525429', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '-0.135503', '-0.065912', '-0.198604', '0.968427', '-7030.53', '2.70266', '-3354.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525430', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '-0.134646', '0.837877', '0.173792', '0.499628', '-7028.74', '2.71419', '-3357.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525431', '0', 'object/static/structure/dantooine/shared_dant_cooking_stone.iff', '0', '-0.0848973', '0', '0.99639', '-7032.89', '2.9396', '-3355.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525432', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.31046', '0.113241', '-0.469056', '0.81901', '-7031.31', '3.00763', '-3358.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '6555558', '0', 'object/building/military/shared_military_abandoned_police_station_rebel.iff', '0', '1', '0', '3.20013e-08', '-6827', '46', '5539', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '6555559', '6555558', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '6555560', '6555558', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '6555561', '6555558', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '6555562', '6555558', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '6555563', '6555558', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '6555564', '6555558', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '6555565', '6555558', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '6555566', '6555558', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '6555567', '6555558', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '6555568', '6555558', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '6555569', '6555558', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '6555570', '6555558', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '7035414', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '-0.389383', '0.0436657', '0.824104', '-0.409056', '-7043.12', '3.06873', '-3353.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7035420', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '-0.389383', '0.043666', '0.824104', '-0.409056', '-7076.55', '2.91082', '-3350.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7035424', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '-0.170097', '-0.130719', '0.729602', '-0.649354', '-7071.12', '1.48161', '-3333.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7035425', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '-0.316924', '-0.06755', '0.197212', '0.925259', '-7071.09', '1.9692', '-3331.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7035426', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.790156', '0.298095', '-0.375678', '-0.381653', '-7070.1', '1.96709', '-3331.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7035476', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '-0.170642', '-0.113546', '0.844117', '-0.495434', '-7045.69', '2.02149', '-3318', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7035479', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '-0.202336', '0.608896', '-0.0401525', '0.765959', '-7048.19', '2.06115', '-3318.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7035480', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '-0.316924', '-0.06755', '0.197212', '0.925259', '-7041.1', '1.62636', '-3308.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7035481', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '-0.201428', '-0.253832', '-0.436862', '0.839135', '-7026.47', '2.6326', '-3320.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7035486', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.845889', '0.10966', '0.0638948', '-0.518038', '-7064.34', '1.9582', '-3311.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7035487', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.844691', '0.455542', '-0.278283', '-0.039201', '-7042.43', '1.96962', '-3312.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7035488', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.167529', '-0.422769', '0.865435', '-0.210289', '-7036.24', '1.87531', '-3307.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7035489', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.453396', '-0.339922', '0.794947', '-0.216667', '-7018.35', '7.26044', '-3340.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7035490', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '-0.201428', '-0.253832', '-0.436862', '0.839135', '-7018.66', '7.17251', '-3341.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7035491', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '-0.299156', '0.751079', '-0.397362', '0.434154', '-7020.01', '6.6704', '-3340.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7035492', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '-0.130526', '-0.303598', '0.917725', '-0.220389', '-7018.14', '7.17973', '-3344.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105353', '0', 'object/building/military/shared_outpost_starport.iff', '0', '0.913414', '0', '0.407033', '-636.363', '3', '2480.01', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105354', '7105353', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3975463', '7105354', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0', '0', '1', '-7.39028', '0.146595', '-19.1269', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105362', '0', 'object/building/military/shared_outpost_shed.iff', '0', '-0.363759', '0', '0.931493', '-606.257', '2.99883', '2473.84', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105363', '7105362', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105364', '7105362', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105365', '7105362', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '7275353', '7105365', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '0', '0', '1', '-0.0448521', '0.125265', '-6.25353', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105366', '7105362', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105367', '7105362', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105368', '7105362', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '7275354', '7105368', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.707106', '0', '0.707107', '-5.74545', '0.125266', '-3.14476', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105391', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.361615', '0', '0.932328', '-665.872', '2.25', '2477.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105393', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.13459', '0', '0.990901', '-679.427', '2.25', '2485.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105394', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.13459', '0', '0.990901', '-685.651', '2.25', '2471.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105395', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.398609', '0', '0.917121', '-672.37', '2.25', '2463.28', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105396', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.552203', '0', '0.83371', '-650.402', '2.25', '2431.33', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105397', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.425943', '0', '0.90475', '-629.233', '2.25', '2435.61', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105398', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.314563', '0', '0.949236', '-640.927', '2.25', '2434', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105399', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.911039', '0', '0.412321', '-658.99', '2.25', '2503.42', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105400', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.389422', '0', '0.921059', '-618.486', '2.25', '2447.56', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105401', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.384812', '0', '0.922995', '-607.152', '2.25', '2459.05', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105402', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.352278', '0', '0.935895', '-595.306', '2.25', '2470.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105404', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.188863', '0', '0.982004', '-566.815', '2.25', '2484.22', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105405', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.958017', '0', '-0.286712', '-560.41', '2.25', '2521.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105407', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.958017', '0', '-0.286712', '-595.441', '2.25', '2553.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105408', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.83415', '0', '0.551538', '-636.776', '2.25', '2524.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105409', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.857301', '0', '-0.514816', '-584.698', '2.25', '2542.18', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105410', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.958017', '0', '-0.286712', '-574.07', '2.25', '2530.63', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105418', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.589148', '0', '0.808025', '-631.138', '2.25', '2540.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105419', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.430462', '0', '0.902609', '-623.694', '2.25', '2554', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105422', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.467614', '0', '0.883933', '-635.363', '2.25', '2510.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105423', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.966594', '0', '0.256314', '-646.757', '2.25', '2513.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105424', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.685293', '0', '0.728268', '-667.186', '2.25', '2449.08', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105425', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.70683', '0', '0.707384', '-667.626', '2.25', '2432.8', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105426', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0', '0', '1', '-667.66', '3', '2424.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105427', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '-0.198669', '0', '0.980067', '-653.691', '3', '2423.56', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105428', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0.059964', '0', '0.998201', '-647.274', '3', '2438.68', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105429', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '-0.0499792', '0', '0.99875', '-634.577', '3', '2429.26', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105430', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0', '0', '1', '-624.154', '3', '2441.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105431', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0', '0', '1', '-612.883', '3', '2453.33', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105432', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0.872355', '0', '0.488872', '-601.422', '3', '2464.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105433', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0.872355', '0', '0.488872', '-589.362', '3', '2475.26', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105434', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0.872355', '0', '0.488872', '-589.293', '3', '2475.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105435', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0.836025', '0', '0.54869', '-574.523', '3', '2481.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105436', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0.872355', '0', '0.488872', '-559.562', '3', '2487.41', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105437', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.188863', '0', '0.982004', '-582.023', '2.25', '2478.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105438', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.53119', '0', '0.847253', '-555.961', '2.25', '2494.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105439', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0.844161', '0', '0.536088', '-552.361', '2.66177', '2501.89', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105440', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0.872355', '0', '0.488872', '-553.324', '2.96304', '2517.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105441', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0.884303', '0', '0.466913', '-567.354', '3', '2526.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105442', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0.872355', '0', '0.488872', '-580.814', '3', '2535.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105443', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0.872355', '0', '0.488872', '-588.696', '3', '2549.29', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105444', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0.872355', '0', '0.488872', '-602.466', '3', '2558.42', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105445', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0.904412', '0', '0.42666', '-618.277', '3', '2560.63', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105446', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0.9001', '0', '0.435683', '-629.064', '2.94776', '2547.36', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105447', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0.819191', '0', '0.57352', '-633.457', '2.8602', '2532.79', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105448', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0.84147', '0', '0.540302', '-639.983', '3', '2517.34', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105449', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0.872355', '0', '0.488872', '-653.632', '3', '2509.27', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105450', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0.872355', '0', '0.488872', '-664.191', '3', '2497.34', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105451', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0.872355', '0', '0.488872', '-671.75', '3', '2483.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105452', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0.89791', '0', '0.440178', '-687.432', '3', '2487.27', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105454', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0.872355', '0', '0.488872', '-678.024', '3', '2469.42', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105455', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0.872355', '0', '0.488872', '-693.69', '3', '2473.89', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105456', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0.872355', '0', '0.488872', '-666.786', '3', '2457.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105457', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0.872355', '0', '0.488872', '-667.572', '3', '2441.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105460', '0', 'object/static/structure/corellia/shared_corl_power_box_node.iff', '0', '0.380188', '0', '0.924909', '-624.103', '3', '2455.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105461', '0', 'object/static/structure/corellia/shared_corl_power_box_node.iff', '0', '0.380188', '0', '0.924909', '-615.663', '3', '2463.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105462', '0', 'object/static/structure/corellia/shared_corl_power_box_node.iff', '0', '0.380188', '0', '0.924909', '-618.507', '3', '2466.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105463', '0', 'object/static/structure/corellia/shared_corl_power_box_node.iff', '0', '0.380188', '0', '0.924909', '-626.946', '3', '2458.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105464', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0.380188', '0', '0.924909', '-621.305', '3', '2460.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105465', '0', 'object/static/structure/general/shared_landing_pad_shuttle.iff', '0', '0.380188', '0', '0.924909', '-621.388', '3.15192', '2460.96', '256', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105466', '0', 'object/static/structure/corellia/shared_corl_power_arial_prime.iff', '0', '0.380188', '0', '0.924909', '-619.172', '2.55728', '2458.87', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105467', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.990794', '0', '-0.135379', '-672.187', '2.25', '2499.62', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105468', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '-0.488177', '0', '0.872745', '-679.86', '3', '2501.56', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105469', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.852732', '0', '0.522348', '-683.628', '2.25', '2494.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105470', '0', 'object/static/installation/shared_mockup_mining_liquid_harvester_style_1.iff', '0', '0.989391', '0', '-0.14528', '-671.227', '3', '2489.95', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105471', '0', 'object/static/installation/shared_mockup_mining_ore_harvester_style_2.iff', '0', '-0.518418', '0', '0.855127', '-622.46', '3', '2543.94', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105472', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0.969944', '0', '0.243329', '-587.757', '3', '2529.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105473', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '-0.407761', '0', '0.913089', '-653.909', '3', '2496.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105474', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '-0.407761', '0', '0.913089', '-648.755', '3', '2502.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105476', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.855128', '0', '-0.518417', '-640.368', '3', '2513.83', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105477', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.452886', '0', '0.891568', '-640.307', '3.88544', '2513.27', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105478', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.492535', '0', '0.870293', '-640.13', '3', '2512.85', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105479', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.492535', '0', '0.870292', '-637.463', '3', '2509.2', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105480', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.855128', '0', '-0.518417', '-637.701', '3', '2510.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105481', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.452886', '0', '0.891569', '-637.64', '3.88544', '2509.63', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105482', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.328769', '0', '0.944411', '-643.672', '3', '2512.13', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105483', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.953847', '0', '0.300294', '-644.617', '3', '2511.77', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105484', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.370921', '0', '0.928664', '-644.07', '3.88544', '2511.9', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105485', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.0399899', '0', '0.9992', '-625.268', '3', '2483.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105486', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.997551', '0', '-0.0699416', '-626.207', '3', '2483.46', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105487', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.00500058', '0', '0.999987', '-625.716', '3.88544', '2483.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105488', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.029995', '0', '0.99955', '-627.81', '3', '2482.31', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105489', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.059964', '0', '0.998201', '-627.822', '3.88544', '2481.28', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105490', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0', '0', '1', '-627.972', '3', '2480.31', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105491', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.114746', '0', '0.993395', '-629.814', '3', '2533.71', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105492', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.144492', '0', '0.989506', '-630', '3.88544', '2532.69', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105493', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.0848978', '0', '0.99639', '-630.311', '3', '2531.77', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105494', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.356949', '0', '0.934124', '-654.921', '3', '2505.85', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105495', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.384808', '0', '0.922997', '-655.572', '3.88544', '2505.05', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105496', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.32877', '0', '0.94441', '-656.287', '3', '2504.39', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105497', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.822049', '0', '-0.569417', '-645.984', '3', '2458.89', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105498', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.98939', '0', '-0.145281', '-645.281', '3', '2459.72', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105499', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.677971', '0', '0.735088', '-644.423', '3', '2459.51', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105500', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.773915', '0', '0.63329', '-644.881', '3.88544', '2459.66', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105501', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.993486', '0', '0.113957', '-644.744', '3', '2458.69', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105502', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.0898787', '0', '0.995953', '-644.457', '3', '2457.86', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105503', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.920751', '0', '-0.390151', '-645.455', '3', '2457.93', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '7105504', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.989391', '0', '-0.145279', '-645.532', '3', '2457.29', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '7275352', '0', 'object/static/installation/shared_mockup_mining_ore_harvester_style_1.iff', '0', '0.430458', '0', '0.902611', '-626.53', '3', '2519.28', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '7275357', '0', 'object/tangible/crafting/station/shared_public_weapon_station.iff', '0', '0.856318', '0', '-0.516449', '-598.434', '3', '2527.58', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '7275358', '0', 'object/tangible/crafting/station/shared_public_structure_station.iff', '0', '-0.361615', '0', '0.932327', '-615.781', '3', '2476.33', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '7275359', '0', 'object/tangible/crafting/station/shared_public_clothing_station.iff', '0', '0.342898', '0', '0.939373', '-637.854', '3', '2454.74', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '7275419', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '-0.361615', '0', '0.932327', '-608.795', '2.9935', '2481.63', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515360', '0', 'object/tangible/crafting/station/shared_food_station.iff', '0', '0.824886', '0', '-0.5653', '-597.913', '3', '2484.73', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515361', '7515360', 'object/tangible/hopper/shared_crafting_station_ingredient_hopper_1.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515467', '0', 'object/tangible/crafting/station/shared_food_station.iff', '0', '1', '0', '3.20013e-08', '1591.75', '4', '-6368.98', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '7515468', '7515467', 'object/tangible/hopper/shared_crafting_station_ingredient_hopper_1.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845352', '0', 'object/static/structure/dantooine/shared_dant_large_mudhut.iff', '0', '0.994576', '0', '-0.104015', '-3815.14', '3.5', '-5714', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845353', '0', 'object/static/structure/dantooine/shared_dant_small_mudhut.iff', '0', '0.897911', '0', '-0.440178', '-3786.18', '6.5', '-5715.7', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845354', '0', 'object/static/structure/dantooine/shared_dant_large_hut.iff', '0', '0.995083', '0', '0.099041', '-3870.13', '2.5', '-5690.92', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845355', '0', 'object/static/structure/dantooine/shared_dant_large_mudhut.iff', '0', '0.994576', '0', '-0.104015', '-3841.73', '6', '-5685.17', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845357', '0', 'object/static/structure/dantooine/shared_dant_small_mudhut.iff', '0', '0.686451', '0', '0.727177', '-3901.09', '2.5', '-5708.79', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845358', '0', 'object/static/structure/dantooine/shared_dant_small_mudhut.iff', '0', '0.553529', '0', '0.83283', '-3894.97', '2.5', '-5723.43', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845359', '0', 'object/static/structure/dantooine/shared_dant_small_mudhut.iff', '0', '0.309817', '0', '0.950796', '-3844.5', '8', '-5760.17', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845360', '0', 'object/static/structure/dantooine/shared_dant_small_mudhut.iff', '0', '0.239252', '0', '0.970958', '-3886.25', '2.5', '-5737.15', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845361', '0', 'object/static/structure/dantooine/shared_dant_small_mudhut.iff', '0', '0.0815049', '0', '0.996673', '-3872.63', '2.5', '-5742.79', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845364', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0.852108', '0', '0.523366', '-3801.9', '0.15105', '-5766.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845365', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0.819192', '0', '0.57352', '-3796.34', '0.072257', '-5747.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845366', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0.0392736', '-0.465897', '-0.0500337', '0.88255', '-3804.18', '0.84903', '-5770.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845367', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '-0.0345383', '-0.305449', '-0.0182126', '0.951407', '-3809.74', '1.30799', '-5775.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845368', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '-0.0529126', '-0.0668451', '-0.00306488', '0.996355', '-3816.85', '1.61501', '-5778.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845369', '0', 'object/static/structure/dantooine/shared_dant_gate.iff', '0', '0.963558', '0', '-0.267499', '-3822.45', '1.77639', '-5777.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845370', '0', 'object/static/structure/dantooine/shared_dant_gate.iff', '0', '-0.572868', '0', '0.819648', '-3909.66', '2.27878', '-5697.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845371', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '-0.0214497', '0.119303', '-0.123702', '0.984888', '-3828.02', '2.92922', '-5776.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845372', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '-0.12363', '0.0340086', '-0.0449316', '0.990727', '-3835.33', '4.58638', '-5775.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845373', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '-0.146019', '-0.053312', '-0.0761428', '0.984905', '-3843', '5.69153', '-5775.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845374', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '-0.00760832', '0.203622', '-0.0839425', '0.975415', '-3850.24', '6.68633', '-5774.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845375', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0.0635971', '0.396195', '-0.0262223', '0.915586', '-3856.5', '7.19464', '-5770.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845376', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0.0981422', '0.391709', '-0.011351', '0.914769', '-3861.82', '6.70154', '-5764.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845377', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0.0811565', '0.470425', '0.0639365', '0.876371', '-3871.85', '4.38913', '-5753.34', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845378', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '-0.0273343', '0.390775', '0.0660646', '0.917705', '-3866.91', '5.91859', '-5759.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845379', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0.0228702', '0.746162', '-0.0502729', '0.66347', '-3909.81', '2.30291', '-5710.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845380', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0.0195883', '0.381285', '0.0293675', '0.923783', '-3890.75', '3.92865', '-5740.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845381', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '-0.0222041', '0.104787', '-0.0403622', '0.993427', '-3884.22', '3.67222', '-5744.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845382', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '-0.0120732', '0.315009', '0.0283664', '0.948588', '-3877.22', '3.31637', '-5747.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845383', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0.0162575', '0.268445', '0.00273639', '0.963154', '-3896.94', '3.68005', '-5736.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845384', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0.0258416', '0.712023', '0.0418248', '-0.700433', '-3910.23', '2.43664', '-5718.34', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845385', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0.0638785', '0.3221', '0.0128354', '0.944461', '-3903.36', '3.47134', '-5731.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845386', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0.0263915', '0.523844', '-0.00222469', '0.851402', '-3908.32', '2.99352', '-5725.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845387', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0.0275306', '0.664944', '-0.0337251', '0.745623', '-3909.85', '2.64477', '-5702.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845388', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0.0107567', '0.982709', '-0.0172018', '0.18404', '-3894.04', '2.9731', '-5683.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845389', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '-0.0317715', '0.886985', '-0.00853947', '0.460624', '-3906.79', '2.57792', '-5692.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845390', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '-0.0214896', '-0.250427', '0.00475345', '0.967885', '-3901.17', '2.85483', '-5687.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845391', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0.013468', '0.954486', '0.0203331', '0.297256', '-3887.25', '2.85878', '-5680.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845392', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '-0.00295481', '0.629177', '-0.0200721', '0.776997', '-3882.96', '2.65585', '-5681.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845393', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0.010757', '0.982709', '-0.017202', '0.18404', '-3879.82', '2.73924', '-5676.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845394', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0.00750354', '0.933883', '-0.0188499', '0.357', '-3885.35', '2.74361', '-5687.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845395', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0.010757', '0.982709', '-0.017202', '0.18404', '-3895.17', '2.63427', '-5693.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845396', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0.0184249', '0.922858', '-0.00849373', '-0.384605', '-3901.61', '2.63565', '-5692.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845397', '0', 'object/static/structure/dantooine/shared_dant_gate.iff', '0', '0.978196', '0', '0.207682', '-3890.04', '2.81788', '-5691.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845398', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '-0.044561', '0.997042', '0.05354', '0.0324875', '-3872.03', '3.05811', '-5674.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845399', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '-0.155866', '0.987124', '0.0257823', '0.0250388', '-3864.33', '4.65033', '-5673.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845400', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '-0.165603', '0.979106', '0.117768', '-0.00759589', '-3857.03', '7.0728', '-5673.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845401', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0.0585308', '0.997616', '0.0365431', '0.00107664', '-3849.71', '7.60658', '-5673.66', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845402', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0.00235398', '0.999513', '0.0303566', '-0.00685199', '-3841.82', '6.82205', '-5673.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845403', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '-0.0711668', '0.994152', '-0.0304849', '-0.0752842', '-3834.19', '7.20921', '-5674.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845404', '0', 'object/static/structure/dantooine/shared_dant_gate.iff', '0', '-0.143705', '0', '0.989621', '-3819.78', '3.86268', '-5669.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845405', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0.14709', '0.975598', '0.00978064', '0.162721', '-3826.87', '6.9178', '-5674.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845406', '0', 'object/static/structure/dantooine/shared_dant_fence_4m.iff', '0.0941186', '-0.464748', '-0.134423', '0.870104', '-3822.57', '4.98437', '-5671.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845407', '0', 'object/static/structure/dantooine/shared_dant_fence_4m.iff', '0.0235747', '-0.00505841', '0.0758995', '0.996824', '-3816.03', '4.09261', '-5669.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845408', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '-0.140893', '0.957075', '0.0278752', '-0.251751', '-3810.89', '5.7564', '-5671.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845409', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '-0.138344', '0.960046', '0.0181073', '-0.242579', '-3804.32', '7.79002', '-5674.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845410', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '-0.133684', '0.961072', '-0.0148769', '-0.241344', '-3797.77', '9.86243', '-5678.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845411', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '-0.0491516', '0.946946', '0.0220685', '-0.316845', '-3791.58', '11.4861', '-5682.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845412', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '-0.0150699', '0.973316', '-0.0206108', '-0.228045', '-3784.91', '12.2645', '-5686.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845413', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0.0273837', '0.98333', '0.0406323', '-0.175106', '-3777.84', '12.2312', '-5689.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845414', '0', 'object/static/structure/dantooine/shared_dant_fence_4m.iff', '0.0240365', '0.31743', '-0.0911053', '0.943589', '-3773.43', '11.9061', '-5691.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845415', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '-0.0864182', '0.631572', '-0.238021', '0.7328', '-3771.24', '9.02084', '-5698.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845416', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '-0.0225906', '0.650851', '-0.0991405', '0.752365', '-3770.53', '6.15323', '-5705.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845417', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '-0.0417434', '0.631379', '0.00296147', '0.774344', '-3769.26', '5.07926', '-5713.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845418', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0.0313823', '0.855425', '-0.151557', '0.494261', '-3769.04', '3.12978', '-5726.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845419', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '-0.00187193', '0.929776', '-0.138855', '0.340929', '-3780.12', '2.38933', '-5737.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845420', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '-0.0547045', '0.955477', '-0.155914', '0.244464', '-3792.91', '0.912148', '-5745', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845421', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '-0.00956589', '0.963077', '-0.0537111', '0.263641', '-3786.44', '1.97029', '-5741.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845422', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0.0432405', '0.932598', '-0.0855868', '0.347946', '-3774.1', '2.66095', '-5732.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845423', '0', 'object/static/structure/dantooine/shared_dant_gate.iff', '-0.0291923', '0.610974', '-0.102786', '0.784406', '-3767.36', '3.41575', '-5721.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845424', '0', 'object/static/structure/dantooine/shared_dant_fence_4m.iff', '-0.0829282', '0.604174', '-0.137887', '0.780438', '-3767.9', '4.43498', '-5717.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845426', '0', 'object/static/structure/dantooine/shared_dant_small_mudhut.iff', '0', '-0.346093', '0', '0.9382', '-3856.33', '2.5', '-5734.68', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '7845943', '0', 'object/tangible/furniture/all/shared_frn_all_desk_radar_topology_screen.iff', '0', '0.92388', '0', '0.382683', '-4222.14', '9.93596', '-2440.21', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215353', '0', 'object/static/structure/dantooine/shared_dant_large_mudhut.iff', '0', '-0.409215', '0', '0.912438', '-3840.84', '2', '-5728.75', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215354', '0', 'object/static/structure/dantooine/shared_dant_mud_oven.iff', '0', '0.959662', '0', '-0.281157', '-3803.85', '3.56361', '-5716.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215355', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '0.780209', '0', '0.625519', '-3814.17', '3.5', '-5722.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215356', '0', 'object/static/structure/dantooine/shared_dant_hide_tanning_s01.iff', '0', '-0.42141', '0', '0.90687', '-3849.35', '8', '-5754.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215357', '0', 'object/static/structure/dantooine/shared_dant_hide_tanning_s02.iff', '0', '-0.659384', '0', '0.751806', '-3850.81', '7.95445', '-5756.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215358', '0', 'object/static/structure/dantooine/shared_dant_hide_tanning_s02.iff', '0', '0.813416', '0', '0.581683', '-3837.53', '8', '-5759.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215359', '0', 'object/static/structure/dantooine/shared_dant_fish_rack.iff', '0.0538291', '0.0177839', '0.0162385', '0.99826', '-3804.35', '0.0926938', '-5766.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215360', '0', 'object/static/structure/dantooine/shared_dant_fish_rack.iff', '0.0614186', '0.310737', '-0.03588', '0.947831', '-3806.64', '-0.0820274', '-5764.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215361', '0', 'object/static/structure/dantooine/shared_dant_fire_pit.iff', '0', '0', '0', '1', '-3870.4', '2.5', '-5716.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215362', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '0', '-0.124675', '0', '0.992198', '-3863.4', '2.49278', '-5702.42', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215363', '0', 'object/static/structure/dantooine/shared_dant_cooking_stone.iff', '0', '0.807558', '0', '-0.589788', '-3849.58', '2.00001', '-5730.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215364', '0', 'object/static/structure/dantooine/shared_dant_fish_rack.iff', '0', '-0.257081', '0', '0.96639', '-3874.08', '2.49661', '-5716.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215365', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '0.314567', '0', '0.949235', '-3871.78', '2.5', '-5703.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215366', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '0.989621', '0', '0.143704', '-3871.95', '2.5', '-5703.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215367', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '-0.632673', '0', '0.774419', '-3872.57', '2.5', '-5703.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215368', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '0.314567', '0', '0.949235', '-3849.6', '2', '-5726.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215369', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '0.989621', '0', '0.143704', '-3849.77', '2', '-5727.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215370', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '-0.632673', '0', '0.774419', '-3850.39', '2', '-5726.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215371', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '0.378843', '-0.284754', '0.0710695', '0.877691', '-3787.21', '-2.14407', '-5767.97', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215372', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0', '0', '1', '-3815.09', '3.5', '-5714.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215373', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0', '0', '1', '-3844.35', '8', '-5760.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215374', '0', 'object/static/structure/dantooine/shared_dant_fish_rack.iff', '0', '0.96639', '0', '0.257081', '-3872.89', '2.5', '-5716.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215375', '0', 'object/static/structure/dantooine/shared_dant_skull_thune.iff', '-0.147427', '-0.0738557', '0.359351', '0.918519', '-3881.58', '2.84972', '-5706.59', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215376', '0', 'object/static/structure/dantooine/shared_dant_hide_tanning_s01.iff', '0', '0.984727', '0', '0.174108', '-3892.83', '2.56752', '-5693.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215377', '0', 'object/static/structure/dantooine/shared_dant_hide_tanning_s01.iff', '0', '0.984727', '0', '0.174108', '-3895.77', '2.52729', '-5694.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215378', '0', 'object/static/structure/dantooine/shared_dant_hide_tanning_s01.iff', '0', '0.939373', '0', '0.342898', '-3886.76', '2.63565', '-5689.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215379', '0', 'object/static/structure/dantooine/shared_dant_skull_lizard.iff', '0.0926293', '0.786552', '0.193928', '0.57892', '-3869.46', '2.37351', '-5702.87', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215380', '0', 'object/static/structure/dantooine/shared_dant_skull_lizard.iff', '-0.0761196', '0.893809', '0.155371', '-0.413728', '-3865.99', '2.37351', '-5702.08', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215381', '0', 'object/static/structure/dantooine/shared_dant_mud_oven.iff', '0', '0.198669', '0', '0.980067', '-3878.27', '2.50467', '-5736.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215382', '0', 'object/static/structure/dantooine/shared_dant_hide_tanning_s02.iff', '0', '0', '0', '1', '-3886.98', '2.5', '-5730.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215383', '0', 'object/static/structure/dantooine/shared_dant_hide_tanning_s02.iff', '0', '0.995881', '0', '0.0906717', '-3889.02', '2.5', '-5730.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215384', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0', '0', '1', '-3870.43', '2.41873', '-5717.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215385', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0', '0', '1', '-3869.7', '2.5', '-5691.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215386', '0', 'object/static/structure/general/shared_campfire_burnt.iff', '0', '0', '0', '1', '-3885.96', '2.5', '-5737.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215387', '0', 'object/static/structure/general/shared_campfire_ash.iff', '0', '0', '0', '1', '-3894.61', '2.5', '-5723.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215388', '0', 'object/static/structure/general/shared_campfire_ash.iff', '0', '0', '0', '1', '-3872.61', '2.52366', '-5743.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215389', '0', 'object/static/structure/general/shared_campfire_burnt.iff', '0', '0', '0', '1', '-3856.38', '2.5', '-5734.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215390', '0', 'object/static/structure/general/shared_campfire_smoldering.iff', '0', '0', '0', '1', '-3841.17', '2', '-5728.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215391', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '0.8699', '0', '0.493227', '-3845.75', '6', '-5693.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215392', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '0.830497', '0', '-0.557023', '-3846.53', '6', '-5693.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215393', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '0.0499791', '0', '0.99875', '-3846.16', '6', '-5693.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215394', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '0.314567', '0', '0.949235', '-3838.89', '6', '-5693.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215395', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '0.989621', '0', '0.143704', '-3839.06', '6', '-5694.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215396', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '-0.632673', '0', '0.774419', '-3839.69', '6', '-5693.59', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215397', '0', 'object/static/structure/dantooine/shared_dant_skull_lizard.iff', '-0.128357', '0.98242', '0.096392', '-0.0953147', '-3841.55', '5.88677', '-5694', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215398', '0', 'object/static/structure/dantooine/shared_dant_mud_oven.iff', '0', '0.589145', '0', '0.808028', '-3894.64', '2.04139', '-5714.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215399', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '-0.285952', '0', '0.958244', '-3894.31', '2.47407', '-5714.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215400', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '0.242556', '0', '0.970137', '-3896.55', '2.49531', '-5706', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215402', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '-0.342898', '0', '0.939373', '-3864.29', '2.5', '-5697.54', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215403', '0', 'object/static/item/shared_item_basket_shallow.iff', '0', '-0.342898', '0', '0.939373', '-3865.79', '2.5', '-5698.21', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215404', '0', 'object/static/item/shared_item_basket_shallow.iff', '-0.167395', '-0.299262', '0.45858', '0.819832', '-3867.27', '2.93659', '-5693.56', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215405', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '-0.342898', '0', '0.939373', '-3899.28', '2.5', '-5710.69', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215406', '0', 'object/static/item/shared_item_basket_shallow.iff', '0', '-0.342898', '0', '0.939373', '-3891.25', '2.5', '-5718.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215407', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '-0.342898', '0', '0.939373', '-3896.12', '2.5', '-5726.13', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215408', '0', 'object/static/item/shared_item_basket_shallow.iff', '0', '-0.342898', '0', '0.939373', '-3894.42', '2.5', '-5720.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215409', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '0.747971', '0', '-0.663731', '-3887.16', '2.5', '-5739.79', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215410', '0', 'object/static/item/shared_item_basket_shallow.iff', '0.274896', '-0.147675', '-0.469681', '0.825848', '-3888.75', '2.98207', '-5738.81', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215411', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '-0.281158', '0', '0.959662', '-3846.68', '2.00002', '-5721.06', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215412', '0', 'object/static/item/shared_item_basket_shallow.iff', '0', '-0.281158', '0', '0.959662', '-3857.81', '2.50083', '-5736.82', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215413', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '-0.342898', '0', '0.939373', '-3873.29', '2.51202', '-5741.51', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215414', '0', 'object/static/item/shared_item_basket_shallow.iff', '0', '-0.342898', '0', '0.939373', '-3869.01', '2.51202', '-5738.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215415', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '-0.124675', '0', '0.992198', '-3854.44', '2.50041', '-5736.84', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215416', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '0.844162', '0', '-0.536088', '-3855.41', '2.50017', '-5737.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215417', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '0.285952', '0', '0.958244', '-3843.51', '6', '-5680.46', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215418', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '-0.677972', '0', '0.735087', '-3838.73', '6', '-5681.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215419', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '0.999991', '0', '0.00420407', '-3837.14', '6', '-5682.21', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215420', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '-0.342898', '0', '0.939373', '-3810.49', '3.5', '-5720.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215421', '0', 'object/static/item/shared_item_basket_shallow.iff', '0', '0', '0', '1', '-3809.22', '3.5', '-5720.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215422', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '0.888928', '0', '-0.458046', '-3811.76', '3.5', '-5721.46', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215423', '0', 'object/static/item/shared_item_basket_shallow.iff', '0', '0', '0', '1', '-3816.86', '3.5', '-5709.41', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215424', '0', 'object/static/item/shared_item_basket_shallow.iff', '-0.609899', '-0.128254', '-0.117376', '0.773173', '-3818.47', '4.03516', '-5709.47', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215425', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '0', '0', '1', '-3810.54', '3.5', '-5711.11', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215426', '0', 'object/static/structure/general/shared_campfire_smoldering.iff', '0', '0', '0', '1', '-3787.48', '6.5', '-5716.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215427', '0', 'object/static/item/shared_item_basket_shallow.iff', '0', '0', '0', '1', '-3788.38', '6.5', '-5720.93', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215428', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '0', '0', '1', '-3792.31', '6.49831', '-5718', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215429', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '-0.663135', '0', '0.748499', '-3783.37', '6.5', '-5716.12', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215430', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '0', '0', '1', '-3839.13', '8', '-5756.37', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215431', '0', 'object/static/item/shared_item_basket_shallow.iff', '-0.109409', '0.332767', '-0.553941', '0.755278', '-3840.03', '8.51914', '-5757.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215432', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '0.271547', '0', '0.962425', '-3847.67', '8', '-5760.38', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215529', '0', 'object/static/structure/dantooine/shared_dant_jedi_main_structure.iff', '0', '0.213347', '0', '0.976976', '4192.16', '8', '5196.29', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215535', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_altar.iff', '0', '0.213347', '0', '0.976976', '4256.36', '8', '5336.27', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215538', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_med.iff', '0', '0.213347', '0', '0.976976', '4214.97', '8', '5236.43', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215540', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar.iff', '0', '0.976976', '0', '-0.213347', '4207.7', '8', '5239.77', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215547', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0.976976', '0', '-0.213347', '4222.71', '8', '5272.49', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215548', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar.iff', '0', '0.976976', '0', '-0.213347', '4229.98', '8', '5269.16', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215554', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_med.iff', '0', '0.976976', '0', '-0.213347', '4237.72', '8', '5305.21', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215555', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0.976976', '0', '-0.213347', '4244.99', '8', '5301.88', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215573', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '0.287026', '-0.0463201', '-0.152436', '0.944581', '-5661.73', '22.0759', '7074.56', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215574', '0', 'object/static/structure/dantooine/shared_dant_jedi_wall_1.iff', '0', '-0.338197', '0', '0.941075', '-5655.68', '21.9282', '7071.93', '256', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215575', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '-0.0606076', '-0.284353', '0.199455', '0.935782', '-5660.38', '23.1147', '7082.32', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215577', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.69251', '0.280189', '-0.571554', '0.339485', '-5223.36', '2.62838', '7102.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215578', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0.266732', '0', '0.963771', '-5223.04', '4.44011', '7102.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215579', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.653552', '0.534739', '-0.53557', '-0.0094134', '-5221.84', '3.10243', '7104.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215581', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0.266731', '0', '0.963771', '-5222.99', '3.50687', '7102.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215582', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.108244', '0.891571', '-0.320406', '0.301204', '-5222.1', '4.11741', '7104', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215583', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0.49688', '0', '0.867819', '-5222.34', '4.45416', '7103.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215584', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '-0.127421', '0.774577', '-0.444231', '0.431802', '-5222.66', '4.69539', '7103.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215587', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0.717356', '0', '0.696707', '-5223.68', '4.06056', '7103.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215588', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '-0.443948', '0', '0.896052', '-5224.56', '3.21473', '7103.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215589', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '-0.0799147', '0', '0.996802', '-5223.9', '3.77859', '7103.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215590', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0.761095', '0', '-0.64864', '-5224.27', '3.43962', '7103.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215591', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.59151', '0.344106', '-0.307947', '0.660966', '-5225.38', '2.63062', '7103.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215601', '0', 'object/static/structure/dantooine/shared_dant_fence_4m.iff', '0.0499486', '-0.0349491', '0.00174891', '0.998139', '-4723.8', '3.97799', '7027.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215603', '0', 'object/building/endor/shared_endr_lake_rail2m.iff', '0.211294', '0.612241', '-0.197979', '0.735744', '-4719.5', '2.81809', '7021.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215604', '0', 'object/static/structure/dantooine/shared_dant_jedi_wall_1.iff', '0', '0.457338', '0', '0.889293', '-3883.64', '23.2844', '6811.59', '256', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215605', '0', 'object/static/structure/dantooine/shared_dant_jedi_wall_2.iff', '0', '-0.305437', '0', '0.952212', '-3885.78', '23.2805', '6815.07', '256', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215606', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_fallen.iff', '0', '0.786425', '0', '0.617686', '-3877.15', '23.2981', '6821.27', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215618', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0', '0', '1', '-3001.78', '1.49301', '6672.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215619', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0', '0', '1', '-3002.15', '1.41694', '6677', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215620', '0', 'object/static/structure/dantooine/shared_dant_fence_4m.iff', '0', '0.748235', '0', '-0.663433', '-2997.98', '1.3897', '6674.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215621', '0', 'object/static/structure/dantooine/shared_dant_fence_4m.iff', '0', '-0.707106', '0', '0.707107', '-3005.98', '1.59076', '6674.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215623', '0', 'object/static/structure/dantooine/shared_dant_large_rock_hut.iff', '0', '0', '0', '1', '-2992.24', '1.22292', '6681.51', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215624', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0.819192', '0', '0.57352', '-2988.27', '0.77288', '6675.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215626', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0.34759', '0', '0.937646', '-2993.68', '1.44298', '6692.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215627', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0.906534', '0', '0.422133', '-2997.44', '1.18475', '6688.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215628', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '-0.572867', '0', '0.819648', '-2998.09', '1.28132', '6681.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215629', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '-0.00400081', '0.014456', '-0.266701', '0.963663', '-2984.2', '1.30343', '6676.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215632', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.277279', '0.457425', '0.0934482', '0.83973', '-2986.59', '1.22474', '6670.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215633', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '-0.336571', '0.732092', '0.0680454', '-0.588329', '-2993.16', '1.11297', '6674.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215635', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.524347', '0.715173', '-0.297173', '0.353944', '-2989.63', '1.0959', '6673.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215637', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '-0.605186', '0', '0.796084', '-2986.23', '0.85496', '6673.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215638', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0.777072', '0', '-0.629412', '-2984.75', '1.2711', '6677.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215639', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '-0.19909', '0.0461906', '0.434451', '0.877201', '-2981.95', '1.25708', '6675.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215640', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.397273', '0.41547', '-0.183003', '0.797539', '-2981.97', '1.28247', '6680.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215641', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0', '0', '1', '-2983.96', '1.18411', '6674.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215648', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0.770739', '0', '0.637151', '-2984.26', '2.15186', '6675.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215649', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0.681638', '0', '0.731689', '-2991.3', '1.13819', '6674.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215650', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0.37092', '0', '0.928665', '-2990.16', '1.20938', '6671.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215651', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '-0.13876', '0.880989', '-0.396843', '-0.21707', '-3001.02', '1.52618', '6678.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215652', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '-0.276356', '0', '0.961055', '-2982.83', '1.19225', '6683.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215657', '0', 'object/static/structure/naboo/shared_gungan_damaged_wide_arch_s01.iff', '0.344', '0.891205', '-0.0714875', '-0.286893', '-2503.89', '14.5419', '6381.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215658', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '-0.4245', '0.759535', '-0.13566', '0.473816', '-2507.78', '14.4302', '6381.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215659', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0', '0', '1', '-2504.98', '11.282', '6385.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215660', '0', 'object/static/structure/tatooine/shared_guild_ball_free_style_01.iff', '0', '0', '0', '1', '-2495.23', '16.5458', '6377.06', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215686', '0', 'object/static/structure/dantooine/shared_dant_skull_thune.iff', '-0.173958', '0.905297', '0.362274', '-0.137596', '-2139.29', '31.0486', '6722.86', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215690', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_tail.iff', '0.0273319', '0.996941', '0.0685253', '0.025804', '-2139.32', '30.2802', '6724.35', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215702', '0', 'object/static/structure/naboo/shared_gungan_relic_s01.iff', '0.0292548', '-0.232415', '-0.0334889', '0.9716', '-930.657', '8.8195', '6905.42', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215707', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0.947396', '0', '0.320064', '-474.419', '9.42043', '6564.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215708', '0', 'object/static/structure/dantooine/shared_dant_skull_lizard.iff', '-1.90039e-11', '0.947396', '-4.79348e-10', '0.320064', '-474.025', '12.2711', '6564.55', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215726', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.237809', '0.120799', '0.436479', '0.859268', '-476.368', '9.06163', '6562.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215727', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '-0.297759', '0.0389283', '-0.123651', '0.945798', '-474.052', '8.52739', '6562.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215728', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.152666', '-0.0455574', '-0.2823', '0.946004', '-472.336', '8.27143', '6563.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215729', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '-0.362357', '0.142633', '0.337359', '0.857054', '-471.556', '8.65967', '6564.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215730', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.310512', '-0.0926608', '-0.270523', '0.906539', '-472.415', '9.23862', '6566.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215731', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '-0.117632', '0.317839', '-0.263603', '0.903136', '-474.189', '9.9198', '6567.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215732', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '-0.379975', '0.292349', '0.695539', '-0.535142', '-476.474', '10.0593', '6567.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215733', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0', '0.252245', '0.967663', '-477.57', '9.80966', '6564.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215756', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '0', '0.609159', '0', '0.793048', '-288.829', '23.3337', '6896.93', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215757', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '-0.0143801', '0.773503', '0.585832', '-0.241426', '-302.041', '24.1845', '6890.79', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215758', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0', '0.953271', '0', '-0.302117', '381.498', '1.67106', '7223.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215759', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0', '-0.166209', '0', '0.986091', '372.911', '2.06951', '7223.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215760', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0', '0.882415', '0', '0.470472', '365.242', '2.23558', '7229.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215761', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0', '-0.368453', '0', '0.929646', '363.445', '2.17121', '7238.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215762', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0', '0.536235', '0', '0.844069', '368.24', '1.96242', '7243.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215763', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0', '0.237703', '0', '0.971338', '377.512', '1.96183', '7244.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215764', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0', '0.773915', '0', '-0.63329', '384.153', '1.67012', '7239.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215765', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0', '0.864583', '0', '-0.502491', '384.064', '1.72269', '7230.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215766', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '0', '-0.469694', '0', '0.882829', '378.679', '1.69898', '7229.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215767', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '0', '-0.389418', '0', '0.921061', '375.266', '1.87037', '7227.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215768', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '0', '0.641196', '0', '0.767377', '370.425', '2.02638', '7228.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215769', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '0', '-0.281157', '0', '0.959662', '367.21', '2.02819', '7234.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215770', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '0', '0', '0', '1', '368.978', '1.95624', '7238.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215771', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '0', '-0.341906', '0', '0.939734', '373.823', '1.91929', '7241.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215772', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '0', '0.29552', '0', '0.955337', '378.469', '1.78588', '7238.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215773', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '0', '0.720831', '0', '-0.693111', '380.088', '1.70318', '7233.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215774', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0', '-0.305059', '0', '0.952334', '376.982', '1.67128', '7232.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215775', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0', '0.384808', '0', '0.922997', '375.048', '1.6665', '7230.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215776', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0', '0.997129', '0', '-0.0757239', '372.749', '1.88038', '7229.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215777', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0', '-0.488177', '0', '0.872744', '369.828', '1.84523', '7231.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215778', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0', '0.989621', '0', '-0.143704', '369.329', '1.88332', '7235.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215779', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0', '-0.174108', '0', '0.984727', '372.178', '1.75201', '7238.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215780', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0', '0.324043', '0', '0.946042', '375.37', '1.7563', '7238.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215781', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0', '0.930216', '0', '0.367014', '376.799', '1.60226', '7235.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215783', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0', '0', '1', '1184.67', '11.1765', '7055.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215784', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0', '0', '1', '1184.57', '11.8921', '7048.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215785', '0', 'object/static/structure/dantooine/shared_dant_cooking_stone.iff', '0', '0.717356', '0', '0.696707', '1186.55', '11.4637', '7050.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215786', '0', 'object/static/structure/dantooine/shared_dant_fence_4m.iff', '0', '-0.663136', '0', '0.748499', '1189.11', '10.9881', '7053.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215789', '0', 'object/static/flora/shared_flora_decd_scorched_tallbirch_broke.iff', '0.245558', '0.552306', '0.380405', '-0.699965', '2098.9', '19.6308', '30.9803', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215790', '0', 'object/static/flora/shared_flora_decd_scorched_tallbirch_broke.iff', '-0.416871', '0', '0', '0.908966', '2104.59', '19.847', '38.2525', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215791', '0', 'object/static/flora/shared_flora_decd_scorched_tallbirch_broke.iff', '0.0353038', '0.815807', '0.343245', '0.464108', '2107.25', '20.6577', '25.3739', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215794', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '-0.00109114', '-0.666861', '0.00487947', '0.745165', '2323.37', '9.12426', '6121.03', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215795', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '0', '0.95657', '0', '-0.291502', '2350.04', '18.0025', '6074.92', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215798', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '0', '0.991008', '0', '0.133801', '2408.1', '22.9961', '6055.34', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215800', '0', 'object/static/structure/dantooine/shared_dant_large_mudhut.iff', '0.0186674', '0.841034', '-0.015153', '-0.540448', '1642.94', '23.6527', '5939.49', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215801', '0', 'object/static/structure/dantooine/shared_dant_cooking_stone.iff', '0.040779', '0.0587219', '0.175581', '0.981866', '1633.27', '22.8219', '5943.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215808', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_altar.iff', '0', '0.717356', '0', '-0.696707', '1167.74', '22.2643', '5754.51', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215809', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar.iff', '0', '-0.707106', '0', '0.707108', '1174.74', '20.2178', '5750.51', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215810', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar.iff', '0', '0', '0', '1', '1181.74', '17.8877', '5750.51', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215811', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar.iff', '0', '0.744643', '0', '-0.667463', '1181.74', '18.247', '5758.51', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215812', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '0', '0', '1', '1174.74', '20.858', '5758.51', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215813', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_fallen.iff', '0', '-0.560509', '0', '0.828148', '1176.42', '20.3589', '5762.85', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215814', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_fallen.iff', '0.604568', '0.332395', '0.398761', '-0.604153', '1178.88', '19.4872', '5766.67', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215815', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '-0.674288', '0', '0.738469', '-217.482', '1.79077', '5947.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215816', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '-0.34759', '0', '0.937647', '-221.051', '1.72384', '5940.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215817', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '-0.114747', '0', '0.993395', '-228.149', '1.63641', '5936.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215818', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.183946', '0', '0.982936', '-235.811', '1.35766', '5936.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215819', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.849481', '0', '-0.52762', '-241.528', '0.818216', '5942.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215820', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '-0.696136', '0', '0.71791', '-243.384', '1.25232', '5949.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215821', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '-0.539632', '0', '0.841901', '-242.306', '1.03331', '5957.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215822', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '-0.227978', '0', '0.973666', '-237.31', '0.891413', '5962.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215823', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.0898786', '0', '0.995953', '-229.155', '1.63122', '5963.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215824', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.398609', '0', '0.917121', '-222.784', '1.94294', '5959.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215826', '0', 'object/static/structure/dantooine/shared_dant_fence_4m.iff', '-0.0531432', '0.839903', '0.0274927', '-0.539428', '-218.532', '2.06959', '5953.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215827', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '-0.585097', '0', '0.810963', '-243.125', '1.16844', '5960.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215828', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '-9.02035e-09', '0.996865', '8.53811e-10', '-0.0791207', '-240.293', '1.5427', '5935.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215829', '0', 'object/static/structure/dantooine/shared_dant_skull_lizard.iff', '0', '0', '0', '1', '-219.049', '1.39697', '5945.37', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215830', '0', 'object/static/structure/dantooine/shared_dant_skull_thune.iff', '0', '0.988652', '0', '-0.150225', '-229.066', '1.09878', '5959.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215831', '0', 'object/static/structure/dantooine/shared_dant_skull_bol.iff', '0', '0', '-0.338197', '0.941075', '-244.808', '1.06987', '5940.73', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215832', '0', 'object/static/structure/dantooine/shared_dant_skull_thune.iff', '-0.288819', '-0.556916', '-0.317326', '0.711148', '-250.696', '1.52901', '5954.99', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215834', '0', 'object/static/structure/tatooine/shared_skeleton_greater_krayt_spine_small.iff', '0.00265592', '-0.531179', '-0.00423626', '0.847245', '-251.227', '1.39421', '5944.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215835', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_foot.iff', '-0.189338', '-0.0560546', '0.123604', '0.972487', '-228.495', '0.863624', '5962.69', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215844', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0.998488', '0', '-0.0549723', '337.498', '16.1175', '5550.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215845', '0', 'object/static/structure/dantooine/shared_dant_skull_lizard.iff', '0', '0.955101', '0', '-0.296281', '335.397', '16.281', '5548.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215846', '0', 'object/static/structure/dantooine/shared_dant_skull_lizard.iff', '0', '1', '0', '-0.000796449', '337.474', '16.0759', '5547.66', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8215847', '0', 'object/static/structure/dantooine/shared_dant_skull_lizard.iff', '0', '0.877964', '0', '0.478727', '339.879', '15.5152', '5549.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265352', '0', 'object/static/structure/dantooine/shared_dant_jedi_wall_1.iff', '0', '0.370921', '0', '0.928665', '-1055.32', '0.783981', '5766.39', '256', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265353', '0', 'object/static/structure/dantooine/shared_dant_jedi_wall_2.iff', '0', '-0.394384', '0', '0.918946', '-1057.96', '0.518641', '5769.27', '256', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265354', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_med.iff', '0', '0.918788', '0', '0.394751', '-1064.53', '1.33183', '5756.91', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265355', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0.370921', '0', '0.928665', '-1047.29', '1.2814', '5774.63', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265381', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '0.257004', '-0.138082', '0.175984', '0.940166', '-2782.17', '14.2866', '5668.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265382', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0.891929', '0', '0.452176', '-2776.66', '13.4236', '5663.59', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265383', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0.906534', '0', '-0.422132', '-2790.29', '13.0156', '5667.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265384', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0', '0', '1', '-2780.96', '13.1118', '5676.66', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265385', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '-2783.06', '13.4238', '5667.48', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265386', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '-2780.63', '13.4066', '5669.35', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265387', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '-0.149438', '0', '0.988771', '-2542.72', '8.14694', '6346.62', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265390', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '0.552199', '0', '0.833712', '-2545.58', '18.5365', '6345.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265391', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0.973848', '0', '0.227202', '-2536.02', '14.9574', '6346.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265394', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0.786425', '0', '-0.617686', '-2542.26', '18.5562', '6346.7', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265395', '0', 'object/static/structure/naboo/shared_gungan_damaged_wide_arch_s01.iff', '0.0237406', '0.17255', '0.1626', '0.971197', '-4082.5', '34.7491', '5959.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265396', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0.0699947', '-0.130403', '-0.259188', '0.95442', '-4086.31', '32.8947', '5956.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265398', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0', '0', '1', '-4088.12', '32.9376', '5966.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265399', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '-0.417619', '0.640201', '-0.295217', '-0.573222', '-4076.9', '34.7126', '5963.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265400', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0', '0', '1', '-4091.94', '32.8406', '5959.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265401', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0.679563', '-0.113635', '0.181173', '0.701754', '-4082.13', '35.4137', '5957.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265402', '0', 'object/static/structure/dantooine/shared_dant_small_mudhut.iff', '-0.00349818', '0.99965', '-0.0262305', '9.18669e-05', '-4436.69', '1.78345', '5312.37', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265403', '0', 'object/static/structure/dantooine/shared_dant_small_mudhut.iff', '0.0221708', '-0.704439', '-0.0434267', '0.708087', '-4421.62', '1.88277', '5299.83', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265404', '0', 'object/static/structure/dantooine/shared_dant_cooking_stone.iff', '-0.231008', '-0.508495', '-0.134067', '0.818593', '-4436.22', '2.05494', '5298.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265405', '0', 'object/static/structure/dantooine/shared_dant_gate.iff', '-0.00521366', '0.375517', '-0.0140642', '0.926694', '-4447.2', '1.01391', '5302.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265406', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0.75142', '0.295611', '-0.284865', '0.51656', '-4442.97', '2.46936', '5296.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265407', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '0', '0.91071', '0', '0.413046', '-4974.99', '63.497', '6365.93', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265408', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_med.iff', '0', '0', '0', '1', '-4973.33', '62.9199', '6370.01', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265409', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_med.iff', '0', '-0.576958', '0', '0.816774', '-4978.29', '63.1853', '6363.33', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265410', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_med.iff', '0', '-0.352274', '0', '0.935897', '-4972.08', '63.0367', '6362.98', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265423', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_ribcage.iff', '-0.0220525', '0.243624', '-0.0524538', '0.968199', '-6166.65', '2.15958', '5857.61', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265425', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '-0.286981', '0.393626', '-0.123018', '0.86462', '-6492.56', '16.8422', '4887.9', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265426', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '-0.0727005', '0.757517', '0.139028', '-0.633683', '-6500.81', '17.4857', '4894.86', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265427', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0.179051', '0.615435', '0.210507', '0.738151', '-6497.24', '16.1713', '4888.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265431', '0', 'object/static/structure/general/shared_prp_junk_s4.iff', '0', '0.757843', '0', '-0.652438', '-6497.52', '18.5847', '4895.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265436', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0', '0.955572', '0', '0.294759', '-7292.19', '2.02359', '4314.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265437', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0', '-0.325759', '0', '0.945453', '-7288.12', '-0.09193', '4318.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265438', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0', '0.991665', '0', '0.128845', '-7284.68', '1.83163', '4323.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265439', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0', '0.919416', '0', '-0.393287', '-7281.37', '1.30098', '4328.59', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265440', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0', '0.509841', '0', '0.860269', '-7276.85', '2.65811', '4331.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265441', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0', '0.509841', '0', '0.860269', '-7296.43', '2.28334', '4310.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265442', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0', '0.169182', '0', '0.985585', '-7272.76', '2.9057', '4336.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265444', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '0', '0.948985', '0', '-0.315322', '-7301.84', '2.99392', '4307.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265446', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0', '0.767543', '0', '-0.640997', '-7304.52', '4.87394', '4306.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265448', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '-0.011304', '-0.351072', '0.0589816', '0.93442', '-7279.35', '2.59081', '4331.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265449', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0.0182846', '-0.451226', '0.0463132', '0.89102', '-7283.54', '2.01493', '4326.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265450', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0.0130892', '-0.470665', '-0.00635775', '0.882192', '-7287.22', '2.23948', '4321.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265451', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '-0.00633918', '-0.370937', '0.00294476', '0.928632', '-7290.28', '2.32047', '4316.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265453', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '-0.0229834', '0.926788', '-0.010629', '0.37473', '-7295.19', '2.26208', '4313.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265454', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0.0292631', '-0.359225', '-0.0942242', '0.928021', '-7299.7', '2.59895', '4309.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265457', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0.0643914', '-0.405653', '0.0845658', '0.907826', '-7275.81', '3.02034', '4334.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265458', '0', 'object/building/endor/shared_endr_lake_rail8m.iff', '-0.0461432', '0.0651247', '0.0309153', '0.99633', '-7268.56', '3.9821', '4337.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265459', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '0', '0.466208', '0', '0.884675', '-5510.28', '48.1834', '4461.43', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265460', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '0', '0.930216', '0', '-0.367014', '-5545.65', '51.1497', '4428.11', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265498', '0', 'object/static/structure/dantooine/shared_dant_skull_bol.iff', '0.0775191', '0.406288', '-0.0346179', '0.909792', '-5544.23', '50.5237', '4429.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265500', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_altar.iff', '0', '1', '0', '3.20013e-08', '-4219.53', '33.191', '4270.24', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265501', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar.iff', '0', '0', '0', '1', '-4224.36', '33.49', '4259.41', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265502', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '0', '0', '1', '-4224.51', '33.6159', '4251.53', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265503', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_med.iff', '0', '0', '0', '1', '-4213.97', '33.2547', '4260.15', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265504', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0', '0', '1', '-4214.14', '34.6877', '4252.25', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265505', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_fallen.iff', '0', '0', '0', '1', '-4211.23', '35.2664', '4246.73', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265506', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_fallen.iff', '0.712979', '-0.0138013', '0.0354748', '0.700152', '-4207.06', '35.8962', '4246.3', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265507', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_fallen.iff', '0', '0', '0', '1', '-4227.12', '34.5273', '4249.6', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265508', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_fallen.iff', '0', '0', '0', '1', '-4238.98', '19.0942', '4249.21', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265509', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_fallen.iff', '-0.024395', '0.73122', '-0.681202', '-0.0261862', '-4233.02', '35.4926', '4249.78', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265510', '0', 'object/static/structure/general/shared_planter_generic_style_4.iff', '0', '0', '0', '1', '-2625.04', '22.9604', '5282.7', '93', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265511', '0', 'object/static/structure/general/shared_planter_generic_style_4.iff', '0', '0', '0', '1', '-2620.8', '22.8231', '5285.06', '93', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265512', '0', 'object/static/structure/general/shared_planter_generic_style_4.iff', '0', '0', '0', '1', '-2616.02', '21.723', '5284.61', '93', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265513', '0', 'object/static/structure/general/shared_planter_generic_style_4.iff', '0', '0', '0', '1', '-2615.03', '22.7881', '5280.61', '93', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265514', '0', 'object/static/structure/general/shared_planter_generic_style_4.iff', '0', '0', '0', '1', '-2616.38', '22.3683', '5276.11', '93', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265516', '0', 'object/static/structure/general/shared_planter_generic_style_4.iff', '0', '0', '0', '1', '-2622.9', '21.8426', '5272.99', '93', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265522', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0', '0', '1', '-1931.85', '7', '4613.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265523', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '-0.539111', '0.807015', '-0.193742', '-0.14335', '-1931.89', '9.24951', '4613.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265524', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '-0.696135', '0', '0', '0.717911', '-1924.71', '7.16165', '4614', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265525', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '-0.45504', '0.544918', '0.502578', '-0.493375', '-1931.9', '11.132', '4613.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265526', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.468853', '-0.503846', '0.615728', '0.383659', '-1924.69', '9.33277', '4613.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265527', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0', '0', '1', '-1931.82', '8.07527', '4613.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265528', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.681638', '0', '0', '0.731689', '-1924.71', '8.12093', '4613.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265529', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.663135', '0', '0', '0.748499', '-1931.85', '10.1923', '4614.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265530', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0', '0', '1', '-1931.92', '12.1568', '4614.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265541', '0', 'object/static/structure/general/shared_prp_junk_s7.iff', '0.789504', '0', '0', '0.613746', '-1562.24', '7.90094', '5460.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265543', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '-0.166479', '0.659837', '0.237298', '-0.693246', '-1568.69', '6.62267', '5466.05', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265544', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '-0.173683', '-0.238637', '0.0434248', '0.954463', '-1568.93', '6.73983', '5465.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265561', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '127.386', '21.6516', '5232.66', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265580', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '0', '0', '1', '2072.75', '10.2151', '5310.57', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265581', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_med.iff', '0', '0', '0', '1', '2065', '9.33717', '5316', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265582', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0', '0', '1', '2056', '9.80983', '5311', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265583', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar.iff', '0', '0', '0', '1', '2056', '11.2128', '5302', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265584', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar.iff', '0', '0', '0', '1', '2072', '11.5934', '5302', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265585', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0', '0', '1', '2065.05', '11.4792', '5297.23', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265587', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_fallen.iff', '0.649372', '0.324097', '0.328012', '-0.604719', '2074.83', '10.0781', '5313.75', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265588', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_fallen.iff', '0.491353', '-0.421411', '0.294532', '0.703019', '2076.87', '9.48872', '5316.81', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265589', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_fallen.iff', '0', '-0.488177', '0', '0.872745', '2079.3', '9.40134', '5319.73', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265590', '0', 'object/static/structure/dantooine/shared_dant_large_rock_hut.iff', '0', '0', '0', '1', '1674.64', '20.4876', '4880.65', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265593', '0', 'object/static/structure/general/shared_planter_generic_style_4.iff', '0', '0', '0', '1', '1673.97', '7.34889', '4879.6', '93', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265594', '0', 'object/static/structure/dantooine/shared_dant_cooking_stone.iff', '-0.251776', '-0.537728', '-0.172249', '0.785995', '1680.84', '21.2503', '4868.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265595', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '-0.33218', '0.649739', '-0.586784', '-0.350971', '1669.98', '21.1136', '4867.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265596', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '-0.535416', '0', '0.844589', '1524.87', '-4.50797', '4658.41', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265633', '0', 'object/static/structure/dantooine/shared_dant_jedi_wall_1.iff', '0.0651655', '0.0226467', '0.114218', '0.991057', '449.94', '2.32857', '4602.96', '256', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265634', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0', '0', '1', '447.919', '4.0067', '4595.9', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265635', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0', '0', '1', '439.322', '2.53969', '4595.01', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265636', '0', 'object/static/structure/dantooine/shared_dant_jedi_wall_2.iff', '0.00289738', '-0.0145527', '0.159373', '0.987107', '438.124', '2.03573', '4602.77', '256', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265637', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0', '0', '1', '448.175', '1.99835', '4611.58', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265638', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0', '0', '1', '439.817', '0.725421', '4611.24', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265649', '0', 'object/static/structure/general/shared_atat_destroyed.iff', '0', '0', '0', '1', '-216.014', '11.3006', '4863.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265650', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '-217.647', '8.99742', '4874.69', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265651', '0', 'object/static/structure/general/shared_planter_generic_style_4.iff', '0', '0', '0', '1', '-214.454', '-0.13924', '4865.81', '93', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265652', '0', 'object/static/structure/general/shared_planter_generic_style_3.iff', '0', '0', '0', '1', '-215.755', '2.54759', '4859.45', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265653', '0', 'object/static/structure/general/shared_planter_generic_style_3.iff', '0', '0', '0', '1', '-216.488', '1.83907', '4873.18', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265654', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '-217.488', '8.79366', '4864.61', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265655', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '-213.312', '9.706', '4863.65', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265656', '0', 'object/static/structure/general/shared_planter_generic_style_3.iff', '-0.0299429', '0.938677', '-0.00177479', '-0.343491', '-209.989', '2.41379', '4850.36', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265657', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '-209.062', '10.7107', '4848.15', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265659', '0', 'object/static/structure/general/shared_planter_generic_style_2.iff', '0', '0.457338', '0', '0.889293', '-216.475', '11.5182', '4862.89', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265662', '0', 'object/static/structure/naboo/shared_gungan_damaged_narrow_arch_s01.iff', '0', '0.830497', '0', '0.557023', '1019.75', '23.6252', '4356.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265663', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0.830497', '0', '0.557023', '1023.67', '23.7955', '4358.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265664', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0.830497', '0', '0.557023', '1024.81', '23.456', '4361.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265665', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0.830497', '0', '0.557023', '1018.12', '23.2892', '4360.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265666', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0.830497', '0', '0.557023', '1019.26', '23.4454', '4363.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265667', '0', 'object/static/structure/naboo/shared_gungan_damaged_narrow_arch_s01.iff', '0', '0.830497', '0', '0.557023', '1023.17', '23.6983', '4365.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265670', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_med.iff', '0', '0', '0', '1', '-1187.32', '7.1236', '4111.56', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265671', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0', '0', '1', '-1190.17', '22.5191', '4101.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265672', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '-0.183438', '-0.464596', '-0.099025', '0.860637', '-1295.18', '18.2587', '3888.35', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265673', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '-0.0219969', '-0.474883', '-0.0118746', '0.879694', '-1281.89', '18.7731', '3895.57', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265674', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '-0.0958515', '-0.511386', '-0.244835', '0.818139', '-1275.54', '19.3844', '3909.44', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265675', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '0.443656', '-0.402786', '-0.111781', '0.792741', '-1265.99', '13.4648', '3930.3', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265677', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '-0.266252', '0.772578', '-0.0159943', '-0.576175', '-1317.91', '11.2578', '3874.45', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265679', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '-0.384808', '0', '0.922997', '300.876', '1.95735', '3520.14', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265680', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '0.977865', '0', '-0.209239', '295.463', '1.93415', '3535.22', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265681', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '0.543835', '0', '0.839192', '278.766', '2.09708', '3513.34', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265687', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0.00652424', '-0.434917', '-0.0135062', '0.900346', '293.776', '1.34305', '3514.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265688', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0.266333', '-0.422337', '0.116415', '0.858572', '288.386', '1.81612', '3508.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265689', '0', 'object/static/structure/dantooine/shared_dant_fence_4m.iff', '0.216911', '-0.0239569', '-0.107132', '0.969999', '288.07', '2.591', '3534.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265718', '0', 'object/static/structure/military/shared_military_wall_med_rebl_style_01.iff', '0', '0.988771', '0', '-0.149438', '-6835.67', '44.5642', '5491.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265719', '0', 'object/static/structure/military/shared_military_column_med_rebel_style_01.iff', '0', '1', '0', '3.20013e-08', '-6831.27', '44.5642', '5489.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265720', '0', 'object/static/structure/corellia/shared_corl_stair_medium_s01.iff', '0', '1', '0', '3.20013e-08', '-6826.73', '37.3933', '5484.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265721', '0', 'object/static/structure/military/shared_military_column_med_rebel_style_01.iff', '0', '0.0499786', '0', '0.99875', '-6874.52', '44.5642', '5526.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265722', '0', 'object/static/structure/military/shared_military_wall_med_rebl_16_style_01.iff', '0', '0.529235', '0', '0.848475', '-6871.03', '44.5642', '5518.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265723', '0', 'object/static/structure/military/shared_military_column_med_rebel_style_01.iff', '0', '0.059964', '0', '0.998201', '-6866.97', '44.5642', '5511.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265724', '0', 'object/static/structure/military/shared_military_column_med_rebel_style_01.iff', '0', '0.0299949', '0', '0.99955', '-6805.99', '44.5642', '5491.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265725', '0', 'object/static/structure/military/shared_military_column_med_rebel_style_01.iff', '0', '0.0749299', '0', '0.997189', '-6854.81', '44.5642', '5499.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265726', '0', 'object/static/structure/military/shared_military_wall_med_rebl_16_style_01.iff', '0', '0.218229', '0', '0.975898', '-6847.49', '44.5642', '5495.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265727', '0', 'object/static/structure/military/shared_military_wall_med_rebl_16_style_01.iff', '0', '-0.064954', '0', '0.997888', '-6814.05', '44.5642', '5490.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265728', '0', 'object/static/structure/military/shared_military_column_med_rebel_style_01.iff', '0', '0.119712', '0', '0.992809', '-6839.9', '44.5642', '5492.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265729', '0', 'object/static/structure/military/shared_military_column_med_rebel_style_01.iff', '0', '0.0299949', '0', '0.99955', '-6822.14', '44.5642', '5489.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265730', '0', 'object/static/structure/military/shared_military_wall_med_rebl_16_style_01.iff', '0', '0.37806', '0', '0.925781', '-6860.95', '44.5642', '5505.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265731', '0', 'object/static/structure/military/shared_military_column_med_rebel_style_01.iff', '0', '-0.685584', '0', '0.727994', '-6873.02', '44.5642', '5568.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265732', '0', 'object/static/structure/military/shared_military_wall_med_rebl_16_style_01.iff', '0', '0.764583', '0', '-0.644526', '-6876.11', '44.5642', '5534.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265733', '0', 'object/static/structure/military/shared_military_wall_med_rebl_16_style_01.iff', '0', '-0.609474', '0', '0.792806', '-6875.18', '44.5642', '5560.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265734', '0', 'object/static/structure/military/shared_military_column_med_rebel_style_01.iff', '0', '-0.685584', '0', '0.727994', '-6877.63', '44.5642', '5543.34', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265735', '0', 'object/static/structure/military/shared_military_column_med_rebel_style_01.iff', '0', '-0.685584', '0', '0.727994', '-6877.39', '44.5642', '5551.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265736', '0', 'object/static/structure/military/shared_military_wall_med_rebl_16_style_01.iff', '0', '0.905729', '0', '0.423857', '-6867.48', '44.5642', '5575.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265737', '0', 'object/static/structure/corellia/shared_corl_stair_medium_s01.iff', '0', '-0.689212', '0', '0.72456', '-6882.52', '37.7732', '5547.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265738', '0', 'object/static/structure/general/shared_landing_pad_shuttle.iff', '0', '0.707108', '0', '-0.707105', '-6826.83', '46', '5586.08', '256', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265739', '0', 'object/static/structure/military/shared_military_wall_med_rebl_16_style_01.iff', '0', '-0.274144', '0', '0.961689', '-6798.56', '44.5642', '5496.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265740', '0', 'object/static/structure/military/shared_military_column_med_rebel_style_01.iff', '0', '-0.685579', '0', '0.727998', '-6791.41', '44.5642', '5500.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265741', '0', 'object/static/structure/military/shared_military_column_med_rebel_style_01.iff', '0', '0.728001', '0', '0.685577', '-6861.94', '44.5642', '5581.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265742', '0', 'object/static/structure/military/shared_military_wall_med_rebl_16_style_01.iff', '0', '-0.42838', '0', '0.903598', '-6786.03', '44.5642', '5507.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265743', '0', 'object/static/structure/military/shared_military_column_med_rebel_style_01.iff', '0', '0.99955', '0', '-0.0299949', '-6786.75', '44.5642', '5577.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265744', '0', 'object/static/structure/military/shared_military_wall_med_rebl_16_style_01.iff', '0', '0.873866', '0', '-0.486168', '-6782.2', '44.5642', '5569.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265745', '0', 'object/static/structure/military/shared_military_column_med_rebel_style_01.iff', '0', '0.99955', '0', '-0.0299949', '-6777.61', '44.5642', '5562.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265746', '0', 'object/static/structure/military/shared_military_wall_med_rebl_16_style_01.iff', '0', '0.629103', '0', '0.777322', '-6775.7', '44.5642', '5554.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265747', '0', 'object/static/structure/military/shared_military_column_med_rebel_style_01.iff', '0', '0.727998', '0', '0.68558', '-6773.99', '46', '5546.52', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265748', '0', 'object/static/structure/military/shared_military_wall_med_rebl_16_style_01.iff', '0', '0.731419', '0', '0.681929', '-6774.71', '44.5642', '5538.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265749', '0', 'object/static/structure/military/shared_military_wall_med_rebl_16_style_01.iff', '0', '0.953033', '0', '0.302867', '-6855.17', '44.5642', '5586.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265750', '0', 'object/static/structure/military/shared_military_column_med_rebel_style_01.iff', '0', '0.99955', '0', '-0.0299949', '-6848.11', '44.5642', '5592.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265751', '0', 'object/static/structure/military/shared_military_wall_med_rebl_16_style_01.iff', '0', '0.986418', '0', '-0.164252', '-6808.15', '44.5642', '5590.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265752', '0', 'object/static/structure/military/shared_military_wall_med_rebl_16_style_01.iff', '0', '0.995953', '0', '0.0898791', '-6840.15', '44.5642', '5593.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265753', '0', 'object/static/structure/military/shared_military_column_med_rebel_style_01.iff', '0', '0.0299949', '0', '0.99955', '-6815.96', '44.6021', '5593.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265754', '0', 'object/static/structure/military/shared_military_column_med_rebel_style_01.iff', '0', '0.99955', '0', '-0.0299949', '-6831.86', '44.5642', '5594.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265755', '0', 'object/static/structure/military/shared_military_wall_med_rebl_16_style_01.iff', '0', '0.99875', '0', '-0.0499789', '-6823.96', '44.5642', '5594.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265756', '0', 'object/static/structure/military/shared_military_wall_med_rebl_16_style_01.iff', '0', '0.813647', '0', '0.581359', '-6777.87', '44.5642', '5522.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265757', '0', 'object/static/structure/military/shared_military_column_med_rebel_style_01.iff', '0', '0.727998', '0', '0.68558', '-6775.2', '44.5642', '5530.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265758', '0', 'object/static/structure/military/shared_military_column_med_rebel_style_01.iff', '0', '0.727996', '0', '0.685582', '-6780.59', '44.5642', '5514.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265759', '0', 'object/static/structure/military/shared_military_column_med_rebel_style_01.iff', '0', '0.99955', '0', '-0.0299949', '-6800.12', '44.5642', '5588.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265760', '0', 'object/static/structure/military/shared_military_wall_med_rebl_16_style_01.iff', '0', '0.941851', '0', '-0.33603', '-6793.47', '44.5642', '5582.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265761', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '1', '0', '3.20013e-08', '-6821.8', '46', '5584.36', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265762', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '1', '0', '3.20013e-08', '-6831.8', '46', '5584.36', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265763', '0', 'object/static/structure/corellia/shared_corl_power_connector.iff', '0', '0', '0', '1', '-6833.26', '46', '5589.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265764', '0', 'object/static/structure/corellia/shared_corl_power_connector.iff', '0', '1', '0', '3.20013e-08', '-6819.33', '46', '5589.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265765', '0', 'object/static/structure/corellia/shared_corl_power_box_node.iff', '0', '0.707108', '0', '0.707105', '-6826.3', '46', '5588.68', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265766', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '1', '0', '3.20013e-08', '-6826.8', '46', '5584.36', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265787', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.707107', '0', '-0.707107', '-6906.97', '38.0324', '5594.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265788', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.92388', '0', '-0.382683', '-6880.97', '38.0324', '5482.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265789', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.92388', '0', '-0.382683', '-6892.97', '38.0324', '5494.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265790', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_16_style_01.iff', '0', '0.92388', '0', '-0.382683', '-6886.97', '38.0324', '5488.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265791', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_32_style_01.iff', '0', '0.92388', '0', '0.382683', '-6900.97', '38.0446', '5462.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265792', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_32_style_01.iff', '0', '1', '0', '3.20013e-08', '-6831.97', '38.0324', '5468.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265793', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '1', '0', '4.32396e-07', '-6888.97', '38.0324', '5474.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265794', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.707107', '0', '-0.707106', '-6900.97', '38.0324', '5486.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265795', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_style_01.iff', '0', '0.92388', '0', '-0.382683', '-6885.97', '38.0324', '5471.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265796', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.923879', '0', '-0.382684', '-6882.97', '38.0324', '5468.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265797', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_32_style_01.iff', '0', '1', '0', '3.20013e-08', '-6865.97', '38.0324', '5468.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265798', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_32_style_01.iff', '0', '1', '0', '3.20013e-08', '-6797.97', '38.0324', '5468.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265799', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.923881', '0', '0.382681', '-6780.97', '38.0324', '5468.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265800', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_32_style_01.iff', '0', '-0.382683', '0', '0.92388', '-6912.97', '38.0446', '5474.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265801', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_style_01.iff', '0', '0.92388', '0', '-0.382683', '-6903.97', '38.0324', '5489.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265802', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_32_style_01.iff', '0', '0.707107', '0', '-0.707107', '-6906.97', '38.0324', '5509.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265803', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.707108', '0', '-0.707105', '-6906.97', '38.0324', '5492.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265804', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_32_style_01.iff', '0', '0.707108', '0', '-0.707105', '-6906.97', '38.0324', '5543.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265805', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_32_style_01.iff', '0', '0.707108', '0', '-0.707105', '-6906.97', '38.0324', '5577.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265806', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.707108', '0', '0.707105', '-6756.97', '38.0324', '5526.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265807', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.707108', '0', '0.707105', '-6756.97', '38.0324', '5492.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265808', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_32_style_01.iff', '0', '0.92388', '0', '0.382683', '-6768.97', '38.0324', '5480.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265809', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_style_01.iff', '0', '0.707108', '0', '0.707105', '-6756.97', '37.8854', '5522.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265810', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_style_01.iff', '0', '0.707107', '0', '0.707107', '-6756.97', '38.0324', '5496.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265811', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.92388', '0', '0.382683', '-6756.97', '38.0324', '5501.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265812', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.382683', '0', '0.92388', '-6756.97', '38.0324', '5517.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265813', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_32_style_01.iff', '0', '0', '0', '1', '-6831.97', '38.0324', '5618.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265814', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_32_style_01.iff', '0', '0', '0', '1', '-6865.97', '38.0324', '5618.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265815', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_32_style_01.iff', '0', '-0.382683', '0', '0.92388', '-6894.97', '38.0324', '5606.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265816', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '-0.382683', '0', '0.92388', '-6882.97', '38.0324', '5618.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265817', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.707101', '0', '0.707112', '-6766.97', '38.0324', '5518.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265820', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_16_style_01.iff', '0', '0.707101', '0', '0.707112', '-6766.97', '38.0324', '5509.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265821', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.707101', '0', '0.707112', '-6766.97', '38.0324', '5501.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265822', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_32_style_01.iff', '0', '0', '0', '1', '-6797.97', '38.0324', '5618.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265823', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.382683', '0', '0.92388', '-6780.97', '38.0324', '5618.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265824', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_32_style_01.iff', '0', '0.382683', '0', '0.92388', '-6768.97', '38.0324', '5606.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265825', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.382683', '0', '0.92388', '-6756.97', '38.0324', '5594.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265826', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_32_style_01.iff', '0', '0.707107', '0', '0.707107', '-6756.97', '38.0324', '5577.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265827', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.707108', '0', '0.707105', '-6756.97', '38.0324', '5560.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265828', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_32_style_01.iff', '0', '0.707107', '0', '0.707107', '-6756.97', '38.0324', '5543.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265831', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '0', '0', '0', '1', '-6907', '38', '5562', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265832', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '0', '0', '0', '1', '-6907', '38', '5527', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265833', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '0', '-0.707106', '0', '0.707107', '-6849', '38', '5468', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265834', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '0', '-0.707106', '0', '0.707107', '-6815', '38', '5468', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265835', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '0', '0.707107', '0', '0.707107', '-6815', '38', '5619', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265836', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '0', '0.707106', '0', '0.707107', '-6849', '38', '5619', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265837', '0', 'object/building/military/shared_military_outpost_guard_house_rebel.iff', '0', '0.92388', '0', '0.382683', '-6933.85', '25', '5396.63', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265838', '8265837', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265839', '8265837', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3095545', '8265839', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.589145', '0', '0.808027', '-2.24713', '2.01007', '4.04456', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3095546', '8265839', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '-0.140103', '0.791936', '-0.198002', '-0.56036', '-1.64709', '2.04169', '4.38137', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265840', '0', 'object/building/military/shared_military_outpost_guard_house_rebel.iff', '0', '0.382683', '0', '0.92388', '-6978.85', '25', '5441.63', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265841', '8265840', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265842', '8265840', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3095507', '8265842', 'object/static/item/shared_item_container_energy_liquid.iff', '0.551318', '0.419114', '-0.436571', '0.574281', '-1.86528', '2.13657', '4.10117', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3095508', '8265842', 'object/static/item/shared_item_cloth_patches.iff', '0', '-0.443948', '0', '0.896052', '-1.16879', '2.01003', '2.81657', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3095509', '8265842', 'object/static/item/shared_item_container_energy_liquid.iff', '-0.0751234', '0.919285', '-0.215245', '-0.320844', '-2.65966', '4.01', '-3.11907', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3095510', '8265842', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.461779', '0', '0.886995', '-1.77674', '4.01', '-1.45897', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265843', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '0', '0.382683', '0', '0.92388', '-7011.85', '25', '5418.63', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265844', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '0', '0.382683', '0', '0.92388', '-7020.85', '25', '5409.63', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265845', '0', 'object/building/military/shared_military_outpost_guard_house_rebel.iff', '0', '0.92388', '0', '-0.382683', '-6996.85', '25', '5333.63', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265846', '8265845', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3095531', '8265846', 'object/static/item/shared_item_tapestry_rebel.iff', '0', '0.716465', '0', '-0.697623', '-0.75763', '-0.0592099', '-1.61638', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265847', '8265845', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3095532', '8265847', 'object/static/item/shared_item_tank_gas.iff', '0', '0.959437', '0', '-0.281921', '3.87812', '0.51', '4.41176', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3095533', '8265847', 'object/static/item/shared_item_tank_gas.iff', '0', '0.159318', '0', '0.987227', '4.70835', '0.51', '4.40199', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3095534', '8265847', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.543835', '0', '0.839192', '4.30471', '0.51', '3.60183', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3095535', '8265847', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.789504', '0', '0.613746', '4.31894', '0.826228', '3.7159', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3095536', '8265847', 'object/static/item/shared_item_jacket_01.iff', '0', '0.40319', '0', '0.915116', '-1.32254', '2.01007', '3.85501', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265848', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '0', '0.92388', '0', '-0.382683', '-6965.85', '25', '5356.63', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265849', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '0', '0.92388', '0', '-0.382683', '-6956.85', '25', '5365.63', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265850', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '0', '-0.382684', '0', '0.923879', '-7027.85', '25.6177', '5338.63', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265907', '0', 'object/building/military/shared_military_outpost_guard_house_rebel.iff', '0', '-0.382683', '0', '0.92388', '-7041.85', '25', '5378.63', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265908', '8265907', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265909', '8265907', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3095519', '8265909', 'object/static/item/shared_item_container_inorganic_chemicals.iff', '-0.210192', '0.770701', '-0.3168', '-0.511348', '4.80692', '0.85785', '4.6307', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3095520', '8265909', 'object/static/particle/shared_pt_miasma_of_fog_mustard.iff', '0', '0', '0', '1', '3.68607', '0.51', '3.37606', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '3095522', '8265909', 'object/static/particle/shared_particle_newbie_refrigerator_steam.iff', '-0.232944', '0.949223', '-0.116766', '0.176289', '4.87051', '1.48304', '4.68015', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265910', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '0', '-0.382684', '0', '0.923879', '-7036.85', '25.6918', '5347.63', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265911', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.382683', '0', '0.92388', '-6933.85', '25', '5405.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265912', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.923879', '0', '0.382684', '-6933.85', '25', '5388.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265913', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_style_01.iff', '0', '-0.382683', '0', '0.92388', '-7007.85', '25', '5405.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265914', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_32_style_01.iff', '0', '0.92388', '0', '0.382683', '-6976.85', '25', '5345.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265915', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.92388', '0', '0.382683', '-6972.85', '25', '5366.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265916', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_style_01.iff', '0', '0.92388', '0', '0.382683', '-6969.85', '25', '5369.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265917', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.92388', '0', '0.382683', '-6966.85', '25', '5372.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265918', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_style_01.iff', '0', '0.92388', '0', '-0.382683', '-7025.85', '25', '5337.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265919', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_style_01.iff', '0', '0.923879', '0', '-0.382684', '-7023.85', '25', '5351.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265920', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.923879', '0', '-0.382684', '-7020.85', '25', '5348.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265921', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.923879', '0', '-0.382684', '-7026.85', '25', '5354.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265922', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_32_style_01.iff', '0', '0.92388', '0', '0.382683', '-6945.85', '25', '5376.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265923', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '1', '0', '3.20013e-08', '-7022.85', '25', '5334.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265924', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_16_style_01.iff', '0', '1', '0', '3.20013e-08', '-7014.85', '25', '5334.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265925', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '1', '0', '3.20013e-08', '-7005.85', '25', '5334.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265926', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.923879', '0', '0.382684', '-6988.85', '25', '5332.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265927', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_32_style_01.iff', '0', '-0.382683', '0', '0.92388', '-7029.85', '25', '5399.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265928', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_32_style_01.iff', '0', '0.92388', '0', '0.382683', '-6976.85', '25', '5344.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265929', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.92388', '0', '0.382683', '-6964.85', '25', '5356.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265931', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '-0.382683', '0', '0.92388', '-7004.85', '25', '5408.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265932', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '-0.382683', '0', '0.92388', '-7010.85', '25', '5402.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265933', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_32_style_01.iff', '0', '-0.382683', '0', '0.92388', '-6999.85', '25', '5429.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265934', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '-0.382684', '0', '0.923879', '-6987.85', '25', '5441.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265935', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.382683', '0', '0.92388', '-6969.85', '25', '5441.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265936', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_16_style_01.iff', '0', '0.382683', '0', '0.92388', '-6939.85', '25', '5411.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265937', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_16_style_01.iff', '0', '0.382683', '0', '0.92388', '-6963.85', '25', '5435.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265938', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.92388', '0', '0.382683', '-6945.85', '25', '5417.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265939', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0', '0', '1', '-6957.85', '25', '5429.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265940', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '-0.382684', '0', '0.923879', '-7041.85', '25', '5387.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265941', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.707108', '0', '-0.707105', '-7040.85', '25', '5369.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265942', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_style_01.iff', '0', '0.92388', '0', '-0.382683', '-7037.85', '25', '5349.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265943', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_16_style_01.iff', '0', '0.707108', '0', '-0.707105', '-7040.85', '25', '5360.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265944', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.707107', '0', '-0.707107', '-7040.85', '25', '5352.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265945', '0', 'object/building/military/shared_military_outpost_guard_house_rebel.iff', '0', '0.707099', '0', '0.707114', '-6636.4', '30', '5591.84', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265946', '8265945', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265947', '8265945', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265948', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '0', '1', '0', '3.20013e-08', '-6630.4', '30', '5549.84', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265949', '0', 'object/building/military/shared_military_outpost_guard_house_rebel.iff', '0', '1', '0', '3.20013e-08', '-6636.4', '30', '5477.84', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265950', '8265949', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3095553', '8265950', 'object/static/item/shared_item_container_energy_liquid.iff', '0.261779', '0.738212', '-0.437504', '0.441707', '0.532505', '0.636491', '-1.93268', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3095554', '8265950', 'object/static/item/shared_item_container_energy_liquid.iff', '-0.174432', '0.688645', '-0.681305', '-0.176538', '1.29769', '0.668114', '-1.92078', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265951', '8265949', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3095555', '8265951', 'object/static/structure/general/shared_prp_engine_component.iff', '0', '0.448423', '0', '0.893822', '-2.12817', '2.04168', '4.04892', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '3095556', '8265951', 'object/static/structure/general/shared_prp_engine.iff', '0.710353', '0', '0', '-0.703845', '-2.39194', '2.54764', '4.78058', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '3095557', '8265951', 'object/static/item/shared_item_cloth_patches.iff', '0', '0.514136', '0', '0.857709', '-1.52669', '4.01', '-1.47248', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3095558', '8265951', 'object/static/item/shared_item_cloth_patches.iff', '0', '0.999359', '0', '0.0357888', '-0.375681', '4.01', '-2.82281', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '3095559', '8265951', 'object/static/item/shared_item_cloth_patches.iff', '0', '0', '0', '1', '-1.25672', '2.01006', '3.78517', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265952', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '0', '1', '0', '3.20013e-08', '-6630.4', '30', '5537.84', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265953', '0', 'object/building/corellia/shared_filler_slum_16x32_s02.iff', '0', '1', '0', '3.20013e-08', '-6678.4', '30', '5534.84', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265961', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0', '0', '1', '-6658.4', '30', '5591.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265962', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_style_01.iff', '0', '0', '0', '1', '-6663.4', '30', '5591.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265963', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '1', '0', '3.20013e-08', '-6688.4', '30', '5501.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265964', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '-0.382683', '0', '0.92388', '-6688.4', '30', '5517.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265965', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.92388', '0', '-0.382682', '-6676.4', '30', '5489.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265966', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_16_style_01.iff', '0', '0.92388', '0', '-0.382682', '-6682.4', '30', '5495.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265967', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_32_style_01.iff', '0', '0.707107', '0', '-0.707107', '-6688.4', '30', '5534.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265968', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.707107', '0', '-0.707107', '-6688.4', '30', '5585.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265969', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_32_style_01.iff', '0', '0.707107', '0', '-0.707107', '-6688.4', '30', '5568.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265970', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_16_style_01.iff', '0', '-0.382683', '0', '0.92388', '-6682.4', '30', '5591.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265971', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0', '0', '1', '-6676.4', '30', '5597.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265972', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_style_01.iff', '0', '0', '0', '1', '-6671.4', '30', '5597.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265973', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '-0.382683', '0', '0.92388', '-6668.4', '30', '5591.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265974', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.707107', '0', '-0.707107', '-6688.4', '30', '5551.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265975', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.707099', '0', '0.707114', '-6642.4', '30', '5551.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265976', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '1', '0', '5.15908e-07', '-6642.4', '30', '5471.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265977', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_32_style_01.iff', '0', '0.707107', '0', '0.707107', '-6630.4', '30', '5518.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265978', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_32_style_01.iff', '0', '1', '0', '3.20013e-08', '-6659.4', '30', '5471.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265979', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.707099', '0', '0.707114', '-6642.4', '30', '5534.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265980', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.707107', '0', '0.707107', '-6630.4', '30', '5501.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265981', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_16_style_01.iff', '0', '0.707099', '0', '0.707114', '-6642.4', '30', '5542.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265982', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0', '0', '1', '-6666.4', '30', '5597.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265983', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0', '0', '1', '-6660.4', '30', '5597.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265984', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_16_style_01.iff', '0', '0', '0', '1', '-6651.4', '30', '5597.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265985', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_32_style_01.iff', '0', '0.707107', '0', '0.707107', '-6630.4', '30', '5568.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265986', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.707107', '0', '0.707106', '-6630.4', '30', '5585.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265987', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0', '0', '1', '-6642.4', '30', '5597.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265988', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.707107', '0', '0.707107', '-6630.4', '30', '5483.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265989', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0.0699419', '0.997539', '9.99952e-05', '0.00499901', '-6706.06', '30.6381', '5501.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265990', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '-0.0126928', '0.0371477', '-0.0727351', '0.996578', '-6705.83', '30.6675', '5517.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265991', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_16_style_01.iff', '0', '1', '0', '3.20013e-08', '-6697.4', '30', '5501.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265992', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_16_style_01.iff', '0', '0', '0', '1', '-6697.4', '30', '5517.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265993', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_16_style_01.iff', '0', '0.707107', '0', '0.707107', '-6630.4', '30', '5492.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265994', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_16_style_01.iff', '0', '0.707107', '0', '-0.707107', '-6676.4', '30', '5480.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265995', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.92388', '0', '-0.382683', '-6676.4', '30', '5471.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265996', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0', '0', '1', '-6739.07', '38.0902', '5517.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265997', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '1', '0', '3.20013e-08', '-6739.07', '38.0902', '5501.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265998', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_16_style_01.iff', '0', '1', '0', '3.20013e-08', '-6748.07', '37.786', '5501.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8265999', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_16_style_01.iff', '0', '0', '0', '1', '-6748.07', '37.786', '5517.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8266000', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '7.99948e-10', '-3.19913e-08', '-0.0249974', '0.999687', '-6721.73', '37.0464', '5517.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8266001', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0.0649542', '0.997888', '2.07862e-09', '3.19337e-08', '-6721.88', '35.8689', '5501.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8266002', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_16_style_01.iff', '0.0649542', '0.997888', '2.07862e-09', '3.19337e-08', '-6730.8', '37.0354', '5501.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8266003', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_16_style_01.iff', '7.99948e-10', '-3.19913e-08', '-0.0249974', '0.999687', '-6730.72', '37.4962', '5517.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8266005', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_16_style_01.iff', '0.169182', '0.985585', '0', '0', '-6714.24', '32.9624', '5501.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8266006', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_16_style_01.iff', '0', '0', '-0.203567', '0.979061', '-6714.62', '33.9117', '5517.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8266007', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '-0.382683', '0', '0.92388', '-6924.97', '37.987', '5462.59', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8266008', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.92388', '0', '0.382683', '-6912.91', '38', '5450.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8266010', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_16_style_01.iff', '-0.0853791', '-0.373038', '0.206123', '0.900592', '-6929.47', '34.9195', '5458.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8395352', '0', 'object/building/endor/shared_endor_lake_platform.iff', '0', '0.319309', '0', '0.947651', '1048.57', '0.00656801', '3628.43', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8395353', '0', 'object/static/structure/dantooine/shared_dant_cooking_stone.iff', '-0.031585', '-0.430194', '0.015063', '0.902058', '1052.06', '0.424647', '3627.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8395354', '0', 'object/static/structure/dantooine/shared_dant_hide_tanning_s02.iff', '-0.00140336', '0.798688', '-0.00727326', '0.601699', '1045.77', '0.0143051', '3624.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8395355', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '0.679142', '0', '0.734007', '1042.9', '0.195279', '3627.29', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8395356', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '0.987354', '0', '0.158532', '1047.77', '0.185478', '3634.88', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8395357', '0', 'object/static/structure/dantooine/shared_dant_fish_rack.iff', '0', '-0.457339', '0', '0.889293', '1049.79', '0.179151', '3619.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8395361', '0', 'object/static/structure/general/shared_droid_r5_powerdown.iff', '0', '0', '-0.324043', '0.946042', '1783.6', '1.05559', '3205.93', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8395362', '0', 'object/static/structure/general/shared_prp_engine.iff', '0.827702', '0', '0', '-0.561168', '1785.85', '1.82671', '3206.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8395364', '0', 'object/static/structure/general/shared_prp_junk_s3.iff', '0.747971', '0', '0', '-0.663731', '1787.88', '2.03888', '3208.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8395369', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.897911', '0', '-0.440177', '1793.03', '1.23524', '3208.73', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8395370', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0.313096', '0.383039', '-0.13982', '0.857731', '1792.9', '1.59001', '3205.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8395371', '0', 'object/static/structure/tatooine/shared_debris_tatt_radar_dish.iff', '0.999802', '-0.0171782', '-0.00966032', '-0.00259474', '1782.25', '3.80972', '3196.04', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8395384', '0', 'object/static/structure/dantooine/shared_dant_skull_thune.iff', '0.0527072', '0.871899', '-0.0962976', '0.477223', '-1821.44', '8.84136', '3793.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8395388', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0.99794', '0', '-0.0641596', '-1819.91', '8.80941', '3796.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8395389', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '0.495455', '-0.346017', '0.224235', '0.764537', '-2457.32', '8.86051', '4577.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8395390', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '-0.418018', '0.612926', '-0.474119', '-0.474124', '-2457.65', '8.44036', '4576.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8395391', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '-0.128332', '0.724162', '-0.616498', '-0.281159', '-2456.9', '8.21441', '4574.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8395392', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '0.117221', '0.859585', '-0.442061', '0.227935', '-2454.88', '7.81845', '4573.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8395393', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '0.264235', '0.741454', '-0.399339', '0.470057', '-2453.46', '7.99488', '4575.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8395394', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '0.410657', '0.405657', '-0.211189', '0.788798', '-2453.23', '7.6873', '4577.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8395395', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '0.470994', '-0.381115', '-0.236294', '0.759659', '-2455.37', '8.64185', '4578.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8395396', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0.256344', '-0.167247', '0.220002', '0.926237', '-2456.52', '8.19505', '4576.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8395397', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0.317529', '0.184555', '-0.126396', '0.921487', '-2454.61', '8.14315', '4576.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8395398', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '-0.318506', '0.36067', '0.0489676', '0.875256', '-2457.45', '8.96224', '4574.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8395399', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0.194446', '0.747998', '-0.265571', '0.576336', '-2455.18', '8.9849', '4575.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8395400', '0', 'object/static/structure/dantooine/shared_dant_jedi_wall_1.iff', '0.0620613', '0.198199', '0.162373', '0.964625', '-2493.65', '1.55279', '3423.12', '256', '1');
INSERT INTO `staticobjects` VALUES ('1', '8395401', '0', 'object/static/structure/dantooine/shared_dant_jedi_wall_1.iff', '0', '0.972329', '0', '-0.233617', '-2483.61', '2.42352', '3417.71', '256', '1');
INSERT INTO `staticobjects` VALUES ('1', '8395402', '0', 'object/static/structure/dantooine/shared_dant_jedi_wall_2.iff', '0', '-0.514136', '0', '0.857709', '-2493.37', '1.9481', '3410.19', '256', '1');
INSERT INTO `staticobjects` VALUES ('1', '8395403', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0.242556', '0', '0.970137', '-2491.36', '-1.10797', '3413.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8395404', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0.242556', '0', '0.970137', '-2492.24', '-1.18073', '3413.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8395405', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '0', '-0.324043', '0', '0.946042', '-3659.32', '68.376', '3973.49', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8395406', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '-0.33432', '-0.360544', '0.0792259', '0.867157', '-3649.86', '67.0469', '3981.03', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8395407', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '-0.193057', '0.158276', '0.155276', '0.955807', '-3668.46', '64.2444', '3969.27', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8395408', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0.9871', '0', '0.160104', '-3661.83', '67.8804', '3967.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8395409', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0.895699', '0', '0.444662', '-3651.49', '67.4275', '3971.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8395410', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_altar.iff', '0', '-0.613117', '0', '0.789992', '-3362.18', '0.117959', '3546.25', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8395411', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_altar.iff', '0', '0.922997', '0', '0.384808', '-3126.48', '0.777122', '3421.47', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8395413', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_med.iff', '0', '0.314567', '0', '0.949235', '-3165.99', '0.346336', '3452.3', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8395414', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar.iff', '0', '0.232843', '0', '0.972514', '-3217.13', '0.138369', '3495.72', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8395415', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_med.iff', '0', '0.237703', '0', '0.971338', '-3220.41', '0.581586', '3488.14', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8395416', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar.iff', '0', '0.198669', '0', '0.980067', '-3286.16', '0.722771', '3518.64', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8395417', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar.iff', '0', '0.188859', '0', '0.982004', '-3284.04', '0.224682', '3525.28', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8395418', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0.37092', '0', '0.928665', '-3160.44', '0.503135', '3459.54', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8395419', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '-0.457339', '0', '0.889293', '-4888.39', '42.6823', '4349.59', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8395420', '0', 'object/static/structure/dantooine/shared_dant_skull_bol.iff', '-0.180043', '0.797103', '-0.499743', '-0.287174', '-4890.58', '57.1591', '4346.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8395421', '0', 'object/static/structure/dantooine/shared_dant_skull_bol.iff', '0.40994', '0.275349', '-0.131315', '0.859586', '-4886.08', '57.0357', '4352.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8395423', '0', 'object/tangible/furniture/all/shared_frn_all_throwpillow_med_s01.iff', '0', '0.305059', '0', '0.952334', '-4888.62', '53.1704', '4349.29', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8395424', '0', 'object/tangible/furniture/all/shared_frn_all_throwpillow_med_s01.iff', '0', '0.305059', '0', '0.952334', '-4888.1', '53.1834', '4350.06', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8395425', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0.95209', '0', '-0.305817', '-4888.25', '53.2908', '4350.09', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8395426', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '0.309816', '0', '0.950796', '-4890.12', '53.0751', '4347.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8395427', '0', 'object/static/structure/dantooine/shared_dant_hide_tanning_s02.iff', '0', '0.953608', '0', '-0.301053', '-4886.42', '53.0582', '4352.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8395429', '0', 'object/static/structure/naboo/shared_gungan_damaged_narrow_arch_s01.iff', '0', '-0.104807', '0', '0.994493', '-5190.08', '34.8954', '4039.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8395430', '0', 'object/static/structure/naboo/shared_gungan_cleft_wall_lg_s01.iff', '0', '0.788335', '0', '-0.615247', '-5186.89', '34.8803', '4044.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8395431', '0', 'object/static/structure/naboo/shared_gungan_damaged_wall_lg_s01.iff', '0', '0.786425', '0', '-0.617686', '-5185.2', '34.8855', '4037.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8395432', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '-0.159318', '0', '0.987227', '-5194.3', '35.2908', '4040.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8395433', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '-0.119712', '0', '0.992809', '-5193.03', '34.9872', '4036.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8395438', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.518418', '0', '0.855127', '-5806.14', '19.4705', '3441.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8395439', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.810497', '0', '-0.585743', '-5809.21', '19.4982', '3448.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8395440', '0', 'object/static/structure/dantooine/shared_dant_small_mudhut.iff', '0', '0.932039', '0', '0.362358', '-5797.07', '15', '3454.44', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8395441', '0', 'object/static/structure/dantooine/shared_dant_cooking_stone.iff', '0.213653', '-0.0223315', '0.0173458', '0.9765', '-5786.55', '15.6875', '3439.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8395442', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '-5792.05', '12.1223', '3453.21', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8395443', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '-5798.78', '11.8729', '3452.12', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8415374', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '-0.0797741', '-0.374276', '0.192592', '0.903583', '-6934.97', '31.2861', '5452.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8415375', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_16_style_01.iff', '-0.072273', '-0.375797', '0.174482', '0.907254', '-6939.79', '28.0095', '5447.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8415376', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '-0.0153032', '-0.382377', '0.0369455', '0.923141', '-6945.48', '25.5744', '5442', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8415378', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_16_style_01.iff', '0', '-0.382684', '0', '0.923879', '-6951.67', '25.2628', '5435.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8415380', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_16_style_01.iff', '-0.210624', '0.89955', '-0.0872433', '0.372606', '-6917.46', '34.7956', '5446.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8415381', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '-0.192592', '0.903583', '-0.079774', '0.374276', '-6922.91', '31.1625', '5440.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8415382', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_16_style_01.iff', '-0.174482', '0.907254', '-0.072273', '0.375797', '-6928.16', '28.0604', '5435.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8415383', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '-0.036946', '0.923141', '-0.015303', '0.382377', '-6934.2', '25.3756', '5429.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8415384', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_16_style_01.iff', '0', '0.921954', '0', '0.387298', '-6940.07', '25', '5423.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435358', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '-0.00101783', '-0.203565', '0.00489528', '0.979049', '-6161.31', '65.1788', '4700.64', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435359', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '0', '0.398609', '0', '0.917121', '-6122.61', '67.4308', '4697.2', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435360', '0', 'object/static/structure/naboo/shared_gungan_damaged_wide_arch_s01.iff', '0', '-0.66687', '0', '0.745174', '-6143.59', '37.6837', '4671.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435361', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0', '-0.276356', '0', '0.961055', '-6147.81', '33.7959', '4683.57', '256', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435362', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0.0116373', '-0.232552', '-0.0486055', '0.971299', '-6149.04', '35.0124', '4682.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435363', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0.0039805', '-0.429385', '0.140017', '0.892193', '-6146.27', '35', '4684.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435364', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0.00727713', '0.727689', '-0.00685857', '-0.685834', '-6147.69', '35.0012', '4683.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435365', '0', 'object/static/structure/naboo/shared_gungan_damaged_narrow_arch_s01.iff', '0', '0.761095', '0', '-0.64864', '-6097.29', '20.3746', '4610.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435366', '0', 'object/static/structure/naboo/shared_gungan_damaged_narrow_arch_s01.iff', '0', '0.119712', '0', '0.992809', '-6122.99', '15', '4626.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435367', '0', 'object/static/structure/naboo/shared_gungan_damaged_narrow_arch_s01.iff', '0', '0.692537', '0', '0.721382', '-6169.42', '31.4376', '4657.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435368', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '0.889657', '0', '0.45663', '-6851.38', '35.2283', '4258.06', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435369', '0', 'object/building/endor/shared_endr_lake_rail2m.iff', '0.12345', '-0.461647', '0.0650562', '0.876019', '-6848.44', '35.1303', '4258.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435370', '0', 'object/building/endor/shared_endr_lake_rail8m.iff', '0.135598', '0.311663', '-0.0344031', '0.939838', '-6844.49', '35.166', '4257.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435372', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0.611048', '0.325926', '0.339501', '-0.636499', '-6842.11', '35.5211', '4252.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435373', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0.226313', '0.312056', '-0.0877725', '0.918531', '-6854.28', '34.947', '4264.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435376', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '0.920751', '0', '-0.390152', '-7341.22', '72.297', '3685.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435377', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '0.920751', '0', '-0.390152', '-7345.53', '72.5941', '3681.8', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435384', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '-0.37519', '0', '0.926948', '-7354.5', '72.8555', '3695.38', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435385', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.926948', '0', '0.37519', '-7332.24', '72.5973', '3672.39', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435387', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_2.iff', '0', '0', '0', '1', '-7332.51', '72.1761', '3674.98', '256', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435388', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_1.iff', '0', '0', '0', '1', '-7334.32', '72.059', '3672.99', '256', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435389', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '0.930216', '0', '0.367013', '-7352.7', '72.3146', '3692.76', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435390', '0', 'object/static/structure/corellia/shared_corl_power_connector.iff', '0', '0.92269', '0', '-0.385543', '-7335.76', '72.4979', '3678.27', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435391', '0', 'object/static/structure/corellia/shared_corl_power_connector.iff', '0', '0.920751', '0', '-0.390152', '-7337.72', '72.4053', '3676.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435392', '0', 'object/static/structure/corellia/shared_corl_power_box_node.iff', '0', '-0.375559', '0', '0.926798', '-7341.9', '73.0351', '3682.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435393', '0', 'object/static/structure/dantooine/shared_dant_small_mudhut.iff', '0', '0.770739', '0', '0.637151', '-6207.9', '35.7739', '2700.97', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435394', '0', 'object/static/structure/dantooine/shared_dant_large_mudhut.iff', '0', '0.990794', '0', '-0.135379', '-6187.19', '35', '2711.07', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435396', '0', 'object/static/structure/dantooine/shared_dant_small_mudhut.iff', '0', '0.261909', '0', '0.965092', '-6195.71', '35.2955', '2687.74', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435397', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0', '0', '1', '-6193.29', '34.9358', '2698.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435398', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0', '0', '1', '-6192.99', '34.9487', '2697.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435399', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0', '0', '1', '-6193.29', '34.9424', '2696.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435400', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0', '0', '1', '-6194.62', '34.8113', '2698.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435401', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0', '0', '1', '-6194.7', '34.8938', '2697.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435402', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0', '0', '1', '-6194.14', '34.9687', '2696.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435403', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0', '0', '1', '-6194.06', '34.9091', '2698.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435404', '0', 'object/static/structure/general/shared_campfire_ash.iff', '0', '0', '0', '1', '-6193.84', '35.1864', '2697.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435411', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '-6181.18', '31.1534', '2709.07', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435412', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '-6194.1', '32.0461', '2692.68', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435413', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '-6188.06', '31.8764', '2708.04', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435414', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '-6206.83', '32.2111', '2704.68', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435420', '0', 'object/static/flora/shared_flora_tree_lok_mkpud.iff', '0', '0', '0', '1', '-6196.26', '34.9787', '2697.92', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435421', '0', 'object/static/flora/shared_flora_tree_lok_mkpud.iff', '0', '0', '0', '1', '-6201.62', '34.8083', '2698.4', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435422', '0', 'object/static/flora/shared_flora_tree_lok_mkpud.iff', '0', '0', '0', '1', '-6185.06', '34.771', '2703.04', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435423', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_med.iff', '0', '-0.677972', '0', '0.735088', '-5166.91', '35.2238', '2710.22', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435424', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_med.iff', '0', '0.706825', '0', '0.707388', '-5166.82', '35.4507', '2701.97', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435429', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_med.iff', '0', '0', '0', '1', '-5173.36', '34.9669', '2693.08', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435430', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0', '0', '1', '-5167.13', '33.713', '2692.94', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435431', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar.iff', '0', '0', '0', '1', '-5173.69', '35.2409', '2701.56', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435432', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '0', '0', '1', '-5173.16', '35.4126', '2710.35', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435433', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_fallen.iff', '0.0727637', '-0.613073', '-0.132786', '0.77538', '-5172.86', '33.5764', '2714.08', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435434', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_fallen.iff', '0', '-0.556361', '0', '0.830941', '-5171.63', '33.2731', '2717.14', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435435', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_fallen.iff', '0.833408', '-0.140622', '0.533419', '0.0334832', '-5170.06', '33.3752', '2720.41', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435436', '0', 'object/static/structure/dantooine/shared_dant_large_communal.iff', '0.000965228', '0.713864', '-4.23211e-06', '-0.700284', '-3781.16', '1.48117', '2543.11', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435445', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '-3768.32', '-1.53135', '2541.47', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435447', '0', 'object/static/flora/shared_flora_tree_lok_mkpud.iff', '0', '0', '0', '1', '-3783.29', '1.4828', '2539', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435448', '0', 'object/static/flora/shared_flora_tree_lok_mkpud.iff', '0', '0', '0', '1', '-3777.06', '1.39518', '2540.54', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435449', '0', 'object/static/flora/shared_flora_tree_lok_mkpud.iff', '0', '0', '0', '1', '-3781.7', '0.544459', '2545.84', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435450', '0', 'object/static/flora/shared_flora_tree_lok_mkpud.iff', '0', '0', '0', '1', '-3781.7', '0.544459', '2545.84', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435452', '0', 'object/static/structure/dantooine/shared_dant_cooking_stone.iff', '-0.451348', '0.0965657', '0.0818592', '0.883323', '-3760.52', '0.673006', '2540.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435454', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '-0.0577109', '-0.271058', '-0.016283', '0.960693', '-4567.2', '4.53101', '2732.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435455', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '-0.00884145', '0.955142', '0.0286628', '-0.294627', '-4570.7', '3.76854', '2737.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435456', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '-0.13459', '0', '0', '0.990901', '-4571', '3.11986', '2747.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435457', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '-0.0859932', '0.814997', '-0.128212', '0.558522', '-4565.01', '3.23341', '2754', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435458', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0.0249129', '0.236394', '-0.101803', '0.965988', '-4558.68', '3.15213', '2754', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435459', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0', '0.483807', '0', '0.875174', '-4559', '4.12558', '2729', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435460', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0.167574', '-0.629926', '0.19496', '0.732873', '-4549.38', '3.93887', '2732', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435462', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0', '0.159318', '0', '0.987227', '-4547', '4.33311', '2738', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435464', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0.294866', '-0.556724', '0.15253', '0.761477', '-4546.17', '2.33737', '2744.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435465', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0', '-0.593177', '0', '0.805072', '-4551', '2.96923', '2752', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435468', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0.49688', '0', '0.867819', '-3793.74', '1.40914', '2946.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435469', '0', 'object/static/structure/dantooine/shared_dant_skull_thune.iff', '-0.154478', '0.74045', '0.0689858', '0.65047', '-3790.92', '1.36228', '2944.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435470', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_tail.iff', '0', '0.737931', '0', '0.674876', '-3795.58', '1.17043', '2944.82', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435500', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_med.iff', '0', '0.213347', '0', '0.976977', '4250.1', '8', '5212.89', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435501', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar.iff', '0', '0.976976', '0', '-0.213347', '4265.16', '8', '5188.17', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435502', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_med.iff', '0', '0.976976', '0', '-0.213347', '4251.4', '8', '5158.17', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435503', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0.841686', '0', '0.539967', '4243.35', '8', '5198.17', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435504', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar.iff', '0', '0.213347', '0', '0.976977', '4258.49', '8', '5173.62', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435505', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '0.213347', '0', '0.976977', '4229.59', '8', '5168.18', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435506', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_med.iff', '0', '0.976976', '0', '-0.213347', '4238.68', '8', '5164.01', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435507', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_med.iff', '0', '0.213347', '0', '0.976977', '4234.17', '8', '5178.17', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435508', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_med.iff', '0', '0.976976', '0', '-0.213347', '4238.74', '8', '5188.24', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435510', '0', 'object/static/structure/dantooine/shared_dant_jedi_wall_2.iff', '0', '0.976976', '0', '-0.213347', '4241.68', '8', '5194.53', '256', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435511', '0', 'object/static/structure/dantooine/shared_dant_jedi_wall_2.iff', '0', '0.976976', '0', '-0.213347', '4232.51', '8', '5174.54', '256', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435512', '0', 'object/static/structure/dantooine/shared_dant_jedi_wall_1.iff', '0', '0.213347', '0', '0.976977', '4254.32', '8', '5164.53', '256', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435513', '0', 'object/static/structure/dantooine/shared_dant_jedi_wall_1.iff', '0', '-0.539966', '0', '0.841687', '4244.13', '8', '5161.51', '256', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435514', '0', 'object/static/structure/dantooine/shared_dant_jedi_wall_2.iff', '0', '0.213347', '0', '0.976977', '4259.32', '8', '5175.44', '256', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435515', '0', 'object/static/structure/dantooine/shared_dant_jedi_wall_2.iff', '0', '0.976976', '0', '-0.213347', '4263.49', '8', '5184.53', '256', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435516', '0', 'object/static/structure/dantooine/shared_dant_jedi_wall_2.iff', '0', '-0.539967', '0', '0.841686', '4261.52', '8', '5189.83', '256', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435517', '0', 'object/static/structure/dantooine/shared_dant_jedi_wall_2.iff', '0', '-0.539968', '0', '0.841685', '4233.23', '8', '5166.51', '256', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435518', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_med.iff', '0', '0.976976', '0', '-0.213347', '4248.45', '8', '5166.13', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435519', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_med.iff', '0', '0.976976', '0', '-0.213347', '4257.62', '8', '5186.12', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435520', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar.iff', '0', '0.213347', '0', '0.976977', '4245.81', '8', '5191.54', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435521', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0.976976', '0', '-0.213347', '4236.63', '8', '5171.54', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435522', '0', 'object/static/structure/dantooine/shared_dant_jedi_wall_1.iff', '0', '0.213347', '0', '0.976976', '4268.41', '8', '5195.34', '256', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435523', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0.976976', '0', '-0.213347', '4271.86', '8', '5202.95', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435524', '0', 'object/static/structure/dantooine/shared_dant_jedi_wall_2.iff', '0', '0.841686', '0', '0.539967', '4267.44', '8', '5204.95', '256', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435525', '0', 'object/static/structure/dantooine/shared_dant_jedi_wall_1.iff', '0', '0.213347', '0', '0.976977', '4246.84', '8', '5205.95', '256', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435526', '0', 'object/static/structure/dantooine/shared_dant_jedi_wall_2.iff', '0', '0.841686', '0', '0.539967', '4253.68', '8', '5211.28', '256', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435527', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_med.iff', '0', '0.841686', '0', '0.539966', '4263.69', '8', '5206.71', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435528', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_med.iff', '0', '0.213347', '0', '0.976977', '4257.87', '8', '5209.39', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435529', '0', 'object/static/structure/dantooine/shared_dant_jedi_wall_2.iff', '0', '0.841686', '0', '0.539967', '4247.23', '8', '5196.49', '256', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435530', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0.976976', '0', '-0.213347', '4251.08', '8', '5194.55', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8435531', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '0.213347', '0', '0.976976', '4256.77', '8', '5191.91', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465680', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.744643', '0', '0.667463', '6839.57', '60.4164', '-2236.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465681', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.727726', '0', '0.685869', '6835.85', '59.7228', '-2241.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465682', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.670592', '0', '0.741827', '6836.1', '60', '-2249.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465683', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.670591', '0', '0.741828', '6839.37', '60.6936', '-2245.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465684', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.632677', '0', '0.774416', '6837.67', '60', '-2258.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465685', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.632676', '0', '0.774417', '6840.55', '60.6936', '-2253.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465691', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.552199', '0', '0.833712', '6843.01', '60.6936', '-2261.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465692', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.501215', '0', '0.865323', '6840.61', '60', '-2266.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465693', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.430463', '0', '0.902608', '6845.43', '60.2772', '-2273.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465694', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.461784', '0', '0.886992', '6847.03', '60.9708', '-2269.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465696', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.416875', '0', '0.908964', '6852.07', '60.9708', '-2275.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465699', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '0', '0.624897', '0', '0.780707', '6839.7', '60.0537', '-2231.72', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465700', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '0', '0.384808', '0', '0.922997', '6852.86', '58.9668', '-2279', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465702', '0', 'object/static/structure/dantooine/shared_dant_small_mudhut.iff', '0', '0.990105', '0', '-0.140332', '6847.26', '60', '-2237.52', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465703', '0', 'object/static/structure/dantooine/shared_dant_small_mudhut.iff', '0', '-0.556361', '0', '0.83094', '6854.43', '60', '-2252.53', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465704', '0', 'object/static/structure/dantooine/shared_dant_small_mudhut.iff', '0', '0.854715', '0', '-0.519098', '6854.24', '60', '-2243.18', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465706', '0', 'object/static/structure/dantooine/shared_dant_small_mudhut.iff', '0', '0.993869', '0', '-0.11057', '6858.53', '60', '-2260.43', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465707', '0', 'object/static/structure/dantooine/shared_dant_small_mudhut.iff', '0', '0.912764', '0', '-0.408486', '6870.98', '60', '-2264.04', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465708', '0', 'object/static/structure/dantooine/shared_dant_small_mudhut.iff', '0', '0.731146', '0', '-0.682221', '6874.3', '60', '-2272.1', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465709', '0', 'object/static/structure/dantooine/shared_dant_mud_oven.iff', '0', '0.904412', '0', '-0.42666', '6851.75', '60', '-2259.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465717', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0', '0', '1', '6847.39', '60', '-2237.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465718', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0', '0', '1', '6869.78', '60', '-2263.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465719', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0.713864', '0', '-0.700285', '6851.39', '60.4427', '-2260.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465729', '0', 'object/static/structure/tatooine/shared_tent_house_tatooine_style_01.iff', '0', '0.942489', '0', '0.334238', '6880.82', '60', '-2263.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465731', '0', 'object/building/military/shared_military_outpost_guard_house_imperial.iff', '0', '0.706824', '0', '0.707389', '2502.21', '7', '-2053.56', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465732', '8465731', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465733', '8465731', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465735', '0', 'object/static/structure/tatooine/shared_tent_house_tatooine_style_01.iff', '0', '0.114747', '0', '0.993395', '6863.25', '60', '-2229.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465736', '0', 'object/static/structure/general/shared_landing_pad_shuttle.iff', '0', '-0.342898', '0', '0.939373', '6875.44', '60', '-2239.24', '256', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465737', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0', '0', '1', '2502.41', '7', '-2046.12', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465738', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '2501.01', '7', '-2046.22', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465739', '0', 'object/static/vehicle/shared_player_shuttle.iff', '0', '-0.389418', '0', '0.921061', '6877.29', '60', '-2240.78', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465740', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '2501.59', '7', '-2045.16', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465741', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0', '0', '1', '2499.26', '7', '-2046.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465742', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '2500.46', '7', '-2045.09', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465743', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0.724287', '0', '0', '-0.689499', '2499.99', '7.12833', '-2044.47', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465744', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0.912764', '0', '-0.408488', '6875.39', '60', '-2231.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465745', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0', '0', '1', '2497.67', '7', '-2045.31', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465746', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '-0.706825', '0', '0.707388', '2497.2', '7', '-2045.3', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465747', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0.413772', '0', '0.91038', '6882.24', '60', '-2236.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465748', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '0.717356', '0', '-0.696707', '2495.64', '7', '-2049.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465756', '0', 'object/static/item/shared_item_tool_sensor_beacon.iff', '0', '0', '0', '1', '6824.16', '61.6709', '-2277.83', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465758', '0', 'object/static/item/shared_item_tool_sensor_beacon.iff', '0', '0', '0', '1', '6795.97', '63.5015', '-2330.02', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465759', '0', 'object/static/item/shared_item_tool_sensor_beacon.iff', '0', '0', '0', '1', '6846.17', '47.7526', '-2340.35', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465760', '0', 'object/static/item/shared_item_tool_sensor_beacon.iff', '0', '0', '0', '1', '6792.34', '57.3798', '-2201.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465761', '0', 'object/tangible/furniture/all/shared_frn_all_command_console.iff', '0', '0.366273', '0', '0.930508', '2506.5', '14.0385', '-2049.02', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465763', '0', 'object/tangible/furniture/all/shared_frn_all_technical_console_s02.iff', '0', '0.0199987', '0', '0.9998', '2506.42', '13.9064', '-2058.48', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465764', '0', 'object/static/structure/general/shared_poi_tato_tent_s01.iff', '0', '0.589145', '0', '0.808027', '6883.3', '60', '-2252.99', '175', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465765', '0', 'object/static/structure/general/shared_poi_tato_tent_s01.iff', '0', '-0.366273', '0', '0.930508', '6853.97', '60', '-2231.86', '175', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465766', '0', 'object/tangible/furniture/all/shared_frn_all_desk_radar_topology_screen.iff', '0', '1', '0', '3.20013e-08', '2500.64', '13.9267', '-2047.96', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465767', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '6861.57', '60', '-2227.66', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465768', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.952576', '0', '-0.3043', '6862.46', '60', '-2226.69', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465769', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.193767', '0', '0.981048', '6865.24', '60', '-2227.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465770', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '6865.53', '60', '-2227.79', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465771', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.198669', '0', '0.980067', '6865.57', '60', '-2228.52', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465772', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '6861.09', '60', '-2231.57', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465773', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '6860.84', '60', '-2231.22', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465774', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '6860.51', '60', '-2230.56', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465775', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '6861.06', '60', '-2230.77', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465777', '0', 'object/static/item/shared_item_container_installation.iff', '0', '0.324043', '0', '0.946042', '6865.19', '60', '-2230.57', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465778', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.926499', '0', '-0.376297', '6880.52', '60', '-2259.9', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465779', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.969944', '0', '-0.243329', '6881', '60', '-2260.02', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465780', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.865723', '0', '0.500524', '6881.49', '60', '-2260.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465781', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.955101', '0', '-0.296281', '6880.73', '60', '-2260.27', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465782', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.969944', '0', '-0.243329', '6881.12', '60', '-2260.41', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465784', '0', 'object/static/item/shared_item_container_weapons.iff', '0', '0.773915', '0', '-0.633289', '6878.66', '60', '-2263.28', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465785', '0', 'object/static/item/shared_item_container_weapons.iff', '0', '0.786425', '0', '-0.617685', '6879', '60', '-2264.43', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465786', '0', 'object/static/item/shared_item_container_weapons.iff', '0', '0.891929', '0', '0.452175', '6880.74', '60', '-2265.47', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465787', '0', 'object/static/item/shared_item_container_weapons.iff', '0', '0.925211', '0', '0.379452', '6881.86', '60', '-2264.47', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465788', '0', 'object/static/item/shared_item_container_weapons.iff', '0', '0.917438', '0', '0.397878', '6882.64', '60', '-2263.55', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465789', '0', 'object/static/item/shared_item_container_electronics.iff', '0', '-0.129634', '0', '0.991562', '6882.62', '60', '-2261.75', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465790', '0', 'object/static/item/shared_item_container_electronics.iff', '0', '0.924606', '0', '-0.380925', '6882.39', '60.6957', '-2264.05', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465861', '0', 'object/static/particle/shared_pt_steam_rise.iff', '0', '0', '0', '1', '6876.5', '65.9565', '-2232.66', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465866', '0', 'object/static/creature/shared_droids_le_repair.iff', '0', '0.995566', '0', '0.0940643', '6874.52', '60', '-2242.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465867', '0', 'object/static/creature/shared_droids_r2.iff', '0', '-0.688921', '0', '0.724836', '6875.99', '60', '-2243.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465872', '0', 'object/static/structure/general/shared_droid_r5_powerdown.iff', '0', '-0.300293', '0', '0.953847', '6879.25', '60', '-2256.43', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465877', '0', 'object/tangible/furniture/all/shared_frn_all_toolchest_lg_s01.iff', '0', '-0.314567', '0', '0.949235', '6878.18', '60', '-2247.91', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465882', '0', 'object/static/item/shared_item_container_armor.iff', '0', '0.361615', '0', '0.932327', '6870.77', '60', '-2239.52', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465883', '0', 'object/static/item/shared_item_container_armor.iff', '0', '0.461779', '0', '0.886995', '6871.74', '60', '-2240.69', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465884', '0', 'object/static/item/shared_item_container_electronics.iff', '0', '0.982154', '0', '0.188077', '6873.69', '60', '-2241.31', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465894', '0', 'object/static/structure/general/shared_banner_rebel_style_01.iff', '0', '0.983986', '0', '0.178246', '6859.41', '60', '-2233.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465895', '0', 'object/static/structure/general/shared_banner_rebel_style_01.iff', '0', '-0.564642', '0', '0.825336', '6880.58', '60', '-2257.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8515665', '0', 'object/static/installation/shared_mockup_power_generator_photo_bio_style_1.iff', '0', '0.992809', '0', '0.119712', '-6843.84', '46', '5587.52', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8515666', '0', 'object/static/installation/shared_mockup_power_generator_photo_bio_style_1.iff', '0', '0.988771', '0', '-0.149438', '-6810.23', '46', '5586.8', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8515668', '0', 'object/static/installation/shared_mockup_mining_liquid_harvester_style_1.iff', '0', '0.707106', '0', '0.707107', '-6781.65', '46', '5543.35', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8515669', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '1', '0', '3.20013e-08', '-6792.82', '46', '5549.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8515670', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0', '0', '1', '-6793.08', '46', '5533.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8535482', '0', 'object/building/general/shared_dantooine_force_crystal_hunter_sd_cave.iff', '0', '1', '0', '3.20013e-08', '-6240.15', '56.0141', '7405.22', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8535483', '8535482', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8535484', '8535482', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '200335', '8535484', 'object/tangible/container/loot/shared_placable_loot_crate_trashpile.iff', '0.109756', '0.00219542', '0.0198778', '0.993757', '53.0068', '-48.8688', '-55.6089', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '200336', '8535484', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0.999958', '0', '0.00920352', '45.6698', '-47.059', '-6.79665', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8535485', '8535482', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8535486', '8535482', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8535511', '8535486', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0.95657', '0', '-0.291502', '61.0221', '-75.2442', '-57.589', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8535487', '8535482', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8535488', '8535482', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8535489', '8535482', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8535490', '8535482', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8535491', '8535482', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8535492', '8535482', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8535493', '8535482', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8535524', '0', 'object/tangible/furniture/all/shared_frn_all_data_terminal_free_s1.iff', '0', '0.945784', '0', '0.324796', '-619.585', '3', '2540.36', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8535526', '0', 'object/static/particle/shared_pt_lair_evil_fire_large_green.iff', '0', '0', '0', '1', '4278.15', '8.42608', '5352.56', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8535527', '0', 'object/static/structure/general/shared_campfire_ash.iff', '0', '0', '0', '1', '4278.12', '8.49454', '5352.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8535528', '0', 'object/soundobject/shared_soundobject_fire_roaring.iff', '0', '0', '0', '1', '4277.71', '7.6091', '5353.24', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8535530', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.39861', '0', '0.917121', '4277.57', '8.44375', '5352.92', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8535531', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0', '0', '1', '4278.19', '8.50699', '5353.14', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8535532', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '-0.0816454', '0.468319', '0.0379049', '0.878962', '4278.69', '8.53862', '5352.88', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8535533', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '-0.0490473', '0.786979', '0.063093', '0.611782', '4278.78', '8.53862', '5352.31', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8535534', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0.000147098', '0.999379', '0.0349925', '-0.00420107', '4278.17', '8.47537', '5351.9', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8535535', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0.00246613', '0.869889', '0.00434948', '-0.493222', '4277.6', '8.44375', '5352.2', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8535537', '0', 'object/building/general/shared_cave_02_damprock.iff', '0', '0.164252', '0', '0.986418', '4197.72', '11.5446', '5116.31', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8535538', '8535537', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8695494', '8535538', 'object/soundobject/shared_soundobject_cave_drip.iff', '0', '0', '0', '1', '-13.2467', '-5.24589', '-4.12109', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8695495', '8535538', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '-5.1858', '-10.1567', '-11.5724', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8695496', '8535538', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '19.2922', '-29.0105', '-14.1663', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8695577', '8535538', 'object/static/naboo/shared_waterfall_mist_lg.iff', '0', '0', '0', '1', '-14.8288', '-5.52498', '-6.91481', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8695578', '8535538', 'object/static/naboo/shared_waterfall_mist_lg.iff', '0.986418', '-7.13581e-09', '-0.164252', '-3.2143e-08', '-16.7449', '-4.51422', '-1.77366', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8695579', '8535538', 'object/static/structure/general/shared_cave_wall_damprock_style_01.iff', '0', '0', '0', '1', '-9.45863', '-5.53095', '2.43793', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8695585', '8535538', 'object/static/structure/general/shared_cave_stalagmite_damprock_s01_large.iff', '1', '0', '0', '-3.20013e-08', '-20.4924', '7.65016', '4.4077', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8535539', '8535537', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8695497', '8535539', 'object/soundobject/shared_soundobject_cave_drip.iff', '0', '0', '0', '1', '23.7288', '-40.8759', '-49.8033', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8535540', '8535537', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8695533', '8535540', 'object/soundobject/shared_soundobject_cave_drip.iff', '0', '0', '0', '1', '82.5745', '-63.3023', '-18.914', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8695534', '8535540', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '-0.174073', '0.00348193', '0.0196932', '0.98453', '83.7269', '-68.2005', '-39.4821', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8535541', '8535537', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8695536', '8535541', 'object/soundobject/shared_soundobject_cave_drip.iff', '0', '0.164252', '0', '0.986418', '73.054', '-75.2003', '-62.8901', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8535542', '8535537', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8695501', '8535542', 'object/soundobject/shared_soundobject_cave_drip.iff', '0', '0', '0', '1', '71.5408', '-46.5323', '-107.718', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8695502', '8535542', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0.164252', '0', '0.986418', '83.8585', '-45.5159', '-119.855', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8535543', '8535537', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8695537', '8535543', 'object/soundobject/shared_soundobject_cave_drip.iff', '0', '0.164252', '0', '0.986418', '54.1111', '-74.6547', '-104.767', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8535544', '8535537', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8695539', '8535544', 'object/soundobject/shared_soundobject_cave_drip.iff', '0', '0.164252', '0', '0.986418', '91.2749', '-66.9279', '-130.821', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8535545', '8535537', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8695541', '8535545', 'object/soundobject/shared_soundobject_cave_drip.iff', '0', '0.164252', '0', '0.986418', '117.92', '-65.9331', '-107.154', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8535546', '8535537', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8695545', '8535546', 'object/soundobject/shared_soundobject_cave_drip.iff', '0', '0.164252', '0', '0.986418', '166.054', '-66.6501', '-98.0373', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8695547', '8535546', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0', '-0.0149994', '0.999888', '192.413', '-66.7661', '-101.438', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8695548', '8535546', 'object/static/structure/general/shared_skeleton_human_body.iff', '-0.0647716', '0.004867', '-0.0747715', '0.995083', '191.558', '-66.1809', '-95.5156', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8695549', '8535546', 'object/static/structure/general/shared_skeleton_bith_head.iff', '-0.151156', '-0.41968', '0.372765', '0.813675', '192.815', '-66.1656', '-109.76', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8695550', '8535546', 'object/static/structure/general/shared_skeleton_human_head.iff', '-0.397479', '0.4182', '0.562693', '-0.592027', '183.893', '-65.7014', '-107.398', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8535547', '8535537', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8695499', '8535547', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0.164252', '0', '0.986418', '46.8458', '-51.7095', '-83.5009', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8695500', '8535547', 'object/soundobject/shared_soundobject_cave_drip.iff', '0', '0', '0', '1', '49.932', '-49.7584', '-96.1535', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8535548', '8535537', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8695503', '8535548', 'object/soundobject/shared_soundobject_cave_drip.iff', '0', '0', '0', '1', '92.5967', '-46.8223', '-127.407', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8695504', '8535548', 'object/static/structure/dantooine/shared_dant_large_mudhut.iff', '0', '0.706825', '0', '0.707388', '76.5373', '-46.4052', '-142.317', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8695505', '8535548', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0.164252', '0', '0.986418', '85.2413', '-46.8366', '-144.996', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8695506', '8535548', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0.164252', '0', '0.986418', '85.4555', '-46.768', '-139.7', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8695507', '8535548', 'object/static/structure/dantooine/shared_dant_fire_pit.iff', '0', '0', '0', '1', '76.325', '-46.4579', '-142.516', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8695511', '8535548', 'object/static/particle/shared_pt_burning_smokeandembers_large.iff', '0', '0', '0', '1', '76.4715', '-45.7664', '-142.481', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8695513', '8535548', 'object/tangible/furniture/all/shared_frn_all_throwpillow_med_s01.iff', '0.0378629', '-0.168355', '-0.0137793', '0.984903', '76.2485', '-45.8659', '-146.234', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8695514', '8535548', 'object/tangible/furniture/all/shared_frn_all_throwpillow_med_s01.iff', '0.0487149', '-0.177686', '-0.0165175', '0.982742', '76.6605', '-45.7778', '-147.402', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8695517', '8535548', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '-0.0240864', '0.963257', '0.00668678', '-0.267415', '79.8943', '-46.3601', '-138.466', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8695518', '8535548', 'object/static/structure/general/shared_rock_forestriverrock_lg.iff', '0', '0.366273', '0', '0.930508', '72.256', '-45.8654', '-144.169', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8695519', '8535548', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0', '0', '1', '74.1361', '-46.2181', '-143.807', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8695520', '8535548', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.0961033', '0.133202', '0.577151', '0.799949', '78.4128', '-46.6957', '-141.147', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8695523', '8535548', 'object/static/item/shared_item_document.iff', '0', '0.164252', '0', '0.986418', '72.3283', '-44.9988', '-144.026', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8695524', '8535548', 'object/static/item/shared_item_document.iff', '-0.0707035', '0.148256', '-0.424612', '0.890352', '72.4704', '-44.9857', '-144.18', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8695526', '8535548', 'object/static/item/shared_item_document.iff', '0', '-0.35695', '0', '0.934124', '72.4292', '-44.9271', '-144.077', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8695527', '8535548', 'object/tangible/furniture/all/shared_frn_all_lamp_candlestick_tbl_s02.iff', '0', '0', '0', '1', '72.0182', '-44.9824', '-143.734', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8695528', '8535548', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '-0.0549723', '0.998488', '73.895', '-45.7776', '-138.313', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8695529', '8535548', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0.007671', '-0.139332', '-0.0544344', '0.988719', '74.9228', '-45.919', '-138.112', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8695530', '8535548', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '-0.0137127', '0.575759', '-0.0453836', '0.816244', '78.0444', '-45.9128', '-147.253', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8695531', '8535548', 'object/static/structure/general/shared_streetlamp_small_style_02_on.iff', '0', '0', '0', '1', '76.4771', '-49.3086', '-142.479', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8695551', '8535548', 'object/soundobject/shared_soundobject_fire_roaring.iff', '0', '0', '0', '1', '76.3229', '-46.5568', '-142.337', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8695552', '8535548', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_med.iff', '0', '-0.375559', '0', '0.926798', '79.9394', '-47.6179', '-149.02', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8695553', '8535548', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_med.iff', '0', '0.356949', '0', '0.934124', '78.8456', '-47.4615', '-135.235', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8695567', '8535548', 'object/static/particle/shared_pt_poi_electricity_2x2.iff', '0', '0', '0', '1', '78.7816', '-42.0544', '-135.15', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8695568', '8535548', 'object/static/particle/shared_pt_poi_electricity_2x2.iff', '0', '0.164252', '0', '0.986418', '79.895', '-41.9493', '-149.169', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8555515', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '-0.174108', '0', '0.984727', '-546.988', '1', '-3821.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8555520', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '-0.174108', '0', '0.984727', '-562.018', '1', '-3827.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8555521', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '-0.174108', '0', '0.984727', '-539.473', '1', '-3819.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8555529', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '-0.174108', '0', '0.984727', '-543.23', '1', '-3820.39', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8555548', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '-0.174108', '0', '0.984727', '-565.775', '1', '-3828.62', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565352', '0', 'object/building/military/shared_outpost_starport.iff', '0', '0', '0', '1', '1590', '4', '-6398', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565353', '8565352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '3975464', '8565353', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0', '0', '1', '-7.42151', '0.146595', '-19.23', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565368', '0', 'object/building/military/shared_outpost_shed.iff', '0', '0.707105', '0', '0.707108', '1594', '4', '-6428', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565369', '8565368', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565370', '8565368', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565371', '8565368', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565372', '8565368', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565373', '8565368', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565374', '8565368', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565387', '0', 'object/building/military/shared_outpost_shed.iff', '0', '1', '0', '0', '1566', '4', '-6358', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565388', '8565387', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565389', '8565387', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565390', '8565387', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565391', '8565387', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565392', '8565387', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565393', '8565387', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565394', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '-0.707106', '0', '0.707107', '1540', '4', '-6364', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565395', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '1', '0', '3.48103e-07', '1588', '4', '-6348', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565396', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '-0.707106', '0', '0.707107', '1652', '4', '-6398', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565397', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '0.707107', '0', '-0.707107', '1524', '4', '-6398', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565398', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '0.707107', '0', '-0.707107', '1636', '4', '-6364', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565399', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '1', '0', '3.48103e-07', '1620', '4', '-6348', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565400', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '1', '0', '3.48103e-07', '1556', '4', '-6348', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565401', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '0.707107', '0', '0.707107', '1636', '4', '-6432', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565402', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '0', '0', '1', '1588', '4', '-6448', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565403', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '0', '0', '1', '1556', '4', '-6448', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565404', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '0', '0', '1', '1620', '4', '-6448', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565405', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '0.707107', '0', '0.707107', '1540', '4', '-6432', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565407', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '1636', '4', '-6348', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565408', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '1652', '4', '-6382', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565409', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '1636', '4', '-6380', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565410', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '1652', '4', '-6414', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565411', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '1636', '4', '-6416', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565412', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '1636', '4', '-6448', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565413', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '1604', '4', '-6448', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565414', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '1572', '4', '-6448', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565415', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '1540', '4', '-6448', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565416', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '1540', '4', '-6416', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565417', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '1524', '4', '-6414', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565418', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '1524', '4', '-6382', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565419', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '1540', '4', '-6380', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565420', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '1540', '4', '-6348', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565421', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '1572', '4', '-6348', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565422', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '1604', '4', '-6348', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565430', '0', 'object/building/military/shared_outpost_shed.iff', '0', '1', '0', '0', '1626', '4', '-6358', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565431', '8565430', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565432', '8565430', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565433', '8565430', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565434', '8565430', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565435', '8565430', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565436', '8565430', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565437', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '1652', '2', '-6348', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565438', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '1652', '2', '-6448', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565439', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '1524', '2', '-6448', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565440', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '1524', '2', '-6348', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565441', '0', 'object/static/structure/naboo/shared_gungan_relic_s01.iff', '0', '0.720831', '0', '-0.693111', '-3390.47', '16.8217', '2908.56', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565442', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '0', '0', '0', '1', '-3390.52', '37.3678', '2908.3', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565452', '0', 'object/static/structure/dantooine/shared_dant_small_mudhut.iff', '0.0286744', '0.921282', '-0.069226', '0.381608', '-2578.5', '17.9957', '2610.04', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565453', '0', 'object/static/structure/dantooine/shared_dant_small_mudhut.iff', '0.053042', '-0.650238', '0.0455911', '0.756505', '-2551', '15.9027', '2591.03', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565455', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0.958016', '0', '-0.286715', '-2580.56', '13.842', '2594.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565456', '0', 'object/static/structure/dantooine/shared_dant_cooking_stone.iff', '0.119712', '0', '0', '0.992809', '-2554.55', '15.4513', '2599.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565457', '0', 'object/static/structure/dantooine/shared_dant_skull_bol.iff', '0.0278484', '0.925759', '-0.0695624', '0.370615', '-2574.6', '20.7172', '2606.19', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565458', '0', 'object/static/structure/dantooine/shared_dant_gate.iff', '0', '-0.17903', '0', '0.983844', '-2568.94', '16.1264', '2613.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565459', '0', 'object/building/endor/shared_endr_lake_rail8m.iff', '0.314551', '0.0094922', '-0.00314562', '0.949188', '-2563.46', '16.0489', '2613.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565461', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0.173625', '-0.435534', '0.0860223', '0.87907', '-2572.03', '16.3952', '2611', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565463', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0.549964', '0.386925', '-0.492048', '0.552918', '-2558.66', '15.9315', '2611.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565464', '0', 'object/static/installation/shared_mockup_farm_flora_style_1.iff', '0', '0', '0', '1', '1554', '4', '-6442', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565465', '0', 'object/static/installation/shared_mockup_farm_flora_style_1.iff', '0', '0.707106', '0', '0.707107', '1546', '4', '-6434', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565466', '0', 'object/static/installation/shared_mockup_farm_flora_style_1.iff', '0', '0', '0', '1', '1564', '4', '-6442', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565467', '0', 'object/static/installation/shared_mockup_farm_flora_style_1.iff', '0', '0.707107', '0', '0.707107', '1546', '4', '-6422', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565468', '0', 'object/static/installation/shared_mockup_power_generator_photo_bio_style_1.iff', '0', '0', '0', '1', '1587', '4', '-6444.5', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565470', '0', 'object/static/installation/shared_mockup_farm_flora_style_1.iff', '0', '0', '0', '1', '1611', '4', '-6442', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565471', '0', 'object/static/installation/shared_mockup_farm_flora_style_1.iff', '0', '0', '0', '1', '1622', '4', '-6442', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565472', '0', 'object/static/installation/shared_mockup_farm_flora_style_1.iff', '0', '-0.707106', '0', '0.707107', '1630', '4', '-6434', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565473', '0', 'object/static/installation/shared_mockup_farm_flora_style_1.iff', '0', '-0.707106', '0', '0.707107', '1630', '4', '-6424', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565474', '0', 'object/static/installation/shared_mockup_farm_flora_style_1.iff', '0', '0', '0', '1', '1574', '4', '-6442', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565475', '0', 'object/static/installation/shared_mockup_farm_flora_style_1.iff', '0', '0', '0', '1', '1600', '4', '-6442', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565476', '0', 'object/static/item/shared_item_crate_spice.iff', '0', '0.707106', '0', '0.707107', '1585.55', '4', '-6432.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565477', '0', 'object/static/item/shared_item_crate_spice.iff', '0', '-0.707106', '0', '0.707107', '1584.85', '4', '-6432.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565481', '0', 'object/static/item/shared_item_crate_spice.iff', '0', '0.707106', '0', '0.707107', '1585.53', '4', '-6433.82', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565482', '0', 'object/static/item/shared_item_crate_spice.iff', '0', '-0.707106', '0', '0.707107', '1584.84', '4', '-6433.83', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565483', '0', 'object/static/item/shared_item_crate_spice.iff', '0', '0.707106', '0', '0.707107', '1585.42', '4', '-6434.75', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565484', '0', 'object/static/item/shared_item_crate_spice.iff', '0', '-0.707106', '0', '0.707107', '1584.72', '4', '-6434.75', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565485', '0', 'object/static/item/shared_item_crate_spice.iff', '0', '0.707107', '0', '-0.707107', '1584.61', '4', '-6431.83', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565486', '0', 'object/static/item/shared_item_crate_spice.iff', '0', '0.707107', '0', '0.707107', '1585.31', '4', '-6431.83', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565487', '0', 'object/static/item/shared_item_crate_spice.iff', '0', '0.707107', '0', '-0.707107', '1584.63', '4', '-6430.93', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565488', '0', 'object/static/item/shared_item_crate_spice.iff', '0', '0.707107', '0', '0.707107', '1585.33', '4', '-6430.93', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565504', '0', 'object/static/item/shared_item_crate_spice.iff', '0', '0.99851', '0', '0.0545753', '1581.85', '4', '-6436.11', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565506', '0', 'object/static/item/shared_item_crate_spice.iff', '0', '0.99851', '0', '0.0545753', '1582.75', '4', '-6436.04', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565508', '0', 'object/static/item/shared_item_crate_spice.iff', '0', '0.99851', '0', '0.0545753', '1583.68', '4', '-6436.06', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565509', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.708226', '0', '0.705986', '1583.74', '4', '-6437.02', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565510', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.450374', '0', '0.89284', '1585.03', '4', '-6436.5', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565511', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.977146', '0', '0.212569', '1587.69', '4', '-6436.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565512', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.977146', '0', '0.212569', '1586.15', '4', '-6437.07', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565513', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.795631', '0', '-0.605781', '1586.31', '4', '-6435.66', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565514', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.998248', '0', '0.0591687', '1581.31', '4', '-6437.4', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565515', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.998248', '0', '0.0591687', '1582.61', '4', '-6437.06', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565518', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.636574', '0', '0.771216', '1580.53', '4', '-6436.23', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565519', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.107607', '0', '0.994194', '1574.39', '4', '-6406.39', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565520', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.772001', '0', '0.635622', '1573.37', '4', '-6406.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565521', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.0769429', '0', '0.997036', '1573.07', '4', '-6407.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565522', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.620056', '0', '0.784558', '1574.2', '4', '-6407.43', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565523', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.772001', '0', '0.635622', '1573.76', '5.17005', '-6406.81', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565524', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.772001', '0', '0.635622', '1576.79', '4', '-6405.56', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565525', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.107607', '0', '0.994193', '1577.81', '4', '-6405.8', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565526', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.620055', '0', '0.784558', '1577.62', '4', '-6406.84', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565527', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.076943', '0', '0.997036', '1576.48', '4', '-6406.59', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565528', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.772001', '0', '0.635622', '1577.18', '5.17005', '-6406.22', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565529', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.772001', '0', '0.635622', '1573.57', '4', '-6400.12', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565530', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.107607', '0', '0.994193', '1574.59', '4', '-6400.36', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565531', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.620055', '0', '0.784558', '1574.41', '4', '-6401.4', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565532', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.076943', '0', '0.997036', '1573.27', '4', '-6401.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565533', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.772001', '0', '0.635622', '1573.96', '5.17005', '-6400.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565534', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.772001', '0', '0.635622', '1570.44', '4', '-6400.07', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565535', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.107607', '0', '0.994193', '1571.46', '4', '-6400.31', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565536', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.620055', '0', '0.784558', '1571.27', '4', '-6401.36', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565537', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.076943', '0', '0.997036', '1570.13', '4', '-6401.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565538', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.772001', '0', '0.635622', '1570.83', '5.17005', '-6400.74', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565539', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.772001', '0', '0.635622', '1569.95', '4', '-6405.35', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565540', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.107607', '0', '0.994193', '1570.98', '4', '-6405.59', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565541', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.620055', '0', '0.784558', '1570.79', '4', '-6406.64', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565542', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.076943', '0', '0.997036', '1569.65', '4', '-6406.38', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565543', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.772001', '0', '0.635622', '1570.35', '5.17005', '-6406.02', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565544', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.772001', '0', '0.635622', '1606.03', '4', '-6394.55', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565545', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.107607', '0', '0.994193', '1607.05', '4', '-6394.79', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565546', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.620055', '0', '0.784558', '1606.87', '4', '-6395.84', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565547', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.076943', '0', '0.997036', '1605.73', '4', '-6395.58', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565548', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.772001', '0', '0.635622', '1606.42', '5.17005', '-6395.21', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565549', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.772001', '0', '0.635622', '1606.9', '4', '-6400.55', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565550', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.107607', '0', '0.994193', '1607.92', '4', '-6400.79', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565551', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.620055', '0', '0.784558', '1607.74', '4', '-6401.83', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565552', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.076943', '0', '0.997036', '1606.6', '4', '-6401.57', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565553', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.772001', '0', '0.635622', '1607.29', '5.17005', '-6401.21', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565554', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.772001', '0', '0.635622', '1603.28', '4', '-6395.53', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565555', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.107607', '0', '0.994193', '1604.3', '4', '-6395.77', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565556', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.620055', '0', '0.784558', '1604.11', '4', '-6396.81', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565557', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.076943', '0', '0.997036', '1602.97', '4', '-6396.55', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565558', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.772001', '0', '0.635622', '1603.67', '5.17005', '-6396.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565559', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '0', '0', '1', '-1809.76', '3.02985', '2825.84', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565560', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '-0.457339', '0', '0.889293', '-1811.53', '2.82899', '2837.59', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565561', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0', '0', '1', '1608.53', '4', '-6414.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565562', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '1', '0', '3.20013e-08', '1607.88', '4', '-6417.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565563', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '0.767543', '0', '-0.640997', '-1814', '-2.15088', '2832.29', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565564', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0', '0', '1', '-1813.24', '2.89117', '2828.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565565', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0.560509', '0', '0.828148', '-1814.58', '2.80468', '2836.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565566', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '-0.0649542', '0', '0.997888', '-1813.53', '8.24363', '2829.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565596', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '-1812.64', '-0.195445', '2828.49', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565597', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '-0.010876', '0.543726', '-0.0167827', '0.839024', '-1814.46', '-0.193263', '2836.52', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565598', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '-1811.25', '0.14809', '2838.05', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565599', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '-1809.54', '-0.0078068', '2825.88', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565606', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '0.770739', '0', '-0.637151', '-1815.24', '8.22779', '2834', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565672', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0.0699085', '0.871991', '-0.038719', '-0.482955', '-2565.24', '2.34078', '2216.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565673', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.838759', '0', '-0.544503', '-2561.61', '1.82041', '2209.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565675', '0', 'object/static/structure/dantooine/shared_dant_gate.iff', '0', '0.789504', '0', '-0.613746', '-2559.72', '1.92752', '2203.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565676', '0', 'object/static/structure/dantooine/shared_dant_fence_4m.iff', '-0.0475469', '0.863617', '0.0275907', '-0.501143', '-2558.1', '2.3654', '2200.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565677', '0', 'object/static/structure/dantooine/shared_dant_fence_4m.iff', '-0.0689188', '0.859646', '0.0404544', '-0.504601', '-2555.76', '2.72948', '2197.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565678', '0', 'object/static/structure/dantooine/shared_dant_fence_4m.iff', '-0.138958', '0.88931', '0.0672607', '-0.430459', '-2553.54', '3.74333', '2194.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565679', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '-0.060465', '-0.523463', '0.0975233', '0.844287', '-2565.57', '3.82671', '2223.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565680', '0', 'object/static/structure/dantooine/shared_dant_fence_4m.iff', '0.0763474', '0.361447', '0.260593', '0.891974', '-2551.27', '5.71385', '2191.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565681', '0', 'object/static/structure/dantooine/shared_dant_fence_4m.iff', '-0.0962707', '-0.282741', '0.114297', '0.947484', '-2562.18', '5.62729', '2227.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565686', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0.867423', '0', '-0.497571', '-2561.53', '1.97221', '2200.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565697', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s01.iff', '0', '0', '0', '1', '-1472.48', '11.307', '2683.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565698', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s02.iff', '0', '0.720831', '0', '-0.693111', '-1477.2', '11.2424', '2674.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565699', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0', '0', '1', '-1472.87', '12.0605', '2674.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565709', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0', '0', '1', '-1472.76', '10.7679', '2693.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565716', '0', 'object/static/structure/naboo/shared_gungan_damaged_wide_arch_s01.iff', '0', '0.700853', '0', '0.713306', '-1477.16', '10.9072', '2693.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565719', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s01.iff', '0', '0', '0', '1', '-1483.91', '10.3936', '2681.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565720', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s02.iff', '0', '0', '0', '1', '-1484.01', '10.1195', '2690.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565727', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0', '0', '1', '-1474', '10.5435', '2697', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565728', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0', '0', '1', '-1480', '10.7697', '2697', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565729', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '1', '0', '5.30747e-08', '-1480', '9.96332', '2701', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565730', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0', '0', '1', '-1474', '9.88632', '2701', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565741', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '0.247268', '0.747468', '0.301803', '-0.537648', '-498.495', '7.71879', '2066.03', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565742', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0.795602', '0', '-0.60582', '-509.742', '7.56519', '2059.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565743', '0', 'object/static/structure/dantooine/shared_dant_skull_lizard.iff', '-0.181696', '0.774874', '-0.256785', '-0.548287', '-510.081', '10.5637', '2059.2', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565749', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '0', '0.804599', '0', '0.593818', '-80.1692', '4.88403', '1904.14', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565750', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '0', '-0.601198', '0', '0.7991', '-91.6453', '4.79673', '1907.89', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565751', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '0', '0.852108', '0', '0.523366', '-86.1999', '5.08912', '1888.67', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565752', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '0', '-0.576958', '0', '0.816774', '-97.1496', '5.07046', '1893.97', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565753', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '0', '0.884303', '0', '0.466913', '-92.8519', '5.47378', '1871.28', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565754', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '0', '-0.572867', '0', '0.819648', '-103.184', '5.46687', '1876.78', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565755', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '0', '0.824886', '0', '0.5653', '-98.6243', '5.68572', '1855.86', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565756', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '0', '-0.597195', '0', '0.802096', '-109.21', '5.67778', '1859.89', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565757', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '0', '0.846832', '0', '0.531861', '-74.9337', '4.42973', '1917.03', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565758', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '0', '-0.628793', '0', '0.777573', '-86.8645', '4.42077', '1920.37', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565760', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_med.iff', '0', '-0.271547', '0', '0.962425', '206.395', '-3.46615', '2158.28', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565761', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_med.iff', '0', '0.844162', '0', '-0.536088', '200.777', '-4.23947', '2151.87', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565762', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_med.iff', '0', '-0.483807', '0', '0.875175', '194.535', '-4.38772', '2158.37', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565763', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_med.iff', '0', '0.87959', '0', '-0.475732', '199.729', '-3.96335', '2163.86', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565764', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_med.iff', '0', '0', '0', '1', '193.582', '-3.7498', '2168.78', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565765', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_med.iff', '0', '0', '0', '1', '188.887', '-3.68335', '2162.8', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565766', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_fallen.iff', '0.240658', '0.737538', '-0.53775', '-0.330069', '181.537', '1.48167', '2165.69', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565767', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_fallen.iff', '-0.2335', '0.599772', '0.188822', '0.741685', '183.863', '1.90911', '2171.6', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565768', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_fallen.iff', '0', '-0.66687', '0', '0.745174', '175.937', '3.26175', '2168.8', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565769', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_fallen.iff', '0.48355', '0.508548', '-0.437111', '0.562576', '211.46', '0.576606', '2148.66', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565770', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_fallen.iff', '0.492161', '-0.057195', '0.868018', '0.0324292', '208.253', '0.554384', '2143.52', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565771', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_fallen.iff', '0.535147', '-0.183121', '0.356956', '0.743415', '216.21', '1.3152', '2145.69', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565783', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0', '0', '1', '565.807', '2.0153', '1888.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565784', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0', '0.747971', '-0.663731', '564.564', '1.94571', '1888.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565785', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.492535', '0', '0', '0.870293', '565.746', '2.81148', '1887.59', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565786', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.516982', '-0.476845', '0.521762', '-0.482817', '565', '2.90225', '1886.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565787', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0', '0', '1', '564.767', '1.95369', '1886.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565788', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '-0.402022', '0.590881', '-0.550463', '0.431541', '564.049', '1.97091', '1886.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565789', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0', '0', '1', '565.357', '2.23538', '1886.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565790', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0', '0', '1', '566.693', '2.02638', '1887.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565791', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '-0.699497', '-0.0174911', '0.0178587', '0.714198', '566.177', '2.08339', '1886.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565792', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0', '0', '1', '564.712', '2.86335', '1887.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565793', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.880879', '-0.368989', '-0.28274', '0.089201', '565.289', '4.35064', '1887.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565794', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_altar.iff', '0', '0.825336', '0', '-0.564643', '-751.701', '1.10877', '2098.18', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565795', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_med.iff', '0', '0', '0', '1', '-741.257', '1.51468', '2093.59', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565796', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar.iff', '0', '-0.707107', '0', '0.707107', '-749.228', '0.925691', '2108.32', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565797', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar.iff', '0', '0.707107', '0', '0.707107', '-732.658', '2.13039', '2096.98', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565798', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_med.iff', '0', '-0.707107', '0', '0.707107', '-743.853', '0.983501', '2116.73', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565799', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0', '0', '1', '-726.209', '2.15961', '2104.17', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565800', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar.iff', '0', '0', '0', '1', '-726.117', '1.72076', '2113.94', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565801', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '0', '0', '1', '-735.204', '1.37887', '2118.52', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565802', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_fallen.iff', '-0.474942', '0.489942', '-0.368605', '-0.631283', '-737.267', '1.31231', '2115.74', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565803', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_fallen.iff', '0.408018', '0.591965', '0.48857', '-0.494366', '-738.094', '1.48264', '2109.86', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565804', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_fallen.iff', '0.532552', '0.319831', '-0.450677', '0.641082', '-730.729', '1.88178', '2107.19', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565805', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_fallen.iff', '0.191143', '-0.648482', '0.71623', '-0.173063', '-739.702', '1.71312', '2100.02', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565806', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_fallen.iff', '0.636158', '-0.1574', '0.128654', '0.744296', '-744.657', '1.19775', '2109.64', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565807', '0', 'object/static/structure/dantooine/shared_dant_small_mudhut.iff', '-0.00480035', '-0.628792', '0.0218362', '0.777252', '-1985.11', '2.943', '1490.57', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565808', '0', 'object/static/structure/dantooine/shared_dant_small_mudhut.iff', '0.0310385', '0.461496', '-0.016159', '0.886452', '-2010.72', '2.7487', '1484.95', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565809', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0', '0', '1', '-1994.48', '2.00855', '1499.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565810', '0', 'object/static/structure/dantooine/shared_dant_cooking_stone.iff', '0.238768', '0.0647974', '-0.253767', '0.93509', '-1997.06', '1.65718', '1482.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565811', '0', 'object/static/structure/dantooine/shared_dant_fence_4m.iff', '0', '0.42594', '0', '0.904752', '-2001.46', '1.61263', '1480.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565812', '0', 'object/static/structure/dantooine/shared_dant_fence_4m.iff', '-0.157043', '0.428298', '0.075855', '0.886648', '-2004.42', '2.37331', '1477.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565813', '0', 'object/static/structure/dantooine/shared_dant_fence_4m.iff', '0', '-0.342898', '0', '0.939373', '-2004.56', '1.91998', '1480.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565814', '0', 'object/static/structure/dantooine/shared_dant_fence_4m.iff', '-0.0789979', '-0.36495', '-0.0310957', '0.927148', '-2001.44', '2.23739', '1477.59', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565815', '0', 'object/static/structure/dantooine/shared_dant_skull_bol.iff', '0', '0', '0', '1', '-1997.03', '1.9809', '1491.14', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565816', '0', 'object/static/structure/tatooine/shared_skeleton_greater_krayt_spine_small.iff', '0.0376391', '-0.055721', '-0.036878', '0.997055', '-1996.45', '1.65642', '1487.54', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565817', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '-2007.38', '-0.0823429', '1484.22', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565818', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '-2002.48', '-1.01211', '1481.27', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565819', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '0', '0', '1', '-1985.51', '6.45523', '1490.52', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565823', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0', '0.333487', '0', '0.942755', '-1990.09', '-0.431089', '1491', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565824', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0', '0.213347', '0', '0.976976', '-1990', '-0.528732', '1492.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565825', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '-0.581035', '0', '0.813879', '968.818', '11.1132', '2423.87', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565826', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '970.433', '13.7732', '2428.99', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565827', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '966.924', '13.3949', '2418.94', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565828', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.685288', '0', '0', '0.728272', '970.607', '14.0205', '2427.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565830', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.9871', '0', '0', '0.160104', '967.577', '13.8339', '2420.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565833', '0', 'object/tangible/furniture/all/shared_frn_all_throwpillow_med_s01.iff', '0', '0.159318', '0', '0.987227', '968.992', '21.5885', '2424.39', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565834', '0', 'object/tangible/furniture/all/shared_frn_all_throwpillow_med_s01.iff', '0', '0.159318', '0', '0.987227', '968.619', '21.5868', '2423.34', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565835', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0.159318', '0', '0.987227', '968.8', '21.6724', '2423.45', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565836', '0', 'object/static/structure/dantooine/shared_dant_hide_tanning_s01.iff', '0', '0.990105', '0', '-0.140332', '969.853', '21.5022', '2426.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565837', '0', 'object/static/structure/dantooine/shared_dant_hide_tanning_s02.iff', '0', '0.183946', '0', '0.982936', '967.791', '21.5051', '2420.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565838', '0', 'object/static/structure/dantooine/shared_dant_skull_bol.iff', '0.542273', '0.120863', '-0.0791853', '0.827685', '970.167', '25.4169', '2427.55', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565839', '0', 'object/static/structure/dantooine/shared_dant_skull_thune.iff', '-0.0814348', '0.877037', '-0.445505', '-0.160316', '967.633', '25.3099', '2420.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565840', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '-0.0393608', '0.446989', '-0.0695492', '0.890963', '1398.77', '8.89215', '2830.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565841', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '-0.0115384', '0.965108', '0.0163344', '-0.261088', '1387.05', '7.76461', '2846.36', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565842', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '0.80162', '0', '-0.597834', '1366.9', '8.85988', '2875.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565843', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '0.881958', '0', '-0.471328', '1350.99', '11.535', '2896.81', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565844', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '0.589145', '0', '0.808028', '1374.86', '9.24454', '2864.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565845', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '0.91071', '0', '-0.413046', '1335.41', '10.2569', '2917.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565846', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '0.838759', '0', '-0.544503', '1313.05', '8.25396', '2948.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565847', '0', 'object/static/structure/tatooine/shared_concrete_slab_tatooine_16x8.iff', '0', '0.232843', '0', '0.972514', '2095.25', '14.2356', '2832.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565849', '0', 'object/static/structure/tatooine/shared_guild_ball_free_style_01.iff', '0', '0.237703', '0', '0.971338', '2097.36', '17.6497', '2824.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565850', '0', 'object/static/structure/tatooine/shared_guild_ball_free_style_01.iff', '0', '0.232843', '0', '0.972514', '2102.58', '17.9593', '2834.98', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565851', '0', 'object/static/structure/tatooine/shared_guild_ball_free_style_01.iff', '0', '0.237703', '0', '0.971338', '2093.19', '17.8126', '2839.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565852', '0', 'object/static/structure/tatooine/shared_guild_ball_free_style_01.iff', '0', '0.232843', '0', '0.972514', '2087.83', '17.852', '2829.59', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565853', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0', '0', '1', '2084.48', '3.38413', '2901.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565856', '0', 'object/static/structure/military/shared_military_wall_weak_rebl_style_01.iff', '0', '0.0898786', '0', '0.995953', '1928.75', '13.2611', '2177.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565857', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '1924.23', '13.8945', '2178.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565858', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0.0399893', '0', '0.9992', '1933.22', '13.7256', '2177.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565859', '0', 'object/static/structure/military/shared_military_wall_weak_rebl_style_01.iff', '0', '0.15438', '0', '0.988012', '1937.48', '13.3553', '2175.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565860', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0.188859', '0', '0.982004', '1941.88', '13.7748', '2174.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565861', '0', 'object/static/structure/military/shared_military_wall_weak_rebl_style_01.iff', '0', '-0.252245', '0', '0.967663', '1941.44', '13.9141', '2166.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565862', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0.129634', '0', '0.991562', '1945.42', '14.4925', '2168.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565863', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0.139543', '0', '0.990216', '1937.46', '14.5801', '2164.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565864', '0', 'object/static/structure/military/shared_military_wall_weak_rebl_style_01.iff', '0', '0.434965', '0', '0.900447', '1926.3', '14.8229', '2164.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565865', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '1929.11', '15.0201', '2161.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565866', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0.13459', '0', '0.990901', '1923.52', '15.1453', '2168.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565867', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0.565473', '-0.411035', '-0.387121', '-0.601189', '1931.56', '15.8705', '2173.88', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565868', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '-0.307706', '-0.406279', '-0.184178', '0.840436', '1933.77', '15.0428', '2173.02', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565869', '0', 'object/static/structure/corellia/shared_corl_power_arial_thin.iff', '0.00190028', '0.941689', '-0.333948', '-0.0411976', '1935.59', '16.3243', '2166.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565870', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '-0.216199', '-0.438514', '-0.251843', '0.835188', '1934.14', '16.1267', '2166.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565871', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0', '0', '1', '1560.94', '7.09033', '1733.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565872', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.389418', '0', '0.921061', '1554.24', '7.1645', '1735.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565873', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '-0.518418', '0', '0.855127', '1566.83', '7.07732', '1736.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565874', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.75128', '0', '-0.659983', '1550.89', '7.13683', '1742.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565875', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.663135', '0', '0.7485', '1568.1', '7.32875', '1744.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565876', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.333487', '0', '0.942755', '1564.92', '7.07518', '1750.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565877', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.854714', '0', '0.519099', '1552.35', '7.11774', '1750.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565878', '0', 'object/static/structure/dantooine/shared_dant_gate.iff', '0', '0.124675', '0', '0.992198', '1560', '7.11579', '1753.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565879', '0', 'object/static/structure/dantooine/shared_dant_fence_4m.iff', '0', '-0.0699428', '0', '0.997551', '1556.26', '7.09369', '1754.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565881', '0', 'object/static/structure/dantooine/shared_dant_small_mudhut.iff', '0', '0.380188', '0', '0.924909', '1547.89', '7.19369', '1756.81', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565883', '0', 'object/static/structure/dantooine/shared_dant_skull_lizard.iff', '0.622751', '0.282306', '-0.240594', '0.688912', '1550.83', '9.32064', '1761.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565884', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '0', '0', '1', '1548.83', '7.11343', '1747.03', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565885', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '1552.13', '3.95125', '1756.55', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565887', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '1549.64', '4.19222', '1760.87', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565888', '0', 'object/static/structure/tatooine/shared_shed_junkshop_watto.iff', '0', '0', '0', '1', '-2016.85', '-0.869005', '1243.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565890', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0.597195', '0', '0.802096', '-2006.86', '2.01705', '1243.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565892', '0', 'object/static/structure/dantooine/shared_dant_skull_lizard.iff', '0', '0.37092', '0', '0.928665', '-2006.2', '1.97589', '1243.86', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565893', '0', 'object/static/structure/tatooine/shared_debris_tatt_radar_dish.iff', '0.952278', '0.00644745', '-0.305041', '0.0086595', '-2016.89', '4.26452', '1243.97', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565894', '0', 'object/static/particle/shared_particle_smoke.iff', '0', '0', '0', '1', '-2017.17', '3.39728', '1243.75', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565895', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0', '-0.457339', '0', '0.889293', '-2495', '25.7532', '1862', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565896', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0', '0.857299', '0', '-0.514819', '-2513', '25.2621', '1862', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565897', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0', '0.352274', '0', '0.935897', '-2504', '25.7517', '1853', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565898', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0', '0.628793', '0', '0.777573', '-2504', '25.137', '1871', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565899', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '0', '0.978197', '0', '0.207681', '-2498.83', '25.4711', '1867.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565900', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '0', '0.955571', '0', '-0.294759', '-2498.98', '25.9218', '1855.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565901', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '0', '-0.593177', '0', '0.805072', '-2509.57', '25.5334', '1856.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565902', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '0', '0.967462', '0', '0.253016', '-2510.22', '25.0716', '1866.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565903', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0', '-0.425939', '0', '0.904752', '-2501.73', '25.5947', '1863.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565904', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0', '0.366273', '0', '0.930508', '-2501.79', '25.642', '1859.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565905', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0', '-0.370921', '0', '0.928665', '-2506.69', '25.4881', '1859.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565906', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0', '0.995566', '0', '-0.0940644', '-2506.66', '25.2579', '1864.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565914', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '-0.112636', '0.981798', '0.151565', '-0.0203573', '-3563.97', '1.36401', '1653.09', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565915', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '0', '0.757843', '0', '-0.652438', '-3557.07', '1.51514', '1643.88', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565916', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '0.202671', '0.734897', '-0.00299537', '0.647181', '-3569.95', '1.02006', '1642.63', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565917', '0', 'object/static/structure/naboo/shared_gungan_damaged_wide_arch_s01.iff', '0', '0.731146', '0', '-0.682221', '-3562.95', '2.4397', '1631.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565918', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '-0.0649542', '0', '0.997888', '-3560.13', '3.27889', '1638.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565919', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '-0.0549723', '0', '0.998488', '-3566.56', '2.70321', '1637.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565920', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0', '0', '1', '-3560.84', '2.76191', '1645', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565921', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '-0.0199987', '0', '0.9998', '-3566.74', '3.44704', '1644.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565924', '0', 'object/static/structure/dantooine/shared_dant_small_mudhut.iff', '0', '-0.416871', '0', '0.908966', '-3971.25', '17.0153', '2127.18', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565925', '0', 'object/static/structure/dantooine/shared_dant_small_mudhut.iff', '0', '0.0898786', '0', '0.995953', '-3986.07', '17.9816', '2125.14', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565926', '0', 'object/static/structure/dantooine/shared_dant_small_mudhut.iff', '0', '0.488177', '0', '0.872745', '-3992.01', '17.4284', '2110.26', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565927', '0', 'object/static/structure/dantooine/shared_dant_small_mudhut.iff', '0', '0.811429', '0', '0.584451', '-3988.35', '17.8226', '2145.94', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565928', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '0.605187', '0', '0.796084', '-3993.59', '17.8967', '2117.47', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565929', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '0.830497', '0', '-0.557023', '-3980.31', '17.7411', '2136.27', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565930', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '0.430458', '0', '0.902611', '-3990.14', '18.3441', '2154.1', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565931', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '0.688922', '0', '0.724836', '-3971.82', '16.49', '2118.38', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565932', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0.461779', '0', '0.886995', '-3963.76', '16.2443', '2145.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565933', '0', 'object/static/structure/dantooine/shared_dant_cooking_stone.iff', '0.188255', '0.0150926', '-0.0784766', '0.978863', '-3993.48', '18.2399', '2134.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565934', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '0.999667', '0', '-0.0257935', '-3994.79', '18.4837', '2123.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565935', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0.702721', '0.00718534', '-0.0280474', '0.710876', '-3994.7', '18.3947', '2127.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565936', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '0.710353', '0', '0.703845', '-3992.6', '18.3276', '2125.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565937', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0.116571', '-0.672932', '0.108597', '0.722344', '-3996.78', '18.5872', '2125.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565938', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '-3992.02', '15.0309', '2125.62', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565939', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '-3984.06', '14.4404', '2128.65', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565940', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '-3988.3', '15.0002', '2113.38', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565943', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '-3986.04', '14.461', '2150.7', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565944', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.720831', '0', '-0.693111', '-3973.01', '14.5441', '2132.83', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565946', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar.iff', '0', '0', '0', '1', '-4503', '69.9624', '1608', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565947', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar.iff', '0', '-0.707107', '0', '0.707107', '-4503', '69.551', '1618', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565948', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar.iff', '0', '0.707107', '0', '0.707107', '-4503', '69.2661', '1628', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565949', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar.iff', '0', '-0.707107', '0', '0.707107', '-4513', '68.5835', '1608', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565950', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar.iff', '0', '0', '0', '1', '-4513', '68.9069', '1618', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565951', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar.iff', '0', '-0.707107', '0', '0.707107', '-4513', '69.0426', '1628', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565952', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s01.iff', '0', '0.999942', '0', '-0.0107962', '-4502.24', '68.9728', '1610.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565953', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s02.iff', '0', '0', '0', '1', '-4502.26', '68.6506', '1624.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565954', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s02.iff', '0.0887468', '-0.653385', '-0.101186', '0.744965', '-4505.82', '68.8109', '1628.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565955', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s01.iff', '0', '0', '0', '1', '-4513.94', '68.6854', '1621.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565956', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s02.iff', '0', '0', '0', '1', '-4513.57', '68.1593', '1614.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565957', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s01.iff', '0', '-0.699716', '0', '0.714421', '-4509.76', '68.5172', '1607.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565959', '0', 'object/static/flora/shared_flora_decd_dath_azerontree.iff', '0', '0', '0', '1', '-712.028', '1.95417', '1433.15', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565961', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0.916803', '0', '-0.39934', '-733.717', '2.62651', '1412.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565962', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0.884303', '0', '0.466913', '-688.77', '2.39678', '1420.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565963', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0', '0', '1', '-712.157', '4.12823', '1460.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565965', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.674288', '0', '0.738469', '-713.63', '4.18932', '1433.32', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565966', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0.0197143', '0.328178', '-0.0566306', '0.942711', '-710.811', '4.26552', '1434.06', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565967', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.920751', '0', '0.390152', '-710.642', '4.35528', '1431.94', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565968', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.193767', '0', '0.981048', '-712.622', '4.15674', '1435.14', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565969', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.973485', '0', '-0.228753', '-712.588', '4.33956', '1431.52', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565970', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_tail.iff', '0', '0', '0', '1', '-715.879', '2.42969', '1444.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565972', '0', 'object/static/structure/dantooine/shared_dant_skull_thune.iff', '0', '0', '0', '1', '-716.024', '2.6345', '1448.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565973', '0', 'object/static/structure/dantooine/shared_dant_skull_bol.iff', '0', '0.864924', '0', '0.501902', '-721.006', '1.75127', '1422.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565974', '0', 'object/static/structure/naboo/shared_gungan_damaged_narrow_arch_s01.iff', '-0.0909739', '-0.397482', '0.203716', '0.890074', '-4642.82', '35.1986', '1790', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565975', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0', '0', '1', '-4640.78', '32.334', '1789.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565976', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0', '0', '1', '-4641.84', '32.8538', '1790.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565977', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '-0.274937', '-0.562316', '-0.212714', '0.750309', '-4636.63', '32.3228', '1791.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565978', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0.126363', '-0.47077', '0.018141', '0.872971', '-4641.2', '31.7346', '1793.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565979', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s01.iff', '0', '0', '0', '1', '-4637.4', '34.5016', '1784.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565980', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s01.iff', '0', '0.836026', '0', '0.54869', '-4642.89', '34.5537', '1798.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565983', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s02.iff', '0', '-0.448423', '0', '0.893822', '-4644.66', '34.9111', '1793.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565984', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s01.iff', '0', '0.844162', '0', '-0.536088', '-4632.57', '34.4869', '1795.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565985', '0', 'object/static/flora/shared_flora_tree_lok_mkpud.iff', '0.246798', '0.0677685', '-0.0173041', '0.96654', '-4638.87', '34.8909', '1788.11', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565986', '0', 'object/static/flora/shared_flora_tree_lok_mkpud.iff', '0', '0', '0', '1', '-4641.9', '35', '1796.04', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565987', '0', 'object/static/flora/shared_flora_tree_lok_mkpud.iff', '0', '0', '0', '1', '-4636.12', '35.0056', '1790.63', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565988', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '-4645.48', '32.4055', '1792.91', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565989', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '-4639.32', '31.8966', '1796.41', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565990', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '-4633.74', '31.8061', '1789.39', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565991', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '-0.154583', '0.978938', '0.130531', '0.0273279', '-1946.25', '-0.784179', '850.08', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565992', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '-2.69334e-10', '0.97033', '4.35229e-10', '0.241784', '-1956.14', '0.0880638', '844.016', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565993', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '0.0079285', '0.920515', '0.0844558', '0.381387', '-1966.95', '-2.7714', '839.485', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8565995', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '0.357359', '0.618453', '0.0700895', '0.696347', '-1963.27', '-0.725243', '818.939', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8566005', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0.780209', '0', '-0.625519', '-5398.59', '42.7292', '1398.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8566006', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.573819', '0.340976', '-0.284298', '0.688216', '-5391.41', '39.8291', '1393.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8566007', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '-0.593196', '-0.0368348', '0.803755', '-0.0271852', '-5396.67', '37.7162', '1387.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8566008', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0', '0', '1', '-5398.84', '42.6872', '1396.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8566009', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0', '0', '1', '-5390.19', '43.5527', '1397.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8566010', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0.252245', '0', '0.967663', '-5393.27', '39.1132', '1387.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8566011', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '-0.636537', '0', '0.771246', '-5394.57', '39.1867', '1394.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8566012', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0.747971', '0', '0.663731', '-5400.27', '39.9924', '1383.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8566013', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.301559', '0.311558', '-0.104979', '0.894971', '-5394.83', '38.6351', '1378.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8566014', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.57714', '-0.42276', '-0.501107', '0.486904', '-5400.52', '37.8509', '1375.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8566015', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0', '0', '1', '-5395.16', '38.802', '1370.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8566016', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.727726', '0', '0', '0.685868', '-5397.36', '37.9475', '1377.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8566017', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0.841471', '0', '-0.540302', '-5391.9', '41.1542', '1381.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8566018', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0', '0.888928', '-0.458047', '-5392.23', '39.4799', '1369.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8566019', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0', '0', '1', '-5401.05', '39.1777', '1380.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8566020', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.345029', '0.654846', '0.4675', '-0.483296', '-5397.04', '38.4306', '1381.66', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8566021', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.717356', '0', '0', '0.696707', '-5396.82', '38.1255', '1374.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8566022', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.796423', '0.472366', '-0.317592', '0.204245', '-5390.43', '39.7909', '1369.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8566023', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.727726', '0', '0', '0.685868', '-5397.74', '40.1125', '1364.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8566024', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.324043', '0', '0', '0.946042', '-5400.13', '39.8624', '1361.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8566025', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0.452886', '0', '0', '0.891568', '-5394.77', '39.337', '1398.94', '256', '1');
INSERT INTO `staticobjects` VALUES ('1', '8566027', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0.452886', '0', '0', '0.891568', '-5395.48', '39.0408', '1398.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8566028', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0.452886', '0', '0', '0.891568', '-5393.76', '39.2727', '1398.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8566029', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0.452886', '0', '0', '0.891568', '-5394.92', '38.5953', '1397.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8566031', '0', 'object/static/flora/shared_flora_decd_scorched_tallbirch_broke.iff', '0.0543917', '0.057159', '-0.200071', '0.976599', '-5384.58', '45.6012', '1383.09', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8566033', '0', 'object/static/flora/shared_flora_decd_scorched_tallbirch_broke.iff', '0.132416', '0.0240956', '-0.177401', '0.974892', '-5386.3', '36.4837', '1339.73', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8566034', '0', 'object/static/flora/shared_flora_decd_scorched_tallbirch_broke.iff', '0.331373', '0.0881524', '0.241494', '0.9078', '-5406.03', '42.2956', '1384.32', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8566035', '0', 'object/static/structure/naboo/shared_gungan_relic_s01.iff', '0', '-0.0898786', '0', '0.995953', '-5755.76', '35.3337', '1926.5', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8566036', '0', 'object/static/structure/dantooine/shared_dant_skull_bol.iff', '0.539722', '0.444865', '-0.410299', '0.585192', '-5754.67', '54.1215', '1926.91', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8566037', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '0', '0.773915', '0', '-0.63329', '-5755.18', '46.5994', '1926.79', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8566042', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '-5752.95', '44.9925', '1927.15', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8566043', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.895699', '0', '0.444662', '-5748.02', '42.0569', '1926.53', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8566044', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.266731', '0', '0.963771', '-5748.47', '42.0558', '1929.44', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8566046', '0', 'object/static/structure/dantooine/shared_dant_large_rock_hut.iff', '-0.0815082', '0.419705', '0.0378758', '0.9032', '-6052.86', '3.60316', '1141.95', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8566047', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '-0.628793', '0', '0.777573', '-6064.56', '1.72037', '1132.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8566048', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0', '0', '1', '-6064.17', '1.6255', '1131.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8566049', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0', '0', '1', '-6063.34', '1.88367', '1132.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8566050', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '-0.552199', '0', '0.833712', '-6063.21', '1.73076', '1131.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8566051', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0.620986', '0', '0.783822', '-6063.8', '1.65759', '1131.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8566052', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0', '0', '1', '-6064.09', '1.97784', '1133.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8566053', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0', '0', '1', '-6062.98', '1.73612', '1132.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8566054', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0', '0', '1', '-6061.98', '1.11163', '1129.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8566055', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.317213', '0.545191', '-0.233723', '0.739943', '-6066.08', '1.95198', '1134.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8566056', '0', 'object/static/structure/general/shared_campfire_ash.iff', '0', '0', '0', '1', '-6063.83', '2.11082', '1132.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8566057', '0', 'object/static/structure/general/shared_campfire_ash.iff', '0', '0', '0', '1', '-6063.79', '2.13118', '1132.59', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8566058', '0', 'object/static/structure/general/shared_campfire_ash.iff', '0', '0', '0', '1', '-6063.54', '2.10077', '1132.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8566059', '0', 'object/static/structure/general/shared_campfire_ash.iff', '0', '0', '0', '1', '-6064.05', '2.07796', '1132.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8566060', '0', 'object/static/structure/general/shared_campfire_ash.iff', '0', '0', '0', '1', '-6063.98', '2.14176', '1132.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8566061', '0', 'object/static/structure/general/shared_campfire_ash.iff', '0', '0', '0', '1', '-6063.9', '2.15722', '1132.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8566062', '0', 'object/static/flora/shared_flora_tree_lok_mkpud.iff', '0', '0', '0', '1', '-6057.86', '2.6824', '1139.98', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8566063', '0', 'object/static/flora/shared_flora_tree_lok_mkpud.iff', '0', '0', '0', '1', '-6050.13', '3.33662', '1137.8', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8566064', '0', 'object/static/flora/shared_flora_tree_lok_mkpud.iff', '0', '0', '0', '1', '-6053.99', '3.92783', '1144.39', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8566065', '0', 'object/static/flora/shared_flora_tree_lok_mkpud.iff', '0', '0', '0', '1', '-6058.59', '4.6237', '1148.36', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8566068', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '-0.470626', '0', '0.882333', '-6845.79', '36.3323', '2474.08', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8566069', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0.29552', '0', '0.955336', '-6852.28', '36.6353', '2464.4', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8566070', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0.319309', '0', '0.947651', '-6840.44', '36.5363', '2482.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8566071', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0.202206', '-0.181248', '0.716663', '-0.642383', '-6851.96', '35.213', '2472.94', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8566072', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '-0.198669', '0', '0', '0.980067', '-6853.7', '35.6506', '2475.35', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8566073', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0.143341', '0.523529', '0.0898673', '0.835042', '-6849.37', '35.3292', '2474.56', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8566074', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '-0.529841', '0.253486', '0.169723', '0.791333', '-6853.17', '35.5478', '2470.86', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8566075', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '-0.239803', '-0.650524', '0.686607', '-0.218824', '-6865.59', '37.5417', '2486.86', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8566076', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '-0.318843', '-0.612411', '0.654048', '-0.309051', '-6864.57', '37.3764', '2486.41', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8566077', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '-0.318843', '-0.612411', '0.654048', '-0.309051', '-6864.19', '37.306', '2486.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8566078', '0', 'object/static/structure/general/shared_prp_engine.iff', '-0.00522679', '-0.522661', '0.00852511', '0.852482', '-6865.62', '37.7542', '2488.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575633', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '-0.174108', '0', '0.984727', '-569.533', '1', '-3829.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575634', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '-0.174108', '0', '0.984727', '-550.745', '1', '-3823.13', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575635', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.984727', '0', '0.174108', '-535.716', '1', '-3817.64', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575636', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '-0.174108', '0', '0.984727', '-558.261', '1', '-3825.87', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575637', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.984727', '0', '0.174108', '-531.958', '1', '-3816.27', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575638', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.57319', '0', '0.819422', '-528.2', '1', '-3814.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575639', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.57319', '0', '0.819422', '-529.572', '1', '-3811.14', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575640', '0', 'object/static/structure/military/shared_military_wall_med_imperial_style_01.iff', '0', '-0.174108', '0', '0.984727', '-534.701', '1', '-3808.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575641', '0', 'object/static/structure/military/shared_military_wall_med_imperial_style_01.iff', '0', '-0.174108', '0', '0.984727', '-542.216', '1', '-3811.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575642', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '-0.174108', '0', '0.984727', '-538.459', '1', '-3810.13', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575643', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.573195', '0', '0.819419', '-530.943', '1', '-3807.39', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575644', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.573195', '0', '0.819419', '-532.315', '1', '-3803.63', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575645', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.573195', '0', '0.819419', '-533.686', '1', '-3799.87', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575646', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '-0.174108', '0', '0.984727', '-537.444', '1', '-3801.24', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575647', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.81942', '0', '-0.573194', '-586.292', '1', '-3819.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575648', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.81942', '0', '-0.573194', '-584.921', '1', '-3822.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575649', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.81942', '0', '-0.573194', '-583.55', '1', '-3826.59', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575650', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.81942', '0', '-0.573194', '-582.178', '1', '-3830.35', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575651', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.81942', '0', '-0.573194', '-580.806', '1', '-3834.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575652', '0', 'object/static/structure/military/shared_military_wall_med_imperial_style_01.iff', '0', '-0.174108', '0', '0.984727', '-572.276', '1', '-3822.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575653', '0', 'object/static/structure/military/shared_military_wall_med_imperial_style_01.iff', '0', '-0.174108', '0', '0.984727', '-579.791', '1', '-3825.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575654', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '-0.174108', '0', '0.984727', '-576.034', '1', '-3823.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575655', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '-0.174108', '0', '0.984727', '-582.534', '1', '-3817.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575656', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.174108', '0', '0.984727', '-541.202', '1', '-3802.61', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575657', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.174108', '0', '0.984727', '-578.777', '1', '-3816.33', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575658', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '-0.174108', '0', '0.984727', '-568.519', '1', '-3821.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575659', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '-0.174108', '0', '0.984727', '-545.973', '1', '-3812.87', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575660', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.984727', '0', '0.174108', '-577.048', '1', '-3832.73', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575661', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.984727', '0', '0.174108', '-573.29', '1', '-3831.36', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575662', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_32_style_01.iff', '0', '0.57319', '0', '0.819422', '-530.228', '1', '-3832.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575663', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_32_style_01.iff', '0', '0.81942', '0', '-0.573194', '-567.805', '1', '-3846.39', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575664', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.984727', '0', '0.174108', '-554.803', '1', '-3858.68', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575665', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.984727', '0', '0.174108', '-532.258', '1', '-3850.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575666', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.984727', '0', '0.174108', '-543.53', '1', '-3854.56', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575667', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.984727', '0', '0.174108', '-562.318', '1', '-3861.42', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575668', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.984727', '0', '0.174108', '-547.288', '1', '-3855.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575669', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.984727', '0', '0.174108', '-539.773', '1', '-3853.19', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575670', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.984727', '0', '0.174108', '-524.743', '1', '-3847.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575671', '0', 'object/building/general/shared_bunker_warren_01.iff', '0', '-0.17903', '0', '0.983844', '-546.66', '1', '-3846.21', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575672', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575673', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575674', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575675', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575676', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575677', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575768', '8575677', 'object/tangible/furniture/all/shared_frn_all_data_terminal_free_s1.iff', '0', '0.707106', '0', '0.707108', '-11.7015', '-20.3162', '-5.96066', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575678', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575769', '8575678', 'object/tangible/furniture/all/shared_frn_all_data_terminal_free_s1.iff', '0', '0', '0', '1', '-17.8993', '-20', '-50.742', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575679', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575680', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575681', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575682', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575683', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575684', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465549', '8575684', 'object/tangible/container/drum/shared_warren_drum_skeleton.iff', '0', '0.867423', '0', '0.497571', '-66.1419', '-18', '-96.5903', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465550', '8575684', 'object/tangible/container/drum/shared_warren_drum_skeleton.iff', '0.314567', '-1.45377e-08', '0.949235', '-2.14733e-08', '-65.7341', '-17.9368', '-114.274', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8555708', '8575684', 'object/tangible/container/drum/shared_warren_drum_tech_chest.iff', '0', '0.707106', '0', '0.707107', '-77.1607', '-18', '-78.2119', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8555709', '8575684', 'object/tangible/container/drum/shared_warren_drum_tech_armoire.iff', '0', '-0.707106', '0', '0.707107', '-67.767', '-18', '-106.272', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8555710', '8575684', 'object/tangible/container/drum/shared_warren_drum_loot.iff', '0', '0.707106', '0', '0.707107', '-88.1446', '-18', '-101.12', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575770', '8575684', 'object/tangible/furniture/all/shared_frn_all_data_terminal_free_s1.iff', '0', '1', '0', '-3.20013e-08', '-85.2989', '-18', '-71.2549', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575685', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465551', '8575685', 'object/tangible/container/drum/shared_warren_drum_skeleton.iff', '0', '-0.0948572', '0', '0.995491', '-22.5632', '-20', '-95.864', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575686', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465563', '8575686', 'object/tangible/terminal/shared_terminal_elevator.iff', '0', '-0.707106', '0', '0.707107', '-16.5202', '-28', '-95.0052', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575772', '8575686', 'object/tangible/terminal/shared_terminal_elevator.iff', '0', '0.707107', '0', '-0.707107', '-16.5211', '-20', '-95.0005', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575687', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575688', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575689', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '4465363', '8575689', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_rebel_rescue_01.iff', '0', '-0.707106', '0', '0.707107', '11.3442', '-28', '-29.774', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575690', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575691', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575773', '8575691', 'object/tangible/furniture/all/shared_frn_all_data_terminal_free_s1.iff', '0', '1', '0', '-3.20013e-08', '-46.49', '-28', '-26.3612', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575692', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '2036114', '8575692', 'object/tangible/furniture/imperial/shared_warren_warning_sign.iff', '0', '0', '0', '1', '6.00172', '-28', '-76.4933', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575693', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465552', '8575693', 'object/tangible/terminal/shared_terminal_elevator.iff', '0', '0', '0', '1', '3.49922', '-28', '-80.9988', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465553', '8575693', 'object/tangible/terminal/shared_terminal_elevator.iff', '0', '0', '0', '1', '3.51419', '-20', '-80.9906', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575694', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575695', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575696', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465559', '8575696', 'object/tangible/furniture/all/shared_frn_all_data_terminal_wall_s2.iff', '0', '0', '0', '1', '19.5196', '-20', '-121.698', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465560', '8575696', 'object/tangible/furniture/all/shared_frn_all_data_terminal_wall_s2.iff', '0', '0', '0', '1', '35.5274', '-20', '-121.696', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465561', '8575696', 'object/tangible/furniture/all/shared_frn_all_data_terminal_wall_s2.iff', '0', '-0.707106', '0', '0.707107', '52.1805', '-20', '-105.006', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465562', '8575696', 'object/tangible/furniture/all/shared_frn_all_data_terminal_wall_s2.iff', '0', '-0.707106', '0', '0.707107', '52.1835', '-20', '-89.0085', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575697', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525465', '8575697', 'object/tangible/container/loot/shared_placable_loot_crate_tech_armoire.iff', '0', '0.707106', '0', '0.707107', '-36.2427', '-28', '-98.0066', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525466', '8575697', 'object/tangible/container/loot/shared_placable_loot_crate_tech_armoire.iff', '0', '1', '0', '-3.20013e-08', '-35.0795', '-28', '-87.2652', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525467', '8575697', 'object/tangible/container/loot/shared_placable_loot_crate_tech_chest.iff', '0', '1', '0', '-3.20013e-08', '-28.4995', '-28', '-87.203', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525468', '8575697', 'object/tangible/container/loot/shared_placable_loot_crate_tech_armoire.iff', '0', '-0.707106', '0', '0.707107', '-20.7715', '-28', '-90.173', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575698', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575699', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575700', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575701', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575702', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465569', '8575702', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '1', '0', '-0.000796353', '-62.728', '-18.9564', '-34.3886', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465570', '8575702', 'object/tangible/furniture/all/shared_frn_all_data_terminal_free_s1.iff', '0', '1', '0', '-3.20013e-08', '-94.5079', '-20', '-27.138', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575703', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465571', '8575703', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '-0.707106', '0', '0.707107', '-70.7294', '-20', '-0.962916', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465572', '8575703', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0.707106', '0', '0.707107', '-86.2819', '-20', '-2.48117', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575704', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575705', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575706', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465568', '8575706', 'object/tangible/terminal/shared_terminal_elevator.iff', '0', '0', '0', '1', '-62.5154', '-28', '-124.979', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465575', '8575706', 'object/tangible/terminal/shared_terminal_elevator.iff', '0', '0', '0', '1', '-62.4887', '-52', '-124.97', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575707', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465573', '8575707', 'object/tangible/terminal/shared_terminal_elevator.iff', '0', '0.707107', '0', '-0.707107', '-54.5161', '-28', '-2.99424', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465574', '8575707', 'object/tangible/terminal/shared_terminal_elevator.iff', '0', '-0.707106', '0', '0.707107', '-54.5235', '-52', '-2.98147', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575708', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575709', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465581', '8575709', 'object/tangible/furniture/all/shared_frn_all_data_terminal_free_s1.iff', '0', '0', '0', '1', '-85.2965', '-52', '-86.7516', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465582', '8575709', 'object/tangible/furniture/all/shared_frn_all_data_terminal_free_s1.iff', '0', '0', '0', '1', '-75.7221', '-52', '-86.7779', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575710', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575711', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465583', '8575711', 'object/tangible/furniture/all/shared_frn_all_data_terminal_wall_s2.iff', '0', '0.707106', '0', '0.707107', '-104.398', '-52', '-46.9945', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575712', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575713', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575714', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575715', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '6525464', '8575715', 'object/tangible/container/drum/shared_warren_reactor_core.iff', '0', '0.257081', '0', '0.96639', '68.7294', '-54', '-125.007', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575716', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465578', '8575716', 'object/tangible/furniture/all/shared_frn_all_data_terminal_wall_s2.iff', '0', '0.707107', '0', '0.707107', '-36.3985', '-54', '-139.599', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575717', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465579', '8575717', 'object/tangible/furniture/all/shared_frn_all_data_terminal_wall_s2.iff', '0', '0.707107', '0', '-0.707107', '29.3737', '-50', '-146.02', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575718', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465580', '8575718', 'object/tangible/container/drum/shared_warren_drum_skeleton.iff', '0', '0.935616', '0', '-0.35302', '43.1797', '-50', '-148.246', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575719', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575720', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575721', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575722', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575723', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575724', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575725', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575726', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575727', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465584', '8575727', 'object/tangible/furniture/all/shared_frn_all_data_terminal_free_s1.iff', '0', '-0.707106', '0', '0.707107', '-76.7464', '-52', '28.208', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575728', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575729', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465585', '8575729', 'object/tangible/furniture/all/shared_frn_all_data_terminal_free_s1.iff', '0', '0.707106', '0', '0.707107', '-74.3449', '-52', '49.0006', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575730', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465586', '8575730', 'object/tangible/furniture/imperial/shared_warren_computer_terminal.iff', '0', '0.707106', '0', '0.707107', '-92.3387', '-52', '64.9874', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575731', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575732', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465594', '8575732', 'object/tangible/terminal/shared_terminal_elevator.iff', '0', '1', '0', '-3.20013e-08', '5.50694', '-60', '45.0024', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465595', '8575732', 'object/tangible/terminal/shared_terminal_elevator.iff', '0', '1', '0', '-3.20013e-08', '5.51422', '-84', '44.9815', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575733', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575734', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465587', '8575734', 'object/tangible/container/drum/shared_warren_drum_loot.iff', '0', '0.707106', '0', '0.707107', '17.3109', '-58.9881', '1.16018', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575735', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575736', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465588', '8575736', 'object/static/item/shared_item_door_impl_s01.iff', '0.0670741', '0.703918', '-0.0670742', '0.703918', '82.9191', '-68', '24.0167', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465589', '8575736', 'object/static/item/shared_item_door_impl_s01.iff', '0.569104', '0.419666', '0.419667', '0.569105', '83.1961', '-67.2727', '15.7408', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575737', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575738', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465590', '8575738', 'object/tangible/furniture/all/shared_frn_all_data_terminal_free_s1.iff', '0', '0', '0', '1', '93.5202', '-68', '49.1542', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575739', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575740', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575741', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575742', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465596', '8575742', 'object/tangible/furniture/imperial/shared_warren_experiment_terminal.iff', '0', '1', '0', '-3.20013e-08', '-12.4868', '-84', '40.8493', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575743', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575744', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575745', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575746', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465597', '8575746', 'object/tangible/container/drum/shared_tatt_drum_1.iff', '0', '0.707106', '0', '0.707107', '-2.1028', '-84', '-85.7419', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575747', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465598', '8575747', 'object/tangible/container/drum/shared_tatt_drum_1.iff', '0', '0.707107', '0', '-0.707107', '29.1254', '-84', '-85.7581', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575748', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575749', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575750', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465592', '8575750', 'object/tangible/terminal/shared_terminal_elevator.iff', '0', '0', '0', '1', '95.4886', '-60', '-86.998', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465593', '8575750', 'object/tangible/terminal/shared_terminal_elevator.iff', '0', '0', '0', '1', '95.4953', '-84', '-86.9879', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575751', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575752', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575753', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575754', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575755', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575756', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575757', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8465591', '8575757', 'object/tangible/furniture/all/shared_frn_all_data_terminal_free_s1.iff', '0', '-0.707106', '0', '0.707107', '119.381', '-52', '-4.97918', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575758', '8575671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575759', '0', 'object/static/installation/shared_mockup_power_generator_fusion_style_1.iff', '0', '0.984727', '0', '0.174108', '-531.983', '1', '-3839.32', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575760', '0', 'object/static/structure/corellia/shared_corl_power_arial_prime.iff', '0', '0.564642', '0', '0.825336', '-538.75', '1', '-3850.8', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575762', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '-0.17903', '0', '0.983844', '-544.637', '0.647874', '-3811.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575763', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '-0.169182', '0', '0.985585', '-549.311', '0.647874', '-3821.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575764', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '-0.174108', '0', '0.984727', '-560.253', '0.647874', '-3825.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575765', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '-0.17903', '0', '0.983844', '-570.718', '0.647874', '-3820.66', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575766', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '-0.17903', '0', '0.983844', '-548.736', '1', '-3833.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8575767', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '-0.17903', '0', '0.983844', '-553.132', '1', '-3835.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605354', '0', 'object/static/structure/naboo/shared_gungan_damaged_narrow_arch_s01.iff', '0', '0.757843', '0', '0.652437', '-5903.28', '21.7214', '-27.1248', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605355', '0', 'object/static/structure/naboo/shared_gungan_damaged_narrow_arch_s01.iff', '0', '-0.652437', '0', '0.757843', '-5904.47', '21.1317', '-35.0363', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605356', '0', 'object/static/structure/naboo/shared_gungan_damaged_wide_arch_s01.iff', '0', '0.0745329', '0', '0.997219', '-5908.82', '21.8804', '-30.3369', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605357', '0', 'object/static/structure/naboo/shared_gungan_damaged_narrow_arch_s01.iff', '0', '0.0745329', '0', '0.997219', '-5898.93', '21.8439', '-31.8233', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605358', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0.757843', '0', '0.652437', '-5901.21', '21.9477', '-33.5044', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605359', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0.757843', '0', '0.652437', '-5900.61', '21.6558', '-29.5486', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605360', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0.757843', '0', '0.652437', '-5907.14', '21.9052', '-32.6116', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605361', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0.757843', '0', '0.652437', '-5906.55', '21.5666', '-28.6581', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605362', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0.798621', '0', '-0.601835', '-5919.65', '20.1367', '-31.8842', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605363', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '0.937369', '0', '-0.348337', '-4655.03', '7.54101', '-447.074', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605364', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '0.955572', '0', '-0.294759', '-4659.2', '7', '-446.263', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605365', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '-0.116426', '0.926553', '0.0445953', '-0.354902', '-4653.65', '8.13732', '-450.974', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605366', '0', 'object/building/endor/shared_endr_lake_rail8m.iff', '0', '-0.356949', '0', '0.934124', '-4649.27', '8.64209', '-449.437', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605367', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0.0946719', '-0.658836', '-0.0925469', '0.740546', '-4645.88', '8.20461', '-444.833', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605368', '0', 'object/building/endor/shared_endr_lake_rail8m.iff', '0', '-0.470626', '0', '0.882333', '-4658.41', '7.09994', '-441.705', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605369', '0', 'object/building/endor/shared_endr_lake_rail8m.iff', '0', '0.0499792', '0', '0.99875', '-4652.2', '6.94242', '-438.929', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605370', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '-0.0808997', '0.896457', '0.0391585', '-0.433919', '-4646.86', '7.28691', '-441.171', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605378', '0', 'object/static/flora/shared_potted_plant_leaves_ivy.iff', '0', '0', '0.0948572', '0.995491', '-4651.5', '8.23609', '-450.354', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605379', '0', 'object/static/flora/shared_potted_plant_leaves_ivy.iff', '0', '0', '0.0848977', '0.99639', '-4649.82', '8.66362', '-448.881', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605380', '0', 'object/static/flora/shared_potted_plant_leaves_ivy.iff', '0', '0', '0.0649542', '0.997888', '-4648.56', '8.50801', '-447.777', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605381', '0', 'object/static/flora/shared_potted_plant_leaves_ivy.iff', '0.00359418', '0.0398275', '0.0898067', '0.995156', '-4647.3', '8.52623', '-446.849', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605382', '0', 'object/static/flora/shared_potted_plant_leaves_ivy.iff', '0', '0.0349929', '0', '0.999388', '-4646.56', '8.37742', '-446.06', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605383', '0', 'object/static/flora/shared_potted_plant_leaves_fern.iff', '0.0299415', '0.059937', '-0.00179865', '0.997751', '-4651.33', '7.81454', '-447.394', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605384', '0', 'object/static/flora/shared_potted_plant_leaves_fern.iff', '0', '0', '0.0699428', '0.997551', '-4649.98', '7.9274', '-446.318', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605385', '0', 'object/static/flora/shared_potted_plant_leaves_fern.iff', '0', '0', '0', '1', '-4648.73', '7.67567', '-445.273', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605386', '0', 'object/static/flora/shared_potted_plant_leaves_fern.iff', '0', '0', '0.104807', '0.994493', '-4647.45', '7.65507', '-444.531', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605387', '0', 'object/static/flora/shared_potted_plant_leaves_fern.iff', '0.114747', '5.07774e-11', '4.39595e-10', '0.993395', '-4646.53', '7.5522', '-443.707', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605388', '0', 'object/tangible/crafting/station/shared_public_clothing_station.iff', '0', '-0.707106', '0', '0.707107', '1555.54', '4', '-6366.86', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605389', '0', 'object/tangible/crafting/station/shared_public_structure_station.iff', '0', '1', '0', '3.20013e-08', '1620.22', '4', '-6366.76', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605390', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '0.886627', '0', '-0.462485', '-4655.68', '7.03146', '-440.261', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605391', '0', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '1', '0', '3.20013e-08', '1604.25', '4', '-6366.05', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605392', '0', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '1', '0', '0', '1571.49', '4', '-6365.88', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605394', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '1', '0', '3.20013e-08', '1615.68', '4', '-6366.48', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605395', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '1', '0', '0', '1560.53', '4', '-6366.44', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605396', '0', 'object/tangible/crafting/station/shared_public_weapon_station.iff', '0', '0.707106', '0', '0.707107', '1602.49', '4', '-6421.98', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605397', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '-0.0749297', '0', '0.997189', '-3739.6', '2.17293', '447.342', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605398', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '0.328769', '0', '0.94441', '-3738.08', '2.07649', '453.079', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605399', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '0.589145', '0', '0.808028', '-3739.44', '2.10997', '450.264', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605400', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '0.845015', '0', '0.534743', '-3733.45', '1.9653', '453.232', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605401', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '0.648033', '0', '0.761612', '-3736.12', '1.94309', '454.88', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605402', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '-0.434966', '0', '0.900447', '-3732.23', '1.92743', '449.625', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605403', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '0.849481', '0', '-0.52762', '-3734.74', '1.9589', '447.377', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605407', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '0.897911', '0', '-0.440178', '-3733.24', '2.32343', '445.42', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605408', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.448423', '0', '0.893821', '1612.49', '4', '-6391.77', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605410', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '-0.29074', '0', '0.956802', '1567.8', '4', '-6391.48', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605412', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '-3737.71', '-0.736769', '454.289', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605413', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '-0.356949', '0', '0.934124', '-3739.45', '-0.386402', '452.146', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605415', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '-3732', '-1.22388', '451.59', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605417', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '-3732.57', '-1.29402', '447.674', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605418', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '-3734.25', '-1.2023', '454.607', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605419', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '-3733.21', '-0.908781', '445.262', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605420', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '-3740.45', '-0.459767', '448.922', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605421', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '-3734.44', '-0.624811', '441.605', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605422', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.9871', '0', '-0.160104', '-3742.18', '-0.639511', '443.103', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605423', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '-3741.44', '-0.602617', '445.973', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605426', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '0.685289', '0', '0.728271', '-3741.85', '2.93073', '444.725', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605427', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '0', '0', '1', '-3734.38', '1.99448', '442.852', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605435', '0', 'object/static/structure/general/shared_skeleton_ancient_s01.iff', '0', '0', '0.384808', '0.922997', '-3362.35', '2.18195', '480.425', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605436', '0', 'object/static/structure/general/shared_planter_generic_style_3.iff', '0', '0', '0', '1', '-3360.74', '-7.72235', '485.608', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605437', '0', 'object/static/structure/general/shared_planter_generic_style_3.iff', '0.234072', '-0.169118', '0.041386', '0.956502', '-3363.03', '-2.41004', '467.899', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605438', '0', 'object/static/structure/general/shared_planter_generic_style_3.iff', '0', '0', '0', '1', '-3363.23', '-6.75958', '477.391', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605439', '0', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff', '-0.225027', '0.945906', '0.112519', '0.204852', '-3008.52', '-0.777993', '929.312', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605447', '0', 'object/static/structure/tatooine/shared_concrete_slab_tatooine_16x8.iff', '-0.410782', '0.235823', '-0.224809', '0.851532', '-2995.12', '13.4548', '140.252', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605448', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.783327', '0', '-0.62161', '-2994.01', '20.2685', '136.472', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605449', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.380188', '0', '0.924909', '-2992.38', '20.2664', '142.916', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605450', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.13459', '0', '0.990901', '-2998.6', '20.2643', '141.212', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605460', '0', 'object/static/structure/dantooine/shared_dant_fence_4m.iff', '-0.012428', '0.748121', '-0.185421', '-0.637008', '-4725.04', '3.94851', '7021.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605461', '0', 'object/static/structure/dantooine/shared_dant_fence_4m.iff', '-0.349345', '0.191934', '-0.0185246', '0.916939', '-4722.59', '3.03571', '7019.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605462', '0', 'object/static/structure/naboo/shared_gungan_damaged_narrow_arch_s01.iff', '0', '0.804599', '0', '-0.593819', '-2393.52', '-2.62245', '185.092', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605463', '0', 'object/static/structure/naboo/shared_gungan_damaged_narrow_arch_s01.iff', '0', '0.8699', '0', '-0.493228', '-2453.59', '-2.96728', '300.977', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605464', '0', 'object/static/structure/naboo/shared_gungan_damaged_narrow_arch_s01.iff', '0', '0.872355', '0', '-0.488872', '-2434.02', '-1.95032', '270.668', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605465', '0', 'object/static/structure/naboo/shared_gungan_damaged_narrow_arch_s01.iff', '0', '0.874789', '0', '-0.484504', '-2418.87', '-3.07897', '242.376', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605467', '0', 'object/static/structure/naboo/shared_gungan_damaged_wide_arch_s01.iff', '0', '0.780209', '0', '-0.625519', '-2384.48', '-2.02265', '159.273', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605468', '0', 'object/static/structure/naboo/shared_gungan_damaged_narrow_arch_s01.iff', '0', '0.816314', '0', '-0.577609', '-2370.57', '-2.99161', '121.397', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605469', '0', 'object/static/structure/naboo/shared_gungan_damaged_narrow_arch_s01.iff', '0', '0.780209', '0', '-0.625519', '-2359.3', '-2.88786', '88.3866', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605470', '0', 'object/static/structure/naboo/shared_gungan_damaged_wide_arch_s01.iff', '0', '0.585097', '0', '0.810963', '-2405.39', '-2.57305', '213.519', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605471', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_altar.iff', '0', '-0.164252', '0', '0.986418', '-1899.32', '2.36335', '548.766', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605472', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_med.iff', '0', '-0.13459', '0', '0.990901', '-1897.55', '7.23715', '529.281', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605473', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar.iff', '0', '-0.149438', '0', '0.988771', '-1889.85', '7.83432', '531.298', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605474', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar.iff', '0', '0.987354', '0', '0.158532', '-1892.32', '7.26011', '514.82', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605475', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '-0.188859', '0', '0.982004', '-1884.66', '6.87945', '517.573', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605476', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '-0.13459', '0', '0.990901', '-1888.23', '5.93372', '501.68', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605477', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '-0.129634', '0', '0.991562', '-1880.32', '0.574065', '504.191', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605481', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '-0.66687', '0', '0.745174', '-2093.66', '1.56163', '-321.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605482', '0', 'object/static/structure/dantooine/shared_dant_skull_bol.iff', '0', '-0.703279', '0', '0.710914', '-2094.74', '1.40281', '-321.916', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605483', '0', 'object/static/structure/dantooine/shared_dant_jedi_wall_1.iff', '0', '0.257081', '0', '0.96639', '-2082.84', '1.69863', '-315.004', '256', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605484', '0', 'object/static/structure/dantooine/shared_dant_jedi_wall_2.iff', '0', '0.872356', '0', '0.488872', '-2079.21', '1.19097', '-317.011', '256', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605485', '0', 'object/static/structure/dantooine/shared_dant_jedi_wall_2.iff', '0', '-0.443948', '0', '0.896053', '-2080.92', '0.480785', '-332.303', '256', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605486', '0', 'object/static/structure/dantooine/shared_dant_jedi_wall_1.iff', '0', '0.974616', '0', '-0.223883', '-2068.67', '0.335024', '-320.06', '256', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605487', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_fallen.iff', '0', '0', '0', '1', '-2082.08', '2.40993', '-325.321', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605488', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_fallen.iff', '-0.685289', '0', '0', '0.728271', '-2079.3', '2.30848', '-325.292', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605489', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_fallen.iff', '0.747971', '0', '0', '0.663731', '-2076.39', '2.24651', '-325.364', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605490', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '-0.0232344', '0.28981', '-0.0764626', '0.953742', '-2088.79', '2.12162', '-325.35', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605491', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_fallen.iff', '0', '0.999983', '0', '-0.00579632', '-2084.83', '2.21105', '-325.075', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605492', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '0.844162', '0', '-0.536088', '-1358', '26.5013', '356.49', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605493', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '0.989621', '0', '-0.143704', '-1363.81', '26.251', '363.988', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605494', '0', 'object/static/structure/dantooine/shared_dant_cooking_stone.iff', '-0.262887', '-0.0451263', '-0.163053', '0.949878', '-1369.25', '26.5907', '351.691', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605495', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '-0.185112', '-0.289919', '-0.0572619', '0.937231', '-1369.87', '26.6125', '360.667', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605496', '0', 'object/static/structure/dantooine/shared_dant_fence_4m.iff', '0.164277', '-0.442816', '0.083197', '0.8775', '-1374.2', '26.9007', '356.074', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605497', '0', 'object/static/structure/dantooine/shared_dant_mud_oven.iff', '0', '0', '0', '1', '-1363.42', '25.643', '349.745', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605498', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '-1363.02', '23.4412', '363.17', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605499', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '-1361.15', '23.3625', '348.637', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605500', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '-1369.71', '23.3028', '352.566', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8605501', '0', 'object/static/flora/shared_flora_decd_endr_destree_dead.iff', '0', '0', '0', '1', '-1358.66', '25.8584', '362.161', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8685354', '0', 'object/static/flora/shared_flora_decd_endr_destree_dead.iff', '0', '-0.576959', '0', '0.816773', '1642.05', '22.633', '5931.98', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8685355', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '-0.0603057', '-0.136176', '-0.0383981', '0.988102', '-2543.69', '15.7873', '6343.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8685356', '0', 'object/static/structure/dantooine/shared_dant_fence_4m.iff', '-0.0439491', '-0.213131', '-0.00959739', '0.975987', '-2538.15', '15.4197', '6345.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8685357', '0', 'object/static/structure/dantooine/shared_dant_fence_4m.iff', '-0.0437577', '0.802488', '-0.0603453', '-0.591993', '-2547.74', '16.0663', '6344.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8685358', '0', 'object/static/structure/dantooine/shared_dant_fence_4m.iff', '-0.0096126', '-0.0833729', '-0.0450692', '0.995452', '-2539.65', '15.617', '6349.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8685359', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '-0.00434496', '-0.18377', '-0.021931', '0.982715', '-2545.1', '16.0406', '6348.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8685360', '0', 'object/static/structure/dantooine/shared_dant_fence_4m.iff', '0.0665384', '0.8157', '0.0582638', '-0.571675', '-2537.21', '15.3157', '6348.52', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8685368', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '-0.0237242', '-0.677557', '0.0257228', '0.734638', '1348.01', '22.9759', '5211.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8685369', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '-0.09184', '0.736188', '0.0370755', '-0.669491', '1348.26', '23.1612', '5203.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8685370', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0.0290619', '0.00174411', '0.0521331', '0.998216', '1360.7', '23.7803', '5215.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8685371', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '-0.00584408', '-0.0242614', '0.0247672', '0.999382', '1352.4', '23.1539', '5216.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8685374', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '-0.0160264', '0.703546', '0.0574944', '0.708139', '1365.48', '23.6439', '5204.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8685375', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '-0.0423179', '0.688555', '-0.00833691', '0.7239', '1365.5', '23.8322', '5212.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8685376', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0.00351369', '0.998657', '0.0504305', '0.0113651', '1352.22', '24.2306', '5199.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8685377', '0', 'object/static/structure/dantooine/shared_dant_fire_pit.iff', '0.0359521', '0.511714', '-0.0532357', '0.856751', '1506.28', '1.7402', '4660.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8685378', '0', 'object/static/structure/dantooine/shared_dant_fence_4m.iff', '0', '0.227978', '0', '0.973666', '1523.19', '0.264099', '4654.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8685379', '0', 'object/static/structure/dantooine/shared_dant_fence_4m.iff', '0', '0.227978', '0', '0.973666', '1526.68', '-0.795229', '4662.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8685380', '0', 'object/static/structure/dantooine/shared_dant_fence_4m.iff', '0', '0.300293', '0', '0.953847', '-4890.7', '47.5944', '4346.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8685381', '0', 'object/static/structure/dantooine/shared_dant_fence_4m.iff', '0', '0.314567', '0', '0.949235', '-4885.96', '47.8725', '4352.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8695570', '0', 'object/static/structure/dantooine/shared_dant_imprv_flagpole_s01.iff', '0', '0', '0', '1', '-656.648', '21.385', '2486.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8695571', '0', 'object/static/structure/dantooine/shared_dant_imprv_flagpole_s01.iff', '0', '0', '0', '1', '-580.68', '11.3496', '2495.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8695572', '0', 'object/static/naboo/shared_waterfall_200m.iff', '0', '0.347591', '0', '0.937646', '4183.06', '64.592', '5121.34', '256', '1');
INSERT INTO `staticobjects` VALUES ('1', '8695573', '0', 'object/static/naboo/shared_waterfall_200m.iff', '0', '-0.120107', '0', '0.992761', '4173.95', '64.592', '5125.03', '256', '1');
INSERT INTO `staticobjects` VALUES ('1', '8695574', '0', 'object/static/naboo/shared_waterfall_mist_lg.iff', '0', '0', '0', '1', '4178.29', '6.52063', '5143.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8695575', '0', 'object/static/naboo/shared_waterfall_mist_lg.iff', '-0.13948', '0.00418567', '0.167527', '0.975942', '4195.01', '6.11412', '5138.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8695582', '0', 'object/static/structure/naboo/shared_seawall_rocks_naboo_theed_style_2.iff', '-0.0300199', '0.054652', '-0.667587', '0.741916', '4180.68', '20.8999', '5121.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8695584', '0', 'object/static/structure/general/shared_cave_wall_damprock_style_01.iff', '0.702393', '0.19512', '-0.040722', '0.683311', '4179.78', '50.0156', '5123.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8695586', '0', 'object/static/naboo/shared_waterfall_mist_lg.iff', '-0.13948', '0.004186', '0.167527', '0.975942', '4180.12', '7.28745', '5131.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8855357', '0', 'object/static/structure/dantooine/shared_dant_gate.iff', '0', '0.926499', '0', '-0.376297', '-433.522', '7.25853', '568.314', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8855359', '0', 'object/static/structure/dantooine/shared_dant_fence_4m.iff', '0.0427312', '0.354382', '0.111826', '0.927406', '-430.654', '7.96598', '565.539', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8855360', '0', 'object/static/structure/dantooine/shared_dant_fence_4m.iff', '0.028699', '0.30708', '0.318016', '0.896518', '-427.63', '9.80335', '563.109', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8855361', '0', 'object/static/structure/dantooine/shared_dant_fence_4m.iff', '-0.0569876', '0.247689', '0.46658', '0.847175', '-425.244', '12.7647', '561.294', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8855362', '0', 'object/static/structure/dantooine/shared_dant_fence_4m.iff', '-0.0729684', '0.373018', '-0.184725', '0.906316', '-436.347', '8.10091', '571.101', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8855363', '0', 'object/static/structure/dantooine/shared_dant_fence_4m.iff', '0.243099', '0.864752', '-0.245445', '-0.364505', '-438.962', '10.3747', '573.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8855364', '0', 'object/static/structure/dantooine/shared_dant_fence_4m.iff', '0.350499', '0.841482', '-0.272471', '-0.307925', '-441.519', '13.273', '574.852', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8855365', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0.963558', '0', '-0.267499', '-462.145', '2.67731', '536.685', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8855366', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0.904412', '0', '-0.42666', '-454.435', '2.89743', '526.828', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8855383', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_altar.iff', '0', '0.466208', '0', '0.884675', '896.362', '3.89224', '1393.83', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8855385', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '898.793', '17.9388', '1391.88', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8855386', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '895.37', '18.3387', '1395.33', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8855387', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0.302677', '-0.177249', '-0.168014', '0.921271', '897.457', '17.5495', '1396.4', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8855388', '0', 'object/static/structure/dantooine/shared_dant_fence_4m.iff', '0.276356', '0', '0', '0.961055', '1937.08', '10.5', '1456.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8855389', '0', 'object/static/structure/dantooine/shared_dant_fence_4m.iff', '0.294044', '0.0953745', '-0.0295028', '0.950564', '1933.17', '10.5', '1456.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8855390', '0', 'object/static/structure/dantooine/shared_dant_small_mudhut.iff', '0', '0', '0', '1', '1929.43', '10.5', '1451.26', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8855392', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '1935.82', '7.15978', '1456.76', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8855393', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '1926.74', '7.69097', '1453.83', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8855395', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '1927.98', '7.33399', '1448.67', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8855409', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_style_01.iff', '0', '-0.644218', '0', '0.764842', '2142.53', '24.1711', '301.804', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8855410', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_style_01.iff', '0', '0.764842', '0', '0.644218', '2158.85', '24.2928', '299.044', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8855411', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.996356', '0', '-0.0852952', '2151.24', '24.1064', '303.707', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8855412', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.996356', '0', '-0.0852949', '2149.89', '24.0426', '297.105', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8855413', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_1.iff', '0', '0', '0', '1', '2145.4', '24.6998', '302.689', '256', '1');
INSERT INTO `staticobjects` VALUES ('1', '8855414', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0.0898786', '0', '0.995953', '2148.29', '24.8587', '301.316', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8855417', '0', 'object/static/structure/corellia/shared_corl_power_connector.iff', '0', '0.0848977', '0', '0.99639', '2154.79', '24.2714', '301.359', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8855418', '0', 'object/static/structure/dantooine/shared_dant_large_hut.iff', '0', '0.9463', '0', '0.323289', '3199.61', '3.82079', '6006.15', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8855419', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0.886627', '0', '-0.462485', '3186.65', '2.61576', '5968.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8855420', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0.509841', '0', '0.860269', '3280.97', '4.93762', '6040.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8855421', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0', '-0.0299955', '0.99955', '3214.68', '1.56363', '6004.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8855422', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.999991', '0', '0.00420354', '3221.39', '1.91224', '6011.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8855423', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '-0.00312678', '0.00999871', '-0.0146699', '0.999838', '3222.85', '1.0878', '6004.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8855424', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0.0395394', '0.769352', '-0.0450813', '-0.636005', '3226.32', '1.53656', '6008.52', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8855425', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '-0.00499998', '0', '0.999987', '3213.33', '1.94434', '6011.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8855426', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '0', '0', '1', '3215.13', '2.18948', '6017.38', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8855427', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '-0.394019', '0', '0.919102', '3202.88', '1.70906', '5989.79', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8855429', '0', 'object/static/structure/general/shared_campfire_ash.iff', '0', '0', '0', '1', '3199.43', '1.96999', '6005.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8855664', '0', 'object/building/military/shared_military_base_shed_rebel_style_01.iff', '0', '0', '0', '1', '-6790.82', '46', '5559.23', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8855665', '8855664', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8855666', '8855664', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8855667', '8855664', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8855671', '8855667', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0', '0', '1', '0.008352', '0.125265', '-6.1807', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8855668', '8855664', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8855669', '8855664', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8855670', '8855664', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('1', '8895359', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '0', '0', '0', '1', '5459.27', '1.94393', '5840.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8895360', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '0', '0', '0', '1', '5454.34', '1.94491', '5837.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8895361', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '0', '0', '0', '1', '5456.38', '1.93289', '5831.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8895362', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '0', '0', '0', '1', '5462.44', '1.88187', '5831.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8895363', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '0', '0', '0', '1', '5464.31', '2.03397', '5837.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8895364', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0', '0', '0', '1', '5449.82', '2.15019', '5839.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8895365', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0', '0', '0', '1', '5459', '2.0489', '5845.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8895366', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0', '0', '0', '1', '5468.63', '1.90268', '5839.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8895367', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0', '0', '0', '1', '5465.75', '2.02745', '5826.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8895368', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0', '0', '0', '1', '5453.68', '1.5799', '5826.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8895369', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0', '0', '0', '1', '5468.98', '1.8309', '5832.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8895370', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0', '0', '0', '1', '5465.02', '2.03334', '5843.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8895371', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0', '0', '0', '1', '5454.26', '2.12093', '5843.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8895372', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0', '0', '0', '1', '5449.77', '2.03477', '5832.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8895373', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0', '0', '0', '1', '5460.08', '1.87315', '5824.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8895374', '0', 'object/static/structure/dantooine/shared_dant_jedi_wall_1.iff', '0', '0', '0', '1', '5029.55', '15.0727', '6871.5', '256', '1');
INSERT INTO `staticobjects` VALUES ('1', '8895375', '0', 'object/static/structure/dantooine/shared_dant_jedi_wall_2.iff', '0', '0.713864', '0', '-0.700284', '5025.42', '15.734', '6871.72', '256', '1');
INSERT INTO `staticobjects` VALUES ('1', '8895376', '0', 'object/static/structure/dantooine/shared_dant_jedi_wall_1.iff', '0', '1', '0', '3.1219e-08', '5021.21', '14.8245', '6860.79', '256', '1');
INSERT INTO `staticobjects` VALUES ('1', '8895377', '0', 'object/static/structure/dantooine/shared_dant_jedi_wall_2.iff', '0', '0.707107', '0', '0.707107', '5025.16', '14.6608', '6884.28', '256', '1');
INSERT INTO `staticobjects` VALUES ('1', '8895378', '0', 'object/static/structure/dantooine/shared_dant_jedi_wall_2.iff', '0', '1', '0', '-3.20013e-08', '5029.51', '14.5853', '6858.96', '256', '1');
INSERT INTO `staticobjects` VALUES ('1', '8895379', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_fallen.iff', '0.706272', '0.307344', '-0.437864', '0.463675', '5024.65', '16.3964', '6882.02', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8895380', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_fallen.iff', '-0.20582', '-0.0641301', '0.971901', '0.0945177', '5026.67', '16.1891', '6869.62', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8895381', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_fallen.iff', '0.200746', '-0.608415', '0.709869', '0.292607', '5031.37', '15.0262', '6852.64', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8895382', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_fallen.iff', '0.785875', '0.0790497', '0.102743', '-0.604645', '5019.35', '15.0789', '6856.94', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8895383', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_fallen.iff', '0.864925', '0', '0', '0.501902', '5036.33', '14.5051', '6878.87', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8895384', '0', 'object/static/structure/naboo/shared_gungan_damaged_wide_arch_s01.iff', '0', '-0.412321', '0', '0.911039', '6729.46', '0.119547', '4974.66', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8895385', '0', 'object/static/structure/naboo/shared_gungan_damaged_narrow_arch_s01.iff', '0', '-0.389418', '0', '0.921061', '6763.86', '0.159572', '5011.34', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8895386', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '-0.394019', '0', '0.919102', '6757.57', '0.183939', '4998.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8895387', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0.380188', '0', '0.924909', '6749.17', '0.370653', '4989.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8895389', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0.356949', '0', '0.934124', '6743.06', '0.582814', '4994.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8895390', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '-0.425939', '0', '0.904752', '6750.93', '0.741635', '5004.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8895391', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '-0.42141', '0', '0.90687', '6733.84', '-0.212668', '4984.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8895392', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '-0.380188', '0', '0.924909', '6739.81', '0.511322', '4979.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8895393', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '0.593178', '0', '0.805072', '4896.1', '23.0427', '4502.11', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8895394', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '0.897911', '0', '-0.440178', '4884.03', '24.2064', '4514.04', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8895395', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '0.714978', '0', '0.699147', '4881.98', '23.9919', '4489.13', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8895396', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '-0.0973343', '0.620022', '0.0779089', '0.774616', '4882.61', '22.1165', '4497.84', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8895397', '0', 'object/static/structure/dantooine/shared_dant_cooking_stone.iff', '0.363678', '-0.36807', '0.129142', '0.845923', '4890.54', '22.8425', '4504.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '8895398', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '0', '0', '1', '4889.7', '23.6369', '4509.98', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8895399', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '0.798621', '0', '0.601835', '4874.57', '23.2786', '4502.76', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8895400', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '-0.706825', '0', '0.707388', '4899.73', '22.878', '4493.48', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8895401', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '0.492535', '0', '0.870293', '4880.01', '24.506', '4477.19', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8895402', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '-0.384808', '0', '0.922997', '4888.55', '23.0527', '4493.48', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8895403', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '4881.53', '20.4925', '4498.3', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8895404', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '4880.66', '21.1925', '4511.93', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8895408', '0', 'object/static/structure/tatooine/shared_pillar_watto_junkshop.iff', '0', '-0.237703', '0', '0.971338', '2910.21', '6.9509', '4514.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8895409', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '-0.342898', '0', '0.939373', '2910.29', '2.0787', '4514.86', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8895411', '0', 'object/static/particle/shared_particle_campfire_style_1.iff', '0', '0', '0', '1', '2909.73', '10.3632', '4514.58', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8895412', '0', 'object/static/particle/shared_particle_campfire_style_1.iff', '0', '0', '0', '1', '2910.44', '10.4585', '4514.79', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8895413', '0', 'object/static/particle/shared_particle_campfire_style_1.iff', '0', '0', '0', '1', '2910.42', '10.4349', '4514.22', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8895414', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '-0.114747', '0', '0.993395', '4331.61', '23.1564', '3906.81', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '8895415', '0', 'object/tangible/furniture/all/shared_frn_all_throwpillow_med_s01.iff', '0', '-0.104807', '0', '0.994493', '4331.27', '33.5842', '3906.71', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8895416', '0', 'object/tangible/furniture/all/shared_frn_all_throwpillow_med_s01.iff', '0', '-0.119712', '0', '0.992809', '4332.21', '33.5892', '3906.93', '50', '1');
INSERT INTO `staticobjects` VALUES ('1', '8895417', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0.632673', '0', '0.774419', '4331.37', '33.6768', '3906.64', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '8895428', '0', 'object/static/structure/dantooine/shared_dant_skull_thune.iff', '0', '0.993486', '0', '0.113955', '4329.26', '33.5404', '3906.22', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8895429', '0', 'object/static/structure/dantooine/shared_dant_skull_thune.iff', '0.00537126', '0.994203', '0.0206568', '0.105384', '4334.2', '33.5333', '3907.42', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '8895430', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0.997129', '0', '-0.0757238', '4320.44', '24.2247', '3907.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015353', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0.210104', '-0.167863', '-0.044323', '0.96214', '3084.2', '1.76494', '1216.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015355', '0', 'object/building/endor/shared_endr_lake_rail2m.iff', '-0.171015', '-0.131469', '-0.150177', '0.96484', '3081.07', '2.45069', '1215.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015356', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '-0.283859', '-0.0946897', '-0.120019', '0.946601', '3077.93', '3.46211', '1215.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015357', '0', 'object/building/endor/shared_endr_lake_rail2m.iff', '0.820816', '-0.0488952', '-0.114983', '0.557359', '3074.47', '4.1547', '1214.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015358', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '0', '0.522687', '0', '0.852525', '3065.1', '3.62118', '1206.15', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015359', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '0', '-0.568762', '0', '0.822502', '3071', '3.11353', '1208.31', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015360', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '-0.182704', '0.967588', '0.169463', '0.0409336', '3066.8', '3.53275', '1214.14', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015363', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '-0.263235', '0.346269', '-0.544938', '0.716831', '2738', '21.3781', '3362.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015364', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '-0.388258', '0.469279', '-0.384651', '-0.693597', '2736.3', '21.304', '3358.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015365', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.68806', '0.0362267', '-0.0344317', '0.72393', '2733.72', '21.8663', '3360.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015366', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.427938', '-0.161207', '0.0778717', '0.885899', '2734.8', '21.9619', '3363.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015367', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0', '0', '1', '2736.81', '22.1493', '3359.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015368', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '-0.358077', '0.350707', '0.605481', '-0.618206', '2737.96', '22.3489', '3362.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015369', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.849481', '0', '0', '0.52762', '2734.7', '22.8149', '3360.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015370', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.787584', '-0.111313', '-0.586736', '-0.151861', '2735.43', '22.7728', '3362.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015371', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.354592', '-0.557138', '0.69847', '0.275684', '2736.84', '23.1878', '3360.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015372', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.671298', '0.735194', '-0.0634265', '0.0694635', '2735.44', '23.4057', '3360.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015373', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.999991', '0', '0', '-0.00420362', '2736.07', '23.1093', '3361.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015374', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '-0.239912', '0.532499', '0.607474', '0.538389', '2737.38', '23.2036', '3361.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015375', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.996322', '0', '0', '0.0856911', '2736.46', '23.8302', '3361.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015376', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0', '0', '1', '2736.62', '25.5186', '3361.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015380', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '0', '0', '0', '1', '4599', '1.96933', '3651', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015381', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '0', '0', '0', '1', '4610', '2.75402', '3651', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015382', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '0', '0', '0', '1', '4621', '2.95185', '3651', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015383', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '0', '1', '0', '3.20013e-08', '4599', '2.97617', '3637', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015384', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '0', '1', '0', '3.20013e-08', '4610', '3.18893', '3637', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015385', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '0', '1', '0', '3.20013e-08', '4621', '3.08817', '3637', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015386', '0', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff', '0', '0.706825', '0', '0.707388', '4593.63', '1.35453', '3644.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015387', '0', 'object/static/structure/naboo/shared_gungan_damaged_narrow_arch_s01.iff', '0', '0', '0', '1', '4623.9', '2.97413', '3644.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015388', '0', 'object/static/structure/dantooine/shared_dant_small_mudhut.iff', '0', '-0.380188', '0', '0.924909', '6073.88', '2.04808', '1892.4', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015389', '0', 'object/static/structure/dantooine/shared_dant_small_mudhut.iff', '0', '0.342898', '0', '0.939373', '6054.04', '2.09005', '1893.56', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015391', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '0.717356', '0', '-0.696707', '6065.94', '-9.21542', '1922.89', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015393', '0', 'object/static/structure/dantooine/shared_dant_cooking_stone.iff', '-0.0818525', '0.715133', '-0.114703', '-0.684637', '6066.5', '1.52843', '1905.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015402', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_tail.iff', '0', '0.439463', '0', '0.898261', '7019.82', '2.25456', '1009.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015404', '0', 'object/static/structure/dantooine/shared_dant_skull_thune.iff', '0', '0.439463', '0', '0.898261', '7023.2', '2.28375', '1012.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015405', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '0.470626', '0', '0.882333', '7018.49', '2.1268', '1002.07', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015406', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '7021.2', '-0.650692', '1011.91', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015408', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0', '0', '1', '7024.25', '2.60332', '1010.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015409', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.398609', '0', '0', '0.917121', '7014.79', '1.97114', '1002.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015411', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '0', '0', '1', '6555.81', '4.717', '-172.971', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015412', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '0', '0', '1', '6559.63', '4.85256', '-172.941', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015413', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0', '0', '0', '1', '6563.61', '4.98338', '-170.819', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015416', '0', 'object/static/structure/tatooine/shared_wall_gate_tatooine_style_02.iff', '0', '-0.707106', '0', '0.707107', '6559.33', '4.04711', '-180.944', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015417', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.996322', '0', '0.0856913', '6564.74', '4.29634', '-181.463', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015418', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0', '0', '1', '6559.58', '3.91748', '-164.726', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015419', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0', '0', '1', '6569.55', '4.94677', '-171.14', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015420', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0', '0', '1', '6568.61', '5.06932', '-166.488', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015424', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '0.468386', '0.440414', '-0.210524', '0.736431', '3860.18', '14.1233', '168.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015425', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '-0.243111', '0.74979', '-0.54304', '-0.289517', '3856.81', '14.2692', '166.043', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015426', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '0.553137', '-0.301781', '0.129214', '0.765684', '3857.24', '14.6065', '168.731', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015427', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '0.494659', '0.659404', '-0.0246706', '-0.565588', '3859.35', '14.684', '165.118', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015428', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0.416871', '0', '0', '0.908966', '3859.01', '14.6254', '169.535', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015429', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0.271751', '-0.536669', '0.270696', '0.751573', '3856.55', '14.8424', '167.861', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015430', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '-0.363828', '0.155528', '0.0907597', '0.913894', '3858.36', '14.7395', '165.311', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015431', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0.240991', '0.596157', '-0.293523', '0.707364', '3860.49', '14.5892', '166.689', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015446', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.34759', '0', '0.937646', '-5508.01', '15.0235', '-1771.08', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015447', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '-0.245686', '0.245882', '0.662752', '-0.66328', '-5508.12', '18.5305', '-1771.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015451', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.342898', '0', '0.939373', '-5504.91', '15.048', '-1768.35', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015452', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '-0.154367', '-0.534555', '-0.100036', '0.824873', '-5506.35', '15.8979', '-1774.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015453', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0', '0', '1', '-5507.29', '16.8664', '-1773.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015454', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0.893464', '0', '0.449134', '-5508.26', '18.1608', '-1773.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015455', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0', '0', '1', '-5508.74', '18.9472', '-1772.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015456', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.285952', '0', '0', '0.958244', '-5508.1', '17.3054', '-1774.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015457', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.447611', '0.591233', '0.316187', '-0.591704', '-5509.22', '19.4527', '-1771.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015458', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0', '0.813415', '-0.581683', '-5507.09', '18.6046', '-1764.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015459', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0', '0', '1', '-5506.53', '17.5659', '-1765.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015460', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0', '0', '1', '-5506.37', '16.8781', '-1766.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015461', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '-0.12717', '0.397', '-0.277288', '0.865639', '-5505.42', '16.0824', '-1767.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015462', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0.300293', '0', '0.953847', '-5504.33', '15.7246', '-1767.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015463', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0', '0', '1', '-5504.55', '16.8201', '-1765.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015464', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0.737931', '0', '0.674876', '-5503.69', '15.5508', '-1766.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015465', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0', '-0.242556', '0.970137', '-5503.66', '15.2286', '-1768.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015468', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.59895', '0.400281', '-0.50963', '0.470436', '-5509.61', '19.5773', '-1769.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015469', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '-0.310323', '0.581797', '0.353819', '-0.663343', '-5510.32', '19.7466', '-1767.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015470', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.8699', '0', '0', '0.493228', '-5508.57', '18.9985', '-1764.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015472', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0', '-0.324043', '0.946042', '-5509.45', '19.2663', '-1764.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015473', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '-0.0685792', '-0.568748', '0.0981219', '0.813754', '-5510.29', '19.528', '-1765.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015475', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.412321', '0', '0.911039', '-5501.43', '16.9418', '-1775.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015476', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0.65833', '0.257654', '0.260546', '-0.657519', '-5502.34', '15.6325', '-1776.41', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015477', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0.656663', '0.243397', '0.240779', '-0.671994', '-5500.87', '15.6359', '-1775.2', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015478', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0.999526', '0', '-0.0307915', '-5507.48', '19.3858', '-1767.7', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015482', '0', 'object/static/structure/naboo/shared_gungan_damaged_narrow_arch_s01.iff', '0', '-0.593177', '0', '0.805072', '-4061.16', '-2.31872', '-745.319', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015483', '0', 'object/building/endor/shared_endr_lake_rail2m.iff', '0.988755', '-0.000866195', '-0.149436', '0.00573126', '-4061.17', '3.93445', '-745.256', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015484', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0.13459', '0', '0.990901', '-4061.2', '-3.15946', '-745.281', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015486', '0', 'object/static/structure/dantooine/shared_dant_skull_bol.iff', '0', '0.17903', '0', '0.983844', '-4061.2', '1.04054', '-745.22', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015489', '0', 'object/static/structure/general/shared_poi_all_rebl_corral_32x32_s01.iff', '0', '-0.20846', '0', '0.978031', '-2176.67', '6.33456', '-2225.04', '175', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015490', '0', 'object/static/structure/general/shared_droid_r5_powerdown.iff', '-0.56068', '0.0158023', '-0.273885', '0.781265', '-2166.86', '7.0576', '-2223.9', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015491', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0.170758', '0.566389', '0.449681', '-0.669203', '-2174.27', '7.30035', '-2219.39', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015492', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '-0.284492', '0.473351', '0.164783', '0.817221', '-2171.3', '7.51754', '-2220.85', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015493', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '-0.120275', '0.255301', '0.318216', '0.905038', '-2172.64', '7.16011', '-2222.32', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015494', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0.0525467', '0.762457', '-0.0461611', '-0.643247', '-2169.77', '7.18263', '-2222.03', '32', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015495', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s02.iff', '0', '-0.21823', '0', '0.975897', '-2183.57', '7.12235', '-2228.69', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015496', '0', 'object/static/structure/corellia/shared_corl_power_arial_thin.iff', '0', '0.535416', '0', '0.844588', '-2186.42', '7.96512', '-2228.81', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015497', '0', 'object/building/endor/shared_endor_lake_walkway_straight.iff', '0', '-0.681638', '0', '0.731689', '-453.541', '-9.50503', '-3018.69', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015500', '0', 'object/building/endor/shared_endor_lake_walkway_straight.iff', '0', '-0.681639', '0', '0.731689', '-437.661', '-9.50197', '-3019.85', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015501', '0', 'object/building/endor/shared_endor_lake_walkway_straight.iff', '0', '-0.681639', '0', '0.731689', '-421.746', '-9.49817', '-3020.95', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015502', '0', 'object/building/endor/shared_endor_lake_walkway_straight.iff', '0', '-0.681638', '0', '0.731689', '-405.791', '-9.4835', '-3022.05', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015503', '0', 'object/building/endor/shared_endor_lake_walkway_straight.iff', '0', '-0.677971', '0', '0.735088', '-389.758', '-9.47151', '-3023.27', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015504', '0', 'object/building/endor/shared_endor_lake_walkway_straight.iff', '0', '-0.677972', '0', '0.735088', '-373.781', '-9.52314', '-3024.54', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015505', '0', 'object/static/structure/naboo/shared_gungan_damaged_narrow_arch_s01.iff', '0', '0.40319', '0', '0.915116', '2544.33', '44.3196', '-2881.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015508', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0', '0', '1', '2533.38', '56.06', '-2863.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015509', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0', '0', '1', '2534.36', '56.0525', '-2863.66', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015510', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0', '0', '1', '2535.3', '56.0256', '-2863.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015512', '0', 'object/static/structure/naboo/shared_gungan_damaged_narrow_arch_s01.iff', '0', '-0.174108', '0', '0.984727', '2529.14', '53.1915', '-2867.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015513', '0', 'object/static/structure/naboo/shared_gungan_damaged_narrow_arch_s01.iff', '0', '0.29552', '0', '0.955336', '2522.58', '52.995', '-2866.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015514', '0', 'object/static/structure/naboo/shared_gungan_damaged_narrow_arch_s01.iff', '0', '-0.356949', '0', '0.934124', '2521.6', '53.5594', '-2859.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015515', '0', 'object/static/structure/naboo/shared_gungan_damaged_narrow_arch_s01.iff', '0', '-0.651834', '0', '0.758362', '2527.54', '61.3265', '-2863.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015516', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0.0109184', '0.0274546', '-0.704486', '0.709102', '2525.28', '62.2623', '-2865.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015517', '0', 'object/building/endor/shared_endor_lake_walkway_straight.iff', '0', '0.522687', '0', '0.852525', '4135.23', '-3.33357', '-1707.24', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015518', '0', 'object/building/endor/shared_endor_lake_walkway_straight.iff', '-0.0847059', '0.84443', '-0.133487', '-0.511805', '4124.24', '-5.29955', '-1712.97', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015519', '0', 'object/building/endor/shared_endor_lake_walkway_straight.iff', '0.0918584', '0.840756', '0.147894', '-0.512659', '4145.97', '-5.44056', '-1701.72', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015527', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '-0.232843', '0', '0.972514', '4137', '6.58806', '-1710.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015528', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '-0.232843', '0', '0.972514', '4133.5', '6.6196', '-1703.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015530', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0.0824804', '-0.237676', '-0.161168', '0.954323', '4150.74', '3.90467', '-1703.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015531', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0.0393415', '-0.229625', '-0.169513', '0.957596', '4147.2', '3.88535', '-1696.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015532', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '-0.0366966', '-0.234853', '0.149955', '0.959693', '4119.68', '4.19696', '-1710.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015533', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '-0.0378225', '-0.234659', '0.154764', '0.958933', '4123.3', '4.06622', '-1717.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015534', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0.0561419', '-0.229905', '-0.159716', '0.958375', '4122.06', '2.68672', '-1709.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015535', '0', 'object/static/structure/dantooine/shared_dant_fence_4m.iff', '0.0871721', '-0.240704', '-0.146783', '0.955467', '4127.1', '0.778765', '-1706.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015536', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0.0145803', '-0.20388', '-0.207949', '0.956544', '4127.05', '3.34543', '-1716.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015537', '0', 'object/static/structure/dantooine/shared_dant_fence_4m.iff', '0.0308144', '-0.183446', '-0.235697', '0.953858', '4131.78', '0.897874', '-1714.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015538', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0.113253', '0.857896', '0.214493', '-0.452969', '4130.78', '0.126931', '-1709.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015539', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '-0.00782813', '-0.222711', '0.0494102', '0.9736', '4151.37', '2.49907', '-1703.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015541', '0', 'object/static/structure/dantooine/shared_dant_fence_4m.iff', '-0.0379978', '-0.227295', '0.108741', '0.966989', '4146.11', '1.63495', '-1706.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015542', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '-0.010859', '-0.222928', '0.0384867', '0.974014', '4149.12', '1.35266', '-1695.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015543', '0', 'object/static/structure/dantooine/shared_dant_fence_4m.iff', '-0.0117003', '-0.246215', '0.0842833', '0.965473', '4143.9', '0.7244', '-1697.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015544', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0.0170603', '0.632388', '0.0246714', '0.774071', '4143.83', '0.978596', '-1702.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015546', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0', '-0.674288', '0', '0.738469', '5430.91', '9.69243', '-867.284', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015547', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0', '-0.674288', '0', '0.738469', '5426.94', '9.68777', '-866.934', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015548', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '0', '0', '1', '5430.04', '10.1305', '-857.799', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015549', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '0', '0', '1', '5420.59', '8.96772', '-858.999', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015550', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '-0.692538', '0', '0.721381', '5435.94', '10.1495', '-866.957', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015551', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0', '0', '1', '5436.79', '10.1066', '-857.554', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015552', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '-0.692537', '0', '0.721382', '5435.55', '10.8204', '-862.079', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015553', '0', 'object/static/structure/tatooine/shared_wall_gate_tatooine_style_02.iff', '0', '0.688921', '0', '0.724836', '5424.77', '9.42506', '-851.752', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015562', '0', 'object/static/structure/dantooine/shared_dant_large_rock_hut.iff', '0', '-0.636537', '0', '0.771246', '-5977.38', '2.30389', '-4576.62', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015563', '0', 'object/static/structure/dantooine/shared_dant_cooking_stone.iff', '0.102015', '-0.121053', '-0.12646', '0.979258', '-5970.26', '2.47343', '-4572.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015564', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0.089664', '-0.573472', '0.0633375', '0.811837', '-5971.21', '2.83447', '-4570', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015565', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0.152045', '-0.582503', '0.112027', '0.790584', '-5968.95', '2.74818', '-4562.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015566', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '-0.229869', '0.154939', '0.0370961', '0.960093', '-5964.36', '2.85212', '-4558.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015567', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0.884303', '0', '0.466913', '-5962.35', '2.58189', '-4587.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015568', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '-0.316924', '-0.197212', '-0.06755', '0.925259', '-5966.19', '1.91471', '-4579.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015569', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.340847', '-0.216783', '0.0894189', '0.910403', '-5966.48', '1.95191', '-4578.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015570', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '-0.345763', '0.795532', '0.198336', '-0.456333', '-5966.27', '1.96228', '-4577.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015571', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '-0.559052', '0.598644', '0.171689', '-0.547366', '-5965.47', '2.0205', '-4578.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015572', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.716056', '-0.624189', '-0.282797', '0.132959', '-5965.57', '1.91461', '-4579.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015573', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '-0.260089', '0.641842', '0.270922', '-0.668576', '-5965.27', '1.95142', '-4578.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015574', '0', 'object/static/structure/general/shared_campfire_ash.iff', '0', '0', '0', '1', '-5965.95', '2.2887', '-4578.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015575', '0', 'object/static/structure/general/shared_campfire_ash.iff', '0', '0', '0', '1', '-5966', '2.2945', '-4578.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015576', '0', 'object/static/structure/general/shared_campfire_ash.iff', '0', '0', '0', '1', '-5965.66', '2.28936', '-4578.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015577', '0', 'object/building/endor/shared_endr_lake_rail2m.iff', '0', '0.710353', '0', '-0.703845', '-5965.9', '1.95839', '-4578.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015583', '0', 'object/static/structure/naboo/shared_gungan_relic_s01.iff', '0', '0.867423', '0', '-0.497571', '-3378.07', '7.60963', '-4736.42', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015584', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '0', '0.961275', '0', '0.27559', '-3378.77', '14.9856', '-4735.36', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015585', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.309817', '0', '0.950796', '-3381.13', '13.6754', '-4729.17', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015586', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.252245', '0', '0.967663', '-3381.65', '13.6891', '-4729.48', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015587', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.227978', '0', '0.973666', '-3382.43', '13.6875', '-4729.9', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015588', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.261909', '0', '0.965092', '-3382.97', '13.6602', '-4730.22', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015590', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '0.452886', '0', '0.891568', '-1109.69', '1.29498', '-3392.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015591', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '-1112.81', '-1.20375', '-3397.18', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015592', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.777072', '0', '-0.629412', '-1104.88', '-1.20082', '-3391.48', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015593', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '0.727726', '0', '-0.685868', '-1113.12', '1.342', '-3385.18', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015594', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '-0.0998196', '0.8293', '-0.136952', '-0.532487', '-1113.7', '1.13856', '-3386.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015595', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '-0.250014', '-0.225017', '-0.0598594', '0.939828', '-1116.77', '1.02503', '-3385.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015596', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.692538', '0', '0', '0.721382', '-1116.62', '1.2435', '-3392.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015597', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0', '0.822049', '-0.569417', '-1104.05', '1.72036', '-3400.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015598', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar.iff', '0', '0', '0', '1', '1927', '1.61529', '-4738', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015599', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_med.iff', '0', '0', '0', '1', '1927', '1.20908', '-4753', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015600', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_med.iff', '0', '0', '0', '1', '1914', '1.36295', '-4738', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015601', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0', '0', '1', '1914', '1.17321', '-4753', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015602', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '0', '0', '1', '1901', '1.19123', '-4753', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015603', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0', '0', '1', '1901', '1.21699', '-4738', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015604', '0', 'object/static/structure/dantooine/shared_dant_jedi_wall_1.iff', '0', '0.707106', '0', '0.707107', '1923', '0.856477', '-4750', '256', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015605', '0', 'object/static/structure/dantooine/shared_dant_jedi_wall_2.iff', '0', '0.707106', '0', '0.707107', '1923', '1.21536', '-4741', '256', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015606', '0', 'object/static/structure/dantooine/shared_dant_jedi_wall_1.iff', '0', '0.707107', '0', '-0.707106', '1906', '0.437243', '-4741', '256', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015607', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_fallen.iff', '0.168891', '0.694185', '0.18085', '-0.675927', '1913.06', '1.21266', '-4757.35', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015608', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_fallen.iff', '-0.213183', '0.661606', '-0.204659', '-0.689163', '1913.01', '1.20651', '-4760.13', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015609', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_fallen.iff', '-0.343664', '0.593743', '-0.275522', '-0.673388', '1912.98', '1.20308', '-4763.09', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015610', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_fallen.iff', '0', '0.710353', '0', '-0.703845', '1912.82', '1.16765', '-4765.81', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015613', '0', 'object/building/endor/shared_endor_catwalk.iff', '0', '-0.380188', '0', '0.924909', '5264.3', '6.53805', '-4537', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015614', '0', 'object/building/endor/shared_endor_catwalk.iff', '0', '-0.384808', '0', '0.922997', '5257.53', '6.51875', '-4530.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015620', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.604682', '0.256206', '-0.35296', '0.666436', '5254', '5.37455', '-4528.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015621', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.0310267', '0.0131021', '0.715674', '-0.697622', '5254.97', '5.38553', '-4527.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015622', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.458729', '0.10178', '-0.0529876', '0.881136', '5256.29', '5.43197', '-4526.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015623', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.582985', '0.0688489', '-0.0496734', '0.808035', '5267.1', '5.3068', '-4538.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015624', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.336562', '0.608109', '0.645221', '-0.317204', '5265.83', '5.23376', '-4538.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015625', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0', '0.717356', '-0.696707', '5265.32', '5.33575', '-4540.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015640', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0.137774', '0.385182', '0.261439', '0.874244', '5266.67', '3.9612', '-4536.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015641', '0', 'object/static/structure/dantooine/shared_dant_gate.iff', '0', '0.356949', '0', '0.934124', '5262.57', '0.782134', '-4532.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015642', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '-0.114277', '0.36945', '-0.328268', '0.861793', '5258.6', '3.63432', '-4528.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015643', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '-0.092826', '0.175096', '-0.448165', '0.871707', '5237.44', '5.71631', '-4514.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015644', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0.105822', '0.220885', '0.403213', '0.88172', '5246.89', '6.29473', '-4519.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015645', '0', 'object/static/structure/dantooine/shared_dant_fence_4m.iff', '0.00638613', '0.228661', '-0.0123698', '0.973407', '5242.2', '2.22972', '-4516.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015646', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '0', '0.80162', '0', '-0.597834', '5774.35', '0.624379', '-3014.73', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015647', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '0', '0.862404', '0', '-0.506221', '5761.53', '0.977981', '-2978.48', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015648', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0.479426', '0', '0.877582', '5776.56', '0.630591', '-3017.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015649', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0.560509', '0', '0.828148', '5762.02', '1.34363', '-2974.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015651', '0', 'object/static/structure/dantooine/shared_dant_small_mudhut.iff', '0', '0.822049', '0', '-0.569417', '-7065.93', '0.285432', '-6142.46', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015652', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0', '0', '1', '-7073.77', '0.280072', '-6140.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015653', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '-0.475032', '0', '0.879969', '-7070.7', '0.378589', '-6149.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015654', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '-0.470626', '0', '0.882333', '-7080.16', '0.415585', '-6144.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015655', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.144492', '0', '0.989506', '-7077.03', '0.347314', '-6152.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015656', '0', 'object/static/structure/dantooine/shared_dant_gate.iff', '0', '0.810497', '0', '-0.585743', '-7081.63', '0.389135', '-6149.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015661', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s02.iff', '0', '0', '0', '1', '-1538.46', '11.1793', '-6668.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015662', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s01.iff', '0', '0', '0', '1', '-1538.39', '11.2546', '-6681.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015663', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0', '0', '1', '-1538.48', '11.1919', '-6672.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015664', '0', 'object/static/structure/naboo/shared_gungan_damaged_wall_lg_s01.iff', '0', '0.707106', '0', '0.707107', '-1530.43', '10.9043', '-6663.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015665', '0', 'object/static/structure/general/shared_skeleton_human_body.iff', '0', '0', '0', '1', '-1527.9', '12.9287', '-6675.05', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015666', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '-0.0683086', '0.801694', '0.0504138', '-0.591675', '-1533.96', '12.5958', '-6659.93', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015667', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0.00348066', '-0.696127', '-0.00358954', '0.717901', '-1541.73', '12.1422', '-6670.43', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015668', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '-0.5522', '0', '0', '0.833712', '-1536.54', '12.2363', '-6686.19', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015671', '0', 'object/static/structure/military/shared_military_wall_med_rebl_style_01.iff', '0', '0', '0', '1', '-413.659', '26.1491', '-5137.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015672', '0', 'object/static/structure/military/shared_military_wall_med_rebl_style_01.iff', '0', '0', '0', '1', '-413.645', '26.1466', '-5122.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015673', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.707106', '0', '0.707107', '-410.152', '26.3029', '-5130.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015674', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.707106', '0', '0.707107', '-417.12', '26.2958', '-5129.91', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015676', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s02.iff', '0', '0', '0', '1', '-413.597', '26.7862', '-5125.13', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015677', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_1.iff', '0', '-0.319309', '0', '0.947651', '-411.433', '26.7001', '-5135.59', '256', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015678', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_2.iff', '0', '-0.407761', '0', '0.913089', '-415.589', '26.6853', '-5135.98', '256', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015679', '0', 'object/static/structure/corellia/shared_corl_power_connector.iff', '0', '0.707106', '0', '0.707107', '-413.632', '26.7865', '-5130.18', '128', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015682', '0', 'object/static/structure/general/shared_atat_destroyed.iff', '0', '0', '0', '1', '3838.8', '-2.8287', '-5911.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015683', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '3838.37', '-3.86159', '-5899.64', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015684', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '3839.32', '-1.58263', '-5905.24', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015685', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0.37202', '0.62521', '-0.31311', '0.610472', '3838.29', '-0.148682', '-5911.83', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015686', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0.0824291', '0.060618', '0.179888', '0.978351', '3838.25', '0.969353', '-5910.93', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015687', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0.0643643', '-0.249818', '0.720007', '0.644235', '3839.74', '0.291054', '-5911.11', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015688', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '-0.0672985', '0.706165', '-0.70026', '0.0802431', '3837.73', '0.595888', '-5913.92', '64', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015694', '0', 'object/static/structure/tatooine/shared_shed_junkshop_watto.iff', '0', '0', '0', '1', '6080.56', '-1.94701', '-6475.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015695', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '0', '-0.0249974', '0', '0.999687', '6080.82', '1.84949', '-6458.98', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015696', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '0', '0.997248', '0', '0.0741355', '6081.22', '1.40118', '-6492.01', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015697', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '0', '0.681639', '0', '0.731688', '6099', '1.1717', '-6475', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '9015698', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '0', '-0.703279', '0', '0.710914', '6063', '2.05478', '-6475', '512', '1');
INSERT INTO `staticobjects` VALUES ('1', '9165389', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '-0.0146088', '0', '0.999893', '-4220.81', '3', '-2398.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('1', '9165390', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '0', '0', '1', '-4228.8', '3', '-2398.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '33536', '0', 'object/static/structure/general/shared_debris_deathstar_conduit.iff', '-0.00840732', '0.754486', '-0.0124218', '0.656145', '6295.35', '172.36', '-3957.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '33537', '0', 'object/static/structure/general/shared_debris_deathstar_conduit.iff', '0.0054244', '0.969', '-0.0139843', '-0.246605', '6295.28', '171.863', '-3956.52', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '33538', '0', 'object/static/particle/shared_pt_miasma_of_fog_mustard.iff', '0', '0', '0', '1', '6291.22', '169.094', '-3949.45', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '33562', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '-7165', '99.1744', '133.997', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '33563', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '-7167.03', '99.2685', '136.013', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '33564', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '-7164.99', '99.2487', '138.004', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '33565', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '-7162.98', '99.1827', '135.989', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '33568', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_med.iff', '0', '0', '0', '1', '-6837.18', '452.575', '2206.82', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '33569', '0', 'object/static/particle/shared_pt_poi_electricity_2x2.iff', '0', '0', '0', '1', '-6837.07', '458.796', '2206.76', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '33570', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_fallen.iff', '0', '-0.535416', '0', '0.844589', '-6833.79', '454.109', '2212.07', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '33572', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0.124975', '-0.534687', '0.12798', '0.825901', '-6855.03', '451.25', '2204.97', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '33573', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.706824', '0', '0.707389', '-6847.11', '451.965', '2211.85', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '33574', '0', 'object/static/structure/general/shared_skeleton_ithorian_headandbody.iff', '0', '0', '0', '1', '-6823.42', '446.791', '2186.23', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '33575', '0', 'object/static/structure/general/shared_skeleton_human_body.iff', '0', '0', '0', '1', '-6842.11', '446.212', '2169.11', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '33576', '0', 'object/static/structure/general/shared_skeleton_bith_head.iff', '0', '0', '0', '1', '-6836.28', '453.838', '2214.32', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '33577', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0', '0.375559', '0.926798', '-6840.47', '454.357', '2209.48', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '33578', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '-0.210323', '0.0582087', '-0.260303', '0.940542', '-6828.92', '454.424', '2211.6', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '33581', '0', 'object/static/structure/dantooine/shared_dant_large_rock_hut.iff', '0', '1', '0', '3.20013e-08', '-6831.44', '454.044', '2204.22', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '33582', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '-6831.65', '453.084', '2204.49', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '33583', '0', 'object/static/structure/general/shared_skeleton_bith_head.iff', '0', '0', '-0.0649542', '0.997888', '-6831.65', '454.394', '2204.53', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '33584', '0', 'object/static/item/shared_item_jar_guts.iff', '0', '0.261909', '0', '0.965092', '-6829.83', '454.428', '2204.48', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '33585', '0', 'object/static/item/shared_item_jar_funk.iff', '0', '-0.309816', '0', '0.950796', '-6829.92', '454.454', '2204.93', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '33586', '0', 'object/static/item/shared_item_jar_guts.iff', '0', '0.822955', '0', '-0.568107', '-6829.21', '454.369', '2203.97', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '33587', '0', 'object/static/item/shared_item_jar_guts.iff', '0', '0.940806', '0', '0.338946', '-6829.76', '454.4', '2204.07', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '33588', '0', 'object/static/item/shared_item_jar_guts.iff', '0', '0', '0', '1', '-6829.2', '454.326', '2203.24', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '33589', '0', 'object/static/item/shared_item_jar_guts.iff', '0', '0.155954', '0', '0.987764', '-6829.81', '454.381', '2203.62', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '33590', '0', 'object/static/item/shared_item_jar_funk.iff', '0', '0.21823', '0', '0.975897', '-6830.26', '454.448', '2204.61', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '33591', '0', 'object/static/item/shared_item_jar_funk.iff', '0', '0.98939', '0', '-0.14528', '-6829', '454.392', '2204.33', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '33592', '0', 'object/static/item/shared_item_jar_funk.iff', '0', '0', '0', '1', '-6828.83', '454.319', '2203.48', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '33593', '0', 'object/static/particle/shared_pt_miasma_of_fog_greenish.iff', '0', '0', '0', '1', '-6831.14', '454.326', '2213.05', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '33594', '0', 'object/static/particle/shared_pt_miasma_of_fog_greenish.iff', '0', '0', '0', '1', '-6838.03', '454.735', '2204.98', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '33595', '0', 'object/static/particle/shared_pt_miasma_of_fog_greenish.iff', '0', '0', '0', '1', '-6830.56', '453.27', '2198.08', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '33596', '0', 'object/static/particle/shared_pt_miasma_of_fog_greenish.iff', '0', '0', '0', '1', '-6824.04', '453.907', '2205.98', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '33598', '0', 'object/static/particle/shared_pt_poi_electricity_2x2.iff', '0', '0', '0', '1', '-6837.06', '456.307', '2206.66', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '33615', '0', 'object/static/particle/shared_pt_poi_droid_weld_sparks.iff', '0.633951', '0.444294', '-0.243112', '-0.584471', '161.559', '20.0491', '1721.48', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '33636', '0', 'object/static/particle/shared_pt_miasma_of_fog_red.iff', '0', '0', '0', '1', '-5899.22', '475.872', '4664.76', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '39693', '0', 'object/static/terrain/corellia/shared_rock_crystal_arch_agrilat_medium.iff', '0', '-0.601198', '0', '0.7991', '972.177', '18.0233', '4775.03', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '40554', '0', 'object/static/terrain/corellia/shared_rock_crystal_arch_agrilat_half_medium.iff', '0', '-0.384808', '0', '0.922997', '1045.26', '18.3666', '4763.47', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '40555', '0', 'object/static/terrain/corellia/shared_rock_crystal_arch_agrilat_half_medium.iff', '0', '-0.625925', '0', '0.779884', '929.809', '18.3166', '4831.4', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '55198', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_main.iff', '0', '0', '0', '1', '778.167', '17.377', '4626.93', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '55199', '0', 'object/static/terrain/corellia/shared_rock_crystal_arch_agrilat_half_medium.iff', '0', '0.983701', '0', '-0.179812', '606.035', '20.1889', '4690.85', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '55201', '0', 'object/static/terrain/corellia/shared_rock_crystal_agrilat_arch_small.iff', '0', '0.95657', '0', '0.291502', '1050.69', '18.201', '4702.31', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '56149', '0', 'object/static/terrain/corellia/shared_rock_bowl_agrilat_single.iff', '0', '0', '0', '1', '904.227', '18', '4707.01', '256', '1');
INSERT INTO `staticobjects` VALUES ('0', '56150', '0', 'object/static/terrain/corellia/shared_rock_bowl_agrilat_single.iff', '0', '0', '0', '1', '868.448', '18', '4443.12', '256', '1');
INSERT INTO `staticobjects` VALUES ('0', '56151', '0', 'object/static/terrain/corellia/shared_rock_bowl_agrilat_double.iff', '0', '0', '0', '1', '947.901', '17.9874', '4627.2', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '56152', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_large.iff', '0', '0', '0', '1', '676.874', '18', '4548.37', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '56153', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '0', '0', '1', '680.475', '18', '4534.66', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '56154', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_medium.iff', '0', '0', '0', '1', '706.11', '18', '4548.05', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '56155', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_large.iff', '0', '0', '0', '1', '763.308', '18', '4488.23', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '56156', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '0', '0', '1', '752.66', '18', '4473.74', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '56157', '0', 'object/static/terrain/corellia/shared_rock_crystal_arch_agrilat_half_medium.iff', '0', '0.916803', '0', '0.39934', '1002.19', '18', '4722.72', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '56158', '0', 'object/static/terrain/corellia/shared_rock_crystal_arch_agrilat_medium.iff', '0', '0', '0', '1', '1031.07', '18', '4636.94', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '56159', '0', 'object/static/terrain/corellia/shared_rock_crystal_arch_agrilat_half_medium.iff', '0', '0.933839', '0', '-0.357693', '1003.05', '17.9464', '4622.84', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '56160', '0', 'object/static/terrain/corellia/shared_rock_crystal_arch_agrilat_half_medium.iff', '0', '0.227978', '0', '0.973666', '1053.95', '18.2484', '4590.33', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '56161', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_large.iff', '0', '0.247404', '0', '0.968912', '928.967', '18', '4473.67', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '56162', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '0', '0', '1', '949.41', '18', '4486.77', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '56163', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '0', '0', '1', '920.278', '18', '4460.51', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '56164', '0', 'object/static/terrain/corellia/shared_rock_crystal_arch_agrilat_half_medium.iff', '0', '0.20846', '0', '0.978031', '650.827', '18.1361', '4671.41', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '56165', '0', 'object/static/terrain/corellia/shared_rock_bowl_agrilat_double.iff', '0', '0', '0', '1', '713.338', '19.9046', '4739.18', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '56166', '0', 'object/static/terrain/corellia/shared_rock_bowl_agrilat_single.iff', '0', '0', '0', '1', '798.398', '18', '4793.93', '256', '1');
INSERT INTO `staticobjects` VALUES ('0', '56167', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_large.iff', '0', '0', '0', '1', '783.615', '16.1192', '4761.55', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '56168', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '0', '0', '1', '764.984', '18.0168', '4758.9', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '56169', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '0', '0', '1', '812.074', '16.0652', '4765.32', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '56170', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '0', '0', '1', '835.735', '16.7591', '4705.45', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '56172', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_large.iff', '0', '0', '0', '1', '861.03', '16.0436', '4715.64', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '56173', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_large.iff', '0', '0', '0', '1', '871.362', '18', '4629.79', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '56174', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '0', '0', '1', '887.57', '18', '4641.06', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '56175', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_medium.iff', '0', '0', '0', '1', '887.134', '18', '4654.42', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '56176', '0', 'object/static/terrain/corellia/shared_rock_crystal_arch_agrilat_half_medium.iff', '0', '0.874789', '0', '0.484504', '906.384', '18.1757', '4775.21', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '56177', '0', 'object/static/terrain/corellia/shared_rock_crystal_agrilat_arch_small.iff', '0', '0.859989', '0', '0.510313', '856.659', '17.999', '4828.19', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '56178', '0', 'object/static/terrain/corellia/shared_rock_bowl_agrilat_single.iff', '0', '0', '0', '1', '614.274', '18.1421', '4544.51', '256', '1');
INSERT INTO `staticobjects` VALUES ('0', '56179', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '0', '0', '1', '633.836', '16.3619', '4460.9', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '56180', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_large.iff', '0', '0', '0', '1', '639.065', '15.5943', '4484.16', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '56181', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_large.iff', '0', '0', '0', '1', '799.852', '16.0994', '4426.82', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '56182', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_large.iff', '0', '0', '0', '1', '906.756', '18.3057', '4298.85', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '56183', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '0.443948', '0', '0.896053', '899.571', '18.4049', '4287.2', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '56184', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_medium.iff', '0', '0', '0', '1', '923.033', '18.3057', '4298.35', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '56185', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_medium.iff', '0', '0', '0', '1', '994.374', '18.3057', '4300.85', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '56186', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_large.iff', '0', '0', '0', '1', '1060.91', '18.4845', '4334.1', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '56187', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_large.iff', '0', '0', '0', '1', '1007.97', '15.6094', '4279.43', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '56188', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '0', '0', '1', '1030.31', '16.3869', '4328.36', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '56191', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_large.iff', '0', '0', '0', '1', '1120.58', '18.3057', '4193.03', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '56192', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '0', '0', '1', '1105.75', '18.3057', '4201.52', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '56193', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_medium.iff', '0', '0', '0', '1', '1101.52', '18.3057', '4185.33', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '56194', '0', 'object/static/terrain/corellia/shared_rock_crystal_agrilat_arch_small.iff', '0', '0', '0', '1', '1083.9', '18.3057', '4138.5', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '56195', '0', 'object/static/terrain/corellia/shared_rock_crystal_arch_agrilat_half_medium.iff', '0', '0.917438', '0', '-0.397879', '1241.21', '18.6306', '4186.51', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '56196', '0', 'object/static/terrain/corellia/shared_rock_crystal_arch_agrilat_half_medium.iff', '0', '0.21823', '0', '0.975897', '1287.47', '18.3057', '4154.56', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '56197', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '0', '0', '1', '1306.01', '18.3057', '4068.5', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '56198', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '0', '0', '1', '1328.71', '18.3057', '4128.33', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '56199', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_large.iff', '0', '0', '0', '1', '1305.59', '15.9822', '4088.7', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '56200', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '0', '0', '1', '1302.54', '17.384', '4123.71', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '56201', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_medium.iff', '0', '0', '0', '1', '1292.62', '18.3057', '4056.72', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '56202', '0', 'object/static/terrain/corellia/shared_rock_crystal_agrilat_arch_small.iff', '0', '0.0749296', '0', '0.997189', '1308.62', '18.7785', '3995.46', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '56205', '0', 'object/static/terrain/corellia/shared_rock_crystal_arch_agrilat_half_medium.iff', '0', '0.949486', '0', '0.31381', '1387.1', '18.3057', '3887.58', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '56206', '0', 'object/static/terrain/corellia/shared_rock_crystal_arch_agrilat_half_medium.iff', '0', '-0.457339', '0', '0.889293', '1431.65', '18.3057', '3931.91', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '56209', '0', 'object/static/terrain/corellia/shared_rock_crystal_agrilat_arch_small.iff', '0', '0.863068', '0', '0.505088', '1473.59', '18.3057', '4193.11', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '56210', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '0.888928', '0', '0.458047', '1443.94', '18.3057', '4152.91', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '56211', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '0', '0', '1', '1491.42', '18.3057', '4179.09', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '56212', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_large.iff', '0', '0', '0', '1', '1419.68', '18.3057', '4170.95', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '56213', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_medium.iff', '0', '0', '0', '1', '1499.97', '18.3057', '4158.9', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '56214', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_medium.iff', '0', '0', '0', '1', '1537.61', '18.3056', '4136.42', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '56215', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '0', '0', '1', '1465.49', '15.983', '4158.55', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '56216', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '0', '0', '1', '1438.72', '16.3956', '4170.64', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '56217', '0', 'object/static/terrain/corellia/shared_rock_crystal_arch_agrilat_medium.iff', '0', '-0.501213', '0', '0.865324', '1326.54', '19.5679', '4238.93', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '56218', '0', 'object/static/terrain/corellia/shared_rock_bowl_agrilat_double.iff', '0', '0', '0', '1', '1447.82', '18.3057', '4411.52', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '56219', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_large.iff', '0', '0', '0', '1', '1670.21', '18.3057', '4575.88', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '56220', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '0', '0', '1', '1643.54', '18.3056', '4607.42', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '56221', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_medium.iff', '0', '0', '0', '1', '1657.33', '18.3057', '4568.73', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '56222', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '0', '0', '1', '1695.47', '18.3057', '4522.64', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '59761', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '0', '0', '1', '-12.8883', '18.3332', '4677.57', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '59762', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_large.iff', '0', '0', '0', '1', '-3.2803', '18.3057', '4684.17', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '59763', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '0', '0', '1', '-3.63694', '18.3057', '4666.38', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '59766', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '0', '0', '1', '38.4406', '14.6314', '4741.29', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '59767', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '0', '0', '1', '30.2084', '15.2368', '4746.19', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '59769', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '-0.169182', '0', '0.985585', '56.2458', '16.0372', '4720.39', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '59770', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_medium.iff', '0', '0', '0', '1', '46.8687', '17.0516', '4714.47', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '59773', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '-0.527618', '0', '0.849482', '44.1675', '18.3057', '4723.6', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '59774', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '-0.281157', '0', '0.959662', '96.7679', '15.739', '4635.66', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '65316', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '0', '0', '1', '115.952', '15.0364', '4645.6', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '65318', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '0', '0', '1', '139.868', '16.4559', '4537.66', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '65319', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '0.407761', '0', '0.913089', '122.582', '15.7996', '4585.75', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '65320', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_medium.iff', '0', '0', '0', '1', '129.345', '18.3057', '4593.46', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '65321', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '0.966185', '0', '-0.25785', '162.002', '17.6125', '4578.82', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '65323', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '-0.522009', '0', '0.85294', '164.802', '14.931', '4391.04', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '65324', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '0', '0', '1', '159.689', '15.1697', '4399.4', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '65325', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '0', '0', '1', '156.692', '14.7431', '4387.53', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '65326', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_large.iff', '0', '0', '0', '1', '226.106', '15.5811', '4386.7', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '65327', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '-0.572867', '0', '0.819649', '217.332', '15.2911', '4410.53', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '65328', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '0.710534', '0', '0.703663', '245.933', '14.8898', '4433.58', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '65329', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '-0.655613', '0', '0.755097', '249.357', '15.1952', '4424.63', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '65330', '0', 'object/static/terrain/corellia/shared_rock_crystal_arch_agrilat_half_medium.iff', '0.004286', '0.935604', '-0.002574', '-0.353015', '229.624', '12.2259', '4446.17', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '65331', '0', 'object/static/terrain/corellia/shared_rock_crystal_arch_agrilat_half_medium.iff', '0', '0.309816', '0', '0.950797', '273.351', '18.3057', '4410.24', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '65335', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '0.997129', '0', '-0.075724', '297.031', '17.3187', '4467.21', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '65336', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '0.632673', '0', '0.774419', '307.816', '14.841', '4462.73', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '65337', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '0', '0', '1', '306.862', '15.7131', '4473.75', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '134317', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '0.720837', '0', '0.693104', '172.568', '16.2213', '4439.85', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '134318', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '-0.384808', '0', '0.922997', '170.516', '14.8941', '4428.96', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '134320', '0', 'object/static/terrain/corellia/shared_rock_crystal_arch_agrilat_half_medium.iff', '0', '0.950549', '0', '-0.310573', '376.879', '15.9798', '4400.56', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '134321', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_medium.iff', '0', '0', '0', '1', '364.115', '-1.67044', '4298.03', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '134322', '0', 'object/static/terrain/corellia/shared_rock_crystal_agrilat_arch_small.iff', '0', '-0.524963', '0', '0.851125', '371.482', '17.7014', '4354.34', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '134323', '0', 'object/static/terrain/corellia/shared_rock_bowl_agrilat_single.iff', '0', '0.261909', '0', '0.965093', '466.16', '18.3057', '4024.01', '256', '1');
INSERT INTO `staticobjects` VALUES ('0', '134324', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_large.iff', '0', '-0.42594', '0', '0.904751', '458.621', '14.4956', '3969.07', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '134325', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '0.718044', '0', '-0.695998', '475.041', '16.0561', '3969.18', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '134326', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '0.505533', '0', '0.862807', '407.813', '18.3057', '4065.54', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '134327', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_medium.iff', '0', '0', '0', '1', '393.341', '18.3057', '4088.98', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '134328', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_large.iff', '0', '0.891207', '0', '0.453596', '381.406', '18.3057', '4070.38', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '164385', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s02.iff', '0', '0', '0', '1', '-3619.93', '21.2841', '-353.945', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '164391', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '0.425934', '0.00294571', '-0.00404012', '0.90474', '-4478.01', '-3.22414', '5547.59', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '164393', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '-1755.24', '0.463244', '-5589.57', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '164394', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.309816', '0', '0.950796', '-1755.13', '0.52167', '-5588.42', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '174317', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '0.928369', '0', '-0.37166', '104.579', '15.4613', '4297.91', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '174318', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '0.452886', '0', '0.891569', '93.9355', '16.0989', '4295.17', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '174319', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '-0.690076', '0', '0.723737', '97.3386', '14.9323', '4305.58', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '174320', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '0.977865', '0', '-0.209239', '85.9512', '16.2919', '4264.06', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '174321', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '0.852438', '0', '-0.522828', '72.9337', '15.4057', '4337.53', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '174322', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '0.949486', '0', '-0.31381', '75.4487', '14.9651', '4326.19', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '178330', '0', 'object/building/endor/shared_endr_lake_rail8m.iff', '0', '0', '0', '1', '-5174.14', '191.729', '6231.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '178335', '0', 'object/static/structure/dantooine/shared_dant_fence_4m.iff', '0.0119513', '-0.119114', '-0.0991155', '0.987849', '-5147.29', '184.675', '6224.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '178336', '0', 'object/static/structure/dantooine/shared_dant_fence_4m.iff', '0.037234', '0.773131', '-0.025244', '-0.632648', '-5144.72', '184.162', '6222.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '178337', '0', 'object/static/structure/dantooine/shared_dant_fence_4m.iff', '-0.0175529', '-0.107629', '-0.128052', '0.985754', '-5146.48', '184.488', '6220.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '178338', '0', 'object/static/structure/dantooine/shared_dant_fence_4m.iff', '0.0116083', '0.773828', '-0.00949898', '-0.633218', '-5148.56', '184.968', '6222.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '178342', '0', 'object/tangible/camp/shared_camp_cot.iff', '-0.124673', '-0.000424083', '-0.00498193', '0.992185', '-138.763', '3.70868', '-1965.32', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '178344', '0', 'object/static/structure/general/shared_poi_all_obelisk_s01.iff', '0', '0.940806', '0', '0.338946', '4989.47', '3.91605', '2897.28', '175', '1');
INSERT INTO `staticobjects` VALUES ('0', '178345', '0', 'object/static/particle/shared_particle_campfire_style_1.iff', '0', '0', '0', '1', '4525.78', '1.57529', '4320.82', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '178346', '0', 'object/static/particle/shared_particle_smoke.iff', '0', '0', '0', '1', '4525.58', '0.745659', '4320.79', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '178354', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '-0.045218', '0.320873', '-0.132014', '0.936786', '4865.68', '93.4783', '6688.49', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '178356', '0', 'object/static/particle/shared_particle_smoke.iff', '0', '0', '0', '1', '4865.99', '94.933', '6688.13', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '178357', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '-0.162973', '-0.0997587', '-0.130181', '0.972903', '7475.33', '1.95187', '-1782.76', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '180316', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '0.971148', '0', '-0.238476', '37.8317', '15.3315', '4984.63', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180317', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_large.iff', '0', '0', '0', '1', '53.8524', '15.5775', '4980.8', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180318', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '-0.514136', '0', '0.857709', '40.4626', '15.3607', '4970.07', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180319', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '0', '0', '1', '188.962', '15.1274', '5050.7', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180320', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '0.872355', '0', '0.488873', '200.986', '15.2329', '5049.3', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180321', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0.0756375', '0.86233', '-0.0103513', '-0.500558', '283.791', '16.1963', '4978.43', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180322', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0.021426', '0.285148', '0.071801', '0.95555', '226.414', '15.5524', '4965.48', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180323', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0.036324', '-0.427578', '-0.031324', '0.902705', '195.012', '15.9226', '4918.85', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180324', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_large.iff', '-0.023074', '-0.65898', '0.026308', '0.751346', '289.24', '14.5268', '4996.54', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180326', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '-0.016894', '0.375179', '-0.041692', '0.92586', '384.81', '14.8954', '4745.63', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180327', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0.02428', '0.323132', '0.070887', '0.943383', '391.271', '14.9276', '4739.27', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180328', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '-0.026732', '0.890806', '-0.013606', '0.453392', '392.212', '14.7744', '4748.64', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180329', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '-0.375559', '0', '0.926799', '350.731', '14.9864', '4800.25', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180330', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '-0.352274', '0', '0.935897', '360.459', '15.9739', '4807.15', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180331', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '-0.439462', '0', '0.898261', '534.539', '15.5658', '4369.83', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180332', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '0', '-0.039989', '0.9992', '510.024', '14.9325', '4386.47', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180333', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '-0.025914', '0.647515', '-0.0304561', '0.761003', '539.792', '14.7431', '4380.54', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180334', '0', 'object/static/terrain/corellia/shared_rock_crystal_arch_agrilat_half_medium.iff', '-0.057532', '0.957711', '0.016905', '-0.281414', '458.208', '16.7146', '4458.44', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180335', '0', 'object/static/terrain/corellia/shared_rock_crystal_arch_agrilat_half_medium.iff', '-0.001799', '0.232657', '-0.039949', '0.971736', '517.342', '0.028469', '4413.08', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180336', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '-0.001714', '-0.342893', '-0.004697', '0.939361', '456.746', '14.9843', '4442.85', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180337', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0.016852', '0.421073', '0.036265', '0.906145', '459.744', '16.2927', '4430.4', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180338', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_medium.iff', '0', '-0.470626', '0', '0.882333', '449.666', '18.3057', '4517.94', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180339', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_large.iff', '0', '0.342898', '0', '0.939373', '461.397', '18.3057', '4532.42', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180340', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '0.87401', '0', '-0.485908', '456.009', '18.3057', '4505.03', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180341', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '-0.585742', '0', '0.810498', '529.512', '18.3057', '4695.1', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180342', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '0', '0', '1', '516.193', '15.4323', '4693.99', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180343', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_large.iff', '0', '0', '0', '1', '520.581', '14.7101', '4713.08', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180344', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '0.990327', '0', '0.138755', '468.033', '18.3057', '4596.33', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180345', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '0.389418', '0', '0.921061', '458.735', '18.4206', '4588.71', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180346', '0', 'object/static/terrain/corellia/shared_rock_bowl_agrilat_single.iff', '0', '0', '0', '1', '594.132', '18.3057', '4928.54', '256', '1');
INSERT INTO `staticobjects` VALUES ('0', '180348', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '0.535417', '0', '0.844588', '626.863', '16.5358', '4932.83', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180349', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_medium.iff', '0', '-0.398609', '0', '0.917121', '622.435', '15.8105', '4899.82', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180350', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '0.169182', '0', '0.985585', '403.247', '15.6209', '4923.2', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180351', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '0', '0', '1', '414.283', '17.9881', '4912.5', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180352', '0', 'object/static/terrain/corellia/shared_rock_crystal_arch_agrilat_half_medium.iff', '-0.047904', '0.957274', '0.014254', '-0.284833', '213.393', '18.3056', '4974.57', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180353', '0', 'object/static/terrain/corellia/shared_rock_crystal_arch_agrilat_half_medium.iff', '-0.013553', '0.193292', '-0.068617', '0.978645', '262.406', '8.43725', '4949.09', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180354', '0', 'object/static/terrain/corellia/shared_rock_crystal_arch_agrilat_half_medium.iff', '0.123682', '0.868171', '-0.03883', '-0.479034', '231.148', '16.1867', '4949.9', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180355', '0', 'object/static/terrain/corellia/shared_rock_crystal_arch_agrilat_half_medium.iff', '-0.057019', '0.45377', '-0.110872', '0.882354', '265.157', '9.85593', '4899.88', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180356', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '0.875559', '0', '-0.483111', '76.199', '16.2159', '4936.23', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180357', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '-0.149438', '0', '0.988771', '86.5083', '18.3057', '4934.89', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180359', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_large.iff', '0.014904', '-0.496656', '-0.026031', '0.867429', '77.8604', '14.0982', '4925.24', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180364', '0', 'object/static/terrain/corellia/shared_rock_crystal_arch_agrilat_half_medium.iff', '-0.0797904', '0.995251', '-0.00445702', '0.0555894', '630.332', '18.3952', '4030.36', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180365', '0', 'object/static/terrain/corellia/shared_rock_crystal_arch_agrilat_half_medium.iff', '0.00247302', '-0.0449177', '-0.0549171', '0.997477', '721.152', '18.3085', '4040.12', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180366', '0', 'object/static/terrain/corellia/shared_rock_crystal_arch_agrilat_half_medium.iff', '0', '-0.271547', '0', '0.962425', '710.712', '15.6564', '4024.65', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180367', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_large.iff', '0.031709', '0.487146', '0.056688', '0.870902', '739.723', '14.7791', '4031.48', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180368', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '0.980893', '0', '-0.194548', '633.226', '16.3636', '3952.66', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180369', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '-0.526944', '0', '0.8499', '616.714', '18.3057', '3958.16', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180370', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '0', '0', '1', '592.982', '18.3057', '3923.84', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180371', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_medium.iff', '0', '0.266731', '0', '0.963771', '603.051', '18.3057', '3926.67', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180372', '0', 'object/static/terrain/corellia/shared_rock_crystal_agrilat_arch_small.iff', '0', '-0.55636', '0', '0.830942', '1329.24', '18.3057', '4523.91', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180373', '0', 'object/static/terrain/corellia/shared_rock_crystal_agrilat_arch_small.iff', '0', '0.674293', '0', '0.738464', '1347.57', '19.935', '4554.54', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180374', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '0.328769', '0', '0.94441', '1404.86', '16.3226', '4605.5', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180375', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '0', '-0.0749296', '0.997189', '1399.77', '18.3057', '4586.46', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180376', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_large.iff', '-0.002619', '0.261896', '-0.009651', '0.965044', '1310.9', '18.3057', '4554.22', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180377', '0', 'object/static/terrain/corellia/shared_rock_crystal_arch_agrilat_half_medium.iff', '0.022942', '-0.655212', '-0.026423', '0.754634', '1245.1', '15.5209', '4600.03', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180378', '0', 'object/static/terrain/corellia/shared_rock_crystal_arch_agrilat_half_medium.iff', '0', '0.80933', '0', '0.587354', '1234.02', '18.3057', '4523.47', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180379', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '0.394019', '0', '0.919102', '1208.07', '15.8079', '3862.4', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180380', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_large.iff', '0', '0', '0', '1', '1163.1', '17.191', '3898.39', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180381', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '0', '-0.049979', '0.99875', '1192', '16.7524', '3897.83', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180382', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '0', '0', '1', '1147.71', '17.1815', '3936.19', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180383', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0.003145', '0.314551', '0.009492', '0.949188', '1180.88', '16.4334', '3888.44', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180384', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '0.904412', '0', '-0.42666', '1053.02', '17.5124', '3965.71', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180385', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '-0.319309', '0', '0.947651', '1063.46', '14.4502', '3964.58', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180386', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '0.8772', '0', '0.480125', '1058.71', '18.3057', '3956.52', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180387', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0.00727601', '-0.576699', '-0.0291', '0.816406', '1114.97', '14.7723', '3911.26', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180388', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '-0.0449997', '0.614278', '-0.0236667', '0.78745', '1118.62', '14.9563', '3918.37', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180389', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '-0.000125', '0.004998', '-0.024997', '0.999675', '1109.41', '15.3546', '3918.67', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180390', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_medium.iff', '0', '0.877916', '0', '0.478816', '946.38', '18.3057', '3938.4', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180391', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '0.628793', '0', '0.777572', '954.484', '18.505', '3929.63', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180392', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '0.966451', '0', '0.25685', '939.009', '16.5716', '3927.18', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180393', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '0.893464', '0', '-0.449134', '959.53', '16.0105', '3860.72', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180394', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '0.535417', '0', '0.844588', '968.826', '18.3057', '3854.37', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180395', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_large.iff', '0', '0.904098', '0', '0.427325', '820.35', '16.3426', '3824.76', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180396', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '0', '0', '1', '798.819', '16.5741', '3822.86', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180397', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '-0.285952', '0', '0.958244', '857.891', '18.3057', '3796.54', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180398', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0.0491881', '0.701526', '0.0497221', '0.709203', '844.436', '16.5837', '3782.69', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180399', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '0.514136', '0', '0.857709', '1205.47', '18.3057', '4459.7', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180400', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '0', '0', '1', '1210.74', '16.9327', '4446.95', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180401', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '0.941344', '0', '-0.337447', '1232.77', '17.3138', '4331.9', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180402', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '0', '0', '1', '1612.54', '16.8673', '4662.86', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180403', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '0.548023', '0', '0.836463', '1615.85', '17.1479', '4645.63', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180404', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '0.862839', '0', '-0.505479', '1596.18', '18.3057', '4675.23', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180405', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '0.470626', '0', '0.882333', '1638.2', '16.289', '4710.39', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180406', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_medium.iff', '0', '0.8772', '0', '-0.480125', '1550.44', '17.351', '4664.54', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180407', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '-0.366273', '0', '0.930507', '1557.84', '17.1213', '4676.35', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180408', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '0.55636', '0', '0.830942', '1578.37', '16.5035', '4695.77', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180409', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_large.iff', '0', '0.338197', '0', '0.941075', '1352.51', '18.3057', '4808.93', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180410', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '0.853437', '0', '0.521195', '1349.27', '18.3057', '4793.57', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180411', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '0.881337', '0', '-0.472488', '1310.64', '16.4504', '4840.45', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180412', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '0.731144', '0', '0.682224', '1311.26', '16.5193', '4824.44', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180413', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_large.iff', '0', '-0.29074', '0', '0.956802', '1425.06', '15.691', '4814.4', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180414', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_large.iff', '0', '0', '0', '1', '1395.79', '16.8667', '4844.89', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180415', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '0.416871', '0', '0.908966', '1385.73', '18.3057', '4801.08', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180416', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '-0.685287', '0', '0.728273', '1475.33', '16.0288', '4775', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180417', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_medium.iff', '0', '0', '0', '1', '1462.29', '17.3111', '4777.1', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180418', '0', 'object/static/terrain/corellia/shared_rock_crystal_arch_agrilat_half_medium.iff', '0.028407', '-0.572408', '-0.028146', '0.818993', '971.597', '16.6377', '4902.94', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180419', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '-0.552198', '0', '0.833713', '926.066', '17.1273', '5039.34', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180420', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '0.935616', '0', '0.353019', '1001.79', '17.96', '5051.92', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180421', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '-0.617689', '0', '0.786423', '1042.91', '17.6371', '5026.05', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180422', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '-0.580387', '0', '0.814341', '937.277', '16.0774', '5028.61', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180423', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '0', '0', '1', '927.23', '15.9062', '5048.87', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180424', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '-0.333487', '0', '0.942755', '1033.9', '16.01', '5066.82', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180425', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '-0.00718599', '-0.366155', '0.013349', '0.93043', '1197.49', '16.3224', '5024.15', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180426', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '0', '0', '1', '1171.02', '16.9726', '5064.49', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180427', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_large.iff', '0', '0.084898', '0', '0.99639', '1322.69', '16.9114', '4986.02', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180428', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '0.904412', '0', '-0.42666', '1301.2', '16.9982', '5011.77', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180429', '0', 'object/static/terrain/corellia/shared_rock_crystal_arch_agrilat_half_medium.iff', '-0.0844873', '0.857491', '0.0535492', '-0.504682', '1649.62', '15.0459', '4991.52', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180430', '0', 'object/static/terrain/corellia/shared_rock_crystal_arch_agrilat_half_medium.iff', '-0.045456', '0.533483', '-0.071704', '0.841539', '1677.04', '16.7382', '4933.92', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '180431', '0', 'object/static/terrain/corellia/shared_rock_crystal_agrilat_arch_small.iff', '0', '0.632673', '0', '0.774419', '1647.27', '17.2198', '4958.54', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186316', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '0', '0', '1', '648.089', '5.64564', '4401.96', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186317', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '0', '0', '1', '1690.98', '18.3057', '4516.62', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186318', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '0', '0', '1', '1689.56', '18.3057', '4516.06', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186319', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '0', '0', '1', '1546.59', '18.3057', '4677.9', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186323', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '0', '0', '1', '819.797', '8.93617', '4982.15', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186324', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '0', '0', '1', '831.898', '16.3164', '4976.77', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186325', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_medium.iff', '0', '0', '0', '1', '1041.97', '18', '4514.58', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186326', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '0', '0', '1', '1040.46', '18.01', '4502.84', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186327', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_large.iff', '0', '0', '0', '1', '1068.38', '18.0819', '4523.38', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186328', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_large.iff', '0', '0', '0', '1', '1022.8', '18.0006', '4492.44', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186329', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '0', '0', '1', '1138.02', '18.2871', '4564.31', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186330', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '0', '0', '1', '1136.03', '18.275', '4583.79', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186331', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_medium.iff', '0', '0', '0', '1', '1153.82', '18.3048', '4566.87', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186332', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_large.iff', '0', '0', '0', '1', '1065.44', '18.001', '4553.44', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186333', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '0', '0', '1', '1080.99', '18.0936', '4548.2', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186334', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '0', '0', '1', '1068.31', '18.0833', '4522.66', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186335', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_large.iff', '0', '0', '0', '1', '1093.94', '18.1634', '4543.01', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186336', '0', 'object/static/terrain/corellia/shared_rock_crystal_agrilat_arch_small.iff', '0', '0.300293', '0', '0.953847', '974.073', '18', '4541.6', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186337', '0', 'object/static/terrain/corellia/shared_rock_bowl_agrilat_single.iff', '0', '0', '0', '1', '933.583', '18', '4519.44', '256', '1');
INSERT INTO `staticobjects` VALUES ('0', '186338', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '0', '0', '1', '935.967', '18', '4521.26', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186339', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '0', '0', '1', '902.01', '18', '4561.98', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186340', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_large.iff', '0', '0', '0', '1', '903.102', '18', '4550.64', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186341', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '0', '0', '1', '915.627', '18', '4568.8', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186342', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_large.iff', '0', '0', '0', '1', '809.059', '18', '4533.14', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186343', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '0', '0', '1', '721.737', '18', '4504.08', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186344', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '0', '0', '1', '673.255', '18.3859', '4486.83', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186345', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '0.735908', '0', '-0.677082', '720.03', '18', '4490.23', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186346', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_large.iff', '0', '0', '0', '1', '787.167', '15.2807', '4464.37', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186347', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_medium.iff', '0', '0', '0', '1', '834.915', '18', '4488.41', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186348', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '0', '0', '1', '846.518', '18', '4481.6', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186349', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '0', '0', '1', '890.195', '18', '4514.46', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186350', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_medium.iff', '0', '0', '0', '1', '882.253', '18', '4506.53', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186351', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '0', '0', '1', '885.791', '18.3063', '4493.3', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186352', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '0', '0', '1', '870.072', '18', '4580.08', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186354', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '0', '0', '1', '841.652', '18', '4562.94', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186355', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '0', '0', '1', '853.066', '18', '4574.47', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186356', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '0', '0', '1', '907.467', '16.8493', '4655.78', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186357', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '0', '0', '1', '942.01', '18', '4785.04', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186358', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '0', '0', '1', '869.082', '18', '4788.17', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186359', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '0', '0', '1', '970.693', '18.0002', '4717.54', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186360', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_large.iff', '0', '0', '0', '1', '971.2', '18', '4689.1', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186361', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '0', '0', '1', '796.117', '18.1197', '4869.17', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186362', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '0', '0', '1', '806.185', '18.4972', '4992.2', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186363', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_medium.iff', '0', '0', '0', '1', '778.031', '18.2892', '4912.9', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186364', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '0', '0', '1', '806.925', '18.263', '4907.44', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186365', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '0', '0', '1', '698.563', '18', '4694.81', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186366', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_large.iff', '0', '0', '0', '1', '680.647', '18', '4641.95', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186367', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '0', '0', '1', '680.217', '18', '4690.6', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186368', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '0', '0', '1', '672.601', '18', '4595.45', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186369', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '0', '0', '1', '646.335', '18', '4629.96', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186370', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_medium.iff', '0', '0', '0', '1', '658.442', '18', '4590.01', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186371', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_medium.iff', '0', '0', '0', '1', '769.693', '18.1722', '4710.43', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186372', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_large.iff', '0', '0', '0', '1', '734.18', '18.1559', '4698.64', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186373', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_large.iff', '0', '0', '0', '1', '667.359', '18.0746', '4666.15', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186374', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_large.iff', '0', '0', '0', '1', '828.166', '18', '4730.35', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186375', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_medium.iff', '0', '0', '0', '1', '850.361', '18', '4751.8', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186376', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '0', '0', '1', '874.41', '18', '4760.87', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186377', '0', 'object/static/terrain/corellia/shared_rock_crystal_arch_agrilat_medium.iff', '0', '-0.560509', '0', '0.828148', '868.167', '18.4039', '4702.93', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186378', '0', 'object/static/terrain/corellia/shared_rock_crystal_arch_agrilat_medium.iff', '0', '-0.560509', '0', '0.828148', '732.408', '18.0063', '4492.17', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186379', '0', 'object/static/terrain/corellia/shared_rock_crystal_agrilat_arch_small.iff', '0', '0.597198', '0', '0.802094', '818.984', '18.0969', '4431.91', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186380', '0', 'object/static/terrain/corellia/shared_rock_crystal_agrilat_arch_small.iff', '0', '-0.203567', '0', '0.979061', '919.552', '18.2497', '4426.18', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186381', '0', 'object/static/terrain/corellia/shared_rock_crystal_agrilat_arch_small.iff', '0', '0.232843', '0', '0.972514', '965.469', '18.0276', '4460.87', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186382', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '0', '0', '1', '1238.53', '18.3057', '4570.82', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186383', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '0', '0', '1', '1220.27', '18.3057', '4576.89', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186384', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '0', '0', '1', '1754.68', '15.8588', '4720.98', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186385', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_large.iff', '0', '0', '0', '1', '1776.8', '14.9869', '4705.95', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186386', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '0', '0', '1', '1772.86', '18.3057', '4678.84', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186387', '0', 'object/static/terrain/corellia/shared_rock_crystal_agrilat_arch_small.iff', '0', '0.681643', '0', '0.731685', '1658.28', '18.4657', '4695.38', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186388', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '0', '0', '1', '800.068', '16.4337', '5023.24', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186389', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '0', '0', '1', '1593.5', '18.3057', '4066.82', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186390', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '0', '0', '1', '1462.2', '15.8215', '3926.62', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186391', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '0', '0', '1', '1077.34', '18.3057', '3901.49', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186392', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_medium.iff', '0', '0', '0', '1', '1113.45', '18.3057', '3881.17', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186393', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '0', '0', '1', '1130.09', '18.3057', '3951.02', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186394', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '0', '0', '1', '1181.79', '18.3057', '3931.48', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186395', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '0', '0', '1', '281.112', '15.9133', '3960.98', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186397', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '0', '0', '1', '282.368', '18.3106', '4011.67', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186398', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '0.461779', '0', '0.886995', '286.601', '18.3059', '3971.53', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '186399', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '0', '0', '1', '220.983', '16.6048', '4070.25', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '189316', '0', 'object/static/particle/shared_particle_test_31.iff', '0', '0', '0', '1', '1181.44', '32.6242', '3931.35', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '189319', '0', 'object/static/particle/shared_particle_test_31.iff', '0', '0', '0', '1', '1129.31', '33.0777', '3950.96', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '189322', '0', 'object/static/particle/shared_particle_test_31.iff', '0', '0', '0', '1', '1112.95', '38.7256', '3880.44', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '189325', '0', 'object/static/particle/shared_particle_test_31.iff', '0', '0', '0', '1', '1077.94', '32.7654', '3901.32', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '189331', '0', 'object/static/particle/shared_particle_test_31.iff', '0', '0', '0', '1', '1062.84', '28.874', '3964.91', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '189334', '0', 'object/static/particle/shared_particle_test_31.iff', '0', '0', '0', '1', '1052.81', '32.0713', '3965.47', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '189337', '0', 'object/static/particle/shared_particle_test_31.iff', '0', '0', '0', '1', '1057.83', '32.3967', '3957.64', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '192316', '0', 'object/static/particle/shared_particle_test_31.iff', '0', '0', '0', '1', '887.229', '32.7514', '4640.48', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '192319', '0', 'object/static/particle/shared_particle_test_31.iff', '0', '0', '0', '1', '886.756', '37.8322', '4653.95', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '192322', '0', 'object/static/particle/shared_particle_test_31.iff', '0', '0', '0', '1', '871.882', '49.3948', '4629.14', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '192325', '0', 'object/static/particle/shared_particle_test_31.iff', '0', '0', '0', '1', '874.055', '33.4946', '4760.37', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '192328', '0', 'object/static/particle/shared_particle_test_31.iff', '0', '0', '0', '1', '850.454', '39.403', '4750.71', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '192334', '0', 'object/static/particle/shared_particle_test_31.iff', '0', '0', '0', '1', '827.984', '48.7725', '4728.81', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '192337', '0', 'object/static/particle/shared_particle_test_31.iff', '0', '0', '0', '1', '822.092', '46.4622', '4601.9', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '367428', '0', 'object/tangible/hq_destructible/shared_security_terminal.iff', '0', '0.92388', '0', '0.382683', '4714.49', '24.6205', '-5758.32', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '529317', '0', 'object/static/terrain/corellia/shared_rock_crystal_agrilat_arch_small.iff', '0', '0', '0', '1', '891.863', '19.0716', '4637.23', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '683342', '0', 'object/static/structure/corellia/shared_corl_imprv_flagpole_s01.iff', '0', '0', '0', '1', '6939.08', '356.637', '-5587.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '923819', '0', 'object/static/creature/shared_droids_r2.iff', '0', '0.993395', '0', '0.114747', '161.529', '19.28', '1721.59', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '937424', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0.710354', '0', '-0.703845', '-5275.74', '21.8538', '-2509.56', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '937425', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-5276.49', '21.9803', '-2509.01', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '937426', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-5275.02', '21.1265', '-2510.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '937427', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.004594', '-5275.03', '21.1265', '-2509.14', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '937428', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.004602', '-5275.75', '21.1265', '-2510.18', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '937429', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004602', '0', '0.999989', '-5276.46', '21.1265', '-2510.01', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '937430', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.0046', '-5275.75', '21.1265', '-2509.18', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '937431', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0.710354', '0', '-0.703845', '-5275.72', '21', '-2509.56', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '937432', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004602', '0', '0.999989', '-5276.47', '21.1265', '-2509.01', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '937438', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-5275.04', '21.9803', '-2510.14', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '937439', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-5275.77', '21.9803', '-2509.18', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '937440', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-5276.48', '21.9803', '-2510.02', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '937441', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-5275.77', '21.9803', '-2510.18', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '937451', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.004591', '-5275.05', '21.9803', '-2509.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '1065334', '0', 'object/static/structure/general/shared_streetlamp_medium_green_style_02.iff', '0', '0.881958', '0', '-0.471328', '-5262.82', '4', '-6441.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '1065335', '0', 'object/static/structure/general/shared_streetlamp_medium_red_style_02.iff', '0', '0.995415', '0', '-0.0956499', '-5264.27', '4', '-6418.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '1065336', '0', 'object/soundobject/shared_soundobject_cantina_medium.iff', '0', '0', '0', '1', '-5264.69', '4', '-6430.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1065337', '0', 'object/soundobject/shared_soundobject_cantina_medium.iff', '0', '0', '0', '1', '-5159.85', '4.02321', '-6422.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1065340', '0', 'object/static/structure/general/shared_streetlamp_medium_red_style_02.iff', '0', '0.916803', '0', '0.39934', '-5167.46', '4.24217', '-6433.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '1065341', '0', 'object/static/structure/general/shared_streetlamp_medium_green_style_02.iff', '0', '0.581035', '0', '0.813878', '-5161.02', '4', '-6410.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '1065345', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0', '0', '1', '-5158.91', '2.42976', '-6376.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '1065351', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-5493.58', '25.3164', '-6178.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '1065353', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-5515.99', '21.1358', '-6184.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '1065355', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-5538.7', '24.8736', '-6179.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '1065356', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-5516.19', '24.1039', '-6209.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '1065358', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.727725', '0', '-0.685869', '-5556.97', '23.4', '-6141.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '1065359', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.720831', '0', '-0.693111', '-5557.26', '23.4', '-6096.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '1065361', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-5551.3', '14.74', '-6040.59', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '1065363', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-5678.27', '12.4127', '-6173.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '1065364', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-5703.31', '12.0549', '-6157.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '1065365', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-5356.06', '26.8169', '-6239.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '1065367', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '-5276.28', '4.85064', '-6375.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '1065368', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '-5290', '4.03554', '-6396.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '1065369', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '-5214.03', '4', '-6373.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '1065370', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '-5193.51', '4.24483', '-6442.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '1065371', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '-5233.03', '4', '-6442.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '1065372', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '-5270.34', '4.26564', '-6459.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '1065373', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '-5316.44', '4.28727', '-6460.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '1065374', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '-0.696135', '0', '0.717911', '-5337.86', '4', '-6429.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '1065375', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.731146', '0', '-0.682221', '-5321.64', '4', '-6430.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '1065376', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '-5287.61', '4', '-6411.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '1065377', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '-5288.69', '4', '-6442.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '1065381', '0', 'object/static/structure/corellia/shared_corl_fountain_statue_contemplate_s01.iff', '0', '0.999991', '0', '-0.00420366', '-5289.99', '4', '-6427.24', '96', '1');
INSERT INTO `staticobjects` VALUES ('0', '1065391', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s04.iff', '0', '0', '0', '1', '-5292.78', '4', '-6427.24', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1065392', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s04.iff', '0', '1', '0', '3.20013e-08', '-5287.16', '4', '-6427.24', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1065395', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s04.iff', '0', '1', '0', '3.20013e-08', '-5304.52', '4', '-6427.12', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1065396', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s04.iff', '0', '0', '0', '1', '-5310.13', '4', '-6427.12', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1065397', '0', 'object/static/structure/corellia/shared_corl_fountain_statue_contemplate_s01.iff', '0', '0.00420394', '0', '0.999991', '-5307.3', '4', '-6427.12', '96', '1');
INSERT INTO `staticobjects` VALUES ('0', '1177353', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0.707109', '0', '-0.707104', '6881.51', '315', '-5747.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '1221923', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.42594', '0', '0.904752', '-5290.5', '12.1738', '-6339.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '1331899', '0', 'object/static/structure/corellia/shared_corl_imprv_flagpole_s01.iff', '0', '0', '0', '1', '-5459', '27.9381', '-2981', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '1331932', '0', 'object/building/military/shared_military_imperial_detachment_hq.iff', '0', '-0.707106', '0', '0.707107', '-2976', '30.6897', '2908', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1331933', '1331932', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1331934', '1331932', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1331935', '1331932', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1331936', '1331932', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1331937', '1331932', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1331938', '1331932', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1331939', '1331932', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1331940', '1331932', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1331941', '1331932', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1331942', '1331932', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1331943', '0', 'object/building/military/shared_military_base_shed_imperial_barracks_s01.iff', '0', '-0.707106', '0', '0.707107', '-2977', '30.7801', '2923', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1331944', '1331943', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1331945', '1331943', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1331946', '1331943', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1331947', '1331943', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1331948', '1331943', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1331949', '1331943', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1331950', '0', 'object/building/military/shared_military_base_shed_imperial_style_officer_s01.iff', '0', '0.707107', '0', '-0.707107', '-2977', '30.5743', '2893', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1331951', '1331950', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1331952', '1331950', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1331953', '1331950', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1331954', '1331950', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1331955', '1331950', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1331956', '1331950', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1331957', '0', 'object/static/structure/military/shared_military_wall_med_imperial_32_style_01.iff', '0', '0.707106', '0', '0.707107', '-2967.03', '31', '2908.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '1331958', '0', 'object/static/structure/military/shared_military_wall_med_imperial_style_01.iff', '0', '0.707106', '0', '0.707107', '-2967.03', '31', '2928.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '1331960', '0', 'object/static/structure/military/shared_military_wall_med_imperial_32_style_01.iff', '0', '0', '0', '1', '-2983.03', '31', '2932.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '1331961', '0', 'object/static/structure/military/shared_military_wall_med_imperial_style_01.iff', '0', '0.707107', '0', '0.707107', '-2967.03', '30.9042', '2888.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '1331962', '0', 'object/static/structure/military/shared_military_wall_med_imperial_32_style_01.iff', '0', '0', '0', '1', '-2983.03', '31', '2884.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '1331964', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.707106', '0', '0.707107', '-2999.03', '31', '2924.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1331965', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.707107', '0', '0.707107', '-2999.03', '31', '2892.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1331967', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0', '0', '1', '-2999.03', '31', '2932.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1331968', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0', '0', '1', '-2967.03', '31', '2932.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1331969', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0', '0', '1', '-2967.03', '31', '2924.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1331970', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0', '0', '1', '-2967.03', '30.9595', '2892.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1331971', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0', '0', '1', '-2967.03', '30.9008', '2884.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1331972', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0', '0', '1', '-2999.03', '31', '2884.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1331974', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0', '0', '1', '-2999.03', '31', '2916.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1331975', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0', '0', '1', '-2999.03', '31', '2900.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1331982', '0', 'object/static/structure/corellia/shared_corl_power_arial_prime.iff', '0', '0', '0', '1', '-2968.98', '30.9931', '2913.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1331983', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s02.iff', '0', '0', '0', '1', '-2995.99', '31', '2928.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1331984', '0', 'object/static/structure/corellia/shared_corl_power_connector.iff', '0', '0', '0', '1', '-2992.49', '34.0077', '2928.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1331985', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s02.iff', '0', '0', '0', '1', '-2988.51', '31.0291', '2928.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1331988', '0', 'object/static/structure/corellia/shared_corl_tent_small.iff', '0', '-0.707106', '0', '0.707107', '-2987.42', '30.5511', '2887.48', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '1331989', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0', '0', '1', '-2987.39', '30.4928', '2887.63', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '1331990', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '-2986.96', '30.584', '2887.24', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '1331991', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '-2987.81', '30.5959', '2887.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '1331992', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.707107', '0', '0.707107', '-2986.97', '30.5976', '2888.09', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '1331993', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '-0.266731', '0', '0.963771', '-2987.98', '30.6297', '2888.23', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '1331994', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.0249974', '0', '0.999687', '-2987.38', '31.4579', '2887.31', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '1439854', '0', 'object/static/structure/corellia/shared_corl_tent_med.iff', '0', '0', '0', '1', '-164.256', '28', '-4753.77', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '1439857', '0', 'object/static/creature/shared_corellia_murra.iff', '0', '0.824886', '0', '0.5653', '-170.562', '28', '-4714.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '1439858', '0', 'object/static/structure/corellia/shared_corl_tent_small.iff', '0', '0', '0', '1', '-169.427', '28', '-4691.94', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '1439943', '0', 'object/tangible/terminal/shared_terminal_mission_bounty.iff', '0', '0', '0', '1', '-342.529', '28', '-4447.14', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1439947', '0', 'object/static/structure/general/shared_droid_r3_powerdown.iff', '0', '0.707107', '0', '-0.707107', '-340.275', '28', '-4443.55', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '1439948', '0', 'object/static/structure/general/shared_droid_r4_powerdown.iff', '0', '-0.707106', '0', '0.707107', '-340.195', '28', '-4446.09', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '1439949', '0', 'object/static/structure/general/shared_droid_probedroid_powerdown.iff', '0', '0', '0', '1', '-338.767', '28', '-4445.02', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '1439950', '0', 'object/static/structure/corellia/shared_corl_tent_small.iff', '0', '0.0199987', '0', '0.9998', '-368.197', '28.1301', '-4532.43', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '1439951', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '1', '0', '-3.20013e-08', '-363.968', '28', '-4533.26', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1610866', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff', '0.959661', '8.56226e-09', '0.281158', '-3.24463e-08', '-3709.54', '19.39', '3159.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '1610867', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff', '0.99875', '-1.8649e-09', '-0.049979', '-4.25639e-08', '-3434.99', '11.5713', '3258.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '1610872', '0', 'object/static/installation/shared_mockup_power_generator_fusion_style_1.iff', '0', '0.382683', '0', '0.92388', '632.394', '27.3806', '-426.374', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '1610875', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.505877', '0', '0.862606', '-3696.4', '86', '3091.41', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1610876', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.505877', '0', '0.862606', '-3698.14', '86', '3088.3', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1610877', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.137264', '0', '0.990534', '-3701.73', '86', '3086.01', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1610878', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.324043', '0', '0.946042', '-3705.14', '86', '3086.74', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1610879', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.797474', '0', '-0.603353', '-3696.36', '86', '3095.61', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1610880', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.984726', '0', '-0.174108', '-3698.79', '86', '3098.08', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1610898', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_02.iff', '0', '0', '0', '1', '-5136', '21', '-2638', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '1610902', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_02.iff', '0', '0', '0', '1', '-5120', '21', '-2622', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '1738364', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '-5291.09', '17.9011', '-6307.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '1738365', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.333487', '0', '0.942755', '-5327.58', '22.7468', '-6275.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '1738366', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.461779', '0', '0.886995', '-5329.98', '24', '-6243.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855362', '0', 'object/building/corellia/shared_skyscraper_corellia_style_01.iff', '0', '0', '0', '1', '-210', '28', '-4260', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855366', '0', 'object/building/corellia/shared_skyscraper_corellia_style_03.iff', '0', '-0.382681', '0', '0.923881', '-330', '28', '-4360', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855370', '0', 'object/building/corellia/shared_skyscraper_corellia_style_03.iff', '0', '0.382684', '0', '0.923879', '-90', '28', '-4360', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855378', '0', 'object/building/corellia/shared_skyscraper_corellia_style_04.iff', '0', '0', '0', '1', '-270', '28', '-4320', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855386', '0', 'object/building/corellia/shared_skyscraper_corellia_style_04.iff', '0', '1', '0', '3.20013e-08', '-150', '28', '-4320', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855406', '0', 'object/building/corellia/shared_filler_building_corellia_style_01.iff', '0', '0', '0', '1', '-127.313', '28', '-4642.71', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855413', '0', 'object/building/corellia/shared_filler_building_corellia_style_02.iff', '0', '-0.707105', '0', '0.707109', '-420.671', '28', '-4545.89', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855420', '0', 'object/building/corellia/shared_filler_building_corellia_style_03.iff', '0', '0.707105', '0', '0.707109', '-270', '28', '-4440', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855427', '0', 'object/building/corellia/shared_filler_building_corellia_style_04.iff', '0', '0.707107', '0', '0.707106', '-271', '28', '-4495', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855431', '0', 'object/building/corellia/shared_filler_building_corellia_style_05.iff', '0', '0.707107', '0', '-0.707106', '-160', '27.6908', '-4440', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855438', '0', 'object/building/corellia/shared_filler_building_corellia_style_06.iff', '0', '-0.707104', '0', '0.70711', '-210', '28', '-4650', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855449', '0', 'object/building/corellia/shared_filler_building_corellia_style_07.iff', '0', '0', '0', '1', '-142.912', '28', '-4499.75', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855459', '0', 'object/building/corellia/shared_bank_corellia.iff', '0', '0.0023009', '0', '0.999997', '-55.5868', '28', '-4599.33', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855460', '0', 'object/building/corellia/shared_capitol_corellia.iff', '0', '0', '0', '1', '-210', '28', '-4570', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855461', '1855460', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855462', '1855460', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855463', '1855460', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8105519', '1855463', 'object/soundobject/shared_soundobject_city_crowd_sentients_large.iff', '0', '0', '0', '1', '-14.299', '1.30391', '-3.39117', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '8105521', '1855463', 'object/soundobject/shared_soundobject_city_crowd_sentients_large.iff', '0', '0', '0', '1', '9.3331', '0.3', '-2.07637', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '8105525', '1855463', 'object/soundobject/shared_soundobject_city_crowd_sentients_large.iff', '0', '0', '0', '1', '0.390674', '2.27819', '-26.2056', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855464', '1855460', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8105539', '1855464', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '1.06584', '7.90008', '-37.3745', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855465', '1855460', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855466', '1855460', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855467', '1855460', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8105528', '1855467', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-34.0169', '1.29422', '-2.9275', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855468', '1855460', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8105529', '1855468', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-20.9992', '3.22324', '21.7265', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855469', '1855460', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '6966674', '1855469', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '18.7697', '3.22324', '23.9345', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855470', '1855460', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855471', '1855460', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8105536', '1855471', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '21.184', '3.22324', '-30.9825', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855473', '0', 'object/building/corellia/shared_association_hall_civilian_corellia.iff', '0', '0', '0', '1', '-275.584', '28', '-4719.76', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855474', '1855473', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855475', '1855473', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855476', '1855473', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855477', '1855473', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855478', '1855473', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855479', '1855473', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855480', '1855473', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855481', '1855473', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855482', '1855473', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855483', '1855473', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1509608', '1855483', 'object/static/structure/general/shared_data_terminal_wall_s3.iff', '0', '0', '0', '1', '0.130811', '1.75', '-15.2925', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '1509609', '1855483', 'object/static/structure/corellia/shared_corl_banner_govt_angled_s01.iff', '0', '0', '0', '1', '4.2373', '6.25676', '-12.7775', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '1509610', '1855483', 'object/static/structure/corellia/shared_corl_banner_govt_angled_s01.iff', '0', '0', '0', '1', '-4.23973', '6.19812', '-12.748', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375689', '1855483', 'object/static/item/shared_item_tech_console_sectional_a.iff', '0', '0.713864', '0', '-0.700285', '12.7899', '1.71719', '-6.96532', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375690', '1855483', 'object/static/item/shared_item_tech_console_sectional_a.iff', '0', '0.707385', '0', '0.706829', '-12.8491', '1.75', '-7.12036', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375691', '1855483', 'object/static/item/shared_item_tech_console_sectional_c.iff', '0', '0.706826', '0', '0.707388', '-2.57228', '1.69283', '-15.8737', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375692', '1855483', 'object/static/item/shared_item_scrolling_screen.iff', '0', '-0.70328', '0', '0.710913', '-0.354479', '4.96224', '-15.9327', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375693', '1855483', 'object/static/item/shared_wp_rifle_bowcaster_combined.iff', '0.0572856', '0.285109', '-0.0345739', '0.956157', '-1.01408', '2.57219', '-14.9954', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855484', '1855473', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375694', '1855484', 'object/static/item/shared_item_scrolling_screen.iff', '0', '-0.703281', '0', '0.710912', '1.87756', '4.21657', '-22.5272', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8105489', '1855484', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '1.21857', '1.75', '-19.2164', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855485', '1855473', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855486', '1855473', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855487', '1855473', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855488', '1855473', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855489', '1855473', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855490', '1855473', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855491', '0', 'object/building/corellia/shared_cloning_corellia.iff', '0', '0.707104', '0', '0.707109', '-500', '28', '-4500', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855492', '1855491', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855493', '1855491', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855494', '1855491', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855495', '1855491', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855496', '1855491', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855497', '1855491', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855498', '0', 'object/building/corellia/shared_garage_corellia.iff', '0', '1', '0', '8.32009e-07', '-263.198', '28', '-4790.78', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855499', '0', 'object/building/corellia/shared_guild_combat_corellia_style_01.iff', '0', '0.707108', '0', '0.707106', '-260', '28', '-4390', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855500', '1855499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855501', '1855499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855502', '1855499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855503', '1855499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855504', '1855499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855505', '1855499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855506', '1855499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855507', '1855499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855508', '1855499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855509', '0', 'object/building/corellia/shared_guild_commerce_corellia_style_01.iff', '0', '0.707108', '0', '-0.707106', '-160', '28', '-4390', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855510', '1855509', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855511', '1855509', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855512', '1855509', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855513', '1855509', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855514', '1855509', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855515', '1855509', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855516', '1855509', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855517', '1855509', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855518', '1855509', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855519', '0', 'object/building/corellia/shared_guild_university_corellia_style_01.iff', '0', '0.707107', '0', '-0.707106', '40', '28', '-4440', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855520', '1855519', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855521', '1855519', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855522', '1855519', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855523', '1855519', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855524', '1855519', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855525', '1855519', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855526', '1855519', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855527', '1855519', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855528', '1855519', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855529', '0', 'object/building/corellia/shared_hospital_corellia.iff', '0', '1', '0', '-1.67495e-06', '-90', '28', '-4440', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855530', '1855529', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855531', '1855529', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8105562', '1855531', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '17.7842', '0.26', '-0.068944', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855532', '1855529', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855533', '1855529', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855534', '1855529', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855535', '1855529', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8105570', '1855535', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '-20.0544', '0.26', '-0.32379', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855536', '1855529', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855537', '1855529', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8105578', '1855537', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '2.21955', '7.26', '-3.8598', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855538', '1855529', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855539', '1855529', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8105582', '1855539', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '23.2932', '7.25', '0.655951', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855540', '1855529', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855541', '1855529', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8105587', '1855541', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '12.0322', '14.26', '-2.41977', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855542', '1855529', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855543', '1855529', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855544', '0', 'object/building/corellia/shared_hotel_corellia.iff', '0', '-0.707104', '0', '0.70711', '-462', '28', '-4673', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855545', '1855544', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855546', '1855544', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855547', '1855544', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855548', '1855544', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1094962', '1855548', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.00269807', '0', '0.999996', '4.31708', '1.35331', '-22.1491', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1094963', '1855548', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.00269807', '0', '0.999996', '0.244048', '1.35241', '-22.0659', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1094964', '1855548', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '0.00269807', '0', '0.999996', '-1.17713', '1.16261', '-16.1908', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1094965', '1855548', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '0.00269807', '0', '0.999996', '9.46705', '1.16357', '-16.3075', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1094966', '1855548', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.00269807', '0', '0.999996', '8.35773', '1.35331', '-22.2934', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8105594', '1855548', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-0.628806', '0.999999', '-1.25789', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855549', '1855544', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8105605', '1855549', 'object/soundobject/shared_soundobject_cantina_medium.iff', '0', '0', '0', '1', '20.1251', '1.28309', '-1.12398', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855550', '1855544', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1094956', '1855550', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '-0.00730186', '0', '0.999973', '-15.8748', '1.00094', '-0.120533', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1094957', '1855550', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '-0.00730186', '0', '0.999973', '-15.9252', '1.00096', '4.24879', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1094958', '1855550', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.712253', '0', '-0.701924', '-12.2883', '1.00078', '-0.0921646', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1094959', '1855550', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.701924', '0', '0.712252', '-12.0854', '1.00062', '-0.109944', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1094960', '1855550', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.710912', '0', '0.703281', '-12.0116', '1.00088', '4.19735', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1094961', '1855550', 'object/tangible/gambling/slot/shared_standard.iff', '0', '-0.703285', '0', '0.710908', '-12.2135', '1.00073', '4.22046', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8105595', '1855550', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-18.2119', '1.31536', '6.72204', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855551', '1855544', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855552', '1855544', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8105600', '1855552', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-5.99844', '1.6', '-13.465', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855553', '1855544', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855554', '1855544', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855555', '0', 'object/building/corellia/shared_shuttleport_corellia.iff', '0', '-0.707104', '0', '0.70711', '-25.6716', '28', '-4389.78', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855572', '0', 'object/building/corellia/shared_shuttleport_corellia.iff', '0', '0.707107', '0', '-0.707106', '-329.766', '28', '-4621.23', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855573', '0', 'object/building/corellia/shared_filler_block_corellia_64x32_s01.iff', '0', '0.923878', '0', '0.382687', '-376.921', '28', '-4405.12', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855580', '0', 'object/building/corellia/shared_filler_building_corellia_style_05.iff', '0', '0.92388', '0', '0.382683', '28.3125', '28', '-4648.85', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855587', '0', 'object/building/corellia/shared_filler_building_corellia_style_03.iff', '0', '-0.707105', '0', '0.707108', '-9.95033', '28', '-4488.36', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855594', '0', 'object/building/corellia/shared_filler_building_corellia_style_07.iff', '0', '0.707107', '0', '0.707107', '-400', '28', '-4740', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855604', '0', 'object/building/corellia/shared_filler_building_corellia_style_01.iff', '0', '0', '0', '1', '-286', '28', '-4640', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855611', '0', 'object/building/corellia/shared_filler_block_corellia_64x32_s01.iff', '0', '0.707108', '0', '0.707106', '-120.861', '28', '-4576.93', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855618', '0', 'object/building/corellia/shared_filler_block_corellia_64x32_s02.iff', '0', '0', '0', '1', '-330', '28', '-4740', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855624', '0', 'object/building/corellia/shared_filler_building_corellia_style_05.iff', '0', '-0.707105', '0', '0.707109', '-320.332', '28', '-4419.68', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855631', '0', 'object/building/corellia/shared_filler_block_corellia_64x32_s01.iff', '0', '0', '0', '1', '-380', '28', '-4620', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855652', '0', 'object/building/corellia/shared_filler_block_corellia_64x32_s02.iff', '0', '0.382684', '0', '0.923879', '9.2918', '28', '-4550.79', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855671', '0', 'object/building/corellia/shared_starport_corellia.iff', '0', '-0.654183', '0', '0.756336', '-51.2918', '28', '-4734.8', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855672', '1855671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855673', '1855671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855674', '1855671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855675', '1855671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2655353', '1855675', 'object/soundobject/shared_soundobject_starport_announcer.iff', '0', '0', '0', '1', '-1.29334', '0.639421', '51.6579', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3095701', '1855675', 'object/tangible/terminal/shared_terminal_space.iff', '0', '1', '0', '3.20013e-08', '-0.173982', '0.639421', '57.3552', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3095702', '1855675', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0', '0', '1', '-0.306201', '0.639422', '62.2415', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3095703', '1855675', 'object/tangible/terminal/shared_terminal_space.iff', '0', '1', '0', '-3.20013e-08', '-10.3892', '0.639423', '57.4145', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3095704', '1855675', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0', '0', '1', '-10.5966', '0.639424', '62.3669', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3095705', '1855675', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0.999976', '0', '-0.00689757', '10.0577', '0.639422', '57.249', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3095706', '1855675', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0.00689846', '0', '0.999976', '9.91856', '0.639422', '62.2038', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4335596', '1855675', 'object/tangible/terminal/shared_terminal_newsnet.iff', '0', '0', '0', '1', '6.90764', '0.639421', '49.498', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4335597', '1855675', 'object/tangible/terminal/shared_terminal_newsnet.iff', '0', '0', '0', '1', '-8.32585', '0.639421', '49.7909', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8105614', '1855675', 'object/soundobject/shared_soundobject_starport_interior.iff', '0', '0', '0', '1', '-0.969659', '0.639422', '58.8414', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855676', '1855671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8105646', '1855676', 'object/soundobject/shared_soundobject_starport_interior.iff', '0', '0', '0', '1', '24.3501', '0.639414', '61.9347', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855677', '1855671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8105645', '1855677', 'object/soundobject/shared_soundobject_starport_interior.iff', '0', '0', '0', '1', '34.1538', '0.639673', '57.2078', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855678', '1855671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8105641', '1855678', 'object/soundobject/shared_soundobject_starport_interior.iff', '0', '0', '0', '1', '44.8743', '0.639417', '41.2624', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855679', '1855671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855680', '1855671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8105621', '1855680', 'object/soundobject/shared_soundobject_starport_interior.iff', '0', '0', '0', '1', '-30.0695', '1.63942', '59.313', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855681', '1855671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1509602', '1855681', 'object/tangible/terminal/shared_terminal_space.iff', '0', '-0.0702515', '0', '0.997529', '-40.4311', '1.63942', '46.4818', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1509603', '1855681', 'object/tangible/terminal/shared_terminal_space.iff', '0', '-0.657353', '0', '0.753583', '-37.9437', '1.63942', '49.2991', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1509604', '1855681', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0.761611', '0', '0.648034', '-44.1634', '1.63942', '50.1721', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1509605', '1855681', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0.998318', '0', '0.057976', '-41.6075', '1.63942', '52.927', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8105622', '1855681', 'object/soundobject/shared_soundobject_starport_interior.iff', '0', '0', '0', '1', '-40.8197', '1.63942', '49.4411', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855682', '1855671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855683', '1855671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8105623', '1855683', 'object/soundobject/shared_soundobject_starport_interior.iff', '0', '0', '0', '1', '-53.7387', '2.63942', '35.1858', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855684', '1855671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855685', '1855671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8105626', '1855685', 'object/soundobject/shared_soundobject_starport_interior.iff', '0', '0', '0', '1', '-55.3082', '1.50817', '15.2593', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855686', '1855671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8105627', '1855686', 'object/soundobject/shared_soundobject_starport_interior.iff', '0', '0', '0', '1', '-46.8965', '0.974567', '9.43373', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '5625466', '1855671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855687', '0', 'object/building/corellia/shared_filler_block_corellia_64x32_s01.iff', '0', '0', '0', '1', '-80', '28', '-4500', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855694', '0', 'object/static/structure/corellia/shared_corl_fountain_statue_heroic_s01.iff', '0', '0.707107', '0', '0.707106', '-210', '28', '-4470', '96', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855695', '0', 'object/static/structure/corellia/shared_corl_fountain_statue_contemplate_s01.iff', '0', '0.707107', '0', '-0.707106', '-210', '28', '-4430', '96', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855696', '0', 'object/static/structure/corellia/shared_corl_fountain_circle_s01.iff', '0', '1', '0', '-3.20013e-08', '-210', '28', '-4450', '96', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855697', '0', 'object/static/structure/corellia/shared_corl_fountain_brazier_round_s01.iff', '0', '0', '0', '1', '-194.756', '28', '-4504.65', '96', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855698', '0', 'object/static/structure/corellia/shared_corl_fountain_brazier_round_s01.iff', '0', '0', '0', '1', '-225.275', '28', '-4504.65', '96', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855699', '0', 'object/static/structure/corellia/shared_corl_fountain_rectangle_s01.iff', '0', '1', '0', '-3.20013e-08', '-210', '28', '-4390', '96', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855700', '0', 'object/building/corellia/shared_filler_block_corellia_64x32_s02.iff', '0', '0.707111', '0', '0.707102', '-280', '28', '-4570', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855706', '0', 'object/building/corellia/shared_filler_building_corellia_style_02.iff', '0', '0', '0', '1', '72.0175', '28', '-4588.85', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855713', '0', 'object/building/corellia/shared_filler_building_corellia_style_01.iff', '0', '-0.707105', '0', '0.707109', '-330', '28', '-4570', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855720', '0', 'object/building/general/shared_bunker_imperial_02.iff', '0', '0.887179', '0', '-0.461426', '5238.46', '5', '1600.2', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855721', '1855720', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855722', '1855720', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005759', '1855722', 'object/static/item/shared_item_mun_ballot_box.iff', '-3.20013e-08', '3.20013e-08', '1', '-1.60578e-15', '0.0109341', '4.45583', '1.72429', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005760', '1855722', 'object/static/item/shared_item_mun_ballot_box.iff', '-3.20013e-08', '-3.20013e-08', '1', '-1.60578e-15', '-3.53436', '4.04474', '-5.27797', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005762', '1855722', 'object/static/item/shared_item_medical_console.iff', '-0.270598', '0.653281', '-0.270598', '-0.653281', '-2.24624', '1.51491', '-0.605924', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855723', '1855720', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005763', '1855723', 'object/static/item/shared_item_rifle_t21.iff', '0.703212', '-0.0741099', '0.0741098', '-0.703213', '5.4672', '0.59785', '-3.26469', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005764', '1855723', 'object/static/item/shared_item_rifle_t21.iff', '0.703212', '-0.0741099', '0.0741098', '-0.703213', '5.45886', '0.59785', '-3.55338', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005765', '1855723', 'object/static/item/shared_item_rifle_t21.iff', '0.703212', '-0.0741099', '0.0741098', '-0.703213', '5.4856', '0.59785', '-3.88834', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005766', '1855723', 'object/static/item/shared_item_rifle_t21.iff', '0.703212', '-0.0741099', '0.0741098', '-0.703213', '5.49261', '0.59785', '-4.75621', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005767', '1855723', 'object/static/item/shared_item_rifle_t21.iff', '0.703212', '-0.0741099', '0.0741098', '-0.703213', '5.48011', '0.59785', '-5.01115', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005768', '1855723', 'object/static/item/shared_item_storage_cabinet_01.iff', '0', '0', '0', '1', '4.44489', '0.25', '-5.69886', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005769', '1855723', 'object/static/item/shared_wp_carbine_e11_combined.iff', '0.359666', '0.597084', '-0.422373', '-0.579424', '4.55391', '0.692719', '-5.60521', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005770', '1855723', 'object/static/item/shared_wp_carbine_ee3_combined.iff', '0.377221', '0.598084', '-0.377221', '-0.598084', '4.48187', '1.00895', '-5.53303', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005771', '1855723', 'object/static/item/shared_wp_carbine_ee3_combined.iff', '-0.409529', '0.576443', '-0.409529', '0.576443', '4.40751', '1.10381', '-5.71754', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005772', '1855723', 'object/static/item/shared_wp_pistol_dl44_combined.iff', '0.391728', '-0.41839', '0.584412', '-0.574424', '4.43078', '0.376491', '-5.74995', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005773', '1855723', 'object/static/item/shared_wp_pistol_dl44_combined.iff', '0.391728', '-0.41839', '0.584412', '-0.574424', '4.20714', '0.376491', '-5.55921', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855724', '1855720', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855725', '1855720', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855726', '1855720', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855727', '1855720', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005777', '1855727', 'object/static/item/shared_item_rifle_t21.iff', '-0.0856919', '0.690969', '0.709332', '-0.109846', '-11.1353', '-13.3784', '6.27282', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005778', '1855727', 'object/static/item/shared_item_rifle_t21.iff', '-0.0856919', '0.690969', '0.709332', '-0.109846', '-11.1161', '-13.3838', '6.56099', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005779', '1855727', 'object/static/item/shared_item_rifle_t21.iff', '-0.0856919', '0.690969', '0.709332', '-0.109846', '-11.1304', '-13.3927', '6.89655', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005780', '1855727', 'object/static/item/shared_item_rifle_t21.iff', '-0.0856919', '0.690969', '0.709332', '-0.109846', '-11.1049', '-13.4114', '7.76386', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005781', '1855727', 'object/static/item/shared_item_rifle_t21.iff', '-0.0856919', '0.690969', '0.709332', '-0.109846', '-11.0828', '-13.4159', '8.01805', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005782', '1855727', 'object/static/item/shared_item_storage_cabinet_01.iff', '0', '0.887179', '0', '-0.461426', '8.00636', '-13.75', '8.59138', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005783', '1855727', 'object/static/item/shared_wp_carbine_e11_combined.iff', '0.54068', '0.789562', '0.124194', '0.262359', '7.8672', '-13.3073', '8.62691', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005784', '1855727', 'object/static/item/shared_wp_carbine_ee3_combined.iff', '0.508722', '0.806579', '0.160603', '0.254636', '7.81097', '-12.9911', '8.50326', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005785', '1855727', 'object/static/item/shared_wp_carbine_ee3_combined.iff', '0.174358', '-0.245421', '-0.552291', '0.777395', '8.04298', '-12.8962', '8.57161', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005786', '1855727', 'object/static/item/shared_wp_pistol_dl44_combined.iff', '-0.337724', '0.316561', '0.617195', '-0.63624', '8.05616', '-13.6235', '8.60921', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005787', '1855727', 'object/static/item/shared_wp_pistol_dl44_combined.iff', '-0.337724', '0.316561', '0.617195', '-0.63624', '8.02833', '-13.6235', '8.3166', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005788', '1855727', 'object/tangible/furniture/all/shared_frn_all_professor_desk.iff', '0', '0', '0', '1', '-1.43309', '-13.75', '4.70519', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005789', '1855727', 'object/tangible/furniture/all/shared_frn_all_professor_desk.iff', '0', '1', '0', '-3.20013e-08', '2.52552', '-13.75', '9.8011', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005790', '1855727', 'object/tangible/furniture/all/shared_frn_all_professor_desk.iff', '0', '1', '0', '-3.20013e-08', '-5.6122', '-13.75', '9.61366', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005791', '1855727', 'object/tangible/furniture/technical/shared_chair_s01.iff', '0', '-0.309817', '0', '0.950796', '-4.74175', '-13.75', '8.23761', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005792', '1855727', 'object/tangible/furniture/technical/shared_chair_s01.iff', '0', '0.130028', '0', '0.99151', '2.35553', '-13.75', '8.25571', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005793', '1855727', 'object/tangible/furniture/technical/shared_chair_s01.iff', '0', '0.986484', '0', '-0.163859', '-1.3701', '-13.75', '6.03447', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005794', '1855727', 'object/tangible/furniture/technical/shared_armoire_s01.iff', '0', '1', '0', '3.20013e-08', '-3.09207', '-13.75', '10.2157', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005795', '1855727', 'object/tangible/furniture/technical/shared_armoire_s01.iff', '0', '1', '0', '3.20013e-08', '0.593907', '-13.75', '10.1616', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005796', '1855727', 'object/tangible/furniture/technical/shared_chair_s01.iff', '0', '-0.471328', '0', '0.881958', '6.49566', '-13.75', '4.59122', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005797', '1855727', 'object/tangible/furniture/technical/shared_chair_s01.iff', '0', '0.452531', '0', '0.891749', '-9.42405', '-13.75', '4.62176', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855728', '1855720', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855729', '1855720', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005799', '1855729', 'object/static/item/shared_item_mun_ballot_box.iff', '0.0138048', '0', '0.999905', '0', '1.59519', '-15.9582', '1.37888', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005802', '1855729', 'object/static/structure/general/shared_data_terminal_s4.iff', '0', '0', '0', '1', '4.80509', '-20.7332', '1.71625', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005803', '1855729', 'object/tangible/furniture/all/shared_frn_all_professor_desk.iff', '0', '-0.707106', '0', '0.707107', '6.19514', '-20.7332', '5.38635', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005804', '1855729', 'object/tangible/furniture/all/shared_frn_all_professor_desk.iff', '0', '0.707106', '0', '0.707107', '-3.18746', '-20.7332', '5.18319', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005805', '1855729', 'object/tangible/furniture/technical/shared_chair_s01.iff', '0', '0.149438', '0', '0.988771', '4.8217', '-20.7332', '5.15794', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005806', '1855729', 'object/tangible/furniture/technical/shared_chair_s01.iff', '0', '0.846832', '0', '-0.531861', '-1.52522', '-20.7332', '5.5774', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005807', '1855729', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '5.01419', '-20.7332', '11.7554', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005808', '1855729', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.987291', '0', '-0.158925', '3.8246', '-20.0375', '11.3608', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005809', '1855729', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.629723', '0', '0.77682', '4.71141', '-20.7332', '10.6352', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005810', '1855729', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.660284', '0', '0.751016', '3.81992', '-20.7332', '11.9538', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005811', '1855729', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.887179', '0', '-0.461426', '3.65031', '-20.7332', '10.8167', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005812', '1855729', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.629723', '0', '0.77682', '4.80348', '-20.0375', '11.1447', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005813', '1855729', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.0337988', '0', '0.999429', '4.97414', '-20.7332', '9.61625', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005814', '1855729', 'object/static/item/shared_item_mun_ballot_box.iff', '0.999995', '0', '-0.00340645', '0', '1.51462', '-16.401', '12.628', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4305432', '1855729', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_neutral_destroy_02.iff', '0', '0.707106', '0', '0.707107', '-1.76016', '-20.7332', '9.8322', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4305433', '1855729', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_rebel_destroy_02.iff', '0', '0.836244', '0', '-0.548357', '-1.35899', '-20.7332', '11.8033', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855730', '1855720', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005815', '1855730', 'object/tangible/furniture/all/shared_frn_all_desk_radar_topology_screen.iff', '0', '-0.707106', '0', '0.707107', '1.24156', '-20.75', '30.5939', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005816', '1855730', 'object/tangible/furniture/all/shared_frn_all_desk_radar_topology_screen.iff', '0', '0.707106', '0', '0.707108', '1.85658', '-20.75', '30.5986', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005817', '1855730', 'object/static/structure/general/shared_data_terminal_s1.iff', '0', '1', '0', '-3.20013e-08', '1.52095', '-20.75', '28.3386', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005818', '1855730', 'object/tangible/furniture/all/shared_frn_all_professor_desk.iff', '0', '0.707106', '0', '0.707107', '-4.04493', '-20.75', '34.6269', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005819', '1855730', 'object/tangible/furniture/all/shared_frn_all_professor_desk.iff', '0', '-0.707106', '0', '0.707107', '7.01755', '-20.75', '34.8218', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005820', '1855730', 'object/tangible/furniture/technical/shared_chair_s01.iff', '0', '-0.706825', '0', '0.707389', '-2.48448', '-20.75', '34.9504', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005821', '1855730', 'object/tangible/furniture/technical/shared_chair_s01.iff', '0', '0.937369', '0', '0.348337', '5.7396', '-20.75', '35.2959', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005825', '1855730', 'object/tangible/furniture/all/shared_frn_all_professor_desk.iff', '0', '0.710354', '0', '-0.703845', '7.05601', '-20.75', '29.4118', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005826', '1855730', 'object/tangible/furniture/technical/shared_chair_s01.iff', '0', '0.32442', '0', '0.945913', '5.82079', '-20.75', '28.6434', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005827', '1855730', 'object/tangible/furniture/all/shared_frn_all_professor_desk.iff', '0', '-0.706547', '0', '0.707667', '7.01043', '-20.75', '24.2902', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005828', '1855730', 'object/tangible/furniture/technical/shared_chair_s01.iff', '0', '0.593818', '0', '0.8046', '5.43815', '-20.75', '23.6229', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005829', '1855730', 'object/tangible/furniture/all/shared_frn_all_professor_desk.iff', '0', '0.711194', '0', '-0.702996', '7.04307', '-20.75', '19.275', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005830', '1855730', 'object/tangible/furniture/technical/shared_chair_s01.iff', '0', '0.859455', '0', '0.511211', '5.76378', '-20.75', '19.7393', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005831', '1855730', 'object/tangible/furniture/all/shared_frn_all_professor_desk.iff', '0', '0.700003', '0', '0.714141', '-4.03319', '-20.75', '29.2133', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005832', '1855730', 'object/tangible/furniture/technical/shared_chair_s01.iff', '0', '-0.357693', '0', '0.933839', '-2.74601', '-20.75', '28.7651', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005833', '1855730', 'object/static/structure/general/shared_data_terminal_s1.iff', '0', '0', '0', '1', '1.56717', '-20.75', '32.7921', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005834', '1855730', 'object/tangible/furniture/technical/shared_coffee_table_s01.iff', '0', '0', '0', '1', '-1.8036', '-20.7445', '13.4069', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005835', '1855730', 'object/tangible/furniture/technical/shared_coffee_table_s01.iff', '0', '0', '0', '1', '-3.32769', '-20.7446', '13.4273', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005836', '1855730', 'object/tangible/furniture/technical/shared_coffee_table_s01.iff', '0', '0.99999', '0', '-0.00460153', '4.97983', '-20.7493', '13.3999', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005837', '1855730', 'object/tangible/furniture/technical/shared_coffee_table_s01.iff', '0', '0.99999', '0', '-0.00460153', '6.50362', '-20.7493', '13.3655', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005838', '1855730', 'object/static/item/shared_item_decryptor_imperial.iff', '0', '0.908634', '0', '-0.417595', '-1.5045', '-20.3366', '13.2834', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005839', '1855730', 'object/static/item/shared_item_decryptor_imperial.iff', '0', '0.789748', '0', '0.613432', '-2.02626', '-20.3372', '13.3698', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005840', '1855730', 'object/static/item/shared_item_data_disk.iff', '0', '0', '0', '1', '-1.59669', '-20.3383', '13.5677', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005841', '1855730', 'object/static/item/shared_item_data_disk.iff', '0', '0.887179', '0', '-0.461426', '-1.77705', '-20.3388', '13.6716', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005842', '1855730', 'object/static/item/shared_item_data_disk.iff', '0', '0.887179', '0', '-0.461426', '-1.89937', '-20.3385', '13.6066', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005843', '1855730', 'object/static/item/shared_item_data_disk.iff', '0', '0.887179', '0', '-0.461426', '-1.98612', '-20.3389', '13.7278', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005844', '1855730', 'object/static/item/shared_item_data_disk.iff', '0', '0.887179', '0', '-0.461426', '-1.73137', '-20.3381', '13.5373', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005845', '1855730', 'object/static/item/shared_item_data_disk.iff', '0', '0.887179', '0', '-0.461426', '-1.7334', '-20.3371', '13.3692', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005846', '1855730', 'object/static/item/shared_item_decryptor_imperial.iff', '0', '0.997863', '0', '0.0653518', '-3.06945', '-20.3366', '13.5173', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005847', '1855730', 'object/static/item/shared_item_decryptor_imperial.iff', '0', '0.402461', '0', '0.915437', '-3.42699', '-20.3372', '13.1275', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005848', '1855730', 'object/static/item/shared_item_data_disk.iff', '0', '-0.476083', '0', '0.8794', '-3.32655', '-20.3383', '13.5333', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005849', '1855730', 'object/static/item/shared_item_data_disk.iff', '0', '0.999862', '0', '0.016593', '-3.54342', '-20.3388', '13.5011', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005850', '1855730', 'object/static/item/shared_item_data_disk.iff', '0', '0.999862', '0', '0.016593', '-3.55593', '-20.3385', '13.3636', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005851', '1855730', 'object/static/item/shared_item_data_disk.iff', '0', '0.999862', '0', '0.016593', '-3.70482', '-20.3389', '13.3571', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005852', '1855730', 'object/static/item/shared_item_data_disk.iff', '0', '0.999862', '0', '0.016593', '-3.40609', '-20.3381', '13.4661', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005853', '1855730', 'object/static/item/shared_item_data_disk.iff', '0', '0.999862', '0', '0.016593', '-3.26651', '-20.3371', '13.3727', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005854', '1855730', 'object/static/item/shared_item_data_disk.iff', '0', '0.888563', '0', '0.458755', '-3.71352', '-20.3383', '13.5358', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005855', '1855730', 'object/static/item/shared_item_data_disk.iff', '0', '0.003008', '0', '0.999995', '-3.40772', '-20.3388', '13.5955', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005856', '1855730', 'object/static/item/shared_item_data_disk.iff', '0', '0.003008', '0', '0.999995', '-3.39009', '-20.3385', '13.7324', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005857', '1855730', 'object/static/item/shared_item_data_disk.iff', '0', '0.003008', '0', '0.999995', '-3.24094', '-20.3389', '13.733', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005858', '1855730', 'object/static/item/shared_item_data_disk.iff', '0', '0.003008', '0', '0.999995', '-3.54351', '-20.3381', '13.6356', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005859', '1855730', 'object/static/item/shared_item_decryptor_imperial.iff', '0', '-0.310574', '0', '0.950549', '6.10365', '-20.3366', '13.0811', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005860', '1855730', 'object/static/item/shared_item_decryptor_imperial.iff', '0', '0.986614', '0', '-0.163073', '6.23022', '-20.3372', '13.5947', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005861', '1855730', 'object/static/item/shared_item_data_disk.iff', '0', '0.734006', '0', '0.679142', '6.38919', '-20.3383', '13.6403', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005862', '1855730', 'object/static/item/shared_item_data_disk.iff', '0', '-0.263832', '0', '0.964569', '6.25787', '-20.3388', '13.2023', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005863', '1855730', 'object/static/item/shared_item_data_disk.iff', '0', '-0.263832', '0', '0.964569', '6.45665', '-20.3385', '13.4496', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005864', '1855730', 'object/static/item/shared_item_data_disk.iff', '0', '-0.263832', '0', '0.964569', '6.58414', '-20.3389', '13.5268', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005865', '1855730', 'object/static/item/shared_item_data_disk.iff', '0', '-0.263832', '0', '0.964569', '6.42677', '-20.3381', '13.7378', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005866', '1855730', 'object/static/item/shared_item_data_disk.iff', '0', '-0.263832', '0', '0.964569', '6.25938', '-20.3371', '13.7525', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005867', '1855730', 'object/static/item/shared_item_data_disk.iff', '0', '-0.664625', '0', '0.747177', '6.42376', '-20.3383', '13.2536', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005868', '1855730', 'object/static/item/shared_item_data_disk.iff', '0', '0.969555', '0', '0.244875', '6.21866', '-20.3388', '13.4395', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005869', '1855730', 'object/static/item/shared_item_data_disk.iff', '0', '0.969555', '0', '0.244875', '6.26901', '-20.3385', '13.3106', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005870', '1855730', 'object/static/item/shared_item_data_disk.iff', '0', '0.969555', '0', '0.244875', '6.13845', '-20.3389', '13.2386', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005871', '1855730', 'object/static/item/shared_item_data_disk.iff', '0', '0.969555', '0', '0.244875', '6.32252', '-20.3381', '13.0846', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005872', '1855730', 'object/static/item/shared_item_decryptor_imperial.iff', '0', '0.899753', '0', '0.436399', '5.33143', '-20.3366', '13.6428', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005873', '1855730', 'object/static/item/shared_item_decryptor_imperial.iff', '0', '0.0280043', '0', '0.999608', '5.34724', '-20.3372', '13.1141', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005874', '1855730', 'object/static/item/shared_item_data_disk.iff', '0', '-0.679724', '0', '0.733467', '5.24004', '-20.3383', '13.5685', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005875', '1855730', 'object/static/item/shared_item_data_disk.iff', '0', '0.919971', '0', '0.391986', '5.31936', '-20.3388', '13.3004', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005876', '1855730', 'object/static/item/shared_item_data_disk.iff', '0', '0.919971', '0', '0.391986', '5.09016', '-20.3385', '13.1931', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005877', '1855730', 'object/static/item/shared_item_data_disk.iff', '0', '0.919971', '0', '0.391986', '5.17817', '-20.3389', '13.4877', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005878', '1855730', 'object/static/item/shared_item_data_disk.iff', '0', '0.919971', '0', '0.391986', '5.12595', '-20.3381', '13.371', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005879', '1855730', 'object/static/item/shared_item_data_disk.iff', '0', '0.919971', '0', '0.391986', '5.29109', '-20.3371', '13.4018', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005880', '1855730', 'object/static/item/shared_item_data_disk.iff', '0', '0.650322', '0', '0.759659', '5.01551', '-20.3383', '13.6099', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005881', '1855730', 'object/static/item/shared_item_data_disk.iff', '0', '-0.245647', '0', '0.969359', '5.13893', '-20.3388', '13.5837', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005882', '1855730', 'object/static/item/shared_item_data_disk.iff', '0', '-0.245647', '0', '0.969359', '5.08849', '-20.3385', '13.7124', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005883', '1855730', 'object/static/item/shared_item_data_disk.iff', '0', '-0.245647', '0', '0.969359', '5.21892', '-20.3389', '13.7846', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005884', '1855730', 'object/static/item/shared_item_data_disk.iff', '0', '-0.373879', '0', '0.927478', '5.22544', '-20.3381', '13.2813', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '6575944', '1855730', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0.99871', '0', '-0.0507745', '-0.476915', '-20.75', '35.2889', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855736', '0', 'object/building/general/shared_mun_all_hospital_s02.iff', '0', '0.953847', '0', '0.300293', '5194.72', '5', '1619.31', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855737', '1855736', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855738', '1855736', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005661', '1855738', 'object/tangible/furniture/all/shared_frn_all_desk_radar_topology_screen.iff', '0', '0.707106', '0', '0.707107', '-16.8884', '0.184067', '-7.50511', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005662', '1855738', 'object/tangible/furniture/all/shared_frn_all_desk_radar_topology_screen.iff', '0', '0', '0', '1', '-4.417', '0.184067', '-11.7182', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005663', '1855738', 'object/tangible/furniture/all/shared_frn_all_desk_radar_topology_screen.iff', '0', '-0.707106', '0', '0.707107', '16.913', '0.184067', '-7.50289', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005664', '1855738', 'object/tangible/furniture/all/shared_frn_all_desk_radar_topology_screen.iff', '0', '0', '0', '1', '4.44755', '0.184067', '-11.7342', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005665', '1855738', 'object/tangible/furniture/all/shared_frn_all_desk_radar_topology_screen.iff', '0', '-0.706544', '0', '0.707669', '16.8716', '0.184067', '7.53609', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005666', '1855738', 'object/tangible/furniture/all/shared_frn_all_desk_radar_topology_screen.iff', '0', '1', '0', '-0.000796544', '4.46903', '0.184067', '11.7026', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005667', '1855738', 'object/tangible/furniture/all/shared_frn_all_desk_radar_topology_screen.iff', '0', '0.70767', '0', '0.706544', '-16.8675', '0.184067', '7.49082', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005668', '1855738', 'object/tangible/furniture/all/shared_frn_all_desk_radar_topology_screen.iff', '0', '1', '0', '-0.000796544', '-4.4379', '0.184067', '11.6347', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005669', '1855738', 'object/tangible/furniture/all/shared_frn_all_professor_desk.iff', '0', '-0.00499887', '0', '0.999987', '-9.33296', '0.184067', '-11.1497', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005670', '1855738', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.992713', '0', '-0.120502', '-9.33706', '0.184067', '-9.30063', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005671', '1855738', 'object/tangible/furniture/all/shared_frn_all_professor_desk.iff', '0', '-0.00499887', '0', '0.999987', '9.20953', '0.184067', '-11.1902', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005672', '1855738', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.947905', '0', '0.318554', '8.14673', '0.184067', '-9.49513', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005673', '1855738', 'object/tangible/furniture/all/shared_frn_all_professor_desk.iff', '0', '-0.00499887', '0', '0.999987', '0.108286', '0.184067', '-11.2421', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005674', '1855738', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.887362', '0', '0.461073', '-0.954493', '0.184067', '-9.54391', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005675', '1855738', 'object/tangible/furniture/all/shared_frn_all_professor_desk.iff', '0', '0.707952', '0', '0.706261', '-16.4291', '0.184067', '3.43085', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005676', '1855738', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.491148', '0', '0.871076', '-14.846', '0.184067', '3.23028', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005677', '1855738', 'object/tangible/furniture/all/shared_frn_all_professor_desk.iff', '0', '0.707952', '0', '0.706261', '-16.4506', '0.184067', '-3.70616', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005678', '1855738', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.684127', '0', '0.729362', '-14.5289', '0.184067', '-3.22801', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005679', '1855738', 'object/tangible/furniture/all/shared_frn_all_professor_desk.iff', '0', '-0.706265', '0', '0.707949', '16.4856', '0.184067', '-3.47386', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005680', '1855738', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.871075', '0', '0.491149', '14.9024', '0.184067', '-3.27329', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005681', '1855738', 'object/tangible/furniture/all/shared_frn_all_professor_desk.iff', '0', '-0.706265', '0', '0.707949', '16.5072', '0.184067', '3.66307', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005682', '1855738', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.729362', '0', '0.684128', '14.5855', '0.184067', '3.18493', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005683', '1855738', 'object/tangible/furniture/all/shared_frn_all_professor_desk.iff', '0', '1', '0', '-8.5106e-07', '-9.28446', '0.184067', '11.3208', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005684', '1855738', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.313812', '0', '0.949485', '-8.23848', '0.184067', '9.6152', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005685', '1855738', 'object/tangible/furniture/all/shared_frn_all_professor_desk.iff', '0', '1', '0', '-8.5106e-07', '-0.183073', '0.184067', '11.2816', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005686', '1855738', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.456631', '0', '0.889656', '0.862585', '0.184067', '9.57309', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005687', '1855738', 'object/tangible/furniture/all/shared_frn_all_professor_desk.iff', '0', '1', '0', '-8.5106e-07', '9.25647', '0.184067', '11.0951', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005688', '1855738', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.125465', '0', '0.992098', '9.24238', '0.184067', '9.24589', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005693', '1855738', 'object/static/structure/general/shared_data_terminal_s1.iff', '0', '0.707106', '0', '0.707107', '-3.57957', '0.184067', '0.0344069', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005694', '1855738', 'object/static/structure/general/shared_data_terminal_s1.iff', '0', '1', '0', '-3.20013e-08', '-4.648', '0.184067', '-0.335279', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005695', '1855738', 'object/static/structure/general/shared_data_terminal_s1.iff', '0', '-0.707106', '0', '0.707107', '-5.51788', '0.184067', '0.233145', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005696', '1855738', 'object/static/structure/general/shared_data_terminal_s1.iff', '0', '0', '0', '1', '-4.44935', '0.184067', '0.602866', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005697', '1855738', 'object/static/structure/corellia/shared_corl_power_arial_prime.iff', '0', '0.232843', '0', '0.972514', '-4.62174', '-1.70968', '0.024477', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005698', '1855738', 'object/static/structure/general/shared_data_terminal_s1.iff', '0', '-0.703561', '0', '0.710634', '3.68481', '0.180445', '0.417705', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005699', '1855738', 'object/static/structure/general/shared_data_terminal_s1.iff', '0', '0.00500009', '0', '0.999987', '4.75694', '0.180445', '0.776584', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005700', '1855738', 'object/static/structure/general/shared_data_terminal_s1.iff', '0', '0.710633', '0', '0.703563', '5.62108', '0.180445', '0.199573', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005701', '1855738', 'object/static/structure/general/shared_data_terminal_s1.iff', '0', '0.999987', '0', '-0.00500007', '4.54888', '0.180445', '-0.159417', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005702', '1855738', 'object/static/structure/corellia/shared_corl_power_arial_prime.iff', '0', '0.971338', '0', '-0.237703', '4.72709', '-1.7133', '0.417111', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855739', '1855736', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855740', '0', 'object/building/general/shared_mun_all_hospital_s02.iff', '0', '0.462132', '0', '0.886811', '5254.95', '5', '1577.07', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855741', '1855740', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855742', '1855740', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005527', '1855742', 'object/static/structure/general/shared_droid_r2_powerdown.iff', '0', '0', '0', '1', '8.85902', '0.184067', '-11.35', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005528', '1855742', 'object/static/structure/general/shared_droid_r2_powerdown.iff', '0', '0', '0', '1', '8.08804', '0.184067', '-11.3575', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005529', '1855742', 'object/static/structure/general/shared_droid_r2_powerdown.iff', '0', '0.999983', '0', '-0.00579638', '9.56433', '0.184067', '-11.5171', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005530', '1855742', 'object/static/structure/general/shared_droid_r5_powerdown.iff', '0', '0.0948572', '0', '0.995491', '-0.271093', '0.184067', '-11.3913', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005531', '1855742', 'object/static/structure/general/shared_droid_r5_powerdown.iff', '0', '-0.0199987', '0', '0.9998', '-1.07058', '0.184067', '-11.3434', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005532', '1855742', 'object/static/structure/general/shared_droid_r5_powerdown.iff', '0', '-0.0199987', '0', '0.9998', '-1.91325', '0.184067', '-11.4584', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005533', '1855742', 'object/static/structure/general/shared_prp_engine.iff', '0', '0', '0', '1', '15.4324', '0.184067', '-2.10808', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005534', '1855742', 'object/static/structure/general/shared_prp_engine.iff', '0', '0.462132', '0', '0.886811', '14.587', '0.184067', '-1.7504', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005535', '1855742', 'object/static/structure/general/shared_prp_engine.iff', '0', '0.462132', '0', '0.886811', '13.7647', '0.184067', '-1.31746', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005536', '1855742', 'object/static/structure/general/shared_prp_engine.iff', '0', '0.462132', '0', '0.886811', '13.5158', '0.184067', '-0.582786', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005537', '1855742', 'object/static/structure/general/shared_prp_engine.iff', '0', '0.767289', '0', '-0.641302', '16.3934', '0.184067', '-2.36363', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005538', '1855742', 'object/static/structure/general/shared_prp_engine.iff', '0', '-0.384073', '0', '0.923303', '16.1913', '0.184067', '-3.2591', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005539', '1855742', 'object/static/structure/general/shared_prp_engine.iff', '0', '0.990686', '0', '-0.136168', '14.5313', '0.184067', '-3.10866', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005540', '1855742', 'object/static/structure/general/shared_prp_engine.iff', '0', '0.990686', '0', '-0.136168', '15.1899', '0.184067', '-3.51823', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005541', '1855742', 'object/static/structure/general/shared_prp_junk_s6.iff', '-0.707106', '0', '0', '0.707107', '6.02199', '1.06935', '-9.76231', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005543', '1855742', 'object/static/structure/general/shared_prp_junk_s8.iff', '0.682423', '-0.0459297', '0.185198', '-0.705614', '4.03124', '0.569139', '10.653', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005544', '1855742', 'object/static/structure/general/shared_prp_junk_s6.iff', '0.0361843', '0.70618', '0.70618', '-0.0361843', '3.52774', '1.0695', '-9.43214', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005545', '1855742', 'object/static/structure/general/shared_prp_junk_s6.iff', '0.556086', '-0.383131', '-0.43677', '0.594316', '1.36819', '0.991898', '-9.58498', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005546', '1855742', 'object/static/structure/general/shared_prp_junk_s8.iff', '0.702055', '0.0843695', '0.0843695', '-0.702056', '2.68571', '0.626786', '10.7757', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005547', '1855742', 'object/static/structure/general/shared_prp_junk_s8.iff', '0.707096', '-0.00381721', '-0.00381726', '-0.707096', '1.25407', '0.626786', '10.6903', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005548', '1855742', 'object/static/structure/general/shared_prp_junk_s8.iff', '0.707096', '-0.00381721', '-0.00381726', '-0.707096', '0.136878', '0.626786', '10.678', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005549', '1855742', 'object/static/structure/general/shared_prp_junk_s8.iff', '0.707096', '-0.00381721', '-0.00381726', '-0.707096', '-0.957008', '0.626786', '10.7018', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005550', '1855742', 'object/static/structure/general/shared_prp_junk_s8.iff', '0.707096', '-0.00381721', '-0.00381726', '-0.707096', '-2.12038', '0.626786', '10.6588', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005551', '1855742', 'object/static/structure/general/shared_prp_junk_s8.iff', '0.411541', '0.375367', '0.575008', '-0.599249', '-14.9653', '0.560366', '1.01382', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005552', '1855742', 'object/static/structure/general/shared_prp_junk_s8.iff', '0.707096', '-0.00381721', '-0.00381726', '-0.707096', '0.751751', '1.39578', '10.7242', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005553', '1855742', 'object/static/structure/general/shared_prp_junk_s8.iff', '0.707096', '-0.00381721', '-0.00381726', '-0.707096', '-0.390634', '1.39578', '10.7217', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005554', '1855742', 'object/static/structure/general/shared_prp_junk_s8.iff', '0.707096', '-0.00381721', '-0.00381726', '-0.707096', '-1.52704', '1.39578', '10.6974', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005555', '1855742', 'object/static/structure/general/shared_prp_junk_s8.iff', '0.546879', '0.563238', '0.456954', '-0.418186', '-14.8298', '0.597939', '-1.85451', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005556', '1855742', 'object/static/structure/general/shared_prp_junk_s8.iff', '-0.00381695', '0.707096', '0.707096', '0.00381689', '-5.81701', '0.626786', '10.5376', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005557', '1855742', 'object/static/structure/general/shared_prp_junk_s8.iff', '-0.00381695', '0.707096', '0.707096', '0.00381689', '-4.65345', '0.626786', '10.5355', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005558', '1855742', 'object/static/structure/general/shared_prp_junk_s8.iff', '-0.0978046', '0.682901', '0.0930328', '0.717932', '-16.5028', '1.25923', '-2.0189', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005559', '1855742', 'object/static/structure/general/shared_prp_junk_s8.iff', '-0.00381695', '0.707096', '0.707096', '0.00381689', '-5.22333', '1.35411', '10.4986', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005560', '1855742', 'object/static/structure/general/shared_droid_ra7_powerdown.iff', '0', '-0.384808', '0', '0.922997', '-7.72223', '0.184067', '-11.1272', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005561', '1855742', 'object/static/structure/general/shared_r5_torso.iff', '0', '0', '0', '1', '-6.35344', '0.184067', '-11.4842', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005562', '1855742', 'object/static/structure/general/shared_droid_ra7_powerdown.iff', '0', '0.139543', '0', '0.990216', '-7.06424', '0.184067', '-11.2133', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005563', '1855742', 'object/static/structure/general/shared_r3_leg.iff', '0', '0', '0', '1', '-5.48441', '0.184067', '-11.4915', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005564', '1855742', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0', '0', '1', '16.7069', '0.184067', '2.8313', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005565', '1855742', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0', '0', '1', '16.6798', '0.184067', '4.88584', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005566', '1855742', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.707106', '0', '0.707107', '16.0607', '0.184067', '7.38889', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005567', '1855742', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.707107', '0', '0.707107', '15.9626', '0.184067', '6.42422', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005568', '1855742', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.741564', '0', '-0.670883', '16.0903', '1.0695', '7.05116', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005570', '1855742', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '-2.57309', '0.184067', '-11.395', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005571', '1855742', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.462132', '0', '0.886811', '-2.9692', '0.184067', '-11.5508', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005572', '1855742', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.462132', '0', '0.886811', '-3.04567', '0.184067', '-11.199', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005573', '1855742', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.462132', '0', '0.886811', '-3.35588', '0.184067', '-11.4457', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005574', '1855742', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.462132', '0', '0.886811', '-3.3446', '0.184067', '-10.9917', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005575', '1855742', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.462132', '0', '0.886811', '-2.62203', '0.184067', '-11.0371', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005576', '1855742', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.942622', '0', '0.333863', '-4.51619', '0.184067', '-11.4003', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005577', '1855742', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.990216', '0', '-0.139543', '-4.30639', '0.184067', '-11.03', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005578', '1855742', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.990216', '0', '-0.139543', '-4.02556', '0.184067', '-11.2554', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005579', '1855742', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.990216', '0', '-0.139543', '-3.93969', '0.184067', '-10.8683', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005580', '1855742', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.990216', '0', '-0.139543', '-3.66282', '0.184067', '-11.2282', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005581', '1855742', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.990216', '0', '-0.139543', '-4.2528', '0.184067', '-11.6474', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005582', '1855742', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.00960197', '0', '0.999954', '16.6101', '1.0695', '5.25665', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005583', '1855742', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.999954', '0', '0.00960203', '16.6742', '1.0695', '3.32582', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005584', '1855742', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.0153972', '0', '0.999881', '16.5289', '0.184067', '-7.45204', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005585', '1855742', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.696135', '0', '0.717911', '15.987', '0.184067', '-4.93125', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005586', '1855742', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.717911', '0', '0.696135', '15.8594', '0.184067', '-5.89223', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005587', '1855742', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.731146', '0', '-0.682221', '16.0063', '1.0695', '-5.26966', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005588', '1855742', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.00579593', '0', '0.999983', '16.4706', '1.0695', '-7.07908', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005589', '1855742', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.999869', '0', '-0.0161934', '-16.5159', '0.184067', '-4.56263', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005590', '1855742', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.999869', '0', '-0.0161934', '-16.5554', '0.184067', '-6.61696', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005591', '1855742', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.999978', '0', '-0.00659228', '-16.4976', '1.0695', '-6.99007', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005592', '1855742', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.00659306', '0', '0.999978', '-16.4993', '1.0695', '-5.05815', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005593', '1855742', 'object/static/structure/general/shared_prp_junk_s8.iff', '0.487141', '0.512537', '0.512537', '-0.487141', '-15.6296', '0.626787', '4.05071', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005594', '1855742', 'object/static/structure/general/shared_prp_junk_s8.iff', '0.487141', '0.512537', '0.512537', '-0.487141', '-15.585', '0.626786', '2.88786', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005595', '1855742', 'object/static/structure/general/shared_prp_junk_s8.iff', '0.487141', '0.512537', '0.512537', '-0.487141', '-15.6448', '1.35411', '3.45596', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005597', '1855742', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.999646', '0', '-0.0265891', '-0.97815', '0.184067', '1.34881', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005598', '1855742', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.725659', '0', '0.688055', '-0.492864', '0.184067', '-1.18364', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005599', '1855742', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.688055', '0', '0.725658', '-0.343647', '0.184067', '-0.225775', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005600', '1855742', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.690364', '0', '0.723462', '-0.504344', '1.0695', '-0.844756', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005601', '1855742', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.999856', '0', '-0.0169902', '-0.928353', '1.0695', '0.974476', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005602', '1855742', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.714421', '0', '0.699716', '1.59312', '0.184067', '-1.27548', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005603', '1855742', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.0103987', '0', '0.999946', '4.10841', '0.184067', '-0.70849', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005604', '1855742', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.999946', '0', '-0.0103988', '3.14623', '0.184067', '-0.590388', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005605', '1855742', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.039591', '0', '0.999216', '3.77004', '1.0695', '-0.730964', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005606', '1855742', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.70767', '0', '0.706543', '1.96563', '1.0695', '-1.2135', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005607', '1855742', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.999388', '0', '-0.0349932', '-1.29543', '0.184067', '3.41487', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005608', '1855742', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.0349941', '0', '0.999388', '-0.340096', '0.184067', '3.24972', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005609', '1855742', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.999887', '0', '0.0149993', '-0.956307', '1.0695', '3.42084', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005610', '1855742', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.669999', '0', '0.742363', '3.32367', '0.184067', '3.6631', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005611', '1855742', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.706265', '0', '0.707948', '3.31851', '1.0695', '3.32418', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005612', '1855742', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.681932', '0', '0.731416', '1.24479', '0.184067', '3.85766', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005613', '1855742', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.688922', '0', '0.724836', '0.869684', '1.0695', '3.81395', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005614', '1855742', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.742365', '0', '0.669996', '3.12749', '0.184067', '2.71375', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '6575945', '1855742', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0.0299955', '0', '0.99955', '1.62441', '0.184067', '-0.0191865', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855743', '1855740', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855744', '0', 'object/building/general/shared_mun_all_hospital_s02.iff', '0', '-0.300293', '0', '0.953847', '5212.96', '5', '1547.85', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855745', '1855744', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855746', '1855744', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005616', '1855746', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s2.iff', '0', '0', '0', '1', '-1.79185', '0.184067', '-9.60294', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005617', '1855746', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s2.iff', '0', '0', '0', '1', '1.73355', '0.184067', '-9.55143', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005618', '1855746', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s2.iff', '0', '0', '0', '1', '-5.40158', '0.184067', '-9.61051', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005619', '1855746', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s2.iff', '0', '0', '0', '1', '5.33234', '0.184067', '-9.54891', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005620', '1855746', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s2.iff', '0', '1', '0', '-0.000797202', '-5.3086', '0.184067', '9.64059', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005621', '1855746', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s2.iff', '0', '1', '0', '-0.000797202', '-1.70975', '0.184067', '9.63737', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005622', '1855746', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s2.iff', '0', '1', '0', '-0.000797202', '1.81565', '0.184067', '9.68326', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005623', '1855746', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s2.iff', '0', '1', '0', '-0.000797202', '5.42533', '0.184067', '9.68507', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005624', '1855746', 'object/tangible/furniture/all/shared_frn_all_professor_desk.iff', '0', '0.706824', '0', '0.707389', '-16.4379', '0.184067', '6.33084', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005625', '1855746', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.430458', '0', '0.902611', '-14.6199', '0.184067', '5.813', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005626', '1855746', 'object/tangible/furniture/all/shared_frn_all_professor_desk.iff', '0', '0.710353', '0', '0.703845', '-16.4291', '0.184067', '-4.70898', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005627', '1855746', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.95055', '0', '-0.310573', '-14.7111', '0.184067', '-3.67889', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005628', '1855746', 'object/tangible/furniture/all/shared_frn_all_professor_desk.iff', '0', '-0.706825', '0', '0.707388', '16.3894', '0.184067', '-5.32223', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005629', '1855746', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.902953', '0', '0.42974', '14.5724', '0.184067', '-4.8016', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005630', '1855746', 'object/tangible/furniture/all/shared_frn_all_professor_desk.iff', '0', '-0.703278', '0', '0.710915', '16.3982', '0.184067', '5.71759', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005631', '1855746', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.31133', '0', '0.950302', '14.6783', '0.184067', '4.69037', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005632', '1855746', 'object/tangible/furniture/technical/shared_cabinet_s01.iff', '0', '0', '0', '1', '8.40035', '0.184067', '-11.5201', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005634', '1855746', 'object/tangible/furniture/technical/shared_armoire_s01.iff', '0', '0.00499998', '0', '0.999987', '3.48321', '0.184067', '-11.6404', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005635', '1855746', 'object/tangible/furniture/technical/shared_armoire_s01.iff', '0', '0', '0', '1', '-0.064144', '0.184067', '-11.6565', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005636', '1855746', 'object/tangible/furniture/technical/shared_armoire_s01.iff', '0', '0.00500011', '0', '0.999987', '-3.6067', '0.184067', '-11.6501', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005637', '1855746', 'object/tangible/furniture/technical/shared_cabinet_s01.iff', '0', '0.00500016', '0', '0.999987', '-8.29302', '0.184067', '-11.6054', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005638', '1855746', 'object/tangible/furniture/technical/shared_cabinet_s01.iff', '0', '0.999983', '0', '-0.00579633', '8.35373', '0.184067', '11.5531', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005639', '1855746', 'object/tangible/furniture/technical/shared_armoire_s01.iff', '0', '0.999983', '0', '-0.00579633', '3.66749', '0.184067', '11.6054', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005640', '1855746', 'object/tangible/furniture/technical/shared_armoire_s01.iff', '0', '1', '0', '-0.000796621', '0.12507', '0.184067', '11.6173', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005641', '1855746', 'object/tangible/furniture/technical/shared_armoire_s01.iff', '0', '0.999983', '0', '-0.00579633', '-3.42247', '0.184067', '11.6069', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005642', '1855746', 'object/tangible/furniture/technical/shared_cabinet_s01.iff', '0', '1', '0', '-0.000796621', '-8.33965', '0.184067', '11.4945', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005643', '1855746', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s2.iff', '0', '0', '0', '1', '5.23975', '0.184067', '2.46178', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005644', '1855746', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s2.iff', '0', '0', '0', '1', '-1.88429', '0.184067', '2.4075', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005645', '1855746', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s2.iff', '0', '0', '0', '1', '1.64099', '0.184067', '2.45921', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005646', '1855746', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s2.iff', '0', '0', '0', '1', '-5.49421', '0.184067', '2.40005', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005647', '1855746', 'object/tangible/furniture/technical/shared_cabinet_s01.iff', '0', '0', '0', '1', '6.78619', '0.184067', '0.486978', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005648', '1855746', 'object/tangible/furniture/technical/shared_armoire_s01.iff', '0', '0.00500013', '0', '0.999987', '3.39071', '0.184067', '0.370248', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005649', '1855746', 'object/tangible/furniture/technical/shared_armoire_s01.iff', '0', '0', '0', '1', '-0.156745', '0.184067', '0.35415', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005650', '1855746', 'object/tangible/furniture/technical/shared_armoire_s01.iff', '0', '0.00500013', '0', '0.999987', '-3.6992', '0.184067', '0.360503', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005651', '1855746', 'object/tangible/furniture/technical/shared_cabinet_s01.iff', '0', '0.00500013', '0', '0.999987', '-7.08757', '0.184067', '0.420364', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005652', '1855746', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s2.iff', '0', '1', '0', '-0.000796487', '-5.52976', '0.184067', '-2.29184', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005653', '1855746', 'object/tangible/furniture/technical/shared_cabinet_s01.iff', '0', '1', '0', '-0.000796487', '-7.07205', '0.184067', '-0.215442', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005654', '1855746', 'object/tangible/furniture/technical/shared_armoire_s01.iff', '0', '0.999983', '0', '-0.00579639', '-3.67734', '0.184067', '-0.203216', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005655', '1855746', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s2.iff', '0', '1', '0', '-0.000796487', '-1.93094', '0.184067', '-2.295', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005656', '1855746', 'object/tangible/furniture/technical/shared_armoire_s01.iff', '0', '1', '0', '-0.000796487', '-0.129825', '0.184067', '-0.192719', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005657', '1855746', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s2.iff', '0', '1', '0', '-0.000796487', '1.59439', '0.184067', '-2.24876', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005658', '1855746', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s2.iff', '0', '1', '0', '-0.000796487', '5.20441', '0.184067', '-2.24709', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005659', '1855746', 'object/tangible/furniture/technical/shared_armoire_s01.iff', '0', '0.999983', '0', '-0.00579639', '3.41262', '0.184067', '-0.204809', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005660', '1855746', 'object/tangible/furniture/technical/shared_cabinet_s01.iff', '0', '0.999983', '0', '-0.00579639', '6.78171', '0.184067', '-0.134522', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855747', '1855744', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855749', '0', 'object/static/vehicle/e3/shared_landspeeder.iff', '0', '0.897911', '0', '0.440178', '5233.96', '5', '1532.95', '256', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855750', '0', 'object/static/vehicle/e3/shared_landspeeder.iff', '0', '0.948985', '0', '0.315323', '5237.56', '5', '1537.36', '256', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855752', '0', 'object/static/structure/general/shared_landing_pad_shuttle.iff', '0', '-0.300673', '0', '0.953727', '5171.67', '5', '1593.23', '256', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855753', '0', 'object/static/vehicle/shared_player_shuttle.iff', '0', '-0.329145', '0', '0.944279', '5172.73', '5', '1591.39', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855754', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '0', '0', '1', '5213.32', '5', '1507.08', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855755', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '0.92388', '0', '-0.382683', '5185.53', '5', '1518.25', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855756', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '-0.707106', '0', '0.707107', '5174.01', '5', '1545.81', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855757', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '0.92388', '0', '-0.382683', '5162.54', '5', '1573.27', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855759', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '0.92388', '0', '0.382683', '5162.49', '5', '1628.2', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855760', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '-0.707106', '0', '0.707107', '5151', '5', '1600.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855761', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '0.85111', '0', '-0.524987', '5248.34', '5', '1635.37', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855762', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '0.159318', '0', '0.987227', '5225.8', '5', '1654.94', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855763', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '-0.230606', '0', '0.973047', '5196.18', '5', '1652.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855764', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '-0.644523', '0', '0.764585', '5303.47', '5', '1573.24', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855765', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '0.459737', '0', '0.888055', '5296.95', '5', '1602.37', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1855766', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '0.084897', '0', '0.99639', '5271.72', '5', '1618.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1905352', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s01.iff', '0', '0', '0', '1', '-380', '28', '-4644', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1905353', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '0', '0', '1', '-402', '28', '-4644', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1905355', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '-0.707104', '0', '0.707109', '-418', '28', '-4652', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1905356', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '-418', '28', '-4644', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1905357', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s01.iff', '0', '-0.707104', '0', '0.707109', '-418', '28', '-4666', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1905358', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '-0.707089', '0', '0.707124', '-418', '28', '-4680', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1905359', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.707107', '0', '0.707107', '-418', '28', '-4688', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1905360', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s01.iff', '0', '0', '0', '1', '-347.389', '28', '-4704', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1905361', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '0', '0', '1', '-402', '28', '-4688', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1905362', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '0', '0', '1', '-326', '28', '-4704', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1905363', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '-0.707093', '0', '0.70712', '-310', '28', '-4668', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1905364', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.707106', '0', '0.707108', '-310', '28', '-4660', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1905365', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s01.iff', '0', '-0.707093', '0', '0.70712', '-310', '28', '-4682', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1905366', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.707113', '0', '0.7071', '-310', '28', '-4652', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1905367', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '1', '0', '-3.20013e-08', '-310', '28', '-4644', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1905368', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0', '0', '1', '-492', '28', '-4647', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1905372', '0', 'object/building/corellia/shared_filler_building_corellia_style_05.iff', '0', '-0.707105', '0', '0.707108', '-510', '28', '-4580', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1905379', '0', 'object/building/corellia/shared_filler_block_corellia_64x32_s02.iff', '0', '0', '0', '1', '-460', '28', '-4620', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1905385', '0', 'object/building/corellia/shared_filler_block_corellia_64x32_s01.iff', '0', '0.707108', '0', '-0.707105', '-563.32', '28', '-4539.79', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1905404', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '-484', '28', '-4647', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1905408', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s01.iff', '0', '-0.707104', '0', '0.707109', '-524', '28', '-4667', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1905409', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '0', '0', '1', '-504', '28', '-4647', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1905412', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '1', '0', '-3.20013e-08', '-516', '28', '-4647', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1905413', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '1', '0', '-3.20013e-08', '-524', '28', '-4647', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1905414', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.707105', '0', '0.707108', '-524', '28', '-4655', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1905426', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '1', '0', '0', '-524', '28', '-4699', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1905427', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '1', '0', '0', '-516', '28', '-4699', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1905428', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '0', '0', '1', '-504', '28', '-4699', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1905429', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0', '0', '1', '-492', '28', '-4699', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1905430', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '-484', '28', '-4699', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1905431', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.707105', '0', '0.707108', '-524', '28', '-4691', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1905436', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s01.iff', '0', '-0.707091', '0', '0.707122', '-524', '28', '-4679', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1905459', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '1', '0', '0', '-342', '28', '-4644', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1905460', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '0', '0', '1', '-358', '28', '-4644', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1905461', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '-386', '28', '-4688', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1905462', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '0', '0', '1', '-370', '28', '-4688', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1905488', '0', 'object/building/corellia/shared_filler_block_corellia_64x32_s01.iff', '0', '0.707108', '0', '-0.707105', '-422.987', '28', '-4469.43', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1905495', '0', 'object/building/corellia/shared_filler_block_corellia_64x32_s01.iff', '0', '0.707108', '0', '-0.707105', '-563.32', '28', '-4459.79', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1905502', '0', 'object/building/corellia/shared_filler_block_corellia_64x32_s01.iff', '0', '-0.382685', '0', '0.923879', '-570', '28', '-4290', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1905542', '0', 'object/building/corellia/shared_filler_building_corellia_style_05.iff', '0', '-0.382683', '0', '0.92388', '-5019.07', '21', '-2325.22', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1905549', '0', 'object/building/corellia/shared_filler_building_corellia_style_03.iff', '0', '1', '0', '-9.52215e-08', '80', '28', '-4440', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1905556', '0', 'object/building/corellia/shared_filler_block_corellia_64x32_s01.iff', '0', '0', '0', '1', '28.8564', '28', '-4390.32', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1905563', '0', 'object/building/corellia/shared_filler_block_corellia_64x32_s01.iff', '0', '0', '0', '1', '-14.6203', '28', '-4229.13', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1905570', '0', 'object/building/corellia/shared_filler_building_corellia_style_05.iff', '0', '0.92388', '0', '-0.382683', '-40', '28', '-4290', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1905577', '0', 'object/building/corellia/shared_filler_block_corellia_64x32_s02.iff', '0', '0.707107', '0', '0.707106', '-19.4815', '28', '-4339.42', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1905583', '0', 'object/building/corellia/shared_filler_building_corellia_style_06.iff', '0', '0.707108', '0', '0.707105', '-130', '28', '-4260', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1905594', '0', 'object/building/corellia/shared_filler_building_corellia_style_04.iff', '0', '0', '0', '1', '-270', '28', '-4260', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1905599', '0', 'object/building/corellia/shared_filler_block_corellia_64x32_s01.iff', '0', '0.707108', '0', '-0.707105', '-326.535', '28', '-4268.01', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1905606', '0', 'object/building/corellia/shared_filler_block_corellia_64x32_s02.iff', '0', '0', '0', '1', '-400', '28', '-4190', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1905612', '0', 'object/building/corellia/shared_filler_building_corellia_style_03.iff', '0', '0.382684', '0', '0.923879', '-470', '28', '-4190', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1905619', '0', 'object/building/corellia/shared_filler_block_corellia_64x32_s02.iff', '0', '-0.382683', '0', '0.92388', '-510', '28', '-4240', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935436', '0', 'object/building/corellia/shared_guild_combat_corellia_style_01.iff', '0', '0', '0', '1', '-5463.2', '21', '-2742.12', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935437', '1935436', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935438', '1935436', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935439', '1935436', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935440', '1935436', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935441', '1935436', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935442', '1935436', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935443', '1935436', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935444', '1935436', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935445', '1935436', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935446', '0', 'object/building/corellia/shared_guild_commerce_corellia_style_01.iff', '0', '0', '0', '1', '-5417.33', '21', '-2742.57', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935447', '1935446', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935448', '1935446', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935449', '1935446', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935450', '1935446', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935451', '1935446', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935452', '1935446', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935453', '1935446', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935454', '1935446', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935455', '1935446', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935456', '0', 'object/building/corellia/shared_guild_university_corellia_style_01.iff', '0', '0.707104', '0', '0.70711', '-5521.28', '21', '-2679.1', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935457', '1935456', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935458', '1935456', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935459', '1935456', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935460', '1935456', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935461', '1935456', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935462', '1935456', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935463', '1935456', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935464', '1935456', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935465', '1935456', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935466', '0', 'object/building/corellia/shared_association_hall_civilian_corellia.iff', '0', '0', '0', '1', '-5502.01', '21', '-2820.06', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935467', '1935466', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935468', '1935466', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935469', '1935466', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935470', '1935466', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935471', '1935466', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935472', '1935466', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935473', '1935466', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935474', '1935466', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555593', '1935474', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '-0.707106', '0', '0.707107', '-20.8229', '2.25', '11.5389', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555594', '1935474', 'object/static/item/shared_item_chair_metal_wheeled_01.iff', '0', '0.707107', '0', '0.707107', '-21.7364', '2.25', '11.5163', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555595', '1935474', 'object/static/item/shared_item_storage_cabinet_01.iff', '0', '0', '0', '1', '-22.2152', '2.25', '9.64654', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555596', '1935474', 'object/static/item/shared_item_vibroaxe.iff', '0', '0', '-0.114747', '0.993395', '-17.6042', '3.26193', '9.8124', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555597', '1935474', 'object/static/item/shared_item_vibrolance.iff', '0', '0', '-0.15438', '0.988012', '-17.6999', '3.13544', '10.1029', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555599', '1935474', 'object/static/item/shared_item_painting_corellia_style_01.iff', '0', '1', '0', '3.20013e-08', '-22.5934', '3.0722', '11.5297', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555600', '1935474', 'object/static/item/shared_item_pistol.iff', '0.446445', '0.524691', '-0.469718', '-0.552043', '-22.106', '2.69272', '9.76845', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555603', '1935474', 'object/static/item/shared_item_con_glass_full_s2.iff', '0', '0', '0', '1', '-20.4774', '3.04057', '10.0973', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555604', '1935474', 'object/static/item/shared_item_con_pitcher_full.iff', '0', '0', '0', '1', '-20.5654', '3.04057', '10.2838', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555605', '1935474', 'object/static/item/shared_item_con_drink_flask.iff', '0', '0', '0', '1', '-20.4098', '3.00895', '10.2744', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555606', '1935474', 'object/static/item/shared_item_data_disk.iff', '0', '0', '0', '1', '-20.8442', '3.07219', '10.5876', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555607', '1935474', 'object/static/item/shared_item_data_disk.iff', '0', '0', '0', '1', '-20.8305', '3.07219', '10.6835', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555608', '1935474', 'object/static/item/shared_item_document.iff', '0', '0.324043', '0', '0.946042', '-20.5667', '3.04057', '12.6377', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555609', '1935474', 'object/static/item/shared_item_datapad_s2.iff', '0', '-0.699717', '0', '0.71442', '-20.4459', '3.04057', '12.4441', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555610', '1935474', 'object/static/item/shared_item_con_bowl_serving_full.iff', '0', '0.257081', '0', '0.96639', '-20.6574', '3.04057', '11.1158', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555611', '1935474', 'object/tangible/furniture/all/shared_frn_all_lamp_desk_s01.iff', '0', '-0.707106', '0', '0.707107', '-20.4472', '3.04057', '11.5305', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935475', '1935466', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935476', '1935466', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205710', '1935476', 'object/soundobject/shared_soundobject_city_crowd_sentients_large.iff', '0', '0', '0', '1', '0.265692', '1.1544', '-8.54276', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935477', '1935466', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205714', '1935477', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '0.216311', '1.75', '-19.6298', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935478', '1935466', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935479', '1935466', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935480', '1935466', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935481', '1935466', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935482', '1935466', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935483', '1935466', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935513', '0', 'object/building/corellia/shared_cloning_corellia.iff', '0', '0.707107', '0', '0.707107', '-5690.55', '21', '-2697.69', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935514', '1935513', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935515', '1935513', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935516', '1935513', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935517', '1935513', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935518', '1935513', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935519', '1935513', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935522', '0', 'object/building/corellia/shared_hotel_corellia.iff', '0', '1', '0', '-9.52216e-08', '-5516.62', '21', '-2568.65', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935523', '1935522', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935524', '1935522', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935525', '1935522', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935526', '1935522', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1094973', '1935526', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.00269807', '0', '0.999996', '4.34081', '1.32357', '-22.1076', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1094974', '1935526', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.00269807', '0', '0.999996', '0.268266', '1.32267', '-22.0242', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1094975', '1935526', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '0.00269807', '0', '0.999996', '-1.15278', '1.13287', '-16.1491', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1094976', '1935526', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '0.00269807', '0', '0.999996', '9.49085', '1.13383', '-16.2662', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1094977', '1935526', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.00269807', '0', '0.999996', '8.38138', '1.32357', '-22.2519', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205745', '1935526', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '0.619778', '0.999995', '-0.248753', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935527', '1935522', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205755', '1935527', 'object/soundobject/shared_soundobject_cantina_small.iff', '0', '0', '0', '1', '20.0477', '1.28309', '0.726159', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935528', '1935522', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1094967', '1935528', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '0.00269807', '0', '0.999996', '-15.8976', '1.00101', '0.0361724', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1094968', '1935528', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '0.00269807', '0', '0.999996', '-15.9616', '1.00102', '4.39855', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1094969', '1935528', 'object/tangible/gambling/slot/shared_standard.iff', '0', '-0.705206', '0', '0.709003', '-12.3109', '1.00084', '-0.00701955', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1094970', '1935528', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.709011', '0', '0.705197', '-12.1085', '1.00068', '-0.0288253', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1094971', '1935528', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.71791', '0', '0.696136', '-12.05', '1.00094', '4.26884', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1094972', '1935528', 'object/tangible/gambling/slot/shared_standard.iff', '0', '-0.696142', '0', '0.717904', '-12.2513', '1.00079', '4.29595', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205746', '1935528', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-14.7189', '1.00064', '3.79771', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935529', '1935522', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935530', '1935522', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935531', '1935522', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935532', '1935522', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935565', '0', 'object/building/corellia/shared_association_hall_civilian_corellia.iff', '0', '1', '0', '2.05505e-06', '-210', '28', '-4320', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935566', '1935565', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935567', '1935565', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935568', '1935565', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935569', '1935565', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935570', '1935565', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935571', '1935565', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935572', '1935565', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935573', '1935565', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935574', '1935565', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935575', '1935565', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8105479', '1935575', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '-0.412052', '1.1544', '-6.23235', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935576', '1935565', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935577', '1935565', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935578', '1935565', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935579', '1935565', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935580', '1935565', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935581', '1935565', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935582', '1935565', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935666', '0', 'object/building/corellia/shared_filler_block_corellia_64x32_s01.iff', '0', '-0.382683', '0', '0.92388', '-5078.01', '21', '-2284.07', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935683', '0', 'object/building/corellia/shared_starport_corellia.iff', '0', '0.92388', '0', '-0.382683', '-4975', '21', '-2230', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935684', '1935683', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935685', '1935683', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935686', '1935683', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935687', '1935683', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2655356', '1935687', 'object/soundobject/shared_soundobject_starport_announcer.iff', '0', '0', '0', '1', '-0.116899', '0.639421', '59.6362', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3095707', '1935687', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0.00959118', '0', '0.999954', '-10.5612', '0.639421', '62.3018', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3095708', '1935687', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0.999954', '0', '-0.0095927', '-10.4486', '0.639421', '57.3463', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3095709', '1935687', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0.999996', '0', '-0.00269489', '-0.224569', '0.639421', '57.2535', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3095710', '1935687', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0.002694', '0', '0.999996', '-0.330411', '0.639421', '62.1403', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3095711', '1935687', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0.999996', '0', '-0.00269489', '10.065', '0.639423', '57.0725', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3095712', '1935687', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0.002694', '0', '0.999996', '9.88435', '0.639423', '62.0259', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4855816', '1935687', 'object/tangible/terminal/shared_terminal_newsnet.iff', '0', '0', '0', '1', '6.63155', '0.639421', '50.3394', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4855817', '1935687', 'object/tangible/terminal/shared_terminal_newsnet.iff', '0', '0', '0', '1', '-8.36258', '0.639421', '49.8173', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935688', '1935683', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935689', '1935683', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935690', '1935683', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935691', '1935683', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935692', '1935683', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935693', '1935683', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1509577', '1935693', 'object/tangible/terminal/shared_terminal_space.iff', '0', '-0.648034', '0', '0.761611', '-37.8672', '1.63942', '49.1637', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1509579', '1935693', 'object/tangible/terminal/shared_terminal_space.iff', '0', '-0.0579764', '0', '0.998318', '-40.4231', '1.63942', '46.4084', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1509580', '1935693', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0.997529', '0', '0.0702515', '-41.5994', '1.63942', '52.8537', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1509581', '1935693', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0.753583', '0', '0.657353', '-44.0867', '1.63942', '50.0366', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935694', '1935683', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935695', '1935683', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935696', '1935683', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935697', '1935683', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935698', '1935683', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '5625461', '1935683', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935700', '0', 'object/building/corellia/shared_skyscraper_corellia_style_01.iff', '0', '0.92388', '0', '0.382683', '-5123.95', '21', '-2319.75', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935704', '0', 'object/building/corellia/shared_shuttleport_corellia.iff', '0', '-0.68193', '0', '0.731417', '-5003.96', '21', '-2367.03', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935708', '0', 'object/building/corellia/shared_filler_building_corellia_style_06.iff', '0', '-0.382683', '0', '0.92388', '-5106.17', '21', '-2476.64', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935719', '0', 'object/building/corellia/shared_filler_block_corellia_32x16_s01.iff', '0', '-0.382683', '0', '0.92388', '-4983.9', '21', '-2405.43', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935722', '0', 'object/building/corellia/shared_filler_block_corellia_32x16_s01.iff', '0', '0.382683', '0', '0.92388', '-4983.69', '21', '-2338.89', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935725', '0', 'object/building/corellia/shared_filler_block_corellia_32x16_s01.iff', '0', '0.92388', '0', '0.382683', '-5314.48', '21', '-2480.34', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935735', '0', 'object/building/corellia/shared_filler_block_corellia_64x32_s02.iff', '0', '0.92388', '0', '0.382683', '-5046.69', '21', '-2537.36', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935755', '0', 'object/building/corellia/shared_filler_building_corellia_style_03.iff', '0', '0.92388', '0', '-0.382683', '-5258.41', '21', '-2598.04', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935769', '0', 'object/building/corellia/shared_filler_building_corellia_style_04.iff', '0', '0.92388', '0', '-0.382683', '-5039.85', '21', '-2419.94', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935773', '0', 'object/building/corellia/shared_filler_building_corellia_style_05.iff', '0', '0.601517', '0', '0.79886', '-5318.79', '21', '-2518.43', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935791', '0', 'object/building/corellia/shared_filler_building_corellia_style_07.iff', '0', '0.92388', '0', '-0.382683', '-5229.25', '21', '-2464.1', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935805', '0', 'object/building/corellia/shared_skyscraper_corellia_style_03.iff', '0', '-0.382683', '0', '0.92388', '-5106.8', '21', '-2562.3', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935809', '0', 'object/building/corellia/shared_skyscraper_corellia_style_04.iff', '0', '0.382683', '0', '0.92388', '-5171.01', '21', '-2415.76', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935813', '0', 'object/building/corellia/shared_skyscraper_corellia_style_05.iff', '0', '-0.382683', '0', '0.92388', '-5040.26', '21', '-2475.89', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935817', '0', 'object/building/corellia/shared_bank_corellia.iff', '0', '0.382683', '0', '0.92388', '-5106.51', '20.786', '-2383.96', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935818', '0', 'object/building/corellia/shared_hotel_corellia.iff', '0', '0.92388', '0', '-0.382683', '-5147.56', '21', '-2518.43', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935819', '1935818', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935820', '1935818', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935821', '1935818', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935822', '1935818', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1094984', '1935822', 'object/tangible/gambling/slot/shared_standard.iff', '0', '-0.00230193', '0', '0.999997', '4.30193', '1.31569', '-22.0971', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1094985', '1935822', 'object/tangible/gambling/slot/shared_standard.iff', '0', '-0.00230193', '0', '0.999997', '0.228441', '1.31479', '-22.0547', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1094986', '1935822', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '-0.00230193', '0', '0.999997', '-1.25155', '1.12499', '-16.1939', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1094987', '1935822', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '-0.00230193', '0', '0.999997', '9.39312', '1.12595', '-16.2044', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1094988', '1935822', 'object/tangible/gambling/slot/shared_standard.iff', '0', '-0.00230193', '0', '0.999997', '8.34367', '1.31569', '-22.2008', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205653', '1935822', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '0.7604', '0.999996', '-0.832834', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935823', '1935818', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205663', '1935823', 'object/soundobject/shared_soundobject_cantina_small.iff', '0', '0', '0', '1', '20.5126', '1.28309', '-2.21362', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935824', '1935818', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1094978', '1935824', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '-0.00230193', '0', '0.999997', '-15.9026', '1.00081', '-0.107075', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1094979', '1935824', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '-0.00230193', '0', '0.999997', '-15.9091', '1.00083', '4.2625', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1094980', '1935824', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.708732', '0', '-0.705479', '-12.316', '1.00065', '-0.114853', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1094981', '1935824', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.705476', '0', '0.708733', '-12.1135', '1.00049', '-0.134435', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1094982', '1935824', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.71442', '0', '0.699717', '-11.9962', '1.00075', '4.17163', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1094983', '1935824', 'object/tangible/gambling/slot/shared_standard.iff', '0', '-0.699722', '0', '0.714416', '-12.1981', '1.0006', '4.19693', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205654', '1935824', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '-18.1136', '1.0011', '3.33208', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935825', '1935818', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935826', '1935818', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935827', '1935818', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935828', '1935818', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935829', '0', 'object/building/corellia/shared_hospital_corellia.iff', '0', '-0.382683', '0', '0.92388', '-4978.13', '20.8173', '-2479.82', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935830', '1935829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935831', '1935829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205623', '1935831', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '18.4681', '0.26', '-0.35814', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935832', '1935829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935833', '1935829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935834', '1935829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935835', '1935829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205632', '1935835', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '-21.2066', '0.26', '-1.78134', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935836', '1935829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935837', '1935829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935838', '1935829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935839', '1935829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935840', '1935829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935841', '1935829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205648', '1935841', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '11.2506', '14.26', '-4.33054', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935842', '1935829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935843', '1935829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935876', '0', 'object/building/corellia/shared_filler_building_corellia_style_02.iff', '0', '0.382683', '0', '0.92388', '-5136.38', '21', '-2267.81', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935883', '0', 'object/building/corellia/shared_skyscraper_corellia_style_05.iff', '0', '-0.382683', '0', '0.92388', '-5025.44', '21', '-2577.02', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935887', '0', 'object/building/corellia/shared_skyscraper_corellia_style_01.iff', '0', '0', '0', '1', '-5210.55', '21', '-2619.2', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935899', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.382683', '0', '0.92388', '-5083.1', '21', '-2356.33', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935900', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.707106', '0', '0.707107', '-5055', '21', '-2341', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935901', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.707106', '0', '0.707107', '-5055', '21', '-2325', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935902', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.382683', '0', '0.92388', '-5049.23', '21', '-2311', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935903', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.382683', '0', '0.92388', '-5056.31', '21', '-2303.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935904', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.382683', '0', '0.92388', '-5067.62', '21', '-2315.24', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935905', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.382683', '0', '0.92388', '-5078.93', '21', '-2326.56', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935906', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.382683', '0', '0.92388', '-5090.25', '21', '-2337.87', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935927', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s01.iff', '0', '0.382683', '0', '0.92388', '-5047.11', '21', '-2301.81', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '1935928', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s01.iff', '0', '0.382683', '0', '0.92388', '-5092.37', '21', '-2347.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005352', '0', 'object/building/corellia/shared_filler_slum_16x16_s01.iff', '0', '-0.382683', '0', '0.92388', '119.788', '28', '-4674.56', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005354', '0', 'object/building/corellia/shared_filler_slum_16x32_s01.iff', '0', '0.382683', '0', '0.92388', '145.486', '28', '-4649.13', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005356', '0', 'object/building/corellia/shared_filler_slum_16x32_s02.iff', '0', '-0.382683', '0', '0.92388', '95.8241', '28', '-4649.2', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005360', '0', 'object/building/corellia/shared_filler_slum_16x16_s01.iff', '0', '0.92388', '0', '-0.382683', '-5174.08', '21', '-2319.65', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005364', '0', 'object/building/corellia/shared_filler_slum_16x32_s02.iff', '0', '0.923879', '0', '-0.382684', '-5251.07', '21', '-2294.92', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005368', '0', 'object/building/corellia/shared_filler_slum_16x16_s01.iff', '0', '-0.382683', '0', '0.92388', '123.639', '28', '-4635.56', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005370', '0', 'object/building/corellia/shared_filler_slum_16x16_s01.iff', '0', '-0.382683', '0', '0.92388', '106.17', '28', '-4616.65', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005372', '0', 'object/building/corellia/shared_filler_slum_16x32_s02.iff', '0', '-0.382683', '0', '0.92388', '165.023', '28', '-4618.91', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005376', '0', 'object/building/corellia/shared_filler_slum_16x32_s01.iff', '0', '-0.382684', '0', '0.923879', '142.236', '28', '-4591.16', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005378', '0', 'object/building/corellia/shared_filler_slum_16x16_s01.iff', '0', '0.923879', '0', '-0.382684', '111.807', '28', '-4592.5', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005387', '0', 'object/building/corellia/shared_filler_slum_16x32_s01.iff', '0', '0.382683', '0', '0.92388', '121.268', '28', '-4717.48', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005389', '0', 'object/building/corellia/shared_filler_slum_16x32_s01.iff', '0', '0.92388', '0', '-0.382683', '-5268.68', '21', '-2403.82', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005395', '0', 'object/building/corellia/shared_filler_slum_16x16_s01.iff', '0', '0.382684', '0', '0.923879', '165.872', '27.9692', '-4671.52', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005397', '0', 'object/building/corellia/shared_filler_slum_16x16_s01.iff', '0', '0.382684', '0', '0.923879', '180.991', '27.934', '-4655.93', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005399', '0', 'object/building/corellia/shared_filler_slum_16x16_s01.iff', '0', '0', '0', '1', '188.016', '27.9281', '-4636', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005401', '0', 'object/building/corellia/shared_filler_building_corellia_style_02.iff', '0', '-0.382683', '0', '0.92388', '-5239.2', '21', '-2364.09', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005408', '0', 'object/building/corellia/shared_filler_block_corellia_64x32_s02.iff', '0', '-0.382683', '0', '0.92388', '86.3811', '28.0017', '-4759.18', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005414', '0', 'object/building/corellia/shared_filler_slum_16x32_s02.iff', '0', '-0.382683', '0', '0.92388', '-5283.82', '21', '-2424.19', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005418', '0', 'object/building/corellia/shared_filler_building_corellia_style_02.iff', '0', '-0.382683', '0', '0.92388', '54.8665', '28', '-4815.17', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005425', '0', 'object/building/corellia/shared_filler_slum_16x32_s01.iff', '0', '0.92388', '0', '0.382683', '-5301.12', '21', '-2455.93', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005427', '0', 'object/building/corellia/shared_filler_slum_16x16_s01.iff', '0', '1', '0', '-5.22924e-08', '-5324.16', '21', '-2399.22', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005429', '0', 'object/building/corellia/shared_filler_slum_16x16_s01.iff', '0', '-0.382683', '0', '0.92388', '-5249.33', '21', '-2434.43', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005431', '0', 'object/building/corellia/shared_filler_slum_16x32_s02.iff', '0', '0.996802', '0', '0.0799148', '-5320.26', '21', '-2425.04', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005435', '0', 'object/building/corellia/shared_filler_slum_16x32_s02.iff', '0', '0.92388', '0', '-0.382683', '-5293.74', '21', '-2328.21', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005439', '0', 'object/building/corellia/shared_filler_slum_16x32_s01.iff', '0', '0.92388', '0', '-0.382683', '-5311.79', '21', '-2356.32', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005441', '0', 'object/building/corellia/shared_filler_slum_16x16_s01.iff', '0', '0.382683', '0', '0.92388', '-5191.08', '21', '-2298.57', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005443', '0', 'object/building/corellia/shared_filler_slum_16x32_s02.iff', '0', '0.92388', '0', '0.382683', '-508.38', '28', '-4382.45', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005447', '0', 'object/building/corellia/shared_filler_slum_16x32_s01.iff', '0', '0.92388', '0', '0.382683', '-466.174', '28', '-4424.42', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005449', '0', 'object/building/corellia/shared_filler_slum_16x16_s01.iff', '0', '-0.382683', '0', '0.92388', '-483.87', '28', '-4409.32', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005451', '0', 'object/building/corellia/shared_filler_slum_16x32_s02.iff', '0', '0', '0', '1', '-534.8', '28', '-4500.06', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005455', '0', 'object/building/corellia/shared_filler_slum_16x32_s01.iff', '0', '-0.382683', '0', '0.92388', '-542.577', '28', '-4342.2', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005457', '0', 'object/building/corellia/shared_filler_slum_16x16_s01.iff', '0', '0.92388', '0', '0.382683', '-539.713', '28', '-4384.14', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005459', '0', 'object/building/corellia/shared_filler_slum_16x16_s01.iff', '0', '0.923879', '0', '-0.382684', '-567.353', '28', '-4349.54', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005461', '0', 'object/building/corellia/shared_filler_slum_16x32_s02.iff', '0', '0.92388', '0', '0.382683', '-567.763', '28', '-4374.98', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005465', '0', 'object/building/corellia/shared_filler_slum_16x16_s01.iff', '0', '0', '0', '1', '-535.056', '28', '-4476', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005467', '0', 'object/building/corellia/shared_filler_slum_16x16_s01.iff', '0', '0', '0', '1', '-535.104', '28', '-4453.61', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005469', '0', 'object/building/corellia/shared_filler_slum_16x32_s01.iff', '0', '0.707107', '0', '0.707107', '-510.046', '28', '-4454.48', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005471', '0', 'object/building/corellia/shared_filler_slum_16x32_s02.iff', '0', '1', '0', '-7.48498e-07', '-533.064', '28', '-4429.81', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005475', '0', 'object/building/corellia/shared_filler_slum_16x16_s01.iff', '0', '0.923879', '0', '-0.382684', '-523.875', '28', '-4400.26', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005477', '0', 'object/building/corellia/shared_filler_slum_16x16_s01.iff', '0', '0.382684', '0', '0.923879', '-483.584', '28', '-4434.74', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005479', '0', 'object/building/corellia/shared_filler_slum_16x32_s01.iff', '0', '1', '0', '-7.48498e-07', '-460.618', '28', '-4458.8', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005481', '0', 'object/building/corellia/shared_filler_slum_16x32_s02.iff', '0', '1', '0', '-1e-06', '-462.803', '28', '-4497.93', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005485', '0', 'object/building/corellia/shared_filler_slum_16x16_s01.iff', '0', '0', '0', '1', '-465.554', '28', '-4523.19', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005487', '0', 'object/building/corellia/shared_filler_slum_16x16_s01.iff', '0', '-0.707106', '0', '0.707108', '-461.694', '28', '-4541.98', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005489', '0', 'object/building/corellia/shared_filler_slum_16x32_s01.iff', '0', '-0.707105', '0', '0.707109', '-487.624', '28', '-4544.65', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005491', '0', 'object/building/corellia/shared_filler_slum_16x32_s01.iff', '0', '1', '0', '-1e-06', '-533.791', '28', '-4534.34', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005493', '0', 'object/building/corellia/shared_filler_slum_16x16_s01.iff', '0', '0', '0', '1', '-515.376', '28', '-4544.56', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005495', '0', 'object/building/corellia/shared_filler_block_corellia_64x32_s02.iff', '0', '-0.707105', '0', '0.707109', '-228.28', '28', '-4759.03', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005511', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '5197.23', '5', '1506.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005512', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0.164252', '0', '0.986418', '5174.12', '5', '1529.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005513', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '5173.96', '5', '1562.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005514', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '5151.18', '5', '1584.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005515', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '5151.21', '5', '1617.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005516', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '5173.78', '5', '1639.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005517', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '5181.8', '5', '1645.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005518', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '5210.54', '5', '1659.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005519', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '5255.79', '5', '1620.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005520', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '5241.12', '5', '1649.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005521', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '5287.61', '5', '1615.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005522', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '-0.104807', '0', '0.994493', '5300.73', '5.00092', '1557.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005523', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '5306.11', '5', '1589.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005524', '0', 'object/static/vehicle/e3/shared_landspeeder.iff', '0.185355', '0.81135', '-0.0162703', '-0.554158', '5326.95', '-0.724363', '1530.83', '256', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005525', '0', 'object/static/particle/shared_pt_steam_rise.iff', '0', '0', '0', '1', '5325.25', '1.03243', '1531.25', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005526', '0', 'object/static/particle/shared_pt_steam_rise.iff', '0', '0', '0', '1', '5324.73', '1.072', '1529.39', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005596', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0.139543', '0', '0.990216', '5229.67', '5', '1507.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005703', '0', 'object/static/structure/corellia/shared_corl_power_arial_thin.iff', '0', '0.993868', '0', '-0.11057', '5239.93', '7.66938', '1608.33', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005704', '0', 'object/static/structure/corellia/shared_corl_power_arial_thin.iff', '0', '0.00499998', '0', '0.999987', '5236.98', '5', '1606.27', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005705', '0', 'object/static/structure/corellia/shared_corl_power_arial_prime.iff', '0', '0.951043', '0', '0.309059', '5239.17', '9.09625', '1606.56', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005707', '0', 'object/static/structure/general/shared_data_terminal_s2.iff', '0', '0.886627', '0', '-0.462485', '5229.56', '5', '1591.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005708', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '0.954654', '0', '0.297716', '5232.35', '5', '1604.37', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005709', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0.780209', '0', '-0.625519', '5219.15', '5', '1595.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005710', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0.757843', '0', '-0.652438', '5245.83', '5', '1613.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005713', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '0.953154', '0', '0.302486', '5187.23', '5', '1571.41', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005715', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0.761095', '0', '-0.64864', '5200.62', '5', '1580.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005716', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '0.466208', '0', '0.884675', '5250.55', '5', '1606.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005717', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.961165', '0', '0.275973', '5220.52', '5.88544', '1624.03', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005718', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.893643', '0', '-0.448779', '5219.95', '5.88544', '1628.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005719', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.492883', '0', '0.870095', '5220.17', '5', '1628.31', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005720', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.251089', '0', '0.967964', '5220.13', '5', '1626.51', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005721', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.96377', '0', '0.266733', '5220.27', '5', '1624.32', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005722', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.954204', '0', '0.299156', '5219.52', '5.88544', '1626.32', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005723', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.967963', '0', '0.251091', '5219.24', '5', '1626.13', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005724', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.870096', '0', '-0.492882', '5219.75', '5', '1629.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005725', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.954086', '0', '0.299533', '5217.83', '5.88544', '1623.87', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005726', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0.374254', '0.686765', '0.602853', '-0.157652', '5208.77', '5.38489', '1633.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005727', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0.256751', '0.658846', '0.658847', '-0.256751', '5209.3', '5.44272', '1632.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005728', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0.336889', '0.621696', '0.621696', '-0.336888', '5210.17', '5.44272', '1630.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005729', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0.336889', '0.621696', '0.621696', '-0.336888', '5210.8', '5.44272', '1629.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005730', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0.336889', '0.621696', '0.621696', '-0.336888', '5211.38', '5.44272', '1629.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005731', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0.336889', '0.621696', '0.621696', '-0.336888', '5212.07', '5.44272', '1628.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005732', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0.336889', '0.621696', '0.621696', '-0.336888', '5210.42', '6.21172', '1630.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005733', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0.336889', '0.621696', '0.621696', '-0.336888', '5211.05', '6.21172', '1629.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005734', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0.336889', '0.621696', '0.621696', '-0.336888', '5211.7', '6.21172', '1628.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005735', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.87421', '0', '-0.485548', '5218.24', '5', '1627.75', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005736', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.961495', '0', '0.274824', '5216.44', '5', '1625.9', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005737', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.274824', '0', '0.961495', '5217.31', '5', '1626.33', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005738', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.946558', '0', '0.322535', '5216.71', '5.88544', '1626.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005739', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.878831', '0', '-0.477133', '5217.96', '5.88544', '1627.49', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005740', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.956918', '0', '0.290359', '5217.56', '5', '1624.14', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005741', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.471329', '0', '0.881958', '5219.47', '5', '1622.4', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005742', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.881957', '0', '-0.471329', '5219.01', '5', '1623.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005743', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.42666', '0', '0.904412', '5219.26', '5.88544', '1622.66', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005744', '0', 'object/static/vehicle/e3/shared_landspeeder.iff', '0', '-0.427381', '0', '0.904072', '5278.41', '5', '1581.5', '256', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005745', '0', 'object/static/vehicle/e3/shared_landspeeder.iff', '0', '0.242557', '0', '0.970137', '5268.38', '5.20102', '1596.7', '256', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005746', '0', 'object/static/vehicle/shared_static_lambda_shuttle.iff', '0', '-0.285952', '0', '0.958244', '5233.96', '5', '1631.86', '256', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005749', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '-0.29552', '0', '0.955336', '5250.68', '5', '1600.82', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005750', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '-0.29552', '0', '0.955336', '5247.86', '5', '1604.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005751', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '-0.29552', '0', '0.955336', '5245.03', '5', '1609.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005753', '0', 'object/static/item/shared_item_crate_spice.iff', '0', '0.864925', '0', '0.501902', '5220.27', '5', '1594.52', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005754', '0', 'object/static/item/shared_item_crate_spice.iff', '0', '0.950549', '0', '0.310574', '5221.04', '5', '1595.21', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005755', '0', 'object/static/item/shared_item_crate_spice.iff', '0', '0.968715', '0', '0.248176', '5221.72', '5', '1595.88', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005756', '0', 'object/static/item/shared_item_crate_spice.iff', '0', '0.968715', '0', '0.248176', '5222.59', '5', '1596.39', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005757', '0', 'object/static/item/shared_item_crate_spice.iff', '0', '0.997495', '0', '0.0707379', '5219.34', '5', '1593.95', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2005761', '0', 'object/static/item/shared_item_mun_ballot_box.iff', '0.880616', '0.0552806', '-0.458458', '0.106184', '5228.99', '9.24283', '1593.52', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035352', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '1', '0', '-4.79382e-06', '-550.463', '28', '-4626.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035353', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.707105', '0', '0.707108', '-515.463', '28', '-4626.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035354', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '-558.463', '28', '-4626.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035355', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '1', '0', '-1.61735e-05', '-523.463', '28', '-4626.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035356', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s01.iff', '0', '1', '0', '-4.79382e-06', '-536.463', '28', '-4626.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035357', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '0', '0', '1', '-499.064', '28', '-4626.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035360', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.382683', '0', '0.92388', '-591.619', '27.8592', '-4626.39', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035362', '0', 'object/static/structure/corellia/shared_corl_fountain_rectangle_s01.iff', '0', '-0.382683', '0', '0.92388', '-5044.52', '21', '-2284.64', '96', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035363', '0', 'object/static/structure/corellia/shared_corl_fountain_rectangle_s01.iff', '0', '-0.382683', '0', '0.92388', '-5028.92', '21', '-2300.4', '96', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035364', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.707105', '0', '0.707108', '-591.623', '28', '-4593.26', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035366', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.92388', '0', '-0.382683', '-5048.97', '21', '-2286.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035367', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.92388', '0', '-0.382683', '-5046.14', '21', '-2289.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035369', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.707107', '0', '0.707107', '-591.632', '28', '-4560', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035370', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '0.707107', '0', '0.707107', '-591.704', '28', '-4576.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035377', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.707107', '0', '-0.707107', '-591.646', '28', '-4526.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035379', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '0.707107', '0', '-0.707107', '-591.628', '28', '-4543.4', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035381', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '-0.261087', '0', '0.965315', '-5038.96', '21', '-2286.65', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035382', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.92388', '0', '-0.382683', '-5033.34', '21', '-2302.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035383', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.92388', '0', '-0.382683', '-5030.51', '21', '-2304.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035384', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.691466', '0', '0.722409', '-5030.87', '21', '-2294.79', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035385', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '1', '0', '0', '-591.606', '28', '-4393.94', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035386', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.707107', '0', '-0.707107', '-591.638', '28', '-4427.16', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035387', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '0.707107', '0', '-0.707107', '-591.567', '28', '-4410.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035388', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '0.707107', '0', '-0.707107', '-591.558', '28', '-4443.77', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035389', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.707107', '0', '0.707107', '-591.57', '28', '-4460.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035394', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '0.707107', '0', '-0.707107', '-591.489', '28', '-4344.13', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035395', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.707107', '0', '0.707107', '-591.493', '28', '-4360.73', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035396', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '0.707107', '0', '0.707107', '-591.564', '28', '-4377.38', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035397', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '-0.0449848', '0', '0.998988', '-5003.02', '21', '-2409.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035398', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '-0.044985', '0', '0.998988', '-5002.46', '21', '-2414.76', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035409', '0', 'object/building/corellia/shared_filler_historic_32x16_s01.iff', '0', '0', '0', '1', '-5394.78', '21', '-2652.96', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035414', '0', 'object/building/corellia/shared_filler_historic_32x16_s02.iff', '0', '1', '0', '-3.20013e-08', '-5385.46', '21', '-2705.81', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035464', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.707109', '0', '0.707104', '-310', '28', '-4696', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035466', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '1', '0', '0', '-310', '28', '-4704', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035467', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.707109', '0', '0.707104', '-354', '28', '-4696', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035468', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.707106', '0', '0.707108', '-354', '28', '-4704', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035469', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.707107', '0', '0.707107', '-354', '28', '-4688', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035470', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.92388', '0', '-0.382683', '-427.065', '28', '-4760.56', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035471', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.923873', '0', '-0.382698', '-432.721', '28', '-4754.91', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035472', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s01.iff', '0', '0.923878', '0', '-0.382688', '-441.914', '28', '-4745.72', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035473', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.923878', '0', '-0.382688', '-451.813', '28', '-4735.82', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035474', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.554448', '0', '0.832218', '-457.351', '28', '-4730.04', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035475', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '0.707105', '0', '0.707108', '-457.552', '28', '-4714.05', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035476', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '0.382684', '0', '0.923879', '-415.395', '28', '-4772.24', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035477', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '0', '0', '1', '-387.979', '28', '-4783.59', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035478', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.980521', '0', '-0.196413', '-403.977', '28', '-4783.44', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035492', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '1', '0', '7.48498e-07', '-371.614', '28', '-4783.58', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035493', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '0', '0', '1', '-355.614', '28', '-4783.58', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035496', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '0', '0', '1', '-323.614', '28', '-4783.58', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035497', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '1', '0', '1e-06', '-339.614', '28', '-4783.58', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035502', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s01.iff', '0', '1', '0', '-4.47849e-06', '-301.614', '28', '-4783.58', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035522', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '1', '0', '1e-06', '-294.747', '28', '-4783.59', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035523', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0', '0', '1', '-241', '28', '-4787', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035524', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0', '0', '1', '-286.359', '28', '-4783.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035528', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.707104', '0', '0.707109', '-244', '28', '-4787', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035529', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.566866', '0', '0.82381', '-218.762', '28', '-4813.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035531', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '0.923879', '0', '-0.382684', '-207.487', '28', '-4824.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035540', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.382683', '0', '0.92388', '-195.746', '28', '-4836.35', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035541', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0', '0', '1', '-4968.29', '21', '-2430.05', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035542', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.382683', '0', '0.92388', '-4940', '21', '-2421.56', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035543', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '0.382683', '0', '0.92388', '-4947.78', '21', '-2413.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035544', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.382683', '0', '0.92388', '-4954.15', '21', '-2435.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035545', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s01.iff', '0', '-0.382681', '0', '0.923881', '-4941.42', '21', '-2434.29', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035546', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.382683', '0', '0.92388', '-4966.88', '21', '-2406', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035547', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.382681', '0', '0.92388', '-4955.56', '21', '-2406', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035548', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.382683', '0', '0.92388', '-4999.4', '21', '-2452.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035549', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.92388', '0', '0.382683', '-4982.43', '21', '-2435.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035550', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.382683', '0', '0.92388', '-5006.47', '21', '-2445.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035551', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.92388', '0', '0.382683', '-4978.19', '21', '-2417.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035552', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.382683', '0', '0.92388', '-4989.5', '21', '-2428.63', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035553', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '0.92388', '0', '0.382683', '-4990.92', '21', '-2444.19', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035554', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '-0.382683', '0', '0.92388', '-4997.99', '21', '-2437.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035555', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s01.iff', '0', '0.382679', '0', '0.923881', '-5008.59', '21', '-2454.79', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035556', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.382683', '0', '0.92388', '-4976.77', '21', '-2430.05', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035557', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.382684', '0', '0.923879', '-4959.8', '21', '-2430.05', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035558', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.382683', '0', '0.92388', '-4961.22', '21', '-2400.35', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035559', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.382681', '0', '0.92388', '-4934.35', '20.9303', '-2427.22', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035560', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.382681', '0', '0.92388', '-4948.49', '21', '-2441.36', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035561', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.382683', '0', '0.92388', '-4947.08', '21', '-2439.94', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035562', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.382683', '0', '0.92388', '-4936.47', '20.9835', '-2429.34', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035563', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.382683', '0', '0.92388', '-4935.76', '20.9783', '-2428.63', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035564', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.382683', '0', '0.92388', '-4946.37', '21', '-2439.24', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035578', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '-0.382683', '0', '0.92388', '66.2422', '28', '-4783.2', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035581', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '-0.382683', '0', '0.92388', '83.3012', '27.747', '-4788.96', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035582', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '-0.382683', '0', '0.92388', '77.6249', '28', '-4794.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035594', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0.923879', '0', '-0.382684', '89.2688', '28', '-4783.04', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035595', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '0.923879', '0', '-0.382684', '83.5775', '27.6956', '-4777.36', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035596', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '-0.382683', '0', '0.92388', '118', '28', '-4745', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035597', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '-0.382683', '0', '0.92388', '129', '27.9051', '-4734', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035598', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '-0.382683', '0', '0.92388', '146.284', '27.9051', '-4716.72', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035600', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '-0.382683', '0', '0.92388', '157.91', '28', '-4705.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035601', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s03.iff', '0', '-0.382683', '0', '0.92388', '154.728', '28', '-4708.28', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035603', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s02.iff', '0', '-0.382683', '0', '0.92388', '162.506', '28', '-4700.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035604', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s03.iff', '0', '-0.382683', '0', '0.92388', '170.284', '28', '-4692.72', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035608', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '-0.382683', '0', '0.92388', '167.102', '28', '-4695.91', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035609', '0', 'object/static/installation/shared_mockup_factory_organic_style_1.iff', '0', '-0.382683', '0', '0.92388', '-5030.48', '21', '-2445.62', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035610', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '-0.382683', '0', '0.92388', '140.508', '28', '-4722.54', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035612', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '-0.382683', '0', '0.92388', '184.238', '27.6368', '-4678.76', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035613', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '-0.707105', '0', '0.707108', '196.012', '27.6368', '-4659.17', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035614', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '-0.382683', '0', '0.92388', '195.746', '28', '-4667.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035621', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '0.707107', '0', '0.707107', '196.048', '27.6273', '-4634.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035622', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0.707107', '0', '0.707107', '196.012', '27.8255', '-4650.72', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035626', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '0.382684', '0', '0.92388', '184.248', '27.6275', '-4606.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035627', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0.382684', '0', '0.92388', '195.703', '27.8441', '-4618.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035637', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0.382684', '0', '0.923879', '172.657', '28', '-4595.38', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035638', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '0.382684', '0', '0.923879', '161.201', '27.6151', '-4583.87', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035639', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0.382684', '0', '0.923879', '149.516', '28', '-4572.22', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035640', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '0.382684', '0', '0.923879', '138.06', '27.7465', '-4560.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035643', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '-0.382683', '0', '0.92388', '126.517', '28', '-4549.17', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035644', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '-0.382683', '0', '0.92388', '115.056', '27.7658', '-4560.68', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035645', '0', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0.00751256', '0.793339', '-0.00979054', '0.608655', '-5013.23', '20.9725', '-2465.01', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035647', '0', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '0.923879', '0', '0.382684', '-5014.44', '21', '-2467.21', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035654', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '-0.382683', '0', '0.92388', '103.7', '27.9964', '-4571.99', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035655', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '-0.382683', '0', '0.92388', '97.9255', '27.7833', '-4577.79', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035656', '0', 'object/static/structure/corellia/shared_corl_fountain_circle_s01.iff', '0', '0.382683', '0', '0.92388', '-5017.97', '21', '-2463.68', '96', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035659', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s01.iff', '0', '0.382683', '0', '0.92388', '44.9419', '28', '-4568.81', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035663', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.382683', '0', '0.92388', '48.5005', '28', '-4572.33', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035665', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.382683', '0', '0.92388', '41.5005', '28', '-4565.33', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035669', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s01.iff', '0', '0.92388', '0', '-0.382683', '27.1427', '28', '-4586.58', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035670', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.92388', '0', '-0.382683', '23.5841', '28', '-4583.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035671', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.92388', '0', '-0.382683', '30.5844', '28', '-4590.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035672', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0', '0', '1', '39.0444', '28', '-4590.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035673', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '1', '0', '7.48498e-07', '41.2136', '28', '-4590.04', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035676', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s01.iff', '0', '0.707105', '0', '0.707109', '-4.97648', '28', '-4515.2', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035677', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '-4.94391', '28', '-4520.2', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035678', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.707105', '0', '0.707109', '-4.94391', '28', '-4510.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035681', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '0', '0', '1', '-38.9848', '28', '-4503.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035682', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0', '0', '1', '-27.1473', '28', '-4503.16', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035683', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0', '0', '1', '-50.7086', '28', '-4503.18', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035685', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s02.iff', '-0.707104', '0', '0', '0.707109', '-73.2619', '33.6515', '-4464.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035686', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '-76.4679', '28', '-4470.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035687', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '-70.3591', '28', '-4470.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035689', '0', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '-0.0122349', '-0.130441', '-0.00161072', '0.991379', '-5019.5', '21.1296', '-2458.98', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035690', '0', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '-0.382685', '0', '0.923879', '-5021.51', '21', '-2460.14', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035692', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '-0.382683', '0', '0.92388', '95.6078', '27.8762', '-4605.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035693', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '-0.382683', '0', '0.92388', '84.1009', '27.7751', '-4616.77', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035694', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '-0.533471', '0', '0.845818', '72.8998', '27.9104', '-4628', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035695', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '-0.707105', '0', '0.707108', '72.7908', '27.7765', '-4636.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035696', '0', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '-0.00161079', '0.130591', '-0.0122358', '0.991359', '-5016.74', '21.0649', '-2458.92', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035697', '0', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '-0.00751229', '0.608774', '-0.00979058', '0.793248', '-5013.23', '20.9723', '-2462.22', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035698', '0', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '0.382682', '0', '0.92388', '-5014.5', '21', '-2460.07', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035701', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s03.iff', '0', '0.0898786', '0', '0.995953', '76.1271', '27.9292', '-4644.77', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035705', '0', 'object/static/installation/shared_mockup_power_generator_wind_style_1.iff', '0', '0.382683', '0', '0.92388', '-4951', '21', '-2406', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035706', '0', 'object/static/installation/shared_mockup_power_generator_wind_style_1.iff', '0', '0.382683', '0', '0.92388', '-4957', '21', '-2400', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035710', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s02.iff', '0', '0.923879', '0', '-0.382684', '105.643', '28', '-4669.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035711', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '0.923878', '0', '-0.382686', '129.199', '28', '-4647.72', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035712', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.609475', '0', '0.792806', '-4938.12', '19.94', '-2403.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035713', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.613431', '0', '0.789748', '-4933.8', '20.4', '-2419.36', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035714', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.813647', '0', '-0.581359', '-4954.95', '20.4', '-2351.04', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035715', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.816544', '0', '-0.577284', '-4949.37', '19.94', '-2366.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035716', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '0.923879', '0', '-0.382685', '101.393', '27.6233', '-4611.05', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035718', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.789749', '0', '-0.613431', '-4942.34', '20.4', '-2387.41', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035719', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '0.923878', '0', '-0.382686', '156.679', '27.5992', '-4661.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035720', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0.382684', '0', '0.923879', '151.222', '28', '-4655.55', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035721', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.898086', '0', '-0.43982', '-4975.28', '20.4', '-2325.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035722', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.900274', '0', '-0.435324', '-4964.92', '19.94', '-2338.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035723', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '-0.38268', '0', '0.923881', '134.686', '28', '-4701.04', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035724', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0.92388', '0', '0.382683', '140.159', '28', '-4695.58', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035725', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '0.382686', '0', '0.923879', '125.287', '27.7553', '-4680.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035726', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0.923879', '0', '-0.382684', '130.744', '27.7553', '-4686.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035727', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s02.iff', '0', '0.923879', '0', '-0.382684', '135.418', '28', '-4690.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035731', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.816544', '0', '-0.577283', '-4943.84', '20.4', '-2382.22', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035738', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '-0.382683', '0', '0.92388', '54.4282', '28', '-4645.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035739', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '0.382683', '0', '0.92388', '48.7713', '28', '-4628.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035740', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.382683', '0', '0.92388', '37.4604', '28', '-4617.18', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035741', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.382683', '0', '0.92388', '60.0852', '28', '-4639.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035742', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '-0.382684', '0', '0.923879', '31.8013', '28', '-4622.81', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035743', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.382683', '0', '0.92388', '48.7713', '28', '-4651.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035744', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.382683', '0', '0.92388', '26.1439', '28', '-4628.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035748', '0', 'object/building/corellia/shared_filler_historic_32x16_s01.iff', '0', '0', '0', '1', '43.3814', '28', '-4484.09', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035753', '0', 'object/building/corellia/shared_filler_historic_32x16_s02.iff', '0', '0', '0', '1', '103.415', '28', '-4517.89', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035758', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0.419323', '0', '0.907837', '-4969.35', '21', '-2393.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035759', '0', 'object/building/corellia/shared_filler_historic_32x16_s02.iff', '0', '0.707107', '0', '0.707107', '72', '28', '-4540', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035764', '0', 'object/building/corellia/shared_filler_historic_32x16_s01.iff', '0', '1', '0', '3.20013e-08', '43.3814', '28', '-4516.09', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035769', '0', 'object/building/corellia/shared_filler_historic_32x16_s01.iff', '0', '1', '0', '0', '102.565', '28', '-4478.89', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035776', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0', '0', '1', '-4969.89', '21', '-2397.48', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035778', '0', 'object/static/structure/corellia/shared_corl_fountain_circle_s01.iff', '0', '0', '0', '1', '73', '28', '-4499', '96', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035780', '0', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '-4969', '21.2846', '-2397.32', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035786', '0', 'object/static/item/shared_item_glass_empty.iff', '0', '0', '0', '1', '-4969.71', '21.4111', '-2397.36', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035787', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s01.iff', '0', '0.707107', '0', '0.707107', '108.415', '28', '-4498.89', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035790', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '0.382683', '0', '0.92388', '-5022.77', '21', '-2461.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035791', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '0.382683', '0', '0.92388', '-5015.92', '21', '-2468.54', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035794', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '-109.976', '28', '-4470.29', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035795', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '-103.867', '28', '-4470.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035796', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s02.iff', '-0.707094', '0', '0', '0.707119', '-106.77', '33.674', '-4464.42', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035797', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s02.iff', '0.707109', '0', '0', '0.707104', '-73.219', '33.6732', '-4415.41', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035798', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '-69.9182', '28', '-4409.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035799', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '-76.027', '28', '-4409.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035800', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '-109.708', '28', '-4409.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035801', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '-103.599', '28', '-4409.63', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035802', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s02.iff', '0.707115', '0', '0', '0.707098', '-106.787', '33.6737', '-4415.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035809', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s01.iff', '0.707104', '0', '0', '0.70711', '-14.9444', '34.588', '-4439.08', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035810', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s01.iff', '-0.707104', '0', '0', '0.707109', '-14.9444', '34.588', '-4441.08', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035811', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '-10.8185', '28.611', '-4445.08', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035812', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '-19.1944', '28.611', '-4445.08', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035813', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '-19.1944', '28.611', '-4435.08', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035814', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '-10.8204', '28.611', '-4435.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2035816', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0.92388', '0', '0.382683', '-4969.17', '21', '-2350.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055352', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '0', '0', '1', '-174.686', '28', '-4523.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055353', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0', '0', '1', '-185.9', '28', '-4523.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055354', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0', '0', '1', '-163.282', '28', '-4523.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055355', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '0', '0', '1', '-184', '28', '-4509', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055356', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.199841', '0', '0.979828', '-4968.49', '21.6957', '-2352.37', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055357', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.658487', '0', '0.752593', '-4967.54', '21', '-2352.25', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055358', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0.381422', '0.57582', '-0.328966', '-0.643995', '-4967.37', '21.3176', '-2352.79', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055359', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.693405', '0', '0.720549', '-4968.64', '21', '-2352.31', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055360', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '-0.707105', '0', '0.707108', '-130.673', '28', '-4534.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055361', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '-0.707105', '0', '0.707108', '-130.642', '28', '-4546.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055362', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '-0.707105', '0', '0.707108', '-130.626', '28', '-4523.49', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055363', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '1', '0', '-1.84354e-06', '-117.474', '28', '-4510.17', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055365', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '-4971.79', '21', '-2355.13', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055366', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '-189', '28', '-4509', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055367', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.446365', '0', '0.894851', '-4972.06', '21', '-2354.24', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055368', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '-179', '28', '-4509', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055369', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.188859', '0', '0.982004', '-4968.08', '21', '-2353.01', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055370', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '0', '0', '1', '-236', '28', '-4509', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055371', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '-241', '28', '-4509', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055372', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '-231', '28', '-4509', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055374', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '1', '0', '-2e-06', '-116.49', '28', '-4488.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055376', '0', 'object/static/item/shared_item_con_plate_s1_full.iff', '0', '0.999516', '0', '-0.0311206', '-4970.25', '21.8854', '-2347.56', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055379', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.92388', '0', '-0.382683', '-4970.22', '21', '-2347.37', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055380', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.382683', '0', '0.92388', '-4970.68', '21', '-2348.16', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055381', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.382683', '0', '0.92388', '-4969', '21', '-2397.28', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055382', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.979829', '0', '0.19984', '-4976.32', '21.6957', '-2388.93', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055383', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.752588', '0', '-0.658491', '-4977.27', '21', '-2389.04', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055385', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.720555', '0', '0.693398', '-4976.16', '21', '-2388.94', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055386', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.569089', '0', '0.822276', '-4974.99', '21', '-2389.03', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055387', '0', 'object/static/item/shared_item_container_inorganic_gas.iff', '0', '0.827925', '0', '0.560838', '-4974.15', '21', '-2389.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055388', '0', 'object/static/item/shared_item_container_organic_hide.iff', '0', '0.935757', '0', '0.352647', '-4975.06', '21.7006', '-2389.04', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055389', '0', 'object/static/item/shared_item_container_inorganic_gas.iff', '0.696258', '0.12339', '0.123391', '-0.696257', '-4977.3', '22.17', '-2388.76', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055391', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s02.iff', '0', '-0.707104', '0', '0.707109', '-591.678', '28', '-4506.19', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055392', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '-0.707104', '0', '0.707109', '-591.631', '28', '-4493.41', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055393', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.707107', '0', '-0.707107', '-591.63', '28', '-4518.16', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055394', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.707104', '0', '0.707109', '-591.631', '28', '-4501.41', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055395', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.707107', '0', '-0.707107', '-591.598', '28', '-4468.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055396', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s02.iff', '0', '-0.707081', '0', '0.707132', '-591.614', '28', '-4480.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055397', '0', 'object/building/corellia/shared_filler_block_corellia_64x32_s01.iff', '0', '-0.382683', '0', '0.92388', '-4978.58', '21', '-2546.25', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055404', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0.997014', '0', '0.077224', '-4947.37', '21', '-2513.2', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055405', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0.997014', '0', '0.077224', '-4947.07', '21', '-2515.18', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055406', '0', 'object/tangible/furniture/elegant/shared_love_seat_s01.iff', '0', '0.997014', '0', '0.077224', '-4947.68', '21', '-2511.23', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055407', '0', 'object/tangible/furniture/elegant/shared_love_seat_s01.iff', '0', '0.759601', '0', '-0.650389', '-4945.09', '21', '-2514.87', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055408', '0', 'object/tangible/furniture/elegant/shared_love_seat_s01.iff', '0', '0.650389', '0', '0.759601', '-4949.35', '21', '-2513.51', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055409', '0', 'object/tangible/furniture/elegant/shared_love_seat_s01.iff', '0', '0.759602', '0', '-0.650389', '-4945.4', '21', '-2512.89', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055410', '0', 'object/tangible/furniture/elegant/shared_love_seat_s01.iff', '0', '0.650389', '0', '0.759601', '-4949.04', '21', '-2515.49', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055411', '0', 'object/tangible/furniture/elegant/shared_love_seat_s01.iff', '0', '-0.0772241', '0', '0.997014', '-4946.76', '21', '-2517.15', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055417', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.707107', '0', '0.707107', '-591.631', '28', '-4485.41', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055418', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '-0.193767', '0', '0.981048', '-4943.09', '21', '-2505.05', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055419', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.981048', '0', '0.193767', '-4944.61', '21', '-2501.35', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055420', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.830719', '0', '-0.556692', '-4942', '21', '-2502.44', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055421', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.556693', '0', '0.830719', '-4945.7', '21', '-2503.96', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055422', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '-0.193767', '0', '0.981048', '-4943.85', '21', '-2503.2', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055433', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '-0.246352', '0', '0.96918', '-4951.7', '21', '-2496.38', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055434', '0', 'object/tangible/furniture/elegant/shared_love_seat_s01.iff', '0', '-0.246352', '0', '0.96918', '-4950.75', '21', '-2498.14', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055435', '0', 'object/tangible/furniture/elegant/shared_love_seat_s01.iff', '0', '0.96918', '0', '0.246352', '-4952.66', '21', '-2494.63', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055436', '0', 'object/tangible/furniture/elegant/shared_love_seat_s01.iff', '0', '0.511118', '0', '0.859511', '-4953.46', '21', '-2497.34', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055437', '0', 'object/tangible/furniture/elegant/shared_love_seat_s01.iff', '0', '0.85951', '0', '-0.511118', '-4949.95', '21', '-2495.43', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055443', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.90269', '0', '-0.430291', '-4953.24', '21', '-2505.71', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055444', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.430291', '0', '0.90269', '-4956.34', '21', '-2508.23', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055445', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.94256', '0', '0.334037', '-4956.05', '21', '-2505.41', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055446', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '-0.334036', '0', '0.94256', '-4953.53', '21', '-2508.52', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055447', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0.90269', '0', '-0.430291', '-4954.79', '21', '-2506.97', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055448', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.870705', '0', '0.491805', '-4943.4', '21', '-2491.19', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055449', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '-0.491805', '0', '0.870705', '-4939.97', '21', '-2493.26', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055450', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.267923', '0', '0.96344', '-4942.72', '21', '-2493.94', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055451', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.96344', '0', '-0.267923', '-4940.65', '21', '-2490.51', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055452', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0.870705', '0', '0.491805', '-4941.69', '21', '-2492.22', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055455', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s01.iff', '0', '-0.382683', '0', '0.92388', '-4945.47', '21', '-2523.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055457', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s01.iff', '0', '0.382683', '0', '0.92388', '-4939.61', '20.9406', '-2485.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055468', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '-0.707105', '0', '0.707108', '-591.515', '28', '-4312.28', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055469', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s02.iff', '0', '-0.707105', '0', '0.707108', '-591.478', '28', '-4324.21', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055471', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.774167', '0', '0.632981', '-4938.78', '19.94', '-2504.36', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055473', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '-0.382683', '0', '0.92388', '-575.196', '28', '-4357.91', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055474', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '0.923879', '0', '-0.382684', '-575.648', '28', '-4380.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055476', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.382683', '0', '0.92388', '-586.702', '28', '-4369.38', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055477', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '0.923879', '0', '-0.382684', '-552.843', '28', '-4403.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055478', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.923879', '0', '-0.382684', '-564.03', '28', '-4392.08', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055479', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.707095', '0', '0.707118', '-541.991', '28', '-4414.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055480', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '0.707107', '0', '0.707105', '-541.967', '28', '-4430.38', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055481', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0.923879', '0', '-0.382684', '97.0763', '27.9461', '-4578.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055482', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '0.923879', '0', '-0.382684', '102.884', '27.7902', '-4584.42', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055483', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '-0.640691', '0', '0.767798', '-4938.23', '21', '-2498.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055485', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '-0.632982', '0', '0.774167', '-4940.56', '21', '-2510.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055486', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.92388', '0', '0.382683', '-4963.24', '21', '-2500.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055487', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.92388', '0', '0.382683', '-4956.3', '21', '-2493.66', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055495', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s01.iff', '0', '0', '0', '1', '-154.149', '28', '-4658.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055502', '0', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '0.92388', '0', '-0.382683', '-5006.49', '21', '-2528.74', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055503', '0', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '0.92388', '0', '-0.382683', '-5007.9', '21', '-2527.32', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055505', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0.962174', '0', '-0.272435', '-5005.13', '21', '-2529.94', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055506', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0.801113', '0', '-0.598513', '-5009.08', '21', '-2526.12', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055507', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.92388', '0', '-0.382683', '-5003.86', '21', '-2530.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055508', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.92388', '0', '-0.382683', '-5009.81', '21', '-2524.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055511', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '-0.105487', '0', '0.994421', '-5015.09', '21', '-2460.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055512', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '0.994421', '0', '0.105487', '-5015.09', '21', '-2460.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055516', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '0.538585', '0', '0.842571', '-5020.8', '21', '-2460.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055517', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '0.842572', '0', '-0.538584', '-5020.8', '21', '-2460.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055518', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '0.535416', '0', '0.844589', '-5015.05', '21', '-2466.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055519', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '0.844589', '0', '-0.535416', '-5015.05', '21', '-2466.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055520', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s01.iff', '0', '0', '0', '1', '-5013.65', '21', '-2542.39', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055521', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s01.iff', '0', '0.707104', '0', '0.707109', '-5013.65', '21.473', '-2542.39', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055525', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s01.iff', '0', '-0.707105', '0', '0.707108', '-220.006', '28', '-4719.18', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055526', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '-0.707105', '0', '0.707108', '-219.945', '28', '-4706.28', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055527', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '-0.707105', '0', '0.707108', '-219.96', '28', '-4731.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055528', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0', '0', '1', '-296.186', '27.3265', '-4740.25', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055529', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '-0.707105', '0', '0.707108', '-297.481', '26.7288', '-4713.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055530', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '0', '0', '1', '-247.598', '28', '-4698.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055531', '0', 'object/static/structure/corellia/shared_corl_fountain_circle_s01.iff', '0', '0', '0', '1', '-5013.65', '20.821', '-2542.39', '96', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055532', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '0', '0', '1', '-247.598', '28', '-4708.91', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055535', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s01.iff', '0', '0.707105', '0', '0.707109', '-113.188', '28', '-4616.25', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055536', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '-0.707105', '0', '0.707108', '-271.729', '28', '-4598.38', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055537', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '-0.707105', '0', '0.707108', '-271.744', '27.5985', '-4624.08', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055538', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s01.iff', '0', '-0.707105', '0', '0.707108', '-271.79', '27.89', '-4611.28', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055539', '0', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '0.382683', '0', '0.92388', '-5020.8', '21', '-2553.17', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055540', '0', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '0.382683', '0', '0.92388', '-5022.22', '21', '-2551.76', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055541', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0.503526', '0', '0.86398', '-5023.57', '21', '-2550.51', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055542', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.382683', '0', '0.92388', '-5029.52', '21', '-2555.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055543', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.382683', '0', '0.92388', '-5035.4', '21', '-2549.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055544', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '-0.326149', '0', '0.945318', '-5019.56', '21', '-2554.5', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055545', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '-0.382683', '0', '0.92388', '-5003.37', '19.94', '-2590.37', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055551', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '0', '0', '1', '-5029.14', '21', '-2612.77', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055558', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.382683', '0', '0.92388', '-4991.66', '21', '-2578.59', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055572', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.382683', '0', '0.92388', '-5020.32', '19.94', '-2607.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055573', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.382683', '0', '0.92388', '-5038.12', '19.94', '-2607.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055574', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.382683', '0', '0.92388', '-5043.45', '21', '-2601.82', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055595', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '0.382683', '0', '0.92388', '-5142.53', '21', '-2436.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055597', '0', 'object/tangible/furniture/all/shared_frn_all_tree_potted_s1.iff', '0', '0.382683', '0', '0.92388', '-5147.36', '21', '-2436.78', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055598', '0', 'object/tangible/furniture/all/shared_frn_all_tree_potted_s1.iff', '0', '0.92388', '0', '-0.382683', '-5150.19', '21', '-2439.6', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055599', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.92388', '0', '0.382683', '-5148.77', '21', '-2438.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055600', '0', 'object/tangible/furniture/all/shared_frn_all_tree_potted_s1.iff', '0', '0.92388', '0', '-0.382683', '-5145.68', '21', '-2444.06', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055601', '0', 'object/tangible/furniture/all/shared_frn_all_tree_potted_s1.iff', '0', '0.382683', '0', '0.92388', '-5142.85', '21', '-2441.23', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055602', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '-0.382683', '0', '0.92388', '-5144.26', '21', '-2442.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055607', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s01.iff', '0', '0.92388', '0', '0.382683', '-5146.05', '21', '-2478.05', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055608', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s01.iff', '0', '0.382683', '0', '0.92388', '-5161.64', '21.1513', '-2481.34', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055609', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '0.382683', '0', '0.92388', '-5162.34', '21', '-2482.05', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055610', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '0.382683', '0', '0.92388', '-5160.93', '21', '-2480.63', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055611', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '-0.283193', '0', '0.959063', '-5156.84', '21', '-2484.33', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055612', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.34751', '0', '0.937676', '-5164.55', '21', '-2476.47', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055613', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0.986006', '0', '-0.166712', '-5157.26', '21', '-2482.06', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055614', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0.923465', '0', '-0.383682', '-5162.43', '21', '-2476.94', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055615', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '-0.494705', '0', '0.869061', '-5166.63', '21', '-2478.42', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055616', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0.477929', '0', '0.878398', '-5166.12', '21', '-2480.63', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055617', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0.985945', '0', '0.167071', '-5160.81', '21', '-2485.73', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055618', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.984183', '0', '-0.177153', '-5158.8', '21', '-2486.27', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055622', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.821189', '0', '0.570656', '-5185.98', '21', '-2517.8', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055623', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s01.iff', '0', '-0.382684', '0', '0.923879', '-5190.91', '21.1513', '-2520.63', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055624', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '-0.382684', '0', '0.923879', '-5190.2', '21', '-2521.34', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055625', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '-0.382684', '0', '0.923879', '-5191.62', '21', '-2519.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055626', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.878408', '0', '-0.477912', '-5187.92', '21', '-2515.84', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055627', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '-0.417311', '0', '0.908764', '-5195.78', '21', '-2523.54', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055628', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0.815094', '0', '0.579329', '-5190.19', '21', '-2516.25', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055629', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0.924293', '0', '0.381684', '-5195.31', '21', '-2521.42', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055630', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.964328', '0', '-0.264709', '-5193.83', '21', '-2525.63', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055631', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '-0.283175', '0', '0.959068', '-5191.62', '21', '-2525.11', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055632', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0.579032', '0', '0.815305', '-5186.53', '21', '-2519.81', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055633', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.984183', '0', '-0.177153', '-5103.35', '21', '-2532.8', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055634', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s01.iff', '0', '0.382683', '0', '0.92388', '-5106.19', '21.1513', '-2527.87', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055635', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '0.382683', '0', '0.92388', '-5106.9', '21', '-2528.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055636', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '0.382683', '0', '0.92388', '-5105.48', '21', '-2527.16', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055637', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '-0.283193', '0', '0.959063', '-5101.39', '21', '-2530.86', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055638', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.34751', '0', '0.937676', '-5109.1', '21', '-2523', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055639', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0.986006', '0', '-0.166712', '-5101.81', '21', '-2528.59', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055640', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0.923465', '0', '-0.383682', '-5106.98', '21', '-2523.47', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055641', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '-0.494705', '0', '0.869061', '-5111.19', '21', '-2524.94', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055642', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0.477929', '0', '0.878399', '-5110.67', '21', '-2527.15', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055643', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0.985945', '0', '0.167071', '-5105.36', '21', '-2532.25', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055645', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s01.iff', '0', '-0.382683', '0', '0.92388', '-5107.36', '21', '-2516.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055646', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '-0.0449848', '0', '0.998988', '-5150.05', '21', '-2461.08', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055647', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s03.iff', '0', '0.707107', '0', '0.707106', '-413.563', '28', '-4509.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055648', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.998988', '0', '0.0449849', '-5154.59', '21', '-2460.96', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055649', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '-0.707105', '0', '0.707108', '-413.565', '28', '-4521.49', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055650', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.998988', '0', '0.0449849', '-5154.5', '21', '-2461.96', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055651', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '0.707107', '0', '-0.707107', '-413.592', '28', '-4498.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055652', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '-0.382683', '0', '0.92388', '-413', '28', '-4442', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055653', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '-0.382683', '0', '0.92388', '-397', '28', '-4426', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055654', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '-0.382683', '0', '0.92388', '-405', '28', '-4434', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055655', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.998988', '0', '0.044985', '-5145.55', '21', '-2461.2', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055656', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.998988', '0', '0.044985', '-5145.64', '21', '-2460.21', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055657', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.382683', '0', '0.92388', '-5102.47', '21', '-2511.81', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055658', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.382683', '0', '0.92388', '-5141.1', '21', '-2473.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055659', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s01.iff', '0', '0.923879', '0', '0.382684', '-5146.42', '21.1513', '-2558.4', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055660', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '0.923879', '0', '0.382684', '-5145.71', '21', '-2559.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055661', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '0.923879', '0', '0.382684', '-5147.12', '21', '-2557.69', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055662', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '-0.570655', '0', '0.82119', '-5151.35', '21', '-2561.24', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055663', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.26471', '0', '0.964328', '-5143.49', '21', '-2553.4', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055664', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0.959068', '0', '0.283174', '-5145.7', '21', '-2553.92', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055665', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0.815305', '0', '-0.579032', '-5150.8', '21', '-2559.23', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055666', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.477912', '0', '0.878408', '-5149.41', '21', '-2563.2', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055667', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.908764', '0', '0.417311', '-5141.55', '21', '-2555.49', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055668', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '-0.57933', '0', '0.815093', '-5147.14', '21', '-2562.78', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055669', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '-0.381684', '0', '0.924293', '-5142.02', '21', '-2557.61', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055672', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '0.981491', '0', '-0.191508', '-453.728', '28', '-4429.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055673', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s03.iff', '0', '0.191509', '0', '0.981491', '-442.738', '28', '-4434.33', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055674', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '0.981491', '0', '-0.191509', '-431.98', '28', '-4438.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055675', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '0.707105', '0', '0.707108', '-461.392', '28', '-4445.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055676', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s03.iff', '0', '0.707107', '0', '0.707107', '-458', '28', '-4478', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055677', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '0.707107', '0', '0.707107', '-464.67', '28', '-4514.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055678', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '0.707107', '0', '0.707107', '-461.503', '28', '-4532.68', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055679', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '0', '0', '1', '-502.902', '28', '-4544.66', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055680', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '-0.707105', '0', '0.707108', '-531.742', '28', '-4521.19', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055681', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s03.iff', '0', '0.707107', '0', '-0.707107', '-535.294', '28', '-4464.79', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055682', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '0', '0', '1', '-525.427', '28', '-4457.82', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055683', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '1', '0', '3.48103e-07', '-527.081', '28', '-4450.73', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055684', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '-0.382683', '0', '0.92388', '-5156.23', '21', '-2568.24', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055686', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '0.92388', '0', '0.382684', '-473.936', '28', '-4431.35', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055687', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.382683', '0', '0.92388', '-5097.37', '21', '-2536.63', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055688', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '-0.707105', '0', '0.707108', '-5126.02', '21', '-2442.2', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055689', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '0.707105', '0', '0.707108', '-5126.02', '21', '-2430.54', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055690', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '0.382683', '0', '0.92388', '-5129.01', '21', '-2423.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055691', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.707089', '0', '0.707124', '-542.063', '28', '-4445.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055692', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '0', '0', '1', '-5136.33', '21', '-2420.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055693', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0', '0', '1', '-5146.54', '21', '-2420.27', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055695', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s02.iff', '0', '0.92388', '0', '-0.382683', '-494.223', '28', '-4399.35', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055696', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0.382683', '0', '0.92388', '-489.546', '26.7525', '-4404.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055699', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '-0.382685', '0', '0.923879', '-517.164', '27.6665', '-4387.27', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055700', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '0.92388', '0', '-0.382682', '-534.181', '28', '-4394.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055701', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '-0.382685', '0', '0.923879', '-558.729', '28.3531', '-4340.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055703', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.92388', '0', '0.382683', '-431.475', '28', '-4416.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055706', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '0', '0', '1', '-538.73', '28', '-4567.68', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055707', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '0', '0', '1', '-479.669', '28', '-4567.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055713', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s02.iff', '0', '0', '0', '1', '-459.669', '28', '-4567.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055718', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '0', '0', '1', '-439.669', '28', '-4567.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055744', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '0.382683', '0', '0.92388', '-5089.46', '21', '-2450.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055745', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '0.382683', '0', '0.92388', '-5083.8', '21', '-2455.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055746', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '0.382683', '0', '0.92388', '-5069.66', '21', '-2441.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055747', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.382683', '0', '0.92388', '-5083.8', '21', '-2427.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055748', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.382683', '0', '0.92388', '-5061.18', '21', '-2450.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055749', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '0.382683', '0', '0.92388', '-5075.32', '21', '-2436.18', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055750', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.382683', '0', '0.92388', '-5097.94', '21', '-2441.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055751', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.382683', '0', '0.92388', '-5075.32', '21', '-2464.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055752', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s01.iff', '0', '-0.382683', '0', '0.92388', '-5095.82', '21', '-2429.82', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055753', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.382683', '0', '0.92388', '-5089.46', '21', '-2422.04', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055754', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.382683', '0', '0.92388', '-5103.6', '21', '-2436.18', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055755', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.382683', '0', '0.92388', '-5090.87', '21', '-2424.87', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055756', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.382683', '0', '0.92388', '-5100.77', '21', '-2434.77', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055757', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.382683', '0', '0.92388', '-5090.17', '21', '-2424.16', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055758', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.382683', '0', '0.92388', '-5101.48', '21', '-2435.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055759', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s01.iff', '0', '-0.382683', '0', '0.92388', '-5063.3', '21', '-2462.35', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055760', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.382683', '0', '0.92388', '-5068.25', '21', '-2467.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055761', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.382683', '0', '0.92388', '-5068.95', '21', '-2468', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055762', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.382683', '0', '0.92388', '-5057.64', '21', '-2456.69', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055763', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.382683', '0', '0.92388', '-5058.35', '21', '-2457.4', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055764', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.382683', '0', '0.92388', '-5069.66', '21', '-2470.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055765', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.382683', '0', '0.92388', '-5055.52', '21', '-2455.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055768', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '0.923879', '0', '0.382685', '-5190.89', '21', '-2439.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055769', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '0.923879', '0', '0.382684', '-5203.61', '21', '-2426.59', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055770', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.382683', '0', '0.92388', '-5191.59', '21', '-2427.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055771', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.382683', '0', '0.92388', '-5202.91', '21', '-2438.62', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055772', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.923879', '0', '0.382684', '-5197.25', '21', '-2421.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055773', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.923879', '0', '0.382684', '-5199.71', '21', '-2422.72', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055775', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.923879', '0', '0.382685', '-5208.56', '21', '-2432.96', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055776', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.92388', '0', '0.382683', '-5207.43', '21', '-2430.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055778', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.923879', '0', '0.382684', '-5186.2', '21', '-2433.16', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055780', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.92388', '0', '0.382683', '-5186.98', '21', '-2435.42', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055781', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.923879', '0', '0.382684', '-5197.25', '21', '-2444.27', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055782', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.92388', '0', '0.382683', '-5194.89', '21', '-2443.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055840', '0', 'object/tangible/sign/shared_all_sign_city_s01.iff', '0', '0', '0', '1', '3086.28', '280', '4985.91', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055846', '0', 'object/tangible/sign/shared_all_sign_city_s01.iff', '0', '0', '0', '1', '3169.29', '301.64', '5100.56', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055847', '0', 'object/tangible/sign/shared_all_sign_city_s01.iff', '0', '0', '0', '1', '3160.76', '299.937', '5261.35', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055848', '0', 'object/tangible/sign/shared_all_sign_city_s01.iff', '0', '0', '0', '1', '3175.67', '299.953', '5307.38', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055849', '0', 'object/tangible/sign/shared_all_sign_city_s01.iff', '0', '-0.382683', '0', '0.92388', '3278.66', '300', '5453.54', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055850', '0', 'object/tangible/sign/shared_all_sign_city_s01.iff', '0', '0.13459', '0', '0.990901', '3308.44', '308', '5483.29', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055851', '0', 'object/tangible/sign/shared_all_sign_city_s01.iff', '0', '0', '0', '1', '3333.17', '308', '5532.63', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2055852', '0', 'object/tangible/sign/shared_all_sign_city_s01.iff', '0', '0', '0', '1', '3332.98', '324', '5689.38', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2075368', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.382683', '0', '0.92388', '-348.898', '28', '-4385.8', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2075369', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.382683', '0', '0.92388', '-355.794', '28', '-4378.89', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2075370', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.707105', '0', '0.707108', '-285.984', '28', '-4462', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2075371', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.707105', '0', '0.707108', '-274.005', '28', '-4462.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2075372', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '-0.707104', '0', '0.707109', '-252.022', '28', '-4415.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2075373', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.707105', '0', '0.707108', '-252.022', '28', '-4420.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2075374', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.707107', '0', '-0.707107', '-252.022', '28', '-4410.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2075375', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '0.707107', '0', '-0.707107', '-286.199', '28', '-4413.26', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2075376', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.707091', '0', '0.707122', '-286.199', '28', '-4418.26', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2075377', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.707107', '0', '-0.707107', '-286.199', '28', '-4408.26', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2075379', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '-0.707105', '0', '0.707108', '-286.168', '28', '-4399.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2075380', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.707107', '0', '-0.707107', '-286.153', '28', '-4382.62', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2075381', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.707107', '0', '-0.707107', '-286.183', '28', '-4391.16', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2075382', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '-0.382684', '0', '0.923879', '-280.342', '28', '-4368.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2075383', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.382684', '0', '0.923879', '-286.407', '28', '-4374.55', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2075384', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.707107', '0', '0.707107', '-258.198', '28', '-4363.08', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2075386', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '1', '0', '3.20013e-08', '-266.74', '28', '-4363.05', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2075387', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '-274.91', '28', '-4363.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2075395', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '1', '0', '3.20013e-08', '-145.39', '28', '-4362.85', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2075396', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0', '0', '1', '-153.559', '28', '-4362.86', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2075398', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.707107', '0', '-0.707107', '-161.986', '28', '-4362.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2075399', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.92388', '0', '-0.382683', '-133.602', '28', '-4374.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2075400', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '0.707107', '0', '0.707107', '-169.282', '28', '-4415.21', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2075401', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.707109', '0', '0.707104', '-169.282', '28', '-4410.21', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2075402', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.707107', '0', '0.707107', '-169.282', '28', '-4420.21', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2075405', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.707107', '0', '0.707107', '-133.394', '28', '-4408.17', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2075407', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.707107', '0', '-0.707107', '-133.363', '28', '-4399.62', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2075408', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.707107', '0', '-0.707107', '-133.348', '28', '-4382.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2075409', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.707107', '0', '-0.707107', '-133.378', '28', '-4391.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2075410', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.92388', '0', '-0.382683', '-139.625', '28', '-4368.4', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2075411', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.707105', '0', '0.707108', '-273.768', '28', '-4537.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2075412', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.707105', '0', '0.707108', '-273.768', '28', '-4527.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2075413', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '0.707105', '0', '0.707108', '-273.768', '28', '-4532.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2075414', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.382683', '0', '0.92388', '-5049.41', '19.94', '-2607.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2075416', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '-0.546098', '0', '0.837721', '-5043.55', '15.9598', '-2612.98', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2075417', '0', 'object/static/structure/corellia/shared_corl_fountain_circle_s01.iff', '0', '-0.546098', '0', '0.837721', '-5047.86', '21', '-2615.15', '96', '1');
INSERT INTO `staticobjects` VALUES ('0', '2075418', '0', 'object/static/structure/corellia/shared_corl_fountain_circle_s01.iff', '0', '-0.546098', '0', '0.837721', '-5039.44', '21', '-2614.92', '96', '1');
INSERT INTO `staticobjects` VALUES ('0', '2075430', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '-0.382683', '0', '0.92388', '-5057.8', '21', '-2616.26', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2075431', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.382683', '0', '0.92388', '-5066.15', '19.94', '-2624.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2075450', '0', 'object/building/corellia/shared_filler_block_corellia_64x32_s02.iff', '0', '0.92388', '0', '-0.382683', '-5084.85', '21', '-2619.11', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2075459', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '1', '0', '-3.20013e-08', '-5095', '21', '-2648', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2075460', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '1', '0', '-3.20013e-08', '-5090', '21', '-2648', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2075461', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '1', '0', '-3.20013e-08', '-5093', '21', '-2647', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2075462', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '1', '0', '-3.20013e-08', '-5092', '21', '-2647', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2075463', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '1', '0', '-3.20013e-08', '-5098', '21', '-2649', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2075464', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '1', '0', '-3.20013e-08', '-5087', '21', '-2649', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2075466', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s01.iff', '0', '0', '0', '1', '-5120', '21', '-2622', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2075467', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s01.iff', '0', '0.707089', '0', '0.707124', '-5120', '20.9363', '-2622', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2075468', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s01.iff', '0', '0', '0', '1', '-5136', '21', '-2638', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2075469', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s01.iff', '0', '0.707078', '0', '0.707135', '-5136', '20.9363', '-2638', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095361', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '-0.382683', '0', '0.92388', '-5183.66', '21', '-2513.36', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095362', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '-0.382683', '0', '0.92388', '-5198.09', '21', '-2527.8', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095363', '0', 'object/static/structure/corellia/shared_corl_power_arial_prime.iff', '0', '0.707104', '0', '0.707109', '20.3621', '28', '-4316.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095364', '0', 'object/static/structure/corellia/shared_corl_power_box_node.iff', '0', '0.707104', '0', '0.707109', '23.3621', '28', '-4307.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095365', '0', 'object/static/structure/corellia/shared_corl_power_box_node.iff', '0', '0.707104', '0', '0.707109', '37.3621', '28', '-4307.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095366', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0.707104', '0', '0.707109', '30.3621', '28', '-4307.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095367', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '0', '0', '1', '30.3621', '28', '-4301.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095368', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s02.iff', '0', '0.707104', '0', '0.707109', '18.362', '28', '-4307.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095373', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.382683', '0', '0.92388', '-5285.4', '21', '-2473.14', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095374', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '-0.382683', '0', '0.92388', '-5262.71', '21', '-2462.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095375', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '1', '0', '-3.48103e-07', '30.3621', '28', '-4313.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095376', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s02.iff', '0', '0.707104', '0', '0.707109', '42.3622', '28', '-4307.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095377', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s03.iff', '0', '-0.382683', '0', '0.92388', '-5276.89', '21', '-2476.73', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095378', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '1', '0', '-3.48103e-07', '37.3621', '28', '-4313.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095379', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '0', '0', '1', '37.3621', '28', '-4301.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095380', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '1', '0', '-3.48103e-07', '23.3621', '28', '-4313.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095381', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '0', '0', '1', '23.3622', '28', '-4301.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095382', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '0', '0', '1', '30.3621', '28', '-4319.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095383', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '0', '0', '1', '37.362', '28', '-4319.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095384', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '0', '0', '1', '23.3621', '28', '-4319.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095385', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '1', '0', '-3.48103e-07', '30.362', '28', '-4331.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095386', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '1', '0', '-3.48103e-07', '37.362', '28', '-4331.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095387', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '1', '0', '-3.48103e-07', '23.362', '28', '-4331.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095388', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0.707104', '0', '0.707109', '30.362', '28', '-4325.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095389', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0.707104', '0', '0.707109', '37.362', '28', '-4325.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095390', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0.707104', '0', '0.707109', '23.3621', '28', '-4325.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095391', '0', 'object/static/structure/corellia/shared_corl_power_arial_prime.iff', '0', '0.382683', '0', '0.92388', '-5201.65', '21', '-2529.81', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095392', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s02.iff', '0', '0.707104', '0', '0.707109', '42.3621', '28', '-4325.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095393', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s02.iff', '0', '0.707104', '0', '0.707109', '18.362', '28', '-4325.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095394', '0', 'object/static/structure/corellia/shared_corl_power_connector.iff', '0', '-0.382683', '0', '0.92388', '20.8375', '31.3251', '-4322.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095396', '0', 'object/static/structure/corellia/shared_corl_power_connector.iff', '0', '0.382683', '0', '0.92388', '20.8028', '31.3251', '-4309.63', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095398', '0', 'object/static/structure/corellia/shared_corl_power_connector.iff', '0', '0.707104', '0', '0.707109', '37.4001', '31.3251', '-4315.96', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095399', '0', 'object/static/structure/corellia/shared_corl_power_connector.iff', '0', '0.92388', '0', '-0.382683', '39.8187', '31.3251', '-4304.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095400', '0', 'object/static/installation/shared_mockup_power_generator_solar_style_1.iff', '0', '0.601518', '0', '0.798859', '-4950.28', '21', '-2377.72', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095401', '0', 'object/static/installation/shared_mockup_power_generator_solar_style_1.iff', '0', '0.601518', '0', '0.798859', '-4945.58', '21', '-2394.06', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095402', '0', 'object/static/structure/corellia/shared_corl_power_box_node.iff', '0', '0.707104', '0', '0.707109', '23.362', '28', '-4344.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095403', '0', 'object/static/structure/corellia/shared_corl_power_box_node.iff', '0', '0.707104', '0', '0.707109', '37.362', '28', '-4344.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095404', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0.707104', '0', '0.707109', '30.362', '28', '-4344.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095405', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '0', '0', '1', '30.362', '28', '-4338.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095406', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s02.iff', '0', '0.707104', '0', '0.707109', '18.3619', '28', '-4344.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095407', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '1', '0', '-3.48103e-07', '30.362', '28', '-4350.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095408', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s02.iff', '0', '0.707104', '0', '0.707109', '42.3621', '28', '-4344.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095409', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '1', '0', '-3.48103e-07', '37.3619', '28', '-4350.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095410', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '0', '0', '1', '37.362', '28', '-4338.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095411', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '1', '0', '-3.48103e-07', '23.362', '28', '-4350.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095412', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '0', '0', '1', '23.362', '28', '-4338.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095414', '0', 'object/static/structure/corellia/shared_corl_power_connector.iff', '0', '0.382683', '0', '0.92388', '20.8101', '31.3251', '-4346.62', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095415', '0', 'object/static/structure/corellia/shared_corl_power_connector.iff', '0', '-0.707098', '0', '0.707115', '23.4575', '31.3251', '-4334.8', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095416', '0', 'object/static/structure/corellia/shared_corl_power_connector.iff', '0', '-0.707098', '0', '0.707115', '30.2999', '31.3251', '-4334.89', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095417', '0', 'object/static/structure/corellia/shared_corl_power_box_node.iff', '0', '0.0349932', '0', '0.999388', '-4985.04', '21', '-2355.85', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095418', '0', 'object/static/structure/corellia/shared_corl_power_connector.iff', '0', '0.382683', '0', '0.92388', '39.5383', '31.3251', '-4341.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095419', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '-0.68193', '0', '0.731417', '-4985.32', '21', '-2359.85', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095420', '0', 'object/static/structure/corellia/shared_corl_power_connector.iff', '0', '0', '0', '1', '26.3967', '31.3251', '-4301.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095421', '0', 'object/static/structure/corellia/shared_corl_power_connector.iff', '0', '0.707104', '0', '0.707109', '30.4278', '31.3251', '-4316', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095423', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '0.382683', '0', '0.92388', '-5019.57', '21', '-2399.62', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095424', '0', 'object/static/structure/corellia/shared_corl_power_connector.iff', '0', '-0.382683', '0', '0.92388', '39.5535', '31.3251', '-4327.94', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095425', '0', 'object/static/structure/corellia/shared_corl_power_connector.iff', '0', '0', '0', '1', '34.0372', '31.3251', '-4349.61', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095426', '0', 'object/static/structure/corellia/shared_corl_power_arial_prime.iff', '0', '0.707104', '0', '0.707109', '39.3621', '28', '-4316.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095427', '0', 'object/static/structure/corellia/shared_corl_power_arial_prime.iff', '0', '0.707104', '0', '0.707109', '39.362', '28', '-4334.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095428', '0', 'object/static/structure/corellia/shared_corl_power_arial_prime.iff', '0', '0.707104', '0', '0.707109', '20.362', '28', '-4334.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095429', '0', 'object/static/structure/corellia/shared_corl_power_arial_prime.iff', '0', '0.707107', '0', '0.707106', '-5000.59', '21', '-2411.79', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095430', '0', 'object/static/structure/corellia/shared_corl_power_arial_prime.iff', '0', '0.707104', '0', '0.707109', '41.362', '28', '-4303.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095431', '0', 'object/static/structure/corellia/shared_corl_power_arial_prime.iff', '0', '0.707104', '0', '0.707109', '41.362', '28', '-4349.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095432', '0', 'object/static/structure/corellia/shared_corl_power_arial_prime.iff', '0', '0.707104', '0', '0.707109', '19.3618', '28', '-4349.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095433', '0', 'object/static/structure/corellia/shared_corl_power_arial_prime.iff', '0', '0.707104', '0', '0.707109', '19.3621', '28', '-4303.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095434', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s02.iff', '0', '-0.382683', '0', '0.92388', '-5094.13', '21', '-2536.34', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095438', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '-0.382683', '0', '0.92388', '-5085.48', '21', '-2540.85', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095439', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '-0.707106', '0', '0.707107', '-5079.58', '21', '-2519.54', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095443', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '-0.707106', '0', '0.707108', '-5079.58', '21', '-2531.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2095445', '0', 'object/static/structure/corellia/shared_corl_power_arial_thin.iff', '0', '0.382683', '0', '0.92388', '-5081.39', '21', '-2543.77', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115353', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0', '0', '1', '9.72398', '28', '-4364.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115355', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0', '0', '1', '18.6835', '28', '-4356.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115363', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0', '0', '1', '34.6835', '28', '-4356.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115364', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0', '0', '1', '33.724', '28', '-4364.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115365', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0', '0', '1', '49.724', '28', '-4364.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115366', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s01.iff', '0', '1', '0', '-3.20013e-08', '21.724', '28', '-4364.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115367', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s03.iff', '0', '0', '0', '1', '46.6835', '28', '-4356.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115368', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.707104', '0', '0.707109', '49.6835', '28', '-4348.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115369', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.70709', '0', '0.707123', '49.6835', '28', '-4332.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115370', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.707091', '0', '0.707122', '49.6835', '28', '-4316.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115371', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.707089', '0', '0.707124', '49.6835', '28', '-4300.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115372', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.707108', '0', '0.707105', '10.6835', '28', '-4300.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115373', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.707111', '0', '0.707102', '10.6835', '28', '-4316.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115374', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.70711', '0', '0.707103', '10.6835', '28', '-4332.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115375', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.707112', '0', '0.707101', '10.6835', '28', '-4348.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115376', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s03.iff', '0', '1', '0', '-3.20013e-08', '13.6835', '28', '-4292.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115377', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '1', '0', '-3.20013e-08', '41.6835', '28', '-4292.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115378', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '1', '0', '-3.20013e-08', '25.6835', '28', '-4292.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115382', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0', '0', '1', '10.6835', '28', '-4356.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115383', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0', '0', '1', '49.6835', '28', '-4292.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115385', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '-0.707105', '0', '0.707108', '1.72398', '28', '-4356.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115386', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.707107', '0', '-0.707107', '1.72398', '28', '-4340.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115387', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.707107', '0', '-0.707107', '1.72398', '28', '-4324.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115388', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.707107', '0', '-0.707107', '1.72398', '28', '-4308.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115389', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.707107', '0', '-0.707107', '1.72398', '28', '-4292.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115390', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0', '0', '1', '10.2868', '28', '-4284.25', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115391', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0', '0', '1', '34.2866', '28', '-4284.25', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115392', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0', '0', '1', '50.2867', '28', '-4284.25', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115393', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s01.iff', '0', '1', '0', '-7.41481e-08', '22.2869', '28', '-4284.25', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115395', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.707107', '0', '-0.707107', '57.724', '28', '-4308.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115396', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.707107', '0', '-0.707107', '57.724', '28', '-4292.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115397', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.707107', '0', '-0.707107', '57.724', '28', '-4356.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115398', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.707107', '0', '-0.707107', '57.724', '28', '-4340.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115399', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.707107', '0', '-0.707107', '57.724', '28', '-4324.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115401', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '1.72398', '28', '-4284.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115402', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '57.724', '28', '-4284.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115403', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '57.724', '28', '-4364.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115405', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '1.72398', '28', '-4364.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115412', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s01.iff', '0', '1', '0', '0', '-5.56011', '28', '-4402.81', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115413', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.707105', '0', '0.707108', '-30.4242', '28', '-4373.89', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115414', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s01.iff', '0', '0.382683', '0', '0.92388', '-5136', '21.067', '-2638', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115415', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s01.iff', '0', '0.382683', '0', '0.92388', '-5120', '21.067', '-2622', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115416', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.707105', '0', '0.707108', '-10.4745', '28', '-4373.86', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115418', '0', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '-0.707106', '0', '0.707108', '-5117', '21', '-2622', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115419', '0', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '0', '0', '1', '-5119.98', '21', '-2625.02', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115420', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0.782546', '0', '-0.622592', '-5117.93', '21', '-2624.32', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115421', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0.999653', '0', '0.0263491', '-5122.29', '21', '-2619.75', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115422', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.92388', '0', '-0.382683', '-18.2532', '28', '-4292.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115425', '0', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '1', '0', '3.20013e-08', '-5120', '21', '-2619', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115426', '0', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '0.717053', '0', '0.697019', '-5123', '21', '-2622', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115427', '0', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '0', '0', '1', '-5136', '21', '-2641', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115428', '0', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '-0.707105', '0', '0.707108', '-5133', '21', '-2638', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115429', '0', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '1', '0', '3.20013e-08', '-5136', '21', '-2635', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115430', '0', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '0.707105', '0', '0.707108', '-5139', '21', '-2638', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115431', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.999125', '0', '-0.0418192', '-5138', '21', '-2636', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115432', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.801431', '0', '0.598088', '-5134', '21', '-2640', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115447', '0', 'object/static/structure/corellia/shared_corl_fountain_statue_heroic_s01.iff', '0', '0.92388', '0', '0.382681', '-5167.03', '21', '-2550.7', '96', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115448', '0', 'object/static/structure/corellia/shared_corl_fountain_statue_heroic_s01.iff', '0', '0.92388', '0', '0.382681', '-5179.83', '21', '-2537.88', '96', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115455', '0', 'object/building/corellia/shared_filler_historic_24x16_s02.iff', '0', '0', '0', '1', '-5424.77', '21', '-2686.25', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115457', '0', 'object/building/corellia/shared_filler_historic_24x16_s01.iff', '0', '-0.707105', '0', '0.707108', '-5473.94', '21', '-2651.4', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115471', '0', 'object/static/installation/shared_mockup_power_generator_photo_bio_style_1.iff', '0', '0.92388', '0', '0.382683', '-5270.16', '21', '-2437.49', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115472', '0', 'object/static/structure/corellia/shared_corl_power_arial_prime.iff', '0', '0.92388', '0', '-0.382683', '-5271.71', '21', '-2458.8', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115473', '0', 'object/static/structure/corellia/shared_corl_power_arial_thin.iff', '0', '0.92388', '0', '-0.382683', '-5274.71', '21', '-2461.8', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115477', '0', 'object/building/corellia/shared_filler_historic_24x16_s02.iff', '0', '0', '0', '1', '141.126', '28', '-4512.81', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115479', '0', 'object/building/corellia/shared_filler_historic_24x16_s01.iff', '0', '-0.361986', '0', '0.932183', '129.45', '28', '-4484.72', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115481', '0', 'object/building/corellia/shared_filler_historic_24x16_s01.iff', '0', '0.707105', '0', '0.707108', '123.979', '28', '-4538.72', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115484', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '0', '0', '1', '99.1262', '28', '-4541.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115488', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s01.iff', '0', '0.382683', '0', '0.92388', '46.6896', '28', '-4542.24', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115490', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0', '0', '1', '57.257', '28', '-4544.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115491', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '-0.707105', '0', '0.707108', '44.3716', '28', '-4531.61', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115493', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.707105', '0', '0.707108', '40.7909', '28', '-4500.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115494', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.707096', '0', '0.707117', '48.8843', '28', '-4499.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115496', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s01.iff', '0', '0.707105', '0', '0.707108', '39.6401', '28', '-4464.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115497', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '-0.707105', '0', '0.707108', '39.6984', '28', '-4452.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115499', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '-0.707094', '0', '0.707119', '99.5569', '28', '-4463.49', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115500', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s01.iff', '0', '1', '0', '2.841e-07', '113.717', '28', '-4468.34', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115501', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.84314', '0', '-0.537694', '141.248', '28', '-4496.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115502', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.382683', '0', '0.92388', '122.872', '28', '-4474.21', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115503', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s01.iff', '0', '-0.382684', '0', '0.923879', '141.459', '28', '-4536.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115504', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '-0.707106', '0', '0.707108', '143.794', '28', '-4526.14', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115505', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '1', '0', '3.48103e-07', '130.83', '28', '-4539.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115506', '0', 'object/building/corellia/shared_filler_slum_16x16_s01.iff', '0', '0.92388', '0', '-0.382683', '-5274.58', '21', '-2311.43', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115519', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '-0.382683', '0', '0.92388', '-5180.99', '21', '-2305.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115520', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s02.iff', '0', '-0.382683', '0', '0.92388', '-5183.76', '21', '-2307.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115528', '0', 'object/static/installation/shared_mockup_factory_machine_style_1.iff', '0', '-0.382683', '0', '0.92388', '-5231.19', '21', '-2316.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115530', '0', 'object/building/corellia/shared_filler_slum_16x16_s01.iff', '0', '0', '0', '1', '-5323.82', '21', '-2381.32', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115532', '0', 'object/building/corellia/shared_filler_slum_16x32_s01.iff', '0', '-0.382683', '0', '0.92388', '-5195.12', '21', '-2320.78', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115538', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '0', '0', '1', '-5173.73', '21', '-2254.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115539', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s03.iff', '0', '-0.0749297', '0', '0.997189', '-5193.58', '21', '-2255.2', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115540', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '-0.274144', '0', '0.961689', '-5210.9', '21', '-2264.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115541', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s03.iff', '0', '-0.288538', '0', '0.957469', '-5227.57', '21', '-2274.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115542', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.340735', '0', '0.940159', '-5236.52', '21', '-2281.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115549', '0', 'object/building/corellia/shared_filler_historic_24x16_s02.iff', '0', '0', '0', '1', '-5390.78', '21', '-2679.79', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115567', '0', 'object/building/corellia/shared_filler_historic_32x16_s01.iff', '0', '0', '0', '1', '-257.443', '28', '-4134.31', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115572', '0', 'object/building/corellia/shared_filler_historic_32x16_s02.iff', '0', '0', '0', '1', '-256.606', '27.9994', '-4096.55', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115577', '0', 'object/building/corellia/shared_filler_historic_32x16_s02.iff', '0', '1', '0', '-3.20013e-08', '-157.722', '28', '-4124.67', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115582', '0', 'object/building/corellia/shared_filler_historic_24x16_s02.iff', '0', '0', '0', '1', '-158.568', '28.0989', '-4094.9', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115588', '0', 'object/building/corellia/shared_filler_building_corellia_style_07.iff', '0', '-0.382683', '0', '0.92388', '-324.965', '28', '-4192.14', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115598', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '-0.368782', '0', '0.929516', '-5266.65', '21', '-2334.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115599', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '-0.396498', '0', '0.918036', '-5256.07', '21', '-2345.55', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115600', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s03.iff', '0', '-0.382683', '0', '0.92388', '-5281.16', '21', '-2348.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115601', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s03.iff', '0', '0.92388', '0', '0.382683', '-5269.85', '21', '-2360.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115602', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '-0.368783', '0', '0.929515', '-5284.37', '21', '-2373.85', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115603', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '-0.396498', '0', '0.918036', '-5294.94', '21', '-2363.27', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115604', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s03.iff', '0', '0.923879', '0', '-0.382685', '-5300.96', '21', '-2379.87', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115605', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0.929515', '0', '-0.368783', '-5305.91', '21', '-2374.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115606', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0.396497', '0', '0.918036', '-5296.01', '21', '-2384.82', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115607', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0.382681', '0', '0.92388', '-5304.5', '21', '-2376.33', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115608', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0.382681', '0', '0.92388', '-5297.43', '21', '-2383.4', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115609', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0.368781', '0', '0.929516', '-5245.1', '21', '-2333.91', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115610', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0.396497', '0', '0.918036', '-5255', '21', '-2324.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115611', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0.382684', '0', '0.923879', '-5246.52', '21', '-2332.49', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115612', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0.382684', '0', '0.923879', '-5253.59', '21', '-2325.42', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115613', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s03.iff', '0', '0.382684', '0', '0.923879', '-5250.05', '21', '-2328.96', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115614', '0', 'object/building/corellia/shared_filler_block_corellia_64x32_s02.iff', '0', '-0.707105', '0', '0.707109', '-136.873', '28', '-4190.11', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115620', '0', 'object/building/corellia/shared_filler_block_corellia_64x32_s01.iff', '0', '0', '0', '1', '-76.3021', '28', '-4203.84', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115628', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s01.iff', '0', '0', '0', '1', '23.4208', '28', '-4242.42', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115632', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.707107', '0', '0.707107', '57.7666', '28', '-4275.59', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115635', '0', 'object/building/corellia/shared_garage_corellia.iff', '0', '0', '0', '1', '43.6158', '28', '-4256.46', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115636', '0', 'object/static/structure/corellia/shared_corl_power_arial_prime.iff', '0', '0.382683', '0', '0.92388', '-5255.61', '21', '-2327.18', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115637', '0', 'object/static/structure/corellia/shared_corl_power_box_node.iff', '0', '0.382683', '0', '0.92388', '-5255.91', '21', '-2334.72', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115639', '0', 'object/static/installation/shared_mockup_factory_clothing_style_1.iff', '0', '0.382683', '0', '0.92388', '-5214.15', '21', '-2299.97', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115640', '0', 'object/static/installation/shared_mockup_factory_item_style_1.iff', '0', '-0.382683', '0', '0.92388', '-5190.6', '21', '-2280.55', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115641', '0', 'object/static/installation/shared_mockup_factory_organic_style_1.iff', '0', '-0.274144', '0', '0.961689', '-5213.99', '21', '-2275.62', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115643', '0', 'object/static/installation/shared_mockup_farm_flora_style_1.iff', '0', '0.92388', '0', '-0.382683', '-5266.18', '21', '-2344.25', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115644', '0', 'object/static/structure/corellia/shared_corl_power_connector.iff', '0', '-0.382683', '0', '0.92388', '-5260.18', '21', '-2337.64', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115645', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '-0.382683', '0', '0.92388', '-5290.33', '21', '-2366.36', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115646', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '0.92388', '0', '-0.382683', '-5296.93', '21', '-2372.56', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115647', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s02.iff', '0', '0.92388', '0', '-0.382683', '-5287.57', '21', '-2363.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115648', '0', 'object/static/structure/corellia/shared_corl_power_arial_thin.iff', '0', '0.92388', '0', '0.382683', '-5287.68', '21', '-2363.33', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115649', '0', 'object/static/structure/corellia/shared_corl_power_connector.iff', '0', '0.92388', '0', '0.382683', '-5292.38', '21', '-2368.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115650', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '18.562', '28', '-4241.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115651', '0', 'object/static/installation/shared_mockup_power_generator_wind_style_1.iff', '0', '-0.382683', '0', '0.92388', '-5283.25', '21', '-2368.96', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115652', '0', 'object/static/installation/shared_mockup_power_generator_wind_style_1.iff', '0', '-0.382683', '0', '0.92388', '-5277.12', '21', '-2363.49', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115653', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0.382683', '0', '0.92388', '-5272.52', '21', '-2350.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115655', '0', 'object/static/structure/corellia/shared_corl_power_connector.iff', '0', '-0.382683', '0', '0.92388', '-428.681', '28', '-4579.91', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115656', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0.707091', '0', '0.707122', '-444.872', '28', '-4577.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115657', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s02.iff', '0', '0.707091', '0', '0.707122', '-425.872', '28', '-4577.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115658', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s02.iff', '0', '0.707091', '0', '0.707122', '-449.872', '28', '-4577.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115659', '0', 'object/static/structure/corellia/shared_corl_power_connector.iff', '0', '-0.382683', '0', '0.92388', '-447.397', '28', '-4574.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115660', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '0', '0', '1', '-437.872', '28', '-4571.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115661', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '0', '0', '1', '-430.872', '28', '-4571.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115662', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '0', '0', '1', '-444.872', '28', '-4571.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115663', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '1', '0', '0', '-437.872', '28', '-4583.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115664', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '1', '0', '0', '-430.872', '28', '-4583.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115665', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '1', '0', '0', '-444.872', '28', '-4583.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115666', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0.707091', '0', '0.707122', '-437.872', '28', '-4577.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115667', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0.707091', '0', '0.707122', '-430.872', '28', '-4577.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115669', '0', 'object/static/structure/corellia/shared_corl_power_arial_prime.iff', '0', '0.92388', '0', '-0.382683', '-5282.3', '21', '-2358.58', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115671', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '1', '0', '3.27653e-06', '-378.308', '28', '-4558.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115672', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s02.iff', '0', '1', '0', '3.27653e-06', '-378.308', '28', '-4577.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115673', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s02.iff', '0', '1', '0', '3.27653e-06', '-378.308', '28', '-4553.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115675', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '0.707105', '0', '0.707108', '-365.308', '28', '-4565.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115676', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '0.707105', '0', '0.707108', '-372.308', '28', '-4572.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115677', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '0.707105', '0', '0.707108', '-372.308', '28', '-4558.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115678', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '-0.707105', '0', '0.707108', '-391.308', '28', '-4565.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115679', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '-0.707105', '0', '0.707108', '-384.308', '28', '-4572.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115680', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '-0.707105', '0', '0.707108', '-384.308', '28', '-4558.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115681', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '1', '0', '3.27653e-06', '-378.308', '28', '-4565.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115682', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '1', '0', '3.27653e-06', '-378.308', '28', '-4572.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115683', '0', 'object/tangible/furniture/all/shared_frn_all_toolchest_lg_s01.iff', '0', '-0.382683', '0', '0.92388', '-5291.48', '21', '-2379.24', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115684', '0', 'object/tangible/furniture/all/shared_frn_all_toolchest_med_s01.iff', '0', '-0.382683', '0', '0.92388', '-5290.62', '21', '-2378.46', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115685', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.534482', '0', '0.84518', '-5293.59', '21.6957', '-2381.14', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115686', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.348628', '0', '0.937261', '-5292.95', '21', '-2380.43', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115687', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '-0.220606', '-0.317575', '0.452282', '0.803692', '-5291.96', '21.3175', '-2379.67', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115688', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.90394', '0', '-0.427661', '-5293.71', '21', '-2381.24', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115690', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '-0.707105', '0', '0.707108', '-456.262', '28', '-4576', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115691', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '0.707108', '0', '0.707105', '-423.096', '28', '-4582.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115692', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s02.iff', '0', '-0.707105', '0', '0.707108', '-456.293', '28', '-4587.89', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115693', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '0', '0', '1', '-439.764', '28', '-4591.33', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115694', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '-423.171', '28', '-4591.29', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115695', '0', 'object/static/installation/shared_mockup_factory_item_style_1.iff', '0', '0.92388', '0', '0.382683', '-5184.75', '21', '-2274.74', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115696', '0', 'object/static/installation/shared_mockup_factory_clothing_style_1.iff', '0', '0.382683', '0', '0.92388', '-5223.61', '21', '-2290.62', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115697', '0', 'object/static/installation/shared_mockup_power_generator_solar_style_1.iff', '0', '-0.302866', '0', '0.953033', '-5201.8', '21', '-2269.65', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115698', '0', 'object/static/installation/shared_mockup_power_generator_solar_style_1.iff', '0', '-0.302866', '0', '0.953033', '-5196.03', '21', '-2265.57', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115704', '0', 'object/static/structure/general/shared_prp_junk_s2.iff', '0', '-0.382683', '0', '0.92388', '-5169.25', '21', '-2264.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115705', '0', 'object/static/structure/general/shared_prp_junk_s3.iff', '0', '0', '0', '1', '-5169.96', '22.0093', '-2260.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115707', '0', 'object/static/structure/general/shared_prp_junk_s4.iff', '0', '-0.382683', '0', '0.92388', '-5186.09', '21', '-2313.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115709', '0', 'object/static/structure/general/shared_prp_junk_s1.iff', '0', '0', '0', '1', '-5184.63', '21', '-2312.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115710', '0', 'object/static/structure/general/shared_prp_junk_s2.iff', '0', '-0.382683', '0', '0.92388', '-5177.36', '24.4151', '-2311.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115712', '0', 'object/static/structure/general/shared_prp_junk_s5.iff', '-0.382683', '2.15009e-08', '0.92388', '-3.29057e-08', '-5267.6', '22.8865', '-2354.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115713', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '1', '0', '3e-06', '-372.308', '28', '-4565.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115714', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '1', '0', '3e-06', '-384.308', '28', '-4565.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115715', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '-0.270598', '-0.270598', '0.653281', '0.653282', '-5259.28', '21.8795', '-2339.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115716', '0', 'object/static/structure/general/shared_prp_junk_s7.iff', '0', '0.382683', '0', '0.92388', '-5204.98', '20.8419', '-2347.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115717', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0', '0', '0', '1', '-5249.9', '21', '-2334.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115718', '0', 'object/static/structure/general/shared_prp_junk_s1.iff', '0', '0.92388', '0', '-0.382683', '-5259.94', '21', '-2330.59', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115719', '0', 'object/static/structure/general/shared_prp_junk_s1.iff', '0', '0.382683', '0', '0.92388', '-5263.79', '21', '-2334.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115720', '0', 'object/static/structure/general/shared_prp_junk_s2.iff', '0', '0.382683', '0', '0.92388', '-5296.43', '23.267', '-2380.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115722', '0', 'object/static/structure/general/shared_prp_junk_s7.iff', '0.927311', '-0.0681951', '-0.3579', '-0.0857365', '-5204.05', '23.194', '-2346.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115723', '0', 'object/static/structure/corellia/shared_corl_power_arial_prime.iff', '0', '0', '0', '1', '-374.939', '28', '-4561.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115724', '0', 'object/static/structure/corellia/shared_corl_power_arial_thin.iff', '0', '0', '0', '1', '-380.922', '28', '-4568.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115726', '0', 'object/static/structure/general/shared_prp_junk_s2.iff', '0.923879', '3.29057e-08', '0.382684', '2.12892e-08', '-5202.74', '21.0326', '-2349.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115732', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '-0.707105', '0', '0.707108', '-394.189', '28', '-4565.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115733', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '-0.707105', '0', '0.707108', '-362.189', '28', '-4565.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115734', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '0', '0', '1', '-378.189', '28', '-4581.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115736', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '-0.33603', '0', '0.941851', '-388.129', '28', '-4544.64', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115737', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.941851', '0', '-0.336031', '-368.308', '28', '-4544.8', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115738', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s01.iff', '0', '0', '0', '1', '-378.189', '28', '-4539.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115739', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '-362.189', '28', '-4581.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115740', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '-394.189', '28', '-4581.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115741', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.707105', '0', '0.707108', '-394.189', '28', '-4549.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115742', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.707107', '0', '-0.707107', '-362.189', '28', '-4549.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115743', '0', 'object/building/corellia/shared_skyscraper_corellia_style_02.iff', '0', '-0.382683', '0', '0.92388', '-5177.17', '21', '-2463.91', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115747', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.707105', '0', '0.707108', '-156.075', '28.2757', '-4105.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115748', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.92388', '0', '-0.382683', '-172.663', '28.3782', '-4072.99', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115749', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '-0.382683', '0', '0.92388', '-241.977', '28.1522', '-4072.99', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115750', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.707107', '0', '-0.707107', '-158.097', '28', '-4146.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115751', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '1', '0', '-7.33659e-08', '-149.778', '28', '-4162.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115752', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '-158.108', '28', '-4162.63', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115753', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.707096', '0', '0.707117', '-258.761', '28.0098', '-4114.63', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115754', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '1', '0', '-1.84354e-06', '-272.593', '28', '-4147.34', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115755', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.382683', '0', '0.92388', '-230.317', '28.67', '-4061.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115757', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.382683', '0', '0.92388', '-184.339', '28.7808', '-4061.42', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115758', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s01.iff', '0', '0', '0', '1', '-116.223', '28', '-4206.94', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115759', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0', '0', '1', '-104.582', '28', '-4206.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115760', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0', '0', '1', '-128.196', '28', '-4206.94', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115762', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.923879', '0', '-0.382684', '-54', '28', '-4268', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115763', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0', '0', '1', '-75', '28', '-4255', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115764', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s01.iff', '0', '0.382683', '0', '0.92388', '-63', '28', '-4259', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115765', '0', 'object/building/corellia/shared_filler_building_corellia_style_04.iff', '0', '-0.382683', '0', '0.92388', '-5158.51', '21', '-2599.85', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115771', '0', 'object/building/corellia/shared_filler_block_corellia_32x16_s01.iff', '0', '-0.382683', '0', '0.92388', '-5112.79', '21', '-2641.28', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115774', '0', 'object/static/structure/general/shared_prp_junk_s3.iff', '0.281343', '0.255701', '0.648727', '0.659255', '-5206.32', '23.9807', '-2351.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115775', '0', 'object/static/structure/general/shared_prp_junk_s7.iff', '0.894851', '0', '0', '0.446365', '-5205.17', '23.1228', '-2288.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115776', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.17903', '0', '0.983844', '-5206.17', '21', '-2287.36', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115777', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '-0.501213', '0', '0.865324', '-5204.27', '21', '-2287.2', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115778', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0', '0', '1', '-5202.3', '21', '-2288.25', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115779', '0', 'object/static/structure/general/shared_prp_junk_s5.iff', '0', '0', '0', '1', '-5199.99', '21', '-2279.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115780', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '0', '0', '0', '1', '-5212.09', '21.9776', '-2284.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115781', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0', '0', '0', '1', '-5210.9', '21.279', '-2283.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115783', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '-5208.78', '21', '-2287.67', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115788', '0', 'object/static/structure/general/shared_prp_junk_s5.iff', '0', '0', '0', '1', '-5200', '21', '-2279', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115792', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '-6.72676e-09', '0.78809', '-8.61212e-09', '0.615561', '-5207.59', '21.0001', '-2288.07', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115793', '0', 'object/static/structure/general/shared_prp_engine_component.iff', '0', '-0.696135', '0', '0.717911', '-5207.53', '21.7589', '-2287.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115794', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '0.382683', '0', '0.92388', '-114.788', '28', '-4328.79', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115796', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.382683', '0', '0.92388', '-106.303', '28', '-4337.28', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115797', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '-0.5', '0.5', '0.5', '-0.5', '-5205.33', '21.3233', '-2287.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115798', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.368783', '0', '0.929516', '-123.153', '28', '-4320.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115799', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '-5204.98', '21', '-2286.18', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115800', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.958471', '0', '0.285188', '-5206.24', '21', '-2285.83', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115802', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0', '0', '1', '-194', '28', '-4296', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115803', '0', 'object/static/item/shared_item_con_bowl_full.iff', '0', '0', '0', '1', '-5205.02', '21.2846', '-2286.28', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115804', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '-0.707105', '0', '0.707108', '-186', '28', '-4312', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115805', '0', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '-5205.49', '21.6641', '-2286.67', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115806', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '-0.707105', '0', '0.707108', '-186', '28', '-4336', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115807', '0', 'object/static/item/shared_item_con_tato_bowl_full_s01.iff', '0', '0', '0', '1', '-5205.09', '21.6641', '-2286.81', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115809', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0', '0', '1', '-210', '28', '-4296', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115810', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '0.707107', '0', '-0.707107', '-234', '28', '-4312', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115815', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0', '0', '1', '-226', '28', '-4296', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115816', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '-0.707105', '0', '0.707108', '-234', '28', '-4336', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115817', '0', 'object/static/item/shared_item_glass_metal.iff', '0', '0', '0', '1', '-5204.77', '20.5483', '-2286.22', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115818', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '-0.382683', '0', '0.92388', '-5143.14', '21.0001', '-2306.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115819', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.382683', '0', '0.92388', '-5155', '21', '-2318.18', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115820', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s02.iff', '0', '-0.382683', '0', '0.92388', '-5158.41', '21', '-2321.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115821', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '-0.382683', '0', '0.92388', '-5173.68', '21', '-2336.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115822', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.382683', '0', '0.92388', '-5161.82', '21', '-2325', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115823', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.382683', '0', '0.92388', '-5185.38', '21', '-2348.73', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115824', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s02.iff', '0', '-0.382683', '0', '0.92388', '-5188.75', '21', '-2352.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115825', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.382683', '0', '0.92388', '-5192.09', '21', '-2355.44', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115826', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '-0.382683', '0', '0.92388', '-5197.4', '21', '-2360.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115828', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.92388', '0', '0.382683', '-5203.11', '21', '-2366.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115829', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '0.382683', '0', '0.92388', '-5191.73', '21', '-2377.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115830', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.707107', '0', '0.707107', '-234', '28', '-4344', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115831', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.707107', '0', '0.707107', '-186', '28', '-4344', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115832', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.707107', '0', '0.707107', '-186', '28', '-4296', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115833', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.707107', '0', '0.707107', '-234', '28', '-4296', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115836', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.382683', '0', '0.92388', '-5335.88', '19.9', '-2479.37', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115837', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '-0.707106', '0', '0.707108', '-5341.92', '19.9', '-2450.25', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115838', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '0.707106', '0', '0.707108', '-5341.85', '21', '-2470.08', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115839', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '-0.382683', '0', '0.92388', '-5339.5', '21', '-2431.42', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115840', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.382683', '0', '0.92388', '-5331.08', '19.9', '-2422.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115906', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s02.iff', '0', '-0.0749297', '0', '0.997189', '-5330.03', '21', '-2429.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115907', '0', 'object/static/structure/corellia/shared_corl_power_arial_thin.iff', '0', '0', '0', '1', '-5330.49', '21', '-2425.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115908', '0', 'object/static/structure/corellia/shared_corl_fountain_brazier_round_s01.iff', '0', '0', '0', '1', '-208.809', '28.5955', '-4122.66', '96', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115909', '0', 'object/tangible/furniture/all/shared_frn_all_table_s02.iff', '0', '0.927676', '0', '-0.373385', '-5336.91', '21', '-2463.55', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115910', '0', 'object/tangible/furniture/all/shared_frn_all_table_s03.iff', '0', '0.707106', '0', '0.707107', '-5338', '21', '-2454', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115912', '0', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '1', '0', '-9.52216e-08', '-5338', '21', '-2452', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115913', '0', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_2.iff', '0', '0.707106', '0', '0.707107', '-5340', '21', '-2454', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115914', '0', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0', '0', '1', '-5338', '21', '-2456', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115915', '0', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.927676', '0', '-0.373385', '-5335.53', '21', '-2462.11', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115916', '0', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_3.iff', '0', '0.91999', '0', '0.391943', '-5338.35', '21', '-2462.17', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115918', '0', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '-0.391944', '0', '0.919989', '-5335.47', '21', '-2464.94', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115919', '0', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.373385', '0', '0.927676', '-5338.3', '21', '-2464.99', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115920', '0', 'object/tangible/furniture/all/shared_frn_all_table_s03.iff', '0', '0.992765', '0', '-0.120077', '-5328.91', '21', '-2443.3', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115921', '0', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_3.iff', '0', '0.120083', '0', '0.992764', '-5329.39', '21', '-2445.24', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115922', '0', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '-0.617081', '0', '0.7869', '-5326.97', '21', '-2443.78', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115923', '0', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.7869', '0', '0.617081', '-5330.85', '21', '-2442.83', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115924', '0', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.992764', '0', '-0.12008', '-5328.44', '21', '-2441.36', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115925', '0', 'object/tangible/furniture/all/shared_frn_all_table_s02.iff', '0', '0.281157', '0', '0.959662', '-5338.57', '21', '-2441.42', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115926', '0', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.281157', '0', '0.959662', '-5339.65', '21', '-2443.11', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115927', '0', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_3.iff', '0', '-0.479776', '0', '0.877391', '-5336.88', '21', '-2442.5', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115928', '0', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.959662', '0', '-0.281157', '-5337.49', '21', '-2439.74', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115929', '0', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.877392', '0', '0.479775', '-5340.25', '21', '-2440.35', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115930', '0', 'object/tangible/furniture/all/shared_frn_all_table_s03.iff', '0', '0.884525', '0', '0.466493', '-5328.68', '21', '-2456.52', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115931', '0', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_3.iff', '0', '-0.466484', '0', '0.884529', '-5327.03', '21', '-2457.65', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115932', '0', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.955313', '0', '-0.295597', '-5327.55', '21', '-2454.86', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115933', '0', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.295597', '0', '0.955313', '-5329.81', '21', '-2458.17', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115934', '0', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.884527', '0', '0.466489', '-5330.33', '21', '-2455.39', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115935', '0', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_2.iff', '0', '-0.707106', '0', '0.707107', '-5336', '21', '-2454', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115941', '0', 'object/static/structure/corellia/shared_corl_fountain_rectangle_s01.iff', '0', '-0.382683', '0', '0.92388', '-5128', '21', '-2630', '96', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115942', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s01.iff', '0', '-0.382683', '0', '0.92388', '-5132.91', '21', '-2653.62', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115943', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.0399893', '0', '0.9992', '-5152.81', '19.9', '-2656.17', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115944', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '0.0449848', '0', '0.998988', '-5172.35', '21', '-2654.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115945', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.039989', '0', '0.9992', '-5191.5', '19.9', '-2653.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115946', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '0.220863', '0', '0.975305', '-5210.79', '20.9944', '-2650.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115947', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.191509', '0', '0.981491', '-5228.98', '19.9', '-2642.44', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115948', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '0.382683', '0', '0.92388', '-5246.16', '20.9818', '-2633.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115949', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.382683', '0', '0.92388', '-5254', '19.9', '-2626.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115951', '0', 'object/building/corellia/shared_filler_historic_24x16_s01.iff', '0', '0.707107', '0', '0.707107', '-282.786', '28', '-4135.05', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115953', '0', 'object/building/corellia/shared_filler_historic_24x16_s02.iff', '0', '0.707107', '0', '-0.707107', '-290.858', '28', '-4149.93', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115955', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '0', '0', '1', '-325', '28', '-4147', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115956', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '0', '0', '1', '-357', '28', '-4147', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115957', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '0', '0', '1', '-389', '28', '-4147', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115958', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s02.iff', '0', '0', '0', '1', '-306', '28', '-4147', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115965', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '0', '0', '1', '-421', '28', '-4147', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115966', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '-0.382683', '0', '0.92388', '-456', '28', '-4158', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115970', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s01.iff', '0', '0', '0', '1', '-441', '28', '-4147', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115973', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s01.iff', '0', '0.923879', '0', '0.382684', '-518.013', '28', '-4217.69', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115974', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '0.923879', '0', '0.382684', '-531.448', '28', '-4231.13', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115975', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '0.923879', '0', '0.382684', '-504.578', '28', '-4204.26', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115983', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s01.iff', '0', '-0.382683', '0', '0.92388', '-563.387', '28', '-4240.21', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115984', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s01.iff', '0', '-0.382683', '0', '0.92388', '-570.458', '28', '-4247.28', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115985', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s01.iff', '0', '-0.382683', '0', '0.92388', '-556.316', '28', '-4233.14', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115986', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.92388', '0', '-0.382683', '-566.677', '28', '-4255.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115987', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.92388', '0', '-0.382683', '-548.263', '28', '-4236.85', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115988', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.382683', '0', '0.92388', '-542.652', '28', '-4242.39', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115990', '0', 'object/static/structure/corellia/shared_corl_fountain_rectangle_s01.iff', '0', '0.923879', '0', '-0.382684', '-263', '28', '-4187', '96', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115991', '0', 'object/static/structure/corellia/shared_corl_fountain_rectangle_s01.iff', '0', '0', '0', '1', '-268', '28', '-4199', '96', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115992', '0', 'object/static/structure/corellia/shared_corl_fountain_rectangle_s01.iff', '0', '0.923879', '0', '0.382684', '-263', '28', '-4211', '96', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115993', '0', 'object/building/corellia/shared_filler_historic_32x16_s01.iff', '0', '-0.707105', '0', '0.707108', '-5432.21', '21', '-2586.17', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115998', '0', 'object/static/structure/corellia/shared_corl_fountain_brazier_square_s01.iff', '0', '0', '0', '1', '-257', '28', '-4199', '96', '1');
INSERT INTO `staticobjects` VALUES ('0', '2115999', '0', 'object/building/corellia/shared_filler_historic_32x16_s02.iff', '0', '1', '0', '8.3201e-07', '-5474.22', '21', '-2625.71', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116004', '0', 'object/building/corellia/shared_filler_historic_32x16_s01.iff', '0', '0.707107', '0', '-0.707106', '-5433.65', '21', '-2665.72', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116013', '0', 'object/building/corellia/shared_filler_historic_24x16_s02.iff', '0', '1', '0', '-3.20013e-08', '-5506.41', '21', '-2722.02', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116015', '0', 'object/building/corellia/shared_filler_historic_32x16_s02.iff', '0', '-0.707105', '0', '0.707108', '-5463.2', '21', '-2586.27', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116020', '0', 'object/building/corellia/shared_filler_historic_32x16_s01.iff', '0', '0.653879', '0', '0.7566', '-5457.1', '21', '-2801.42', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116025', '0', 'object/building/corellia/shared_filler_block_corellia_64x32_s01.iff', '0', '0', '0', '1', '-5552.84', '21', '-2723.05', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116043', '0', 'object/building/corellia/shared_filler_block_corellia_32x16_s01.iff', '0', '0.707105', '0', '0.707108', '-5606.65', '21', '-2750.97', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116046', '0', 'object/building/corellia/shared_filler_historic_24x16_s02.iff', '0', '0', '0', '1', '-5568.53', '21', '-2690.45', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116048', '0', 'object/building/corellia/shared_filler_historic_32x16_s02.iff', '0', '1', '0', '-3.20013e-08', '-5605.27', '21', '-2680.99', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116060', '0', 'object/building/corellia/shared_filler_block_corellia_64x32_s02.iff', '0', '-0.707106', '0', '0.707107', '-5549.82', '21', '-2790.43', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116066', '0', 'object/static/structure/corellia/shared_corl_fountain_circle_s01.iff', '0', '0', '0', '1', '-15', '28', '-4440', '96', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116067', '0', 'object/building/corellia/shared_filler_block_corellia_32x16_s01.iff', '0', '0', '0', '1', '-5544.17', '21', '-2846.6', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116070', '0', 'object/building/corellia/shared_filler_block_corellia_64x32_s02.iff', '0', '0.707107', '0', '0.707106', '-5643.14', '21', '-2700.65', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116080', '0', 'object/building/corellia/shared_filler_building_corellia_style_03.iff', '0', '0', '0', '1', '-5665.04', '21', '-2767.39', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116087', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s01.iff', '-0.499999', '-0.499999', '0.500001', '-0.500001', '-39', '33.7048', '-4427', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116088', '0', 'object/building/corellia/shared_filler_building_corellia_style_05.iff', '0', '0', '0', '1', '-5591.79', '21.1105', '-2825.8', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116095', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s01.iff', '-0.499999', '-0.499999', '0.500001', '-0.500001', '-39', '33.7048', '-4453', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116096', '0', 'object/building/corellia/shared_filler_historic_24x16_s01.iff', '0', '0.307628', '0', '0.951507', '-5431.03', '21', '-2783.7', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116098', '0', 'object/building/corellia/shared_shuttleport_corellia.iff', '0', '1', '0', '-3.20013e-08', '-5620.64', '21', '-2790.74', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116099', '0', 'object/building/corellia/shared_garage_corellia.iff', '0', '1', '0', '-1.79515e-07', '-5567.06', '21', '-2562.82', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116100', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.707105', '0', '0.707108', '57.7651', '28', '-4372.85', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116101', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '-0.707105', '0', '0.707108', '94', '28', '-4422', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116102', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s01.iff', '0', '0.707105', '0', '0.707108', '94', '28', '-4410', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116103', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s01.iff', '0', '0.707105', '0', '0.707108', '94', '28', '-4400', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116104', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s01.iff', '0', '0.707105', '0', '0.707108', '94', '28', '-4390', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116105', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '0', '0', '1', '78', '28', '-4387', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116106', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.92388', '0', '-0.382683', '-12.2532', '28', '-4298.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116107', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.707107', '0', '0.707107', '-12.2532', '28', '-4306.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116109', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.923879', '0', '0.382684', '-151.248', '28', '-4836.35', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116110', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '-0.382682', '0', '0.92388', '-139.5', '28', '-4824.61', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116111', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.983356', '0', '0.181687', '-127.99', '28', '-4813.34', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116136', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '-0.707105', '0', '0.707108', '-219.036', '28', '-4794.82', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116138', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '-0.707105', '0', '0.707108', '-219.036', '28', '-4804.82', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116139', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '-0.707094', '0', '0.707119', '-128.107', '28', '-4805.28', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116140', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '-0.707095', '0', '0.707118', '-128.201', '28', '-4795.05', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116141', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '-0.707089', '0', '0.707124', '-128.156', '28', '-4784.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116142', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '1', '0', '2.41953e-07', '-5659.39', '21', '-2670.87', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116143', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '-0.707106', '0', '0.707107', '-5667.69', '21', '-2654.49', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116144', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '-5667.69', '21', '-2670.89', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116145', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.707106', '0', '0.707107', '-5667.7', '21', '-2637.96', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116146', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.707103', '0', '0.70711', '-5667.74', '21', '-2604.72', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116147', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '0.707107', '0', '-0.707107', '-5667.73', '21', '-2621.25', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116148', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.707097', '0', '0.707116', '-5667.77', '20.9999', '-2587.44', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116150', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.707106', '0', '0.707107', '-5667.77', '21', '-2596', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116153', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0', '0', '1', '-5685.31', '21.0091', '-2747.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116154', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.707106', '0', '0.707107', '-5693.56', '21.0017', '-2739.2', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116155', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.707106', '0', '0.707108', '-5693.61', '21', '-2730.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116156', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '-5693.55', '20.9993', '-2747.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116157', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '-5681.86', '21', '-2747.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116158', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s02.iff', '0', '0', '0', '1', '-5656.77', '21', '-2803.96', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116159', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0', '0', '1', '-5644.81', '21', '-2803.94', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116160', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0', '0', '1', '-5668.76', '21.0651', '-2803.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116161', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '-5677.47', '21.0228', '-2803.99', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116162', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.707106', '0', '0.707108', '-5677.52', '21.1581', '-2795.28', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116163', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '-5636.67', '21', '-2803.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116165', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.707106', '0', '0.707107', '-5632.72', '21', '-2814.26', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116166', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0', '0', '1', '-5618.35', '21', '-2822.36', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116167', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s02.iff', '0', '0', '0', '1', '-5629.17', '20.9999', '-2822.41', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116168', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.707106', '0', '0.707107', '-5632.68', '21', '-2806.61', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116169', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s02.iff', '0', '0', '0', '1', '-5570', '21', '-2841', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116170', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '-5577', '21', '-2841', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116171', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '-5563', '21', '-2841', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116172', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0', '0', '1', '-5523.78', '21', '-2842.14', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116173', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s02.iff', '0', '0', '0', '1', '-5464.14', '21', '-2838.85', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116174', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s02.iff', '0', '0', '0', '1', '-5464.14', '21', '-2822.85', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116175', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.707105', '0', '0.707108', '-5469.14', '21', '-2830.85', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116176', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.707105', '0', '0.707108', '-5459.14', '21', '-2830.85', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116177', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0', '0', '1', '-5478.06', '21', '-2822.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116178', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.0149994', '0', '0.999888', '-5451.5', '21', '-2822.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116179', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s02.iff', '0', '-0.382683', '0', '0.92388', '-5418.3', '21', '-2797.34', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116180', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '-0.382683', '0', '0.92388', '-5432.37', '21', '-2811.38', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116181', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '-5444.1', '21', '-2823.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116182', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '-0.503547', '0', '0.863968', '-5408.19', '20.8974', '-2781.34', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116184', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0', '0', '1', '-5391.98', '21', '-2747.54', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116185', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.707105', '0', '0.707108', '-5383.26', '21', '-2747.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116186', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.707105', '0', '0.707108', '-5383.25', '21', '-2728.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116187', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.707105', '0', '0.707108', '-5383.24', '21', '-2737.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116191', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s02.iff', '0', '0.707105', '0', '0.707108', '-5487.88', '21', '-2635.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116192', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.707105', '0', '0.707108', '-5487.88', '21', '-2621.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116193', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.707105', '0', '0.707108', '-5487.88', '21', '-2649.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116194', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.707105', '0', '0.707108', '-5487.88', '21', '-2613.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116195', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.707105', '0', '0.707108', '-5487.88', '21', '-2657.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116196', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0', '0', '1', '-5495.88', '21', '-2613.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116197', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0', '0', '1', '-5495.88', '21', '-2657.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116198', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s02.iff', '0', '0', '0', '1', '-5507.88', '21', '-2613.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116199', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s02.iff', '0', '0', '0', '1', '-5515.88', '21', '-2613.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116200', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0', '0', '1', '-5527.88', '21', '-2613.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116201', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0', '0', '1', '-5511.88', '21', '-2657.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116202', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0', '0', '1', '-5527.88', '21', '-2657.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116203', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.707105', '0', '0.707108', '-5535.88', '21', '-2613.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116204', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.707105', '0', '0.707108', '-5535.88', '21', '-2657.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116205', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.707105', '0', '0.707108', '-5535.88', '21', '-2621.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116206', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.707105', '0', '0.707108', '-5535.88', '21', '-2649.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116208', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s02.iff', '0', '0.707105', '0', '0.707108', '-5535.88', '21', '-2635.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116230', '0', 'object/static/structure/corellia/shared_corl_fountain_statue_contemplate_s01.iff', '0', '0', '0', '1', '-5516', '21.3', '-2632', '96', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116247', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.707106', '0', '0.707108', '-5508', '21', '-2620', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116248', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.707106', '0', '0.707108', '-5508', '21', '-2644', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116249', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.707106', '0', '0.707108', '-5525', '21', '-2644', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116250', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.707106', '0', '0.707108', '-5525', '21', '-2620', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116251', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '1', '0', '2.41953e-07', '-5469', '21.0022', '-2854', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116252', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '1', '0', '4.10541e-07', '-5460', '21.1099', '-2854', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116253', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '1', '0', '2.41953e-07', '-5468', '24.7446', '-2948', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116254', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '1', '0', '4.10541e-07', '-5460', '25.0523', '-2948', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116258', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '-5477', '26.5989', '-2972', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116259', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '-5458', '27.3163', '-2972', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116261', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s02.iff', '0', '0', '0', '1', '-5464', '26.6854', '-2969', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116272', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '1', '0', '0', '-5460', '23.9028', '-2925', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116273', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '1', '0', '0', '-5468', '23.5192', '-2925', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116274', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '1', '0', '0', '-5460', '23.3043', '-2901', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116275', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '1', '0', '0', '-5468', '23.1652', '-2901', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116276', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '1', '0', '0', '-5460', '23.272', '-2877', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2116277', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '1', '0', '0', '-5468', '23.1291', '-2877', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195355', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0', '0', '1', '-184.057', '25.3331', '-4479.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195356', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '-0.707102', '0', '0.707111', '-192.057', '25.3331', '-4471.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195357', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.707107', '0', '0.707107', '-176.057', '25.3331', '-4471.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195358', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '1', '0', '3.20013e-08', '-184.057', '25.3331', '-4463.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195363', '0', 'object/static/structure/corellia/shared_corl_stair_small_s01.iff', '0', '0.533471', '0', '0.845818', '-5310.17', '20.81', '-2569.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195367', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff', '0', '0.533471', '0', '0.845818', '-5327.32', '24.56', '-2577.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195369', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_lg_s01.iff', '0', '0.533471', '0', '0.845818', '-5339.95', '24.62', '-2583.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195371', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_lg_s01.iff', '0', '0.533471', '0', '0.845818', '-5365.22', '24.62', '-2595.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195372', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff', '0', '0.533471', '0', '0.845818', '-5377.86', '24.56', '-2601.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195374', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff', '0', '0.533471', '0', '0.845818', '-5312.88', '24.56', '-2570.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195375', '0', 'object/static/structure/corellia/shared_corl_stair_small_s01.iff', '0', '0.845818', '0', '-0.533471', '-5395', '20.81', '-2610.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195376', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff', '0', '0.533471', '0', '0.845818', '-5392.29', '24.56', '-2608.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195377', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_sm_s01.iff', '0', '0.533471', '0', '0.845818', '-5320.1', '24.62', '-2574.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195378', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_sm_s01.iff', '0', '0.533471', '0', '0.845818', '-5385.08', '24.62', '-2605.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195380', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff', '0', '0.533471', '0', '0.845818', '-5352.59', '24.56', '-2589.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195381', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '-176.057', '28', '-4479.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195382', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '-192.057', '28', '-4479.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195383', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '-176.057', '28', '-4463.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195384', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '-192.057', '28', '-4463.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195395', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '1', '0', '0', '-231.833', '25.3331', '-4463.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195396', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '-239.833', '28', '-4463.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195397', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '-223.833', '28', '-4479.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195398', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '-0.707085', '0', '0.707128', '-239.833', '25.3331', '-4471.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195399', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '-239.833', '28', '-4479.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195400', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0', '0', '1', '-231.833', '25.3331', '-4479.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195401', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.707107', '0', '0.707107', '-223.833', '25.3331', '-4471.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195402', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '-223.833', '28', '-4463.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195427', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '1', '0', '0', '-176.116', '25.65', '-4743.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195428', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '-184.116', '28', '-4743.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195429', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '-168.116', '28', '-4759.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195430', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '-0.707083', '0', '0.70713', '-184.116', '25.65', '-4751.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195431', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '-184.116', '28', '-4759.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195432', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0', '0', '1', '-176.116', '25.65', '-4759.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195433', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.707107', '0', '0.707107', '-168.116', '25.65', '-4751.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195434', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '-168.116', '28', '-4743.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195435', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '1', '0', '0', '-199.901', '25.65', '-4807.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195436', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '-207.901', '28', '-4807.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195437', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '-191.901', '28', '-4823.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195438', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '-0.707087', '0', '0.707126', '-207.901', '25.65', '-4815.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195439', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '-207.901', '28', '-4823.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195440', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0', '0', '1', '-199.901', '25.65', '-4823.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195441', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.707107', '0', '0.707107', '-191.901', '25.65', '-4815.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195442', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '-191.901', '28', '-4807.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195443', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '1', '0', '0', '-151.839', '25.65', '-4807.85', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195444', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '-159.839', '28', '-4807.85', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195445', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '-143.839', '28', '-4823.85', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195446', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '-0.707085', '0', '0.707128', '-159.839', '25.65', '-4815.85', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195447', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '-159.839', '28', '-4823.85', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195448', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0', '0', '1', '-151.839', '25.65', '-4823.85', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195449', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.707107', '0', '0.707107', '-143.839', '25.65', '-4815.85', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195450', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '-143.839', '28', '-4807.85', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195452', '0', 'object/static/structure/corellia/shared_corl_fountain_statue_contemplate_s01.iff', '0', '0', '0', '1', '-508.5', '28', '-4673.5', '96', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195453', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '-0.707105', '0', '0.707108', '-482.108', '28', '-4656.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195454', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.707107', '0', '-0.707107', '-482.092', '28', '-4652.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195455', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.707107', '0', '-0.707107', '-482.229', '28', '-4692.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195456', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.707107', '0', '-0.707107', '-482.213', '28', '-4688.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195458', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '-0.382683', '0', '0.92388', '-489', '28.9803', '-4666', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195459', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.923879', '0', '-0.382684', '-489', '28.9803', '-4680', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195460', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.707107', '0', '-0.707107', '-511.275', '28', '-4675.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195461', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.707107', '0', '-0.707107', '-511.259', '28', '-4671.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195462', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.707107', '0', '0.707107', '-505.755', '28', '-4674.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195463', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.707107', '0', '0.707107', '-505.739', '28', '-4670.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195464', '0', 'object/static/structure/corellia/shared_corl_fountain_rectangle_s01.iff', '0', '0', '0', '1', '-578.328', '28', '-4612.42', '96', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195471', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.707107', '0', '0.707107', '-586.302', '28', '-4610.34', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195472', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.707107', '0', '0.707107', '-586.318', '28', '-4614.34', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195473', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.707107', '0', '-0.707107', '-570.274', '28', '-4614.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195474', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.707107', '0', '-0.707107', '-570.259', '28', '-4610.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195475', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0', '0', '1', '-580.322', '28', '-4621.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195476', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0', '0', '1', '-576.328', '28', '-4621.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195477', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '1', '0', '3.48103e-07', '-576.318', '28', '-4603.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195478', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '1', '0', '3.48103e-07', '-580.312', '28', '-4603.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195480', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0', '0', '1', '-489.664', '28.4782', '-4606.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195481', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0', '0', '1', '-431.9', '28', '-4606.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195482', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '-0.707105', '0', '0.707108', '-456.989', '28', '-4576.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195483', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '-0.707105', '0', '0.707108', '-412.981', '28', '-4619.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195484', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.356949', '0', '0.934124', '-438.576', '28', '-4643.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195485', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.92388', '0', '0.382683', '-438.446', '28', '-4703.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195490', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0', '0', '1', '-334.958', '28', '-4724.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195493', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '-0.382681', '0', '0.92388', '-428.073', '28', '-4729.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195494', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.92388', '0', '0.382683', '-381.3', '28', '-4758.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195495', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '1', '0', '3.20013e-08', '-310.937', '28', '-4754.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195497', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '1', '0', '3.20013e-08', '-195.784', '28', '-4837.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195498', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '1', '0', '3.20013e-08', '-151.234', '28', '-4837.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2195515', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.923879', '0', '0.382684', '33.6791', '28', '-4574.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2215353', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s01.iff', '0', '-0.380554', '0', '0.924759', '-34.4714', '29.4336', '-4620.64', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2215354', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s01.iff', '0', '0.922996', '0', '-0.384809', '-76.8974', '29.4369', '-4620.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2215355', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s01.iff', '0', '-0.380557', '0', '0.924757', '-76.7018', '29.4369', '-4578.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2215356', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s01.iff', '0', '0.922996', '0', '-0.384809', '-34.2762', '29.4369', '-4578.22', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2215369', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0', '0', '1', '-180.974', '28', '-4628.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2215370', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '-0.382683', '0', '0.92388', '-249.272', '28', '-4633.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2215371', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.707107', '0', '0.707107', '-264.732', '28', '-4565', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2215372', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.707105', '0', '0.707109', '-227.231', '28', '-4402.6', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2215373', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.707093', '0', '0.70712', '-227.223', '28', '-4377.16', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2215374', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.70711', '0', '-0.707103', '-192.69', '28', '-4405.46', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2215375', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.707108', '0', '-0.707105', '-192.994', '28', '-4374.47', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2215376', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '1', '0', '1.7811e-06', '-194.94', '28', '-4344.32', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2215377', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '1', '0', '1.7811e-06', '-225.035', '28', '-4344.34', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2215379', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '1', '0', '-3.20013e-08', '-70.3522', '28', '-4471.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2215380', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '1', '0', '-3.20013e-08', '-110.006', '28', '-4471.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2215381', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.707107', '0', '0.707107', '-34.6877', '28', '-4462.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2215382', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.707105', '0', '0.707108', '-34.7683', '28', '-4416.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2215383', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '-0.707105', '0', '0.707108', '10.3016', '30.4895', '-4454.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2215384', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '-0.707105', '0', '0.707108', '10.2652', '30.4981', '-4425.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2215385', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '-0.707105', '0', '0.707109', '22.182', '30.4796', '-4429.24', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2215386', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '-0.707105', '0', '0.707109', '22.16', '30.4797', '-4451.14', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2215387', '0', 'object/building/corellia/shared_filler_historic_32x16_s01.iff', '0', '-0.707106', '0', '0.707107', '-5503.43', '21', '-2755.11', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365352', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0', '0', '1', '-15', '28', '-4451', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365353', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '-0.707105', '0', '0.707108', '6.5', '28', '-4454.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365354', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '-0.707105', '0', '0.707108', '6.5', '28', '-4425.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365355', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.707107', '0', '0.707107', '-35', '28', '-4424', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365356', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.707107', '0', '0.707107', '-35', '28', '-4430', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365357', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.707105', '0', '0.707108', '-35', '28', '-4450', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365358', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.707105', '0', '0.707108', '-35', '28', '-4456', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365359', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.707105', '0', '0.707108', '-25', '28', '-4440', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365360', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '-0.707105', '0', '0.707108', '-5', '28', '-4440', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365361', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '1', '0', '3.20013e-08', '-15', '28', '-4429', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365366', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '1', '0', '3.20013e-08', '-72.5654', '28', '-4385.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365367', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '-0.707105', '0', '0.707108', '-32.8166', '28', '-4344.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365368', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.92388', '0', '0.382683', '-90.3451', '28', '-4276.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365369', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.92388', '0', '-0.382683', '-169.784', '28', '-4276.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365370', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '1', '0', '-3.20013e-08', '-234.114', '28', '-4345.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365371', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '1', '0', '-3.20013e-08', '-185.984', '28', '-4345', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365372', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0', '0', '1', '-275.004', '28', '-4362.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365373', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0', '0', '1', '-145.45', '28', '-4361.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365378', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.923878', '0', '-0.382686', '-171.773', '28', '-4455.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365379', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.92388', '0', '0.382683', '-250.541', '28', '-4458.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365391', '0', 'object/building/corellia/shared_guild_theater_corellia_s01.iff', '0', '1', '0', '-3.20013e-08', '-208.674', '28', '-4148.13', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365392', '2365391', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8105541', '2365392', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '1.29092', '0.6', '-6.27049', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365393', '2365391', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365394', '2365391', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365395', '2365391', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365396', '2365391', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365397', '2365391', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8105544', '2365397', 'object/soundobject/shared_soundobject_city_crowd_cheering.iff', '0', '0', '0', '1', '0.967867', '1.60028', '33.3281', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365398', '2365391', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365399', '2365391', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365400', '2365391', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365401', '2365391', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365402', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.707105', '0', '0.707108', '-180.604', '28.5911', '-4222.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365403', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '1', '0', '3.20013e-08', '-182.54', '28.5911', '-4224.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365404', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '1', '0', '1.84354e-06', '-234.663', '28.5745', '-4224.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365405', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '-0.707105', '0', '0.707108', '-236.712', '28.5745', '-4223.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365406', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '-0.707096', '0', '0.707117', '-236.814', '28.5255', '-4179', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365407', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '-0.707096', '0', '0.707117', '-236.893', '28.5453', '-4138.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365408', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.70711', '0', '0.707103', '-180.591', '28.5582', '-4139.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365409', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.70711', '0', '0.707103', '-180.62', '28.578', '-4179.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365410', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '-0.707105', '0', '0.707108', '-237.285', '28.5951', '-4199.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365411', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.707107', '0', '-0.707107', '-237.236', '28.5951', '-4193.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365413', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.707107', '0', '-0.707107', '-237.24', '28.5951', '-4205.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365415', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0', '0', '1', '-233.948', '28', '-4294.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365416', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0', '0', '1', '-185.901', '28', '-4295.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365417', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '-0.707105', '0', '0.707108', '-296.928', '28', '-4320.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365418', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '-0.382683', '0', '0.92388', '-388.269', '28', '-4395.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365419', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s02.iff', '0', '-0.707106', '0', '0.707107', '-5383.34', '20.8096', '-2742.58', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365420', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s02.iff', '0', '0.707106', '0', '0.707107', '-5400.51', '20.9928', '-2764.17', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365421', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '-0.382684', '0', '0.92388', '-288.423', '28', '-4234.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365423', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '-0.707105', '0', '0.707108', '-341.744', '28', '-4256.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365424', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.707107', '0', '-0.707107', '-379.515', '28', '-4207.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365425', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '1', '0', '3.48103e-07', '-381.077', '28', '-4204.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365428', '0', 'object/building/corellia/shared_guild_theater_corellia_s01.iff', '0', '-0.707106', '0', '0.707108', '-5587.17', '21', '-2627.92', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365429', '2365428', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205724', '2365429', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-0.559552', '0.6', '-6.6938', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365430', '2365428', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365431', '2365428', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365432', '2365428', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365433', '2365428', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365434', '2365428', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205728', '2365434', 'object/soundobject/shared_soundobject_city_crowd_cheering.iff', '0', '0', '0', '1', '1.25911', '1.31181', '36.4718', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365435', '2365428', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365436', '2365428', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '937419', '2365436', 'object/tangible/terminal/shared_terminal_mission_rebel.iff', '0', '1', '0', '-3.20013e-08', '29.9641', '2.12878', '76.4392', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '937421', '2365436', 'object/tangible/terminal/shared_terminal_mission_rebel.iff', '0', '1', '0', '-3.20013e-08', '27.6727', '2.12878', '76.4734', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365437', '2365428', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365438', '2365428', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365439', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '-0.382683', '0', '0.92388', '-490.852', '28', '-4265.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365440', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.382683', '0', '0.92388', '-555.02', '28', '-4257.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365442', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '-0.382684', '0', '0.923879', '-511.704', '28', '-4222.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365443', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.0871895', '0', '0.996192', '-548.782', '28', '-4326.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365446', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s02.iff', '0', '0.707094', '0', '0.707119', '-5413.36', '21', '-2620.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365447', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.707094', '0', '0.707119', '-5413.36', '21', '-2634.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365448', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.707094', '0', '0.707119', '-5413.36', '21', '-2642.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365449', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.707086', '0', '0.707127', '-5413.33', '21', '-2598', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365450', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.707094', '0', '0.707119', '-5413.36', '21', '-2606.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365451', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.707094', '0', '0.707119', '-5457.36', '21', '-2642.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365452', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.707094', '0', '0.707119', '-5457.36', '21', '-2634.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365453', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0', '0', '1', '-5421.33', '21', '-2598', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365454', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0', '0', '1', '-5421.36', '21', '-2642.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365458', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0', '0', '1', '-5449.33', '21', '-2598', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365459', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0', '0', '1', '-5449.36', '21', '-2642.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365460', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.707091', '0', '0.707122', '-5457.33', '21', '-2598', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365461', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.707094', '0', '0.707119', '-5457.36', '21', '-2606.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365462', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s02.iff', '0', '0.707094', '0', '0.707119', '-5457.36', '21', '-2620.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365463', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s02.iff', '0', '0', '0', '1', '-5435.36', '21', '-2642.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365464', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s02.iff', '0', '0', '0', '1', '-5435.33', '21', '-2598', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365465', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0', '0', '1', '-539.727', '28', '-4373.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365466', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.707107', '0', '0.707107', '-524.852', '28', '-4441.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365468', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '1', '0', '3.48103e-07', '-390.054', '28', '-4438.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365469', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.707107', '0', '0.707107', '-410.943', '28', '-4501.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365470', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.707107', '0', '-0.707107', '-436.947', '28', '-4553', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365471', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.382683', '0', '0.92388', '-497.976', '28', '-4564.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365472', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.707107', '0', '0.707107', '-549.004', '28', '-4552.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365473', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '1', '0', '3.20013e-08', '-497.711', '28.9172', '-4518.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365474', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '-0.707105', '0', '0.707109', '-495.145', '28.3659', '-4523.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365475', '0', 'object/static/installation/shared_mockup_power_generator_photo_bio_style_1.iff', '0', '-0.707104', '0', '0.707109', '-495.536', '29.2789', '-4476.09', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365476', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '-0.707105', '0', '0.707108', '-468.995', '28', '-4470.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365477', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '1', '0', '3.20013e-08', '-522.998', '28', '-4461.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365478', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '-0.707106', '0', '0.707107', '-542.847', '28', '-4500.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365479', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '-0.707105', '0', '0.707108', '-542.954', '28', '-4428.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365480', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '-0.707105', '0', '0.707108', '-578.136', '28', '-4471.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365481', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '-0.707105', '0', '0.707108', '-593.043', '28', '-4502.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365482', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '-0.707106', '0', '0.707107', '-577.224', '28', '-4564.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365492', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '-0.707105', '0', '0.707108', '-591.674', '25.7018', '-4609.82', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365493', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '1', '0', '-1.84354e-06', '-575.032', '25.7018', '-4626.44', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365494', '0', 'object/building/corellia/shared_filler_historic_24x16_s02.iff', '0', '-0.707105', '0', '0.707108', '-562.996', '28', '-4582.08', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365497', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0.852108', '0', '-0.523366', '-549.412', '28', '-4588.79', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365498', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.13459', '0', '0.990901', '-550.524', '28', '-4591.5', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365499', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.632673', '0', '0.774419', '-546.743', '28', '-4588.91', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365500', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.999899', '0', '0.0142041', '-549.679', '28', '-4586.38', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365501', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0.380188', '0', '0.924909', '-536.637', '28', '-4590.91', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365502', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.999667', '0', '0.0257937', '-536.437', '28', '-4587.99', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365503', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.663135', '0', '0.7485', '-539.207', '28', '-4591.64', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365504', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.17411', '0', '0.984726', '-535.62', '28', '-4593.12', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365505', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0', '0', '1', '-554.852', '28', '-4596.92', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365506', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.914795', '0', '0.403919', '-556.762', '28', '-4594.7', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365507', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.398609', '0', '0.917121', '-556.937', '28', '-4598.82', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365508', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.535417', '0', '0.844588', '-552.776', '28', '-4598.98', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365509', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.92837', '0', '-0.371658', '-552.938', '28', '-4595.01', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365510', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '-0.382683', '0', '0.92388', '-542.97', '28', '-4599.13', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365511', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.690592', '0', '0.723244', '-545.887', '28', '-4598.91', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365512', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.0172997', '0', '0.99985', '-543.098', '28', '-4601.95', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365513', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.817871', '0', '-0.575402', '-540.044', '28', '-4599.12', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365514', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.999929', '0', '0.0119048', '-542.967', '28', '-4596.43', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365515', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0.975393', '0', '-0.220474', '-543.726', '28', '-4581.17', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365516', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.19229', '0', '0.981338', '-542.955', '28', '-4583.99', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365517', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.848686', '0', '-0.528897', '-541.54', '28', '-4579.63', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365518', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.94185', '0', '0.336032', '-545.413', '28', '-4579.42', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365528', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '-0.382683', '0', '0.92388', '-304.418', '28', '-4620.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365529', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.382681', '0', '0.92388', '-310.5', '28', '-4551.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365533', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.92388', '0', '-0.382683', '143.69', '28', '-4602.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365534', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0', '0', '1', '90.1087', '28', '-4632.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365535', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.707107', '0', '0.707107', '161.764', '28', '-4643.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365539', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.92388', '0', '-0.382683', '48.2413', '28', '-4545.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365540', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.707105', '0', '0.707108', '10.9948', '28', '-4503.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365542', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.707105', '0', '0.707108', '51.0239', '28', '-4498.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365543', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0', '0', '1', '70.0521', '28', '-4533.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365545', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '-0.707105', '0', '0.707108', '136.109', '27.9822', '-4512.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365547', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.92388', '0', '0.382683', '60.2488', '28', '-4402.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365548', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0', '0', '1', '16.8857', '28', '-4375.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365549', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.707105', '0', '0.707108', '-4.23094', '28', '-4334.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365550', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.923879', '0', '-0.382685', '27.275', '28', '-4272.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365551', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.707107', '0', '0.707107', '34.7036', '28', '-4275.58', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365552', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '34.661', '28', '-4284.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365553', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0', '0', '1', '18.7564', '28', '-4215.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365554', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '-0.382683', '0', '0.92388', '-107.618', '28', '-4191.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365555', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '-0.382683', '0', '0.92388', '-291.686', '28', '-4180.69', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365556', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.690595', '0', '0.723242', '-294.603', '28', '-4180.47', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365557', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.0173', '0', '0.99985', '-291.813', '28', '-4183.51', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365558', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.817871', '0', '-0.575402', '-288.759', '28', '-4180.68', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365559', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.999929', '0', '0.011905', '-291.683', '28', '-4177.98', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365560', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '-0.0449854', '0', '0.998988', '-280.44', '28', '-4171.47', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365561', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.895698', '0', '0.444662', '-282.541', '28', '-4169.43', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365562', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.285952', '0', '0.958244', '-281.539', '28', '-4173.9', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365563', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.572869', '0', '0.819647', '-278.098', '28', '-4172.11', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365564', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.648032', '0', '0.761613', '-282.408', '28', '-4187.1', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365565', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0.955101', '0', '0.296281', '-280.049', '28', '-4186.51', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365566', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.656817', '0', '0.75405', '-277.221', '28', '-4187.26', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365567', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.999415', '0', '-0.0341967', '-280.282', '28', '-4183.85', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365568', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.990105', '0', '-0.140331', '-273.934', '28', '-4159.58', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365569', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0.840873', '0', '0.541233', '-281.438', '28', '-4201.19', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365570', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.834758', '0', '-0.550616', '-278.631', '28', '-4200.37', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365571', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.986922', '0', '0.161196', '-282.308', '28', '-4198.51', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365572', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.420405', '0', '0.907336', '-284.174', '28', '-4202.23', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365573', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.189948', '0', '0.981794', '-280.492', '28', '-4203.73', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365574', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0.761095', '0', '-0.64864', '-274.415', '28', '-4161.96', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365575', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.285953', '0', '0.958244', '-276.295', '28', '-4164.19', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365576', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.505533', '0', '0.862807', '-271.911', '28', '-4162.89', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365577', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.864926', '0', '-0.5019', '-290.2', '28', '-4193.51', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365578', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '-0.46178', '0', '0.886995', '-292.203', '28', '-4194.89', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365579', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.624898', '0', '0.780706', '-295.112', '28', '-4195.18', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365580', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.144492', '0', '0.989506', '-291.051', '28', '-4197.3', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365581', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '-0.653878', '0', '0.7566', '-176.817', '28.6017', '-4204.13', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365582', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.428025', '0', '0.903767', '-179.285', '28.6017', '-4205.7', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365583', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.298097', '0', '0.954535', '-175.233', '28.6017', '-4206.47', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365584', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.957354', '0', '-0.288917', '-174.475', '28.6017', '-4202.37', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365585', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.945423', '0', '0.325845', '-178.428', '28.6017', '-4201.96', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365586', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.374084', '0', '0.927395', '-171.819', '28', '-4214.97', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365587', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.422854', '0', '0.906198', '-167.265', '28', '-4214.5', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365588', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '-0.697282', '0', '0.716797', '-169.552', '28', '-4213.12', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365589', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.9727', '0', '-0.232066', '-168.637', '28', '-4210.87', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365590', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.944147', '0', '0.329523', '-178.986', '28.6321', '-4190.71', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365591', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0.973848', '0', '-0.2272', '-177.323', '28.6321', '-4192.48', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365592', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.845015', '0', '-0.534743', '-175.117', '28.6321', '-4190.98', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365593', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.18551', '0', '0.982642', '-176.591', '28.6321', '-4195.31', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365594', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.789502', '0', '0.613748', '-198.854', '28', '-4104.42', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365595', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0.995415', '0', '0.0956519', '-196.458', '28', '-4104.82', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365596', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.971527', '0', '-0.236929', '-195.611', '28', '-4102.29', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365597', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.489565', '0', '0.871967', '-194.161', '28', '-4106.64', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365598', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.945423', '0', '0.325845', '-186.437', '28.6176', '-4115.56', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365599', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.957354', '0', '-0.288917', '-182.483', '28.6176', '-4115.97', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365600', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '-0.653878', '0', '0.7566', '-184.825', '28.6176', '-4117.72', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365601', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.428025', '0', '0.903767', '-187.294', '28.6176', '-4119.29', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365602', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.298098', '0', '0.954535', '-183.242', '28.6176', '-4120.06', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365603', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.945423', '0', '0.325845', '-233.92', '28.636', '-4115.67', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365604', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.957354', '0', '-0.288917', '-229.967', '28.636', '-4116.09', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365605', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '-0.653878', '0', '0.7566', '-232.309', '28.636', '-4117.84', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365606', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.428025', '0', '0.903767', '-234.777', '28.636', '-4119.41', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365607', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.298098', '0', '0.954535', '-230.725', '28.636', '-4120.18', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365608', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0.908633', '0', '0.417596', '-173.867', '28', '-4093.31', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365609', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.749026', '0', '-0.662541', '-170.944', '28', '-4093.31', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365610', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.543833', '0', '0.839194', '-175.997', '28', '-4094.49', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365611', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.995415', '0', '0.0956499', '-174.775', '28', '-4090.8', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365621', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '-5430.5', '18.6576', '-2630.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365622', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '-5437.5', '18.6576', '-2630.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365623', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '-5437.5', '18.6576', '-2618.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365624', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '-5430.5', '18.6576', '-2618.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365722', '0', 'object/building/corellia/shared_filler_historic_32x16_s02.iff', '0', '-0.707106', '0', '0.707107', '6764.15', '315', '-5796.39', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365727', '0', 'object/building/corellia/shared_filler_historic_32x16_s02.iff', '0', '0.707107', '0', '0.707107', '6835.4', '315.025', '-5686.5', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365732', '0', 'object/building/corellia/shared_filler_historic_24x16_s01.iff', '0', '0', '0', '1', '6849.27', '315', '-5730.41', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365734', '0', 'object/building/corellia/shared_filler_historic_24x16_s01.iff', '0', '0.707107', '0', '0.707107', '6832.34', '315', '-5832.12', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365743', '0', 'object/building/corellia/shared_filler_historic_24x16_s02.iff', '0', '-0.707105', '0', '0.707108', '6801.79', '315', '-5714.15', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365746', '0', 'object/building/corellia/shared_filler_historic_32x16_s01.iff', '0', '0.707105', '0', '0.707108', '6835.57', '315', '-5711.54', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365751', '0', 'object/building/corellia/shared_filler_historic_24x16_s02.iff', '0', '0', '0', '1', '6850.31', '315', '-5753.3', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365754', '0', 'object/building/corellia/shared_filler_block_corellia_64x32_s01.iff', '0', '0', '0', '1', '6779.33', '315', '-5756.45', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365761', '0', 'object/building/corellia/shared_guild_combat_corellia_style_01.iff', '0', '0.707107', '0', '-0.707107', '6871.66', '315', '-5783.68', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365762', '2365761', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365763', '2365761', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365764', '2365761', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365765', '2365761', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365766', '2365761', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365767', '2365761', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365768', '2365761', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365769', '2365761', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365770', '2365761', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365787', '0', 'object/building/corellia/shared_filler_historic_24x16_s02.iff', '0', '0', '0', '1', '6861.81', '315', '-5814.09', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365790', '0', 'object/building/corellia/shared_filler_block_corellia_32x16_s01.iff', '0', '1', '0', '9.52215e-08', '6799.47', '315', '-5795.54', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365793', '0', 'object/building/corellia/shared_guild_university_corellia_style_01.iff', '0', '0.990104', '0', '-0.140331', '6858.25', '330', '-5426.32', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365794', '2365793', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365795', '2365793', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365796', '2365793', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365797', '2365793', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365798', '2365793', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365799', '2365793', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365800', '2365793', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365801', '2365793', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365802', '2365793', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365803', '0', 'object/building/corellia/shared_hotel_corellia.iff', '0', '-0.632673', '0', '0.774419', '6938.44', '330', '-5587.7', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365804', '2365803', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365805', '2365803', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365806', '2365803', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365807', '2365803', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1095006', '2365807', 'object/tangible/gambling/slot/shared_standard.iff', '0', '-0.00230193', '0', '0.999997', '4.41089', '1.27668', '-22.0438', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1095007', '2365807', 'object/tangible/gambling/slot/shared_standard.iff', '0', '-0.00230193', '0', '0.999997', '0.337851', '1.27578', '-22.0017', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1095008', '2365807', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '-0.00230193', '0', '0.999997', '-1.14261', '1.08598', '-16.1409', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1095009', '2365807', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '-0.00230193', '0', '0.999997', '9.50218', '1.08694', '-16.1513', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1095010', '2365807', 'object/tangible/gambling/slot/shared_standard.iff', '0', '-0.00230193', '0', '0.999997', '8.45293', '1.27668', '-22.1475', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8105455', '2365807', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-0.085714', '0.999993', '0.178281', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365808', '2365803', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8105462', '2365808', 'object/soundobject/shared_soundobject_cantina_small.iff', '0', '0', '0', '1', '19.492', '1.28309', '-2.41068', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365809', '2365803', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1095000', '2365809', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '0.00269807', '0', '0.999996', '-15.9199', '1.00086', '-0.124132', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1095001', '2365809', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '0.00269807', '0', '0.999996', '-15.8828', '1.00088', '4.24521', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1095002', '2365809', 'object/tangible/gambling/slot/shared_standard.iff', '0', '-0.705205', '0', '0.709004', '-12.3335', '1.00069', '-0.167276', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1095003', '2365809', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.709012', '0', '0.705197', '-12.1311', '1.00054', '-0.189236', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1095004', '2365809', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.71791', '0', '0.696136', '-11.9711', '1.0008', '4.11567', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1095005', '2365809', 'object/tangible/gambling/slot/shared_standard.iff', '0', '-0.696142', '0', '0.717904', '-12.1723', '1.00065', '4.14241', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365810', '2365803', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365811', '2365803', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365812', '2365803', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365813', '2365803', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365814', '0', 'object/building/corellia/shared_filler_historic_24x16_s01.iff', '0', '0.707107', '0', '0.707107', '6806.55', '315.019', '-5630.32', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365816', '0', 'object/building/corellia/shared_filler_historic_24x16_s01.iff', '0', '0', '0', '1', '6762.75', '315', '-5654.95', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365818', '0', 'object/building/corellia/shared_filler_historic_24x16_s02.iff', '0', '0.71225', '0', '0.701926', '6777.7', '314.888', '-5631.78', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365821', '0', 'object/building/corellia/shared_filler_historic_24x16_s02.iff', '0', '0.342898', '0', '0.939373', '6853.31', '314.378', '-5624.45', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365824', '0', 'object/building/corellia/shared_shuttleport_corellia.iff', '0', '0.999526', '0', '-0.0307917', '6624.31', '330', '-5921.29', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365825', '0', 'object/building/corellia/shared_filler_building_corellia_style_03.iff', '0', '-0.707106', '0', '0.707107', '6673.11', '330', '-5882.67', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365839', '0', 'object/building/corellia/shared_filler_historic_24x16_s02.iff', '0', '0.717357', '0', '0.696706', '6700.59', '330', '-5978.49', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365842', '0', 'object/building/corellia/shared_shuttleport_corellia.iff', '0', '0.10023', '0', '0.994964', '6950.4', '330', '-5538.88', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365897', '0', 'object/building/corellia/shared_skyscraper_corellia_style_05.iff', '0', '0.956014', '0', '0.293321', '6748.02', '314.999', '-5498.31', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365901', '0', 'object/building/corellia/shared_cloning_corellia.iff', '0', '-0.707105', '0', '0.707108', '6883.65', '315', '-5720.02', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365902', '2365901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365903', '2365901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365904', '2365901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365905', '2365901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365906', '2365901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365907', '2365901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365908', '0', 'object/building/corellia/shared_filler_historic_24x16_s01.iff', '0', '-0.707106', '0', '0.707107', '6805.34', '315', '-5685.33', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365910', '0', 'object/building/corellia/shared_filler_historic_32x16_s01.iff', '0', '1', '0', '3.46697e-06', '6782.53', '315', '-5692.88', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365915', '0', 'object/building/corellia/shared_filler_block_corellia_64x32_s02.iff', '0', '0', '0', '1', '6784.77', '315', '-5833.27', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365921', '0', 'object/building/corellia/shared_association_hall_civilian_corellia.iff', '0', '0', '0', '1', '6707.19', '314.724', '-5619.36', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365922', '2365921', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365923', '2365921', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365924', '2365921', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365925', '2365921', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365926', '2365921', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365927', '2365921', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365928', '2365921', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365929', '2365921', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675501', '2365929', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '-0.707106', '0', '0.707107', '-20.7366', '2.25', '11.5963', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675502', '2365929', 'object/static/item/shared_item_chair_metal_wheeled_01.iff', '0', '0.707107', '0', '0.707107', '-21.6221', '2.25', '11.5409', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675503', '2365929', 'object/static/item/shared_item_data_disk.iff', '0', '0.144492', '0', '0.989506', '-20.4265', '3.04057', '10.193', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675504', '2365929', 'object/static/item/shared_item_data_disk.iff', '0', '0.144492', '0', '0.989506', '-20.3489', '3.04057', '10.298', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675505', '2365929', 'object/static/item/shared_item_document.iff', '0', '-0.324043', '0', '0.946042', '-20.3947', '3.00895', '12.9012', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675506', '2365929', 'object/static/item/shared_item_con_drink_flask.iff', '0', '0', '0', '1', '-20.472', '3.00895', '10.4676', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675507', '2365929', 'object/static/item/shared_item_con_glass_beaker.iff', '0', '0', '0', '1', '-20.4927', '3.00895', '10.6272', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675508', '2365929', 'object/static/item/shared_item_con_glass_full_s2.iff', '0', '0', '0', '1', '-20.3448', '3.00895', '10.5691', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675509', '2365929', 'object/static/item/shared_item_con_plate_s1_full.iff', '0', '0', '0', '1', '-20.9394', '3.04057', '12.8061', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675510', '2365929', 'object/static/item/shared_item_painting_corellia_style_02.iff', '0', '1', '0', '3.20013e-08', '-22.6076', '2.78759', '11.6104', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675511', '2365929', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s05.iff', '0', '0', '0', '1', '-17.9866', '2.25', '10.0814', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365930', '2365921', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365931', '2365921', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8105443', '2365931', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '-0.356106', '1.1544', '-7.03101', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365932', '2365921', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365933', '2365921', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365934', '2365921', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365935', '2365921', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365936', '2365921', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365937', '2365921', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365938', '2365921', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365939', '0', 'object/building/corellia/shared_guild_commerce_corellia_style_01.iff', '0', '1', '0', '4.95617e-07', '6707.19', '314.822', '-5524.36', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365940', '2365939', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365941', '2365939', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365942', '2365939', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365943', '2365939', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365944', '2365939', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365945', '2365939', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365946', '2365939', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365947', '2365939', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365948', '2365939', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365949', '0', 'object/building/corellia/shared_filler_historic_24x16_s01.iff', '0', '1', '0', '-3.20013e-08', '6730.63', '314.807', '-5624.02', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365951', '0', 'object/building/corellia/shared_filler_historic_24x16_s02.iff', '0', '0.999973', '0', '-0.00730027', '6730.46', '314.919', '-5647.09', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2365954', '0', 'object/building/corellia/shared_filler_historic_24x16_s02.iff', '0', '0.999973', '0', '-0.00730028', '6682.69', '315', '-5574.51', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395352', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0', '0', '1', '6655', '327.374', '-5911', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395355', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0', '0', '1', '6679', '327.374', '-5911', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395356', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.382683', '0', '0.92388', '6693', '327.374', '-5989', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395357', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.707107', '0', '0.707107', '6687', '327.374', '-5935', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395358', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.707107', '0', '0.707107', '6687', '327.374', '-5919', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395359', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s01.iff', '0', '-0.707106', '0', '0.707108', '6687', '330', '-5947', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395360', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.707105', '0', '0.707108', '6687', '327.374', '-5975', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395361', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.707107', '0', '0.707107', '6687', '327.374', '-5959', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395362', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s01.iff', '0', '0', '0', '1', '6667', '330', '-5911', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395363', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.707106', '0', '0.707108', '6647', '327.374', '-5943', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395364', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.92388', '0', '-0.382683', '6647', '327.374', '-5911', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395365', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.382683', '0', '0.92388', '6687', '327.374', '-5911', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395366', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.707106', '0', '0.707108', '6687', '327.374', '-5983', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395367', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s01.iff', '0', '0', '0', '1', '6714.16', '327.933', '-5866.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395375', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.707105', '0', '0.707109', '6705.53', '312.129', '-5802.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395376', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.707107', '0', '-0.707107', '6705.53', '312.129', '-5818.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395380', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.707107', '0', '-0.707107', '6729.09', '312.321', '-5835.82', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395381', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.707107', '0', '-0.707107', '6729.12', '312.321', '-5844.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395383', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0', '0', '1', '6737.35', '312.321', '-5827.27', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395384', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '1', '0', '-3.48103e-07', '6749.22', '315', '-5827.13', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395385', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.382684', '0', '0.923879', '6729.08', '312.776', '-5827.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395386', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0', '0', '1', '6754.01', '315', '-5798.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395387', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0', '0', '1', '6742.73', '315', '-5743.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395388', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '-0.707106', '0', '0.707107', '6748.8', '315', '-5775.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395389', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.707106', '0', '0.707107', '6748.79', '315', '-5792.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395390', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '6819.39', '315', '-5837.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395391', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '6854.44', '312.268', '-5825.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395392', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0', '0', '1', '6867.62', '315', '-5679.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395394', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.707105', '0', '0.707108', '6883.96', '315', '-5688.18', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395395', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.923879', '0', '-0.382684', '6883.62', '315', '-5680.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395396', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s02.iff', '0', '-0.707105', '0', '0.707108', '6851.94', '315', '-5700.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395397', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.707106', '0', '0.707108', '6851.93', '315', '-5688.18', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395399', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.707098', '0', '0.707115', '6883.8', '315', '-5751.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395400', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '6851.94', '315', '-5679.87', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395401', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.707106', '0', '0.707107', '6883.96', '315', '-5696.54', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395403', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0', '0', '1', '6819.91', '315', '-5683.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395404', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0', '0', '1', '6794.35', '315', '-5684.44', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395407', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s02.iff', '0', '0', '0', '1', '6817.53', '315', '-5716.58', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395408', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0', '0', '1', '6759.82', '312.508', '-5667.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395409', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.707105', '0', '0.707109', '6751.86', '312.267', '-5675.19', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395410', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0', '0', '1', '6767.79', '312.204', '-5683.2', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395411', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.92388', '0', '-0.382683', '6751.88', '312.268', '-5683.21', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395412', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.92388', '0', '0.382683', '6751.78', '312.881', '-5667.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395413', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '6767.98', '314.446', '-5667.25', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395417', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '1', '0', '-3.27653e-06', '6781.63', '312.268', '-5717.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395418', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.707102', '0', '0.707111', '6773.63', '312.268', '-5709.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395422', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '6789.56', '312.268', '-5717.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395423', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.92388', '0', '-0.382683', '6773.63', '312.268', '-5717.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395424', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.707106', '0', '0.707107', '6773.63', '312.268', '-5701.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395426', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.707105', '0', '0.707109', '6765.27', '312.268', '-5636.41', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395429', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0', '0', '1', '6828.1', '312.757', '-5633.08', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395430', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '6844.17', '312.757', '-5633.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395432', '0', 'object/static/structure/corellia/shared_corl_stair_large_s01.iff', '0', '0.865124', '0', '-0.501559', '6862.81', '314.164', '-5600.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395433', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_sm_s01.iff', '0', '0.865124', '0', '-0.501558', '6878.03', '329.828', '-5592.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395434', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff', '0', '0.501557', '0', '0.865125', '6871.09', '329.902', '-5596.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395436', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.860065', '0', '-0.510184', '6968.12', '330.011', '-5538.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395437', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.860065', '0', '-0.510185', '6972.35', '329.969', '-5545.66', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395439', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.82511', '0', '-0.564971', '6976.22', '330', '-5553.2', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395440', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.770992', '0', '-0.636846', '6977.93', '330', '-5561.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395441', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.69643', '0', '0.717625', '6979.45', '330', '-5578.87', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395442', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.724561', '0', '-0.68921', '6979.61', '330', '-5570.22', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395443', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.514479', '0', '0.857503', '6975.06', '330', '-5595.34', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395444', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.621297', '0', '0.783575', '6979', '329.998', '-5587.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395445', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.305438', '0', '0.952212', '6963.9', '330', '-5607.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395446', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.305436', '0', '0.952213', '6970.93', '330', '-5602.66', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395447', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.305436', '0', '0.952213', '6957.04', '330', '-5612.85', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395448', '0', 'object/static/structure/corellia/shared_corl_power_box_node.iff', '0', '0.0948572', '0', '0.995491', '6965.69', '330', '-5581.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395449', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0.0948572', '0', '0.995491', '6964.74', '330', '-5586', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395450', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0.0948572', '0', '0.995491', '6963.8', '330', '-5590.91', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395451', '0', 'object/static/structure/corellia/shared_corl_power_box_node.iff', '0', '0.0948572', '0', '0.995491', '6962.85', '330', '-5595.82', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395452', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '0.0948572', '0', '0.995491', '6966.63', '330', '-5576.18', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395453', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s02.iff', '0', '0.0948572', '0', '0.995491', '6967.44', '330', '-5593.96', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395454', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '0.995491', '0', '-0.0948572', '6961.91', '330', '-5600.73', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395455', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s02.iff', '0', '0.0948572', '0', '0.995491', '6969.33', '330', '-5584.14', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395456', '0', 'object/static/structure/corellia/shared_corl_power_connector.iff', '0', '0.0948572', '0', '0.995491', '6965.4', '333.444', '-5583.39', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395457', '0', 'object/static/structure/corellia/shared_corl_power_connector.iff', '0', '0.0948572', '0', '0.995491', '6962.51', '333.444', '-5576.4', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395458', '0', 'object/static/structure/corellia/shared_corl_power_connector.iff', '0', '0.0948572', '0', '0.995491', '6958.17', '333.444', '-5598.99', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395459', '0', 'object/static/structure/corellia/shared_corl_power_connector.iff', '0', '0.0948572', '0', '0.995491', '6963.51', '333.444', '-5593.21', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395460', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0.0998331', '0', '0.995004', '6965.65', '330', '-5550.58', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395461', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '0.995491', '0', '-0.094857', '6964.83', '330', '-5554.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395462', '0', 'object/static/structure/corellia/shared_corl_power_arial_prime.iff', '0', '0', '0', '1', '6966.85', '330', '-5547.89', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395472', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_sm_s01.iff', '0', '0.882146', '0', '-0.470977', '6816.43', '329.86', '-5473.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395473', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff', '0', '0.470965', '0', '0.882152', '6809.79', '329.871', '-5477.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395474', '0', 'object/static/structure/corellia/shared_corl_stair_large_s01.iff', '0', '0.882142', '0', '-0.470983', '6802.31', '314.079', '-5482.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395475', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff', '0', '0.470966', '0', '0.882151', '6823.08', '329.859', '-5468.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395476', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.416871', '0', '0.908966', '6891.94', '327.296', '-5599', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395477', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.416871', '0', '0.908966', '6886.83', '327.296', '-5593.21', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395478', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.276356', '0', '0.961055', '6904.69', '327.296', '-5609.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395479', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.276356', '0', '0.961055', '6897.71', '327.296', '-5605.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395480', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.0898786', '0', '0.995953', '6911.84', '327.296', '-5613.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395481', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff', '0', '0.501556', '0', '0.865125', '6885.33', '329.8', '-5588.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395482', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.601516', '0', '0.798861', '6881.72', '327.29', '-5584.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395483', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.744908', '0', '0.667167', '6878.67', '327.296', '-5562.35', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395484', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.663431', '0', '0.748237', '6877.94', '327.296', '-5569.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395485', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.886811', '0', '0.462133', '6883.86', '327.296', '-5548.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395487', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.609472', '0', '0.792807', '6879.83', '327.296', '-5577.38', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395488', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.88681', '0', '0.462133', '6888.04', '327.296', '-5542.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395489', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.822275', '0', '0.56909', '6879.7', '327.294', '-5554.89', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395508', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_sm_s01.iff', '0', '-0.266731', '0', '0.963771', '6863.55', '329.885', '-5491.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395509', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_sm_s01.iff', '0', '-0.266731', '0', '0.963771', '6871.77', '329.885', '-5505.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395510', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_sm_s01.iff', '0', '-0.266731', '0', '0.963771', '6880', '329.885', '-5519.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395511', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_sm_s01.iff', '0', '-0.266731', '0', '0.963771', '6888.22', '329.885', '-5532.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395513', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff', '0', '-0.266731', '0', '0.963771', '6859.43', '329.885', '-5484.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395514', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff', '0', '-0.266731', '0', '0.963771', '6867.66', '329.885', '-5498.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395515', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff', '0', '-0.266731', '0', '0.963771', '6875.89', '329.885', '-5512.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395516', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff', '0', '-0.266731', '0', '0.963771', '6884.11', '329.885', '-5526.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395517', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff', '0', '-0.266731', '0', '0.963771', '6892.34', '329.885', '-5539.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395518', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.990847', '0', '0.134986', '6911.15', '327.296', '-5527.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395519', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.962316', '0', '0.271934', '6896.4', '327.296', '-5535.94', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395520', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.966287', '0', '0.257467', '6903.82', '327.296', '-5531.54', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395524', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.947522', '0', '0.319686', '6870.52', '327.296', '-5477.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395525', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.884488', '0', '0.46656', '6881.67', '327.296', '-5465.42', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395526', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.699973', '0', '0.714167', '6885.96', '327.524', '-5450.35', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395527', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.707074', '0', '0.707137', '6885.8', '327.688', '-5433.82', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395528', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.956917', '0', '-0.290357', '6879.08', '327.764', '-5421.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395529', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.996833', '0', '-0.0795165', '6846.34', '327.296', '-5485.94', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395530', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.92506', '0', '-0.379818', '6832.01', '327.296', '-5478.56', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395534', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.780457', '0', '0.625207', '6815.09', '327.296', '-5441.26', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395535', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.989563', '0', '-0.144097', '6833.9', '327.296', '-5421.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395536', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.539962', '0', '0.841689', '6816.96', '327.296', '-5457.44', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395537', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.870095', '0', '0.492881', '6821.18', '327.296', '-5426.27', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395538', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.475032', '0', '0.879969', '6885.45', '327.865', '-5425.73', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395539', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.720831', '0', '-0.693111', '6885.75', '327.765', '-5442.17', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395540', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.624897', '0', '0.780707', '6886.08', '327.404', '-5458.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395541', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.394019', '0', '0.919102', '6877.11', '327.296', '-5471.94', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395542', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.305059', '0', '0.952334', '6863.75', '327.296', '-5482.22', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395543', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.0998334', '0', '0.995004', '6854.71', '327.296', '-5487.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395544', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.247404', '0', '0.968912', '6838.1', '327.296', '-5484.69', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395545', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.40776', '0', '0.913089', '6826.05', '327.296', '-5472.79', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395546', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.84969', '0', '-0.527282', '6820.26', '327.296', '-5464.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395547', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.667166', '0', '0.744909', '6813.64', '327.296', '-5449.62', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395548', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.847044', '0', '0.531524', '6817.06', '327.296', '-5433.4', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395549', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.995917', '0', '0.090275', '6825.6', '327.296', '-5419.08', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395555', '0', 'object/static/terrain/corellia/shared_rock_bowl_agrilat_single.iff', '0', '0', '0', '1', '6787.97', '313.067', '-5568.59', '256', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395558', '0', 'object/building/corellia/shared_filler_historic_24x16_s01.iff', '0', '0.873865', '0', '-0.486168', '6776.31', '315', '-5478.7', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395560', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.92388', '0', '-0.382683', '6712.79', '317.358', '-5544.39', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395561', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.92388', '0', '0.382683', '6701.63', '317.373', '-5544.37', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395562', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0', '0', '1', '6716.15', '314.569', '-5600.05', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395563', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0', '0', '1', '6697.62', '314.977', '-5600.32', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395564', '0', 'object/static/structure/corellia/shared_corl_fountain_statue_contemplate_s01.iff', '0', '0', '0', '1', '6707.09', '314.863', '-5575.92', '96', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395578', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0', '0', '1', '6836.71', '315', '-5782.32', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395580', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '1', '0', '3.20013e-08', '6836.66', '315', '-5784.93', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2395581', '0', 'object/static/structure/corellia/shared_corl_fountain_circle_s01.iff', '0', '0', '0', '1', '6891.53', '330', '-5563.21', '96', '1');
INSERT INTO `staticobjects` VALUES ('0', '2515364', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '-5645.24', '17.2997', '-6179.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2515365', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '-5604.44', '23.3479', '-6203.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2515366', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '1', '0', '7.33659e-08', '-5574.12', '23.4', '-6200.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2515367', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '-5559.09', '23.4', '-6201.07', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2515368', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.366273', '0', '0.930508', '-5559.18', '24.105', '-6201.04', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2625352', '0', 'object/building/corellia/shared_cantina_corellia.iff', '0', '0.317127', '0', '0.948383', '-5237.26', '21', '-2538.78', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2625353', '2625352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555646', '2625353', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_2.iff', '0', '1', '0', '3.20013e-08', '43.4828', '0.104999', '3.72645', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555647', '2625353', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.701927', '0', '0.712249', '42.2215', '0.104999', '2.1058', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555648', '2625353', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '-0.707106', '0', '0.707107', '44.7093', '0.104999', '2.04432', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555649', '2625353', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_1.iff', '0', '0', '0', '1', '43.4621', '0.104999', '2.18818', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555651', '2625353', 'object/tangible/furniture/tatooine/shared_frn_tato_vase_style_02.iff', '0', '0', '0', '1', '42.0132', '0.104999', '3.60161', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555652', '2625353', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0', '0', '1', '37.8534', '0.104999', '-2.04551', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555653', '2625353', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '1', '0', '3.20013e-08', '38.24', '0.104999', '0.895914', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555656', '2625353', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '0.0349929', '0', '0.999388', '37.904', '0.104999', '-0.554518', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555657', '2625353', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_2.iff', '0', '-0.707106', '0', '0.707107', '48.5743', '0.105', '0.821084', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555658', '2625353', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '-0.707106', '0', '0.707107', '48.5837', '0.105', '3.16226', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555659', '2625353', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '-0.707106', '0', '0.707107', '48.5868', '0.102801', '-1.69164', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555660', '2625353', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '38.7166', '0.104999', '3.76745', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555661', '2625353', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '39.0699', '0.104999', '3.92053', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555662', '2625353', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '39.0515', '0.104999', '3.52012', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555663', '2625353', 'object/static/item/shared_item_container_energy_gas.iff', '0', '0', '0', '1', '39.9958', '0.104999', '3.91833', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555664', '2625353', 'object/static/item/shared_item_container_energy_solid.iff', '0', '0', '0', '1', '38.0531', '0.104999', '3.19598', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555665', '2625353', 'object/static/item/shared_item_container_inorganic_gas.iff', '0', '0.466208', '0', '0.884675', '40.9351', '0.104999', '3.39434', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555666', '2625353', 'object/static/item/shared_item_container_organic_food.iff', '0', '0', '0', '1', '43.6164', '0.104999', '-4.61415', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555667', '2625353', 'object/static/item/shared_item_container_organic_food.iff', '0', '0', '0', '1', '43.2352', '0.104999', '-4.6334', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555668', '2625353', 'object/static/item/shared_item_container_organic_food.iff', '0', '0', '0', '1', '43.4066', '0.104999', '-4.12146', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555669', '2625353', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '42.6087', '0.104999', '-4.80257', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555670', '2625353', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '42.2836', '0.104999', '-4.65778', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555672', '2625353', 'object/static/item/shared_item_container_organic_structure.iff', '0', '-0.129634', '0', '0.991562', '42.7509', '0.104999', '-4.02785', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2625354', '2625352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205669', '2625354', 'object/soundobject/shared_soundobject_cantina_small.iff', '0', '0', '0', '1', '32.6987', '0.105', '-0.951661', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2625355', '2625352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2625356', '2625352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205670', '2625356', 'object/soundobject/shared_soundobject_cantina_medium.iff', '0', '0', '0', '1', '20.6507', '-0.894996', '-16.5746', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2625357', '2625352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205682', '2625357', 'object/soundobject/shared_soundobject_cantina_medium.iff', '0', '0', '0', '1', '17.3759', '-0.894992', '17.2312', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2625358', '2625352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205673', '2625358', 'object/soundobject/shared_soundobject_cantina_medium.iff', '0', '0', '0', '1', '6.74503', '-0.894992', '-16.4851', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2625359', '2625352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205683', '2625359', 'object/soundobject/shared_soundobject_cantina_medium.iff', '0', '0', '0', '1', '6.31401', '-0.894992', '17.5021', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2625360', '2625352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205675', '2625360', 'object/soundobject/shared_soundobject_cantina_medium.iff', '0', '0', '0', '1', '-8.43831', '-0.894892', '-17.8156', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2625361', '2625352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205689', '2625361', 'object/soundobject/shared_soundobject_cantina_medium.iff', '0', '0', '0', '1', '-6.92645', '-0.894997', '21.2937', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2625362', '2625352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2625363', '2625352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '937455', '2625363', 'object/tangible/terminal/shared_terminal_mission_rebel.iff', '0', '0', '0', '1', '-26.8143', '-0.894985', '-2.39947', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '937457', '2625363', 'object/tangible/terminal/shared_terminal_mission_rebel.iff', '0', '1', '0', '-3.20013e-08', '-26.8729', '-0.894984', '3.28025', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2625364', '2625352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555613', '2625364', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff', '0', '-0.707106', '0', '0.707107', '-16.4591', '-0.894988', '22.0121', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555614', '2625364', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s05.iff', '0', '0', '0', '1', '-16.1417', '-0.894988', '19.2666', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555615', '2625364', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s05.iff', '0', '0', '0', '1', '-16.0868', '-0.894988', '24.6513', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555618', '2625364', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_05.iff', '0', '0', '0', '1', '-19.1451', '-0.972056', '22.0431', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555621', '2625364', 'object/tangible/furniture/modern/shared_bar_counter_s1.iff', '0', '0', '0', '1', '-19.3433', '-0.89499', '26.5005', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555622', '2625364', 'object/tangible/furniture/modern/shared_bar_counter_s1.iff', '0', '1', '0', '3.20013e-08', '-21.8658', '-0.89499', '26.469', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555623', '2625364', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '-22.8796', '0.24343', '26.6343', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555624', '2625364', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '-22.6103', '0.24343', '26.6095', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555625', '2625364', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '-22.8145', '0.24343', '26.3584', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555626', '2625364', 'object/static/item/shared_item_bottle_tall.iff', '0', '-0.0199987', '0', '0.9998', '-21.2855', '0.24343', '26.66', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555627', '2625364', 'object/static/item/shared_item_bottle_pear.iff', '0', '-0.0199987', '0', '0.9998', '-20.993', '0.24343', '26.7275', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555628', '2625364', 'object/static/item/shared_item_bottle_pear.iff', '0', '-0.0199987', '0', '0.9998', '-20.6858', '0.24343', '26.7059', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555629', '2625364', 'object/static/item/shared_item_bottle_fat.iff', '0', '-0.0199987', '0', '0.9998', '-20.4312', '0.24343', '26.7386', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555630', '2625364', 'object/static/item/shared_item_bottle_pear.iff', '0', '-0.0199987', '0', '0.9998', '-20.1543', '0.24343', '26.7324', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555631', '2625364', 'object/static/item/shared_item_bottle_pear.iff', '0', '-0.0199987', '0', '0.9998', '-19.8862', '0.24343', '26.7328', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555632', '2625364', 'object/static/item/shared_item_bottle_tall.iff', '0', '-0.0199987', '0', '0.9998', '-19.5959', '0.24343', '26.6191', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555633', '2625364', 'object/static/item/shared_item_food_assorted_fruit.iff', '0', '0', '0', '1', '-22.2208', '0.24343', '26.4986', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555634', '2625364', 'object/static/item/shared_item_food_muffins.iff', '0', '0', '0', '1', '-20.9798', '0.275054', '26.4431', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555635', '2625364', 'object/static/item/shared_item_con_pitcher_full.iff', '0', '0', '0', '1', '-21.8154', '0.211807', '26.74', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555636', '2625364', 'object/static/item/shared_item_con_drink_flask.iff', '0', '0', '0', '1', '-21.6542', '0.211807', '26.6568', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555637', '2625364', 'object/static/item/shared_item_con_plate_s1_full.iff', '0', '0', '0', '1', '-21.4284', '0.275053', '26.3215', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555638', '2625364', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff', '0', '0.707107', '0', '0.707107', '-20.8837', '-0.894991', '14.3039', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555639', '2625364', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s05.iff', '0', '0', '0', '1', '-21.2135', '-0.894992', '12.6049', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555640', '2625364', 'object/static/item/shared_item_painting_corellia_style_02.iff', '0', '0.707107', '0', '0.707107', '-19.2878', '-0.262537', '11.9486', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2625365', '2625352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2625366', '2625352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205706', '2625366', 'object/soundobject/shared_soundobject_cantina_small.iff', '0', '0', '0', '1', '-33.2721', '0.10501', '-20.4336', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2625367', '2625352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205709', '2625367', 'object/soundobject/shared_soundobject_cantina_small.iff', '0', '0', '0', '1', '-44.0708', '0.105009', '-21.4183', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2625368', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '0.529235', '0', '0.848475', '-5295.7', '21', '-2561.24', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2625369', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.593497', '0', '0.804836', '-5305.07', '21', '-2539.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2625370', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.252245', '0', '0.967663', '-5281.44', '21', '-2579.73', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2625371', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.37092', '0', '0.928665', '-5288.33', '21', '-2575.81', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2625372', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.252246', '0', '0.967663', '-5274.26', '21', '-2583.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2625373', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.58323', '0', '0.812307', '-5302.69', '21', '-2546.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2625374', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.605503', '0', '0.795843', '-5306.03', '21', '-2535.94', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2625381', '0', 'object/static/structure/corellia/shared_corl_stair_medium_s01.iff', '0', '0.529235', '0', '0.848475', '-5287.03', '21', '-2568.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2625382', '0', 'object/static/structure/corellia/shared_corl_stair_medium_s01.iff', '0', '0.848475', '0', '-0.529235', '-5295.12', '21', '-2572.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2625383', '0', 'object/static/structure/corellia/shared_corl_stair_medium_s01.iff', '0', '0.848476', '0', '-0.529235', '-5303.6', '21', '-2555.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2625384', '0', 'object/static/structure/corellia/shared_corl_stair_medium_s01.iff', '0', '0.529235', '0', '0.848475', '-5295.52', '21', '-2551.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2675354', '0', 'object/static/structure/corellia/shared_corl_fountain_brazier_round_s01.iff', '0', '0.526003', '0', '0.850483', '-5299.16', '21', '-2563.94', '96', '1');
INSERT INTO `staticobjects` VALUES ('0', '2675365', '0', 'object/static/structure/corellia/shared_corl_fountain_circle_s01.iff', '0', '-0.223106', '0', '0.974794', '-5291.25', '21', '-2560.12', '96', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715878', '0', 'object/building/military/shared_military_base_shed_imperial_style_officer_s01.iff', '0', '0.382682', '0', '0.92388', '4615', '25', '-5812', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715879', '2715878', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715880', '2715878', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715881', '2715878', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715882', '2715878', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715883', '2715878', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715884', '2715878', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '367432', '2715884', 'object/tangible/hq_destructible/shared_power_regulator.iff', '0', '0.707106', '0', '0.707108', '-5.50185', '0.125266', '-4.54381', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715899', '0', 'object/building/military/shared_military_base_shed_imperial_style_officer_s01.iff', '0', '0.923878', '0', '0.382686', '4616', '25', '-5756', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715900', '2715899', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715901', '2715899', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715902', '2715899', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715903', '2715899', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715904', '2715899', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '367429', '2715904', 'object/tangible/terminal/shared_terminal_hq.iff', '0', '1', '0', '-3.20013e-08', '4.01446', '0.125266', '-1.56995', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715905', '2715899', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715906', '0', 'object/building/military/shared_military_base_shed_imperial_barracks_s01.iff', '0', '0.92388', '0', '-0.382682', '4687', '25', '-5731', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715907', '2715906', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715908', '2715906', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715909', '2715906', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715910', '2715906', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715911', '2715906', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715912', '2715906', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715913', '0', 'object/building/military/shared_military_base_shed_imperial_barracks_s01.iff', '0', '-0.382689', '0', '0.923877', '4687', '25', '-5837', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715914', '2715913', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715915', '2715913', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715916', '2715913', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715917', '2715913', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715918', '2715913', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715919', '2715913', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715920', '0', 'object/static/structure/military/shared_military_wall_med_imperial_32_style_01.iff', '0', '0.92388', '0', '-0.382683', '4610', '24.5', '-5819', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715921', '0', 'object/static/structure/military/shared_military_wall_med_imperial_32_style_01.iff', '0', '-0.382683', '0', '0.92388', '4610', '24.5', '-5749', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715922', '0', 'object/static/structure/military/shared_military_wall_med_imperial_32_style_01.iff', '0', '-0.707106', '0', '0.707107', '4599', '24.5', '-5784', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715926', '0', 'object/static/structure/military/shared_military_wall_med_imperial_style_01.iff', '0', '-0.707106', '0', '0.707107', '4599', '24.5', '-5764', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715927', '0', 'object/static/structure/military/shared_military_wall_med_imperial_style_01.iff', '0', '0.707107', '0', '-0.707107', '4599', '24.5', '-5804', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715928', '0', 'object/static/structure/military/shared_military_wall_med_imperial_32_style_01.iff', '0', '0.92388', '0', '-0.382683', '4632', '24.5', '-5841', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715929', '0', 'object/static/structure/military/shared_military_wall_med_imperial_32_style_01.iff', '0', '-0.382683', '0', '0.92388', '4632', '24.5', '-5727', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715930', '0', 'object/static/structure/military/shared_military_wall_med_imperial_32_style_01.iff', '0', '0.382683', '0', '0.92388', '4696', '24.5', '-5727', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715931', '0', 'object/static/structure/military/shared_military_wall_med_imperial_32_style_01.iff', '0', '0.382683', '0', '0.92388', '4718', '24.5', '-5749', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715932', '0', 'object/static/structure/military/shared_military_wall_med_imperial_32_style_01.iff', '0', '0.707107', '0', '0.707107', '4729', '24.5', '-5784', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715933', '0', 'object/static/structure/military/shared_military_wall_med_imperial_style_01.iff', '0', '0.707107', '0', '0.707107', '4729', '24.5', '-5804', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715934', '0', 'object/static/structure/military/shared_military_wall_med_imperial_style_01.iff', '0', '0.707107', '0', '0.707107', '4729', '24.5', '-5764', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715935', '0', 'object/static/structure/military/shared_military_wall_med_imperial_32_style_01.iff', '0', '0.92388', '0', '0.382683', '4718', '24.5', '-5819', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715936', '0', 'object/static/structure/military/shared_military_wall_med_imperial_32_style_01.iff', '0', '0.92388', '0', '0.382683', '4696', '24.5', '-5841', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715937', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0', '0', '1', '4643', '25', '-5852', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715938', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0', '0', '1', '4685', '25', '-5852', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715941', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0', '0', '1', '4599', '25', '-5808', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715942', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0', '0', '1', '4599', '25', '-5760', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715944', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0', '0', '1', '4643', '25', '-5716', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715945', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0', '0', '1', '4729', '25', '-5808', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715946', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0', '0', '1', '4729', '25', '-5760', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715948', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0', '0', '1', '4685', '25', '-5716', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715949', '0', 'object/building/military/shared_military_base_shed_imperial_barracks_s01.iff', '0', '0.92388', '0', '-0.382682', '4698', '25', '-5742', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715950', '2715949', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715951', '2715949', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715952', '2715949', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '367406', '2715952', 'object/tangible/hq_destructible/shared_uplink_terminal.iff', '0', '0', '0', '1', '1.07392', '0.125265', '-5.92947', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715953', '2715949', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715954', '2715949', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715955', '2715949', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715956', '0', 'object/building/military/shared_military_base_shed_imperial_barracks_s01.iff', '0', '-0.38269', '0', '0.923877', '4698', '25', '-5826', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715957', '2715956', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715958', '2715956', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715959', '2715956', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715960', '2715956', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715961', '2715956', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715962', '2715956', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715963', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0.382683', '0', '0.92388', '4684', '25', '-5720', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715971', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0.382683', '0', '0.92388', '4720', '25', '-5757', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715972', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0.382683', '0', '0.92388', '4720', '25', '-5812', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715973', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0.92388', '0', '0.382683', '4605', '25', '-5760', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715974', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0.92388', '0', '0.382683', '4604', '25', '-5808', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715975', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0.92388', '0', '-0.382683', '4683', '25', '-5847', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715976', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '0', '0.92388', '0', '-0.382683', '4714', '25', '-5837', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715977', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '0', '-0.382684', '0', '0.923879', '4614', '25', '-5837', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715978', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '0', '0.382683', '0', '0.92388', '4614', '25', '-5731', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715979', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '0', '0.923879', '0', '0.382684', '4714', '25', '-5731', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715980', '0', 'object/static/vehicle/shared_static_lambda_shuttle.iff', '0', '0.707106', '0', '0.707107', '4614', '25', '-5784', '256', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715981', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0.92388', '0', '0.382683', '4609', '25', '-5764', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715982', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0.92388', '0', '0.382683', '4608', '25', '-5804', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715983', '0', 'object/static/structure/corellia/shared_corl_power_arial_thin.iff', '0', '0', '0', '1', '4685', '25', '-5852', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715984', '0', 'object/static/structure/corellia/shared_corl_power_arial_thin.iff', '0', '0', '0', '1', '4643', '25', '-5852', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715985', '0', 'object/static/structure/corellia/shared_corl_power_arial_thin.iff', '0', '0', '0', '1', '4643', '25', '-5716', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715986', '0', 'object/static/structure/corellia/shared_corl_power_arial_thin.iff', '0', '0', '0', '1', '4685', '25', '-5716', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715988', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0', '0', '1', '4632', '22', '-5808', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715989', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0', '0', '1', '4632', '22', '-5760', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715991', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0', '0', '1', '4632', '26.4369', '-5760', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2715992', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0', '0', '1', '4632', '26.4369', '-5808', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2716000', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '-0.707106', '0', '0.707107', '4683', '25', '-5716', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2716001', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.707106', '0', '0.707107', '4645', '25', '-5716', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2716002', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.707107', '0', '-0.707107', '4683', '25', '-5852', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2716003', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.707106', '0', '0.707107', '4645', '25', '-5852', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2716004', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.382683', '0', '0.92388', '4625', '25', '-5811', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2716005', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.92388', '0', '0.382683', '4626', '25', '-5757', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2716006', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.92388', '0', '-0.382683', '4687', '25', '-5742', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2716007', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.92388', '0', '-0.382683', '4698', '25', '-5753', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2716009', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '-0.382683', '0', '0.92388', '4698', '25', '-5815', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2716010', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '-0.382683', '0', '0.92388', '4687', '25', '-5826', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2716012', '0', 'object/static/vehicle/shared_static_tie_bomber.iff', '0', '-0.707106', '0', '0.707107', '4709', '27.512', '-5785', '256', '1');
INSERT INTO `staticobjects` VALUES ('0', '2716014', '0', 'object/static/structure/general/shared_landing_pad_shuttle.iff', '0', '0.92388', '0', '0.382683', '4646', '25', '-5741', '256', '1');
INSERT INTO `staticobjects` VALUES ('0', '2716015', '0', 'object/static/vehicle/shared_static_tie_fighter.iff', '0', '0.92388', '0', '0.382683', '4647.14', '30.5764', '-5742.18', '256', '1');
INSERT INTO `staticobjects` VALUES ('0', '2716016', '0', 'object/static/structure/corellia/shared_corl_power_connector.iff', '0.382684', '2.95653e-08', '0.923879', '1.22463e-08', '4644.69', '29.5', '-5739.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2716017', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '0', '0.923879', '0', '-0.382684', '4640', '25', '-5735', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2716018', '0', 'object/static/structure/general/shared_landing_pad_shuttle.iff', '0', '-0.707106', '0', '0.707107', '4710.31', '25', '-5784.97', '256', '1');
INSERT INTO `staticobjects` VALUES ('0', '2716019', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '0', '0', '0', '1', '4718', '25', '-5785', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2716020', '0', 'object/static/structure/corellia/shared_corl_power_connector.iff', '7.27425e-07', '0', '1', '0', '4713.08', '29.4215', '-5786.79', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2716021', '0', 'object/static/structure/corellia/shared_corl_power_connector.iff', '7.27425e-07', '0', '1', '0', '4713.12', '29.5095', '-5783.28', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2716022', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '0', '0.92388', '0', '0.382682', '4641', '25', '-5834', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2716023', '0', 'object/static/structure/general/shared_landing_pad_shuttle.iff', '0', '0.382684', '0', '0.923879', '4646.38', '25', '-5828.72', '256', '1');
INSERT INTO `staticobjects` VALUES ('0', '2716024', '0', 'object/static/vehicle/shared_static_tie_fighter.iff', '0', '0.382684', '0', '0.923879', '4647.83', '30.531', '-5827.16', '256', '1');
INSERT INTO `staticobjects` VALUES ('0', '2716025', '0', 'object/static/structure/corellia/shared_corl_power_connector.iff', '-0.382683', '0', '0.92388', '0', '4645.38', '29.5', '-5829.61', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2716026', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '-0.382683', '0', '0.92388', '4647.83', '25', '-5827.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2716027', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '-0.382683', '0', '0.92388', '4647.15', '25', '-5742.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2716028', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0', '0', '1', '4707.66', '25', '-5785.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2716029', '0', 'object/building/military/shared_military_base_shed_imperial_barracks_s01.iff', '0', '-0.38269', '0', '0.923877', '4709', '25', '-5815', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2716030', '2716029', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2716031', '2716029', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2716032', '2716029', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2716033', '2716029', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2716034', '2716029', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2716035', '2716029', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '367410', '2716035', 'object/tangible/hq_destructible/shared_override_terminal.iff', '0', '1', '0', '-3.20013e-08', '-3.04025', '0.125266', '-0.493486', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2716036', '0', 'object/building/military/shared_military_base_shed_imperial_barracks_s01.iff', '0', '0.92388', '0', '-0.382682', '4709', '25', '-5753', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2716037', '2716036', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2716038', '2716036', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2716039', '2716036', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2716040', '2716036', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2716041', '2716036', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2716042', '2716036', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2716043', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0', '0', '1', '4707', '25', '-5738', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2716044', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0', '0', '1', '4621', '25', '-5738', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2716045', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0', '0', '1', '4707', '25', '-5830', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2716046', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0', '0', '1', '4621', '25', '-5830', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2716047', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0.92388', '0', '0.382683', '4630', '25', '-5733', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2716048', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0.92388', '0', '0.382683', '4637', '25', '-5726', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2716049', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0.382684', '0', '0.923879', '4632', '25', '-5837', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2716050', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0.382684', '0', '0.923879', '4639', '25', '-5844', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2716051', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0.707107', '0', '-0.707107', '4726', '25', '-5778', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2716052', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0.707107', '0', '-0.707107', '4726', '25', '-5768', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2716053', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0.707107', '0', '-0.707107', '4726', '25', '-5791', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2716054', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0.707107', '0', '-0.707107', '4726', '25', '-5801', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2716055', '0', 'object/tangible/furniture/all/shared_frn_all_toolchest_lg_s01.iff', '0', '0.979908', '0', '-0.19945', '4706', '25', '-5782', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2716056', '0', 'object/tangible/furniture/all/shared_frn_all_toolchest_med_s01.iff', '0', '-0.666869', '0', '0.745175', '4710', '25', '-5787', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2716057', '0', 'object/static/structure/general/shared_poi_powerdroid_powerdown.iff', '0', '-0.613117', '0', '0.789992', '4711', '25', '-5786', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2716058', '0', 'object/static/structure/general/shared_prp_engine.iff', '0', '0.792563', '0', '-0.609791', '4709.94', '26.0225', '-5787.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2716059', '0', 'object/static/structure/general/shared_prp_engine_component.iff', '0', '0.75128', '0', '0.659983', '4644', '26.7392', '-5741.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2716060', '0', 'object/static/structure/general/shared_prp_engine_component.iff', '0', '0.681639', '0', '0.731689', '4643.97', '26.7392', '-5741.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2716061', '0', 'object/tangible/furniture/all/shared_frn_all_toolchest_lg_s01.iff', '0', '0.75128', '0', '0.659983', '4644.08', '25', '-5741.73', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2716062', '0', 'object/static/item/shared_item_tool_instrument_calibrator.iff', '0', '0.986287', '0', '0.165038', '4644.1', '26.676', '-5742.07', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2716063', '0', 'object/static/structure/general/shared_poi_powerdroid_powerdown.iff', '0', '0.996865', '0', '0.0791209', '4645.4', '25', '-5740.88', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2716064', '0', 'object/tangible/furniture/all/shared_frn_all_toolchest_med_s01.iff', '0', '0.425937', '0', '0.904753', '4645.03', '25', '-5828.05', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2716065', '0', 'object/static/structure/general/shared_poi_powerdroid_powerdown.iff', '0', '0.488177', '0', '0.872745', '4645.05', '25', '-5829.47', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2716066', '0', 'object/static/structure/general/shared_prp_engine.iff', '0', '0.252245', '0', '0.967663', '4645', '26.0119', '-5827.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735353', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.92388', '0', '-0.382683', '6699', '327.632', '-5995', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735361', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.382683', '0', '0.92388', '6687.01', '330', '-5911', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735362', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '-0.382684', '0', '0.923879', '6647', '330', '-5911', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735363', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.707106', '0', '0.707108', '6646.99', '330', '-5943.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735366', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '1', '0', '-3.48103e-07', '6632', '327.374', '-5947', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735367', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '6624', '327.374', '-5947', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735368', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.382683', '0', '0.92388', '6618', '327.374', '-5941', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735369', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '1', '0', '-1.84353e-06', '6640', '327.374', '-5947', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735375', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '-0.382683', '0', '0.92388', '6854.43', '315', '-5825.52', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735380', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.404208', '0', '0.914667', '6740.98', '315', '-5735.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735381', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.92388', '0', '-0.382683', '6773.63', '315', '-5717.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735382', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.938444', '0', '0.345433', '6740.99', '312.268', '-5735.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735383', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.999998', '0', '0.00230162', '6813.03', '315', '-5740.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735384', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.999998', '0', '0.00230162', '6813.03', '312.268', '-5740.94', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735385', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.999998', '0', '0.002302', '6814.06', '312.268', '-5718.94', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735386', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.999998', '0', '0.002302', '6814.06', '315', '-5718.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735387', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.999998', '0', '0.002302', '6817.02', '312.268', '-5805.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735388', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.999998', '0', '0.002302', '6817.02', '315', '-5805.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735389', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.999998', '0', '0.002302', '6784.9', '312.268', '-5816.76', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735390', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.999998', '0', '0.002302', '6784.89', '315', '-5816.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735393', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.708733', '0', '-0.705479', '6721.06', '320.627', '-5852.89', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735394', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.999998', '0', '0.002302', '6721.06', '323.359', '-5852.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735395', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.999998', '0', '0.002302', '6719.04', '326.791', '-5882.99', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735396', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.999998', '0', '0.002302', '6719.04', '329.523', '-5882.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735397', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.705494', '0', '0.708717', '6693.49', '327.278', '-5942.14', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735398', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.705494', '0', '0.708717', '6693.49', '330.01', '-5942.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735400', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.999996', '0', '-0.00269687', '6691.7', '327.268', '-5969.21', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735401', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.999996', '0', '-0.00269687', '6691.7', '330', '-5969.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735402', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.999998', '0', '0.002302', '6755.05', '312.268', '-5786.99', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735403', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.999998', '0', '0.002302', '6755.05', '315', '-5786.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735404', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.999998', '0', '0.002302', '6789.02', '312.268', '-5770.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735405', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.999998', '0', '0.002302', '6789.02', '315', '-5770.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735406', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.707106', '0', '0.707107', '6846.09', '315', '-5765.16', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735407', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.999998', '0', '0.002302', '6841.04', '312.268', '-5742.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735408', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.705489', '0', '0.708722', '6841.04', '315', '-5742.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735409', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.999998', '0', '0.002302', '6802.01', '312.268', '-5705.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735410', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.999998', '0', '0.002302', '6802.01', '315', '-5705.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735411', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.999998', '0', '0.002302', '6849.02', '312.268', '-5694.99', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735412', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.999998', '0', '0.002302', '6849.02', '315', '-5694.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735413', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.999998', '0', '0.002302', '6861.98', '312.268', '-5726.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735414', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.708733', '0', '-0.705479', '6861.98', '315', '-5726.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735415', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.707102', '0', '0.707111', '6883.77', '315', '-5743.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735416', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.707096', '0', '0.707117', '6883.82', '315', '-5768.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735417', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.7071', '0', '0.707113', '6883.79', '315', '-5760.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735418', '0', 'object/static/installation/shared_mockup_power_generator_photo_bio_style_1.iff', '0', '-0.707106', '0', '0.707108', '6875.81', '315', '-5758.88', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735419', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0.707106', '0', '0.707107', '6880.91', '315', '-5758.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735420', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0.707107', '0', '0.707107', '6879.65', '315', '-5748.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735422', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.92388', '0', '-0.382683', '6751.87', '315', '-5683.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735423', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '6707.19', '315.257', '-5708.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735424', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '6707.2', '312.268', '-5708.55', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735425', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.707107', '0', '0.707107', '6739.43', '315', '-5656.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735426', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '6739.44', '312.268', '-5656.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735427', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.707107', '0', '-0.707107', '6765.28', '314.797', '-5627.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735428', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.707106', '0', '0.707108', '6765.27', '312.268', '-5627.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735429', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.707107', '0', '0.707107', '6740.07', '314.977', '-5594.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735430', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '6740.08', '312.268', '-5594.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735431', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.707107', '0', '0.707107', '6739.21', '315', '-5545.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735432', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '6739.21', '312.268', '-5545.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735433', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.707107', '0', '0.707107', '6691.02', '315', '-5586.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735434', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '6691.03', '312.268', '-5586.99', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735435', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.707107', '0', '0.707107', '6691.01', '315', '-5562.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735436', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '6691.02', '312.268', '-5562.99', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735437', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.707107', '0', '0.707107', '6770.1', '315', '-5517.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735438', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '6770.11', '312.268', '-5517.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735439', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.876285', '0', '-0.481793', '6797.92', '314.998', '-5491.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735440', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.481793', '0', '0.876285', '6797.93', '312.268', '-5492', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735441', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.385176', '0', '0.922843', '6826.05', '330', '-5472.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735443', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.944279', '0', '0.329145', '6863.74', '330', '-5482.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735445', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.895876', '0', '0.444305', '6888.04', '330', '-5542.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735447', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.636846', '0', '0.770991', '6881.72', '330', '-5584.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735449', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.770993', '0', '0.636844', '6958.6', '330', '-5562.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735450', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.636844', '0', '0.770993', '6958.61', '326.837', '-5562.17', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735451', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.00539845', '0', '0.999985', '6856.59', '314.368', '-5610.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735452', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.703279', '0', '0.710914', '6856.6', '311.72', '-5610.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735453', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '6787.05', '314.994', '-5616.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735454', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '6787.06', '312.268', '-5616.99', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735455', '0', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.833272', '0', '0.552863', '6845.28', '330', '-5473.81', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735456', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.628793', '0', '0.777573', '6847.5', '330', '-5473.31', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735457', '0', 'object/static/structure/corellia/shared_corl_fountain_brazier_round_s01.iff', '0', '0.139543', '0', '0.990216', '6834.39', '330', '-5457.55', '96', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735458', '0', 'object/static/structure/corellia/shared_corl_fountain_brazier_round_s01.iff', '0', '0.139543', '0', '0.990216', '6861.97', '330', '-5465.53', '96', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735459', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.0499788', '0', '0.99875', '6844.65', '330', '-5476.1', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735460', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.891929', '0', '0.452176', '6843.06', '330', '-5473.26', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735461', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.0833103', '0', '0.996524', '6850.89', '329.999', '-5484.04', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735462', '0', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.720831', '0', '-0.693111', '6849.7', '330', '-5481.69', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735463', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.622233', '0', '0.782832', '6847.67', '330', '-5482.7', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735464', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.635308', '0', '0.772259', '6852.68', '329.931', '-5481.83', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735465', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.963983', '0', '0.265963', '6848.91', '330', '-5479.42', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735466', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.08331', '0', '0.996524', '6866.52', '330', '-5477.36', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735467', '0', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.720831', '0', '-0.693111', '6865.33', '330', '-5475.02', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735468', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.622233', '0', '0.782832', '6863.29', '330', '-5476.02', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735469', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.635308', '0', '0.772259', '6868.31', '330', '-5475.16', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735470', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.963983', '0', '0.265963', '6864.54', '330', '-5472.74', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735471', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.121294', '0', '0.992617', '6832.95', '330', '-5475.09', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735472', '0', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '-0.564643', '0', '0.825335', '6832.79', '330', '-5472.47', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735473', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.768563', '0', '0.639774', '6830.52', '330', '-5472.58', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735474', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.464799', '0', '0.885416', '6835.46', '330', '-5473.78', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735475', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.997939', '0', '0.0641588', '6832.97', '330', '-5470.07', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735476', '0', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.92269', '0', '0.385543', '6839.91', '330', '-5479.75', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735477', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.470626', '0', '0.882333', '6842.15', '330', '-5480.11', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735478', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.139543', '0', '0.990216', '6838.47', '329.973', '-5481.65', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735479', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.961276', '0', '0.27559', '6838.05', '330', '-5478.41', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735481', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0.144492', '0', '0.989506', '6875.86', '330', '-5435.79', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735482', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0.144492', '0', '0.989506', '6878.2', '330', '-5427.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735484', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s02.iff', '0', '0.144492', '0', '0.989506', '6877.02', '330', '-5431.77', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735485', '0', 'object/static/structure/corellia/shared_corl_power_connector.iff', '0', '0.144492', '0', '0.989506', '6873.19', '333.716', '-5430.64', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735486', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s01.iff', '0', '0.990534', '0', '-0.137264', '6881.48', '330', '-5447.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735487', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.144839', '0', '0.989455', '6870.55', '327.524', '-5443.87', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735488', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.963983', '0', '0.265963', '6875.77', '330', '-5459.79', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735489', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.622233', '0', '0.782832', '6874.52', '330', '-5463.07', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735490', '0', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.720831', '0', '-0.693111', '6876.56', '330', '-5462.07', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735491', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.635308', '0', '0.772259', '6879.54', '330', '-5462.21', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735492', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.08331', '0', '0.996524', '6877.75', '330', '-5464.41', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735493', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.253786', '0', '0.96726', '6821.78', '330', '-5434.39', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735494', '0', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.939099', '0', '-0.343645', '6821.02', '330', '-5432.99', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735495', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.476431', '0', '0.879212', '6819.43', '330', '-5432.35', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735496', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.0515694', '0', '0.998669', '6827.93', '330', '-5436.66', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735497', '0', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.98939', '0', '-0.14528', '6826.67', '330', '-5435.68', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735498', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.287476', '0', '0.957788', '6824.96', '330', '-5435.73', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735499', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.108196', '0', '0.99413', '6834.19', '330', '-5437.63', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735500', '0', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.999899', '0', '0.0142033', '6832.68', '330', '-5437.1', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735501', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.131211', '0', '0.991354', '6831.07', '330', '-5437.68', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735502', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.00340814', '0', '0.999994', '6830.27', '330', '-5440.66', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735503', '0', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.99588', '0', '-0.0906714', '6828.91', '330', '-5439.83', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735504', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.23439', '0', '0.972143', '6827.21', '330', '-5440.06', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735505', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.151012', '0', '0.988532', '6823.19', '330', '-5438.32', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735506', '0', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.969943', '0', '-0.243328', '6822.15', '330', '-5437.11', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735507', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.381659', '0', '0.924303', '6820.46', '330', '-5436.82', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735524', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '-0.632673', '0', '0.774419', '6922.43', '330', '-5567.15', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735525', '0', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '-0.636537', '0', '0.771246', '6922.07', '330', '-5568.81', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735526', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '-0.632673', '0', '0.774419', '6915.66', '330', '-5601.44', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735527', '0', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '-0.636537', '0', '0.771246', '6915.9', '330', '-5599.02', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735528', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0', '0', '1', '6909.84', '330.974', '-5570.74', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735529', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '-0.412321', '0', '0.911039', '6908.05', '330', '-5567.85', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735530', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0', '0', '1', '6906.99', '330', '-5571.14', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735531', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0', '0', '1', '6911.11', '330', '-5567.94', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735532', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '-0.707106', '0', '0.707108', '6905.62', '331.005', '-5592.3', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735533', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0.935757', '0', '-0.352646', '6902.73', '330', '-5594.09', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735534', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '-0.707106', '0', '0.707108', '6906.02', '330', '-5595.15', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735535', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '-0.707106', '0', '0.707108', '6902.82', '330', '-5591.04', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735536', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0', '0', '1', '6888.37', '330', '-5590.13', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735537', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0', '0', '1', '6884.98', '330', '-5584.22', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735538', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0', '0', '1', '6912.38', '330', '-5606.51', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735539', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0', '0', '1', '6911.67', '330', '-5609.21', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735540', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0', '0', '1', '6911.13', '330', '-5611.78', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735541', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0', '0', '1', '6910.66', '330', '-5609.22', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735542', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0', '0', '1', '6922.15', '330', '-5557.95', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735543', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0', '0', '1', '6921.61', '330', '-5560.52', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735544', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0', '0', '1', '6922.86', '330', '-5555.25', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735545', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0', '0', '1', '6890.33', '330', '-5543.08', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735546', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0', '0', '1', '6896.09', '330', '-5539.56', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735548', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0', '0', '1', '6932.29', '330', '-5541.53', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735549', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0', '0', '1', '6933.83', '330', '-5534.79', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735553', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '-0.707106', '0', '0.707107', '6846.61', '315', '-5567.64', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735554', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '-0.707106', '0', '0.707107', '6846.61', '315', '-5559.64', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735559', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0.707107', '0', '0.707107', '6813.6', '315', '-5752.12', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735560', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0.707107', '0', '0.707107', '6813.6', '315', '-5760.12', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735561', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0.707107', '0', '0.707107', '6815.62', '315', '-5799.55', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735562', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0.707107', '0', '0.707107', '6815.62', '315', '-5791.55', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735581', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '1', '0', '-2.63027e-07', '6804.03', '315', '-5802.47', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735582', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '1', '0', '-2.63027e-07', '6812.03', '315', '-5802.47', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735584', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '1', '0', '0', '6787.01', '315', '-5802.41', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735585', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '1', '0', '0', '6795.01', '315', '-5802.41', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735587', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0', '0', '1', '6761.89', '315', '-5819.07', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735588', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0', '0', '1', '6755.97', '315', '-5818.98', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735589', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '-0.261909', '0', '0.965092', '6753.73', '315', '-5820.82', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735592', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0', '0', '1', '6701.99', '327.944', '-5866.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735594', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '6694.57', '330.118', '-5866.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735595', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0', '0', '1', '6727.58', '328.216', '-5866.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735596', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0', '0', '1', '6727.62', '323.312', '-5865.77', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735597', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0', '0', '1', '6727.59', '323.634', '-5866.41', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735598', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '6735.57', '328.387', '-5866.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735599', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '-0.00230197', '0', '0.999997', '6705.4', '315', '-5826.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2735600', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.708733', '0', '-0.705479', '6705.41', '312.268', '-5826.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775354', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-5419.99', '25.4735', '-6254.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775356', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '-0.298927', '-0.43876', '-0.155276', '0.83308', '-5425.8', '25.5368', '-6254.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775359', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '-0.173626', '-0.393554', '0.377776', '0.819912', '-5414.26', '25.6', '-6254.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775360', '0', 'object/static/item/shared_item_music_microphone_s1.iff', '0', '0', '0', '1', '-5420', '25.6', '-6254.5', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775361', '0', 'object/static/item/shared_item_music_microphone_s1.iff', '0', '-0.382683', '0', '0.92388', '-5423', '25.6', '-6255', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775362', '0', 'object/static/item/shared_item_music_microphone_s1.iff', '0', '0.382683', '0', '0.92388', '-5416.5', '25.6', '-6255', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775363', '0', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff', '0', '1', '0', '0', '-5428', '24.3', '-6231', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775364', '0', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff', '0', '1', '0', '0', '-5426', '24.3', '-6228', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775365', '0', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff', '0', '1', '0', '0', '-5426', '24.3', '-6225', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775366', '0', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff', '0', '1', '0', '0', '-5428', '24.3', '-6237', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775367', '0', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff', '0', '1', '0', '0', '-5428', '24.3', '-6234', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775368', '0', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff', '0', '1', '0', '0', '-5428', '24.3', '-6243', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775369', '0', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff', '0', '1', '0', '0', '-5424', '24.3', '-6231', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775370', '0', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff', '0', '1', '0', '0', '-5422', '24.3', '-6228', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775371', '0', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff', '0', '1', '0', '0', '-5422', '24.3', '-6225', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775372', '0', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff', '0', '1', '0', '0', '-5424', '24.3', '-6237', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775373', '0', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff', '0', '1', '0', '0', '-5424', '24.3', '-6234', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775374', '0', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff', '0', '1', '0', '0', '-5428', '24.3', '-6240', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775375', '0', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff', '0', '1', '0', '0', '-5428', '24.3', '-6246', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775376', '0', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff', '0', '1', '0', '0', '-5424', '24.3', '-6240', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775377', '0', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff', '0', '1', '0', '0', '-5420', '24.3', '-6231', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775378', '0', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff', '0', '1', '0', '0', '-5418', '24.3', '-6225', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775379', '0', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff', '0', '1', '0', '0', '-5420', '24.3', '-6234', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775380', '0', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff', '0', '1', '0', '0', '-5424', '24.3', '-6243', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775381', '0', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff', '0', '1', '0', '0', '-5418', '24.3', '-6228', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775382', '0', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff', '0', '1', '0', '0', '-5420', '24.3', '-6237', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775383', '0', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff', '0', '1', '0', '0', '-5420', '24.3', '-6240', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775384', '0', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff', '0', '1', '0', '0', '-5424', '24.3', '-6246', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775385', '0', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff', '0', '1', '0', '0', '-5420', '24.3', '-6243', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775386', '0', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff', '0', '1', '0', '0', '-5416', '24.3', '-6231', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775387', '0', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff', '0', '1', '0', '0', '-5414', '24.3', '-6228', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775388', '0', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff', '0', '1', '0', '0', '-5414', '24.3', '-6225', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775389', '0', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff', '0', '1', '0', '0', '-5416', '24.3', '-6234', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775390', '0', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff', '0', '1', '0', '0', '-5416', '24.3', '-6237', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775391', '0', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff', '0', '1', '0', '0', '-5420', '24.3', '-6246', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775392', '0', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff', '0', '1', '0', '0', '-5416', '24.3', '-6243', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775393', '0', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff', '0', '1', '0', '0', '-5416', '24.3', '-6240', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775394', '0', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff', '0', '1', '0', '0', '-5412', '24.3', '-6231', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775395', '0', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff', '0', '1', '0', '0', '-5412', '24.3', '-6234', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775396', '0', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff', '0', '1', '0', '0', '-5412', '24.3', '-6240', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775397', '0', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff', '0', '1', '0', '0', '-5412', '24.3', '-6237', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775398', '0', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff', '0', '1', '0', '0', '-5416', '24.3', '-6246', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775399', '0', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff', '0', '1', '0', '0', '-5412', '24.3', '-6246', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775400', '0', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff', '0', '1', '0', '0', '-5412', '24.3', '-6243', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775401', '0', 'object/static/naboo/shared_waterfall_naboo_crest_01.iff', '0', '1', '0', '6.14252e-06', '-5421.84', '29.6293', '-6270.2', '256', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775402', '0', 'object/static/naboo/shared_waterfall_naboo_crest_01.iff', '0', '0', '0', '1', '-5419.36', '29.6447', '-6270.55', '256', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775404', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '1', '0', '3.20013e-08', '6676.4', '330', '-5904.21', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775405', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '1', '0', '3.20013e-08', '6670.48', '330', '-5904.12', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775407', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0', '0', '1', '6634.86', '330', '-5946.08', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775408', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0', '0', '1', '6628.95', '330', '-5945.99', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775409', '0', 'object/building/corellia/shared_hotel_corellia.iff', '0', '1', '0', '7.33659e-08', '-5515.77', '23.4', '-6149.92', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775410', '2775409', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775411', '2775409', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775412', '2775409', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775413', '2775409', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1094995', '2775413', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.00269807', '0', '0.999996', '4.28922', '1.30241', '-22.0795', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1094996', '2775413', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.00269807', '0', '0.999996', '0.216586', '1.30151', '-21.9958', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1094997', '2775413', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '0.00269807', '0', '0.999996', '-1.20449', '1.1117', '-16.1209', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1094998', '2775413', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '0.00269807', '0', '0.999996', '9.4391', '1.11266', '-16.238', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1094999', '2775413', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.00269807', '0', '0.999996', '8.32969', '1.30241', '-22.2236', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205556', '2775413', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '0.426768', '0.999994', '0.014916', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775414', '2775409', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205566', '2775414', 'object/soundobject/shared_soundobject_cantina_small.iff', '0', '0', '0', '1', '20.3657', '1.28309', '1.32222', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775415', '2775409', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1094989', '2775415', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '-0.00730187', '0', '0.999973', '-16.0504', '1.00108', '-0.120485', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1094990', '2775415', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '-0.00730187', '0', '0.999973', '-16.1011', '1.00109', '4.24893', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1094991', '2775415', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.712256', '0', '-0.70192', '-12.4642', '1.00091', '-0.0920972', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1094992', '2775415', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.701924', '0', '0.712252', '-12.2612', '1.00076', '-0.109915', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1094993', '2775415', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.710912', '0', '0.703281', '-12.1872', '1.00102', '4.1977', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1094994', '2775415', 'object/tangible/gambling/slot/shared_standard.iff', '0', '-0.703288', '0', '0.710906', '-12.3894', '1.00086', '4.22055', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205561', '2775415', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-13.1115', '1.00043', '2.43613', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775416', '2775409', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775417', '2775409', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775418', '2775409', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775419', '2775409', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775422', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0.99955', '0', '-0.0299955', '6633.75', '330', '-5938.28', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775423', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0.99955', '0', '-0.029996', '6622.45', '330', '-5937.53', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775425', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0', '0', '1', '6627.96', '330', '-5937.92', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775427', '0', 'object/building/corellia/shared_filler_historic_32x16_s01.iff', '0', '0', '0', '1', '-5567.35', '23.4', '-6216.58', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775432', '0', 'object/building/corellia/shared_filler_historic_32x16_s02.iff', '0', '0', '0', '1', '-5566.06', '23.4', '-6156.37', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775437', '0', 'object/building/corellia/shared_filler_historic_24x16_s01.iff', '0', '1', '0', '6.63422e-07', '-5565.37', '23.4', '-6185.29', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775439', '0', 'object/building/corellia/shared_filler_historic_24x16_s02.iff', '0', '0.707107', '0', '0.707107', '-5544.68', '23.4', '-6234.72', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775452', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '-0.526401', '0', '0.850236', '-5543', '23.4', '-6175', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775453', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '-0.0608173', '0', '0.998149', '-5533', '23.4', '-6175', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775454', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.321402', '0', '0.946943', '-5543', '23.4', '-6183', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775455', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.998157', '0', '0.0606851', '-5533', '23.4', '-6183', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775460', '0', 'object/static/structure/corellia/shared_corl_fountain_statue_contemplate_s01.iff', '0', '0.707106', '0', '0.707108', '-5538', '23.4', '-6179', '96', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775461', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0', '0', '1', '-5493', '20.6', '-6174', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775462', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0', '0', '1', '-5493', '20.6', '-6184', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775463', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '-5530', '24', '-6174', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775464', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '-5530', '24', '-6184', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775465', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '-5546', '24', '-6174', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775466', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '-5546', '24', '-6184', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775467', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '-5501', '24', '-6174', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775468', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '-5501', '24', '-6184', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775469', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '-5485', '24', '-6174', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775470', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '-5485', '24', '-6184', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775471', '0', 'object/static/structure/corellia/shared_corl_fountain_statue_heroic_s01.iff', '0', '0.707107', '0', '0.707107', '-5493', '23.4', '-6179', '96', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775474', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0.991717', '0', '0.12844', '-5498', '23.4', '-6179', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775477', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0.754299', '0', '0.656531', '-5488', '23.4', '-6179', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775479', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0.707106', '0', '0.707108', '6642.48', '330', '-5885.19', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775480', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '-0.0141412', '0.706964', '-0.0141412', '0.706966', '6642.51', '329.965', '-5880.06', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775482', '0', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.380188', '0', '0.924909', '6716.87', '330', '-5973.01', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775483', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.973485', '0', '0.228753', '6715.83', '330', '-5970.41', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775484', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.483808', '0', '0.875174', '6714.01', '330', '-5974.6', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775485', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.617059', '0', '0.786917', '6719.06', '330.053', '-5973.15', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775486', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.0799146', '0', '0.996802', '6716.96', '330.072', '-5975.86', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775487', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.589146', '0', '0.808026', '6698.89', '330', '-5969.94', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775488', '0', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.0449848', '0', '0.998988', '6701.55', '330', '-5969.68', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775489', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.0549733', '0', '0.998488', '6701.19', '330', '-5972.17', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775490', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.999875', '0', '-0.0157963', '6702.09', '330', '-5967.18', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775491', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.710353', '0', '-0.703846', '6704.61', '330', '-5969.85', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775497', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.576957', '0', '0.816775', '6726.34', '330', '-5965.46', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775498', '0', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.932039', '0', '-0.362358', '6724.18', '330', '-5963.75', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775499', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.928369', '0', '-0.37166', '6725.98', '330', '-5961.99', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775500', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.42738', '0', '0.904072', '6722.07', '330', '-5965.58', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775501', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.894179', '0', '0.447711', '6721.85', '330', '-5961.77', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775502', '0', 'object/static/structure/corellia/shared_corl_fountain_statue_heroic_s01.iff', '0', '1', '0', '-9.17085e-07', '6731.22', '330', '-5901.89', '96', '1');
INSERT INTO `staticobjects` VALUES ('0', '2775506', '0', 'object/building/corellia/shared_shuttleport_corellia.iff', '0', '-0.707105', '0', '0.707109', '-5551.95', '15.8901', '-6039.97', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2835684', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.648033', '0', '0.761612', '-6517.47', '398', '6045.34', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2835685', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.918787', '0', '-0.394752', '-6516.45', '398', '6045.71', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2835686', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.466207', '0', '0.884675', '-6515.81', '398', '6045.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2835687', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.91071', '0', '0.413047', '-6516.13', '398.885', '6045.46', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2835688', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.989391', '0', '-0.145279', '-6516.49', '398', '6044.55', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2835690', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.789504', '0', '-0.613745', '-6517.48', '398', '6044.24', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2835692', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.992809', '0', '0.119713', '-6515.41', '398', '6043.58', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2835693', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.193767', '0', '0.981048', '-6514.86', '398.885', '6043.5', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2835694', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.149438', '0', '0.988771', '-6514.4', '398', '6043.57', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '2835697', '0', 'object/static/structure/general/shared_data_terminal_s1.iff', '0', '0.990794', '0', '0.135379', '-6519.03', '398', '6045.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '2955360', '0', 'object/building/corellia/shared_filler_historic_24x16_s01.iff', '0', '-0.198669', '0', '0.980067', '-3308.28', '86', '3305.63', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2955362', '0', 'object/building/corellia/shared_filler_historic_24x16_s02.iff', '0', '1', '0', '3.20013e-08', '-3381.6', '85.9958', '3281.47', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2955365', '0', 'object/building/corellia/shared_filler_historic_32x16_s02.iff', '0', '1', '0', '3.27029e-07', '-3307.16', '86', '3247.78', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2955370', '0', 'object/building/corellia/shared_filler_historic_32x16_s01.iff', '0', '0.710353', '0', '0.703845', '-3342.89', '86', '3283.32', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2955375', '0', 'object/building/corellia/shared_filler_historic_24x16_s02.iff', '0', '0.707106', '0', '0.707108', '-3319.49', '86', '3213.62', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2955378', '0', 'object/building/corellia/shared_filler_historic_24x16_s02.iff', '0', '0.911039', '0', '0.412321', '-3414.57', '86', '3006.92', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2955381', '0', 'object/building/corellia/shared_filler_historic_32x16_s02.iff', '0', '0.962209', '0', '0.272314', '-3474.3', '85.5943', '3175.8', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2955386', '0', 'object/building/corellia/shared_filler_historic_24x16_s02.iff', '0', '-0.324043', '0', '0.946042', '-3388.63', '86', '3027.44', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2955389', '0', 'object/building/corellia/shared_filler_historic_24x16_s01.iff', '0', '0', '0', '1', '-3377.86', '86', '3001.17', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2955393', '0', 'object/building/corellia/shared_guild_university_corellia_style_01.iff', '0', '0.252245', '0', '0.967663', '-3688.61', '86', '3065.03', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2955394', '2955393', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2955395', '2955393', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2955396', '2955393', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2955397', '2955393', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2955398', '2955393', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2955399', '2955393', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2955400', '2955393', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2955401', '2955393', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2955402', '2955393', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2955403', '0', 'object/building/corellia/shared_filler_historic_24x16_s02.iff', '0', '0.968814', '0', '0.24779', '-3598.51', '86', '3135.2', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2955408', '0', 'object/building/corellia/shared_guild_commerce_corellia_style_01.iff', '0', '-0.276355', '0', '0.961056', '-3425.07', '78', '3181.6', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2955409', '2955408', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '4655382', '2955409', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '0.707106', '0', '0.707107', '-13.5646', '2.5', '13.8666', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4655383', '2955409', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '-0.707106', '0', '0.707107', '13.5796', '2.5', '14.173', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2955410', '2955408', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2955411', '2955408', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2955412', '2955408', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2955413', '2955408', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2955414', '2955408', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2955415', '2955408', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2955416', '2955408', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2955417', '2955408', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2955418', '0', 'object/building/corellia/shared_guild_combat_corellia_style_01.iff', '0', '0.999784', '0', '-0.0207949', '-3411.17', '74', '3383.62', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '2955419', '2955418', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2955420', '2955418', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2955421', '2955418', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2955422', '2955418', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2955423', '2955418', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2955424', '2955418', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2955425', '2955418', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2955426', '2955418', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2955427', '2955418', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '2955433', '0', 'object/building/corellia/shared_filler_historic_24x16_s02.iff', '0', '0', '0', '1', '-3301.74', '86', '3279.07', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005353', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff', '0', '0.488177', '0', '0.872745', '-3466.95', '84.9237', '3198.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005354', '0', 'object/building/corellia/shared_filler_historic_24x16_s02.iff', '0', '0.862404', '0', '-0.506221', '-3542.15', '86', '3174.52', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005357', '0', 'object/building/corellia/shared_filler_historic_24x16_s02.iff', '0', '-0.242555', '0', '0.970138', '-3565.68', '86', '3152.9', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005384', '0', 'object/building/corellia/shared_filler_historic_24x16_s01.iff', '0', '0.8699', '0', '-0.493228', '-3621.85', '85.9443', '3226.59', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005391', '0', 'object/building/corellia/shared_filler_historic_24x16_s01.iff', '0', '0.51482', '0', '0.857298', '-3574.67', '86', '3130.04', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005393', '0', 'object/building/corellia/shared_garage_corellia.iff', '0', '0.906534', '0', '-0.422133', '-3184.25', '30.998', '2818.83', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005396', '0', 'object/building/corellia/shared_cantina_corellia.iff', '0', '0.540972', '0', '0.84104', '-3480.17', '78', '3087.22', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005397', '3005396', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675406', '3005397', 'object/tangible/furniture/tatooine/shared_frn_tato_vase_style_01.iff', '0', '0', '0', '1', '41.6443', '0.104999', '3.572', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675407', '3005397', 'object/tangible/furniture/tatooine/shared_frn_tato_vase_style_01.iff', '0', '0', '0', '1', '45.2822', '0.104999', '3.55634', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675408', '3005397', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_2.iff', '0', '1', '0', '3.20013e-08', '43.4679', '0.104999', '3.67713', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675409', '3005397', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_2.iff', '0', '1', '0', '3.20013e-08', '39.7571', '0.104999', '3.7043', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675410', '3005397', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_2.iff', '0', '1', '0', '3.20013e-08', '47.1623', '0.104999', '3.73257', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675411', '3005397', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_1.iff', '0', '0', '0', '1', '43.4286', '0.104999', '2.13203', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675412', '3005397', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_1.iff', '0', '0', '0', '1', '47.3447', '0.105', '1.90105', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675413', '3005397', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_1.iff', '0', '0', '0', '1', '39.6549', '0.104999', '2.14187', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675414', '3005397', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.535416', '0', '0.844589', '42.2185', '0.104999', '1.15449', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675415', '3005397', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '-0.257081', '0', '0.96639', '44.6427', '0.104999', '0.942458', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675416', '3005397', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.375559', '0', '0.926798', '46.0554', '0.103279', '0.834527', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675417', '3005397', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '-0.174108', '0', '0.984727', '48.4881', '0.105', '0.630506', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675418', '3005397', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '-0.601198', '0', '0.7991', '40.8805', '0.104999', '1.03019', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675419', '3005397', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.548024', '0', '0.836463', '38.0664', '0.104999', '1.19152', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675420', '3005397', 'object/static/item/shared_item_basket_closed.iff', '0', '-0.227978', '0', '0.973666', '42.6692', '0.104999', '-4.43173', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675421', '3005397', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '45.2367', '0.104999', '-4.60869', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675422', '3005397', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '44.9648', '0.104999', '-4.51871', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675423', '3005397', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '44.3938', '0.104999', '-4.83818', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675424', '3005397', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '43.4746', '0.104999', '-4.81352', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675425', '3005397', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '43.3526', '0.104999', '-4.46573', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005398', '3005396', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205542', '3005398', 'object/soundobject/shared_soundobject_cantina_small.iff', '0', '0', '0', '1', '32.4349', '0.105', '0.758095', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005399', '3005396', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005400', '3005396', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205520', '3005400', 'object/soundobject/shared_soundobject_cantina_medium.iff', '0', '0', '0', '1', '20.8475', '-0.894996', '-16.9864', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005401', '3005396', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205523', '3005401', 'object/soundobject/shared_soundobject_cantina_medium.iff', '0', '0', '0', '1', '17.992', '-0.894992', '17.6939', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005402', '3005396', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205517', '3005402', 'object/soundobject/shared_soundobject_cantina_medium.iff', '0', '0', '0', '1', '6.97427', '-0.894992', '-15.7423', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005403', '3005396', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205525', '3005403', 'object/soundobject/shared_soundobject_cantina_medium.iff', '0', '0', '0', '1', '5.71975', '-0.894992', '18.2219', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005404', '3005396', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205514', '3005404', 'object/soundobject/shared_soundobject_cantina_medium.iff', '0', '0', '0', '1', '-8.34175', '-0.894926', '-18.7948', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005405', '3005396', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205528', '3005405', 'object/soundobject/shared_soundobject_cantina_medium.iff', '0', '0', '0', '1', '-7.34024', '-0.894999', '19.8611', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005406', '3005396', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '9015790', '3005406', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '0.707106', '0', '0.707107', '-21.3024', '-0.894989', '-5.40416', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9015791', '3005406', 'object/static/item/shared_item_tool_radio.iff', '0', '0.971338', '0', '0.237703', '-21.4536', '-0.10442', '-6.95419', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '9015792', '3005406', 'object/static/item/shared_item_shisha.iff', '0', '0.962209', '0', '0.272313', '-21.0693', '-0.10442', '-6.72414', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '9015793', '3005406', 'object/static/item/shared_item_music_gong_stick.iff', '0.298493', '-0.641016', '0.641017', '0.298493', '-20.9845', '-0.072797', '-5.6803', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '9015795', '3005406', 'object/static/item/shared_item_makeup.iff', '0', '0.774923', '0', '0.632056', '-21.2624', '-0.10442', '-5.18588', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '9015797', '3005406', 'object/static/item/shared_item_drall_medicine.iff', '0', '0.707106', '0', '0.707107', '-20.885', '-0.894989', '-6.75731', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '9015800', '3005406', 'object/static/item/shared_item_speaker.iff', '0', '0.707106', '0', '0.707107', '-21.09', '-0.894988', '6.52595', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '9015802', '3005406', 'object/static/item/shared_item_speaker.iff', '0', '0.707106', '0', '0.707107', '-21.069', '-0.894988', '7.70177', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '9015803', '3005406', 'object/static/item/shared_item_speaker.iff', '0', '0.707106', '0', '0.707107', '-21.0857', '-0.894988', '8.73521', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005407', '3005396', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '9015785', '3005407', 'object/static/item/shared_item_music_omni_box.iff', '0', '1', '0', '-7.41481e-08', '-29.2955', '-0.894984', '1.74638', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '9015786', '3005407', 'object/static/item/shared_item_music_red_ball_jet_organ.iff', '0', '1', '0', '-3.20013e-08', '-27.9214', '-0.894985', '2.39498', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '9015787', '3005407', 'object/static/item/shared_item_music_microphone_s2.iff', '0', '0.840028', '0', '-0.542542', '-29.3316', '-0.894984', '1.04946', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '9015788', '3005407', 'object/static/item/shared_item_music_microphone_s2.iff', '0', '0.851736', '0', '-0.523972', '-28.8469', '-0.894984', '1.4693', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '9015798', '3005407', 'object/static/item/shared_item_speaker.iff', '0', '0', '0', '1', '-24.885', '-0.894984', '-2.17351', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '9015799', '3005407', 'object/static/item/shared_item_speaker.iff', '0', '0', '0', '1', '-23.3377', '-0.894991', '-2.25052', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005408', '3005396', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005409', '3005396', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005410', '3005396', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205513', '3005410', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-34.2057', '0.10501', '-18.1883', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005411', '3005396', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205511', '3005411', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-44.1795', '0.103918', '-18.4555', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005426', '0', 'object/building/corellia/shared_cloning_corellia.iff', '0', '-0.242556', '0', '0.970137', '-3534.96', '69.9799', '3201.65', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005427', '3005426', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005428', '3005426', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005429', '3005426', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005430', '3005426', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005431', '3005426', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005432', '3005426', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005434', '0', 'object/static/structure/corellia/shared_corl_stair_large_s01.iff', '0', '-0.242556', '0', '0.970137', '-3509.76', '69.9609', '3228.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005435', '0', 'object/static/structure/corellia/shared_corl_stair_large_s01.iff', '0', '-0.242556', '0', '0.970137', '-3571.56', '69.9799', '3195.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005436', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.257081', '0', '0.96639', '-3529.17', '83', '3181.87', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005440', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.496881', '0', '0.867819', '-3491.76', '84', '3189.61', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005441', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.223106', '0', '0.974794', '-3477.95', '82.915', '3196.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005444', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.102123', '0', '0.994772', '-3485.48', '84', '3193.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005451', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '-0.237703', '0', '0.971338', '-3526.12', '67', '3236.72', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005452', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '-0.242556', '0', '0.970137', '-3568.41', '67', '3214.28', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005454', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.864924', '0', '-0.501902', '-3493.12', '67', '3244.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005456', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.971527', '0', '0.236928', '-3504.85', '67', '3247.76', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005457', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.97033', '0', '0.241783', '-3547.33', '67', '3225.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005458', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.382683', '0', '0.92388', '-5516', '20.3386', '-6210', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005459', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.923879', '0', '0.382685', '-5516', '20.3386', '-6210', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005461', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.92388', '0', '-0.382683', '-5521.66', '23.4', '-6215.66', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005462', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.92388', '0', '0.382683', '-5510.34', '23.4', '-6215.66', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005463', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.92388', '0', '-0.382683', '-5510.34', '23.4', '-6204.34', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005464', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.92388', '0', '0.382683', '-5521.66', '23.4', '-6204.34', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005465', '0', 'object/static/structure/corellia/shared_corl_fountain_circle_s01.iff', '0', '0.92388', '0', '0.382683', '-5516', '23.4', '-6210', '96', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005470', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff', '0', '-0.242556', '0', '0.970137', '-3505.52', '85.8084', '3220.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005471', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff', '0', '-0.242556', '0', '0.970137', '-3567.32', '85.8274', '3187.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005473', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.864924', '0', '-0.501902', '-3500.03', '83', '3203.99', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005475', '0', 'object/building/corellia/shared_filler_slum_16x16_s01.iff', '0', '1', '0', '2.85506e-06', '-5703', '14.6', '-6174', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005479', '0', 'object/building/corellia/shared_filler_slum_16x32_s02.iff', '0', '0', '0', '1', '-5676', '14.6', '-6151', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005484', '0', 'object/building/corellia/shared_filler_slum_16x16_s01.iff', '0', '1', '0', '-3.20013e-08', '-5705.13', '14.6', '-6139.98', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005488', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.864924', '0', '-0.501902', '-3493.9', '83', '3207.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005489', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.867819', '0', '-0.496881', '-3470.2', '84', '3200.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005490', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff', '0', '0.488177', '0', '0.872745', '-3465.27', '84.9237', '3199.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005491', '0', 'object/static/structure/corellia/shared_corl_stair_medium_s01.iff', '0', '0.488177', '0', '0.872745', '-3460.99', '77.088', '3202.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005492', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.870292', '0', '-0.492536', '-3466.66', '83.8992', '3194.81', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005495', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.862404', '0', '-0.50622', '-3555.88', '83', '3174.2', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005515', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.867423', '0', '-0.497571', '-3605.93', '83', '3229.21', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005518', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.872355', '0', '-0.488872', '-3631.6', '83', '3213.63', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005520', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.0998333', '0', '0.995004', '-3622.14', '83', '3241.69', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005521', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.434965', '0', '0.900447', '-3635.03', '83', '3233.77', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005526', '0', 'object/static/structure/corellia/shared_corl_power_arial_prime.iff', '0', '-0.707106', '0', '0.707108', '-5692', '14.6', '-6159', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005527', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0.707106', '0', '0.707107', '-5683.3', '14.6', '-6174.44', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005528', '0', 'object/static/structure/corellia/shared_corl_power_connector.iff', '0', '0', '0', '1', '-5677.25', '14.6', '-6174.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005530', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '0', '0', '1', '-5683.3', '14.6', '-6170.38', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005531', '0', 'object/building/corellia/shared_filler_historic_24x16_s02.iff', '0', '-0.242555', '0', '0.970138', '-3582.29', '86', '3178.43', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005534', '0', 'object/building/corellia/shared_filler_historic_24x16_s02.iff', '0', '0.970138', '0', '0.242555', '-3608.69', '86', '3164.28', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005538', '0', 'object/static/installation/shared_mockup_power_generator_wind_style_1.iff', '0', '0', '0', '1', '-5671.15', '14.6', '-6171', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005539', '0', 'object/static/installation/shared_mockup_power_generator_wind_style_1.iff', '0', '0', '0', '1', '-5677.15', '14.6', '-6171', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005540', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s01.iff', '0', '-0.237703', '0', '0.971338', '-3599.94', '86', '3179.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005542', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.134591', '0', '0.990901', '-3615.53', '83', '3197.77', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005543', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.640385', '0', '0.768054', '-3599.25', '83', '3207.39', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005545', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0', '0', '1', '-5704.33', '14.6', '-6164.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005546', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.731145', '0', '-0.682222', '-3721.37', '83', '3078.22', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005548', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.663134', '0', '0.748501', '-3720.85', '83', '3095.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005549', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.483803', '0', '0.875177', '-3715.32', '83', '3110.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005551', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.361611', '0', '0.932329', '-3704.99', '83', '3122.58', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005553', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.174104', '0', '0.984727', '-3677.48', '83', '3139.13', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005554', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.0399846', '0', '0.9992', '-3661.72', '83', '3142.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005558', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.955573', '0', '0.294755', '-3621.33', '83', '3163.36', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005559', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.885788', '0', '0.46409', '-3632.79', '83', '3151.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005560', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.834152', '0', '-0.551535', '-5712.89', '15.2957', '-6161.65', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005561', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.066543', '0', '0.997784', '-5713.01', '14.6', '-6160.7', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005562', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0.378538', '0.57772', '-0.325742', '-0.645632', '-5712.82', '14.9162', '-6162.31', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005563', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999816', '0', '-0.019203', '-5712.9', '14.6', '-6161.81', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005565', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.0749261', '0', '0.997189', '-3633.38', '83', '3092.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005566', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.398606', '0', '0.917122', '-3647.4', '83', '3084.77', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005567', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.0599603', '0', '0.998201', '-3617.3', '83', '3094.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005569', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.822957', '0', '0.568104', '-3656.34', '83', '3070.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005570', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.213343', '0', '0.976977', '-3601.78', '83', '3098.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005572', '0', 'object/static/structure/corellia/shared_corl_power_arial_prime.iff', '0', '-0.7071', '0', '0.707113', '-5692', '14.6', '-6155', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005573', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.505537', '0', '0.862805', '-3586.28', '83', '3120.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005575', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '0', '0', '1', '-5674', '14.6', '-6185', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005576', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '0', '0', '1', '-5698', '14.6', '-6185', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005577', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s02.iff', '0', '0.707107', '0', '0.707107', '-5666', '14.6', '-6182', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005579', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '0.707106', '0', '0.707107', '-5666', '14.6', '-6171', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005580', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '0.707106', '0', '0.707107', '-5666', '14.6', '-6147', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005582', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '-5666', '14.6', '-6131', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005583', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '0', '0', '1', '-5682', '14.6', '-6131', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005584', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '0', '0', '1', '-5706', '14.6', '-6131', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005585', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '-5714', '14.6', '-6131', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005586', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '0.707106', '0', '0.707107', '-5714', '14.6', '-6139', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005587', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '0.707106', '0', '0.707108', '-5714', '14.6', '-6169', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005588', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '-5714', '14.6', '-6185', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005589', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '1', '0', '0', '-3.20013e-08', '-5714', '12.6', '-6185', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005590', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s02.iff', '0', '-0.707106', '0', '0.707107', '-5714', '14.6', '-6150', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005593', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '-0.617054', '0', '0.786921', '-3389.38', '83', '3180.76', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005594', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '-0.674284', '0', '0.738472', '-3374.93', '83', '3227.21', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005595', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.479422', '0', '0.877585', '-3380.92', '83', '3203.64', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005596', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.822046', '0', '-0.569421', '-3379.21', '83', '3258.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005642', '0', 'object/building/corellia/shared_filler_historic_24x16_s01.iff', '0', '-0.703279', '0', '0.710914', '-3334.28', '86', '3320.25', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005644', '0', 'object/building/corellia/shared_filler_historic_24x16_s02.iff', '0', '0.87959', '0', '-0.475732', '-3362.29', '86', '3312.99', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005647', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_lg_s01.iff', '0', '0.0499792', '0', '0.99875', '-3433.59', '78', '3272.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005648', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff', '0', '0.0499792', '0', '0.99875', '-3434.99', '78', '3258.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005649', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff', '0', '0.0499792', '0', '0.99875', '-3437.79', '77.9914', '3231.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005650', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_lg_s01.iff', '0', '0.0499792', '0', '0.99875', '-3436.39', '77.9938', '3244.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005651', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff', '0', '0.0499792', '0', '0.99875', '-3432.2', '78', '3286.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005652', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_lg_s01.iff', '0', '0.0499792', '0', '0.99875', '-3430.8', '78', '3300.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005656', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s02.iff', '0', '-0.699999', '0', '0.714143', '-3385.33', '86', '3298.76', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005658', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.632673', '0', '0.774419', '-3383.86', '83', '3312.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005660', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.844159', '0', '-0.536092', '-3297.06', '83', '3303.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005661', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.95209', '0', '-0.305817', '-3310.77', '83', '3323.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005662', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '-0.703258', '0', '0.710934', '-3290.37', '83', '3272.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005663', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '-0.648026', '0', '0.761618', '-3293.14', '83', '3240.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005664', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.92896', '0', '0.37018', '-3302.14', '83', '3218.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005665', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.998248', '0', '0.0591634', '-3345.01', '83', '3205.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005666', '0', 'object/building/corellia/shared_hotel_corellia.iff', '0', '-0.54869', '0', '0.836026', '-3240.86', '86', '3097.18', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005667', '3005666', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005668', '3005666', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '4655370', '3005668', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '0.92388', '0', '-0.382683', '5.32601', '0.999959', '23.9277', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4655371', '3005668', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '0.92388', '0', '0.382683', '-5.30209', '0.999959', '23.9113', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005669', '3005666', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005670', '3005666', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1095028', '3005670', 'object/tangible/gambling/slot/shared_standard.iff', '0', '-0.00230193', '0', '0.999997', '4.39729', '1.312', '-22.0916', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1095029', '3005670', 'object/tangible/gambling/slot/shared_standard.iff', '0', '-0.00230193', '0', '0.999997', '0.324009', '1.3111', '-22.049', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1095030', '3005670', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '-0.00230193', '0', '0.999997', '-1.15584', '1.1213', '-16.1884', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1095031', '3005670', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '-0.00230193', '0', '0.999997', '9.48863', '1.12226', '-16.1989', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1095032', '3005670', 'object/tangible/gambling/slot/shared_standard.iff', '0', '-0.00230193', '0', '0.999997', '8.43901', '1.312', '-22.1955', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205474', '3005670', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '0.792716', '0.999995', '0.080743', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005671', '3005666', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205482', '3005671', 'object/soundobject/shared_soundobject_cantina_small.iff', '0', '0', '0', '1', '18.1784', '1.28309', '-0.791838', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005672', '3005666', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1095022', '3005672', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '-0.0123016', '0', '0.999924', '-15.9581', '1.00081', '-0.0582795', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1095023', '3005672', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '-0.0123016', '0', '0.999924', '-16.0518', '1.00083', '4.31054', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1095024', '3005672', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.715753', '0', '-0.698354', '-12.3718', '1.00065', '0.00619676', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1095025', '3005672', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.698354', '0', '0.715753', '-12.1687', '1.00049', '-0.00980256', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1095026', '3005672', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.707387', '0', '0.706826', '-12.1379', '1.00075', '4.29833', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1095027', '3005672', 'object/tangible/gambling/slot/shared_standard.iff', '0', '-0.706832', '0', '0.707382', '-12.34', '1.0006', '4.31923', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205475', '3005672', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-14.6359', '1.00064', '3.05737', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005673', '3005666', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005674', '3005666', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005675', '3005666', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005676', '3005666', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005680', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '-5541.78', '23.4', '-6209.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005683', '0', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '0.707105', '0', '0.707108', '-5540.28', '23.4', '-6209.86', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005685', '0', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '-0.707105', '0', '0.707108', '-5543.19', '23.4', '-6209.85', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005686', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s01.iff', '0', '0', '0', '1', '-5541.44', '23.4', '-6203.69', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005687', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s01.iff', '0', '0', '0', '1', '-5541.43', '23.4', '-6216.96', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005688', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s01.iff', '0', '0.707104', '0', '0.707109', '-5534.83', '23.4', '-6210.28', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005689', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s01.iff', '0', '0.707105', '0', '0.707108', '-5548.07', '23.4', '-6210.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005694', '0', 'object/building/corellia/shared_cantina_corellia.iff', '0', '0', '0', '1', '-5212.43', '4', '-6413.53', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005695', '3005694', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005696', '3005694', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205602', '3005696', 'object/soundobject/shared_soundobject_cantina_small.iff', '0', '0', '0', '1', '32.6909', '0.105', '-2.76334', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005697', '3005694', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005698', '3005694', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205585', '3005698', 'object/soundobject/shared_soundobject_cantina_medium.iff', '0', '0', '0', '1', '20.1648', '-0.894996', '-15.5504', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005699', '3005694', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205586', '3005699', 'object/soundobject/shared_soundobject_cantina_medium.iff', '0', '0', '0', '1', '17.8683', '-0.894992', '18.4858', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005700', '3005694', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205579', '3005700', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '5.45168', '-0.894992', '-15.4852', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005701', '3005694', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205587', '3005701', 'object/soundobject/shared_soundobject_cantina_medium.iff', '0', '0', '0', '1', '6.20102', '-0.894992', '19.2506', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005702', '3005694', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205576', '3005702', 'object/soundobject/shared_soundobject_cantina_medium.iff', '0', '0', '0', '1', '-9.43139', '-0.894886', '-16.951', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005703', '3005694', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205591', '3005703', 'object/soundobject/shared_soundobject_cantina_medium.iff', '0', '0', '0', '1', '-7.68417', '-0.895', '19.5001', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005704', '3005694', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005705', '3005694', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005706', '3005694', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555506', '3005706', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff', '0', '-0.707106', '0', '0.707107', '-16.4464', '-0.894988', '21.9334', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555511', '3005706', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s05.iff', '0', '0', '0', '1', '-16.0876', '-0.89499', '19.5332', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555512', '3005706', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s05.iff', '0', '0', '0', '1', '-16.1909', '-0.894988', '24.3455', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555513', '3005706', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s05.iff', '0', '0', '0', '1', '-31.5089', '-0.894991', '17.26', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555514', '3005706', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff', '0', '0.908634', '0', '0.417595', '-28.9979', '-0.894991', '22.7559', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555516', '3005706', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_02.iff', '0', '0.91071', '0', '0.413046', '-27.7136', '-0.894991', '21.6712', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555517', '3005706', 'object/tangible/furniture/modern/shared_end_table_large_modern_style_01.iff', '0', '0.940806', '0', '-0.338946', '-30.7254', '-0.894991', '21.5989', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555518', '3005706', 'object/tangible/furniture/modern/shared_end_table_large_modern_style_01.iff', '0', '0.34759', '0', '0.937647', '-28.1144', '-0.894991', '24.7562', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555522', '3005706', 'object/tangible/furniture/all/shared_frn_all_chair_meatal_wheeled_s1.iff', '0', '0.692537', '0', '0.721382', '-31.2277', '-0.894991', '20.2549', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555523', '3005706', 'object/tangible/furniture/all/shared_frn_all_chair_meatal_wheeled_s1.iff', '0', '0.995566', '0', '0.0940645', '-26.6962', '-0.894991', '25.1929', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005707', '3005694', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555486', '3005707', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '0', '0', '1', '-27.699', '-0.519991', '8.58994', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555487', '3005707', 'object/tangible/furniture/technical/shared_bookcase_s01.iff', '0', '0', '0', '1', '-31.2019', '-0.519991', '5.29267', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555488', '3005707', 'object/tangible/furniture/technical/shared_bookcase_s01.iff', '0', '0', '0', '1', '-25.1398', '-0.519991', '5.24722', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555489', '3005707', 'object/tangible/furniture/all/shared_frn_all_chair_meatal_wheeled_s1.iff', '0', '0', '0', '1', '-27.8081', '-0.519991', '6.87789', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555490', '3005707', 'object/tangible/furniture/all/shared_frn_all_lamp_desk_s01.iff', '0', '0', '0', '1', '-27.509', '0.277936', '8.95107', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555491', '3005707', 'object/static/item/shared_item_data_disk.iff', '0', '0', '0', '1', '-26.3024', '0.270578', '8.88657', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555492', '3005707', 'object/static/item/shared_item_data_disk.iff', '0', '0', '0', '1', '-26.4984', '0.270578', '8.88048', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555493', '3005707', 'object/static/item/shared_item_data_disk.iff', '0', '0', '0', '1', '-26.4171', '0.270578', '9.01758', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555494', '3005707', 'object/tangible/furniture/all/shared_frn_all_chair_meatal_wheeled_s1.iff', '0', '1', '0', '3.20013e-08', '-32.022', '-0.519991', '14.3586', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555495', '3005707', 'object/tangible/furniture/all/shared_frn_all_chair_meatal_wheeled_s1.iff', '0', '1', '0', '3.20013e-08', '-29.8556', '-0.519991', '14.3992', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555499', '3005707', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_05.iff', '0', '0', '0', '1', '-27.7605', '-0.583237', '10.2366', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555500', '3005707', 'object/tangible/furniture/all/shared_frn_all_decorative_sm_s1.iff', '0', '0.964884', '0', '0.262678', '-29.1441', '0.270578', '8.94859', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555501', '3005707', 'object/static/item/shared_item_con_drink_flask.iff', '0', '0', '0', '1', '-27.104', '0.238956', '8.76151', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555502', '3005707', 'object/static/item/shared_item_con_pitcher_full.iff', '0', '0', '0', '1', '-25.0757', '0.934657', '5.23866', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555503', '3005707', 'object/static/item/shared_item_document.iff', '0', '-0.461779', '0', '0.886995', '-28.4786', '0.270578', '8.74949', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555504', '3005707', 'object/static/item/shared_item_datapad_s1.iff', '0', '-0.461779', '0', '0.886995', '-28.6948', '0.238956', '8.48644', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005708', '3005694', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205574', '3005708', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-33.9415', '0.10501', '-18.1479', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3005709', '3005694', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205572', '3005709', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-45.4494', '0.10286', '-17.4167', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055537', '0', 'object/building/corellia/shared_filler_historic_32x16_s01.iff', '-0.00202547', '-3.02328e-05', '0.0144617', '0.999893', '-5140.52', '4.30735', '-6408.49', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055542', '0', 'object/building/corellia/shared_filler_historic_32x16_s02.iff', '0.00353551', '0.707097', '-0.00353552', '-0.707098', '-5192.27', '4.06189', '-6365.28', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055562', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.100898', '0', '0.994897', '-5149.56', '4.78626', '-6440.51', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055563', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.994897', '0', '-0.100899', '-5148.76', '4.64681', '-6436.59', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055564', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '-0.632152', '0', '0.774844', '-5147.2', '4.75711', '-6438.95', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055565', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.774844', '0', '0.632152', '-5151.12', '4.6689', '-6438.15', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055566', '0', 'object/tangible/furniture/all/shared_frn_all_table_s02.iff', '0', '0.774844', '0', '0.632152', '-5149.16', '4.71314', '-6438.55', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055567', '0', 'object/tangible/furniture/all/shared_frn_all_table_s03.iff', '0.0192109', '-0.518555', '-0.00159918', '0.854827', '-5155.67', '4.43023', '-6433.71', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055568', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0.0160438', '0.271973', '0.0130996', '0.962082', '-5156.71', '4.47487', '-6435.42', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055569', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0.000706682', '0.872439', '0.0198556', '0.488319', '-5157.37', '4.364', '-6432.67', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055570', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0.019765', '-0.488327', '-0.00182978', '0.872435', '-5153.96', '4.49699', '-6434.76', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055571', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '-0.0132665', '0.962125', '0.0137279', '-0.271938', '-5154.62', '4.39056', '-6432.01', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055572', '0', 'object/tangible/furniture/all/shared_frn_all_table_s03.iff', '0.00786221', '0.802452', '0.0237884', '0.596191', '-5169.83', '4.41984', '-6439.13', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055573', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '-0.0120634', '0.983211', '0.020307', '-0.180935', '-5169.12', '4.34503', '-6437.26', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055575', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0.00691487', '0.822801', '0.0244781', '0.56776', '-5171.7', '4.35563', '-6438.42', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055587', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '-0.0938783', '0.0992917', '-0.0597748', '0.988815', '-5160.91', '5.039', '-6441.82', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055589', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '0.0325485', '0.791119', '0.144475', '0.593463', '-5169.8', '4.4207', '-6439.14', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055592', '0', 'object/building/corellia/shared_filler_historic_24x16_s02.iff', '0', '0.707107', '0', '0.707107', '-5311.2', '4', '-6450.25', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055595', '0', 'object/building/corellia/shared_filler_historic_32x16_s02.iff', '0', '0.692823', '0', '0.721107', '-5287.61', '4', '-6401.81', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055600', '0', 'object/building/corellia/shared_filler_historic_32x16_s01.iff', '0', '0', '0', '1', '-5329.25', '4', '-6426.75', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055605', '0', 'object/tangible/furniture/all/shared_frn_all_table_s03.iff', '0.00160936', '0.802698', '0.0160556', '0.596167', '-5141.88', '4.63961', '-6432.96', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055606', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '-0.0104122', '0.983405', '0.0108346', '-0.180798', '-5141.17', '4.60198', '-6431.09', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055607', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0.00166346', '0.823062', '0.0163257', '0.567715', '-5143.75', '4.5884', '-6432.25', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055608', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '0.0218243', '0.803866', '0.098468', '0.586197', '-5141.86', '4.64029', '-6432.97', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055609', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '0', '0.090401', '0', '0.995905', '-5149.12', '4.71423', '-6438.56', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055628', '0', 'object/building/corellia/shared_filler_historic_32x16_s02.iff', '0', '0.707107', '0', '0.707106', '-5282.29', '4', '-6450.71', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055676', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_large.iff', '0', '-0.7', '0', '0.714142', '-5264.08', '4', '-6413.36', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055677', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.961056', '0', '-0.276355', '-5260.87', '4', '-6409.62', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055679', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.874982', '0', '0.484156', '-5263.62', '4', '-6410.25', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055680', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '-0.484156', '0', '0.874982', '-5260.23', '4', '-6412.38', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055681', '0', 'object/tangible/furniture/all/shared_frn_all_table_s02.iff', '0', '-0.484156', '0', '0.874982', '-5261.93', '4', '-6411.31', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055682', '0', 'object/tangible/furniture/all/shared_frn_all_table_s03.iff', '0', '0.847043', '0', '-0.531524', '-5261.51', '4', '-6415.71', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055683', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '-0.188858', '0', '0.982004', '-5260.77', '4', '-6417.57', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055684', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.560839', '0', '0.827925', '-5263.36', '4', '-6416.46', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055685', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.827925', '0', '-0.560839', '-5259.65', '4', '-6414.97', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055687', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '-0.373426', '0', '0.92766', '-5266.02', '4', '-6417.19', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055688', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.391903', '0', '0.920007', '-5268.1', '4', '-6417.12', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055689', '0', 'object/tangible/furniture/all/shared_frn_all_table_s03.iff', '0', '0.847043', '0', '-0.531524', '-5266.99', '4', '-6416.06', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055690', '0', 'object/building/corellia/shared_filler_historic_24x16_s01.iff', '0', '-0.707106', '0', '0.707108', '-5223.02', '3.95414', '-6365.47', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055692', '0', 'object/static/structure/corellia/shared_corl_fountain_rectangle_s01.iff', '0', '-0.36413', '0', '0.931348', '-5154.07', '4.40059', '-6383.54', '96', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055693', '0', 'object/static/structure/corellia/shared_corl_fountain_rectangle_s01.iff', '0', '-0.459737', '0', '0.888055', '-5167.12', '4.33919', '-6372.65', '96', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055694', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.63766', '0', '0.770318', '-5159.61', '4.28536', '-6381.09', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055695', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0.63766', '0', '0.770318', '-5157.94', '4.38881', '-6379.63', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055696', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.63766', '0', '0.770318', '-5156.14', '4.50536', '-6378.04', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055697', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.946283', '0', '-0.323341', '-5163.88', '4.26021', '-6377.61', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055698', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0.946283', '0', '-0.323341', '-5162.59', '4.36467', '-6375.8', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055699', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.946283', '0', '-0.323341', '-5161.2', '4.48266', '-6373.84', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055700', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.00290977', '0', '0.999996', '-5151.95', '4.31308', '-6389.01', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055701', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0.00290977', '0', '0.999996', '-5150.31', '4.40653', '-6387.51', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055702', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.00290977', '0', '0.999996', '-5148.55', '4.51291', '-6385.88', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055703', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.360956', '0', '0.932583', '-5172.86', '4.22685', '-6371.35', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055704', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0.360956', '0', '0.932583', '-5171.57', '4.33351', '-6369.54', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055705', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.360956', '0', '0.932583', '-5170.19', '4.4532', '-6367.58', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055708', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.492535', '0', '0.870293', '-3432.92', '83', '3024.2', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055709', '0', 'object/static/structure/corellia/shared_corl_stair_medium_s01.iff', '0', '-0.624897', '0', '0.780707', '-3445.01', '78', '3037.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055710', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff', '0', '-0.624897', '0', '0.780707', '-3439.64', '85.8606', '3035.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055711', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff', '0', '-0.624897', '0', '0.780707', '-3437.69', '85.8606', '3035.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055712', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.993912', '0', '-0.110175', '-3435.95', '84', '3038.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055713', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.993912', '0', '-0.110174', '-3437.48', '84', '3031.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055716', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.380189', '0', '0.924909', '-3422.95', '83', '3011.56', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055717', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.35695', '0', '0.934124', '-3402.57', '83', '2992.72', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055718', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.593178', '0', '0.805071', '-3394.1', '83', '2979.64', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055719', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.655618', '0', '0.755093', '-3390.61', '83', '2964.05', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055720', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.281158', '0', '0.959661', '-3382.6', '83', '2951.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055721', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.342898', '0', '0.939373', '-3369.29', '83', '2941.86', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055722', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.412321', '0', '0.911038', '-3361.82', '83', '2949.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055723', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.394019', '0', '0.919102', '-3372.93', '83', '2962.13', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055724', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.751281', '0', '0.659982', '-3377.39', '83', '2975.96', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055725', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.751281', '0', '0.659982', '-3375.32', '83', '2991.85', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055726', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.518418', '0', '0.855127', '-3377.28', '83', '3016.33', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055727', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.232841', '0', '0.972515', '-3397.24', '83', '3068.22', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055728', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.706825', '0', '0.707388', '-3389.89', '83', '3048.33', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055731', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.674285', '0', '0.738471', '-3361.42', '83', '3170.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055733', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.670587', '0', '0.741831', '-3362.08', '83', '3194.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055734', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s02.iff', '0', '0.21823', '0', '0.975897', '-3368.41', '85.9986', '3207.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055747', '0', 'object/building/corellia/shared_shuttleport_corellia.iff', '0', '1', '0', '-7.41481e-08', '3065.5', '280', '4993.01', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055759', '0', 'object/building/corellia/shared_skyscraper_corellia_style_03.iff', '0', '0', '0', '1', '3187.73', '290', '4949.42', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055763', '0', 'object/building/corellia/shared_guild_commerce_corellia_style_01.iff', '0', '1', '0', '-1.16295e-07', '3159.91', '290', '5029.17', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055764', '3055763', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055765', '3055763', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055766', '3055763', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055767', '3055763', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055768', '3055763', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055769', '3055763', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055770', '3055763', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055771', '3055763', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055772', '3055763', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055787', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.597193', '0', '0.802097', '-3439.3', '83', '3086.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055788', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.783327', '0', '0.62161', '-3433.95', '83', '3047.21', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055789', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.648034', '0', '0.761611', '-3433.42', '83', '3063.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055790', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.398609', '0', '0.917121', '-3462.07', '83', '3137.89', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055791', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.552198', '0', '0.833713', '-3450.16', '83', '3116.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055792', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.232843', '0', '0.972514', '-3474.88', '83', '3147.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055793', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.179029', '0', '0.983844', '-3489.7', '83', '3153.99', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055794', '0', 'object/static/structure/corellia/shared_corl_stair_medium_s01.iff', '0', '0.997189', '0', '0.0749297', '-3516.08', '77.9775', '3147.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055795', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff', '0', '0.997189', '0', '0.0749297', '-3516.9', '85.7757', '3152.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055796', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff', '0', '0.997189', '0', '0.0749297', '-3517.2', '85.7757', '3154.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055797', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.652135', '0', '0.758103', '-3520.81', '83', '3155.2', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055798', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.652138', '0', '0.7581', '-3513.89', '83', '3156.24', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055801', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.0199987', '0', '0.9998', '-3505.54', '83', '3156.54', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055802', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.159318', '0', '0.987227', '-3529.06', '83', '3152.64', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055804', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.969109', '0', '0.246632', '-3551.05', '83', '3142.34', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055805', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.975723', '0', '0.219007', '-3527.39', '75', '3140.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055806', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.543834', '0', '0.839193', '-3486.98', '75', '3042.29', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055807', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.119712', '0', '0.992809', '-3464.56', '75', '3020.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055809', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.403189', '0', '0.915117', '-3478.08', '75', '3028.81', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055810', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.213347', '0', '0.976976', '-3520.45', '76', '3143.62', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055814', '0', 'object/building/corellia/shared_filler_historic_24x16_s02.iff', '0', '0.267499', '0', '0.963558', '-3407.33', '86', '3079.3', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055817', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff', '0', '0.0499789', '0', '0.99875', '-3429.42', '77.9572', '3314.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055818', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.881957', '0', '-0.471328', '-3423.36', '75', '3221.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055821', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.0749289', '0', '0.997189', '-3449.84', '75', '3233.77', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055823', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.457338', '0', '0.889293', '-3462.02', '75', '3226.36', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055824', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.655619', '0', '0.755092', '-3465.52', '75', '3212.34', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055825', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.281538', '0', '0.95955', '-3464.59', '76', '3205.18', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055826', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.281538', '0', '0.95955', '-3466.55', '76', '3220.19', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055827', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.281538', '0', '0.95955', '-3457.39', '76', '3232.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055828', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.0703385', '0', '0.997523', '-3442.43', '76', '3234.89', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055829', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.281538', '0', '0.95955', '-3432.2', '76', '3234.35', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055830', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.281538', '0', '0.95955', '-3414.4', '76', '3207.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055833', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.621297', '0', '0.783575', '-3489.76', '68', '3237.17', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055835', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.198281', '0', '0.980145', '-3497.48', '68', '3251.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055836', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.644521', '0', '0.764587', '-3582.33', '68', '3206.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055837', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.252629', '0', '0.967563', '-3554.23', '68', '3221.64', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055838', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.233229', '0', '0.972422', '-3540.26', '68', '3229.24', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3055839', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.238088', '0', '0.971244', '-3511.93', '68', '3244', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075352', '0', 'object/building/corellia/shared_guild_combat_corellia_style_01.iff', '0', '0.812307', '0', '-0.58323', '3200.15', '300', '5245.64', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075353', '3075352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075354', '3075352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075355', '3075352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075356', '3075352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075357', '3075352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075358', '3075352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075359', '3075352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075360', '3075352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075361', '3075352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075362', '0', 'object/building/corellia/shared_hotel_corellia.iff', '0', '0.707105', '0', '0.707109', '3078.42', '300', '5204.85', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075363', '3075362', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075364', '3075362', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075365', '3075362', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075366', '3075362', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1095017', '3075366', 'object/tangible/gambling/slot/shared_standard.iff', '0', '-0.00230193', '0', '0.999997', '4.31257', '1.23409', '-21.9864', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1095018', '3075366', 'object/tangible/gambling/slot/shared_standard.iff', '0', '-0.00230193', '0', '0.999997', '0.239274', '1.23319', '-21.944', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1095019', '3075366', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '-0.00230193', '0', '0.999997', '-1.24055', '1.04338', '-16.0833', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1095020', '3075366', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '-0.00230193', '0', '0.999997', '9.4038', '1.04434', '-16.0938', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1095021', '3075366', 'object/tangible/gambling/slot/shared_standard.iff', '0', '-0.00230193', '0', '0.999997', '8.35436', '1.23409', '-22.0903', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205461', '3075366', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '0.520046', '0.999994', '-0.410853', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075367', '3075362', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205469', '3075367', 'object/soundobject/shared_soundobject_cantina_medium.iff', '0', '0', '0', '1', '21.0303', '1.28309', '0.675894', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075368', '3075362', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1095011', '3075368', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '-0.00230193', '0', '0.999997', '-15.964', '1.00102', '-0.0538407', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1095012', '3075368', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '-0.00230193', '0', '0.999997', '-15.9701', '1.00103', '4.31594', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1095013', '3075368', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.708734', '0', '-0.705477', '-12.377', '1.00085', '-0.0611962', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1095014', '3075368', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.705476', '0', '0.708734', '-12.1744', '1.0007', '-0.0809773', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1095015', '3075368', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.71442', '0', '0.699717', '-12.0574', '1.00095', '4.22531', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1095016', '3075368', 'object/tangible/gambling/slot/shared_standard.iff', '0', '-0.699723', '0', '0.714415', '-12.2591', '1.0008', '4.25047', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205462', '3075368', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-17.1264', '1.00097', '3.13485', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075369', '3075362', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075370', '3075362', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075371', '3075362', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075372', '3075362', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075373', '0', 'object/building/corellia/shared_skyscraper_corellia_style_04.iff', '0', '0.707106', '0', '0.707108', '3145.02', '300', '5372.97', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075377', '0', 'object/building/corellia/shared_skyscraper_corellia_style_05.iff', '0', '1', '0', '9.52217e-08', '3219.19', '300', '5451.74', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075399', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.505534', '0', '0.862806', '-3507.57', '84', '3217.56', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075400', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.509842', '0', '0.860268', '-3501.62', '84', '3220.64', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075401', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.514136', '0', '0.857709', '-3569.53', '84', '3184.66', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075402', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.509842', '0', '0.860268', '-3563.45', '84', '3187.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075404', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.509842', '0', '0.860268', '-3547.69', '84', '3159.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075405', '0', 'object/building/corellia/shared_guild_university_corellia_style_01.iff', '0', '0.976397', '0', '0.215983', '3114.04', '300', '5284.93', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075406', '3075405', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075407', '3075405', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075408', '3075405', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075409', '3075405', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075410', '3075405', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075411', '3075405', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075412', '3075405', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075413', '3075405', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075414', '3075405', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075426', '0', 'object/building/corellia/shared_cantina_corellia.iff', '0', '0.923879', '0', '0.382685', '3244.71', '300', '5327.27', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075427', '3075426', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075428', '3075426', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075429', '3075426', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075430', '3075426', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205428', '3075430', 'object/soundobject/shared_soundobject_cantina_medium.iff', '0', '0', '0', '1', '19.758', '-0.894996', '-16.4507', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075431', '3075426', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205429', '3075431', 'object/soundobject/shared_soundobject_cantina_medium.iff', '0', '0', '0', '1', '18.0573', '-0.894992', '17.9057', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075432', '3075426', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205427', '3075432', 'object/soundobject/shared_soundobject_cantina_medium.iff', '0', '0', '0', '1', '6.08737', '-0.894992', '-16.7214', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075433', '3075426', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205430', '3075433', 'object/soundobject/shared_soundobject_cantina_medium.iff', '0', '0', '0', '1', '6.87258', '-0.894992', '16.2009', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075434', '3075426', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205426', '3075434', 'object/soundobject/shared_soundobject_cantina_medium.iff', '0', '0', '0', '1', '-6.96181', '-0.894948', '-17.5356', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075435', '3075426', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205431', '3075435', 'object/soundobject/shared_soundobject_cantina_medium.iff', '0', '0', '0', '1', '-6.28714', '-0.895', '19.253', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075436', '3075426', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075437', '3075426', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075438', '3075426', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555693', '3075438', 'object/tangible/furniture/all/shared_frn_all_couch_love_seat_s1.iff', '0', '-0.707106', '0', '0.707107', '-16.5162', '-0.894988', '24.1623', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555694', '3075438', 'object/tangible/furniture/all/shared_frn_all_couch_love_seat_s1.iff', '0', '-0.707106', '0', '0.707107', '-16.4967', '-0.894988', '19.4014', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555695', '3075438', 'object/tangible/furniture/tatooine/shared_frn_tato_vase_style_01.iff', '0', '0', '0', '1', '-15.8718', '-0.894989', '21.9705', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555696', '3075438', 'object/tangible/furniture/all/shared_frn_all_couch_love_seat_s2.iff', '0', '0.707107', '0', '0.707107', '-31.8715', '-0.894991', '17.9846', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555697', '3075438', 'object/tangible/furniture/all/shared_frn_all_couch_love_seat_s2.iff', '0', '1', '0', '3.20013e-08', '-25.3485', '-0.894991', '25.9567', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555698', '3075438', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s02.iff', '0', '0', '0', '1', '-29.561', '-0.894991', '23.0841', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555700', '3075438', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_03.iff', '0', '-0.707106', '0', '0.707107', '-21.8725', '-0.942497', '22.5203', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075439', '3075426', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555677', '3075439', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '0', '0', '1', '-27.8646', '-0.519991', '8.02875', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555678', '3075439', 'object/tangible/furniture/all/shared_frn_all_chair_meatal_wheeled_s1.iff', '0', '0', '0', '1', '-27.7838', '-0.519991', '6.33988', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555679', '3075439', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s05.iff', '0', '-0.0399893', '0', '0.9992', '-23.7162', '-0.519991', '5.7581', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555680', '3075439', 'object/tangible/furniture/all/shared_frn_all_lamp_desk_s02.iff', '0', '0', '0', '1', '-29.2312', '0.293465', '8.37063', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555681', '3075439', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff', '0', '0', '0', '1', '-25.7554', '-0.519991', '5.03436', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555682', '3075439', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff', '0', '0', '0', '1', '-29.8713', '-0.519991', '5.05265', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555683', '3075439', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_05.iff', '0', '0', '0', '1', '-27.7837', '-0.597463', '9.69346', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555686', '3075439', 'object/tangible/furniture/all/shared_frn_all_couch_sm_s1.iff', '0', '0.707107', '0', '0.707107', '-31.8838', '-0.519991', '9.57984', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555687', '3075439', 'object/tangible/furniture/all/shared_frn_all_couch_sm_s1.iff', '0', '0.707106', '0', '0.707107', '-31.8766', '-0.519991', '13.78', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555688', '3075439', 'object/tangible/furniture/tatooine/shared_frn_tato_vase_style_02.iff', '0', '0', '0', '1', '-32.4543', '-0.519991', '11.7497', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555690', '3075439', 'object/static/item/shared_item_painting_agrilat_swamp_style_02.iff', '0', '0', '0', '1', '-22.8605', '0.238956', '10.0365', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075440', '3075426', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205425', '3075440', 'object/soundobject/shared_soundobject_cantina_small.iff', '0', '0', '0', '1', '-33.7287', '0.10501', '-18.8066', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075441', '3075426', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205422', '3075441', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-44.9834', '0.103248', '-18.3682', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075456', '0', 'object/building/corellia/shared_filler_block_corellia_32x16_s01.iff', '0', '0.707105', '0', '0.707109', '3194.07', '300.023', '5135.45', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075459', '0', 'object/building/corellia/shared_filler_block_corellia_64x32_s01.iff', '0', '0.707105', '0', '0.707109', '3226.72', '290', '4999.11', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075474', '0', 'object/building/corellia/shared_skyscraper_corellia_style_02.iff', '0', '0.707108', '0', '0.707106', '3081.92', '300', '5150.4', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075478', '0', 'object/building/corellia/shared_filler_historic_32x16_s02.iff', '0', '0.707105', '0', '0.707109', '3117.17', '300', '5180.69', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075483', '0', 'object/building/corellia/shared_filler_historic_32x16_s01.iff', '0', '-0.707104', '0', '0.707109', '3159.07', '300', '5181.52', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075494', '0', 'object/building/corellia/shared_filler_building_corellia_style_07.iff', '0', '-0.382683', '0', '0.92388', '3206.65', '300', '5188.07', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075520', '0', 'object/building/corellia/shared_filler_block_corellia_64x32_s02.iff', '0', '1', '0', '-3.20013e-08', '3130.83', '300', '5116.71', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075526', '0', 'object/building/corellia/shared_bank_corellia.iff', '0', '0.382683', '0', '0.92388', '3209.58', '299.656', '5386.65', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075527', '0', 'object/building/corellia/shared_filler_historic_24x16_s02.iff', '0', '-0.707106', '0', '0.707108', '3089.97', '279.999', '5018.52', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075565', '0', 'object/building/corellia/shared_filler_building_corellia_style_05.iff', '0', '-0.382683', '0', '0.92388', '3169.12', '300', '5425.21', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075609', '0', 'object/building/corellia/shared_association_hall_civilian_corellia.iff', '0', '-0.382683', '0', '0.92388', '3319.18', '300', '5364.39', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075610', '3075609', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075611', '3075609', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075612', '3075609', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075613', '3075609', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075614', '3075609', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075615', '3075609', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075616', '3075609', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075617', '3075609', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075618', '3075609', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075619', '3075609', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205410', '3075619', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '-0.180267', '1.1544', '-7.71912', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075620', '3075609', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205415', '3075620', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '1.47066', '1.75', '-19.4079', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075621', '3075609', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075622', '3075609', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075623', '3075609', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075624', '3075609', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075625', '3075609', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075626', '3075609', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075633', '0', 'object/building/corellia/shared_filler_historic_32x16_s02.iff', '0', '0.92388', '0', '0.382683', '3161.82', '300', '5333.61', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075638', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.667166', '0', '0.744909', '-3425.87', '76', '3316.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075639', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.667163', '0', '0.744911', '-3432.49', '76', '3316.66', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075640', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.371285', '0', '0.928519', '-3381.86', '84', '3319.81', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075641', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.104417', '0', '0.994534', '-3317.7', '84', '3328.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075643', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.93036', '0', '-0.366648', '-3304.08', '84', '3318.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075644', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.758099', '0', '-0.65214', '-3290.46', '84', '3288.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075645', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.685575', '0', '0.728002', '-3290.8', '84', '3256.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075646', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.505872', '0', '0.862609', '-3296.15', '84', '3224.79', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075647', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.000392651', '0', '1', '-3307.82', '84', '3213.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075648', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.453236', '0', '0.89139', '-3360.91', '84', '3203.29', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075649', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.57728', '0', '0.816547', '-3376.55', '84', '3210.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075650', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.751539', '0', '-0.659688', '-3373.63', '84', '3243.27', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075651', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.717629', '0', '-0.696425', '-3362.76', '84', '3186.69', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075652', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.548352', '0', '0.836248', '-3359.98', '84', '3154.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075653', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.48852', '0', '0.872553', '-3401.44', '84', '3090.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075654', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.448773', '0', '0.893646', '-3391.76', '84', '3103.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075658', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.884487', '0', '-0.466565', '-3390.27', '84', '3064.28', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075659', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.539962', '0', '0.841689', '-3385.15', '84', '3196.8', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075660', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.505872', '0', '0.862608', '-3393.36', '84.0001', '3165.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075663', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.299919', '0', '0.953965', '-3467.67', '84', '3143.73', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075664', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.87758', '0', '-0.47943', '-3456.59', '84', '3131.79', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075666', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.813644', '0', '-0.581364', '-3443.89', '84', '3102.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075667', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.783571', '0', '-0.621302', '-3434.69', '84', '3071.18', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075668', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s01.iff', '0', '0.919416', '0', '0.393286', '-3359.21', '85.806', '2939.81', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075669', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.403195', '0', '0.915114', '-3355.99', '84', '2943.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075670', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.352279', '0', '0.935895', '-3362.59', '84', '2936.24', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075671', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '3177', '295', '5072', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075672', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '3181', '294.995', '5068', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075674', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '3187', '294.934', '5068', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075675', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '3187', '294.992', '5080', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075676', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '3177', '294.957', '5076', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075678', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.956685', '0', '-0.291126', '-3375.62', '84', '2947.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075679', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.900445', '0', '-0.434971', '-3367.37', '84', '2956.14', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075680', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.886992', '0', '-0.461784', '-3389.17', '84', '2956.24', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075681', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.801855', '0', '-0.597519', '-3378.06', '84', '2968.05', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075682', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.783571', '0', '-0.621302', '-3391.83', '84', '2972.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075683', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.867618', '0', '-0.497231', '-3396.69', '84', '2987.28', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075684', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.902608', '0', '-0.430463', '-3428.64', '84', '3017.37', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075685', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.710629', '0', '-0.703566', '-3432.2', '84', '3055.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075686', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.203183', '0', '0.979141', '-3482.12', '84', '3151.08', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075687', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.0695512', '0', '0.997578', '-3497.42', '84', '3156.76', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075688', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.189244', '0', '0.98193', '-3536.84', '84', '3149.99', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075689', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '0.514136', '0', '0.857709', '-3572.61', '86', '3166.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075690', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '0.514136', '0', '0.857709', '-3602.29', '86', '3150.54', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075691', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.950671', '0', '-0.3102', '-3623.16', '84', '3200.13', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075692', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.990847', '0', '-0.13499', '-3607.12', '86', '3195.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075693', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.644518', '0', '0.764589', '-3600.9', '86', '3198.79', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075694', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.767795', '0', '-0.640695', '-3598.12', '84', '3215.36', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075695', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.266353', '0', '0.963876', '-3614.08', '84', '3242.91', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075696', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.300668', '0', '0.953729', '-3629.9', '84', '3239.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075697', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.714138', '0', '-0.700005', '-3639.6', '84', '3227.4', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075698', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.652131', '0', '0.758106', '-3582.74', '84', '3113.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075699', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.286328', '0', '0.958132', '-3594.47', '84', '3102.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075700', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.149826', '0', '0.988712', '-3609.17', '84', '3095.66', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075701', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.0653461', '0', '0.997863', '-3625.35', '84', '3093.56', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075702', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.213731', '0', '0.976893', '-3641.34', '84', '3090.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075703', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.470972', '0', '0.882148', '-3653.14', '83.8419', '3078.56', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075705', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.879777', '0', '-0.475387', '-3720.38', '84', '3070.29', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075706', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.703559', '0', '0.710637', '-3721.92', '84', '3086.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075707', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.548352', '0', '0.836247', '-3719.62', '84', '3103.21', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075708', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.408119', '0', '0.912929', '-3710.82', '84', '3117.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075709', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.357316', '0', '0.933984', '-3699.21', '86', '3128', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075710', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.179416', '0', '0.983773', '-3684.9', '86', '3136.35', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075711', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.0852888', '0', '0.996356', '-3669.8', '84', '3141.77', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075712', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.0403816', '0', '0.999184', '-3653.58', '84', '3143.28', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075713', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.242937', '0', '0.970042', '-3637.66', '84', '3145.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075714', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.403549', '0', '0.914958', '-3628.02', '84', '3158.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075715', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.501553', '0', '0.865127', '-3659.39', '84', '3062.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075716', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.886808', '0', '-0.462137', '-3483.54', '76', '3034.89', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075717', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.984933', '0', '-0.172937', '-3472.5', '76', '3023', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075718', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.98301', '0', '0.18355', '-3456.61', '76', '3019.25', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075720', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '3181', '295', '5080', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075721', '0', 'object/static/structure/corellia/shared_corl_fountain_statue_contemplate_s01.iff', '0', '0.707105', '0', '0.707108', '3184', '294.999', '5074', '96', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075722', '0', 'object/static/structure/corellia/shared_corl_stair_small_s01.iff', '0', '0.281157', '0', '0.959662', '-3420.55', '74', '3337.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075723', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff', '0', '0.281157', '0', '0.959662', '-3422.17', '77.8154', '3335.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075724', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff', '0', '0.281157', '0', '0.959662', '-3423.25', '77.8154', '3333.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075725', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.877391', '0', '0.479776', '-3420.84', '75.5347', '3330.8', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075726', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.877391', '0', '0.479776', '-3426.73', '75.5347', '3334.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075727', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.667161', '0', '0.744913', '-3441.27', '76', '3229.62', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075728', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.667163', '0', '0.744912', '-3434.66', '76', '3228.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075729', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff', '0', '0.836026', '0', '0.54869', '-3334.53', '85.9485', '3138.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075730', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_lg_s01.iff', '0', '0.836026', '0', '0.54869', '-3321.69', '85.9485', '3132.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075731', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff', '0', '0.836026', '0', '0.54869', '-3308.84', '85.9485', '3127', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075732', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_lg_s01.iff', '0', '0.836026', '0', '0.54869', '-3296', '85.9485', '3121.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075733', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff', '0', '0.836026', '0', '0.54869', '-3283.21', '85.9485', '3115.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075736', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_lg_s01.iff', '0', '0.836026', '0', '0.54869', '-3347.38', '85.9485', '3143.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075737', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff', '0', '0.836026', '0', '0.54869', '-3360.22', '85.9485', '3149.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075740', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s01.iff', '0', '0', '0', '1', '3176', '302.064', '5102', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075741', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s01.iff', '0', '0', '0', '1', '3176.08', '300', '5126.79', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075742', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s01.iff', '0', '0', '0', '1', '3183.95', '292.085', '5045.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075743', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s01.iff', '0', '0', '0', '1', '3183.84', '290', '4997.49', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075744', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s01.iff', '0', '0.707103', '0', '0.707111', '3100.76', '280.891', '4997.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075745', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s01.iff', '0', '0.707105', '0', '0.707108', '3143.18', '290', '4980.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075746', '0', 'object/static/structure/corellia/shared_corl_fountain_circle_s01.iff', '0', '0', '0', '1', '3089', '280', '5004', '96', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075747', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0', '0', '1', '3089', '280', '4996', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075748', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '1', '0', '-3.20013e-08', '3089', '280', '4990', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075749', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.707107', '0', '0.707106', '3092', '280', '4993', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075750', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.707107', '0', '-0.707106', '3086', '280', '4993', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075754', '0', 'object/static/flora/shared_potted_plant_leaves_ivy.iff', '0', '0.892484', '0', '0.45108', '3088', '280', '4993', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075755', '0', 'object/static/flora/shared_potted_plant_leaves_ivy.iff', '0', '0.864287', '0', '0.502998', '3090', '280', '4993', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075758', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '-0.570238', '0', '0.82148', '3089', '280', '4994', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075759', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0.475404', '0', '0.879767', '3089', '280', '4992', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075760', '0', 'object/static/structure/corellia/shared_corl_fountain_rectangle_s01.iff', '0', '0.707104', '0', '0.707109', '3160', '290', '4989', '96', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075765', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '0.220863', '0', '0.975305', '-5296.99', '21', '-2527.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075766', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '-0.0214795', '0.707014', '0.0114754', '-0.70678', '-5158.84', '4.7177', '-6441.88', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075767', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0.0118634', '0.706759', '0.0221838', '0.707007', '-5162.84', '4.65999', '-6441.88', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075768', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '-0.00759619', '0.99972', '0.0224137', '-0.00017035', '-5160.84', '4.59542', '-6439.88', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075769', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0.0249548', '0.000169725', '0.00679901', '0.999665', '-5160.84', '4.78776', '-6443.88', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075770', '0', 'object/tangible/furniture/all/shared_frn_all_table_s02.iff', '0.0233002', '0.0001678', '0.00719951', '0.999703', '-5160.84', '4.68916', '-6441.88', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075771', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.548352', '0', '0.836247', '-3363.97', '84', '3145.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075773', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '-0.548024', '0', '0.836463', '-3281.77', '86', '3115.26', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075774', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '-0.548024', '0', '0.836462', '-3361.66', '86', '3149.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075775', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.836247', '0', '0.548352', '-3289.99', '84', '3113.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075776', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.738472', '0', '-0.674284', '-3288.55', '83', '3098.22', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075778', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.617374', '0', '0.78667', '-3286.98', '84', '3081.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075781', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.948255', '0', '0.31751', '-3273.39', '83', '3132.17', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075782', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.546093', '0', '0.837724', '-3286.31', '84', '3122.08', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075788', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.982863', '0', '0.184338', '-3260', '84', '3141.99', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075792', '0', 'object/static/structure/corellia/shared_corl_stair_large_s01.iff', '0', '0.830497', '0', '-0.557023', '-3209.68', '84.9605', '3129.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075793', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff', '0', '0.830497', '0', '-0.557023', '-3199.5', '100.787', '3133.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075794', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff', '0', '0.830497', '0', '-0.557023', '-3201.36', '100.787', '3133.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075795', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.981125', '0', '0.193375', '-3197.25', '99', '3131.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075796', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.981126', '0', '0.193366', '-3199.91', '99', '3137.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075797', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '3150', '290', '4986', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075798', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '3170', '290', '4986', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075800', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.0149995', '0', '0.999888', '-3156.93', '98', '3160.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075801', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.717633', '0', '-0.696421', '-3136.34', '98', '3141.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075802', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.396498', '0', '0.918036', '-3170.75', '98', '3154.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075803', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.368783', '0', '0.929516', '-3142.76', '98', '3154.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075804', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.0149995', '0', '0.999888', '-3155.73', '98', '3120.49', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075805', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.396498', '0', '0.918036', '-3141.92', '98', '3126.91', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075806', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.368783', '0', '0.929516', '-3169.91', '98', '3126.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075807', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.0149995', '0', '0.999888', '-3164.93', '100.654', '3160.24', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075808', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.0149995', '0', '0.999888', '-3148.94', '100.654', '3160.72', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075809', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.0149995', '0', '0.999888', '-3147.74', '100.654', '3120.73', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075810', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.0149995', '0', '0.999888', '-3163.73', '100.654', '3120.25', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075811', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.368783', '0', '0.929516', '-3136.58', '100.654', '3149.08', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075812', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.918036', '0', '0.396498', '-3136.1', '100.654', '3133.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075813', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.396498', '0', '0.918036', '-3176.56', '100.654', '3147.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075814', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.368784', '0', '0.929515', '-3176.08', '100.654', '3131.89', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075815', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '3150', '290', '4992', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075816', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '3169.3', '290', '4993.35', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075822', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.707105', '0', '0.707109', '3187', '290', '4985', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075823', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.707105', '0', '0.707109', '3187', '290', '4975', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075825', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.707106', '0', '0.707108', '3201', '290', '4985', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075826', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.707106', '0', '0.707108', '3201', '290', '4975', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075828', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '-0.707105', '0', '0.707108', '3198', '290', '4980', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075829', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '1', '0', '-5.30747e-08', '3195', '290', '4983', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075830', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.707107', '0', '0.707107', '3192', '290', '4980', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075831', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0', '0', '1', '3195', '290', '4977', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075832', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '3191', '295.021', '5076', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075833', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '3191', '295', '5071', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075853', '0', 'object/static/structure/corellia/shared_corl_banner_govt_angled_s01.iff', '0', '0.223106', '0', '0.974794', '-3660.87', '90.5', '3085.34', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075854', '0', 'object/static/structure/corellia/shared_corl_banner_govt_angled_s01.iff', '0', '0.223106', '0', '0.974794', '-3686.2', '90.5', '3099.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075855', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.247404', '0', '0.968912', '-3670.83', '88.5239', '3075.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075856', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.242556', '0', '0.970137', '-3688.64', '88.5036', '3085.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075857', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.247404', '0', '0.968912', '-3684.3', '88.5313', '3085.07', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075858', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.247404', '0', '0.968912', '-3673.68', '88.5313', '3079.11', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075860', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s01.iff', '0', '0.281157', '0', '0.959662', '-3663.78', '86', '3063.37', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075861', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s01.iff', '0', '0', '0', '1', '3137.95', '300', '5172.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075862', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0.247404', '0', '0.968912', '-3673.47', '86', '3051.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075863', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s01.iff', '0', '0', '0', '1', '3137.68', '300', '5190.56', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075864', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0.247404', '0', '0.968912', '-3669.47', '86', '3058.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075866', '0', 'object/static/structure/corellia/shared_corl_power_arial_prime.iff', '0', '0.872356', '0', '0.488872', '-3672.32', '88.7196', '3055.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075868', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s02.iff', '0', '-0.509841', '0', '0.860269', '-3672.15', '86', '3055.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075872', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '-0.49688', '0', '0.867819', '-3705.01', '86', '3073.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075873', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.791157', '0', '-0.611613', '-3704.71', '86', '3078.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075874', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '-0.126958', '0', '0.991908', '-3708.74', '86', '3071.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075895', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.953608', '0', '-0.301052', '-3622.59', '86', '3200.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075896', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.764329', '0', '-0.644826', '-3599.07', '86', '3215.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075898', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '-0.242557', '0', '0.970137', '-3505.69', '86', '3182.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075899', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '-0.183947', '0', '0.982936', '-3539.5', '86', '3169.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075901', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.164252', '0', '0.986418', '-3421.49', '86', '3147.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075909', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0.505533', '0', '0.862807', '-3506.41', '70', '3234.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075910', '0', 'object/static/installation/shared_mockup_mining_gas_harvester_style_1.iff', '0', '-0.252245', '0', '0.967663', '-3503.09', '70', '3237.2', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075911', '0', 'object/static/installation/shared_mockup_power_generator_wind_style_1.iff', '0', '0.501213', '0', '0.865324', '-3493.23', '70', '3239.12', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075913', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0.514136', '0', '0.857709', '-3554.54', '77.4', '3206.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075916', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '0.514136', '0', '0.857709', '-3551.01', '77.4', '3208.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075917', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0.514136', '0', '0.857709', '-3552.55', '77.4', '3203.22', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075918', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '0.514136', '0', '0.857709', '-3549.02', '77.4', '3205.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075919', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0.857708', '0', '-0.514136', '-3528.47', '77.4', '3220.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075920', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '0.857708', '0', '-0.514136', '-3532', '77.4', '3218.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075921', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0.857708', '0', '-0.514136', '-3526.48', '77.4', '3217.04', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075922', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '0.857708', '0', '-0.514136', '-3530.01', '77.4', '3215.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075923', '0', 'object/static/installation/shared_mockup_power_generator_wind_style_1.iff', '0', '-0.434966', '0', '0.900447', '-3636.62', '86', '3234.66', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075924', '0', 'object/static/installation/shared_mockup_power_generator_wind_style_1.iff', '0', '0.881958', '0', '-0.471328', '-3592.38', '86', '3117.96', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075925', '0', 'object/static/installation/shared_mockup_mining_gas_harvester_style_1.iff', '0', '-0.247404', '0', '0.968912', '-3554.7', '86', '3184.84', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075926', '0', 'object/static/installation/shared_mockup_mining_gas_harvester_style_1.iff', '0', '-0.247404', '0', '0.968912', '-3544.57', '86', '3190.52', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075927', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0.864924', '0', '-0.501902', '-3540.85', '86', '3193.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075928', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0.501902', '0', '0.864925', '-3537.39', '86', '3194.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075929', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.975393', '0', '0.220475', '-3518.74', '76.7178', '3124.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075930', '0', 'object/static/installation/shared_mockup_power_generator_wind_style_1.iff', '0', '-0.20846', '0', '0.978031', '-3494.29', '91.7', '3118.5', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075931', '0', 'object/static/installation/shared_mockup_power_generator_wind_style_1.iff', '0', '0.531186', '0', '0.847255', '-3466.65', '91.7', '3057.85', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075932', '0', 'object/static/installation/shared_mockup_power_generator_wind_style_1.iff', '0', '-0.213347', '0', '0.976976', '-3481.05', '91.7', '3088.9', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075933', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '-0.291121', '0', '0.956686', '-3460.29', '85.6933', '3166.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075940', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.886811', '0', '0.462133', '-3412.46', '86', '3081.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075942', '0', 'object/static/installation/shared_mockup_power_generator_wind_style_1.iff', '0', '0.862404', '0', '0.506221', '-3398.24', '86', '3063.52', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075946', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '-0.69254', '0', '0.72138', '-3385.71', '86', '2991.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075948', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.886627', '0', '-0.462485', '-3388.04', '86', '2956.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075950', '0', 'object/static/installation/shared_mockup_power_generator_wind_style_1.iff', '0', '0.999784', '0', '0.0207954', '-3394.37', '86', '3048.76', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075951', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '-0.620988', '0', '0.78382', '-3434.9', '86', '3038.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075953', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '-0.213348', '0', '0.976976', '-3461.21', '78', '3039.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075960', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '1', '0', '-0.000367193', '-3436.31', '78', '3422.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075961', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '-0.443949', '0', '0.896052', '-3433.81', '77.1195', '3490.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075964', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.827702', '0', '-0.561168', '-3318.98', '86', '3311.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075965', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '1', '0', '-0.000389594', '-3346.61', '86', '3276.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075966', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '-0.69972', '0', '0.714418', '-3373.8', '86', '3272.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075973', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '-0.213348', '0', '0.976976', '-3259.67', '86', '3141.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075974', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.783327', '0', '-0.62161', '-3286.06', '86', '3081.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075977', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.824886', '0', '-0.5653', '-3218.66', '86', '3129.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075978', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.93737', '0', '-0.348337', '-3177.34', '101', '3147.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075979', '0', 'object/static/installation/shared_mockup_power_generator_wind_style_1.iff', '0', '0.20846', '0', '0.978031', '-3218.24', '99.6', '3104.43', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075980', '0', 'object/static/installation/shared_mockup_power_generator_wind_style_1.iff', '0', '0.21823', '0', '0.975897', '-3230.5', '99.6', '3075.2', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075981', '0', 'object/static/installation/shared_mockup_power_generator_wind_style_1.iff', '0', '0.203567', '0', '0.979061', '-3262.41', '99.6', '3089.14', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075982', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.999784', '0', '-0.0207949', '-3399.85', '74', '3350.42', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075983', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.999784', '0', '-0.0207949', '-3425.09', '74', '3351.2', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075984', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.934408', '0', '0.356205', '-3422.07', '76.4983', '3365.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075985', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.91071', '0', '-0.413046', '-3402', '76.4983', '3364.59', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075986', '0', 'object/static/structure/corellia/shared_corl_banner_govt_angled_s01.iff', '0', '0.999667', '0', '-0.0257935', '-3411.93', '82.75', '3364.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075987', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.0749297', '0', '0.997189', '-3441.69', '80.5401', '3195.81', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075988', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '-0.620986', '0', '0.783822', '-3430.72', '80.4784', '3202.59', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075990', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '-0.266731', '0', '0.963771', '-3263.73', '87.012', '3113.73', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3075991', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.773915', '0', '-0.63329', '-3268.59', '87.012', '3102.5', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3095391', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s01.iff', '0', '-0.35695', '0', '0.934124', '-3588.37', '86', '3108.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3095392', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.371284', '0', '0.928519', '-3584.24', '85.1614', '3111.76', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3095393', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.38055', '0', '0.92476', '-3592.48', '85.3079', '3104.16', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3095394', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.849687', '0', '-0.527288', '-3524.34', '78', '3123.36', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3095395', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s01.iff', '0', '0.841472', '0', '-0.540302', '-3526.47', '77.9897', '3128.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3095396', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.854917', '0', '-0.518764', '-3534.27', '76.2582', '3137.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3095397', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.84704', '0', '-0.53153', '-3528.53', '77.7549', '3132.72', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3095428', '0', 'object/tangible/terminal/shared_terminal_mission_bounty.iff', '0', '0.713864', '0', '0.700285', '-223.07', '28', '-4471.52', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3095430', '0', 'object/tangible/terminal/shared_terminal_mission_bounty.iff', '0', '0.710353', '0', '-0.703845', '-192.815', '28', '-4471.72', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3095491', '0', 'object/tangible/terminal/shared_terminal_mission_bounty.iff', '0', '-0.380188', '0', '0.924909', '-5061.14', '21', '-2307.52', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3095495', '0', 'object/tangible/terminal/shared_terminal_mission_bounty.iff', '0', '0.924606', '0', '0.380925', '-5052.78', '21', '-2315.88', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3095498', '0', 'object/tangible/terminal/shared_terminal_mission_bounty.iff', '0', '1', '0', '3.20013e-08', '-5424.53', '21', '-2697.34', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3095623', '0', 'object/tangible/terminal/shared_terminal_mission_rebel.iff', '0', '0.926499', '0', '-0.376297', '-6529.39', '398', '5978.39', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3095625', '0', 'object/tangible/terminal/shared_terminal_mission_rebel.iff', '0', '0.924606', '0', '-0.380925', '-6518.01', '398', '5967.12', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3095627', '0', 'object/tangible/terminal/shared_terminal_mission_rebel.iff', '0', '0.926499', '0', '-0.376297', '-6525.21', '404.937', '5981.79', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3095629', '0', 'object/tangible/terminal/shared_terminal_mission_rebel.iff', '0', '0.376297', '0', '0.926499', '-6484.55', '398', '6012.15', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3095672', '0', 'object/static/item/shared_wp_mle_lance_staff_metal_s01.iff', '0', '0', '0', '1', '-5119.54', '21.917', '-2335.84', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '3095673', '0', 'object/static/item/shared_wp_mle_lance_staff_metal_s01.iff', '0', '0', '0', '1', '-5120.66', '21.917', '-2336.88', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '3095674', '0', 'object/static/item/shared_wp_mle_lance_staff_metal_s01.iff', '0', '0', '0', '1', '-5120.15', '21.8538', '-2336.37', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375352', '0', 'object/building/corellia/shared_cantina_corellia.iff', '0', '-0.707105', '0', '0.707109', '6718.95', '315', '-5757.49', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375353', '3375352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545900', '3375353', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_2.iff', '0', '1', '0', '3.20013e-08', '43.4291', '0.104999', '3.58045', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545901', '3375353', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_2.iff', '0', '1', '0', '3.20013e-08', '39.6461', '0.104999', '3.7164', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545902', '3375353', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_2.iff', '0', '1', '0', '3.20013e-08', '47.0858', '0.104999', '3.61176', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545904', '3375353', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s05.iff', '0', '0', '0', '1', '48.3941', '0.101853', '-1.74752', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545905', '3375353', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.0749296', '0', '0.997189', '37.5773', '0.104999', '-1.81458', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545906', '3375353', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.99875', '0', '-0.0499791', '37.9414', '0.104999', '0.472412', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545910', '3375353', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_3.iff', '0', '0', '0', '1', '37.9699', '0.104999', '-0.625822', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375354', '3375352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545897', '3375354', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_2.iff', '0', '-0.707106', '0', '0.707107', '36.1505', '0.105', '1.75013', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545898', '3375354', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_2.iff', '0', '0.983844', '0', '-0.179029', '34.9273', '0.105', '3.40657', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545899', '3375354', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_2.iff', '0', '-0.232841', '0', '0.972515', '35.1222', '0.105', '-0.0212243', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375355', '3375352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8105412', '3375355', 'object/soundobject/shared_soundobject_cantina_medium.iff', '0', '0', '0', '1', '24.9301', '-0.894995', '1.96645', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '8105415', '3375355', 'object/soundobject/shared_soundobject_cantina_medium.iff', '0', '0', '0', '1', '-0.309104', '-0.894992', '2.93074', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375356', '3375352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8105417', '3375356', 'object/soundobject/shared_soundobject_cantina_small.iff', '0', '0', '0', '1', '21.094', '-0.894996', '-17.6616', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375357', '3375352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8105419', '3375357', 'object/soundobject/shared_soundobject_cantina_small.iff', '0', '0', '0', '1', '17.8782', '-0.894992', '19.7042', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375358', '3375352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8105414', '3375358', 'object/soundobject/shared_soundobject_cantina_small.iff', '0', '0', '0', '1', '7.20872', '-0.894992', '-17.2274', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375359', '3375352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8105413', '3375359', 'object/soundobject/shared_soundobject_cantina_medium.iff', '0', '0', '0', '1', '5.59688', '-0.894992', '17.8612', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375360', '3375352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8105418', '3375360', 'object/soundobject/shared_soundobject_cantina_small.iff', '0', '0', '0', '1', '-9.02496', '-0.89494', '-19.0979', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375361', '3375352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375362', '3375352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545885', '3375362', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '-21.0348', '-0.894988', '-9.20748', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545886', '3375362', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '-21.3303', '-0.894988', '-8.95015', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545887', '3375362', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '-20.9703', '-0.894988', '-9.53896', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545889', '3375362', 'object/static/item/shared_item_container_organic_food.iff', '0', '0', '0', '1', '-20.1616', '-0.894989', '-9.45464', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545890', '3375362', 'object/static/item/shared_item_container_organic_food.iff', '0', '0', '0', '1', '-19.7659', '-0.894989', '-9.52442', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545891', '3375362', 'object/static/item/shared_item_basket_closed.iff', '0', '0', '0', '1', '-21.244', '-0.894988', '10.2494', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545892', '3375362', 'object/static/item/shared_item_basket_closed.iff', '0', '0', '0', '1', '-20.1999', '-0.894988', '10.0503', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545893', '3375362', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '-21.1105', '-0.894988', '9.52088', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545894', '3375362', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '-20.8158', '-0.894988', '9.63018', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545895', '3375362', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '-20.82', '-0.894988', '9.27464', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375363', '3375352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545818', '3375363', 'object/tangible/crafting/station/shared_food_station.iff', '0', '0.706829', '0', '0.707385', '-29.0726', '-0.894981', '0.402178', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545819', '4545818', 'object/tangible/hopper/shared_crafting_station_ingredient_hopper_1.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545820', '3375363', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0', '0.707107', '0.707107', '0', '-28.3119', '2.39518', '-3.42204', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545821', '3375363', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0', '0.707107', '0.707107', '0', '-26.5634', '2.39518', '-3.42155', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545822', '3375363', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0', '0.707107', '0.707107', '0', '-24.8304', '2.39518', '-3.42497', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545823', '3375363', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0', '0.707107', '0.707107', '0', '-23.3119', '2.39519', '-3.43327', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545824', '3375363', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0.707107', '0', '0', '-0.707107', '-23.2113', '2.36216', '4.17952', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545825', '3375363', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0.707107', '0', '0', '-0.707107', '-24.9598', '2.36216', '4.17903', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545826', '3375363', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0.707107', '0', '0', '-0.707107', '-26.6928', '2.36216', '4.18245', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545827', '3375363', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '-0.707101', '0', '0', '0.707112', '-28.2118', '2.36216', '4.19075', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545828', '3375363', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '0', '0', '1', '-28.1146', '-0.894983', '-2.49528', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545829', '3375363', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '0', '0', '1', '-24.2352', '-0.894983', '-2.50847', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545830', '3375363', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '0', '0', '1', '-24.265', '-0.894981', '3.25569', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545831', '3375363', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '0', '0', '1', '-28.1444', '-0.894981', '3.26888', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545832', '3375363', 'object/static/item/shared_item_glass_bluemilk.iff', '0', '0.556362', '0', '0.83094', '-24.996', '-0.894981', '3.10774', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545833', '3375363', 'object/static/item/shared_item_basket_shallow.iff', '0', '0', '0', '1', '-24.2186', '-0.894983', '-2.46745', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545834', '3375363', 'object/static/item/shared_item_kitchen_cook_set_lg_s1.iff', '0', '0', '0', '1', '-27.036', '-0.104412', '-2.49577', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545835', '3375363', 'object/static/item/shared_item_jar_guts.iff', '0', '0.375559', '0', '0.926798', '-25.1547', '2.74164', '3.5096', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545836', '3375363', 'object/static/item/shared_item_con_ration_kit_m.iff', '0', '0', '0', '1', '-27.8773', '-0.104413', '-2.23308', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545837', '3375363', 'object/static/item/shared_item_fruit_melon.iff', '0.111191', '0.869034', '0.425163', '0.227274', '-27.455', '-0.086069', '3.06868', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545838', '3375363', 'object/static/item/shared_item_bowl_plain.iff', '0', '0.967462', '0', '0.253016', '-27.7831', '-0.136035', '3.05647', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545839', '3375363', 'object/static/item/shared_item_con_plate_s1_full.iff', '0', '0', '0', '1', '-29.5238', '0.053702', '1.42708', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545840', '3375363', 'object/static/item/shared_item_kitchen_pot_style_03.iff', '0', '0', '0', '1', '-29.0829', '-0.104412', '3.08919', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545841', '3375363', 'object/static/item/shared_item_con_bowl_serving_full.iff', '0', '-0.572868', '0', '0.819647', '-26.7772', '-0.104412', '3.04524', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545842', '3375363', 'object/static/item/shared_item_jar_berries.iff', '0', '0.375559', '0', '0.926798', '-24.7328', '2.74164', '3.78548', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545843', '3375363', 'object/static/item/shared_item_con_bowl_serving_full.iff', '0', '0.920751', '0', '0.390152', '-26.7557', '-0.104412', '3.33138', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545844', '3375363', 'object/static/item/shared_item_con_plate_s1_full.iff', '0', '0', '0', '1', '-28.7157', '0.053702', '0.112627', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545845', '3375363', 'object/static/item/shared_item_glass_empty.iff', '0', '0', '0', '1', '-25.7675', '-0.136035', '3.11849', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545846', '3375363', 'object/static/item/shared_item_bread_loaf.iff', '0', '0', '0', '1', '-24.1752', '-0.83174', '-2.6945', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545847', '3375363', 'object/static/item/shared_item_con_bowl_serving_full.iff', '0', '0', '0', '1', '-27.0072', '-0.104412', '3.22054', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545848', '3375363', 'object/static/item/shared_item_bottle_tall.iff', '0', '0.707107', '0', '0.707107', '-24.0946', '-0.128915', '3.60725', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545849', '3375363', 'object/static/item/shared_item_bottle_fat.iff', '0', '0.707107', '0', '0.707107', '-24.3842', '-0.128916', '3.29231', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545850', '3375363', 'object/static/item/shared_item_bottle_tall.iff', '0', '0.707107', '0', '0.707107', '-24.4047', '-0.128916', '3.60628', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545851', '3375363', 'object/static/item/shared_item_cheese_wheel_s1_partial.iff', '0.13913', '0.592016', '0.104673', '0.786895', '-27.8661', '-0.114275', '3.05013', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545852', '3375363', 'object/static/item/shared_item_cheese_wheel_s1_partial.iff', '0', '0.967462', '0', '0.253016', '-27.7689', '-0.041166', '2.9427', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545853', '3375363', 'object/static/item/shared_item_con_tato_bowl_full_s01.iff', '0', '-0.70328', '0', '0.710913', '-25.454', '-0.104413', '-2.30046', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545854', '3375363', 'object/static/item/shared_item_bottle_tall.iff', '0', '0.707107', '0', '0.707107', '-23.4877', '-0.128915', '3.68782', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545855', '3375363', 'object/static/item/shared_item_bottle_tall.iff', '0', '0.707107', '0', '0.707107', '-24.8949', '-0.128917', '3.66927', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545856', '3375363', 'object/static/item/shared_item_bottle_fat.iff', '0', '0.707107', '0', '0.707107', '-24.036', '-0.128915', '3.28352', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545857', '3375363', 'object/static/item/shared_item_jar_berries.iff', '0', '0.375559', '0', '0.926798', '-25.2777', '2.74164', '3.76936', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545858', '3375363', 'object/static/item/shared_item_con_ration_kit_m.iff', '0', '0', '0', '1', '-28.5355', '-0.104412', '-2.1237', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545859', '3375363', 'object/static/item/shared_item_con_ration_kit_lg.iff', '0', '0', '0', '1', '-28.3929', '-0.104412', '-2.49821', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545860', '3375363', 'object/static/item/shared_item_jar_funk.iff', '0', '0.375559', '0', '0.926798', '-24.847', '2.74164', '3.51155', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545861', '3375363', 'object/static/item/shared_item_bottle_pear.iff', '0', '0.707107', '0', '0.707107', '-24.6718', '-0.128916', '3.44515', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545862', '3375363', 'object/static/item/shared_item_fruit_melon.iff', '0', '0.967462', '0', '0.253016', '-27.517', '-0.136035', '2.83284', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545863', '3375363', 'object/static/item/shared_item_kitchen_pot_style_02.iff', '0', '0', '0', '1', '-29.056', '-0.104412', '3.41341', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545864', '3375363', 'object/static/item/shared_item_jar_bugs.iff', '0', '0.375559', '0', '0.926798', '-25.0697', '2.74164', '3.76009', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545865', '3375363', 'object/static/item/shared_item_kitchen_pot_style_01.iff', '0', '0', '0', '1', '-29.3041', '-0.104412', '3.28694', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545866', '3375363', 'object/static/item/shared_item_bottle_pear.iff', '0', '0.707107', '0', '0.707107', '-23.7172', '-0.128915', '3.41243', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545867', '3375363', 'object/static/item/shared_item_bread_loaf.iff', '0', '0', '0', '1', '-24.3163', '-0.831739', '-2.52605', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545868', '3375363', 'object/static/item/shared_item_bread_loaf.iff', '0', '0', '0', '1', '-24.0966', '-0.83174', '-2.4113', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545869', '3375363', 'object/static/item/shared_item_bread_loaf.iff', '0', '0', '0', '1', '-24.3187', '-0.831739', '-2.27409', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545870', '3375363', 'object/static/item/shared_item_cheese_wheel_s1_partial.iff', '0.250819', '0.934912', '0.155018', '0.197481', '-27.7465', '-0.091902', '3.07503', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545871', '3375363', 'object/static/item/shared_item_con_tato_bowl_full_s02.iff', '0', '-0.70328', '0', '0.710913', '-24.8964', '-0.104414', '-2.58513', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545876', '3375363', 'object/static/item/shared_item_glass_empty.iff', '0', '0', '0', '1', '-25.558', '-0.136035', '3.31331', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545877', '3375363', 'object/static/item/shared_item_glass_empty.iff', '0', '0', '0', '1', '-25.4091', '-0.136035', '2.92415', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545878', '3375363', 'object/static/item/shared_item_glass_empty.iff', '0', '0', '0', '1', '-25.3138', '-0.136035', '3.15511', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545879', '3375363', 'object/static/item/shared_item_glass_empty.iff', '0', '0', '0', '1', '-25.6542', '-0.136035', '2.96272', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545880', '3375363', 'object/static/item/shared_item_glass_empty.iff', '0', '0', '0', '1', '-25.5614', '-0.136035', '3.08968', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545881', '3375363', 'object/static/item/shared_item_glass_bluemilk.iff', '0', '0.556362', '0', '0.83094', '-24.8265', '-0.894981', '3.1722', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545882', '3375363', 'object/static/item/shared_item_glass_bluemilk.iff', '0', '0.556362', '0', '0.83094', '-24.9398', '-0.894981', '2.97884', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545883', '3375363', 'object/static/item/shared_item_glass_bluemilk.iff', '0', '0.556362', '0', '0.83094', '-25.1527', '-0.894981', '3.02229', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545884', '3375363', 'object/static/item/shared_item_con_plate_s1_full.iff', '0', '0', '0', '1', '-29.2533', '0.243439', '1.95979', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375364', '3375352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545798', '3375364', 'object/static/structure/general/shared_streetlamp_medium_green_style_02.iff', '0.291555', '0.644202', '-0.644202', '0.291555', '-30.8295', '3.01487', '25.6318', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545801', '3375364', 'object/static/item/shared_item_music_microphone_s2.iff', '0', '0', '0', '1', '-29.3151', '-0.894991', '20.1186', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545802', '3375364', 'object/static/item/shared_item_music_red_ball_jet_organ.iff', '0', '0.985971', '0', '0.166914', '-25.6165', '-0.894991', '24.6114', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545803', '3375364', 'object/static/item/shared_item_speaker.iff', '0', '0.707107', '0', '0.707107', '-32.0153', '-0.894991', '17.8584', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545808', '3375364', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff', '0', '-0.707106', '0', '0.707107', '-16.4795', '-0.894988', '21.9041', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545811', '3375364', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff', '0', '0.923879', '0', '-0.382685', '-17.3571', '-0.894988', '24.0412', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545812', '3375364', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff', '0', '-0.38268', '0', '0.923881', '-17.404', '-0.894989', '19.7577', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545814', '3375364', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_02.iff', '0', '0.713864', '0', '0.700285', '-17.5112', '-0.894988', '21.9529', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545815', '3375364', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s04.iff', '0', '0', '0', '1', '-17.0265', '-0.894988', '26.1452', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545816', '3375364', 'object/soundobject/shared_soundobject_cantina_small.iff', '0', '0', '0', '1', '-26.1587', '-0.894991', '21.0774', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545817', '3375364', 'object/tangible/furniture/all/shared_frn_all_decorative_lg_s2.iff', '0', '0.285952', '0', '0.958244', '-21.3775', '-0.894992', '12.4607', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375365', '3375352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545757', '3375365', 'object/tangible/furniture/modern/shared_bar_counter_s1.iff', '0', '-0.707105', '0', '0.707108', '-23.3595', '-0.519991', '9.20125', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545758', '3375365', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff', '0', '0.342898', '0', '0.939373', '-31.0091', '-0.519991', '6.55334', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545759', '3375365', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff', '0', '0.906702', '0', '0.421771', '-31.2097', '-0.519991', '10.1263', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545760', '3375365', 'object/tangible/furniture/modern/shared_bar_counter_s1.iff', '0', '0.707109', '0', '0.707105', '-23.341', '-0.519991', '6.66656', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545761', '3375365', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff', '0', '-0.421772', '0', '0.906702', '-27.476', '-0.519991', '7.07924', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545763', '3375365', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_02.iff', '0', '0.91071', '0', '-0.413046', '-29.6029', '-0.519991', '8.44775', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545766', '3375365', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s05.iff', '0', '0', '0', '1', '-26.6371', '-0.519991', '5.92312', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545768', '3375365', 'object/tangible/furniture/all/shared_frn_all_decorative_lg_s2.iff', '0', '0.893464', '0', '0.449134', '-32.2334', '-0.519991', '14.4012', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545769', '3375365', 'object/static/item/shared_item_basket_frame.iff', '0', '0', '0', '1', '-23.5192', '-0.519991', '11.4042', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545770', '3375365', 'object/static/item/shared_item_basket_shallow.iff', '0', '0', '0', '1', '-23.5637', '0.112464', '11.4221', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545771', '3375365', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '-23.0996', '0.618429', '5.798', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545772', '3375365', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '-23.33', '0.618429', '5.6821', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545773', '3375365', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '-23.3372', '0.618429', '5.98881', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545775', '3375365', 'object/static/item/shared_item_bowl_carved.iff', '0', '0', '0', '1', '-23.3639', '0.650051', '6.51997', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545776', '3375365', 'object/static/item/shared_item_bread_loaf.iff', '0', '0', '0', '1', '-23.2222', '0.74492', '6.53951', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545777', '3375365', 'object/static/item/shared_item_bread_loaf.iff', '-0.40776', '0', '0', '0.913089', '-23.4066', '0.765238', '6.44829', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545778', '3375365', 'object/static/item/shared_item_bread_loaf.iff', '0', '0', '0', '1', '-23.4365', '0.74492', '6.61094', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545779', '3375365', 'object/static/item/shared_item_con_bowl_serving_full.iff', '0', '0', '0', '1', '-23.6002', '0.618429', '7.72037', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545781', '3375365', 'object/static/item/shared_item_con_ration_kit_lg.iff', '0', '0', '0', '1', '-23.1844', '0.618429', '7.57317', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545782', '3375365', 'object/static/item/shared_item_con_ration_kit_lg.iff', '0', '0.857299', '0', '-0.514819', '-23.4727', '0.618429', '7.28297', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545783', '3375365', 'object/static/item/shared_item_con_tato_cup_s3.iff', '0', '0', '0', '1', '-23.4181', '-0.140518', '10.228', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545784', '3375365', 'object/static/item/shared_item_con_tato_cup_s3.iff', '0', '0', '0', '1', '-23.3354', '-0.140518', '10.1066', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545785', '3375365', 'object/static/item/shared_item_con_tato_cup_s3.iff', '0', '0', '0', '1', '-23.5401', '-0.140518', '10.0457', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545786', '3375365', 'object/static/item/shared_item_con_plate_s1_full.iff', '0', '0', '0', '1', '-23.3936', '0.650052', '9.56132', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545787', '3375365', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '-23.151', '0.618429', '8.85116', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545788', '3375365', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '-23.1305', '0.618429', '8.50989', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545789', '3375365', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '-23.3975', '0.618429', '8.67043', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545793', '3375365', 'object/static/item/shared_item_painting_corellia_style_02.iff', '0', '-0.707106', '0', '0.707108', '-30.1664', '0.417198', '14.9522', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4545797', '3375365', 'object/static/structure/general/shared_streetlamp_medium_blue_style_01.iff', '1', '0', '0', '3.1219e-08', '-27.444', '7.08698', '10.1005', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375366', '3375352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375367', '3375352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375372', '0', 'object/building/corellia/shared_hospital_corellia_s02.iff', '0', '0', '0', '1', '6713.25', '330', '-5941.81', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375373', '3375372', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375374', '3375372', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8105466', '3375374', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '-0.009952', '0.184067', '0.230322', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375375', '3375372', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375376', '0', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '-0.352275', '0', '0.935897', '6725.25', '330', '-5910.19', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375377', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.556363', '0', '0.830939', '6722.96', '330', '-5910.58', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375378', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.987888', '0', '-0.155167', '6725.55', '330', '-5907.96', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375379', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.737932', '0', '-0.674875', '6727.5', '330', '-5910.08', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375380', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.242556', '0', '0.970137', '6725.94', '330', '-5912.31', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375381', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.582333', '0', '0.81295', '6722.46', '330', '-5895.38', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375382', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.0433936', '0', '0.999058', '6724.56', '330', '-5897.03', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375383', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.891207', '0', '-0.453597', '6726.22', '330', '-5894.23', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375384', '0', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.993486', '0', '0.113955', '6724.36', '330', '-5894.86', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375385', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.994576', '0', '0.104015', '6724.06', '330', '-5892.62', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375390', '0', 'object/building/corellia/shared_hospital_corellia_s02.iff', '0', '0.996738', '0', '-0.0807085', '-3798.19', '86', '3135.95', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375391', '3375390', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375392', '3375390', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205547', '3375392', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '-0.696284', '0.184067', '-0.191367', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375393', '3375390', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375398', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff', '0', '-0.281158', '0', '0.959662', '-3709.54', '85.7955', '3159.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375399', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_lg_s01.iff', '0', '-0.281158', '0', '0.959662', '-3717.2', '85.8049', '3171.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375400', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff', '0', '-0.281158', '0', '0.959662', '-3724.76', '85.8049', '3183.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375406', '0', 'object/building/corellia/shared_shuttleport_corellia.iff', '0', '0.707389', '0', '-0.706825', '-3775.27', '86', '3254.22', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375407', '0', 'object/building/corellia/shared_filler_historic_32x16_s01.iff', '0', '0.867423', '0', '-0.497571', '-3510.67', '86', '3189.71', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375412', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '-0.256695', '0', '0.966493', '-3524.33', '86', '3193.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375416', '0', 'object/building/corellia/shared_filler_historic_24x16_s02.iff', '0', '0.993395', '0', '-0.114748', '-3782.86', '86', '3203.73', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375419', '0', 'object/building/corellia/shared_filler_historic_24x16_s01.iff', '0', '0.783327', '0', '-0.62161', '-3801.33', '86', '3185.15', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375421', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '-0.518418', '0', '0.855127', '-3823.54', '83', '3183.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375422', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.526943', '0', '0.8499', '-3815.96', '84', '3197.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375423', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.526943', '0', '0.8499', '-3831.05', '84', '3169.13', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375424', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '-0.648033', '0', '0.761612', '-3803.8', '83', '3255', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375425', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.655617', '0', '0.755094', '-3801.16', '84', '3271.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375426', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.655617', '0', '0.755094', '-3806.4', '84', '3238.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375427', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.754571', '0', '-0.656219', '-3721.42', '83', '3194.27', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375428', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.8699', '0', '-0.493228', '-3726.79', '83', '3209.91', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375429', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.998444', '0', '-0.0557673', '-3737.4', '83', '3181.64', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375430', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.847678', '0', '0.530511', '-3749.12', '83', '3175.16', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375431', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.276356', '0', '0.961055', '-3720.56', '84', '3185.79', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375432', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.276356', '0', '0.961055', '-3728.69', '84', '3180.56', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375433', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '-0.593178', '0', '0.805072', '-3757.43', '83', '3152.22', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375434', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '-0.518419', '0', '0.855127', '-3769.67', '83', '3122.58', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375435', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.406305', '0', '0.913737', '-3782.57', '83', '3102.26', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375436', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.0982487', '0', '0.995162', '-3795.98', '83', '3094.73', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375437', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.553526', '0', '0.832832', '-3821', '83', '3108.79', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375438', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.263447', '0', '0.964674', '-3810.91', '83', '3097.24', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375439', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.276356', '0', '0.961055', '-3745.69', '84', '3182.69', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375440', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.564643', '0', '0.825336', '-3752.68', '84', '3167.59', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375441', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.535416', '0', '0.844589', '-3762.28', '84', '3136.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375442', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.457339', '0', '0.889293', '-3777.22', '84', '3108.35', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375443', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.488177', '0', '0.872745', '-3731.23', '84', '3217.28', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375444', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.804599', '0', '-0.593818', '-3722.65', '84', '3202.55', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375445', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.973484', '0', '0.228753', '-3788.12', '84', '3096.42', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375446', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.0898781', '0', '0.995953', '-3803.9', '84', '3093.37', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375447', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.403189', '0', '0.915116', '-3817.8', '84', '3101.39', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375448', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.514136', '0', '0.857709', '-3824.19', '84', '3116.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375456', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '-0.620984', '0', '0.783823', '-3777.45', '86', '3202.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375457', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.996738', '0', '-0.0807079', '-3805.74', '86', '3155.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375458', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.99344', '0', '0.114352', '-3809.03', '86', '3176.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375461', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.996738', '0', '-0.080708', '-3785.03', '86', '3151.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375462', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.996322', '0', '-0.0856907', '-3811.4', '86', '3120.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375463', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.996738', '0', '-0.080708', '-3790.47', '86', '3116.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375464', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.996121', '0', '-0.0879829', '-3815.19', '86', '3120.34', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375465', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.967462', '0', '-0.253016', '-3807.21', '86', '3100.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375466', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.999857', '0', '0.0169017', '-3800.16', '86', '3098.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375467', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.89927', '0', '-0.437394', '-3812.56', '86', '3104.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375468', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.997128', '0', '-0.0757249', '-3786.91', '86', '3115.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375469', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.985329', '0', '0.170665', '-3792.23', '86', '3100.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375470', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '-0.653872', '0', '0.756605', '-3740.58', '86', '3235.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375471', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.0848973', '0', '0.99639', '-3781.34', '86', '3151.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375472', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '-0.503546', '0', '0.863968', '-3821.67', '86', '3173.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375473', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.102518', '0', '0.994731', '-3809.78', '86', '3155.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375474', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.79862', '0', '-0.601835', '-3739.98', '86', '3231.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375475', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.88998', '0', '-0.456', '-3738.42', '86', '3228.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375476', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff', '0', '-0.281158', '0', '0.959661', '-3694.26', '85.8456', '3135.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375477', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_lg_s01.iff', '0', '-0.281158', '0', '0.959661', '-3701.94', '85.8049', '3147.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375479', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff', '0', '-0.281158', '0', '0.959662', '-3693.19', '85.8456', '3134.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375480', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.281535', '0', '0.959551', '-3688.97', '84', '3136.66', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375481', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.286329', '0', '0.958131', '-3697.28', '84', '3131.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375482', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.0103932', '0', '0.999946', '-3686.98', '85', '3136.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375483', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.527278', '0', '0.849693', '-3698.71', '85', '3129.89', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375491', '0', 'object/building/corellia/shared_filler_building_corellia_style_02.iff', '0', '0', '0', '1', '-60.3756', '28', '-4837.2', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375499', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.707105', '0', '0.707108', '-5442', '22.66', '-6259', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375500', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.707106', '0', '0.707108', '-5442', '24', '-6243', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375501', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.7071', '0', '0.707113', '-5442', '24', '-6237', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375503', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.556691', '0', '0.83072', '-5439.16', '22.6961', '-6229.41', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375504', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.382683', '0', '0.92388', '-5435.77', '24', '-6221.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375508', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.689208', '0', '0.724564', '-5399.62', '24.3207', '-6243', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375509', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.707106', '0', '0.707108', '-5399.62', '24.4737', '-6237', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375510', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.689209', '0', '0.724563', '-5398.83', '23.022', '-6258.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375511', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0', '0', '1', '-5420.55', '22.7893', '-6220.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375513', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0.0143764', '0.831977', '-0.0154575', '-0.554408', '-5402.86', '23.5588', '-6229', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375514', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.382683', '0', '0.92388', '-5405.88', '25.1551', '-6221.18', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375515', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '-5412.24', '24.8407', '-6220.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375516', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '-5429.09', '24', '-6220.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375520', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff', '0', '0.707104', '0', '0.70711', '-5356', '26.664', '-6240', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375522', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff', '0', '0', '0', '1', '-5356', '26.6922', '-6240', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375530', '0', 'object/static/structure/corellia/shared_corl_power_arial_prime.iff', '0', '0', '0', '1', '-5356.03', '26.8218', '-6240.13', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375554', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.707106', '0', '0.707108', '-5358', '23', '-6240', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375555', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.707106', '0', '0.707107', '-5354', '23', '-6240', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375556', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '-5356', '23', '-6238', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375557', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '-5356', '23', '-6242', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375566', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.923879', '0', '0.382684', '-5361', '23.8139', '-6235', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375567', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.382683', '0', '0.92388', '-5361', '23.8896', '-6245', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375568', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.923879', '0', '0.382684', '-5351', '24', '-6245', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375569', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.382683', '0', '0.92388', '-5351', '24', '-6235', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375570', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.707105', '0', '0.707108', '3169.96', '300', '5148.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375571', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '1', '0', '4.10541e-07', '3169.96', '300', '5156.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375572', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '1', '0', '6.63422e-07', '3125.96', '300', '5156.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375573', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0', '0', '1', '3161.96', '300', '5156.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375574', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s02.iff', '0', '0', '0', '1', '3164.96', '300', '5140.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375575', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.707106', '0', '0.707108', '3125.96', '300', '5148.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375576', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '1', '0', '2.41953e-07', '3125.96', '300', '5140.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375577', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0', '0', '1', '3133.96', '300', '5156.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375578', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s02.iff', '0', '0', '0', '1', '3147.96', '300', '5156.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375579', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s02.iff', '0', '0', '0', '1', '3130.96', '300', '5140.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375580', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '1', '0', '2.41953e-07', '3169.96', '300', '5140.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375582', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0', '0', '1', '3153.96', '300', '5140.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375583', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0', '0', '1', '3141.96', '300', '5140.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375584', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '3147.96', '300', '5140.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375611', '0', 'object/static/structure/general/shared_streetlamp_medium_blue_style_01.iff', '0', '0.92388', '0', '0.382683', '-5198.06', '21', '-2296.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375651', '0', 'object/building/corellia/shared_ply_corl_house_s_s02_fp1.iff', '0', '0.926499', '0', '0.376297', '-5177.61', '21', '-2287.48', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375652', '3375651', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375660', '3375652', 'object/tangible/furniture/all/shared_frn_all_banner_rebel.iff', '0', '0.352274', '0', '0.935897', '-5.70483', '0.625', '1.6029', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375668', '3375652', 'object/tangible/furniture/all/shared_frn_all_banner_rebel.iff', '0', '-0.398609', '0', '0.917121', '-1.43546', '0.625', '1.57723', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375669', '3375652', 'object/static/item/shared_item_tech_console_sectional_c.iff', '0', '0.706825', '0', '0.707388', '-3.52698', '0.625', '0.0974723', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375653', '3375651', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375673', '3375653', 'object/tangible/furniture/plain/shared_plain_couch_s01.iff', '0', '0.930216', '0', '-0.367014', '5.41013', '0.625', '5.59497', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375674', '3375653', 'object/tangible/furniture/plain/shared_plain_couch_s01.iff', '0', '-0.394019', '0', '0.919102', '5.52232', '0.625', '1.80784', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375675', '3375653', 'object/tangible/furniture/all/shared_frn_all_banner_rebel.iff', '0', '0.699715', '0', '0.714422', '6.70336', '0.625', '3.74404', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375654', '3375651', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375670', '3375654', 'object/static/item/shared_item_tech_console_sectional_c.iff', '0', '-0.707106', '0', '0.707107', '-0.207031', '0.624993', '0.667435', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375671', '3375654', 'object/static/item/shared_item_tech_console_sectional_d.iff', '0', '0.92388', '0', '0.382683', '-8.33966', '0.624997', '-3.75163', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375676', '3375654', 'object/static/item/shared_item_tech_console_sectional_d.iff', '0', '-0.388032', '0', '0.921646', '8.37133', '0.624993', '-3.64541', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375677', '3375654', 'object/tangible/furniture/technical/shared_chair_s01.iff', '0', '0.338197', '0', '0.941075', '4.19845', '0.624994', '-5.16328', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375678', '3375654', 'object/tangible/furniture/technical/shared_chair_s01.iff', '0', '-0.475032', '0', '0.879969', '-4.15539', '0.624997', '-5.1104', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375679', '3375654', 'object/tangible/furniture/all/shared_frn_all_technical_console_s01.iff', '0', '0', '0', '1', '-0.274553', '0.624995', '-5.64635', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3375684', '3375654', 'object/soundobject/shared_soundobject_fusion_power_generator.iff', '0', '0', '0', '1', '-0.406115', '0.624994', '-2.49362', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3555361', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.382684', '0', '0.923879', '-428', '28', '-4227', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3555363', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.92388', '0', '0.382683', '-397', '28', '-4382', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3555365', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.92388', '0', '0.382683', '-420', '28', '-4405', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3555371', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.923879', '0', '-0.382684', '-388', '28', '-4267', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3555373', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.923879', '0', '-0.382684', '-358', '28', '-4297', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3555374', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.923879', '0', '-0.382684', '-341', '28', '-4314', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3555375', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '-0.382683', '0', '0.92388', '-369', '28', '-4354', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3555376', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.382683', '0', '0.92388', '-341', '28', '-4326', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3555377', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s01.iff', '0', '0.92388', '0', '0.382683', '-383', '28', '-4368', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3555378', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.382683', '0', '0.92388', '-352', '28', '-4337', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3555379', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s01.iff', '0', '0.92388', '0', '-0.382683', '-373', '28', '-4282', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3555380', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s01.iff', '0', '0.92388', '0', '-0.382683', '-414.018', '28', '-4240.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3555381', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.382684', '0', '0.923879', '-405', '28', '-4250', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3555382', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.382683', '0', '0.92388', '-439.474', '28', '-4215.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3555384', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.923879', '0', '-0.382684', '-443', '28', '-4405', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3555385', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '-0.382683', '0', '0.92388', '-474', '28', '-4250', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3555386', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.923879', '0', '-0.382684', '-466', '28', '-4382', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3555387', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s01.iff', '0', '0.382683', '0', '0.92388', '-458', '28', '-4390', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3555388', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s01.iff', '0', '0.382683', '0', '0.92388', '-498', '28', '-4350', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3555389', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.92388', '0', '0.382683', '-519', '28', '-4295', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3555390', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s01.iff', '0', '-0.382683', '0', '0.92388', '-488', '28', '-4264', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3555391', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.92388', '0', '0.382683', '-530', '28', '-4306', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3555392', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.92388', '0', '0.382683', '-502', '28', '-4278', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3555393', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '-0.382683', '0', '0.92388', '-451', '28', '-4227', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3555394', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.382684', '0', '0.923879', '-530', '28', '-4318', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3555395', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.382684', '0', '0.923879', '-513', '28', '-4335', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3555398', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.382684', '0', '0.923879', '-483', '28', '-4365', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3555399', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.382683', '0', '0.92388', '-536.008', '28', '-4311.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3555400', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.382683', '0', '0.92388', '-335.024', '28', '-4319.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3555580', '0', 'object/static/item/shared_item_tank_gas.iff', '0', '-0.389417', '0', '0.921061', '6754.8', '315', '-5777.14', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '3555581', '0', 'object/static/item/shared_item_tool_turbine_generator.iff', '0', '-0.389417', '0', '0.921061', '6753.69', '315', '-5779.38', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '3555582', '0', 'object/static/item/shared_item_comp_blaster_cannon.iff', '0', '0.85294', '0', '0.522008', '6753.39', '315', '-5780.73', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '3555583', '0', 'object/static/structure/general/shared_debris_deathstar_small_tube.iff', '0', '0.0699425', '0', '0.997551', '6754.31', '315', '-5775.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3555584', '0', 'object/static/structure/general/shared_debris_deathstar_small_chunk.iff', '0', '-0.389417', '0', '0.921061', '6754.61', '315', '-5781.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3555585', '0', 'object/static/structure/general/shared_debris_deathstar_small_tube.iff', '0', '0.924606', '0', '-0.380925', '6754.72', '315', '-5775.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3555586', '0', 'object/static/structure/general/shared_droid_r2_powerdown.iff', '0', '0.945784', '0', '0.324797', '6753.66', '315', '-5777.51', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '3555588', '0', 'object/static/structure/general/shared_debris_deathstar_small_tube.iff', '0', '0.727726', '0', '-0.685869', '6755.6', '315', '-5774.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3555589', '0', 'object/static/structure/general/shared_debris_deathstar_small_tube.iff', '0', '0.820107', '0', '0.572211', '6756.01', '315', '-5775.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3555590', '0', 'object/static/structure/corellia/shared_corl_tent_med.iff', '0', '0', '0', '1', '6755.88', '315', '-5778.34', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '3555629', '0', 'object/static/structure/corellia/shared_corl_tent_small.iff', '0', '-0.450834', '0', '0.892608', '3158.01', '300.132', '5353.25', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '3555630', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.747971', '0', '0.663731', '3157.08', '300', '5352.06', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3555631', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.972328', '0', '0.233617', '3158.82', '300', '5354.33', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3575352', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '1', '0', '-3.20013e-08', '-432.375', '28', '-4289.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3575353', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.92388', '0', '0.382683', '-454.873', '28', '-4297', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3575354', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.707106', '0', '0.707107', '-461.952', '28', '-4316.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3575355', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.552863', '0', '0.833272', '-458.862', '28', '-4327.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3575356', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0', '0', '1', '-430.467', '28', '-4342.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3575357', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0', '0', '1', '-443.106', '28', '-4342.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3575358', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '-0.707106', '0', '0.707107', '-410.007', '28', '-4309.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3575359', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '-0.707106', '0', '0.707107', '-409.997', '28', '-4321.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3575360', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.923879', '0', '-0.382684', '-415.694', '28', '-4295.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3575361', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '-0.382683', '0', '0.92388', '-414.334', '28', '-4334.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3575362', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '-0.707106', '0', '0.707107', '-406.566', '28', '-4281.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3575363', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.707107', '0', '0.707107', '-414.245', '28', '-4281.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3575365', '0', 'object/static/structure/corellia/shared_corl_fountain_statue_contemplate_s01.iff', '0', '0', '0', '1', '-502.167', '28', '-4307.8', '96', '1');
INSERT INTO `staticobjects` VALUES ('0', '3575366', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '-0.707106', '0', '0.707107', '-493.795', '28', '-4310.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3575367', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '-0.707102', '0', '0.707111', '-493.86', '28', '-4305.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3575369', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '-0.286334', '0', '0.95813', '-366.947', '28', '-4320.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3575370', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.910875', '0', '-0.412683', '-366.419', '28', '-4311.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3575371', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.707107', '0', '0.707107', '-373.791', '28', '-4315.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3575372', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.0196003', '0', '0.999808', '-416.038', '28', '-4380.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3575373', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.939236', '0', '-0.343272', '-414.585', '28', '-4371.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3575374', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.92388', '0', '0.382682', '-408.541', '28', '-4393.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3575375', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.923879', '0', '-0.382684', '-369.463', '28', '-4285.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3575376', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.923879', '0', '-0.382684', '-376.573', '28', '-4278.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3575377', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.923879', '0', '-0.382684', '-410.483', '28', '-4244.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3575379', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.92388', '0', '0.382683', '-462.553', '28', '-4238.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3575380', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.382684', '0', '0.923879', '-501.432', '28', '-4346.49', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3575381', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.382684', '0', '0.923879', '-494.543', '28', '-4353.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3575382', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.382684', '0', '0.923879', '-454.546', '28', '-4393.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3575383', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.999733', '0', '-0.0230952', '-432.057', '28', '-4288.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3575384', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.0123006', '0', '0.999924', '-437.426', '28', '-4343.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3575385', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.722699', '0', '-0.691163', '-413.296', '28', '-4376.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3575386', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.999967', '0', '-0.00809712', '-497.403', '28', '-4301.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3575387', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.999964', '0', '0.00849535', '-410.019', '28', '-4277.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695359', '0', 'object/static/item/shared_item_wood_staff.iff', '-0.0158901', '-0.0145865', '-0.217401', '0.975844', '-3409.58', '87.012', '3085.76', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695360', '0', 'object/static/item/shared_item_vibrolance.iff', '0.959433', '-0.135205', '-0.244983', '0.0345235', '-3411.32', '86.9496', '3082.48', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695361', '0', 'object/static/item/shared_item_vibroaxe.iff', '0.959433', '-0.135205', '-0.244983', '0.0345235', '-3411.15', '86.9544', '3082.83', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695362', '0', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff', '0', '-0.000398537', '0', '1', '-3319.77', '86', '3218.97', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695363', '0', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.706825', '0', '0.707388', '-3321.23', '86', '3219.35', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695364', '0', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.706825', '0', '0.707388', '-3318.3', '86', '3219.32', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695365', '0', 'object/static/item/shared_item_katana.iff', '-0.164919', '0.164919', '0.687606', '-0.687606', '-3320.41', '86.4111', '3219.05', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695366', '0', 'object/static/item/shared_item_tank_bubble.iff', '0', '0.203567', '0', '0.979061', '-3319.89', '86.4111', '3218.86', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695367', '0', 'object/static/item/shared_item_bottle_fat.iff', '0', '0.706825', '0', '0.707388', '-3318.29', '86.3795', '3219.27', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695368', '0', 'object/static/item/shared_item_bottle_tall.iff', '0', '0.706825', '0', '0.707388', '-3321.27', '86.3795', '3219.29', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695369', '0', 'object/static/item/shared_item_katana.iff', '0.157485', '0.157485', '0.689346', '0.689346', '-3319.29', '86.4111', '3219.06', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695370', '0', 'object/static/item/shared_item_fruit_melon.iff', '0', '0.706825', '0', '0.707388', '-3321.27', '87.2649', '3219.29', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695371', '0', 'object/static/item/shared_item_slave_brazier.iff', '0.476407', '0.542644', '0.513421', '0.46365', '-3319.89', '87.9135', '3218.09', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695372', '0', 'object/static/item/shared_item_katana.iff', '0.707388', '0', '0.706825', '0', '-3319.88', '88.1412', '3218.66', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695374', '0', 'object/static/item/shared_item_ryyk_blade.iff', '0.92387', '0.00176106', '-0.00425149', '0.382679', '-3376.74', '87.8839', '3281.4', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695375', '0', 'object/static/item/shared_item_ryyk_blade.iff', '0.00425144', '-0.382679', '0.92387', '0.00176105', '-3376.74', '87.888', '3281.96', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695376', '0', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff', '0', '0.707669', '0', '0.706544', '-3376.17', '85.98', '3281.55', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695377', '0', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.999999', '0', '-0.000799831', '-3375.79', '85.98', '3283.01', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695378', '0', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.999999', '0', '-0.000799831', '-3375.83', '85.98', '3280.08', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695379', '0', 'object/static/item/shared_item_fruit_melon.iff', '0', '0.999999', '0', '-0.000799831', '-3375.86', '87.2449', '3283.04', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695380', '0', 'object/static/item/shared_item_bottle_tall.iff', '0', '0.999999', '0', '-0.000799831', '-3375.85', '86.3594', '3283.05', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695382', '0', 'object/static/item/shared_item_bottle_fat.iff', '0', '0.999999', '0', '-0.000799831', '-3375.87', '86.3594', '3280.07', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695383', '0', 'object/static/item/shared_item_ryyk_blade.iff', '0.644503', '0.626684', '0.289897', '0.328394', '-3376.19', '86.4181', '3280.91', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695384', '0', 'object/static/item/shared_item_ryyk_blade.iff', '0.232753', '-0.203235', '0.662706', '-0.68216', '-3376.32', '86.4223', '3282.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695385', '0', 'object/static/item/shared_armor_chitin_chestplate.iff', '0', '0.707107', '0', '0.707107', '-3376.68', '86.253', '3281.67', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695387', '0', 'object/static/item/shared_item_con_bowl_full.iff', '0', '0.109778', '0', '0.993956', '-3376.29', '86.3479', '3281.36', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695391', '0', 'object/static/item/shared_item_jar_berries.iff', '0', '0', '0', '1', '-3376.3', '86.3479', '3281.74', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695394', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.0799157', '0', '0.996802', '-3344.11', '86', '3291.12', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695395', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '-0.352274', '0', '0.935897', '-3345.55', '86', '3291.68', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695396', '0', 'object/static/item/shared_item_con_ration_kit_m.iff', '0', '-0.227978', '0', '0.973666', '-3343.76', '87.4632', '3289.32', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695397', '0', 'object/static/item/shared_item_con_ration_kit_lg.iff', '0', '0.724287', '0', '-0.689498', '-3344.03', '87.4632', '3289.47', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695398', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.640385', '0', '0.768054', '-3344.03', '86.7632', '3289.44', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695399', '0', 'object/static/item/shared_item_ammo_rocket.iff', '0', '-0.352274', '0', '0.935897', '-3345.32', '86.7589', '3292.07', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695400', '0', 'object/static/item/shared_item_ammo_rocket.iff', '0', '-0.636537', '0', '0.771246', '-3345.37', '86.7589', '3292.24', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695401', '0', 'object/static/item/shared_item_rocket_launcher.iff', '0.359546', '0.362223', '0.613006', '0.603112', '-3345.38', '86.77', '3291.63', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695402', '0', 'object/static/item/shared_item_decryptor_imperial.iff', '0', '0.509841', '0', '0.860269', '-3345.98', '86.7589', '3291.93', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695403', '0', 'object/static/item/shared_item_tool_radio.iff', '0', '0.314567', '0', '0.949235', '-3345.74', '86.7273', '3291.33', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695404', '0', 'object/static/item/shared_item_con_ration_kit_lg.iff', '0', '-0.492534', '0', '0.870293', '-3344.69', '86.7906', '3289.45', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695405', '0', 'object/static/item/shared_item_con_ration_kit_lg.iff', '0', '-0.179029', '0', '0.983844', '-3345.03', '86.7906', '3289.22', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695408', '0', 'object/static/item/shared_item_tool_sensor_beacon.iff', '0', '-0.00999984', '0', '0.99995', '-3343.62', '86', '3290.41', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695409', '0', 'object/static/item/shared_item_rifle.iff', '3.16582e-08', '0.807558', '0.589788', '-1.94927e-08', '-3343.22', '86.1188', '3291.11', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695413', '0', 'object/tangible/crafting/station/shared_public_weapon_station.iff', '0', '-0.707106', '0', '0.707107', '6757.06', '314.996', '-5659.52', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695414', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0', '0', '1', '6757.43', '314.99', '-5653.07', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695415', '0', 'object/static/item/shared_item_container_organic_structure.iff', '0', '0.213347', '0', '0.976976', '6756.35', '314.988', '-5652.39', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695416', '0', 'object/static/item/shared_item_container_organic_structure.iff', '0', '0', '0', '1', '6756.2', '314.991', '-5653.31', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695418', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.707106', '0', '0.707108', '6753.88', '312.345', '-5645.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695419', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.707107', '0', '0.707107', '6753.87', '315.077', '-5645.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695425', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.707106', '0', '0.707108', '6746.04', '313.247', '-5725.39', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695426', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '1', '0', '-3.48103e-07', '6734.16', '313.077', '-5713.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695427', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.382682', '0', '0.92388', '6746.03', '312.459', '-5717.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695428', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.92388', '0', '-0.382684', '6741.84', '312.43', '-5713.54', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695429', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0.707107', '0', '0.707107', '6746.04', '315.999', '-5717.47', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695430', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '6741.84', '315.964', '-5713.51', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695434', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.382683', '0', '0.92388', '6746.04', '317.337', '-5717.47', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695435', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.382683', '0', '0.92388', '6741.82', '317.308', '-5713.48', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695444', '0', 'object/tangible/sign/shared_all_sign_city_s02.iff', '-0.0203968', '0.999792', '6.52722e-10', '-3.19946e-08', '-297.118', '27.9978', '-4785.69', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695448', '0', 'object/tangible/sign/shared_all_sign_city_s02.iff', '0', '1', '0', '-3.20013e-08', '-221.878', '28', '-4792.27', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695449', '0', 'object/tangible/sign/shared_all_sign_city_s02.iff', '0', '1', '0', '-3.20013e-08', '-194', '28', '-4838', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695450', '0', 'object/tangible/sign/shared_all_sign_city_s02.iff', '0', '1', '0', '-3.20013e-08', '-154', '28', '-4838', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695451', '0', 'object/tangible/sign/shared_all_sign_city_s02.iff', '0', '0.92388', '0', '0.382683', '159.109', '28', '-4706.21', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695452', '0', 'object/tangible/sign/shared_all_sign_city_s02.iff', '0', '0.92388', '0', '0.382683', '168.186', '28', '-4696.93', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695453', '0', 'object/tangible/sign/shared_all_sign_city_s02.iff', '0', '0.92388', '0', '0.382683', '145.835', '28', '-4535.05', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695454', '0', 'object/tangible/sign/shared_all_sign_city_s02.iff', '0', '0', '0', '1', '116.734', '28', '-4466.05', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695455', '0', 'object/tangible/sign/shared_all_sign_city_s02.iff', '0', '0.707107', '0', '0.707107', '96', '28', '-4406', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695456', '0', 'object/tangible/sign/shared_all_sign_city_s02.iff', '0', '0.707107', '0', '0.707107', '96', '28', '-4394', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695457', '0', 'object/tangible/sign/shared_all_sign_city_s02.iff', '0', '0.382683', '0', '0.92388', '20.0937', '28', '-4239.95', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695458', '0', 'object/tangible/sign/shared_all_sign_city_s02.iff', '0', '0', '0', '1', '-113.111', '28', '-4204.74', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695459', '0', 'object/tangible/sign/shared_all_sign_city_s02.iff', '0', '0', '0', '1', '-204.975', '28', '-4076.93', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695460', '0', 'object/tangible/sign/shared_all_sign_city_s02.iff', '0', '0', '0', '1', '-310.999', '28', '-4144.8', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695461', '0', 'object/tangible/sign/shared_all_sign_city_s02.iff', '0', '0', '0', '1', '-436.999', '28', '-4144.76', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695462', '0', 'object/tangible/sign/shared_all_sign_city_s02.iff', '0', '-0.382683', '0', '0.92388', '-521.742', '28', '-4218.19', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695463', '0', 'object/tangible/sign/shared_all_sign_city_s02.iff', '0', '-0.382683', '0', '0.92388', '-560.488', '28', '-4234.72', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695464', '0', 'object/tangible/sign/shared_all_sign_city_s02.iff', '0', '-0.382683', '0', '0.92388', '-568.834', '28', '-4243.25', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695465', '0', 'object/tangible/sign/shared_all_sign_city_s02.iff', '0', '-0.707107', '0', '0.707107', '-593.044', '27.9938', '-4328.98', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695466', '0', 'object/tangible/sign/shared_all_sign_city_s02.iff', '0', '-0.707106', '0', '0.707107', '-594.254', '28', '-4478.01', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695467', '0', 'object/tangible/sign/shared_all_sign_city_s02.iff', '0', '-0.707106', '0', '0.707107', '-594.067', '28', '-4509.97', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695468', '0', 'object/tangible/sign/shared_all_sign_city_s02.iff', '0.707107', '0.707107', '5.18775e-08', '5.18775e-08', '-540.454', '30.5957', '-4626.55', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695469', '0', 'object/tangible/sign/shared_all_sign_city_s02.iff', '0', '0.707107', '0', '-0.707107', '-525.779', '28', '-4673.02', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695470', '0', 'object/tangible/sign/shared_all_sign_city_s02.iff', '0', '1', '0', '-3.20013e-08', '-506.619', '28', '-4701.31', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695471', '0', 'object/tangible/sign/shared_all_sign_city_s02.iff', '0.653282', '0.653282', '-0.270598', '-0.270598', '-444.798', '30.328', '-4742.98', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695474', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '0', '0', '1', '6772.29', '315', '-5712.49', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695477', '0', 'object/static/item/shared_item_carbine_dh17.iff', '0', '0', '0.710353', '-0.703845', '6772.32', '315.632', '-5712.53', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695478', '0', 'object/static/item/shared_item_carbine_dh17.iff', '0', '0', '0.710353', '-0.703845', '6772.05', '315.632', '-5712.43', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695479', '0', 'object/static/item/shared_item_pistol.iff', '0', '0', '0.710353', '-0.703845', '6772.2', '315.632', '-5712.96', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695480', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.0749297', '0', '0.997189', '6772.38', '315', '-5713.48', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695481', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '-0.0898786', '0', '0.995953', '6772.42', '315', '-5713.93', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695484', '0', 'object/tangible/camp/shared_camp_spit_s1.iff', '0', '-0.34759', '0', '0.937646', '6723.74', '315.001', '-5681.07', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695487', '0', 'object/tangible/camp/shared_camp_spit_s2.iff', '0', '-0.450834', '0', '0.892608', '6723.91', '315.048', '-5680.28', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695488', '0', 'object/tangible/camp/shared_camp_spit.iff', '0', '-0.109778', '0', '0.993956', '6723.91', '315.012', '-5681.01', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695491', '0', 'object/tangible/camp/shared_camp_tent_s2.iff', '0', '-0.655617', '0', '0.755093', '6728.47', '315.002', '-5681.94', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695492', '0', 'object/tangible/camp/shared_camp_lawn_chair.iff', '0', '-0.443948', '0', '0.896053', '6725.87', '315.001', '-5681.89', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695497', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_02.iff', '0', '0', '0', '1', '6725.24', '315', '-5710.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695498', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_02.iff', '0', '0', '0', '1', '6732.77', '315', '-5807.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695501', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '-0.707106', '0', '0.707107', '6645.19', '330', '-5943.07', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695502', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.707108', '0', '0.707105', '6648.79', '330', '-5943.11', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695503', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.999387', '0', '-0.0349949', '6612.9', '327.967', '-5935.81', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695545', '0', 'object/tangible/microphone/shared_microphone.iff', '0', '1', '0', '3.20013e-08', '6829.43', '330', '-5428.56', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695546', '0', 'object/tangible/speaker/shared_speaker.iff', '0', '0.997248', '0', '0.0741356', '6825.01', '330', '-5427.68', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695547', '0', 'object/tangible/speaker/shared_speaker.iff', '0', '0.945294', '0', '-0.326219', '6833.79', '330', '-5431.25', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695552', '0', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '0.104807', '0', '0.994493', '6926.53', '330', '-5554.19', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695553', '0', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '0.104807', '0', '0.994493', '6928.48', '330', '-5554.63', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695624', '0', 'object/tangible/sign/shared_all_sign_city_s03.iff', '0', '0.524986', '0', '0.851111', '-5399.61', '21', '-2607.31', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695647', '0', 'object/tangible/sign/shared_all_sign_city_s03.iff', '0', '0.707107', '0', '0.707107', '-5584.81', '21', '-2579.25', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695649', '0', 'object/tangible/sign/shared_all_sign_city_s03.iff', '0', '0', '0', '1', '-5659.46', '21.1096', '-2805.91', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695663', '0', 'object/tangible/sign/shared_all_sign_city_s03.iff', '0', '0', '0', '1', '-5626', '20.9392', '-2824.31', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695664', '0', 'object/tangible/sign/shared_all_sign_city_s03.iff', '0', '0', '0.707106', '0.707107', '-5565.93', '23.8674', '-2841.05', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695677', '0', 'object/tangible/sign/shared_all_sign_city_s03.iff', '4.18191e-09', '-0.382683', '1.0096e-08', '0.92388', '-5414.71', '20.9094', '-2796.32', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '3695691', '0', 'object/tangible/sign/shared_all_sign_city_s03.iff', '-8.22329e-08', '0.707106', '-8.22329e-08', '0.707107', '-5398.8', '20.9957', '-2766.63', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026465', '0', 'object/static/structure/corellia/shared_corl_tent_small.iff', '0', '0', '0', '1', '-63.9843', '28', '-4566.57', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026467', '0', 'object/static/creature/shared_corellia_krahbu.iff', '0', '0', '0', '1', '-60.6602', '28', '-4565.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026468', '0', 'object/static/creature/shared_corellia_bageraset.iff', '0', '0', '0', '1', '-67.402', '28', '-4565.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026469', '0', 'object/static/structure/corellia/shared_corl_tent_med.iff', '0', '0', '0', '1', '-421.864', '28', '-4653.03', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026470', '0', 'object/static/structure/general/shared_data_terminal_free_s1.iff', '0', '-0.271547', '0', '0.962425', '-421.193', '28', '-4654.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026471', '0', 'object/static/structure/general/shared_data_terminal_free_s2.iff', '0', '-0.707106', '0', '0.707107', '-421.1', '28', '-4652.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026473', '0', 'object/static/creature/shared_corellia_durni.iff', '0', '0.744643', '0', '-0.667463', '-422.484', '28', '-4650.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026474', '0', 'object/static/creature/shared_corellia_gulingaw.iff', '0', '-0.692538', '0', '0.721382', '-421.813', '31.1015', '-4652.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026476', '0', 'object/static/creature/shared_corellia_krahbu.iff', '0', '-0.483807', '0', '0.875175', '-422.482', '28', '-4656.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026491', '0', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '0.944748', '0', '-0.327798', '-35.3979', '28', '-4437.81', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026492', '0', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '0.893979', '0', '-0.448109', '-35.3157', '28', '-4443', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026493', '0', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '0.588708', '0', '0.808345', '-34.0867', '28', '-4442.63', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026494', '0', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '-0.445505', '0', '0.89528', '-34.0447', '28', '-4437.3', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026495', '0', 'object/static/item/shared_item_medical_console.iff', '0', '0', '0', '1', '-34.1776', '28.759', '-4440.69', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026496', '0', 'object/tangible/furniture/all/shared_frn_all_desk_map_table_insert.iff', '0', '0', '0', '1', '-25.179', '28', '-4443.75', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026497', '0', 'object/tangible/furniture/all/shared_frn_all_desk_map_table.iff', '0', '0', '0', '1', '-28.4591', '28', '-4444.32', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026498', '0', 'object/tangible/furniture/all/shared_frn_all_professor_desk.iff', '0', '0', '0', '1', '-34.3793', '28', '-4441.05', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026499', '0', 'object/static/item/shared_item_medic_bag.iff', '0', '0.773915', '0', '0.63329', '-33.7495', '28', '-4443.06', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026501', '0', 'object/static/item/shared_item_drall_medicine.iff', '0', '0.44486', '0', '0.8956', '-34.6875', '28', '-4433.31', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026502', '0', 'object/static/item/shared_item_drall_medicine.iff', '0', '0.44486', '0', '0.8956', '-34.7294', '28', '-4433.7', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026503', '0', 'object/static/item/shared_item_drall_medicine.iff', '0', '0.44486', '0', '0.8956', '-34.9882', '28', '-4433.45', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026504', '0', 'object/static/item/shared_item_diagnostic_screen.iff', '0', '0.98889', '0', '-0.148651', '-34.1718', '28', '-4433.61', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026506', '0', 'object/static/item/shared_item_tool_sensor_beacon.iff', '0', '0', '0', '1', '-55.0082', '28', '-4568.67', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026507', '0', 'object/static/creature/shared_corellia_durni.iff', '0', '0', '0', '1', '-56.0366', '28', '-4567.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026509', '0', 'object/static/structure/general/shared_droid_21bmedical_powerdown.iff', '0', '0.744643', '0', '0.667463', '-35.7983', '28', '-4433.51', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026510', '0', 'object/static/structure/general/shared_camp_tent_s01.iff', '0', '0.98889', '0', '-0.148651', '-505.779', '28', '-4629.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026511', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0', '0', '1', '-506.566', '28', '-4632.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026512', '0', 'object/static/structure/general/shared_camp_lawn_chair_s01.iff', '0', '0.891207', '0', '-0.453596', '-504.909', '28', '-4631.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026519', '0', 'object/static/item/shared_item_jar_berries.iff', '-0.0670742', '-0.0670741', '0.703918', '0.703919', '-504.819', '28.49', '-4631.87', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026520', '0', 'object/static/item/shared_item_cage_bamboo.iff', '0', '0', '0', '1', '-59.5241', '28', '-4567.9', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026521', '0', 'object/building/corellia/shared_filler_block_corellia_32x16_s01.iff', '0', '0.707106', '0', '0.707107', '-12.8834', '28', '-4833.79', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026522', '0', 'object/building/corellia/shared_filler_block_corellia_32x16_s01.iff', '0', '0.674583', '0', '0.738199', '11.3985', '28', '-4833.15', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026523', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.59786', '0', '0.801601', '-117.771', '28', '-4790.34', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026524', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.42141', '0', '0.90687', '-118.684', '28', '-4790.61', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026525', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.681639', '0', '0.731689', '-117.196', '28', '-4791.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026526', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0', '0', '1', '-116.505', '28', '-4791.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026528', '0', 'object/static/structure/corellia/shared_corl_tent_small.iff', '0', '0.897911', '0', '0.440178', '-118.322', '28.1265', '-4792.3', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026529', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '0', '-0.567854', '0', '0.823129', '-33.9101', '28', '-4372.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026530', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0.188065', '-0.681638', '0.681639', '0.188065', '-34.8937', '28.3222', '-4370.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026531', '0', 'object/static/structure/general/shared_r5_torso.iff', '0', '0.999651', '0', '-0.0264239', '-35.3645', '28', '-4372.85', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026532', '0', 'object/static/structure/general/shared_repairdroidtorso.iff', '0', '0.949757', '0', '-0.312988', '-36.0588', '28', '-4373.27', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026533', '0', 'object/static/structure/general/shared_r3_head.iff', '-0.29074', '0', '0', '0.956802', '-35.6629', '27.2962', '-4373.21', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026534', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '-0.659384', '0', '0.751806', '-33.4996', '28', '-4370.63', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026535', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '-0.548024', '0', '0.836463', '-34.0224', '28', '-4371.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026538', '0', 'object/static/item/shared_wp_mle_axe_vibroax.iff', '0', '0.382683', '0', '0.92388', '-5106.99', '23.5614', '-2322.34', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026540', '0', 'object/static/item/shared_wp_mle_lance_s01.iff', '0', '0.382683', '0', '0.92388', '-5107.42', '23.6879', '-2322.77', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026541', '0', 'object/static/item/shared_wp_mle_lance_vibroaxe.iff', '0', '0.382683', '0', '0.92388', '-5107.78', '23.8461', '-2323.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026542', '0', 'object/static/item/shared_wp_rifle_t21_combined.iff', '0.653282', '0.270598', '-0.270598', '0.653281', '-5108.22', '23.9608', '-2323.61', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026543', '0', 'object/static/item/shared_wp_carbine_elite_combined.iff', '0.653282', '0.270598', '-0.270598', '0.653281', '-5108.65', '23.5381', '-2323.98', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026544', '0', 'object/static/item/shared_armor_padded_chestplate.iff', '0', '0.92388', '0', '0.382683', '-5120.62', '21.3795', '-2336.91', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026545', '0', 'object/static/item/shared_armor_padded_helmet.iff', '0', '0.92388', '0', '0.382683', '-5120.62', '21.3795', '-2336.91', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026546', '0', 'object/static/item/shared_armor_composite_chestplate.iff', '0', '0.92388', '0', '0.382683', '-5120.11', '21.3795', '-2336.4', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026547', '0', 'object/static/item/shared_armor_composite_helmet.iff', '0', '0.92388', '0', '0.382683', '-5120.11', '21.3795', '-2336.4', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026548', '0', 'object/static/item/shared_armor_chitin_chestplate.iff', '0', '0.92388', '0', '0.382683', '-5119.52', '21.3532', '-2335.88', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026549', '0', 'object/static/item/shared_armor_chitin_helmet.iff', '0', '0.92388', '0', '0.382683', '-5119.52', '21.3532', '-2335.88', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026550', '0', 'object/tangible/terminal/shared_terminal_mission_bounty.iff', '0', '-0.382683', '0', '0.92388', '-5130.75', '21', '-2305.57', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026552', '0', 'object/tangible/terminal/shared_terminal_mission_bounty.iff', '0', '-0.382683', '0', '0.92388', '-5129.47', '21', '-2304.18', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026556', '0', 'object/static/structure/general/shared_r3_torso.iff', '0', '0', '0', '1', '-5636.74', '21', '-2798.18', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026557', '0', 'object/static/structure/general/shared_r4_leg.iff', '0', '0', '0', '1', '-5637.2', '21', '-2798.65', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026558', '0', 'object/static/structure/general/shared_prp_engine.iff', '0.707107', '0', '0', '-0.707107', '-5636.38', '21.5295', '-2799.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026559', '0', 'object/static/structure/general/shared_prp_engine_component.iff', '0', '-0.119712', '0', '0.992809', '-5636.17', '21', '-2798.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026560', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.261909', '0', '0.965092', '-5637.46', '21', '-2799.63', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026561', '0', 'object/static/item/shared_item_tool_handheld_viewscreen_s1.iff', '0', '0.79439', '0', '-0.607408', '-5637.45', '21.72', '-2799.51', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026562', '0', 'object/static/item/shared_item_tool_sandstat.iff', '0.0299921', '-0.000449916', '-0.0149927', '0.999438', '-5637.67', '21.72', '-2799.88', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026564', '0', 'object/static/structure/corellia/shared_corl_tent_small.iff', '0', '0', '0', '1', '-5638.3', '21.1265', '-2798.87', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026565', '0', 'object/static/item/shared_item_speaker.iff', '0', '1', '0', '-3.20013e-08', '-5063.56', '21', '-2297.62', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026566', '0', 'object/static/item/shared_item_speaker.iff', '0', '0.707106', '0', '0.707107', '-5057.33', '21', '-2290.45', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026567', '0', 'object/static/item/shared_item_music_microphone_s2.iff', '0', '0', '0', '1', '-5060.17', '21', '-2291.93', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026568', '0', 'object/static/item/shared_item_music_red_ball_jet_organ.iff', '0', '0.970137', '0', '0.242556', '-5063.2', '21', '-2294.31', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026570', '0', 'object/static/structure/corellia/shared_corl_tent_small.iff', '0.00567068', '-0.387254', '-0.0138862', '0.921851', '-5127.58', '21.062', '-2363.02', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026576', '0', 'object/building/corellia/shared_filler_slum_16x32_s01.iff', '0', '0.382684', '0', '0.923879', '-5210.27', '21', '-2390.34', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026579', '0', 'object/building/corellia/shared_filler_block_corellia_32x16_s01.iff', '0', '-0.382683', '0', '0.92388', '-5162.79', '21', '-2359.78', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026580', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.382684', '0', '0.923879', '-5180.13', '21', '-2389.35', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026581', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '-0.382683', '0', '0.92388', '-5186.13', '21', '-2395.33', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026582', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s02.iff', '0', '0.382683', '0', '0.92388', '-5183.87', '21', '-2389.44', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026583', '0', 'object/static/structure/corellia/shared_corl_fountain_rectangle_s01.iff', '0', '-0.382683', '0', '0.92388', '-5193.01', '21', '-2366.84', '96', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026584', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.382683', '0', '0.92388', '-5191.97', '21', '-2361.65', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026585', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.382683', '0', '0.92388', '-5187.88', '21', '-2365.75', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026586', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.382683', '0', '0.92388', '-5190.33', '21', '-2363.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026587', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.92388', '0', '0.382683', '-5189.27', '21', '-2370.71', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026590', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '0.92388', '0', '0.382683', '-5227.09', '21', '-2431.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026591', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.92388', '0', '0.382683', '-5215.42', '21', '-2420.17', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026592', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s02.iff', '0', '0.92388', '0', '0.382683', '-5212.02', '21', '-2416.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026593', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.92388', '0', '0.382683', '-5208.61', '21', '-2413.35', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026594', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '0.92388', '0', '0.382683', '-5202.5', '21', '-2407.26', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026598', '0', 'object/static/item/shared_wp_rifle_laser_combined.iff', '2.46296e-08', '0.382683', '1.24145e-07', '0.92388', '-5237.33', '23.5105', '-2490.6', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026599', '0', 'object/static/item/shared_wp_rifle_t21_combined.iff', '2.46296e-08', '0.382683', '1.24145e-07', '0.92388', '-5237.42', '23.2155', '-2490.69', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026600', '0', 'object/static/item/shared_wp_rifle_t21_combined.iff', '2.46296e-08', '0.382683', '1.24145e-07', '0.92388', '-5237.43', '22.8754', '-2490.7', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026601', '0', 'object/static/item/shared_wp_rifle_laser_combined.iff', '2.46296e-08', '0.382683', '1.24145e-07', '0.92388', '-5237.31', '23.87', '-2490.58', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026602', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '4.18191e-09', '-0.382683', '1.0096e-08', '0.92388', '-5236.15', '21', '-2489.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026603', '0', 'object/static/structure/corellia/shared_corl_tent_small.iff', '-0.0499944', '0.382648', '0.00989815', '0.922488', '-5233.53', '21.3928', '-2487.49', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026604', '0', 'object/static/structure/corellia/shared_corl_tent_small.iff', '0.00877446', '0.923235', '-0.034241', '0.382606', '-5221', '21.3128', '-2487.18', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026605', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.382684', '0', '0.923879', '-5218.27', '21', '-2489.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026606', '0', 'object/static/item/shared_wp_pistol_cdef_combined.iff', '-8.41502e-10', '-0.382683', '-3.55234e-08', '0.92388', '-5218.49', '23.4228', '-2489.09', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026607', '0', 'object/static/item/shared_wp_pistol_dl44_combined.iff', '-8.41502e-10', '-0.382683', '-3.55234e-08', '0.92388', '-5218.37', '23.1052', '-2489.21', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026609', '0', 'object/static/item/shared_wp_pistol_dl44_metal_combined.iff', '-8.41502e-10', '-0.382683', '-3.55234e-08', '0.92388', '-5218.36', '22.8318', '-2489.21', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026610', '0', 'object/static/item/shared_wp_pistol_srcombat_combined.iff', '-7.52231e-09', '-0.382683', '-2.41186e-08', '0.92388', '-5218.69', '22.8377', '-2488.88', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026612', '0', 'object/static/item/shared_wp_pistol_scout_combined.iff', '-8.41502e-10', '-0.382683', '-3.55234e-08', '0.92388', '-5218.69', '23.1181', '-2488.89', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026613', '0', 'object/static/item/shared_wp_carbine_ee3_combined.iff', '-0.52577', '-0.314671', '-0.217781', '0.759683', '-5227.79', '21.3062', '-2489.22', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026614', '0', 'object/static/item/shared_wp_carbine_elite_combined.iff', '-0.529562', '-0.313578', '-0.219352', '0.757045', '-5228', '21.3085', '-2489.35', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026615', '0', 'object/static/item/shared_wp_carbine_laser_combined.iff', '-0.529562', '-0.313578', '-0.219352', '0.757046', '-5228.16', '21.27', '-2489.53', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026616', '0', 'object/static/structure/corellia/shared_corl_tent_small.iff', '0.0211385', '0.263667', '0.0770683', '0.961298', '3337.04', '308.412', '5502.76', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026619', '0', 'object/static/creature/shared_droids_protocol_droid_gold.iff', '0', '0.969944', '0', '-0.243329', '3337.46', '308', '5510.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026620', '0', 'object/static/creature/shared_droids_eg6.iff', '0', '0', '0', '1', '3334.88', '308', '5501.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026621', '0', 'object/static/creature/shared_droids_r2.iff', '0', '0.897911', '0', '-0.440178', '3336.93', '308', '5505.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026623', '0', 'object/static/structure/general/shared_data_terminal_s2.iff', '0', '-0.524986', '0', '0.851111', '3337.28', '308', '5502.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026626', '0', 'object/static/structure/general/shared_camp_tent_s01.iff', '0', '0.793533', '0', '-0.608528', '3333.01', '308', '5511.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026627', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0', '0', '1', '3330.62', '308', '5511.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026628', '0', 'object/static/item/shared_item_music_red_ball_jet_organ.iff', '0', '0.993956', '0', '0.109778', '3303.14', '308', '5521.84', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026629', '0', 'object/static/item/shared_item_speaker.iff', '0', '1', '0', '-3.20013e-08', '3301.17', '308', '5518.89', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026630', '0', 'object/static/item/shared_item_speaker.iff', '0', '0.92388', '0', '0.382683', '3311.49', '308', '5522.09', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026631', '0', 'object/static/item/shared_item_music_microphone_s1.iff', '0', '0.990105', '0', '0.140332', '3306.45', '308', '5520.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026637', '0', 'object/static/creature/shared_corellia_bageraset.iff', '0', '0', '0', '1', '3165.48', '300', '5191.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026639', '0', 'object/static/creature/shared_corellia_murra.iff', '0', '0', '0', '1', '3159.71', '300', '5190.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026640', '0', 'object/static/item/shared_item_cage_bamboo.iff', '0', '-0.0898786', '0', '0.995953', '3160.6', '300', '5189.68', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026641', '0', 'object/static/creature/shared_corellia_durni.iff', '0', '0.640691', '0', '0.767799', '3160.43', '300.095', '5189.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026644', '0', 'object/static/item/shared_item_speaker.iff', '0', '1', '0', '-3.20013e-08', '3360.49', '308', '5523.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026645', '0', 'object/static/item/shared_item_speaker.iff', '0', '1', '0', '-3.20013e-08', '3367.09', '308', '5523.27', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026646', '0', 'object/static/item/shared_item_music_red_ball_jet_organ.iff', '0', '1', '0', '-3.20013e-08', '3363.27', '308', '5524.43', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026648', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '3403', '308', '5675.83', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026649', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '-0.300293', '0', '0.953847', '3401.94', '308', '5676', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026650', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '3400.91', '308', '5676.66', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026651', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.276356', '0', '0.961055', '3400.91', '308.316', '5676.63', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026652', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '-0.618592', '0.68468', '0.326456', '-0.2049', '3400.15', '308.462', '5678.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026653', '0', 'object/static/structure/corellia/shared_corl_tent_small.iff', '0', '-0.541902', '0', '0.840441', '3402.33', '308.138', '5678.42', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026654', '0', 'object/tangible/terminal/shared_terminal_mission_bounty.iff', '0', '0.382683', '0', '0.92388', '3164.02', '300', '5340.03', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4026656', '0', 'object/tangible/terminal/shared_terminal_mission_bounty.iff', '0', '0.382683', '0', '0.92388', '3165.59', '300', '5338.47', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4255419', '0', 'object/building/corellia/shared_starport_corellia.iff', '0', '0.999875', '0', '-0.0157951', '-3135.7', '31', '2894.22', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '4255420', '4255419', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '4255421', '4255419', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '4255422', '4255419', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '4255423', '4255419', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1033595', '4255423', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0', '0', '1', '-10.3602', '0.639423', '57.4963', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1033596', '4255423', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0', '0', '1', '-10.5132', '0.639424', '62.2151', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1033597', '4255423', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0', '0', '1', '-0.276184', '0.639421', '57.4062', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1033598', '4255423', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0', '0', '1', '-0.418671', '0.639421', '62.569', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1033599', '4255423', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0', '0', '1', '9.96782', '0.639422', '57.0491', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1033600', '4255423', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0', '0', '1', '9.88513', '0.639422', '62.0812', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2655355', '4255423', 'object/soundobject/shared_soundobject_starport_announcer.iff', '0', '0', '0', '1', '0.076816', '0.639421', '59.5886', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4855814', '4255423', 'object/tangible/terminal/shared_terminal_newsnet.iff', '0', '0', '0', '1', '6.76959', '0.639421', '49.5035', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4855815', '4255423', 'object/tangible/terminal/shared_terminal_newsnet.iff', '0', '0', '0', '1', '-8.68126', '0.639421', '49.8992', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4255424', '4255419', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '4255425', '4255419', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '4255426', '4255419', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '4255427', '4255419', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '4255428', '4255419', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '4255429', '4255419', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1509594', '4255429', 'object/tangible/terminal/shared_terminal_space.iff', '0', '-0.0502882', '0', '0.998735', '-40.5245', '1.63942', '46.4173', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1509595', '4255429', 'object/tangible/terminal/shared_terminal_space.iff', '0', '-0.642151', '0', '0.766579', '-37.9263', '1.63942', '49.1327', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1509596', '4255429', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0.774419', '0', '0.632673', '-44.1061', '1.63942', '50.2536', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1509597', '4255429', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0.999278', '0', '0.0379993', '-41.4421', '1.63942', '52.9042', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4255430', '4255419', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '4255431', '4255419', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '4255432', '4255419', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '4255433', '4255419', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '4255434', '4255419', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035913', '4255419', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '4255445', '0', 'object/building/corellia/shared_filler_block_corellia_32x16_s01.iff', '0', '0', '0', '1', '-3134.74', '31.4223', '2782.78', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '4255448', '0', 'object/building/corellia/shared_filler_block_corellia_64x32_s01.iff', '0', '-0.266731', '0', '0.963771', '-3071.25', '30.9953', '2798.97', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '4255455', '0', 'object/building/corellia/shared_filler_block_corellia_64x32_s02.iff', '0', '0.174108', '0', '0.984727', '-3109.78', '31', '3016.85', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '4255477', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0.0186812', '0.933937', '-0.00713851', '-0.356878', '-3234.58', '29.8122', '2803.39', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4255478', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0.0186812', '0.933937', '-0.00713851', '-0.356878', '-3228.63', '29.0033', '2798.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4255479', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0.00734464', '0.934089', '-0.00207088', '-0.35696', '-3222.73', '29.1075', '2792.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4255480', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '-0.00303356', '0.934108', '0.00186996', '-0.356974', '-3216.77', '28.7009', '2787.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4255481', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0.0186812', '0.933937', '-0.00713851', '-0.356878', '-3246.49', '31.3961', '2814.05', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4255484', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0.0326877', '0.933552', '-0.0124907', '-0.356731', '-3240.57', '29.9351', '2808.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4255493', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0.00427913', '0.934109', '-0.00116187', '-0.35696', '-3210.84', '29.0664', '2782.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4255494', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0.118328', '0.924997', '-0.0580844', '-0.356379', '-3283.63', '53.6187', '2851.55', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4255495', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0.106683', '0.92728', '-0.0495627', '-0.355406', '-3277.78', '51.1299', '2846.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4255496', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0.11043', '0.926858', '-0.0509513', '-0.355168', '-3271.86', '49.6338', '2840.94', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4255497', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0.106683', '0.92728', '-0.049563', '-0.355406', '-3267.87', '50.7831', '2856.41', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4255498', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0.11043', '0.926858', '-0.050951', '-0.355168', '-3261.95', '49.3369', '2851.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4255499', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0.118328', '0.924997', '-0.058084', '-0.356379', '-3273.71', '53.4458', '2861.64', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4255500', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0.0462075', '0.921071', '-0.0197378', '-0.386139', '-3312.78', '66.491', '2883.36', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4255501', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0.0451946', '0.919893', '-0.0191551', '-0.389085', '-3307.2', '66.2744', '2877.29', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4255502', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0.0476931', '0.91968', '-0.0202002', '-0.389238', '-3318.47', '67.3273', '2889.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4255503', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0.0449444', '0.92483', '-0.0197417', '-0.377201', '-3304.27', '66.4522', '2891.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4255504', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0.04479', '0.927721', '-0.0200829', '-0.370033', '-3298.92', '66.2641', '2885.17', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4255505', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0.0476135', '0.923429', '-0.0207687', '-0.380237', '-3310.04', '67.2763', '2896.59', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4255517', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0', '0', '1', '3194.94', '286.138', '4980.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4255523', '0', 'object/static/structure/general/shared_streetlamp_large_green_style_01.iff', '0', '-0.707106', '0', '0.707107', '3194.97', '290.158', '4980.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4255534', '0', 'object/static/structure/corellia/shared_corl_fountain_brazier_round_s01.iff', '0', '0', '0', '1', '3139.96', '300', '5148.52', '96', '1');
INSERT INTO `staticobjects` VALUES ('0', '4255536', '0', 'object/static/structure/corellia/shared_corl_fountain_brazier_round_s01.iff', '0', '0', '0', '1', '3155.96', '300', '5148.52', '96', '1');
INSERT INTO `staticobjects` VALUES ('0', '4255550', '0', 'object/static/structure/corellia/shared_corl_stair_large_s01.iff', '0', '0.92388', '0', '-0.382683', '3280.53', '300', '5463.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4255552', '0', 'object/static/structure/corellia/shared_corl_stair_medium_s01.iff', '0', '0.382683', '0', '0.92388', '3301.75', '308', '5484.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4255553', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_sm_s01.iff', '0', '0.382681', '0', '0.92388', '3292.55', '315.746', '5475.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4255554', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff', '0', '0.382682', '0', '0.92388', '3286.9', '315.746', '5469.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4255555', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff', '0', '0.382676', '0', '0.923883', '3298.21', '315.746', '5480.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4255598', '0', 'object/static/structure/corellia/shared_corl_stair_medium_s01.iff', '0', '0.382681', '0', '0.92388', '3309.33', '308', '5476.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4255599', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_sm_s01.iff', '0', '0.382677', '0', '0.923882', '3300.13', '315.746', '5467.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4255600', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff', '0', '0.382684', '0', '0.923879', '3294.48', '315.746', '5461.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4255601', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff', '0', '0.382672', '0', '0.923884', '3305.61', '315.746', '5472.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4255606', '0', 'object/static/structure/corellia/shared_corl_stair_large_s01.iff', '0', '0.92388', '0', '-0.382683', '3288.11', '300', '5455.52', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4275364', '0', 'object/building/general/shared_corellia_drall_cave.iff', '0', '0.707106', '0', '0.707107', '1021.74', '32.2214', '4181.28', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '4275365', '4275364', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '6036045', '4275365', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '-0.0860647', '-0.608424', '-0.140891', '0.776249', '-8.63027', '-8.34642', '-1.10369', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '6036046', '4275365', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '-0.0443505', '-0.393314', '-0.169471', '0.902561', '-10.3107', '-6.36923', '-8.52082', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4275366', '4275364', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '6036048', '4275366', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '-0.0536553', '-0.438835', '-0.155697', '0.883348', '50.3078', '-67.146', '-44.2617', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4275367', '4275364', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '4275368', '4275364', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '4275369', '4275364', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '4275370', '4275364', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '683324', '4275370', 'object/static/structure/general/shared_streetlamp_medium_style_01_on.iff', '0', '-0.696135', '0', '0.717911', '52.6549', '-70.8078', '-115.926', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4275371', '4275364', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '4275372', '4275364', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '683325', '4275372', 'object/static/structure/general/shared_streetlamp_medium_style_01_on.iff', '0', '-0.0499792', '0', '0.99875', '139.954', '-66.8276', '-125.382', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '6036049', '4275372', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0.00497245', '0.99448', '-0.104806', '0.000524065', '113.474', '-67.0458', '-86.761', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6036050', '4275372', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '-0.0102717', '0.970524', '-0.0643299', '-0.232032', '137.688', '-66.8832', '-86.221', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4275373', '4275364', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '6036051', '4275373', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '-0.0217489', '-0.495087', '0.0681373', '0.865894', '195.482', '-66.6664', '-100.148', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4275374', '4275364', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '4275375', '4275364', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '6036047', '4275375', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0.032172', '0.333908', '0.0310286', '0.941545', '90.5581', '-46.4454', '-147.371', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4335756', '0', 'object/tangible/furniture/all/shared_frn_all_data_terminal_free_s1.iff', '0', '-0.17903', '0', '0.983844', '-5216.91', '21', '-2604.6', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4335757', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.539632', '0', '0.841901', '-5222.72', '21', '-2601.28', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4335758', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.144493', '0', '0.989506', '-5220.86', '21', '-2602.93', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4335759', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.990105', '0', '0.140332', '-5221.04', '21', '-2599.81', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4335760', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.466209', '0', '0.884675', '-5215.27', '21', '-2601.95', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4335761', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.285951', '0', '0.958244', '-5218.21', '21', '-2603.72', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4335762', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0.706825', '0', '0.707388', '-5221.29', '21', '-2601.33', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4335763', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0.706825', '0', '0.707388', '-5216.9', '21', '-2602.33', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4335764', '0', 'object/static/item/shared_item_datapad_s2.iff', '0', '0.685289', '0', '0.728271', '-5216.92', '21.9', '-2602.47', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4335765', '0', 'object/static/structure/general/shared_droid_ra7_powerdown.iff', '0', '-0.0499783', '0', '0.99875', '-5215.14', '21', '-2604.74', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '4335766', '0', 'object/static/item/shared_item_tool_handheld_viewscreen_s1.iff', '0', '0.966185', '0', '0.25785', '-5217.09', '21.9', '-2602.94', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4335767', '0', 'object/static/item/shared_item_tool_handheld_viewscreen_s2.iff', '0', '0.859862', '0', '0.510526', '-5217.41', '21.9', '-2602.43', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4335768', '0', 'object/static/item/shared_item_document.iff', '0', '-0.526945', '0', '0.8499', '-5217.22', '21.9', '-2602.04', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4335769', '0', 'object/static/structure/general/shared_droid_r4_powerdown.iff', '0', '0.492535', '0', '0.870293', '-5222.71', '21', '-2603.6', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '4335793', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.17903', '0', '0.983844', '20.6418', '28', '-4775.95', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4335794', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '-0.501213', '0', '0.865324', '22.5412', '28', '-4775.79', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4335795', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0', '0', '1', '24.5085', '28', '-4776.84', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4335797', '0', 'object/static/structure/general/shared_prp_junk_s7.iff', '0.894851', '0', '0', '0.446365', '21.6403', '30.5745', '-4777.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4335798', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '0', '0', '0', '1', '22.7106', '29.4293', '-4779.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4335799', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0', '0', '0', '1', '23.8937', '28.7307', '-4778.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4335800', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '18.0324', '28', '-4776.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4335801', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.78809', '0', '0.615561', '19.2243', '28', '-4776.66', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4335802', '0', 'object/static/structure/general/shared_prp_engine_component.iff', '0', '0.384808', '0', '0.922996', '17.8832', '29.2017', '-4776.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4335803', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0.5', '-0.5', '-0.5', '0.5', '21.4821', '28.3007', '-4775.74', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4335804', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '21.8347', '27.9774', '-4774.77', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4335806', '0', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '21.3249', '28.6414', '-4775.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4335808', '0', 'object/static/item/shared_item_glass_metal.iff', '0', '0', '0', '1', '22.0378', '27.5257', '-4774.81', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4335810', '0', 'object/static/item/shared_item_tool_demagnetizer.iff', '0', '0', '0', '1', '18.8168', '28', '-4775.8', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4335811', '0', 'object/static/item/shared_item_tool_magnetite_cleaner.iff', '0', '0', '0', '1', '19.2757', '28.7', '-4776.5', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4335812', '0', 'object/tangible/furniture/all/shared_frn_all_toolchest_lg_s01.iff', '0', '-0.0948572', '0', '0.995491', '21.2206', '28', '-4777.56', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4345352', '0', 'object/building/corellia/shared_hospital_corellia_s02.iff', '0', '-0.382683', '0', '0.92388', '3275.44', '300', '5409.71', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '4345353', '4345352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '4345354', '4345352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205401', '4345354', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '-0.732839', '0.184067', '0.188396', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4345355', '4345352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '4345356', '0', 'object/static/structure/corellia/shared_corl_stair_large_s01.iff', '0', '1', '0', '-3.20013e-08', '3337.89', '308', '5677.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4345390', '0', 'object/building/corellia/shared_cloning_corellia.iff', '0', '0.92388', '0', '0.382683', '3312.99', '324', '5738.87', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '4345391', '4345390', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '4345392', '4345390', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '4345393', '4345390', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '4345394', '4345390', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '4345395', '4345390', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '4345396', '4345390', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '4345397', '0', 'object/building/corellia/shared_filler_slum_16x16_s01.iff', '0', '0.999089', '0', '-0.042686', '3282.85', '324', '5756.86', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '4345399', '0', 'object/static/structure/corellia/shared_corl_power_connector.iff', '0', '0.92388', '0', '-0.382683', '3305.99', '324', '5766.33', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4345400', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0.382683', '0', '0.92388', '3303.53', '324', '5768.68', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4345403', '0', 'object/static/structure/general/shared_debris_deathstar_large_tube.iff', '0', '0', '0', '1', '3303.93', '324', '5761.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395352', '0', 'object/tangible/furniture/all/shared_frn_all_toolchest_med_s01.iff', '0', '-0.707106', '0', '0.707107', '3305.56', '324', '5763.66', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395353', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.92388', '0', '-0.382683', '3325', '324', '5717', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395354', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.92388', '0', '-0.382683', '3335', '324', '5727', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395355', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.92388', '0', '-0.382683', '3328', '324', '5714', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395356', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.92388', '0', '-0.382683', '3338', '324', '5724', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395357', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s02.iff', '0', '-0.382683', '0', '0.92388', '3336', '324', '5716', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395358', '0', 'object/building/corellia/shared_filler_slum_16x32_s01.iff', '0', '-0.579162', '0', '0.815212', '3407.39', '308', '5695.23', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395362', '0', 'object/building/corellia/shared_filler_slum_16x32_s02.iff', '0', '-0.49922', '0', '0.866475', '3440.16', '308', '5681.82', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395366', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.856523', '0', '0.516108', '3415.86', '306.5', '5661.76', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395367', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.856523', '0', '0.516108', '3403.05', '306.5', '5673.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395368', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0.860066', '0', '0.510183', '3421.77', '307', '5672.89', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395370', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0.860066', '0', '0.510184', '3407.08', '307', '5680.58', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395371', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.970597', '0', '-0.240709', '3414.26', '306.5', '5676.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395372', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0.860066', '0', '0.510184', '3419.73', '307', '5668.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395373', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.235464', '0', '0.971883', '3413.6', '308', '5670.17', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395374', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.235464', '0', '0.971883', '3409.53', '308', '5672.28', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395375', '0', 'object/static/structure/general/shared_streetlamp_medium_red_style_01.iff', '0', '0.970693', '0', '-0.240324', '3411.88', '308', '5671.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395376', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.247404', '0', '0.968912', '3417.43', '308', '5670.89', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395377', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.72938', '0', '-0.684109', '3416.71', '308', '5669.99', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395378', '0', 'object/static/structure/general/shared_prp_junk_s5.iff', '0', '0.890868', '0', '0.454262', '3407.76', '308', '5676.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395379', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0.0015324', '-0.00553798', '-0.696312', '0.717716', '3410.67', '308.348', '5676.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395384', '0', 'object/static/structure/general/shared_prp_engine.iff', '-0.703279', '0', '0', '0.710914', '3409.01', '308.537', '5675.59', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395395', '0', 'object/building/corellia/shared_guild_theater_corellia_s01.iff', '0', '0.860066', '0', '0.510183', '3407.21', '308', '5465.08', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395396', '4395395', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205379', '4395396', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '1.04657', '0.6', '-5.62389', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395397', '4395395', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395398', '4395395', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395399', '4395395', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395400', '4395395', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395401', '4395395', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205385', '4395401', 'object/soundobject/shared_soundobject_city_crowd_cheering.iff', '0', '0', '0', '1', '-0.654334', '1.87593', '30.3559', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395402', '4395395', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395403', '4395395', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395404', '4395395', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395405', '4395395', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395406', '0', 'object/static/structure/corellia/shared_corl_fountain_circle_s01.iff', '0', '0.382683', '0', '0.92388', '3391.28', '308.637', '5500.97', '96', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395407', '0', 'object/static/structure/corellia/shared_corl_fountain_circle_s01.iff', '0', '-0.382683', '0', '0.92388', '3368.68', '308.668', '5459.19', '96', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395450', '0', 'object/building/corellia/shared_filler_historic_32x16_s02.iff', '0', '0.250018', '0', '0.968241', '3343.7', '308', '5501.61', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395455', '0', 'object/building/corellia/shared_filler_historic_32x16_s01.iff', '0', '-0.50786', '0', '0.861439', '3339.34', '308', '5471.18', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395461', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '0.857504', '0', '0.514477', '3351.34', '308', '5519.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395462', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '0.857504', '0', '0.514477', '3348.34', '308', '5520.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395463', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff', '0', '0.247404', '0', '0.968912', '3367.86', '322', '5485.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395465', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff', '0', '0.247404', '0', '0.968912', '3369.78', '322', '5488.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395470', '0', 'object/static/structure/corellia/shared_corl_fountain_brazier_square_s01.iff', '0', '0.247404', '0', '0.968912', '3368.82', '322.5', '5487.13', '96', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395477', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff', '0', '0.247404', '0', '0.968912', '3368.82', '322', '5487.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395478', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '0.857504', '0', '0.514477', '3335.73', '308', '5485.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395479', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '0.857504', '0', '0.514477', '3332.73', '308', '5487.13', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395488', '0', 'object/building/corellia/shared_skyscraper_corellia_style_02.iff', '0', '0.858889', '0', '0.512161', '3294.3', '308', '5540.63', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395508', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.242556', '0', '0.970137', '3333.75', '308', '5513.86', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395511', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.242556', '0', '0.970137', '3333.75', '313', '5513.86', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395512', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.242556', '0', '0.970137', '3310.81', '313', '5526.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395513', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.242556', '0', '0.970137', '3310.81', '308', '5526.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395514', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s01.iff', '0', '0.242556', '0', '0.970137', '3322.28', '312.28', '5519.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395515', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s01.iff', '0.970137', '-1.35117e-08', '-0.242556', '-4.31847e-08', '3322.28', '310.41', '5519.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395535', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.382683', '0', '0.92388', '3297', '308', '5492', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395536', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.382683', '0', '0.92388', '3294', '308', '5496', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395537', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.707106', '0', '0.707107', '3290', '308', '5501', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395538', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.707099', '0', '0.707114', '3290', '308', '5507', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395539', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.923879', '0', '0.382685', '3293', '308', '5512', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395540', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.923879', '0', '0.382685', '3296', '308', '5516', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395541', '0', 'object/static/structure/corellia/shared_corl_fountain_statue_heroic_s01.iff', '0', '0', '0', '1', '3297', '308', '5504', '96', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395542', '0', 'object/static/structure/corellia/shared_corl_power_arial_prime.iff', '9.44131e-09', '-0.503546', '-6.69304e-09', '0.863968', '3343.17', '307.699', '5506.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395544', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '0.707106', '0', '0.707107', '3129.67', '300', '5219.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395545', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '0', '0', '1', '3139.67', '300', '5209.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395546', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '-0.382683', '0', '0.92388', '3132.67', '300', '5226.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395547', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '0.707106', '0', '0.707107', '3149.67', '300', '5219.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395548', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '-0.382683', '0', '0.92388', '3146.67', '300', '5212.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395549', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '0.382683', '0', '0.92388', '3132.67', '300', '5212.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395550', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '0', '0', '1', '3139.67', '300', '5229.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395551', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '0.382683', '0', '0.92388', '3146.67', '300', '5226.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395552', '0', 'object/static/structure/corellia/shared_corl_fountain_brazier_square_s01.iff', '0', '0', '0', '1', '3140', '300', '5220', '96', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395553', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s01.iff', '0', '0.250018', '0', '0.968241', '3158.36', '300', '5266.19', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4395554', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s01.iff', '0', '0.250018', '0', '0.968241', '3178.54', '300', '5302.77', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4435407', '0', 'object/tangible/sign/shared_all_sign_city_s03.iff', '0', '0', '0', '1', '6854.43', '315', '-5826.61', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4435408', '0', 'object/tangible/sign/shared_all_sign_city_s03.iff', '0', '0', '0', '1', '6705.45', '315.034', '-5827.81', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4435409', '0', 'object/tangible/sign/shared_all_sign_city_s03.iff', '0', '0', '0', '1', '6719.63', '327.559', '-5865.16', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4435410', '0', 'object/tangible/sign/shared_all_sign_city_s03.iff', '0', '0.707106', '0', '0.707107', '6686.01', '330', '-5950.5', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4435411', '0', 'object/tangible/sign/shared_all_sign_city_s03.iff', '0', '0', '0', '1', '6670.49', '330', '-5911.92', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4445356', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '-0.382683', '0', '0.92388', '3199.77', '300', '5310.31', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4445358', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '-0.382683', '0', '0.92388', '3200.71', '300', '5311.22', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4445384', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.707107', '0', '-0.707107', '3205.96', '364.017', '5565.05', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4445385', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.707106', '0', '0.707108', '3217.96', '364', '5565.05', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4445386', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.707106', '0', '0.707108', '3217.96', '364', '5576.05', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4445387', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.707106', '0', '0.707108', '3205.96', '364', '5576.05', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4445388', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.707106', '0', '0.707108', '3207.96', '364.026', '5563.05', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4445389', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.707107', '0', '0.707107', '3215.96', '364', '5563.05', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4445390', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.707107', '0', '0.707107', '3215.96', '364', '5578.05', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4445391', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.707107', '0', '0.707107', '3207.96', '364', '5578.05', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4445392', '0', 'object/static/structure/corellia/shared_corl_fountain_rectangle_s01.iff', '0', '0', '0', '1', '3211.93', '364', '5571.08', '96', '1');
INSERT INTO `staticobjects` VALUES ('0', '4445393', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0', '0', '1', '3211.96', '364', '5576.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4445394', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.707106', '0', '0.707108', '3215.96', '364', '5571.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4445395', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '1', '0', '-3.20013e-08', '3211.96', '364.009', '5566.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4445396', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '-0.707106', '0', '0.707108', '3207.96', '364', '5571.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4445397', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0', '0', '1', '3211.96', '364.009', '5563.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4445398', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '1', '0', '-3.20013e-08', '3211.96', '364', '5578.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4445399', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.923879', '0', '0.382684', '3293.32', '308', '5571.33', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4445405', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.382684', '0', '0.923879', '3293.49', '308', '5574.51', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4445409', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.707096', '0', '0.707117', '3293.81', '306.886', '5572.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4445410', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '3291.81', '306.886', '5574.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4445411', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '3291.81', '306.886', '5570.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4445412', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff', '0', '0.707094', '0', '0.707119', '3291.81', '310.749', '5572.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4445413', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff', '0', '0', '0', '1', '3291.81', '310.749', '5572.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4445414', '0', 'object/static/structure/corellia/shared_corl_power_arial_prime.iff', '0', '0', '0', '1', '3291.78', '310.749', '5572.79', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4445416', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.707107', '0', '0.707107', '3289.81', '306.886', '5572.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4475355', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.923879', '0', '-0.382684', '-399.349', '28', '-4255.68', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4475356', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.923879', '0', '-0.382684', '-346.646', '28', '-4308.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4475357', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.382682', '0', '0.92388', '-357.696', '28', '-4342.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4475358', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.923879', '0', '-0.382684', '-471.681', '28', '-4376.33', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4475359', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.923879', '0', '-0.382684', '-524.317', '28', '-4323.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4475360', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.382682', '0', '0.92388', '-513.333', '28', '-4289.34', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546104', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '-5486.69', '21', '-2822.86', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546106', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '-0.0235351', '0.99879', '0.0431751', '-0.00101744', '-5473', '26.6461', '-2972', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546107', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0.011178', '0.705424', '0.0487529', '0.707018', '-5476', '26.7556', '-2975', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546108', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0.0176758', '0.705613', '0.0459296', '0.706886', '-5476', '27.0949', '-2979', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546109', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '-0.0490431', '0.706918', '0.0163362', '-0.705404', '-5459', '27.5517', '-2975', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546110', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '-0.035342', '0.706506', '0.0282753', '-0.706259', '-5459', '27.9193', '-2979', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546125', '0', 'object/tangible/sign/shared_all_sign_city_s03.iff', '0', '0.524986', '0', '0.851111', '-5309.48', '21', '-2553.5', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546126', '0', 'object/tangible/sign/shared_all_sign_city_s03.iff', '0', '0.524986', '0', '0.851111', '-5297.16', '21', '-2578.63', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546135', '0', 'object/tangible/sign/shared_all_sign_city_s03.iff', '0', '0', '0', '1', '-5126.98', '21', '-2651.03', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546136', '0', 'object/tangible/sign/shared_all_sign_city_s03.iff', '0', '0.0499792', '0', '0.99875', '-5168.94', '20.9922', '-2655.94', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546137', '0', 'object/tangible/sign/shared_all_sign_city_s03.iff', '0', '0.21823', '0', '0.975897', '-5207.93', '20.9729', '-2652.51', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546138', '0', 'object/tangible/sign/shared_all_sign_city_s03.iff', '0', '0.382683', '0', '0.92388', '-5249.3', '20.9588', '-2632.02', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546150', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '1', '0', '-7.48498e-07', '-5043.9', '21', '-2604.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546151', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.92388', '0', '-0.382683', '-5041.74', '21', '-2605.37', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546152', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.92388', '0', '0.382683', '-5045.66', '21', '-2605.9', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546161', '0', 'object/tangible/sign/shared_all_sign_city_s03.iff', '0', '0', '0', '1', '-5025.64', '21', '-2613.81', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546162', '0', 'object/tangible/sign/shared_all_sign_city_s03.iff', '0', '-0.382683', '0', '0.92388', '-5059.39', '21', '-2619.64', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546173', '0', 'object/tangible/sign/shared_all_sign_city_s03.iff', '-0.270598', '0.270598', '0.653282', '-0.653281', '-4948.34', '23.73', '-2526.19', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546174', '0', 'object/tangible/sign/shared_all_sign_city_s03.iff', '0.270598', '-0.270598', '0.653282', '-0.653281', '-4942.44', '23.73', '-2482.24', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546185', '0', 'object/tangible/sign/shared_all_sign_city_s03.iff', '4.18191e-09', '-0.382683', '1.0096e-08', '0.92388', '-4936.36', '21', '-2432.14', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546212', '0', 'object/tangible/sign/shared_all_sign_city_s03.iff', '0', '-0.298098', '0', '0.954535', '-5231.05', '21', '-2275.81', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546213', '0', 'object/tangible/sign/shared_all_sign_city_s03.iff', '0', '-0.0749297', '0', '0.997189', '-5190.24', '21', '-2253.84', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546214', '0', 'object/tangible/sign/shared_all_sign_city_s03.iff', '0', '-0.382683', '0', '0.92388', '-5342.59', '21', '-2433.3', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546215', '0', 'object/tangible/sign/shared_all_sign_city_s03.iff', '0', '-0.707106', '0', '0.707107', '-5342.96', '20.9996', '-2466.52', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546237', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.707106', '0', '0.707107', '-5430', '21.2', '-2622', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546238', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.707106', '0', '0.707107', '-5430', '21.2', '-2627', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546239', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.707107', '0', '0.707107', '-5438', '21.1948', '-2622', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546240', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.707106', '0', '0.707107', '-5438', '21.1997', '-2627', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546241', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.707106', '0', '0.707107', '-5519', '21.3', '-2630', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546242', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.707107', '0', '0.707107', '-5513', '21.3', '-2630', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546243', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.707106', '0', '0.707107', '-5519', '21.3', '-2634', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546244', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.707107', '0', '0.707107', '-5513', '21.3', '-2634', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546245', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '-5516', '21.3', '-2637', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546246', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '-5516', '21.3', '-2627', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546247', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-5437.5', '23.515', '-2618.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546248', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-5430.5', '23.515', '-2618.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546249', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-5430.5', '23.515', '-2630.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546250', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-5437.5', '23.515', '-2630.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546252', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '-0.223106', '0', '0.974794', '-5351.52', '24.8863', '-2592.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546253', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.533471', '0', '0.845819', '-5309.59', '21', '-2565.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546254', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.533471', '0', '0.845819', '-5306.69', '21', '-2571.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546260', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0.00873965', '0.849642', '-0.00489412', '-0.527265', '6294.62', '170.558', '-3961.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546261', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '0.841686', '0', '-0.539967', '6299.14', '170.352', '-3959.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546269', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '0.976397', '0', '0.215984', '6295.69', '169.855', '-3951.79', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546270', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0.00963316', '0.973001', '0.00274522', '0.230583', '6290.87', '170.207', '-3953.96', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546272', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0.588336', '0.385436', '-0.381894', '0.599547', '6295.15', '173.999', '-3960.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546278', '0', 'object/static/structure/general/shared_rock_beach_dark_lg.iff', '0.0706021', '-0.234441', '0.0269037', '0.96919', '6299.88', '173.008', '-3966.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546279', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0.693862', '-0.140461', '0.147397', '0.690724', '6293.75', '170.85', '-3952.13', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546280', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0.693862', '-0.140461', '0.147397', '0.690724', '6292.42', '170.829', '-3952.71', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546281', '0', 'object/static/structure/corellia/shared_corl_tent_large.iff', '0', '0', '0.114747', '0.993395', '6050.41', '169.707', '6397.23', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546283', '0', 'object/static/structure/corellia/shared_corl_tent_small.iff', '0.0174486', '0.183117', '0.0932385', '0.978504', '7489.49', '3.29537', '-1772.25', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546284', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '-0.0881751', '-0.0174155', '-0.192982', '0.977077', '7483.57', '1.7441', '-1769.58', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546285', '0', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_01.iff', '0.0893788', '-0.547422', '0.0455557', '0.830822', '7482.47', '1.84962', '-1770.46', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546286', '0', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_01.iff', '0.089379', '-0.547422', '0.045556', '0.830822', '7483.26', '1.79759', '-1768.53', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546287', '0', 'object/static/structure/general/shared_debris_deathstar_conduit.iff', '-0.0792703', '0.162011', '0.731394', '-0.657672', '1892.71', '2.92826', '-233.408', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546288', '0', 'object/static/structure/general/shared_debris_deathstar_tractorbeam.iff', '0.717215', '0.0690578', '-0.0721008', '-0.689663', '1877.82', '3.25121', '-219.721', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546289', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0.703279', '0', '0', '0.710914', '1903.1', '0.476392', '-226.939', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546290', '0', 'object/static/structure/naboo/shared_obelisk_naboo_theed_style_1.iff', '0', '-0.13459', '0', '0.990901', '-7062.63', '272.787', '-1592.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546294', '0', 'object/static/structure/naboo/shared_obelisk_naboo_theed_style_3.iff', '0', '0', '0', '1', '-7165', '70.2715', '134', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546295', '0', 'object/static/structure/naboo/shared_obelisk_naboo_theed_style_3.iff', '0', '0', '0', '1', '-7165', '70.4043', '138', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546296', '0', 'object/static/structure/naboo/shared_obelisk_naboo_theed_style_3.iff', '0', '0', '0', '1', '-7167', '70.2927', '136', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546297', '0', 'object/static/structure/naboo/shared_obelisk_naboo_theed_style_3.iff', '0', '0', '0', '1', '-7163', '70.2452', '136', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546316', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0.0248725', '0.00249558', '-0.0998022', '0.994693', '-7536.32', '392.254', '4617.28', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546317', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '-0.113673', '-0.530544', '-0.0720618', '0.836904', '-7532.95', '391.477', '4626.44', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546318', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0.100056', '0.255598', '0.101353', '0.956235', '-7516.41', '391.483', '4609.44', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546319', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '-7531.75', '392.333', '4610.3', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546320', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '-7529.36', '392.003', '4611.29', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546321', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '-7528.89', '391.968', '4607.98', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546323', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0.0998334', '0.995004', '-7530.36', '392.706', '4616.17', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546324', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0.0835069', '0.545286', '-0.0547111', '0.832284', '-7523.5', '389.781', '4607.93', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546325', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0.0184094', '0.0133404', '0.226453', '0.973757', '-7512.11', '393.494', '4621.17', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546326', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '-0.348723', '0.00671304', '0.0914265', '0.932732', '-7518.52', '393.269', '4630.77', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546327', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '-0.0697226', '0.0274447', '0.308945', '0.948124', '-7510.88', '400.063', '4625.13', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546328', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '-7525.9', '392.083', '4628.74', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546329', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '-7524.39', '393.339', '4631.31', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546330', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '-7528.35', '393.517', '4631.6', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546332', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '0.741297', '0', '0', '0.671178', '-7381.34', '425.175', '7567.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546333', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '-0.266834', '0.43444', '0.733042', '0.450235', '-7361.85', '426.118', '7556.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546334', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0.416871', '0', '0', '0.908966', '-7366.37', '429.866', '7569.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546335', '0', 'object/static/structure/general/shared_prp_junk_s5.iff', '0.678975', '0.466034', '-0.0442396', '-0.565552', '-7371.67', '424.213', '7567.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546336', '0', 'object/static/structure/general/shared_prp_junk_s4.iff', '0.456975', '0.805962', '0.327341', '-0.1856', '-7376.04', '426.986', '7571.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546338', '0', 'object/static/structure/general/shared_prp_junk_s7.iff', '0.227978', '0', '0', '0.973666', '-7371.6', '426.66', '7550.34', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546339', '0', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_01.iff', '-0.0517186', '-0.357876', '-0.0252667', '0.931993', '-6152.98', '4.59374', '-3387.2', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546340', '0', 'object/static/structure/corellia/shared_corl_tent_small.iff', '0', '0.394019', '0', '0.919102', '-6153.1', '4.59191', '-3386.94', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546341', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '-6166.15', '5.7007', '-3388.63', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546342', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '-6150.9', '5.20803', '-3374.56', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546343', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '-6153.53', '4.50853', '-3390.46', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546344', '0', 'object/static/structure/tatooine/shared_concrete_slab_tatooine_16x8.iff', '0', '0', '0', '1', '-1419.42', '77.2821', '1982.59', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546345', '0', 'object/static/structure/corellia/shared_corl_tent_small.iff', '0', '0.0199987', '0', '0.9998', '-1421.14', '85.4017', '1985.63', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '4546346', '0', 'object/tangible/furniture/all/shared_frn_all_chair_metal_s1.iff', '0', '0', '0', '1', '-1421.2', '85.2283', '1985.9', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4655376', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.727998', '0', '0.685579', '-3457.28', '75.7793', '3383.72', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4655377', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.727998', '0', '0.685579', '-3441.61', '75.7793', '3382.82', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4655378', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.727998', '0', '0.685579', '-3436.16', '75.4765', '3423.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4655379', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.727998', '0', '0.685579', '-3451.82', '75.5087', '3424.4', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4705376', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '1', '0', '3.20013e-08', '-5541.75', '23.4', '-6211.15', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4705377', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0', '0', '1', '-5541.71', '23.4', '-6208.69', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4725529', '0', 'object/static/structure/general/shared_camp_tent_s01.iff', '0', '0', '0', '1', '-4739.71', '28.624', '-1517.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4725530', '0', 'object/static/structure/general/shared_camp_tent_s01.iff', '0', '0.816314', '0', '0.577609', '-4743.07', '28.6016', '-1509.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4725532', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0', '0', '1', '-4738.62', '28.7115', '-1512.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4725534', '0', 'object/static/structure/general/shared_camp_lawn_chair_s01.iff', '0', '-0.461779', '0', '0.886995', '-4736.85', '28.6743', '-1513.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4725535', '0', 'object/static/structure/general/shared_camp_lawn_chair_s01.iff', '0', '0.49688', '0', '0.867819', '-4739.84', '28.5114', '-1513.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '4725536', '0', 'object/static/structure/general/shared_camp_lawn_chair_s01.iff', '0', '0.962641', '0', '0.27078', '-4739.34', '28.5765', '-1511.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5075490', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0', '0', '1', '-5537.96', '20.9936', '-6184.17', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '5075491', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0', '0', '1', '-5537.82', '20.9512', '-6173.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '5075527', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.869899', '0', '0.49323', '-3368.2', '83', '3138.21', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '5075528', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.891206', '0', '0.453598', '-3396.57', '83', '3097.18', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '5075529', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.501553', '0', '0.865127', '-3372.3', '84', '3131.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '5075559', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.0795177', '0', '0.996833', '-3781.51', '86.0531', '3215.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5075560', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.104808', '0', '0.994492', '-3781.09', '86', '3217.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5075561', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.312011', '0', '0.950078', '-3777.18', '86', '3215.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5075562', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '-0.0672503', '0', '0.997736', '-3785.21', '86', '3217.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5316176', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '-0.382683', '0', '0.92388', '3225.01', '300.3', '5371.07', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '5316177', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.92388', '0', '0.382683', '3194.05', '300.3', '5402.23', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '5316178', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.92388', '0', '-0.382683', '3225.08', '300.3', '5402.29', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '5316179', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.382683', '0', '0.92388', '3194.06', '300.3', '5371.04', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '5405903', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0.342898', '-0.000273051', '0.939372', '0.000748027', '-114.764', '33.8503', '-4328.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5405982', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0.382645', '-0.00543535', '0.923786', '-0.0131221', '-62.995', '33.9451', '-4259.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5405996', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0.999958', '-0.00920356', '93.9845', '33.9606', '-4399.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406001', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0.0455735', '0.932598', '-0.0211607', '-0.357403', '-3312.62', '69.4348', '2883.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406005', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0.116426', '0.926554', '-0.0445953', '-0.354902', '-3276.59', '52.3428', '2846.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406006', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.93384', '0', '-0.357693', '-3227.72', '30.2297', '2798.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406015', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0.999942', '0.0107962', '-183.991', '33.9451', '-4509.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406016', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '1', '-0.000796377', '-174.681', '33.9451', '-4523.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406018', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0', '0', '0', '1', '3160.01', '294.324', '4989.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406022', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0', '0', '0.999958', '-0.00920345', '-3134.8', '35.5537', '2789.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406023', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '1', '0', '-3.20013e-08', '3148.13', '292.506', '4997.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406036', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.707106', '0', '0.707107', '88.021', '28', '-4537.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406042', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0.4992', '0.00459433', '0.866439', '-0.00797417', '-3059.8', '35.6169', '2821.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406045', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '1', '0', '-3.20013e-08', '3171.51', '292.435', '4997.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406048', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0', '0', '1', '-0.000796489', '3142.91', '295.945', '4980.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406050', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '1', '-0.000796397', '6714.14', '333.849', '-5866.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406053', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0.504944', '-0.50096', '-0.499032', '0.495012', '123.967', '31.7947', '-4534.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406059', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0.628897', '0.339967', '0.607928', '0.345449', '3187.68', '297.241', '4964.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406062', '0', 'object/static/structure/general/shared_streetlamp_medium_blue_style_02.iff', '0', '0', '0', '1', '6717.46', '330', '-5919.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406065', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '-0.653022', '0.653542', '-0.27049', '0.270706', '125.96', '31.8896', '-4487.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406067', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0', '0', '0.999983', '-0.00579639', '3183.92', '298.031', '5045.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406069', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '0.707106', '0', '0.707107', '3211.55', '290', '5007.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406072', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '0.707106', '0', '0.707107', '3211.88', '290', '4976.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406073', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '0.707106', '0', '0.707107', '3212.89', '290', '5027.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406074', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '1', '-0.000796366', '-39.0263', '33.9134', '-4503.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406078', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0', '0', '0.990794', '-0.135379', '3183.57', '300.519', '5074.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406079', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0.656281', '0.26935', '0.27184', '-0.650268', '-3358.87', '90.1492', '2939.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406090', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '-0.0843126', '0.0752223', '0.0502252', '0.992326', '3089.01', '282.528', '5004.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406111', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0.844794', '0.0262381', '0.532826', '-0.0416005', '-3361.66', '91.9554', '3149.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406122', '0', 'object/static/structure/general/shared_streetlamp_medium_blue_style_02.iff', '0', '1', '0', '3.20013e-08', '6709.09', '330', '-5963.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406131', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0.845803', '-0.00309233', '0.533463', '0.0049031', '-3281.76', '91.9452', '3115.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406132', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '6671.42', '330', '-5903.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406139', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0.00500013', '0.999987', '6642.39', '329.974', '-5881.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406143', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.909132', '0', '0.41651', '-3177', '101', '3132.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406148', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0', '0', '1', '-0.000796383', '3175.97', '307.969', '5101.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406154', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0.707095', '0.00409861', '0.707095', '0.00409861', '-130.639', '33.9135', '-4534.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406155', '0', 'object/static/structure/general/shared_streetlamp_large_green_style_02.iff', '0', '0.309816', '0', '0.950796', '-3360.87', '88.7647', '3203.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406161', '0', 'object/static/structure/general/shared_streetlamp_large_green_style_02.iff', '0', '0.179029', '0', '0.983844', '-3376.57', '88.7833', '3210.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406165', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0.7071', '-0.0029724', '0.707101', '-0.00297242', '-271.836', '33.8502', '-4611.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406173', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0.00999984', '7.9639e-06', '0.99995', '-0.000796364', '-3385.33', '91.9452', '3298.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406176', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '6745.26', '315', '-5824.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406212', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0', '0.0199987', '0', '0.9998', '-3426.94', '76.3718', '3353.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406221', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0.707095', '0.00409864', '0.707095', '0.00409863', '-273.841', '33.9451', '-4532.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406224', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0', '0', '0', '1', '-3398.03', '76.3777', '3351.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406257', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '1', '0', '-0.000365086', '-3451.98', '78', '3423.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406284', '0', 'object/static/structure/general/shared_streetlamp_large_red_style_01.iff', '0', '0.976976', '0', '-0.213347', '-3498.06', '70', '3249.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406286', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0.706365', '0.0323716', '0.706365', '0.0323716', '-236.045', '33.9446', '-4508.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406289', '0', 'object/static/structure/general/shared_streetlamp_large_red_style_01.iff', '0', '-0.250018', '0', '0.968241', '-3538.44', '70', '3222.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406290', '0', 'object/static/structure/general/shared_streetlamp_large_red_style_01.iff', '0', '-0.269332', '0', '0.963047', '-3550.41', '70', '3216.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406312', '0', 'object/static/structure/general/shared_streetlamp_large_red_style_01.iff', '0', '0.770992', '0', '0.636843', '-3581.33', '70', '3206.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406366', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '-0.230934', '0.00483446', '0.972945', '-0.00488469', '-3599.9', '91.9452', '3179.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406391', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0.707035', '0.0100432', '0.707036', '0.0100431', '-169.247', '33.9135', '-4415.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406402', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '-0.254856', '0.000202949', '0.966979', '-0.000770119', '-3602.28', '91.9768', '3150.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406407', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0.707106', '0.000563109', '0.707107', '0.000563112', '-252.108', '33.9451', '-4415.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406413', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0.7071', '0.0029724', '0.707101', '0.0029724', '-286.234', '33.9451', '-4413.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406457', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0.514131', '0.00216122', '0.857701', '0.00360546', '-3572.59', '91.9452', '3166.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406508', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0.764573', '-0.0037359', '0.644512', '-0.00443176', '76.1641', '33.8502', '-4644.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406522', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '-0.220863', '0', '0.975305', '3114.73', '300.593', '5249.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406526', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.92388', '0', '-0.382683', '90.2334', '28', '-4654.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406527', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '-0.206209', '0', '0.978508', '3140.75', '300.601', '5261.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406535', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0.923864', '0.0053551', '0.382677', '0.00221814', '105.59', '33.9496', '-4669.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406556', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0.923879', '0.000735687', '0.382683', '0.000304745', '135.405', '33.9489', '-4690.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406571', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0.923879', '0.000736', '0.382683', '0.000305', '162.608', '33.9451', '-4700.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406589', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '-0.331215', '0.331478', '0.624419', '-0.624916', '-3663.52', '90.3008', '3063.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406608', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '7.32593e-08', '-0.15438', '-1.1447e-08', '0.988012', '3174.19', '302.374', '5221.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406618', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.382683', '0', '0.92388', '110.029', '28', '-4463.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406619', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '-0.164252', '0', '0.986418', '3164.94', '302.371', '5249.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406626', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '6714.26', '314.607', '-5598.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406628', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '6700.03', '314.938', '-5598.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406639', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '6719.06', '314.981', '-5558.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406653', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.707106', '0', '0.707107', '-302.111', '28', '-4181.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406655', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '-0.326562', '-0.00463902', '0.945069', '0.0134248', '-3194.94', '35.5853', '2809.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406662', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.707106', '0', '0.707107', '-297.986', '28', '-4204.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406664', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '-0.70328', '0', '0', '0.710913', '6707.17', '322.464', '-5540.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406667', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.382683', '0', '0.92388', '-414.928', '28', '-4237.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406669', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.92388', '0', '-0.382683', '-412.493', '28', '-4244.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406673', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0.965092', '8.38143e-09', '-0.261909', '-3.08842e-08', '3178.56', '305.948', '5302.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406677', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.92388', '0', '0.382683', '-484.816', '28', '-4262.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406688', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0.923879', '0.000736', '0.382683', '0.000305', '-563.382', '33.9411', '-4240.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406689', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '-0.283747', '0', '0.958899', '-3430.05', '80.3401', '3216.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406702', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '-0.283747', '0', '0.958899', '-3454.28', '80.3718', '3201.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406703', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.707107', '0', '-0.707107', '-593.032', '27.969', '-4327.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406706', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '6732.65', '315', '-5682.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406712', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '1.15513e-07', '0.000563438', '0.999999', '-0.000563257', '-536.501', '33.9451', '-4626.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406716', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.92388', '0', '-0.382683', '-570.954', '28', '-4604.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406719', '0', 'object/static/structure/general/shared_streetlamp_medium_blue_style_02.iff', '0', '0.92388', '0', '0.382683', '6751.56', '315.229', '-5510.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406720', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.382683', '0', '0.92388', '-584.916', '28', '-4618.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406722', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '-543.004', '28', '-4590.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406724', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0.653281', '-0.270598', '0.270598', '0.653281', '3306.61', '306.784', '5376.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406725', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0.999999', '0.000563257', '-1.68979e-07', '0.000563438', '-504.023', '33.9135', '-4698.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406731', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0.999999', '0.000563257', '-1.68979e-07', '0.000563438', '-524.034', '33.9451', '-4678.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406732', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0.338767', '0.252631', '0.844116', '0.329973', '3225.3', '311.226', '5371.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406733', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '0.247404', '0', '0.968912', '-3684.16', '86', '3100.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406736', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.841471', '0', '0.540302', '6817.05', '330', '-5433.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406738', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '0.247404', '0', '0.968912', '-3660.98', '86', '3087.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406775', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0.999999', '0.000563', '0', '0.000563', '-523.937', '33.9451', '-4666.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406776', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '-0.139543', '0', '0.990216', '6911.19', '330', '-5527.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406779', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0.999999', '0.000563', '0', '0.000563', '-504.046', '33.9451', '-4647.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406783', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.109778', '0', '0.993956', '6925.07', '330', '-5553.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406789', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.941719', '0', '-0.336402', '-3410.67', '86', '3011.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406790', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0.923879', '0.000735595', '0.382683', '0.000304693', '-441.936', '33.9432', '-4745.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406794', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0.999999', '0.000563', '0', '0.000563', '-417.986', '33.9451', '-4666.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406808', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0.999999', '0.000563', '0', '0.000563', '-379.999', '33.9841', '-4643.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406811', '0', 'object/static/structure/general/shared_streetlamp_medium_blue_style_01.iff', '0', '0.854921', '0', '0.518759', '6976.66', '330', '-5589.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406814', '0', 'object/static/structure/general/shared_streetlamp_medium_blue_style_01.iff', '0', '0.636844', '0', '0.770993', '6975.41', '330', '-5556.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406815', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0', '1', '-0.000796431', '-3093.44', '36.4707', '2968.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406817', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0.999999', '0.000563', '0', '0.000563', '-347.415', '33.9451', '-4703.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406819', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0.999999', '0.000563', '0', '0.000563', '-310.032', '33.9135', '-4682.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406822', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0', '1', '-0.000796', '-3175.13', '36.4391', '2970.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406827', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0.699504', '-0.122545', '-0.123678', '-0.693095', '-3118.98', '34.7631', '3006.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406828', '0', 'object/static/structure/general/shared_streetlamp_medium_blue_style_02.iff', '0', '-0.629102', '0', '0.777323', '6908.8', '330.98', '-5584', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406829', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0.692737', '-0.140537', '-0.140425', '-0.693287', '-3089.22', '34.7631', '2996.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406830', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.285952', '0', '0.958244', '6897.71', '330', '-5605.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406832', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '-0.353553', '-0.146447', '0.853553', '0.353553', '3225.05', '311.494', '5402.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406834', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '6841.74', '315', '-5548.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406835', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.707107', '0', '0.707107', '6847.72', '315', '-5565.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406836', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0.999999', '0.000563', '0', '0.000563', '-301.567', '33.9451', '-4783.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406838', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0.844918', '0.14283', '0.408206', '-0.314772', '3194.11', '311.449', '5402.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406850', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '-0.479423', '0', '0.877584', '-3698.84', '86', '3086.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406851', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '-0.483805', '0', '0.875176', '-3706.45', '86', '3071.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406853', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0', '0', '1', '-437.6', '28', '-4146.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406854', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0', '0', '1', '-309.399', '28', '-4145.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406855', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.382683', '0', '0.92388', '-229.611', '28.4059', '-4060.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406856', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '-0.382683', '0', '0.92388', '-185.049', '27.9527', '-4060.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406857', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0.831034', '0.139577', '-0.34839', '0.410518', '3194.11', '311.352', '5371.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406858', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '-0.707107', '0', '0.707107', '-164.195', '28', '-4094.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406859', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '6825.03', '315', '-5703.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406860', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '58.1596', '28', '-4238.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406861', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '28.9409', '28', '-4238.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406862', '0', 'object/static/structure/general/shared_streetlamp_medium_blue_style_01.iff', '0', '0.707106', '0', '0.707107', '6882.5', '315', '-5690.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406863', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.382683', '0', '0.92388', '3279.2', '300', '5454.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406864', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.382683', '0', '0.92388', '3307.85', '307.967', '5482.66', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406865', '0', 'object/static/structure/general/shared_streetlamp_medium_blue_style_01.iff', '0', '0', '0', '1', '6868.68', '315', '-5765.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406871', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '6853.06', '315', '-5704.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406906', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0.502295', '-0.497694', '0.502296', '-0.497694', '80.0391', '31.3204', '-4457.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406916', '0', 'object/static/structure/general/shared_streetlamp_medium_blue_style_02.iff', '0', '0.707107', '0', '0.707107', '6791.05', '315', '-5695.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406921', '0', 'object/static/structure/general/shared_streetlamp_medium_blue_style_01.iff', '0', '0.707107', '0', '0.707107', '6884.71', '330.361', '-5429.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406935', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '-0.670882', '0', '0.741564', '-3436.25', '78.1177', '3273.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406953', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.883413', '0', '-0.468594', '-3711.68', '86', '3158.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406958', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.708733', '0', '-0.705479', '6812.78', '312.184', '-5770.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406960', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.707106', '0', '0.707107', '6812.81', '315', '-5770.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406962', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.813647', '0', '-0.581359', '-3738.33', '86.0531', '3232.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406966', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '3298.85', '309.297', '5503.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406971', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0.970137', '7.57236e-09', '-0.242556', '-3.02867e-08', '3322.22', '318.212', '5519.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406983', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0.502295', '-0.497694', '0.502296', '-0.497694', '72.1167', '32.2374', '-4600.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406985', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '2.10186e-05', '-0.00499987', '0.999979', '0.00420125', '6692.17', '334.065', '-5882.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406989', '0', 'object/static/structure/general/shared_streetlamp_medium_green_style_01.iff', '0', '0', '0', '1', '3291.78', '312.111', '5572.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5406992', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.92388', '0', '-0.382683', '158.897', '28', '-4624.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5407012', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.92388', '0', '-0.382683', '-249.311', '28', '-4666.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5407014', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.923879', '0', '0.382684', '-267.445', '28', '-4659.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5407022', '0', 'object/static/structure/general/shared_streetlamp_large_red_style_01.iff', '0', '-0.707106', '0', '0.707107', '3341.89', '308', '5668.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5407026', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_02.iff', '0', '0.382683', '0', '0.92388', '3333.88', '324', '5725.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5407027', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_02.iff', '0', '0', '0', '1', '3326.4', '324', '5718.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5407029', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.92388', '0', '0.382683', '-260.324', '28', '-4744.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5407030', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0.978031', '6.67099e-09', '-0.20846', '-3.12983e-08', '3351.31', '313.945', '5519.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5407031', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.92388', '0', '-0.382683', '-349.602', '28', '-4588.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5407033', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0.975897', '6.98363e-09', '-0.21823', '-3.123e-08', '3335.8', '313.882', '5485.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5407034', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.92388', '0', '0.382683', '-310.704', '28', '-4588.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5407035', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0', '0', '1', '3368.67', '311.194', '5459.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5407036', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.92388', '0', '-0.382683', '-297.413', '28', '-4517.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5407037', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '-0.382683', '0', '0.92388', '-297.39', '28', '-4472.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5407038', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.92388', '0', '0.382683', '-308.574', '28', '-4435.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5407039', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.382683', '0', '0.92388', '-308.355', '28', '-4404.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5407040', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0', '0', '1', '3391.33', '311.162', '5501.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5407041', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.92388', '0', '0.382683', '-247.843', '28', '-4286.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5407042', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.92388', '0', '-0.382683', '-292.41', '28', '-4286.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5407044', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0', '0', '1', '3263.97', '300', '5428.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5407045', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '-0.382683', '0', '0.92388', '-278.095', '28', '-4167.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5407046', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '-0.707107', '0', '0.707107', '-278.01', '28', '-4192.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5407047', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.382683', '0', '0.92388', '-251.668', '28', '-4234.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5407049', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.382683', '0', '0.92388', '-90.7957', '28', '-4243.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5475493', '0', 'object/static/item/shared_item_tool_instrument_calibrator.iff', '0', '0.505877', '0', '0.862606', '-5665.18', '14.6', '-6173.59', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '5475494', '0', 'object/static/item/shared_item_tool_radio.iff', '0', '0.434966', '0', '0.900447', '-5665.08', '16.1495', '-6174.2', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '5475495', '0', 'object/static/item/shared_item_tool_droid_toolkit.iff', '0', '0', '0', '1', '-5664.98', '14.6', '-6175.35', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '5475496', '0', 'object/tangible/furniture/all/shared_frn_all_toolchest_lg_s01.iff', '0', '0.707107', '0', '0.707107', '-5665.21', '14.5051', '-6174.51', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '5475497', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0', '0', '1', '-5664.54', '14.6', '-6169.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5475499', '0', 'object/static/item/shared_item_kitchen_pot_style_01.iff', '0', '0', '0', '1', '-5664.44', '14.6', '-6174.55', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '5475500', '0', 'object/static/item/shared_item_kitchen_pot_style_02.iff', '0', '0', '0', '1', '-5664.18', '14.6', '-6174.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '5475501', '0', 'object/static/item/shared_item_kitchen_pot_style_03.iff', '0', '0', '0', '1', '-5663.97', '14.6', '-6174.73', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '5475502', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0', '0.710353', '0.703845', '-5662.16', '14.7265', '-6170.05', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '5475503', '0', 'object/static/item/shared_item_container_organic_structure.iff', '0', '0', '0', '1', '-5662.18', '14.6', '-6170.59', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '5475504', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0.261909', '0', '0', '0.965092', '-5662.87', '14.6', '-6170.53', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '5475505', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.659539', '0.186088', '0.711628', '-0.154808', '-1700.28', '368.696', '6876.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5475509', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '0', '0', '1', '339.832', '-1.79459', '-2978.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '5475510', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '0', '0', '1', '339.89', '-1.6712', '-2984.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '5475511', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '0', '0', '1', '365.568', '-4.45708', '-2984.81', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '5475512', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '0', '0', '1', '365.505', '-4.42504', '-2980.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '5475513', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '0', '0', '1', '382.802', '-5.20061', '-2984.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '5475514', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '0', '0', '1', '382.803', '-5.2393', '-2980.18', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '5475515', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '0', '0', '1', '398.695', '-5.16864', '-2984.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '5475516', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '0', '0', '1', '398.697', '-5.1896', '-2980.18', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '5475517', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '0', '0', '1', '421', '0.704446', '-2974', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '5475518', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '0', '0', '1', '421', '0.74534', '-2972', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '5475519', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '0', '0', '1', '421', '0.844833', '-2970', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '5475520', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '0', '0', '1', '424', '1.34015', '-2974', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '5475521', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '0', '0', '1', '424', '1.40443', '-2972', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '5475522', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '0', '0', '1', '424', '1.36537', '-2970', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '5475524', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '426.995', '1.83399', '-2971.14', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '5475525', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '426.959', '1.7853', '-2972.71', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '5475526', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '427.025', '1.75058', '-2974.4', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '5475527', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '428.26', '1.93111', '-2974.65', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '5475528', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '428.285', '1.96971', '-2973.31', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '5475529', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '428.249', '1.99895', '-2971.98', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '5475530', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '428.069', '2.00981', '-2970.46', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '5475531', '0', 'object/static/structure/corellia/shared_corl_tent_med.iff', '0', '0', '0', '1', '-138.108', '3.10186', '-1962.32', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '5475532', '0', 'object/tangible/furniture/all/shared_frn_all_toolchest_med_s01.iff', '0', '0.674288', '0', '0.738469', '159.95', '19.2115', '1720.93', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '5475561', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s03.iff', '0', '0', '0', '1', '-3611.15', '20.9638', '-366.837', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '5475563', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.707106', '0', '0.707107', '-3624.23', '21.9456', '-358.161', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '5475564', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0', '0', '1', '-3624.14', '21.8704', '-366.239', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '5515363', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0', '0', '1', '-42.5681', '28', '-4270.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5515379', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0', '0', '1', '30.3485', '28', '-4307.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5515384', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0', '0', '1', '30.3434', '28', '-4325.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5515387', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0', '0', '1', '30.3465', '28', '-4344.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5515402', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.382683', '0', '0.92388', '-148.085', '28', '-4424.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5515403', '0', 'object/static/structure/general/shared_streetlamp_medium_blue_style_01.iff', '0', '-0.382683', '0', '0.92388', '-5274.95', '21', '-2472.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5515405', '0', 'object/static/structure/general/shared_streetlamp_medium_blue_style_01.iff', '0', '0.382683', '0', '0.92388', '-5297.33', '21', '-2447.59', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5515406', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.382683', '0', '0.92388', '-245.69', '28', '-4476.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5515408', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '-0.707106', '0', '0.707107', '-156.321', '28', '-4475.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5515411', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0.707095', '-0.0040986', '0.707095', '-0.0040986', '-209.968', '36.4433', '-4530.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5515412', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '-5333.54', '21', '-2458.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5515413', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '-5334.82', '21', '-2446.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5515426', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0', '-0.183946', '0.982936', '3155.97', '300.406', '5148.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5515427', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0', '0', '1', '3139.89', '300.411', '5148.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5515431', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '-0.27049', '0.270706', '0.653021', '-0.653542', '-5288.94', '21.4111', '-2429.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5515432', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0.499801', '0.500199', '0.499801', '0.500199', '-275.558', '34.7309', '-4702.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5515434', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0', '0', '1', '-378.278', '28', '-4565.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5535352', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0', '0', '1', '-437.869', '28', '-4577.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5535353', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0.382667', '-0.00352199', '0.92384', '-0.00850288', '-405.018', '33.9451', '-4434.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5535354', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '-0.0600078', '-0.0600556', '0.704273', '0.704834', '-5313.07', '21.3478', '-2423.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5535355', '0', 'object/static/structure/general/shared_streetlamp_medium_blue_style_01.iff', '0', '0.382683', '0', '0.92388', '-5301.76', '21', '-2376.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5535356', '0', 'object/static/structure/general/shared_streetlamp_medium_blue_style_01.iff', '0', '0.92388', '0', '0.382683', '-5282.12', '21', '-2352.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5535359', '0', 'object/static/structure/general/shared_streetlamp_medium_blue_style_01.iff', '0', '0.382683', '0', '0.92388', '-5249.34', '21', '-2332.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5535360', '0', 'object/static/structure/general/shared_streetlamp_medium_blue_style_01.iff', '0', '0.92388', '0', '0.382683', '-5267.22', '21', '-2412.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5535361', '0', 'object/static/structure/general/shared_streetlamp_large_blue_style_01.iff', '0', '-0.382683', '0', '0.92388', '-5217.24', '21', '-2419.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5535362', '0', 'object/static/structure/general/shared_streetlamp_large_blue_style_01.iff', '0', '-0.382683', '0', '0.92388', '-5194.21', '21', '-2355.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5535363', '0', 'object/static/structure/general/shared_streetlamp_large_blue_style_01.iff', '0', '0.92388', '0', '0.382683', '-5232.16', '21', '-2381.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5535366', '0', 'object/static/structure/general/shared_streetlamp_medium_blue_style_01.iff', '0', '0.707106', '0', '0.707107', '-5315.67', '21', '-2392.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5535369', '0', 'object/static/structure/general/shared_streetlamp_medium_blue_style_01.iff', '0', '0.92388', '0', '-0.382683', '-5203.77', '21', '-2322.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5535371', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0.653021', '-0.270706', '0.27049', '0.653542', '-5245.94', '21.4743', '-2300.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5535372', '0', 'object/static/structure/general/shared_streetlamp_medium_blue_style_01.iff', '0', '0.92388', '0', '0.382683', '-5269.66', '21', '-2316.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5535374', '0', 'object/static/structure/general/shared_streetlamp_medium_blue_style_01.iff', '0', '0.956014', '0', '0.293321', '-5224', '21', '-2274.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5535375', '0', 'object/static/structure/general/shared_streetlamp_medium_blue_style_01.iff', '0', '-0.0848977', '0', '0.99639', '-5190.19', '21', '-2256.34', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5535376', '0', 'object/static/structure/general/shared_streetlamp_medium_blue_style_01.iff', '0', '0.92388', '0', '0.382683', '-5193.48', '21', '-2291.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5535377', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_02.iff', '0', '0', '0', '1', '-5208.15', '21', '-2286.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5535378', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.707106', '0', '0.707107', '-5541.76', '24.9149', '-6209.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5535398', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '0.382683', '0', '0.92388', '-5150.48', '21', '-2444.21', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '5535406', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.382683', '0', '0.92388', '-5073.6', '21', '-2440.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5535407', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.382683', '0', '0.92388', '-5085.68', '21', '-2452.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5535411', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '-0.382683', '-0.000304737', '0.923879', '0.000735699', '-5095.85', '26.9134', '-2429.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5535413', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0.382667', '0.00352203', '0.92384', '0.00850293', '-5063.28', '26.9134', '-2462.34', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5535417', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '-0.382683', '0.000304765', '0.923879', '-0.000735707', '-5092.38', '26.9134', '-2347.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5535424', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.382683', '0', '0.92388', '-5055.74', '21', '-2310.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5535439', '0', 'object/static/structure/general/shared_streetlamp_medium_blue_style_02.iff', '0', '-0.382683', '0', '0.92388', '-5030.35', '21', '-2291.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5535447', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.92388', '0', '0.382683', '-4992.65', '21', '-2433.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5535450', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0.382645', '0.00543531', '0.923786', '0.013122', '-4941.41', '26.8818', '-2434.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5535454', '0', 'object/static/structure/general/shared_streetlamp_large_blue_style_01.iff', '0', '0.382683', '0', '0.92388', '-4984.38', '21', '-2327.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5535462', '0', 'object/static/structure/general/shared_streetlamp_large_blue_style_01.iff', '0', '-0.382683', '0', '0.92388', '-5046.62', '21', '-2516.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5535463', '0', 'object/static/structure/general/shared_streetlamp_large_blue_style_01.iff', '0', '0.707106', '0', '0.707108', '-5078', '21', '-2534.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5535471', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.382683', '0', '0.92388', '-5194.23', '21', '-2427.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5535472', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.382683', '0', '0.92388', '-5200.18', '21', '-2438.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5535473', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0.382683', '0.000304773', '0.923879', '0.00073579', '-5209.69', '26.0596', '-2444.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5535475', '0', 'object/static/structure/general/shared_streetlamp_medium_blue_style_02.iff', '0', '0.92388', '0', '0.382683', '-5198.84', '21', '-2484.52', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5535481', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '0.92388', '0', '-0.382683', '-5166.88', '21.917', '-2540.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5535486', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.537693', '0', '0.843141', '-5284.67', '21', '-2563.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5535489', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.529235', '0', '0.848475', '-5290.22', '21', '-2552.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5535493', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.973048', '0', '0.230604', '-5289.57', '29.2335', '-2573.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5535494', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.975305', '0', '0.220862', '-5301.05', '29.2335', '-2550.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5535498', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0.382683', '0.000304721', '0.923879', '0.000735738', '-5248.92', '26.0912', '-2483.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5535499', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.707106', '0', '0.707107', '-5343', '21', '-2474.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5535500', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.92388', '0', '0.382683', '-5337.66', '21', '-2427.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5535501', '0', 'object/static/structure/general/shared_streetlamp_medium_blue_style_01.iff', '0', '0.92388', '0', '0.382683', '-5266.97', '21', '-2391.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5535502', '0', 'object/static/structure/general/shared_streetlamp_medium_blue_style_01.iff', '0', '0.92388', '0', '0.382683', '-5179.79', '21', '-2313.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5535503', '0', 'object/static/structure/general/shared_streetlamp_large_blue_style_01.iff', '0', '0.92388', '0', '-0.382683', '-5102.79', '21', '-2534.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5535520', '0', 'object/static/structure/corellia/shared_corl_tent_large.iff', '0', '0.0349929', '0', '0.999388', '-3131.94', '31', '2973.54', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '5535522', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0.173346', '0.295855', '-0.474884', '0.810497', '-3126.91', '31.3608', '2974.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5535523', '0', 'object/static/structure/general/shared_prp_junk_s7.iff', '0.524365', '0.474385', '0.474385', '-0.524365', '-3126.71', '34.6532', '2972.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5535524', '0', 'object/static/structure/general/shared_prp_junk_s7.iff', '-0.482197', '0.51719', '0.517191', '0.482197', '-3137.66', '34.8467', '2972.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5535525', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0.526057', '0.813692', '-0.151118', '0.195785', '-3127.46', '31.3162', '2969.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5535526', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '-0.295357', '0.476376', '0.436388', '0.703844', '-3137.09', '31.2364', '2975.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5535527', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0.0267628', '0.0175527', '0.483998', '0.874483', '-3137.52', '31.1918', '2970', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5535528', '0', 'object/static/structure/general/shared_prp_engine_component.iff', '0.461891', '0.447345', '0.70658', '-0.295438', '-3130.4', '31.3538', '2969.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5535529', '0', 'object/static/structure/general/shared_prp_engine.iff', '0', '-0.276356', '0', '0.961055', '-3130.12', '31', '2970.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5535530', '0', 'object/static/structure/general/shared_prp_engine.iff', '0', '0.430458', '0', '0.902611', '-3131.36', '31', '2969.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5535531', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0.816314', '0', '-0.577609', '-3132.01', '31', '2970.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5535532', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0.509841', '0', '0.860269', '-3134.05', '31', '2971.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5535534', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.328769', '0', '0.94441', '-3133.56', '31', '2969.9', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '5535535', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.969944', '0', '0.243329', '-3135.09', '31', '2970.57', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '5585436', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.29074', '0', '0.956802', '3346.81', '308.67', '5487.91', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '5585437', '0', 'object/static/item/shared_item_container_installation.iff', '0', '0', '0', '1', '3346.77', '308', '5487.88', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '5585438', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0.92388', '0', '-0.382683', '3290.34', '308', '5571.29', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '5585440', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '-0.382683', '0', '0.92388', '3290.25', '308', '5574.41', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '5585442', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0', '0', '1', '3291.87', '308', '5576.28', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '5585444', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '1', '0', '-3.20013e-08', '3291.74', '308', '5569.5', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '5585446', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0.707106', '0', '0.707107', '3295.34', '308', '5572.97', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '5585448', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '-0.707106', '0', '0.707107', '3288.28', '308', '5572.88', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '5585466', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0.92388', '0', '-0.382683', '3200.44', '300', '5321.18', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '5585470', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0.707107', '0', '-0.707107', '3203.19', '300', '5318.41', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '5585472', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0.707107', '0', '-0.707107', '3203.51', '300', '5314.26', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '5585474', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '-0.707106', '0', '0.707107', '3202.07', '300', '5316.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5585475', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0.92388', '0', '-0.382683', '3201.37', '300', '5320.27', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '5585478', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '-0.503547', '0', '0.863968', '3390.05', '308.6', '5472.48', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '5585480', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '-0.503547', '0', '0.863968', '3390.77', '308.6', '5473.59', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '5585482', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '-0.503547', '0', '0.863968', '3391.56', '308.6', '5474.93', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '5585490', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.707106', '0', '0.707107', '3188.09', '290', '4975.01', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '5585505', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0.707106', '0', '0.707107', '3187.87', '290', '4985.13', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '5585507', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0.707107', '0', '-0.707107', '3199.96', '290', '4974.96', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '5585509', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '-0.707106', '0', '0.707107', '3200.14', '290', '4985.09', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '5585511', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '1', '0', '-3.20013e-08', '3173.87', '290', '4996.48', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '5585513', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '1', '0', '-3.20013e-08', '3175.94', '290', '4996.48', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '5585534', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '1', '0', '-3.20013e-08', '3088.63', '280', '5013.17', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '5585535', '0', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '1', '0', '-3.20013e-08', '3091.38', '279.999', '5013', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '5585561', '0', 'object/static/structure/corellia/shared_corl_tent_small.iff', '-0.0135312', '0.382329', '0.0326533', '0.92335', '3258.32', '300.345', '5418.66', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '5585563', '0', 'object/static/item/shared_item_briefcase.iff', '0', '0', '0', '1', '3257.74', '300', '5419.33', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '5585564', '0', 'object/tangible/furniture/all/shared_frn_all_table_s03.iff', '0', '0', '0', '1', '3256.2', '300', '5416.44', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '5585565', '0', 'object/static/item/shared_item_document.iff', '0', '0', '0', '1', '3256.17', '300.759', '5416.49', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '5585566', '0', 'object/static/item/shared_item_document.iff', '0', '-0.232843', '0', '0.972514', '3256.07', '300.759', '5416.25', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '5585567', '0', 'object/static/item/shared_item_document.iff', '0', '0', '0', '1', '3256.38', '300.759', '5416.65', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '5585568', '0', 'object/static/item/shared_item_diagnostic_screen.iff', '0', '0', '0', '1', '3256.05', '300.75', '5416.89', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '5625462', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.92388', '0', '0.382683', '-5122.03', '21.3', '-2368.35', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '5625463', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.92388', '0', '-0.382683', '-5091.08', '21.3', '-2368.28', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '5625464', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '-0.382683', '0', '0.92388', '-5090.96', '21.3', '-2399.55', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '5625465', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.382683', '0', '0.92388', '-5121.96', '21.3', '-2399.7', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '5625467', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0', '0', '1', '-55.5209', '28.6', '-4621.3', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '5625468', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.707106', '0', '0.707107', '-77.5906', '28.6', '-4599.34', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '5625469', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '1', '0', '-3.20013e-08', '-55.3434', '28.6', '-4577.31', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '5625470', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '-0.707106', '0', '0.707107', '-33.5961', '28.6', '-4599.37', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '5645367', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.92388', '0', '0.382683', '-4949.3', '20.9018', '-2538.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5645368', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.92388', '0', '0.382683', '-5023.62', '21', '-2612.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5645369', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.92388', '0', '0.382683', '-5060.95', '21', '-2621.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5645371', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '-0.382683', '0', '0.92388', '-4983.8', '21', '-2531.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5645373', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.382683', '0', '0.92388', '-5078.58', '21', '-2605.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5645376', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.92388', '0', '-0.382683', '-5146.23', '21', '-2550.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5645377', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.92388', '0', '-0.382683', '-5180.22', '21', '-2516.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5645378', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0', '0', '1', '-5162.69', '21', '-2653.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5645379', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0', '0', '1', '-5201.39', '20.9953', '-2651', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5645380', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.193767', '0', '0.981048', '-5237.75', '20.9964', '-2637.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5645382', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0.792549', '0.00462637', '-0.60978', '-0.00348921', '-5330.32', '26.0912', '-2521.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5645385', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.382683', '0', '0.92388', '-5114.91', '21', '-2264.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5645386', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '-0.382683', '0', '0.92388', '-5093.37', '21', '-2278.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5645387', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '-0.382683', '0', '0.92388', '-5078.92', '21', '-2262.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5645392', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.92388', '0', '0.382683', '-5149.09', '21', '-2437.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5645397', '0', 'object/static/structure/general/shared_streetlamp_large_blue_style_01.iff', '0', '-0.382683', '0', '0.92388', '-5185.52', '21', '-2346.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5645398', '0', 'object/static/structure/general/shared_streetlamp_large_blue_style_01.iff', '0', '-0.382683', '0', '0.92388', '-5153.76', '21', '-2315', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5645410', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.846243', '0', '-0.532797', '-5395.57', '21.025', '-2614.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5645411', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.538365', '0', '0.842712', '-5398.49', '20.8799', '-2607.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5645416', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.707106', '0', '0.707107', '-5403.16', '21', '-2663.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5645417', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.707106', '0', '0.707107', '-5395.15', '21', '-2693.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5645418', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.707106', '0', '0.707107', '-5416.59', '21', '-2686.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5645420', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '0.34759', '0', '0.937647', '-5421.47', '23.4715', '-2722.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5645422', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '-5389.95', '20.9997', '-2745.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5645424', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '-5445.52', '21', '-2710.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5645425', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '-5478.57', '21', '-2708.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5645427', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '-0.707106', '0', '0.707107', '-5431.44', '21.6324', '-2676.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5645428', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '-5435.15', '21', '-2710.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5645429', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '-5402.02', '21', '-2709.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5705352', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '-5466.74', '23.4665', '-2724.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5705353', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '-5459.61', '23.4665', '-2724.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5705357', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '-5491.55', '23.4814', '-2667.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5705358', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '-5491.56', '23.4263', '-2690.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5705360', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '0.707107', '0', '0.707107', '-5500.84', '21', '-2721.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5705361', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '0', '0', '1', '-5499.9', '21', '-2747.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5705362', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '-0.512161', '0', '0.858889', '-5404.96', '20.9767', '-2771.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5705364', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '-0.441885', '0', '0.897072', '-5433.54', '21', '-2777.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5705365', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '-5463.21', '21', '-2761.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5705366', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '-0.0848977', '0', '0.99639', '-5461.33', '21', '-2793.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5705371', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '-5481.63', '21', '-2795.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5705372', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '-5522.72', '21', '-2795.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5705389', '0', 'object/static/structure/general/shared_poi_nboo_corral_half_32x32_s03.iff', '0', '0.92388', '0', '-0.382683', '4248.13', '25.1436', '-156.194', '175', '1');
INSERT INTO `staticobjects` VALUES ('0', '5705390', '0', 'object/static/structure/tatooine/shared_guild_ball_free_style_01.iff', '0', '-0.382683', '0', '0.92388', '4250.31', '21.0137', '-154.151', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '5705391', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0', '0', '0', '1', '4249.69', '26.3375', '-154.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5705392', '0', 'object/static/structure/general/shared_planter_generic_style_1.iff', '0', '0', '0', '1', '4248.28', '24.0648', '-151.962', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '5705393', '0', 'object/static/structure/general/shared_planter_generic_style_1.iff', '0', '1', '0', '3.20013e-08', '4252.15', '24.4719', '-156.161', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '5705396', '0', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s3.iff', '0', '0', '0', '1', '4242.65', '24.4351', '-150.29', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '5705397', '0', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s3.iff', '0', '0', '0', '1', '4241.41', '24.2705', '-151.515', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '5705398', '0', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s3.iff', '0', '0', '0', '1', '4239.87', '24.2062', '-152.942', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '5705399', '0', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s3.iff', '0', '0', '0', '1', '4238.51', '24.2061', '-154.339', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '5705400', '0', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s3.iff', '0', '0', '0', '1', '4254.3', '25.177', '-161.483', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '5705401', '0', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s3.iff', '0', '0', '0', '1', '4252.89', '24.9912', '-162.916', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '5705402', '0', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s3.iff', '0', '0', '0', '1', '4251.42', '24.8994', '-164.329', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '5705403', '0', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s3.iff', '0', '0', '0', '1', '4250.11', '24.715', '-165.683', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '5705410', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.382683', '0', '0.92388', '4236.7', '24.4022', '-154.884', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5705411', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.382683', '0', '0.92388', '4249.47', '24.5409', '-167.272', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5765352', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '1', '0', '0', '0.000796352', '-5463.98', '26.9302', '-2822.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5765353', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '1', '0', '0', '-0.000796502', '-5463.98', '26.9323', '-2838.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5765354', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '-5480', '26.5628', '-2974', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5765355', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '-5456.08', '27.605', '-2973.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5765356', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0.999991', '0', '0', '0.00420359', '-5466.03', '32.5822', '-2969.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5765357', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '-5470', '23.5797', '-2927', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5765358', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '-5458', '24.0867', '-2927', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5765359', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '-5470', '23.1098', '-2879', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5765360', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '-5458', '23.3023', '-2879', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5765361', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.707107', '0', '0.707107', '-5535.89', '21', '-2785.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5765362', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '-5535.72', '21', '-2839.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5765363', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '-5552.76', '21', '-2839.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5765364', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '1', '0', '0', '0.000796315', '-5570.04', '26.912', '-2840.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5765365', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.707107', '0', '0.707107', '-5564.24', '21', '-2785.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5765366', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '1', '-0.00079642', '-5591.83', '26.1916', '-2813.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5765369', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '-5544.99', '21', '-2737.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5765370', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0.999983', '-0.00579633', '-5571.76', '24.5885', '-2736.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5765371', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0.703279', '0.710914', '-5562', '23.7827', '-2770.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5765372', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '-5521.27', '21', '-2697.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5765373', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.707107', '0', '0.707107', '-5538.94', '21', '-2679.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5765374', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '-5545.7', '21', '-2708.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5765375', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '-5559.5', '21', '-2709.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5765376', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.707106', '0', '0.707107', '-5560.89', '21', '-2690.59', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5765377', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '-0.707106', '0', '0.707107', '-5574.25', '21', '-2690.52', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5765378', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '-0.707106', '0', '0.707107', '-5598.01', '21', '-2679.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5765379', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '-5661.56', '21.2204', '-2802.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5765380', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '1', '0', '0', '-0.000796252', '-5665.02', '25.0966', '-2786.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5765381', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '-0.707106', '0', '0.707107', '-5631.53', '21.0063', '-2818.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5765382', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0.0494374', '0.0494768', '0.705094', '0.705656', '-5618.53', '24.6366', '-2751.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5765383', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '1', '0', '0', '-0.000796437', '-5629.67', '24.605', '-2721.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '5765384', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '-0.707106', '0', '0.707107', '-5628.59', '21', '-2705.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '6025355', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '1', '0', '-3.20013e-08', '-5638.96', '21', '-2656.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '6025356', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '-0.707106', '0', '0.707107', '-5612.49', '21', '-2688.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '6025357', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '1', '0', '0', '-0.000796466', '-5664.93', '25.1109', '-2747.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '6025358', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.707107', '0', '0.707107', '-5656.88', '21', '-2705.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '6025359', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.707107', '0', '0.707107', '-5657.57', '21', '-2685.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '6025360', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.707107', '0', '0.707107', '-5690.75', '21.2443', '-2744.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '6025362', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '-5557.75', '21.5692', '-2646', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '6025363', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '-5557.8', '21.5692', '-2609.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '6025364', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '0.382683', '0', '0.92388', '-5565.67', '21', '-2635.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '6025365', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '0.92388', '0', '0.382683', '-5566.03', '21', '-2619.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '6025367', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '-5570.61', '21', '-2561.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '6025368', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '-5563.56', '21', '-2561.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '6025369', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '-0.707107', '0', '0.707107', '-5583.92', '21', '-2572.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '6025370', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.707107', '0', '0.707106', '-5550.48', '21', '-2572.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '6025371', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '-5527.8', '21.9487', '-2600.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '6025372', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '-5505.52', '21.9803', '-2600.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '6025378', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '-5462.56', '21', '-2592.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '6025379', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '-0.707107', '0', '0.707107', '-5467.01', '21', '-2624.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '6025380', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '-5442.35', '21', '-2577.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '6025381', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '-5475.08', '21', '-2577.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '6025382', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '0', '0', '1', '-5430.04', '21', '-2658.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '6025383', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '-0.707107', '0', '0.707107', '-5520.63', '21', '-2758.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '6025384', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '-5421.52', '21', '-2594.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '6025416', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '-0.29074', '0', '0.956802', '-3594.25', '85.8735', '3116.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '6025425', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '-5203.86', '4.71173', '-6352.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035457', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '-0.707105', '0', '0.707108', '-5567.64', '15.9684', '-6052.5', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035458', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '-5567.81', '16', '-6055.12', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035459', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.144492', '0', '0.989506', '-5567.86', '16', '-6054.38', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035462', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '-5536.92', '15.6865', '-6064.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035472', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '-0.5', '0.5', '0.5', '0.5', '-5563.91', '19.6659', '-6052.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035506', '0', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '-0.552199', '0', '0.833712', '-3265.9', '86', '3089.47', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035507', '0', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '-0.552198', '0', '0.833713', '-3252.32', '86', '3120.66', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035508', '0', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '-0.276356', '0', '0.961055', '-3430.5', '78', '3217.14', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035509', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.0299955', '0', '0.99955', '-3116.57', '31', '2968.41', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035510', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '-0.0199987', '0', '0.9998', '-3120.25', '31', '2968.44', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035511', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.029995', '0', '0.99955', '-3146.52', '31', '2969.5', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035512', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '-0.019999', '0', '0.9998', '-3150.2', '31', '2969.54', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035513', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '-0.677972', '0', '0.735087', '-3150.7', '31.0127', '2784.51', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035514', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.713864', '0', '-0.700285', '-3150.81', '31.009', '2780.84', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035515', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.993303', '0', '0.115538', '-3790.4', '86', '3178.91', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035516', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.786425', '0', '0.617686', '-3776.64', '86', '3192.88', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035517', '0', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '0.994043', '0', '0.108987', '-3808.55', '86', '3175.1', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035518', '0', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '0.783327', '0', '0.62161', '-3772.88', '86', '3210.95', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035519', '0', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '0', '0', '1', '-3126.55', '31', '2789.24', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035520', '0', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '0.974971', '0', '0.22233', '-3470.92', '78', '3046.44', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035521', '0', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '-0.20846', '0', '0.978031', '-3501.23', '78', '3127.87', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035534', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0', '0', '1', '3077.05', '300', '5247.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035541', '0', 'object/building/corellia/shared_filler_block_corellia_32x16_s01.iff', '0', '0.20846', '0', '0.978031', '-108.079', '28', '-4821.44', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035545', '0', 'object/building/corellia/shared_filler_building_corellia_style_05.iff', '0', '0.923879', '0', '-0.382684', '74.5579', '28', '-4696.55', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035546', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '0.382683', '0', '0.92388', '90.9777', '28', '-4719.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035547', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s01.iff', '0', '0.285952', '0', '0.958244', '-104.181', '28', '-4664.64', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035548', '0', 'object/building/corellia/shared_filler_block_corellia_32x16_s01.iff', '0', '0', '0', '1', '-226.623', '28', '-4703.44', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035556', '0', 'object/tangible/instrument/shared_nalargon.iff', '0', '0', '0', '1', '-178.211', '28', '-4740.29', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035557', '0', 'object/tangible/microphone/shared_microphone.iff', '0', '0', '0', '1', '-174.895', '28', '-4738.52', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035558', '0', 'object/tangible/instrument/shared_ommni_box.iff', '0', '0', '0', '1', '-171.445', '28', '-4740.58', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035560', '0', 'object/tangible/speaker/shared_speaker.iff', '0', '0.382683', '0', '0.92388', '-168.327', '28', '-4738.57', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035561', '0', 'object/tangible/speaker/shared_speaker.iff', '0', '-0.382683', '0', '0.92388', '-181.58', '28', '-4738.41', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035566', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '-0.655615', '0', '0.755095', '-132.457', '28', '-4707.73', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035568', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_2.iff', '0', '0.0948572', '0', '0.995491', '-125.84', '28', '-4699.97', '256', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035569', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_2.iff', '0', '0.0799146', '0', '0.996802', '-131.771', '28', '-4747.76', '256', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035570', '0', 'object/static/structure/corellia/shared_corl_fountain_rectangle_s01.iff', '0', '0', '0', '1', '-175', '28', '-4709', '96', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035571', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.707106', '0', '0.707107', '-179', '28', '-4709', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035572', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0', '0', '1', '-175', '28', '-4704', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035573', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.707106', '0', '0.707107', '-171', '28', '-4709', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035574', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '1', '0', '-3.20013e-08', '-175', '28', '-4714', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035575', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.707106', '0', '0.707107', '-171.014', '28', '-4705.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035577', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.707107', '0', '-0.707107', '-178.987', '28', '-4704.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035579', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '-0.651834', '0', '0.758362', '-133.815', '28', '-4717.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035580', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '-0.651835', '0', '0.758361', '-135.303', '28', '-4728.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035586', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_02.iff', '0', '0', '0', '1', '-168.106', '28', '-4742.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035597', '0', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '0.989446', '0', '-0.144901', '-170.41', '28', '-4690.01', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035598', '0', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '0.481652', '0', '0.876362', '-170.702', '28', '-4691.48', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035599', '0', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '0.972674', '0', '-0.232177', '-171.267', '28', '-4690.77', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035600', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0', '0', '1', '-175', '26.57', '-4688', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035601', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.707105', '0', '0.707108', '-191', '26.57', '-4696', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035602', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.707105', '0', '0.707108', '-159', '26.57', '-4696', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035603', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '-191', '28', '-4704', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035604', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '-159', '28', '-4704', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035605', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '-159', '28', '-4688', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035606', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '-191', '28', '-4688', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035607', '0', 'object/tangible/crafting/station/shared_public_food_station.iff', '0', '1', '0', '4.10541e-07', '-163.58', '28', '-4690.33', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035609', '0', 'object/tangible/crafting/station/shared_public_weapon_station.iff', '0', '0.707106', '0', '0.707107', '-189', '28', '-4693', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035611', '0', 'object/tangible/crafting/station/shared_public_clothing_station.iff', '0', '-0.707106', '0', '0.707107', '-185', '28', '-4690', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035612', '0', 'object/tangible/crafting/station/shared_public_structure_station.iff', '0', '-0.707106', '0', '0.707107', '-161', '28', '-4694', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035616', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '0', '0', '1', '-162.523', '28', '-4755.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035617', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '0.257081', '0', '0.96639', '-166.895', '28', '-4755.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035619', '0', 'object/building/general/shared_corellia_afarathu_cave.iff', '0', '0.824886', '0', '0.5653', '-2523.39', '28.3908', '2927.16', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035620', '6035619', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035621', '6035619', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035622', '6035619', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8075612', '6035622', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0.0335797', '0.997577', '-0.0268483', '-0.054701', '8.7589', '-40.6761', '-57.9788', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035623', '6035619', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035624', '6035619', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8075613', '6035624', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0.0846898', '0.00593799', '0.0895541', '0.992357', '-4.21118', '-46.3935', '-152.362', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035625', '6035619', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035626', '6035619', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8075614', '6035626', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0.0549721', '0', '0.998488', '-18.9594', '-62.2306', '-263.28', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035627', '6035619', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035628', '6035619', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8075615', '6035628', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0.95657', '0', '-0.291502', '-9.05101', '-69.1607', '-91.858', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035629', '6035619', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '4305488', '6035629', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_imperial_destroy_02.iff', '0.0499792', '0', '0.0399394', '0.997951', '-21.6823', '-80.4725', '-154.507', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035630', '6035619', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8075616', '6035630', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0', '0', '1', '-90.8353', '-101.007', '-101.458', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035918', '0', 'object/building/corellia/shared_filler_slum_16x32_s02.iff', '0', '0.85492', '0', '-0.51876', '1349.31', '31', '-305.643', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035930', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '0.854921', '0', '-0.518758', '1330.36', '31', '-323.393', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035931', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '-0.237703', '0', '0.971338', '1322.98', '30.9237', '-309.201', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035932', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '-0.237703', '0', '0.971338', '1337.17', '31', '-301.812', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035933', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '-0.237703', '0', '0.971338', '1351.36', '31', '-294.424', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035934', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.237703', '0', '0.971338', '1358.46', '31', '-290.73', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035935', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '-0.237703', '0', '0.971338', '1365.55', '31', '-287.035', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035936', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '0.854921', '0', '-0.518758', '1372.94', '31', '-301.228', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035937', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '-0.237703', '0', '0.971338', '1380.33', '31', '-315.42', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035938', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '-0.237703', '0', '0.971338', '1337.75', '31', '-337.588', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035939', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '-0.237703', '0', '0.971338', '1341.45', '31', '-344.682', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035940', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '-0.237703', '0', '0.971338', '1383.56', '31', '-321.63', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035941', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.854921', '0', '-0.518758', '1387.26', '31', '-328.727', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035942', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '-0.237703', '0', '0.971338', '1391.41', '31', '-336.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035943', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '-0.237703', '0', '0.971338', '1363.03', '31', '-351.487', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035944', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.85492', '0', '-0.51876', '1345.15', '31', '-351.777', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035945', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '-0.237703', '0', '0.971338', '1348.84', '31.048', '-358.875', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035946', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.237703', '0', '0.971338', '1355.93', '31', '-355.181', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035947', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.237703', '0', '0.971338', '1384.32', '31', '-340.405', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035948', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '-0.237703', '0', '0.971338', '1377.22', '31', '-344.099', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035949', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.237703', '0', '0.971338', '1370.13', '31', '-347.793', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035952', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '-0.242556', '0', '0.970137', '1354.63', '31.1395', '-315.878', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035955', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0', '0', '1', '1353.08', '30.5978', '-317.244', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035956', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '-0.382683', '0', '0.92388', '1356.62', '30.5851', '-315.449', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035959', '0', 'object/static/structure/tatooine/shared_streetsign_wall_style_01.iff', '-0.195413', '0.14048', '0.679569', '-0.693012', '1355.04', '32.6745', '-316.478', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035960', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '-0.184654', '-0.682571', '0.682571', '-0.184654', '1355.6', '33.9818', '-316.144', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035961', '0', 'object/static/item/shared_wp_mle_sword_lightsaber_leather.iff', '0', '0.852108', '0', '-0.523366', '1355.45', '34.0042', '-316.228', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035962', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '-0.242556', '0', '0.970137', '1355.32', '27.4767', '-317.271', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035963', '0', 'object/static/item/shared_wp_mle_sword_lightsaber_mace.iff', '0.0352769', '-0.203611', '0.00223102', '0.978414', '1355.39', '35.1425', '-316.114', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035964', '0', 'object/static/item/shared_wp_mle_sword_lightsaber_sleekblack.iff', '-0.154312', '0.154312', '0.690064', '-0.690064', '1355.1', '32.2474', '-316.596', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035965', '0', 'object/static/item/shared_wp_mle_sword_lightsaber_sleeksilver.iff', '0', '-0.257081', '0', '0.96639', '1354.51', '35.1426', '-316.655', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035966', '0', 'object/static/item/shared_wp_mle_sword_lightsaber_andael.iff', '0', '-0.183947', '0', '0.982936', '1354.53', '34.0042', '-316.713', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035967', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '-0.147403', '-0.691572', '0.691572', '-0.147403', '1354.37', '35.0964', '-316.714', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035968', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '-0.150309', '-0.690947', '0.690947', '-0.150309', '1355.07', '32.4205', '-316.56', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035969', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0.160656', '0.688614', '-0.688614', '0.160656', '1354.36', '34.0006', '-316.781', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035970', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0.160656', '0.688614', '-0.688614', '0.160656', '1355.55', '35.1196', '-316.053', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035988', '0', 'object/static/item/shared_wp_mle_sword_lightsaber_dugald.iff', '-0.168081', '0.168081', '0.68684', '-0.68684', '1354.89', '32.025', '-317.705', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035989', '0', 'object/static/item/shared_wp_mle_sword_lightsaber_nebu.iff', '-0.164645', '0.164645', '0.687671', '-0.687671', '1355.48', '31.9982', '-317.345', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035990', '0', 'object/static/item/shared_wp_mle_sword_lightsaber_sleeksilver.iff', '-0.161204', '0.161204', '0.688486', '-0.688486', '1356.06', '31.9944', '-317.034', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035991', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.966594', '0', '0.256311', '1354.71', '31.988', '-317.447', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035992', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.973848', '0', '0.227202', '1355.9', '31.971', '-316.783', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035993', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.969109', '0', '0.246632', '1355.32', '31.9946', '-317.093', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035994', '0', 'object/building/general/shared_corellia_nyax_bunker.iff', '0', '-0.237703', '0', '0.971338', '1365.83', '31', '-339.801', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035995', '6035994', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035996', '6035994', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035997', '6035994', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035998', '6035994', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '6036023', '6035998', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0', '0', '1', '-3.73333', '-3.25', '5.94876', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035999', '6035994', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '6036000', '6035994', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '6036001', '6035994', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '6036026', '6036001', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0.361615', '0', '0.932327', '-5.416', '-13.7499', '6.75482', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6036002', '6035994', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '4305478', '6036002', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_rebel_assassination_02.iff', '0', '1', '0', '-3.20013e-08', '-6.03112', '-13.7584', '15.061', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6036003', '6035994', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '6036004', '6035994', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '6036035', '6036004', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0.305059', '0', '0.952334', '10.5606', '-11.5', '-21.8896', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6036036', '6036004', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '10.1724', '-11.5', '-21.1999', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '6036037', '6036004', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '10.2058', '-11.5', '-20.8219', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '6036038', '6036004', 'object/static/item/shared_item_container_energy_solid.iff', '0', '0', '0', '1', '10.8973', '-11.5', '-20.8129', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '6036005', '0', 'object/static/structure/corellia/shared_corl_power_connector.iff', '0', '0.970137', '0', '0.242557', '1357.87', '31.191', '-347.798', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '6036008', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '0.973848', '0', '0.227202', '1353.61', '30.8871', '-350.69', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '6036009', '0', 'object/static/item/shared_item_container_energy_gas.iff', '0', '0.526943', '0', '0.8499', '1360.31', '31', '-343.095', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '6036010', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '1359.75', '31', '-341.661', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '6036011', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '1359.84', '31', '-342.015', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '6036012', '0', 'object/static/item/shared_item_container_energy_solid.iff', '0', '0', '0', '1', '1359.28', '31', '-342.55', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '6036013', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s02.iff', '0', '-0.232843', '0', '0.972514', '1375.55', '30.8512', '-340.096', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '6036014', '0', 'object/static/item/shared_item_container_installation.iff', '0', '-0.242556', '0', '0.970137', '1371.8', '31', '-336.679', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '6036015', '0', 'object/static/item/shared_item_container_electronics.iff', '0', '0', '0', '1', '1373.66', '31', '-337.412', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '6036087', '0', 'object/building/military/shared_military_rebel_forward_outpost.iff', '0', '0.999526', '0', '-0.030791', '4112.33', '24.0448', '-1252.19', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '6036088', '6036087', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '6036089', '6036087', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '6036090', '6036087', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '6036091', '6036087', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '6036092', '6036087', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '6036093', '6036087', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '6036094', '0', 'object/static/installation/shared_mockup_power_generator_solar_style_1.iff', '0', '0.044985', '0', '0.998988', '4115.34', '30.2272', '-1249.27', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '6036095', '0', 'object/static/creature/shared_droids_r5.iff', '0', '0.908634', '0', '0.417595', '4100.7', '24.3893', '-1257.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '6036096', '0', 'object/static/item/shared_item_tool_tools.iff', '0', '-0.29552', '0', '0.955337', '4101.14', '25.2747', '-1251.99', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '6036097', '0', 'object/static/item/shared_item_tool_turbine_generator.iff', '0', '0.945784', '0', '-0.324796', '4100.7', '24.3893', '-1259.11', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '6036098', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.994409', '0', '-0.105599', '4101.12', '24.3893', '-1263.16', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '6036099', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.466208', '0', '0.884675', '4101.01', '24.3893', '-1267.44', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '6036100', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.005', '0', '0.999987', '4100.24', '24.3893', '-1267.85', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '6036101', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.20846', '0', '0.978031', '4100.72', '24.3893', '-1268.32', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '6036102', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '1', '0', '0', '4101.72', '24.3893', '-1251.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '6036103', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.159318', '0', '0.987227', '4100.95', '24.3893', '-1250.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '6036104', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '4101.9', '24.3893', '-1250.3', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '6036105', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.678263', '0', '0.734819', '4101.1', '24.3893', '-1251.95', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '6036106', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.792805', '0', '0.609475', '4100.63', '24.3893', '-1250.89', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '6036107', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_2.iff', '0', '0', '0', '1', '4109.13', '24', '-1248.21', '256', '1');
INSERT INTO `staticobjects` VALUES ('0', '6036108', '0', 'object/static/vehicle/shared_player_shuttle.iff', '0', '0.999574', '0', '0.0292', '4096.71', '24.3893', '-1259.01', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '6036109', '0', 'object/static/particle/shared_pt_poi_electricity_2x2.iff', '0', '0', '0', '1', '4098.58', '27.654', '-1254.76', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '6036110', '0', 'object/static/structure/general/shared_landing_pad_shuttle.iff', '0', '0.024997', '0', '0.999688', '4097.04', '23.8804', '-1258.95', '256', '1');
INSERT INTO `staticobjects` VALUES ('0', '6036111', '0', 'object/static/particle/shared_pt_smoke.iff', '0', '0', '0', '1', '4098.43', '28.9637', '-1254.22', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '6205366', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '-4961.13', '21', '-2402.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '6205367', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '-4968.42', '21', '-2428.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '6205369', '0', 'object/static/structure/general/shared_streetlamp_large_blue_style_01.iff', '0', '0.92388', '0', '0.382683', '-5173.61', '21', '-2482.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '6205373', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0.656281', '-0.26935', '0.27184', '0.650268', '-5288.62', '21.5692', '-2333.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '6205376', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0', '0.382683', '0', '0.92388', '-5156.33', '25.9356', '-2269.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '6205377', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0', '0.382683', '0', '0.92388', '-5137.94', '25.9331', '-2287.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '6205379', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '-5464.73', '21', '-2657.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '6205380', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '6838.41', '315', '-5766.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '6205381', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '6838.28', '315', '-5801.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '6205382', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '6853.47', '317.466', '-5778.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '6205383', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '6853.55', '317.467', '-5789.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '6205384', '0', 'object/static/structure/general/shared_streetlamp_medium_blue_style_01.iff', '0', '0', '0', '1', '6881.06', '315', '-5738.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '6205385', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '6843.15', '332.439', '-5441.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '6205386', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '6862.63', '332.487', '-5447.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '6475969', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0.382683', '0', '0.92388', '-5050.27', '21', '-2297.22', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6475971', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '-0.382683', '0', '0.92388', '-5051.65', '21', '-2297.3', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6475973', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0.92388', '0', '-0.382683', '-5035.99', '21', '-2339.39', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6475975', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0.92388', '0', '-0.382683', '-5035.15', '21', '-2340.28', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6475977', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0.92388', '0', '-0.382683', '-5033.68', '21', '-2341.81', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6475979', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0.92388', '0', '-0.382683', '-5032.46', '21', '-2343.04', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6475991', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0.92388', '0', '0.382683', '-5086.72', '21', '-2406.95', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6475993', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0.92388', '0', '0.382683', '-5083.27', '21', '-2403.57', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6475995', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0.92388', '0', '0.382683', '-5084.43', '21', '-2404.77', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6475997', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0.92388', '0', '0.382683', '-5085.54', '21', '-2405.86', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476012', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.707106', '0', '0.707107', '-5054.94', '21', '-2316.69', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476013', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '1', '0', '4.10541e-07', '-5062.95', '21', '-2361.77', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476014', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '0', '0', '1', '-5073.78', '21', '-2361.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476015', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s01.iff', '0', '0.707106', '0', '0.707107', '-5055', '21', '-2355.04', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476016', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '1', '0', '2.41953e-07', '-5055.03', '21', '-2361.76', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476020', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.92388', '0', '0.382683', '-5055.4', '21', '-2304.64', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476021', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.92388', '0', '0.382683', '-5058.23', '21', '-2307.47', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476022', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.92388', '0', '0.382683', '-5052.57', '21', '-2301.81', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476023', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.382683', '0', '0.92388', '-5049.95', '21', '-2310.28', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476024', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.382683', '0', '0.92388', '-5047.12', '21', '-2307.46', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476025', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.382683', '0', '0.92388', '-5052.78', '21', '-2313.11', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476027', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0.0149378', '-0.000398883', '0.999887', '0.00152471', '-5052.83', '25.4186', '-2307.66', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476028', '0', 'object/static/structure/corellia/shared_corl_imprv_flagpole_s01.iff', '0', '0.382683', '0', '0.92388', '-5052.87', '25.4186', '-2307.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476029', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '-0.382683', '0', '0.92388', '-5052.84', '18.5364', '-2307.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476031', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.382683', '0', '0.92388', '-5049.93', '21', '-2304.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476033', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0.826633', '0', '0.562742', '-5194.88', '21', '-2564.37', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476035', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0.7382', '0', '0.674582', '-5194.45', '21', '-2559.74', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476037', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.79886', '0', '0.601517', '-5195.3', '21', '-2565.98', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476039', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.724562', '0', '0.68921', '-5194.3', '21', '-2558.26', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476041', '0', 'object/tangible/terminal/shared_terminal_mission_bounty.iff', '0', '-0.382683', '0', '0.92388', '-5125.32', '21', '-2359.97', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476043', '0', 'object/tangible/terminal/shared_terminal_mission_bounty.iff', '0', '-0.382684', '0', '0.923879', '-5130.52', '21', '-2365.14', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476047', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.92388', '0', '-0.382683', '-5128.32', '21', '-2404.95', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476049', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.92388', '0', '-0.382683', '-5127.27', '21', '-2405.95', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476051', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0.92388', '0', '-0.382683', '-5129.64', '21', '-2403.52', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476053', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0.92388', '0', '-0.382683', '-5126.09', '21', '-2407.02', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476067', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0.751543', '0', '0.659684', '-5194.54', '21', '-2562.97', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476069', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0.721106', '0', '0.692824', '-5194.34', '21', '-2561.51', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476072', '0', 'object/static/item/shared_item_briefcase.iff', '0', '-0.380188', '0', '0.924909', '-5193.64', '21', '-2544.56', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476073', '0', 'object/static/item/shared_item_camera.iff', '0', '0.707106', '0', '0.707107', '-5193.31', '21', '-2544.61', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476074', '0', 'object/static/item/shared_item_data_disk.iff', '0', '-0.702605', '0', '0.71158', '-5192.16', '21.7589', '-2547.18', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476075', '0', 'object/static/item/shared_item_data_disk.iff', '0', '0.656359', '0', '0.754448', '-5192.36', '21.7589', '-2547.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476076', '0', 'object/static/item/shared_item_data_disk.iff', '0', '0.92713', '0', '0.37474', '-5192.21', '21.7589', '-2547.03', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476077', '0', 'object/static/item/shared_item_data_disk.iff', '0', '0.0761031', '0', '0.9971', '-5192.15', '21.7589', '-2547.3', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476078', '0', 'object/static/item/shared_item_data_disk.iff', '0', '0', '0', '1', '-5191.93', '21.7589', '-2547.09', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476080', '0', 'object/tangible/furniture/all/shared_frn_all_table_s03.iff', '0', '0', '0', '1', '-5192.33', '21', '-2547.35', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476081', '0', 'object/static/item/shared_item_data_disk.iff', '0', '0.923697', '0', '-0.383123', '-5192.5', '21.7589', '-2546.99', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476082', '0', 'object/static/item/shared_item_datapad_s1.iff', '0', '0', '0', '1', '-5192.37', '21.75', '-2547.48', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476083', '0', 'object/static/item/shared_item_data_disk.iff', '0', '-0.0835095', '0', '0.996507', '-5193.11', '21', '-2546.62', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476084', '0', 'object/static/item/shared_item_data_disk.iff', '0', '-0.348128', '0', '0.937447', '-5192.54', '21', '-2546.48', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476085', '0', 'object/static/item/shared_item_document.iff', '0', '0.17903', '0', '0.983844', '-5193.73', '21', '-2546.24', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476086', '0', 'object/static/item/shared_item_document.iff', '0', '0', '0', '1', '-5193.63', '21', '-2546.55', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476087', '0', 'object/static/item/shared_item_document.iff', '0', '-0.370921', '0', '0.928665', '-5194.07', '21', '-2546.04', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476088', '0', 'object/static/item/shared_item_document.iff', '0', '-0.370921', '0', '0.928664', '-5194.06', '21', '-2545.82', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476089', '0', 'object/static/item/shared_item_document.iff', '0', '0', '-0.144492', '0.989506', '-5192.69', '21.755', '-2547.46', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476095', '0', 'object/tangible/terminal/shared_terminal_mission_bounty.iff', '0', '1', '0', '0', '-5422.16', '21', '-2697.39', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476102', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '-0.707106', '0', '0.707107', '-5449.65', '21', '-2670.34', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476104', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '-0.707106', '0', '0.707107', '-5449.65', '21', '-2672.34', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476106', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0.707107', '0', '-0.707107', '-5449.71', '21', '-2666.03', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476108', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '-0.707106', '0', '0.707107', '-5449.71', '21', '-2668.03', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476110', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0', '0', '1', '-5449.64', '21', '-2709.38', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476112', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0', '0', '1', '-5451.28', '21', '-2709.36', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476114', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0', '0', '1', '-5446.19', '21', '-2709.32', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476116', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0', '0', '1', '-5447.87', '21', '-2709.31', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476118', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0', '0', '1', '-5430', '21', '-2709.9', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476120', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0', '0', '1', '-5432', '21', '-2709.9', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476122', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '1', '0', '-3.20013e-08', '-5441.1', '21', '-2673.65', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476124', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '1', '0', '-3.20013e-08', '-5439.87', '21', '-2673.66', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476126', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0', '0', '1', '-5434', '21', '-2709.9', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476134', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0', '0', '1', '-5578.82', '21.5719', '-2599.56', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476136', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0', '0', '1', '-5580.06', '21.5719', '-2599.56', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476138', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '1', '0', '0', '-5580.41', '21.5938', '-2656.21', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476140', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '1', '0', '0', '-5579.17', '21.5938', '-2656.22', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476142', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0.707106', '0', '0.707107', '-5568.64', '21.5692', '-2628.09', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476144', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0.707106', '0', '0.707107', '-5568.64', '21.5692', '-2626.86', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476154', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '-0.648035', '0', '0.76161', '-133.385', '28', '-4714.34', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476156', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '-0.652136', '0', '0.758102', '-135.871', '28', '-4731.87', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476162', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '-0.652136', '0', '0.758102', '-136.761', '28', '-4736.64', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476164', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '-0.707106', '0', '0.707107', '22.3322', '30.4515', '-4449.34', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476166', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '-0.707106', '0', '0.707107', '22.219', '30.6197', '-4431.29', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476168', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '-0.707106', '0', '0.707107', '-370.588', '28', '-4529', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476170', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '-0.707106', '0', '0.707107', '-370.588', '28', '-4527', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476172', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '1', '0', '-3.20013e-08', '-357.904', '28', '-4539.12', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476174', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '1', '0', '-3.20013e-08', '-359.904', '28', '-4539.12', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476176', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0', '0', '1', '-330.539', '28', '-4444.09', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476178', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0', '0', '1', '-328.539', '28', '-4444.09', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476180', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0.707106', '0', '0.707107', '-227.311', '28', '-4374.4', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476182', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0.707106', '0', '0.707107', '-227.147', '28', '-4405.39', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476184', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '-0.707107', '0', '0.707107', '-192.681', '28', '-4403.35', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476186', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '-0.707106', '0', '0.707107', '-192.706', '28', '-4376.75', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476188', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '-0.361615', '0', '0.932327', '-487.836', '28.9263', '-4665.05', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476190', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0.926499', '0', '-0.376297', '-487.81', '28.9803', '-4681.13', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476192', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '1', '0', '-3.20013e-08', '-228.622', '28', '-4343.82', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476194', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '1', '0', '-3.20013e-08', '-226.969', '28', '-4344.27', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476196', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '1', '0', '-3.20013e-08', '-230.762', '28', '-4344.06', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476198', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '1', '0', '-7.41481e-08', '-190.97', '28', '-4344.09', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476200', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '1', '0', '-7.41481e-08', '-193.041', '28', '-4344.46', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476202', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '1', '0', '-7.41481e-08', '-189.018', '28', '-4344.27', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476204', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '-0.707106', '0', '0.707108', '-236.701', '28.5779', '-4155.45', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476206', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '-0.707106', '0', '0.707107', '-236.701', '28.5779', '-4157.45', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476208', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '-0.707106', '0', '0.707107', '-236.701', '28.5779', '-4159.45', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476210', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0.707107', '0', '0.707107', '-180.522', '28.591', '-4165.03', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476212', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0.707108', '0', '0.707105', '-180.522', '28.591', '-4167.03', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476214', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0.707108', '0', '0.707105', '-180.522', '28.591', '-4169.03', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476217', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0.827702', '0', '-0.561168', '-3268.08', '86.9383', '3101.14', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476219', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0.932039', '0', '-0.362358', '-3266.68', '86.9527', '3098.52', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476221', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0.8772', '0', '-0.480124', '-3267.31', '86.9427', '3099.74', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476223', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '-0.203567', '0', '0.979061', '-3262.28', '86.9837', '3114.37', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476225', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0', '0', '1', '-3259.32', '86.9546', '3115.05', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476227', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '-0.0699428', '0', '0.997551', '-3260.89', '86.8743', '3114.67', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476229', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '-0.601516', '0', '0.798861', '-3431.01', '80.4709', '3200.49', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476231', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0.0799147', '0', '0.996802', '-3439.91', '80.4982', '3195.27', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476233', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '1', '0', '-3.20013e-08', '-3427.94', '74', '3351.47', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476235', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0.999888', '0', '-0.0149995', '-3396.46', '74', '3350.12', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476237', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0.247404', '0', '0.968912', '-3659.95', '86', '3086.75', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476239', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0.259688', '0', '0.965693', '-3685.46', '86', '3100.95', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476241', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0.247404', '0', '0.968912', '-3658.34', '86', '3085.67', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476243', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0.259688', '0', '0.965693', '-3687.3', '86', '3101.72', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476247', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0.854921', '0', '0.518759', '-3685.75', '88.4701', '3092.44', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476249', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '-0.518759', '0', '0.85492', '-3666.12', '88.4986', '3081.67', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476252', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '-0.640691', '0', '0.767799', '6915.26', '330', '-5603.18', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476256', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '-0.640691', '0', '0.767799', '6914.97', '330', '-5604.54', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476258', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '-0.632981', '0', '0.774167', '6923', '330', '-5565.6', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476260', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '-0.63298', '0', '0.774168', '6923.34', '330', '-5564.07', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476262', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0', '0', '1', '6693.25', '315', '-5595.3', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476264', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0', '0', '1', '6691.35', '315', '-5595.74', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476266', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0', '0', '1', '6689.33', '315', '-5595.36', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476268', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0', '0', '1', '6721.04', '315', '-5595.29', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476270', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0', '0', '1', '6722.66', '314.999', '-5595.58', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476272', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0', '0', '1', '6724.75', '314.995', '-5595.3', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476274', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0.934943', '0', '0.354799', '6699.85', '317.272', '-5545.7', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476276', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0.936705', '0', '-0.350121', '6714.53', '317.3', '-5545.68', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476278', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '-0.707106', '0', '0.707107', '6838.83', '315', '-5771.61', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6476280', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '-0.707106', '0', '0.707107', '6838.85', '315', '-5795.72', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '6575444', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0.862404', '0', '0.50622', '-2503.1', '20.9367', '2912.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '6575943', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0.854714', '0', '0.519099', '-2495.86', '18.1353', '2923.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '6625527', '0', 'object/soundobject/shared_soundobject_city_crowd_sentients_large.iff', '0', '0', '0', '1', '-1.83838', '28', '-4675.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '6625529', '0', 'object/soundobject/shared_soundobject_city_crowd_sentients_large.iff', '0', '0', '0', '1', '-97.5161', '28', '-4612.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '6625531', '0', 'object/soundobject/shared_soundobject_city_crowd_sentients.iff', '0', '0', '0', '1', '-106.507', '28', '-4536.63', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '6625532', '0', 'object/soundobject/shared_soundobject_city_crowd_sentients_large.iff', '0', '0', '0', '1', '-37.7306', '28', '-4527.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '6625533', '0', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-165.657', '28', '-4554.39', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '6625540', '0', 'object/soundobject/shared_soundobject_city_crowd_sentients_large.iff', '0', '0', '0', '1', '-306.801', '28', '-4609.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '6625543', '0', 'object/soundobject/shared_soundobject_city_crowd_sentients_large.iff', '0', '0', '0', '1', '-21.8871', '28', '-4424.54', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '6625545', '0', 'object/soundobject/shared_soundobject_city_crowd_sentients_large.iff', '0', '0', '0', '1', '-209.538', '28', '-4102.91', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '6625547', '0', 'object/soundobject/shared_soundobject_city_crowd_sentients_large.iff', '0', '0', '0', '1', '6756.71', '315', '-5720.64', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '6625557', '0', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '6750.88', '314.942', '-5617.82', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '6625558', '0', 'object/soundobject/shared_soundobject_city_crowd_sentients_large.iff', '0', '0', '0', '1', '6747.39', '315', '-5660.04', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '7025357', '0', 'object/tangible/crafting/station/shared_public_clothing_station.iff', '0', '0.707106', '0', '0.707107', '-5394', '21', '-2746', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '7025358', '0', 'object/tangible/crafting/station/shared_public_clothing_station.iff', '0', '0.707107', '0', '0.707107', '-5387', '21', '-2746', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '7025361', '0', 'object/tangible/crafting/station/shared_public_weapon_station.iff', '0', '0.707107', '0', '-0.707107', '-5385', '21', '-2727', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '7025362', '0', 'object/tangible/crafting/station/shared_public_weapon_station.iff', '0', '0.707107', '0', '0.707107', '-5385', '21', '-2731', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '7025363', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.707106', '0', '0.707107', '-5479', '21', '-2767', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '7025364', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.707106', '0', '0.707107', '-5447', '21', '-2767', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '7025365', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '-5479', '21', '-2775', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '7025366', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '-5447', '21', '-2775', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '7025367', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0', '0', '1', '-5455', '21', '-2775', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '7025369', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s02.iff', '0', '0', '0', '1', '-5470', '21', '-2775', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '7025370', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '-5477', '21', '-2775', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '7025371', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '-5463', '21', '-2775', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '7025372', '0', 'object/tangible/crafting/station/shared_public_structure_station.iff', '0', '0.707106', '0', '0.707108', '-5476.96', '21', '-2770.4', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '7025374', '0', 'object/tangible/crafting/station/shared_public_structure_station.iff', '0', '0.707099', '0', '0.707114', '-5476.95', '21', '-2764.81', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '7025378', '0', 'object/tangible/crafting/station/shared_public_food_station.iff', '0', '-0.707106', '0', '0.707107', '-5449', '21', '-2765', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '7025380', '0', 'object/tangible/crafting/station/shared_public_food_station.iff', '0', '0.707107', '0', '-0.707107', '-5449', '21', '-2770', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '7125353', '0', 'object/tangible/crafting/station/shared_public_weapon_station.iff', '0', '0.725111', '0', '0.688632', '-3393.03', '74', '3371.35', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '7125356', '0', 'object/tangible/crafting/station/shared_public_structure_station.iff', '0', '-0.706545', '0', '0.707668', '-3430.97', '74', '3354.43', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '7125357', '0', 'object/tangible/crafting/station/shared_public_structure_station.iff', '0', '0.721107', '0', '0.692824', '-3394.24', '74', '3351.91', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '7125359', '0', 'object/tangible/crafting/station/shared_public_weapon_station.iff', '0', '-0.690875', '0', '0.722974', '-3430.32', '74', '3370.52', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '7125360', '0', 'object/tangible/crafting/station/shared_public_weapon_station.iff', '0', '0.15438', '0', '0.988012', '-3403.52', '74', '3329.46', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '7125365', '0', 'object/tangible/crafting/station/shared_public_clothing_station.iff', '0', '0.996802', '0', '0.0799147', '-3463.87', '78', '3212.61', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '7125366', '0', 'object/tangible/crafting/station/shared_public_food_station.iff', '0', '0.997709', '0', '0.0676473', '-3449.85', '78', '3232.32', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '7125370', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '0', '0', '1', '-281.32', '28', '-4408.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '7125380', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '0.707106', '0', '0.707107', '-162', '28', '-4368', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '7125381', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '0', '0', '1', '-138.164', '28', '-4408.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '7125382', '0', 'object/tangible/crafting/station/shared_public_food_station.iff', '0', '0.707106', '0', '0.707107', '-141', '28', '-4403', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '7125383', '0', 'object/tangible/crafting/station/shared_public_food_station.iff', '0', '0.707107', '0', '0.707107', '-141', '28', '-4395', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '7125384', '0', 'object/tangible/crafting/station/shared_public_food_station.iff', '0', '0.707107', '0', '0.707107', '-141', '28', '-4387', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '7125385', '0', 'object/tangible/crafting/station/shared_public_food_station.iff', '0', '0.707107', '0', '0.707107', '-141', '28', '-4378', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '7125386', '0', 'object/tangible/crafting/station/shared_public_clothing_station.iff', '0', '0.707106', '0', '0.707107', '-147', '28', '-4371', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '7125387', '0', 'object/tangible/crafting/station/shared_public_clothing_station.iff', '0', '0.707107', '0', '0.707107', '-157', '28', '-4371', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '7125388', '0', 'object/tangible/crafting/station/shared_public_clothing_station.iff', '0', '0.707107', '0', '-0.707107', '-149', '28', '-4365', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '7125389', '0', 'object/tangible/crafting/station/shared_public_clothing_station.iff', '0', '0.707107', '0', '-0.707107', '-155', '28', '-4365', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '7125390', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0', '0', '1', '3077', '300', '5274', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '7125392', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.707106', '0', '0.707107', '3064', '300', '5261', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '7125393', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.707102', '0', '0.707111', '3090', '300', '5261', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '7125394', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '1', '0', '2.41953e-07', '3069', '300', '5274', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '7125395', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '1', '0', '0', '3085', '300', '5274', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '7125396', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '1', '0', '0', '3085', '300', '5248', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '7125397', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '1', '0', '0', '3069', '300', '5248', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '7125398', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.707106', '0', '0.707107', '3064', '300', '5253', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '7125399', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.707107', '0', '0.707107', '3064', '300', '5269', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '7125400', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.707107', '0', '0.707107', '3090', '300', '5269', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '7125401', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.707107', '0', '0.707107', '3090', '300', '5253', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '7125402', '0', 'object/tangible/crafting/station/shared_public_clothing_station.iff', '0', '0.707106', '0', '0.707107', '3080', '300', '5250', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '7125403', '0', 'object/tangible/crafting/station/shared_public_clothing_station.iff', '0', '0.707107', '0', '0.707107', '3074', '300', '5250', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '7125405', '0', 'object/tangible/crafting/station/shared_public_food_station.iff', '0', '0.707106', '0', '0.707108', '3066', '300', '5258', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '7125406', '0', 'object/tangible/crafting/station/shared_public_food_station.iff', '0', '0.707099', '0', '0.707114', '3066', '300', '5264', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '7125408', '0', 'object/tangible/crafting/station/shared_public_structure_station.iff', '0', '1', '0', '-3.20013e-08', '3074', '300', '5272', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '7125409', '0', 'object/tangible/crafting/station/shared_public_structure_station.iff', '0', '1', '0', '0', '3080', '300', '5272', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '7125411', '0', 'object/tangible/crafting/station/shared_public_weapon_station.iff', '0', '-0.707106', '0', '0.707108', '3088', '300', '5264', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '7125412', '0', 'object/tangible/crafting/station/shared_public_weapon_station.iff', '0', '0.707107', '0', '-0.707107', '3088', '300', '5256', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '7125419', '0', 'object/static/structure/corellia/shared_corl_banner_govt_tall_s01.iff', '0', '0', '0', '1', '3077', '300', '5260', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '7125420', '0', 'object/static/structure/corellia/shared_corl_banner_govt_tall_s01.iff', '0', '0', '0', '1', '3077', '300', '5262', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '7125421', '0', 'object/static/structure/corellia/shared_corl_power_arial_prime.iff', '0', '0.707107', '0', '0.707107', '3077', '300', '5261', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '7125422', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.242556', '0', '0.970137', '-5434.76', '24.9885', '-6279.29', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '7125423', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.242556', '0', '0.970137', '-5434.76', '29.9273', '-6279.29', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '7125424', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0.707107', '-2.26283e-08', '-0.707107', '-3.75295e-08', '-5442.02', '27.8648', '-6275.61', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '7125425', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0', '0', '1', '-5419.87', '25.0085', '-6283.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '7125426', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0', '0', '1', '-5419.87', '29.9473', '-6283.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '7125427', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '-0.254857', '0', '0.966979', '-5405.14', '29.9396', '-6279.13', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '7125428', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '-0.254857', '0', '0.966979', '-5405.14', '25.0008', '-6279.13', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '7125429', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0.724565', '-3.66158e-08', '-0.689206', '-2.33689e-08', '-5397.99', '27.8648', '-6275.35', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '7125432', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.689203', '0', '0.724568', '-5397.99', '29.7713', '-6275.35', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '7125433', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.707107', '0', '0.707107', '-5442.02', '29.7713', '-6275.61', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '7125441', '0', 'object/static/structure/corellia/shared_corl_fountain_rectangle_s01.iff', '0', '1', '0', '6.63422e-07', '-5420.66', '27.6896', '-6270.01', '96', '1');
INSERT INTO `staticobjects` VALUES ('0', '7125442', '0', 'object/static/structure/corellia/shared_corl_stair_small_s01.iff', '0', '0', '0', '1', '-5420.66', '24.3336', '-6264.34', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '7125443', '0', 'object/static/structure/corellia/shared_corl_stair_small_s01.iff', '0', '1', '0', '-3.20013e-08', '-5420.66', '24.3336', '-6276.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '7125449', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.707103', '0', '0.70711', '-5418.49', '23.0829', '-6272.73', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '7125450', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.707104', '0', '0.70711', '-5418.49', '23.0829', '-6271.73', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '7125451', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.707104', '0', '0.70711', '-5418.49', '23.0829', '-6270.73', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '7125452', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.707103', '0', '0.70711', '-5418.49', '23.0834', '-6269.73', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '7125453', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.707105', '0', '0.707108', '-5418.49', '23.0829', '-6268.73', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '7125454', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.707105', '0', '0.707108', '-5418.49', '23.0829', '-6267.73', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '7125455', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.707088', '0', '0.707125', '-5422.84', '23.1041', '-6272.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '7125456', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.707107', '0', '0.707107', '-5422.84', '23.1041', '-6271.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '7125457', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.707107', '0', '0.707107', '-5422.84', '23.1041', '-6270.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '7125458', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.707107', '0', '0.707107', '-5422.84', '23.1041', '-6269.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '7125459', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.707107', '0', '0.707107', '-5422.84', '23.1041', '-6268.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '7125460', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.707107', '0', '0.707107', '-5422.84', '23.1041', '-6267.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '7335359', '0', 'object/soundobject/shared_soundobject_city_crowd_sentients_large.iff', '0', '0', '0', '1', '-212.148', '28', '-4435.08', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '7335372', '0', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-349.695', '28', '-4421.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '7335383', '0', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-389.757', '28', '-4491.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '7335462', '0', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '-280.232', '28', '-4193.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '7345533', '0', 'object/tangible/jedi/shared_force_shrine_stone.iff', '0', '0.707107', '0', '0.707107', '-6907.33', '447.998', '4524.25', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '7345534', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0.707101', '0', '0.707112', '-6911.76', '448.809', '4522.66', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '7345535', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0', '0', '1', '-6903.07', '448.809', '4522.69', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '7345536', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '1', '0', '0', '-6908.3', '448.809', '4522.65', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '7345537', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '0', '0', '1', '-6906.51', '448.799', '4522.6', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '7345538', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_altar.iff', '0', '0', '0', '1', '-6907.39', '430.855', '4522.66', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '7345539', '0', 'object/static/particle/shared_pt_poi_electricity_2x2.iff', '0', '0', '0', '1', '-6907.33', '448.809', '4524.25', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '7345540', '0', 'object/tangible/jedi/shared_force_shrine_stone.iff', '0', '0.707107', '0', '0.707107', '-7391.64', '234.849', '-3941.26', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '7345541', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0.707097', '0', '0.707116', '-7396.06', '235.589', '-3942.86', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '7345542', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0', '0', '1', '-7387.38', '235.612', '-3942.82', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '7345543', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '1', '0', '0', '-7392.61', '235.612', '-3942.87', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '7345544', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '0', '0', '1', '-7390.81', '235.606', '-3942.92', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '7345545', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_altar.iff', '0', '0', '0', '1', '-7391.7', '217.658', '-3942.86', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '7345546', '0', 'object/static/particle/shared_pt_poi_electricity_2x2.iff', '0', '0', '0', '1', '-7391.64', '235.607', '-3941.26', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '7345554', '0', 'object/tangible/jedi/shared_force_shrine_stone.iff', '0', '0.707107', '0', '0.707107', '6092.92', '342.029', '-5581.39', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '7345555', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0.7071', '0', '0.707113', '6088.5', '342.706', '-5582.99', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '7345556', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0', '0', '1', '6097.18', '342.707', '-5582.95', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '7345557', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '1', '0', '0', '6091.95', '342.701', '-5583', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '7345558', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '0', '0', '1', '6093.74', '342.688', '-5583.05', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '7345559', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_altar.iff', '0', '0', '0', '1', '6092.86', '324.749', '-5582.99', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '7345560', '0', 'object/static/particle/shared_pt_poi_electricity_2x2.iff', '0', '0', '0', '1', '6092.92', '342.697', '-5581.39', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '7345561', '0', 'object/tangible/jedi/shared_force_shrine_stone.iff', '0', '0.707107', '0', '0.707107', '6300.98', '351.897', '6684.86', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '7345562', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0.7071', '0', '0.707113', '6296.56', '353.282', '6683.26', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '7345563', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0', '0', '1', '6305.24', '353.282', '6683.3', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '7345564', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '1', '0', '0', '6300.01', '353.282', '6683.25', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '7345565', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '0', '0', '1', '6301.8', '353.272', '6683.2', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '7345566', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_altar.iff', '0', '0', '0', '1', '6300.92', '335.329', '6683.26', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '7345567', '0', 'object/static/particle/shared_pt_poi_electricity_2x2.iff', '0', '0', '0', '1', '6300.98', '353.282', '6684.85', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '7345568', '0', 'object/tangible/jedi/shared_force_shrine_stone.iff', '0', '0.707107', '0', '0.707107', '-2384.43', '218.958', '6390.02', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '7345569', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0.707096', '0', '0.707117', '-2388.85', '219.47', '6388.43', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '7345570', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0', '0', '1', '-2380.17', '219.464', '6388.46', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '7345571', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '1', '0', '0', '-2385.4', '219.464', '6388.41', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '7345572', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '0', '0', '1', '-2383.6', '219.452', '6388.37', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '7345573', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_altar.iff', '0', '0', '0', '1', '-2384.49', '201.511', '6388.43', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '7345574', '0', 'object/static/particle/shared_pt_poi_electricity_2x2.iff', '0', '0', '0', '1', '-2384.43', '219.679', '6390.02', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '7615442', '0', 'object/building/corellia/shared_ply_corl_house_s_s01_fp2.iff', '0', '0.9998', '0', '0.0199986', '-5312.79', '4.18497', '-6401.14', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '7615443', '7615442', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '7615444', '7615442', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '7615468', '7615444', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '-0.366273', '0', '0.930508', '-7.06441', '0.74', '-7.2975', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '7615469', '7615444', 'object/tangible/furniture/all/shared_frn_all_decorative_sm_s1.iff', '0', '0.261909', '0', '0.965092', '-7.05045', '1.46732', '-7.30384', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '7615445', '7615442', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '7615472', '7615445', 'object/static/structure/general/shared_droid_lemedical_powerdown.iff', '0', '0.926499', '0', '0.376297', '1.67362', '0.74', '5.92666', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '7615474', '7615445', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s2.iff', '0', '1', '0', '3.20013e-08', '2.72317', '0.74', '4.13259', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '7615475', '7615445', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s2.iff', '0', '0.999987', '0', '-0.0049996', '5.46897', '0.74', '4.1185', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '7615479', '7615445', 'object/tangible/furniture/all/shared_frn_all_data_terminal_wall_s2.iff', '0', '1', '0', '3.1219e-08', '2.68714', '1.05623', '6.06108', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '7615480', '7615445', 'object/tangible/furniture/all/shared_frn_all_data_terminal_wall_s2.iff', '0', '0.9998', '0', '0.019999', '5.34435', '1.0246', '6.05451', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '7615481', '7615445', 'object/tangible/furniture/modern/shared_bar_counter_s1.iff', '0', '0', '0', '1', '2.13125', '0.74', '1.47281', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '7615482', '7615445', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '0.707106', '0', '0.707107', '1.15599', '0.74', '4.10805', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '7615484', '7615445', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '0.692825', '0', '0.721106', '1.14982', '0.74', '3.46285', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '7615485', '7615445', 'object/static/item/shared_item_diagnostic_screen.iff', '0', '-0.375559', '0', '0.926798', '3.13351', '1.87842', '1.25914', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '7615486', '7615445', 'object/static/item/shared_item_glass_empty.iff', '0', '0', '0', '1', '1.75866', '1.87842', '1.2477', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '7615487', '7615445', 'object/static/item/shared_item_glass_empty.iff', '0', '0', '0', '1', '1.87524', '1.87842', '1.30228', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '7615488', '7615445', 'object/static/item/shared_item_glass_empty.iff', '0', '0', '0', '1', '1.88902', '1.87842', '1.14957', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '7615493', '7615445', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s05.iff', '0', '0', '0', '1', '1.39406', '1.87842', '1.39029', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '7615495', '7615445', 'object/tangible/furniture/all/shared_frn_all_lamp_desk_s01.iff', '0', '0', '0', '1', '2.33122', '1.91004', '1.13191', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '7615500', '7615445', 'object/tangible/furniture/technical/shared_chair_s01.iff', '0', '-0.707106', '0', '0.707107', '6.37335', '0.74', '2.16391', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '7615501', '7615445', 'object/tangible/furniture/technical/shared_chair_s01.iff', '0', '-0.707106', '0', '0.707107', '6.40001', '0.74', '3.08818', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '7615502', '7615445', 'object/static/item/shared_item_jar_berries.iff', '0', '0', '0', '1', '1.59407', '1.87842', '1.16535', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '7615446', '7615442', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '7615504', '7615446', 'object/tangible/furniture/all/shared_frn_all_professor_desk.iff', '0', '-0.40776', '0', '0.913089', '-1.93983', '0.74', '4.55548', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '7615505', '7615446', 'object/tangible/furniture/all/shared_frn_all_chair_meatal_wheeled_s1.iff', '0', '0.913089', '0', '0.40776', '-3.34322', '0.74', '5.60408', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '7615514', '7615446', 'object/tangible/furniture/modern/shared_love_seat_modern_style_01.iff', '0', '0.707107', '0', '0.707107', '0.0965146', '0.74', '2.43048', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '7615516', '7615446', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff', '0', '0', '0', '1', '-1.63732', '0.74', '-3.48326', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '7615517', '7615446', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff', '0', '0.707107', '0', '0.707107', '-3.22762', '0.74', '-1.87277', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '7615519', '7615446', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s05.iff', '0', '0', '0', '1', '-3.40147', '0.74', '-3.96545', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '7615520', '7615446', 'object/static/item/shared_item_painting_corellia_style_02.iff', '0', '1', '0', '3.20013e-08', '-4.18057', '1.56219', '-1.44563', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '7615521', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '-5304.2', '4', '-6405.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '7615528', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '1', '0', '0', '-3.20013e-08', '-154.042', '34.0399', '-4658.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '7615529', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0.883413', '0', '0.468594', '0', '-104.143', '34.0216', '-4664.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '7755369', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '1', '0', '-3.20013e-08', '-332', '28', '-4645', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '7755370', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '1', '0', '-3.20013e-08', '-328', '28', '-4645', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '7755371', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '1', '0', '-3.20013e-08', '-324', '28', '-4645', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '7755372', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.707106', '0', '0.707107', '-340', '28', '-4644', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '7755373', '0', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '0', '0', '1', '-310.004', '28', '-4642.65', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '7755374', '0', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '0', '0', '1', '-342.015', '28', '-4642.43', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '7755375', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '-0.707106', '0', '0.707107', '-312', '28', '-4644', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '7755378', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '-334.202', '28', '-4644.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '7755379', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '-321.851', '28', '-4644.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '7985408', '0', 'object/static/installation/shared_mockup_power_generator_fusion_style_1.iff', '0', '0.382683', '0', '0.92388', '-6529.17', '398', '6002.59', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '7985409', '0', 'object/static/installation/shared_mockup_power_generator_fusion_style_1.iff', '0', '0.92388', '0', '-0.382683', '-6517.2', '398', '6014.57', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '7985447', '0', 'object/static/structure/corellia/shared_corl_tent_small.iff', '0', '0.319309', '0', '0.947651', '-5276.22', '21.0855', '-2509.65', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '7985448', '0', 'object/static/structure/corellia/shared_corl_power_arial_thin.iff', '0', '0', '0', '1', '-5278.6', '21', '-2513.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '7985449', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '0', '0', '1', '6716.52', '315', '-5803.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '7985450', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '0', '0', '1', '6721.52', '315', '-5803.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '7985452', '0', 'object/tangible/terminal/shared_terminal_mission_imperial.iff', '0', '0.707106', '0', '0.707107', '6712.37', '315', '-5805.59', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '7985454', '0', 'object/tangible/terminal/shared_terminal_mission_imperial.iff', '0', '-0.707106', '0', '0.707107', '6725.54', '315', '-5805.42', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8105493', '0', 'object/building/corellia/shared_cantina_corellia.iff', '0', '0.707107', '0', '0.707106', '-342.53', '28', '-4494.5', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '8105494', '8105493', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8105495', '8105493', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8105496', '8105493', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8105497', '8105493', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8105498', '8105493', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8105499', '8105493', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8105500', '8105493', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8105501', '8105493', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8105502', '8105493', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8105503', '8105493', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8105504', '8105493', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1487877', '8105504', 'object/tangible/terminal/shared_terminal_mission_rebel.iff', '0', '0', '0', '1', '-28.8358', '-0.894985', '-2.35215', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1487879', '8105504', 'object/tangible/terminal/shared_terminal_mission_rebel.iff', '0', '1', '0', '-3.20013e-08', '-28.7795', '-0.894984', '3.34238', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8105505', '8105493', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555546', '8105505', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff', '0', '1', '0', '-2.41953e-07', '-20.4842', '-0.894989', '26.9297', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555551', '8105505', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff', '0', '0.922997', '0', '-0.384808', '-16.9744', '-0.894988', '23.675', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555552', '8105505', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff', '0', '-0.380556', '0', '0.924758', '-17.0153', '-0.894988', '20.3664', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555555', '8105505', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s05.iff', '0', '0', '0', '1', '-16.9448', '-0.894989', '26.1981', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555556', '8105505', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s05.iff', '0', '0', '0', '1', '-16.9685', '-0.894991', '18.3417', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555558', '8105505', 'object/tangible/furniture/modern/shared_bar_piece_curve_s1.iff', '0', '0', '0', '1', '-31.6778', '-0.894991', '16.9436', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555560', '8105505', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff', '0', '0.907837', '0', '0.419323', '-31.1166', '-0.894991', '20.4475', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555561', '8105505', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff', '0', '0.901446', '0', '0.432892', '-27.1643', '-0.894991', '24.9986', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555562', '8105505', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s05.iff', '0', '0', '0', '1', '-29.4205', '-0.894991', '22.8722', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555563', '8105505', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '-31.319', '0.243429', '16.1554', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555564', '8105505', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '-31.0116', '0.243429', '16.1711', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555565', '8105505', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '-31.212', '0.243429', '16.4319', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555566', '8105505', 'object/static/item/shared_item_con_plate_casserole.iff', '0', '0', '0', '1', '-31.4363', '0.243429', '17.0879', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555567', '8105505', 'object/static/item/shared_item_con_plate_s1_full.iff', '0', '0', '0', '1', '-31.5406', '0.243429', '17.5196', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555568', '8105505', 'object/static/item/shared_item_food_muffins.iff', '0', '0', '0', '1', '-31.1209', '0.275051', '17.3442', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555569', '8105505', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '-0.707106', '0', '0.707107', '-20.0319', '-0.894991', '15.301', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555571', '8105505', 'object/static/item/shared_item_chair_metal_wheeled_01.iff', '0', '0.707107', '0', '0.707107', '-20.6316', '-0.894991', '15.1938', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555573', '8105505', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_01.iff', '0', '0', '0', '1', '-19.1625', '-0.926615', '15.2839', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555574', '8105505', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s05.iff', '0', '0', '0', '1', '-21.2728', '-0.894992', '12.5779', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555575', '8105505', 'object/tangible/furniture/all/shared_frn_all_lamp_desk_s01.iff', '0', '-0.707106', '0', '0.707107', '-19.6576', '-0.104422', '15.3046', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555576', '8105505', 'object/static/item/shared_item_painting_corellia_style_02.iff', '0', '1', '0', '3.20013e-08', '-21.864', '-0.230453', '15.4074', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8105506', '8105493', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555525', '8105506', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '0', '0', '1', '-27.6014', '-0.519991', '8.61003', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555526', '8105506', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff', '0', '0.707107', '0', '0.707107', '-32.265', '-0.519991', '12.6459', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555527', '8105506', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_02.iff', '0', '-0.707106', '0', '0.707107', '-30.3043', '-0.519991', '12.6315', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555530', '8105506', 'object/tangible/furniture/modern/shared_bar_counter_s1.iff', '0', '-0.707106', '0', '0.707107', '-32.3753', '-0.519991', '6.32098', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555531', '8105506', 'object/tangible/furniture/all/shared_frn_all_chair_meatal_wheeled_s1.iff', '0', '0', '0', '1', '-27.6378', '-0.519991', '6.84491', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555532', '8105506', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff', '0', '-0.707106', '0', '0.707107', '-22.8896', '-0.519991', '5.77653', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555533', '8105506', 'object/tangible/furniture/all/shared_frn_all_lamp_desk_s01.iff', '0', '0', '0', '1', '-27.5826', '0.270578', '9.06173', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555534', '8105506', 'object/static/item/shared_item_bottle_fat.iff', '0', '0.98279', '0', '-0.184729', '-32.3218', '0.618429', '5.47408', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555535', '8105506', 'object/static/item/shared_item_bottle_pear.iff', '0', '0.98279', '0', '-0.184729', '-32.4257', '0.618429', '5.22763', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555536', '8105506', 'object/static/item/shared_item_bottle_tall.iff', '0', '0.98279', '0', '-0.184729', '-32.6212', '0.618429', '5.4671', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555537', '8105506', 'object/static/item/shared_item_briefcase.iff', '0', '0', '0', '1', '-32.443', '-0.519991', '7.27681', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555538', '8105506', 'object/static/item/shared_item_con_drink_flask.iff', '0', '0.34759', '0', '0.937646', '-32.3905', '0.618429', '7.33071', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555539', '8105506', 'object/static/item/shared_item_con_glass_beaker.iff', '0', '0.34759', '0', '0.937646', '-32.2784', '0.618429', '7.46878', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555540', '8105506', 'object/static/item/shared_item_con_glass_full_s2.iff', '0', '0.34759', '0', '0.937646', '-32.5493', '0.618429', '7.20299', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555541', '8105506', 'object/static/item/shared_item_con_pitcher_full.iff', '0', '0.34759', '0', '0.937646', '-32.3287', '0.618429', '7.1415', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555542', '8105506', 'object/static/item/shared_item_con_water.iff', '0', '0.34759', '0', '0.937646', '-32.1981', '0.618429', '7.25736', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555543', '8105506', 'object/static/item/shared_item_data_disk.iff', '0', '0', '0', '1', '-32.2635', '0.650051', '5.70566', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555544', '8105506', 'object/static/item/shared_item_data_disk.iff', '0', '0', '0', '1', '-32.1841', '0.650051', '5.78767', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555545', '8105506', 'object/static/item/shared_item_data_disk.iff', '0', '0', '0', '1', '-32.1389', '0.650051', '5.68658', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8105507', '8105493', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8105508', '8105493', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8105629', '0', 'object/soundobject/shared_soundobject_starport_exterior.iff', '0', '0.39861', '0', '0.917121', '-14.334', '28', '-4741.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '8105630', '0', 'object/soundobject/shared_soundobject_starport_exterior.iff', '0', '0.39861', '0', '0.917121', '-61.7372', '28', '-4707.27', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '8156055', '0', 'object/static/structure/general/shared_streetlamp_large_blue_style_01.iff', '0', '0.92388', '0', '-0.382683', '-354.245', '28', '-4540.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8156056', '0', 'object/static/structure/general/shared_streetlamp_large_blue_style_01.iff', '0', '1', '0', '-3.20013e-08', '-345.035', '28', '-4545.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8156057', '0', 'object/static/structure/general/shared_streetlamp_large_blue_style_01.iff', '0', '0', '0', '1', '-354.174', '28', '-4444.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8156058', '0', 'object/static/structure/general/shared_streetlamp_large_blue_style_01.iff', '0', '0', '0', '1', '-364.022', '28', '-4444.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8156092', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '0.707107', '0', '-0.707107', '-258.091', '28', '-4368.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '8156096', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0', '0', '1', '-332.387', '28', '-4444.23', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8156098', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0', '0', '1', '-334.398', '28', '-4444.23', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8156100', '0', 'object/static/structure/corellia/shared_corl_tent_med.iff', '0', '0.707106', '0', '0.707107', '-344.576', '28', '-4445.14', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '8156102', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.305059', '0', '0.952334', '-346.682', '28', '-4445.57', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8156103', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0', '0', '1', '-347.651', '28', '-4443.88', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8156104', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0', '0', '1', '-347.288', '28', '-4444.33', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8156105', '0', 'object/static/item/shared_item_container_inorganic_gas.iff', '0', '0', '0', '1', '-345.112', '28', '-4446.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8156106', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '-345.208', '28', '-4445.42', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8156107', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '-345.585', '28', '-4445.48', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205773', '0', 'object/building/military/shared_military_base_shed_rebel_style_01.iff', '0', '0.913089', '0', '0.40776', '-6549.38', '398', '6032.07', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205774', '8205773', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205775', '8205773', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205776', '8205773', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205777', '8205773', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205778', '8205773', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205779', '8205773', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205780', '0', 'object/building/military/shared_military_base_shed_rebel_style_01.iff', '0', '0.994493', '0', '-0.104807', '-6498.5', '398', '6049.87', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205781', '8205780', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205782', '8205780', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205783', '8205780', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205784', '8205780', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205785', '8205780', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205786', '8205780', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205787', '0', 'object/building/military/shared_military_base_shed_rebel_style_01.iff', '0', '0.974795', '0', '-0.223106', '-6475.05', '398', '6041.36', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205788', '8205787', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205789', '8205787', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205790', '8205787', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205791', '8205787', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205792', '8205787', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205793', '8205787', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205798', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_32_style_01.iff', '0', '0.977865', '0', '0.209239', '-6471.9', '403.5', '5923.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205799', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_32_style_01.iff', '0', '0.904412', '0', '0.42666', '-6446.5', '403.5', '5943.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205801', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_32_style_01.iff', '0', '0.998248', '0', '-0.059169', '-6512.26', '403.5', '5917.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205802', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_32_style_01.iff', '0', '0.965301', '0', '-0.261141', '-6542.71', '403.5', '5928.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205804', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_32_style_01.iff', '0', '0.725384', '0', '-0.688345', '-6578.26', '403.5', '5988.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205805', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_32_style_01.iff', '0', '0.85032', '0', '-0.526266', '-6570.15', '403.5', '5957.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205806', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_32_style_01.iff', '0', '0.789504', '0', '0.613746', '-6432.05', '403.5', '5971.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205807', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_32_style_01.iff', '0', '0.648034', '0', '0.761612', '-6430.56', '403.5', '6003.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205808', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_32_style_01.iff', '0', '0.0491832', '0', '0.99879', '-6501.5', '403.5', '6071.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205810', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_32_style_01.iff', '0', '0.251475', '0', '0.967864', '-6470.96', '403.5', '6061.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205811', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_32_style_01.iff', '0', '0.443235', '0', '0.896406', '-6446.7', '403.5', '6040.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205812', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_style_01.iff', '0', '0.548023', '0', '0.836463', '-6419.93', '403.5', '6029.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205813', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_32_style_01.iff', '0', '-0.194548', '0', '0.980893', '-6533.27', '403.5', '6066.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205814', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_32_style_01.iff', '0', '-0.60582', '0', '0.795602', '-6574.82', '403.5', '6020.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205815', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_32_style_01.iff', '0', '-0.408488', '0', '0.912764', '-6559.52', '403.5', '6048.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205816', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_style_01.iff', '0', '-0.19828', '0', '0.980146', '-6432.97', '403.5', '6029.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205817', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_16_style_01.iff', '0', '0.981202', '0', '0.192985', '-6425.8', '403.5', '6022.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205818', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_16_style_01.iff', '0', '0.767543', '0', '-0.640998', '-6494.61', '403.5', '5907.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205819', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_style_01.iff', '0', '0.994924', '0', '0.100627', '-6489.09', '403.5', '5900.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205820', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_style_01.iff', '0', '0.636843', '0', '0.770993', '-6485.99', '403.5', '5912.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205821', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_16_style_01.iff', '0', '-0.380188', '0', '0.924909', '-6568.86', '403.5', '5936.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205822', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_style_01.iff', '0', '0.927098', '0', '-0.37482', '-6571.66', '403.5', '5928.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8205823', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_style_01.iff', '0', '0.922843', '0', '0.385177', '-6559.63', '403.5', '5933.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8215863', '0', 'object/building/corellia/shared_salon_corellia.iff', '0', '1', '0', '-3.20013e-08', '-366.692', '28.2635', '-4697.47', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '8215864', '8215863', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8275454', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0', '0', '1', '95.039', '28', '-4517.59', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8275455', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0', '0', '1', '94.0325', '28', '-4521.97', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8275457', '0', 'object/tangible/furniture/all/shared_frn_all_data_terminal_free_s1.iff', '0', '0.822049', '0', '-0.569417', '97.3078', '28', '-4517.6', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8275458', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.475032', '0', '0.879969', '96.4237', '28', '-4518.9', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8275459', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.955101', '0', '-0.29628', '94.6589', '28', '-4515.96', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8275460', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.601198', '0', '0.7991', '92.5185', '28', '-4521.73', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8275461', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.80162', '0', '-0.597834', '95.6388', '28', '-4521.55', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8275462', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.213348', '0', '0.976976', '93.9832', '28', '-4523.4', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8275463', '0', 'object/static/structure/general/shared_droid_r4_powerdown.iff', '0', '-0.266731', '0', '0.963771', '96.3042', '28', '-4523.39', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '8275465', '0', 'object/static/structure/general/shared_droid_ra7_powerdown.iff', '0', '0.741296', '0', '-0.671178', '97.4526', '28', '-4515.83', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '8275467', '0', 'object/static/item/shared_item_document.iff', '0', '0.973485', '0', '-0.228753', '94.7487', '28.9', '-4517.91', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8275468', '0', 'object/static/item/shared_item_tool_handheld_viewscreen_s2.iff', '0', '0.247404', '0', '0.968912', '95.1424', '28.9', '-4518.09', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8275469', '0', 'object/static/item/shared_item_tool_handheld_viewscreen_s1.iff', '0', '0.501213', '0', '0.865324', '95.6479', '28.9', '-4517.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8275470', '0', 'object/static/item/shared_item_datapad_s2.iff', '0', '-0.0299955', '0', '0.99955', '95.1803', '28.9', '-4517.6', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8285352', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.822049', '0', '0.569417', '-6418.33', '405', '6025.52', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8285353', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.193767', '0', '0.981048', '-6421.81', '405', '6033.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8285354', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '-0.196805', '0', '0.980443', '-6428.71', '405', '6031.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8285355', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.852108', '0', '0.523367', '-6432.76', '405', '6019.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8285356', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.218229', '0', '0.975897', '-6436.89', '405', '6028.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8285357', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.361617', '0', '0.932327', '-6456.64', '405', '6053.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8285358', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.139149', '0', '0.990272', '-6485.18', '405', '6069.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8285359', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '-0.0203965', '0', '0.999792', '-6517.87', '405', '6073.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8285360', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '-0.27193', '0', '0.962317', '-6548.54', '405', '6060.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8285361', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '-0.523026', '0', '0.852317', '-6570.43', '405', '6036.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8285362', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '-0.670882', '0', '0.741564', '-6579.27', '405', '6004.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8285363', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.792805', '0', '-0.609475', '-6577.47', '405', '5971.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8285364', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '-0.617372', '0', '0.786671', '-6563.44', '405', '5942.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8285365', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.997467', '0', '0.0711341', '-6556.61', '405', '5935.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8285366', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.924302', '0', '0.381661', '-6562.76', '405', '5930.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8285367', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.92269', '0', '0.385543', '-6568.3', '405.244', '5924.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8285368', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '-0.678264', '0', '0.734818', '-6574.3', '406.081', '5931.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8285369', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.988195', '0', '-0.1532', '-6528.54', '405', '5919.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8285370', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.933981', '0', '-0.357322', '-6496.42', '405', '5915.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8285371', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.955219', '0', '-0.295901', '-6492.94', '405.52', '5899.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8285372', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.620674', '0', '0.784069', '-6484.65', '405.232', '5901.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8285373', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.632056', '0', '0.774923', '-6485.1', '404.986', '5908.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8285374', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.869704', '0', '0.493574', '-6486.43', '405', '5917.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8285375', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.958358', '0', '0.28557', '-6457.09', '405', '5930.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8285376', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.864725', '0', '0.502246', '-6436.29', '405', '5955.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8285377', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.720555', '0', '0.693398', '-6428.14', '405', '5987.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8285378', '0', 'object/static/structure/military/shared_military_column_med_rebel_style_01.iff', '0', '0.159318', '0', '0.987227', '-6539.61', '403', '5910.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8285379', '0', 'object/static/structure/military/shared_military_wall_med_rebl_16_style_01.iff', '0', '0.159318', '0', '0.987227', '-6532.02', '401.9', '5907.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8285380', '0', 'object/static/structure/military/shared_military_column_med_rebel_style_01.iff', '0', '0.159318', '0', '0.987227', '-6524.42', '403', '5905.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8285385', '0', 'object/static/structure/military/shared_military_wall_med_rebl_16_style_01.iff', '0', '0.501213', '0', '0.865324', '-6543.61', '401.9', '5917.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8285386', '0', 'object/static/structure/military/shared_military_column_med_rebel_style_01.iff', '0', '0.501213', '0', '0.865324', '-6547.59', '403', '5924.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8285387', '0', 'object/static/structure/military/shared_military_wall_med_rebl_16_style_01.iff', '0', '0.993486', '0', '0.113956', '-6516.3', '401.9', '5906.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8285388', '0', 'object/static/structure/military/shared_military_column_med_rebel_style_01.iff', '0', '0.993486', '0', '0.113956', '-6508.51', '403', '5908.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8285394', '0', 'object/building/military/shared_military_base_shed_rebel_style_01.iff', '0', '0.755093', '0', '0.655617', '-6560.2', '398', '6006.02', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '8285395', '8285394', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8285396', '8285394', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8285397', '8285394', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8285398', '8285394', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8285399', '8285394', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8285400', '8285394', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8285401', '0', 'object/building/military/shared_military_base_shed_rebel_style_01.iff', '0', '0.92388', '0', '-0.382683', '-6470.39', '398', '5978.88', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '8285402', '8285401', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8285403', '8285401', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8285404', '8285401', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8285405', '8285401', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8285406', '8285401', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8285407', '8285401', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8285408', '0', 'object/building/military/shared_military_base_shed_rebel_style_01.iff', '0', '0.382684', '0', '0.923879', '-6491.65', '398', '5957.63', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '8285409', '8285408', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8285410', '8285408', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8285411', '8285408', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8285412', '8285408', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8285413', '8285408', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8285414', '8285408', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8285415', '0', 'object/static/structure/general/shared_landing_pad_shuttle.iff', '0', '0.595348', '0', '0.803468', '-6525.99', '398', '6048.85', '256', '1');
INSERT INTO `staticobjects` VALUES ('0', '8285416', '0', 'object/static/vehicle/shared_player_shuttle.iff', '0', '0.572867', '0', '0.819648', '-6528.87', '398', '6048.43', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '8285420', '0', 'object/static/structure/general/shared_landing_pad_shuttle.iff', '0', '0.922263', '0', '-0.386563', '-6453.84', '398', '5964.9', '256', '1');
INSERT INTO `staticobjects` VALUES ('0', '8285421', '0', 'object/static/vehicle/shared_player_shuttle.iff', '0', '0.909297', '0', '-0.416148', '-6451.26', '398', '5966.35', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '8305404', '0', 'object/tangible/sign/shared_all_sign_city_s01.iff', '0', '0', '0', '1', '-3169.96', '30.99', '2764.91', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8305410', '0', 'object/tangible/sign/shared_all_sign_city_s01.iff', '0', '0', '0', '1', '-3024.26', '28.6257', '2771.8', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8305411', '0', 'object/tangible/sign/shared_all_sign_city_s01.iff', '0', '0', '0', '1', '-3027.03', '31', '2996.18', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8305412', '0', 'object/tangible/sign/shared_all_sign_city_s01.iff', '0', '0', '0', '1', '-3299.99', '22.0337', '3619.57', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355353', '0', 'object/static/structure/corellia/shared_corl_stair_small_s01.iff', '0', '0.375559', '0', '0.926798', '-6546.97', '396.828', '5952.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355354', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_sm_s02.iff', '0.115548', '0.372629', '-0.0468227', '0.919567', '-6553.83', '402.608', '5945.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355356', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '-6561.49', '403', '5942.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355357', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '-6557.22', '403', '5937.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355358', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '-0.470626', '0', '0.882333', '-6494.55', '403', '5916.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355359', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '-0.470626', '0', '0.882333', '-6488.45', '403', '5917.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355360', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_sm_s02.iff', '0.0945538', '-0.0795544', '0.00758048', '0.992307', '-6492.83', '403.005', '5925.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355361', '0', 'object/static/structure/corellia/shared_corl_stair_small_s01.iff', '0', '-0.0799147', '0', '0.996802', '-6494.41', '397.773', '5935.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355362', '0', 'object/static/structure/corellia/shared_corl_stair_small_s01.iff', '0', '0.836026', '0', '-0.54869', '-6452.52', '398', '6015.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355363', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_sm_s02.iff', '-0.0411132', '0.833676', '-0.0626432', '-0.547147', '-6443.43', '403.01', '6019.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355364', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0.836026', '0', '-0.54869', '-6434.82', '403', '6020.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355365', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0.836026', '0', '-0.54869', '-6437.2', '403', '6025.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355367', '0', 'object/static/structure/military/shared_military_column_med_rebel_style_01.iff', '0', '-0.0848976', '0', '0.99639', '-6490.71', '400', '5933.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355368', '0', 'object/static/structure/military/shared_military_column_med_rebel_style_01.iff', '0', '-0.084898', '0', '0.99639', '-6497.24', '400', '5931.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355369', '0', 'object/static/structure/military/shared_military_column_med_rebel_style_01.iff', '0', '0.370921', '0', '0.928665', '-6546.43', '400', '5948.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355370', '0', 'object/static/structure/military/shared_military_column_med_rebel_style_01.iff', '0', '0.370921', '0', '0.928665', '-6551.19', '400', '5953.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355372', '0', 'object/static/structure/military/shared_military_column_med_rebel_style_01.iff', '0', '0.836026', '0', '-0.548691', '-6448.86', '400', '6013.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355373', '0', 'object/static/structure/military/shared_military_column_med_rebel_style_01.iff', '0', '0.836026', '0', '-0.548691', '-6451.45', '400', '6020', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355374', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '-0.394019', '0', '0.919102', '-6454.81', '398', '5956.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355375', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0.919102', '0', '0.394019', '-6451.68', '398', '5955.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355376', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.692537', '0', '0.721382', '-6464.49', '398', '5957.52', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355377', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.940805', '0', '-0.338947', '-6463.52', '398', '5958.01', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355378', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.518417', '0', '0.855128', '-6462.81', '398', '5957.48', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355379', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.884303', '0', '0.466913', '-6463.17', '398.885', '5957.8', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355380', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.996322', '0', '-0.0856901', '-6463.42', '398', '5956.86', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355381', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.109778', '0', '0.993956', '-6463.48', '398', '5955.98', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355382', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.824886', '0', '-0.565299', '-6464.37', '398', '5956.43', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355383', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.940807', '0', '-0.338943', '-6464.7', '398', '5955.87', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355384', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.983844', '0', '0.17903', '-6461.21', '398', '5955.47', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355385', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.252246', '0', '0.967663', '-6460.65', '398.885', '5955.46', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355386', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.20846', '0', '0.978031', '-6460.21', '398', '5955.59', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355387', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.40776', '0', '0.913089', '-6488.59', '398', '5967.74', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355388', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.295521', '0', '0.955336', '-6489.82', '398', '5967.46', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355389', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.962209', '0', '0.272313', '-6490.39', '398', '5968.14', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355390', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.213347', '0', '0.976976', '-6489.44', '398', '5968.43', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355391', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.0399924', '0', '0.9992', '-6489.59', '398', '5969.06', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355392', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.0799151', '0', '0.996802', '-6472.39', '398', '5968.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355393', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.990327', '0', '-0.138754', '-6472.21', '398.885', '5968.7', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355394', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.139544', '0', '0.990216', '-6472.89', '398', '5969.86', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355395', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.564642', '0', '0.825336', '-6472.12', '398', '5969.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355396', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0.92388', '0', '-0.382683', '-6502.24', '398', '5955.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355397', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.895699', '0', '0.444661', '-6522.2', '398', '5965.29', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355398', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.390886', '0', '0.920439', '-6521.89', '398.885', '5964.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355399', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.777071', '0', '0.629413', '-6520.55', '398', '5964.98', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355400', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.416871', '0', '0.908966', '-6521.59', '398', '5964.66', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355401', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.361616', '0', '0.932327', '-6538.84', '398', '5987.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355402', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.333487', '0', '0.942755', '-6538.1', '398.885', '5987.05', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355403', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.389418', '0', '0.921061', '-6537.52', '398', '5986.27', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355404', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.0948566', '0', '0.995491', '-6540.09', '398', '5989.67', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355405', '0', 'object/static/item/shared_item_container_energy_radioactive.iff', '0', '-0.466208', '0', '0.884675', '-6536.21', '398', '5994.66', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355406', '0', 'object/static/item/shared_item_container_energy_radioactive.iff', '0', '-0.416871', '0', '0.908966', '-6537.55', '398', '5995.71', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355407', '0', 'object/static/item/shared_item_container_energy_radioactive.iff', '0', '-0.466208', '0', '0.884675', '-6536.98', '398', '5993.48', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355408', '0', 'object/static/item/shared_item_container_energy_radioactive.iff', '0', '-0.416871', '0', '0.908966', '-6538.32', '398', '5994.52', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355409', '0', 'object/static/item/shared_item_container_energy_radioactive.iff', '0', '-0.466208', '0', '0.884675', '-6537.86', '398', '5992.52', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355410', '0', 'object/static/item/shared_item_container_energy_radioactive.iff', '0', '-0.416871', '0', '0.908966', '-6539.21', '398', '5993.57', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355411', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '-6538.36', '398', '5991.49', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355412', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '-6538.56', '398', '5991.16', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355413', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '-6538.93', '398', '5990.72', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355414', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '-6538.86', '398', '5991.56', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355415', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0', '0', '1', '-6559.22', '398', '6014.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355416', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0', '0', '1', '-6558.65', '398', '6014.05', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355417', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0', '0', '1', '-6558.07', '398', '6013.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355418', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0', '0', '1', '-6557.48', '398', '6013.93', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355419', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.0449848', '0', '0.998988', '-6556.98', '398', '6013.8', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355420', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.0998334', '0', '0.995004', '-6556.4', '398', '6013.71', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355421', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.0998334', '0', '0.995004', '-6555.85', '398', '6013.47', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355423', '0', 'object/static/item/shared_item_container_energy_solid.iff', '0', '0', '0', '1', '-6552.01', '398', '6012.81', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355424', '0', 'object/static/item/shared_item_container_energy_solid.iff', '0', '0', '0', '1', '-6552.6', '398', '6013.02', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355430', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.0499787', '0', '0.99875', '-6560.9', '398', '6014.35', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355431', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.0499787', '0', '0.99875', '-6560.34', '398', '6014.16', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355432', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.0499787', '0', '0.99875', '-6559.75', '398', '6014.11', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355433', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.942754', '0', '0.333487', '-6555.02', '398', '6024.82', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355434', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.40319', '0', '0.915116', '-6554.48', '398.885', '6024.99', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355435', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.361615', '0', '0.932327', '-6554.1', '398', '6025.24', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355436', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.99955', '0', '-0.029995', '-6553.15', '398', '6022.97', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355437', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.044985', '0', '0.998988', '-6552.64', '398.885', '6022.74', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355438', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0', '0', '1', '-6552.18', '398', '6022.67', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355439', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '-6516.81', '398', '6056.09', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355440', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '-6517.12', '398', '6055.11', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355441', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '-6516.53', '398', '6055.6', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355442', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '-6516.78', '398', '6055.31', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355443', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '-6516.81', '398', '6054.91', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355444', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '-6517.4', '398', '6055.88', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355445', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.0699423', '0', '0.997551', '-6507.5', '398', '6048.38', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355446', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.0998334', '0', '0.995004', '-6507.59', '398.885', '6047.35', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355447', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.0399893', '0', '0.9992', '-6507.82', '398', '6046.41', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355448', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '-0.620986', '0', '0.783822', '-6507.34', '398', '6054.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355449', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.991458', '0', '-0.130423', '-6492.62', '398', '6041.16', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355450', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.991458', '0', '-0.130424', '-6494.51', '398', '6040.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355451', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.688921', '0', '0.724837', '-6493.64', '398', '6040.59', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355452', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.764329', '0', '0.644827', '-6494.11', '398.885', '6040.74', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355453', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.991665', '0', '0.128846', '-6493.94', '398', '6039.77', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355454', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.556361', '0', '0.830941', '-6484.79', '398', '6037.01', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355455', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.470626', '0', '0.882333', '-6484.93', '398', '6038', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8355456', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.677976', '0', '0.735085', '-6485.58', '398', '6037.94', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8465489', '0', 'object/static/structure/general/shared_streetlamp_large_red_style_01.iff', '0', '0.999359', '0', '-0.0357887', '-6524.41', '404.997', '5903.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8465490', '0', 'object/static/structure/general/shared_streetlamp_large_red_style_01.iff', '0', '0.942488', '0', '-0.334238', '-6540.35', '404.998', '5909.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8465491', '0', 'object/static/structure/general/shared_streetlamp_large_red_style_01.iff', '0', '0.915437', '0', '0.40246', '-6567.25', '405.08', '5923.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8465492', '0', 'object/static/structure/general/shared_streetlamp_large_red_style_01.iff', '0', '0.967864', '0', '0.251474', '-6562.56', '405', '5941.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8465494', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0.375559', '0', '0.926798', '-6547.21', '398', '5957.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8465495', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0.926799', '-2.11574e-08', '-0.375559', '-3.28658e-08', '-6523.65', '402.985', '5972.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8465496', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '-0.0948575', '0', '0.995491', '-6491.59', '398', '5938.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8465497', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0.375559', '0', '0.926799', '-6481.02', '398', '5958.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8465498', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0.375559', '0', '0.926799', '-6480.83', '398', '5977.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8465499', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0.394018', '0', '0.919103', '-6462.9', '398', '5961.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8465501', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0.375559', '0', '0.926799', '-6444.78', '398', '5967.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8465502', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0.564642', '0', '0.825336', '-6456.71', '398', '6017.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8465503', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0.926799', '2.11574e-08', '-0.375559', '3.28658e-08', '-6485.08', '401.927', '6011.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8465506', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0.237703', '0', '0.971338', '-6481.4', '398', '6036', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8465507', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0.104808', '0', '0.994493', '-6503.37', '398', '6043.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8465508', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '-0.15438', '0', '0.988012', '-6518.75', '398', '6055.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8465509', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '-0.139543', '0', '0.990216', '-6533.06', '398', '6042.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8465510', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0.342898', '0', '0.939373', '-6541.48', '398', '6029.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8465511', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0.0799151', '0', '0.996802', '-6553.1', '398', '6001.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8465512', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0.0499792', '0', '0.99875', '-6581.04', '405', '6004.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8465513', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '-0.266731', '0', '0.963771', '-6549.5', '405', '6062.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8465514', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0.15438', '0', '0.988011', '-6484.65', '405', '6071.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8465516', '0', 'object/static/structure/general/shared_streetlamp_large_red_style_01.iff', '0', '-0.20846', '0', '0.978031', '-6422.37', '405', '6034.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8465517', '0', 'object/static/structure/general/shared_streetlamp_large_red_style_01.iff', '0', '-0.20846', '0', '0.978031', '-6433.48', '405', '6020.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8465518', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0', '0', '1', '-6426.27', '405', '5987.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8465519', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0.461779', '0', '0.886995', '-6456.07', '405', '5929.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8465520', '0', 'object/static/structure/general/shared_streetlamp_large_red_style_01.iff', '0', '0.637761', '0', '0.770234', '-6483.26', '405.18', '5901.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8465521', '0', 'object/static/structure/general/shared_streetlamp_large_red_style_01.iff', '0', '0.882707', '0', '0.469922', '-6494.87', '405', '5915.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8465531', '0', 'object/building/corellia/shared_salon_corellia.iff', '0', '0.934943', '0', '-0.354799', '-5156.44', '5.13163', '-6368.16', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '8465532', '8465531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555470', '0', 'object/building/military/shared_rebel_hideout_themepark.iff', '0', '0.924606', '0', '-0.380925', '-6506.41', '398', '5990.09', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555471', '8555470', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555472', '8555470', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555473', '8555470', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555474', '8555470', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555475', '8555470', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555476', '8555470', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555477', '8555470', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555478', '8555470', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555479', '8555470', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555480', '8555470', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555481', '8555470', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '9765510', '8555481', 'object/static/structure/general/shared_streetlamp_small_style_01_on.iff', '0', '0', '0', '1', '-11.0185', '7.10463', '9.26153', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8555482', '8555470', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675401', '0', 'object/static/item/shared_item_rifle.iff', '-0.467281', '-0.412309', '-0.261378', '0.73711', '-3415.83', '74.2214', '3337.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675402', '0', 'object/static/item/shared_item_food_fruit_s01.iff', '0', '0', '0', '1', '-3415.82', '74', '3337.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675403', '0', 'object/static/item/shared_item_con_drink_flask.iff', '0', '0', '0', '1', '-3416.1', '75.4863', '3337.93', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675426', '0', 'object/static/item/shared_item_con_drink_flask.iff', '0', '0', '0', '1', '-3335.28', '72.1128', '2924.9', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675427', '0', 'object/static/item/shared_item_con_ration_kit_m.iff', '0', '0', '0', '1', '-3335.25', '72.0649', '2924.73', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675428', '0', 'object/static/item/shared_item_food_fruit_s01.iff', '0', '0', '0', '1', '-3335.46', '72.1066', '2924.82', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675429', '0', 'object/static/item/shared_item_vibroaxe.iff', '0', '0', '0', '1', '-3334.9', '72.9455', '2924.83', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675430', '0', 'object/static/item/shared_item_rifle.iff', '-0.0368637', '0.0407801', '0.669573', '0.740709', '-3334.84', '72.1082', '2925.29', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675708', '0', 'object/tangible/camp/shared_camp_tent_s5.iff', '0', '0', '0', '1', '1811.28', '30.1654', '4989.77', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675709', '0', 'object/tangible/camp/shared_camp_light_s2.iff', '0', '0', '0', '1', '1807.32', '29.8893', '4989.05', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675710', '0', 'object/tangible/camp/shared_camp_lawn_chair.iff', '0', '0.897911', '0', '-0.440178', '1807.67', '30.2339', '4992.37', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675711', '0', 'object/tangible/camp/shared_camp_crate_s1.iff', '0', '0', '0', '1', '1808.11', '29.7789', '4987.15', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675712', '0', 'object/tangible/camp/shared_camp_chair_s3.iff', '0', '0', '0', '1', '1807.01', '30.0539', '4990.19', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675713', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '1809.03', '29.8125', '4986.64', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675714', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '1808.83', '29.8097', '4986.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675717', '0', 'object/tangible/camp/shared_camp_tent_s5.iff', '0', '0', '0', '1', '-197.304', '45.7353', '4575.88', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675718', '0', 'object/tangible/camp/shared_camp_light_s2.iff', '0', '0', '0', '1', '-201.466', '45.45', '4575.22', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675719', '0', 'object/tangible/camp/shared_camp_chair_s3.iff', '0', '0.867423', '0', '-0.497571', '-200.575', '45.5947', '4578.75', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675721', '0', 'object/tangible/camp/shared_camp_tent_s4.iff', '0', '0', '0', '1', '769.896', '423.726', '5867.88', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675722', '0', 'object/tangible/camp/shared_camp_chair_s1.iff', '0', '0.95209', '0', '-0.305817', '766.635', '423.914', '5870.43', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675723', '0', 'object/tangible/camp/shared_camp_crate_s1.iff', '0', '0', '0', '1', '764.392', '423.32', '5865.05', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675724', '0', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '765.092', '423.324', '5865.11', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675725', '0', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0.754571', '0.656219', '765.189', '423.451', '5865.45', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675726', '0', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '763.646', '423.311', '5864.87', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675727', '0', 'object/static/item/shared_item_con_drink_flask.iff', '0', '0', '0.754571', '-0.656219', '764.112', '423.388', '5865.35', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675728', '0', 'object/static/item/shared_item_con_glass_full_s2.iff', '0', '0', '0', '1', '764.241', '423.697', '5865.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675729', '0', 'object/static/item/shared_item_con_glass_beaker.iff', '0', '0', '0', '1', '764.127', '423.691', '5865.07', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675730', '0', 'object/static/item/shared_item_con_pitcher_full.iff', '0', '0', '0', '1', '764.618', '423.699', '5865.06', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675731', '0', 'object/static/item/shared_item_con_ration_kit_lg.iff', '0', '0', '0', '1', '767.226', '423.425', '5865.74', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675732', '0', 'object/static/item/shared_item_con_ration_kit_m.iff', '0', '0.940806', '0', '-0.338946', '767.394', '423.443', '5865.5', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675734', '0', 'object/static/item/shared_item_con_ration_kit_m.iff', '0', '0', '0', '1', '767.201', '423.419', '5866.04', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675737', '0', 'object/tangible/camp/shared_camp_tent_s1.iff', '0', '0.975897', '0', '-0.21823', '864.708', '31.249', '3840.28', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675739', '0', 'object/tangible/camp/shared_campfire_logs_burnt.iff', '0', '0', '0', '1', '863.373', '31.2045', '3837.26', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675740', '0', 'object/tangible/camp/shared_camp_chair_s3.iff', '0', '1', '0', '3.20013e-08', '862.046', '31.0841', '3839.37', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675742', '0', 'object/tangible/camp/shared_camp_lantern_s3.iff', '0', '0', '0', '1', '865.19', '31.3088', '3838.01', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675748', '0', 'object/static/structure/corellia/shared_corl_imprv_bannerpole_s01.iff', '0', '0', '0', '1', '6711.71', '316.458', '-5598.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675750', '0', 'object/static/structure/corellia/shared_corl_imprv_bannerpole_s01.iff', '0', '0', '0', '1', '6702.67', '316.452', '-5598.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675751', '0', 'object/static/structure/corellia/shared_corl_imprv_flagpole_s01.iff', '0', '0', '0', '1', '6935.63', '339.265', '-5550.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675752', '0', 'object/static/structure/corellia/shared_corl_imprv_flagpole_s01.iff', '0', '0', '0', '1', '6635.9', '339.276', '-5906.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675753', '0', 'object/static/structure/corellia/shared_corl_imprv_flagpole_s01.iff', '0', '0', '0', '1', '6836.65', '315', '-5783.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675754', '0', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '-0.706823', '0', '0.70739', '6835.28', '315', '-5783.64', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675757', '0', 'object/static/structure/corellia/shared_corl_imprv_flagpole_s01.iff', '0', '0', '0', '1', '-225.238', '37.565', '-4514.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675758', '0', 'object/static/structure/corellia/shared_corl_imprv_flagpole_s01.iff', '0', '0', '0', '1', '-194.728', '37.565', '-4514.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675759', '0', 'object/static/structure/corellia/shared_corl_imprv_flagpole_s01.iff', '0', '0', '0', '1', '-314.325', '37.3083', '-4631.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675760', '0', 'object/static/structure/corellia/shared_corl_imprv_bannerpole_s01.iff', '0', '0', '0', '1', '-271.073', '29.6051', '-4699.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675761', '0', 'object/static/structure/corellia/shared_corl_imprv_bannerpole_s01.iff', '0', '0', '0', '1', '-280.112', '29.6051', '-4699.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675762', '0', 'object/static/structure/corellia/shared_corl_imprv_bannerpole_s01.iff', '0', '0', '0', '1', '-214.527', '29.5094', '-4340.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675763', '0', 'object/static/structure/corellia/shared_corl_imprv_bannerpole_s01.iff', '0', '0', '0', '1', '-205.562', '29.5094', '-4340.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675765', '0', 'object/static/structure/corellia/shared_corl_imprv_flagpole_s01.iff', '0', '0', '0', '1', '-563.42', '35.3129', '-4240.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675767', '0', 'object/static/structure/corellia/shared_corl_imprv_flagpole_s01.iff', '0', '0', '0', '1', '-26.2477', '31.5854', '-4599.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675768', '0', 'object/static/structure/corellia/shared_corl_imprv_flagpole_s01.iff', '0', '0', '0', '1', '-84.9372', '31.5724', '-4599.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675769', '0', 'object/static/structure/corellia/shared_corl_imprv_bannerpole_s01.iff', '0', '-0.13459', '0', '0.990901', '-61.7526', '28', '-4699.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675770', '0', 'object/static/structure/corellia/shared_corl_imprv_bannerpole_s01.iff', '0', '0.129635', '0', '0.991562', '-44.589', '28', '-4698.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675771', '0', 'object/static/structure/corellia/shared_corl_imprv_flagpole_s01.iff', '0', '0', '0', '1', '3322.33', '319.636', '5519.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675772', '0', 'object/static/structure/corellia/shared_corl_imprv_bannerpole_s01.iff', '0', '-0.382683', '0', '0.92388', '3307.69', '301.39', '5382.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675773', '0', 'object/static/structure/corellia/shared_corl_imprv_bannerpole_s01.iff', '0', '-0.382683', '0', '0.92388', '3301.38', '301.39', '5375.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675774', '0', 'object/static/structure/corellia/shared_corl_imprv_flagpole_s01.iff', '0', '0', '0', '1', '3147.89', '307.351', '5156.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675775', '0', 'object/static/structure/corellia/shared_corl_imprv_bannerpole_s01.iff', '0', '0', '0', '1', '-3144.64', '31', '2809.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675776', '0', 'object/static/structure/corellia/shared_corl_imprv_bannerpole_s01.iff', '0', '0', '0', '1', '-3131.6', '31', '2809.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675777', '0', 'object/static/structure/corellia/shared_corl_imprv_flagpole_s01.iff', '0', '0', '0', '1', '-3281.8', '93.3502', '3115.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675778', '0', 'object/static/structure/corellia/shared_corl_imprv_flagpole_s01.iff', '0', '0', '0', '1', '-3759.77', '95.3327', '3243.52', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675779', '0', 'object/static/structure/corellia/shared_corl_imprv_flagpole_s01.iff', '0', '0', '0', '1', '3088.96', '280.379', '4993.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675780', '0', 'object/static/structure/corellia/shared_corl_imprv_flagpole_s01.iff', '0', '0', '0', '1', '-5609.97', '30.3001', '-2775.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675781', '0', 'object/static/structure/corellia/shared_corl_imprv_flagpole_s01.iff', '0', '0', '0', '1', '-5292.54', '29.7113', '-2567.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675782', '0', 'object/static/structure/corellia/shared_corl_imprv_flagpole_s01.iff', '0', '0', '0', '1', '-5298.08', '29.7113', '-2556.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675783', '0', 'object/static/structure/corellia/shared_corl_imprv_flagpole_s01.iff', '0', '0', '0', '1', '-5146.91', '47.6124', '-2518.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675785', '0', 'object/static/structure/corellia/shared_corl_imprv_flagpole_s01.iff', '0', '0', '0', '1', '-5476', '27.2646', '-2981', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675786', '0', 'object/static/structure/corellia/shared_corl_imprv_bannerpole_s01.iff', '0', '0', '0', '1', '-5497.52', '22.783', '-2799.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675787', '0', 'object/static/structure/corellia/shared_corl_imprv_bannerpole_s01.iff', '0', '0', '0', '1', '-5506.54', '22.8188', '-2799.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675788', '0', 'object/static/structure/corellia/shared_corl_imprv_flagpole_s01.iff', '0', '0', '0', '1', '-4941.44', '28.3561', '-2434.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675789', '0', 'object/static/structure/corellia/shared_corl_imprv_flagpole_s01.iff', '0', '0', '0', '1', '-5017.7', '30.3068', '-2354.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675791', '0', 'object/static/structure/corellia/shared_corl_imprv_flagpole_s01.iff', '0', '0', '0', '1', '-5538.59', '16.6687', '-6065.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '8675792', '0', 'object/static/structure/corellia/shared_corl_imprv_flagpole_s01.iff', '0', '0', '0', '1', '-5515.73', '50.0887', '-6149.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9165526', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '-0.124684', '0.00045797', '-0.0296301', '0.991754', '-5462.75', '42.8022', '-931.333', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '9445359', '0', 'object/tangible/instrument/shared_ommni_box.iff', '0', '0.29074', '0', '0.956802', '-5059.77', '21', '-2290.13', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9445361', '0', 'object/tangible/crafting/station/shared_public_clothing_station.iff', '0', '0.937369', '0', '-0.348337', '-5085.98', '21', '-2312.52', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9445362', '0', 'object/tangible/crafting/station/shared_public_food_station.iff', '0', '0.918788', '0', '0.394751', '-5077.22', '21', '-2303.62', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9445364', '0', 'object/tangible/crafting/station/shared_public_weapon_station.iff', '0', '0.925212', '0', '0.379452', '-5112.39', '21', '-2329.8', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9445375', '0', 'object/static/structure/general/shared_data_terminal_s4.iff', '0', '0.710353', '0', '-0.703845', '-5429.57', '20.8103', '-2684.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9555352', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '-236.408', '28', '-4472.91', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '9555353', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '-233.094', '28', '-4466.62', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '9555373', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '-0.193767', '0', '0.981048', '-5039.22', '21', '-2321.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9555374', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '-0.648034', '0', '0.761611', '-5038.6', '21', '-2330.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9555380', '0', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '0.94037', '0', '0.340152', '-5024.68', '21', '-2314.42', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '9555381', '0', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '0.969193', '0', '0.246304', '-5025.74', '21', '-2313.49', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '9555382', '0', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '0.962058', '0', '-0.272846', '-5025.83', '21', '-2314.31', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '9555387', '0', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '0.962058', '0', '-0.272846', '-5026.69', '21', '-2309.38', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '9555392', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.382683', '0', '0.92388', '-5042.4', '21', '-2304.95', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9555394', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.92388', '0', '0.382683', '-5042.51', '21', '-2306.42', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9555416', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '-0.702146', '0', '0.712033', '-3121.27', '31', '2791.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9555417', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '0.783327', '0', '-0.62161', '-3121.38', '31', '2792.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9555420', '0', 'object/tangible/crafting/station/shared_public_food_station.iff', '0', '0.00499949', '0', '0.999987', '-3141.65', '31', '2789.69', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9555421', '0', 'object/static/structure/general/shared_droid_21bmedical_powerdown.iff', '0', '0.434966', '0', '0.900447', '-3145.82', '31', '2790.83', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '9555426', '0', 'object/static/structure/tatooine/shared_skeleton_greater_krayt_head.iff', '-0.211749', '0.468338', '-0.33486', '0.789741', '-3164.12', '31', '2804.58', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9555427', '0', 'object/static/structure/general/shared_all_banner_generic_s02.iff', '0', '-0.531187', '0', '0.847255', '-3166.28', '31.0199', '2803.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9555430', '0', 'object/tangible/crafting/station/shared_public_food_station.iff', '0', '-0.0142043', '0', '0.999899', '-3163.96', '31', '2795.28', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9555431', '0', 'object/tangible/crafting/station/shared_public_weapon_station.iff', '0', '0.999991', '0', '0.00420365', '-3163.59', '31', '2788.17', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9555432', '0', 'object/tangible/crafting/station/shared_public_clothing_station.iff', '0', '-0.0176101', '0', '0.999845', '-3168.71', '31', '2792.09', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9555440', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '0', '0', '1', '-3163.65', '31', '2797.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9555443', '0', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '0.469779', '0', '0.882784', '-5000.85', '21', '-2456.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '9555444', '0', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '0.0710954', '0', '0.997469', '-5001.49', '21', '-2456.29', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '9555446', '0', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '0.840219', '0', '-0.542246', '3343.2', '308', '5518.99', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '9555447', '0', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '0.77555', '0', '0.631286', '3341.93', '308', '5519.59', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '9555448', '0', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '0.453124', '0', '0.891447', '3343.53', '308', '5518.13', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '9555452', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '0.281157', '0', '0.959662', '3332.58', '308', '5515.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9555453', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '-0.492535', '0', '0.870293', '3339.78', '308', '5514.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9555455', '0', 'object/tangible/crafting/station/shared_public_food_station.iff', '0', '0.247404', '0', '0.968912', '3313.51', '308', '5525.99', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9555456', '0', 'object/tangible/crafting/station/shared_public_clothing_station.iff', '0', '0.971882', '0', '-0.235467', '3311.57', '308', '5534.26', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9555462', '0', 'object/tangible/instrument/shared_ommni_box.iff', '0', '0.958016', '0', '0.286715', '3307.44', '308', '5524.12', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9555464', '0', 'object/static/structure/tatooine/shared_skeleton_greater_krayt_head.iff', '-0.229614', '0.965942', '0.0452037', '-0.110412', '3328.97', '308', '5514.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665352', '0', 'object/building/corellia/shared_starport_corellia.iff', '0', '0.971527', '0', '-0.236929', '3377.14', '308', '5605.06', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '6035886', '9665352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665353', '9665352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665354', '9665352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665355', '9665352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665356', '9665352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1033481', '9665356', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0', '0', '1', '-10.766', '0.639424', '62.6326', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1033482', '9665356', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0', '0', '1', '-10.7535', '0.639423', '57.1259', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1033483', '9665356', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0', '0', '1', '-0.393214', '0.639421', '57.146', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1033592', '9665356', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0', '0', '1', '-0.288274', '0.639421', '62.3189', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1033593', '9665356', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0', '0', '1', '9.95278', '0.639422', '62.5585', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1033594', '9665356', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0', '0', '1', '10.0814', '0.639422', '56.9195', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '2655354', '9665356', 'object/soundobject/shared_soundobject_starport_announcer.iff', '0', '0', '0', '1', '-0.068575', '0.639421', '59.6321', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '4335598', '9665356', 'object/tangible/terminal/shared_terminal_newsnet.iff', '0', '0', '0', '1', '6.64789', '0.639421', '49.4759', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '4855813', '9665356', 'object/tangible/terminal/shared_terminal_newsnet.iff', '0', '0', '0', '1', '-8.61425', '0.639421', '49.9003', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665357', '9665352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665358', '9665352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665359', '9665352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665360', '9665352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665361', '9665352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665362', '9665352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '1509587', '9665362', 'object/tangible/terminal/shared_terminal_space.iff', '0', '-0.0702515', '0', '0.997529', '-40.4022', '1.63942', '46.4486', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1509588', '9665362', 'object/tangible/terminal/shared_terminal_space.iff', '0', '-0.657353', '0', '0.753583', '-37.9147', '1.63942', '49.266', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1509589', '9665362', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0.761611', '0', '0.648034', '-44.1344', '1.63942', '50.1386', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '1509590', '9665362', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0.998318', '0', '0.057976', '-41.5785', '1.63942', '52.8938', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665363', '9665352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665364', '9665352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665365', '9665352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665366', '9665352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665367', '9665352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665381', '0', 'object/static/structure/general/shared_data_terminal_free_s1.iff', '0', '-0.324043', '0', '0.946042', '-5430.53', '21', '-2688.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665382', '0', 'object/static/structure/general/shared_data_terminal_free_s2.iff', '0', '-0.706825', '0', '0.707389', '-5429.61', '21', '-2686.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665461', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '1', '0', '-3.20013e-08', '6707.1', '315', '-5580.95', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665462', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.707106', '0', '0.707107', '6704.07', '315', '-5578', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665463', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.707106', '0', '0.707107', '6704.11', '315', '-5572.99', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665464', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0', '0', '1', '6707.11', '315', '-5570.91', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665465', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.707106', '0', '0.707107', '6709.99', '315', '-5577.89', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665466', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.443948', '0', '0.896053', '6897.77', '330', '-5568.78', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665467', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0', '0', '1', '6891.4', '330', '-5572.23', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665468', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.382683', '0', '0.92388', '6885.55', '330', '-5569.56', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665469', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.707107', '0', '0.707107', '6882.74', '330', '-5562.74', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665470', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.92388', '0', '0.382683', '6885.65', '330', '-5557.23', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665471', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '1', '0', '-3.20013e-08', '6891.38', '330', '-5554.73', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665472', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.92388', '0', '-0.382683', '6896.25', '330', '-5556.49', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665473', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.707107', '0', '0.707107', '6899.93', '330', '-5562.83', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665474', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '1', '0', '-3.20013e-08', '6721.31', '315', '-5558.71', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665475', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '1', '0', '-3.20013e-08', '6692.55', '315', '-5558.59', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665476', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.707107', '0', '0.707107', '6688.38', '315', '-5574.8', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665477', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0', '0', '1', '6702.64', '315', '-5597.18', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665478', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0', '0', '1', '6711.9', '315', '-5597.1', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665479', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.632673', '0', '0.774419', '6931.83', '330', '-5545.1', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665480', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.632673', '0', '0.774419', '6933.3', '330', '-5537.97', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665481', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.632673', '0', '0.774419', '6934.45', '330', '-5532.15', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665482', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.707107', '0', '0.707107', '6846.67', '315.001', '-5571.66', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665483', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.707107', '0', '0.707107', '6846.67', '315', '-5563.77', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665484', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.707107', '0', '0.707107', '6846.68', '315', '-5555.75', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665485', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '1', '0', '-3.20013e-08', '6839.97', '315', '-5549.73', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665486', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.707107', '0', '0.707107', '6813.53', '315', '-5764.16', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665487', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.707106', '0', '0.707107', '6813.65', '315', '-5756.21', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665488', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.707107', '0', '0.707107', '6813.67', '315', '-5748.17', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665489', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '1', '0', '-3.20013e-08', '6791.07', '315', '-5802.35', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665490', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '1', '0', '-3.20013e-08', '6808.05', '315', '-5802.44', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665491', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.707107', '0', '0.707107', '6642.36', '330', '-5882.99', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665492', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.707106', '0', '0.707107', '6709.9', '315', '-5573.33', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665493', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.999415', '0', '-0.0341969', '6630.72', '330', '-5937.98', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665494', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.999415', '0', '-0.034197', '6625.38', '330', '-5937.64', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665495', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '1', '0', '-3.20013e-08', '6673.55', '330', '-5904.29', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665496', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0', '0', '1', '6758.97', '315', '-5819.06', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665497', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.707107', '0', '0.707107', '6815.62', '315', '-5795.6', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665498', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0', '0', '1', '6632', '330', '-5946.15', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665499', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0', '0', '1', '-5538.43', '15.9234', '-6063.98', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665500', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.707106', '0', '0.707107', '-5540.62', '16.0008', '-6065.99', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665501', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '1', '0', '-3.20013e-08', '-5538.59', '16.0234', '-6068.09', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665502', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.707107', '0', '0.707107', '-5536.4', '15.8327', '-6066.08', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665503', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0', '0', '1', '-5535', '23.4', '-6182.95', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665504', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0', '0', '1', '-5537.99', '23.4', '-6182.94', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665505', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0', '0', '1', '-5541.01', '23.4', '-6182.94', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665506', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '1', '0', '-3.20013e-08', '-5541', '23.4', '-6175', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665507', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '1', '0', '-3.20013e-08', '-5538', '23.4', '-6175.03', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665508', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '1', '0', '-3.20013e-08', '-5535.02', '23.4', '-6175.06', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665509', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.707107', '0', '0.707107', '-5359.91', '23.8847', '-6240.07', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665510', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '1', '0', '-3.20013e-08', '-5356.01', '23.9998', '-6244.05', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665511', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.707107', '0', '0.707107', '-5352', '24', '-6240.03', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665512', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0', '0', '1', '-5356', '23.9589', '-6236.06', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665513', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.707107', '0', '0.707107', '-5497.98', '23.4', '-6181.04', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665514', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.707106', '0', '0.707107', '-5497.99', '23.4', '-6177.06', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665515', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.707107', '0', '0.707107', '-5488', '23.4', '-6177.04', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665516', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.707106', '0', '0.707107', '-5487.98', '23.4', '-6181.01', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665517', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.918036', '0', '-0.396498', '-5157.15', '4.20181', '-6386.36', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665518', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.953033', '0', '-0.302867', '-5169.58', '4.13836', '-6376.07', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665519', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.707106', '0', '0.707107', '-5292.69', '4', '-6424.92', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665520', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.707106', '0', '0.707107', '-5292.77', '4', '-6429.63', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665521', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.707106', '0', '0.707107', '-5287.2', '4', '-6429.6', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665522', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.707106', '0', '0.707107', '-5287.15', '4', '-6425', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665523', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.707106', '0', '0.707107', '-5304.53', '4', '-6429.41', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665524', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.707106', '0', '0.707107', '-5304.52', '4', '-6424.75', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665525', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.707106', '0', '0.707107', '-5310.07', '4', '-6424.84', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9665526', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.707107', '0', '0.707107', '-5310.15', '4', '-6429.38', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9765517', '0', 'object/soundobject/shared_soundobject_rebel_hideout.iff', '0', '0', '0', '1', '-6529.75', '398', '5970.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9775366', '0', 'object/static/structure/general/shared_droid_r5_powerdown.iff', '0', '-0.506907', '0', '0.862001', '3336.11', '308', '5500.96', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '9775370', '0', 'object/static/structure/general/shared_droid_lemedical_powerdown.iff', '0', '-0.66687', '0', '0.745174', '3337.96', '308', '5504.07', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '9775391', '0', 'object/static/structure/general/shared_droid_r2_powerdown.iff', '0', '-0.199839', '0', '0.979829', '-5126.94', '21', '-2361.19', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '9775393', '0', 'object/static/structure/general/shared_droid_r3_powerdown.iff', '0', '0.707106', '0', '0.707107', '-5129.65', '21', '-2363.62', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825352', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '-0.412321', '0', '0.911039', '-7484.45', '242.001', '-3973.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825353', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_1.iff', '0', '0', '0', '1', '-7485.58', '241.987', '-3976.06', '256', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825363', '0', 'object/tangible/furniture/all/shared_frn_all_professor_desk.iff', '-0.000596609', '0.999987', '-0.00496429', '-0.000398576', '-1421.46', '85.2445', '1986.63', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825371', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0', '0', '1', '-3616.04', '21.9793', '-349.926', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825372', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0', '0', '1', '-3624.35', '22.0609', '-349.929', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825373', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_2.iff', '0', '0.0099997', '0', '0.99995', '-1421.11', '84.1642', '1988.34', '256', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825374', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0', '0', '1', '-3607.79', '22.3437', '-349.938', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825376', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.677972', '0', '0.735087', '-3607.14', '21.7874', '-358.293', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825379', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0', '0', '1', '-3606.55', '21.9705', '-366.751', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825381', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.747971', '0', '-0.663731', '-1419.92', '85.9623', '1986.61', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825382', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.747971', '0', '-0.663731', '-1419.96', '85.2784', '1986.6', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825385', '0', 'object/static/structure/corellia/shared_corl_banner_govt_angled_s01.iff', '0', '0.999784', '0', '-0.0207949', '-3606.57', '25.2976', '-369.857', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825396', '0', 'object/static/structure/tatooine/shared_guild_statue_free_style_01.iff', '0', '0.789504', '0', '-0.613746', '-7064.41', '270.979', '-1592.95', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825405', '0', 'object/static/structure/general/shared_poi_all_monolith_s01.iff', '0', '0', '0', '1', '-1907.38', '214.256', '3995.54', '175', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825407', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '-0.21366', '-0.0444244', '-0.198661', '0.955463', '6298.54', '169.469', '-3950.21', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825411', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '-0.289918', '0.812737', '0.0181843', '-0.505051', '6289.04', '170.162', '-3955.12', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825414', '0', 'object/static/structure/general/shared_flag_corellia_s01.iff', '0', '0', '0', '1', '-3620.53', '21.0465', '-361.165', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825419', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0.169182', '0', '0', '0.985585', '6290.68', '169.447', '-3950.63', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825421', '0', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff', '0', '1', '0', '5.30747e-08', '-1907.24', '227.438', '3994.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825423', '0', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff', '0', '0', '0', '1', '-1907.56', '227.787', '3996.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825424', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0.140646', '-0.407378', '-0.0636541', '0.900117', '6300.48', '172.522', '-3958.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825425', '0', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff', '0', '-0.707106', '0', '0.707107', '-1908.77', '227.387', '3995.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825426', '0', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff', '0', '0.707106', '0', '0.707107', '-1905.97', '227.318', '3995.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825429', '0', 'object/static/structure/general/shared_escape_pod.iff', '0.167709', '0.827335', '-0.106504', '-0.525402', '-5459.9', '43.2694', '-929.765', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825431', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-7065.24', '271.63', '-1592.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825433', '0', 'object/static/structure/general/shared_r5_head.iff', '0', '0.933839', '0', '-0.357693', '-5469.65', '40.5851', '-934.924', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825434', '0', 'object/static/structure/general/shared_r5_leg.iff', '0', '0.992713', '0', '0.120503', '-5469.86', '42.3597', '-928.802', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825435', '0', 'object/static/structure/general/shared_r5_torso.iff', '0', '0.576958', '0', '0.816774', '-5464.64', '42.6422', '-930.974', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825436', '0', 'object/static/structure/corellia/shared_corl_power_arial_thin.iff', '0', '0.999899', '0', '-0.0142031', '-3609.09', '21.3253', '-354.824', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825438', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0', '0', '1', '5669.11', '18.7696', '-1570.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825440', '0', 'object/static/structure/tatooine/shared_debris_tatt_radar_dish.iff', '0.999667', '0', '0', '0.0257934', '5667.42', '22.1987', '-1557.74', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825442', '0', 'object/static/structure/tatooine/shared_shed_junkshop_watto.iff', '0', '0', '0', '1', '5667.35', '16.8485', '-1557.59', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825444', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '-0.310795', '0.146543', '0.0485628', '0.937856', '-1699.52', '366.935', '6878.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825445', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '-0.00672245', '0.0444797', '-0.149287', '0.98777', '-1701.9', '362.722', '6876.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825449', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0.195992', '-0.142901', '0.571552', '0.783898', '-1694.66', '368.078', '6876', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825450', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '-0.707106', '0', '0.707107', '-384.185', '418.056', '6070.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825451', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '0', '0', '1', '-378.983', '418.002', '6075.14', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825452', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '0', '0', '1', '-379.082', '418.006', '6065.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825453', '0', 'object/static/particle/shared_particle_smoke.iff', '0', '0', '0', '1', '5667.63', '19.4805', '-1557.55', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825454', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0.352274', '0', '0.935897', '-1700.22', '369.593', '6876.52', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825455', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '0.92388', '0', '0.382684', '-382.638', '418.072', '6074.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825461', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '0.382684', '0', '0.923879', '-382.593', '418.051', '6066.72', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825462', '0', 'object/static/structure/general/shared_prp_junk_s1.iff', '0', '0', '0', '1', '-3516.83', '28.1109', '2566.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825463', '0', 'object/static/structure/general/shared_prp_junk_s4.iff', '0.0929608', '-0.280518', '0.300517', '0.906839', '-3520.17', '28.1517', '2564.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825465', '0', 'object/static/structure/general/shared_prp_junk_s5.iff', '0', '0', '-0.361615', '0.932327', '-3520.87', '28.2166', '2569.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825466', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '-0.417736', '-0.334913', '0.658956', '0.528306', '-3515.67', '27.9056', '2563.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825469', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0', '0', '1', '5663.35', '18.4021', '-1570.47', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825471', '0', 'object/static/structure/general/shared_poi_protocolarm.iff', '0', '0', '0', '1', '-3516.68', '28.0126', '2564.4', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825472', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0', '0', '1', '-1702.9', '363.815', '6877.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825475', '0', 'object/static/structure/general/shared_r5_torso.iff', '0', '0', '0', '1', '-3517.14', '27.9098', '2563.83', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825477', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0', '0.857299', '0.514819', '-1697.68', '366.459', '6873.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825479', '0', 'object/static/structure/general/shared_r3_head.iff', '0', '0', '0', '1', '-3517.53', '27.1407', '2563.34', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825481', '0', 'object/static/structure/general/shared_r2_leg.iff', '0', '0', '0', '1', '-3516.18', '27.9685', '2563.81', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825482', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0', '0', '1', '-1702.28', '366.083', '6879.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825483', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0', '0', '1', '-1697.62', '370.169', '6879.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825484', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0.864924', '0', '0.501902', '-1693.09', '371.507', '6874.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825485', '0', 'object/static/structure/general/shared_escape_pod_door.iff', '0.707106', '-7.72715e-09', '7.72715e-09', '0.707107', '-3514.21', '28.052', '2565.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825486', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '-0.148467', '0.584821', '-0.156414', '0.781969', '-1703.17', '367.288', '6883.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825487', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0', '0', '0.0249973', '0.999687', '-1701.95', '361.129', '6872.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825488', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '-0.0485384', '-0.227728', '0.20273', '0.951149', '-1705.21', '360.909', '6878.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825489', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '0.707108', '0', '0.707105', '-374.104', '418.001', '6070.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825490', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '-0.382684', '0', '0.923879', '-375.65', '417.967', '6066.96', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825491', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '0.923879', '0', '-0.382684', '-375.696', '418.008', '6074.35', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825495', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_lg_s01.iff', '0', '-0.452886', '0', '0.891568', '-4267.29', '0.106489', '3639.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825496', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.29074', '0', '0.956802', '6277.96', '26.7439', '4401.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825497', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.29074', '0', '0.956802', '6274.26', '26.7144', '4407.42', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825502', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_lg_s01.iff', '-0.0944086', '-0.442937', '0.185856', '0.871981', '-4242.28', '-0.0178074', '3622.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825504', '0', 'object/static/structure/military/shared_military_wall_med_rebl_style_01.iff', '0', '0.882145', '0', '-0.470977', '6282.92', '27.0165', '4408.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825505', '0', 'object/static/structure/military/shared_military_wall_med_rebl_style_01.iff', '0', '0.882145', '0', '-0.470978', '6269.2', '26.6623', '4399.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825507', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '0', '0', '1', '-5321.47', '248.082', '215.19', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825513', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0', '0.707105', '0', '0.707108', '-5327.39', '252.152', '219.985', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825516', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '0.479426', '0', '0.877583', '6271.82', '26.5969', '4401.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825518', '0', 'object/building/endor/shared_endr_lake_rail8m.iff', '0', '-0.439462', '0', '0.898261', '-4278.75', '0.273495', '3648.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825521', '0', 'object/static/structure/corellia/shared_corl_power_arial_prime.iff', '0', '0.501213', '0', '0.865324', '6274.17', '26.5371', '4404.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825522', '0', 'object/static/structure/corellia/shared_corl_power_arial_thin.iff', '0', '0.945784', '0', '0.324796', '6275.37', '27.0241', '4405.79', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825523', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '1', '0', '-3.20013e-08', '-5333.55', '249.878', '217.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825525', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '-0.463191', '0', '0.886258', '-4256.99', '0.299979', '3632.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825526', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '-0.123123', '0.843166', '0.0756224', '-0.517874', '-5324.44', '249.734', '214.603', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825527', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '-0.309817', '0', '0.950796', '6280.19', '27.1851', '4407.35', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825528', '0', 'object/static/structure/corellia/shared_corl_power_connector.iff', '0', '0.470626', '0', '0.882333', '6273.68', '26.2056', '4392.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825532', '0', 'object/static/structure/corellia/shared_corl_power_arial_thin.iff', '0', '0', '-0.059964', '0.998201', '-5321', '250.953', '221.096', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825538', '0', 'object/static/installation/shared_mockup_power_generator_wind_style_1.iff', '0', '-0.309816', '0', '0.950796', '6283.45', '25.6473', '4380.37', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825539', '0', 'object/static/installation/shared_mockup_power_generator_wind_style_1.iff', '0', '-0.309816', '0', '0.950796', '6294.23', '27.0944', '4387.53', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825541', '0', 'object/static/installation/shared_mockup_power_generator_wind_style_1.iff', '0', '-0.309816', '0', '0.950796', '6305.49', '28.526', '4394.84', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825542', '0', 'object/static/installation/shared_mockup_power_generator_wind_style_1.iff', '0', '-0.309816', '0', '0.950796', '6293.48', '26.12', '4368', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825543', '0', 'object/static/installation/shared_mockup_power_generator_wind_style_1.iff', '0', '-0.309816', '0', '0.950796', '6305.99', '27.8262', '4375.12', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825544', '0', 'object/static/installation/shared_mockup_power_generator_wind_style_1.iff', '0', '-0.309816', '0', '0.950796', '6318.05', '28.7373', '4383.14', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825546', '0', 'object/static/installation/shared_mockup_power_generator_wind_style_1.iff', '0', '-0.309816', '0', '0.950796', '6302.4', '26.2107', '4355.27', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825547', '0', 'object/static/installation/shared_mockup_power_generator_wind_style_1.iff', '0', '-0.309816', '0', '0.950796', '6316.6', '27.4705', '4363.09', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825548', '0', 'object/static/installation/shared_mockup_power_generator_wind_style_1.iff', '0', '-0.309816', '0', '0.950796', '6329.74', '27.4852', '4371.61', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825555', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0.509841', '0', '0.860269', '6266.95', '26.083', '4398.34', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825556', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_medium.iff', '0', '0', '0', '1', '4110.56', '350.001', '-4312.85', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825559', '0', 'object/static/structure/general/shared_droid_r3_powerdown.iff', '0.0433279', '0.843024', '-0.0156817', '-0.535899', '6266.95', '26.3896', '4399.63', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825560', '0', 'object/static/structure/general/shared_droid_r4_powerdown.iff', '0.0674443', '0.85998', '-0.0326455', '-0.504797', '6267.91', '26.1343', '4397.86', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825573', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_sm_s01.iff', '0', '-0.707105', '0', '0.707108', '390.779', '0.0378935', '-2982.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825575', '0', 'object/static/structure/general/shared_poi_powerdroid_powerdown.iff', '-0.0289673', '0.526147', '-0.046721', '0.848615', '6267.47', '26.2664', '4398.77', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825582', '0', 'object/tangible/furniture/all/shared_frn_all_toolchest_lg_s01.iff', '0', '0.91071', '0', '0.413046', '6264.98', '26.1666', '4398.66', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825595', '0', 'object/static/terrain/corellia/shared_rock_crystal_arch_agrilat_half_medium.iff', '0', '0.988652', '0', '0.150226', '3741.87', '16.2428', '-2468.6', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825624', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '0', '0', '1', '3760.6', '6.49499', '-2465.74', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825629', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_sm_s01.iff', '-0.0986719', '0.700188', '-0.0986719', '-0.700189', '357.906', '-1.694', '-2982.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825635', '0', 'object/tangible/camp/shared_camp_cot.iff', '0.985841', '0.164156', '0.00561693', '-0.0337325', '6050.74', '170.044', '6395.48', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825639', '0', 'object/tangible/camp/shared_camp_cot.iff', '0.750757', '0.253521', '0.0291092', '-0.609298', '6050.97', '170.078', '6393.71', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825642', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '-0.21823', '0', '0', '0.975897', '6045.83', '168.607', '6400.21', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825643', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0.146114', '-0.393518', '0.0635057', '0.905407', '6046.16', '168.536', '6399.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825646', '0', 'object/static/item/shared_item_crate_spice.iff', '0.0453389', '0.890038', '-0.190456', '-0.411708', '6052.9', '169.493', '6401.83', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825647', '0', 'object/static/item/shared_item_crate_spice.iff', '0', '0', '-0.276356', '0.961055', '6053.03', '169.414', '6400.52', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825648', '0', 'object/static/item/shared_item_crate_spice.iff', '0', '0', '0', '1', '6053.33', '169.832', '6399.2', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825650', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0', '0', '1', '-138.146', '3.94067', '-1962.96', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825652', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '-137.82', '4.07661', '-1962.18', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825654', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '-138.62', '4.00645', '-1961.98', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825655', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '-138.7', '3.94217', '-1962.7', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825658', '0', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0.554178', '-0.415744', '0.479261', '0.538844', '6047.51', '168.933', '6395.94', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825659', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0', '0', '1', '-138.57', '4.2239', '-1962.06', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825660', '0', 'object/static/flora/shared_flora_decd_scorched_tallbirch_broke.iff', '0', '0', '0', '1', '-5409.83', '183.466', '2068.12', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825661', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0', '0', '1', '-137.834', '4.19417', '-1962.83', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825663', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '0', '0', '1', '-7524.46', '393.335', '4619.52', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825666', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.819192', '0', '-0.57352', '-137.979', '4.02334', '-1963.56', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825667', '0', 'object/tangible/camp/shared_camp_stool_short.iff', '0', '0', '0', '1', '-142.686', '3.93432', '-1962.46', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825668', '0', 'object/tangible/camp/shared_camp_stool_tall.iff', '0', '0', '0', '1', '-143.086', '3.65233', '-1960.9', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825669', '0', 'object/tangible/camp/shared_campfire_logs_burnt.iff', '0', '0', '0', '1', '-143.418', '3.85906', '-1962.16', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825671', '0', 'object/tangible/camp/shared_camp_cot.iff', '0.0499785', '-0.0012854', '-0.00483193', '0.998738', '-138.157', '3.82719', '-1960.77', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825673', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0.979223', '0', '0.202787', '-1757.15', '0.195961', '-5587.8', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825679', '0', 'object/static/structure/tatooine/shared_tent_house_tatooine_style_01.iff', '-0.0390507', '0.854258', '0.107596', '0.507092', '7484.57', '4.10855', '-1782.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825682', '0', 'object/static/particle/shared_particle_smoke.iff', '0', '0', '0', '1', '-7524.01', '392.013', '4619.21', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825684', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0', '0', '1', '-1751.52', '0.760898', '-5569.34', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825685', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '-0.0175209', '0.554878', '0.0855467', '0.827336', '-1745.6', '1.91035', '-5594.61', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825686', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0', '0', '1', '-1737.96', '2.99458', '-5573.47', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825687', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '-0.00499373', '0.000249895', '0.0499786', '0.998738', '-1755.39', '0.411037', '-5598.71', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825688', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0.0405953', '-0.673268', '0.0370671', '0.737352', '-1756.91', '0.19285', '-5594.44', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825690', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.380188', '0', '0.924909', '642.727', '25.2488', '-423.58', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825691', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '-0.385174', '0', '0.922844', '637.07', '25.1782', '-440.541', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825692', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '-0.169071', '0.801443', '-0.0290591', '-0.572939', '-1750.44', '1.08868', '-5603.29', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825693', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '-0.385165', '0', '0.922848', '625.883', '25.2381', '-429.373', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825694', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0.0487988', '0.749694', '-0.0428687', '-0.65859', '-1768.77', '-1.30208', '-5598.36', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825695', '0', 'object/tangible/furniture/modern/shared_rug_oval_m_s02.iff', '0.0934898', '-0.496713', '0.0523585', '0.861275', '7484.62', '3.47016', '-1782.69', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825697', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.380188', '0', '0.924909', '619.976', '25.2696', '-446.285', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825700', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '-0.206947', '0.676222', '-0.326501', '-0.627132', '-1768.21', '-1.14528', '-5586.14', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825701', '0', 'object/tangible/furniture/all/shared_frn_all_throwpillow_med_s01.iff', '0.0601073', '-0.0297408', '0.0696387', '0.995316', '7485.4', '3.57533', '-1781.46', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825702', '0', 'object/tangible/furniture/all/shared_frn_all_throwpillow_med_s03.iff', '0.0526653', '0.085923', '0.0932364', '0.99053', '7484.09', '3.65862', '-1784.24', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825703', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '-0.158811', '0.710186', '-0.149677', '0.669337', '-1780.36', '-4.61372', '-5595.91', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825707', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0.366273', '0', '0.930508', '636.942', '25.9166', '-418.091', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825709', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0.366273', '0', '0.930507', '648.215', '26.0497', '-429.212', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825710', '0', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_01.iff', '0.0933006', '-0.523759', '0.057847', '0.844764', '7475.42', '1.82983', '-1781.65', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825711', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0.366273', '0', '0.930507', '625.845', '25.9561', '-451.908', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825712', '0', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_01.iff', '0.0843558', '-0.524567', '0.0433818', '0.846068', '7474.6', '1.87627', '-1783.55', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825714', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0.366273', '0', '0.930507', '614.439', '26.1159', '-440.94', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825716', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0', '0', '1', '-1753.5', '1.06328', '-5591.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825717', '0', 'object/static/item/shared_item_bowl_shallow.iff', '0', '0', '0', '1', '-1753.48', '0.717', '-5591.75', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825719', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_medium.iff', '0', '0', '0', '1', '4786.48', '-25.2673', '2734.22', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825720', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0.0450601', '0.47289', '0.0834713', '0.876001', '7480.68', '2.94409', '-1784.29', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825721', '0', 'object/building/military/shared_mun_all_military_tower_impl_guard_s01.iff', '0', '-0.394019', '0', '0.919102', '643.506', '18.5033', '-429.408', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825722', '9825721', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825723', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0.0465432', '0.463879', '0.0883201', '0.880255', '7481.22', '3.11484', '-1785.02', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825724', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '-0.0375864', '0.463178', '0.0900596', '0.880876', '7488.5', '3.98232', '-1781.33', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825725', '0', 'object/static/structure/general/shared_tie_bomber_debris_01.iff', '0.328225', '-0.231504', '0.242004', '0.883237', '-5414.9', '175.991', '2079.67', '256', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825726', '0', 'object/static/structure/corellia/shared_corl_power_arial_thin.iff', '0', '-0.0549723', '0', '0.998488', '643.536', '29.5181', '-431.563', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825728', '0', 'object/building/military/shared_mun_all_military_tower_impl_guard_s01.iff', '0', '-0.394019', '0', '0.919102', '625.932', '18.3558', '-447.136', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825729', '9825728', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825730', '0', 'object/static/structure/corellia/shared_corl_power_arial_thin.iff', '0', '-0.054972', '0', '0.998488', '625.799', '29.5041', '-449.172', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825738', '0', 'object/static/structure/general/shared_prp_junk_s1.iff', '0.292759', '-0.245647', '0.169691', '0.90838', '-5412.52', '183.253', '2067.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825739', '0', 'object/static/structure/general/shared_escape_pod.iff', '-0.048185', '-0.0435575', '0.836988', '0.543353', '-1752.15', '-0.257033', '-3296.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825741', '0', 'object/static/installation/shared_mockup_power_generator_wind_style_1.iff', '0', '-0.366273', '0', '0.930508', '638.734', '26.9504', '-435.882', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825742', '0', 'object/static/installation/shared_mockup_power_generator_wind_style_1.iff', '0', '-0.394019', '0', '0.919102', '634.234', '26.8951', '-440.362', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825743', '0', 'object/static/structure/general/shared_escape_pod_door.iff', '0.707106', '0', '0', '0.707107', '-1750.25', '0.0854916', '-3291.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825746', '0', 'object/static/structure/general/shared_prp_junk_s3.iff', '0.236925', '0.656258', '-0.574555', '0.427878', '-7390.41', '431.378', '7577.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825747', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0.640385', '0', '0', '0.768054', '-1757.11', '-0.320913', '-3294.23', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825748', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0.0986096', '0.436806', '-0.0482434', '0.892832', '-1755.17', '-0.38606', '-3288.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825749', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '-0.128555', '-0.276649', '-0.401323', '0.863643', '-1746.66', '-0.962396', '-3292.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825751', '0', 'object/static/structure/general/shared_prp_junk_s1.iff', '0.208315', '0.657834', '-0.571557', '0.444051', '-7387.05', '432.459', '7577', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825752', '0', 'object/static/structure/naboo/shared_obelisk_naboo_theed_style_3.iff', '0', '0', '0', '1', '740.019', '394.869', '2515.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825753', '0', 'object/static/structure/naboo/shared_obelisk_naboo_theed_style_3.iff', '0', '0', '0', '1', '739.467', '394.792', '2506.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825754', '0', 'object/static/installation/shared_mockup_mining_ore_harvester_style_1.iff', '0', '0', '0', '1', '166.069', '20.5827', '1716.36', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825756', '0', 'object/static/structure/general/shared_poi_all_obelisk_s01.iff', '0', '0.333487', '0', '0.942755', '-5900.74', '454.488', '4666.68', '175', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825759', '0', 'object/static/structure/general/shared_prp_junk_s2.iff', '0.570738', '0.433996', '0.241358', '-0.653951', '-7385.98', '430.722', '7574.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825762', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '-0.388683', '-0.184985', '0.902595', '0.0052317', '-5899.96', '453.962', '4679.18', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825765', '0', 'object/static/structure/general/shared_skeleton_human_body.iff', '0.260489', '0.0144758', '0.0272425', '0.964984', '-5902.08', '455.507', '4676.11', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825767', '0', 'object/static/particle/shared_particle_smoke.iff', '0', '0', '0', '1', '161.937', '20.6961', '1720.42', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825776', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s02.iff', '0', '0', '-0.314567', '0.949235', '-2296.09', '30.9188', '-1330.66', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825777', '0', 'object/static/structure/corellia/shared_corl_power_arial_prime.iff', '-0.347109', '0.599269', '0.361566', '0.624229', '-2294.34', '30.9431', '-1335.87', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825778', '0', 'object/static/structure/naboo/shared_poi_nboo_tent_small.iff', '0', '0.92388', '0', '0.382683', '-6165.74', '5.40404', '-3384.78', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825779', '0', 'object/static/structure/naboo/shared_poi_nboo_tent_small.iff', '0', '-0.382683', '0', '0.92388', '-6154.63', '5.00407', '-3375.08', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825780', '0', 'object/static/structure/corellia/shared_corl_power_box_node.iff', '0.0458853', '0.856382', '0.0772832', '-0.50846', '-2294.86', '33.0744', '-1341.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825781', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0.92388', '0', '-0.382683', '-6159.95', '5.12408', '-3379.9', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825782', '0', 'object/static/structure/dantooine/shared_dant_large_rock_hut.iff', '0', '0.999574', '0', '-0.0291993', '-5173.94', '190.266', '6232.15', '512', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825794', '0', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_01.iff', '-0.0903291', '-0.380306', '-0.0428004', '0.919443', '-6165.44', '5.81919', '-3385.08', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825795', '0', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_01.iff', '-0.0907595', '-0.298939', '-0.0275787', '0.949546', '-6159.83', '5.49885', '-3379.48', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825796', '0', 'object/static/structure/general/shared_gravestone_generic_style_05.iff', '-0.0101692', '0.632601', '-0.0110259', '0.774332', '-5147.66', '184.71', '6221.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825797', '0', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_01.iff', '-0.0808509', '-0.303957', '-0.0258988', '0.948895', '-6154.62', '5.40031', '-3375.49', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825798', '0', 'object/static/structure/general/shared_gravestone_generic_style_04.iff', '-0.00948973', '0.632601', '-0.0116159', '0.774332', '-5147.97', '184.618', '6222.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825806', '0', 'object/static/structure/general/shared_campfire_ash.iff', '0.196877', '0.164688', '-0.0224951', '0.966236', '-5173.92', '189.675', '6239.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825807', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '-1639.94', '20.7977', '-38.5138', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825808', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '-1640.35', '22.3892', '-43.5039', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825809', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0', '0', '1', '-1642.24', '20.5137', '-34.7367', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825813', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '-1647.01', '25.5753', '-59.9485', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825815', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '-1638.42', '26.5783', '-53.9937', '32', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825817', '0', 'object/static/structure/general/shared_droid_r2_powerdown.iff', '0', '0', '0.789504', '-0.613746', '-1656.66', '23.4249', '-62.0909', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825818', '0', 'object/static/structure/general/shared_droid_r3_powerdown.iff', '0.707107', '0', '0', '0.707107', '-1646.17', '21.4445', '-32.9996', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825819', '0', 'object/static/structure/general/shared_r4_head.iff', '0', '0', '0', '1', '-1646.12', '25.0108', '-58.3393', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825820', '0', 'object/static/structure/general/shared_r4_leg.iff', '0', '0', '0', '1', '-1647.86', '21.7312', '-29.1427', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825821', '0', 'object/static/structure/general/shared_r4_torso.iff', '0.0337713', '-0.00916495', '0.261749', '0.964501', '-1639.77', '25.6505', '-52.9876', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825822', '0', 'object/static/structure/general/shared_droid_ra7_powerdown.iff', '0', '0', '0.66687', '0.745174', '-1647.35', '25.5605', '-50.3612', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825823', '0', 'object/static/structure/general/shared_repairdroidtorso.iff', '0', '0', '0', '1', '-1642.13', '22.9675', '-44.387', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825824', '0', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff', '0', '0', '0', '1', '4525.69', '-0.852658', '4320.7', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825826', '0', 'object/static/structure/general/shared_poi_protocolleg.iff', '0.0329309', '-0.0118345', '0.874253', '-0.484207', '-1659.31', '25.1586', '-62.5357', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825827', '0', 'object/static/structure/general/shared_poi_protocolarm.iff', '0', '0', '0', '1', '-1640.39', '25.8719', '-55.2666', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825830', '0', 'object/static/structure/general/shared_poi_powerdroidbody.iff', '0', '0', '0', '1', '-1645.76', '25.9254', '-54.3327', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825831', '0', 'object/static/structure/general/shared_poi_powerdroid_powerdown.iff', '0', '0', '0', '1', '-1641.07', '24.6394', '-50.5743', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825832', '0', 'object/static/structure/general/shared_droid_21bmedical_powerdown.iff', '0.707106', '0', '0', '0.707107', '-1643.51', '25.6001', '-55.2712', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825833', '0', 'object/static/structure/general/shared_droid_probedroid_powerdown.iff', '0', '0', '-0.198669', '0.980067', '-1644.97', '23.5234', '-42.862', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825835', '0', 'object/static/structure/general/shared_r5_head.iff', '0', '0', '0', '1', '-1643.28', '24.7309', '-56.9215', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825840', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-1653.73', '26.3692', '-42.3266', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825843', '0', 'object/static/structure/military/shared_military_wall_weak_rebl_32_style_01.iff', '-0.253163', '0.0517127', '-0.0392665', '0.965242', '1883.91', '0.739271', '-234.665', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825844', '0', 'object/static/structure/military/shared_military_wall_weak_rebl_16_style_01.iff', '0', '0.783327', '0', '0.62161', '1870.14', '1.90206', '-225.056', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825845', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '0', '0', '1', '1913.32', '29.2156', '-3592.14', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825846', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '1896.62', '29.006', '-3625.04', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825847', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '1896.62', '29.021', '-3592.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825848', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '1930.05', '29.0033', '-3592.13', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825849', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '1930.06', '29.0358', '-3625', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825850', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '-0.707106', '0', '0.707108', '1896.63', '29.2517', '-3608.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825851', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '0', '0', '1', '1913.35', '29.2614', '-3625.04', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825852', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '-0.359774', '0.374774', '0.160665', '0.839222', '1866.6', '3.17465', '-234.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825853', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '-0.0399893', '0', '0.9992', '1872.12', '2.42954', '-216.695', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825855', '0', 'object/static/structure/military/shared_military_wall_weak_rebl_32_style_01.iff', '0', '0.109778', '0', '0.993956', '1887.95', '1.89433', '-220.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825856', '0', 'object/static/structure/military/shared_military_wall_weak_rebl_16_style_01.iff', '0.434765', '0.548591', '0.433869', '-0.567261', '1907.45', '-0.410124', '-229.725', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825857', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '-0.34258', '-0.0588062', '-0.158633', '0.92413', '1901.77', '0.29243', '-236.893', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825858', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0.316517', '0.331517', '-0.119138', '0.88075', '1906.58', '0.298478', '-222.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825859', '0', 'object/static/structure/corellia/shared_corl_power_arial_prime.iff', '-0.362726', '0.724226', '0.58549', '0.0335879', '1870.97', '2.45105', '-246.964', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825862', '0', 'object/static/structure/general/shared_prp_junk_s2.iff', '0', '0.724287', '0', '0.689498', '1875.81', '2.49376', '-229.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825863', '0', 'object/static/structure/general/shared_prp_junk_s1.iff', '0', '0.996322', '0', '-0.0856911', '1883.61', '1.53326', '-221.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825864', '0', 'object/static/structure/general/shared_prp_junk_s4.iff', '-0.491979', '-0.388715', '-0.277676', '0.727842', '1889.76', '1.21217', '-204.957', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825867', '0', 'object/static/structure/general/shared_prp_junk_s7.iff', '-0.565615', '-0.40787', '0.608116', '-0.379363', '1860.24', '3.14595', '-220.754', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825868', '0', 'object/static/terrain/corellia/shared_rock_crystal_arch_agrilat_medium.iff', '0', '0.505533', '0', '0.862807', '4826.74', '33.8576', '-2638.54', '64', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825872', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s03.iff', '0', '0', '0', '1', '1698.87', '-0.632275', '-2166.37', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825874', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '0.260663', '0.67205', '-0.25064', '-0.646207', '-3025.69', '33.7466', '-1833.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825876', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0', '0', '1', '1710.82', '-0.13779', '-2166.36', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825878', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '-0.377998', '0.408186', '0.0478997', '0.829583', '-3033.95', '34.0849', '-1832.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825879', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.707106', '0', '0.707107', '1719.39', '-0.0884337', '-2157.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825881', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '-0.247976', '0.824536', '-0.103052', '0.498025', '-3039.96', '33.5184', '-1829.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825882', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0', '0', '1', '1710.79', '-0.130708', '-2149.16', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825884', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '-0.172535', '0.771579', '0.304952', '0.530944', '-3041.1', '32.9072', '-1822.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825885', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '-0.129675', '0.873785', '0.467503', '-0.0335385', '-3034.47', '32.6359', '-1817.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825886', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '0.292499', '0.780005', '0.348343', '0.429759', '-3025.33', '32.3831', '-1816.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825887', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '0.407112', '0.906221', '0.0534126', '0.100841', '-3017.24', '31.0311', '-1821.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825888', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '0.239457', '0.737977', '-0.291326', '0.559623', '-3017.98', '31.9464', '-1829.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825889', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '1719.37', '-0.240127', '-2166.34', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825891', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0', '0.324043', '0', '0.946042', '-3029.83', '34.2018', '-1823.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825892', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0', '0.792563', '0', '0.609791', '-3032.6', '34.351', '-1827', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825893', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0', '0.0199985', '0', '0.9998', '-3027.74', '34.337', '-1827.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825895', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '1719.38', '-0.223816', '-2149.13', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825896', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '-3027.92', '39.938', '-1827.77', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825897', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '1', '0', '3.20013e-08', '1678.41', '-0.309158', '-2149.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825898', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '1', '0', '3.20013e-08', '1686.99', '-0.165375', '-2166.4', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825899', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '1', '0', '3.20013e-08', '1686.96', '-0.13423', '-2149.21', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825900', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '1', '0', '3.20013e-08', '1678.4', '-0.292973', '-2166.44', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825901', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.707108', '0', '0.707105', '1678.38', '-0.153373', '-2157.85', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825902', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '-3032.82', '39.9545', '-1826.84', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825903', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '-3030.08', '39.7601', '-1823.42', '50', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825904', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s03.iff', '0', '0', '0', '1', '1698.97', '-0.700641', '-2149.19', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825910', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '0', '0', '1', '2382.82', '2.99003', '642.132', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825911', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '0', '0', '1', '2388.72', '2.95271', '641.941', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825912', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '0', '0', '1', '2395.41', '3.04683', '641.987', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825913', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '0', '0', '1', '2401.1', '3.02001', '641.773', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825914', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '0', '0', '1', '2407.36', '3.02935', '641.708', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825915', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '0', '0', '1', '2413.68', '3.01262', '641.433', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825916', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '0', '0', '1', '2368.56', '2.81194', '642.183', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825917', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '0', '0', '1', '2376.85', '2.91277', '642.223', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825921', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s01.iff', '0', '0', '0', '1', '2917.81', '19', '1602.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825923', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s01.iff', '0', '0', '0', '1', '2925.77', '19', '1602.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825925', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.92388', '0', '-0.382683', '2558.99', '28.1297', '4728.04', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825927', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.92388', '0', '-0.382683', '2535.74', '28.1419', '4751.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825931', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '-0.382683', '0', '0.92388', '2524.13', '28.0829', '4762.8', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825934', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '-0.382683', '0', '0.92388', '2547.39', '28.1723', '4739.61', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825935', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '-0.382683', '0', '0.92388', '2570.79', '28.1909', '4716.34', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825937', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '0', '0', '1', '2516.23', '289.143', '5971.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825938', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '0', '0', '1', '2516.1', '289.377', '5966.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825939', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '-0.707107', '0', '0.707107', '2509.23', '289.164', '5969.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('0', '9825941', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '-0.707107', '0', '0.707107', '2524.04', '289.313', '5968.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '164427', '0', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0.0364503', '0.825954', '-0.0537627', '0.559983', '-2522.67', '130.303', '1598.14', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '164428', '0', 'object/tangible/container/loot/shared_placable_loot_crate_trashpile.iff', '0.0612183', '-0.00243547', '-0.0396772', '0.997333', '-2519.73', '123.853', '1529.59', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '164429', '0', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0.00139941', '-0.223093', '-0.00450348', '0.974786', '-2518.03', '130.501', '1468.45', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '164430', '0', 'object/tangible/container/loot/shared_placable_loot_crate_trashpile.iff', '-0.0263578', '0.00138248', '-0.0523602', '0.998279', '-2490.78', '119.538', '1558.78', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '164431', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0.0806452', '-0.317039', '-0.0361132', '0.944287', '2544.38', '111.94', '-1614.5', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '164432', '0', 'object/static/structure/general/shared_skeleton_bith_head.iff', '-0.0951169', '0.449501', '0.0592594', '0.886222', '2556.67', '113.012', '-1628.93', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '164433', '0', 'object/static/structure/general/shared_skeleton_bith_head.iff', '0', '0.413771', '0', '0.910381', '2548.98', '123', '-1674.45', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '164434', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.841471', '0', '-0.540302', '2546.12', '123', '-1673.73', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '164435', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.29552', '0', '0.955336', '2547.47', '123', '-1673.72', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '164436', '0', 'object/static/structure/general/shared_skeleton_ithorian_head.iff', '0', '0.674288', '0', '0.738469', '2545.45', '123', '-1676.77', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '164437', '0', 'object/static/structure/general/shared_skeleton_human_body.iff', '0', '0', '0', '1', '2554.4', '123', '-1672.33', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '164438', '0', 'object/static/structure/general/shared_skeleton_bith_head.iff', '0', '0.42141', '0', '0.90687', '2553.35', '123', '-1673.69', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '164439', '0', 'object/static/structure/general/shared_skeleton_bith_head.iff', '0', '0.79048', '0', '0.612487', '2548.27', '123', '-1677.22', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '164440', '0', 'object/tangible/container/loot/shared_placable_loot_crate_trashpile.iff', '0', '0', '0', '1', '2554.7', '123', '-1674.93', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '189326', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0', '-0.674292', '0', '0.738465', '-7054.56', '392.135', '5873.33', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '189328', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0', '0', '1', '-2930.53', '139.934', '-1028.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '189332', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '-0.0699428', '0', '0.997551', '-4016.85', '106', '-37.1465', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '189335', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0.094952', '0.995264', '0.0193584', '-0.00766599', '-4012.7', '111.191', '-30.3912', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '189336', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '-4005.18', '106', '-38.142', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '189338', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '-0.104816', '0.974202', '0.119223', '-0.160406', '-4007.88', '106', '-39.2643', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '189342', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0.135114', '0.153375', '-0.171129', '0.963813', '-4005.99', '118.876', '-57.2138', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '189343', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0.078989', '0.105683', '-0.173556', '0.975946', '-4005.49', '120.079', '-56.9311', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '189344', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0.118921', '0.0137366', '0.113921', '0.986251', '-3999.04', '120.323', '-58.5717', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '189345', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0.91071', '0', '-0.413046', '-4010.41', '122.982', '-74.774', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '189346', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.136168', '0', '0.990686', '-4010.41', '124.34', '-74.7822', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '189347', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0.601199', '0', '0.7991', '-4003.31', '124.163', '-79.4309', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '189348', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.937369', '0', '-0.348337', '-4003.31', '125.521', '-79.4233', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '189349', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0.242558', '0', '0.970137', '-4017.68', '123.989', '-86.3563', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '189350', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.999023', '0', '0.0441888', '-4017.68', '125.317', '-86.3449', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '189353', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '-0.543834', '0', '0.839193', '-4049.75', '126.84', '-102.485', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '189354', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.649244', '0', '0.76058', '-4049.75', '128.164', '-102.486', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '189355', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '-0.663135', '0', '0.7485', '-4056.58', '130.109', '-107.05', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '189356', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.528296', '0', '0.84906', '-4056.59', '131.435', '-107.053', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '189357', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0.846831', '0', '-0.531862', '-4062.18', '130.097', '-101.961', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '189358', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.268266', '0', '0.963345', '-4062.18', '131.423', '-101.97', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '189361', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0.816313', '0', '-0.57761', '-4057.02', '126.811', '-95.9604', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '189362', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.320818', '0', '0.947141', '-4057.03', '128.135', '-95.966', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '189367', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0.261911', '0', '0.965092', '-4068.69', '126.315', '-82.9619', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '189368', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.999707', '0', '0.0242008', '-4068.69', '127.642', '-82.9516', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '189369', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0.203569', '0', '0.979061', '-4095.47', '125.354', '-65.9112', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '189370', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.996457', '0', '0.0841037', '-4095.47', '126.683', '-65.9', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '189372', '0', 'object/building/dathomir/shared_night_sister_stronghold.iff', '0', '0.333487', '0', '0.942755', '-4086.24', '130.5', '-136.034', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '189373', '189372', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '189374', '189372', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '189375', '189372', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '189376', '189372', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '189377', '189372', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '189378', '189372', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '189379', '189372', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '189380', '189372', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '189381', '189372', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '189382', '189372', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '189383', '189372', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '189384', '189372', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '189387', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0.933839', '0', '-0.357694', '-4093.98', '126.322', '-80.0056', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '189388', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.0765187', '0', '0.997068', '-4093.99', '127.656', '-80.0151', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '189389', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0.895698', '0', '-0.444663', '-4132', '120.353', '-44.548', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '189390', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.170752', '0', '0.985314', '-4132.01', '121.681', '-44.5565', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '189391', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0.30506', '0', '0.952333', '-4147.94', '120.33', '-58.3488', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '189392', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.999783', '0', '-0.0207952', '-4147.94', '121.658', '-58.3372', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '189393', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0.997495', '0', '0.0707359', '-4145.9', '121', '-101.962', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '189394', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.352273', '0', '0.935897', '-4145.89', '122.328', '-101.967', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '189395', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0.836025', '0', '-0.548691', '-4158.72', '121', '-108.685', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '189396', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.287478', '0', '0.957787', '-4158.73', '122.36', '-108.688', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '189397', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '-0.366272', '0', '0.930508', '-4163.48', '121', '-96.2353', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '189398', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.787408', '0', '0.616431', '-4163.49', '122.328', '-96.2314', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '189399', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0.183948', '0', '0.982936', '-4151.34', '121', '-86.1977', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '189400', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.994575', '0', '0.104015', '-4151.33', '122.328', '-86.1859', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '189401', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '-0.466207', '0', '0.884675', '-4192.23', '125.063', '-129.492', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '189402', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.714978', '0', '0.699146', '-4192.24', '126.391', '-129.489', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '189403', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0.839624', '0', '-0.543167', '-4159.02', '125.742', '-137.439', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '189404', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.281158', '0', '0.959662', '-4159.03', '127.069', '-137.448', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '189405', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0.361617', '0', '0.932327', '-4164.88', '134.728', '-186.308', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '189406', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.99871', '0', '-0.0507748', '-4164.88', '136.056', '-186.298', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '189407', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '-0.531185', '0', '0.847256', '-4170.99', '133.201', '-177.493', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '189408', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.660579', '0', '0.750756', '-4171', '134.529', '-177.49', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '189409', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0.757842', '0', '-0.652439', '-4137.93', '135.103', '-189.204', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '189410', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.409214', '0', '0.912438', '-4137.94', '136.461', '-189.21', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '189411', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '-0.703279', '0', '0.710914', '-4061.25', '122.128', '-255.747', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '189412', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.480822', '0', '0.876818', '-4061.27', '123.454', '-255.752', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '189413', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0.962209', '0', '0.272312', '-4044.15', '118.878', '-232.36', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '189414', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.535415', '0', '0.844589', '-4044.14', '120.206', '-232.366', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '189415', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '-0.548023', '0', '0.836463', '-4054.43', '119.522', '-216.555', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '189416', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.645433', '0', '0.763816', '-4054.43', '120.849', '-216.554', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '189417', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0.897911', '0', '0.440176', '-4037.37', '121.069', '-193.188', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '189418', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.677969', '0', '0.73509', '-4037.35', '122.399', '-193.19', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '189419', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '-0.526942', '0', '0.849901', '-4044.11', '124.427', '-167.288', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '189420', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.664325', '0', '0.747444', '-4044.12', '125.757', '-167.285', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '189421', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0.888929', '0', '0.458045', '-4026.83', '129.009', '-145.518', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '189422', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.692534', '0', '0.721385', '-4026.82', '130.338', '-145.519', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '189423', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0.6012', '0', '0.799099', '-4061.82', '123.121', '-271.779', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '189424', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.937369', '0', '-0.348337', '-4061.82', '124.447', '-271.771', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '189425', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0.974617', '0', '0.223881', '-4034.58', '118.781', '-250.662', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '189426', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.492534', '0', '0.870293', '-4034.57', '120.109', '-250.67', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '189427', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0.967463', '0', '0.253015', '-4027.11', '120.947', '-260.081', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '189428', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.518417', '0', '0.855128', '-4027.09', '122.276', '-260.088', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '189429', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0.717355', '0', '-0.696708', '-4018.09', '121', '-270.561', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '189430', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.463191', '0', '0.886259', '-4018.1', '122.328', '-270.568', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '189431', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0.961275', '0', '-0.275592', '-4004.16', '121', '-278.738', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '189432', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.00999936', '0', '0.99995', '-4004.16', '122.328', '-278.75', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '189433', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0.854715', '0', '0.519098', '-3994.34', '121', '-269.892', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '189434', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.741296', '0', '-0.671177', '-3994.33', '122.328', '-269.892', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '189435', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0.6012', '0', '0.799099', '-4005.24', '121', '-259.311', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '189436', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.937369', '0', '-0.348337', '-4005.24', '122.328', '-259.304', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '189437', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0.914796', '0', '0.403918', '-4018.98', '120.985', '-250.59', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '189438', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.648032', '0', '0.761613', '-4018.96', '122.313', '-250.594', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '189439', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0.904413', '0', '0.426659', '-3934.66', '130.474', '-223.601', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '189440', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.666867', '0', '0.745177', '-3934.65', '131.802', '-223.603', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '189441', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0.777073', '0', '0.629411', '-3966.56', '132.286', '-144.824', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '189442', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.824885', '0', '-0.565299', '-3966.56', '133.612', '-144.82', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '189456', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '-0.403189', '0', '0.915117', '-3987.15', '131.468', '-176.674', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '189457', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.762128', '0', '0.647426', '-3987.16', '132.796', '-176.671', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '189458', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0.129635', '0', '0.991562', '-3979.22', '131.5', '-163.696', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '189459', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.987354', '0', '0.158531', '-3979.22', '132.828', '-163.686', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '189460', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0.8046', '0', '0.593818', '-3968.08', '131.5', '-170.774', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '189461', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.79862', '0', '-0.601834', '-3968.07', '132.828', '-170.772', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '189462', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0.990105', '0', '0.14033', '-3972.12', '131.5', '-186.641', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '189463', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.41687', '0', '0.908966', '-3972.11', '132.828', '-186.651', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '189464', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0.6012', '0', '0.799099', '-3981.08', '131.5', '-197.969', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '189465', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.937369', '0', '-0.348337', '-3981.08', '132.828', '-197.961', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '189466', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0.6012', '0', '0.799099', '-3991.95', '131.483', '-194.512', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '189467', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.984587', '0', '-0.174893', '-3991.94', '132.811', '-194.506', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '189468', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0.6012', '0', '0.799099', '-4001.29', '124.45', '-214.194', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '189469', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.277886', '0', '0.960614', '-4001.27', '125.781', '-214.172', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '189470', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '551.521', '229.34', '4148.06', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '189471', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '567.024', '229.689', '4153.52', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '189472', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '1', '4.33436e-16', '1.09278e-08', '-3.20013e-08', '642.056', '266.741', '4516.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '189473', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0.953847', '-9.60976e-09', '0.300293', '-3.05243e-08', '558.793', '278.61', '4696.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '189474', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0.995953', '-2.87623e-09', '-0.0898786', '3.18717e-08', '505.167', '283.889', '4742.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '189475', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '1', '0', '0', '3.20013e-08', '274.154', '346.74', '4745.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '189476', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0', '-0.42594', '0', '0.904752', '162.214', '373.641', '4662.18', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '189477', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '1', '0', '0', '3.20013e-08', '162.667', '398.076', '4642.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '189478', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '1', '0', '0', '3.20013e-08', '151.262', '437.448', '4577.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '189479', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '1', '0', '0', '3.20013e-08', '178.889', '160.325', '4038.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '978354', '0', 'object/tangible/camp/shared_campfire_logs_burnt.iff', '0', '0', '0', '1', '7480.13', '364.445', '-921.084', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '978355', '0', 'object/static/particle/shared_pt_lair_evil_fire_large_green.iff', '0', '0', '0', '1', '7480.07', '364.418', '-921.052', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '978356', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0', '0', '0', '1', '7479.78', '363.865', '-921.385', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '978357', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0', '0', '0', '1', '6863.98', '518.541', '1172.66', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '978358', '0', 'object/static/particle/shared_pt_flocking_glowzees.iff', '0', '0', '0', '1', '6865.02', '522.965', '1171.73', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '978359', '0', 'object/static/particle/shared_pt_flocking_glowzees.iff', '0', '0', '0', '1', '6867.04', '504.309', '1168.61', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '978360', '0', 'object/static/particle/shared_pt_flocking_glowzees.iff', '0', '0', '0', '1', '6866.55', '514.492', '1168.04', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '978361', '0', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0.713864', '0.700285', '7192.89', '491.047', '3232.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '978362', '0', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '-0.677972', '0.735088', '7192.76', '490.877', '3231.38', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '978363', '0', 'object/static/item/shared_item_bowl_plain.iff', '0.999991', '0', '0', '0.00420349', '7193.5', '491.113', '3232.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '978364', '0', 'object/static/item/shared_item_bread_loaf.iff', '0', '0', '0', '1', '7189.08', '490.654', '3229.22', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '978366', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0', '0', '1', '7191.98', '490.695', '3229.87', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '978369', '0', 'object/static/item/shared_item_food_vegetable_s01.iff', '0', '0', '0', '1', '7192.63', '490.6', '3225.89', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '978370', '0', 'object/static/item/shared_item_jar_berries.iff', '0', '0', '0.597195', '0.802096', '7195.02', '490.559', '3227.12', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '978371', '0', 'object/static/item/shared_item_jar_funk.iff', '-0.674288', '0', '0', '0.738469', '7194.79', '490.519', '3226.73', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '978375', '0', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '7203.63', '533.477', '5553.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '978376', '0', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '7204.17', '533.353', '5554.18', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '978378', '0', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '7203.88', '533.382', '5554.02', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '978379', '0', 'object/static/item/shared_item_bread_loaf.iff', '0', '0', '0', '1', '7205.3', '533.195', '5554.22', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '978380', '0', 'object/static/item/shared_item_bread_loaf.iff', '0', '0', '0', '1', '7205.64', '533.107', '5554.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '978381', '0', 'object/static/item/shared_item_bread_loaf.iff', '0', '0', '0', '1', '7205.34', '533.111', '5553.96', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '978382', '0', 'object/static/item/shared_item_food_fruit_s01.iff', '0', '0', '0', '1', '7205.59', '533.304', '5554.74', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '978383', '0', 'object/static/item/shared_item_food_fruit_s02.iff', '0', '0', '0', '1', '7205.17', '533.417', '5554.84', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '978384', '0', 'object/static/item/shared_item_food_fruit_s03.iff', '0', '0', '0', '1', '7205.66', '533.251', '5554.6', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '978385', '0', 'object/static/item/shared_item_food_fish.iff', '0', '0', '0', '1', '7204.68', '532.974', '5552.74', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '978386', '0', 'object/static/item/shared_item_food_fish.iff', '0', '0', '0', '1', '7204.71', '533.032', '5553.06', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '978387', '0', 'object/static/item/shared_item_food_fish.iff', '0', '-0.696135', '0', '0.717911', '7204.73', '533.116', '5552.82', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '978388', '0', 'object/static/particle/shared_pt_flocking_glowzees.iff', '0', '0', '0', '1', '-828.4', '95.3277', '-5041.91', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '978389', '0', 'object/static/particle/shared_pt_flocking_glowzees.iff', '0', '0', '0', '1', '-828.647', '113.35', '-5042.5', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '978390', '0', 'object/static/particle/shared_pt_flocking_glowzees.iff', '0', '0', '0', '1', '-829.448', '106.041', '-5040.65', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '978394', '0', 'object/static/item/shared_item_bread_loaf.iff', '0', '0', '0', '1', '7202.8', '536.517', '5567.53', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '978395', '0', 'object/static/item/shared_item_bread_loaf.iff', '0', '0', '0', '1', '7202.92', '536.527', '5567.28', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '978396', '0', 'object/static/item/shared_item_bread_loaf.iff', '0', '0', '0', '1', '7202.58', '536.447', '5567.43', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '978397', '0', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '7200.17', '536.05', '5566.55', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '978398', '0', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '7199.82', '536.038', '5566.27', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '978399', '0', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '7199.9', '536.053', '5566.69', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '978400', '0', 'object/static/item/shared_item_food_vegetable_s01.iff', '0', '0', '0', '1', '7200.72', '536.353', '5568.69', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '978401', '0', 'object/static/item/shared_item_food_vegetable_s02.iff', '0', '0', '0', '1', '7200.75', '536.326', '5568.56', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '978402', '0', 'object/static/item/shared_item_food_vegetable_s03.iff', '0', '0', '0', '1', '7200.73', '536.39', '5568.88', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '978403', '0', 'object/static/item/shared_item_food_vegetable_s02.iff', '0', '0', '0', '1', '7200.69', '536.329', '5568.6', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '978404', '0', 'object/static/item/shared_item_food_vegetable_s01.iff', '0', '0', '0', '1', '7201.1', '536.374', '5568.6', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '978405', '0', 'object/static/item/shared_item_food_vegetable_s02.iff', '0', '0', '0', '1', '7201', '536.371', '5568.63', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '978406', '0', 'object/static/item/shared_item_food_fruit_s03.iff', '0', '0', '0', '1', '7201.78', '536.366', '5568.24', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '978407', '0', 'object/static/item/shared_item_food_fruit_s02.iff', '0', '0', '0', '1', '7201.66', '536.435', '5568.6', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '978408', '0', 'object/static/item/shared_item_food_fruit_s01.iff', '0', '0', '0', '1', '7201.65', '536.364', '5568.29', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '978409', '0', 'object/static/item/shared_item_food_fish.iff', '0', '0', '0', '1', '7199.67', '536.12', '5567.93', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '978410', '0', 'object/static/item/shared_item_food_fish.iff', '0', '0', '0', '1', '7199.55', '536.126', '5568.05', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '978411', '0', 'object/static/item/shared_item_food_fish.iff', '0', '0', '0', '1', '7199.71', '536.123', '5568.04', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '978412', '0', 'object/static/particle/shared_pt_miasma_of_fog_gray.iff', '0', '0', '0', '1', '-494.248', '133.391', '-2889.76', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '978413', '0', 'object/static/particle/shared_pt_flocking_glowzees.iff', '0', '0', '0', '1', '-495.002', '133.477', '-2889.47', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '1105878', '0', 'object/static/particle/shared_pt_flocking_glowzees.iff', '0', '0', '0', '1', '-853.335', '146.967', '2791.15', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '1105886', '0', 'object/static/particle/shared_pt_flocking_glowzees.iff', '0', '0', '0', '1', '-849.757', '147.031', '2789.11', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '1105888', '0', 'object/static/particle/shared_pt_miasma_of_fog_greenish.iff', '0', '0', '0', '1', '-852.957', '146.926', '2788.82', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '1105891', '0', 'object/static/particle/shared_pt_flocking_glowzees.iff', '0', '0', '0', '1', '-6617.74', '338.003', '-787.176', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '1105896', '0', 'object/static/particle/shared_pt_flocking_glowzees.iff', '0', '0', '0', '1', '-6617.92', '343.039', '-787.445', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '1105897', '0', 'object/static/particle/shared_pt_flocking_glowzees.iff', '0', '0', '0', '1', '-6618.24', '326.954', '-788.225', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '1105902', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0.0135387', '-0.430409', '0.00645662', '0.902509', '-7123.26', '461.87', '1174.25', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '1105905', '0', 'object/static/particle/shared_pt_miasma_of_fog_mustard.iff', '0', '0', '0', '1', '-7114.24', '461.02', '1184.09', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '1105908', '0', 'object/static/particle/shared_pt_flocking_glowzees.iff', '0', '0', '0', '1', '-7122.93', '461.138', '1175.45', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '1105913', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '-7085.99', '386.665', '5920.17', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '1105914', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '-7066.85', '387.436', '5919.67', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '1105915', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '-7091.28', '380.013', '5901.5', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '1105916', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '-7083.06', '383.5', '5903.46', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '1105917', '0', 'object/tangible/camp/shared_campfire_logs_burnt.iff', '0', '0', '0.0199987', '0.9998', '-7081.66', '381.975', '5888.58', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '1105918', '0', 'object/static/particle/shared_pt_lair_evil_fire_large_red.iff', '0', '0', '0', '1', '-7081.74', '381.955', '5888.58', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '1105919', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0', '0', '1', '-7081.87', '380.11', '5890.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '1105920', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0', '0', '1', '-7075.03', '383.075', '5903.97', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '1105921', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0', '0', '1', '-7075.18', '383.053', '5903.78', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '1105922', '0', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '-7077.06', '382.678', '5904.54', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '1105923', '0', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '-7077.11', '382.658', '5904.84', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '1105924', '0', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '-7077.18', '382.691', '5904.06', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '1105925', '0', 'object/static/item/shared_item_bread_loaf.iff', '0', '0', '0', '1', '-7076.22', '382.806', '5903.77', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '1105926', '0', 'object/static/item/shared_item_food_vegetable_s01.iff', '0', '0', '0', '1', '-7076.42', '382.752', '5904.09', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '1105927', '0', 'object/static/item/shared_item_food_fruit_s03.iff', '0', '0', '0', '1', '-7076.64', '382.789', '5903.65', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '1105928', '0', 'object/static/item/shared_item_food_fruit_s03.iff', '0', '0', '0', '1', '-7096.6', '379.425', '5899.77', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '1105929', '0', 'object/static/item/shared_item_food_fruit_s02.iff', '0', '0', '0', '1', '-7096.53', '379.431', '5899.49', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '1105930', '0', 'object/static/item/shared_item_food_vegetable_s01.iff', '0', '0', '0', '1', '-7096.87', '379.461', '5899.52', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '1105931', '0', 'object/static/item/shared_item_food_vegetable_s02.iff', '0', '0', '0', '1', '-7097.2', '379.496', '5899.41', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '1105932', '0', 'object/static/item/shared_item_bowl_plain.iff', '0', '0', '0', '1', '-7098.08', '379.603', '5899.13', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '1105933', '0', 'object/static/structure/dantooine/shared_dant_skull_lizard.iff', '0', '1', '0', '-0.000796317', '-7099.52', '379.926', '5899.89', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '1105934', '0', 'object/static/structure/dantooine/shared_dant_skull_thune.iff', '0', '0.921371', '0', '0.388685', '-7091.18', '389.403', '5927.42', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '1105935', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.989621', '0', '0.143704', '-7091.25', '390.417', '5927.51', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '1105936', '0', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '-7088.86', '389.246', '5927.94', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '1105937', '0', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '-7088.51', '389.249', '5927.6', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '1105938', '0', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '-7089.18', '389.256', '5927.29', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '1105939', '0', 'object/static/item/shared_item_bread_loaf.iff', '0', '0', '0', '1', '-7062.41', '388.047', '5925.69', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '1105940', '0', 'object/static/item/shared_item_bread_loaf.iff', '0', '0', '0', '1', '-7062.83', '387.939', '5925.29', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '1105941', '0', 'object/static/item/shared_item_cheese_wheel_s1_partial.iff', '0', '0', '0', '1', '-7062.91', '388.034', '5925.63', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '1105942', '0', 'object/static/item/shared_item_food_vegetable_s02.iff', '0', '0', '0', '1', '-7062.16', '388.963', '5928.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '1105943', '0', 'object/static/item/shared_item_food_vegetable_s03.iff', '0', '0', '0', '1', '-7062.06', '388.865', '5928.05', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '1105944', '0', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '-7062.72', '387.639', '5924.12', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '1105948', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '-7072.14', '391.833', '5831.24', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '1105953', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '-7086.02', '389.835', '5811.23', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '1105957', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0', '0', '1', '-4725.82', '90.3084', '-4772.18', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '1105958', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0', '0', '1', '-4701.79', '89.752', '-4771.22', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '1105959', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0', '0', '1', '-4751.21', '91.555', '-4752.24', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '1105960', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0', '0', '1', '-4731.59', '89.2405', '-4783.5', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '1105961', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0', '0', '1', '-4701.36', '88.8472', '-4787.29', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '1105967', '0', 'object/static/particle/shared_pt_buzzing_insects_small.iff', '0', '0', '0', '1', '-4754.59', '91.5403', '-4753.9', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '1105968', '0', 'object/static/particle/shared_pt_buzzing_insects_small.iff', '0', '0', '0', '1', '-4701.77', '92.3506', '-4770.98', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '1105969', '0', 'object/static/particle/shared_pt_flocking_glowzees.iff', '0', '0', '0', '1', '-4174.65', '24.6974', '-851.721', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '1105970', '0', 'object/static/particle/shared_pt_flocking_glowzees.iff', '0', '0', '0', '1', '-4195.4', '23.5922', '-852.099', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '1105971', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '-4161.85', '23.995', '-844.356', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '1105972', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '-4179.03', '24.8079', '-844.394', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '1105973', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '-4190.48', '25.1547', '-865.092', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '1105976', '0', 'object/static/particle/shared_pt_burning_smokeandembers_large.iff', '0', '0', '0', '1', '-4181.71', '25.0041', '-852.388', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '1105982', '0', 'object/static/particle/shared_pt_lair_evil_fire_large_red.iff', '0', '0', '0', '1', '-2612.56', '107.777', '-4860.97', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '1105984', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '-2516.62', '128.517', '1593.73', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '1105986', '0', 'object/static/particle/shared_pt_flocking_glowzees.iff', '0', '0', '0', '1', '-3187.03', '6.15465', '3154.59', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '1105987', '0', 'object/static/particle/shared_pt_lair_evil_fire_large_red.iff', '0', '0', '0', '1', '-3185.35', '16.1763', '3156.07', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '1105988', '0', 'object/static/particle/shared_pt_flocking_glowzees.iff', '0', '0', '0', '1', '-3185.14', '20.6208', '3156.31', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '1177363', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '863.694', '132.235', '1096.14', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '1290277', '0', 'object/tangible/item/quest/force_sensitive/shared_fs_craft_puzzle_analyzer.iff', '0', '0', '0', '1', '5376.69', '78.5', '-4117.1', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '1290278', '0', 'object/tangible/item/quest/force_sensitive/shared_fs_craft_puzzle_analyzer.iff', '0', '0', '0', '1', '5377.19', '78.5', '-4117.5', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '1290310', '0', 'object/tangible/item/quest/force_sensitive/shared_fs_craft_puzzle_analyzer.iff', '0', '0', '0', '1', '5376.84', '78.5', '-4114.72', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '1290311', '0', 'object/tangible/item/quest/force_sensitive/shared_fs_craft_puzzle_calibrator.iff', '0', '0', '0', '1', '5378.42', '78.5', '-4114.34', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '1392854', '0', 'object/building/military/shared_outpost_cloning_facility_s02.iff', '0', '-0.434966', '0', '0.900447', '-62.9569', '18', '-1632.11', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '1392855', '1392854', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '1392856', '1392854', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '1392857', '1392854', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '1392858', '1392854', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '1392859', '1392854', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '1392860', '1392854', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '1392889', '0', 'object/building/military/shared_outpost_cloning_facility_s03.iff', '0', '-0.707106', '0', '0.707107', '628.491', '6', '3054.08', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '1392890', '1392889', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '1392891', '1392889', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '1392892', '1392889', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '1392893', '1392889', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '1392894', '1392889', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '1392895', '1392889', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '1392896', '0', 'object/building/military/shared_outpost_shed_s03.iff', '0', '0.707106', '0', '0.707107', '567.516', '6', '3060.57', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '1392897', '1392896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '1392898', '1392896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '1392899', '1392896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '1392900', '1392896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '1392901', '1392896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '1392902', '1392896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '1392905', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.895699', '0', '0.444661', '572.61', '6', '3092.46', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '1392906', '0', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '0.996865', '0', '0.0791209', '580.123', '6', '3106.82', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '1403884', '0', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '0.964382', '0', '-0.264513', '570.03', '6.00235', '3092.11', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '1725383', '0', 'object/building/military/shared_outpost_shed_s05.iff', '0', '0.331317', '0', '0.943519', '-86.9467', '18', '-1638.26', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '1725384', '1725383', 'object/tangible/inventory/shared_character_inventory.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '1725400', '1725383', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '1725401', '1725383', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '1725402', '1725383', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '1725403', '1725383', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '1725404', '1725383', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '1725405', '1725383', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '2635352', '0', 'object/building/tatooine/shared_cave_tatooine_style_02.iff', '0', '0.466209', '0', '0.884675', '-6493.96', '118.627', '874.673', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '2635353', '2635352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665460', '2635353', 'object/static/structure/general/shared_tato_cave_stalactite_large.iff', '0', '0', '0', '1', '2.9313', '-1.73106', '14.0979', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665461', '2635353', 'object/static/structure/general/shared_tato_cave_stalactite_large.iff', '-1.05548e-08', '0.886627', '-6.78105e-09', '-0.462485', '-1.13741', '-2.29486', '16.1694', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2635354', '2635352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '2635355', '2635352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '8395451', '2635355', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '-0.107738', '0.881653', '-0.244005', '-0.389285', '-16.5471', '-26.1291', '-42.5905', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '2635356', '2635352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '2635357', '2635352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '2635358', '2635352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '2635359', '2635352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '2635360', '2635352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '2635361', '2635352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '2635362', '2635352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '2635363', '2635352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '2635364', '2635352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '2635365', '2635352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '2635366', '2635352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '2635367', '2635352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '2635368', '2635352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '2635369', '2635352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575473', '2635369', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0', '0', '1', '-117.733', '-107.787', '-330.96', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575474', '2635369', 'object/static/structure/general/shared_skeleton_human_head.iff', '-0.127829', '0.461316', '0.0673636', '0.875391', '-129.419', '-110.383', '-327.324', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575475', '2635369', 'object/static/structure/general/shared_skeleton_human_body.iff', '0', '0', '0.21823', '0.975897', '-143.168', '-119.659', '-333.962', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575476', '2635369', 'object/static/structure/general/shared_skeleton_bith_head.iff', '-0.255991', '0.580035', '0.198676', '0.747366', '-140.266', '-114.98', '-323.856', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575477', '2635369', 'object/static/structure/general/shared_skeleton_bith_headandbody.iff', '0.249557', '0.734141', '-0.215846', '0.593438', '-149.611', '-115.965', '-341.185', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665353', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '-0.439462', '0', '0.898261', '-6500.01', '128', '844.084', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665354', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '0.87959', '0', '-0.475732', '-6498.6', '127.998', '870.263', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665357', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '-0.543835', '0', '0.839192', '-6480.19', '128', '855.297', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665361', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.844589', '0', '-0.535416', '-6495.3', '127.991', '883.844', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665363', '0', 'object/building/military/shared_military_base_police_station_imperial_style_01.iff', '0', '0.699717', '0', '0.71442', '-6364.36', '120', '927.306', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665364', '2665363', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665365', '2665363', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665366', '2665363', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295517', '2665366', 'object/tangible/furniture/all/shared_frn_all_professor_desk.iff', '0', '0.707105', '0', '0.707108', '15.3435', '1.01', '20.8604', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295518', '2665366', 'object/tangible/furniture/imperial/shared_table_s1.iff', '0', '0', '0', '1', '17.7445', '1.01', '18.9466', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295520', '2665366', 'object/static/structure/general/shared_data_terminal_s2.iff', '0', '1', '0', '-3.20013e-08', '16.7085', '1.01', '22.5839', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295521', '2665366', 'object/static/structure/general/shared_data_terminal_s1.iff', '0', '0.92388', '0', '-0.382683', '19.519', '1.01', '22.5734', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295522', '2665366', 'object/tangible/furniture/technical/shared_chest_s01.iff', '0', '-0.707105', '0', '0.707108', '21.6796', '1.01', '21.0158', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295523', '2665366', 'object/tangible/furniture/technical/shared_coffee_table_s01.iff', '0', '0', '0', '1', '15.9077', '1.01', '19.3381', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295524', '2665366', 'object/tangible/furniture/technical/shared_bookcase_s01.iff', '0', '0', '0', '1', '20.7967', '1.01', '21.8065', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295525', '2665366', 'object/tangible/furniture/technical/shared_cabinet_s01.iff', '0', '0.707107', '0', '0.707107', '14.2885', '1.01', '16.1345', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295526', '2665366', 'object/tangible/furniture/technical/shared_cabinet_s01.iff', '0', '0.714421', '0', '-0.699716', '21.6959', '1.01', '16.1302', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295527', '2665366', 'object/tangible/furniture/technical/shared_couch_s01.iff', '0', '0.707107', '0', '0.707107', '14.48', '1.01', '14.0572', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295528', '2665366', 'object/tangible/furniture/technical/shared_chair_s01.iff', '0', '-0.252245', '0', '0.967663', '18.661', '1.01', '17.63', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295529', '2665366', 'object/tangible/furniture/technical/shared_chair_s01.iff', '0', '0.271547', '0', '0.962425', '16.4599', '1.01', '17.5218', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295530', '2665366', 'object/tangible/furniture/technical/shared_end_table_s01.iff', '0', '-0.25708', '0', '0.96639', '14.5916', '1.01', '12.5266', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665367', '2665363', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665368', '2665363', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665369', '2665363', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575481', '2665369', 'object/static/item/shared_item_bacta_ampules.iff', '0.633572', '0.626767', '-0.319004', '-0.322468', '19.0329', '1.54162', '-23.3544', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575484', '2665369', 'object/static/item/shared_item_decryptor_imperial.iff', '0', '-0.17903', '0', '0.983844', '13.906', '1.80057', '-20.4786', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575485', '2665369', 'object/static/item/shared_item_medic_bag.iff', '-0.174108', '0', '0', '0.984727', '18.7439', '1.51', '-23.6893', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575486', '2665369', 'object/static/item/shared_item_medic_hormone_enhancements.iff', '-0.688921', '0', '0', '0.724836', '18.3431', '1.51596', '-23.5446', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575487', '2665369', 'object/static/item/shared_item_medic_radical_enhancements.iff', '-0.703279', '0', '0', '0.710914', '18.0532', '1.51596', '-23.4282', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575488', '2665369', 'object/static/item/shared_item_medic_stimpack.iff', '-0.318539', '-0.302754', '0.61883', '0.651093', '19.5684', '1.51596', '-23.4596', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575489', '2665369', 'object/static/item/shared_item_medical_console.iff', '0', '0.974616', '0', '-0.223883', '15.0355', '1.73732', '-20.126', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575490', '2665369', 'object/static/item/shared_item_bacta_ampules.iff', '0.320025', '0.326741', '0.626999', '0.630632', '19.2494', '1.51596', '-23.4364', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575491', '2665369', 'object/static/item/shared_item_bacta_ampules.iff', '0.313703', '0.320455', '0.630235', '0.6338', '19.0343', '1.51596', '-23.637', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575492', '2665369', 'object/static/item/shared_item_bacta_ampules.iff', '0.147146', '0.15457', '0.689924', '0.691708', '19.4053', '1.51596', '-23.378', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575493', '2665369', 'object/static/item/shared_item_medic_stimpack.iff', '0.205435', '0.239287', '0.664992', '0.676996', '20.2257', '1.51596', '-23.1959', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575494', '2665369', 'object/static/item/shared_item_medic_stimpack.iff', '0.205435', '0.239287', '0.664992', '0.676996', '19.9356', '1.51596', '-23.3868', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575495', '2665369', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '0', '0', '1', '21.1917', '1.48434', '-16.5531', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575496', '2665369', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '0.49688', '0', '0.867819', '21.2959', '1.48434', '-17.4543', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575497', '2665369', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '-0.366273', '0', '0.930508', '20.5267', '1.48434', '-16.9594', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575498', '2665369', 'object/static/item/shared_item_jar_guts.iff', '0', '0', '0', '1', '8.35481', '1.51596', '-22.9865', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575499', '2665369', 'object/static/item/shared_item_jar_guts.iff', '0', '-0.333487', '0', '0.942755', '7.9903', '1.51596', '-23.1284', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575500', '2665369', 'object/static/item/shared_item_jar_guts.iff', '0', '0.576959', '0', '0.816773', '8.28506', '1.51596', '-23.2747', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575501', '2665369', 'object/static/item/shared_item_jar_guts.iff', '0', '0.333487', '0', '0.942755', '8.09484', '1.51596', '-22.8539', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575502', '2665369', 'object/static/item/shared_item_crate_spice.iff', '0', '0.706825', '0', '0.707388', '7.407', '1.76895', '-23.1027', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575503', '2665369', 'object/static/particle/shared_particle_newbie_refrigerator_steam.iff', '0', '0', '0', '1', '7.86305', '1.84499', '-23.0521', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575504', '2665369', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.703279', '0', '0.710914', '7.17474', '1.45272', '-23.1194', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575506', '2665369', 'object/static/particle/shared_particle_newbie_refrigerator_steam.iff', '0', '0', '0', '1', '7.51755', '1.84499', '-23.138', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575507', '2665369', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.710632', '0', '-0.703564', '7.59322', '1.45272', '-23.1032', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575509', '2665369', 'object/static/creature/shared_droids_imperial_it0.iff', '0', '0.257081', '0', '0.96639', '12.3616', '1.01', '-21.0022', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575510', '2665369', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '21.5242', '1.51596', '-21.5462', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575511', '2665369', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.699716', '0', '0.714421', '21.3892', '1.51596', '-22.0715', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575512', '2665369', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.475031', '0', '0.879969', '21.3383', '1.51596', '-22.7363', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575513', '2665369', 'object/static/item/shared_item_medic_hormone_enhancements.iff', '0.0209236', '0.706424', '0.707321', '0.0149789', '13.6134', '1.83219', '-20.1833', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575514', '2665369', 'object/tangible/furniture/all/shared_frn_all_professor_desk.iff', '0', '0.852108', '0', '0.523366', '9.21236', '1.01', '-18.2475', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575515', '2665369', 'object/static/item/shared_item_document.iff', '0', '-0.213347', '0', '0.976976', '14.0794', '1.80057', '-20.2756', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665370', '2665363', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665371', '2665363', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665372', '2665363', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665373', '2665363', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665374', '2665363', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665375', '2665363', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665400', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s03.iff', '0', '0.707104', '0', '0.707109', '-6148.03', '127.876', '973.171', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665401', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s03.iff', '0', '0.975723', '0', '-0.219007', '-6201.25', '128', '1018.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665404', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '0.0898789', '0', '0.995953', '-6222.32', '128', '1032.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665414', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.281158', '0', '0.959662', '-6257.17', '128', '1024.94', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665421', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '0.42594', '0', '0.904751', '-6264.09', '128', '1046.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665422', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.0399893', '0', '0.9992', '-6245.99', '127.97', '1034.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665427', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.644218', '0', '0.764842', '-6175.36', '128', '988.059', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665428', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.95209', '0', '0.305817', '-6178.42', '128', '980.776', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665429', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.644218', '0', '0.764842', '-6181.06', '128', '973.678', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665430', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.361616', '0', '0.932327', '-6177.26', '128', '966.651', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665436', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '0.891207', '0', '0.453597', '-6172.12', '127.876', '925.876', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665437', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.539632', '0', '0.841901', '-6172.26', '127.984', '959.898', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665438', '0', 'object/static/structure/corellia/shared_corl_stair_medium_s01.iff', '0', '0.926499', '0', '-0.376297', '-6213.6', '120', '1003.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665439', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s02.iff', '0', '0.37092', '0', '0.928665', '-6209.7', '127.752', '1007.52', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665497', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '0.739006', '0', '-0.673699', '-6287.54', '120', '860.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665499', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s03.iff', '0', '0', '0', '1', '-6392.58', '120', '877.348', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665503', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '0', '0', '1', '-6328.77', '120', '884.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665527', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.0149995', '0', '0.999888', '-6367.11', '120', '822.185', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665556', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.707105', '0', '0.707108', '-6345.43', '120', '876.001', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665592', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '0.242556', '0', '0.970137', '-6356.21', '120', '1048.38', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665594', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s03.iff', '0', '0.995881', '0', '-0.0906721', '-6380.67', '120', '989.219', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665595', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '0.999574', '0', '0.0291991', '-6309.52', '120', '1044.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665596', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '-0.659385', '0', '0.751806', '-6270.75', '120', '1007.58', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665598', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '0.937369', '0', '-0.348337', '-6280.66', '120', '1034.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665600', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '0.971527', '0', '0.236929', '-6287.68', '120', '983.644', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665603', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.994409', '0', '-0.1056', '-6311.11', '120', '978.183', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665604', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.993486', '0', '0.113955', '-6333.64', '120', '1042.35', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665605', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '0.0799154', '0', '0.996802', '-6360.54', '120', '985.992', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665606', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '0.692537', '0', '0.721383', '-6416.65', '120', '1012.81', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665607', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '0.849481', '0', '0.52762', '-6410.12', '120', '1043.55', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665608', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '0.0349922', '0', '0.999388', '-6386.57', '120', '1057.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665609', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s03.iff', '0', '0.725383', '0', '0.688345', '-6344.27', '120', '988.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665611', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.999359', '0', '-0.03579', '-6336.25', '120', '982.618', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665661', '0', 'object/building/military/shared_military_base_shed_imperial_style_01.iff', '0', '-0.00499753', '0', '0.999987', '-6382.96', '120', '958.853', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665662', '2665661', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665663', '2665661', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665664', '2665661', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665665', '2665661', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665666', '2665661', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665667', '2665661', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665668', '0', 'object/building/military/shared_military_base_shed_imperial_style_01.iff', '0', '-0.00499766', '0', '0.999987', '-6367.61', '120', '958.912', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665669', '2665668', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665670', '2665668', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665671', '2665668', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665672', '2665668', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665673', '2665668', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665674', '2665668', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665675', '0', 'object/building/military/shared_military_base_shed_imperial_style_01.iff', '0', '-0.00499766', '0', '0.999987', '-6352.39', '120', '959.07', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665676', '2665675', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665677', '2665675', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665678', '2665675', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665679', '2665675', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665680', '2665675', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665681', '2665675', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665687', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0', '-0.609159', '0', '0.793048', '-4015.65', '122.864', '-74.6821', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665689', '0', 'object/static/structure/dathomir/shared_nsister_guard_tower_style_01.iff', '0', '0.786425', '0', '-0.617686', '-4019.02', '123.011', '-79.7258', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665705', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0', '0.710353', '0', '-0.703846', '-4024.19', '123.048', '-73.385', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665706', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.0517162', '-0.60696', '-0.067328', '0.790185', '-4002.33', '116.381', '-58.3707', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665707', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0999449', '0.948355', '0.0315525', '-0.299395', '-4008.11', '115.953', '-61.1659', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665708', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.0367428', '-0.0778927', '-0.169881', '0.981694', '-3998.13', '116.449', '-63.8035', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665709', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0', '0.724287', '0', '-0.689499', '-4032.77', '123.007', '-73.5864', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665710', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.0343832', '0.763555', '-0.0290074', '-0.644174', '-4041.19', '123.651', '-74.9565', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665711', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0302398', '-0.601442', '-0.0287448', '0.797826', '-4049.62', '124.81', '-74.4808', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665712', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.067038', '-0.599502', '0.0189164', '0.797336', '-4057.59', '125.605', '-72.9181', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665714', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0213575', '-0.700517', '-0.00084232', '0.713316', '-4073.8', '126.149', '-67.3809', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665715', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.00326316', '-0.471613', '0.00741727', '0.881768', '-4080.45', '126.195', '-64.3962', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665716', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.00725479', '-0.559203', '0.04756', '0.827634', '-4087.81', '126.031', '-60.1578', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665717', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.0485478', '-0.49484', '0.0317914', '0.867044', '-4095.71', '125.508', '-56.5883', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665718', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.0665332', '-0.595038', '0.0417431', '0.79985', '-4103.47', '124.113', '-53.0154', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665719', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.0122947', '-0.578658', '0.109316', '0.808117', '-4111.49', '123.046', '-50.8049', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665721', '0', 'object/static/structure/dathomir/shared_nsister_gate_style_01.iff', '0.042023', '-0.65716', '0.0113151', '0.752494', '-4128.76', '121.097', '-45.9144', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665722', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0146217', '0.754668', '-0.00561499', '-0.65592', '-4138.42', '119.55', '-45.6862', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665723', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.00632746', '0.782531', '0.0190307', '-0.622289', '-4147.22', '119.789', '-47.1967', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665724', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.0320867', '0.926955', '0.0287065', '-0.372694', '-4154.76', '120.219', '-51.0711', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665725', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.0587373', '0.938518', '0.0364664', '-0.338236', '-4160.75', '121.264', '-57.6373', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665726', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.0878491', '0.873874', '0.0527824', '-0.475227', '-4167.06', '122.277', '-63.497', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665727', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.11069', '0.930897', '0.0327209', '-0.346566', '-4173.72', '124.252', '-68.9232', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665728', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.122807', '0.971796', '0.000162719', '-0.201322', '-4178.33', '125.19', '-76.2931', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665729', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.187188', '0.888269', '-0.0014217', '-0.419448', '-4183.68', '125.18', '-82.4494', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665730', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.102384', '0.928307', '0.0125953', '-0.357218', '-4189.84', '126.759', '-88.1226', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665731', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.0558834', '0.948323', '-0.0176488', '-0.311847', '-4195.71', '126.976', '-94.2041', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665733', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.102803', '0.94913', '-0.0422448', '-0.294618', '-4200.57', '126.946', '-101.15', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665735', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.0917375', '0.988801', '-0.0165877', '-0.116544', '-4204.03', '126.249', '-117.951', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665736', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.0865873', '0.995057', '-0.0459934', '0.0157913', '-4203.03', '126.719', '-109.206', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665740', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.00569947', '0.998345', '-0.0259816', '-0.0509904', '-4205.75', '126.325', '-126.265', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665741', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0197675', '0.99254', '-0.00323466', '0.120264', '-4204.76', '125.983', '-134.877', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665742', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.0156929', '0.944898', '0.0302656', '0.325584', '-4200.75', '126.088', '-142.285', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665743', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0408245', '0.957993', '0.0458683', '0.280141', '-4195.16', '126.224', '-149.016', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665744', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.000108359', '0.852639', '0.0948304', '0.513823', '-4188.68', '127.372', '-154.956', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665745', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.030565', '0.94055', '0.0979221', '0.323795', '-4182.11', '128.739', '-160.047', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665746', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.03681', '0.940414', '0.099226', '0.323142', '-4176.65', '130.704', '-166.57', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665748', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0648735', '0.989171', '0.0713754', '0.110621', '-4173.04', '131.988', '-174.46', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665749', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.33782', '0.858299', '-0.0265839', '0.385349', '-4169.2', '132.486', '-183.672', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665750', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.00457812', '0.73226', '0.0233789', '0.680609', '-4161.85', '134.857', '-185.344', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665751', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.00799081', '0.945319', '0.0245263', '0.325126', '-4154.7', '135.562', '-189.161', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665752', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.0657533', '0.81956', '0.0147872', '0.569016', '-4141.73', '134.917', '-199.836', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665753', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.00226532', '0.912993', '-0.0021863', '0.407963', '-4148.81', '135.808', '-195.398', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665754', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.00625311', '0.752442', '-0.0755573', '0.654281', '-4133.37', '134.144', '-201.469', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665755', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.0813447', '0.785227', '-0.0462314', '0.612098', '-4124.97', '133.116', '-203.288', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665756', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.115813', '0.663664', '-0.0302717', '0.738391', '-4116.66', '130.634', '-203.813', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665757', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.080423', '0.90892', '0.0127273', '0.408944', '-4109.01', '128.837', '-205.79', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665758', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.0157573', '0.917074', '0.00664285', '0.398351', '-4102.87', '128.481', '-211.995', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665760', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.139252', '0.920471', '0.0399161', '0.362972', '-4091.27', '128.871', '-224.67', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665761', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.273856', '0.839033', '-0.12001', '0.454559', '-4086.13', '127.431', '-230.366', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665762', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.260649', '0.961724', '0.0424549', '0.0731235', '-4082.64', '126.353', '-237.418', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665763', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.143478', '0.917977', '-0.00560828', '0.36973', '-4096.68', '127.697', '-218.273', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665764', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.155143', '0.985421', '0.0230474', '0.0659097', '-4080.87', '126.587', '-245.952', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665765', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.0932934', '0.930064', '-0.0504989', '0.35175', '-4077.81', '125.909', '-253.581', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665766', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.109944', '0.921953', '0.00420656', '0.371346', '-4071.9', '124.219', '-259.978', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665767', '0', 'object/static/structure/dathomir/shared_nsister_gate_style_01.iff', '-0.0222377', '-0.352373', '0.00231227', '0.935592', '-4059.25', '122.817', '-273.629', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665768', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0119308', '0.932644', '-0.0674698', '0.354232', '-4066.11', '123.673', '-266.364', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665769', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.0430971', '0.9518', '0.0343666', '0.301725', '-4053.46', '122.618', '-281.305', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665770', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0656112', '0.943258', '-0.0189087', '0.324964', '-4048.1', '122.88', '-287.991', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665771', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.062783', '0.869443', '0.0560315', '0.486814', '-4041.78', '123.207', '-293.537', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665772', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.00769493', '0.786001', '0.078298', '0.613198', '-4033.62', '123.868', '-296.513', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665773', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.00690246', '0.790516', '0.0888142', '0.605928', '-4025.17', '125.031', '-298.574', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665774', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.0473537', '0.725961', '0.09021', '0.680148', '-4016.79', '126.041', '-299.811', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665775', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.0459079', '0.736675', '0.107824', '0.666016', '-4008.06', '126.745', '-300.401', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665776', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.0716166', '0.645399', '0.0869787', '0.755491', '-3990.82', '127.522', '-301.265', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665777', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.0367471', '0.632923', '-0.010885', '0.773266', '-3982.33', '126.815', '-299.438', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665778', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.0139788', '0.746935', '0.0565282', '0.662342', '-3999.36', '127.548', '-301.128', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665779', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.0593283', '0.529863', '-0.06035', '0.84385', '-3974.12', '126.357', '-297.201', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665780', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.0957022', '0.426854', '0.0194764', '0.899031', '-3967.1', '125.141', '-292.68', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665781', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.0562571', '0.342464', '0.0109953', '0.937781', '-3961.06', '124.072', '-286.569', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665782', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.00746647', '0.362891', '-0.0564319', '0.930091', '-3955.36', '123.404', '-280.055', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665783', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0183655', '0.414735', '-0.0206766', '0.909522', '-3949.44', '123.291', '-273.741', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665784', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0282394', '0.26505', '0.0161153', '0.963686', '-3943.79', '123.622', '-267.105', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665785', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0634258', '0.402165', '0.00870774', '0.913326', '-3938.86', '124.634', '-260.292', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665786', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0777524', '0.251272', '0.0160309', '0.964655', '-3933.17', '125.815', '-253.85', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665787', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.105027', '-0.503942', '0.0165179', '0.857169', '-3997.29', '125.17', '-81.11', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665788', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.101694', '-0.3434', '0.0241186', '0.933356', '-3990.68', '126.847', '-86.393', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665789', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.0625282', '-0.279039', '-0.0175874', '0.95808', '-3985.87', '128.249', '-93.1923', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665790', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.063256', '-0.235658', '-0.0147568', '0.969663', '-3981.47', '129.415', '-100.53', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665791', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.027475', '-0.37578', '-0.0500868', '0.924946', '-3970.61', '130.336', '-114.291', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665792', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.0428175', '-0.353439', '-0.0252051', '0.934137', '-3976.63', '130.124', '-107.826', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665793', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.0681575', '0.981259', '0.0253311', '0.178447', '-3965.99', '130.635', '-121.064', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665794', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.000154556', '-0.21042', '-0.107731', '0.971657', '-3962.61', '130.663', '-129.157', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665795', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0143287', '-0.345949', '-0.108323', '0.931869', '-3957.76', '129.698', '-136.285', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665796', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.0116703', '-0.131573', '-0.143009', '0.980867', '-3947.9', '128.045', '-150.252', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665797', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0259612', '-0.365448', '-0.128137', '0.921605', '-3951.86', '128.955', '-142.73', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665798', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.00131843', '-0.311843', '-0.147831', '0.938562', '-3944.74', '127.297', '-158.296', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665799', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.037813', '-0.135334', '-0.139676', '0.980176', '-3940.79', '127.354', '-165.802', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665800', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.0519903', '-0.137359', '-0.13196', '0.980314', '-3938.36', '127.889', '-174.264', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665801', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.0564714', '-0.241396', '-0.120741', '0.961229', '-3934.78', '128.526', '-182.217', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665802', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0335469', '-0.0231629', '-0.0122585', '0.999094', '-3922.68', '130.37', '-222.956', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665803', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0549775', '0.0926087', '-0.00398473', '0.994176', '-3923.25', '129.647', '-231.369', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665804', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0716523', '0.155915', '0.0078409', '0.985137', '-3925.07', '128.55', '-239.669', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665805', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.00229898', '0.942469', '-0.0849147', '-0.32332', '-3929.13', '127.21', '-246.61', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665806', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.0667806', '-0.229009', '-0.0996256', '0.966007', '-3930.35', '129.108', '-189.67', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665807', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.0661948', '-0.0670116', '-0.0715606', '0.992979', '-3927.75', '130.051', '-197.72', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665808', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.0236022', '-0.0595877', '-0.0506561', '0.996658', '-3926.7', '130.833', '-206.205', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665809', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.00747137', '-0.160394', '-0.0229809', '0.986757', '-3924.66', '130.835', '-214.624', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665810', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.035939', '-0.598436', '0.068806', '0.797401', '-4119.06', '121.79', '-47.8722', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665811', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0232013', '-0.525108', '-0.0565154', '0.84884', '-4065.69', '125.798', '-69.511', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665812', '0', 'object/static/structure/dathomir/shared_nsister_hut_style_01.iff', '0.0474522', '0.000501358', '0.010553', '0.998818', '-4018.89', '123.653', '-83.3427', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665816', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '0.994043', '0', '0.108987', '-3999.04', '121.041', '-282.522', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665817', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '0.786425', '0', '0.617686', '-3990.68', '121', '-275.051', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665818', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '0.49688', '0', '0.867819', '-3991.5', '121', '-264.312', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665819', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '0.232843', '0', '0.972514', '-3998.83', '121', '-256.582', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665821', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '0.995415', '0', '-0.0956499', '-4009.48', '121', '-282.242', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665822', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '0.917438', '0', '-0.397879', '-4018.76', '121', '-277.148', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665823', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '0.75128', '0', '-0.659983', '-4023.98', '121', '-267.883', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665824', '0', 'object/static/structure/dathomir/shared_nsister_guard_tower_style_01.iff', '0.0166883', '0.786385', '0.00664653', '-0.617476', '-4067.54', '126.272', '-76.2527', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665825', '0', 'object/static/structure/dathomir/shared_nsister_hut_style_01.iff', '0.00705451', '0.000862859', '-0.0201599', '0.999772', '-4067.41', '126.28', '-79.8696', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665826', '0', 'object/static/structure/dathomir/shared_nsister_guard_tower_style_01.iff', '0', '0', '0', '1', '-4146.73', '120.271', '-51.9039', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665827', '0', 'object/static/structure/dathomir/shared_nsister_hut_style_01.iff', '0.010419', '0.000689812', '-0.0301761', '0.99949', '-4146.6', '120.341', '-55.5207', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665828', '0', 'object/static/structure/dathomir/shared_nsister_guard_tower_style_01.iff', '0', '0.999023', '0', '0.044189', '-4198.32', '125.17', '-126.886', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665829', '0', 'object/static/structure/dathomir/shared_nsister_hut_style_01.iff', '-0.0191237', '-0.650747', '-0.0419957', '0.757891', '-4195.11', '125.248', '-127.824', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665830', '0', 'object/static/structure/dathomir/shared_nsister_guard_tower_style_01.iff', '0', '-0.305059', '0', '0.952334', '-3961.61', '130.785', '-140.782', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665831', '0', 'object/static/structure/dathomir/shared_nsister_hut_style_01.iff', '0.0692208', '0.558387', '-0.0566761', '0.824742', '-3964.4', '131.814', '-142.458', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665832', '0', 'object/static/structure/dathomir/shared_nsister_guard_tower_style_01.iff', '0', '-0.20846', '0', '0.978031', '-3928.66', '130.141', '-223.144', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665833', '0', 'object/static/structure/dathomir/shared_nsister_hut_style_01.iff', '-0.0407993', '0.640162', '-0.0344262', '0.766383', '-3931.58', '130.425', '-224.248', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665834', '0', 'object/static/structure/dathomir/shared_nsister_guard_tower_style_01.iff', '0', '0.822955', '0', '0.568107', '-4142.36', '135.549', '-193.155', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665835', '0', 'object/static/structure/dathomir/shared_nsister_hut_style_01.iff', '0.0280876', '0.954119', '0.0246378', '-0.297086', '-4140.47', '135.361', '-190.783', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665836', '0', 'object/static/structure/dathomir/shared_nsister_guard_tower_style_01.iff', '0', '0.900793', '0', '0.434248', '-4066.88', '122.836', '-257.795', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665837', '0', 'object/static/structure/dathomir/shared_nsister_hut_style_01.iff', '0.087444', '0.893492', '0.0742217', '-0.434185', '-4064.3', '122.807', '-256.352', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665841', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '-0.034993', '0', '0.999388', '-4008.76', '121', '-254.156', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665842', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '-0.389419', '0', '0.921061', '-3985.2', '131.5', '-162.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665843', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '-0.632673', '0', '0.774419', '-3990.7', '131.5', '-171.505', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665844', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '0.679141', '0', '0.734008', '-3963.13', '131.5', '-174.943', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665845', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '0.872356', '0', '0.488872', '-3965.57', '131.5', '-185.244', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665846', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '0.980224', '0', '0.197888', '-3973.12', '131.5', '-192.737', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665847', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '0.5155', '0', '0.85689', '-3965.64', '131.541', '-164.804', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665848', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '-0.0149997', '0', '0.999888', '-3975.14', '131.5', '-158.876', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665849', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '0.816314', '0', '-0.577609', '-3990.4', '131.5', '-181.719', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665850', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '0.995881', '0', '0.090672', '-4154.62', '121', '-113.004', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665851', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '0.930216', '0', '0.367014', '-4144.85', '121', '-108.759', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665852', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '-0.492535', '0', '0.870293', '-4165.32', '121', '-89.9735', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665853', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '-0.20023', '0', '0.979749', '-4157.35', '121', '-82.9973', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665854', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '0.109779', '0', '0.993956', '-4146.86', '121', '-81.2654', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665855', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '-0.659383', '0', '0.751807', '-4169.15', '121.041', '-99.689', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665856', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '0.957034', '0', '-0.289978', '-4164.99', '121', '-110.102', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665857', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '0.798621', '0', '0.601835', '-4139.17', '121', '-100.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665858', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.0375084', '0.417484', '0.0161277', '0.907767', '-4194.15', '125.672', '-142.377', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665859', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.0499052', '0.564479', '0.0222831', '0.823636', '-4187.32', '125.396', '-137.688', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665860', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.0588953', '0.639531', '0.0359928', '0.76566', '-4179.3', '124.746', '-134.9', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665861', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.0720455', '-0.665', '-0.0600953', '0.740927', '-4170.45', '124.61', '-134.525', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665862', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.0417921', '0.851293', '0.107818', '0.51179', '-4162.68', '125.26', '-136.782', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665863', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.047856', '0.454856', '0.0923781', '0.884467', '-4170.23', '131.733', '-167.599', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665864', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.060265', '0.53229', '0.0887072', '0.839742', '-4162.82', '131.762', '-163.589', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665865', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.0990146', '0.244109', '0.0583099', '0.962916', '-4156.88', '131.035', '-158.066', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665866', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0422574', '0.989096', '0.128731', '-0.0577281', '-4153.99', '126.595', '-141.539', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665867', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0322636', '0.991302', '0.127292', '0.00869144', '-4154.63', '129.018', '-149.856', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665868', '0', 'object/static/structure/dathomir/shared_nsister_hut_style_01.iff', '0.0549616', '-0.650696', '-0.0249443', '0.756936', '-4191.15', '126.478', '-147.381', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665869', '0', 'object/static/structure/dathomir/shared_nsister_hut_style_01.iff', '0.0643769', '-0.51345', '-0.0333957', '0.85505', '-4185.86', '125.949', '-142.138', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665870', '0', 'object/static/structure/dathomir/shared_nsister_hut_style_01.iff', '0.0739226', '-0.272417', '-0.0244247', '0.959024', '-4180.06', '125.635', '-139.711', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665871', '0', 'object/static/structure/dathomir/shared_nsister_hut_style_01.iff', '-0.0602334', '0.99075', '0.0909079', '-0.0807578', '-4171.24', '130.956', '-163.228', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665872', '0', 'object/static/structure/dathomir/shared_nsister_hut_style_01.iff', '-0.0835735', '0.960593', '0.0706601', '-0.255507', '-4175.76', '129.884', '-160.385', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665873', '0', 'object/static/structure/dathomir/shared_nsister_hut_style_01.iff', '-0.0846585', '0.925978', '0.0626735', '-0.362588', '-4179.9', '128.63', '-156.208', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665874', '0', 'object/static/structure/dathomir/shared_nsister_hut_style_01.iff', '-0.0059472', '0.922193', '0.111961', '0.370121', '-4165.64', '131.168', '-161.278', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665875', '0', 'object/static/structure/dathomir/shared_nsister_hut_style_01.iff', '0.0221812', '0.864031', '0.118354', '0.488826', '-4160.82', '130.816', '-157.713', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665876', '0', 'object/static/structure/dathomir/shared_nsister_hut_style_01.iff', '0.0731857', '0.61694', '0.10388', '0.776684', '-4158.63', '129.666', '-152.264', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665877', '0', 'object/static/structure/dathomir/shared_nsister_hut_style_01.iff', '0.0989273', '-0.0393217', '0.00770558', '0.994288', '-4171.88', '125.523', '-138.515', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665878', '0', 'object/building/dathomir/shared_mtn_clan_stronghold.iff', '0', '-0.0948578', '0', '0.995491', '163.557', '430.013', '4488.57', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665879', '2665878', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665880', '2665878', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665881', '2665878', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665882', '2665878', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665883', '2665878', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665884', '2665878', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665885', '2665878', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665886', '2665878', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665887', '2665878', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665888', '2665878', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665889', '2665878', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665895', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0.0402558', '0.719688', '-0.0296236', '0.692496', '163.607', '429.907', '4534.32', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665896', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0.0118154', '0.69939', '-0.00924289', '0.714583', '165.842', '429.802', '4547.9', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665897', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '-0.0209375', '0.600686', '0.0284792', '0.798703', '164.184', '429.549', '4561.98', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665898', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '-0.0230126', '0.658843', '0.0268302', '0.751449', '160.991', '429.57', '4573.54', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665899', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '-0.0133462', '0.747625', '-0.0679858', '-0.660498', '142.742', '429.839', '4569.78', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665900', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '-0.0258388', '-0.69298', '-0.0182183', '0.720263', '140.407', '429.723', '4556.57', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665901', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0.0280557', '0.783614', '0.0145748', '-0.620443', '140.612', '429.286', '4542.01', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665902', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0.0287491', '0.813644', '0.0131544', '-0.580504', '145.349', '429.155', '4530.33', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665903', '0', 'object/static/structure/dathomir/shared_mtn_clan_gate_s01.iff', '0', '0', '0', '1', '151.623', '430', '4577.06', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665904', '0', 'object/static/structure/dathomir/shared_mtn_clan_crows_nest_s01.iff', '0', '0', '0', '1', '109.61', '418.283', '4541.66', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665906', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '-0.286584', '-0.20458', '-0.0282101', '0.935532', '188.192', '429.882', '4605.76', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665907', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '-0.20264', '-0.52331', '-0.147253', '0.814494', '180.424', '428.284', '4597.57', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665909', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '-0.0960599', '0.393662', '0.0682293', '0.911673', '204.49', '429.062', '4600.9', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665910', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '-0.0916175', '0.714229', '0.235587', '0.652672', '210.476', '432.947', '4586.93', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665911', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '-0.194069', '0.788654', '0.199164', '0.548358', '206.185', '436.249', '4574.74', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665912', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '-0.140469', '0.877105', '0.220961', '0.402656', '200.774', '436.629', '4560.9', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665913', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0.170334', '0.826343', '0.215888', '-0.491463', '183.186', '427.715', '4585.08', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665914', '0', 'object/static/structure/dathomir/shared_mtn_clan_tent_house_s01.iff', '0', '0.967462', '0', '-0.253016', '194.402', '430', '4592.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665915', '0', 'object/static/structure/dathomir/shared_mtn_clan_gate_s01.iff', '0', '0.985585', '0', '-0.169182', '162.705', '390.474', '4642.47', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665918', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '-0.00999971', '-0.57693', '4.99983e-05', '0.816732', '202.495', '369.369', '4689.04', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665919', '0', 'object/static/structure/dathomir/shared_mtn_clan_gate_s01.iff', '0', '0.891568', '0', '-0.452886', '273.992', '339.27', '4746.06', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665921', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '-0.124511', '-0.0156398', '0.0141372', '0.991994', '345.074', '332.193', '4764.47', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665922', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '-0.10889', '-0.0254001', '-0.0348644', '0.993117', '408.978', '334.637', '4754.57', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665923', '0', 'object/static/structure/dathomir/shared_mtn_clan_gate_s01.iff', '0', '0.783574', '0', '0.621298', '505.179', '276.323', '4742.76', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665924', '0', 'object/static/structure/dathomir/shared_mtn_clan_gate_s01.iff', '0', '-0.232843', '0', '0.972514', '558.523', '271.191', '4696.82', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665926', '0', 'object/static/structure/dathomir/shared_mtn_clan_tent_house_s01.iff', '0', '-0.0249974', '0', '0.999687', '515.939', '275', '4690.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665927', '0', 'object/static/structure/dathomir/shared_mtn_clan_tent_house_s01.iff', '0', '0.309817', '0', '0.950796', '503.353', '275', '4697.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665928', '0', 'object/static/structure/dathomir/shared_mtn_clan_tent_house_s01.iff', '0', '0.479425', '0', '0.877583', '493.997', '275', '4710.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665929', '0', 'object/static/structure/dathomir/shared_mtn_clan_tent_house_s01.iff', '0', '0.75128', '0', '0.659983', '494.823', '275', '4725.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665930', '0', 'object/static/structure/dathomir/shared_mtn_clan_tent_house_s01.iff', '0.0334489', '0.950252', '0.109763', '-0.289576', '533.524', '274.497', '4736.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665931', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '-0.289139', '-0.10028', '-0.0304716', '0.951533', '519.849', '276.44', '4723.45', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665932', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '-0.147178', '0.82515', '0.250735', '0.484353', '526.661', '276.44', '4714.05', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665933', '0', 'object/static/structure/dathomir/shared_mtn_clan_tent_house_s01.iff', '0', '-0.208459', '0', '0.978031', '530.573', '275', '4690.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665934', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0.124035', '0.868678', '0.27348', '-0.393983', '515.743', '276.485', '4712.73', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665935', '0', 'object/static/structure/dathomir/shared_mtn_clan_gate_s01.iff', '0', '0', '0', '1', '642.265', '259.16', '4515.91', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665936', '0', 'object/static/structure/dathomir/shared_mtn_clan_hut_s01.iff', '0', '0.382683', '0', '0.92388', '581.523', '260', '4505.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665937', '0', 'object/static/structure/dathomir/shared_mtn_clan_hut_s01.iff', '0', '0.853725', '0', '0.520724', '571.407', '260', '4536.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665938', '0', 'object/static/structure/dathomir/shared_mtn_clan_hut_s01.iff', '0', '0.707106', '0', '0.707108', '571.523', '260', '4520.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665939', '0', 'object/static/structure/dathomir/shared_mtn_clan_strong_fence_s01.iff', '0', '0.747971', '0', '0.663731', '636.481', '259.776', '4510.21', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665941', '0', 'object/static/structure/dathomir/shared_mtn_clan_strong_fence_s01.iff', '0', '0.696134', '0', '0.717912', '637.36', '259.852', '4522.03', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665942', '0', 'object/static/structure/dathomir/shared_mtn_clan_hut_s01.iff', '0', '0.707107', '0', '-0.707107', '614', '260', '4520', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665943', '0', 'object/static/structure/dathomir/shared_mtn_clan_hut_s01.iff', '0', '0', '0', '1', '596.523', '260', '4500.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665944', '0', 'object/static/structure/dathomir/shared_mtn_clan_hut_s01.iff', '0', '1', '0', '-3.20013e-08', '601.669', '260', '4530.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665945', '0', 'object/static/structure/dathomir/shared_mtn_clan_hut_s01.iff', '0', '-0.382684', '0', '0.923879', '609.078', '260', '4505.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665946', '0', 'object/static/structure/dathomir/shared_mtn_clan_hut_s01.iff', '0', '1', '0', '0', '596.523', '260', '4555.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665947', '0', 'object/static/structure/dathomir/shared_mtn_clan_hut_s01.iff', '0', '0.961689', '0', '0.274143', '581.456', '260', '4550.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665948', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0.593399', '0.384549', '-0.384549', '0.593399', '594.103', '259.726', '4515.01', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665949', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '-0.0382326', '0.52641', '0.0237045', '0.84904', '642.622', '255.049', '4538.6', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665950', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0', '0.543835', '0', '0.839192', '632.198', '254.532', '4558.56', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665951', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0', '0.509841', '0', '0.860269', '623.407', '248.46', '4576.11', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665952', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0', '0.741296', '0', '0.671178', '642.754', '255.873', '4496.56', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665953', '0', 'object/static/structure/dathomir/shared_mtn_clan_strong_fence_s01.iff', '0', '0.9001', '0', '0.435682', '627.217', '260.506', '4490.48', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665958', '0', 'object/static/structure/dathomir/shared_mtn_clan_strong_fence_s01.iff', '0', '0.434966', '0', '0.900447', '617.289', '259.971', '4562', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665959', '0', 'object/static/structure/dathomir/shared_mtn_clan_strong_fence_s01.iff', '0', '0.309817', '0', '0.950796', '605.904', '260.382', '4571.86', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665968', '0', 'object/static/structure/dathomir/shared_mtn_clan_crows_nest_s01.iff', '0', '0', '0', '1', '562.182', '283.585', '4786.05', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665969', '0', 'object/static/structure/dathomir/shared_mtn_clan_gate_s01.iff', '0', '0.174108', '0', '0.984727', '609.899', '275.024', '4334.13', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665970', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0', '-0.648034', '0', '0.761612', '590.069', '246.363', '4241.3', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665971', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0', '0.827702', '0', '0.561168', '597.915', '245.782', '4237.21', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665972', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0', '-0.681639', '0', '0.731689', '585.933', '230.063', '4213.76', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665973', '0', 'object/static/structure/dathomir/shared_mtn_clan_crows_nest_s01.iff', '0', '0', '0', '1', '607.263', '233.369', '4146.77', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665974', '0', 'object/static/structure/dathomir/shared_mtn_clan_crows_nest_s01.iff', '0', '0', '0', '1', '648.231', '265.374', '4465.18', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665976', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '-0.0116645', '0.998656', '-0.0450721', '0.0227593', '400.211', '215.065', '4096.76', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665977', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '-0.0398914', '0.997402', '-0.00279697', '0.059916', '268.52', '179.875', '4060.62', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665978', '0', 'object/static/structure/dathomir/shared_mtn_clan_gate_s01.iff', '0', '0.801858', '0', '-0.597515', '178.742', '152.568', '4038.77', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665979', '0', 'object/static/structure/dathomir/shared_mtn_clan_gate_s01.iff', '0', '0.670882', '0', '0.741564', '496.402', '232.069', '4133.13', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665980', '0', 'object/static/structure/dathomir/shared_mtn_clan_strong_fence_s01.iff', '0', '-0.169182', '0', '0.985585', '560.175', '229.544', '4148.8', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665981', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0', '0.987354', '0', '0.158532', '552.533', '227.995', '4145.82', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665982', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0', '0.987354', '0', '0.158532', '568.059', '228.299', '4150.83', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665983', '0', 'object/static/structure/dathomir/shared_mtn_clan_strong_fence_s01.iff', '0', '-0.124674', '0', '0.992198', '519.163', '230.67', '4135.14', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665984', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0', '0.993486', '0', '0.113956', '511.283', '229.121', '4132.85', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665985', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0', '0.993486', '0', '0.113956', '527.198', '229.425', '4136.46', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665986', '0', 'object/static/structure/dathomir/shared_mtn_clan_strong_fence_s01.iff', '0', '-0.589144', '0', '0.808028', '589.035', '231.045', '4169.85', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665987', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0', '0.814341', '0', '0.580387', '586.778', '229.496', '4161.96', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665988', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0', '0.814341', '0', '0.580387', '592.192', '229.8', '4177.35', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665989', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0', '0.822049', '0', '0.569417', '615.319', '260', '4511.58', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665990', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0', '0.958244', '0', '-0.285953', '609.867', '260', '4527.84', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665991', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0', '-0.223106', '0', '0.974794', '604.462', '260', '4499.38', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665992', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0', '0.988652', '0', '-0.150226', '588.094', '260', '4499.48', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665993', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0', '0.434966', '0', '0.900447', '574.587', '260', '4510.74', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665994', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0', '0.720831', '0', '-0.693111', '568.119', '260', '4528.44', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665995', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0', '0.913413', '0', '0.407033', '574.939', '260', '4543.85', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665996', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0', '-0.164252', '0', '0.986418', '587.976', '260', '4555.34', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665997', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0', '0.891207', '0', '0.453596', '623.295', '260.496', '4484.01', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665998', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0', '0.830498', '0', '0.557022', '631.568', '260.106', '4496.54', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2665999', '0', 'object/static/structure/dathomir/shared_mtn_clan_strong_fence_s01.iff', '0', '0.531184', '0', '0.847256', '625.859', '260.4', '4549.59', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666000', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0', '0.514135', '0', '0.85771', '629.97', '258.783', '4543.24', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666001', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0', '0.407762', '0', '0.913088', '622.304', '259.105', '4556.14', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666002', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0', '0.309818', '0', '0.950796', '612.44', '259.778', '4567.77', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666003', '0', 'object/static/structure/dathomir/shared_mtn_clan_hut_s01.iff', '0', '0.405659', '0', '0.914025', '498.178', '229.5', '4174.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666004', '0', 'object/static/structure/dathomir/shared_mtn_clan_hut_s01.iff', '0', '0.866475', '0', '0.49922', '489.633', '229.5', '4205.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666005', '0', 'object/static/structure/dathomir/shared_mtn_clan_hut_s01.iff', '0', '0.724562', '0', '0.68921', '488.94', '229.5', '4189.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666006', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0', '-0.139543', '0', '0.990216', '507.125', '229.5', '4223.88', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666007', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '-0.492646', '-0.507247', '0.507248', '-0.492646', '509.172', '229.498', '4185.5', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666008', '0', 'object/static/structure/dathomir/shared_mtn_clan_hut_s01.iff', '0', '0.968241', '0', '0.250018', '500.357', '229.5', '4219.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666009', '0', 'object/static/structure/dathomir/shared_mtn_clan_hut_s01.iff', '0', '0.999687', '0', '-0.0249975', '515.66', '229.5', '4223.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666010', '0', 'object/static/structure/dathomir/shared_mtn_clan_hut_s01.iff', '0', '-0.35947', '0', '0.933157', '525.725', '229.5', '4173.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666011', '0', 'object/static/structure/dathomir/shared_mtn_clan_hut_s01.iff', '0', '0.999687', '0', '-0.0249975', '519.543', '229.5', '4198.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666012', '0', 'object/static/structure/dathomir/shared_mtn_clan_hut_s01.iff', '0', '0.0249975', '0', '0.999687', '512.91', '229.5', '4168.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666013', '0', 'object/static/structure/dathomir/shared_mtn_clan_hut_s01.iff', '0', '-0.68921', '0', '0.724561', '531.35', '229.5', '4187.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666014', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0', '0.836026', '0', '0.548689', '532.247', '229.5', '4178.81', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666015', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0', '0.950796', '0', '-0.309817', '527.612', '229.5', '4195.32', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666016', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0', '-0.198669', '0', '0.980067', '520.792', '229.5', '4167.16', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666017', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0', '0.984588', '0', '-0.174893', '504.449', '229.5', '4168.07', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666018', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0', '0.457339', '0', '0.889292', '491.523', '229.5', '4180', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666019', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0', '-0.70328', '0', '0.710913', '485.947', '229.5', '4198', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666020', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0', '0.923302', '0', '0.384073', '493.53', '229.5', '4213.05', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666021', '0', 'object/static/structure/dathomir/shared_mtn_clan_hut_s01.iff', '0', '0.936426', '0', '-0.350865', '561.841', '229.5', '4240.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666022', '0', 'object/static/structure/dathomir/shared_mtn_clan_hut_s01.iff', '0', '-0.549614', '0', '0.835419', '574.059', '229.5', '4210.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666023', '0', 'object/static/structure/dathomir/shared_mtn_clan_hut_s01.iff', '0', '0.730875', '0', '-0.682511', '572.847', '229.5', '4226.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666024', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0', '0.980225', '0', '0.197888', '558.823', '229.5', '4190.25', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666025', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '-0.495377', '0.50458', '-0.50458', '-0.495377', '551.044', '229.419', '4229.07', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666026', '0', 'object/static/structure/dathomir/shared_mtn_clan_hut_s01.iff', '0', '-0.30687', '0', '0.951752', '564.979', '229.5', '4195.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666027', '0', 'object/static/structure/dathomir/shared_mtn_clan_hut_s01.iff', '0', '-0.034197', '0', '0.999415', '550.294', '229.5', '4189.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666028', '0', 'object/static/structure/dathomir/shared_mtn_clan_hut_s01.iff', '0', '0.910252', '0', '0.414054', '534.388', '229.5', '4238.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666029', '0', 'object/static/structure/dathomir/shared_mtn_clan_hut_s01.iff', '0', '-0.034197', '0', '0.999415', '543.442', '229.5', '4214.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666030', '0', 'object/static/structure/dathomir/shared_mtn_clan_hut_s01.iff', '0', '0.999415', '0', '0.034197', '546.533', '229.5', '4244.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666031', '0', 'object/static/structure/dathomir/shared_mtn_clan_hut_s01.iff', '0', '0.682513', '0', '0.730874', '530.436', '229.5', '4223.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666032', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0', '-0.597196', '0', '0.802095', '528.548', '229.5', '4232.04', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666033', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0', '0.253017', '0', '0.967462', '535.104', '229.5', '4216.19', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666034', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0', '0.966594', '0', '0.256311', '538.55', '229.5', '4244.95', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666035', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0', '0.116329', '0', '0.993211', '554.886', '229.5', '4245.98', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666036', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0', '0.914795', '0', '-0.403919', '569.131', '229.5', '4235.66', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666037', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0', '0.668054', '0', '0.744112', '576.791', '229.5', '4218.45', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666038', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0', '-0.438031', '0', '0.89896', '571.039', '229.5', '4202.61', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666039', '0', 'object/static/structure/dathomir/shared_mtn_clan_crows_nest_s01.iff', '0', '0', '0', '1', '210.916', '459.466', '4453.61', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666040', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '159.097', '430', '4573.37', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666041', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '162.177', '430', '4561.55', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666042', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '163.756', '430', '4547.79', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666043', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '161.699', '430', '4534.4', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666044', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '147.55', '430', '4530.98', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666045', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '152.636', '430', '4522.18', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666046', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '152.405', '430', '4522.96', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666047', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '152.115', '430', '4523.75', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666048', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '161.472', '430', '4523.74', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666049', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '161.444', '430', '4524.42', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666050', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '161.588', '430', '4525.04', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666051', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '142.8', '430', '4542.46', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666052', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '142.246', '430', '4556.51', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666053', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '144.62', '430', '4569.79', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666054', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '187.769', '430', '4586.89', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666055', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '528.489', '275.121', '4735.17', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666056', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '499.014', '275', '4728.39', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666057', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '494.643', '275', '4714.84', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666058', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '503.058', '275', '4702.82', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666059', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '519.002', '275', '4694.18', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666060', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '532.413', '275', '4695.51', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666061', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '519.013', '275', '4725.38', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666062', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '528.568', '275', '4713.14', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666063', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '514.337', '275', '4711.22', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666065', '0', 'object/tangible/camp/shared_campfire_logs_burnt.iff', '0', '0', '0', '1', '520.72', '275', '4717.07', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666066', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '599.396', '260', '4549.6', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666067', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '594.734', '260', '4506.1', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666068', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '606.568', '260', '4511.82', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666069', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '607.148', '260', '4516.24', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666070', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '598.907', '260', '4523.98', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666071', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '586.49', '260', '4546.39', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666072', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '577.693', '260', '4535.82', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666073', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '577.431', '260', '4522.33', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666074', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '586.873', '260', '4508.07', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666075', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '551.656', '229.5', '4195.66', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666076', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '559.978', '229.5', '4199.35', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666077', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '567.768', '229.5', '4210.6', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666078', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '566.908', '229.5', '4227.89', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666079', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '556.719', '229.5', '4237.43', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666080', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '548.959', '229.5', '4238.92', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666081', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '537.569', '229.5', '4233.17', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666082', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '536.51', '229.5', '4222.39', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666083', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '545.185', '229.5', '4220.25', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666084', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '503.909', '229.5', '4176.96', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666085', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '511.228', '229.5', '4174.03', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666086', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '520.543', '229.5', '4176.49', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666087', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '525.956', '229.5', '4189.35', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666088', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '517.068', '229.5', '4192.34', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666089', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '495.102', '229.5', '4191.65', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666090', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '495.784', '229.5', '4204.7', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666091', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '501.824', '229.5', '4213.31', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666092', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '513.615', '229.5', '4217.74', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666093', '0', 'object/static/structure/general/shared_skeleton_human_body.iff', '0', '0.87959', '0', '0.475732', '-4012.21', '106', '-46.5866', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666094', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '-0.125579', '0.0991957', '0.36036', '0.918984', '-4013.03', '106', '-46.4525', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666095', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '-0.0658755', '0.973068', '0.0246909', '0.219519', '-4011.15', '106', '-37.4922', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666096', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0', '0', '1', '-4015.71', '106', '-41.933', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666097', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0', '0', '1', '-4002.35', '106', '-45.5074', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666098', '0', 'object/static/structure/general/shared_skeleton_bith_head.iff', '-0.00277866', '0.713836', '0.426463', '0.555481', '-4008.21', '106', '-48.3059', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666099', '0', 'object/static/structure/general/shared_skeleton_bith_head.iff', '-0.381806', '0.0479758', '-0.115074', '0.915795', '-4006.84', '106', '-47.6549', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666100', '0', 'object/static/structure/general/shared_skeleton_bith_head.iff', '-0.169474', '0.275682', '0.534362', '0.780856', '-4008.33', '106', '-43.3169', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666101', '0', 'object/static/structure/general/shared_skeleton_bith_headandbody.iff', '0', '0', '0', '1', '-4007.57', '106', '-44.0734', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666102', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0.0948572', '0.995491', '-3998.78', '118.994', '-58.5676', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666136', '0', 'object/static/structure/general/shared_skeleton_bith_head.iff', '-0.24515', '0.898423', '0.03193', '0.36293', '-4093.79', '126.3', '-80.2638', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666138', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0.250239', '0.863426', '0.264551', '-0.349125', '-4094.21', '126.254', '-80.1111', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666139', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '-0.125308', '0.544956', '-0.0076189', '0.829013', '-4093.78', '126.231', '-79.833', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666140', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0.0597404', '-0.34434', '-0.0472841', '0.935748', '-4094.1', '126.26', '-79.7551', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666144', '0', 'object/static/structure/general/shared_campfire_smoldering.iff', '0', '0', '0', '1', '-4153.84', '121', '-99.6331', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666145', '0', 'object/static/structure/general/shared_campfire_smoldering.iff', '0', '0', '0', '1', '-4154.39', '121', '-98.8366', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666146', '0', 'object/static/structure/general/shared_campfire_smoldering.iff', '0', '0', '0', '1', '-4153.52', '121', '-98.8505', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666153', '0', 'object/static/structure/general/shared_campfire_ash.iff', '0', '0', '0', '1', '-4170.45', '129.974', '-157.886', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666154', '0', 'object/static/structure/general/shared_campfire_ash.iff', '0', '0', '0', '1', '-4181.43', '126.601', '-145.747', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666155', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0.969944', '0', '-0.243329', '-4192.28', '126.995', '-152.502', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666172', '0', 'object/static/structure/general/shared_campfire_smoldering.iff', '0', '0.237703', '0', '0.971338', '-4006.08', '121.11', '-268.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666173', '0', 'object/static/structure/general/shared_campfire_smoldering.iff', '0', '0', '0', '1', '-4007.59', '121.11', '-268.267', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666174', '0', 'object/static/structure/general/shared_campfire_smoldering.iff', '0', '0.724287', '0', '-0.689498', '-4006.87', '121.11', '-266.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666181', '0', 'object/static/structure/general/shared_campfire_smoldering.iff', '0', '0', '0', '1', '-4033.01', '118.709', '-249.451', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666186', '0', 'object/static/structure/general/shared_skeleton_bith_head.iff', '0', '0', '-0.470626', '0.882333', '-4070.82', '125.408', '-197.298', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666187', '0', 'object/static/structure/general/shared_skeleton_bith_head.iff', '-0.203611', '0.167161', '-0.0524845', '0.963247', '-4060.15', '123.752', '-190.687', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666188', '0', 'object/static/structure/general/shared_skeleton_bith_head.iff', '-0.425327', '-0.345412', '-0.179825', '0.816976', '-4064.13', '127.489', '-179.522', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666189', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '-0.241366', '-0.393678', '0.463621', '0.756185', '-4072.72', '126.401', '-199.057', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666190', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '-0.267213', '0.697671', '0.319966', '0.582644', '-4073.82', '129.078', '-176.151', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666191', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '-0.210666', '0.950956', '0.225639', '0.0197556', '-4072.79', '129.381', '-175.589', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666192', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0.0894026', '0.511118', '-0.19045', '0.833363', '-4064.37', '123.09', '-203.543', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666193', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0.0719802', '0.444568', '-0.350698', '0.82109', '-4052.17', '122.243', '-184.213', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666194', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '-0.00318615', '-0.00569148', '0.013103', '0.999893', '-4072.82', '126.441', '-212.397', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666195', '0', 'object/static/structure/general/shared_skeleton_bith_headandbody.iff', '0.00845965', '0.514113', '-0.00492122', '0.857667', '-4062.96', '126.924', '-176.293', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666196', '0', 'object/static/structure/general/shared_skeleton_human_body.iff', '-0.12087', '0.976546', '-0.175279', '-0.0320369', '-4073.32', '128.19', '-177.597', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666198', '0', 'object/static/structure/general/shared_escape_pod.iff', '0.406944', '0.345646', '0.731195', '-0.424594', '-4441.23', '15.4044', '571.609', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666199', '0', 'object/static/structure/general/shared_escape_pod_door.iff', '-0.275079', '-0.496881', '0.810245', '-0.144722', '-4446.33', '17.461', '576.502', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666201', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '0', '1', '0', '-3.20013e-08', '-6160.27', '128.051', '946.704', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666205', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.0299955', '0', '0.99955', '-6273.04', '120.339', '991.682', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666206', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.257081', '0', '0.96639', '-6268.51', '120.435', '1024.26', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666207', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.0349929', '0', '0.999388', '-6302.23', '120.348', '976.418', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666209', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '0.129634', '0', '0.991562', '-6290.04', '128', '1063.29', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666210', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '0.20846', '0', '0.978031', '-6353.1', '127.999', '1075.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666211', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0', '1', '-6306.12', '128.36', '1067.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666212', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '0', '0.780209', '0', '0.625518', '-6330.66', '128', '1066.58', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666214', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.0699429', '0', '0.997551', '-6314.92', '127.997', '1066.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666215', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.0848975', '0', '0.99639', '-6322.83', '128.323', '1064.73', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666216', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '-0.0299955', '0', '0.99955', '-6326.87', '126.566', '1064.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666217', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '0.960835', '0', '-0.27712', '-6334.44', '126.608', '1066.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666218', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.974616', '0', '-0.223882', '-6337.91', '128.365', '1068.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666219', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '-0.0599644', '0', '0.998201', '-6383.78', '128', '1079.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666220', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0', '1', '-6368', '128.243', '1081.86', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666221', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.227978', '0', '0.973666', '-6408.01', '128.151', '1073.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666222', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0', '1', '-6400.07', '128.348', '1077.61', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666223', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '0.237703', '0', '0.971338', '-6429.53', '128', '1077.13', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666224', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0', '1', '-6415.73', '128.527', '1070.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666225', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '0.713863', '0', '-0.700285', '-6509.92', '128.021', '1037.63', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666226', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.13459', '0', '0.990901', '-6451.64', '128', '1086.72', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666227', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.0449852', '0', '0.998988', '-6468.29', '128', '1088.16', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666228', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.159318', '0', '0.987227', '-6484.27', '128', '1084.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666229', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.394019', '0', '0.919102', '-6497.81', '128', '1076.13', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666230', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.548024', '0', '0.836463', '-6507.06', '127.95', '1062.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666231', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.966594', '0', '0.256311', '-6517.27', '128', '1016.28', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666232', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.952576', '0', '0.3043', '-6509.76', '128.368', '1021.04', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666233', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.271547', '0', '0.962425', '-6437.11', '128.288', '1073.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666234', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.124675', '0', '0.992198', '-6452.69', '128.346', '1078.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666235', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.109778', '0', '0.993956', '-6476.71', '128.483', '1087.22', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666236', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0', '1', '-6491.46', '128.29', '1082.2', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666237', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.257081', '0', '0.96639', '-6503.31', '128.285', '1070.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666238', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0', '1', '-6510.18', '128.348', '1053.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2666239', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '0', '0.434966', '0', '0.900447', '-6534.67', '128.001', '1009.07', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '2716125', '0', 'object/tangible/npc/tatooine_special/shared_sarlacc.iff', '0', '0', '0', '1', '-2080.79', '13.6917', '3143.14', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835549', '0', 'object/building/corellia/shared_ply_corl_house_s_s02_fp1.iff', '0', '-0.434965', '0', '0.900447', '-52.904', '18', '-1619.64', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835550', '2835549', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015379', '2835550', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '0', '0', '1', '-3.57332', '0.625', '0.680069', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015380', '2835550', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '0.705478', '0', '0.708731', '-6.65824', '0.625', '3.70658', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015381', '2835550', 'object/tangible/furniture/elegant/shared_bookcase_s01.iff', '0', '0.380189', '0', '0.924909', '-5.80949', '0.625', '1.51848', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015382', '2835550', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff', '0', '0.92388', '0', '-0.382683', '-4.10938', '0.625', '3.20983', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015383', '2835550', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s02.iff', '0', '-0.114747', '0', '0.993395', '-1.30119', '0.625', '6.00107', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015388', '2835550', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s4.iff', '0', '-0.149438', '0', '0.988771', '-5.79775', '0.625', '5.96929', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015389', '2835550', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s4.iff', '0', '0.713864', '0', '0.700285', '-1.43015', '0.435263', '1.65954', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015391', '2835550', 'object/tangible/furniture/all/shared_frn_all_decorative_sm_s2.iff', '0', '0.640386', '0', '0.768053', '-4.1562', '1.0361', '3.19281', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015394', '2835550', 'object/static/item/shared_item_painting_bothan_style_01.iff', '0', '0.921955', '0', '0.387298', '-5.96422', '1.57368', '1.35398', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835551', '2835549', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015405', '2835551', 'object/tangible/furniture/imperial/shared_table_s1.iff', '0', '-0.707106', '0', '0.707107', '6.69042', '0.625', '3.68455', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015406', '2835551', 'object/static/item/shared_item_diagnostic_screen.iff', '0', '0.792563', '0', '-0.60979', '6.26855', '1.38395', '4.10881', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015407', '2835551', 'object/tangible/furniture/all/shared_frn_all_lamp_tatt_s01.iff', '0', '-0.483807', '0', '0.875175', '6.56102', '1.38395', '2.80853', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015409', '2835551', 'object/tangible/furniture/all/shared_frn_all_chair_meatal_wheeled_s1.iff', '0', '0.242556', '0', '0.970137', '5.19502', '0.625', '3.45262', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015411', '2835551', 'object/tangible/furniture/all/shared_frn_all_couch_sm_s1.iff', '0', '1', '0', '3.20013e-08', '3.85069', '0.625', '5.97603', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015413', '2835551', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.999991', '0', '-0.00420344', '2.31031', '0.625', '6.45867', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015419', '2835551', 'object/static/structure/general/shared_data_terminal_free_s1.iff', '0', '-0.35695', '0', '0.934124', '5.85199', '0.625', '1.26528', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015420', '2835551', 'object/static/structure/general/shared_data_terminal_wall_s1.iff', '0', '0.40319', '0', '0.915116', '1.37172', '0.814737', '1.55011', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015421', '2835551', 'object/tangible/furniture/all/shared_frn_all_decorative_sm_s1.iff', '0', '0.967864', '0', '-0.251475', '2.02205', '1.0361', '6.49832', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015428', '2835551', 'object/static/item/shared_item_painting_tatooine_style_02.iff', '0', '-0.375559', '0', '0.926798', '5.95164', '1.3207', '6.12231', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835552', '2835549', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015429', '2835552', 'object/tangible/furniture/all/shared_frn_all_professor_desk.iff', '0', '-0.707106', '0', '0.707107', '6.18998', '0.624991', '-3.67509', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015431', '2835552', 'object/tangible/furniture/technical/shared_chair_s01.iff', '0', '0.375559', '0', '0.926798', '5.09218', '0.624991', '-3.74426', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015432', '2835552', 'object/tangible/furniture/all/shared_frn_all_chair_recliner_s1.iff', '0', '0.706825', '0', '0.707388', '-5.9131', '0.624999', '-3.68596', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015437', '2835552', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s1.iff', '0', '0', '0', '1', '4.11542', '0.624992', '-4.83523', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015438', '2835552', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s1.iff', '0', '0', '0', '1', '1.71529', '0.624994', '-4.84136', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015439', '2835552', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s1.iff', '0', '-0.00230014', '0', '0.999997', '-0.672209', '0.624995', '-4.82215', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015440', '2835552', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s1.iff', '0', '0.000399889', '0', '1', '-3.07468', '0.624997', '-4.82859', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015441', '2835552', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '0', '0', '1', '3.19338', '0.435255', '-6.78931', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015442', '2835552', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '0', '0', '1', '0.78194', '0.435257', '-6.78195', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015443', '2835552', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '0', '0', '1', '-1.61972', '0.435259', '-6.78565', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015444', '2835552', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '0', '0', '1', '-4.00428', '0.435261', '-6.79292', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015445', '2835552', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '0.999942', '0', '0.0107961', '-6.14212', '0.435259', '-4.82948', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015448', '2835552', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s03.iff', '0', '0', '0', '1', '-6.69962', '0.624997', '-2.93261', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015450', '2835552', 'object/static/structure/general/shared_data_terminal_s2.iff', '0', '0.92388', '0', '0.382683', '-5.74934', '0.624997', '-1.64541', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015451', '2835552', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '1', '0', '3.20013e-08', '-1.20286', '0.435258', '0.297872', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015452', '2835552', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '1', '0', '3.20013e-08', '-0.537824', '0.435257', '0.286604', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015453', '2835552', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '1', '0', '3.20013e-08', '0.163597', '0.435256', '0.275857', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015456', '2835552', 'object/static/structure/general/shared_data_terminal_wall_s3.iff', '0', '0', '0', '1', '1.63563', '0.624994', '-7.1179', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015457', '2835552', 'object/static/structure/general/shared_data_terminal_wall_s3.iff', '0', '0', '0', '1', '4.02866', '0.624992', '-7.1068', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015458', '2835552', 'object/static/structure/general/shared_data_terminal_wall_s3.iff', '0', '0', '0', '1', '-0.745652', '0.624995', '-7.11027', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015459', '2835552', 'object/static/structure/general/shared_data_terminal_wall_s3.iff', '0', '0', '0', '1', '-3.15408', '0.624997', '-7.11786', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015460', '2835552', 'object/static/structure/general/shared_data_terminal_s4.iff', '0', '1', '0', '3.20013e-08', '-2.23018', '0.814733', '-0.206917', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835560', '0', 'object/building/military/shared_outpost_starport.iff', '0', '0.944279', '0', '-0.329145', '-75.9946', '18', '-1586', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835561', '2835560', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '3946221', '2835561', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0', '0', '1', '-7.42434', '0.146595', '-19.2073', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835569', '0', 'object/building/corellia/shared_ply_corl_house_m_s01_fp1.iff', '0', '0.900101', '0', '0.435682', '-115.084', '18', '-1574.13', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835570', '2835569', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '3055903', '2835570', 'object/tangible/furniture/modern/shared_dining_table_modern_style_01.iff', '0', '0', '0', '1', '4.01323', '0.624999', '0.908284', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3055908', '2835570', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.912926', '0', '-0.408124', '9.70292', '0.624999', '5.46493', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3055909', '2835570', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '-0.392635', '0', '0.919695', '9.67141', '0.656621', '1.58036', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3055913', '2835570', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_02.iff', '0', '0.707106', '0', '0.707107', '10.8442', '0.624998', '3.51071', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3055914', '2835570', 'object/tangible/furniture/all/shared_frn_all_decorative_lg_s1.iff', '0', '0', '0', '1', '4.07311', '1.6053', '1.04067', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3055919', '2835570', 'object/tangible/furniture/all/shared_frn_all_lamp_desk_s02.iff', '0', '0', '0', '1', '6.27962', '1.63693', '0.882629', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3055920', '2835570', 'object/tangible/furniture/all/shared_frn_all_lamp_desk_s02.iff', '0', '0.999976', '0', '-0.00690361', '1.79932', '1.63693', '0.894525', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3055922', '2835570', 'object/tangible/furniture/all/shared_frn_all_decorative_sm_s3.iff', '0', '0.717356', '0', '0.696707', '10.5825', '1.22583', '3.48789', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3055924', '2835570', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '1', '0', '0.000397657', '4.94716', '0.624999', '6.28838', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3055926', '2835570', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.999985', '0', '0.00539716', '2.78359', '0.624999', '6.30431', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3055927', '2835570', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.999998', '0', '0.00198977', '0.575723', '0.624999', '6.28157', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3055940', '2835570', 'object/static/item/shared_item_painting_endor_style_01.iff', '0', '-0.707105', '0', '0.707108', '2.78133', '1.44719', '6.8439', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '3055941', '2835570', 'object/tangible/furniture/all/shared_frn_all_lamp_desk_s02.iff', '0', '0.704917', '0', '0.70929', '5.21493', '1.63693', '0.872932', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3055942', '2835570', 'object/tangible/furniture/all/shared_frn_all_lamp_desk_s02.iff', '0', '-0.69534', '0', '0.718681', '2.74125', '1.63693', '0.904477', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3055949', '2835570', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s3.iff', '0', '-0.309817', '0', '0.950796', '-2.07068', '0.625', '1.91315', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3055950', '2835570', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s3.iff', '0', '0.266731', '0', '0.963771', '-2.07427', '0.624999', '4.99654', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835571', '2835569', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '3055951', '2835571', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff', '0', '0.707106', '0', '0.707107', '-9.5662', '0.625', '3.44963', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3055952', '2835571', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff', '0', '0.999929', '0', '-0.0119026', '-6.75347', '0.625', '6.25363', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3055954', '2835571', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_02.iff', '0', '-0.394019', '0', '0.919102', '-7.60207', '0.625', '4.2608', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3055955', '2835571', 'object/tangible/furniture/all/shared_frn_all_decorative_sm_s3.iff', '0', '0.914795', '0', '0.403919', '-7.52201', '1.19421', '4.21687', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3055956', '2835571', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '-0.0047449', '0.948973', '0.00157661', '-0.315318', '-4.19032', '1.35232', '1.64994', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3055957', '2835571', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0.00333461', '0.836015', '0.00372587', '-0.548683', '-4.96825', '1.92153', '0.847383', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3055959', '2835571', 'object/tangible/furniture/all/shared_frn_all_decorative_sm_s1.iff', '0', '-0.448423', '0', '0.893822', '-4.22328', '2.07965', '1.68229', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3055960', '2835571', 'object/tangible/furniture/all/shared_frn_all_decorative_sm_s1.iff', '0', '-0.20846', '0', '0.978031', '-4.97167', '2.64886', '0.842262', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3315397', '2835571', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s01.iff', '0', '-0.375559', '0', '0.926798', '-8.91881', '0.625', '5.58189', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835572', '2835569', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '3315405', '2835572', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_3.iff', '0', '1', '0', '3.20013e-08', '-3.21867', '0.625', '-1.63645', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3315406', '2835572', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_3.iff', '-4.33436e-16', '1', '1.09278e-08', '-3.20013e-08', '0.761078', '0.624999', '-2.30567', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3315407', '2835572', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_3.iff', '0', '0.999998', '0', '-0.00190309', '-0.578931', '0.659369', '-6.51938', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3315408', '2835572', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_3.iff', '0', '0', '0', '1', '-4.53024', '0.624999', '-7.63759', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3315412', '2835572', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.674287', '0', '0.738469', '1.98498', '0.624999', '-2.94398', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3315413', '2835572', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.980893', '0', '0.194548', '0.230656', '0.625', '-1.03214', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3315414', '2835572', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0', '0', '1', '-0.557515', '0.624998', '-8.10775', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3315415', '2835572', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.966185', '0', '-0.25785', '0.0931996', '0.624999', '-5.16776', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3315416', '2835572', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.663135', '0', '0.748499', '-3.16685', '0.624998', '-7.71311', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3315417', '2835572', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.795602', '0', '-0.60582', '-1.97638', '0.624999', '-1.26956', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3315418', '2835572', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.886627', '0', '0.462485', '-4.26178', '0.625', '-0.781165', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3315420', '2835572', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '-0.367013', '6.91249e-08', '0.930216', '-3.56008e-08', '-8.49993', '6.97274', '-4.44043', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3315421', '2835572', 'object/static/item/shared_item_music_microphone_s1.iff', '0', '0.710353', '0', '0.703845', '-7.17835', '0.624999', '-4.46048', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '3315424', '2835572', 'object/tangible/furniture/all/shared_frn_all_lamp_candlestick_free_s01.iff', '0', '0.0699429', '0', '0.997551', '-3.22058', '1.38395', '-1.70752', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3315425', '2835572', 'object/tangible/furniture/all/shared_frn_all_lamp_candlestick_free_s01.iff', '0', '0', '0', '1', '0.76912', '1.38395', '-2.33658', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3315426', '2835572', 'object/tangible/furniture/all/shared_frn_all_lamp_candlestick_free_s01.iff', '0', '0.87959', '0', '-0.475732', '-0.532631', '1.41557', '-6.53867', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3315427', '2835572', 'object/tangible/furniture/all/shared_frn_all_lamp_candlestick_free_s01.iff', '0', '0.699716', '0', '0.714421', '-4.52584', '1.38395', '-7.58596', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3315451', '2835572', 'object/static/structure/general/shared_data_terminal_wall_s2.iff', '0', '0.824886', '0', '-0.5653', '3.75964', '0.308771', '-2.83983', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '5995562', '2835572', 'object/soundobject/shared_soundobject_cantina_small.iff', '0', '0', '0', '1', '-2.79298', '0.624999', '-4.31127', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835573', '2835569', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '3315428', '2835573', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '-7.72715e-09', '0.707107', '-7.72715e-09', '0.707107', '9.05221', '0.625', '-4.51853', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3315429', '2835573', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.706824', '0', '0.707389', '10.6885', '0.625', '-4.51519', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3315431', '2835573', 'object/static/item/shared_item_diagnostic_screen.iff', '0', '0.568762', '0', '0.822502', '9.24319', '1.41557', '-5.02052', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '3315437', '2835573', 'object/tangible/furniture/all/shared_frn_all_lamp_tatt_s01.iff', '0', '0.864924', '0', '0.501902', '8.84251', '1.41557', '-3.49557', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3315438', '2835573', 'object/static/item/shared_item_decryptor_imperial.iff', '0', '0.841471', '0', '0.540302', '9.26168', '1.41557', '-4.3586', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '3315442', '2835573', 'object/static/item/shared_item_painting_agrilat_swamp_style_02.iff', '0', '0.394019', '0', '0.919102', '10.2002', '0.625', '-6.97862', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '3315445', '2835573', 'object/static/item/shared_item_painting_naboo_style_01.iff', '0', '-0.375559', '0', '0.926798', '10.2845', '0.625', '-2.09271', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '3315446', '2835573', 'object/tangible/furniture/elegant/shared_bookcase_s01.iff', '0', '0.40319', '0', '0.915116', '5.54452', '0.625', '-6.64265', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3315448', '2835573', 'object/tangible/furniture/elegant/shared_bookcase_s01.iff', '0', '0.930216', '0', '0.367013', '5.68053', '0.625', '-2.24713', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835574', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '0.944279', '0', '-0.329145', '-62.4808', '18', '-1567.36', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835575', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '-0.434965', '0', '0.900447', '-45.6922', '18', '-1626.64', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835576', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '-0.434965', '0', '0.900447', '-35.7466', '18', '-1614.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835577', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '0.944276', '0', '-0.329155', '-43.6811', '18', '-1582.28', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835578', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '-0.434965', '0', '0.900447', '-55.638', '18', '-1639.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835579', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '0.944279', '0', '-0.329145', '-49.9475', '18', '-1577.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835580', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '0.746442', '0', '-0.665451', '-26.7709', '18', '-1593.14', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835581', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '-0.288157', '0', '0.957583', '-62.1488', '18', '-1643.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835582', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '-0.434965', '0', '0.900447', '-30.7736', '18', '-1607.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835583', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '-0.434965', '0', '0.900447', '-56.2142', '18', '-1572.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835584', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '0.329144', '0', '0.94428', '-40.2744', '18', '-1574.77', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835585', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '0.329144', '0', '0.94428', '-34.0075', '18', '-1579.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835586', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '-0.434965', '0', '0.900447', '-25.8006', '18', '-1601.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835587', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '-0.434965', '0', '0.900447', '-27.7413', '18', '-1584.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835588', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0', '-0.434965', '0', '0.900447', '-44.6504', '18.0386', '-1611.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835589', '0', 'object/static/structure/general/shared_landing_pad_shuttle.iff', '0', '0.329146', '0', '0.944279', '-38.7427', '18', '-1606.62', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835590', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s02.iff', '0', '-0.434965', '0', '0.900447', '-35.9588', '18', '-1599.89', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835591', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s02.iff', '0', '-0.434965', '0', '0.900447', '-37.4511', '18', '-1608.22', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835592', '0', 'object/static/structure/corellia/shared_corl_power_connector.iff', '0', '-0.434965', '0', '0.900447', '-35.2749', '20.9823', '-1605.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835593', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '-0.434965', '0', '0.900447', '-41.528', '18', '-1613.35', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835594', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '-0.434965', '0', '0.900447', '-44.6612', '18', '-1610.86', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835595', '0', 'object/static/structure/corellia/shared_corl_power_connector.iff', '0', '-0.434965', '0', '0.900447', '-38.3969', '20.9783', '-1603.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835596', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s02.iff', '0', '-0.434965', '0', '0.900447', '-32.8255', '18', '-1602.38', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835597', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_2.iff', '0', '0.746442', '0', '-0.665451', '-50.8048', '18', '-1579.51', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835598', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s02.iff', '0', '-0.434965', '0', '0.900447', '-40.5948', '18', '-1605.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835599', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '-0.434965', '0', '0.900447', '-137.438', '18', '-1608.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835600', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '-0.434965', '0', '0.900447', '-85.7381', '18', '-1649.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835601', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '-0.434965', '0', '0.900447', '-124.025', '18', '-1564.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835602', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '-0.434965', '0', '0.900447', '-115.16', '18', '-1587.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835603', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '-0.434965', '0', '0.900447', '-125.076', '16.9228', '-1654.28', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835604', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '0.944275', '0', '-0.329157', '-131.171', '18', '-1613.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835605', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '0.746442', '0', '-0.665451', '-138.408', '18', '-1600.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835606', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '0.944273', '0', '-0.329163', '-121.437', '16.6972', '-1586.96', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835607', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '-0.434965', '0', '0.900447', '-119.931', '16.7301', '-1612.41', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835608', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '-0.434965', '0', '0.900447', '-114.959', '16.7301', '-1606.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835609', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '0.944272', '0', '-0.329165', '-121.225', '16.7301', '-1601.17', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835610', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '0.944273', '0', '-0.329163', '-108.904', '16.7301', '-1596.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835611', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '0.944279', '0', '-0.329145', '-127.492', '16.7301', '-1596.19', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835612', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '0.329145', '0', '0.944279', '-74.7408', '18', '-1547.42', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835613', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '-0.434965', '0', '0.900447', '-68.7473', '18', '-1562.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835614', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '0.944279', '0', '-0.329145', '-75.0144', '18', '-1557.41', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835615', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '-0.434965', '0', '0.900447', '-82.3975', '16.356', '-1586.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835616', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '-0.434965', '0', '0.900447', '-87.2741', '18.0046', '-1537.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835617', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '-0.434965', '0', '0.900447', '-104.133', '18.0014', '-1539.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835618', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '-0.434965', '0', '0.900447', '-62.9985', '18', '-1619.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835619', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '-0.434965', '0', '0.900447', '-68.8787', '18', '-1647.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835620', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '-0.434965', '0', '0.900447', '-139.378', '18', '-1591.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835621', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '-0.434965', '0', '0.900447', '-98.2713', '18', '-1639.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835622', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '-0.434965', '0', '0.900447', '-124.905', '18', '-1618.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835623', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '-0.434965', '0', '0.900447', '-115.13', '18', '-1641.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835624', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '0.746442', '0', '-0.665451', '-123.934', '18', '-1627.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835625', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '-0.0572699', '0', '0.998359', '-106.701', '18', '-1640.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835626', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '-0.434965', '0', '0.900447', '-120.103', '16.7717', '-1648.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835627', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '-0.434965', '0', '0.900447', '-127.937', '16.7717', '-1641.8', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835628', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '0.944279', '0', '-0.329145', '-81.2811', '18', '-1552.44', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835629', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '-0.434965', '0', '0.900447', '-133.971', '18', '-1577.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835630', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '-0.434965', '0', '0.900447', '-132.91', '16.8579', '-1648.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835631', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '-0.434965', '0', '0.900447', '-114.079', '18', '-1551.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835632', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '-0.572867', '0', '0.819648', '-136.775', '18', '-1584.68', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835633', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '-0.0572699', '0', '0.998359', '-77.3081', '18', '-1648.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835634', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '0.944279', '0', '-0.329145', '-92.004', '18', '-1644.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835635', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '-0.434965', '0', '0.900447', '-122.964', '18', '-1635.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835636', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0.937647', '0', '-0.34759', '0', '-76.1507', '23.1123', '-1594.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835637', '0', 'object/static/structure/military/shared_military_wall_med_imperial_style_01.iff', '0', '0.329145', '0', '0.944279', '-79.2641', '16.356', '-1588.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835638', '0', 'object/static/structure/military/shared_military_wall_med_imperial_style_01.iff', '0', '0.329146', '0', '0.944279', '-69.8641', '16.356', '-1595.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835639', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '-0.434965', '0', '0.900447', '-76.1309', '16.356', '-1590.99', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835640', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '-0.434965', '0', '0.900447', '-72.9973', '16.356', '-1593.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835641', '0', 'object/static/structure/military/shared_military_wall_med_imperial_style_01.iff', '0', '0.900446', '0', '0.434967', '-73.6445', '16.356', '-1587.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835642', '0', 'object/static/structure/military/shared_military_wall_med_imperial_style_01.iff', '0', '0.900446', '0', '0.434967', '-70.5114', '16.356', '-1590.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835643', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '-0.434965', '0', '0.900447', '-68.0246', '16.356', '-1587.21', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835644', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '-0.434965', '0', '0.900447', '-71.1579', '16.356', '-1584.73', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835645', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '-0.434965', '0', '0.900447', '-66.731', '16.356', '-1598.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835646', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '-0.434965', '0', '0.900447', '-109.106', '18', '-1545.68', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835647', '0', 'object/static/installation/shared_mockup_power_generator_fusion_style_1.iff', '0', '-0.434965', '0', '0.900447', '-124.495', '18', '-1603.68', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835648', '0', 'object/static/installation/shared_mockup_power_generator_fusion_style_1.iff', '0', '-0.434965', '0', '0.900447', '-128.846', '18', '-1609.16', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835649', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '0.329145', '0', '0.944279', '-81.0074', '18', '-1542.44', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835650', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '-0.0572699', '0', '0.998359', '-95.704', '18', '-1538.44', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835651', '0', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '0.944279', '0', '-0.329145', '-79.1124', '18', '-1590.44', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835652', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.944279', '0', '-0.329146', '-81.0696', '18', '-1588.65', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835653', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.939236', '0', '-0.343272', '-69.5764', '18', '-1597.72', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835654', '0', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '0.944279', '0', '-0.329146', '-71.7943', '18', '-1596.28', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835656', '0', 'object/static/installation/shared_mockup_factory_organic_style_1.iff', '0', '0.900447', '0', '0.434965', '-109.182', '18', '-1556.64', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835658', '0', 'object/static/installation/shared_mockup_factory_item_style_1.iff', '0', '0.944279', '0', '-0.329145', '-103.587', '18', '-1549.59', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '2835659', '0', 'object/static/structure/general/shared_landing_pad_shuttle.iff', '0', '0.329144', '0', '0.94428', '-106.074', '18', '-1552.72', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '3055845', '0', 'object/tangible/terminal/shared_terminal_mission_bounty.iff', '0', '0.7', '0', '0.714143', '-6335.93', '120', '932.488', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3055851', '0', 'object/static/structure/corellia/shared_corl_power_arial_prime.iff', '0', '-0.613117', '0', '0.789992', '-107.83', '18', '-1550.69', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3055857', '0', 'object/tangible/crafting/station/shared_public_weapon_station.iff', '0', '0.944279', '0', '-0.329146', '-76.5486', '18', '-1557.93', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3055859', '0', 'object/tangible/crafting/station/shared_public_clothing_station.iff', '0', '0.66545', '0', '0.746442', '-73.4679', '18', '-1646.62', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3055861', '0', 'object/tangible/crafting/station/shared_public_weapon_station.iff', '0', '-0.0572696', '0', '0.998359', '-80.4993', '18', '-1647.62', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3055862', '0', 'object/tangible/crafting/station/shared_public_clothing_station.iff', '0', '-0.434965', '0', '0.900447', '-72.9105', '18', '-1561.1', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3055866', '0', 'object/tangible/crafting/station/shared_public_food_station.iff', '0', '0.944279', '0', '-0.329145', '-113.049', '18', '-1595.65', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3055867', '0', 'object/tangible/crafting/station/shared_public_food_station.iff', '0', '0.944279', '0', '-0.329145', '-119.316', '18', '-1590.59', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3055868', '0', 'object/tangible/crafting/station/shared_public_food_station.iff', '0', '0.944279', '0', '-0.329145', '-125.57', '18', '-1585.7', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3055869', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '-0.434965', '0', '0.900447', '-73.527', '18', '-1586.26', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3055871', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '-0.434965', '0', '0.900447', '-75.1255', '18', '-1588.38', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3055893', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0.818099', '0', '0.575078', '-134.208', '18', '-1585.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3055897', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.897911', '0', '0.440178', '-70.4704', '18', '-1592.02', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3055899', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.897911', '0', '0.440178', '-68.7945', '18', '-1589.93', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135352', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.947651', '0', '0.319309', '-6189.67', '128', '921.295', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135353', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_32_style_01.iff', '0', '0.833712', '0', '0.552199', '-6176.81', '128', '941.142', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135354', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.976977', '0', '0.213348', '-6203.54', '128.005', '912.955', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135356', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_32_style_01.iff', '0', '0.42141', '0', '0.90687', '-6186.77', '128', '1004.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135359', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.203568', '0', '0.979061', '-6198.86', '128', '1026.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135360', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.300294', '0', '0.953847', '-6184.66', '128', '1018.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135361', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.457339', '0', '0.889293', '-6172.86', '128', '1006.72', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135362', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_32_style_01.iff', '0', '0.0799141', '0', '0.996802', '-6220.71', '128', '1022.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135363', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '-0.0799149', '0', '0.996802', '-6244.75', '128', '1023.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135366', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.41232', '0', '0.911039', '-6266.06', '128', '1033.25', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135367', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.425939', '0', '0.904752', '-6276.68', '128', '1045.76', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135368', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.0948566', '0', '0.995491', '-6290.12', '128', '1053.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135369', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.0299949', '0', '0.99955', '-6306.43', '128', '1056', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135370', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '-0.0699432', '0', '0.997551', '-6322.64', '127.854', '1055.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135371', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_32_style_01.iff', '0', '0.242556', '0', '0.970137', '-6345.31', '128', '1061.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135372', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_32_style_01.iff', '0', '-0.0100003', '0', '0.99995', '-6376.02', '128', '1069.36', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135373', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '-0.174108', '0', '0.984726', '-6399.97', '128', '1066.19', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135374', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '-0.0349926', '0', '0.999388', '-6415.94', '128', '1062.86', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135375', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.338197', '0', '0.941075', '-6430.85', '128', '1067.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135376', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.169183', '0', '0.985585', '-6445.06', '128', '1075.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135377', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.0799154', '0', '0.996802', '-6460.85', '128', '1079.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135378', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '-0.198668', '0', '0.980067', '-6476.65', '128', '1077.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135379', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '-0.448422', '0', '0.893822', '-6489.41', '128', '1068.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135380', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '-0.564642', '0', '0.825336', '-6497.23', '128', '1054.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135381', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '-0.68892', '0', '0.724837', '-6500.82', '128', '1037.91', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135382', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.807558', '0', '-0.589788', '-6498.78', '128', '1022.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135383', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '-0.193766', '0', '0.981048', '-6504.01', '128', '1010.2', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135384', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '-0.193766', '0', '0.981048', '-6519.03', '128', '1004.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135385', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '-0.466208', '0', '0.884675', '-6531.52', '127.925', '993.896', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135386', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '-0.585097', '0', '0.810963', '-6538.85', '128', '979.443', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135387', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.783327', '0', '-0.621611', '-6539.77', '128', '963.454', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135388', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.916803', '0', '-0.39934', '-6532.29', '128', '949.238', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135389', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.944148', '0', '-0.329522', '-6519.95', '128', '937.833', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135390', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.975723', '0', '-0.219007', '-6508.66', '128', '930.459', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135391', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.914795', '0', '-0.403919', '-6487.84', '128', '873.712', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135392', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.741296', '0', '-0.671178', '-6498.77', '127.972', '905.213', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135393', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.751279', '0', '-0.659985', '-6500.14', '128', '918.313', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135394', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.747969', '0', '-0.663733', '-6497.52', '128', '892.296', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135395', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.84147', '0', '-0.540304', '-6480.45', '128', '863.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135396', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '-0.461779', '0', '0.886995', '-6486.53', '128', '844.461', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135397', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.720831', '0', '-0.693111', '-6497.32', '128', '812.813', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135398', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '-0.685288', '0', '0.728272', '-6497.27', '128', '825.315', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135399', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '-0.461779', '0', '0.886995', '-6494.15', '128', '833.787', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135400', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.900101', '0', '-0.435682', '-6491.67', '127.711', '797.979', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135401', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.959438', '0', '-0.281921', '-6479.72', '127.722', '786.911', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135402', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.994409', '0', '-0.105599', '-6464.49', '128', '780.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135403', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.983083', '0', '0.183164', '-6448.82', '128', '782.198', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135404', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.930799', '0', '0.365532', '-6435.15', '128', '790.785', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135405', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.936177', '0', '0.351529', '-6423.02', '128.013', '801.813', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135406', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_32_style_01.iff', '0', '0.990901', '0', '-0.13459', '-6401.36', '128', '802.772', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135408', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.997836', '0', '-0.0657488', '-6381.67', '128', '797.852', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135409', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_32_style_01.iff', '0', '0.998487', '0', '-0.054972', '-6330.68', '128', '805.648', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135410', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.987354', '0', '0.158532', '-6369.49', '128', '800.022', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135411', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.980224', '0', '0.197888', '-6357.87', '128', '804.283', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135412', '0', 'object/static/structure/corellia/shared_corl_stair_medium_s01.iff', '0', '-0.0998332', '0', '0.995004', '-6354.72', '119.923', '828.044', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135415', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_sm_s01.iff', '0', '-0.0998333', '0', '0.995004', '-6352.14', '127.776', '815.303', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135416', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff', '0', '-0.0998333', '0', '0.995004', '-6353.72', '127.776', '823.144', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135480', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_32_style_01.iff', '0', '0.70738', '0', '0.706832', '-6277.22', '128.001', '853.013', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135481', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.973848', '0', '0.227202', '-6307.1', '128', '807.569', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135482', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.930799', '0', '0.365531', '-6293.58', '127.953', '816.718', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135483', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.887362', '0', '0.461073', '-6282.62', '128', '829.172', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135486', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.959886', '0', '0.280393', '-6270.36', '128', '874.38', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135487', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.919416', '0', '0.393287', '-6257.71', '128', '884.742', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135488', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.885046', '0', '0.465504', '-6247.33', '128', '897.606', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135489', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.992297', '0', '0.123884', '-6234.45', '128', '906.559', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135490', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.999415', '0', '0.0341966', '-6218.73', '128', '909.138', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135492', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0', '1', '-6173.89', '127.995', '963.662', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135493', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0', '1', '-6180.47', '128', '969.722', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135494', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0', '1', '-6181.92', '128', '977.873', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135495', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0', '1', '-6174.63', '128', '983.499', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135496', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0', '1', '-6176.14', '128', '992.289', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135497', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0', '1', '-6197.49', '128.868', '1016.73', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135498', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0', '1', '-6204.88', '128.817', '1020.18', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135499', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0', '1', '-6236.76', '128', '1025.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135500', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0', '1', '-6253.28', '128', '1022.59', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135501', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.0399893', '0', '0.9992', '-6170.65', '128', '956.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135502', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.0848975', '0', '0.99639', '-6183.13', '128', '926.282', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135503', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.104807', '0', '0.994493', '-6196.08', '128', '916.265', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135504', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.109778', '0', '0.993956', '-6210.85', '128', '909.873', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135505', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.0848975', '0', '0.99639', '-6226.71', '128', '908.655', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135506', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.948985', '0', '0.315322', '-6242.51', '128', '904.37', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135507', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.897911', '0', '0.440177', '-6252.05', '128', '890.794', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135508', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.950549', '0', '0.310574', '-6263.5', '128', '878.991', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135509', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.744643', '0', '0.667463', '-6277.35', '128', '869.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135510', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.84948', '0', '0.52762', '-6277.35', '128', '836.298', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135511', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.685289', '0', '0.728271', '-6287.44', '128', '822.389', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135512', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.792562', '0', '0.609791', '-6299.67', '128', '811.055', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135513', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.993868', '0', '0.11057', '-6314.47', '128', '803.843', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135514', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.995415', '0', '0.0956501', '-6347.4', '128', '807.357', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135515', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.994409', '0', '0.1056', '-6353.51', '128', '806.129', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135516', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.556361', '0', '0.830941', '-6361.57', '128', '802.468', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135517', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.998444', '0', '0.0557676', '-6377.4', '128', '797.351', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135518', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.994043', '0', '-0.108986', '-6385.68', '128', '798.462', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135519', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.997129', '0', '0.075724', '-6416.93', '128', '806.767', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135520', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.92075', '0', '0.390152', '-6429.25', '128', '796.406', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135521', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.95657', '0', '0.291502', '-6441.05', '128', '785.177', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135522', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.998952', '0', '0.0457806', '-6456.46', '128', '779.24', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135523', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.994576', '0', '-0.104015', '-6472.69', '128', '782.483', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135524', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.915437', '0', '-0.402461', '-6486.66', '128', '791.482', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135525', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.814341', '0', '-0.580387', '-6496.8', '128', '804.563', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135526', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.700285', '0', '0.713863', '-6497.64', '128', '821.053', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135527', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.526943', '0', '0.8499', '-6496.91', '128', '830.068', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135528', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.466209', '0', '0.884675', '-6491.46', '128', '837.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135529', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.514136', '0', '0.857709', '-6481.75', '128', '851.394', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135530', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.707951', '0', '-0.706262', '-6478.56', '128', '859.61', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135531', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.902953', '0', '-0.429739', '-6482.38', '128', '867.511', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135532', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.894178', '0', '-0.447711', '-6493.36', '128', '880.228', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135533', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.777072', '0', '-0.629412', '-6497.04', '128', '887.922', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135534', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.737931', '0', '-0.674876', '-6498.04', '128', '896.717', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135535', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.633906', '0', '0.77341', '-6499.6', '128', '913.539', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135536', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.897911', '0', '-0.440177', '-6500.83', '128', '923.162', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135537', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.894179', '0', '-0.44771', '-6504.44', '128', '928.342', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135538', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.979223', '0', '-0.202787', '-6512.99', '128', '932.367', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135539', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.937923', '0', '-0.346843', '-6526.59', '128', '943.118', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135540', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.847678', '0', '-0.530511', '-6537.92', '128', '955.38', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135541', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.686448', '0', '0.727179', '-6541.55', '128', '971.629', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135542', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.524045', '0', '0.851691', '-6536.1', '128', '987.075', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135543', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.32555', '0', '0.945525', '-6526.84', '128', '1000.76', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135544', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.532535', '0', '0.846408', '-6496.21', '128', '1013.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135545', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.768564', '0', '-0.639773', '-6501.19', '128', '1029.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135546', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.633906', '0', '0.77341', '-6500.41', '128', '1046.26', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135547', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.476433', '0', '0.879211', '-6494.32', '128', '1062.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135548', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.263446', '0', '0.964674', '-6484.17', '128', '1074.94', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135549', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.0265898', '0', '0.999646', '-6468.85', '128', '1081.19', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135550', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.142916', '0', '0.989735', '-6424.14', '128', '1062.56', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135551', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.121293', '0', '0.992617', '-6407.76', '128', '1063.54', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135552', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.121294', '0', '0.992617', '-6392.29', '128', '1069.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135553', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.0932712', '0', '0.995641', '-6359.67', '128', '1069.79', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135554', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.103223', '0', '0.994658', '-6330.94', '128', '1054.44', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135555', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.00659295', '0', '0.999978', '-6314.49', '128', '1056.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135556', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.0982483', '0', '0.995162', '-6298.2', '128', '1055.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135557', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.309816', '0', '0.950796', '-6260.68', '128', '1027.05', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135558', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.42141', '0', '0.90687', '-6271.54', '128', '1039.39', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135559', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.29074', '0', '0.956802', '-6282.07', '128', '1052.05', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135560', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.0998333', '0', '0.995004', '-6274.54', '128.27', '1059.19', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135561', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0', '1', '-6253.99', '128.264', '1034.37', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135562', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0', '1', '-6238.02', '128.338', '1035.04', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135563', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.15438', '0', '0.988012', '-6206.2', '128.348', '1029.66', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135564', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.276356', '0', '0.961055', '-6191.44', '128.308', '1023.24', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135565', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.416871', '0', '0.908966', '-6178.11', '128.453', '1013.96', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135567', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.0349932', '0', '0.999388', '-6460.18', '128.281', '1089', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135568', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.952576', '0', '0.3043', '-6524.79', '128.368', '1012.16', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135570', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '-0.20846', '0', '0.978031', '-6528.99', '128', '1010', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135571', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '-0.42141', '0', '0.90687', '-6536.73', '128', '1003.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135572', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.911367', '0', '0.411595', '-6539.65', '128.286', '1000.63', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135573', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.847677', '0', '0.530511', '-6543.37', '128', '992.749', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135574', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.793532', '0', '0.608527', '-6549.24', '128', '976.257', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135575', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.868215', '0', '0.496189', '-6547.08', '128.286', '984.695', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135576', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.668049', '0', '0.744117', '-6550.45', '127.985', '958.96', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135577', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.762128', '0', '0.647426', '-6551.49', '128.286', '967.609', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135578', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.472028', '0', '0.881584', '-6544.41', '127.874', '942.867', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135579', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.586389', '0', '0.81003', '-6549.32', '128.286', '950.061', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135580', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.287476', '0', '0.957788', '-6532.34', '127.922', '930.79', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135581', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.413772', '0', '0.910381', '-6539.67', '128.286', '935.502', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135582', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.258618', '0', '0.96598', '-6518.19', '128', '922.296', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135583', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.386278', '0', '0.922382', '-6525.78', '128.286', '926.561', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135584', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.686431', '0', '0.727195', '-6510.35', '128', '909.307', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135585', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.778073', '0', '0.628174', '-6510.95', '128.286', '917.997', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135586', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.660573', '0', '0.750762', '-6508.61', '127.942', '891.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135587', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.755615', '0', '0.655016', '-6509.81', '128.286', '900.326', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135588', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.755615', '0', '0.655016', '-6507.45', '128.264', '883.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135589', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.755615', '0', '0.655016', '-6490.07', '128.338', '857.029', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135590', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.707945', '0', '0.706267', '-6509.85', '128', '822.143', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135591', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.796565', '0', '0.604552', '-6509.93', '128.344', '830.851', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135592', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.622225', '0', '0.782839', '-6507.96', '128', '804.834', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135593', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.721934', '0', '0.691962', '-6510.01', '128.344', '813.296', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135594', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '0', '-0.342897', '0', '0.939373', '-6502.17', '128', '786.189', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135595', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.445374', '0', '0.895345', '-6505.55', '128.368', '795.975', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135596', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '0.846832', '0', '-0.531861', '-6503.27', '128', '791.845', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135597', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '0.944148', '0', '-0.32952', '-6497.01', '128', '784.283', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135598', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.339696', '0', '0.940535', '-6493.58', '128.286', '781.463', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135599', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.925898', '0', '-0.377773', '-6478.19', '128.344', '772.979', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135600', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.968321', '0', '-0.249707', '-6485.86', '128', '777.106', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135601', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.963558', '0', '-0.267499', '-6461.43', '128.344', '768.235', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135602', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.990795', '0', '-0.135368', '-6469.85', '128', '770.481', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135603', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.999359', '0', '-0.0357892', '-6444.39', '128.344', '771.805', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135604', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.995082', '0', '0.0990524', '-6452.91', '128', '769.995', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135605', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.991665', '0', '0.128844', '-6429.3', '128.344', '780.824', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135606', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.965298', '0', '0.261152', '-6436.77', '128', '776.353', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135607', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.9727', '0', '0.232068', '-6416.42', '128.33', '792.666', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135608', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.932611', '0', '0.360884', '-6422.8', '128', '786.734', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135609', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '0.992713', '0', '-0.120503', '-6400.69', '127.632', '789.093', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135610', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.0733419', '0', '0.997307', '-6384.57', '128.344', '785.419', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135611', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.99936', '0', '-0.035777', '-6375.71', '128.002', '784.758', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135612', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.98545', '0', '-0.169968', '-6367.02', '128.292', '784.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135613', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '0.693685', '0', '0.720278', '-6366.28', '128', '769.305', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135614', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '0.693679', '0', '0.720284', '-6365.19', '128', '739.36', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135615', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.999708', '0', '0.0242007', '-6365.77', '128.292', '754.342', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135616', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.999574', '0', '0.0291992', '-6364.51', '128.089', '724.469', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135621', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '0.704398', '0', '0.709805', '-6299.11', '128', '741.701', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135622', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.999959', '0', '0.00920319', '-6299.17', '128.262', '757.007', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135623', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '0.704403', '0', '0.7098', '-6299.29', '128', '771.969', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135624', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.99936', '0', '-0.0357894', '-6299.59', '128.275', '786.91', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135626', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s03.iff', '0', '0.0249968', '0', '0.999688', '-6348.31', '128', '791.348', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135627', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.970328', '0', '0.241795', '-6360.85', '128.018', '787.538', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135628', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.00500059', '0', '0.999987', '-6353.27', '128.421', '791.501', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135629', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.0150003', '0', '0.999887', '-6343.36', '128.245', '791.128', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135630', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.113967', '0', '0.993485', '-6336.44', '128', '792.725', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135631', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.124676', '0', '0.992198', '-6313.36', '128.245', '793.726', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135632', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.223872', '0', '0.974619', '-6306.44', '128', '790.304', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135633', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.0257827', '0', '0.999668', '-6321.1', '128', '794.04', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135634', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.104808', '0', '0.994493', '-6328.83', '128.245', '794.415', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135635', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '0', '0.724838', '0', '0.68892', '-6321.57', '128', '793.823', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135636', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.852519', '0', '0.522696', '-6295.55', '128', '794.951', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135637', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.795602', '0', '0.605819', '-6291.99', '128.245', '801.813', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135640', '0', 'object/building/military/shared_military_outpost_guard_house_imperial.iff', '0', '0.0003963', '0', '1', '-6305.67', '128.006', '734.971', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135641', '3135640', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135642', '3135640', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135646', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0', '1', '-6329', '128.41', '724.573', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135647', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0', '1', '-6347.07', '128.245', '724.569', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135648', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0', '0', '1', '-6338.04', '128', '724.537', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135650', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0', '0', '1', '-6356.18', '128', '724.566', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135656', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.922992', '0', '0.384818', '-6285.79', '128', '808.232', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135657', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.87959', '0', '0.475731', '-6280.32', '128.099', '813.682', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135660', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.72719', '0', '-0.686437', '-6265.29', '128', '853.824', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135661', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.872355', '0', '-0.488872', '-6265.97', '128.245', '862.787', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135662', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.452185', '0', '0.891924', '-6275.01', '128', '820.761', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135663', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.663133', '0', '0.748502', '-6269.83', '128.245', '828.024', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135664', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.588508', '0', '0.808491', '-6267.33', '128', '836.457', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135665', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.773914', '0', '-0.63329', '-6264.7', '128.245', '844.983', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135667', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.961276', '0', '0.275588', '-6228.12', '128.245', '895.995', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135668', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.979221', '0', '0.202797', '-6236.26', '128', '892.366', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135669', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.685865', '0', '0.727729', '-6244.08', '128.245', '888.533', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135670', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '0.999023', '0', '0.0441937', '-6211.13', '127.995', '897.59', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135671', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '0.909296', '0', '0.416151', '-6254.95', '128', '875.736', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135672', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.889658', '0', '0.456628', '-6182', '128.245', '912.162', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135673', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.921367', '0', '0.388694', '-6188.15', '128', '905.712', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135674', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.935895', '0', '-0.352279', '-6194.39', '128.245', '899.141', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135675', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.752324', '0', '0.658793', '-6160.81', '128.028', '948.41', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135676', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.998488', '0', '-0.0549774', '-6161.97', '128.245', '939.442', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135677', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.867032', '0', '-0.498253', '-6163.8', '128', '992.828', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135678', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.492539', '0', '0.87029', '-6167.62', '128.217', '999.433', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135679', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.948737', '0', '-0.316067', '-6153.76', '128', '981.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135680', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.921676', '0', '0.387961', '-6153.99', '128.004', '962.651', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135681', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.443952', '0', '0.896051', '-6159.97', '128.317', '986.175', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135682', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0', '1', '-6148.04', '129.074', '977.574', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135683', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.707105', '0', '0.707109', '-6148.04', '129.028', '968.744', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135684', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.864927', '0', '0.501898', '-6159.53', '128.334', '956.582', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3135691', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.921676', '0', '0.387961', '-6188.17', '128', '905.654', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295352', '0', 'object/static/structure/dathomir/shared_imp_prison.iff', '0', '0', '0', '1', '-6320', '120', '850', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295353', '0', 'object/static/structure/dathomir/shared_imp_prison.iff', '0', '0', '0', '1', '-6390', '120', '840', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295354', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.382683', '0', '0.92388', '-6419.82', '120', '871.418', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295356', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.707107', '0', '0.707106', '-6372.38', '120', '867.034', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295357', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.0649542', '0', '0.997888', '-6380.22', '120', '876.349', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295358', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0', '0', '1', '-6405.28', '120', '877.383', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295359', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s03.iff', '0', '0.382683', '0', '0.92388', '-6421.44', '120', '862.933', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295360', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.579161', '0', '0.815213', '-6428.01', '120', '858.047', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295361', '0', 'object/static/structure/dathomir/shared_imp_prison.iff', '0', '0.707107', '0', '0.707107', '-6459.42', '120', '821.755', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295362', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.705197', '0', '0.709012', '-6430.59', '120', '841.245', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295363', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.999976', '0', '0.00690285', '-6438.81', '120', '833.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295364', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.707105', '0', '0.707108', '-6416.46', '120.824', '818.189', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295365', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s03.iff', '0', '0.077621', '0', '0.996983', '-6308.05', '120', '883.676', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295366', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s03.iff', '0', '0.106391', '0', '0.994324', '-6323.45', '120', '980.717', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295367', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.200924', '0', '0.979607', '-6296.43', '120', '879.742', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295368', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.583231', '0', '0.812307', '-6288.58', '120', '836.424', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295369', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.321868', '0', '0.946785', '-6297.99', '120', '823.273', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295370', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '-0.0365855', '0', '0.999331', '-6320.83', '120', '817.185', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295371', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.690586', '0', '0.72325', '-6337.67', '120', '823.784', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295372', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.907502', '0', '0.420047', '-6344.99', '120', '833.382', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295375', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '0.783574', '0', '-0.621298', '-6348.89', '120', '816.643', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295376', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '0.774167', '0', '-0.632981', '-6355.37', '120', '815.349', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295377', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.995415', '0', '0.09565', '-6337.37', '120.225', '815.969', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295378', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.998444', '0', '0.0557675', '-6349.48', '120.158', '828.005', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295379', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.998152', '0', '0.060759', '-6358.87', '120.327', '822.541', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295380', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.994576', '0', '-0.104015', '-6285.9', '120.276', '844.782', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295381', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.995415', '0', '0.09565', '-6289.59', '120.253', '876.364', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295382', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.998248', '0', '-0.0591689', '-6303.11', '120.255', '882.889', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295383', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.999958', '0', '-0.0092034', '-6312.86', '120.285', '884.287', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295384', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.928369', '0', '0.37166', '-6345.39', '120.285', '884.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295385', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.999023', '0', '-0.0441892', '-6372.36', '120.221', '875.349', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295386', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.999784', '0', '0.020795', '-6387.78', '120.244', '877.412', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295387', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.999958', '0', '-0.0092034', '-6291.03', '120.311', '828.76', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295388', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.995415', '0', '0.09565', '-6304.58', '120.317', '818.628', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295389', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.999958', '0', '-0.00920339', '-6397.4', '120.253', '877.357', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295390', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.982789', '0', '0.184729', '-6413.55', '120.253', '876.981', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295391', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.699713', '0', '0.714424', '-6424.79', '120.328', '866.284', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295392', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.927097', '0', '-0.374821', '-6417.97', '120.285', '859.484', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295393', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.713863', '0', '0.700284', '-6430.43', '120.253', '850.012', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295394', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.925211', '0', '-0.379451', '-6430.57', '120.222', '833.219', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295395', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.999983', '0', '0.00579645', '-6416.43', '121.054', '810.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295396', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '0', '0', '1', '-6432.64', '120.884', '810.087', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295397', '0', 'object/static/structure/dathomir/shared_imp_prison.iff', '0', '0.995004', '0', '-0.0998333', '-6379.29', '120', '1028.42', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295398', '0', 'object/static/structure/dathomir/shared_imp_prison.iff', '0', '0.995004', '0', '-0.099833', '-6307.68', '120', '1015.32', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295399', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.645429', '0', '0.76382', '-6345.02', '120', '1000.42', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295400', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '0.104808', '0', '0.994493', '-6400.45', '120', '993.431', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295401', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '-0.655617', '0', '0.755093', '-6343.98', '120', '1024.66', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295404', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.109778', '0', '0.993956', '-6318.75', '120.316', '979.808', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295405', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.149438', '0', '0.988771', '-6328.08', '120.324', '981.863', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295406', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.0249971', '0', '0.999687', '-6344.58', '120.316', '983.551', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295407', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.00999953', '0', '0.99995', '-6343.98', '120.197', '992.907', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295408', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.0299952', '0', '0.99955', '-6346.19', '120.221', '1008.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295409', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.139543', '0', '0.990216', '-6341.63', '120.253', '1040.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295410', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.0449851', '0', '0.998988', '-6325.62', '120.329', '1044.13', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295411', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.218229', '0', '0.975897', '-6293.27', '120.316', '1045.41', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295412', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.0699425', '0', '0.997551', '-6375.96', '120.253', '988.393', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295413', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.109778', '0', '0.993956', '-6385.26', '120.221', '990.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295414', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.894179', '0', '-0.44771', '-6415.75', '120.285', '997.131', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295415', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.144492', '0', '0.989506', '-6416.73', '120.285', '1028.91', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295416', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.15438', '0', '0.988011', '-6402.51', '120.293', '1057.64', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295417', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.159318', '0', '0.987227', '-6370.62', '120.259', '1055.86', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295418', '0', 'object/building/military/shared_military_base_shed_imperial_style_01.iff', '0', '0.710632', '0', '-0.703564', '-6398.13', '120', '958.667', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295419', '3295418', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295420', '3295418', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295421', '3295418', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295422', '3295418', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295423', '3295418', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295424', '3295418', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295425', '0', 'object/building/military/shared_military_base_shed_imperial_style_01.iff', '0', '0.710632', '0', '-0.703564', '-6398.01', '120', '943.427', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295426', '3295425', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295427', '3295425', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295428', '3295425', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295429', '3295425', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295430', '3295425', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295431', '3295425', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295432', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '-0.300293', '0', '0.953847', '-6488.6', '121.093', '931.518', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295433', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '-0.300293', '0', '0.953847', '-6492.55', '121.093', '936.767', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295434', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.448423', '0', '0.893821', '-6438.89', '120', '1022.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295435', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.232843', '0', '0.972514', '-6444.28', '120.375', '1016.49', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295436', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.699717', '0', '0.71442', '-6432.71', '120', '1038.54', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295437', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.518418', '0', '0.855127', '-6433.37', '120.375', '1030.17', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295438', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.886627', '0', '-0.462485', '-6437', '119.94', '1054.82', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295439', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.757843', '0', '-0.652438', '-6432.6', '120.178', '1047.68', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295440', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.971148', '0', '-0.238476', '-6449.37', '119.757', '1066.27', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295441', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.891207', '0', '-0.453596', '-6442.17', '120.284', '1061.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295442', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.998248', '0', '0.0591689', '-6464.93', '119.648', '1069.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295443', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.761095', '0', '-0.648639', '-6491.23', '119.661', '1035.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295444', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.552198', '0', '0.833713', '-6489.42', '119.636', '1050.72', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295445', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.949485', '0', '0.31381', '-6479.69', '119.62', '1063.24', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295446', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.92075', '0', '-0.390151', '-6483.9', '119.818', '1021.21', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295447', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.986287', '0', '-0.165038', '-6470.69', '119.883', '1013.04', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295449', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.232843', '0', '0.972514', '-6492.43', '120', '1043.27', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295450', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.232843', '0', '0.972514', '-6486.15', '119.904', '1058.49', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295451', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.232843', '0', '0.972514', '-6463.02', '120.129', '1010.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295452', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.232843', '0', '0.972514', '-6489.48', '120.046', '1026.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295453', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.232843', '0', '0.972514', '-6478.42', '120.117', '1015.68', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295454', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.232843', '0', '0.972514', '-6472.83', '119.968', '1068.36', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295455', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.232843', '0', '0.972514', '-6456.27', '120', '1070.08', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295457', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.786425', '0', '-0.617686', '-6494.31', '120.289', '941.355', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295458', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.950549', '0', '-0.310575', '-6517.6', '120', '946.891', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295459', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.786425', '0', '-0.617686', '-6511.04', '120.289', '942.255', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295460', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.786425', '0', '-0.617686', '-6480.98', '120.497', '949.575', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295461', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.87556', '0', '0.48311', '-6476.64', '120', '956.504', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295462', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.963982', '0', '0.265963', '-6487.61', '120', '945.516', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295463', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.786425', '0', '-0.617686', '-6472.36', '120.289', '963.373', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295464', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.906534', '0', '-0.422133', '-6478.98', '119.889', '989.722', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295465', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.786425', '0', '-0.617686', '-6473.96', '120.289', '983.002', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295466', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.992099', '0', '-0.125462', '-6492.77', '120.055', '999.306', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295467', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.937369', '0', '-0.348337', '-6484.78', '120.413', '996.751', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295468', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.982154', '0', '0.188077', '-6509.6', '120.025', '998.857', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295469', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.999168', '0', '-0.0407844', '-6501.64', '120.289', '1001.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295470', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.980224', '0', '0.197888', '-6517.74', '120.289', '995.455', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295471', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.999359', '0', '-0.0357889', '-6503', '120', '941.608', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295472', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.549353', '0', '0.83559', '-6527.56', '120', '959.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295473', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.909297', '0', '0.416146', '-6523.58', '120', '989.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295474', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.745705', '0', '0.666276', '-6529.91', '120', '974.937', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295475', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.786425', '0', '-0.617686', '-6524.42', '120.289', '951.851', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295476', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.786425', '0', '-0.617686', '-6530.98', '120.289', '967.073', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295477', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.786425', '0', '-0.617686', '-6528.87', '120.289', '983.589', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295478', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.947905', '0', '0.318554', '-6447.56', '120', '873.001', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295479', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.663136', '0', '0.748499', '-6441.13', '120.289', '877.922', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295480', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.87556', '0', '0.48311', '-6436.42', '120', '885.532', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295481', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.786425', '0', '-0.617686', '-6432.14', '120.289', '892.401', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295482', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.649248', '0', '0.760577', '-6433.46', '120', '901.612', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295483', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.953607', '0', '-0.301053', '-6434.78', '120.289', '909.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295484', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.493922', '0', '0.869506', '-6439.58', '120', '917.17', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295485', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.993303', '0', '-0.115538', '-6443.76', '120.289', '924.105', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295486', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.94302', '0', '0.332736', '-6484.41', '120', '920.984', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295487', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.674288', '0', '0.738469', '-6478.13', '120.289', '926.096', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295488', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.991008', '0', '0.133801', '-6469.78', '120', '928.429', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295489', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.509841', '0', '0.860269', '-6461.98', '120.289', '930.613', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295490', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.674287', '0', '0.738469', '-6491.43', '120.692', '915.213', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295491', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.999415', '0', '0.0341968', '-6462.78', '120', '867.452', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295492', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.421411', '0', '0.90687', '-6454.7', '120.289', '868.045', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295493', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.421411', '0', '0.90687', '-6471.55', '120.318', '866.922', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295498', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_32_style_01.iff', '0', '-0.104807', '0', '0.994493', '-6214.85', '117.286', '967.649', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295499', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_32_style_01.iff', '0', '0.994493', '0', '0.104807', '-6207.76', '117.286', '934.396', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295500', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_32_style_01.iff', '0', '0.629102', '0', '0.777323', '-6194.68', '117.286', '954.566', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295501', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.958899', '0', '-0.283747', '-6230.53', '117.286', '935.678', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295502', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '-0.477405', '0', '0.878683', '-6235.11', '117.286', '957.194', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295503', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.994493', '0', '0.104807', '-6239.73', '120', '950.075', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295504', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.994493', '0', '0.104807', '-6237.65', '120', '940.295', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295505', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.104807', '0', '0.994493', '-6230.49', '120', '964.313', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295506', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.994493', '0', '0.104807', '-6223.41', '120', '931.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295507', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.104807', '0', '0.994493', '-6198.22', '120', '971.192', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295508', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.878683', '0', '0.477405', '-6191.13', '120', '937.939', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295509', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.994493', '0', '0.104807', '-6255.49', '116.097', '946.493', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295510', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.994493', '0', '0.104807', '-6253.41', '116.097', '936.713', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295511', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.99639', '0', '0.0848975', '-6276.09', '116.097', '941.922', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295512', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.99639', '0', '0.0848975', '-6274.4', '116.097', '932.066', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295513', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.998201', '0', '0.0599638', '-6298.31', '116.097', '938.197', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295514', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.998201', '0', '0.0599638', '-6297.12', '116.097', '928.269', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295515', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.9998', '0', '0.0199984', '-6320.34', '116.097', '934.007', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295516', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.9998', '0', '0.0199984', '-6319.94', '116.097', '924.014', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3295532', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.981853', '0', '-0.189641', '-6443.81', '128.285', '1084.37', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625776', '0', 'object/tangible/furniture/all/shared_frn_all_table_s03.iff', '0', '0', '0', '1', '5331.62', '78.5', '-4147.38', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625777', '0', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s1.iff', '0', '0.174108', '0', '0.984727', '5301.62', '78.5', '-4194.31', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625778', '0', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s1.iff', '0', '0.174108', '0', '0.984727', '5300.16', '78.5', '-4193.77', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625779', '0', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s2.iff', '0', '0.543835', '0', '0.839192', '5295.02', '78.5', '-4187.3', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625780', '0', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s4.iff', '0', '0.998444', '0', '0.055768', '5295.96', '78.5', '-4193.73', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625781', '0', 'object/tangible/furniture/all/shared_frn_all_chair_wooden_s2.iff', '0', '0.819192', '0', '-0.57352', '5309.74', '78.5', '-4189.34', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625782', '0', 'object/tangible/furniture/all/shared_frn_all_chair_wooden_s2.iff', '0', '-0.0799151', '0', '0.996802', '5308.79', '78.5', '-4192.13', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625783', '0', 'object/tangible/furniture/all/shared_frn_all_chair_wooden_s2.iff', '0', '0.247404', '0', '0.968912', '5307.44', '78.5', '-4191.85', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625784', '0', 'object/tangible/furniture/all/shared_frn_all_chair_wooden_s2.iff', '0', '0.997836', '0', '-0.065748', '5308.57', '78.5', '-4188.56', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625785', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0', '0', '1', '5308.46', '78.5', '-4190.3', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625786', '0', 'object/tangible/furniture/all/shared_frn_all_table_s01.iff', '0', '0', '0', '1', '5375.44', '78.5', '-4116.65', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625787', '0', 'object/tangible/furniture/all/shared_frn_all_toolchest_med_s01.iff', '0', '0.271547', '0', '0.962425', '5377.63', '78.5', '-4121.73', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625788', '0', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s1.iff', '0', '0.858118', '0', '-0.513454', '5301.77', '78.5', '-4124.38', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625789', '0', 'object/tangible/furniture/all/shared_frn_all_chair_upholstered_s1.iff', '0', '0.990105', '0', '-0.140332', '5300.8', '78.5', '-4121.61', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625790', '0', 'object/tangible/furniture/all/shared_frn_all_tree_potted_s2.iff', '0', '0.696135', '0', '0.717911', '5304.13', '78.5', '-4127.87', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625797', '0', 'object/tangible/instrument/shared_slitherhorn.iff', '-0.050218', '0.769416', '-0.009269', '0.636703', '5304.9', '78.5', '-4124.32', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625798', '0', 'object/tangible/furniture/all/shared_frn_all_table_s02.iff', '0', '0', '0', '1', '5291.12', '78.5', '-4126.32', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625799', '0', 'object/tangible/furniture/all/shared_frn_all_light_lamp_table_s02.iff', '0', '0', '0', '1', '5290.76', '79.259', '-4126.11', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625800', '0', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s2.iff', '0', '0.443948', '0', '0.896052', '5289.64', '78.5', '-4127.24', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625801', '0', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s2.iff', '0', '-0.099833', '0', '0.995004', '5291.16', '78.5', '-4127.75', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625802', '0', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s2.iff', '0', '0.999942', '0', '0.010796', '5291.06', '78.5', '-4124.86', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625803', '0', 'object/tangible/furniture/all/shared_frn_all_decorative_lg_s2.iff', '0', '0.548024', '0', '0.836462', '5293.14', '78.5', '-4137.59', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625815', '0', 'object/static/structure/general/shared_camp_lawn_chair_s01.iff', '0', '0.887362', '0', '0.461073', '5374.62', '78.5', '-4115.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625816', '0', 'object/static/structure/general/shared_camp_lawn_chair_s01.iff', '0', '0.099833', '0', '0.995004', '5375.43', '78.5', '-4117.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625818', '0', 'object/static/structure/general/shared_campfire_burnt.iff', '0', '0', '0', '1', '5325.18', '78.5', '-4223.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625821', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.257081', '0', '0.96639', '5211.44', '78.5059', '-4222.27', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625822', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.864923', '0', '0.501904', '5203.54', '78.516', '-4218.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625824', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.362351', '0', '0.932042', '5255.6', '78.5', '-4222.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625825', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.362355', '0', '0.93204', '5249.72', '78.5', '-4216.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625826', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.575405', '0', '0.817869', '5290.07', '78.5', '-4193.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625827', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.5754', '0', '0.817872', '5281.97', '78.5', '-4171.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625828', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.5754', '0', '0.817872', '5287.37', '78.5', '-4186.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625829', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.5754', '0', '0.817872', '5284.71', '78.5', '-4178.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625830', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.24556', '0', '0.969381', '5294.99', '78.5', '-4199.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625831', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.99851', '0', '0.054574', '5302.56', '78.5', '-4201.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625832', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.615556', '0', '0.788093', '5275.66', '78.5', '-4147.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625833', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.615556', '0', '0.788093', '5279.6', '78.5', '-4163.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625834', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.615556', '0', '0.788093', '5277.63', '78.5', '-4155.59', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625835', '0', 'object/static/flora/shared_flora_decd_dath_blacktree.iff', '0', '-0.183946', '0', '0.982936', '5207.85', '78.5105', '-4201.69', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625849', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0', '0', '1', '5302.27', '78.5', '-4186.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625850', '0', 'object/static/flora/shared_flora_decd_dath_blacktree.iff', '0', '-0.699714', '0', '0.714423', '5270.41', '78.5', '-4034.04', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625851', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.024997', '0', '0.999688', '5289.45', '78.5', '-4241.42', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625852', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.024997', '0', '0.999688', '5305.92', '78.5', '-4240.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625853', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.688919', '0', '0.724838', '5297.29', '78.5', '-4241.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625854', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.024997', '0', '0.999688', '5322.23', '78.5', '-4239.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625855', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.024997', '0', '0.999688', '5338.68', '78.5', '-4238.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625856', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.688919', '0', '0.724838', '5330.04', '78.5', '-4240.14', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625857', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.688919', '0', '0.724838', '5346.44', '78.5', '-4239.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625858', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.688919', '0', '0.724838', '5313.59', '78.5', '-4240.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625859', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.104807', '0', '0.994493', '5371.12', '78.5', '-4234.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625860', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.628791', '0', '0.777574', '5362.78', '78.5', '-4237.19', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625861', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.104807', '0', '0.994493', '5387.08', '78.5293', '-4231.21', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625862', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.104807', '0', '0.994493', '5403.2', '78.5155', '-4227.82', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625863', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.628791', '0', '0.777574', '5394.86', '78.5258', '-4230.35', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625864', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.628791', '0', '0.777574', '5378.74', '78.5111', '-4233.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625865', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.019998', '0', '0.9998', '5355.17', '78.5', '-4238.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625866', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.320818', '0', '0.947141', '5393.82', '78.5', '-4064.34', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625867', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.896405', '0', '-0.443235', '5387.96', '78.5', '-4057.89', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625868', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.311331', '0', '0.950302', '5403.67', '78.5', '-4077.28', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625869', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.896405', '0', '-0.443235', '5397.97', '78.5', '-4070.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625870', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.896405', '0', '-0.443235', '5378.09', '78.5', '-4044.79', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625871', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.320818', '0', '0.947141', '5383.95', '78.5', '-4051.24', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625872', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.320818', '0', '0.947141', '5373.98', '78.5', '-4038.2', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625873', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.164252', '0', '0.986418', '5241.68', '78.501', '-4235.79', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625874', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.813414', '0', '0.581685', '5233.23', '78.5015', '-4233.68', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625875', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.813414', '0', '0.581685', '5248.76', '78.5', '-4238.99', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625876', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.164252', '0', '0.986418', '5226.11', '78.501', '-4230.41', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625877', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.864923', '0', '0.501904', '5217.72', '78.5004', '-4226.68', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625878', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.448423', '0', '0.893822', '5197.45', '78.5239', '-4214.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625879', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.37556', '0', '0.926798', '5185.77', '78.5141', '-4202.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625880', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.920751', '0', '0.390152', '5179.02', '78.594', '-4197.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625881', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.920751', '0', '0.390152', '5190.81', '78.5217', '-4208.89', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625882', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.443948', '0', '0.896053', '5174.12', '78.6726', '-4191.76', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625883', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.479426', '0', '0.877582', '5165.26', '78.819', '-4178.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625884', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.977865', '0', '0.209239', '5161.03', '78.7422', '-4170.49', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625885', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.543835', '0', '0.839192', '5158.54', '78.6603', '-4163.13', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625886', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.959438', '0', '0.281922', '5168.79', '78.7657', '-4184.91', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625888', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.995567', '0', '-0.094065', '5153.06', '78.6325', '-4105.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625889', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.757844', '0', '0.652436', '5152.18', '78.6369', '-4114.56', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625890', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.999416', '0', '-0.034197', '5150.9', '78.6782', '-4122.36', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625891', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.77074', '0', '0.63715', '5155.24', '78.6228', '-4098.29', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625892', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.995084', '0', '-0.0990409', '5156.22', '78.5986', '-4089.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625893', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.70328', '0', '0.710913', '5151.09', '78.6565', '-4131.04', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625894', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.87556', '0', '-0.483111', '5196.59', '78.3432', '-4040.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625895', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.960835', '0', '0.27712', '5189.63', '78.3545', '-4046.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625896', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.87556', '0', '-0.483111', '5182.79', '78.3822', '-4049.62', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625897', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.960835', '0', '0.27712', '5203.52', '78.3981', '-4037.4', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625898', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.87556', '0', '-0.483111', '5210.48', '78.453', '-4032.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625899', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.895699', '0', '0.444661', '5164.74', '78.5206', '-4067.16', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625900', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.930799', '0', '-0.365531', '5170.19', '78.4815', '-4060.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625901', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.980225', '0', '-0.197889', '5161.09', '78.5296', '-4074.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625902', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.948985', '0', '0.315322', '5175.89', '78.433', '-4054.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625903', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.783327', '0', '0.621609', '5158.47', '78.5667', '-4082.39', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625904', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.778074', '0', '-0.628175', '5241.73', '78.4093', '-4022.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625905', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.994409', '0', '0.105598', '5233.39', '78.4139', '-4025.08', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625906', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.778074', '0', '-0.628175', '5225.77', '78.4243', '-4025.99', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625907', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.994409', '0', '0.105598', '5249.44', '78.4621', '-4021.62', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625908', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.778074', '0', '-0.628175', '5257.77', '78.4806', '-4019.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625909', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.989391', '0', '0.14528', '5217.49', '78.4551', '-4028.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625910', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.728817', '0', '-0.68471', '5290.5', '78.4896', '-4015.8', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625911', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.999525', '0', '0.030791', '5281.88', '78.4904', '-4017.08', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625912', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.728817', '0', '-0.68471', '5274.21', '78.4902', '-4016.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625913', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.999525', '0', '0.030791', '5298.26', '78.4907', '-4016.05', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625914', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.997495', '0', '0.070737', '5265.63', '78.4911', '-4018.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625915', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.731687', '0', '0.681641', '5258.32', '78.5', '-4228.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625916', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.731684', '0', '0.681644', '5257.68', '78.5', '-4236.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625919', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.942888', '0', '0.333109', '5332.48', '78.5', '-4202.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625920', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.942889', '0', '0.333105', '5326.15', '78.5', '-4207.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625921', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.942888', '0', '0.333111', '5338.77', '78.5', '-4197.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625922', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.928813', '0', '0.370548', '5350.85', '78.5', '-4187', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625923', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.928814', '0', '0.370544', '5344.95', '78.5', '-4192.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625924', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.928813', '0', '0.37055', '5356.72', '78.5', '-4181.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625925', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.997914', '0', '0.0645539', '5376.07', '78.5', '-4174.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625926', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.997914', '0', '0.06455', '5368.03', '78.5', '-4175.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625927', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.997914', '0', '0.064556', '5384.05', '78.5', '-4173.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625928', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.928813', '0', '0.370548', '5334.38', '78.5', '-4177.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625929', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.928814', '0', '0.370544', '5328.48', '78.5', '-4182.66', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625930', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.928813', '0', '0.37055', '5340.26', '78.5', '-4171.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625931', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.942888', '0', '0.333109', '5316.01', '78.5', '-4193.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625932', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.942889', '0', '0.333105', '5309.69', '78.5', '-4198.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625933', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.942888', '0', '0.333111', '5322.31', '78.5', '-4188.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625934', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.640389', '0', '0.768051', '5153.97', '78.6368', '-4147.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625935', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.990794', '0', '0.135379', '5155.39', '78.6332', '-4154.79', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625936', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.995882', '0', '0.090672', '5151.68', '78.6487', '-4138.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625937', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.936177', '0', '-0.351529', '5368.26', '78.5', '-4032.17', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625938', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.966493', '0', '0.256693', '5397.76', '78.5', '-4092.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625939', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.966493', '0', '0.256695', '5404.77', '78.5', '-4089.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625940', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.966493', '0', '0.256689', '5390.71', '78.5', '-4096.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625941', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.975985', '0', '0.21784', '5383.43', '78.5', '-4100.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625942', '0', 'object/static/structure/corellia/shared_corl_tent_large.iff', '0', '0.443948', '0', '0.896053', '5392.88', '78.5', '-4075.63', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625943', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.488176', '0', '0.872745', '5409.98', '78.5111', '-4224.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625944', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.492535', '0', '0.870292', '5425.31', '78.5603', '-4204.89', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625945', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.266731', '0', '0.963771', '5421.48', '78.5631', '-4212.72', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625946', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.266731', '0', '0.963771', '5429.85', '78.5314', '-4198.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625947', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.40319', '0', '0.915116', '5416.85', '78.5414', '-4219.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625948', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.044984', '0', '0.998988', '5436.34', '78.5', '-4167.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625949', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.67429', '0', '0.738467', '5436.38', '78.5', '-4158.38', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625950', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.044984', '0', '0.998988', '5434.91', '78.5', '-4183.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625951', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.67429', '0', '0.738467', '5434.96', '78.5', '-4174.73', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625952', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.044984', '0', '0.998988', '5437.94', '78.5', '-4150.77', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625953', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0.013066', '-0.522524', '-0.021311', '0.852258', '5433.51', '78.5', '-4190.86', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625954', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.543837', '0', '0.839191', '5432.82', '78.5', '-4127.69', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625955', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.979908', '0', '0.19945', '5435.2', '78.5', '-4135.17', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625956', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.977864', '0', '0.209239', '5428.69', '78.5', '-4120.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625957', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.728817', '0', '-0.68471', '5306.89', '78.4942', '-4014.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625958', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.998532', '0', '-0.0541778', '5314.71', '78.4946', '-4015.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625959', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.651835', '0', '0.758361', '5438.99', '78.5', '-4142.91', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625960', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.909297', '0', '-0.416148', '5407.63', '78.5', '-4083.89', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625961', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.268267', '0', '0.963345', '5412.8', '78.5', '-4090.86', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625962', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.268267', '0', '0.963345', '5421.33', '78.5001', '-4104.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625963', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.870684', '0', '-0.491843', '5416.21', '78.5', '-4097.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625964', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.850319', '0', '-0.526267', '5424.71', '78.5001', '-4112.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625965', '0', 'object/static/flora/shared_flora_decd_dath_blacktree.iff', '0', '-0.064954', '0', '0.997888', '5421.59', '78.5', '-4132.88', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625966', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0', '0', '1', '5328.22', '78.5', '-4153.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625967', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0', '0', '1', '5301.85', '78.5', '-4229.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625968', '0', 'object/static/structure/corellia/shared_corl_tent_large.iff', '0', '0.764329', '0', '0.644827', '5158.67', '78.6032', '-4114.05', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625969', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0', '0', '1', '5360.09', '78.5', '-4195.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625970', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0', '0', '1', '5379.9', '78.5', '-4116.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625971', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0', '0', '1', '5297.21', '78.5', '-4129.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625972', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0', '0', '1', '5408.42', '78.5', '-4108.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625973', '0', 'object/static/structure/general/shared_campfire_burnt.iff', '0', '0', '0', '1', '5383.58', '78.5', '-4208.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625974', '0', 'object/static/structure/general/shared_campfire_burnt.iff', '0', '0', '0', '1', '5191.6', '78.5', '-4116.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625975', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0', '0', '1', '5169.61', '78.5622', '-4137.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625976', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0', '0', '1', '5213.77', '78.5', '-4137.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625977', '0', 'object/static/structure/general/shared_campfire_ash.iff', '0', '0', '0', '1', '5195.05', '78.5', '-4158.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625978', '0', 'object/static/structure/general/shared_campfire_ash.iff', '0', '0', '0', '1', '5387.82', '78.5', '-4183.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625979', '0', 'object/static/structure/general/shared_campfire_smoldering.iff', '0', '0', '0', '1', '5407.04', '78.5', '-4131.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625980', '0', 'object/static/structure/general/shared_camp_cot_s01.iff', '0', '0.149438', '0', '0.988771', '5336.23', '78.5', '-4154.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625981', '0', 'object/static/structure/general/shared_camp_cot_s01.iff', '0', '0.149438', '0', '0.988771', '5335.77', '78.5', '-4156.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625982', '0', 'object/static/structure/general/shared_camp_cot_s01.iff', '0', '0.149438', '0', '0.988771', '5335.42', '78.5', '-4157.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625983', '0', 'object/static/structure/general/shared_camp_cot_s01.iff', '0', '0.149438', '0', '0.988771', '5334.97', '78.5', '-4158.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625984', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.084898', '0', '0.99639', '5320.38', '78.5', '-4156.66', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625985', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.636537', '0', '0.771246', '5320.46', '78.5', '-4157.56', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625986', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '-0.059964', '0', '0.998201', '5319', '78.5', '-4152.38', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625987', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '-0.059964', '0', '0.998201', '5319.84', '78.5', '-4152.28', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625988', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.99794', '0', '0.06416', '5318.97', '78.5', '-4152.01', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625989', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.99794', '0', '0.06416', '5319.81', '78.5', '-4151.9', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625990', '0', 'object/static/structure/general/shared_camp_lawn_chair_s01.iff', '0', '-0.466208', '0', '0.884675', '5332.41', '78.5', '-4148.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625991', '0', 'object/static/structure/general/shared_camp_lawn_chair_s01.iff', '0', '-0.663136', '0', '0.748499', '5332.87', '78.5', '-4147.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625992', '0', 'object/static/structure/general/shared_camp_lawn_chair_s01.iff', '0', '0.895699', '0', '0.444661', '5330.96', '78.5', '-4146.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625993', '0', 'object/static/structure/general/shared_camp_lawn_chair_s01.iff', '0', '0.605186', '0', '0.796084', '5330.65', '78.5', '-4147.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625995', '0', 'object/static/structure/general/shared_camp_cot_s01.iff', '0', '0.737931', '0', '-0.674876', '5381.14', '78.5', '-4111.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625996', '0', 'object/static/structure/general/shared_camp_cot_s01.iff', '0', '-0.670583', '0', '0.741835', '5405.98', '78.5', '-4135.52', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625997', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '0', '-0.356949', '0', '0.934124', '5382.9', '78.5', '-4120.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625998', '0', 'object/static/structure/general/shared_camp_lawn_chair_s01.iff', '0', '0.799578', '0', '0.600563', '5381.13', '78.5', '-4119.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3625999', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0', '-0.049979', '0', '0.99875', '5379.62', '78.5', '-4121.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3626000', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0', '0', '1', '5380.88', '78.5', '-4121.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3626001', '0', 'object/static/structure/general/shared_camp_lawn_chair_s01.iff', '0', '0.597195', '0', '0.802096', '5404.87', '78.5', '-4135.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3626005', '0', 'object/static/structure/general/shared_camp_lawn_chair_s01.iff', '0', '0.531186', '0', '0.847255', '5280.93', '78.5', '-4032.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3626006', '0', 'object/static/structure/general/shared_camp_cot_s01.iff', '0', '0.8772', '0', '-0.480125', '5284.45', '78.5', '-4028.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3626007', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0.841471', '0', '0.540302', '5281.51', '78.5', '-4028.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3626008', '0', 'object/static/structure/general/shared_camp_cot_s01.iff', '0', '0.827701', '0', '-0.561169', '5276.88', '78.5', '-4046.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3626009', '0', 'object/static/structure/general/shared_camp_lawn_chair_s01.iff', '0', '0.159317', '0', '0.987227', '5278.47', '78.5', '-4048.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3626010', '0', 'object/static/structure/dantooine/shared_dant_mud_oven.iff', '0', '0.0799151', '0', '0.996802', '5249.9', '78.5', '-4235.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3626011', '0', 'object/static/structure/dantooine/shared_dant_mud_oven.iff', '0', '0.094857', '0', '0.995491', '5242.73', '78.5008', '-4232.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3626012', '0', 'object/static/structure/dantooine/shared_dant_mud_oven.iff', '0', '0.104807', '0', '0.994493', '5235.45', '78.501', '-4230.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3626145', '0', 'object/static/particle/shared_pt_lok_volcano_smoke.iff', '0', '0', '0', '1', '5363.6', '78.5', '-4044.13', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '3695701', '0', 'object/building/general/shared_dathomir_nsister_cave.iff', '0', '-0.605186', '0', '0.796084', '-1174.57', '116.502', '6244.51', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '3695702', '3695701', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '3695703', '3695701', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '5165581', '3695703', 'object/tangible/container/loot/shared_placable_loot_crate_skeleton_human.iff', '-0.0499391', '-0.00199863', '-0.0399394', '0.997951', '-11.6691', '-30.5231', '-25.889', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '5165582', '3695703', 'object/static/structure/general/shared_web_05.iff', '0', '0.908633', '0', '-0.417594', '-11.6959', '-31.0509', '-26.2065', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3695704', '3695701', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '3695705', '3695701', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '5165583', '3695705', 'object/tangible/container/loot/shared_placable_loot_crate_skeleton_human.iff', '0.973611', '-0.0336394', '0.138036', '0.178593', '50.3511', '-46.1201', '-64.8178', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3695706', '3695701', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '5165584', '3695706', 'object/tangible/container/loot/shared_placable_loot_crate_skeleton_human.iff', '-0.0598172', '-0.00419406', '-0.069817', '0.995756', '-8.0951', '-46.518', '-151.273', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '5165585', '3695706', 'object/tangible/container/loot/shared_placable_loot_crate_skeleton_human.iff', '0.945335', '0.0697347', '-0.293101', '0.124785', '27.1764', '-59.8185', '-171.818', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3695707', '3695701', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '3695708', '3695701', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '5165586', '3695708', 'object/tangible/container/loot/shared_placable_loot_crate_skeleton_human.iff', '0.160701', '0.383726', '0.0288336', '0.908899', '-21.9588', '-62.9469', '-260.342', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3695709', '3695701', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '5165587', '3695709', 'object/tangible/container/loot/shared_placable_loot_crate_skeleton_human.iff', '0.187915', '0.0188544', '-0.0980368', '0.977098', '-105.325', '-71.1164', '-168.471', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '5165591', '3695709', 'object/tangible/container/loot/shared_placable_loot_crate_skeleton_human.iff', '0', '0', '0.997129', '-0.0757238', '-76.2426', '-99.131', '-156.799', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '3695710', '3695701', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '5165588', '3695710', 'object/tangible/container/loot/shared_placable_loot_crate_skeleton_human.iff', '-0.0246337', '0.985142', '0.00424874', '-0.169914', '-18.2844', '-68.6437', '-101.977', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '5165590', '3695710', 'object/static/structure/general/shared_web_03.iff', '0', '0.213347', '0', '0.976976', '-18.3143', '-69.0464', '-102.119', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3695711', '3695701', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '3695712', '3695701', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335687', '3695712', 'object/soundobject/shared_soundobject_fort_tusken.iff', '0', '0', '0', '1', '-87.1466', '-103.011', '-117.811', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '5165592', '3695712', 'object/tangible/container/loot/shared_placable_loot_crate_skeleton_human.iff', '-0.0254984', '0.985919', '-0.0295518', '0.162602', '-93.0786', '-100.81', '-95.9347', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '5165593', '3695712', 'object/tangible/container/loot/shared_placable_loot_crate_skeleton_human.iff', '0', '0', '0.99871', '-0.0507745', '-83.847', '-99.7924', '-94.2346', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '5165594', '3695712', 'object/static/structure/general/shared_web_05.iff', '0', '0.971148', '0', '0.238476', '-92.9977', '-101.288', '-95.6347', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '5165595', '3695712', 'object/static/structure/general/shared_web_02.iff', '-0.261655', '0.664845', '0.26941', '0.645707', '-83.6336', '-99.9943', '-94.4378', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3815375', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '1', '0', '3.20013e-08', '-2520.27', '130.572', '1469.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3815376', '0', 'object/static/structure/dathomir/shared_nsister_guard_tower_style_01.iff', '0', '1', '0', '3.20013e-08', '-2513.18', '130.361', '1462.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3815377', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0.0997418', '0.746324', '-0.00511966', '-0.658047', '-2527.06', '130.749', '1596.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3815378', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '-0.088223', '-0.63769', '-0.0085072', '0.765177', '-2526.72', '131.067', '1598.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3946308', '0', 'object/static/structure/general/shared_camp_cot_s01.iff', '0', '0.8772', '0', '-0.480125', '5329.87', '78.9339', '-4161.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3946365', '0', 'object/static/structure/general/shared_camp_cot_s01.iff', '0', '0.767543', '0', '-0.640998', '5355.9', '78.5', '-4069.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3946450', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0.374083', '0', '0.927395', '5181.78', '78.5', '-4196.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3946451', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0.844162', '0', '-0.536088', '5428.18', '78.5', '-4125.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '3946454', '0', 'object/static/flora/shared_flora_decd_dath_blacktree.iff', '0', '-0.183946', '0', '0.982936', '5282.2', '78.5', '-4139.74', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '4005714', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '-2522.96', '129.376', '1592.26', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '4005715', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '-2517.2', '130.466', '1475.24', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '4005716', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '-2522.83', '130.413', '1475.23', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '4005717', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0.008292', '0.355687', '-0.00208847', '0.934566', '-2516.44', '130.487', '1473.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '4005718', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0.0102314', '0.687212', '-0.0120004', '0.726286', '-2514.84', '130.492', '1468.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '4005719', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0.00912433', '0.568329', '-0.00915539', '0.8227', '-2515.18', '130.49', '1471.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '4005720', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0.0157395', '-0.204793', '0.00831093', '0.978643', '-2523.28', '130.443', '1473.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '4115618', '0', 'object/building/general/shared_dathomir_nsister_rancor_cave.iff', '0', '0.999707', '0', '-0.0242013', '-4008.77', '114.826', '-12.4146', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '4115619', '4115618', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '4115620', '4115618', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '4115621', '4115618', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '4115622', '4115618', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '4115623', '4115618', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '4115624', '4115618', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '4115625', '4115618', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '4115626', '4115618', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '4115627', '4115618', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '4115628', '4115618', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '4115629', '4115618', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335462', '0', 'object/building/general/shared_cave_02_damprock_mirror.iff', '0', '0.933839', '0', '0.357693', '-4226', '34.3353', '-2061.78', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335463', '4335462', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335474', '4335463', 'object/static/structure/general/shared_skeleton_bith_headandbody.iff', '-0.178502', '0.0143959', '0.0244048', '0.983532', '-21.7297', '-27.7378', '-9.28831', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335501', '4335463', 'object/static/structure/general/shared_skeleton_bith_head.iff', '0', '0', '0', '1', '15.0839', '-4.7021', '-8.30684', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335464', '4335462', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335465', '4335462', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335466', '4335462', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335467', '4335462', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335494', '4335467', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0', '0', '1', '-86.7763', '-46.9925', '-106.199', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335495', '4335467', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0', '0', '1', '-87.0954', '-46.4253', '-112.741', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9815403', '4335467', 'object/tangible/container/loot/shared_placable_loot_crate_trashpile.iff', '0', '0', '-0.0149994', '0.999888', '-87.5772', '-46.9819', '-104.688', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335468', '4335462', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335469', '4335462', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335470', '4335462', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '9815404', '4335470', 'object/tangible/container/loot/shared_placable_loot_crate_trashpile.iff', '0', '0', '0', '1', '-138.949', '-66.4526', '-122.67', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '9815405', '4335470', 'object/tangible/container/loot/shared_placable_loot_crate_trashpile.iff', '0', '0', '0', '1', '-128.026', '-66.6569', '-86.2773', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335471', '4335462', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '9815406', '4335471', 'object/tangible/container/loot/shared_placable_loot_crate_trashpile.iff', '0', '0', '0.0998334', '0.995004', '-189.015', '-66.2181', '-103.638', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '9815407', '4335471', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0', '0', '1', '-175.584', '-66.0493', '-97.8369', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9815408', '4335471', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '-0.041373', '0.9813', '0.0229781', '-0.186574', '-186.529', '-65.7761', '-104.103', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9815409', '4335471', 'object/static/structure/general/shared_skeleton_human_body.iff', '0', '0', '0', '1', '-184.236', '-65.7601', '-100.848', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9815410', '4335471', 'object/static/structure/general/shared_skeleton_bith_headandbody.iff', '-0.0998242', '0.732017', '-0.0242288', '0.673498', '-191.286', '-66.1635', '-95.8986', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9815411', '4335471', 'object/static/structure/general/shared_skeleton_bith_headandbody.iff', '0', '0', '0', '1', '-190.433', '-66.5397', '-103.47', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9815412', '4335471', 'object/tangible/container/loot/shared_placable_loot_crate_trashpile.iff', '-0.0617872', '0.927853', '0.0778299', '0.359462', '-188.654', '-66.0052', '-105.262', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335472', '4335462', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335493', '4335472', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0', '-0.114747', '0.993395', '-61.1149', '-47.6279', '-105.048', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335473', '4335462', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335496', '4335473', 'object/static/structure/general/shared_skeleton_human_body.iff', '-0.0199987', '0', '0', '0.9998', '-78.1088', '-46.6158', '-143.05', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335497', '4335473', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0', '0', '1', '-76.9905', '-46.4236', '-143.999', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335498', '4335473', 'object/static/structure/general/shared_skeleton_human_head.iff', '0.0255238', '0.97292', '0.132148', '-0.187915', '-78.7274', '-46.5413', '-140.969', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9815402', '4335473', 'object/tangible/container/loot/shared_placable_loot_crate_trashpile.iff', '0', '0', '-0.0349929', '0.999388', '-79.5376', '-46.5492', '-143.282', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335503', '0', 'object/static/structure/general/shared_transport_debris_01.iff', '0', '0.49892', '0', '0.866648', '5690.21', '122', '1919.69', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335504', '0', 'object/static/structure/general/shared_transport_debris_02.iff', '0', '0.103101', '0', '0.994671', '5712.89', '122', '1941.48', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335507', '0', 'object/static/structure/general/shared_skeleton_bith_headandbody.iff', '0', '-0.0071926', '0', '0.999974', '5675.95', '122', '1901.08', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335508', '0', 'object/static/structure/general/shared_skeleton_bith_headandbody.iff', '0', '-0.606574', '0', '0.795027', '5695.2', '122', '1924.55', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335509', '0', 'object/static/structure/general/shared_skeleton_human_body.iff', '0', '0.491188', '0', '0.871054', '5691.08', '122', '1932.34', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335510', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0.992021', '0', '-0.126074', '5706.42', '122', '1934', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335511', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.00440317', '0', '0.99999', '5691.42', '122', '1938.43', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335512', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0.431983', '0', '0.901882', '5671.72', '122', '1901.84', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335513', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '-0.42265', '0', '0.906293', '5671.85', '122', '1903.76', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335514', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '-0.424079', '0', '0.905625', '5671.58', '122', '1904.38', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335515', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.851665', '0', '-0.524087', '5671.05', '122', '1903.61', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335516', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.00718754', '0', '0.999974', '5673.82', '122', '1902.67', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335517', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.00647049', '0', '0.999979', '5673.98', '122', '1901.53', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335518', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.940347', '0', '0.340217', '5674.91', '122', '1903.24', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335519', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.773593', '0', '-0.633683', '5673.35', '122', '1904.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335520', '0', 'object/static/structure/general/shared_skeleton_bith_headandbody.iff', '0', '0.871133', '0', '-0.491047', '5671.71', '122', '1901.89', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335521', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0.436185', '0', '0.899857', '5718.19', '125', '1918.79', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335522', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '-0.428259', '0', '0.903656', '5718.33', '125', '1920.7', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335523', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '-0.429706', '0', '0.902969', '5718.05', '125', '1921.33', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335524', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.850399', '0', '-0.526139', '5717.53', '125', '1920.56', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335525', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.958934', '0', '-0.283628', '5717.72', '125', '1916.53', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335526', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.95867', '0', '-0.28452', '5718.21', '125', '1917.58', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335527', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.0640797', '0', '0.997945', '5716.51', '125', '1916.62', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335528', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.775313', '0', '-0.631577', '5719.82', '125', '1921.11', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335529', '0', 'object/static/structure/general/shared_skeleton_bith_headandbody.iff', '0', '0.869712', '0', '-0.493559', '5718.18', '125', '1918.83', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335530', '0', 'object/static/structure/general/shared_skeleton_bith_headandbody.iff', '0', '0.926667', '0', '0.375882', '5717.57', '125', '1923.1', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335532', '0', 'object/static/structure/general/shared_campfire_ash.iff', '0', '0.00380844', '0', '0.999993', '5717.62', '125', '1928.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335533', '0', 'object/static/structure/general/shared_camp_tent_s01.iff', '0', '-0.00120171', '0', '0.999999', '5710.81', '125', '1914.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335534', '0', 'object/static/structure/general/shared_skeleton_bith_headandbody.iff', '0', '0.529781', '0', '0.848135', '5721.65', '125', '1933.56', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335535', '0', 'object/static/structure/general/shared_camp_tent_s01.iff', '0', '-0.670791', '0', '0.741646', '5725.1', '125', '1934.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335536', '0', 'object/static/structure/general/shared_camp_tent_s01.iff', '0', '0.938059', '0', '0.346476', '5640.53', '122', '1868.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335537', '0', 'object/static/structure/general/shared_camp_tent_s01.iff', '0', '-0.0343203', '0', '0.999411', '5644.08', '122', '1857.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335538', '0', 'object/static/structure/general/shared_campfire_ash.iff', '0', '0', '0', '1', '5642.72', '122', '1863.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335539', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.000557358', '0', '1', '5646.31', '122', '1859.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335540', '0', 'object/static/item/shared_item_con_ration_kit_m.iff', '0', '0.232843', '0', '0.972514', '5642.93', '122', '1868.31', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335541', '0', 'object/static/item/shared_item_con_ration_kit_m.iff', '0', '-0.203567', '0', '0.979061', '5642.78', '122', '1868.69', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335542', '0', 'object/static/item/shared_item_con_ration_kit_lg.iff', '0', '0.865151', '0', '-0.501511', '5645.21', '122', '1860.14', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335543', '0', 'object/static/item/shared_item_con_ration_kit_lg.iff', '0', '0.897614', '0', '0.440783', '5672.48', '122', '1903.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335544', '0', 'object/static/item/shared_item_con_ration_kit_m.iff', '0', '0.838001', '0', '-0.545668', '5671.93', '122', '1903.03', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335545', '0', 'object/static/item/shared_item_con_ration_kit_lg.iff', '0', '0.00531018', '0', '0.999986', '5722.72', '125', '1932.49', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335546', '0', 'object/static/item/shared_item_con_ration_kit_lg.iff', '0', '-0.391105', '0', '0.920346', '5716.83', '125', '1917.68', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335547', '0', 'object/static/item/shared_item_con_ration_kit_lg.iff', '0', '0.0037564', '0', '0.999993', '5717.35', '125', '1917.89', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335548', '0', 'object/static/item/shared_item_con_ration_kit_m.iff', '0', '-0.506876', '0', '0.862019', '5717.56', '125', '1921.4', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335549', '0', 'object/static/item/shared_item_con_ration_kit_m.iff', '0', '0.00420391', '0', '0.999991', '5717.52', '125', '1921.14', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335550', '0', 'object/static/item/shared_item_con_ration_kit_m.iff', '0', '0.525463', '0', '0.850816', '5717.35', '125', '1921.27', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335551', '0', 'object/static/item/shared_item_con_ration_kit_m.iff', '0', '-0.000409079', '0', '1', '5711.91', '125', '1916.14', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335552', '0', 'object/static/structure/general/shared_skeleton_bith_headandbody.iff', '0', '0.153692', '0', '0.988119', '5709.59', '125', '1919.49', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335553', '0', 'object/static/structure/general/shared_skeleton_bith_headandbody.iff', '0', '0.865347', '0', '-0.501173', '5708.9', '125', '1916.32', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335554', '0', 'object/static/structure/general/shared_skeleton_bith_headandbody.iff', '0', '0.927419', '0', '0.374025', '5698.58', '122', '1944.03', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335555', '0', 'object/static/structure/general/shared_skeleton_bith_headandbody.iff', '0', '0.868705', '0', '-0.49533', '5699.19', '122', '1939.76', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335556', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '-0.425595', '0', '0.904914', '5697.84', '122', '1935.47', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335557', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '-0.425547', '0', '0.904936', '5697.56', '122', '1936.09', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335558', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.844878', '0', '-0.534958', '5697.04', '122', '1935.33', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335559', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.765615', '0', '-0.643299', '5699.33', '122', '1935.88', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335560', '0', 'object/static/item/shared_item_con_ration_kit_m.iff', '0', '-0.497744', '0', '0.867324', '5698.5', '122', '1935.2', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335561', '0', 'object/static/item/shared_item_con_ration_kit_m.iff', '0', '-0.0174206', '0', '0.999848', '5698.46', '122', '1934.93', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335562', '0', 'object/static/item/shared_item_con_ration_kit_m.iff', '0', '0.536444', '0', '0.843936', '5698.29', '122', '1935.07', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335563', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.960278', '0', '-0.279045', '5697.23', '122', '1931.29', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335564', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.818208', '0', '-0.574922', '5699.58', '122', '1930.43', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335565', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.0864425', '0', '0.996257', '5696.02', '122', '1931.38', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335566', '0', 'object/static/item/shared_item_con_ration_kit_lg.iff', '0', '-0.126859', '0', '0.991921', '5696.76', '122', '1932.18', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335567', '0', 'object/static/item/shared_item_con_ration_kit_lg.iff', '0', '0.2817', '0', '0.959502', '5697.32', '122', '1932.07', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335568', '0', 'object/static/structure/general/shared_skeleton_bith_headandbody.iff', '0', '-0.011601', '0', '0.999933', '5703.29', '122', '1930.07', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335569', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.9721', '0', '0.234567', '5697.15', '122', '1934.54', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335570', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.569423', '0', '0.822045', '5696.46', '122', '1935.2', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335571', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.84554', '0', '-0.533913', '5696.17', '122', '1934.63', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335572', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.542426', '0', '0.840104', '5701.15', '122', '1931.18', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335573', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.543391', '0', '0.83948', '5700.16', '122', '1930.58', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335574', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.937348', '0', '0.348394', '5702.26', '122', '1932.24', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335575', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.799766', '0', '0.600311', '5695.06', '122', '1934.48', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335576', '0', 'object/static/item/shared_item_con_ration_kit_lg.iff', '0', '0.963525', '0', '0.267619', '5697.88', '122', '1934.76', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335577', '0', 'object/static/item/shared_item_con_ration_kit_m.iff', '0', '0.829838', '0', '-0.558004', '5699.47', '122', '1931.27', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335578', '0', 'object/static/structure/general/shared_skeleton_bith_headandbody.iff', '0', '0.636715', '0', '0.771099', '5702.46', '122', '1953.68', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335579', '0', 'object/static/structure/general/shared_skeleton_bith_headandbody.iff', '0', '0.999856', '0', '-0.0169714', '5706.36', '122', '1951.9', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335580', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.47926', '0', '0.877673', '5703.25', '122', '1944.66', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335581', '0', 'object/static/structure/general/shared_skeleton_human_body.iff', '0', '0.00808061', '0', '0.999967', '5708.1', '122', '1941.05', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '4335582', '0', 'object/static/structure/general/shared_skeleton_bith_headandbody.iff', '-0.185853', '0.900153', '0.074115', '-0.386899', '5716.75', '122.181', '1940.15', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '4355520', '0', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_imperial_assassination_01.iff', '0', '0.923362', '0', '-0.383931', '5694.33', '122', '1935.47', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '4685453', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0', '0', '1', '44.884', '125.455', '-169.118', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '4685462', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0', '0', '1', '-6457.14', '112.504', '904.015', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '4685463', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.488978', '0.524881', '-0.474902', '-0.509773', '-6456.17', '112.466', '903.665', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '4685464', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0', '0.681638', '0.731689', '-6455.57', '112.346', '902.338', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '4685465', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0', '0', '1', '-6453.03', '112.179', '902.836', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '4685466', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0', '0', '1', '-6453.03', '112.032', '900.709', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '4685467', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.0848977', '0', '0.99639', '-6455.11', '112.008', '899.523', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '4685468', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.356949', '0', '0.934124', '-6452.63', '112.05', '898.6', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '4685469', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.857299', '0', '-0.514819', '-6457.51', '112.047', '901.352', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '4685472', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '0.416871', '0', '0.908966', '-6471.88', '112', '883.851', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '4685473', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '0.434966', '0', '0.900447', '-6477.92', '112', '891.453', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '4685474', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '0.439463', '0', '0.898261', '-6454.31', '111.98', '903.458', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '4685480', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.99879', '0', '0.0491838', '-6458.34', '112.182', '904.55', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '4685484', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.707107', '0', '0.707107', '-6501.79', '121.892', '970.771', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '4685485', '0', 'object/static/item/shared_item_bowl_shallow.iff', '0', '0', '0', '1', '-6501.81', '127.083', '970.77', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '4685486', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0', '0', '1', '-6501.82', '127.124', '970.802', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '4685493', '0', 'object/static/structure/tatooine/shared_concrete_slab_tatooine_16x8.iff', '0', '0', '0', '1', '-6501.93', '113.885', '970.723', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '4685510', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.994451', '0', '0.105202', '-6461.69', '114.12', '1042.18', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '4685511', '0', 'object/static/item/shared_item_bowl_shallow.iff', '0', '0.628792', '0', '0.777573', '-6461.7', '119.313', '1042.21', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '4685512', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0.628792', '0', '0.777573', '-6461.67', '119.357', '1042.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '4685513', '0', 'object/static/structure/tatooine/shared_concrete_slab_tatooine_16x8.iff', '0', '0.628792', '0', '0.777573', '-6461.77', '105.993', '1042.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '4685522', '0', 'object/static/item/shared_item_briefcase.iff', '0', '-0.70328', '0', '0.710913', '588.704', '6', '3058.45', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '4685524', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '588.707', '6', '3057.52', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '4685525', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '588.373', '6', '3057.53', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '4685526', '0', 'object/static/item/shared_item_container_energy_solid.iff', '0', '0', '0', '1', '588.123', '6', '3058.01', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '4685527', '0', 'object/static/item/shared_item_container_energy_solid.iff', '0', '-0.00999984', '0', '0.99995', '588.108', '6', '3058.55', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '4685528', '0', 'object/static/item/shared_item_container_energy_solid.iff', '0', '-0.0199987', '0', '0.9998', '588.134', '6.34785', '3058.25', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '4725540', '0', 'object/tangible/item/quest/force_sensitive/shared_fs_craft_puzzle_terminal.iff', '0', '0.838759', '0', '-0.544503', '5420.1', '78.5', '-4120.6', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '4725585', '0', 'object/static/structure/dantooine/shared_dant_large_mudhut_no_flora_05m.iff', '0', '0', '0', '1', '-2578.32', '77', '-5519.66', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '4725586', '0', 'object/static/structure/dantooine/shared_dant_mud_oven.iff', '0', '0.999983', '0', '-0.00579649', '-2578.26', '77', '-5503.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '4725587', '0', 'object/tangible/camp/shared_camp_cot_s2.iff', '0', '0.982154', '0', '0.188077', '-2582.48', '77', '-5522.65', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '4725588', '0', 'object/tangible/camp/shared_camp_cot_s2.iff', '0', '0.984588', '0', '0.174892', '-2582.93', '77', '-5521.54', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '4725589', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '0', '0', '1', '-2578.3', '77', '-5519.61', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '4725591', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.29552', '0', '0.955336', '-2578.7', '77', '-5520.05', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '4725592', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.930799', '0', '0.365531', '-2578.72', '77', '-5519.14', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '4725593', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '-0.380188', '0', '0.924909', '-2577.97', '77', '-5519.97', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '4725594', '0', 'object/tangible/furniture/technical/shared_couch_s01.iff', '0', '-0.198669', '0', '0.980067', '-2576.78', '77.0007', '-5524.81', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '4725595', '0', 'object/tangible/furniture/technical/shared_end_table_s01.iff', '0', '0.0449848', '0', '0.998988', '-2575.76', '77.0006', '-5524.24', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '4725596', '0', 'object/tangible/furniture/technical/shared_end_table_s01.iff', '0', '0.998444', '0', '-0.0557674', '-2577.93', '77.0002', '-5525.17', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '4725597', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '-0.568762', '0', '0.822502', '-2573.57', '77.0004', '-5521.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '4725598', '0', 'object/tangible/loot/quest/shared_lifeday_orb.iff', '0', '0', '0', '1', '-2575.74', '77.3804', '-5524.22', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '4725599', '0', 'object/tangible/loot/quest/shared_lifeday_orb.iff', '0', '0', '0', '1', '-2577.93', '77.3798', '-5525.18', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '4725600', '0', 'object/static/structure/general/shared_palette_supply_01.iff', '0', '-0.439462', '0', '0.898261', '-2584.91', '77', '-5513.88', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '4725601', '0', 'object/static/structure/general/shared_palette_supply_02.iff', '0', '-0.457339', '0', '0.889293', '-2572.98', '77', '-5512.71', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '4725602', '0', 'object/static/structure/nobuild/shared_nobuild_32.iff', '0', '0', '0', '1', '-2578.68', '77', '-5508.81', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '4725603', '0', 'object/static/vehicle/e3/shared_landspeeder.iff', '0', '0.979223', '0', '0.202787', '-2586.29', '77.0012', '-5523.23', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '4865404', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0', '0', '1', '-6313.94', '120', '874.381', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '4865405', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0', '0', '1', '-6326.1', '120', '874.396', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015461', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '0.941851', '0', '-0.33603', '-66.4564', '18', '-1641.73', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015463', '0', 'object/static/structure/corellia/shared_corl_power_arial_thin.iff', '0', '0.95209', '0', '-0.305817', '-63.3406', '18', '-1642.58', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015466', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.483807', '0', '0.875175', '-67.3435', '18', '-1564.74', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015467', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.651834', '0', '0.758362', '-67.0048', '18', '-1565.62', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015468', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.505533', '0', '0.862807', '-66.5306', '18', '-1566.43', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015469', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.824886', '0', '-0.5653', '-67.1177', '18.3162', '-1565.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015470', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.129634', '0', '0.991562', '-68.4088', '18', '-1564', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015471', '0', 'object/static/item/shared_item_container_energy_radioactive.iff', '0', '0.998531', '0', '0.0541771', '-137.659', '18', '-1596.57', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015472', '0', 'object/static/item/shared_item_container_energy_radioactive.iff', '0', '-0.0549723', '0', '0.998488', '-137.508', '18', '-1597.83', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015473', '0', 'object/static/item/shared_item_container_energy_solid.iff', '0', '-0.0649542', '0', '0.997888', '-137.671', '18', '-1599', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015474', '0', 'object/static/item/shared_item_container_energy_solid.iff', '0', '-0.064954', '0', '0.997888', '-137.591', '18', '-1599.59', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015475', '0', 'object/static/item/shared_item_container_energy_solid.iff', '0', '-0.366273', '0', '0.930508', '-136.987', '18', '-1600.4', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015476', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.948985', '0', '-0.315322', '-122.76', '18', '-1587.32', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015477', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.948985', '0', '-0.315322', '-123.065', '18', '-1587.11', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015478', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.710353', '0', '-0.703845', '-114.976', '18', '-1593.76', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015479', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.699716', '0', '0.714421', '-80.3009', '18', '-1555.22', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015480', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.328769', '0', '0.94441', '-110.709', '18', '-1593.53', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015481', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '-109.538', '18', '-1594.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015482', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.328769', '0', '0.94441', '-111.318', '18', '-1592.91', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015486', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0.60123', '-0.373149', '-0.347022', '-0.615514', '-66.7667', '18.3478', '-1645.33', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015487', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.193767', '0', '0.981048', '-68.2714', '18', '-1646.05', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015488', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '-0.0649542', '0', '0.997888', '-82.0434', '18', '-1648.38', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015489', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.261909', '0', '0.965092', '-82.0023', '18', '-1647.52', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015490', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.674288', '0', '0.738469', '-76.0238', '18', '-1647.4', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015491', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.0249974', '0', '0.999687', '-83.0035', '18', '-1648.57', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015492', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.024997', '0', '0.999688', '-83.8645', '18', '-1648.65', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015493', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.183946', '0', '0.982936', '-110.974', '18.8855', '-1593.31', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015494', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.338197', '0', '0.941075', '-65.1414', '18', '-1578.28', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015498', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.384808', '0', '0.922997', '-64.2246', '18', '-1578.72', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015499', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.384808', '0', '0.922997', '-64.7437', '18', '-1579.23', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015500', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0', '0', '1', '-64.3945', '18.6985', '-1578.99', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015501', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '-63.7473', '18', '-1579.67', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015503', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.352274', '0', '0.935897', '-63.0079', '18', '-1580.13', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015504', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.909297', '0', '-0.416147', '-65.1585', '19.1384', '-1578.27', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015505', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.338197', '0', '0.941075', '-95.1954', '18', '-1635.55', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015506', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.338197', '0', '0.941075', '-93.8144', '18', '-1633.82', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015508', '0', 'object/static/item/shared_item_crate_spice.iff', '0', '-0.430458', '0', '0.902611', '-90.3715', '18', '-1629.53', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015509', '0', 'object/static/item/shared_item_crate_spice.iff', '0', '-0.144493', '0', '0.989506', '-89.7506', '18', '-1628.6', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '5015510', '0', 'object/static/item/shared_item_crate_spice.iff', '0', '0.893464', '0', '-0.449134', '-115.48', '18', '-1593.16', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '5035775', '0', 'object/tangible/quest/quest_start/shared_ep3_clone_relics_jedi_starfighter_container.iff', '0.0649542', '0', '0', '0.997888', '-3972.96', '124.792', '-67.158', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '5335764', '0', 'object/building/military/shared_military_base_shed_imperial_style_prison_01.iff', '0', '0.707107', '0', '-0.707107', '-6308.56', '128', '767.991', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '5335765', '5335764', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '5335766', '5335764', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '5335767', '5335764', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '5335768', '5335764', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '5335769', '5335764', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '5335770', '5335764', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '5335771', '0', 'object/building/military/shared_military_base_shed_imperial_style_prison_01.iff', '0', '0.707107', '0', '-0.707107', '-6308.55', '128', '751.876', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '5335772', '5335771', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '5335773', '5335771', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '5335774', '5335771', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '2716111', '5335774', 'object/static/particle/shared_pt_frn_all_glowing_light_s3.iff', '0', '0.707108', '0', '-0.707105', '-6304.55', '129', '753.932', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '2716112', '5335774', 'object/building/endor/shared_endr_lake_rail2m.iff', '0', '0.713864', '0', '0.700285', '1.39213', '-0.823418', '-3.76003', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2716113', '5335774', 'object/static/particle/shared_pt_frn_all_glowing_light_s3.iff', '0', '0.707109', '0', '-0.707105', '1.75', '2.25', '-3.75', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '2716114', '5335774', 'object/building/endor/shared_endr_lake_rail2m.iff', '0.504975', '-0.504975', '0.494975', '-0.494975', '1.78654', '1.67478', '-1.7781', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '2716115', '5335774', 'object/building/endor/shared_endr_lake_rail2m.iff', '-0.494975', '0.494974', '0.504974', '-0.504975', '1.62536', '1.80127', '-5.6982', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575527', '5335774', 'object/static/particle/shared_pt_frn_all_glowing_light_s3.iff', '0', '0.707105', '0', '0.707108', '1.63897', '0.858907', '-3.75955', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575529', '5335774', 'object/static/particle/shared_pt_frn_all_glowing_light_s3.iff', '0', '0.707105', '0', '0.707109', '1.66758', '1.65584', '-3.7025', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '5335775', '5335771', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '4355509', '5335775', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_rebel_destroy_03.iff', '0', '0.569089', '0', '0.822276', '2.38425', '0.125266', '0.0371531', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '5335776', '5335771', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575532', '5335776', 'object/static/item/shared_item_document.iff', '0', '-0.572867', '0', '0.819648', '5.34741', '0.125266', '-1.51445', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575533', '5335776', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '-0.699717', '0', '0.71442', '5.27646', '0.220134', '-3.73434', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575534', '5335776', 'object/static/structure/general/shared_skeleton_human_body.iff', '0', '-0.706825', '0', '0.707388', '5.0039', '0.251757', '-5.23472', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575535', '5335776', 'object/static/structure/general/shared_skeleton_human_head.iff', '-0.0158306', '-0.347482', '-0.0193459', '0.937354', '5.49592', '0.188512', '-2.75572', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575539', '5335776', 'object/tangible/furniture/all/shared_frn_all_lamp_candlestick_tbl_s02.iff', '0', '0.707107', '0', '-0.707107', '5.49461', '0.315003', '-2.7536', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575543', '5335776', 'object/tangible/furniture/technical/shared_bookcase_s01.iff', '0', '1', '0', '-3.20013e-08', '3.18299', '0.125266', '-1.46823', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '5335777', '5335771', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '5335778', '0', 'object/building/military/shared_military_base_shed_imperial_style_prison_01.iff', '0', '0.707107', '0', '0.707107', '-6330.12', '128', '768.068', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '5335779', '5335778', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '5335780', '5335778', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '5335781', '5335778', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '5335782', '5335778', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '5335783', '5335778', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '5335784', '5335778', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '5335785', '0', 'object/building/military/shared_military_base_shed_imperial_style_prison_01.iff', '0', '0.707106', '0', '0.707108', '-6330.12', '128', '752.006', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '5335786', '5335785', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '5335787', '5335785', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '5335788', '5335785', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '5335789', '5335785', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '5335790', '5335785', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '5335791', '5335785', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '5335792', '0', 'object/building/military/shared_military_base_shed_imperial_style_prison_01.iff', '0', '0.707107', '0', '0.707107', '-6330.11', '128', '736.109', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '5335793', '5335792', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '5335794', '5335792', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '5335795', '5335792', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '5335796', '5335792', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '5335797', '5335792', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '5335798', '5335792', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '5335799', '0', 'object/building/military/shared_military_base_shed_imperial_style_prison_01.iff', '0', '0.707107', '0', '0.707107', '-6354.3', '128', '735.332', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '5335800', '5335799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '5335801', '5335799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '5335802', '5335799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '5335803', '5335799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '5335804', '5335799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '5335805', '5335799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '5335806', '0', 'object/building/military/shared_military_base_shed_imperial_style_prison_01.iff', '0', '0.707107', '0', '0.707107', '-6354.29', '128', '751.401', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '5335807', '5335806', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '5335808', '5335806', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '5335809', '5335806', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '5335810', '5335806', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '4355510', '5335810', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_rebel_rescue_02.iff', '0', '1', '0', '-3.20013e-08', '2.35618', '0.125266', '-0.0536095', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '5335811', '5335806', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '5335812', '5335806', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '5335813', '0', 'object/building/military/shared_military_base_shed_imperial_style_prison_01.iff', '0', '0.707107', '0', '0.707107', '-6354.25', '128', '767.377', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '5335814', '5335813', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '5335815', '5335813', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '5335816', '5335813', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '5335817', '5335813', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '5335818', '5335813', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '5335819', '5335813', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '5645355', '0', 'object/static/item/shared_item_basket_shallow.iff', '0', '0', '0.29552', '0.955336', '591.572', '6.18974', '3035.14', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '5645541', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '-0.430458', '0', '0.902611', '591.612', '6', '3040.56', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '5645542', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.973485', '0', '-0.228753', '591.278', '6', '3040.12', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '5645543', '0', 'object/static/item/shared_item_container_organic_food.iff', '-0.37733', '-0.373873', '0.60185', '0.596336', '591.152', '6.15811', '3040.91', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '5645544', '0', 'object/static/item/shared_item_container_organic_structure.iff', '0', '0.488177', '0', '0.872744', '586.056', '6', '3043.44', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '5645545', '0', 'object/static/item/shared_item_container_organic_structure.iff', '0', '0.174108', '0', '0.984727', '586.708', '6', '3044.28', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '5645546', '0', 'object/static/item/shared_item_container_organic_structure.iff', '0', '-0.42141', '0', '0.90687', '585.789', '6', '3044.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '5645547', '0', 'object/static/item/shared_item_container_organic_hide.iff', '0', '-0.535416', '0', '0.844589', '581.102', '6', '3050.14', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '5645548', '0', 'object/static/item/shared_item_container_organic_hide.iff', '0', '0.203567', '0', '0.979061', '581.089', '6.4111', '3050.13', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '5645549', '0', 'object/static/item/shared_armor_composite_helmet.iff', '0', '0', '0', '1', '581.121', '5.27267', '3050.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '5645550', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.276356', '0', '0.961055', '579.195', '6', '3051.32', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '5645551', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0.179454', '0.449295', '0.32462', '0.812744', '579.026', '6.22136', '3051.56', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '5645552', '0', 'object/static/item/shared_wp_mle_lance_vibroaxe.iff', '0.96373', '0.26672', '0.00245487', '-0.00887011', '577.191', '6.88544', '3058.77', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '5645553', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '-0.21823', '0', '0.975897', '575.715', '6', '3054.55', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '5645554', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.0898786', '0', '0.995953', '575.798', '6', '3053.89', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '5645555', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.305059', '0', '0.952334', '576.731', '6', '3054.4', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '5645556', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.139543', '0', '0.990216', '576.807', '6.88544', '3054.42', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '5655352', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0', '0', '0.999958', '-0.00920357', '496.442', '239.711', '4133.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '5655362', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '-0.38268', '0.00160868', '0.923871', '-0.00388366', '609.687', '282.362', '4334.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '5785592', '0', 'object/static/structure/tatooine/shared_wall_gate_tatooine_style_02.iff', '0', '-0.610421', '0', '0.792077', '5094.51', '78.2959', '-3814.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '6055606', '0', 'object/static/structure/dathomir/shared_nsister_gate_style_01.iff', '0', '-0.593177', '0', '0.805072', '-4006.41', '123.382', '-76.9238', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '6575356', '0', 'object/static/particle/shared_particle_lg_explosion.iff', '0', '0', '0', '1', '-35.5056', '122.682', '-223.382', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '6575360', '0', 'object/static/particle/shared_particle_mine_explosion.iff', '0', '0', '0', '1', '-35.403', '123.366', '-227.048', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '6575361', '0', 'object/static/particle/shared_particle_mine_warning.iff', '0', '0', '0', '1', '-34.8359', '123.168', '-225.457', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '6575362', '0', 'object/static/particle/shared_particle_mine_warning.iff', '0', '0', '0', '1', '-39.5226', '122.906', '-227.802', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '6575364', '0', 'object/static/particle/shared_particle_sm_explosion.iff', '0', '0', '0', '1', '-38.753', '123.078', '-228.188', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '6705434', '0', 'object/static/terrain/tatooine/shared_poi_sarlacc_collision_floor.iff', '0', '0', '0', '1', '-2081.06', '-7.39829', '3142.75', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '6915353', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0', '0', '1', '-6476.58', '112', '887.652', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '6915354', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0', '0', '1', '-6487.57', '126.713', '876.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '6915358', '0', 'object/building/military/shared_outpost_starport.iff', '0', '0.963558', '0', '-0.267499', '592.308', '6.03961', '3087.28', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '6915359', '6915358', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '3946222', '6915359', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0', '0', '1', '-7.41268', '0.146595', '-19.2121', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955366', '0', 'object/building/corellia/shared_ply_corl_house_m_s01_fp1.iff', '0', '0', '0', '1', '603.157', '6', '3035.74', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955367', '6955366', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '2755355', '6955367', 'object/static/item/shared_item_glass_empty.iff', '0', '0', '0', '1', '-0.371462', '1.35232', '5.4626', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '2755356', '6955367', 'object/static/item/shared_item_glass_empty.iff', '0', '0', '0', '1', '0.169734', '1.35232', '5.6575', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '7015353', '6955367', 'object/tangible/furniture/all/shared_frn_all_table_s03.iff', '0', '0', '0', '1', '-0.082484', '0.624999', '5.50704', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '7015354', '6955367', 'object/tangible/furniture/all/shared_frn_all_table_s03.iff', '0', '0.677972', '0', '0.735088', '10.0411', '0.624998', '3.58953', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '7015355', '6955367', 'object/tangible/furniture/all/shared_frn_all_table_s03.iff', '0', '0.416871', '0', '0.908966', '6.28958', '0.624998', '1.08685', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '7015356', '6955367', 'object/tangible/furniture/all/shared_frn_all_table_s03.iff', '0', '0', '0', '1', '3.67272', '0.624999', '5.41724', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '7015359', '6955367', 'object/tangible/furniture/all/shared_frn_all_chair_wooden_s1.iff', '0', '0.434966', '0', '0.900447', '8.986', '0.624998', '2.52695', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '7015360', '6955367', 'object/tangible/furniture/all/shared_frn_all_chair_wooden_s1.iff', '0', '0.972329', '0', '0.233617', '9.19951', '0.624998', '4.90949', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '7015361', '6955367', 'object/tangible/furniture/all/shared_frn_all_chair_wooden_s1.iff', '0', '-0.70328', '0', '0.710913', '7.78233', '0.624998', '1.16128', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '7015362', '6955367', 'object/tangible/furniture/all/shared_frn_all_chair_wooden_s1.iff', '0', '0.601199', '0', '0.799099', '4.64824', '0.624998', '1.2448', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '7015363', '6955367', 'object/tangible/furniture/all/shared_frn_all_chair_wooden_s1.iff', '0', '0.935616', '0', '-0.353019', '5.0793', '0.624999', '5.98884', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '7015364', '6955367', 'object/tangible/furniture/all/shared_frn_all_chair_wooden_s1.iff', '0', '0.959438', '0', '0.281921', '2.43063', '0.624999', '6.05467', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '7015365', '6955367', 'object/tangible/furniture/all/shared_frn_all_chair_wooden_s1.iff', '0', '0.940806', '0', '0.338945', '-1.66858', '0.625', '5.31657', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '7015366', '6955367', 'object/tangible/furniture/all/shared_frn_all_chair_wooden_s1.iff', '0', '-0.574173', '0', '0.818734', '1.42351', '0.624999', '4.48471', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '7015367', '6955367', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '0', '0', '1', '3.22376', '0.624998', '0.324927', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '7015368', '6955367', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '0', '0', '1', '1.96541', '0.624999', '0.35078', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '7015369', '6955367', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '0', '0', '1', '1.97126', '1.54206', '0.342534', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '7015370', '6955367', 'object/static/item/shared_item_bowl_plain.iff', '0', '0', '0', '1', '2.97057', '1.57368', '0.620049', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '7015371', '6955367', 'object/static/item/shared_item_cheese_wheel_s1_partial.iff', '0', '0.247404', '0', '0.968912', '3.38701', '1.6053', '0.697731', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '7015372', '6955367', 'object/static/item/shared_item_bread_loaf.iff', '0', '0', '0', '1', '2.97019', '1.6053', '0.617604', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '7015373', '6955367', 'object/static/item/shared_item_con_ration_kit_lg.iff', '0', '0.597196', '0', '0.802096', '6.14256', '1.38394', '1.12505', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '7015374', '6955367', 'object/static/item/shared_item_con_ration_kit_lg.iff', '0', '0', '0', '1', '2.12869', '2.49074', '0.344754', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '7015375', '6955367', 'object/static/item/shared_item_con_ration_kit_lg.iff', '0', '0', '0', '1', '1.67135', '2.49074', '0.403575', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '7015376', '6955367', 'object/static/item/shared_item_con_ration_kit_m.iff', '0', '0.223106', '0', '0.974794', '1.93957', '2.49074', '0.676779', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '7015377', '6955367', 'object/static/item/shared_item_bottle_fat.iff', '0', '-0.309817', '0', '0.950796', '3.59543', '1.57368', '0.319475', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '7015378', '6955367', 'object/static/item/shared_item_bottle_tall.iff', '0', '-0.309817', '0', '0.950796', '3.15382', '1.57368', '0.187587', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '7015379', '6955367', 'object/static/item/shared_item_bottle_pear.iff', '0', '0.677972', '0', '0.735088', '9.98459', '1.35232', '3.44229', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '7015380', '6955367', 'object/static/item/shared_item_con_plate_s1_full.iff', '0', '0.677972', '0', '0.735088', '10.1149', '1.38394', '3.83281', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '7555421', '6955367', 'object/soundobject/shared_soundobject_cantina_small.iff', '0', '0', '0', '1', '4.24079', '0.624999', '3.45211', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955368', '6955366', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '7555372', '6955368', 'object/tangible/furniture/modern/shared_bar_counter_s1.iff', '0', '0', '0', '1', '-9.25883', '0.625', '2.58992', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '7555373', '6955368', 'object/tangible/furniture/modern/shared_bar_counter_s1.iff', '0', '0.707106', '0', '0.707107', '-5.99431', '0.625', '5.86339', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '7555374', '6955368', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '0.916803', '0', '0.39934', '-8.9768', '0.625', '5.71881', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '7555375', '6955368', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '-9.64819', '0.625', '4.79942', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '7555376', '6955368', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '-8.09187', '0.625', '6.36258', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '7555377', '6955368', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '-9.69756', '1.7318', '2.42362', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '7555378', '6955368', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '-9.36912', '1.7318', '2.5352', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '7555379', '6955368', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '-9.75963', '1.7318', '2.79362', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '7555380', '6955368', 'object/static/item/shared_item_con_tato_cup_s2.iff', '0', '0', '0', '1', '-5.99831', '1.0361', '6.22536', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '7555381', '6955368', 'object/static/item/shared_item_con_tato_cup_s2.iff', '0', '0', '0', '1', '-6.11259', '1.0361', '6.4554', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '7555382', '6955368', 'object/static/item/shared_item_con_tato_cup_s2.iff', '0', '0', '0', '1', '-5.95238', '1.0361', '6.4248', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '7555383', '6955368', 'object/static/item/shared_item_con_tato_cup_s2.iff', '0', '0', '0', '1', '-6.09526', '1.0361', '6.62749', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '7555384', '6955368', 'object/static/item/shared_item_con_tato_cup_s2.iff', '0', '0', '0', '1', '-5.93382', '1.0361', '6.62633', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '7555420', '6955368', 'object/soundobject/shared_soundobject_cantina_small.iff', '0', '0', '0', '1', '-7.49415', '0.625', '3.26326', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955369', '6955366', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '7555393', '6955369', 'object/tangible/furniture/all/shared_frn_all_table_s03.iff', '0', '0', '0', '1', '-0.230454', '0.624999', '-7.2177', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '7555394', '6955369', 'object/tangible/furniture/all/shared_frn_all_table_s03.iff', '0', '0', '0', '1', '-5.47107', '0.624999', '-6.6516', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '7555395', '6955369', 'object/tangible/furniture/all/shared_frn_all_table_s03.iff', '0', '0', '0', '1', '1.20599', '0.624999', '-3.28073', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '7555396', '6955369', 'object/tangible/furniture/all/shared_frn_all_table_s03.iff', '0', '0', '0', '1', '-6.93044', '0.624999', '-2.83217', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '7555397', '6955369', 'object/tangible/furniture/all/shared_frn_all_table_s03.iff', '0', '0', '0', '1', '-2.23735', '0.625', '-1.59221', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '7555398', '6955369', 'object/tangible/furniture/all/shared_frn_all_chair_wooden_s1.iff', '0', '-0.457339', '0', '0.889293', '1.3994', '0.624998', '-7.71023', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '7555399', '6955369', 'object/tangible/furniture/all/shared_frn_all_chair_wooden_s1.iff', '0', '0.434966', '0', '0.900447', '-1.4264', '0.624998', '-7.92313', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '7555400', '6955369', 'object/tangible/furniture/all/shared_frn_all_chair_wooden_s1.iff', '0', '0.924606', '0', '-0.380925', '2.10195', '0.625', '-1.99127', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '7555401', '6955369', 'object/tangible/furniture/all/shared_frn_all_chair_wooden_s1.iff', '0', '0.940806', '0', '0.338946', '0.332473', '0.625', '-2.1118', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '7555403', '6955369', 'object/tangible/furniture/all/shared_frn_all_chair_wooden_s1.iff', '0', '-0.692537', '0', '0.721382', '-0.954297', '0.625', '-1.33906', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '7555404', '6955369', 'object/tangible/furniture/all/shared_frn_all_chair_wooden_s1.iff', '0', '0.66687', '0', '0.745174', '-3.6535', '0.625', '-1.36071', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '7555405', '6955369', 'object/tangible/furniture/all/shared_frn_all_chair_wooden_s1.iff', '0', '0.852108', '0', '0.523366', '-8.27407', '0.625', '-2.03498', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '7555406', '6955369', 'object/tangible/furniture/all/shared_frn_all_chair_wooden_s1.iff', '0', '0.352274', '0', '0.935897', '-7.74756', '0.624999', '-3.80338', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '7555407', '6955369', 'object/tangible/furniture/all/shared_frn_all_chair_wooden_s1.iff', '0', '-0.338197', '0', '0.941075', '-4.34081', '0.624998', '-7.62519', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '7555408', '6955369', 'object/tangible/furniture/all/shared_frn_all_chair_wooden_s1.iff', '0', '0.466208', '0', '0.884675', '-6.79555', '0.624999', '-7.80175', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '7555409', '6955369', 'object/tangible/furniture/all/shared_frn_all_chair_wooden_s1.iff', '0', '0.904412', '0', '0.42666', '-6.72584', '0.624999', '-5.69725', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '7555410', '6955369', 'object/static/item/shared_item_bowl_plain.iff', '0', '0', '0', '1', '-6.82104', '1.35232', '-2.86754', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '7555411', '6955369', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '-5.52508', '0.624999', '-8.27667', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '7555412', '6955369', 'object/static/item/shared_item_con_tato_cup_s2.iff', '0', '0', '0', '1', '-5.121', '0.624999', '-6.84608', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '7555413', '6955369', 'object/static/item/shared_item_con_tato_cup_s2.iff', '0', '0', '0', '1', '-5.74924', '0.624999', '-6.81276', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '7555414', '6955369', 'object/static/item/shared_item_con_tato_cup_s2.iff', '0', '0', '0', '1', '-5.49881', '0.624999', '-6.29976', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '7555415', '6955369', 'object/static/item/shared_item_con_tato_cup_s2.iff', '0', '0', '0', '1', '1.36329', '0.624999', '-2.88786', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '7555417', '6955369', 'object/soundobject/shared_soundobject_cantina_small.iff', '0', '0', '0', '1', '-1.84684', '0.624999', '-4.52078', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955370', '6955366', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '7015406', '6955370', 'object/tangible/furniture/technical/shared_cabinet_s01.iff', '0', '-0.398609', '0', '0.917121', '10.039', '0.625', '-6.647', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '7015407', '6955370', 'object/tangible/furniture/technical/shared_cabinet_s01.iff', '0', '1', '0', '-3.20013e-08', '7.73504', '0.625', '-1.23879', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '7015408', '6955370', 'object/tangible/furniture/technical/shared_bookcase_s01.iff', '0', '0.394019', '0', '0.919102', '5.546', '0.625', '-6.80192', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '7015409', '6955370', 'object/tangible/furniture/technical/shared_bookcase_s01.iff', '0', '0.924606', '0', '0.380925', '5.48076', '0.625', '-2.21364', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '7015410', '6955370', 'object/tangible/furniture/technical/shared_couch_s01.iff', '0', '0', '0', '1', '7.63236', '0.625', '-7.48337', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '7555386', '6955370', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.857299', '0', '-0.514819', '9.01111', '0.625', '-3.81371', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '7555387', '6955370', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.955572', '0', '0.294759', '6.4513', '0.625', '-3.36817', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '7555388', '6955370', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.114747', '0', '0.993395', '6.97066', '0.625', '-5.86058', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '7555389', '6955370', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0', '0', '1', '7.41883', '0.625', '-4.26526', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955398', '0', 'object/building/military/shared_outpost_shed.iff', '0', '0.382683', '0', '0.92388', '577.423', '6', '3040.55', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955399', '6955398', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955400', '6955398', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955401', '6955398', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955402', '6955398', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955403', '6955398', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955404', '6955398', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '1403881', '6955404', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s1.iff', '0', '0.707106', '0', '0.707107', '-3.6348', '0.125266', '-2.40663', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '1403882', '6955404', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s1.iff', '0', '0.707102', '0', '0.707111', '-3.60142', '0.125266', '-3.91301', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955412', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.613117', '0', '0.789992', '641.318', '5', '3050.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955413', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '-0.613117', '0', '0.789992', '639.332', '6', '3042.38', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955414', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.416871', '0', '0.908966', '633.976', '5', '3036.29', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955415', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '-0.416871', '0', '0.908966', '628.756', '6', '3030.22', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955416', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.319309', '0', '0.947651', '622.369', '5', '3025.39', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955417', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '-0.319309', '0', '0.947651', '616', '6', '3020.55', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955418', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.727726', '0', '-0.685868', '642.914', '5', '3065.99', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955419', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0.727726', '0', '-0.685868', '643.386', '6', '3058', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955420', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.795602', '0', '-0.60582', '640.331', '5', '3081.69', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955421', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0.795602', '0', '-0.60582', '642.458', '6', '3073.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955422', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0.912764', '0', '-0.408487', '638.257', '6.00451', '3089.54', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955423', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.912764', '0', '-0.408488', '632.927', '5', '3095.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955424', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.948985', '0', '-0.315322', '620.923', '5', '3106.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955425', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0.948985', '0', '-0.315322', '627.333', '6', '3101.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955426', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.999958', '0', '0.00920388', '606.404', '5', '3111.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955427', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0.999958', '0', '0.00920386', '614.402', '6', '3111.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955428', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0.999899', '0', '0.0142032', '598.205', '6', '3111.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955429', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.999899', '0', '0.014203', '590.209', '5', '3111', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955430', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0.999958', '0', '0.00920401', '581.747', '6', '3110.77', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955431', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.919416', '0', '0.393286', '559.945', '5', '3104.69', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955432', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0.919416', '0', '0.393286', '565.469', '6', '3110.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955433', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.999958', '0', '0.00920401', '573.749', '5', '3110.62', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955434', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '-0.0149994', '0', '0.999888', '554.096', '6', '3098.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955435', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.0749298', '0', '0.997189', '591.733', '5', '3019.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955436', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.0799153', '0', '0.996802', '607.675', '5', '3019.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955438', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '-0.0799153', '0', '0.996802', '599.778', '6', '3017.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955439', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.300293', '0', '0.953847', '577.225', '5', '3025.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955440', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.398609', '0', '0.917121', '565.216', '5', '3035.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955441', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0.0749296', '0', '0.997189', '583.823', '6', '3020.29', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955442', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0.300293', '0', '0.953847', '570.668', '6', '3029.59', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955443', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0.41687', '0', '0.908966', '559.637', '6', '3041.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955444', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.552199', '0', '0.833712', '556.505', '5', '3049.05', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955445', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0.5522', '0', '0.833712', '553.385', '6', '3056.41', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955446', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.644218', '0', '0.764842', '551.766', '5', '3064.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955449', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '-0.0848972', '0', '0.99639', '550.237', '6', '3072.69', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955450', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0', '0', '1', '630.151', '6', '3079.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955451', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0', '0', '1', '630.151', '6', '3073.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955452', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '1', '0', '-3.20013e-08', '626.151', '6', '3067.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955453', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0', '0', '1', '626.151', '6', '3073.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955454', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s02.iff', '0', '0', '0', '1', '626.151', '6', '3079.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955455', '0', 'object/static/structure/corellia/shared_corl_power_arial_prime.iff', '0', '0', '0', '1', '628.151', '6', '3076.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955456', '0', 'object/static/structure/corellia/shared_corl_power_arial_thin.iff', '0', '0', '0', '1', '626.151', '8.94092', '3079.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955457', '0', 'object/static/structure/general/shared_landing_pad_shuttle.iff', '0', '0', '0', '1', '628.151', '6', '3073.65', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955458', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s02.iff', '0', '1', '0', '-3.20013e-08', '630.151', '6', '3067.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955459', '0', 'object/static/structure/corellia/shared_corl_power_arial_thin.iff', '0', '1', '0', '-3.20013e-08', '630.151', '6', '3067.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955460', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '-0.703279', '0', '0.710914', '533.128', '6.69422', '3072.56', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955461', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '-0.000174994', '0.00499777', '-0.0349924', '0.999375', '541.482', '5.73877', '3072.49', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955462', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0.75457', '0', '-0.656219', '537.337', '6.55746', '3096.21', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955463', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0.00244747', '-0.0698991', '-0.0349072', '0.99694', '545.46', '5.4477', '3097.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955464', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.029995', '0', '0.99955', '615.3', '6', '3078.86', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955465', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.059964', '0', '0.998201', '615.288', '6.88544', '3077.82', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955466', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.677972', '0', '0.735088', '615.764', '6', '3077.23', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955467', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.99955', '0', '-0.029995', '617.793', '6', '3082.55', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955468', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.044985', '0', '0.998988', '618.304', '6.88544', '3082.31', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955469', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0', '0', '1', '618.759', '6', '3082.24', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955470', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.955337', '0', '-0.29552', '620.391', '6', '3100.87', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955471', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.223106', '0', '0.974794', '620.708', '6.88544', '3100.4', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955472', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.266731', '0', '0.963771', '621.064', '6', '3100.11', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955473', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.955337', '0', '-0.29552', '623.141', '6', '3098.57', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955474', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.223106', '0', '0.974794', '623.458', '6.88544', '3098.11', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955475', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.266731', '0', '0.963771', '623.814', '6', '3097.82', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955476', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.620987', '0', '0.783821', '604.792', '6', '3072.51', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955477', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.904412', '0', '-0.42666', '605.838', '6', '3072.81', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955478', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.434965', '0', '0.900447', '606.435', '6', '3072.16', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955479', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.924606', '0', '0.380925', '606.139', '6.88544', '3072.54', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955480', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.983701', '0', '-0.179812', '605.713', '6', '3071.66', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955481', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.203567', '0', '0.979061', '605.489', '6', '3070.81', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955482', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.767544', '0', '-0.640996', '604.7', '6', '3071.43', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955483', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.904413', '0', '-0.426659', '604.279', '6', '3070.93', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955484', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.955337', '0', '-0.29552', '627.347', '6', '3094.01', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955485', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.223106', '0', '0.974794', '627.664', '6.88544', '3093.54', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955486', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.266731', '0', '0.963771', '628.02', '6', '3093.25', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955487', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.955337', '0', '-0.29552', '624.733', '6', '3041.09', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955488', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.223106', '0', '0.974794', '625.051', '6.88544', '3040.63', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955489', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.266731', '0', '0.963771', '625.406', '6', '3040.34', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955490', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.99955', '0', '-0.029995', '626.645', '6', '3097.62', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955491', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.044985', '0', '0.998988', '627.156', '6.88544', '3097.39', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955492', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0', '0', '1', '627.611', '6', '3097.32', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955493', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.945784', '0', '0.324797', '632.255', '6', '3094.39', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955494', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.955101', '0', '0.296281', '631.581', '6.88544', '3095.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '6955495', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.448422', '0', '0.893822', '630.831', '6', '3095.3', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '7015415', '0', 'object/tangible/crafting/station/shared_public_clothing_station.iff', '0', '0.92766', '0', '0.373426', '579.75', '6', '3050.38', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '7015416', '0', 'object/tangible/crafting/station/shared_public_structure_station.iff', '0', '0.382683', '0', '0.92388', '587.764', '6', '3042.58', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '7015420', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0', '0', '0', '1', '620.365', '6', '3051.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '7015421', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0', '0', '0', '1', '575.279', '6', '3062.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '7015422', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0', '-0.382683', '0', '0.92388', '581.719', '6', '3046.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '7015424', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '-0.0348529', '0.00447337', '-0.127227', '0.991251', '533.18', '8.65161', '3074.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '7015425', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0.0114158', '-0.0550851', '-0.0104298', '0.998362', '554.422', '6.83101', '3096.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '7015426', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0.970137', '7.76211e-09', '-0.242556', '-3.10456e-08', '580.765', '9.8153', '3097.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '7015427', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0.865324', '-1.60395e-08', '0.501213', '-2.76915e-08', '606.861', '9.82719', '3082.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '7015428', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0.865324', '-1.60395e-08', '0.501213', '-2.76915e-08', '593.6', '9.82718', '3090.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '7015429', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0.269332', '0', '0.963047', '612.853', '6', '3103.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '7015430', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0.269332', '0', '0.963047', '605.711', '6.00188', '3107.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '7015431', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.681638', '0', '0.731689', '590.881', '6', '3090.34', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '7015432', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.999875', '0', '0.0157956', '591.441', '6.88544', '3089.83', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '7015433', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.998952', '0', '0.0457809', '591.586', '6', '3088.8', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '7015434', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.589146', '0', '0.808027', '589.258', '6', '3087.77', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '7015435', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.0898772', '0', '0.995953', '590.062', '6', '3088.73', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '7015436', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.361615', '0', '0.932328', '590.414', '6', '3087.7', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '7015437', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.305059', '0', '0.952333', '589.793', '6', '3087.07', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '7015438', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.114747', '0', '0.993395', '588.972', '6', '3088.77', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '7015439', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.361618', '0', '0.932326', '588.459', '6', '3089.16', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '7015441', '0', 'object/tangible/crafting/station/shared_public_weapon_station.iff', '0', '0.707106', '0', '0.707107', '576.017', '6', '3058.24', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '7015458', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.933839', '0', '-0.357693', '624.414', '6', '3038.97', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '7015459', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.755615', '0', '0.655016', '624.969', '6', '3038.14', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '7015460', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.565956', '0', '0.824435', '625.523', '6', '3038.47', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '7015462', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.707106', '0', '0.707107', '575.334', '6', '3065.02', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '7015466', '0', 'object/static/structure/general/shared_streetlamp_medium_blue_style_02.iff', '0', '-0.696135', '0', '0.717911', '447.364', '-0.117483', '3097.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '7015480', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '-0.215903', '-0.0292371', '0.64931', '0.728648', '-4015.42', '121.96', '-24.5524', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '7015483', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0', '0', '1', '-4014.25', '122.01', '-23.9407', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '7105572', '0', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '-0.265487', '0', '0.964114', '5700.84', '122', '1932.06', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '7105573', '0', 'object/building/endor/shared_endor_giant_catwalk.iff', '0', '0.707105', '0', '0.707108', '-474', '121.2', '4176', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '7325403', '0', 'object/tangible/jedi/shared_force_shrine_stone.iff', '0', '0.707107', '0', '0.707107', '-4961.48', '129.983', '-3496.42', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '7325404', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0.707101', '0', '0.707112', '-4965.9', '130.991', '-3498.02', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '7325405', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0', '0', '1', '-4957.22', '130.991', '-3497.99', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '7325406', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '1', '0', '0', '-4962.45', '130.991', '-3498.03', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '7325407', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '0', '0', '1', '-4960.65', '130.981', '-3498.08', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '7325408', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_altar.iff', '0', '0', '0', '1', '-4961.54', '113.038', '-3498.02', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '7325409', '0', 'object/static/particle/shared_pt_poi_electricity_2x2.iff', '0', '0', '0', '1', '-4961.48', '130.991', '-3496.43', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '7325410', '0', 'object/tangible/jedi/shared_force_shrine_stone.iff', '0', '0.707107', '0', '0.707107', '-4148.17', '118.271', '5923.19', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '7325411', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0.707101', '0', '0.707112', '-4152.59', '118.819', '5921.59', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '7325412', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0', '0', '1', '-4143.91', '118.819', '5921.62', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '7325413', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '1', '0', '0', '-4149.14', '118.819', '5921.58', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '7325414', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '0', '0', '1', '-4147.35', '118.809', '5921.53', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '7325415', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_altar.iff', '0', '0', '0', '1', '-4148.23', '100.866', '5921.59', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '7325416', '0', 'object/static/particle/shared_pt_poi_electricity_2x2.iff', '0', '0', '0', '1', '-4148.17', '118.819', '5923.18', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '7325417', '0', 'object/tangible/jedi/shared_force_shrine_stone.iff', '0', '0.707107', '0', '0.707107', '3087.47', '124.221', '4884.14', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '7325418', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0.707101', '0', '0.707112', '3083.05', '125.096', '4882.54', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '7325419', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0', '0', '1', '3091.73', '125.096', '4882.57', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '7325420', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '1', '0', '0', '3086.5', '125.096', '4882.53', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '7325421', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '0', '0', '1', '3088.29', '125.086', '4882.48', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '7325422', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_altar.iff', '0', '0', '0', '1', '3087.41', '107.143', '4882.54', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '7325423', '0', 'object/static/particle/shared_pt_poi_electricity_2x2.iff', '0', '0', '0', '1', '3087.47', '125.096', '4884.13', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '7325424', '0', 'object/tangible/jedi/shared_force_shrine_stone.iff', '0', '0.707107', '0', '0.707107', '5570.55', '99.8774', '-1517.44', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '7325425', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0.707092', '0', '0.707121', '5566.13', '100.252', '-1519.04', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '7325426', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0', '0', '1', '5574.81', '100.252', '-1519', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '7325427', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '1', '0', '0', '5569.58', '100.252', '-1519.05', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '7325428', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '0', '0', '1', '5571.38', '100.242', '-1519.1', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '7325429', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_altar.iff', '0', '0', '0', '1', '5570.49', '82.2981', '-1519.04', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '7325430', '0', 'object/static/particle/shared_pt_poi_electricity_2x2.iff', '0', '0', '0', '1', '5570.55', '100.536', '-1517.45', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '7325438', '0', 'object/tangible/jedi/shared_force_shrine_stone.iff', '0', '0.707107', '0', '0.707107', '1654.9', '102.631', '-5768.23', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '7325439', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0.7071', '0', '0.707113', '1650.48', '102.961', '-5769.83', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '7325440', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0', '0', '1', '1659.16', '102.961', '-5769.79', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '7325441', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '1', '0', '0', '1653.93', '102.961', '-5769.84', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '7325442', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '0', '0', '1', '1655.73', '102.951', '-5769.88', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '7325443', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_altar.iff', '0', '0', '0', '1', '1654.84', '85.0071', '-5769.83', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '7325444', '0', 'object/static/particle/shared_pt_poi_electricity_2x2.iff', '0', '0', '0', '1', '1654.9', '102.961', '-5768.23', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '7555370', '0', 'object/tangible/crafting/station/shared_food_station.iff', '0', '-0.707106', '0', '0.707107', '591.075', '6', '3037.9', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '7555371', '7555370', 'object/tangible/hopper/shared_crafting_station_ingredient_hopper_1.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '7925592', '0', 'object/building/endor/shared_endor_giant_catwalk.iff', '0', '0.707107', '0', '0.707107', '-538', '121.2', '4176', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '7925593', '0', 'object/building/endor/shared_endor_giant_catwalk.iff', '0', '0.707107', '0', '0.707107', '-602', '121.2', '4176', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '7925594', '0', 'object/building/endor/shared_endor_giant_catwalk.iff', '0', '0.707107', '0', '0.707107', '-666', '121.2', '4176', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '7925595', '0', 'object/building/endor/shared_endor_giant_catwalk.iff', '0', '0.707107', '0', '0.707107', '-730', '121.2', '4176', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '7925596', '0', 'object/building/endor/shared_endor_giant_catwalk.iff', '0', '0.707107', '0', '0.707107', '-794', '121.2', '4176', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '7925597', '0', 'object/static/structure/dathomir/shared_mtn_clan_hut_s01.iff', '0', '0.930216', '0', '-0.367013', '-825.759', '121', '4185.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '7925598', '0', 'object/static/structure/dathomir/shared_mtn_clan_strong_fence_s01.iff', '0', '0.706825', '0', '0.707388', '-815.71', '120.884', '4183.09', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '7925600', '0', 'object/static/structure/dathomir/shared_mtn_clan_strong_fence_s01.iff', '0', '0.389417', '0', '0.921061', '-819.801', '121.015', '4190.88', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '7925601', '0', 'object/static/structure/dathomir/shared_mtn_clan_strong_fence_s01.iff', '0', '0.324042', '0', '0.946043', '-827.28', '121.06', '4196.81', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '7925602', '0', 'object/static/structure/dathomir/shared_mtn_clan_strong_fence_s01.iff', '0', '0.0249965', '0', '0.999688', '-835.973', '120.775', '4199.53', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '7925603', '0', 'object/static/structure/dathomir/shared_mtn_clan_strong_fence_s01.iff', '0', '0.706825', '0', '0.707389', '-815.486', '120.978', '4168.92', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '7925604', '0', 'object/static/structure/dathomir/shared_mtn_clan_strong_fence_s01.iff', '0', '0.886626', '0', '0.462486', '-817.76', '121.263', '4160.11', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '7925605', '0', 'object/static/structure/dathomir/shared_mtn_clan_strong_fence_s01.iff', '0', '0.916803', '0', '0.399341', '-823.296', '121.218', '4152.34', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '7925606', '0', 'object/static/structure/dathomir/shared_mtn_clan_strong_fence_s01.iff', '0', '0.999667', '0', '0.0257943', '-830.868', '121.086', '4147.86', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '7925607', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '-831.475', '121', '4182.66', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '7925608', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '-818.631', '121', '4172.87', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '7925609', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '-872.233', '123.145', '4168.37', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '7925610', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '1', '0', '3.20013e-08', '-439.012', '121', '4172.07', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '7925611', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '1', '0', '3.20013e-08', '-394.109', '124.926', '4166.04', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '7925613', '0', 'object/static/structure/dathomir/shared_mtn_clan_strong_fence_s01.iff', '0', '-0.462486', '0', '0.886627', '-449.753', '121', '4191.92', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '7925615', '0', 'object/static/structure/dathomir/shared_mtn_clan_strong_fence_s01.iff', '0', '0.707388', '0', '-0.706826', '-452.027', '121', '4183.1', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '7925616', '0', 'object/static/structure/dathomir/shared_mtn_clan_hut_s01.iff', '0', '0.367013', '0', '0.930216', '-441.754', '121', '4166.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '7925617', '0', 'object/static/structure/dathomir/shared_mtn_clan_strong_fence_s01.iff', '0', '0.707389', '0', '-0.706824', '-451.803', '121', '4168.93', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '7925618', '0', 'object/static/structure/dathomir/shared_mtn_clan_strong_fence_s01.iff', '0', '0.921062', '0', '-0.389417', '-447.712', '121.005', '4161.14', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '7925619', '0', 'object/static/structure/dathomir/shared_mtn_clan_strong_fence_s01.iff', '0', '0.946043', '0', '-0.324042', '-440.233', '121', '4155.22', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '7925621', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0.780707', '0', '-0.624897', '-439.323', '121', '4179.85', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '7925622', '0', 'object/static/structure/dathomir/shared_mtn_clan_hut_s01.iff', '0', '0.867819', '0', '0.496881', '-443.72', '121', '4184.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '7925623', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '1', '0', '0', '-504.069', '121', '4174.31', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '7925627', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0.780707', '0', '-0.624897', '-756.026', '121', '4174.29', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '7925628', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0.780707', '0', '-0.624897', '-632.024', '121', '4174.35', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '7925629', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0.780707', '0', '-0.624897', '-567.998', '121', '4177.68', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '7925630', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0.780707', '0', '-0.624897', '-695.989', '121', '4177.68', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '7925656', '0', 'object/static/structure/dathomir/shared_mtn_clan_crows_nest_s01.iff', '0', '-0.21823', '0', '0.975897', '-504.116', '106.16', '4175.98', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '7925657', '0', 'object/static/structure/dathomir/shared_mtn_clan_crows_nest_s01.iff', '0', '-0.29552', '0', '0.955337', '-756.154', '106.96', '4175.95', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '7925658', '0', 'object/static/structure/dathomir/shared_mtn_clan_crows_nest_s01.iff', '0', '0.959662', '0', '0.281157', '-631.853', '106.8', '4175.5', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '8195879', '0', 'object/static/structure/corellia/shared_corl_stair_medium_s01.iff', '0', '0.457339', '0', '0.889292', '-6473.81', '120.055', '946.035', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '8195881', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff', '0', '0.457339', '0', '0.889292', '-6477.87', '127.793', '943.122', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '8195882', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_lg_s01.iff', '0', '0.461779', '0', '0.886995', '-6489.51', '127.798', '934.974', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '8245352', '0', 'object/static/dathomir/shared_dath_mistyfalls_waterfall1.iff', '0', '0', '0', '1', '2981', '96.5', '1326', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '8245353', '0', 'object/static/dathomir/shared_dath_mistyfalls_waterfall2.iff', '0', '0', '0', '1', '3633.46', '101.892', '1565.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '8245354', '0', 'object/static/dathomir/shared_dath_mistyfalls_waterfall2.iff', '0', '0', '0', '1', '3634.84', '102.319', '1567.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '8245355', '0', 'object/static/dathomir/shared_dath_mistyfalls_waterfall1.iff', '0', '0', '0', '1', '2982.61', '96.5185', '1324.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '8346180', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.850319', '0', '-0.526267', '5417.19', '78.5', '-4115.49', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '8346181', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.84233', '0', '-0.538962', '5420.47', '78.5', '-4122.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '8346182', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.548025', '0', '0.836462', '5424.99', '78.5', '-4121.62', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '8346183', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.84233', '0', '-0.538962', '5428.03', '78.5', '-4119.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '8346184', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.535417', '0', '0.844588', '5421.61', '78.5', '-4114.21', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '8346186', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '0.836899', '0', '-0.547358', '5422.4', '78.5632', '-4119.8', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '8346187', '0', 'object/static/structure/corellia/shared_corl_power_arial_prime.iff', '0', '0.977865', '0', '0.209239', '5421.04', '78.5', '-4116.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '8346188', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0.977865', '0', '0.209239', '5421.06', '78.5', '-4116.82', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '8346189', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s02.iff', '0', '-0.210017', '0', '0.977698', '5424.41', '78.5', '-4115.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '8346190', '0', 'object/static/structure/corellia/shared_corl_power_arial_thin.iff', '0', '0.839624', '0', '-0.543168', '5425.76', '78.5', '-4118.4', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '8346191', '0', 'object/static/structure/corellia/shared_corl_power_box_node.iff', '0', '0.839623', '0', '-0.54317', '5425.68', '78.5', '-4118.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '8365446', '0', 'object/tangible/camp/shared_camp_tent_s6.iff', '0', '0.361615', '0', '0.932328', '-45.2236', '142.597', '81.1189', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '8365447', '0', 'object/tangible/camp/shared_camp_tent_s5.iff', '0', '0.915437', '0', '0.402461', '-38.9716', '155.775', '95.3843', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '8365450', '0', 'object/static/structure/general/shared_streetlamp_large_red_style_01_on.iff', '0', '0.958016', '0', '0.286715', '-50.4939', '141.785', '88.0595', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '8365451', '0', 'object/static/structure/general/shared_streetlamp_large_red_style_01_on.iff', '0', '0.51978', '0', '0.8543', '-35.0303', '154.192', '95.7365', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '8365453', '0', 'object/static/item/shared_item_tool_sensor_beacon.iff', '0', '0', '0', '1', '-67.3717', '150.962', '86.6758', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '8365454', '0', 'object/static/item/shared_item_tool_sensor_beacon.iff', '0', '0', '0', '1', '-50.0249', '155.766', '62.3385', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '8365456', '0', 'object/static/item/shared_item_tool_sensor_beacon.iff', '0', '0', '0', '1', '-31.1866', '142.781', '82.5929', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '8365457', '0', 'object/static/item/shared_item_tool_sensor_beacon.iff', '0', '0', '0', '1', '-30.2799', '145.902', '102.362', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '8365458', '0', 'object/static/flora/shared_flora_decd_dath_blacktree.iff', '0', '0', '0', '1', '-41.1158', '145.87', '79.3591', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '8365460', '0', 'object/static/structure/general/shared_banner_rebel_style_01.iff', '0', '-0.543835', '0', '0.839192', '-50.5774', '141.971', '84.3302', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '8365538', '0', 'object/static/item/shared_item_tool_sensor_beacon.iff', '0', '0', '0', '1', '-32.8209', '161.082', '59.2635', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '8365587', '0', 'object/tangible/camp/shared_camp_tent_s6.iff', '-0.0601338', '0.224117', '-0.0133155', '0.972614', '-6298.57', '122.674', '-533.716', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '8365588', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '0.900274', '0', '0.435324', '-6298.54', '123.388', '-528.616', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '8365589', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '0.916962', '0', '0.398975', '-6303.55', '122.618', '-534.534', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '8365594', '0', 'object/static/structure/general/shared_camp_tent_s01.iff', '0.0260101', '0.884516', '-0.0493004', '0.463167', '-6317.28', '123.461', '-533.544', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '8365595', '0', 'object/static/structure/general/shared_camp_tent_s01.iff', '0.00237475', '0.297271', '-0.0495005', '0.953506', '-6315.92', '123.099', '-539.195', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '8365596', '0', 'object/static/structure/general/shared_camp_tent_s01.iff', '-0.0398358', '-0.46384', '-0.0102644', '0.884963', '-6309.86', '122.645', '-537.539', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '8365625', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01_on.iff', '-0.0494021', '-0.64383', '0.0301035', '0.762979', '-6304.16', '121.488', '-531.909', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '8365629', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01_on.iff', '-0.0657268', '-0.241633', '0.0244902', '0.967829', '-6301.31', '121.811', '-528.251', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '8365632', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '-0.0290645', '0.00112704', '-0.0387316', '0.998826', '-6313.68', '123.019', '-535.837', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '8365639', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '0', '0.92388', '0', '0.382683', '-6279.82', '127.505', '-511.785', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '8505356', '0', 'object/static/vehicle/shared_static_lambda_shuttle.iff', '0', '-0.670587', '0', '0.741831', '-6214.68', '120', '949.414', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '8505360', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0', '0', '1', '-6320.06', '128', '724.602', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '8525361', '0', 'object/tangible/terminal/shared_terminal_mission_imperial.iff', '0', '0.707106', '0', '0.707107', '-6335.95', '120', '922.319', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '8525366', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '-0.109778', '0', '0.993956', '-6199.98', '120', '968.608', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '8525367', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0.430458', '0', '0.90261', '-6229.27', '120', '962.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '8525368', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0.119713', '0', '0.992809', '-6223.02', '120', '932.924', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '8525369', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '-0.129634', '0', '0.991562', '-6194.08', '120', '939.654', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575544', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0', '0', '1', '-6306.76', '128', '724.616', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575545', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0', '1', '-6313.53', '128', '724.501', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575546', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0', '1', '-6299.08', '128', '724.758', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575547', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '-0.00737919', '0.00674865', '0.737894', '0.674842', '-6311.09', '133.374', '733.767', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575548', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0.230823', '0.266257', '0.69297', '0.628983', '-6310.53', '133.222', '739.693', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575549', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0.46203', '0.515887', '0.536977', '0.481709', '-6304.74', '133.28', '740.736', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575552', '0', 'object/static/structure/dathomir/shared_night_sister_banner_s01.iff', '0', '0.0399893', '0', '0.9992', '-3972.77', '129.603', '-164.221', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575557', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0.999958', '0', '0.0092035', '-3972.78', '132.859', '-163.612', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575559', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.613673', '0.360545', '-0.304944', '0.632788', '-3975.35', '131.339', '-156.905', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575560', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0', '0.285952', '0', '0.958244', '-3975.45', '130.641', '-156.328', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575561', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0', '0', '0', '1', '-3975.92', '130.988', '-156.989', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575562', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0', '0.29074', '0', '0.956802', '-3974.88', '130.99', '-156.962', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575563', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '1', '0', '-0.000796381', '-3975.87', '132.024', '-157.055', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575564', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '1', '0', '-0.000796', '-3974.86', '132.023', '-157.062', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575568', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_02_on.iff', '0', '0', '0', '1', '-3975.43', '128.533', '-157.827', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575569', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0', '0', '1', '-3976.93', '131.5', '-173.657', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575572', '0', 'object/static/structure/general/shared_rock_forestriverrock_lg.iff', '0', '0.0898786', '0', '0.995953', '-4083.3', '133.309', '-207.967', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575573', '0', 'object/static/particle/shared_pt_lair_evil_fire_large_green.iff', '0', '0', '0', '1', '-4083.17', '134.225', '-207.889', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575574', '0', 'object/building/general/shared_nightsister_slave_mine_sd_cave.iff', '0', '1', '0', '-3.20013e-08', '2527.89', '109.46', '-1589', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575575', '8575574', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575576', '8575574', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '4355495', '8575576', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_neutral_destroy_03.iff', '-0.00102258', '0.294543', '-0.047399', '0.954461', '51.9328', '-67.7701', '-48.0108', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '4355496', '8575576', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '53.3105', '-67.8191', '-47.6392', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '4355497', '8575576', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '-0.0137873', '0.433551', '-0.120485', '0.892931', '50.8313', '-67.5655', '-47.8303', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '4355498', '8575576', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0.0830326', '-0.207707', '0.0176978', '0.9745', '53.0205', '-67.6865', '-48.1923', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575577', '8575574', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575578', '8575574', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575579', '8575574', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575580', '8575574', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575581', '8575574', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575582', '8575574', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575583', '8575574', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '8715535', '8575583', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '-0.651834', '0', '0.758362', '194.795', '-66.8477', '-106.722', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575584', '8575574', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575585', '8575574', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '8715532', '8575585', 'object/tangible/container/loot/shared_placable_loot_crate_trashpile.iff', '0', '0', '0', '1', '74.1771', '-45.7932', '-138.209', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '8715534', '8575585', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0.92896', '0', '0.370181', '75.8697', '-46.106', '-137.043', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575586', '0', 'object/static/structure/general/shared_skeleton_human_body.iff', '-0.0453706', '-0.563789', '-0.0310397', '0.824088', '-4083.04', '134.15', '-207.949', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575587', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_02_on.iff', '0', '0', '0', '1', '-4083.37', '130.829', '-207.786', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575588', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0.117111', '0.0846354', '0.801992', '-0.579596', '-4080.76', '133.161', '-208.133', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575612', '0', 'object/tangible/furniture/all/shared_frn_all_professor_desk.iff', '0', '0.948985', '0', '-0.315322', '-69.8876', '18', '-1637.86', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575613', '0', 'object/tangible/furniture/imperial/shared_table_s1.iff', '0', '-0.452886', '0', '0.891568', '-68.7533', '18', '-1640.07', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575614', '0', 'object/static/structure/corellia/shared_corl_tent_small.iff', '0', '0.945784', '0', '-0.324796', '-70.6084', '18', '-1639.4', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575615', '0', 'object/static/item/shared_item_diagnostic_screen.iff', '0', '-0.651834', '0', '0.758362', '-68.7915', '18.7589', '-1639.53', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575616', '0', 'object/static/item/shared_item_datapad_s1.iff', '0', '-0.305058', '0', '0.952334', '-69.3155', '18.7589', '-1640.22', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575617', '0', 'object/static/item/shared_item_medic_radical_enhancements.iff', '-0.471967', '-0.526542', '0.526542', '-0.471967', '-69.3911', '18.7742', '-1639.8', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575618', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02_on.iff', '0', '0.757843', '0', '-0.652437', '-68.4572', '16.9565', '-1638.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575620', '0', 'object/tangible/furniture/all/shared_frn_all_toolchest_med_s01.iff', '0', '0.998444', '0', '0.0557674', '-101.953', '18', '-1540.12', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575621', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0', '0', '1', '-102.84', '18', '-1541.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575622', '0', 'object/static/creature/shared_droids_le_repair.iff', '0', '0.952576', '0', '0.3043', '-100.499', '18', '-1541.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575623', '0', 'object/static/creature/shared_droids_r5.iff', '0', '0.8772', '0', '-0.480124', '-102.492', '18', '-1543.59', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575624', '0', 'object/static/particle/shared_pt_poi_droid_weld_sparks.iff', '-0.265819', '-0.245165', '0.632092', '0.685343', '-102.523', '18.4253', '-1543.59', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575625', '0', 'object/soundobject/shared_soundobject_power_generator.iff', '0', '0', '0', '1', '-106.643', '18', '-1553.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575626', '0', 'object/soundobject/shared_soundobject_fire_roaring.iff', '0', '0', '0', '1', '-4083.16', '133.569', '-207.833', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575630', '0', 'object/static/structure/general/shared_streetlamp_medium_red_style_01.iff', '0', '-0.707107', '0', '0.707107', '605.059', '6', '3053.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575631', '0', 'object/static/structure/general/shared_streetlamp_medium_red_style_01.iff', '0', '0.707107', '0', '0.707107', '589.655', '6', '3057.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '8575632', '0', 'object/static/structure/general/shared_streetlamp_medium_red_style_01.iff', '0', '0.954535', '0', '-0.298098', '625.149', '6', '3095.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '8715415', '0', 'object/static/structure/dathomir/shared_nsister_guard_tower_style_01.iff', '0', '0', '0', '1', '2527.23', '123', '-1661.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '8715416', '0', 'object/static/structure/dathomir/shared_nsister_guard_tower_style_01.iff', '0', '0.8772', '0', '0.480124', '2568.76', '123', '-1687.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '8715417', '0', 'object/static/structure/dathomir/shared_nsister_hut_style_01.iff', '0', '0.9001', '0', '-0.435683', '2530.4', '123', '-1680.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '8715418', '0', 'object/static/structure/dathomir/shared_nsister_hut_style_01.iff', '0', '0.998952', '0', '0.0457804', '2552.36', '122.994', '-1692.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '8715419', '0', 'object/static/structure/dathomir/shared_nsister_hut_style_01.iff', '0', '0.830497', '0', '-0.557023', '2525.71', '123', '-1671.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '8715420', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '0.966185', '0', '-0.25785', '2541.8', '123', '-1685.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '8715421', '0', 'object/static/structure/dathomir/shared_nsister_hut_style_01.iff', '0', '0.972329', '0', '0.233617', '2560', '123', '-1684.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '8715422', '0', 'object/static/structure/dantooine/shared_dant_fire_pit.iff', '0', '0.198669', '0', '0.980067', '2547.21', '123', '-1675.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '8715424', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0', '0', '1', '2547.36', '123.071', '-1675.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '8715425', '0', 'object/static/flora/shared_flora_decd_dath_blacktree.iff', '0', '0', '0', '1', '2556.36', '123', '-1673.57', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '8715426', '0', 'object/static/structure/dathomir/shared_night_sister_banner_s02.iff', '0', '0', '0', '1', '2557.89', '122.82', '-1671.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '8715554', '0', 'object/static/structure/dathomir/shared_dath_imprv_flagpole_s01.iff', '0', '0', '0', '1', '-75.805', '36.4145', '-1565.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '8715555', '0', 'object/static/structure/dathomir/shared_dath_imprv_flagpole_s01.iff', '0', '0', '0', '1', '568.754', '13.7501', '3093.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '8715556', '0', 'object/static/structure/dathomir/shared_dath_imprv_flagpole_s01.iff', '0', '0', '0', '1', '608.447', '13.8038', '3069.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '8715557', '0', 'object/static/structure/dathomir/shared_dath_imprv_flagpole_s01.iff', '0', '0', '0', '1', '554.127', '10.1423', '3098.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '8715558', '0', 'object/static/structure/dathomir/shared_dath_imprv_flagpole_s01.iff', '0', '0', '0', '1', '550.254', '10.1119', '3072.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9075443', '0', 'object/static/structure/dantooine/shared_dant_large_mudhut_no_flora_05m.iff', '0', '0.710353', '0', '0.703845', '5169.62', '78.5', '-4137', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '9075444', '0', 'object/static/structure/dantooine/shared_dant_large_mudhut_no_flora_05m.iff', '0', '0.999983', '0', '-0.00579631', '5192.43', '78.5', '-4116.48', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '9075445', '0', 'object/static/structure/dantooine/shared_dant_large_mudhut_no_flora_05m.iff', '0', '-0.706826', '0', '0.707388', '5213.72', '78.5', '-4137.79', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '9075446', '0', 'object/static/structure/dantooine/shared_dant_large_rock_hut_no_flora_05m.iff', '0', '-0.706826', '0', '0.707388', '5278.85', '78.5', '-4045.54', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '9075447', '0', 'object/static/structure/dantooine/shared_dant_large_rock_hut_no_flora_05m.iff', '0', '-0.42141', '0', '0.90687', '5283.23', '78.5', '-4030.95', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '9075448', '0', 'object/static/structure/dantooine/shared_dant_large_rock_hut_no_flora_05m.iff', '0', '0.940806', '0', '0.338946', '5353.39', '78.5', '-4069.68', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '9075449', '0', 'object/static/structure/dantooine/shared_dant_large_mudhut_no_flora_05m.iff', '0', '0.857299', '0', '-0.514819', '5408.66', '78.5', '-4108.9', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '9075450', '0', 'object/static/structure/dantooine/shared_dant_large_mudhut_no_flora_05m.iff', '0', '-0.488177', '0', '0.872745', '5406.96', '78.5', '-4131.02', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '9075451', '0', 'object/static/structure/dantooine/shared_dant_large_mudhut_no_flora_05m.iff', '0', '0.895699', '0', '-0.444661', '5388.27', '78.5', '-4183.55', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '9075452', '0', 'object/static/structure/dantooine/shared_dant_large_mudhut_no_flora_05m.iff', '0', '-0.223106', '0', '0.974794', '5383.95', '78.5', '-4208.81', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '9075453', '0', 'object/static/structure/dantooine/shared_dant_large_mudhut_no_flora_05m.iff', '0', '0.68892', '0', '0.724837', '5360.28', '78.5', '-4195.52', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '9075454', '0', 'object/static/structure/dantooine/shared_dant_large_mudhut_no_flora_05m.iff', '0', '-0.285952', '0', '0.958244', '5325.15', '78.5', '-4222.67', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '9075455', '0', 'object/static/structure/dantooine/shared_dant_large_mudhut_no_flora_05m.iff', '0', '0.124675', '0', '0.992198', '5301.92', '78.5', '-4229.71', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '9075456', '0', 'object/static/structure/dantooine/shared_dant_large_hut_no_flora_10m.iff', '0', '-0.0149994', '0', '0.999888', '5302', '78.5', '-4187.09', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '9075457', '0', 'object/static/structure/dantooine/shared_dant_large_hut_no_flora_10m.iff', '0', '0.737931', '0', '-0.674876', '5328.59', '78.5', '-4153.55', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '9075458', '0', 'object/static/structure/dantooine/shared_dant_large_hut_no_flora_10m.iff', '0', '0.998988', '0', '0.0449848', '5297.42', '78.5', '-4129.55', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '9075490', '0', 'object/static/structure/dantooine/shared_dant_large_mudhut_no_flora_05m.iff', '0', '0.798621', '0', '0.601835', '5379.79', '78.5', '-4116.6', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '9695789', '0', 'object/static/structure/dantooine/shared_dant_large_communal_no_flora_10m.iff', '0', '0.8699', '0', '-0.493227', '5226.54', '78.5', '-4207.77', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '9695883', '0', 'object/static/structure/dantooine/shared_dant_large_mudhut_no_flora_05m.iff', '0', '0.0199987', '0', '0.9998', '5195.67', '78.5', '-4159.33', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725352', '0', 'object/static/structure/general/shared_streetlamp_large_red_style_01.iff', '0', '0.688922', '0', '0.724836', '-6146.6', '128', '977.648', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725355', '0', 'object/static/structure/general/shared_streetlamp_large_red_style_01.iff', '0', '0.688924', '0', '0.724834', '-6146.49', '128', '968.844', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725370', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '0.720831', '0', '-0.693111', '-3252.02', '99.7435', '-6587.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725372', '0', 'object/static/flora/shared_flora_shrb_dath_glingi.iff', '0', '0', '0', '1', '-3262.77', '102.579', '-6591.32', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725373', '0', 'object/static/flora/shared_flora_shrb_dath_glingi.iff', '0', '0', '0', '1', '-3251.94', '102.396', '-6577.73', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725374', '0', 'object/static/flora/shared_flora_shrb_dath_glingi.iff', '0', '0', '0', '1', '-3243.84', '104.668', '-6602.98', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725376', '0', 'object/static/structure/dantooine/shared_dant_gate.iff', '0', '0.713864', '0', '0.700285', '-3238.94', '102.212', '-6586.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725377', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '-0.281158', '0', '0.959662', '-3240.75', '101.85', '-6589.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725378', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '-0.21823', '0', '0.975897', '-3244.37', '101.786', '-6591.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725379', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '-0.333487', '0', '0.942755', '-3247.79', '101.519', '-6593', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725380', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '0.470626', '0', '0.882333', '-3239.94', '102.19', '-6582.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725381', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '0.193767', '0', '0.981048', '-3242.88', '102.015', '-6580.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725382', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '0', '0', '1', '-3246.71', '101.634', '-6579.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725383', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '-0.659385', '0', '0.751806', '-3249.17', '100.529', '-6580.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725384', '0', 'object/static/structure/dathomir/shared_mtn_clan_crows_nest_s01.iff', '0', '0', '0', '1', '5201.88', '443.247', '-6904.3', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725385', '0', 'object/static/structure/general/shared_campfire_burnt.iff', '0', '0', '0', '1', '-3252.07', '99.0266', '-6588.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725386', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0', '0', '0', '1', '5202.04', '455.53', '-6904.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725387', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.994409', '0', '0.105599', '-3251.43', '103.833', '-6586.95', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725388', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.49688', '0', '0.867819', '-3251.32', '103.548', '-6586.69', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725389', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.936177', '0', '-0.351529', '-3251.56', '103.342', '-6586.86', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725390', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.51978', '0', '0.8543', '-3251.63', '103.739', '-6586.65', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725391', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.242556', '0', '0.970137', '-3251.39', '103.827', '-6586.55', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725394', '0', 'object/static/structure/general/shared_tato_cave_stalactite_tiny.iff', '0', '0', '0', '1', '-3251.48', '102.882', '-6586.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725403', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '0.380189', '0', '0.924909', '-3253.72', '99.2035', '-6590.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725404', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.651834', '0', '0.758362', '-3253.92', '99.3269', '-6589.37', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725405', '0', 'object/static/structure/dantooine/shared_dant_skull_bol.iff', '0.273397', '0.646453', '-0.26777', '0.660039', '-3238.96', '105.151', '-6587.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725406', '0', 'object/static/structure/dantooine/shared_dant_skull_bol.iff', '0.273397', '0.646453', '-0.26777', '0.660039', '-3238.74', '105.092', '-6584.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725407', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '-0.0430268', '0.887189', '-0.0845374', '-0.451551', '5203.38', '40.8348', '-3086.39', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725408', '0', 'object/tangible/camp/shared_camp_tent_s1.iff', '0', '0.252245', '0', '0.967663', '-6465.65', '546.353', '-6724.95', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725409', '0', 'object/tangible/camp/shared_camp_tent_s1.iff', '0', '0.628793', '0', '0.777573', '-6471.4', '545.973', '-6724.4', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725410', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '-0.220253', '0.668676', '-0.217888', '-0.675934', '-6462.91', '546.236', '-6724.51', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725411', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '-0.258603', '-0.293596', '-0.0828378', '0.91655', '-6469.69', '546.152', '-6725.95', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725412', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0', '0', '1', '-3252', '96.9101', '-6588.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725414', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0', '0', '0', '1', '5204.66', '39.3283', '-3085.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725426', '0', 'object/static/structure/general/shared_skeleton_human_body.iff', '0.134518', '-0.00284616', '-0.049668', '0.989662', '-6459.69', '546.678', '-6725.27', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725427', '0', 'object/static/structure/general/shared_skeleton_human_body.iff', '0', '0', '0', '1', '-6476.54', '544.721', '-6727.66', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725428', '0', 'object/static/structure/dathomir/shared_nsister_guard_tower_style_01.iff', '0', '-0.640385', '0', '0.768054', '1555.21', '293.551', '-6473.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725431', '0', 'object/tangible/camp/shared_camp_stool_tall.iff', '0', '0', '0', '1', '-6458.61', '546.089', '-6722.68', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725432', '0', 'object/tangible/camp/shared_camp_stool_tall.iff', '0.589223', '-0.162892', '-0.12434', '0.781551', '-6461.24', '546.134', '-6720.69', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725434', '0', 'object/static/item/shared_item_slave_brazier.iff', '0', '0', '0', '1', '-6461.16', '545.962', '-6722.02', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725436', '0', 'object/static/structure/dathomir/shared_mtn_clan_hut_s01.iff', '0', '-0.699717', '0', '0.714421', '5556.62', '128.825', '-688.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725437', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0.633353', '-0.461099', '-0.313794', '-0.536456', '-6465.59', '546.63', '-6719.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725438', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0', '0', '0', '1', '5556.72', '126.907', '-688.845', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725440', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '-0.670587', '0', '0.741831', '-2612.56', '104.656', '-4861.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725441', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '1', '0', '-0.000796461', '-2612.62', '104.636', '-4861.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725442', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0.75128', '0', '0.659983', '-2612.5', '104.669', '-4861.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725443', '0', 'object/static/structure/dathomir/shared_mtn_clan_hut_s01.iff', '0', '0.731146', '0', '-0.682221', '1084.63', '104.282', '-4485.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725444', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '-0.00999989', '0', '0.99995', '-2612.46', '104.681', '-4861.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725445', '0', 'object/static/structure/dathomir/shared_mtn_clan_hut_s01.iff', '0', '0.844162', '0', '0.536088', '-6893.6', '461.881', '-4854.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725446', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0', '0.227978', '0', '0.973666', '1073.85', '101.77', '-4470.13', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725447', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0', '0.819192', '0', '0.57352', '1086.29', '102.651', '-4501.83', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725450', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0', '-0.452885', '0', '0.891569', '1056.92', '100.724', '-4473.99', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725451', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0', '0.945784', '0', '-0.324797', '1063.88', '96.7505', '-4506.1', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725452', '0', 'object/static/structure/dathomir/shared_mtn_clan_strong_fence_s01.iff', '-0.00449308', '-0.0747948', '0.0597954', '0.995394', '1063.82', '101.291', '-4469.75', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725453', '0', 'object/static/structure/general/shared_tie_bomber_debris_01.iff', '0.0639346', '0.563587', '0.118435', '0.815018', '-990.684', '144.242', '-6389.17', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725455', '0', 'object/static/structure/dathomir/shared_mtn_clan_strong_fence_s01.iff', '0', '-0.174108', '0', '0.984727', '1073.64', '98.7298', '-4508.35', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725456', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0', '0.773915', '0', '-0.63329', '-6891.19', '463.605', '-4862.2', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725457', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0', '-0.266731', '0', '0.963771', '-6885.52', '464.637', '-4851.41', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725458', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0', '-0.394019', '0', '0.919102', '-6891.77', '465.194', '-4867.39', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725459', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0', '-0.572867', '0', '0.819648', '-6881.57', '466.033', '-4847.84', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725461', '0', 'object/static/structure/general/shared_prp_junk_s1.iff', '0.0581714', '0.12684', '-0.177278', '0.974218', '-984.004', '142.072', '-6391.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725462', '0', 'object/static/structure/tatooine/shared_skeleton_greater_krayt_head.iff', '-0.0386318', '0.71342', '-0.0251157', '-0.69922', '5292.53', '24.3845', '1429.18', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725463', '0', 'object/static/structure/dathomir/shared_mtn_clan_gate_s01.iff', '0', '0.744643', '0', '-0.667463', '1057.94', '99.7675', '-4490.56', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725464', '0', 'object/static/structure/dathomir/shared_mtn_clan_strong_fence_s01.iff', '0', '0.724288', '0', '-0.689498', '1057.14', '100.456', '-4483', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725465', '0', 'object/static/structure/dathomir/shared_mtn_clan_strong_fence_s01.iff', '0', '0.744643', '0', '-0.667463', '1058.87', '97.9612', '-4498.92', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725467', '0', 'object/static/structure/dantooine/shared_dant_skull_bol.iff', '0.00816724', '0.838665', '-0.0125809', '0.544442', '-6889.76', '465.519', '-4855.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725468', '0', 'object/static/structure/tatooine/shared_skeleton_greater_krayt_spine_small.iff', '0.0378976', '-0.651283', '0.0325809', '0.757187', '5296.24', '24.6981', '1429.16', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725469', '0', 'object/static/item/shared_item_bowl_shallow.iff', '0', '0', '0', '1', '-2612.54', '107.652', '-4861.11', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725473', '0', 'object/static/structure/general/shared_campfire_burnt.iff', '0', '0', '0', '1', '-2612.51', '108.011', '-4861.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725475', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_leg_style_02.iff', '-0.526505', '-0.0214914', '0.849193', '-0.0346632', '5301.59', '25.4021', '1429.96', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725479', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_arm_style_01.iff', '-0.656478', '0.0445229', '0.750023', '-0.0672297', '5293.46', '25.5226', '1432.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725483', '0', 'object/static/structure/dathomir/shared_mtn_clan_crows_nest_s01.iff', '0', '0', '0', '1', '-829.259', '96.256', '-5042.59', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725484', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0', '0', '1', '5292.39', '23.2067', '1427.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725486', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '-835.398', '108.264', '-5042.24', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725487', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '-829.591', '108.479', '-5049.94', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725488', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '-822.669', '108.205', '-5043.64', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725489', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '-829.005', '108.028', '-5035.87', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725498', '0', 'object/static/structure/dantooine/shared_dant_skull_bol.iff', '-0.349168', '-0.00482297', '0.0835464', '0.933316', '1386.89', '98.2793', '-3192.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725499', '0', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_01.iff', '0', '0.0998333', '0', '0.995004', '-2610.9', '104.779', '-4861.34', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725502', '0', 'object/static/structure/dantooine/shared_dant_skull_lizard.iff', '-0.355', '-0.0840419', '0.0536011', '0.929537', '1386.82', '98.5397', '-3192.89', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725505', '0', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_01.iff', '0', '-0.644218', '0', '0.764842', '-2612.77', '104.731', '-4862.63', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725506', '0', 'object/static/structure/general/shared_skeleton_ancient_s01_with_floor.iff', '-0.0798992', '-0.453026', '0.73075', '-0.504369', '1366.58', '105.728', '-3192.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725507', '0', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_01.iff', '0', '0.0948572', '0', '0.995491', '-2614.12', '104.771', '-4860.76', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725508', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0.734548', '0', '0.678557', '-828.192', '94.8452', '-5013.98', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725509', '0', 'object/static/structure/tatooine/shared_shed_junkshop_watto.iff', '-0.361465', '-0.327856', '-0.0858309', '0.868612', '-6958.23', '553.146', '-3026.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725510', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0', '0.999875', '0.0157957', '-833.097', '95.0928', '-5018.71', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725511', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '0.731146', '0', '0.682221', '4886.4', '113.651', '3278.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725512', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0', '0', '1', '-822.498', '94.5873', '-5028.67', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725513', '0', 'object/static/structure/general/shared_skeleton_human_body.iff', '0', '0', '0', '1', '-822.794', '94.5828', '-5024.71', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725514', '0', 'object/static/structure/dathomir/shared_mtn_clan_gate_s01.iff', '0', '-0.305059', '0', '0.952334', '-6946.81', '550.442', '-3042.12', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725515', '0', 'object/static/item/shared_item_basket_shallow.iff', '0', '0', '0', '1', '-2612.49', '104.764', '-4860.22', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725516', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '-6948.91', '550.198', '-3045.76', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725517', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '-6942.75', '550.365', '-3041.65', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725519', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.328769', '0', '0.94441', '-2612.53', '104.806', '-4860.25', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725520', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0', '0', '1', '-2612.46', '104.97', '-4860.36', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725521', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.488177', '0', '0.872744', '-2612.32', '104.815', '-4860.27', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725522', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0', '0', '1', '-2612.4', '104.827', '-4860.46', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725523', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0', '0', '1', '-2612.58', '104.838', '-4860.44', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725527', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0', '0.884303', '0', '-0.466913', '-6946.17', '550.532', '-3035.33', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725528', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0', '0.452886', '0', '0.891568', '-6953.58', '549.697', '-3041.26', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725529', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0', '0.514136', '0', '0.857709', '-6956.81', '551.417', '-3036.13', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725530', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0', '0.9001', '0', '-0.435683', '-6949.73', '551.772', '-3030.07', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725533', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_foot.iff', '0.970235', '-0.121915', '-0.0260868', '0.207606', '1378.15', '100.975', '-3188.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725534', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0', '0', '1', '4887.26', '111.541', '3278.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725536', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0', '0.585097', '0', '0.810963', '-495.609', '133.228', '-2890.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725537', '0', 'object/static/structure/general/shared_campfire_ash.iff', '0', '0', '0', '1', '4879.26', '112.944', '3278.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725538', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.648034', '0', '0.761612', '4882.13', '115.425', '3281.27', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725539', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.624897', '0', '0.780707', '4881.65', '114.899', '3280.76', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725540', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.70328', '0', '0.710913', '4881.48', '114.6', '3276.91', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725541', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.674288', '0', '0.738469', '4881.61', '115.177', '3276.36', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725542', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.68164', '0', '0.731688', '-494.945', '136.223', '-2890.89', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725543', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.859862', '0', '-0.510526', '-496.09', '136.276', '-2891.23', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725544', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.987888', '0', '0.155167', '-495.416', '136.052', '-2891.54', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725545', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.560509', '0', '0.828148', '-496.209', '135.603', '-2890.4', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725546', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.183946', '0', '0.982936', '-495.515', '136.056', '-2890.13', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725547', '0', 'object/static/structure/dathomir/shared_mtn_clan_hut_s01.iff', '0', '-0.15438', '0', '0.988012', '-2419.83', '50.2106', '-3110.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725548', '0', 'object/static/structure/dathomir/shared_mtn_clan_gate_s01.iff', '0', '-0.655617', '0', '0.755093', '-6567.51', '266.348', '-741.835', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725549', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '-6564.45', '264.62', '-738.884', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725550', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0.197272', '0.949808', '-0.221068', '-0.100386', '-6587.17', '277.173', '-744.357', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725551', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '-0.00993287', '0.993436', '0.00115536', '0.11395', '-2417.34', '56.0441', '-3118.27', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725552', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0.16835', '-0.00669712', '-0.135933', '0.976287', '-6585.94', '276.46', '-736.733', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725553', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0.213282', '0.939616', '-0.205665', '-0.171273', '-6601.58', '291.963', '-743.682', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725554', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0.16835', '-0.006697', '-0.135933', '0.976287', '-6600.43', '291.498', '-735.874', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725555', '0', 'object/static/structure/dathomir/shared_nsister_gate_style_01.iff', '0', '0.734548', '0', '0.678557', '1125.37', '131.86', '-1018.96', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725556', '0', 'object/static/structure/dathomir/shared_nsister_gate_style_01.iff', '0', '0.973848', '0', '0.227202', '1122.95', '131.92', '-1022.92', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725559', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0.200194', '0.956012', '-0.192479', '-0.0944236', '-6616.15', '309.077', '-743.634', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725560', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0.168015', '-0.202056', '-0.190182', '0.945926', '-6617.43', '309.321', '-734.665', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725561', '0', 'object/static/structure/dathomir/shared_nsister_gate_style_01.iff', '0', '0.276356', '0', '0.961055', '1127.24', '131.912', '-1022.79', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725567', '0', 'object/static/structure/dathomir/shared_mtn_clan_gate_s01.iff', '0', '0.15438', '0', '0.988012', '-6632.91', '322.157', '-752.072', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725568', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '-6629.11', '321.998', '-750.816', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725575', '0', 'object/static/structure/dathomir/shared_mtn_clan_crows_nest_s01.iff', '0', '0', '0', '1', '-6617.5', '327.449', '-782.773', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725576', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '0', '0', '1', '-2418.08', '48.5221', '-3111.64', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725578', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_ribcage.iff', '0.0753845', '0.337515', '-0.0698958', '0.93569', '-7123.43', '461.369', '1174.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725579', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '-0.299024', '0.717235', '0.242203', '-0.580945', '-2417.77', '63.0068', '-3117.01', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725580', '0', 'object/static/structure/dathomir/shared_nsister_guard_tower_style_01.iff', '0', '0', '0', '1', '-445.447', '123.72', '-1152.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725582', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0', '-0.439462', '0', '0.898261', '-446.574', '123.93', '-1157.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725583', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0', '0.0649547', '0', '0.997888', '-440.848', '123.328', '-1155.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725584', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0', '-0.439462', '0', '0.898261', '-450.67', '124.215', '-1153.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725585', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0', '-0.439462', '0', '0.898261', '-449.333', '124.236', '-1156.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725586', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0', '-0.509841', '0', '0.860269', '-443.367', '123.564', '-1157.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725587', '0', 'object/static/item/shared_item_bread_loaf.iff', '0', '0', '0', '1', '-2419.58', '48.3175', '-3110.52', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725588', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0', '-0.703279', '0', '0.710914', '-440.215', '123.233', '-1151.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725589', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0', '0.710353', '0', '-0.703846', '-442.169', '123.34', '-1149.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725590', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0', '-0.290739', '0', '0.956802', '-445.162', '123.562', '-1147.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725591', '0', 'object/static/item/shared_item_fruit_melon.iff', '0', '0', '0', '1', '-2417.15', '48.5196', '-3110.18', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725592', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0', '-0.00499957', '0', '0.999987', '-447.969', '123.801', '-1148.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725593', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0', '-0.648033', '0', '0.761612', '-449.771', '123.981', '-1150.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725594', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '-0.699716', '0', '0.714421', '-7121.26', '458.239', '1172.71', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725595', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.999784', '0', '0.0207949', '-7123.78', '458.986', '1170.72', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725596', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0.0449842', '-0.00499492', '-0.000224923', '0.998975', '-7125.84', '459.506', '1172.72', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725597', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '-0.227874', '-0.389399', '0.00389411', '0.892427', '-7126.22', '459.345', '1178.26', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725598', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0.665954', '-0.293412', '0.276535', '0.627649', '-7122.51', '460.864', '1174.13', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725599', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0.629999', '0.27877', '0.293303', '-0.662843', '-7124.16', '461.761', '1175.62', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725608', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0', '0', '0', '1', '-7123.66', '461.094', '1174.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725610', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '-7119.55', '460.926', '1176.56', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725611', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.319309', '0', '0.947651', '-7119.54', '462.43', '1176.55', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725612', '0', 'object/static/structure/dathomir/shared_nsister_hut_style_01.iff', '0', '0', '0', '1', '866.333', '132.076', '1099.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725613', '0', 'object/tangible/camp/shared_campfire_logs_ash.iff', '-0.0198944', '0.00539792', '-0.0198944', '0.99959', '868.106', '132.004', '1096.13', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725614', '0', 'object/static/flora/shared_flora_decd_dath_blacktree.iff', '-0.0799621', '0.853877', '-0.137798', '-0.495491', '-7118.01', '463.185', '1171.05', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725616', '0', 'object/static/flora/shared_flora_shrb_dath_glingi.iff', '0', '-0.644218', '0', '0.764842', '-7126.83', '462.766', '1175.24', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725617', '0', 'object/static/flora/shared_flora_shrb_dath_glingi.iff', '0', '0', '0', '1', '-7122.4', '462.024', '1171.67', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725619', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0', '0.688921', '0', '0.724836', '-996.834', '119.191', '856.137', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725622', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0.478383', '0.534555', '0.464612', '0.519168', '-997.606', '122.651', '858.689', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725623', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0.362648', '0.61894', '0.352208', '0.601123', '-997.95', '127.052', '857.463', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725624', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0.390123', '0.601999', '0.378893', '0.584671', '-997.79', '124.956', '858.405', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725625', '0', 'object/static/structure/dathomir/shared_nsister_gate_style_01.iff', '0', '0.34759', '0', '0.937647', '-2933.06', '143.029', '-1025.16', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725626', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0.367497', '0.60387', '-0.406541', '-0.578801', '-997.648', '126.998', '854.705', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725627', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.361615', '0', '0.932327', '-2939.49', '143.877', '-1025.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725628', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0.41458', '0.57257', '-0.451495', '-0.544461', '-997.54', '124.965', '853.716', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725629', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0.461693', '0.535306', '-0.496089', '-0.504165', '-997.489', '122.63', '853.426', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725630', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '-0.42594', '0', '0.904752', '-2939.6', '144.18', '-1020.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725631', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.266731', '0', '0.963771', '-2933.75', '144.245', '-1019.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725632', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0.162344', '0.834112', '-0.328329', '0.412433', '-7128.02', '364.454', '2935.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725633', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '-0.0307683', '0.898784', '-0.433876', '-0.0547103', '-7120.89', '365.828', '2940.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725634', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '-0.218456', '0.753872', '-0.305486', '-0.539103', '-7114.96', '365.912', '2934.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725635', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0.374459', '-0.399456', '0.183199', '0.816489', '-7116.7', '365.803', '2926.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725636', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0.337533', '0.307212', '-0.130396', '0.880164', '-7126.09', '364.918', '2926.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725642', '0', 'object/static/structure/dathomir/shared_nsister_guard_tower_style_01.iff', '0', '0', '0', '1', '-2936.36', '140.674', '-1022.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725645', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0', '0', '1', '-7121.84', '371.871', '2932.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725646', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.703279', '0', '0', '0.710914', '-7122.06', '369.338', '2931.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725647', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0', '0', '1', '-7121.95', '374.187', '2931.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725648', '0', 'object/static/flora/shared_flora_bush_dathomir_hwotha.iff', '0', '0', '0', '1', '-2946.39', '144.388', '-1023.57', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725649', '0', 'object/static/flora/shared_flora_bush_dathomir_hwotha.iff', '0', '0', '0', '1', '-2938.36', '141.03', '-1034.03', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725650', '0', 'object/static/flora/shared_flora_bush_dathomir_hwotha.iff', '0', '0', '0', '1', '-2924.85', '141.818', '-1014.68', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725651', '0', 'object/static/particle/shared_particle_campfire_style_1.iff', '0', '0', '0', '1', '-7122.02', '374.291', '2931.9', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725652', '0', 'object/static/particle/shared_particle_campfire_style_1.iff', '0', '0', '0', '1', '-7122.19', '369.495', '2931.8', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725653', '0', 'object/static/structure/dathomir/shared_mtn_clan_crows_nest_s01.iff', '0', '0', '0', '1', '-2531.02', '131.961', '1599.91', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725655', '0', 'object/static/structure/dathomir/shared_mtn_clan_tent_house_s01.iff', '0', '1', '0', '3.20013e-08', '-2519.97', '129.782', '1596.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725658', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0.103009', '0.88311', '-0.0347415', '-0.456397', '-2526.35', '130.275', '1593.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725662', '0', 'object/static/structure/dathomir/shared_mtn_clan_crows_nest_s01.iff', '0.0149524', '0.00118677', '0.996626', '0.0806995', '1485.88', '140.893', '3514.14', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725663', '0', 'object/static/structure/dantooine/shared_dant_small_mudhut.iff', '0', '0.999232', '0', '0.0391937', '-7090.01', '388.495', '5926.43', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725664', '0', 'object/static/structure/dantooine/shared_dant_small_mudhut.iff', '0', '0.902268', '0', '-0.431176', '-7064.37', '389.315', '5926.78', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725665', '0', 'object/static/structure/dantooine/shared_dant_small_mudhut.iff', '0', '-0.593177', '0', '0.805072', '-7075.03', '383.294', '5905.98', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725666', '0', 'object/static/structure/dantooine/shared_dant_small_mudhut.iff', '0', '0.688921', '0', '0.724836', '-7098.13', '381.107', '5897.69', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725668', '0', 'object/static/structure/dathomir/shared_mtn_clan_strong_fence_s01.iff', '0', '-0.193767', '0', '0.981048', '-7076.85', '385.314', '5860.53', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725669', '0', 'object/static/structure/dathomir/shared_mtn_clan_strong_fence_s01.iff', '0', '-0.193767', '0', '0.981048', '-7069.63', '385.412', '5864.05', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725670', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '-0.514136', '0', '0.857709', '1476.91', '131.908', '3517.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725671', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0.501213', '0', '0.865324', '1489.21', '130.116', '3518.66', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725672', '0', 'object/static/structure/dathomir/shared_mtn_clan_gate_s01.iff', '0', '0.0349929', '0', '0.999388', '-7085.8', '387.34', '5857.64', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725674', '0', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_01.iff', '-0.081188', '0.0101426', '-0.0780804', '0.993584', '-2519.21', '129.694', '1597.09', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725676', '0', 'object/static/structure/dathomir/shared_mtn_clan_strong_fence_s01.iff', '0', '-0.300293', '0', '0.953847', '-7062.38', '385.573', '5868.09', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725677', '0', 'object/tangible/furniture/all/shared_frn_all_throwpillow_med_s01.iff', '-0.0458306', '0.321991', '-0.0956783', '0.94078', '-2520.48', '130.054', '1598.06', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725678', '0', 'object/static/structure/dathomir/shared_mtn_clan_strong_fence_s01.iff', '0', '-0.309817', '0', '0.950796', '-7056.13', '387.423', '5872.81', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725679', '0', 'object/static/structure/dantooine/shared_dant_skull_bol.iff', '0', '0', '0', '1', '1482.15', '131.551', '3520.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725680', '0', 'object/static/structure/dantooine/shared_dant_skull_lizard.iff', '0', '0', '0', '1', '1489.81', '130.304', '3512.56', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725681', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0', '0.999816', '0', '0.0192024', '-7081.33', '381.939', '5886.07', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725682', '0', 'object/static/structure/dantooine/shared_dant_cooking_stone.iff', '0', '0', '0', '1', '-7093.71', '380.297', '5904.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725683', '0', 'object/static/structure/dantooine/shared_dant_cooking_stone.iff', '0', '0', '0', '1', '-7083.07', '389.616', '5925.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725684', '0', 'object/static/structure/dantooine/shared_dant_hide_tanning_s02.iff', '0', '0.995881', '0', '-0.0906717', '-7072.84', '388.549', '5923.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725687', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0.0858911', '0.683546', '0.0903687', '0.719181', '-7091.78', '381.811', '5891.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725690', '0', 'object/static/structure/naboo/shared_obelisk_naboo_theed_style_3.iff', '0', '0', '0', '1', '-6428.17', '507.048', '7205.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725691', '0', 'object/static/structure/dathomir/shared_mtn_clan_gate_s01.iff', '0', '0.696135', '0', '0.717911', '7070.65', '563.703', '-6440.21', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725692', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0.382683', '0', '0', '0.92388', '-3185.24', '13.8116', '3160.7', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725693', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0.290212', '0.649746', '-0.249446', '0.656798', '-3181.62', '13.7432', '3156.61', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725694', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0', '0', '0', '1', '7070.79', '561.654', '-6440.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725696', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '-0.280005', '0.629752', '-0.260852', '-0.675992', '-3189.07', '13.6276', '3156.7', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725699', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0.00926143', '0.923609', '-0.382571', '0.0223591', '-3185.72', '13.1543', '3152.98', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725705', '0', 'object/static/flora/shared_flora_decd_dath_azerontree.iff', '0', '0', '0', '1', '-851.274', '147.034', '2792.44', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725706', '0', 'object/static/structure/dathomir/shared_night_sister_banner_s01.iff', '0', '0.21823', '0', '0.975897', '-847.262', '150.177', '2790.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725707', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0', '0', '0', '1', '-3185.23', '6.89748', '3157.26', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725711', '0', 'object/static/structure/dathomir/shared_night_sister_banner_s03.iff', '0', '-0.0499792', '0', '0.99875', '-857.68', '148.856', '2792.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725713', '0', 'object/static/item/shared_item_bowl_shallow.iff', '0', '0', '0', '1', '-3185.3', '16.2644', '3156.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725714', '0', 'object/static/structure/general/shared_prp_junk_s3.iff', '-0.122521', '0.403206', '-0.263663', '0.867695', '6881.49', '396.956', '-4927.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725715', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '-0.373272', '0.602799', '-0.377925', '0.595377', '-6418.47', '501.936', '7211.29', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725716', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0.268771', '-0.583337', '0.212935', '0.736301', '-6415.97', '501.872', '7212.64', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725718', '0', 'object/static/structure/dantooine/shared_dant_skull_bol.iff', '-0.128235', '0.782028', '-0.581113', '-0.185194', '-851.237', '152.763', '2791.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725719', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0', '0', '1', '-6420.41', '501.492', '7205.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725720', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '-0.0805147', '0.0653364', '-0.274979', '0.955843', '-6419.06', '503.192', '7212.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725721', '0', 'object/static/structure/general/shared_campfire_burnt.iff', '0', '0', '0', '1', '-3185.32', '16.5883', '3156.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725722', '0', 'object/static/structure/general/shared_escape_pod_door.iff', '0.780219', '0.22849', '0.469808', '-0.343994', '-6421.44', '503.055', '7208.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725724', '0', 'object/static/structure/general/shared_prp_junk_s5.iff', '-0.174015', '0.392953', '-0.245694', '0.868874', '6881.58', '397.096', '-4927.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725725', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_02.iff', '0', '0', '0', '1', '-851.371', '147.584', '2791.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725726', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0', '0', '1', '-3185.25', '16.3813', '3156.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725731', '0', 'object/static/structure/dathomir/shared_nsister_hut_style_01.iff', '0', '0', '0', '1', '-2598.28', '130.58', '4961.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725732', '0', 'object/static/structure/dathomir/shared_nsister_hut_style_01.iff', '0', '0.99879', '0', '-0.0491838', '-2597.46', '131.262', '4947.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725733', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0', '-0.266731', '0', '0.963771', '-2603.32', '130.205', '4947.56', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725734', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0', '0', '0', '1', '-2605.98', '130.264', '4955.78', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725735', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0', '0.466208', '0', '0.884675', '-2603.14', '129.071', '4963.24', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725736', '0', 'object/static/structure/dathomir/shared_nsister_gate_style_01.iff', '0', '0', '0', '1', '-2592.52', '129.435', '4954.45', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725738', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '-0.628793', '0', '0.777573', '-2592.67', '130.757', '4947.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725739', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '-0.29074', '0', '0.956802', '-2594.81', '130.338', '4944.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725741', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '0.342898', '0', '0.939373', '-2594.23', '129.496', '4962.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725742', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '0.114747', '0', '0.993395', '-2598.61', '130.374', '4943.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725743', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '0.188859', '0', '0.982004', '-2601.34', '126.036', '4941.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725744', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '0.104807', '0', '0.994493', '-2597.74', '129.757', '4964.34', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725747', '0', 'object/static/structure/dathomir/shared_night_sister_banner_s02.iff', '0', '0.681639', '0', '0.731688', '-2598.98', '131.381', '4952.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725749', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_head_style_01.iff', '-0.382683', '0', '0', '0.92388', '-2598.94', '130.268', '4954.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725750', '0', 'object/static/structure/dathomir/shared_mtn_clan_tent_house_s01.iff', '0', '0.939099', '0', '-0.343646', '-4566.97', '37.7649', '-6548.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725751', '0', 'object/static/item/shared_item_con_tato_bowl_full_s02.iff', '0', '0', '0', '1', '-2598.89', '131.181', '4955.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725752', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '-2598.9', '129.896', '4955.26', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725753', '0', 'object/static/item/shared_item_basket_frame.iff', '0', '0', '0', '1', '-4566.15', '37.5877', '-6547.87', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725754', '0', 'object/building/endor/shared_endor_catwalk.iff', '0', '0.713864', '0', '-0.700285', '-4577.66', '46.5715', '-6568.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725755', '0', 'object/building/endor/shared_endor_catwalk.iff', '0', '-0.706825', '0', '0.707389', '-4578.66', '60.4106', '-6567.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725757', '0', 'object/building/endor/shared_endor_catwalk.iff', '0', '0.710353', '0', '-0.703845', '-4576.58', '60.4565', '-6567.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725760', '0', 'object/static/structure/dathomir/shared_mtn_clan_strong_fence_s01.iff', '0', '0.663135', '0', '0.7485', '7436.4', '551.967', '-3018.46', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725761', '0', 'object/static/structure/dathomir/shared_mtn_clan_strong_fence_s01.iff', '0', '0.905091', '0', '-0.425219', '7440.64', '550.458', '-3026.89', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725762', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0.692538', '0', '0.721381', '-1205.93', '131.381', '5312.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725763', '0', 'object/static/structure/dathomir/shared_mtn_clan_strong_fence_s01.iff', '0', '0.727726', '0', '0.685869', '7442.19', '549.731', '-3036.23', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725767', '0', 'object/static/structure/dathomir/shared_night_sister_banner_s02.iff', '0', '0.987888', '0', '0.155167', '-1205.09', '128.206', '5310.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725769', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0', '0', '1', '-1205.89', '127.707', '5312.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725770', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_32_style_01.iff', '0.2377', '-0.00118851', '0.00485667', '0.971326', '-4703.78', '89.4083', '-4765', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725771', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0.333247', '0.614344', '0.326053', '-0.636567', '-4720.42', '87.9919', '-4773.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725772', '0', 'object/static/structure/dathomir/shared_night_sister_banner_s01.iff', '0', '0.20846', '0', '0.978031', '-1205.01', '128.184', '5313.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725773', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.727726', '0', '0.685869', '-4687.83', '89.076', '-4774.29', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725775', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '1', '0', '3.20013e-08', '-4697.01', '89.0571', '-4782.81', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725776', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0', '1', '-4688.24', '88.9636', '-4782.77', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725777', '0', 'object/static/structure/dantooine/shared_dant_skull_bol.iff', '0.290632', '0.659644', '-0.279455', '0.634277', '-1205.78', '134.025', '5312.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725778', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0.2606', '0.473948', '-0.14921', '0.827767', '-4686.9', '88.8244', '-4764.94', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725780', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '-0.0042274', '0.801579', '-0.589574', '0.099281', '-4713.61', '85.7012', '-4784.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725786', '0', 'object/static/structure/dathomir/shared_mtn_clan_tent_house_s01.iff', '0', '0.990327', '0', '-0.138755', '7479.69', '364.297', '-914.217', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725794', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0.579795', '-0.324519', '0.198315', '0.720553', '-4722.55', '89.4339', '-4766.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725795', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0.485218', '0.480046', '-0.374936', '0.62733', '-4730.2', '87.9101', '-4789.89', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725796', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.813416', '0', '-0.581683', '-1205.68', '134.391', '5310.76', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725797', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0', '0', '0', '1', '7480.64', '361.148', '-911.834', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725798', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0.706789', '0.02121', '-0.02121', '-0.706789', '-2653.35', '546.527', '7379.53', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725799', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.841471', '0', '0.540302', '-1204.42', '134.37', '5312.87', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725800', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.556361', '0', '0.830941', '-1205.6', '134.356', '5313.41', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725801', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.585097', '0', '0.810963', '-1204.47', '134.382', '5311.17', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725802', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '-0.167154', '-0.0261184', '-0.152155', '0.973769', '-4697.13', '89.6077', '-4776.51', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725805', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0', '1', '-4700.27', '87.7198', '-4780.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725806', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0', '1', '-4692.27', '86.5079', '-4780.55', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725807', '0', 'object/static/structure/dathomir/shared_mtn_clan_crows_nest_s01.iff', '0', '0.522687', '0', '0.852524', '6866.1', '506.172', '1170.19', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725810', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0.707106', '0', '0', '0.707107', '-2664.86', '548.894', '7370.44', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725811', '0', 'object/static/structure/corellia/shared_corl_power_arial_prime.iff', '0.196955', '0.386196', '0.656602', '0.617199', '-4693.86', '89.2993', '-4756.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725812', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0', '0', '0', '1', '6866.29', '502.686', '1170.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725813', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '-0.382683', '0', '0', '0.92388', '-2659.29', '548.796', '7362.12', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725814', '0', 'object/static/structure/general/shared_prp_junk_s4.iff', '0.177282', '-0.26218', '0.0490643', '0.947325', '-4712.47', '90.1403', '-4768.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725815', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '0.596559', '-0.393486', '-0.358063', '0.600897', '-4697.56', '88.7806', '-4793.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725819', '0', 'object/static/structure/general/shared_prp_junk_s2.iff', '0', '-0.448423', '0', '0.893822', '-4694.02', '89.5876', '-4769.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725820', '0', 'object/static/flora/shared_flora_decd_dath_azerontree.iff', '0', '0', '0', '1', '-2647.3', '546.204', '7366.24', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725821', '0', 'object/static/structure/general/shared_prp_junk_s2.iff', '0.638408', '-0.362526', '0.430608', '0.524963', '-4684.77', '88.7452', '-4791.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725822', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0', '0', '1', '-2664.72', '550.061', '7373.89', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725825', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0', '0', '1', '-2658.56', '545.498', '7370.02', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725827', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0', '0', '1', '-2647.62', '545.683', '7373.99', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725828', '0', 'object/static/structure/general/shared_prp_junk_s1.iff', '-0.0896538', '-0.0750226', '0.686323', '0.71784', '-4670.8', '88.4594', '-4767.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725829', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0', '0', '1', '-2659.28', '554.917', '7354.25', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725830', '0', 'object/static/structure/general/shared_atst_destroyed.iff', '-0.512619', '0.402629', '0.596395', '-0.468429', '-4739.26', '91.7143', '-4750.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725831', '0', 'object/static/structure/dantooine/shared_dant_large_rock_hut.iff', '0', '0.768563', '0', '-0.639774', '7186.09', '490.818', '3228.71', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725833', '0', 'object/static/structure/general/shared_atst_debris_01.iff', '0', '0.539632', '0', '0.841901', '-4734.65', '90.9718', '-4757.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725835', '0', 'object/static/structure/dantooine/shared_dant_hide_tanning_s01.iff', '0.599967', '-0.479835', '0.30038', '0.565306', '7193.42', '490.98', '3224.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725836', '0', 'object/static/structure/dantooine/shared_dant_hide_tanning_s02.iff', '-0.521163', '0.317596', '0.217279', '0.761782', '7194.92', '490.665', '3222.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725837', '0', 'object/static/structure/dathomir/shared_night_sister_banner_s01.iff', '0', '-0.572867', '0', '0.819648', '-2651.37', '543.37', '7366.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725838', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_ribcage.iff', '0', '-0.324043', '0', '0.946042', '-4754.4', '90.8165', '-4754.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725839', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_tail.iff', '0', '0', '0', '1', '-4740.55', '86.2769', '-4803.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725841', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_02.iff', '0', '0', '0', '1', '-1205.73', '125.763', '5312.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725843', '0', 'object/static/structure/tatooine/shared_skeleton_greater_krayt_spine_medium.iff', '0', '0.492535', '0', '0.870293', '-4716.74', '90.6072', '-4752.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725844', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0.71978', '-0.219929', '0.10625', '0.649815', '7187.66', '491.064', '3226.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725845', '0', 'object/static/structure/dathomir/shared_night_sister_banner_s01.iff', '0', '-0.535416', '0', '0.844589', '-2652.61', '543.33', '7366.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725846', '0', 'object/static/structure/dantooine/shared_dant_skull_thune.iff', '0.258898', '0.709696', '0.403733', '0.516046', '7184.31', '490.618', '3229.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725848', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0', '0', '0', '1', '7186.69', '488.925', '3228.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725849', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-2658.47', '543.815', '7367.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725852', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0', '0', '1', '50.3312', '123.296', '-155.467', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725853', '0', 'object/static/structure/general/shared_campfire_ash.iff', '0', '0', '0', '1', '7195.45', '490.999', '3230.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725857', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.707105', '0', '0.707109', '58.666', '123.306', '-163.789', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725858', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0', '0', '1', '50.2741', '123.294', '-172.021', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725859', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.707107', '0', '-0.707107', '41.8734', '123.192', '-163.981', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725861', '0', 'object/static/structure/dantooine/shared_dant_fence_4m.iff', '0.782811', '-0.0315302', '-0.620185', '-0.0397982', '-4989.74', '6.21217', '-2747.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725862', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.651834', '0', '0.758361', '-4988.78', '7.54898', '-2749.15', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725863', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.670587', '0', '0.741831', '-4989.41', '7.61666', '-2746.52', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725868', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0.795602', '0', '0.60582', '-2651.93', '546.552', '7366.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725869', '0', 'object/static/structure/dantooine/shared_dant_small_mudhut.iff', '0', '-0.49688', '0', '0.867819', '7200.75', '536.247', '5567.04', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725870', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.754571', '0', '-0.656219', '-4989.75', '7.68704', '-2749.22', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725871', '0', 'object/static/structure/dantooine/shared_dant_small_mudhut.iff', '0', '0.998444', '0', '-0.0557674', '7205.75', '533.122', '5552.46', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725872', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0', '0', '1', '58.7467', '123.211', '-155.581', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725873', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '-0.572867', '0', '0.819648', '-2652.05', '546.499', '7366.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725874', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0', '0', '1', '58.5598', '123.341', '-171.903', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725875', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.710353', '0', '-0.703845', '-4990.37', '7.71747', '-2746.56', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725877', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0', '0', '1', '41.9149', '123.324', '-172.017', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725878', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '7197.92', '536.704', '5571.98', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725879', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '7207.64', '533.136', '5547.13', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725880', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0', '0', '1', '41.8668', '123.32', '-155.633', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725883', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.670587', '0', '0.741831', '-5009.83', '8.15204', '-2753.43', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725884', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.651832', '0', '0.758363', '-5009.2', '8.1864', '-2756.06', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725885', '0', 'object/static/structure/dantooine/shared_dant_fence_4m.iff', '0.782811', '-0.03153', '-0.620185', '-0.039798', '-5010.17', '6.79397', '-2754.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725886', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.754571', '0', '-0.656219', '-5010.18', '8.24067', '-2756.13', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725887', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.710353', '0', '-0.703845', '-5010.8', '8.27448', '-2753.47', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725888', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.670587', '0', '0.741831', '-5035.34', '9.95567', '-2764.66', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725889', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.651832', '0', '0.758363', '-5034.72', '9.98225', '-2767.29', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725890', '0', 'object/static/structure/dantooine/shared_dant_fence_4m.iff', '0.782811', '-0.03153', '-0.620185', '-0.039798', '-5035.68', '8.65898', '-2766.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725891', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.754571', '0', '-0.656219', '-5035.69', '10.1005', '-2767.36', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725892', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.710353', '0', '-0.703845', '-5036.31', '10.0914', '-2764.71', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725893', '0', 'object/building/military/shared_mun_all_military_tower_impl_guard_s01.iff', '0', '0', '0', '1', '56.0028', '117.04', '-159.649', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725894', '9725893', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725895', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '0.398609', '0', '0.917121', '-5045.84', '7.98472', '-2774.03', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725900', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0.709467', '0.0235494', '-0.0919188', '0.698321', '-5046.52', '10.5024', '-2774.62', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725901', '0', 'object/static/structure/corellia/shared_corl_power_arial_prime.iff', '0', '0', '0', '1', '57.1894', '125.193', '-161.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725902', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0', '0', '1', '44.8122', '124.716', '-158.26', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725905', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s02.iff', '0', '0', '0', '1', '45.0241', '125.033', '-163.969', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725906', '0', 'object/static/structure/dathomir/shared_nsister_hut_style_01.iff', '0', '0.545171', '0', '0.838325', '-4159.13', '23.9679', '-839.823', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725909', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0', '0.300293', '0', '0.953847', '-4188.72', '24.1607', '-846.515', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725911', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0', '-0.0848976', '0', '0.99639', '-4194.67', '24.0176', '-861.382', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725913', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0', '-0.356949', '0', '0.934124', '-4191.27', '25.0986', '-868.952', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725915', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0', '0.798621', '0', '-0.601835', '-4177.66', '24.4732', '-838.951', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725916', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0', '0.514136', '0', '0.857709', '-4169.73', '24.9569', '-835.464', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725917', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0', '-0.539632', '0', '0.841901', '-4161.41', '24.1477', '-835.409', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725918', '0', 'object/static/structure/dathomir/shared_night_sister_banner_s02.iff', '0', '-0.564643', '0', '0.825336', '-4198.71', '26.6385', '-845.355', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725919', '0', 'object/static/structure/dathomir/shared_nsister_hut_style_01.iff', '0', '0.982154', '0', '0.188077', '-4187.71', '24.9885', '-867.731', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725920', '0', 'object/static/structure/dathomir/shared_nsister_hut_style_01.iff', '0', '-0.232843', '0', '0.972514', '-4183.06', '24.3704', '-843.251', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725921', '0', 'object/static/structure/dantooine/shared_dant_fire_pit.iff', '0', '-0.681638', '0', '0.731689', '-4181.63', '24.9641', '-852.454', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725922', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0', '0', '1', '923.472', '17.3334', '6854.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725923', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0', '0', '1', '926.539', '14.6144', '6856.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725924', '0', 'object/static/structure/dathomir/shared_nsister_gate_style_01.iff', '0', '-0.526943', '0', '0.8499', '929.675', '12.2961', '6862.78', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725925', '0', 'object/static/structure/dathomir/shared_nsister_gate_style_01.iff', '0', '0.849901', '0', '0.526943', '921.953', '15.9011', '6847.85', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725926', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0', '0', '1', '929.625', '15.8304', '6857.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725927', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.610626', '-0.363222', '-0.598057', '0.370855', '927.216', '19.7184', '6854.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725930', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.697902', '0.531426', '0.381988', '-0.290869', '924.044', '23.4101', '6854.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725932', '0', 'object/static/structure/dathomir/shared_nsister_guard_tower_style_01.iff', '0', '0', '0', '1', '912.832', '14.9034', '6859.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725933', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0', '0.21823', '0', '0.975897', '933.267', '14.6689', '6850.36', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725934', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0', '0.232843', '0', '0.972514', '918.631', '14.0554', '6858.8', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725935', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.319309', '0', '0.947651', '-5266.63', '124.119', '1296.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725936', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '-0.0299955', '0', '0.99955', '-5259.35', '124.197', '1293.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725937', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.309817', '0', '0.950796', '-5253.51', '124.626', '1303.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725938', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '-0.00199863', '-0.0499392', '0.0399394', '0.997951', '-5260.64', '124.306', '1305.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725939', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '-0.407761', '0', '0.913089', '-5267.34', '124.193', '1301.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725940', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '-0.0133164', '-0.443748', '0.0268775', '0.895649', '-5252.96', '124.367', '1297.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725941', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.362552', '0.289569', '0.228599', '0.855832', '-5255.84', '124.489', '1299.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725942', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.761095', '0', '0', '0.64864', '-5259.44', '124.186', '1296.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725943', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '-0.0796264', '0.154833', '-0.450353', '0.87571', '-5259.78', '124.4', '1302.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725944', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.413893', '0.34395', '-0.172557', '0.824994', '-5263.7', '124.179', '1299.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725945', '0', 'object/static/particle/shared_particle_campfire_style_1.iff', '0', '0', '0', '1', '-5263.72', '124.189', '1299.25', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725946', '0', 'object/static/particle/shared_particle_campfire_style_1.iff', '0', '0', '0', '1', '-5259.46', '124.203', '1296.68', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725947', '0', 'object/static/particle/shared_particle_campfire_style_1.iff', '0', '0', '0', '1', '-5259.81', '124.392', '1302.73', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725948', '0', 'object/static/particle/shared_particle_campfire_style_1.iff', '0', '0', '0', '1', '-5255.76', '124.454', '1299.63', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725949', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0.777072', '0', '-0.629412', '-5273.06', '124.303', '1298.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725950', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0.648034', '0', '0.761611', '-5245.16', '125.26', '1300.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725951', '0', 'object/static/structure/dathomir/shared_night_sister_banner_s03.iff', '0', '0', '0', '1', '-5259.86', '124.294', '1299.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725955', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.0349929', '0', '0.999388', '-5259.86', '122.479', '1300.13', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725956', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.0349929', '0', '0.999388', '-5258.86', '122.487', '1300.2', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725957', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0.319081', '0.274096', '-0.096958', '0.90203', '2993.15', '87.5962', '-5139.59', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725958', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0.0972121', '0.902248', '0.319004', '-0.273378', '2992.03', '89.3848', '-5141.1', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725959', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0.160115', '-0.435345', '-0.292535', '0.836218', '2987.31', '76.8258', '-5152.79', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725960', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0.292663', '0.835872', '0.159882', '0.436011', '2989.47', '77.0759', '-5154.21', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725961', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0.871926', '0.111374', '-0.255562', '0.402528', '2996', '84.7823', '-5152.95', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725962', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '-0.21562', '0.688798', '-0.66642', '0.186951', '2995.2', '88.4046', '-5152.02', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725963', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0.0330291', '0.83147', '0.331847', '-0.444347', '2997.97', '77.5121', '-5136.62', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725964', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0.331822', '0.443687', '-0.0332937', '0.831822', '2999.95', '76.1929', '-5135.58', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725965', '0', 'object/static/structure/naboo/shared_gungan_relic_s01.iff', '0', '0.514136', '0', '0.857709', '-5028.34', '124.188', '3218.43', '512', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725966', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_head_style_02.iff', '-0.00966169', '0.966137', '0.00257846', '0.257837', '-5028.44', '144.305', '3218.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725967', '0', 'object/tangible/camp/shared_camp_tent_s1.iff', '-0.0178648', '0.859336', '-0.030089', '-0.510213', '-4625.66', '121.991', '5393.48', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725968', '0', 'object/tangible/camp/shared_campfire_logs_ash.iff', '0', '0', '0', '1', '-4631.12', '121.205', '5390.71', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725969', '0', 'object/tangible/camp/shared_camp_stool_tall.iff', '0.579417', '-0.182943', '-0.194107', '0.770149', '-4631.69', '121.216', '5392.53', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725970', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '-0.347917', '0.372914', '0.153288', '0.846399', '-4625.34', '121.572', '5389.98', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725971', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0.935616', '0', '0.353019', '-4637.64', '120.413', '5395.66', '64', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725972', '0', 'object/tangible/camp/shared_camp_tent_s1.iff', '0', '0.777072', '0', '-0.629412', '2874.74', '19.5747', '-2531.41', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725973', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0.231313', '0.305968', '-0.193897', '0.90293', '-4629.44', '120.928', '5394.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725974', '0', 'object/tangible/camp/shared_campfire_logs_burnt.iff', '4.41103e-10', '-3.53637e-11', '0.0799147', '0.996802', '2871.94', '19.3738', '-2530.4', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725977', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.640386', '0', '0.768054', '2874.8', '19.4229', '-2533.76', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725978', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.183947', '0', '0.982936', '2874.07', '19.135', '-2533.35', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725980', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.412321', '0', '0.911039', '2873.35', '19.5856', '-2529.9', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725981', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '2871.93', '19.0381', '-2533.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725982', '0', 'object/static/structure/dathomir/shared_mtn_clan_tent_house_s01.iff', '0', '0.999415', '0', '0.034197', '3489.01', '127.572', '-395.771', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725983', '0', 'object/static/structure/dathomir/shared_mtn_clan_strong_fence_s01.iff', '0', '0', '0', '1', '3479.06', '126.348', '-394.932', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725984', '0', 'object/static/structure/dathomir/shared_mtn_clan_strong_fence_s01.iff', '0', '0.0799147', '0', '0.996802', '3497.8', '127.065', '-397.749', '256', '1');
INSERT INTO `staticobjects` VALUES ('2', '9725985', '0', 'object/tangible/camp/shared_campfire_logs_burnt.iff', '0', '0', '0', '1', '3489.65', '128.494', '-394.519', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '9765354', '0', 'object/static/structure/general/shared_streetlamp_large_red_style_01.iff', '0', '0.707107', '0', '-0.707107', '-6164.72', '128', '948.202', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9765355', '0', 'object/static/structure/general/shared_streetlamp_large_red_style_01.iff', '0', '0.992198', '0', '0.124675', '-6353.06', '128', '804.569', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9765356', '0', 'object/static/structure/general/shared_streetlamp_large_red_style_01.iff', '0', '0.996457', '0', '0.0841042', '-6347.17', '128', '805.819', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9765360', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.707106', '0', '0.707108', '-6365.73', '132.014', '754.333', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9765361', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0', '0', '1', '-6328.98', '131.741', '724.571', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9765362', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.707112', '0', '-0.707101', '-6299.14', '131.811', '756.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9765364', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.997888', '0', '-0.0649543', '-6313.35', '132.088', '793.714', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9765365', '0', 'object/static/structure/general/shared_streetlamp_large_red_style_01.iff', '0', '0.439462', '0', '0.898261', '-6372.34', '123.835', '875.371', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9765367', '0', 'object/static/structure/general/shared_streetlamp_large_red_style_01.iff', '0', '0.416871', '0', '0.908966', '-6497.68', '128', '787.977', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9765368', '0', 'object/static/structure/general/shared_streetlamp_large_red_style_01.iff', '0', '0.891207', '0', '-0.453596', '-6505.67', '128', '927.308', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9765369', '0', 'object/static/structure/general/shared_streetlamp_large_red_style_01.iff', '0', '0.891207', '0', '-0.453596', '-6502.18', '128', '922.347', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9765370', '0', 'object/static/structure/general/shared_streetlamp_large_red_style_01.iff', '0', '0.87959', '0', '0.475732', '-6470.95', '120', '962.455', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9765371', '0', 'object/static/structure/general/shared_streetlamp_large_red_style_01.iff', '0', '0.601198', '0', '0.7991', '-6472.22', '120', '983.386', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9765372', '0', 'object/static/structure/general/shared_streetlamp_large_red_style_01.iff', '0', '0.707107', '0', '-0.707107', '-6396.62', '120', '911.889', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9765373', '0', 'object/static/structure/general/shared_streetlamp_large_red_style_01.iff', '0', '0.993868', '0', '-0.11057', '-6385.59', '120', '988.517', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9765374', '0', 'object/static/structure/general/shared_streetlamp_large_red_style_01.iff', '0', '-0.70328', '0', '0.710913', '-6345.65', '120', '992.915', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9765375', '0', 'object/static/structure/general/shared_streetlamp_large_red_style_01.iff', '0', '0.994493', '0', '-0.104807', '-6319.09', '120', '978.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9765376', '0', 'object/static/structure/general/shared_streetlamp_large_red_style_01.iff', '0', '0.992713', '0', '-0.120503', '-6333.32', '128', '1062.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9765377', '0', 'object/static/structure/general/shared_streetlamp_large_red_style_01.iff', '0', '0.40319', '0', '0.915116', '-6196.46', '128', '1017.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9765378', '0', 'object/static/structure/general/shared_streetlamp_large_red_style_01.iff', '0', '0.91071', '0', '-0.413046', '-6219.49', '120', '1002.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9765379', '0', 'object/static/structure/general/shared_streetlamp_large_red_style_01.iff', '0', '0.0549723', '0', '0.998488', '-6302.96', '120', '884.614', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9765381', '0', 'object/static/structure/general/shared_streetlamp_large_red_style_01.iff', '0', '0.389418', '0', '0.921061', '-6417.92', '120', '862.052', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9765382', '0', 'object/static/structure/general/shared_streetlamp_large_red_style_01.iff', '0', '0.706826', '0', '0.707388', '-6336.23', '120', '920.354', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9765383', '0', 'object/static/structure/general/shared_streetlamp_large_red_style_01.iff', '0', '0.699716', '0', '0.714421', '-6336.5', '120', '935.497', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9765384', '0', 'object/static/structure/general/shared_streetlamp_large_red_style_01.iff', '0', '0.939099', '0', '0.343646', '-6533.34', '128', '1004.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9765385', '0', 'object/static/structure/general/shared_streetlamp_large_red_style_01.iff', '0', '0.713864', '0', '-0.700285', '-6480.55', '128', '859.439', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9765386', '0', 'object/static/structure/general/shared_streetlamp_large_red_style_01.iff', '0', '0.998444', '0', '0.0557674', '-6416.46', '128', '804.919', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9765387', '0', 'object/static/structure/general/shared_streetlamp_large_red_style_01.iff', '0', '0.838759', '0', '0.544503', '-6274.97', '128', '868.873', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9765388', '0', 'object/static/structure/general/shared_streetlamp_large_red_style_01.iff', '0', '0.993303', '0', '0.115538', '-6210.38', '128', '907.967', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9765389', '0', 'object/static/structure/general/shared_streetlamp_large_red_style_01.iff', '0', '0.42141', '0', '0.90687', '-6270.09', '128', '1040.59', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9765390', '0', 'object/static/structure/general/shared_streetlamp_large_red_style_01.iff', '0', '0.144492', '0', '0.989506', '-6423.59', '128', '1064.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9765391', '0', 'object/static/structure/general/shared_streetlamp_large_red_style_01.iff', '0', '-0.470626', '0', '0.882333', '-6495.75', '128', '1062.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('2', '9815357', '0', 'object/tangible/container/loot/shared_placable_loot_crate_trashpile.iff', '0', '0.000648082', '0', '1', '5645.24', '122', '1867.65', '50', '1');
INSERT INTO `staticobjects` VALUES ('2', '9815358', '0', 'object/tangible/container/loot/shared_placable_loot_crate_trashpile.iff', '0', '-0.00633236', '0', '0.99998', '5674', '122', '1899.87', '50', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945494', '0', 'object/building/general/shared_space_dungeon_corellian_corvette.iff', '0', '0', '0', '1', '1400', '0', '600', '512', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945495', '1945494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945496', '1945494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945497', '1945494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945498', '1945494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945499', '1945494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945500', '1945494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945501', '1945494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945502', '1945494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945503', '1945494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945504', '1945494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945505', '1945494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945506', '1945494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945507', '1945494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945508', '1945494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945509', '1945494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945510', '1945494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945511', '1945494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945512', '1945494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945513', '1945494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945514', '1945494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945515', '1945494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945516', '1945494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945517', '1945494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945518', '1945494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945519', '1945494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945520', '1945494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945521', '1945494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945522', '1945494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945523', '1945494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945524', '1945494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945525', '1945494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945526', '1945494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945527', '1945494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945528', '1945494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945529', '1945494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945530', '1945494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945531', '1945494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945532', '1945494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945533', '1945494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945534', '1945494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945535', '1945494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945536', '1945494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945537', '1945494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945538', '1945494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945539', '1945494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945540', '1945494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945541', '1945494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945542', '1945494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945543', '1945494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945544', '1945494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945545', '1945494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945546', '1945494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945547', '1945494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945548', '1945494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945549', '1945494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945550', '1945494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945551', '1945494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945552', '1945494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945553', '1945494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945554', '1945494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945555', '1945494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945556', '1945494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945557', '1945494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945558', '1945494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945559', '1945494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945560', '1945494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945561', '0', 'object/building/general/shared_space_dungeon_corellian_corvette.iff', '0', '0', '0', '1', '1400', '0', '1000', '512', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945562', '1945561', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945563', '1945561', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945564', '1945561', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945565', '1945561', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945566', '1945561', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945567', '1945561', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945568', '1945561', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945569', '1945561', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945570', '1945561', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945571', '1945561', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945572', '1945561', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945573', '1945561', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945574', '1945561', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945575', '1945561', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945576', '1945561', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945577', '1945561', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945578', '1945561', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945579', '1945561', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945580', '1945561', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945581', '1945561', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945582', '1945561', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945583', '1945561', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945584', '1945561', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945585', '1945561', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945586', '1945561', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945587', '1945561', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945588', '1945561', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945589', '1945561', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945590', '1945561', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945591', '1945561', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945592', '1945561', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945593', '1945561', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945594', '1945561', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945595', '1945561', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945596', '1945561', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945597', '1945561', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945598', '1945561', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945599', '1945561', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945600', '1945561', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945601', '1945561', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945602', '1945561', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945603', '1945561', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945604', '1945561', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945605', '1945561', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945606', '1945561', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945607', '1945561', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945608', '1945561', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945609', '1945561', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945610', '1945561', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945611', '1945561', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945612', '1945561', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945613', '1945561', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945614', '1945561', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945615', '1945561', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945616', '1945561', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945617', '1945561', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945618', '1945561', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945619', '1945561', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945620', '1945561', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945621', '1945561', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945622', '1945561', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945623', '1945561', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945624', '1945561', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945625', '1945561', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945626', '1945561', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945627', '1945561', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945628', '0', 'object/building/general/shared_space_dungeon_corellian_corvette.iff', '0', '0', '0', '1', '1250', '0', '1000', '512', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945629', '1945628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945630', '1945628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945631', '1945628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945632', '1945628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945633', '1945628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945634', '1945628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945635', '1945628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945636', '1945628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945637', '1945628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945638', '1945628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945639', '1945628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945640', '1945628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945641', '1945628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945642', '1945628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945643', '1945628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945644', '1945628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945645', '1945628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945646', '1945628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945647', '1945628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945648', '1945628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945649', '1945628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945650', '1945628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945651', '1945628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945652', '1945628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945653', '1945628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945654', '1945628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945655', '1945628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945656', '1945628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945657', '1945628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945658', '1945628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945659', '1945628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945660', '1945628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945661', '1945628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945662', '1945628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945663', '1945628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945664', '1945628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945665', '1945628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945666', '1945628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945667', '1945628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945668', '1945628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945669', '1945628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945670', '1945628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945671', '1945628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945672', '1945628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945673', '1945628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945674', '1945628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945675', '1945628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945676', '1945628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945677', '1945628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945678', '1945628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945679', '1945628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945680', '1945628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945681', '1945628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945682', '1945628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945683', '1945628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945684', '1945628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945685', '1945628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945686', '1945628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945687', '1945628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945688', '1945628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945689', '1945628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945690', '1945628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945691', '1945628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945692', '1945628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945693', '1945628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945694', '1945628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945695', '0', 'object/building/general/shared_space_dungeon_corellian_corvette.iff', '0', '0', '0', '1', '1900', '0', '600', '512', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945696', '1945695', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945697', '1945695', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945698', '1945695', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945699', '1945695', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945700', '1945695', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945701', '1945695', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945702', '1945695', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945703', '1945695', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945704', '1945695', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945705', '1945695', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945706', '1945695', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945707', '1945695', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945708', '1945695', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945709', '1945695', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945710', '1945695', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945711', '1945695', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945712', '1945695', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945713', '1945695', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945714', '1945695', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945715', '1945695', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945716', '1945695', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945717', '1945695', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945718', '1945695', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945719', '1945695', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945720', '1945695', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945721', '1945695', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945722', '1945695', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945723', '1945695', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945724', '1945695', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945725', '1945695', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945726', '1945695', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945727', '1945695', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945728', '1945695', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945729', '1945695', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945730', '1945695', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945731', '1945695', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945732', '1945695', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945733', '1945695', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945734', '1945695', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945735', '1945695', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945736', '1945695', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945737', '1945695', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945738', '1945695', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945739', '1945695', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945740', '1945695', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945741', '1945695', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945742', '1945695', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945743', '1945695', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945744', '1945695', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945745', '1945695', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945746', '1945695', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945747', '1945695', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945748', '1945695', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945749', '1945695', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945750', '1945695', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945751', '1945695', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945752', '1945695', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945753', '1945695', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945754', '1945695', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945755', '1945695', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945756', '1945695', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945757', '1945695', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945758', '1945695', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945759', '1945695', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945760', '1945695', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945761', '1945695', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945762', '0', 'object/building/general/shared_space_dungeon_corellian_corvette.iff', '0', '0', '0', '1', '2050', '0', '600', '512', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945763', '1945762', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945764', '1945762', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945765', '1945762', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945766', '1945762', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945767', '1945762', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945768', '1945762', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945769', '1945762', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945770', '1945762', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945771', '1945762', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945772', '1945762', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945773', '1945762', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945774', '1945762', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945775', '1945762', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945776', '1945762', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945777', '1945762', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945778', '1945762', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945779', '1945762', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945780', '1945762', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945781', '1945762', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945782', '1945762', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945783', '1945762', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945784', '1945762', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945785', '1945762', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945786', '1945762', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945787', '1945762', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945788', '1945762', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945789', '1945762', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945790', '1945762', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945791', '1945762', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945792', '1945762', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945793', '1945762', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945794', '1945762', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945795', '1945762', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945796', '1945762', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945797', '1945762', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945798', '1945762', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945799', '1945762', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945800', '1945762', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945801', '1945762', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945802', '1945762', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945803', '1945762', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945804', '1945762', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945805', '1945762', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945806', '1945762', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945807', '1945762', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945808', '1945762', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945809', '1945762', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945810', '1945762', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945811', '1945762', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945812', '1945762', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945813', '1945762', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945814', '1945762', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945815', '1945762', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945816', '1945762', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945817', '1945762', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945818', '1945762', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945819', '1945762', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945820', '1945762', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945821', '1945762', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945822', '1945762', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945823', '1945762', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945824', '1945762', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945825', '1945762', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945826', '1945762', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945827', '1945762', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945828', '1945762', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945829', '0', 'object/building/general/shared_space_dungeon_corellian_corvette.iff', '0', '0', '0', '1', '2050', '0', '1000', '512', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945830', '1945829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945831', '1945829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945832', '1945829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945833', '1945829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945834', '1945829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945835', '1945829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945836', '1945829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945837', '1945829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945838', '1945829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945839', '1945829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945840', '1945829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945841', '1945829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945842', '1945829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945843', '1945829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945844', '1945829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945845', '1945829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945846', '1945829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945847', '1945829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945848', '1945829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945849', '1945829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945850', '1945829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945851', '1945829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945852', '1945829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945853', '1945829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945854', '1945829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945855', '1945829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945856', '1945829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945857', '1945829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945858', '1945829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945859', '1945829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945860', '1945829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945861', '1945829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945862', '1945829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945863', '1945829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945864', '1945829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945865', '1945829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945866', '1945829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945867', '1945829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945868', '1945829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945869', '1945829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945870', '1945829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945871', '1945829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945872', '1945829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945873', '1945829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945874', '1945829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945875', '1945829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945876', '1945829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945877', '1945829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945878', '1945829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945879', '1945829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945880', '1945829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945881', '1945829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945882', '1945829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945883', '1945829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945884', '1945829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945885', '1945829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945886', '1945829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945887', '1945829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945888', '1945829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945889', '1945829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945890', '1945829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945891', '1945829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945892', '1945829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945893', '1945829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945894', '1945829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945895', '1945829', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945896', '0', 'object/building/general/shared_space_dungeon_corellian_corvette.iff', '0', '0', '0', '1', '1900', '0', '1000', '512', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945897', '1945896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945898', '1945896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945899', '1945896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945900', '1945896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945901', '1945896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945902', '1945896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945903', '1945896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945904', '1945896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945905', '1945896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945906', '1945896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945907', '1945896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945908', '1945896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945909', '1945896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945910', '1945896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945911', '1945896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945912', '1945896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945913', '1945896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945914', '1945896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945915', '1945896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945916', '1945896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945917', '1945896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945918', '1945896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945919', '1945896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945920', '1945896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945921', '1945896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945922', '1945896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945923', '1945896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945924', '1945896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945925', '1945896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945926', '1945896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945927', '1945896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945928', '1945896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945929', '1945896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945930', '1945896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945931', '1945896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945932', '1945896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945933', '1945896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945934', '1945896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945935', '1945896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945936', '1945896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945937', '1945896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945938', '1945896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945939', '1945896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945940', '1945896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945941', '1945896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945942', '1945896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945943', '1945896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945944', '1945896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945945', '1945896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945946', '1945896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945947', '1945896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945948', '1945896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945949', '1945896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945950', '1945896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945951', '1945896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945952', '1945896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945953', '1945896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945954', '1945896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945955', '1945896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945956', '1945896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945957', '1945896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945958', '1945896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945959', '1945896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945960', '1945896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945961', '1945896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945962', '1945896', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945963', '0', 'object/building/general/shared_space_dungeon_corellian_corvette.iff', '0', '0', '0', '1', '2550', '0', '600', '512', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945964', '1945963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945965', '1945963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945966', '1945963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945967', '1945963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945968', '1945963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945969', '1945963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945970', '1945963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945971', '1945963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945972', '1945963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945973', '1945963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945974', '1945963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945975', '1945963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945976', '1945963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945977', '1945963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945978', '1945963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945979', '1945963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945980', '1945963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945981', '1945963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945982', '1945963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945983', '1945963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945984', '1945963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945985', '1945963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945986', '1945963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945987', '1945963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945988', '1945963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945989', '1945963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945990', '1945963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945991', '1945963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945992', '1945963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945993', '1945963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945994', '1945963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945995', '1945963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945996', '1945963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945997', '1945963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945998', '1945963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1945999', '1945963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946000', '1945963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946001', '1945963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946002', '1945963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946003', '1945963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946004', '1945963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946005', '1945963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946006', '1945963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946007', '1945963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946008', '1945963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946009', '1945963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946010', '1945963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946011', '1945963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946012', '1945963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946013', '1945963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946014', '1945963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946015', '1945963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946016', '1945963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946017', '1945963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946018', '1945963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946019', '1945963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946020', '1945963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946021', '1945963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946022', '1945963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946023', '1945963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946024', '1945963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946025', '1945963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946026', '1945963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946027', '1945963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946028', '1945963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946029', '1945963', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946030', '0', 'object/building/general/shared_space_dungeon_corellian_corvette.iff', '0', '0', '0', '1', '2700', '0', '600', '512', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946031', '1946030', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946032', '1946030', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946033', '1946030', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946034', '1946030', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946035', '1946030', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946036', '1946030', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946037', '1946030', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946038', '1946030', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946039', '1946030', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946040', '1946030', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946041', '1946030', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946042', '1946030', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946043', '1946030', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946044', '1946030', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946045', '1946030', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946046', '1946030', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946047', '1946030', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946048', '1946030', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946049', '1946030', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946050', '1946030', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946051', '1946030', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946052', '1946030', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946053', '1946030', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946054', '1946030', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946055', '1946030', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946056', '1946030', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946057', '1946030', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946058', '1946030', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946059', '1946030', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946060', '1946030', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946061', '1946030', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946062', '1946030', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946063', '1946030', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946064', '1946030', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946065', '1946030', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946066', '1946030', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946067', '1946030', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946068', '1946030', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946069', '1946030', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946070', '1946030', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946071', '1946030', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946072', '1946030', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946073', '1946030', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946074', '1946030', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946075', '1946030', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946076', '1946030', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946077', '1946030', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946078', '1946030', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946079', '1946030', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946080', '1946030', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946081', '1946030', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946082', '1946030', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946083', '1946030', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946084', '1946030', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946085', '1946030', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946086', '1946030', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946087', '1946030', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946088', '1946030', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946089', '1946030', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946090', '1946030', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946091', '1946030', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946092', '1946030', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946093', '1946030', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946094', '1946030', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946095', '1946030', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946096', '1946030', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946097', '0', 'object/building/general/shared_space_dungeon_corellian_corvette.iff', '0', '0', '0', '1', '2700', '0', '1000', '512', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946098', '1946097', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946099', '1946097', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946100', '1946097', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946101', '1946097', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946102', '1946097', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946103', '1946097', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946104', '1946097', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946105', '1946097', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946106', '1946097', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946107', '1946097', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946108', '1946097', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946109', '1946097', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946110', '1946097', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946111', '1946097', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946112', '1946097', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946113', '1946097', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946114', '1946097', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946115', '1946097', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946116', '1946097', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946117', '1946097', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946118', '1946097', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946119', '1946097', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946120', '1946097', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946121', '1946097', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946122', '1946097', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946123', '1946097', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946124', '1946097', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946125', '1946097', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946126', '1946097', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946127', '1946097', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946128', '1946097', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946129', '1946097', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946130', '1946097', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946131', '1946097', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946132', '1946097', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946133', '1946097', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946134', '1946097', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946135', '1946097', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946136', '1946097', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946137', '1946097', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946138', '1946097', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946139', '1946097', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946140', '1946097', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946141', '1946097', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946142', '1946097', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946143', '1946097', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946144', '1946097', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946145', '1946097', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946146', '1946097', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946147', '1946097', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946148', '1946097', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946149', '1946097', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946150', '1946097', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946151', '1946097', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946152', '1946097', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946153', '1946097', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946154', '1946097', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946155', '1946097', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946156', '1946097', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946157', '1946097', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946158', '1946097', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946159', '1946097', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946160', '1946097', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946161', '1946097', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946162', '1946097', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946163', '1946097', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946164', '0', 'object/building/general/shared_space_dungeon_corellian_corvette.iff', '0', '0', '0', '1', '2550', '0', '1000', '512', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946165', '1946164', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946166', '1946164', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946167', '1946164', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946168', '1946164', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946169', '1946164', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946170', '1946164', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946171', '1946164', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946172', '1946164', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946173', '1946164', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946174', '1946164', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946175', '1946164', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946176', '1946164', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946177', '1946164', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946178', '1946164', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946179', '1946164', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946180', '1946164', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946181', '1946164', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946182', '1946164', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946183', '1946164', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946184', '1946164', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946185', '1946164', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946186', '1946164', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946187', '1946164', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946188', '1946164', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946189', '1946164', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946190', '1946164', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946191', '1946164', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946192', '1946164', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946193', '1946164', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946194', '1946164', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946195', '1946164', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946196', '1946164', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946197', '1946164', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946198', '1946164', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946199', '1946164', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946200', '1946164', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946201', '1946164', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946202', '1946164', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946203', '1946164', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946204', '1946164', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946205', '1946164', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946206', '1946164', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946207', '1946164', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946208', '1946164', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946209', '1946164', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946210', '1946164', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946211', '1946164', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946212', '1946164', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946213', '1946164', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946214', '1946164', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946215', '1946164', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946216', '1946164', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946217', '1946164', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946218', '1946164', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946219', '1946164', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946220', '1946164', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946221', '1946164', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946222', '1946164', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946223', '1946164', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946224', '1946164', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946225', '1946164', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946226', '1946164', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946227', '1946164', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946228', '1946164', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946229', '1946164', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946230', '1946164', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946231', '0', 'object/building/general/shared_space_dungeon_corellian_corvette_imperial.iff', '0', '0', '0', '1', '1400', '0', '1900', '512', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946232', '1946231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946233', '1946231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946234', '1946231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946235', '1946231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946236', '1946231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946237', '1946231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946238', '1946231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946239', '1946231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946240', '1946231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946241', '1946231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946242', '1946231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946243', '1946231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946244', '1946231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946245', '1946231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946246', '1946231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946247', '1946231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946248', '1946231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946249', '1946231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946250', '1946231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946251', '1946231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946252', '1946231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946253', '1946231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946254', '1946231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946255', '1946231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946256', '1946231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946257', '1946231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946258', '1946231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946259', '1946231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946260', '1946231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946261', '1946231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946262', '1946231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946263', '1946231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946264', '1946231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946265', '1946231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946266', '1946231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946267', '1946231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946268', '1946231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946269', '1946231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946270', '1946231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946271', '1946231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946272', '1946231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946273', '1946231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946274', '1946231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946275', '1946231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946276', '1946231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946277', '1946231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946278', '1946231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946279', '1946231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946280', '1946231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946281', '1946231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946282', '1946231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946283', '1946231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946284', '1946231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946285', '1946231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946286', '1946231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946287', '1946231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946288', '1946231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946289', '1946231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946290', '1946231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946291', '1946231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946292', '1946231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946293', '1946231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946294', '1946231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946295', '1946231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946296', '1946231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946297', '1946231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946298', '0', 'object/building/general/shared_space_dungeon_corellian_corvette_imperial.iff', '0', '0', '0', '1', '1400', '0', '2300', '512', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946299', '1946298', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946300', '1946298', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946301', '1946298', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946302', '1946298', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946303', '1946298', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946304', '1946298', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946305', '1946298', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946306', '1946298', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946307', '1946298', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946308', '1946298', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946309', '1946298', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946310', '1946298', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946311', '1946298', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946312', '1946298', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946313', '1946298', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946314', '1946298', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946315', '1946298', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946316', '1946298', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946317', '1946298', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946318', '1946298', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946319', '1946298', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946320', '1946298', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946321', '1946298', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946322', '1946298', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946323', '1946298', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946324', '1946298', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946325', '1946298', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946326', '1946298', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946327', '1946298', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946328', '1946298', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946329', '1946298', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946330', '1946298', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946331', '1946298', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946332', '1946298', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946333', '1946298', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946334', '1946298', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946335', '1946298', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946336', '1946298', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946337', '1946298', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946338', '1946298', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946339', '1946298', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946340', '1946298', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946341', '1946298', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946342', '1946298', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946343', '1946298', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946344', '1946298', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946345', '1946298', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946346', '1946298', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946347', '1946298', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946348', '1946298', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946349', '1946298', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946350', '1946298', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946351', '1946298', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946352', '1946298', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946353', '1946298', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946354', '1946298', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946355', '1946298', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946356', '1946298', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946357', '1946298', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946358', '1946298', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946359', '1946298', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946360', '1946298', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946361', '1946298', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946362', '1946298', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946363', '1946298', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946364', '1946298', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946365', '0', 'object/building/general/shared_space_dungeon_corellian_corvette_imperial.iff', '0', '0', '0', '1', '1250', '0', '2300', '512', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946366', '1946365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946367', '1946365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946368', '1946365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946369', '1946365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946370', '1946365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946371', '1946365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946372', '1946365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946373', '1946365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946374', '1946365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946375', '1946365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946376', '1946365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946377', '1946365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946378', '1946365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946379', '1946365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946380', '1946365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946381', '1946365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946382', '1946365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946383', '1946365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946384', '1946365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946385', '1946365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946386', '1946365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946387', '1946365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946388', '1946365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946389', '1946365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946390', '1946365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946391', '1946365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946392', '1946365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946393', '1946365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946394', '1946365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946395', '1946365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946396', '1946365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946397', '1946365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946398', '1946365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946399', '1946365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946400', '1946365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946401', '1946365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946402', '1946365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946403', '1946365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946404', '1946365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946405', '1946365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946406', '1946365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946407', '1946365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946408', '1946365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946409', '1946365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946410', '1946365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946411', '1946365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946412', '1946365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946413', '1946365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946414', '1946365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946415', '1946365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946416', '1946365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946417', '1946365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946418', '1946365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946419', '1946365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946420', '1946365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946421', '1946365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946422', '1946365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946423', '1946365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946424', '1946365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946425', '1946365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946426', '1946365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946427', '1946365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946428', '1946365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946429', '1946365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946430', '1946365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946431', '1946365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946432', '0', 'object/building/general/shared_space_dungeon_corellian_corvette_imperial.iff', '0', '0', '0', '1', '1900', '0', '1900', '512', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946433', '1946432', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946434', '1946432', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946435', '1946432', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946436', '1946432', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946437', '1946432', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946438', '1946432', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946439', '1946432', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946440', '1946432', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946441', '1946432', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946442', '1946432', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946443', '1946432', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946444', '1946432', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946445', '1946432', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946446', '1946432', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946447', '1946432', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946448', '1946432', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946449', '1946432', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946450', '1946432', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946451', '1946432', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946452', '1946432', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946453', '1946432', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946454', '1946432', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946455', '1946432', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946456', '1946432', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946457', '1946432', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946458', '1946432', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946459', '1946432', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946460', '1946432', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946461', '1946432', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946462', '1946432', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946463', '1946432', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946464', '1946432', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946465', '1946432', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946466', '1946432', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946467', '1946432', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946468', '1946432', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946469', '1946432', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946470', '1946432', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946471', '1946432', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946472', '1946432', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946473', '1946432', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946474', '1946432', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946475', '1946432', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946476', '1946432', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946477', '1946432', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946478', '1946432', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946479', '1946432', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946480', '1946432', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946481', '1946432', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946482', '1946432', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946483', '1946432', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946484', '1946432', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946485', '1946432', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946486', '1946432', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946487', '1946432', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946488', '1946432', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946489', '1946432', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946490', '1946432', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946491', '1946432', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946492', '1946432', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946493', '1946432', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946494', '1946432', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946495', '1946432', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946496', '1946432', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946497', '1946432', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946498', '1946432', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946499', '0', 'object/building/general/shared_space_dungeon_corellian_corvette_imperial.iff', '0', '0', '0', '1', '2050', '0', '1900', '512', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946500', '1946499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946501', '1946499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946502', '1946499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946503', '1946499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946504', '1946499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946505', '1946499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946506', '1946499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946507', '1946499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946508', '1946499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946509', '1946499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946510', '1946499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946511', '1946499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946512', '1946499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946513', '1946499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946514', '1946499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946515', '1946499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946516', '1946499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946517', '1946499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946518', '1946499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946519', '1946499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946520', '1946499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946521', '1946499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946522', '1946499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946523', '1946499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946524', '1946499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946525', '1946499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946526', '1946499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946527', '1946499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946528', '1946499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946529', '1946499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946530', '1946499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946531', '1946499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946532', '1946499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946533', '1946499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946534', '1946499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946535', '1946499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946536', '1946499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946537', '1946499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946538', '1946499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946539', '1946499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946540', '1946499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946541', '1946499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946542', '1946499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946543', '1946499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946544', '1946499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946545', '1946499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946546', '1946499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946547', '1946499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946548', '1946499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946549', '1946499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946550', '1946499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946551', '1946499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946552', '1946499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946553', '1946499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946554', '1946499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946555', '1946499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946556', '1946499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946557', '1946499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946558', '1946499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946559', '1946499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946560', '1946499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946561', '1946499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946562', '1946499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946563', '1946499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946564', '1946499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946565', '1946499', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946566', '0', 'object/building/general/shared_space_dungeon_corellian_corvette_imperial.iff', '0', '0', '0', '1', '2050', '0', '2300', '512', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946567', '1946566', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946568', '1946566', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946569', '1946566', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946570', '1946566', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946571', '1946566', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946572', '1946566', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946573', '1946566', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946574', '1946566', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946575', '1946566', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946576', '1946566', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946577', '1946566', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946578', '1946566', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946579', '1946566', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946580', '1946566', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946581', '1946566', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946582', '1946566', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946583', '1946566', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946584', '1946566', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946585', '1946566', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946586', '1946566', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946587', '1946566', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946588', '1946566', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946589', '1946566', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946590', '1946566', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946591', '1946566', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946592', '1946566', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946593', '1946566', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946594', '1946566', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946595', '1946566', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946596', '1946566', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946597', '1946566', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946598', '1946566', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946599', '1946566', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946600', '1946566', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946601', '1946566', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946602', '1946566', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946603', '1946566', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946604', '1946566', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946605', '1946566', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946606', '1946566', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946607', '1946566', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946608', '1946566', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946609', '1946566', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946610', '1946566', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946611', '1946566', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946612', '1946566', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946613', '1946566', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946614', '1946566', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946615', '1946566', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946616', '1946566', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946617', '1946566', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946618', '1946566', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946619', '1946566', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946620', '1946566', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946621', '1946566', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946622', '1946566', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946623', '1946566', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946624', '1946566', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946625', '1946566', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946626', '1946566', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946627', '1946566', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946628', '1946566', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946629', '1946566', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946630', '1946566', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946631', '1946566', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946632', '1946566', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946633', '0', 'object/building/general/shared_space_dungeon_corellian_corvette_imperial.iff', '0', '0', '0', '1', '1900', '0', '2300', '512', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946634', '1946633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946635', '1946633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946636', '1946633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946637', '1946633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946638', '1946633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946639', '1946633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946640', '1946633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946641', '1946633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946642', '1946633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946643', '1946633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946644', '1946633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946645', '1946633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946646', '1946633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946647', '1946633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946648', '1946633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946649', '1946633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946650', '1946633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946651', '1946633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946652', '1946633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946653', '1946633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946654', '1946633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946655', '1946633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946656', '1946633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946657', '1946633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946658', '1946633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946659', '1946633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946660', '1946633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946661', '1946633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946662', '1946633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946663', '1946633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946664', '1946633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946665', '1946633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946666', '1946633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946667', '1946633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946668', '1946633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946669', '1946633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946670', '1946633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946671', '1946633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946672', '1946633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946673', '1946633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946674', '1946633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946675', '1946633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946676', '1946633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946677', '1946633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946678', '1946633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946679', '1946633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946680', '1946633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946681', '1946633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946682', '1946633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946683', '1946633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946684', '1946633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946685', '1946633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946686', '1946633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946687', '1946633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946688', '1946633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946689', '1946633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946690', '1946633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946691', '1946633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946692', '1946633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946693', '1946633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946694', '1946633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946695', '1946633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946696', '1946633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946697', '1946633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946698', '1946633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946699', '1946633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946700', '0', 'object/building/general/shared_space_dungeon_corellian_corvette_imperial.iff', '0', '0', '0', '1', '2550', '0', '1900', '512', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946701', '1946700', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946702', '1946700', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946703', '1946700', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946704', '1946700', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946705', '1946700', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946706', '1946700', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946707', '1946700', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946708', '1946700', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946709', '1946700', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946710', '1946700', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946711', '1946700', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946712', '1946700', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946713', '1946700', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946714', '1946700', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946715', '1946700', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946716', '1946700', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946717', '1946700', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946718', '1946700', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946719', '1946700', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946720', '1946700', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946721', '1946700', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946722', '1946700', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946723', '1946700', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946724', '1946700', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946725', '1946700', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946726', '1946700', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946727', '1946700', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946728', '1946700', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946729', '1946700', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946730', '1946700', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946731', '1946700', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946732', '1946700', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946733', '1946700', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946734', '1946700', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946735', '1946700', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946736', '1946700', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946737', '1946700', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946738', '1946700', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946739', '1946700', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946740', '1946700', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946741', '1946700', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946742', '1946700', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946743', '1946700', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946744', '1946700', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946745', '1946700', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946746', '1946700', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946747', '1946700', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946748', '1946700', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946749', '1946700', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946750', '1946700', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946751', '1946700', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946752', '1946700', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946753', '1946700', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946754', '1946700', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946755', '1946700', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946756', '1946700', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946757', '1946700', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946758', '1946700', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946759', '1946700', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946760', '1946700', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946761', '1946700', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946762', '1946700', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946763', '1946700', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946764', '1946700', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946765', '1946700', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946766', '1946700', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946767', '0', 'object/building/general/shared_space_dungeon_corellian_corvette_imperial.iff', '0', '0', '0', '1', '2700', '0', '1900', '512', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946768', '1946767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946769', '1946767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946770', '1946767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946771', '1946767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946772', '1946767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946773', '1946767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946774', '1946767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946775', '1946767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946776', '1946767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946777', '1946767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946778', '1946767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946779', '1946767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946780', '1946767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946781', '1946767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946782', '1946767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946783', '1946767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946784', '1946767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946785', '1946767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946786', '1946767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946787', '1946767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946788', '1946767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946789', '1946767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946790', '1946767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946791', '1946767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946792', '1946767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946793', '1946767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946794', '1946767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946795', '1946767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946796', '1946767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946797', '1946767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946798', '1946767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946799', '1946767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946800', '1946767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946801', '1946767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946802', '1946767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946803', '1946767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946804', '1946767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946805', '1946767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946806', '1946767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946807', '1946767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946808', '1946767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946809', '1946767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946810', '1946767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946811', '1946767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946812', '1946767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946813', '1946767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946814', '1946767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946815', '1946767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946816', '1946767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946817', '1946767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946818', '1946767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946819', '1946767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946820', '1946767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946821', '1946767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946822', '1946767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946823', '1946767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946824', '1946767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946825', '1946767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946826', '1946767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946827', '1946767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946828', '1946767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946829', '1946767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946830', '1946767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946831', '1946767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946832', '1946767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946833', '1946767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946834', '0', 'object/building/general/shared_space_dungeon_corellian_corvette_imperial.iff', '0', '0', '0', '1', '2700', '0', '2300', '512', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946835', '1946834', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946836', '1946834', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946837', '1946834', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946838', '1946834', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946839', '1946834', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946840', '1946834', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946841', '1946834', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946842', '1946834', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946843', '1946834', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946844', '1946834', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946845', '1946834', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946846', '1946834', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946847', '1946834', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946848', '1946834', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946849', '1946834', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946850', '1946834', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946851', '1946834', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946852', '1946834', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946853', '1946834', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946854', '1946834', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946855', '1946834', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946856', '1946834', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946857', '1946834', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946858', '1946834', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946859', '1946834', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946860', '1946834', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946861', '1946834', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946862', '1946834', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946863', '1946834', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946864', '1946834', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946865', '1946834', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946866', '1946834', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946867', '1946834', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946868', '1946834', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946869', '1946834', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946870', '1946834', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946871', '1946834', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946872', '1946834', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946873', '1946834', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946874', '1946834', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946875', '1946834', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946876', '1946834', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946877', '1946834', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946878', '1946834', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946879', '1946834', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946880', '1946834', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946881', '1946834', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946882', '1946834', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946883', '1946834', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946884', '1946834', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946885', '1946834', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946886', '1946834', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946887', '1946834', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946888', '1946834', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946889', '1946834', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946890', '1946834', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946891', '1946834', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946892', '1946834', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946893', '1946834', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946894', '1946834', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946895', '1946834', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946896', '1946834', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946897', '1946834', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946898', '1946834', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946899', '1946834', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946900', '1946834', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946901', '0', 'object/building/general/shared_space_dungeon_corellian_corvette_imperial.iff', '0', '0', '0', '1', '2550', '0', '2300', '512', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946902', '1946901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946903', '1946901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946904', '1946901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946905', '1946901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946906', '1946901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946907', '1946901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946908', '1946901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946909', '1946901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946910', '1946901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946911', '1946901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946912', '1946901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946913', '1946901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946914', '1946901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946915', '1946901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946916', '1946901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946917', '1946901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946918', '1946901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946919', '1946901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946920', '1946901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946921', '1946901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946922', '1946901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946923', '1946901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946924', '1946901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946925', '1946901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946926', '1946901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946927', '1946901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946928', '1946901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946929', '1946901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946930', '1946901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946931', '1946901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946932', '1946901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946933', '1946901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946934', '1946901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946935', '1946901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946936', '1946901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946937', '1946901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946938', '1946901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946939', '1946901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946940', '1946901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946941', '1946901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946942', '1946901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946943', '1946901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946944', '1946901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946945', '1946901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946946', '1946901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946947', '1946901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946948', '1946901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946949', '1946901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946950', '1946901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946951', '1946901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946952', '1946901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946953', '1946901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946954', '1946901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946955', '1946901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946956', '1946901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946957', '1946901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946958', '1946901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946959', '1946901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946960', '1946901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946961', '1946901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946962', '1946901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946963', '1946901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946964', '1946901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946965', '1946901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946966', '1946901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946967', '1946901', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946968', '0', 'object/building/general/shared_space_dungeon_corellian_corvette_rebel.iff', '0', '0', '0', '1', '1400', '0', '3200', '512', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946969', '1946968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946970', '1946968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946971', '1946968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946972', '1946968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946973', '1946968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946974', '1946968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946975', '1946968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946976', '1946968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946977', '1946968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946978', '1946968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946979', '1946968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946980', '1946968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946981', '1946968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946982', '1946968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946983', '1946968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946984', '1946968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946985', '1946968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946986', '1946968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946987', '1946968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946988', '1946968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946989', '1946968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946990', '1946968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946991', '1946968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946992', '1946968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946993', '1946968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946994', '1946968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946995', '1946968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946996', '1946968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946997', '1946968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946998', '1946968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1946999', '1946968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947000', '1946968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947001', '1946968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947002', '1946968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947003', '1946968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947004', '1946968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947005', '1946968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947006', '1946968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947007', '1946968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947008', '1946968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947009', '1946968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947010', '1946968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947011', '1946968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947012', '1946968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947013', '1946968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947014', '1946968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947015', '1946968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947016', '1946968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947017', '1946968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947018', '1946968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947019', '1946968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947020', '1946968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947021', '1946968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947022', '1946968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947023', '1946968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947024', '1946968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947025', '1946968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947026', '1946968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947027', '1946968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947028', '1946968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947029', '1946968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947030', '1946968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947031', '1946968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947032', '1946968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947033', '1946968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947034', '1946968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947035', '0', 'object/building/general/shared_space_dungeon_corellian_corvette_rebel.iff', '0', '0', '0', '1', '1400', '0', '3600', '512', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947036', '1947035', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947037', '1947035', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947038', '1947035', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947039', '1947035', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947040', '1947035', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947041', '1947035', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947042', '1947035', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947043', '1947035', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947044', '1947035', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947045', '1947035', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947046', '1947035', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947047', '1947035', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947048', '1947035', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947049', '1947035', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947050', '1947035', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947051', '1947035', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947052', '1947035', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947053', '1947035', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947054', '1947035', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947055', '1947035', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947056', '1947035', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947057', '1947035', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947058', '1947035', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947059', '1947035', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947060', '1947035', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947061', '1947035', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947062', '1947035', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947063', '1947035', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947064', '1947035', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947065', '1947035', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947066', '1947035', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947067', '1947035', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947068', '1947035', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947069', '1947035', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947070', '1947035', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947071', '1947035', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947072', '1947035', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947073', '1947035', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947074', '1947035', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947075', '1947035', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947076', '1947035', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947077', '1947035', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947078', '1947035', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947079', '1947035', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947080', '1947035', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947081', '1947035', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947082', '1947035', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947083', '1947035', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947084', '1947035', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947085', '1947035', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947086', '1947035', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947087', '1947035', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947088', '1947035', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947089', '1947035', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947090', '1947035', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947091', '1947035', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947092', '1947035', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947093', '1947035', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947094', '1947035', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947095', '1947035', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947096', '1947035', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947097', '1947035', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947098', '1947035', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947099', '1947035', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947100', '1947035', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947101', '1947035', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947102', '0', 'object/building/general/shared_space_dungeon_corellian_corvette_rebel.iff', '0', '0', '0', '1', '1250', '0', '3600', '512', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947103', '1947102', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947104', '1947102', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947105', '1947102', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947106', '1947102', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947107', '1947102', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947108', '1947102', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947109', '1947102', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947110', '1947102', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947111', '1947102', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947112', '1947102', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947113', '1947102', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947114', '1947102', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947115', '1947102', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947116', '1947102', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947117', '1947102', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947118', '1947102', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947119', '1947102', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947120', '1947102', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947121', '1947102', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947122', '1947102', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947123', '1947102', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947124', '1947102', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947125', '1947102', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947126', '1947102', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947127', '1947102', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947128', '1947102', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947129', '1947102', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947130', '1947102', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947131', '1947102', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947132', '1947102', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947133', '1947102', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947134', '1947102', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947135', '1947102', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947136', '1947102', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947137', '1947102', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947138', '1947102', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947139', '1947102', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947140', '1947102', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947141', '1947102', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947142', '1947102', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947143', '1947102', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947144', '1947102', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947145', '1947102', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947146', '1947102', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947147', '1947102', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947148', '1947102', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947149', '1947102', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947150', '1947102', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947151', '1947102', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947152', '1947102', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947153', '1947102', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947154', '1947102', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947155', '1947102', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947156', '1947102', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947157', '1947102', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947158', '1947102', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947159', '1947102', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947160', '1947102', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947161', '1947102', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947162', '1947102', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947163', '1947102', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947164', '1947102', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947165', '1947102', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947166', '1947102', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947167', '1947102', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947168', '1947102', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947169', '0', 'object/building/general/shared_space_dungeon_corellian_corvette_rebel.iff', '0', '0', '0', '1', '1900', '0', '3200', '512', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947170', '1947169', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947171', '1947169', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947172', '1947169', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947173', '1947169', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947174', '1947169', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947175', '1947169', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947176', '1947169', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947177', '1947169', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947178', '1947169', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947179', '1947169', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947180', '1947169', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947181', '1947169', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947182', '1947169', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947183', '1947169', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947184', '1947169', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947185', '1947169', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947186', '1947169', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947187', '1947169', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947188', '1947169', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947189', '1947169', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947190', '1947169', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947191', '1947169', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947192', '1947169', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947193', '1947169', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947194', '1947169', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947195', '1947169', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947196', '1947169', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947197', '1947169', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947198', '1947169', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947199', '1947169', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947200', '1947169', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947201', '1947169', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947202', '1947169', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947203', '1947169', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947204', '1947169', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947205', '1947169', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947206', '1947169', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947207', '1947169', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947208', '1947169', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947209', '1947169', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947210', '1947169', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947211', '1947169', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947212', '1947169', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947213', '1947169', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947214', '1947169', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947215', '1947169', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947216', '1947169', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947217', '1947169', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947218', '1947169', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947219', '1947169', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947220', '1947169', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947221', '1947169', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947222', '1947169', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947223', '1947169', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947224', '1947169', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947225', '1947169', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947226', '1947169', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947227', '1947169', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947228', '1947169', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947229', '1947169', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947230', '1947169', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947231', '1947169', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947232', '1947169', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947233', '1947169', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947234', '1947169', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947235', '1947169', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947236', '0', 'object/building/general/shared_space_dungeon_corellian_corvette_rebel.iff', '0', '0', '0', '1', '2050', '0', '3200', '512', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947237', '1947236', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947238', '1947236', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947239', '1947236', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947240', '1947236', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947241', '1947236', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947242', '1947236', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947243', '1947236', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947244', '1947236', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947245', '1947236', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947246', '1947236', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947247', '1947236', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947248', '1947236', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947249', '1947236', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947250', '1947236', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947251', '1947236', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947252', '1947236', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947253', '1947236', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947254', '1947236', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947255', '1947236', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947256', '1947236', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947257', '1947236', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947258', '1947236', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947259', '1947236', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947260', '1947236', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947261', '1947236', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947262', '1947236', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947263', '1947236', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947264', '1947236', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947265', '1947236', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947266', '1947236', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947267', '1947236', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947268', '1947236', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947269', '1947236', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947270', '1947236', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947271', '1947236', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947272', '1947236', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947273', '1947236', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947274', '1947236', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947275', '1947236', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947276', '1947236', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947277', '1947236', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947278', '1947236', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947279', '1947236', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947280', '1947236', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947281', '1947236', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947282', '1947236', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947283', '1947236', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947284', '1947236', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947285', '1947236', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947286', '1947236', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947287', '1947236', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947288', '1947236', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947289', '1947236', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947290', '1947236', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947291', '1947236', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947292', '1947236', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947293', '1947236', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947294', '1947236', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947295', '1947236', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947296', '1947236', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947297', '1947236', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947298', '1947236', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947299', '1947236', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947300', '1947236', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947301', '1947236', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947302', '1947236', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947303', '0', 'object/building/general/shared_space_dungeon_corellian_corvette_rebel.iff', '0', '0', '0', '1', '2050', '0', '3600', '512', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947304', '1947303', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947305', '1947303', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947306', '1947303', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947307', '1947303', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947308', '1947303', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947309', '1947303', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947310', '1947303', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947311', '1947303', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947312', '1947303', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947313', '1947303', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947314', '1947303', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947315', '1947303', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947316', '1947303', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947317', '1947303', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947318', '1947303', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947319', '1947303', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947320', '1947303', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947321', '1947303', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947322', '1947303', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947323', '1947303', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947324', '1947303', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947325', '1947303', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947326', '1947303', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947327', '1947303', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947328', '1947303', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947329', '1947303', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947330', '1947303', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947331', '1947303', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947332', '1947303', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947333', '1947303', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947334', '1947303', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947335', '1947303', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947336', '1947303', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947337', '1947303', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947338', '1947303', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947339', '1947303', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947340', '1947303', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947341', '1947303', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947342', '1947303', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947343', '1947303', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947344', '1947303', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947345', '1947303', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947346', '1947303', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947347', '1947303', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947348', '1947303', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947349', '1947303', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947350', '1947303', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947351', '1947303', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947352', '1947303', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947353', '1947303', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947354', '1947303', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947355', '1947303', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947356', '1947303', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947357', '1947303', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947358', '1947303', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947359', '1947303', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947360', '1947303', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947361', '1947303', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947362', '1947303', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947363', '1947303', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947364', '1947303', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947365', '1947303', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947366', '1947303', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947367', '1947303', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947368', '1947303', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947369', '1947303', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947370', '0', 'object/building/general/shared_space_dungeon_corellian_corvette_rebel.iff', '0', '0', '0', '1', '1900', '0', '3600', '512', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947371', '1947370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947372', '1947370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947373', '1947370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947374', '1947370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947375', '1947370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947376', '1947370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947377', '1947370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947378', '1947370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947379', '1947370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947380', '1947370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947381', '1947370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947382', '1947370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947383', '1947370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947384', '1947370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947385', '1947370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947386', '1947370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947387', '1947370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947388', '1947370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947389', '1947370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947390', '1947370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947391', '1947370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947392', '1947370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947393', '1947370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947394', '1947370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947395', '1947370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947396', '1947370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947397', '1947370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947398', '1947370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947399', '1947370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947400', '1947370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947401', '1947370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947402', '1947370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947403', '1947370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947404', '1947370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947405', '1947370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947406', '1947370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947407', '1947370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947408', '1947370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947409', '1947370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947410', '1947370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947411', '1947370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947412', '1947370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947413', '1947370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947414', '1947370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947415', '1947370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947416', '1947370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947417', '1947370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947418', '1947370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947419', '1947370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947420', '1947370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947421', '1947370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947422', '1947370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947423', '1947370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947424', '1947370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947425', '1947370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947426', '1947370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947427', '1947370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947428', '1947370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947429', '1947370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947430', '1947370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947431', '1947370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947432', '1947370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947433', '1947370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947434', '1947370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947435', '1947370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947436', '1947370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947437', '0', 'object/building/general/shared_space_dungeon_corellian_corvette_rebel.iff', '0', '0', '0', '1', '2550', '0', '3200', '512', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947438', '1947437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947439', '1947437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947440', '1947437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947441', '1947437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947442', '1947437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947443', '1947437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947444', '1947437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947445', '1947437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947446', '1947437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947447', '1947437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947448', '1947437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947449', '1947437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947450', '1947437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947451', '1947437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947452', '1947437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947453', '1947437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947454', '1947437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947455', '1947437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947456', '1947437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947457', '1947437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947458', '1947437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947459', '1947437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947460', '1947437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947461', '1947437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947462', '1947437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947463', '1947437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947464', '1947437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947465', '1947437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947466', '1947437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947467', '1947437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947468', '1947437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947469', '1947437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947470', '1947437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947471', '1947437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947472', '1947437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947473', '1947437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947474', '1947437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947475', '1947437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947476', '1947437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947477', '1947437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947478', '1947437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947479', '1947437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947480', '1947437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947481', '1947437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947482', '1947437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947483', '1947437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947484', '1947437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947485', '1947437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947486', '1947437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947487', '1947437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947488', '1947437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947489', '1947437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947490', '1947437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947491', '1947437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947492', '1947437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947493', '1947437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947494', '1947437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947495', '1947437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947496', '1947437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947497', '1947437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947498', '1947437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947499', '1947437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947500', '1947437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947501', '1947437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947502', '1947437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947503', '1947437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947504', '0', 'object/building/general/shared_space_dungeon_corellian_corvette_rebel.iff', '0', '0', '0', '1', '2700', '0', '3200', '512', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947505', '1947504', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947506', '1947504', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947507', '1947504', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947508', '1947504', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947509', '1947504', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947510', '1947504', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947511', '1947504', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947512', '1947504', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947513', '1947504', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947514', '1947504', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947515', '1947504', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947516', '1947504', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947517', '1947504', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947518', '1947504', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947519', '1947504', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947520', '1947504', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947521', '1947504', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947522', '1947504', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947523', '1947504', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947524', '1947504', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947525', '1947504', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947526', '1947504', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947527', '1947504', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947528', '1947504', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947529', '1947504', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947530', '1947504', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947531', '1947504', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947532', '1947504', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947533', '1947504', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947534', '1947504', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947535', '1947504', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947536', '1947504', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947537', '1947504', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947538', '1947504', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947539', '1947504', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947540', '1947504', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947541', '1947504', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947542', '1947504', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947543', '1947504', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947544', '1947504', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947545', '1947504', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947546', '1947504', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947547', '1947504', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947548', '1947504', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947549', '1947504', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947550', '1947504', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947551', '1947504', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947552', '1947504', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947553', '1947504', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947554', '1947504', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947555', '1947504', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947556', '1947504', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947557', '1947504', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947558', '1947504', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947559', '1947504', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947560', '1947504', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947561', '1947504', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947562', '1947504', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947563', '1947504', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947564', '1947504', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947565', '1947504', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947566', '1947504', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947567', '1947504', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947568', '1947504', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947569', '1947504', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947570', '1947504', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947571', '0', 'object/building/general/shared_space_dungeon_corellian_corvette_rebel.iff', '0', '0', '0', '1', '2700', '0', '3600', '512', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947572', '1947571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947573', '1947571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947574', '1947571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947575', '1947571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947576', '1947571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947577', '1947571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947578', '1947571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947579', '1947571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947580', '1947571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947581', '1947571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947582', '1947571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947583', '1947571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947584', '1947571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947585', '1947571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947586', '1947571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947587', '1947571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947588', '1947571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947589', '1947571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947590', '1947571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947591', '1947571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947592', '1947571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947593', '1947571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947594', '1947571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947595', '1947571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947596', '1947571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947597', '1947571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947598', '1947571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947599', '1947571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947600', '1947571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947601', '1947571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947602', '1947571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947603', '1947571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947604', '1947571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947605', '1947571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947606', '1947571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947607', '1947571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947608', '1947571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947609', '1947571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947610', '1947571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947611', '1947571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947612', '1947571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947613', '1947571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947614', '1947571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947615', '1947571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947616', '1947571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947617', '1947571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947618', '1947571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947619', '1947571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947620', '1947571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947621', '1947571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947622', '1947571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947623', '1947571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947624', '1947571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947625', '1947571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947626', '1947571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947627', '1947571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947628', '1947571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947629', '1947571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947630', '1947571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947631', '1947571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947632', '1947571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947633', '1947571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947634', '1947571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947635', '1947571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947636', '1947571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947637', '1947571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947638', '0', 'object/building/general/shared_space_dungeon_corellian_corvette_rebel.iff', '0', '0', '0', '1', '2550', '0', '3600', '512', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947639', '1947638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947640', '1947638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947641', '1947638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947642', '1947638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947643', '1947638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947644', '1947638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947645', '1947638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947646', '1947638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947647', '1947638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947648', '1947638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947649', '1947638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947650', '1947638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947651', '1947638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947652', '1947638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947653', '1947638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947654', '1947638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947655', '1947638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947656', '1947638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947657', '1947638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947658', '1947638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947659', '1947638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947660', '1947638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947661', '1947638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947662', '1947638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947663', '1947638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947664', '1947638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947665', '1947638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947666', '1947638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947667', '1947638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947668', '1947638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947669', '1947638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947670', '1947638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947671', '1947638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947672', '1947638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947673', '1947638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947674', '1947638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947675', '1947638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947676', '1947638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947677', '1947638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947678', '1947638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947679', '1947638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947680', '1947638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947681', '1947638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947682', '1947638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947683', '1947638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947684', '1947638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947685', '1947638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947686', '1947638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947687', '1947638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947688', '1947638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947689', '1947638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947690', '1947638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947691', '1947638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947692', '1947638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947693', '1947638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947694', '1947638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947695', '1947638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947696', '1947638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947697', '1947638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947698', '1947638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947699', '1947638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947700', '1947638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947701', '1947638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947702', '1947638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947703', '1947638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '1947704', '1947638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335861', '0', 'object/building/general/shared_space_dungeon_corellian_corvette.iff', '0', '0', '0', '1', '600', '0', '600', '512', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335862', '4335861', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335863', '4335861', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335864', '4335861', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335865', '4335861', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335866', '4335861', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335867', '4335861', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335868', '4335861', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335869', '4335861', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335870', '4335861', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335871', '4335861', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335872', '4335861', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335873', '4335861', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335874', '4335861', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335875', '4335861', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335876', '4335861', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335877', '4335861', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335878', '4335861', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335879', '4335861', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335880', '4335861', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335881', '4335861', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335882', '4335861', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335883', '4335861', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335884', '4335861', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335885', '4335861', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335886', '4335861', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335887', '4335861', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335888', '4335861', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335889', '4335861', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335890', '4335861', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335891', '4335861', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335892', '4335861', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335893', '4335861', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335894', '4335861', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335895', '4335861', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335896', '4335861', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335897', '4335861', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335898', '4335861', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335899', '4335861', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335900', '4335861', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335901', '4335861', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335902', '4335861', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335903', '4335861', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335904', '4335861', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335905', '4335861', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335906', '4335861', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335907', '4335861', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335908', '4335861', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335909', '4335861', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335910', '4335861', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335911', '4335861', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335912', '4335861', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335913', '4335861', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335914', '4335861', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335915', '4335861', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335916', '4335861', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335917', '4335861', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335918', '4335861', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335919', '4335861', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335920', '4335861', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335921', '4335861', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335922', '4335861', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335923', '4335861', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335924', '4335861', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335925', '4335861', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335926', '4335861', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335927', '4335861', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335928', '0', 'object/building/general/shared_space_dungeon_corellian_corvette.iff', '0', '0', '0', '1', '750', '0', '600', '512', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335929', '4335928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335930', '4335928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335931', '4335928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335932', '4335928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335933', '4335928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335934', '4335928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335935', '4335928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335936', '4335928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335937', '4335928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335938', '4335928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335939', '4335928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335940', '4335928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335941', '4335928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335942', '4335928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335943', '4335928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335944', '4335928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335945', '4335928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335946', '4335928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335947', '4335928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335948', '4335928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335949', '4335928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335950', '4335928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335951', '4335928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335952', '4335928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335953', '4335928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335954', '4335928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335955', '4335928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335956', '4335928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335957', '4335928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335958', '4335928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335959', '4335928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335960', '4335928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335961', '4335928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335962', '4335928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335963', '4335928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335964', '4335928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335965', '4335928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335966', '4335928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335967', '4335928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335968', '4335928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335969', '4335928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335970', '4335928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335971', '4335928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335972', '4335928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335973', '4335928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335974', '4335928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335975', '4335928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335976', '4335928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335977', '4335928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335978', '4335928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335979', '4335928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335980', '4335928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335981', '4335928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335982', '4335928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335983', '4335928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335984', '4335928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335985', '4335928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335986', '4335928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335987', '4335928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335988', '4335928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335989', '4335928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335990', '4335928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335991', '4335928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335992', '4335928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335993', '4335928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335994', '4335928', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335995', '0', 'object/building/general/shared_space_dungeon_corellian_corvette.iff', '0', '0', '0', '1', '750', '0', '1000', '512', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335996', '4335995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335997', '4335995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335998', '4335995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4335999', '4335995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336000', '4335995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336001', '4335995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336002', '4335995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336003', '4335995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336004', '4335995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336005', '4335995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336006', '4335995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336007', '4335995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336008', '4335995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336009', '4335995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336010', '4335995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336011', '4335995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336012', '4335995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336013', '4335995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336014', '4335995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336015', '4335995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336016', '4335995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336017', '4335995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336018', '4335995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336019', '4335995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336020', '4335995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336021', '4335995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336022', '4335995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336023', '4335995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336024', '4335995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336025', '4335995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336026', '4335995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336027', '4335995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336028', '4335995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336029', '4335995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336030', '4335995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336031', '4335995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336032', '4335995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336033', '4335995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336034', '4335995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336035', '4335995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336036', '4335995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336037', '4335995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336038', '4335995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336039', '4335995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336040', '4335995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336041', '4335995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336042', '4335995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336043', '4335995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336044', '4335995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336045', '4335995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336046', '4335995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336047', '4335995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336048', '4335995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336049', '4335995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336050', '4335995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336051', '4335995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336052', '4335995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336053', '4335995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336054', '4335995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336055', '4335995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336056', '4335995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336057', '4335995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336058', '4335995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336059', '4335995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336060', '4335995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336061', '4335995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336062', '0', 'object/building/general/shared_space_dungeon_corellian_corvette.iff', '0', '0', '0', '1', '600', '0', '1000', '512', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336063', '4336062', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336064', '4336062', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336065', '4336062', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336066', '4336062', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336067', '4336062', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336068', '4336062', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336069', '4336062', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336070', '4336062', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336071', '4336062', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336072', '4336062', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336073', '4336062', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336074', '4336062', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336075', '4336062', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336076', '4336062', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336077', '4336062', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336078', '4336062', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336079', '4336062', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336080', '4336062', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336081', '4336062', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336082', '4336062', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336083', '4336062', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336084', '4336062', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336085', '4336062', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336086', '4336062', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336087', '4336062', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336088', '4336062', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336089', '4336062', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336090', '4336062', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336091', '4336062', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336092', '4336062', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336093', '4336062', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336094', '4336062', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336095', '4336062', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336096', '4336062', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336097', '4336062', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336098', '4336062', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336099', '4336062', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336100', '4336062', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336101', '4336062', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336102', '4336062', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336103', '4336062', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336104', '4336062', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336105', '4336062', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336106', '4336062', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336107', '4336062', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336108', '4336062', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336109', '4336062', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336110', '4336062', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336111', '4336062', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336112', '4336062', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336113', '4336062', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336114', '4336062', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336115', '4336062', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336116', '4336062', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336117', '4336062', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336118', '4336062', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336119', '4336062', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336120', '4336062', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336121', '4336062', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336122', '4336062', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336123', '4336062', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336124', '4336062', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336125', '4336062', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336126', '4336062', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336127', '4336062', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336128', '4336062', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336129', '0', 'object/building/general/shared_space_dungeon_corellian_corvette.iff', '0', '0', '0', '1', '1250', '0', '600', '512', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336130', '4336129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336131', '4336129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336132', '4336129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336133', '4336129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336134', '4336129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336135', '4336129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336136', '4336129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336137', '4336129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336138', '4336129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336139', '4336129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336140', '4336129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336141', '4336129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336142', '4336129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336143', '4336129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336144', '4336129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336145', '4336129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336146', '4336129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336147', '4336129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336148', '4336129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336149', '4336129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336150', '4336129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336151', '4336129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336152', '4336129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336153', '4336129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336154', '4336129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336155', '4336129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336156', '4336129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336157', '4336129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336158', '4336129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336159', '4336129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336160', '4336129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336161', '4336129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336162', '4336129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336163', '4336129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336164', '4336129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336165', '4336129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336166', '4336129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336167', '4336129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336168', '4336129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336169', '4336129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336170', '4336129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336171', '4336129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336172', '4336129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336173', '4336129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336174', '4336129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336175', '4336129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336176', '4336129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336177', '4336129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336178', '4336129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336179', '4336129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336180', '4336129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336181', '4336129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336182', '4336129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336183', '4336129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336184', '4336129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336185', '4336129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336186', '4336129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336187', '4336129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336188', '4336129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336189', '4336129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336190', '4336129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336191', '4336129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336192', '4336129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336193', '4336129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336194', '4336129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336195', '4336129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336196', '0', 'object/building/general/shared_space_dungeon_corellian_corvette_imperial.iff', '0', '0', '0', '1', '600', '0', '1900', '512', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336197', '4336196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336198', '4336196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336199', '4336196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336200', '4336196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336201', '4336196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336202', '4336196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336203', '4336196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336204', '4336196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336205', '4336196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336206', '4336196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336207', '4336196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336208', '4336196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336209', '4336196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336210', '4336196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336211', '4336196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336212', '4336196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336213', '4336196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336214', '4336196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336215', '4336196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336216', '4336196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336217', '4336196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336218', '4336196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336219', '4336196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336220', '4336196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336221', '4336196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336222', '4336196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336223', '4336196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336224', '4336196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336225', '4336196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336226', '4336196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336227', '4336196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336228', '4336196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336229', '4336196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336230', '4336196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336231', '4336196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336232', '4336196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336233', '4336196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336234', '4336196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336235', '4336196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336236', '4336196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336237', '4336196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336238', '4336196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336239', '4336196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336240', '4336196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336241', '4336196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336242', '4336196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336243', '4336196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336244', '4336196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336245', '4336196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336246', '4336196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336247', '4336196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336248', '4336196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336249', '4336196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336250', '4336196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336251', '4336196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336252', '4336196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336253', '4336196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336254', '4336196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336255', '4336196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336256', '4336196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336257', '4336196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336258', '4336196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336259', '4336196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336260', '4336196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336261', '4336196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336262', '4336196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336263', '0', 'object/building/general/shared_space_dungeon_corellian_corvette_imperial.iff', '0', '0', '0', '1', '750', '0', '1900', '512', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336264', '4336263', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336265', '4336263', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336266', '4336263', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336267', '4336263', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336268', '4336263', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336269', '4336263', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336270', '4336263', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336271', '4336263', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336272', '4336263', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336273', '4336263', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336274', '4336263', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336275', '4336263', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336276', '4336263', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336277', '4336263', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336278', '4336263', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336279', '4336263', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336280', '4336263', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336281', '4336263', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336282', '4336263', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336283', '4336263', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336284', '4336263', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336285', '4336263', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336286', '4336263', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336287', '4336263', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336288', '4336263', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336289', '4336263', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336290', '4336263', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336291', '4336263', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336292', '4336263', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336293', '4336263', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336294', '4336263', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336295', '4336263', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336296', '4336263', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336297', '4336263', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336298', '4336263', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336299', '4336263', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336300', '4336263', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336301', '4336263', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336302', '4336263', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336303', '4336263', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336304', '4336263', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336305', '4336263', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336306', '4336263', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336307', '4336263', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336308', '4336263', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336309', '4336263', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336310', '4336263', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336311', '4336263', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336312', '4336263', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336313', '4336263', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336314', '4336263', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336315', '4336263', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336316', '4336263', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336317', '4336263', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336318', '4336263', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336319', '4336263', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336320', '4336263', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336321', '4336263', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336322', '4336263', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336323', '4336263', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336324', '4336263', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336325', '4336263', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336326', '4336263', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336327', '4336263', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336328', '4336263', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336329', '4336263', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336330', '0', 'object/building/general/shared_space_dungeon_corellian_corvette_imperial.iff', '0', '0', '0', '1', '750', '0', '2300', '512', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336331', '4336330', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336332', '4336330', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336333', '4336330', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336334', '4336330', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336335', '4336330', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336336', '4336330', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336337', '4336330', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336338', '4336330', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336339', '4336330', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336340', '4336330', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336341', '4336330', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336342', '4336330', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336343', '4336330', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336344', '4336330', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336345', '4336330', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336346', '4336330', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336347', '4336330', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336348', '4336330', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336349', '4336330', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336350', '4336330', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336351', '4336330', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336352', '4336330', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336353', '4336330', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336354', '4336330', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336355', '4336330', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336356', '4336330', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336357', '4336330', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336358', '4336330', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336359', '4336330', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336360', '4336330', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336361', '4336330', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336362', '4336330', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336363', '4336330', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336364', '4336330', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336365', '4336330', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336366', '4336330', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336367', '4336330', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336368', '4336330', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336369', '4336330', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336370', '4336330', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336371', '4336330', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336372', '4336330', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336373', '4336330', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336374', '4336330', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336375', '4336330', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336376', '4336330', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336377', '4336330', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336378', '4336330', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336379', '4336330', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336380', '4336330', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336381', '4336330', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336382', '4336330', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336383', '4336330', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336384', '4336330', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336385', '4336330', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336386', '4336330', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336387', '4336330', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336388', '4336330', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336389', '4336330', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336390', '4336330', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336391', '4336330', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336392', '4336330', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336393', '4336330', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336394', '4336330', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336395', '4336330', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336396', '4336330', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336397', '0', 'object/building/general/shared_space_dungeon_corellian_corvette_imperial.iff', '0', '0', '0', '1', '600', '0', '2300', '512', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336398', '4336397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336399', '4336397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336400', '4336397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336401', '4336397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336402', '4336397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336403', '4336397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336404', '4336397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336405', '4336397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336406', '4336397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336407', '4336397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336408', '4336397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336409', '4336397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336410', '4336397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336411', '4336397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336412', '4336397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336413', '4336397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336414', '4336397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336415', '4336397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336416', '4336397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336417', '4336397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336418', '4336397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336419', '4336397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336420', '4336397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336421', '4336397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336422', '4336397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336423', '4336397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336424', '4336397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336425', '4336397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336426', '4336397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336427', '4336397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336428', '4336397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336429', '4336397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336430', '4336397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336431', '4336397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336432', '4336397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336433', '4336397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336434', '4336397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336435', '4336397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336436', '4336397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336437', '4336397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336438', '4336397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336439', '4336397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336440', '4336397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336441', '4336397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336442', '4336397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336443', '4336397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336444', '4336397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336445', '4336397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336446', '4336397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336447', '4336397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336448', '4336397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336449', '4336397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336450', '4336397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336451', '4336397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336452', '4336397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336453', '4336397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336454', '4336397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336455', '4336397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336456', '4336397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336457', '4336397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336458', '4336397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336459', '4336397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336460', '4336397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336461', '4336397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336462', '4336397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336463', '4336397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336464', '0', 'object/building/general/shared_space_dungeon_corellian_corvette_imperial.iff', '0', '0', '0', '1', '1250', '0', '1900', '512', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336465', '4336464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336466', '4336464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336467', '4336464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336468', '4336464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336469', '4336464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336470', '4336464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336471', '4336464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336472', '4336464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336473', '4336464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336474', '4336464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336475', '4336464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336476', '4336464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336477', '4336464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336478', '4336464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336479', '4336464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336480', '4336464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336481', '4336464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336482', '4336464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336483', '4336464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336484', '4336464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336485', '4336464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336486', '4336464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336487', '4336464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336488', '4336464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336489', '4336464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336490', '4336464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336491', '4336464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336492', '4336464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336493', '4336464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336494', '4336464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336495', '4336464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336496', '4336464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336497', '4336464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336498', '4336464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336499', '4336464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336500', '4336464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336501', '4336464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336502', '4336464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336503', '4336464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336504', '4336464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336505', '4336464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336506', '4336464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336507', '4336464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336508', '4336464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336509', '4336464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336510', '4336464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336511', '4336464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336512', '4336464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336513', '4336464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336514', '4336464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336515', '4336464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336516', '4336464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336517', '4336464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336518', '4336464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336519', '4336464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336520', '4336464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336521', '4336464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336522', '4336464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336523', '4336464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336524', '4336464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336525', '4336464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336526', '4336464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336527', '4336464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336528', '4336464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336529', '4336464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336530', '4336464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336531', '0', 'object/building/general/shared_space_dungeon_corellian_corvette_rebel.iff', '0', '0', '0', '1', '600', '0', '3200', '512', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336532', '4336531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336533', '4336531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336534', '4336531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336535', '4336531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336536', '4336531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336537', '4336531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336538', '4336531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336539', '4336531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336540', '4336531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336541', '4336531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336542', '4336531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336543', '4336531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336544', '4336531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336545', '4336531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336546', '4336531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336547', '4336531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336548', '4336531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336549', '4336531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336550', '4336531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336551', '4336531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336552', '4336531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336553', '4336531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336554', '4336531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336555', '4336531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336556', '4336531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336557', '4336531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336558', '4336531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336559', '4336531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336560', '4336531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336561', '4336531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336562', '4336531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336563', '4336531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336564', '4336531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336565', '4336531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336566', '4336531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336567', '4336531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336568', '4336531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336569', '4336531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336570', '4336531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336571', '4336531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336572', '4336531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336573', '4336531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336574', '4336531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336575', '4336531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336576', '4336531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336577', '4336531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336578', '4336531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336579', '4336531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336580', '4336531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336581', '4336531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336582', '4336531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336583', '4336531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336584', '4336531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336585', '4336531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336586', '4336531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336587', '4336531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336588', '4336531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336589', '4336531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336590', '4336531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336591', '4336531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336592', '4336531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336593', '4336531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336594', '4336531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336595', '4336531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336596', '4336531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336597', '4336531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336598', '0', 'object/building/general/shared_space_dungeon_corellian_corvette_rebel.iff', '0', '0', '0', '1', '750', '0', '3200', '512', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336599', '4336598', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336600', '4336598', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336601', '4336598', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336602', '4336598', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336603', '4336598', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336604', '4336598', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336605', '4336598', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336606', '4336598', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336607', '4336598', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336608', '4336598', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336609', '4336598', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336610', '4336598', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336611', '4336598', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336612', '4336598', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336613', '4336598', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336614', '4336598', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336615', '4336598', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336616', '4336598', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336617', '4336598', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336618', '4336598', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336619', '4336598', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336620', '4336598', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336621', '4336598', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336622', '4336598', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336623', '4336598', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336624', '4336598', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336625', '4336598', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336626', '4336598', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336627', '4336598', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336628', '4336598', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336629', '4336598', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336630', '4336598', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336631', '4336598', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336632', '4336598', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336633', '4336598', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336634', '4336598', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336635', '4336598', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336636', '4336598', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336637', '4336598', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336638', '4336598', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336639', '4336598', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336640', '4336598', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336641', '4336598', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336642', '4336598', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336643', '4336598', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336644', '4336598', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336645', '4336598', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336646', '4336598', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336647', '4336598', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336648', '4336598', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336649', '4336598', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336650', '4336598', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336651', '4336598', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336652', '4336598', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336653', '4336598', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336654', '4336598', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336655', '4336598', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336656', '4336598', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336657', '4336598', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336658', '4336598', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336659', '4336598', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336660', '4336598', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336661', '4336598', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336662', '4336598', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336663', '4336598', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336664', '4336598', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336665', '0', 'object/building/general/shared_space_dungeon_corellian_corvette_rebel.iff', '0', '0', '0', '1', '750', '0', '3600', '512', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336666', '4336665', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336667', '4336665', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336668', '4336665', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336669', '4336665', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336670', '4336665', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336671', '4336665', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336672', '4336665', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336673', '4336665', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336674', '4336665', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336675', '4336665', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336676', '4336665', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336677', '4336665', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336678', '4336665', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336679', '4336665', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336680', '4336665', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336681', '4336665', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336682', '4336665', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336683', '4336665', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336684', '4336665', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336685', '4336665', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336686', '4336665', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336687', '4336665', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336688', '4336665', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336689', '4336665', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336690', '4336665', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336691', '4336665', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336692', '4336665', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336693', '4336665', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336694', '4336665', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336695', '4336665', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336696', '4336665', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336697', '4336665', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336698', '4336665', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336699', '4336665', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336700', '4336665', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336701', '4336665', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336702', '4336665', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336703', '4336665', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336704', '4336665', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336705', '4336665', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336706', '4336665', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336707', '4336665', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336708', '4336665', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336709', '4336665', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336710', '4336665', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336711', '4336665', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336712', '4336665', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336713', '4336665', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336714', '4336665', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336715', '4336665', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336716', '4336665', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336717', '4336665', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336718', '4336665', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336719', '4336665', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336720', '4336665', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336721', '4336665', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336722', '4336665', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336723', '4336665', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336724', '4336665', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336725', '4336665', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336726', '4336665', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336727', '4336665', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336728', '4336665', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336729', '4336665', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336730', '4336665', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336731', '4336665', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336732', '0', 'object/building/general/shared_space_dungeon_corellian_corvette_rebel.iff', '0', '0', '0', '1', '600', '0', '3600', '512', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336733', '4336732', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336734', '4336732', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336735', '4336732', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336736', '4336732', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336737', '4336732', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336738', '4336732', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336739', '4336732', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336740', '4336732', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336741', '4336732', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336742', '4336732', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336743', '4336732', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336744', '4336732', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336745', '4336732', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336746', '4336732', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336747', '4336732', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336748', '4336732', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336749', '4336732', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336750', '4336732', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336751', '4336732', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336752', '4336732', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336753', '4336732', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336754', '4336732', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336755', '4336732', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336756', '4336732', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336757', '4336732', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336758', '4336732', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336759', '4336732', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336760', '4336732', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336761', '4336732', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336762', '4336732', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336763', '4336732', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336764', '4336732', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336765', '4336732', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336766', '4336732', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336767', '4336732', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336768', '4336732', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336769', '4336732', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336770', '4336732', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336771', '4336732', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336772', '4336732', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336773', '4336732', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336774', '4336732', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336775', '4336732', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336776', '4336732', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336777', '4336732', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336778', '4336732', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336779', '4336732', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336780', '4336732', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336781', '4336732', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336782', '4336732', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336783', '4336732', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336784', '4336732', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336785', '4336732', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336786', '4336732', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336787', '4336732', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336788', '4336732', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336789', '4336732', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336790', '4336732', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336791', '4336732', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336792', '4336732', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336793', '4336732', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336794', '4336732', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336795', '4336732', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336796', '4336732', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336797', '4336732', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336798', '4336732', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336799', '0', 'object/building/general/shared_space_dungeon_corellian_corvette_rebel.iff', '0', '0', '0', '1', '1250', '0', '3200', '512', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336800', '4336799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336801', '4336799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336802', '4336799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336803', '4336799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336804', '4336799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336805', '4336799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336806', '4336799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336807', '4336799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336808', '4336799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336809', '4336799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336810', '4336799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336811', '4336799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336812', '4336799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336813', '4336799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336814', '4336799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336815', '4336799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336816', '4336799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336817', '4336799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336818', '4336799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336819', '4336799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336820', '4336799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336821', '4336799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336822', '4336799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336823', '4336799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336824', '4336799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336825', '4336799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336826', '4336799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336827', '4336799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336828', '4336799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336829', '4336799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336830', '4336799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336831', '4336799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336832', '4336799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336833', '4336799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336834', '4336799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336835', '4336799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336836', '4336799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336837', '4336799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336838', '4336799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336839', '4336799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336840', '4336799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336841', '4336799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336842', '4336799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336843', '4336799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336844', '4336799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336845', '4336799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336846', '4336799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336847', '4336799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336848', '4336799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336849', '4336799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336850', '4336799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336851', '4336799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336852', '4336799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336853', '4336799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336854', '4336799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336855', '4336799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336856', '4336799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336857', '4336799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336858', '4336799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336859', '4336799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336860', '4336799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336861', '4336799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336862', '4336799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336863', '4336799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336864', '4336799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('31', '4336865', '4336799', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '733359', '0', 'object/building/general/shared_endor_korga_cave.iff', '0', '0.997189', '0', '0.0749295', '2243.54', '37.8508', '3553.28', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '733360', '733359', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '733361', '733359', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '733374', '733361', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '-0.707106', '0', '0.707107', '53.1107', '-48.9319', '-62.3316', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '733385', '733361', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0', '0', '1', '52.5423', '-67.6199', '-48.8952', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '733362', '733359', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '733363', '733359', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '733364', '733359', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '733379', '733364', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '-0.707106', '0', '0.707107', '96.8163', '-45.6414', '-96.9226', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '733365', '733359', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '733366', '733359', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '733367', '733359', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '733368', '733359', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '733392', '733368', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '-0.707107', '0', '0.707107', '195.415', '-66.7495', '-107.065', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '733369', '733359', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '733370', '733359', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '733380', '733370', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0.707107', '0', '0.707107', '73.0611', '-46.0203', '-141.564', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '4005731', '733370', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0.0118042', '0.924884', '0.037204', '0.37824', '89.1285', '-46.2452', '-148.682', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '4005732', '733370', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0.159286', '-0.00318615', '-0.00987211', '0.987178', '86.5304', '-46.2269', '-148.655', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '4005742', '733370', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_neutral_rescue_03.iff', '0.144485', '-0.0014449', '0.00989489', '0.989456', '87.8776', '-46.1086', '-149.069', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '733396', '0', 'object/building/general/shared_endor_marauder_orphans_cave.iff', '0', '0.807793', '0', '0.589467', '-6926.46', '19.502', '688.623', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '733397', '733396', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '733398', '733396', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '733399', '733396', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '733400', '733396', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '733401', '733396', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '733413', '733401', 'object/tangible/container/loot/shared_placable_loot_crate_trashpile.iff', '0', '0', '0.059964', '0.998201', '96.955', '-45.3521', '-103.696', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '733402', '733396', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '733403', '733396', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '733404', '733396', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '733405', '733396', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '733422', '733405', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '-0.605503', '0', '0.795843', '192.762', '-66.8124', '-102.006', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '733406', '733396', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '733407', '733396', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '733416', '733407', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0', '0', '1', '78.6606', '-45.8789', '-149.824', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '1414856', '0', 'object/building/military/shared_pirate_outpost.iff', '0', '0.966594', '0', '-0.256311', '-850.49', '79.5', '1609.07', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '1414857', '1414856', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '1414858', '1414856', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '1414859', '1414856', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '1414860', '1414856', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '1414861', '1414856', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '1414864', '1414861', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '0.269781', '0', '0.962922', '3.60168', '0.125266', '-1.64733', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '1414865', '1414861', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '0.90129', '0', '0.433215', '5.56442', '0.125266', '-3.40844', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '1414866', '1414861', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '-0.683544', '0', '0.72991', '3.4032', '0.125266', '-5.62751', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '1414862', '1414856', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '1414863', '1414862', 'object/static/creature/shared_droids_21b_medical.iff', '0', '0.707107', '0', '0.707107', '-5.5896', '0.125266', '-2.60726', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '1414867', '0', 'object/building/military/shared_pirate_outpost.iff', '0', '1', '0', '-3.20013e-08', '3245', '24', '-3442', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '1414868', '1414867', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '1414869', '1414867', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '1414870', '1414867', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '1414871', '1414867', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '1414872', '1414867', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '1414875', '1414872', 'object/static/creature/shared_droids_21b_medical.iff', '0', '1', '0', '-3.20013e-08', '3.2844', '0.125266', '-1.85357', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '1414876', '1414872', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '0', '0', '1', '5.45126', '0.125266', '-3.36865', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '1414877', '1414872', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '1', '0', '-3.20013e-08', '4.56777', '0.125266', '-4.04191', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '1414873', '1414867', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '1414874', '1414873', 'object/static/creature/shared_droids_21b_medical.iff', '0', '0.640385', '0', '0.768054', '-5.42981', '0.125266', '-2.66279', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '2055788', '0', 'object/building/endor/shared_endor_lake_hut.iff', '0', '0', '0', '1', '-3685.5', '-2.17984', '-4087.64', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '2055792', '0', 'object/tangible/camp/shared_camp_tent_s2.iff', '0', '-0.139543', '0', '0.990216', '-4026.03', '26.3865', '2247.57', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '2055793', '0', 'object/tangible/camp/shared_camp_lantern_s1.iff', '0', '0', '0', '1', '-4027.38', '26.7588', '2248.84', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '2055797', '0', 'object/static/particle/shared_pt_flocking_glowzees.iff', '0', '0', '0', '1', '-6798.1', '108.084', '-3448.84', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '2055798', '0', 'object/static/particle/shared_pt_flocking_glowzees.iff', '0', '0', '0', '1', '-6799.58', '107.837', '-3447.54', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '2055804', '0', 'object/tangible/camp/shared_camp_tent_s2.iff', '0', '1', '0', '3.20013e-08', '-85.4902', '12.2104', '2539.32', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '2055805', '0', 'object/tangible/camp/shared_camp_spit_s2.iff', '0', '0', '0', '1', '-80.0908', '11.8065', '2533.68', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '2055807', '0', 'object/tangible/camp/shared_camp_lantern_s1.iff', '0', '0', '0', '1', '-83.5222', '12.2474', '2537.83', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '2055816', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '3940.69', '7.40445', '-6212.48', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '2055817', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '3942.16', '8.70341', '-6214.15', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '2055818', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '3942.2', '8.89704', '-6212.11', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '2195536', '0', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '-0.329521', '0', '0.944148', '-4617.23', '90', '-2297.96', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '2195537', '0', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0.934124', '0', '-0.356949', '-4616.8', '90', '-2291.97', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '2195544', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '0.9001', '0', '0.435683', '-4618.76', '90', '-2294.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '2195545', '0', 'object/static/item/shared_item_jar_funk.iff', '0', '-0.365442', '0', '0.930834', '-4615.83', '91.0632', '-2293.87', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '2195546', '0', 'object/static/item/shared_item_jar_funk.iff', '0', '0.991893', '0', '-0.127074', '-4615.99', '91.0632', '-2293.64', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '2195547', '0', 'object/static/item/shared_item_jar_funk.iff', '0', '-0.389418', '0', '0.921061', '-4615.75', '91.0632', '-2293.67', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '2195548', '0', 'object/static/item/shared_item_jar_empty.iff', '0', '0', '0', '1', '-4615.8', '90.0067', '-2294.65', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '2195549', '0', 'object/static/item/shared_item_jar_bugs.iff', '0', '-0.389418', '0', '0.921061', '-4615.42', '91.064', '-2293.95', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '2195550', '0', 'object/static/item/shared_item_jar_bugs.iff', '0', '-0.389418', '0', '0.921061', '-4615.64', '91.064', '-2294.18', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '2195551', '0', 'object/static/item/shared_item_jar_guts.iff', '0', '-0.252245', '0', '0.967663', '-4615.21', '90.7144', '-2295.03', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '2195552', '0', 'object/static/item/shared_item_jar_guts.iff', '0', '-0.252245', '0', '0.967663', '-4615.43', '90.707', '-2294.88', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '2195553', '0', 'object/static/item/shared_item_jar_guts.iff', '0', '-0.252245', '0', '0.967663', '-4615.34', '90.71', '-2295.25', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '2195554', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.15438', '0', '0.988012', '-4615.63', '89.9098', '-2293.82', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '2195555', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '-4615.27', '90', '-2294.93', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '2195556', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0', '0.99869', '0', '0.0511727', '-4620.06', '90.4713', '-2297.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '2195557', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0', '0.995566', '0', '-0.0940644', '-4619.19', '90', '-2298.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '2195558', '0', 'object/static/item/shared_item_tank_bubble.iff', '0', '0.813415', '0', '-0.581683', '-4615.78', '90.0074', '-2295.13', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '2195559', '0', 'object/static/item/shared_item_tank_gas.iff', '0', '0', '0', '1', '-4615.48', '90.0175', '-2295.93', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '2195560', '0', 'object/static/item/shared_item_tank_gas.iff', '0', '0.905905', '0', '0.423482', '-4615.77', '90.008', '-2296.86', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '2195562', '0', 'object/static/item/shared_item_tool_instrument_calibrator.iff', '0', '-0.601198', '0', '0.7991', '-4615.95', '90', '-2296.27', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '2195563', '0', 'object/static/item/shared_item_tool_meson_taloscope.iff', '0', '0.581035', '0', '0.813878', '-4621.25', '90.6235', '-2296.12', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '2195574', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '-0.352274', '0', '0.935897', '-4621.65', '90', '-2296.23', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '2195575', '0', 'object/static/item/shared_item_tool_recording_rod.iff', '0', '-0.624897', '0', '0.780707', '-4621.87', '90.62', '-2296.24', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '2195576', '0', 'object/static/item/shared_item_jar_berries.iff', '0', '0', '0', '1', '-4621.64', '90.62', '-2295.91', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '2195577', '0', 'object/static/item/shared_item_jar_guts.iff', '0', '0.384808', '0', '0.922996', '-4621.7', '90.62', '-2296.31', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '2305366', '0', 'object/static/particle/shared_pt_miasma_of_fog_mustard.iff', '0', '0', '0', '1', '3907.81', '200.464', '5788.51', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '2305367', '0', 'object/static/particle/shared_pt_miasma_of_fog_mustard.iff', '0', '0', '0', '1', '3875.26', '201.097', '5745.6', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '2305368', '0', 'object/static/particle/shared_pt_miasma_of_fog_mustard.iff', '0', '0', '0', '1', '3911.78', '199.354', '5745.44', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '2835673', '0', 'object/static/particle/shared_particle_seagulls_flock.iff', '0', '0', '0', '1', '-631.365', '-56.7538', '-5037.01', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '2835674', '0', 'object/static/particle/shared_particle_seagulls_flock.iff', '0', '0', '0', '1', '-526.605', '0.042253', '-5027.58', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '3605924', '0', 'object/static/structure/corellia/shared_corl_power_connector.iff', '0', '0', '0', '1', '3214.51', '26.9955', '-3512', '128', '1');
INSERT INTO `staticobjects` VALUES ('3', '3605927', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s02.iff', '0', '0', '0', '1', '3218.5', '24', '-3511.99', '128', '1');
INSERT INTO `staticobjects` VALUES ('3', '3605931', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0', '0', '1', '3218.51', '24', '-3507.99', '128', '1');
INSERT INTO `staticobjects` VALUES ('3', '3605932', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0', '0', '0', '1', '3210.91', '24.052', '-3507.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '3605933', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0', '0', '0', '1', '3218.49', '24.095', '-3507.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '3605934', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0', '0', '1', '3168.7', '30.0651', '-3493.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '3605935', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0', '0', '1', '3276.75', '30.0606', '-3450', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '3605936', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '3162', '24', '-3448.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '3605945', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '0', '0', '1', '3170', '22.5782', '-3448.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('3', '3605946', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '3178', '22.5782', '-3448.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '3605947', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '0', '0', '1', '3186', '22.5782', '-3448.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('3', '3605948', '0', 'object/static/installation/shared_mockup_power_generator_fusion_style_1.iff', '0', '0.707107', '0', '0.707107', '3182', '24', '-3445', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '3605949', '0', 'object/static/installation/shared_mockup_power_generator_fusion_style_1.iff', '0', '0.707107', '0', '0.707107', '3182', '24', '-3439', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '3605952', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '0', '0', '1', '3234', '24', '-3503', '128', '1');
INSERT INTO `staticobjects` VALUES ('3', '3605954', '0', 'object/building/military/shared_outpost_cloning_facility_s02.iff', '0', '1', '0', '3.20013e-08', '3200', '24', '-3442', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '3605955', '3605954', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '3605956', '3605954', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '3605957', '3605954', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '3605958', '3605954', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '3605959', '3605954', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '3605960', '3605954', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '3605968', '0', 'object/building/military/shared_outpost_shed_s04.iff', '0', '0', '0', '1', '3188', '24', '-3504', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '3605969', '3605968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '3605970', '3605968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '3605971', '3605968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '3605972', '3605968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '3605973', '3605968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '3605974', '3605968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '3605975', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_16_style_01.iff', '0', '-0.707105', '0', '0.707108', '3243.42', '25.0376', '-3484.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '3605976', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_16_style_01.iff', '0', '-0.707092', '0', '0.707121', '3200.54', '25.0085', '-3484.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '3605983', '0', 'object/static/installation/shared_mockup_mining_liquid_harvester_style_1.iff', '0', '0', '0', '1', '3237.95', '24', '-3507.58', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '3605984', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_2.iff', '0', '0', '0', '1', '3228.07', '24', '-3496.93', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '3605985', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '1', '0', '0', '3.20013e-08', '3239.55', '29.5416', '-3484.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '3605986', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '1', '0', '0', '-3.20013e-08', '3204.17', '29.692', '-3484.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '3605987', '0', 'object/static/structure/general/shared_landing_pad_shuttle.iff', '0', '0', '0', '1', '3260', '24', '-3440', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '3605988', '0', 'object/static/installation/shared_mockup_farm_flora_style_1.iff', '7.72714e-09', '0.707106', '7.72714e-09', '0.707108', '3260.23', '24', '-3444.75', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '3605989', '0', 'object/static/installation/shared_mockup_farm_flora_style_1.iff', '0', '0.707101', '0', '0.707112', '3260.22', '24', '-3435.16', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '3605991', '0', 'object/static/installation/shared_mockup_factory_item_style_1.iff', '0', '0.707107', '0', '0.707107', '3168.42', '24', '-3442.29', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '3605997', '0', 'object/tangible/crafting/station/shared_public_weapon_station.iff', '0', '-0.707106', '0', '0.707107', '3241.49', '24', '-3489.88', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '3605998', '0', 'object/tangible/crafting/station/shared_public_weapon_station.iff', '0', '0.707107', '0', '-0.707107', '3241.48', '24', '-3481.9', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '3605999', '0', 'object/tangible/crafting/station/shared_public_clothing_station.iff', '0', '1', '0', '3.20013e-08', '3202.6', '24', '-3489.03', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '3606000', '0', 'object/tangible/crafting/station/shared_public_clothing_station.iff', '0', '1', '0', '0', '3202.62', '24', '-3481.01', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '3606001', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0', '0', '1', '3231.96', '24', '-3501.85', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '3606003', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0', '0', '1', '3243.95', '24', '-3501.85', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '3606004', '0', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '0', '0', '1', '3239.99', '24', '-3501.97', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '3606005', '0', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '0', '0', '1', '3235.98', '24', '-3501.99', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '3606006', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0', '0', '1', '3191.37', '24', '-3496.65', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '3606008', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0', '0', '1', '3184.62', '24', '-3496.66', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '3606010', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0', '0', '1', '3252.62', '24', '-3496.65', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '3606012', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0', '0', '1', '3259.34', '24', '-3496.61', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '3606015', '0', 'object/tangible/crafting/station/shared_public_food_station.iff', '0', '-0.707106', '0', '0.707107', '3179.51', '24', '-3500.74', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '3606016', '0', 'object/tangible/crafting/station/shared_public_food_station.iff', '0', '0.707107', '0', '-0.707107', '3179.45', '24', '-3506.99', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '3606017', '0', 'object/tangible/crafting/station/shared_public_structure_station.iff', '0', '0', '0', '1', '3277.95', '24', '-3446.23', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '4605629', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '1', '0', '-3.20013e-08', '3226.08', '24.4779', '-3449.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '4605678', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0.128734', '-0.669373', '0.138186', '0.718521', '6005.84', '253.18', '-2492.2', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '4605710', '0', 'object/static/item/shared_item_crate_clothing_small.iff', '0', '-0.707106', '0', '0.707107', '3202.09', '24', '-3483.86', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '4605723', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.991562', '0', '0.129634', '3202.15', '24', '-3486.56', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '4605724', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999688', '0', '-0.0249976', '3202.03', '24', '-3485.52', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '4605725', '0', 'object/static/item/shared_item_crate_clothing_small.iff', '0', '0.707107', '0', '-0.707107', '3202.09', '24', '-3483.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '4605727', '0', 'object/static/item/shared_armor_chitin_helmet.iff', '-0.081828', '0.575214', '0.0828275', '0.809674', '3202.44', '23.083', '-3485.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '4605728', '0', 'object/static/item/shared_armor_composite_helmet.iff', '0', '0.862404', '0', '0.50622', '3202.16', '23.1462', '-3485.63', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '4605731', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0', '-0.634652', '0', '0.772798', '-1203.14', '12', '2923.47', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '4605732', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0865345', '0.624138', '-0.0288375', '0.775971', '-1244.97', '23.1635', '3003.02', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '4605733', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0820665', '0.719463', '-0.0398115', '0.688514', '-1236.43', '24.6396', '3003.9', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '4605734', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.082067', '0.719463', '-0.039812', '0.688514', '-1227.63', '25.4062', '3003.33', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '4605735', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0776637', '0.721854', '-0.00109764', '0.687672', '-1218.81', '26.3776', '3002.81', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '4605737', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.10833', '0.721214', '0.0384341', '0.683108', '-1209.9', '27.7303', '3002.24', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '4605738', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0482345', '0.846987', '-0.0858711', '0.522409', '-1202.16', '28.7346', '3000.38', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '4605739', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0', '0', '1', '3241.72', '24', '-3483.91', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '4605740', '0', 'object/static/item/shared_item_container_energy_solid.iff', '0', '-0.0399893', '0', '0.9992', '3241.98', '24', '-3485.24', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '4605741', '0', 'object/static/item/shared_item_container_energy_solid.iff', '0', '0.0699432', '0', '0.997551', '3241.89', '24', '-3485.9', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '4605742', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.048235', '0.846987', '-0.085871', '0.522409', '-1194.42', '28.9517', '2995.91', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '4605743', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.048235', '0.846987', '-0.085871', '0.522409', '-1186.49', '27.0516', '2992.37', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '4605744', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.038063', '0.901337', '-0.0908386', '0.42177', '-1179.34', '26.6753', '2987.34', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '4605745', '0', 'object/static/item/shared_item_rifle.iff', '0.687672', '0.685991', '0.171513', '0.164645', '3241.52', '24.917', '-3483.24', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '4605746', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.038063', '0.901337', '-0.090839', '0.42177', '-1172.34', '25.4921', '2982.09', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '4605747', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0548988', '0.904249', '-0.0547225', '0.41991', '-1165.49', '24.327', '2976.31', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '4605748', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0497585', '0.93833', '-0.0594348', '0.336938', '-1159.67', '24.2024', '2969.67', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '4605749', '0', 'object/static/item/shared_item_pistol.iff', '0.706365', '0.706365', '-0.0323716', '-0.0323716', '3241.47', '24.917', '-3483.55', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '4605750', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.049758', '0.93833', '-0.059435', '0.336938', '-1153.85', '22.7937', '2963.19', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '4605751', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0503499', '0.934914', '-0.0589345', '0.346304', '-1148.06', '22.8733', '2956.39', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '4605752', '0', 'object/static/structure/general/shared_r3_head.iff', '-0.29552', '0', '0', '0.955336', '3241.7', '24.1897', '-3483.92', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '4605753', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.893464', '0', '0.449134', '3179.4', '24', '-3503.22', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '4605754', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '-0.707106', '0', '0.707107', '3180.08', '24', '-3503.66', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '4605755', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.707107', '0', '-0.707107', '3180.02', '24', '-3504.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '4605758', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.0399893', '0', '0.9992', '3166.68', '24', '-3497.46', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '4605759', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '3165.75', '24', '-3497.55', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '4605760', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.104807', '0', '0.994493', '3167.56', '24', '-3497.82', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '4605763', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '3219.7', '24', '-3494.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '4605764', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '3218.87', '24', '-3494.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '4605765', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.0699429', '0', '0.997551', '3219.32', '24.8767', '-3494.89', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '4605766', '0', 'object/static/item/shared_item_crate_spice.iff', '0', '-0.109778', '0', '0.993956', '3217.95', '24', '-3494.86', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '4605767', '0', 'object/static/item/shared_item_crate_spice.iff', '0', '0', '0', '1', '3216.99', '24', '-3494.94', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '4605768', '0', 'object/static/particle/shared_particle_newbie_steam.iff', '-0.248347', '-0.0140093', '-0.0812873', '0.965153', '3234.66', '23.9996', '-3506.77', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '4605776', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '-1.09278e-08', '1', '4.33436e-16', '3.20013e-08', '3227.09', '24', '-3501.82', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '4605777', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.994924', '0', '0.100626', '3227.09', '24', '-3500.71', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '4605778', '0', 'object/static/item/shared_item_container_organic_structure.iff', '0', '0.707107', '0', '0.707107', '3275.12', '24', '-3446.5', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '4605779', '0', 'object/static/item/shared_item_container_organic_structure.iff', '0', '0.707107', '0', '0.707107', '3274.44', '24', '-3446.52', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '4605780', '0', 'object/static/item/shared_item_container_organic_structure.iff', '0', '0.707107', '0', '0.707107', '3273.77', '24', '-3446.52', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '4605781', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.059964', '0', '0.998201', '3275.93', '24', '-3446.22', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '4605782', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0', '0', '1', '3275.98', '24', '-3446.83', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '4605787', '0', 'object/static/item/shared_item_container_energy_gas.iff', '0', '0', '0', '1', '3251.16', '24', '-3434.12', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '4605788', '0', 'object/static/item/shared_item_container_energy_gas.iff', '0', '0', '0', '1', '3251.15', '24', '-3433.52', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '4605789', '0', 'object/static/item/shared_item_container_energy_gas.iff', '0', '-0.707106', '0', '0.707107', '3250.24', '24', '-3433.8', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '4605790', '0', 'object/static/item/shared_item_container_energy_gas.iff', '0', '-0.707102', '0', '0.707111', '3249.63', '24', '-3433.79', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '4605792', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.707106', '0', '0.707107', '3246.72', '24', '-3433.84', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '4605793', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.707107', '0', '-0.707107', '3244.71', '24', '-3433.81', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '4605794', '0', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '0', '0', '1', '3242.87', '24', '-3433.45', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '4605795', '0', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '0', '0', '1', '3242.66', '24', '-3434.14', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '4605796', '0', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '0', '0', '1', '3243.31', '24', '-3434.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '4605819', '0', 'object/static/structure/corellia/shared_corl_power_arial_prime.iff', '0', '0', '0', '1', '3218.93', '24.4724', '-3433.24', '128', '1');
INSERT INTO `staticobjects` VALUES ('3', '4735482', '0', 'object/static/structure/dantooine/shared_dant_large_mudhut_no_flora_05m.iff', '0', '0.717356', '0', '-0.696707', '-1089.1', '6.13152', '-996.066', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '4735483', '0', 'object/static/structure/dantooine/shared_dant_mud_oven.iff', '0', '0.699716', '0', '0.714421', '-1103.6', '5.87281', '-996.504', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '4735484', '0', 'object/tangible/camp/shared_camp_cot_s2.iff', '0', '0.568762', '0', '0.822502', '-1086.27', '6.18271', '-1000.23', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '4735485', '0', 'object/tangible/camp/shared_camp_cot_s2.iff', '0', '0.572867', '0', '0.819648', '-1087.53', '6.15097', '-1000.78', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '4735486', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '0', '0', '1', '-1088.1', '6.14902', '-995.9', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '4735487', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '-0.370921', '0', '0.928665', '-1087.78', '6.16029', '-996.218', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '4735488', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.918788', '0', '-0.394751', '-1087.7', '6.15998', '-995.569', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '4735489', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.932615', '0', '0.360873', '-1088.5', '6.11324', '-995.448', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '4735490', '0', 'object/tangible/furniture/technical/shared_couch_s01.iff', '0', '0.838759', '0', '-0.544503', '-1083.93', '6.21729', '-994.725', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '4735491', '0', 'object/tangible/furniture/technical/shared_end_table_s01.iff', '0', '0.305059', '0', '0.952334', '-1084.52', '6.20749', '-993.68', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '4735492', '0', 'object/tangible/furniture/technical/shared_end_table_s01.iff', '0', '-0.21823', '0', '0.975897', '-1083.53', '6.21441', '-995.844', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '4735493', '0', 'object/tangible/loot/quest/shared_lifeday_orb.iff', '0', '0', '0', '1', '-1084.49', '6.58427', '-993.63', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '4735494', '0', 'object/tangible/loot/quest/shared_lifeday_orb.iff', '0', '0', '0', '1', '-1083.5', '6.59055', '-995.858', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '4735495', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '0.9871', '0', '-0.160104', '-1087.84', '6.39665', '-991.459', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '4735496', '0', 'object/static/structure/general/shared_palette_supply_01.iff', '0', '0.944148', '0', '-0.329521', '-1095.07', '5.97059', '-1002.49', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '4735497', '0', 'object/static/structure/general/shared_palette_supply_02.iff', '-0.0282994', '0.8982', '-0.0584653', '-0.434763', '-1095.29', '6.52849', '-989.979', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '4735498', '0', 'object/static/vehicle/e3/shared_landspeeder.iff', '0', '0.492535', '0', '0.870293', '-1085.13', '6.2437', '-1003.97', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '4735499', '0', 'object/static/structure/nobuild/shared_nobuild_32.iff', '0', '0', '0', '1', '-1098.94', '5.94473', '-996.606', '128', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165352', '0', 'object/building/endor/shared_endor_village_tree.iff', '0', '1', '0', '-3.20013e-08', '105', '9', '72.5', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165354', '0', 'object/building/endor/shared_endor_catwalk.iff', '0', '0', '0', '1', '105', '29', '56.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165356', '0', 'object/building/endor/shared_endor_catwalk.iff', '0', '-0.707105', '0', '0.707108', '89', '29.072', '40.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165358', '0', 'object/building/endor/shared_endor_village_tree.iff', '0', '1', '0', '-3.20013e-08', '105', '9', '40.5', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165359', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '0.884675', '0', '0.466208', '110.107', '28.9998', '69.1935', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165360', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '0.993303', '0', '-0.115538', '100.663', '9', '62.8935', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165361', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '0.94441', '0', '-0.328769', '101.19', '19.0786', '67.5467', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165365', '0', 'object/building/endor/shared_endor_catwalk_cap.iff', '0', '-0.707105', '0', '0.707108', '94', '29.072', '40.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165366', '0', 'object/building/endor/shared_endor_village_tree.iff', '0', '0.707106', '0', '0.707108', '82.5', '9', '72.5', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165368', '0', 'object/building/endor/shared_endor_catwalk_cap.iff', '0', '-0.707106', '0', '0.707108', '93.75', '29', '72.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165369', '0', 'object/building/endor/shared_endor_catwalk_cap.iff', '0', '0.707107', '0', '-0.707107', '93.75', '18.9258', '72.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165370', '0', 'object/building/endor/shared_endor_village_tree_viewpoint.iff', '0', '0', '0', '1', '104.5', '29', '84', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165371', '0', 'object/building/endor/shared_endor_village_tree_viewpoint.iff', '0', '1', '0', '3.20013e-08', '82.4032', '29', '61.0031', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165372', '0', 'object/building/endor/shared_endor_catwalk.iff', '0', '0', '0', '1', '82.5', '19', '56.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165373', '0', 'object/building/endor/shared_endor_catwalk_cap.iff', '0', '0', '0', '1', '82.5', '19', '51.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165374', '0', 'object/building/endor/shared_endor_catwalk.iff', '0', '0', '0', '1', '82.5', '19', '46.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165375', '0', 'object/building/endor/shared_endor_catwalk_cap.iff', '0', '0', '0', '1', '82.5', '19', '61.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165376', '0', 'object/building/endor/shared_endor_catwalk_cap.iff', '0', '0', '0', '1', '82.5', '19', '41.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165377', '0', 'object/building/endor/shared_endor_catwalk.iff', '0', '0', '0', '1', '82.5', '19', '36.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165378', '0', 'object/building/endor/shared_endor_catwalk_cap.iff', '0', '0', '0', '1', '82.5', '19', '31.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165379', '0', 'object/building/endor/shared_endor_catwalk.iff', '0', '0', '0', '1', '82.5', '19', '26.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165380', '0', 'object/building/endor/shared_endor_catwalk_cap.iff', '0', '0', '0', '1', '82.5', '19', '21.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165381', '0', 'object/building/endor/shared_endor_village_tree.iff', '0', '0.70711', '0', '-0.707103', '82.5', '9', '10.5', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165382', '0', 'object/building/endor/shared_endor_catwalk.iff', '0', '0.707107', '0', '-0.707107', '79', '29.072', '40.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165383', '0', 'object/building/endor/shared_endor_catwalk_cap.iff', '0', '0.707107', '0', '-0.707107', '84', '29.072', '40.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165386', '0', 'object/building/endor/shared_endor_village_tree.iff', '0', '0.70711', '0', '-0.707103', '63', '9.07185', '40.5', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165388', '0', 'object/building/endor/shared_endor_village_tree_viewpoint.iff', '0', '1', '0', '3.20013e-08', '105', '19', '61', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165389', '0', 'object/building/endor/shared_endor_village_tree_viewpoint.iff', '0', '1', '0', '0', '105', '19', '29', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165390', '0', 'object/building/endor/shared_endor_village_tree_viewpoint.iff', '0', '-0.707106', '0', '0.707108', '93.5', '19', '40.5', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165391', '0', 'object/building/endor/shared_endor_village_tree_viewpoint.iff', '0', '1', '0', '0', '105', '29', '29', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165392', '0', 'object/building/endor/shared_endor_village_tree_viewpoint.iff', '0', '-0.707106', '0', '0.707108', '71', '19', '10.5', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165393', '0', 'object/building/endor/shared_endor_village_tree_viewpoint.iff', '0', '-0.707106', '0', '0.707108', '71', '29', '10.5', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165394', '0', 'object/building/endor/shared_endor_village_tree_viewpoint.iff', '0', '0', '0', '1', '82.5', '29', '22', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165395', '0', 'object/building/endor/shared_endor_village_tree_viewpoint.iff', '0', '-0.707102', '0', '0.707111', '71', '29', '72.5', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165408', '0', 'object/building/endor/shared_endor_village_tree_viewpoint.iff', '0', '-0.707101', '0', '0.707112', '51.5', '29', '40.5', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165409', '0', 'object/building/endor/shared_endor_village_tree_viewpoint.iff', '0', '-0.707101', '0', '0.707112', '51.5', '19', '40.5', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165410', '0', 'object/building/endor/shared_endor_village_tree_viewpoint.iff', '0', '0', '0', '1', '63', '19', '52', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165411', '0', 'object/building/endor/shared_endor_village_tree_viewpoint.iff', '0', '0', '0', '1', '63', '29', '52', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165415', '0', 'object/building/endor/shared_endor_village_tree_viewpoint.iff', '0', '0.707106', '0', '0.707107', '94', '29', '10.5', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165416', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '0.908633', '0', '-0.417594', '96.0157', '9', '66.457', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165417', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '-0.328769', '0', '0.94441', '99.6883', '9', '48.2504', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165418', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '0.969944', '0', '-0.243329', '74.2795', '9', '66.8586', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165419', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '0.434966', '0', '0.900447', '71.2103', '9', '46.164', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165421', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '0.997606', '0', '0.069148', '86.6033', '8.88653', '63.3652', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165422', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '0.19867', '0', '0.980066', '66.0803', '9', '50.1928', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165423', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '0.648034', '0', '0.761611', '73.7568', '9', '41.652', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165424', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '-0.663136', '0', '0.748499', '94.7094', '9', '42.0427', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165425', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '0.854715', '0', '-0.519098', '95.2828', '9', '36.4581', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165426', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '0.475031', '0', '0.879969', '90.3737', '9', '16.4936', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165427', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '0.044984', '0', '0.998988', '84.7768', '9', '20.7502', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165428', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '-0.252246', '0', '0.967663', '78.7327', '9', '20.0266', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165429', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '0.85294', '0', '0.522009', '73.5514', '9', '35.7331', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165430', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '-0.300294', '0', '0.953847', '101.458', '29.0676', '77.6123', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165431', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '0.952576', '0', '0.304301', '86.0961', '19.0571', '67.6135', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165432', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '0.956571', '0', '-0.291501', '78.8688', '29.0647', '67.2775', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165433', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '0.305058', '0', '0.952334', '85.7837', '29.0609', '76.8677', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165434', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '0.90509', '0', '0.425219', '109.951', '29.0569', '37.4009', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165435', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '0.902268', '0', '-0.431176', '99.9444', '19.0275', '36.9204', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165436', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '-0.295521', '0', '0.955336', '59.4001', '29.1241', '45.3273', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165437', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '0.947396', '0', '-0.320063', '59.5613', '29.1241', '35.6861', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165438', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '-0.32877', '0', '0.94441', '59.7829', '19.1473', '45.528', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165439', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '-0.466209', '0', '0.884675', '77.5975', '19.0548', '13.9118', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165440', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '0.884304', '0', '-0.466912', '77.7613', '29.0485', '7.23653', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165441', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '95.9919', '9', '49.5497', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165445', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '74.6845', '9.26159', '63.4908', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165446', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '91.7224', '9', '19.5571', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165447', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '95.9525', '19.0232', '66.0548', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165448', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '107.266', '29.1715', '82.981', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165449', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '84.7586', '28.9601', '82.7617', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165450', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '54.1967', '19.0684', '46.7629', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165451', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '54.7586', '29.0781', '33.4383', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165452', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '115.559', '28.966', '70.0315', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165453', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '115.397', '29.0257', '38.1265', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165454', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0.0149994', '0', '0.999888', '76.6244', '28.9471', '1.70279', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165455', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '60.4343', '29.1443', '50.9714', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165456', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '77.4578', '9', '38.9248', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165457', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '120.425', '9.69756', '0.910521', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165458', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '147.349', '17.1561', '-5.66193', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165459', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '74.7865', '9', '22.0976', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165461', '0', 'object/building/endor/shared_endor_lake_walkway_straight.iff', '0', '0', '0', '1', '1457', '-9', '-3294', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165462', '0', 'object/building/endor/shared_endor_lake_platform.iff', '0', '0', '0', '1', '1461', '0.8', '-3262', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165463', '0', 'object/building/endor/shared_endor_lake_hut_s02.iff', '0', '0.897071', '0', '-0.441886', '1463.78', '1.05951', '-3259.71', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165464', '0', 'object/building/endor/shared_endor_lake_hut.iff', '0', '0', '0', '1', '1465.88', '0.967114', '-3317.99', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165466', '0', 'object/building/endor/shared_endor_lake_platform.iff', '0', '0', '0', '1', '1456', '0.8', '-3310', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165467', '0', 'object/building/endor/shared_endor_lake_platform.iff', '0', '0', '0', '1', '1461', '0.8', '-3278', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165468', '0', 'object/building/endor/shared_endor_lake_platform.iff', '0', '0', '0', '1', '1472', '0.8', '-3310', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165469', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '0', '0', '1', '1457', '-9', '-3286', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165470', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '0', '0', '1', '1457', '-9', '-3302', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165472', '0', 'object/building/endor/shared_endor_lake_walkway_straight.iff', '0', '0.928517', '0', '0.37129', '1518.28', '-4.64465', '-3147.23', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165474', '0', 'object/building/endor/shared_endor_lake_walkway_straight.iff', '0', '0.928516', '0', '0.371292', '1529.31', '-4.64465', '-3158.81', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165475', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '0.928516', '0', '0.371292', '1523.79', '-4.64465', '-3153.02', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165478', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '-0.371289', '0', '0.928517', '1534.14', '-4.64465', '-3163.88', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165479', '0', 'object/building/endor/shared_endor_lake_walkway_straight.iff', '0', '0.928517', '0', '0.37129', '1540.34', '-4.64465', '-3170.4', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165484', '0', 'object/building/endor/shared_endor_lake_platform.iff', '0', '0', '0', '1', '1456', '0.8', '-3326', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165485', '0', 'object/building/endor/shared_endor_lake_platform.iff', '0', '0', '0', '1', '1472', '0.8', '-3326', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165486', '0', 'object/building/endor/shared_endor_lake_walkway_square.iff', '0', '0', '0', '1', '1422', '-9', '-3202', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165487', '0', 'object/building/endor/shared_endor_lake_walkway_straight.iff', '0', '0', '0', '1', '1422', '-9', '-3246', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165488', '0', 'object/building/endor/shared_endor_lake_platform.iff', '0', '0', '0', '1', '1414', '0.8', '-3214', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165489', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '0', '0', '1', '1422', '-9', '-3206', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165490', '0', 'object/building/endor/shared_endor_lake_platform.iff', '0', '0', '0', '1', '1414', '0.8', '-3262', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165491', '0', 'object/building/endor/shared_endor_lake_platform.iff', '0', '0', '0', '1', '1414', '0.8', '-3230', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165492', '0', 'object/building/endor/shared_endor_lake_platform.iff', '0', '0', '0', '1', '1430', '0.8', '-3262', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165493', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '0', '0', '1', '1422', '-9', '-3238', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165494', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '0', '0', '1', '1422', '-9', '-3254', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165496', '0', 'object/building/endor/shared_endor_lake_walkway_straight.iff', '0', '0', '0', '1', '1422', '-9', '-3190', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165497', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '0', '0', '1', '1422', '-9', '-3198', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165498', '0', 'object/building/endor/shared_endor_lake_walkway_straight.iff', '0', '0', '0', '1', '1422', '-9', '-3174', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165499', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '0', '0', '1', '1422', '-9', '-3182', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165500', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '1', '0', '3.48103e-07', '1422', '-9', '-3166', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165502', '0', 'object/building/endor/shared_endor_lake_platform.iff', '0', '0', '0', '1', '1430', '0.8', '-3278', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165503', '0', 'object/building/endor/shared_endor_lake_platform.iff', '0', '0', '0', '1', '1430', '0.8', '-3214', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165504', '0', 'object/building/endor/shared_endor_lake_platform.iff', '0', '0', '0', '1', '1430', '0.799999', '-3230', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165505', '0', 'object/building/endor/shared_endor_lake_walkway_straight.iff', '0', '0.707107', '0', '0.707107', '1446', '-9', '-3270', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165506', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '0.707107', '0', '0.707107', '1438', '-9', '-3270', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165507', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '0.707107', '0', '-0.707107', '1453', '-9', '-3270', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165508', '0', 'object/building/endor/shared_endor_lake_hut.iff', '0', '0', '0', '1', '1414', '0.973179', '-3278', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165509', '0', 'object/building/endor/shared_endor_lake_hut_s02.iff', '0', '0.946786', '0', '-0.321865', '1473.19', '1.06139', '-3308.18', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165510', '0', 'object/building/endor/shared_endor_lake_hut_s02.iff', '0', '0.382683', '0', '0.92388', '1429.46', '1.05284', '-3352.68', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5165511', '0', 'object/building/endor/shared_endor_lake_hut_s02.iff', '0', '-0.307628', '0', '0.951507', '1472.76', '1.03197', '-3327.79', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265352', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '0.382683', '0', '0.92388', '1448', '-9', '-3334', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265353', '0', 'object/building/endor/shared_endor_lake_walkway_straight.iff', '0', '0.382683', '0', '0.92388', '1442', '-9', '-3340', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265354', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '0.382683', '0', '0.92388', '1436', '-9', '-3346', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265355', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '0.382683', '0', '0.92388', '1450', '-9', '-3332', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265356', '0', 'object/building/endor/shared_endor_lake_platform.iff', '0', '0.382683', '0', '0.92388', '1430.24', '0.8', '-3351.76', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265357', '0', 'object/building/endor/shared_endor_lake_platform.iff', '0', '0', '0', '1', '1414', '0.8', '-3278', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265358', '0', 'object/building/endor/shared_endor_lake_platform.iff', '0', '0', '0', '1', '1408', '0.8', '-3318', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265359', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '0.707107', '0', '0.707107', '1416', '-9', '-3318', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265360', '0', 'object/building/endor/shared_endor_lake_hut.iff', '0', '0.15438', '0', '0.988012', '1408', '0.909721', '-3318', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265361', '0', 'object/building/endor/shared_endor_lake_walkway_straight.iff', '0', '0.707106', '0', '0.707107', '1424', '-9', '-3318', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265362', '0', 'object/building/endor/shared_endor_lake_walkway_straight.iff', '0', '0.707106', '0', '0.707107', '1440', '-9', '-3318', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265363', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '0.707106', '0', '0.707107', '1432', '-9', '-3318', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265364', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '-0.707106', '0', '0.707107', '1448', '-9', '-3318', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265365', '0', 'object/building/endor/shared_endor_lake_platform.iff', '0', '0', '0', '1', '1464', '0.8', '-3358', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265366', '0', 'object/building/endor/shared_endor_lake_hut_s02.iff', '0', '0', '0', '1', '1464.01', '1.01087', '-3359.63', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265367', '0', 'object/building/endor/shared_endor_lake_walkway_straight.iff', '0', '0', '0', '1', '1464', '-9', '-3342', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265368', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '0', '0', '1', '1464', '-9', '-3350', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265370', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '0', '0', '1', '1464', '-9', '-3334', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265371', '0', 'object/building/endor/shared_endor_lake_walkway_square.iff', '0', '0', '0', '1', '1408', '-9', '-3306', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265372', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '0', '0', '1', '1408', '-9', '-3310', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265373', '0', 'object/building/endor/shared_endor_lake_walkway_square.iff', '0', '-0.707106', '0', '0.707107', '1396', '-9', '-3318', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265374', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '-0.707106', '0', '0.707107', '1400', '-9', '-3318', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265375', '0', 'object/building/endor/shared_endor_lake_walkway_square.iff', '0', '1', '0', '3.20013e-08', '1408', '-9', '-3330', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265376', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '1', '0', '3.20013e-08', '1408', '-9', '-3326', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265377', '0', 'object/building/endor/shared_endor_lake_hut_s02.iff', '0', '-0.446364', '0', '0.894852', '1463.39', '1.0581', '-3279.71', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265378', '0', 'object/building/endor/shared_endor_lake_hut.iff', '0', '0', '0', '1', '1414', '0.973179', '-3262', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265379', '0', 'object/building/endor/shared_endor_lake_hut_s02.iff', '0', '-0.378059', '0', '0.925781', '1432.61', '1', '-3280.45', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265380', '0', 'object/building/endor/shared_endor_lake_hut_s02.iff', '0', '-0.378059', '0', '0.925782', '1432.51', '1', '-3232.61', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265381', '0', 'object/building/endor/shared_endor_lake_hut_s02.iff', '0', '0.387299', '0', '0.921954', '1411.51', '1', '-3232.43', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265382', '0', 'object/building/endor/shared_endor_lake_hut_s02.iff', '0', '0.925782', '0', '0.378059', '1411.5', '1', '-3211.57', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265383', '0', 'object/building/endor/shared_endor_lake_hut_s02.iff', '0', '0.921954', '0', '-0.387299', '1432.63', '1', '-3211.39', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265384', '0', 'object/building/endor/shared_endor_lake_hut.iff', '0', '0', '0', '1', '1422.14', '0.952137', '-3222.13', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265385', '0', 'object/building/endor/shared_endor_lake_walkway_straight.iff', '0', '0.707107', '0', '0.707107', '1477', '-9', '-3270', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265386', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '0.707101', '0', '0.707112', '1469', '-9', '-3270', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265387', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '0.707107', '0', '-0.707107', '1484', '-9.18974', '-3270', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265389', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '1515.6', '5.37867', '-3139.49', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265390', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '1548.17', '5.41623', '-3173.45', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265391', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '0.928516', '0', '0.371292', '1513', '-4.96088', '-3142', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265392', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '0.928516', '0', '0.371292', '1545.5', '-4.96088', '-3176', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265393', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '1542.73', '5.41623', '-3178.45', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265394', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '1532', '5.38461', '-3156.11', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265395', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '1526.42', '5.38461', '-3160.88', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265396', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '1509.95', '5.41776', '-3144.3', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265397', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '1418.34', '1.4111', '-3165.92', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265398', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '1425.65', '1.4111', '-3165.97', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265399', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '1453.46', '1.37947', '-3286.04', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265400', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '1469.07', '1.38393', '-3266.33', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265401', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '1471.21', '1', '-3322.42', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265402', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '1414.5', '1', '-3227.02', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265403', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '1458.37', '1', '-3261.61', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265404', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '1484.06', '1.05166', '-3273.68', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265405', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '1467.44', '1.37655', '-3334.15', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265406', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '1452.81', '1.38275', '-3273.67', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265407', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '1438.78', '1.39934', '-3266.27', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265408', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '1429.92', '1', '-3275.35', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265409', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '1416.56', '1', '-3214.15', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265410', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '1427.48', '1', '-3213.92', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265411', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '1429.9', '1', '-3227.3', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265412', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '1468.65', '1', '-3311.6', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265414', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '1418.59', '1.39025', '-3253.95', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265416', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '1448.11', '1.3603', '-3314.33', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265417', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '1423.53', '7.72588', '-3222.14', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265419', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '1483.94', '1.11311', '-3266.46', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265422', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '1432.07', '1.00043', '-3347.94', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265423', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '1447.42', '1.35081', '-3329.49', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265425', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '1462.01', '1.00094', '-3354.63', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265426', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '1404.38', '1.42049', '-3310.02', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265427', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '1411.78', '1', '-3327.77', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265428', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '1400.02', '1.39169', '-3321.62', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265429', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '1416', '1.3781', '-3314.41', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265430', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '89.0217', '19.0175', '63.2761', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5265431', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0', '0', '1', '97.6687', '9', '60.638', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335352', '0', 'object/building/endor/shared_endor_lake_platform.iff', '0', '-0.237703', '0', '0.971338', '-473.41', '0.8', '-5051.91', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335354', '0', 'object/building/endor/shared_endor_lake_walkway_straight.iff', '0', '-0.237703', '0', '0.971338', '-480.798', '-9', '-5037.72', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335355', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '-0.237703', '0', '0.971338', '-484.493', '-9', '-5030.62', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335356', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '-0.0998334', '0', '0.995004', '-516.269', '-9.5', '-5017.12', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335357', '0', 'object/building/endor/shared_endor_lake_walkway_straight.iff', '0', '-0.0998334', '0', '0.995004', '-514.482', '-9', '-5025.94', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335358', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '-0.237703', '0', '0.971338', '-492.343', '-9.5', '-5015.54', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335359', '0', 'object/building/endor/shared_endor_lake_walkway_straight.iff', '0', '-0.237703', '0', '0.971338', '-488.187', '-9', '-5023.52', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335360', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '0', '0', '1', '-558', '-9', '-5036', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335361', '0', 'object/building/endor/shared_endor_lake_walkway_straight.iff', '0', '0', '0', '1', '-558', '-9', '-5044', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335362', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '0', '0', '1', '-619', '-9.5', '-5027', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335363', '0', 'object/building/endor/shared_endor_lake_walkway_straight.iff', '0', '0', '0', '1', '-619', '-9', '-5036', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335364', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '-0.0998334', '0', '0.995004', '-512.502', '0.918333', '-5015.54', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335365', '0', 'object/building/endor/shared_endor_lake_walkway_straight.iff', '0', '0', '0', '1', '-558', '-9', '-5028', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335366', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '0', '0', '1', '-558', '-9.5', '-5019', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335367', '0', 'object/building/endor/shared_endor_lake_walkway_straight.iff', '0', '-0.0998334', '0', '0.995004', '-511.303', '-9', '-5041.62', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335368', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '-0.0998334', '0', '0.995004', '-512.892', '-9', '-5033.78', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335369', '0', 'object/building/endor/shared_endor_lake_walkway_straight.iff', '0', '-0.0998334', '0', '0.995004', '-508.124', '-9', '-5057.31', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335370', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '-0.0998334', '0', '0.995004', '-509.714', '-9', '-5049.46', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335371', '0', 'object/building/endor/shared_endor_lake_walkway_straight.iff', '0', '0', '0', '1', '-538', '-9', '-5028', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335372', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '0', '0', '1', '-538', '-9.5', '-5019', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335373', '0', 'object/building/endor/shared_endor_lake_walkway_straight.iff', '0', '0', '0', '1', '-538', '-9', '-5076', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335374', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '0', '0', '1', '-538', '-9', '-5068', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335375', '0', 'object/building/endor/shared_endor_lake_platform.iff', '0', '0', '0', '1', '-558', '0.8', '-5060', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335376', '0', 'object/building/endor/shared_endor_lake_platform.iff', '0', '0', '0', '1', '-574', '0.8', '-5060', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335377', '0', 'object/building/endor/shared_endor_lake_platform.iff', '0', '0', '0', '1', '-566', '0.8', '-5076', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335378', '0', 'object/building/endor/shared_endor_lake_platform.iff', '0', '-0.0998334', '0', '0.995004', '-504.945', '0.8', '-5072.99', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335379', '0', 'object/building/endor/shared_endor_lake_platform.iff', '0', '0', '0', '1', '-582', '0.8', '-5076', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335380', '0', 'object/building/endor/shared_endor_lake_platform.iff', '0', '0', '0', '1', '-590', '0.8', '-5060', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335381', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '0', '0', '1', '-590', '-9', '-5036', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335382', '0', 'object/building/endor/shared_endor_lake_walkway_straight.iff', '0', '0', '0', '1', '-590', '-9', '-5044', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335383', '0', 'object/building/endor/shared_endor_lake_walkway_straight.iff', '0', '0', '0', '1', '-590', '-9', '-5028', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335384', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '0', '0', '1', '-590', '-9.5', '-5019', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335385', '0', 'object/building/endor/shared_endor_lake_platform.iff', '0', '0', '0', '1', '-646', '0.8', '-5076', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335386', '0', 'object/building/endor/shared_endor_lake_platform.iff', '0', '0', '0', '1', '-662', '0.8', '-5076', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335387', '0', 'object/building/endor/shared_endor_lake_platform.iff', '0', '0', '0', '1', '-646', '0.8', '-5092', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335388', '0', 'object/building/endor/shared_endor_lake_platform.iff', '0', '0', '0', '1', '-678', '0.8', '-5092', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335389', '0', 'object/building/endor/shared_endor_lake_platform.iff', '0', '0', '0', '1', '-678', '0.8', '-5076', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335390', '0', 'object/building/endor/shared_endor_lake_platform.iff', '0', '0', '0', '1', '-678', '0.8', '-5108', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335391', '0', 'object/building/endor/shared_endor_lake_platform.iff', '0', '0', '0', '1', '-662', '0.8', '-5108', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335392', '0', 'object/building/endor/shared_endor_lake_platform.iff', '0', '0', '0', '1', '-646', '0.8', '-5108', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335393', '0', 'object/building/endor/shared_endor_lake_platform.iff', '0', '0', '0', '1', '-619', '0.8', '-5052', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335394', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '0', '0', '1', '-538', '-9', '-5052', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335395', '0', 'object/building/endor/shared_endor_lake_walkway_straight.iff', '0', '0', '0', '1', '-538', '-9', '-5060', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335396', '0', 'object/building/endor/shared_endor_lake_walkway_straight.iff', '0', '0', '0', '1', '-538', '-9', '-5044', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335397', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '0', '0', '1', '-538', '-9', '-5036', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335398', '0', 'object/building/endor/shared_endor_lake_platform.iff', '0', '0', '0', '1', '-538', '0.8', '-5092', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335399', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '0', '0', '1', '-590', '-9', '-5052', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335400', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '0', '0', '1', '-558', '-9', '-5052', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335401', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '-0.237703', '0', '0.971338', '-477.104', '-9', '-5044.81', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335402', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '0', '0', '1', '-538', '-9', '-5084', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335403', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '-0.0998334', '0', '0.995004', '-506.535', '-9', '-5065.15', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335404', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '0', '0', '1', '-619', '-9', '-5044', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335405', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '0', '0', '1', '-646', '-9', '-5052', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335406', '0', 'object/building/endor/shared_endor_lake_walkway_straight.iff', '0', '0', '0', '1', '-646', '-9', '-5060', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335407', '0', 'object/building/endor/shared_endor_lake_walkway_straight.iff', '0', '0', '0', '1', '-646', '-9', '-5044', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335408', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '0', '0', '1', '-646', '-9.5', '-5035', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335409', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '0', '0', '1', '-677', '-9', '-5052', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335410', '0', 'object/building/endor/shared_endor_lake_walkway_straight.iff', '0', '0', '0', '1', '-677', '-9', '-5060', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335411', '0', 'object/building/endor/shared_endor_lake_walkway_straight.iff', '0', '0', '0', '1', '-677', '-9', '-5044', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335412', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '0', '0', '1', '-677', '-9.5', '-5035', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335413', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '0', '0', '1', '-677', '-9', '-5068', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335414', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '0', '0', '1', '-646', '-9', '-5068', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335419', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '0.707106', '0', '0.707107', '-622', '-9', '-5076', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335420', '0', 'object/building/endor/shared_endor_lake_walkway_straight.iff', '0', '0.707106', '0', '0.707107', '-630', '-9', '-5076', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335421', '0', 'object/building/endor/shared_endor_lake_walkway_straight.iff', '0', '0.707106', '0', '0.707107', '-614', '-9', '-5076', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335422', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '0.707106', '0', '0.707107', '-606', '-9', '-5076', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335423', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '0.707106', '0', '0.707107', '-638', '-9', '-5076', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335424', '0', 'object/building/endor/shared_endor_lake_walkway_straight.iff', '0', '0.707106', '0', '0.707107', '-598', '-9', '-5076', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335425', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '0.707106', '0', '0.707107', '-590', '-9', '-5076', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335426', '0', 'object/building/endor/shared_endor_lake_hut.iff', '0', '0', '0', '1', '-662', '0.966914', '-5108', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335427', '0', 'object/building/endor/shared_endor_lake_hut_s02.iff', '0', '0.382683', '0', '0.92388', '-680.099', '1.04', '-5110.02', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335428', '0', 'object/building/endor/shared_endor_lake_hut_s02.iff', '0', '0.707105', '0', '0.707108', '-680.141', '1.04', '-5093.75', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335429', '0', 'object/building/endor/shared_endor_lake_hut_s02.iff', '0', '0.707106', '0', '0.707108', '-680.307', '1.04', '-5079.79', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335430', '0', 'object/building/endor/shared_endor_lake_hut_s02.iff', '0', '0.707107', '0', '-0.707107', '-643.465', '1.04', '-5093.05', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335431', '0', 'object/building/endor/shared_endor_lake_hut_s02.iff', '0', '-0.382684', '0', '0.923879', '-643.465', '1.04', '-5110.05', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335432', '0', 'object/building/endor/shared_endor_lake_hut_s02.iff', '0', '0.923878', '0', '0.382687', '-592.352', '1.04', '-5062.23', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335433', '0', 'object/building/endor/shared_endor_lake_hut.iff', '0', '0', '0', '1', '-619.052', '0.920746', '-5052.78', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335434', '0', 'object/building/endor/shared_endor_lake_hut_s02.iff', '0', '1', '0', '2.96043e-06', '-574', '1.04', '-5057.57', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335435', '0', 'object/building/endor/shared_endor_lake_hut_s02.iff', '0', '0.923881', '0', '-0.382681', '-555.533', '1.04', '-5062.25', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335436', '0', 'object/building/endor/shared_endor_lake_hut.iff', '0', '0', '0', '1', '-574.315', '0.980118', '-5076.2', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335437', '0', 'object/building/endor/shared_endor_lake_hut_s02.iff', '0', '-0.0998364', '0', '0.995004', '-504.439', '1.04', '-5075.47', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335438', '0', 'object/building/endor/shared_endor_lake_hut_s02.iff', '0', '-0.243332', '0', '0.969943', '-472.299', '1.04', '-5054.22', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335439', '0', 'object/building/endor/shared_endor_lake_hut.iff', '0', '0', '0', '1', '-537.993', '0.946637', '-5092.66', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335440', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '-0.099833', '0', '0.995004', '-489.181', '0.911', '-5012.98', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335441', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '-0.099833', '0', '0.995004', '-487.632', '0.911', '-5033.25', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335442', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '-0.099833', '0', '0.995004', '-612.726', '0.911', '-5052.45', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335443', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '-0.099833', '0', '0.995004', '-625.622', '0.911', '-5052.22', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335444', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '-0.099833', '0', '0.995004', '-614.978', '0.911', '-5026.19', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335445', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '-0.099833', '0', '0.995004', '-622.902', '0.911', '-5080', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335446', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '-0.099833', '0', '0.995004', '-605.205', '0.911', '-5080', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335447', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '-0.099833', '0', '0.995004', '-675.16', '0.911', '-5091.88', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335448', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '-0.099833', '0', '0.995004', '-641.995', '0.911', '-5034.2', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335449', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '-0.099833', '0', '0.995004', '-649.939', '0.911', '-5068.91', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335450', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '-0.099833', '0', '0.995004', '-680.989', '0.911', '-5034.21', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335451', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '-0.099833', '0', '0.995004', '-680.988', '0.911', '-5068.89', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335452', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '-0.099833', '0', '0.995004', '-554.207', '0.911', '-5018.29', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335453', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '-0.099833', '0', '0.995004', '-554', '0.911', '-5053', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335454', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '-0.099833', '0', '0.995004', '-502.904', '1.38534', '-5064.84', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335455', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '-0.099833', '0', '0.995004', '-514.789', '0.911', '-5042.34', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335456', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '-0.099833', '0', '0.995004', '-593.971', '0.911', '-5052.87', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335457', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '-0.099833', '0', '0.995004', '-593.951', '0.911', '-5018.18', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335458', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '-0.099833', '0', '0.995004', '-533.986', '0.911', '-5083.21', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335459', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '-0.099833', '0', '0.995004', '-541.979', '0.911', '-5052.89', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335460', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '-0.099833', '0', '0.995004', '-534', '0.911', '-5018.19', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335461', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0', '0', '1', '-472.257', '2.14333', '-5054.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335468', '0', 'object/static/item/shared_item_bowl_shallow.iff', '0', '0', '0', '1', '-472.234', '1.83089', '-5054.27', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335469', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0', '0', '1', '-538.001', '1.29178', '-5092.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335470', '0', 'object/static/item/shared_item_bowl_shallow.iff', '0', '0', '0', '1', '-537.978', '0.984345', '-5092.07', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335471', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0', '0', '1', '-574.179', '1.28093', '-5076.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335472', '0', 'object/static/item/shared_item_bowl_shallow.iff', '0', '0', '0', '1', '-574.156', '0.966204', '-5076.03', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335473', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0', '0', '1', '-643.553', '2.18776', '-5109.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335474', '0', 'object/static/item/shared_item_bowl_shallow.iff', '0', '0', '0', '1', '-643.53', '1.87638', '-5110', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335475', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0', '0', '1', '-662.048', '1.36872', '-5107.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335476', '0', 'object/static/item/shared_item_bowl_shallow.iff', '0', '0', '0', '1', '-662.025', '1.05891', '-5107.98', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335477', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '-0.099833', '0', '0.995004', '-649.04', '0.911', '-5091.09', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335478', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '-0.198669', '0', '0.980067', '-619.795', '1.00314', '-5057.69', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335479', '0', 'object/static/item/shared_item_basket_frame.iff', '0', '0', '0', '1', '-662.382', '0.974342', '-5112.4', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335480', '0', 'object/static/item/shared_item_basket_shallow.iff', '0', '0', '0', '1', '-662.4', '1.57517', '-5112.42', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335481', '0', 'object/static/item/shared_item_basket_shallow.iff', '0', '0.727726', '0', '-0.685869', '-502.47', '2.02237', '-5076.03', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335482', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '-0.470626', '0', '0.882333', '-568.826', '1.02225', '-5075.66', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335483', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '0.947396', '0', '-0.320063', '-568.596', '1.02225', '-5076.79', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335484', '0', 'object/static/item/shared_item_basket_frame.iff', '0', '0.21823', '0', '0.975897', '-620.985', '1.00314', '-5057.53', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335485', '0', 'object/static/item/shared_item_basket_shallow.iff', '0', '0.21823', '0', '0.975897', '-621.006', '1.60397', '-5057.55', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335486', '0', 'object/static/item/shared_item_basket_frame.iff', '0', '0', '0', '1', '-681.79', '2.00449', '-5078.36', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335487', '0', 'object/static/item/shared_item_basket_shallow.iff', '0', '0', '0', '1', '-681.804', '2.60532', '-5078.34', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335488', '0', 'object/static/item/shared_item_basket_shallow.iff', '0', '0.0799147', '0', '0.996802', '-622.346', '1.00314', '-5057.14', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335489', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '-0.309816', '0', '0.950796', '-572.397', '1.02225', '-5080.2', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335490', '0', 'object/static/item/shared_item_basket_frame.iff', '0', '0.21823', '0', '0.975897', '-573.784', '1.02225', '-5080.38', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335491', '0', 'object/static/item/shared_item_basket_shallow.iff', '0', '0.21823', '0', '0.975897', '-573.805', '1.62308', '-5080.4', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335492', '0', 'object/static/item/shared_item_basket_shallow.iff', '0', '0.257081', '0', '0.96639', '-575.295', '1.02225', '-5079.77', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335493', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '0.786425', '0', '-0.617685', '-502.625', '2.02237', '-5074.76', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335494', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '-0.674288', '0', '0.738468', '-472.2', '2.00613', '-5057.8', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335495', '0', 'object/static/item/shared_item_basket_shallow.iff', '0', '-0.0948572', '0', '0.995491', '-615.126', '0.959244', '-5048.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335496', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '-0.0948572', '0', '0.995491', '-613.987', '0.959244', '-5048.25', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335497', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '-0.0948572', '0', '0.995491', '-614.116', '0.959244', '-5049.4', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335498', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '-0.164252', '0', '0.986418', '-683.595', '2.02822', '-5094.2', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335499', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '0.655617', '0', '0.755093', '-683.567', '2.02822', '-5095.36', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335500', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '0.681639', '0', '0.731688', '-677.931', '2.03172', '-5106.59', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335501', '0', 'object/static/item/shared_item_basket_shallow.iff', '0', '-0.237703', '0', '0.971338', '-666.572', '1.01354', '-5105.28', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335502', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '0.585097', '0', '0.810963', '-656.527', '0.974342', '-5108.75', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335503', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '-0.361615', '0', '0.932327', '-661.219', '0.974342', '-5112.97', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335504', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '0.975723', '0', '-0.219007', '-647.074', '2.0378', '-5091.76', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335505', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '0.509841', '0', '0.860269', '-643.571', '2.00618', '-5113', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335506', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '-0.692537', '0', '0.721383', '-640.092', '2.00379', '-5110.89', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335507', '0', 'object/static/item/shared_item_basket_shallow.iff', '0', '0.257081', '0', '0.96639', '-575.914', '2.02875', '-5058.46', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335508', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '0.786425', '0', '-0.617686', '-589.964', '2.05758', '-5062.88', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335509', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '0.144493', '0', '0.989506', '-553.924', '2.0658', '-5062.22', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335510', '0', 'object/static/item/shared_item_basket_shallow.iff', '0', '0.659385', '0', '0.751805', '-554.315', '2.0658', '-5060.84', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335511', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '-0.685288', '0', '0.728272', '-533.626', '1.00596', '-5095.31', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335512', '0', 'object/static/item/shared_item_basket_shallow.iff', '0', '-0.218229', '0', '0.975897', '-534.365', '1.6068', '-5096.52', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335513', '0', 'object/static/item/shared_item_basket_frame.iff', '0', '-0.218229', '0', '0.975897', '-534.367', '1.00596', '-5096.49', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335514', '0', 'object/static/item/shared_item_basket_shallow.iff', '0', '-0.281157', '0', '0.959662', '-540.026', '1.00596', '-5096.94', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335515', '0', 'object/static/item/shared_item_basket_shallow.iff', '0', '-0.0299952', '0', '0.99955', '-538.957', '1.6068', '-5097.57', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335516', '0', 'object/static/item/shared_item_basket_frame.iff', '0', '-0.0299952', '0', '0.99955', '-538.947', '1.00596', '-5097.55', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335517', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '0.868215', '0', '-0.496189', '-470.97', '2.01465', '-5057.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335518', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '-0.589145', '0', '0.808028', '-476.789', '0.9711', '-5050.48', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335519', '0', 'object/building/endor/shared_endor_lake_walkway_square.iff', '0', '-0.707107', '0', '0.707107', '-614', '-9', '-5084', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335520', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '0', '0', '1', '-614', '-9', '-5080', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335521', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '0', '0', '1', '-614', '-9.0771', '-5088', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335522', '0', 'object/building/endor/shared_endor_lake_platform.iff', '0', '0', '0', '1', '-614', '0.8', '-5096', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335523', '0', 'object/building/endor/shared_endor_lake_hut_s02.iff', '0', '-0.00310028', '0', '0.999995', '-614.051', '1.07005', '-5098.57', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335524', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '0.968715', '0', '0.248175', '-615.16', '2.08309', '-5099.74', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335525', '0', 'object/static/item/shared_item_basket_shallow.iff', '0', '0.947905', '0', '-0.318553', '-613.906', '2.08309', '-5100.43', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335526', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '-0.099833', '0', '0.995004', '-612.478', '0.911', '-5093.12', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335527', '0', 'object/building/endor/shared_endor_village_tree.iff', '0', '0.382683', '0', '0.92388', '4491', '9.97864', '-2422', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335528', '0', 'object/building/endor/shared_endor_village_tree.iff', '0', '0', '0', '1', '4544', '20', '-2413', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335529', '0', 'object/building/endor/shared_endor_village_tree.iff', '0', '-0.707106', '0', '0.707108', '4596', '10.0658', '-2413', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335530', '0', 'object/building/endor/shared_endor_village_tree.iff', '0', '1', '0', '8.32009e-07', '4544', '20', '-2361', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335531', '0', 'object/building/endor/shared_endor_village_tree.iff', '0', '0', '0', '1', '4544', '30', '-2465', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335532', '0', 'object/building/endor/shared_endor_catwalk.iff', '0', '0', '0', '1', '4544', '30', '-2397', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335533', '0', 'object/building/endor/shared_endor_catwalk_cap.iff', '0', '0', '0', '1', '4544', '30', '-2372', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335534', '0', 'object/building/endor/shared_endor_catwalk.iff', '0', '0', '0', '1', '4544', '30', '-2387', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335535', '0', 'object/building/endor/shared_endor_catwalk.iff', '0', '0', '0', '1', '4544', '30', '-2377', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335537', '0', 'object/building/endor/shared_endor_catwalk.iff', '0', '0', '0', '1', '4544', '40', '-2449', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335538', '0', 'object/building/endor/shared_endor_catwalk.iff', '0', '0', '0', '1', '4544', '40', '-2439', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335539', '0', 'object/building/endor/shared_endor_catwalk.iff', '0', '0', '0', '1', '4544', '40', '-2429', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335541', '0', 'object/building/endor/shared_endor_catwalk.iff', '0', '-0.707106', '0', '0.707107', '4560', '30', '-2413', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335542', '0', 'object/building/endor/shared_endor_catwalk.iff', '0', '0.707107', '0', '-0.707107', '4570', '30', '-2413', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335543', '0', 'object/building/endor/shared_endor_catwalk.iff', '0', '0.707107', '0', '-0.707107', '4580', '30', '-2413', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335545', '0', 'object/building/endor/shared_endor_catwalk.iff', '0', '0.382683', '0', '0.92388', '4509', '30', '-2404', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335546', '0', 'object/building/endor/shared_endor_catwalk.iff', '0', '0.382683', '0', '0.92388', '4516', '30', '-2397', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335547', '0', 'object/building/endor/shared_endor_catwalk.iff', '0', '0.382683', '0', '0.92388', '4502', '30', '-2411', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335548', '0', 'object/building/endor/shared_endor_village_tree.iff', '0', '0.92388', '0', '-0.382683', '4527', '19.9059', '-2386', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335549', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '0.688922', '0', '0.724835', '4528.45', '20.0969', '-2376.23', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335550', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '0.983082', '0', '-0.183166', '4538.73', '20.0018', '-2369.21', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335551', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '0.297339', '0', '0.954772', '4538.67', '20', '-2353.07', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335552', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '-0.229526', '0', '0.973303', '4542.46', '20', '-2403.31', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335553', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '0.535419', '0', '0.844587', '4549.66', '20', '-2420.88', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335554', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '0.968716', '0', '0.248173', '4591.06', '10.099', '-2399.04', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335555', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '0.908003', '0', '-0.418964', '4608.17', '10', '-2403.36', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335556', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '0.941956', '0', '0.335736', '4553.74', '30', '-2462.87', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335557', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '0.560511', '0', '0.828147', '4549.71', '30', '-2473.09', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335558', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '0.0349955', '0', '0.999387', '4556.7', '29.9998', '-2475.11', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335559', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '0.998444', '0', '0.0557649', '4484.86', '10', '-2398.38', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335560', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '0.846833', '0', '0.531859', '4477.62', '10', '-2403.08', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335561', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '0.76433', '0', '0.644825', '4497.53', '19.9904', '-2423.02', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335562', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '0.998153', '0', '0.0607567', '4492.06', '30.015', '-2428.45', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335563', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '-0.0799126', '0', '0.996802', '4490.07', '30.0688', '-2415.96', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335564', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '-0.685287', '0', '0.728273', '4520.83', '29.9481', '-2384.51', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335565', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '-0.377033', '0', '0.9262', '4522.66', '39.986', '-2381.67', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335566', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '0.997836', '0', '0.0657467', '4528', '40.1118', '-2392.17', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335567', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '0.894177', '0', '-0.447713', '4538.94', '30.0184', '-2364.7', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335568', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '-0.586387', '0', '0.810031', '4538', '40.0585', '-2358.34', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335569', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '0.897912', '0', '0.440176', '4549.45', '40.0639', '-2364.86', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335570', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '-0.311329', '0', '0.950302', '4539.78', '40.0483', '-2408.45', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335571', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '0.341403', '0', '0.939917', '4548.39', '30.0618', '-2408.4', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335572', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '0.709233', '0', '0.704974', '4549.95', '40.0152', '-2412.98', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335573', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '0.979606', '0', '-0.200927', '4593.05', '30.0885', '-2418.09', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335574', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '0.306494', '0', '0.951873', '4599.61', '30.0544', '-2408', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335575', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '-0.433608', '0', '0.901102', '4590.93', '20.0564', '-2408.98', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335576', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '0.306494', '0', '0.951873', '4547.83', '40.0718', '-2460.12', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335577', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '0.949958', '0', '0.312379', '4547.28', '50.0541', '-2469.86', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335578', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '-0.313135', '0', '0.949709', '4540.75', '50.0443', '-2460.27', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335579', '0', 'object/building/endor/shared_endor_catwalk_cap.iff', '0', '0', '0', '1', '4544', '40', '-2424', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335580', '0', 'object/building/endor/shared_endor_catwalk_cap.iff', '0', '0', '0', '1', '4544', '40', '-2434', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335581', '0', 'object/building/endor/shared_endor_catwalk_cap.iff', '0', '0', '0', '1', '4544', '40', '-2444', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335582', '0', 'object/building/endor/shared_endor_catwalk_cap.iff', '0', '0', '0', '1', '4544', '40', '-2454', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335583', '0', 'object/building/endor/shared_endor_village_tree_viewpoint.iff', '0', '0.707107', '0', '0.707107', '4555.5', '50', '-2465', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335584', '0', 'object/building/endor/shared_endor_village_tree_viewpoint.iff', '0', '0.707106', '0', '0.707107', '4555.5', '40', '-2465', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335585', '0', 'object/building/endor/shared_endor_village_tree_viewpoint.iff', '0', '1', '0', '-3.20013e-08', '4544', '50', '-2476.5', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335586', '0', 'object/building/endor/shared_endor_village_tree_viewpoint.iff', '0', '0', '0', '1', '4544', '50', '-2453.5', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335587', '0', 'object/building/endor/shared_endor_village_tree_viewpoint.iff', '0', '0', '0', '1', '4544', '40', '-2401.5', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335588', '0', 'object/building/endor/shared_endor_village_tree_viewpoint.iff', '0', '0.707106', '0', '0.707107', '4555.5', '40', '-2413', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335589', '0', 'object/building/endor/shared_endor_catwalk_cap.iff', '0', '0.707106', '0', '0.707107', '4555', '30', '-2413', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335590', '0', 'object/building/endor/shared_endor_catwalk_cap.iff', '0', '0.707106', '0', '0.707107', '4565', '30', '-2413', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335591', '0', 'object/building/endor/shared_endor_catwalk_cap.iff', '0', '0.707106', '0', '0.707107', '4575', '30', '-2413', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335592', '0', 'object/building/endor/shared_endor_catwalk_cap.iff', '0', '0', '0', '1', '4544', '30', '-2402', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335593', '0', 'object/building/endor/shared_endor_catwalk_cap.iff', '0', '0', '0', '1', '4544', '30', '-2392', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335594', '0', 'object/building/endor/shared_endor_catwalk_cap.iff', '0', '0', '0', '1', '4544', '30', '-2382', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335595', '0', 'object/building/endor/shared_endor_catwalk_cap.iff', '0', '0.707106', '0', '0.707107', '4585', '30', '-2413', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335596', '0', 'object/building/endor/shared_endor_village_tree_viewpoint.iff', '0', '-0.707106', '0', '0.707107', '4532.5', '30', '-2361', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335597', '0', 'object/building/endor/shared_endor_village_tree_viewpoint.iff', '0', '0', '0', '1', '4544', '40', '-2349.5', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335598', '0', 'object/building/endor/shared_endor_village_tree_viewpoint.iff', '0', '0.707107', '0', '-0.707106', '4532.41', '40', '-2361', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335599', '0', 'object/building/endor/shared_endor_village_tree_viewpoint.iff', '0', '1', '0', '-3.20013e-08', '4544', '40', '-2372.5', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335600', '0', 'object/building/endor/shared_endor_village_tree_viewpoint.iff', '0', '0.707107', '0', '0.707107', '4607.5', '30', '-2413', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335601', '0', 'object/building/endor/shared_endor_village_tree_viewpoint.iff', '0', '0', '0', '1', '4596', '30', '-2401.5', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335602', '0', 'object/building/endor/shared_endor_village_tree_viewpoint.iff', '0', '0', '0', '1', '4596', '20', '-2401.5', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335603', '0', 'object/building/endor/shared_endor_village_tree_viewpoint.iff', '0', '-0.707106', '0', '0.707107', '4584.5', '20', '-2413', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335604', '0', 'object/building/endor/shared_endor_village_tree_viewpoint.iff', '0', '0.382683', '0', '0.92388', '4535.13', '39.8419', '-2377.88', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335605', '0', 'object/building/endor/shared_endor_village_tree_viewpoint.iff', '0', '0.92388', '0', '-0.382683', '4518.91', '39.8419', '-2394.09', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335606', '0', 'object/building/endor/shared_endor_village_tree_viewpoint.iff', '0', '-0.382683', '0', '0.92388', '4518.93', '39.8735', '-2377.93', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335607', '0', 'object/building/endor/shared_endor_village_tree_viewpoint.iff', '0', '-0.382683', '0', '0.92388', '4519', '29.8419', '-2378', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335608', '0', 'object/building/endor/shared_endor_catwalk_cap.iff', '0', '0.92388', '0', '-0.382683', '4512.45', '29.9368', '-2400.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335609', '0', 'object/building/endor/shared_endor_catwalk_cap.iff', '0', '0.92388', '0', '-0.382683', '4498.75', '29.9368', '-2414.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335610', '0', 'object/building/endor/shared_endor_catwalk_cap.iff', '0', '0.92388', '0', '-0.382683', '4505.5', '29.9368', '-2407.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335611', '0', 'object/building/endor/shared_endor_catwalk_cap.iff', '0', '0.92388', '0', '-0.382683', '4519.33', '29.9051', '-2393.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335612', '0', 'object/building/endor/shared_endor_village_tree_viewpoint.iff', '0', '0.92388', '0', '0.382683', '4499', '29.9051', '-2430', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335613', '0', 'object/building/endor/shared_endor_village_tree_viewpoint.iff', '0', '0.923879', '0', '-0.382684', '4483', '29.9051', '-2430', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335614', '0', 'object/building/endor/shared_endor_village_tree_viewpoint.iff', '0', '0.382684', '0', '0.923879', '4499', '19.9051', '-2414', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335615', '0', 'object/building/endor/shared_endor_village_tree_viewpoint.iff', '0', '0.92388', '0', '0.382683', '4499.07', '19.9051', '-2430.07', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335616', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '4483.46', '10', '-2401.54', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335617', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '4487.61', '29.9699', '-2411.49', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335618', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '4498.24', '30.2371', '-2412.87', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335619', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '4501.8', '19.9317', '-2421.53', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335620', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '4491.32', '29.9699', '-2433.08', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335621', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '4517.36', '29.9089', '-2381', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335622', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '4532.66', '39.8979', '-2395.14', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335623', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '4519.41', '40.1825', '-2376.54', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335624', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '4518.05', '30.1901', '-2392.96', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335625', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '4510.07', '30.0048', '-2405.07', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335626', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '4553.05', '50.0121', '-2471.67', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335627', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '4534.88', '50.0121', '-2458.39', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335628', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '4535.56', '20', '-2370.45', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335629', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '4534.81', '39.9951', '-2354.44', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335630', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '4534.88', '30.0023', '-2367.47', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335631', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '4554.35', '40.026', '-2363.41', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335632', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '4534.94', '39.9569', '-2406.36', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335633', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '4556.1', '40.3047', '-2414.39', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335634', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '4539.55', '20', '-2401.4', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335635', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '4553.1', '29.9718', '-2406.38', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335636', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '4545.38', '30.1905', '-2401.11', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335637', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '4545.32', '30.2979', '-2372.27', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335638', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '4553.14', '40.0267', '-2458.41', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335639', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '4542.72', '40.3046', '-2453.25', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335640', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '4545.49', '40.0176', '-2439.29', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335641', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '4542.68', '40.2733', '-2424.81', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335642', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '4607.61', '10.0018', '-2406.33', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335643', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '4597.36', '20.2994', '-2400.95', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335644', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '4593.63', '29.9823', '-2423.54', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335645', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '4593.92', '10.0116', '-2400.33', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335646', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '4602.61', '29.983', '-2403.87', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335647', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '4555.94', '30.1725', '-2411.65', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335648', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '4591.71', '10.0175', '-2423.21', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335649', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '4585.34', '19.9827', '-2409.44', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335650', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '4583.99', '30.2356', '-2411.56', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5335651', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '4569.58', '29.9831', '-2414.52', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455352', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0777772', '0.481715', '0.0830557', '0.868909', '6082.43', '261.529', '-2455.97', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455354', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '-0.0445716', '0.350429', '0.0298251', '0.935053', '6090.68', '263.608', '-2474.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455355', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '-0.609159', '0', '0.793048', '6032.32', '262', '-2447.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455356', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0396085', '0.790889', '-0.0514803', '-0.608503', '6020.68', '258.715', '-2481.77', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455357', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0153194', '0.551791', '0.0221372', '0.833548', '6025.18', '259.157', '-2496.4', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455358', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0', '0.974972', '0', '0.222331', '6022.68', '259.215', '-2476.29', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455359', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.0130964', '0.985345', '-0.04849', '0.163015', '6019.61', '260', '-2467.99', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455360', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0340051', '0.00268094', '0.0265893', '0.999064', '6018.06', '261.109', '-2460.07', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455361', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '0.466211', '0', '0.884674', '6099.98', '263', '-2479.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455362', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '0.928369', '0', '0.37166', '6094.07', '263', '-2498.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455363', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '0.873133', '0', '0.487482', '6047.18', '261.844', '-2465.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455364', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '-0.0099998', '0', '0.99995', '6062.05', '262', '-2501.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455365', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '0.996738', '0', '-0.0807083', '6058.71', '262', '-2518.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455366', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '-0.333487', '0', '0.942755', '6062.17', '263', '-2438.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455367', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '0.0349943', '0', '0.999388', '6071.65', '263', '-2432.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455368', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '0.819192', '0', '0.57352', '6078.39', '263', '-2451.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455369', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '0.960835', '0', '-0.277121', '6048.42', '262', '-2516.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455370', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '-0.206901', '0', '0.978362', '6031.75', '262', '-2467.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455371', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '0.51482', '0', '0.857298', '6108.52', '265', '-2451.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455372', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.021446', '0.341034', '0.0791252', '0.93647', '6088.62', '262.629', '-2450.47', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455373', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.000637622', '0.0321444', '0.0198221', '0.999286', '6090.82', '263.029', '-2443.37', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455374', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0', '0.389418', '0', '0.921061', '6094.51', '263.811', '-2435.41', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455375', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.046589', '0.611088', '0.0426668', '0.789038', '6101.96', '264.324', '-2431.38', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455376', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0', '-0.587257', '0', '0.809401', '6110.64', '264.771', '-2432.15', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455377', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0', '0.24482', '0', '0.969569', '6123.24', '265', '-2459.33', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455378', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0', '0.968715', '0', '0.248176', '6123.59', '265', '-2442.51', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455379', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0', '0.999953', '0', '-0.00972957', '6125.6', '265', '-2450.77', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455380', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0', '0.901121', '0', '0.433568', '6118.26', '265', '-2435.96', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455381', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.118764', '0.652859', '0.0365846', '0.747216', '6086.19', '261.544', '-2468.71', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455382', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0123576', '0.731234', '-0.0379518', '-0.680958', '6102.6', '263.073', '-2472.26', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455383', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0236221', '-0.501159', '0.0497185', '0.863603', '6094.23', '262.612', '-2470.06', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455384', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0', '0.40989', '0', '0.912135', '6117.88', '264.297', '-2466', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455385', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0166023', '0.553243', '-0.0249819', '0.83248', '6110.46', '263.704', '-2470.28', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455386', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '-0.0235852', '0.806912', '0.0322937', '0.589316', '6085.34', '263.688', '-2442.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455387', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '0.605188', '0', '0.796083', '6101', '263', '-2505.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455388', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0498793', '0.258491', '-0.0126062', '0.964643', '6112.37', '264.13', '-2472.85', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455389', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.025029', '0.175372', '-0.0307977', '0.983702', '6108.19', '262.412', '-2480.77', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455390', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0266297', '0.0598987', '-0.0468702', '0.996748', '6106.41', '262.253', '-2489.28', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455391', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0316324', '-0.063482', '-0.0239658', '0.997194', '6106.78', '262.327', '-2498', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455392', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.00773867', '0.129748', '-0.0373018', '0.990815', '6106.22', '262.36', '-2506.76', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455393', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0214968', '0.282302', '-0.0333595', '0.958504', '6102.69', '262.698', '-2514.48', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455394', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0168113', '0.408739', '-0.0359492', '0.911788', '6097.02', '262.583', '-2520.93', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455395', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0632383', '0.704908', '0.0132617', '0.70635', '6089.67', '262.429', '-2523.73', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455396', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.146965', '0.693436', '0.0691743', '0.701971', '6081.48', '260.51', '-2523.75', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455397', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0386159', '0.758067', '-0.123556', '0.639201', '6069.89', '259.426', '-2523.55', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455398', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0558754', '0.71127', '-0.14327', '0.685891', '6061.12', '260.504', '-2522.98', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455399', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0894162', '0.720797', '-0.0794606', '0.682746', '6052.56', '261.22', '-2523.14', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455400', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0954364', '0.904521', '-0.0268597', '0.414743', '6045.13', '261.282', '-2519.8', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455401', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.176318', '0.942192', '0.035641', '0.282694', '6039.73', '260.622', '-2513.46', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455402', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.0184523', '-0.154947', '0.0846715', '0.984115', '6036.12', '259.598', '-2505.95', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455403', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.0724988', '0.934865', '0.0189312', '0.347006', '6031.82', '259.458', '-2498.09', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455406', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0', '0.117223', '0', '0.993106', '6019.28', '261.352', '-2451.62', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455407', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.022354', '0.446723', '0.0335316', '0.893764', '6023.84', '261.186', '-2444.79', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455408', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.0497128', '0.464093', '-0.0307568', '0.883856', '6030.66', '260.655', '-2439.86', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455409', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.0436936', '0.458548', '0.0841947', '0.883592', '6037.81', '259.648', '-2435.21', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455410', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0620029', '0.491871', '0.161996', '0.853215', '6044.88', '261.263', '-2429.98', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455411', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0', '0.365062', '0', '0.930983', '6051.11', '262.396', '-2424.77', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455412', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.0672383', '0.588691', '0.0492289', '0.804051', '6058.22', '262.839', '-2420.37', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455413', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.10576', '0.832209', '0.0515419', '0.541836', '6066.23', '262.284', '-2420.97', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455414', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.128285', '0.917116', '0.0449515', '0.374726', '6073.22', '262.133', '-2426.08', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455415', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0775522', '0.782211', '-0.127405', '-0.604896', '6012.71', '257.274', '-2483.69', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455416', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0217936', '0.808983', '-0.174606', '-0.560878', '6017.66', '257.795', '-2499.22', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455417', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.128267', '0.892836', '0.0432617', '0.429558', '6079.66', '262.106', '-2432.01', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455418', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0199628', '0.812006', '0.155854', '0.5621', '6087.22', '263.065', '-2436.98', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455419', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '0.548024', '0', '0.836463', '6061.01', '263', '-2427.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455420', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '0.864924', '0', '0.501902', '6100.34', '263', '-2490.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455421', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '0.983082', '0', '0.183164', '6091.55', '263', '-2518.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455422', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '-0.193767', '0', '0.981048', '6047.22', '262', '-2501.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455423', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '0.998248', '0', '0.0591693', '6054.78', '262', '-2493.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455424', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '0.727726', '0', '-0.685868', '6030.27', '262', '-2457.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455425', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.19888', '-0.0434305', '-0.20888', '0.956519', '6097.82', '265.357', '-2450.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455426', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '-0.129745', '0.194033', '0.240793', '0.942091', '6099.24', '264.995', '-2460.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455427', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '-0.139605', '0.949854', '0.0780694', '-0.268688', '6100.41', '264.748', '-2461', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455428', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '-0.00822333', '0.971187', '0.112221', '0.210084', '6103.77', '264.758', '-2460.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455429', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '-0.144292', '-0.0898024', '-0.02563', '0.985119', '6099.5', '264.466', '-2449.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455430', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '-0.101308', '0.487241', '-0.176568', '0.849209', '6079.78', '263.124', '-2470.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455431', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '-0.255033', '0.725593', '-0.0373301', '-0.638028', '6080.73', '263.264', '-2469.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455432', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '-0.158172', '-0.0190723', '0.118183', '0.980128', '6077.5', '263.464', '-2457.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455433', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '-0.222769', '0.0122647', '-0.0535866', '0.97332', '6076.34', '263.484', '-2457.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455434', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '-0.102371', '0.447836', '-0.165377', '0.872705', '6096.79', '264.681', '-2452.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455435', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.37146', '0.174981', '0.318497', '0.854376', '6101.85', '265.026', '-2460.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455436', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.198229', '0.14281', '-0.0265275', '0.969333', '6095.38', '265.003', '-2453.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455437', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0.0861352', '-0.0262305', '-0.0729512', '0.993263', '6107', '264.63', '-2460.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455438', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '-0.0312662', '0.724052', '0.179799', '0.665164', '6044.72', '261.745', '-2474.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455439', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '-0.0366187', '0.973775', '0.175344', '0.140272', '6113.3', '264.63', '-2459.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455440', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0.160111', '-0.488685', '0.0411169', '0.856657', '6115.74', '264.63', '-2457.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455441', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '-0.174576', '0.895994', '-0.0212357', '-0.407758', '6116.94', '264.63', '-2453.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455442', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '-0.104737', '0.993829', '-0.00382652', '0.036309', '6116.84', '264.63', '-2450.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455443', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '-0.104737', '0.993829', '-0.00382652', '0.036309', '6116.83', '264.63', '-2450.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455444', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0.034419', '0.912357', '-0.134236', '0.385227', '6059.3', '261.173', '-2467.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455445', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '-0.0563734', '0.985783', '-0.0635701', '0.14496', '6112.27', '264.63', '-2443.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455446', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '-0.0221895', '0.890178', '-0.0670148', '0.450111', '6108.95', '264.63', '-2441.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455447', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '-0.0657465', '-0.397793', '0.025705', '0.914755', '6105.63', '264.63', '-2442.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455448', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0.0165927', '-0.590301', '0.252801', '0.766395', '6032.97', '261.083', '-2477.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455449', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '-0.0577343', '-0.485101', '-0.0605575', '0.870446', '6101.49', '264.63', '-2446.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455450', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '-0.167283', '0.0252823', '-0.147284', '0.974518', '6081.26', '263.272', '-2470.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455451', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.196993', '0.0257543', '0.12705', '0.971797', '6077.08', '263.372', '-2458.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455452', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '-0.167283', '0.025282', '-0.147284', '0.974518', '6087.78', '264.027', '-2469.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455453', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0.185178', '0.905207', '-0.0870021', '-0.372478', '6102.94', '264.325', '-2443.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455454', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '-0.0493824', '-0.494914', '0.157795', '0.853067', '6115.84', '264.463', '-2446.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455455', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0.178755', '0.223084', '0.0701232', '0.9557', '6110.49', '264.368', '-2460.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455456', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0.0313728', '0.412236', '0.0933752', '0.905736', '6065.48', '261.599', '-2461.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455457', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '-0.183053', '0.898216', '0.140311', '0.374181', '5976.79', '247.826', '-2513.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455458', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0.154199', '-0.553085', '0.294238', '0.764031', '6011.1', '254.249', '-2501.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455459', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0.00773192', '-0.085086', '-0.0952314', '0.991782', '6061.66', '260.951', '-2482.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455460', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '-0.146298', '0.185836', '0.0226341', '0.971365', '6049.55', '261.068', '-2484.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455461', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '-0.325919', '0.943171', '0.0648379', '0.00109107', '6036.24', '260.706', '-2491.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455462', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0.114361', '0.657412', '0.212302', '0.713904', '6073.57', '261.634', '-2476.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455463', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '-0.30965', '0.785535', '0.0748368', '0.53052', '6006.01', '253.832', '-2484.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455464', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '-0.140146', '0.673082', '-0.0963739', '0.719744', '5970.43', '247.506', '-2491.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455465', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '0.0869722', '0.0226715', '0.222203', '0.970849', '6006.91', '254.423', '-2484.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455466', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '0.0696151', '-0.452282', '0.188475', '0.868949', '6012.03', '254.826', '-2501.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455467', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0', '0', '1', '6096.32', '265', '-2453.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455468', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0', '0', '1', '6100.21', '265', '-2459.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455469', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0', '0', '1', '6072.26', '263', '-2443.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455470', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0', '0', '1', '6094.69', '263', '-2485.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455471', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '6092.61', '263', '-2504.76', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455472', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '6080.54', '263.211', '-2469.96', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455473', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '6076.94', '263.391', '-2457.9', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455474', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '6058.32', '261.501', '-2467.86', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455475', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '6060.87', '261.535', '-2482.35', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455476', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '6028.26', '259.608', '-2494.17', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455477', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '6024.67', '259.861', '-2481.49', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455478', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0', '0', '1', '6038.61', '262', '-2454.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455479', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '6047.04', '262.999', '-2432.31', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455480', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0', '0', '1', '6054.29', '262', '-2508.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455481', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '-0.206119', '-0.0311519', '0.136477', '0.968462', '5932.23', '233.897', '-2502.25', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455482', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0.0449708', '0.0011245', '0.0249721', '0.998675', '5933.94', '234.87', '-2519.44', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455483', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '-0.204498', '-0.0930891', '0.192779', '0.955171', '5933.34', '234.427', '-2502.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455484', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '0.416787', '-0.00833687', '-0.0181781', '0.908784', '5934.88', '234.998', '-2520.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455485', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0.218129', '-0.0662821', '0.102047', '0.968304', '5933.5', '234.593', '-2519.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455486', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '-0.439265', '0.0131819', '0.316434', '0.84068', '5931.91', '233.532', '-2501.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455487', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.966185', '0', '-0.25785', '6103.2', '265', '-2452.01', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455488', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '-0.0944089', '-0.679507', '-0.0888369', '0.722126', '6103.36', '264.968', '-2452.24', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455489', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0.0694469', '0.783456', '0.234706', '-0.571216', '6105.02', '264.968', '-2454.37', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455490', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '-0.245866', '-0.459541', '0.149275', '0.840291', '6104.93', '264.968', '-2454.64', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455491', '0', 'object/static/structure/general/shared_skeleton_human_body.iff', '0', '0', '0', '1', '6097.21', '265', '-2454.24', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455492', '0', 'object/static/structure/general/shared_skeleton_human_body.iff', '0', '0', '0', '1', '6094.3', '263', '-2491.63', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455493', '0', 'object/static/structure/general/shared_skeleton_bith_headandbody.iff', '0', '0.328769', '0', '0.94441', '6076.51', '263', '-2436.76', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455494', '0', 'object/static/structure/general/shared_skeleton_bith_head.iff', '-0.241708', '-0.052783', '-0.40831', '0.878678', '6052.44', '262', '-2512.41', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455495', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '-0.0642158', '0.752791', '-0.0434504', '-0.653678', '6009.79', '256.221', '-2501.58', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455496', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '-0.0543527', '0.905384', '-0.123098', '-0.402706', '6004.59', '255.624', '-2485.26', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455497', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '0.830498', '0', '0.557022', '6109.15', '265', '-2448.09', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455498', '0', 'object/static/item/shared_item_basket_shallow.iff', '0', '0.597195', '0', '0.802096', '6109.42', '265', '-2450.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455499', '0', 'object/static/item/shared_item_basket_frame.iff', '0', '0', '0', '1', '6082.95', '263.482', '-2468.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455500', '0', 'object/static/item/shared_item_basket_shallow.iff', '0', '0', '0', '1', '6082.97', '264.083', '-2468.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455501', '0', 'object/static/item/shared_item_basket_shallow.iff', '0', '0', '0', '1', '6080.07', '264.178', '-2459.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455502', '0', 'object/static/item/shared_item_basket_frame.iff', '0', '0', '0', '1', '6080.06', '263.577', '-2459.16', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455503', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '-0.218229', '0', '0.975897', '6110.25', '265', '-2449.33', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455504', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '0.276356', '0', '0.961055', '6110.86', '265', '-2450.88', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455505', '0', 'object/static/item/shared_item_basket_shallow.iff', '0', '0', '0', '1', '6079.2', '263.129', '-2443.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455506', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '0', '0', '1', '6056.43', '263', '-2432.32', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455507', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '0', '0', '1', '6092.11', '263', '-2480.16', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455508', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '0', '0', '1', '6098.58', '263', '-2487.16', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455509', '0', 'object/static/item/shared_item_basket_shallow.iff', '0', '0', '0', '1', '6091.81', '263', '-2512.61', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455510', '0', 'object/static/item/shared_item_basket_shallow.iff', '0', '0', '0', '1', '6060.42', '262', '-2514.77', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455514', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '0.789504', '0', '-0.613746', '6053.24', '262', '-2501.81', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455515', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '0.29074', '0', '0.956802', '6053.61', '262', '-2500.7', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455516', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '0.902953', '0', '0.429739', '6054.3', '262', '-2501.48', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455517', '0', 'object/static/item/shared_item_basket_shallow.iff', '0', '0', '0', '1', '6053.72', '262.411', '-2501.41', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455518', '0', 'object/static/item/shared_item_basket_shallow.iff', '0', '0', '0', '1', '6031.08', '261.994', '-2470.71', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5455519', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '0', '0', '1', '6035.21', '262', '-2453.39', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5475574', '0', 'object/static/structure/dantooine/shared_dant_fish_rack.iff', '0', '-0.430458', '0', '0.902611', '-668.061', '0.962833', '-5082.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5475575', '0', 'object/static/structure/dantooine/shared_dant_fish_rack.iff', '0', '0.174108', '0', '0.984727', '-664.883', '0.951427', '-5081.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5475576', '0', 'object/static/structure/dantooine/shared_dant_fish_rack.iff', '0', '0.725384', '0', '-0.688344', '-654.037', '0.991487', '-5101.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5475577', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '0.535416', '0', '0.844589', '-618.988', '0.986279', '-5090.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5475578', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '0.681639', '0', '0.731689', '-622.016', '0.981369', '-5041.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5475579', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '0.846832', '0', '-0.531861', '-571.376', '1.0435', '-5063.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5475580', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '0.964884', '0', '0.262678', '-577.032', '1.0435', '-5063.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5475581', '0', 'object/static/structure/dantooine/shared_dant_fish_rack.iff', '0', '-0.466208', '0', '0.884675', '-564.366', '0.971577', '-5081.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5475582', '0', 'object/static/structure/dantooine/shared_dant_fish_rack.iff', '0', '0.488177', '0', '0.872745', '-560.379', '0.971617', '-5081.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5475583', '0', 'object/static/structure/dantooine/shared_dant_hide_tanning_s01.iff', '0', '0.227978', '0', '0.973666', '-497.724', '0.5', '-5016.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5475584', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '0.601198', '0', '0.7991', '-541.091', '0.958336', '-5028.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5475585', '0', 'object/static/structure/dantooine/shared_dant_hide_tanning_s02.iff', '0', '0.8699', '0', '0.493228', '-541.08', '1.00778', '-5030.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5495389', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '-0.152553', '0.322969', '0.663096', '-0.657816', '-916.046', '79.0193', '1583.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5495391', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '0', '0', '0.670587', '0.741831', '-910.498', '80.7874', '1606.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5495395', '0', 'object/static/structure/general/shared_prp_junk_s2.iff', '0.400537', '0.890401', '0.189665', '-0.103845', '-938.342', '74.0932', '1535.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5495396', '0', 'object/static/structure/general/shared_prp_junk_s1.iff', '0.119021', '-0.501289', '-0.183603', '0.837158', '-941.255', '73.1531', '1538.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5495397', '0', 'object/static/structure/general/shared_prp_junk_s4.iff', '0', '0.266731', '0', '0.963771', '-914.521', '81.1504', '1608.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5495398', '0', 'object/static/structure/general/shared_prp_junk_s4.iff', '0', '-0.488177', '0', '0.872745', '-917.465', '81.2839', '1610.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5495399', '0', 'object/static/structure/general/shared_prp_junk_s4.iff', '0', '0.962209', '0', '-0.272313', '-917.933', '81.285', '1606.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5495407', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0.0039733', '-0.356125', '-0.0193671', '0.934229', '-845.859', '80.9629', '1618.93', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '5495431', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '0.663642', '-0.3953', '-0.277007', '0.571476', '-937.769', '73.6841', '1536.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5495432', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '0.722438', '-0.633078', '0.0130581', '0.277714', '-941.136', '73.4095', '1540.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5495433', '0', 'object/static/structure/general/shared_prp_junk_s4.iff', '0', '0.999388', '0', '-0.0349929', '-869.638', '81.2651', '1547.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5495434', '0', 'object/static/structure/general/shared_prp_junk_s4.iff', '0', '0.0349929', '0', '0.999388', '-866.447', '81.2701', '1547.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5495435', '0', 'object/static/structure/general/shared_prp_junk_s4.iff', '0', '0.731417', '0', '0.68193', '-863.302', '80.6071', '1547.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5495436', '0', 'object/static/structure/general/shared_prp_junk_s2.iff', '0.0732562', '0.98064', '0.0828407', '-0.161607', '-871.159', '80.9408', '1548.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5495451', '0', 'object/static/structure/general/shared_prp_junk_s2.iff', '0', '0.993303', '0', '-0.115538', '-932.227', '76.2361', '1548.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5495452', '0', 'object/static/structure/general/shared_prp_junk_s2.iff', '0.0130125', '0.274379', '0.321072', '0.906344', '-940.774', '77.4895', '1561.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5495453', '0', 'object/static/structure/general/shared_prp_junk_s1.iff', '0.13332', '-0.0244221', '0.166562', '0.976671', '-939.788', '76.977', '1561.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5495494', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0', '0', '1', '-632.448', '0.5', '-5032.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5495570', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '-0.707106', '0', '0.707107', '-628.4', '0.5', '-5028.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5495571', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '-0.707106', '0', '0.707107', '-636.446', '0.5', '-5028.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5495572', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0', '0', '1', '-632.309', '0.5', '-5024.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5495574', '0', 'object/static/creature/shared_endor_bordok.iff', '0', '0.242556', '0', '0.970137', '-632.029', '0.5', '-5029.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5495575', '0', 'object/static/creature/shared_endor_bordok.iff', '0', '-0.564642', '0', '0.825336', '-635.248', '0.5', '-5027.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5495576', '0', 'object/static/creature/shared_endor_bordok.iff', '0', '-0.29074', '0', '0.956802', '-630.525', '0.5', '-5027.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565360', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0', '0', '1', '-873.713', '76', '1631.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565369', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0', '0', '1', '-832.165', '76', '1575.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565374', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '-937.88', '76', '1560.84', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565376', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '-878.774', '76', '1592.67', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565377', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '-862.853', '76.046', '1579.57', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565378', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '-820.296', '76.0029', '1569.13', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565379', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '-886.18', '75.8277', '1613.65', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565380', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '-871.073', '75.5882', '1645.54', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565393', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_2.iff', '0', '0.930799', '0', '0.365531', '-958.749', '74.8233', '1569.1', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565394', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '-0.0099998', '0', '0.99995', '-1253.81', '12', '2972.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565397', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0', '-0.20846', '0', '0.978031', '-1237.37', '11.4631', '2970.03', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565398', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0', '-0.319309', '0', '0.947651', '-1233', '10.9016', '2962.58', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565399', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0', '-0.488177', '0', '0.872744', '-1220.3', '11.3089', '2954.27', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565400', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0', '-0.585097', '0', '0.810963', '-1212.49', '11.3089', '2950.59', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565401', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0', '-0.628793', '0', '0.777573', '-1204.24', '11.3675', '2947.98', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565402', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0', '0.744643', '0', '-0.667463', '-1195.55', '11.3675', '2947.43', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565403', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0', '0.822049', '0', '-0.569417', '-1186.27', '11.2851', '2948.08', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565404', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.100789', '0.838662', '-0.210806', '-0.491984', '-1178.94', '13.2272', '2952.18', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565405', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0', '-0.430458', '0', '0.902611', '-1176.56', '16.0884', '2954.05', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565406', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0', '-0.531187', '0', '0.847255', '-1169.29', '16.0884', '2949.39', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565407', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0', '-0.174108', '0', '0.984727', '-1186.2', '15.6484', '2968.19', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565408', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0', '-0.285953', '0', '0.958244', '-1182.37', '15.6484', '2960.46', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565409', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0', '0.789505', '0', '-0.613745', '-1154.08', '15.875', '2947.54', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565410', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.225223', '0.844444', '-0.287806', '-0.391608', '-1146.22', '19.5111', '2951.7', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565411', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0', '-0.628795', '0', '0.777571', '-1237.51', '15.9249', '2977.08', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565412', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0397543', '-0.278372', '0.11806', '0.952361', '-1248.74', '15.7089', '2983.47', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565413', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.00477484', '0.043799', '0.101299', '0.99388', '-1250.93', '15.7589', '2991.2', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565414', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.33927', '-0.0300927', '-0.203716', '0.917872', '-1251', '19.3185', '3000.34', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565415', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.0630677', '0.634482', '0.0880708', '0.76531', '-1229.34', '15.7442', '2977.25', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565416', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.042735', '0.50544', '-0.0235025', '0.861483', '-1221.13', '15.813', '2980.18', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565417', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0893139', '0.460457', '-0.0104728', '0.883115', '-1214.22', '17.1462', '2985.14', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565418', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.058451', '-0.20775', '0.226467', '0.949808', '-1206.48', '23.0752', '2984.87', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565419', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.10701', '-0.486867', '0.173077', '0.849443', '-1201.71', '22.9414', '2978.81', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565420', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.197383', '0.690396', '-0.159234', '0.677523', '-1194.35', '23.0042', '2977', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565421', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0.274509', '-0.0559836', '-0.191825', '0.940592', '-1219.53', '11.3163', '2956.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565422', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0.243312', '-0.0467874', '-0.0627184', '0.966787', '-1202.78', '11.4764', '2951.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565423', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '-0.390013', '-0.462139', '0.473422', '0.64046', '-1197.52', '19.6219', '2973.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565424', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0.291641', '-0.363651', '-0.148192', '0.872206', '-1196.36', '11.4875', '2950.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565425', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0.262567', '0.908891', '-0.0325469', '-0.32236', '-1189.72', '23.1721', '2977.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565426', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '-0.199095', '-0.0424356', '0.204095', '0.957552', '-1180.79', '23.2862', '2983.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565427', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '-0.463167', '0.145181', '-0.17723', '0.856147', '-1190.86', '19.4171', '2973.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565428', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '0.232843', '0', '0.972514', '-1194.28', '25.1008', '2988.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565429', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '-0.282776', '0.243895', '0.0550154', '0.926027', '-1208.26', '24.2986', '2996.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565430', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0.307401', '-0.465711', '-0.020815', '0.829569', '-1209.51', '23.5277', '2988.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565431', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '-0.0798859', '0.431778', '0.279505', '0.853851', '-1210', '23.7231', '2988.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565432', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '-0.193069', '-0.541883', '0.400968', '0.712959', '-1246.96', '16.1368', '2979.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565433', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '0.0892997', '0.269203', '-0.125011', '0.950751', '-1249.25', '16.8018', '2994.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565434', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '-0.407761', '0', '0.913089', '-1245.85', '18', '2989.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565435', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '0.792563', '0', '0.609791', '-1158.23', '12', '2932.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565436', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '-0.069943', '0', '0.997551', '-1181.07', '12', '2944.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565437', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '0.601198', '0', '0.7991', '-1155.55', '17', '2953.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565438', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '0.955101', '0', '-0.296281', '-1178.54', '17', '2964.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565439', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '-0.681639', '0', '0.731689', '-1171.15', '17', '2957.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565440', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '0.973485', '0', '0.228753', '-1168.76', '12', '2920.59', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565441', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '0.34759', '0', '0.937647', '-1262.32', '12', '2978.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565442', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '-0.347693', '0.61002', '-0.120667', '0.70173', '-1240.65', '16.363', '2975.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565443', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0.0643136', '0.942039', '-0.324098', '0.0581973', '-1239.72', '14.9129', '2974.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565444', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '-0.119667', '0.010428', '-0.0488191', '0.991558', '-1230.76', '11.3702', '2958.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565448', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '-0.133225', '0.989343', '0.0572549', '-0.0131774', '-1225.82', '11.5629', '2954.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565449', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '-0.167755', '0.0219318', '-0.127765', '0.977268', '-1231.33', '11.7438', '2956.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565450', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '-0.00623605', '0.459363', '0.217371', '0.861218', '-1226.17', '11.7086', '2953.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565451', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0.0528787', '-0.453317', '0.170166', '0.873356', '-1224.5', '10.7424', '2956.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565452', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '-0.068647', '-0.454172', '-0.0850741', '0.884182', '-1229.42', '10.9022', '2960.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565453', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '0.807558', '0', '-0.589788', '-1268.96', '12', '2963.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565454', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0461085', '0.837491', '0.0299325', '-0.543679', '-1231.57', '11.5656', '2938.88', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565455', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.0427174', '-0.563789', '-0.0346002', '0.824087', '-1255.24', '11.8847', '2947.43', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565456', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.0386609', '-0.469915', '-0.0390805', '0.880998', '-1263.08', '11.3951', '2951.44', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565457', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.023641', '-0.0644222', '-0.0215736', '0.997409', '-1280.3', '11.6815', '2970.08', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565458', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0', '-0.305058', '0', '0.952334', '-1276.97', '11.6644', '2961.93', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565459', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0', '-0.531185', '0', '0.847256', '-1270.61', '11.6644', '2956.08', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565460', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0374487', '0.476139', '0.0881676', '0.874137', '-1269.46', '15.3984', '2991.38', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565461', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0703767', '0.371681', '0.0123737', '0.925606', '-1275.96', '13.9271', '2985.85', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565463', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.106003', '0.527126', '-0.0277838', '0.842692', '-1262.1', '17.3345', '2995.69', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565464', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.104571', '0.539718', '-0.122807', '0.826249', '-1255.42', '18.9391', '2999.57', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565465', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.056479', '0.137915', '-0.0829411', '0.985348', '-1279.8', '12.7222', '2978.53', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565466', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '0.0559592', '0.0261639', '-0.176751', '0.982315', '-1227.95', '11.5636', '2941.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565467', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.132192', '0.973241', '0.025297', '0.186246', '-1209.84', '11.6008', '2929.01', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565468', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '-0.146202', '-0.386211', '0.204907', '0.8874', '-1211.34', '11.4907', '2934.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565469', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.038661', '-0.469915', '-0.039081', '0.880998', '-1239.68', '11.2094', '2939.65', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565470', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0', '-0.531185', '0', '0.847256', '-1247.21', '11.4787', '2944.29', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565472', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0', '-0.619069', '0', '0.785337', '-1195.73', '11.4308', '2920.9', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565474', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.0398153', '-0.627842', '-0.037903', '0.776397', '-1179.22', '11.4135', '2915.53', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565475', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.0354142', '-0.538817', '-0.0420456', '0.840627', '-1187.6', '11.4521', '2918.26', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565477', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0251404', '0.848196', '0.0488859', '-0.526822', '-1162.91', '11.8019', '2917.62', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565478', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.104723', '0.940583', '0.0580012', '-0.317763', '-1156.11', '11.3436', '2922.93', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565479', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0778906', '0.94721', '-0.141415', '-0.277', '-1148.8', '12.9394', '2929.78', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565480', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.203001', '0.957644', '-0.152004', '-0.136397', '-1145.24', '15.8031', '2937.47', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565481', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.316141', '0.923172', '-0.057771', '0.210883', '-1146.36', '17.6293', '2945.54', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565483', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.036542', '0.730231', '-0.0340969', '-0.681369', '-1170.65', '11.6556', '2915.11', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565484', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '0.949486', '0', '-0.313811', '-1181.33', '12', '2923.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565485', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '-0.424079', '0.335837', '-0.124082', '0.83185', '-1158.11', '16.2861', '2946.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565486', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '-0.214427', '-0.160032', '-0.0370183', '0.962829', '-1165.76', '15.8972', '2946.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565487', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '-0.281036', '0.629431', '0.118646', '0.714674', '-1158.54', '16.6794', '2946.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565488', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '0.25309', '0.55298', '0.153813', '0.778781', '-1213.02', '11.3079', '2952.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565489', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0.262201', '-0.0111865', '0.201351', '0.943707', '-1187.35', '11.2707', '2953.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565490', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '-0.147191', '-0.144329', '0.606976', '0.767518', '-1207.78', '19.6677', '2980.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565491', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '-0.15028', '0.793862', '-0.562101', '-0.176752', '-1203.04', '18.9056', '2976.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565492', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '0.995415', '0', '-0.0956501', '-1260.34', '12', '2956.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565494', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '-0.452886', '0', '0.891568', '-1274.79', '12.3156', '2975.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565495', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0.154037', '-0.154037', '0.690125', '-0.690125', '-1255.87', '12.4863', '2951.29', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565496', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '-0.161479', '0.161478', '0.688422', '-0.688422', '-1272.78', '12.364', '2969.72', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565497', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0', '0', '1', '-1260.36', '12', '2964.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565498', '0', 'object/static/structure/general/shared_campfire_ash.iff', '0', '0', '0', '1', '-1268.08', '12', '2973.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565499', '0', 'object/static/structure/general/shared_skeleton_human_body.iff', '-0.0825879', '-0.0512487', '0.0915953', '0.991041', '-1256.38', '12.1077', '2980.98', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565500', '0', 'object/static/item/shared_item_basket_shallow.iff', '0', '0', '0', '1', '-1251.09', '12', '2967.58', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565501', '0', 'object/static/item/shared_item_basket_closed.iff', '0.233799', '-0.0275319', '-0.267665', '0.93431', '-1239.38', '12.0684', '2940.72', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565502', '0', 'object/static/item/shared_item_basket_shallow.iff', '0', '0', '0', '1', '-1239.9', '12', '2941.76', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565503', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '0', '0', '1', '-1266.03', '12', '2975.75', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565504', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '0', '0', '1', '-1262.54', '12', '2962.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565505', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '-0.317372', '-0.133332', '-0.341169', '0.874701', '-1271.44', '12', '2969.86', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565506', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '-1231.67', '11.9905', '2957.27', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565507', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '-1226.07', '12', '2954.01', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565508', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '-0.0598733', '-0.00329636', '0.0548734', '0.996691', '-1241.77', '17.1603', '2977.36', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565509', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '0.75128', '0', '0.659984', '-1231.87', '18', '2983.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565510', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '0.958016', '0', '-0.286715', '-1222.39', '18', '2985.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565511', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '0.984588', '0', '-0.174892', '-1226.67', '18', '2988.94', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565512', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '0.655617', '0', '0.755093', '-1229.2', '18', '2988.01', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565513', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '-0.21823', '0', '0.975897', '-1228.36', '18', '2988.73', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565514', '0', 'object/static/item/shared_item_basket_shallow.iff', '0.26131', '-0.00384708', '0.23128', '0.937129', '-1227.52', '18.2846', '2987.71', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565515', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '-0.059873', '-0.003296', '0.054873', '0.996691', '-1217.1', '17.9368', '2989.15', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565516', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.85032', '0', '-0.526266', '-1254.74', '12', '2949.01', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565517', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.227977', '0', '0.973666', '-1253.22', '12', '2948.42', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565518', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '0', '0', '1', '-1243.21', '12', '2944.04', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565519', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '0.356949', '0', '0.934124', '-1241.37', '12', '2942.53', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565520', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '0.356949', '0', '0.934124', '-1241.73', '12', '2943.53', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565521', '0', 'object/static/item/shared_item_basket_shallow.iff', '0.318904', '-0.00534676', '-0.186594', '0.929222', '-1242.79', '12.3489', '2942.93', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565522', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '-0.00661766', '0', '0.999978', '-1198.48', '25', '2984.45', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565523', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '-0.0588846', '-0.0113243', '-0.0797713', '0.995008', '-1186.02', '17.1753', '2972.62', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565524', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '-0.124049', '0.971918', '0.0404266', '-0.195839', '-1198.74', '24.8306', '2984.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565525', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0.020992', '0.350098', '-0.201385', '0.914568', '-1195.25', '24.796', '2983.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565526', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '-0.0512949', '0.827958', '-0.191911', '0.524427', '-1199.23', '24.7892', '2984.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565527', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '-0.137123', '0.635432', '-0.212088', '0.729686', '-1195.2', '24.7867', '2982.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565528', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '-0.181648', '0.15928', '0.295841', '0.924182', '-1198.97', '24.6961', '2983.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565529', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '-0.250175', '0.95682', '-0.0670925', '-0.131931', '-1195.67', '24.7588', '2982.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565530', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0', '0', '1', '-1201.07', '25', '2980.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565531', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0', '0.375559', '0.926798', '-1200.25', '24.9862', '2978.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565532', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.800447', '-0.292186', '0.179461', '-0.491636', '-1198.19', '24.9983', '2978.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565533', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0', '0', '1', '-1199.75', '25.0632', '2979.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565534', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '-0.225244', '-0.0351952', '0.150315', '0.961994', '-1199.86', '24.985', '2980.07', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565535', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '-0.0778889', '0.95732', '0.188894', '0.204428', '-1199.65', '24.9791', '2979.3', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565536', '0', 'object/static/structure/general/shared_skeleton_human_body.iff', '0', '0.384808', '0', '0.922997', '-1194.09', '25', '2985.31', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565537', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '0', '0', '1', '-1192.23', '25', '2989.04', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565538', '0', 'object/static/item/shared_item_basket_shallow.iff', '0', '0', '0', '1', '-1195.46', '25', '2990.22', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565539', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0.398468', '0.853693', '0.253182', '0.219841', '-1226.84', '9.00938', '2971.92', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565540', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0', '0', '1', '-1203.96', '9', '2960.11', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565541', '0', 'object/static/structure/general/shared_skeleton_human_body.iff', '0', '-0.213347', '0', '0.976976', '-1212.51', '9', '2975.24', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565542', '0', 'object/static/structure/general/shared_skeleton_bith_headandbody.iff', '0.0438309', '0.972327', '0.200594', '-0.111449', '-1231.34', '9.26982', '2969.81', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565543', '0', 'object/static/structure/general/shared_skeleton_human_body.iff', '0', '0', '0', '1', '-1194', '9', '2957.24', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565544', '0', 'object/static/structure/general/shared_skeleton_bith_headandbody.iff', '-0.0725141', '0.673062', '0.204966', '-0.706908', '-1217.25', '9.3933', '2957.7', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565545', '0', 'object/static/structure/general/shared_skeleton_bith_head.iff', '-0.452733', '-0.233968', '0.165884', '0.84426', '-1212.09', '9.04896', '2974.79', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565546', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0', '0', '1', '-1174.06', '12', '2926.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565547', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '-1178.35', '12', '2939.47', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5565548', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '-1159.18', '16.9475', '2947.88', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5665352', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '0.655616', '0', '0.755094', '-1243.21', '17.9824', '2983.47', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5665353', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '0.655616', '0', '0.755094', '-1171.63', '17', '2963.28', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5665354', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '0.655616', '0', '0.755094', '-1177.1', '17', '2967.74', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5665355', '0', 'object/static/item/shared_item_basket_shallow.iff', '0', '0', '0', '1', '-1179.6', '17', '2961.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5665356', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0.262201', '-0.011186', '0.201351', '0.943707', '-1181.99', '17', '2957.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5665357', '0', 'object/static/item/shared_item_basket_shallow.iff', '0', '0', '0', '1', '-1159.27', '17', '2953.85', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5665358', '0', 'object/static/item/shared_item_basket_shallow.iff', '0.492436', '0.0174047', '0.00985004', '0.870119', '-1178.48', '17.4427', '2960.13', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5665359', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0.930216', '0', '0.367014', '-1159.76', '17', '2958.6', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '5665360', '0', 'object/static/item/shared_item_basket_shallow.iff', '0', '0', '0', '1', '-1166.6', '17', '2951.57', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5665361', '0', 'object/static/structure/general/shared_skeleton_ithorian_head.iff', '0', '0', '0', '1', '-1166.67', '17.0949', '2951.43', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '5665362', '0', 'object/static/structure/general/shared_skeleton_bith_head.iff', '-0.0467417', '0.8966', '0.224036', '0.379119', '-1166.39', '17.1265', '2951.2', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '5665363', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '-0.327692', '0.312693', '0.115917', '0.883971', '-1166.42', '17.0632', '2951.88', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '5665364', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0.0474412', '0.885602', '0.127586', '-0.444049', '-1151.72', '12.069', '2926.45', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '5665365', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '0', '0', '1', '-1162.12', '12', '2932.66', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5665366', '0', 'object/static/item/shared_item_basket_shallow.iff', '0', '0', '-0.509841', '0.860269', '-1175.79', '12.4743', '2923.96', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5665367', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '-0.696136', '0', '0.71791', '-1174.59', '12', '2922.39', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5665368', '0', 'object/static/item/shared_item_basket_closed.iff', '0.256358', '0.019263', '0.177764', '0.9499', '-1173.89', '12', '2923.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5665369', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '-0.37092', '0', '0.928665', '-1186.05', '12', '2941.56', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5665370', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0.447105', '-0.546938', '0.551996', '0.443009', '-1173.72', '12.4743', '2944.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5665371', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.771752', '0', '0.635923', '-1173.09', '12.0516', '2943.81', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5665372', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.998952', '0', '-0.04578', '-1172.04', '12.0574', '2943.57', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5665373', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.777072', '0', '-0.629412', '-1172.45', '13.178', '2943.85', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5665374', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '-0.0637171', '0.456949', '-0.0242763', '0.886876', '-1193.37', '25.7377', '2990.59', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5665375', '0', 'object/static/item/shared_item_basket_frame.iff', '0', '0.475032', '0', '0.879969', '-1193.38', '25', '2990.39', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5665376', '0', 'object/static/item/shared_item_basket_shallow.iff', '0', '0.475032', '0', '0.879969', '-1193.36', '25.6324', '2990.38', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '5665381', '0', 'object/building/endor/shared_endor_catwalk_cap.iff', '0', '0.707107', '0', '-0.707107', '73.9251', '29.0273', '40.5444', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5665382', '0', 'object/building/endor/shared_endor_catwalk_cap.iff', '0', '0.707107', '0', '-0.707107', '73.9308', '29.0273', '40.5002', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5665450', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0.0848594', '-0.00254655', '-0.0298872', '0.995941', '-1717.91', '37.5431', '16.605', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5665451', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '-1708.77', '31.6689', '-8.17163', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5665452', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '-1757.79', '28.7479', '2.34672', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5665453', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '-0.139151', '0.0104559', '-0.0741966', '0.987432', '-1691.68', '34.8818', '17.106', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5665454', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '-0.0548377', '-0.00384492', '0.0698371', '0.996043', '-1735.29', '35.7269', '17.6886', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5665455', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '-0.0248962', '-0.00224673', '0.0898505', '0.995642', '-1708.01', '38.6057', '17.3125', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5665456', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '0.955572', '0', '-0.294759', '-1753.71', '29.0496', '5.17921', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5665457', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '0.986549', '0', '0.163467', '-1673.46', '30.9328', '5.7434', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5665458', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '-1670.25', '30.7404', '2.73431', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5665459', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0.0237613', '0.950252', '-0.00776353', '-0.310477', '-1674.8', '30.74', '3.42018', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5665461', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '-0.0196122', '0.967875', '-0.0168068', '-0.250103', '-1753.91', '28.7904', '2.17875', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5665464', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0.959437', '0', '0.281922', '-1716.23', '34.965', '32.6622', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5665465', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0.930799', '0', '-0.36553', '-1709.48', '34.8368', '32.4778', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5685352', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '0', '0', '1', '1476.46', '1', '-3273.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5685353', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '0', '0', '1', '1476.37', '1', '-3266.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5685354', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '-0.707106', '0', '0.707107', '1460.87', '1', '-3294.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5685355', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '-0.382683', '0', '0.92388', '1448.18', '1', '-3339.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5685356', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '-0.707106', '0', '0.707107', '1453.14', '1', '-3282.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5685357', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '0', '0', '1', '1445.57', '1', '-3273.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5685358', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '0', '0', '1', '1445.58', '1', '-3266.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5685359', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '0', '0', '1', '1460.99', '1', '-3254.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5685360', '0', 'object/building/endor/shared_endr_lake_rail8m.iff', '0', '-0.707106', '0', '0.707107', '1468.9', '1.00359', '-3258.34', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5685361', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '-0.707106', '0', '0.707107', '1468.5', '1.03344', '-3263.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5685362', '0', 'object/building/endor/shared_endr_lake_rail2m.iff', '0', '-0.707106', '0', '0.707108', '1459.84', '0.979282', '-3255.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5685363', '0', 'object/building/endor/shared_endr_lake_rail2m.iff', '0', '-0.707106', '0', '0.707108', '1460.77', '1.11701', '-3285.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5685364', '0', 'object/building/endor/shared_endr_lake_rail8m.iff', '0', '-0.707106', '0', '0.707108', '1453.27', '0.915709', '-3261.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5685365', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '-0.707106', '0', '0.707107', '1453.09', '0.958314', '-3256.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5685366', '0', 'object/building/endor/shared_endr_lake_rail8m.iff', '0', '0.707107', '0', '-0.707107', '1468.81', '0.982914', '-3282.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5685367', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '-0.7071', '0', '0.707113', '1468.64', '1.02552', '-3276.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5685368', '0', 'object/building/endor/shared_endr_lake_rail8m.iff', '0', '0', '0', '1', '1464.72', '0.916475', '-3285.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5685369', '0', 'object/building/endor/shared_endr_lake_rail8m.iff', '0', '-0.707106', '0', '0.707107', '1453.18', '0.955178', '-3298.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5685370', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '-0.707106', '0', '0.707107', '1453.1', '0.993729', '-3292.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5685371', '0', 'object/building/endor/shared_endr_lake_rail8m.iff', '0', '-0.707106', '0', '0.707107', '1448.17', '0.990707', '-3309.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5685372', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '0', '0', '1', '1450.47', '0.92268', '-3302.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5685373', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '0.707107', '0', '-0.707107', '1448.35', '0.956749', '-3304.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5685374', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '1', '0', '3.48103e-07', '1469.1', '0.932685', '-3302.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5685375', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '0', '0', '1', '1470.11', '0.962746', '-3333.66', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5685376', '0', 'object/building/endor/shared_endr_lake_rail2m.iff', '0', '0', '0', '1', '1478.25', '0.938258', '-3302.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5685377', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '-0.707106', '0', '0.707107', '1479.92', '0.964562', '-3325.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5685378', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '-0.707106', '0', '0.707107', '1479.82', '0.962826', '-3310.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5685379', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '0.707106', '0', '0.707107', '1467.89', '0.962683', '-3342.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5685380', '0', 'object/building/endor/shared_endr_lake_rail2m.iff', '0', '-0.707106', '0', '0.707108', '1469.07', '0.92826', '-3332.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5685381', '0', 'object/building/endor/shared_endr_lake_rail8m.iff', '0', '0', '0', '1', '1475.8', '0.969796', '-3333.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5685383', '0', 'object/building/endor/shared_endr_lake_rail2m.iff', '0', '1', '0', '-4.9624e-06', '1454.91', '0.931165', '-3333.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5685384', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '0', '0', '1', '1457.95', '0.96565', '-3333.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5685385', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '0.92388', '0', '0.382683', '1439.62', '1.02377', '-3347.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5685386', '0', 'object/building/endor/shared_endr_lake_rail2m.iff', '0', '-0.382679', '0', '0.923881', '1441.74', '0.989287', '-3345.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5685387', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '-0.382683', '0', '0.92388', '1442.79', '0.933786', '-3333.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5685388', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '0.92388', '0', '0.382683', '1434.22', '0.957555', '-3342.34', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5685389', '0', 'object/building/endor/shared_endr_lake_rail2m.iff', '0', '-0.382679', '0', '0.923881', '1436.34', '0.92307', '-3340.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5685390', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '-0.707106', '0', '0.707107', '1448.34', '0.936949', '-3326.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5685391', '0', 'object/building/endor/shared_endr_lake_rail2m.iff', '0', '0.70711', '0', '0.707103', '1448.5', '0.996525', '-3323.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5685392', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '0.7071', '0', '0.707113', '1460.18', '0.910565', '-3341.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '5996314', '0', 'object/building/general/shared_bunker_allum_mine.iff', '0', '0', '0', '1', '-4662.43', '12.417', '4325.93', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '5996315', '5996314', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '5996316', '5996314', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '5996317', '5996314', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '5996318', '5996314', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '5996319', '5996314', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '5996320', '5996314', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '5996321', '5996314', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '5996322', '5996314', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '5996323', '5996314', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '5996324', '5996314', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '5996325', '5996314', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '5996326', '5996314', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '5996327', '5996314', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '5996328', '5996314', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '5996329', '5996314', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '5996330', '5996314', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '5996331', '5996314', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '5996332', '5996314', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '5996333', '5996314', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '5996334', '5996314', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '5996335', '5996314', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '5996336', '5996314', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '5996337', '5996314', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '5996338', '5996314', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '5996339', '5996314', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '5996340', '5996314', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '5996341', '5996314', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '5996342', '5996314', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '5996343', '5996314', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '5996344', '5996314', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '5996345', '5996314', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '5996346', '5996314', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '5996347', '5996314', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '5996348', '5996314', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '5996349', '5996314', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '5996350', '5996314', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '5996351', '5996314', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '5996352', '5996314', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '5996353', '5996314', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '5996354', '5996314', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '5996355', '5996314', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '5996356', '5996314', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '5996357', '5996314', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '5996358', '5996314', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '5996359', '5996314', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '5996360', '5996314', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '5996361', '5996314', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '5996362', '5996314', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '5996363', '5996314', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '5996364', '5996314', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '5996365', '5996314', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '5996366', '5996314', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '5996367', '5996314', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '5996368', '5996314', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '5996369', '5996314', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '5996370', '5996314', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '5996371', '5996314', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '5996372', '5996314', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '5996373', '5996314', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '5996374', '5996314', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '5996375', '5996314', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '5996376', '5996314', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '5996377', '5996314', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '5996378', '5996314', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '5996379', '5996314', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '6015488', '0', 'object/building/general/shared_endor_jinda_cave.iff', '0', '1', '0', '-3.20013e-08', '-1712.85', '29.3321', '52.8094', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '6016546', '6015488', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '6016547', '6015488', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '6016548', '6015488', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '6016549', '6015488', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '6016550', '6015488', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '6016551', '6015488', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '6016552', '6015488', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '6016553', '6015488', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '6016554', '6015488', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '189523', '6016554', 'object/tangible/container/loot/shared_placable_loot_crate_trashpile.iff', '0.0249662', '0.00124935', '0.0499636', '0.998438', '-80.2816', '-63.9866', '-107.265', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '6016555', '6015488', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '189527', '6016555', 'object/tangible/container/loot/shared_placable_loot_crate_trashpile.iff', '-0.0199737', '-0.000499783', '0.0499767', '0.998551', '-160.445', '-42.05', '-77.298', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '189528', '6016555', 'object/tangible/container/loot/shared_placable_loot_crate_trashpile.iff', '0.0349859', '0.00069981', '0.0199864', '0.999188', '-173.013', '-42.0272', '-66.3293', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '6016556', '6015488', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '6016557', '6015488', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '6016558', '6015488', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '6016559', '6015488', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '6016560', '6015488', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '6016561', '6015488', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '6016562', '6015488', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '6016563', '6015488', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '6016564', '6015488', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '6016565', '6015488', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '6016566', '6015488', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '6016567', '6015488', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '6016568', '6015488', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '6016569', '6015488', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '6016570', '6015488', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '6016571', '6015488', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '6016572', '6015488', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '189525', '6016572', 'object/tangible/container/loot/shared_placable_loot_crate_trashpile.iff', '0.0149987', '-0.000149992', '-0.00999871', '0.999838', '31.1392', '-61.2501', '-112.72', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '189526', '6016572', 'object/tangible/container/loot/shared_placable_loot_crate_trashpile.iff', '0.0399848', '0.000599817', '0.0549283', '0.997689', '56.9487', '-57.6432', '-84.4866', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '6016573', '6015488', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '6016574', '6015488', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '189524', '6016574', 'object/tangible/container/loot/shared_placable_loot_crate_trashpile.iff', '0.0698981', '0.00204829', '-0.0100166', '0.997502', '-62.2544', '-58.3133', '-238.759', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '6016652', '6016574', 'object/static/structure/general/shared_skeleton_human_head.iff', '-0.213347', '0', '0', '0.976976', '-64.273', '-57.7386', '-236.83', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '6016653', '6016574', 'object/static/structure/general/shared_skeleton_human_head.iff', '-0.0824781', '0.8947', '0.169965', '0.404748', '-64.198', '-57.7592', '-237.076', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '6016654', '6016574', 'object/static/structure/general/shared_skeleton_human_head.iff', '0.118923', '0.774541', '0.152979', '-0.602114', '-64.4352', '-57.7404', '-237.046', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '6016655', '6016574', 'object/static/particle/shared_pt_smoke_small.iff', '0', '0', '0', '1', '-64.2731', '-57.5724', '-237.058', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '6075352', '0', 'object/building/endor/shared_endr_lake_rail2m.iff', '0', '0.707107', '0', '-0.707107', '1476.08', '0.937965', '-3332.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6075353', '0', 'object/building/endor/shared_endr_lake_rail2m.iff', '0', '0.707107', '0', '-0.707107', '1469.76', '0.933447', '-3303.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6075354', '0', 'object/building/endor/shared_endr_lake_rail2m.iff', '0', '0.707107', '0', '-0.707107', '1476.53', '0.93689', '-3303.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6075355', '0', 'object/building/endor/shared_endr_lake_rail8m.iff', '0', '0', '0', '1', '1408.01', '0.942326', '-3333.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6075356', '0', 'object/building/endor/shared_endr_lake_rail2m.iff', '0', '1', '0', '4.32396e-07', '1408', '0.910494', '-3332.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6075357', '0', 'object/building/endor/shared_endr_lake_rail2m.iff', '0', '0.707107', '0', '-0.707107', '1393.08', '0.900789', '-3318.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6075358', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '0', '0', '1', '1469.96', '0.75843', '-3350.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6075359', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '0.707107', '0', '-0.707107', '1471.84', '0.958266', '-3358.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6075360', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '1', '0', '3.48103e-07', '1464', '0.705132', '-3365.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6075361', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '0.707107', '0', '-0.707107', '1456.1', '0.8', '-3358.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6075362', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '-0.0149994', '0', '0.999888', '1457.99', '0.631509', '-3350.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6075363', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '0.382683', '0', '0.92388', '1440', '0.970321', '-3350.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6075364', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '-0.382684', '0', '0.923879', '1435.86', '1.17016', '-3357.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6075365', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '-0.382684', '0', '0.923879', '1424.71', '1.01189', '-3346.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6075366', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '0.368783', '0', '0.929515', '1431.54', '0.8434', '-3342.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6075367', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '0.92388', '0', '-0.382683', '1424.9', '0.917022', '-3357.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6075368', '0', 'object/building/endor/shared_endr_lake_rail8m.iff', '0', '0.707106', '0', '0.707107', '1411.85', '0.989737', '-3306.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6075369', '0', 'object/building/endor/shared_endr_lake_rail8m.iff', '0', '-0.707106', '0', '0.707107', '1404.16', '0.958114', '-3329.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6075370', '0', 'object/building/endor/shared_endr_lake_rail8m.iff', '0', '0', '0', '1', '1408.02', '0.989737', '-3302.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6075371', '0', 'object/building/endor/shared_endr_lake_rail8m.iff', '0', '-0.707106', '0', '0.707107', '1411.88', '0.989737', '-3329.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6075372', '0', 'object/building/endor/shared_endr_lake_rail8m.iff', '0', '-0.707106', '0', '0.707107', '1404.2', '0.989737', '-3306.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6075373', '0', 'object/building/endor/shared_endr_lake_rail8m.iff', '0', '0', '0', '1', '1396.1', '0.863246', '-3314.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6075374', '0', 'object/building/endor/shared_endr_lake_rail8m.iff', '0', '-0.707106', '0', '0.707107', '1392.09', '0.989737', '-3318.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6075375', '0', 'object/building/endor/shared_endr_lake_rail8m.iff', '0', '0', '0', '1', '1396.02', '0.863246', '-3321.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6075376', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '0', '0', '1', '1402', '0.958114', '-3310.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6075377', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '0.707106', '0', '0.707107', '1400.27', '0.831623', '-3312.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6075378', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '-0.707106', '0', '0.707107', '1415.78', '0.989737', '-3324.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6075379', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '0', '0', '1', '1413.99', '0.926491', '-3325.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6075380', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '0', '0', '1', '1401.96', '0.768377', '-3325.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6075381', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '-0.707106', '0', '0.707107', '1400.12', '0.958114', '-3324.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6075382', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '0.0249974', '0', '0.999687', '1413.9', '0.8', '-3310.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6075383', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '-0.707106', '0', '0.707107', '1415.82', '0.958114', '-3312.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6075384', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '1', '0', '-4.96241e-06', '1423.89', '0.958114', '-3321.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6075385', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '1', '0', '-6.22681e-06', '1424', '0.958114', '-3314.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6075386', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '1', '0', '-6.22681e-06', '1440.3', '0.958114', '-3321.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6075387', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '1', '0', '-6.22681e-06', '1440.15', '0.958114', '-3314.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6235352', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '0.394019', '0', '0.919102', '1531.86', '5.359', '-3155.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6235353', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '0.394019', '0', '0.919102', '1526.21', '5.359', '-3161.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6235354', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '0.394019', '0', '0.919102', '1542.85', '5.359', '-3167.59', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6235355', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '0.398609', '0', '0.917121', '1537.29', '5.359', '-3172.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6235356', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '0.394019', '0', '0.919102', '1520.75', '5.359', '-3144.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6235357', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '0.394019', '0', '0.919102', '1515.11', '5.359', '-3149.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6235358', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '-0.707106', '0', '0.707108', '1418.17', '0.969129', '-3173.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6235359', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '-0.707106', '0', '0.707107', '1418.16', '0.810482', '-3190.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6235360', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '-0.707106', '0', '0.707107', '1425.83', '0.812947', '-3174.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6235361', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '-0.707106', '0', '0.707108', '1425.84', '0.810263', '-3190.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6235362', '0', 'object/building/endor/shared_endr_lake_rail8m.iff', '0', '-0.707106', '0', '0.707108', '1425.8', '0.873509', '-3202.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6235364', '0', 'object/building/endor/shared_endr_lake_rail8m.iff', '0', '0.707107', '0', '-0.707107', '1418.14', '0.873294', '-3202.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6235366', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '0', '0', '1', '1415.76', '0.842552', '-3206.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6235367', '0', 'object/building/endor/shared_endr_lake_rail8m.iff', '0', '0', '0', '1', '1410.16', '0.96353', '-3206.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6235368', '0', 'object/building/endor/shared_endr_lake_rail2m.iff', '0', '-0.707106', '0', '0.707107', '1415.74', '1', '-3207.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6235369', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '-0.707106', '0', '0.707107', '1425.89', '1', '-3246.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6235370', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '-0.707106', '0', '0.707107', '1418.15', '1', '-3246.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6235371', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '-0.707099', '0', '0.707114', '1406.09', '1', '-3230.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6235372', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '0.707107', '0', '-0.707107', '1406.1', '1', '-3213.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6235373', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '-0.7071', '0', '0.707113', '1437.91', '1', '-3229.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6235374', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '0.707107', '0', '-0.707107', '1437.9', '1', '-3213.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6235375', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '1', '0', '-6.47969e-06', '1430.03', '0.82316', '-3285.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6235376', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '1', '0', '9.52215e-08', '1414.06', '0.82316', '-3285.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6235377', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '0', '0', '1', '1415.75', '1', '-3237.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6235378', '0', 'object/building/endor/shared_endr_lake_rail8m.iff', '0', '0', '0', '1', '1410.15', '1', '-3237.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6235379', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '0.707107', '0', '-0.707107', '1406.11', '1', '-3261.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6235380', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '-0.707098', '0', '0.707115', '1406.1', '1', '-3277.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6235381', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '0', '0', '1', '1435.88', '0.912825', '-3206.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6235382', '0', 'object/building/endor/shared_endr_lake_rail8m.iff', '0', '0', '0', '1', '1430.28', '0.912825', '-3206.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6235383', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '0', '0', '1', '1435.87', '0.912825', '-3237.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6235384', '0', 'object/building/endor/shared_endr_lake_rail8m.iff', '0', '0', '0', '1', '1430.27', '0.912825', '-3237.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6235385', '0', 'object/building/endor/shared_endr_lake_rail2m.iff', '0', '0.707107', '0', '-0.707107', '1415.59', '1', '-3236.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6235386', '0', 'object/building/endor/shared_endr_lake_rail2m.iff', '0', '1', '0', '3.48103e-07', '1407.26', '1', '-3228.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6235387', '0', 'object/building/endor/shared_endr_lake_rail2m.iff', '0', '1', '0', '3.48103e-07', '1407.2', '1', '-3215.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6235388', '0', 'object/building/endor/shared_endr_lake_rail2m.iff', '0', '0.707107', '0', '-0.707107', '1428.51', '1', '-3207.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6235389', '0', 'object/building/endor/shared_endr_lake_rail2m.iff', '0', '0', '0', '1', '1436.82', '1', '-3215.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6235390', '0', 'object/building/endor/shared_endr_lake_rail2m.iff', '0', '1', '0', '3.48103e-07', '1436.79', '1', '-3228.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6235391', '0', 'object/building/endor/shared_endr_lake_rail2m.iff', '0', '0.707107', '0', '-0.707107', '1428.13', '1', '-3236.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6235392', '0', 'object/building/endor/shared_endr_lake_rail8m.iff', '0', '0', '0', '1', '1430.14', '0.820702', '-3254.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6235393', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '0', '0', '1', '1435.74', '0.820702', '-3254.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6235394', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '0', '0', '1', '1415.62', '0.820702', '-3254.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6235395', '0', 'object/building/endor/shared_endr_lake_rail8m.iff', '0', '0', '0', '1', '1410.02', '0.820702', '-3254.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6235396', '0', 'object/building/endor/shared_endr_lake_rail8m.iff', '0', '-0.707106', '0', '0.707107', '1437.72', '1', '-3261.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6235397', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '-0.707106', '0', '0.707107', '1437.86', '1', '-3256.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6235398', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '-0.707106', '0', '0.707107', '1437.85', '1', '-3276.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6235399', '0', 'object/building/endor/shared_endr_lake_rail8m.iff', '0', '-0.707106', '0', '0.707107', '1437.71', '1', '-3281.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6235400', '0', 'object/building/endor/shared_endr_lake_rail2m.iff', '0', '1', '0', '3.48103e-07', '1436.71', '1', '-3276.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6235401', '0', 'object/building/endor/shared_endr_lake_rail2m.iff', '0', '0.707107', '0', '-0.707107', '1428.51', '1', '-3284.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6235402', '0', 'object/building/endor/shared_endr_lake_rail2m.iff', '0', '1', '0', '3.48103e-07', '1467.36', '1', '-3264.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6235404', '0', 'object/building/endor/shared_endr_lake_rail2m.iff', '0', '1', '0', '3.48103e-07', '1467.6', '1', '-3275.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415352', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '-0.707106', '0', '0.707108', '-649.843', '0.856531', '-5043.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415353', '0', 'object/building/endor/shared_endr_lake_rail2m.iff', '0', '0', '0', '1', '-671.514', '1', '-5068.34', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415354', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '0', '0', '1', '-640.044', '1', '-5068.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415355', '0', 'object/building/endor/shared_endr_lake_rail8m.iff', '0', '0.707106', '0', '0.707107', '-617.893', '0.9', '-5084.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415356', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '1', '0', '-6.47969e-06', '-661.911', '0.99072', '-5100.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415357', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '1', '0', '-6.47969e-06', '-661.926', '0.99072', '-5083.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415358', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '-0.707098', '0', '0.707115', '-653.895', '0.99072', '-5092.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415359', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '-0.707101', '0', '0.707112', '-642.126', '0.968377', '-5060.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415360', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '-0.707101', '0', '0.707112', '-649.817', '0.923969', '-5060.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415361', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '-0.707101', '0', '0.707112', '-642.182', '0.832503', '-5043.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415362', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '-0.707106', '0', '0.707108', '-638.269', '0.9', '-5069.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415363', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '-0.707093', '0', '0.70712', '-673.112', '0.8', '-5059.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415364', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '-0.707093', '0', '0.70712', '-680.803', '0.8', '-5059.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415365', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '0.707107', '0', '-0.707107', '-680.829', '0.8', '-5043.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415366', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '-0.707093', '0', '0.70712', '-673.168', '0.8', '-5043.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415367', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '1', '0', '-3.36082e-06', '-683.478', '0.94161', '-5068.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415368', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '0', '0', '1', '-652.469', '0.8', '-5068.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415369', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '-0.707097', '0', '0.707116', '-670.086', '0.99072', '-5092.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415371', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '0', '0', '1', '-662.431', '0.963246', '-5068.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415372', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '-0.707095', '0', '0.707118', '-685.87', '0.9', '-5108.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415373', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '-0.707091', '0', '0.707122', '-685.866', '0.9', '-5091.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415374', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '-0.707088', '0', '0.707125', '-685.875', '0.978365', '-5076.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415375', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '1', '0', '-2.17369e-05', '-677.827', '0.850297', '-5115.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415376', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '1', '0', '-1.76065e-05', '-645.916', '0.850297', '-5115.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415377', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '1', '0', '-2.46028e-05', '-661.886', '0.850297', '-5115.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415378', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '-0.707085', '0', '0.707128', '-621.848', '0.9', '-5096.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415379', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '-0.707088', '0', '0.707125', '-638.113', '0.860008', '-5107.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415380', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '-0.707083', '0', '0.70713', '-638.109', '0.860008', '-5091.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415381', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '-0.707101', '0', '0.707112', '-638.212', '0.9', '-5081.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415383', '0', 'object/building/endor/shared_endr_lake_rail2m.iff', '0', '0', '0', '1', '-684.59', '0.9', '-5097.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415385', '0', 'object/building/endor/shared_endr_lake_rail2m.iff', '0', '0', '0', '1', '-684.766', '0.9', '-5089.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415386', '0', 'object/building/endor/shared_endr_lake_rail2m.iff', '0', '0', '0', '1', '-684.735', '0.978365', '-5075.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415387', '0', 'object/building/endor/shared_endr_lake_rail2m.iff', '0', '0', '0', '1', '-684.69', '0.9', '-5083.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415388', '0', 'object/building/endor/shared_endr_lake_rail2m.iff', '0', '-0.707106', '0', '0.707107', '-675.987', '0.9', '-5114.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415389', '0', 'object/building/endor/shared_endr_lake_rail2m.iff', '0', '0', '0', '1', '-684.593', '0.9', '-5105.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415390', '0', 'object/building/endor/shared_endr_lake_rail2m.iff', '0', '-0.707106', '0', '0.707107', '-647.721', '0.9', '-5114.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415391', '0', 'object/building/endor/shared_endr_lake_rail2m.iff', '0', '0', '0', '1', '-639.23', '0.9', '-5105.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415392', '0', 'object/building/endor/shared_endr_lake_rail2m.iff', '0', '-0.707106', '0', '0.707107', '-618.507', '0.849529', '-5102.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415393', '0', 'object/building/endor/shared_endr_lake_rail2m.iff', '0', '0', '0', '1', '-639.215', '0.9', '-5097.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415394', '0', 'object/building/endor/shared_endr_lake_rail2m.iff', '0', '0', '0', '1', '-639.235', '0.9', '-5088.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415395', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '-0.70708', '0', '0.707133', '-606.11', '0.967563', '-5096.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415396', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '1', '0', '-3.15992e-05', '-614.005', '0.967563', '-5103.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415397', '0', 'object/building/endor/shared_endr_lake_rail2m.iff', '0', '0.707107', '0', '-0.707107', '-609.596', '0.9', '-5102.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415398', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '1', '0', '-2.2e-05', '-630.128', '0.911345', '-5079.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415399', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '1', '0', '-2.5e-05', '-582.035', '0.9', '-5083.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415400', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '1', '0', '-1.8e-05', '-597.892', '0.9', '-5079.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415401', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '1', '0', '-2.2e-05', '-630.17', '0.9', '-5072.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415402', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '1', '0', '-2.5e-05', '-614.229', '0.9', '-5072.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415403', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '1', '0', '-1.8e-05', '-598.259', '0.9', '-5072.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415404', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '1', '0', '-1.19588e-05', '-619.977', '0.772279', '-5088.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415405', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '1', '0', '-1.19588e-05', '-608.011', '0.836754', '-5088.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415406', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '1', '0', '-1.2e-05', '-620.022', '0.9', '-5079.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415407', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '1', '0', '-1.2e-05', '-607.992', '0.9', '-5079.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415408', '0', 'object/building/endor/shared_endr_lake_rail8m.iff', '0', '0.707106', '0', '0.707107', '-610.112', '0.9', '-5084.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415412', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '1', '0', '-2.5e-05', '-565.997', '0.9', '-5083.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415413', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '0.707124', '0', '0.707089', '-597.88', '0.9', '-5060.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415414', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '0.707124', '0', '0.707089', '-550.099', '0.9', '-5060', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415415', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '0.707124', '0', '0.707089', '-558.14', '0.9', '-5075.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415416', '0', 'object/building/endor/shared_endr_lake_rail8m.iff', '0', '0', '0', '1', '-593.834', '0.9', '-5067.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415417', '0', 'object/building/endor/shared_endr_lake_rail8m.iff', '0', '0', '0', '1', '-554.186', '0.9', '-5067.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415418', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '1', '0', '-1.8e-05', '-577.898', '0.9', '-5052.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415419', '0', 'object/building/endor/shared_endr_lake_rail8m.iff', '0', '0', '0', '1', '-566.041', '0.868377', '-5052.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415421', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '0.707106', '0', '0.707107', '-589.669', '0.9', '-5069.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415422', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '0.707106', '0', '0.707107', '-589.906', '0.9', '-5081.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415423', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '0', '0', '1', '-595.901', '0.80953', '-5052.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415424', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '0', '0', '1', '-552.108', '0.805132', '-5052.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415425', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '0.707124', '0', '0.707089', '-554.208', '0.859191', '-5043.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415426', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '0.707124', '0', '0.707089', '-554.217', '0.859191', '-5027.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415427', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '0.707124', '0', '0.707089', '-561.854', '0.9', '-5043.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415428', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '0.707124', '0', '0.707089', '-561.862', '0.9', '-5027.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415429', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '0.707124', '0', '0.707089', '-593.869', '0.9', '-5043.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415430', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '0.707124', '0', '0.707089', '-593.877', '0.9', '-5027.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415431', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '0.707124', '0', '0.707089', '-586.11', '0.9', '-5043.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415432', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '0.707124', '0', '0.707089', '-586.119', '0.9', '-5027.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415433', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '0.707124', '0', '0.707089', '-622.908', '0.9', '-5035.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415434', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '0.707124', '0', '0.707089', '-615.149', '0.9', '-5035.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415435', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '0', '0', '1', '-624.925', '0.9', '-5044.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415436', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '0.707124', '0', '0.707089', '-626.904', '0.9', '-5051.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415437', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '0.707124', '0', '0.707089', '-611.096', '0.9', '-5051.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415438', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '1', '0', '-2.43718e-05', '-619.017', '0.739207', '-5059.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415439', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '0', '0', '1', '-613.075', '0.868377', '-5044.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415440', '0', 'object/building/endor/shared_endr_lake_rail2m.iff', '0', '0.707107', '0', '-0.707107', '-578.377', '0.9', '-5053.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415441', '0', 'object/building/endor/shared_endr_lake_rail2m.iff', '0', '1', '0', '3.48103e-07', '-596.852', '0.9', '-5058.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415442', '0', 'object/building/endor/shared_endr_lake_rail2m.iff', '0', '0.707107', '0', '-0.707107', '-569.805', '0.9', '-5053.34', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415443', '0', 'object/building/endor/shared_endr_lake_rail2m.iff', '0', '1', '0', '3.48103e-07', '-551.082', '0.9', '-5058.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415445', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '0.707124', '0', '0.707089', '-534.162', '0.9', '-5060.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415446', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '0.707124', '0', '0.707089', '-534.134', '0.9', '-5076.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415447', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '0.707124', '0', '0.707089', '-541.905', '0.9', '-5027.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415448', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '0.707124', '0', '0.707089', '-541.873', '0.9', '-5044.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415449', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '0.707124', '0', '0.707089', '-541.847', '0.9', '-5060.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415450', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '0.707124', '0', '0.707089', '-541.892', '0.9', '-5076.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415451', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '0.707124', '0', '0.707089', '-534.153', '0.9', '-5027.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415452', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '0.707124', '0', '0.707089', '-534.19', '0.9', '-5044.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415453', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '0', '0', '1', '-537.985', '0.9', '-5099.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415454', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '0.707124', '0', '0.707089', '-530.11', '0.9', '-5091.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415455', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '0.707124', '0', '0.707089', '-545.914', '0.9', '-5092.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415456', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '0', '0', '1', '-532.064', '0.805132', '-5084.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415457', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '0', '0', '1', '-544.008', '0.9', '-5084.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415458', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '0.632999', '0', '0.774153', '-510.795', '0.9', '-5024.59', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415459', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '0.632999', '0', '0.774153', '-518.394', '0.9', '-5026.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6415474', '0', 'object/building/endor/shared_endr_lake_rail2m.iff', '0', '0.768054', '0', '-0.640385', '-507.733', '0.9', '-5080.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6455352', '0', 'object/building/endor/shared_endr_lake_rail2m.iff', '0', '0.780707', '0', '-0.624897', '-499.496', '0.9', '-5078.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6455353', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '-0.099813', '0', '0.995006', '-503.412', '0.9', '-5080.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6455354', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '0.632996', '0', '0.774155', '-497.197', '0.9', '-5071.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6455355', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '0.632996', '0', '0.774155', '-512.697', '0.9', '-5074.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6455356', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '-0.099833', '0', '0.995004', '-512.335', '0.9', '-5066.52', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6455357', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '-0.099833', '0', '0.995004', '-500.615', '0.9', '-5064.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6455358', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '0.632997', '0', '0.774154', '-504.276', '0.9', '-5056.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6455359', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '0.632997', '0', '0.774154', '-511.875', '0.9', '-5058.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6455360', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '0.633', '0', '0.774152', '-507.481', '0.9', '-5040.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6455361', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '0.633', '0', '0.774152', '-515.08', '0.9', '-5042.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6455362', '0', 'object/building/endor/shared_endr_lake_rail2m.iff', '0', '0.860269', '0', '-0.509841', '-466.584', '0.9', '-5055.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6455363', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '-0.237683', '0', '0.971343', '-469.809', '0.9', '-5058.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6455364', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '0.518775', '0', '0.854911', '-466.421', '0.9', '-5048.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6455365', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '0.518775', '0', '0.854911', '-480.469', '0.9', '-5055.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6455366', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '-0.237702', '0', '0.971338', '-482.317', '0.9', '-5047.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6455367', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '-0.237702', '0', '0.971338', '-471.693', '0.9', '-5042.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6455368', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '0.518776', '0', '0.85491', '-477.291', '0.9', '-5036.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6455369', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '0.518776', '0', '0.85491', '-484.17', '0.9', '-5039.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6455370', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '0.518779', '0', '0.854909', '-484.711', '0.9', '-5021.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6455371', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '0.518779', '0', '0.854909', '-491.59', '0.9', '-5025.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6455372', '0', 'object/building/endor/shared_endr_lake_rail2m.iff', '0', '0.860269', '0', '-0.509841', '-473.834', '0.993809', '-5059.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6455373', '0', 'object/static/particle/shared_particle_seagulls_flock.iff', '0', '0', '0', '1', '-655.697', '1.05188', '-5086.63', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645535', '0', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '4543.35', '20', '-2403.54', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645536', '0', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '4543.75', '20', '-2403.61', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645537', '0', 'object/static/item/shared_item_bowl_plain.iff', '0', '0', '0', '1', '4541.65', '20', '-2403.9', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645538', '0', 'object/static/item/shared_item_con_tato_bowl_full_s02.iff', '0', '0', '0', '1', '4538.46', '20.0081', '-2367.76', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645539', '0', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '4539.81', '20.0064', '-2369.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645540', '0', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '4539.56', '20.0077', '-2370.12', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645541', '0', 'object/static/item/shared_item_basket_shallow.iff', '0', '0', '0', '1', '4530.83', '20.0539', '-2378.16', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645542', '0', 'object/static/item/shared_item_bread_loaf.iff', '0', '0', '0', '1', '4530.8', '20.108', '-2378.24', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645543', '0', 'object/static/item/shared_item_bowl_plain.iff', '0', '0', '0', '1', '4528.09', '20.1049', '-2376.87', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645544', '0', 'object/static/installation/shared_mockup_power_generator_fusion_style_1.iff', '0', '-0.324043', '0', '0.946042', '-899.977', '78', '1554.2', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645545', '0', 'object/static/installation/shared_mockup_power_generator_fusion_style_1.iff', '0', '-0.324043', '0', '0.946042', '-894.077', '78', '1558.81', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645546', '0', 'object/static/structure/corellia/shared_corl_power_connector.iff', '0.668953', '0.229133', '0.229133', '-0.668953', '-892.138', '79.0855', '1549.79', '128', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645547', '0', 'object/static/structure/dantooine/shared_dant_fish_rack.iff', '0', '-0.333487', '0', '0.942755', '4540.67', '20.0008', '-2371.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645548', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '0.7991', '0', '0.601198', '4541.84', '20.0007', '-2369.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645549', '0', 'object/static/item/shared_item_con_tato_bowl_full_s01.iff', '0', '0', '0', '1', '4548.79', '20.0037', '-2420.13', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645551', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '0', '0', '1', '4549.19', '20.0622', '-2421.84', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645602', '0', 'object/building/corellia/shared_ply_corl_house_s_s01_fp1.iff', '0', '0.0399893', '0', '0.9992', '-865.993', '80', '1557.56', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645603', '6645602', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645604', '6645602', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645682', '6645604', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s3.iff', '0', '0', '0', '1', '-6.94459', '0.74', '-7.26285', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645683', '6645604', 'object/static/item/shared_item_painting_bothan_style_01.iff', '0', '0.707107', '0', '0.707107', '3.6301', '1.43338', '-7.75037', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645684', '6645604', 'object/static/item/shared_item_painting_corellia_style_01.iff', '0', '0.707106', '0', '0.707107', '-2.89116', '1.40408', '-7.74112', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645605', '6645602', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645628', '6645605', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.707105', '0', '0.707108', '-3.30637', '0.74', '-0.249622', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645630', '6645605', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.707107', '0', '0.707107', '-3.29913', '0.74', '-3.50341', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645631', '6645605', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '0', '0', '1', '2.74725', '0.74', '-4.14698', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645632', '6645605', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '1', '0', '-3.20013e-08', '2.7606', '0.74', '0.306336', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645643', '6645605', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0', '0', '1', '-3.05748', '0.74', '-1.88791', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645645', '6645605', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '1', '0', '-3.20013e-08', '1.08833', '0.74', '0.640348', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645647', '6645605', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '1', '0', '-3.20013e-08', '0.317686', '0.74', '0.636827', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645648', '6645605', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.99995', '0', '0.0099998', '-0.469572', '0.74', '0.618925', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645649', '6645605', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.00499958', '0', '0.999987', '-0.438846', '0.74', '-4.48196', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645650', '6645605', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.00499958', '0', '0.999987', '0.331963', '0.74', '-4.48616', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645651', '6645605', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '-0.00500038', '0', '0.999987', '1.11932', '0.74', '-4.47618', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645657', '6645605', 'object/tangible/furniture/all/shared_frn_all_decorative_sm_s4.iff', '0', '0.710353', '0', '0.703845', '-3.04814', '1.62544', '-1.93467', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645679', '6645605', 'object/static/item/shared_item_painting_agrilat_swamp_style_01.iff', '0', '0', '0', '1', '6.98978', '1.46732', '-1.87039', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645606', '6645602', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645661', '6645606', 'object/tangible/furniture/all/shared_frn_all_couch_ottoman_s1.iff', '0', '-0.707106', '0', '0.707107', '3.0243', '0.74', '2.12334', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645662', '6645606', 'object/tangible/furniture/all/shared_frn_all_couch_ottoman_s1.iff', '0', '-0.707106', '0', '0.707107', '3.02105', '0.74', '2.875', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645663', '6645606', 'object/tangible/furniture/all/shared_frn_all_couch_ottoman_s1.iff', '0', '-0.707106', '0', '0.707107', '3.01516', '0.74', '3.61925', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645664', '6645606', 'object/tangible/furniture/all/shared_frn_all_couch_ottoman_s1.iff', '0', '-0.707105', '0', '0.707108', '3.06532', '0.74', '5.37161', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645665', '6645606', 'object/tangible/furniture/all/shared_frn_all_couch_ottoman_s1.iff', '0', '-0.707105', '0', '0.707108', '3.06207', '0.74', '6.12326', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645666', '6645606', 'object/tangible/furniture/all/shared_frn_all_couch_ottoman_s1.iff', '0', '-0.707105', '0', '0.707108', '3.05616', '0.74', '6.86748', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645667', '6645606', 'object/tangible/furniture/all/shared_frn_all_couch_ottoman_s1.iff', '0', '-0.707104', '0', '0.707109', '4.77647', '0.74', '5.39818', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645668', '6645606', 'object/tangible/furniture/all/shared_frn_all_couch_ottoman_s1.iff', '0', '-0.707104', '0', '0.707109', '4.77321', '0.74', '6.14983', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645669', '6645606', 'object/tangible/furniture/all/shared_frn_all_couch_ottoman_s1.iff', '0', '-0.707104', '0', '0.707109', '4.76731', '0.74', '6.89405', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645670', '6645606', 'object/tangible/furniture/all/shared_frn_all_couch_ottoman_s1.iff', '0', '-0.70356', '0', '0.710636', '1.17056', '0.74', '2.08526', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645671', '6645606', 'object/tangible/furniture/all/shared_frn_all_couch_ottoman_s1.iff', '0', '-0.70356', '0', '0.710636', '1.17482', '0.74', '2.83691', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645672', '6645606', 'object/tangible/furniture/all/shared_frn_all_couch_ottoman_s1.iff', '0', '-0.70356', '0', '0.710636', '1.17636', '0.74', '3.58115', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645673', '6645606', 'object/tangible/furniture/all/shared_frn_all_couch_ottoman_s1.iff', '0', '-0.70356', '0', '0.710636', '1.15943', '0.74', '5.38469', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645674', '6645606', 'object/tangible/furniture/all/shared_frn_all_couch_ottoman_s1.iff', '0', '-0.70356', '0', '0.710636', '1.16369', '0.74', '6.13634', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645675', '6645606', 'object/tangible/furniture/all/shared_frn_all_couch_ottoman_s1.iff', '0', '-0.70356', '0', '0.710636', '1.16522', '0.74', '6.88058', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645676', '6645606', 'object/static/item/shared_item_music_microphone_s2.iff', '0', '0', '0', '1', '-1.18762', '0.74', '4.41598', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645677', '6645606', 'object/static/item/shared_item_speaker.iff', '0', '0.707106', '0', '0.707107', '-3.09437', '0.74', '2.34691', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645678', '6645606', 'object/static/item/shared_item_speaker.iff', '0', '0.707106', '0', '0.707107', '-3.10119', '0.74', '6.42591', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645607', '0', 'object/static/item/shared_item_basket_shallow.iff', '0', '0', '0', '1', '4608.24', '10', '-2402.59', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645608', '0', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '4609.58', '10', '-2403.32', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645609', '0', 'object/static/structure/dantooine/shared_dant_fish_rack.iff', '0', '-0.707106', '0', '0.707107', '4604.98', '10', '-2402.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645610', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '1', '0', '3.20013e-08', '4589.97', '10.1408', '-2401.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645611', '0', 'object/static/structure/dantooine/shared_dant_hide_tanning_s01.iff', '0', '0', '0', '1', '4591.64', '10.2294', '-2398.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645617', '0', 'object/static/structure/dantooine/shared_dant_fish_rack.iff', '0', '0', '0', '1', '4553.39', '30', '-2465.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645618', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '0', '0', '1', '4553.83', '30', '-2473.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645619', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '0', '0', '1', '4559.37', '30', '-2473.37', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645620', '0', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '4555.63', '30', '-2474.97', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645621', '0', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '4555.36', '30', '-2474.7', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645622', '0', 'object/static/item/shared_item_bowl_plain.iff', '0', '0', '0', '1', '4549.34', '30', '-2473.96', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645623', '0', 'object/static/item/shared_item_basket_shallow.iff', '0', '0', '0', '1', '4552.86', '30', '-2462.69', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645687', '0', 'object/tangible/crafting/station/shared_public_food_station.iff', '0', '0.734818', '0', '0.678264', '-857.068', '80', '1562.24', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645688', '0', 'object/tangible/crafting/station/shared_public_food_station.iff', '0', '0.734818', '0', '0.678264', '-857.676', '80.0019', '1554.51', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645689', '0', 'object/tangible/crafting/station/shared_public_weapon_station.iff', '0', '-0.678264', '0', '0.734818', '-875.221', '80.0054', '1556.64', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645690', '0', 'object/tangible/crafting/station/shared_public_clothing_station.iff', '0', '0.0399893', '0', '0.9992', '-875.588', '80.0131', '1554.44', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645691', '0', 'object/tangible/crafting/station/shared_public_weapon_station.iff', '0', '-0.49688', '0', '0.867819', '-859.511', '79.5005', '1610.55', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645694', '0', 'object/tangible/crafting/station/shared_public_clothing_station.iff', '0', '0.257081', '0', '0.96639', '-860.852', '79.5', '1608.73', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645695', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.0399893', '0', '0.9992', '-862.019', '80', '1565.59', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645697', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.039989', '0', '0.9992', '-865.694', '80', '1565.9', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645699', '0', 'object/tangible/crafting/station/shared_public_structure_station.iff', '0', '0.932183', '0', '-0.361987', '-965.559', '73', '1560.21', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645701', '0', 'object/tangible/terminal/shared_terminal_mission_bounty.iff', '0', '0.8699', '0', '0.493228', '-908.008', '80', '1611.37', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645703', '0', 'object/tangible/terminal/shared_terminal_mission_bounty.iff', '0', '0.8699', '0', '0.493228', '-904.523', '80', '1617.12', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645705', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.967462', '0', '-0.253016', '-857.247', '79.4983', '1604.12', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645707', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.967462', '0', '-0.253016', '-851.386', '79.4862', '1600.74', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645744', '0', 'object/tangible/camp/shared_camp_tent_s4.iff', '0', '1', '0', '3.20013e-08', '-880.392', '76', '1631.28', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645745', '0', 'object/tangible/camp/shared_camp_tent_s3.iff', '0', '0.124675', '0', '0.992198', '-867.601', '76', '1627.63', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645746', '0', 'object/tangible/camp/shared_camp_tent_s3.iff', '0', '-0.144492', '0', '0.989506', '-867.847', '76', '1636.18', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645748', '0', 'object/tangible/camp/shared_camp_tent_s5.iff', '0', '-0.430458', '0', '0.902611', '-826.002', '76', '1580.03', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645749', '0', 'object/tangible/camp/shared_camp_tent_s1.iff', '0', '0.991458', '0', '0.130424', '-834.577', '76', '1580.84', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645750', '0', 'object/tangible/camp/shared_camp_tent_s2.iff', '0', '-0.114747', '0', '0.993395', '-826.364', '76', '1568.62', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645751', '0', 'object/tangible/camp/shared_camp_tent_s2.iff', '0', '0', '0', '1', '-832.148', '76', '1567.48', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645752', '0', 'object/tangible/camp/shared_camp_tent_s2.iff', '0', '0.114747', '0', '0.993395', '-837.902', '76', '1568.31', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645759', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0', '0', '1', '-832.567', '74.5137', '1575.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645760', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0', '0', '1', '-873.698', '74.4504', '1631.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645762', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '-932.978', '76.0537', '1549.88', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645763', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '1', '0', '0', '-3.20013e-08', '-985', '76.8897', '1565', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645764', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '1', '0', '0', '-3.20013e-08', '-966.421', '76.8897', '1546.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645765', '0', 'object/static/structure/tatooine/shared_debris_tatt_radar_dish.iff', '-0.41445', '-0.0448243', '-0.0496034', '0.907613', '-834.915', '76.3877', '1587.58', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645766', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.674288', '0', '0.738469', '-825.914', '76', '1583.89', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645767', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.844162', '0', '0.536088', '-824.665', '76', '1583.61', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645768', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.962209', '0', '0.272314', '-826.923', '76', '1583.75', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645769', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.620986', '0', '0.783822', '-828.232', '76', '1568.71', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645770', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.620986', '0', '0.783822', '-827.99', '76', '1567.7', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645771', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.706826', '0', '0.707388', '-833.913', '76', '1568.02', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645772', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.706826', '0', '0.707388', '-833.906', '76', '1566.99', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645773', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.624897', '0', '0.780707', '-839.546', '76', '1569.13', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645774', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '-0.624897', '0', '0.780707', '-839.736', '76', '1568.24', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645784', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '0.206814', '-0.48267', '-0.230114', '0.819332', '-837.82', '75.9526', '1586.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645786', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '-0.394261', '0.159148', '-0.563316', '0.708453', '-832.007', '76.246', '1586.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '6645787', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.0349929', '0', '0.999388', '-857.479', '80', '1557.63', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '6665352', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '94.5762', '29.3508', '38.8375', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '6705352', '0', 'object/building/military/shared_outpost_starport.iff', '0', '0.932039', '0', '-0.362358', '-977.587', '73', '1554.06', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '6705353', '6705352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '3435617', '6705353', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0', '0', '1', '-7.40129', '0.146595', '-19.218', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '6705354', '0', 'object/building/military/shared_outpost_cloning_facility.iff', '0', '0.872356', '0', '0.488872', '-912.509', '80', '1618.06', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '6705355', '6705354', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '6705356', '6705354', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '6705357', '6705354', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '6705358', '6705354', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '6705359', '6705354', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '6705360', '6705354', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '7075704', '0', 'object/static/item/shared_item_container_inorganic_chemicals.iff', '0', '-0.609159', '0', '0.793048', '-857.213', '80', '1559.14', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '7075705', '0', 'object/static/item/shared_item_container_inorganic_chemicals.iff', '0', '-0.688921', '0', '0.724837', '-857.097', '80', '1559.91', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '7075706', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.731417', '0', '0.68193', '-859.186', '80.4748', '1551.99', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '7075707', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.731418', '0', '0.68193', '-859.208', '80.4794', '1551.62', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '7075708', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.731418', '0', '0.68193', '-859.235', '80.4809', '1551.25', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '7075709', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.731418', '0', '0.68193', '-859.265', '80.4787', '1550.9', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '7075710', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.786425', '0', '0.617686', '-858.032', '80.0034', '1552.03', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '7075711', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.0399893', '0', '0.9992', '-874.636', '80', '1561.16', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '7075713', '0', 'object/static/item/shared_item_container_energy_radioactive.iff', '0', '0.0848977', '0', '0.99639', '-874.34', '80', '1562.93', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '7075714', '0', 'object/static/item/shared_item_vibroaxe.iff', '0.993267', '-0.114652', '0.00601479', '0.0154375', '-873.834', '80.9802', '1560.03', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '7075715', '0', 'object/static/item/shared_item_vibrolance.iff', '-0.36621', '-0.386375', '0.609495', '0.587469', '-874.612', '80.9399', '1561.3', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '7075716', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.193767', '0', '0.981048', '-857.354', '79.5331', '1613.86', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '7075717', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.261909', '0', '0.965092', '-856.847', '79.5253', '1614.75', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '7075718', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '0.867423', '0', '0.497571', '-839.92', '79.5219', '1607.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('3', '7075719', '0', 'object/static/structure/corellia/shared_corl_power_arial_thin.iff', '0', '0.252245', '0', '0.967663', '-840.529', '79.8525', '1611.16', '128', '1');
INSERT INTO `staticobjects` VALUES ('3', '7075720', '0', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '0.862404', '0', '0.50622', '-843.057', '79.5001', '1605.57', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '7075721', '0', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '0.862404', '0', '0.50622', '-843.406', '79.5', '1604.89', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '7075722', '0', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '0.863209', '0', '0.504846', '-843.906', '79.5001', '1604.22', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '7075723', '0', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '0.863209', '0', '0.504846', '-844.234', '79.5', '1603.61', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '7075724', '0', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '0.930799', '0', '0.365531', '-844.714', '79.5', '1603.02', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '7075725', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.713864', '0', '-0.700285', '-881.05', '76', '1628.04', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '7075726', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.13459', '0', '0.990901', '-880.047', '76', '1628', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '7075727', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '-880.658', '76', '1634.42', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '7075728', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.9871', '0', '0.160104', '-880.967', '76', '1634.34', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '7075729', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.916803', '0', '0.399339', '-881.305', '76', '1634.47', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '7075730', '0', 'object/static/item/shared_item_container_inorganic_gas.iff', '0', '-0.696135', '0', '0.717911', '-880.07', '76', '1634.39', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '7075731', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.663136', '0', '0.748499', '-877.922', '76', '1629.98', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '7075732', '0', 'object/static/item/shared_item_container_organic_structure.iff', '0', '0.868215', '0', '0.496189', '-903.83', '80', '1622.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '7075733', '0', 'object/static/item/shared_item_container_organic_structure.iff', '0', '0.868215', '0', '0.496189', '-904.463', '80', '1622.49', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '7075734', '0', 'object/static/item/shared_item_container_organic_hide.iff', '0', '0.872356', '0', '0.488872', '-905.118', '80', '1622.95', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '7075735', '0', 'object/static/item/shared_item_container_inorganic_gas.iff', '0', '0.8699', '0', '0.493228', '-907.133', '80', '1624.14', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '7075736', '0', 'object/static/item/shared_item_container_inorganic_gas.iff', '0', '0.816313', '0', '0.577609', '-907.775', '80', '1624.48', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '7075737', '0', 'object/static/item/shared_item_container_energy_gas.iff', '0', '0.963558', '0', '-0.267499', '-908.669', '80', '1625.02', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '7075738', '0', 'object/static/item/shared_item_container_inorganic_gas.iff', '0', '0.854714', '0', '0.519099', '-907.48', '80.4427', '1624.33', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '7075739', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '-0.188859', '0', '0.982004', '-893.391', '78', '1551.73', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '7075741', '0', 'object/static/item/shared_item_container_energy_radioactive.iff', '0', '0.552199', '0', '0.833712', '-892.526', '78.1265', '1551.3', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '7075742', '0', 'object/static/item/shared_item_container_energy_radioactive.iff', '0', '0.5522', '0', '0.833712', '-893.681', '78.1265', '1550.83', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '7075743', '0', 'object/static/item/shared_item_container_energy_radioactive.iff', '0', '0.5522', '0', '0.833712', '-892.99', '78.1265', '1552.47', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '7075744', '0', 'object/static/item/shared_item_container_energy_radioactive.iff', '0', '0.5522', '0', '0.833712', '-894.174', '78.1265', '1551.96', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '7075746', '0', 'object/static/item/shared_item_container_energy_solid.iff', '0', '-0.324043', '0', '0.946042', '-900.129', '78.0949', '1552.09', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '7075747', '0', 'object/static/item/shared_item_container_energy_solid.iff', '0', '-0.324043', '0', '0.946042', '-899.798', '78.0949', '1551.65', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '7075748', '0', 'object/static/item/shared_item_container_energy_solid.iff', '0', '-0.324043', '0', '0.946042', '-899.468', '78.0949', '1551.21', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '7075749', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '-899.008', '78.0949', '1550.95', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '7075750', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.257081', '0', '0.96639', '-899.041', '78.0949', '1550.58', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '7075751', '0', 'object/static/item/shared_item_crate_spice.iff', '0', '0.920751', '0', '-0.390152', '-959.076', '73', '1554.69', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '7075752', '0', 'object/static/item/shared_item_crate_spice.iff', '0', '0.920751', '0', '-0.390152', '-959.764', '73', '1555.27', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '7075753', '0', 'object/static/item/shared_item_container_organic_structure.iff', '0', '-0.407761', '0', '0.913089', '-971.497', '73', '1566.21', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '7075754', '0', 'object/static/item/shared_item_container_organic_structure.iff', '0', '-0.40776', '0', '0.913089', '-970.983', '73', '1565.71', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '7075755', '0', 'object/static/item/shared_item_container_organic_structure.iff', '0', '-0.309816', '0', '0.950796', '-966.891', '73', '1561.56', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '7255422', '0', 'object/tangible/jedi/shared_force_shrine_stone.iff', '0', '0.707107', '0', '0.707107', '-3870.94', '0.0019522', '-4470.51', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '7255423', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0.707099', '0', '0.707114', '-3875.36', '1.86549', '-4472.11', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '7255424', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0', '0', '1', '-3866.68', '1.86321', '-4472.07', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '7255425', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '1', '0', '0', '-3871.91', '1.86165', '-4472.12', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '7255426', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '0', '0', '1', '-3870.12', '1.85381', '-4472.17', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '7255427', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_altar.iff', '0', '0', '0', '1', '-3871', '-16.0915', '-4472.11', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '7255428', '0', 'object/static/particle/shared_pt_poi_electricity_2x2.iff', '0', '0', '0', '1', '-3870.94', '1.86576', '-4470.51', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '7255429', '0', 'object/tangible/jedi/shared_force_shrine_stone.iff', '0', '0.707107', '0', '0.707107', '5116.92', '17.3153', '1920.95', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '7255430', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0.7071', '0', '0.707113', '5112.5', '18.6139', '1919.36', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '7255431', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0', '0', '1', '5121.18', '18.6139', '1919.39', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '7255432', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '1', '0', '0', '5115.95', '18.6139', '1919.35', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '7255433', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '0', '0', '1', '5117.75', '18.6039', '1919.3', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '7255434', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_altar.iff', '0', '0', '0', '1', '5116.86', '0.660259', '1919.36', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '7255435', '0', 'object/static/particle/shared_pt_poi_electricity_2x2.iff', '0', '0', '0', '1', '5116.92', '18.6139', '1920.95', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '7255436', '0', 'object/tangible/jedi/shared_force_shrine_stone.iff', '0', '0.707107', '0', '0.707107', '670.399', '205.027', '5545.37', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '7255437', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0.7071', '0', '0.707113', '665.977', '206.173', '5543.78', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '7255438', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0', '0', '1', '674.661', '206.173', '5543.81', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '7255439', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '1', '0', '0', '669.431', '206.173', '5543.77', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '7255440', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '0', '0', '1', '671.224', '206.163', '5543.72', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '7255441', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_altar.iff', '0', '0', '0', '1', '670.34', '188.22', '5543.78', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '7255442', '0', 'object/static/particle/shared_pt_poi_electricity_2x2.iff', '0', '0', '0', '1', '670.401', '206.363', '5545.37', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '7255443', '0', 'object/tangible/jedi/shared_force_shrine_stone.iff', '0', '0.707107', '0', '0.707107', '-5627.48', '399.421', '4810.63', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '7255444', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0.707099', '0', '0.707114', '-5631.91', '400.53', '4809.03', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '7255445', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0', '0', '1', '-5623.22', '400.53', '4809.07', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '7255446', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '1', '0', '0', '-5628.45', '400.53', '4809.02', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '7255447', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '0', '0', '1', '-5626.66', '400.52', '4808.98', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '7255448', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_altar.iff', '0', '0', '0', '1', '-5627.54', '382.577', '4809.03', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '7255449', '0', 'object/static/particle/shared_pt_poi_electricity_2x2.iff', '0', '0', '0', '1', '-5627.48', '400.388', '4810.63', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '7255457', '0', 'object/tangible/jedi/shared_force_shrine_stone.iff', '0', '0.707107', '0', '0.707107', '-5055.83', '200.477', '-1706.4', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '7255458', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0.7071', '0', '0.707113', '-5060.25', '201.513', '-1707.99', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '7255459', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0', '0', '1', '-5051.57', '201.512', '-1707.96', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '7255460', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '1', '0', '0', '-5056.8', '201.513', '-1708', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '7255461', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '0', '0', '1', '-5055', '201.503', '-1708.05', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '7255462', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_altar.iff', '0', '0', '0', '1', '-5055.89', '183.559', '-1707.99', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '7255463', '0', 'object/static/particle/shared_pt_poi_electricity_2x2.iff', '0', '0', '0', '1', '-5055.83', '201.513', '-1706.4', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '7875566', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-863.798', '78.3872', '1566.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445352', '0', 'object/static/structure/general/shared_lucky_despot_debris_md_engine.iff', '-0.655134', '0.655134', '-0.266082', '0.266082', '-4554.06', '106.568', '-2245.07', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445355', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0', '0', '0', '1', '-4596.42', '98.6703', '-2262.41', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445357', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.0898786', '0.995953', '-2.87623e-09', '-3.18718e-08', '-4596.3', '98.8827', '-2253.64', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445358', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0204344', '0.126842', '-0.255877', '0.958134', '-4595.32', '99.1324', '-2245.61', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445360', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '0', '0.8772', '0', '0.480124', '-4594.39', '97.9789', '-2248.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445361', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.0753352', '0.766007', '0.0865055', '0.632514', '-4590.19', '99.442', '-2241.65', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445365', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '0', '-0.707106', '0', '0.707107', '-4596.35', '100.929', '-2267.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445366', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0', '0', '0', '1', '-4592.21', '100.044', '-2242.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445367', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '0', '0.707107', '0', '0.707107', '-4596.29', '100.791', '-2277.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445368', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0', '1', '0', '-3.20013e-08', '-4596.2', '98.9779', '-2282.51', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445373', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '0', '0', '1', '-4581.44', '99.0115', '-2244.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445376', '0', 'object/static/structure/dantooine/shared_dant_large_rock_hut.iff', '0', '0.707106', '0', '0.707107', '-4572.3', '99.0002', '-2272.82', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445379', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0.213131', '-0.0095974', '0.121804', '0.969354', '-4576.38', '99.0098', '-2268.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445380', '0', 'object/static/structure/general/shared_prp_junk_s5.iff', '0.143685', '0.543467', '0.114748', '0.819043', '-4569.27', '99.1732', '-2266.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445381', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0', '0.707099', '0', '0.707114', '-4572.19', '99.2833', '-2244.27', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445383', '0', 'object/static/structure/general/shared_prp_junk_s2.iff', '-0.325549', '-3.9774e-08', '0.945525', '2.48789e-08', '-4566.68', '96.8', '-2243.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445385', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0.301836', '-0.343589', '0.668108', '-0.586918', '-4568.7', '99.3448', '-2245.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445389', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0.935443', '0.29267', '0.0373539', '0.194669', '-4567.76', '99.509', '-2245.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445391', '0', 'object/static/structure/general/shared_debris_deathstar_small_chunk.iff', '0', '-0.554448', '0', '0.832219', '-4569.34', '99', '-2248.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445398', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '-4568.97', '99', '-2247.05', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445399', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '0', '0', '0.281157', '0.959662', '-4575.75', '98.6274', '-2280.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445404', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.0469198', '0.897869', '-0.423366', '0.111317', '-4574.38', '98.9079', '-2280.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445406', '0', 'object/static/structure/general/shared_prp_junk_s1.iff', '0', '0.164252', '0', '0.986418', '-4568.13', '99', '-2279.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445407', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0.165507', '-0.149612', '-0.653684', '0.723132', '-4577.24', '99.1032', '-2267.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445408', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0.691318', '-0.691318', '-0.148592', '0.148592', '-4576.61', '99.4513', '-2278.65', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445409', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.836925', '0', '-0.547317', '-4575.99', '99', '-2278.07', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445410', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.806682', '0', '0.590986', '-4576', '99.88', '-2278.01', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445413', '0', 'object/static/structure/dantooine/shared_dant_large_mudhut.iff', '0', '0.00730089', '0', '0.999973', '-4563.87', '99', '-2296.18', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445422', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '-0.338196', '0', '0.941076', '-4563.95', '106.798', '-2296.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445423', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0', '0.00730088', '0', '0.999973', '-4562.96', '99', '-2293.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445424', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0', '0.00730088', '0', '0.999973', '-4564.96', '99', '-2293.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445425', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0', '0.00730088', '0', '0.999973', '-4564.97', '99', '-2294.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445426', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0', '0.00730088', '0', '0.999973', '-4562.97', '99', '-2294.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445427', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0', '0.00730088', '0', '0.999973', '-4566.49', '99', '-2295.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445428', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0', '0.00730088', '0', '0.999973', '-4561.49', '99', '-2295.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445429', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0', '0.00730088', '0', '0.999973', '-4567', '99', '-2296.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445430', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0', '0.00730088', '0', '0.999973', '-4561', '99', '-2296.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445431', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0', '0.00730088', '0', '0.999973', '-4567', '99', '-2296.52', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445432', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0', '0.00730088', '0', '0.999973', '-4561.01', '99', '-2296.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445433', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0', '0.00730088', '0', '0.999973', '-4565.48', '99', '-2294.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445434', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0', '0.00730088', '0', '0.999973', '-4562.48', '99', '-2294.59', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445435', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0', '0.00730088', '0', '0.999973', '-4565.98', '99', '-2295.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445436', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0', '0.00730088', '0', '0.999973', '-4561.98', '99', '-2295.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445437', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0', '0.00730088', '0', '0.999973', '-4567.01', '99', '-2297.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445438', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0', '0.00730088', '0', '0.999973', '-4561.01', '99', '-2297.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445439', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0', '0.00730088', '0', '0.999973', '-4564.54', '99', '-2298.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445440', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0', '0.00730088', '0', '0.999973', '-4563.54', '99', '-2298.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445441', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0', '0.00730088', '0', '0.999973', '-4566.52', '99', '-2297.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445442', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0', '0.00730088', '0', '0.999973', '-4566.03', '99', '-2298.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445443', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0', '0.00730088', '0', '0.999973', '-4565.54', '99', '-2298.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445444', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0', '0.00730088', '0', '0.999973', '-4561.52', '99', '-2297.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445445', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0', '0.00730088', '0', '0.999973', '-4562.03', '99', '-2298.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445446', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0', '0.00730088', '0', '0.999973', '-4562.54', '99', '-2298.59', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445447', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0', '-0.274144', '0', '0.961689', '-4570.97', '99', '-2285.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445448', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '0', '-0.274144', '0', '0.961689', '-4569.73', '99', '-2287.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445449', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '0', '-0.274144', '0', '0.961689', '-4572.15', '99', '-2283.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445450', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0', '-0.274144', '0', '0.961689', '-4568.86', '99', '-2288.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445451', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0', '-0.274144', '0', '0.961689', '-4573.08', '99', '-2282.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445452', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0', '-0.274144', '0', '0.961689', '-4568.33', '99', '-2289.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445453', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0', '-0.274144', '0', '0.961689', '-4573.6', '99', '-2281.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445454', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0', '0.114747', '0', '0.993395', '-4558.38', '99', '-2284.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445455', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '0', '0.114747', '0', '0.993395', '-4558.92', '99', '-2287.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445456', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '0', '0.114747', '0', '0.993395', '-4557.84', '99', '-2282.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445457', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0', '0.114747', '0', '0.993395', '-4559.29', '99', '-2288.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445458', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0', '0.114747', '0', '0.993395', '-4557.46', '99', '-2281.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445459', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0', '0.114747', '0', '0.993395', '-4559.52', '99', '-2289.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445460', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0', '0.114747', '0', '0.993395', '-4557.24', '99', '-2280.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445467', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '0.707104', '0', '0', '0.707109', '-4552.49', '99.7149', '-2276.34', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445468', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '-7.72715e-09', '0.707107', '0.707107', '-7.72715e-09', '-4596.13', '100.579', '-2289.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445469', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '0.707032', '0.0103248', '-0.0103248', '-0.707031', '-4552.46', '101.392', '-2276.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445470', '0', 'object/static/structure/general/shared_prp_junk_s5.iff', '1', '0', '0', '-3.20013e-08', '-4596.09', '98.1663', '-2289.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445471', '0', 'object/static/structure/general/shared_prp_junk_s5.iff', '0.105669', '0.699167', '-0.699167', '0.105669', '-4595.52', '98.5573', '-2292.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445473', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0.557171', '0.595878', '0.444193', '-0.370381', '-4595.8', '100.055', '-2291.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445479', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.597514', '0', '0.801858', '-4596.01', '98.9859', '-2287.6', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445480', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.752046', '0', '0.659111', '-4595.3', '98.997', '-2287.44', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445481', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_1.iff', '-0.382683', '3.86082e-08', '0.92388', '1.55868e-08', '-4595.17', '105.849', '-2293.44', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445484', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0', '-0.114747', '0', '0.993395', '-4594.11', '98.9882', '-2298.27', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445486', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '-0.412819', '0.383304', '0.548404', '0.61799', '-4595.48', '100.012', '-2292.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445489', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0', '0.707106', '0', '0.707107', '-4588.57', '99.0215', '-2302.22', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445490', '0', 'object/static/structure/general/shared_prp_junk_s7.iff', '0.593467', '0.00593487', '-0.00804823', '0.804796', '-4581', '97.7759', '-2301.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445491', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0', '-0.678265', '0', '0.734818', '-4573.24', '99', '-2302.72', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445492', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0.696914', '0.11963', '-0.11963', '0.696914', '-4593.17', '99.2321', '-2293.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445493', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '0', '0.314567', '0', '0.949235', '-4593.04', '99', '-2295.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445495', '0', 'object/static/structure/general/shared_prp_junk_s4.iff', '8.28443e-09', '0.652136', '7.12644e-09', '0.758102', '-4564.86', '100.031', '-2271.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445496', '0', 'object/static/structure/general/shared_prp_junk_s3.iff', '0.641254', '0.618569', '0.297982', '0.342597', '-4579.26', '98.6273', '-2293.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445501', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0', '-0.314567', '0', '0.949235', '-4558.17', '99', '-2262.53', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445502', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0', '-0.169182', '0', '0.985585', '-4554.02', '98.9871', '-2270.25', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445503', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0', '1', '0', '-3.20013e-08', '-4552.54', '99.0514', '-2282.73', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445504', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0', '0.242556', '0', '0.970137', '-4554.75', '99.0144', '-2291.38', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445517', '0', 'object/static/structure/dathomir/shared_night_sister_banner_s01.iff', '0', '-0.29074', '0', '0.956802', '-4560.17', '95.3949', '-2299.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445518', '0', 'object/static/structure/dathomir/shared_night_sister_banner_s01.iff', '0', '0.184337', '0', '0.982863', '-4567.09', '95.3949', '-2300.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445520', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0.792427', '0', '0.609966', '-4556.66', '99', '-2289.63', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445521', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.292663', '0', '0.956216', '-4555.89', '98.9986', '-2289.74', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445522', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.646722', '0', '0.762726', '-4555.2', '98.9901', '-2288.81', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445523', '0', 'object/static/structure/general/shared_skeleton_human_body.iff', '0', '0.104452', '0', '0.99453', '-4556.26', '99', '-2289.13', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445524', '0', 'object/static/structure/general/shared_skeleton_human_body.iff', '0', '-0.646852', '0', '0.762615', '-4556.98', '99', '-2288.85', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445525', '0', 'object/static/structure/general/shared_skeleton_bith_headandbody.iff', '0', '0.712365', '0', '-0.701809', '-4556.71', '99', '-2290.84', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445526', '0', 'object/static/structure/general/shared_skeleton_ithorian_headandbody.iff', '0', '0.736894', '0', '0.676008', '-4558.07', '99', '-2289.94', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445530', '0', 'object/static/structure/general/shared_skeleton_bith_headandbody.iff', '0', '0.639873', '0', '0.768481', '-4555.82', '98.9957', '-2290.54', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445531', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0.999837', '0', '-0.0180754', '-4557.32', '98.9996', '-2289.69', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445532', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '-0.276966', '0.108173', '0.281457', '0.912344', '-4555.66', '98.9651', '-2291.34', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445533', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '-0.067789', '-0.249791', '0.252984', '0.932206', '-4558.51', '99', '-2290.34', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445534', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0.720101', '0.0324265', '-0.0311795', '-0.69241', '-4558.19', '99', '-2288.89', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445540', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '0', '0.109778', '0', '0.993956', '-4563.95', '104.897', '-2296.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445541', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '-4579', '99', '-2274.47', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445542', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '-4579', '99', '-2271.47', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445547', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0815504', '0.610635', '0.108777', '0.780155', '-4600.86', '97.8011', '-2267.11', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445558', '0', 'object/building/military/shared_military_outpost_guard_house_rebel.iff', '0', '0.985719', '0', '-0.168397', '4016.36', '0.383341', '2971.25', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445559', '8445558', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445560', '8445558', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445561', '0', 'object/building/military/shared_military_outpost_guard_house_rebel.iff', '0.816083', '0.00046022', '0.577934', '-0.000649877', '4016.38', '-3.22248', '2971.24', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445562', '8445561', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445563', '8445561', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445571', '0', 'object/static/item/shared_item_tool_sensor_beacon.iff', '0', '0', '0', '1', '4075.37', '11.6729', '2983.87', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445573', '0', 'object/static/item/shared_item_tool_sensor_beacon.iff', '0', '0', '0', '1', '4052.37', '7.51942', '3028.76', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445575', '0', 'object/static/item/shared_item_tool_sensor_beacon.iff', '0', '0', '0', '1', '3977.37', '10.0161', '3001.04', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445576', '0', 'object/static/item/shared_item_tool_sensor_beacon.iff', '0', '0', '0', '1', '4003.15', '7.6412', '3036.59', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445583', '0', 'object/tangible/camp/shared_camp_tent_s5.iff', '0', '0.770739', '0', '-0.637151', '4004.39', '3.43095', '2995.8', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445585', '0', 'object/static/structure/general/shared_streetlamp_large_red_style_01.iff', '0', '0.99879', '0', '0.0491837', '4001.94', '3.10565', '2992.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445586', '0', 'object/static/structure/general/shared_banner_rebel_style_01.iff', '0', '0.203567', '0', '0.979061', '4006.03', '3.22846', '2991.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445629', '0', 'object/building/military/shared_military_base_gate_house_imperial.iff', '0', '0.996865', '0', '0.0791209', '-1953.41', '142.581', '1052.11', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445631', '0', 'object/static/structure/naboo/shared_poi_nboo_tent_small.iff', '-0.144492', '0', '0', '0.989506', '3997.18', '3.09676', '2992.37', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445632', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '-0.059964', '0', '0.998201', '-1954.03', '143.283', '1062.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445633', '0', 'object/static/item/shared_item_container_armor.iff', '-0.105097', '0.695381', '-0.106238', '0.702932', '3995.9', '3.65819', '2993.29', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445634', '0', 'object/static/item/shared_item_container_weapons.iff', '0.127803', '0.70233', '-0.125372', '-0.688971', '3997.91', '3.26635', '2992.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445635', '0', 'object/static/item/shared_item_container_weapons.iff', '0.106679', '0.705848', '-0.104649', '-0.692422', '3998.06', '3.65755', '2993.18', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445636', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_1.iff', '0', '0', '0', '1', '-1952.05', '142.562', '1058.59', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445637', '0', 'object/static/structure/corellia/shared_corl_power_arial_thin.iff', '0', '0', '0', '1', '-1960.46', '141.84', '1055.38', '128', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445638', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '-1959', '143.114', '1050.65', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445639', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '-0.589145', '0', '0', '0.808027', '-1959.52', '143.211', '1050.76', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445640', '0', 'object/static/item/shared_item_container_energy_solid.iff', '0.0699428', '0', '0', '0.997551', '-1959.61', '143.129', '1051.46', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445641', '0', 'object/static/item/shared_item_container_electronics.iff', '0', '0', '0', '1', '-1959.54', '142.921', '1056.36', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445642', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '-1958.95', '142.879', '1057.45', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445643', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0', '0', '1', '-1959.84', '142.99', '1057.35', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '8445659', '0', 'object/tangible/furniture/all/shared_frn_all_desk_radar_topology_screen.iff', '0', '-0.576958', '0', '0.816774', '4018.73', '7.3707', '2972.35', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555353', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.078645', '0.7811', '0.0611843', '0.616405', '-4600.67', '98.2957', '-2277.92', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555354', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '0', '-0.707097', '0', '0.707116', '-4596.35', '105.134', '-2267.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555355', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '0', '0.707107', '0', '0.707107', '-4596.29', '104.997', '-2277.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555356', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0', '0', '1', '-4580.39', '99', '-2293.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555357', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0.731498', '0', '0.681844', '-4579.92', '99', '-2293.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555358', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '-0.663297', '0', '0.748356', '-4580.9', '99', '-2293.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555359', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.263255', '0', '0.964726', '-4576.93', '99', '-2292.76', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555360', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.930508', '0', '-0.366273', '-4578.68', '99', '-2295.93', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555361', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.501213', '0', '0.865324', '-4578.38', '99', '-2294.88', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555362', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.133709', '0', '0.991021', '-4577.85', '99', '-2291.53', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555363', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.99678', '0', '0.0801892', '-4579.27', '99', '-2294.52', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555364', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.605186', '0', '0.796084', '-4578.83', '99', '-2291.33', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555366', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.120873', '0.661085', '0.145747', '0.726026', '-4608.91', '95.9131', '-2268.53', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555367', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.137421', '0.694583', '0.132493', '0.693625', '-4608.65', '95.8564', '-2276.92', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555368', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0668655', '0.700794', '0.0942804', '0.703938', '-4617.54', '93.1838', '-2269.07', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555369', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0765916', '0.703059', '0.0755537', '0.702946', '-4617.2', '93.2058', '-2277.29', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555370', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0936456', '0.693661', '0.110507', '0.705587', '-4630.16', '89.8565', '-2269.03', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555371', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '-0.0859376', '0.996192', '0.0146347', '0.00125746', '-4623.17', '94.048', '-2268.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555372', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '0.0236706', '0.00911209', '0.127259', '0.991545', '-4625.2', '93.491', '-2268.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555373', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '-0.0541304', '0.705028', '-0.0623775', '-0.704354', '-4621.04', '94.3359', '-2280.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555374', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '-0.0595233', '0.713002', '0.0499552', '0.696842', '-4621.22', '94.3779', '-2279.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555375', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0839633', '0.697655', '0.115225', '0.702104', '-4629.84', '90.351', '-2277.41', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555376', '0', 'object/static/structure/general/shared_lucky_despot_debris_sm_engine.iff', '0.118696', '-0.157612', '0.97953', '-0.0398778', '-4584.94', '102.531', '-2287.39', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555377', '0', 'object/static/structure/general/shared_prp_junk_s1.iff', '0.0493829', '0.708342', '7.41648e-05', '-0.70414', '-4564.42', '98.9254', '-2271.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555378', '0', 'object/static/structure/general/shared_lucky_despot_debris_lg_engine_s01.iff', '0.675359', '0.675358', '0.209502', '0.209502', '-4789.92', '83.9918', '-2256.69', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555379', '0', 'object/static/structure/general/shared_lucky_despot_debris_lg_engine_s02.iff', '0.0865051', '0.140197', '0.725811', '0.667877', '-4681.79', '85.999', '-2248.87', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555382', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '0', '-0.70709', '0', '0.707123', '-4594.43', '105.134', '-2267.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555383', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '0', '-0.7071', '0', '0.707113', '-4594.43', '100.929', '-2267.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555384', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '0', '0.707107', '0', '0.707107', '-4594.37', '104.997', '-2277.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555385', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '0', '0.707107', '0', '0.707107', '-4594.37', '100.791', '-2277.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555387', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0904797', '0.692366', '0.100646', '0.708741', '-4638.74', '87.5196', '-2269.07', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555388', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0865856', '0.694731', '0.103565', '0.706488', '-4638.2', '88.3326', '-2277.56', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555389', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '0.023387', '0.00981792', '0.0974598', '0.994916', '-4646.7', '88.4005', '-2269.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555390', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '-0.085938', '0.996192', '0.014635', '0.001257', '-4644.66', '88.7246', '-2269.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555391', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '-0.077413', '0.996911', '-0.006766', '-0.011427', '-4652.54', '87.4589', '-2277.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555392', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '-0.005832', '-0.000477', '0.082384', '0.996583', '-4654.62', '87.1247', '-2277.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555393', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0752091', '0.696305', '0.0702732', '0.710327', '-4646.85', '86.3228', '-2277.76', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555394', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0534286', '0.696483', '0.0685024', '0.712295', '-4652.09', '85.5361', '-2269.06', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555396', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0691975', '0.605135', '0.0772921', '0.789334', '-4659.78', '83.979', '-2279.09', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555397', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0550493', '0.784158', '0.0972313', '0.610419', '-4660.38', '83.8323', '-2268.04', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555398', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '0', '-0.707087', '0', '0.707126', '-4666.85', '88.3767', '-2268.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555399', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '0', '-0.707097', '0', '0.707116', '-4666.85', '84.1714', '-2268.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555400', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '0', '-0.707092', '0', '0.707121', '-4664.93', '84.1714', '-2268.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555401', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '0', '-0.707081', '0', '0.707132', '-4664.93', '88.3767', '-2268.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555402', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '0', '0.707107', '0', '0.707107', '-4666.43', '88.5882', '-2278.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555403', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '0', '0.707107', '0', '0.707107', '-4666.42', '84.3827', '-2278.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555404', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '0', '0.707107', '0', '0.707107', '-4664.51', '84.3827', '-2278.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555405', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '0', '0.707107', '0', '0.707107', '-4664.51', '88.5887', '-2278.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555407', '0', 'object/static/structure/general/shared_lucky_despot_debris_md_engine.iff', '-0.106467', '0.609314', '-0.0929203', '0.780235', '-4732.39', '85.5294', '-2299.86', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555408', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.707106', '0', '0.707108', '-4631.66', '90', '-2287.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555410', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '-0.00324162', '0.648319', '-0.00380679', '0.761353', '-4630.99', '89.9367', '-2296.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555411', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.998488', '0', '0.0549756', '-4626.92', '90', '-2299.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555412', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0', '0.597195', '0', '0.802096', '-4631.66', '90.5729', '-2291.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555413', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0', '0.597195', '0', '0.802096', '-4631.53', '90.3831', '-2292.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555414', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '-0.10247', '0.993531', '-0.0240427', '0.0426359', '-4625.11', '91.5261', '-2281.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555415', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0.00653291', '-0.176121', '0.0741495', '0.98155', '-4629.11', '91.078', '-2281.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555417', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0', '0.552199', '0', '0.833712', '-4623.15', '90.4944', '-2298.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555420', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '-0.016396', '0.754587', '-0.018869', '0.655723', '-4615.57', '90.2398', '-2286.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555421', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0', '-0.144887', '0', '0.989448', '-4623.87', '90.4713', '-2284.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555422', '0', 'object/static/structure/dantooine/shared_dant_fence_4m.iff', '-0.0196061', '0.0782801', '0.104078', '0.99129', '-4617.96', '93.1802', '-2281.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555424', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '-0.05413', '0.705028', '-0.062378', '-0.704354', '-4615.15', '93.0309', '-2282.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555427', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '0.144492', '0', '0.989506', '-4697.15', '82', '-2262.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555429', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '-0.535416', '0', '0.844589', '-4696.4', '82', '-2286.51', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555431', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '0.0932718', '0', '0.995641', '-4703.04', '82', '-2291.89', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555432', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '0.718465', '0', '0.695563', '-4708.64', '82', '-2285.29', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555434', '0', 'object/static/structure/general/shared_prp_junk_s7.iff', '0', '-0.501213', '0', '0.865324', '-4657.07', '82', '-2305.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555435', '0', 'object/static/structure/general/shared_prp_junk_s4.iff', '-0.0563437', '0.745846', '-0.0482753', '-0.661973', '-4633.16', '90.5636', '-2282.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555436', '0', 'object/static/structure/general/shared_prp_junk_s3.iff', '0.151994', '0.84184', '-0.187429', '0.482777', '-4690.35', '82.4171', '-2267.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555437', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0', '0', '0', '1', '-4624.81', '90', '-2283.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555438', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '-0.467885', '0.436733', '0.51287', '0.572112', '-4625.79', '90.6605', '-2297.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555439', '0', 'object/static/structure/general/shared_prp_junk_s5.iff', '0', '0', '0.999958', '-0.00920333', '-4619.77', '89.3801', '-2285.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555441', '0', 'object/static/structure/general/shared_lucky_despot_debris_sm_engine.iff', '-0.138558', '0.954587', '0.0772971', '-0.252172', '-4685.36', '84.3488', '-2295.83', '256', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555442', '0', 'object/static/structure/general/shared_prp_junk_s2.iff', '0', '-0.483807', '0', '0.875175', '-4635.72', '90.1955', '-2284.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555443', '0', 'object/static/structure/general/shared_prp_junk_s1.iff', '0', '0', '0', '1', '-4632.55', '89.7647', '-2280.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555444', '0', 'object/static/structure/general/shared_prp_junk_s1.iff', '0', '0.581035', '0', '0.813878', '-4636.5', '86.2389', '-2283.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555445', '0', 'object/static/structure/general/shared_prp_junk_s2.iff', '0.701484', '0.00244378', '0.684435', '-0.198654', '-4632.81', '87.4124', '-2279.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555446', '0', 'object/static/structure/general/shared_prp_junk_s5.iff', '-0.337231', '0.451583', '-0.233168', '0.792452', '-4632.95', '89.1145', '-2283.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555448', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.13459', '0', '0.990901', '-4620.09', '90.9142', '-2285.51', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555450', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.0499792', '0', '0.99875', '-4619.74', '90', '-2287.07', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555451', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.159318', '0', '0.987227', '-4627.36', '90', '-2296.44', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555452', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.0499792', '0', '0.99875', '-4626.28', '90', '-2296.13', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555453', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.342898', '0', '0.939373', '-4620.16', '91.62', '-2285.64', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555454', '0', 'object/static/structure/tatooine/shared_tent_house_tatooine_style_01.iff', '0', '0.873133', '0', '0.487482', '-4672.27', '82.3551', '-2281.34', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555457', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0', '0', '1', '-4710.72', '82.1329', '-2260.87', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '8555458', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0.971243', '0', '-0.238089', '-4677.2', '82.1012', '-2278.7', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '8615352', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_large.iff', '0', '0', '0', '1', '-4713.63', '82.3074', '-2274.58', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '8615353', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0', '0', '1', '-4702.52', '82.1265', '-2285.52', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8615354', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '-4666.8', '82.1065', '-2270.03', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '8615355', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '-4666.66', '82.2098', '-2277.13', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '8615356', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '9.82532e-09', '0.281157', '-3.35363e-08', '0.959662', '-4715.6', '82', '-2277.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8615357', '0', 'object/static/structure/general/shared_prp_junk_s5.iff', '0', '0', '0', '1', '-4710.87', '82.0316', '-2260.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8615358', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.942962', '0', '-0.332901', '-4709.85', '82', '-2261.98', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '8615359', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.248332', '0', '0.968675', '-4711.31', '82', '-2261.98', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '8615360', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.389418', '0', '0.921061', '-4711.56', '82', '-2258.75', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '8615361', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.710353', '0', '-0.703845', '-4710.79', '82', '-2262.83', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '8615362', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0.998337', '0', '-0.0576409', '-4689.97', '82', '-2263.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8615363', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0.758388', '0', '-0.651804', '-4690.29', '82', '-2263.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8615364', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '-0.471843', '0', '0.881683', '-4690.86', '82', '-2263.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8615367', '0', 'object/static/structure/general/shared_prp_junk_s5.iff', '1', '0', '0', '-3.20013e-08', '-4690.36', '83.4863', '-2263.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8615368', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '0.205045', '0.676725', '0.676725', '0.205045', '-4717.7', '82.8046', '-2276.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8615369', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0.673176', '0.666985', '-0.223549', '-0.228015', '-4711.72', '82.3478', '-2271.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8615370', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0', '0', '0', '1', '-4712.7', '82', '-2271.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8615371', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0', '0.605186', '0', '0.796084', '-4711.83', '82.7273', '-2272.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8615373', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0.300675', '-0.639995', '0.639996', '0.300675', '-4710.3', '82.3556', '-2277.31', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '8615374', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.179552', '0', '0.983748', '-4710.12', '82', '-2278.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '8615375', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.948843', '0', '0.315749', '-4711.52', '83.1432', '-2277.93', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '8615376', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.479425', '0', '0.877583', '-4711.5', '82', '-2277.91', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '8615379', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.999682', '0', '0.0252278', '-4711.39', '82', '-2277.05', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '8615380', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.488611', '0', '0.872502', '-4711.02', '82', '-2276.97', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '8615381', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.836249', '0', '0.54835', '-4716.31', '82', '-2275.85', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '8615382', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.818551', '0', '0.574435', '-4716.15', '82', '-2276.18', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '8615386', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.434966', '0', '0.900447', '-4711.32', '82', '-2270.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '8615387', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.521515', '0', '0.853242', '-4710.93', '82', '-2271.22', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '8615388', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '0', '0', '1', '-4716.38', '82', '-2271.36', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '8615389', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.059964', '0', '0.998201', '-4716.63', '82', '-2272.74', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '8615390', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '-0.407761', '0', '0.913089', '-4715.44', '82', '-2272.36', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '8615391', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '0', '0', '1', '-4715.51', '82', '-2275.5', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '8615392', '0', 'object/static/item/shared_item_basket_shallow.iff', '0', '0.13459', '0', '0.990901', '-4712.29', '82', '-2276.99', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '8615393', '0', 'object/static/item/shared_item_bread_loaf.iff', '0', '0.956388', '0', '0.292098', '-4716.04', '82.62', '-2271.39', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '8615394', '0', 'object/static/item/shared_item_bread_loaf.iff', '0', '0.865297', '0', '-0.501259', '-4716.33', '82.62', '-2271.39', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '8615395', '0', 'object/static/item/shared_item_bread_loaf.iff', '0', '0.790394', '0', '0.612599', '-4716.17', '82.62', '-2271.14', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '8615399', '0', 'object/static/item/shared_item_droid_magnet.iff', '0.958244', '-9.15084e-09', '0.285952', '-3.0665e-08', '-4710.93', '85.2443', '-2273.28', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '8615402', '0', 'object/static/item/shared_item_jar_bugs.iff', '0', '-0.572867', '0', '0.819648', '-4716.59', '82.62', '-2271.69', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '8615403', '0', 'object/static/item/shared_item_jar_berries.iff', '0', '-0.572867', '0', '0.819648', '-4716.65', '82.62', '-2271.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '8845434', '0', 'object/static/structure/endor/shared_endr_imprv_flagpole_s01.iff', '0', '0', '0', '1', '3274.64', '33.422', '-3451.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '8845435', '0', 'object/static/structure/endor/shared_endr_imprv_flagpole_s01.iff', '0', '0', '0', '1', '3170.35', '33.4724', '-3491.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9185437', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '0.505877', '0', '0.862606', '-4584.62', '99', '-2246.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9185438', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '0.717634', '0', '0.696421', '-4584.94', '99.008', '-2245.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9185441', '0', 'object/tangible/furniture/all/shared_frn_all_table_s03.iff', '0', '0', '0', '1', '-4578.78', '99', '-2246.24', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '9185442', '0', 'object/static/item/shared_wp_carbine_ee3_combined.iff', '0.11963', '-0.11963', '0.696914', '-0.696914', '-4578.76', '99.78', '-2246.22', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9185443', '0', 'object/static/item/shared_item_vibroknuckles.iff', '0.394349', '-0.38654', '0.583599', '-0.595389', '-4578.87', '99.76', '-2245.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9185444', '0', 'object/static/item/shared_wp_mle_axe_heavy_duty.iff', '0', '0', '-0.144492', '0.989506', '-4577.64', '99.17', '-2244.52', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9185445', '0', 'object/static/item/shared_wp_mle_2h_sword_s02.iff', '0.433539', '-0.433539', '0.558609', '-0.558609', '-4579.11', '99.77', '-2246.06', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9185446', '0', 'object/static/item/shared_wp_pistol_dl44_metal_combined.iff', '0.222432', '-0.222432', '0.671211', '-0.671211', '-4578.52', '99.764', '-2246.34', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9686044', '0', 'object/static/item/shared_wp_mle_lance_staff_wood_s01.iff', '-0.00994171', '-0.0943347', '-0.104335', '0.990008', '-4578.02', '100.294', '-2242.75', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9686045', '0', 'object/static/item/shared_wp_mle_lance_staff_wood_s02.iff', '-0.00994171', '-0.0943347', '-0.104335', '0.990008', '-4577.87', '100.235', '-2243', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9686046', '0', 'object/static/item/shared_wp_mle_baton_stun.iff', '0', '0', '0.707106', '0.707107', '-4578.44', '99.78', '-2246.63', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9686047', '0', 'object/static/item/shared_wp_mle_knife_stone.iff', '-0.479398', '0.479398', '0.519786', '-0.519786', '-4579.21', '99.77', '-2246.44', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9686048', '0', 'object/static/item/shared_wp_rifle_laser_combined.iff', '-0.267912', '0.732084', '0.441523', '0.444222', '-4577.57', '99.2186', '-2245.55', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9686049', '0', 'object/static/item/shared_wp_rifle_t21_combined.iff', '-0.289277', '0.70466', '0.4827', '0.432174', '-4577.46', '99.3611', '-2245.44', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9686050', '0', 'object/static/item/shared_item_tool_ranged_wp_repair.iff', '0', '0', '0', '1', '-4579.1', '99', '-2247.25', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9686052', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '0', '0', '1', '-4581.09', '99.262', '-2241.84', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '9686053', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.824886', '0', '0.5653', '-4583.13', '99.1958', '-2242.05', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '9686054', '0', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '-4581.06', '99.8644', '-2241.65', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9686055', '0', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '-4571.94', '99', '-2269.74', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9686056', '0', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '-4572.27', '99', '-2269.7', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9686057', '0', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '-4572.15', '99', '-2270.01', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9686058', '0', 'object/static/item/shared_item_bottle_fat.iff', '-7.37172e-09', '8.06693e-09', '0.7382', '0.674582', '-4572.31', '99.1367', '-2269.95', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9686059', '0', 'object/static/item/shared_item_cage_bamboo.iff', '0', '0.328769', '0', '0.94441', '-4571.02', '99', '-2270.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9686060', '0', 'object/static/item/shared_item_cage_bamboo.iff', '0', '0.833272', '0', '0.552863', '-4570.24', '99', '-2270.7', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9686065', '0', 'object/static/creature/shared_corellia_durni.iff', '0', '-0.430458', '0', '0.902611', '-4570.85', '99.0632', '-2270.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9686070', '0', 'object/static/creature/shared_tatooine_worrt.iff', '0', '0.955101', '0', '-0.296281', '-4570.21', '99.0949', '-2270.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9686076', '0', 'object/static/item/shared_item_axe.iff', '-0.452821', '0.452821', '0.543096', '-0.543096', '-4571.04', '99.715', '-2270.48', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9686078', '0', 'object/static/item/shared_item_comp_blaster_cannon.iff', '0.690827', '-0.690827', '0.150859', '-0.150859', '-4586.97', '99.0949', '-2245.43', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9686079', '0', 'object/static/item/shared_item_con_bag_ingredients_lg_s1.iff', '0', '0.133144', '0', '0.991097', '-4569.3', '99', '-2272.18', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9686080', '0', 'object/static/item/shared_item_con_bag_ingredients_lg_s1.iff', '0', '0', '0', '1', '-4569.44', '99', '-2271.69', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9686081', '0', 'object/static/item/shared_item_con_bag_ingredients_lg_s1.iff', '0', '-0.485604', '0', '0.874179', '-4569.84', '99', '-2271.99', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9686082', '0', 'object/static/item/shared_item_con_bag_sm.iff', '0', '0.724287', '0', '-0.689498', '-4569.6', '100', '-2273.83', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9686083', '0', 'object/static/item/shared_item_con_barrel_lg_s1.iff', '0', '-0.439462', '0', '0.898261', '-4569.58', '99', '-2273.82', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9686084', '0', 'object/static/item/shared_item_con_drink_flask.iff', '0', '0', '0', '1', '-4570.73', '99', '-2275.53', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9686085', '0', 'object/static/item/shared_item_con_glass_beaker.iff', '0', '0', '0', '1', '-4570.58', '99', '-2275.44', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9686086', '0', 'object/static/item/shared_item_con_glass_beaker.iff', '0', '0', '0', '1', '-4570.84', '99', '-2275.35', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9686087', '0', 'object/static/item/shared_item_con_drink_flask.iff', '0', '0', '0', '1', '-4570.43', '99', '-2275.22', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9686088', '0', 'object/static/item/shared_item_con_drink_flask.iff', '0', '0', '0', '1', '-4570.47', '99', '-2275.02', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9686089', '0', 'object/static/item/shared_item_con_drink_flask.iff', '0', '0', '0', '1', '-4570.38', '99', '-2274.84', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9686090', '0', 'object/static/item/shared_item_con_glass_beaker.iff', '0', '0', '0', '1', '-4570.88', '99', '-2276.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9686091', '0', 'object/static/item/shared_item_con_pitcher_full.iff', '0', '0.412321', '0', '0.911039', '-4571.06', '99', '-2275.84', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9686092', '0', 'object/static/item/shared_item_con_plate_casserole.iff', '0', '0', '0', '1', '-4571.42', '99', '-2275.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9686093', '0', 'object/static/item/shared_item_con_plate_s1_full.iff', '0', '0', '0', '1', '-4571.85', '99', '-2275.98', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9686095', '0', 'object/static/item/shared_item_con_bowl_serving_full.iff', '0', '0.783327', '0', '-0.62161', '-4571.2', '99', '-2275.44', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9686096', '0', 'object/static/item/shared_item_drall_medicine.iff', '0', '0', '0', '1', '-4573.35', '99', '-2275.86', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9686097', '0', 'object/static/item/shared_item_drall_medicine.iff', '0', '0.319309', '0', '0.947651', '-4573.63', '99', '-2275.64', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9686101', '0', 'object/static/item/shared_item_tank_bubble.iff', '0', '0.119712', '0', '0.992809', '-4572.67', '99', '-2275.63', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9686103', '0', 'object/static/item/shared_item_tool_turbine_generator.iff', '0', '0.89226', '0', '0.451522', '-4575.09', '98.9368', '-2267.44', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9686104', '0', 'object/static/creature/shared_droids_r5.iff', '0', '0.183946', '0', '0.982936', '-4574.62', '99', '-2275.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9686105', '0', 'object/static/item/shared_item_comp_ion_cannon.iff', '-0.458658', '0.458658', '0.538176', '-0.538176', '-4572.97', '99.1867', '-2245.59', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9686106', '0', 'object/static/item/shared_item_comp_stabilization_unit.iff', '0', '0.998152', '0', '0.0607589', '-4569.59', '99', '-2246.05', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9686107', '0', 'object/static/item/shared_item_comp_turret_base.iff', '0', '0', '0', '1', '-4575.09', '99', '-2246.02', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9686108', '0', 'object/static/item/shared_item_comp_turret_base.iff', '0', '0.49688', '0', '0.867819', '-4587.82', '99.0602', '-2243.58', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705354', '0', 'object/building/endor/shared_endor_catwalk.iff', '0', '-0.40776', '0', '0.913089', '-7321.52', '306.666', '-1656.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705355', '0', 'object/building/endor/shared_endor_catwalk.iff', '0', '-0.40776', '0', '0.913089', '-7328.95', '306.661', '-1649.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705356', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '0.989391', '0', '-0.14528', '362.373', '9.7519', '-3816.18', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705357', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '0.724287', '0', '-0.689499', '374.534', '6.25597', '-3829.11', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705358', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0.056332', '0.941595', '0.0666489', '0.325244', '-7558.92', '271.319', '4457.07', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705359', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '-0.0178896', '0.148363', '-0.118368', '0.98166', '361.93', '7.01516', '-3830.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705360', '0', 'object/static/structure/general/shared_campfire_ash.iff', '0', '0', '-0.129634', '0.991562', '-7554.8', '270.993', '4452.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705361', '0', 'object/building/endor/shared_endr_lake_rail8m.iff', '-0.0858911', '-0.683546', '0.0903687', '0.719181', '356.903', '9.39536', '-3825.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705362', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0', '0', '0', '1', '-7558.65', '270.677', '4457.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705363', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_ribcage.iff', '0', '-0.29552', '0', '0.955337', '272.06', '23.2215', '-1446.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705364', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0.128851', '-0.014231', '0.0792404', '0.988391', '-7606.12', '346.754', '6212.24', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705365', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '-0.252245', '0', '0.967663', '271.803', '23.3734', '-1441.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705366', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '-0.0945862', '0.862222', '0.0657086', '-0.493264', '-7607.27', '346.54', '6212.24', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705368', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0', '0', '1', '-7606.15', '344.909', '6213.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705369', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '0.957033', '0', '0.289978', '276.09', '22.5068', '-1452.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705370', '0', 'object/static/structure/dantooine/shared_dant_hide_tanning_s01.iff', '0', '-0.470626', '0', '0.882333', '275.342', '22.7526', '-1445.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705371', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '-0.382683', '0', '0.92388', '268.007', '23.2817', '-1443.09', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705372', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.319309', '0', '0.947651', '267.989', '24.7538', '-1443.09', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705378', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '-5914.51', '26.1509', '-4151.7', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705379', '0', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_01.iff', '0.0697653', '-0.00573801', '0.0148609', '0.997436', '274.81', '23.7496', '-1453.75', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705382', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '0.847678', '0', '-0.530512', '-1533.25', '7.83699', '-6011.27', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705383', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '-0.466208', '0', '0.884675', '-1534.67', '8.10921', '-6018.2', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705384', '0', 'object/static/structure/general/shared_campfire_burnt.iff', '0', '0', '0', '1', '-1538.4', '8.02899', '-6014.59', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705385', '0', 'object/static/structure/dantooine/shared_dant_fish_rack.iff', '0', '0.87959', '0', '0.475732', '-1534.26', '7.69572', '-6014.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705386', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '-0.0170827', '0.487878', '-0.0305398', '0.87221', '-79.4577', '12.2273', '2537.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705387', '0', 'object/static/structure/dantooine/shared_dant_hide_tanning_s01.iff', '0', '0.971148', '0', '-0.238476', '-1536.78', '7.9189', '-6009.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705388', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.149438', '0', '0.988771', '-85.4031', '12.6187', '2541.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705389', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '-0.00557708', '-0.223037', '0.0243673', '0.97449', '-92.8665', '12.3349', '2541.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705390', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0', '0', '1', '-1538.45', '5.75239', '-6014.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705391', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0.0155502', '-0.518185', '-0.02565', '0.854743', '-98.2596', '12.3981', '2535.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705392', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.8772', '0', '-0.480124', '-97.9011', '12.507', '2529.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705393', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0', '-0.059964', '0.998201', '-91.8568', '12.0535', '2525.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705394', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '-0.0135086', '0.19357', '-0.0429086', '0.980054', '-83.939', '11.2949', '2524.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705395', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '-0.0282861', '-0.628157', '0.034979', '0.776785', '-77.8684', '11.4914', '2529.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705397', '0', 'object/static/structure/dantooine/shared_dant_gate.iff', '0', '0.891207', '0', '0.453596', '-79.5511', '11.0298', '2524.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705402', '0', 'object/building/endor/shared_endor_lake_walkway_square.iff', '0', '0', '0', '1', '-1764.33', '1.00027', '-4083.63', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705403', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '0.925212', '0', '-0.379452', '-1762.72', '11.0667', '-4083.3', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705406', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '0.20846', '0', '0.978031', '-1758.95', '7.93246', '-4086.96', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705408', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '0.696134', '0', '0.717912', '-1763.33', '7.58065', '-4076.51', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705410', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0.999232', '-0.0391936', '-1763.23', '17.5758', '-4084.38', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705411', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0', '-0.0149994', '0', '0.999888', '271.055', '197.987', '3822.49', '128', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705413', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '0.699716', '0', '0.714421', '271.13', '197.791', '3824.19', '128', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705414', '0', 'object/static/item/shared_item_basket_shallow.iff', '0', '0', '0', '1', '-1762.99', '10.9976', '-4083.06', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705415', '0', 'object/static/item/shared_item_bowl_shallow.iff', '0', '0', '0.999574', '0.0291996', '-1766.87', '7.99182', '-4087.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705417', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0', '0', '1', '271.743', '197.774', '3827.59', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705418', '0', 'object/static/item/shared_item_basket_closed.iff', '0.862368', '-0.00793708', '0.506199', '0.00465897', '-1768.24', '11.4085', '-4083.63', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705419', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0.251184', '-0.522731', '-0.164568', '0.797857', '272.032', '197.255', '3825.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705421', '0', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '-0.70328', '0.710913', '-1766.38', '7.8348', '-4089.3', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705422', '0', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0.741297', '-0.671178', '-1764.05', '7.76638', '-4085.93', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705423', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '273.48', '197.806', '3828.88', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705424', '0', 'object/static/structure/general/shared_gravestone_generic_style_01.iff', '0', '0.997248', '0', '0.0741355', '265.841', '198.332', '3822.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705425', '0', 'object/static/structure/general/shared_gravestone_generic_style_03.iff', '0', '0.999784', '0', '-0.0207948', '267.188', '198.257', '3822.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705426', '0', 'object/static/structure/general/shared_gravestone_generic_style_01.iff', '0', '0.999784', '0', '-0.0207949', '269.03', '198.108', '3822.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705427', '0', 'object/static/structure/general/shared_prp_engine_component.iff', '0', '0.792563', '0', '-0.609791', '267.163', '197.53', '3828.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705430', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0.281157', '0', '0', '0.959662', '268.408', '197.383', '3827.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705431', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0.452886', '0', '0.891568', '410.211', '205.887', '6110.79', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705432', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0', '0', '1', '408.328', '205.589', '6105.49', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705433', '0', 'object/static/structure/general/shared_skeleton_human_body.iff', '0', '-0.328769', '0', '0.94441', '405.74', '205.508', '6104.76', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705435', '0', 'object/static/structure/general/shared_skeleton_bith_headandbody.iff', '0', '-0.514136', '0', '0.857709', '425.946', '207.083', '6094.08', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705436', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0', '0', '1', '405.544', '205.159', '6108.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705437', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.610478', '-0.319738', '0.294894', '0.661908', '404.822', '205.2', '6108.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705438', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '-0.223926', '0.198928', '0.952943', '-0.0467449', '405.027', '205.15', '6108.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705439', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.00171448', '0.342893', '0.00469684', '0.939361', '405.679', '205.159', '6108.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705440', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.620986', '0', '0', '0.783822', '405.42', '205.192', '6108.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705441', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.35884', '0.448718', '-0.203082', '0.79287', '404.946', '205.19', '6109.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705443', '0', 'object/building/endor/shared_endor_lake_hut.iff', '0', '0', '0', '1', '-5452.22', '182.07', '-2185.14', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705445', '0', 'object/static/structure/general/shared_campfire_ash.iff', '0', '0', '0', '1', '405.251', '205.595', '6108.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705446', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '0.505533', '0', '0.862807', '-1879.81', '8.12551', '-1477.09', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705447', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '-0.030089', '0.859336', '0.0178648', '-0.510213', '406.41', '205.584', '6110.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705448', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '-0.235313', '-0.0588336', '-0.235313', '0.941166', '401.94', '204.649', '6105.18', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705450', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-5452.21', '181.295', '-2185.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705452', '0', 'object/static/flora/shared_flora_flower_endor_scrubwort.iff', '0', '0', '0', '1', '-1877.42', '9.96584', '-1482.27', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705453', '0', 'object/static/flora/shared_flora_flower_endor_scrubwort.iff', '0', '0', '0', '1', '-1883.75', '9.35068', '-1477.29', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705454', '0', 'object/static/flora/shared_flora_flower_endor_scrubwort.iff', '0', '0', '0', '1', '-1876.16', '9.74419', '-1475.67', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705456', '0', 'object/static/flora/shared_flora_bush_endor_rainbowbush.iff', '0', '0', '0', '1', '-1878.8', '9.76455', '-1477.86', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705457', '0', 'object/static/flora/shared_flora_bush_endor_rainbowbush.iff', '0', '0.999958', '0', '0.00920351', '-1888.34', '9.91131', '-1479.05', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705458', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.00152453', '0.223249', '0.015736', '0.974633', '-5378.14', '14.434', '-57.4207', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705459', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.575908', '-0.328504', '-0.271126', '-0.697786', '-5376.42', '16.991', '-58.2992', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705460', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '-0.493463', '0.587858', '-0.48873', '-0.414801', '-5376.51', '19.8634', '-56.4315', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705462', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '0.663136', '0', '0.748499', '-2055.1', '84.9007', '475.738', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705463', '0', 'object/building/endor/shared_endr_lake_rail2m.iff', '0', '0', '0', '1', '-2052.63', '84.9722', '472.406', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705464', '0', 'object/building/endor/shared_endr_lake_rail2m.iff', '0', '0.526943', '0', '0.8499', '-2052.23', '84.6239', '473.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705465', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0.114601', '-0.254921', '-0.120131', '0.952602', '1994.2', '12.4659', '-5295.62', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705466', '0', 'object/building/endor/shared_endr_lake_rail2m.iff', '0', '0.857299', '0', '0.514819', '-2053.16', '84.9351', '473.313', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705468', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '0.959437', '0', '0.281922', '1983.14', '13.4482', '-5291.31', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705469', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '-2052.89', '84.8641', '472.875', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705470', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '0.906534', '0', '-0.422133', '2032.59', '13.8518', '-5300.27', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705471', '0', 'object/static/structure/dantooine/shared_dant_cooking_stone.iff', '0.242556', '0', '0', '0.970137', '2036.06', '13.3054', '-5305.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705472', '0', 'object/building/endor/shared_endor_lake_hut.iff', '-0.10947', '-0.00822565', '-0.0744768', '0.991162', '1980.93', '14.2132', '-5275.2', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705473', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '0.770739', '0', '0.637151', '-2055.99', '84.894', '476.337', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705474', '0', 'object/static/item/shared_item_bowl_shallow.iff', '0', '0', '-0.149438', '0.988771', '-2054.8', '85.3734', '474.666', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705475', '0', 'object/static/item/shared_item_bread_loaf.iff', '0', '0', '-0.149438', '0.988771', '-2054.81', '85.3858', '474.573', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705476', '0', 'object/static/item/shared_item_cheese_wheel_s1_partial.iff', '0', '0', '-0.149438', '0.988771', '-2054.76', '85.4202', '474.8', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705477', '0', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '-2052.65', '85.0995', '477.546', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705478', '0', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '-2053.32', '85.295', '477.81', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705486', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '-0.660582', '0', '0.750754', '-5888.55', '22.8904', '2358.27', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705487', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0', '0', '0', '1', '-5888.64', '21.5901', '2358.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705488', '0', 'object/tangible/camp/shared_camp_tent_s1.iff', '0', '0.281157', '0', '0.959662', '2662.92', '1.78515', '-4129.63', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705489', '0', 'object/building/endor/shared_endor_catwalk.iff', '0', '-0.68892', '0', '0.724837', '2057.28', '19.51', '2132.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705490', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0.148078', '-0.0201129', '-0.133079', '0.979775', '2659.89', '1.77375', '-4129.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705491', '0', 'object/building/endor/shared_endor_catwalk.iff', '0.0956084', '-0.672923', '-0.0249304', '0.733084', '2046.19', '10.8879', '2131.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705492', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '-0.00411023', '0.822039', '0.00284707', '-0.56941', '2668.37', '1.58337', '-4131.5', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705495', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '0.737931', '0', '-0.674876', '2058.27', '17.9127', '2132.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705498', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0.183947', '0', '0', '0.982936', '2663.52', '0.99295', '-4126.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705500', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0.238579', '-0.534246', '-0.330679', '0.740482', '2659.34', '1.28295', '-4126.01', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705503', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar.iff', '-0.120274', '-0.118982', '0.619729', '0.766364', '-5499.11', '6.727', '3970.72', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705504', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '2064.09', '19.488', '2132.44', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705507', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_med.iff', '0.487281', '-0.321004', '0.280846', '0.761997', '-5504.85', '7.69488', '3963.97', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705508', '0', 'object/building/endor/shared_endr_lake_rail2m.iff', '-0.339438', '0.426628', '0.176715', '0.819477', '2052.86', '19.4595', '2133.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705515', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0', '0', '1', '2045.35', '11.5912', '2132.21', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705516', '0', 'object/static/flora/shared_flora_bush_endor_rainbowbush.iff', '0', '0', '0', '1', '2045.82', '11.488', '2131.6', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705517', '0', 'object/static/flora/shared_flora_flower_endor_scrubwort.iff', '0', '0', '0', '1', '2050.05', '11.2829', '2132.21', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705518', '0', 'object/static/flora/shared_flora_flower_endor_scrubwort.iff', '0', '0', '0', '1', '2049.69', '10.9987', '2126.54', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705519', '0', 'object/static/flora/shared_flora_bush_endor_rainbowbush.iff', '0', '0.813415', '0', '-0.581683', '2049', '10.4327', '2137.49', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705521', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '0.0717842', '-0.28981', '0.0351195', '0.953742', '-6140.47', '514.62', '6108.76', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705523', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0', '0', '1', '-6139.26', '515.406', '6106.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705526', '0', 'object/static/structure/dantooine/shared_dant_large_rock_hut.iff', '0', '0.505533', '0', '0.862807', '1928.85', '84.0907', '-1952.36', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705527', '0', 'object/static/structure/dantooine/shared_dant_large_rock_hut.iff', '0', '0.960835', '0', '-0.277121', '1908.86', '80.1182', '-1966.12', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705529', '0', 'object/static/flora/shared_flora_decd_endr_destree_dead.iff', '0.38705', '0.561629', '-0.494805', '-0.538455', '-3564.34', '7.07289', '-6005.94', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705530', '0', 'object/static/structure/dantooine/shared_dant_large_rock_hut.iff', '0', '0', '0', '1', '1980.88', '114.433', '-1995.05', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705531', '0', 'object/static/structure/dantooine/shared_dant_large_rock_hut.iff', '0', '0.536761', '0', '0.843735', '2025.64', '122.666', '-1996.87', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705534', '0', 'object/building/endor/shared_endor_lake_platform.iff', '0', '-0.605186', '0', '0.796084', '-3663.84', '0.214018', '-4089.45', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705537', '0', 'object/building/endor/shared_endor_lake_walkway_square.iff', '0', '-0.605186', '0', '0.796084', '-3676.38', '-9.58755', '-4090.11', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705541', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0', '0', '1', '-1607.25', '205.43', '3856.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705543', '0', 'object/static/structure/general/shared_escape_pod.iff', '0', '0', '-0.237703', '0.971338', '-1607.32', '203.726', '3853.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705547', '0', 'object/static/structure/general/shared_escape_pod_door.iff', '0.707107', '0', '0', '-0.707107', '-1610.11', '205.72', '3857.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705549', '0', 'object/static/structure/dantooine/shared_dant_small_mudhut.iff', '0', '-0.609159', '0', '0.793048', '2058.68', '207.307', '4312.93', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705550', '0', 'object/static/structure/dantooine/shared_dant_small_mudhut.iff', '0', '0.998444', '0', '0.0557675', '2038.21', '207.291', '4327.32', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705551', '0', 'object/static/structure/dantooine/shared_dant_small_mudhut.iff', '0', '0.479426', '0', '0.877583', '2025.62', '207.754', '4302.95', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705552', '0', 'object/static/structure/dantooine/shared_dant_small_mudhut.iff', '0', '-0.20846', '0', '0.978031', '-1794.63', '399.402', '6013.82', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705553', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '-0.21823', '0', '0.975897', '2039.53', '207.228', '4310.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705554', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '-0.154935', '0.273765', '-0.467532', '0.826113', '2039.84', '207.142', '4310.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705555', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.635389', '-0.0957569', '-0.0798399', '0.762061', '2040.07', '207.169', '4311.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705556', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.704478', '-0.514505', '-0.394793', '0.288331', '2039.76', '207.051', '4311.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705557', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '-0.19041', '0.688001', '0.186788', '-0.674914', '2039.46', '207.097', '4311.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705558', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0.777072', '0', '-0.629412', '2039.23', '207.229', '4311.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705559', '0', 'object/static/structure/general/shared_campfire_ash.iff', '0', '0', '0', '1', '2039.67', '207.56', '4311.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705560', '0', 'object/building/endor/shared_endr_lake_rail2m.iff', '0', '0', '0', '1', '2039.75', '207.55', '4311.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705563', '0', 'object/static/structure/dantooine/shared_dant_skull_bol.iff', '0.678371', '-0.174757', '0.198746', '0.685399', '-1797.4', '402.126', '6019.34', '128', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705564', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0.281434', '0.291434', '-0.090151', '0.909799', '2033.3', '207.665', '4302.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705566', '0', 'object/building/endor/shared_endor_lake_hut.iff', '0', '0.877201', '0', '0.480124', '-3816.9', '-2.0074', '-1870.35', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705567', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '-0.266731', '0', '0', '0.963771', '2037.38', '207.79', '4301.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705568', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '-0.305059', '0', '0', '0.952334', '2041.38', '207.714', '4301.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705571', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0', '0', '1', '-1799.84', '396.994', '6022.99', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705572', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.398609', '0', '0.917121', '-1800', '396.984', '6022.94', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705574', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.75128', '0', '-0.659983', '-1800.06', '397.014', '6022.78', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705575', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.968715', '0', '-0.248176', '-1799.94', '396.998', '6022.68', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705576', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.902953', '0', '0.429739', '-1799.79', '397.022', '6022.71', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705577', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.648034', '0', '0.761612', '-1799.72', '396.993', '6022.87', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705580', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.124675', '0', '0.992198', '-1799.89', '397.138', '6022.92', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705581', '0', 'object/static/flora/shared_flora_decd_endr_destree_dead.iff', '0', '0', '0', '1', '-3419.18', '10.7675', '-99.7559', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705583', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.962209', '0', '-0.272313', '-1799.98', '397.175', '6022.72', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705584', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.807558', '0', '0.589788', '-1799.79', '397.17', '6022.76', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705585', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.461779', '0', '0.886995', '-1799.86', '397.31', '6022.83', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705586', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0.182484', '-0.187433', '0.0250859', '0.964852', '-3418.75', '11.631', '-102.804', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705587', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '-1799.88', '395.467', '6022.87', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705588', '0', 'object/static/structure/general/shared_poi_all_impl_corral_32x32_s01.iff', '0', '0.717356', '0', '0.696707', '2303.31', '205.414', '5860.53', '175', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705590', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0.220414', '0.753575', '0.0282502', '-0.618663', '2315.03', '205.059', '5857.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705593', '0', 'object/static/item/shared_item_kitchen_pot_style_01.iff', '0', '0', '-0.0149995', '0.999888', '-1795.52', '399.416', '6013.01', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705594', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0.158173', '0.0190723', '-0.118183', '0.980128', '2305.83', '205.422', '5853.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705598', '0', 'object/static/structure/corellia/shared_corl_power_arial_thin.iff', '-0.0948572', '0', '0', '0.995491', '2305.09', '205.625', '5851.16', '128', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705600', '0', 'object/static/item/shared_item_jar_bugs.iff', '0', '0', '-0.560509', '0.828148', '-1796.76', '398.979', '6013.41', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705602', '0', 'object/static/item/shared_item_con_tato_bowl_full_s02.iff', '0', '0', '-0.169182', '0.985585', '-1795.95', '399.178', '6013.68', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705611', '0', 'object/building/endor/shared_endr_lake_rail2m.iff', '0', '-0.488177', '0', '0.872744', '-1799.65', '396.891', '6022.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705612', '0', 'object/building/endor/shared_endr_lake_rail2m.iff', '0', '0.659384', '0', '0.751806', '-1800.34', '396.879', '6022.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705613', '0', 'object/building/endor/shared_endr_lake_rail2m.iff', '0', '0.124675', '0', '0.992198', '-1799.76', '396.92', '6023.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705617', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '-0.00384146', '0.109711', '-0.0347814', '0.993347', '-4033.55', '27.2805', '2247.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705622', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0.0246949', '-0.379386', '-0.0600768', '0.922956', '-4019.65', '25.7902', '2250.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705623', '0', 'object/building/endor/shared_endr_lake_rail8m.iff', '0.0177915', '-0.374733', '-0.062498', '0.924853', '-4011.18', '24.1866', '2259.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705624', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.252245', '0', '0.967663', '-1792.16', '401.02', '6016.9', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705625', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.585097', '0', '0.810963', '-1791.94', '402.645', '6015.03', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705626', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0.0272427', '-0.351457', '-0.0529733', '0.934307', '-4006.84', '23.3408', '2263.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705627', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.624897', '0', '0.780707', '-1790.59', '400.657', '6013.39', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705628', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.846832', '0', '0.531861', '-1791.57', '402.089', '6012.1', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705629', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '0.954086', '0', '0.299533', '4033.85', '0.714256', '-7670.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705630', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.971148', '0', '0.238476', '-1793.07', '400.093', '6009.97', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705631', '0', 'object/static/flora/shared_flora_decd_dath_azerontree.iff', '0', '0', '0', '1', '4028.72', '0.586283', '-7678.01', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705632', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.994576', '0', '-0.104015', '-1794.99', '402.574', '6010.78', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705633', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '-0.0249974', '0', '0.999687', '4035.25', '-0.0469471', '-7647.09', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705634', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.937923', '0', '-0.346844', '-1796.81', '400.94', '6010.54', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705635', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.0449848', '0', '0.998988', '4035.24', '1.45056', '-7647.09', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705636', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.747971', '0', '-0.663732', '-1796.94', '403.163', '6012.74', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705637', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.628793', '0', '0.777573', '-1798.63', '400.741', '6014.29', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705638', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '0', '0', '1', '4036.5', '0.449073', '-7670.5', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705639', '0', 'object/static/item/shared_item_basket_frame.iff', '0', '0', '0', '1', '4033.04', '0.765343', '-7669.96', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705640', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '0.857299', '0', '0.514819', '4035.8', '0.526153', '-7668.97', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705642', '0', 'object/static/flora/shared_flora_decd_endr_destree_dead.iff', '-0.366151', '-0.47178', '0.491778', '0.63365', '-3997.13', '11.394', '4427.2', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705644', '0', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '4031.91', '0.810817', '-7672.96', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705645', '0', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '4031.65', '0.789611', '-7673.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705646', '0', 'object/static/item/shared_item_bowl_shallow.iff', '0', '0', '0', '1', '-1794.65', '403.852', '6013.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705647', '0', 'object/static/flora/shared_flora_shrb_dath_glingi.iff', '0.0493365', '-0.219038', '-0.0145562', '0.97436', '4037.12', '0.409381', '-7665', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705648', '0', 'object/static/flora/shared_flora_bush_endor_rainbowbush.iff', '0', '0.0998334', '0', '0.995004', '-3997.61', '11.0527', '4428.95', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705649', '0', 'object/static/flora/shared_flora_shrb_dath_glingi.iff', '0.145836', '-0.215779', '0.0326118', '0.964939', '4027.43', '0.36167', '-7673.4', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705650', '0', 'object/static/flora/shared_flora_shrb_dath_glingi.iff', '0', '-0.488177', '0', '0.872745', '4033.76', '0.191865', '-7687', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705651', '0', 'object/static/flora/shared_flora_shrb_dath_glingi.iff', '-0.0601332', '-0.315146', '0.0692709', '0.9446', '4036.55', '0.379589', '-7654.53', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705652', '0', 'object/static/flora/shared_flora_shrb_dath_glingi.iff', '0.0669738', '0.447162', '-0.0336002', '0.891309', '4031.02', '0.322874', '-7656.44', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705653', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '-0.620986', '0', '0.783822', '4033.56', '0.405089', '-7652.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705654', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.384808', '0', '0', '0.922997', '4036.64', '0.398405', '-7659.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705655', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0', '0', '1', '-1794.62', '400.824', '6013.52', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705656', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.816314', '0', '0', '0.577609', '4027.5', '0.217699', '-7684.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705658', '0', 'object/static/particle/shared_particle_campfire_style_1.iff', '0', '0', '0', '1', '-1794.54', '404.641', '6013.61', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705659', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0', '0', '1', '4033.02', '0.355912', '-7670.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705660', '0', 'object/building/endor/shared_endor_forest_hut.iff', '-0.00358677', '0.877189', '-0.00348352', '0.480118', '3932.36', '10.3651', '-6202.4', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705662', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '-0.0149994', '0', '0.999888', '3944.34', '6.72044', '-6228.26', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705666', '0', 'object/static/structure/naboo/shared_fountain_naboo_style_1.iff', '-0.0199864', '0.00069981', '-0.0349859', '0.999188', '3945.74', '7.94506', '-6212.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705667', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '-0.356949', '0', '0.934124', '3943.78', '6.35033', '-6209.52', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705668', '0', 'object/static/structure/general/shared_campfire_burnt.iff', '0', '0', '0', '1', '-1794.67', '404.157', '6013.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705669', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '3942.88', '6.20184', '-6211.98', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705670', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '3942.77', '6.24588', '-6214.44', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705671', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0', '0', '1', '-1794.67', '404.038', '6013.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705672', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '3944.2', '5.97908', '-6216.61', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705673', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '3946.75', '6.11883', '-6216.6', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705674', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '3946.7', '4.70131', '-6218.2', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705675', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '3949.61', '4.69116', '-6217.51', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705676', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '3949.65', '5.68174', '-6214.67', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705677', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '3949.89', '3.00856', '-6214.8', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705678', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '3947.88', '6.09157', '-6209.73', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705679', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '3945.3', '6.34266', '-6208.81', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705680', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '3949.82', '6.05533', '-6211.93', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705681', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '3942.61', '6.82018', '-6214.83', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705682', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '3947.75', '6.18799', '-6216.35', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705683', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0.895699', '0', '0.444662', '-3658.83', '200', '6124.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705684', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '-0.00399624', '0.987352', '0.0811942', '-0.136119', '-3658.61', '200', '6124.15', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705685', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '-0.403988', '0.846452', '0.228604', '0.260868', '-3657.74', '200', '6124.32', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705686', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '-0.38234', '0.473819', '0.189793', '0.770253', '-3658.1', '199.937', '6125.35', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705687', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0', '0', '1', '-3658.23', '198.324', '6124.66', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705688', '0', 'object/static/structure/dantooine/shared_dant_small_mudhut.iff', '0', '-0.670587', '0', '0.741831', '4004.34', '164.499', '-4100.29', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705689', '0', 'object/static/structure/dantooine/shared_dant_small_mudhut.iff', '0', '0.139543', '0', '0.990216', '4019.96', '180.103', '-4128.01', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705690', '0', 'object/static/structure/dantooine/shared_dant_small_mudhut.iff', '0', '0.257081', '0', '0.96639', '3984.13', '161.691', '-4127.74', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705691', '0', 'object/static/structure/dantooine/shared_dant_small_mudhut.iff', '0', '0.99794', '0', '0.0641596', '4051.78', '180.197', '-4086', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705693', '0', 'object/static/structure/dantooine/shared_dant_small_mudhut.iff', '0', '-0.42141', '0', '0.90687', '4060.5', '200.116', '-4132.12', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705694', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '-0.39861', '0', '0.917121', '4006.03', '164.427', '-4108.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705695', '0', 'object/static/structure/dantooine/shared_dant_mud_oven.iff', '0', '-0.543835', '0', '0.839192', '4027.59', '179.653', '-4116.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705696', '0', 'object/static/structure/dantooine/shared_dant_cooking_stone.iff', '0.257015', '-0.537011', '-0.0239864', '0.803111', '4017.22', '179.217', '-4121.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705697', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '-0.37092', '0', '0.928665', '4052.92', '200.052', '-4131.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705698', '0', 'object/tangible/camp/shared_campfire_logs_ash.iff', '0', '0', '0', '1', '4052.28', '180.222', '-4085.52', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705699', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0.215986', '-0.394493', '-0.0764989', '0.889872', '4048.35', '200.367', '-4140.98', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705702', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '0', '-0.632673', '0', '0.774419', '4186.07', '8.97575', '-1637.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705703', '0', 'object/static/structure/general/shared_skeleton_bith_head.iff', '0', '0.696135', '0', '0.717911', '4186.71', '10.5422', '-1637.46', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705704', '0', 'object/static/structure/general/shared_skeleton_bith_head.iff', '0', '0', '0', '1', '4186.08', '10.5389', '-1636.82', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705705', '0', 'object/static/structure/general/shared_skeleton_bith_head.iff', '0', '-0.677972', '0', '0.735088', '4185.38', '10.4705', '-1637.48', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705706', '0', 'object/static/structure/general/shared_skeleton_bith_head.iff', '0', '0.996738', '0', '-0.0807085', '4186.04', '10.5208', '-1638.28', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705707', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0.236167', '0.0909541', '-0.0273823', '0.967059', '4192.32', '8.61453', '-1641.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705708', '0', 'object/building/endor/shared_endr_lake_rail8m.iff', '0.553819', '0.438386', '0.450498', '-0.546034', '4194.96', '8.97315', '-1637.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705709', '0', 'object/static/structure/general/shared_skeleton_human_body.iff', '0.0240005', '0.72728', '-0.0254652', '0.685448', '4175.9', '9.22015', '-1639.81', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705710', '0', 'object/static/structure/general/shared_skeleton_human_body.iff', '0.0435575', '-0.669171', '-0.0481851', '0.740264', '4177.52', '9.17912', '-1644.57', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705711', '0', 'object/static/structure/general/shared_skeleton_human_body.iff', '-0.00123594', '0.418118', '-0.0982341', '0.903065', '4173.66', '9.2402', '-1635.82', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705712', '0', 'object/static/structure/general/shared_skeleton_human_body.iff', '0', '0.888928', '0', '-0.458047', '4178.29', '9.26557', '-1635.1', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705713', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '-0.300293', '0', '0.953847', '4010.57', '16.3614', '70.5694', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705714', '0', 'object/static/item/shared_item_crate_spice.iff', '0.0599326', '0.920741', '-0.0250426', '-0.384729', '4012.1', '16.88', '71.0173', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705715', '0', 'object/static/item/shared_item_crate_spice.iff', '0.0410846', '0.928679', '-0.0591218', '-0.363829', '4012.67', '16.7216', '70.1419', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705716', '0', 'object/static/item/shared_item_crate_spice.iff', '0', '0.930799', '0', '0.365531', '4010.95', '16.9708', '71.4204', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705717', '0', 'object/tangible/camp/shared_camp_tent_s1.iff', '-0.0761798', '-0.14242', '-0.0312703', '0.986375', '4011.22', '16.0535', '63.631', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705718', '0', 'object/static/structure/general/shared_skeleton_bith_headandbody.iff', '-0.5303', '0.110464', '0.840307', '0.0215315', '4018.11', '15.9614', '67.1153', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705719', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0.920751', '0', '0', '0.390152', '4752.03', '14.3375', '2075.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705720', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0.998774', '-0.0381938', '0.0118481', '-0.0291761', '4749.09', '13.8678', '2073.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705721', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0.846832', '0', '0.531861', '4751.54', '14.4641', '2071.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705722', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0.105181', '0.702377', '-0.106154', '0.695942', '4744.85', '13.6901', '2078.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705723', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0.734548', '0', '0', '0.678557', '4741.52', '13.6103', '2083.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705724', '0', 'object/static/structure/general/shared_debris_deathstar_small_tube.iff', '0.276809', '-0.450917', '0.149429', '0.835298', '4755.36', '19.115', '2069.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705725', '0', 'object/static/structure/general/shared_debris_deathstar_small_tube.iff', '0.131566', '-0.237546', '0.841919', '-0.466299', '4752.11', '17.2126', '2068.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705727', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '-0.394558', '0.237401', '0.829948', '0.314883', '4753.6', '16.0904', '2069.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705728', '0', 'object/static/structure/general/shared_prp_engine_component.iff', '0', '0.0848977', '0', '0.99639', '4754.83', '17.0507', '2071.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705729', '0', 'object/static/structure/general/shared_prp_engine.iff', '0.367814', '0.817023', '0.119675', '0.427626', '4747.3', '13.7384', '2081.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705730', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '-0.183238', '0.258592', '-0.626759', '0.711848', '4738.93', '13.3845', '2089.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705731', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '0.862404', '0', '0.50622', '3867.29', '10.538', '4216.94', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705732', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '-0.696135', '0', '0.717911', '3877.44', '12.1063', '4200.51', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705733', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '0.994924', '0', '0.100626', '3867.93', '9.98734', '4243.93', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705734', '0', 'object/static/structure/dantooine/shared_dant_large_rock_hut.iff', '0.105653', '-0.269906', '0.02981', '0.956608', '3912.85', '200.257', '5799.95', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705736', '0', 'object/static/structure/dantooine/shared_dant_large_communal.iff', '-0.0898786', '0', '0', '0.995953', '3915.65', '197.617', '5767.39', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705737', '0', 'object/static/structure/dantooine/shared_dant_large_rock_hut.iff', '0', '-0.342898', '0', '0.939373', '3880.77', '200.566', '5775.91', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705743', '0', 'object/static/structure/naboo/shared_gungan_relic_s01.iff', '0', '0.8772', '0', '0.480124', '6055.67', '102.998', '-6678.34', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705746', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '-0.0343297', '0.00678044', '0.193648', '0.980447', '6040.91', '111.412', '-6666.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705748', '0', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff', '-0.148737', '0.40095', '0.0328866', '0.903346', '6059.27', '112.777', '-6661.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705749', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '-0.36271', '0.908108', '0.0776109', '-0.194313', '6036.21', '108.53', '-6686.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705751', '0', 'object/static/structure/dantooine/shared_dant_fire_pit.iff', '0', '0', '0', '1', '6044.8', '110.614', '-6677.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705754', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0.809078', '-0.0261823', '-0.0307901', '-0.58631', '6055.2', '112.316', '-6668.59', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705756', '0', 'object/static/structure/dantooine/shared_dant_hide_tanning_s01.iff', '0.516511', '0.562068', '0.416933', '-0.49342', '6038.16', '112.011', '-6672.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705769', '0', 'object/building/endor/shared_endor_village_tree.iff', '0', '0', '0', '1', '-4794.06', '-0.128208', '1143.59', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705770', '0', 'object/tangible/camp/shared_camp_tent_s1.iff', '0', '0.706825', '0', '0.707389', '6166.77', '160.002', '-5884.81', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705771', '0', 'object/tangible/camp/shared_camp_tent_s1.iff', '0', '0.765355', '0', '0.643608', '6163.3', '160.005', '-5878.06', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705772', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '-0.0921951', '-0.664132', '-0.196969', '0.715284', '6170.9', '159.768', '-5886.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705773', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '0.384808', '0', '0.922997', '-4801.06', '19.9118', '1146.52', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705774', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '-0.346068', '0.565847', '-0.484711', '0.570185', '6160.6', '160.002', '-5882.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705775', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0.0892333', '0.446183', '-0.0447676', '0.889356', '6165.09', '159.888', '-5876.44', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705777', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0', '0', '1', '6158.53', '159.941', '-5879.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705778', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0.998951', '0', '0', '0.0457804', '6166.29', '160.2', '-5881.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705779', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0.585063', '-0.00631682', '0.810916', '-0.00875532', '6154.89', '160.08', '-5882.45', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705781', '0', 'object/static/structure/general/shared_skeleton_human_body.iff', '-0.0049801', '0.996012', '-0.000445425', '0.0890843', '6155.08', '159.94', '-5871.04', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705784', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0.0266868', '0.795547', '-0.0166987', '0.605074', '-4797.58', '19.7956', '1154.32', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705795', '0', 'object/static/item/shared_item_bowl_shallow.iff', '0', '0', '0', '1', '-4801.92', '19.8613', '1146.38', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705797', '0', 'object/static/item/shared_item_bread_loaf.iff', '0', '0', '0', '1', '-4801.8', '19.8785', '1146.38', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705798', '0', 'object/static/item/shared_item_cheese_wheel_s1_partial.iff', '0', '0', '0', '1', '-4802.03', '19.916', '1146.5', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705801', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '0', '0', '1', '-4802.07', '19.8294', '1149.18', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705802', '0', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '-4800.82', '19.8255', '1147.87', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705803', '0', 'object/static/item/shared_item_jar_bugs.iff', '0', '0', '0', '1', '-4801.81', '19.8972', '1145.51', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705804', '0', 'object/static/item/shared_item_fruit_melon.iff', '0', '0', '0', '1', '-4801.99', '19.9133', '1146.29', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705807', '0', 'object/static/item/shared_item_con_tato_bowl_full_s01.iff', '0', '0', '0', '1', '-4799.9', '19.8322', '1145.49', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705821', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '0', '0', '1', '-4794.02', '19.8102', '1154.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705823', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '0.717356', '0', '-0.696707', '-4783.55', '19.8115', '1143.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705824', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_ribcage.iff', '0.302705', '0.63017', '-0.432294', '0.569542', '6004.9', '115.378', '2.19419', '128', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705825', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '0', '0', '1', '-4794.13', '19.8097', '1132.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705826', '0', 'object/static/structure/tatooine/shared_skeleton_greater_krayt_spine_small.iff', '0.317354', '0.63284', '0.33227', '-0.623214', '6006.46', '113.839', '2.09199', '128', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705827', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '0', '0', '1', '-4793.75', '9.81117', '1154.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705828', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '0.713864', '0', '0.700285', '-4783.46', '9.76019', '1143.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705829', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '-0.209726', '0.761657', '0.344571', '0.507115', '6288.72', '263.382', '2199.66', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705830', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '-0.37391', '0.513453', '0.725644', '-0.264572', '6291.49', '263.17', '2197.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705831', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.716401', '-0.123224', '-0.674119', '0.130953', '6289.8', '264.365', '2199.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705832', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '-0.337738', '-0.427617', '0.819781', '-0.176172', '6290.74', '264.82', '2198.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705833', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '-0.109778', '0', '0', '0.993956', '6291.35', '264.306', '2198.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705834', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0.836026', '0', '0.54869', '6288.37', '263.081', '2198.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705835', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '-0.411674', '0.833231', '0.187553', '0.317922', '6291.15', '262.868', '2196.34', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705836', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '-0.129319', '-0.512057', '0.127691', '0.839506', '6289.45', '264.063', '2198.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705837', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '-0.308507', '-0.517024', '0.771072', '-0.207262', '6290.39', '264.518', '2197.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705838', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.142606', '0.643819', '-0.123819', '0.741505', '6291', '264.004', '2196.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705840', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.0164296', '0.460772', '-0.202903', '0.863858', '6287.78', '263.158', '2197.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705841', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '-0.243472', '0.644735', '0.722419', '-0.0561218', '6290.55', '262.945', '2195.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705842', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '-0.274639', '0.247821', '0.444691', '0.815725', '6288.85', '264.14', '2197.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705843', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.369006', '0.0067784', '0.92929', '-0.0145154', '6289.8', '264.595', '2196.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705844', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '-0.504124', '0.494124', '0.529559', '-0.470391', '6290.41', '264.081', '2196.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705845', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.286793', '0.712733', '-0.43698', '0.467772', '6287.17', '263.244', '2196.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705846', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '-0.423831', '0.824564', '-0.0115491', '0.374604', '6289.94', '263.031', '2194.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705847', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '-0.552618', '0.219245', '0.803632', '0.0268195', '6288.25', '264.226', '2196.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705848', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.265175', '0.663785', '-0.643651', '0.27347', '6289.19', '264.681', '2195.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705849', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0', '0', '1', '6289.8', '264.167', '2195.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705850', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '-0.176084', '0.106703', '-0.650891', '0.730719', '6286.79', '262.806', '2195.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705851', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '-0.37391', '0.513453', '0.725644', '-0.264572', '6289.56', '262.594', '2193.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705852', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '-0.581725', '0.32113', '0.719205', '0.203015', '6287.87', '263.789', '2195.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705853', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '-0.133821', '-0.24133', '0.944171', '-0.17998', '6288.81', '264.243', '2194.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705854', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.533121', '-0.383682', '-0.294716', '0.694055', '6289.42', '263.729', '2194.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705855', '0', 'object/building/endor/shared_endor_catwalk.iff', '0', '0.609159', '0', '0.793048', '-4831.19', '0.666476', '1159.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705856', '0', 'object/static/structure/general/shared_skeleton_human_body.iff', '0', '-0.389418', '0', '0.921061', '6283.2', '263.086', '2194.12', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705857', '0', 'object/static/structure/general/shared_skeleton_ithorian_headandbody.iff', '0', '0.281157', '0', '0.959662', '6286.37', '262.735', '2191.8', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705858', '0', 'object/static/structure/general/shared_skeleton_ithorian_head.iff', '0', '0.522687', '0', '0.852525', '6289.5', '262.525', '2191.18', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705859', '0', 'object/static/structure/general/shared_skeleton_ithorian_head.iff', '0.789504', '0', '0', '0.613746', '6285.44', '262.909', '2194.78', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705860', '0', 'object/static/structure/general/shared_skeleton_bith_headandbody.iff', '0', '0.20846', '0', '0.978031', '6287.47', '262.704', '2194.27', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705861', '0', 'object/building/endor/shared_endor_village_tree_viewpoint.iff', '0', '0.609159', '0', '0.793048', '-4825.88', '0.385679', '1161.3', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705865', '0', 'object/static/structure/dantooine/shared_dant_large_rock_hut.iff', '0', '0.29552', '0', '0.955337', '5852.93', '90.6943', '4384.58', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705866', '0', 'object/static/structure/dantooine/shared_dant_cooking_stone.iff', '0', '0.342898', '0', '0.939373', '5852.43', '92.3477', '4373.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705867', '0', 'object/tangible/furniture/all/shared_frn_all_throwpillow_med_s01.iff', '0', '0', '0', '1', '5854.48', '90.7655', '4385.44', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705868', '0', 'object/tangible/furniture/all/shared_frn_all_throwpillow_med_s03.iff', '0', '0', '0', '1', '5855.03', '90.2366', '4381.07', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705870', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '0', '0', '1', '5851.62', '91.3901', '4386.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705871', '0', 'object/static/item/shared_item_basket_frame.iff', '0', '0', '0', '1', '5852.02', '90.491', '4383.09', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705872', '0', 'object/static/item/shared_item_basket_shallow.iff', '-0.0898786', '0', '0', '0.995953', '5853.07', '91.3244', '4387.24', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705873', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '-0.0367766', '0.30267', '-0.144691', '0.94133', '5843.52', '93.2493', '4385.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705874', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '-0.099671', '-0.423532', '-0.0805061', '0.896775', '5846.25', '92.5609', '4385.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705875', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0.0658058', '0.899078', '-0.145093', '0.407771', '5843.25', '93.7935', '4387.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705876', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '-0.0824841', '0.303765', '-0.163966', '0.9349', '5846.12', '93.066', '4388.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705878', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '-0.187652', '0.596056', '-0.234441', '0.744675', '-4826.19', '2.13764', '1159.47', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705880', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '-0.176143', '0.769604', '0.136931', '-0.598276', '-4827.07', '2.04359', '1162.68', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705881', '0', 'object/static/flora/shared_potted_plant_leaves_fern.iff', '-0.166258', '-0.370624', '-0.0148329', '0.913661', '5844.67', '92.9457', '4388.57', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705882', '0', 'object/static/flora/shared_potted_plant_leaves_fern.iff', '-0.166258', '-0.370624', '-0.0148329', '0.913661', '5844', '92.9332', '4387.8', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705883', '0', 'object/static/flora/shared_potted_plant_leaves_fern.iff', '-0.166258', '-0.370624', '-0.0148329', '0.913661', '5843.32', '93.0412', '4387.04', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705884', '0', 'object/static/flora/shared_potted_plant_leaves_small.iff', '-0.123702', '-0.390434', '-0.0530311', '0.91074', '5846.26', '92.4418', '4387.53', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705885', '0', 'object/static/flora/shared_potted_plant_leaves_small.iff', '-0.123702', '-0.390434', '-0.0530311', '0.91074', '5845.49', '92.509', '4386.81', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705886', '0', 'object/static/flora/shared_potted_plant_leaves_small.iff', '-0.123702', '-0.390434', '-0.0530311', '0.91074', '5844.58', '92.6551', '4385.81', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705888', '0', 'object/static/structure/dantooine/shared_dant_large_mudhut.iff', '0', '0.770739', '0', '0.637151', '-6878.98', '204.277', '1364.15', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705889', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '-0.0647908', '-0.560913', '0.0947045', '0.819884', '5931.2', '208.978', '6110.02', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705890', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '-0.118183', '0.158173', '-0.0190723', '0.980128', '5928.11', '208.938', '6112.09', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705891', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '-0.108196', '0.16816', '-0.0185725', '0.979628', '5927.33', '208.999', '6111.14', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705892', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0', '0', '1', '-6875.11', '202.223', '1363.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705893', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0.654394', '0.0608795', '-0.152595', '0.73809', '5927.05', '209.08', '6109.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705895', '0', 'object/static/structure/general/shared_campfire_ash.iff', '0', '0', '0', '1', '5927.36', '208.006', '6105.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705896', '0', 'object/tangible/camp/shared_camp_stool_short.iff', '-0.663136', '0', '0', '0.748499', '5926.08', '208.204', '6105.09', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705897', '0', 'object/tangible/camp/shared_camp_stool_short.iff', '0.996631', '0.0651392', '0.0388375', '-0.0312419', '5928.56', '207.977', '6103.89', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705898', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0', '0', '1', '5934.23', '209.058', '6110.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705899', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0.9998', '0.0197131', '0.00336772', '0.000796301', '5932.56', '208.303', '6104.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705901', '0', 'object/building/endor/shared_endor_catwalk.iff', '0', '0.696135', '0', '0.717911', '79.204', '28.9096', '996.894', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705902', '0', 'object/static/structure/tatooine/shared_guild_ball_free_style_01.iff', '0', '0', '0', '1', '-6800.17', '104.405', '-3449.84', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705903', '0', 'object/building/endor/shared_endor_catwalk.iff', '0', '0.713864', '0', '-0.700284', '86.2513', '28.9439', '997.053', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705904', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '-6798.02', '107.825', '-3451.29', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705905', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '-6800.58', '108.145', '-3447.32', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705907', '0', 'object/building/endor/shared_endor_catwalk.iff', '0', '-0.119712', '0', '0.992809', '73.8427', '28.9075', '999.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705908', '0', 'object/building/endor/shared_endor_catwalk.iff', '0', '0.993486', '0', '0.113956', '72.2226', '28.9357', '1006.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705909', '0', 'object/building/endor/shared_endor_catwalk.iff', '0', '-0.119712', '0', '0.992809', '70.6118', '28.9419', '1013.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705911', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '0', '0', '1', '74.2699', '14.3391', '999.729', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705912', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0', '0', '1', '6351.38', '330.975', '-2459.62', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705913', '0', 'object/building/endor/shared_endor_forest_hut.iff', '0', '-0.605186', '0', '0.796084', '88.9268', '14.887', '997.859', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705914', '0', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_01.iff', '-0.0498892', '0.00299695', '-0.0997087', '0.993761', '6351.05', '331.201', '-2459.73', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705916', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '0', '0', '1', '2375.84', '13.6972', '2178.52', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705917', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0.0598561', '-0.00359568', '-0.0598561', '0.996404', '6351.05', '330.673', '-2455.32', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705918', '0', 'object/static/structure/general/shared_campfire_ash.iff', '0', '0', '0', '1', '6348.37', '331.276', '-2460.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705919', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '2375.55', '26.9152', '2178.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705920', '0', 'object/building/endor/shared_endr_lake_rail2m.iff', '0', '-0.0349928', '0', '0.999388', '2375.48', '27.589', '2175.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705921', '0', 'object/building/endor/shared_endr_lake_rail2m.iff', '0', '-0.439462', '0', '0.898261', '2377.3', '27.4505', '2176.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705922', '0', 'object/building/endor/shared_endr_lake_rail2m.iff', '0', '0.29552', '0', '0.955336', '2377.09', '27.3533', '2180.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705923', '0', 'object/building/endor/shared_endr_lake_rail2m.iff', '0', '0', '0', '1', '2375.37', '27.3995', '2181.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705924', '0', 'object/building/endor/shared_endr_lake_rail2m.iff', '0', '-0.389418', '0', '0.921061', '2373.57', '27.4188', '2180.66', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705925', '0', 'object/building/endor/shared_endr_lake_rail2m.iff', '0', '-0.706825', '0', '0.707388', '2372.8', '27.4558', '2179.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9705926', '0', 'object/building/endor/shared_endr_lake_rail2m.iff', '0', '0.928369', '0', '-0.37166', '2373.79', '27.4714', '2176.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9875353', '0', 'object/building/military/shared_outpost_starport.iff', '0', '0', '0', '1', '3222', '24', '-3482', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '9875354', '9875353', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '3435616', '9875354', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0', '0', '1', '-7.42509', '0.146595', '-19.2466', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '9875413', '0', 'object/building/military/shared_outpost_shed.iff', '0', '0', '0', '1', '3256', '24', '-3504', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '9875414', '9875413', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '9875415', '9875413', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '9875416', '9875413', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '9875417', '9875413', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '9875418', '9875413', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '9875419', '9875413', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '9875427', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '0', '0', '1', '3190', '24', '-3516', '128', '1');
INSERT INTO `staticobjects` VALUES ('3', '9875428', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '0', '0', '1', '3222', '24', '-3516', '128', '1');
INSERT INTO `staticobjects` VALUES ('3', '9875429', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '0', '0', '1', '3254', '24', '-3516', '128', '1');
INSERT INTO `staticobjects` VALUES ('3', '9875430', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '-0.707106', '0', '0.707107', '3282', '24', '-3488', '128', '1');
INSERT INTO `staticobjects` VALUES ('3', '9875431', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.382683', '0', '0.92388', '3276', '24', '-3510', '128', '1');
INSERT INTO `staticobjects` VALUES ('3', '9875432', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.923879', '0', '-0.382684', '3168', '24', '-3510', '128', '1');
INSERT INTO `staticobjects` VALUES ('3', '9875434', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.382684', '0', '0.923879', '3276', '24', '-3434', '128', '1');
INSERT INTO `staticobjects` VALUES ('3', '9875436', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '1', '0', '-3.20013e-08', '3254', '24', '-3428', '128', '1');
INSERT INTO `staticobjects` VALUES ('3', '9875437', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '1', '0', '-3.20013e-08', '3222', '24', '-3428', '128', '1');
INSERT INTO `staticobjects` VALUES ('3', '9875438', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '1', '0', '-3.20013e-08', '3190', '24', '-3428', '128', '1');
INSERT INTO `staticobjects` VALUES ('3', '9875439', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '0.707107', '0', '0.707107', '3162', '23.9576', '-3456', '128', '1');
INSERT INTO `staticobjects` VALUES ('3', '9875440', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.92388', '0', '0.382683', '3168', '23.9991', '-3434', '128', '1');
INSERT INTO `staticobjects` VALUES ('3', '9875441', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.707106', '0', '0.707108', '3282', '24', '-3448', '128', '1');
INSERT INTO `staticobjects` VALUES ('3', '9875442', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '1', '0', '-4.94834e-07', '3274', '24.0048', '-3456', '128', '1');
INSERT INTO `staticobjects` VALUES ('3', '9875443', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.707106', '0', '0.707107', '3266', '24.1281', '-3464', '128', '1');
INSERT INTO `staticobjects` VALUES ('3', '9875444', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.707107', '0', '-0.707107', '3178', '24', '-3480', '128', '1');
INSERT INTO `staticobjects` VALUES ('3', '9875445', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.707102', '0', '0.707111', '3162', '24', '-3496', '128', '1');
INSERT INTO `staticobjects` VALUES ('3', '9875446', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '1', '0', '0', '3170', '24', '-3488', '128', '1');
INSERT INTO `staticobjects` VALUES ('3', '9875447', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '3162', '24', '-3472', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9875448', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '3178', '24', '-3472', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9875449', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '3178', '24', '-3488', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9875450', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '3162', '24', '-3488', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9875451', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '3162', '24', '-3504', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9875452', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '3174', '24', '-3516', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9875453', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '3270', '24', '-3516', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9875454', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '3282', '24', '-3504', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9875455', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '3282', '24', '-3472', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9875456', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '3266', '24', '-3472', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9875457', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '3266', '24', '-3456', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9875458', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '3282', '24', '-3456', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9875459', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '3282', '24', '-3440', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9875460', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '3270', '24', '-3428', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9875461', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '3174', '24', '-3428', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9875462', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '3162', '24', '-3440', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9875463', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '0', '0', '0', '1', '3168', '24', '-3494', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '9875464', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '0', '1', '0', '3.20013e-08', '3277', '24', '-3450', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '9875524', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0', '0', '1', '-4684.9', '82.0001', '-2296.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9875549', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0', '0', '1', '-4584.65', '99', '-2286.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9875560', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0', '0', '0', '1', '-4566.35', '99', '-2275.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9875561', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0', '0', '0', '1', '-4573.63', '99', '-2279.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9925352', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '3238', '24', '-3428', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9925353', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '3206', '24', '-3428', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9925354', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '3206', '24', '-3516', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9925355', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '3238', '24', '-3516', '200', '1');
INSERT INTO `staticobjects` VALUES ('3', '9925357', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0', '0', '1', '3211', '24', '-3508', '128', '1');
INSERT INTO `staticobjects` VALUES ('3', '9925358', '0', 'object/static/structure/corellia/shared_corl_power_box_node.iff', '0', '0', '0', '1', '3223', '24', '-3508', '128', '1');
INSERT INTO `staticobjects` VALUES ('3', '9925359', '0', 'object/static/structure/corellia/shared_corl_power_box_node.iff', '0', '0', '0', '1', '3223', '24', '-3512', '128', '1');
INSERT INTO `staticobjects` VALUES ('3', '9925360', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s02.iff', '0', '0', '0', '1', '3211', '24', '-3512', '128', '1');
INSERT INTO `staticobjects` VALUES ('3', '9925364', '0', 'object/building/corellia/shared_ply_corl_house_m_s01_fp1.iff', '0', '1', '0', '3.20013e-08', '3223', '24', '-3442', '512', '1');
INSERT INTO `staticobjects` VALUES ('3', '9925365', '9925364', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '733426', '9925365', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.906534', '0', '-0.422133', '9.68682', '0.624998', '4.5963', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '733427', '9925365', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.0649542', '0', '0.997888', '8.96305', '0.624998', '2.10242', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '733428', '9925365', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.68892', '0', '0.724837', '7.5196', '0.624998', '3.59511', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '733429', '9925365', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.319309', '0', '0.947651', '5.91744', '0.624998', '1.28596', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '733430', '9925365', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.819192', '0', '0.57352', '3.74835', '0.624999', '2.77781', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '733431', '9925365', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.836026', '0', '-0.54869', '4.1043', '0.624999', '5.98664', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '733432', '9925365', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.783327', '0', '0.62161', '1.56293', '0.624999', '5.73205', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '733433', '9925365', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.0649542', '0', '0.997888', '2.65018', '0.624999', '4.16738', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '733434', '9925365', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.213347', '0', '0.976976', '0.648125', '0.624999', '0.985894', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '733435', '9925365', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.893464', '0', '-0.449134', '0.954682', '0.624999', '2.78481', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '733436', '9925365', 'object/static/flora/shared_potted_plant_leaves_small.iff', '0', '-0.375559', '0', '0.926798', '-1.35712', '0.625', '5.4615', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '733437', '9925365', 'object/static/item/shared_item_painting_endor_style_01.iff', '0', '-0.707106', '0', '0.707107', '2.94324', '1.22583', '6.83874', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '733438', '9925365', 'object/tangible/furniture/all/shared_frn_all_lamp_candlestick_tbl_s02.iff', '0', '0', '0', '1', '8.75785', '1.38394', '3.45858', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '733439', '9925365', 'object/tangible/furniture/all/shared_frn_all_lamp_candlestick_tbl_s02.iff', '0', '1', '0', '0', '4.98314', '1.38394', '2.41924', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '733440', '9925365', 'object/tangible/furniture/all/shared_frn_all_lamp_candlestick_tbl_s02.iff', '0', '1', '0', '0', '2.86118', '1.38395', '5.46551', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '733441', '9925365', 'object/tangible/furniture/all/shared_frn_all_lamp_candlestick_tbl_s02.iff', '0', '1', '0', '0', '0.041559', '1.38395', '2.13042', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '9925369', '9925365', 'object/tangible/furniture/all/shared_frn_all_table_s03.iff', '0', '0', '0', '1', '5.0138', '0.624999', '2.43138', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '9925370', '9925365', 'object/tangible/furniture/all/shared_frn_all_table_s03.iff', '0', '0', '0', '1', '8.71222', '0.624999', '3.4597', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '9925375', '9925365', 'object/tangible/furniture/all/shared_frn_all_table_s03.iff', '0', '0', '0', '1', '2.83772', '0.625', '5.4739', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '9925384', '9925365', 'object/tangible/furniture/all/shared_frn_all_table_s03.iff', '0', '0', '0', '1', '0.0339869', '0.625', '2.11298', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '9925366', '9925364', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '733442', '9925366', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '-0.380188', '0', '0.924909', '-8.52235', '0.625', '5.23216', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '733443', '9925366', 'object/static/flora/shared_potted_plant_leaves_fern.iff', '0', '0', '0', '1', '-9.74995', '0.625', '3.38432', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '733444', '9925366', 'object/static/flora/shared_potted_plant_leaves_fern.iff', '0', '1', '0', '0', '-6.63543', '0.625', '6.47369', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '733446', '9925366', 'object/tangible/furniture/all/shared_frn_all_decorative_lg_s2.iff', '0', '0.928369', '0', '0.37166', '-8.53471', '1.38395', '5.25886', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '733448', '9925366', 'object/tangible/furniture/all/shared_frn_all_couch_love_seat_s1.iff', '0', '0.920751', '0', '-0.390152', '-5.05914', '0.625', '5.14202', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '733449', '9925366', 'object/tangible/furniture/all/shared_frn_all_couch_love_seat_s1.iff', '0', '-0.379451', '0', '0.925212', '-5.06318', '0.625', '1.78398', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '733450', '9925366', 'object/tangible/furniture/all/shared_frn_all_couch_love_seat_s1.iff', '0', '0.390152', '0', '0.92075', '-8.45305', '0.625', '1.80275', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '9925367', '9925364', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '733453', '9925367', 'object/tangible/furniture/modern/shared_bar_piece_curve_s2.iff', '0', '0', '0', '1', '-0.567671', '0.624999', '-7.08942', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '733454', '9925367', 'object/tangible/furniture/modern/shared_dining_table_modern_style_01.iff', '0', '0', '0', '1', '-1.91078', '0.624999', '-1.02446', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '733456', '9925367', 'object/tangible/furniture/modern/shared_couch_modern_style_02.iff', '0', '0', '0', '1', '-5.35124', '0.624999', '-8.08039', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '733457', '9925367', 'object/static/item/shared_item_music_microphone_s1.iff', '0', '0.706826', '0', '0.707388', '-8.52888', '0.624999', '-4.45353', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '733458', '9925367', 'object/static/flora/shared_potted_plant_leaves_ivy.iff', '0', '-0.375559', '0', '0.926798', '-8.60992', '0.624999', '-7.18755', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '733459', '9925367', 'object/static/flora/shared_potted_plant_leaves_ivy.iff', '0', '0.922997', '0', '-0.384808', '-8.6135', '0.625', '-1.83311', '64', '1');
INSERT INTO `staticobjects` VALUES ('3', '733460', '9925367', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '-1.70166', '1.76342', '-6.86306', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '733461', '9925367', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '-1.97012', '1.76342', '-7.08571', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '733464', '9925367', 'object/static/item/shared_item_con_pitcher_full.iff', '0', '-0.394019', '0', '0.919102', '0.390792', '1.76342', '-6.68652', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '733465', '9925367', 'object/static/item/shared_item_con_glass_full_s2.iff', '0', '0.479426', '0', '0.877583', '0.129238', '1.76342', '-6.75118', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '733466', '9925367', 'object/static/item/shared_item_con_glass_full_s2.iff', '0', '0.949235', '0', '0.314567', '0.154579', '1.76342', '-6.44619', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '733467', '9925367', 'object/static/item/shared_item_con_tankard_full.iff', '0', '0', '0', '1', '-1.93168', '1.76342', '-6.61643', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '733468', '9925367', 'object/static/item/shared_item_con_tato_bowl_full_s01.iff', '0', '0', '0', '1', '-3.19327', '1.6053', '-1.231', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '733469', '9925367', 'object/static/item/shared_item_con_tato_bowl_full_s02.iff', '0', '0', '0', '1', '-0.518637', '1.54206', '-1.31609', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '733470', '9925367', 'object/static/item/shared_item_con_plate_s1_full.iff', '0', '0', '0', '1', '-2.53688', '1.63693', '-1.39239', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '733471', '9925367', 'object/static/item/shared_item_con_plate_casserole.iff', '0', '0', '0', '1', '-1.33894', '1.63693', '-1.28237', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '733474', '9925367', 'object/static/item/shared_item_food_muffins.iff', '0', '0', '0', '1', '-1.99371', '1.63693', '-1.10654', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '733475', '9925367', 'object/static/item/shared_item_jar_berries.iff', '0', '0', '0', '1', '-0.892716', '1.60531', '-0.927432', '32', '1');
INSERT INTO `staticobjects` VALUES ('3', '733477', '9925367', 'object/tangible/furniture/all/shared_frn_all_lamp_desk_s02.iff', '0', '0', '0', '1', '-3.98373', '1.63693', '-1.08674', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '733478', '9925367', 'object/tangible/furniture/all/shared_frn_all_lamp_desk_s02.iff', '0', '1', '0', '0', '0.188042', '1.63693', '-1.11465', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '9925368', '9925364', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('3', '733479', '9925368', 'object/tangible/furniture/modern/shared_cabinet_modern_style_01.iff', '0', '-0.707106', '0', '0.707107', '11.2573', '0.625', '-4.50541', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '733480', '9925368', 'object/tangible/furniture/modern/shared_armoire_modern_style_01.iff', '0', '0', '0', '1', '7.80079', '0.625', '-7.92575', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '733481', '9925368', 'object/tangible/furniture/modern/shared_armoire_modern_style_01.iff', '0', '1', '0', '0', '7.80927', '0.625', '-1.09223', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '733487', '9925368', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s3.iff', '0', '-0.266731', '0', '0.963771', '10.4444', '0.625', '-3.0021', '50', '1');
INSERT INTO `staticobjects` VALUES ('3', '733488', '9925368', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s3.iff', '0', '0.879969', '0', '0.475031', '10.436', '0.625', '-6.00431', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '568328', '0', 'object/static/installation/shared_mockup_power_generator_wind_style_1.iff', '0', '1', '0', '-3.20013e-08', '511.926', '33.9781', '4777.82', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '568332', '0', 'object/static/installation/shared_mockup_power_generator_wind_style_1.iff', '0', '0', '0', '1', '438.387', '34.122', '4777.64', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '568333', '0', 'object/tangible/furniture/all/shared_frn_all_toolchest_lg_s01.iff', '0', '0.599358', '0', '0.800481', '437.118', '34.0851', '4775.37', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '568334', '0', 'object/static/particle/shared_pt_poi_broken_electronics.iff', '0', '0', '0', '1', '438.124', '34.6082', '4776.35', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '568336', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_1.iff', '0', '0', '0', '1', '435.867', '33.8296', '4774.99', '256', '1');
INSERT INTO `staticobjects` VALUES ('4', '568337', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0', '0', '1', '369.361', '11.8871', '4840.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '568338', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0', '0', '1', '369.598', '11.8838', '4832.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '568347', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '474.581', '18.9199', '4915.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '568348', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '472.195', '18.9985', '4915.61', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '568349', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '473.445', '18.968', '4915.62', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '568354', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '481.607', '18.549', '4915.58', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '568355', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '480.357', '18.549', '4915.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '568356', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '482.743', '18.549', '4915.63', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '568593', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '369.088', '12.0156', '5204.72', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568594', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '367.832', '12.0132', '5204.7', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568595', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '368.735', '12.0036', '5203.77', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568596', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.959885', '0', '-0.280393', '369.677', '11.9975', '5203.74', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568597', '0', 'object/static/structure/general/shared_prp_engine.iff', '0', '0', '0', '1', '364.347', '12.0398', '5204.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '568598', '0', 'object/static/structure/general/shared_prp_engine.iff', '0', '0', '0', '1', '363.489', '12.0398', '5203.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '568599', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0.707107', '0', '0.707107', '366.891', '12.0072', '5203.7', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '568604', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '0', '0', '1', '-3847.4', '13', '-3744.21', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568605', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0', '0', '1', '-3846.46', '13', '-3743.28', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568606', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '0.780209', '0', '0.625519', '-3845.39', '13', '-3744.43', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568607', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_large.iff', '0.00116421', '-0.23284', '-0.00486255', '0.972502', '-3839.81', '13.2522', '-3740.39', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '568609', '0', 'object/static/structure/tatooine/shared_tent_house_tatooine_style_01.iff', '0', '-0.632673', '0', '0.774419', '-3845.21', '13', '-3752.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '568610', '0', 'object/static/structure/tatooine/shared_tent_house_tatooine_style_01.iff', '0', '0.906534', '0', '-0.422132', '-3839.6', '13', '-3764.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '568611', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '-3841.24', '13', '-3759.16', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568612', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '-3842.22', '13', '-3758.51', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568613', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '-3840.95', '13', '-3758.34', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568614', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '-3840.56', '13', '-3759.32', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568615', '0', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0', '0', '1', '-3839.53', '13', '-3765.14', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '568619', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '-3838.13', '13', '-3736.87', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568620', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '-3838.97', '13', '-3736.94', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568621', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '-3838.39', '13', '-3737.28', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568622', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '-3837.2', '13', '-3736.96', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568623', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '-3837.28', '13', '-3736.03', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568624', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '-3839.12', '13', '-3735.91', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568625', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '-3839.99', '13', '-3736.96', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568626', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.927097', '0', '-0.374821', '-3836.4', '13', '-3739.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568627', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.319309', '0', '0.947651', '-3836.04', '13', '-3740.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568628', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '-3836.61', '13', '-3739.83', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568630', '0', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0.986287', '0', '0.165038', '-3839.17', '13', '-3741.11', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '568631', '0', 'object/static/vehicle/e3/shared_landspeeder.iff', '0', '0.862404', '0', '-0.50622', '-3838.92', '13', '-3771.77', '256', '1');
INSERT INTO `staticobjects` VALUES ('4', '568637', '0', 'object/tangible/furniture/all/shared_frn_all_toolchest_lg_s01.iff', '0', '0.999687', '0', '0.0249974', '-3835.77', '13', '-3768.96', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '568638', '0', 'object/static/structure/general/shared_prp_engine_component.iff', '0', '0.939099', '0', '-0.343646', '-3836.03', '13', '-3770.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '568639', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.261909', '0', '0.965092', '-3837.48', '13', '-3770.41', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568640', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.314567', '0', '0.949235', '-3837.14', '13', '-3771.14', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568641', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.352274', '0', '0.935897', '-3840.26', '13.0089', '-3772', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568642', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.328769', '0', '0.94441', '-3839.33', '12.9922', '-3772.66', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568644', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0', '0', '1', '-3898.77', '11.9783', '-3835.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '568645', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.535416', '0', '0.844589', '-3905.25', '11.9993', '-3828.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '568646', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.509841', '0', '0.860269', '-3913.04', '12', '-3816.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '568648', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.814341', '0', '-0.580387', '-3875.41', '11.9291', '-3810.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '568650', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_2.iff', '0', '0', '0', '1', '-3909.39', '12', '-3823', '256', '1');
INSERT INTO `staticobjects` VALUES ('4', '568651', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0.95657', '0', '0.291502', '-3902.13', '12.0002', '-3831.34', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568652', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-3877.99', '12', '-3805.61', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '568655', '0', 'object/static/structure/tatooine/shared_tent_house_tatooine_style_01.iff', '0', '0.0898786', '0', '0.995953', '-3887.3', '12', '-3805.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '568656', '0', 'object/static/structure/tatooine/shared_tent_house_tatooine_style_01.iff', '0', '0.556361', '0', '0.830941', '-3894.55', '12', '-3799.66', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '568657', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '0', '0', '0', '1', '-3919.41', '11.9569', '-3808.61', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '568658', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '0', '-0.541385', '0', '0.840775', '-3919.57', '12', '-3810.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '568659', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '0', '0.994309', '0', '0.106539', '-3920.97', '12', '-3809.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '568660', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0', '0', '0', '1', '-3919.39', '12', '-3809.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '568665', '0', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0.870096', '0', '0.492881', '-3890.35', '12.0288', '-3804.79', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '568666', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0.581035', '0', '0.813878', '-3881.42', '11.9949', '-3969.63', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '568669', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0.581034', '0', '0.813879', '-3812.63', '11.9605', '-3968.6', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '568670', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0', '0', '1', '-3895.64', '12.0518', '-3819.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '568671', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0', '0', '1', '-3895.16', '12.0236', '-3819.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '568672', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0', '0', '1', '-3895.82', '12.0789', '-3819.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '568675', '0', 'object/static/installation/shared_mockup_mining_gas_harvester_style_1.iff', '0', '0.49688', '0', '0.867819', '-3915.29', '12', '-3796.77', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '568676', '0', 'object/static/particle/shared_pt_smoke_small.iff', '0', '0', '-0.300293', '0.953847', '-3838.25', '12.2275', '-3770.61', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '568678', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.8699', '0', '0.493228', '-3897.04', '12.072', '-3817.81', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '568679', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.999707', '0', '-0.0242013', '-3895.85', '12.0566', '-3817.1', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '568680', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '-3892.98', '12', '-3798.27', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568681', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '-3892.96', '12', '-3797.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568682', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '-3892.57', '12', '-3798.18', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568683', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.724287', '0', '0.689498', '-3894.31', '12', '-3797.44', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568684', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '-3892.03', '12', '-3798.93', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568685', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.163282', '0', '0.986579', '-3892.48', '12', '-3800.2', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568692', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0.581034', '0', '0.813879', '-3723.54', '12.0882', '-3903.72', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '568695', '0', 'object/static/structure/general/shared_lucky_despot_debris_aft_hull.iff', '0', '0', '0', '1', '3581.43', '1.93156', '2167.19', '256', '1');
INSERT INTO `staticobjects` VALUES ('4', '568700', '0', 'object/static/structure/general/shared_lucky_despot_debris_forward_hull.iff', '0', '0.947651', '0', '-0.319309', '3699.18', '1.56193', '2147.95', '256', '1');
INSERT INTO `staticobjects` VALUES ('4', '568701', '0', 'object/static/structure/general/shared_lucky_despot_debris_md_engine.iff', '0', '0', '0', '1', '3644.06', '1.15712', '2219.89', '256', '1');
INSERT INTO `staticobjects` VALUES ('4', '568702', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0', '0', '1', '3645.47', '1.38779', '2133.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '568703', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.0499792', '0', '0.99875', '3637.66', '1.23679', '2134.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '568704', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.0749297', '0', '0.997189', '3630.06', '1.03525', '2134.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '568705', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.174108', '0', '0.984727', '3606.82', '1.09209', '2142.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '568706', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.139543', '0', '0.990216', '3614.15', '0.961006', '2139.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '568707', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '0', '0.86203', '0', '-0.506857', '3618.51', '1.01159', '2138.59', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '568708', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '0', '0.779892', '0', '0.625914', '3626.5', '1.00423', '2135.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '568709', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '0.169182', '0', '0.985585', '3618.09', '1.00302', '2137.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '568710', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '0.104807', '0', '0.994493', '3625.96', '1.01508', '2134.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '568712', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.964382', '0', '0.264513', '3602.32', '1.13394', '2207.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '568713', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.970693', '0', '0.240323', '3608.94', '1.02419', '2211.52', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '568714', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.989836', '0', '0.142215', '3631.9', '1.01965', '2219.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '568715', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.984253', '0', '0.176766', '3624.65', '1.00701', '2217.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '568716', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '0', '0.21221', '0', '0.977224', '3620.43', '1.00705', '2215.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '568717', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '0', '0.838215', '0', '-0.54534', '3612.28', '1.01036', '2212.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '568718', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '0.989112', '0', '0.147163', '3620.05', '1.01459', '2216.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '568719', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '0.977465', '0', '0.211099', '3611.89', '1.0177', '2214.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '568720', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.986418', '0', '-0.164252', '3656.61', '1.58936', '2219.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '568721', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.976976', '0', '-0.213347', '3663.84', '1.84568', '2216.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '568722', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.971338', '0', '-0.237703', '3670.75', '1.90957', '2213.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '568723', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.942755', '0', '-0.333487', '3690.41', '1.7192', '2198.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '568724', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.953847', '0', '-0.300293', '3684.22', '1.74098', '2203.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '568725', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '0', '0.641563', '0', '0.76707', '3680.48', '1.81835', '2206.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '568726', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '0', '-0.489314', '0', '0.872108', '3673.86', '1.89334', '2211.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '568727', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '0.94441', '0', '-0.328769', '3681.28', '1.7627', '2207.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '568728', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '0.963771', '0', '-0.266731', '3674.82', '1.87653', '2212.52', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '568747', '0', 'object/building/military/shared_pirate_outpost.iff', '0', '0.324043', '0', '0.946042', '3646.9', '1', '2166.06', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '568748', '568747', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '568749', '568747', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '568750', '568747', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '568751', '568747', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '568951', '568751', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0', '0', '1', '3.14157', '0.125266', '4.74961', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '568752', '568747', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '568753', '568747', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '568754', '0', 'object/building/military/shared_pirate_warehouse.iff', '0', '0.94441', '0', '-0.328769', '3662.9', '1', '2186.3', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '568755', '568754', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '568756', '568754', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '568757', '568754', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '568758', '568754', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '4105801', '568758', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_rebel_rescue_03.iff', '0', '0.707106', '0', '0.707107', '2.38164', '0.125266', '3.65031', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '568759', '568754', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '568760', '568754', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '568948', '568760', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0.707107', '0', '0.707107', '-5.28897', '0.125266', '-3.35952', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '568775', '0', 'object/building/military/shared_outpost_shed_s04.iff', '0', '0.707106', '0', '0.707107', '3610.6', '1.22169', '2182.63', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '568776', '568775', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '568777', '568775', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '568778', '568775', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '568779', '568775', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '568780', '568775', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '568781', '568775', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '568782', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '0', '0.213258', '0', '0.976996', '3641.88', '-0.366995', '2188.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '568783', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '0', '0.0723659', '0', '0.997378', '3641.29', '-0.366995', '2189.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '568784', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '0', '0.992374', '0', '-0.123267', '3639.68', '-0.366995', '2190.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '568785', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '0', '0.998185', '0', '-0.0602226', '3638.1', '-0.366995', '2189.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '568786', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '0', '0.967386', '0', '0.253308', '3638.15', '-0.366995', '2187.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '568787', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '0', '0.975753', '0', '-0.218873', '3641.37', '-0.366995', '2186.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '568788', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '0', '0.891243', '0', '0.453526', '3639.51', '-0.366995', '2185.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '568790', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0', '0', '1', '3639.57', '1', '2187.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '568791', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0.715339', '0.0537512', '0.052204', '0.694748', '3640.17', '0.793885', '2187.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '568792', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '-0.165244', '0.135558', '-0.360141', '0.908084', '3639.39', '1.03687', '2188.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '568793', '0', 'object/static/particle/shared_pt_burning_smokeandembers_large.iff', '0', '0', '0', '1', '3639.76', '1', '2188.03', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '568794', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0.809148', '0', '-0.587605', '3639.84', '1', '2189.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '568795', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '-0.0669333', '0', '0.997757', '3640.71', '1', '2188.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '568796', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0.664561', '0', '0.747234', '3640.67', '1', '2187.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '568797', '0', 'object/static/structure/naboo/shared_poi_nboo_tent_large.iff', '0', '0', '0', '1', '3607.61', '1.22657', '2169.42', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '568798', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '0', '1', '0', '-3.20013e-08', '3598.38', '5.57941', '2166.79', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '568799', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '0', '-0.707106', '0', '0.707107', '3645.15', '1.36679', '2136.97', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '568800', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '0', '0.840441', '0', '0.541902', '3663.29', '0.864264', '2213.04', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '568805', '0', 'object/static/structure/naboo/shared_poi_nboo_tent_small.iff', '0', '-0.457339', '0', '0.889293', '3640.98', '1', '2157.8', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '568806', '0', 'object/tangible/furniture/all/shared_frn_all_toolchest_lg_s01.iff', '0', '0.696131', '0', '0.717915', '3608.56', '1.15288', '2192.94', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '568808', '0', 'object/static/creature/shared_droids_eg6.iff', '0', '0.314567', '0', '0.949235', '3610.37', '1', '2190.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '568809', '0', 'object/static/item/shared_item_tank_gas.iff', '0', '0', '0', '1', '3609.05', '1', '2194.12', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568810', '0', 'object/static/item/shared_item_tool_demagnetizer.iff', '0', '0', '0', '1', '3608.48', '2.64436', '2192.81', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568811', '0', 'object/static/item/shared_item_tool_computer_toolkit.iff', '0', '0.927097', '0', '0.374821', '3608.74', '2.64438', '2192.65', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568812', '0', 'object/static/item/shared_item_tool_power_output_analyzer.iff', '0', '0.999232', '0', '0.039194', '3610.92', '1', '2195.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568813', '0', 'object/static/item/shared_item_tool_instrument_calibrator.iff', '0', '0.309817', '0', '0.950796', '3609.26', '1', '2192.06', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568814', '0', 'object/static/structure/naboo/shared_poi_nboo_tent_small.iff', '0', '0', '0', '1', '3610.14', '1', '2193.26', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '568816', '0', 'object/static/item/shared_item_medic_bag.iff', '0.331476', '0.626995', '0.620263', '-0.335074', '3642.98', '1.15812', '2158.47', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568817', '0', 'object/static/item/shared_item_bacta_ampules.iff', '0', '0.881958', '0', '-0.471328', '3643.32', '1.44272', '2158.32', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568818', '0', 'object/static/item/shared_item_bacta_ampules.iff', '0', '0.881958', '0', '-0.471328', '3643.41', '1.44272', '2158.25', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568819', '0', 'object/static/item/shared_item_drall_medicine.iff', '0', '0.881958', '0', '-0.471328', '3643.34', '1.09487', '2158.3', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568820', '0', 'object/static/item/shared_armor_composite_helmet.iff', '0', '0.881958', '0', '-0.471328', '3643.12', '-0.106797', '2158.57', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568821', '0', 'object/static/item/shared_item_storage_cabinet_01.iff', '0', '0.881958', '0', '-0.471328', '3643.27', '1.03163', '2158.46', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568822', '0', 'object/static/item/shared_item_bacta_ampules.iff', '0', '0.881958', '0', '-0.471328', '3643.38', '1.44272', '2158.34', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568823', '0', 'object/static/item/shared_item_bacta_ampules.iff', '-0.048182', '-0.692745', '0.710779', '-0.112145', '3643.24', '1.47434', '2158.32', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568824', '0', 'object/static/item/shared_wp_carbine_elite_combined.iff', '0.135791', '0.461315', '-0.073444', '0.873702', '3643.01', '1.95101', '2158.56', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568845', '0', 'object/static/item/shared_wp_carbine_elite_combined.iff', '-0.166588', '0.697891', '-0.040851', '-0.695361', '3608.82', '1.92161', '2174.5', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568846', '0', 'object/static/item/shared_item_medic_bag.iff', '-0.381815', '0.595162', '0.381814', '0.595162', '3608.86', '1.03087', '2174.14', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568847', '0', 'object/static/item/shared_item_bacta_ampules.iff', '0', '0.723249', '0', '0.690588', '3608.7', '1.4111', '2174.42', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568848', '0', 'object/static/item/shared_item_bacta_ampules.iff', '0', '0.723249', '0', '0.690588', '3608.66', '1.4111', '2174.53', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568849', '0', 'object/static/item/shared_item_drall_medicine.iff', '0', '0.723249', '0', '0.690588', '3608.69', '1.06324', '2174.45', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568850', '0', 'object/static/item/shared_item_storage_cabinet_01.iff', '0', '0.723249', '0', '0.690588', '3608.65', '1', '2174.29', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568851', '0', 'object/static/item/shared_item_bacta_ampules.iff', '0', '0.723249', '0', '0.690588', '3608.64', '1.4111', '2174.44', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568852', '0', 'object/static/item/shared_item_bacta_ampules.iff', '0.660158', '-0.109868', '0.267805', '-0.69311', '3608.74', '1.42369', '2174.58', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568853', '0', 'object/static/item/shared_wp_carbine_elite_combined.iff', '-0.166588', '0.697891', '-0.040851', '-0.695361', '3608.83', '1.92161', '2174.11', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568854', '0', 'object/static/item/shared_wp_carbine_elite_combined.iff', '-0.166588', '0.697891', '-0.040851', '-0.695361', '3608.83', '1.92161', '2174.2', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568855', '0', 'object/static/item/shared_wp_carbine_elite_combined.iff', '-0.166588', '0.697891', '-0.040851', '-0.695361', '3608.83', '1.92161', '2174.3', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568856', '0', 'object/static/item/shared_wp_carbine_dh17_combined.iff', '0', '0.982004', '-0.188859', '0', '3670.56', '1.88544', '2193.38', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568857', '0', 'object/static/item/shared_item_bacta_ampules.iff', '0', '0', '0', '1', '3670.59', '1.37948', '2193.24', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568858', '0', 'object/static/item/shared_wp_carbine_dh17_combined.iff', '0', '0.982004', '-0.188859', '0', '3670.97', '1.88544', '2193.37', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568859', '0', 'object/static/item/shared_item_drall_medicine.iff', '0', '0', '0', '1', '3670.57', '1.03163', '2193.23', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568860', '0', 'object/static/item/shared_armor_composite_helmet.iff', '0', '0', '0', '1', '3670.91', '-0.170043', '2193.27', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568861', '0', 'object/static/item/shared_wp_carbine_dh17_combined.iff', '0', '0.982004', '-0.188859', '0', '3670.44', '1.88544', '2193.39', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568862', '0', 'object/static/item/shared_wp_carbine_dh17_combined.iff', '0', '0.982004', '-0.188859', '0', '3670.89', '1.88544', '2193.38', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568863', '0', 'object/static/item/shared_wp_carbine_dh17_combined.iff', '0', '0.982004', '-0.188859', '0', '3670.68', '1.88544', '2193.4', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568864', '0', 'object/static/item/shared_item_bacta_ampules.iff', '0', '0', '0', '1', '3670.49', '1.37948', '2193.2', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568865', '0', 'object/static/item/shared_item_storage_cabinet_01.iff', '0', '0', '0', '1', '3670.73', '0.968381', '2193.2', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568866', '0', 'object/static/item/shared_item_bacta_ampules.iff', '0.604167', '-0.425418', '0.377505', '0.558115', '3670.64', '1.4111', '2193.3', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568867', '0', 'object/static/item/shared_item_bacta_ampules.iff', '0', '0', '0', '1', '3670.57', '1.37948', '2193.18', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568868', '0', 'object/static/item/shared_wp_carbine_dh17_combined.iff', '0', '0.982004', '-0.188859', '0', '3670.79', '1.88544', '2193.38', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568869', '0', 'object/static/item/shared_item_medic_bag.iff', '-0.70328', '0', '0', '0.710913', '3670.91', '1.09487', '2193.44', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568870', '0', 'object/static/structure/naboo/shared_poi_nboo_tent_small.iff', '0', '-0.443948', '0', '0.896053', '3670.14', '1', '2194.18', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '568871', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0.710354', '0', '-0.703845', '3604.16', '1.85382', '2167.18', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568872', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '3603.41', '1.98031', '2167.73', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568873', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '3604.88', '1.12649', '2166.6', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568874', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.004594', '3604.87', '1.12649', '2167.6', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568875', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.004602', '3604.15', '1.12649', '2166.57', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568876', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004602', '0', '0.999989', '3603.44', '1.12649', '2166.73', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568877', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.0046', '3604.15', '1.12649', '2167.57', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568878', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0.710354', '0', '-0.703845', '3604.18', '1', '2167.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568879', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004602', '0', '0.999989', '3603.43', '1.12649', '2167.73', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568880', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '3603.4', '2.83413', '2166.73', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568881', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.004591', '3604.83', '2.83413', '2167.6', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568885', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '3604.86', '1.98031', '2166.6', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568886', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '3604.13', '1.98031', '2167.57', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568887', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '3603.42', '1.98031', '2166.73', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568888', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '3604.13', '1.98031', '2166.57', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568889', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '3604.11', '2.83413', '2167.57', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568891', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '3603.39', '2.83413', '2167.73', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568892', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '3604.84', '2.83413', '2166.6', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568894', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '3604.11', '2.83413', '2166.57', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568895', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0.710354', '0', '-0.703845', '3604.14', '2.70763', '2167.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568898', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.004591', '3604.85', '1.98031', '2167.6', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568902', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.70328', '0', '0.710913', '3604.47', '3.18358', '2170.48', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568903', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '-0.70328', '0', '0.710913', '3604.37', '3.05709', '2169.91', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568904', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.70328', '0', '0.710913', '3604.43', '3.18358', '2169.32', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568905', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.70328', '0', '0.710913', '3604.45', '2.1554', '2170.47', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568906', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '-0.70328', '0', '0.710913', '3604.36', '2.02891', '2169.9', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568907', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.70328', '0', '0.710913', '3604.41', '2.1554', '2169.31', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568908', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.70328', '0', '0.710913', '3604.47', '1.12813', '2170.46', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568909', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '-0.70328', '0', '0.710913', '3604.37', '1.00164', '2169.89', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568910', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.70328', '0', '0.710913', '3604.43', '1.12813', '2169.3', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '568956', '0', 'object/building/general/shared_lok_evil_droid_engineer_cave.iff', '0', '0.909923', '0', '0.414778', '3301.58', '128.837', '-4889.83', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '568957', '568956', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '568958', '568956', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '568959', '568956', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '568960', '568956', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '568961', '568956', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '871812', '568961', 'object/tangible/container/loot/shared_placable_loot_crate_trashpile.iff', '0', '0.971217', '0', '0.238195', '-62.4528', '-46.7681', '-72.447', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '568962', '568956', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '568963', '568956', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '568964', '568956', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '568965', '568956', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '871802', '568965', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0', '0', '1', '-71.0331', '-70.4978', '-104.408', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '568966', '568956', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '568967', '568956', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '568968', '568956', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '568969', '568956', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '568970', '568956', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '568971', '568956', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '568972', '568956', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '568973', '568956', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '568974', '568956', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '568975', '568956', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '568976', '568956', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '568977', '568956', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '568978', '568956', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '568979', '568956', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '568980', '568956', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '568981', '568956', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '568982', '568956', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '568983', '568956', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '568995', '568983', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0', '0', '1', '34.7929', '-69.6167', '-113.728', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '4105811', '568983', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_imperial_rescue_03.iff', '0.0530572', '0.302063', '0.0511679', '0.950434', '50.2541', '-65.6878', '-83.3049', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '568984', '568956', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '568985', '568956', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '871800', '568985', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0', '0', '1', '-58.9867', '-66.3731', '-236.077', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '937346', '0', 'object/static/structure/general/shared_prp_engine.iff', '0', '0.466208', '0', '0.884675', '-6093.89', '61.1597', '5312.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '937347', '0', 'object/static/structure/general/shared_prp_engine.iff', '-0.284945', '-0.232312', '-0.363382', '0.856032', '-6072.3', '56.5664', '5318.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '937348', '0', 'object/static/structure/general/shared_prp_engine_component.iff', '0', '0.470626', '0', '0.882333', '-6072.7', '56.3716', '5310.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '937349', '0', 'object/static/structure/general/shared_prp_engine_component.iff', '0', '0', '0', '1', '-6081.66', '57.0628', '5310.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '937353', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0.291033', '-0.106235', '0.326026', '0.893152', '-6069.16', '56.8195', '5323.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '937354', '0', 'object/static/structure/general/shared_debris_deathstar_small_chunk.iff', '0.128566', '0.797629', '0.361322', '-0.465517', '-6060.56', '56.2145', '5321.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '937355', '0', 'object/static/structure/general/shared_debris_deathstar_small_tube.iff', '0.100284', '0.791713', '0.160685', '-0.580787', '-6081.38', '57.3238', '5314.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '937356', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.713855', '0.00350141', '0.0035693', '0.700276', '2240.45', '1.67452', '1904.52', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '937357', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0.780209', '0', '-0.625519', '2241.59', '1.28978', '1904.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '937358', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.488177', '0', '0', '0.872745', '2242.75', '0.638591', '1903.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '937359', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0', '-0.644218', '0.764842', '2240.08', '0.005614', '1895.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '937360', '0', 'object/static/installation/shared_mockup_mining_gas_harvester_style_1.iff', '0', '0.183947', '0', '0.982936', '2362.52', '12.2472', '2690.64', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '937361', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '2389.93', '22.0534', '2700.27', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '937362', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '2391.88', '22.2309', '2733.6', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '937363', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '2343.55', '24.1067', '2746.67', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '937364', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '2435.31', '24.6255', '2779.69', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '937365', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '2322.48', '29.605', '2699.55', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '937366', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '6179.67', '89.4967', '952.923', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '937367', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '6133.43', '91.9683', '908.241', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '937368', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '6125.94', '91.9451', '929.089', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '937369', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '6242.39', '92.1094', '900.759', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '937370', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '6226.16', '92.1487', '953.635', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '1738423', '0', 'object/tangible/crafting/station/shared_public_clothing_station.iff', '0', '0.895699', '0', '-0.444662', '487.687', '11.9746', '5019.03', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '1738424', '0', 'object/tangible/crafting/station/shared_public_food_station.iff', '0', '0.947396', '0', '0.320063', '493.732', '11.9764', '5024.27', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '1738425', '0', 'object/tangible/crafting/station/shared_public_structure_station.iff', '0', '0.948985', '0', '0.315322', '509.301', '12.0407', '5037.62', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '1738426', '0', 'object/tangible/crafting/station/shared_public_weapon_station.iff', '0', '-0.319309', '0', '0.947651', '472.957', '12.0771', '5079.26', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '1975380', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.762001', '0', '-0.647576', '-1890.22', '12', '-3033.8', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '1975381', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.593945', '0', '0.804506', '-1892.11', '12', '-3033.94', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '1975382', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.941424', '0', '0.337226', '-1892.93', '12', '-3033.89', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '1975383', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.360353', '0', '0.932816', '-1888.87', '12', '-3033.79', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745453', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_01.iff', '0', '0', '0', '1', '355.311', '12.0311', '5179.1', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745455', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_02.iff', '0', '-0.707105', '0', '0.707109', '473.804', '11.7759', '5105.26', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745457', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_03.iff', '0.00353552', '0.707099', '0.00353552', '0.707097', '513.931', '11.9467', '5165.01', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745459', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_04.iff', '0', '0', '0', '1', '381.334', '11.9719', '4948.23', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745461', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_05.iff', '0', '-0.707106', '0', '0.707108', '489.367', '11.919', '5164.14', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745463', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_06.iff', '0', '0.923879', '0', '-0.382684', '550.555', '11.7718', '5191.72', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745465', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_07.iff', '0', '0.92388', '0', '0.382683', '393.674', '12', '5205.87', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745467', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_08.iff', '0', '-0.707105', '0', '0.707108', '450.091', '11.8895', '5160.32', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745469', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_09.iff', '0', '-0.655918', '0', '0.754832', '474.693', '22.6029', '4973.14', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745471', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_10.iff', '0', '0', '0', '1', '310.273', '12.0085', '4929.44', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745475', '0', 'object/building/tatooine/shared_filler_building_block_64x16_style_01.iff', '0', '0', '0', '1', '494.323', '11.7138', '5135.48', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745479', '0', 'object/building/tatooine/shared_filler_building_block_64x16_style_02.iff', '0', '0.707107', '0', '-0.707107', '319.282', '11.7824', '5121.75', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745483', '0', 'object/building/tatooine/shared_filler_building_block_64x32_style_01.iff', '0', '0.94352', '0', '0.331317', '306.768', '11.7422', '5182.29', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745486', '0', 'object/building/tatooine/shared_filler_building_block_64x32_style_02.iff', '0', '0.707107', '0', '-0.707107', '356.565', '11.8885', '5083.86', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745489', '0', 'object/building/tatooine/shared_filler_building_slave_quarters_style_01.iff', '0', '1', '0', '1.25348e-06', '235.348', '11.9426', '4947.26', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745501', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_07.iff', '0', '0.92388', '0', '-0.382683', '445.326', '12', '5205.87', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745504', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '0', '0', '0', '1', '424', '15.173', '5206', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745507', '0', 'object/static/structure/tatooine/shared_bridge_tatooine_small_style_03.iff', '0', '0', '0', '1', '423', '0.262236', '5370', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745508', '0', 'object/static/structure/tatooine/shared_bridge_tatooine_small_style_03.iff', '0', '0', '0', '1', '422.992', '0.262236', '5338.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745509', '0', 'object/static/structure/tatooine/shared_bridge_tatooine_small_style_03.iff', '0', '0', '0', '1', '423', '0.262236', '5402', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745510', '0', 'object/static/structure/tatooine/shared_bridge_tatooine_small_style_01.iff', '0', '0', '0', '1', '423', '0.262236', '5422', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745511', '0', 'object/static/structure/tatooine/shared_bridge_tatooine_small_style_01.iff', '0', '0', '0', '1', '417', '0.262236', '5422', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745512', '0', 'object/static/structure/tatooine/shared_bridge_tatooine_small_style_03.iff', '0', '0', '0', '1', '417', '0.262236', '5402', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745513', '0', 'object/static/structure/tatooine/shared_bridge_tatooine_small_style_03.iff', '0', '0', '0', '1', '417', '0.262236', '5370', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745514', '0', 'object/static/structure/tatooine/shared_bridge_tatooine_small_style_03.iff', '0', '0', '0', '1', '416.992', '0.262236', '5338.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745515', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '0', '0', '0', '1', '415', '15.173', '5206', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745517', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0', '0', '1', '420', '10.999', '5206', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745518', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0', '0', '1', '420', '10.9511', '5207', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745519', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0', '0', '1', '429', '10.7858', '5206', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745520', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0', '0', '1', '429', '10.7391', '5207', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745521', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0', '0', '1', '411', '10.7323', '5206', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745522', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0', '0', '1', '411', '10.6991', '5207', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745540', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0.707106', '0', '0.707107', '370.422', '10.7398', '5207.94', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745541', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0.707106', '0', '0.707107', '354.25', '10.7005', '5207.87', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745542', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0', '0', '1', '362.879', '10.8205', '5208.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745543', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0', '0', '1', '346.282', '10.9678', '5208.59', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745544', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '1', '0', '-3.20013e-08', '492.934', '11.1111', '5205.49', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745545', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0.707108', '0', '-0.707105', '468.794', '10.7372', '5206.14', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745546', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0.707108', '0', '-0.707105', '484.966', '10.9884', '5206.2', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745547', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '1', '0', '-3.20013e-08', '476.338', '11.0112', '5205.41', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745548', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_08.iff', '0', '0.707108', '0', '0.707105', '390.173', '11.8508', '5159.2', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745551', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0.629102', '0', '0.777323', '337.525', '10.6824', '5206.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745557', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0.946043', '0', '-0.324041', '278.715', '11.888', '5152.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745558', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '1', '0', '1.84353e-06', '273.982', '12.1364', '5120.64', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745559', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '1', '0', '1.84353e-06', '273.917', '11.7013', '5136.81', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745560', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0.707106', '0', '0.707107', '274.714', '11.9023', '5128.18', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745561', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0.707106', '0', '0.707107', '274.631', '11.8724', '5144.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745562', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_07.iff', '0', '0.707106', '0', '0.707107', '273.729', '11.9932', '5097.87', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745564', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_07.iff', '0', '0.707105', '0', '0.707108', '273.768', '11.7646', '5050.2', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745575', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '0', '0', '1', '271.774', '11.9761', '5073.96', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745615', '0', 'object/building/tatooine/shared_cloning_facility_tatooine_small.iff', '0', '1', '0', '-3.20013e-08', '212.289', '17.06', '5147.46', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745616', '2745615', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745617', '2745615', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745618', '2745615', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745619', '2745615', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '7855361', '2745619', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '-3.70215', '-4.90696', '2.60164', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745620', '2745615', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095368', '2745620', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '2.08858', '-5.50648', '-4.08563', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095369', '2745620', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.710914', '0', '0.703279', '-4.7032', '-5.48249', '-6.53153', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095371', '2745620', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.708512', '0', '0.705699', '-4.67448', '-5.4825', '-4.74179', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745621', '2745615', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745622', '2745615', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '7855356', '2745622', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '-3.54544', '-10.0724', '3.81831', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095357', '2745622', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.999784', '0', '-0.0207948', '-4.39518', '-10.0724', '6.78583', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095358', '2745622', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.01', '0', '0.99995', '-1.65545', '-10.0724', '0.569276', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095359', '2745622', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_2.iff', '0', '-0.00499957', '0', '0.999987', '-3.54005', '-10.0724', '5.49325', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095360', '2745622', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.999983', '0', '-0.00579715', '-2.92624', '-10.0724', '6.77946', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095361', '2745622', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_2.iff', '0', '0.706823', '0', '0.70739', '-4.8882', '-10.0724', '4.74556', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745623', '2745615', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '7855355', '2745623', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '-2.02795', '-10.5', '-5.05033', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095364', '2745623', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.01', '0', '0.99995', '-2.86878', '-10.4344', '-8.6363', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095365', '2745623', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_2.iff', '0', '-0.024997', '0', '0.999688', '-3.74028', '-10.4344', '-4.28696', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095366', '2745623', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_3.iff', '0', '0.713864', '0', '0.700284', '-4.70226', '-10.4565', '-6.89123', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745624', '2745615', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745625', '2745615', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095352', '2745625', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.375559', '0', '0.926799', '-4.60441', '-0.378215', '-5.89917', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095356', '2745625', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_2.iff', '0', '-0.706824', '0', '0.707389', '4.9603', '-0.378217', '-5.19805', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745634', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '0.827925', '0', '0.560839', '221.247', '17.2084', '5150.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745635', '0', 'object/static/structure/tatooine/shared_wall_damaged_tatooine_large_style_01.iff', '0', '0.0499792', '0', '0.99875', '225.205', '17.05', '5144.58', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745636', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0.198669', '0', '0.980067', '226.075', '17.2993', '5149.05', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745638', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '0.707103', '0', '0.707111', '207.014', '16.944', '5136.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745639', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '0.970137', '0', '-0.242556', '212.246', '16.8907', '5127.87', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745640', '0', 'object/static/structure/tatooine/shared_wall_gate_tatooine_style_02.iff', '0', '0.426299', '0', '0.904582', '219.645', '17.0888', '5128.68', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745642', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.0948572', '0', '0.995491', '223.854', '16.9455', '5135.76', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745644', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '-0.343085', '0', '0.939304', '216.138', '17.0137', '5126.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745645', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.770992', '0', '0.636844', '224.83', '17.1408', '5139.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745646', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.42838', '0', '0.903599', '223.491', '17.1582', '5131.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745648', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0.956131', '0', '0.292941', '218.987', '17.3292', '5149.82', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745649', '0', 'object/static/installation/shared_mockup_mining_liquid_harvester_style_1.iff', '0', '0.707107', '0', '-0.707107', '284.852', '11.8657', '5138.86', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745651', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '221.58', '17.2062', '5146.35', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745652', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '222.907', '17.2541', '5139.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745653', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '222.969', '17.2194', '5137.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745655', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '222.568', '17.2206', '5135.73', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745656', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0.995491', '0', '-0.0948571', '508.972', '10.772', '5202.64', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745657', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '-0.636844', '0', '0.770992', '517.596', '10.7098', '5201.8', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745658', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '-0.636844', '0', '0.770992', '501.703', '10.7847', '5204.79', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745659', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0.995491', '0', '-0.0948571', '525.286', '10.5799', '5199.59', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745660', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '-0.573193', '0', '0.81942', '533.916', '10.2227', '5197.35', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745664', '0', 'object/static/installation/shared_mockup_power_generator_photo_bio_style_1.iff', '0', '1', '0', '-3.20013e-08', '354.289', '11.2798', '5202.67', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745665', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '429', '11', '5210', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745666', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '429', '10.75', '5213', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745667', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '429', '10.5', '5216', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745668', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '411', '11', '5210', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745669', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '411', '10.75', '5213', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745670', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '411', '10.5', '5216', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745671', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '429', '10.25', '5219', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745672', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '411', '10.25', '5219', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745674', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.317127', '0', '0.948383', '458.518', '12.013', '5144.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745675', '0', 'object/static/structure/tatooine/shared_wall_gate_tatooine_wide_style_01.iff', '0', '0.707106', '0', '0.707108', '417.944', '11.9484', '5152.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745676', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '409.954', '11.9221', '5152.79', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745677', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '426.945', '12.0373', '5152.81', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745679', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.707106', '0', '0.707108', '400.987', '11.9909', '5152.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745680', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.707106', '0', '0.707108', '434.868', '11.9992', '5152.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745681', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.707106', '0', '0.707107', '375.923', '11.8499', '5157.68', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745682', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.707106', '0', '0.707107', '333.742', '11.9943', '5149.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745683', '0', 'object/building/tatooine/shared_bank_tatooine.iff', '0', '0', '0', '1', '421.905', '12', '5050.33', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745684', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_06.iff', '0', '0.707107', '0', '0.707107', '260.159', '12.079', '4968.57', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745686', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0.707108', '0', '-0.707105', '272.15', '11.9382', '5018.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745687', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0.707108', '0', '-0.707105', '272.233', '12.029', '5002.33', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745688', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0.707106', '0', '0.707107', '264.297', '11.9255', '5001.64', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745689', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0', '0', '1', '272.882', '12.0201', '5026.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745690', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0', '0', '1', '272.948', '11.9755', '5010.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745691', '0', 'object/static/structure/tatooine/shared_wall_gate_tatooine_style_01.iff', '0', '0', '0', '1', '256.466', '11.856', '4989.04', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745692', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '-0.401083', '0', '0.916042', '215.03', '11.992', '4953.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745693', '0', 'object/building/tatooine/shared_filler_building_slave_quarters_style_01.iff', '0', '0.707107', '0', '-0.707106', '209.049', '11.9458', '4972.01', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745694', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_06.iff', '0', '0.987591', '0', '0.157046', '230.364', '12.0233', '5003.57', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745696', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0.382683', '0', '0.92388', '216.879', '12.0799', '4993.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745697', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0.707108', '0', '-0.707105', '255.739', '11.9609', '5002.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745698', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0.707107', '0', '0.707107', '247.802', '11.9248', '5001.61', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745699', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0', '0', '1', '256.464', '11.8443', '4997.85', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745700', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '256.714', '12.1207', '4993.91', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745701', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0', '0', '1', '256.428', '11.974', '4980.54', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745702', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '256.699', '12.0165', '4985.05', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745703', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0.707108', '0', '-0.707105', '266.978', '12.1362', '4951.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745704', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0.707107', '0', '0.707107', '259.041', '12.1403', '4950.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745705', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0', '0', '1', '261.225', '11.9809', '4954.8', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745706', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0.849691', '0', '0.527282', '274.828', '12.0776', '4946.8', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745707', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '-0.527283', '0', '0.84969', '282.247', '11.9275', '4943.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745708', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0.874982', '0', '0.484156', '289.55', '11.9256', '4938.56', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745709', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '-0.484157', '0', '0.874981', '296.642', '12.0203', '4934.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745712', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_06.iff', '0', '0.107492', '0', '0.994206', '360.245', '12.1721', '4820.69', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745731', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_02.iff', '0', '-0.707106', '0', '0.707107', '360.027', '11.8004', '5021.29', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745733', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_05.iff', '0', '-0.707101', '0', '0.707112', '360.061', '11.8189', '4893.41', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745735', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0', '0', '1', '367.885', '11.9171', '4924.22', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745736', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0', '0', '1', '367.895', '12.1433', '4911.33', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745738', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '368.114', '12.0571', '4916.29', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745744', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0.92388', '0', '-0.382682', '320.334', '12.0106', '4883.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745745', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0.804836', '0', '-0.593497', '315.335', '12.0742', '4899.73', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745746', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '-0.14944', '0', '0.988771', '313.806', '12.1487', '4907.16', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745747', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '-0.14944', '0', '0.988771', '318.648', '12.0264', '4891.73', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745748', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '-0.382685', '0', '0.923879', '333.309', '11.8742', '4871.91', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745749', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0.92388', '0', '-0.382682', '338.126', '12.0612', '4866.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745754', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0', '0', '1', '347', '11.9311', '4865', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745755', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s03.iff', '0', '0.707107', '0', '0.707107', '355', '11.8595', '4862', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745756', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0.707106', '0', '0.707108', '355.002', '11.996', '4877.37', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745757', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0', '0', '1', '339.083', '11.9922', '4857.72', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745758', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0', '0', '1', '339.348', '12.0231', '4849.77', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745761', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0', '0', '1', '339.067', '11.9022', '4840.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745762', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0', '0', '1', '339.332', '12.1937', '4832.89', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745765', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '-0.524986', '0', '0.851111', '346.403', '11.8821', '4828.68', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745766', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0.81073', '0', '-0.585421', '359.263', '11.9287', '4849.08', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745768', '0', 'object/static/structure/tatooine/shared_wall_gate_tatooine_style_03.iff', '0', '-0.382683', '0', '0.92388', '324.227', '12.0336', '4881.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745769', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '-0.382683', '0', '0.92388', '327.158', '12.0143', '4878.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745772', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0', '0', '1', '347', '11.9092', '4858', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745773', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s03.iff', '0', '0.707107', '0', '0.707107', '355', '12.0941', '4854', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745774', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0', '0', '1', '347', '11.8144', '4850', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745775', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s03.iff', '0', '0.707107', '0', '0.707107', '355', '12.0866', '4846', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745776', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0', '0', '1', '347', '11.838', '4842', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745777', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s03.iff', '0', '0.707107', '0', '0.707107', '355', '11.9822', '4838', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745778', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0', '0', '1', '347', '12.086', '4834', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745781', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0.99447', '0', '0.10502', '351.538', '12.1284', '4828.46', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745786', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0.969248', '0', '0.246085', '366.979', '12.209', '4832.68', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745787', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s03.iff', '0', '0.707107', '0', '-0.707107', '355.007', '11.9286', '4872.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745788', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0.707106', '0', '0.707107', '355', '12.0531', '4878.66', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745789', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0.707107', '0', '0.707107', '354.995', '12.0616', '4866.68', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745790', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0.707107', '0', '0.707107', '354.982', '12.0653', '4867.96', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745797', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_03.iff', '0', '1', '0', '6.00984e-07', '356.625', '12.0209', '5151.46', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745815', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_09.iff', '0', '0.92388', '0', '0.382683', '360.348', '11.9636', '4995.86', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745817', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_08.iff', '0', '0.92388', '0', '0.382682', '319.769', '11.9409', '5077.85', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745819', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0', '0', '1', '360.137', '12.0693', '5007.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745820', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.188859', '0', '0.982004', '365.51', '12.0016', '4971.33', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745821', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.0898786', '0', '0.995953', '361.491', '12.0171', '4983.4', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745822', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.188859', '0', '0.982004', '362.418', '12.0693', '4979.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745824', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.161982', '0', '0.986794', '322.595', '12.003', '5058.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745825', '0', 'object/static/structure/tatooine/shared_wall_gate_tatooine_wide_style_01.iff', '0', '-0.309816', '0', '0.950796', '329.989', '12.1332', '5044.04', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745826', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.537694', '0', '0.84314', '342.795', '12.0333', '5034.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745827', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.169182', '0', '0.985585', '325.348', '11.8173', '5051.56', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745828', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.21823', '0', '0.975897', '335.717', '11.9339', '5037.56', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745832', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.738199', '0', '0.674582', '371.717', '11.9648', '4999.4', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745835', '0', 'object/static/structure/tatooine/shared_wall_gate_tatooine_style_01.iff', '0', '0.475381', '0', '0.87978', '463.011', '22.8004', '4961.76', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745836', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.475381', '0', '0.87978', '456.443', '21.615', '4957.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745837', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.47538', '0', '0.879781', '469.852', '22.9971', '4966.22', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745838', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.285952', '0', '0.958244', '459.636', '22.3434', '4960.44', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745839', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.285952', '0', '0.958244', '466.602', '22.9537', '4965', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745859', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_07.iff', '0', '0.707107', '0', '-0.707107', '641.698', '11.8822', '5076.66', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745861', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_07.iff', '0', '0.707108', '0', '-0.707105', '641.737', '11.9529', '5028.99', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745863', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '1', '0', '-3.20013e-08', '643.692', '11.8316', '5052.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745864', '0', 'object/building/tatooine/shared_hospital_tatooine.iff', '0', '0.78667', '0', '0.617374', '583.936', '11.89', '5129.62', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745865', '2745864', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745866', '2745864', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145421', '2745866', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s03.iff', '0', '-0.326595', '0', '0.945164', '9.54934', '0.26', '10.9897', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145422', '2745866', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s01.iff', '0', '0', '0', '1', '22.1582', '0.26', '11.7063', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145427', '2745866', 'object/static/item/shared_item_tank_gas.iff', '0', '-0.00610594', '0', '0.999981', '23.1058', '0.26', '6.45949', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145429', '2745866', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '0.584198', '0', '0.811611', '23.0849', '0.26', '8.18499', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145430', '2745866', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '0.0588593', '0', '0.998266', '23.0944', '0.26', '7.38276', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145431', '2745866', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '-0.00610594', '0', '0.999981', '23.0431', '0.26', '11.5948', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145432', '2745866', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '0.31503', '0', '0.949082', '23.0705', '0.26', '9.35563', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145433', '2745866', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '-0.0794302', '0', '0.99684', '23.0574', '0.26', '10.4254', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145434', '2745866', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s2.iff', '0', '0.999981', '0', '0.00610616', '19.2748', '0.26', '9.6352', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145438', '2745866', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s2.iff', '0', '0.999981', '0', '0.00610616', '14.5623', '0.26', '9.53528', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145439', '2745866', 'object/tangible/furniture/all/shared_frn_all_professor_desk.iff', '0', '-0.704066', '0', '0.710134', '12.3633', '0.26', '10.4123', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145441', '2745866', 'object/tangible/furniture/all/shared_frn_all_decorative_sm_s1.iff', '0', '0.999981', '0', '0.00610598', '7.75785', '1.01895', '11.7276', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145442', '2745866', 'object/tangible/furniture/technical/shared_cabinet_s01.iff', '0', '0.999864', '0', '0.0165106', '7.74493', '0.26', '11.709', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145443', '2745866', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.876668', '0', '0.481095', '10.5672', '0.26', '10.3714', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145447', '2745866', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s2.iff', '0', '0.018493', '0', '0.999829', '12.237', '0.26', '-9.69997', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145448', '2745866', 'object/tangible/furniture/all/shared_frn_all_professor_desk.iff', '0', '0.727238', '0', '0.686386', '14.3904', '0.26', '-10.6841', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145449', '2745866', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.661114', '0', '0.750285', '16.1883', '0.26', '-10.7362', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145450', '2745866', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s2.iff', '0', '0.00389225', '0', '0.999992', '19.382', '0.26', '7.80427', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145451', '2745866', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s2.iff', '0', '-0.00110945', '0', '0.999999', '14.7388', '0.26', '7.84174', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145452', '2745866', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '19.2203', '0.26', '-1.53846', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745867', '2745864', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745868', '2745864', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745869', '2745864', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745870', '2745864', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '7855463', '2745870', 'object/soundobject/shared_soundobject_city_crowd_sentients_large.iff', '0', '0', '0', '1', '-19.0741', '0.26', '-0.460578', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145453', '2745870', 'object/static/item/shared_item_painting_bothan_style_01.iff', '0', '0.7112', '0', '0.702989', '-16.5563', '0.260001', '-12.0287', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145454', '2745870', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.999999', '0', '0.00109677', '-18.5943', '0.260001', '11.5544', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145455', '2745870', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.999999', '0', '0.00109677', '-19.8869', '0.260001', '11.5914', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145456', '2745870', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '-0.00111588', '0', '0.999999', '-17.3221', '0.260001', '11.8264', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145457', '2745870', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.999999', '0', '0.00109677', '-16.0004', '0.260001', '11.5157', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145458', '2745870', 'object/static/item/shared_item_painting_corellia_style_01.iff', '0', '0.707888', '0', '-0.706324', '-19.3286', '0.260001', '12.0275', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145459', '2745870', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.879021', '0', '-0.476783', '-17.5042', '0.26', '0.868628', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145460', '2745870', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '-0.604235', '0', '0.796806', '-17.1273', '0.260001', '-0.821546', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145461', '2745870', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.719995', '0', '-0.693979', '-17.9636', '0.260001', '-1.78084', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145462', '2745870', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '-0.0284039', '0', '0.999597', '-19.4434', '0.260001', '-1.90944', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145463', '2745870', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s04.iff', '0', '-0.00840701', '0', '0.999965', '-21.7002', '0.260001', '11.7526', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145464', '2745870', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.999999', '0', '0.00109677', '-14.7476', '0.260001', '11.5447', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145465', '2745870', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '-0.0184059', '0', '0.999831', '-19.1593', '0.26', '0.0717736', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145466', '2745870', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.999921', '0', '0.0126113', '-19.8229', '0.26', '-0.425919', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145467', '2745870', 'object/static/item/shared_item_painting_corellia_style_02.iff', '0', '0.707888', '0', '-0.706324', '-15.1131', '0.260001', '12.0054', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145468', '2745870', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.472031', '0', '0.881582', '-21.7954', '0.260001', '-0.998486', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145469', '2745870', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.719995', '0', '-0.693979', '-21.2195', '0.260001', '-1.86923', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145470', '2745870', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.0104862', '0', '0.999945', '-21.2151', '0.260001', '-9.73763', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145471', '2745870', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.999868', '0', '-0.0162811', '-19.7482', '0.260001', '-9.83238', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145472', '2745870', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.889151', '0', '0.457613', '-22.648', '0.260001', '-8.80463', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145473', '2745870', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.497303', '0', '0.867577', '-22.8928', '0.260001', '-10.4707', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145474', '2745870', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.864881', '0', '-0.501977', '-18.5008', '0.260001', '-8.85451', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145475', '2745870', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '-0.580964', '0', '0.81393', '-18.2222', '0.260001', '-10.5637', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145476', '2745870', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '-0.699653', '0', '0.714483', '-19.1123', '0.260001', '-11.4731', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145477', '2745870', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s04.iff', '0', '0.650457', '0', '0.759543', '-20.4362', '0.260001', '-2.90113', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145478', '2745870', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s04.iff', '0', '-0.00951291', '0', '0.999955', '-16.724', '0.260001', '-10.8024', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145479', '2745870', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '0.000485396', '0', '1', '-20.5969', '0.260001', '-11.516', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145480', '2745870', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '-0.699653', '0', '0.714483', '-22.3683', '0.260001', '-11.3729', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145481', '2745870', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.87556', '0', '0.483111', '-21.6473', '0.26', '0.678711', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145482', '2745870', 'object/tangible/furniture/modern/shared_rug_oval_lg_s01.iff', '0', '0.752266', '0', '-0.658859', '-19.4222', '0.260001', '-0.322811', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145483', '2745870', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s01.iff', '0', '0.0796055', '0', '0.996826', '-24.5986', '1.14544', '9.84908', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145484', '2745870', 'object/static/structure/general/shared_data_terminal_free_s1.iff', '0', '0.999999', '0', '0.00110612', '-23.1457', '0.260001', '11.953', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145486', '2745870', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0.963475', '0', '0.267797', '-24.7794', '0.260001', '10.252', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145487', '2745870', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.675694', '0', '0.737183', '-23.1521', '0.260001', '10.3185', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745871', '2745864', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745872', '2745864', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '7855482', '2745872', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '3.60266', '7.26', '-10.5602', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '7855483', '2745872', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-0.257237', '7.25999', '11.9509', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745873', '2745864', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745874', '2745864', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '7855475', '2745874', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '27.2658', '7.25', '-10.2307', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '7855476', '2745874', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '26.1761', '7.25', '5.88466', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145488', '2745874', 'object/static/item/shared_item_painting_bothan_style_01.iff', '0', '0.709505', '0', '-0.7047', '31.5026', '7.25', '15.5055', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145489', '2745874', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.709505', '0', '-0.7047', '33.5433', '7.25', '3.5385', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145490', '2745874', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.709505', '0', '-0.7047', '33.5742', '7.25', '4.83143', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145491', '2745874', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.704688', '0', '0.709517', '33.6866', '7.25', '2.24317', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145492', '2745874', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.709505', '0', '-0.7047', '33.352', '7.25', '0.930785', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145493', '2745874', 'object/static/item/shared_item_painting_corellia_style_01.iff', '0', '0.999973', '0', '-0.00738946', '17.2475', '7.25', '4.7951', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145494', '2745874', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.86817', '0', '-0.496266', '30.829', '7.25', '-12.3312', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145495', '2745874', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '-0.586316', '0', '0.810082', '31.1302', '7.25', '-14.0364', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145496', '2745874', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '-0.704341', '0', '0.709861', '30.252', '7.25', '-14.9575', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145497', '2745874', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '-0.00610675', '0', '0.999981', '28.7679', '7.25', '-15.02', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145498', '2745874', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s04.iff', '0', '-0.325089', '0', '0.945683', '32.2432', '7.25', '-14.1493', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145499', '2745874', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.709505', '0', '-0.7047', '33.3865', '7.25', '-0.32182', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145500', '2745874', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.00389402', '0', '0.999992', '29.14', '7.25', '-13.0533', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145501', '2745874', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.999953', '0', '-0.00968915', '28.4549', '7.25', '-13.521', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145502', '2745874', 'object/static/item/shared_item_painting_corellia_style_02.iff', '0', '1', '0', '-0.000796767', '17.2599', '7.25', '-10.6034', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145503', '2745874', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.491573', '0', '0.870837', '26.4588', '7.25', '-14.0051', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145504', '2745874', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '-0.704341', '0', '0.709861', '26.9952', '7.25', '-14.9004', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145505', '2745874', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.999973', '0', '-0.00738908', '26.4548', '7.25', '13.2974', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145506', '2745874', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.0131842', '0', '0.999913', '24.9872', '7.25', '13.3832', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145507', '2745874', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '-0.460364', '0', '0.88773', '27.8932', '7.25', '12.3734', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145508', '2745874', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.869113', '0', '-0.494613', '28.128', '7.25', '14.0408', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145509', '2745874', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.499296', '0', '0.866431', '23.746', '7.25', '12.3974', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145510', '2745874', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.812126', '0', '0.583482', '23.4567', '7.25', '14.1049', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145511', '2745874', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.712312', '0', '0.701863', '24.3411', '7.25', '15.02', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145512', '2745874', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s04.iff', '0', '0.92963', '0', '-0.368495', '29.4702', '7.25', '14.2406', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145513', '2745874', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s04.iff', '0', '0.99992', '0', '0.01261', '21.9571', '7.25', '14.3344', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145514', '2745874', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '0.999997', '0', '0.0026118', '25.8255', '7.25', '15.0719', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145515', '2745874', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.712312', '0', '0.701863', '27.5976', '7.25', '14.9398', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145516', '2745874', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.886115', '0', '0.463466', '26.6816', '7.25', '-12.3361', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145517', '2745874', 'object/tangible/furniture/modern/shared_rug_oval_lg_s01.iff', '0', '0.999992', '0', '-0.0039032', '25.0781', '7.25', '0.398217', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145518', '2745874', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s01.iff', '0', '0.903637', '0', '0.428301', '17.6316', '8.13544', '-4.69171', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145519', '2745874', 'object/static/structure/general/shared_data_terminal_free_s1.iff', '0', '-0.499834', '0', '0.866121', '19.4297', '7.25', '-7.22805', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145520', '2745874', 'object/static/structure/general/shared_data_terminal_wall_s2.iff', '0', '0.701423', '0', '0.712746', '17.2898', '7.25', '-5.20264', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145521', '2745874', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0.712747', '0', '-0.701421', '18.0709', '7.25', '-4.73793', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145522', '2745874', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.301813', '0', '0.953367', '18.0197', '7.25', '-6.40156', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745875', '2745864', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745876', '2745864', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '7855473', '2745876', 'object/soundobject/shared_soundobject_city_crowd_sentients.iff', '0', '0', '0', '1', '30.2524', '13.25', '-0.653593', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '7855474', '2745876', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '8.81703', '13.5002', '4.037', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145523', '2745876', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0.999415', '0', '0', '0.034197', '24.6061', '12.3303', '-0.0451976', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145543', '2745876', 'object/static/item/shared_item_tank_gas.iff', '0', '0.711411', '0', '-0.702776', '31.643', '14.26', '-15.3671', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145544', '2745876', 'object/static/item/shared_item_tank_gas.iff', '0', '-0.440814', '0', '0.897599', '32.1846', '14.26', '-15.3604', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145545', '2745876', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '-0.160804', '0', '0.986986', '29.9171', '14.26', '-15.3884', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145546', '2745876', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '-0.664261', '0', '0.747501', '30.7198', '14.26', '-15.3787', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145547', '2745876', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '0.711411', '0', '-0.702776', '26.5074', '14.26', '-15.4298', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145548', '2745876', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '-0.448343', '0', '0.893862', '28.747', '14.26', '-15.4026', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145549', '2745876', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '0.761038', '0', '-0.648707', '27.6769', '14.26', '-15.4154', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145550', '2745876', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s2.iff', '0', '-0.706266', '0', '0.707947', '31.3716', '13.2481', '3.05742', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145551', '2745876', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.95604', '0', '0.293237', '32.2537', '13.2481', '4.90883', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145552', '2745876', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '0.0247753', '0', '0.999693', '33.2799', '13.2481', '1.75228', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145553', '2745876', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '0.885992', '0', '-0.463701', '33.324', '13.2481', '6.42203', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145554', '2745876', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s2.iff', '0', '-0.706266', '0', '0.707947', '31.328', '13.2481', '7.77589', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145555', '2745876', 'object/tangible/furniture/all/shared_frn_all_professor_desk.iff', '0', '-0.0057094', '0', '0.999984', '15.8564', '14.26', '-15.2761', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145556', '2745876', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.419122', '0', '0.90793', '13.229', '14.26', '-15.2073', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145558', '2745876', 'object/tangible/furniture/technical/shared_cabinet_s01.iff', '0', '1', '0', '0.00111647', '16.2716', '14.26', '15.6314', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145559', '2745876', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.999991', '0', '0.00420428', '15.5963', '14.26', '-13.7715', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145560', '2745876', 'object/tangible/furniture/technical/shared_bookcase_s01.iff', '0', '-0.0161051', '0', '0.99987', '9.82958', '14.26', '-15.4776', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145561', '2745876', 'object/tangible/furniture/technical/shared_cabinet_s01.iff', '0', '0.999993', '0', '0.00381491', '18.0681', '14.2491', '15.4983', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145562', '2745876', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s2.iff', '0', '0.705254', '0', '0.708954', '26.8529', '13.25', '8.05573', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145563', '2745876', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s2.iff', '0', '0.705255', '0', '0.708954', '26.8694', '13.25', '3.33905', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745877', '2745864', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745878', '2745864', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745879', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '-0.382683', '0', '0.92388', '563.878', '10.6381', '5180.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745880', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '-0.382683', '0', '0.92388', '569.526', '11.1039', '5174.76', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745890', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0.893822', '0', '-0.448423', '613.798', '10.5609', '5149.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745891', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '-0.314946', '0', '0.94911', '619.597', '10.9327', '5143.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745893', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0.893822', '0', '-0.448423', '623.787', '10.7939', '5136.72', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745894', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0.847255', '0', '-0.531186', '631.094', '11.2091', '5122.16', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745895', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '-0.223495', '0', '0.974705', '635.572', '11.2835', '5114.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745896', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '-0.223495', '0', '0.974705', '628.468', '11.1297', '5129.27', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745897', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0.847255', '0', '-0.531186', '638.401', '11.5539', '5107.26', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745898', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '-0.144885', '0', '0.989448', '641.762', '11.3538', '5099', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745899', '0', 'object/building/tatooine/shared_filler_building_block_64x32_style_01.iff', '0', '-0.191509', '0', '0.981491', '567.557', '11.8427', '4974.58', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745902', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0.503547', '0', '0.863968', '515.744', '12.071', '4951.05', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745903', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0.503547', '0', '0.863968', '508.933', '12.0903', '4946.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745904', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0.503547', '0', '0.863968', '501.033', '12.0328', '4942.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745905', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0.503547', '0', '0.863968', '523.528', '11.8725', '4955.16', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745906', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0.503547', '0', '0.863968', '530.339', '11.7741', '4959.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745907', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0.481793', '0', '0.876285', '609.548', '11.8415', '4997.2', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745908', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0.481793', '0', '0.876285', '601.864', '12.0582', '4992.68', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745909', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0.481793', '0', '0.876285', '616.143', '11.9695', '5001.68', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745910', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0.481793', '0', '0.876285', '623.712', '12.0043', '5006.17', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745911', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0.481793', '0', '0.876285', '630.307', '12.1576', '5010.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745913', '0', 'object/static/installation/shared_mockup_mining_ore_harvester_style_2.iff', '0', '-0.0199986', '0', '0.9998', '475.782', '12.0708', '5197.56', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745914', '0', 'object/static/installation/shared_mockup_mining_gas_harvester_style_1.iff', '0', '0.780458', '0', '0.625208', '504.853', '11.8209', '5195.4', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745915', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '488.503', '11.8497', '5183.07', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745916', '0', 'object/static/structure/tatooine/shared_wall_gate_tatooine_wide_style_01.iff', '0', '0.997189', '0', '0.0749296', '537.36', '12.0686', '5121.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745917', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.382683', '0', '0.92388', '535.579', '11.8535', '5109.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745918', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.382683', '0', '0.92388', '539.245', '11.8973', '5112.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745919', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.892608', '0', '0.450834', '532.086', '11.9573', '5131.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745920', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.892608', '0', '0.450834', '535.928', '11.9129', '5128.35', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745922', '0', 'object/building/tatooine/shared_filler_building_block_64x32_style_02.iff', '0', '-0.312382', '0', '0.949957', '537.605', '11.9443', '5015.13', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745925', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_10.iff', '-0.00353551', '0.707099', '0.00353552', '0.707096', '580.847', '11.7263', '5052.34', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745927', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.696422', '0', '0.717632', '550.09', '11.6992', '5075.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745928', '0', 'object/static/structure/tatooine/shared_wall_gate_tatooine_wide_style_01.iff', '0', '0.794447', '0', '0.607334', '557.436', '12.0574', '5073.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745930', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.475032', '0', '0.879969', '565.373', '11.9747', '5071.86', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745931', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.696422', '0', '0.717632', '545.139', '11.7783', '5075.21', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745932', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.876285', '0', '0.481792', '572.348', '11.8285', '5066.56', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745954', '0', 'object/building/military/shared_military_outpost_guard_house_imperial.iff', '0', '0', '0', '1', '-2026', '11.9986', '-3044', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745955', '2745954', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745956', '2745954', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745960', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '0', '0.198669', '0', '0.980067', '-2018.92', '12.0003', '-3014.61', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745961', '0', 'object/building/military/shared_mun_all_military_tower_impl_guard_s01.iff', '0', '0', '0', '1', '-1948', '11.8809', '-2972', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745962', '2745961', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745970', '0', 'object/building/military/shared_military_outpost_guard_house_imperial.iff', '0', '-0.707106', '0', '0.707107', '-2026', '11.8441', '-3084', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745971', '2745970', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745972', '2745970', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745973', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '-0.707106', '0', '0.707107', '-2031', '12', '-3054', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745974', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0', '1', '-2031', '12', '-3059', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745975', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '1', '0', '-3.20013e-08', '-2031', '12', '-3069', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745976', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '-0.7071', '0', '0.707113', '-2031', '12', '-3074', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745977', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0', '1', '-2020', '12', '-3030', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745978', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '-0.707106', '0', '0.707107', '-2020', '12', '-3034', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745979', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '-0.707106', '0', '0.707107', '-2020', '12', '-3026', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745980', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0', '1', '-2020', '12', '-3022', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745981', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '-0.707103', '0', '0.70711', '-2020', '12', '-3018', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745983', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '-0.382681', '0', '0.92388', '-2017', '11.9999', '-3011', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745984', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.382683', '0', '0.92388', '-2014', '12.0014', '-3008', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745985', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '-0.382681', '0', '0.923881', '-2011', '12', '-3005', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745986', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.382683', '0', '0.92388', '-2008', '12.0014', '-3002', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745987', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '-0.382681', '0', '0.923881', '-2005', '12', '-2999', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745988', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.382683', '0', '0.92388', '-2002', '12.0014', '-2996', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745989', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '-0.382681', '0', '0.923881', '-1999', '12', '-2993', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745990', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.382683', '0', '0.92388', '-1996', '12.0015', '-2990', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745991', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '-0.382681', '0', '0.923881', '-1993', '12.0001', '-2987', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745992', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.382683', '0', '0.92388', '-1990', '12.0014', '-2984', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745993', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '-0.382681', '0', '0.923881', '-1987', '12', '-2981', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745994', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.382683', '0', '0.92388', '-1984', '12.0014', '-2978', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745995', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '-0.382681', '0', '0.923881', '-1981', '12', '-2975', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745996', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.707106', '0', '0.707108', '-1966', '11.9972', '-2971', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745997', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0', '0', '1', '-1962', '11.999', '-2971', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745998', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0', '0', '1', '-1970', '12.0158', '-2971', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2745999', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '0', '0.558602', '0', '0.829436', '-1976', '11.9625', '-2972', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746000', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0', '0', '1', '-1925', '12', '-2971', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746001', '0', 'object/building/military/shared_mun_all_military_tower_impl_guard_s01.iff', '0', '0', '0', '1', '-1931', '12.0479', '-2972', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746002', '2746001', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746003', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.707107', '0', '0.707107', '-1921', '12', '-2971', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746004', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0', '0', '1', '-1917', '12.0018', '-2971', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746005', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.707107', '0', '0.707107', '-1958', '12', '-2971', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746006', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0', '0', '1', '-1954', '12.0018', '-2971', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746007', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.707107', '0', '0.707107', '-1905', '12', '-2971', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746008', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0', '0', '1', '-1901', '12.0018', '-2971', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746009', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.707107', '0', '0.707107', '-1913', '12', '-2971', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746010', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0', '0', '1', '-1909', '12.0018', '-2971', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746011', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.707107', '0', '0.707107', '-1897', '12', '-2971', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746012', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0', '0', '1', '-1893', '12.0018', '-2971', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746013', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.707107', '0', '0.707107', '-1889', '12', '-2971', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746014', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0', '0', '1', '-1886', '12.0018', '-2971', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746015', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '0', '0.832219', '0', '0.554448', '-1881', '12.1439', '-2972', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746016', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.382683', '0', '0.92388', '-1876', '12', '-2975', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746017', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.92388', '0', '0.382683', '-1873', '12', '-2978', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746018', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.382686', '0', '0.923878', '-1870', '12.0018', '-2981', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746019', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.92388', '0', '0.382683', '-1861', '12', '-2990', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746020', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.382686', '0', '0.923878', '-1859', '12.0018', '-2992', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746021', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.92388', '0', '0.382683', '-1867', '12', '-2984', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746022', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.382686', '0', '0.923878', '-1864', '12.0018', '-2987', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746023', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.92388', '0', '0.382683', '-1856', '12', '-2995', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746024', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.382686', '0', '0.923878', '-1853', '12.0018', '-2998', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746025', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.382683', '0', '0.92388', '-1848', '12', '-3003', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746026', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.92388', '0', '0.382683', '-1845', '12', '-3006', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746027', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.382686', '0', '0.923878', '-1842', '12.0018', '-3009', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746028', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.92388', '0', '0.382683', '-1833', '12', '-3018', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746029', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.382686', '0', '0.923878', '-1831', '12.0018', '-3020', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746030', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.92388', '0', '0.382683', '-1839', '12', '-3012', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746031', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.382686', '0', '0.923878', '-1836', '12.0018', '-3015', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746032', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.92388', '0', '0.382683', '-1828', '12', '-3023', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746033', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.382686', '0', '0.923878', '-1825', '12.0018', '-3026', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746034', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.382683', '0', '0.92388', '-1850', '12', '-3001', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746035', '0', 'object/building/military/shared_military_outpost_guard_house_imperial.iff', '0', '1', '0', '-3.20013e-08', '-1810', '12.0671', '-3107', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746036', '2746035', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746037', '2746035', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746038', '0', 'object/building/military/shared_military_outpost_guard_house_imperial.iff', '0', '0.707108', '0', '0.707105', '-1810', '11.9502', '-3067', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746039', '2746038', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746040', '2746038', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746041', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.707108', '0', '0.707105', '-1805', '12.1559', '-3097', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746042', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '1', '0', '-3.20013e-08', '-1805', '12.1559', '-3092', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746043', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0', '1', '-1805', '12.1559', '-3082', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746044', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.707114', '0', '0.707099', '-1805', '12.1559', '-3077', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746045', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.707109', '0', '0.707105', '-1815', '12.0018', '-3049', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746046', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '1', '0', '-7.48498e-07', '-1815', '12', '-3053', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746047', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.707109', '0', '0.707105', '-1815', '12.0018', '-3057', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746048', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.707109', '0', '0.707105', '-1815', '12.0018', '-3041', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746049', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '1', '0', '-1e-06', '-1815', '12', '-3045', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746050', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.92388', '0', '0.382683', '-1822', '12', '-3029', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746051', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.382686', '0', '0.923879', '-1819', '12.0018', '-3032', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746052', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '0', '0.981048', '0', '0.193766', '-1816', '12.1998', '-3036', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746053', '0', 'object/building/military/shared_mun_all_military_tower_impl_guard_s01.iff', '0', '1', '0', '-3.20013e-08', '-1907', '12.0544', '-3191', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746054', '2746053', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746055', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '0', '0.829436', '0', '-0.558602', '-1871', '11.883', '-3190', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746056', '0', 'object/building/military/shared_mun_all_military_tower_impl_guard_s01.iff', '0', '1', '0', '-3.20013e-08', '-1923', '11.96', '-3191', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746057', '2746056', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746058', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '0', '-0.554449', '0', '0.832218', '-1973', '12.1291', '-3191', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746059', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '1', '0', '-3.20013e-08', '-1885', '12.135', '-3192', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746060', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.92388', '0', '-0.382683', '-1857', '12.1205', '-3179', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746061', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.92388', '0', '0.382681', '-1860', '12.1192', '-3182', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746062', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.707107', '0', '-0.707107', '-1889', '12.1163', '-3192', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746063', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '1', '0', '-3.0455e-06', '-1893', '12.1181', '-3192', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746064', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '1', '0', '-3.20013e-08', '-1929', '12.1191', '-3192', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746065', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.707107', '0', '-0.707107', '-1933', '12.1191', '-3192', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746066', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '1', '0', '-3.0455e-06', '-1937', '12.1209', '-3192', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746067', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.707107', '0', '-0.707107', '-1897', '12.1191', '-3192', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746068', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '1', '0', '-3.0455e-06', '-1901', '12.1209', '-3192', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746069', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.707107', '0', '-0.707107', '-1949', '12.1191', '-3192', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746070', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '1', '0', '-3.0455e-06', '-1953', '12.1209', '-3192', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746071', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.707107', '0', '-0.707107', '-1941', '12.1191', '-3192', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746072', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '1', '0', '-3.0455e-06', '-1945', '12.1209', '-3192', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746073', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.707107', '0', '-0.707107', '-1957', '12.1191', '-3192', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746074', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '1', '0', '-3.0455e-06', '-1961', '12.1209', '-3192', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746075', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.707107', '0', '-0.707107', '-1965', '12.1191', '-3192', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746076', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '1', '0', '-3.0455e-06', '-1968', '12.1209', '-3192', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746082', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '0', '0.980067', '0', '-0.198669', '-1816', '11.9914', '-3136', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746084', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '1', '0', '-3.20013e-08', '-1815', '12.0375', '-3121', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746085', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.707107', '0', '0.707107', '-1815', '12.0375', '-3117', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746086', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.707108', '0', '0.707105', '-1815', '12.0375', '-3125', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746087', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '1', '0', '-3.20013e-08', '-1815', '12.0375', '-3129', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746088', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.70711', '0', '0.707103', '-1815', '12.0375', '-3133', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746089', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.923881', '0', '0.382681', '-1818', '12.0373', '-3140', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746090', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.92388', '0', '-0.382683', '-1821', '12.0389', '-3143', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746091', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.92388', '0', '0.382681', '-1824', '12.0375', '-3146', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746092', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.92388', '0', '-0.382683', '-1827', '12.0389', '-3149', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746093', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.92388', '0', '0.382681', '-1830', '12.0375', '-3152', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746094', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.92388', '0', '-0.382683', '-1833', '12.0389', '-3155', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746095', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.92388', '0', '0.382681', '-1836', '12.0375', '-3158', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746096', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.92388', '0', '-0.382683', '-1839', '12.039', '-3161', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746097', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.92388', '0', '0.382681', '-1842', '12.0376', '-3164', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746098', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.92388', '0', '-0.382683', '-1845', '12.0389', '-3167', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746099', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.92388', '0', '0.382681', '-1848', '12.0375', '-3170', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746100', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.92388', '0', '-0.382683', '-1851', '12.0389', '-3173', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746101', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.92388', '0', '0.382681', '-1854', '12.0375', '-3176', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746102', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '1', '0', '0', '-1876', '12.0165', '-3192', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746103', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.707107', '0', '-0.707107', '-1880', '11.9978', '-3192', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746104', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.92388', '0', '-0.382683', '-1863', '12.0144', '-3185', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746105', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.92388', '0', '0.382681', '-1866', '12.013', '-3188', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746106', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '0', '-0.193766', '0', '0.981048', '-2019.4', '12.1303', '-3144.74', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746111', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.923879', '0', '-0.382686', '-1978', '12.0018', '-3187', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746114', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.382683', '0', '0.92388', '-1981', '12', '-3184', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746115', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.923879', '0', '-0.382686', '-1984', '12.0018', '-3181', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746116', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.92388', '0', '-0.382683', '-1989', '12', '-3176', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746117', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.382683', '0', '0.92388', '-1992', '12', '-3173', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746118', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.923879', '0', '-0.382686', '-1995', '12.0018', '-3170', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746119', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.382683', '0', '0.92388', '-2004', '12', '-3161', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746120', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.923879', '0', '-0.382686', '-2006', '12.0018', '-3159', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746121', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.382683', '0', '0.92388', '-1998', '12', '-3167', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746122', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.923879', '0', '-0.382686', '-2001', '12.0018', '-3164', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746123', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.382683', '0', '0.92388', '-2009', '12', '-3156', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746124', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.923879', '0', '-0.382686', '-2012', '12.0018', '-3153', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746125', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.92388', '0', '-0.382683', '-1987', '12', '-3178', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746126', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.707107', '0', '-0.707107', '-2020', '12.0018', '-3134', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746127', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0', '1', '-2020', '12', '-3130', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746128', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.707107', '0', '-0.707107', '-2020', '12.0018', '-3126', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746129', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.707107', '0', '-0.707107', '-2020', '12.0018', '-3142', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746130', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0', '1', '-2020', '12', '-3138', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746131', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.382683', '0', '0.92388', '-2015', '12', '-3150', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746132', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.923878', '0', '-0.382686', '-2018', '12.0018', '-3147', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746133', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0', '1', '-2020', '12', '-3122', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746134', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0', '1', '-2020', '12', '-3114', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746135', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.707107', '0', '-0.707107', '-2020', '12.0018', '-3110', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746136', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.707107', '0', '-0.707107', '-2020', '12.0018', '-3118', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746137', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0', '1', '-2020', '12', '-3106', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746138', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.707107', '0', '-0.707107', '-2020', '12.0018', '-3102', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746139', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0', '1', '-2020', '12', '-3098', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746140', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.707107', '0', '-0.707107', '-2020', '12.0018', '-3094', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746148', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '-0.707103', '0', '0.70711', '-2021', '12', '-3054', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746149', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0', '1', '-2021', '12', '-3059', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746150', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '1', '0', '0', '-2021', '12', '-3069', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746151', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '-0.707097', '0', '0.707116', '-2021', '12', '-3074', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746152', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '0.707106', '0', '0.707107', '-2033', '12.0006', '-3059', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746153', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '0.707107', '0', '0.707107', '-2033', '11.8889', '-3069', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746154', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.707108', '0', '0.707105', '-1815', '12', '-3097', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746155', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '1', '0', '0', '-1815', '12', '-3092', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746156', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0', '1', '-1815', '12', '-3082', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746157', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.707114', '0', '0.707099', '-1815', '12', '-3077', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746158', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '0.707106', '0', '0.707107', '-1803', '12.1402', '-3092', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746159', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '0.707106', '0', '0.707107', '-1803', '11.9772', '-3082', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746160', '0', 'object/static/installation/shared_mockup_factory_machine_style_1.iff', '0', '0.707106', '0', '0.707108', '-1941.68', '12', '-3172.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746161', '0', 'object/static/installation/shared_mockup_factory_machine_style_1.iff', '0', '0.923879', '0', '-0.382684', '-1993.3', '12', '-3012.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746163', '0', 'object/static/installation/shared_mockup_power_generator_solar_style_1.iff', '0', '0', '0', '1', '-2003', '12', '-3112', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746164', '0', 'object/static/installation/shared_mockup_power_generator_solar_style_1.iff', '0', '0.707106', '0', '0.707107', '-2002', '12', '-3126', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746165', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0', '0', '1', '-2011', '12', '-3103', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746166', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '0', '0', '1', '-2007', '12', '-3103', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746167', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '0', '0', '1', '-1999', '12', '-3103', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746168', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0', '0', '1', '-1995', '12', '-3103', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746169', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0', '0', '1', '-2003', '12', '-3103', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746170', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0', '0', '1', '-2011', '12', '-3135', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746171', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '0', '0', '1', '-2007', '12', '-3135', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746172', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '0', '0', '1', '-1999', '12', '-3135', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746173', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0', '0', '1', '-1995', '12', '-3135', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746174', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0', '0', '1', '-2003', '12', '-3135', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746175', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '0.707106', '0', '0.707107', '-2011', '12', '-3123', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746176', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '0.707106', '0', '0.707107', '-2011', '12', '-3131', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746177', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0.707106', '0', '0.707107', '-2011', '12', '-3127', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746178', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '0.707107', '0', '0.707107', '-2011', '12', '-3107', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746179', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '0.707107', '0', '0.707107', '-2011', '12', '-3115', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746180', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0.707107', '0', '0.707107', '-2011', '12', '-3111', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746181', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0', '0', '1', '-2011', '12', '-3119', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746182', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '0.707103', '0', '0.70711', '-1995', '12', '-3123', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746183', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '0.707103', '0', '0.70711', '-1995', '12', '-3131', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746184', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0.707103', '0', '0.70711', '-1995', '12', '-3127', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746185', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '0.707107', '0', '0.707107', '-1995', '12', '-3107', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746187', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0.707107', '0', '0.707107', '-1995', '12', '-3111', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746188', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0', '0', '1', '-1995', '12', '-3119', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746191', '0', 'object/building/corellia/shared_filler_building_corellia_style_02.iff', '0', '0.707106', '0', '0.707108', '-1972.72', '12', '-3075.97', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746200', '0', 'object/building/corellia/shared_filler_slum_16x32_s01.iff', '0', '-0.707105', '0', '0.707108', '-1930', '12', '-3059', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746206', '0', 'object/building/corellia/shared_filler_slum_16x32_s01.iff', '0', '-0.707091', '0', '0.707122', '-1930', '12', '-3031', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746208', '0', 'object/static/installation/shared_mockup_mining_liquid_harvester_style_1.iff', '0', '0.707107', '0', '-0.707106', '-1906.58', '12', '-3006.16', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746209', '0', 'object/static/installation/shared_mockup_mining_ore_harvester_style_2.iff', '0', '0.923879', '0', '0.382684', '-1978.19', '12', '-2988.37', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746210', '0', 'object/static/installation/shared_mockup_mining_ore_harvester_style_1.iff', '0', '0.707106', '0', '0.707107', '-1969.16', '12', '-3171.45', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746227', '0', 'object/building/corellia/shared_filler_building_corellia_style_02.iff', '0', '1', '0', '1.84354e-06', '-1871.99', '12', '-3137.25', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746234', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '0', '0', '1', '-1843.98', '12', '-3077.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746235', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '0', '0', '1', '-1843.98', '12', '-3091.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746236', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0', '0', '1', '-1839.98', '12', '-3091.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746237', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0', '0', '1', '-1840', '12', '-3078', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746238', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '0.707106', '0', '0.707107', '-1841.98', '11.7798', '-3089.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746239', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '0.707106', '0', '0.707107', '-1841.98', '12.023', '-3079.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746240', '0', 'object/building/corellia/shared_filler_slum_16x32_s01.iff', '0', '0.707116', '0', '0.707097', '-1930', '12', '-3086', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746242', '0', 'object/building/corellia/shared_filler_slum_16x32_s01.iff', '0', '0.707116', '0', '0.707097', '-1930', '12', '-3116', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746245', '0', 'object/static/installation/shared_mockup_mining_liquid_harvester_style_1.iff', '0', '0', '0', '1', '-1970.75', '12', '-3114.74', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746246', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '1', '0', '-3.48103e-07', '-1922.27', '12', '-3012.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746247', '0', 'object/static/installation/shared_mockup_power_generator_solar_style_1.iff', '0', '0.707106', '0', '0.707107', '-1923.27', '12', '-3004.12', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746248', '0', 'object/static/installation/shared_mockup_power_generator_solar_style_1.iff', '0', '1', '0', '1.84353e-06', '-1937.27', '12', '-3005.12', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746249', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0.707106', '0', '0.707107', '-1914.27', '12', '-2996.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746250', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '0.707106', '0', '0.707107', '-1914.27', '12', '-3000.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746251', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '0.707106', '0', '0.707107', '-1914.27', '12', '-3008.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746252', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0.707106', '0', '0.707107', '-1914.27', '12', '-3012.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746253', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0.707106', '0', '0.707107', '-1914.27', '12', '-3004.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746254', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0.707106', '0', '0.707107', '-1946.27', '12', '-2996.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746255', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '0.707106', '0', '0.707107', '-1946.27', '12', '-3000.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746256', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '0.707106', '0', '0.707107', '-1946.27', '12', '-3008.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746257', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0.707106', '0', '0.707107', '-1946.27', '12', '-3012.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746258', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0.707106', '0', '0.707107', '-1946.27', '12', '-3004.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746259', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '1', '0', '1.84353e-06', '-1934.27', '12', '-2996.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746260', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '1', '0', '1.84353e-06', '-1942.27', '12', '-2996.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746261', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '1', '0', '1.84353e-06', '-1938.27', '12', '-2996.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746262', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '1', '0', '-3.48103e-07', '-1918.27', '12', '-2996.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746263', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '1', '0', '-3.48103e-07', '-1926.27', '12', '-2996.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746264', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '1', '0', '-3.48103e-07', '-1922.27', '12', '-2996.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746265', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0.707106', '0', '0.707107', '-1930.27', '12', '-2996.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746266', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '1', '0', '4.70952e-06', '-1934.27', '12', '-3012.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746267', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '1', '0', '4.70952e-06', '-1942.27', '12', '-3012.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746268', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '1', '0', '4.70952e-06', '-1938.27', '12', '-3012.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746269', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '1', '0', '-3.48103e-07', '-1918.27', '12', '-3012.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746270', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0.707106', '0', '0.707107', '-1930.27', '12', '-3012.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746271', '0', 'object/static/installation/shared_mockup_mining_ore_harvester_style_2.iff', '0', '0.923879', '0', '0.382684', '-1961.5', '12', '-2985.55', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746272', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_2.iff', '0', '0', '0', '1', '-1841', '12', '-3076', '256', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746274', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_2.iff', '0', '0', '0', '1', '-1841.02', '12', '-3093.33', '256', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746275', '0', 'object/static/installation/shared_mockup_mining_ore_harvester_style_1.iff', '0', '0.707107', '0', '0.707107', '-1986.55', '12', '-3160.03', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746276', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '-0.0499792', '0', '0.99875', '-1916.1', '12', '-3010.36', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746277', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0', '0', '1', '-1908.44', '12', '-3007.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746278', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0', '0', '1', '-1917.08', '12', '-3010.48', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746279', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.834152', '0', '-0.551535', '-1915.38', '12.6957', '-2998.82', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746280', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.066543', '0', '0.997784', '-1915.5', '12', '-2997.87', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746281', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0.378538', '0.57772', '-0.325742', '-0.645632', '-1915.3', '12.3162', '-2999.48', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746282', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999816', '0', '-0.019203', '-1915.39', '12', '-2998.98', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746283', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '-1944.37', '12', '-3010.38', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746284', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '-1943.32', '12', '-3010.47', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746285', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0', '0', '1', '-1919.76', '12.0844', '-3023.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746288', '0', 'object/static/structure/general/shared_prp_junk_s3.iff', '0', '0', '0', '1', '-1995.99', '12', '-3145.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746289', '0', 'object/static/structure/general/shared_prp_junk_s4.iff', '0', '0', '0', '1', '-2008.32', '12', '-3132.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746290', '0', 'object/static/structure/general/shared_prp_junk_s5.iff', '0', '0', '0', '1', '-1981.54', '12', '-3101.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746291', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '0', '0', '0', '1', '-2005.35', '12.9229', '-3133.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746293', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0', '0', '0', '1', '-1981.55', '12', '-3101.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746294', '0', 'object/static/structure/general/shared_prp_junk_s7.iff', '0', '-0.389418', '0', '0.921061', '-2002.93', '12', '-3149.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746296', '0', 'object/static/installation/shared_mockup_power_generator_photo_bio_style_1.iff', '0', '0', '0', '1', '-1858.66', '12', '-3056.95', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746297', '0', 'object/static/installation/shared_mockup_factory_item_style_1.iff', '0', '0', '0', '1', '-1958', '12', '-3030', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746298', '0', 'object/static/installation/shared_mockup_factory_item_style_1.iff', '0', '-0.707106', '0', '0.707107', '-1966', '12', '-3021', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746299', '0', 'object/static/installation/shared_mockup_factory_clothing_style_1.iff', '0', '0', '0', '1', '-1979', '12', '-3133', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746301', '0', 'object/static/installation/shared_mockup_factory_clothing_style_1.iff', '0', '0', '0', '1', '-1964', '12', '-3133', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746309', '0', 'object/building/military/shared_military_base_shed_imperial_style_01.iff', '0', '-0.707106', '0', '0.707107', '-1902.37', '12', '-3173.35', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746310', '2746309', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746311', '2746309', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746312', '2746309', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746313', '2746309', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746314', '2746309', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746315', '2746309', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746338', '0', 'object/building/corellia/shared_filler_slum_16x16_s01.iff', '0', '0.707106', '0', '0.707107', '-1882.26', '11.9659', '-3051.13', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746340', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '1', '0', '1.25348e-06', '-1888', '12', '-3003', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746341', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0', '0', '1', '-1888', '12', '-3035', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746342', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s03.iff', '0', '0', '0', '1', '-1876', '12', '-3035', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746343', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0', '0', '1', '-1896', '12', '-3035', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746345', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0', '0', '1', '-1864', '12', '-3035', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746346', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0', '0', '1', '-1856', '12', '-3035', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746348', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '0.707106', '0', '0.707107', '-1856', '12', '-3019', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746350', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0', '0', '1', '-1856', '12', '-3003', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746351', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '0.707106', '0', '0.707107', '-1896', '12', '-3019', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746352', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0', '0', '1', '-1896', '11.8982', '-3003', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746353', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0', '0', '1', '-1864', '12', '-3003', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746354', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.707106', '0', '0.707107', '-1872', '12', '-3011', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746355', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.707106', '0', '0.707107', '-1880', '12', '-3011', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746356', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.707106', '0', '0.707107', '-1864', '12', '-3011', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746357', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.707106', '0', '0.707107', '-1888', '12', '-3011', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746360', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0', '0', '1', '-1864', '12', '-3003', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746361', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0', '0', '1', '-1888', '12', '-3003', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746362', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s03.iff', '0', '1', '0', '-3.20013e-08', '-1860', '12', '-3019', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746363', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s03.iff', '0', '1', '0', '-3.20013e-08', '-1868', '12', '-3019', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746364', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s03.iff', '0', '1', '0', '-3.20013e-08', '-1892', '12', '-3019', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746365', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s03.iff', '0', '1', '0', '-3.20013e-08', '-1884', '12', '-3019', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746366', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0.707106', '0', '0.707107', '-1880', '12', '-3019', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746367', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0.707106', '0', '0.707107', '-1872', '12', '-3019', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746368', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s03.iff', '0', '1', '0', '-3.20013e-08', '-1876', '12', '-3003', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746372', '0', 'object/static/structure/tatooine/shared_tent_house_tatooine_style_01.iff', '0', '-0.278949', '0', '0.960306', '457.654', '3', '5450.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746373', '0', 'object/static/structure/tatooine/shared_tent_house_tatooine_style_01.iff', '0', '0.707106', '0', '0.707107', '469.804', '3', '5440.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746374', '0', 'object/static/structure/tatooine/shared_tent_house_tatooine_style_01.iff', '0', '0.92388', '0', '-0.382683', '456.364', '3', '5435.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746375', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0', '0', '1', '467.262', '3', '5448.2', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746376', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '467.527', '3.12737', '5447.77', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746377', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '466.733', '3.14174', '5448.47', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '2746384', '0', 'object/static/item/shared_item_crate_spice.iff', '0', '0', '0', '1', '467.716', '3.12649', '5448.68', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '2975354', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_02.iff', '0', '0', '0', '1', '-3814.46', '58.3286', '5310.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '2975361', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_02.iff', '0', '0', '0', '1', '-6908.86', '102.303', '4512.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '2975367', '0', 'object/static/particle/shared_pt_miasma_of_fog_gray.iff', '0', '0', '0', '1', '-5689.18', '43.4277', '273.252', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '2975368', '0', 'object/static/particle/shared_pt_miasma_of_fog_gray.iff', '0', '0', '0', '1', '-5693.45', '44.4924', '266.259', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '2975372', '0', 'object/static/flora/shared_flora_decd_scorched_tallbirch.iff', '0', '0', '0', '1', '-5686.7', '33.2422', '266.071', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '2975374', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0', '0', '1', '-4484.92', '80.1501', '7405.78', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '2975375', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '-0.658877', '-0.122313', '0.724566', '-0.161009', '-4464.44', '88.4984', '7407.32', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '2975376', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0.540775', '-0.373339', '0.383179', '0.649118', '-4495.39', '76.6903', '7405.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '2975378', '0', 'object/static/particle/shared_pt_miasma_of_fog_greenish.iff', '0', '0', '0', '1', '-3449.61', '12.1526', '912.629', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '2975379', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0', '0', '1', '-3450.54', '12.5862', '904.625', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '2975384', '0', 'object/static/structure/dantooine/shared_dant_fire_pit.iff', '0', '0', '0', '1', '2947.04', '13.2927', '3954.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '2975387', '0', 'object/tangible/camp/shared_camp_light_s1.iff', '0', '0', '0', '1', '2941.7', '13.363', '3954.18', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '2975388', '0', 'object/tangible/camp/shared_camp_light_s1.iff', '0', '0', '0', '1', '2948.63', '13.4891', '3958.39', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '2975391', '0', 'object/static/item/shared_item_crate_spice.iff', '0', '0.897247', '0', '0.441528', '2943.06', '13.2312', '3947.82', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '2975392', '0', 'object/static/item/shared_item_crate_spice.iff', '0', '0.897247', '0', '0.441528', '2942.46', '13.2528', '3948.25', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '2975393', '0', 'object/static/item/shared_item_crate_spice.iff', '0', '0.897247', '0', '0.441528', '2941.89', '13.2612', '3948.69', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '2975394', '0', 'object/static/item/shared_item_crate_spice.iff', '0', '0.62372', '0', '0.781648', '2943.27', '13.2604', '3949', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '2975395', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '-0.430458', '0', '0.902611', '2942.85', '13.2667', '3948.44', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '2975401', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0', '0', '1', '6205.43', '62.0884', '921.416', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '2975405', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '-0.0249057', '-0.164284', '-0.130714', '0.977397', '2237.52', '2.58392', '1904.2', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '2975406', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0.0529262', '-0.0508414', '-0.0862871', '0.993564', '2236.54', '2.70905', '1903.52', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '2975407', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '-0.184624', '-0.457218', '-0.139006', '0.858803', '2236.69', '2.4492', '1902.44', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '2975408', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0.0131975', '0.168506', '-0.00383928', '0.985605', '2236.57', '2.53978', '1901.05', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '2975415', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0', '0', '1', '5034.91', '63.1732', '4332.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '2975416', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '5032.81', '63.0376', '4331.9', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '2975417', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '5032.82', '63.0589', '4332.43', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '2975418', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '0', '0', '1', '5039.78', '62.7048', '4335.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '2975420', '0', 'object/static/particle/shared_pt_lair_evil_fire_small.iff', '0', '0', '0', '1', '5064.4', '96.9959', '409.529', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '2975422', '0', 'object/static/installation/shared_mockup_power_generator_wind_style_1.iff', '0', '0', '0', '1', '-2090', '12.1765', '-2628', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '2975423', '0', 'object/static/installation/shared_mockup_power_generator_wind_style_1.iff', '0', '0', '0', '1', '-2090', '12.1466', '-2636', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '2975424', '0', 'object/static/installation/shared_mockup_power_generator_wind_style_1.iff', '0', '1', '0', '-3.20013e-08', '-2090', '11.8841', '-2648', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '2975425', '0', 'object/static/installation/shared_mockup_power_generator_wind_style_1.iff', '0', '1', '0', '-3.20013e-08', '-2090', '12.0062', '-2656', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '2975426', '0', 'object/static/structure/corellia/shared_corl_tent_small.iff', '-0.00968538', '0.706871', '-0.0182347', '0.707041', '-2084.79', '12.0399', '-2623.92', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '2975427', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.839625', '0', '-0.543166', '-2083.68', '11.9415', '-2623.99', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '2975428', '0', 'object/static/structure/general/shared_prp_engine_component.iff', '0', '0', '0', '1', '-2083.6', '12.6974', '-2624.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '2975429', '0', 'object/tangible/furniture/all/shared_frn_all_toolchest_lg_s01.iff', '0', '0.986549', '0', '-0.163467', '-2084.77', '11.9799', '-2622.64', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '2975430', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.91071', '0', '0.413046', '-2086.01', '11.9619', '-2623.87', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '3515361', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '587.66', '28.5438', '-2166.12', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '3515362', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '589.487', '28.1567', '-2151.47', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '3515363', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '580.83', '26.0467', '-2193.77', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '3515365', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '1', '0', '-2e-06', '5551.93', '11.7264', '-6008.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '3515366', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '1', '0', '-2e-06', '5550.94', '11.7264', '-6008.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '3515370', '0', 'object/static/installation/shared_mockup_power_generator_solar_style_1.iff', '0', '0', '0', '1', '3901.8', '12.1667', '-5513.64', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '3515371', '0', 'object/static/installation/shared_mockup_power_generator_fusion_style_1.iff', '0', '0', '0', '1', '3894.58', '12.1191', '-5513.75', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '3515384', '0', 'object/static/structure/general/shared_gravestone_generic_style_02.iff', '0', '0.707107', '0', '0.707107', '215.866', '13.6934', '-5977.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '3515386', '0', 'object/static/structure/general/shared_gravestone_generic_style_02.iff', '0', '0.707107', '0', '0.707107', '215.895', '13.5308', '-5975.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '3515387', '0', 'object/static/structure/general/shared_gravestone_generic_style_02.iff', '0', '0.707107', '0', '0.707107', '215.91', '13.3485', '-5973.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '3515388', '0', 'object/static/structure/general/shared_gravestone_generic_style_02.iff', '0', '0.707107', '0', '0.707107', '215.883', '13.273', '-5972.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '3515389', '0', 'object/static/structure/general/shared_gravestone_generic_style_02.iff', '0', '0.707107', '0', '-0.707107', '213.744', '13.1979', '-5972.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '3515390', '0', 'object/static/structure/general/shared_gravestone_generic_style_02.iff', '0', '0.707107', '0', '-0.707107', '213.751', '13.2119', '-5973.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '3515391', '0', 'object/static/structure/general/shared_gravestone_generic_style_02.iff', '0', '0.707107', '0', '-0.707107', '213.74', '13.3816', '-5975.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '3515392', '0', 'object/static/structure/general/shared_gravestone_generic_style_02.iff', '0', '0.707107', '0', '-0.707107', '213.662', '13.608', '-5977.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '3515393', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '209.617', '8.88806', '-5974.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '3515394', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '219.773', '8.93633', '-5974.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '3515396', '0', 'object/static/item/shared_item_metal_staff.iff', '0', '0', '0.999991', '-0.00420361', '6182.27', '19.0475', '-5552.31', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '3515402', '0', 'object/static/item/shared_wp_mle_lance_s01.iff', '0', '0', '0', '1', '6182.3', '15.9679', '-5552.28', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '3515403', '0', 'object/static/item/shared_wp_mle_lance_s01.iff', '0', '0', '0', '1', '6182.3', '14.6713', '-5552.28', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '3515406', '0', 'object/static/particle/shared_pt_poi_electricity_2x2.iff', '0', '0', '0', '1', '6182.35', '16.5442', '-5552.33', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '3515411', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0', '0', '1', '1867.05', '23.5403', '-3000.87', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '3515412', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '-0.578719', '-0.253099', '0.765234', '-0.124263', '1856.52', '21.7987', '-3001.85', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '3515419', '0', 'object/tangible/camp/shared_camp_tent_s3.iff', '0', '0.918788', '0', '0.394751', '-6160.72', '91.9721', '6197.02', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '3515420', '0', 'object/static/installation/shared_mockup_power_generator_solar_style_1.iff', '0', '0', '0', '1', '-6160.66', '91.9687', '6212.74', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '3515421', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '-6159.76', '91.9201', '6205.23', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '3515422', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.261909', '0', '0.965092', '-6159.13', '91.9263', '6206.14', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '3515423', '0', 'object/tangible/furniture/all/shared_frn_all_toolchest_med_s01.iff', '0', '-0.257081', '0', '0.96639', '-6162.85', '91.9947', '6210.21', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '3515426', '0', 'object/static/item/shared_item_crate_spice.iff', '0', '0.767543', '0', '-0.640997', '-6035.83', '12.7141', '-291.226', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '3515427', '0', 'object/static/item/shared_item_crate_spice.iff', '0', '0.767543', '0', '-0.640997', '-6035.79', '12.741', '-292.35', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '3515428', '0', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0', '0', '1', '-6037.14', '13.5557', '-290.104', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '3515429', '0', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '-0.49688', '0', '0.867819', '-6036.88', '13.5545', '-290.301', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '3515430', '0', 'object/static/item/shared_item_jar_empty.iff', '0', '0', '0', '1', '-6037.09', '13.5345', '-290.446', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '3515437', '0', 'object/static/structure/tatooine/shared_shed_junkshop_watto.iff', '0', '0', '0', '1', '-4891.7', '13.3172', '-1048.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '3515440', '0', 'object/static/structure/general/shared_skeleton_bith_headandbody.iff', '0', '0', '0', '1', '6121.01', '13.0965', '-3164.69', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '3515441', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0.939005', '-0.0133381', '-0.343611', '0.00488081', '6126.62', '12.9992', '-3156.42', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '3515442', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0.624897', '0', '0.780707', '6112.85', '13.0577', '-3175.51', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '3515447', '0', 'object/tangible/camp/shared_camp_light_s1.iff', '0', '0', '0', '1', '-5182.22', '17.9706', '-4819.81', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '3515448', '0', 'object/tangible/camp/shared_camp_light_s1.iff', '0', '0', '0', '1', '-5189', '17.9706', '-4813.05', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '3515449', '0', 'object/tangible/camp/shared_camp_light_s1.iff', '0', '0', '0', '1', '-5182.17', '17.9706', '-4813.41', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '3515450', '0', 'object/tangible/camp/shared_camp_light_s1.iff', '0', '0', '0', '1', '-5188.82', '17.9706', '-4819.65', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '3515453', '0', 'object/static/structure/dantooine/shared_dant_large_rock_hut.iff', '0', '0', '0', '1', '-3765.39', '62.3', '-3468.83', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '3515454', '0', 'object/static/structure/dantooine/shared_dant_fire_pit.iff', '0', '0', '0', '1', '-3765.63', '62.2713', '-3480.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '3515456', '0', 'object/tangible/camp/shared_camp_light_s1.iff', '0', '0', '0', '1', '-3763.08', '62.5542', '-3474.55', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '3515457', '0', 'object/static/structure/general/shared_skeleton_human_body.iff', '0', '0', '0', '1', '-3769.61', '61.9964', '-3476.07', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '3515458', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0.0216709', '-0.112682', '0.187612', '0.975518', '-3771.96', '62.0218', '-3477.73', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '3515459', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '-0.589144', '0', '0', '0.808028', '-3770.47', '61.8421', '-3474.7', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '3515460', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '-0.0250478', '0.965931', '0.0631192', '-0.249732', '-3770.11', '62.0051', '-3476.42', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '4105691', '0', 'object/tangible/terminal/shared_terminal_mission_imperial.iff', '0', '-0.707106', '0', '0.707107', '-1927.24', '12', '-2980.73', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '4105693', '0', 'object/tangible/terminal/shared_terminal_mission_imperial.iff', '0', '1', '0', '3.20013e-08', '-2012.75', '12', '-3052.23', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '4105695', '0', 'object/tangible/terminal/shared_terminal_mission_imperial.iff', '0', '-0.707106', '0', '0.707107', '-1909.64', '12', '-3176.68', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '4105697', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.531186', '0', '0.847255', '438.273', '8.76374', '5489.24', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '4105699', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '-0.448423', '0', '0.893822', '479.013', '8.78189', '5489.41', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '4105701', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0', '0', '1', '402.336', '12', '5126.4', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '4105703', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.744643', '0', '0.667463', '539.952', '11.9023', '5088.03', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '4105705', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.9989', '0', '0.0468855', '477.009', '11.947', '5015.59', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '4105709', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.915437', '0', '0.402461', '286.683', '12.0105', '5087.7', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '4105711', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.827702', '0', '0.561168', '409.444', '12', '5199.78', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '4105713', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.844162', '0', '-0.536088', '429.692', '12', '5200.05', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '4105715', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '-0.384808', '0', '0.922997', '628.738', '12.0573', '5039.17', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '4105717', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0', '0', '1', '403.74', '12', '5126.4', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '4105719', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0', '0', '1', '400.898', '12', '5126.4', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '4105781', '0', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_neutral_assassination_03.iff', '0', '-0.430458', '0', '0.902611', '-3893.03', '12', '-3801.24', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '4105791', '0', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_rebel_destroy_01.iff', '0', '0', '0', '1', '-1891.28', '12', '-3033.79', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '4705364', '0', 'object/building/military/shared_outpost_starport.iff', '0', '1', '0', '3.20013e-08', '458.587', '9', '5494.2', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '4705365', '4705364', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '4116124', '4705365', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0', '0', '1', '-7.4394', '0.146595', '-19.2085', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '4705366', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.99995', '0', '-0.00999987', '459.197', '8.75554', '5506.64', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '4705367', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '1', '0', '0', '461.661', '8.76014', '5506.66', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '4705368', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0', '0', '1', '467.888', '8.75985', '5506.46', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '4705369', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '1', '0', '-3.20013e-08', '467.019', '8.75828', '5506.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '4705370', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '1', '0', '-3.20013e-08', '466.489', '8.75838', '5506.66', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '4705371', '0', 'object/static/item/shared_item_crate_clothing_small.iff', '0', '-0.149438', '0', '0.988771', '468.947', '8.76106', '5506.95', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '4705372', '0', 'object/static/item/shared_item_crate_clothing_small.iff', '0', '0.0749298', '0', '0.997189', '469.761', '8.76101', '5506.64', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '4705374', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.986287', '0', '-0.165038', '470.631', '9.74079', '5506.53', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '4705375', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0.707107', '0', '0', '-0.707107', '470.586', '9.23904', '5507.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '4865403', '0', 'object/static/structure/general/shared_debris_deathstar_storage.iff', '0.589709', '-0.207807', '0.274172', '0.730678', '426.232', '7.1764', '5475.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '5125673', '0', 'object/static/particle/shared_particle_volcano_glow_1.iff', '0', '0', '0', '1', '2969.28', '253', '-4411.16', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '5125674', '0', 'object/static/particle/shared_pt_lok_lava_spirt.iff', '0', '0', '0', '1', '2975.11', '253', '-4403.17', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '5125675', '0', 'object/static/particle/shared_pt_lok_lava_bubblingareaprt.iff', '0', '0', '0', '1', '2979.52', '253', '-4415.6', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '5125676', '0', 'object/static/particle/shared_pt_lok_lava_spirt.iff', '0', '0', '0', '1', '2969.1', '253', '-4423.44', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '5125677', '0', 'object/static/particle/shared_pt_lok_lava_spirt.iff', '0', '0', '0', '1', '2959.93', '253', '-4408.02', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '5125678', '0', 'object/static/particle/shared_pt_lok_lava_spirt.iff', '0', '0', '0', '1', '2963.84', '253', '-4404.03', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '5125679', '0', 'object/static/particle/shared_pt_lok_lava_spirt.iff', '0', '0', '0', '1', '2961.37', '253', '-4417.64', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '5125680', '0', 'object/static/particle/shared_particle_volcano_glow_1.iff', '0', '0', '0', '1', '2970.05', '292.957', '-4627.36', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '5125681', '0', 'object/static/particle/shared_particle_volcano_glow_1.iff', '0', '0', '0', '1', '2996.73', '290.743', '-4649.57', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '5125682', '0', 'object/static/particle/shared_particle_volcano_glow_1.iff', '0', '0', '0', '1', '3012.74', '290', '-4715.52', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '5125683', '0', 'object/static/particle/shared_particle_volcano_glow_1.iff', '0', '0', '0', '1', '2958.58', '290', '-4734.44', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '5125684', '0', 'object/static/particle/shared_particle_volcano_glow_1.iff', '0', '0', '0', '1', '2916.33', '290', '-4710.51', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '5125685', '0', 'object/static/particle/shared_particle_volcano_glow_1.iff', '0', '0', '0', '1', '2957.81', '290', '-4687.69', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '5125712', '0', 'object/static/particle/shared_particle_volcano_glow_1.iff', '0', '0', '0', '1', '2594.41', '126', '-4572.4', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '5125713', '0', 'object/static/particle/shared_pt_lok_lava_bubblingareaprt.iff', '0', '0', '0', '1', '2587.97', '126', '-4563.42', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '5125714', '0', 'object/static/particle/shared_pt_lok_lava_bubblingareaprt.iff', '0', '0', '0', '1', '2584.13', '126', '-4579.98', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '5125715', '0', 'object/static/particle/shared_pt_lok_lava_spirt.iff', '0', '0', '0', '1', '2584.73', '126', '-4570.65', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '5125716', '0', 'object/static/particle/shared_pt_lok_lava_spirt.iff', '0', '0', '0', '1', '2601.19', '126', '-4578.23', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '5125717', '0', 'object/static/particle/shared_particle_volcano_glow_1.iff', '0', '0', '0', '1', '3221.85', '225.948', '-4510.7', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '5125718', '0', 'object/static/particle/shared_particle_volcano_glow_1.iff', '0', '0', '0', '1', '3245.37', '239', '-4682.08', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '5125719', '0', 'object/static/particle/shared_pt_lok_lava_spirt.iff', '0', '0', '0', '1', '3256.17', '242.758', '-4696.75', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '5125720', '0', 'object/static/particle/shared_pt_lok_lava_bubblingareaprt.iff', '0', '0', '0', '1', '3251.88', '239.268', '-4673.59', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '5125721', '0', 'object/static/particle/shared_pt_lok_lava_bubblingareaprt.iff', '0', '0', '0', '1', '3236.12', '240.288', '-4691.67', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '5125722', '0', 'object/static/particle/shared_pt_lok_lava_bubblingareaprt.iff', '0', '0', '0', '1', '3251.11', '239.829', '-4689.77', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '5125723', '0', 'object/static/particle/shared_pt_lok_lava_bubblingareaprt.iff', '0', '0', '0', '1', '3235.85', '239.007', '-4677.14', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '5125724', '0', 'object/static/particle/shared_particle_volcano_glow_1.iff', '0', '0', '0', '1', '3126.22', '155', '-4981.26', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '5125725', '0', 'object/static/particle/shared_pt_lok_lava_spirt.iff', '0', '0', '0', '1', '3121.76', '155.022', '-4978.46', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '5125727', '0', 'object/static/particle/shared_particle_volcano_glow_1.iff', '0', '0', '0', '1', '2662.93', '160.021', '-4831.51', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '5125728', '0', 'object/static/particle/shared_pt_lok_lava_spirt.iff', '0', '0', '0', '1', '2670.54', '160.453', '-4840.01', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '5125729', '0', 'object/static/particle/shared_pt_lok_lava_spirt.iff', '0', '0', '0', '1', '2668.13', '160.173', '-4833.99', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '5125730', '0', 'object/static/particle/shared_pt_lok_lava_spirt.iff', '0', '0', '0', '1', '2651.18', '161.624', '-4824.4', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '5126270', '0', 'object/building/general/shared_lok_nymstheme_mercenary_bunker.iff', '0', '0.881958', '0', '-0.471328', '915.785', '13.016', '-4184.86', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '5126271', '5126270', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '5126272', '5126270', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '5126273', '5126270', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '5126274', '5126270', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '5126275', '5126270', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '5126276', '5126270', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '5126277', '5126270', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '5126278', '5126270', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '5126279', '5126270', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '5126280', '5126270', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '5126281', '5126270', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '5126282', '5126270', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '5126283', '5126270', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '5126284', '5126270', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '5126285', '5126270', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '5126286', '5126270', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '5126287', '5126270', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '5126288', '5126270', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '5126289', '5126270', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '5126290', '5126270', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '5126291', '5126270', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '5126292', '5126270', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '5126293', '0', 'object/static/structure/military/shared_military_wall_med_imperial_32_style_01.iff', '0', '0.953607', '0', '0.301053', '907.82', '12.965', '-4208.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '5126294', '0', 'object/static/structure/military/shared_military_wall_med_imperial_style_01.iff', '0', '0.470626', '0', '0.882333', '918.658', '12.9489', '-4195.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '5126295', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0.0948572', '0', '0.995491', '921.205', '13.0122', '-4199', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '5126296', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0.0549723', '0', '0.998488', '894.483', '13.0466', '-4217.77', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '5126297', '0', 'object/static/structure/military/shared_military_wall_med_imperial_32_style_01.iff', '0', '0.470624', '0', '0.882334', '885.284', '12.9467', '-4204.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '5126298', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0.114747', '0', '0.993395', '876.218', '12.9509', '-4190.62', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '5126299', '0', 'object/static/structure/military/shared_military_wall_med_imperial_32_style_01.iff', '0', '0.953607', '0', '0.301053', '889.701', '13.0051', '-4181.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '5126300', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '-0.281157', '0', '0.959662', '903.123', '12.9893', '-4171.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '5126301', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '0', '0.457339', '0', '0.889293', '896.878', '13.0412', '-4209.4', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '5126302', '0', 'object/static/vehicle/e3/shared_landspeeder.iff', '0', '0.929516', '0', '0.368783', '898.574', '13.0269', '-4207.74', '256', '1');
INSERT INTO `staticobjects` VALUES ('4', '5126303', '0', 'object/static/vehicle/e3/shared_landspeeder.iff', '0', '0.945164', '0', '0.326595', '894.978', '13.0033', '-4210.35', '256', '1');
INSERT INTO `staticobjects` VALUES ('4', '5126304', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '0.884303', '0', '-0.466913', '912.577', '12.9898', '-4197.68', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '5126305', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_1.iff', '0', '0', '0', '1', '916.05', '12.9874', '-4195.29', '256', '1');
INSERT INTO `staticobjects` VALUES ('4', '5126306', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_2.iff', '0', '0', '0', '1', '917.967', '12.9353', '-4198.15', '256', '1');
INSERT INTO `staticobjects` VALUES ('4', '5126307', '0', 'object/static/structure/tatooine/shared_shed_junkshop_watto.iff', '0', '-0.266732', '0', '0.963771', '885.111', '12.9737', '-4192.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '5126308', '0', 'object/building/general/shared_lok_nymstheme_pirate_cave.iff', '0', '0.747971', '0', '-0.663731', '-2996.27', '17.3403', '-668.063', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '5126309', '5126308', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '5126310', '5126308', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '5126311', '5126308', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '5126312', '5126308', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '5126313', '5126308', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '5126314', '5126308', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '5126315', '5126308', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '5126316', '5126308', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '5126317', '5126308', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '5126318', '5126308', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '5126319', '5126308', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '5126320', '5126308', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '5126321', '5126308', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '5126322', '5126308', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '5126323', '5126308', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '5126324', '5126308', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '5126325', '5126308', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '5126326', '5126308', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '5126327', '5126308', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '5126328', '5126308', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '5126329', '5126308', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '5126330', '5126308', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '5126331', '5126308', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '5126332', '5126308', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '5126333', '5126308', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '5126334', '5126308', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '5126335', '5126308', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '5126336', '5126308', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '5126337', '5126308', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '5645584', '0', 'object/building/lok/shared_mining_cave_01.iff', '0.0148624', '0.934868', '0.0371248', '-0.352737', '6475.81', '72.6623', '3894.9', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '5645585', '5645584', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '5645586', '5645584', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '5645587', '5645584', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '5645588', '5645584', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '5645589', '5645584', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '5645590', '5645584', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '5645591', '5645584', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '5645592', '5645584', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '5645593', '5645584', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '5645594', '5645584', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '5645595', '5645584', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '5645596', '0', 'object/static/structure/tatooine/shared_pillar_watto_junkshop.iff', '0.700334', '0.138323', '-0.135692', '0.687013', '-3024.32', '12.0381', '-665.174', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '5645597', '0', 'object/static/structure/tatooine/shared_pillar_watto_junkshop.iff', '0', '0', '0', '1', '-3023.12', '11.994', '-676.648', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '5645598', '0', 'object/static/structure/tatooine/shared_pillar_watto_junkshop.iff', '0', '0', '0', '1', '-3035.46', '12.1672', '-666.514', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '5645599', '0', 'object/static/structure/tatooine/shared_pillar_watto_junkshop.iff', '0', '0', '0', '1', '-3034.35', '12.1626', '-677.844', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '5645602', '0', 'object/static/structure/tatooine/shared_wall_gate_tatooine_style_02.iff', '0', '-0.0449848', '0', '0.998988', '-3038.9', '11.7594', '-672.692', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '5685393', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '-0.577043', '0.35524', '0.595656', '-0.4313', '-5003.41', '15.5163', '4503.03', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '5685394', '0', 'object/static/item/shared_armor_chitin_chestplate.iff', '-0.68889', '0.014511', '-0.00627711', '0.724694', '-5004.58', '15.2992', '4502.18', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '5685396', '0', 'object/static/item/shared_armor_composite_helmet.iff', '0.139543', '0', '0', '0.990216', '-5003.03', '13.7959', '4501.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '5685400', '0', 'object/tangible/camp/shared_camp_tent_s1.iff', '0', '0.831383', '0', '0.555699', '-5006.22', '15.6525', '4503.47', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '5685405', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.0188848', '-0.290126', '-0.0621484', '0.954782', '-3814.42', '61.1596', '5311', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '5685406', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.0188848', '-0.290126', '-0.0621484', '0.954782', '-3814.19', '61.1613', '5311.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '5685407', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.118851', '-0.118851', '0.014331', '0.985669', '-3814.42', '60.9936', '5310.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '5685409', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '-0.448423', '0', '0.893822', '-3814.39', '60.9192', '5310.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '5685411', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '-0.119712', '0', '0.992809', '-3814.65', '61.2294', '5311.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '5685412', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '-0.119712', '0', '0.992809', '-3814.33', '61.2788', '5311.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '5685413', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '-0.119712', '0', '0.992809', '-3814.65', '61.1241', '5310.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '5685414', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.0188848', '-0.290126', '-0.0621484', '0.954782', '-3814.03', '61.1166', '5310.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '5685415', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.118851', '-0.118851', '0.014331', '0.985669', '-3814.58', '61.0359', '5310.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '5685416', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '-0.119712', '0', '0.992809', '-3814.1', '61.0066', '5310.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '5685417', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.023791', '-0.365499', '-0.0604404', '0.928543', '-3814.38', '61.2273', '5310.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '5685418', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.023791', '-0.365499', '-0.0604404', '0.928543', '-3814.21', '61.2287', '5311.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '5685419', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.117326', '-0.197241', '0.0237831', '0.973019', '-3814.39', '61.0963', '5310.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '5685421', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '-0.518418', '0', '0.855127', '-3814.19', '60.9739', '5309.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '5685423', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.939819', '-0.0430704', '-0.338591', '0.0155171', '-3813.85', '61.0238', '5310.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '5685424', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0', '-0.488177', '0.872744', '-3814.07', '61.1039', '5310.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '5685425', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0', '-0.605186', '0.796084', '-3813.98', '61.0647', '5310.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '5685426', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0.00983694', '0.983652', '0.00179812', '-0.179804', '-2580.22', '11.8588', '6190.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '5685427', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0.950549', '0', '0.310574', '-2575.6', '11.7298', '6179.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '5685428', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '-0.593177', '0', '0.805072', '-2589.86', '12.0006', '6181.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '5685429', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0', '0', '1', '-2589.01', '12.0098', '6181.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '5685430', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0', '0', '1', '-2589.32', '12.0029', '6181', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '5685431', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0', '0', '1', '-6216.14', '13.5077', '3389.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '5685432', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '-0.543835', '0', '0.839192', '-6215.1', '13.4739', '3388.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '5685433', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0.886627', '0', '0.462485', '-6215.72', '13.3095', '3388.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '5685434', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '-0.0992634', '-0.530424', '-0.154865', '0.827535', '-6205.06', '12.7992', '3382.52', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '5685436', '0', 'object/static/structure/naboo/shared_obelisk_naboo_theed_style_1.iff', '0', '0', '0', '1', '-6357.79', '38.9893', '1121.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '5685437', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0', '0', '1', '-6357.86', '38.4124', '1123.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '5685442', '0', 'object/static/structure/general/shared_gravestone_generic_style_01.iff', '0', '0', '0', '1', '-5689.12', '44.6885', '264.441', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '5685443', '0', 'object/static/structure/general/shared_gravestone_generic_style_02.iff', '0', '0', '0', '1', '-5691.38', '44.5695', '265.105', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '5685444', '0', 'object/static/structure/general/shared_gravestone_generic_style_02.iff', '0', '0', '0', '1', '-5694.18', '44.5054', '265.589', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '5685445', '0', 'object/static/structure/general/shared_gravestone_generic_style_03.iff', '0', '0', '0', '1', '-5697.58', '44.2772', '266.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '5685446', '0', 'object/static/structure/general/shared_gravestone_generic_style_05.iff', '0', '0', '0', '1', '-5688.1', '44.0669', '269.156', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '5685447', '0', 'object/static/structure/general/shared_gravestone_generic_style_01.iff', '0', '0', '0', '1', '-5690.6', '43.9864', '269.894', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '5685448', '0', 'object/static/structure/general/shared_gravestone_generic_style_03.iff', '0', '0', '0', '1', '-5693.25', '43.9656', '270.59', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '5685449', '0', 'object/static/structure/general/shared_gravestone_generic_style_04.iff', '0', '0', '0', '1', '-5696.36', '43.9446', '271.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '5685450', '0', 'object/static/structure/general/shared_gravestone_generic_style_05.iff', '0', '0', '0', '1', '-5687.41', '43.424', '273.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '5685451', '0', 'object/static/structure/general/shared_gravestone_generic_style_05.iff', '0', '0', '0', '1', '-5689.84', '43.3023', '274.151', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '5685452', '0', 'object/static/structure/general/shared_gravestone_generic_style_02.iff', '0', '0', '0', '1', '-5692.62', '43.3982', '274.866', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '5685453', '0', 'object/static/structure/general/shared_gravestone_generic_style_03.iff', '0', '0', '0', '1', '-5695.33', '43.499', '275.374', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '5685456', '0', 'object/static/flora/shared_flora_shrb_dath_glingi.iff', '0', '0', '0', '1', '-5696.11', '44.3802', '265.277', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '5685457', '0', 'object/static/flora/shared_flora_shrb_dath_glingi.iff', '0', '-0.597195', '0', '0.802096', '-5691.6', '43.693', '271.583', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '5685458', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s01.iff', '0.00636527', '-0.644185', '-0.00771233', '0.764804', '-5686.94', '42.3157', '277.141', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '5685460', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s01.iff', '0', '0.0649542', '0', '0.997888', '-5685.45', '42.2516', '269.029', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '5685462', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '-0.475032', '0', '0', '0.879969', '-4500.3', '84.6422', '7416.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '5685463', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0', '0', '1', '-4512.81', '79.7089', '7408.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '5685464', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0', '0', '1', '-4486.5', '80.7376', '7400.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '5685465', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '0.448423', '0', '0', '0.893822', '-4518.64', '86.7213', '7420.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '5685466', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0.292721', '-0.482841', '0.784522', '0.256328', '-4475.44', '84.9492', '7404.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '5685467', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0.644217', '0.764843', '-4483.62', '81.7473', '7410.5', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '5685468', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '-0.324043', '0.946042', '-4482.33', '81.3012', '7409.23', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '5685469', '0', 'object/static/structure/tatooine/shared_shed_junkshop_watto.iff', '0.0998334', '0', '0', '0.995004', '-3460.49', '11.2412', '911.701', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '5685470', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '0.576959', '0', '0.816773', '-3449.29', '11.6336', '916.276', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '5685471', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0.0174284', '0.580774', '0.0244127', '0.813512', '-3460.31', '11.9891', '928.008', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '5685472', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '-0.0576649', '0.978657', '0.166258', '0.106127', '-3451.16', '11.2226', '912.533', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '5705412', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '-0.707106', '0', '0.707107', '443.913', '12.6', '5050.38', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '5705413', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0', '0', '1', '421.928', '12.6', '5028.43', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '5705414', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.707106', '0', '0.707108', '399.891', '12.6', '5050.3', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '5705415', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '1', '0', '-3.20013e-08', '421.889', '12.6', '5072.3', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '6045354', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '-0.707106', '0', '0.707107', '-1803', '12', '-3079.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6045355', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '-0.707106', '0', '0.707107', '-1802.99', '12', '-3094.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6045356', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '0', '0', '1', '-1857.44', '12', '-3033.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6045357', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '0', '0', '1', '-1894.32', '12', '-3033.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6045358', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '0', '0', '1', '-1948.14', '12', '-2968.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6045359', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '0', '0', '1', '-1930.97', '12', '-2968.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6045360', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '-0.707106', '0', '0.707107', '-2033.09', '12', '-3071.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6045361', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '-0.707106', '0', '0.707107', '-2033.03', '12', '-3056.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6045364', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '0', '0', '1', '-1923.08', '12', '-3194.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6045365', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '0', '0', '1', '-1907.12', '12', '-3194.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6045369', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-1859.04', '16.9424', '-3122.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6045370', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-1884.94', '16.933', '-3122.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6045371', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-1957.5', '16.957', '-3089', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6045372', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-1957.53', '16.9345', '-3062.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6045373', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0', '0', '0', '1', '-1858.56', '11.9051', '-3054.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6045374', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0.710353', '0', '0', '0.703845', '-1875.99', '18.6408', '-3002.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6045376', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0.27336', '0.659626', '-0.644956', '0.272395', '-1989.48', '17.1861', '-3024.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6045377', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '-0.27494', '-0.645289', '0.665329', '-0.255633', '-1981.74', '17.1861', '-3016.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6045378', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-1988.04', '16.9143', '-3063.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6045379', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-1988.09', '16.9022', '-3088.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6045380', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0', '0', '0', '1', '-2003.07', '11.9051', '-3119.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6045381', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0.713921', '-0.0121922', '0.0166785', '0.699921', '-1936.21', '17.2178', '-3161.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6045382', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0.714007', '-0.00505237', '0.00967862', '0.700053', '-1947.21', '17.2178', '-3161.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6045383', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0.999983', '0.00579633', '-1901.01', '16.1426', '-3084.59', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6045384', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-1885', '16.9376', '-3152.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6045385', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-1858.99', '16.9259', '-3152.59', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6045392', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '0', '0', '1', '356.425', '11.9474', '5167.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6045393', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '-0.382683', '0', '0.92388', '314.193', '11.8824', '5172.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6045394', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '-0.707107', '0', '0.707107', '311.553', '12.1706', '5115.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6045395', '0', 'object/static/structure/general/shared_streetlamp_medium_red_style_01.iff', '0.0781433', '-0.35784', '0.198521', '0.909084', '218.52', '16.822', '5126.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6045396', '0', 'object/static/structure/general/shared_streetlamp_large_red_style_01.iff', '0', '-0.707106', '0', '0.707107', '270.699', '12.0911', '5081.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6045397', '0', 'object/static/structure/general/shared_streetlamp_large_red_style_01.iff', '0', '-0.707106', '0', '0.707107', '270.412', '12.221', '5066.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6045398', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '-0.20928', '-0.225632', '0.656612', '0.688588', '329.653', '18.2551', '5043.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6045399', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '0.92388', '0', '-0.382683', '316.692', '12.1403', '4944.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6045400', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0', '0', '0.717356', '-0.696707', '256.6', '18.2471', '4989.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6045402', '0', 'object/static/structure/general/shared_streetlamp_large_blue_style_02.iff', '0', '0.92388', '0', '-0.382683', '217.394', '11.9593', '4954.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6045403', '0', 'object/static/structure/general/shared_streetlamp_large_blue_style_02.iff', '0', '-0.382683', '0', '0.92388', '218.166', '11.8472', '4992.34', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6045404', '0', 'object/static/structure/general/shared_streetlamp_large_blue_style_02.iff', '0', '-0.382683', '0', '0.92388', '257.591', '11.9968', '4952.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6045405', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '-0.26777', '-0.273397', '0.646453', '0.660039', '323.801', '18.5422', '4880.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6045408', '0', 'object/static/structure/general/shared_streetlamp_medium_red_style_01.iff', '0', '-0.707106', '0', '0.707107', '352.532', '11.9968', '4877.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6045409', '0', 'object/static/structure/general/shared_streetlamp_medium_red_style_01.iff', '0', '-0.707106', '0', '0.707107', '356.71', '12.0855', '4849.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6045410', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '-0.707107', '0', '0.707107', '323.191', '12.0378', '5127.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6045411', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0.124675', '0', '0.992198', '504.627', '11.8015', '5192.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6045412', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '-0.613431', '0', '0.789748', '559.168', '11.89', '5135.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6045413', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0', '-0.706825', '0.707388', '537.765', '18.19', '5121.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6045414', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0.708294', '0.0873078', '-0.0890007', '0.694821', '557.587', '18.0943', '5073.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6045415', '0', 'object/static/structure/general/shared_streetlamp_large_red_style_01.iff', '0', '0.707107', '0', '0.707107', '644.581', '11.9652', '5045.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6045416', '0', 'object/static/structure/general/shared_streetlamp_large_red_style_01.iff', '0', '0.707106', '0', '0.707107', '644.641', '12.0263', '5059.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6045417', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '-0.625208', '0', '0.780458', '609.58', '11.89', '5123.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6045418', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '-0.186599', '0', '0.982436', '569.573', '11.9272', '4990.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6045419', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '-0.321865', '0', '0.946785', '523.118', '11.9169', '4989.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6045420', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '-0.382683', '0', '0.92388', '521.968', '12.1224', '5043.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6045421', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '-0.302867', '0', '0.953033', '516.481', '11.8729', '5013.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6045424', '0', 'object/static/structure/general/shared_streetlamp_large_green_style_01.iff', '0', '0.92388', '0', '-0.382683', '392.67', '12.491', '5021.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6045425', '0', 'object/static/structure/general/shared_streetlamp_large_green_style_01.iff', '0', '0.92388', '0', '0.382683', '451.14', '12.5507', '5021.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6045426', '0', 'object/static/structure/general/shared_streetlamp_large_green_style_01.iff', '0', '0.382683', '0', '0.92388', '451.49', '12.5147', '5079.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6045427', '0', 'object/static/structure/general/shared_streetlamp_large_green_style_01.iff', '0', '-0.382683', '0', '0.92388', '392.334', '12.5074', '5079.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6045430', '0', 'object/static/structure/general/shared_streetlamp_large_red_style_01.iff', '0', '0.92388', '0', '0.382683', '373.2', '11.9942', '4989.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6045434', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '-0.707106', '0', '0.707107', '462.097', '11.994', '5103.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6045438', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '-0.707106', '0', '0.707107', '597.227', '12.0193', '5049.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6045440', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_02.iff', '0', '0', '0', '1', '-2017.77', '12', '-3022.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6045441', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0.699716', '0', '0', '0.714421', '-1919.81', '13.4863', '-3025.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6255517', '0', 'object/soundobject/shared_soundobject_sparks.iff', '0', '0', '0', '1', '438.693', '34.0326', '4776.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '6595476', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0', '0', '1', '-1008.49', '12.015', '3662.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6595477', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0.744643', '0', '0.667463', '-990.608', '12.0102', '3689.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6595478', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0.9001', '0', '-0.435683', '-968.204', '12.0476', '3658.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6595479', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0', '0', '1', '505.1', '63.1033', '4038.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6595480', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0.581035', '0', '0.813878', '499.157', '62.6989', '4044.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6595481', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '-0.366273', '0', '0.930508', '498.928', '63.9559', '4025.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6595482', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0', '0', '1', '3900.7', '11.9627', '594.096', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6595483', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0.37092', '0', '0.928665', '3900.02', '11.9898', '593.745', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6595484', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '-0.42594', '0', '0.904752', '3899.91', '11.9818', '594.903', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6595485', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '-0.434965', '0', '0.900447', '3900.95', '11.936', '594.917', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6595486', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '-0.183565', '0.933682', '0.173007', '-0.254184', '3897.87', '11.7218', '597.459', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '6595487', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.443948', '0', '0.896052', '3900.11', '11.4983', '588.065', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '6595488', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0.154484', '-0.458481', '-0.279451', '0.82936', '3901.83', '11.0181', '590.343', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '6595489', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0.651834', '0.758362', '3886.6', '12.1019', '597.594', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '6595490', '0', 'object/static/structure/general/shared_prp_junk_s5.iff', '0.696135', '0', '0', '0.717911', '3888.44', '11.2776', '585.885', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6595491', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '-0.576189', '0.183076', '0.580527', '0.545415', '3881.69', '12.1222', '592.017', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6595492', '0', 'object/static/structure/general/shared_prp_junk_s2.iff', '0.69213', '0.224339', '-0.288258', '0.622523', '3890.71', '12.0527', '596.486', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6595493', '0', 'object/static/structure/corellia/shared_corl_tent_hut_s01.iff', '0', '0.720831', '0', '-0.693111', '2218.02', '3', '1889.54', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '6595494', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0.151214', '0.213524', '-0.00848719', '0.965127', '2006.48', '12.817', '4954.03', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '6595495', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0.737931', '0', '0', '0.674876', '1998.21', '13.1023', '4958.82', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '6595497', '0', 'object/static/structure/general/shared_prp_junk_s2.iff', '0.65856', '0.0329555', '-0.0375746', '0.750867', '3514.19', '91.9995', '5479.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6595498', '0', 'object/static/structure/general/shared_prp_junk_s3.iff', '-0.681605', '0.00188856', '-0.00981988', '0.731652', '3506.84', '91.3473', '5476.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6595499', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0', '0', '1', '3510.96', '91.966', '5479.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6595500', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0.430458', '0', '0.902611', '3511.44', '92.0034', '5479.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6595501', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0.727726', '0', '-0.685869', '3511.75', '91.9446', '5480.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '6595508', '0', 'object/building/lok/shared_nym_stronghold.iff', '0', '0', '0', '1', '475.129', '12', '4789.65', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '6595509', '6595508', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '6595510', '6595508', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '6595511', '6595508', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '6595512', '6595508', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '6595513', '6595508', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '6595514', '6595508', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '6595515', '6595508', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '6595516', '6595508', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '6595517', '6595508', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '6595518', '6595508', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '6595519', '6595508', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '6625591', '0', 'object/tangible/jedi/shared_force_shrine_stone.iff', '0', '0.707107', '0', '0.707107', '-3641.14', '16.6314', '-6033.8', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '6625592', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0.7071', '0', '0.707113', '-3645.57', '17.7009', '-6035.4', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '6625593', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0', '0', '1', '-3636.88', '17.3885', '-6035.37', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '6625594', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '1', '0', '0', '-3642.11', '17.3885', '-6035.41', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '6625595', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '0', '0', '1', '-3640.32', '17.3785', '-6035.46', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '6625596', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_altar.iff', '0', '0', '0', '1', '-3641.2', '-0.565099', '-6035.4', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '6625597', '0', 'object/static/particle/shared_pt_poi_electricity_2x2.iff', '0', '0', '0', '1', '-3641.14', '17.3885', '-6033.81', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '6625598', '0', 'object/tangible/jedi/shared_force_shrine_stone.iff', '0', '0.707107', '0', '0.707107', '-5806.67', '33.456', '1974.34', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '6625599', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0.707101', '0', '0.707112', '-5811.1', '34.1869', '1972.74', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '6625600', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0', '0', '1', '-5802.41', '34.1869', '1972.78', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '6625601', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '1', '0', '0', '-5807.64', '34.1869', '1972.73', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '6625602', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '0', '0', '1', '-5805.85', '34.1769', '1972.68', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '6625603', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_altar.iff', '0', '0', '0', '1', '-5806.73', '16.2333', '1972.74', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '6625604', '0', 'object/static/particle/shared_pt_poi_electricity_2x2.iff', '0', '0', '0', '1', '-5806.67', '34.1869', '1974.34', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '6625605', '0', 'object/tangible/jedi/shared_force_shrine_stone.iff', '0', '0.707107', '0', '0.707107', '-2132.77', '105.294', '5935.68', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '6625606', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0.7071', '0', '0.707113', '-2137.19', '106.38', '5934.09', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '6625607', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0', '0', '1', '-2128.5', '106.461', '5934.12', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '6625608', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '1', '0', '0', '-2133.74', '106.405', '5934.07', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '6625609', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '0', '0', '1', '-2131.94', '106.384', '5934.03', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '6625610', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_altar.iff', '0', '0', '0', '1', '-2132.83', '88.4407', '5934.09', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '6625611', '0', 'object/static/particle/shared_pt_poi_electricity_2x2.iff', '0', '0', '0', '1', '-2132.76', '106.417', '5935.68', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '6625619', '0', 'object/tangible/jedi/shared_force_shrine_stone.iff', '0', '0.707107', '0', '0.707107', '5455.11', '16.7644', '3802.51', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '6625620', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0.707101', '0', '0.707112', '5450.69', '17.8655', '3800.91', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '6625621', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0', '0', '1', '5459.37', '17.8655', '3800.95', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '6625622', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '1', '0', '0', '5454.14', '17.8655', '3800.9', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '6625623', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '0', '0', '1', '5455.93', '17.8554', '3800.85', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '6625624', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_altar.iff', '0', '0', '0', '1', '5455.05', '-0.0881558', '3800.91', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '6625625', '0', 'object/static/particle/shared_pt_poi_electricity_2x2.iff', '0', '0', '0', '1', '5455.11', '17.8655', '3802.5', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '6625626', '0', 'object/tangible/jedi/shared_force_shrine_stone.iff', '0', '0.707107', '0', '0.707107', '4978.77', '114.701', '-5677.48', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '6625627', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0.707101', '0', '0.707112', '4974.35', '114.993', '-5679.07', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '6625628', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0', '0', '1', '4983.03', '114.993', '-5679.04', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '6625629', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '1', '0', '0', '4977.8', '114.993', '-5679.08', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '6625630', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '0', '0', '1', '4979.6', '114.983', '-5679.13', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '6625631', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_altar.iff', '0', '0', '0', '1', '4978.71', '97.039', '-5679.07', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '6625632', '0', 'object/static/particle/shared_pt_poi_electricity_2x2.iff', '0', '0', '0', '1', '4978.77', '114.993', '-5677.48', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '7475354', '0', 'object/building/tatooine/shared_cave_tatooine_style_01.iff', '0', '0', '0', '1', '4772.2', '19.2437', '946.569', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '7475355', '7475354', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '7475356', '7475354', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '7475357', '7475354', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '7475358', '7475354', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '7475359', '7475354', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '7475360', '7475354', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '7475361', '7475354', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '7475362', '7475354', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '7475363', '7475354', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '7475364', '7475354', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '7475365', '7475354', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '7475366', '7475354', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '7475367', '7475354', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '7475368', '7475354', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '7475369', '7475354', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '7475370', '7475354', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '7475371', '7475354', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '7475372', '7475354', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '7475373', '7475354', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '7475374', '7475354', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '7805582', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0.968241', '0', '0.250018', '516.05', '11.9454', '4960.54', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '7805583', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0.51645', '0', '0.856318', '520.739', '11.9098', '4953.61', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '7805586', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0', '0', '1', '369.384', '11.9133', '4856.76', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '7805587', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0.999667', '0', '0.0257932', '368.486', '11.9133', '4873.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '7805588', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0.999667', '0', '0.0257932', '368.666', '11.9133', '4864.39', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '7805589', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0', '0', '1', '369.621', '12.043', '4848.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '7805590', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0.386931', '0', '0.922109', '363.634', '11.8819', '4825.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '7805603', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.707108', '0', '0.707105', '5062', '12.0815', '-5131', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '7805604', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '0', '0', '0', '1', '5066', '11.9582', '-5131', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '7805605', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '1', '0', '-2.03398e-06', '5070.01', '11.9062', '-5131.04', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '7805606', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.707108', '0', '0.707105', '5062', '12.0831', '-5132', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '7805607', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.707108', '0', '0.707105', '5071', '11.9218', '-5132', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '7805608', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '-0.707106', '0', '0.707107', '5056.5', '11.9873', '-5139.25', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '7805609', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.92388', '0', '-0.382683', '5056.14', '12.1485', '-5134.7', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '7805610', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '5058.34', '12.0479', '-5129', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '7805611', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.382683', '0', '0.92388', '5069.21', '11.9606', '-5128.25', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '7805612', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '-0.707106', '0', '0.707107', '5064.22', '11.9501', '-5127.42', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '7805613', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '-0.382683', '0', '0.92388', '5074.65', '11.9794', '-5129.23', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '7805614', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '-0.707106', '0', '0.707107', '5075.57', '12.0603', '-5134.54', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '7805615', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '5075.59', '12.0219', '-5139.65', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '7805617', '0', 'object/static/structure/corellia/shared_corl_tent_med.iff', '0', '0', '0', '1', '5065.82', '12.0557', '-5137.66', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '7805618', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '1', '0', '3.48103e-07', '274', '12.8517', '-5598', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '7805619', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '1', '0', '3.48103e-07', '290', '13.0769', '-5598', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '7805622', '0', 'object/static/structure/naboo/shared_obelisk_naboo_theed_style_1.iff', '0', '0', '0', '1', '282', '12.9429', '-5598', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '7805624', '0', 'object/static/particle/shared_particle_campfire_style_1.iff', '0', '0', '0', '1', '282.094', '29.6001', '-5598.06', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '7805626', '0', 'object/static/particle/shared_particle_campfire_style_1.iff', '0', '0', '0', '1', '281.872', '29.4889', '-5597.98', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '7805631', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_ribcage.iff', '0', '0.897911', '0', '-0.440178', '4968.96', '12.9502', '-2078.39', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '7805634', '0', 'object/static/flora/shared_flora_tree_palm_sm.iff', '0.183947', '0', '0', '0.982936', '4975.42', '12.896', '-2080.1', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '7805635', '0', 'object/static/flora/shared_flora_tree_palm_sm.iff', '-0.198034', '0.0158766', '0.0783217', '0.976932', '4975.59', '13.1986', '-2082.43', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '7805636', '0', 'object/static/flora/shared_flora_tree_palm_sm.iff', '0.242556', '0', '0', '0.970137', '4971.08', '13.2027', '-2086.13', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '7805637', '0', 'object/static/flora/shared_flora_tree_palm_sm.iff', '-0.16918', '0.000845908', '-0.0049279', '0.985572', '4970.18', '13.0111', '-2088.71', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '7805638', '0', 'object/static/structure/general/shared_planter_generic_style_4.iff', '0', '0', '0', '1', '4971.67', '0.545805', '-2086.63', '93', '1');
INSERT INTO `staticobjects` VALUES ('4', '7805639', '0', 'object/static/structure/general/shared_planter_generic_style_2.iff', '0', '0', '0', '1', '4975.87', '6.37722', '-2080.62', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '7805640', '0', 'object/static/structure/general/shared_planter_generic_style_1.iff', '0', '0', '0', '1', '4971.04', '7.85009', '-2077.27', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '7805642', '0', 'object/static/structure/tatooine/shared_shed_junkshop_watto.iff', '0', '0', '0', '1', '2714', '9.68165', '-3290', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '7805644', '0', 'object/static/structure/tatooine/shared_concrete_slab_tatooine_16x8.iff', '0', '0', '0', '1', '715.445', '5.31657', '-3380.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '7805645', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '719.997', '13.2553', '-3384.63', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '7805646', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '719.997', '13.2104', '-3382.63', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '7805647', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '719.997', '13.2026', '-3380.63', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '7805648', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '719.997', '13.2323', '-3378.63', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '7805649', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '719.997', '13.2281', '-3376.63', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '7805650', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '711.341', '13.2899', '-3384.66', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '7805651', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '711.341', '13.269', '-3382.66', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '7805652', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '711.341', '13.226', '-3380.66', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '7805653', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '711.341', '13.2422', '-3378.66', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '7805654', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '711.341', '13.1708', '-3376.66', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '7805656', '0', 'object/static/structure/general/shared_poi_all_monolith_s01.iff', '0', '0.430458', '0', '0.902611', '3466.87', '64.3802', '-383.136', '175', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806019', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '-0.707106', '0', '0.707107', '5519', '11.9392', '-6002', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806020', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '-0.707106', '0', '0.707107', '5519', '11.918', '-6006', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806021', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.707107', '0', '-0.707107', '5523', '11.9309', '-6006', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806022', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '-0.707106', '0', '0.707107', '5527', '11.9424', '-6006', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806023', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.707107', '0', '-0.707107', '5531', '11.9518', '-6006', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806024', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.707107', '0', '-0.707107', '5535', '11.9403', '-6006', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806025', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.707107', '0', '-0.707107', '5539', '11.9199', '-6006', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806026', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.707107', '0', '-0.707107', '5543', '11.9287', '-6006', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806027', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.707107', '0', '-0.707107', '5547', '11.9115', '-6006', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806028', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.707107', '0', '-0.707107', '5551', '11.9147', '-6006', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806029', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.707107', '0', '-0.707107', '5543', '11.9368', '-6002', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806030', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.707107', '0', '-0.707107', '5547', '11.9268', '-6002', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806031', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.707107', '0', '-0.707107', '5539', '11.9324', '-6002', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806032', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.707107', '0', '-0.707107', '5535', '11.9222', '-6002', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806033', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.707107', '0', '-0.707107', '5531', '11.9171', '-6002', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806034', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.707107', '0', '-0.707107', '5527', '11.9112', '-6002', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806035', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.707107', '0', '-0.707107', '5523', '11.9141', '-6002', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806036', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.707107', '0', '-0.707107', '5551', '11.9247', '-6002', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806037', '0', 'object/static/flora/shared_flora_tree_palm_fngi.iff', '0', '0.394019', '0', '0.919102', '5519.82', '12.0909', '-6005.27', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806038', '0', 'object/static/flora/shared_flora_tree_palm_fngi.iff', '0', '0.862404', '0', '-0.50622', '5522.84', '12.0761', '-6003.3', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806039', '0', 'object/static/flora/shared_flora_tree_palm_fngi.iff', '0', '0.281158', '0', '0.959662', '5525.99', '12.1291', '-6005.17', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806040', '0', 'object/static/flora/shared_flora_tree_palm_fngi.iff', '0', '0.862404', '0', '-0.50622', '5530.34', '12.0709', '-6003.36', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806041', '0', 'object/static/flora/shared_flora_tree_palm_fngi.iff', '0', '0.862404', '0', '-0.50622', '5548.52', '12.0487', '-6003.21', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806042', '0', 'object/static/flora/shared_flora_tree_palm_fngi.iff', '0', '0.862404', '0', '-0.50622', '5541.02', '12.054', '-6003.16', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806043', '0', 'object/static/flora/shared_flora_tree_palm_fngi.iff', '0', '0.281158', '0', '0.959661', '5544.17', '12.107', '-6005.02', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806044', '0', 'object/static/flora/shared_flora_tree_palm_fngi.iff', '0', '0.394019', '0', '0.919102', '5538', '12.0687', '-6005.12', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806049', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '0.707106', '0', '0.707107', '-1845.13', '12', '-3072.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806050', '0', 'object/tangible/terminal/shared_terminal_mission_imperial.iff', '0', '0.707106', '0', '0.707107', '-1846.9', '12', '-3101.48', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806052', '0', 'object/tangible/terminal/shared_terminal_mission_imperial.iff', '0', '0.707106', '0', '0.707107', '-1846.9', '12', '-3098.36', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806054', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '0.707106', '0', '0.707107', '-1846.98', '12', '-3099.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806055', '0', 'object/building/corellia/shared_filler_slum_16x16_s01.iff', '0', '0.999816', '0', '0.0192025', '1548.48', '25.1006', '-6424.4', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806056', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '-0.707102', '0', '0', '0.707111', '215.187', '19.7732', '-5970.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806057', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '6182.8', '11.9241', '-5551.79', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806062', '0', 'object/static/structure/general/shared_atst_debris_01.iff', '0', '0.85032', '0', '0.526266', '6509.75', '17.7005', '-2013.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806064', '0', 'object/static/structure/general/shared_atst_destroyed.iff', '0.109372', '0.876915', '0.23798', '-0.403017', '6515.93', '18.2625', '-2013.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806065', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '3660.32', '14.9344', '-4132.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806066', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0.653282', '-0.270598', '-0.653281', '-0.270598', '3659.33', '15.6778', '-4133.05', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806067', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '-0.382683', '0', '0', '0.92388', '3660.31', '9.86344', '-4126.27', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806068', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '-0.270598', '0.653281', '0.270598', '0.653282', '3666.09', '9.86986', '-4133.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806069', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0.382683', '0', '0', '0.92388', '3660.32', '9.16224', '-4138.18', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806070', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '3638.59', '16.1985', '-4149.87', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806071', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0.653282', '-0.270598', '-0.653281', '-0.270598', '3637.6', '17.1496', '-4150.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806072', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '-0.382683', '0', '0', '0.92388', '3638.56', '11.307', '-4144.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806073', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '-0.270598', '0.653281', '0.270598', '0.653282', '3644.37', '11.4232', '-4150.85', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806074', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0.382683', '0', '0', '0.92388', '3638.64', '10.6626', '-4155.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806075', '0', 'object/static/structure/corellia/shared_corl_tent_small.iff', '0', '0', '0', '1', '1466.86', '15.6251', '-4462.72', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806076', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '-0.271547', '0.962425', '1473.6', '15.8849', '-4463.69', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806077', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '1467.1', '15.2705', '-4464.61', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806078', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '-0.498918', '0.721499', '-0.273076', '0.394903', '1468.65', '15.5779', '-4454.09', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806080', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '-0.707106', '0', '0.707107', '4489.46', '11.3996', '-2827.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806081', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0.00331566', '0.663127', '0.00374248', '0.74849', '4481.91', '13.1162', '-2827.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806082', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0', '0', '1', '4497.99', '12.9152', '-2827.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806083', '0', 'object/static/structure/general/shared_skeleton_ancient_s01.iff', '0', '-0.597195', '0', '0.802096', '4572.49', '11.9912', '-1151.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806084', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0.882145', '0', '0.470977', '-6156', '91.7515', '6207', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806086', '0', 'object/static/structure/tatooine/shared_shed_junkshop_watto.iff', '0', '0', '0', '1', '-6151', '89.6225', '6202', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806088', '0', 'object/static/particle/shared_particle_newbie_steam.iff', '0', '0', '0', '1', '-5965.42', '91.969', '6382.38', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806089', '0', 'object/static/structure/corellia/shared_corl_tent_hut_s01.iff', '0', '-0.333487', '0', '0.942755', '-6038.47', '12.6202', '-292.547', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806090', '0', 'object/building/endor/shared_endr_lake_rail8m.iff', '0', '0.92388', '0', '-0.382683', '-6036.19', '12.8405', '-287.793', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806091', '0', 'object/building/endor/shared_endr_lake_rail8m.iff', '0', '0.92388', '0', '-0.382683', '-6033.07', '13.0602', '-284.992', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806092', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '-0.382683', '0', '0.92388', '-6037.45', '12.9065', '-283.697', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806093', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '-0.0114788', '-0.382511', '0.0277122', '0.923464', '-6031.95', '13.0095', '-289.082', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806100', '0', 'object/static/flora/shared_potted_plant_leaves_ivy.iff', '0', '0', '0', '1', '-6037.37', '12.586', '-285.566', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806101', '0', 'object/static/flora/shared_potted_plant_leaves_ivy.iff', '0', '0', '0', '1', '-6036.29', '12.5483', '-286.534', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806102', '0', 'object/static/flora/shared_potted_plant_leaves_ivy.iff', '0', '0', '0', '1', '-6035.24', '12.5575', '-287.549', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806103', '0', 'object/static/flora/shared_potted_plant_leaves_ivy.iff', '0', '0', '0', '1', '-6034.09', '12.5502', '-288.675', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806104', '0', 'object/static/flora/shared_potted_plant_leaves_ivy.iff', '0', '0', '0', '1', '-6035.81', '12.6415', '-284.027', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806105', '0', 'object/static/flora/shared_potted_plant_leaves_ivy.iff', '0', '0', '0', '1', '-6034.73', '12.6039', '-284.995', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806106', '0', 'object/static/flora/shared_potted_plant_leaves_ivy.iff', '0', '0', '0', '1', '-6033.67', '12.613', '-286.01', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806107', '0', 'object/static/flora/shared_potted_plant_leaves_ivy.iff', '0', '0', '0', '1', '-6032.52', '12.6057', '-287.136', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806119', '0', 'object/static/structure/naboo/shared_obelisk_naboo_theed_style_3.iff', '0', '0', '0', '1', '-316.486', '2.47695', '-3225.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806121', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '-324', '11.9941', '-3223', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806122', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '-319', '11.8481', '-3223', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806123', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '-314', '12.0016', '-3223', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806124', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '-308', '11.9711', '-3223', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806133', '0', 'object/static/structure/tatooine/shared_stair_tatooine_large_style_01.iff', '0', '1', '0', '-3.20013e-08', '472.913', '6.1532', '4899.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806135', '0', 'object/static/structure/tatooine/shared_bridge_tatooine_small_style_01.iff', '0', '0', '0', '1', '472.913', '22.1232', '4915.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806136', '0', 'object/static/structure/tatooine/shared_bridge_tatooine_small_style_01.iff', '0', '0', '0', '1', '481.024', '22.1232', '4915.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806137', '0', 'object/static/structure/tatooine/shared_stair_tatooine_large_style_01.iff', '0', '1', '0', '0', '481.023', '6.1532', '4899.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806148', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0', '0', '1', '477.556', '21.7681', '4919.4', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806149', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0', '0', '1', '485.225', '21.7452', '4919.4', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806156', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0', '0', '1', '469.63', '21.7454', '4919.4', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806157', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0.707105', '0', '0.707108', '460.801', '21.7454', '4918.62', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806158', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0.707095', '0', '0.707118', '493.205', '21.7454', '4918.63', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806166', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_head_style_02.iff', '0.581041', '0.0011642', '-0.0011642', '0.813873', '477.1', '30.0267', '4919.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806167', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_head_style_02.iff', '-0.000746086', '0.804603', '-0.593811', '-0.00146731', '477.118', '30.0267', '4918.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806168', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '476.992', '29.0531', '4918.85', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806181', '0', 'object/static/structure/tatooine/shared_skeleton_greater_krayt_spine_large.iff', '0', '0.707106', '0', '0.707108', '479.474', '29.8174', '4918.62', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '7806182', '0', 'object/static/structure/tatooine/shared_skeleton_greater_krayt_spine_large.iff', '0', '0.707108', '0', '-0.707105', '474.56', '29.7531', '4919.14', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '7855901', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '0', '0.518418', '0', '0.855127', '481.72', '23', '4961.27', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '7895585', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0', '0', '1', '438.899', '12', '5126.82', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '7895587', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0', '0', '1', '436.899', '12', '5126.82', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '7895589', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0', '0', '1', '434.899', '12', '5126.82', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '7895596', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0.998488', '0', '0.0549723', '479.647', '11.8678', '5015.6', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '7895598', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0.998988', '0', '0.0449848', '478.38', '11.873', '5015.56', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '7895600', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.9989', '0', '0.046886', '481.358', '11.8499', '5015.75', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '7895604', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0', '0', '1', '363.153', '12.0515', '5104.65', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '7895607', '0', 'object/tangible/furniture/all/shared_frn_all_professor_desk.iff', '0', '0', '0', '1', '363.19', '11.8894', '5102.78', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '7895608', '0', 'object/static/item/shared_item_tech_console_sectional_a.iff', '0', '0.707106', '0', '0.707107', '360.273', '11.6233', '5104.6', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095809', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_01.iff', '0', '-0.149438', '0', '0.988771', '-102.028', '12', '2699.3', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095811', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.819192', '0', '0.57352', '-95.9783', '12', '2721.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095825', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '-0.0349923', '0', '0.999388', '-75.1277', '12', '2684.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095826', '0', 'object/static/structure/tatooine/shared_shed_junkshop_watto.iff', '0', '0.271547', '0', '0.962425', '-68.4823', '12', '2705.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095827', '0', 'object/static/structure/tatooine/shared_tent_house_tatooine_style_01.iff', '0', '0.42141', '0', '0.90687', '-57.2804', '12', '2731.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095828', '0', 'object/static/structure/tatooine/shared_tent_house_tatooine_style_01.iff', '0', '0.996457', '0', '-0.0841041', '-61.1141', '12', '2687.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095829', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.996457', '0', '-0.0841049', '-66.1553', '12', '2736.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095831', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.149438', '0', '0.988771', '-115.443', '12', '2693.34', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095832', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '0.384808', '0', '0.922997', '-110.391', '12', '2682.49', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095833', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '-0.518418', '0', '0.855127', '-45.6803', '12', '2696.17', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095835', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.710353', '0', '-0.703845', '-95.9408', '12', '2673.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095837', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.203567', '0', '0.979061', '-61.9534', '12', '2678.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095838', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.443948', '0', '0.896052', '-55.5437', '12', '2682.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095839', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.314566', '0', '0.949235', '-49.0283', '12', '2688.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095840', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '0.21823', '0', '0.975897', '-47.0996', '12', '2691.54', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095841', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '-0.149438', '0', '0.988771', '-112.869', '12', '2686.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095842', '0', 'object/static/structure/tatooine/shared_wall_damaged_tatooine_large_style_01.iff', '0', '0.786671', '0', '-0.617372', '-66.5402', '12', '2676.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095843', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.993395', '0', '0.114747', '-71.0593', '12', '2675.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095844', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '0.995415', '0', '0.0956499', '-74.9377', '12', '2674.91', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095845', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0', '0.727726', '0', '-0.685868', '-83.5083', '12', '2674', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095846', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0', '0.849481', '0', '0.52762', '-104.531', '12.0207', '2677.2', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095848', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.306575', '0', '0.951846', '-85.5901', '12', '2674.24', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095849', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '-0.0399893', '0', '0.9992', '-45.8566', '12', '2703.82', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095850', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0.119712', '0', '0.992809', '-52.9015', '12', '2739.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095851', '0', 'object/static/structure/tatooine/shared_wall_damaged_tatooine_large_style_01.iff', '0', '0.777072', '0', '0.629412', '-57.7885', '12', '2739.76', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095852', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.119712', '0', '0.992809', '-61.3392', '12', '2741.27', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095854', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.717356', '0', '0.696706', '-70.16', '12', '2741.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095855', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.717356', '0', '0.696707', '-77.9097', '12', '2741.05', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095856', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '0.992713', '0', '0.120503', '-82.4073', '12', '2740.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095857', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '0.352275', '0', '0.935897', '-110.088', '12', '2727.08', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095858', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.918788', '0', '0.394751', '-115.598', '12', '2720.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095860', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.986287', '0', '0.165038', '-118.497', '12', '2700.68', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095861', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '0.996738', '0', '0.0807082', '-119.149', '12', '2705.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095862', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0.737931', '0', '-0.674876', '-120.043', '12', '2710.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095863', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0', '0.994043', '0', '-0.108987', '-116.506', '12', '2718.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095864', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '0.470626', '0', '0.882333', '-51.0299', '12.0077', '2735.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095866', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '-0.0362584', '-0.12797', '-0.0700753', '0.988635', '-103.151', '12', '2713.4', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095867', '0', 'object/static/structure/corellia/shared_corl_power_arial_prime.iff', '0.352908', '0.674185', '-0.0677768', '-0.645242', '-108.744', '12', '2714.62', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095869', '0', 'object/static/particle/shared_pt_poi_broken_electronics.iff', '0', '0', '0', '1', '-103.819', '14.6009', '2713.43', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095870', '0', 'object/soundobject/shared_soundobject_sparks.iff', '0', '0', '0', '1', '-103.161', '12', '2712.35', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095871', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '-0.0832404', '0.97883', '0.183149', '-0.0376633', '-99.4047', '12.4662', '2680.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095872', '0', 'object/static/particle/shared_pt_steam.iff', '-0.339543', '0.047849', '0.131083', '0.930182', '-98.0556', '14.5793', '2681.46', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095873', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0', '-0.594458', '0', '0.804127', '-85.7703', '12', '2738.49', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095874', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0', '0.836899', '0', '-0.547358', '-97.509', '12', '2725.81', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095875', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0', '0.941344', '0', '-0.337447', '-49.0976', '12', '2712.27', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095876', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0', '-0.114746', '0', '0.993395', '-46.292', '12.0211', '2734.26', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095877', '0', 'object/soundobject/shared_soundobject_quiet_steam.iff', '0', '0', '0', '1', '-97.6599', '12', '2679.91', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095878', '0', 'object/static/structure/general/shared_prp_junk_s2.iff', '-0.118465', '-0.139773', '0.00259624', '0.983068', '-71.707', '14.6774', '2735.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095879', '0', 'object/static/structure/general/shared_prp_junk_s4.iff', '-0.139309', '0.988985', '0.0417863', '0.027473', '-74.9202', '12.6854', '2735.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095880', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0.366273', '0', '0.930508', '-84.6827', '12', '2676.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095881', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '-0.227978', '0', '0.973666', '-87.0562', '11.8497', '2676.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095882', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '-0.58784', '-0.143854', '-0.189231', '0.773267', '-80.1149', '12', '2676.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095883', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '-0.0905574', '0.320956', '-0.256002', '0.907331', '-105.755', '12.2789', '2681.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095884', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0', '-0.624897', '0.780707', '-107.351', '12.1811', '2677.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095885', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.488177', '0', '0', '0.872745', '-100.982', '12', '2678.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095886', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0.443948', '0', '0.896052', '-48.5772', '11.8551', '2701.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095887', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.360535', '0.539565', '-0.274081', '0.709763', '-41.8877', '12.0729', '2702.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095888', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.465493', '0.767828', '-0.228196', '0.376408', '-43.2195', '12.2761', '2708.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095889', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.289352', '0.57051', '-0.224568', '0.735094', '-51.2638', '12.5062', '2707.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095890', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0', '0.744643', '-0.667463', '-50.5368', '12.2315', '2727.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095891', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.388717', '0.30382', '-0.137504', '0.858886', '-47.5441', '12', '2728.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095892', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0.384808', '0', '0.922997', '-45.9937', '11.9055', '2730.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095895', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.789415', '0.0118421', '-0.00920584', '0.613677', '-49.1275', '12.1828', '2726.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095896', '0', 'object/static/structure/general/shared_prp_junk_s1.iff', '-0.128651', '0.990064', '-0.0563413', '0.00693635', '-77.7286', '12.2713', '2735.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095897', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '-0.558962', '0.708605', '-0.382526', '0.197774', '-72.7729', '12', '2733.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095898', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '-0.0576491', '-0.0553439', '-0.690322', '0.719075', '-65.5287', '12.3829', '2730.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095899', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '-0.42594', '0', '0.904752', '-76.5216', '12', '2733.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095900', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '-0.483807', '0', '0.875175', '-72.0829', '12', '2738.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095901', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0.609159', '0', '0.793048', '-71.606', '12', '2737.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095902', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '-0.183947', '0', '0.982936', '-74.3975', '12', '2732.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095903', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0.281157', '0', '0.959662', '-71.2866', '12', '2733.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095904', '0', 'object/static/particle/shared_pt_burning_smokeandembers_large.iff', '0', '0', '0', '1', '-74.5457', '12', '2735.76', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095905', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.932039', '0', '0.362358', '-63.5423', '12', '2709.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095906', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0.19496', '-0.605142', '0.242261', '0.732873', '-65.24', '11.7302', '2711.69', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095907', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '-0.232232', '0.808732', '-0.131935', '0.524036', '-65.8265', '12', '2710.21', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095908', '0', 'object/static/structure/general/shared_prp_junk_s7.iff', '0.900424', '-0.0112939', '0.434865', '-0.0009959', '-91.226', '12.9609', '2744.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095909', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.930215', '0', '-0.367013', '-49.6094', '12', '2707.25', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095910', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.999168', '0', '-0.0407854', '-39.8421', '12.0153', '2735.27', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095911', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '-0.617058', '0', '0.786918', '-111.005', '11.7588', '2732.82', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095912', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '-0.227977', '0', '0.973666', '-101.969', '11.7464', '2725.54', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095913', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.95209', '0', '-0.305817', '-83.1066', '12', '2733.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095914', '0', 'object/static/structure/general/shared_prp_junk_s3.iff', '-0.0343111', '-0.484252', '0.174053', '0.856755', '-51.3171', '12', '2696.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095915', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '-0.333487', '0', '0.942755', '-54.2771', '12', '2696.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095916', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0.470626', '0', '0.882333', '-52.9386', '12', '2694.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095917', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0.439462', '0', '0.898261', '-60.9437', '12', '2695.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095918', '0', 'object/static/particle/shared_pt_burning_smokeandembers_md.iff', '0', '0', '0', '1', '-54.2903', '12', '2696.91', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095919', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.681639', '0', '0.731689', '-79.0245', '12', '2717.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095920', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '-0.548082', '0.631625', '0.192895', '-0.513272', '-95.7472', '12', '2684.7', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095924', '0', 'object/static/structure/tatooine/shared_wall_gate_tatooine_style_02.iff', '-0.240874', '0.306684', '-0.494372', '0.776866', '-35.8822', '11.0295', '2716.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095925', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0', '0.203568', '0', '0.979061', '-31.1704', '11.9133', '2713.22', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8095928', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.67461', '-0.307638', '-0.207533', '0.638114', '-34.6655', '11.7465', '2711.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145352', '0', 'object/building/tatooine/shared_hotel_tatooine_style_01.iff', '0', '0', '0', '1', '419.977', '12', '5106.75', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145353', '8145352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145354', '8145352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195815', '8145354', 'object/tangible/furniture/modern/shared_cabinet_modern_style_01.iff', '0', '-0.0054014', '0', '0.999985', '-3.48357', '0.999959', '18.7826', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195816', '8145354', 'object/tangible/furniture/modern/shared_cabinet_modern_style_01.iff', '0', '0', '0', '1', '3.59813', '0.999959', '18.7749', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195820', '8145354', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s1.iff', '0', '0', '0', '1', '-0.0936251', '0.999959', '19.7419', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145355', '8145352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195535', '8145355', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '-0.000403334', '0', '1', '0.0355686', '0.999954', '17.8738', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195536', '8145355', 'object/static/item/shared_item_fruit_melon.iff', '0', '0.163857', '0', '0.986484', '-0.0794905', '1.79051', '17.9454', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195538', '8145355', 'object/static/item/shared_item_fruit_melon.iff', '0', '-0.497227', '0', '0.86762', '-0.19032', '1.82214', '17.7377', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195539', '8145355', 'object/static/item/shared_item_fruit_melon.iff', '-0.230868', '-0.17428', '-0.056595', '0.955575', '0.22114', '1.81738', '18.015', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195540', '8145355', 'object/static/item/shared_item_bowl_shallow.iff', '0', '-0.0104012', '0', '0.999946', '0.0887265', '1.79051', '17.7658', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195541', '8145355', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '0.999989', '0', '0.00460356', '-2.72531', '0.999938', '18.0016', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195542', '8145355', 'object/static/item/shared_item_painting_corellia_style_01.iff', '0', '0.714144', '0', '-0.699999', '-1.67808', '0.999936', '18.4234', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195543', '8145355', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '-0.0104012', '0', '0.999946', '2.39291', '0.999937', '18.0195', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195544', '8145355', 'object/static/item/shared_item_painting_corellia_style_02.iff', '0', '0.707378', '0', '-0.706836', '2.02767', '0.999948', '18.4522', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195545', '8145355', 'object/tangible/furniture/modern/shared_rug_rect_sml_s01.iff', '0', '-0.707107', '0', '0.707107', '-0.124328', '0.999964', '15.9885', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195812', '8145355', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-0.949049', '0.999932', '15.8967', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145356', '8145352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '1033398', '8145356', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.00269807', '0', '0.999996', '4.40961', '1.23982', '-21.9945', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '1033399', '8145356', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.00269807', '0', '0.999996', '0.336786', '1.23892', '-21.9113', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '1033400', '8145356', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '0.00269807', '0', '0.999996', '-1.08453', '1.04911', '-16.0359', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '1033401', '8145356', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '0.00269807', '0', '0.999996', '9.55948', '1.05007', '-16.153', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '1033402', '8145356', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.00269807', '0', '0.999996', '8.45005', '1.23982', '-22.1387', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195546', '8145356', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '-0.3248', '0', '0.945783', '1.86738', '1.00001', '-1.12906', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195547', '8145356', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.275588', '0', '0.961276', '-0.547245', '1.00001', '-1.5503', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195548', '8145356', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0.677968', '0', '0.735091', '0.600375', '1', '0.072542', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195549', '8145356', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.915759', '0', '-0.401728', '1.76874', '1', '1.29885', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195550', '8145356', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.888561', '0', '0.458758', '-0.768661', '1.00001', '1.17943', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195551', '8145356', 'object/tangible/furniture/modern/shared_couch_modern_style_02.iff', '0', '0.710355', '0', '-0.703844', '9.03738', '1.00001', '-6.94542', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195552', '8145356', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.106298', '0', '0.994334', '-4.87519', '1.00002', '-4.71099', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195554', '8145356', 'object/tangible/furniture/modern/shared_end_table_large_modern_style_01.iff', '0', '0.931347', '0', '0.364132', '-3.80284', '1.00001', '-6.10427', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195555', '8145356', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '-0.703301', '0', '0.710892', '6.76322', '0.999995', '-6.99204', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195556', '8145356', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.994377', '0', '-0.1059', '6.53656', '1.00002', '11.5831', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195557', '8145356', 'object/tangible/furniture/modern/shared_end_table_large_modern_style_01.iff', '0', '-0.364505', '0', '0.931202', '8.17545', '1.00002', '10.4919', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195558', '8145356', 'object/tangible/furniture/modern/shared_couch_modern_style_02.iff', '0', '-0.698358', '0', '0.715749', '9.02207', '1.00001', '7.63231', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195559', '8145356', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0', '0', '1', '-6.60052', '0.999942', '8.35462', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195560', '8145356', 'object/static/flora/shared_potted_plant_leaves_ivy.iff', '0', '0', '0', '1', '6.51072', '1.00001', '-11.6552', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195795', '8145356', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '0.917222', '0.998192', '-14.7963', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195796', '8145356', 'object/soundobject/shared_soundobject_city_crowd_sentients_large.iff', '0', '0', '0', '1', '0.784089', '1', '-2.9547', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195797', '8145356', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-0.295505', '0.999957', '11.6005', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145357', '8145352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195566', '8145357', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_3.iff', '0', '-0.685291', '0', '0.72827', '15.1788', '1.2831', '7.13784', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195568', '8145357', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_2.iff', '0', '0.875176', '0', '-0.483806', '16.6311', '1.28309', '-11.2194', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195574', '8145357', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_3.iff', '0', '0.75128', '0', '0.659984', '23.4393', '1.28309', '5.33842', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195578', '8145357', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_3.iff', '0', '0.713862', '0', '0.700287', '26.0575', '1.2831', '-2.9052', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195580', '8145357', 'object/static/item/shared_item_glass_metal.iff', '0', '0.921372', '0', '-0.388682', '26.2968', '1.28309', '-2.97015', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195581', '8145357', 'object/static/item/shared_item_glass_metal.iff', '0', '0.924605', '0', '0.380928', '15.3036', '1.28309', '6.94349', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195582', '8145357', 'object/static/item/shared_item_glass_metal.iff', '0', '0.50553', '0', '0.862809', '16.6914', '1.28309', '-10.863', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195583', '8145357', 'object/static/item/shared_item_glass_metal.iff', '0', '0.50553', '0', '0.862809', '16.9418', '1.28309', '-11.5359', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195584', '8145357', 'object/static/item/shared_item_con_plate_s1_full.iff', '0', '0.677968', '0', '0.735091', '23.56', '2.01042', '5.51542', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195590', '8145357', 'object/static/item/shared_item_bottle_fat.iff', '0', '0.50553', '0', '0.862809', '16.3658', '1.99573', '-11.3561', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195597', '8145357', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_3.iff', '0', '0.75128', '0', '0.659984', '18.921', '1.28309', '-2.38918', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195599', '8145357', 'object/static/item/shared_item_con_plate_s1_full.iff', '0', '0.677967', '0', '0.735092', '19.0418', '2.01042', '-2.21194', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195600', '8145357', 'object/static/flora/shared_potted_plant_leaves_fern.iff', '0', '0', '0', '1', '13.9401', '1.28309', '10.3316', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195601', '8145357', 'object/tangible/microphone/shared_microphone.iff', '0', '0', '0', '1', '22.6541', '2.04376', '-13.964', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195606', '8145357', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.0349928', '0', '0.999388', '25.99', '1.28309', '-4.48001', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195613', '8145357', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.999388', '0', '-0.034993', '25.7749', '1.28309', '-1.22314', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195614', '8145357', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.764329', '0', '0.644826', '24.794', '1.28309', '-2.79995', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195615', '8145357', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.034993', '0', '0.999388', '23.4112', '1.28309', '3.96202', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195616', '8145357', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.68193', '0', '0.731417', '24.853', '1.28309', '5.22649', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195617', '8145357', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.999388', '0', '-0.034993', '23.5126', '1.28309', '6.87894', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195618', '8145357', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.731418', '0', '0.68193', '21.9507', '1.28309', '5.637', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195619', '8145357', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.999388', '0', '-0.034993', '19.0777', '1.28309', '-0.624262', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195620', '8145357', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.68193', '0', '0.731417', '20.3477', '1.28309', '-2.37941', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195621', '8145357', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.034993', '0', '0.999388', '19.0332', '1.28309', '-3.93395', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195622', '8145357', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.731418', '0', '0.68193', '17.441', '1.28309', '-2.29685', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195623', '8145357', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.034993', '0', '0.999388', '16.5146', '1.28309', '-12.6641', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195624', '8145357', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.999388', '0', '-0.034993', '16.6478', '1.28309', '-9.36796', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195625', '8145357', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.68193', '0', '0.731417', '18.0799', '1.28309', '-11.2309', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195626', '8145357', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.034993', '0', '0.999388', '14.8546', '1.28309', '6.08556', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195627', '8145357', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.68193', '0', '0.731417', '16.7219', '1.28309', '7.29991', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195628', '8145357', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.999388', '0', '-0.034993', '14.9915', '1.28309', '9.1357', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195629', '8145357', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0', '-0.707107', '0', '0.707107', '12.4649', '1.28309', '-16.4328', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195630', '8145357', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_3.iff', '0', '0.75128', '0', '0.659984', '21.2031', '1.2831', '-8.94834', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195631', '8145357', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.999388', '0', '-0.034993', '21.3597', '1.28309', '-7.18321', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195632', '8145357', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.681929', '0', '0.731418', '22.6298', '1.28309', '-8.93858', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195633', '8145357', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.034993', '0', '0.999388', '21.3152', '1.28309', '-10.4933', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195634', '8145357', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.731418', '0', '0.68193', '19.7231', '1.28309', '-8.85606', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195636', '8145357', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff', '0', '0.677972', '0', '0.735088', '13.8997', '1.28309', '-11.0416', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195798', '8145357', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '22.3756', '1.28309', '8.00023', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195799', '8145357', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '16.0066', '1.28309', '-15.6189', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145358', '8145352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '1033392', '8145358', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '-0.0123016', '0', '0.999924', '-15.925', '1.00094', '-0.108233', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '1033393', '8145358', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '-0.0123016', '0', '0.999924', '-16.0189', '1.00095', '4.26063', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '1033394', '8145358', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.715753', '0', '-0.698354', '-12.3388', '1.00077', '-0.0439514', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '1033395', '8145358', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.698354', '0', '0.715753', '-12.1356', '1.00062', '-0.0595819', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '1033396', '8145358', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.707387', '0', '0.706826', '-12.1048', '1.00088', '4.24816', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '1033397', '8145358', 'object/tangible/gambling/slot/shared_standard.iff', '0', '-0.706831', '0', '0.707383', '-12.3072', '1.00073', '4.26933', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195671', '8145358', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff', '0', '0.707107', '0', '0.707107', '-20.1314', '1', '-4.39278', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195672', '8145358', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff', '0', '0.380188', '0', '0.924909', '-12.3039', '1.00051', '8.99544', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195673', '8145358', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '0.924909', '0', '-0.380188', '-11.3064', '1.0009', '9.91018', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195675', '8145358', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.380188', '0', '0.924909', '-13.4827', '1.00057', '7.61678', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195678', '8145358', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.305059', '0', '0.952334', '-20.2882', '1.00047', '-2.1862', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195679', '8145358', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '-20.0631', '1.34885', '-2.38674', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195680', '8145358', 'object/static/item/shared_item_painting_corellia_style_01.iff', '0', '1', '0', '3.20013e-08', '-26.6623', '1.7654', '1.01844', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195800', '8145358', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '-15.6784', '1.00075', '0.456152', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145359', '8145352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195682', '8145359', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '1', '-1.27012e-14', '2.42736e-07', '3.20013e-08', '-15.3873', '9.8464', '-9.32334', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145360', '8145352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195716', '8145360', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.677974', '0', '0.735086', '-5.22267', '1.6', '-14.2537', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195717', '8145360', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.824884', '0', '0.565302', '-8.39123', '1.6', '-14.2791', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195718', '8145360', 'object/tangible/furniture/modern/shared_dining_table_modern_style_01.iff', '0', '0.710355', '0', '-0.703844', '-6.85707', '1.6', '-12.5345', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195719', '8145360', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff', '0', '0.713865', '0', '-0.700283', '-3.02043', '1.6', '-15.6048', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195720', '8145360', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff', '0', '0.713865', '0', '-0.700283', '-3.00383', '1.6', '-10.8056', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195721', '8145360', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '0.713866', '0', '-0.700283', '-9.78607', '1.6', '-14.9498', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195722', '8145360', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0.533924', '0.494781', '-0.463582', '0.505181', '-10.2738', '2.81879', '-14.982', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195723', '8145360', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s01.iff', '0', '0.968715', '0', '-0.248174', '-6.60402', '2.61193', '-12.2742', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195724', '8145360', 'object/tangible/furniture/modern/shared_cabinet_modern_style_01.iff', '0', '0.999991', '0', '0.00420639', '-7.48172', '1.6', '-5.16858', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195725', '8145360', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.699713', '0', '0.714424', '-5.25834', '1.6', '-11.2893', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195726', '8145360', 'object/static/item/shared_item_glass_metal.iff', '0', '-0.696138', '0', '0.717909', '-10.2219', '1.6', '-13.6897', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195727', '8145360', 'object/static/item/shared_item_bottle_tall.iff', '0', '-0.61312', '0', '0.78999', '-9.92729', '3.21276', '-14.9511', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195728', '8145360', 'object/static/item/shared_item_glass_metal.iff', '0', '-0.61312', '0', '0.78999', '-10.0725', '1.6', '-16.009', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195729', '8145360', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '-0.61312', '0', '0.78999', '-10.0728', '3.21276', '-15.6629', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195730', '8145360', 'object/static/item/shared_item_bottle_pear.iff', '0', '-0.61312', '0', '0.78999', '-10.0058', '3.21276', '-14.6475', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195731', '8145360', 'object/static/item/shared_item_jar_spice_red.iff', '0', '-0.61312', '0', '0.78999', '-10.1838', '3.21276', '-14.2066', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195732', '8145360', 'object/static/item/shared_item_glass_metal.iff', '0', '-0.61312', '0', '0.78999', '-10.0672', '1.6', '-16.3314', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195733', '8145360', 'object/static/item/shared_item_glass_metal.iff', '0', '-0.61312', '0', '0.78999', '-9.8964', '1.6', '-13.8142', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195734', '8145360', 'object/static/item/shared_item_bottle_pear.iff', '0', '-0.61312', '0', '0.78999', '-10.0133', '3.21276', '-15.293', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195735', '8145360', 'object/static/item/shared_item_glass_metal.iff', '0', '-0.696138', '0', '0.717909', '-10.1212', '1.6', '-13.9482', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195736', '8145360', 'object/static/item/shared_item_glass_metal.iff', '0', '-0.61312', '0', '0.78999', '-9.80036', '1.6', '-16.0997', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195737', '8145360', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.824884', '0', '0.565302', '-8.56947', '1.6', '-11.2282', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195738', '8145360', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.0299926', '0', '0.99955', '-6.84492', '1.6', '-16.8336', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195739', '8145360', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.999958', '0', '-0.00920049', '-6.86777', '1.6', '-8.51474', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195740', '8145360', 'object/static/item/shared_item_painting_naboo_style_01.iff', '0', '0.706824', '0', '0.707389', '-6.61987', '2.23011', '-19.0667', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145361', '8145352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '4485393', '8145361', 'object/static/structure/general/shared_data_terminal_wall_s3.iff', '0', '-0.707106', '0', '0.707107', '-11.3915', '1.6', '-17.2362', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '4485394', '8145361', 'object/static/structure/general/shared_droid_r4_powerdown.iff', '0', '-0.247404', '0', '0.968912', '-12.2255', '1.6', '-17.3249', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '4485395', '8145361', 'object/static/structure/general/shared_banner_rebel_style_01.iff', '0', '0.505533', '0', '0.862807', '-11.8169', '1.6', '-14.9832', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195755', '8145361', 'object/static/item/shared_item_container_energy_gas.iff', '0', '0.710351', '0', '0.703847', '-19.8827', '1.6', '-18.1111', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195756', '8145361', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.710351', '0', '0.703847', '-17.6873', '1.6', '-18.6975', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195757', '8145361', 'object/static/item/shared_item_container_energy_gas.iff', '0', '0.54383', '0', '0.839195', '-19.482', '1.6', '-16.7836', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195758', '8145361', 'object/static/item/shared_item_container_energy_gas.iff', '0', '0.999359', '0', '0.0357933', '-18.6366', '1.6', '-18.5645', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195759', '8145361', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.999359', '0', '0.0357933', '-17.1928', '1.6', '-18.7983', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195760', '8145361', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.999359', '0', '0.0357933', '-16.8624', '1.6', '-18.7526', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195761', '8145361', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.999359', '0', '0.0357933', '-17.0309', '1.6', '-18.492', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195762', '8145361', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.999359', '0', '0.0357933', '-17.3371', '1.6', '-18.2921', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195763', '8145361', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.836901', '0', '-0.547354', '-14.5472', '1.6', '-20.3971', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195764', '8145361', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.244107', '0', '0.969748', '-15.0395', '1.6', '-20.5077', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195765', '8145361', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.200236', '0', '0.979748', '-16.4676', '1.6', '-18.5323', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195766', '8145361', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.244107', '0', '0.969748', '-15.0618', '1.6', '-20.8532', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195767', '8145361', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.244107', '0', '0.969748', '-14.7007', '1.6', '-20.9103', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195768', '8145361', 'object/static/item/shared_item_container_organic_food.iff', '0', '-0.0407711', '0', '0.999169', '-12.1927', '1.6', '-18.8699', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195769', '8145361', 'object/static/item/shared_item_container_organic_food.iff', '0', '-0.035793', '0', '0.999359', '-11.8501', '1.6', '-18.8465', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195770', '8145361', 'object/static/item/shared_item_container_organic_food.iff', '0', '-0.035793', '0', '0.999359', '-11.5167', '1.6', '-18.8323', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195771', '8145361', 'object/static/item/shared_item_container_organic_food.iff', '0', '-0.030798', '0', '0.999526', '-11.1736', '1.6', '-18.8127', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195772', '8145361', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.647424', '0', '0.76213', '-10.8488', '1.6', '-18.3507', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195773', '8145361', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.651225', '0', '0.758884', '-10.7978', '1.6', '-18.6904', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195774', '8145361', 'object/static/item/shared_item_container_organic_food.iff', '0', '-0.030795', '0', '0.999526', '-12.1035', '1.6', '-18.3864', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195775', '8145361', 'object/static/item/shared_item_container_organic_food.iff', '0', '-0.0258', '0', '0.999667', '-11.7608', '1.6', '-18.3697', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195776', '8145361', 'object/static/item/shared_item_container_organic_food.iff', '0', '-0.0258', '0', '0.999667', '-11.4268', '1.6', '-18.3625', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195777', '8145361', 'object/static/item/shared_item_container_organic_food.iff', '0', '-0.0058006', '0', '0.999983', '-13.8571', '1.6', '-18.8999', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195778', '8145361', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.00419713', '0', '0.999991', '-14.0729', '1.6', '-18.4232', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195779', '8145361', 'object/static/item/shared_item_container_organic_food.iff', '0', '-0.0107821', '0', '0.999942', '-14.5341', '1.6', '-18.8969', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195780', '8145361', 'object/static/item/shared_item_container_organic_food.iff', '0', '-0.000799879', '0', '1', '-14.416', '1.6', '-18.4192', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195781', '8145361', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.00419713', '0', '0.999991', '-13.7392', '1.6', '-18.4359', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195782', '8145361', 'object/static/item/shared_item_container_organic_food.iff', '0', '-0.0058006', '0', '0.999983', '-14.1907', '1.6', '-18.894', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195783', '8145361', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.673696', '0', '0.739009', '-13.131', '1.6', '-18.8012', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195784', '8145361', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.669993', '0', '0.742367', '-13.1615', '1.6', '-18.4589', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195785', '8145361', 'object/static/item/shared_item_container_organic_food.iff', '0', '-0.000802882', '0', '1', '-13.5134', '1.6', '-18.9005', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195786', '8145361', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.681344', '0', '0.731963', '-19.9339', '1.6', '-14.3308', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195787', '8145361', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.688628', '0', '0.725115', '-19.4709', '1.6', '-14.0867', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195788', '8145361', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.677689', '0', '0.735348', '-19.9711', '1.6', '-13.6549', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195789', '8145361', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.684996', '0', '0.728547', '-19.4872', '1.6', '-13.744', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195790', '8145361', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.688628', '0', '0.725115', '-19.4636', '1.6', '-14.4207', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195791', '8145361', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.681344', '0', '0.731963', '-19.9478', '1.6', '-13.9974', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195792', '8145361', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.997098', '0', '0.0761266', '-19.7917', '1.6', '-15.0496', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195793', '8145361', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.996705', '0', '0.0811094', '-19.4519', '1.6', '-14.9984', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195794', '8145361', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.684994', '0', '0.728549', '-19.9138', '1.6', '-14.6741', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145362', '8145352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195741', '8145362', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '-0.262296', '0', '0.964987', '-21.9694', '1.6', '-16.2685', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195742', '8145362', 'object/tangible/furniture/modern/shared_couch_modern_style_02.iff', '0', '0.70711', '0', '-0.707104', '-20.9833', '1.6', '-12.7625', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195743', '8145362', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_03.iff', '0', '1', '0', '-0.000394177', '-23.6019', '1.6', '-12.6445', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195744', '8145362', 'object/tangible/furniture/modern/shared_cabinet_modern_style_01.iff', '0', '0.999893', '0', '0.014605', '-23.9786', '1.6', '-2.28017', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195745', '8145362', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff', '0', '-0.00460662', '0', '0.999989', '-23.7003', '1.6', '-18.9828', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195746', '8145362', 'object/tangible/furniture/modern/shared_end_table_large_modern_style_01.iff', '0', '0.711197', '0', '0.702994', '-23.4296', '1.6', '-16.307', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195747', '8145362', 'object/tangible/furniture/modern/shared_end_table_large_modern_style_01.iff', '0', '0.710637', '0', '-0.703559', '-23.3915', '1.6', '-8.86865', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195748', '8145362', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.544834', '0', '0.838544', '-26.0506', '1.6', '-12.6709', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195749', '8145362', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '0.710636', '0', '-0.70356', '-23.2943', '1.6', '-12.7533', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195750', '8145362', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.963666', '0', '-0.267111', '-21.7294', '1.6', '-9.11088', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195751', '8145362', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.301429', '0', '0.953489', '-24.9347', '1.6', '-16.3484', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195752', '8145362', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.958356', '0', '0.285576', '-24.852', '1.6', '-9.30387', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195753', '8145362', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '0.950918', '0', '0.309442', '-21.201', '1.6', '-10.3571', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195754', '8145362', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '0.900275', '0', '-0.435321', '-21.1816', '1.6', '-15.11', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195801', '8145362', 'object/soundobject/shared_soundobject_city_crowd_sentients.iff', '0', '0', '0', '1', '-24.5287', '1.6', '-10.925', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145375', '0', 'object/building/tatooine/shared_cantina_tatooine.iff', '0', '-0.324796', '0', '0.945784', '499.718', '11.88', '5064.89', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145376', '8145375', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145583', '8145376', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '-0.660214', '0', '0.751078', '37.5618', '0.10514', '0.127171', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145586', '8145376', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.767855', '0', '0.640624', '38.0468', '0.104999', '1.16477', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195527', '8145376', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '43.467', '0.104999', '1.93414', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145377', '8145375', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195523', '8145377', 'object/soundobject/shared_soundobject_cantina_small.iff', '0', '0', '0', '1', '32.0551', '0.105', '0.930468', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145378', '8145375', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145668', '8145378', 'object/static/item/shared_item_bowl_carved.iff', '0', '0', '0', '1', '7.03313', '0.0214096', '1.07051', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145670', '8145378', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '8.53884', '0.211805', '3.15348', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145675', '8145378', 'object/static/item/shared_item_jar_berries.iff', '0', '0', '0', '1', '6.71849', '0.0220684', '-1.05525', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145676', '8145378', 'object/static/item/shared_item_painting_bothan_style_01.iff', '0', '0', '0', '1', '27.6179', '-0.230914', '-5.31809', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145677', '8145378', 'object/static/item/shared_item_painting_tatooine_style_01.iff', '0', '0', '0', '1', '27.6137', '0.463881', '8.83173', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195513', '8145378', 'object/soundobject/shared_soundobject_cantina_large.iff', '0', '0', '0', '1', '16.2845', '-0.894992', '-0.12938', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195515', '8145378', 'object/soundobject/shared_soundobject_cantina_medium.iff', '0', '0', '0', '1', '-8.97436', '-0.894992', '-7.37714', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195516', '8145378', 'object/soundobject/shared_soundobject_cantina_small.iff', '0', '0', '0', '1', '-9.20816', '-0.894992', '9.12625', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145379', '8145375', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145380', '8145375', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195503', '8145380', 'object/soundobject/shared_soundobject_cantina_small.iff', '0', '0', '0', '1', '19.1686', '-0.894992', '17.8116', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145381', '8145375', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195497', '8145381', 'object/soundobject/shared_soundobject_cantina_medium.iff', '0', '0', '0', '1', '4.82458', '-0.894992', '-16.6862', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145382', '8145375', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195506', '8145382', 'object/soundobject/shared_soundobject_cantina_medium.iff', '0', '0', '0', '1', '5.84487', '-0.894992', '17.9821', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145383', '8145375', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145384', '8145375', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195507', '8145384', 'object/soundobject/shared_soundobject_cantina_medium.iff', '0', '0', '0', '1', '-8.9086', '-0.895', '19.7105', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145385', '8145375', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145386', '8145375', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145387', '8145375', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195478', '8145387', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_2.iff', '0', '0', '0', '1', '-28.299', '-0.894989', '22.1047', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195479', '8145387', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.300293', '0', '0.953847', '-29.0283', '-0.894991', '21.1058', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195480', '8145387', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.935616', '0', '-0.353019', '-27.4675', '-0.894989', '22.9667', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195481', '8145387', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_2.iff', '0', '0.908634', '0', '0.417595', '-29.4958', '-0.894988', '23.0751', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195482', '8145387', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '-0.439463', '0', '0.898261', '-27.3165', '-0.894989', '21.209', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195483', '8145387', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_1.iff', '0', '-0.333487', '0', '0.942755', '-22.247', '-0.894989', '25.1539', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195484', '8145387', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_2.iff', '0', '0.999983', '0', '-0.00579621', '-22.4296', '-0.894989', '26.3677', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195485', '8145387', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '-0.479425', '0', '0.877583', '-18.8363', '-0.894989', '24.8065', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195486', '8145387', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_2.iff', '0', '0.999983', '0', '-0.00579621', '-19.8058', '-0.894989', '26.4141', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195487', '8145387', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_1.iff', '0', '-0.333487', '0', '0.942755', '-20.0466', '-0.894989', '25.2639', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195488', '8145387', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_3.iff', '0', '-0.00999912', '0', '0.99995', '-20.0679', '-0.894989', '24.1775', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195489', '8145387', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_3.iff', '0', '0.681639', '0', '0.731689', '-23.5332', '-0.894989', '25.2537', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195490', '8145387', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_3.iff', '0', '-0.019998', '0', '0.9998', '-22.1141', '-0.894989', '23.9421', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195512', '8145387', 'object/soundobject/shared_soundobject_city_crowd_sentients.iff', '0', '0', '0', '1', '-21.1884', '-0.894991', '21.3804', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145388', '8145375', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195453', '8145388', 'object/tangible/furniture/elegant/shared_love_seat_s01.iff', '0', '0', '0', '1', '-31.0132', '-0.519991', '5.39736', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195454', '8145388', 'object/tangible/furniture/elegant/shared_cabinet_s01.iff', '0', '0', '0', '1', '-28.6196', '-0.519991', '5.2015', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195455', '8145388', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '0', '0', '1', '-25.9625', '-0.519991', '5.30663', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195461', '8145388', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_02.iff', '0', '0.703279', '0', '0.710914', '-31.9432', '-0.519991', '10.2109', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195462', '8145388', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '0', '0', '1', '-27.955', '-0.519991', '10.2063', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195463', '8145388', 'object/tangible/furniture/all/shared_frn_all_chair_recliner_s1.iff', '0', '0', '0', '1', '-27.9169', '-0.519991', '9.13907', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195464', '8145388', 'object/tangible/furniture/all/shared_frn_all_chair_recliner_s1.iff', '0', '0.707388', '0', '-0.706826', '-25.728', '-0.519991', '10.1717', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195465', '8145388', 'object/tangible/furniture/all/shared_frn_all_chair_recliner_s1.iff', '0', '0.999836', '0', '0.0180959', '-28.0019', '-0.519991', '11.4699', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195466', '8145388', 'object/tangible/furniture/all/shared_frn_all_chair_recliner_s1.iff', '0', '0.703847', '0', '0.710352', '-30.4632', '-0.519991', '10.165', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195468', '8145388', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s3.iff', '0', '0', '0', '1', '-23.3713', '-0.519991', '5.39489', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195469', '8145388', 'object/tangible/furniture/all/shared_frn_all_throwpillow_med_s01.iff', '0', '0', '0', '1', '-32.108', '-0.519991', '12.9998', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195470', '8145388', 'object/tangible/furniture/all/shared_frn_all_throwpillow_med_s03.iff', '0.0449848', '0', '0', '0.998988', '-32.161', '-0.45761', '14.2156', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195471', '8145388', 'object/tangible/furniture/all/shared_frn_all_throwpillow_med_s02.iff', '-0.0429837', '-0.404583', '-0.0509603', '0.912068', '-31.461', '-0.329199', '13.9512', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195472', '8145388', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s02.iff', '0', '0', '0', '1', '-32.0878', '0.0492189', '10.2041', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195473', '8145388', 'object/tangible/furniture/all/shared_frn_all_lamp_candlestick_free_s01.iff', '0', '-0.707107', '0', '0.707107', '-32.3893', '0.112464', '9.18298', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195474', '8145388', 'object/tangible/furniture/all/shared_frn_all_lamp_candlestick_free_s01.iff', '0', '-0.707107', '0', '0.707107', '-32.3625', '0.0808417', '11.1591', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195475', '8145388', 'object/static/item/shared_item_painting_corellia_style_02.iff', '0', '0', '0', '1', '-22.8715', '-0.108895', '10.0881', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145389', '8145375', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195417', '8145389', 'object/static/flora/shared_potted_plant_leaves_ivy.iff', '0', '0', '0', '1', '-31.55', '0.10501', '-25.3791', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195421', '8145389', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.92388', '0', '0.382683', '-34.0576', '0.105011', '-9.71363', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195422', '8145389', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.898921', '0', '0.438111', '-35.0234', '0.10501', '-10.5771', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195423', '8145389', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.749496', '0', '0.662009', '-35.6544', '0.105011', '-11.6105', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195425', '8145389', 'object/static/item/shared_item_painting_naboo_style_01.iff', '0', '0.703562', '0', '0.710634', '-33.7992', '0.705842', '-26.0775', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145390', '8145375', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195410', '8145390', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s01.iff', '0', '0.485896', '0', '0.874017', '-43.247', '0.109147', '-14.1003', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195412', '8145390', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.166608', '0', '0.986023', '-43.4285', '0.106742', '-17.7427', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195413', '8145390', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.0176101', '0', '0.999845', '-43.4121', '0.106197', '-16.6844', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195414', '8145390', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.335736', '0', '0.941956', '-43.3957', '0.105009', '-15.5892', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195415', '8145390', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.249933', '0', '0.968263', '-43.5167', '1.24499', '-16.733', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145391', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.950673', '0', '0.310194', '538.801', '11.8321', '5078.33', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8145392', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.605503', '0', '0.795843', '541.855', '11.7171', '5074.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195864', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0', '0.991438', '0', '0.130576', '-6025.65', '60.639', '6440.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195865', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0', '-0.685289', '0', '0.728271', '-6001.8', '60.5459', '6439.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195866', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0', '0', '0', '1', '-6002.23', '60.8509', '6418.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195867', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0', '0.727726', '0', '0.685868', '-6027.39', '60.2947', '6417.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195869', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0', '0.92269', '0', '-0.385543', '-6013.5', '60.4676', '6446.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195870', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0', '0.936154', '0', '0.351591', '-6032.88', '60.2726', '6429.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195871', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0', '0.389418', '0', '0.921061', '-6013.62', '60.6893', '6411.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195872', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0', '0', '0', '1', '-6013.88', '54.1043', '6429.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195873', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0', '0', '0', '1', '-6013.72', '57.4344', '6441', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8195874', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0', '0', '0', '1', '-6013.79', '54.8594', '6435.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8335379', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.0898786', '0', '0.995953', '-5991.81', '76.8654', '6389.42', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '8335381', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.0898786', '0', '0.995953', '-5992.04', '76.8616', '6389.38', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '8335382', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.0898786', '0', '0.995953', '-5991.61', '76.8339', '6389.42', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '8335383', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.0898786', '0', '0.995953', '-5991.69', '76.9667', '6389.41', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '8335384', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.0898786', '0', '0.995953', '-5991.92', '76.9647', '6389.39', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '8335385', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.0898786', '0', '0.995953', '-5991.8', '77.0964', '6389.41', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '8335387', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '-0.0399893', '0', '0.9992', '-5991.66', '76.2146', '6388.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8335396', '0', 'object/static/structure/tatooine/shared_debris_tatt_radar_dish.iff', '-0.028251', '0.154085', '-0.279957', '0.947145', '-6413.88', '90.9129', '5739.56', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8335397', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0', '0.00999983', '0.99995', '-6411.88', '89.9587', '5747.08', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8335399', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.281157', '0', '0.959662', '-6411.81', '90.9657', '5732.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8335401', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '-0.449254', '0.888642', '-0.000945058', '-0.0921139', '-6401.05', '90.3312', '5747.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8335402', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0', '0', '1', '-6403.27', '90.0642', '5733.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8335404', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '-0.455893', '0.541019', '0.415909', '-0.571383', '-6407.81', '91.0481', '5746.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8335407', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.245498', '0.961448', '-0.0306495', '0.120033', '-6405.55', '91.9813', '5752.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8335411', '0', 'object/static/structure/general/shared_tie_bomber_debris_01.iff', '-0.120418', '0.776227', '-0.0501312', '-0.616812', '-6104.54', '61.5145', '5310.35', '256', '1');
INSERT INTO `staticobjects` VALUES ('4', '8405397', '0', 'object/static/structure/tatooine/shared_bridge_tatooine_small_style_03.iff', '-0.0185721', '-0.370846', '-0.00741792', '0.928479', '-4725.01', '2.21544', '3494.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8405398', '0', 'object/static/structure/tatooine/shared_bridge_tatooine_small_style_03.iff', '0', '-0.457338', '0', '0.889293', '-4758.98', '1.99821', '3402.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8405399', '0', 'object/static/structure/tatooine/shared_bridge_tatooine_small_style_02.iff', '0', '0', '0', '1', '-4779.07', '1.33459', '3431.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8405406', '0', 'object/static/structure/tatooine/shared_bridge_tatooine_small_style_03.iff', '0', '0.0699428', '0', '0.997551', '-4728.48', '1.94902', '3328.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8405407', '0', 'object/static/structure/tatooine/shared_bridge_tatooine_small_style_02.iff', '0', '0.149438', '0', '0.988771', '-4720.36', '1.78704', '3267.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8405409', '0', 'object/static/structure/tatooine/shared_bridge_tatooine_small_style_02.iff', '0', '-0.069943', '0', '0.997551', '-4743.8', '1.22509', '3223.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8405423', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_05.iff', '0', '0.92269', '0', '0.385543', '-4758.44', '4', '3535.8', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '8405431', '0', 'object/static/structure/tatooine/shared_wall_junkshop_watto.iff', '0', '0.42141', '0', '0.90687', '-4779.52', '3.67751', '3513.14', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8405432', '0', 'object/static/structure/tatooine/shared_pillar_watto_junkshop.iff', '0', '0', '0', '1', '-4772.81', '3.67751', '3505.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8405433', '0', 'object/static/structure/tatooine/shared_wall_junkshop_watto.iff', '0', '0.0848971', '0', '0.99639', '-4762.68', '3.67751', '3503.28', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8405434', '0', 'object/static/structure/tatooine/shared_pillar_watto_junkshop.iff', '0', '-0.342898', '0', '0.939373', '-4752.37', '3.67751', '3501.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8405435', '0', 'object/static/structure/tatooine/shared_wall_junkshop_watto.iff', '0', '0.792562', '0', '0.609791', '-4783.37', '3.67751', '3531.21', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8405436', '0', 'object/static/structure/tatooine/shared_pillar_watto_junkshop.iff', '0', '0.461779', '0', '0.886995', '-4786.1', '3.67751', '3521.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8405437', '0', 'object/static/structure/tatooine/shared_wall_junkshop_watto.iff', '0', '0.937369', '0', '0.348337', '-4772.66', '3.67751', '3547.86', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8405438', '0', 'object/static/structure/tatooine/shared_pillar_watto_junkshop.iff', '0', '0.703279', '0', '0.710914', '-4780.62', '3.67751', '3541.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8405439', '0', 'object/static/structure/tatooine/shared_wall_junkshop_watto.iff', '0', '0.99794', '0', '0.06416', '-4754.06', '3.67751', '3555.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8405440', '0', 'object/static/structure/tatooine/shared_pillar_watto_junkshop.iff', '0', '0.877964', '0', '0.478727', '-4764.45', '3.67751', '3554.59', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8405441', '0', 'object/static/structure/tatooine/shared_wall_junkshop_watto.iff', '0', '0.91071', '0', '-0.413046', '-4736.89', '3.67751', '3549.2', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8405442', '0', 'object/static/structure/tatooine/shared_pillar_watto_junkshop.iff', '0', '0.999958', '0', '0.00920345', '-4743.74', '3.67751', '3557.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8405443', '0', 'object/static/structure/tatooine/shared_wall_junkshop_watto.iff', '0', '0.713864', '0', '-0.700284', '-4730.31', '3.67751', '3531.19', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8405444', '0', 'object/static/structure/tatooine/shared_pillar_watto_junkshop.iff', '0', '0.942489', '0', '-0.334238', '-4730.45', '3.67746', '3541.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8405445', '0', 'object/static/structure/tatooine/shared_pillar_watto_junkshop.iff', '0', '0.942489', '0', '-0.334238', '-4730.29', '3.67751', '3520.79', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8405456', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_2.iff', '0', '0', '0', '1', '-4772.02', '14.5999', '3533.91', '256', '1');
INSERT INTO `staticobjects` VALUES ('4', '8405513', '0', 'object/static/vehicle/e3/shared_landspeeder.iff', '0', '0.622234', '0', '0.782831', '-4748.66', '4', '3506.23', '256', '1');
INSERT INTO `staticobjects` VALUES ('4', '8405514', '0', 'object/static/structure/general/shared_landing_pad_shuttle.iff', '0', '-0.384808', '0', '0.922997', '-4772.39', '4', '3521.42', '256', '1');
INSERT INTO `staticobjects` VALUES ('4', '8405515', '0', 'object/static/vehicle/shared_player_shuttle.iff', '0', '0.947905', '0', '0.318554', '-4773.6', '4', '3522.69', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '8405516', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0.926499', '0', '-0.376297', '-4762.92', '4', '3520.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8405517', '0', 'object/static/particle/shared_pt_steam_rise.iff', '0', '0', '0', '1', '-4777.91', '7.85298', '3525.72', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '8405518', '0', 'object/static/installation/shared_mockup_power_generator_photo_bio_style_1.iff', '0', '0.380188', '0', '0.924909', '-4746.95', '4', '3548.17', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '8405519', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0.390885', '0', '0.92044', '-4748.21', '4', '3544.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8405520', '0', 'object/tangible/furniture/all/shared_frn_all_chair_metal_s1.iff', '0', '0.773915', '0', '0.63329', '-4754.44', '4', '3517.56', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8405521', '0', 'object/tangible/furniture/all/shared_frn_all_chair_metal_s1.iff', '0', '0.973485', '0', '0.228753', '-4752.87', '4', '3519.76', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8405522', '0', 'object/tangible/furniture/all/shared_frn_all_chair_metal_s1.iff', '0', '0.974972', '0', '-0.22233', '-4750.44', '4', '3518.67', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8405524', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '0', '0', '1', '-4752.6', '4', '3518.02', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8405534', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '0', '0.37092', '0', '0.928665', '-4751.3', '4', '3519.15', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '8405535', '0', 'object/static/item/shared_item_carbine_dh17.iff', '0.468908', '-0.468908', '0.529269', '-0.529269', '-4752.63', '4.63246', '3517.75', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8405536', '0', 'object/static/item/shared_item_carbine_dh17.iff', '0.171513', '-0.171513', '0.685991', '-0.685991', '-4752.43', '4.63246', '3517.94', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8405537', '0', 'object/static/item/shared_item_container_weapons.iff', '0', '-0.375559', '0', '0.926798', '-4752.23', '4', '3522.43', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8405538', '0', 'object/static/item/shared_item_container_weapons.iff', '0', '0.389419', '0', '0.921061', '-4753.93', '4', '3521.73', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8405539', '0', 'object/static/item/shared_item_container_weapons.iff', '0', '-0.699716', '0', '0.714421', '-4752.9', '4.72733', '3522.16', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8405540', '0', 'object/static/item/shared_item_container_inorganic_chemicals.iff', '0', '0', '0', '1', '-4757.82', '4', '3517.93', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8405541', '0', 'object/static/item/shared_item_container_inorganic_chemicals.iff', '0', '0', '0', '1', '-4758.95', '4', '3519.32', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8405542', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '-4758.17', '4', '3519.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8405548', '0', 'object/building/military/shared_military_base_gate_house_imperial.iff', '0', '-0.0749297', '0', '0.997189', '-2569.35', '17.6738', '-862.325', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '8405549', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '-0.0549723', '0', '0.998488', '-2568.5', '17.4331', '-873.677', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8405550', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '-0.0699428', '0', '0.997551', '-2562.92', '17.5102', '-872.981', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8405551', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '-0.0699428', '0', '0', '0.997551', '-2574.99', '18.5111', '-867.345', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8405552', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '-2575.97', '18.6154', '-865.848', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8405553', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '-0.352274', '0', '0', '0.935897', '-2575.91', '18.6141', '-866.407', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8405554', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '-2575.96', '18.1948', '-867.848', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8405594', '0', 'object/static/creature/shared_droids_r5.iff', '0', '0.874789', '0', '0.484504', '-4759.83', '4', '3516.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8405595', '0', 'object/static/creature/shared_droids_lin_demolition.iff', '0', '0.961275', '0', '0.27559', '-4750.09', '4', '3522.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8405596', '0', 'object/static/creature/shared_droids_le_repair.iff', '0', '0.470626', '0', '0.882333', '-4746.21', '4', '3530.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8405597', '0', 'object/static/structure/general/shared_droid_r3_powerdown.iff', '0', '0.773915', '0', '0.63329', '-4750.86', '4', '3526.46', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '8405598', '0', 'object/static/structure/general/shared_r5_torso.iff', '0', '0', '0', '1', '-4749.7', '4', '3527.97', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '8405599', '0', 'object/static/structure/general/shared_r5_head.iff', '0', '0.741297', '0', '0.671178', '-4750.39', '4', '3527.28', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '8405600', '0', 'object/tangible/furniture/all/shared_frn_all_data_terminal_wall_s3.iff', '0', '0.924606', '0', '0.380925', '-4745.77', '4', '3531.46', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8405601', '0', 'object/static/structure/general/shared_banner_rebel_style_01.iff', '0', '0.271547', '0', '0.962425', '-4752.07', '4', '3502.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8405602', '0', 'object/static/structure/general/shared_banner_rebel_style_01.iff', '0', '0.859862', '0', '-0.510526', '-4731.32', '4', '3519.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8405603', '0', 'object/static/structure/general/shared_banner_rebel_style_01.iff', '0', '0.916803', '0', '0.399339', '-4740.62', '4', '3535.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8415356', '0', 'object/static/terrain/corellia/shared_rock_bowl_agrilat_double.iff', '0', '0', '0', '1', '6400.67', '93.6374', '5102.48', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '8485355', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0', '0', '1', '6053.65', '11.9447', '5146.48', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '8485356', '0', 'object/static/structure/general/shared_skeleton_human_body.iff', '0', '0', '0', '1', '6056.06', '12.0662', '5141.54', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '8485366', '0', 'object/static/structure/dantooine/shared_dant_skull_lizard.iff', '0', '0', '0.713864', '0.700285', '6050.04', '11.922', '5147.04', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8485372', '0', 'object/static/structure/general/shared_escape_pod.iff', '-0.597995', '-0.374056', '0.707674', '0.0410113', '6061.78', '12.8289', '5149.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8485374', '0', 'object/static/structure/general/shared_escape_pod_door.iff', '-0.18327', '0.262329', '0.861426', '0.394386', '6058.17', '11.7911', '5147.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8485400', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '-0.0292705', '0.486365', '0.365101', '0.793281', '-6433.19', '9.30957', '4855.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8575355', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '-0.0299956', '0', '0.99955', '-6908.73', '105.845', '4506.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8575357', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.0299955', '0', '0.99955', '-6907.84', '105.934', '4510.03', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '8575358', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.0299955', '0', '0.99955', '-6909.95', '105.897', '4509.89', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '8575361', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.0299955', '0', '0.99955', '-6908.85', '105.81', '4511.51', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '8575362', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.0299955', '0', '0.99955', '-6908.82', '105.874', '4508.87', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '8575363', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.0299955', '0', '0.99955', '-6908.85', '105.907', '4510.35', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '8575364', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.0299955', '0', '0.99955', '-6908.77', '105.862', '4507.4', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '8575419', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '-0.382683', '0', '0', '0.92388', '-6293.78', '11.539', '4074.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8575420', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0.382684', '0', '0', '0.923879', '-6293.85', '11.4695', '4093.89', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8575421', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0.270598', '0.653282', '0.270598', '-0.653281', '-6283.74', '11.3037', '4085.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8575422', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '-0.270598', '0.653282', '-0.270598', '-0.653281', '-6303.72', '11.6126', '4084.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8575423', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0.353554', '-0.353554', '0.146447', '0.853553', '-6300.46', '11.6427', '4092.13', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8575424', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0.146446', '0.853553', '0.353554', '-0.353553', '-6287.18', '11.4923', '4091.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8575425', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '-0.353553', '-0.353553', '-0.146447', '0.853554', '-6286.48', '11.5713', '4078.41', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8575426', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '-0.353553', '0.353553', '0.146447', '0.853554', '-6300.48', '11.4653', '4078.72', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8575427', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0', '0', '1', '-6293.55', '9.53439', '4084.86', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8575428', '0', 'object/static/particle/shared_particle_campfire_style_1.iff', '0', '0', '0', '1', '-6293.63', '13.7806', '4084.87', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '8575429', '0', 'object/static/particle/shared_particle_campfire_style_1.iff', '0', '0', '0', '1', '-6293.81', '14.4903', '4071.88', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '8575430', '0', 'object/static/particle/shared_particle_campfire_style_1.iff', '0', '0', '0', '1', '-6302.64', '14.413', '4076.54', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '8575431', '0', 'object/static/particle/shared_particle_campfire_style_1.iff', '0', '0', '0', '1', '-6306.77', '14.6587', '4084.91', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '8575432', '0', 'object/static/particle/shared_particle_campfire_style_1.iff', '0', '0', '0', '1', '-6302.57', '14.6097', '4094.31', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '8575433', '0', 'object/static/particle/shared_particle_campfire_style_1.iff', '0', '0', '0', '1', '-6293.87', '14.441', '4096.92', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '8575434', '0', 'object/static/particle/shared_particle_campfire_style_1.iff', '0', '0', '0', '1', '-6285.05', '14.5152', '4093.58', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '8575435', '0', 'object/static/particle/shared_particle_campfire_style_1.iff', '0', '0', '0', '1', '-6280.69', '14.2792', '4085.05', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '8575436', '0', 'object/static/particle/shared_particle_campfire_style_1.iff', '0', '0', '0', '1', '-6284.35', '14.5417', '4076.2', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '8575437', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0', '0', '1', '-6293.52', '9.54947', '4085.47', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '8575438', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.382683', '0', '0.92388', '-6293.11', '9.55078', '4085.27', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '8575439', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.707103', '0', '0.70711', '-6292.94', '9.54549', '4084.86', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '8575440', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.382683', '0', '0.92388', '-6293.96', '9.53954', '4085.29', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '8575441', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.707103', '0', '0.70711', '-6294.16', '9.51271', '4084.87', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '8575442', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.92388', '0', '0.382683', '-6293.12', '9.53419', '4084.43', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '8575443', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '1', '0', '0', '-6293.54', '9.50975', '4084.27', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '8575444', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.92388', '0', '-0.382684', '-6293.98', '9.5001', '4084.43', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '8615418', '0', 'object/building/military/shared_military_base_police_station_imperial_lok_otto.iff', '0', '0.707106', '0', '0.707107', '-1871.02', '12', '-3084.53', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '8615419', '8615418', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '8615420', '8615418', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '8615421', '8615418', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '8615422', '8615418', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '8615423', '8615418', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '8615424', '8615418', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '8615425', '8615418', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '8615426', '8615418', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '8615427', '8615418', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '8615428', '8615418', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '8615429', '8615418', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '8615430', '8615418', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '8615431', '0', 'object/building/military/shared_military_base_shed_imperial_barracks_s01.iff', '0', '0', '0', '1', '-1826.55', '12', '-3107.17', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '8615432', '8615431', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '8615433', '8615431', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '8615434', '8615431', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '8615435', '8615431', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '8615436', '8615431', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '8615437', '8615431', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '8615438', '0', 'object/building/military/shared_small_imperial_cloning_facility.iff', '0', '1', '0', '-3.20013e-08', '-1844', '12', '-3028', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '8615439', '8615438', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '8615440', '8615438', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '8615441', '8615438', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '8615442', '8615438', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '8615443', '8615438', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '8615444', '8615438', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '8615445', '0', 'object/building/military/shared_military_base_shed_imperial_style_officer_s01.iff', '0', '0.707107', '0', '-0.707107', '-1919.95', '12', '-2984.2', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '8615446', '8615445', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '8615447', '8615445', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '8615448', '8615445', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '8615449', '8615445', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '8615450', '8615445', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '8615451', '8615445', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '8615452', '0', 'object/building/military/shared_military_base_shed_imperial_barracks_s01.iff', '0', '1', '0', '-3.20013e-08', '-2009.26', '12', '-3044.96', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '8615453', '8615452', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '8615454', '8615452', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '8615455', '8615452', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '8615456', '8615452', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '8615457', '8615452', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '8615458', '8615452', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655355', '0', 'object/static/structure/military/shared_military_wall_med_imperial_16_style_01.iff', '7.72714e-09', '-0.707106', '7.72714e-09', '0.707107', '-6231.09', '12.9635', '3385.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655356', '0', 'object/static/structure/military/shared_military_wall_med_imperial_32_style_01.iff', '0', '0', '0', '1', '-6214.52', '12.9587', '3394.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655357', '0', 'object/static/structure/military/shared_military_wall_med_imperial_32_style_01.iff', '-0.382683', '4.18191e-09', '-1.0096e-08', '0.92388', '-6214.23', '11.9611', '3378.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655358', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0', '0', '1', '-6231.08', '13.003', '3394.63', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655359', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '-0.155097', '-0.475336', '0.255995', '0.827325', '-6231.16', '13.002', '3377.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655361', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0', '0', '1', '-6197.76', '13.0053', '3394.64', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655372', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0', '0', '1', '-6197.17', '13.0015', '3377.62', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655377', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '7.72715e-09', '-0.707106', '-7.72715e-09', '0.707107', '-6197.72', '12.7291', '3399.89', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655381', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0', '0', '1', '-6197.72', '12.9531', '3383.89', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655392', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '-0.0743652', '0.831342', '0.11218', '-0.539219', '-6225.25', '13.0239', '3382.33', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655409', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.70711', '0', '0.707103', '3854.63', '63', '-536.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655410', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0', '0', '1', '3850.63', '63', '-528.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655411', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0', '0', '1', '3831.63', '63', '-511.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655412', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0', '0', '1', '3802.63', '63', '-543.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655413', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.707098', '0', '0.707115', '3809.63', '63', '-548.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655414', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0', '0', '1', '3805.63', '63', '-540.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655415', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0', '0', '1', '3798.63', '63', '-547.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655416', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.707107', '0', '0.707107', '3802.63', '63', '-544.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655417', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.707107', '0', '-0.707107', '3812.63', '63', '-536.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655418', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.707107', '0', '0.707107', '3812.63', '63', '-540.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655419', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0', '0', '1', '3802.63', '63', '-550.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655420', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0', '0', '1', '3805.63', '63', '-563.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655421', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.707107', '0', '0.707107', '3798.63', '63', '-558.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655422', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0', '0', '1', '3812.63', '63', '-544.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655423', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0', '0', '1', '3846.63', '63', '-520.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655424', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.7071', '0', '0.707113', '3809.63', '63', '-555.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655425', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.707104', '0', '0.70711', '3798.63', '62.9952', '-567.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655426', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.707113', '0', '-0.7071', '3805.63', '63', '-562.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655427', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.707094', '0', '0.707119', '3802.63', '62.9972', '-571.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655428', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.707104', '0', '0.707109', '3820.63', '63', '-552.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655429', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '1', '0', '-5e-06', '3816.63', '63', '-562.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655430', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.707113', '0', '-0.7071', '3816.63', '63', '-566.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655431', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0', '0', '1', '3820.63', '63', '-556.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655432', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0', '0', '1', '3824.63', '63', '-562.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655433', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.707098', '0', '0.707115', '3818.63', '63', '-571.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655434', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.707107', '0', '0.707107', '3836.63', '63', '-560.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655435', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0', '0', '1', '3828.63', '63', '-567.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655436', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.707107', '0', '0.707107', '3836.63', '63', '-568.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655437', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.707107', '0', '0.707107', '3839.63', '63', '-564.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655438', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '1', '0', '-6e-06', '3847.63', '63', '-564.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655439', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0', '0', '1', '3851.63', '63', '-567.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655440', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.7071', '0', '0.707113', '3834.63', '63', '-571.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655441', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.707104', '0', '0.707109', '3850.63', '62.9284', '-571.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655442', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0', '0', '1', '3855.63', '63', '-564.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655443', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '1', '0', '0', '3858.63', '62.976', '-563.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655444', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.707111', '0', '0.707103', '3851.63', '63', '-560.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655445', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0', '0', '1', '3828.63', '63', '-556.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655446', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '1', '0', '-5e-06', '3835.63', '63', '-556.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655447', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.707107', '0', '0.707107', '3846.63', '63', '-556.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655448', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0', '0', '1', '3831.63', '63', '-552.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655449', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.707107', '0', '0.707107', '3843.63', '63', '-552.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655450', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '1', '0', '-5e-06', '3854.63', '63', '-552.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655451', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '1', '0', '0', '3858.63', '63', '-547.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655452', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.70711', '0', '0.707103', '3854.63', '63', '-544.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655453', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.70711', '0', '0.707103', '3847.63', '63', '-548.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655454', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '1', '0', '0', '3846.63', '63', '-536.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655455', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0', '0', '1', '3843.63', '63', '-544.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655456', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.707098', '0', '0.707115', '3839.63', '63', '-536.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655457', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.70711', '0', '0.707103', '3839.63', '63', '-540.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655458', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0', '0', '1', '3839.63', '63', '-544.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655459', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.707104', '0', '0.707109', '3831.63', '63', '-548.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655460', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '1', '0', '0', '3823.63', '63', '-548.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655461', '0', 'object/static/structure/naboo/shared_garden_gazebo_sml_s01.iff', '0', '0', '0', '1', '3825.92', '62.2104', '-536.347', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655462', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.707107', '0', '-0.707107', '3819.63', '63', '-544.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655463', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.7071', '0', '0.707113', '3831.63', '63', '-544.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655464', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0', '0', '1', '3819.63', '63', '-536.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655465', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0', '0', '1', '3832.63', '63', '-536.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655466', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.707098', '0', '0.707115', '3812.63', '63', '-552.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655467', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0', '0', '1', '3835.68', '63', '-521.789', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655468', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.707107', '0', '0.707107', '3835.63', '63', '-515.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655469', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.707107', '0', '0.707107', '3847.63', '63', '-514.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655470', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.707107', '0', '0.707107', '3805.63', '63', '-544.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655471', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.707108', '0', '-0.707106', '3842.63', '63', '-528.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655472', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0', '0', '1', '3831.63', '63', '-518.216', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655473', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.707107', '0', '-0.707107', '3819.63', '63', '-516.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655474', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0', '0', '1', '3806.63', '63', '-520.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655475', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.70711', '0', '0.707104', '3854.63', '63', '-532.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655476', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0', '0', '1', '3839.63', '63', '-519.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655477', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0', '0', '1', '3823.63', '63', '-520.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655478', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0', '0', '1', '3827.63', '63', '-520.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655479', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.707107', '0', '0.707107', '3820.63', '63', '-510.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655480', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0', '0', '1', '3810.63', '63', '-514.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655481', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.707107', '0', '-0.707107', '3810.63', '63', '-520.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655482', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0', '0', '1', '3798.63', '63', '-517.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655483', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.707102', '0', '0.707111', '3805.63', '63', '-536.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655484', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0', '0', '1', '3802.63', '63', '-511.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655485', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0', '0', '1', '3802.63', '63', '-521.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655486', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.707107', '0', '-0.707107', '3798.63', '63', '-521.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655487', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.707107', '0', '-0.707107', '3826.63', '63', '-507.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655488', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.707107', '0', '-0.707107', '3814.63', '63', '-507.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655489', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.707104', '0', '0.707109', '3838.63', '63', '-507.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655490', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.707107', '0', '-0.707107', '3798.63', '62.9625', '-507.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655491', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.707107', '0', '-0.707107', '3854.63', '62.9661', '-507.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655492', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.707107', '0', '0.707107', '3835.63', '63', '-526.216', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655493', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.707107', '0', '0.707107', '3839.63', '63', '-511.892', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655494', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '1', '0', '0', '3858.63', '63', '-515.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655495', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '1', '0', '0', '3858.63', '63', '-531.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655496', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.707107', '0', '-0.707107', '3819.63', '63', '-524.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655497', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.707107', '0', '-0.707107', '3802.63', '63', '-528.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655498', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0', '0', '1', '3811.63', '63', '-528.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655499', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0', '0', '1', '3798.63', '63', '-529.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655500', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.707104', '0', '0.707109', '3811.63', '63', '-532.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655501', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.707104', '0', '0.707109', '3831.63', '63', '-528.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655502', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.70711', '0', '0.707103', '3850.63', '63', '-544.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655503', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.707107', '0', '-0.707107', '3819.63', '63', '-528.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655504', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0', '0', '1', '3794.63', '62.9968', '-515.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655505', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0', '0', '1', '3794.63', '63', '-531.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655506', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0', '0', '1', '3794.63', '63', '-547.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655507', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0', '0', '1', '3794.63', '62.9934', '-563.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655508', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0', '0', '1', '3843.63', '63', '-515.892', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655509', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.707107', '0', '0.707107', '3850.63', '63', '-511.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655510', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0', '0', '1', '3854.63', '63', '-519.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655511', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.70711', '0', '0.707103', '3850.63', '63', '-540.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655512', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.707094', '0', '0.707119', '3836.63', '63', '-532.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655513', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0', '0', '1', '3843.63', '63', '-532.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655514', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0', '0', '1', '3843.63', '63', '-527.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655515', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.707104', '0', '0.707109', '3850.63', '63', '-516.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655516', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.707107', '0', '0.707107', '3847.63', '63', '-519.892', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655517', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.707098', '0', '0.707115', '3815.63', '63', '-548.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655518', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.707107', '0', '0.707107', '3823.63', '63', '-513.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655519', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0', '0', '1', '3813.63', '63', '-516.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655520', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.707107', '0', '0.707107', '3806.63', '63', '-510.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655521', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.707098', '0', '0.707115', '3812.63', '63', '-558.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655522', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0', '0', '1', '3820.63', '63', '-559.403', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655523', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.863968', '0', '-0.503547', '3830.13', '63', '-532.924', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655524', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.867423', '0', '0.497571', '3821.69', '63', '-533.061', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655525', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '-0.492535', '0', '0.870293', '3830.32', '63', '-539.743', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655526', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.475032', '0', '0.879969', '3821.5', '63', '-539.635', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655527', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.999991', '0', '-0.00420321', '3825.93', '63', '-530.783', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655532', '0', 'object/static/structure/naboo/shared_fountain_naboo_style_1.iff', '0', '0', '0', '1', '3825.87', '62.7784', '-536.322', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655534', '0', 'object/static/flora/shared_flora_tree_palm_sm.iff', '0', '-0.564642', '0', '0.825336', '3831.14', '63', '-530.148', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655535', '0', 'object/static/flora/shared_flora_tree_palm_sm.iff', '0', '0.995881', '0', '-0.0906717', '3820.63', '63', '-529.924', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655536', '0', 'object/static/flora/shared_flora_tree_palm_sm.iff', '0', '0.773915', '0', '0.63329', '3820.51', '63', '-543.311', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655537', '0', 'object/static/flora/shared_flora_tree_palm_sm.iff', '0', '-0.203567', '0', '0.979061', '3830.69', '63.1851', '-543.692', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655544', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '3829', '63', '-528.905', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655545', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '3824', '63', '-528.874', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655546', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '3832.16', '63', '-536.002', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655547', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '3820.6', '63', '-535.997', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655548', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '3828.98', '63', '-543.411', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655549', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '3823.98', '63', '-543.411', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655550', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '-0.15438', '0', '0.988012', '3828.49', '64.8025', '-543.914', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655551', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.894178', '0', '-0.447711', '3823.54', '64.8025', '-543.838', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655552', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.636537', '0', '0.771246', '3820.08', '64.8025', '-536.499', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655553', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '-0.448423', '0', '0.893822', '3823.51', '64.7077', '-529.423', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655554', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0.893464', '0', '-0.449135', '3828.55', '64.7393', '-529.473', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655555', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.846832', '0', '0.531861', '3831.63', '64.7709', '-536.525', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655556', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0.968241', '0', '0.250018', '508.229', '11.9537', '4974.76', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655557', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0.516451', '0', '0.856317', '512.918', '12.0177', '4967.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655558', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0.516451', '0', '0.856317', '505.077', '11.8696', '4982.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655559', '0', 'object/static/structure/tatooine/shared_wall_gate_tatooine_style_01.iff', '0', '0.475381', '0', '0.87978', '508.134', '11.8142', '4984.44', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655560', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.470625', '0', '0.882333', '515.264', '11.9478', '4989.19', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655561', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.470977', '0', '0.882146', '512.174', '11.9754', '4986.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655562', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0.923879', '0', '0.382683', '498.505', '11.4961', '4988.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655563', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0.391905', '0', '0.920006', '493.449', '11.9751', '4994.29', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655564', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0.746707', '0', '0.665153', '484.775', '11.9358', '4995', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655565', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0.0676498', '0', '0.997709', '476.977', '11.8734', '4996.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655566', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0.740018', '0', '0.672587', '468.66', '11.9278', '4996.72', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655567', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0.0576694', '0', '0.998336', '460.831', '11.9334', '4998.27', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655569', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.481792', '0', '0.876285', '486.804', '12.123', '5094.16', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655570', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0.733256', '0', '0.679953', '452.051', '11.8837', '4998.19', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655571', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_09.iff', '0', '0.928517', '0', '-0.37129', '408.11', '11.9368', '5005.78', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655573', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_02.iff', '0', '0', '0', '1', '439.792', '12', '5005.07', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655574', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '-0.707106', '0', '0.707107', '423.466', '11.9523', '5004.99', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655575', '0', 'object/static/structure/tatooine/shared_wall_gate_tatooine_wide_style_01.iff', '0', '0.653878', '0', '0.7566', '384.234', '11.9657', '5000.39', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655576', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.0449848', '0', '0.998988', '376.55', '12', '4999.73', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655577', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.826634', '0', '-0.56274', '396.42', '12', '5003.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655578', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.982436', '0', '0.186599', '392.25', '12', '5001.14', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655579', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '-0.164252', '0', '0.986418', '392.195', '12', '5002.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655580', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '0.0349929', '0', '0.999388', '376.111', '12.027', '5000.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655584', '0', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s3.iff', '0', '0', '0', '1', '3824.69', '62.7154', '-529.424', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655590', '0', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s3.iff', '0', '0', '0', '1', '3820.27', '62.6205', '-540.255', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655591', '0', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s3.iff', '0', '0', '0', '1', '3820.27', '62.6838', '-542.067', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655592', '0', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s3.iff', '0', '0', '0', '1', '3820.28', '62.6838', '-538.486', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655593', '0', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s3.iff', '0', '0', '0', '1', '3831.67', '62.7154', '-540.6', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655594', '0', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s3.iff', '0', '0', '0', '1', '3831.73', '62.7154', '-542.146', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655595', '0', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s3.iff', '0', '0', '0', '1', '3831.6', '62.7154', '-538.86', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655596', '0', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s3.iff', '0', '0', '0', '1', '3820.39', '62.7154', '-534.957', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655597', '0', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s3.iff', '0', '0', '0', '1', '3820.39', '62.7154', '-533.144', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655598', '0', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s3.iff', '0', '0', '0', '1', '3820.4', '62.7154', '-531.376', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655599', '0', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s3.iff', '0', '0', '0', '1', '3831.5', '62.7154', '-534.806', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655600', '0', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s3.iff', '0', '0', '0', '1', '3831.5', '62.7154', '-532.993', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655601', '0', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s3.iff', '0', '0', '0', '1', '3831.51', '62.4308', '-531.225', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655602', '0', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s3.iff', '0', '0', '0', '1', '3827.26', '62.7154', '-529.544', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655625', '0', 'object/static/structure/general/shared_skeleton_bith_headandbody.iff', '0', '0', '0', '1', '-3885.53', '11.9832', '-4494.77', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655626', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0.786425', '0', '-0.617686', '-3891.48', '11.9396', '-4501.59', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655627', '0', 'object/static/item/shared_armor_bone_chestplate.iff', '-0.699717', '0', '0', '0.71442', '-3885.52', '12.0148', '-4493.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655628', '0', 'object/static/item/shared_armor_bone_helmet.iff', '0.636473', '-0.145399', '-0.278652', '-0.704354', '-3885.11', '12.0055', '-4493.8', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655629', '0', 'object/static/item/shared_armor_chitin_chestplate.iff', '0.488001', '0.570971', '0.477575', '-0.455817', '-3893.03', '11.9251', '-4501.82', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655630', '0', 'object/static/item/shared_item_cage_bamboo.iff', '-0.116807', '0.693734', '-0.122484', '-0.700062', '-3885.86', '11.7205', '-4499.73', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655631', '0', 'object/static/structure/corellia/shared_corl_tent_med.iff', '0', '-0.707106', '0', '0.707107', '-3888.54', '12.1195', '-4499', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655632', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0.0754538', '0.20996', '-0.329672', '0.917355', '-3890.2', '11.3788', '-4496.07', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655635', '0', 'object/tangible/camp/shared_camp_cot.iff', '-0.706813', '0.00409702', '0.707376', '-0.00410033', '-3892.64', '12.5513', '-4497.51', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655636', '0', 'object/tangible/camp/shared_camp_cot.iff', '0', '-0.539632', '0', '0.841901', '-3889.16', '11.9327', '-4501.91', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655640', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0', '0', '1', '-2889', '16.4753', '-235', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655641', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0', '0', '1', '-2888', '16.9994', '-241', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655646', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '-0.707106', '0', '0.707107', '-2897', '16.9735', '-238', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655647', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.707107', '0', '0.707107', '-2881', '16.7243', '-238', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655648', '0', 'object/static/installation/shared_mockup_power_generator_wind_style_1.iff', '0', '0', '0', '1', '-2901', '15.5996', '-229', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655649', '0', 'object/static/installation/shared_mockup_power_generator_wind_style_1.iff', '0', '0', '0', '1', '-2889', '16.0862', '-229', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655650', '0', 'object/static/installation/shared_mockup_power_generator_wind_style_1.iff', '0', '0', '0', '1', '-2878', '16.5606', '-229', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655651', '0', 'object/static/installation/shared_mockup_power_generator_wind_style_1.iff', '0', '0', '0', '1', '-2901.18', '15.559', '-247.052', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655652', '0', 'object/static/installation/shared_mockup_power_generator_wind_style_1.iff', '0', '0', '0', '1', '-2889.18', '16.6673', '-247.052', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655653', '0', 'object/static/installation/shared_mockup_power_generator_wind_style_1.iff', '0', '0', '0', '1', '-2878.18', '17.5125', '-247.052', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655654', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '0.707107', '0', '0.707107', '-2893.22', '16.4655', '-238.016', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655655', '0', 'object/static/structure/corellia/shared_corl_power_arial_prime.iff', '0', '0', '0', '1', '-2884.26', '17.0198', '-239.886', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655656', '0', 'object/static/structure/corellia/shared_corl_power_arial_thin.iff', '0', '0', '0', '1', '-2883.5', '17.0712', '-239.22', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655657', '0', 'object/static/structure/corellia/shared_corl_power_box_node.iff', '0', '0', '0', '1', '-2887.06', '16.7822', '-237.931', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655666', '0', 'object/static/structure/general/shared_poi_all_corral_half_32x32_s05.iff', '0', '0', '0', '1', '-2090', '11.9981', '-2654', '175', '1');
INSERT INTO `staticobjects` VALUES ('4', '8655667', '0', 'object/static/structure/general/shared_poi_all_corral_half_32x32_s05.iff', '0', '1', '0', '3.20013e-08', '-2090', '11.9156', '-2630', '175', '1');
INSERT INTO `staticobjects` VALUES ('4', '8865352', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '-0.333487', '0', '0.942755', '-6040.81', '11.9505', '2412.77', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '8865353', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '-0.424314', '0.816341', '0.223174', '-0.322085', '-6038.31', '11.9594', '2412.18', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '8865355', '0', 'object/static/structure/general/shared_skeleton_human_body.iff', '0', '0', '0', '1', '-6037.77', '11.8951', '2413.68', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '8865359', '0', 'object/static/structure/general/shared_atst_destroyed.iff', '-0.0355729', '0.103855', '-0.322085', '0.940325', '-6036.39', '11.77', '2406.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8925369', '0', 'object/static/structure/lok/shared_lok_imprv_flagpole_s01.iff', '0', '0', '0', '1', '420.074', '38.5735', '5105.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8925370', '0', 'object/static/structure/lok/shared_lok_imprv_bannerpole_s01.iff', '0', '0', '0', '1', '428.402', '11.687', '5219.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8925371', '0', 'object/static/structure/lok/shared_lok_imprv_bannerpole_s01.iff', '0', '0', '0', '1', '410.557', '11.9381', '5219.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8925372', '0', 'object/static/structure/lok/shared_lok_imprv_flagpole_s01.iff', '0', '0', '0', '1', '484.731', '30.3995', '4918.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8925373', '0', 'object/static/structure/lok/shared_lok_imprv_flagpole_s01.iff', '0', '0', '0', '1', '469.164', '30.3922', '4918.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8925382', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '415.36', '-1.40168', '5354.59', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8925383', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '419.36', '-1.41953', '5354.59', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8925385', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '425.598', '-1.42259', '5354.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8925386', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '421.528', '-1.43247', '5354.59', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8925472', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '420.453', '-0.614486', '5354.58', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8925488', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '415.393', '-1.81341', '5386.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8925489', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '419.393', '-1.81122', '5386.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8925490', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '425.631', '-1.79748', '5386.42', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8925491', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '421.563', '-1.79767', '5386.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8925492', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '420.487', '-1.17616', '5386.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8925495', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '415.394', '-1.49576', '5418.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8925496', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '419.395', '-1.54032', '5418.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8925497', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '425.632', '-1.54805', '5418.44', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8925498', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '421.564', '-1.5387', '5418.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8925499', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '420.488', '-0.51419', '5418.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '8925500', '0', 'object/static/structure/lok/shared_lok_imprv_flagpole_s01.iff', '0', '0', '0', '1', '419.981', '3.37508', '5417.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8925501', '0', 'object/static/structure/lok/shared_lok_imprv_flagpole_s01.iff', '0', '0', '0', '1', '419.997', '2.88091', '5385.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8925502', '0', 'object/static/structure/lok/shared_lok_imprv_flagpole_s01.iff', '0', '0', '0', '1', '419.988', '3.45366', '5354.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8925503', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '-0.707106', '0', '0.707108', '425.072', '1.11974', '5417.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8925504', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.707108', '0', '0.707105', '414.871', '1.15645', '5417.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8925505', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '-0.707101', '0', '0.707112', '425.087', '0.339818', '5385.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8925506', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.704123', '0', '0.710077', '414.92', '0.454538', '5385.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8925507', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '-0.707101', '0', '0.707112', '425.066', '0.823532', '5354.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8925508', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.707112', '0', '0.707101', '414.89', '0.823532', '5354.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '8925509', '0', 'object/static/vehicle/e3/shared_landspeeder.iff', '0', '-0.144492', '0', '0.989506', '-1810.86', '12', '-3078.81', '256', '1');
INSERT INTO `staticobjects` VALUES ('4', '8925510', '0', 'object/static/vehicle/e3/shared_landspeeder.iff', '0', '0.990104', '0', '0.140332', '515.916', '12.0124', '5097.54', '256', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025356', '0', 'object/static/structure/general/shared_campfire_ash.iff', '0', '0', '0', '1', '-6354.97', '39.2397', '1123.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025357', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0', '-0.398609', '0.917121', '-6356.75', '39.7126', '1126.91', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025358', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '-0.443483', '0.895113', '-0.0438583', '0.013126', '-6357.13', '39.7344', '1126.46', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025359', '0', 'object/static/structure/general/shared_skeleton_human_body.iff', '0', '0', '0', '1', '-6357.74', '39.8061', '1131.5', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025360', '0', 'object/static/structure/general/shared_skeleton_human_body.iff', '0', '0.924606', '0', '0.380925', '-6360.12', '40.2525', '1130.44', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025361', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0.0643773', '0.317584', '0.150722', '0.933959', '-6359.46', '40.3311', '1125.59', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025362', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0.495176', '0.504777', '0.504778', '-0.495176', '-6359.04', '39.8177', '1124.21', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025363', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '-0.707106', '0', '0.707107', '-6357.44', '39.8414', '1123.79', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025411', '0', 'object/building/military/shared_military_base_shed_imperial_style_01.iff', '0', '0', '0', '1', '-4501.14', '76.4798', '7395.51', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025412', '9025411', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025413', '9025411', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025414', '9025411', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025415', '9025411', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025416', '9025411', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025417', '9025411', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025443', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '-0.114747', '0', '0.993395', '-4463.73', '91.0523', '7392.79', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025444', '0', 'object/static/structure/corellia/shared_corl_power_arial_prime.iff', '-0.378939', '-0.0534008', '-0.128921', '0.91484', '-4496.4', '80.6647', '7399.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025445', '0', 'object/static/structure/corellia/shared_corl_power_arial_thin.iff', '0', '0', '0.0848976', '0.99639', '-4498.08', '79.653', '7397.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025446', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0', '0', '1', '-4461.61', '91.1203', '7415.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025453', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.227978', '0', '0.973666', '-4469.14', '90.9535', '7419.55', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025454', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0', '0', '1', '-4476.35', '91.0607', '7423.14', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025455', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.0249978', '0', '0.999687', '-4484.67', '90.9359', '7423.59', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025456', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0', '0', '1', '-4492.93', '90.9781', '7424.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025457', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.144493', '0', '0.989506', '-4500.43', '90.8918', '7426.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025458', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.0349934', '0', '0.999388', '-4516.38', '90.9468', '7429.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025459', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '-0.109778', '0', '0.993956', '-4508.56', '91.1562', '7428.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025460', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.501212', '0', '0.865324', '-4528.75', '90.936', '7422.76', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025461', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '-0.620986', '0', '0.783822', '-4524.81', '91.0453', '7429.54', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025462', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '-0.620984', '0', '0.783823', '-4532.81', '90.8276', '7415.77', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025463', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.854713', '0', '-0.5191', '-4528.96', '90.9799', '7408.44', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025464', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0.92075', '0', '-0.390154', '-4525.27', '91.0097', '7401.25', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025465', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.947395', '0', '-0.320065', '-4518.61', '91.0195', '7396.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025466', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0.983701', '0', '-0.179815', '-4512.21', '91.1834', '7391.17', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025467', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.997836', '0', '-0.065751', '-4504.01', '90.9779', '7390.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025468', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0.996866', '0', '0.0791193', '-4496.01', '91.1795', '7389', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025469', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.999999', '0', '-0.000798619', '-4487.7', '91.03', '7388.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025470', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0.989621', '0', '0.143703', '-4479.62', '91.2046', '7388.87', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025471', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.992903', '0', '0.118919', '-4471.97', '90.9057', '7390.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025472', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0.118684', '0.890126', '0.302921', '0.319106', '-5003.24', '15.331', '4501.3', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025473', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0.029992', '0.014993', '-0.00045', '0.999438', '-5004.59', '15.2809', '4500.61', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025474', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '1', '0', '-1.84354e-06', '5059', '12.1323', '-5142', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025475', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '1', '0', '-1.84354e-06', '5060', '12.0766', '-5133', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025476', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '1', '0', '-1.84354e-06', '5060', '12.1418', '-5142', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025477', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '0', '0.707108', '0', '0.707105', '5060', '12.1367', '-5137', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025478', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '1', '0', '-1.84354e-06', '5059', '12.0714', '-5133', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025479', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '1', '0', '-1.84354e-06', '5071', '12.1245', '-5142', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025480', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '1', '0', '-1.84354e-06', '5071', '12.0662', '-5133', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025481', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '1', '0', '-1.84354e-06', '5072', '12.1458', '-5142', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025482', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '0', '0.707108', '0', '0.707105', '5072', '12.106', '-5137', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025483', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '1', '0', '-1.84354e-06', '5072', '12.0867', '-5133', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025485', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0', '0.924606', '0', '0.380925', '-3814.65', '60.5193', '5311.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025487', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '-0.0900338', '0.959968', '-0.18647', '0.188636', '-3814.85', '62.8802', '5311.82', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025491', '0', 'object/static/structure/general/shared_prp_engine.iff', '0', '-0.470626', '0', '0.882333', '-2588.87', '11.6993', '6188.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025492', '0', 'object/static/structure/general/shared_prp_junk_s1.iff', '0', '0', '0.42141', '0.90687', '-2586.4', '12.0863', '6186.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025493', '0', 'object/static/structure/tatooine/shared_debris_tatt_radar_dish.iff', '-0.066573', '-0.207827', '0.297706', '0.92938', '-2573.48', '10.6955', '6182.68', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025494', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '-0.0785951', '0.208805', '-0.343395', '0.912306', '-2580.19', '11.6473', '6185.33', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025495', '0', 'object/static/structure/tatooine/shared_concrete_slab_tatooine_16x8.iff', '0', '-0.382683', '0', '0.92388', '1810', '34.078', '-2235', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025496', '0', 'object/static/structure/tatooine/shared_shed_junkshop_watto.iff', '0', '0', '0', '1', '1838.96', '14.3529', '5765.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025497', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0.872355', '0', '0.488872', '1846.01', '13.687', '5777.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025498', '0', 'object/static/structure/general/shared_poi_tato_farm_32x32_s01.iff', '0', '0.999942', '0', '0.0107966', '1854.56', '14.5928', '5772.56', '175', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025499', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '0.15731', '0.817347', '-0.034862', '-0.553156', '1858.77', '16.8507', '5750.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025500', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0.120131', '0.193758', '0.513067', '0.82752', '1846.12', '16.2299', '5752.04', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025501', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.518418', '0', '0.855128', '1858.51', '16.0795', '5753.17', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025502', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0.232843', '0', '0.972514', '1842.35', '13.7949', '5754.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025503', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '-0.382683', '0', '0.92388', '1810', '42.0062', '-2224', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025504', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '-0.382683', '0', '0.92388', '1820', '42.0364', '-2234', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025506', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '-0.382683', '0', '0.92388', '1800', '42.0225', '-2234', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025507', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0.5', '0.5', '0.5', '-0.5', '1804', '43.0192', '-2238', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025508', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0.653282', '0.270598', '0.270598', '-0.653281', '1808', '43.0701', '-2228', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025509', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '-0.32916', '0.625821', '0.625823', '0.329161', '1818.77', '41.2778', '-2251.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025511', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '1805', '40.833', '-2238', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025512', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '-0.382683', '0', '0', '0.92388', '-4240.84', '10.2618', '2708.17', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025513', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0.382684', '0', '0', '0.923879', '-4240.92', '10.1924', '2727.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025514', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0.270598', '0.653282', '0.270598', '-0.653281', '-4230.81', '10.0265', '2718.29', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025515', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '-0.270598', '0.653282', '-0.270598', '-0.653281', '-4250.78', '10.3354', '2718.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025516', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0.353554', '-0.353554', '0.146447', '0.853553', '-4247.53', '10.3656', '2725.34', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025517', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0.146446', '0.853553', '0.353554', '-0.353553', '-4234.24', '10.2151', '2724.72', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025518', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '-0.353553', '-0.353553', '-0.146447', '0.853554', '-4233.55', '10.2941', '2711.62', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025519', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '-0.353553', '0.353553', '0.146447', '0.853554', '-4247.55', '10.1881', '2711.94', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025520', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0', '0', '1', '-4240.61', '8.54183', '2718.08', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025521', '0', 'object/static/particle/shared_particle_campfire_style_1.iff', '0', '0', '0', '1', '-4240.69', '12.788', '2718.09', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025522', '0', 'object/static/particle/shared_particle_campfire_style_1.iff', '0', '0', '0', '1', '-4240.87', '13.2131', '2705.1', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025523', '0', 'object/static/particle/shared_particle_campfire_style_1.iff', '0', '0', '0', '1', '-4249.7', '13.1359', '2709.76', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025524', '0', 'object/static/particle/shared_particle_campfire_style_1.iff', '0', '0', '0', '1', '-4253.83', '13.3815', '2718.12', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025525', '0', 'object/static/particle/shared_particle_campfire_style_1.iff', '0', '0', '0', '1', '-4249.64', '13.3325', '2727.52', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025526', '0', 'object/static/particle/shared_particle_campfire_style_1.iff', '0', '0', '0', '1', '-4240.93', '13.1638', '2730.13', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025527', '0', 'object/static/particle/shared_particle_campfire_style_1.iff', '0', '0', '0', '1', '-4232.11', '13.238', '2726.79', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025528', '0', 'object/static/particle/shared_particle_campfire_style_1.iff', '0', '0', '0', '1', '-4227.75', '13.0021', '2718.27', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025529', '0', 'object/static/particle/shared_particle_campfire_style_1.iff', '0', '0', '0', '1', '-4231.42', '13.2645', '2709.42', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025538', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '1.0096e-08', '-0.382683', '-4.18191e-09', '0.92388', '1808', '40.8723', '-2228', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025560', '0', 'object/tangible/camp/shared_campfire_logs_smoldering.iff', '0', '0', '0', '1', '-3507.29', '12.0535', '998.047', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025564', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.266731', '0', '0.963771', '-3504.7', '11.4111', '993.132', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025565', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '-0.382683', '0', '0', '0.92388', '-3504.85', '11.7295', '994.662', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025566', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0.0600406', '-0.569712', '-0.085905', '0.815134', '-3503.56', '11.7882', '994.511', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025568', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '0.707107', '0', '-0.707107', '282', '13.0622', '-5607', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025569', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '0.707107', '0', '-0.707107', '282', '13.1018', '-5589', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9025572', '0', 'object/static/structure/tatooine/shared_debris_tatt_radar_dish.iff', '0.115568', '0.649635', '0.468339', '-0.587603', '-3503.97', '10.6334', '984.425', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '9095355', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '-0.707106', '0', '0.707108', '2708.18', '7.56064', '-3302.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9095356', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '0.707107', '0', '0.707107', '2723.16', '12.006', '-3302.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9095357', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '-0.707106', '0', '0.707107', '2700.41', '11.5809', '-3298', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9095358', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0', '0', '0', '1', '2700.66', '11.8259', '-3291.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9095359', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '0.707108', '0', '0.707105', '2730.98', '12.0638', '-3282.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9095360', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0', '0', '0', '1', '2731.15', '11.9424', '-3298.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9095361', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '0.707107', '0', '-0.707107', '2708.31', '12.0169', '-3278.39', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9095363', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.911367', '0', '0.411595', '2939.72', '13.306', '3957.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9095364', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.985719', '0', '0.168398', '2948.54', '13.2751', '3962.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9095365', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '0.904412', '0', '0.42666', '2940.86', '13.3433', '3946.08', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9095366', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '0.539297', '0', '0.842116', '2957.89', '13.0613', '3960.27', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9095367', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0', '0.389418', '0', '0.921061', '2953.63', '12.9723', '3938.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9095370', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '-0.707106', '0', '0.707107', '715.614', '12.0642', '-3387.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9095373', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0', '0', '1', '720.199', '12.0894', '-3386.89', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9095374', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0', '0', '1', '711.669', '11.9959', '-3386.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9095375', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '0.707107', '0', '-0.707107', '715.567', '12.0475', '-3373.82', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9095376', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0', '0', '1', '720.152', '12.1046', '-3373.62', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9095377', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0', '0', '1', '711.622', '11.9883', '-3373.56', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9095378', '0', 'object/static/structure/general/shared_skeleton_human_body.iff', '0', '0', '0', '1', '-2719.67', '40.9463', '4168.9', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '9095379', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0', '-0.257081', '0.96639', '-2719.04', '41.5109', '4168.22', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '9095380', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '-0.01784', '0.821021', '0.0466867', '-0.568705', '-2721.2', '40.4918', '4173.45', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '9095381', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0.366273', '0', '0.930508', '-2721.39', '40.5435', '4170.85', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '9095382', '0', 'object/static/structure/general/shared_skeleton_ithorian_head.iff', '0.104907', '0.802194', '-0.331381', '0.485454', '-2722.18', '40.916', '4170.4', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '9095383', '0', 'object/static/structure/general/shared_skeleton_bith_headandbody.iff', '0', '0', '0', '1', '-2720.01', '40.3514', '4171.87', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '9095384', '0', 'object/static/structure/general/shared_skeleton_ithorian_headandbody.iff', '0', '0', '0', '1', '-2720.2', '40.6253', '4170.55', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '9095395', '0', 'object/static/structure/tatooine/shared_bridge_tatooine_small_style_03.iff', '0.0319151', '-0.477429', '-0.0840687', '0.874057', '-2761.07', '10.3959', '2473.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9095401', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_ribcage.iff', '0.100112', '0.236787', '0.37633', '0.890104', '-2766.16', '2.75734', '2469.29', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9095412', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '-0.233353', '-0.312564', '0.522456', '0.758215', '-2749.57', '10.9557', '2469.62', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9095414', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '0.366273', '0', '0.930508', '-2775.25', '9.85638', '2483.54', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9095416', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '0.34759', '0', '0.937647', '-2749.66', '10.596', '2460.54', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9095417', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '-0.267899', '-0.251052', '0.193305', '0.909855', '-2759.92', '1.94263', '2466.55', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9095418', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '-0.251026', '-0.267923', '0.133798', '0.92049', '-2768.55', '9.05576', '2485.58', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9095419', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0.00861903', '0.539251', '0.70393', '-0.462186', '-2774.88', '11.4085', '2480.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9165352', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0', '0', '1', '5838.42', '11.9147', '1676.8', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9165353', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.707106', '0', '0.707107', '5842.41', '11.9196', '1673.38', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9165354', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0', '0', '1', '5846.35', '11.9271', '1668.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9165355', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '0.707106', '0', '0.707107', '5854.36', '12.0783', '1664.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9165356', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '1', '0', '3.20013e-08', '5833.95', '11.9703', '1680.54', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9505620', '0', 'object/static/structure/general/shared_debris_deathstar_storage.iff', '0', '0.902268', '0', '-0.431177', '-3641.26', '11.9146', '-2024.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9505621', '0', 'object/static/structure/general/shared_prp_junk_s1.iff', '-0.339938', '-0.328001', '0.609532', '0.636654', '-3648.69', '12.0576', '-2023.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9505622', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0.167578', '0.405653', '-0.461724', '0.770827', '-3650.92', '12.4529', '-2024.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9505623', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '-0.473158', '0.529349', '0.542634', '-0.448843', '-3650.4', '12.497', '-2030.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9505627', '0', 'object/static/structure/general/shared_prp_junk_s2.iff', '0.981045', '0.188674', '-0.00834551', '0.0433939', '-3649.24', '11.7692', '-2029.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9505628', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0', '0', '1', '-3648.6', '11.9254', '-2031.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9505629', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0.888928', '0', '-0.458047', '-3649.31', '11.8872', '-2030.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9505630', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '-0.556361', '0', '0.830941', '-3648.59', '11.9', '-2030.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9505631', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0', '0', '1', '-3650.7', '11.9333', '-2026.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9505632', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0.888928', '0', '-0.458047', '-3651.41', '11.8951', '-2025.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9505633', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '-0.556361', '0', '0.83094', '-3650.69', '11.908', '-2025.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9505634', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0', '0', '1', '-3647.16', '11.9946', '-2024.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9505635', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0.888928', '0', '-0.458047', '-3647.87', '11.9564', '-2023.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9505636', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '-0.556361', '0', '0.83094', '-3647.15', '11.9693', '-2024.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9505637', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0', '0', '1', '-3640.75', '12.1732', '-2029.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9505638', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0.888928', '0', '-0.458047', '-3641.46', '12.135', '-2028.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9505639', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '-0.556361', '0', '0.83094', '-3640.73', '12.1479', '-2029.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9505640', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0', '0', '1', '-3639.33', '12.1808', '-2029.59', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9505641', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0.888928', '0', '-0.458047', '-3640.04', '12.1426', '-2028.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9505642', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '-0.556361', '0', '0.83094', '-3639.31', '12.1555', '-2028.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9505643', '0', 'object/static/structure/corellia/shared_corl_tent_small.iff', '0', '-0.501213', '0', '0.865324', '-3643.29', '12.0924', '-2032.04', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '9505644', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '-3645.01', '12.0961', '-2032.09', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '9505645', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.685289', '0', '0.728272', '-3644.26', '12.0105', '-2030.22', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '9505646', '0', 'object/tangible/camp/shared_camp_cot.iff', '0', '-0.452886', '0', '0.891568', '-3642.29', '12.195', '-2032.75', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '9505648', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0', '0', '1', '-3646.61', '11.9584', '-2028.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9505649', '0', 'object/static/flora/shared_flora_decd_dath_azerontree.iff', '0', '0', '0', '1', '-791.076', '14.8582', '-4974.57', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '9505650', '0', 'object/static/structure/general/shared_rock_mossy_big.iff', '0', '0', '0', '1', '-787.371', '15.4481', '-4984.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9505651', '0', 'object/static/structure/general/shared_rock_mossy_big_a1.iff', '0', '0', '0', '1', '-787.66', '14.554', '-4969.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9505654', '0', 'object/static/particle/shared_pt_miasma_of_fog_red.iff', '0', '0', '0', '1', '-791.208', '14.7934', '-4974.8', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '9535355', '0', 'object/static/structure/tatooine/shared_shed_junkshop_watto.iff', '0', '0', '0', '1', '569.179', '25.6362', '-2165.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9535356', '0', 'object/static/structure/tatooine/shared_shed_junkshop_watto.iff', '0', '0', '0', '1', '593.311', '24.8205', '-2180.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9535360', '0', 'object/static/structure/tatooine/shared_shed_junkshop_watto.iff', '0', '0', '0', '1', '3256.31', '27.5106', '-1457.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9535361', '0', 'object/static/structure/tatooine/shared_shed_junkshop_watto.iff', '0', '0', '0', '1', '3256.42', '27.5556', '-1436.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9535362', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '-0.707106', '0', '0.707108', '3256.33', '27.2937', '-1450.18', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9535363', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '-1054.71', '11.964', '3559.16', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '9535364', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '-1056.62', '12.0141', '3559.44', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '9535366', '0', 'object/static/structure/tatooine/shared_guild_statue_free_style_01.iff', '0', '0', '0', '1', '-1065.66', '14.3526', '3569.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '9535367', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.382683', '0', '0.92388', '3304.27', '33.9668', '-2392.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9535368', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.382683', '0', '0.92388', '3313.6', '33.9676', '-2402.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9535371', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '-0.382683', '0', '0.92388', '3325.88', '33.2971', '-2414.58', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9535372', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '0.382683', '0', '0.92388', '3347.44', '29.8144', '-2436.62', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9535382', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '1', '0', '3.20013e-08', '5074.91', '11.7112', '-4123.86', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9535383', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '0', '0', '1', '5069.93', '11.8131', '-4114.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9535399', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '1', '0', '-2e-06', '5532', '11.7361', '-6009', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9535400', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '1', '0', '-2e-06', '5533', '11.5459', '-6000', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9535401', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '1', '0', '-2e-06', '5533', '11.7429', '-6009', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9535402', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '0', '0.707108', '0', '0.707105', '5533', '11.7008', '-6004', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9535403', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '1', '0', '-2e-06', '5532', '11.5471', '-6000', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9535405', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '1', '0', '-2e-06', '5552', '11.6548', '-6000', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9535407', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '0', '0.707108', '0', '0.707105', '5552', '11.6761', '-6004', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9535408', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '1', '0', '-2e-06', '5551', '11.6717', '-6000', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9535409', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '1', '0', '-2e-06', '5516', '11.6977', '-6000', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9535410', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '0', '0.707108', '0', '0.707105', '5517', '11.4006', '-6004', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9535411', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '1', '0', '-2e-06', '5517', '11.567', '-6009', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9535412', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '1', '0', '-2e-06', '5517', '11.6871', '-6000', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9535413', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '1', '0', '-2e-06', '5516', '11.584', '-6009', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9535414', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '3907.7', '11.3876', '-5517.76', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9535416', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '3901.58', '11.3053', '-5523.91', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9535417', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '3907.77', '11.3785', '-5508.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9535418', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '3901.62', '11.446', '-5502.56', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9535420', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0', '0', '1', '3907.45', '11.4436', '-5513.69', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9535421', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.382683', '0', '0.92388', '3904.38', '11.3603', '-5506', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9535422', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.707106', '0', '0.707107', '3896.69', '11.3965', '-5502.82', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9535423', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.707107', '0', '-0.707107', '3896.61', '11.4652', '-5524.18', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9535424', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.923879', '0', '-0.382684', '3903.95', '11.3894', '-5521.22', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9535425', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.92388', '0', '0.382682', '3888.94', '11.4139', '-5521.49', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9535426', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.923879', '0', '-0.382684', '3888.97', '11.4782', '-5505.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9535427', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '3892.7', '11.385', '-5523.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9535428', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '3892.77', '11.3149', '-5502.59', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9535429', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '1', '0', '-1.84354e-06', '3885.25', '11.2808', '-5518.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9535430', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '1', '0', '-1.84354e-06', '3886.25', '11.3206', '-5509.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9535431', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '1', '0', '-1.84354e-06', '3886.25', '11.2589', '-5518.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9535432', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '0', '0.707108', '0', '0.707105', '3886.25', '11.7469', '-5513.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9535433', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '1', '0', '-1.84354e-06', '3885.25', '11.3097', '-5509.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9535434', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '1', '0', '-1.84354e-06', '1570', '25.503', '-6430', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9535435', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '1', '0', '-1.84354e-06', '1571', '25.5468', '-6421', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9535436', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '1', '0', '-1.84354e-06', '1571', '25.4956', '-6430', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9535437', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '0', '0.707108', '0', '0.707105', '1571', '25.6869', '-6425', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9535438', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '1', '0', '-1.84354e-06', '1570', '25.5403', '-6421', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9535439', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '-0.382683', '0', '0.92388', '1565', '25.4279', '-6415', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9535440', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '0.92388', '0', '0.382683', '1568', '25.5761', '-6432', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9535442', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0', '0', '1', '224.339', '11.553', '-5978.82', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9535443', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0', '0', '1', '224.315', '11.5253', '-5969.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9535444', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0', '0', '1', '215.134', '11.528', '-5969.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9535445', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0', '0', '1', '215.205', '11.5568', '-5978.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9535446', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '-0.5', '-0.5', '0.5', '-0.5', '215.195', '18.7917', '-5979.8', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9535447', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0.5', '0.5', '0.5', '-0.5', '215.123', '19.7655', '-5969.58', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9535448', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0', '0', '1', '205.975', '11.5418', '-5969.56', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9535449', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0', '0', '1', '206.01', '11.5593', '-5978.76', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9535450', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0.5', '0.5', '0.5', '-0.5', '205.908', '19.7771', '-5969.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9535451', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0.5', '0.5', '0.5', '-0.5', '205.989', '19.7995', '-5978.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9535452', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '-0.707106', '0', '0', '0.707107', '205.98', '19.7807', '-5970.55', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9535453', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '-0.707105', '0', '0', '0.707108', '224.317', '19.7849', '-5970.58', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685353', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0', '0', '1', '6182.78', '11.9973', '-5556.64', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685354', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0', '0', '1', '6182.77', '12.0678', '-5547.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685355', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '-0.707105', '0', '0', '0.707108', '6182.77', '20.2967', '-5548.39', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685356', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '-0.707106', '0', '0.707108', '6186.2', '11.924', '-5551.77', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685357', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '-0.707105', '0', '0.707108', '6176.98', '11.9628', '-5551.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685359', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0.5', '0.5', '0.5', '-0.5', '6177.95', '20.1898', '-5551.77', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685363', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '0', '0', '1', '2704.29', '13.0575', '-5382.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685364', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0', '0', '0', '1', '2701.14', '13.144', '-5378.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685365', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '0', '0', '1', '2710.89', '12.7234', '-5375.41', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685367', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0.382683', '0', '0', '0.92388', '3647.36', '8.4944', '-4127.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685368', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '-0.270598', '0.653281', '0.270598', '0.653282', '3653.09', '9.22015', '-4122.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685369', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '-0.382683', '0', '0', '0.92388', '3647.27', '9.17726', '-4115.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685370', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0.653282', '-0.270598', '-0.653281', '-0.270598', '3646.31', '14.9845', '-4122.81', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685371', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '3647.31', '14.5756', '-4121.76', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685373', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '1472.65', '15.6482', '-4466.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685374', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '1463.93', '15.684', '-4466.58', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685376', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.707106', '0', '0.707107', '1467.78', '13.5648', '-4466.85', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685377', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '1', '0', '3.48103e-07', '1463.21', '13.6015', '-4462.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685378', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.707107', '0', '0.707107', '1476.31', '13.5189', '-4467.35', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685379', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '1481.29', '15.614', '-4466.64', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685380', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '1463.94', '15.6395', '-4457.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685381', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '0', '0', '1', '1467.85', '13.872', '-4458.22', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685383', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '0', '0', '1', '1481.03', '13.5628', '-4458.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685385', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.70709', '0', '0.707123', '1870.55', '25.3291', '-3005.26', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685388', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.707092', '0', '0.707121', '1862.61', '25.3249', '-3005.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685404', '0', 'object/static/structure/tatooine/shared_concrete_slab_tatooine_16x8.iff', '0', '0', '0', '1', '1866.86', '18.167', '-3012.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685405', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.707099', '0', '0.707114', '1862.05', '25.1902', '-3017.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685406', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.7071', '0', '0.707113', '1871.21', '25.1573', '-3018.27', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685407', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.707102', '0', '0.707111', '1862.05', '25.2096', '-3018.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685408', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '0', '1', '0', '-2e-06', '1867.12', '25.3758', '-3018.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685409', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.707103', '0', '0.70711', '1871.21', '25.1818', '-3017.27', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685410', '0', 'object/static/structure/tatooine/shared_wall_gate_tatooine_style_03.iff', '0', '0', '0', '1', '1985.5', '19.6882', '-956.554', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685411', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '0.707107', '0', '0.707107', '1985.27', '20.0638', '-965.373', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685412', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '1985.78', '19.7208', '-960.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685415', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '0', '0', '1', '1985.5', '19.4607', '-945.007', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685416', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '1985.75', '19.6717', '-951.753', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685422', '0', 'object/static/structure/general/shared_campfire_burnt.iff', '0', '0.983986', '0', '0.178246', '2370.15', '20.0432', '2739.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685423', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.159318', '0', '0.987227', '2362.92', '21.0475', '2732.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685424', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '-0.319308', '0', '0.947651', '2377.56', '20.0052', '2734.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685425', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '-0.46922', '0', '0.883081', '2386.18', '19.454', '2740.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685427', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '0', '0', '1', '4481.36', '12.9346', '-2844.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685428', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '-0.707106', '0', '0.707107', '4497.8', '12.897', '-2833.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685429', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0', '0', '0', '1', '4481.28', '12.988', '-2833.05', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685432', '0', 'object/static/structure/tatooine/shared_wall_gate_tatooine_wide_style_01.iff', '0', '-0.707106', '0', '0.707107', '4489.48', '12.8082', '-2853.27', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685433', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0', '0', '1', '4498.04', '12.7743', '-2844.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685434', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '4481.5', '12.882', '-2852.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685435', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '4498.31', '12.8406', '-2852.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685436', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '0', '0.999942', '0', '-0.0107954', '508.367', '62.659', '4046.48', '512', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685437', '0', 'object/static/structure/general/shared_debris_deathstar_conduit.iff', '-0.113911', '0.766343', '-0.0806008', '-0.627093', '481.605', '63.3444', '4025.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685438', '0', 'object/static/structure/general/shared_prp_junk_s3.iff', '-0.144047', '0.855846', '-0.106311', '-0.485259', '504.792', '63.8573', '4023.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685439', '0', 'object/static/structure/general/shared_prp_junk_s1.iff', '0', '0.999667', '0', '-0.0257934', '480.825', '63.3143', '4029.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685440', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '0.425813', '-0.221036', '-0.0190065', '0.877192', '499.757', '63.6632', '4031.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685442', '0', 'object/static/structure/corellia/shared_corl_power_arial_thin.iff', '0', '0', '0', '1', '506.379', '68.6835', '4049.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685443', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '-0.681639', '0', '0.731688', '479.495', '63.2911', '4022.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685444', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '-0.674289', '0', '0.738468', '481.003', '63.3241', '4031.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685445', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.999667', '0', '-0.0257934', '487.569', '61.9548', '4022.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685446', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0.972329', '0', '-0.233617', '495.987', '64.0518', '4021.59', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685447', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.987888', '0', '-0.155166', '503.849', '61.9838', '4019.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685448', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.937923', '0', '0.346844', '487.246', '62.0148', '4036.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685449', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '-0.696136', '0', '0.71791', '493.884', '62.9824', '4042.56', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685450', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.613117', '0', '0.789992', '495.986', '61.9372', '4050.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685451', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.972329', '0', '-0.233616', '504.972', '61.9084', '4054.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685452', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.706825', '0', '0.707389', '512.005', '61.9576', '4025.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685453', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '-0.696136', '0', '0.71791', '512.018', '62.3897', '4033.66', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685454', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.706825', '0', '0.707389', '512.013', '61.9895', '4042.38', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685455', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0.713864', '0', '-0.700285', '512.067', '62.3856', '4051.05', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685456', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0.908633', '0', '-0.417595', '512.054', '63.3633', '4016.61', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685457', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0.810497', '0', '-0.585743', '497.906', '62.1338', '4058.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685470', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.999526', '0', '0.0307915', '6200.39', '61.8116', '931.929', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685471', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.950549', '0', '-0.310574', '6210.39', '62.0628', '928.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685472', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.881958', '0', '-0.471328', '6215.2', '62.0543', '921.213', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685481', '0', 'object/static/structure/tatooine/shared_concrete_slab_tatooine_16x8.iff', '0', '-0.382683', '0', '0.92388', '5872.63', '11.2395', '-1122.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685488', '0', 'object/static/structure/tatooine/shared_shed_junkshop_watto.iff', '0', '0', '0', '1', '5873', '16.1066', '-1123', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685491', '0', 'object/static/structure/general/shared_flag_corellia_s01.iff', '0', '0', '0', '1', '6192.77', '62.103', '921.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685494', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.92388', '0', '0.382683', '5875.96', '15.0472', '-1125.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685505', '0', 'object/static/structure/general/shared_droid_lemedical_powerdown.iff', '0.262326', '-0.177054', '0.603702', '0.731697', '6243.54', '92.0202', '898.115', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685549', '0', 'object/static/structure/general/shared_prp_engine.iff', '-0.160473', '0.923329', '0.321428', '0.135631', '3897.3', '11.8503', '588.031', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685551', '0', 'object/static/structure/tatooine/shared_debris_tatt_radar_dish.iff', '-0.066573', '-0.207827', '0.297706', '0.92938', '3907.45', '10.9587', '591.8', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685552', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '-0.0785951', '0.208805', '-0.343395', '0.912306', '3892.11', '11.5045', '598.433', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685607', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '-0.5', '-0.5', '0.5', '0.5', '2244.63', '1.78617', '1899.79', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685608', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '-0.5', '0.5', '0.5', '-0.5', '2244.63', '1.28895', '1899.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685609', '0', 'object/static/structure/tatooine/shared_wall_gate_tatooine_style_02.iff', '0', '1', '0', '3.20013e-08', '2238.87', '1.79841', '1899.73', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685610', '0', 'object/static/structure/tatooine/shared_wall_gate_tatooine_style_03.iff', '0', '0', '0', '1', '2252.37', '1.44186', '1899.69', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685617', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_01.iff', '-0.00544413', '0.707085', '-0.0054438', '0.707086', '-242.261', '12.3491', '-474.879', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685643', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0.92388', '0.382683', '0', '0', '-241', '12.9441', '-478.038', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685644', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '-238.238', '12.9181', '-476.986', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685646', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.707107', '0', '-0.707107', '-233.187', '12.9598', '-478.674', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685668', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0', '0', '1', '-241.696', '8.91642', '-471.916', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685672', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '-0.707107', '0', '0.707107', '-224.325', '13.0707', '-475.131', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685676', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '-231.43', '13.1311', '-451.265', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685677', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '-229.637', '13.0607', '-472.161', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685679', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.707107', '0', '0.707107', '-234.461', '12.9305', '-472.333', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685680', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '1', '0', '0', '-232.245', '13.0168', '-442.362', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685681', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '1', '0', '0', '-232.244', '13.0154', '-448.168', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685682', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.707107', '0', '-0.707107', '-236.381', '13.0042', '-437.668', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685684', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.707107', '0', '0.707107', '-231.479', '13.0827', '-438.37', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685686', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '-234.847', '12.9249', '-448.555', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685687', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0', '0', '1', '-235.074', '12.9976', '-452.919', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685688', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.382683', '0', '0.92388', '-238.175', '12.7655', '-445.839', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685689', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0', '0', '1', '-231.062', '13.1051', '-464.303', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685690', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '-234.896', '12.952', '-470.988', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685691', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0', '0', '1', '-235.078', '12.998', '-464.045', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685705', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0', '0', '1', '-241.884', '13.0036', '-470.41', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685707', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '-241.723', '12.9003', '-477.022', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685708', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '-246.025', '12.0575', '-437.378', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685709', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '-234.831', '13.0143', '-459.042', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685711', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0', '0', '1', '-222.384', '13.0839', '-470.952', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685712', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '-222.124', '13.0452', '-474.922', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685714', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '-220.919', '13.0845', '-455.131', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685715', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '-220.898', '12.9707', '-469.329', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685716', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '-222.153', '13.0056', '-451.206', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685717', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '-0.038871', '0.706037', '-0.038871', '0.706038', '-221.834', '13.0491', '-469.674', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685718', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '-0.038871', '0.706037', '-0.038871', '0.706038', '-221.886', '13.0515', '-455.496', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685719', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '-217.235', '12.9304', '-469.315', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685720', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '-217.198', '12.9417', '-455.123', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685721', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '1', '0', '0', '-217.939', '12.8964', '-459.776', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685722', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '1', '0', '0', '-217.939', '12.7293', '-465.582', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685725', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0', '0', '1', '2252.65', '-3.91459', '1896.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685726', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0', '0', '1', '2252.66', '-3.84588', '1903.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685727', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0', '0', '1', '2252.59', '-6.5994', '1900.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685728', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0', '0', '1', '2239.62', '-4.02897', '1896.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685732', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0.707107', '0', '0', '0.707107', '-398.047', '14.6038', '-6139.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685735', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0.707106', '0.707108', '0', '-384.093', '17.3236', '-6139.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685736', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '-0.131441', '0.863773', '-0.408105', '0.264706', '-398.165', '13.0481', '-6124.38', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685737', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0.707106', '0.707108', '0', '-384.08', '15.8198', '-6131.25', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685738', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '0.707107', '0', '-0.707107', '-391.062', '14.5915', '-6139.16', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685739', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '0.707107', '0', '-0.707107', '-391.053', '14.7282', '-6130.94', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685740', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '0.707107', '0', '-0.707107', '-391.064', '14.6424', '-6123.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685741', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '2217.77', '3.12649', '1883.06', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685742', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '2215.52', '3.12649', '1881.14', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685743', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '2216.38', '3.12649', '1879.96', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685744', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '2217.69', '3.12649', '1883.96', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685745', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.237703', '0', '0.971338', '2217.72', '4.01193', '1884.04', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685746', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '2216.58', '3.12649', '1882.81', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685747', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '2216.63', '3.12649', '1884.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685748', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '2214.91', '3.12649', '1879.93', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685749', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0', '0', '1', '2217.17', '3', '1883.49', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685750', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0', '0', '1', '2215.62', '3', '1880.69', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685777', '0', 'object/static/structure/tatooine/shared_wall_gate_tatooine_style_01.iff', '0', '-0.572867', '0', '0.819648', '2213.66', '1.9476', '1864.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685781', '0', 'object/static/structure/tatooine/shared_wall_junkshop_watto.iff', '0', '-0.514136', '0', '0.857709', '2221.6', '1.04572', '1871.73', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685782', '0', 'object/static/structure/tatooine/shared_wall_junkshop_watto.iff', '0', '-0.42594', '0', '0.904752', '2232.55', '1.0495', '1888.26', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685797', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.261909', '0', '0.965092', '2226.94', '1.70611', '1880.62', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685798', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0.297982', '0.641254', '-0.297982', '-0.641254', '2215.6', '3.43107', '1878.72', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685799', '0', 'object/static/structure/tatooine/shared_wall_junkshop_watto.iff', '0', '0.888929', '0', '-0.458046', '2233.62', '1.10141', '1911.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685800', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '2249.64', '1.78278', '1896.37', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685801', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '2248.6', '1.76741', '1896.38', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685802', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.430458', '0', '0.902611', '2248.96', '2.47311', '1896.32', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685803', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '-0.267555', '0.65496', '0.290809', '0.644106', '2250.85', '2.63184', '1902.09', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685804', '0', 'object/static/item/shared_item_tank_gas.iff', '0', '0', '0', '1', '2216.51', '3.12649', '1881.14', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685815', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0.707107', '0', '0', '0.707107', '2252.12', '5.19592', '1903.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685816', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '-0.707106', '7.72715e-09', '7.72715e-09', '0.707107', '2252.12', '5.22683', '1895.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685817', '0', 'object/static/structure/tatooine/shared_concrete_slab_tatooine_16x8.iff', '0', '0', '0', '1', '-4853.49', '9.39295', '-1056.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685821', '0', 'object/static/structure/tatooine/shared_concrete_slab_tatooine_16x8.iff', '0', '0', '0', '1', '-4891.27', '8.24614', '-1047.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685823', '0', 'object/static/structure/tatooine/shared_shed_junkshop_watto.iff', '0', '0', '0', '1', '-4853.46', '14.4223', '-1056.66', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685824', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.707096', '0', '0.707117', '-4886.57', '12.0992', '-1043.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685825', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.70709', '0', '0.707123', '-4848.75', '12.7238', '-1053.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685827', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.92388', '0', '0.382681', '6126.95', '12.9743', '-3166.56', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685828', '0', 'object/static/structure/tatooine/shared_concrete_slab_tatooine_16x8.iff', '0', '-0.382683', '0', '0.92388', '6104.9', '9.1158', '-3181.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685829', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.92388', '0', '0.382681', '6120.46', '13.0655', '-3160.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685830', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '0', '0.382685', '0', '0.923879', '6123.97', '12.3587', '-3162.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685831', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.92388', '0', '0.382681', '6127.47', '12.9645', '-3166.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685832', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.92388', '0', '0.382681', '6120.98', '13.0618', '-3159.56', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685833', '0', 'object/static/structure/general/shared_poi_tato_corral_half_32x32_s04.iff', '0', '0.92388', '0', '0.382683', '6123.09', '12.9115', '-3175.7', '175', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685834', '0', 'object/static/structure/general/shared_poi_tato_corral_half_32x32_s04.iff', '0', '-0.382683', '0', '0.92388', '6110.64', '12.9973', '-3163.21', '175', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685835', '0', 'object/static/structure/tatooine/shared_shed_junkshop_watto.iff', '0', '0', '0', '1', '6104.93', '13.8089', '-3181.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685836', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.382683', '0', '0.92388', '6107.97', '12.9842', '-3178.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685839', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '0.92388', '0', '0.382683', '6123.79', '12.9687', '-3168.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685840', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '1', '0', '-5e-06', '1995.59', '11.8107', '-1294.27', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685842', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.707089', '0', '0.707124', '1990.32', '11.8461', '-1293.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685843', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.707082', '0', '0.707131', '1990.34', '11.8467', '-1293.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685845', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.707069', '0', '0.707144', '1990.35', '11.8481', '-1293.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685846', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0.500024', '0.499975', '0.499975', '-0.500024', '1991.33', '16.1068', '-1293.28', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685847', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '1', '0', '0', '-663.082', '19.6103', '-2127.33', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685848', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0', '0', '1', '-681.144', '18.9779', '-2155.73', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685849', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0', '0', '1', '-675.06', '18.9761', '-2155.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685850', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '0.707107', '0', '-0.707107', '-675.359', '18.492', '-2151.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685851', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '0', '0', '1', '-681.342', '18.3534', '-2147.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685852', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.707107', '0', '-0.707107', '-667.004', '17.5452', '-2141.87', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685853', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0', '0', '0', '1', '-675.035', '17.8762', '-2144.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685855', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.707107', '0', '-0.707107', '-689.372', '17.1688', '-2141.58', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685856', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '0', '-0.382683', '0.92388', '-658.701', '17.4084', '-2134.27', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685857', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0.653281', '0.270598', '-0.270598', '0.653282', '-672.883', '19.3712', '-2132.16', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685858', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '-0.707102', '0', '0', '0.707111', '-674.815', '19.0914', '-2133.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685859', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0.65328', '-0.270598', '-0.270598', '-0.653282', '-671.574', '21.4336', '-2128.72', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685860', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.382683', '0', '0.92388', '-673.309', '21.0644', '-2131.16', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685861', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.382683', '0', '0.92388', '-671.87', '21.7904', '-2127.59', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685894', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.707103', '0', '0.70711', '-3318.88', '11.8383', '-5636.19', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685895', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.707103', '0', '0.70711', '-3309.71', '12.127', '-5636.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685896', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.707103', '0', '0.70711', '-3318.88', '11.8305', '-5636.94', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685897', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '0', '1', '0', '-2e-06', '-3313.8', '11.9051', '-5637.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685898', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.707102', '0', '0.707111', '-3309.71', '12.1287', '-5636.18', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685899', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.707102', '0', '0.707111', '-3327.9', '11.6987', '-5636.18', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685901', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.707102', '0', '0.707111', '-3327.9', '11.7084', '-5636.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685902', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '0', '1', '0', '-2e-06', '-3322.82', '11.7818', '-5637.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685904', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.707104', '0', '0.707109', '-2206.29', '11.9717', '-4560.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685905', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.7071', '0', '0.707113', '-2197.12', '11.9809', '-4561.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685906', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '1.3113e-06', '-0.707107', '0.707107', '1.29585e-06', '-2206.31', '12.0345', '-4561.44', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685907', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '0', '1', '0', '-2e-06', '-2201.22', '9.39639', '-4561.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685908', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.707101', '0', '0.707112', '-2197.13', '11.9894', '-4560.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685909', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0', '-0.707106', '0', '0.707107', '-4428.39', '11.7146', '-5748.58', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685910', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '0', '0', '1', '-4438.89', '11.9407', '-5749.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685911', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0', '0', '1', '-4424.39', '11.8756', '-5748.28', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685912', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0', '0', '1', '-4432.23', '11.8701', '-5748.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685913', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0', '0', '1', '-5188.49', '10.9788', '-4812.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685914', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0', '0', '1', '-5181.65', '11.0383', '-4812.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685915', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0', '0', '1', '-5188.34', '10.8561', '-4819.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685916', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0', '0', '1', '-5181.72', '10.9656', '-4819.25', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685919', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0.365154', '0.589655', '-0.459584', '-0.554755', '2237.66', '2.01767', '1905.05', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685920', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0', '0', '1', '2238.54', '-1.0925', '1896.89', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685921', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '-0.02167', '-0.0442335', '-0.0898536', '0.994736', '2236.98', '2.04885', '1897.84', '32', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685922', '0', 'object/tangible/camp/shared_camp_tent_s1.iff', '0', '0.992297', '0', '-0.123885', '1997.34', '13.226', '4961.95', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685923', '0', 'object/tangible/camp/shared_camp_tent_s1.iff', '0', '0.885046', '0', '-0.465505', '2001.67', '12.9557', '4959.31', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685924', '0', 'object/tangible/camp/shared_camp_tent_s1.iff', '0', '0.725384', '0', '-0.688345', '2003.64', '12.8201', '4955.02', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685926', '0', 'object/tangible/camp/shared_campfire_logs_ash.iff', '0', '0', '0', '1', '1998.65', '12.9388', '4956.6', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685928', '0', 'object/tangible/camp/shared_camp_lawn_chair.iff', '-0.459029', '0.716474', '0.349533', '-0.392153', '2001.32', '12.8754', '4956.19', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685929', '0', 'object/tangible/camp/shared_camp_stool_tall.iff', '0.110275', '0.358485', '0.729645', '-0.571792', '1998.77', '12.9901', '4958.28', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685952', '0', 'object/static/structure/general/shared_debris_deathstar_small_chunk.iff', '0', '0', '0', '1', '3496.47', '92.011', '5482.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685953', '0', 'object/static/structure/general/shared_prp_junk_s1.iff', '-0.114958', '-0.606683', '-0.087536', '0.781702', '3506.55', '91.617', '5469.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685954', '0', 'object/static/structure/general/shared_prp_junk_s7.iff', '0.677071', '-0.237796', '-0.556147', '-0.4192', '3521.17', '94.6421', '5485.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685955', '0', 'object/static/structure/general/shared_debris_deathstar_large_tube.iff', '0.852264', '0.424474', '-0.274004', '0.135609', '3507.59', '91.9521', '5484.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685962', '0', 'object/tangible/camp/shared_camp_tent_s1.iff', '0', '0.742365', '0', '0.669996', '5027.09', '62.7899', '4331.52', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685963', '0', 'object/tangible/camp/shared_camp_tent_s1.iff', '0', '0.924606', '0', '0.380925', '5030.23', '62.8866', '4336.02', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685964', '0', 'object/tangible/camp/shared_camp_tent_s1.iff', '0', '0.998951', '0', '-0.0457804', '5036.63', '63.1903', '4338.25', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685965', '0', 'object/tangible/camp/shared_camp_tent_s1.iff', '0', '0.975723', '0', '-0.219007', '5043.2', '63.5021', '4337.7', '50', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685967', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '-0.407761', '0', '0.913089', '5023.71', '62.4267', '4324.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685968', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '0', '0', '1', '5034.15', '63.2577', '4317.96', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685969', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0', '0.425939', '0', '0.904752', '5046.6', '63.2358', '4323.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685970', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '0.986287', '0', '-0.165038', '5051.17', '62.9479', '4332.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685972', '0', 'object/static/structure/tatooine/shared_wall_gate_tatooine_style_02.iff', '-0.0284064', '0.579373', '-0.136621', '0.803029', '5040.95', '63.1584', '4320.27', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685974', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0.165851', '0.778123', '0.126289', '0.592511', '5029.47', '61.9392', '4317.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685975', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0', '-0.223106', '0.974794', '5049.31', '62.8235', '4325.38', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685976', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '-0.073371', '-0.157893', '0.414974', '0.893019', '5065.18', '97.1509', '407.068', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685977', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0.029992', '0.014993', '-0.00045', '0.999438', '5068.02', '97.0847', '409.047', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685978', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0', '0.924606', '0', '0.380925', '5062.37', '95.0429', '413.052', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685979', '0', 'object/static/structure/general/shared_campfire_smoldering.iff', '0', '0', '0', '1', '5064.36', '97.033', '409.542', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685982', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0', '0.924606', '0', '0.380925', '5061.97', '95.6386', '411.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685983', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0', '0.924606', '0', '0.380925', '5061.68', '96.157', '409.939', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685984', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0', '0.924606', '0', '0.380925', '5061.37', '96.421', '408.028', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685985', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.724287', '0', '0.689499', '5062.19', '97.4017', '413.014', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685986', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.724287', '0', '0.689499', '5061.77', '97.9799', '411.451', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685987', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.747971', '0', '0.663732', '5061.49', '98.5052', '409.908', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685988', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.724287', '0', '0.689499', '5061.17', '98.7739', '408.016', '64', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685989', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0.0790245', '0.274816', '-0.484424', '0.82678', '-4504.82', '76.5607', '7404.04', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685990', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0', '0', '1', '-4500.22', '75.5007', '7403.64', '128', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685991', '0', 'object/static/structure/general/shared_debris_deathstar_large_tube.iff', '0.852264', '0.424474', '-0.274004', '0.135609', '-999.08', '11.9875', '3673.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685992', '0', 'object/static/structure/general/shared_prp_junk_s7.iff', '0.677071', '-0.237796', '-0.556147', '-0.4192', '-984.56', '11.9754', '3676.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685993', '0', 'object/static/structure/general/shared_prp_junk_s1.iff', '-0.114958', '-0.606683', '-0.087536', '0.781702', '-1022.11', '12.0756', '3667.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685994', '0', 'object/static/structure/general/shared_debris_deathstar_small_chunk.iff', '0', '0', '0', '1', '-994.582', '11.9505', '3648.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685996', '0', 'object/static/structure/general/shared_prp_junk_s5.iff', '0.121023', '0.107836', '0.253873', '0.953558', '-1005.1', '12.0081', '3684.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('4', '9685998', '0', 'object/static/structure/general/shared_prp_junk_s2.iff', '0', '0.981202', '0', '-0.192986', '-963.214', '11.9719', '3688.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2', '0', 'object/building/naboo/shared_cantina_naboo.iff', '0', '-0.707105', '0', '0.707108', '2097.7', '30', '2526.1', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '3', '2', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '4', '2', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '5', '2', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705569', '5', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '3.2598', '0.211805', '-3.85055', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705572', '5', 'object/static/item/shared_item_con_tato_cup_s3.iff', '0', '0', '0', '1', '3.45894', '-0.515519', '-4.03797', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '6', '2', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '7', '2', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '8', '2', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '9', '2', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '10', '2', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '11', '2', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '12', '2', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '13', '2', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '14', '2', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '15', '2', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '16', '2', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '17', '2', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '18', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_sml_s01.iff', '0', '-0.17903', '0', '0.983844', '2019.41', '19', '2547.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '19', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s02.iff', '0', '0.247404', '0', '0.968912', '2133.67', '24', '2564.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '20', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s02.iff', '0', '-0.00999993', '0', '0.99995', '2132.82', '30', '2465.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '23', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s02.iff', '0', '-0.01', '0', '0.99995', '2060', '29.9989', '2465.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '24', '0', 'object/static/structure/general/shared_planter_generic_style_4.iff', '0', '0.833272', '0', '0.552863', '2124.26', '30', '2471.36', '93', '1');
INSERT INTO `staticobjects` VALUES ('5', '41', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.271547', '0', '0.962425', '2098.64', '30', '2587.46', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '42', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.99135', '0', '-0.131248', '2089.2', '30', '2588.14', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '43', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0', '0', '1', '2097.48', '30', '2589.01', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '44', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.941345', '0', '0.337447', '2096.09', '30', '2590.52', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '45', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.913753', '0', '0.406272', '2087.54', '30', '2594.23', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '46', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.423608', '0', '0.905845', '2087.61', '30', '2591.3', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '47', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0.709768', '0', '-0.704437', '2089.1', '30', '2592.7', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '48', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.744088', '0', '-0.668083', '2091.06', '30', '2593.36', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '49', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.331058', '0', '0.94361', '2088.05', '30', '2584.37', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '50', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '-0.236898', '0', '0.971535', '2088.68', '30', '2586.29', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '51', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.998952', '0', '-0.0457803', '2100.39', '30', '2473.07', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '52', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.437148', '0', '0.89939', '2107.55', '30', '2466.87', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '53', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0.948985', '0', '-0.315322', '2100.39', '30', '2471.13', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '54', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.0234046', '0', '0.999726', '2100.6', '30', '2469.1', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '55', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.0974188', '0', '0.995243', '2105.23', '30', '2461', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '56', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.72606', '0', '-0.687631', '2106.93', '30', '2463.39', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '57', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0.892305', '0', '0.451435', '2104.9', '30', '2463.16', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '58', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.868627', '0', '0.495468', '2102.93', '30', '2463.8', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '59', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.791082', '0', '-0.61171', '2110.72', '30', '2469.21', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '60', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0.996671', '0', '-0.0815342', '2109.07', '30', '2468.05', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '61', '0', 'object/building/naboo/shared_cantina_naboo.iff', '0', '0.883413', '0', '-0.468594', '4980.01', '-192', '6709.7', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '62', '61', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '63', '61', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '64', '61', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '5665387', '64', 'object/soundobject/shared_soundobject_cantina_large.iff', '0', '0', '0', '1', '11.6612', '-0.894992', '0.211206', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '7596557', '64', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '2.56397', '0.243428', '4.48273', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '7596558', '64', 'object/static/item/shared_item_con_tankard_full.iff', '0', '0.452886', '0', '0.891568', '2.92925', '0.243428', '4.73528', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '7596559', '64', 'object/static/item/shared_item_tool_handheld_viewscreen_s2.iff', '0', '-0.164252', '0', '0.986418', '3.58121', '0.275052', '4.73617', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '65', '61', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '66', '61', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '67', '61', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '68', '61', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '69', '61', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '70', '61', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '71', '61', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '72', '61', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '73', '61', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '74', '61', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '75', '61', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '76', '61', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '77', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.992713', '0', '-0.120503', '2086.36', '30', '2471.28', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '78', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.50331', '0', '0.864106', '2092.51', '30', '2464.08', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '79', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0.92269', '0', '-0.385543', '2086.06', '30', '2469.37', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '80', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.0515704', '0', '0.998669', '2085.97', '30', '2467.32', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '81', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.0225714', '0', '0.999745', '2089.34', '30', '2458.62', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '82', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.672495', '0', '0.740102', '2091.38', '30', '2460.73', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '83', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0.923622', '0', '0.383306', '2089.33', '30', '2460.81', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '84', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.903311', '0', '0.428989', '2087.49', '30', '2461.74', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '85', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.743023', '0', '-0.669266', '2096', '30', '2465.92', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '86', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0.987759', '0', '-0.155985', '2094.2', '30', '2465.02', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '87', '0', 'object/static/structure/general/shared_planter_generic_style_4.iff', '0', '0.833272', '0', '0.552863', '2069.67', '30', '2468.8', '93', '1');
INSERT INTO `staticobjects` VALUES ('5', '88', '0', 'object/building/naboo/shared_cantina_naboo.iff', '0', '-0.434965', '0', '0.900447', '-5189.98', '6', '4258.01', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '89', '88', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '90', '88', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '91', '88', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '92', '88', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '93', '88', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '94', '88', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '95', '88', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '96', '88', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '97', '88', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '98', '88', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '99', '88', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '100', '88', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '101', '88', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '102', '88', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '103', '88', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '104', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0.20846', '0', '0.978031', '-5151.05', '6', '4290.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '105', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0.904412', '0', '0.42666', '-5110.06', '6', '4184.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '106', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0.314567', '0', '0.949235', '-5152.38', '6', '4134.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '107', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0.20846', '0', '0.978031', '-5051.63', '6', '4156.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '108', '0', 'object/building/naboo/shared_cantina_naboo.iff', '0', '0.644217', '0', '0.764842', '4872.64', '4.17', '-4621.54', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '109', '108', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '110', '108', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '111', '108', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '112', '108', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '113', '108', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '114', '108', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '115', '108', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '116', '108', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '117', '108', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '118', '108', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '119', '108', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '871829', '119', 'object/tangible/terminal/shared_terminal_mission_rebel.iff', '0', '0.707106', '0', '0.707107', '-29.0849', '-0.894984', '1.0454', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '871833', '119', 'object/tangible/terminal/shared_terminal_mission_rebel.iff', '0', '0.707106', '0', '0.707107', '-29.0512', '-0.894985', '2.79176', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '120', '108', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '121', '108', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '122', '108', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '123', '108', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '129', '0', 'object/tangible/microphone/shared_microphone.iff', '0', '0.770739', '0', '-0.637151', '4842.11', '4.17', '-4646.08', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '133', '0', 'object/static/structure/naboo/shared_gungan_damaged_wall_lg_s01.iff', '0', '0.971148', '0', '-0.238476', '4827.68', '2.03567', '-4701.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '134', '0', 'object/static/structure/naboo/shared_gungan_cleft_wall_lg_s01.iff', '0', '-0.20846', '0', '0.978031', '4827.44', '2.15256', '-4708.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '136', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s02.iff', '0', '0.361615', '0', '0.932327', '4832.36', '2.65473', '-4694.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '137', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0.900793', '0', '0.434248', '4835.63', '3.52659', '-4691.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '138', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0', '0', '1', '4826', '3.53754', '-4705.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '139', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0.87959', '0', '0.475732', '4829.65', '3.4108', '-4697.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '140', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0.836026', '0', '-0.54869', '4829.15', '3.28456', '-4712.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '143', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0.98962', '0', '0.143704', '4813.58', '2.20636', '-4727.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '144', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s02.iff', '0', '0.624898', '0', '0.780706', '4808.8', '2.20636', '-4728.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '145', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0.981853', '0', '0.189641', '4804.89', '2.20636', '-4729.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '146', '0', 'object/static/structure/naboo/shared_gungan_damaged_wall_lg_s01.iff', '0', '0.854714', '0', '-0.519098', '4801.11', '2.20636', '-4731.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '147', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0.300293', '0', '0.953847', '4797.63', '2.20636', '-4733.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '148', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0.997189', '0', '0.0749297', '5125.18', '-193.4', '6739.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '151', '0', 'object/static/flora/shared_flora_tree_palm_fngi.iff', '0', '-0.430458', '0', '0.902611', '5277.91', '-194.194', '6595.52', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '152', '0', 'object/static/flora/shared_flora_tree_palm_thk.iff', '0', '0.61097', '0', '0.791654', '5277.43', '-192', '6593.83', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '321', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_01.iff', '0', '0.421049', '0', '0.907038', '4952.1', '-191.974', '6668.5', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '322', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s01.iff', '0', '-0.382683', '0', '0.92388', '4958.42', '-192', '6805.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '56911', '0', 'object/building/naboo/shared_filler_building_naboo_style_2.iff', '0', '0.993303', '0', '-0.115538', '-5249.06', '6', '4615.23', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '56918', '0', 'object/building/naboo/shared_filler_building_naboo_style_2.iff', '0', '-0.531191', '0', '0.847252', '-5682.48', '6', '4369.78', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '56919', '0', 'object/building/naboo/shared_association_hall_civilian_naboo.iff', '0', '0.906534', '0', '0.422132', '-5792.44', '6', '4420.11', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1305917', '56919', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1305918', '56919', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1305919', '56919', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1305920', '56919', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1305921', '56919', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1305922', '56919', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1305923', '56919', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1305924', '56919', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1305925', '56919', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1305926', '56919', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '7935368', '1305926', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '3.68075', '1.42149', '-10.6211', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1305927', '56919', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085647', '1305927', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-2.27646', '1.75', '-19.0812', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1305928', '56919', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1305929', '56919', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1305930', '56919', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1305931', '56919', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1305932', '56919', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1305933', '56919', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '56931', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5732.32', '6', '4391.38', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '56932', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_2.iff', '0', '0', '0', '1', '-5723.19', '6', '4402.22', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '57737', '0', 'object/building/naboo/shared_parking_garage_naboo_style_1.iff', '0', '0.77562', '0', '-0.6312', '1977.8', '12', '2392.83', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '58025', '0', 'object/building/naboo/shared_filler_building_naboo_style_2.iff', '0', '0.984865', '0', '0.173323', '4701.04', '330.011', '-1268.43', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '79367', '0', 'object/building/naboo/shared_filler_building_naboo_style_4.iff', '0', '-0.706116', '0', '0.708096', '-5446.73', '6', '4387.55', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '79371', '0', 'object/building/naboo/shared_association_hall_civilian_naboo.iff', '0', '-0.703281', '0', '0.710912', '-5433.6', '6', '4266.47', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1305883', '79371', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1305884', '79371', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1305885', '79371', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1305886', '79371', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1305887', '79371', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1305888', '79371', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1305889', '79371', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1305890', '79371', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1305891', '79371', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1305892', '79371', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825823', '1305892', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '1.41511', '1.1544', '-5.31795', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1305893', '79371', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1305894', '79371', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1305895', '79371', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1305896', '79371', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1305897', '79371', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1305898', '79371', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1305899', '79371', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '79372', '0', 'object/building/naboo/shared_association_hall_civilian_naboo.iff', '0', '0.999991', '0', '0.00420302', '-5379.72', '6', '4199.2', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1305866', '79372', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1305867', '79372', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1305868', '79372', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1305869', '79372', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1305870', '79372', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1305871', '79372', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1305872', '79372', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1305873', '79372', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1305874', '79372', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1305875', '79372', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185353', '1305875', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '0.94877', '1.1544', '-6.13116', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1305876', '79372', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1305877', '79372', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1305878', '79372', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1305879', '79372', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1305880', '79372', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1305881', '79372', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1305882', '79372', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '79384', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_1.iff', '0', '0.692551', '0', '0.721369', '-5528', '6', '4217', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '79386', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_1.iff', '0', '0.692551', '0', '0.721369', '-5533.56', '6', '4203.48', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '79411', '0', 'object/building/naboo/shared_association_hall_civilian_naboo.iff', '0', '0.706115', '0', '0.708097', '-5373.01', '6', '4405.97', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1305849', '79411', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1305850', '79411', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1305851', '79411', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1305852', '79411', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1305853', '79411', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1305854', '79411', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1305855', '79411', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1305856', '79411', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1305857', '79411', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1305858', '79411', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '7935360', '1305858', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '0.555736', '1.1544', '-6.30375', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1305859', '79411', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1305860', '79411', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1305861', '79411', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1305862', '79411', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1305863', '79411', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1305864', '79411', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1305865', '79411', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '79421', '0', 'object/building/naboo/shared_filler_building_naboo_style_4.iff', '0', '0.999983', '0', '0.00579702', '-5385.05', '6', '4339.67', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '79422', '0', 'object/building/naboo/shared_filler_building_naboo_style_4.iff', '0', '0.718578', '0', '0.695447', '-5363.13', '6', '4368.82', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '79423', '0', 'object/building/naboo/shared_filler_building_naboo_style_4.iff', '0', '0.712209', '0', '0.701969', '-5425.56', '6', '4387.2', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '100316', '0', 'object/static/structure/naboo/shared_obelisk_naboo_theed_style_3.iff', '0', '0', '0', '1', '-5337.39', '6', '4603.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '100317', '0', 'object/static/structure/naboo/shared_obelisk_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5413.82', '6', '4220.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '100318', '0', 'object/static/structure/naboo/shared_bridge_naboo_theed_style_1.iff', '0', '0.232843', '0', '0.972514', '-5253.04', '0.243319', '4311.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '100319', '0', 'object/static/structure/naboo/shared_bridge_naboo_theed_style_1.iff', '0', '-0.169182', '0', '0.985585', '-5281.06', '0.00747681', '4562.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '100320', '0', 'object/static/structure/naboo/shared_bridge_naboo_theed_style_1.iff', '0', '-0.276355', '0', '0.961056', '-5295.79', '0.258409', '4196.66', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '100322', '0', 'object/static/structure/naboo/shared_bridge_naboo_theed_style_1.iff', '0', '0.0349929', '0', '0.999388', '-5563.18', '0.29649', '4063.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '100332', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5560.52', '6', '4389.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '106316', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5461.64', '6', '4239.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '106319', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5539.44', '6', '4071.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '106320', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5520.98', '6', '4231.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '106325', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5386.92', '6', '4067.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '106330', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.446365', '0', '0.894851', '-5343.01', '6.22136', '4037.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '106332', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.17903', '0', '0.983844', '-5290.76', '6', '4110.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '106336', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.240323', '0', '0.970693', '-5321.63', '6', '4194.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '106338', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5366.19', '6', '4257.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '106360', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_1.iff', '0', '-0.281158', '0', '0.959662', '-5284.58', '0', '4217.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '121328', '0', 'object/building/naboo/shared_filler_building_naboo_style_10.iff', '0', '-0.703272', '0', '0.710921', '-5449.81', '6', '4221.04', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '121333', '0', 'object/building/naboo/shared_filler_building_naboo_style_10.iff', '0', '0.999942', '0', '-0.0107971', '-5431.32', '6', '4187.69', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '124342', '0', 'object/static/structure/general/shared_planter_generic_style_1.iff', '0', '0', '0', '1', '-5431.41', '6', '4203.69', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '124343', '0', 'object/static/structure/general/shared_planter_generic_style_2.iff', '0', '0', '0', '1', '-5431.66', '6', '4221.15', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '124344', '0', 'object/static/structure/general/shared_planter_generic_style_3.iff', '0', '0', '0', '1', '-5432.01', '6', '4240.05', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '124347', '0', 'object/static/structure/general/shared_planter_generic_style_3.iff', '0', '0', '0', '1', '-5462.5', '6', '4249.21', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '124348', '0', 'object/static/structure/general/shared_planter_generic_style_2.iff', '0', '0', '0', '1', '-5463.56', '6', '4221.86', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '130317', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_4.iff', '0', '0.636537', '0', '0.771246', '-5653.84', '0.0663107', '4278.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '130321', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_4.iff', '0', '0.49688', '0', '0.867819', '-5629.18', '0.13216', '4226.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '130323', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_4.iff', '0', '0.492535', '0', '0.870293', '-5612.72', '0.13216', '4198.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '130324', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_4.iff', '0', '0.49688', '0', '0.867819', '-5596.52', '0.13216', '4171.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '130325', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_4.iff', '0', '0.488178', '0', '0.872744', '-5579.77', '0.13216', '4144.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '130326', '0', 'object/static/structure/naboo/shared_seawall_stair_naboo_theed_style_1.iff', '0', '0.581035', '0', '0.813878', '-5648.3', '0.0689778', '4262.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '130332', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_4.iff', '0', '0.589466', '0', '0.807793', '-5285.48', '0.290849', '4513.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '130333', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_4.iff', '0', '0.589466', '0', '0.807793', '-5275.72', '0.32006', '4483.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '130336', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_4.iff', '0', '0.581035', '0', '0.813878', '-5265.13', '0.0981925', '4429.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '130337', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_4.iff', '0', '0.581035', '0', '0.813878', '-5254.76', '0.098413', '4399.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '130338', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_4.iff', '0', '0.581035', '0', '0.813878', '-5244.37', '0.098413', '4369.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '130344', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_1.iff', '0', '0.703281', '0', '0.710912', '-5244.23', '0', '4369.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '130348', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_2.iff', '0', '0.854714', '0', '0.519099', '-5323.36', '0.126705', '4212.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '130349', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_2.iff', '0', '0.560509', '0', '0.828148', '-5317.46', '0.126705', '4197', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '141334', '0', 'object/static/particle/shared_particle_test_4.iff', '-0.018242', '0.633405', '-0.069126', '0.77051', '-5118.99', '-250.712', '4690.36', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '141335', '0', 'object/static/particle/shared_particle_test_5.iff', '0', '0', '0', '1', '-5232.9', '-437.343', '4739.46', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '141338', '0', 'object/static/particle/shared_particle_test_4.iff', '-0.016612', '0.54741', '-0.032041', '0.836086', '-5198.16', '-258.625', '4701.2', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '141341', '0', 'object/static/particle/shared_particle_test_4.iff', '-0.107772', '0.766253', '-0.0187072', '0.63316', '-5274.71', '-274.634', '4716.61', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '141342', '0', 'object/static/particle/shared_particle_test_5.iff', '0', '0', '0', '1', '-5168.28', '-438', '4735.41', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '141353', '0', 'object/building/naboo/shared_filler_building_naboo_style_2.iff', '0', '0.999232', '0', '0.0391935', '5042.59', '360', '-1401.26', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '141357', '0', 'object/building/naboo/shared_filler_building_naboo_style_6.iff', '0', '0.702997', '0', '0.711193', '4857.44', '360', '-1422.22', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '141364', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_1.iff', '0', '-0.443948', '0', '0.896052', '4952.21', '360', '-1465.55', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '141365', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_2.iff', '0', '0.877201', '0', '-0.480124', '4952.11', '360', '-1481.16', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '141388', '0', 'object/static/structure/general/shared_planter_generic_style_1.iff', '0', '-0.0149995', '0', '0.999888', '4942.06', '360', '-1408.51', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '141393', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0.00499996', '0', '0.999987', '4895.5', '360', '-1379.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '141394', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0.00999985', '0', '0.99995', '4854.62', '360', '-1365.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '141397', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0.0149994', '0', '0.999888', '4960.85', '360', '-1416.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '141400', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '4984.16', '360', '-1467.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '141401', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '4954.32', '360', '-1546.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '141402', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '4987.23', '360', '-1550.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '141403', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '4984.03', '360', '-1510.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '141404', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '4925.76', '360', '-1531.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '141405', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '4863', '360', '-1506.66', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '141406', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '4892.67', '360', '-1507.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '141407', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.00499994', '0', '0.999987', '5078.33', '350', '-1534.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '141408', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.0199987', '0', '0.9998', '5099.71', '350', '-1508.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '141409', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0.15438', '0', '0.988011', '5146.64', '350.221', '-1466.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '141410', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '4858.21', '360', '-1388.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '141411', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0.0299955', '0', '0.99955', '4767.91', '330', '-1272.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '141412', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '4761.55', '329.948', '-1341.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '141413', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '4699.34', '330', '-1320.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '141415', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.0848976', '0', '0.99639', '4731.64', '330', '-1410.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '141416', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0.139543', '0', '0.990216', '4517.99', '317.685', '-1270.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '141418', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.492535', '0', '0.870293', '4619.72', '328.974', '-1331.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '141419', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.0199987', '0', '0.9998', '4661.27', '330', '-1344.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '141420', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0.0349929', '0', '0.999388', '4742.54', '328.002', '-1444.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '141421', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.0299955', '0', '0.99955', '4713.83', '330.103', '-1426.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '141439', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_3.iff', '0', '-0.535417', '0', '0.844588', '-5214.69', '0.183683', '4353.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '141440', '0', 'object/static/structure/naboo/shared_seawall_rocks_naboo_theed_style_1.iff', '0', '-0.624901', '0', '0.780704', '-5205.33', '-0.191429', '4373.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '141442', '0', 'object/static/structure/naboo/shared_seawall_rocks_naboo_theed_style_1.iff', '0', '0.809325', '0', '-0.587361', '-5214.7', '0.419722', '4398.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '141444', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_4.iff', '0', '0.9001', '0', '-0.435683', '-5271.44', '0.176887', '4199.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '141446', '0', 'object/static/structure/naboo/shared_seawall_rocks_naboo_theed_style_1.iff', '0', '0.918788', '0', '-0.39475', '-5248.91', '-0.761439', '4176.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '141448', '0', 'object/static/structure/naboo/shared_seawall_rocks_naboo_theed_style_1.iff', '0', '0.903566', '0', '-0.428449', '-5231.16', '0.0706887', '4162.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '141449', '0', 'object/static/structure/naboo/shared_obelisk_naboo_theed_style_3.iff', '0', '0', '0', '1', '4851.57', '360', '-1505.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '141482', '0', 'object/building/naboo/shared_housing_naboo_style_3.iff', '0', '0.881566', '0', '-0.472062', '1882.55', '12', '2439.71', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '141483', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_2.iff', '0', '0', '0', '1', '4743.03', '329.993', '-1325.23', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '141484', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_1.iff', '0', '0', '0', '1', '4717.85', '330', '-1450.06', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '141486', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_1.iff', '0', '0.19728', '0', '0.980347', '4719.7', '330.001', '-1325.33', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '142320', '0', 'object/static/structure/general/shared_planter_generic_style_1.iff', '0', '0.00515056', '0', '0.999987', '4923.13', '360', '-1407.28', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '142321', '0', 'object/static/structure/general/shared_planter_generic_style_1.iff', '0', '0.932126', '0', '0.362135', '4898.89', '360', '-1406.4', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '142323', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0.0107968', '0', '0.999942', '4922.85', '360', '-1392.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '142324', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0.0107968', '0', '0.999942', '4900.17', '360', '-1392.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '148344', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0.156652', '0', '0.987654', '4964.5', '-196', '6755.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '148345', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_short_s01.iff', '0', '0.91728', '0', '-0.398244', '5038.76', '-192', '6690.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '148346', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_lattice_s01.iff', '0', '0.924185', '0', '-0.381947', '5037.43', '-192', '6692.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '148349', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_lattice_s01.iff', '0', '0.382683', '0', '0.92388', '5032.33', '-192', '6687.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '148350', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_short_s01.iff', '0', '-0.382683', '0', '0.92388', '5031.13', '-192', '6686.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '148351', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.382683', '0', '0.92388', '5038.23', '-192', '6693.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '148353', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.29074', '0', '0.956802', '4961.31', '-192', '6638.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '148375', '0', 'object/static/item/shared_item_music_microphone_s1.iff', '0', '0.939099', '0', '-0.343646', '5207.14', '-192', '6660.76', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '148377', '0', 'object/static/structure/dantooine/shared_dant_hide_tanning_s02.iff', '0', '0.407761', '0', '0.913089', '5190.24', '-192', '6613.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '148388', '0', 'object/soundobject/shared_soundobject_cantina_medium.iff', '0', '0', '0', '1', '5077.35', '-192', '6800.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '151340', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '4815.79', '336.5', '-1482.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '164330', '0', 'object/static/structure/naboo/shared_fountain_naboo_style_1.iff', '0', '-0.149438', '0', '0.988771', '4956.8', '359.989', '-1473.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '164332', '0', 'object/static/structure/general/shared_planter_generic_style_4.iff', '0', '0.950549', '0', '-0.310573', '4960.2', '360', '-1496.75', '93', '1');
INSERT INTO `staticobjects` VALUES ('5', '164333', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '4968.24', '360.158', '-1506.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '167319', '0', 'object/static/structure/naboo/shared_seawall_rocks_naboo_theed_style_1.iff', '0', '-0.501213', '0', '0.865324', '-5220.18', '0.437294', '4330.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '167326', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_1.iff', '0', '-0.193767', '0', '0.981048', '-5317.78', '0', '4196.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '167327', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_1.iff', '0', '0.568762', '0', '0.822502', '-5309.92', '0.114788', '4174.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '167341', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_4.iff', '0', '0.568762', '0', '0.822502', '-5298.55', '0.114788', '4143.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '167342', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_4.iff', '0', '0.568762', '0', '0.822502', '-5287.28', '0.114788', '4113.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '167343', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_4.iff', '0', '0.900447', '0', '0.434965', '-5346.27', '0.162507', '4034.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '167344', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_1.iff', '0', '0.568762', '0', '0.822502', '-5287.07', '0.114788', '4112.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '167346', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_4.iff', '0', '0.900447', '0', '0.434965', '-5326.38', '0.162507', '4059.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '167347', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_1.iff', '0', '-0.434965', '0', '0.900447', '-5346.04', '0', '4033.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '167348', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_4.iff', '0', '0.900447', '0', '0.434965', '-5306.51', '0.162507', '4084.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '167349', '0', 'object/static/structure/naboo/shared_seawall_rocks_naboo_theed_style_1.iff', '0', '0.928369', '0', '0.37166', '-5366.32', '0.364457', '4018.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '167358', '0', 'object/static/structure/naboo/shared_seawall_rocks_naboo_theed_style_1.iff', '0', '0.9001', '0', '0.435683', '-5396.92', '0.02105', '3980.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '173326', '0', 'object/static/particle/shared_particle_test_3.iff', '-0.0515683', '0.76351', '-0.0624824', '0.640694', '-5126.91', '-149.057', '4633', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '178552', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s01.iff', '0', '-0.419322', '0', '0.907837', '-4676.44', '0.0540388', '4221.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '178553', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.907837', '0', '0.419323', '-4676.65', '-1.22051', '4221.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '178555', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '-0.419323', '3.89367e-08', '0.907837', '2.77951e-08', '-4689.02', '8.05309', '4208.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '178556', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '-0.419323', '3.89367e-08', '0.907837', '2.77951e-08', '-4682.09', '7.75262', '4218.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '178557', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '-0.419323', '3.89367e-08', '0.907837', '2.77951e-08', '-4705.56', '5.15031', '4285.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '185364', '0', 'object/static/structure/naboo/shared_seawall_rocks_naboo_theed_style_1.iff', '0', '0.69671', '0', '0.717353', '-5278.16', '0.101723', '4458.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '185365', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_4.iff', '0', '0.849481', '0', '0.52762', '-5258.21', '0.0988835', '4341.34', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '185366', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_4.iff', '0', '0.854714', '0', '0.519099', '-5286.5', '0.126705', '4283.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '185369', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_4.iff', '0', '0.854714', '0', '0.519099', '-5301.23', '0.126705', '4255.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '189544', '0', 'object/building/naboo/shared_salon_naboo.iff', '0', '0.347963', '0', '0.937508', '-5124.14', '6.22857', '4256.63', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '189545', '189544', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '215316', '0', 'object/static/structure/naboo/shared_fountain_naboo_style_1.iff', '0', '0', '0', '1', '-5392.91', '6', '4017.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '261336', '0', 'object/tangible/container/loot/shared_placable_loot_crate_trashpile.iff', '-0.0162363', '0.000192635', '-0.011862', '0.999798', '-263.452', '11.6034', '2772.92', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '261337', '0', 'object/tangible/container/loot/shared_placable_loot_crate_trashpile.iff', '0', '0', '0', '1', '-267.92', '28.2463', '2795.36', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '474323', '0', 'object/building/naboo/shared_cloning_facility_naboo.iff', '0', '0.0108051', '0', '0.999942', '-5886.87', '6', '4301.56', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '474324', '474323', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '474325', '474323', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '474326', '474323', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '474327', '474323', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '7935382', '474327', 'object/soundobject/shared_soundobject_cloning_facility.iff', '0', '0', '0', '1', '1.98596', '-5.5', '-9.02837', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '923817', '474323', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '923818', '474323', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '625318', '0', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0.764329', '0', '0.644827', '2887.37', '94.0216', '1110.61', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '683316', '0', 'object/building/naboo/shared_filler_building_naboo_style_4.iff', '0', '0.998248', '0', '-0.059169', '4765.76', '330', '-1261.06', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '683317', '0', 'object/building/naboo/shared_filler_building_naboo_style_4.iff', '0', '0.699999', '0', '0.714144', '4935.05', '360', '-1542.3', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '908863', '0', 'object/static/particle/shared_particle_seagulls_flock.iff', '0', '0', '0', '1', '-5528.59', '6', '4043.38', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '908864', '0', 'object/static/particle/shared_particle_seagulls_flock.iff', '0', '0', '0', '1', '-5284.37', '6', '4494.76', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '908865', '0', 'object/static/particle/shared_particle_seagulls_flock.iff', '0', '0', '0', '1', '-5703.82', '6', '4492.62', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '908866', '0', 'object/static/particle/shared_particle_seagulls_flock.iff', '0', '0', '0', '1', '1947.35', '12.0753', '2334.17', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1153869', '0', 'object/static/structure/general/shared_r3_torso.iff', '0', '-0.601198', '0', '0.7991', '5192.21', '-192', '6699.19', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1153882', '0', 'object/static/structure/general/shared_r5_head.iff', '-0.295454', '-0.0110306', '0.00773154', '0.955262', '5191.97', '-192.696', '6698.46', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1153892', '0', 'object/static/structure/general/shared_droid_r4_powerdown.iff', '0', '-0.564642', '0', '0.825336', '5192.75', '-192', '6699.82', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1153893', '0', 'object/static/structure/general/shared_r3_leg.iff', '-0.018497', '-0.380112', '-0.00760326', '0.924724', '5192.61', '-192.032', '6698.28', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1153905', '0', 'object/tangible/furniture/all/shared_frn_all_toolchest_med_s01.iff', '0', '0.92269', '0', '0.385543', '5191.32', '-192', '6698.82', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1153920', '0', 'object/static/item/shared_item_jar_berries.iff', '0', '0.98889', '0', '-0.148651', '5282.47', '-191.684', '6596.3', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1153921', '0', 'object/static/item/shared_item_jar_guts.iff', '0', '0.98889', '0', '-0.148651', '5282.69', '-191.684', '6596.31', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1153925', '0', 'object/tangible/crafting/station/shared_public_structure_station.iff', '0', '0.92388', '0', '0.382683', '5177.97', '-192', '6685.08', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1153931', '0', 'object/static/creature/shared_naboo_gualama.iff', '0', '0.958016', '0', '-0.286715', '5181.83', '-192', '6808.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1154040', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.92896', '0', '0.370181', '5018.63', '-192', '6782.21', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1154042', '0', 'object/static/item/shared_item_container_inorganic_chemicals.iff', '0', '-0.29552', '0', '0.955337', '5019.66', '-192', '6782.44', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1154043', '0', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '0.518418', '0', '0.855127', '5019.16', '-192', '6783.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1154047', '0', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '0.17903', '0', '0.983844', '5018.61', '-192', '6783.53', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1154049', '0', 'object/static/structure/naboo/shared_poi_nboo_tent_small.iff', '0', '0.380189', '0', '0.924909', '5019.58', '-192', '6783.2', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1154059', '0', 'object/static/item/shared_item_bacta_ampules.iff', '0.683341', '0.181783', '-0.181783', '0.683341', '5019.74', '-191.684', '6783.91', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1221936', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.17903', '0', '0.983844', '1217.45', '13', '2739.23', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1221938', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0', '0', '1', '1221.31', '13', '2738.33', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1221939', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.958471', '0', '0.285188', '1217.38', '13', '2740.75', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1221940', '0', 'object/static/structure/general/shared_prp_junk_s7.iff', '0.894851', '0', '0', '0.446365', '1218.45', '15.5745', '2738.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1221941', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '0', '0.991458', '0', '0.130424', '1221.03', '14.4293', '2736.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1221942', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0', '0.991458', '0', '0.130424', '1220.2', '13.7307', '2735.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1221943', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '1214.84', '13', '2738.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1221944', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.78809', '0', '0.615561', '1216.03', '13', '2738.52', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1221946', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0.5', '-0.5', '-0.5', '0.5', '1218.29', '13.3323', '2739.43', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1221947', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '1218.64', '13.009', '2740.4', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1221949', '0', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '1218.55', '13.673', '2739.76', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1221951', '0', 'object/static/item/shared_item_glass_metal.iff', '0', '0', '0', '1', '1218.84', '12.5573', '2740.37', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1221953', '0', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '1220.34', '13', '2737.99', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1221954', '0', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '1220.04', '13', '2737.61', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1221955', '0', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '1216.36', '13', '2739.04', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1221956', '0', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '1214.17', '13', '2739.47', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1221957', '0', 'object/static/item/shared_item_tool_engineering_datapad.iff', '0', '-0.681639', '0', '0.731689', '1218.23', '13.68', '2739.85', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1221958', '0', 'object/static/item/shared_item_tool_instrument_calibrator.iff', '0', '0.384808', '0', '0.922997', '1215.03', '14.155', '2739.06', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1221959', '0', 'object/static/item/shared_item_tool_ore_mining_unit.iff', '0', '0.0799147', '0', '0.996802', '1219.27', '13', '2738.57', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1221960', '0', 'object/static/item/shared_item_tool_power_output_analyzer.iff', '0', '-0.5522', '0', '0.833712', '1217.99', '13', '2740.43', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1221961', '0', 'object/static/item/shared_item_tool_tools.iff', '0.685991', '0.171513', '0.171513', '-0.685991', '1218.55', '13.35', '2740.53', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1259938', '0', 'object/building/military/shared_military_imperial_detachment_hq.iff', '0', '-0.0749297', '0', '0.997189', '5368.94', '-196.627', '6420.34', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1259939', '1259938', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1259940', '1259938', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1259941', '1259938', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1259942', '1259938', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1259943', '1259938', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1259944', '1259938', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1259945', '1259938', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1259950', '1259938', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1260045', '1259938', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1260046', '1259938', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1260047', '0', 'object/building/military/shared_military_base_shed_imperial_barracks_s01.iff', '0', '0.758102', '0', '-0.652136', '5385.73', '-197.069', '6443.1', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1260048', '1260047', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1260049', '1260047', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1260050', '1260047', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1260051', '1260047', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1260052', '1260047', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1260053', '1260047', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1260054', '0', 'object/building/military/shared_military_base_shed_imperial_style_officer_s01.iff', '0', '0.652135', '0', '0.758103', '5346.18', '-197.302', '6437.12', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1260055', '1260054', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1260056', '1260054', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1260057', '1260054', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1260058', '1260054', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1260059', '1260054', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1260060', '1260054', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1260061', '0', 'object/static/structure/military/shared_military_wall_med_imperial_16_style_01.iff', '0', '0.652135', '0', '0.758103', '5361.18', '-197.475', '6418.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1260062', '0', 'object/static/structure/military/shared_military_wall_med_imperial_16_style_01.iff', '0', '-0.0749297', '0', '0.997189', '5370.29', '-197.304', '6411.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1260063', '0', 'object/static/structure/military/shared_military_wall_med_imperial_16_style_01.iff', '0', '0.652127', '0', '0.75811', '5377', '-197.299', '6420.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1260065', '0', 'object/static/structure/military/shared_military_wall_med_imperial_16_style_01.iff', '0', '-0.0749297', '0', '0.997189', '5383.72', '-197.24', '6429.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1260066', '0', 'object/static/structure/military/shared_military_wall_med_imperial_16_style_01.iff', '0', '-0.0749297', '0', '0.997189', '5352.08', '-197.564', '6424.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1260067', '0', 'object/static/structure/military/shared_military_wall_med_imperial_style_01.iff', '0', '-0.450834', '0', '0.892608', '5394.15', '-197.274', '6434.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1260068', '0', 'object/static/structure/military/shared_military_wall_med_imperial_style_01.iff', '0', '0.312382', '0', '0.949957', '5340.75', '-197.749', '6426.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1260069', '0', 'object/static/structure/military/shared_military_wall_med_imperial_16_style_01.iff', '0', '0.652135', '0', '0.758103', '5395.47', '-197.23', '6445.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1260070', '0', 'object/static/structure/military/shared_military_wall_med_imperial_16_style_01.iff', '0', '0.652137', '0', '0.758101', '5336.14', '-197.68', '6436.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1260073', '0', 'object/static/structure/military/shared_military_wall_med_imperial_style_01.iff', '0', '-0.0749297', '0', '0.997189', '5390.32', '-197.027', '6452.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1260074', '0', 'object/static/structure/military/shared_military_wall_med_imperial_style_01.iff', '0', '-0.0749297', '0', '0.997189', '5338.9', '-197.466', '6445.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1260075', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.0749297', '0', '0.997189', '5378.45', '-196.94', '6451.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1260076', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.0749297', '0', '0.997189', '5350.77', '-197.229', '6446.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1260077', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '-0.0749297', '0', '0.997189', '5378.2', '-197.238', '6412.63', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1260078', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '-0.0749297', '0', '0.997189', '5362.38', '-197.4', '6410.24', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1260079', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '-0.0749297', '0', '0.997189', '5375.81', '-197.262', '6428.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1260080', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '-0.0749297', '0', '0.997189', '5359.99', '-197.444', '6426.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1260081', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '-0.0749297', '0', '0.997189', '5344.17', '-197.704', '6423.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1260082', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '-0.0749297', '0', '0.997189', '5337.34', '-197.784', '6428.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1260083', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '-0.0749297', '0', '0.997189', '5334.95', '-197.529', '6444.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1260084', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '-0.0749297', '0', '0.997189', '5342.86', '-197.389', '6445.72', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1260085', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '-0.0749297', '0', '0.997189', '5386.36', '-196.954', '6452.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1260086', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '-0.0749297', '0', '0.997189', '5394.27', '-197.1', '6453.49', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1260087', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '-0.0749297', '0', '0.997189', '5396.67', '-197.31', '6437.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1260088', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '-0.0749297', '0', '0.997189', '5391.63', '-197.259', '6430.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1260089', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '-0.0749297', '0', '0.997189', '5358.68', '-197.101', '6448.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1260090', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '-0.0749297', '0', '0.997189', '5370.54', '-196.949', '6449.91', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1260092', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s02.iff', '0', '-0.0749297', '0', '0.997189', '5382.6', '-196.868', '6432.68', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1260093', '0', 'object/static/structure/corellia/shared_corl_power_box_node.iff', '0', '0.655918', '0', '0.754832', '5386.8', '-196.864', '6433.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1260094', '0', 'object/static/structure/corellia/shared_corl_power_box_node.iff', '0', '0.754832', '0', '-0.655918', '5347.9', '-197.091', '6427.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1260095', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s02.iff', '0', '0.997189', '0', '0.0749299', '5352.09', '-197.118', '6428.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1260096', '0', 'object/static/structure/corellia/shared_corl_power_arial_prime.iff', '0', '0.648337', '0', '0.761354', '5364.9', '-196.455', '6412.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1260097', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.0749297', '0', '0.997189', '5357.45', '-196.919', '6426.91', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1260098', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.0749297', '0', '0.997189', '5356.63', '-196.922', '6426.8', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1260099', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '5357.03', '-196.024', '6426.89', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1260100', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.737931', '0', '0.674876', '5358.44', '-196.925', '6427.22', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1260101', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '-0.0898786', '0', '0.995953', '5357.4', '-196.943', '6427.62', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1260106', '0', 'object/static/vehicle/shared_static_lambda_shuttle.iff', '0', '-0.479426', '0', '0.877582', '5346.89', '-196.586', '6412.49', '256', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340273', '0', 'object/static/item/shared_item_cage_bamboo.iff', '0', '0.945784', '0', '0.324796', '5184.35', '-192', '6807.4', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340274', '0', 'object/static/creature/shared_tatooine_worrt.iff', '0', '0.895699', '0', '-0.444661', '5184.35', '-191.905', '6807.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340289', '0', 'object/tangible/speaker/shared_speaker.iff', '0', '0.526943', '0', '0.849901', '4736.45', '3.73155', '-4886.33', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340290', '0', 'object/tangible/microphone/shared_microphone.iff', '0', '0.535416', '0', '0.844589', '4737.51', '3.75', '-4879.64', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340291', '0', 'object/tangible/instrument/shared_ommni_box.iff', '0', '-0.159318', '0', '0.987227', '4733.99', '3.75', '-4878.49', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340292', '0', 'object/tangible/speaker/shared_speaker.iff', '0', '0.452885', '0', '0.891569', '4732.28', '3.75', '-4876.4', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340293', '0', 'object/tangible/instrument/shared_nalargon.iff', '0', '0.421409', '0', '0.90687', '4735.53', '3.75', '-4882.09', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340294', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0.841469', '0', '-0.540305', '4737.8', '3.75', '-4879.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340295', '0', 'object/static/structure/naboo/shared_poi_nboo_tent_small.iff', '0', '0', '0', '1', '4778.53', '3.75', '-4973.19', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340296', '0', 'object/tangible/furniture/elegant/shared_love_seat_s01.iff', '0', '-0.252245', '0', '0.967663', '4780.57', '3.75', '-4974.52', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340297', '0', 'object/tangible/furniture/elegant/shared_love_seat_s01.iff', '0', '0.29074', '0', '0.956802', '4776.82', '3.75', '-4974.79', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340299', '0', 'object/static/item/shared_item_container_organic_structure.iff', '0', '-0.174108', '0', '0.984727', '4778.75', '3.75', '-4975.67', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340300', '0', 'object/static/item/shared_item_container_organic_structure.iff', '0', '-0.479426', '0', '0.877583', '4777.83', '3.75', '-4975.45', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340301', '0', 'object/static/item/shared_item_container_organic_structure.iff', '0', '-0.257081', '0', '0.96639', '4778.41', '3.75', '-4974.96', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340303', '0', 'object/static/structure/general/shared_data_terminal_free_s1.iff', '0', '0.950549', '0', '-0.310574', '4780.6', '3.75', '-4970.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340304', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.891207', '0', '-0.453596', '4947.74', '3.75', '-4838.57', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340305', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.380188', '0', '0.924909', '4947.63', '3.75', '-4841.67', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340306', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.531186', '0', '0.847255', '4944.55', '3.75', '-4840.56', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340307', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0', '0', '1', '4946.32', '3.75', '-4839.98', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340309', '0', 'object/static/item/shared_item_jar_berries.iff', '0', '0', '0', '1', '4946.4', '4.63544', '-4840.03', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340310', '0', 'object/static/item/shared_item_con_plate_s1_full.iff', '0', '0', '0', '1', '4946.56', '4.63544', '-4840.41', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340311', '0', 'object/static/item/shared_item_glass_metal.iff', '0', '0', '0', '1', '4946.3', '3.87649', '-4840.25', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340312', '0', 'object/static/item/shared_item_glass_metal.iff', '0', '0', '0', '1', '4946.7', '3.87649', '-4839.6', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340313', '0', 'object/static/item/shared_item_glass_metal.iff', '0', '0', '0', '1', '4945.94', '3.87649', '-4840.01', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340314', '0', 'object/static/item/shared_item_crate_clothing_small.iff', '0', '-0.605186', '0', '0.796084', '4856.17', '3.75', '-4796.31', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340315', '0', 'object/static/item/shared_item_crate_clothing_small.iff', '0', '0.783327', '0', '-0.62161', '4856.16', '3.75', '-4795.49', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340316', '0', 'object/static/item/shared_item_raw_cloth.iff', '0', '-0.581035', '0', '0.813878', '4856.31', '4.46', '-4797.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340317', '0', 'object/static/item/shared_item_raw_cloth.iff', '0', '0.886627', '0', '-0.462485', '4855.86', '4.46', '-4797.45', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340318', '0', 'object/static/item/shared_item_ribbon.iff', '0', '0.572867', '0', '0.819648', '4856.32', '4.5', '-4797.77', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340319', '0', 'object/static/item/shared_item_ribbon.iff', '0', '0.978899', '0', '0.204347', '4856.37', '4.5', '-4797.61', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340320', '0', 'object/tangible/furniture/elegant/shared_chest_s01.iff', '0', '0', '0', '1', '4856.07', '3.75', '-4797.45', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340323', '0', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff', '0', '0.394019', '0', '0.919102', '4699.54', '3.75', '-4944.51', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340324', '0', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.394019', '0', '0.919102', '4700.57', '3.75', '-4945.58', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340325', '0', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.394019', '0', '0.919102', '4698.46', '3.75', '-4943.4', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340326', '0', 'object/static/item/shared_item_tool_radio.iff', '0', '0.37092', '0', '0.928665', '4700.41', '4.12947', '-4945.51', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340327', '0', 'object/static/item/shared_item_katana.iff', '0.285356', '0.285356', '0.646971', '0.646971', '4699.98', '4.1611', '-4944.45', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340328', '0', 'object/static/item/shared_item_rifle.iff', '0.818757', '-0.178372', '-0.346165', '-0.421889', '4699.88', '4.31921', '-4945.03', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340329', '0', 'object/static/item/shared_item_rifle.iff', '0.818757', '-0.178372', '-0.346165', '-0.421889', '4699.02', '4.31921', '-4944.14', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340330', '0', 'object/static/item/shared_item_pistol.iff', '-0.258994', '-0.258994', '0.657968', '0.657968', '4699.47', '4.1611', '-4944.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340331', '0', 'object/static/item/shared_item_carbine_dh17.iff', '-0.627233', '0.686935', '-0.247473', '0.271028', '4699.9', '4.1611', '-4944.7', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340332', '0', 'object/static/item/shared_item_con_ration_kit_lg.iff', '0', '0.655617', '0', '0.755093', '4698.48', '4.1611', '-4943.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340333', '0', 'object/static/item/shared_item_con_ration_kit_m.iff', '0', '0', '0', '1', '4700.91', '4.1611', '-4945.56', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340335', '0', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff', '0', '-0.707106', '0', '0.707107', '-5563.98', '6', '4306.68', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340336', '0', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '-5564.36', '6', '4305.22', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340337', '0', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '-5564.33', '6', '4308.16', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340338', '0', 'object/static/item/shared_item_katana.iff', '0.591314', '-0.591314', '-0.387747', '0.387747', '-5564.11', '6.4111', '4306.04', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340339', '0', 'object/static/item/shared_item_tank_bubble.iff', '0', '-0.548024', '0', '0.836463', '-5563.87', '6.4111', '4306.57', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340340', '0', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '-5564.29', '6.37947', '4308.16', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340341', '0', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '-5564.3', '6.37947', '4305.18', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340342', '0', 'object/static/item/shared_item_katana.iff', '-0.393641', '-0.393641', '0.587407', '0.587407', '-5564.12', '6.4111', '4307.29', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340343', '0', 'object/static/item/shared_item_fruit_melon.iff', '0', '0', '0', '1', '-5564.3', '7.26491', '4305.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340344', '0', 'object/static/item/shared_item_slave_brazier.iff', '-0.042401', '0.0424009', '0.705834', '0.705834', '-5562.75', '7.91981', '4306.57', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340345', '0', 'object/static/item/shared_item_katana.iff', '1', '0', '0', '3.20013e-08', '-5563.31', '8.14117', '4306.59', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340346', '0', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff', '0', '1', '0', '-0.000397898', '-5378.43', '6', '4329.79', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340347', '0', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '-0.706825', '0', '0.707388', '-5376.97', '6', '4329.41', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340348', '0', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '-0.706825', '0', '0.707388', '-5379.9', '6', '4329.44', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340350', '0', 'object/static/item/shared_item_tank_bubble.iff', '0', '0.978899', '0', '-0.204346', '-5378.32', '6.4111', '4329.9', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340351', '0', 'object/static/item/shared_item_bottle_fat.iff', '0', '-0.706825', '0', '0.707388', '-5379.91', '6.37948', '4329.48', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340352', '0', 'object/static/item/shared_item_bottle_tall.iff', '0', '-0.706825', '0', '0.707388', '-5376.93', '6.37948', '4329.46', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340354', '0', 'object/static/item/shared_item_fruit_melon.iff', '0', '-0.706825', '0', '0.707388', '-5376.93', '7.26491', '4329.47', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340355', '0', 'object/static/item/shared_item_slave_brazier.iff', '0.15237', '-0.649249', '0.732827', '-0.134991', '-5380.71', '7.74096', '4330.27', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340357', '0', 'object/static/item/shared_item_ryyk_blade.iff', '0.688984', '0.642368', '-0.245504', '-0.228893', '-5378.89', '6.46249', '4329.75', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340358', '0', 'object/static/item/shared_item_ryyk_blade.iff', '0.683734', '-0.650374', '0.239787', '-0.228088', '-5377.79', '6.45685', '4329.89', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340359', '0', 'object/static/item/shared_item_ryyk_blade.iff', '0.65244', '-0.27262', '0.65244', '0.27262', '-5380.4', '7.98108', '4329.72', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340360', '0', 'object/static/item/shared_item_ryyk_blade.iff', '-0.671034', '-0.222967', '0.671034', '-0.222967', '-5380.96', '8.01682', '4329.71', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340362', '0', 'object/building/naboo/shared_shuttleport_naboo.iff', '0', '1', '0', '3.20013e-08', '-5876.11', '6', '4172.16', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340373', '0', 'object/building/naboo/shared_shuttleport_naboo.iff', '0', '0.707106', '0', '0.707107', '-5411.02', '6', '4302.33', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340374', '0', 'object/static/installation/shared_mockup_farm_flora_style_1.iff', '0', '0', '0', '1', '-5010.93', '6', '4005.06', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340375', '0', 'object/static/installation/shared_mockup_farm_creature_style_1.iff', '0', '0.696136', '0', '0.71791', '-5028.01', '6', '4018.92', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340376', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0.907205', '0', '0.420688', '-5033.56', '6', '4029.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340377', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0.907205', '0', '0.420688', '-5039.38', '6', '4022.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340378', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0.344019', '0', '0.938963', '-5039.43', '6', '4016.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340379', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0.344019', '0', '0.938963', '-5032.56', '6', '4010.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340380', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0.938962', '0', '-0.344019', '-5027.27', '6', '4029.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340381', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0.344019', '0', '0.938963', '-5025.69', '6', '4004.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340382', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0.907205', '0', '0.420688', '-4999.97', '6', '4001.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340383', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0.907205', '0', '0.420688', '-5005.79', '6', '3994.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340384', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0.938963', '0', '-0.34402', '-5011.95', '6', '3993.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340385', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0.938963', '0', '-0.34402', '-5018.82', '6', '3998.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340386', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0.34402', '0', '0.938962', '-5001.09', '6', '4007.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340387', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_lattice_s01.iff', '0', '0.34402', '0', '0.938962', '-5022.64', '6', '4002.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340388', '0', 'object/static/creature/shared_naboo_gualama.iff', '0', '0.42594', '0', '0.904752', '-5021.69', '6', '4014.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340390', '0', 'object/static/creature/shared_naboo_kaadu.iff', '0', '0.792563', '0', '0.609791', '-5026.33', '6', '4010.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340391', '0', 'object/static/structure/general/shared_data_terminal_free_s1.iff', '0', '-0.247404', '0', '0.968912', '-5014.14', '6', '4008.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340393', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '-0.059964', '0', '0.998201', '-5016.57', '6', '4006.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340394', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0', '0', '1', '-5017.05', '6', '4006.43', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340395', '0', 'object/static/item/shared_item_container_organic_hide.iff', '0', '0.198669', '0', '0.980067', '-5018.6', '6', '4007', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340396', '0', 'object/static/item/shared_item_container_organic_hide.iff', '0', '0.384808', '0', '0.922997', '-5019.21', '6', '4007.6', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340397', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '-0.285952', '0', '0.958244', '-5016.04', '6', '4006.46', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340398', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_02.iff', '0', '0.938306', '0', '-0.345807', '-4952.19', '6', '4049.39', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340399', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.747971', '0', '0.663731', '-5126.26', '6', '4243.5', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340400', '0', 'object/static/item/shared_item_container_energy_gas.iff', '0', '0.628793', '0', '0.777573', '-5131.7', '6', '4238.62', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340401', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.552199', '0', '0.833712', '-5130.73', '6', '4239.12', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340402', '0', 'object/static/item/shared_item_container_energy_radioactive.iff', '0', '0.816314', '0', '0.577609', '-5131.31', '6', '4240.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340403', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.994924', '0', '0.100626', '-5127.61', '6', '4242.84', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340404', '0', 'object/static/item/shared_item_container_organic_hide.iff', '0', '0.501213', '0', '0.865324', '-5128.62', '6', '4242.56', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340405', '0', 'object/static/item/shared_item_crate_clothing_small.iff', '0', '-0.416871', '0', '0.908966', '-5129.53', '6', '4242.04', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340406', '0', 'object/static/structure/general/shared_data_terminal_free_s1.iff', '0', '0.888928', '0', '0.458047', '-5130.26', '6', '4241.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340408', '0', 'object/static/structure/naboo/shared_poi_nboo_tent_med.iff', '0', '0.342898', '0', '0.939373', '-5128.42', '6', '4240.41', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340410', '0', 'object/static/item/shared_item_wood_staff.iff', '-0.124675', '0', '0', '0.992198', '-5373.87', '7.4139', '4309.71', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340411', '0', 'object/static/item/shared_item_wood_staff.iff', '-0.134483', '-0.00458866', '-0.0397252', '0.990109', '-5374.02', '7.39141', '4309.73', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1340412', '0', 'object/static/item/shared_item_vibroaxe.iff', '0.806003', '0.0416745', '0.587669', '0.0571576', '-5370.9', '7.23921', '4309.72', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1392931', '0', 'object/static/flora/shared_flora_tree_palm_thk.iff', '-0.0299651', '0.00134934', '-0.0449646', '0.998538', '-4613.2', '-207.682', '4385.33', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1392933', '0', 'object/static/flora/shared_flora_tree_palm_thk.iff', '0.182556', '0.0323138', '0.0855944', '0.978929', '-4625.77', '5.57604', '4213.41', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1392935', '0', 'object/static/flora/shared_flora_tree_palm_thk.iff', '0.0740697', '-0.0147737', '-0.128737', '0.988798', '-5148.07', '5.38738', '4618.91', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1392937', '0', 'object/static/flora/shared_flora_tree_palm_thk.iff', '-0.18987', '0.0300956', '-0.22537', '0.955119', '-5310.9', '-184.661', '4754.11', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1393860', '0', 'object/building/naboo/shared_hotel_naboo_theed.iff', '0', '0', '0', '1', '1787', '12', '2673', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1393861', '1393860', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1393862', '1393860', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1393863', '1393860', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1393864', '1393860', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143434', '1393864', 'object/tangible/gambling/slot/shared_standard.iff', '0', '-0.00230193', '0', '0.999997', '4.39901', '1.32051', '-22.1032', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143435', '1393864', 'object/tangible/gambling/slot/shared_standard.iff', '0', '-0.00230193', '0', '0.999997', '0.325561', '1.31961', '-22.0607', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143436', '1393864', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '-0.00230193', '0', '0.999997', '-1.15431', '1.12981', '-16.2', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143437', '1393864', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '-0.00230193', '0', '0.999997', '9.49024', '1.13077', '-16.2104', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143438', '1393864', 'object/tangible/gambling/slot/shared_standard.iff', '0', '-0.00230193', '0', '0.999997', '8.44083', '1.32051', '-22.2071', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085620', '1393864', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '-0.251274', '0.999999', '-1.05905', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1393865', '1393860', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825655', '1393865', 'object/soundobject/shared_soundobject_cantina_medium.iff', '0', '0', '0', '1', '20.6139', '1.28309', '-1.34869', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1393866', '1393860', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143428', '1393866', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '-0.00730188', '0', '0.999973', '-15.8121', '1.00107', '-0.0328003', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143429', '1393866', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '-0.00730188', '0', '0.999973', '-15.8622', '1.00109', '4.33661', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143430', '1393866', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.71225', '0', '-0.701927', '-12.2254', '1.00091', '-0.00435907', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143431', '1393866', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.701924', '0', '0.712252', '-12.0226', '1.00075', '-0.0221089', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143432', '1393866', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.710912', '0', '0.703281', '-11.9486', '1.00101', '4.28509', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143433', '1393866', 'object/tangible/gambling/slot/shared_standard.iff', '0', '-0.703284', '0', '0.710909', '-12.1507', '1.00086', '4.30838', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085622', '1393866', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-15.1601', '1.0007', '5.6305', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1393867', '1393860', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1393868', '1393860', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1393869', '1393860', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1393870', '1393860', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1393871', '0', 'object/building/naboo/shared_association_hall_civilian_naboo.iff', '0', '0.707109', '0', '0.707104', '1678.01', '12', '2707.02', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1393872', '1393871', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1393873', '1393871', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1393874', '1393871', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1393875', '1393871', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1393876', '1393871', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1393877', '1393871', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1393878', '1393871', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1393879', '1393871', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1393880', '1393871', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1393881', '1393871', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085628', '1393881', 'object/soundobject/shared_soundobject_city_crowd_sentients.iff', '0', '0', '0', '1', '0.096959', '1.1544', '-5.58748', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1393882', '1393871', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085629', '1393882', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '0.837963', '1.75', '-19.335', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1393883', '1393871', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1393884', '1393871', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1393885', '1393871', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1393886', '1393871', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1393887', '1393871', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1393888', '1393871', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1396847', '0', 'object/building/naboo/shared_housing_naboo_style_3.iff', '0', '-0.600534', '0', '0.799599', '1901.4', '12', '2365.91', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1396850', '0', 'object/building/naboo/shared_housing_naboo_style_3.iff', '0', '0.804105', '0', '-0.594488', '1899.08', '12', '2403.03', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1396854', '0', 'object/static/structure/naboo/shared_arch_bronze_naboo_theed.iff', '0', '0', '0', '1', '1788.58', '11.7547', '2478.82', '256', '1');
INSERT INTO `staticobjects` VALUES ('5', '1396866', '0', 'object/building/naboo/shared_guild_commerce_naboo_style_01.iff', '0', '-0.707087', '0', '0.707127', '1738', '12', '2614', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1396867', '1396866', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1396868', '1396866', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1396869', '1396866', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1396870', '1396866', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1396871', '1396866', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1396872', '1396866', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1396873', '1396866', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1396874', '1396866', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1396875', '1396866', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1396879', '0', 'object/building/naboo/shared_housing_naboo_style_1.iff', '0', '-0.517737', '0', '0.85554', '1673', '25', '2758.73', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1396880', '1396879', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1396881', '1396879', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1396882', '1396879', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1396883', '1396879', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1396884', '1396879', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1396885', '1396879', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1396886', '1396879', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1396903', '0', 'object/building/naboo/shared_filler_building_naboo_style_9.iff', '0', '0.836244', '0', '-0.548357', '2019.13', '12', '2490.31', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1401846', '0', 'object/static/structure/naboo/shared_obelisk_naboo_theed_style_2.iff', '0', '0', '0', '1', '1781.85', '9.75188', '2793.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1401847', '0', 'object/static/structure/naboo/shared_obelisk_naboo_theed_style_2.iff', '0', '0', '0', '1', '1795.24', '9.36509', '2794.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1401881', '0', 'object/building/naboo/shared_shuttleport_naboo.iff', '0', '0', '0', '1', '2041', '19', '2525.68', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1408890', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_1.iff', '0', '-0.707093', '0', '0.70712', '1800.23', '6.50879', '2794.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1408893', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_1.iff', '0', '-0.707092', '0', '0.707121', '1777.8', '6.51317', '2794.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1418871', '0', 'object/building/naboo/shared_emperors_retreat.iff', '0', '0.648034', '0', '0.761612', '2420.63', '291.909', '-3941.25', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1418872', '1418871', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1418873', '1418871', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1418874', '1418871', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '5775509', '1418874', 'object/tangible/terminal/shared_terminal_mission_imperial.iff', '0', '1', '0', '0.000398796', '12.9527', '0.2', '-15.1942', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5775511', '1418874', 'object/tangible/terminal/shared_terminal_mission_imperial.iff', '0', '0.95955', '0', '0.28154', '3.50199', '0.2', '-17.7674', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5775513', '1418874', 'object/tangible/terminal/shared_terminal_mission_imperial.iff', '0', '0.966697', '0', '-0.255925', '22.2984', '0.2', '-17.6572', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1418875', '1418871', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1418876', '1418871', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1418877', '1418871', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1418878', '1418871', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1418879', '1418871', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1418880', '1418871', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1418881', '1418871', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1418882', '1418871', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '8865510', '1418882', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0', '0', '1', '-16.0263', '0.200001', '-33.2646', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '8865511', '1418882', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0', '0', '1', '-13.1755', '0.200001', '-33.2581', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '8865513', '1418882', 'object/static/item/shared_item_tech_console_sectional_a.iff', '0', '-0.707106', '0', '0.707108', '-11.5721', '0.200001', '-23.0708', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8865514', '1418882', 'object/static/item/shared_item_tech_console_sectional_b.iff', '0', '0', '0', '1', '-11.5636', '0.200001', '-25.3326', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8865515', '1418882', 'object/static/item/shared_item_tech_console_sectional_c.iff', '0', '0', '0', '1', '-11.5684', '0.200001', '-20.5796', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8865516', '1418882', 'object/static/item/shared_item_con_barrel_lg_s1.iff', '0', '-0.707106', '0', '0.707108', '-11.9024', '0.200001', '-26.7447', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8865517', '1418882', 'object/static/item/shared_item_tech_console_sectional_d.iff', '0', '0.70821', '0', '-0.706002', '-11.591', '0.200001', '-15.1284', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8865518', '1418882', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0', '0', '1', '-18.946', '0.2', '-33.2894', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '8865519', '1418882', 'object/tangible/furniture/technical/shared_chair_s01.iff', '0', '0.707107', '0', '0.707107', '-14.0232', '0.200001', '-22.4231', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '8865521', '1418882', 'object/tangible/furniture/technical/shared_chair_s01.iff', '0', '0.707106', '0', '0.707108', '-14.0364', '0.200001', '-24.4868', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '8865537', '1418882', 'object/static/item/shared_item_tool_hydrospanner.iff', '0.53854', '0.458229', '-0.458229', '0.538541', '-17.1121', '0.914997', '-16.697', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8865538', '1418882', 'object/static/item/shared_item_tool_hydrospanner.iff', '0.113211', '0.697985', '-0.697985', '0.113211', '-17.1907', '0.914997', '-16.6179', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8865539', '1418882', 'object/static/item/shared_item_tool_computer_toolkit.iff', '0', '0.783822', '0', '-0.620986', '-17.2747', '0.200001', '-17.1126', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8865540', '1418882', 'object/static/item/shared_item_diagnostic_screen.iff', '0', '0.973848', '0', '-0.227202', '-16.8484', '0.89571', '-16.4783', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8865541', '1418882', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.198669', '0', '0.980067', '-16.9739', '0.200001', '-16.5967', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1418883', '1418871', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1418884', '1418871', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1418885', '1418871', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1418886', '1418871', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1418887', '1418871', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1418888', '1418871', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1418889', '1418871', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1418890', '1418871', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1418891', '1418871', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1418892', '1418871', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1418893', '1418871', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1418894', '1418871', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1418934', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.560136', '-0.0278931', '-0.211313', '0.80051', '2421.23', '292.157', '-3940.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1418936', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0', '-0.452886', '0.891568', '2422.09', '292.206', '-3943.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1418937', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.0849729', '0.466638', '0.628116', '0.616846', '2420.38', '292.294', '-3942.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1418940', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.674704', '-0.581194', '-0.170162', '0.42194', '2420.41', '293.976', '-3942.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1418941', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.084973', '0.466638', '0.628116', '0.616846', '2420.19', '295.643', '-3942.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1418942', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '-0.32681', '-0.224122', '-0.120451', '0.910196', '2418.4', '292.261', '-3943.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1418967', '0', 'object/building/naboo/shared_housing_naboo_style_3.iff', '0', '0.763794', '0', '-0.64546', '1977.39', '12', '2421.01', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1419009', '0', 'object/building/naboo/shared_hotel_naboo_theed.iff', '0', '0.988011', '0', '-0.15438', '5145.21', '350', '-1431.36', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1419010', '1419009', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1419011', '1419009', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1419012', '1419009', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1419013', '1419009', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143423', '1419013', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.00769799', '0', '0.99997', '4.39176', '1.1907', '-22.0438', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143424', '1419013', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.00769799', '0', '0.99997', '0.320197', '1.18981', '-21.9198', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143425', '1419013', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '0.00769799', '0', '0.99997', '-1.04228', '1', '-16.0307', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143426', '1419013', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '0.00769799', '0', '0.99997', '9.59993', '1.00096', '-16.254', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143427', '1419013', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.00769799', '0', '0.99997', '8.43074', '1.1907', '-22.2287', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085592', '1419013', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-0.521749', '0.999999', '-1.14115', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1419014', '1419009', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '7515359', '1419014', 'object/soundobject/shared_soundobject_cantina_small.iff', '0', '0', '0', '1', '21.2111', '1.28309', '-1.04144', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1419015', '1419009', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143417', '1419015', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '-0.00230194', '0', '0.999997', '-15.9347', '1.00088', '-0.119644', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143418', '1419015', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '-0.00230194', '0', '0.999997', '-15.9409', '1.00089', '4.25004', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143419', '1419015', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.708732', '0', '-0.705479', '-12.348', '1.00071', '-0.126839', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143420', '1419015', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.705476', '0', '0.708733', '-12.1454', '1.00056', '-0.14681', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143421', '1419015', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.71442', '0', '0.699717', '-12.028', '1.00082', '4.1598', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143422', '1419015', 'object/tangible/gambling/slot/shared_standard.iff', '0', '-0.699721', '0', '0.714416', '-12.23', '1.00067', '4.1847', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085596', '1419015', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-19.9553', '1.1', '2.95797', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1419016', '1419009', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1419017', '1419009', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1419018', '1419009', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1419019', '1419009', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1419039', '0', 'object/static/structure/naboo/shared_seawall_stair_naboo_theed_style_1.iff', '0', '0.947396', '0', '0.320063', '5139.48', '344.154', '-1499.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1419043', '0', 'object/static/structure/naboo/shared_wall_a1_naboo_theed_style_1.iff', '0', '0.492535', '0', '0.870293', '5138.8', '344.07', '-1544.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1419044', '0', 'object/static/structure/naboo/shared_wall_a1_naboo_theed_style_1.iff', '0', '0.761096', '0', '0.64864', '5128.17', '344.096', '-1527.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1419047', '0', 'object/static/structure/naboo/shared_wallend_a1_naboo_theed_style_1.iff', '0', '0.932039', '0', '0.362358', '5131.57', '344.11', '-1506.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1419088', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.0307917', '0', '0.999526', '5156.66', '345.507', '-1543.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1419128', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_01.iff', '0', '0.968912', '0', '0.247404', '5060.33', '350', '-1510.59', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1419150', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.966595', '0', '0.256311', '5139.23', '348.001', '-1545.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1419151', '0', 'object/static/structure/naboo/shared_wallend_a1_naboo_theed_style_1.iff', '0', '-0.309817', '0', '0.950796', '5155.89', '344.127', '-1488.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1419152', '0', 'object/static/structure/naboo/shared_wall_a1_naboo_theed_style_1.iff', '0', '-0.29552', '0', '0.955337', '5172.78', '344.155', '-1477.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1419153', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.955572', '0', '0.29476', '5172.94', '347.036', '-1477.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1419154', '0', 'object/building/naboo/shared_shuttleport_naboo.iff', '0', '0.00269702', '0', '0.999996', '5351.94', '327.028', '-1576.78', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1422845', '0', 'object/building/naboo/shared_filler_nboo_bldg_64x32_style_01.iff', '0', '-0.703851', '0', '0.710348', '4995.96', '360', '-1478.43', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1422846', '0', 'object/static/structure/naboo/shared_seawall_stair_naboo_theed_style_1.iff', '0', '0.501209', '0', '0.865326', '5052.36', '346.76', '-1536.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1422847', '0', 'object/static/structure/naboo/shared_seawall_stair_naboo_theed_style_1.iff', '0', '0.496875', '0', '0.867822', '5043.96', '350.489', '-1541.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1422848', '0', 'object/static/structure/naboo/shared_seawall_stair_naboo_theed_style_1.iff', '0', '0.496877', '0', '0.867821', '5036.1', '354.19', '-1546.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1422849', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_01.iff', '0', '0.00999973', '0', '0.99995', '5068.8', '350', '-1547.82', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1426845', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_02.iff', '0', '0', '0', '1', '4669.15', '330', '-1336.8', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1426851', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_01.iff', '0', '0.707102', '0', '0.707112', '4691.55', '330', '-1306.3', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1426852', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_wall_ornate_large_s01.iff', '0', '0.816544', '0', '0.577284', '5170.19', '346.5', '-1504.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1426853', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_wall_ornate_large_s01.iff', '0', '0.816544', '0', '0.577284', '5167.52', '346.5', '-1512.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1426854', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_wall_ornate_large_s01.iff', '0', '0.816544', '0', '0.577284', '5162.18', '346.5', '-1527.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1426855', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_wall_ornate_large_s01.iff', '0', '0.816544', '0', '0.577284', '5164.85', '346.5', '-1520.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1426856', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_wall_ornate_large_s01.iff', '0', '0.816544', '0', '0.577284', '5156.85', '346.5', '-1542.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1426857', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_wall_ornate_large_s01.iff', '0', '0.816544', '0', '0.577284', '5159.51', '346.5', '-1535.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1426858', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_wall_ornate_small_s01.iff', '0', '0.810497', '0', '0.585743', '5172.84', '346.5', '-1497.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1426859', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_wall_ornate_large_s01.iff', '0', '-0.629412', '0', '0.777072', '5184.21', '346.5', '-1484.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1426860', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_wall_ornate_large_s01.iff', '0', '0.989391', '0', '-0.145281', '5176.62', '346.5', '-1481.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1426862', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s07.iff', '0', '0.0948574', '0', '0.995491', '5182.56', '346.626', '-1492.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1426863', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s07.iff', '0', '0.0898789', '0', '0.995953', '5184.28', '346.721', '-1483.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1426865', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0.15438', '0', '0.988011', '5123.78', '350.221', '-1458.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1426866', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_02.iff', '0', '0.00999976', '0', '0.99995', '5007.88', '360', '-1521.31', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1426869', '0', 'object/building/naboo/shared_filler_nboo_bldg_64x32_s02.iff', '0', '1', '0', '5.14951e-08', '4976.92', '360', '-1566.95', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1426872', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_large_s01.iff', '0', '0', '0', '1', '4806.47', '336.5', '-1475.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1426873', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_large_s01.iff', '0', '0.707102', '0', '0.707111', '4798.39', '336.507', '-1467.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1426874', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0', '0', '1', '4798.49', '336.5', '-1466.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1426875', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0', '0', '1', '4814.42', '336.5', '-1466.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1426876', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0', '0', '1', '4806.67', '336.5', '-1474.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1426878', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s01.iff', '0', '0', '0', '1', '4816.26', '335.24', '-1484.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1426879', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '4817.11', '335.372', '-1484.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1426880', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '4798.98', '335.372', '-1484.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1426900', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_small_s01.iff', '0', '0.999991', '0', '-0.00420366', '4839.62', '360', '-1386.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1426902', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_large_s01.iff', '0', '0.999899', '0', '0.0142032', '4832.88', '360', '-1375.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1426906', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0', '0', '1', '4814.49', '336.503', '-1466.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1426907', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_small_s01.iff', '0', '0.670586', '0', '0.741832', '4854.35', '360', '-1388.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1426908', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_small_s01.iff', '0', '0.99873', '0', '0.050374', '4857.89', '360', '-1384.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1426909', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_small_s01.iff', '0', '-0.0503741', '0', '0.99873', '4858.76', '360', '-1392.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1442863', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_02.iff', '0', '1', '0', '-5.49002e-06', '1663.59', '12', '2672.16', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1442877', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_4.iff', '0', '0.994449', '0', '-0.105221', '1800.07', '6.16156', '2760.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1453921', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_2.iff', '0', '0.707092', '0', '0.707122', '1776', '6.15791', '2773', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1453922', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_3.iff', '0', '0.707092', '0', '0.707122', '1777.71', '6.03427', '2773.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1454013', '0', 'object/building/naboo/shared_filler_nboo_bldg_64x32_s02.iff', '0', '0', '0', '1', '1854', '12', '2681', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1454016', '0', 'object/building/naboo/shared_filler_nboo_bldg_64x32_style_01.iff', '0', '0.827702', '0', '0.561168', '1659.23', '40', '2965.58', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1460857', '0', 'object/static/structure/naboo/shared_bridge_stairs_s01.iff', '0', '-0.707091', '0', '0.707123', '1695.96', '32.5973', '2776.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1460955', '0', 'object/static/structure/naboo/shared_bridge_stairs_s01.iff', '0', '0.114747', '0', '0.993395', '2053.52', '18.6329', '2579.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1469894', '0', 'object/building/naboo/shared_filler_building_naboo_style_10.iff', '0', '-0.269332', '0', '0.963047', '1869.54', '12', '2500.44', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1469927', '0', 'object/building/naboo/shared_filler_building_naboo_style_6.iff', '0', '1', '0', '-1.79515e-07', '1639.22', '12', '2671.01', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1469942', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '-0.707093', '0', '0.707121', '1695.87', '32.6835', '2780.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1469943', '0', 'object/static/structure/naboo/shared_bridge_stairs_s01.iff', '0', '0.707107', '0', '-0.707107', '1695.89', '25.1866', '2765.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1469944', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '-0.707013', '0', '0.7072', '1695.87', '25.1758', '2769.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1469945', '0', 'object/static/structure/naboo/shared_bridge_stairs_s01.iff', '0', '0.914955', '0', '-0.403555', '1698.6', '16.4008', '2742.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1469946', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0.914954', '0', '-0.403557', '1696.11', '16.4238', '2745.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1469947', '0', 'object/static/structure/naboo/shared_bridge_stairs_s01.iff', '0', '0.914956', '0', '-0.403554', '1705.55', '9.02177', '2735.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1469948', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0.914951', '0', '-0.403563', '1703.53', '8.9717', '2737.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1469951', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0.914951', '0', '-0.403563', '1708.65', '4.52859', '2731.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1469952', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_wall_small_s01.iff', '0', '0.412321', '0', '0.911039', '1708.54', '12', '2727.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1469953', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_wall_small_s01.iff', '0', '0.412321', '0', '0.911039', '1712.34', '12', '2731.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1470020', '0', 'object/static/structure/naboo/shared_bridge_stairs_s01.iff', '0', '0.99527', '0', '0.0971462', '1628.18', '17.1698', '2517.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1470021', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0.99527', '0', '0.0971369', '1643.59', '4.72', '2520.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1470023', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0.99527', '0', '0.0971369', '1635.47', '9.99261', '2518.52', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1470025', '0', 'object/static/structure/naboo/shared_bridge_stairs_s01.iff', '0', '0.99527', '0', '0.0971483', '1638.66', '10.1014', '2519.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1470026', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0.99527', '0', '0.0971438', '1624.68', '17.1063', '2516.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1474950', '0', 'object/static/structure/naboo/shared_bridge_stairs_s02.iff', '0', '0.990216', '0', '-0.139543', '1602.15', '22.1865', '2708.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1474951', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '-0.601515', '0', '0.798861', '1606.28', '17.649', '2701.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1474952', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_wall_small_s01.iff', '0', '0.79886', '0', '0.601516', '1603.24', '25', '2700.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1474953', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_wall_small_s01.iff', '0', '0.798861', '0', '0.601517', '1608.3', '25', '2698.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1474955', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_wall_small_s01.iff', '0', '0.798861', '0', '0.601517', '1602.69', '25', '2698.34', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1474956', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_wall_small_s01.iff', '0', '0.798861', '0', '0.601517', '1607.74', '25', '2696.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1474957', '0', 'object/static/structure/naboo/shared_street_bridge_s02.iff', '0', '0.139543', '0', '0.990216', '1589.65', '22.2207', '2711.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1474958', '0', 'object/static/structure/naboo/shared_street_bridge_s02.iff', '0', '0.139543', '0', '0.990216', '1573.31', '22.2207', '2716.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1474959', '0', 'object/static/structure/naboo/shared_street_bridge_s02.iff', '0', '0.139543', '0', '0.990216', '1556.98', '22.2207', '2721', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1474960', '0', 'object/static/structure/naboo/shared_street_bridge_s02.iff', '0', '0.139543', '0', '0.990216', '1540.64', '22.2207', '2725.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1474961', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_wall_small_s01.iff', '0', '-0.601518', '0', '0.798859', '1522.23', '24.9838', '2738.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1474962', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_wall_small_s01.iff', '0', '-0.601518', '0', '0.798859', '1527.04', '24.9838', '2736.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1474963', '0', 'object/static/structure/naboo/shared_bridge_stairs_s02.iff', '0', '0.139543', '0', '0.990216', '1528.14', '22.1703', '2729.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1474964', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0.798861', '0', '0.601516', '1524.06', '17.6328', '2735.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1474965', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_wall_small_s01.iff', '0', '-0.601518', '0', '0.798859', '1522.78', '24.9838', '2740.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1474966', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_wall_small_s01.iff', '0', '-0.601518', '0', '0.798859', '1527.59', '24.9838', '2738.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1474967', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0.139543', '0', '0.990216', '1531.99', '22.2207', '2728.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1474968', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0.139543', '0', '0.990216', '1549.29', '22.2207', '2723.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1474969', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0.139543', '0', '0.990216', '1565.63', '22.2207', '2718.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1474970', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0.139543', '0', '0.990216', '1581.96', '22.2207', '2713.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1474971', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0.139543', '0', '0.990216', '1598.3', '22.2172', '2709.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1474975', '0', 'object/building/naboo/shared_filler_building_naboo_style_2.iff', '0', '1', '0', '0', '1753.18', '37.8332', '2872.62', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1474977', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_3.iff', '0', '0.707107', '0', '-0.707107', '1751.19', '31.6946', '2866.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1474980', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_3.iff', '0', '0.707107', '0', '0.707107', '1755.19', '31.6946', '2842.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1474982', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '1756.49', '33.4079', '2843.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1474983', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '1756.48', '33.7517', '2865.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1474984', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '1749.91', '33.3888', '2843.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1474985', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '1749.9', '33.7326', '2865.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1474986', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_01.iff', '0', '1', '0', '8.08127e-06', '1692.76', '12.2232', '2651.14', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1475020', '0', 'object/building/naboo/shared_filler_building_naboo_style_6.iff', '0', '-0.0948573', '0', '0.995491', '1833.62', '12', '2483.11', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1477848', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0.114747', '0', '0.993395', '2045.72', '11.3464', '2581.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1477850', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0.114747', '0', '0.993395', '2057.41', '18.7207', '2578.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1488851', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_01.iff', '0', '-0.49053', '0', '0.871424', '1921.92', '12', '2561.67', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1488873', '0', 'object/static/structure/naboo/shared_gate_narrow_s01.iff', '0', '0.949235', '0', '-0.314566', '1963.79', '12', '2450.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1488878', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.949235', '0', '-0.314566', '1960.18', '10.6012', '2452.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1488879', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.949235', '0', '-0.314566', '1967.39', '10.6012', '2447.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1488912', '0', 'object/static/structure/naboo/shared_garden_gazebo_lg_s01.iff', '0', '0', '0', '1', '1919.83', '12', '2676.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1503404', '0', 'object/building/naboo/shared_housing_naboo_style_3.iff', '0', '1', '0', '3.20013e-08', '4964.37', '360', '-1408.4', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1544391', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '-0.382683', '0', '0.92388', '-5162.01', '6', '3768.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1544392', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '-0.382683', '0', '0.92388', '-5255.04', '6', '3676.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1544393', '0', 'object/static/structure/general/shared_cave_wall_damprock_style_01.iff', '0.155228', '0.728284', '-0.139139', '-0.652799', '5850.63', '56.0443', '-4627.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650348', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_01.iff', '0', '0.999987', '0', '-0.00500016', '1985.14', '12', '2524.22', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650355', '0', 'object/static/structure/naboo/shared_gate_narrow_s01.iff', '0', '1', '0', '-0.000797', '1964.12', '11.8916', '2518.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650356', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '1', '0', '-0.000797', '1959.62', '10.2761', '2518.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650357', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '1', '0', '-0.000797', '1968.62', '10.2761', '2518.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650360', '0', 'object/static/structure/naboo/shared_bridge_stairs_s01.iff', '0', '0.281157', '0', '0.959662', '2006.58', '11.6565', '2541.59', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650362', '0', 'object/static/structure/naboo/shared_bridge_stairs_s01.iff', '0', '-0.281158', '0', '0.959662', '2055.26', '18.8233', '2569.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650363', '0', 'object/static/structure/naboo/shared_bridge_stairs_s01.iff', '0', '-0.183947', '0', '0.982936', '2072.91', '22.7854', '2579.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650365', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '-0.281158', '0', '0.959662', '2058.28', '18.7154', '2571.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650366', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0.281157', '0', '0.959662', '2009.7', '11.6782', '2539.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650367', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '-0.183947', '0', '0.982936', '2076.54', '22.7331', '2581.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650370', '0', 'object/building/naboo/shared_filler_building_naboo_style_10.iff', '0', '-0.40319', '0', '0.915116', '1988.33', '12', '2452.36', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650374', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_sml_s01.iff', '0', '0.777072', '0', '0.629412', '2007.96', '19', '2533.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650375', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_sml_s02.iff', '0', '0.670588', '0', '0.74183', '2008.54', '19', '2527.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650390', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_sml_s02.iff', '0', '-0.347591', '0', '0.937646', '2016.5', '19', '2545.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650396', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '-0.17903', '0', '0.983844', '2068.94', '18.6843', '2578.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650405', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_small_s01.iff', '0', '0.560509', '0', '0.828149', '2060.92', '26.0388', '2582.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650406', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s02.iff', '0', '-0.183946', '0', '0.982936', '2066.42', '26', '2580.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650407', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s02.iff', '0', '-0.183947', '0', '0.982936', '2068.23', '26', '2575.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650408', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_small_s01.iff', '0', '0.981929', '0', '0.189249', '2067.91', '26.0388', '2575.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650409', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '-0.227978', '0', '0.973666', '2060.71', '25.3149', '2582.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650410', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '-0.227978', '0', '0.973666', '2066.06', '25.8632', '2569.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650411', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s07.iff', '0', '0.281157', '0', '0.959662', '2009.15', '19', '2536.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650412', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s07.iff', '0', '0.281157', '0', '0.959662', '2011.98', '19', '2541.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650421', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_sml_s01.iff', '0', '0.674288', '0', '0.738469', '2057.5', '26', '2573.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650423', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_2.iff', '0', '0', '0', '1', '2068.3', '26', '2571.99', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650424', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_2.iff', '0', '0', '0', '1', '2063.94', '26.0044', '2582.85', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650426', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s02.iff', '0', '0.119712', '0', '0.992809', '2055.49', '12', '2576.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650427', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.119712', '0', '0.992809', '2045.2', '10.6881', '2579.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650428', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.104807', '0', '0.994493', '2046.23', '10.7296', '2584.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650429', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0.585097', '0', '0.810963', '2079.08', '30', '2573.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650451', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0.724286', '0', '-0.6895', '2114.98', '30.0069', '2582.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650454', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0.727724', '0', '-0.68587', '2114.44', '30.0874', '2590.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650455', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0.958016', '0', '-0.286717', '2110.44', '30.0949', '2597.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650456', '0', 'object/static/structure/naboo/shared_seawall_stair_naboo_theed_style_1.iff', '0', '0.21823', '0', '0.975897', '2107.42', '24.0092', '2601.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650457', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s02.iff', '0', '0.247404', '0', '0.968912', '2106.28', '30', '2599.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650458', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s02.iff', '0', '0.21823', '0', '0.975897', '2098.62', '29.9972', '2603.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650459', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0.253018', '0', '0.967462', '2093.88', '30', '2606.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650460', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0.242558', '0', '0.970137', '2070.29', '30.0069', '2617.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650461', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0.22311', '0', '0.974793', '2085.97', '30', '2610.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650462', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0.227979', '0', '0.973666', '2078.11', '30.0001', '2614.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650463', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '-0.479424', '0', '0.877584', '2060.05', '30.0068', '2608.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650464', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '-0.501212', '0', '0.865325', '2064.57', '30', '2615.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650465', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0.904751', '0', '-0.425941', '2066.82', '30.0068', '2594.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650466', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0.911038', '0', '-0.412322', '2061.09', '30', '2601.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650467', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0.886994', '0', '-0.461781', '2072.21', '30', '2587.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650471', '0', 'object/static/structure/naboo/shared_gate_narrow_s01.iff', '0', '0.997495', '0', '-0.0707371', '1945.38', '12', '2458.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650472', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.070737', '0', '0.997495', '1949.8', '12', '2457.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650473', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.070737', '0', '0.997495', '1940.89', '12', '2458.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650492', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_small_s01.iff', '0', '0.882143', '0', '-0.470981', '1959.16', '12', '2458.66', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650493', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_small_s01.iff', '0', '0.470974', '0', '0.882147', '1952.51', '12', '2454.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650494', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_small_s01.iff', '0', '0.956802', '0', '0.29074', '1953.61', '12', '2459.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650495', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_small_s01.iff', '0', '-0.29074', '0', '0.956802', '1958.06', '12', '2453.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650496', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_1.iff', '0', '-0.29074', '0', '0.956802', '1955.79', '12', '2456.36', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650508', '0', 'object/building/naboo/shared_filler_building_naboo_style_5.iff', '0', '0.345432', '0', '0.938444', '1905.41', '12', '2532.31', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650509', '0', 'object/building/naboo/shared_housing_naboo_style_1.iff', '0', '0.448423', '0', '0.893821', '1876.47', '12', '2469.61', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650510', '1650509', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650511', '1650509', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650512', '1650509', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650513', '1650509', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650514', '1650509', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650515', '1650509', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650516', '1650509', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650526', '0', 'object/building/naboo/shared_guild_combat_naboo_style_01.iff', '0', '0.707103', '0', '0.70711', '1836', '12', '2614', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650527', '1650526', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650528', '1650526', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650529', '1650526', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650530', '1650526', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650531', '1650526', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650532', '1650526', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650533', '1650526', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650534', '1650526', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650535', '1650526', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650536', '0', 'object/building/naboo/shared_guild_university_naboo_style_01.iff', '0', '1', '0', '-3.20013e-08', '1787', '12', '2565', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650537', '1650536', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650538', '1650536', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650539', '1650536', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650540', '1650536', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650541', '1650536', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650542', '1650536', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650543', '1650536', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650544', '1650536', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650545', '1650536', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650546', '0', 'object/building/naboo/shared_bank_naboo.iff', '0', '1', '0', '0', '1787', '12', '2614', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650547', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '1805', '12', '2584', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650548', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '1', '0', '0', '1769', '12', '2644', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650549', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.707107', '0', '-0.707107', '1757', '12', '2590', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650550', '0', 'object/static/structure/naboo/shared_archway_narrow_s01.iff', '0', '0.707107', '0', '-0.707107', '1757', '12', '2587', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650551', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '1', '0', '2e-06', '1769', '12', '2584', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650552', '0', 'object/static/structure/naboo/shared_archway_narrow_s01.iff', '0', '1', '0', '2e-06', '1766', '12', '2584', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650553', '0', 'object/static/structure/naboo/shared_archway_narrow_s01.iff', '0', '1', '0', '0', '1766', '12', '2644', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650554', '0', 'object/static/structure/naboo/shared_archway_narrow_s01.iff', '0', '0', '0', '1', '1808', '12', '2584', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650555', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '1', '0', '0', '1817', '12', '2584', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650556', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '1757', '12', '2644', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650557', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.707031', '0', '0.707182', '1757', '12', '2638', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650558', '0', 'object/static/structure/naboo/shared_archway_narrow_s01.iff', '0', '0.707031', '0', '0.707182', '1757', '12', '2641', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650559', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '1763', '12', '2644', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650560', '0', 'object/static/structure/naboo/shared_archway_narrow_s01.iff', '0', '0', '0', '1', '1760', '12', '2644', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650561', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.707108', '0', '-0.707105', '1757', '12', '2632', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650562', '0', 'object/static/structure/naboo/shared_archway_narrow_s01.iff', '0', '1', '0', '0', '1814', '12', '2584', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650563', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.707077', '0', '0.707136', '1817', '12', '2632', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650564', '0', 'object/static/structure/naboo/shared_archway_narrow_s01.iff', '0', '-0.707077', '0', '0.707136', '1817', '12', '2635', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650565', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.707107', '0', '0.707107', '1817', '12', '2644', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650566', '0', 'object/static/structure/naboo/shared_archway_narrow_s01.iff', '0', '0.707107', '0', '-0.707106', '1817', '12', '2587', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650567', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.707107', '0', '-0.707106', '1817', '12', '2590', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650568', '0', 'object/static/structure/naboo/shared_archway_narrow_s01.iff', '0', '0.707088', '0', '0.707125', '1817', '12', '2593', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650569', '0', 'object/static/structure/naboo/shared_archway_narrow_s01.iff', '0', '0.707108', '0', '-0.707105', '1757', '12', '2635', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650570', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.707107', '0', '0.707107', '1817', '12', '2638', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650571', '0', 'object/static/structure/naboo/shared_archway_narrow_s01.iff', '0', '0.707107', '0', '0.707107', '1817', '12', '2641', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650572', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '1763', '12', '2584', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650573', '0', 'object/static/structure/naboo/shared_archway_narrow_s01.iff', '0', '0', '0', '1', '1760', '12', '2584', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650574', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.707107', '0', '-0.707107', '1757', '12', '2596', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650575', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.707088', '0', '0.707125', '1817', '12', '2596', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650576', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.707107', '0', '-0.707107', '1757', '12', '2584', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650577', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '1', '0', '0', '1811', '12', '2584', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650578', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '1805', '12', '2644', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650579', '0', 'object/static/structure/naboo/shared_archway_narrow_s01.iff', '0', '0', '0', '1', '1808', '12', '2644', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650580', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '1', '0', '5e-06', '1811', '12', '2644', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650581', '0', 'object/static/structure/naboo/shared_archway_narrow_s01.iff', '0', '1', '0', '5e-06', '1814', '12', '2644', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650582', '0', 'object/static/structure/naboo/shared_archway_narrow_s01.iff', '0', '0.707107', '0', '0.707107', '1757', '12', '2593', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650594', '0', 'object/static/structure/naboo/shared_enclosed_walkway_s02.iff', '0', '0.710353', '0', '0.703845', '1806.7', '4.86694', '2505.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650595', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0.710353', '0', '0.703845', '1806.78', '4.86694', '2514.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650596', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0.710353', '0', '0.703845', '1806.61', '4.86694', '2496.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650597', '0', 'object/building/naboo/shared_filler_nboo_bldg_64x32_s02.iff', '0', '-0.707103', '0', '0.70711', '1734', '12', '2670', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650607', '0', 'object/building/naboo/shared_filler_building_naboo_style_10.iff', '0', '0.926648', '0', '-0.375929', '1887.94', '12', '2745.41', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650610', '0', 'object/building/naboo/shared_filler_building_naboo_style_6.iff', '0', '0.707108', '0', '0.707105', '1866', '12', '2579', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650611', '0', 'object/building/naboo/shared_cloning_facility_naboo.iff', '0', '1', '0', '-1.92861e-06', '1949.39', '12', '2759.7', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650612', '1650611', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650613', '1650611', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825612', '1650613', 'object/soundobject/shared_soundobject_cloning_facility.iff', '0', '0', '0', '1', '3.13323', '0.081422', '-0.959203', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650614', '1650611', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650615', '1650611', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650616', '1650611', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650617', '1650611', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650618', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_01.iff', '0', '0.999987', '0', '0.00499884', '1957.82', '12', '2720.87', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650620', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_02.iff', '0', '0', '0', '1', '1915.99', '12', '2720.61', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1650623', '0', 'object/building/naboo/shared_filler_building_naboo_style_4.iff', '0', '0.707102', '0', '0.707112', '1866', '12', '2653', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661349', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_2.iff', '0', '0.906695', '0', '-0.421786', '1800.45', '6.27894', '2760.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661351', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_4.iff', '0', '-0.699997', '0', '0.714145', '1800.01', '6.27894', '2792.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661352', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_4.iff', '0', '0.971239', '0', '-0.238107', '1833.75', '6.14998', '2752.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661353', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_2.iff', '0', '0.98635', '0', '-0.164661', '1832.82', '6.14998', '2753.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661354', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_2.iff', '0', '0.967558', '0', '-0.252646', '1863.59', '6.14998', '2737.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661355', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_2.iff', '0', '0.949105', '0', '-0.31496', '1895.47', '6.26865', '2706.34', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661357', '0', 'object/static/structure/naboo/shared_enclosed_walkway_s02.iff', '0', '0.924758', '0', '0.380555', '1872.8', '4.87763', '2717.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661358', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0.924758', '0', '0.380555', '1878.96', '4.87763', '2723.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661359', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0.924758', '0', '0.380555', '1866.41', '4.87763', '2710.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661360', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_1.iff', '0', '0.92269', '0', '0.385543', '1882.68', '5.65248', '2718.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661361', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_2.iff', '0', '0.929516', '0', '-0.368783', '1863.44', '6.00628', '2737.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661362', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_1.iff', '0', '-0.398609', '0', '0.917121', '1874.02', '5.51301', '2726.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661363', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_2.iff', '0', '0.920007', '0', '-0.391903', '1883.28', '6.10851', '2717.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661364', '0', 'object/building/naboo/shared_hospital_naboo.iff', '0', '0.707103', '0', '0.70711', '1953', '12', '2620', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661365', '1661364', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661366', '1661364', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825621', '1661366', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '17.1983', '0.26', '-0.206067', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661367', '1661364', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661368', '1661364', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661369', '1661364', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661370', '1661364', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825623', '1661370', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '-21.2949', '0.26', '-1.76174', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661371', '1661364', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661372', '1661364', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661373', '1661364', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661374', '1661364', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661375', '1661364', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661376', '1661364', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661377', '1661364', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661378', '1661364', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661379', '0', 'object/building/naboo/shared_housing_naboo_style_1.iff', '0', '0.707104', '0', '0.707109', '1831', '12', '2774', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661380', '1661379', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661381', '1661379', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661382', '1661379', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661383', '1661379', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661384', '1661379', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '3005844', '1661384', 'object/static/item/shared_item_crate_spice.iff', '0', '0.707106', '0', '0.707107', '-10.2623', '6.1', '-4.04115', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '3005845', '1661384', 'object/static/item/shared_item_crate_spice.iff', '0', '0.707106', '0', '0.707107', '-10.7686', '6.1', '-6.01519', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '3005846', '1661384', 'object/static/item/shared_item_crate_spice.iff', '0', '0.707106', '0', '0.707107', '-11.0772', '6.1', '-5.04525', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '3005847', '1661384', 'object/static/item/shared_item_crate_spice.iff', '0', '0.707106', '0', '0.707107', '-11.0838', '6.1', '-4.09465', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '3005848', '1661384', 'object/static/item/shared_item_crate_clothing_small.iff', '0', '0', '0', '1', '-8.5586', '6.1', '-5.27344', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '3005849', '1661384', 'object/static/item/shared_item_crate_clothing_small.iff', '0', '0', '0', '1', '-7.96769', '6.1', '-5.6132', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '3005850', '1661384', 'object/static/structure/general/shared_data_terminal_s2.iff', '0', '0.707107', '0', '0.707107', '-10.6915', '6.1', '-7.68048', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3005852', '1661384', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0', '0', '1', '-9.57245', '6.1', '-10.0212', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '3005854', '1661384', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0.870773', '0', '-0.491685', '-9.51501', '6.98544', '-10.1934', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '3005855', '1661384', 'object/static/item/shared_item_jar_spice_white.iff', '0', '-0.281017', '0', '0.959703', '-9.29755', '6.98544', '-10.5133', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '3005856', '1661384', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0.698291', '0', '0.715814', '-9.22576', '6.98544', '-10.2868', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '3005857', '1661384', 'object/static/item/shared_wp_rifle_laser_combined.iff', '-0.410854', '-0.410854', '0.575499', '0.575499', '-9.12708', '7.01706', '-9.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '3005858', '1661384', 'object/static/item/shared_wp_mle_lance_s01.iff', '0', '0', '0.149438', '0.988771', '-8.824', '6.85895', '-10.2564', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '3005859', '1661384', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff', '4.18191e-09', '-0.382683', '1.0096e-08', '0.92388', '-2.64397', '6.1', '-9.95026', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661385', '1661379', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661386', '1661379', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661387', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_02.iff', '0', '0.0303994', '0', '0.999538', '1852.24', '12', '2757.9', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661390', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0.996322', '0', '-0.0856909', '1807.51', '12', '2792.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661391', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0.996322', '0', '-0.0856907', '1816.28', '12', '2790.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661392', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0.997836', '0', '-0.0657487', '1825.13', '12', '2789.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661393', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0.0157954', '0', '0.999875', '1847.63', '12', '2785.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661395', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0.72511', '0', '0.688634', '1852.19', '12', '2781.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661398', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_short_s01.iff', '0', '-0.696134', '0', '0.717911', '1829.04', '12', '2787.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661402', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_2.iff', '0', '0.829436', '0', '-0.558603', '1906.12', '6.0625', '2686.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661411', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_4.iff', '0', '0.783068', '0', '-0.621936', '1912.25', '6.0922', '2670.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661412', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_2.iff', '0', '0.794867', '0', '-0.606784', '1913.18', '6.22912', '2670.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661424', '0', 'object/building/naboo/shared_filler_building_naboo_style_2.iff', '0', '-0.203567', '0', '0.979061', '2009.42', '12', '2471.38', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661426', '0', 'object/building/naboo/shared_filler_building_naboo_style_9.iff', '0', '1', '0', '-3.20013e-08', '1891', '12', '2654', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661439', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.707104', '0', '0.707109', '1872', '12', '2629', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661440', '0', 'object/static/structure/naboo/shared_archway_wide_s01.iff', '0', '0', '0', '1', '1881', '12', '2629', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661441', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.707104', '0', '0.707109', '1890', '12', '2629', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661442', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0.00999985', '0', '0.99995', '1921.2', '4.90101', '2614.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661443', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0.00999985', '0', '0.99995', '1903.2', '4.90101', '2614.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661444', '0', 'object/static/structure/naboo/shared_enclosed_walkway_s02.iff', '0', '0.00999985', '0', '0.99995', '1912.2', '4.90101', '2614.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661445', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_small_s01.iff', '0', '0.707104', '0', '0.707109', '1818.69', '12', '2569.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661446', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_small_s01.iff', '0', '-0.707104', '0', '0.707109', '1835.74', '12', '2578.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661447', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '-0.707104', '0', '0.707109', '1830.74', '12', '2582.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661448', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '-0.707104', '0', '0.707109', '1835.74', '12', '2577.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661449', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '1', '0', '3.20013e-08', '1818.59', '12', '2577.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661450', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0.707104', '0', '0.707109', '1818.69', '12', '2570.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661451', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_small_s01.iff', '0', '1', '0', '3.20013e-08', '1822.59', '12', '2582.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661452', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '1', '0', '3.20013e-08', '1823.59', '12', '2582.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661453', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_small_s01.iff', '0', '0', '0', '1', '1831.67', '12', '2565.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661454', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0.707104', '0', '0.707109', '1823.69', '12', '2565.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661455', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0', '0', '1', '1835.67', '12', '2570.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661456', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0', '0', '1', '1830.67', '12', '2565.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661457', '0', 'object/static/structure/naboo/shared_fountain_naboo_style_1.iff', '0', '0.382683', '0', '0.92388', '1827.16', '12', '2573.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661458', '0', 'object/static/structure/naboo/shared_archway_wide_s02.iff', '0', '-0.707104', '0', '0.70711', '1893', '12', '2614', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661459', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '1893', '12', '2623', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661460', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '1893', '12', '2605', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661461', '0', 'object/static/structure/naboo/shared_archway_wide_s01.iff', '0', '0', '0', '1', '1881', '12', '2599', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661462', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.707107', '0', '-0.707107', '1872', '12', '2599', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661463', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.707107', '0', '-0.707107', '1890', '12', '2599', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661464', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_4.iff', '0', '0.630354', '0', '0.776308', '1905.92', '6.10547', '2639.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661465', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_2.iff', '0', '0.562171', '0', '0.827021', '1898.44', '6.24239', '2670.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661466', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_4.iff', '0', '0.510884', '0', '0.85965', '1899.19', '6.10547', '2671.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661467', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_2.iff', '0', '0.368783', '0', '0.929515', '1884.07', '6.17825', '2699.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661469', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_2.iff', '0', '0.453255', '0', '0.891381', '1882.12', '6.32196', '2699.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661470', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_01.iff', '0', '0', '0', '1', '1827', '12', '2711', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661474', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_1.iff', '0', '-0.00999985', '0', '0.99995', '1906.21', '5.67139', '2620.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661483', '0', 'object/building/naboo/shared_filler_building_naboo_style_10.iff', '0', '1', '0', '2.265e-06', '1754.81', '12', '2755.32', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661486', '0', 'object/building/naboo/shared_filler_building_naboo_style_6.iff', '0', '1', '0', '-2e-06', '1820', '12', '2534', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661487', '0', 'object/building/naboo/shared_filler_building_naboo_style_10.iff', '0', '0.92388', '0', '0.382683', '1846.03', '12', '2554.01', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661497', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_1.iff', '0', '0.928665', '0', '0.37092', '1865.38', '5.69651', '2718.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1661498', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_3.iff', '0', '0.305059', '0', '0.952334', '1864.01', '6.11307', '2719.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670351', '0', 'object/static/structure/naboo/shared_gungan_filler_building_s01.iff', '0.00767594', '0.815942', '-0.0237815', '-0.577593', '-1972.46', '4.6122', '-5415.66', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670353', '0', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff', '-0.359742', '0.121742', '0.219251', '0.898718', '-2007.21', '2.34105', '-5425.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670354', '0', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff', '-0.0513593', '0.851856', '0.497484', '-0.155604', '-1995.22', '0.915991', '-5434.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670355', '0', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff', '0.0242648', '0.920428', '0.140528', '-0.363972', '-1997.99', '3.63253', '-5402.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670360', '0', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff', '-0.276961', '0.898304', '0.12582', '-0.317036', '-2020.81', '3.49589', '-5404.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670362', '0', 'object/static/structure/naboo/shared_gungan_relic_s02.iff', '0', '0', '0', '1', '-2040.94', '4.71568', '-5417.88', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670364', '0', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff', '0.177924', '0.569496', '0.339853', '0.726992', '-1882.46', '4.09396', '-5386.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670365', '0', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff', '-0.149004', '0.589124', '-0.221173', '0.762767', '-1871.8', '3.86678', '-5423.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670366', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '-0.0799148', '0', '0.996802', '-1919.26', '5.83937', '-5410.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670368', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '-0.0799148', '0', '0.996802', '-1919.92', '5.54129', '-5406.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670369', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '-0.0799148', '0', '0.996802', '-1917.05', '5.60721', '-5405.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670370', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0.761354', '0', '-0.648337', '-1916.42', '5.8874', '-5410.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670373', '0', 'object/static/structure/naboo/shared_gungan_damaged_wide_arch_s01.iff', '0', '-0.0749296', '0', '0.997189', '-1922.41', '5.62533', '-5408.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670383', '0', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff', '0', '0.237703', '0', '0.971338', '-1910.3', '3.17387', '-5330.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670384', '0', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff', '0', '0', '0.261909', '0.965092', '-1963.21', '2.80596', '-5314.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670385', '0', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff', '0.384808', '0', '0', '0.922997', '-1983.64', '5.05219', '-5314.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670386', '0', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff', '-0.172049', '-0.552238', '-0.117705', '0.807204', '-2059.67', '2.97384', '-5338.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670387', '0', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff', '-0.157485', '-0.544042', '0.1166', '0.815856', '-2099.54', '1.08321', '-5377.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670388', '0', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff', '0.144358', '-0.2137', '0.137631', '0.956321', '-2139.18', '3.38081', '-5432.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670389', '0', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff', '0.0864843', '0.942084', '0.309303', '0.0965873', '-2008.95', '-0.514685', '-5575.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670390', '0', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff', '0.280579', '0.761008', '0.58174', '-0.0610003', '-1969.37', '2.38393', '-5563.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670391', '0', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff', '0', '0.991458', '0', '0.130424', '-1925.82', '0.723856', '-5562.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670392', '0', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff', '-0.152417', '0.814456', '-0.102982', '0.550296', '-1877.22', '0.397427', '-5512.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670393', '0', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff', '0.01111', '-0.619157', '-0.263966', '0.739488', '-2167.51', '0.243962', '-5486.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670394', '0', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff', '-0.155497', '0.9515', '-0.176718', '-0.198088', '-2073.93', '1.19864', '-5549.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670395', '0', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff', '0', '0.954086', '0', '-0.299533', '-2132.28', '0.811789', '-5536.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670396', '0', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff', '-0.165044', '0.407293', '-0.33735', '0.832507', '-1891.56', '3.7636', '-5344.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670397', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '-0.0749296', '0', '0.997189', '-1923.43', '5.32706', '-5402.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670398', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '-0.0749296', '0', '0.997189', '-1921.59', '5.93816', '-5414.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670399', '0', 'object/static/structure/naboo/shared_gungan_statue_s01.iff', '0', '0.758102', '0', '-0.652136', '-1922.55', '5.63358', '-5409.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670400', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0.770992', '0', '-0.636844', '-1979.14', '7.97181', '-5366.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670401', '0', 'object/static/structure/naboo/shared_gungan_damaged_narrow_arch_s01.iff', '0', '0.770992', '0', '-0.636844', '-1980.79', '8.17021', '-5370.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670402', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0.770992', '0', '-0.636844', '-1983.68', '8.19676', '-5367.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670403', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0.770992', '0', '-0.636844', '-1984.21', '8.10927', '-5364.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670404', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0.995491', '0', '0.0948575', '-1979.65', '7.78035', '-5363.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670406', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0.734818', '0', '-0.678264', '-1986.25', '8.07525', '-5371.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670410', '0', 'object/static/structure/naboo/shared_gungan_relic_s02.iff', '0', '-0.707105', '0', '0.707108', '-2027.21', '1.00986', '-5409.5', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670411', '0', 'object/static/structure/naboo/shared_gungan_relic_s01.iff', '0', '1', '0', '-4.10541e-07', '-2026.13', '4.70105', '-5417.11', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670412', '0', 'object/static/structure/naboo/shared_gungan_statue_s03.iff', '0', '0.996802', '0', '0.0799147', '-1980.73', '8.17211', '-5370.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670413', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '-0.0998333', '0', '0.995004', '-1975.29', '7.86289', '-5369.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670414', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0.995004', '0', '0.0998326', '-2066.8', '5.55173', '-5420.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670415', '0', 'object/static/structure/naboo/shared_gungan_damaged_narrow_arch_s01.iff', '0', '0.995004', '0', '0.0998326', '-2062.99', '5.29312', '-5422.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670416', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0.995004', '0', '0.0998326', '-2065.95', '6.03487', '-5425.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670417', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0.995004', '0', '0.0998326', '-2068.81', '6.32402', '-5425.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670418', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0.632982', '0', '0.774166', '-2069.62', '6.01993', '-5421.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670419', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0.770993', '0', '-0.636844', '-2064.1', '5.07843', '-5416.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670420', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0.998988', '0', '0.0449849', '-2062.06', '5.65386', '-5427.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670421', '0', 'object/static/structure/naboo/shared_gungan_statue_s01.iff', '0', '0.648337', '0', '0.761354', '-2063.02', '5.29495', '-5422.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670423', '0', 'object/static/structure/naboo/shared_gungan_damaged_narrow_arch_s01.iff', '0', '0.510182', '0', '0.860067', '-1938.12', '3.58463', '-5484.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670424', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0.510182', '0', '0.860067', '-1934.46', '2.69052', '-5486.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670425', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0.510182', '0', '0.860067', '-1933.1', '1.94418', '-5488.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670429', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '-0.227978', '0', '0.973666', '-1942.97', '3.40692', '-5486.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670430', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '-0.198669', '0', '0.980067', '-1933.1', '4.31196', '-5481.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670431', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '-0.232843', '0', '0.972514', '-1936.93', '1.8746', '-5491.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670432', '0', 'object/static/structure/naboo/shared_gungan_statue_s03.iff', '0', '-0.257081', '0', '0.96639', '-1938.06', '3.96623', '-5484.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670433', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '-0.0848977', '0', '0.99639', '-2012.29', '6.93944', '-5371.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670434', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '-0.0649543', '0', '0.997888', '-2016.04', '6.4603', '-5371.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670435', '0', 'object/static/structure/naboo/shared_gungan_statue_s02.iff', '0', '0.997836', '0', '0.0657489', '-2014.04', '6.7083', '-5371.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670436', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0.651833', '0', '0.758362', '-2010.58', '7.19243', '-5371.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670437', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0.659385', '0', '0.751806', '-2017.95', '6.42294', '-5371.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670438', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0.169183', '0', '0.985585', '-1949.18', '4.68678', '-5375.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670439', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0.188858', '0', '0.982004', '-1952.63', '4.82396', '-5373.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670441', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0.822049', '0', '0.569417', '-1947.58', '4.90035', '-5375.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670443', '0', 'object/static/structure/naboo/shared_gungan_statue_s04.iff', '0', '0.981202', '0', '-0.192985', '-1950.97', '4.75476', '-5374.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670444', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0.174108', '0', '0.984727', '-1954.46', '4.79602', '-5372.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670445', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0.745175', '0', '0.666869', '-1918.86', '6.94708', '-5452.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670446', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0.758361', '0', '0.651835', '-1918.18', '6.99817', '-5448.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670447', '0', 'object/static/structure/naboo/shared_gungan_statue_s02.iff', '0', '-0.652438', '0', '0.757842', '-1918.84', '6.98158', '-5450.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670448', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0.997888', '0', '-0.0649538', '-1919.14', '6.89151', '-5454.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670449', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0.997189', '0', '-0.0749298', '-1917.89', '6.99529', '-5446.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670450', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '-0.384808', '0', '0.922997', '-2046.63', '5.377', '-5383.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670451', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '-0.366273', '0', '0.930507', '-2049.47', '5.11295', '-5385.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670452', '0', 'object/static/structure/naboo/shared_gungan_statue_s02.iff', '0', '0.930215', '0', '0.367014', '-2047.77', '5.25242', '-5384.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670453', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0.389418', '0', '0.921061', '-2045.36', '5.48897', '-5381.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670454', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0.39861', '0', '0.917121', '-2050.87', '4.98431', '-5386.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670460', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0.982863', '0', '-0.184338', '-2033.14', '2.66493', '-5464.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670461', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0.97898', '0', '-0.203956', '-2029.74', '2.78162', '-5465.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670463', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '-0.556692', '0', '0.830719', '-2034.72', '1.75856', '-5463.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670464', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '-0.548357', '0', '0.836245', '-2027.98', '2.95532', '-5466.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670465', '0', 'object/static/structure/naboo/shared_gungan_statue_s04.iff', '0', '0.198669', '0', '0.980067', '-2031.34', '2.78529', '-5464.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670466', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0.995415', '0', '-0.0956505', '-1987.67', '1.92937', '-5483.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670467', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0.993303', '0', '-0.115537', '-1984.04', '1.96945', '-5484.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670468', '0', 'object/static/structure/naboo/shared_gungan_statue_s02.iff', '0', '0.114746', '0', '0.993395', '-1985.87', '1.95358', '-5484.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670469', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '-0.628793', '0', '0.777572', '-1989.34', '1.91597', '-5483.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670470', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '-0.00435668', '-0.601158', '0.0288545', '0.798597', '-1982.17', '1.99461', '-5485.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670472', '0', 'object/static/structure/naboo/shared_gungan_damaged_wide_arch_s01.iff', '0', '1', '0', '-4.10541e-07', '-2033.52', '10.0104', '-5417.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670474', '0', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff', '0.00404246', '0.808486', '-0.00294249', '-0.588494', '-1967.11', '19.0687', '-5414.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670475', '0', 'object/static/structure/naboo/shared_gungan_filler_building_s02.iff', '0', '0.985585', '0', '0.169182', '-1956.62', '5.3283', '-5445.44', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670476', '0', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff', '0', '0.9871', '0', '0.160104', '-1955.19', '5.20783', '-5449.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670485', '0', 'object/static/structure/naboo/shared_gungan_damaged_narrow_arch_s01.iff', '0', '-0.15438', '0', '0.988012', '-1974.49', '3.77681', '-5438.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670486', '0', 'object/static/structure/naboo/shared_gungan_damaged_wide_arch_s01.iff', '0', '-0.169182', '0', '0.985585', '-1947.77', '4.84009', '-5429.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670487', '0', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff', '-0.212274', '-0.520434', '-0.261355', '0.784718', '-2135.14', '2.4837', '-5420.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670488', '0', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff', '0', '0', '0', '1', '-1957.42', '2.73917', '-5435.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1670489', '0', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff', '0', '-0.361615', '0', '0.932328', '-1962.76', '3.03551', '-5437', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677390', '0', 'object/building/naboo/shared_hotel_naboo_theed.iff', '0', '0', '0', '1', '-5708.49', '6', '4231.96', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677391', '1677390', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677392', '1677390', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677393', '1677390', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677394', '1677390', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143401', '1677394', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.0126977', '0', '0.999919', '4.31632', '1.22561', '-21.9765', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143402', '1677394', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.0126977', '0', '0.999919', '0.245938', '1.22471', '-21.8119', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143403', '1677394', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '0.0126977', '0', '0.999919', '-1.03763', '1.0349', '-16.2072', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143404', '1677394', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '0.0126977', '0', '0.999919', '9.58198', '1.03587', '-16.2391', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143405', '1677394', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.0126977', '0', '0.999919', '8.35303', '1.22561', '-22.2015', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085648', '1677394', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '0.6238', '0.999995', '-0.085524', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677395', '1677390', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085362', '1677395', 'object/soundobject/shared_soundobject_cantina_medium.iff', '0', '0', '0', '1', '18.8334', '1.28309', '-1.01283', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677396', '1677390', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143395', '1677396', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '0.0126977', '0', '0.999919', '-16.079', '1.00108', '-0.00507133', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143396', '1677396', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '0.0126977', '0', '0.999919', '-15.9544', '1.0011', '4.36309', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143397', '1677396', 'object/tangible/gambling/slot/shared_standard.iff', '0', '-0.698078', '0', '0.716022', '-12.494', '1.00092', '-0.119913', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143398', '1677396', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.716028', '0', '0.698072', '-12.2919', '1.00076', '-0.14583', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143399', '1677396', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.724835', '0', '0.688923', '-12.0462', '1.00102', '4.15518', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143400', '1677396', 'object/tangible/gambling/slot/shared_standard.iff', '0', '-0.688928', '0', '0.72483', '-12.2469', '1.00087', '4.18631', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085649', '1677396', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-16.3622', '1.00087', '3.79925', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677397', '1677390', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677398', '1677390', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677399', '1677390', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677400', '1677390', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677402', '0', 'object/building/naboo/shared_bank_naboo.iff', '0', '0.707107', '0', '-0.707107', '-5705.7', '6', '4171.16', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677405', '0', 'object/static/structure/naboo/shared_bridge_naboo_theed_style_1.iff', '0', '0.707105', '0', '0.707108', '-5679.17', '0.228118', '4064.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677425', '0', 'object/static/structure/naboo/shared_archway_wide_s01.iff', '0', '0', '0', '1', '-5778.38', '6', '4240.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677428', '0', 'object/building/naboo/shared_parking_garage_naboo_style_1.iff', '0', '-0.707104', '0', '0.707109', '-5656.09', '6', '4111.74', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677430', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_01.iff', '0', '0', '0', '1', '-5705.66', '6', '4108.3', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677435', '0', 'object/building/naboo/shared_filler_nboo_bldg_64x32_s02.iff', '0', '-0.678264', '0', '0.734818', '-5600.02', '5.94944', '4114.31', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677438', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_4.iff', '0', '0.734817', '0', '0.678265', '-5584.82', '0.049499', '4078.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677442', '0', 'object/building/naboo/shared_filler_nboo_bldg_64x32_style_01.iff', '0', '0', '0', '1', '-5765.34', '6', '4107.68', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677468', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_2.iff', '0', '0.466208', '0', '0.884675', '-5623.62', '6', '4071.03', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677473', '0', 'object/static/structure/naboo/shared_gate_wide_s02.iff', '0', '0', '0', '1', '-5728.56', '6', '4110.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677485', '0', 'object/static/structure/naboo/shared_enclosed_walkway_s02.iff', '0', '0.707108', '0', '0.707106', '-5804.92', '6', '4057.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677487', '0', 'object/static/structure/naboo/shared_bridge_stairs_s01.iff', '0', '0.707107', '0', '-0.707107', '-5804.92', '6', '4045.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677488', '0', 'object/static/structure/naboo/shared_bridge_stairs_s01.iff', '0', '0.707107', '0', '0.707107', '-5804.91', '6', '4086.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677489', '0', 'object/static/structure/naboo/shared_enclosed_walkway_s02.iff', '0', '0.707107', '0', '-0.707107', '-5804.92', '6', '4074.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677501', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_1.iff', '0', '0.0998333', '0', '0.995004', '-5748.3', '6', '4106.85', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677503', '0', 'object/building/naboo/shared_filler_nboo_bldg_64x32_s02.iff', '0', '1', '0', '3.48103e-07', '-5840.98', '6', '4104.59', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677602', '0', 'object/building/naboo/shared_filler_building_naboo_style_3.iff', '0', '-0.707104', '0', '0.70711', '-5942.33', '6', '4274.74', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677606', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_02.iff', '0', '0.707105', '0', '0.707109', '-5992.93', '6', '4248.14', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677691', '0', 'object/building/naboo/shared_filler_building_naboo_style_10.iff', '0', '0.707107', '0', '0.707107', '-5652.23', '6', '4163.02', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677694', '0', 'object/building/naboo/shared_filler_building_naboo_style_4.iff', '0', '0', '0', '1', '-5646.45', '6', '4193.42', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677713', '0', 'object/static/structure/naboo/shared_bridge_naboo_theed_style_1.iff', '0', '-0.68192', '0', '0.731427', '-5708.11', '0.300092', '4341.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677714', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_4.iff', '0', '0.0449843', '0', '0.998988', '-5669.33', '0.0304036', '4321.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677715', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_2.iff', '0', '0.613117', '0', '0.789993', '-5654.35', '0.204055', '4278.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677716', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_2.iff', '0', '0.674581', '0', '0.738201', '-5660.64', '0.223439', '4311.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677717', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_2.iff', '0', '0', '0', '1', '-5670.47', '6', '4306.39', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677718', '0', 'object/static/structure/naboo/shared_bridge_naboo_theed_style_1.iff', '0', '-0.338565', '0', '0.940943', '-5724.77', '0', '4448.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677772', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_01.iff', '0', '1', '0', '3.20013e-08', '-5881.03', '6', '4377.57', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677774', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_02.iff', '0', '-0.266731', '0', '0.963771', '-5988.08', '6', '4325.84', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677778', '0', 'object/building/naboo/shared_filler_building_naboo_style_8.iff', '0', '0', '0', '1', '-5854.27', '6', '4377.12', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677786', '0', 'object/building/naboo/shared_filler_building_naboo_style_10.iff', '0', '0.883413', '0', '-0.468594', '-5832.65', '6', '4352.36', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677793', '0', 'object/building/naboo/shared_filler_nboo_bldg_64x32_s02.iff', '0', '0.699716', '0', '0.714421', '-6013.43', '6', '4283.74', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677796', '0', 'object/building/naboo/shared_filler_nboo_bldg_64x32_style_01.iff', '0', '0.974616', '0', '0.223882', '-5942.06', '6.0023', '4350.21', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677804', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_3.iff', '0', '0.707107', '0', '0.707107', '1777.65', '6.04943', '2749.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677807', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_2.iff', '0', '0.475367', '0', '0.879788', '1777.41', '6.20694', '2749.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677808', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_4.iff', '0', '0.0561708', '0', '0.998421', '1810.59', '6.05049', '2745.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677818', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_4.iff', '0', '0.160515', '0', '0.987033', '1842.95', '5.9341', '2734.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677819', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_2.iff', '0', '0.07531', '0', '0.99716', '1811.17', '6.23415', '2743.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677820', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_2.iff', '0', '0.238073', '0', '0.971247', '1842.87', '6.10237', '2733.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677829', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_2.iff', '0', '0.999995', '0', '0.00309728', '1960.99', '6.09319', '2704.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677830', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_2.iff', '0', '0.999986', '0', '0.00538266', '1962.32', '6.2513', '2704.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677832', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_1.iff', '0', '0.999983', '0', '0.00579615', '1975.43', '7.57952', '2704.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677846', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_2.iff', '0', '0.663424', '0', '0.748243', '1905', '6.26489', '2639.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677847', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_2.iff', '0', '0.681638', '0', '0.731689', '1907.06', '6.02071', '2622.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677848', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_1.iff', '0', '-0.01', '0', '0.99995', '1919.76', '5.66718', '2620.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677849', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_2.iff', '0', '0.710915', '0', '-0.703278', '1919.83', '6.03073', '2637.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677850', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_2.iff', '0', '0.757591', '0', '-0.65273', '1920.06', '6.24539', '2638.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677851', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0.394019', '0', '0.919102', '1860.35', '4.88346', '2539.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677852', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0.394019', '0', '0.919102', '1872.77', '4.88346', '2526.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677853', '0', 'object/static/structure/naboo/shared_enclosed_walkway_s02.iff', '0', '0.394019', '0', '0.919102', '1866.56', '4.88346', '2532.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677858', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_4.iff', '0', '0.804599', '0', '0.593818', '1895.1', '6.00258', '2577.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677859', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_4.iff', '0', '0.907205', '0', '0.420688', '1867.35', '6.02582', '2540.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677860', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_2.iff', '0', '0.859862', '0', '0.510526', '1887.77', '6.09035', '2564.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677862', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_1.iff', '0', '0', '0', '1', '1918.38', '5.66798', '2608.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677863', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_1.iff', '0', '-0.01', '0', '0.99995', '1904.01', '5.6722', '2608.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677864', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_2.iff', '0', '0.827918', '0', '0.560849', '1894.48', '6.26435', '2578.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677865', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_2.iff', '0', '0.891382', '0', '0.453252', '1887.44', '6.31687', '2565.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677867', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_1.iff', '0', '0.389418', '0', '0.921061', '1867.17', '5.56449', '2540.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677872', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_1.iff', '0', '0.389418', '0', '0.921061', '1875.49', '5.63374', '2532.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677874', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_wall_large_s01.iff', '0', '-0.361615', '0', '0.932327', '1884.04', '12', '2538.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677879', '0', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff', '0', '0.999784', '0', '0.0207949', '-1969.78', '-1.90241', '-5462.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677880', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_4.iff', '0', '-0.581034', '0', '0.813879', '1917.59', '6.25937', '2605.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677881', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_2.iff', '0', '-0.584784', '0', '0.811189', '1907.49', '6.38565', '2574.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677882', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_3.iff', '0', '-0.518418', '0', '0.855127', '1907.2', '6.1715', '2574.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677883', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_2.iff', '0', '-0.40319', '0', '0.915116', '1894.56', '6.06956', '2551.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677884', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_1.iff', '0', '0.361615', '0', '0.932328', '1883.2', '5.62287', '2539.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677886', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_4.iff', '0', '0.97033', '0', '0.241784', '1828.71', '6.07288', '2517.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677887', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_1.iff', '0', '0.403189', '0', '0.915117', '1857.44', '5.4897', '2533.52', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677889', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_1.iff', '0', '0.681639', '0', '0.731688', '1813.18', '5.5615', '2513.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677890', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_2.iff', '0', '0.977945', '0', '0.208861', '1827.13', '6.39951', '2517.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677891', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_4.iff', '0', '-0.260372', '0', '0.965508', '1866.34', '6.17247', '2523.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677892', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_3.iff', '0', '-0.15438', '0', '0.988012', '1836.56', '6.12919', '2506.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677893', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_2.iff', '0', '-0.208861', '0', '0.977945', '1837.74', '6.35277', '2506.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677894', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_2.iff', '0', '-0.703279', '0', '0.710914', '1799.73', '6.02224', '2497.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677895', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_2.iff', '0', '-0.701641', '0', '0.712531', '1800.31', '6.17101', '2479.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677896', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_2.iff', '0', '-0.70328', '0', '0.710913', '1799.75', '6.08063', '2478.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677897', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_1.iff', '0', '0.710356', '0', '0.703843', '1800.49', '5.56504', '2498.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677899', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_1.iff', '0', '0.713864', '0', '0.700284', '1776.81', '5.57308', '2512.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677900', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_1.iff', '0', '0.699722', '0', '0.714416', '1800.85', '5.5405', '2512.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677901', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_1.iff', '0', '0.713864', '0', '0.700284', '1776.39', '5.4675', '2498.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677902', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_1.iff', '0', '0.710356', '0', '0.703843', '1812.77', '5.53839', '2498.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677903', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_1.iff', '0', '0.394018', '0', '0.919103', '1866.79', '5.54847', '2523.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677904', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_2.iff', '0', '0.995566', '0', '0.0940645', '1811.11', '6.15492', '2513.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677905', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_3.iff', '0', '0.99995', '0', '-0.00999988', '1776.46', '5.98624', '2512.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677906', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_2.iff', '0', '0.710914', '0', '0.703279', '1777.19', '6.12106', '2481.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677907', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_2.iff', '0', '0.712531', '0', '0.70164', '1776.62', '6.21144', '2480.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1677908', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_2.iff', '0', '0.710914', '0', '0.703279', '1777.2', '6.06267', '2463.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1678010', '0', 'object/static/structure/naboo/shared_fountain_naboo_style_1.iff', '0', '1', '0', '-3.20013e-08', '1685.81', '12', '2614.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1678017', '0', 'object/static/structure/naboo/shared_gate_narrow_s01.iff', '0', '1', '0', '0', '1808.65', '12', '2533.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1678025', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_small_s01.iff', '0', '0.707105', '0', '0.707109', '1847.87', '12', '2579.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1678026', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_small_s01.iff', '0', '0', '0', '1', '1853.87', '12', '2575.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1678030', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0', '0', '1', '1847.87', '12', '2580.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1678031', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0', '0', '1', '1852.87', '12', '2575.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1678050', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.139543', '0', '0.990216', '1827.93', '12', '2526.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1678051', '0', 'object/static/structure/naboo/shared_nboo_imprv_tall_curved_wall_large_s01.iff', '0', '0.139543', '0', '0.990216', '1828.66', '12', '2526.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1678053', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.139543', '0', '0.990216', '1838.8', '12', '2532.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1678060', '0', 'object/static/structure/naboo/shared_nboo_imprv_tall_curved_wall_large_s01.iff', '0', '-0.144493', '0', '0.989506', '1868.25', '12', '2560.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1678061', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.144493', '0', '0.989506', '1873.35', '12', '2571.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1678062', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.144493', '0', '0.989506', '1867.48', '12', '2560.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1678063', '0', 'object/static/installation/shared_mockup_power_generator_photo_bio_style_1.iff', '0', '0.707105', '0', '0.707109', '-5636.71', '6', '4108.48', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1678073', '0', 'object/static/structure/naboo/shared_gate_narrow_s01.iff', '0', '0.707107', '0', '0.707107', '1875', '12', '2592', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1678074', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s02.iff', '0', '0', '0', '1', '1875', '12', '2587', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1678075', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s02.iff', '0', '0', '0', '1', '1875', '12', '2597', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1678078', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s02.iff', '0', '0', '0', '1', '1875', '12', '2641', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1678079', '0', 'object/static/structure/naboo/shared_gate_narrow_s01.iff', '0', '0.707107', '0', '0.707107', '1875', '12', '2636', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1678080', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s02.iff', '0', '0', '0', '1', '1875', '12', '2631', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1678096', '0', 'object/static/structure/naboo/shared_obelisk_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5612.7', '6', '4156.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1678107', '0', 'object/building/naboo/shared_filler_building_naboo_style_5.iff', '0', '0', '0', '1', '1751.88', '12', '2718.23', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1678108', '0', 'object/building/naboo/shared_filler_building_naboo_style_8.iff', '0', '0', '0', '1', '1725.42', '12', '2747.74', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1678109', '0', 'object/building/naboo/shared_filler_building_naboo_style_8.iff', '0', '0', '0', '1', '1935.39', '12', '2722.18', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1678110', '0', 'object/building/naboo/shared_housing_naboo_style_3.iff', '0', '1', '0', '-3.20013e-08', '1907.78', '12', '2778.5', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1678113', '0', 'object/building/naboo/shared_housing_naboo_style_3.iff', '0', '1', '0', '0', '1887.86', '12', '2778.48', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684854', '0', 'object/static/structure/naboo/shared_arbor_long_s01.iff', '0', '0.00999985', '0', '0.99995', '1803.9', '11.7154', '2777.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684855', '0', 'object/static/structure/naboo/shared_arbor_long_s02.iff', '0', '0.00999985', '0', '0.99995', '1804.06', '11.7154', '2785.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684856', '0', 'object/static/structure/naboo/shared_arbor_corner_90_s01.iff', '0', '0.714142', '0', '0.700001', '1806.1', '11.7154', '2787.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684857', '0', 'object/static/structure/naboo/shared_arbor_corner_90_s01.iff', '0', '0.0100002', '0', '0.99995', '1803.74', '11.7154', '2769.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684858', '0', 'object/static/structure/naboo/shared_arbor_corner_90_s01.iff', '0', '-0.700007', '0', '0.714136', '1813.7', '11.7154', '2767.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684861', '0', 'object/static/structure/naboo/shared_arbor_corner_90_s01.iff', '0', '0.99995', '0', '-0.00999988', '1816.06', '11.7154', '2785.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684862', '0', 'object/static/structure/naboo/shared_arbor_long_s02.iff', '0', '0.714142', '0', '0.700001', '1813.7', '11.7154', '2767.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684863', '0', 'object/static/structure/naboo/shared_arbor_long_s02.iff', '0', '0.714143', '0', '0.700001', '1814.1', '11.7154', '2787.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684864', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_short_s01.iff', '0', '0.707105', '0', '0.707108', '1851.85', '12', '2769.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684865', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_lattice_s01.iff', '0', '0.707105', '0', '0.707109', '1851.83', '12', '2767.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684866', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.940806', '0', '-0.338945', '1880.21', '12', '2766.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684867', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.940806', '0', '-0.338945', '1867.81', '12', '2764.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684868', '0', 'object/static/structure/naboo/shared_nboo_imprv_tall_curved_wall_large_s01.iff', '0', '0.940806', '0', '-0.338945', '1879.66', '12', '2766.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684870', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_2.iff', '0', '0', '0', '1', '1874.45', '12', '2765.28', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684871', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '-0.706589', '0', '0.707624', '1899.38', '12', '2768.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684872', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0.999958', '0', '0.00920428', '1904.14', '12', '2764.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684873', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '-0.706001', '0', '0.708212', '1896.36', '12', '2768.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684875', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_short_s01.iff', '0', '0', '0', '1', '1897.82', '12', '2772.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684876', '0', 'object/static/structure/naboo/shared_archway_narrow_s01.iff', '0', '0.375559', '0', '0.926798', '1895.62', '12', '2722.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684877', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.375559', '0', '0.926798', '1897.73', '12', '2720.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684878', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_lattice_s01.iff', '0', '1', '0', '0.000400011', '1892.73', '12', '2764.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684879', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_short_s01.iff', '0', '1', '0', '0.000397892', '1894.55', '12', '2764.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684880', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0.382683', '0', '0.92388', '1971.65', '12', '2730.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684881', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_lattice_s01.iff', '0', '0.382683', '0', '0.92388', '1975.06', '12.5066', '2727.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684882', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0', '0', '1', '1964', '12', '2734', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684883', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0', '0', '1', '1955', '12', '2734', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684884', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0', '0', '1', '1946', '12', '2734', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684885', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0', '0', '1', '1937', '12', '2734', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684886', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0', '0', '1', '1928', '12', '2734', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684888', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0', '0', '1', '1919', '12', '2734', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684894', '0', 'object/static/structure/naboo/shared_gate_narrow_s01.iff', '0', '0.717633', '0', '0.696421', '1851.95', '12', '2774.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684896', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_2.iff', '0', '0', '0', '1', '1852.87', '12', '2580.37', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684897', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_2.iff', '0', '0.42594', '0', '0.904752', '1870.8', '12', '2564.96', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684898', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_2.iff', '0', '0.997129', '0', '-0.0757238', '1833.35', '12', '2528.88', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684900', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '1', '0', '-3.20013e-08', '1852.87', '12', '2585.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684901', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '1', '0', '-3.20013e-08', '1857.87', '12', '2580.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684902', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_small_s01.iff', '0', '1', '0', '-3.20013e-08', '1851.87', '12', '2585.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684903', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_small_s01.iff', '0', '0.707107', '0', '-0.707107', '1857.87', '12', '2581.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684904', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0', '0', '1', '1819.68', '12', '2542.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684905', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0', '0', '1', '1814.68', '12', '2547.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684906', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_small_s01.iff', '0', '0', '0', '1', '1820.68', '12', '2542.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684907', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_small_s01.iff', '0', '0.707093', '0', '0.70712', '1814.68', '12', '2546.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684908', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_2.iff', '0', '0', '0', '1', '1819.68', '12', '2547.1', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684909', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '1', '0', '0', '1819.68', '12', '2552.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684910', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '1', '0', '0', '1824.68', '12', '2547.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684911', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_small_s01.iff', '0', '1', '0', '0', '1818.68', '12', '2552.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684912', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_small_s01.iff', '0', '0.707107', '0', '-0.707107', '1824.68', '12', '2548.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684923', '0', 'object/static/structure/naboo/shared_bridge_stairs_s01.iff', '0', '0.114747', '0', '0.993395', '2041.33', '11.3336', '2582.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684924', '0', 'object/building/naboo/shared_housing_naboo_style_3.iff', '0', '0.965971', '0', '-0.258653', '2021.95', '12', '2599.82', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684927', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_sml_s03.iff', '0', '0.724836', '0', '0.688921', '2024.42', '10.9931', '2563.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684929', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0.999678', '0', '-0.0253835', '2017.29', '12', '2580.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684930', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '-0.688921', '0', '0.724836', '2016.07', '12', '2556.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684932', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_large_s01.iff', '0', '0.724836', '0', '0.688921', '2000.5', '12', '2565.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684933', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_large_s01.iff', '0', '-0.688921', '0', '0.724836', '2024.87', '12', '2572.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684934', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_large_s01.iff', '0', '0.0253952', '0', '0.999677', '2016.07', '12', '2556.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684935', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '-0.688921', '0', '0.724836', '2024.47', '12', '2564.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684936', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.724836', '0', '0.688921', '2004.56', '12', '2586.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684937', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0.999678', '0', '-0.0253835', '2024.87', '12', '2572.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684938', '0', 'object/static/structure/naboo/shared_nboo_imprv_tall_curved_wall_large_s01.iff', '0', '0.999677', '0', '-0.0253958', '2004.56', '12.896', '2586.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684939', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0.0254076', '0', '0.999677', '2008.08', '12', '2557.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684940', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0.0254076', '0', '0.999677', '2000.5', '12', '2565.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684943', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.724836', '0', '0.688921', '1996.16', '12', '2578.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684944', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_sml_s03.iff', '0', '0.999678', '0', '-0.0253949', '2007.08', '10.9931', '2557.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684947', '0', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff', '-0.100362', '0.900929', '0.252362', '0.33848', '2004.8', '9.10906', '2577.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684948', '0', 'object/static/structure/naboo/shared_gungan_statue_s01.iff', '0', '0.00999985', '0', '0.99995', '2012.01', '12', '2558.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684950', '0', 'object/static/structure/naboo/shared_gungan_statue_s03.iff', '0', '-0.688922', '0', '0.724836', '2023.61', '12', '2568.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684951', '0', 'object/static/structure/naboo/shared_gungan_statue_s01.iff', '0', '0.029996', '0', '0.99955', '2000.57', '12', '2567.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684952', '0', 'object/static/structure/naboo/shared_gungan_statue_s03.iff', '0', '-0.685289', '0', '0.728271', '2015.76', '12', '2580.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684953', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_2.iff', '0', '0', '0', '1', '2020.86', '12', '2576.56', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684954', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_2.iff', '0', '0.42141', '0', '0.90687', '2019.92', '12', '2560.38', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684955', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_2.iff', '0', '0.0948573', '0', '0.995491', '2005', '12', '2560.85', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684956', '0', 'object/building/naboo/shared_filler_building_naboo_style_2.iff', '0', '0.979061', '0', '0.203567', '1998.22', '12', '2497.04', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684957', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_small_s01.iff', '0', '-0.203567', '0', '0.979061', '2009.11', '12', '2479.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684959', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '-0.203567', '0', '0.979061', '2009.11', '12', '2479.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684960', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '-0.203567', '0', '0.979061', '2011.58', '12', '2483.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684961', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_small_s01.iff', '0', '0.836244', '0', '-0.548357', '2009.19', '12', '2489.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684962', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0.836244', '0', '-0.548357', '2009.19', '12', '2489.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684963', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0.836244', '0', '-0.548357', '2003.93', '12', '2491.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684964', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s02.iff', '0', '-0.670587', '0', '0.741831', '1971.15', '12', '2440.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684965', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.670587', '0', '0.741831', '1970.14', '12', '2430.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684966', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.670587', '0', '0.741831', '1971.25', '12', '2441.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684968', '0', 'object/static/structure/naboo/shared_street_bridge_s02.iff', '0', '0.795839', '0', '-0.605508', '1941.54', '4.38003', '2318.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684969', '0', 'object/static/structure/naboo/shared_street_bridge_s02.iff', '0', '0.795843', '0', '-0.605503', '1954.48', '4.38003', '2305.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684970', '0', 'object/static/structure/naboo/shared_street_bridge_s02.iff', '0', '0.795843', '0', '-0.605503', '1958.75', '4.38003', '2289.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684972', '0', 'object/static/structure/naboo/shared_street_bridge_s02.iff', '0', '0.795843', '0', '-0.605503', '1963.02', '4.38003', '2274.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684973', '0', 'object/static/structure/naboo/shared_street_bridge_s02.iff', '0', '0.795843', '0', '-0.605503', '1967.29', '4.38003', '2259.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684977', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.13459', '0', '0.990901', '1975.62', '1.93872', '2236.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684978', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.13459', '0', '0.990901', '1971.76', '1.93872', '2235.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684979', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.13459', '0', '0.990901', '1967.49', '1.93872', '2250.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684980', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.13459', '0', '0.990901', '1971.35', '1.93872', '2251.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684981', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.13459', '0', '0.990901', '1963.23', '1.93872', '2266.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684982', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.13459', '0', '0.990901', '1967.08', '1.93872', '2267.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684983', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.13459', '0', '0.990901', '1958.96', '1.93872', '2281.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684984', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.13459', '0', '0.990901', '1962.81', '1.93872', '2282.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684985', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.13459', '0', '0.990901', '1954.69', '1.93872', '2297.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684986', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.13459', '0', '0.990901', '1958.55', '1.93872', '2298.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684987', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.13459', '0', '0.990901', '1950.42', '1.93872', '2312.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684988', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.13459', '0', '0.990901', '1954.28', '1.93872', '2313.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684991', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.13459', '0', '0.990901', '1976.03', '1.93872', '2220.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1684992', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.13459', '0', '0.990901', '1979.88', '1.93872', '2221.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685002', '0', 'object/static/structure/naboo/shared_street_bridge_s02.iff', '0', '0.795822', '0', '-0.60553', '1945.81', '4.38003', '2302.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685003', '0', 'object/static/structure/naboo/shared_street_bridge_s02.iff', '0', '0.795843', '0', '-0.605503', '1950.08', '4.38003', '2287.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685004', '0', 'object/static/structure/naboo/shared_street_bridge_s02.iff', '0', '0.795843', '0', '-0.605503', '1954.35', '4.38003', '2272.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685005', '0', 'object/static/structure/naboo/shared_street_bridge_s02.iff', '0', '0.795843', '0', '-0.605503', '1958.61', '4.38003', '2256.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685008', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.13459', '0', '0.990901', '1971.21', '1.93872', '2218.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685009', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.13459', '0', '0.990901', '1967.36', '1.93872', '2217.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685010', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.13459', '0', '0.990901', '1963.09', '1.93872', '2233.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685011', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.13459', '0', '0.990901', '1966.94', '1.93872', '2234.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685012', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.13459', '0', '0.990901', '1958.82', '1.93872', '2248.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685013', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.13459', '0', '0.990901', '1962.68', '1.93872', '2249.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685014', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.13459', '0', '0.990901', '1954.55', '1.93872', '2263.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685015', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.13459', '0', '0.990901', '1958.41', '1.93872', '2264.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685016', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.13459', '0', '0.990901', '1950.28', '1.93872', '2279.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685017', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.13459', '0', '0.990901', '1954.14', '1.93872', '2280.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685018', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.13459', '0', '0.990901', '1946.58', '1.93872', '2294.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685019', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.13459', '0', '0.990901', '1949.87', '1.93872', '2295.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685020', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.13459', '0', '0.990901', '1941.75', '1.93872', '2310.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685021', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.13459', '0', '0.990901', '1945.6', '1.93872', '2311.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685024', '0', 'object/static/structure/naboo/shared_street_bridge_s02.iff', '0', '0.795827', '0', '-0.605523', '1950.22', '4.38003', '2320.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685039', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0.605502', '0', '0.795844', '1947.82', '4.38003', '2329.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685040', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0.605504', '0', '0.795842', '1939.14', '4.38003', '2327.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685041', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0.605493', '0', '0.79585', '1982.49', '4.38003', '2204.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685042', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0.605504', '0', '0.795842', '1973.82', '4.3803', '2201.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685043', '0', 'object/static/structure/naboo/shared_street_bridge_s02.iff', '0', '0.795843', '0', '-0.605503', '1980.09', '4.38003', '2212.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685044', '0', 'object/static/structure/naboo/shared_street_bridge_s02.iff', '0', '0.795843', '0', '-0.605503', '1971.42', '4.38003', '2210.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685045', '0', 'object/static/structure/naboo/shared_street_bridge_s02.iff', '0', '0.795843', '0', '-0.605503', '1967.15', '4.38003', '2225.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685046', '0', 'object/static/structure/naboo/shared_street_bridge_s02.iff', '0', '0.795843', '0', '-0.605503', '1975.82', '4.38003', '2228.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685047', '0', 'object/static/structure/naboo/shared_street_bridge_s02.iff', '0', '0.795843', '0', '-0.605503', '1971.56', '4.38003', '2243.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685048', '0', 'object/static/structure/naboo/shared_street_bridge_s02.iff', '0', '0.795843', '0', '-0.605503', '1962.88', '4.38003', '2241.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685049', '0', 'object/static/structure/naboo/shared_street_bridge_s02.iff', '0.0039792', '0.795833', '-0.00302749', '-0.605495', '1975.85', '4.19519', '2194.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685050', '0', 'object/static/structure/naboo/shared_street_bridge_s02.iff', '0.0039792', '0.795833', '-0.00302749', '-0.605495', '1984.52', '4.23135', '2196.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685051', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0.605492', '0', '0.795851', '1986.93', '3.96085', '2188.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685052', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0.605504', '0', '0.795843', '1978.26', '3.87902', '2185.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685053', '0', 'object/static/structure/naboo/shared_obelisk_naboo_theed_style_3.iff', '0', '0', '0', '1', '1974.46', '9.12986', '2186.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685054', '0', 'object/static/structure/naboo/shared_obelisk_naboo_theed_style_3.iff', '0', '0', '0', '1', '1989.81', '8.85477', '2190.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685055', '0', 'object/building/naboo/shared_filler_nboo_bldg_64x32_s02.iff', '0', '-0.640686', '0', '0.767803', '1938.42', '12', '2498.16', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685058', '0', 'object/building/naboo/shared_filler_building_naboo_style_10.iff', '0', '0.697278', '0', '0.716801', '1928.82', '12', '2443.86', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685061', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_02.iff', '0', '-0.139537', '0', '0.990217', '1922.43', '12', '2396.87', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685067', '0', 'object/static/structure/naboo/shared_gate_narrow_s01.iff', '0', '0.811429', '0', '0.584451', '1912.2', '12', '2383.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685068', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.811429', '0', '0.584451', '1910.77', '12', '2378.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685069', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.811429', '0', '0.584451', '1913.63', '12', '2387.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685070', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_sml_s03.iff', '0', '-0.581035', '0', '0.813878', '1910.55', '12', '2378.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685071', '0', 'object/building/naboo/shared_housing_naboo_style_1.iff', '0', '0.881958', '0', '-0.471328', '1603.75', '25', '2503.2', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685072', '1685071', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685073', '1685071', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '4215376', '1685073', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0', '0', '1', '-3.8469', '1.10596', '1.0691', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4215377', '1685073', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.545171', '0', '0.838325', '-5.54795', '1.10596', '-0.011708', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4215378', '1685073', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.932039', '0', '-0.362358', '-2.26609', '1.10596', '2.17384', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4215379', '1685073', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.941345', '0', '0.337447', '-5.23716', '1.10596', '2.57252', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4215380', '1685073', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.271547', '0', '0.962425', '-2.6898', '1.10596', '-0.4829', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4215381', '1685073', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '-0.443948', '0', '0.896053', '2.20089', '1.10596', '3.9044', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4215382', '1685073', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.11813', '0', '0.992998', '2.72532', '1.10596', '1.97388', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4215384', '1685073', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.839626', '0', '0.543166', '0.0262315', '1.10596', '4.56743', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685074', '1685071', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685075', '1685071', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1125339', '1685075', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '1', '0', '-3.20013e-08', '-10.3779', '1.1', '-3.79692', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4215391', '1685075', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0', '0', '1', '-7.68293', '1.07434', '-8.97496', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4215392', '1685075', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.545171', '0', '0.838325', '-9.38399', '1.07434', '-10.0558', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4215393', '1685075', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.932039', '0', '-0.362358', '-6.10212', '1.07434', '-7.87022', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4215394', '1685075', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.941345', '0', '0.337447', '-9.0732', '1.07434', '-7.47154', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4215395', '1685075', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.271547', '0', '0.962425', '-6.52583', '1.07434', '-10.527', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685076', '1685071', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1125341', '1685076', 'object/tangible/terminal/shared_terminal_mission_imperial.iff', '0', '1', '0', '-3.20013e-08', '-10.4918', '6.1', '-3.87366', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4215386', '1685076', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0.213347', '0', '0.976976', '-8.59973', '6.07434', '-8.3561', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4215387', '1685076', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.711474', '0', '0.702713', '-10.5965', '6.07434', '-8.62943', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4215388', '1685076', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.833272', '0', '-0.552863', '-6.70233', '6.07434', '-8.01095', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4215389', '1685076', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.991665', '0', '0.128844', '-9.23671', '6.07434', '-6.40999', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4215390', '1685076', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.059964', '0', '0.998201', '-8.19497', '6.07434', '-10.2492', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685077', '1685071', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705590', '1685077', 'object/tangible/furniture/modern/shared_dining_table_modern_style_01.iff', '0', '-0.707107', '0', '0.707107', '-5.517', '-4.9', '-5.08486', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705591', '1685077', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.382683', '0', '0.92388', '-3.47914', '-4.9', '-10.9015', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705592', '1685077', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.707106', '0', '0.707107', '-3.9079', '-4.9', '-6.16271', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705595', '1685077', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.707106', '0', '0.707107', '-3.87703', '-4.9', '-4.72344', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705596', '1685077', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.707106', '0', '0.707107', '-3.85196', '-4.9', '-3.40617', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705597', '1685077', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.707106', '0', '0.707107', '-6.97848', '-4.9', '-6.23978', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705598', '1685077', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.707106', '0', '0.707107', '-6.97457', '-4.9', '-4.71553', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705599', '1685077', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.707106', '0', '0.707107', '-6.9886', '-4.9', '-3.4064', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705681', '1685077', 'object/static/item/shared_wp_carbine_elite_combined.iff', '-0.166588', '0.697891', '-0.040851', '-0.695361', '-10.8507', '-3.97839', '-9.96454', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705682', '1685077', 'object/static/item/shared_item_medic_bag.iff', '-0.381815', '0.595162', '0.381814', '0.595162', '-10.8124', '-4.86913', '-10.3266', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705683', '1685077', 'object/static/item/shared_item_bacta_ampules.iff', '0', '0.723249', '0', '0.690588', '-10.9726', '-4.4889', '-10.0441', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705684', '1685077', 'object/static/item/shared_item_bacta_ampules.iff', '0', '0.723249', '0', '0.690588', '-11.0091', '-4.4889', '-9.93695', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705685', '1685077', 'object/static/item/shared_item_drall_medicine.iff', '0', '0.723249', '0', '0.690588', '-10.981', '-4.83676', '-10.0143', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705686', '1685077', 'object/static/item/shared_item_storage_cabinet_01.iff', '0', '0.723249', '0', '0.690588', '-11.0218', '-4.9', '-10.1791', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705687', '1685077', 'object/static/item/shared_item_bacta_ampules.iff', '0', '0.723249', '0', '0.690588', '-11.0343', '-4.4889', '-10.0219', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705688', '1685077', 'object/static/item/shared_item_bacta_ampules.iff', '0.660158', '-0.109868', '0.267805', '-0.69311', '-10.9291', '-4.47631', '-9.8869', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705689', '1685077', 'object/static/item/shared_wp_carbine_elite_combined.iff', '-0.166588', '0.697891', '-0.040851', '-0.695361', '-10.845', '-3.97839', '-10.3605', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705690', '1685077', 'object/static/item/shared_wp_carbine_elite_combined.iff', '-0.166588', '0.697891', '-0.040851', '-0.695361', '-10.8407', '-3.97839', '-10.2656', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705691', '1685077', 'object/static/item/shared_wp_carbine_elite_combined.iff', '-0.166588', '0.697891', '-0.040851', '-0.695361', '-10.8439', '-3.97839', '-10.1625', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705692', '1685077', 'object/static/item/shared_wp_carbine_elite_combined.iff', '-0.166588', '0.697891', '-0.040851', '-0.695361', '-10.8255', '-3.97839', '-8.96051', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705693', '1685077', 'object/static/item/shared_item_medic_bag.iff', '-0.381815', '0.595162', '0.381814', '0.595162', '-10.7872', '-4.86913', '-9.32257', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705694', '1685077', 'object/static/item/shared_item_bacta_ampules.iff', '0', '0.723249', '0', '0.690588', '-10.9473', '-4.4889', '-9.0401', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705695', '1685077', 'object/static/item/shared_item_bacta_ampules.iff', '0', '0.723249', '0', '0.690588', '-10.9838', '-4.4889', '-8.93292', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705696', '1685077', 'object/static/item/shared_item_drall_medicine.iff', '0', '0.723249', '0', '0.690588', '-10.9558', '-4.83676', '-9.01032', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705697', '1685077', 'object/static/item/shared_item_storage_cabinet_01.iff', '0', '0.723249', '0', '0.690588', '-10.9965', '-4.9', '-9.17511', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705698', '1685077', 'object/static/item/shared_item_bacta_ampules.iff', '0', '0.723249', '0', '0.690588', '-11.0091', '-4.4889', '-9.01789', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705699', '1685077', 'object/static/item/shared_item_bacta_ampules.iff', '0.660158', '-0.109868', '0.267805', '-0.69311', '-10.9039', '-4.47631', '-8.88288', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705700', '1685077', 'object/static/item/shared_wp_carbine_elite_combined.iff', '-0.166588', '0.697891', '-0.040851', '-0.695361', '-10.8198', '-3.97839', '-9.35651', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705701', '1685077', 'object/static/item/shared_wp_carbine_elite_combined.iff', '-0.166588', '0.697891', '-0.040851', '-0.695361', '-10.8155', '-3.97839', '-9.26154', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705702', '1685077', 'object/static/item/shared_wp_carbine_elite_combined.iff', '-0.166588', '0.697891', '-0.040851', '-0.695361', '-10.8187', '-3.97839', '-9.15851', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705703', '1685077', 'object/static/item/shared_item_vibroknuckles.iff', '0.109163', '0.109163', '0.698629', '0.69863', '-11.0042', '-4.4889', '-10.3677', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705705', '1685077', 'object/static/item/shared_item_vibroknuckles.iff', '0.14048', '0.14048', '0.693011', '0.693012', '-10.9487', '-4.4889', '-10.2476', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705706', '1685077', 'object/static/item/shared_item_document.iff', '0', '-0.29074', '0', '0.956802', '-10.9579', '-4.4889', '-9.29727', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705707', '1685077', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '0.874982', '0', '0.484156', '-9.89185', '-4.9', '-5.48694', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685078', '1685071', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685088', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.193766', '0', '0.981048', '1851.39', '12', '2487.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685089', '0', 'object/static/structure/naboo/shared_gate_narrow_s01.iff', '0', '-0.193766', '0', '0.981048', '1847.23', '12', '2485.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685090', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.193766', '0', '0.981048', '1843.07', '12', '2483.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685094', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s01.iff', '0', '-0.0199987', '0', '0.9998', '1917.32', '12', '2438.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685095', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.00999985', '0', '0.99995', '1897.51', '12', '2437.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685096', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.99995', '0', '0.00999982', '1918.31', '12', '2438.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685097', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.300293', '0', '0.953847', '1889.26', '8.45029', '2431.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685098', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s02.iff', '0', '-0.298097', '0', '0.954535', '1897.53', '8.83873', '2437.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685119', '0', 'object/building/naboo/shared_housing_naboo_style_1.iff', '0', '0.965093', '0', '0.261909', '5124.44', '350', '-1546.92', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685120', '1685119', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685121', '1685119', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685122', '1685119', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685123', '1685119', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685124', '1685119', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685125', '1685119', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685126', '1685119', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685127', '0', 'object/building/naboo/shared_filler_building_naboo_style_4.iff', '0', '0', '0', '1', '5096.19', '350', '-1552.12', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685129', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.257081', '0', '0.96639', '5038.65', '353.404', '-1534.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685130', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.257081', '0', '0.96639', '5042.81', '353.503', '-1542.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685131', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.257081', '0', '0.96639', '5046.64', '348.848', '-1530.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685132', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.257081', '0', '0.96639', '5050.81', '348.946', '-1537.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685136', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s02.iff', '0', '0.501213', '0', '0.865324', '5030.14', '360', '-1539.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685137', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s02.iff', '0', '-0.257465', '0', '0.966288', '5034.57', '360', '-1547.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685170', '0', 'object/building/naboo/shared_filler_building_naboo_style_6.iff', '0', '0.999899', '0', '-0.014204', '5086.63', '350', '-1505.88', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685171', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_02.iff', '0', '0.721107', '0', '0.692824', '5094.17', '350', '-1478.38', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685199', '0', 'object/building/naboo/shared_housing_naboo_style_3.iff', '0', '-0.659385', '0', '0.751806', '5064.28', '360', '-1445.22', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685202', '0', 'object/building/naboo/shared_housing_naboo_style_3.iff', '0', '-0.324044', '0', '0.946042', '5050.52', '360', '-1466.93', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685205', '0', 'object/building/naboo/shared_housing_naboo_style_3.iff', '0', '-0.338198', '0', '0.941075', '5031.88', '360', '-1481.37', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685208', '0', 'object/building/naboo/shared_housing_naboo_style_3.iff', '0', '0.952576', '0', '0.304301', '5024.92', '360', '-1409.99', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685211', '0', 'object/building/naboo/shared_housing_naboo_style_3.iff', '0', '0.714977', '0', '0.699147', '5008.6', '360', '-1434.67', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685216', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.695848', '0', '0.718189', '4995.6', '360', '-1414.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685217', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s01.iff', '0', '0.0157962', '0', '0.999875', '5015.45', '360', '-1415.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685230', '0', 'object/static/structure/general/shared_planter_generic_style_4.iff', '0', '-0.174108', '0', '0.984727', '4960.41', '360', '-1450.3', '93', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685231', '0', 'object/building/naboo/shared_guild_university_naboo_style_01.iff', '0', '1', '0', '-3.20013e-08', '4731.27', '330', '-1275.48', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685232', '1685231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685233', '1685231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685234', '1685231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685235', '1685231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685236', '1685231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685237', '1685231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685238', '1685231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685239', '1685231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685240', '1685231', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1685241', '0', 'object/static/structure/naboo/shared_archway_narrow_s01.iff', '0', '0.707105', '0', '0.707109', '5002.41', '360', '-1511.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688849', '0', 'object/building/naboo/shared_palace_naboo_theed.iff', '0', '1', '0', '3.20013e-08', '-5496', '6', '4586', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688850', '1688849', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688851', '1688849', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695634', '1688851', 'object/static/structure/tatooine/shared_guild_statue_free_style_01.iff', '0', '1', '0', '0', '-0.0196632', '5.96205', '92.5622', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688852', '1688849', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688853', '1688849', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688854', '1688849', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688855', '1688849', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688856', '1688849', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688857', '1688849', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695435', '1688857', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0.707106', '0', '0.707107', '37.2795', '12.0097', '46.5666', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695436', '1688857', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '-0.707106', '0', '0.707107', '32.7313', '12.0097', '46.5387', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695437', '1688857', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '-0.707106', '0', '0.707107', '32.6887', '12.0097', '43.4633', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695438', '1688857', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '-0.707106', '0', '0.707107', '37.3168', '12.0097', '43.4062', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695439', '1688857', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.707106', '0', '0.707107', '35.8147', '12.0097', '46.5999', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695440', '1688857', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.707106', '0', '0.707107', '38.9021', '12.0097', '46.655', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695441', '1688857', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.707106', '0', '0.707107', '34.1087', '12.0097', '46.6299', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695442', '1688857', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.70767', '0', '0.706543', '31.1381', '12.0097', '46.636', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695443', '1688857', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.707106', '0', '0.707107', '34.0788', '12.0097', '43.3001', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695444', '1688857', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.704128', '0', '0.710073', '31.2028', '12.0097', '43.3634', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695445', '1688857', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.707106', '0', '0.707107', '38.6618', '12.0097', '43.3646', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695446', '1688857', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.70767', '0', '0.706543', '35.9998', '12.0097', '43.2839', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695447', '1688857', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s04.iff', '0', '0.556691', '0', '0.83072', '40.41', '12.0034', '49.2368', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695448', '1688857', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s04.iff', '0', '-0.357321', '0', '0.933982', '30.8022', '12.0097', '49.3413', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9795360', '1688857', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.710073', '0', '-0.704128', '28.8075', '12', '46.5638', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9795361', '1688857', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.706543', '0', '0.70767', '24.0107', '12', '46.6434', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9795362', '1688857', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.707107', '0', '0.707106', '21.3486', '12', '46.5624', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9795363', '1688857', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0.707107', '0', '-0.707106', '22.7309', '12', '43.3607', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9795364', '1688857', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0.707107', '0', '0.707106', '27.2787', '12', '43.3885', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9795365', '1688857', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0.707107', '0', '0.707106', '27.3212', '12', '46.4637', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9795366', '1688857', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0.707107', '0', '0.707106', '22.6933', '12', '46.5209', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9795367', '1688857', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.707107', '0', '-0.707106', '24.1952', '12', '43.327', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9795368', '1688857', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.707107', '0', '0.707106', '21.1078', '12', '43.2723', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9795369', '1688857', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.707107', '0', '0.707106', '25.9013', '12', '43.2972', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9795370', '1688857', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.706543', '0', '0.70767', '28.872', '12', '43.2914', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9795371', '1688857', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.707107', '0', '0.707106', '25.9316', '12', '46.6268', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9795372', '1688857', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s04.iff', '0', '-0.00539845', '0', '0.999985', '21.3501', '11.9999', '49.2372', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9795373', '1688857', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s04.iff', '0', '0.999954', '0', '0.00960204', '21.3048', '12', '40.7123', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9795374', '1688857', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s04.iff', '0', '0.999985', '0', '-0.0053978', '30.8367', '12', '40.1947', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9795375', '1688857', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s04.iff', '0', '-0.252631', '0', '0.967563', '40.4177', '12', '40.5955', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688858', '1688849', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695392', '1688858', 'object/tangible/furniture/modern/shared_dining_table_modern_style_01.iff', '0', '-0.707106', '0', '0.707107', '-45.9343', '12.9203', '45.0213', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695409', '1688858', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0', '0', '1', '-45.9267', '12.9393', '40.6885', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695412', '1688858', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '1', '0', '0', '-45.9087', '12.9393', '49.415', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695417', '1688858', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.707107', '0', '0.707107', '-47.7018', '12.9393', '47.0409', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695418', '1688858', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.707107', '0', '0.707107', '-47.7041', '12.9393', '45.7226', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695419', '1688858', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.707107', '0', '0.707107', '-47.7107', '12.9393', '44.3748', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695420', '1688858', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.707107', '0', '0.707107', '-47.6744', '12.9393', '43.0229', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695426', '1688858', 'object/tangible/furniture/all/shared_frn_all_lamp_desk_s01.iff', '0', '-0.707106', '0', '0.707107', '-45.8475', '13.9196', '45.0362', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695427', '1688858', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s04.iff', '0', '0', '0', '1', '-41.797', '12.9393', '49.7135', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695428', '1688858', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s04.iff', '0', '0.714421', '0', '0.699716', '-41.7431', '12.9393', '40.3965', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688859', '1688849', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '8346114', '1688859', 'object/static/structure/general/shared_all_banner_generic_s01.iff', '0', '0', '0', '1', '2.88036', '12.0109', '3.12578', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8346116', '1688859', 'object/static/structure/general/shared_all_banner_generic_s01.iff', '0', '1', '0', '0', '-3.10637', '12.0109', '3.26272', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695617', '1688859', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '0', '0', '1', '-0.160518', '12.0094', '4.5461', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695618', '1688859', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0', '0', '1', '0.611103', '12.0109', '3.14314', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695619', '1688859', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0', '0', '1', '-0.817285', '12.0109', '3.16', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695624', '1688859', 'object/tangible/furniture/all/shared_frn_all_lamp_desk_s01.iff', '0', '0', '0', '1', '-0.0934715', '12.7998', '4.53939', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688860', '1688849', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '3725476', '1688860', 'object/tangible/furniture/all/shared_frn_all_desk_radar_topology_screen.iff', '0', '0', '0', '1', '0.164682', '21', '-45.3215', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '3725481', '1688860', 'object/static/structure/general/shared_data_terminal_wall_s3.iff', '0', '0.169182', '0', '0.985585', '-2.44876', '21.5692', '-45.0283', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695449', '1688860', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '-0.319309', '0', '0.947651', '7.61364', '21', '-42.964', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695451', '1688860', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '0.316079', '0', '0.948733', '-7.82253', '21', '-43.1292', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695452', '1688860', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '-0.457339', '0', '0.889293', '8.75705', '21', '-41.9239', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695454', '1688860', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.805072', '0', '0.593177', '-6.36825', '21', '-43.7806', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695455', '1688860', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s3.iff', '0', '-0.159318', '0', '0.987227', '3.60773', '21', '-43.6367', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695456', '1688860', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s3.iff', '0', '0.988771', '0', '-0.149438', '-3.71576', '21', '-43.6092', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695457', '1688860', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s3.iff', '0', '0.448423', '0', '0.893822', '-9.52701', '21', '-39.3046', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695458', '1688860', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0.0699428', '-5.57044e-05', '0.997551', '0.000794477', '-0.285342', '45.0339', '-32.5996', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688861', '1688849', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695459', '1688861', 'object/tangible/furniture/modern/shared_love_seat_modern_style_01.iff', '0', '0.707106', '0', '0.707107', '37.9312', '23.0011', '-32.4108', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695460', '1688861', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.918788', '0', '-0.394751', '37.2136', '23.0011', '-29.4962', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695461', '1688861', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.323289', '0', '0.9463', '37.1754', '23.0011', '-35.1442', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695484', '1688861', 'object/static/structure/tatooine/shared_guild_statue_free_style_01.iff', '0', '0.822049', '0', '-0.569417', '38.3646', '20.9318', '-30.3004', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695485', '1688861', 'object/static/structure/tatooine/shared_guild_statue_free_style_01.iff', '0', '-0.504846', '0', '0.86321', '38.2504', '20.9318', '-34.2999', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695509', '1688861', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff', '0', '-0.707106', '0', '0.707107', '39.1088', '23.0011', '-32.3433', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695523', '1688861', 'object/static/item/shared_item_tank_bubble.iff', '0', '-0.352274', '0', '0.935897', '39.1081', '23.4122', '-32.6119', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695524', '1688861', 'object/static/item/shared_item_glass_bluemilk.iff', '0', '0', '0', '1', '38.9778', '22.6216', '-32.0334', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688862', '1688849', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688863', '1688849', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '8835459', '1688863', 'object/static/item/shared_item_painting_agrilat_swamp_style_01.iff', '0', '0.707106', '0', '0.707108', '-20.4057', '28.3914', '-72.9608', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8835470', '1688863', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s04.iff', '0', '0', '0', '1', '-15.8827', '27', '-72.2302', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '8835471', '1688863', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s04.iff', '0', '0.867819', '0', '0.49688', '-24.5277', '27', '-72.2255', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695597', '1688863', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff', '0', '0.999985', '0', '-0.00539785', '-20.4545', '27', '-72.2187', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695598', '1688863', 'object/static/item/shared_item_tank_bubble.iff', '0', '-0.461071', '0', '0.887363', '-20.1091', '27.4111', '-72.2478', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695599', '1688863', 'object/static/item/shared_item_glass_white.iff', '0', '0.710914', '0', '0.703279', '-20.634', '26.6522', '-72.1879', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688864', '1688849', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '8835430', '1688864', 'object/tangible/furniture/all/shared_frn_all_decorative_lg_s1.iff', '0', '0.94352', '0', '-0.331317', '0.342693', '28.8973', '-64.3114', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '8835432', '1688864', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0.999957', '3.97794e-05', '0.00920341', '-0.000795409', '0.492472', '38.2156', '-64.3814', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688865', '1688849', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688866', '1688849', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688867', '1688849', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '8915353', '1688867', 'object/static/structure/tatooine/shared_guild_statue_free_style_01.iff', '0', '-0.707105', '0', '0.707109', '53.8118', '30.9929', '-93.8652', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8915356', '1688867', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff', '0', '-0.461779', '0', '0.886995', '50.2487', '33', '-102.314', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '8915358', '1688867', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff', '0', '-0.156653', '0', '0.987654', '43.8154', '33', '-105.166', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '8915360', '1688867', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff', '0', '0.986418', '0', '-0.164252', '43.7245', '33', '-82.5511', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '8915361', '1688867', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff', '0', '0.889293', '0', '-0.457339', '50.1538', '33', '-85.4126', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '8915435', '1688867', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '-0.697272', '-0.00293111', '0.716794', '-0.00301318', '54.8694', '41.3086', '-93.8427', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8915440', '1688867', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '0', '0', '1', '42.5793', '33', '-95.4672', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '8915441', '1688867', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '1', '0', '0', '42.5876', '33', '-92.1752', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '8915442', '1688867', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff', '0', '0', '0', '1', '42.5482', '33', '-93.8294', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '8915444', '1688867', 'object/tangible/furniture/all/shared_frn_all_lamp_candlestick_free_s01.iff', '0', '0', '0', '1', '42.5581', '33.4111', '-93.8445', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688868', '1688849', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688869', '1688849', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695381', '1688869', 'object/static/structure/tatooine/shared_guild_statue_free_style_01.iff', '0', '0.707107', '0', '-0.707107', '54.0918', '30.9965', '-120.817', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695382', '1688869', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0.70818', '0.013467', '-0.705903', '-0.000873', '54.7994', '41.5224', '-120.768', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695530', '1688869', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff', '0', '-0.0249973', '0', '0.999687', '42.8826', '33', '-124.053', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695531', '1688869', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff', '0', '0.999388', '0', '-0.0349929', '42.9066', '33', '-117.665', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695532', '1688869', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff', '0', '-0.7', '0', '0.714143', '45.8384', '33', '-120.921', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695538', '1688869', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_02.iff', '0', '0.714421', '0', '0.699716', '44.6575', '33', '-120.912', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695539', '1688869', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_02.iff', '0', '0.0948575', '0', '0.995491', '43.0075', '33', '-118.886', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695540', '1688869', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_02.iff', '0', '0.996865', '0', '0.0791218', '42.9577', '33', '-122.882', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695546', '1688869', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0', '0', '1', '42.604', '32.7126', '-120.857', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695553', '1688869', 'object/static/item/shared_item_tool_demagnetizer.iff', '0', '0', '0', '1', '42.5905', '33.6009', '-120.839', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688870', '1688849', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688871', '1688849', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '8835369', '1688871', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0.70818', '-0.0134667', '-0.705903', '0.000873083', '54.9787', '41.552', '-147.898', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8835380', '1688871', 'object/static/structure/tatooine/shared_guild_statue_free_style_01.iff', '0', '0.707107', '0', '-0.707107', '54.1212', '30.9755', '-147.929', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8835394', '1688871', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.987354', '0', '0.158532', '39.8568', '33', '-137.994', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '8835396', '1688871', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '-0.15438', '0', '0.988012', '39.1921', '33', '-138.616', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '8835399', '1688871', 'object/static/item/shared_item_glass_empty.iff', '0', '-0.305059', '0', '0.952334', '39.3326', '33.3795', '-138.445', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8835406', '1688871', 'object/static/item/shared_item_bottle_fat.iff', '0', '-0.305059', '0', '0.952334', '39.0237', '33.3795', '-138.574', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8835409', '1688871', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.150226', '0', '0.988652', '38.9877', '33', '-157.513', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '8835410', '1688871', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.988012', '0', '-0.15438', '39.8895', '33', '-157.393', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '8835411', '1688871', 'object/static/item/shared_item_glass_empty.iff', '0', '1', '0', '0', '39.7515', '33.3795', '-157.184', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8835412', '1688871', 'object/static/item/shared_item_bottle_fat.iff', '0', '1', '0', '0', '39.7814', '33.3795', '-157.494', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8835425', '1688871', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s3.iff', '0', '0', '0', '1', '32.0797', '33', '-145.387', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '8835426', '1688871', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s3.iff', '0', '-0.707106', '0', '0.707107', '32.0247', '33', '-150.385', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695635', '1688871', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.987888', '0', '0.155167', '45.9548', '33', '-157.124', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695636', '1688871', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.159318', '0', '0.987227', '45.2914', '33', '-157.747', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695637', '1688871', 'object/static/item/shared_item_bottle_fat.iff', '0', '0.963983', '0', '-0.265964', '45.9866', '33.3795', '-157.111', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695638', '1688871', 'object/static/item/shared_item_glass_empty.iff', '0', '0.95209', '0', '0.305817', '45.7208', '33.3795', '-157.035', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695639', '1688871', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.895699', '0', '0.444662', '50.8313', '33', '-153.357', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695640', '1688871', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.448423', '0', '0.893821', '50.6441', '33', '-154.248', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695641', '1688871', 'object/static/item/shared_item_bottle_fat.iff', '0', '0.816314', '0', '0.577609', '50.9474', '33.3795', '-153.301', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695642', '1688871', 'object/static/item/shared_item_glass_empty.iff', '0', '0.816314', '0', '0.577609', '50.5884', '33.3795', '-153.418', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695643', '1688871', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.461779', '0', '0.886995', '50.3421', '33', '-141.704', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695644', '1688871', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.888928', '0', '-0.458047', '51.1325', '33', '-142.155', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695645', '1688871', 'object/static/item/shared_item_bottle_fat.iff', '0', '0.319309', '0', '0.947651', '50.2736', '33.3795', '-141.651', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695646', '1688871', 'object/static/item/shared_item_glass_empty.iff', '0', '0.319309', '0', '0.947651', '50.3256', '33.3795', '-141.954', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695647', '1688871', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.15438', '0', '0.988012', '45.322', '33', '-138.315', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695648', '1688871', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.988652', '0', '-0.150226', '46.2239', '33', '-138.195', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695649', '1688871', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '45.4304', '33.3795', '-138.213', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695650', '1688871', 'object/static/item/shared_item_glass_empty.iff', '0', '0', '0', '1', '45.4602', '33.3795', '-138.523', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695652', '1688871', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.706823', '0', '0.70739', '40.7921', '32.9984', '-147.86', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695653', '1688871', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0', '0', '1', '42.6452', '33', '-147.838', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695654', '1688871', 'object/static/item/shared_item_tool_demagnetizer.iff', '0', '0', '0', '1', '42.6465', '33.8854', '-147.836', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688872', '1688849', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688873', '1688849', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525969', '1688873', 'object/static/structure/tatooine/shared_guild_statue_free_style_01.iff', '0', '0.707108', '0', '0.707105', '-52.9811', '30.9925', '-93.8197', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525970', '1688873', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0.716794', '-0.003013', '0.697272', '0.002931', '-54.0598', '41.3282', '-93.7145', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9585359', '1688873', 'object/tangible/furniture/modern/shared_dining_table_modern_style_01.iff', '0', '0', '0', '1', '-41.7559', '33', '-93.8132', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9585362', '1688873', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0', '0', '1', '-43.7649', '33', '-95.5937', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9585364', '1688873', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '-0.000796459', '0', '1', '-41.9105', '33', '-95.6905', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9585365', '1688873', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '-0.0157958', '0', '0.999875', '-40.0615', '33', '-95.5977', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9585366', '1688873', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '1', '0', '0', '-43.688', '33', '-92.0288', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9585367', '1688873', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '1', '0', '0', '-41.8391', '33', '-92.0712', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9585368', '1688873', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '1', '0', '0', '-40.0498', '33', '-92.1077', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695368', '1688873', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '-41.6319', '33.9803', '-93.9386', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695370', '1688873', 'object/static/item/shared_item_glass_empty.iff', '0', '0', '0', '1', '-41.5178', '33.9803', '-93.6885', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695371', '1688873', 'object/static/item/shared_item_glass_empty.iff', '0', '1', '0', '0', '-41.3959', '33.9803', '-93.8722', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695372', '1688873', 'object/static/item/shared_item_glass_empty.iff', '0', '1', '0', '0', '-41.4308', '33.9803', '-94.1171', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695373', '1688873', 'object/static/item/shared_item_glass_empty.iff', '0', '1', '0', '0', '-41.647', '33.9803', '-94.1892', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695374', '1688873', 'object/static/item/shared_item_glass_empty.iff', '0', '1', '0', '0', '-41.8635', '33.9803', '-94.0775', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695375', '1688873', 'object/static/item/shared_item_glass_empty.iff', '0', '1', '0', '0', '-41.8807', '33.9803', '-93.8562', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695376', '1688873', 'object/static/item/shared_item_glass_empty.iff', '0', '1', '0', '0', '-41.7306', '33.9803', '-93.6933', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695379', '1688873', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s3.iff', '0', '0', '0', '1', '-30.9046', '33', '-91.192', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695380', '1688873', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s3.iff', '0', '0.707388', '0', '0.706825', '-30.9002', '33', '-96.6103', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688874', '1688849', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688875', '1688849', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '2116305', '1688875', 'object/static/item/shared_item_con_tato_cup_s2.iff', '0', '0', '0', '1', '-42.8163', '32.6522', '-119.86', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695557', '1688875', 'object/static/structure/tatooine/shared_guild_statue_free_style_01.iff', '0', '0.707107', '0', '0.707107', '-53.1596', '30.9643', '-120.807', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695558', '1688875', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0.705903', '0.000873', '0.70818', '0.013467', '-53.911', '41.4928', '-120.919', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695576', '1688875', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.15438', '0', '0.988012', '-42.8545', '33', '-124.777', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695577', '1688875', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.889293', '0', '-0.457339', '-44.9598', '33', '-123.204', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695578', '1688875', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.700295', '0', '0.713854', '-45.6571', '33', '-120.847', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695579', '1688875', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.891569', '0', '0.452887', '-44.8892', '33', '-118.368', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695580', '1688875', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.988771', '0', '0.149439', '-42.8612', '33', '-116.959', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695582', '1688875', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s1.iff', '0', '0.149438', '0', '0.988771', '-42.862', '33', '-124.847', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695583', '1688875', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s1.iff', '0', '0.458046', '0', '0.888928', '-44.9846', '33', '-123.302', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695584', '1688875', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s1.iff', '0', '0.710913', '0', '0.703279', '-45.7983', '33', '-120.882', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695585', '1688875', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s1.iff', '0', '0.989506', '0', '0.144493', '-42.9394', '33', '-116.914', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695586', '1688875', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s1.iff', '0', '0.891568', '0', '0.452886', '-44.9896', '33', '-118.39', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695587', '1688875', 'object/static/item/shared_item_game_dejarik_gameboard.iff', '0', '0', '0', '1', '-41.5534', '33', '-120.893', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695590', '1688875', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '-0.00999984', '0', '0.99995', '-41.5962', '33', '-122.15', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695591', '1688875', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '0.999987', '0', '0.00499998', '-41.6311', '33', '-119.617', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695592', '1688875', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '-0.00999984', '0', '0.99995', '-43.0165', '33', '-119.653', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695593', '1688875', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.99995', '0', '0.01', '-42.9764', '33', '-122.163', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688876', '1688849', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695629', '1688876', 'object/static/item/shared_item_painting_endor_style_01.iff', '0', '1', '0', '-3.20013e-08', '-37.4074', '34.3899', '-147.996', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695630', '1688876', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff', '0', '0.707107', '0', '-0.707106', '-36.701', '33', '-148.098', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695631', '1688876', 'object/static/item/shared_item_tank_bubble.iff', '0', '0.519101', '0', '0.854713', '-36.764', '33.4111', '-148.48', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695632', '1688876', 'object/static/item/shared_item_glass_white.iff', '0', '1', '0', '0', '-36.8087', '32.6521', '-147.894', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688877', '1688849', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688878', '1688849', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695628', '1688878', 'object/static/structure/tatooine/shared_guild_statue_free_style_01.iff', '0', '0', '0', '1', '-33.4798', '45.011', '-193.754', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688879', '1688849', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525403', '1688879', 'object/tangible/furniture/all/shared_frn_all_decorative_lg_s1.iff', '0', '0.331317', '0', '0.943519', '0.717624', '28.9922', '-177.295', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525417', '1688879', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '-0.029199', '0.000795642', '0.999573', '2.40931e-05', '0.551019', '38.0106', '-177.623', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688880', '1688849', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525744', '1688880', 'object/static/item/shared_item_painting_corellia_style_01.iff', '0', '0.707105', '0', '0.707108', '21.0171', '27.9838', '-176.708', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525749', '1688880', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s3.iff', '0', '1', '0', '-0.000398635', '16.779', '27', '-175.997', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525751', '1688880', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s3.iff', '0', '-0.706543', '0', '0.70767', '25.5606', '27', '-176.031', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695594', '1688880', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff', '0', '1', '0', '4.95617e-07', '20.9496', '27', '-175.957', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695595', '1688880', 'object/static/item/shared_item_tank_bubble.iff', '0', '0.457692', '0', '0.889111', '20.4715', '27.4111', '-176.025', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695596', '1688880', 'object/static/item/shared_item_glass_white.iff', '0', '0.707105', '0', '0.707108', '21.1797', '26.6522', '-175.941', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688881', '1688849', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525809', '1688881', 'object/static/structure/tatooine/shared_guild_statue_free_style_01.iff', '0', '0', '0', '1', '33.4674', '24.9761', '-200.927', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525810', '1688881', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0.0121938', '-0.010016', '0.999835', '-0.00904443', '33.4063', '35.0979', '-201.521', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525893', '1688881', 'object/tangible/furniture/all/shared_frn_all_tree_potted_s2.iff', '0', '0.961275', '0', '0.27559', '22.339', '27', '-189.539', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525895', '1688881', 'object/tangible/furniture/all/shared_frn_all_tree_potted_s2.iff', '0', '0.896052', '0', '0.443948', '44.1848', '27', '-189.516', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525896', '1688881', 'object/tangible/furniture/all/shared_frn_all_tree_potted_s2.iff', '0', '-0.443948', '0', '0.896053', '42.3488', '27', '-196.086', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525897', '1688881', 'object/tangible/furniture/all/shared_frn_all_tree_potted_s2.iff', '0', '-0.443948', '0', '0.896053', '41.9987', '27', '-183.074', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525898', '1688881', 'object/tangible/furniture/all/shared_frn_all_tree_potted_s2.iff', '0', '0.798621', '0', '-0.601835', '24.6293', '27', '-195.893', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525899', '1688881', 'object/tangible/furniture/all/shared_frn_all_tree_potted_s2.iff', '0', '-0.443948', '0', '0.896053', '24.8735', '27', '-182.95', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525920', '1688881', 'object/static/structure/corellia/shared_corl_fountain_statue_contemplate_s01.iff', '0', '1', '0', '-0.000796354', '33.4804', '27', '-189.511', '96', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525943', '1688881', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '0.804599', '0', '0.593819', '29.5544', '27', '-188.278', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525944', '1688881', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '0.596556', '0', '0.802572', '29.5535', '27', '-190.734', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525948', '1688881', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '-0.589789', '0', '0.807557', '37.4198', '27', '-190.791', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525949', '1688881', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '0.802572', '0', '-0.596556', '37.3865', '27', '-188.165', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688882', '1688849', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525405', '1688882', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s04.iff', '0', '1', '0', '0', '-5.4702', '27', '-180.653', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525406', '1688882', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s04.iff', '0', '-0.49688', '0', '0.867819', '-5.472', '27', '-189.189', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525411', '1688882', 'object/static/item/shared_item_painting_corellia_style_02.iff', '0', '0', '0', '1', '-4.67485', '28.1068', '-185.195', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525412', '1688882', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.707107', '0', '0.707106', '-12.2355', '27', '-188.052', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525413', '1688882', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.707107', '0', '0.707107', '-12.1887', '27', '-181.853', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688883', '1688849', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688884', '1688849', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695627', '1688884', 'object/static/structure/tatooine/shared_guild_statue_free_style_01.iff', '0', '0', '0', '1', '-8.65409', '18.9402', '-238.972', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688885', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s07.iff', '0', '0.149439', '0', '0.988771', '5176.57', '346.753', '-1481.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688886', '0', 'object/static/structure/naboo/shared_arch_bronze_naboo_theed.iff', '0', '0', '0', '1', '-5496', '6', '4308', '256', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688887', '0', 'object/static/structure/naboo/shared_arbor_corner_90_s01.iff', '0', '0.992198', '0', '-0.124675', '5180.95', '345.845', '-1487.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688889', '0', 'object/static/structure/naboo/shared_arch_triumph_naboo_theed.iff', '0', '1', '0', '2.00589e-07', '-5496', '6', '4186', '256', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688899', '0', 'object/static/structure/naboo/shared_arbor_long_s02.iff', '0', '0', '0', '1', '1798', '12', '2727', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688900', '0', 'object/static/structure/naboo/shared_arbor_corner_90_s01.iff', '0', '-0.707105', '0', '0.707109', '1796', '12', '2709', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688901', '0', 'object/static/structure/naboo/shared_arbor_corner_90_s01.iff', '0', '1', '0', '3.20013e-08', '1798', '12', '2726', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688902', '0', 'object/static/structure/naboo/shared_arbor_long_s02.iff', '0', '-0.707105', '0', '0.707109', '1788', '12', '2728', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688903', '0', 'object/static/structure/naboo/shared_arbor_corner_90_s01.iff', '0', '0', '0', '1', '1776', '12', '2711', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688904', '0', 'object/static/structure/naboo/shared_arbor_long_s02.iff', '0', '0', '0', '1', '1776', '12', '2726', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688905', '0', 'object/static/structure/naboo/shared_arbor_corner_90_s01.iff', '0', '0.707107', '0', '0.707107', '1778', '12', '2728', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688906', '0', 'object/static/structure/naboo/shared_arbor_long_s02.iff', '0', '0.707105', '0', '0.707108', '1786', '12', '2728', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688907', '0', 'object/static/structure/naboo/shared_arbor_pillar_s01.iff', '0', '0.707104', '0', '0.707109', '1790', '12', '2728', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688908', '0', 'object/static/structure/naboo/shared_arbor_short_s02.iff', '0', '-0.707105', '0', '0.707108', '1786', '12', '2728', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688909', '0', 'object/static/structure/naboo/shared_arbor_pillar_s01.iff', '0', '0.707107', '0', '0.707107', '1785', '12', '2728', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688910', '0', 'object/static/structure/naboo/shared_arbor_long_s02.iff', '0', '0', '0', '1', '1798', '12', '2719', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688911', '0', 'object/static/structure/naboo/shared_arbor_long_s02.iff', '0', '0', '0', '1', '1776', '12', '2718', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688912', '0', 'object/static/structure/naboo/shared_arbor_pillar_s01.iff', '0', '0', '0', '1', '1776', '12', '2718', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688913', '0', 'object/static/structure/naboo/shared_arbor_pillar_s01.iff', '0', '0', '0', '1', '1798', '12', '2718', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688915', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_2.iff', '0', '0', '0', '1', '1794', '12', '2724', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688916', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_2.iff', '0', '-0.568762', '0', '0.822502', '1779.75', '12', '2724.13', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688917', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_2.iff', '0', '-0.319309', '0', '0.947651', '1779.96', '12', '2711.86', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688918', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_2.iff', '0', '0.509841', '0', '0.860269', '1794.16', '12', '2711.67', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688919', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '1773.71', '12', '2730.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688920', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '1800.33', '12', '2730.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688921', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '1817.26', '12', '2694.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688922', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '1756.84', '12', '2694.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688925', '0', 'object/static/structure/general/shared_nboo_imprv_flower_urn_s01.iff', '0', '0', '0', '1', '1779.61', '13.768', '2750.59', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688930', '0', 'object/static/structure/general/shared_nboo_imprv_flower_urn_s01.iff', '0', '1', '0', '-3.20013e-08', '1787', '12', '2724', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688931', '0', 'object/static/structure/general/shared_nboo_imprv_flower_urn_s01.iff', '0', '1', '0', '-3.20013e-08', '1783', '12', '2724', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688932', '0', 'object/static/structure/general/shared_nboo_imprv_flower_urn_s01.iff', '0', '1', '0', '-3.20013e-08', '1791', '12', '2724', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688933', '0', 'object/static/structure/general/shared_nboo_imprv_flower_urn_s01.iff', '0', '-0.707105', '0', '0.707108', '1794', '12', '2714', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688934', '0', 'object/static/structure/general/shared_nboo_imprv_flower_urn_s01.iff', '0', '-0.707105', '0', '0.707108', '1794', '12', '2718', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688935', '0', 'object/static/structure/general/shared_nboo_imprv_flower_urn_s01.iff', '0', '-0.707105', '0', '0.707108', '1794', '12', '2722', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688936', '0', 'object/static/structure/general/shared_nboo_imprv_flower_urn_s01.iff', '0', '0', '0', '1', '1779.58', '12', '2717.85', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688941', '0', 'object/static/structure/general/shared_nboo_imprv_flower_urn_s01.iff', '0', '0.707107', '0', '0.707107', '1780', '12', '2722', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688943', '0', 'object/static/structure/general/shared_nboo_imprv_flower_urn_s01.iff', '0', '0.707107', '0', '0.707107', '1780', '12', '2714', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688944', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_1.iff', '0', '0.824886', '0', '0.5653', '1777.27', '12.9487', '2702.99', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688945', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_1.iff', '0', '0.824886', '0', '0.5653', '1796.94', '13.0119', '2703.41', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688946', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '1749.89', '12', '2665.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688947', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '0', '0', '1', '1820.39', '12', '2767.75', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688948', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '0', '0', '1', '1824', '12', '2774.45', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688949', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '0', '0', '1', '1818.53', '12', '2774.51', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688950', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0', '0', '1', '1811.97', '12', '2783.23', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688951', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0', '0', '1', '1807.82', '12', '2783.9', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688953', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0', '0', '1', '1809.94', '12', '2777.6', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688954', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0.169182', '0', '0.985585', '1812.18', '12', '2771.18', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688955', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0.169182', '0', '0.985585', '1808.49', '12', '2773.19', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688956', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.932039', '0', '-0.362358', '1813.16', '12', '2784.91', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688957', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.545171', '0', '0.838325', '1809.88', '12', '2782.72', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688958', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.253787', '0', '0.96726', '1812.06', '12', '2781.1', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688959', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.0615543', '0', '0.998104', '1807.55', '12', '2782', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688960', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.989621', '0', '0.143704', '1807.36', '12', '2785.94', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688961', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.545171', '0', '0.838325', '1808.24', '12', '2776.52', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688962', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.932039', '0', '-0.362358', '1811.53', '12', '2778.7', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688963', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.941345', '0', '0.337447', '1808.55', '12', '2779.1', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688964', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.271547', '0', '0.962425', '1811.1', '12', '2776.05', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688965', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.545171', '0', '0.838325', '1806.75', '12', '2772.02', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688966', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.932039', '0', '-0.362358', '1810.03', '12', '2774.2', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688967', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.0765185', '0', '0.997068', '1812.73', '12', '2769.28', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688968', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.765355', '0', '0.643608', '1810.3', '12', '2771.76', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688969', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.932039', '0', '-0.362358', '1813.79', '12', '2772.97', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688970', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.375559', '0', '0.926799', '1893.52', '12', '2724.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688972', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '-0.707105', '0', '0.707109', '1915.5', '12', '2759.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688973', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '-0.707105', '0', '0.707109', '1915.5', '12', '2768.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688975', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '-0.707105', '0', '0.707109', '1915.5', '12', '2750.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688976', '0', 'object/static/structure/general/shared_nboo_imprv_flower_urn_s01.iff', '0', '-0.385543', '0', '0.92269', '1842.86', '12', '2564.6', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688977', '0', 'object/static/structure/general/shared_nboo_imprv_flower_urn_s01.iff', '0', '-0.385543', '0', '0.92269', '1848.48', '12', '2570.29', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688978', '0', 'object/static/structure/general/shared_nboo_imprv_flower_urn_s01.iff', '0', '-0.385543', '0', '0.92269', '1845.67', '12', '2567.44', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688983', '0', 'object/static/structure/general/shared_nboo_imprv_flower_urn_s01.iff', '0', '-0.380925', '0', '0.924606', '1832.59', '12', '2554.38', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688984', '0', 'object/static/structure/general/shared_nboo_imprv_flower_urn_s01.iff', '0', '-0.380925', '0', '0.924606', '1835.42', '12', '2557.2', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688985', '0', 'object/static/structure/general/shared_nboo_imprv_flower_urn_s01.iff', '0', '-0.380925', '0', '0.924606', '1829.75', '12', '2551.57', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688986', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '0', '0', '1', '1834.75', '12.994', '2580.75', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688987', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '0', '0', '1', '1819.91', '12.994', '2566.19', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688988', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s01.iff', '0', '0', '0', '1', '1834.57', '12.994', '2566.26', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1688989', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s01.iff', '0', '0', '0', '1', '1819.16', '12.994', '2580.42', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1689040', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '0.944148', '0', '0.329521', '-5557.66', '-149.067', '-23.6287', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1689041', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '0.881958', '0', '0.471328', '-5557.55', '-149.031', '-44.1472', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1689043', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '-0.00999977', '0', '0.99995', '-5558.12', '-151', '-53.3886', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1689044', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0.00499957', '0', '0.999987', '-5567.1', '-151', '-22.3387', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1689045', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_1.iff', '0', '-0.651835', '0', '0.758361', '-5550.89', '-150', '-59.643', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1689046', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_1.iff', '0', '-0.660582', '0', '0.750754', '-5551.09', '-150', '-8.42941', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1689049', '0', 'object/static/structure/naboo/shared_garden_gazebo_sml_s01.iff', '1', '0', '0', '0', '-5552.02', '-145.627', '-16.0005', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1689050', '0', 'object/static/structure/naboo/shared_garden_gazebo_sml_s01.iff', '0', '0', '0', '1', '-5552.03', '-141.648', '-16.0005', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1689051', '0', 'object/static/structure/naboo/shared_garden_gazebo_sml_s01.iff', '1', '0', '0', '0', '-5552.28', '-145.637', '-51.427', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1689052', '0', 'object/static/structure/naboo/shared_garden_gazebo_sml_s01.iff', '0', '0', '0', '1', '-5552.28', '-141.657', '-51.427', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1689053', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0.0299954', '0', '0.99955', '-5558.15', '-151', '-14.2679', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1689054', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0.00999924', '0', '0.99995', '-5549.05', '-151', '-62.4792', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1689055', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '-0.00500056', '0', '0.999987', '-5567.05', '-151', '-45.4285', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1689056', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0.00499957', '0', '0.999987', '-5549.07', '-151', '-5.65766', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1689058', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_wall_small_s01.iff', '0.00212945', '1.97426e-08', '0.00452331', '0.999987', '-5556.31', '-149.276', '-22.7556', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1689059', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_wall_small_s01.iff', '0', '0.707107', '0', '0.707107', '-5558.5', '-149.248', '-24.8703', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1689060', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s07.iff', '0', '0', '0', '1', '-5558.48', '-149.248', '-22.7742', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1689061', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s07.iff', '0', '0.707107', '0', '-0.707106', '-5558.45', '-149.215', '-45.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1689062', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_wall_small_s01.iff', '-0.0047039', '0.707097', '-0.00169328', '-0.707098', '-5558.47', '-149.18', '-43.0018', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1689063', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_wall_small_s01.iff', '0', '0', '0', '1', '-5556.35', '-149.215', '-45.1837', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1689064', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '-0.00904761', '0.99995', '0.00425911', '2.40446e-08', '-5554.91', '-149.047', '-22.9016', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1689065', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '-0.00904761', '0.99995', '0.00425911', '2.40446e-08', '-5552.36', '-149.052', '-22.9033', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1689066', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0.00212966', '5.69942e-08', '0.00452429', '0.999987', '-5554.96', '-149.084', '-45.2057', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1689067', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0.00212966', '5.69942e-08', '0.00452429', '0.999987', '-5552.41', '-149.052', '-45.2073', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1689068', '0', 'object/static/structure/naboo/shared_arbor_short_s01.iff', '0', '0.707107', '0', '-0.707107', '-5584.65', '-150.294', '-58.4668', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1689070', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0', '0', '1', '-5598.52', '-164.401', '-58.5118', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1689071', '0', 'object/static/structure/naboo/shared_bridge_stairs_s01.iff', '0', '0', '0', '1', '-5590.39', '-157.298', '-58.5288', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1689072', '0', 'object/static/structure/naboo/shared_elevated_walkway_s01.iff', '0', '0', '0', '1', '-5603.74', '-164.528', '-58.5246', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1689073', '0', 'object/static/structure/naboo/shared_enclosed_walkway_s02.iff', '0', '0', '0', '1', '-5616.39', '-164.527', '-58.5128', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1689077', '0', 'object/static/structure/naboo/shared_arbor_short_s01.iff', '0', '0.707102', '0', '0.707112', '-5578.65', '-150.294', '-58.4669', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1689078', '0', 'object/static/structure/naboo/shared_elevated_walkway_corner_s01.iff', '0', '-0.707103', '0', '0.70711', '-5636.73', '-164.527', '-50.5199', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1689079', '0', 'object/static/structure/naboo/shared_elevated_walkway_corner_s01.iff', '0', '0', '0', '1', '-5628.73', '-164.527', '-33.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1689081', '0', 'object/static/structure/naboo/shared_elevated_walkway_corner_s01.iff', '0', '0', '0', '1', '-5603.86', '-164.527', '-9.77583', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1689089', '0', 'object/static/structure/naboo/shared_bridge_stairs_s01.iff', '0', '0', '0', '1', '-5590.5', '-157.119', '-9.78162', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1689090', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0', '0', '1', '-5598.62', '-164.58', '-9.76454', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1689092', '0', 'object/static/structure/naboo/shared_arbor_short_s01.iff', '0', '0.707107', '0', '0.707107', '-5578.73', '-150.359', '-9.73736', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1689094', '0', 'object/static/structure/naboo/shared_arbor_short_s01.iff', '0', '0.707107', '0', '-0.707107', '-5584.72', '-150.359', '-9.73736', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1689098', '0', 'object/building/naboo/shared_shuttleport_naboo.iff', '0', '0', '0', '1', '-5474.42', '-150', '-21.8372', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1689099', '0', 'object/building/naboo/shared_filler_building_naboo_style_2.iff', '0', '0.99995', '0', '0.00999912', '-5563.61', '-150', '7.69517', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1689100', '0', 'object/building/naboo/shared_filler_building_naboo_style_2.iff', '0', '0.754831', '0', '0.655919', '-5575.21', '-150', '-2.18803', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1689101', '0', 'object/building/naboo/shared_filler_building_naboo_style_2.iff', '0', '0.731418', '0', '0.68193', '-5575.73', '-150', '-66.3169', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1689102', '0', 'object/building/naboo/shared_filler_building_naboo_style_2.iff', '0', '0.0449845', '0', '0.998988', '-5565.78', '-150', '-78.4865', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1691849', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0.707103', '0', '0.70711', '-5588.81', '-150.5', '-39.8704', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1691850', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0.707103', '0', '0.70711', '-5579.81', '-150.5', '-48.8704', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1691851', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0.707103', '0', '0.707111', '-5588.81', '-150.592', '-27.8706', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1691852', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0.707103', '0', '0.70711', '-5579.81', '-150.5', '-18.8706', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1691853', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_sml_s03.iff', '0', '0.707104', '0', '0.70711', '-5588.81', '-150.318', '-38.8704', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1691854', '0', 'object/static/structure/naboo/shared_nboo_imprv_tall_curved_wall_large_s01.iff', '0', '1', '0', '-3.48103e-07', '-5580.81', '-150.318', '-18.8703', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1691855', '0', 'object/static/structure/naboo/shared_nboo_imprv_tall_curved_wall_large_s01.iff', '0', '0.707103', '0', '0.70711', '-5588.81', '-150.317', '-40.8707', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1691879', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '1774', '12', '2526', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1691880', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '1814', '12', '2526', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1691883', '0', 'object/static/structure/naboo/shared_gate_narrow_s01.iff', '0', '0.707107', '0', '-0.707107', '-5501.9', '-150', '0.338681', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1691897', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s01.iff', '0', '0.382683', '0', '0.92388', '-5465.94', '-149.953', '6.36798', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1691908', '0', 'object/static/structure/general/shared_nboo_imprv_flower_urn_s01.iff', '0', '0', '0', '1', '1801.65', '12', '2515.84', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1691911', '0', 'object/static/structure/general/shared_nboo_imprv_flower_urn_s01.iff', '0', '0', '0', '1', '1811.8', '12', '2516.58', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1691916', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '0', '0', '1', '1829.64', '13.9922', '2526', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1691917', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '0.514136', '0', '0.857709', '1838.22', '13.9922', '2530.93', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1691918', '0', 'object/static/structure/naboo/shared_gate_narrow_s01.iff', '0', '0', '0', '1', '-5499.1', '-150', '21.4096', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1691919', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.382683', '0', '0.92388', '-5480.14', '-149.942', '20.5881', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1691920', '0', 'object/static/structure/general/shared_nboo_imprv_flower_urn_s01.iff', '0', '0', '0', '1', '1856.46', '12', '2536.85', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1691921', '0', 'object/static/structure/general/shared_nboo_imprv_flower_urn_s01.iff', '0', '0', '0', '1', '1864.32', '12', '2542.63', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1691922', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '-0.276356', '0', '0.961055', '1869.22', '13.9922', '2560.49', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1691923', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '0.257081', '0', '0.96639', '1873.87', '13.9922', '2569.23', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1691926', '0', 'object/static/structure/general/shared_nboo_imprv_flower_urn_s01.iff', '0', '0', '0', '1', '1903.08', '12', '2619.82', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1691927', '0', 'object/static/structure/general/shared_nboo_imprv_flower_urn_s01.iff', '0', '0', '0', '1', '1901.3', '12', '2610.52', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1691928', '0', 'object/static/structure/general/shared_nboo_imprv_flower_urn_s01.iff', '0', '0', '0', '1', '1869.8', '12', '2709.12', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1691929', '0', 'object/static/structure/general/shared_nboo_imprv_flower_urn_s01.iff', '0', '0', '0', '1', '1865.15', '12', '2714.59', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1691930', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '1', '0', '-3.20013e-08', '-5493.92', '-150', '21.4625', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1691931', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '1821.81', '12', '2729.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1691932', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0.159318', '0', '0.987227', '1863.87', '12', '2714.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1691933', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '1885.6', '12', '2670.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1691934', '0', 'object/static/structure/general/shared_nboo_imprv_flower_urn_s01.iff', '0', '0', '0', '1', '1882.44', '12', '2722.01', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1691935', '0', 'object/static/structure/general/shared_nboo_imprv_flower_urn_s01.iff', '0', '0', '0', '1', '1877.83', '12', '2726.82', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1691937', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0.412321', '0', '0.911039', '1803.05', '12', '2763.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1691938', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0.0349929', '0', '0.999388', '1837.36', '12', '2756.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1691940', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0.227978', '0', '0.973666', '1863.48', '12', '2737.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1691941', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '1899.45', '12', '2718.59', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1691959', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s01.iff', '0', '-0.37092', '0', '0.928665', '1873.92', '13.9629', '2768.65', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1691960', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '0', '0', '1', '1869.34', '13.9629', '2766.74', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1691961', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '0', '0', '1', '1878.35', '13.9629', '2767.75', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1691964', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0', '0', '1', '1922.55', '12', '2755.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1691966', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '1969.94', '12', '2712.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1691967', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '1931.27', '12', '2713.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1691971', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0.706825', '0', '0.707388', '1932.43', '4.90052', '2704.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1691972', '0', 'object/static/structure/naboo/shared_enclosed_walkway_s02.iff', '0', '0.706825', '0', '0.707388', '1932.43', '4.90052', '2695.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1691973', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0.706825', '0', '0.707388', '1932.44', '4.90052', '2686.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1691974', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_4.iff', '0', '1', '0', '3.20013e-08', '1894.44', '6.12108', '2704.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1691975', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_3.iff', '0', '1', '0', '3.20013e-08', '1938.99', '6.09319', '2704.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1691976', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_1.iff', '0', '0.702984', '0', '0.711205', '1926.36', '5.61491', '2704.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1691977', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_1.iff', '0', '0.702974', '0', '0.711215', '1938.58', '5.61828', '2704.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1691979', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_1.iff', '0', '-0.00579604', '0', '0.999983', '1975.5', '7.65294', '2686.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1691980', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_2.iff', '0', '-0.00538305', '0', '0.999986', '1963.52', '6.32472', '2686.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1691981', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_2.iff', '0', '-0.00309704', '0', '0.999995', '1978.77', '6.16661', '2686.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1691982', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_3.iff', '0', '0', '0', '1', '1962.62', '6.16661', '2686.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1691983', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_1.iff', '0', '0.711208', '0', '-0.702982', '1938.52', '5.69169', '2686.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1691984', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_1.iff', '0', '0.711208', '0', '-0.702982', '1926.33', '5.6481', '2686.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1691985', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_3.iff', '0', '0', '0', '1', '1928.22', '6.03825', '2686.59', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1691986', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_1.iff', '0', '0.874592', '0', '0.484859', '1906.4', '4.20182', '2686.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1691989', '0', 'object/static/structure/general/shared_nboo_imprv_flower_urn_s01.iff', '0', '0', '0', '1', '1908.54', '13.4863', '2684.88', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1691991', '0', 'object/static/structure/general/shared_nboo_imprv_flower_urn_s01.iff', '0', '0', '0', '1', '1904.78', '13.4431', '2685.42', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1691992', '0', 'object/static/structure/general/shared_nboo_imprv_flower_urn_s01.iff', '0', '0', '0', '1', '1906.21', '13.4431', '2687.83', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1691993', '0', 'object/static/structure/general/shared_nboo_imprv_flower_urn_s01.iff', '0', '0', '0', '1', '1936.74', '12', '2684.46', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692000', '0', 'object/static/structure/general/shared_nboo_imprv_flower_urn_s01.iff', '0', '0', '0', '1', '1928.3', '12', '2684.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692008', '0', 'object/static/structure/general/shared_nboo_imprv_flower_urn_s01.iff', '0', '0', '0', '1', '1928.42', '12', '2706.77', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692009', '0', 'object/static/structure/general/shared_nboo_imprv_flower_urn_s01.iff', '0', '0', '0', '1', '1936.88', '12', '2706.79', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692010', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.0249974', '0', '0.999687', '1909.88', '12', '2684.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692012', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '1960.17', '12', '2677.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692020', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0.20846', '0', '0.978031', '1922.83', '12', '2619.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692023', '0', 'object/static/structure/general/shared_nboo_imprv_flower_urn_s01.iff', '0', '0', '0', '1', '1921.37', '12', '2609.73', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692024', '0', 'object/static/structure/general/shared_nboo_imprv_flower_urn_s01.iff', '0', '0', '0', '1', '1922.45', '12', '2618.4', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692026', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '1910.18', '12', '2561.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692027', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0.42141', '0', '0.90687', '1878.89', '12', '2519.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692038', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '1980.95', '12', '2609.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692040', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '1980.58', '12', '2630.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692046', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0.232843', '0', '0.972514', '2001.68', '12', '2549.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692048', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0.237703', '0', '0.971338', '2025.38', '12', '2589.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692056', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '2018.07', '19', '2530.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692057', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.261909', '0', '0.965092', '2051.76', '19', '2562.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692058', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.059964', '0', '0.998201', '2057.86', '26', '2575.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692064', '0', 'object/static/structure/general/shared_nboo_imprv_flower_urn_s01.iff', '0', '0', '0', '1', '2024.24', '19', '2530.51', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692065', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '0', '0', '1', '2021.23', '19', '2530.59', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692066', '0', 'object/building/naboo/shared_guild_combat_naboo_style_01.iff', '0', '0', '0', '1', '-5456.75', '6', '4102.58', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692067', '1692066', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692068', '1692066', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692069', '1692066', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692070', '1692066', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692071', '1692066', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692072', '1692066', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692073', '1692066', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692074', '1692066', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692075', '1692066', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692076', '0', 'object/building/naboo/shared_guild_commerce_naboo_style_01.iff', '0', '0', '0', '1', '-5369.55', '6', '4122.24', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692077', '1692076', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692078', '1692076', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692079', '1692076', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692080', '1692076', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692081', '1692076', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692082', '1692076', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692083', '1692076', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692084', '1692076', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692085', '1692076', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692086', '0', 'object/building/naboo/shared_guild_university_naboo_style_01.iff', '0', '0', '0', '1', '-5452', '6', '3996.5', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692087', '1692086', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692088', '1692086', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692089', '1692086', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692090', '1692086', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692091', '1692086', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692092', '1692086', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692093', '1692086', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692094', '1692086', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692095', '1692086', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692097', '0', 'object/building/naboo/shared_power_generator_naboo_theed.iff', '0', '0.345432', '0', '0.938444', '-4795.19', '5.96226', '4239.12', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692098', '0', 'object/static/structure/general/shared_planter_generic_style_4.iff', '0', '0', '0', '1', '2061.76', '30', '2605.61', '93', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692099', '0', 'object/building/naboo/shared_hangar_naboo_theed.iff', '0', '0.345432', '0', '0.938444', '-4795.27', '5.94832', '4238.79', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692100', '1692099', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692101', '1692099', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '3755640', '1692101', 'object/tangible/terminal/shared_terminal_mission_imperial.iff', '0', '1', '0', '-3.20013e-08', '3.68686', '0.749357', '-56.5939', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '3755642', '1692101', 'object/tangible/terminal/shared_terminal_mission_imperial.iff', '0', '1', '0', '-3.20013e-08', '-3.85621', '0.749357', '-56.5795', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4735424', '1692101', 'object/tangible/terminal/shared_terminal_newsnet.iff', '0', '0', '0', '1', '-3.22812', '0.749357', '-76.6582', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4735425', '1692101', 'object/tangible/terminal/shared_terminal_newsnet.iff', '0', '0', '0', '1', '3.404', '0.749357', '-76.6582', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692102', '1692099', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1270278', '1692102', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0.710353', '0', '0.703845', '-40.668', '0.749357', '-72.2769', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4295424', '1692102', 'object/soundobject/shared_soundobject_starport_announcer.iff', '0', '0', '0', '1', '-38.7525', '0.749357', '-72.295', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692103', '1692099', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1270279', '1692103', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0.713864', '0', '-0.700285', '40.5903', '0.749358', '-72.1953', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4295423', '1692103', 'object/soundobject/shared_soundobject_starport_announcer.iff', '0', '0', '0', '1', '39.0167', '0.749358', '-72.1887', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692104', '1692099', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '3725507', '1692104', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0', '0', '1', '-4.50157', '7.94179', '-45.4338', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '3725508', '1692104', 'object/tangible/terminal/shared_terminal_space.iff', '0', '-0.00230081', '0', '0.999997', '4.42578', '7.98305', '-45.3616', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692105', '0', 'object/static/structure/general/shared_planter_generic_style_4.iff', '0', '0', '0', '1', '2110.46', '30', '2593.88', '93', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692106', '0', 'object/static/structure/general/shared_planter_generic_style_4.iff', '0', '0.833272', '0', '0.552863', '2129.46', '30', '2563.81', '93', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692155', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.706827', '0', '0.707387', '1896.95', '12', '2458.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692156', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s01.iff', '0', '0.717911', '0', '-0.696135', '1896.96', '12', '2457.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692157', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.706816', '0', '0.707397', '1896.35', '12', '2479.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692158', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s01.iff', '0', '0.699713', '0', '0.714424', '1896.91', '12', '2459.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692159', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.514135', '0', '0.857709', '1886.24', '12', '2496.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692160', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s01.iff', '0', '0.505533', '0', '0.862807', '1896.06', '12', '2479.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692161', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s02.iff', '0', '0.894673', '0', '-0.446721', '1880.23', '12', '2504.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692162', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s02.iff', '0', '0.452886', '0', '0.891568', '1865.22', '12', '2479.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692163', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.452886', '0', '0.891568', '1865.76', '12', '2478.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692165', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.312382', '0', '0.949957', '1882.6', '12', '2457.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692177', '0', 'object/static/structure/general/shared_nboo_imprv_flower_urn_s01.iff', '0', '0', '0', '1', '1869.99', '12', '2522.33', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692178', '0', 'object/static/structure/general/shared_nboo_imprv_flower_urn_s01.iff', '0', '0', '0', '1', '1876.38', '12', '2528.57', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692179', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0.49688', '0', '0.867819', '1847.8', '12', '2501.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692180', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0.872355', '0', '0.488872', '1811.93', '12', '2495.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692181', '0', 'object/static/structure/general/shared_nboo_imprv_flower_urn_s01.iff', '0', '0', '0', '1', '1802.67', '12', '2495.75', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692182', '0', 'object/static/structure/general/shared_nboo_imprv_flower_urn_s01.iff', '0', '0', '0', '1', '1811.1', '12', '2495.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692183', '0', 'object/static/structure/general/shared_nboo_imprv_flower_urn_s01.iff', '0', '0', '0', '1', '1775.28', '12', '2515.72', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692186', '0', 'object/static/structure/general/shared_nboo_imprv_flower_urn_s01.iff', '0', '0', '0', '1', '1774.21', '12', '2496.45', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692187', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0.703279', '0', '0.710914', '1759.24', '12', '2499.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692214', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '1676.3', '12', '2646.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692215', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0.014999', '0', '0.999888', '1709.2', '12', '2643.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692216', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0.014999', '0', '0.999888', '1705.5', '12', '2685.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692217', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0.394018', '0', '0.919103', '1705.39', '12', '2730.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692218', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0.995566', '0', '0.0940644', '1688.49', '24.8783', '2742.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692220', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0.980893', '0', '-0.194548', '1679.93', '25', '2743.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692221', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '-0.370921', '0', '0.928665', '1701.11', '24.4713', '2751.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692222', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '-0.419965', '0', '0.90754', '1707.16', '24.8007', '2758.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692223', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '-0.583804', '0', '0.811894', '1711.2', '25', '2765.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692224', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_lattice_s01.iff', '0', '0.804599', '0', '0.593818', '1712.62', '25.5399', '2769.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692225', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s02.iff', '0', '0.710353', '0', '0.703845', '1697.94', '25', '2769.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692226', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s02.iff', '0', '0.710353', '0', '0.703845', '1693.99', '24.8706', '2769.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692227', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_short_s01.iff', '0', '0.00999985', '0', '0.99995', '1695.96', '25.2673', '2769.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692228', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '1654.55', '12', '2668.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692230', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0', '0', '1', '1680.39', '12', '2679.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692232', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '-0.707106', '0', '0.707107', '1676.41', '12', '2675.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692234', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0', '0', '1', '1689.21', '12', '2679.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692235', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0', '0', '1', '1698.21', '12', '2679.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692236', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0.699716', '0', '0.714421', '1703.12', '12', '2663.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692238', '0', 'object/static/structure/naboo/shared_gate_narrow_s01.iff', '0', '0.707107', '0', '0.707107', '1702.99', '12', '2673.52', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692239', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_lattice_s01.iff', '0', '0', '0', '1', '1703.18', '12', '2679.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692331', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.585097', '0', '0.810963', '1915.65', '12', '2386.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692332', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.124675', '0', '0.992198', '1950.54', '11.4398', '2331.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692336', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.124675', '0', '0.992198', '1935.74', '11.54', '2327.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692344', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.0149998', '0', '0.999887', '1893.54', '12', '2389.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692345', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0.174108', '0', '0.984727', '1951.4', '12', '2446.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692346', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.564643', '0', '0.825336', '1997.22', '12', '2481.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692354', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '1970.65', '12', '2515.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692355', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.42594', '0', '0.904752', '1923.33', '12', '2534.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692356', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0.0799144', '0', '0.996802', '1922.45', '12', '2470.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692357', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.26191', '0', '0.965092', '1881.81', '12', '2426.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692358', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.305059', '0', '0.952333', '1860.29', '12', '2457.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692362', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.0898789', '0', '0.995953', '1641.41', '12', '2522.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692365', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '1689.92', '12', '2458.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692366', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0.87959', '0', '-0.475732', '1610.44', '25', '2516.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692371', '0', 'object/building/naboo/shared_parking_garage_naboo_style_1.iff', '0', '0', '0', '1', '1647.42', '12', '2426.15', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692392', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0', '0', '1', '1851.77', '12', '2650.84', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692393', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.932039', '0', '-0.362358', '1852.96', '12', '2652.51', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692394', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.545171', '0', '0.838325', '1849.68', '12', '2650.33', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692395', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.253787', '0', '0.96726', '1851.86', '12', '2648.7', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692396', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0', '0', '1', '1829.44', '12', '2660.5', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692397', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.061554', '0', '0.998104', '1829.17', '12', '2658.6', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692398', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.989621', '0', '0.143704', '1828.98', '12', '2662.54', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692399', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0', '0', '1', '1836.21', '12', '2649.79', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692400', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0.49688', '0', '0.867819', '1833.51', '12', '2643.26', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692401', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.545171', '0', '0.838325', '1834.51', '12', '2648.71', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692402', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.932039', '0', '-0.362358', '1837.79', '12', '2650.89', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692403', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.941345', '0', '0.337447', '1834.82', '12', '2651.29', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692404', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.271547', '0', '0.962425', '1837.37', '12', '2648.23', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692405', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.799579', '0', '0.600561', '1831.42', '12', '2643.48', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692406', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.75128', '0', '-0.659983', '1835.34', '12', '2643.04', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692407', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.409214', '0', '0.912438', '1839.39', '12', '2643.16', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692408', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '-0.276356', '0', '0.961055', '1841.01', '12', '2644.27', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692409', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.364789', '0', '0.93109', '1842.84', '12', '2643.52', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692410', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.996865', '0', '0.0791206', '1840.61', '12', '2646.65', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692414', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '-0.237703', '0', '0.971338', '1829.98', '12', '2650.42', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692415', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.165824', '0', '0.986155', '1829.65', '12', '2648.35', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692416', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.999231', '0', '0.039193', '1830.3', '12', '2652.24', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692417', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0', '0', '1', '1836.68', '12', '2659.08', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692418', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.932039', '0', '-0.362358', '1837.87', '12', '2660.75', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692419', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.545171', '0', '0.838325', '1834.58', '12', '2658.57', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692420', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.253787', '0', '0.96726', '1836.76', '12', '2656.94', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692421', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0.998248', '0', '0.059169', '1844.17', '12', '2652.77', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692422', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.306575', '0', '0.951846', '1843.19', '12', '2650.96', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692423', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.869113', '0', '-0.494613', '1846.19', '12', '2653.52', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692424', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.980582', '0', '-0.19611', '1843.83', '12', '2654.88', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692426', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0', '0', '1', '1849.46', '12', '2659.75', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692427', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.545171', '0', '0.838325', '1847.75', '12', '2658.67', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692428', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.932039', '0', '-0.362358', '1851.04', '12', '2660.85', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692429', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.941345', '0', '0.337447', '1848.06', '12', '2661.25', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692430', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.271547', '0', '0.962425', '1850.61', '12', '2658.2', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692436', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_2.iff', '0', '0', '0', '1', '1832.08', '12', '2655.3', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692438', '0', 'object/static/structure/general/shared_planter_generic_style_4.iff', '0', '0', '0', '1', '1845.21', '12', '2647.49', '93', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692439', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '1829.18', '12', '2642.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692452', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_short_s01.iff', '0', '0.692537', '0', '0.721382', '1585.44', '25.2109', '2834.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692453', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s02.iff', '0', '0.999667', '0', '0.0257938', '1585.2', '24.8142', '2836.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692454', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s02.iff', '0', '0.999667', '0', '0.0257938', '1585.44', '24.9436', '2832.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692455', '0', 'object/static/structure/naboo/shared_bridge_stairs_s01.iff', '0', '-0.0303731', '0', '0.999539', '1591.98', '32.5409', '2834.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692456', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '-0.0302701', '0', '0.999542', '1584.57', '25.3092', '2834.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692457', '0', 'object/static/structure/naboo/shared_bridge_stairs_s01.iff', '0', '-0.0303937', '0', '0.999538', '1581.28', '25.1302', '2833.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692458', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '-0.030376', '0', '0.999539', '1595.55', '32.6271', '2834.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692459', '0', 'object/building/naboo/shared_shuttleport_naboo.iff', '0', '-0.699717', '0', '0.71442', '1567.94', '25', '2857.87', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692465', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0', '0', '1', '1671.27', '40', '2958.97', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692466', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0.285952', '0', '0.958244', '1674.29', '40', '2947.35', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692467', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.545171', '0', '0.838325', '1669.57', '40', '2957.89', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692468', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.932039', '0', '-0.362358', '1672.85', '40', '2960.08', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692469', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.941345', '0', '0.337447', '1669.88', '40', '2960.48', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692470', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.271547', '0', '0.962425', '1672.43', '40', '2957.42', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692471', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.641609', '0', '0.767031', '1672.32', '40', '2946.63', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692472', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.881957', '0', '-0.471329', '1676.03', '40', '2947.97', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692473', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0', '0', '1', '1680.17', '40', '2961.66', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692474', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.932039', '0', '-0.362358', '1681.36', '40', '2963.34', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692475', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.545171', '0', '0.838325', '1678.08', '40', '2961.15', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692476', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.253787', '0', '0.96726', '1680.26', '40', '2959.53', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692477', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0.17903', '0', '0.983844', '1669.42', '40', '2944.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692478', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '-0.666869', '0', '0.745175', '1679.39', '40', '2953.29', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692479', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.936177', '0', '0.351529', '1677.86', '40', '2954.66', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692480', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.152806', '0', '0.988256', '1679.67', '40', '2951.16', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692481', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.455921', '0', '0.89002', '1681.52', '40', '2953.15', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692482', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0', '0', '1', '1657.42', '40', '2955.22', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692483', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.932039', '0', '-0.362358', '1658.61', '40', '2956.9', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692484', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.545171', '0', '0.838325', '1655.33', '40', '2954.71', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692485', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.253787', '0', '0.96726', '1657.51', '40', '2953.09', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692486', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0.747971', '0', '0.663732', '1662.26', '40', '2965.36', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692487', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.949486', '0', '0.313809', '1660.74', '40', '2966.8', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692488', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.501211', '0', '0.865325', '1663.59', '40', '2964.08', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692489', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0.17903', '0', '0.983844', '1678.25', '40', '2967.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692490', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0.17903', '0', '0.983844', '1639.79', '40', '2938.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692491', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.00499948', '0', '0.999987', '1552.56', '25', '2841.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692496', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_sml_s03.iff', '0', '0.707105', '0', '0.707109', '1881', '10.9876', '2609', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692497', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0', '0', '1', '1881', '12', '2608', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692498', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0', '0', '1', '1881', '12', '2620', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692499', '0', 'object/building/naboo/shared_filler_building_naboo_style_9.iff', '0', '0.707107', '0', '0.707107', '-5527.45', '-150', '11.6722', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692500', '0', 'object/static/structure/naboo/shared_arbor_short_s01.iff', '0', '0.707107', '0', '0.707107', '-5501.45', '-150.368', '11.6722', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692501', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_lattice_s01.iff', '0', '0.707108', '0', '-0.707106', '-5503.45', '-150', '21.1722', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692502', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_lattice_s01.iff', '0', '0.707108', '0', '-0.707106', '-5503.45', '-150', '17.1718', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692503', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_short_s01.iff', '0', '0.707108', '0', '-0.707106', '-5503.45', '-150', '19.1719', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692504', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0', '0', '1', '-5508.35', '-150', '21.1632', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692505', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '-0.382684', '0', '0.923879', '-5515.45', '-150', '18.172', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692506', '0', 'object/static/structure/naboo/shared_arbor_short_s02.iff', '0', '0.707108', '0', '-0.707106', '-5510.45', '-150.368', '11.6718', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692507', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_lattice_s01.iff', '0', '0.707108', '0', '-0.707106', '-5503.45', '-150', '6.17196', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692508', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_short_s01.iff', '0', '0.707108', '0', '-0.707106', '-5503.45', '-150', '4.17183', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692509', '0', 'object/static/structure/naboo/shared_arbor_short_s01.iff', '0', '0.707108', '0', '-0.707106', '-5515.95', '-150.368', '11.6717', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692510', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_lattice_s01.iff', '0', '0.923879', '0', '0.382684', '-5519.45', '-150', '8.17175', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692511', '0', 'object/static/structure/naboo/shared_arbor_short_s01.iff', '0', '-0.707103', '0', '0.70711', '-5507.45', '-150.368', '11.6722', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692512', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0', '0', '1', '-5508.35', '-150', '2.17079', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692513', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0.382684', '0', '0.923879', '-5515.45', '-150', '5.17201', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692514', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_lattice_s01.iff', '0', '0.382684', '0', '0.923879', '-5519.45', '-150', '15.1717', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692515', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_lattice_s01.iff', '0', '0.707108', '0', '-0.707106', '-5503.45', '-149.113', '2.17214', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692516', '0', 'object/static/structure/naboo/shared_arbor_short_s01.iff', '0', '0.707107', '0', '0.707107', '-5510.45', '-150.368', '11.6718', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692517', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_lattice_s01.iff', '0', '-0.382684', '0', '0.923879', '-5501.35', '-150', '8.91869', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692518', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_short_s01.iff', '0', '0.382682', '0', '0.92388', '-5502.69', '-150', '15.8968', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692519', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_short_s01.iff', '0', '0.923879', '0', '0.382684', '-5502.52', '-150', '7.74507', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692520', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_lattice_s01.iff', '0', '0.382682', '0', '0.92388', '-5501.45', '-150', '14.6718', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692521', '0', 'object/static/structure/general/shared_planter_generic_style_3.iff', '0', '-0.333487', '0', '0.942755', '1884.16', '12', '2614.22', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692522', '0', 'object/static/structure/general/shared_planter_generic_style_2.iff', '0', '-0.324043', '0', '0.946042', '1880.53', '12', '2623.11', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692523', '0', 'object/static/structure/general/shared_planter_generic_style_1.iff', '0', '0', '0', '1', '1880.85', '12', '2605.07', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692527', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s02.iff', '0', '0', '0', '1', '-5483.2', '-150', '21.4988', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692529', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '0', '0', '1', '1879.64', '12', '2614.15', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692530', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '0.707105', '0', '0.707108', '1787.4', '12', '2524.4', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692531', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_sml_s03.iff', '0', '1', '0', '1.84354e-06', '1782.25', '12', '2523.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692532', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0.707105', '0', '0.707109', '1781.25', '12', '2523.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692533', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0.707105', '0', '0.707109', '1793.25', '12', '2523.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692536', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '-5501.81', '-150', '5.44775', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692537', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '-5502.14', '-150', '-4.67601', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692538', '0', 'object/static/structure/naboo/shared_gate_narrow_s01.iff', '0', '1', '0', '-3.20013e-08', '-5497.32', '-150', '-36.2721', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692539', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '-5502.34', '-150', '-36.2853', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692540', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '1', '0', '-3.20013e-08', '-5492.26', '-150', '-36.2195', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692543', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.707104', '0', '0.707109', '-5482.7', '-149.959', '21.5004', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692546', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.382683', '0', '0.92388', '-5465.14', '-149.999', '5.73682', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692547', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.129634', '0', '0.991562', '-5464.07', '-150', '3.46371', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692548', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.707104', '0', '0.707109', '-5462.31', '-150', '-5.06483', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692549', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s02.iff', '0', '0.609476', '0', '0.792804', '-5461.99', '-150', '-4.93066', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692551', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s02.iff', '0', '0.707107', '0', '-0.707107', '4736.18', '330', '-1364.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692558', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_sml_s03.iff', '0', '0.758102', '0', '-0.652136', '4742.28', '329.734', '-1411.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692559', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s02.iff', '0', '0.992198', '0', '0.124675', '4742.03', '329.734', '-1410.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692561', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s02.iff', '0', '0.9992', '0', '0.0399894', '4743.91', '329.74', '-1422.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692565', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_sml_s03.iff', '0', '0.758102', '0', '-0.652136', '4731.95', '330.096', '-1413.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692566', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s02.iff', '0', '0.996802', '0', '0.079915', '4731.83', '330.096', '-1412.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692568', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s02.iff', '0', '0.9992', '0', '0.0399889', '4733.57', '330.102', '-1424.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692573', '0', 'object/static/structure/naboo/shared_gate_narrow_s02.iff', '0', '0.996457', '0', '0.0841041', '4736.92', '329.767', '-1411.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692614', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_large_s01.iff', '0', '0.999983', '0', '-0.00579631', '4746.47', '330', '-1344.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692615', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_small_s01.iff', '0', '-0.702996', '0', '0.711194', '4750.42', '330', '-1348.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692616', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s02.iff', '0', '-0.609476', '0', '0.792804', '4738.16', '330', '-1353.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692617', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_sml_s03.iff', '0', '-0.640693', '0', '0.767798', '4737.99', '330', '-1353.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692618', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s02.iff', '0', '0.764586', '0', '-0.644522', '4750.58', '330', '-1349.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692619', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_sml_s03.iff', '0', '0.764586', '0', '-0.644522', '4750.75', '330', '-1350.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692620', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0', '0', '1', '4746.98', '330', '-1344.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692621', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s02.iff', '0', '0.99639', '0', '0.0848983', '4752.69', '329.989', '-1361.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692622', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s02.iff', '0', '-0.692826', '0', '0.721105', '4763.56', '329.8', '-1341.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692623', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_sml_s03.iff', '0', '-0.692826', '0', '0.721105', '4763.52', '329.8', '-1342.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692624', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s02.iff', '0', '0.9998', '0', '-0.0199984', '4763.18', '329.8', '-1353.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692638', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s02.iff', '0', '-0.632983', '0', '0.774166', '4794.09', '329.871', '-1266.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692639', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_sml_s03.iff', '0.0189866', '-0.632698', '-0.0232215', '0.773817', '4796.26', '329.366', '-1256.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692640', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s02.iff', '0', '-0.632983', '0', '0.774166', '4796.38', '329.87', '-1255.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692641', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_sml_s03.iff', '0', '0.993913', '0', '-0.110173', '4785.69', '330', '-1252.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692642', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s02.iff', '0', '0.993913', '0', '-0.110173', '4784.71', '330', '-1252.66', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692663', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_sml_s03.iff', '-0.125667', '0.946638', '0.0376735', '-0.29439', '4609.09', '325.052', '-1322.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692664', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s02.iff', '0.00508014', '0.954222', '0.0041062', '-0.299026', '4608.42', '324.912', '-1322.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692667', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s02.iff', '-0.0201111', '0.957924', '0.00796046', '-0.286205', '4617.37', '328.111', '-1328.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692672', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s02.iff', '0.0401628', '0.307202', '0.123256', '0.942773', '4609.89', '324.433', '-1336.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692673', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.309816', '0', '0.950796', '4601.17', '321.453', '-1330.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692675', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.309816', '0', '0.950796', '4609.32', '323.979', '-1336.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692678', '0', 'object/static/structure/naboo/shared_gate_narrow_s02.iff', '0', '-0.416871', '0', '0.908966', '4613.42', '327.886', '-1332.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1692679', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_lg_s02.iff', '0', '0.886627', '0', '0.462486', '4620.65', '327.387', '-1324.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1695351', '0', 'object/building/naboo/shared_bank_naboo.iff', '0', '-0.419322', '0', '0.907837', '-5131.21', '6', '4159.88', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1696443', '0', 'object/building/naboo/shared_ply_nboo_house_s_s02_fp1.iff', '0', '-0.707106', '0', '0.707107', '2912.27', '101.196', '1105.67', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1696444', '1696443', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1696445', '1696443', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1696446', '1696443', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '625317', '1696446', 'object/tangible/container/loot/shared_placable_loot_crate_trashpile.iff', '0', '0', '0', '1', '6.84427', '0.7', '-6.54045', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705429', '1696446', 'object/static/item/shared_item_chair_futon_s1.iff', '-0.00768845', '-0.090323', '0.810063', '-0.579293', '6.36919', '1.84552', '-0.836855', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705430', '1696446', 'object/static/item/shared_item_chair_recliner_s1.iff', '-0.657836', '0.0860036', '0.0969969', '0.741921', '7.19867', '1.12497', '-2.02582', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705433', '1696446', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '0', '1', '-3.20013e-08', '4.80046', '1.55594', '-1.39227', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705434', '1696446', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0.000118978', '0.129138', '0.515843', '0.846894', '7.26316', '1.00181', '-3.34495', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705435', '1696446', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0', '-0.531186', '0', '0.847255', '6.67588', '0.415395', '-4.33917', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705440', '1696446', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.852108', '0', '0.523366', '3.34949', '0.7', '-2.89415', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705445', '1696446', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '0', '0', '1', '4.46022', '0.7', '-2.62006', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705446', '1696446', 'object/static/item/shared_wp_mle_lance_vibrolance.iff', '0.112655', '0.112655', '0.698075', '0.698075', '4.47432', '1.33708', '-2.86703', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705447', '1696446', 'object/static/item/shared_wp_pistol_srcombat_combined.iff', '0.381578', '0.381577', '0.595314', '0.595314', '4.51714', '1.35906', '-2.49968', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705449', '1696446', 'object/static/item/shared_item_shisha.iff', '0', '0.827702', '0', '-0.561168', '4.19439', '1.30083', '-2.39127', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1696447', '1696443', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705454', '1696447', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0.707107', '0', '0.707107', '-4.73397', '1.52219', '3.75205', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705457', '1696447', 'object/tangible/furniture/all/shared_frn_all_couch_love_seat_s2.iff', '0', '1', '0', '-3.20013e-08', '-4.49558', '0.7', '2.10876', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705460', '1696447', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '0', '0', '1', '-4.33335', '0.7', '3.77838', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705461', '1696447', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '-0.366273', '0', '0.930508', '-6.83598', '0.7', '3.79922', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705463', '1696447', 'object/static/structure/general/shared_droid_r2_powerdown.iff', '0', '0.886627', '0', '0.462485', '-6.32471', '0.723866', '3.2493', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705464', '1696447', 'object/static/item/shared_item_chair_modern_loveseat_s01.iff', '0.425561', '0.56471', '0.56471', '-0.425561', '-7.00147', '1.15798', '-3.99563', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705465', '1696447', 'object/tangible/furniture/elegant/shared_cabinet_s01.iff', '0', '0', '0', '1', '-6.80282', '0.7', '-5.16091', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705467', '1696447', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '-3.11377', '0.7', '2.09442', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705469', '1696447', 'object/tangible/furniture/elegant/shared_cabinet_s01.iff', '0', '0', '-0.707106', '0.707107', '-6.38887', '1.03867', '-5.18494', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705470', '1696447', 'object/static/item/shared_item_diagnostic_screen.iff', '0.579417', '0.405309', '0.405309', '-0.579417', '-5.39085', '1.47601', '-5.07632', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705477', '1696447', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '-3.24099', '1.07947', '2.2372', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705479', '1696447', 'object/static/item/shared_item_axe.iff', '0.297982', '0.297982', '0.641254', '0.641254', '-1.94103', '0.712682', '2.58334', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705480', '1696447', 'object/static/item/shared_wp_mle_2h_sword_s03.iff', '0.680614', '0.680614', '-0.191742', '-0.191741', '-1.74582', '0.707291', '3.42533', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705481', '1696447', 'object/static/item/shared_item_vibroaxe.iff', '-0.434676', '-0.43417', '0.561437', '0.554384', '-1.49691', '0.745003', '2.94651', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705484', '1696447', 'object/static/item/shared_item_ammo_rocket.iff', '0', '0.813416', '0', '0.581683', '-3.24458', '1.1111', '1.96276', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705485', '1696447', 'object/static/item/shared_item_ammo_rocket.iff', '0', '0.849481', '0', '0.52762', '-3.15014', '1.1111', '1.97368', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705486', '1696447', 'object/static/item/shared_item_fruit_melon.iff', '-0.288047', '-0.0244851', '0.699288', '0.653778', '-3.00643', '0.789245', '1.61031', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705487', '1696447', 'object/static/item/shared_item_fruit_melon.iff', '0', '0', '0', '1', '-2.95927', '1.07947', '2.08077', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705488', '1696447', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0', '0', '1', '-6.97984', '0.7', '-1.96374', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705489', '1696447', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '-6.27458', '0.7', '-3.54203', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705490', '1696447', 'object/static/item/shared_item_container_energy_liquid.iff', '0.171513', '0.171513', '0.685991', '0.685991', '-5.69401', '0.821998', '-4.18118', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705501', '1696447', 'object/static/item/shared_item_jar_spice_red.iff', '0', '0.780209', '0', '0.625519', '-6.78653', '1.58544', '-2.1713', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705503', '1696447', 'object/static/item/shared_item_con_tato_bowl_full_s01.iff', '0', '0', '0', '1', '-6.89693', '1.55381', '-1.5773', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '3815388', '1696447', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_neutral_destroy_01.iff', '0', '0', '0', '1', '-6.93932', '0.7', '1.90404', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '8825382', '1696447', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0.707107', '0', '0.707107', '-7.08484', '0.7', '-0.114647', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1696448', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s02.iff', '0', '1', '0', '-3.20013e-08', '2935.81', '94.0037', '1119.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1696449', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s01.iff', '0', '0', '0', '1', '2935.82', '94.0052', '1106.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1696450', '0', 'object/static/structure/naboo/shared_gungan_damaged_wall_lg_s01.iff', '0', '0', '0', '1', '2935.71', '94.0038', '1127.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1696451', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0', '0', '1', '2935.7', '94.0039', '1123.34', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1696452', '0', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff', '-0.109174', '-0.0115056', '-0.104174', '0.988482', '2931.72', '87.2944', '1116.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1696453', '0', 'object/static/structure/naboo/shared_poi_nboo_tent_large.iff', '0', '0', '0', '1', '2926.18', '94.0001', '1107.74', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1696454', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0.778484', '0', '0.627665', '2919.87', '95.52', '1115.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1696455', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '-0.0898786', '0', '0.995953', '2919.09', '95.52', '1115.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1696457', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '2919.61', '95.5185', '1114.57', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1697350', '0', 'object/building/naboo/shared_cloning_facility_naboo.iff', '0', '-0.419322', '0', '0.907837', '-4875.36', '6', '4029.96', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1697351', '1697350', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1697352', '1697350', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1697353', '1697350', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1697354', '1697350', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1697355', '1697350', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1697356', '1697350', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1697357', '0', 'object/building/naboo/shared_shuttleport_naboo.iff', '0', '-0.419322', '0', '0.907837', '-4989.61', '6', '4090.93', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1697358', '0', 'object/building/naboo/shared_hospital_naboo.iff', '0', '0.345432', '0', '0.938444', '-5017.76', '6', '4162.44', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1697359', '1697358', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1697360', '1697358', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '7935458', '1697360', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '17.946', '0.26', '-0.833194', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1697361', '1697358', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1697362', '1697358', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1697363', '1697358', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1697364', '1697358', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '7935459', '1697364', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '-18.9198', '0.26', '-0.555158', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1697365', '1697358', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1697366', '1697358', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1697367', '1697358', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1697368', '1697358', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1697369', '1697358', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1697370', '1697358', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1697371', '1697358', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1697372', '1697358', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1697373', '0', 'object/building/naboo/shared_hotel_naboo_theed.iff', '0', '0.938444', '0', '-0.345432', '-5063.83', '6', '4101.58', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1697374', '1697373', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1697375', '1697373', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1697376', '1697373', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1697377', '1697373', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143412', '1697377', 'object/tangible/gambling/slot/shared_standard.iff', '0', '-0.00230194', '0', '0.999997', '4.4367', '1.28237', '-22.0512', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143413', '1697377', 'object/tangible/gambling/slot/shared_standard.iff', '0', '-0.00230194', '0', '0.999997', '0.363326', '1.28147', '-22.0086', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143414', '1697377', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '-0.00230194', '0', '0.999997', '-1.11644', '1.09166', '-16.1482', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143415', '1697377', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '-0.00230194', '0', '0.999997', '9.52828', '1.09262', '-16.1587', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143416', '1697377', 'object/tangible/gambling/slot/shared_standard.iff', '0', '-0.00230194', '0', '0.999997', '8.47866', '1.28237', '-22.1551', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1697378', '1697373', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '7995379', '1697378', 'object/soundobject/shared_soundobject_cantina_large.iff', '0', '0', '0', '1', '20.6873', '1.28309', '1.32568', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1697379', '1697373', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143406', '1697379', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '-0.00730187', '0', '0.999973', '-15.9844', '1.001', '-0.0915423', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143407', '1697379', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '-0.00730187', '0', '0.999973', '-16.0344', '1.00102', '4.27795', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143408', '1697379', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.712253', '0', '-0.701924', '-12.3978', '1.00083', '-0.0632983', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143409', '1697379', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.701924', '0', '0.712252', '-12.1947', '1.00068', '-0.0805882', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143410', '1697379', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.710913', '0', '0.70328', '-12.121', '1.00094', '4.22657', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143411', '1697379', 'object/tangible/gambling/slot/shared_standard.iff', '0', '-0.703288', '0', '0.710906', '-12.3225', '1.00079', '4.2497', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1697380', '1697373', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1697381', '1697373', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1697382', '1697373', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1697383', '1697373', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1697385', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_01.iff', '0', '0.907837', '0', '0.419322', '-5143.12', '6', '4240.4', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1697387', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_02.iff', '0', '-0.419322', '0', '0.907837', '-4960.59', '6', '4129.64', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1697390', '0', 'object/building/naboo/shared_filler_nboo_bldg_64x32_s02.iff', '0', '-0.419322', '0', '0.907837', '-5172.23', '6', '4195.05', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1697399', '0', 'object/building/naboo/shared_filler_building_naboo_style_5.iff', '0', '0.345432', '0', '0.938444', '-5096.71', '6', '4130.04', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1697417', '0', 'object/building/naboo/shared_filler_nboo_bldg_64x32_s02.iff', '0', '-0.468594', '0', '0.883413', '-4635.38', '6', '4110.54', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1697420', '0', 'object/building/naboo/shared_filler_nboo_bldg_64x32_style_01.iff', '0', '-0.468596', '0', '0.883413', '-4593.9', '6', '4082.84', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1697423', '0', 'object/building/naboo/shared_filler_building_naboo_style_5.iff', '0', '0.293321', '0', '0.956014', '-4637.66', '6', '4053.24', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1697424', '0', 'object/building/naboo/shared_filler_building_naboo_style_10.iff', '0', '0.883413', '0', '0.468594', '-4677.3', '6', '4035.37', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1697427', '0', 'object/building/naboo/shared_filler_building_naboo_style_9.iff', '0', '0.862404', '0', '-0.50622', '-4586.55', '6', '4134.57', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1697428', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_01.iff', '0', '0.956014', '0', '-0.293321', '-4638.14', '6', '3967.74', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1697430', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_02.iff', '0', '0.883413', '0', '0.468594', '-4659.04', '6', '4002.9', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1697433', '0', 'object/building/naboo/shared_filler_building_naboo_style_3.iff', '0', '0.955897', '0', '-0.293702', '-4615.38', '6', '4014.49', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1697434', '0', 'object/building/naboo/shared_filler_nboo_bldg_64x32_s02.iff', '0', '0.883414', '0', '0.468594', '-4673.46', '6', '3933.45', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1697437', '0', 'object/building/naboo/shared_filler_nboo_bldg_64x32_style_01.iff', '0', '0.883412', '0', '0.468596', '-4705.29', '6', '3984.48', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1697440', '0', 'object/building/naboo/shared_filler_building_naboo_style_5.iff', '0', '0.907837', '0', '0.419323', '-4849.23', '6', '4071.7', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1697444', '0', 'object/building/naboo/shared_filler_nboo_bldg_64x32_style_01.iff', '0', '0.340735', '0', '0.940159', '-4932.88', '6', '3999.79', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714352', '0', 'object/static/structure/naboo/shared_bridge_stairs_s01.iff', '0', '-0.380188', '0', '0.924909', '-5257.75', '6', '3673.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714353', '0', 'object/static/structure/naboo/shared_bridge_stairs_s01.iff', '0', '0.924909', '0', '0.380188', '-5159.29', '6', '3771.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714354', '0', 'object/static/structure/naboo/shared_enclosed_walkway_s02.iff', '0', '-0.380188', '0', '0.924909', '-5167.82', '6', '3762.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714355', '0', 'object/static/structure/naboo/shared_enclosed_walkway_s02.iff', '0', '-0.380188', '0', '0.924909', '-5202.65', '6', '3728.34', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714356', '0', 'object/static/structure/naboo/shared_enclosed_walkway_s02.iff', '0', '-0.380188', '0', '0.924909', '-5214.38', '6', '3716.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714357', '0', 'object/static/structure/naboo/shared_enclosed_walkway_s02.iff', '0', '-0.380188', '0', '0.924909', '-5191.28', '6', '3739.59', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714358', '0', 'object/static/structure/naboo/shared_enclosed_walkway_s02.iff', '0', '-0.380188', '0', '0.924909', '-5237.85', '6', '3693.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714359', '0', 'object/static/structure/naboo/shared_enclosed_walkway_s02.iff', '0', '-0.380188', '0', '0.924909', '-5179.55', '6', '3751.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714360', '0', 'object/static/structure/naboo/shared_enclosed_walkway_s02.iff', '0', '-0.380188', '0', '0.924909', '-5249.22', '6', '3682.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714361', '0', 'object/static/structure/naboo/shared_enclosed_walkway_s02.iff', '0', '-0.380188', '0', '0.924909', '-5226.12', '6', '3705.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714366', '0', 'object/building/naboo/shared_filler_building_naboo_style_5.iff', '0', '-0.419323', '0', '0.907837', '-4947.52', '6', '4164.52', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714399', '0', 'object/static/structure/naboo/shared_gate_narrow_s01.iff', '0', '-0.419322', '0', '0.907837', '-5152.13', '6', '4223.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714425', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_lg_s02.iff', '0', '0.907837', '0', '0.419322', '-5067.36', '6', '4142.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714426', '0', 'object/static/structure/naboo/shared_gate_wide_s01.iff', '0', '-0.419322', '0', '0.907837', '-5061.86', '6', '4149.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714427', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_lg_s02.iff', '0', '-0.419322', '0', '0.907837', '-5056.36', '6', '4155.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714428', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_lg_s02.iff', '0', '-0.419322', '0', '0.907837', '-5011.67', '6', '4117.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714429', '0', 'object/static/structure/naboo/shared_gate_wide_s01.iff', '0', '0.907838', '0', '0.419322', '-5017.18', '6', '4111.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714430', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_lg_s02.iff', '0', '0.907838', '0', '0.419322', '-5022.68', '6', '4104.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714527', '0', 'object/static/structure/general/shared_planter_generic_style_4.iff', '0', '0.908633', '0', '0.417595', '-4894.87', '6', '4011.84', '93', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714529', '0', 'object/static/structure/general/shared_planter_generic_style_1.iff', '0', '0.733466', '0', '-0.679726', '-4943.37', '6', '4223.82', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714532', '0', 'object/static/structure/general/shared_planter_generic_style_1.iff', '0', '0.273079', '0', '0.961991', '-4883.79', '13.9517', '4190.11', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714592', '0', 'object/static/structure/general/shared_planter_generic_style_1.iff', '0', '0', '0', '1', '-4911.78', '6', '4024.68', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714602', '0', 'object/static/structure/general/shared_planter_generic_style_1.iff', '0', '0.999942', '0', '-0.010796', '-4922.7', '6', '3957.58', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714607', '0', 'object/static/structure/general/shared_planter_generic_style_4.iff', '0', '0.670587', '0', '0.741831', '-4832.33', '6', '4057.43', '93', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714608', '0', 'object/static/structure/general/shared_planter_generic_style_1.iff', '0', '-0.266731', '0', '0.963771', '-4826.65', '6', '4070.92', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714610', '0', 'object/static/structure/general/shared_planter_generic_style_2.iff', '0', '0.889657', '0', '0.456631', '-4952.45', '6', '3979.47', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714612', '0', 'object/static/structure/general/shared_planter_generic_style_1.iff', '0', '-0.01', '0', '0.99995', '-4820.12', '6', '4092.41', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714614', '0', 'object/static/structure/general/shared_planter_generic_style_2.iff', '0', '1', '0', '-0.000796419', '-4812.15', '6', '4085.33', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714633', '0', 'object/static/structure/general/shared_planter_generic_style_1.iff', '0', '0.999991', '0', '0.00420379', '-4828.6', '13.9768', '4144.05', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714635', '0', 'object/static/structure/general/shared_planter_generic_style_1.iff', '0', '0.928369', '0', '-0.37166', '-4816.18', '6', '4073.85', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714636', '0', 'object/static/structure/general/shared_planter_generic_style_1.iff', '0', '0.86321', '0', '0.504847', '-4833', '6', '4078.52', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714643', '0', 'object/static/structure/naboo/shared_fountain_naboo_style_1.iff', '0', '0.352274', '0', '0.935897', '-4915.45', '6', '4093.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714650', '0', 'object/building/naboo/shared_housing_naboo_style_3.iff', '0', '0', '0', '1', '-5491.07', '-150', '-79.6201', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714691', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_01.iff', '0', '0.724565', '0', '-0.689207', '4722.48', '330', '-1431.86', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714694', '0', 'object/static/structure/naboo/shared_garden_gazebo_lg_s01.iff', '0', '0', '0', '1', '4708.33', '329.902', '-1453.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714700', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_1.iff', '0', '0', '0', '1', '4700.96', '330', '-1449.04', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714701', '0', 'object/static/structure/general/shared_planter_generic_style_4.iff', '0', '0.693683', '0', '0.720281', '4709.56', '330', '-1444.17', '93', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714702', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0.034993', '0', '0.999388', '4726.36', '301.068', '-1531.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714703', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.439462', '0', '0.898261', '4588.8', '321.177', '-1308.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714704', '0', 'object/static/structure/naboo/shared_nboo_imprv_tall_curved_wall_large_s01.iff', '0', '0', '0', '1', '4739.61', '330', '-1329.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714705', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '4738.61', '330', '-1329.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714706', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '4747.61', '330', '-1320.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714708', '0', 'object/static/structure/naboo/shared_nboo_imprv_tall_curved_wall_large_s01.iff', '0', '0.707107', '0', '0.707107', '4715', '330', '-1321.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714709', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.707107', '0', '0.707107', '4715', '330', '-1320.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714710', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.707107', '0', '0.707107', '4724', '330', '-1329.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714712', '0', 'object/static/structure/naboo/shared_nboo_imprv_tall_curved_wall_large_s01.iff', '0', '0.380188', '0', '0.924909', '4725', '330.796', '-1338.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714713', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.380188', '0', '0.924909', '4724.29', '330', '-1337.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714714', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.380188', '0', '0.924909', '4737.01', '330', '-1337.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714715', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_sml_s03.iff', '0', '0.707105', '0', '0.707109', '4714.95', '330', '-1319.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714716', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_sml_s03.iff', '0', '0.707107', '0', '0.707107', '4747.67', '330', '-1319.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714718', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '4747.51', '330', '-1309.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714719', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.707107', '0', '0.707107', '4714.9', '330', '-1309.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714723', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_2.iff', '0', '0.773915', '0', '-0.63329', '4714.21', '330', '-1415.09', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714727', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_02.iff', '0', '-0.703566', '0', '0.71063', '4988.7', '360', '-1430.8', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714730', '0', 'object/building/naboo/shared_filler_building_naboo_style_4.iff', '0', '-0.707103', '0', '0.70711', '-5466.03', '-150', '-50.6454', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714732', '0', 'object/building/naboo/shared_filler_building_naboo_style_4.iff', '0', '0.707107', '0', '-0.707107', '-5466.03', '-150', '-71.719', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714744', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.695846', '0', '0.718191', '5015.68', '360.126', '-1415.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714760', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0.119712', '0', '0.992809', '5179.69', '318.862', '-1550.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714761', '0', 'object/static/structure/naboo/shared_elevated_walkway_s03.iff', '0', '0.992809', '0', '-0.119712', '5289.75', '318.885', '-1577.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714762', '0', 'object/static/structure/naboo/shared_elevated_walkway_s03.iff', '0', '0.992809', '0', '-0.119712', '5227.57', '318.885', '-1562.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714763', '0', 'object/static/structure/naboo/shared_elevated_walkway_s03.iff', '0', '0.992809', '0', '-0.119712', '5258.66', '318.885', '-1570.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714764', '0', 'object/static/structure/naboo/shared_elevated_walkway_s03.iff', '0', '0.992809', '0', '-0.119712', '5195.74', '318.885', '-1554.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714769', '0', 'object/building/naboo/shared_filler_building_naboo_style_10.iff', '0', '0.710921', '0', '0.703272', '-5377.69', '6', '4258.03', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714772', '0', 'object/building/naboo/shared_filler_building_naboo_style_4.iff', '0', '-0.00579694', '0', '0.999983', '-5372.23', '6', '4299.74', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714781', '0', 'object/building/naboo/shared_housing_naboo_style_1.iff', '0', '0.0104032', '0', '0.999946', '4873.68', '360', '-1363.51', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714782', '1714781', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714783', '1714781', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714784', '1714781', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714785', '1714781', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714786', '1714781', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714787', '1714781', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714788', '1714781', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714798', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_large_s01.iff', '0', '0.707107', '0', '-0.707106', '-5440.24', '6', '4135.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714799', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_large_s01.iff', '0', '1', '0', '-3.1219e-08', '-5465.3', '6', '4143.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714818', '0', 'object/static/structure/general/shared_planter_generic_style_4.iff', '0', '0', '0', '1', '5154.51', '346.5', '-1540.17', '93', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714819', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s01.iff', '0', '-0.0549723', '0', '0.998488', '5157.47', '346.018', '-1543.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714820', '0', 'object/static/structure/naboo/shared_arbor_short_s01.iff', '0', '0.992198', '0', '-0.124675', '5180.21', '345.845', '-1490.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714821', '0', 'object/static/structure/naboo/shared_arbor_long_s01.iff', '-0.0044806', '0.492164', '-0.00893985', '0.870445', '5169.31', '346.063', '-1483.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714822', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_wall_ornate_small_s01.iff', '0', '0.990104', '0', '-0.140332', '5173.91', '346.5', '-1480.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714823', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s07.iff', '0', '0.149439', '0', '0.988771', '5173.69', '346.721', '-1480.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714824', '0', 'object/static/structure/naboo/shared_arbor_corner_45_s01.iff', '0', '0.792805', '0', '0.609475', '5171.58', '346.024', '-1482.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714825', '0', 'object/static/structure/naboo/shared_arbor_long_s02.iff', '0', '-0.613117', '0', '0.789992', '5171.49', '345.994', '-1482.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714826', '0', 'object/static/structure/naboo/shared_arbor_pillar_s01.iff', '0', '0.139543', '0', '0.990216', '5161.23', '346.026', '-1489.34', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714827', '0', 'object/static/structure/naboo/shared_arbor_long_s01.iff', '0', '0.991458', '0', '-0.130424', '5158.9', '346.026', '-1498.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714828', '0', 'object/static/structure/naboo/shared_arbor_corner_45_s01.iff', '0', '0.484155', '0', '0.874982', '5162.38', '346.026', '-1487.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714829', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s07.iff', '0', '0.15438', '0', '0.988012', '5173.71', '346.658', '-1494.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714830', '0', 'object/static/structure/general/shared_planter_generic_style_4.iff', '0', '-0.109778', '0', '0.993956', '5169.78', '346.5', '-1495.46', '93', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714832', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.266732', '0', '0.963771', '5119.2', '350', '-1535.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714833', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '-0.0499792', '0', '0.99875', '4862.23', '360', '-1387.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714834', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '-0.049979', '0', '0.99875', '4858.76', '360', '-1384.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714835', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '-0.049979', '0', '0.99875', '4840.59', '360', '-1386.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714836', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '-0.049979', '0', '0.99875', '4835.68', '360.015', '-1390.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714837', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '-0.049979', '0', '0.99875', '4832.89', '360', '-1375.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714838', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '-0.049979', '0', '0.99875', '4825.29', '360', '-1383.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714839', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s02.iff', '0', '0.059964', '0', '0.998201', '4798.6', '335.14', '-1484.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714840', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.0749296', '0', '0.997189', '4788.63', '335.176', '-1483.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714841', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '4983.96', '360', '-1481.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1714857', '0', 'object/building/naboo/shared_filler_building_naboo_style_6.iff', '0', '0.717079', '0', '0.696992', '4693.79', '330', '-1331.64', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716852', '0', 'object/static/structure/naboo/shared_archway_wide_s02.iff', '0', '0.15438', '0', '0.988011', '5131.55', '350', '-1473.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716854', '0', 'object/static/structure/naboo/shared_archway_narrow_s01.iff', '0', '0.15438', '0', '0.988011', '5120.12', '350', '-1470.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716855', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.15438', '0', '0.988011', '5122.98', '350', '-1471.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716856', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.15438', '0', '0.988011', '5117.27', '350', '-1469.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716857', '0', 'object/static/structure/naboo/shared_archway_narrow_s01.iff', '0', '0.15438', '0', '0.988011', '5142.98', '350', '-1477.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716858', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.15438', '0', '0.988011', '5145.84', '350', '-1478.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716859', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.15438', '0', '0.988011', '5140.12', '350', '-1476.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716860', '0', 'object/static/structure/naboo/shared_archway_wide_s02.iff', '0', '0.807792', '0', '0.589467', '5120.01', '350', '-1460.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716861', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.15438', '0', '0.988011', '5122.76', '350', '-1452.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716862', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.589465', '0', '0.807794', '5124.59', '350', '-1446.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716863', '0', 'object/static/structure/naboo/shared_archway_narrow_s01.iff', '0', '-0.589465', '0', '0.807794', '5123.67', '350', '-1449.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716864', '0', 'object/static/structure/naboo/shared_archway_wide_s02.iff', '0', '-0.589465', '0', '0.807794', '5148.58', '350', '-1469.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716865', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.807792', '0', '0.589467', '5151.33', '350', '-1461.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716866', '0', 'object/static/structure/naboo/shared_archway_narrow_s01.iff', '0', '0.807792', '0', '0.589467', '5152.24', '350', '-1458.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716867', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.807792', '0', '0.589468', '5153.16', '350', '-1455.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716868', '0', 'object/static/structure/naboo/shared_arbor_pillar_s01.iff', '0', '0.382683', '0', '0.92388', '-5513.45', '-150.412', '-83.9431', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716870', '0', 'object/static/structure/naboo/shared_arbor_long_s01.iff', '0', '0.92388', '0', '-0.382683', '-5512.9', '-150.412', '-83.4624', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716871', '0', 'object/static/structure/naboo/shared_arbor_long_s01.iff', '0', '0.92388', '0', '-0.382683', '-5507.25', '-150.412', '-77.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716872', '0', 'object/static/structure/naboo/shared_arbor_corner_45_s01.iff', '0', '0.92388', '0', '-0.382683', '-5501.78', '-150.338', '-72.3557', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716875', '0', 'object/static/structure/naboo/shared_arbor_pillar_s01.iff', '0', '0', '0', '1', '-5500.97', '-150.338', '-69.4749', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716877', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '1', '0', '0', '-5489', '-150', '-51', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716878', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.707107', '0', '0.707106', '-5486', '-150', '-48', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716879', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.707107', '0', '-0.707107', '-5492', '-150', '-48', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716880', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0', '0', '1', '-5489', '-150', '-45', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716881', '0', 'object/static/structure/general/shared_planter_generic_style_2.iff', '0', '0', '0', '1', '-5489', '-150', '-48', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716882', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s08.iff', '0', '0', '0', '1', '-5491', '-150', '-50', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716883', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s08.iff', '0', '0', '0', '1', '-5491', '-150', '-46', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716884', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s08.iff', '0', '0', '0', '1', '-5487', '-150', '-46', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716885', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s08.iff', '0', '0', '0', '1', '-5487', '-150', '-50', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716886', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '1', '0', '0', '-5489', '-150', '-65', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716887', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.707107', '0', '0.707106', '-5486', '-150', '-62', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716888', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.707107', '0', '-0.707107', '-5492', '-150', '-62', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716889', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0', '0', '1', '-5489', '-150', '-59', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716890', '0', 'object/static/structure/general/shared_planter_generic_style_2.iff', '0', '0', '0', '1', '-5489', '-150', '-62', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716891', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s08.iff', '0', '0', '0', '1', '-5491', '-150', '-64', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716892', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s08.iff', '0', '0', '0', '1', '-5491', '-150', '-60', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716893', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s08.iff', '0', '0', '0', '1', '-5487', '-150', '-60', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716894', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s08.iff', '0', '0', '0', '1', '-5487', '-150', '-64', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716898', '0', 'object/static/structure/general/shared_planter_generic_style_1.iff', '0', '0.952671', '0', '-0.304004', '-5511.65', '-150.074', '-76.0357', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716901', '0', 'object/tangible/furniture/all/shared_frn_all_decorative_lg_s1.iff', '0', '0.923879', '0', '0.382684', '-5574', '-150', '-37', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716902', '0', 'object/tangible/furniture/all/shared_frn_all_decorative_lg_s1.iff', '0', '-0.382684', '0', '0.923879', '-5580', '-150', '-37', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716903', '0', 'object/tangible/furniture/all/shared_frn_all_decorative_lg_s1.iff', '0', '0.923879', '0', '0.382684', '-5574', '-150', '-30', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716904', '0', 'object/tangible/furniture/all/shared_frn_all_decorative_lg_s1.iff', '0', '-0.382684', '0', '0.923879', '-5580', '-150', '-30', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716905', '0', 'object/tangible/furniture/all/shared_frn_all_decorative_lg_s1.iff', '0', '0.382683', '0', '0.92388', '-5577', '-150', '-27', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716906', '0', 'object/tangible/furniture/all/shared_frn_all_decorative_lg_s1.iff', '0', '0.923879', '0', '-0.382684', '-5577', '-150', '-40', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716907', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '-0.382684', '0', '0.923879', '-5579', '-150', '-35', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716908', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '-0.382684', '0', '0.923879', '-5579', '-150', '-28', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716909', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.923879', '0', '-0.382684', '-5579', '-150', '-32', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716910', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.382683', '0', '0.92388', '-5575', '-150', '-28', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716911', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.923879', '0', '0.382684', '-5575', '-150', '-32', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716912', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.923879', '0', '0.382684', '-5578', '-150', '-30', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716913', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.923879', '0', '0.382684', '-5576', '-150', '-30', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716914', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0.923879', '0', '0.382684', '-5577', '-150', '-29', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716915', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0.923879', '0', '0.382684', '-5577', '-150', '-31', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716916', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.382683', '0', '0.92388', '-5575', '-150', '-35', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716917', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.923879', '0', '0.382684', '-5575', '-150', '-39', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716918', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.923879', '0', '0.382684', '-5578', '-150', '-37', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716919', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.923879', '0', '0.382684', '-5576', '-150', '-37', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716920', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0.923879', '0', '0.382684', '-5577', '-150', '-36', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716921', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0.923879', '0', '0.382684', '-5577', '-150', '-38', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716922', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.923879', '0', '-0.382684', '-5579', '-150', '-39', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716924', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.707107', '0', '0.707107', '-5577', '-150', '-33.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716925', '0', 'object/static/structure/naboo/shared_obelisk_naboo_theed_style_1.iff', '0', '0.707104', '0', '0.70711', '-5577', '-150.355', '-37', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716926', '0', 'object/static/structure/naboo/shared_obelisk_naboo_theed_style_1.iff', '0', '0.707104', '0', '0.70711', '-5577', '-150.355', '-30', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716928', '0', 'object/static/structure/general/shared_planter_generic_style_1.iff', '0', '-0.450279', '0', '0.892888', '-5583', '-150.384', '-44', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716929', '0', 'object/static/structure/general/shared_planter_generic_style_1.iff', '0', '0.270817', '0', '0.962631', '-5583', '-150', '-23', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716930', '0', 'object/tangible/furniture/all/shared_frn_all_tree_potted_s1.iff', '0', '0.707104', '0', '0.70711', '-5507', '-150', '17', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716931', '0', 'object/tangible/furniture/all/shared_frn_all_tree_potted_s1.iff', '0', '-0.707104', '0', '0.70711', '-5511', '-150', '17', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716932', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '1', '0', '-3.48103e-07', '-5509', '-150', '17', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716933', '0', 'object/tangible/furniture/all/shared_frn_all_tree_potted_s1.iff', '0', '0.707107', '0', '-0.707107', '-5511', '-150', '6', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716934', '0', 'object/tangible/furniture/all/shared_frn_all_tree_potted_s1.iff', '0', '0.707107', '0', '0.707107', '-5507', '-150', '6', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716935', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0', '0', '1', '-5509', '-150', '6', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716936', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.947857', '0', '-0.318697', '-5504.54', '-150', '3.30414', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716937', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.885192', '0', '0.465225', '-5512.1', '-150', '3.39946', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716938', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.972171', '0', '-0.234274', '-5518.74', '-150', '9.28169', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716939', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '-0.120735', '0', '0.992685', '-5512.33', '-150', '19.9779', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716940', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.527239', '0', '0.849717', '-5504.47', '-150', '20.2502', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716941', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '-0.584835', '0', '0.811153', '-5518.77', '-150', '14.0345', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716946', '0', 'object/tangible/furniture/all/shared_frn_all_tree_potted_s1.iff', '0', '-0.707105', '0', '0.707109', '-5634.64', '-157.359', '-53.2403', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716947', '0', 'object/tangible/furniture/all/shared_frn_all_tree_potted_s1.iff', '0', '-0.707105', '0', '0.707109', '-5634.64', '-157.375', '-48.9976', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716948', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.707107', '0', '-0.707107', '-5634.92', '-157.346', '-51.1901', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716952', '0', 'object/tangible/furniture/all/shared_frn_all_tree_potted_s1.iff', '0', '0.707107', '0', '-0.707107', '-5634.65', '-157.376', '-44.5867', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716953', '0', 'object/tangible/furniture/all/shared_frn_all_tree_potted_s1.iff', '0', '0.707107', '0', '-0.707107', '-5634.65', '-157.383', '-40.344', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716954', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.707107', '0', '-0.707107', '-5634.93', '-157.351', '-42.5365', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716955', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_2.iff', '0', '0.249851', '0', '0.968284', '-5487.91', '-150', '16.8372', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716956', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_2.iff', '0', '-0.381942', '0', '0.924186', '-5478.62', '-150', '14.0117', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716957', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_2.iff', '0', '0.780707', '0', '-0.624898', '-5472.32', '-150', '5.55833', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716958', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '1', '0', '0', '-5487', '-150', '5', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716959', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.707107', '0', '0.707106', '-5484', '-150', '8', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716960', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.707107', '0', '-0.707107', '-5490', '-150', '8', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716961', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0', '0', '1', '-5487', '-150', '11', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716967', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '1', '0', '0', '-5481', '-150', '-0.839982', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716968', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.707107', '0', '0.707106', '-5478', '-150', '2.16002', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716969', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.707107', '0', '-0.707107', '-5484', '-150', '2.16002', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716970', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0', '0', '1', '-5481', '-150', '5.16002', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716976', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s02.iff', '0', '0', '0', '1', '-5555.09', '-150.97', '6.0242', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716977', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s02.iff', '0', '0', '0', '1', '-5546', '-150.97', '6', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716978', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s02.iff', '0', '0', '0', '1', '-5536.84', '-150.97', '6.07279', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716979', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_1.iff', '0', '-0.0544791', '0', '0.998515', '-5541', '-150', '6', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716980', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_1.iff', '0', '0.826043', '0', '0.563607', '-5551', '-150', '6', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716983', '0', 'object/static/structure/naboo/shared_obelisk_naboo_theed_style_3.iff', '0', '0', '0', '1', '-5487', '-169.991', '8', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716984', '0', 'object/static/structure/naboo/shared_obelisk_naboo_theed_style_3.iff', '0', '0', '0', '1', '-5481', '-169.635', '2', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716985', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '-0.131681', '0', '0.991292', '-5488', '-150', '9', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716986', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '-0.111575', '0', '0.993756', '-5488', '-150', '7', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716987', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.777836', '0', '0.628467', '-5486', '-150', '7', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716988', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.507552', '0', '0.861621', '-5486', '-150', '9', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716989', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0.995808', '0', '0.091463', '-5482', '-150', '3', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716990', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0.973734', '0', '-0.22769', '-5480', '-150', '3', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716991', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0.990112', '0', '-0.140281', '-5480', '-150', '1', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716992', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '-0.128601', '0', '0.991696', '-5482', '-150', '1', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716994', '0', 'object/static/structure/naboo/shared_nboo_imprv_tall_curved_wall_large_s01.iff', '0', '0.707103', '0', '0.707111', '-5558.06', '-150.545', '-54.4976', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716995', '0', 'object/static/structure/naboo/shared_nboo_imprv_tall_curved_wall_large_s01.iff', '0', '-0.707102', '0', '0.707112', '-5558.1', '-150.545', '-53.4285', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716998', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_sml_s02.iff', '0', '0.999987', '0', '0.00499995', '4647.94', '330', '-1333.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1716999', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_sml_s01.iff', '0', '0.707106', '0', '0.707108', '4648', '330', '-1330', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717000', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_sml_s01.iff', '0', '-0.707106', '0', '0.707108', '4648', '330', '-1325', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717001', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_sml_s02.iff', '0', '0.70354', '0', '0.710655', '4684.82', '330', '-1327.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717002', '0', 'object/static/structure/naboo/shared_nboo_imprv_tall_curved_wall_large_s01.iff', '0', '1', '0', '-3.20013e-08', '-5550.1', '-150.545', '-5.63305', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717003', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_sml_s02.iff', '0', '0.703544', '0', '0.710651', '4684.88', '330', '-1333.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717004', '0', 'object/static/structure/naboo/shared_nboo_imprv_tall_curved_wall_large_s01.iff', '0', '0', '0', '1', '-5566.09', '-150.545', '-22.3468', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717005', '0', 'object/static/structure/general/shared_planter_generic_style_3.iff', '0', '0', '0', '1', '4718.8', '330', '-1311.6', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717006', '0', 'object/static/structure/general/shared_planter_generic_style_3.iff', '0', '0', '0', '1', '4744.13', '330', '-1311.46', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717007', '0', 'object/static/structure/general/shared_planter_generic_style_4.iff', '0', '0', '0', '1', '4730.74', '330', '-1337.32', '93', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717019', '0', 'object/static/structure/general/shared_nboo_imprv_flower_urn_s01.iff', '0', '0', '0', '1', '4747.78', '332.018', '-1314.28', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717020', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '0.967462', '0', '0.253016', '4716.87', '330', '-1316.84', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717022', '0', 'object/static/structure/general/shared_nboo_imprv_flower_urn_s01.iff', '0', '0', '0', '1', '4736.82', '330', '-1329.82', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717023', '0', 'object/static/structure/general/shared_nboo_imprv_flower_urn_s01.iff', '0', '0', '0', '1', '4725.67', '330', '-1329.67', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717024', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '0.993486', '0', '-0.113956', '4716.89', '330', '-1320.41', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717025', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '-0.183946', '0', '0.982936', '4740.66', '330', '-1327.43', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717026', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '0.183946', '0', '0.982936', '4741.15', '330', '-1323.89', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717028', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '0.692537', '0', '0.721383', '4744.75', '330', '-1322.72', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717030', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '-0.261909', '0', '0.965092', '4745.71', '330', '-1320.03', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717031', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '0.104807', '0', '0.994493', '4745.63', '330', '-1316.47', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717033', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '0.999023', '0', '-0.0441904', '4722.07', '330', '-1327.39', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717035', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '0.859862', '0', '0.510526', '4721.37', '330', '-1323.67', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717037', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '0.617059', '0', '0.786917', '4717.94', '330', '-1322.73', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717038', '0', 'object/static/structure/general/shared_nboo_imprv_flower_urn_s01.iff', '0', '0', '0', '1', '4714.98', '331.992', '-1315.31', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717039', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '4731.01', '330', '-1318.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717041', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.707107', '0', '-0.707107', '4729.66', '330', '-1318.95', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717043', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.707107', '0', '0.707107', '4732.2', '330', '-1318.94', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717064', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.019999', '0', '0.9998', '4640.96', '330', '-1354.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717067', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_sml_s01.iff', '0', '0', '0', '1', '4855.13', '360', '-1366.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717068', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_sml_s02.iff', '0', '0', '0', '1', '4861.64', '360', '-1353.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717069', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_sml_s02.iff', '0', '0', '0', '1', '4855.39', '360', '-1353.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717070', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_sml_s02.iff', '0', '-0.707105', '0', '0.707108', '4849.13', '360', '-1353.59', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717071', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_sml_s02.iff', '0', '-0.707106', '0', '0.707108', '4849.13', '360', '-1359.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717072', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_sml_s01.iff', '0', '1', '0', '-3.20013e-08', '4849.13', '360', '-1366.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717073', '0', 'object/static/structure/general/shared_planter_generic_style_2.iff', '0', '0', '0', '1', '4850.99', '360', '-1355.33', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717077', '0', 'object/static/structure/general/shared_nboo_imprv_flower_urn_s01.iff', '0', '0', '0', '1', '4849.74', '360', '-1361.32', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717079', '0', 'object/static/structure/general/shared_nboo_imprv_flower_urn_s01.iff', '0', '0', '0', '1', '4849.83', '360', '-1357.13', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717080', '0', 'object/static/structure/general/shared_nboo_imprv_flower_urn_s01.iff', '0', '0', '0', '1', '4849.82', '360', '-1365.39', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717081', '0', 'object/static/structure/general/shared_nboo_imprv_flower_urn_s01.iff', '0', '0.707106', '0', '0.707108', '4861.07', '360', '-1354.27', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717084', '0', 'object/static/structure/general/shared_nboo_imprv_flower_urn_s01.iff', '0', '0.707106', '0', '0.707108', '4856.89', '360', '-1354.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717085', '0', 'object/static/structure/general/shared_nboo_imprv_flower_urn_s01.iff', '0', '0.707106', '0', '0.707108', '4852.81', '360', '-1354.27', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717086', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0.00500016', '0', '0.999987', '4898.92', '360', '-1403.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717087', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0.00500016', '0', '0.999987', '4907.38', '360', '-1395.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717088', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_large_s01.iff', '0', '0.999168', '0', '-0.0407852', '4907.37', '360', '-1395.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717089', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0.714142', '0', '0.7', '4915.81', '360', '-1395.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717090', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0.710634', '0', '0.703562', '4923.54', '360', '-1403.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717091', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_large_s01.iff', '0', '-0.692247', '0', '0.72166', '4923.48', '360', '-1403.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717096', '0', 'object/static/structure/general/shared_nboo_imprv_flower_urn_s01.iff', '0', '0', '0', '1', '4902.36', '360', '-1398.6', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717097', '0', 'object/static/structure/general/shared_nboo_imprv_flower_urn_s01.iff', '0', '0', '0', '1', '4920.62', '360', '-1399.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717098', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '0', '0', '1', '4901.4', '360.975', '-1397.62', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717101', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '0', '0', '1', '4921.74', '360.972', '-1398.55', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717107', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.707106', '0', '0.707108', '4900.47', '360', '-1403.14', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717110', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '-0.703562', '0', '0.710634', '4922.05', '360', '-1403.94', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717115', '0', 'object/static/structure/general/shared_planter_generic_style_2.iff', '0', '0', '0', '1', '4927.85', '360', '-1436.74', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717116', '0', 'object/static/structure/general/shared_planter_generic_style_3.iff', '0', '0', '0', '1', '4884.98', '360', '-1411.32', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717117', '0', 'object/static/structure/general/shared_planter_generic_style_2.iff', '0', '0', '0', '1', '4863.33', '360', '-1436.4', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717118', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s02.iff', '0', '0.786671', '0', '0.617373', '-5542.55', '-152.044', '-99.9948', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717119', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_1.iff', '0', '0.899936', '0', '-0.436021', '-5547.71', '-150', '-97.2013', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717120', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s02.iff', '0', '0.331317', '0', '0.943519', '-5552.28', '-152.044', '-93.8583', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717121', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_1.iff', '0', '0.958704', '0', '0.284407', '-5556.15', '-150', '-90.0438', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717122', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s02.iff', '0', '0.490531', '0', '0.871424', '-5559.53', '-152.044', '-84.4436', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717123', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0.0549724', '0', '0.998488', '4881.34', '360.601', '-1442.75', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717124', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.0549724', '0', '0.998488', '4880.35', '360.601', '-1444.34', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717125', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.49688', '0', '0.867819', '4883.32', '360.601', '-1443.16', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717126', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.993868', '0', '0.11057', '4880.73', '360.601', '-1440.74', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717127', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0.877201', '0', '0.480124', '4875.05', '360.601', '-1441.96', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717128', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.877201', '0', '0.480124', '4874.06', '360.601', '-1440.38', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717129', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.475032', '0', '0.879969', '4873.8', '360.601', '-1443.56', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717130', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.61831', '0', '0.785935', '4877.11', '360.601', '-1442.31', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717131', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0.0549724', '0', '0.998488', '4878.44', '360.601', '-1438.14', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717132', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.0549724', '0', '0.998488', '4877.74', '360.601', '-1439.99', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717133', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.49688', '0', '0.867819', '4880.71', '360.601', '-1438.82', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717134', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.987354', '0', '-0.158532', '4879.04', '360.601', '-1436.42', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717135', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.692536', '0', '0.721383', '4876.48', '360.601', '-1437.68', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717137', '0', 'object/static/structure/naboo/shared_seawall_stair_naboo_theed_style_1.iff', '0', '-0.638617', '0', '0.769525', '-5545.51', '-163.849', '-121.183', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717138', '0', 'object/static/structure/naboo/shared_seawall_stair_naboo_theed_style_1.iff', '0', '0.995707', '0', '-0.092566', '-5540.81', '-155.803', '-103.262', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717141', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.770992', '0', '0.636845', '-5533.01', '-149.803', '-106.053', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717142', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.995491', '0', '-0.0948567', '-5548.3', '-157.713', '-129', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717143', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '4968.9', '360.221', '-1440.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717149', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0.232843', '0', '0.972514', '4884.21', '360.601', '-1503.07', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717150', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.232843', '0', '0.972514', '4882.9', '360.601', '-1504.55', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717151', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.333487', '0', '0.942755', '4886.09', '360.601', '-1504.5', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717152', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.94302', '0', '-0.332736', '4885.37', '360.601', '-1501.66', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717153', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.810495', '0', '0.585745', '4882.54', '360.601', '-1501.94', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717157', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0.844163', '0', '0.536088', '4866.93', '360', '-1512.72', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717158', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.844163', '0', '0.536088', '4865.75', '360', '-1511.27', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717159', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.416872', '0', '0.908965', '4865.9', '360', '-1514.46', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717160', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.668056', '0', '0.744111', '4869.02', '360', '-1512.79', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717161', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0.232843', '0', '0.972514', '4870.54', '360.601', '-1502.77', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717162', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.232843', '0', '0.972514', '4869.22', '360.601', '-1504.25', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717163', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.333487', '0', '0.942755', '4872.41', '360.601', '-1504.2', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717164', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.94302', '0', '-0.332736', '4871.69', '360.601', '-1501.37', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717165', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.810495', '0', '0.585745', '4868.86', '360.601', '-1501.64', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717166', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0.232843', '0', '0.972514', '4880.65', '360', '-1517.46', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717167', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.232843', '0', '0.972514', '4879.34', '360', '-1518.94', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717168', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.333487', '0', '0.942755', '4882.53', '360', '-1518.89', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717169', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.94302', '0', '-0.332736', '4881.81', '360', '-1515.88', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717170', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.810495', '0', '0.585745', '4878.98', '360', '-1516.16', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717179', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '1', '0', '0', '-5545.37', '-149.842', '-85.1801', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717180', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.707107', '0', '0.707106', '-5540.37', '-149.842', '-80.1801', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717181', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.707107', '0', '-0.707107', '-5550.37', '-149.842', '-80.1801', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717182', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0', '0', '1', '-5545.37', '-149.842', '-75.1801', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717187', '0', 'object/static/structure/general/shared_fountain_generic_style_1.iff', '0', '0', '0', '1', '-5545.37', '-150.282', '-80.1801', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717192', '0', 'object/building/naboo/shared_housing_naboo_style_3.iff', '0', '-0.00650543', '0', '0.999979', '4902.45', '360', '-1532.22', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717195', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.897881', '0', '0.440238', '-5549.28', '-149.842', '-78.2122', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717196', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '-0.189436', '0', '0.981893', '-5543.38', '-149.842', '-76.1974', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717197', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '-0.391147', '0', '0.920328', '-5541.31', '-149.842', '-78.2061', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717198', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0.927161', '0', '-0.374663', '-5547.22', '-149.842', '-76.1153', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717199', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_sml_s01.iff', '0', '-0.00999985', '0', '0.99995', '4925.32', '360', '-1552.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717200', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_sml_s02.iff', '0', '-0.707105', '0', '0.707108', '4922.18', '360', '-1552.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717201', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_sml_s02.iff', '0', '-0.707105', '0', '0.707108', '4922.18', '360', '-1558.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717202', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_sml_s02.iff', '0', '-0.707105', '0', '0.707108', '4922.18', '360', '-1564.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717203', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0.354414', '0', '0.935089', '-5543.4', '-149.842', '-84.1225', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717204', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0.644051', '0', '0.764983', '-5549.38', '-149.842', '-82.0656', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717205', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.0822228', '0', '0.996614', '-5541.36', '-149.842', '-82.1742', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717206', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.188681', '0', '0.982038', '-5547.35', '-149.842', '-84.1684', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717207', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_sml_s02.iff', '0', '0.916961', '0', '-0.398976', '4922.18', '360', '-1570.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717208', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_sml_s02.iff', '0', '0.916961', '0', '-0.398976', '4926.44', '360', '-1574.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717209', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_sml_s02.iff', '0', '0.916961', '0', '-0.398976', '4930.66', '360', '-1579.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717210', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_1.iff', '0', '0.498627', '0', '0.866817', '-5535.94', '-150', '-65.2285', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717211', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_1.iff', '0', '-0.46036', '0', '0.887732', '-5527.84', '-150', '-83.5478', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717212', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_sml_s02.iff', '0', '0.987949', '0', '-0.154775', '4946.73', '360', '-1587.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717213', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_sml_s02.iff', '0', '0.987949', '0', '-0.154775', '4940.84', '360', '-1585.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717214', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_sml_s02.iff', '0', '0.987949', '0', '-0.154775', '4934.89', '360', '-1583.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717215', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_sml_s02.iff', '0', '0.998466', '0', '-0.0553718', '4964.79', '360', '-1590.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717216', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_sml_s02.iff', '0', '0.998466', '0', '-0.0553718', '4958.64', '360', '-1590.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717217', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_sml_s02.iff', '0', '0.998466', '0', '-0.0553718', '4952.42', '360', '-1589.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717218', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_1.iff', '0', '0.998808', '0', '0.0488076', '-5511.4', '-150.054', '-103.163', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717219', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s02.iff', '0', '-0.0572695', '0', '0.998359', '-5517.58', '-151.665', '-103.836', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717220', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_1.iff', '0', '0.70502', '0', '0.709188', '-5523.91', '-150.228', '-104.1', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717221', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s02.iff', '0', '0.0676472', '0', '0.997709', '-5529.35', '-152.044', '-102.611', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717222', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s02.iff', '0', '0.4263', '0', '0.904582', '-5504.9', '-151.435', '-99.8669', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717223', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_sml_s02.iff', '0', '0.952455', '0', '0.304677', '4983.29', '360', '-1590.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717224', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_sml_s02.iff', '0', '0.997914', '0', '0.0645548', '4977.12', '360', '-1590.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717225', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_sml_s02.iff', '0', '0.997914', '0', '0.0645548', '4970.92', '360', '-1591.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717227', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_sml_s02.iff', '0', '0.707671', '0', '0.706542', '4988.35', '360', '-1580.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717228', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_sml_s02.iff', '0', '0.707671', '0', '0.706542', '4988.34', '360', '-1586.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717230', '0', 'object/static/structure/general/shared_planter_generic_style_4.iff', '0', '0.8772', '0', '-0.480124', '4868.27', '360', '-1518.62', '93', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717231', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s02.iff', '0', '-0.697788', '0', '0.716305', '-5500.39', '-151.509', '-88.5208', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717232', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_1.iff', '0', '0.112187', '0', '0.993687', '-5501.43', '-150.074', '-95.0787', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717233', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.560509', '0', '0.828149', '4887.63', '360', '-1523.97', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717234', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.996457', '0', '-0.084104', '4885.53', '360', '-1521.7', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717235', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '-0.0199988', '0', '0.9998', '4885.29', '360', '-1523.64', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717236', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.0199988', '0', '0.9998', '4884.87', '360', '-1525.57', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717237', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.636533', '0', '0.771249', '4883.2', '360', '-1523.32', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717242', '0', 'object/static/structure/general/shared_planter_generic_style_3.iff', '0', '0.713864', '0', '0.700285', '4889.08', '360', '-1527.65', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717243', '0', 'object/static/structure/general/shared_planter_generic_style_4.iff', '0', '0.593177', '0', '0.805072', '4931.63', '358.125', '-1560.87', '93', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717244', '0', 'object/static/structure/general/shared_planter_generic_style_3.iff', '0', '0', '0', '1', '4962.9', '360', '-1581.67', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717245', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.164252', '0', '0.986418', '4973.11', '360', '-1589.98', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717246', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.870685', '0', '-0.491842', '4973.46', '360', '-1586.9', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717247', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0.398609', '0', '0.917121', '4971.83', '360', '-1587.99', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717248', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.398609', '0', '0.917121', '4970.09', '360', '-1588.93', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717249', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.900099', '0', '0.435685', '4970.71', '360', '-1586.19', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717250', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.773915', '0', '-0.633289', '4981.88', '360', '-1586.6', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717251', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '-0.30506', '0', '0.952333', '4980.13', '360', '-1587.61', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717252', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.30506', '0', '0.952333', '4980.46', '360', '-1589.45', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717253', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.888928', '0', '0.458047', '4978.34', '360', '-1586.52', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717254', '0', 'object/static/structure/naboo/shared_arbor_long_s02.iff', '0', '-0.00499998', '0', '0.999987', '4925.23', '359.656', '-1557', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717255', '0', 'object/static/structure/naboo/shared_arbor_corner_90_s01.iff', '0', '0.70356', '0', '0.710635', '4927.2', '359.656', '-1554.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717256', '0', 'object/static/structure/naboo/shared_arbor_long_s02.iff', '0', '0.710633', '0', '-0.703562', '4927.33', '359.656', '-1566.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717257', '0', 'object/static/structure/naboo/shared_arbor_corner_90_s01.iff', '0', '-0.00499967', '0', '0.999987', '4925.31', '359.656', '-1565', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717258', '0', 'object/static/structure/naboo/shared_arbor_long_s02.iff', '0', '0.999987', '0', '0.00500001', '4937.3', '359.656', '-1564.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717259', '0', 'object/static/structure/naboo/shared_arbor_corner_90_s01.iff', '0', '0.710634', '0', '-0.703563', '4935.33', '359.656', '-1566.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717260', '0', 'object/static/structure/naboo/shared_arbor_long_s02.iff', '0', '0.70356', '0', '0.710636', '4935.2', '359.656', '-1554.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717261', '0', 'object/static/structure/naboo/shared_arbor_corner_90_s01.iff', '0', '0.999988', '0', '0.00499972', '4937.22', '359.656', '-1556.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717263', '0', 'object/static/structure/naboo/shared_arbor_pillar_s01.iff', '0', '0', '0', '1', '-5501.08', '-150.338', '-67.9969', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717264', '0', 'object/static/structure/naboo/shared_arbor_pillar_s01.iff', '0', '0', '0', '1', '-5501.08', '-150.338', '-66.4753', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717268', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.838176', '0', '0.545399', '-5500.72', '-150', '-77.0079', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717269', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.237593', '0', '0.971365', '-5500.77', '-150.074', '-84.0917', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717270', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0.881051', '0', '0.473021', '-5500.68', '-150', '-80.7767', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717271', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '-0.707104', '0', '0.70711', '-5500.6', '-150', '-78.7556', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717272', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '-0.707103', '0', '0.707111', '-5500.59', '-150.074', '-82.3771', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717273', '0', 'object/static/structure/naboo/shared_archway_narrow_s01.iff', '0', '0', '0', '1', '4949', '360', '-1549.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717274', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '4946.01', '360', '-1549.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717275', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '4952', '360', '-1549.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717279', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_01.iff', '0', '0.717911', '0', '0.696134', '5097.76', '350', '-1446.19', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717281', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '-0.707104', '0', '0.70711', '-5577.64', '-150.447', '-48.7793', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717282', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '-0.707084', '0', '0.707129', '-5577.65', '-150.271', '-18.8193', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717290', '0', 'object/static/structure/general/shared_planter_generic_style_2.iff', '0', '0.161478', '0', '0.986876', '-5586', '-150', '-30', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717291', '0', 'object/static/structure/general/shared_planter_generic_style_2.iff', '0', '0.721029', '0', '-0.692905', '-5586', '-150', '-37', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717299', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_wall_ornate_large_s01.iff', '0', '0.98545', '0', '-0.169967', '5172.23', '350', '-1380.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717300', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_wall_ornate_large_s01.iff', '0', '0.807558', '0', '-0.589788', '5187.26', '350', '-1386.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717301', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_wall_ornate_large_s01.iff', '0', '0.98545', '0', '-0.169967', '5179.75', '350', '-1383.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717303', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_wall_ornate_large_s01.iff', '0', '0.993868', '0', '-0.11057', '5164.5', '350', '-1378.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717307', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s07.iff', '0', '0.109778', '0', '0.993956', '5164.22', '350.214', '-1378.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717308', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s07.iff', '0', '-0.40319', '0', '0.915116', '5187.29', '350.126', '-1386.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717311', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.382683', '0', '0.92388', '-5630.45', '-159.803', '178.204', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717312', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.382683', '0', '0.92388', '-5632.58', '-159.83', '180.377', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717315', '0', 'object/static/structure/general/shared_nboo_imprv_flower_urn_s01.iff', '0', '0.75128', '0', '0.659983', '5133.99', '346.5', '-1518.54', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717323', '0', 'object/static/structure/general/shared_nboo_imprv_flower_urn_s01.iff', '0', '0.441528', '0', '0.897248', '5135.74', '346.5', '-1529.97', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717324', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.40319', '0', '0.915116', '-5637.36', '-157.332', '-59.039', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717326', '0', 'object/static/structure/general/shared_nboo_imprv_flower_urn_s01.iff', '0', '0.249633', '0', '0.968341', '5143.65', '346.5', '-1536.56', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717332', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.324043', '0', '0.946042', '5150.94', '346.5', '-1499.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717333', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0.0998327', '0', '0.995004', '5182.12', '346.5', '-1491.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717334', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0.0599636', '0', '0.998201', '5173.38', '325.995', '-1554.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717335', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0.109778', '0', '0.993956', '5307.48', '326', '-1578.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717336', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.0149999', '0', '0.999887', '5341.21', '327', '-1596.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717337', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.932182', '0', '0.36199', '-5637.19', '-157.329', '-33.3392', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717341', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.93398', '0', '0.357325', '-5612.15', '-157.325', '-9.04179', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717344', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.707107', '0', '0.707107', '-5622.59', '-157.492', '-31.2362', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717345', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '1', '0', '0', '-5600.16', '-157.321', '-7.46088', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717347', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '1', '0', '0', '-5600.02', '-157.34', '-60.8165', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717465', '0', 'object/building/naboo/shared_hotel_naboo_theed.iff', '0', '0.705543', '0', '0.708667', '4656.21', '3.75', '-4893.96', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717466', '1717465', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717467', '1717465', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717468', '1717465', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717469', '1717465', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143445', '1717469', 'object/tangible/gambling/slot/shared_standard.iff', '0', '-0.00230193', '0', '0.999997', '4.38603', '1.30488', '-22.0814', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143446', '1717469', 'object/tangible/gambling/slot/shared_standard.iff', '0', '-0.00230193', '0', '0.999997', '0.312322', '1.30398', '-22.039', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143447', '1717469', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '-0.00230193', '0', '0.999997', '-1.16749', '1.11418', '-16.1785', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143448', '1717469', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '-0.00230193', '0', '0.999997', '9.47733', '1.11514', '-16.1891', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143449', '1717469', 'object/tangible/gambling/slot/shared_standard.iff', '0', '-0.00230193', '0', '0.999997', '8.42789', '1.30488', '-22.185', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085644', '1717469', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '0.205046', '1', '-1.53357', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717470', '1717465', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825706', '1717470', 'object/soundobject/shared_soundobject_cantina_small.iff', '0', '0', '0', '1', '20.9633', '1.28309', '0.636964', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717471', '1717465', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143439', '1717471', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '-0.00730186', '0', '0.999973', '-15.9481', '1.00091', '-0.0480418', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143440', '1717471', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '-0.00730186', '0', '0.999973', '-15.9983', '1.00092', '4.32103', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143441', '1717471', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.712255', '0', '-0.701922', '-12.3613', '1.00074', '-0.0199709', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143442', '1717471', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.701923', '0', '0.712253', '-12.1589', '1.00059', '-0.0377283', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143443', '1717471', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.710913', '0', '0.70328', '-12.0848', '1.00085', '4.27018', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143444', '1717471', 'object/tangible/gambling/slot/shared_standard.iff', '0', '-0.703287', '0', '0.710906', '-12.2864', '1.00069', '4.29297', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085642', '1717471', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-17.0065', '1.00095', '4.65808', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717472', '1717465', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717473', '1717465', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717474', '1717465', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '4015376', '1717474', 'object/tangible/terminal/shared_terminal_mission_rebel.iff', '0', '1', '0', '-3.20013e-08', '-17.797', '1.6', '-13.546', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717475', '1717465', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717482', '0', 'object/building/naboo/shared_filler_nboo_bldg_64x32_style_01.iff', '0', '0.382683', '0', '0.92388', '-5552.96', '6', '4239.12', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717485', '0', 'object/building/naboo/shared_filler_nboo_bldg_64x32_s02.iff', '0', '0.707091', '0', '0.707122', '-5548.22', '6', '4349.41', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717490', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_01.iff', '0', '0.707089', '0', '0.707124', '-5552.02', '6', '4402.54', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717492', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_02.iff', '0', '-0.707092', '0', '0.707121', '-5548.76', '6', '4443.37', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717499', '0', 'object/building/naboo/shared_parking_garage_naboo_style_1.iff', '0', '0.605187', '0', '0.796084', '4646.82', '3.75', '-4771.36', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717500', '0', 'object/building/naboo/shared_hospital_naboo.iff', '0', '0', '0', '1', '4918.33', '3.75', '-4928.94', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717501', '1717500', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717502', '1717500', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825736', '1717502', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '18.627', '0.26', '-0.622644', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717503', '1717500', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717504', '1717500', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717505', '1717500', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717506', '1717500', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717507', '1717500', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717508', '1717500', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717509', '1717500', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717510', '1717500', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825754', '1717510', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '22.4371', '7.25', '-0.354093', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717511', '1717500', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717512', '1717500', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825771', '1717512', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '11.2311', '14.1607', '3.70061', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717513', '1717500', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717514', '1717500', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717524', '0', 'object/building/naboo/shared_bank_naboo.iff', '0', '0.328769', '0', '0.94441', '4804.3', '3.75', '-4866.52', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717526', '0', 'object/building/naboo/shared_guild_combat_naboo_style_01.iff', '0', '0', '0', '1', '4721.93', '3.75', '-4984.49', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717527', '1717526', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717528', '1717526', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717529', '1717526', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717530', '1717526', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717531', '1717526', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717532', '1717526', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717533', '1717526', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717534', '1717526', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717535', '1717526', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717536', '0', 'object/building/naboo/shared_filler_building_naboo_style_4.iff', '0', '0.707107', '0', '-0.707107', '-5554.14', '6', '4300.22', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717538', '0', 'object/building/naboo/shared_guild_commerce_naboo_style_01.iff', '0', '0.933839', '0', '-0.357693', '4917.88', '3.75', '-4790.08', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717539', '1717538', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717540', '1717538', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717541', '1717538', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717542', '1717538', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717543', '1717538', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717544', '1717538', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717545', '1717538', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717546', '1717538', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717547', '1717538', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717548', '0', 'object/building/naboo/shared_guild_university_naboo_style_01.iff', '0', '0', '0', '1', '4805.16', '3.75', '-5000.29', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717549', '1717548', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717550', '1717548', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717551', '1717548', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717552', '1717548', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717553', '1717548', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717554', '1717548', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717555', '1717548', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717556', '1717548', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717557', '1717548', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717558', '0', 'object/building/naboo/shared_cloning_facility_naboo.iff', '0', '-0.706826', '0', '0.707388', '5025.73', '3.75', '-4931.87', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717559', '1717558', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717560', '1717558', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717561', '1717558', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717562', '1717558', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717563', '1717558', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717564', '1717558', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717565', '0', 'object/building/naboo/shared_shuttleport_naboo.iff', '0', '0', '0', '1', '4981.94', '3.75', '-4892.7', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717576', '0', 'object/building/naboo/shared_filler_building_naboo_style_10.iff', '0', '0.707107', '0', '-0.707107', '-5444.65', '6', '4348.2', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717579', '0', 'object/building/naboo/shared_filler_building_naboo_style_2.iff', '0', '0.941344', '0', '-0.337447', '-5545.22', '6', '4280.6', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717606', '0', 'object/static/structure/general/shared_planter_generic_style_1.iff', '0', '0.969109', '0', '0.246632', '-5492.88', '6', '4006.99', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717609', '0', 'object/static/structure/general/shared_planter_generic_style_1.iff', '0', '0', '0', '1', '-5488.64', '6', '4001.43', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717610', '0', 'object/static/structure/general/shared_planter_generic_style_1.iff', '0', '-0.560509', '0', '0.828149', '-5484.4', '6', '3996.79', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717611', '0', 'object/static/structure/general/shared_planter_generic_style_1.iff', '0', '0.994576', '0', '0.104015', '-5479.84', '6', '3991.73', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717612', '0', 'object/static/structure/general/shared_planter_generic_style_1.iff', '0', '-0.324043', '0', '0.946042', '-5474.89', '6', '3987.14', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717658', '0', 'object/building/naboo/shared_filler_nboo_bldg_64x32_style_01.iff', '0', '-0.707105', '0', '0.707109', '-5312.66', '6', '4394.27', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717666', '0', 'object/building/naboo/shared_filler_building_naboo_style_5.iff', '0', '0', '0', '1', '-5434.02', '6', '4420.5', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717667', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_01.iff', '0', '0', '0', '1', '4771.36', '2.65213', '-4982.85', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717675', '0', 'object/building/naboo/shared_filler_building_naboo_style_6.iff', '0', '0.707106', '0', '0.707108', '4747.61', '3.75', '-4967.32', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717676', '0', 'object/static/structure/naboo/shared_street_bridge_s02.iff', '0.00130954', '-0.309813', '-0.00482544', '0.950785', '4834.38', '-3.38867', '-4941.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717677', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0.00130954', '-0.309813', '-0.00482544', '0.950785', '4841.65', '-3.38858', '-4936.34', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717678', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0.00130954', '-0.309813', '-0.00482544', '0.950785', '4827.1', '-3.38877', '-4946.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717679', '0', 'object/building/naboo/shared_filler_nboo_bldg_64x32_style_01.iff', '0', '0.913089', '0', '-0.40776', '4946.4', '3.75', '-4839.31', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717685', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0.564971', '0', '0.825111', '4849.61', '3.75019', '-4760.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717687', '0', 'object/static/structure/naboo/shared_street_bridge_s02.iff', '0', '0.564971', '0', '0.825111', '4846.36', '3.75009', '-4752.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717692', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0.564972', '0', '0.82511', '4843.17', '3.75', '-4743.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717693', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0.56497', '0', '0.825111', '4856.08', '3.75009', '-4777.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717694', '0', 'object/static/structure/naboo/shared_street_bridge_s02.iff', '0', '0.56497', '0', '0.825111', '4852.82', '3.75', '-4768.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717695', '0', 'object/static/structure/naboo/shared_gungan_relic_s02.iff', '0.000299969', '0.0199964', '-0.0149964', '0.999688', '4785.79', '0.894631', '-4925.4', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717696', '0', 'object/static/structure/naboo/shared_gungan_relic_s02.iff', '0', '-0.0349929', '0', '0.999388', '4755.12', '1.42397', '-4925.01', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717697', '0', 'object/static/structure/naboo/shared_gungan_relic_s02.iff', '0', '0.707106', '0', '0.707107', '4769.85', '1.46542', '-4911.3', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717698', '0', 'object/static/structure/naboo/shared_gungan_relic_s01.iff', '0', '0.707107', '0', '0.707107', '4769.05', '3.3536', '-4922.81', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717701', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0.00228704', '-0.104807', '-0.00444592', '0.99448', '4710.36', '-3.33162', '-4869.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717702', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0.00228704', '-0.104807', '-0.00444592', '0.99448', '4727.96', '-3.31946', '-4865.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717703', '0', 'object/static/structure/naboo/shared_street_bridge_s02.iff', '0.00228704', '-0.104807', '-0.00444592', '0.99448', '4719.16', '-3.32553', '-4867.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717704', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_02.iff', '0', '0.389418', '0', '0.921061', '4686.56', '3.75', '-4942.15', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717710', '0', 'object/building/naboo/shared_filler_nboo_bldg_64x32_s02.iff', '0', '1', '0', '-3.20013e-08', '4891.41', '3.75', '-4980.05', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717713', '0', 'object/building/naboo/shared_filler_building_naboo_style_10.iff', '0', '0', '0', '1', '4949.24', '3.75', '-4974.75', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717717', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_01.iff', '0', '0.707107', '0', '-0.707106', '4980.46', '3.75', '-4950.5', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717720', '0', 'object/building/naboo/shared_filler_building_naboo_style_9.iff', '0', '0.997248', '0', '0.0741355', '4765.19', '4.92018', '-4800.25', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717721', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_02.iff', '0', '0.713865', '0', '-0.700283', '4878.77', '3.75', '-4867.47', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717748', '0', 'object/static/structure/naboo/shared_gate_narrow_s01.iff', '0', '0.99955', '0', '0.0299944', '-5128.84', '6', '4131.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717749', '0', 'object/static/structure/naboo/shared_gate_narrow_s01.iff', '0', '0.734817', '0', '-0.678265', '-5159.36', '6.53759', '4157.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717750', '0', 'object/static/structure/general/shared_planter_generic_style_2.iff', '0', '0.804599', '0', '-0.593818', '-5132.76', '6.47434', '4127.26', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717753', '0', 'object/static/structure/general/shared_planter_generic_style_2.iff', '0', '0.347965', '0', '0.937508', '-5162.1', '6.50597', '4152.77', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717754', '0', 'object/static/structure/naboo/shared_gate_narrow_s01.iff', '0', '0.685577', '0', '0.728', '-5102.87', '6.53171', '4162.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717755', '0', 'object/static/structure/general/shared_planter_generic_style_2.iff', '0', '0.98883', '0', '0.149044', '-5098.42', '6.40522', '4158.19', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717757', '0', 'object/static/structure/naboo/shared_gate_narrow_s01.iff', '0', '-0.0299939', '0', '0.99955', '-5133.42', '6.50597', '4188.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1717759', '0', 'object/static/structure/general/shared_planter_generic_style_2.iff', '0', '0.908966', '0', '0.41687', '-5138.65', '6.53759', '4191.6', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1719352', '0', 'object/static/structure/naboo/shared_bridge_stairs_s01.iff', '0', '0.827702', '0', '-0.561168', '4857.76', '3.75', '-4781.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1719353', '0', 'object/static/structure/naboo/shared_bridge_stairs_s01.iff', '0', '0.57352', '0', '0.819192', '4841.64', '3.75505', '-4739.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1719354', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '-0.164252', '0', '0.986418', '4836.47', '3.7702', '-4733.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1719355', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '-0.179029', '0', '0.983844', '4841.94', '3.47633', '-4731.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1719356', '0', 'object/building/naboo/shared_housing_naboo_style_3.iff', '0', '-0.707105', '0', '0.707108', '4985.61', '3.75', '-4926.09', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1719359', '0', 'object/building/naboo/shared_housing_naboo_style_1.iff', '0', '0.257081', '0', '0.96639', '4853.55', '3.75', '-4829.54', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1719360', '1719359', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1719361', '1719359', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1719362', '1719359', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1719363', '1719359', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1719364', '1719359', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1719365', '1719359', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1719366', '1719359', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1719367', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_01.iff', '0', '0.893464', '0', '0.449134', '4755.92', '3.75', '-4833.42', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1719376', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s01.iff', '0', '0', '-0.119712', '0.992809', '4779.07', '2.02866', '-4932.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1719377', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s02.iff', '-0.129634', '0.991562', '4.14846e-09', '-3.17312e-08', '4773.17', '2.64439', '-4936.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1719378', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '-0.000224351', '-0.58509', '-0.00499464', '0.810953', '4799.41', '-3.33769', '-4949.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1719379', '0', 'object/static/structure/naboo/shared_street_bridge_s02.iff', '-0.000224351', '-0.58509', '-0.00499464', '0.810953', '4802.25', '-3.38151', '-4941.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1719380', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '-0.000224351', '-0.58509', '-0.00499464', '0.810953', '4805.09', '-3.36208', '-4932.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1719402', '0', 'object/static/structure/naboo/shared_archway_wide_s02.iff', '0', '0.00999948', '0', '0.99995', '4850.09', '3.75', '-4982.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1719403', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.00999948', '0', '0.99995', '4841.09', '3.75', '-4982.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1719404', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.00999948', '0', '0.99995', '4859.09', '3.75', '-4983.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1719405', '0', 'object/static/structure/naboo/shared_wall_a1_naboo_theed_style_1.iff', '0', '-0.564641', '0', '0.825337', '4841', '1.80619', '-4983.52', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1719406', '0', 'object/static/structure/naboo/shared_gate_narrow_s01.iff', '0', '0.999887', '0', '-0.0149995', '4827.64', '3.75', '-5003.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1719407', '0', 'object/static/structure/naboo/shared_archway_wide_s02.iff', '0', '-0.00499998', '0', '0.999987', '4686.68', '3.75', '-4911.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1719408', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.710633', '0', '-0.703562', '4677.68', '3.75', '-4911.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1719409', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.999987', '0', '0.00499995', '4695.68', '3.75', '-4911.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1719413', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.703562', '0', '0.710633', '4695.32', '3.75', '-4875.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1719414', '0', 'object/static/structure/naboo/shared_archway_wide_s02.iff', '0', '-0.00499998', '0', '0.999987', '4686.32', '3.75', '-4875.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1719415', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.00499998', '0', '0.999987', '4677.32', '3.75', '-4875.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1719416', '0', 'object/static/structure/naboo/shared_street_bridge_s02.iff', '7.54784e-05', '-0.53541', '-0.00499916', '0.844577', '4742.97', '-3.28883', '-4903.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1719417', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '7.54784e-05', '-0.53541', '-0.00499916', '0.844577', '4739.12', '-3.30207', '-4911.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1719418', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '7.54784e-05', '-0.53541', '-0.00499916', '0.844577', '4746.81', '-3.27558', '-4895.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1719419', '0', 'object/building/naboo/shared_filler_building_naboo_style_10.iff', '0', '0.944148', '0', '-0.329521', '4728.63', '3.78006', '-4821.22', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1719422', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_01.iff', '0', '0.961275', '0', '-0.27559', '4883.22', '3.38493', '-4775.17', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1719424', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s01.iff', '-0.0574', '0.38715', '-0.0675309', '0.917747', '4833.83', '3.52864', '-4893.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1719425', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s02.iff', '0', '0.366273', '0', '0.930508', '4838.37', '3.27566', '-4889.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1719426', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '-0.058527', '-0.376675', '0.0247723', '0.924163', '4846.49', '1.8339', '-4882.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1719427', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s02.iff', '-0.0543932', '-0.570548', '0.0715508', '0.816331', '4855.06', '1.33164', '-4880.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1719428', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s01.iff', '-0.11004', '0.828144', '-0.063929', '0.545877', '4863.97', '2.93369', '-4884.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1719429', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '-0.119543', '-0.318259', '-0.11578', '0.933282', '4867.61', '1.9687', '-4888.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1719430', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s02.iff', '0.0955277', '0.556504', '0.139632', '0.813438', '4866.01', '2.91255', '-4890.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1719431', '0', 'object/static/structure/naboo/shared_gungan_statue_s03.iff', '-0.337978', '-0.0835978', '0.0317421', '0.936896', '4848.78', '1.66893', '-4891.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1719432', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '-0.605186', '0', '0.796084', '4846.86', '1.32663', '-4895.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1719433', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s01.iff', '0.0368428', '0.246187', '0.103887', '0.962934', '4843.15', '1.86229', '-4903.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1719434', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.000399581', '0', '1', '4878.06', '3.75', '-4902.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1719435', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.707386', '0', '-0.706827', '4878.05', '3.75', '-4884.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1719436', '0', 'object/static/structure/naboo/shared_archway_wide_s02.iff', '0', '0.707386', '0', '-0.706827', '4878.05', '3.75', '-4893.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1720352', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_small_s01.iff', '0', '1', '0', '-3.21059e-08', '4912.62', '3.75', '-4900.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1720354', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_small_s01.iff', '0', '0.707107', '0', '-0.707107', '4925.58', '3.75', '-4904.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1720355', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '1', '0', '-3.21059e-08', '4912.62', '3.75', '-4900.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1720356', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '1', '0', '-3.21059e-08', '4921.58', '3.75', '-4900.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1720357', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '-0.707106', '0', '0.707107', '4944.66', '3.75', '-4891.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1720358', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_small_s01.iff', '0', '0', '0', '1', '4940.66', '3.75', '-4895.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1720359', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_small_s01.iff', '0', '0.707107', '0', '0.707107', '4934.66', '3.75', '-4891.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1720360', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0.707107', '0', '0.707107', '4934.66', '3.75', '-4891.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1720361', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0.707107', '0', '0.707107', '4939.66', '3.84033', '-4895.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1720362', '0', 'object/static/structure/naboo/shared_wall_a1_naboo_theed_style_1.iff', '0', '0', '0', '1', '5036.13', '2.11126', '-4964.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1720363', '0', 'object/static/structure/naboo/shared_wall_a1_naboo_theed_style_1.iff', '0', '0', '0', '1', '5015.4', '2.11126', '-4965.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1720365', '0', 'object/static/structure/naboo/shared_wallend_a1_naboo_theed_style_1.iff', '0', '0', '0', '1', '5046.97', '2.11126', '-4964.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1720366', '0', 'object/static/structure/naboo/shared_wall_a1_naboo_theed_style_1.iff', '0', '-0.707106', '0', '0.707108', '5047.78', '2.11126', '-4944.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1720367', '0', 'object/static/structure/naboo/shared_wall_a1_naboo_theed_style_1.iff', '0', '0.707107', '0', '-0.707107', '5047.91', '2.11126', '-4924.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1720368', '0', 'object/static/structure/naboo/shared_wall_a1_naboo_theed_style_1.iff', '0', '0.707107', '0', '0.707107', '5047.96', '2.11126', '-4921.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1720370', '0', 'object/static/structure/naboo/shared_wall_a1_naboo_theed_style_1.iff', '0', '1', '0', '3.48103e-07', '5027.92', '2.11126', '-4881.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1720371', '0', 'object/static/structure/naboo/shared_wall_a1_naboo_theed_style_1.iff', '0', '1', '0', '0', '5008.51', '2.11126', '-4881.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722354', '0', 'object/static/structure/naboo/shared_gate_narrow_s02.iff', '0', '0.714141', '0', '0.700002', '5048.21', '3.75', '-4896.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722359', '0', 'object/static/structure/naboo/shared_wallend_a1_naboo_theed_style_1.iff', '0', '0.707107', '0', '-0.707107', '5048.34', '2.11126', '-4881.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722360', '0', 'object/static/structure/naboo/shared_wallend_a1_naboo_theed_style_1.iff', '0', '1', '0', '3.4732e-07', '4998.89', '2.11126', '-4881.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722361', '0', 'object/static/structure/naboo/shared_gate_narrow_s02.iff', '0', '0.707109', '0', '-0.707104', '4977.55', '3.75', '-4914.52', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722363', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s02.iff', '0', '0.707109', '0', '-0.707104', '4977.79', '3.75', '-4918.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722364', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '-0.0338319', '0.702757', '-0.464508', '0.537793', '4838.56', '1.78711', '-4904.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722366', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0', '0', '1', '4839.08', '-3.2783', '-4918.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722367', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0', '0', '1', '4829.08', '-3.2783', '-4918.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722368', '0', 'object/static/structure/naboo/shared_street_bridge_s01.iff', '0', '0', '0', '1', '4834.08', '-3.2783', '-4918.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722370', '0', 'object/static/structure/naboo/shared_gate_wide_s01.iff', '0', '-0.319309', '0', '0.947651', '4682.41', '3.75', '-4798.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722371', '0', 'object/static/structure/naboo/shared_gate_narrow_s02.iff', '0', '0.402822', '0', '0.915278', '4972.9', '3.7853', '-4864.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722372', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s02.iff', '0', '-0.362358', '0', '0.932039', '4975.61', '3.7853', '-4867.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722373', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s02.iff', '0', '0.402822', '0', '0.915278', '4970.03', '3.7853', '-4861.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722375', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_sml_s03.iff', '0', '0.724287', '0', '-0.689498', '4975.52', '3.75', '-4867.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722376', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s02.iff', '0', '-0.015796', '0', '0.999875', '4975.96', '3.75', '-4877.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722378', '0', 'object/building/naboo/shared_housing_naboo_style_3.iff', '0', '0.707107', '0', '0.707107', '4848.78', '3.75', '-4803.31', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722381', '0', 'object/static/structure/naboo/shared_garden_gazebo_lg_s01.iff', '0', '0', '0', '1', '4844.27', '3.75', '-4783.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722385', '0', 'object/building/naboo/shared_filler_building_naboo_style_10.iff', '0', '0.944148', '0', '-0.329521', '4820.96', '3.75', '-4811.04', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722388', '0', 'object/static/structure/naboo/shared_wallend_a1_naboo_theed_style_1.iff', '0', '-0.319309', '0', '0.947651', '4676.44', '-0.708708', '-4802.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722389', '0', 'object/static/structure/naboo/shared_wallend_a1_naboo_theed_style_1.iff', '0', '0.947651', '0', '0.319309', '4688.34', '-0.587918', '-4793.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722390', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0.448423', '0', '0.893822', '4697.62', '-3.22568', '-4817.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722391', '0', 'object/static/structure/naboo/shared_street_bridge_s01.iff', '0', '0.448423', '0', '0.893822', '4694.63', '-3.23998', '-4813.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722392', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0.448423', '0', '0.893822', '4691.65', '-3.38824', '-4809.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722393', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s02.iff', '0', '-0.152893', '0', '0.988243', '4946.68', '6.60044', '-4707.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722394', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s01.iff', '0', '0.990794', '0', '0.135379', '4950.02', '6.5828', '-4718.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722395', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0.990105', '0', '0.140332', '4949.01', '6.59042', '-4715.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722396', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0.732231', '0', '-0.681056', '4944.84', '6.62582', '-4698.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722397', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0.79934', '0', '-0.600878', '4973.66', '6.47004', '-4690.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722398', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s01.iff', '0', '0.996322', '0', '0.0856914', '4945.09', '6.59844', '-4700.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722399', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s01.iff', '0', '0.802333', '0', '-0.596877', '4955.03', '6.8413', '-4696.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722400', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s02.iff', '0', '0.58258', '0', '0.812773', '4966.13', '6.73427', '-4692.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722401', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s01.iff', '-0.00685594', '0.761831', '-0.0164759', '-0.64753', '4946.38', '6.5999', '-4698.66', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722402', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0.805309', '0', '-0.592856', '4957.76', '6.91421', '-4694.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722403', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s01.iff', '0', '0.793291', '0', '-0.608843', '4971.8', '6.52546', '-4690.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722404', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s01.iff', '0', '0.990105', '0', '0.140332', '4975.9', '6.50763', '-4698.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722405', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '-0.140332', '0', '0.990105', '4974.92', '6.45433', '-4695.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722406', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '-0.140332', '0', '0.990105', '4978.23', '6.56945', '-4706.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722407', '0', 'object/static/structure/naboo/shared_gungan_filler_building_s01.iff', '0', '0.990105', '0', '0.140332', '4964.69', '-0.71516', '-4713.63', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722408', '0', 'object/static/structure/naboo/shared_gungan_statue_s01.iff', '0', '0.990105', '0', '0.140332', '4971.82', '15.0308', '-4714.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722409', '0', 'object/static/structure/naboo/shared_gungan_statue_s01.iff', '0', '0.990105', '0', '0.140332', '4958.31', '14.9975', '-4718.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722410', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s01.iff', '0', '0.994924', '0', '0.100626', '4980.87', '6.29966', '-4715.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722411', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s02.iff', '0', '0.990105', '0', '0.140332', '4981.84', '6.23233', '-4718.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722412', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s01.iff', '0.0837689', '0.623067', '0.0122437', '0.777574', '4960.87', '6.04495', '-4726.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722413', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s01.iff', '-0.0118486', '0.781665', '-0.0160359', '-0.623379', '4957.08', '6.11405', '-4727.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722414', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s02.iff', '0', '0.799339', '0', '-0.60088', '4953.61', '6.25017', '-4728.34', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722415', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s01.iff', '-0.0165316', '0.996152', '-0.00671959', '0.0858057', '4952.33', '6.38313', '-4727.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722416', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '-0.016427', '0.987741', '-0.00250455', '0.155217', '4952.41', '6.3273', '-4728.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722417', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s02.iff', '0', '0.987888', '0', '0.155167', '4979.58', '6.4623', '-4710.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722418', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0.00636721', '-0.110888', '-0.0322365', '0.993289', '4981.68', '6.21213', '-4720', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722419', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s02.iff', '0.0321254', '0.639642', '-0.0109708', '0.767923', '4980.46', '6.18733', '-4720.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722420', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s01.iff', '0.0182827', '0.607933', '-0.0155223', '0.793626', '4977.74', '6.16909', '-4720.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722421', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s01.iff', '-0.00524237', '0.828846', '-0.0105214', '-0.559354', '4974.36', '6.1186', '-4722.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722422', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s02.iff', '0', '0.990105', '0', '0.140332', '4964.48', '6.10752', '-4730.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722423', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s02.iff', '0', '-0.155167', '0', '0.987888', '4973.58', '6.22049', '-4726.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722424', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0.990105', '0', '0.140332', '4963.08', '6.04295', '-4726.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722425', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0.990105', '0', '0.140332', '4972.53', '6.08872', '-4722.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722426', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0.789504', '0', '-0.613746', '4965.84', '6.34137', '-4734.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722427', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0.574172', '0', '0.818734', '4974.88', '6.48236', '-4730.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722428', '0', 'object/static/structure/naboo/shared_gungan_statue_s02.iff', '0', '0.990105', '0', '0.140332', '4967.01', '6.06987', '-4733.52', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722430', '0', 'object/static/structure/naboo/shared_gungan_statue_s04.iff', '0', '0.990105', '0', '0.140332', '4973.65', '6.15241', '-4731.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722431', '0', 'object/static/installation/shared_mockup_mining_gas_harvester_style_1.iff', '0', '0', '0', '1', '4746.01', '3.75', '-4984.61', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722432', '0', 'object/static/installation/shared_mockup_mining_liquid_harvester_style_1.iff', '0', '-0.703562', '0', '0.710634', '4720.53', '3.75', '-5013.88', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722433', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0.999792', '0', '0.0203972', '4899.56', '3.75', '-4885.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722434', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '-0.0203965', '0', '0.999792', '4891.66', '3.72771', '-4882.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722435', '0', 'object/static/installation/shared_mockup_mining_liquid_harvester_style_1.iff', '0', '0.999893', '0', '0.0146013', '4896.73', '3.75', '-4889.24', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722436', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0', '0', '1', '5000.87', '3.4665', '-4961.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722437', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0', '0', '1', '5030.8', '3.75', '-4898.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722438', '0', 'object/static/installation/shared_mockup_mining_gas_harvester_style_1.iff', '0', '0', '0', '1', '5024.36', '3.75', '-4908.55', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722439', '0', 'object/static/installation/shared_mockup_mining_liquid_harvester_style_1.iff', '0', '0', '0', '1', '5018.81', '3.75', '-4886.25', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722452', '0', 'object/building/military/shared_mun_all_military_tower_impl_guard_s01.iff', '0', '0.717356', '0', '0.696707', '2540.96', '295.999', '-3883.65', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722453', '1722452', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722454', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '-0.237703', '0', '0.971338', '-1938.54', '2.43729', '-5488.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722458', '0', 'object/static/structure/general/shared_nboo_imprv_flower_urn_s01.iff', '0', '0', '0', '1', '4917.11', '3.75', '-4904.2', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722461', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '0', '0', '1', '4924.76', '4.75386', '-4901.63', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722462', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '0', '0', '1', '4909.44', '4.7503', '-4901.71', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722465', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '1', '0', '-3.20013e-08', '4910.22', '4.74036', '-4956.21', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722466', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '1', '0', '-3.20013e-08', '4926.42', '1.89187', '-4956.2', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722467', '0', 'object/static/structure/general/shared_nboo_imprv_flower_urn_s01.iff', '0', '1', '0', '-3.20013e-08', '4918.21', '3.75', '-4953.64', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722468', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_small_s01.iff', '0', '0.707107', '0', '0.707107', '4909.24', '3.75', '-4953.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722469', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0', '0', '1', '4913.24', '3.75', '-4957.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722470', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0', '0', '1', '4923.24', '3.75', '-4957.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722471', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_small_s01.iff', '0', '0', '0', '1', '4923.24', '3.75', '-4957.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722476', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '1', '0', '0', '4926.73', '4.75301', '-4956.04', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722489', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.916803', '0', '-0.399339', '4931.02', '3.75', '-4839.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722490', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.916803', '0', '-0.39934', '4946.89', '4.22434', '-4836.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722492', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.93384', '0', '-0.357693', '4908.91', '6.2482', '-4816.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722493', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.93384', '0', '-0.357693', '4892.64', '6.2482', '-4801.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722496', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.564642', '0', '0.825336', '4847.76', '11.1472', '-4761.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722499', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.964884', '0', '-0.262678', '4846.15', '3.75', '-4840.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722500', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.944148', '0', '-0.329521', '4814.56', '3.75', '-4819.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722503', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s02.iff', '0', '-0.434966', '0', '0.900447', '4748.73', '3.75', '-4827.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722504', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s02.iff', '0', '-0.434966', '0', '0.900447', '4740.29', '3.75', '-4840.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722505', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_sml_s03.iff', '0', '0.319309', '0', '0.947651', '4739.86', '3.75', '-4839.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722506', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.939099', '0', '-0.343646', '4722.43', '3.77772', '-4828.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722510', '0', 'object/static/structure/naboo/shared_archway_wide_s02.iff', '0', '0.936704', '0', '0.350123', '4702.21', '3.75', '-4905.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722511', '0', 'object/static/structure/naboo/shared_archway_wide_s02.iff', '0', '0.340739', '0', '0.940158', '4702', '3.75', '-4881.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722512', '0', 'object/static/structure/naboo/shared_archway_wide_s02.iff', '0', '0.707106', '0', '0.707107', '4708.01', '3.75', '-4893.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722513', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.999987', '0', '0.00500004', '4707.84', '3.75', '-4901.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722514', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.703562', '0', '0.710633', '4707.83', '3.75', '-4886.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722522', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0', '0', '1', '4801.5', '6.21658', '-4982.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722545', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '-0.707106', '0', '0.707107', '4861.98', '3.75', '-4940.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722546', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '-0.707106', '0', '0.707107', '4862', '3.75', '-4917.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722548', '0', 'object/static/installation/shared_mockup_mining_gas_harvester_style_1.iff', '0', '0', '0', '1', '4861.49', '3.75', '-4928.94', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722549', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0', '0', '1', '4815.43', '6.23495', '-4982.49', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722550', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0', '0', '1', '4794.96', '6.23026', '-4982.55', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722551', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0', '0', '1', '4716.48', '6.21521', '-4966.74', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722554', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0', '0', '1', '4727.65', '6.21521', '-4966.72', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722556', '0', 'object/static/structure/general/shared_nboo_imprv_flower_urn_s01.iff', '0', '-0.00499998', '0', '0.999987', '4732.69', '6.24931', '-4966.55', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722559', '0', 'object/static/structure/general/shared_nboo_imprv_flower_urn_s01.iff', '0', '0.710633', '0', '0.703563', '4711.11', '6.24931', '-4966.52', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722562', '0', 'object/static/structure/general/shared_nboo_imprv_flower_urn_s01.iff', '0', '-0.00499998', '0', '0.999987', '4687.62', '4.73', '-4904.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722565', '0', 'object/static/structure/general/shared_nboo_imprv_flower_urn_s01.iff', '0', '-0.707106', '0', '0.707108', '4687.61', '4.73', '-4882.76', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722567', '0', 'object/static/structure/naboo/shared_gungan_statue_s01.iff', '0', '0.933839', '0', '0.357693', '4684.1', '4.7303', '-4900.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722569', '0', 'object/static/structure/naboo/shared_gungan_statue_s03.iff', '0', '0.434966', '0', '0.900447', '4683.97', '4.76193', '-4886.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722570', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.933157', '0', '-0.359469', '4905.81', '3.75', '-4823.69', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722571', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.934943', '0', '-0.354799', '4885.84', '3.75', '-4805.66', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722578', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s01.iff', '0', '0', '0', '1', '4853.76', '4.2512', '-4841.85', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722579', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '-0.237703', '0', '0.971338', '4847.5', '4.22126', '-4839.29', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722580', '0', 'object/static/structure/naboo/shared_arbor_long_s01.iff', '0', '0.945784', '0', '-0.324796', '4835.74', '3.97136', '-4870.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722581', '0', 'object/static/structure/naboo/shared_arbor_corner_90_s01.iff', '0', '0.945784', '0', '-0.324796', '4840.66', '3.97136', '-4863.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722582', '0', 'object/static/structure/naboo/shared_arbor_long_s01.iff', '0', '-0.439105', '0', '0.898436', '4834', '3.97136', '-4856.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722583', '0', 'object/static/structure/naboo/shared_arbor_long_s01.iff', '0', '0.944148', '0', '-0.329521', '4793.7', '3.97136', '-4836.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722584', '0', 'object/static/structure/naboo/shared_arbor_corner_90_s01.iff', '0', '0.90062', '0', '0.434607', '4801.48', '3.97136', '-4830.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722585', '0', 'object/static/structure/naboo/shared_arbor_long_s01.iff', '0', '0.90062', '0', '0.434607', '4807.75', '3.97136', '-4835.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722586', '0', 'object/static/structure/naboo/shared_arbor_long_s01.iff', '0', '0.90062', '0', '0.434607', '4774.53', '3.97136', '-4877.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722587', '0', 'object/static/structure/naboo/shared_arbor_corner_90_s01.iff', '0', '0.329521', '0', '0.944148', '4767.95', '3.97136', '-4869.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722588', '0', 'object/static/structure/naboo/shared_arbor_long_s01.iff', '0', '0.329521', '0', '0.944148', '4772.92', '3.97136', '-4863.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722589', '0', 'object/static/structure/naboo/shared_arbor_long_s01.iff', '0', '0.32952', '0', '0.944148', '4814.91', '3.93974', '-4896.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722590', '0', 'object/static/structure/naboo/shared_arbor_corner_90_s01.iff', '0', '-0.434607', '0', '0.90062', '4807.12', '3.93974', '-4902.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1722591', '0', 'object/static/structure/naboo/shared_arbor_long_s01.iff', '0', '-0.434607', '0', '0.90062', '4800.85', '3.93974', '-4897.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1726353', '0', 'object/building/military/shared_mun_all_military_tower_impl_guard_s01.iff', '0', '0.99879', '0', '-0.0491837', '2369.26', '325.034', '-4100.48', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1726354', '1726353', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1726355', '0', 'object/building/military/shared_mun_all_military_tower_impl_guard_s01.iff', '0', '0.996738', '0', '0.0807085', '2121.41', '294.134', '-4185.77', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1726356', '1726355', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1726357', '0', 'object/building/military/shared_mun_all_military_tower_impl_guard_s01.iff', '0', '-0.390885', '0', '0.920439', '2173.73', '362.117', '-3693.49', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1726358', '1726357', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1726359', '0', 'object/building/military/shared_mun_all_military_tower_impl_guard_s01.iff', '0', '0.966595', '0', '-0.256311', '1904.91', '395.093', '-4023.55', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1726360', '1726359', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1726361', '0', 'object/building/military/shared_mun_all_military_tower_impl_guard_s01.iff', '0', '-0.297042', '0', '0.954865', '1710.48', '385', '-3670.99', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1726362', '1726361', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1726363', '0', 'object/building/military/shared_mun_all_military_tower_impl_guard_s01.iff', '0', '-0.263446', '0', '0.964674', '2341.59', '392.203', '-3556.2', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1726364', '1726363', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1726365', '0', 'object/building/military/shared_mun_all_military_tower_impl_guard_s01.iff', '0', '0.479427', '0', '0.877582', '2555.66', '352.257', '-3646.77', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1726366', '1726365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1726367', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.457339', '0', '0.889293', '1699.7', '12', '2713.43', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1726368', '0', 'object/static/structure/general/shared_nboo_imprv_flower_urn_s01.iff', '0', '0', '0', '1', '1698.54', '14.4624', '2712.39', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1726369', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.902268', '0', '0.431176', '1699.69', '12', '2700.63', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1726370', '0', 'object/static/structure/general/shared_nboo_imprv_flower_urn_s01.iff', '0', '0.605186', '0', '0.796084', '1698.5', '14.4624', '2701.54', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1726375', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '1', '0', '-3.20013e-08', '1776.78', '14.4666', '2546.97', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1726376', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '1', '0', '0', '1797.14', '14.4666', '2546.91', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1726377', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0', '0', '1', '1872.05', '12', '2600.42', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1726378', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '1', '0', '-3.20013e-08', '1872.02', '12', '2627.65', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741353', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_02.iff', '0', '-0.382683', '0', '0.92388', '5054.72', '-192', '6780.6', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741356', '0', 'object/building/naboo/shared_filler_building_naboo_style_6.iff', '0', '1', '0', '0', '5017.25', '-192', '6825.5', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741358', '0', 'object/building/naboo/shared_housing_naboo_style_1.iff', '0', '-0.382683', '0', '0.92388', '5034.04', '-189.438', '6741.06', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741359', '1741358', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741360', '1741358', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741361', '1741358', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741362', '1741358', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741363', '1741358', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741364', '1741358', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741365', '1741358', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741366', '0', 'object/building/naboo/shared_filler_building_naboo_style_10.iff', '0', '0.92766', '0', '-0.373426', '5046.33', '-192', '6811.14', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741369', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_02.iff', '0', '0.382683', '0', '0.92388', '5014.77', '-192', '6767.35', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741372', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_02.iff', '0', '0.92388', '0', '-0.382683', '4993.49', '-192', '6791.42', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741375', '0', 'object/building/naboo/shared_filler_nboo_bldg_64x32_style_01.iff', '0', '0.9218', '0', '0.387665', '4934.83', '-192', '6769.36', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741378', '0', 'object/building/naboo/shared_filler_nboo_bldg_64x32_s02.iff', '0', '0.869157', '0', '-0.494536', '4923.8', '-193.667', '6707.46', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741381', '0', 'object/building/naboo/shared_filler_building_naboo_style_6.iff', '0', '0.92388', '0', '-0.382683', '5065.29', '-192', '6767.2', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741382', '0', 'object/building/naboo/shared_filler_building_naboo_style_8.iff', '0', '0.382683', '0', '0.92388', '5009.59', '-192', '6795.88', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741384', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.382683', '0', '0.92388', '4972.31', '-192', '6819.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741385', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s02.iff', '0', '0.997189', '0', '0.0749299', '5001.22', '-192', '6829.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741387', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s02.iff', '0', '0.957698', '0', '0.287775', '4972.87', '-192', '6819.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741392', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.923879', '0', '0.382684', '4959.02', '-192', '6806.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741396', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.642458', '0', '0.766321', '5000.18', '-192.001', '6829.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741397', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.57098', '0', '0.820964', '4981.84', '-192', '6825.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741400', '0', 'object/building/naboo/shared_filler_building_naboo_style_8.iff', '0', '0.382683', '0', '0.92388', '5027.05', '-192', '6779.32', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741416', '0', 'object/building/naboo/shared_housing_naboo_style_3.iff', '0', '-0.307627', '0', '0.951507', '4994.19', '-192', '6624.93', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741419', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0.962833', '0', '-0.270098', '4970.84', '-192', '6627.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741420', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_lattice_s01.iff', '0', '0.958673', '0', '-0.28451', '4966.71', '-192', '6630.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741421', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_lattice_s01.iff', '0', '0.868566', '0', '-0.495574', '4960.16', '-192', '6634.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741422', '0', 'object/static/structure/naboo/shared_gate_narrow_s02.iff', '0', '0.94813', '0', '-0.317882', '4963.3', '-192', '6632.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741423', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0.495574', '0', '0.868566', '4957.53', '-192', '6639.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741424', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0.740018', '0', '0.672587', '4955.81', '-192.142', '6647.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741425', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0.99955', '0', '-0.0299956', '4978.95', '-192', '6624.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741428', '0', 'object/building/naboo/shared_filler_building_naboo_style_10.iff', '0', '-0.302867', '0', '0.953033', '5018.52', '-192', '6644.55', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741431', '0', 'object/building/naboo/shared_filler_building_naboo_style_5.iff', '0', '0.923879', '0', '0.382684', '5049', '-192', '6665.51', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741432', '0', 'object/static/structure/naboo/shared_gate_narrow_s02.iff', '0', '-0.382683', '0', '0.92388', '5034.86', '-192', '6689.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741434', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0.92388', '0', '-0.382683', '5043.63', '-192', '6685.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741435', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_lattice_s01.iff', '0', '0.382683', '0', '0.92388', '5040.01', '-192', '6689.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741436', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_lattice_s01.iff', '0', '0.382683', '0', '0.92388', '5030.12', '-192', '6685.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741437', '0', 'object/building/naboo/shared_hospital_naboo.iff', '0', '0.922536', '0', '0.38591', '5101.25', '-192', '6639.5', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741438', '1741437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741439', '1741437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825413', '1741439', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '19.3869', '0.26', '0.520323', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741440', '1741437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741441', '1741437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741442', '1741437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741443', '1741437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825414', '1741443', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-22.0848', '0.26', '-0.562906', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741444', '1741437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741445', '1741437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741446', '1741437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741447', '1741437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741448', '1741437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741449', '1741437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741450', '1741437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741451', '1741437', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741452', '0', 'object/building/naboo/shared_bank_naboo.iff', '0', '0.382683', '0', '0.92388', '5077.32', '-192.261', '6710', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741453', '0', 'object/building/naboo/shared_guild_combat_naboo_style_01.iff', '0', '0.923303', '0', '0.384073', '5099.73', '-192', '6775.97', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741454', '1741453', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741455', '1741453', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741456', '1741453', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741457', '1741453', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741458', '1741453', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741459', '1741453', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741460', '1741453', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741461', '1741453', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741462', '1741453', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741463', '0', 'object/building/naboo/shared_guild_university_naboo_style_01.iff', '0', '0.927957', '0', '0.372686', '5129.66', '-192', '6805.07', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741464', '1741463', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741465', '1741463', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741466', '1741463', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741467', '1741463', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741468', '1741463', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741469', '1741463', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741470', '1741463', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741471', '1741463', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741472', '1741463', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741473', '0', 'object/building/naboo/shared_hotel_naboo_theed.iff', '0', '0.918946', '0', '-0.394384', '5210.54', '-192', '6811.69', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741474', '1741473', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741475', '1741473', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741476', '1741473', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741477', '1741473', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143384', '1741477', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0', '0', '1', '4.40323', '1.18974', '-22.0038', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143385', '1741477', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0', '0', '1', '0.330011', '1.18884', '-21.9422', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143386', '1741477', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0', '0', '1', '8.44438', '1.18974', '-22.1263', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143387', '1741477', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '0', '0', '1', '9.52139', '1', '-16.1347', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143388', '1741477', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '0', '0', '1', '-1.1229', '0.999039', '-16.0751', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825546', '1741477', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '0.475873', '1', '-1.55419', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741478', '1741473', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '3555412', '1741478', 'object/static/item/shared_item_con_tato_cup_s2.iff', '0', '0', '0', '1', '20.3733', '1.91555', '11.2975', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '3555413', '1741478', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '20.189', '2.64287', '11.4821', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825527', '1741478', 'object/soundobject/shared_soundobject_cantina_medium.iff', '0', '0', '0', '1', '20.5839', '1.28309', '-1.54197', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741479', '1741473', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143389', '1741479', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '0', '0', '1', '-15.9336', '1.00054', '-0.0838829', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143390', '1741479', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '0', '0', '1', '-15.9195', '1.00055', '4.28565', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143391', '1741479', 'object/tangible/gambling/slot/shared_standard.iff', '0', '-0.707106', '0', '0.707107', '-12.3467', '1.00036', '-0.108027', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143392', '1741479', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.707106', '0', '0.707107', '-12.1442', '1.00022', '-0.128363', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143393', '1741479', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.716029', '0', '0.698072', '-12.007', '1.00048', '4.17731', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143394', '1741479', 'object/tangible/gambling/slot/shared_standard.iff', '0', '-0.698072', '0', '0.716028', '-12.2089', '1.00032', '4.20328', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085612', '1741479', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-19.2532', '1.6', '6.54717', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741480', '1741473', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741481', '1741473', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741482', '1741473', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741483', '1741473', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741484', '0', 'object/building/naboo/shared_association_hall_civilian_naboo.iff', '0', '-0.378797', '0', '0.92548', '5196.08', '-192', '6737.05', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741485', '1741484', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741486', '1741484', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741487', '1741484', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741488', '1741484', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741489', '1741484', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741490', '1741484', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741491', '1741484', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741492', '1741484', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741493', '1741484', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741494', '1741484', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '5036575', '1741494', 'object/static/item/shared_item_scrolling_screen.iff', '0', '0.714978', '0', '-0.699147', '1.79623', '4.67457', '-15.9241', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5036576', '1741494', 'object/static/item/shared_item_scrolling_screen.iff', '0', '0.707107', '0', '-0.707107', '-0.378582', '4.67164', '-16.0399', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5036577', '1741494', 'object/static/item/shared_item_tech_console_sectional_a.iff', '0', '0.710353', '0', '-0.703845', '12.8151', '1.75', '-6.98034', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5036578', '1741494', 'object/static/item/shared_item_tech_console_sectional_a.iff', '0', '0', '0', '1', '-6.96494', '1.75', '-15.4866', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8346078', '1741494', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '-0.21823', '0', '0.975897', '3.32412', '1.75', '-14.5408', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8346079', '1741494', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '0.155866', '0', '0.987778', '-3.6445', '1.75', '-14.5799', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8346111', '1741494', 'object/static/item/shared_item_tapestry_imperial.iff', '0', '-0.707106', '0', '0.707107', '4.17033', '5.14151', '-3.83952', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8346112', '1741494', 'object/static/item/shared_item_tapestry_imperial.iff', '0', '-0.707106', '0', '0.707107', '-3.8798', '5.19097', '-3.89784', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741495', '1741484', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085611', '1741495', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-0.487204', '1.75', '-19.8558', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741496', '1741484', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741497', '1741484', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741498', '1741484', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741499', '1741484', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741500', '1741484', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741501', '1741484', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741502', '0', 'object/building/naboo/shared_guild_commerce_naboo_style_01.iff', '0', '-0.382683', '0', '0.92388', '5168.15', '-192', '6701.08', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741503', '1741502', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741504', '1741502', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741505', '1741502', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741506', '1741502', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741507', '1741502', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741508', '1741502', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741509', '1741502', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741510', '1741502', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741511', '1741502', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741512', '0', 'object/building/naboo/shared_cloning_facility_naboo.iff', '0', '-0.0875865', '0', '0.996157', '5331.81', '-192', '6551.56', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741513', '1741512', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741514', '1741512', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741515', '1741512', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741516', '1741512', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741517', '1741512', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741518', '1741512', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741519', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_01.iff', '0', '0.281157', '0', '0.959662', '5214.68', '-192', '6581.77', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741521', '0', 'object/building/naboo/shared_filler_nboo_bldg_64x32_s02.iff', '0', '0.991562', '0', '-0.129634', '5260.7', '-192', '6558.1', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741524', '0', 'object/building/naboo/shared_filler_nboo_bldg_64x32_style_01.iff', '0', '-0.69642', '0', '0.717635', '5411.38', '-192', '6663.03', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741527', '0', 'object/building/naboo/shared_filler_nboo_bldg_64x32_style_01.iff', '0', '0.419322', '0', '0.907838', '5173.27', '-192', '6615.05', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741530', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_01.iff', '0', '-0.597515', '0', '0.801858', '5399.72', '-191.993', '6612.88', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741532', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_02.iff', '0', '-0.707105', '0', '0.707108', '5404.54', '-192', '6711', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741535', '0', 'object/building/naboo/shared_starport_naboo.iff', '0', '-0.648033', '0', '0.761613', '5295.29', '-192', '6664.33', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741536', '1741535', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741537', '1741535', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741538', '1741535', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741539', '1741535', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1270280', '1741539', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0.714142', '0', '-0.7', '-1.12528', '0.639421', '58.7617', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1270281', '1741539', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0.70413', '0', '0.710071', '0.983456', '0.639421', '58.7455', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4115561', '1741539', 'object/tangible/terminal/shared_terminal_newsnet.iff', '0', '0.66687', '0', '0.745174', '-15.7898', '0.639421', '54.6116', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4295420', '1741539', 'object/soundobject/shared_soundobject_starport_announcer.iff', '0', '0', '0', '1', '0.055758', '0.639421', '58.3791', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '4735418', '1741539', 'object/tangible/terminal/shared_terminal_newsnet.iff', '0', '0.710353', '0', '-0.703845', '15.4745', '0.639421', '54.2908', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741540', '1741535', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741541', '1741535', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741542', '1741535', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741543', '1741535', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741544', '1741535', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741545', '1741535', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '4295482', '1741545', 'object/tangible/terminal/shared_terminal_space.iff', '0', '-0.655918', '0', '0.754832', '-37.9775', '1.63942', '49.2154', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4295483', '1741545', 'object/tangible/terminal/shared_terminal_space.iff', '0', '-0.149833', '0', '0.988711', '-40.1982', '1.63942', '47.0182', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4295484', '1741545', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0.910545', '0', '0.413409', '-42.9678', '1.63942', '51.1889', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741546', '1741535', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741547', '1741535', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741548', '1741535', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741549', '1741535', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741550', '1741535', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336231', '1741535', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741551', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_2.iff', '0', '0.999983', '0', '-0.00579701', '5222.62', '-192', '6699.72', '256', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741552', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_2.iff', '0', '0.999983', '0', '-0.00579701', '5214.53', '-192', '6653.93', '256', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741553', '0', 'object/building/naboo/shared_shuttleport_naboo.iff', '0', '0.391903', '0', '0.920007', '5137.24', '-192', '6601.6', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1741554', '0', 'object/building/naboo/shared_parking_garage_naboo_style_1.iff', '0', '0.929516', '0', '0.368784', '5109.11', '-192', '6573.89', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744377', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0.569089', '0', '0.822276', '4989.91', '-200.29', '6833.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744378', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0.569089', '0', '0.822276', '4985.68', '-207.166', '6845.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744379', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0.569089', '0', '0.822276', '4982.16', '-207.166', '6854.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744380', '0', 'object/static/structure/naboo/shared_bridge_stairs_s01.iff', '0', '0.569089', '0', '0.822276', '4988.5', '-200.29', '6837.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744381', '0', 'object/static/structure/naboo/shared_bridge_stairs_s01.iff', '0', '0.569089', '0', '0.822276', '4980.75', '-207.166', '6858.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744382', '0', 'object/static/structure/naboo/shared_elevated_walkway_s01.iff', '0', '0.569089', '0', '0.822276', '4983.92', '-207.166', '6849.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744385', '0', 'object/static/structure/naboo/shared_gate_wide_s01.iff', '0', '-0.0998333', '0', '0.995004', '4990.91', '-192', '6827.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744388', '0', 'object/static/structure/naboo/shared_gate_wide_s01.iff', '0', '-0.382683', '0', '0.92388', '4965.6', '-192', '6812.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744390', '0', 'object/static/structure/naboo/shared_gate_narrow_s02.iff', '0', '0.92388', '0', '0.382683', '4969.3', '-192', '6788.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744391', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_lattice_s01.iff', '0', '0.382683', '0', '0.92388', '4971.74', '-192', '6790.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744392', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_lattice_s01.iff', '0', '0.382683', '0', '0.92388', '4966.77', '-192', '6785.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744395', '0', 'object/static/structure/naboo/shared_gate_narrow_s02.iff', '0', '0.964382', '0', '0.264513', '4997.58', '-192', '6814.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744396', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_lattice_s01.iff', '0', '0.494882', '0', '0.86896', '4994.52', '-192', '6813.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744397', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_lattice_s01.iff', '0', '0.494882', '0', '0.86896', '5000.57', '-192', '6816.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744398', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_lg_s01.iff', '0', '-0.059964', '0', '0.998201', '5007.02', '-192', '6818.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744401', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_lg_s02.iff', '0', '-0.139543', '0', '0.990216', '5001.37', '-192', '6817.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744402', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_lg_s02.iff', '0', '0.936705', '0', '0.35012', '4993.74', '-192', '6812.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744404', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_lg_s02.iff', '0', '0.916042', '0', '0.401083', '4989.11', '-192', '6808.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744405', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_lg_s02.iff', '0', '-0.382683', '0', '0.92388', '4972.3', '-192', '6791.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744407', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_lg_s02.iff', '0', '-0.382683', '0', '0.92388', '4976.66', '-192', '6795.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744408', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_lg_s02.iff', '0', '0.92388', '0', '0.382683', '4961.75', '-192', '6780.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744409', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_lg_s02.iff', '0', '0.92388', '0', '0.382683', '4966.1', '-192', '6785.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744410', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_sml_s01.iff', '0', '0.812307', '0', '-0.58323', '4980.53', '-205.134', '6866.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744411', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_sml_s01.iff', '0', '0.812308', '0', '-0.58323', '4975.83', '-205.039', '6864.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744412', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_lattice_s01.iff', '0', '0.813647', '0', '-0.581359', '4980.31', '-205.829', '6867.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744413', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_lattice_s01.iff', '0', '0.813647', '0', '-0.581359', '4975.6', '-205.829', '6865.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744426', '0', 'object/static/structure/naboo/shared_bridge_stairs_s01.iff', '0', '0.516449', '0', '0.856318', '4958.51', '-199.328', '6821.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744427', '0', 'object/static/structure/naboo/shared_elevated_walkway_s01.iff', '0', '0.516449', '0', '0.856318', '4952.45', '-206.205', '6832.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744429', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0.516449', '0', '0.856318', '4960.38', '-199.286', '6817.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744430', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0.516449', '0', '0.856318', '4954.78', '-206.205', '6828.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744431', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0.516449', '0', '0.856318', '4950.12', '-206.176', '6836.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744440', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.494882', '0', '0.86896', '5037.93', '-192', '6645.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744441', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s01.iff', '0', '0.494882', '0', '0.86896', '5048.15', '-192', '6628.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744442', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.494882', '0', '0.86896', '5048.64', '-192', '6627.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744444', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s01.iff', '0', '0.499221', '0', '0.866475', '5058.49', '-192', '6610.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744445', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s01.iff', '0', '0.391903', '0', '0.920006', '5084.62', '-191.977', '6580.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744446', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.33603', '0', '0.941851', '5072.19', '-191.969', '6593.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744447', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.903599', '0', '-0.42838', '5058.89', '-191.97', '6609.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744448', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s01.iff', '0', '0.42838', '0', '0.903599', '5071.56', '-191.969', '6594.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744449', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.924909', '0', '-0.380189', '5085.15', '-192.045', '6579.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744450', '0', 'object/static/installation/shared_mockup_power_generator_wind_style_1.iff', '0', '0.914213', '0', '0.405235', '5143.78', '-192', '6570.4', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744451', '0', 'object/static/installation/shared_mockup_power_generator_wind_style_1.iff', '0', '-0.54028', '0', '0.841485', '5173.97', '-192', '6548.44', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744453', '0', 'object/static/installation/shared_mockup_power_generator_photo_bio_style_1.iff', '0', '0.925781', '0', '-0.378059', '5197.36', '-192', '6554.52', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744454', '0', 'object/static/installation/shared_mockup_power_generator_wind_style_1.iff', '0', '0.948985', '0', '-0.315322', '5195.37', '-192', '6546.21', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744466', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.983083', '0', '-0.183163', '5067.9', '-191.304', '6617.67', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744467', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.449845', '0', '0.893107', '5067.13', '-192', '6618.25', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744468', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0.317972', '0.678621', '-0.385088', '-0.538585', '5068.36', '-191.552', '6617.12', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744469', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.37166', '0', '0.928369', '5067.87', '-192', '6617.68', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744471', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '0.874789', '0', '-0.484504', '5069.14', '-192', '6616.23', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744472', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0.710353', '0', '-0.703846', '5065.97', '-192', '6619.45', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744474', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '-0.707106', '0', '0.707108', '5065.5', '-192', '6619.93', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744475', '0', 'object/static/installation/shared_mockup_power_generator_photo_bio_style_1.iff', '0', '0.92388', '0', '-0.382683', '5080.98', '-192', '6601.32', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744477', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s02.iff', '0', '-0.382683', '0', '0.92388', '5092.01', '-192', '6597.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744478', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.382683', '0', '0.92388', '5084.47', '-192.198', '6589.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744481', '0', 'object/static/structure/naboo/shared_wall_naboo_theed_style_1.iff', '0', '-0.382683', '0', '0.92388', '5148', '-193.806', '6580', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744482', '0', 'object/static/structure/naboo/shared_wall_naboo_theed_style_1.iff', '0', '0.92388', '0', '0.382683', '5147.95', '-193.803', '6579.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744483', '0', 'object/static/structure/naboo/shared_wall_naboo_theed_style_1.iff', '0', '0.923879', '0', '-0.382684', '5163', '-193.806', '6594', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744485', '0', 'object/static/structure/naboo/shared_wall_naboo_theed_style_1.iff', '0', '0.215984', '0', '0.976397', '5159.13', '-193.806', '6550.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744487', '0', 'object/static/structure/naboo/shared_gate_narrow_s02.iff', '0', '0.92388', '0', '-0.382683', '5136.86', '-192', '6562.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744488', '0', 'object/static/structure/naboo/shared_wall_naboo_theed_style_1.iff', '0', '0.215984', '0', '0.976397', '5178.33', '-193.806', '6541.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744489', '0', 'object/static/structure/naboo/shared_wall_naboo_theed_style_1.iff', '0', '0', '0', '1', '5199.67', '-193.806', '6541.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744491', '0', 'object/static/structure/naboo/shared_wallend_naboo_theed_style_1.iff', '0', '-0.382683', '0', '0.92388', '5206.99', '-193.806', '6549.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744493', '0', 'object/static/structure/naboo/shared_wallend_naboo_theed_style_1.iff', '0', '0.924909', '0', '-0.380188', '5200.38', '-193.806', '6556.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744494', '0', 'object/static/structure/naboo/shared_wallend_naboo_theed_style_1.iff', '0', '0.923879', '0', '-0.382684', '5178.26', '-193.806', '6578.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744495', '0', 'object/static/structure/naboo/shared_wallend_naboo_theed_style_1.iff', '0', '0.380188', '0', '0.924909', '5199.99', '-193.806', '6557.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744496', '0', 'object/static/structure/naboo/shared_gate_narrow_s02.iff', '0', '0.382683', '0', '0.92388', '5189.18', '-192', '6568.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744498', '0', 'object/static/installation/shared_mockup_mining_gas_harvester_style_1.iff', '0', '0.844589', '0', '0.535416', '5150.75', '-192', '6558.69', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744499', '0', 'object/static/installation/shared_mockup_factory_item_style_1.iff', '0', '0.709013', '0', '0.705196', '5185.19', '-192', '6548.1', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744501', '0', 'object/static/installation/shared_mockup_factory_machine_style_1.iff', '0', '-0.382683', '0', '0.92388', '5165.31', '-191.869', '6570.82', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744502', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0.149438', '0', '0.988771', '5135.6', '-193.4', '6728.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744503', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_large_s01.iff', '0', '0.0349929', '0', '0.999388', '5126.82', '-192', '6720.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744504', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '-0.0699428', '0', '0.997551', '5126.13', '-193.4', '6720.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744505', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_large_s01.iff', '0', '0.999388', '0', '-0.0349929', '5144.27', '-192', '6736.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744506', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0.997551', '0', '0.0699428', '5143.17', '-193.4', '6736.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744508', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0.997551', '0', '0.0699428', '5160.48', '-193.4', '6753.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744509', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_large_s01.iff', '0', '0.0349929', '0', '0.999388', '5144.2', '-192', '6736.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744510', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0.13459', '0', '0.990901', '5153', '-193.4', '6745.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744511', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_large_s01.iff', '0', '0.0349929', '0', '0.999388', '5161.42', '-192', '6753.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744512', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0.124675', '0', '0.992198', '5170.16', '-193.4', '6762.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744513', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0.998988', '0', '0.0449848', '5178.03', '-193.4', '6770.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744514', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_large_s01.iff', '0', '0.999388', '0', '-0.0349929', '5178.83', '-192', '6770.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744515', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_large_s01.iff', '0', '0.0349929', '0', '0.999388', '5178.46', '-192', '6770.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744516', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0.13459', '0', '0.990901', '5187.2', '-193.4', '6778.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744517', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0.990216', '0', '-0.139543', '5168.04', '-193.4', '6780.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744518', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_large_s01.iff', '0', '0.999388', '0', '-0.0349929', '5176.84', '-192', '6789.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744519', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0.995953', '0', '0.0898785', '5177.46', '-193.4', '6789.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744520', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_large_s01.iff', '0', '0.0349929', '0', '0.999388', '5159.39', '-192', '6772.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744521', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '-0.0649542', '0', '0.997888', '5160.34', '-193.4', '6773.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744523', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '-0.0349928', '0', '0.999388', '5143.14', '-193.4', '6755.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744524', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_large_s01.iff', '0', '0.999388', '0', '-0.0349929', '5159.46', '-192', '6772.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744525', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0.988771', '0', '-0.149438', '5150.67', '-193.4', '6764.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744526', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_large_s01.iff', '0', '0.999388', '0', '-0.0349929', '5142.48', '-192', '6755.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744527', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0.990901', '0', '-0.13459', '5133.76', '-193.4', '6747.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744529', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_large_s01.iff', '0', '0.0349929', '0', '0.999388', '5125.13', '-192', '6739.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744530', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_large_s01.iff', '0', '0.999388', '0', '-0.0349929', '5125.21', '-192', '6739.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744531', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0.989506', '0', '-0.144492', '5116.43', '-193.4', '6730.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744532', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_1.iff', '0', '-0.594899', '0', '0.803801', '5138.33', '-192', '6750.82', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744535', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_1.iff', '0', '0.174882', '0', '0.984589', '5120.84', '-192', '6735.25', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744536', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_1.iff', '0', '0.870028', '0', '-0.493002', '5130.65', '-192', '6724.53', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744537', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_1.iff', '0', '0.251077', '0', '0.967967', '5148.6', '-192', '6741.1', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744545', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_1.iff', '0', '0.765794', '0', '-0.643086', '5155.22', '-192', '6768.77', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744546', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_1.iff', '0', '0.964459', '0', '0.264234', '5165.9', '-192', '6757.78', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744547', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_1.iff', '0', '0.433735', '0', '0.90104', '5173.15', '-192', '6785.25', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744548', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_1.iff', '0', '0.94957', '0', '0.313554', '5182.75', '-192', '6774.26', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744551', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0.144492', '0', '0.989506', '5150.19', '-192', '6762.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744558', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0.13459', '0', '0.990901', '5153.42', '-192', '6746.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744560', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.0699428', '0', '0.997551', '5124.53', '-192', '6720.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744561', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '5116.52', '-192', '6729.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744562', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0.13459', '0', '0.990901', '5187.66', '-192', '6780.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744563', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.0898786', '0', '0.995953', '5179.07', '-192', '6789.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744598', '0', 'object/static/structure/naboo/shared_fountain_naboo_style_1.iff', '0', '-0.380188', '0', '0.924909', '5151.84', '-192.118', '6754.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744605', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0.760889', '0', '0.648882', '5147.59', '-191.968', '6751.82', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744606', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0.938332', '0', '-0.345735', '5149', '-191.968', '6750.4', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744607', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '-0.453853', '0', '0.891077', '5156.11', '-191.968', '6757.43', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744608', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0.864012', '0', '-0.503471', '5154.7', '-191.968', '6758.85', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744609', '0', 'object/static/structure/naboo/shared_obelisk_naboo_theed_style_1.iff', '0', '0.382683', '0', '0.92388', '5134.69', '-192', '6737.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744610', '0', 'object/static/structure/naboo/shared_obelisk_naboo_theed_style_1.iff', '0', '0.382683', '0', '0.92388', '5169.2', '-192', '6771.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744629', '0', 'object/tangible/furniture/all/shared_frn_all_chair_wooden_s1.iff', '0', '0', '0', '1', '4962', '-206.854', '6886', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744632', '0', 'object/tangible/furniture/all/shared_frn_all_chair_wooden_s1.iff', '0', '0', '0', '1', '4960', '-206.88', '6886', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744633', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '-0.203567', '0', '0', '0.979061', '4961', '-206.869', '6886', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744634', '0', 'object/tangible/furniture/all/shared_frn_all_chair_wooden_s1.iff', '0', '-0.174108', '0', '0.984727', '4979.72', '-206.441', '6887.26', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744635', '0', 'object/tangible/furniture/all/shared_frn_all_chair_wooden_s1.iff', '0', '-0.174108', '0', '0.984727', '4977.84', '-206.475', '6886.57', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744636', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '-0.165976', '-0.190973', '-0.0327819', '0.966906', '4978.73', '-206.48', '6887.33', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744640', '0', 'object/tangible/furniture/all/shared_frn_all_chair_wooden_s1.iff', '0', '0.203567', '0', '0.979061', '4944.76', '-207.196', '6892.2', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744641', '0', 'object/tangible/furniture/all/shared_frn_all_chair_wooden_s1.iff', '0', '0.203567', '0', '0.979061', '4942.92', '-207.166', '6893', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744642', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '-0.199305', '0.199305', '-0.0414395', '0.95856', '4943.74', '-207.017', '6892.59', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744643', '0', 'object/tangible/furniture/all/shared_frn_all_chair_wooden_s1.iff', '0', '0', '0', '1', '4980.09', '-206.921', '6899.73', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744644', '0', 'object/tangible/furniture/all/shared_frn_all_chair_wooden_s1.iff', '0', '0', '0', '1', '4978.09', '-207.005', '6899.73', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744645', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '-0.203567', '0', '0', '0.979061', '4979.09', '-206.962', '6899.73', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744646', '0', 'object/tangible/furniture/all/shared_frn_all_chair_wooden_s1.iff', '0', '0', '0', '1', '4952.92', '-207.652', '6900.81', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744647', '0', 'object/tangible/furniture/all/shared_frn_all_chair_wooden_s1.iff', '0', '0', '0', '1', '4950.92', '-207.657', '6900.81', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744648', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '-0.203567', '0', '0', '0.979061', '4951.92', '-207.656', '6900.81', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744649', '0', 'object/tangible/furniture/all/shared_frn_all_chair_wooden_s1.iff', '0', '0', '0', '1', '4948.08', '-206.324', '6877.43', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744650', '0', 'object/tangible/furniture/all/shared_frn_all_chair_wooden_s1.iff', '0', '0', '0', '1', '4946.08', '-206.3', '6877.43', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744651', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '-0.203567', '0', '0', '0.979061', '4947.08', '-206.313', '6877.43', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744688', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_sml_s01.iff', '0', '0.843141', '0', '-0.537693', '4947.36', '-203.331', '6848', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744689', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_sml_s01.iff', '0', '0.843141', '0', '-0.537693', '4942.78', '-203.331', '6845.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744690', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_lattice_s01.iff', '0', '0.844376', '0', '-0.535752', '4947.06', '-204.038', '6848.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744691', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_lattice_s01.iff', '0', '0.844376', '0', '-0.535752', '4942.48', '-204.038', '6846.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744692', '0', 'object/static/structure/naboo/shared_bridge_stairs_s01.iff', '0', '0.518757', '0', '0.854922', '4947.99', '-206.215', '6841.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744721', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.501213', '0', '0.865324', '4803', '-208.359', '6905.89', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744722', '0', 'object/static/structure/general/shared_skeleton_bith_head.iff', '0', '-0.104807', '0', '0.994493', '4803.17', '-208.327', '6906.07', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744723', '0', 'object/static/structure/tatooine/shared_pillar_watto_junkshop.iff', '0', '-0.636537', '0', '0.771246', '4804.43', '-209.174', '6906.81', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744724', '0', 'object/static/structure/tatooine/shared_pillar_watto_junkshop.iff', '0', '-0.572867', '0', '0.819648', '4803.86', '-210.042', '6905.08', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744726', '0', 'object/static/structure/tatooine/shared_pillar_watto_junkshop.iff', '0', '-0.572867', '0', '0.819648', '4802.22', '-210.841', '6905.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744772', '0', 'object/tangible/furniture/all/shared_frn_all_chair_wooden_s1.iff', '0', '0', '0', '1', '5160.55', '-192', '6843.8', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744773', '0', 'object/tangible/furniture/all/shared_frn_all_chair_wooden_s1.iff', '0', '0', '0', '1', '5158.55', '-192', '6843.8', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744774', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '-0.203567', '0', '0', '0.979061', '5159.55', '-192', '6843.8', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744779', '0', 'object/tangible/furniture/all/shared_frn_all_chair_wooden_s1.iff', '0', '0.174108', '0', '0.984727', '5147.59', '-192', '6848.63', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744780', '0', 'object/tangible/furniture/all/shared_frn_all_chair_wooden_s1.iff', '0', '0.174108', '0', '0.984727', '5145.71', '-192.012', '6849.31', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744781', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '-0.200458', '0.170463', '0.0354427', '0.964107', '5146.65', '-191.934', '6848.96', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744782', '0', 'object/tangible/furniture/all/shared_frn_all_chair_wooden_s1.iff', '0', '-0.169182', '0', '0.985585', '5169.66', '-192', '6850.03', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744783', '0', 'object/tangible/furniture/all/shared_frn_all_chair_wooden_s1.iff', '0', '-0.169182', '0', '0.985585', '5167.77', '-192', '6849.37', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744784', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '-0.215084', '-0.165105', '-0.0369206', '0.96183', '5168.76', '-191.878', '6849.63', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744785', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '-0.361985', '0', '0.932184', '5143.2', '-192', '6823.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744788', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0.945164', '0', '-0.326595', '5176.34', '-192', '6826.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744789', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '-0.126563', '0', '0.991959', '5150.77', '-192', '6827.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744790', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_lattice_s01.iff', '0', '-0.111669', '0', '0.993745', '5155.5', '-192', '6828.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744791', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0.999836', '0', '-0.0180962', '5168.24', '-192', '6829.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744792', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_lattice_s01.iff', '0', '0.018096', '0', '0.999836', '5163.21', '-192', '6829.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744793', '0', 'object/static/structure/naboo/shared_gate_narrow_s02.iff', '0', '-0.0867933', '0', '0.996226', '5159.3', '-192', '6829.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744794', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '-0.347962', '0', '0.937509', '5069.54', '-192', '6808.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744795', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0.92766', '0', '-0.373425', '5102.31', '-192', '6809.66', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744796', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '-0.1067', '0', '0.994291', '5077.23', '-192', '6812.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744797', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_lattice_s01.iff', '0', '-0.04189', '0', '0.999122', '5082.11', '-192', '6813.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744798', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0.999605', '0', '-0.0280933', '5094.63', '-192', '6813.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1744799', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_lattice_s01.iff', '0', '0.0330909', '0', '0.999452', '5089.6', '-192', '6813.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1765354', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.382683', '0', '0.92388', '5147.87', '-190.938', '6579.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785352', '0', 'object/static/structure/naboo/shared_seawall_corner.iff', '0', '0.0399893', '0', '0.9992', '-5658.41', '0', '4320.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785353', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_1.iff', '0', '0.0449849', '0', '0.998988', '-5661.38', '0', '4321.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785355', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_1.iff', '0', '0.731146', '0', '0.682221', '-5660.13', '0', '4311.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785356', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_1.iff', '0', '0.581035', '0', '0.813878', '-5650.9', '0.0689778', '4269.66', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785357', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_1.iff', '0', '0.581035', '0', '0.813878', '-5645.74', '0.0689778', '4254.59', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785358', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_4.iff', '0', '0.734548', '0', '0.678556', '-5582.26', '0.0505762', '4110.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785360', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_2.iff', '0', '0.940806', '0', '0.338946', '-5585.77', '0.190621', '4079.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785361', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_2.iff', '0', '0.522689', '0', '0.852524', '-5646.18', '0.221359', '4253.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785363', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_2.iff', '0', '0.737931', '0', '0.674876', '-5588.17', '-0.571365', '4076.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785386', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_2.iff', '0', '0.648036', '0', '0.76161', '-5580.76', '0.221359', '4143.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785387', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_1.iff', '0', '0.593498', '0', '0.804835', '-5295.14', '0', '4545.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785388', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_1.iff', '0', '0.593497', '0', '0.804836', '-5275.09', '0', '4482.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785389', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_2.iff', '0', '0.849481', '0', '0.52762', '-5265.3', '0.0988835', '4326.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785390', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_1.iff', '0', '0.986353', '0', '0.164647', '-5274.81', '0', '4460.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785425', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_4.iff', '0', '0.854714', '0', '0.519099', '-5315.98', '0.126775', '4227', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785428', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '-0.373426', '0', '0.92766', '4981.38', '-192', '6805.09', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785431', '0', 'object/tangible/furniture/elegant/shared_love_seat_s01.iff', '0', '0.391903', '0', '0.920006', '4978.09', '-192', '6801.9', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785432', '0', 'object/tangible/furniture/elegant/shared_love_seat_s01.iff', '0', '0.920004', '0', '-0.391908', '4982.8', '-192', '6806.51', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785451', '0', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '-0.382683', '0', '0.92388', '4980.92', '-192', '6801.9', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785453', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0.382683', '0', '0.92388', '4979.5', '-192', '6803.31', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785459', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_2.iff', '0', '0.737931', '0', '0.674876', '-5323.94', '0.22756', '4212.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785465', '0', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '-0.382683', '0', '0.92388', '4983.04', '-192', '6804.02', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785471', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0.0998333', '0', '0.995004', '4978.25', '-192', '6820.19', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785474', '0', 'object/tangible/furniture/elegant/shared_love_seat_s01.iff', '0', '0.774167', '0', '0.632981', '4976.29', '-192', '6820.59', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785475', '0', 'object/tangible/furniture/elegant/shared_love_seat_s01.iff', '0', '0.995004', '0', '-0.0998351', '4978.65', '-192', '6822.15', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785480', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0.794058', '0', '-0.607842', '4979.54', '-192', '6800.34', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785481', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '-0.101165', '0', '0.99487', '4984.56', '-192', '6805.25', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785491', '0', 'object/static/structure/naboo/shared_seawall_corner.iff', '0', '0.329145', '0', '0.944279', '-5284.65', '0.162507', '4110.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785503', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '-0.564971', '0', '0.825111', '4975.03', '-192', '6811.9', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785504', '0', 'object/tangible/furniture/elegant/shared_love_seat_s01.iff', '0', '-0.564971', '0', '0.825111', '4976.89', '-192', '6811.18', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785505', '0', 'object/tangible/furniture/elegant/shared_love_seat_s01.iff', '0', '0.825111', '0', '0.564971', '4973.16', '-192', '6812.63', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785506', '0', 'object/tangible/furniture/elegant/shared_love_seat_s01.iff', '0', '0.183947', '0', '0.982936', '4974.3', '-192', '6810.04', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785507', '0', 'object/tangible/furniture/elegant/shared_love_seat_s01.iff', '0', '0.982936', '0', '-0.183949', '4975.75', '-192', '6813.77', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785509', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_sml_s02.iff', '0', '0.652136', '0', '0.758102', '4971.6', '-192', '6810.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785512', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_sml_s02.iff', '0', '0.92388', '0', '-0.382683', '4974.8', '-192', '6803.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785514', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_sml_s01.iff', '0', '0.663433', '0', '0.748236', '4972', '-192', '6807.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785517', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_sml_s02.iff', '0', '-0.707106', '0', '0.707107', '4989.08', '-192', '6814.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785518', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_sml_s02.iff', '0', '0.514477', '0', '0.857504', '4987.25', '-192', '6820.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785524', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_1.iff', '0', '-0.141734', '0', '0.989905', '4983.42', '-192', '6822.42', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785526', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_1.iff', '0', '-0.000697757', '0', '1', '4986.47', '-192', '6809.15', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785528', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_1.iff', '0', '-0.581944', '0', '0.813229', '4973.12', '-192', '6815.72', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785536', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0.0898786', '0', '0.995953', '4983.99', '-192', '6812.4', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785537', '0', 'object/tangible/furniture/elegant/shared_love_seat_s01.iff', '0', '0.0898786', '0', '0.995953', '4983.63', '-192', '6810.43', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785538', '0', 'object/tangible/furniture/elegant/shared_love_seat_s01.iff', '0', '0.995953', '0', '-0.0898786', '4984.35', '-192', '6814.37', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785539', '0', 'object/tangible/furniture/elegant/shared_love_seat_s01.iff', '0', '0.767799', '0', '0.640691', '4982.03', '-192', '6812.76', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785540', '0', 'object/tangible/furniture/elegant/shared_love_seat_s01.iff', '0', '-0.640689', '0', '0.7678', '4985.96', '-192', '6812.04', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785543', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '-0.448014', '0', '0.894026', '4974.59', '-192', '6819.64', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785544', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0.999554', '0', '-0.0298637', '4980.27', '-192', '6823.52', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785547', '0', 'object/static/structure/naboo/shared_seawall_rocks_naboo_theed_style_1.iff', '-0.013435', '0.90431', '-0.00666968', '0.426612', '-5410.54', '-0.792762', '3961.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785548', '0', 'object/static/structure/naboo/shared_seawall_rocks_naboo_theed_style_1.iff', '-0.0322875', '0.922123', '-0.0134914', '0.385312', '-5441.94', '-1.41702', '3927.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785549', '0', 'object/static/structure/naboo/shared_seawall_rocks_naboo_theed_style_1.iff', '0.0184137', '0.920564', '0.00780261', '0.390079', '-5426.55', '0.780011', '3944.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785551', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_1.iff', '0', '0.857299', '0', '-0.514819', '-5440.12', '0', '3922.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785552', '0', 'object/static/flora/shared_flora_tree_palm_thk.iff', '0', '-0.0749296', '0', '0.997189', '5026.82', '-192', '6770.89', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785553', '0', 'object/static/flora/shared_flora_tree_palm_fngi.iff', '0', '0.936177', '0', '0.351529', '5048.9', '-192', '6789.59', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785566', '0', 'object/static/flora/shared_flora_tree_palm_sm.iff', '0', '0.845338', '0', '0.534231', '5141.73', '-192', '6838.27', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785568', '0', 'object/static/flora/shared_flora_tree_palm_fngi.iff', '0', '0.946613', '0', '0.322371', '5123.28', '-192', '6837.92', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785569', '0', 'object/static/flora/shared_flora_tree_palm_sm.iff', '0', '0.946613', '0', '0.322371', '5122.52', '-192', '6836.72', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785582', '0', 'object/static/flora/shared_flora_tree_palm_sm.iff', '0.00934185', '-0.0743451', '-0.124324', '0.989408', '5082.93', '-191.857', '6813.13', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785583', '0', 'object/static/flora/shared_flora_tree_palm_sm.iff', '-0.14403', '0.986341', '-0.0115471', '0.079076', '5088.67', '-191.668', '6813.45', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785584', '0', 'object/static/flora/shared_flora_tree_palm_sm.iff', '0.009342', '-0.074345', '-0.124324', '0.989408', '5082.89', '-192', '6813.97', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785585', '0', 'object/static/flora/shared_flora_tree_palm_sm.iff', '-0.14403', '0.986341', '-0.011547', '0.079076', '5088.63', '-191.811', '6814.29', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785586', '0', 'object/static/flora/shared_flora_tree_palm_thk.iff', '0', '0.946178', '0', '0.323648', '5095.48', '-192', '6825.21', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785587', '0', 'object/static/flora/shared_flora_tree_palm_fngi.iff', '0', '0.946178', '0', '0.323648', '5090.6', '-192', '6834.53', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785588', '0', 'object/static/flora/shared_flora_tree_palm_fngi.iff', '0', '0.826601', '0', '0.562788', '5093.86', '-192', '6834.9', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785589', '0', 'object/static/flora/shared_flora_tree_palm_fngi.iff', '0', '0.911666', '0', '-0.410932', '5153.84', '-192', '6834.22', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785590', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_1.iff', '0', '0.412321', '0', '0.911039', '-5252.36', '0', '4175.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785591', '0', 'object/static/flora/shared_flora_tree_palm_thk.iff', '0', '0.546503', '0', '0.837457', '5136.97', '-192', '6846.29', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785592', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_1.iff', '0', '0.448423', '0', '0.893821', '-5271.11', '0', '4199.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785593', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_4.iff', '0', '-0.514136', '0', '0.857709', '-5270.88', '0.189807', '4247.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785594', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_4.iff', '0', '-0.514136', '0', '0.857709', '-5255.81', '0.189807', '4275.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785595', '0', 'object/static/structure/naboo/shared_seawall_rocks_naboo_theed_style_1.iff', '0', '0.87959', '0', '-0.475732', '-5215.42', '-0.299405', '4143.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785596', '0', 'object/static/structure/naboo/shared_seawall_rocks_naboo_theed_style_1.iff', '0.0073559', '0.878887', '-0.039307', '-0.475352', '-5201.78', '-0.578557', '4124.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785599', '0', 'object/static/structure/naboo/shared_seawall_corner.iff', '0', '0.967463', '0', '-0.253016', '-5287.83', '0.200344', '4218.34', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785601', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_3.iff', '0', '-0.509841', '0', '0.860269', '-5243.81', '0.189807', '4298.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785602', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_2.iff', '0', '-0.509841', '0', '0.860269', '-5254.99', '0.347851', '4275.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785603', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_1.iff', '0', '0.844162', '0', '0.536088', '-5225.1', '0', '4332.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785604', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_1.iff', '0', '0.844162', '0', '0.536088', '-5215.88', '0', '4351.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785605', '0', 'object/static/structure/naboo/shared_seawall_rocks_naboo_theed_style_1.iff', '-0.00809311', '0.809285', '0.00587351', '-0.587332', '-5222.19', '-0.574342', '4421.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785606', '0', 'object/static/structure/naboo/shared_seawall_rocks_naboo_theed_style_1.iff', '-0.00809311', '0.809285', '0.00587351', '-0.587332', '-5230.08', '-1.06361', '4444.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785626', '0', 'object/tangible/furniture/all/shared_frn_all_table_s02.iff', '0', '0', '0', '1', '5086.85', '-192', '6790.83', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785629', '0', 'object/tangible/furniture/all/shared_frn_all_table_s02.iff', '0', '0', '0', '1', '5085.85', '-192', '6789.83', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785630', '0', 'object/tangible/furniture/all/shared_frn_all_table_s02.iff', '0', '0', '0', '1', '5084.85', '-192', '6788.83', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785633', '0', 'object/static/item/shared_item_bowl_carved.iff', '0', '0.718464', '0', '-0.695564', '5086.95', '-191.241', '6791.09', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785634', '0', 'object/static/item/shared_item_fruit_melon.iff', '-0.192466', '0.699679', '0.00872899', '-0.68799', '5086.88', '-191.21', '6791.12', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785635', '0', 'object/static/item/shared_item_fruit_melon.iff', '0.077099', '0.707168', '0.085128', '-0.697656', '5087.04', '-191.21', '6791.18', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785636', '0', 'object/static/item/shared_item_fruit_melon.iff', '-0.062288', '0.714145', '-0.078644', '-0.692772', '5087.01', '-191.21', '6791.02', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785637', '0', 'object/static/item/shared_item_bread_loaf.iff', '0', '0.99924', '0', '0.038974', '5083.16', '-191.924', '6788.39', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785638', '0', 'object/static/item/shared_item_cheese_wheel_s1_partial.iff', '0.387431', '0.506932', '0.769991', '0.00556199', '5083.35', '-191.861', '6788.29', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785639', '0', 'object/static/item/shared_item_fruit_melon.iff', '-0.110959', '0.964601', '-0.131974', '0.199539', '5083.37', '-191.988', '6788.5', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785640', '0', 'object/static/item/shared_item_fruit_melon.iff', '-0.036543', '0.938348', '0.241456', '0.244677', '5083.52', '-191.956', '6788.33', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785641', '0', 'object/static/item/shared_item_basket_shallow.iff', '0', '0.999923', '0', '0.012391', '5083.36', '-192.019', '6788.39', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785642', '0', 'object/static/item/shared_item_bread_loaf.iff', '0', '0.912111', '0', '0.409943', '5083.53', '-191.956', '6788.57', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785643', '0', 'object/static/item/shared_item_cheese_wheel_s1_partial.iff', '0', '0.873909', '0', '-0.486089', '5083.3', '-191.925', '6788.66', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785644', '0', 'object/static/item/shared_item_fruit_melon.iff', '-0.139668', '0.968221', '0.201179', '-0.050677', '5083.27', '-191.956', '6788.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785645', '0', 'object/static/item/shared_item_bread_loaf.iff', '0.108287', '-0.603239', '-0.017949', '0.789971', '5083.5', '-191.956', '6788.13', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785646', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.879969', '0', '-0.475031', '5063.68', '-191.304', '6621.77', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785647', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.906198', '0', '0.422854', '5064.8', '-192', '6620.72', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785649', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.343645', '0', '0.9391', '5063.97', '-192', '6621.47', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785650', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.522687', '0', '0.852524', '5063.12', '-192', '6622.16', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785654', '0', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '5085.73', '-191.241', '6789.52', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785655', '0', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '5085.77', '-191.241', '6790.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785657', '0', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '5085.47', '-191.241', '6789.86', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785659', '0', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '5086.21', '-191.304', '6789.89', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785660', '0', 'object/static/structure/general/shared_planter_generic_style_4.iff', '0', '0.780706', '0', '0.624898', '-4898.89', '6', '4212.01', '93', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785661', '0', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '5084.52', '-191.273', '6788.63', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785662', '0', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '5084.91', '-191.273', '6788.63', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785666', '0', 'object/static/item/shared_item_con_bowl_full.iff', '0', '-0.572868', '0', '0.819648', '5086.54', '-191.273', '6790.66', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785667', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '-0.382683', '0', '0.92388', '5089.06', '-192', '6789.48', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785668', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '-0.382683', '0', '0.92388', '5088.67', '-192', '6789.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785672', '0', 'object/static/item/shared_item_glass_white.iff', '0', '0.511211', '0', '0.859455', '5084.92', '-192', '6788.94', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785673', '0', 'object/static/item/shared_item_glass_white.iff', '0', '0.511211', '0', '0.859455', '5084.73', '-192', '6788.97', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785674', '0', 'object/static/item/shared_item_glass_white.iff', '0', '0.511211', '0', '0.859455', '5084.78', '-192', '6789.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785675', '0', 'object/static/item/shared_item_glass_white.iff', '0', '0.511211', '0', '0.859455', '5084.95', '-192', '6789.22', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785681', '0', 'object/tangible/furniture/all/shared_frn_all_lamp_candlestick_free_s02.iff', '0', '0', '0', '1', '5087.03', '-191.241', '6790.54', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785682', '0', 'object/tangible/furniture/all/shared_frn_all_lamp_candlestick_free_s02.iff', '0', '0', '0', '1', '5086.08', '-191.241', '6789.51', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785683', '0', 'object/tangible/furniture/all/shared_frn_all_lamp_candlestick_free_s02.iff', '0', '0', '0', '1', '5085.19', '-191.146', '6788.63', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785689', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.941851', '0', '-0.33603', '-4866.84', '6.41658', '4185.12', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785691', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.941851', '0', '-0.33603', '-4836.79', '6.4111', '4159.44', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785692', '0', 'object/static/structure/general/shared_planter_generic_style_1.iff', '0', '0.733466', '0', '-0.679726', '-4972.08', '6', '4247.04', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785694', '0', 'object/static/structure/general/shared_planter_generic_style_4.iff', '0', '0.780706', '0', '0.624898', '-4990.4', '6', '4284.41', '93', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785715', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '-0.707105', '0', '0.707109', '-5448.53', '6', '4142.99', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785716', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.707107', '0', '0.707107', '-5465.04', '6', '4142.96', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785717', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0', '0', '1', '-5383.87', '6', '4155.52', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785718', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0', '0', '1', '-5354.72', '6', '4155.24', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785720', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.707107', '0', '-0.707107', '-5455.32', '6', '4271.44', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785721', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.707107', '0', '-0.707107', '-5455.35', '6', '4262.23', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785722', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.707107', '0', '0.707107', '-5351.27', '6', '4410.42', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785723', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.707107', '0', '0.707107', '-5351.25', '6', '4401.57', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785724', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0', '0', '1', '-5441.77', '8.49514', '4014.46', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785725', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0', '0', '1', '-5462.15', '8.422', '4014.21', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785726', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.902268', '0', '0.431177', '-5778.73', '6', '4402.52', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785727', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.902268', '0', '0.431177', '-5772.76', '6', '4409.47', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785728', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '-0.39861', '0', '0.917121', '-5716.01', '6.9912', '4258.13', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785729', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.384807', '0', '0.922997', '-5701.42', '6.94869', '4258.38', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785748', '0', 'object/tangible/furniture/all/shared_frn_all_table_s03.iff', '0', '-0.0649542', '0', '0.997888', '5074.69', '-192', '6805.48', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785750', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '-0.0649543', '0', '0.997888', '5074.93', '-192', '6803.5', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785751', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.997888', '0', '0.0649542', '5074.43', '-192', '6807.46', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785752', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.659683', '0', '0.751544', '5072.71', '-192', '6805.22', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785765', '0', 'object/tangible/furniture/all/shared_frn_all_table_s03.iff', '0', '-0.0998326', '0', '0.995004', '5076.67', '-192', '6805.74', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785767', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.997888', '0', '0.0649542', '5076.41', '-192', '6807.72', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785768', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '-0.0649542', '0', '0.997888', '5076.93', '-192', '6803.75', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785769', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.751543', '0', '-0.659684', '5078.66', '-192', '6806', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785782', '0', 'object/static/flora/shared_flora_tree_palm_fngi.iff', '0', '-0.645611', '0', '0.763666', '5098.36', '-192', '6809.78', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785783', '0', 'object/static/flora/shared_flora_tree_palm_sm.iff', '0', '0.999604', '0', '-0.0281335', '5090.73', '-192', '6796.02', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785784', '0', 'object/static/flora/shared_flora_tree_palm_sm.iff', '0', '0.790522', '0', '-0.612433', '5079.15', '-192', '6784.58', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785785', '0', 'object/static/flora/shared_flora_tree_palm_thk.iff', '0', '-0.215242', '0', '0.976561', '5070.71', '-192', '6793.96', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785786', '0', 'object/static/flora/shared_flora_tree_palm_fngi.iff', '0', '0.799217', '0', '0.601043', '5078.61', '-192', '6802.56', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785787', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '5084', '-192', '6815', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785788', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '5088', '-192', '6815', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785800', '0', 'object/tangible/furniture/all/shared_frn_all_table_s03.iff', '0', '0.848379', '0', '0.52939', '5094.4', '-192', '6800.86', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785801', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.96574', '0', '-0.259512', '5095.4', '-192', '6802.59', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785802', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '-0.499379', '0', '0.866384', '5096.13', '-192', '6799.86', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785803', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.866384', '0', '0.499379', '5092.67', '-192', '6801.86', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785804', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.259512', '0', '0.96574', '5093.4', '-192', '6799.13', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785805', '0', 'object/tangible/furniture/all/shared_frn_all_table_s03.iff', '0', '0.557037', '0', '0.830488', '5081.21', '-192', '6799.52', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785806', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.987293', '0', '0.158909', '5080.59', '-192', '6801.42', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785807', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.810487', '0', '-0.585756', '5083.11', '-192', '6800.14', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785808', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.585756', '0', '0.810487', '5079.32', '-192', '6798.89', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785809', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '-0.158909', '0', '0.987293', '5081.84', '-192', '6797.62', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785810', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.810366', '0', '0.585924', '5090.74', '-192', '6792.74', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785811', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '-0.57668', '0', '0.81697', '5082.88', '-192', '6785.05', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785812', '0', 'object/tangible/furniture/all/shared_frn_all_table_s03.iff', '0', '-0.034992', '0', '0.999388', '5074', '-192', '6790', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785813', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.707107', '0', '0.707107', '5072', '-192', '6790', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785814', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '1', '0', '0', '5074', '-192', '6792', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785815', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0', '0', '1', '5074', '-192', '6788', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785816', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.707107', '0', '-0.707107', '5076', '-192', '6790', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785818', '0', 'object/tangible/furniture/all/shared_frn_all_table_s02.iff', '0', '0', '0', '1', '5074', '-192', '6790', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785819', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '-0.466561', '0', '0.884489', '5071.52', '-192', '6798.23', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785820', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.88449', '0', '0.466561', '5068.22', '-192', '6800.49', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785821', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.955337', '0', '-0.29552', '5071', '-192', '6801.01', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785822', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.29552', '0', '0.955336', '5068.74', '-192', '6797.71', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785823', '0', 'object/tangible/furniture/all/shared_frn_all_table_s02.iff', '0', '0.29552', '0', '0.955336', '5069.87', '-192', '6799.36', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785824', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.993993', '0', '0.109444', '5094.22', '-192', '6812.16', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785825', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '-0.109444', '0', '0.993993', '5095.09', '-192', '6808.26', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785826', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.625471', '0', '0.780248', '5092.71', '-192', '6809.78', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785827', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.780248', '0', '-0.625471', '5096.61', '-192', '6810.65', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785828', '0', 'object/tangible/furniture/all/shared_frn_all_table_s02.iff', '0', '0.780248', '0', '-0.625471', '5094.66', '-192', '6810.21', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785850', '0', 'object/static/flora/shared_flora_tree_palm_sm.iff', '0', '0.736287', '0', '0.67667', '5011.67', '-192', '6787.64', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785851', '0', 'object/static/flora/shared_flora_tree_palm_fngi.iff', '0', '-0.232', '0', '0.972716', '5013.77', '-192', '6785.58', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785860', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.92388', '0', '0.382683', '5090.07', '-192', '6741.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785861', '0', 'object/static/structure/naboo/shared_archway_wide_s01.iff', '0', '0.382681', '0', '0.92388', '5083.73', '-192', '6747.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785862', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.382684', '0', '0.923879', '5077.37', '-192', '6753.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785863', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.382683', '0', '0.92388', '5064.64', '-192', '6741.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785864', '0', 'object/static/structure/naboo/shared_archway_wide_s01.iff', '0', '-0.382683', '0', '0.92388', '5071', '-192', '6747.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785893', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.382683', '0', '0.92388', '5046.14', '-192', '6722.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785894', '0', 'object/static/structure/naboo/shared_archway_wide_s01.iff', '0', '-0.382685', '0', '0.923879', '5039.79', '-192', '6716.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785895', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.382683', '0', '0.92388', '5033.44', '-192', '6710.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785896', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.92388', '0', '-0.382683', '5046.15', '-192', '6697.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785897', '0', 'object/static/structure/naboo/shared_archway_wide_s01.iff', '0', '0.92388', '0', '-0.382683', '5039.79', '-192', '6703.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785898', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.382683', '0', '0.92388', '5064.56', '-192', '6678.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785899', '0', 'object/static/structure/naboo/shared_archway_wide_s01.iff', '0', '0.92388', '0', '-0.382681', '5070.9', '-192', '6672.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785900', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.92388', '0', '-0.382684', '5077.26', '-192', '6666.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785901', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.92388', '0', '0.382683', '5089.99', '-192', '6678.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785902', '0', 'object/static/structure/naboo/shared_archway_wide_s01.iff', '0', '0.92388', '0', '0.382683', '5083.63', '-192', '6672.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785904', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.92388', '0', '-0.382683', '5108.5', '-192', '6697.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785905', '0', 'object/static/structure/naboo/shared_archway_wide_s01.iff', '0', '0.923879', '0', '0.382685', '5114.85', '-192', '6703.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785906', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.92388', '0', '0.382683', '5121.2', '-192', '6709.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785907', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.382683', '0', '0.92388', '5108.49', '-192', '6722.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785908', '0', 'object/static/structure/naboo/shared_archway_wide_s01.iff', '0', '0.382683', '0', '0.92388', '5114.85', '-192', '6716.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785915', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.430458', '0', '0.90261', '-5171.21', '6.47434', '4156.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785916', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.416871', '0', '0.908966', '-5134.4', '6.53759', '4199.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785917', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.430458', '0', '0.902611', '-5091.19', '6.50597', '4163.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1785918', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.430458', '0', '0.902611', '-5128.01', '6.47434', '4119.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1805352', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.430458', '0', '0.902611', '-5205.63', '6', '4184.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1805353', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.266731', '0', '0.963771', '-5267.8', '6', '4201.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1805355', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0.677972', '0', '0.735088', '-5236.7', '6', '4292.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1805356', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0.237703', '0', '0.971338', '-5269.41', '6', '4331.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1805361', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.412321', '0', '0.911039', '-5166.74', '6', '4220.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1805367', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.412321', '0', '0.911039', '-4947.86', '6', '4227.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1805369', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.412321', '0', '0.911039', '-4939.27', '6', '4174.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1805372', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.42594', '0', '0.904751', '-4938.74', '6', '4148.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1805375', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.412321', '0', '0.911039', '-4793.8', '6', '4121.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1805378', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.42594', '0', '0.904751', '-4925.86', '6', '4021.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1805379', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.412321', '0', '0.911039', '-4855.47', '6', '4088.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1805382', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.416871', '0', '0.908965', '-4886.43', '6', '4051.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1805386', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.421411', '0', '0.90687', '-5041.59', '6', '4082.52', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1805387', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.412321', '0', '0.911039', '-4965.38', '6', '4007.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1805388', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.412321', '0', '0.911039', '-5020.2', '6', '4104.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1805389', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.452887', '0', '0.891568', '-4648.23', '6', '4060.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1805390', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.470626', '0', '0.882333', '-4628.77', '6', '4093.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1805392', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.257081', '0', '0.96639', '-4593.31', '6', '4128.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1805393', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.46178', '0', '0.886995', '-4627.28', '6', '4046.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1805398', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.466209', '0', '0.884675', '-4716.45', '6', '3952.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1805400', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.412321', '0', '0.911039', '-4662.44', '6', '3921.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1805401', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.448423', '0', '0.893821', '-4624.17', '6', '3991.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1805402', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.459564', '0', '0.888145', '-4667.98', '6', '4028.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1805403', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.46178', '0', '0.886995', '-4600.6', '6', '4004.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1805404', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5328.99', '6', '4360.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1805405', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5434.77', '6', '4327.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1805409', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.174108', '0', '0.984727', '-5299.67', '6', '4546.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1805412', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5279.82', '6', '4481.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1805413', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.149438', '0', '0.988771', '-5262.97', '5.62053', '4582.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1805420', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.42141', '0', '0.90687', '-5766.82', '6', '4410.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1805421', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0.0549723', '0', '0.998488', '-5697.56', '6', '4365.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1805422', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0.0349929', '0', '0.999388', '-5719.15', '6', '4321.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1805424', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.00999986', '0', '0.99995', '-5780.13', '6', '4297.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1805425', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5838.08', '6', '4284.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1805426', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.29074', '0', '0.956802', '-5841.93', '6', '4346.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1805427', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5885.68', '6', '4365.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1805428', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5893.71', '6', '4327.34', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1805431', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5972.11', '6', '4283.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1805432', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5952.55', '6', '4252.66', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1805443', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0.00999985', '0', '0.99995', '-5808.2', '6', '4091.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1805447', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.257081', '0', '0.96639', '-5621.06', '6.20457', '4212.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1805448', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5677.29', '6.52328', '4142.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1805449', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5677.32', '6.50597', '4199.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1805450', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5734.1', '6.53759', '4199.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1805451', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5734.57', '6.47434', '4142.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1805453', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5692.97', '6', '4099.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1805459', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5987.04', '6', '4231.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1865359', '0', 'object/building/naboo/shared_hotel_naboo_theed.iff', '0', '-0.707105', '0', '0.707109', '-5526.88', '-150', '-34.0225', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1865360', '1865359', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1865361', '1865359', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1865362', '1865359', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1865363', '1865359', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143461', '1865363', 'object/tangible/gambling/slot/shared_standard.iff', '0', '-0.00230193', '0', '0.999997', '4.36121', '1.33707', '-22.1254', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143462', '1865363', 'object/tangible/gambling/slot/shared_standard.iff', '0', '-0.00230193', '0', '0.999997', '0.28775', '1.33617', '-22.0829', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143463', '1865363', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '-0.00230193', '0', '0.999997', '-1.19205', '1.14637', '-16.2223', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143464', '1865363', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '-0.00230193', '0', '0.999997', '9.45262', '1.14733', '-16.233', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143465', '1865363', 'object/tangible/gambling/slot/shared_standard.iff', '0', '-0.00230193', '0', '0.999997', '8.40315', '1.33707', '-22.2295', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825690', '1865363', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-0.546447', '0.999992', '0.1061', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1865364', '1865359', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825691', '1865364', 'object/soundobject/shared_soundobject_cantina_medium.iff', '0', '0', '0', '1', '20.6884', '1.28309', '-1.67133', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1865365', '1865359', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143455', '1865365', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '-0.0123016', '0', '0.999924', '-15.9344', '1.00109', '-0.126616', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143456', '1865365', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '-0.0123016', '0', '0.999924', '-16.0279', '1.0011', '4.24197', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143457', '1865365', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.715756', '0', '-0.698352', '-12.348', '1.00092', '-0.0622875', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143458', '1865365', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.698354', '0', '0.715753', '-12.1452', '1.00077', '-0.0782861', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143459', '1865365', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.707387', '0', '0.706826', '-12.1142', '1.00103', '4.22981', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1143460', '1865365', 'object/tangible/gambling/slot/shared_standard.iff', '0', '-0.706833', '0', '0.707381', '-12.3162', '1.00088', '4.25067', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085633', '1865365', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-17.4724', '1.00101', '2.45156', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1865366', '1865359', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1865367', '1865359', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1865368', '1865359', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1865369', '1865359', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1865372', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.707107', '0', '0.707107', '-5504.6', '-150', '-50.3273', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1865373', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.707107', '0', '0.707107', '-5504.66', '-150', '-47.0618', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1865374', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '-0.545398', '0', '0.838177', '-5504.48', '-150', '-52.0754', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1865375', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.971365', '0', '-0.237593', '-5504.48', '-150', '-45.3469', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1865376', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '-0.473021', '0', '0.881051', '-5504.56', '-150', '-48.662', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1865379', '0', 'object/static/structure/naboo/shared_seawall_stair_naboo_theed_style_1.iff', '0', '0.995707', '0', '-0.092566', '-5542.64', '-159.896', '-113.024', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1865380', '0', 'object/static/structure/naboo/shared_seawall_block.iff', '0', '0.0948575', '0', '0.995491', '-5540.45', '-164.104', '-126.404', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1865381', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_1.iff', '0', '0.995491', '0', '-0.0948571', '-5545.39', '-163.943', '-131.561', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1865382', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_1.iff', '0', '0.770992', '0', '0.636845', '-5535.33', '-163.942', '-131.476', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1865383', '0', 'object/static/structure/naboo/shared_seawall_corner.iff', '0', '0.770992', '0', '0.636844', '-5535.92', '-163.942', '-134.409', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1865387', '0', 'object/static/structure/naboo/shared_seawall_corner.iff', '0', '0.0948566', '0', '0.995491', '-5532.46', '-163.942', '-121.854', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1865388', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.770992', '0', '0.636845', '-5534.85', '-153.836', '-115.785', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1865398', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s07.iff', '0', '0.089879', '0', '0.995953', '-5534.86', '-154.961', '-112.312', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1865399', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s07.iff', '0', '0.089879', '0', '0.995953', '-5541.58', '-154.961', '-111.078', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1865400', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s07.iff', '0', '0.767799', '0', '0.640691', '-5533.23', '-149.684', '-103.234', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1865401', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s07.iff', '0', '-0.640691', '0', '0.767799', '-5539.9', '-149.684', '-101.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1865402', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '-0.636837', '0', '0.770999', '-5533.92', '-157.848', '-125.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1865403', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '-0.636837', '0', '0.770999', '-5534.48', '-157.848', '-128.948', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1865404', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.328663', '0', '0.944447', '-5534.98', '-157.848', '-130.598', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1865405', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0.921948', '0', '0.387314', '-5534.27', '-157.848', '-127.359', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1865406', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.886132', '0', '0.463433', '-5533.71', '-157.848', '-123.991', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1865407', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.0948605', '0', '0.995491', '-5539.61', '-157.843', '-132.942', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1865408', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.0948605', '0', '0.995491', '-5542.83', '-157.843', '-132.383', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1865409', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.900225', '0', '0.435426', '-5544.48', '-157.843', '-131.886', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1865410', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0.925788', '0', '-0.378043', '-5541.24', '-157.843', '-132.593', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1865411', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.954286', '0', '-0.298893', '-5537.87', '-157.843', '-133.154', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1865412', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.707109', '0', '0.707104', '-5513.55', '-150', '-70.1461', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1865413', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.707109', '0', '0.707104', '-5513.64', '-150', '-66.3438', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1865415', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '-0.473021', '0', '0.881051', '-5513.55', '-150', '-71.8829', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1865416', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '-0.545398', '0', '0.838177', '-5513.6', '-150', '-68.5203', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1865417', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0.958648', '0', '0.284594', '-5513.61', '-150', '-64.6128', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1865418', '0', 'object/tangible/furniture/all/shared_frn_all_decorative_lg_s2.iff', '0', '0', '0', '1', '-5507.18', '-148.893', '-64.781', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1865421', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_small_s01.iff', '0', '0.382683', '0', '0.92388', '-5510.16', '-150', '-63.3725', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1865423', '0', 'object/static/flora/shared_potted_plant_leaves_small.iff', '0', '-0.0527794', '0', '0.998606', '-5505.56', '-149.273', '-64.2339', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1865424', '0', 'object/static/flora/shared_potted_plant_leaves_small.iff', '0', '0.959213', '0', '0.282685', '-5508.92', '-149.273', '-64.2155', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '1865428', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_03.iff', '0', '0', '0', '1', '-5507.19', '-149.633', '-64.7846', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1885373', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.203567', '0', '0.979061', '2918.46', '95.5133', '1114.63', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '1885402', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '-0.114747', '0', '0', '0.993395', '2932.65', '93.6515', '1135.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1885403', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_sml_s03.iff', '-0.114711', '0.00286837', '0.0248323', '0.993084', '2931.99', '93.6519', '1135.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1885404', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0.119497', '-0.00717842', '0.0595328', '0.991022', '2935.31', '93.528', '1132.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1895352', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_wall_small_s01.iff', '0', '0.995953', '0', '-0.0898786', '-5537.73', '-155.977', '-119.52', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1895353', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s07.iff', '0', '0.995953', '0', '-0.0898786', '-5535.77', '-155.977', '-119.855', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1895354', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s07.iff', '0', '0.0898791', '0', '0.995953', '-5543.04', '-155.977', '-118.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1895355', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_wall_small_s01.iff', '0', '0.0898791', '0', '0.995953', '-5541.08', '-155.977', '-118.905', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1895360', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_wall_small_s01.iff', '0', '0.995953', '0', '-0.0898788', '-5535.33', '-149.684', '-102.828', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1895363', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_wall_small_s01.iff', '0', '0.089879', '0', '0.995953', '-5537.87', '-149.684', '-102.375', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1895364', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_wall_small_s01.iff', '0', '0.767799', '0', '0.640691', '-5540.29', '-149.675', '-103.978', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1895365', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_wall_small_s01.iff', '0', '0.767799', '0', '0.640691', '-5533.58', '-149.675', '-105.237', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1895368', '0', 'object/static/structure/naboo/shared_seawall_corner.iff', '0', '-0.636844', '0', '0.770992', '-5544.95', '-163.942', '-118.372', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1895370', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_wall_small_s01.iff', '0', '-0.640691', '0', '0.767799', '-5544.95', '-157.863', '-130.763', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '1945387', '0', 'object/building/naboo/shared_capitol_naboo_theed.iff', '0', '0.539632', '0', '0.841901', '4647.31', '330', '-1406.47', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '1945388', '1945387', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1945389', '1945387', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085609', '1945389', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '1.01953', '3.11105', '21.7538', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1945390', '1945387', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085598', '1945390', 'object/soundobject/shared_soundobject_city_crowd_sentients_large.iff', '0', '0', '0', '1', '-15.1127', '1.30367', '-1.54623', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085599', '1945390', 'object/soundobject/shared_soundobject_city_crowd_sentients_large.iff', '0', '0', '0', '1', '14.0873', '1.30391', '-2.17343', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085600', '1945390', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '0.092309', '2.27819', '-26.8662', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1945391', '1945387', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '4015374', '1945391', 'object/tangible/terminal/shared_terminal_mission_imperial.iff', '0', '0.00999984', '0', '0.99995', '-0.0322413', '7.90013', '-38.8244', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1945392', '1945387', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1945393', '1945387', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085605', '1945393', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '-20.7261', '3.22324', '-32.4318', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1945394', '1945387', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1945395', '1945387', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085608', '1945395', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-21.3596', '3.22324', '21.1938', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1945396', '1945387', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085603', '1945396', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '20.9149', '3.22324', '22.3594', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1945397', '1945387', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1945398', '1945387', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085604', '1945398', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '18.9492', '3.22324', '-31.3089', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '1945408', '0', 'object/static/structure/general/shared_planter_generic_style_4.iff', '0', '0.693689', '0', '0.720275', '4711.04', '330', '-1393.78', '93', '1');
INSERT INTO `staticobjects` VALUES ('5', '1945409', '0', 'object/static/structure/general/shared_planter_generic_style_4.iff', '0', '0.146067', '0', '0.989275', '4699.14', '330', '-1366.19', '93', '1');
INSERT INTO `staticobjects` VALUES ('5', '1945410', '0', 'object/static/structure/general/shared_planter_generic_style_4.iff', '0', '0.880346', '0', '0.474332', '4677.66', '330', '-1359.61', '93', '1');
INSERT INTO `staticobjects` VALUES ('5', '1945411', '0', 'object/static/structure/general/shared_planter_generic_style_4.iff', '0', '0.881958', '0', '-0.471328', '4702.28', '330', '-1414.21', '93', '1');
INSERT INTO `staticobjects` VALUES ('5', '1945412', '0', 'object/static/structure/general/shared_planter_generic_style_4.iff', '0', '0.693688', '0', '0.720276', '4642.73', '330', '-1454.38', '93', '1');
INSERT INTO `staticobjects` VALUES ('5', '1945413', '0', 'object/static/structure/general/shared_planter_generic_style_4.iff', '0', '0.847677', '0', '0.530512', '4665.38', '330', '-1453.36', '93', '1');
INSERT INTO `staticobjects` VALUES ('5', '1945414', '0', 'object/static/structure/general/shared_planter_generic_style_4.iff', '0', '-0.177463', '0', '0.984127', '4684.99', '330', '-1433.38', '93', '1');
INSERT INTO `staticobjects` VALUES ('5', '1945415', '0', 'object/static/structure/general/shared_planter_generic_style_4.iff', '0', '-0.658189', '0', '0.752853', '4622.4', '330', '-1361.18', '93', '1');
INSERT INTO `staticobjects` VALUES ('5', '1945416', '0', 'object/static/structure/general/shared_planter_generic_style_4.iff', '0', '0.693689', '0', '0.720275', '4608.46', '330', '-1380.7', '93', '1');
INSERT INTO `staticobjects` VALUES ('5', '1945417', '0', 'object/static/structure/general/shared_planter_generic_style_4.iff', '0', '0.888198', '0', '-0.459461', '4648.77', '330', '-1358.1', '93', '1');
INSERT INTO `staticobjects` VALUES ('5', '1945418', '0', 'object/static/structure/general/shared_planter_generic_style_4.iff', '0', '-0.429021', '0', '0.903295', '4722.46', '330', '-1406.58', '93', '1');
INSERT INTO `staticobjects` VALUES ('5', '1945419', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '0.324043', '0', '0.946042', '4685.83', '330', '-1364.56', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1945420', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '0.644219', '0', '0.764841', '4691.01', '330', '-1362.3', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1945422', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '0.897911', '0', '0.440177', '4668.55', '330', '-1361.97', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1945423', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '0.996322', '0', '0.0856907', '4670.53', '330', '-1366.17', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1945425', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '0.632674', '0', '0.774418', '4663.34', '330', '-1358.81', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1945426', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '0.309816', '0', '0.950796', '4658.23', '330', '-1361.22', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1945428', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '0.636538', '0', '0.771245', '4632.4', '330', '-1366.23', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1945429', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '0.324043', '0', '0.946042', '4627.12', '330', '-1369.2', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1945432', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '0.314566', '0', '0.949235', '4621.71', '330', '-1371.18', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1945437', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '0.314566', '0', '0.949236', '4597.18', '330', '-1389.25', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1945439', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '0.636537', '0', '0.771246', '4602.31', '330', '-1386.89', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1945440', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '0.309816', '0', '0.950797', '4642.34', '330', '-1371.76', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1945441', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '0.319309', '0', '0.947651', '4648.01', '330', '-1369.16', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1945442', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '0.632673', '0', '0.774419', '4653.53', '330', '-1366.7', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1945445', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '0.950796', '0', '-0.309816', '4709.23', '330', '-1402.12', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1945446', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '0.774418', '0', '-0.632674', '4704.12', '330', '-1404.54', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1945448', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '0.981929', '0', '0.18925', '4692.57', '330', '-1414.7', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1945449', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '0.968814', '0', '0.247788', '4695.03', '330', '-1419.92', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1945451', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '0.949235', '0', '-0.314566', '4693.67', '330', '-1425.41', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1945452', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '0.771245', '0', '-0.636539', '4688.53', '330', '-1427.78', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1945454', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '0.822502', '0', '-0.568762', '4665.09', '330', '-1444.54', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1945455', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '0.855126', '0', '-0.518419', '4659.83', '330', '-1446.9', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1945457', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '-0.184338', '0', '0.982863', '4653.41', '330', '-1447.58', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1945458', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '-0.242941', '0', '0.970041', '4651.01', '330', '-1442.34', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1945460', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '0.828149', '0', '-0.560509', '4639.97', '330', '-1446.64', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1945461', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '0.860268', '0', '-0.509842', '4634.75', '330', '-1449.1', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1945463', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '0.828149', '0', '-0.560509', '4645.26', '330', '-1444.35', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1945466', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '0.828149', '0', '-0.560509', '4675.2', '330', '-1430.59', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1945467', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '0.860268', '0', '-0.509842', '4669.98', '330', '-1433.04', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1945468', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '0.828149', '0', '-0.560509', '4680.49', '330', '-1428.29', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2075486', '0', 'object/static/structure/naboo/shared_gungan_damaged_wide_arch_s01.iff', '0', '-0.13459', '0', '0.990901', '2936.94', '94.0047', '1094.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2075487', '0', 'object/static/structure/naboo/shared_gungan_damaged_wall_lg_s01.iff', '0', '1', '0', '-3.20013e-08', '2886.52', '94.0404', '1111.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2075488', '0', 'object/static/structure/naboo/shared_gungan_cleft_wall_lg_s01.iff', '0', '0', '0', '1', '2886.46', '94.0294', '1127.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2075489', '0', 'object/static/structure/naboo/shared_gungan_damaged_wall_lg_s01.iff', '0', '0.450834', '0', '0.892608', '2889.77', '94.0138', '1134.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2075491', '0', 'object/static/structure/naboo/shared_gungan_damaged_narrow_arch_s01.iff', '0', '0', '0', '1', '2886.44', '93.1952', '1119.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2075492', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s02.iff', '0', '1', '0', '-5.30747e-08', '2886.56', '94.0188', '1102.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2075493', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '-0.707106', '0', '0.707107', '2886.58', '94.0205', '1107.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2075494', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '-0.707106', '0', '0.707107', '2886.45', '94.015', '1115.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2075495', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '1', '0', '-3.20013e-08', '2886.44', '94.0277', '1123.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2075496', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0', '0', '1', '2886.46', '94.0186', '1131.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2075497', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '-0.312382', '0', '0.949957', '2893.32', '94.0096', '1136.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2075499', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0.109459', '-0.0142006', '-0.00274984', '0.993886', '2895.16', '93.2424', '1137.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2075500', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_sml_s03.iff', '0.113435', '-0.0155719', '0.057297', '0.99177', '2906.11', '93.9199', '1137.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2075503', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '-0.00999984', '0', '0.99995', '2921.22', '93.6572', '1135.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2075504', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '-0.237691', '-0.00971338', '-0.00237703', '0.971289', '2921.21', '93.3325', '1133.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2075505', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '-0.00999992', '0', '0.99995', '2906.65', '93.9624', '1135.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2075506', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0.0747526', '-0.0126533', '-0.0131392', '0.997035', '2906.58', '93.5841', '1137.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2075507', '0', 'object/static/structure/naboo/shared_poi_nboo_tent_small.iff', '0', '0', '0', '1', '2890.25', '94.0187', '1103.84', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '2075508', '0', 'object/static/structure/naboo/shared_poi_nboo_tent_small.iff', '0', '0', '0', '1', '2901.41', '94.1326', '1108.79', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '2075513', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0.944471', '0', '0.328596', '2893.64', '93.9789', '1131', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2075514', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '-0.413063', '0', '0.910702', '2894.72', '94.0137', '1131.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2075515', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0.82436', '0', '-0.566066', '2893.61', '94.0137', '1132.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2075521', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '-0.224087', '-0.0419357', '0.198206', '0.953279', '2892.27', '94.0469', '1131.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2075523', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0.188114', '-0.0407266', '-0.502934', '0.842622', '2893.05', '94.0744', '1133.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2075524', '0', 'object/static/structure/general/shared_prp_engine.iff', '0.707106', '0', '0', '0.707107', '2894.19', '94.0764', '1131.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2075527', '0', 'object/static/structure/general/shared_r5_torso.iff', '0.00431083', '0.894896', '-0.2209', '-0.387744', '2893.36', '94.0418', '1132.35', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '2075528', '0', 'object/static/structure/general/shared_r5_head.iff', '-0.213347', '0', '0', '0.976976', '2893.96', '93.2196', '1132.76', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '2075529', '0', 'object/static/structure/general/shared_r2_leg.iff', '0.152977', '0.966715', '0.127417', '-0.160702', '2893.69', '94.324', '1130.82', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '2075530', '0', 'object/static/structure/general/shared_r2_head.iff', '-0.230316', '0.753287', '0.203049', '0.581622', '2894.49', '93.3561', '1130.34', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '2075534', '0', 'object/static/structure/general/shared_poi_powerdroidbody.iff', '0', '0.300293', '0', '0.953847', '2894.56', '94.0133', '1132.72', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '2075552', '0', 'object/static/particle/shared_pt_campfire_s01.iff', '0', '0', '0', '1', '2894.15', '94.5', '1131.9', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '2075553', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0.0951697', '-0.0951697', '0.700673', '-0.700673', '2892.84', '94.4966', '1130', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '2075554', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '7.72715e-09', '0.707106', '-7.72715e-09', '0.707107', '2894.51', '94.4243', '1132.81', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '2075555', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.42141', '0', '0.90687', '2893.49', '94.975', '1129.72', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '2075558', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0', '0', '1', '2878', '94.0428', '1112', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2075559', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0.996596', '0', '-0.0824412', '2876', '94.04', '1118', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2075560', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '1', '0', '-3.20013e-08', '2868.52', '94.0483', '1118.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2075561', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0', '0', '1', '2876', '94.0594', '1106', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2075562', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '1', '0', '-3.20013e-08', '2868', '94.0757', '1106', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2075563', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '-0.707107', '0', '0.707107', '2866', '94.0559', '1112', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2075564', '0', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff', '0', '0', '0', '1', '2871.93', '91.6183', '1112.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2075565', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.247404', '0', '0.968912', '2919.93', '95.2222', '1121.51', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '2075566', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '2919.07', '95.5186', '1121.53', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '2075567', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0', '0', '1', '2919.53', '95.6231', '1120.52', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2075569', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '-0.174108', '0', '0.984727', '2920.13', '95.5', '1119.26', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2075570', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.13459', '0', '0.990901', '2919.05', '95.5', '1119.06', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2075571', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.314567', '0', '0.949235', '2919.94', '96.12', '1121.56', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '2075572', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.285952', '0', '0.958244', '2919', '96.22', '1121.51', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '2075573', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.15438', '0', '0.988012', '2919.19', '96.22', '1121.64', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '2116321', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_sml_s03.iff', '0.074473', '0.260831', '0.31534', '0.909385', '2010.3', '15.3407', '2541.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2125362', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.907837', '0', '0.419323', '-4680.21', '-1.20551', '4217.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2125364', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.938444', '0', '-0.345431', '-4688.25', '-1.20551', '4207.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2125378', '0', 'object/building/naboo/shared_starport_naboo.iff', '0', '0.696135', '0', '0.717911', '1352.27', '13', '2768.32', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '2125379', '2125378', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '2125380', '2125378', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '2125381', '2125378', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '2125382', '2125378', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1270282', '2125382', 'object/tangible/terminal/shared_terminal_space.iff', '0', '-0.696132', '0', '0.717914', '-1.46906', '0.639421', '58.5166', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1270283', '2125382', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0.721935', '0', '0.691962', '0.635765', '0.639421', '58.3934', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '3005838', '2125382', 'object/tangible/furniture/all/shared_frn_all_professor_desk.iff', '0', '0.898261', '0', '-0.439462', '9.66366', '0.639422', '67.6904', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '3005839', '2125382', 'object/static/item/shared_item_container_organic_hide.iff', '0', '0', '0', '1', '7.05212', '0.639422', '67.2352', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '3005840', '2125382', 'object/static/item/shared_item_container_organic_hide.iff', '0', '0', '0', '1', '6.97165', '0.639422', '66.4594', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '3005841', '2125382', 'object/static/item/shared_item_container_organic_hide.iff', '0', '0.203567', '0', '0.979061', '7.05557', '1.05052', '67.2848', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4295421', '2125382', 'object/soundobject/shared_soundobject_starport_announcer.iff', '0', '0', '0', '1', '-0.483672', '0.639421', '58.3108', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '4735419', '2125382', 'object/tangible/terminal/shared_terminal_newsnet.iff', '0', '-0.688922', '0', '0.724836', '15.4427', '0.639421', '54.4544', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4735420', '2125382', 'object/tangible/terminal/shared_terminal_newsnet.iff', '0', '0.696135', '0', '0.717911', '-15.739', '0.639421', '54.641', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2125383', '2125378', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '2125384', '2125378', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '2125385', '2125378', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '2125386', '2125378', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '2125387', '2125378', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '2125388', '2125378', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '4295472', '2125388', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0.916803', '0', '0.39934', '-42.9019', '1.63942', '51.2173', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4295473', '2125388', 'object/tangible/terminal/shared_terminal_space.iff', '0', '-0.13459', '0', '0.990901', '-40.2619', '1.63942', '46.9628', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4295474', '2125388', 'object/tangible/terminal/shared_terminal_space.iff', '0', '-0.644217', '0', '0.764842', '-37.9746', '1.63942', '49.0909', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2125389', '2125378', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '2125390', '2125378', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '2125391', '2125378', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '2125392', '2125378', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '2125393', '2125378', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336230', '2125378', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '2125445', '0', 'object/building/naboo/shared_filler_nboo_bldg_64x32_style_01.iff', '0', '0.466208', '0', '0.884675', '1234.5', '13', '2712.72', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '2125448', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_01.iff', '0', '0.149438', '0', '0.988771', '1293.32', '13', '2682.92', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '2125450', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_01.iff', '0', '0.939373', '0', '0.342898', '1256.03', '13', '2829.18', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '2125452', '0', 'object/building/naboo/shared_filler_building_naboo_style_4.iff', '0', '0.969944', '0', '0.243329', '1284.11', '13', '2849.57', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '2125454', '0', 'object/building/naboo/shared_housing_naboo_style_1.iff', '0', '0.990327', '0', '0.138754', '1383.2', '13', '2668.87', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '2125455', '2125454', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '2125456', '2125454', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '2125457', '2125454', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '2125458', '2125454', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '2125459', '2125454', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '2125460', '2125454', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '2125461', '2125454', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705353', '0', 'object/static/structure/naboo/shared_poi_nboo_tent_small.iff', '0.166421', '-0.0382628', '-0.0965925', '0.980566', '2940.24', '72.8', '1195.82', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705359', '0', 'object/static/structure/naboo/shared_poi_nboo_tent_small.iff', '0.180881', '-0.0515488', '0.0325604', '0.981613', '2888.66', '77.614', '1191.09', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705361', '0', 'object/static/structure/naboo/shared_poi_nboo_tent_small.iff', '0.0352316', '0.970708', '0.137878', '0.193583', '2779.5', '77.4298', '1143.29', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705363', '0', 'object/static/structure/naboo/shared_poi_nboo_tent_small.iff', '0.0908676', '-0.0605332', '-0.0420631', '0.993131', '2845.69', '97.353', '1068.48', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705365', '0', 'object/static/structure/naboo/shared_poi_nboo_tent_small.iff', '0.222607', '-0.0544613', '0.0159137', '0.973256', '2902.39', '117.8', '1036.45', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705367', '0', 'object/static/structure/naboo/shared_poi_nboo_tent_small.iff', '0.00368942', '-0.0566364', '0.000917827', '0.998388', '2959.17', '94.0956', '1082.01', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705369', '0', 'object/static/structure/naboo/shared_poi_nboo_tent_small.iff', '0.175032', '0.717824', '-0.0212855', '0.673528', '3021.75', '76.0275', '1120.64', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705370', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '-7.72715e-09', '0.707106', '7.72715e-09', '0.707107', '2926.62', '94.0033', '1130.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705371', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0', '0', '1', '2931.12', '94.0022', '1123.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705373', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s01.iff', '0', '0.696419', '0', '0.717635', '2923.18', '94.0019', '1102.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705374', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '2923.84', '95.1385', '1106.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705375', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.119712', '0', '0.992809', '2923.83', '94', '1106.11', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705376', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.119712', '0', '0.992809', '2923.54', '94', '1104.99', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705377', '0', 'object/static/item/shared_item_container_inorganic_chemicals.iff', '0', '0', '0', '1', '2922.78', '94', '1106.81', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705378', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0', '0', '1', '2924.75', '94', '1104.64', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705379', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0', '0', '1', '2925.67', '94.0001', '1105.02', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705382', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s02.iff', '0', '0', '0', '1', '2901.77', '93.0934', '1108.58', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705388', '0', 'object/static/item/shared_wp_mle_2h_sword_s02.iff', '0.5', '0.5', '-0.5', '0.5', '2912.41', '96.8206', '1118.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705389', '0', 'object/static/item/shared_wp_mle_2h_sword_s02.iff', '0.5', '-0.5', '0.5', '0.5', '2911.97', '96.8206', '1118.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705403', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0.247404', '0', '0', '0.968912', '2912.83', '96.3843', '1118.02', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705404', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0.247404', '0', '0', '0.968912', '2911.56', '96.3843', '1118.02', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705405', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0.247404', '0', '0', '0.968912', '2912.21', '96.0564', '1118.02', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705506', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '-0.193532', '0', '0.981094', '2889.59', '94.0172', '1104.13', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705507', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0.578826', '0', '0.815451', '2889.48', '94.017', '1103.14', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705508', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0.884559', '0', '0.466429', '2890.17', '94.0169', '1104.49', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705509', '0', 'object/static/structure/general/shared_skeleton_human_body.iff', '0', '0.987354', '0', '0.158532', '2889.97', '94.0167', '1104.22', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705510', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.823331', '0', '0.567562', '2889.01', '94.0219', '1103.57', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705511', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0.108265', '0', '0.994122', '2891.62', '94.0172', '1103.08', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705513', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0', '0', '1', '2891.51', '94.0156', '1104.74', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705551', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '-1992.78', '5.56456', '-5417.99', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705552', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '-1990.33', '4.67871', '-5426.75', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705553', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '-1955.19', '5.27221', '-5458.41', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705554', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '-1949.37', '5.61018', '-5456.47', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705560', '0', 'object/static/structure/naboo/shared_poi_nboo_tent_med.iff', '0', '0.573193', '0', '0.81942', '-1965.48', '6.22292', '-5392.95', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705561', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '-1966.65', '5.97123', '-5395.28', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705562', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '-1967.21', '6.04752', '-5395.23', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705563', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '-1966.92', '6.03812', '-5394.64', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705565', '0', 'object/static/item/shared_item_container_energy_radioactive.iff', '0', '0.49688', '0', '0.867819', '-1965.78', '5.93437', '-5394.41', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705566', '0', 'object/tangible/furniture/all/shared_frn_all_professor_desk.iff', '-0.0159118', '0.636339', '-0.0192791', '0.771005', '-1966.56', '6.18279', '-5392.3', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705567', '0', 'object/static/creature/shared_droids_r5.iff', '-0.00552373', '-0.280236', '-0.0428371', '0.958959', '-1968.01', '6.20983', '-5392.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705581', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_sml_s03.iff', '-0.0507285', '0.793956', '0.00779846', '-0.605805', '4767.13', '333.575', '-1410.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705582', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s02.iff', '-0.0297615', '0.991752', '-0.00373969', '0.124619', '4766.92', '333.56', '-1409.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705583', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s02.iff', '0.00495449', '0.990889', '0.00067295', '0.134588', '4769.71', '334.473', '-1420.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705584', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_sml_s03.iff', '-0.0320212', '0.766839', '-0.0383739', '-0.639891', '4760.22', '330.003', '-1384.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705585', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s02.iff', '-0.0647952', '0.995445', '-0.0045431', '0.0697953', '4760.06', '329.994', '-1383.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705586', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s02.iff', '-0.0646913', '0.993849', '-0.00583797', '0.0896883', '4762.19', '330.004', '-1394.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705720', '0', 'object/static/flora/shared_potted_plant_leaves_small.iff', '0', '0.644218', '0', '0.764842', '-5630.54', '-157.124', '-1.50441', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705721', '0', 'object/static/flora/shared_potted_plant_leaves_small.iff', '0', '0', '0', '1', '-5630.61', '-157.099', '-2.48855', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705722', '0', 'object/static/flora/shared_potted_plant_leaves_small.iff', '0', '0.983082', '0', '-0.183164', '-5630.64', '-157.057', '-3.47097', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705723', '0', 'object/static/flora/shared_potted_plant_leaves_small.iff', '0', '-0.398609', '0', '0.917121', '-5630.6', '-157.115', '-4.53886', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705724', '0', 'object/static/item/shared_item_jar_berries.iff', '0', '0', '0', '1', '-5629.4', '-156.203', '-2.60823', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705725', '0', 'object/static/item/shared_item_jar_berries.iff', '0', '0', '0', '1', '-5629.2', '-156.175', '-2.80876', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '2705727', '0', 'object/static/item/shared_item_jar_empty.iff', '0', '0', '0', '1', '-5629.71', '-156.248', '-2.53', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '2725352', '0', 'object/building/naboo/shared_guild_theater_naboo_s01.iff', '0', '-0.70356', '0', '0.710636', '4929.08', '360', '-1473.23', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '2725353', '2725352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '7605396', '2725353', 'object/soundobject/shared_soundobject_cantina_large.iff', '0', '0', '0', '1', '1.36149', '0.6', '-6.07104', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '2725354', '2725352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '2725355', '2725352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '2725356', '2725352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '2725357', '2725352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '2725358', '2725352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '2725359', '2725352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '2725360', '2725352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '2725361', '2725352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '2725362', '2725352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776036', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.938444', '0', '-0.345432', '-5116.92', '6.55', '4176.46', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776037', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '-0.419323', '0', '0.907837', '-5114.31', '6.55', '4145.8', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776038', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.345432', '0', '0.938444', '-5145.46', '6.55', '4143.07', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776039', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.907837', '0', '0.419323', '-5147.94', '6.55', '4174.11', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776040', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '-0.707106', '0', '0.707107', '-5683.7', '6.55', '4171.17', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776041', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0', '0', '1', '-5705.68', '6.55', '4149.15', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776042', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.707106', '0', '0.707107', '-5727.72', '6.55', '4171.2', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776043', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '1', '0', '-3.20013e-08', '-5705.69', '6.55', '4193.13', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776044', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.907837', '0', '0.419322', '-5010.38', '6', '4256.1', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776045', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.907837', '0', '0.419322', '-5018.16', '6', '4246.97', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776046', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.907837', '0', '0.419322', '-5012.32', '6', '4253.82', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776047', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.907837', '0', '0.419322', '-5016.21', '6', '4249.25', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776049', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.707106', '0', '0.707107', '-5418.41', '6', '4214.2', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776050', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.707107', '0', '0.707107', '-5418.59', '6', '4226.45', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776051', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.707107', '0', '0.707107', '-5350.82', '6', '4144.37', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776052', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.0749297', '0', '0.997189', '5371.29', '-192', '6643.17', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776053', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.996802', '0', '-0.0799147', '5374.45', '-192', '6660.84', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776054', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.754571', '0', '0.656219', '5156.81', '-192', '6753.86', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776055', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.92388', '0', '0.382683', '5155.32', '-192', '6751.09', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776056', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.996802', '0', '0.0799147', '5152.52', '-192', '6749.7', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776057', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.655918', '0', '0.754832', '5146.96', '-192', '6755.33', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776058', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.382683', '0', '0.92388', '5148.38', '-192', '6758.13', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776059', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.0749297', '0', '0.997189', '5151.16', '-192', '6759.54', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776060', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.747971', '0', '-0.663731', '4908.42', '6.2482', '-4808.56', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776061', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.747971', '0', '-0.663731', '4909.04', '6.24821', '-4812.48', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776062', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.999946', '0', '-0.0103981', '4900.59', '6.59605', '-4801.52', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776063', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.999946', '0', '-0.010398', '4896.58', '6.2482', '-4801.35', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776064', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0', '0', '1', '4714.09', '6.249', '-4966.57', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776065', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.707107', '0', '0.707107', '4711.17', '6.249', '-4963.53', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776066', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.707106', '0', '0.707107', '4732.69', '6.249', '-4963.56', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776067', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0', '0', '1', '4730.25', '6.249', '-4966.53', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776068', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0', '0', '1', '4684.66', '4.73', '-4904.8', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776069', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.707106', '0', '0.707108', '4687.37', '4.73', '-4901.93', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776070', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '1', '0', '-3.20013e-08', '4684.6', '4.73', '-4882.73', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776071', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.707106', '0', '0.707107', '4687.62', '4.73', '-4885.76', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776098', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.707106', '0', '0.707107', '4791.34', '6.249', '-4978.24', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776099', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.707106', '0', '0.707107', '4819.16', '6.249', '-4978.43', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776100', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0', '0', '1', '4914.41', '3.75', '-4904.16', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776101', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0', '0', '1', '4919.56', '3.75', '-4904.2', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776102', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '1', '0', '-3.20013e-08', '4915.53', '3.75', '-4953.7', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776103', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '1', '0', '-3.20013e-08', '4920.75', '3.75', '-4953.71', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776104', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.920007', '0', '0.391903', '1820.7', '12', '2580.06', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776105', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.920007', '0', '-0.391903', '1833.5', '12', '2579.84', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776106', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.361615', '0', '0.932327', '1833.38', '12', '2567.26', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776107', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.434965', '0', '0.900447', '1820.81', '12', '2567.26', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776108', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.382683', '0', '0.92388', '1831.21', '12', '2552.96', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776109', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.382683', '0', '0.92388', '1834.03', '12', '2555.77', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776111', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.382683', '0', '0.92388', '1844.29', '12', '2565.98', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776112', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.382683', '0', '0.92388', '1847.14', '12', '2568.77', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776113', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.920007', '0', '0.391903', '1854.59', '14.51', '2624.09', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776114', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.382683', '0', '0.92388', '1854.53', '14.51', '2603.82', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776115', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.144492', '0', '0.989506', '1920.45', '12.22', '2674.68', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776116', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.923303', '0', '-0.384073', '1921.39', '12.22', '2678.34', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776117', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.707106', '0', '0.707107', '1794', '12', '2716', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776118', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.707106', '0', '0.707107', '1794', '12', '2720', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776119', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '1', '0', '-3.20013e-08', '1789', '12', '2724', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776120', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '1', '0', '-3.20013e-08', '1785', '12', '2724', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776121', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.707106', '0', '0.707107', '1780', '12', '2720', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776122', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.707106', '0', '0.707107', '1780', '12', '2716', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776123', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.707106', '0', '0.707107', '1879.8', '12', '2612.16', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776124', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.707106', '0', '0.707107', '1879.8', '12', '2616.19', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776125', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.707106', '0', '0.707107', '1702.64', '12', '2599.79', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776126', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.707106', '0', '0.707107', '1702.82', '12', '2628.81', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776127', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0', '0', '1', '1785.46', '12', '2524.24', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776128', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0', '0', '1', '1789.41', '12', '2524.24', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776129', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.727998', '0', '0.685579', '2002.23', '12', '2565.58', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776130', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.0299955', '0', '0.99955', '2008.18', '12', '2559.29', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776131', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.0199987', '0', '0.9998', '2016.28', '12', '2558.94', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776132', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.692537', '0', '0.721382', '2022.35', '12', '2564.3', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776133', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.688921', '0', '0.724836', '2022.9', '12', '2572.46', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776134', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.999888', '0', '-0.0149995', '2017.01', '12', '2578.8', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776135', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '1', '0', '-3.20013e-08', '2019.48', '19', '2529.69', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776136', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '1', '0', '-3.20013e-08', '2022.85', '19', '2529.69', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776137', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0', '0', '1', '2022.92', '19', '2531.6', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776138', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0', '0', '1', '2019.53', '19', '2531.6', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776139', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.707107', '0', '0.707107', '1978.8', '12', '2619.82', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776140', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.707107', '0', '0.707107', '1978.55', '12', '2625.93', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776141', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.707106', '0', '0.707107', '1978.61', '12', '2612.84', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776142', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.976976', '0', '0.213347', '4648.33', '330', '-1442.9', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776143', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.976976', '0', '0.213347', '4642.6', '330', '-1445.45', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776144', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.976976', '0', '0.213347', '4637.25', '330', '-1447.77', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776145', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.84314', '0', '-0.537693', '4652.16', '330', '-1444.77', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776146', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.976397', '0', '0.215983', '4662.42', '330', '-1445.76', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776147', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.976976', '0', '0.213347', '4672.5', '330', '-1431.76', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776148', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.976976', '0', '0.213347', '4677.74', '330', '-1429.34', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776149', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.976976', '0', '0.213347', '4690.96', '330', '-1425.82', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776150', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.539966', '0', '0.841687', '4693.7', '330', '-1417.43', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776151', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.976976', '0', '0.213347', '4706.47', '330', '-1402.53', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776153', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.213347', '0', '0.976977', '4688.59', '330', '-1364.25', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776154', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.539966', '0', '0.841687', '4669.52', '330', '-1364.01', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776155', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.213347', '0', '0.976977', '4660.96', '330', '-1360.77', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776156', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.213347', '0', '0.976977', '4650.87', '330', '-1368.1', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776157', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.213347', '0', '0.976977', '4645.33', '330', '-1370.75', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776158', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.213347', '0', '0.976977', '4629.99', '330', '-1368.2', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776159', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.213347', '0', '0.976977', '4624.4', '330', '-1370.74', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776160', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.213347', '0', '0.976977', '4599.9', '330', '-1388.84', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776161', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.857299', '0', '0.514819', '5136.25', '346.5', '-1511.95', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776162', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.92269', '0', '0.385543', '5140.21', '346.5', '-1505.88', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776163', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.651834', '0', '0.758362', '5134', '346.5', '-1524.33', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776164', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.384808', '0', '0.922997', '5139.61', '346.511', '-1533.99', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776165', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.0549723', '0', '0.998488', '5147.38', '346.5', '-1538.14', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776166', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '1', '0', '-3.20013e-08', '4858.97', '360', '-1354.33', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776167', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '1', '0', '-3.20013e-08', '4854.87', '360', '-1354.28', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776168', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.707106', '0', '0.707107', '4849.91', '360', '-1359.28', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776169', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.707106', '0', '0.707107', '4849.85', '360', '-1363.23', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776170', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0', '0', '1', '4851.91', '360', '-1365.28', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776171', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0', '0', '1', '4930.9', '360', '-1564.82', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776172', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.707107', '0', '0.707107', '4927.26', '360', '-1561.01', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776173', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '1', '0', '-3.20013e-08', '4931.22', '360', '-1556.74', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776174', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.707107', '0', '0.707107', '4935.37', '360', '-1560.84', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776175', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.767799', '0', '-0.640691', '4921.48', '360', '-1401.46', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776176', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.992198', '0', '-0.124675', '4918.08', '360', '-1397.73', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776177', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.997495', '0', '0.0707372', '4904.93', '360', '-1397.4', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776178', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.804835', '0', '0.593498', '4900.92', '360', '-1400.79', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776179', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0', '0', '1', '4742.86', '330', '-1322.58', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776180', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.707106', '0', '0.707107', '4740.38', '330', '-1325.66', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776181', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.707106', '0', '0.707107', '4745.63', '330', '-1318.26', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776182', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.707106', '0', '0.707107', '4722.39', '330', '-1325.44', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776183', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0', '0', '1', '4719.76', '330', '-1322.86', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776184', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.707106', '0', '0.707107', '4717.1', '330', '-1318.56', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776185', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '1', '0', '-3.20013e-08', '4741.42', '332.5', '-1293.77', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776186', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '1', '0', '-3.20013e-08', '4721.03', '332.5', '-1293.8', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776187', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.929516', '0', '0.368783', '5340.8', '327.107', '-1555.1', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776188', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.986287', '0', '0.165038', '5345.53', '327.003', '-1552.49', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776189', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.9998', '0', '-0.0199987', '5351.12', '326.959', '-1551.52', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776190', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.995083', '0', '-0.099041', '5356.75', '326.997', '-1552.36', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776191', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0', '0', '1', '4994.33', '360', '-1563.07', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2776192', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.707107', '0', '0.707107', '4989.53', '360', '-1558.35', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945357', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.20023', '0', '0.979749', '1431.42', '13.0225', '2718.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945358', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s01.iff', '0', '-0.433531', '0', '0.901139', '1431.11', '13.0347', '2717.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945359', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.889656', '0', '0.456631', '1418.75', '13', '2702.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945360', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s01.iff', '0', '0.917438', '0', '0.397878', '1405.35', '12.999', '2688', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945361', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s02.iff', '0', '0.982154', '0', '0.188077', '1395.33', '13', '2683.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945362', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.458755', '0', '0.888563', '1404.63', '12.9955', '2687.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945363', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.158531', '0', '0.987354', '1394.5', '13', '2683.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945364', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s01.iff', '0', '-0.543166', '0', '0.839626', '1439.46', '13', '2736.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945365', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.975548', '0', '-0.219785', '1439.87', '13', '2737.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945366', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s01.iff', '0', '-0.643609', '0', '0.765355', '1443.56', '13', '2756.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945367', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.995338', '0', '-0.096444', '1443.74', '13', '2757.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945368', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s01.iff', '0', '0.832832', '0', '-0.553526', '1433.38', '13', '2821.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945369', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.982304', '0', '0.187293', '1432.99', '13', '2822.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945370', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s01.iff', '0', '0.895345', '0', '-0.445374', '1421.35', '13', '2838.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945371', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.951289', '0', '0.3083', '1420.75', '13', '2839.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945372', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.206902', '0', '0.978362', '1441.09', '13.0225', '2803.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945373', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s01.iff', '0', '0.756803', '0', '-0.653643', '1441.42', '13.0343', '2802.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945374', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.633904', '0', '0.773412', '1444.29', '13', '2782.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945375', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s01.iff', '0', '0.965979', '0', '-0.258619', '1389', '13', '2863.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945376', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.871077', '0', '0.491146', '1388.13', '13', '2863.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945377', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s01.iff', '0', '0.990686', '0', '-0.136167', '1369.23', '13', '2869.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945378', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.803047', '0', '0.595915', '1368.27', '13', '2869.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945379', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.50847', '0', '0.861079', '1406.15', '13.0225', '2853.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945380', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s01.iff', '0', '0.925899', '0', '-0.377772', '1406.85', '13.0347', '2852.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945382', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s01.iff', '0', '0.996802', '0', '-0.0799149', '1348.69', '13', '2872.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945383', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.0799147', '0', '0.996802', '1347.87', '13', '2872.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945384', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s01.iff', '0', '0.999888', '0', '-0.0149994', '1328.06', '13', '2873.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945385', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.0149994', '0', '0.999888', '1327.24', '13', '2873.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945386', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s01.iff', '0', '1', '0', '-3.20013e-08', '1286.63', '13', '2873.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945387', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '1285.8', '13', '2873.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945388', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s01.iff', '0', '1', '0', '-3.20013e-08', '1307.35', '13', '2873.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945389', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '1306.52', '13', '2873.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945390', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s01.iff', '0', '0.982936', '0', '0.183946', '1267.58', '13', '2866.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945391', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.271547', '0', '0.962425', '1266.99', '13', '2865.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945393', '0', 'object/static/structure/naboo/shared_gate_narrow_s02.iff', '0', '-0.328769', '0', '0.94441', '1260.79', '13', '2862.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945394', '0', 'object/static/structure/naboo/shared_gate_wide_s02.iff', '0', '-0.707105', '0', '0.707109', '1212.03', '13', '2758.34', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945395', '0', 'object/static/structure/naboo/shared_gate_wide_s02.iff', '0', '-0.707105', '0', '0.707109', '1212.03', '13', '2778.34', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945396', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s02.iff', '0', '0', '0', '1', '1212.03', '13', '2768.34', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945397', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.230305', '0', '0.973119', '1219.46', '13', '2807.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945398', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s01.iff', '0', '0.84544', '0', '0.534071', '1219.9', '13', '2808.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945399', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s01.iff', '0', '0.813879', '0', '0.581035', '1212.84', '13', '2788.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945400', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.581035', '0', '0.813879', '1212.57', '13', '2787.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945401', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.37314', '0', '0.927775', '1240.65', '13', '2842.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945402', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s01.iff', '0', '0.93109', '0', '0.364791', '1241.22', '13', '2843.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945403', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s01.iff', '0', '0.891569', '0', '0.452886', '1228.79', '13', '2826.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945404', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.488178', '0', '0.872744', '1228.35', '13', '2825.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945405', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.419043', '0', '0.907966', '1255.82', '13', '2857.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945406', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '-0.305059', '0', '0.952334', '1264.76', '13', '2864.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945407', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '-0.352275', '0', '0.935897', '1257.71', '13', '2859', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945412', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.0376', '0', '0.999293', '1212.15', '13', '2748.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945413', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s01.iff', '0', '0.0906717', '0', '0.995881', '1292.83', '13', '2656.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945414', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.995881', '0', '-0.0906717', '1293.65', '13', '2656.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945415', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s01.iff', '0', '-0.0725479', '0', '0.997365', '1348.22', '13', '2662.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945416', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s01.iff', '0', '-0.113955', '0', '0.993486', '1368.3', '13', '2667.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945417', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.781838', '0', '-0.623481', '1348.97', '13', '2662.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945418', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.988134', '0', '0.153594', '1369.24', '13', '2667.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945419', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s01.iff', '0', '-0.024201', '0', '0.999707', '1313.06', '13', '2657.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945420', '0', 'object/static/structure/naboo/shared_gate_narrow_s02.iff', '0', '0.998531', '0', '0.0541767', '1321.54', '13', '2658.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945421', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.743045', '0', '-0.669241', '1328.56', '13', '2659.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945422', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0.99879', '0', '0.0491843', '1316.82', '13', '2658', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945423', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0.996865', '0', '0.0791219', '1325.8', '13', '2659.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945424', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.998531', '0', '0.0541771', '1313.98', '13', '2657.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945425', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s01.iff', '0', '0.380925', '0', '0.924606', '1255.91', '13', '2671.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945426', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.924606', '0', '-0.380925', '1256.51', '13', '2671.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945427', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s01.iff', '0', '0.272314', '0', '0.962209', '1272.92', '13', '2660.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945428', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.969943', '0', '-0.243329', '1273.8', '13', '2660.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945433', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.661479', '0', '0.749963', '1213.19', '13', '2737.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945435', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s02.iff', '0', '0.737931', '0', '-0.674876', '1212.29', '13', '2747.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945442', '0', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '0.721106', '0', '-0.692824', '1277.99', '13', '2766.38', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945445', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.0914654', '0', '0.995808', '1240.67', '13', '2703.25', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945446', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.226426', '0', '0.974028', '1243.24', '13', '2704.13', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945447', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0.352274', '0', '0.935897', '1235.81', '13', '2714.99', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945448', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.693685', '0', '0.720279', '1233.76', '13', '2714.54', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945449', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.846831', '0', '-0.531863', '1237.62', '13', '2715.35', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945450', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '-0.466208', '0', '0.884675', '1246.17', '13', '2718.81', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945451', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '-0.193767', '0', '0.981048', '1257.47', '13', '2714.73', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945452', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.0914654', '0', '0.995808', '1246.1', '13', '2716.79', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945453', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.993486', '0', '0.113955', '1246.16', '13', '2720.74', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945454', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.675469', '0', '0.737388', '1244.15', '13', '2718.51', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945455', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.688921', '0', '0.724836', '1248.11', '13', '2718.89', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945456', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.210019', '0', '0.977697', '1256.95', '13', '2712.7', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945457', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.999983', '0', '-0.00579758', '1257.94', '13', '2716.51', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945458', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '-0.466208', '0', '0.884675', '1248.98', '13', '2727.67', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945459', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.993486', '0', '0.113955', '1248.27', '13', '2729.6', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945460', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.0914654', '0', '0.995808', '1248.22', '13', '2725.66', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945461', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.226426', '0', '0.974028', '1250.8', '13', '2726.54', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945462', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0.937369', '0', '-0.348338', '1251.9', '13', '2714.62', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945463', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.664327', '0', '0.747442', '1249.9', '13', '2714.13', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945464', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.595917', '0', '0.803046', '1253.82', '13', '2713.64', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945465', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.818277', '0', '-0.574825', '1253.22', '13', '2716.29', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945466', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '-0.466208', '0', '0.884675', '1241.43', '13', '2705.26', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945467', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.993486', '0', '0.113955', '1240.72', '13', '2707.19', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945468', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.300293', '0', '0.953847', '1243.09', '13', '2729.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945469', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.300293', '0', '0.953847', '1256.98', '13', '2709.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945470', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.0998333', '0', '0.995004', '1444.04', '13', '2759.31', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945471', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.997551', '0', '0.0699432', '1444.48', '13', '2781.62', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945475', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_02.iff', '0', '-0.0749296', '0', '0.997189', '1330.55', '13', '2676.66', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '2945479', '0', 'object/building/naboo/shared_filler_building_naboo_style_10.iff', '0', '1', '0', '3.20013e-08', '1319.53', '13', '2855.62', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '3005863', '0', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '1', '0', '-3.20013e-08', '1738.99', '12', '2658.41', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '3005865', '0', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.92388', '0', '0.382683', '1737.99', '12', '2657.16', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '3005873', '0', 'object/static/structure/naboo/shared_gungan_filler_building_s01.iff', '0', '0', '0', '1', '-264.015', '12.4921', '2805.27', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '3005874', '0', 'object/tangible/furniture/all/shared_frn_all_throwpillow_med_s01.iff', '0', '0', '0', '1', '1737.26', '12', '2655.49', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '3005877', '0', 'object/tangible/furniture/all/shared_frn_all_throwpillow_med_s01.iff', '0', '0', '0', '1', '1737.26', '12', '2654.18', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '3005878', '0', 'object/tangible/furniture/all/shared_frn_all_throwpillow_med_s01.iff', '0', '0', '0', '1', '1737.26', '12', '2652.89', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '3005879', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0', '0', '1', '1737.75', '12', '2647.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3005881', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0.732124', '0', '0.681171', '1737.53', '12', '2648.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3005882', '0', 'object/static/item/shared_item_food_vegetable_s01.iff', '0', '0', '-0.119712', '0.992809', '1738.04', '12.0632', '2647.75', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '3005883', '0', 'object/static/item/shared_item_food_vegetable_s02.iff', '0', '0.720831', '0', '-0.693111', '1737.92', '12.0949', '2647.56', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '3005885', '0', 'object/static/structure/naboo/shared_gungan_relic_s02.iff', '0', '0.707108', '0', '0.707106', '-264', '10', '2762', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '3005886', '0', 'object/static/item/shared_item_food_vegetable_s03.iff', '0', '0', '0', '1', '1737.42', '12', '2647.25', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '3005887', '0', 'object/static/structure/naboo/shared_gungan_relic_s02.iff', '0', '0.707107', '0', '0.707107', '-244', '10', '2762', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '3005888', '0', 'object/static/item/shared_item_food_vegetable_s03.iff', '0', '0.628026', '0', '0.778192', '1738.24', '12', '2647.18', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '3005891', '0', 'object/static/structure/naboo/shared_gungan_relic_s02.iff', '0', '0.707107', '0', '-0.707107', '-284', '10', '2762', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '3005893', '0', 'object/static/item/shared_item_food_fruit_s03.iff', '0.0907638', '-0.260826', '-0.238148', '0.931138', '1738.03', '12.0632', '2647.38', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '3005895', '0', 'object/static/structure/naboo/shared_gungan_relic_s02.iff', '0', '0.707107', '0', '0.707107', '-244.111', '10', '2860', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '3005896', '0', 'object/static/structure/naboo/shared_gungan_relic_s02.iff', '0', '0.707107', '0', '-0.707107', '-284', '10', '2860', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '3005897', '0', 'object/static/item/shared_wp_mle_knife_stone.iff', '-0.289358', '0.289358', '0.645191', '-0.645191', '1739.24', '12.9487', '2658.02', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '3005898', '0', 'object/static/item/shared_wp_mle_knife_stone.iff', '-0.494406', '0.142131', '0.853572', '0.0823254', '1739.2', '13.1068', '2658', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '3005899', '0', 'object/static/structure/naboo/shared_gungan_relic_s02.iff', '0', '1', '0', '3.48103e-07', '-310', '10', '2827', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '3005900', '0', 'object/static/structure/naboo/shared_gungan_relic_s02.iff', '0', '0', '0', '1', '-310', '10', '2787', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '3005901', '0', 'object/static/structure/naboo/shared_gungan_relic_s02.iff', '0', '1', '0', '3.48103e-07', '-212', '10', '2787', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '3005902', '0', 'object/static/structure/naboo/shared_gungan_relic_s02.iff', '0', '0', '0', '1', '-212', '10', '2827', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '3005903', '0', 'object/static/item/shared_item_bottle_fat.iff', '0.0728633', '-0.0672266', '0.744944', '-0.65972', '1738.68', '13.0436', '2658.42', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '3005904', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s02.iff', '0', '-0.707106', '0', '0.707107', '-292', '11.0508', '2860', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3005905', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s02.iff', '0', '0.707106', '0', '0.707108', '-306', '10.5298', '2860', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3005906', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s01.iff', '0.0301985', '0.000354675', '0.0117386', '0.999475', '-310', '10.7652', '2852', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3005907', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '-0.0132527', '0.999042', '0.0416982', '-0.000553069', '-309.943', '10.338', '2859.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3005908', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s02.iff', '-0.00980691', '0.000333088', '-0.0341373', '0.999369', '-310', '13.0268', '2766', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3005909', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s01.iff', '0.0307822', '0.707642', '0.00974004', '-0.705833', '-302', '12.6015', '2762', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3005910', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0.016235', '0.706306', '-0.0336302', '0.706921', '-310.02', '12.8412', '2762.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3005912', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s01.iff', '0.0156132', '0.999836', '-0.00916504', '-0.000429323', '-212', '9.89246', '2770', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3005913', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '-0.00653464', '0.000151756', '-0.0232215', '0.999709', '-212', '9.8444', '2762', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3005914', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s01.iff', '0.0141852', '0.707243', '0.0020189', '-0.706825', '-220', '9.97828', '2762', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3005915', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s01.iff', '0.015611', '0.999836', '-0.00917', '-0.000143', '-212', '11.0976', '2814', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3005916', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s02.iff', '0.011772', '0.999776', '0.0175846', '0.000209154', '-212', '11.7912', '2856', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3005917', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s01.iff', '0.0239183', '0.706393', '0.0125575', '0.707304', '-220', '11.6727', '2860', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3005918', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0.707107', '0', '-0.707107', '-212', '11.819', '2860', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3005919', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s02.iff', '0.00856598', '-0.000146384', '-0.0168634', '0.999821', '-310', '13.0333', '2796', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3005920', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s02.iff', '0.00692295', '0.999835', '0.0167636', '0.000118056', '-310', '12.631', '2818', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3055961', '0', 'object/static/structure/naboo/shared_gungan_shield_gen_s01.iff', '-0.26497', '0.0306065', '-0.120158', '0.956251', '-283.816', '12.4612', '2842.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3055962', '0', 'object/static/structure/naboo/shared_gungan_shield_gen_s01.iff', '0', '0', '0', '1', '-263.896', '30.0221', '2799.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3055963', '0', 'object/static/structure/naboo/shared_gungan_shield_gen_s01.iff', '-0.140327', '0.0754558', '0.254079', '0.95397', '-230.977', '12.727', '2836.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3055964', '0', 'object/static/structure/naboo/shared_gungan_shield_gen_s01.iff', '-4.14845e-09', '0.991562', '0.129634', '3.17312e-08', '-292.578', '12.7321', '2783.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3055965', '0', 'object/static/structure/naboo/shared_gungan_shield_gen_s01.iff', '3.03555e-09', '0.995491', '-0.0948571', '3.1857e-08', '-239.738', '9.79322', '2777.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3055966', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s02.iff', '0.011772', '0.999776', '0.017585', '0.000209', '-220.715', '12.1076', '2833.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3055967', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0.707107', '0', '-0.707107', '-220.715', '12.1823', '2837.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3055968', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s01.iff', '0.0107956', '-0.000523997', '-0.00804149', '0.999909', '-220.715', '12.0111', '2845.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3055969', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s02.iff', '0.0194876', '0.70707', '0.00707911', '0.70684', '-226.715', '11.8603', '2853.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3055970', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s01.iff', '-0.0108678', '0.70716', '0.0190202', '-0.706714', '-238.715', '12.0355', '2853.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3055971', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0.0078067', '0.999714', '0.0226115', '0.000176886', '-230.715', '11.9266', '2853.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3055972', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s02.iff', '0.0847092', '0.969195', '-0.230428', '-0.0197169', '-220.715', '8.34185', '2795.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3055973', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0.707107', '0', '-0.707107', '-220.715', '10.7442', '2799.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3055974', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s02.iff', '-0.0178443', '-5.08024e-05', '-0.0204621', '0.999631', '-220.715', '10.9996', '2803.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3055975', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0.707107', '0', '0.707107', '-220.715', '11.3773', '2809.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3055976', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s01.iff', '0.015611', '0.999836', '-0.00917', '-0.000143', '-220.715', '11.6773', '2819.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3055977', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '-0.0123001', '-0.000434912', '-0.0352599', '0.999302', '-220.325', '10.2038', '2770.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3055979', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s02.iff', '0.0310731', '0.706425', '0.0172039', '-0.706896', '-224.325', '10.3497', '2770.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3055980', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '-0.0222229', '0.999341', '0.0286929', '-0.000637032', '-300', '10.9248', '2854', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3055981', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s01.iff', '0.0212534', '-0.000440303', '0.0193695', '0.999586', '-300', '11.323', '2846', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3055982', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s02.iff', '0.00446031', '0.706278', '0.0341922', '0.707094', '-296', '11.0972', '2854', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3055983', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s02.iff', '0.0156744', '-0.000263609', '0.00973697', '0.99983', '-300', '12.0792', '2829', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3055984', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0.00456254', '0.706916', '0.0164506', '0.707092', '-300', '12.2015', '2825', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3055985', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s02.iff', '-0.0058959', '0.9999', '0.0128627', '0.000340403', '-300', '12.3129', '2821', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3055986', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '-0.00699938', '0.707071', '0.00711299', '-0.707072', '-300', '12.4495', '2815', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3055987', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s01.iff', '0.00610617', '0.000253723', '-0.00530608', '0.999967', '-300', '12.6075', '2805', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3055988', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s02.iff', '-0.00139364', '-0.000396321', '-0.0142182', '0.999898', '-300', '12.63', '2791', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3055989', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0.707107', '0', '0.707107', '-300', '12.6144', '2787', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3055990', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s01.iff', '0.0233657', '0.999694', '-0.00815142', '0.000661945', '-300', '12.5289', '2779', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3055991', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s02.iff', '0.025224', '0.70709', '0.00506422', '-0.706656', '-294', '12.1934', '2771', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3055992', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s01.iff', '-0.000175096', '0.706385', '-0.024117', '0.707417', '-282', '11.7388', '2771', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3055993', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0', '0', '1', '-290', '12.0243', '2771', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3055995', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s02.iff', '0.0168731', '0.707084', '-0.00579795', '-0.706904', '-264', '11.5545', '2771', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3055996', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '-0.0160246', '0.000208149', '-0.0129675', '0.999788', '-260', '11.4551', '2771', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3055998', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s01.iff', '-0.012558', '0.707305', '0.023918', '-0.706392', '-284', '11.5846', '2854', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3055999', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0', '0', '1', '-275', '12.3125', '2854', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3056000', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '1', '0', '0', '-253', '12.41', '2854', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3056017', '0', 'object/static/structure/naboo/shared_gungan_statue_s01.iff', '0', '0', '0', '1', '-249.244', '11.735', '2865.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3056019', '0', 'object/static/structure/naboo/shared_gungan_statue_s03.iff', '0', '0', '0', '1', '-278.692', '11.3655', '2866.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3056020', '0', 'object/static/structure/naboo/shared_gungan_statue_s02.iff', '0', '0', '0', '1', '-240.287', '11.7516', '2865.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3056021', '0', 'object/static/structure/naboo/shared_gungan_statue_s04.iff', '0', '0', '0', '1', '-287.274', '11.0189', '2865.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3056022', '0', 'object/static/structure/naboo/shared_gungan_statue_s04.iff', '0', '0', '0', '1', '-270.9', '12.934', '2821.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3056023', '0', 'object/static/structure/naboo/shared_gungan_statue_s02.iff', '0', '0', '0', '1', '-257.307', '12.8369', '2821.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3076036', '0', 'object/static/structure/general/shared_data_terminal_s1.iff', '0', '1', '0', '-3.20013e-08', '5028.49', '39.2965', '4153.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3145353', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '-0.707105', '0', '0.707109', '-5804.94', '6', '4049.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3145354', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '-0.707095', '0', '0.707118', '-5804.92', '6', '4082.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3145355', '0', 'object/tangible/terminal/shared_terminal_mission_bounty.iff', '0', '-0.707106', '0', '0.707107', '5191.8', '-192', '6676.31', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '3145357', '0', 'object/tangible/terminal/shared_terminal_mission_bounty.iff', '0', '0.707107', '0', '-0.707107', '5191.79', '-192', '6674.31', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '3145359', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.707107', '0', '0.707107', '5194.13', '-192', '6675.18', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '3145361', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.707107', '0', '0.707107', '5194.17', '-192', '6669.16', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '3145367', '0', 'object/tangible/terminal/shared_terminal_mission_bounty.iff', '0', '0.494882', '0', '0.86896', '4927.32', '-192', '6725.54', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '3145369', '0', 'object/tangible/terminal/shared_terminal_mission_bounty.iff', '0', '0.492535', '0', '0.870293', '4925.88', '-192', '6727.88', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '3145435', '0', 'object/static/structure/general/shared_rock_mossy_big_a1.iff', '0', '0', '0', '1', '-5425.45', '6', '3941.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3145436', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_lattice_s01.iff', '0', '0.266731', '0', '0.963771', '2006.82', '17.41', '2537.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3145440', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_lattice_s01.iff', '0', '0.285952', '0', '0.958244', '2010.2', '17.41', '2543.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3145441', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_lattice_s01.iff', '0.266731', '-8.3812e-09', '0.963771', '-4.33303e-08', '2006.82', '15.078', '2537.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3205353', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_1.iff', '0', '0.921061', '0', '0.389418', '1873.57', '5.47338', '2709.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3205354', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0.773914', '0', '-0.63329', '-1992.02', '5.32723', '-5417.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3205355', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0.789503', '0', '-0.613746', '-1989.54', '4.53026', '-5426.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3295533', '0', 'object/static/naboo/shared_waterfall_mist_small.iff', '0', '0', '0', '1', '5174.29', '325.1', '-1581.8', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '3295535', '0', 'object/static/naboo/shared_waterfall_mist_small.iff', '0', '0', '0', '1', '5186.82', '325.565', '-1599.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '3405372', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s02.iff', '0', '0.450833', '0', '0.892608', '1888.54', '12', '2449.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3405374', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.892608', '0', '-0.450834', '1888.54', '12', '2449.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3495352', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0', '0', '1', '-5623.62', '-164.58', '-33.9562', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3495364', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0.707106', '0', '0.707107', '-5611.83', '-164.58', '-22.6023', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3495366', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '1', '0', '-3.48103e-07', '-5614.53', '-157.223', '-23.7491', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3495440', '0', 'object/static/item/shared_item_tank_gas.iff', '0', '-0.552199', '0', '0.833712', '-5886.87', '6', '4215.42', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '3495441', '0', 'object/static/item/shared_item_tool_turbine_generator.iff', '0', '-0.552199', '0', '0.833712', '-5887.09', '6', '4212.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '3495442', '0', 'object/static/item/shared_item_comp_blaster_cannon.iff', '0', '0.742364', '0', '0.669996', '-5886.87', '6', '4211.55', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '3495443', '0', 'object/static/structure/general/shared_debris_deathstar_small_tube.iff', '0', '-0.114747', '0', '0.993395', '-5888.07', '6', '4217.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3495444', '0', 'object/static/structure/general/shared_debris_deathstar_small_chunk.iff', '0', '-0.552199', '0', '0.833712', '-5885.41', '6', '4211.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3495445', '0', 'object/static/structure/general/shared_debris_deathstar_small_tube.iff', '0', '0.978899', '0', '-0.204347', '-5887.37', '6', '4216.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3495457', '0', 'object/static/structure/general/shared_droid_r2_powerdown.iff', '0', '0.8699', '0', '0.493228', '-5887.79', '6', '4214.65', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '3495458', '0', 'object/static/structure/naboo/shared_poi_nboo_tent_med.iff', '0', '-0.15438', '0', '0.988012', '-5885.53', '6', '4214.9', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '3495459', '0', 'object/static/structure/general/shared_debris_deathstar_small_tube.iff', '0', '0.841471', '0', '-0.540303', '-5887.04', '6', '4218.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3495460', '0', 'object/static/structure/general/shared_debris_deathstar_small_tube.iff', '0', '0.700857', '0', '0.713303', '-5886.33', '6', '4217.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3495463', '0', 'object/static/item/shared_item_tank_gas.iff', '0', '0.361615', '0', '0.932327', '-5218.06', '6', '4216.05', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '3495464', '0', 'object/static/item/shared_item_tool_turbine_generator.iff', '0', '0.624897', '0', '0.780707', '-5221.31', '6', '4220.42', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '3495465', '0', 'object/static/item/shared_item_comp_blaster_cannon.iff', '0', '0.864925', '0', '-0.501901', '-5222.28', '6', '4221.42', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '3495466', '0', 'object/static/structure/general/shared_debris_deathstar_small_tube.iff', '0', '-0.457339', '0', '0.889293', '-5220.32', '6', '4217.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3495467', '0', 'object/static/structure/general/shared_debris_deathstar_small_chunk.iff', '0', '0.624897', '0', '0.780707', '-5223.71', '6', '4220.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3495468', '0', 'object/static/structure/general/shared_debris_deathstar_small_tube.iff', '0', '0.988134', '0', '0.153593', '-5219.33', '6', '4217.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3495469', '0', 'object/static/structure/general/shared_droid_r2_powerdown.iff', '0', '0.905091', '0', '-0.425218', '-5218.48', '6', '4217.18', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '3495470', '0', 'object/static/structure/naboo/shared_poi_nboo_tent_med.iff', '0', '0.893464', '0', '0.449134', '-5221.43', '6', '4217.91', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '3495471', '0', 'object/static/structure/general/shared_debris_deathstar_small_tube.iff', '0', '0.977864', '0', '-0.209239', '-5220.14', '6', '4218.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3495472', '0', 'object/static/structure/general/shared_debris_deathstar_small_tube.iff', '0', '0.404651', '0', '0.914471', '-5219.15', '6', '4218.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3495473', '0', 'object/static/item/shared_item_comp_blaster_cannon.iff', '0', '0.845014', '0', '0.534744', '-5224.51', '6', '4219.95', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '3555404', '0', 'object/static/creature/shared_corellia_durni.iff', '0', '0.412321', '0', '0.911039', '5154.55', '-191.937', '6634.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3555405', '0', 'object/static/item/shared_item_cage_bamboo.iff', '0', '-0.342898', '0', '0.939373', '5154.7', '-192', '6634.7', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '3555406', '0', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '0.42141', '0', '0.90687', '5155.9', '-192', '6632.61', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '3555407', '0', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '0.266731', '0', '0.963771', '5155.47', '-192', '6633.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '3555408', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.443948', '0', '0.896052', '5154.7', '-192', '6633.95', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '3555409', '0', 'object/static/item/shared_item_tool_handheld_viewscreen_s2.iff', '0', '0.640386', '0', '0.768054', '5154.88', '-191.273', '6634.76', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '3555414', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.164252', '0', '0.986418', '5048.42', '-192', '6788.49', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '3555415', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.999958', '0', '-0.00920342', '5048.62', '-192', '6787.28', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '3555416', '0', 'object/static/item/shared_item_food_fish.iff', '0', '0.688921', '0', '0.724836', '5048.22', '-190.893', '6788.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '3555417', '0', 'object/static/item/shared_item_food_fish.iff', '0', '0.990794', '0', '0.13538', '5048.5', '-190.893', '6788.77', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '3555418', '0', 'object/static/item/shared_item_bowl_plain.iff', '0', '0', '0', '1', '5048.56', '-190.862', '6788.35', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '3555419', '0', 'object/static/item/shared_item_con_barrel_lg_s1.iff', '0', '0', '0', '1', '5047.76', '-192', '6786.36', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '3555420', '0', 'object/static/structure/general/shared_camp_lawn_chair_s01.iff', '0', '0.773915', '0', '0.63329', '5020.03', '-192', '6784.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3555422', '0', 'object/static/structure/general/shared_camp_stool_tall_s01.iff', '0', '0', '0', '1', '5019.91', '-192.095', '6783.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3555423', '0', 'object/static/structure/general/shared_camp_stool_tall_s01.iff', '0', '0', '0', '1', '5021.23', '-192', '6783.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3555424', '0', 'object/static/structure/general/shared_camp_lawn_chair_s01.iff', '0', '0.979908', '0', '0.19945', '5279.79', '-192', '6594.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3555425', '0', 'object/static/structure/general/shared_campfire_smoldering.iff', '0', '0', '0', '1', '5282.03', '-192', '6594.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3555426', '0', 'object/static/structure/general/shared_camp_spit_s01.iff', '0', '0', '0', '1', '5282.07', '-192', '6594.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3555427', '0', 'object/static/structure/general/shared_camp_stool_tall_s01.iff', '0', '0', '0', '1', '5281.54', '-192', '6596.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3555428', '0', 'object/static/structure/general/shared_camp_stool_tall_s01.iff', '0', '0', '0', '1', '5283.27', '-192', '6595.59', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3555429', '0', 'object/static/structure/general/shared_camp_stool_short_s01.iff', '0', '0', '0', '1', '5283.85', '-192', '6593.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3555430', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.149438', '0', '0.988771', '5282.56', '-192', '6596.36', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '3555431', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.932039', '0', '-0.362358', '5280.17', '-192', '6595.38', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '3555453', '0', 'object/building/general/shared_bank_general.iff', '0', '0', '0', '1', '2524.83', '12.817', '1787.47', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '3555454', '0', 'object/building/general/shared_cantina_general.iff', '0', '0', '0', '1', '2522.19', '12.487', '1774.75', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '3555455', '0', 'object/building/general/shared_cantina_general.iff', '0', '0', '0', '1', '2505.31', '11.4711', '1821.07', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '3555456', '0', 'object/building/general/shared_cloning_facility_general.iff', '0', '0', '0', '1', '2508.61', '11.8591', '1804.39', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '3555457', '0', 'object/building/general/shared_cloning_facility_general.iff', '0', '0', '0', '1', '2520.23', '12.6731', '1819.23', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '3555458', '0', 'object/building/general/shared_cloning_facility_general.iff', '0', '0', '0', '1', '2520.23', '12.6731', '1819.23', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '3555459', '0', 'object/building/general/shared_cloning_facility_general.iff', '0', '0', '0', '1', '2426.73', '8.34057', '1868.33', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '3555460', '0', 'object/building/general/shared_cloning_facility_general.iff', '0', '0', '0', '1', '2421.91', '8.51405', '1873.95', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '3555516', '0', 'object/building/general/shared_housing_general_style_1.iff', '0', '0', '0', '1', '2674.38', '15.3862', '1891.81', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '3555528', '0', 'object/building/general/shared_parking_garage_general.iff', '0', '0', '0', '1', '2527.3', '13.6103', '1696.3', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '3575388', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.0004', '0', '1', '5047.94', '3.75', '-4922.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3575407', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_short_s01.iff', '0', '-0.707102', '0', '0.707111', '5048.16', '3.75', '-4900.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3575408', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_short_s01.iff', '0', '-0.707102', '0', '0.707111', '5048.25', '3.75', '-4892.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3585361', '0', 'object/static/structure/naboo/shared_nboo_imprv_spill_gate_cap_s01.iff', '0', '0.099833', '0', '0.995004', '1653.15', '40.2471', '2787.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3585362', '0', 'object/static/structure/naboo/shared_nboo_imprv_spill_gate_s01.iff', '0', '0.995004', '0', '-0.099833', '1653.15', '40.2471', '2787.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3585365', '0', 'object/static/structure/naboo/shared_nboo_imprv_spill_gate_cap_s01.iff', '0', '0.099833', '0', '0.995004', '1637.47', '40.2471', '2791.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3585366', '0', 'object/static/structure/naboo/shared_nboo_imprv_spill_gate_s01.iff', '0', '0', '0', '1', '1773.06', '40.1825', '2808.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3585367', '0', 'object/static/structure/naboo/shared_nboo_imprv_spill_gate_cap_s01.iff', '0', '0', '0', '1', '1773.06', '40.1825', '2808.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3585368', '0', 'object/static/structure/naboo/shared_nboo_imprv_spill_gate_cap_s01.iff', '0', '0', '0', '1', '1757.06', '39.6159', '2808.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3585370', '0', 'object/static/structure/naboo/shared_nboo_imprv_spill_gate_cap_s01.iff', '0', '0', '0', '1', '1805.06', '40.1825', '2808.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3585372', '0', 'object/static/structure/naboo/shared_nboo_imprv_spill_gate_s01.iff', '0', '1', '0', '0', '1789.06', '40.1825', '2808.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3585373', '0', 'object/static/structure/naboo/shared_nboo_imprv_spill_gate_s01.iff', '0', '0', '0', '1', '1805.06', '40.1825', '2808.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3585374', '0', 'object/static/structure/naboo/shared_nboo_imprv_spill_gate_cap_s01.iff', '0', '0', '0', '1', '1789.06', '40.1825', '2808.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3585377', '0', 'object/static/structure/naboo/shared_nboo_imprv_spill_gate_cap_s01.iff', '0', '0.0249976', '0', '0.999687', '2046.82', '40.1928', '2794.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3585378', '0', 'object/static/structure/naboo/shared_nboo_imprv_spill_gate_cap_s01.iff', '0', '0.0249976', '0', '0.999687', '2014.86', '39.6262', '2796.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3585379', '0', 'object/static/structure/naboo/shared_nboo_imprv_spill_gate_s01.iff', '0', '0.999687', '0', '-0.0249976', '2046.82', '40.1928', '2794.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3585380', '0', 'object/static/structure/naboo/shared_nboo_imprv_spill_gate_s01.iff', '0', '0.0249976', '0', '0.999687', '2030.84', '40.1928', '2795.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3585381', '0', 'object/static/structure/naboo/shared_nboo_imprv_spill_gate_cap_s01.iff', '0', '0.0249976', '0', '0.999687', '2030.84', '40.1928', '2795.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3585382', '0', 'object/static/structure/naboo/shared_nboo_imprv_spill_gate_s01.iff', '0', '-0.703851', '0', '0.710348', '1990.2', '30.1908', '2694.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3585387', '0', 'object/static/structure/naboo/shared_nboo_imprv_spill_gate_s01.iff', '0', '0', '0', '1', '1772.43', '12.1872', '2459.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3585388', '0', 'object/static/structure/naboo/shared_nboo_imprv_spill_gate_cap_s01.iff', '0', '0', '0', '1', '1772.43', '12.1872', '2459.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3585389', '0', 'object/static/structure/naboo/shared_nboo_imprv_spill_gate_cap_s01.iff', '0', '0', '0', '1', '1756.43', '11.6206', '2459.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3585391', '0', 'object/static/structure/naboo/shared_nboo_imprv_spill_gate_cap_s01.iff', '0', '0', '0', '1', '1804.43', '12.1872', '2459.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3585393', '0', 'object/static/structure/naboo/shared_nboo_imprv_spill_gate_s01.iff', '0', '1', '0', '0', '1788.43', '12.1872', '2459.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3585394', '0', 'object/static/structure/naboo/shared_nboo_imprv_spill_gate_s01.iff', '0', '0', '0', '1', '1804.43', '12.1872', '2459.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3585395', '0', 'object/static/structure/naboo/shared_nboo_imprv_spill_gate_cap_s01.iff', '0', '0', '0', '1', '1788.43', '12.1872', '2459.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3585396', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_2.iff', '0', '0.999985', '0', '-0.00539874', '1748.81', '5.95851', '2457.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3585397', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_2.iff', '0', '0.00539906', '0', '0.999985', '1764.84', '5.95851', '2461.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3585398', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_2.iff', '0', '0.999985', '0', '-0.005399', '1812.01', '5.95851', '2457.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3585399', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_2.iff', '0', '0.005399', '0', '0.999985', '1828.03', '5.95851', '2461.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3585400', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0', '0', '1', '1748.98', '11.14', '2463.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3585401', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0', '0', '1', '1748.94', '11.14', '2456.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3585402', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0', '0', '1', '1827.92', '11.41', '2462.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3585403', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0', '0', '1', '1827.88', '11.41', '2455.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3585407', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0', '0', '1', '-5585.74', '-157.241', '-9.77625', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3585408', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0', '0', '1', '-5585.66', '-157.292', '-58.4718', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3585409', '0', 'object/static/structure/naboo/shared_gungan_relic_s02.iff', '0', '0', '0', '1', '-2019.23', '1.00986', '-5417.96', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '3955353', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.907837', '0', '0.419322', '-5014.27', '6', '4251.53', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '3955356', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_large_s01.iff', '0', '0.345432', '0', '0.938444', '-5022.64', '6', '4243.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3955357', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_large_s01.iff', '0', '-0.419322', '0', '0.907837', '-5006.99', '6', '4249.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3955360', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0.340735', '0', '0.940159', '-5011.24', '6', '4244.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3955361', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0.340735', '0', '0.940159', '-5007.25', '6', '4249.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3955363', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.714138', '0', '0.700004', '-5350.85', '6', '4141.23', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '3955364', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.714138', '0', '0.700004', '-5350.75', '6', '4147.63', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '3955372', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '-0.0219035', '0', '0.99976', '4878.65', '3.75', '-4850.79', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '3955374', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.721111', '0', '-0.692819', '1277.86', '13', '2770.84', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '3955375', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.721111', '0', '-0.692819', '1277.74', '13', '2773.83', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '3955376', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.721113', '0', '-0.692817', '1278.29', '13', '2758.24', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '3955377', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.721113', '0', '-0.692817', '1278.17', '13', '2761.23', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '3955391', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_sml_s03.iff', '0', '-0.707106', '0', '0.707107', '5193.16', '-192', '6677.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3955392', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0', '0', '1', '5191', '-192.492', '6672.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3955393', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s02.iff', '0', '1', '0', '-3.20013e-08', '5193.14', '-192.492', '6666.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3955394', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s02.iff', '0', '0.707105', '0', '0.707108', '5193.15', '-192.492', '6678.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '3955412', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0.345432', '0', '0.938444', '-4911.84', '6', '3997.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4015358', '0', 'object/tangible/terminal/shared_terminal_mission_imperial.iff', '0', '0.707107', '0', '0.707107', '-5470.92', '6', '4410.46', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4015362', '0', 'object/tangible/terminal/shared_terminal_mission_rebel.iff', '0', '0.904412', '0', '0.42666', '-4946.16', '6', '4001.07', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4015368', '0', 'object/tangible/terminal/shared_terminal_mission_rebel.iff', '0', '-0.305059', '0', '0.952334', '1247.45', '13', '2693.71', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4015372', '0', 'object/tangible/terminal/shared_terminal_mission_imperial.iff', '0', '0.328769', '0', '0.94441', '4861.37', '360', '-1384.86', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4015378', '0', 'object/static/structure/naboo/shared_wallend_a1_naboo_theed_style_1.iff', '0', '0.707106', '0', '0.707107', '4998.03', '2.11126', '-4891.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4015379', '0', 'object/static/structure/naboo/shared_wallend_a1_naboo_theed_style_1.iff', '0', '0', '0', '1', '4994.85', '2.11126', '-4975.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4015380', '0', 'object/static/structure/naboo/shared_gate_narrow_s02.iff', '0', '0.7071', '0', '0.707113', '4984.7', '3.75', '-4970.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4015381', '0', 'object/static/structure/naboo/shared_wallend_a1_naboo_theed_style_1.iff', '0', '-0.707106', '0', '0.707107', '4995.62', '2.11126', '-4965.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4015382', '0', 'object/static/structure/naboo/shared_wall_a1_naboo_theed_style_1.iff', '0', '0.707107', '0', '0.707107', '4998.04', '2.11126', '-4909.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4015383', '0', 'object/static/structure/naboo/shared_wall_a1_naboo_theed_style_1.iff', '0', '1', '0', '-2.63027e-07', '4978.1', '2.11126', '-4909.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4015384', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '4977.54', '3.75', '-4909.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4015385', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_short_s01.iff', '0', '-0.707106', '0', '0.707107', '4984.72', '3.75', '-4966.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4015397', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '-0.0799147', '0', '0.996802', '2438.09', '290', '-3907.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '4015398', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '-0.0799147', '0', '0.996802', '2446.98', '290', '-3905.89', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '4015399', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '-0.0799148', '0', '0.996802', '2433.24', '288.801', '-3908.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4015400', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '-0.455291', '0', '0.890343', '2449.46', '288.801', '-3902.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4015401', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '-0.455291', '0', '0.890343', '2451.94', '290', '-3899.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '4015402', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '0.761353', '0', '-0.648338', '2450.03', '288.801', '-3887.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4015403', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0.761353', '0', '-0.648338', '2449.39', '290', '-3883.21', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '4015404', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '0.761353', '0', '-0.648338', '2451.31', '288.801', '-3895.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4015405', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0.761353', '0', '-0.648338', '2450.67', '290', '-3891.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '4015406', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0.307628', '0', '0.951507', '2442.52', '290', '-3878.24', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '4015407', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '0.307628', '0', '0.951507', '2445.95', '288.801', '-3880.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4015408', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '-0.0799147', '0', '0.996802', '2424.74', '290', '-3881.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '4015409', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '-0.0799147', '0', '0.996802', '2429.68', '288.801', '-3880.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4015410', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '-0.0799147', '0', '0.996802', '2414.87', '290', '-3882.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '4015411', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '-0.0799147', '0', '0.996802', '2419.81', '288.801', '-3881.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4015412', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '-0.0799147', '0', '0.996802', '2433.63', '290', '-3879.68', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '4015413', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '-0.0799147', '0', '0.996802', '2438.57', '288.801', '-3878.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4015414', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '0.890343', '0', '0.455291', '2412.39', '288.801', '-3886.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4015415', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0.648338', '0', '0.761352', '2412.45', '290', '-3905.38', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '4015416', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '0.648338', '0', '0.761352', '2411.82', '288.801', '-3901.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4015417', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0.648337', '0', '0.761354', '2411.18', '290', '-3897.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '4015418', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '0.648337', '0', '0.761354', '2410.54', '288.801', '-3893.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4015419', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0.890343', '0', '0.455291', '2409.91', '290', '-3889.58', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '4015420', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '0.951507', '0', '-0.307628', '2415.89', '288.801', '-3907.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4015421', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '-0.0799147', '0', '0.996802', '2419.33', '290', '-3910.35', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '4015422', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '-0.0799147', '0', '0.996802', '2428.22', '290', '-3908.91', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '4015423', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '-0.0799147', '0', '0.996802', '2424.27', '288.801', '-3909.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4015424', '0', 'object/static/vehicle/shared_static_lambda_shuttle.iff', '0', '0.95657', '0', '0.291502', '2427.84', '292', '-3894.45', '256', '1');
INSERT INTO `staticobjects` VALUES ('5', '4045374', '0', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_2.iff', '0', '0.714978', '0', '0.699146', '1777.33', '5.98624', '2497.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4045375', '0', 'object/building/naboo/shared_guild_theater_naboo_s01.iff', '0', '1', '0', '3.20013e-08', '1687', '12', '2540', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '4045376', '4045375', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825568', '4045376', 'object/soundobject/shared_soundobject_city_crowd_sentients_large.iff', '0', '0', '0', '1', '2.40009', '0.6', '-6.39976', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '4045377', '4045375', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '4045378', '4045375', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '4045379', '4045375', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '4045380', '4045375', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '4045381', '4045375', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825580', '4045381', 'object/soundobject/shared_soundobject_city_crowd_cheering.iff', '0', '0', '0', '1', '-1.13874', '1.62323', '33.1095', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '4045382', '4045375', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '4045383', '4045375', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '4045384', '4045375', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '4045385', '4045375', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '4045389', '0', 'object/building/naboo/shared_filler_nboo_bldg_64x32_style_01.iff', '0', '0.707106', '0', '0.707107', '1650', '12', '2617', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '4045392', '0', 'object/static/structure/naboo/shared_wall_a1_naboo_theed_style_1.iff', '0', '1', '0', '3.20013e-08', '1662.15', '8.75891', '2422.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4045393', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '1', '0', '3.20013e-08', '1667', '12', '2411', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4045394', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '1', '0', '0', '1676', '12', '2411', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4045395', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '1', '0', '0', '1685', '12', '2411', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4045396', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0.707106', '0', '0.707107', '1689', '12', '2415.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4045397', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0.707106', '0', '0.707107', '1689', '12', '2424', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4045398', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0.707107', '0', '0.707107', '1689', '12', '2433', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4045399', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0.707107', '0', '0.707107', '1689', '12', '2442', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4045400', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '1', '0', '-3.20013e-08', '1670', '12', '2419', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4045401', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0.707107', '0', '0.707107', '1665', '12', '2416', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4045409', '0', 'object/building/naboo/shared_filler_building_naboo_style_2.iff', '0', '-0.365531', '0', '0.930799', '1645.36', '12', '2563.8', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '4045410', '0', 'object/building/naboo/shared_filler_building_naboo_style_2.iff', '0', '0.930799', '0', '0.365531', '1626.28', '12', '2584.29', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '4045411', '0', 'object/building/naboo/shared_filler_building_naboo_style_9.iff', '0', '0.399705', '0', '0.916644', '1623.4', '12.651', '2563.21', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '4045414', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_02.iff', '0', '-0.707101', '0', '0.707112', '1742.35', '12', '2478.49', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '4045425', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_02.iff', '0', '0.00460623', '0', '0.999989', '1753.21', '12', '2565.57', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '4045431', '0', 'object/building/naboo/shared_filler_building_naboo_style_6.iff', '0', '0.707106', '0', '0.707107', '1745.62', '12', '2546.95', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '4045432', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_01.iff', '0', '1', '0', '7.6598e-06', '1723.09', '12', '2453.08', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '4045435', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '-0.396492', '0', '0.918038', '1702.47', '12', '2625.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4045436', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_small_s01.iff', '0', '-0.396492', '0', '0.918038', '1703.15', '12', '2626.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4045437', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '0.368783', '0', '0.929516', '1704.28', '12.9171', '2628.66', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4045438', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '-0.396492', '0', '0.918038', '1702.25', '12', '2632.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4045439', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '0.368783', '0', '0.929515', '1704.18', '12.9487', '2599.62', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4045441', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_small_s01.iff', '0', '-0.396492', '0', '0.918038', '1703.05', '12', '2596.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4045442', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '-0.396492', '0', '0.918038', '1702.36', '12', '2596.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4045443', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '-0.396492', '0', '0.918038', '1702.15', '12', '2603.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4045444', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.928369', '0', '-0.37166', '1701.16', '12', '2631.4', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4045448', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '-0.398609', '0', '0.917121', '1701.25', '12', '2597.26', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4045454', '0', 'object/building/naboo/shared_filler_building_naboo_style_10.iff', '0', '0.707106', '0', '0.707107', '1748.57', '12', '2517.8', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '4085429', '0', 'object/static/item/shared_armor_bone_chestplate.iff', '0', '1', '0', '-3.20013e-08', '1892.3', '12', '2772.25', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4085430', '0', 'object/static/item/shared_armor_chitin_chestplate.iff', '0', '1', '0', '-3.20013e-08', '1893.31', '12', '2772.25', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4085431', '0', 'object/static/item/shared_armor_composite_chestplate.iff', '0', '1', '0', '-3.20013e-08', '1894.16', '12', '2772.25', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4085432', '0', 'object/static/item/shared_wp_mle_2h_sword_s01.iff', '-0.270598', '0.653281', '-0.270598', '-0.653282', '1901.5', '13.3598', '2772.36', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4085433', '0', 'object/static/item/shared_wp_mle_2h_sword_s01.iff', '0.270598', '0.653282', '-0.270598', '0.653281', '1900.94', '13.3598', '2772.37', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4085434', '0', 'object/static/item/shared_wp_mle_lance_vibrolance.iff', '-7.72715e-09', '0.707106', '-7.72715e-09', '0.707107', '1900.14', '13.4547', '2772.35', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4085436', '0', 'object/static/item/shared_wp_rifle_bowcaster_combined.iff', '-0.707106', '0', '0', '0.707107', '1902.89', '13.5856', '2772.33', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4085437', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.562601', '0', '0.826729', '1370.5', '13', '2707.2', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4085438', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.362474', '0', '0.931994', '1370.99', '13', '2708.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4085439', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.912819', '0', '-0.408364', '1371.97', '13', '2707.59', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4085440', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.448344', '0', '0.893861', '1373.31', '13', '2707.48', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4085441', '0', 'object/static/structure/general/shared_prp_engine.iff', '0', '0', '0', '1', '1374.08', '13', '2706.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4085443', '0', 'object/static/structure/naboo/shared_poi_nboo_tent_small.iff', '0', '0', '0', '1', '1371.79', '13.1265', '2706.03', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '4085444', '0', 'object/tangible/furniture/all/shared_frn_all_table_s01.iff', '0', '0', '0', '1', '1253.42', '13', '2688', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4085447', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.560509', '0', '0.828149', '1252.58', '13', '2686.71', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4085448', '0', 'object/static/item/shared_wp_pistol_cdef_combined.iff', '0.14048', '0.14048', '0.693011', '0.693012', '1253.33', '13.77', '2688.07', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4085449', '0', 'object/static/item/shared_wp_pistol_dl44_combined.iff', '0.14048', '0.14048', '0.693011', '0.693012', '1253.7', '13.77', '2687.96', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4085450', '0', 'object/static/item/shared_wp_pistol_dl44_combined.iff', '0.14048', '0.14048', '0.693011', '0.693012', '1253.32', '13.77', '2687.61', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4085452', '0', 'object/static/structure/naboo/shared_poi_nboo_tent_small.iff', '0', '0.505533', '0', '0.862807', '1253.21', '13.1265', '2687.23', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '4085454', '0', 'object/static/item/shared_wp_carbine_ee3_combined.iff', '0.527777', '-0.175503', '0.112492', '0.823405', '1262.39', '13.3575', '2674.71', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4085455', '0', 'object/static/item/shared_wp_carbine_elite_combined.iff', '0.564283', '-0.170264', '0.120273', '0.79883', '1262.68', '13.3133', '2674.83', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4085456', '0', 'object/static/item/shared_wp_carbine_laser_combined.iff', '0.49864', '-0.179332', '0.106281', '0.841369', '1262.88', '13.3901', '2674.95', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4085459', '0', 'object/static/item/shared_wp_carbine_ee3_combined.iff', '0.509899', '0.489901', '-0.489901', '-0.509899', '1261.11', '13.4319', '2673.94', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4085461', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.527282', '0', '0.849691', '1262.93', '13', '2674.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4085463', '0', 'object/static/item/shared_item_chair_tato_cafe_s02.iff', '0', '-0.0649542', '0', '0.997888', '1261.17', '13', '2673.73', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4085464', '0', 'object/static/structure/naboo/shared_poi_nboo_tent_small.iff', '0', '0.872355', '0', '0.488872', '1261.47', '13.1265', '2674.83', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '4085465', '0', 'object/static/item/shared_wp_rifle_bowcaster_combined.iff', '-0.422732', '0.566831', '0.566831', '0.422732', '1277.8', '15.2683', '2686.56', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4085466', '0', 'object/static/item/shared_wp_rifle_laser_combined.iff', '0', '0.149438', '0', '0.988771', '1277.51', '15.4666', '2685.41', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4085467', '0', 'object/static/item/shared_wp_rifle_t21_combined.iff', '0', '0.988771', '0', '-0.149438', '1277.24', '15.4666', '2684.68', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4085471', '0', 'object/tangible/furniture/all/shared_frn_all_table_s01.iff', '0', '0', '0', '1', '1277.24', '13', '2687.56', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4085472', '0', 'object/static/item/shared_wp_rifle_t21_combined.iff', '0.704942', '0.702188', '0.0738485', '0.0673356', '1277', '13.7977', '2687.88', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4085473', '0', 'object/static/item/shared_item_ammo_rocket.iff', '0.707107', '-7.72715e-09', '7.72715e-09', '-0.707107', '1277.42', '13.8222', '2687.56', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4085474', '0', 'object/static/item/shared_item_ammo_rocket.iff', '-2.67611e-07', '0.342898', '-9.76856e-08', '0.939373', '1277.35', '13.7821', '2687.69', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4085475', '0', 'object/static/item/shared_item_ammo_rocket.iff', '0.707107', '0', '0', '-0.707107', '1277.45', '13.8222', '2687.64', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4085476', '0', 'object/static/item/shared_item_ammo_rocket.iff', '0.707107', '0', '0', '-0.707107', '1277.38', '13.8222', '2687.6', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4085478', '0', 'object/tangible/terminal/shared_terminal_mission_bounty.iff', '0', '-0.324043', '0', '0.946042', '2090.04', '30', '2574.29', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4085480', '0', 'object/tangible/terminal/shared_terminal_mission_bounty.iff', '0', '-0.443948', '0', '0.896052', '2085.25', '30', '2571.82', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4085482', '0', 'object/static/item/shared_item_chair_tato_cafe_s02.iff', '0', '0.92388', '0', '-0.382683', '2447.5', '292', '-3898', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4085487', '0', 'object/static/structure/naboo/shared_poi_nboo_tent_med.iff', '0', '-0.0799147', '0', '0.996802', '2446.42', '292', '-3895.51', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '4085488', '0', 'object/tangible/furniture/imperial/shared_table_s1.iff', '0', '0.813415', '0', '0.581683', '2445.08', '292', '-3897.54', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4085489', '0', 'object/static/item/shared_item_carbine_imperial_e11.iff', '0.150859', '0.150859', '0.690826', '0.690827', '2445.49', '292.822', '-3898', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4085491', '0', 'object/static/item/shared_item_diagnostic_screen.iff', '0', '0.981854', '0', '0.189641', '2445.9', '292.759', '-3897.33', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4085492', '0', 'object/static/structure/general/shared_camp_cot_s01.iff', '0', '0.767543', '0', '-0.640997', '2447.17', '292', '-3893.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4085494', '0', 'object/static/structure/general/shared_camp_cot_s01.iff', '0', '0.767543', '0', '-0.640997', '2445.43', '292', '-3893.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4085495', '0', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '0.996738', '0', '0.0807085', '2444.17', '292', '-3892.32', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4085496', '0', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '0.996738', '0', '0.080708', '2447.88', '292', '-3891.89', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4085497', '0', 'object/static/item/shared_item_tool_radio.iff', '0', '0.748235', '0', '-0.663433', '2447.24', '292', '-3892.06', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4085498', '0', 'object/static/item/shared_item_tool_instrument_calibrator.iff', '0', '0.990901', '0', '-0.13459', '2444.04', '292.917', '-3892.53', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4085499', '0', 'object/static/item/shared_item_carbine_imperial_e11.iff', '-0.575495', '0.575503', '0.410851', '-0.410849', '2444.38', '292.032', '-3893.13', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4085501', '0', 'object/static/item/shared_item_tool_power_output_analyzer.iff', '0', '-0.675463', '0', '0.737394', '2448.27', '292', '-3898.31', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4085505', '0', 'object/static/item/shared_item_tool_worklight.iff', '-0.288844', '0.645422', '0.645422', '0.288844', '2447.74', '292.98', '-3892.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4105353', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0', '0.314567', '0', '0.949235', '-5117.72', '5.90513', '4335.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4105354', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0', '0.366273', '0', '0.930508', '-5076.01', '5.87351', '4300.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4105355', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.940806', '0', '-0.338946', '-5118.71', '6', '4334.38', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4105356', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.930508', '0', '-0.366273', '-5076.97', '6', '4298.89', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4105610', '0', 'object/building/naboo/shared_guild_theater_naboo_s01.iff', '0', '0.707106', '0', '0.707108', '5324.88', '-192', '6765.33', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '4105611', '4105610', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825391', '4105611', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-2.24124', '0.6', '-7.20265', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '4105612', '4105610', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '4105613', '4105610', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '4105614', '4105610', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '4105615', '4105610', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '4105616', '4105610', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '4105617', '4105610', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '4105618', '4105610', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '4105619', '4105610', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '4105620', '4105610', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '4105621', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_02.iff', '0', '-0.412684', '0', '0.910874', '5381.03', '-192.062', '6582.5', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '4105626', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.707107', '0', '0.707107', '5194.14', '-192', '6672.11', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4105632', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.761352', '0', '0.648338', '5368.05', '-192', '6645.59', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4105633', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.761352', '0', '0.648338', '5368.53', '-192', '6648.55', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4105634', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.761352', '0', '0.648338', '5369.94', '-192', '6656.45', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4105635', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.761352', '0', '0.648338', '5370.42', '-192', '6659.41', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4105643', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '4.4802e-10', '0.996802', '-3.22377e-10', '-0.0799147', '5367.15', '-192', '6642.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4105644', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.761354', '0', '0.648337', '5370.59', '-192', '6662.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4105650', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_lg_s02.iff', '0', '0.996802', '0', '-0.079915', '5373.99', '-192.83', '6641.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4105651', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_lg_s02.iff', '0', '0.996802', '0', '-0.079915', '5377.34', '-192.83', '6661.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4105652', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_lg_s02.iff', '0', '0.761354', '0', '0.648338', '5374.96', '-192.83', '6647.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4105653', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_lg_s02.iff', '0', '-0.648339', '0', '0.761352', '5376.37', '-192.83', '6655.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4105654', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0.0848976', '0', '0.99639', '5368.9', '-192', '6652.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4105655', '0', 'object/static/structure/naboo/shared_fountain_naboo_style_1.iff', '0', '0', '0', '1', '5383', '-192.275', '6632', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4105658', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_large_s01.iff', '0', '0', '0', '1', '5383', '-192', '6626', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4105659', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_large_s01.iff', '0', '0.707106', '0', '0.707107', '5375', '-192', '6634', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4105662', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_small_s01.iff', '0', '0', '0', '1', '5375', '-192', '6635', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4105663', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_small_s01.iff', '0', '0.707106', '0', '0.707107', '5387', '-192', '6639', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4105664', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '1', '0', '-3.20013e-08', '5390.97', '-193.311', '6634.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4105665', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0', '0', '1', '5375', '-193.311', '6635', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4105667', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '1', '0', '-3.20013e-08', '5387', '-193.311', '6639', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4105668', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0', '0', '1', '5379', '-193.311', '6639', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4105669', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '5383', '-192', '6624', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4105670', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.792586', '0', '-0.60976', '5391.01', '-192', '6636.91', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '4105671', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.880236', '0', '-0.474536', '5389.03', '-192', '6638.91', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '4105672', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '-0.192693', '0', '0.981259', '5389.49', '-192', '6637.48', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '4105673', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.964299', '0', '-0.264815', '5376.97', '-192', '6638.97', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '4105674', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.0143943', '0', '0.999896', '5374.91', '-192', '6637.05', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '4105675', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.980306', '0', '-0.197486', '5376.54', '-192', '6637.5', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '4215352', '0', 'object/static/structure/naboo/shared_gate_narrow_s01.iff', '0', '0.707107', '0', '-0.707107', '1739.57', '12', '2558.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4215353', '0', 'object/static/structure/general/shared_planter_generic_style_3.iff', '0', '-0.333487', '0', '0.942755', '1711.13', '12.5841', '2571.16', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '4215354', '0', 'object/static/structure/general/shared_planter_generic_style_2.iff', '0', '-0.324043', '0', '0.946042', '1687.4', '12.6249', '2566.26', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '4215355', '0', 'object/static/structure/general/shared_planter_generic_style_3.iff', '0', '-0.333487', '0', '0.942755', '1663.17', '12.5894', '2571.18', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '4215366', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0', '0', '1', '2007.36', '12', '2603.76', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4215369', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.941345', '0', '0.337447', '2005.97', '12', '2605.27', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4215370', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.271547', '0', '0.962425', '2008.51', '12', '2602.21', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4215371', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0', '0', '1', '2007.49', '12', '2597.59', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4215372', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.545171', '0', '0.838325', '2005.79', '12', '2596.51', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4215373', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.932039', '0', '-0.362358', '2009.07', '12', '2598.7', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4215406', '0', 'object/building/naboo/shared_starport_naboo.iff', '0', '0.884303', '0', '0.466913', '4727.58', '4.17', '-4649.66', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '4215407', '4215406', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '4215408', '4215406', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '4215409', '4215406', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '4215410', '4215406', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '1270284', '4215410', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0.713862', '0', '-0.700286', '-1.2022', '0.639421', '58.2451', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '1270285', '4215410', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0.704416', '0', '0.709788', '0.906178', '0.639421', '58.2273', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4295422', '4215410', 'object/soundobject/shared_soundobject_starport_announcer.iff', '0', '0', '0', '1', '-0.153254', '0.639421', '57.9873', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '4735421', '4215410', 'object/tangible/terminal/shared_terminal_newsnet.iff', '0', '-0.425939', '0', '0.904752', '15.6853', '0.639421', '52.6425', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4735422', '4215410', 'object/tangible/terminal/shared_terminal_newsnet.iff', '0', '0.677972', '0', '0.735088', '-15.7468', '0.639421', '54.7049', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4215411', '4215406', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '4215412', '4215406', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '4215413', '4215406', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '4215414', '4215406', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '4215415', '4215406', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '4215416', '4215406', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '4295485', '4215416', 'object/tangible/terminal/shared_terminal_space.iff', '0', '-0.655918', '0', '0.754832', '-37.9215', '1.63942', '49.1911', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4295486', '4215416', 'object/tangible/terminal/shared_terminal_space.iff', '0', '-0.149832', '0', '0.988711', '-40.1423', '1.63942', '46.9938', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4295487', '4215416', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0.910545', '0', '0.413409', '-42.9125', '1.63942', '51.1646', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4215417', '4215406', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '4215418', '4215406', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '4215419', '4215406', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '4215420', '4215406', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '4215421', '4215406', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336273', '4215406', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '4215428', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s02.iff', '0', '-0.186599', '0', '0.982436', '1843.8', '12', '2483.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4215429', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s02.iff', '0', '-0.186599', '0', '0.982436', '1860.79', '12', '2490.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4215439', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s01.iff', '0', '0.918036', '0', '0.396498', '1878.72', '12', '2512.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4245364', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_02.iff', '0', '1', '0', '-0.000795918', '4752.58', '4.17', '-4567.08', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '4245367', '0', 'object/building/naboo/shared_housing_naboo_style_3.iff', '0', '0.457693', '0', '0.88911', '4653.03', '3.92403', '-4702.35', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '4245370', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.252245', '0', '0.967663', '5368.01', '-191.405', '6731.32', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4245371', '0', 'object/tangible/furniture/all/shared_frn_all_table_s02.iff', '0', '0.252245', '0', '0.967663', '5368.99', '-191.405', '6733.07', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4245372', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.862606', '0', '0.505877', '5367.24', '-191.405', '6734.05', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4245373', '0', 'object/tangible/furniture/all/shared_frn_all_table_s03.iff', '0', '0.21823', '0', '0.975897', '5368.99', '-191.405', '6733.07', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4245374', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '-0.505878', '0', '0.862605', '5370.73', '-191.405', '6732.09', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4245375', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.967663', '0', '-0.252245', '5369.96', '-191.405', '6734.82', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4245376', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '-0.223106', '0', '0.974794', '5379.09', '-191.417', '6730.74', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4245377', '0', 'object/tangible/furniture/all/shared_frn_all_table_s02.iff', '0', '-0.223106', '0', '0.974794', '5378.22', '-191.417', '6732.54', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4245378', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.531524', '0', '0.847043', '5376.42', '-191.417', '6731.67', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4245379', '0', 'object/tangible/furniture/all/shared_frn_all_table_s03.iff', '0', '-0.25708', '0', '0.96639', '5378.22', '-191.417', '6732.54', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4245380', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.847044', '0', '-0.531523', '5380.02', '-191.417', '6733.41', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4245381', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.974794', '0', '0.223106', '5377.35', '-191.417', '6734.34', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4245382', '0', 'object/static/flora/shared_flora_tree_palm_thk.iff', '0', '0.67567', '0', '0.737204', '5391.78', '-192', '6724.83', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '4245383', '0', 'object/static/flora/shared_flora_tree_palm_fngi.iff', '0', '-0.33153', '0', '0.943445', '5382.91', '-192', '6723.46', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '4245384', '0', 'object/static/flora/shared_flora_tree_palm_sm.iff', '0', '-0.0636687', '0', '0.997971', '5347.89', '-192', '6714.81', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '4245385', '0', 'object/static/flora/shared_flora_tree_palm_sm.iff', '0', '0.977659', '0', '0.210195', '5345.32', '-192', '6715.91', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '4245390', '0', 'object/building/naboo/shared_filler_building_naboo_style_6.iff', '0', '0.707103', '0', '0.70711', '5252.02', '-192', '6794.55', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '4245396', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_large_s01.iff', '0', '0.92388', '0', '-0.382683', '5300.74', '-192', '6803.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4245397', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '-0.707104', '0', '0.707109', '5289.74', '-193.489', '6803.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4245398', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '-0.707104', '0', '0.707109', '5300.74', '-193.489', '6803.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4245403', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_sml_s03.iff', '0', '0.707105', '0', '0.707108', '5316.58', '-191.352', '6793.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4245405', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0', '0', '1', '5316.58', '-192', '6804.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4245407', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0', '0', '1', '5252.94', '-192.285', '6804.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4245408', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_large_s01.iff', '0', '0.92388', '0', '-0.382683', '5314.32', '-192', '6804.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4245409', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0.707107', '0', '-0.707107', '5303.32', '-193.489', '6804.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4245410', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0.707107', '0', '-0.707107', '5314.32', '-193.489', '6804.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4245411', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_large_s01.iff', '0', '0.92388', '0', '-0.382683', '5266.23', '-192', '6803.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4245412', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0.707107', '0', '-0.707107', '5255.23', '-193.489', '6803.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4245413', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0.707107', '0', '-0.707107', '5266.23', '-193.489', '6803.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4245414', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_large_s01.iff', '0', '0.92388', '0', '-0.382683', '5279.75', '-192', '6803.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4245415', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0.707107', '0', '-0.707107', '5268.75', '-193.489', '6803.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4245416', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0.707107', '0', '-0.707107', '5279.75', '-193.489', '6803.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4245417', '0', 'object/static/structure/naboo/shared_gate_narrow_s01.iff', '0', '0', '0', '1', '5284.75', '-192', '6803.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4245439', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_01.iff', '0', '0.92388', '0', '0.382683', '5228.78', '-192', '6772.76', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '4245441', '0', 'object/static/flora/shared_flora_tree_palm_thk.iff', '0', '-0.633533', '0', '0.773716', '5240.84', '-192', '6730.61', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '4245443', '0', 'object/static/flora/shared_flora_tree_palm_fngi.iff', '0', '0.998775', '0', '0.049475', '5215.78', '-192', '6745.34', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '4245444', '0', 'object/static/flora/shared_flora_tree_palm_sm.iff', '0', '-0.37219', '0', '0.928157', '5240.09', '-192', '6727.92', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '4245445', '0', 'object/static/flora/shared_flora_tree_palm_fngi.iff', '0', '-0.376524', '0', '0.926407', '5003.77', '-192', '6826.73', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '4245446', '0', 'object/static/flora/shared_flora_tree_palm_thk.iff', '0', '0.914654', '0', '-0.404237', '5003.75', '-192', '6821.71', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '4245447', '0', 'object/static/flora/shared_flora_tree_palm_fngi.iff', '0', '0.0548566', '0', '0.998494', '5006.6', '-192', '6825.68', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '4245448', '0', 'object/static/flora/shared_flora_tree_palm_thk.iff', '0', '-0.236465', '0', '0.97164', '4955.25', '-192', '6782.78', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '4245449', '0', 'object/static/flora/shared_flora_tree_palm_thk.iff', '0', '0.792189', '0', '0.610276', '4957.73', '-192', '6794.8', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '4245450', '0', 'object/static/flora/shared_flora_tree_palm_sm.iff', '0', '0.687558', '0', '0.72613', '4957.34', '-192', '6788.33', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '4295393', '0', 'object/building/general/shared_naboo_veermok_cave.iff', '0', '0.750023', '0', '0.661411', '5703.38', '290.343', '-1557.55', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '4295394', '4295393', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '4295395', '4295393', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '261338', '4295395', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '-0.0490477', '0.712575', '-0.0428739', '-0.698565', '56.9158', '-48.4', '-58.3167', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '261340', '4295395', 'object/static/item/shared_item_crate_spice.iff', '0.114101', '-0.645881', '-0.0276123', '0.754358', '57.1055', '-48.4306', '-57.1451', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '7955562', '4295395', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '-0.0309911', '0.688226', '-0.0326066', '0.724101', '49.4684', '-67.601', '-49.5312', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4295396', '4295393', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '7955563', '4295396', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0.761095', '0', '-0.64864', '96.594', '-61.9787', '-12.5527', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4295397', '4295393', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '4295398', '4295393', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '261341', '4295398', 'object/static/item/shared_item_crate_spice.iff', '-0.0364267', '-0.67235', '0.0546928', '0.737311', '97.4337', '-45.6934', '-106.688', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4295399', '4295393', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '4295400', '4295393', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '4295401', '4295393', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '7955560', '4295401', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '-0.0128662', '0.748079', '-0.018322', '-0.663232', '136.93', '-66.042', '-108.986', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4295402', '4295393', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '7955561', '4295402', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '-0.692537', '0', '0.721382', '194.356', '-66.8757', '-102.266', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4295403', '4295393', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '4295404', '4295393', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '7955559', '4295404', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0.252245', '0', '0.967663', '77.4869', '-45.8755', '-147.041', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4295418', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '-0.257081', '0.96639', '5713.57', '293.152', '-1548.2', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '4295419', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '-0.257081', '0.96639', '5715.08', '293.92', '-1533.27', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '4295618', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5521.02', '6', '4408.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4295619', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5471.01', '6', '4408.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4305368', '0', 'object/soundobject/shared_soundobject_city_crowd_sentients.iff', '0', '0', '0', '1', '-4861.05', '6', '4153.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '4305372', '0', 'object/soundobject/shared_soundobject_city_crowd_sentients.iff', '0', '0', '0', '1', '-4905.46', '6', '4103.27', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '4305379', '0', 'object/soundobject/shared_soundobject_city_crowd_sentients_large.iff', '0', '0', '0', '1', '-4940.54', '6', '4121.76', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '4305387', '0', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '-4923.22', '6', '4194.54', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '4305388', '0', 'object/soundobject/shared_soundobject_city_crowd_sentients_large.iff', '0', '0', '0', '1', '-4982.48', '6', '4224.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '4305405', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0', '0', '1', '-5473', '6', '4197', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4305413', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0', '0', '1', '-5518', '6', '4197', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4435352', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_sml_s03.iff', '0', '0.707107', '0', '0.707107', '5252.95', '-192', '6793.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4655384', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.895874', '0', '-0.444308', '-5566.87', '-150', '-68.9997', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4655385', '0', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '-0.00999992', '0', '0.99995', '-5486.33', '-150', '-5.59958', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4655386', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '-0.00499993', '0', '0.999987', '-5488.42', '-150', '-5.78283', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4655562', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0.232843', '0', '0.972514', '5175.47', '350', '-1446.94', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4655563', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.232843', '0', '0.972514', '5174.16', '350', '-1448.42', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4655564', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.333487', '0', '0.942755', '5177.35', '350', '-1448.37', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4655565', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.94302', '0', '-0.332736', '5176.63', '350', '-1445.36', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4655566', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.810495', '0', '0.585745', '5173.8', '350', '-1445.64', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4655567', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0.232843', '0', '0.972514', '5179.28', '350', '-1434.41', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4655568', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.232843', '0', '0.972514', '5177.97', '350', '-1435.89', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4655569', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.333487', '0', '0.942755', '5181.16', '350', '-1435.84', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4655570', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.94302', '0', '-0.332736', '5180.44', '350', '-1432.83', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4655571', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.810495', '0', '0.585745', '5177.61', '350', '-1433.11', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4655572', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0.232843', '0', '0.972514', '5162.72', '350', '-1399.8', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4655573', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.232843', '0', '0.972514', '5161.41', '350', '-1401.28', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4655574', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.333487', '0', '0.942755', '5164.6', '350', '-1401.22', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4655575', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.94302', '0', '-0.332736', '5163.88', '350', '-1398.22', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4655576', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.810495', '0', '0.585745', '5161.05', '350', '-1398.49', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4655577', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0.232843', '0', '0.972514', '5163.8', '350', '-1387.18', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4655578', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.232843', '0', '0.972514', '5162.49', '350', '-1388.66', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4655579', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.333487', '0', '0.942755', '5165.68', '350', '-1388.6', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4655580', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.94302', '0', '-0.332736', '5164.96', '350', '-1385.6', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4655581', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.810495', '0', '0.585745', '5162.13', '350', '-1385.87', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4655582', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0.232843', '0', '0.972514', '5183.29', '350', '-1395.61', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4655583', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.232843', '0', '0.972514', '5181.98', '350', '-1397.1', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4655584', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.333487', '0', '0.942755', '5185.17', '350', '-1397.04', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4655585', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.94302', '0', '-0.332736', '5184.45', '350', '-1394.04', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4655586', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.810495', '0', '0.585745', '5181.62', '350', '-1394.31', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4655587', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0.232843', '0', '0.972514', '5175.29', '350', '-1387.77', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4655588', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.232843', '0', '0.972514', '5173.98', '350', '-1389.26', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4655589', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.333487', '0', '0.942755', '5177.17', '350', '-1389.2', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4655590', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.94302', '0', '-0.332736', '5176.45', '350', '-1386.2', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4655591', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.810495', '0', '0.585745', '5173.62', '350', '-1386.47', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4655592', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0.232843', '0', '0.972514', '5176.03', '350', '-1402.48', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4655593', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.232843', '0', '0.972514', '5174.72', '350', '-1403.96', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4655594', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.333487', '0', '0.942755', '5177.91', '350', '-1403.91', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4655595', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.94302', '0', '-0.332736', '5177.19', '350', '-1400.9', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4655596', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.810495', '0', '0.585745', '5174.36', '350', '-1401.18', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4655645', '0', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '0.492535', '0', '0.870293', '4941.17', '360.601', '-1448.08', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4655646', '0', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '0.881958', '0', '0.471328', '4940.45', '360.574', '-1498.71', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4655647', '0', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '0.159318', '0', '0.987227', '5140.56', '350', '-1475.14', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4655648', '0', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '0.149438', '0', '0.988771', '5123.46', '350', '-1469.58', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4655653', '0', 'object/tangible/sign/shared_streetsign_upright_style_01.iff', '0', '-0.382683', '0', '0.92388', '4970.39', '-192', '6790.66', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4655655', '0', 'object/tangible/sign/shared_streetsign_upright_style_01.iff', '0', '-0.269331', '0', '0.963048', '4994.94', '-192', '6814.38', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4655656', '0', 'object/tangible/sign/shared_streetsign_upright_style_01.iff', '0', '-0.0426858', '0', '0.999089', '5082.05', '-192', '6814.34', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4655657', '0', 'object/tangible/sign/shared_streetsign_upright_style_01.iff', '0', '-0.0875864', '0', '0.996157', '5161.58', '-192', '6830.51', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4655659', '0', 'object/tangible/sign/shared_streetsign_upright_style_01.iff', '0', '0', '0', '1', '5281.41', '-192', '6804.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4655663', '0', 'object/tangible/sign/shared_streetsign_upright_style_01.iff', '0', '0.707106', '0', '0.707108', '5409.24', '-192', '6727.36', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4655664', '0', 'object/tangible/sign/shared_streetsign_upright_style_01.iff', '0', '-0.707106', '0', '0.707107', '5407.52', '-192', '6698.43', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4655665', '0', 'object/tangible/sign/shared_streetsign_upright_style_01.iff', '0', '-0.605186', '0', '0.796084', '5411.19', '-192', '6624.67', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4655666', '0', 'object/tangible/sign/shared_streetsign_upright_style_01.iff', '0', '0.34759', '0', '0.937647', '5371.36', '-192', '6570.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4655667', '0', 'object/tangible/sign/shared_streetsign_upright_style_01.iff', '0', '0.786671', '0', '0.617372', '5291.33', '-192', '6561.39', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4655668', '0', 'object/tangible/sign/shared_streetsign_upright_style_01.iff', '0', '-0.473006', '0', '0.881059', '5224.17', '-192', '6567.8', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4655670', '0', 'object/tangible/sign/shared_streetsign_upright_style_01.iff', '0', '-0.328769', '0', '0.94441', '5181.63', '-192', '6582.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4655671', '0', 'object/tangible/sign/shared_streetsign_upright_style_01.iff', '0', '0.389418', '0', '0.921061', '5132.47', '-192', '6564.44', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4655672', '0', 'object/tangible/sign/shared_streetsign_upright_style_01.iff', '0', '-0.302867', '0', '0.953033', '5009.63', '-192', '6625.72', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4655673', '0', 'object/tangible/sign/shared_streetsign_upright_style_01.iff', '0', '0.319309', '0', '0.947651', '4964.69', '-192', '6630.04', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4655674', '0', 'object/tangible/sign/shared_streetsign_upright_style_01.iff', '0', '0.926499', '0', '-0.376297', '4920.94', '-192', '6742.23', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4655675', '0', 'object/static/item/shared_item_katana.iff', '0.912539', '0.0915593', '0.396618', '0.0397945', '5174.75', '-191.399', '6638.28', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4655676', '0', 'object/static/item/shared_item_ryyk_blade.iff', '0.923047', '0.0832993', '0.374039', '0.0337547', '5174.96', '-191.241', '6637.99', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4655677', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.893464', '0', '0.449134', '5180.79', '-192', '6631.35', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4655678', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.940806', '0', '0.338946', '5179.53', '-192', '6632.57', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4655680', '0', 'object/static/item/shared_item_pistol.iff', '-0.239141', '-0.239141', '0.665441', '0.665441', '5180.75', '-191.273', '6631.57', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4655682', '0', 'object/static/item/shared_item_rifle.iff', '0.705414', '-0.705414', '0.0488954', '-0.0488954', '5179.51', '-191.273', '6632.82', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4655684', '0', 'object/static/item/shared_item_medic_stimpack.iff', '0.557617', '0.54086', '-0.429026', '-0.460945', '5019.91', '-191.675', '6784.05', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4705402', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_sml_s03.iff', '0.074473', '0.260831', '0.31534', '0.909385', '2008.38', '15.3227', '2538.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4776016', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.92388', '0', '0.382683', '5060.02', '-191.589', '6723.75', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4776017', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.92388', '0', '0.382683', '5063.53', '-191.589', '6727.25', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4776018', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '-0.382683', '0', '0.92388', '5094.6', '-191.546', '6696.24', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4776019', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '-0.382683', '0', '0.92388', '5091.09', '-191.589', '6692.73', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4776020', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.901446', '0', '0.432893', '4787.12', '4.38104', '-4852.89', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4776021', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.94352', '0', '-0.331318', '4817.97', '4.35655', '-4849.32', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4776022', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '-0.432893', '0', '0.901445', '4821.49', '4.37798', '-4880.14', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4776023', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.331318', '0', '0.943519', '4790.67', '4.30058', '-4883.73', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4776039', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '-0.0137061', '2.08092e-05', '-0.0015181', '0.999905', '5339.47', '327.018', '-1560.17', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4776042', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.999987', '0', '-0.00499995', '4936.82', '360.693', '-1501.63', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4776043', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.00500004', '0', '0.999987', '4937.27', '360.717', '-1444.96', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4776044', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.999987', '0', '-0.005', '4730.6', '330', '-1342.07', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4776045', '0', 'object/static/structure/general/shared_data_terminal_s1.iff', '0', '0.37092', '0', '0.928665', '2431.67', '292.353', '-3888.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4776046', '0', 'object/static/item/shared_item_con_barrel_lg_s1.iff', '0', '0.394019', '0', '0.919102', '2431.67', '291.431', '-3888.01', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4776047', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '-0.707106', '0', '0.707108', '1808.76', '12.58', '2614.01', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4776048', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.707105', '0', '0.707108', '1765.21', '12.58', '2614.03', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4776049', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '1', '0', '-3.20013e-08', '1786.44', '12.58', '2635.9', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4776050', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0', '0', '1', '1787.19', '12.58', '2592.95', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4795352', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_02.iff', '0', '0.382683', '0', '0.92388', '5256.38', '-192', '6771.71', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '4795355', '0', 'object/static/structure/naboo/shared_gate_wide_s02.iff', '0', '-0.707106', '0', '0.707107', '5263.53', '-192', '6749.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4795484', '0', 'object/static/structure/general/shared_streetlamp_large_style_01_on.iff', '0', '0.858889', '0', '-0.512161', '4771.16', '6.1', '-4796.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4795485', '0', 'object/static/structure/general/shared_streetlamp_large_style_01_on.iff', '0', '0.8352', '0', '0.549946', '4758.47', '6.1', '-4798.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4845364', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.380188', '0', '0.924909', '5200.1', '-192', '6557.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855366', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '-0.382683', '0', '0.92388', '4658.87', '4.17', '-4617.66', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855367', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.707107', '0', '-0.707107', '4655.67', '4.17', '-4622.1', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855368', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '-0.382683', '0', '0.92388', '4675.96', '4.17', '-4593.17', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855369', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.707107', '0', '-0.707107', '4673.06', '4.17', '-4597.32', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855370', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '4657.84', '4.17', '-4618.86', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855374', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '-0.13459', '0', '0.990901', '4656.11', '4.17', '-4620.77', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855375', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.443948', '0', '0.896053', '4658.37', '4.17', '-4619.81', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855376', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.21823', '0', '0.975897', '4657.87', '4.17', '-4620.54', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855377', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.961275', '0', '-0.27559', '4658.18', '5.05544', '-4620.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855378', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.659385', '0', '0.751806', '4657.22', '4.17', '-4619.96', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855379', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.620986', '0', '0.783822', '4673.52', '4.17', '-4594.5', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855380', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.904412', '0', '-0.42666', '4674.57', '4.17', '-4594.2', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855381', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.434965', '0', '0.900447', '4675.16', '4.17', '-4594.85', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855382', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.924606', '0', '0.380925', '4674.87', '5.05544', '-4594.47', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855383', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.983701', '0', '-0.179812', '4674.44', '4.17', '-4595.35', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855384', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.203567', '0', '0.979061', '4674.22', '4.17', '-4596.2', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855385', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.767544', '0', '-0.640996', '4673.43', '4.17', '-4595.58', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855386', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.904413', '0', '-0.426659', '4673.01', '4.17', '-4596.07', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855387', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '-0.448423', '0', '0.893822', '4680.55', '4.17', '-4586.97', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855388', '0', 'object/static/item/shared_item_container_organic_hide.iff', '0', '0.300293', '0', '0.953847', '4654.71', '4.17', '-4624.6', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855389', '0', 'object/static/item/shared_item_container_organic_structure.iff', '0', '0.139543', '0', '0.990216', '4650.39', '4.17', '-4630.8', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855390', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.483807', '0', '0.875174', '4669.58', '5.05544', '-4601.9', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855391', '0', 'object/static/item/shared_item_container_inorganic_chemicals.iff', '0', '0', '0', '1', '4661.25', '4.17', '-4614.8', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855392', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.925211', '0', '0.379453', '4679.67', '4.17', '-4587.27', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855393', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '-0.40319', '0', '0.915116', '4680.08', '4.17', '-4587.6', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855394', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '-0.509842', '0', '0.860268', '4679.88', '4.17', '-4587.98', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855395', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '-0.509842', '0', '0.860268', '4679.73', '4.17', '-4588.38', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855396', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '-0.509842', '0', '0.860268', '4679.44', '4.17', '-4588.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855397', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '-0.448423', '0', '0.893821', '4680.66', '4.17', '-4586.23', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855398', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '-0.448423', '0', '0.893821', '4680.31', '4.17', '-4586.55', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855399', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '-0.685289', '0', '0.728271', '4679.37', '4.17', '-4588.69', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855400', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '-0.685288', '0', '0.728272', '4679.05', '4.17', '-4588.02', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855401', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '-0.685288', '0', '0.728272', '4678.94', '4.17', '-4588.48', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855402', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.884675', '0', '0.466208', '4669.25', '4.17', '-4602.25', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855403', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.466208', '0', '0.884675', '4669.78', '4.17', '-4601.51', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855404', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.932039', '0', '-0.362358', '4666.96', '4.17', '-4606.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855405', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.972329', '0', '-0.233617', '4665.77', '4.17', '-4607.86', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855406', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.95209', '0', '-0.305817', '4666.28', '5.05544', '-4606.89', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855407', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.964884', '0', '-0.262678', '4664.93', '4.17', '-4606.84', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855408', '0', 'object/static/item/shared_item_container_inorganic_chemicals.iff', '0', '0', '0', '1', '4660.66', '4.17', '-4615.12', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855409', '0', 'object/static/item/shared_item_container_inorganic_chemicals.iff', '0', '0.309816', '0', '0.950796', '4660.49', '4.51785', '-4615.63', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855410', '0', 'object/static/item/shared_item_container_inorganic_chemicals.iff', '0', '-0.448423', '0', '0.893822', '4660.26', '4.17', '-4616', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855411', '0', 'object/static/item/shared_item_container_organic_structure.iff', '0', '0.139543', '0', '0.990216', '4649.43', '4.17', '-4630.82', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855412', '0', 'object/static/item/shared_item_container_organic_structure.iff', '0', '0.139543', '0', '0.990216', '4649.56', '4.17', '-4631.66', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855417', '0', 'object/static/item/shared_item_container_organic_structure.iff', '0', '0.710353', '0', '0.703845', '4649.77', '4.17', '-4630.09', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855419', '0', 'object/static/item/shared_item_container_organic_structure.iff', '0', '0.710353', '0', '0.703845', '4648.72', '4.17', '-4629.53', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855420', '0', 'object/static/item/shared_item_container_organic_hide.iff', '0', '0.300293', '0', '0.953847', '4654.32', '4.17', '-4625.22', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855421', '0', 'object/static/item/shared_item_container_organic_hide.iff', '0', '0.300293', '0', '0.953847', '4653.89', '4.17', '-4625.87', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855423', '0', 'object/static/item/shared_item_container_organic_hide.iff', '0', '0.300293', '0', '0.953847', '4654.12', '4.5811', '-4625.55', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855449', '0', 'object/tangible/crafting/station/shared_public_weapon_station.iff', '0', '0.976806', '0', '-0.214125', '4729.85', '3.75', '-4935.11', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855450', '0', 'object/tangible/crafting/station/shared_public_weapon_station.iff', '0', '0.981048', '0', '0.193767', '4720.7', '3.75', '-4934.26', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855451', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s02.iff', '0', '0.82511', '0', '-0.564972', '4718.4', '1.89512', '-4933.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855452', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s02.iff', '0', '0.833932', '0', '0.551867', '4730.52', '1.62884', '-4933.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855453', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s01.iff', '0', '-0.696135', '0', '0.717911', '4724.47', '3.5695', '-4932.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855456', '0', 'object/tangible/crafting/station/shared_public_structure_station.iff', '0', '0.707107', '0', '-0.707107', '4786.32', '3.75', '-4971.66', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855457', '0', 'object/tangible/crafting/station/shared_public_structure_station.iff', '0', '0.714143', '0', '0.700001', '4823.81', '3.75', '-4973.34', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855467', '0', 'object/tangible/crafting/station/shared_public_clothing_station.iff', '0', '0.356949', '0', '0.934124', '4884.6', '3.75', '-4799.11', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855468', '0', 'object/tangible/crafting/station/shared_public_food_station.iff', '0', '-0.706825', '0', '0.707389', '4938.43', '3.75', '-4849.85', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855469', '0', 'object/tangible/crafting/station/shared_public_clothing_station.iff', '0', '-0.352274', '0', '0.935897', '4917.49', '3.75', '-4832.58', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855470', '0', 'object/tangible/crafting/station/shared_public_food_station.iff', '0', '0.997129', '0', '-0.0757238', '4927.86', '3.75', '-4838.13', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855474', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0', '0', '1', '4944.24', '3.75', '-4805.57', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855475', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0', '0', '1', '4945.5', '3.75', '-4804.42', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855476', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0', '0', '1', '4946.66', '3.75', '-4807.61', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855477', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0', '0', '1', '4947.92', '3.75', '-4806.46', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855478', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0', '0', '1', '4948.63', '3.75', '-4809.7', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855479', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0', '0', '1', '4949.89', '3.75', '-4808.54', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855480', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0', '0', '1', '4950.5', '3.75', '-4812.05', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855481', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0', '0', '1', '4951.76', '3.75', '-4810.9', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855485', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.888928', '0', '0.458046', '4793.52', '4.17', '-4702.5', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855487', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.888928', '0', '0.458046', '4801.08', '4.17', '-4691.36', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855717', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '1', '0', '5.30747e-08', '4695.3', '3.75', '-4877.02', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '4855719', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0', '0', '1', '4695.6', '3.75', '-4910.22', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5035777', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.913753', '0', '0.406272', '1997.42', '12', '2608.99', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5035778', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.423608', '0', '0.905846', '1997.48', '12', '2606.05', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5035780', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0.709768', '0', '-0.704437', '1998.97', '12', '2607.45', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5035781', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.744088', '0', '-0.668083', '2000.93', '12', '2608.12', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5035782', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '-0.236898', '0', '0.971534', '1998.55', '12', '2601.04', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5035783', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.331058', '0', '0.94361', '1997.92', '12', '2599.12', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5035784', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.99135', '0', '-0.131248', '1999.07', '12', '2602.9', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5035843', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.687162', '0', '0.726505', '1723.41', '12.5696', '2485.61', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5035844', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.99518', '0', '-0.0980627', '1721.83', '12.5696', '2488.16', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5035845', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.851592', '0', '0.524205', '1719.64', '12.5696', '2486.77', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5035846', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0.428132', '0', '0.903716', '1721.55', '12.5696', '2486.13', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5035847', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.166643', '0', '0.986017', '1721.08', '12.5696', '2484.25', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5035848', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0.837352', '0', '0.546665', '1717.85', '12.5696', '2491.39', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5035849', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.999998', '0', '0.00177945', '1717.14', '12.5696', '2493.28', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5035850', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.206089', '0', '0.978533', '1718.61', '12.5696', '2489.62', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5035851', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.797158', '0', '-0.603771', '1719.61', '12.5696', '2492.45', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5035852', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.657449', '0', '0.753499', '1716.1', '12.5696', '2490.57', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5035853', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.687162', '0', '0.726505', '1719.85', '12.5696', '2480.98', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5035854', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.99518', '0', '-0.0980627', '1718.27', '12.5696', '2483.53', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5035855', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.851592', '0', '0.524205', '1716.08', '12.5696', '2482.13', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5035856', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0.428132', '0', '0.903716', '1717.99', '12.5696', '2481.5', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5035857', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.166643', '0', '0.986017', '1717.52', '12.5696', '2479.62', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5035874', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.84812', '0', '0.529804', '1651.49', '12.5692', '2493.58', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5035875', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.293058', '0', '0.956095', '1651.95', '12.5692', '2490.62', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5035876', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.345318', '0', '0.938486', '1654.52', '12.5692', '2491.06', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5035877', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0.801123', '0', '-0.598501', '1653', '12.5692', '2492.38', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5035878', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.933542', '0', '-0.35847', '1654.16', '12.5692', '2493.93', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5035879', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '-0.370152', '0', '0.928971', '1654.37', '12.5692', '2486.1', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5035880', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.196144', '0', '0.980575', '1654.29', '12.5692', '2484.09', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5035881', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.999965', '0', '0.00837229', '1654.35', '12.5692', '2488.03', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5035882', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.74958', '0', '0.661914', '1652.34', '12.5692', '2485.81', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5035883', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.608502', '0', '0.793552', '1656.3', '12.5692', '2486.17', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5035922', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.412321', '0', '0.911039', '1276.7', '13', '2750.11', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5035923', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.773915', '0', '-0.63329', '1277.76', '13', '2749.88', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5035924', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.203566', '0', '0.979061', '1277.98', '13', '2749.03', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5035925', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.989391', '0', '0.145281', '1277.9', '13.8854', '2749.5', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5035926', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.910711', '0', '-0.413045', '1277.11', '13', '2748.93', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5035927', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.434965', '0', '0.900447', '1276.51', '13', '2748.28', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5035928', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.589145', '0', '0.808027', '1276.1', '13', '2749.2', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5035929', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.773916', '0', '-0.633289', '1275.5', '13', '2748.96', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5035931', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.0149995', '0', '0.999888', '1277.25', '13', '2788.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5035932', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.0149994', '0', '0.999888', '1277.33', '13.8854', '2787.05', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5035933', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.0449848', '0', '0.998988', '1277.27', '13', '2786.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5035935', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.799099', '0', '0.601199', '1275.7', '13', '2789.58', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5035936', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.659385', '0', '0.751805', '1276.04', '13.8854', '2790.03', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5035937', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.624897', '0', '0.780707', '1276.21', '13', '2790.46', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5035939', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.770739', '0', '0.637151', '1220.62', '13', '2802.06', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5035940', '0', 'object/static/item/shared_item_container_organic_hide.iff', '0', '0.770739', '0', '0.637151', '1220.09', '13', '2801.2', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5035941', '0', 'object/static/item/shared_item_container_organic_hide.iff', '0', '0.770739', '0', '0.637151', '1221.08', '13', '2800.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5035942', '0', 'object/static/item/shared_item_container_organic_hide.iff', '0', '0.770739', '0', '0.637151', '1221.86', '13', '2800.63', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5035943', '0', 'object/static/item/shared_item_container_organic_hide.iff', '0', '0.770739', '0', '0.637151', '1222.67', '13', '2800.16', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5035944', '0', 'object/static/item/shared_item_container_organic_hide.iff', '0', '-0.624898', '0', '0.780707', '1221', '13', '2799.89', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5035945', '0', 'object/static/item/shared_item_container_organic_hide.iff', '0', '-0.624898', '0', '0.780707', '1221.76', '13', '2799.57', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5035946', '0', 'object/static/item/shared_item_container_organic_hide.iff', '0', '-0.624898', '0', '0.780707', '1220.2', '13', '2800.39', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5035947', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.770739', '0', '0.637151', '1220.75', '13', '2802.73', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5035948', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.770739', '0', '0.637151', '1220.87', '13', '2803.23', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5035949', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.770739', '0', '0.637151', '1220.92', '13', '2803.73', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5035950', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '-0.637151', '0', '0.770739', '1220.42', '13', '2802.94', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5035951', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '-0.637151', '0', '0.770739', '1220.3', '13', '2802.44', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5035952', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '-0.637151', '0', '0.770739', '1220.25', '13', '2801.94', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5035953', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '-0.637151', '0', '0.770739', '1220.55', '13', '2803.61', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5035954', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.00999983', '0', '0.99995', '1221.71', '13', '2804.05', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5035955', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.00999983', '0', '0.99995', '1221.03', '13', '2804.07', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5035956', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.99995', '0', '-0.00999963', '1221.39', '13', '2803.67', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5035957', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.99995', '0', '-0.00999963', '1221.89', '13', '2803.71', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5036008', '0', 'object/tangible/crafting/station/shared_public_food_station.iff', '0', '1', '0', '-3.20013e-08', '1835.43', '12.1581', '2676.23', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5036182', '0', 'object/tangible/crafting/station/shared_public_weapon_station.iff', '0', '1', '0', '3.20013e-08', '1829.1', '12', '2593.61', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5036183', '0', 'object/tangible/crafting/station/shared_public_weapon_station.iff', '0', '1', '0', '3.20013e-08', '1845.51', '12', '2593.55', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5036184', '0', 'object/tangible/crafting/station/shared_public_clothing_station.iff', '0', '-0.707106', '0', '0.707107', '1729.86', '12', '2593.41', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5036185', '0', 'object/tangible/crafting/station/shared_public_clothing_station.iff', '0', '-0.707106', '0', '0.707107', '1746.08', '12', '2593.38', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5036186', '0', 'object/tangible/crafting/station/shared_public_structure_station.iff', '0', '-0.707106', '0', '0.707107', '1768.11', '12', '2551.54', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5036187', '0', 'object/tangible/crafting/station/shared_public_structure_station.iff', '0', '0.707106', '0', '0.707107', '1805.81', '12', '2550.54', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5036189', '0', 'object/tangible/crafting/station/shared_public_food_station.iff', '0', '0.966979', '0', '-0.254856', '2012.35', '12', '2597.51', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5036450', '0', 'object/static/item/shared_item_scrolling_screen.iff', '0', '0.285952', '0', '0.958244', '4760.63', '8.77047', '-4795.24', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5036451', '0', 'object/static/item/shared_item_scrolling_screen.iff', '0', '0.886627', '0', '0.462486', '4767.4', '8.71604', '-4793.66', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5036453', '0', 'object/static/item/shared_item_tech_console_sectional_c.iff', '0', '0.757843', '0', '-0.652437', '4762.37', '6.01233', '-4793.91', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5125558', '0', 'object/static/structure/naboo/shared_elevated_walkway_s03.iff', '0', '-0.685578', '0', '0.727999', '-5508.42', '-1.08883', '3906.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5125560', '0', 'object/static/structure/naboo/shared_elevated_walkway_s03.iff', '0', '-0.685578', '0', '0.727999', '-5506.56', '-1.08883', '3937.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5125561', '0', 'object/static/structure/naboo/shared_elevated_walkway_s03.iff', '0', '-0.685578', '0', '0.727999', '-5510.28', '-1.08883', '3876.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5125562', '0', 'object/static/structure/naboo/shared_elevated_walkway_s03.iff', '0', '-0.685578', '0', '0.727999', '-5504.71', '-1.08883', '3968.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5125563', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '-0.685578', '0', '0.727999', '-5503.75', '-1.11354', '3984.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5125564', '0', 'object/static/structure/naboo/shared_elevated_walkway_s03.iff', '0', '-0.685578', '0', '0.727999', '-5516.41', '-1.08946', '3907.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5125565', '0', 'object/static/structure/naboo/shared_elevated_walkway_s03.iff', '0', '-0.685578', '0', '0.727999', '-5514.55', '-1.08946', '3938.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5125566', '0', 'object/static/structure/naboo/shared_elevated_walkway_s03.iff', '0', '-0.685578', '0', '0.727999', '-5518.27', '-1.08946', '3876.52', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5125567', '0', 'object/static/structure/naboo/shared_elevated_walkway_s03.iff', '0', '-0.685578', '0', '0.727999', '-5512.69', '-1.08946', '3969.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5125568', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '-0.685578', '0', '0.727999', '-5511.73', '-1.11417', '3985.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5125611', '0', 'object/building/naboo/shared_filler_building_naboo_style_2.iff', '0', '0.999667', '0', '-0.0257879', '-5719.91', '5.84693', '4036.59', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '5125660', '0', 'object/building/naboo/shared_filler_building_naboo_style_2.iff', '0', '0.480817', '0', '0.876821', '-5883.18', '6', '4203.5', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '5285352', '0', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_2.iff', '0', '-0.448078', '0', '0.893995', '1895.17', '6.36118', '2551.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5285763', '0', 'object/building/general/shared_naboo_narglatch_cave.iff', '0', '0.996802', '0', '0.0799147', '5840.6', '41.077', '-4635.26', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '5285895', '5285763', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '6205598', '5285895', 'object/static/particle/shared_pt_miasma_of_fog_gray.iff', '0', '0', '0', '1', '-20.1514', '-1.92606', '0.683123', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '6205599', '5285895', 'object/static/particle/shared_pt_miasma_of_fog_gray.iff', '0', '0', '0', '1', '-14.8728', '-4.20525', '-2.26606', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '5285896', '5285763', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336292', '5285896', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '-0.0248573', '0.709918', '-0.0246296', '0.703414', '20.6609', '-38.6178', '-34.493', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336293', '5285896', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0.0698721', '-0.00179891', '0.0449488', '0.996541', '52.91', '-47.7726', '-68.8661', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5285897', '5285763', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336295', '5285897', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0.0198552', '-0.0400326', '0.074851', '0.996193', '92.4457', '-61.7166', '-8.92617', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5285898', '5285763', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '5285899', '5285763', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336294', '5285899', 'object/soundobject/shared_soundobject_cave_drip.iff', '0', '0', '0', '1', '89.7895', '-46.7094', '-105.646', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '5285900', '5285763', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '5285901', '5285763', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '5285902', '5285763', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '5285903', '5285763', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336297', '5285903', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '-0.0170538', '0.730917', '-0.0182767', '-0.682008', '192.944', '-66.9372', '-104.692', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336298', '5285903', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '-0.0349491', '0.00174891', '-0.0499486', '0.998139', '192.344', '-66.6052', '-98.1468', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5285904', '5285763', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '5285907', '5285904', 'object/soundobject/shared_soundobject_cave_drip.iff', '0', '0', '0', '1', '55.9123', '-48.8018', '-105.781', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '5285908', '5285904', 'object/static/structure/general/shared_skeleton_human_head.iff', '0.546976', '-0.505283', '-0.490284', '0.452912', '61.3367', '-47.5215', '-106.199', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '5285905', '5285763', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '5285910', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '-0.0230311', '0.539592', '0.122529', '0.832645', '5837.11', '36', '-4666.6', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '5285911', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0.183946', '0', '0.982936', '5830.77', '36.0013', '-4666.52', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '5285912', '0', 'object/static/particle/shared_pt_miasma_of_fog_gray.iff', '0', '-0.0799148', '0', '0.996802', '5859.46', '45.5403', '-4640.22', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '5285913', '0', 'object/static/particle/shared_pt_miasma_of_fog_gray.iff', '0', '-0.0799148', '0', '0.996802', '5856.98', '40.3564', '-4639.9', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '5285914', '0', 'object/static/particle/shared_pt_miasma_of_fog_gray.iff', '0', '-0.0799148', '0', '0.996802', '5859.8', '39.4898', '-4642.44', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '5285971', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.707106', '0', '0.707107', '-1477', '278', '-1743', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '5285972', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.707106', '0', '0.707107', '-1477', '278', '-1716', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '5285973', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0', '0', '1', '-1477', '278', '-1751', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '5285974', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0', '0', '1', '-1477', '278', '-1708', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '5285975', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '0', '0', '1', '-1493', '278', '-1751', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '5285976', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '0', '0', '1', '-1493', '278', '-1708', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '5285977', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0', '0', '1', '-1509', '278', '-1708', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '5285978', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0', '0', '1', '-1509', '278', '-1751', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '5285979', '0', 'object/static/structure/corellia/shared_corl_power_arial_prime.iff', '0', '0', '0', '1', '-1480.57', '282.515', '-1730.24', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '5285980', '0', 'object/static/structure/corellia/shared_corl_power_arial_thin.iff', '0', '0', '0', '1', '-1480.84', '282.438', '-1731.49', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '5285982', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0', '0', '1', '-1479.75', '278', '-1716.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '5285983', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '-0.707106', '0', '0.707107', '-1479.78', '278', '-1720.85', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '5285986', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0', '0', '1', '-1485.42', '278', '-1710.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5285987', '0', 'object/static/structure/general/shared_prp_junk_s1.iff', '0', '0.902268', '0', '-0.431177', '-1478.76', '278.117', '-1709.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5285988', '0', 'object/static/structure/general/shared_prp_junk_s2.iff', '0', '-0.139543', '0', '0.990216', '-1485.91', '278', '-1719.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5285989', '0', 'object/static/structure/general/shared_prp_junk_s3.iff', '0', '0', '0', '1', '-1494.27', '278', '-1712.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5285990', '0', 'object/static/structure/general/shared_prp_junk_s4.iff', '0', '0', '0.448423', '0.893822', '-1486.54', '277.832', '-1717.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5285991', '0', 'object/static/structure/general/shared_prp_junk_s5.iff', '0', '0', '0', '1', '-1480.9', '278', '-1739.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5285992', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '0', '0', '0', '1', '-1498.15', '278', '-1740.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5285993', '0', 'object/static/structure/general/shared_prp_junk_s7.iff', '0.902268', '0', '0', '-0.431176', '-1483.17', '280.715', '-1737.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5285994', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0', '0', '0', '1', '-1489.34', '278', '-1741.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5285995', '0', 'object/static/structure/general/shared_prp_engine.iff', '0', '0.389418', '0', '0.921061', '-1484.72', '278', '-1744.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5285996', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '-1479.14', '278', '-1749.09', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5285997', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '-1479.1', '278.696', '-1749.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5285998', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '-1481.05', '278', '-1748.84', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5285999', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '-0.300293', '0', '0', '0.953847', '-1481.08', '278.206', '-1747.53', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5286000', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '-0.703277', '0', '0', '0.710915', '-1481.22', '278.184', '-1746.93', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5286001', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.389418', '0', '0.921061', '-1489.53', '278', '-1737.72', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5286002', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.309816', '0', '0.950796', '-1482.35', '278', '-1742.02', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5286003', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '-1492.4', '278', '-1744.58', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5286004', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '-0.706825', '0', '0', '0.707388', '-1484.09', '278.187', '-1746.66', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5286005', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.183947', '0', '0.982936', '-1484.88', '278', '-1747.28', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5286006', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.183947', '0', '0.982936', '-1484.68', '278', '-1747.6', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5286007', '0', 'object/static/item/shared_item_container_energy_radioactive.iff', '0', '0', '0', '1', '-1483.23', '278', '-1747.89', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5286008', '0', 'object/static/item/shared_item_container_energy_solid.iff', '0', '0', '0', '1', '-1486.12', '278', '-1749.64', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5286009', '0', 'object/static/item/shared_item_container_energy_solid.iff', '0', '0', '0', '1', '-1488.41', '278', '-1737.35', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5286010', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.252245', '0', '0.967663', '-1503.64', '278', '-1739.7', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5286011', '0', 'object/tangible/camp/shared_camp_lawn_chair.iff', '0', '0.80162', '0', '-0.597834', '-1503.9', '278', '-1720.42', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5286012', '0', 'object/tangible/camp/shared_camp_crate_s1.iff', '0', '-0.40319', '0', '0.915116', '-1503.55', '278', '-1721.44', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5286013', '0', 'object/tangible/camp/shared_camp_lantern_s2.iff', '0', '0', '0', '1', '-1503.57', '278.379', '-1721.46', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5286018', '0', 'object/tangible/camp/shared_camp_stool_tall.iff', '0', '0', '0', '1', '-1504.76', '278', '-1723.26', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5286019', '0', 'object/tangible/camp/shared_camp_stool_tall.iff', '0', '0', '0.670587', '0.741831', '-1506.34', '278.179', '-1719.7', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5286020', '0', 'object/tangible/camp/shared_camp_cot_s1.iff', '0', '0', '0', '1', '-1504.97', '278', '-1718.01', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5286021', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0', '0', '1', '-1509.94', '278', '-1721.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5286023', '0', 'object/static/structure/corellia/shared_corl_tent_small.iff', '0', '0', '0', '1', '-1505.58', '278', '-1721.08', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '5286024', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0.219073', '0.672315', '0.219073', '-0.672315', '-1511.66', '277.176', '-1739.19', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '5286025', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0', '-0.328769', '0.94441', '-1511.48', '277.391', '-1730.85', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '5286027', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0.367074', '-0.307508', '0.130012', '0.868212', '-1518.92', '277.099', '-1715.14', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '5286028', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0.192408', '-0.272383', '-0.543931', '0.770017', '-1517.63', '277.307', '-1722.62', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '5286029', '0', 'object/static/item/shared_item_comp_turret_base.iff', '0', '0', '0', '1', '-1504.94', '278', '-1748.54', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5286031', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '-1503.05', '278', '-1749.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5286032', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '-1503.26', '278', '-1748.79', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5286033', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0.724287', '0.689498', '-1502.17', '278.109', '-1748.7', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5286034', '0', 'object/static/item/shared_item_container_weapons.iff', '0', '0.242556', '0', '0.970137', '-1506.85', '278', '-1746.96', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5286035', '0', 'object/static/item/shared_item_tank_gas.iff', '0', '0.0449847', '0', '0.998988', '-1494.43', '278', '-1734.91', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5286036', '0', 'object/static/item/shared_item_tank_gas.iff', '-0.16114', '0.161269', '0.688212', '0.68876', '-1494.37', '278.182', '-1734.31', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5286037', '0', 'object/static/item/shared_item_tool_ore_mining_unit.iff', '0', '0', '0', '1', '-1495.47', '278', '-1745.23', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5286038', '0', 'object/static/item/shared_item_security_scanner.iff', '0', '1', '0', '3.20013e-08', '-1493.32', '279.486', '-1730.12', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5286039', '0', 'object/static/item/shared_wp_rifle_laser_combined.iff', '0', '0', '0.688922', '0.724836', '-1504.28', '278', '-1721.37', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5286040', '0', 'object/static/item/shared_item_vibroaxe.iff', '0', '0', '0', '1', '-1504.07', '278.727', '-1722.48', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5286041', '0', 'object/static/item/shared_item_vibrolance.iff', '0', '0', '0', '1', '-1504.33', '278', '-1722.49', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5425833', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.366273', '0', '0.930508', '5145.24', '-192', '6814.98', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5425834', '0', 'object/static/item/shared_item_container_organic_structure.iff', '0', '-0.443948', '0', '0.896053', '5146.56', '-192', '6813.2', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5425836', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.13459', '0', '0.990901', '5146.26', '-192', '6813.7', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5425837', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.13459', '0', '0.990901', '5145.95', '-192', '6813.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5425838', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.407761', '0', '0.913089', '5146.65', '-192', '6813.99', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5425839', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.483807', '0', '0.875174', '5141.06', '-192', '6818.53', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5425840', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.930216', '0', '0.367013', '5141.84', '-192', '6817.59', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5425841', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.384808', '0', '0.922997', '5143.62', '-192', '6815.76', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5425842', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.261909', '0', '0.965092', '5142.9', '-192', '6816.14', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5425843', '0', 'object/static/item/shared_item_tool_demagnetizer.iff', '0', '0', '0', '1', '5141.59', '-191.304', '6817.72', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5425844', '0', 'object/static/item/shared_item_wood_staff.iff', '-0.156885', '0.702352', '-0.160741', '-0.675464', '5145.67', '-190.893', '6814.22', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5425845', '0', 'object/static/item/shared_item_tool_radio.iff', '0.700602', '-0.116045', '-0.111483', '-0.69517', '5141.99', '-191.273', '6817.77', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5425848', '0', 'object/static/item/shared_item_tool_instrument_calibrator.iff', '0', '0', '0', '1', '5143.62', '-191.146', '6815.69', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5425851', '0', 'object/static/item/shared_item_tank_gas.iff', '0', '0', '0', '1', '5142.2', '-192', '6816.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5425853', '0', 'object/static/item/shared_item_painting_naboo_style_01.iff', '-0.127827', '0.922236', '-0.0559684', '0.360568', '5145.72', '-193.328', '6815.99', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5425857', '0', 'object/static/structure/general/shared_r3_torso.iff', '0', '0.370921', '0', '0.928665', '4806.76', '4.17', '-4663.96', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '5425859', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0', '0', '0', '1', '4806.67', '5.23568', '-4661.66', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5425860', '0', 'object/static/structure/general/shared_prp_engine.iff', '0', '0', '0', '1', '4806.81', '4.17', '-4662.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5425861', '0', 'object/static/item/shared_item_shisha.iff', '0', '0', '0', '1', '5146.56', '-191.715', '6814.07', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5425862', '0', 'object/static/item/shared_item_nemodian_bird_cage.iff', '0', '0.281157', '0', '0.959662', '5144.86', '-191.146', '6815.45', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5425864', '0', 'object/static/item/shared_item_kitchen_pot_style_01.iff', '0', '0', '0', '1', '5141.04', '-190.841', '6818.22', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5425868', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '0', '0', '1', '5145.49', '-191.115', '6814.79', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5425869', '0', 'object/static/item/shared_armor_bone_helmet.iff', '-0.124575', '0.26465', '-0.00498565', '0.956251', '5141.06', '-192.379', '6819.12', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5425873', '0', 'object/static/item/shared_item_jar_empty.iff', '0', '0', '0', '1', '5146.72', '-191.715', '6813.88', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5425887', '0', 'object/static/item/shared_wp_carbine_elite_combined.iff', '-0.427931', '-0.427931', '0.562916', '0.562916', '5180.75', '-191.273', '6631.38', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5425889', '0', 'object/static/item/shared_item_container_energy_solid.iff', '0', '0.439462', '0', '0.898261', '5179.89', '-192', '6632', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5475479', '0', 'object/building/naboo/shared_guild_theater_naboo_s01.iff', '0', '0', '0', '1', '-5792.43', '6', '4181.16', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '5475480', '5475479', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085393', '5475480', 'object/soundobject/shared_soundobject_city_crowd_sentients_large.iff', '0', '0', '0', '1', '-2.31194', '0.6', '-6.658', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '5475481', '5475479', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '5475482', '5475479', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '5475483', '5475479', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '5475484', '5475479', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '5475485', '5475479', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085394', '5475485', 'object/soundobject/shared_soundobject_city_crowd_cheering.iff', '0', '0', '0', '1', '-0.64942', '1.5231', '34.1671', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '5475486', '5475479', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '5475487', '5475479', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '5475488', '5475479', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '5475489', '5475479', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '5505363', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0', '0', '0', '1', '-2134.58', '5.55384', '-5420.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5535563', '0', 'object/building/general/shared_naboo_pirate_bunker.iff', '0', '-0.7', '0', '0.714143', '-1481.82', '278', '-1729.26', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '5535564', '5535563', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '5535565', '5535563', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '5535582', '5535565', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0.198669', '0', '0.980067', '-2.44546', '0.25', '-4.73838', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5535566', '5535563', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '5535567', '5535563', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '3915469', '5535567', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_neutral_assassination_02.iff', '0', '0.976073', '0', '-0.217445', '9.48305', '-12', '36.2181', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5535589', '5535567', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0.309816', '0', '0.950796', '-2.94585', '-12', '26.4328', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5535568', '5535563', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '5535590', '5535568', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0', '0', '1', '32.4869', '-12', '24.3699', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5535591', '5535568', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0.174108', '0', '0.984727', '27.6587', '-12', '37.7681', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5535569', '5535563', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '5535570', '5535563', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '5535571', '5535563', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '5535606', '5535571', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0.710353', '0', '0.703845', '37.9257', '-16', '58.3574', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5535607', '5535571', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0', '0', '1', '41.6561', '-16', '57.1535', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5535608', '5535571', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0.247404', '0', '0.968912', '47.7333', '-16', '55.7944', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5535609', '5535571', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '-0.488177', '0', '0.872744', '66.0614', '-16', '85.3121', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5535610', '5535571', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0.874789', '0', '0.484504', '79.641', '-16', '85.8524', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5535611', '5535571', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0.34759', '0', '0.937646', '72.2376', '-16', '57.2441', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5535572', '5535563', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '5535573', '5535563', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555352', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0.00703824', '0.00703228', '0.706721', '0.707423', '2538.52', '300.005', '-3883.66', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555353', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0', '0', '0', '1', '2420.43', '292', '-3942.52', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555355', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '-0.0199987', '0', '0.9998', '2447.11', '292', '-3907.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555356', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '2438.26', '292', '-3908.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555366', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0.27049', '-0.270706', '0.653021', '-0.653542', '2175.45', '366.254', '-3695.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555370', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '-0.347809', '0.345981', '0.619388', '-0.612931', '1905.98', '399.025', '-4021.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555372', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '-0.499801', '0.500199', '0.499801', '-0.500199', '2121.01', '298.209', '-4183.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555373', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '-0.479025', '0.47827', '0.517191', '-0.523744', '2369.45', '328.974', '-4098.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555380', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0.699989', '0.00413939', '0.71413', '0.00405742', '5048.68', '10.135', '-4897.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555383', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0', '0', '0.999991', '-0.00420361', '4977.57', '10.1378', '-4914.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555385', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0.707106', '-0.000563088', '0.707107', '-0.000563051', '4984.68', '10.1378', '-4970.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555386', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0.114747', '0', '0.993395', '5244.21', '326', '-1568.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555388', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0.707106', '-0.000563', '0.707107', '-0.000563', '4878.06', '8.08235', '-4893.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555389', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0.382683', '-0.000735595', '0.923879', '-0.000304693', '4701.94', '8.05499', '-4881.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555390', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.252245', '0', '0.967663', '5035.99', '360', '-1408.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555391', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0.923879', '-0.000304693', '0.382684', '-0.000735595', '4702.33', '8.07566', '-4905.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555392', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_02.iff', '0', '0', '0', '1', '4685.71', '4.73031', '-4895.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555393', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_02.iff', '0', '0', '0', '1', '4685.58', '4.73031', '-4892.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555395', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '4689.49', '3.73103', '-4811.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555396', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '4699.7', '3.75', '-4816.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555398', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0.416871', '0', '0.908966', '5021.03', '360', '-1481.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555411', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5565.21', '6', '4293.52', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555412', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_02.iff', '0', '0', '0', '1', '4666.34', '3.75', '-4780.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555413', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_02.iff', '0', '0', '0', '1', '4658.43', '3.75', '-4753', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555417', '0', 'object/static/structure/general/shared_streetlamp_medium_blue_style_01.iff', '0', '-0.477405', '0', '0.878683', '4665.47', '4.17', '-4608.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555418', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5641.87', '6', '4545.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555420', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '4794.31', '4.17', '-4701.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555421', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '4800.59', '4.17', '-4692.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555422', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '4836.43', '5.33157', '-4733.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555423', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '4841.98', '5.27406', '-4731.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555424', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '4858.28', '3.75', '-4789.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555425', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '4863', '3.75', '-4787.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555426', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0.999983', '0.00579635', '4844.12', '13.331', '-4782.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555427', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '4728.57', '3.75', '-4868.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555431', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '4709.91', '3.75', '-4867.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555432', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '4749.14', '3.75', '-4896.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555433', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '4736.8', '3.7446', '-4910.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555435', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '4807.58', '3.74773', '-4933.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555437', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '4797.06', '3.74997', '-4949.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555440', '0', 'object/static/structure/general/shared_streetlamp_medium_green_style_02.iff', '0', '0', '0', '1', '4878.23', '360.606', '-1443.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555441', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0', '0', '0', '1', '4736.45', '6.12171', '-4954.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555442', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0', '0', '0', '1', '4707.43', '6.12171', '-4954.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555443', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_02.iff', '0', '0', '1', '0.000796407', '4765.39', '15.1624', '-4801.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555444', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5532.56', '6', '4355.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555445', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5455.18', '6', '4348.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555469', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '-0.692674', '-0.0149953', '0.720951', '0.0144072', '4827.5', '10.2327', '-5003.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555472', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '4839.19', '3.75', '-4921.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555473', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '4829.08', '3.75', '-4915.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555474', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-5517.21', '13.3838', '4409.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555475', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-5474.72', '13.3622', '4409.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555477', '0', 'object/static/structure/general/shared_streetlamp_medium_blue_style_01.iff', '0', '0.382683', '0', '0.92388', '4910.99', '3.75', '-4955.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555478', '0', 'object/static/structure/general/shared_streetlamp_medium_blue_style_01.iff', '0', '-0.382683', '0', '0.92388', '4925.5', '3.75', '-4955.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555479', '0', 'object/static/structure/general/shared_streetlamp_medium_blue_style_01.iff', '0', '0.382683', '0', '0.92388', '4923.23', '3.75', '-4902.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555480', '0', 'object/static/structure/general/shared_streetlamp_medium_blue_style_01.iff', '0', '-0.382683', '0', '0.92388', '4910.75', '3.75', '-4902.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555481', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '-0.38246', '0.0130866', '0.923339', '-0.0315939', '4972.88', '10.1693', '-4864.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555482', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '4829.08', '344.699', '-1431.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555483', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0.841901', '-3.09278e-08', '-0.539632', '-2.79732e-08', '4683.48', '338.411', '-1389.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555484', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-5442.21', '8.39462', '4134.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555485', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-5471.24', '8.37684', '4134.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555486', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-5355.2', '8.40333', '4154.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555487', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-5383.84', '8.40333', '4154.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555490', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5594.69', '6', '4074.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555491', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.139543', '0', '0.990216', '1982.65', '11.0291', '2186.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555492', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '-0.707106', '0', '0.707108', '-5467.6', '6', '4081.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555493', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5427.17', '6', '4044.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555494', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0', '0', '0', '1', '4759.07', '1.40572', '-4927.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555496', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0', '0', '0', '1', '4769.26', '8.59789', '-4928.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555497', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0.992809', '-3.83094e-09', '0.119712', '-3.17711e-08', '1973.44', '16.3956', '2391.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555498', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0.710354', '0', '0.703845', '-5248.32', '6', '4369.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555500', '0', 'object/static/structure/general/shared_streetlamp_medium_blue_style_02.iff', '0', '0', '0', '1', '2107.19', '28.1355', '2602.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555501', '0', 'object/static/structure/general/shared_streetlamp_medium_blue_style_02.iff', '0', '0.707105', '0', '0.707108', '2100.45', '28.107', '2605.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555503', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0', '0', '0', '1', '-5392.93', '8.79752', '4017.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555505', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_02.iff', '0', '0', '0', '1', '2005.54', '8.58473', '2576.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555508', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5439.9', '6', '3926.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555513', '0', 'object/static/structure/general/shared_streetlamp_large_green_style_02.iff', '0', '-0.707106', '0', '0.707108', '-5418.76', '6', '4220.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555514', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5414.17', '6', '4383.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5555516', '0', 'object/static/structure/general/shared_streetlamp_medium_blue_style_01.iff', '0', '0', '0', '1', '1956.27', '12', '2739.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5625354', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.42594', '0', '0.904751', '-4922.11', '6', '3984.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5625355', '0', 'object/static/structure/general/shared_streetlamp_medium_blue_style_02.iff', '0', '0', '0', '1', '1780.41', '12.1727', '2456.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5625356', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.42594', '0', '0.904752', '-4879.23', '6', '4187.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5625357', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.42594', '0', '0.904752', '-4832.27', '6', '4147.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5625358', '0', 'object/static/structure/general/shared_streetlamp_medium_blue_style_02.iff', '0', '0', '0', '1', '1796.39', '12.1302', '2456.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5625359', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '1733.04', '12', '2481.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5625362', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '1736.41', '12', '2552.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5625363', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0', '0.398609', '0', '0.917121', '-4915.44', '8.71956', '4093.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5625364', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '7.72715e-09', '7.72715e-09', '0.707107', '-0.707107', '1768.98', '12.7273', '2550.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5625365', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.430458', '0', '0.90261', '-5058.85', '6', '4155.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5625366', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '-0.441885', '4.82885e-09', '-9.80306e-09', '0.897072', '1687.46', '12.6641', '2564.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5625367', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '1653.84', '12.1897', '2579.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5625368', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '1', '0', '0', '-3.20013e-08', '1647.7', '16.8699', '2428.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5625370', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0.366273', '0', '0.930508', '1691.79', '12.1581', '2614.34', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5625371', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '1871.6', '12', '2631.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5625372', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '1871.86', '12', '2596.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5625373', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '1870.82', '12', '2568.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5625374', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0.13459', '0', '0.990901', '1836.26', '12', '2533.34', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5625375', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_02.iff', '0', '0', '0', '1', '1827.18', '13.1068', '2573.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5625377', '0', 'object/static/structure/general/shared_streetlamp_medium_red_style_02.iff', '0', '1', '0', '-3.20013e-08', '1836.16', '12', '2596.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5625380', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.0799147', '0', '0.996802', '-5581.6', '6.31623', '4143.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5625381', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0.129634', '0', '0.991562', '1609.92', '25.917', '2707.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5625382', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0.144492', '0', '0.989506', '1520.32', '25.8755', '2729.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5625384', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_02.iff', '0', '-0.169182', '0', '0.985585', '-5641.21', '2.48987', '4264.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5625385', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_02.iff', '0', '-0.174108', '0', '0.984727', '-5643.85', '2.4841', '4272.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5625387', '0', 'object/static/structure/general/shared_streetlamp_large_red_style_01.iff', '0', '0.993956', '0', '0.109778', '1444.46', '15.4666', '2782.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5625388', '0', 'object/static/structure/general/shared_streetlamp_large_red_style_01.iff', '0', '0.104807', '0', '0.994493', '1443.94', '15.3717', '2758.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5625389', '0', 'object/static/structure/general/shared_streetlamp_large_green_style_02.iff', '0', '-0.144492', '0', '0.989506', '1370.02', '13', '2679.52', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5625390', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_02.iff', '0', '-0.0399893', '0', '0.9992', '1321.53', '20.225', '2658.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5625392', '0', 'object/static/structure/general/shared_streetlamp_large_green_style_02.iff', '0', '0', '0', '1', '1317.68', '13', '2682.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5625394', '0', 'object/static/structure/general/shared_streetlamp_large_red_style_01.iff', '0', '0.707106', '0', '0.707107', '1213.07', '15.3085', '2748.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5625396', '0', 'object/static/structure/general/shared_streetlamp_large_red_style_01.iff', '0', '0.820964', '0', '0.57098', '1213.48', '15.3717', '2787.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5625398', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_02.iff', '0', '0', '0', '1', '1212.01', '16.0042', '2768.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5625399', '0', 'object/static/structure/general/shared_streetlamp_large_red_style_01.iff', '0', '-0.707107', '0', '0.707107', '1279.94', '15.7828', '2766.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5625401', '0', 'object/static/structure/general/shared_streetlamp_large_green_style_02.iff', '0', '0.92388', '0', '0.382683', '1270.84', '13', '2829.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5625402', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_02.iff', '0', '0', '0', '1', '1260.78', '20.2159', '2862.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5625404', '0', 'object/static/structure/general/shared_streetlamp_large_green_style_02.iff', '0', '0', '0', '1', '1319.49', '13', '2844.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5625406', '0', 'object/static/structure/general/shared_streetlamp_large_green_style_01.iff', '0', '0.961689', '0', '-0.274144', '1386.08', '13', '2859.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5625412', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0.899297', '-0.0345773', '-0.118967', '-0.419423', '1652.45', '39.4308', '2784.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5625415', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '1692.38', '25', '2758.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5625417', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_02.iff', '0', '0', '0', '1', '1694.82', '38.2869', '2793.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5625419', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0', '0', '1', '-5634.63', '5.87351', '4108.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5625420', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_02.iff', '0', '0', '0', '1', '1743.08', '38.3556', '2808.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5625421', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0', '0', '0.999983', '-0.00579635', '-5670.18', '10.5853', '4111.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5625422', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_02.iff', '0', '0', '0', '1', '1749.73', '38.1863', '2839.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5625423', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_02.iff', '0', '0', '0', '1', '1756.32', '38.0832', '2839.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5625424', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0.92388', '0', '0', '-0.382683', '1788.92', '39.279', '2805.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5665384', '0', 'object/soundobject/shared_soundobject_cantina_medium.iff', '0', '0', '0', '1', '5331.69', '-192', '6593.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '5665385', '0', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '5279.68', '-192', '6760.35', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '5665386', '0', 'object/soundobject/shared_soundobject_city_crowd_sentients_large.iff', '0', '0', '0', '1', '5145.88', '-192', '6749.04', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '5695352', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5669.95', '6.08404', '4041.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5695357', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5801.62', '6', '4037.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5695358', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0.380188', '0.924909', '-5478.18', '27.1335', '4308.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5695359', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '-0.37092', '0.928665', '-5513.81', '27.141', '4307.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5695360', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0.384808', '0.922997', '-5478.16', '27.1223', '4186.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5695361', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '-0.361615', '0.932328', '-5513.81', '27.1545', '4185.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5695362', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5480.72', '6', '4116.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5695364', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.437394', '0', '0.89927', '-5313.18', '6.24427', '4074.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5755421', '0', 'object/building/naboo/shared_filler_building_naboo_style_2.iff', '0', '0.40319', '0', '0.915116', '-5638.44', '-159.996', '172.906', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '5775558', '0', 'object/static/item/shared_item_bowl_shallow.iff', '0', '0.970224', '0', '-0.242211', '-3974.59', '-135.576', '4387.46', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5775565', '0', 'object/static/item/shared_item_bowl_plain.iff', '0', '-0.39693', '0', '0.917849', '-3975.6', '-135.583', '4386.31', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '5785352', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.518758', '0', '0.854921', '-5299.32', '6', '4259.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5785353', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.157046', '0', '0.987591', '-5257.76', '6', '4407.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5785354', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.681929', '0', '0.731418', '-5659.45', '6', '4320.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5785356', '0', 'object/tangible/crafting/station/shared_public_food_station.iff', '0', '0.345432', '0', '0.938444', '-5038.37', '6', '4109.17', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5785362', '0', 'object/tangible/crafting/station/shared_public_clothing_station.iff', '0', '0.905729', '0', '0.423857', '-5061.95', '6', '4129.85', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5785365', '0', 'object/tangible/crafting/station/shared_public_structure_station.iff', '0', '-0.419323', '0', '0.907837', '-5072.67', '6', '4139.18', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5785368', '0', 'object/tangible/crafting/station/shared_public_weapon_station.iff', '0', '0.938444', '0', '-0.345432', '-5061.62', '6', '4165.93', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5785372', '0', 'object/tangible/crafting/station/shared_public_food_station.iff', '0', '1', '0', '0', '-5722.45', '6', '4209.5', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5785375', '0', 'object/tangible/crafting/station/shared_public_clothing_station.iff', '0', '0.707107', '0', '-0.707107', '-5691.6', '6', '4209.2', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5785377', '0', 'object/tangible/crafting/station/shared_public_structure_station.iff', '0', '0.707107', '0', '-0.707107', '-5656.7', '6', '4194.05', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5785378', '0', 'object/tangible/crafting/station/shared_public_structure_station.iff', '0', '0.707107', '0', '-0.707107', '-5656.7', '6', '4188.66', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5785379', '0', 'object/tangible/crafting/station/shared_public_weapon_station.iff', '0', '-0.707106', '0', '0.707107', '-5662.4', '6', '4176.57', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5785380', '0', 'object/tangible/crafting/station/shared_public_weapon_station.iff', '0', '0.707107', '0', '-0.707107', '-5662.4', '6', '4170.65', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5785381', '0', 'object/tangible/crafting/station/shared_public_weapon_station.iff', '0', '0.707107', '0', '-0.707107', '-5662.4', '6', '4165.09', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5785383', '0', 'object/tangible/crafting/station/shared_public_food_station.iff', '0', '0.391903', '0', '0.920007', '5170.49', '-192', '6809.42', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5785384', '0', 'object/tangible/crafting/station/shared_public_food_station.iff', '0', '0.391903', '0', '0.920006', '5167.13', '-192', '6812.85', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5785385', '0', 'object/tangible/crafting/station/shared_public_food_station.iff', '0', '0.391903', '0', '0.920006', '5163.94', '-192', '6816.27', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5785387', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0.918035', '0', '-0.396498', '5169.59', '-192', '6808.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5785388', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_lattice_s01.iff', '0', '0.394019', '0', '0.919102', '5166.24', '-192', '6811.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5785389', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0.396498', '0', '0.918036', '5162.85', '-192', '6815.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '5785390', '0', 'object/tangible/crafting/station/shared_public_weapon_station.iff', '0', '0.916042', '0', '-0.401083', '5166.03', '-192', '6810.13', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5785391', '0', 'object/tangible/crafting/station/shared_public_weapon_station.iff', '0', '0.916042', '0', '-0.401083', '5162.75', '-192', '6813.92', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '5785392', '0', 'object/tangible/crafting/station/shared_public_weapon_station.iff', '0', '0.916042', '0', '-0.401083', '5169.84', '-192', '6806.49', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015355', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0.213348', '0', '0.976976', '-5220.35', '6', '4341.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015356', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0.227978', '0', '0.973666', '-5269.07', '6.25298', '4251.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015357', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0.305059', '0', '0.952334', '-4685.67', '6', '3945.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015359', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '-0.707106', '0', '0.707107', '-5558.02', '-149.02', '-44.6491', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015360', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.707106', '0', '0.707107', '-5558.08', '-149.02', '-23.2159', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015366', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0.707107', '-0.000563103', '-0.707107', '0.000563103', '-5575.23', '-139.533', '-2.1479', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015367', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '1', '0', '0', '-0.000796265', '-5563.67', '-139.426', '7.70875', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015368', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '-5544.41', '-150', '-3.46354', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015371', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '-5504.41', '-150', '22.2076', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015372', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.707106', '0', '0.707107', '-5484.8', '-150', '7.12186', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015374', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '-5508.03', '-150', '4.20709', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015377', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.707106', '0', '0.707107', '-5504.72', '-150', '-43.8396', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015379', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '-0.707106', '0', '0.707107', '-5513.54', '-150', '-67.719', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015380', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '-0.707106', '0', '0.707107', '-5500.71', '-150', '-80.1643', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015381', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.707106', '0', '0.707107', '-5489.51', '-150', '-55.0471', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015384', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '-5485.46', '-150', '-72.7023', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015385', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.317127', '0', '0.948383', '-5551.89', '-150.078', '-96.589', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015387', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0.999983', '0', '0', '0.00579636', '-5565.77', '-139.751', '-78.5471', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015388', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0.999991', '0', '0', '0.00420365', '-5575.74', '-139.723', '-66.3485', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015389', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '-0.382683', '0', '0.92388', '-5516.18', '-150', '16.2668', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015391', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '-0.707107', '0', '0.707107', '-5583.66', '-150', '-61.4451', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015392', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '-0.636844', '0', '0.770993', '-5535.09', '-157.898', '-131.892', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015393', '0', 'object/static/structure/general/shared_streetlamp_large_green_style_02.iff', '-7.72715e-09', '0.707106', '-7.72715e-09', '0.707107', '5193.18', '-192.839', '6672.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015394', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.382683', '0', '0.92388', '5370.65', '-192', '6583.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015395', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '5181.4', '-186.835', '6616.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015398', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0.13459', '0', '0.990901', '5251.22', '-192', '6579.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015399', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '5218.97', '-179.373', '6588.34', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015401', '0', 'object/static/structure/general/shared_streetlamp_medium_blue_style_02.iff', '0', '0.92388', '0', '-0.382683', '5382.84', '-191.482', '6734.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015402', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-5998.14', '24.9149', '4318', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015403', '0', 'object/static/structure/general/shared_streetlamp_large_green_style_02.iff', '0', '0', '0', '1', '5294.11', '-192', '6741.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015404', '0', 'object/static/structure/general/shared_streetlamp_large_green_style_02.iff', '0', '0', '0', '1', '5294.3', '-192', '6789.52', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015405', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '5241.81', '-192', '6755.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015407', '0', 'object/static/structure/general/shared_streetlamp_medium_blue_style_02.iff', '0', '-0.707104', '0', '0.707109', '-5829.35', '6.34785', '4233.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015408', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_02.iff', '0', '0', '0', '1', '5061.9', '-192', '6725.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015409', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_02.iff', '0', '0', '0', '1', '5092.49', '-192', '6694.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015417', '0', 'object/static/structure/general/shared_streetlamp_medium_blue_style_02.iff', '0', '0', '0', '1', '4987.47', '-191.623', '6833.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015418', '0', 'object/static/structure/general/shared_streetlamp_medium_blue_style_02.iff', '0', '-0.382683', '0', '0.92388', '4992.34', '-191.606', '6834.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015422', '0', 'object/static/structure/general/shared_streetlamp_large_green_style_02.iff', '0', '-0.707106', '0', '0.707107', '-5641.77', '6', '4162.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015423', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '5018.83', '-192', '6787.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015424', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0.416871', '0', '0.908966', '4979.33', '-192', '6787.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015425', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.312382', '0', '0.949957', '4952.65', '-196', '6754.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015426', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0.407761', '0', '0.913089', '5027.33', '-192', '6722.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015427', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '5054.82', '-192', '6765.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015428', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.29074', '0', '0.956802', '5020.07', '-194.896', '6675.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015432', '0', 'object/static/structure/general/shared_streetlamp_large_blue_style_01.iff', '0', '0.914025', '0', '0.405658', '5119.39', '-191.989', '6621.52', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015433', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0', '0', '0', '1', '5197.55', '-190.451', '6555.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015434', '0', 'object/static/structure/general/shared_streetlamp_large_red_style_01.iff', '0', '0', '0', '1', '5177.72', '-192', '6546.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015435', '0', 'object/static/structure/general/shared_streetlamp_large_red_style_01.iff', '0', '0', '0', '1', '5144.46', '-192', '6561.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015437', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0.270598', '-0.653281', '0.653282', '0.270598', '5159.73', '-187.62', '6565.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015438', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0', '0', '0', '1', '-5391.79', '14.8814', '4415.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015439', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0', '0', '0', '1', '-5391.76', '14.8866', '4396.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015440', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '5152.94', '-192', '6849.08', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015441', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '5163.61', '-192', '6849.78', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015444', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0', '0.0998334', '0', '0.995004', '-5252.64', '5.87351', '4608.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015448', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0', '0', '1', '-0.000796363', '-5545.21', '13.7784', '4280.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015450', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5628.65', '6.97614', '4688.52', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015451', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.382683', '0', '0.92388', '-5603.27', '6.95533', '4732.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015452', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5595.03', '6.98109', '4769.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015453', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.707106', '0', '0.707107', '-5571.58', '6.98031', '4803.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015454', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5420.24', '6.96759', '4803.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015455', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.0749297', '0', '0.997189', '-5396.74', '6.98031', '4768.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015456', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.0998334', '0', '0.995004', '-5370.12', '6.94868', '4714.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015457', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5363.29', '6.97107', '4688.59', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015458', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0.00817273', '0.134695', '0.029034', '0.990428', '-5248.96', '5.87351', '4607.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015471', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-5372.32', '17.1868', '4309.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015472', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5422.01', '6', '4420.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015474', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '0.707107', '0', '0.707107', '-5353.84', '8.42345', '4401.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015476', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-5697.32', '6.88105', '4263.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015477', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-5719.64', '6.92488', '4263.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015482', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '4958.53', '359.02', '-1487.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015483', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '4958.81', '359.02', '-1459.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015484', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '4864.78', '360', '-1419.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015485', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.264513', '0', '0.964382', '5032.14', '360.047', '-1548.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015486', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '5143.15', '346.5', '-1537.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6015487', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0', '0', '0', '1', '1753.26', '36.8995', '2877.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6075389', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.92388', '0', '0.382683', '5117.49', '-192', '6619.47', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6075390', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.92388', '0', '0.382683', '5121.5', '-192', '6623.51', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6075392', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0.364431', '0', '0.93123', '5115.19', '-192', '6616.93', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '6075393', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0.93123', '0', '-0.364431', '5124.07', '-192', '6626.04', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '6075394', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.92388', '0', '0.382683', '5126.45', '-192', '6628.52', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6075395', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.92388', '0', '0.382683', '5112.67', '-192', '6614.53', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6075440', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_lg_s02.iff', '0', '0.531186', '0', '0.847255', '5317.48', '-193.98', '6604.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6075444', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_lg_s02.iff', '0', '0.466208', '0', '0.884675', '5320.08', '-193.98', '6599.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6075448', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_lattice_s01.iff', '0', '0', '0', '1', '5326.69', '-192.5', '6592.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6075449', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_lattice_s01.iff', '0', '0', '0', '1', '5337.14', '-192.5', '6592.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6075453', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_lg_s02.iff', '0', '0.857298', '0', '0.51482', '5345.56', '-193.98', '6600.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6075458', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_lg_s01.iff', '0', '0.285951', '0', '0.958244', '5323.48', '-193.98', '6594.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6075459', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_lg_s01.iff', '0', '0.597195', '0', '0.802096', '5316.43', '-193.98', '6607.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6075460', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_lg_s02.iff', '0', '0.973483', '0', '0.228754', '5342.66', '-193.98', '6595.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6075466', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_1.iff', '0', '0.968715', '0', '0.248176', '5329.77', '-192', '6608.81', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '6075490', '0', 'object/tangible/furniture/all/shared_frn_all_chair_wooden_s1.iff', '0', '0', '0', '1', '5325.1', '-192', '6596.19', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6075491', '0', 'object/tangible/furniture/all/shared_frn_all_chair_wooden_s1.iff', '0', '0.862404', '0', '0.50622', '5323.85', '-192', '6598.2', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6075492', '0', 'object/tangible/furniture/all/shared_frn_all_chair_wooden_s1.iff', '0', '0.798621', '0', '-0.601835', '5326.34', '-192', '6597.83', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6075493', '0', 'object/tangible/furniture/all/shared_frn_all_chair_wooden_s1.iff', '0', '0.904412', '0', '0.42666', '5326.15', '-192', '6603.78', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6075494', '0', 'object/tangible/furniture/all/shared_frn_all_chair_wooden_s1.iff', '0', '0.389418', '0', '0.921061', '5326.34', '-192', '6602.21', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6075495', '0', 'object/tangible/furniture/all/shared_frn_all_chair_wooden_s1.iff', '0', '-0.42141', '0', '0.90687', '5328.17', '-192', '6602.29', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6075496', '0', 'object/tangible/furniture/all/shared_frn_all_chair_wooden_s1.iff', '0', '0.920751', '0', '-0.390152', '5328.02', '-192', '6603.92', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6075497', '0', 'object/tangible/furniture/all/shared_frn_all_chair_wooden_s1.iff', '0', '0.914795', '0', '0.403919', '5320.71', '-192', '6605.04', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6075498', '0', 'object/tangible/furniture/all/shared_frn_all_chair_wooden_s1.iff', '0', '0.958471', '0', '-0.285189', '5322.53', '-192', '6605.23', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6075499', '0', 'object/tangible/furniture/all/shared_frn_all_chair_wooden_s1.iff', '0', '-0.159318', '0', '0.987227', '5322.17', '-192', '6603.12', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6075500', '0', 'object/tangible/furniture/all/shared_frn_all_chair_wooden_s1.iff', '0', '0.95209', '0', '0.305817', '5338.89', '-192', '6597.83', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6075501', '0', 'object/tangible/furniture/all/shared_frn_all_chair_wooden_s1.iff', '0', '0.129634', '0', '0.991562', '5339.36', '-192', '6595.54', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6075502', '0', 'object/tangible/furniture/all/shared_frn_all_chair_wooden_s1.iff', '0', '0.864925', '0', '-0.501902', '5341.13', '-192', '6597.34', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6075508', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0', '0', '1', '5324.94', '-192', '6597.5', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6075509', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0', '0', '1', '5327.19', '-192', '6603.07', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6075510', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0', '0', '1', '5321.63', '-192', '6604.19', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6075511', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0', '0', '1', '5339.78', '-192', '6596.78', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6075523', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.92269', '0', '-0.385543', '5335.32', '-192', '6603.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6075524', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.924606', '0', '-0.380925', '5333.66', '-192', '6604.76', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6075525', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.924606', '0', '-0.380925', '5336.83', '-192', '6601.57', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6075526', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.380188', '0', '0.924909', '5332.58', '-192', '6606.31', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '6075527', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.380188', '0', '0.924909', '5338.53', '-192', '6600.38', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '6075528', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0', '0', '1', '5337.15', '-192', '6593.68', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '6075529', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0', '0', '1', '5326.75', '-192', '6593.66', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '6215383', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.707107', '0', '0.707107', '-5533.82', '-150', '-81.2271', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6335638', '0', 'object/building/general/shared_bunker_imperial_weapons_research_facility_01.iff', '0', '0', '0', '1', '-6505.89', '40', '-3326.55', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '6335639', '6335638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '6335640', '6335638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '6335641', '6335638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '6335642', '6335638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '6335643', '6335638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '895062', '6335643', 'object/tangible/hq_destructible/shared_security_terminal.iff', '0', '0.951507', '0', '0.307628', '-2.20984', '-12', '69.5749', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6335644', '6335638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '6335645', '6335638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '6335646', '6335638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '895063', '6335646', 'object/tangible/terminal/shared_terminal_hq.iff', '0', '0', '0', '1', '-54.534', '-20', '4.50888', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6335647', '6335638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '895058', '6335647', 'object/tangible/hq_destructible/shared_override_terminal.iff', '0', '0.953033', '0', '-0.302867', '-48.8282', '-20', '87.4537', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6335648', '6335638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '6335649', '6335638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '6335650', '6335638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '6335651', '6335638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '895061', '6335651', 'object/tangible/hq_destructible/shared_uplink_terminal.iff', '0', '0.883413', '0', '-0.468595', '41.7514', '-20', '144.657', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6335652', '6335638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '6335653', '6335638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '6335654', '6335638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '6335655', '6335638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '6335656', '6335638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '6335657', '6335638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '895060', '6335657', 'object/tangible/hq_destructible/shared_power_regulator.iff', '0', '1', '0', '-3.20013e-08', '-27.3938', '-20.4743', '107.678', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6335658', '6335638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '6335659', '6335638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '6335660', '6335638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '6335661', '0', 'object/static/structure/general/shared_poi_all_impl_corral_64x64_s01.iff', '0', '0', '0', '1', '-6505.86', '40', '-3314.6', '175', '1');
INSERT INTO `staticobjects` VALUES ('5', '6335662', '0', 'object/static/structure/general/shared_poi_all_impl_corral_32x32_s01.iff', '0', '0.707107', '0', '-0.707107', '-6489.33', '40', '-3284.65', '175', '1');
INSERT INTO `staticobjects` VALUES ('5', '6335671', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '0', '0', '1', '-6493.3', '40', '-3325.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6335672', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '0', '0', '1', '-6518.27', '40', '-3324.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6335673', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '1', '0', '0', '0.000796389', '-6505.89', '43.6074', '-3315.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6335675', '0', 'object/static/installation/shared_mockup_factory_machine_style_1.iff', '0', '1', '0', '3.20013e-08', '-6521.28', '40', '-3278.35', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '6335676', '0', 'object/static/structure/military/shared_military_wall_med_imperial_style_01.iff', '0', '-0.382683', '0', '0.92388', '-6508.66', '39.0093', '-3263.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6335677', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0', '0', '1', '-6505.49', '39.0652', '-3260.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '6335678', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_1.iff', '0', '0.770739', '0', '0.637151', '-6485.6', '40', '-3293.66', '256', '1');
INSERT INTO `staticobjects` VALUES ('5', '6335679', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_2.iff', '0', '-0.576959', '0', '0.816773', '-6487.86', '40', '-3292.71', '256', '1');
INSERT INTO `staticobjects` VALUES ('5', '6335682', '0', 'object/static/installation/shared_mockup_factory_item_style_1.iff', '0', '0.707107', '0', '-0.707107', '-6489.19', '40', '-3279.73', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '6335686', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '-0.707106', '0', '0.707107', '-6514.25', '40', '-3328.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6335687', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0.707106', '0', '0.707107', '-6497.62', '40', '-3328.34', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6335688', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s02.iff', '0', '0', '0', '1', '-6490.93', '40', '-3292.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '6335689', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0', '0', '1', '-6489.91', '40', '-3319.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '6335690', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0', '0', '1', '-6489.92', '40', '-3314.27', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '6335691', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0', '0', '1', '-6522.27', '40', '-3314.35', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '6335692', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0', '0', '1', '-6522.26', '40', '-3319.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '6335695', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '1', '0', '0', '0.000796', '-6513.81', '43.9275', '-3278.34', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6335696', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '0', '0', '1', '-6489.38', '40', '-3290.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6335700', '0', 'object/static/particle/shared_pt_smoke.iff', '0', '0', '0', '1', '-6523.18', '48.5485', '-3292.69', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '6335705', '0', 'object/static/particle/shared_pt_steam_rise.iff', '0', '0', '0', '1', '-6528.92', '48.5606', '-3287.57', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '6335714', '0', 'object/static/particle/shared_pt_smoke_large.iff', '0', '0', '0', '1', '-6485.62', '44.2622', '-3276.36', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336300', '0', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '-0.593178', '0', '0.805072', '-270.181', '12.9241', '2817.92', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336302', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s01.iff', '0', '-0.706826', '0', '0.707388', '-270.448', '12.913', '2819.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336320', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '-0.707106', '0', '0.707107', '5192.39', '-192', '6670.24', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336322', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0.707107', '0', '-0.707107', '5192.39', '-192', '6668.24', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336324', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '-0.707106', '0', '0.707107', '5191.61', '-192', '6678.22', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336326', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0.707107', '0', '-0.707107', '5191.77', '-192', '6666.27', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336328', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0.707107', '0', '0.707107', '5194.56', '-192', '6678.36', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336330', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0.707107', '0', '0.707107', '5194.58', '-192', '6666.26', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336332', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '-0.707106', '0', '0.707107', '5305.88', '-191.456', '6767.43', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336334', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0.707107', '0', '-0.707107', '5305.88', '-191.456', '6765.43', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336336', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0.707107', '0', '-0.707107', '5305.88', '-191.456', '6763.43', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336340', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0.957469', '0', '0.288538', '5001.88', '-192', '6668.74', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336342', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0.957469', '0', '0.288538', '5005.88', '-192', '6671.38', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336344', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0.957469', '0', '0.288538', '5009.81', '-192', '6674.05', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336346', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.461779', '0', '0.886995', '5002.01', '-192', '6665.28', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336350', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0.956014', '0', '0.293321', '5007.52', '-192', '6673.19', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336352', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.886995', '0', '-0.461779', '5013.14', '-192', '6672.49', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336354', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0.956014', '0', '0.293321', '5003.53', '-192', '6670.41', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336356', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0.92388', '0', '-0.382683', '5157.99', '-189.497', '6727.03', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336358', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0.382683', '0', '0.92388', '5142.15', '-189.598', '6711.21', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336360', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0.92388', '0', '0.382683', '5106.02', '-189.49', '6756.93', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336362', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0.92388', '0', '0.382683', '5118.82', '-189.56', '6769.61', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336364', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.382683', '0', '0.92388', '5108.5', '-189.497', '6752.07', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336366', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.92388', '0', '-0.382683', '5124.04', '-189.193', '6767.31', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336368', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0.938444', '0', '-0.345432', '-4868.28', '6.4111', '4186.19', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336370', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0.938444', '0', '-0.345432', '-4869.56', '6.37947', '4187.43', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336372', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0.941851', '0', '-0.33603', '-4871.1', '6.41722', '4188.42', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336374', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0.938444', '0', '-0.345432', '-4835.56', '6.39237', '4158.16', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336376', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0.938444', '0', '-0.345432', '-4834.04', '6.39237', '4157.17', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336378', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0.941851', '0', '-0.33603', '-4833.01', '6.39237', '4155.74', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336380', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0', '0', '1', '-5521', '6', '4197', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336382', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0', '0', '1', '-5524', '6', '4197', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336384', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0', '0', '1', '-5526', '6', '4197', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336386', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0', '0', '1', '-5470', '6', '4197', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336388', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0', '0', '1', '-5467', '6', '4197', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336390', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0', '0', '1', '-5464', '6', '4197', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336392', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0', '0', '1', '-5723.97', '6', '4251.74', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336394', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0', '0', '1', '-5726.97', '6', '4251.74', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336396', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0', '0', '1', '-5728.97', '6', '4251.74', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336398', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0', '0', '1', '-5693.78', '6', '4251.69', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336400', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0', '0', '1', '-5690.78', '6', '4251.69', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336402', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0', '0', '1', '-5687.78', '6', '4251.69', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336404', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0', '0', '1', '-5357.07', '6', '4154.93', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336406', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0', '0', '1', '-5382.08', '6', '4154.95', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336408', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0.707107', '0', '0.707107', '-5353.35', '6', '4396.86', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336410', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0.707106', '0', '0.707107', '-5353.51', '6', '4415.31', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336412', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0', '0', '1', '-5444.73', '6', '4135.41', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336414', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0', '0', '1', '-5468.83', '6', '4135.43', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336416', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0.903599', '0', '0.42838', '-5782.92', '6', '4401.7', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336418', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0.901446', '0', '0.432892', '-5784.33', '6', '4399.84', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336420', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0.903599', '0', '0.42838', '-5772.45', '6', '4414.01', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336422', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0.901446', '0', '0.432892', '-5770.64', '6', '4415.48', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336426', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0', '0', '1', '-5435.73', '6', '4029.56', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336428', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0', '0', '1', '-5438.03', '6', '4029.37', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336430', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0', '0', '1', '-5440.12', '6', '4029.43', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336432', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0', '0', '1', '-5468.56', '6', '4029.66', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336434', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0', '0', '1', '-5466.77', '6', '4029.46', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336436', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0', '0', '1', '-5464.36', '6', '4029.54', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336439', '0', 'object/static/structure/naboo/shared_poi_nboo_tent_small.iff', '0', '0', '0', '1', '-5538.18', '6', '4365.76', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336442', '0', 'object/tangible/furniture/elegant/shared_chest_s01.iff', '0', '1', '0', '-3.20013e-08', '-5539.65', '6', '4367.07', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336443', '0', 'object/tangible/furniture/elegant/shared_chest_s01.iff', '0', '1', '0', '0', '-5539.81', '6', '4364.16', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336444', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.963558', '0', '0.267499', '-5538.2', '6', '4367.98', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336446', '0', 'object/static/structure/naboo/shared_poi_nboo_tent_small.iff', '-0.0248052', '-0.416622', '-0.00587716', '0.908723', '-5033.73', '6.15764', '4093.19', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336460', '0', 'object/static/structure/naboo/shared_gungan_filler_building_s01.iff', '0', '0', '0', '1', '4759.57', '12.5442', '-3919.09', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336461', '0', 'object/static/structure/naboo/shared_gungan_statue_s01.iff', '0.40319', '0', '0', '0.915116', '4764.81', '12.5284', '-3907.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336462', '0', 'object/static/structure/naboo/shared_gungan_statue_s01.iff', '0', '0', '0', '1', '4753.73', '13.7055', '-3907.34', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336463', '0', 'object/static/structure/naboo/shared_gungan_statue_s02.iff', '0', '0', '0', '1', '4759.66', '28.394', '-3930.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336466', '0', 'object/static/structure/naboo/shared_gungan_cleft_wall_lg_s01.iff', '0', '0.384808', '0', '0.922997', '4747.48', '13.115', '-3897.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336468', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0', '-0.124675', '0.992198', '4751.1', '13.1621', '-3894.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336470', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s02.iff', '0', '-0.382683', '0', '0.92388', '4769.61', '13.7843', '-3898.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336471', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '-0.144501', '-0.395861', '0.310964', '0.851889', '4765.77', '13.4506', '-3896.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336472', '0', 'object/static/structure/naboo/shared_gungan_damaged_wall_lg_s01.iff', '0', '0', '0', '1', '4743.8', '13.3001', '-3906.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336473', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '-0.232843', '0', '0', '0.972514', '4744.97', '12.84', '-3901.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336474', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0', '0.17903', '0.983844', '4742.98', '13.2382', '-3911.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336476', '0', 'object/static/structure/naboo/shared_gungan_cleft_wall_lg_s01.iff', '0', '0', '0', '1', '4774.45', '14.364', '-3906.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336477', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '-0.146054', '-0.310237', '0.400116', '0.849899', '4773.72', '13.7575', '-3901.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336478', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0', '-0.5522', '0.833712', '4775.01', '13.771', '-3910.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336479', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s02.iff', '0', '-0.227978', '0', '0.973666', '4777.03', '14.5028', '-3907.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336480', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s01.iff', '0', '0.252245', '0', '0.967663', '4746.87', '13.322', '-3904.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336481', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s02.iff', '0', '0.479426', '0', '0.877583', '4749.44', '12.9578', '-3893.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336482', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0', '0', '1', '4752.1', '13.5363', '-3899.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336483', '0', 'object/static/item/shared_item_vibroaxe.iff', '-0.328769', '0', '0', '0.94441', '4751.76', '14.4964', '-3908.79', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336484', '0', 'object/static/item/shared_item_vibrolance.iff', '-0.484789', '0.514785', '0.514375', '0.485175', '4751.12', '13.6989', '-3906.82', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336485', '0', 'object/static/item/shared_item_wood_staff.iff', '0', '0', '-0.159318', '0.987227', '4752.79', '14.8077', '-3907.47', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336486', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0', '0', '1', '4767.82', '14.0905', '-3900.92', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336487', '0', 'object/static/structure/naboo/shared_gungan_shield_s01.iff', '0.124289', '0.70296', '-0.121925', '-0.689589', '4771.21', '14.0905', '-3908.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336488', '0', 'object/static/structure/naboo/shared_gungan_shield_gen_s01.iff', '0', '-0.223106', '0', '0.974794', '4776.43', '14.2501', '-3900.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336489', '0', 'object/static/flora/shared_flora_tree_lok_mkpud.iff', '0', '0', '0', '1', '4778.05', '14.422', '-3898.93', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336490', '0', 'object/static/flora/shared_flora_tree_lok_mkpud.iff', '0', '0', '0', '1', '4777.86', '14.4644', '-3902.73', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336496', '0', 'object/static/structure/general/shared_rock_mossy_big.iff', '0', '0', '0', '1', '4763.7', '11.3772', '-3837.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336498', '0', 'object/static/structure/general/shared_rock_mossy_big.iff', '0', '0.285952', '0', '0.958244', '4748', '11.0448', '-3843.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336499', '0', 'object/static/structure/general/shared_cave_wall_damprock_style_01.iff', '0', '0', '0', '1', '4755.28', '11.3245', '-3836.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336500', '0', 'object/static/structure/general/shared_cave_wall_damprock_style_01.iff', '0', '0.149438', '0', '0.988771', '4766.08', '11.3687', '-3845.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336501', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '-0.707106', '0', '0.707107', '4744.85', '10.2683', '-3835.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336502', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '0', '-0.328769', '0', '0.94441', '4751.21', '9.97588', '-3821.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336503', '0', 'object/building/endor/shared_endr_lake_rail8m.iff', '-0.34759', '0', '0', '0.937646', '4761.85', '10.2804', '-3816.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336505', '0', 'object/tangible/camp/shared_camp_tent_s3.iff', '0', '0.991008', '0', '0.133801', '4752.03', '10.7046', '-3828.28', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336506', '0', 'object/tangible/camp/shared_camp_tent_s2.iff', '0', '0.992809', '0', '0.119712', '4758.71', '10.5119', '-3821.38', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336507', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '0.628793', '0', '0.777573', '4756.11', '10.655', '-3829.59', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336508', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '0.792563', '0', '-0.609791', '4754.76', '10.4579', '-3825.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336522', '0', 'object/static/structure/general/shared_atat_destroyed.iff', '0', '-0.483807', '0', '0.875175', '4778.97', '11.3899', '-3823.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336523', '0', 'object/tangible/camp/shared_camp_tent_s5.iff', '-0.00080142', '0.820054', '-0.0960004', '-0.564176', '4768.86', '8.56538', '-3818.08', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336525', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_2.iff', '0.119712', '0', '0', '0.992809', '4772.3', '9.35372', '-3818.77', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336527', '0', 'object/static/particle/shared_pt_poi_electricity_2x2.iff', '0', '0', '0', '1', '4770.38', '10.7587', '-3815.9', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336528', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0', '0', '1', '1875.08', '12', '2598.45', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336530', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '1', '0', '-3.20013e-08', '1875.01', '12', '2629.54', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336532', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0.632981', '0', '0.774167', '1445.6', '13', '2783.27', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336534', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0.774167', '0', '0.632982', '1445.07', '13.0043', '2757.89', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336536', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0.764586', '0', '0.644522', '1444.31', '13', '2755.92', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336538', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0.652137', '0', '0.758101', '1444.95', '13.022', '2784.87', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336540', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0.929516', '0', '-0.368783', '1701.38', '12', '2602.3', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336543', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '-0.396499', '0', '0.918035', '1701.39', '12', '2626.11', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336545', '0', 'object/static/particle/shared_particle_smoke.iff', '0', '0', '0', '1', '4783.69', '11.7131', '-3826.4', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336546', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '1', '0', '-3.20013e-08', '1800.21', '12', '2532.19', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336548', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '1', '0', '-3.20013e-08', '1802.31', '12', '2532.08', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336550', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '1', '0', '-7.41481e-08', '1773.82', '12', '2532.2', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336552', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '1', '0', '-7.41481e-08', '1771.61', '12', '2531.88', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336554', '0', 'object/static/particle/shared_particle_smoke.iff', '0', '0', '0', '1', '4769.01', '11.0846', '-3819.9', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336555', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0.707106', '0', '0.707107', '1699.72', '12', '2702.57', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336557', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0.707107', '0', '0.707107', '1699.82', '12', '2711.54', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336559', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0.707107', '0', '0.707107', '1697.2', '12', '2716.11', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336561', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0.707107', '0', '0.707107', '1697.21', '12', '2718.24', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336563', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0.707107', '0', '0.707107', '1697.31', '12', '2698.79', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336565', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0.707107', '0', '0.707107', '1697.64', '12', '2696.6', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336567', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0.807558', '0.589788', '4778.78', '13.2333', '-3825.58', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336568', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0.724287', '0.689499', '4778.5', '11.5047', '-3826.46', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336569', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '-0.139543', '0.990216', '4778.21', '11.4187', '-3825.94', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336570', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0', '0', '1', '1689.59', '12.5791', '2568.39', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336572', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0', '0', '1', '1687.59', '12.5791', '2568.39', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336574', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0', '0', '1', '1685.59', '12.5791', '2568.39', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336576', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0.342898', '0', '0.939373', '4773.68', '11.0937', '-3822.01', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336577', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '1', '0', '-3.20013e-08', '2118.65', '30', '2476.37', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336579', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '1', '0', '-3.20013e-08', '2119.76', '30', '2476.31', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336581', '0', 'object/static/item/shared_armor_imp_chestplate.iff', '0.625288', '-0.231798', '-0.259015', '-0.69871', '4774.67', '11.079', '-3820.85', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336583', '0', 'object/static/item/shared_item_carbine_imperial_e11.iff', '0', '0', '0.717356', '-0.696707', '4774.89', '11.2321', '-3824.74', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336584', '0', 'object/static/item/shared_item_carbine_imperial_e11.iff', '-0.0369435', '-0.053425', '-0.567561', '0.820765', '4776.09', '12.4866', '-3824.03', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336587', '0', 'object/static/item/shared_item_container_energy_gas.iff', '-0.696135', '0', '0', '0.717911', '4775.86', '11.5518', '-3824.99', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336588', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0', '0', '1', '1576.58', '25', '2825.01', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336589', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.0749297', '0', '0.997189', '1575.46', '25', '2825.45', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336590', '0', 'object/static/item/shared_item_container_energy_gas.iff', '0.647894', '0.067376', '0.0866704', '0.753779', '4777.19', '12.9893', '-3824.62', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336593', '0', 'object/static/item/shared_item_container_inorganic_chemicals.iff', '0', '0', '0', '1', '1575.49', '25.8854', '2825.3', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336594', '0', 'object/static/item/shared_item_container_inorganic_chemicals.iff', '0', '-0.188859', '0', '0.982004', '1574.61', '25', '2824.82', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336595', '0', 'object/static/item/shared_item_container_weapons.iff', '0', '0.999942', '0', '-0.0107962', '4761.58', '10.9577', '-3831.98', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336597', '0', 'object/static/item/shared_item_carbine_imperial_e11.iff', '0', '0', '0.717356', '0.696707', '4761.55', '11.7171', '-3832', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336598', '0', 'object/static/structure/general/shared_camp_tent_s01.iff', '0', '-0.37092', '0', '0.928665', '2000.82', '12', '2535.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336599', '0', 'object/static/structure/general/shared_camp_stool_short_s01.iff', '0', '0', '0', '1', '2001.25', '12', '2538.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336604', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '4762.42', '11.0243', '-3833.59', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336605', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.859862', '0', '-0.510526', '4763.16', '11.0487', '-3832.91', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336606', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0', '0', '1', '4792.7', '3.75', '-4967.36', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336608', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0', '0', '1', '4790.73', '3.75', '-4967.32', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336610', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0', '0', '1', '4788.99', '3.75', '-4967.11', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336612', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0', '0', '1', '4817.63', '3.75', '-4967.19', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336614', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0', '0', '1', '4819.36', '3.75', '-4967.31', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336616', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0', '0', '1', '4821.4', '3.75', '-4966.94', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336618', '0', 'object/tangible/camp/shared_camp_tent_s2.iff', '0', '0.976977', '0', '-0.213348', '4762.86', '10.6682', '-3821.63', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336619', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '-0.707106', '0', '0.707107', '4732.75', '6.26', '-4960.33', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336621', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0.707106', '0', '0.707107', '4711.07', '6.26', '-4960.32', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336623', '0', 'object/tangible/camp/shared_camp_tent_s2.iff', '0', '-0.219007', '0', '0.975723', '4769.33', '11.381', '-3835.21', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336624', '0', 'object/building/endor/shared_endr_lake_rail8m.iff', '0', '-0.518418', '0', '0.855127', '4772.72', '11.5006', '-3838.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336625', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '-0.707106', '0', '0.707107', '4694.23', '3.75', '-4911.69', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336627', '0', 'object/static/item/shared_item_container_energy_gas.iff', '0', '0', '0', '1', '4769.24', '11.4978', '-3839.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336628', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '-0.707106', '0', '0.707107', '4693.84', '3.75', '-4875.75', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336630', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '4769.16', '11.4872', '-3840.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336631', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '4768.74', '11.4645', '-3838.5', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336632', '0', 'object/static/item/shared_item_container_energy_solid.iff', '0', '0', '0', '1', '4768.23', '11.4106', '-3838.9', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336633', '0', 'object/static/item/shared_item_container_energy_solid.iff', '0', '0', '0', '1', '4770.17', '11.4572', '-3838.33', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336634', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0', '0', '1', '4767.62', '11.3599', '-3837.99', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336635', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0', '0', '1', '4768.79', '11.3828', '-3840.21', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336636', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0.707106', '0', '0.707107', '4678.56', '3.75', '-4875.76', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336638', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '1', '0', '-3.20013e-08', '4677.14', '3.75', '-4877.27', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336640', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0.707107', '0', '0.707107', '4679.04', '3.75', '-4911.88', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336642', '0', 'object/static/item/shared_item_container_weapons.iff', '0', '-0.42594', '0', '0.904752', '4755.54', '10.4133', '-3823.25', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336643', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0', '0', '1', '4677.69', '3.75', '-4910.66', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336645', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0.993868', '0', '-0.11057', '4770.69', '14.2529', '-3904.12', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336647', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0.885745', '0', '0.464172', '4792.05', '4.17', '-4704.76', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336651', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0', '0', '1', '4770.74', '14.175', '-3900.6', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336652', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0', '0', '1', '4773.06', '14.3861', '-3907.72', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336653', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0.885745', '0', '0.464172', '4802.25', '4.17', '-4689.65', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336655', '0', 'object/static/item/shared_armor_imp_helmet.iff', '0', '0', '0', '1', '4769.75', '12.6621', '-3902.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336658', '0', 'object/static/item/shared_armor_imp_chestplate.iff', '0.0537074', '0.729641', '0.680147', '-0.0462675', '4770.45', '14.214', '-3905.69', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336659', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0.933157', '0', '-0.359469', '4907.62', '3.75', '-4824.9', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336663', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0.933157', '0', '-0.359469', '4884.42', '3.75', '-4804.11', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336665', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '-0.247404', '0', '0', '0.968912', '4751.62', '10.8514', '-3860.33', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336666', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0.927205', '-0.135504', '0.214249', '0.27573', '4768.07', '10.8663', '-3856.26', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336667', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0.237703', '0', '0', '0.971338', '4771.43', '11.7193', '-3866.17', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336668', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0', '0', '1', '4769.22', '13.2149', '-3876.54', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336670', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0.932039', '0', '-0.362358', '4744.21', '12.2987', '-3877.28', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336671', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0.609154', '0.00256061', '0.793041', '-0.00333358', '4783.14', '13.3401', '-3870.36', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336672', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0.180955', '0.734482', '-0.215185', '0.617646', '4781.64', '10.3639', '-3851.77', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336673', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0', '0', '1', '4775.98', '11.9132', '-3851.42', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336674', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0.913245', '-0.0175398', '-0.406958', '0.00781599', '4777.89', '13.4626', '-3876.19', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336676', '0', 'object/static/structure/general/shared_camp_stool_short_s01.iff', '0', '0', '0', '1', '4762.35', '3.74362', '-4900.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336677', '0', 'object/static/structure/general/shared_camp_tent_s01.iff', '0', '0.670588', '0', '0.74183', '4760.44', '3.74472', '-4899.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336678', '0', 'object/static/item/shared_item_carbine_imperial_e11.iff', '0', '0', '0.644218', '0.764842', '4783.24', '13.3481', '-3871.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336679', '0', 'object/static/item/shared_armor_imp_chestplate.iff', '-0.685288', '0', '0', '0.728272', '4775.97', '11.9491', '-3849.88', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336680', '0', 'object/static/item/shared_item_vibroaxe.iff', '-0.452886', '0', '0', '0.891568', '4770.98', '11.2644', '-3865.72', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336681', '0', 'object/static/item/shared_item_wood_staff.iff', '0', '0', '0.70328', '0.710913', '4744.03', '12.3585', '-3878.58', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336682', '0', 'object/soundobject/shared_soundobject_sparks.iff', '0', '0', '0', '1', '4770.27', '10.6763', '-3814.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336684', '0', 'object/tangible/camp/shared_camp_light_s1.iff', '0', '0', '0', '1', '4767.28', '13.8778', '-3894.14', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336685', '0', 'object/tangible/camp/shared_camp_light_s1.iff', '0', '0', '0', '1', '4750.46', '13.1666', '-3890.95', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336686', '0', 'object/tangible/camp/shared_camp_light_s1.iff', '0', '0', '0', '1', '4742.68', '13.2085', '-3900.23', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336687', '0', 'object/tangible/camp/shared_camp_light_s1.iff', '0', '0', '0', '1', '4761.63', '28.4004', '-3916.65', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336688', '0', 'object/tangible/camp/shared_camp_light_s1.iff', '0', '0', '0', '1', '4757.64', '28.4516', '-3916.65', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336690', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '4760.29', '7.54331', '-3827.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336691', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '4783.77', '7.83618', '-3829.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336692', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0', '0', '1', '4759.68', '25.3018', '-3917.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336693', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0', '0', '1', '4759.86', '9.07847', '-3893.52', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336694', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0', '0', '1', '4730.89', '330', '-1317.57', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336696', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '1', '0', '-3.20013e-08', '4731.08', '330', '-1320.31', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336698', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0', '0', '1', '4723.96', '330', '-1328.23', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336700', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0', '0', '1', '4738.54', '330', '-1328.25', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336702', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0.999888', '0', '-0.0149995', '4915.97', '360', '-1397.07', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336704', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0.999988', '0', '-0.00499953', '4907.46', '360', '-1397.04', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336706', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0.707106', '0', '0.707107', '4947.76', '360.569', '-1474.57', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336708', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0.707106', '0', '0.707107', '4947.76', '360.569', '-1472.57', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336712', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0', '0', '1', '4915.86', '360.579', '-1444.64', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336714', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0', '0', '1', '4913.86', '360.579', '-1444.64', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336716', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '1', '0', '-3.48103e-07', '4912.03', '360.582', '-1501.34', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336718', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '1', '0', '-3.48103e-07', '4914.03', '360.582', '-1501.34', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336787', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0.309075', '-0.35406', '0.125244', '0.873744', '-1513.59', '277.715', '-1709.54', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336788', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0.252337', '-0.391881', '0.112687', '0.877529', '-1525.93', '277.648', '-1719.28', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '6336789', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0.160461', '0.691647', '0.161945', '-0.68531', '-1510.76', '278', '-1746.96', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '6645407', '0', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-5488.83', '6', '4083.2', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '6645417', '0', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-5514.27', '6', '4279.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '6645788', '0', 'object/static/structure/naboo/shared_seawall_rocks_naboo_theed_style_1.iff', '0', '0.9001', '0', '0.435683', '-5380.6', '-0.135956', '3998.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6645817', '0', 'object/static/naboo/shared_waterfall_all_thin_forked.iff', '0.000150174', '0.988771', '0.149437', '-0.000539421', '1788.55', '-0.388112', '2792.3', '256', '1');
INSERT INTO `staticobjects` VALUES ('5', '6645818', '0', 'object/static/naboo/shared_waterfall_all_thin_forked.iff', '0.00015', '0.988771', '0.149437', '-0.000539', '1789.04', '1.19662', '2791.99', '256', '1');
INSERT INTO `staticobjects` VALUES ('5', '6645819', '0', 'object/static/naboo/shared_waterfall_all_thin_forked.iff', '0.00015', '0.988771', '0.149437', '-0.000539', '1786.45', '1.52648', '2791.33', '256', '1');
INSERT INTO `staticobjects` VALUES ('5', '6645820', '0', 'object/static/naboo/shared_waterfall_all_thin_forked.iff', '0.00015', '0.988771', '0.149437', '-0.000539', '1785.97', '0.615961', '2791.64', '256', '1');
INSERT INTO `staticobjects` VALUES ('5', '6645821', '0', 'object/static/naboo/shared_waterfall_all_thin_forked.iff', '0.00015', '0.988771', '0.149437', '-0.000539', '1791.58', '0.582758', '2791.38', '256', '1');
INSERT INTO `staticobjects` VALUES ('5', '6645822', '0', 'object/static/naboo/shared_waterfall_all_thin_forked.iff', '0.00015', '0.988771', '0.149437', '-0.000539', '1793.38', '1.16342', '2791.73', '256', '1');
INSERT INTO `staticobjects` VALUES ('5', '6645823', '0', 'object/static/naboo/shared_waterfall_all_thin_forked.iff', '0.00015', '0.988771', '0.149437', '-0.000539', '1791.43', '1.55537', '2791.07', '256', '1');
INSERT INTO `staticobjects` VALUES ('5', '6645824', '0', 'object/static/naboo/shared_waterfall_all_thin_forked.iff', '0.00015', '0.988771', '0.149437', '-0.000539', '1793.53', '-0.421313', '2792.04', '256', '1');
INSERT INTO `staticobjects` VALUES ('5', '6645825', '0', 'object/static/naboo/shared_waterfall_all_thin_forked.iff', '0.00015', '0.988771', '0.149437', '-0.000539', '1787.12', '0.684211', '2792.11', '256', '1');
INSERT INTO `staticobjects` VALUES ('5', '6645826', '0', 'object/static/naboo/shared_waterfall_all_thin_forked.iff', '0.00015', '0.988771', '0.149437', '-0.000539', '1784.75', '1.38743', '2791.57', '256', '1');
INSERT INTO `staticobjects` VALUES ('5', '6645827', '0', 'object/static/naboo/shared_waterfall_naboo_keren.iff', '0', '-0.707106', '0', '0.707107', '1983.68', '29.1048', '2695.27', '256', '1');
INSERT INTO `staticobjects` VALUES ('5', '6645828', '0', 'object/static/naboo/shared_waterfall_naboo_keren.iff', '0', '0.9998', '0', '-0.0199982', '2046.28', '38.5491', '2788.85', '256', '1');
INSERT INTO `staticobjects` VALUES ('5', '6645829', '0', 'object/static/naboo/shared_waterfall_naboo_keren.iff', '0', '0.994206', '0', '-0.107491', '1651.78', '38.9323', '2782.29', '256', '1');
INSERT INTO `staticobjects` VALUES ('5', '6645830', '0', 'object/static/naboo/shared_waterfall_mist_lg.iff', '0', '0', '0', '1', '1650.36', '21.4263', '2775.52', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6645831', '0', 'object/static/naboo/shared_waterfall_mist_lg.iff', '0', '0', '0', '1', '1787.97', '9.13905', '2796.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6645832', '0', 'object/static/naboo/shared_waterfall_mist_lg.iff', '0', '0', '0', '1', '1978.96', '8.34547', '2695.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6645833', '0', 'object/static/naboo/shared_waterfall_mist_lg.iff', '0', '0', '0', '1', '2044.67', '29.2058', '2786.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6645834', '0', 'object/static/naboo/shared_waterfall_mist_lg.iff', '0', '0', '0', '1', '1788.05', '1.69823', '2447.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6645865', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '-0.183946', '0', '0.982936', '-3976.6', '-135.465', '4388.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6685364', '0', 'object/static/item/shared_item_tool_droid_toolkit.iff', '0', '0.833272', '0', '0.552863', '5189.51', '-192', '6696.79', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '6695352', '0', 'object/static/structure/naboo/shared_bridge_stairs_s03.iff', '0', '0.34543', '0', '0.938444', '-4785.96', '5.9005', '4110.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6695353', '0', 'object/static/structure/naboo/shared_enclosed_walkway_s02.iff', '0', '0.938444', '0', '-0.345432', '-4776.02', '5.8839', '4101.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6695354', '0', 'object/static/structure/naboo/shared_enclosed_walkway_s02.iff', '0', '0.345433', '0', '0.938443', '-4763.06', '5.94048', '4090.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6695355', '0', 'object/static/structure/naboo/shared_enclosed_walkway_s02.iff', '0', '0.345433', '0', '0.938443', '-4750.09', '5.92777', '4079.66', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6695356', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0.345433', '0', '0.938444', '-4756.57', '5.92777', '4085.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6695357', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0.345433', '0', '0.938444', '-4769.52', '5.91662', '4096.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6695358', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0.345433', '0', '0.938444', '-4782.52', '5.9005', '4107.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6695359', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0.345433', '0', '0.938444', '-4743.56', '5.92777', '4074.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6695360', '0', 'object/static/structure/naboo/shared_enclosed_walkway_s02.iff', '0', '0.345433', '0', '0.938444', '-4711.05', '5.9639', '4046.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6695361', '0', 'object/static/structure/naboo/shared_enclosed_walkway_s02.iff', '0', '0.938444', '0', '-0.345433', '-4724.02', '5.92471', '4057.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6695362', '0', 'object/static/structure/naboo/shared_enclosed_walkway_s02.iff', '0', '0.938444', '0', '-0.345433', '-4736.98', '5.92777', '4068.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6695363', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0.938444', '0', '-0.345432', '-4730.51', '5.92715', '4062.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6695364', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0.938444', '0', '-0.345432', '-4717.55', '5.89722', '4051.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6695365', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0.938444', '0', '-0.345432', '-4704.55', '5.89607', '4040.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6695366', '0', 'object/static/structure/naboo/shared_bridge_stairs_s02.iff', '0', '0.937369', '0', '-0.348337', '-4701.15', '5.8778', '4037.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '6695393', '0', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-5023.71', '6', '4096.68', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '6695397', '0', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-5121.58', '6', '4169.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '6695406', '0', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-5352.02', '6', '4199.62', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '6695411', '0', 'object/soundobject/shared_soundobject_city_crowd_sentients_large.iff', '0', '0', '0', '1', '4740.27', '3.75', '-4934.72', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '6695413', '0', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '4905.17', '3.75', '-4963.77', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '6695417', '0', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '4800', '4.17', '-4694.81', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '6695420', '0', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '4669.15', '4.17', '-4592.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '6695421', '0', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '4744', '3.75', '-4881.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '6695426', '0', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '4960.4', '3.75', '-4866.63', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '6695483', '0', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '4662.95', '4.22563', '-4699.55', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '6695486', '0', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-4658.52', '6', '4029.66', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '6695487', '0', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-4627.15', '6', '4083.16', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '6695488', '0', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '5004.42', '3.75', '-4931.55', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '6695493', '0', 'object/soundobject/shared_soundobject_cantina_small.iff', '0', '0', '0', '1', '5374.07', '-192', '6732.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '6695495', '0', 'object/soundobject/shared_soundobject_city_crowd_sentients_large.iff', '0', '0', '0', '1', '5376.09', '-192', '6648.24', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '6695496', '0', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '4814.44', '3.75', '-4828.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '6695505', '0', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '4895.12', '3.75', '-4814.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '6845369', '0', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '1957.91', '12', '2403.44', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '6845371', '0', 'object/soundobject/shared_soundobject_city_crowd_sentients_large.iff', '0', '0', '0', '1', '1972.17', '12', '2486.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '6845373', '0', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '2016.19', '12', '2565.42', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '6845379', '0', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '1842.69', '12', '2698.24', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '6845381', '0', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '1884.72', '12', '2729.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '6845382', '0', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '1788', '12', '2715.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '6845385', '0', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '1680.47', '12', '2626', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '6845391', '0', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '1436.87', '13', '2771.21', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '6875352', '0', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '1726.95', '12', '2487.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '6875353', '0', 'object/soundobject/shared_soundobject_city_crowd_sentients.iff', '0', '0', '0', '1', '5077.78', '-192', '6709', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '6875358', '0', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '1251.42', '13', '2718.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '6875359', '0', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '1269.82', '13', '2766.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '6875363', '0', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '1561.4', '25', '2838.36', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '6875364', '0', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '1811.44', '12', '2775.05', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '6875365', '0', 'object/soundobject/shared_soundobject_city_crowd_sentients.iff', '0', '0', '0', '1', '5189.62', '-192', '6669.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '6875367', '0', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '1950.85', '12', '2738.37', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '6875368', '0', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '4975.74', '-192', '6769.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '6875369', '0', 'object/soundobject/shared_soundobject_cantina_medium.iff', '0', '0', '0', '1', '4979.71', '-192', '6812.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '6875371', '0', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '-5520.02', '-150', '-94.5933', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '6875372', '0', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '-5491.49', '-150', '-54.4349', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '6875373', '0', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-5479.38', '-150', '9.71138', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '6875380', '0', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '5134.79', '350', '-1467.76', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '6875387', '0', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '5350.53', '326.984', '-1551.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '6875402', '0', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '4876.41', '360', '-1515.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '6875408', '0', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '4689.56', '330', '-1390.8', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '6875419', '0', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '4731.87', '330', '-1309.73', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '6905359', '0', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '4906.88', '360', '-1422.39', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '6905367', '0', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '5023.22', '360', '-1447.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '6905373', '0', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '5159.81', '350', '-1396.63', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '7005401', '0', 'object/static/naboo/shared_waterfall_200m.iff', '0', '0', '0', '1', '5178.67', '389.906', '-1646.76', '256', '1');
INSERT INTO `staticobjects` VALUES ('5', '7085352', '0', 'object/static/naboo/shared_waterfall_200m.iff', '0.00668653', '-0.421423', '-0.00240596', '0.906837', '-5783.16', '7.65096', '4502.01', '256', '1');
INSERT INTO `staticobjects` VALUES ('5', '7085353', '0', 'object/static/naboo/shared_waterfall_200m.iff', '0', '-0.342898', '0', '0.939373', '-5857.03', '8.01628', '4422.01', '256', '1');
INSERT INTO `staticobjects` VALUES ('5', '7085354', '0', 'object/static/naboo/shared_waterfall_200m.iff', '-3.14882e-10', '-0.144492', '-5.973e-10', '0.989506', '-6087.15', '7.97748', '4337.34', '256', '1');
INSERT INTO `staticobjects` VALUES ('5', '7085355', '0', 'object/static/naboo/shared_waterfall_200m.iff', '0', '-0.059964', '0', '0.998201', '-6146.83', '7.93079', '4341.1', '256', '1');
INSERT INTO `staticobjects` VALUES ('5', '7085356', '0', 'object/static/naboo/shared_waterfall_200m.iff', '0', '0', '0', '1', '-5765.75', '0.710781', '4487.64', '256', '1');
INSERT INTO `staticobjects` VALUES ('5', '7085357', '0', 'object/static/naboo/shared_waterfall_200m.iff', '0', '0.0399893', '0', '0.9992', '-5290.92', '7.53422', '4649.3', '256', '1');
INSERT INTO `staticobjects` VALUES ('5', '7085358', '0', 'object/static/naboo/shared_waterfall_200m.iff', '0', '0.0848976', '0', '0.99639', '-5209.19', '8.4422', '4642.16', '256', '1');
INSERT INTO `staticobjects` VALUES ('5', '7085359', '0', 'object/static/naboo/shared_waterfall_200m.iff', '-0.00104144', '0.0898942', '0.000130859', '0.995951', '-5128.93', '7.59539', '4617.58', '256', '1');
INSERT INTO `staticobjects` VALUES ('5', '7085360', '0', 'object/static/naboo/shared_waterfall_200m.iff', '-0.00186196', '0.347383', '-0.00270944', '0.937718', '-4654.83', '8.09724', '4237.46', '256', '1');
INSERT INTO `staticobjects` VALUES ('5', '7085361', '0', 'object/static/naboo/shared_waterfall_200m.iff', '0', '0.252245', '0', '0.967663', '-4639.43', '8.03524', '4228.69', '256', '1');
INSERT INTO `staticobjects` VALUES ('5', '7085363', '0', 'object/static/naboo/shared_waterfall_200m.iff', '0', '0.375559', '0', '0.926798', '5186.74', '331.504', '-1583.02', '256', '1');
INSERT INTO `staticobjects` VALUES ('5', '7245357', '0', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '1837.33', '12', '2652.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '7245376', '0', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '1710.27', '12', '2710.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '7265357', '0', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-5386.55', '6', '4026.2', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '7265371', '0', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '-5390.52', '6', '4163.87', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '7345381', '0', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '-5574.38', '-150', '-44.6009', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '7345424', '0', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '1671.72', '40', '2954.25', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '7345445', '0', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '1826.61', '12', '2568.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '7525395', '0', 'object/tangible/jedi/shared_force_shrine_stone.iff', '0', '0.707107', '0', '0.707107', '7182.27', '329.573', '-237.993', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '7525415', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0.7071', '0', '0.707113', '7177.85', '329.653', '-239.59', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '7525435', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0', '0', '1', '7186.54', '329.66', '-239.556', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '7525436', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '1', '0', '0', '7181.31', '329.645', '-239.601', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '7525437', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '0', '0', '1', '7183.1', '329.643', '-239.649', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '7525438', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_altar.iff', '0', '0', '0', '1', '7182.22', '311.692', '-239.59', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '7525439', '0', 'object/static/particle/shared_pt_poi_electricity_2x2.iff', '0', '0', '0', '1', '7182.28', '331.354', '-237.996', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '7525440', '0', 'object/tangible/jedi/shared_force_shrine_stone.iff', '0', '0.707107', '0', '0.707107', '-6859.1', '474.663', '-1940.5', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '7525441', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0.707098', '0', '0.707115', '-6863.52', '475.779', '-1942.09', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '7525442', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0', '0', '1', '-6854.83', '475.779', '-1942.06', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '7525443', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '1', '0', '0', '-6860.07', '475.779', '-1942.1', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '7525444', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '0', '0', '1', '-6858.27', '475.769', '-1942.15', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '7525445', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_altar.iff', '0', '0', '0', '1', '-6859.16', '457.826', '-1942.09', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '7525446', '0', 'object/static/particle/shared_pt_poi_electricity_2x2.iff', '0', '0', '0', '1', '-6859.09', '475.874', '-1940.5', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '7525447', '0', 'object/tangible/jedi/shared_force_shrine_stone.iff', '0', '0.707107', '0', '0.707107', '2377.96', '292.474', '-476.984', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '7525448', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0.7071', '0', '0.707113', '2373.54', '293.162', '-478.581', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '7525449', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0', '0', '1', '2382.23', '293.163', '-478.547', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '7525450', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '1', '0', '0', '2377', '293.154', '-478.593', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '7525451', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '0', '0', '1', '2378.79', '293.146', '-478.64', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '7525452', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_altar.iff', '0', '0', '0', '1', '2377.91', '275.199', '-478.582', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '7525453', '0', 'object/static/particle/shared_pt_poi_electricity_2x2.iff', '0', '0', '0', '1', '2377.97', '293.153', '-476.988', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '7525454', '0', 'object/tangible/jedi/shared_force_shrine_stone.iff', '0', '0.707107', '0', '0.707107', '-2582.68', '3.5139', '-6187.62', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '7525455', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0.707099', '0', '0.707114', '-2587.1', '4.33731', '-6189.21', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '7525456', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0', '0', '1', '-2578.41', '4.33731', '-6189.18', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '7525457', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '1', '0', '0', '-2583.64', '4.33731', '-6189.23', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '7525458', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '0', '0', '1', '-2581.85', '4.3273', '-6189.27', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '7525459', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_altar.iff', '0', '0', '0', '1', '-2582.73', '-13.6163', '-6189.21', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '7525460', '0', 'object/static/particle/shared_pt_poi_electricity_2x2.iff', '0', '0', '0', '1', '-2582.67', '4.33731', '-6187.62', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '7596562', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.92269', '0', '-0.385543', '5184.59', '-192', '6808.48', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '7596563', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.969944', '0', '-0.243329', '5184.91', '-192', '6808.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '7596564', '0', 'object/tangible/terminal/shared_terminal_mission_imperial.iff', '0', '0.929955', '0', '0.367673', '5212.52', '-192', '6718.95', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '7596566', '0', 'object/tangible/terminal/shared_terminal_mission_imperial.iff', '0', '0.932615', '0', '0.360873', '5213.88', '-192', '6720.16', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '7605392', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0', '-0.452886', '0.891568', '3669.41', '4.41878', '2538.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '7605393', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s02.iff', '0', '-0.40319', '0', '0.915116', '3670.96', '4.66582', '2539.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '7605398', '0', 'object/static/structure/general/shared_gravestone_generic_style_01.iff', '0.0366037', '0.919644', '0.380929', '-0.0883692', '3670.63', '3.75096', '2544.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '7605399', '0', 'object/static/structure/general/shared_gravestone_generic_style_01.iff', '0', '0.995881', '0', '-0.090672', '3669.74', '3.70191', '2545.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '7605400', '0', 'object/static/structure/general/shared_gravestone_generic_style_01.iff', '0.562308', '0.813168', '-0.0854428', '-0.123561', '3671.41', '3.9436', '2544.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '7605411', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0', '0', '1', '3963.78', '10.2755', '2782.01', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '7605412', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.416871', '0', '0.908966', '3943.04', '6.01992', '2701.62', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '7605415', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.685288', '0', '0.728272', '3943.04', '6.15239', '2701.37', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '7605417', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0', '-0.15438', '0.988012', '3943.02', '6.16394', '2701.63', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '7605418', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.8699', '0', '0.493228', '3943.06', '6.00909', '2701.37', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '7605419', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.942489', '0', '-0.334238', '3943.03', '6.0074', '2701.38', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '7605424', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.261909', '0', '0.965092', '3943.18', '6.19185', '2701.62', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '7605425', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0', '0', '1', '3943.19', '6.03518', '2701.61', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '7605427', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0.152389', '0.975266', '-0.0247169', '0.158185', '3943.22', '6.02311', '2701.37', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '7605428', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '-0.0687981', '0.829615', '-0.089976', '0.546726', '3943.22', '6.14241', '2701.38', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '7605429', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0', '-0.624897', '0.780707', '3943', '6.42116', '2701.6', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '7605430', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0.063864', '0.406762', '-0.0285199', '0.910853', '3943.2', '6.279', '2701.39', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '7605431', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0.859862', '0', '-0.510526', '3943.15', '4.49158', '2701.48', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '7605432', '0', 'object/static/structure/general/shared_skeleton_bith_head.iff', '0', '-0.572867', '0', '0.819648', '3941.79', '5.96426', '2702.01', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '7605433', '0', 'object/static/structure/general/shared_skeleton_bith_head.iff', '0', '0.859862', '0', '-0.510526', '3941.77', '5.90649', '2700.69', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '7605434', '0', 'object/static/structure/general/shared_skeleton_bith_head.iff', '0', '0.994409', '0', '0.105599', '3943.14', '5.97261', '2699.95', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '7605435', '0', 'object/static/structure/general/shared_skeleton_bith_head.iff', '0', '0.819192', '0', '0.57352', '3944.62', '6.06173', '2700.65', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '7605436', '0', 'object/static/structure/general/shared_skeleton_bith_head.iff', '0', '0.526943', '0', '0.8499', '3944.6', '6.14034', '2702', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '7605437', '0', 'object/static/structure/general/shared_skeleton_bith_head.iff', '0', '0', '0', '1', '3943.17', '6.0763', '2703', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '7605439', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0', '0', '1', '4132.73', '6.79792', '2911.1', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '7605459', '0', 'object/static/structure/naboo/shared_gungan_damaged_narrow_arch_s01.iff', '0', '0', '0.333487', '0.942755', '4132.89', '6.16332', '2910.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '7605461', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '-0.0104402', '-0.0590482', '0.173795', '0.982955', '4129.89', '6.44643', '2908.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '7605462', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s02.iff', '0', '-0.501213', '0', '0.865324', '4132.18', '6.7062', '2910.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '7605464', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0', '0', '0', '1', '4129.97', '5.38065', '2910.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '7605497', '0', 'object/static/structure/naboo/shared_garden_gazebo_sml_s01.iff', '-0.0689257', '0.292276', '-0.142541', '0.943136', '5867.08', '39.8673', '3056', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825359', '0', 'object/static/structure/general/shared_campfire_ash.iff', '-0.0894594', '-0.00342082', '0.0380574', '0.995257', '5867.16', '39.3607', '3056.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825375', '0', 'object/static/flora/shared_flora_tree_lok_mkpud.iff', '0', '0', '-0.663136', '0.748499', '5870.25', '47.2922', '3052.52', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825376', '0', 'object/static/flora/shared_flora_tree_lok_mkpud.iff', '0', '0', '0.994924', '0.100626', '5868.33', '48.1792', '3053.24', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825377', '0', 'object/static/flora/shared_flora_tree_lok_mkpud.iff', '0', '0', '0.632673', '0.774419', '5867.35', '48.1238', '3052.28', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825381', '0', 'object/static/flora/shared_flora_tree_lok_mkpud.iff', '0', '0', '-0.252246', '0.967663', '5866.4', '37.6963', '3048.76', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825383', '0', 'object/static/flora/shared_flora_tree_lok_mkpud.iff', '0', '0', '-0.0249981', '0.999687', '5849.58', '36.9444', '3065.16', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825384', '0', 'object/static/flora/shared_flora_tree_lok_mkpud.iff', '0', '0', '0.999574', '-0.0291988', '5868.31', '47.9895', '3055.77', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825385', '0', 'object/static/flora/shared_flora_tree_lok_mkpud.iff', '0', '0', '0.999023', '-0.0441886', '5869.76', '47.6229', '3054.31', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825392', '0', 'object/static/structure/general/shared_prp_junk_s1.iff', '0', '0', '0', '1', '6317.01', '4.05696', '4252.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825393', '0', 'object/static/structure/general/shared_prp_junk_s2.iff', '0.00384802', '-0.00922981', '0.384789', '0.92295', '6311.14', '4.45979', '4252.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825394', '0', 'object/static/structure/general/shared_prp_junk_s3.iff', '0', '0.995881', '0', '0.0906717', '6313.41', '5.22345', '4255.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825404', '0', 'object/static/structure/general/shared_escape_pod_door.iff', '0.158816', '0.390293', '-0.557971', '0.714925', '6314.44', '4.16531', '4250.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825407', '0', 'object/static/structure/general/shared_droid_lemedical_powerdown.iff', '0.4541', '0.462354', '0.488331', '-0.584427', '6314.81', '3.97292', '4252.23', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825409', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '6313.74', '2.96975', '4253.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825480', '0', 'object/building/naboo/shared_filler_building_naboo_style_2.iff', '0', '0.789504', '0', '-0.613746', '7344.43', '1.34114', '3596.29', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825481', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0', '0', '0', '1', '7344.4', '12.9053', '3596.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825483', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_2.iff', '0', '0', '0', '1', '7341.85', '-2.09168', '3591.74', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825485', '0', 'object/static/structure/general/shared_campfire_ash.iff', '-0.0348753', '-0.000813385', '0.0233021', '0.99912', '7344.77', '3.63331', '3597.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825487', '0', 'object/static/flora/shared_flora_tree_lok_mkpud.iff', '0', '0', '0', '1', '7339.61', '2.74079', '3602.42', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825488', '0', 'object/static/flora/shared_flora_tree_lok_mkpud.iff', '0', '0', '0', '1', '7337.7', '2.92265', '3598.17', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825489', '0', 'object/static/flora/shared_flora_tree_lok_mkpud.iff', '0', '0', '0', '1', '7345.21', '8.63848', '3601.06', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825491', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0', '0', '0', '1', '7336.77', '1.46673', '3593.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825492', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0', '-0.203567', '0.979061', '7572.41', '-210.627', '6973.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825493', '0', 'object/static/structure/naboo/shared_gungan_relic_s01.iff', '0', '0', '0', '1', '7561.63', '-222.044', '6982.25', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825494', '0', 'object/static/structure/naboo/shared_gungan_statue_s01.iff', '0', '0.997129', '0', '-0.0757237', '7584.08', '-210.911', '6984.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825495', '0', 'object/static/structure/naboo/shared_gungan_cleft_wall_lg_s01.iff', '0', '-0.699717', '0', '0.71442', '7588.46', '-211.485', '6985.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825497', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0', '0', '1', '7564.79', '-210.842', '6967.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825499', '0', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff', '-0.217121', '0.887233', '0.0967528', '0.395367', '7560.94', '-211.867', '6957.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825500', '0', 'object/static/flora/shared_flora_tree_palm_sm.iff', '0', '0', '0', '1', '7558.43', '-216.658', '6966.36', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825501', '0', 'object/static/flora/shared_flora_tree_palm_sm.iff', '0', '0', '0', '1', '7580.41', '-216.572', '6969.37', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825502', '0', 'object/static/flora/shared_flora_tree_palm_sm.iff', '0', '0', '0', '1', '7565.64', '-214.594', '6996.16', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825503', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0', '0', '0', '1', '7562.48', '-211.874', '6955.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825505', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0', '0', '0', '1', '7561.77', '-210.785', '6977.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825514', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0', '0', '0', '1', '7583.91', '-212.484', '6983.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825517', '0', 'object/soundobject/shared_soundobject_starport_exterior.iff', '0', '0', '0', '1', '5292.13', '-192', '6624.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825521', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '-0.0255573', '0.00189445', '-0.0738987', '0.996936', '3490.79', '-208.456', '6635.98', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825550', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0', '0', '0', '1', '3491.84', '-208.893', '6630.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825551', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0', '0', '0', '1', '3486.5', '-208.193', '6630.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825552', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0', '0', '0', '1', '3483.45', '-207.461', '6634.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825553', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0', '0', '0', '1', '3486.36', '-207.564', '6640.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825554', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0', '0', '0', '1', '3493.59', '-208.697', '6641.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825555', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0', '0', '0', '1', '3497.72', '-209.659', '6636.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825557', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.685289', '0', '0.728271', '3486.7', '-207.791', '6630.57', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825559', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.767543', '0', '0.640997', '3486.52', '-207.075', '6640.86', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825561', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.744643', '0', '0.667463', '3497.87', '-209.079', '6636.54', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825562', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.724287', '0', '0.689498', '3493.05', '-206.618', '6633.31', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825563', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.770739', '0', '0.637151', '3493.56', '-206.618', '6638.38', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825565', '0', 'object/static/structure/general/shared_campfire_burnt.iff', '0', '0', '0', '1', '3492.15', '-208.762', '6636.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825566', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.681639', '0', '0.731688', '3492.36', '-208.606', '6636.14', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825567', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0', '0', '1', '3492.27', '-209.354', '6635.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825590', '0', 'object/static/structure/general/shared_escape_pod.iff', '-0.232543', '0.97126', '-0.0118225', '0.0493788', '432.848', '-208.76', '6977.66', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825591', '0', 'object/static/structure/general/shared_escape_pod_door.iff', '0', '0', '0.443948', '0.896052', '432.269', '-209.971', '6975.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825599', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '427.409', '-210.171', '6973.68', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825600', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '421.553', '-210.262', '6976.14', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825604', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '427.739', '-210.371', '6976.67', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825613', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '436.326', '-210.641', '6975.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825618', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0.22503', '-0.393023', '-0.443002', '0.77372', '430.892', '-209.977', '6971.73', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825630', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0', '0.539632', '0.841901', '427.3', '-210.336', '6973.85', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825632', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0', '0.242556', '0.970137', '436.234', '-210.309', '6976.12', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825633', '0', 'object/static/item/shared_item_crate_spice.iff', '0', '0.967462', '0', '0.253016', '439.352', '-210.452', '6977.64', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825656', '0', 'object/static/structure/naboo/shared_gungan_relic_s02.iff', '0.0544809', '0.0353678', '-0.232351', '0.970461', '-6.99595', '439.675', '-1868.04', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825657', '0', 'object/static/structure/naboo/shared_gungan_statue_s01.iff', '-0.162673', '0.432178', '-0.312465', '0.830136', '-2.14623', '442.694', '-1867.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825658', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s02.iff', '0', '-0.632673', '0', '0.774419', '-1.34069', '443.038', '-1860.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825660', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0', '-0.509841', '0.860269', '2.01865', '442.106', '-1864.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825661', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-0.9706', '442.079', '-1865.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825775', '0', 'object/building/military/shared_military_outpost_guard_house_imperial.iff', '0', '0', '0', '1', '971.886', '260.468', '-1346.4', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825776', '7825775', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825778', '7825776', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0.42594', '0', '0.904752', '2.53863', '0.51', '-3.39555', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825779', '7825776', 'object/static/flora/shared_flora_tree_lok_mkpud.iff', '0', '0', '-0.159318', '0.987227', '0.125001', '-0.167148', '-3.41025', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825777', '7825775', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825795', '7825777', 'object/static/flora/shared_flora_tree_lok_mkpud.iff', '0', '0', '0', '1', '3.90675', '0.0356585', '4.14245', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825799', '7825777', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.940806', '0', '0.338946', '-2.78957', '2.01006', '4.78807', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825801', '7825777', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.8699', '0', '0.493228', '-2.77379', '2.01005', '4.5543', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825802', '7825777', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.991458', '0', '0.130424', '-2.54562', '2.01006', '4.80138', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825808', '7825777', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.20846', '0', '0.978031', '0.375246', '4.19974', '-2.98583', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825810', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0', '0', '1', '974.147', '262.227', '-1333.85', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825811', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0', '0', '1', '972.506', '267.521', '-1342.73', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825812', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.920751', '0', '0.390152', '971.633', '268.423', '-1340.23', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825813', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.998152', '0', '0.0607589', '969.207', '260.285', '-1354.26', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825814', '0', 'object/static/item/shared_item_tapestry_imperial.iff', '0', '0', '0.724287', '-0.689498', '952.841', '262.592', '-1347.56', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825819', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '964.809', '260.58', '-1349.36', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825821', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '964.793', '260.706', '-1348.44', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825822', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '964.186', '260.451', '-1351.07', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825826', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.710353', '0', '-0.703845', '963.945', '261.148', '-1351.31', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '7825827', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0', '-0.29552', '0.955336', '959.458', '261.799', '-1346.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '7875860', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0.468594', '0', '0.883413', '4972.45', '-192', '6755.43', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '7875862', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0.468594', '0', '0.883414', '4973.58', '-192', '6753.88', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '7935371', '0', 'object/static/flora/shared_flora_tree_lok_mkpud.iff', '0', '0', '-0.620986', '0.783822', '976.994', '261.484', '-1340.96', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '7935372', '0', 'object/static/flora/shared_flora_tree_lok_mkpud.iff', '1', '0', '0', '-3.20013e-08', '972.865', '266.078', '-1339.1', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '7935373', '0', 'object/static/flora/shared_flora_tree_lok_mkpud.iff', '0', '0', '0', '1', '977.609', '266.976', '-1345.48', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '7935381', '0', 'object/static/flora/shared_flora_tree_lok_mkpud.iff', '0', '0', '0', '1', '977.761', '259.729', '-1353.01', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '7935383', '0', 'object/static/flora/shared_flora_tree_lok_mkpud.iff', '-0.17087', '-0.565647', '0.806421', '-0.0230783', '966.285', '268.891', '-1352.96', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '7935389', '0', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff', '0.0517179', '-0.176526', '-0.27636', '0.943286', '-189.473', '107.007', '-911.209', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '7935392', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s01.iff', '0', '-0.443948', '0', '0.896052', '-182.869', '107.736', '-906.786', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '7935395', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s02.iff', '0', '0.232843', '0', '0.972514', '-192.683', '108.429', '-904.149', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '7935397', '0', 'object/static/structure/naboo/shared_gungan_statue_s04.iff', '0', '0', '-0.509841', '0.860269', '-185.898', '106.036', '-900.652', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '7935398', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0', '0', '1', '-184.796', '108.819', '-904.456', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '7935399', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.0799147', '0', '0.996802', '-184.958', '108.764', '-904.341', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '7935400', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.114747', '0', '0.993395', '-184.926', '108.927', '-904.395', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '7935401', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0', '0.266731', '0.963771', '-191.377', '108.398', '-909.672', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '7935402', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0', '0', '0', '1', '-190.387', '106.78', '-901.994', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '7995392', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0', '-0.257081', '0.96639', '-1773.01', '32.5359', '-488.643', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '7995394', '0', 'object/static/structure/general/shared_campfire_burnt.iff', '0', '0', '0', '1', '-1776.69', '33.1068', '-488.342', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '7995395', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0', '-0.223106', '0.974794', '-1776.83', '32.6881', '-484.703', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '8075562', '0', 'object/tangible/furniture/imperial/shared_table_s1.iff', '0', '0.707106', '0', '0.707108', '2112.51', '30', '2573.68', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '8075565', '0', 'object/tangible/terminal/shared_terminal_mission_imperial.iff', '0', '0', '0', '1', '2111.9', '30', '2570.87', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '8075567', '0', 'object/tangible/terminal/shared_terminal_mission_imperial.iff', '0', '0.423857', '0', '0.905729', '2110.11', '30', '2571.68', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '8075569', '0', 'object/static/item/shared_item_carbine_imperial_e11.iff', '-0.116144', '-0.116144', '0.697503', '0.697503', '2113.23', '30.7928', '2573.45', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8075570', '0', 'object/static/item/shared_item_pistol_imperial_scout.iff', '-0.164645', '-0.164645', '0.687671', '0.687672', '2113.27', '30.7906', '2573.77', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8075576', '0', 'object/tangible/furniture/imperial/shared_table_s1.iff', '0', '-0.707106', '0', '0.707107', '1428.25', '13', '2803.39', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '8075577', '0', 'object/static/item/shared_item_diagnostic_screen.iff', '0', '-0.384808', '0', '0.922997', '1427.71', '13.7476', '2803.03', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8075578', '0', 'object/tangible/terminal/shared_terminal_mission_imperial.iff', '0', '0.69642', '0', '0.717634', '1426.55', '13', '2797.51', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '8075580', '0', 'object/tangible/terminal/shared_terminal_mission_imperial.iff', '0', '0.696418', '0', '0.717636', '1426.61', '13', '2795.63', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '8075583', '0', 'object/tangible/terminal/shared_terminal_mission_imperial.iff', '0', '0.707107', '0', '0.707107', '-5471.03', '6', '4412.26', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '8075590', '0', 'object/tangible/furniture/imperial/shared_table_s1.iff', '0', '0', '0', '1', '-4936.15', '6', '4228.78', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '8075591', '0', 'object/tangible/furniture/imperial/shared_table_s1.iff', '0', '0', '0', '1', '-4927.98', '6', '4229', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '8075592', '0', 'object/tangible/terminal/shared_terminal_mission_imperial.iff', '0', '0.92388', '0', '-0.382683', '-4920.35', '6', '4227.99', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '8075594', '0', 'object/tangible/terminal/shared_terminal_mission_imperial.iff', '0', '0.92388', '0', '-0.382683', '-4918.03', '6', '4226.11', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '8075596', '0', 'object/tangible/terminal/shared_terminal_mission_imperial.iff', '0', '0.92388', '0', '-0.382683', '-4916.23', '6', '4224.5', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '8075598', '0', 'object/static/structure/naboo/shared_poi_nboo_tent_med.iff', '0', '-0.382683', '0', '0.92388', '-4919.54', '6.10646', '4225.36', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8075599', '0', 'object/static/item/shared_item_carbine_imperial_e11.iff', '0.579256', '0.579256', '-0.40554', '-0.40554', '-4936.06', '6.79057', '4229.58', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8075600', '0', 'object/static/item/shared_item_carbine_imperial_e11.iff', '-0.547597', '0.547597', '-0.447367', '0.447368', '-4927.84', '6.78347', '4229.71', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8075601', '0', 'object/static/item/shared_item_diagnostic_screen.iff', '0', '0.0599641', '0', '0.998201', '-4928.29', '6.75895', '4229.62', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8075602', '0', 'object/static/item/shared_item_pistol_imperial_scout.iff', '-0.655109', '0.661589', '-0.256585', '0.259416', '-4936.51', '6.78', '4229.48', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8075603', '0', 'object/static/item/shared_item_pistol_imperial_scout.iff', '-0.289301', '-0.346695', '0.571655', '0.685068', '-4935.86', '6.79', '4229.21', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085352', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-1776.64', '31.4899', '-488.243', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085422', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0.305059', '0.952334', '-1776.41', '32.7382', '-491.879', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085440', '0', 'object/static/structure/general/shared_prp_junk_s1.iff', '0', '0.475032', '0', '0.879969', '-2406.47', '14.4065', '564.937', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085441', '0', 'object/static/structure/general/shared_prp_junk_s4.iff', '0', '0', '0.352274', '0.935897', '-2403.1', '14.4575', '564.714', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085443', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0', '0', '0', '1', '-2403.05', '14.3793', '567.563', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085444', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0', '0.29074', '0.956802', '-2407.78', '13.8717', '566.398', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085447', '0', 'object/static/structure/general/shared_prp_junk_s7.iff', '0.00388374', '0.38268', '0.923871', '-0.0016087', '-2404.5', '16.6424', '562.768', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085459', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0', '0', '1', '-2406.51', '14.3583', '567.064', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085460', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0', '0', '1', '-2400.67', '14.4889', '562.453', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085461', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0', '0', '1', '-2404.59', '14.4812', '560.94', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085462', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0', '0', '1', '-2402.12', '14.4077', '566.615', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085463', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0', '0', '1', '-2407.07', '14.4152', '563.254', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085464', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0', '0', '0', '1', '-2405.47', '12.9616', '563.923', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085527', '0', 'object/static/flora/shared_flora_decd_scorched_massassi.iff', '0', '0', '0.68529', '0.72827', '-4640.97', '1.67664', '2215.07', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085532', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0', '0', '1', '-4638.22', '4.40862', '2211.33', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085534', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0', '0', '1', '-4644.4', '4.12178', '2212.05', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085536', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0', '0', '1', '-4653.67', '3.15197', '2213.19', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085537', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0', '0.0499791', '0.99875', '-4658.47', '4.42145', '2216.65', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085540', '0', 'object/static/flora/shared_flora_flower_all_bauhin.iff', '0', '0', '0', '1', '-4640.92', '5.6052', '2213.38', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085546', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0', '0', '1', '-4673.3', '3.20559', '2217.75', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085550', '0', 'object/static/flora/shared_flora_flower_all_bauhin.iff', '0', '0', '0', '1', '-4669.09', '2.61472', '2218.58', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085551', '0', 'object/static/flora/shared_flora_flower_all_bauhin.iff', '0', '0', '0', '1', '-4697.34', '2.22792', '2211.32', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085552', '0', 'object/static/flora/shared_flora_flower_all_bauhin.iff', '0', '0', '0', '1', '-4638.16', '6.36944', '2217', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085555', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-4653.66', '2.71544', '2218.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085558', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0', '0.049979', '0.99875', '-4653.47', '3.18424', '2219.44', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085559', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-4696.67', '2.78477', '2218.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085560', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0', '0', '1', '-4696.58', '3.13271', '2218.97', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085564', '0', 'object/static/structure/naboo/shared_gungan_filler_building_s02.iff', '0', '0.710353', '0', '0.703845', '-7559.13', '10.4796', '2254.51', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085566', '0', 'object/static/structure/naboo/shared_gungan_statue_s01.iff', '-0.202997', '0.705941', '-0.187523', '0.652131', '-7546.39', '10.2358', '2250.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085567', '0', 'object/static/structure/naboo/shared_gungan_statue_s04.iff', '0.192253', '0.275978', '0.147668', '0.930091', '-7546.13', '9.97277', '2257.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085568', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0', '0.149438', '0.988771', '-7547.17', '11.218', '2237.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085570', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s01.iff', '-0.0996148', '0.70688', '0.0977198', '-0.693433', '-7555.49', '11.3349', '2235.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085571', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0', '0.149438', '0.988771', '-7566.48', '11.6744', '2238.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085573', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0', '0.149438', '0.988771', '-7545.76', '8.89325', '2271.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085576', '0', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff', '0', '0.706825', '0', '0.707389', '-7552.07', '13.3341', '2254.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085577', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0', '0', '1', '-7555.23', '13.4872', '2253.2', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085578', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0', '0', '0', '1', '-7549.25', '11.34', '2254.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085613', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s02.iff', '0', '0.384808', '0', '0.922997', '-7565.55', '8.95907', '2271.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085614', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '-0.703281', '0', '0.710912', '-7567.55', '7.86458', '2267.14', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085615', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '-0.703276', '0', '0.710917', '-7567.38', '8.472', '2260.72', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085616', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '-0.696135', '0', '0.717911', '-7567.7', '8.90973', '2254.81', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085618', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '-0.70328', '0', '0.710913', '-7567.52', '9.3498', '2248.65', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085619', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.710353', '0', '-0.703845', '-7567.59', '9.77628', '2242.88', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085624', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0', '0', '1', '-7562.97', '9.96979', '2237.34', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085625', '0', 'object/static/flora/shared_flora_tree_lok_mkpud.iff', '0', '0', '0', '1', '-7567.29', '11.3343', '2239.35', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085626', '0', 'object/static/flora/shared_flora_tree_lok_mkpud.iff', '0', '0', '0', '1', '-7565.64', '11.4872', '2237.43', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085630', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0', '0', '1', '-7557.29', '10.1513', '2237.3', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085631', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0', '0', '1', '-7552.02', '10.1108', '2237.18', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085632', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s02.iff', '0', '0.87959', '0', '0.475732', '-7565.65', '11.5114', '2236.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085634', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '-0.696135', '0', '0.717911', '-7546.6', '9.65743', '2240.99', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085636', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '-0.699717', '0', '0.71442', '-7546.72', '9.37305', '2246.77', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085637', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '-0.703281', '0', '0.710912', '-7546.66', '8.41729', '2261.26', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085638', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '-0.706824', '0', '0.70739', '-7545.96', '8.05459', '2266.5', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085639', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0', '0', '1', '-7550.01', '7.70471', '2271.69', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085640', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s01.iff', '-0.179363', '0.70017', '-0.155985', '0.673245', '-7552.96', '8.5013', '2274.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085641', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0', '0', '1', '-7555.79', '7.80825', '2271.93', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085643', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0', '0', '1', '-7561.72', '7.75757', '2271.69', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8085646', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0', '0.394019', '0.919102', '-7561.5', '8.46784', '2273.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8156115', '0', 'object/static/item/shared_item_food_vegetable_s01.iff', '0', '0', '0', '1', '-8.60206', '442.981', '-1866.12', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8156116', '0', 'object/static/item/shared_item_food_vegetable_s02.iff', '0', '0', '0', '1', '-1.49998', '442.883', '-1862.56', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8156118', '0', 'object/static/item/shared_item_food_vegetable_s01.iff', '0', '0', '0', '1', '1.20492', '443.359', '-1868.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8156119', '0', 'object/static/item/shared_item_food_fruit_s03.iff', '0', '0', '0', '1', '4.7636', '442.048', '-1860.59', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185381', '0', 'object/static/structure/naboo/shared_gungan_cleft_wall_lg_s01.iff', '0', '0', '-0.252245', '0.967663', '-6604.41', '-204.549', '6429.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185382', '0', 'object/static/structure/naboo/shared_gungan_damaged_narrow_arch_s01.iff', '0', '0.0449848', '0', '0.998988', '-6612.9', '-204.013', '6429.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185383', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0', '0', '1', '-6611.43', '-203.857', '6433.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185384', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '-0.375559', '0', '0.926798', '-6605.09', '-204.296', '6424.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185387', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s02.iff', '0', '-0.522687', '0', '0.852525', '-6609.11', '-204.337', '6424.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185388', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s01.iff', '-0.15533', '-0.621262', '0.186296', '0.745117', '-6606.74', '-204.026', '6435.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185389', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.640385', '0', '0.768054', '-6612.78', '-199.977', '6433.49', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185390', '0', 'object/static/structure/general/shared_skeleton_bith_head.iff', '0', '-0.659385', '0', '0.751805', '-6613.34', '-199.965', '6426.27', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185391', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0', '0', '1', '-6612.9', '-204.192', '6428.01', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185392', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0', '0', '1', '-6613.07', '-204.198', '6427.94', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185393', '0', 'object/static/structure/general/shared_skeleton_bith_head.iff', '0', '0', '0', '1', '-6612.99', '-204.06', '6428', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185395', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-6616.4', '-206.707', '6431.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185414', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0', '0', '0', '1', '-6078.61', '-196.369', '6765.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185415', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0', '0', '0', '1', '-6079.54', '-196.377', '6762.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185417', '0', 'object/static/item/shared_item_bowl_shallow.iff', '0', '0', '0', '1', '-6079.03', '-196.374', '6764.38', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185418', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '-6079.08', '-197.869', '6764.35', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185423', '0', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_01.iff', '0', '0.13459', '0', '0.990901', '-6080.86', '-196.472', '6764.83', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185424', '0', 'object/static/structure/naboo/shared_gungan_damaged_wide_arch_s01.iff', '1.64996e-08', '0.864925', '6.13432e-09', '-0.501901', '-6376.27', '-196.357', '6516.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185425', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0', '0', '1', '-6379.73', '-195.483', '6523.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185426', '0', 'object/static/structure/naboo/shared_gungan_cleft_wall_lg_s01.iff', '0', '0', '0', '1', '-6381', '-196.265', '6519.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185427', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0', '0', '1', '-6380.65', '-195.887', '6514.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185428', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s02.iff', '0', '0.874789', '0', '0.484504', '-6375.59', '-195.888', '6522.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185429', '0', 'object/static/structure/naboo/shared_gungan_statue_s03.iff', '0', '0.972329', '0', '0.233618', '-6377.91', '-195.737', '6520.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185430', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-6376.93', '-198.122', '6518.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185431', '0', 'object/static/structure/general/shared_skeleton_human_body.iff', '0', '0', '0', '1', '-6075.6', '-210.245', '5942.3', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185432', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0', '0', '1', '-6076.19', '-210.294', '5943.86', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185435', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_foot.iff', '0', '0', '-0.42141', '0.90687', '-6077.11', '-210.229', '5943.18', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185436', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0', '0.17903', '0.983844', '-6077.04', '-210.515', '5942.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185437', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0', '0', '1', '-6076.49', '-209.889', '5942.03', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185438', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.737931', '0', '0.674876', '-6076.65', '-209.912', '5942.18', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185439', '0', 'object/static/structure/general/shared_skeleton_ithorian_head.iff', '0', '0', '0', '1', '-6076.23', '-210.068', '5942.69', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185442', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0', '0', '0', '1', '-5606.78', '-196.81', '6339.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185443', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0', '0', '-0.174108', '0.984727', '-5607.65', '-196.973', '6339.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185444', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.953607', '0', '0.301053', '-5607.2', '-196.808', '6338.96', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185445', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0', '0.149438', '0.988771', '-5041.48', '-197.998', '6181.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185446', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0', '0', '1', '-5049.76', '-197.922', '6181.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185447', '0', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff', '0', '0.999707', '0', '-0.0242013', '-5046.2', '-197.682', '6181.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185448', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s02.iff', '-0.0163845', '0.972913', '0.0628538', '-0.22186', '-5051.32', '-198.407', '6182.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185449', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s02.iff', '0', '-0.29552', '0', '0.955337', '-5043.59', '-197.701', '6183.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185450', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-5046.91', '-199.698', '6177.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185452', '0', 'object/static/flora/shared_flora_decd_scorched_tallbirch.iff', '0', '0', '0', '1', '-4121.13', '-195.629', '6249.41', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185453', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.804599', '0', '0.593818', '-4120.15', '-194.458', '6249.41', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185454', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.789504', '0', '0.613746', '-4120.25', '-193.919', '6249.42', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185458', '0', 'object/static/structure/dantooine/shared_dant_skull_bol.iff', '0', '0.804599', '0', '0.593818', '-4120.2', '-195.413', '6249.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185462', '0', 'object/static/structure/dantooine/shared_dant_fire_pit.iff', '0', '0', '0', '1', '-2549.84', '-196.906', '6787.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185463', '0', 'object/static/particle/shared_particle_campfire_style_1.iff', '0', '0', '0', '1', '-2549.85', '-196.938', '6787.58', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185464', '0', 'object/static/structure/naboo/shared_gungan_relic_s02.iff', '0', '0', '0', '1', '-2553.44', '-200.949', '6789.29', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185465', '0', 'object/static/structure/naboo/shared_gungan_relic_s02.iff', '0', '0', '0.21823', '0.975897', '-2543.28', '-199.376', '6788.81', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185466', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0', '0', '1', '-2545.75', '-196.865', '6781.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185467', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s02.iff', '0.0755318', '-0.37261', '-0.183751', '0.906473', '-2553.83', '-197.215', '6781.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185468', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0', '0', '1', '-2549.64', '-197.693', '6787.59', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185473', '0', 'object/static/structure/naboo/shared_arbor_pillar_s01.iff', '0', '0', '0', '1', '-2174.14', '-195.671', '6358.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185476', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0.692537', '0', '0.721382', '-2176.09', '-196.319', '6362.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185477', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0.692535', '0', '0.721384', '-2172.56', '-196.274', '6363.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185478', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_short_s01.iff', '0', '-0.00499997', '0', '0.999987', '-2174.47', '-196.341', '6366.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185479', '0', 'object/static/structure/general/shared_gravestone_generic_style_04.iff', '0', '0.999359', '0', '0.0357886', '-2175.39', '-195.793', '6365.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185480', '0', 'object/static/structure/general/shared_gravestone_generic_style_03.iff', '0', '0.999574', '0', '-0.0291994', '-2173.53', '-195.835', '6365.66', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185482', '0', 'object/static/structure/general/shared_gravestone_generic_style_01.iff', '0', '0.999232', '0', '-0.0391936', '-2175.23', '-195.785', '6363.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185483', '0', 'object/static/structure/general/shared_gravestone_generic_style_05.iff', '0', '0', '0', '1', '-2173.52', '-195.824', '6363.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185484', '0', 'object/static/structure/general/shared_gravestone_generic_style_02.iff', '0', '0.999359', '0', '0.0357887', '-2175.27', '-195.772', '6361.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185485', '0', 'object/static/structure/general/shared_gravestone_generic_style_04.iff', '0', '0.999991', '0', '-0.00420355', '-2173.71', '-195.811', '6361.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185486', '0', 'object/static/structure/general/shared_gravestone_generic_style_01.iff', '0', '0.999359', '0', '0.0357887', '-2175.08', '-195.766', '6359.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185487', '0', 'object/static/structure/general/shared_gravestone_generic_style_03.iff', '0', '0.999875', '0', '0.0157957', '-2173.77', '-195.8', '6359.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185488', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0', '0', '1', '-2173.75', '-196.458', '6359.26', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185489', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0', '0', '1', '-2175.24', '-196.381', '6362.93', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185490', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-2173.93', '-198.001', '6361.34', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185518', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '0', '0.704409', '0', '0.709794', '-1561.96', '-195.152', '6004.69', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185519', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0', '0.0998334', '0.995004', '-1566.13', '-195.543', '5999.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '8185520', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0', '0.479426', '0.877582', '-1557.87', '-195.552', '5998.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '8305352', '0', 'object/static/structure/naboo/shared_gungan_shield_gen_s01.iff', '0', '0', '0', '1', '-1344.19', '-190.118', '6533.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8305353', '0', 'object/static/structure/naboo/shared_gungan_shield_s01.iff', '0', '0', '0.338197', '0.941075', '-1340.14', '-190.133', '6533.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8305354', '0', 'object/static/structure/general/shared_droid_droideka_powerdown.iff', '0', '0', '0', '1', '-1346.08', '-190.111', '6529.76', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8305356', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s02.iff', '0', '-0.380188', '0', '0.924909', '-1027.08', '-210.16', '6829.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8305357', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s01.iff', '0', '0', '0', '1', '-1029.68', '-210.062', '6834.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8305358', '0', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff', '0', '0.522687', '0', '0.852525', '-1026.03', '-210.189', '6832.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8305359', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0', '0', '0', '1', '-1020.44', '-213.076', '6835.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8305360', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0', '0', '1', '-7273.96', '-196.591', '5045.59', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8305362', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.632673', '0', '0.774419', '-7277.05', '-196.589', '5041.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8305363', '0', 'object/static/structure/general/shared_campfire_burnt.iff', '0', '0', '0', '1', '-7273.25', '-196.606', '5041.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8305364', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0.394019', '0', '0.919102', '-7272.47', '-196.878', '5043.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8305365', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '-7274.95', '-196.593', '5044.56', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8305366', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '-7275.84', '-196.593', '5044.42', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8305367', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '-7275.37', '-196.604', '5039.25', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8305368', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '-7275.23', '-196.603', '5040.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8305369', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0', '0', '1', '-7270.96', '-196.61', '5041.83', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8305375', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_small_s01.iff', '0', '0', '0', '1', '-4596.09', '-196.423', '4743.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8305376', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_small_s01.iff', '0', '0.99871', '0', '0.0507747', '-4595.19', '-196.65', '4750.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8305379', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '-0.338197', '0', '0.941075', '-4594.33', '-196.552', '4745.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8305380', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.932039', '0', '0.362358', '-4596.72', '-196.558', '4748.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8305381', '0', 'object/tangible/furniture/all/shared_frn_all_tree_potted_s2.iff', '0', '0.628793', '0', '0.777573', '-4594.8', '-197.22', '4742.53', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '8305382', '0', 'object/tangible/furniture/all/shared_frn_all_tree_potted_s2.iff', '0.00572472', '0.98359', '-0.013864', '-0.179793', '-4598.57', '-197.304', '4750.02', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '8305383', '0', 'object/static/flora/shared_flora_tree_lok_mkpud.iff', '0', '0', '0', '1', '-4594.89', '-197.412', '4748.49', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8305384', '0', 'object/static/flora/shared_flora_tree_lok_mkpud.iff', '0', '0', '0', '1', '-4598.65', '-197.414', '4745.75', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8305385', '0', 'object/static/flora/shared_flora_tree_lok_mkpud.iff', '0', '0', '0', '1', '-4593.61', '-196.286', '4744.17', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8305387', '0', 'object/building/endor/shared_endor_lake_walkway_square.iff', '0', '0', '0', '1', '-3976.59', '-145.578', '4387.94', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '8305388', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0.104807', '0', '0', '0.994493', '-3976.74', '-137.351', '4386.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8305389', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '-3972.9', '-135.58', '4391.65', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '8305390', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '-3980.28', '-135.654', '4391.72', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '8305393', '0', 'object/static/structure/naboo/shared_gungan_statue_s01.iff', '0', '0.967462', '0', '0.253016', '-2342.47', '-195.478', '5077.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8305394', '0', 'object/static/structure/naboo/shared_gungan_statue_s01.iff', '0', '0.84233', '0', '-0.538961', '-2344.23', '-195.535', '5078.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8305395', '0', 'object/static/structure/naboo/shared_gungan_statue_s01.iff', '0', '-0.268265', '0', '0.963345', '-2343.61', '-195.53', '5080.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8305397', '0', 'object/static/structure/naboo/shared_gungan_statue_s02.iff', '0', '0.613117', '0', '0.789992', '-2341.89', '-195.507', '5079.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8305398', '0', 'object/static/structure/general/shared_droid_droideka_powerdown.iff', '0', '0', '0', '1', '-2342.38', '-195.449', '5074.6', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8305399', '0', 'object/static/structure/general/shared_droid_droideka_powerdown.iff', '0', '0', '0', '1', '-2337.67', '-195.442', '5081.5', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8305400', '0', 'object/static/structure/general/shared_droid_droideka_powerdown.iff', '0', '0', '0', '1', '-2348.43', '-195.612', '5077.98', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8305401', '0', 'object/static/structure/general/shared_droid_droideka_powerdown.iff', '0', '0', '0', '1', '-2345.21', '-195.667', '5085.61', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8305403', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-2341.52', '-197.404', '5082.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8315434', '0', 'object/static/structure/naboo/shared_poi_nboo_tent_hut_s01.iff', '0', '0', '0', '1', '-5431.73', '6', '4172.61', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8315437', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '-5435.02', '6', '4175.86', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8315438', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '-5434.9', '6', '4175.55', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8315439', '0', 'object/static/item/shared_item_container_energy_solid.iff', '0', '0', '0', '1', '-5435.52', '6', '4175.39', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8315440', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.285952', '0', '0.958244', '-5436.23', '6', '4173.23', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8315441', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '-5436.19', '6', '4174.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8315442', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '0', '0', '1', '-5431.56', '6', '4171.8', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '8315444', '0', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_01.iff', '0', '0', '0', '1', '-5431.58', '5.96101', '4171.72', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '8315445', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '-0.412321', '0', '0.911039', '-5428.34', '6', '4176.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8315446', '0', 'object/static/item/shared_item_con_drink_flask.iff', '0', '0', '0', '1', '-5431.82', '6.60083', '4172.05', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8315447', '0', 'object/static/item/shared_item_con_plate_s1_full.iff', '0', '0', '0', '1', '-5431.45', '6.63246', '4171.95', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8315448', '0', 'object/static/item/shared_item_data_disk.iff', '0', '0', '0', '1', '-5429.23', '6.94869', '4173.62', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8315449', '0', 'object/static/item/shared_item_data_disk.iff', '0', '0', '0', '1', '-5429.31', '6.94869', '4173.71', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8315450', '0', 'object/static/item/shared_item_datapad_s1.iff', '0', '0', '0', '1', '-5429.09', '6.91706', '4173.75', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8315451', '0', 'object/static/item/shared_item_document.iff', '0', '0.813416', '0', '0.581683', '-5431.77', '6.63246', '4171.55', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8315462', '0', 'object/tangible/terminal/shared_terminal_mission_imperial.iff', '0', '0.384808', '0', '0.922997', '5145.36', '-192', '6672.69', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '8315465', '0', 'object/static/item/shared_item_container_armor.iff', '0', '-0.640385', '0', '0.768054', '5143.23', '-192', '6676.82', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8315466', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.663135', '0', '0.7485', '5143.39', '-192', '6677.93', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8315467', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.597196', '0', '0.802096', '5144.31', '-192', '6677.51', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8365352', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0', '0.213347', '0.976976', '-1691.82', '-197.093', '5428.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8365353', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0', '-0.193767', '0.981048', '-1692.04', '-196.959', '5424.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8365354', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0', '0.261909', '0.965092', '-1695.47', '-197.239', '5431.59', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8365355', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0', '-0.0349929', '0.999388', '-1695.35', '-196.42', '5422.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8365357', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0', '-0.164252', '0.986418', '-1698.55', '-196.813', '5424.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8365358', '0', 'object/static/structure/naboo/shared_gungan_statue_s03.iff', '0', '0', '0', '1', '-1695.37', '-196.468', '5426.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8365359', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0', '-0.0199992', '0.9998', '-1697.84', '-196.825', '5428.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8365360', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0', '0', '0', '1', '-1695.26', '-198.772', '5429.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8365368', '0', 'object/static/flora/shared_flora_decd_scorched_tallbirch_broke.iff', '0', '0', '0', '1', '-678.533', '-196.226', '5205.23', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8365369', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0', '0.670587', '0.741831', '-679.609', '-196.215', '5205.01', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8365370', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0', '0', '1', '-677.366', '-196.146', '5204.24', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8365371', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0', '-0.617059', '0.786917', '-678.066', '-191.76', '5205.63', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8365372', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0', '-0.659385', '0.751806', '-678.568', '-187.893', '5204.94', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8365373', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0', '-0.589144', '0.808028', '-678.985', '-184.131', '5205.23', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8365374', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0', '0.706826', '0.707387', '-679.529', '-187.865', '5205', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8365375', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0', '0.620986', '0.783822', '-679.062', '-190.796', '5205.04', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8365376', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0.399495', '0.583441', '0.583442', '0.399495', '-679.313', '-191.724', '5206.03', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8365377', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0', '0', '1', '-679.166', '-183.228', '5205.15', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8365378', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '-0.5', '0.5', '0.5', '-0.5', '-679.389', '-185.663', '5206.1', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8365379', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0', '0', '0', '1', '-677.964', '-198.41', '5207.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8365381', '0', 'object/static/structure/naboo/shared_elevated_walkway_s02.iff', '0', '-0.0149994', '0', '0.999888', '-68.3025', '-192.106', '4210.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8365390', '0', 'object/static/structure/general/shared_droid_droideka_powerdown.iff', '0', '0', '0', '1', '-64.6236', '-191.484', '4209.73', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8365391', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '-65.4051', '-192.335', '4211.05', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8365392', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '-64.4856', '-191.327', '4210.74', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8365393', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0.556361', '0.830941', '-64.9397', '-192.32', '4206.66', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8365394', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0', '0', '1', '-65.3903', '-192.085', '4212.05', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8365397', '0', 'object/static/structure/naboo/shared_gungan_relic_s01.iff', '0', '0', '0', '1', '-7566.07', '8.47769', '3707.67', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '8435536', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0', '0', '1', '1365.03', '13', '2833.65', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8435537', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.998488', '0', '-0.0549723', '1365.04', '13.88', '2833.65', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8435538', '0', 'object/static/item/shared_item_tool_radio.iff', '0', '0', '0', '1', '1365.23', '13.8854', '2834.61', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8435539', '0', 'object/static/item/shared_item_crate_spice.iff', '0', '0', '0', '1', '1363.76', '13', '2832.48', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8435540', '0', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0', '0', '1', '1363.86', '13.7906', '2832.55', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8435541', '0', 'object/static/item/shared_item_jar_spice_red.iff', '0', '0', '0', '1', '1363.69', '13.7906', '2832.43', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8435543', '0', 'object/static/structure/naboo/shared_poi_nboo_tent_small.iff', '0', '0', '0', '1', '1363.73', '13.0949', '2833.27', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8435545', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.707106', '0', '0.707107', '1846.33', '12', '2769.06', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8435546', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.667167', '0', '0.744908', '1846.32', '12.88', '2769.05', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8435548', '0', 'object/static/item/shared_item_crate_spice.iff', '0', '0.707106', '0', '0.707107', '1845.15', '12', '2770.34', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8435549', '0', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0.707106', '0', '0.707107', '1845.22', '12.7906', '2770.23', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8435550', '0', 'object/static/item/shared_item_jar_spice_red.iff', '0', '0.707106', '0', '0.707107', '1845.1', '12.7906', '2770.41', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8435551', '0', 'object/static/structure/naboo/shared_poi_nboo_tent_small.iff', '0', '0.707106', '0', '0.707107', '1845.94', '12.0949', '2770.37', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8435553', '0', 'object/static/item/shared_item_tool_recording_rod.iff', '0', '0.724561', '0', '0.68921', '1847.28', '12.8854', '2769', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8455352', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0.334846', '0.580485', '-0.332261', '-0.663716', '-7562.41', '7.71411', '3720.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8455353', '0', 'object/static/item/shared_item_bowl_shallow.iff', '0', '0', '0', '1', '-7559.19', '15.2043', '3707.79', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8455354', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '-7559.18', '13.7202', '3707.77', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '8455355', '0', 'object/static/structure/dantooine/shared_dant_skull_bol.iff', '0', '0.706824', '0', '0.70739', '-7562.22', '16.5701', '3707.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '8455361', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.737931', '0', '0.674876', '-7562.52', '15.5324', '3706.91', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8455362', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.747971', '0', '0.663731', '-7562.51', '15.5262', '3708.53', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8455366', '0', 'object/static/particle/shared_particle_campfire_style_1.iff', '0', '0', '0', '1', '-7566.47', '28.9089', '3707.97', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8455368', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0', '0', '1', '-7566.01', '26.55', '3707.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8455369', '0', 'object/static/structure/naboo/shared_gungan_damaged_wide_arch_s01.iff', '0', '0', '0.356949', '0.934124', '-6087.5', '7.91194', '3840.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8455370', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0', '0', '1', '-6094.96', '8.84197', '3841.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8455371', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '-0.160625', '-0.674607', '0.107065', '0.71249', '-6095.01', '8.74747', '3837.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8455372', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '-0.188528', '0.980284', '-0.00825665', '-0.0585902', '-6091.22', '8.45002', '3842.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8455373', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0.00129632', '-0.00991546', '0.564614', '0.825294', '-6091.39', '7.9972', '3838.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8455374', '0', 'object/static/structure/naboo/shared_gungan_statue_s01.iff', '0.0320735', '-0.0198566', '0.677809', '0.73427', '-6086.47', '9.02472', '3839.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8455375', '0', 'object/static/structure/naboo/shared_gungan_statue_s02.iff', '0', '0.734548', '0', '0.678557', '-6086.79', '8.68125', '3843.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8455377', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s02.iff', '0', '-0.237703', '0', '0.971338', '-6084.92', '8.64752', '3843.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8455379', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s02.iff', '0.252501', '0.365148', '0.509641', '0.737005', '-6092.29', '8.60486', '3832.52', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8455385', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-6086.41', '6.46119', '3839.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8455386', '0', 'object/static/naboo/shared_waterfall_naboo_keren.iff', '0.00499993', '0.999979', '-2.10179e-05', '-0.00420354', '1788.19', '10.6973', '2453.87', '256', '1');
INSERT INTO `staticobjects` VALUES ('5', '8455389', '0', 'object/static/structure/dantooine/shared_dant_fish_rack.iff', '0', '0.389419', '0', '0.921061', '-5068.29', '4.83276', '3395.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8455390', '0', 'object/static/structure/dantooine/shared_dant_fence_4m.iff', '0', '-0.706825', '0', '0.707388', '-5070.19', '5.09796', '3398.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8455391', '0', 'object/static/structure/dantooine/shared_dant_fence_4m.iff', '0', '-0.20846', '0', '0.978031', '-5068.54', '5.39097', '3400.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8455392', '0', 'object/static/structure/dantooine/shared_dant_fence_4m.iff', '0', '0.338197', '0', '0.941075', '-5069.08', '4.78999', '3395.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8455394', '0', 'object/tangible/camp/shared_camp_spit.iff', '0', '0', '0', '1', '-5067.42', '5.12256', '3398.15', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '8455395', '0', 'object/tangible/camp/shared_camp_spit.iff', '0', '0', '0', '1', '-5066.79', '5.11434', '3398.02', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '8455396', '0', 'object/tangible/camp/shared_campfire_logs_burnt.iff', '0', '0', '0', '1', '-5067.29', '5.08113', '3397.74', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '8455397', '0', 'object/tangible/camp/shared_camp_cot.iff', '0', '-0.470626', '0', '0.882333', '-5068.92', '5.23165', '3399.31', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '8455398', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_short_s01.iff', '0', '-0.707103', '0', '0.70711', '4984.58', '3.75', '-4974.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8455401', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '0', '0', '0', '1', '-2750.54', '28.7258', '4016.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8455402', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '0', '0', '0', '1', '-2754.49', '30.4943', '4017.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8455403', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '0', '0', '0', '1', '-2754.02', '30.1603', '4012.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8455404', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0', '0', '1', '-2753.17', '30.3736', '4017.01', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8455405', '0', 'object/static/structure/general/shared_gravestone_generic_style_05.iff', '0', '0.699717', '0', '0.71442', '-2756.08', '31.5757', '4016.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8455406', '0', 'object/static/structure/general/shared_gravestone_generic_style_05.iff', '0', '-0.641608', '0', '0.767033', '-2756.09', '31.5725', '4013.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8455407', '0', 'object/static/structure/general/shared_gravestone_generic_style_02.iff', '0', '0.731146', '0', '0.682221', '-2755.22', '31.2204', '4014.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8455408', '0', 'object/static/structure/general/shared_droid_droideka_powerdown.iff', '0', '0', '0', '1', '-2007.9', '8.4874', '4297.36', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8455409', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '-2003.44', '9.22914', '4295.81', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8455410', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '-2002.71', '8.94586', '4296.13', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8455411', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '-2002.72', '8.91705', '4297.57', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8455412', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '-2004.03', '9.07005', '4296.73', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8455413', '0', 'object/static/structure/general/shared_prp_junk_s1.iff', '0', '0', '0', '1', '-1999.79', '9.69743', '4295.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8455414', '0', 'object/static/structure/general/shared_prp_junk_s2.iff', '0.395089', '0.403392', '0.577501', '0.589637', '-2005.2', '9.21537', '4296.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8455415', '0', 'object/static/structure/general/shared_prp_junk_s4.iff', '0', '0', '-0.342898', '0.939373', '-2009.16', '9.50124', '4294.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8455418', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '0', '0', '0', '1', '-2000.97', '9.29369', '4293.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8455420', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0', '0', '0', '1', '-1998.5', '8.79405', '4293.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8455421', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-2003.1', '7.40319', '4294.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8455430', '0', 'object/static/structure/general/shared_escape_pod_door.iff', '0.687671', '0.164645', '0.164645', '0.687671', '-630.853', '13.2063', '3981.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8455433', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0', '0', '0', '1', '-629.082', '13.2849', '3982.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8455434', '0', 'object/static/structure/general/shared_droid_droideka_powerdown.iff', '0', '0', '0', '1', '-632.055', '13.3054', '3983.72', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8455437', '0', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff', '0.310106', '0.87028', '0.360482', '0.12845', '-7313.4', '8.3933', '2753.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8455438', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0.0524631', '0.928243', '-0.261457', '0.259332', '-7305.66', '9.64301', '2748.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8455439', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0', '0', '1', '-7316.5', '10.9701', '2753.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8455442', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0.389639', '0.838498', '0.160526', '0.345449', '-7314.64', '10.3952', '2752.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8455446', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s02.iff', '0', '-0.443948', '0', '0.896052', '-7306.94', '9.23034', '2751.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8455449', '0', 'object/static/structure/naboo/shared_gungan_statue_s01.iff', '0', '0.975723', '0', '0.219007', '-7317.67', '11.7372', '2756.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8455450', '0', 'object/static/structure/naboo/shared_gungan_statue_s01.iff', '0', '0', '0', '1', '-7314.05', '13.4236', '2746.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8455452', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0', '0', '0', '1', '-7313.94', '9.77814', '2749.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8455453', '0', 'object/static/structure/general/shared_planter_generic_style_1.iff', '0', '0', '0', '1', '-7304.32', '5.893', '2749.04', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8455455', '0', 'object/static/structure/general/shared_planter_generic_style_1.iff', '0', '0.247404', '0', '0.968912', '-7315.79', '6.70317', '2756.03', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8575780', '0', 'object/building/naboo/shared_salon_naboo.iff', '0', '-0.183947', '0', '0.982936', '4787.39', '4.55002', '-4731.4', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '8575781', '8575780', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585367', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_small_s01.iff', '0', '0', '0', '1', '-6456.54', '7.97123', '1745.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585382', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0.0249974', '0', '0.999687', '-6452.85', '8.74254', '1749.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585383', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0.0199987', '0', '0.9998', '-6457.1', '8.53093', '1744.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585384', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_small_s01.iff', '0', '-0.696134', '0', '0.717911', '-6452.56', '8.22047', '1749.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585385', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0.0199987', '0', '0.9998', '-6456.8', '8.6876', '1753.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585386', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_small_s01.iff', '0', '0.996738', '0', '-0.0807089', '-6456.96', '8.22645', '1753.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585387', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '-0.00499998', '0', '0.999987', '-6461.24', '8.78519', '1749.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585388', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_small_s01.iff', '0', '0.679146', '0', '0.734003', '-6461.6', '8.00601', '1748.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585390', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.939099', '0', '0.343646', '-6453.08', '7.81595', '1745.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585391', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.434965', '0', '0.900447', '-6452.38', '8.17295', '1752.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585392', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '-0.271548', '0', '0.962425', '-6460.51', '8.18112', '1753.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585393', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.915438', '0', '-0.40246', '-6461.23', '8.07539', '1745.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585394', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0', '0', '1', '-6455.59', '8.13222', '1749.8', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585395', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0', '0', '1', '-6459.32', '8.09844', '1747.36', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585396', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0', '0', '1', '-6458.91', '8.21404', '1751.64', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585397', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0', '0', '1', '-6455.21', '8.02144', '1747.63', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585398', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0', '0', '1', '-6457.86', '8.15438', '1749.21', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585401', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0', '0', '1', '-6457.16', '7.59191', '1748.83', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585402', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0', '0', '1', '-6456.54', '7.58271', '1748.14', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585403', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0', '0', '1', '-6457.36', '7.53827', '1747.98', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585404', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0', '0', '1', '-6457.92', '7.59021', '1751.39', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585405', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0', '0', '1', '-6457.14', '7.55521', '1750.99', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585406', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0', '0', '1', '-6457.74', '7.53872', '1750.67', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585407', '0', 'object/static/flora/shared_potted_plant_leaves_ivy.iff', '0', '0', '0', '1', '-6459.47', '7.67977', '1750.6', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585408', '0', 'object/static/flora/shared_potted_plant_leaves_ivy.iff', '0', '0', '0', '1', '-6458.48', '7.64838', '1750.4', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585409', '0', 'object/static/flora/shared_potted_plant_leaves_ivy.iff', '0', '0', '0', '1', '-6459.11', '7.62565', '1749.87', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585410', '0', 'object/static/flora/shared_potted_plant_leaves_small.iff', '0', '0', '0', '1', '-6455.77', '7.57313', '1751.29', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585411', '0', 'object/static/flora/shared_potted_plant_leaves_small.iff', '0', '0', '0', '1', '-6455.26', '7.56192', '1751.28', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585412', '0', 'object/static/flora/shared_potted_plant_leaves_small.iff', '0', '0', '0', '1', '-6455.57', '7.53296', '1750.74', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585413', '0', 'object/static/flora/shared_potted_plant_leaves_fern.iff', '0', '0', '0', '1', '-6458.73', '7.31396', '1748.76', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585414', '0', 'object/static/flora/shared_potted_plant_leaves_fern.iff', '0', '0', '0', '1', '-6458.57', '7.29518', '1748.43', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585415', '0', 'object/static/flora/shared_potted_plant_leaves_fern.iff', '0', '0', '0', '1', '-6459.33', '6.90364', '1748.26', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585417', '0', 'object/static/flora/shared_flora_tree_lok_mkpud.iff', '0', '0', '0', '1', '-6456.89', '7.65618', '1749.71', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585418', '0', 'object/static/flora/shared_flora_tree_lok_mkpud.iff', '0', '0', '0.479426', '0.877582', '-6458.02', '7.99067', '1744.44', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585419', '0', 'object/static/flora/shared_flora_tree_lok_mkpud.iff', '0', '0', '0', '1', '-6451.81', '6.98327', '1747.26', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585420', '0', 'object/static/flora/shared_flora_tree_lok_mkpud.iff', '0', '0', '0', '1', '-6454.69', '7.23305', '1744.66', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585421', '0', 'object/static/flora/shared_flora_tree_lok_mkpud.iff', '0', '0', '0', '1', '-6462', '8.16562', '1747.85', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585422', '0', 'object/static/flora/shared_flora_tree_lok_mkpud.iff', '0', '0', '0', '1', '-6456.64', '9.76018', '1753.03', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585424', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0', '0', '1', '-6453.98', '8.83091', '1746.26', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585425', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0', '0', '1', '-6451.84', '8.1214', '1751.77', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585426', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0', '0', '1', '-6463.22', '8.18835', '1753.35', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585427', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0', '0', '1', '-6462.4', '8.12824', '1745.42', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585428', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0', '0', '1', '-6456.84', '7.90617', '1743.53', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585429', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0', '0', '1', '-6451.66', '7.99225', '1749.4', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585430', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0', '0', '1', '-6448.67', '7.82924', '1748.21', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585431', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0', '0', '1', '-6456.67', '9.81145', '1744.64', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585432', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0', '0', '1', '-6453.24', '7.72005', '1773.72', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585433', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0', '0', '1', '-6481.92', '6.8308', '1752.52', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585434', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0', '0', '1', '-6463.42', '7.52626', '1733.2', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585435', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0', '0', '1', '-6433.83', '8.19991', '1760.62', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585436', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0', '0', '1', '-6448.14', '12.5158', '1785.85', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585438', '0', 'object/static/flora/shared_flora_decd_scorched_tallbirch_broke.iff', '0', '0', '0', '1', '-7411.63', '2.80381', '915.876', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585446', '0', 'object/static/flora/shared_flora_decd_scorched_tallbirch_broke.iff', '0.158198', '0.656943', '0.162327', '0.719061', '-7412.24', '2.85451', '908.802', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585448', '0', 'object/static/flora/shared_flora_decd_scorched_tallbirch_broke.iff', '0.128494', '0.650568', '-0.294923', '-0.687948', '-7415.95', '2.95605', '913.91', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585449', '0', 'object/static/flora/shared_flora_decd_scorched_tallbirch_broke.iff', '-0.0210564', '0.256639', '-0.463043', '0.848106', '-7413.59', '2.96482', '920.855', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585450', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0', '0', '1', '-7409.72', '2.91417', '923.955', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585451', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0', '0', '1', '-7417.94', '2.9387', '919.544', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585452', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0', '0', '1', '-7406.78', '2.86374', '901.619', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585453', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0', '0', '1', '-7414.61', '2.91883', '916.178', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585454', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0', '0', '1', '-7421.77', '2.98312', '904.666', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585455', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0', '0', '1', '-7397.39', '3.30343', '929.488', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585456', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0', '0', '1', '-7419.21', '3.14165', '929.291', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585457', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0', '0', '1', '-7393.19', '2.96784', '915.52', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585458', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0', '0', '1', '-7402.39', '2.93248', '913.21', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585459', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-7414.75', '1.3606', '917.475', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585466', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_medium.iff', '0', '0', '0', '1', '-6236.01', '16.8117', '1041.95', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585467', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '-0.648034', '0', '0.761611', '-6231.09', '38.9134', '1039.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585468', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.352274', '0', '0.935897', '-6232.32', '37.907', '1047.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585469', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '-0.15438', '0', '0.988012', '-6238.53', '36.9029', '1049.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585470', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '-0.505533', '0', '0.862807', '-6243.96', '35.5463', '1045.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585471', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.466208', '0', '0.884675', '-6243.02', '35.9206', '1038.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585472', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '-0.183947', '0', '0.982936', '-6235', '38.1891', '1034.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585473', '0', 'object/static/flora/shared_flora_tree_lok_mkpud.iff', '0', '0', '0', '1', '-6235.47', '35.9784', '1036.61', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585474', '0', 'object/static/flora/shared_flora_tree_lok_mkpud.iff', '0', '0', '0', '1', '-6243', '34.9101', '1042.49', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585475', '0', 'object/static/flora/shared_flora_tree_lok_mkpud.iff', '0', '0', '0', '1', '-6240.63', '35.2082', '1037.93', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585476', '0', 'object/static/flora/shared_flora_tree_lok_mkpud.iff', '0', '0', '0', '1', '-6235.97', '35.6547', '1047.31', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585477', '0', 'object/static/flora/shared_flora_tree_lok_mkpud.iff', '0', '0', '0', '1', '-6240.79', '35.0582', '1046.74', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585478', '0', 'object/static/flora/shared_flora_tree_lok_mkpud.iff', '0', '0', '0', '1', '-6232.99', '36.2712', '1041.53', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585479', '0', 'object/static/flora/shared_flora_tree_lok_mkpud.iff', '0', '0', '0', '1', '-6234.34', '35.8941', '1044.92', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585480', '0', 'object/static/flora/shared_flora_tree_lok_mkpud.iff', '0', '0', '0', '1', '-6237.4', '35.0208', '1044.74', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585481', '0', 'object/static/structure/dantooine/shared_dant_fence_4m.iff', '0', '0.29552', '0', '0.955336', '-6239.73', '36.9571', '1033.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585484', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-6236', '35.4454', '1041.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585486', '0', 'object/static/structure/tatooine/shared_skeleton_greater_krayt_spine_small.iff', '-0.015378', '0.439193', '0.0314327', '0.897711', '-4846.64', '126.325', '1607.64', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585487', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_foot.iff', '-0.18188', '0.874756', '0.0914291', '-0.43973', '-4850.15', '128.256', '1602.37', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585488', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0', '0', '1', '-4849.21', '127.535', '1605.81', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585489', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0', '0', '1', '-4846.57', '127.788', '1603.82', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585491', '0', 'object/static/flora/shared_flora_decd_dath_azerontree.iff', '0', '0', '0', '1', '-4869.92', '405.868', '818.742', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585492', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '-0.248957', '0.730997', '-0.296539', '-0.561898', '-4871.53', '405.174', '818.914', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585493', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.9871', '0', '-0.160105', '-4870.79', '408.361', '817.198', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585495', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.935616', '0', '-0.353019', '-4870.59', '405.069', '815.219', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585496', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.978197', '0', '-0.207681', '-4870.74', '405.035', '815.297', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585498', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '-4870.1', '405.259', '807.626', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585499', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0', '0', '1', '-4871.03', '404.32', '817.733', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585500', '0', 'object/static/structure/naboo/shared_gungan_relic_s02.iff', '-0.0755318', '0.183751', '-0.37261', '0.906473', '-3729.59', '78.244', '266.237', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585501', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0', '-0.342898', '0.939373', '-3735.46', '80.4447', '264.228', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585502', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0', '0.0649542', '0.997888', '-3731.83', '79.0342', '269.597', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585503', '0', 'object/static/structure/naboo/shared_gungan_relic_s02.iff', '0', '0', '-0.605186', '0.796084', '-3740.8', '82.9144', '267.824', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585504', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s02.iff', '0', '-0.227977', '0', '0.973666', '-3728.24', '77.8325', '278.954', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8585505', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0', '0', '0', '1', '-3733.47', '78.8238', '266.991', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8625352', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0', '0', '1', '-2949.8', '9.69369', '1697.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8625354', '0', 'object/static/structure/general/shared_prp_junk_s7.iff', '0.92388', '4.18191e-09', '1.0096e-08', '-0.382683', '-2951.07', '14.69', '1701.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8625355', '0', 'object/static/structure/general/shared_prp_junk_s7.iff', '4.40112e-08', '0.382684', '0.92388', '1.0096e-08', '-2950.76', '13.6933', '1695.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8625356', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0', '0', '1', '-2953.92', '9.69851', '1698.66', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8625358', '0', 'object/static/structure/general/shared_campfire_ash.iff', '0', '0', '0', '1', '-2952.27', '9.85708', '1699.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8625359', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0', '0', '0', '1', '-2951.36', '10.3267', '1700.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8625361', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '0', '0', '0', '1', '-2948.55', '10.101', '1699.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8625362', '0', 'object/static/structure/general/shared_prp_junk_s5.iff', '0', '-0.324043', '0', '0.946042', '-2955.52', '9.83873', '1700.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8625363', '0', 'object/static/structure/general/shared_prp_junk_s3.iff', '0', '0', '0', '1', '-2957.48', '8.94719', '1695.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8625365', '0', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_01.iff', '0', '0.685288', '0', '0.728272', '-2952.16', '9.57506', '1697.83', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '8625366', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-2952.55', '8.59949', '1698.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8725352', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-5793.17', '6.5456', '4162.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8725355', '0', 'object/building/naboo/shared_filler_nboo_bldg_64x32_style_01.iff', '0', '0.998085', '0', '-0.0618635', '-5765.74', '6', '4310.13', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '8725359', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s07.iff', '0', '-0.139543', '0', '0.990216', '5189.75', '350.158', '-1393.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8725360', '0', 'object/static/structure/general/shared_nboo_imprv_flower_urn_s01.iff', '0', '0.75128', '0', '0.659983', '5137.95', '346.504', '-1508.83', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8825472', '0', 'object/static/structure/naboo/shared_gungan_statue_s01.iff', '0', '0', '0', '1', '5559', '-193.814', '5531', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8825473', '0', 'object/static/structure/naboo/shared_fountain_naboo_style_1.iff', '0', '0', '0', '1', '5559', '-197.076', '5531', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8825476', '0', 'object/building/naboo/shared_filler_building_naboo_style_2.iff', '0', '1', '0', '3.20013e-08', '5559', '-205.265', '5531', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '8835486', '0', 'object/static/structure/naboo/shared_gungan_filler_building_s02.iff', '0', '-0.193767', '0', '0.981048', '-3137.56', '1.07318', '2518.23', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '8835487', '0', 'object/static/structure/naboo/shared_gungan_damaged_wide_arch_s01.iff', '0', '0.585097', '0', '0.810963', '-3147.04', '1.83172', '2543.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8835488', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0', '0', '1', '-3141.05', '1.39526', '2549.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8835489', '0', 'object/static/structure/naboo/shared_gungan_damaged_wall_lg_s01.iff', '0.0369206', '-0.165105', '-0.215084', '0.96183', '-3158.3', '0.445381', '2532.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8835490', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0', '0', '1', '-3157.7', '1.26186', '2540.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8835491', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s02.iff', '0.0383455', '-0.179905', '-0.204903', '0.961342', '-3128.66', '1.51171', '2551.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8835492', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0', '0', '1', '-3122.69', '0.641705', '2540.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8835493', '0', 'object/static/structure/naboo/shared_gungan_statue_s02.iff', '0', '-0.149438', '0', '0.988771', '-3139.15', '4.0535', '2522.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8835494', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0', '0', '0', '1', '-3140.62', '2.53247', '2526.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8835495', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0', '0', '0', '1', '-3149.19', '1.96849', '2553.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8835496', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0', '0.188859', '0.982004', '-2193.56', '9.04823', '679.785', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '8835497', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0.0254154', '0.561364', '0.286439', '0.776001', '-2179.2', '8.32354', '678.592', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '8835498', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_16_style_01.iff', '0', '-0.0199987', '0', '0.9998', '-2188.53', '8.14388', '674.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8835499', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_16_style_01.iff', '-0.382607', '-0.0184762', '-0.00765308', '0.923695', '-2191.16', '9.36248', '684.775', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8835500', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '-2199.83', '11.6766', '698.615', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8835501', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '-2197.46', '10.6964', '700.923', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8835502', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '-2199.95', '10.5096', '698.301', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8835503', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '-2197.46', '10.764', '701.606', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8835504', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0', '0', '1', '-2194.76', '10.8857', '699.715', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8835505', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0', '0', '0', '1', '-2196.77', '10.9758', '704.019', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8835506', '0', 'object/static/structure/general/shared_prp_junk_s7.iff', '-0.00388362', '0.38268', '0.923871', '0.00160864', '-2197.64', '14.3533', '695.679', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8835507', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0.659384', '0.751806', '-2178.96', '11.0595', '688.646', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '8835508', '0', 'object/static/structure/general/shared_prp_engine.iff', '0', '0', '0', '1', '-2195.29', '10.8085', '701.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8845415', '0', 'object/tangible/sign/shared_all_sign_city_s03.iff', '0', '-0.593177', '0', '0.805072', '5315.68', '326', '-1587.79', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '8845416', '0', 'object/building/naboo/shared_association_hall_civilian_naboo.iff', '0', '1', '0', '-3.20013e-08', '4911.47', '360', '-1372.99', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '8845417', '8845416', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '8845418', '8845416', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '8845419', '8845416', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '8845420', '8845416', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '8845421', '8845416', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '8845422', '8845416', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '8845423', '8845416', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '8845424', '8845416', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '8845425', '8845416', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '8845426', '8845416', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '8845427', '8845416', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '8845428', '8845416', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '8845429', '8845416', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '8845430', '8845416', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '8845431', '8845416', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '8845432', '8845416', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '8845433', '8845416', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905413', '0', 'object/static/structure/naboo/shared_nboo_imprv_flagpole_s01.iff', '0', '0', '0', '1', '5115.8', '358.251', '-1440.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905414', '0', 'object/static/structure/naboo/shared_nboo_imprv_flagpole_s01.iff', '0', '0', '0', '1', '5163.47', '358.251', '-1455.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905415', '0', 'object/static/structure/naboo/shared_nboo_imprv_flagpole_s01.iff', '0', '0', '0', '1', '4893.54', '372.497', '-1389.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905416', '0', 'object/static/structure/naboo/shared_nboo_imprv_flagpole_s01.iff', '0', '0', '0', '1', '4929.59', '372.497', '-1389.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905421', '0', 'object/static/structure/naboo/shared_nboo_imprv_bannerpole_s01.iff', '0', '0.541903', '0', '0.840441', '4705.56', '330.408', '-1389.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905422', '0', 'object/static/structure/naboo/shared_nboo_imprv_bannerpole_s01.iff', '0', '0.541903', '0', '0.840441', '4698.29', '330.408', '-1373.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905423', '0', 'object/static/structure/naboo/shared_nboo_imprv_flagpole_s01.iff', '0', '0', '0', '1', '4690.19', '343.261', '-1404.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905424', '0', 'object/static/structure/naboo/shared_nboo_imprv_flagpole_s01.iff', '0', '0', '0', '1', '4676.67', '343.261', '-1375.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905425', '0', 'object/static/structure/naboo/shared_nboo_imprv_flagpole_s01.iff', '0', '0', '0', '1', '5339.93', '335.799', '-1592.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905426', '0', 'object/static/structure/naboo/shared_nboo_imprv_flagpole_s01.iff', '0', '0', '0', '1', '5117.93', '-184.319', '6599.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905427', '0', 'object/static/structure/naboo/shared_nboo_imprv_flagpole_s01.iff', '0', '0', '0', '1', '5264.55', '-166.304', '6726.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905428', '0', 'object/static/structure/naboo/shared_nboo_imprv_flagpole_s01.iff', '0', '0', '0', '1', '5252.64', '-162.978', '6609.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905429', '0', 'object/static/structure/general/shared_cave_wall_damprock_style_01.iff', '0.019472', '0.00455925', '-0.227932', '0.973472', '5175.09', '381.929', '-1662.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905430', '0', 'object/static/structure/general/shared_cave_wall_damprock_style_01.iff', '0.0228705', '-0.00943468', '0.314437', '0.948956', '5185.36', '381.966', '-1663.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905431', '0', 'object/static/structure/general/shared_cave_wall_damprock_style_01.iff', '0.142194', '0.0446839', '0.386846', '0.910019', '5188.19', '383.723', '-1657.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905432', '0', 'object/static/structure/naboo/shared_nboo_imprv_flagpole_s01.iff', '0', '0', '0', '1', '5347.36', '-168.337', '6614.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905433', '0', 'object/static/structure/naboo/shared_nboo_imprv_flagpole_s01.iff', '0', '0', '0', '1', '5360.64', '-168.805', '6695.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905434', '0', 'object/static/structure/general/shared_cave_wall_damprock_style_01.iff', '0.019327', '0.00514095', '-0.257029', '0.966197', '5169.98', '384.197', '-1654.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905435', '0', 'object/static/structure/naboo/shared_nboo_imprv_flagpole_s01.iff', '0', '0', '0', '1', '5191.67', '-178.41', '6762.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905436', '0', 'object/static/structure/naboo/shared_nboo_imprv_flagpole_s01.iff', '0', '0', '0', '1', '5170.68', '-178.309', '6742.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905437', '0', 'object/static/structure/naboo/shared_nboo_imprv_flagpole_s01.iff', '0', '0', '0', '1', '5181.14', '-183.656', '6818.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905438', '0', 'object/static/structure/naboo/shared_nboo_imprv_flagpole_s01.iff', '0', '0', '0', '1', '5215.26', '-183.656', '6781.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905439', '0', 'object/static/structure/general/shared_cave_wall_damprock_style_01.iff', '0', '0', '0', '1', '5167.86', '345.277', '-1604.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905440', '0', 'object/static/structure/naboo/shared_nboo_imprv_bannerpole_s01.iff', '0', '0.991562', '0', '0.129634', '1974.74', '10.9052', '2183.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905441', '0', 'object/static/structure/naboo/shared_nboo_imprv_bannerpole_s01.iff', '0', '-0.129634', '0', '0.991562', '1991.03', '11.0567', '2187.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905442', '0', 'object/static/structure/general/shared_cave_wall_damprock_style_01.iff', '0.212748', '-0.0159861', '-0.0732046', '0.97423', '5185.97', '324.489', '-1594.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905443', '0', 'object/static/structure/general/shared_cave_wall_damprock_style_01.iff', '0.019676', '0.00358', '-0.178994', '0.983647', '5174.45', '324.633', '-1584.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905448', '0', 'object/static/structure/naboo/shared_nboo_imprv_flagpole_s01.iff', '0', '0', '0', '1', '2053.38', '27.6368', '2540.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905449', '0', 'object/static/structure/naboo/shared_nboo_imprv_flagpole_s01.iff', '0', '0', '0', '1', '1811.99', '20.7181', '2690.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905450', '0', 'object/static/structure/naboo/shared_nboo_imprv_flagpole_s01.iff', '0', '0', '0', '1', '1761.94', '20.7866', '2689.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905451', '0', 'object/static/structure/naboo/shared_nboo_imprv_flagpole_s01.iff', '0', '0', '0', '1', '1699.67', '24.7115', '2692.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905452', '0', 'object/static/structure/naboo/shared_nboo_imprv_flagpole_s01.iff', '0', '0', '0', '1', '1699.68', '24.7115', '2721.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905453', '0', 'object/static/structure/naboo/shared_nboo_imprv_flagpole_s01.iff', '0', '0', '0', '1', '-5526.31', '-124.264', '-34.1122', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905454', '0', 'object/static/structure/naboo/shared_nboo_imprv_flagpole_s01.iff', '0', '0', '0', '1', '-5486.47', '-141.298', '-37.2459', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905455', '0', 'object/static/structure/naboo/shared_nboo_imprv_bannerpole_s01.iff', '0', '0.0948572', '0', '0.995491', '-5545.32', '-158.272', '-120.853', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905456', '0', 'object/static/structure/naboo/shared_nboo_imprv_bannerpole_s01.iff', '0', '0.995491', '0', '-0.094857', '-5534.14', '-158.222', '-122.989', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905457', '0', 'object/static/structure/naboo/shared_nboo_imprv_flagpole_s01.iff', '0', '0', '0', '1', '-5551.98', '-131.562', '-15.962', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905458', '0', 'object/static/structure/naboo/shared_nboo_imprv_flagpole_s01.iff', '0', '0', '0', '1', '-5551.99', '-131.563', '-51.5095', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905459', '0', 'object/static/structure/naboo/shared_nboo_imprv_bannerpole_s01.iff', '0', '0', '0', '1', '4727.29', '4.17', '-4685.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905460', '0', 'object/static/structure/naboo/shared_nboo_imprv_bannerpole_s01.iff', '0', '0.92269', '0', '-0.385543', '4701.76', '4.17', '-4674.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905461', '0', 'object/static/structure/naboo/shared_nboo_imprv_flagpole_s01.iff', '0', '0', '0', '1', '4969.77', '12.3578', '-4908.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905464', '0', 'object/static/structure/naboo/shared_nboo_imprv_flagpole_s01.iff', '0', '0', '0', '1', '4673.3', '12.4917', '-4918.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905465', '0', 'object/static/structure/naboo/shared_nboo_imprv_flagpole_s01.iff', '0', '0', '0', '1', '4672.82', '12.4917', '-4869', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905466', '0', 'object/static/structure/naboo/shared_nboo_imprv_flagpole_s01.iff', '0', '0', '0', '1', '-5455.03', '18.7227', '4281.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905467', '0', 'object/static/structure/naboo/shared_nboo_imprv_flagpole_s01.iff', '0', '0', '0', '1', '-5455.31', '18.7227', '4252.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905468', '0', 'object/static/structure/naboo/shared_nboo_imprv_flagpole_s01.iff', '0', '0', '0', '1', '-5426.6', '14.6446', '4314.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905469', '0', 'object/static/structure/naboo/shared_nboo_imprv_bannerpole_s01.iff', '0', '0', '0', '1', '-5512', '9.28815', '4423.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905470', '0', 'object/static/structure/naboo/shared_nboo_imprv_bannerpole_s01.iff', '0', '1', '0', '-3.20013e-08', '-5480.09', '9.28815', '4423.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905471', '0', 'object/static/structure/naboo/shared_nboo_imprv_flagpole_s01.iff', '0', '0', '0', '1', '-5487.08', '107.874', '4892.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905472', '0', 'object/static/structure/naboo/shared_nboo_imprv_flagpole_s01.iff', '0', '0', '0', '1', '-5351.28', '18.3871', '4391.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905473', '0', 'object/static/structure/naboo/shared_nboo_imprv_flagpole_s01.iff', '0', '0', '0', '1', '-5351.39', '18.3871', '4420.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905475', '0', 'object/static/structure/naboo/shared_nboo_imprv_flagpole_s01.iff', '0', '0', '0', '1', '-5708.71', '31.982', '4231.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905476', '0', 'object/static/structure/naboo/shared_nboo_imprv_flagpole_s01.iff', '0', '0', '0', '1', '-5393.94', '18.7389', '4177.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905477', '0', 'object/static/structure/naboo/shared_nboo_imprv_flagpole_s01.iff', '0', '0', '0', '1', '-5365.06', '18.7389', '4177.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905478', '0', 'object/static/structure/naboo/shared_nboo_imprv_flagpole_s01.iff', '0', '0', '0', '1', '-4993.19', '14.6742', '4110.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905479', '0', 'object/static/structure/naboo/shared_nboo_imprv_flagpole_s01.iff', '0', '0', '0', '1', '-5062.67', '31.7035', '4102.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905484', '0', 'object/static/structure/naboo/shared_nboo_imprv_flagpole_s01.iff', '0', '0', '0', '1', '-4888.78', '50.3857', '4206.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905485', '0', 'object/static/structure/naboo/shared_nboo_imprv_flagpole_s01.iff', '0', '0', '0', '1', '-4809.9', '50.2965', '4138.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905491', '0', 'object/static/structure/naboo/shared_fountain_naboo_style_1.iff', '0', '0', '0', '1', '-5671.09', '6', '4222.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905496', '0', 'object/building/naboo/shared_housing_naboo_style_3.iff', '0', '0.844162', '0', '-0.536088', '5061.29', '360', '-1416.32', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905499', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_lattice_s01.iff', '0', '0.770992', '0', '0.636844', '-5533.48', '-153.562', '-113.198', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905500', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_lattice_s01.iff', '0', '0.770992', '0', '0.636844', '-5542.71', '-153.662', '-111.402', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905501', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_lattice_s01.iff', '-0.636844', '2.55083e-08', '0.770992', '2.06258e-08', '-5542.71', '-157.66', '-111.402', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905532', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '-0.703561', '0', '0.710635', '1990.27', '22.908', '2703.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905533', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '1987.23', '25.3902', '2703.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905537', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '1993.24', '25.3724', '2703.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905538', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '1993.12', '25.3645', '2686.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905539', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '-0.703562', '0', '0.710634', '1990.12', '22.9001', '2686.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905540', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '1987.11', '25.3823', '2686.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905541', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s02.iff', '0.0399224', '0.112859', '0.331089', '0.935975', '2060.36', '19.59', '2579.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905543', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s02.iff', '0', '0.119712', '0', '0.992809', '2046.94', '7.22137', '2583.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905544', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s02.iff', '-0.00538558', '0.119591', '-0.0446611', '0.991804', '2054.27', '10.8951', '2581.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905545', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s02.iff', '0.0404856', '0.112659', '0.335765', '0.934308', '2058.77', '19.7834', '2576.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8905546', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s02.iff', '-7.6863e-07', '0.119712', '2.92548e-07', '0.992809', '2046.76', '7.12447', '2579.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8915357', '0', 'object/static/structure/tatooine/shared_guild_statue_free_style_01.iff', '0', '1', '0', '0.000796288', '-3602.73', '22.0869', '3127.63', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '8915377', '0', 'object/static/structure/naboo/shared_gate_narrow_s02.iff', '0', '0.999958', '0', '-0.00920349', '-3602.86', '23.6738', '3121.66', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8915383', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_lg_s02.iff', '0', '0.713863', '0', '0.700285', '-3600.26', '24.1612', '3127.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8915395', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_lg_s02.iff', '0', '0.717356', '0', '0.696707', '-3605.14', '24.1839', '3128.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8915413', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0', '0', '1', '-3602.69', '22.7694', '3129.35', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8915414', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0', '0', '1', '-3603.21', '24.2371', '3129.67', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8915415', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0', '0', '1', '-3601.14', '24.1974', '3128.4', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8915416', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0', '0', '1', '-3605.21', '24.2209', '3129.15', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '8915417', '0', 'object/static/structure/general/shared_gravestone_generic_style_01.iff', '0', '0.999816', '0', '-0.0192025', '-3604.3', '24.1573', '3126.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8915418', '0', 'object/static/structure/general/shared_gravestone_generic_style_04.iff', '0', '0.999958', '0', '-0.00920353', '-3602.77', '24.1504', '3126.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8915420', '0', 'object/static/structure/general/shared_gravestone_generic_style_01.iff', '0', '0.999816', '0', '-0.019203', '-3601.31', '24.1441', '3126.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8915423', '0', 'object/static/structure/general/shared_gravestone_generic_style_04.iff', '0', '0.999958', '0', '-0.009204', '-3602.88', '24.0793', '3123.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8915425', '0', 'object/static/structure/general/shared_gravestone_generic_style_01.iff', '0', '0.999816', '0', '-0.019203', '-3604.38', '24.0866', '3123.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8915426', '0', 'object/static/structure/general/shared_gravestone_generic_style_01.iff', '0', '0.999816', '0', '-0.019203', '-3601.39', '24.0666', '3123.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '8915427', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-3602.71', '22.7387', '3126.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9005356', '0', 'object/static/structure/dantooine/shared_dant_jedi_wall_2.iff', '0', '-0.0449848', '0', '0.998988', '-1776.77', '12.1358', '2390.61', '256', '1');
INSERT INTO `staticobjects` VALUES ('5', '9005361', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0', '0', '1', '-1770.53', '12.2799', '2395.71', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '9005362', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_fallen.iff', '0', '0.543835', '0', '0.839192', '-1767.99', '12.0024', '2390.37', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '9005363', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_fallen.iff', '0', '0', '0', '1', '-1767.32', '11.6505', '2393.32', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '9005364', '0', 'object/static/structure/general/shared_campfire_burnt.iff', '0', '0', '0', '1', '-1772.85', '12.0915', '2390.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9005365', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.973485', '0', '0.228753', '-1769.98', '13.0993', '2394.81', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '9005367', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0', '0', '1', '-1772.78', '10.6687', '2390.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9005391', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '0', '0', '1', '-306.394', '4.15863', '1849.49', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '9005392', '0', 'object/static/structure/general/shared_campfire_ash.iff', '0', '0', '0', '1', '-301.672', '4.57324', '1852.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9005393', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-304.66', '2.46944', '1851.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9005406', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_sml_s03.iff', '0', '0.713864', '0', '-0.700285', '-1139.66', '11.3685', '353.124', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9005412', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '-1148.62', '9.76593', '353.321', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9005413', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '-1139.55', '9.82889', '353.469', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9005414', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '-1139.43', '9.79123', '343.181', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9005415', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '-1148.87', '9.79019', '343.261', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9005416', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_sml_s03.iff', '0', '-0.706826', '0', '0.707388', '-1148.81', '11.3036', '353.042', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9005424', '0', 'object/static/structure/naboo/shared_nboo_imprv_spill_gate_pillar_s01.iff', '0', '0', '0', '1', '-1144', '13.806', '348.263', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9005425', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_sml_s03.iff', '0', '0.999958', '0', '0.00920403', '-1149.41', '11.3267', '343.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9005426', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_sml_s03.iff', '0', '0.999958', '0', '0.009204', '-1149.2', '11.3408', '353.318', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9005427', '0', 'object/static/item/shared_item_bowl_shallow.iff', '0', '0', '0', '1', '-1143.96', '16.8157', '348.249', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '9005428', '0', 'object/static/particle/shared_particle_campfire_style_1.iff', '0', '0', '0', '1', '-1144.05', '17.4774', '348.197', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '9005429', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0.700857', '0', '0.713302', '-1143.25', '4.87538', '347.807', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9005430', '0', 'object/static/structure/tatooine/shared_guild_statue_free_style_01.iff', '0', '0.999942', '0', '0.0107961', '-1144', '9.95816', '346.423', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '9005431', '0', 'object/static/structure/tatooine/shared_guild_statue_free_style_01.iff', '0', '0.696145', '0', '0.717901', '-1142.17', '9.97035', '348.308', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '9005432', '0', 'object/static/structure/tatooine/shared_guild_statue_free_style_01.iff', '0', '-0.0149848', '0', '0.999888', '-1144.07', '10.3038', '350.228', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '9005433', '0', 'object/static/structure/tatooine/shared_guild_statue_free_style_01.iff', '0', '0.710353', '0', '-0.703845', '-1145.83', '10.1627', '348.266', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525352', '0', 'object/static/structure/naboo/shared_nboo_imprv_tall_curved_wall_large_s01.iff', '0', '0.633907', '0', '0.77341', '1255.3', '11.6282', '4287.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525353', '0', 'object/static/structure/general/shared_gravestone_generic_style_02.iff', '0', '-0.539632', '0', '0.841901', '1266.09', '11.3916', '4288.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525354', '0', 'object/static/structure/general/shared_gravestone_generic_style_05.iff', '0', '0', '0', '1', '1260.1', '11.32', '4290.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525355', '0', 'object/static/structure/general/shared_gravestone_generic_style_03.iff', '0', '-0.663136', '0', '0.748499', '1261.06', '11.2985', '4283.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525356', '0', 'object/static/structure/general/shared_gravestone_generic_style_04.iff', '0', '-0.685289', '0', '0.728271', '1260.35', '11.3133', '4286.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525357', '0', 'object/static/structure/general/shared_gravestone_generic_style_03.iff', '0', '0.731146', '0', '-0.682221', '1264.21', '11.3572', '4285.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525358', '0', 'object/static/structure/general/shared_gravestone_generic_style_01.iff', '0', '-0.42141', '0', '0.90687', '1264.61', '11.2188', '4291.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525359', '0', 'object/static/structure/naboo/shared_nboo_imprv_tall_curved_wall_large_s01.iff', '0', '0.92269', '0', '-0.385543', '1268.45', '11.6381', '4292.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525360', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '-0.203567', '0', '0.979061', '1264.92', '13.0335', '4281.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525361', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '-0.305058', '0', '0.952334', '1268.87', '13.0528', '4291.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525362', '0', 'object/static/structure/naboo/shared_nboo_imprv_tall_curved_wall_large_s01.iff', '0', '-0.203567', '0', '0.979061', '1264.8', '11.6942', '4281.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525363', '0', 'object/static/structure/naboo/shared_gate_narrow_s02.iff', '0', '-0.576959', '0', '0.816773', '1256.04', '10.9007', '4289.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525364', '0', 'object/static/structure/naboo/shared_gungan_cleft_wall_lg_s01.iff', '0', '-0.597195', '0', '0.802096', '1230.62', '-198.039', '5520.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525365', '0', 'object/static/structure/naboo/shared_gungan_damaged_narrow_arch_s01.iff', '0', '0.139543', '0', '0.990216', '1233.36', '-198.068', '5516.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525366', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0.183947', '0', '0.982936', '1226.83', '-197.787', '5522.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525367', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0.109778', '0', '0.993956', '1221.42', '-196.548', '5511.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525368', '0', 'object/static/structure/naboo/shared_gungan_relic_s02.iff', '0', '-0.380188', '0', '0.924909', '1228.34', '-210.86', '5515.82', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525370', '0', 'object/static/structure/naboo/shared_gungan_statue_s02.iff', '-0.236706', '0.619451', '0.267176', '0.699191', '1228.55', '-197.935', '5512.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525375', '0', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff', '-0.0869008', '0.407713', '0.189483', '0.888997', '1944.24', '-191.33', '6613.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525376', '0', 'object/static/structure/naboo/shared_gungan_statue_s01.iff', '0', '0', '0', '1', '1943.36', '-187.889', '6606.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525377', '0', 'object/static/structure/naboo/shared_gungan_statue_s04.iff', '0', '-0.696135', '0', '0.717911', '1952.74', '-187.781', '6614.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525378', '0', 'object/static/structure/naboo/shared_gungan_statue_s03.iff', '0', '0.999875', '0', '-0.0157957', '1943.35', '-187.643', '6621.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525381', '0', 'object/static/structure/naboo/shared_gungan_statue_s02.iff', '0', '0.640386', '0', '0.768054', '1932.38', '-187.707', '6613.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525390', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s02.iff', '0', '0.342898', '0', '0.939373', '2141.93', '-196.021', '5430.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525391', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s01.iff', '0', '-0.338197', '0', '0.941075', '2141.34', '-196.01', '5424.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525393', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0.942489', '0', '0.334238', '2146.95', '-196.004', '5419.66', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525394', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0.352274', '0', '0.935897', '2153.2', '-196.004', '5425.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525395', '0', 'object/static/structure/naboo/shared_gungan_damaged_wide_arch_s01.iff', '0', '0.380189', '0', '0.924909', '2150.12', '-195.993', '5422.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525396', '0', 'object/static/structure/naboo/shared_gungan_statue_s01.iff', '0', '0.937369', '0', '0.348337', '2149.28', '-195.993', '5419.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525397', '0', 'object/static/structure/naboo/shared_gungan_statue_s01.iff', '0', '0.937369', '0', '0.348337', '2152.92', '-196.011', '5423.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525415', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0', '0', '1', '-5487.33', '27.0147', '4898.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525416', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '0', '1', '-0.000796363', '-5487.5', '39.7111', '4891.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525419', '0', 'object/static/structure/naboo/shared_gungan_relic_s01.iff', '0', '0', '0', '1', '3423.03', '-209.459', '5076.7', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525421', '0', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff', '0', '0', '0', '1', '3414.41', '-202.389', '5071.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525422', '0', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff', '0', '0', '0.261909', '0.965092', '3432.54', '-200.742', '5073.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525429', '0', 'object/static/structure/naboo/shared_gungan_damaged_narrow_arch_s01.iff', '0', '-0.66687', '0', '0.745174', '-6592.72', '151.111', '-2684.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525433', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0', '-0.305059', '0.952334', '-6590.97', '152.294', '-2680.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525434', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0', '0', '1', '-6595.45', '152.987', '-2676.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525435', '0', 'object/static/structure/naboo/shared_gungan_statue_s03.iff', '-0.13541', '0.854167', '0.222717', '-0.449956', '-6594.28', '152.296', '-2679.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525438', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0', '0', '0', '1', '-6592.59', '150.804', '-2680.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525440', '0', 'object/static/structure/naboo/shared_gate_narrow_s02.iff', '-0.0107076', '0.535309', '-0.117857', '0.836325', '-7322.49', '10.8025', '-4156.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525447', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s07.iff', '0', '0', '0.526943', '0.8499', '-7324.04', '10.8969', '-4160.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525464', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0', '0.271547', '0.962425', '-7334.52', '10.1018', '-4150.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525465', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0', '0', '1', '-7317.64', '11.2626', '-4147.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525474', '0', 'object/static/structure/naboo/shared_gungan_damaged_wide_arch_s01.iff', '0.0447935', '0.152892', '0.277566', '0.947404', '-7327.22', '10.5677', '-4146.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525476', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-7328.48', '9.54138', '-4156.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525496', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '0.983701', '0', '-0.179814', '-4857.54', '6', '4089.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525497', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '0.998248', '0', '-0.0591692', '-4858.92', '6', '4089.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525519', '0', 'object/static/structure/naboo/shared_gungan_statue_s01.iff', '0', '-0.424498', '0', '0.905429', '-4864.93', '6', '4076.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525520', '0', 'object/tangible/speaker/shared_speaker.iff', '0', '-0.416872', '0', '0.908965', '-4823', '6', '4090.58', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525521', '0', 'object/tangible/instrument/shared_nalargon.iff', '0', '-0.570071', '0', '0.821595', '-4820.03', '6', '4083.64', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525522', '0', 'object/tangible/instrument/shared_ommni_box.iff', '0', '0.154379', '0', '0.988012', '-4825.74', '6', '4079.72', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525523', '0', 'object/tangible/microphone/shared_microphone.iff', '0', '-0.434965', '0', '0.900447', '-4828.31', '6', '4086.32', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525524', '0', 'object/tangible/speaker/shared_speaker.iff', '0', '-0.403191', '0', '0.915116', '-4831.51', '6', '4081.25', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525528', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0.920751', '0', '-0.390152', '-4828.92', '6', '4086.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525531', '0', 'object/tangible/crafting/station/shared_public_food_station.iff', '0', '0.911367', '0', '0.411596', '-4938.27', '6', '4150.11', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525532', '0', 'object/static/structure/general/shared_droid_21bmedical_powerdown.iff', '0', '0.144492', '0', '0.989506', '-4937.43', '6', '4147.07', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525535', '0', 'object/tangible/crafting/station/shared_public_food_station.iff', '0', '0.908965', '0', '0.416872', '-4955.35', '6', '4125.7', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525536', '0', 'object/tangible/crafting/station/shared_public_weapon_station.iff', '0', '0.909297', '0', '0.416147', '-4960.08', '6', '4119.46', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525537', '0', 'object/tangible/crafting/station/shared_public_clothing_station.iff', '0', '0.938276', '0', '-0.345888', '-4957.41', '6', '4122.31', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525539', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.702711', '0', '0.711476', '-5461.18', '52.8249', '4813.15', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525540', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.711474', '0', '0.702712', '-5464.19', '52.8249', '4813.29', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525541', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.999999', '0', '-0.00159202', '-5462.68', '52.8249', '4814.79', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525542', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0.343646', '0', '0.939099', '-5462.71', '52.8249', '4813.25', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525543', '0', 'object/static/item/shared_item_con_bowl_serving_full.iff', '0', '0.343646', '0', '0.939099', '-5462.5', '53.7104', '4813.65', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525544', '0', 'object/static/item/shared_item_con_bowl_full.iff', '0', '0.343646', '0', '0.939099', '-5462.4', '53.7104', '4813.34', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525545', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '-0.394019', '0', '0.919102', '-5455.44', '52.8002', '4806.47', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525546', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.0357889', '0', '0.999359', '-5455.57', '52.799', '4805', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525547', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.631439', '0', '0.775426', '-5453.98', '52.8637', '4806.26', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525548', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.999359', '0', '-0.0357891', '-5455.25', '52.799', '4808', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525549', '0', 'object/static/item/shared_item_glass_bluemilk.iff', '0', '1', '0', '0', '-5455.18', '52.9255', '4806.22', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525550', '0', 'object/static/item/shared_item_con_plate_s1_full.iff', '0', '1', '0', '0', '-5455', '53.6844', '4806.49', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525551', '0', 'object/static/item/shared_item_bottle_pear.iff', '0', '1', '0', '0', '-5455.48', '53.6845', '4806.4', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525552', '0', 'object/building/endor/shared_endor_catwalk.iff', '0', '-0.144492', '0', '0.989506', '-6316.12', '4.69255', '-5081.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525553', '0', 'object/static/structure/dantooine/shared_dant_fence_4m.iff', '0', '-0.119712', '0', '0.992809', '-6315.55', '2.96075', '-5081.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525554', '0', 'object/static/structure/dantooine/shared_dant_fish_rack.iff', '0', '0.34759', '0', '0.937646', '-6316.31', '4.71685', '-5078.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525555', '0', 'object/static/structure/dantooine/shared_dant_fire_pit.iff', '0', '0', '0', '1', '-6309.18', '5.57915', '-5084.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525556', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0', '0.452886', '0.891568', '-6310.89', '5.6977', '-5088.38', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525557', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0', '-0.439462', '0.898261', '-6309.52', '5.48266', '-5088.38', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525558', '0', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_01.iff', '0', '0', '0', '1', '-6310.28', '4.82503', '-5089.35', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525562', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0', '0', '1', '-6308.99', '4.64979', '-5084.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525568', '0', 'object/tangible/crafting/station/shared_public_structure_station.iff', '0', '-0.440178', '0', '0.89791', '-4944.15', '6', '4021.22', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525569', '0', 'object/static/structure/general/shared_all_foodcart_s01.iff', '0', '0.338197', '0', '0.941075', '-4874.22', '6', '4066.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525571', '0', 'object/static/structure/general/shared_droid_droideka_powerdown.iff', '0', '0.792563', '0', '0.609791', '-4944.83', '6', '4136', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525579', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.00920326', '0', '0.999958', '-5469.55', '52.8987', '4804.87', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525580', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.999958', '0', '0.00920313', '-5469.58', '52.8987', '4807.9', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525581', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.697284', '0', '0.716795', '-5471.09', '52.8987', '4806.34', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525582', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '-0.434965', '0', '0.900447', '-5469.55', '52.8987', '4806.35', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525583', '0', 'object/static/item/shared_item_bottle_fat.iff', '0', '0.900447', '0', '0.434965', '-5469.81', '53.808', '4806.54', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525584', '0', 'object/static/item/shared_item_glass_empty.iff', '0', '0.900447', '0', '0.434965', '-5470.01', '53.808', '4806.18', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525585', '0', 'object/static/structure/general/shared_data_terminal_free_s1.iff', '0', '0.757843', '0', '0.652437', '-4880.72', '6', '4066.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525588', '0', 'object/building/military/shared_military_outpost_guard_house_imperial.iff', '0', '0', '0', '1', '-4768.94', '326.321', '-3981.51', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525589', '9525588', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525590', '9525588', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525593', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '-0.126322', '0.631683', '0.252992', '0.721813', '-4766.47', '325.259', '-3989.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525594', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0', '-0.203567', '0.979061', '-4778.82', '325.033', '-3987.86', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525595', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0', '0.479425', '0.877583', '-4775.53', '327.482', '-3971.21', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525596', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0', '-0.501213', '0.865324', '-4758.04', '326.283', '-3976.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525604', '0', 'object/static/structure/naboo/shared_obelisk_naboo_theed_style_1.iff', '0', '0', '0', '1', '1216.59', '215.322', '-1248', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525607', '0', 'object/static/item/shared_item_tapestry_imperial.iff', '0', '0', '0', '1', '-4761.62', '332.186', '-3981.88', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525609', '0', 'object/static/structure/naboo/shared_gungan_damaged_wide_arch_s01.iff', '-0.0390191', '0.624116', '0.0312318', '0.779731', '3488.04', '111.665', '-2880.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525610', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-4767.14', '327.013', '-3976.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525611', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '-0.00494083', '-0.0897427', '0.0547498', '0.994447', '3491.88', '113.123', '-2879.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525612', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0.0151241', '-0.232351', '0.0631689', '0.970461', '3483.96', '111.155', '-2881.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525613', '0', 'object/static/structure/naboo/shared_gungan_damaged_wall_lg_s01.iff', '-0.126124', '0.427529', '0.0743426', '0.892068', '3481.35', '109.4', '-2883.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525614', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '-0.111393', '0.363638', '0.0438473', '0.923816', '3477.96', '108.265', '-2885.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525615', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0', '0', '0', '1', '3487.76', '110.308', '-2879.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525616', '0', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff', '-0.0753141', '0.931491', '0.178531', '0.307863', '4661.04', '226.05', '-2487.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525617', '0', 'object/static/structure/naboo/shared_gungan_cleft_wall_lg_s01.iff', '0', '0', '0', '1', '-4417.8', '265.53', '-2218.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525618', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0', '-0.119712', '0.992809', '-4414.12', '266.105', '-2218.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525619', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0', '0', '1', '-4429.4', '263.338', '-2221.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525620', '0', 'object/static/structure/naboo/shared_gungan_damaged_narrow_arch_s01.iff', '0', '0.663136', '0', '0.748499', '-4420.88', '260.521', '-2229.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525621', '0', 'object/static/structure/naboo/shared_gungan_statue_s02.iff', '0', '0.999784', '0', '0.020795', '-4418.29', '260.388', '-2230.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525622', '0', 'object/static/structure/naboo/shared_gungan_statue_s01.iff', '0', '0.999359', '0', '0.0357888', '-4423.39', '260.851', '-2230.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525623', '0', 'object/static/structure/general/shared_campfire_ash.iff', '0', '0', '0', '1', '6465.46', '185.542', '-1306.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525624', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '0.699716', '0', '0.714421', '6461.96', '185.901', '-1306.35', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525625', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '-0.0862593', '0.693549', '0.167261', '-0.695394', '6466.8', '184.868', '-1305.33', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525626', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0', '0', '0', '1', '-4421.19', '261.514', '-2225.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525627', '0', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_01.iff', '0.188431', '0.00931355', '-0.0642923', '0.979936', '6463.83', '185.639', '-1306.29', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525648', '0', 'object/static/structure/naboo/shared_gungan_relic_s02.iff', '0', '0.448423', '0', '0.893822', '7264.47', '107.641', '-2975.19', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525649', '0', 'object/static/structure/dantooine/shared_dant_jedi_wall_1.iff', '0', '0', '0', '1', '-3589.95', '91.6429', '-881.576', '256', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525651', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_fallen.iff', '0', '-0.539632', '0', '0.841901', '-3583.7', '92.1474', '-876.364', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525652', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '0', '0', '1', '-3585.46', '92.2556', '-881.925', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525654', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0', '0', '1', '-3580', '92.065', '-875.026', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525657', '0', 'object/tangible/crafting/station/shared_public_food_station.iff', '0', '0.999989', '0', '0.00460452', '1527.12', '25', '2781.02', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525658', '0', 'object/tangible/crafting/station/shared_public_weapon_station.iff', '0', '0.999985', '0', '-0.00539877', '1520.51', '25', '2781.78', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525659', '0', 'object/tangible/crafting/station/shared_public_clothing_station.iff', '0', '0.712747', '0', '-0.701421', '1533.46', '25', '2779.33', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525662', '0', 'object/static/structure/tatooine/shared_skeleton_greater_krayt_head.iff', '-0.211749', '0.468338', '-0.33486', '0.789741', '1513.09', '25', '2756.94', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525664', '0', 'object/tangible/camp/shared_camp_tent_s1.iff', '0', '0.384808', '0', '0.922997', '3620.15', '107.798', '544.021', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525667', '0', 'object/tangible/crafting/station/shared_public_food_station.iff', '0', '0.748499', '0', '0.663136', '1537.96', '25', '2790.56', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525668', '0', 'object/static/structure/general/shared_droid_21bmedical_powerdown.iff', '0', '0.961055', '0', '0.276356', '1539.56', '25', '2794.59', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525670', '0', 'object/tangible/camp/shared_campfire_logs_burnt.iff', '0', '0', '0', '1', '3621.09', '107.497', '546.572', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525677', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '0.997129', '0', '-0.0757242', '1540.12', '25', '2758.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525678', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '0.998952', '0', '0.0457803', '1538.7', '25', '2758.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525679', '0', 'object/tangible/camp/shared_camp_stool_short.iff', '0', '0', '0', '1', '3620.3', '107.618', '546.483', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525680', '0', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff', '-0.0765724', '0.882475', '0.0715626', '0.458533', '7160.08', '21.7384', '-5760.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525683', '0', 'object/tangible/crafting/station/shared_public_structure_station.iff', '0', '-0.701422', '0', '0.712747', '1531.78', '25', '2746.79', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525684', '0', 'object/static/structure/general/shared_escape_pod.iff', '0.0802775', '-0.665765', '-0.0888062', '0.736496', '-2430.98', '271.916', '-2491.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525694', '0', 'object/static/structure/general/shared_escape_pod_door.iff', '0', '0', '-0.389418', '0.921061', '-2434.2', '269.722', '-2491.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525695', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '-2433.8', '269.087', '-2487.39', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525696', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0', '0', '1', '-2433.6', '270.66', '-2496.24', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525697', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '-2435.13', '268.31', '-2488.4', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525698', '0', 'object/static/structure/general/shared_escape_pod.iff', '0', '0', '-0.0699428', '0.997551', '5039.38', '11.3837', '1440.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525699', '0', 'object/static/structure/general/shared_prp_junk_s1.iff', '0.0308553', '0.0571577', '-0.482786', '0.873326', '5033.09', '8.92721', '1437', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525700', '0', 'object/static/structure/general/shared_prp_junk_s1.iff', '-0.279252', '0.896547', '0.165878', '0.301175', '5035.69', '9.01512', '1434.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525701', '0', 'object/static/structure/general/shared_prp_junk_s1.iff', '0.0419274', '0.826132', '-0.107761', '0.551485', '5033.56', '9.04559', '1436.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525702', '0', 'object/static/structure/general/shared_prp_junk_s2.iff', '0', '0', '0', '1', '5031.56', '10.8286', '1442.59', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525704', '0', 'object/static/structure/general/shared_prp_junk_s3.iff', '-0.355079', '-0.117009', '0.243338', '0.894994', '5029.18', '10.0865', '1438.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525706', '0', 'object/static/structure/naboo/shared_gungan_statue_s01.iff', '0', '0.416871', '0', '0.908966', '5022.27', '6.10813', '-5889.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525707', '0', 'object/static/structure/naboo/shared_gungan_shield_s01.iff', '0', '-0.285952', '0', '0.958244', '5021.82', '3.66211', '-5889.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525712', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '0.0449849', '0', '0.998988', '-1636.15', '13.8726', '-4033.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525713', '0', 'object/static/structure/naboo/shared_gungan_shield_gen_s01.iff', '0.186203', '-0.0164684', '-0.0713241', '0.979781', '-5183.09', '1.35597', '-6369.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525717', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '-0.688919', '0', '0.724838', '-1636.58', '15.5159', '-4033.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525718', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0.724288', '0', '0.689498', '-1635.71', '15.5098', '-4033.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525720', '0', 'object/static/item/shared_item_bowl_shallow.iff', '0', '0.0449849', '0', '0.998988', '-1636.16', '18.3598', '-4033.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525727', '0', 'object/static/structure/tatooine/shared_guild_statue_free_style_01.iff', '0', '0.0449849', '0', '0.998988', '-1636.08', '11.7097', '-4031.76', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525728', '0', 'object/static/structure/tatooine/shared_guild_statue_free_style_01.iff', '0', '0.999526', '0', '-0.0307915', '-1636.33', '12.0355', '-4035.85', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525739', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0', '0', '0', '1', '5031.82', '10.7518', '1435.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525741', '0', 'object/static/particle/shared_particle_campfire_style_1.iff', '0', '0', '0', '1', '-1636.13', '18.9667', '-4033.69', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525757', '0', 'object/static/structure/tatooine/shared_streetsign_wall_style_01.iff', '-0.495176', '0.504778', '-0.504778', '0.495176', '-1637.18', '15.3326', '-4033.73', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525769', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.703284', '0', '0.710909', '-1637.23', '15.4133', '-4033.73', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525772', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0', '0', '1', '-1641.26', '13.8354', '-4031.38', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525774', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0', '0', '1', '-1635.61', '14.5294', '-4042.3', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525775', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0', '0', '1', '-1635.81', '13.5319', '-4027.09', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525776', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0', '0', '1', '-1626.55', '13.9068', '-4033.5', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525815', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '-1636.22', '16.505', '-4033.67', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525816', '0', 'object/static/structure/tatooine/shared_guild_statue_free_style_01.iff', '0', '0.707951', '0', '0.706262', '-1633.97', '11.909', '-4033.74', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525819', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0.0103975', '0.70599', '-0.0421283', '-0.706892', '-250.988', '4.26432', '-48.1514', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525820', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '-0.0246528', '-0.703551', '0.0346258', '0.709373', '-264.297', '3.89285', '-48.1594', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525821', '0', 'object/static/structure/naboo/shared_gate_wide_s02.iff', '-0.0469764', '-0.00499943', '0.0319397', '0.998373', '-257.69', '4.18481', '-43.1927', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525825', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0', '0', '1', '6642.7', '281.131', '563.148', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525826', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '6643.03', '281.044', '562.122', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525827', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0', '0', '1', '6642.92', '281.097', '562.891', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525828', '0', 'object/static/structure/naboo/shared_garden_gazebo_lg_s01.iff', '-0.00694316', '-0.000189259', '0.0143625', '0.999873', '-258.64', '2.68252', '-75.7727', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525829', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.717356', '0', '-0.696707', '6642.26', '280.974', '562.167', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525830', '0', 'object/tangible/camp/shared_camp_cot.iff', '0', '0', '0', '1', '6643.39', '281.383', '564.628', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525831', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '-0.00499942', '7.49969e-05', '0.0149993', '0.999875', '-257.295', '2.90958', '-77.1176', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525832', '0', 'object/tangible/camp/shared_campfire_logs_burnt.iff', '0', '0', '0', '1', '6640.58', '280.614', '563.341', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525834', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '-0.0345796', '-0.00148662', '0.0350594', '0.998786', '-257.794', '4.1251', '-48.318', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525839', '0', 'object/static/structure/corellia/shared_corl_power_arial_thin.iff', '0', '0', '0', '1', '5028.51', '39.2914', '4154.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525840', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0.00848746', '-0.000347124', '-0.0408628', '0.999129', '5028.7', '39.2561', '4152.45', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525843', '0', 'object/tangible/camp/shared_camp_cot.iff', '0', '-0.681639', '0', '0.731689', '5030.22', '39.1679', '4152.3', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525845', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '5027.16', '39.4204', '4150.89', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525846', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0', '0', '1', '5026.96', '39.4397', '4151.34', '32', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525848', '0', 'object/building/naboo/shared_filler_building_naboo_style_2.iff', '0', '-0.361616', '0', '0.932327', '1012.5', '184.471', '-3464.03', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525853', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0', '0', '1', '1007.31', '184.735', '-3457.56', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525854', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0', '0', '1', '1003.38', '184.394', '-3458.6', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525855', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0', '0', '1', '1015.37', '185.263', '-3457.61', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525856', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0', '0', '1', '1004.6', '183.698', '-3470.23', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525859', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '0', '0.999899', '0.0142031', '1011.35', '193.645', '-3463.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525861', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.80162', '0', '-0.597834', '1017.07', '185.323', '-3462.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525862', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.590431', '0', '0.807088', '1007.91', '185.309', '-3465.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525865', '0', 'object/tangible/crafting/station/shared_public_food_station.iff', '0', '0.924909', '0', '0.380189', '5184.18', '-192', '6691.14', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525866', '0', 'object/static/structure/general/shared_droid_21bmedical_powerdown.iff', '0', '-0.644218', '0', '0.764842', '5213.5', '-192', '6690.03', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525870', '0', 'object/tangible/crafting/station/shared_public_weapon_station.iff', '0', '0.924184', '0', '0.381948', '5173.44', '-192', '6680.18', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525871', '0', 'object/tangible/crafting/station/shared_public_clothing_station.iff', '0', '0.924876', '0', '-0.38027', '5170.07', '-192', '6676.5', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525879', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '0.413772', '0', '0.910381', '5174.92', '-192', '6638', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525915', '0', 'object/tangible/crafting/station/shared_public_food_station.iff', '0', '-0.188859', '0', '0.982004', '4804.59', '4.17', '-4727.32', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525916', '0', 'object/static/structure/general/shared_droid_21bmedical_powerdown.iff', '-0.117082', '-0.206961', '-0.0249552', '0.970998', '4802.7', '4.17811', '-4729.55', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525918', '0', 'object/static/structure/tatooine/shared_skeleton_greater_krayt_head.iff', '-0.211749', '0.468338', '-0.33486', '0.789741', '4835.78', '4.17', '-4706.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525919', '0', 'object/static/structure/general/shared_all_banner_generic_s02.iff', '0', '-0.535417', '0', '0.844588', '4835.2', '4.18991', '-4704.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525923', '0', 'object/tangible/crafting/station/shared_public_food_station.iff', '0', '0.844589', '0', '-0.535414', '4826.1', '4.17', '-4709.98', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525924', '0', 'object/tangible/crafting/station/shared_public_weapon_station.iff', '0', '-0.407761', '0', '0.913089', '4829.91', '4.17', '-4694.64', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525925', '0', 'object/tangible/crafting/station/shared_public_clothing_station.iff', '0', '0.230303', '0', '0.973119', '4825.56', '4.17', '-4700.72', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525938', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '0.995641', '0', '0.0932717', '4798.08', '4.17', '-4734.34', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525939', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '0.961056', '0', '-0.276355', '4796.83', '4.17', '-4734.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525950', '0', 'object/tangible/speaker/shared_speaker.iff', '0', '0.849481', '0', '-0.527619', '4847.56', '4.17', '-4650.03', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525951', '0', 'object/tangible/instrument/shared_nalargon.iff', '0', '-0.572868', '0', '0.819648', '4844.15', '4.17', '-4643.2', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525952', '0', 'object/tangible/instrument/shared_ommni_box.iff', '0', '0.997248', '0', '0.0741363', '4845.08', '4.17', '-4647.22', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525954', '0', 'object/tangible/speaker/shared_speaker.iff', '0', '-0.522688', '0', '0.852524', '4845.61', '4.17', '-4639.39', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9525958', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0.641611', '0', '0.76703', '4841.8', '4.17', '-4646.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9695562', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0.692537', '0', '0.721382', '4130.46', '3.19788', '2913.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9745374', '0', 'object/static/structure/general/shared_droid_r5_powerdown.iff', '0', '0.914795', '0', '0.403919', '1550.95', '25', '2849.51', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '9745375', '0', 'object/static/structure/naboo/shared_poi_nboo_tent_small.iff', '0', '0.717355', '0', '-0.696707', '1549.27', '25', '2847.13', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '9745378', '0', 'object/static/structure/general/shared_droid_r4_powerdown.iff', '0', '0.921371', '0', '-0.388685', '1550.87', '25', '2845.61', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '9745382', '0', 'object/static/structure/general/shared_data_terminal_free_s1.iff', '0', '0.061555', '0', '0.998104', '4810.05', '4.17', '-4665.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9745384', '0', 'object/static/structure/naboo/shared_poi_nboo_tent_small.iff', '0', '0.978898', '0', '-0.204348', '4809.73', '4.17', '-4663.07', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '9745387', '0', 'object/static/structure/general/shared_droid_droideka_powerdown.iff', '0', '0.833272', '0', '0.552863', '4807.17', '4.17', '-4665.55', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '9795352', '0', 'object/static/structure/general/shared_droid_lemedical_powerdown.iff', '0', '0.984588', '0', '0.174892', '4808.77', '4.17', '-4660.42', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '9795353', '0', 'object/static/structure/general/shared_r4_head.iff', '0', '0.640385', '0', '0.768054', '4808.16', '3.44267', '-4660.94', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '9795354', '0', 'object/static/structure/naboo/shared_poi_nboo_tent_small.iff', '0', '0.999875', '0', '-0.0157971', '4823.1', '4.17', '-4705.09', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '9795376', '0', 'object/tangible/sign/shared_all_sign_city_s03.iff', '0', '-0.00999918', '0', '0.99995', '4729.93', '305.549', '-1502.64', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9795377', '0', 'object/tangible/sign/shared_all_sign_city_s03.iff', '0', '-0.448422', '0', '0.893822', '4573.14', '323.162', '-1299.54', '50', '1');
INSERT INTO `staticobjects` VALUES ('5', '9795420', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.932039', '0', '0.362358', '-1769.86', '13.1373', '2395.02', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '9795421', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.999784', '0', '0.0207947', '-1770.2', '13.1342', '2394.82', '64', '1');
INSERT INTO `staticobjects` VALUES ('5', '9865370', '0', 'object/building/naboo/shared_filler_building_naboo_style_4.iff', '0', '-0.707106', '0', '0.707108', '-5523.32', '-150.074', '-71.984', '512', '1');
INSERT INTO `staticobjects` VALUES ('5', '9865371', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '1', '0', '-3.1298e-06', '-5512.23', '-150', '-62.7755', '200', '1');
INSERT INTO `staticobjects` VALUES ('5', '9895358', '0', 'object/static/naboo/shared_waterfall_mist_small.iff', '0', '0', '0', '1', '5183.6', '327.334', '-1595.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '9895359', '0', 'object/static/naboo/shared_waterfall_mist_small.iff', '0', '0', '0', '1', '5172.14', '328.53', '-1587.18', '128', '1');
INSERT INTO `staticobjects` VALUES ('5', '9895360', '0', 'object/static/naboo/shared_waterfall_200m.iff', '0', '0.334114', '0', '0.942533', '5171.9', '354.092', '-1599.43', '256', '1');
INSERT INTO `staticobjects` VALUES ('6', '190', '0', 'object/static/structure/naboo/shared_archway_wide_s02.iff', '0', '0', '0', '1', '5284.48', '80', '5534.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '191', '0', 'object/static/structure/naboo/shared_archway_wide_s02.iff', '0', '0', '0', '1', '5284.48', '80', '5543.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '192', '0', 'object/tangible/crafting/station/shared_public_weapon_station.iff', '0', '0.707107', '0', '-0.707107', '5258.2', '80', '5612.27', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '193', '0', 'object/tangible/crafting/station/shared_public_weapon_station.iff', '0', '0.707107', '0', '-0.707107', '5258.2', '80', '5605.8', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '194', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0', '0', '1', '5172.18', '78.63', '5675.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '195', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0', '0', '1', '5173.53', '78.63', '5686', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '196', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0', '0', '1', '5168.44', '78.63', '5686.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '201', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '-0.707107', '0', '0.707107', '5133.34', '80', '5681.09', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '205', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_small_s01.iff', '0', '0.707091', '0', '0.707122', '5123.04', '80', '5679.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '206', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_small_s01.iff', '0', '1', '0', '0', '5127.04', '80', '5685.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '207', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_small_s01.iff', '0', '0.707107', '0', '-0.707107', '5135.04', '80', '5681.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '208', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_small_s01.iff', '0', '0', '0', '1', '5131.04', '80', '5675.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '210', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0', '0', '1', '5127.88', '78.63', '5675.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '211', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0', '0', '1', '5123.04', '78.63', '5680.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '212', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0', '0', '1', '5126.48', '78.63', '5685.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '213', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0', '0', '1', '5130.22', '78.63', '5675.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '214', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0', '0', '1', '5131.57', '78.63', '5685.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '215', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '5124.77', '80', '5680.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '216', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0.707107', '0', '0.707107', '5303.4', '80', '5818.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '218', '0', 'object/building/naboo/shared_filler_building_naboo_style_8.iff', '0', '-0.707106', '0', '0.707107', '-5196.18', '80', '-2271.84', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '219', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '-5196.55', '80', '-2276.52', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '220', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '-5196.55', '80', '-2286.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '221', '0', 'object/static/structure/naboo/shared_gate_narrow_s01.iff', '0', '0.707107', '0', '0.707107', '-5246.69', '80', '-2279.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '222', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '1', '0', '-3.20013e-08', '-5246.71', '80', '-2274.66', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '223', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '1', '0', '-3.20013e-08', '-5246.7', '80', '-2284.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '479722', '0', 'object/building/general/shared_rori_kobola_cave.iff', '0', '0.9001', '0', '-0.435683', '7366.54', '97.8349', '135.031', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '479723', '479722', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '479811', '479723', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0.110746', '0.708756', '-0.107558', '-0.688354', '27.4875', '-28.1306', '-9.62569', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '479724', '479722', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '479908', '479724', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0.884303', '0', '0.466913', '47.2288', '-47.2679', '-13.2615', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '479918', '479724', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0.720831', '0', '0.693111', '54.3187', '-68.2797', '-42.0993', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '479725', '479722', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '479910', '479725', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '-0.0204461', '-0.681332', '0.0219474', '0.731359', '96.9249', '-62.2495', '-15.6194', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '479726', '479722', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '479727', '479722', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '479728', '479722', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '479729', '479722', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '479943', '479729', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '-0.188859', '0', '0.982004', '88.1534', '-66.9084', '-142.298', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '479730', '479722', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '479945', '479730', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '-0.589145', '0', '0.808027', '136.629', '-66.24', '-104.198', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '479731', '479722', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '479956', '479731', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0.717356', '0', '-0.696707', '191.445', '-66.7693', '-102.643', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '479732', '479722', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '479878', '479732', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0.0632982', '0.680827', '0.00929997', '0.729645', '45.4196', '-48.8154', '-100.617', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '479733', '479722', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '479898', '479733', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0.696135', '0', '0.717911', '75.8526', '-46.5373', '-142.298', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '479815', '0', 'object/building/general/shared_rori_hyperdrive_research_facility.iff', '0', '0', '0', '1', '-1133.77', '77.2', '4519.39', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '479816', '479815', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '479817', '479815', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '479818', '479815', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '479819', '479815', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '479820', '479815', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '923873', '479820', 'object/tangible/hq_destructible/shared_security_terminal.iff', '0', '0.873865', '0', '-0.486168', '10.0951', '-12', '67.6325', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '479821', '479815', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '479822', '479815', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '479823', '479815', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '923877', '479823', 'object/tangible/terminal/shared_terminal_hq.iff', '0', '1', '0', '-3.20013e-08', '-54.4908', '-20', '21.5575', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '479824', '479815', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '479825', '479815', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '479826', '479815', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '479827', '479815', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '923874', '479827', 'object/tangible/hq_destructible/shared_power_regulator.iff', '0', '-0.707106', '0', '0.707108', '75.0791', '-12', '59.6635', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '479828', '479815', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '923875', '479828', 'object/tangible/hq_destructible/shared_uplink_terminal.iff', '0', '0.707106', '0', '0.707107', '28.881', '-20', '126.254', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '479829', '479815', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '923878', '479829', 'object/tangible/hq_destructible/shared_override_terminal.iff', '0', '0', '0', '1', '55.5579', '-12', '-5.30325', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '479830', '479815', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '479831', '479815', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '479832', '479815', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '479833', '479815', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '479834', '479815', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '479835', '479815', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '479836', '479815', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '479837', '479815', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '479839', '0', 'object/static/installation/shared_mockup_power_generator_fusion_style_1.iff', '0', '0', '0', '1', '-1130.17', '82.4685', '4521.79', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '479840', '0', 'object/static/installation/shared_mockup_power_generator_wind_style_1.iff', '0', '0', '0', '1', '-1140', '91.8947', '4492.79', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '479843', '0', 'object/building/military/shared_mun_all_military_tower_impl_guard_s01.iff', '0', '0', '0', '1', '-1145.66', '77.2', '4552.74', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '479844', '479843', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '479845', '0', 'object/building/military/shared_mun_all_military_tower_impl_guard_s01.iff', '0', '0', '0', '1', '-1119.62', '77.2', '4553.21', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '479846', '479845', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '479848', '0', 'object/building/military/shared_mun_all_military_tower_impl_guard_s01.iff', '0', '0.707106', '0', '0.707107', '-1117.53', '77.2', '4506.89', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '479849', '479848', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '479850', '0', 'object/building/military/shared_mun_all_military_tower_impl_guard_s01.iff', '0', '-0.707106', '0', '0.707107', '-1153.97', '77.2', '4507.21', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '479851', '479850', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '479874', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_1.iff', '0', '0', '0', '1', '-1139.4', '77.2', '4531.92', '256', '1');
INSERT INTO `staticobjects` VALUES ('6', '479876', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0', '0', '1', '-1125.94', '77.4839', '4519.37', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '479877', '0', 'object/static/installation/shared_mockup_power_generator_wind_style_1.iff', '0', '0', '0', '1', '-1207.5', '97.742', '4552.75', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '479906', '0', 'object/static/structure/general/shared_landing_pad_shuttle.iff', '0', '0.707106', '0', '0.707107', '-1132.55', '77.2', '4553.06', '256', '1');
INSERT INTO `staticobjects` VALUES ('6', '479909', '0', 'object/static/vehicle/shared_player_shuttle.iff', '0', '-0.707106', '0', '0.707107', '-1130.45', '77.2', '4553.16', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '923849', '0', 'object/tangible/hq_destructible/shared_power_regulator.iff', '0', '0.990216', '0', '0.139543', '-5591.89', '75.9845', '-5611.68', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '923861', '0', 'object/tangible/hq_destructible/shared_power_regulator.iff', '0', '0.856318', '0', '0.516449', '-5363.61', '76', '4999.83', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '923862', '0', 'object/tangible/hq_destructible/shared_override_terminal.iff', '0', '0.985585', '0', '0.169182', '-5304.99', '75.7463', '5048.97', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '1143364', '0', 'object/static/item/shared_item_tool_sensor_beacon.iff', '0', '0', '0', '1', '5444.78', '86.9304', '5045.51', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1143365', '0', 'object/static/item/shared_item_tool_sensor_beacon.iff', '0', '0.886627', '0', '0.462485', '5453.47', '87.1783', '5009', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1143366', '0', 'object/static/item/shared_item_tool_sensor_beacon.iff', '0.0509826', '0.840086', '-0.0278785', '-0.539332', '5438.38', '87.2823', '5009.85', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1143368', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '-0.0368639', '-0.166554', '-0.0632975', '0.983308', '5464.71', '87.2857', '5041.32', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '1143369', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0.0666258', '-0.182661', '-0.140437', '0.970811', '5466.71', '83.4311', '5052.26', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '1143370', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '-0.178008', '0.588885', '0.105735', '0.781248', '5430.97', '86.4257', '5003', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379908', '0', 'object/static/item/shared_item_vibrolance.iff', '-3.238e-09', '-5.39172e-10', '-0.164252', '0.986418', '5337.25', '80.8538', '5531.16', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379909', '0', 'object/static/item/shared_item_wood_staff.iff', '-0.203565', '-0.00101783', '0.00489529', '0.979049', '5336.2', '81.0436', '5529.12', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379910', '0', 'object/static/item/shared_item_metal_staff.iff', '-0.285952', '0', '0', '0.958244', '5335.95', '80.253', '5529.43', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379911', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '5334.64', '80', '5528.56', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379912', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.352274', '0', '0.935897', '5334.11', '80.0002', '5527.81', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379913', '0', 'object/static/item/shared_item_axe.iff', '0.299276', '-0.290198', '0.632763', '-0.652556', '5334.44', '80.7273', '5528.54', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379914', '0', 'object/static/item/shared_item_vibroknuckles.iff', '-0.010233', '0.0109667', '0.731064', '-0.682145', '5334.58', '80.7128', '5528.63', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379917', '0', 'object/tangible/instrument/shared_organ_max_rebo.iff', '0', '-0.285952', '0', '0.958244', '5432.53', '80', '5569.84', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379918', '0', 'object/tangible/speaker/shared_speaker.iff', '0', '-0.707107', '0', '0.707107', '5436.61', '80.5742', '5572.83', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379919', '0', 'object/tangible/speaker/shared_speaker.iff', '0', '-0.707106', '0', '0.707107', '5436.61', '80.6099', '5559.31', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379920', '0', 'object/tangible/microphone/shared_microphone.iff', '0', '-0.706827', '0', '0.707387', '5432.09', '80.5801', '5564.42', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379922', '0', 'object/static/item/shared_item_rifle.iff', '0.841471', '0', '0', '-0.540302', '5525.36', '80.8096', '5640.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379923', '0', 'object/static/structure/naboo/shared_poi_nboo_tent_small.iff', '0.0967251', '-0.0867785', '0.194661', '0.972225', '5527.36', '79.653', '5645.24', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379924', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.271547', '0', '0.962425', '5527.85', '80.8282', '5645.97', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379925', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '5528.35', '80.7469', '5647.13', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379926', '0', 'object/static/item/shared_item_carbine_dh17.iff', '0', '0', '0.670587', '0.741831', '5527.97', '81.755', '5645.81', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379927', '0', 'object/static/item/shared_item_pistol.iff', '0', '0', '0.741296', '0.671178', '5528.06', '81.7415', '5645.95', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379928', '0', 'object/static/item/shared_item_rifle.iff', '0.841471', '0', '0', '-0.540302', '5524.44', '80.7949', '5639.9', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379929', '0', 'object/static/item/shared_item_carbine_dh17.iff', '-0.283886', '-0.256623', '0.619542', '0.685362', '5528.38', '81.9554', '5647.03', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379930', '0', 'object/static/item/shared_item_pistol.iff', '0.474595', '0.524175', '0.524175', '0.474594', '5528.47', '81.9419', '5647.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379932', '0', 'object/static/item/shared_item_basket_shallow.iff', '0', '0', '0', '1', '5207.95', '80', '5731.85', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379933', '0', 'object/static/item/shared_item_raw_cloth.iff', '0', '0', '0', '1', '5208.26', '80.0316', '5731.87', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379934', '0', 'object/static/item/shared_item_raw_cloth.iff', '0.0253401', '-0.00738039', '-0.219556', '0.975243', '5207.8', '80.0316', '5731.73', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379935', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '0', '0', '1', '5207.95', '80', '5727.45', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379936', '0', 'object/static/item/shared_item_sewing_utensils.iff', '0.717356', '0', '0', '-0.696707', '5207.93', '80.6325', '5727.14', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379937', '0', 'object/static/item/shared_item_ribbon.iff', '0', '0', '0.70328', '0.710913', '5207.83', '80.6325', '5727.33', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379938', '0', 'object/static/item/shared_item_raw_cloth.iff', '0', '0.466209', '0', '0.884675', '5207.89', '80.6009', '5727.58', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379940', '0', 'object/static/item/shared_item_crate_clothing_small.iff', '0', '-0.37092', '0', '0.928665', '5209.93', '80', '5727.81', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379941', '0', 'object/static/item/shared_item_cloth_patches.iff', '0', '0', '0', '1', '5208.33', '80.6325', '5727.49', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379942', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.620986', '0', '0.783822', '5210.59', '80', '5727.97', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379946', '0', 'object/static/structure/naboo/shared_poi_nboo_tent_small.iff', '0', '0', '0', '1', '5252.46', '80', '5851.21', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379947', '0', 'object/tangible/furniture/all/shared_frn_all_couch_ottoman_s1.iff', '0', '-0.707106', '0', '0.707107', '5252.41', '80', '5849.61', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379948', '0', 'object/tangible/furniture/all/shared_frn_all_chair_recliner_s1.iff', '0', '0.707107', '0', '0.707107', '5251.19', '80', '5849.62', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379949', '0', 'object/tangible/furniture/all/shared_frn_all_couch_ottoman_s1.iff', '0', '-0.707102', '0', '0.707111', '5252.43', '80', '5850.95', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379950', '0', 'object/tangible/furniture/all/shared_frn_all_chair_recliner_s1.iff', '0', '0.707107', '0', '0.707107', '5251.21', '80', '5850.97', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379951', '0', 'object/tangible/furniture/all/shared_frn_all_couch_ottoman_s1.iff', '0', '-0.707103', '0', '0.70711', '5252.4', '80', '5852.22', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379952', '0', 'object/tangible/furniture/all/shared_frn_all_chair_recliner_s1.iff', '0', '0.707107', '0', '0.707107', '5251.18', '80', '5852.23', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379953', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '0', '0', '1', '5255.37', '80', '5852.49', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379954', '0', 'object/static/item/shared_item_makeup.iff', '0', '0.971338', '0', '-0.237703', '5255.43', '80.6009', '5852.88', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379955', '0', 'object/static/item/shared_item_hair_dye_kit.iff', '0', '-0.370921', '0', '0.928665', '5255.71', '80', '5852.12', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379956', '0', 'object/static/item/shared_item_dye_kit.iff', '0', '0.838759', '0', '-0.544503', '5255.52', '80.6009', '5852.2', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379957', '0', 'object/static/item/shared_item_raw_cloth.iff', '0', '0', '0', '1', '5255.28', '80', '5852.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379958', '0', 'object/static/item/shared_item_ribbon.iff', '0', '0', '0.597195', '0.802096', '5254.9', '80.6325', '5852.53', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379959', '0', 'object/static/item/shared_item_sewing_utensils.iff', '0.659524', '-0.273184', '0.267987', '0.646979', '5255.08', '80.6325', '5852.33', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379963', '0', 'object/tangible/instrument/shared_organ_max_rebo.iff', '0', '0.946042', '0', '0.324043', '-5078.18', '80', '-2351.4', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379964', '0', 'object/tangible/speaker/shared_speaker.iff', '0', '1', '0', '3.20013e-08', '-5074', '80', '-2347.55', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379965', '0', 'object/tangible/microphone/shared_microphone.iff', '0', '0.862404', '0', '0.50622', '-5074.14', '80', '-2351', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379966', '0', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-5075.88', '80', '-2349.56', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379967', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '1', '0', '3.20013e-08', '-5116.91', '80', '-2237.61', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379968', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '1', '0', '3.20013e-08', '-5122.37', '80', '-2236.56', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379969', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '1', '0', '3.20013e-08', '-5133.78', '80', '-2237.6', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379970', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0', '0', '1', '-5116.95', '80.0697', '-2186.85', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379971', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0', '0', '1', '-5133.78', '80.0333', '-2186.82', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379972', '0', 'object/static/structure/naboo/shared_poi_nboo_tent_small.iff', '0', '0', '0', '1', '-5103.63', '80', '-2248.45', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379973', '0', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '0', '0', '1', '-5102.63', '80', '-2246.29', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379974', '0', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '0', '0', '1', '-5102.58', '80', '-2247.21', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379975', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '-5102.65', '80', '-2250.62', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379976', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '-5103.8', '80', '-2251.23', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379977', '0', 'object/static/item/shared_item_diagnostic_screen.iff', '0', '-0.247404', '0', '0.968912', '-5103.98', '81.1385', '-2250.94', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379979', '0', 'object/static/item/shared_item_bacta_ampules.iff', '0', '0', '-0.703278', '0.710915', '-5102.88', '80.7273', '-2250.54', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379980', '0', 'object/static/item/shared_item_bacta_ampules.iff', '0', '0', '-0.703267', '0.710926', '-5102.89', '80.7273', '-2250.62', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379982', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0', '0', '1', '-4952.36', '80.0319', '-2377.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379983', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0', '0', '1', '-4952.01', '80.0011', '-2377.22', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379984', '0', 'object/static/item/shared_item_container_organic_hide.iff', '0', '0', '0', '1', '-4950.58', '79.9458', '-2376.5', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379985', '0', 'object/static/item/shared_item_container_organic_hide.iff', '0', '0', '0', '1', '-4951.43', '79.9885', '-2376.59', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379986', '0', 'object/static/item/shared_item_jar_berries.iff', '0', '0', '0', '1', '-4950.43', '79.9288', '-2375.75', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379987', '0', 'object/static/item/shared_item_jar_bugs.iff', '0', '0', '0', '1', '-4951.07', '79.9486', '-2376.13', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379988', '0', 'object/static/item/shared_item_jar_guts.iff', '0', '0', '0', '1', '-4950.53', '79.9278', '-2376.07', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379991', '0', 'object/tangible/camp/shared_camp_tent_s2.iff', '0', '0.906534', '0', '0.422132', '-4951.98', '79.8207', '-2370.59', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379992', '0', 'object/tangible/camp/shared_camp_stool_tall.iff', '0', '0', '0', '1', '-4950.59', '79.8771', '-2372.84', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379993', '0', 'object/tangible/camp/shared_camp_cot.iff', '0', '0.636537', '0', '0.771246', '-4949.92', '79.7878', '-2368.57', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379995', '0', 'object/static/structure/general/shared_droid_r4_powerdown.iff', '0', '-0.139543', '0', '0.990216', '-5158.75', '80', '-2324.3', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379996', '0', 'object/static/structure/general/shared_droid_r5_powerdown.iff', '0', '-0.452886', '0', '0.891568', '-5162.9', '80', '-2325.61', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379997', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '-5162.06', '80', '-2326.98', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379998', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.257081', '0', '0.96639', '-5161.41', '80', '-2327.87', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1379999', '0', 'object/static/item/shared_item_tool_droid_toolkit.iff', '0', '0.727726', '0', '0.685868', '-5162.06', '80.6957', '-2327.18', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380000', '0', 'object/static/item/shared_item_jar_berries.iff', '0', '0', '0', '1', '-5161.39', '80', '-2328.33', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380001', '0', 'object/static/item/shared_item_jar_bugs.iff', '0', '0', '0', '1', '-5161.25', '80', '-2328.22', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380002', '0', 'object/static/item/shared_item_jar_guts.iff', '0', '0', '0', '1', '-5161.13', '80', '-2328.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380003', '0', 'object/static/item/shared_item_pistol.iff', '0', '0', '0.677972', '0.735088', '-5161.36', '80.3162', '-2327.98', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380006', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '-5272.8', '80', '-2425.86', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380007', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.407761', '0', '0.913089', '-5272.18', '80', '-2425.21', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380008', '0', 'object/static/item/shared_item_ryyk_blade.iff', '0', '0', '0.727726', '0.685868', '-5272.48', '80.9487', '-2425.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380009', '0', 'object/static/item/shared_item_repair_melee_kit.iff', '0', '0', '0', '1', '-5272.8', '80', '-2425.23', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380010', '0', 'object/static/item/shared_item_rifle.iff', '0', '0', '0.713864', '0.700285', '-5272.13', '80.3162', '-2425.55', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380011', '0', 'object/static/item/shared_item_vibroknuckles.iff', '0', '0', '0.737931', '0.674876', '-5272.7', '80.9171', '-2426.03', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380014', '0', 'object/static/item/shared_item_vibroaxe.iff', '0.281157', '0', '0', '0.959662', '-5214.11', '80.8222', '-2448.07', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380017', '0', 'object/static/item/shared_item_wood_staff.iff', '0.164252', '0', '0', '0.986418', '-5214.29', '81.0752', '-2447.88', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380018', '0', 'object/static/item/shared_item_ryyk_blade.iff', '0.237703', '0', '0', '0.971338', '-5214.62', '80.1897', '-2447.84', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380020', '0', 'object/static/item/shared_item_axe.iff', '0', '0', '0.713864', '-0.700285', '-5214.73', '80.0316', '-2448.12', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380021', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '0', '0', '1', '-5156.19', '79.9949', '-2237.68', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380022', '0', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '0', '0', '1', '-5155.81', '80', '-2236.43', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380023', '0', 'object/static/item/shared_item_bacta_ampules.iff', '-0.688922', '0', '0', '0.724836', '-5156.2', '80.6233', '-2237.23', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380024', '0', 'object/static/item/shared_item_bacta_ampules.iff', '-0.688926', '0', '0', '0.724832', '-5156.27', '80.6234', '-2237.2', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380025', '0', 'object/static/item/shared_item_diagnostic_screen.iff', '0', '0.872355', '0', '0.488872', '-5155.97', '80.6311', '-2237.93', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380026', '0', 'object/static/structure/general/shared_droid_lemedical_powerdown.iff', '0', '1', '0', '-3.20013e-08', '-5155.04', '80', '-2236.37', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380027', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.939099', '0', '0.343646', '-5156.42', '80.6239', '-2237.78', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380042', '0', 'object/static/item/shared_item_ryyk_blade.iff', '0.292295', '0.264224', '0.62985', '0.669356', '-5218.11', '80.5816', '-2167.48', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380043', '0', 'object/static/item/shared_item_katana.iff', '0.640058', '-0.125389', '0.288495', '0.700981', '-5218.07', '80.5839', '-2167.42', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380044', '0', 'object/static/item/shared_item_container_energy_gas.iff', '0', '-0.342898', '0', '0.939373', '-5221.45', '80.7181', '-2163.37', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380047', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0', '0', '1', '-5222.13', '80.7405', '-2162.59', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380048', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.300293', '0', '0.953847', '-5220.46', '80.6586', '-2162.56', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380049', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '-5211.47', '80.4186', '-2166.7', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380051', '0', 'object/tangible/furniture/all/shared_frn_all_toolchest_lg_s01.iff', '0', '0.706824', '0', '0.707389', '-5251.5', '79.9352', '-2361.5', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380052', '0', 'object/tangible/furniture/modern/shared_bar_counter_s1.iff', '0', '-0.707106', '0', '0.707107', '-5248.84', '80', '-2364.66', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380053', '0', 'object/static/item/shared_armor_bone_helmet.iff', '0', '0', '0', '1', '-5248.82', '79.5889', '-2365.44', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380054', '0', 'object/static/item/shared_armor_composite_chestplate.iff', '-0.183799', '0.039441', '0.00659976', '0.98215', '-5252.96', '78.9881', '-2363.01', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380055', '0', 'object/static/item/shared_item_repair_melee_kit.iff', '0', '0', '0', '1', '-5248.72', '81.1068', '-2363.83', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380056', '0', 'object/static/item/shared_armor_composite_helmet.iff', '0', '0.674287', '0', '0.738469', '-5251.4', '80.0004', '-2361.4', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380057', '0', 'object/static/item/shared_item_container_energy_solid.iff', '0', '0', '0', '1', '-5252.29', '80', '-2365.28', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380058', '0', 'object/static/item/shared_item_container_organic_structure.iff', '0', '0', '0', '1', '-5252.2', '80', '-2364.41', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380059', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '-5251.47', '80', '-2364.89', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380060', '0', 'object/static/structure/naboo/shared_poi_nboo_tent_small.iff', '0', '0', '0', '1', '-5249.42', '80', '-2362.79', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380065', '0', 'object/tangible/furniture/technical/shared_cabinet_s01.iff', '0', '0.727998', '0', '0.685579', '-5140.79', '79.9952', '-2517.69', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380066', '0', 'object/tangible/furniture/technical/shared_chest_s01.iff', '0', '0.271547', '0', '0.962425', '-5140.25', '80', '-2518.76', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380068', '0', 'object/static/item/shared_item_carbine_dh17.iff', '0', '0', '-0.696136', '0.71791', '-5140.83', '80.759', '-2517.81', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380069', '0', 'object/static/item/shared_item_carbine_dh17.iff', '0.215584', '0.209045', '0.664006', '0.684777', '-5140.89', '80.759', '-2517.57', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380070', '0', 'object/static/item/shared_item_carbine_dh17.iff', '-0.19016', '-0.193847', '0.68704', '0.673972', '-5139.84', '80.0632', '-2518.34', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380071', '0', 'object/static/item/shared_item_con_barrel_lg_s1.iff', '0', '0', '0', '1', '-5139.92', '80', '-2512.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380073', '0', 'object/tangible/camp/shared_camp_crate_s1.iff', '0', '0', '0', '1', '-5170.42', '80', '-2537.8', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380074', '0', 'object/tangible/camp/shared_camp_spit_s2.iff', '0', '0.717356', '0', '-0.696707', '-5168.96', '80.0027', '-2533.08', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380076', '0', 'object/tangible/camp/shared_camp_chair_s3.iff', '0', '0.999983', '0', '0.00579642', '-5174.04', '80.0006', '-2537.77', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380079', '0', 'object/tangible/camp/shared_camp_tent_s3.iff', '0', '-0.707106', '0', '0.707107', '-5172.32', '80.0226', '-2534.36', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380082', '0', 'object/tangible/camp/shared_camp_crate_s1.iff', '0', '-0.375559', '0', '0.926798', '-5169.75', '80.0321', '-2538.41', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380083', '0', 'object/tangible/camp/shared_campfire_logs_ash.iff', '0', '0', '0', '1', '-5165.88', '80.0124', '-2537.66', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380086', '0', 'object/static/item/shared_item_vibroaxe.iff', '0.314567', '0', '0', '0.949235', '-5279.74', '80.8538', '-2324.9', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380087', '0', 'object/static/item/shared_item_vibrolance.iff', '0.174108', '0', '0', '0.984727', '-5280.06', '80.8855', '-2324.67', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380088', '0', 'object/static/item/shared_item_wood_staff.iff', '0.281157', '0', '0', '0.959662', '-5279.49', '81.0436', '-2324.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380089', '0', 'object/static/item/shared_item_container_energy_radioactive.iff', '0', '0', '0', '1', '-5280.72', '80', '-2325.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380091', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '-5280.31', '80', '-2326.54', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380092', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '-5280.6', '80', '-2326.53', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380094', '0', 'object/static/item/shared_item_rifle.iff', '0', '0', '0.822049', '0.569417', '-5213.84', '80.0632', '-2374.63', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380095', '0', 'object/static/item/shared_item_rifle.iff', '0', '0', '0.822049', '0.569417', '-5214.1', '80.0316', '-2374.68', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380097', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '-5217.21', '80', '-2370.82', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380098', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '-5216.84', '80', '-2370.84', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380099', '0', 'object/static/item/shared_item_carbine_dh17.iff', '0', '0', '0.624897', '0.780707', '-5213.63', '80.0316', '-2374.41', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380103', '0', 'object/static/item/shared_item_rocket_launcher.iff', '-0.265989', '-0.238039', '0.622939', '0.696085', '-5182.04', '80.0316', '-2351.82', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380104', '0', 'object/static/item/shared_item_ammo_rocket.iff', '0', '0', '0', '1', '-5182.05', '80.0949', '-2351.46', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380105', '0', 'object/static/item/shared_item_ammo_rocket.iff', '0', '0', '0', '1', '-5181.99', '80.0632', '-2351.43', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380106', '0', 'object/static/item/shared_item_ammo_rocket.iff', '0', '0', '0', '1', '-5182.14', '80.0632', '-2351.46', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380107', '0', 'object/static/item/shared_item_ammo_rocket.iff', '0', '0', '0', '1', '-5182.03', '80.0632', '-2351.47', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380108', '0', 'object/static/item/shared_item_ammo_rocket.iff', '0', '0', '0', '1', '-5182.04', '80.0632', '-2351.37', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380110', '0', 'object/static/item/shared_item_rifle.iff', '0', '0', '0.706828', '0.707386', '-5181.52', '80.0316', '-2351.75', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380112', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '-5243.99', '80', '-2455.55', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380113', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '-0.688887', '-0.0068891', '0.00724824', '0.7248', '-5243.34', '80.0949', '-2455.13', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380114', '0', 'object/static/item/shared_item_pistol.iff', '0', '0', '0.720831', '0.693111', '-5244.08', '80.9171', '-2455.83', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380115', '0', 'object/static/item/shared_item_pistol.iff', '0.673932', '0.700885', '0.168399', '0.161923', '-5244.25', '80.8855', '-2455.22', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380116', '0', 'object/static/item/shared_item_pistol.iff', '0', '0', '0.720831', '0.693111', '-5243.68', '80.9171', '-2455.37', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380117', '0', 'object/static/item/shared_item_pistol.iff', '-0.158014', '-0.164333', '0.701849', '0.674859', '-5243.82', '80.9171', '-2455.69', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380120', '0', 'object/static/structure/naboo/shared_poi_nboo_tent_hut_s01.iff', '0', '0.992198', '0', '-0.124675', '-5287.73', '79.2996', '-2513.87', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '1380121', '0', 'object/tangible/camp/shared_camp_cot_s2.iff', '0', '0.920751', '0', '0.390152', '-5289.45', '79.0868', '-2511.53', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '1478903', '0', 'object/static/item/shared_item_cage_bamboo.iff', '0', '0', '0', '1', '5385.59', '80', '5672.74', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1478904', '0', 'object/static/item/shared_item_crate_clothing_small.iff', '0', '-0.434965', '0', '0.900447', '5386.71', '80', '5675.75', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1478908', '0', 'object/static/item/shared_item_vibroaxe.iff', '0.129634', '0', '0', '0.991562', '5389.39', '80.8855', '5676.63', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1478909', '0', 'object/static/item/shared_item_vibrolance.iff', '0.129634', '0', '0', '0.991562', '5389.61', '80.8855', '5676.65', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1478910', '0', 'object/static/item/shared_item_wood_staff.iff', '0.129634', '0', '0', '0.991562', '5389.15', '81.1068', '5676.62', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1478911', '0', 'object/static/item/shared_armor_bone_helmet.iff', '0', '0', '0', '1', '5389.22', '79.3359', '5671.33', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1478912', '0', 'object/static/item/shared_item_carbine_dh17.iff', '0', '0', '0.632673', '0.774419', '5388.81', '81.2017', '5669.94', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1478913', '0', 'object/static/item/shared_item_ryyk_blade.iff', '0', '0', '0.696136', '0.71791', '5386.18', '80.0316', '5673.47', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1478914', '0', 'object/static/item/shared_item_rifle.iff', '0', '0', '0.724287', '0.689498', '5389.2', '81.2017', '5669.87', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1478915', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.576959', '0', '0.816773', '5385.91', '80', '5673.91', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1478916', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.576959', '0', '0.816773', '5386.03', '80', '5674.21', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1478917', '0', 'object/static/item/shared_item_container_energy_solid.iff', '0', '-0.576959', '0', '0.816773', '5386.64', '80', '5673.9', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1478918', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.816773', '0', '0.576959', '5386.28', '80', '5674.59', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1478919', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.983009', '0', '0.183555', '5386.56', '80', '5674.88', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1544379', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0', '0', '1', '5371.02', '80', '5589.62', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1544380', '0', 'object/static/item/shared_item_medic_bag.iff', '-2.23826e-09', '0.997551', '0.0699428', '3.19229e-08', '5371', '80', '5588.6', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1544381', '0', 'object/static/item/shared_item_medical_console.iff', '0', '0.918788', '0', '0.39475', '5371.08', '80.8855', '5589.58', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1544382', '0', 'object/static/item/shared_item_bacta_ampules.iff', '0', '0', '0.717356', '-0.696707', '5370.99', '80.9171', '5588.9', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1544383', '0', 'object/static/item/shared_item_bacta_ampules.iff', '0', '0', '0.717356', '-0.696707', '5370.99', '80.9171', '5589.03', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1544384', '0', 'object/static/item/shared_item_bacta_ampules.iff', '0', '0', '0.717356', '-0.696707', '5370.99', '80.9171', '5588.96', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1610923', '0', 'object/static/item/shared_item_datapad_s1.iff', '0.0160909', '-0.0884264', '-0.178305', '0.979862', '-7.2145', '75.781', '1998.82', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1610928', '0', 'object/static/item/shared_item_jar_spice_white.iff', '-0.510968', '0.847975', '0.126995', '-0.0610195', '-7.09511', '75.8799', '1998.35', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1775419', '0', 'object/static/item/shared_item_food_vegetable_s01.iff', '0', '0', '0', '1', '-433.322', '75.9708', '-5433.2', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1775420', '0', 'object/static/item/shared_item_food_vegetable_s02.iff', '0', '0', '0', '1', '-437.269', '75.9611', '-5430.87', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1775421', '0', 'object/static/item/shared_item_food_vegetable_s03.iff', '0', '0', '0', '1', '-426.433', '75.9342', '-5434.88', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1775422', '0', 'object/static/item/shared_item_food_vegetable_s02.iff', '0', '0', '0', '1', '-426.436', '75.9679', '-5430.63', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1775423', '0', 'object/static/item/shared_item_food_vegetable_s01.iff', '0', '0', '0', '1', '-431.856', '75.9773', '-5434.67', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '1775424', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0', '0', '1', '-6963', '102.216', '-5636.12', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '1775430', '0', 'object/static/structure/general/shared_droid_probedroid_powerdown.iff', '0', '0', '0', '1', '-3648.16', '78.8938', '5531.87', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '2625510', '0', 'object/static/structure/military/shared_military_wall_med_imperial_16_style_01.iff', '0', '0.744909', '0', '0.667166', '-6045.44', '124.635', '-1820.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '2625511', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0.0399893', '0', '0.9992', '-6044.56', '126.986', '-1812.26', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '2625512', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0.059964', '0', '0.998201', '-6045.96', '127.021', '-1825.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '2625518', '0', 'object/static/structure/military/shared_military_wall_med_imperial_16_style_01.iff', '-0.00478684', '0.0627728', '-0.23768', '0.969301', '-6040.71', '121.426', '-1826.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '2625519', '0', 'object/static/structure/military/shared_military_wall_med_imperial_16_style_01.iff', '-0.0159947', '0.0289088', '-0.266251', '0.963337', '-6039.15', '121.411', '-1812.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '2625520', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.758102', '0', '0.652136', '-6032.66', '117.613', '-1827.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '2625521', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.721107', '0', '0.692824', '-6030.97', '117.635', '-1813.26', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '2666243', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5256.38', '79.9995', '-2492.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '2666244', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5185.07', '80', '-2505.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '2746396', '0', 'object/static/structure/general/shared_escape_pod.iff', '-0.411841', '-0.523208', '0.543634', '0.510981', '-3.62115', '75.8933', '2002.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '2746397', '0', 'object/static/structure/general/shared_escape_pod_door.iff', '-0.448484', '0.00221131', '0.0178898', '0.893609', '-5.90592', '75.29', '2002.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '2746399', '0', 'object/static/structure/general/shared_prp_junk_s1.iff', '0', '0', '0', '1', '32.5046', '76.1057', '1979.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '2746400', '0', 'object/static/structure/general/shared_prp_junk_s2.iff', '0.0925359', '-0.0598161', '-0.656647', '0.746105', '8.92088', '75.938', '1986.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '2746401', '0', 'object/static/structure/general/shared_prp_junk_s3.iff', '0', '0', '0', '1', '-10.131', '75.4234', '2006.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '2746402', '0', 'object/static/structure/general/shared_prp_junk_s4.iff', '0', '0', '0', '1', '2.53373', '75.3539', '1993.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '2746403', '0', 'object/static/structure/general/shared_prp_junk_s5.iff', '0', '0', '0', '1', '16.1547', '76.3317', '1974.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '2746405', '0', 'object/static/structure/general/shared_prp_junk_s7.iff', '0', '0', '0.0898786', '0.995953', '1.30247', '76.9581', '2008.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '2746409', '0', 'object/static/structure/general/shared_transport_debris_01.iff', '-0.111446', '0.990094', '0.0607362', '-0.0600365', '11.9373', '74.0945', '1990.32', '256', '1');
INSERT INTO `staticobjects` VALUES ('6', '2746410', '0', 'object/static/structure/general/shared_transport_debris_02.iff', '0.0948145', '0.00284529', '0.0298602', '0.995043', '-1.83847', '78.0528', '2010.89', '256', '1');
INSERT INTO `staticobjects` VALUES ('6', '2746414', '0', 'object/static/particle/shared_particle_smoke.iff', '0', '0', '0', '1', '-5.20961', '75.7985', '2022.32', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '2746425', '0', 'object/static/particle/shared_pt_sparks_small.iff', '0', '0', '0', '1', '18.8855', '75.5713', '1989.26', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '2746426', '0', 'object/static/particle/shared_pt_sparks_large.iff', '0', '0', '0', '1', '-5.02724', '76.8306', '2020.98', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '2746427', '0', 'object/static/particle/shared_pt_sparks_large.iff', '0', '0', '0', '1', '12.1578', '75.0309', '1987.94', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935404', '0', 'object/building/military/shared_military_base_police_station_imperial_style_01.iff', '0', '0', '0', '1', '-5565.28', '75.8264', '-5660.25', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935405', '2935404', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935406', '2935404', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '923853', '2935406', 'object/tangible/terminal/shared_terminal_hq.iff', '0', '0.916803', '0', '-0.39934', '3.03473', '2.01', '4.63137', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935407', '2935404', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935408', '2935404', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935409', '2935404', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935410', '2935404', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935411', '2935404', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935412', '2935404', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935413', '2935404', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935414', '2935404', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '923854', '2935414', 'object/tangible/hq_destructible/shared_security_terminal.iff', '0', '1', '0', '-3.20013e-08', '-15.1972', '7.00959', '-9.32151', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935415', '2935404', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935416', '2935404', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935418', '0', 'object/static/vehicle/shared_static_tie_fighter.iff', '0', '0', '0', '1', '-5572.15', '92.86', '-5667.76', '256', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935419', '0', 'object/static/vehicle/shared_static_tie_fighter.iff', '0', '0', '0', '1', '-5559.9', '92.86', '-5667.7', '256', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935420', '0', 'object/building/military/shared_military_outpost_guard_house_imperial.iff', '0', '0', '0', '1', '-5614', '75.9697', '-5628', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935421', '2935420', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935422', '2935420', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935423', '0', 'object/building/military/shared_military_outpost_guard_house_imperial.iff', '0', '-0.707106', '0', '0.707107', '-5614', '75.6395', '-5698', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935424', '2935423', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935425', '2935423', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935426', '0', 'object/building/military/shared_military_outpost_guard_house_imperial.iff', '0', '1', '0', '-3.20013e-08', '-5514', '75.9063', '-5698', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935427', '2935426', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935428', '2935426', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935429', '0', 'object/building/military/shared_military_outpost_guard_house_imperial.iff', '0', '0.707106', '0', '0.707107', '-5514', '75.9057', '-5628', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935430', '2935429', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935431', '2935429', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935432', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '0', '0', '0', '1', '-5626', '75.8981', '-5654', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935433', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '0', '0', '0', '1', '-5626', '75.7382', '-5670', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935434', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.707107', '0', '0.707107', '-5619.86', '75.993', '-5635.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935436', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '-0.562742', '0', '0.826633', '-5622.66', '75.9913', '-5642.4', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935437', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.636845', '0', '0.770992', '-5625.73', '75.9929', '-5650.4', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935438', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.734818', '0', '-0.678265', '-5624.54', '76.0017', '-5674.04', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935439', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.809147', '0', '-0.587606', '-5621.72', '76', '-5682.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935440', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.860066', '0', '-0.510183', '-5618.94', '76.0016', '-5690.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935441', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '0', '1', '0', '-3.20013e-08', '-5504.1', '75.9865', '-5672.14', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935442', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '0', '1', '0', '-3.20013e-08', '-5504.1', '75.3398', '-5656.14', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935443', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.707107', '0', '0.707107', '-5510.24', '76.2325', '-5690.85', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935444', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.826632', '0', '0.562742', '-5507.44', '76.2308', '-5683.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935445', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.770992', '0', '0.636845', '-5504.37', '76.2323', '-5675.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935446', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.678267', '0', '0.734816', '-5505.56', '76.2412', '-5652.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935447', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.587606', '0', '0.809147', '-5508.38', '76.2395', '-5643.62', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935448', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.510183', '0', '0.860066', '-5511.16', '76.241', '-5635.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935450', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '0', '0.707107', '0', '-0.707107', '-5565.68', '75.9507', '-5722.33', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935451', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_32_style_01.iff', '0', '0.99639', '0', '-0.0848977', '-5583.23', '75.9991', '-5720.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935452', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.915116', '0', '-0.40319', '-5610.59', '75.9901', '-5705.26', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935453', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.92388', '0', '-0.382683', '-5604.67', '75.8878', '-5711.04', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935454', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.932615', '0', '-0.360873', '-5598.75', '75.9992', '-5717.08', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935455', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.98889', '0', '-0.148651', '-5569.55', '75.9955', '-5722.49', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935456', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '1', '0', '-3.20013e-08', '-5521.06', '75.994', '-5702.54', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935457', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.983844', '0', '0.17903', '-5533.51', '75.9375', '-5714.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935458', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.92388', '0', '0.382683', '-5527.36', '75.992', '-5708.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935459', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_32_style_01.iff', '0', '0.992198', '0', '0.124675', '-5548.54', '75.9814', '-5718.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935460', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.962425', '0', '0.271547', '-5562.21', '75.9979', '-5722.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935472', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '0', '0.707107', '0', '0.707107', '-5562.26', '74.8387', '-5603.24', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935473', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_32_style_01.iff', '0', '0.0848981', '0', '0.99639', '-5544.71', '76.0869', '-5605.55', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935474', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.40319', '0', '0.915116', '-5517.35', '76.0779', '-5620.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935475', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.382683', '0', '0.92388', '-5523.27', '75.9756', '-5614.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935476', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.360873', '0', '0.932615', '-5529.19', '76.087', '-5608.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935477', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.148651', '0', '0.98889', '-5558.4', '76.0833', '-5603.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935478', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.17903', '0', '0.983844', '-5594.43', '76.0253', '-5611.13', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935479', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '-0.382683', '0', '0.92388', '-5600.59', '76.0798', '-5616.81', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935480', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_32_style_01.iff', '0', '-0.124675', '0', '0.992198', '-5579.4', '76.0692', '-5606.89', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935481', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.271547', '0', '0.962425', '-5565.73', '76.0857', '-5603.13', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935482', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0', '1', '-5606.88', '76.0818', '-5623.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935486', '0', 'object/static/structure/military/shared_military_wall_med_imperial_32_style_01.iff', '0', '0.707106', '0', '0.707107', '-5519.81', '76', '-5663.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935487', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0', '0', '1', '-5519.79', '75.9995', '-5679.63', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935488', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0', '0', '1', '-5519.82', '76', '-5646.2', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935489', '0', 'object/static/structure/military/shared_military_wall_med_imperial_32_style_01.iff', '0', '0.707107', '0', '0.707107', '-5610.31', '76.0005', '-5662.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935490', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0', '0', '1', '-5610.3', '76', '-5679.13', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935491', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0', '0', '1', '-5610.32', '76.0005', '-5645.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935492', '0', 'object/building/military/shared_military_base_shed_imperial_barracks_s01.iff', '0', '0.99639', '0', '-0.0848977', '-5543.06', '75.9913', '-5614.33', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935493', '2935492', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935494', '2935492', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935495', '2935492', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935496', '2935492', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935497', '2935492', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935498', '2935492', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '923847', '2935498', 'object/tangible/hq_destructible/shared_override_terminal.iff', '0', '1', '0', '-3.20013e-08', '-2.95393', '0.125266', '-0.144493', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935506', '0', 'object/static/vehicle/shared_static_tie_bomber.iff', '0', '0.992198', '0', '0.124675', '-5577.83', '75.9997', '-5613.18', '256', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935508', '0', 'object/static/structure/general/shared_landing_pad_shuttle.iff', '0', '0.613432', '0', '0.789748', '-5580.4', '75.9998', '-5613.76', '256', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935511', '0', 'object/static/creature/shared_droids_r5.iff', '0', '0.891207', '0', '-0.453596', '-5579.95', '76', '-5615.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935512', '0', 'object/static/particle/shared_pt_poi_droid_weld_sparks.iff', '0.707107', '0', '0', '0.707107', '-5579.7', '-8753.9', '-11361.1', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935513', '0', 'object/static/particle/shared_pt_poi_droid_weld_sparks.iff', '0', '0', '0.589145', '0.808028', '-8464.68', '20171', '-5617.58', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935514', '0', 'object/static/particle/shared_pt_poi_droid_weld_sparks.iff', '-0.185409', '-0.178209', '0.662372', '0.703653', '-5580.13', '76.6', '-5615.94', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935515', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '-2.47601e-05', '0.992809', '0.000416036', '0.119712', '-5588.45', '75.9981', '-5613.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935516', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '-0.119712', '0', '0.992809', '-5587.1', '76.3833', '-5618.37', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '2935517', '0', 'object/static/structure/corellia/shared_corl_power_connector.iff', '0', '0.613117', '0', '0.789992', '-5587.38', '76.0176', '-5617.14', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '3175602', '0', 'object/tangible/terminal/shared_terminal_mission_bounty.iff', '0', '0.999942', '0', '0.0107962', '-5230.39', '80', '-2235.77', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '3375595', '0', 'object/tangible/sign/shared_all_sign_city_s02.iff', '0', '0.707107', '0', '0.707107', '-4952.68', '80.0182', '-2343.12', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '3375596', '0', 'object/tangible/sign/shared_all_sign_city_s02.iff', '0', '1', '0', '-3.20013e-08', '-4984.57', '80', '-2428.09', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '3375597', '0', 'object/tangible/sign/shared_all_sign_city_s02.iff', '0', '0.707107', '0', '0.707107', '-5056.71', '80', '-2490.15', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '3475363', '0', 'object/building/military/shared_military_base_shed_imperial_barracks_s01.iff', '0', '0', '0', '1', '-5555.02', '76', '-5708.39', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '3475364', '3475363', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '3475365', '3475363', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '3475366', '3475363', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '3475367', '3475363', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '3475368', '3475363', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '923848', '3475368', 'object/tangible/hq_destructible/shared_uplink_terminal.iff', '0', '-0.707107', '0', '0.707107', '5.51445', '0.125266', '-3.86564', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '3475369', '3475363', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '3475370', '0', 'object/building/military/shared_military_base_shed_imperial_style_officer_s01.iff', '0', '0', '0', '1', '-5578.13', '76', '-5708.39', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '3475371', '3475370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '3475372', '3475370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '3475373', '3475370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '3475374', '3475370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '3475375', '3475370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '3475376', '3475370', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '3566196', '0', 'object/building/general/shared_bunker_blacksun_outpost_01.iff', '0', '0.884304', '0', '-0.466912', '4851.1', '76.3616', '-1079.97', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '3566197', '3566196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '3566198', '3566196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '3566199', '3566196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '3566200', '3566196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '3566201', '3566196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '3566202', '3566196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '3566203', '3566196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '3566204', '3566196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '3566205', '3566196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '3566206', '3566196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '3566207', '3566196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '3566208', '3566196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '3566209', '3566196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '3566210', '3566196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '3566211', '3566196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '3566212', '3566196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '3566213', '3566196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '3566214', '3566196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '3566215', '3566196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '3566234', '3566196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '3566235', '3566196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '3566236', '3566196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '3566237', '3566196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '3566238', '3566196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '3566239', '3566196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '3566240', '3566196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '3566241', '3566196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '3566242', '3566196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '3566243', '3566196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '3566244', '3566196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '3566245', '3566196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '3566246', '3566196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '3566247', '3566196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '3566248', '3566196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '3566249', '3566196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '3566250', '3566196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '3566251', '3566196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '3566252', '3566196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '3566253', '3566196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '3566254', '3566196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '3566255', '3566196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '3566256', '3566196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '3566257', '3566196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '3566258', '3566196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '3566259', '3566196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '3566260', '3566196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '3566261', '3566196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '3566262', '3566196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '3566263', '3566196', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '3625376', '0', 'object/static/item/shared_item_medical_console.iff', '0', '-0.707106', '0', '0.707108', '-5104.06', '81.1701', '-2251.36', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '3625377', '0', 'object/static/item/shared_item_medic_bag.iff', '-0.174108', '0', '0', '0.984727', '-5102.57', '79.9684', '-2250.11', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '3625378', '0', 'object/static/item/shared_item_medic_stimpack.iff', '0', '0', '0.670587', '0.741831', '-5102.38', '80.7351', '-2251.07', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '3625379', '0', 'object/static/item/shared_item_medic_stimpack.iff', '0', '0', '0.670587', '0.741831', '-5102.53', '80.7259', '-2251.01', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '3625380', '0', 'object/static/item/shared_item_medic_stimpack.iff', '0', '0', '0.670587', '0.741831', '-5102.69', '80.7218', '-2251', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '3625383', '0', 'object/static/item/shared_item_bowl_plain.iff', '0', '0', '0', '1', '-5182.06', '80', '-2351.4', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '3625384', '0', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '-5180.43', '80', '-2347.88', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '3625385', '0', 'object/static/item/shared_item_con_ration_kit_lg.iff', '0', '0.261909', '0', '0.965092', '-5180.33', '80', '-2347.58', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '3625402', '0', 'object/static/item/shared_item_ryyk_blade.iff', '0.620534', '0.572317', '-0.363453', '-0.394071', '-5218.16', '80.574', '-2166.91', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '3625403', '0', 'object/static/item/shared_item_katana.iff', '0.716266', '0.285376', '0.132334', '-0.622905', '-5218.19', '80.608', '-2166.67', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '3625411', '0', 'object/tangible/sign/shared_all_sign_city_s03.iff', '0', '-0.707106', '0', '0.707107', '5075.09', '80.0169', '5739.28', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '3625412', '0', 'object/tangible/sign/shared_all_sign_city_s03.iff', '0', '-0.707106', '0', '0.707107', '5460.09', '80.0166', '5854.28', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '3625413', '0', 'object/tangible/sign/shared_all_sign_city_s03.iff', '0', '-0.707106', '0', '0.707107', '5524.17', '80.6032', '5630.67', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '3625414', '0', 'object/tangible/sign/shared_all_sign_city_s03.iff', '0', '0', '0', '1', '5335.62', '80.0111', '5526.03', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '3625415', '0', 'object/tangible/sign/shared_all_sign_city_s03.iff', '0', '0.888055', '0', '-0.459737', '5134.66', '80', '5535.73', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4065368', '0', 'object/static/structure/naboo/shared_poi_nboo_tent_small.iff', '0', '0', '0', '1', '5164.04', '80', '5628.6', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '4065370', '0', 'object/static/structure/general/shared_data_terminal_free_s1.iff', '0', '0.792563', '0', '0.60979', '5161.58', '80', '5628.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4065371', '0', 'object/static/structure/general/shared_data_terminal_free_s2.iff', '0', '1', '0', '-3.20013e-08', '5164.34', '80', '5630.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4065375', '0', 'object/static/creature/shared_dantooine_picket.iff', '0', '1', '0', '-3.20013e-08', '5167.78', '80', '5628.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505485', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '-0.597195', '0', '0.802096', '3638.48', '96.5055', '-6397.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505486', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_32_style_01.iff', '0', '0', '0', '1', '3655.66', '96', '-6397.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505487', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0', '0', '1', '3672.42', '96', '-6397.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505488', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_32_style_01.iff', '0', '0', '0', '1', '3688.66', '96', '-6397.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505489', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.443948', '0', '0.896052', '3705.48', '96', '-6397.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505490', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_32_style_01.iff', '0', '0.707107', '0', '0.707107', '3705.66', '96', '-6413.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505491', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.707107', '0', '0.707107', '3705.66', '96', '-6430.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505492', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_32_style_01.iff', '0', '0.707107', '0', '0.707107', '3705.66', '96', '-6446.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505493', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.707107', '0', '0.707107', '3705.66', '96', '-6463.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505494', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_32_style_01.iff', '0', '0.707107', '0', '0.707107', '3705.66', '95.9991', '-6480.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505495', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.953728', '0', '0.300673', '3705.66', '96', '-6497.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505496', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_32_style_01.iff', '0', '0.707107', '0', '-0.707107', '3638.66', '95.6251', '-6482.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505497', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.975897', '0', '-0.21823', '3638.66', '95.7288', '-6497.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505498', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_32_style_01.iff', '0', '0.707107', '0', '-0.707107', '3638.66', '95.6409', '-6448.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505499', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_32_style_01.iff', '0', '0.707107', '0', '-0.707107', '3638.66', '95.6779', '-6414.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505500', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '-0.68529', '0', '0.72827', '3638.48', '96', '-6465.59', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505501', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '-0.66687', '0', '0.745174', '3638.6', '96', '-6431.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505504', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.707107', '0', '0.707107', '3705.28', '96', '-6442.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505509', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '-0.55603', '0', '0.831162', '3640', '96', '-6443', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505510', '0', 'object/static/structure/military/shared_military_wall_med_rebl_16_style_01.iff', '0', '0', '0', '1', '3697', '96', '-6443', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505511', '0', 'object/static/structure/military/shared_military_wall_med_rebl_16_style_01.iff', '0', '0', '0', '1', '3681', '96', '-6443', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505512', '0', 'object/static/structure/military/shared_military_wall_med_rebl_16_style_01.iff', '0', '0', '0', '1', '3648', '96', '-6443', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505516', '0', 'object/static/structure/military/shared_military_column_med_rebel_style_01.iff', '0', '0', '0', '1', '3673', '96', '-6443', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505517', '0', 'object/static/structure/military/shared_military_column_med_rebel_style_01.iff', '0', '0', '0', '1', '3656', '96', '-6443', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505518', '0', 'object/static/structure/military/shared_military_column_med_rebel_style_01.iff', '0', '0', '0', '1', '3689', '96', '-6443', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505529', '0', 'object/building/military/shared_outpost_starport.iff', '0', '1', '0', '3.20013e-08', '3671.56', '96', '-6421.2', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505530', '4505529', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '3315599', '4505530', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0', '0', '1', '-7.4058', '0.146595', '-19.103', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505531', '0', 'object/static/structure/military/shared_military_wall_weak_rebl_style_01.iff', '0', '-0.707105', '0', '0.707108', '3673.91', '94.6633', '-6420.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505533', '0', 'object/static/structure/military/shared_military_column_med_rebel_style_01.iff', '0', '0', '0', '1', '3673.87', '94.9005', '-6423.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505534', '0', 'object/static/structure/military/shared_military_wall_weak_rebl_style_01.iff', '0', '0', '0', '1', '3677.72', '94.7013', '-6423.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505535', '0', 'object/static/structure/military/shared_military_wall_weak_rebl_style_01.iff', '0', '1', '0', '-4.94834e-07', '3662.25', '94.7248', '-6423.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505536', '0', 'object/static/structure/military/shared_military_column_med_rebel_style_01.iff', '0', '-0.707106', '0', '0.707107', '3665.82', '94.962', '-6423.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505537', '0', 'object/static/structure/military/shared_military_wall_weak_rebl_style_01.iff', '0', '-0.707106', '0', '0.707107', '3665.96', '94.7628', '-6419.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505538', '0', 'object/static/structure/military/shared_military_column_med_rebel_style_01.iff', '0', '0', '0', '1', '3682', '94.8926', '-6423.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505539', '0', 'object/static/structure/military/shared_military_column_med_rebel_style_01.iff', '0', '0', '0', '1', '3673.79', '96', '-6416.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505540', '0', 'object/static/structure/military/shared_military_column_med_rebel_style_01.iff', '0', '0', '0', '1', '3658.28', '94.971', '-6423.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505541', '0', 'object/static/structure/military/shared_military_column_med_rebel_style_01.iff', '0', '0', '0', '1', '3665.92', '94.9977', '-6416.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505542', '0', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '-0.707106', '0', '0.707107', '3665.09', '96', '-6418.17', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505543', '0', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '0', '0', '1', '3660.72', '96', '-6422.79', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505545', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '-0.366273', '0', '0.930508', '3663.88', '96', '-6421.6', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505547', '0', 'object/tangible/crafting/station/shared_public_weapon_station.iff', '0', '0', '0', '1', '3677.25', '96', '-6422.42', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505548', '0', 'object/tangible/crafting/station/shared_public_structure_station.iff', '0', '0.707107', '0', '0.707107', '3675.08', '96', '-6419.54', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505549', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '0.710353', '0', '0.703845', '3683.42', '95.8419', '-6423.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505550', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '-0.677971', '0', '0.735088', '3656.73', '95.8562', '-6423.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505551', '0', 'object/static/structure/military/shared_military_wall_weak_rebl_style_01.iff', '0', '0.707107', '0', '0.707107', '3673.87', '94.706', '-6428.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505552', '0', 'object/static/structure/military/shared_military_column_med_rebel_style_01.iff', '0', '0.707107', '0', '0.707107', '3673.84', '94.8972', '-6432.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505553', '0', 'object/static/structure/military/shared_military_wall_weak_rebl_style_01.iff', '0', '0.707107', '0', '0.707107', '3666.01', '94.77', '-6427.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505554', '0', 'object/static/structure/military/shared_military_column_med_rebel_style_01.iff', '0', '0.707107', '0', '0.707107', '3666.02', '94.9613', '-6432.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505555', '0', 'object/tangible/crafting/station/shared_public_clothing_station.iff', '0', '1', '0', '3.20013e-08', '3675.6', '96', '-6428.78', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505556', '0', 'object/tangible/crafting/station/shared_public_food_station.iff', '0', '1', '0', '3.20013e-08', '3678.53', '96', '-6425.26', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505557', '0', 'object/tangible/terminal/shared_terminal_mission_rebel.iff', '0', '0.937369', '0', '-0.348337', '3664.42', '96.0035', '-6425.37', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505559', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '1', '0', '3.20013e-08', '3660.89', '96.0242', '-6424.4', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505561', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '-0.707106', '0', '0.707107', '3665.31', '96', '-6429.21', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505563', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.443948', '0', '0.896052', '3663.03', '96', '-6425.24', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505564', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.443948', '0', '0.896052', '3662.36', '96', '-6424.73', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505565', '0', 'object/static/item/shared_item_crate_clothing_small.iff', '0', '0.724287', '0', '-0.689499', '3675.01', '96', '-6430.82', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505566', '0', 'object/static/item/shared_armor_bone_helmet.iff', '0', '0.706826', '0', '0.707387', '3675.08', '95.2094', '-6430.85', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505569', '0', 'object/static/item/shared_item_container_organic_hide.iff', '0', '0', '0', '1', '3680.89', '96', '-6425.37', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505570', '0', 'object/static/item/shared_item_jar_berries.iff', '0', '0', '0', '1', '3681.54', '96', '-6425.32', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505571', '0', 'object/static/item/shared_item_jar_bugs.iff', '0', '0', '0', '1', '3681.5', '96', '-6425.56', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505572', '0', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '3681.94', '96', '-6425.32', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505573', '0', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '3681.97', '96', '-6425.68', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505574', '0', 'object/static/item/shared_item_con_plate_s1_full.iff', '0', '0', '0', '1', '3680.88', '96.4427', '-6425.36', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505575', '0', 'object/static/item/shared_item_carbine_dh17.iff', '0', '0', '0.677972', '0.735088', '3680.93', '96.0697', '-6422.79', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505576', '0', 'object/static/item/shared_item_rifle.iff', '0', '0', '0.699716', '0.714421', '3681.18', '96.0345', '-6423.02', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505577', '0', 'object/static/item/shared_item_ryyk_blade.iff', '0.00130237', '0.950788', '-0.309814', '0.00399685', '3680.4', '96.1395', '-6422.03', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505578', '0', 'object/static/structure/general/shared_droid_r2_powerdown.iff', '0', '1', '0', '3.20013e-08', '3681.96', '96', '-6422.25', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505579', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0', '0', '1', '3676.1', '96', '-6416.46', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505580', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_02.iff', '0', '0', '0', '1', '3676.08', '96.146', '-6416.94', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505581', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '1', '0', '0', '3.20013e-08', '3676.28', '96.7811', '-6415.95', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505582', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '3640.88', '96', '-6400.66', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505583', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '3641.63', '96', '-6401.37', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505584', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '3642.86', '96', '-6400.36', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505585', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '3640.54', '96', '-6402.71', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505586', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0', '0', '1', '3641.62', '96.0001', '-6399.89', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505589', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_16_style_01.iff', '0', '1', '0', '3.20013e-08', '3698', '96', '-6497', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505590', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_16_style_01.iff', '0', '1', '0', '3.20013e-08', '3646', '95.9981', '-6497', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505592', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_16_style_01.iff', '0', '1', '0', '3.20013e-08', '3682', '96', '-6497', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505593', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.925781', '0', '-0.378059', '3674.25', '96', '-6496.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505594', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.921061', '0', '0.389418', '3655', '96', '-6497', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505595', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_16_style_01.iff', '0', '-0.707106', '0', '0.707107', '3674', '96', '-6489', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505596', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '-0.433251', '0', '0.901273', '3673.99', '96', '-6481.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505597', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_16_style_01.iff', '0', '0.707107', '0', '0.707107', '3654.88', '96', '-6489.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505598', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.719787', '0', '0.694195', '3655.01', '96', '-6480.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505599', '0', 'object/building/military/shared_military_outpost_guard_house_rebel.iff', '0', '1', '0', '5.30747e-08', '3681.83', '96', '-6485.96', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505600', '4505599', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505601', '4505599', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505929', '4505601', 'object/static/item/shared_item_tapestry_rebel.iff', '0', '-0.707106', '0', '0.707108', '-3.54609', '1.2195', '5.01803', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505602', '0', 'object/building/military/shared_military_outpost_guard_house_rebel.iff', '0', '1', '0', '3.20013e-08', '3646.4', '96', '-6488.92', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505603', '4505602', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505604', '4505602', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505919', '4505604', 'object/static/item/shared_item_tapestry_rebel.iff', '0', '0', '0', '1', '-2.92042', '1.25096', '5.50776', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505605', '0', 'object/building/military/shared_outpost_cloning_facility.iff', '0', '0.707107', '0', '0.707106', '3647.65', '96', '-6451.79', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505606', '4505605', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505607', '4505605', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505608', '4505605', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505609', '4505605', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505610', '4505605', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505611', '4505605', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505633', '0', 'object/building/corellia/shared_ply_corl_house_m_s01_fp1.iff', '0', '-0.707105', '0', '0.707108', '3693.64', '96', '-6456.71', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505634', '4505633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505671', '4505634', 'object/static/item/shared_item_music_microphone_s2.iff', '0', '0', '0', '1', '9.49126', '0.624998', '3.61717', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505672', '4505634', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.707107', '0', '0.707107', '0.604103', '0.624999', '0.581863', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505674', '4505634', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '0', '0', '1', '1.64111', '0.624999', '0.641996', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505675', '4505634', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '-0.707106', '0', '0.707107', '2.71161', '0.624999', '0.677141', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505676', '4505634', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '-0.707106', '0', '0.707108', '5.94803', '0.624998', '0.757676', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505677', '4505634', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '1', '0', '-1.84353e-06', '4.91116', '0.624998', '0.697358', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505678', '4505634', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.707107', '0', '0.707106', '3.84089', '0.624998', '0.662171', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505679', '4505634', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '-0.707106', '0', '0.707108', '5.96644', '0.624999', '6.30398', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505680', '4505634', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '1', '0', '-1.84353e-06', '4.92908', '0.624999', '6.24386', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505681', '4505634', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.707107', '0', '0.707106', '0.504038', '0.624999', '3.32044', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505682', '4505634', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.707108', '0', '0.707105', '0.622139', '0.624999', '6.1281', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505683', '4505634', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '0', '0', '1', '1.65904', '0.624999', '6.18884', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505684', '4505634', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '-0.707105', '0', '0.707108', '2.72946', '0.624999', '6.22367', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505685', '4505634', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.707108', '0', '0.707105', '3.80579', '0.624999', '6.24254', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505686', '4505634', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '0', '0', '1', '1.7013', '0.624999', '3.30875', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505687', '4505634', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '-0.707104', '0', '0.70711', '2.77157', '0.624999', '3.34393', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505688', '4505634', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '-0.707103', '0', '0.70711', '6.00848', '0.624999', '3.42451', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505689', '4505634', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '1', '0', '-4.70952e-06', '4.97133', '0.624999', '3.36377', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505690', '4505634', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.707109', '0', '0.707105', '3.90085', '0.624999', '3.32921', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505692', '4505634', 'object/static/structure/general/shared_streetlamp_medium_blue_style_02.iff', '-0.5', '0.5', '0.5', '0.5', '13.008', '3.72578', '3.51247', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505693', '4505634', 'object/static/item/shared_item_tapestry_rebel.iff', '0', '-0.707105', '0', '0.707108', '1.23866', '0.624999', '0.0739623', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505694', '4505634', 'object/static/item/shared_item_tapestry_rebel.iff', '0', '-0.707106', '0', '0.707107', '1.09277', '0.624999', '6.89474', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505695', '4505634', 'object/soundobject/shared_soundobject_cantina_small.iff', '0', '0', '0', '1', '7.74908', '0.624998', '3.88313', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505765', '4505634', 'object/static/item/shared_item_tapestry_rebel.iff', '0', '-0.361615', '0', '0.932327', '1.45049', '0.624999', '0.0256119', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505635', '4505633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505726', '4505635', 'object/static/item/shared_item_tapestry_rebel.iff', '0', '1', '0', '-2e-06', '-10.2883', '0.625', '1.48086', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505733', '4505635', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '0.909757', '0', '0.41514', '-9.18324', '0.625', '5.19265', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505734', '4505635', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '0.936177', '0', '0.351529', '-8.71152', '0.625', '5.68084', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505735', '4505635', 'object/static/item/shared_item_container_energy_gas.iff', '0', '-0.198669', '0', '0.980067', '-7.92095', '0.625', '6.29163', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505736', '4505635', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '-9.69068', '0.625', '4.59629', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505737', '4505635', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '-9.62065', '0.625', '4.91235', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505738', '4505635', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '-9.38037', '0.625', '4.70378', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505739', '4505635', 'object/static/item/shared_item_container_energy_radioactive.iff', '0', '-0.0699429', '0', '0.997551', '-6.42393', '0.625', '6.35317', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505740', '4505635', 'object/static/item/shared_item_container_energy_solid.iff', '0', '0.276356', '0', '0.961055', '-9.71746', '0.625', '2.38154', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505741', '4505635', 'object/static/item/shared_item_container_inorganic_chemicals.iff', '0', '0.581035', '0', '0.813879', '-7.60128', '0.625', '5.74143', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505742', '4505635', 'object/static/item/shared_item_container_inorganic_gas.iff', '0', '0', '0', '1', '-9.81969', '0.625', '3.05277', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505743', '4505635', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.432893', '0', '0.901446', '-4.67018', '0.625', '5.41325', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505744', '4505635', 'object/static/item/shared_item_container_organic_food.iff', '0', '-0.129634', '0', '0.991562', '-4.80202', '0.625', '0.988618', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505745', '4505635', 'object/static/item/shared_item_container_organic_food.iff', '0', '-0.452886', '0', '0.891568', '-4.17318', '0.625', '1.45985', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505746', '4505635', 'object/static/item/shared_item_container_organic_food.iff', '0', '-0.324043', '0', '0.946042', '-4.43091', '0.625', '1.18217', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505747', '4505635', 'object/static/item/shared_item_container_organic_hide.iff', '0', '-0.139543', '0', '0.990216', '-5.29184', '0.625', '0.785521', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505748', '4505635', 'object/static/item/shared_item_container_organic_hide.iff', '0', '0', '0', '1', '-4.14551', '0.625', '2.07415', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505749', '4505635', 'object/static/item/shared_item_container_organic_structure.iff', '0', '0', '0', '1', '-9.21565', '0.625', '1.77986', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505750', '4505635', 'object/static/item/shared_item_container_organic_food.iff', '0', '-0.324043', '0', '0.946042', '-4.717', '0.625', '1.5681', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505636', '4505633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505751', '4505636', 'object/tangible/furniture/modern/shared_bar_counter_s1.iff', '0', '-0.707106', '0', '0.707108', '-7.6474', '0.624999', '-7.42516', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505753', '4505636', 'object/static/item/shared_item_medic_bag.iff', '-0.70328', '0', '0', '0.710913', '-7.56555', '1.82666', '-7.51398', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505754', '4505636', 'object/static/item/shared_item_medic_stimpack.iff', '0', '0', '0.655617', '0.755093', '-7.53325', '1.79504', '-8.43799', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505755', '4505636', 'object/static/item/shared_item_medic_stimpack.iff', '0', '0', '0.655617', '0.755093', '-7.41847', '1.79504', '-8.44736', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505756', '4505636', 'object/static/item/shared_item_medical_console.iff', '0', '0.981854', '0', '-0.189641', '-7.51477', '1.79504', '-6.29032', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505757', '4505636', 'object/static/item/shared_item_bacta_ampules.iff', '0', '0', '0.710353', '0.703845', '-7.36015', '1.79504', '-8.12222', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505758', '4505636', 'object/static/item/shared_item_bacta_ampules.iff', '0', '0', '0.710353', '0.703845', '-7.41039', '1.79504', '-8.17735', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505759', '4505636', 'object/static/item/shared_item_medic_stimpack.iff', '0', '0', '0.655617', '0.755093', '-7.64538', '1.79504', '-8.42519', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505760', '4505636', 'object/static/item/shared_item_raw_cloth.iff', '0', '0', '0', '1', '-7.37113', '1.7318', '-7.23366', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505761', '4505636', 'object/static/item/shared_item_ribbon.iff', '0', '0', '0.696136', '0.71791', '-7.27427', '1.79504', '-6.96283', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505762', '4505636', 'object/static/item/shared_item_sewing_utensils.iff', '0.713855', '0.0035693', '-0.00350141', '-0.700276', '-7.67327', '1.79504', '-6.8471', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505764', '4505636', 'object/static/item/shared_item_tapestry_rebel.iff', '0', '0.380188', '0', '0.924909', '4.09313', '0.624999', '-6.24635', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505766', '4505636', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s1.iff', '0', '1', '0', '3.20013e-08', '-4.44893', '0.625', '-2.56456', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505767', '4505636', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s1.iff', '0', '1', '0', '-1.99806e-07', '-2.87042', '0.625', '-2.52982', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505768', '4505636', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s1.iff', '0', '1', '0', '-1.99806e-07', '-1.24262', '0.625', '-2.51954', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505769', '4505636', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s1.iff', '0', '1', '0', '-1.99806e-07', '0.35389', '0.624999', '-2.51917', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505770', '4505636', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s1.iff', '0', '0', '0', '1', '-4.45208', '0.624999', '-6.30147', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505771', '4505636', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s1.iff', '0', '0', '0', '1', '-2.85553', '0.624999', '-6.30132', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505772', '4505636', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s1.iff', '0', '0', '0', '1', '-1.2276', '0.624999', '-6.2912', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505773', '4505636', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s1.iff', '0', '0', '0', '1', '0.350572', '0.624999', '-6.25634', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505637', '4505633', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505710', '4505637', 'object/tangible/furniture/modern/shared_rug_rnd_sml_s01.iff', '0', '0', '0', '1', '7.72771', '0.593377', '-4.40241', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505711', '4505637', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s1.iff', '0', '-0.707106', '0', '0.707107', '9.01413', '0.625', '-4.5032', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505712', '4505637', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s1.iff', '0', '0', '0', '1', '7.83032', '0.625', '-5.47435', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505713', '4505637', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s1.iff', '0', '1', '0', '-1e-06', '7.86909', '0.625', '-3.45658', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505714', '4505637', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '0.981048', '0', '0.193767', '10.4457', '0.625', '-5.87437', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505715', '4505637', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '0.92388', '0', '-0.382683', '6.40095', '0.625', '-7.08736', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505716', '4505637', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '0.92388', '0', '0.382683', '6.40016', '0.625', '-1.77926', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505718', '4505637', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s05.iff', '0', '0', '0', '1', '9.59403', '0.625', '-2.54935', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505723', '4505637', 'object/tangible/furniture/all/shared_frn_all_decorative_sm_s3.iff', '0', '0.707107', '0', '0.707107', '4.68465', '0.625', '-5.63902', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505724', '4505637', 'object/tangible/furniture/all/shared_frn_all_decorative_sm_s3.iff', '0', '0.707107', '0', '0.707107', '4.69468', '0.625', '-3.35691', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505663', '0', 'object/building/military/shared_outpost_shed_s04.iff', '0', '0.707107', '0', '0.707107', '3647.65', '96', '-6466.8', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505664', '4505663', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505665', '4505663', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505666', '4505663', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505667', '4505663', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505668', '4505663', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505669', '4505663', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505788', '0', 'object/building/corellia/shared_ply_corl_house_s_s01_fp2.iff', '0', '0', '0', '1', '3696.91', '96', '-6487.78', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505789', '4505788', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505790', '4505788', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505791', '4505788', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505794', '4505791', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s1.iff', '0', '1', '0', '3.20013e-08', '2.28472', '0.74', '4.04364', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505795', '4505791', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s1.iff', '0', '1', '0', '3.20013e-08', '3.80008', '0.74', '4.06404', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505796', '4505791', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s1.iff', '0', '1', '0', '3.20013e-08', '5.2179', '0.74', '4.06603', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505797', '4505791', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s1.iff', '0', '1', '0', '0', '2.29909', '0.74', '1.30303', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505798', '4505791', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s1.iff', '0', '1', '0', '0', '3.81447', '0.74', '1.32354', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505799', '4505791', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s1.iff', '0', '1', '0', '0', '5.23244', '0.74', '1.32549', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505806', '4505791', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0.707106', '0', '0.707107', '1.11655', '0.74', '1.93697', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505807', '4505791', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0.707103', '0', '0.70711', '1.11826', '0.74', '3.7057', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505808', '4505791', 'object/static/item/shared_item_rifle.iff', '0', '0', '0.699716', '0.714421', '1.18166', '1.0246', '1.46623', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505809', '4505791', 'object/static/item/shared_item_pistol.iff', '0', '0', '0.674288', '0.738469', '1.24366', '1.94167', '2.10953', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505810', '4505791', 'object/static/item/shared_item_carbine_dh17.iff', '0', '0', '0.720831', '0.693111', '1.22598', '1.37246', '1.90526', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505811', '4505791', 'object/static/item/shared_item_rocket_launcher.iff', '0.502692', '0.497293', '-0.497293', '-0.502692', '1.23306', '1.05623', '3.3775', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505812', '4505791', 'object/static/item/shared_item_ammo_rocket.iff', '0', '0', '0', '1', '1.16468', '1.0246', '3.82925', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505813', '4505791', 'object/static/item/shared_item_ammo_rocket.iff', '0', '0', '0', '1', '1.2845', '1.0246', '3.83581', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505814', '4505791', 'object/static/item/shared_item_ammo_rocket.iff', '0', '0', '0', '1', '1.11069', '1.0246', '3.82871', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505815', '4505791', 'object/static/item/shared_item_ammo_rocket.iff', '0', '0', '0', '1', '1.23112', '1.0246', '3.82929', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505816', '4505791', 'object/static/item/shared_item_ammo_rocket.iff', '0', '0', '0', '1', '1.15235', '1.0246', '4.05473', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505817', '4505791', 'object/static/item/shared_item_ammo_rocket.iff', '0', '0', '0', '1', '1.27198', '1.0246', '4.06157', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505818', '4505791', 'object/static/item/shared_item_ammo_rocket.iff', '0', '0', '0', '1', '1.09815', '1.0246', '4.05424', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505819', '4505791', 'object/static/item/shared_item_ammo_rocket.iff', '0', '0', '0', '1', '1.21876', '1.0246', '4.05473', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505820', '4505791', 'object/static/item/shared_item_rifle.iff', '0.947396', '0', '0', '-0.320063', '1.13285', '0.929737', '5.22011', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505821', '4505791', 'object/static/item/shared_item_pistol.iff', '0.43306', '0.428409', '0.557734', '0.563789', '5.77092', '0.74', '5.94826', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505856', '4505791', 'object/static/item/shared_item_sclpt_stuffed_bantha.iff', '-0.0935599', '0.11906', '0.731938', '0.664333', '3.91563', '1.21434', '5.42475', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505873', '4505791', 'object/static/item/shared_item_tapestry_rebel.iff', '0', '0', '0', '1', '6.75722', '0.74', '2.94508', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505792', '4505788', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505823', '4505792', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '-0.707106', '0', '0.707107', '0.401692', '0.74', '1.91182', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505824', '4505792', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0.707107', '0', '-0.707107', '0.35607', '0.74', '4.25466', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505825', '4505792', 'object/static/item/shared_item_vibroknuckles.iff', '0', '0', '0.677972', '0.735088', '0.366067', '1.0246', '2.57178', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505826', '4505792', 'object/static/item/shared_item_vibroknuckles.iff', '0.224245', '0.206822', '0.645657', '0.700048', '0.400071', '1.0246', '2.35796', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505827', '4505792', 'object/static/item/shared_item_vibroknuckles.iff', '-0.24301', '-0.255955', '0.627842', '0.693721', '0.421258', '1.0246', '2.2005', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505828', '4505792', 'object/static/item/shared_item_vibroknuckles.iff', '0.23472', '0.216483', '0.642482', '0.696605', '0.4177', '1.0246', '1.38977', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505829', '4505792', 'object/static/item/shared_item_vibroknuckles.iff', '-0.468437', '-0.436635', '0.527186', '0.558562', '0.445776', '1.0246', '1.94493', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505830', '4505792', 'object/static/item/shared_item_vibroknuckles.iff', '-0.231234', '-0.213268', '0.643556', '0.69777', '0.462615', '1.0246', '1.65853', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505831', '4505792', 'object/static/item/shared_item_wood_staff.iff', '-0.114747', '0', '0', '0.993395', '0.313345', '1.87842', '2.94969', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505832', '4505792', 'object/static/item/shared_item_vibrolance.iff', '0', '0', '-0.223106', '0.974794', '0.170317', '1.53057', '3.10591', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505833', '4505792', 'object/static/item/shared_item_metal_staff.iff', '-0.124693', '-0.00375244', '-0.0073799', '0.992161', '0.224829', '1.08785', '3.14183', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505834', '4505792', 'object/static/item/shared_item_vibroaxe.iff', '0', '0', '-0.252245', '0.967663', '0.164352', '1.65706', '2.87959', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505835', '4505792', 'object/static/item/shared_item_rifle.iff', '0', '0', '0.70328', '0.710913', '0.425681', '1.0246', '4.26676', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505836', '4505792', 'object/static/item/shared_item_rifle.iff', '0', '0', '0.699716', '0.714421', '0.281376', '1.0246', '3.69633', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505837', '4505792', 'object/static/item/shared_item_pistol.iff', '0', '0', '0.692538', '0.721381', '0.432218', '1.37246', '4.29899', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505838', '4505792', 'object/static/item/shared_item_pistol.iff', '0', '0', '0.703282', '0.710912', '0.23122', '1.37246', '4.27708', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505839', '4505792', 'object/static/item/shared_item_pistol.iff', '0', '0', '0.703281', '0.710912', '0.475', '1.37246', '3.90828', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505840', '4505792', 'object/static/item/shared_item_pistol.iff', '0', '0', '0.703281', '0.710912', '0.290063', '1.37246', '3.92618', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505841', '4505792', 'object/static/item/shared_item_rocket_launcher.iff', '0.505', '0.499577', '-0.495', '-0.500373', '0.233086', '2.57412', '4.70401', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505842', '4505792', 'object/static/item/shared_item_rocket_launcher.iff', '0.505', '0.499577', '-0.495', '-0.500373', '0.283578', '2.57412', '3.90442', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505843', '4505792', 'object/static/item/shared_item_ammo_rocket.iff', '0', '0', '0', '1', '0.294674', '1.94167', '4.02219', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505844', '4505792', 'object/static/item/shared_item_ammo_rocket.iff', '0', '0', '0', '1', '0.414303', '1.94167', '4.02902', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505845', '4505792', 'object/static/item/shared_item_ammo_rocket.iff', '0', '0', '0', '1', '0.240475', '1.94167', '4.0217', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505846', '4505792', 'object/static/item/shared_item_ammo_rocket.iff', '0', '0', '0', '1', '0.36108', '1.94167', '4.02219', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505847', '4505792', 'object/static/item/shared_item_ammo_rocket.iff', '0', '0', '0', '1', '0.298354', '1.94167', '3.84152', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505848', '4505792', 'object/static/item/shared_item_ammo_rocket.iff', '0', '0', '0', '1', '0.417983', '1.94167', '3.84835', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505849', '4505792', 'object/static/item/shared_item_ammo_rocket.iff', '0', '0', '0', '1', '0.244155', '1.94167', '3.84103', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505850', '4505792', 'object/static/item/shared_item_ammo_rocket.iff', '0', '0', '0', '1', '0.36476', '1.94167', '3.84152', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505851', '4505792', 'object/static/item/shared_item_ammo_rocket.iff', '0', '0', '0', '1', '0.27274', '1.94167', '3.68078', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505852', '4505792', 'object/static/item/shared_item_ammo_rocket.iff', '0', '0', '0', '1', '0.392369', '1.94167', '3.68762', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505853', '4505792', 'object/static/item/shared_item_ammo_rocket.iff', '0', '0', '0', '1', '0.218541', '1.94167', '3.68029', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505854', '4505792', 'object/static/item/shared_item_ammo_rocket.iff', '0', '0', '0', '1', '0.339146', '1.94167', '3.68078', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505857', '4505792', 'object/static/item/shared_item_carbine_dh17.iff', '0', '0', '0.605187', '0.796084', '0.322721', '1.34083', '1.80743', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505858', '4505792', 'object/static/item/shared_item_carbine_dh17.iff', '0', '0', '0.692535', '0.721384', '0.503699', '1.37246', '1.81742', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505859', '4505792', 'object/static/item/shared_armor_chitin_helmet.iff', '0', '-0.688922', '0', '0.724836', '0.312125', '0.992982', '1.3362', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505860', '4505792', 'object/static/item/shared_armor_bone_helmet.iff', '-0.439539', '0.54901', '0.433118', '-0.56374', '0.451693', '2.22627', '0.228511', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505861', '4505792', 'object/static/item/shared_item_axe.iff', '0.617413', '0.623123', '-0.341058', '-0.337933', '0.268991', '1.97329', '1.71479', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505862', '4505792', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '-3.366', '0.74', '5.90758', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505863', '4505792', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.430458', '0', '0.902611', '-2.80323', '0.74', '5.20408', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505864', '4505792', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '-3.49175', '0.74', '4.0692', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505865', '4505792', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '-0.415082', '0.74', '5.69929', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505867', '4505792', 'object/static/item/shared_item_container_organic_structure.iff', '0', '0', '0', '1', '-3.42954', '0.74', '-4.17009', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505868', '4505792', 'object/static/item/shared_item_container_organic_hide.iff', '0', '0', '0', '1', '-2.7461', '0.74', '-3.6657', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505869', '4505792', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.734548', '0', '0.678557', '-3.66166', '0.74', '-3.34244', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505870', '4505792', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.734548', '0', '0.678557', '-3.43196', '0.74', '-3.01793', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505871', '4505792', 'object/static/item/shared_item_container_energy_gas.iff', '0', '-0.696136', '0', '0.71791', '-3.83998', '0.74', '-1.90242', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505872', '4505792', 'object/static/item/shared_item_tapestry_rebel.iff', '0', '0', '0', '1', '-4.10157', '1.37246', '1.81544', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505875', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '-0.707106', '0', '0.707107', '3655.71', '95.9326', '-6459.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505876', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '0', '0', '1', '3687.8', '96', '-6478.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505877', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '0', '0', '1', '3641.39', '96', '-6481.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505878', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '-0.707106', '0', '0.707107', '3685.24', '95.9197', '-6451.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505884', '0', 'object/static/structure/corellia/shared_corl_tent_small.iff', '0', '-0.0549723', '0', '0.998488', '3702.01', '96', '-6438.75', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505886', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_fruit_stand_small_style_01.iff', '0', '-0.707106', '0', '0.707107', '3703.92', '96', '-6434.41', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505887', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '0', '0', '1', '3699.52', '96', '-6436.38', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505888', '0', 'object/static/item/shared_item_jar_berries.iff', '0', '0', '0', '1', '3699.96', '96.6009', '-6436.27', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505889', '0', 'object/static/item/shared_item_jar_bugs.iff', '0', '0', '0', '1', '3699.93', '96.6009', '-6436.47', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505890', '0', 'object/static/item/shared_item_jar_empty.iff', '0', '0', '0', '1', '3699.75', '96.6009', '-6436.37', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505891', '0', 'object/static/item/shared_item_jar_funk.iff', '0', '0', '0', '1', '3699.78', '96.6009', '-6436.55', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505892', '0', 'object/static/item/shared_item_jar_guts.iff', '0', '0', '0', '1', '3699.74', '96.6009', '-6436.18', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505893', '0', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0', '0', '1', '3699.37', '96.6009', '-6435.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505894', '0', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '3699.61', '96', '-6435.38', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505895', '0', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '3699.45', '96', '-6435.64', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505896', '0', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '3699.3', '96', '-6435.4', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505897', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '0', '0', '1', '3703.99', '96', '-6436.91', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505898', '0', 'object/static/structure/general/shared_droid_r2_powerdown.iff', '0', '1', '0', '3.20013e-08', '3701.71', '96', '-6441.6', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505899', '0', 'object/static/structure/general/shared_droid_r4_powerdown.iff', '0', '1', '0', '3.20013e-08', '3702.72', '96', '-6441.64', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505902', '0', 'object/static/item/shared_item_container_energy_gas.iff', '0', '-0.685288', '0', '0.728272', '3699.86', '96', '-6441.54', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505903', '0', 'object/static/item/shared_item_carbine_dh17.iff', '0', '0', '0.706825', '0.707388', '3699.75', '96.7989', '-6441.4', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505904', '0', 'object/static/item/shared_item_rifle.iff', '0', '0', '-0.688922', '0.724836', '3699.88', '96.7608', '-6441.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505906', '0', 'object/static/structure/general/shared_data_terminal_s1.iff', '0', '0', '0', '1', '3676.75', '102.986', '-6491.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505918', '0', 'object/static/structure/general/shared_data_terminal_s1.iff', '0', '0', '0', '1', '3641.54', '102.991', '-6494.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505920', '0', 'object/static/item/shared_item_rifle.iff', '0.494867', '0.494683', '0.504867', '0.505475', '3649.6', '104.838', '-6482.76', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505921', '0', 'object/static/item/shared_item_rifle.iff', '0.499892', '0.489603', '0.499892', '0.510397', '3649.6', '103.326', '-6482.75', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505922', '0', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '1', '0', '-1.08489e-06', '3650.17', '103.025', '-6482.71', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505923', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '3640.48', '103.049', '-6483.04', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505924', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '3641.43', '103.049', '-6483.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505925', '0', 'object/static/item/shared_item_rifle.iff', '0.648977', '0.651259', '-0.274896', '-0.281289', '3651.62', '103.94', '-6493.71', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505926', '0', 'object/static/item/shared_item_pistol.iff', '0', '0', '0.688921', '0.724836', '3687.93', '103.933', '-6487.36', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505927', '0', 'object/static/item/shared_item_rifle.iff', '-0.00306866', '0.00394743', '0.789494', '0.613738', '3687.52', '103.074', '-6488.01', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505928', '0', 'object/static/item/shared_item_carbine_dh17.iff', '0', '0', '0.710353', '-0.703845', '3687.92', '103.954', '-6488.06', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505967', '0', 'object/building/military/shared_military_base_shed_rebel_style_01.iff', '0', '0.707107', '0', '0.707107', '3714.61', '96', '-6438.56', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505968', '4505967', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505969', '4505967', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505970', '4505967', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505971', '4505967', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505972', '4505967', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505973', '4505967', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505991', '0', 'object/building/military/shared_military_outpost_guard_house_rebel.iff', '0', '0.707107', '0', '0.707107', '3630.38', '96', '-6437.26', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505992', '4505991', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4505993', '4505991', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4506085', '4505993', 'object/static/item/shared_item_tapestry_rebel.iff', '0', '0', '0', '1', '-2.90784', '1.21948', '5.59625', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4506006', '0', 'object/tangible/camp/shared_camp_cot_s3.iff', '0', '0', '0', '1', '3686.45', '103.004', '-6479.96', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4506008', '0', 'object/tangible/camp/shared_camp_cot_s3.iff', '0', '0', '0', '1', '3676.48', '103.014', '-6490.82', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4506009', '0', 'object/tangible/camp/shared_camp_cot_s3.iff', '0', '0.707107', '0', '0.707107', '3640.55', '103.025', '-6492.43', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4506012', '0', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '0.707107', '0', '0.707107', '3675.68', '103.017', '-6489.67', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4506015', '0', 'object/tangible/furniture/all/shared_frn_all_lamp_desk_s02.iff', '0', '0', '0', '1', '3676.11', '104.006', '-6489.3', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4506016', '0', 'object/static/item/shared_item_bacta_ampules.iff', '0.710034', '-0.017691', '0.0242231', '-0.703529', '3676', '103.986', '-6489.87', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4506017', '0', 'object/static/item/shared_item_bacta_ampules.iff', '0.710034', '-0.017691', '0.0242231', '-0.703529', '3675.88', '103.986', '-6489.81', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4506019', '0', 'object/static/item/shared_item_document.iff', '0', '0', '0', '1', '3675.49', '103.955', '-6489.64', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4506020', '0', 'object/static/item/shared_item_jar_berries.iff', '0', '0', '0', '1', '3675.62', '103.006', '-6488.98', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4506021', '0', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '1', '0', '3.20013e-08', '3701.06', '96', '-6468.66', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4506022', '0', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '1', '0', '3.20013e-08', '3701.8', '96', '-6468.65', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4506023', '0', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '1', '0', '3.20013e-08', '3702.53', '96', '-6468.66', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4506024', '0', 'object/static/item/shared_item_container_energy_radioactive.iff', '0', '0', '0', '1', '3703.61', '96', '-6478.88', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4506025', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '3702.34', '96', '-6479.03', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4506026', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '3702.05', '96', '-6479.23', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4506027', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '3701.95', '96', '-6478.89', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4506028', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0', '0', '1', '3703.95', '96', '-6476.85', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4506029', '0', 'object/static/item/shared_item_container_organic_hide.iff', '0', '0.352274', '0', '0.935897', '3702.53', '96', '-6477.84', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4506030', '0', 'object/static/structure/corellia/shared_corl_tent_small.iff', '0', '0', '0', '1', '3642.86', '96', '-6438.85', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '4506031', '0', 'object/static/item/shared_item_painting_tatooine_style_02.iff', '-0.185198', '0.682423', '-0.185198', '0.682423', '3643.81', '95.1262', '-6440.83', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4506032', '0', 'object/static/item/shared_item_painting_naboo_style_01.iff', '-0.137014', '0.693705', '-0.137014', '0.693706', '3642.01', '94.7039', '-6441.22', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4506033', '0', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_01.iff', '0', '0', '0', '1', '3645.83', '95.9684', '-6438.94', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4506035', '0', 'object/tangible/furniture/all/shared_frn_all_decorative_lg_s1.iff', '0', '0.747971', '0', '0.663731', '3640.36', '96', '-6437.98', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4506036', '0', 'object/tangible/furniture/all/shared_frn_all_decorative_lg_s2.iff', '0', '0.95209', '0', '-0.305817', '3641.24', '96', '-6440.47', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4506037', '0', 'object/tangible/furniture/all/shared_frn_all_decorative_sm_s1.iff', '0', '0', '0', '1', '3642.71', '96', '-6441.02', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4506038', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.585097', '0', '0.810963', '3640.44', '96', '-6439.27', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4506040', '0', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '3641.89', '96', '-6436.9', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4506041', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0', '0', '1', '3665.24', '96', '-6401.63', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4506042', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0', '0', '1', '3665.18', '96.8759', '-6401.61', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4506043', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '3664.51', '96.2091', '-6400.91', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4506044', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '3664.55', '96.2322', '-6402.07', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4506045', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '3665.4', '96.1704', '-6400.9', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4506046', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '3665.43', '96.1935', '-6402.06', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4506049', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.193767', '0', '0.981048', '3663.92', '96', '-6403.22', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4506050', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '-0.227978', '0', '0.973666', '3665.49', '96', '-6403.63', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4506051', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '3703', '96', '-6400.79', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4506052', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '3701.58', '96', '-6401.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4506053', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '3702.16', '96', '-6402.32', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4506060', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '3657.5', '96', '-6481.13', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4506061', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.203567', '0', '0.979061', '3657.71', '96', '-6480.35', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4506077', '0', 'object/tangible/terminal/shared_terminal_mission_rebel.iff', '0', '0', '0', '1', '3674.15', '96', '-6479.63', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4506080', '0', 'object/tangible/camp/shared_camp_cot_s3.iff', '0', '0', '0', '1', '3634.7', '103.042', '-6443.1', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4506081', '0', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '0', '0', '1', '3632.83', '103.022', '-6443.41', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4506082', '0', 'object/static/item/shared_item_carbine_dh17.iff', '-0.298101', '-0.297864', '0.640999', '0.641509', '3625.1', '103.06', '-6431.94', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4506083', '0', 'object/static/item/shared_item_carbine_dh17.iff', '0', '0', '0.706826', '0.707387', '3624.76', '103.06', '-6431.9', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4506084', '0', 'object/static/item/shared_item_carbine_dh17.iff', '0', '0', '0.713864', '0.700285', '3625.47', '103.977', '-6431.13', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '4615353', '0', 'object/building/naboo/shared_bank_naboo.iff', '0', '0.707106', '0', '0.707108', '-5110.25', '79.7197', '-2474.66', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4615355', '0', 'object/building/naboo/shared_filler_building_naboo_style_10.iff', '0', '0', '0', '1', '-5097.69', '80', '-2424.28', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4615358', '0', 'object/building/naboo/shared_filler_building_naboo_style_4.iff', '0', '0', '0', '1', '-5134.69', '80', '-2424.28', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4615364', '0', 'object/static/structure/naboo/shared_gate_narrow_s01.iff', '0', '0', '0', '1', '-5120.69', '80', '-2415.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4615365', '0', 'object/static/structure/naboo/shared_gate_narrow_s01.iff', '0', '1', '0', '-3.20013e-08', '-5120.69', '80', '-2433.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4615366', '0', 'object/building/naboo/shared_guild_combat_naboo_style_01.iff', '0', '0', '0', '1', '-5200', '80', '-2430', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4615367', '4615366', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4615368', '4615366', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4615369', '4615366', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4615370', '4615366', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4615371', '4615366', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4615372', '4615366', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4615373', '4615366', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4615374', '4615366', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4615375', '4615366', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4615376', '0', 'object/building/naboo/shared_guild_commerce_naboo_style_01.iff', '0', '1', '0', '-3.20013e-08', '-5200', '80', '-2338', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4615377', '4615376', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4615378', '4615376', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4615379', '4615376', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4615380', '4615376', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4615381', '4615376', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4615382', '4615376', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4615383', '4615376', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4615384', '4615376', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4615385', '4615376', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4615387', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_01.iff', '0', '0', '0', '1', '-5161', '80', '-2444', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4615389', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s01.iff', '0', '0.707105', '0', '0.707108', '-5173', '80', '-2442', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4615390', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s02.iff', '0', '0.707106', '0', '0.707108', '-5173', '80', '-2396', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4615391', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s02.iff', '0', '0.707107', '0', '-0.707106', '-5173', '80', '-2372', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4615392', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s01.iff', '0', '0.707105', '0', '0.707108', '-5173', '80', '-2421', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4615393', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '-5173', '80', '-2422', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4615394', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '-5173', '80', '-2401', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4615395', '0', 'object/static/structure/naboo/shared_archway_narrow_s02.iff', '0', '0.707106', '0', '0.707108', '-5173', '80', '-2384', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4615396', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '-5173', '80', '-2387', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4615397', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '-5173', '80', '-2381', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4615398', '0', 'object/static/structure/naboo/shared_archway_narrow_s02.iff', '0', '0.707098', '0', '0.707115', '-5173', '80', '-2398', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4615399', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '-5173', '80', '-2395', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4615400', '0', 'object/static/structure/naboo/shared_archway_narrow_s02.iff', '0', '0.707098', '0', '0.707115', '-5173', '80', '-2369', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4615401', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '-5173', '80', '-2366', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4615402', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '-5173', '80', '-2372', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4615403', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s01.iff', '0', '0.707107', '0', '0.707107', '-5173', '80', '-2344', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4615404', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '-5173', '80', '-2345', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4615405', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s01.iff', '0', '0.707107', '0', '0.707107', '-5173', '80', '-2365', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635352', '0', 'object/static/structure/naboo/shared_archway_narrow_s02.iff', '0', '0.707094', '0', '0.707119', '-5081.21', '80', '-2364.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635353', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '-5081.21', '80', '-2367.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635355', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s01.iff', '0', '0.707107', '0', '0.707107', '-5081.21', '80', '-2360.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635357', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '-5081.21', '80', '-2361.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635358', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '-5081.21', '80', '-2376.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635359', '0', 'object/static/structure/naboo/shared_archway_narrow_s02.iff', '0', '0.707107', '0', '0.707107', '-5081.21', '80', '-2379.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635360', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s02.iff', '0', '0.707107', '0', '-0.707106', '-5081.21', '80', '-2367.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635361', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '-5081.21', '80', '-2382.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635362', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '-5081.21', '80', '-2390.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635363', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s02.iff', '0', '0.707107', '0', '0.707107', '-5081.21', '80', '-2391.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635364', '0', 'object/static/structure/naboo/shared_archway_narrow_s02.iff', '0', '0.707094', '0', '0.707119', '-5081.21', '80', '-2393.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635365', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '-5081.21', '80', '-2396.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635366', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s01.iff', '0', '0.707107', '0', '0.707107', '-5081.21', '80', '-2416.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635369', '0', 'object/building/naboo/shared_filler_building_naboo_style_6.iff', '0', '0.707106', '0', '0.707108', '-5178.97', '80.0283', '-2298.88', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635373', '0', 'object/building/naboo/shared_filler_building_naboo_style_5.iff', '0', '0', '0', '1', '-5065.69', '80', '-2434.28', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635375', '0', 'object/building/naboo/shared_filler_nboo_bldg_64x32_s02.iff', '0', '0', '0', '1', '-5219.71', '80', '-2298.27', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635378', '0', 'object/building/naboo/shared_filler_nboo_bldg_64x32_style_01.iff', '0', '0.707106', '0', '0.707108', '-5249.71', '79.9939', '-2383.39', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635382', '0', 'object/building/naboo/shared_filler_building_naboo_style_8.iff', '0', '0', '0', '1', '-5140', '80', '-2322', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635383', '0', 'object/building/naboo/shared_filler_building_naboo_style_10.iff', '0', '-0.707106', '0', '0.707108', '-5080.14', '80', '-2328.17', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635386', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '-5173', '80', '-2324', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635387', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_02.iff', '0', '0', '0', '1', '-5161.47', '80', '-2318.02', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635391', '0', 'object/static/structure/naboo/shared_gate_wide_s01.iff', '0', '1', '0', '-3.20013e-08', '-5128.71', '80', '-2321.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635393', '0', 'object/building/naboo/shared_filler_building_naboo_style_8.iff', '0', '0', '0', '1', '-5140', '80', '-2311', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635394', '0', 'object/static/structure/naboo/shared_gate_wide_s01.iff', '0', '0', '0', '1', '-5128.71', '80', '-2310.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635395', '0', 'object/building/naboo/shared_guild_theater_naboo_s01.iff', '0', '0', '0', '1', '-5029', '80', '-2336', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635396', '4635395', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '7665373', '4635396', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '-1.9268', '0.6', '-5.81973', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635397', '4635395', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '7665372', '4635397', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-23.9107', '0.6', '-3.77034', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635398', '4635395', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '7665376', '4635398', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '25.1875', '0.6', '-2.17624', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635399', '4635395', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635400', '4635395', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635401', '4635395', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '7665366', '4635401', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '22.6713', '0.600001', '45.0724', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635402', '4635395', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635403', '4635395', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635404', '4635395', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635405', '4635395', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635406', '0', 'object/building/naboo/shared_guild_university_naboo_style_01.iff', '0', '0', '0', '1', '-5011', '80', '-2418', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635407', '4635406', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635408', '4635406', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635409', '4635406', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635410', '4635406', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635411', '4635406', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635412', '4635406', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635413', '4635406', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635414', '4635406', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635415', '4635406', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635416', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_01.iff', '0', '-0.707106', '0', '0.707107', '-5245.79', '80', '-2331.88', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635418', '0', 'object/building/naboo/shared_hospital_naboo.iff', '0', '1', '0', '-3.20013e-08', '-5126.49', '80', '-2212.15', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635419', '4635418', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635420', '4635418', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635421', '4635418', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635422', '4635418', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635423', '4635418', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '7665381', '4635423', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '-5094.23', '80', '-2217.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635424', '4635418', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635425', '4635418', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635426', '4635418', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635427', '4635418', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635428', '4635418', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635429', '4635418', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635430', '4635418', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635431', '4635418', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635432', '4635418', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635433', '0', 'object/building/naboo/shared_starport_naboo.iff', '0', '0.92388', '0', '0.382683', '-5372.44', '80', '-2160.55', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635434', '4635433', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635435', '4635433', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635436', '4635433', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635437', '4635433', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '909952', '4635437', 'object/soundobject/shared_soundobject_starport_announcer.iff', '0', '0', '0', '1', '9.28908', '0.639422', '58.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '3315570', '4635437', 'object/tangible/terminal/shared_terminal_space.iff', '0', '1', '0', '-3.20013e-08', '1.60986', '0.639421', '55.3864', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '3315571', '4635437', 'object/tangible/terminal/shared_terminal_space.iff', '0', '1', '0', '-3.20013e-08', '-2.42034', '0.639422', '55.5142', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '3315572', '4635437', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0.00230125', '0', '0.999997', '-2.26917', '0.639422', '61.3448', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '3315573', '4635437', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0.00230125', '0', '0.999997', '1.76032', '0.639422', '61.1986', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '7665452', '4635437', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '-0.707566', '0.639421', '57.9332', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635438', '4635433', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635439', '4635433', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635440', '4635433', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '7665474', '4635440', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '40.8308', '0.639416', '37.2505', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635441', '4635433', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635442', '4635433', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '7665457', '4635442', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-35.0126', '1.63942', '60.7128', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635443', '4635433', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '8525410', '4635443', 'object/tangible/terminal/shared_terminal_space.iff', '0', '-0.636844', '0', '0.770993', '-37.9034', '1.63942', '49.0133', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '8525411', '4635443', 'object/tangible/terminal/shared_terminal_space.iff', '0', '-0.12507', '0', '0.992148', '-40.2311', '1.63942', '46.9292', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '8525412', '4635443', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0.920595', '0', '0.390518', '-42.789', '1.63942', '51.2341', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635444', '4635433', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635445', '4635433', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '7665462', '4635445', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-53.7444', '2.63942', '40.3229', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635446', '4635433', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '7665469', '4635446', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '56.7855', '0.974633', '15.906', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635447', '4635433', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '7665463', '4635447', 'object/soundobject/shared_soundobject_starport_interior.iff', '0', '0', '0', '1', '-57.202', '0.974566', '11.6358', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635448', '4635433', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '5555736', '4635433', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635449', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_01.iff', '0', '0.191509', '0', '0.981491', '-5401', '79.8581', '-2260', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635451', '0', 'object/building/naboo/shared_filler_nboo_bldg_64x32_s02.iff', '0', '0.544169', '0', '0.838976', '-5479', '79.9622', '-2180', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635457', '0', 'object/building/naboo/shared_filler_nboo_bldg_64x32_s02.iff', '0', '0.92388', '0', '-0.382683', '-5447', '79.984', '-2233', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635463', '0', 'object/building/naboo/shared_filler_building_naboo_style_4.iff', '0', '0.783574', '0', '0.621298', '-5490', '79.8592', '-2130', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635465', '0', 'object/building/naboo/shared_filler_building_naboo_style_5.iff', '0', '0.92388', '0', '-0.382683', '-5432', '79.9136', '-2055', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635466', '0', 'object/building/naboo/shared_filler_nboo_bldg_64x32_style_01.iff', '0', '0.965693', '0', '-0.259689', '-5345.24', '80.1183', '-2055.27', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635469', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_01.iff', '0', '0.9992', '0', '0.0399893', '-5397', '80.0159', '-2043', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635471', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_02.iff', '0', '0.92388', '0', '-0.382683', '-5304', '80.431', '-2086', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635477', '0', 'object/building/naboo/shared_shuttleport_naboo.iff', '0', '-0.382683', '0', '0.92388', '-5241.27', '80.6642', '-2147.49', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635479', '0', 'object/building/naboo/shared_filler_building_naboo_style_3.iff', '0', '0', '0', '1', '-5337.04', '79.7917', '-2274.69', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635480', '0', 'object/building/naboo/shared_filler_building_naboo_style_10.iff', '0', '0.92388', '0', '-0.382683', '-5277', '80.376', '-2112', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635487', '0', 'object/building/naboo/shared_hotel_naboo_theed.iff', '0', '0', '0', '1', '-5129.5', '80', '-2370.79', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635488', '4635487', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635489', '4635487', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '7665417', '4635489', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-1.08705', '0.999959', '21.2441', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635490', '4635487', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635491', '4635487', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '1165518', '4635491', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.00269807', '0', '0.999996', '4.36062', '1.23851', '-21.9932', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '1165519', '4635491', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.00269807', '0', '0.999996', '0.288073', '1.23761', '-21.9098', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '1165520', '4635491', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '0.00269807', '0', '0.999996', '-1.13314', '1.0478', '-16.0347', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '1165521', '4635491', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '0.00269807', '0', '0.999996', '9.51049', '1.04876', '-16.1518', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '1165522', '4635491', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.00269807', '0', '0.999996', '8.4012', '1.23851', '-22.1376', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '7665418', '4635491', 'object/soundobject/shared_soundobject_city_crowd_sentients_large.iff', '0', '0', '0', '1', '0.312509', '0.99999', '3.56083', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '7665423', '4635491', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '6.25617', '1', '-15.647', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635492', '4635487', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '7665424', '4635492', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '20.2353', '1.28309', '8.24', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '7665425', '4635492', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '23.4625', '2.03815', '-16.8301', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635493', '4635487', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '1165498', '4635493', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '-0.00730187', '0', '0.999973', '-15.9713', '1.00105', '-0.0744708', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '1165513', '4635493', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '-0.00730187', '0', '0.999973', '-16.0216', '1.00107', '4.29482', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '1165514', '4635493', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.712253', '0', '-0.701924', '-12.3849', '1.00089', '-0.0461438', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '1165515', '4635493', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.701924', '0', '0.712252', '-12.1819', '1.00073', '-0.0639556', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '1165516', '4635493', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.710912', '0', '0.703281', '-12.1082', '1.00099', '4.24338', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '1165517', '4635493', 'object/tangible/gambling/slot/shared_standard.iff', '0', '-0.703286', '0', '0.710907', '-12.31', '1.00084', '4.26645', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '7665429', '4635493', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-20.2153', '1.6', '7.48744', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635494', '4635487', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635495', '4635487', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '7665430', '4635495', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-7.00224', '1.6', '-10.7873', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635496', '4635487', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '7665432', '4635496', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-17.5093', '1.6', '-16.1949', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635497', '4635487', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '7665433', '4635497', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-23.9115', '1.6', '-6.67122', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635501', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_01.iff', '0', '-0.707106', '0', '0.707107', '-5062.23', '80', '-2471.32', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635503', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_02.iff', '0', '-0.707106', '0', '0.707108', '-5153.19', '80', '-2411.26', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635507', '0', 'object/building/naboo/shared_filler_nboo_bldg_64x32_style_01.iff', '0', '-0.707105', '0', '0.707108', '-5086.38', '79.9204', '-2272.67', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635511', '0', 'object/building/naboo/shared_filler_building_naboo_style_4.iff', '0', '1', '0', '7.33659e-08', '-5111.37', '80', '-2315.91', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635513', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s02.iff', '0', '0', '0', '1', '-5091', '80', '-2310', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635514', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '-5091', '80', '-2310', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635515', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '-5101', '80', '-2310', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635516', '0', 'object/building/naboo/shared_association_hall_civilian_naboo.iff', '0', '0.707106', '0', '0.707107', '-5191.87', '80', '-2480.84', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635517', '4635516', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '7665412', '4635517', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-6.53907', '2.15798', '15.1223', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635518', '4635516', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635519', '4635516', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635520', '4635516', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635521', '4635516', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635522', '4635516', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635523', '4635516', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635524', '4635516', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635525', '4635516', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635526', '4635516', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '7665411', '4635526', 'object/soundobject/shared_soundobject_city_crowd_sentients.iff', '0', '0', '0', '1', '-0.504458', '1.1544', '-2.2928', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635527', '4635516', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '7665405', '4635527', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '-0.234077', '1.75', '-20.5655', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635528', '4635516', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '7665416', '4635528', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-1.27177', '-9', '-4.41814', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635529', '4635516', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '7665413', '4635529', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '1.21613', '-9', '-17.1748', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635530', '4635516', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635531', '4635516', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635532', '4635516', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635533', '4635516', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635534', '0', 'object/building/naboo/shared_filler_building_naboo_style_10.iff', '0', '0', '0', '1', '-5159.22', '79.9902', '-2522.4', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635537', '0', 'object/building/naboo/shared_filler_building_naboo_style_6.iff', '0', '-0.707105', '0', '0.707108', '-5063.46', '79.9714', '-2506.58', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635538', '0', 'object/building/naboo/shared_filler_nboo_bldg_64x32_s02.iff', '0', '1', '0', '-3.20013e-08', '-5103.85', '80', '-2527.72', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635541', '0', 'object/building/naboo/shared_cloning_facility_naboo.iff', '0', '0.707105', '0', '0.707108', '-5025.02', '80', '-2483.39', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635542', '4635541', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635543', '4635541', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635544', '4635541', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '7665403', '4635544', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-13.6746', '-3', '-1.42122', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635545', '4635541', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635546', '4635541', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635547', '4635541', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635548', '0', 'object/building/naboo/shared_filler_nboo_bldg_64x32_style_01.iff', '0', '-0.707105', '0', '0.707109', '-4967.66', '79.7631', '-2410.94', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635551', '0', 'object/building/naboo/shared_filler_building_naboo_style_4.iff', '0', '-0.707105', '0', '0.707108', '-4963', '79.6992', '-2368', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635553', '0', 'object/building/naboo/shared_filler_building_naboo_style_4.iff', '0', '-0.707106', '0', '0.707108', '-4963', '79.7909', '-2334', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635555', '0', 'object/static/structure/naboo/shared_archway_wide_s02.iff', '0', '-0.707106', '0', '0.707107', '-4970', '80', '-2351', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635556', '0', 'object/static/structure/naboo/shared_archway_wide_s02.iff', '0', '0.707107', '0', '-0.707107', '-4956', '80', '-2351', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635557', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_02.iff', '0', '1', '0', '-3.20013e-08', '-4979', '79.7647', '-2310', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635560', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s01.iff', '0', '0.707106', '0', '0.707107', '-4962', '80', '-2330', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635561', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '-4962', '80', '-2311', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635562', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_01.iff', '0', '-0.707105', '0', '0.707108', '-4972', '79.8081', '-2279', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635564', '0', 'object/building/naboo/shared_filler_nboo_bldg_64x32_style_01.iff', '0', '1', '0', '-5.22924e-08', '-5037', '79.9556', '-2225', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635567', '0', 'object/building/naboo/shared_filler_building_naboo_style_10.iff', '0', '0.923879', '0', '-0.382684', '-4982', '79.8433', '-2241', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635570', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_02.iff', '0', '-0.707106', '0', '0.707107', '-5059.36', '80', '-2399.76', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635573', '0', 'object/building/naboo/shared_filler_building_naboo_style_4.iff', '0', '0', '0', '1', '-5042', '80', '-2431', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635575', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.707105', '0', '0.707109', '-4984.53', '80', '-2426.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635577', '0', 'object/static/structure/naboo/shared_archway_narrow_s02.iff', '0', '1', '0', '2.03039e-05', '-4987.53', '80', '-2426.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635578', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.707105', '0', '0.707109', '-4990.53', '80', '-2426.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635581', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '1', '0', '4.94834e-07', '-5058.63', '80', '-2489.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635582', '0', 'object/static/structure/naboo/shared_archway_narrow_s02.iff', '0', '0.707121', '0', '-0.707093', '-5058.67', '80', '-2492.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635583', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '1', '0', '4.94834e-07', '-5058.67', '80', '-2495.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635584', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s02.iff', '0', '0.707106', '0', '0.707107', '-5058.95', '80', '-2457.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635585', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s02.iff', '0', '0.707106', '0', '0.707108', '-5058.31', '80', '-2505.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635586', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s02.iff', '0', '0.707105', '0', '0.707108', '-5058.63', '80', '-2489.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635587', '0', 'object/building/naboo/shared_parking_garage_naboo_style_1.iff', '0', '1', '0', '-3.20013e-08', '-5233.81', '79.7968', '-2479.73', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635588', '0', 'object/building/naboo/shared_filler_building_naboo_style_3.iff', '0', '0.707107', '0', '0.707107', '-5257.13', '79.8223', '-2440.8', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635589', '0', 'object/building/naboo/shared_hotel_naboo_theed.iff', '0', '0', '0', '1', '-5286', '80', '-2301', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635590', '4635589', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635591', '4635589', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '7665450', '4635591', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-2.99544', '0.999959', '22.9632', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635592', '4635589', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '7665449', '4635592', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-2.08123', '0.999928', '15.5108', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635593', '4635589', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '1165529', '4635593', 'object/tangible/gambling/slot/shared_standard.iff', '0', '-0.00230193', '0', '0.999997', '4.36538', '1.25589', '-22.0148', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '1165530', '4635593', 'object/tangible/gambling/slot/shared_standard.iff', '0', '-0.00230193', '0', '0.999997', '0.291901', '1.25499', '-21.9724', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '1165531', '4635593', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '-0.00230193', '0', '0.999997', '-1.18782', '1.06519', '-16.1118', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '1165532', '4635593', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '-0.00230193', '0', '0.999997', '9.45662', '1.06615', '-16.1225', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '1165533', '4635593', 'object/tangible/gambling/slot/shared_standard.iff', '0', '-0.00230193', '0', '0.999997', '8.4072', '1.25589', '-22.1187', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '7665434', '4635593', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '2.9922', '1', '-16.1298', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635594', '4635589', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '7665445', '4635594', 'object/soundobject/shared_soundobject_cantina_medium.iff', '0', '0', '0', '1', '23.0591', '1.28309', '0.0475002', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635595', '4635589', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '1165523', '4635595', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '-0.00230192', '0', '0.999997', '-16.0074', '1.0008', '0.0124702', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '1165524', '4635595', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '-0.00230192', '0', '0.999997', '-16.0136', '1.00081', '4.38233', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '1165525', '4635595', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.708734', '0', '-0.705477', '-12.4203', '1.00063', '0.00514667', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '1165526', '4635595', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.705476', '0', '0.708734', '-12.2178', '1.00048', '-0.0149804', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '1165527', '4635595', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.71442', '0', '0.699717', '-12.1008', '1.00074', '4.29168', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '1165528', '4635595', 'object/tangible/gambling/slot/shared_standard.iff', '0', '-0.699724', '0', '0.714414', '-12.3026', '1.00058', '4.31649', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '7665442', '4635595', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-16.1071', '1.0008', '0.55617', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635596', '4635589', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635597', '4635589', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635598', '4635589', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635599', '4635589', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635602', '0', 'object/building/naboo/shared_filler_nboo_bldg_64x32_style_01.iff', '0', '0.707107', '0', '-0.707107', '-5187.15', '80', '-2247.19', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635606', '0', 'object/building/naboo/shared_filler_nboo_bldg_64x32_s02.iff', '0', '0', '0', '1', '-5243.12', '79.7072', '-2223.3', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635610', '0', 'object/building/naboo/shared_filler_building_naboo_style_10.iff', '0', '-0.707106', '0', '0.707108', '-5242.64', '80.0051', '-2255.34', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635613', '0', 'object/building/naboo/shared_filler_building_naboo_style_4.iff', '0', '0.0499792', '0', '0.99875', '-5372.47', '79.8907', '-2271.28', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635618', '0', 'object/building/naboo/shared_filler_building_naboo_style_8.iff', '0', '0.707107', '0', '0.707107', '5077', '80.1898', '5734', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635621', '0', 'object/static/structure/naboo/shared_archway_wide_s02.iff', '0', '0.707105', '0', '0.707108', '5077', '80.0178', '5746', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635622', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '5077', '80.0114', '5739', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635623', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '5077', '80.0251', '5754', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635624', '0', 'object/building/naboo/shared_filler_building_naboo_style_8.iff', '0', '0.707107', '0', '0.707107', '5077', '80.0296', '5759', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635625', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_01.iff', '0', '1', '0', '-3.20013e-08', '5097', '79.9435', '5768', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635627', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_02.iff', '0', '1', '0', '-3.20013e-08', '5097.76', '79.9879', '5728', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635630', '0', 'object/building/naboo/shared_filler_nboo_bldg_64x32_style_01.iff', '0', '0', '0', '1', '5156', '80', '5719', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635633', '0', 'object/building/naboo/shared_filler_nboo_bldg_64x32_s02.iff', '0', '0', '0', '1', '5145', '80', '5777', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635636', '0', 'object/building/naboo/shared_filler_building_naboo_style_10.iff', '0', '0.707106', '0', '0.707107', '5100', '80', '5695', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635639', '0', 'object/building/naboo/shared_hotel_naboo_theed.iff', '0', '0', '0', '1', '5150', '80', '5653', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635640', '4635639', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635641', '4635639', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '7665475', '4635641', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-1.81407', '0.999959', '21.5625', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635642', '4635639', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635643', '4635639', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '1165489', '4635643', 'object/tangible/gambling/slot/shared_standard.iff', '0', '-0.00230193', '0', '0.999997', '4.47722', '1.27424', '-22.0408', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '1165490', '4635643', 'object/tangible/gambling/slot/shared_standard.iff', '0', '-0.00230193', '0', '0.999997', '0.403868', '1.27333', '-21.998', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '1165491', '4635643', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '-0.00230193', '0', '0.999997', '-1.07599', '1.08353', '-16.1378', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '1165496', '4635643', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '-0.00230193', '0', '0.999997', '9.56841', '1.08449', '-16.1481', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '1165497', '4635643', 'object/tangible/gambling/slot/shared_standard.iff', '0', '-0.00230193', '0', '0.999997', '8.519', '1.27424', '-22.1443', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '7665477', '4635643', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '5.29408', '1', '-5.94156', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635644', '4635639', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '7665482', '4635644', 'object/soundobject/shared_soundobject_cantina_medium.iff', '0', '0', '0', '1', '18.6195', '1.28309', '1.13563', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635645', '4635639', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '1165483', '4635645', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '-0.00230193', '0', '0.999997', '-15.9178', '1.00095', '-0.0692282', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '1165484', '4635645', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '-0.00230193', '0', '0.999997', '-15.9244', '1.00097', '4.30035', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '1165485', '4635645', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.708734', '0', '-0.705477', '-12.3314', '1.00079', '-0.0766988', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '1165486', '4635645', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.705476', '0', '0.708733', '-12.1286', '1.00063', '-0.0965374', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '1165487', '4635645', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.71442', '0', '0.699717', '-12.012', '1.00089', '4.20991', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '1165488', '4635645', 'object/tangible/gambling/slot/shared_standard.iff', '0', '-0.699723', '0', '0.714415', '-12.2132', '1.00074', '4.23487', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635646', '4635639', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635647', '4635639', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635648', '4635639', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635649', '4635639', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635651', '0', 'object/building/naboo/shared_filler_building_naboo_style_5.iff', '0', '1', '0', '6.63422e-07', '5198.96', '80', '5662', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635652', '0', 'object/building/naboo/shared_shuttleport_naboo.iff', '0', '0.707107', '0', '-0.707107', '5213.03', '80', '5810.53', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635653', '0', 'object/building/naboo/shared_filler_building_naboo_style_6.iff', '0', '0', '0', '1', '5200.18', '80', '5731.77', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635654', '0', 'object/building/naboo/shared_filler_building_naboo_style_4.iff', '0', '1', '0', '-3.20013e-08', '5203.18', '80', '5711.77', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635656', '0', 'object/building/naboo/shared_guild_commerce_naboo_style_01.iff', '0', '0', '0', '1', '5237.71', '80', '5702.13', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635657', '4635656', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635658', '4635656', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635659', '4635656', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635660', '4635656', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635661', '4635656', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635662', '4635656', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635663', '4635656', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635664', '4635656', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635665', '4635656', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635666', '0', 'object/building/naboo/shared_starport_naboo.iff', '0', '1', '0', '-3.20013e-08', '5364.34', '80', '5751.93', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635667', '4635666', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635668', '4635666', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635669', '4635666', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635670', '4635666', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '909953', '4635670', 'object/soundobject/shared_soundobject_starport_announcer.iff', '0', '0', '0', '1', '12.2623', '0.639422', '59.1421', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '3315574', '4635670', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0.999976', '0', '0.0069023', '1.66807', '0.639421', '55.5189', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '3315575', '4635670', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0.999976', '0', '0.0069023', '-2.36347', '0.639421', '55.5909', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '3315576', '4635670', 'object/tangible/terminal/shared_terminal_space.iff', '0', '-0.00769874', '0', '0.99997', '-2.15748', '0.639421', '61.2973', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '3315577', '4635670', 'object/tangible/terminal/shared_terminal_space.iff', '0', '-0.00769874', '0', '0.99997', '1.8741', '0.639421', '61.2318', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '7665565', '4635670', 'object/soundobject/shared_soundobject_city_crowd_sentients_large.iff', '0', '0', '0', '1', '-1.53373', '0.639422', '59.821', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635671', '4635666', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635672', '4635666', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635673', '4635666', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635674', '4635666', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635675', '4635666', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '7575441', '4635675', 'object/tangible/furniture/modern/shared_bar_piece_straight_s2.iff', '0', '0.87978', '0', '0.475382', '-27.3381', '1.63942', '51.1923', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '7575442', '4635675', 'object/tangible/furniture/modern/shared_bar_counter_s1.iff', '0', '0.281157', '0', '0.959662', '-24.4791', '1.63942', '52.4441', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '7575443', '4635675', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '-26.2534', '2.77784', '52.6387', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7575444', '4635675', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '-26.5845', '2.77784', '52.6702', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7575445', '4635675', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '-26.38', '2.77784', '52.9286', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7575446', '4635675', 'object/static/item/shared_item_con_barrel_lg_s1.iff', '0', '-0.144492', '0', '0.989506', '-25.8951', '1.63942', '53.3308', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7575447', '4635675', 'object/static/item/shared_item_con_bowl_full.iff', '0', '0', '0', '1', '-27.6106', '2.77784', '51.1158', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7575448', '4635675', 'object/static/item/shared_item_con_plate_s1_full.iff', '0', '0', '0', '1', '-27.1949', '2.80947', '51.4309', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7575451', '4635675', 'object/static/item/shared_item_con_bowl_serving_full.iff', '0', '0', '0', '1', '-26.9595', '2.77784', '52.0905', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7575452', '4635675', 'object/static/item/shared_item_glass_empty.iff', '0', '0', '0', '1', '-23.9695', '2.77784', '52.1038', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7575453', '4635675', 'object/static/item/shared_item_glass_empty.iff', '0', '0', '0', '1', '-23.8953', '2.77784', '52.1992', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7575454', '4635675', 'object/static/item/shared_item_glass_empty.iff', '1', '0', '0', '3.20013e-08', '-23.8973', '3.34706', '52.2084', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7575455', '4635675', 'object/static/item/shared_item_glass_empty.iff', '1', '0', '0', '3.20013e-08', '-23.9156', '3.15732', '52.1586', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7575456', '4635675', 'object/static/item/shared_item_glass_empty.iff', '1', '0', '0', '3.20013e-08', '-23.8773', '3.15732', '52.2727', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7575457', '4635675', 'object/static/item/shared_item_glass_empty.iff', '0', '0', '0', '1', '-23.8372', '2.77784', '52.3255', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7575458', '4635675', 'object/static/item/shared_item_jar_berries.iff', '0', '0.247404', '0', '0.968912', '-24.8001', '2.77784', '52.3817', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7575459', '4635675', 'object/static/item/shared_item_jar_bugs.iff', '0', '0.247404', '0', '0.968912', '-24.9968', '2.77784', '52.5346', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7575460', '4635675', 'object/static/item/shared_item_jar_empty.iff', '0', '0.247404', '0', '0.968912', '-24.7629', '2.77784', '52.5787', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7575461', '4635675', 'object/static/item/shared_item_jar_funk.iff', '0', '0.247404', '0', '0.968912', '-24.6251', '2.77784', '52.3026', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7575462', '4635675', 'object/static/item/shared_item_jar_guts.iff', '0', '0.247404', '0', '0.968912', '-25.1498', '2.77784', '52.6536', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7665566', '4635675', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-29.7006', '1.63942', '59.4762', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635676', '4635666', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '7665568', '4635676', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-41.6131', '1.63942', '49.5542', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '8525416', '4635676', 'object/tangible/terminal/shared_terminal_space.iff', '0', '-0.655918', '0', '0.754832', '-37.9086', '1.63942', '49.0564', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '8525445', '4635676', 'object/tangible/terminal/shared_terminal_space.iff', '0', '-0.149833', '0', '0.988711', '-40.13', '1.63942', '46.8592', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '8525446', '4635676', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0.910545', '0', '0.413409', '-42.8991', '1.63942', '51.03', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635677', '4635666', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635678', '4635666', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635679', '4635666', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '7665556', '4635679', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '54.4935', '0.974633', '6.37973', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635680', '4635666', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635681', '4635666', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '6055693', '4635666', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635682', '0', 'object/building/naboo/shared_guild_combat_naboo_style_01.iff', '0', '1', '0', '-3.20013e-08', '5446.33', '80', '5800.82', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635683', '4635682', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635684', '4635682', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635685', '4635682', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635686', '4635682', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635687', '4635682', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635688', '4635682', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635689', '4635682', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635690', '4635682', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635691', '4635682', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635692', '0', 'object/building/naboo/shared_filler_building_naboo_style_3.iff', '0', '1', '0', '-1.79515e-07', '5237.93', '80', '5658.27', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635693', '0', 'object/building/naboo/shared_filler_nboo_bldg_64x32_style_01.iff', '0', '1', '0', '-3.20013e-08', '5225.22', '79.9334', '5851.58', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635696', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_02.iff', '0', '0.707106', '0', '0.707107', '5248', '80', '5814', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635699', '0', 'object/building/naboo/shared_association_hall_civilian_naboo.iff', '0', '1', '0', '-3.20013e-08', '5287.63', '80.0317', '5876.86', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635700', '4635699', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635701', '4635699', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '7665539', '4635701', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-0.591763', '2.25', '7.5447', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635702', '4635699', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635703', '4635699', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '7665550', '4635703', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '16.7648', '9.00108', '14.705', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635704', '4635699', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635705', '4635699', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '7665551', '4635705', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-19.5174', '2.25', '17.1575', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635706', '4635699', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '7665547', '4635706', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '18.3743', '2.25', '12.7632', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635707', '4635699', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635708', '4635699', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635709', '4635699', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '7665535', '4635709', 'object/soundobject/shared_soundobject_city_crowd_sentients_large.iff', '0', '0', '0', '1', '-0.032134', '1.1544', '-8.03386', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635710', '4635699', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '7665536', '4635710', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '0.043734', '1.75', '-19.5803', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635711', '4635699', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '7665540', '4635711', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-1.28514', '-9', '5.72861', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '7665541', '4635711', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '0.926665', '-9', '-7.4215', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635712', '4635699', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '7665546', '4635712', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '0.362197', '-9', '-15.0029', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635713', '4635699', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635714', '4635699', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635715', '4635699', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635716', '4635699', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635717', '0', 'object/building/naboo/shared_filler_building_naboo_style_10.iff', '0', '1', '0', '-3.20013e-08', '5329.69', '80.0365', '5861.44', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635720', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_02.iff', '0', '1', '0', '-3.20013e-08', '5258', '80', '5788', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635723', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_01.iff', '0', '1', '0', '-3.20013e-08', '5367', '80.014', '5891', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635725', '0', 'object/building/naboo/shared_bank_naboo.iff', '0', '0', '0', '1', '5181', '79.6574', '5584', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635726', '0', 'object/building/naboo/shared_hospital_naboo.iff', '0', '1', '0', '2.41953e-07', '5298', '80', '5592', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635727', '4635726', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635728', '4635726', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635729', '4635726', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635730', '4635726', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635731', '4635726', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635732', '4635726', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635733', '4635726', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635734', '4635726', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '7665511', '4635734', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-2.96324', '7.26', '-7.72397', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635735', '4635726', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635736', '4635726', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '7665512', '4635736', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '25.2293', '7.25', '-0.732719', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635737', '4635726', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635738', '4635726', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '7665500', '4635738', 'object/soundobject/shared_soundobject_city_crowd_sentients_large.iff', '0', '0', '0', '1', '13.5336', '14.26', '0.012323', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '7665501', '4635738', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '32.5243', '13.25', '13.2596', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635739', '4635726', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635740', '4635726', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635741', '0', 'object/building/naboo/shared_filler_nboo_bldg_64x32_s02.iff', '0', '1', '0', '-1.16295e-07', '5386.47', '80', '5548.44', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635744', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_01.iff', '0', '-0.707105', '0', '0.707109', '5421.6', '80', '5609.62', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635746', '0', 'object/building/naboo/shared_guild_theater_naboo_s01.iff', '0', '1', '0', '-3.20013e-08', '5467.01', '80', '5615.93', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635747', '4635746', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '7665514', '4635747', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '1.45626', '0.6', '-5.35186', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635748', '4635746', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635749', '4635746', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635750', '4635746', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635751', '4635746', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635752', '4635746', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '7665515', '4635752', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-0.366017', '2.6', '4.40295', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635753', '4635746', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635754', '4635746', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635755', '4635746', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635756', '4635746', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635757', '0', 'object/building/naboo/shared_filler_building_naboo_style_10.iff', '0', '1', '0', '-3.20013e-08', '5468.27', '80', '5704.9', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635760', '0', 'object/building/naboo/shared_filler_building_naboo_style_10.iff', '0', '0', '0', '1', '5468.27', '80', '5726.4', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635763', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s02.iff', '0', '0', '0', '1', '5451.76', '80', '5719.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635764', '0', 'object/building/naboo/shared_filler_nboo_bldg_64x32_style_01.iff', '0', '0', '0', '1', '5443.95', '80.1278', '5837.2', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635767', '0', 'object/building/naboo/shared_guild_university_naboo_style_01.iff', '0', '0', '0', '1', '5385.93', '80', '5608.21', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635768', '4635767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635769', '4635767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635770', '4635767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635771', '4635767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635772', '4635767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635773', '4635767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635774', '4635767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635775', '4635767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635776', '4635767', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635778', '0', 'object/building/naboo/shared_filler_building_naboo_style_10.iff', '0', '-0.707106', '0', '0.707108', '5278.82', '80', '5756.15', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635781', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_01.iff', '0', '1', '0', '-3.20013e-08', '5229.1', '79.732', '5771.21', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635783', '0', 'object/building/naboo/shared_filler_building_naboo_style_6.iff', '0', '0', '0', '1', '5293.48', '79.9588', '5812.11', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635784', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s02.iff', '0', '0', '0', '1', '5306.27', '80', '5812.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635790', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s01.iff', '0', '0.707106', '0', '0.707107', '5084.4', '80.0021', '5702.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635791', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '5084.44', '80', '5701.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635792', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '5084.47', '80', '5680.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635793', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s01.iff', '0', '0.707107', '0', '0.707107', '5084.44', '80.0021', '5681.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635794', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '5084.48', '80', '5659.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635795', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s01.iff', '0', '0.707107', '0', '0.707106', '5084.44', '80.0021', '5660.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635796', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '5120.67', '80', '5645.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635799', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s01.iff', '0', '0.112461', '0', '0.993656', '5119.71', '80.0021', '5644.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635802', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.473006', '0', '0.881059', '5100.86', '80', '5649.52', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635803', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s01.iff', '0', '0.288537', '0', '0.957469', '5100.12', '80.0021', '5649.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635804', '0', 'object/building/naboo/shared_filler_building_naboo_style_2.iff', '0', '0.300293', '0', '0.953847', '5108.59', '80', '5664.99', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635805', '0', 'object/static/structure/naboo/shared_gate_narrow_s02.iff', '0', '0', '0', '1', '5118.8', '80', '5727.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635807', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_lg_s01.iff', '0', '0', '0', '1', '5112.49', '80', '5727.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635809', '0', 'object/static/structure/naboo/shared_gate_narrow_s02.iff', '0', '1', '0', '-3.20013e-08', '5117.07', '80', '5712.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635810', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_lg_s02.iff', '0', '1', '0', '-3.20013e-08', '5125.99', '80', '5712.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635812', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_lg_s02.iff', '0', '0', '0', '1', '5108.43', '80', '5712.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635821', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0', '0', '1', '5135', '78.63', '5681', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635826', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_small_s01.iff', '0', '0.707096', '0', '0.707117', '5165', '80', '5680', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635827', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_small_s01.iff', '0', '1', '0', '0', '5169', '80', '5686', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635828', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_small_s01.iff', '0', '0.707107', '0', '-0.707107', '5177', '80', '5682', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635829', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_small_s01.iff', '0', '0', '0', '1', '5173', '80', '5676', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635830', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0', '0', '1', '5177', '78.63', '5681', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635831', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0', '0', '1', '5169.83', '78.63', '5675.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635832', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0', '0', '1', '5165', '78.63', '5681', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635835', '0', 'object/building/naboo/shared_filler_nboo_bldg_64x32_style_01.iff', '0', '0', '0', '1', '5250.48', '80', '5528.82', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635838', '0', 'object/building/naboo/shared_filler_nboo_bldg_64x32_s02.iff', '0', '0.707105', '0', '0.707108', '5120.67', '80', '5590.55', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635841', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_02.iff', '0', '0', '0', '1', '5159.55', '80', '5524.83', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635844', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_01.iff', '0', '0.707106', '0', '0.707107', '5296.89', '80', '5545.72', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635846', '0', 'object/building/naboo/shared_filler_building_naboo_style_10.iff', '0', '0', '0', '1', '5195.33', '80', '5530.46', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635849', '0', 'object/building/naboo/shared_filler_building_naboo_style_8.iff', '0', '0.477405', '0', '0.878683', '5139.09', '80', '5532.24', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635850', '0', 'object/building/naboo/shared_filler_building_naboo_style_8.iff', '0', '0.477405', '0', '0.878683', '5125.49', '80', '5553.21', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635851', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.283747', '0', '0.958899', '5128.21', '80', '5549.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635852', '0', 'object/static/structure/naboo/shared_archway_wide_s02.iff', '0', '0.477404', '0', '0.878684', '5132.56', '80', '5542.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635853', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.283747', '0', '0.958899', '5136.37', '80', '5536.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635859', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_02.iff', '0', '0.707106', '0', '0.707108', '5226.36', '80', '5562.31', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635863', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_sml_s03.iff', '0', '0', '0', '1', '5188.4', '80', '5670.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635864', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_sml_s03.iff', '0', '0', '0', '1', '5187.93', '80', '5653', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635867', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.707107', '0', '0.707107', '5166.55', '80', '5681.02', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635880', '0', 'object/tangible/crafting/station/shared_public_food_station.iff', '0', '0.707106', '0', '0.707108', '5179', '80', '5663.75', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635881', '0', 'object/tangible/crafting/station/shared_public_food_station.iff', '0', '0.707106', '0', '0.707108', '5179', '80', '5658.04', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635883', '0', 'object/static/structure/naboo/shared_elevated_walkway_corner_s01.iff', '0', '0.707106', '0', '0.707107', '5214', '80', '5609', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635885', '0', 'object/static/structure/naboo/shared_elevated_walkway_s02.iff', '0', '0.707106', '0', '0.707107', '5214', '80', '5596', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635887', '0', 'object/static/structure/naboo/shared_bridge_stairs_s01.iff', '0', '-0.707106', '0', '0.707108', '5214', '80', '5565', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635888', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0.707105', '0', '0.707108', '5214', '80', '5569', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635889', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0.707106', '0', '0.707108', '5214', '80', '5605', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635890', '0', 'object/static/structure/naboo/shared_elevated_walkway_s02.iff', '0', '0.707107', '0', '0.707107', '5214', '80', '5578', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635891', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0.707103', '0', '0.70711', '5214', '80', '5587', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635899', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_lg_s02.iff', '0', '0.707106', '0', '0.707107', '5231.18', '80', '5547.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635900', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_lg_s02.iff', '0', '1', '0', '1.84353e-06', '5219.95', '80', '5521.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635901', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0', '0', '1', '5202', '80', '5617', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635903', '0', 'object/static/structure/naboo/shared_bridge_stairs_s01.iff', '0', '0', '0', '1', '5198', '80', '5617', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635904', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s01.iff', '0', '-0.707103', '0', '0.70711', '5120.15', '80.0021', '5638.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635905', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '1', '0', '-3.20013e-08', '5120.18', '80', '5637.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635906', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '5120.18', '80', '5629.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635908', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s02.iff', '0', '0.477405', '0', '0.878683', '5124.13', '80', '5555.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635909', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s02.iff', '0', '0.558602', '0', '0.829436', '5140.06', '80', '5519.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635910', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.560508', '0', '0.828149', '5136.77', '80', '5527.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635911', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s02.iff', '0', '0.0199987', '0', '0.9998', '5148.96', '80', '5519.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635912', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.0199987', '0', '0.9998', '5139.97', '80', '5519.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635913', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.019999', '0', '0.9998', '5148.18', '80', '5519.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635914', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_lg_s01.iff', '0', '1', '0', '-3.20013e-08', '5177.02', '80', '5521.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635915', '0', 'object/static/structure/naboo/shared_elevated_walkway_corner_s01.iff', '0', '-0.707106', '0', '0.707107', '5148', '80', '5559', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635916', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0', '0', '1', '5160', '80', '5551', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635917', '0', 'object/static/structure/naboo/shared_bridge_stairs_s01.iff', '0', '1', '0', '-3.20013e-08', '5164', '80', '5551', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635918', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0.707106', '0', '0.707107', '5148', '80', '5564', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635919', '0', 'object/static/structure/naboo/shared_elevated_walkway_s02.iff', '0', '0.707106', '0', '0.707107', '5148', '80', '5573', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635920', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0.707107', '0', '0.707107', '5148', '80', '5582', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635921', '0', 'object/static/structure/naboo/shared_elevated_walkway_s02.iff', '0', '0.707107', '0', '0.707107', '5148', '80', '5591', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635922', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0.707106', '0', '0.707108', '5148', '79.97', '5599', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635923', '0', 'object/static/structure/naboo/shared_bridge_stairs_s01.iff', '0', '0.707106', '0', '0.707107', '5148', '80', '5603', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635929', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '1', '0', '-9.52216e-08', '5135.17', '80', '5629.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635930', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_1.iff', '0', '0', '0', '1', '5124.37', '80', '5626.1', '256', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635931', '0', 'object/static/structure/naboo/shared_fountain_naboo_style_1.iff', '0', '0.707107', '0', '-0.707107', '5248', '79.7458', '5592', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635932', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_large_s01.iff', '0', '0.707107', '0', '-0.707107', '5255', '80', '5596', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635933', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0.707107', '0', '-0.707107', '5255', '78.63', '5596', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635934', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0.707107', '0', '-0.707107', '5246', '78.63', '5604', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635935', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0', '0', '1', '5255', '78.63', '5588', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635936', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_large_s01.iff', '0', '0', '0', '1', '5247', '80', '5580', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635937', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0', '0', '1', '5246', '78.63', '5580', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635940', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_small_s01.iff', '0', '0.707107', '0', '0.707107', '5241', '80', '5584', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635941', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_small_s01.iff', '0', '1', '0', '-3.27029e-07', '5245', '80', '5604', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635943', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0.707107', '0', '-0.707107', '5241', '78.63', '5585', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635944', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0.707107', '0', '-0.707107', '5241', '78.63', '5599', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635948', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_1.iff', '0', '-0.418702', '0', '0.908124', '5244.93', '80', '5599.93', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635949', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_1.iff', '0', '0.842767', '0', '0.538278', '5245.23', '80', '5583.94', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635950', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '-0.100155', '0', '0.994972', '5254.01', '80', '5593.99', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635951', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0.861828', '0', '-0.507201', '5254.15', '80', '5590.04', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635952', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.44232', '0', '0.896857', '5254.05', '80', '5592.02', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635953', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '1', '0', '-3.20013e-08', '5250', '80', '5601', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635954', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.707107', '0', '-0.707107', '5251.99', '80', '5599.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635955', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '-0.707106', '0', '0.707107', '5252', '80', '5585', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635956', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0', '0', '1', '5250', '80', '5583', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4635960', '0', 'object/building/naboo/shared_filler_nboo_bldg_64x32_style_01.iff', '0', '0.707107', '0', '-0.707107', '5282.51', '80', '5648.03', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695352', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_02.iff', '0', '0.707106', '0', '0.707107', '5421.67', '80', '5642.17', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695356', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s02.iff', '0', '0.707106', '0', '0.707107', '5294.15', '80', '5558.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695357', '0', 'object/building/naboo/shared_filler_building_naboo_style_8.iff', '0', '0', '0', '1', '5316.34', '80', '5527.63', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695358', '0', 'object/building/naboo/shared_filler_building_naboo_style_8.iff', '0', '0', '0', '1', '5341.03', '80', '5528.01', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695359', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.707106', '0', '0.707107', '5336.34', '80', '5527.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695360', '0', 'object/static/structure/naboo/shared_archway_wide_s02.iff', '0', '1', '0', '7.47715e-07', '5328.34', '80', '5527.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695361', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.707106', '0', '0.707107', '5321.34', '80', '5527.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695362', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s01.iff', '0', '0', '0', '1', '5301', '80', '5518.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695363', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '5301.61', '80', '5517.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695364', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s01.iff', '0', '-0.312382', '0', '0.949957', '5317.28', '80', '5528.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695365', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s01.iff', '0', '-0.382683', '0', '0.92388', '5356.55', '80', '5543.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695367', '0', 'object/building/naboo/shared_cloning_facility_naboo.iff', '0', '0.92388', '0', '-0.382683', '5425.7', '80', '5894.42', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695368', '4695367', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695369', '4695367', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695370', '4695367', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695371', '4695367', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695372', '4695367', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695373', '4695367', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695374', '0', 'object/building/naboo/shared_filler_nboo_bldg_64x32_style_01.iff', '0', '1', '0', '-3.20013e-08', '5463.05', '80', '5515.58', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695377', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s01.iff', '0', '0.259688', '0', '0.965693', '5432.07', '80', '5528.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695378', '0', 'object/building/naboo/shared_filler_building_naboo_style_4.iff', '0', '0', '0', '1', '5509.43', '80', '5520.59', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695380', '0', 'object/building/naboo/shared_filler_nboo_bldg_64x32_s02.iff', '0', '-0.707105', '0', '0.707109', '5526.4', '79.925', '5568.74', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695383', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s02.iff', '0', '0', '0', '1', '5501.25', '80', '5524.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695384', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s02.iff', '0', '0.707106', '0', '0.707107', '5517.11', '80', '5529.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695385', '0', 'object/building/naboo/shared_filler_building_naboo_style_8.iff', '0', '-0.707107', '0', '0.707107', '5522.24', '80', '5611.24', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695386', '0', 'object/building/naboo/shared_filler_building_naboo_style_8.iff', '0', '-0.707107', '0', '0.707107', '5522.24', '80', '5636.24', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695387', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '5522.24', '80', '5631.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695388', '0', 'object/static/structure/naboo/shared_archway_wide_s02.iff', '0', '0.707107', '0', '0.707107', '5522.24', '80', '5623.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695389', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '5522.24', '80', '5616.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695390', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s02.iff', '0', '0.707106', '0', '0.707108', '5522.26', '80', '5598.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695391', '0', 'object/building/naboo/shared_filler_building_naboo_style_5.iff', '0', '0', '0', '1', '5517.59', '80', '5683.64', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695392', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_01.iff', '0', '1', '0', '-3.20013e-08', '5509.42', '80', '5724.07', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695394', '0', 'object/building/naboo/shared_filler_building_naboo_style_6.iff', '0', '-0.707106', '0', '0.707107', '5520.67', '80', '5655.82', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695395', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s02.iff', '0', '0.707106', '0', '0.707107', '5522.16', '80', '5639.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695396', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s02.iff', '0', '0.707106', '0', '0.707107', '5519.89', '80', '5661.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695398', '0', 'object/static/structure/naboo/shared_gate_narrow_s01.iff', '0', '1', '0', '-3.20013e-08', '5490.46', '80', '5719.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695399', '0', 'object/static/structure/naboo/shared_gate_narrow_s01.iff', '0', '0', '0', '1', '5490.46', '80', '5730.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695400', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s01.iff', '0', '0.707106', '0', '0.707107', '5524.2', '80', '5696.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695401', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '5524.23', '80', '5716.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695402', '0', 'object/building/naboo/shared_filler_nboo_bldg_64x32_style_01.iff', '0', '-0.707106', '0', '0.707108', '5492.73', '79.9555', '5772.08', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695406', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s01.iff', '0', '0.707104', '0', '0.707109', '5500.77', '80', '5803.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695407', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '5500.82', '80.0127', '5823.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695410', '0', 'object/static/structure/naboo/shared_nboo_imprv_tall_curved_wall_large_s01.iff', '0', '0.738199', '0', '-0.674583', '5500.9', '80', '5823.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695412', '0', 'object/static/structure/naboo/shared_nboo_imprv_tall_curved_wall_large_s01.iff', '0', '0.738199', '0', '-0.674583', '5500.9', '82.9356', '5823.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695413', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s01.iff', '0', '0.998987', '0', '0.0449867', '5472.71', '80.022', '5828.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695414', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.67458', '0', '0.738201', '5492.27', '80.0348', '5830.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695419', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_2.iff', '0', '0', '0', '1', '5357.4', '80', '5665.82', '256', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695420', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_2.iff', '0', '1', '0', '-3.20013e-08', '5371.65', '80', '5665.82', '256', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695421', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_02.iff', '0', '-0.707106', '0', '0.707107', '5342.67', '80', '5652.29', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695425', '0', 'object/static/structure/naboo/shared_gate_wide_s01.iff', '0', '0', '0', '1', '5360.23', '80', '5612.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695426', '0', 'object/static/structure/naboo/shared_gate_wide_s01.iff', '0', '1', '0', '-3.20013e-08', '5360.23', '80', '5592.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695427', '0', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_02.iff', '0', '0.92388', '0', '-0.382683', '5393.71', '80.1496', '5860.93', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695430', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s02.iff', '0', '0.201314', '0', '0.979527', '5411.41', '80', '5846', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695431', '0', 'object/static/structure/naboo/shared_gate_narrow_s02.iff', '0', '0.86896', '0', '-0.494882', '5383.34', '80.0065', '5879.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695432', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.269332', '0', '0.963047', '5385.5', '80.0077', '5876.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695433', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.269332', '0', '0.963047', '5381.09', '80.0139', '5883.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695434', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s02.iff', '0', '-0.382683', '0', '0.92388', '5388.59', '80.0621', '5903.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695435', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.382683', '0', '0.92388', '5389.2', '80.1009', '5903.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695437', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s02.iff', '0', '0.707106', '0', '0.707107', '5345.99', '80.0001', '5872.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695438', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '5345.97', '80', '5872.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695439', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '5345.91', '80.0244', '5883.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695440', '0', 'object/building/naboo/shared_filler_building_naboo_style_4.iff', '0', '0.707107', '0', '-0.707107', '5364.68', '80', '5834.71', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695442', '0', 'object/static/structure/naboo/shared_elevated_walkway_s01.iff', '0', '0', '0', '1', '5358', '80', '5849', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695443', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0', '0', '1', '5353', '80', '5849', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695444', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0', '0', '1', '5363', '80', '5849', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695446', '0', 'object/static/structure/naboo/shared_bridge_stairs_s03.iff', '0', '1', '0', '-3.20013e-08', '5367', '80', '5849', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695447', '0', 'object/static/structure/naboo/shared_bridge_stairs_s03.iff', '0', '0', '0', '1', '5349', '80', '5849', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695449', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s02.iff', '0', '0.707106', '0', '0.707108', '5357.18', '80', '5843.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695450', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '5357.21', '80', '5854.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695451', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s02.iff', '0', '0', '0', '1', '5356.7', '80', '5854.34', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695453', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_large_s01.iff', '0', '1', '0', '-3.20013e-08', '5307.42', '80', '5833.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695454', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0', '0', '1', '5308.19', '78.63', '5833.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695455', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0', '0', '1', '5299.45', '78.63', '5825.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695458', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.982004', '0', '0.188859', '5304.87', '80', '5831.73', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695459', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.823809', '0', '0.566868', '5301.58', '80', '5828.55', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695462', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '-0.188859', '0', '0.982004', '5306.69', '80', '5823.09', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695463', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '-0.566868', '0', '0.823808', '5309.98', '80', '5826.27', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695464', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_large_s01.iff', '0', '0', '0', '1', '5304.15', '80', '5820.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695465', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '1', '0', '-3.20013e-08', '5303.38', '78.63', '5820.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695466', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '1', '0', '-3.20013e-08', '5312.11', '78.63', '5829.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695467', '0', 'object/static/structure/naboo/shared_obelisk_naboo_theed_style_1.iff', '0', '0.382683', '0', '0.92388', '5305.65', '80', '5827.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695468', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s02.iff', '0', '-0.240323', '0', '0.970693', '5354.65', '80.018', '5888.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695469', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s02.iff', '0', '0', '0', '1', '5265.14', '80', '5860.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695471', '0', 'object/building/naboo/shared_filler_building_naboo_style_10.iff', '0', '0.707106', '0', '0.707107', '5163.64', '80', '5814.68', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695474', '0', 'object/building/naboo/shared_filler_building_naboo_style_4.iff', '0', '0.92388', '0', '0.382683', '5174.55', '80.0351', '5852.06', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695476', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s02.iff', '0', '-0.186599', '0', '0.982436', '5195.24', '80.4302', '5855.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695478', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s02.iff', '0', '0.795843', '0', '0.605503', '5170.97', '80.0008', '5831.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695479', '0', 'object/building/naboo/shared_filler_building_naboo_style_4.iff', '0', '0', '0', '1', '5188.55', '80', '5772.59', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695481', '0', 'object/static/structure/naboo/shared_gate_wide_s02.iff', '0', '0', '0', '1', '5205.75', '80', '5777.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695483', '0', 'object/static/structure/naboo/shared_gate_wide_s02.iff', '0', '1', '0', '-3.20013e-08', '5205.75', '80', '5765.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695487', '0', 'object/tangible/crafting/station/shared_public_clothing_station.iff', '0', '0', '0', '1', '5218.9', '80', '5728.22', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695488', '0', 'object/tangible/crafting/station/shared_public_clothing_station.iff', '0', '0', '0', '1', '5218.9', '80', '5723.96', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695492', '0', 'object/tangible/crafting/station/shared_public_structure_station.iff', '0', '-0.707102', '0', '0.707111', '5258.2', '80', '5576.41', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695493', '0', 'object/tangible/crafting/station/shared_public_structure_station.iff', '0', '0.707107', '0', '-0.707107', '5258.2', '80', '5570.92', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695495', '0', 'object/tangible/crafting/station/shared_public_weapon_station.iff', '0', '0.707107', '0', '0.707107', '5465', '80', '5777.76', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695496', '0', 'object/tangible/crafting/station/shared_public_weapon_station.iff', '0', '0.707107', '0', '0.707107', '5465', '80', '5783.49', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695498', '0', 'object/static/structure/naboo/shared_obelisk_naboo_theed_style_2.iff', '0', '0', '0', '1', '5510', '80', '5636', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695503', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.707106', '0', '0.707107', '5511', '80', '5636', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695505', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '-0.707106', '0', '0.707107', '5509', '80', '5636', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695511', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.707102', '0', '0.707111', '5511', '80', '5611', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695513', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '-0.707102', '0', '0.707111', '5509', '80', '5611', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695515', '0', 'object/static/structure/naboo/shared_obelisk_naboo_theed_style_2.iff', '0', '0', '0', '1', '5510', '80', '5611', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695516', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_1.iff', '0', '0.92388', '0', '0.382683', '-5316.72', '80.1368', '-2226.16', '256', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695517', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_1.iff', '0', '-0.382683', '0', '0.92388', '-5306.57', '80.155', '-2215.95', '256', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695518', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0', '0', '1', '-5258', '78.63', '-2279', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695519', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0', '0', '1', '-5314', '78.63', '-2279', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695520', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_large_s01.iff', '0', '-0.707106', '0', '0.707107', '-5258', '80', '-2278', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695521', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0', '0', '1', '-5267', '78.63', '-2270', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695522', '0', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_large_s01.iff', '0', '1', '0', '-3.20013e-08', '-5306', '80.202', '-2270', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695523', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff', '0', '0', '0', '1', '-5305', '78.63', '-2270', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695524', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_2.iff', '0', '0.975627', '0', '-0.219436', '-5308.19', '80.175', '-2275.91', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695525', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0', '0', '1', '-5300.82', '80.0342', '-2281.3', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695535', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0', '0', '1', '-5271.02', '80', '-2281.3', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695537', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_2.iff', '0', '0.611083', '0', '0.791567', '-5263.62', '80', '-2275.52', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695539', '0', 'object/static/structure/naboo/shared_gungan_damaged_wall_lg_s01.iff', '0', '0.238087', '0', '0.971244', '-5328.23', '79.8279', '-2111.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695540', '0', 'object/static/structure/naboo/shared_gungan_damaged_narrow_arch_s01.iff', '0', '0.238087', '0', '0.971244', '-5320.83', '80', '-2097.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695541', '0', 'object/static/structure/naboo/shared_gungan_cleft_wall_lg_s01.iff', '0', '0.855121', '0', '0.518428', '-5338.79', '80', '-2101.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695542', '0', 'object/static/structure/naboo/shared_gungan_damaged_wall_lg_s01.iff', '0', '0.855122', '0', '0.518428', '-5342.18', '80', '-2091.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695545', '0', 'object/static/structure/naboo/shared_gungan_damaged_wide_arch_s01.iff', '0', '0.238087', '0', '0.971244', '-5336.06', '80', '-2098.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695546', '0', 'object/static/structure/naboo/shared_gungan_damaged_wall_lg_s01.iff', '0', '-0.518418', '0', '0.855127', '-5335.09', '80', '-2094.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695547', '0', 'object/static/structure/naboo/shared_gungan_cleft_wall_lg_s01.iff', '0', '0.23809', '0', '0.971243', '-5324.53', '79.8249', '-2104.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695548', '0', 'object/static/structure/naboo/shared_gungan_cleft_wall_lg_s01.iff', '0', '0.855127', '0', '0.518419', '-5322.53', '80', '-2092.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695549', '0', 'object/static/structure/naboo/shared_gungan_damaged_wall_lg_s01.iff', '0', '0.23809', '0', '0.971243', '-5354.67', '80', '-2089.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695550', '0', 'object/static/structure/naboo/shared_gungan_cleft_wall_lg_s01.iff', '0', '0.238087', '0', '0.971244', '-5337.1', '80', '-2107.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695552', '0', 'object/static/structure/naboo/shared_gungan_cleft_wall_lg_s01.iff', '0', '-0.518417', '0', '0.855128', '-5345.88', '80', '-2098.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695553', '0', 'object/static/structure/naboo/shared_gungan_damaged_wall_lg_s01.iff', '0', '0.238089', '0', '0.971243', '-5358.38', '80', '-2096.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695554', '0', 'object/static/structure/naboo/shared_gungan_damaged_wall_lg_s01.iff', '0', '0.855127', '0', '0.518418', '-5329.62', '80', '-2088.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695555', '0', 'object/static/structure/naboo/shared_gungan_damaged_narrow_arch_s01.iff', '0', '0.855127', '0', '0.518418', '-5328', '80', '-2098.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695556', '0', 'object/static/structure/naboo/shared_gungan_damaged_narrow_arch_s01.iff', '0', '0.238087', '0', '0.971244', '-5333.4', '80', '-2100.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695557', '0', 'object/static/structure/naboo/shared_gungan_damaged_wide_arch_s01.iff', '0', '0.971244', '0', '-0.238089', '-5335.01', '80', '-2090.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695558', '0', 'object/static/structure/naboo/shared_gungan_damaged_narrow_arch_s01.iff', '0', '0.238087', '0', '0.971244', '-5338.71', '80', '-2097.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695559', '0', 'object/static/structure/naboo/shared_gungan_damaged_narrow_arch_s01.iff', '0', '0.971243', '0', '-0.238091', '-5341.37', '80', '-2096.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695560', '0', 'object/static/structure/naboo/shared_gungan_damaged_wide_arch_s01.iff', '0', '0.238087', '0', '0.971244', '-5344.03', '80', '-2094.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695561', '0', 'object/static/structure/naboo/shared_gungan_damaged_narrow_arch_s01.iff', '0', '0.238087', '0', '0.971244', '-5346.69', '80', '-2093.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695563', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0.855127', '0', '0.518418', '-5323.57', '80', '-2100.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695564', '0', 'object/static/structure/naboo/shared_gungan_statue_s02.iff', '0', '0.855127', '0', '0.518418', '-5330.7', '80', '-2099.34', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695565', '0', 'object/static/structure/naboo/shared_gungan_statue_s04.iff', '0', '0.855127', '0', '0.518418', '-5332.55', '80', '-2102.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695566', '0', 'object/static/structure/naboo/shared_gungan_cleft_wall_lg_s01.iff', '0', '-0.518418', '0', '0.855127', '-5349.28', '80', '-2087.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695568', '0', 'object/static/structure/naboo/shared_gungan_damaged_narrow_arch_s01.iff', '0', '-0.518418', '0', '0.855127', '-5352.98', '80', '-2094.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695569', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.314567', '0', '0.949235', '-5332.04', '80', '-2112.57', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695571', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.314567', '0', '0.949235', '-5334.48', '80', '-2110.71', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695638', '0', 'object/static/structure/naboo/shared_gungan_damaged_wall_lg_s01.iff', '0', '0.382683', '0', '0.92388', '-5425.57', '80', '-2100.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695639', '0', 'object/static/structure/naboo/shared_gungan_damaged_narrow_arch_s01.iff', '0', '-0.382684', '0', '0.923879', '-5440.42', '80', '-2098.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695640', '0', 'object/static/structure/naboo/shared_gungan_cleft_wall_lg_s01.iff', '0', '0.382672', '0', '0.923884', '-5431.23', '80', '-2105.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695641', '0', 'object/static/structure/naboo/shared_gungan_damaged_wall_lg_s01.iff', '0', '0.382673', '0', '0.923884', '-5443.96', '80', '-2107.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695644', '0', 'object/static/structure/naboo/shared_gungan_damaged_wide_arch_s01.iff', '0', '-0.382684', '0', '0.923879', '-5434.77', '80', '-2103.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695645', '0', 'object/static/structure/naboo/shared_gungan_damaged_wall_lg_s01.iff', '0', '0.92388', '0', '-0.382683', '-5438.3', '80', '-2101.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695646', '0', 'object/static/structure/naboo/shared_gungan_cleft_wall_lg_s01.iff', '0', '-0.382683', '0', '0.92388', '-5425.57', '80', '-2094.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695647', '0', 'object/static/structure/naboo/shared_gungan_cleft_wall_lg_s01.iff', '0', '0.382683', '0', '0.92388', '-5440.42', '80', '-2092.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695648', '0', 'object/static/structure/naboo/shared_gungan_damaged_wall_lg_s01.iff', '0', '-0.382683', '0', '0.92388', '-5449.62', '80', '-2118.66', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695649', '0', 'object/static/structure/naboo/shared_gungan_cleft_wall_lg_s01.iff', '0', '-0.382684', '0', '0.923879', '-5426.99', '80', '-2107.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695651', '0', 'object/static/structure/naboo/shared_gungan_cleft_wall_lg_s01.iff', '0', '0.923879', '0', '-0.382684', '-5436.89', '80', '-2111.59', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695653', '0', 'object/static/structure/naboo/shared_gungan_damaged_wall_lg_s01.iff', '0', '0.382683', '0', '0.92388', '-5446.08', '80', '-2098.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695654', '0', 'object/static/structure/naboo/shared_gungan_damaged_narrow_arch_s01.iff', '0', '0.382683', '0', '0.92388', '-5432.65', '80', '-2096.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695655', '0', 'object/static/structure/naboo/shared_gungan_damaged_narrow_arch_s01.iff', '0', '-0.382684', '0', '0.923879', '-5432.65', '80', '-2101.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695656', '0', 'object/static/structure/naboo/shared_gungan_damaged_wide_arch_s01.iff', '0', '0.923879', '0', '0.382684', '-5442.54', '80', '-2100.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695657', '0', 'object/static/structure/naboo/shared_gungan_damaged_narrow_arch_s01.iff', '0', '-0.382684', '0', '0.923879', '-5436.89', '80', '-2105.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695658', '0', 'object/static/structure/naboo/shared_gungan_damaged_narrow_arch_s01.iff', '0', '0.92388', '0', '0.382683', '-5439.01', '80', '-2108.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695659', '0', 'object/static/structure/naboo/shared_gungan_damaged_wide_arch_s01.iff', '0', '-0.382684', '0', '0.923879', '-5441.13', '80', '-2110.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695660', '0', 'object/static/structure/naboo/shared_gungan_damaged_narrow_arch_s01.iff', '0', '-0.382684', '0', '0.923879', '-5443.25', '80', '-2112.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695661', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0.92388', '0', '-0.382683', '-5422.04', '80', '-2099.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695662', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0.382683', '0', '0.92388', '-5429.11', '80', '-2092.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695663', '0', 'object/static/structure/naboo/shared_gungan_statue_s02.iff', '0', '0.382683', '0', '0.92388', '-5432.65', '80', '-2098.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695664', '0', 'object/static/structure/naboo/shared_gungan_statue_s04.iff', '0', '0.382683', '0', '0.92388', '-5429.82', '80', '-2101.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695665', '0', 'object/static/structure/naboo/shared_gungan_cleft_wall_lg_s01.iff', '0', '0.92388', '0', '-0.382683', '-5449.62', '80', '-2113.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695667', '0', 'object/static/structure/naboo/shared_gungan_damaged_narrow_arch_s01.iff', '0', '0.92388', '0', '-0.382683', '-5442.54', '80', '-2117.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695668', '0', 'object/static/structure/naboo/shared_gungan_damaged_narrow_arch_s01.iff', '0', '-0.382683', '0', '0.92388', '-5438.3', '80', '-2096.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695669', '0', 'object/static/structure/naboo/shared_gungan_damaged_narrow_arch_s01.iff', '0', '0.923879', '0', '0.382684', '-5444.67', '80', '-2102.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695670', '0', 'object/static/structure/naboo/shared_gungan_damaged_narrow_arch_s01.iff', '0', '-0.382683', '0', '0.92388', '-5446.79', '80', '-2104.52', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695671', '0', 'object/static/structure/naboo/shared_gungan_damaged_wide_arch_s01.iff', '0', '-0.382683', '0', '0.92388', '-5448.91', '80', '-2106.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695672', '0', 'object/static/structure/naboo/shared_gungan_cleft_wall_lg_s01.iff', '0', '0.92388', '0', '-0.382683', '-5451.74', '80', '-2103.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695673', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '-0.382683', '0', '0.92388', '-5420.62', '80', '-2100.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695674', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0.923879', '0', '0.382684', '-5419.21', '80', '-2102.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695675', '0', 'object/static/structure/naboo/shared_gungan_statue_s02.iff', '0', '0.382683', '0', '0.92388', '-5438.3', '80', '-2093.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695676', '0', 'object/static/structure/naboo/shared_gungan_statue_s04.iff', '0', '0.382683', '0', '0.92388', '-5435.47', '80', '-2096.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695677', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0.92388', '0', '-0.382683', '-5436.89', '80', '-2088.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695678', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0.382683', '0', '0.92388', '-5435.47', '80', '-2087.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695679', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0.923879', '0', '0.382684', '-5434.06', '80', '-2086.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695680', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0.92388', '0', '-0.382683', '-5446.08', '80', '-2120.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695681', '0', 'object/static/structure/naboo/shared_gungan_damaged_wall_lg_s01.iff', '0', '-0.382683', '0', '0.92388', '-5455.27', '80', '-2113.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695682', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '-0.382683', '0', '0.92388', '-5454.57', '80', '-2106.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695683', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0.92388', '0', '-0.382683', '-5458.1', '80', '-2110.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695685', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0.92388', '0', '-0.382683', '-5428.4', '80', '-2091.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695686', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0.923879', '0', '0.382684', '-5429.82', '80', '-2090.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695687', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '-0.382683', '0', '0.92388', '-5432.65', '80', '-2087.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695696', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '-0.382683', '0', '0.92388', '-5431.57', '80', '-2113.85', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695697', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '-0.382683', '0', '0.92388', '-5437.14', '80', '-2119.77', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695698', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '-0.382683', '0', '0.92388', '-5434.57', '80', '-2117.29', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695699', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '-0.382683', '0', '0.92388', '-5428.57', '80', '-2110.84', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695701', '0', 'object/tangible/crafting/station/shared_public_structure_station.iff', '0', '0.970693', '0', '-0.240324', '-5346.05', '80', '-2100.11', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695702', '0', 'object/tangible/crafting/station/shared_public_structure_station.iff', '0', '0.970693', '0', '-0.240324', '-5342.68', '80', '-2101.78', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695703', '0', 'object/tangible/crafting/station/shared_public_structure_station.iff', '0', '0.970693', '0', '-0.240324', '-5339.35', '80', '-2103.61', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695704', '0', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff', '0.26383', '0.724097', '0.0953903', '-0.630061', '-5455.83', '77.5292', '-2119.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695705', '0', 'object/static/structure/naboo/shared_fountain_naboo_style_1.iff', '0', '0', '0', '1', '-5358.64', '79.7766', '-2245.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695706', '0', 'object/static/structure/naboo/shared_gate_narrow_s01.iff', '0', '-0.707106', '0', '0.707108', '-5196.56', '80', '-2281.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695718', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0', '0', '1', '-5136', '80', '-2287', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695720', '0', 'object/static/structure/naboo/shared_enclosed_walkway_s01.iff', '0', '0', '0', '1', '-5131', '80', '-2287', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695721', '0', 'object/static/structure/naboo/shared_enclosed_walkway_s01.iff', '0', '0.707106', '0', '0.707107', '-5114', '80', '-2270', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695722', '0', 'object/static/structure/naboo/shared_elevated_walkway_corner_s01.iff', '0', '1', '0', '-3.20013e-08', '-5122', '80', '-2287', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695723', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0', '0', '1', '-5126', '80', '-2287', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695724', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0.707106', '0', '0.707107', '-5114', '80', '-2275', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695725', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '-0.707106', '0', '0.707107', '-5114', '80', '-2265', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695726', '0', 'object/static/structure/naboo/shared_elevated_walkway_corner_s01.iff', '0', '0.707106', '0', '0.707107', '-5114', '80', '-2261', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695727', '0', 'object/static/structure/naboo/shared_enclosed_walkway_s01.iff', '0', '0', '0', '1', '-5131', '80', '-2253', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695728', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0', '0', '1', '-5126', '80', '-2253', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695729', '0', 'object/static/structure/naboo/shared_elevated_walkway_corner_s01.iff', '0', '0', '0', '1', '-5140', '80', '-2253', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695730', '0', 'object/static/structure/naboo/shared_bridge_stairs_s01.iff', '0', '-0.707106', '0', '0.707107', '-5148', '80', '-2269.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695731', '0', 'object/static/structure/naboo/shared_bridge_stairs_s01.iff', '0', '0', '0', '1', '-5140', '80', '-2287', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695732', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0', '0', '1', '-5136', '80', '-2253', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695733', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0.707106', '0', '0.707107', '-5148', '80', '-2265.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695734', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_1.iff', '0', '0.829812', '0', '-0.558044', '-5141.16', '80', '-2260.46', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695735', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_2.iff', '0', '0', '0', '1', '-5122', '80', '-2280', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695736', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_1.iff', '0', '0.989223', '0', '-0.146415', '-5121.19', '80', '-2260.24', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695737', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_1.iff', '0', '0.946552', '0', '-0.32255', '-5121', '80', '-2280', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695738', '0', 'object/static/structure/naboo/shared_obelisk_naboo_theed_style_2.iff', '0', '0', '0', '1', '-5112', '80', '-2347', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695739', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0', '0', '1', '-5112', '80', '-2346', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695745', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '1', '0', '-3.20013e-08', '-5112', '80', '-2348', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695747', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0', '0', '1', '-5147', '79.8475', '-2346', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695753', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '1', '0', '0', '-5147', '79.849', '-2348', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4695755', '0', 'object/static/structure/naboo/shared_obelisk_naboo_theed_style_2.iff', '0', '0', '0', '1', '-5147', '80', '-2347', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4725481', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '-0.707106', '0', '0.707107', '-5088.32', '80.39', '-2474.72', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4725482', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.707107', '0', '0.707107', '-5132.22', '80.3233', '-2474.59', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4725483', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0', '0', '1', '5180.93', '80.2537', '5562', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4725484', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '1', '0', '3.20013e-08', '5181.02', '80.262', '5605.23', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4735352', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_lattice_s01.iff', '0', '0', '0', '1', '-5164.01', '80', '-2339.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4735353', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '1', '0', '-3.20013e-08', '-5168', '80', '-2343', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4735354', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_short_s01.iff', '0', '0.707106', '0', '0.707107', '-5164.01', '80', '-2341.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4735355', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '-0.707106', '0', '0.707107', '-5164', '80', '-2328.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4735356', '0', 'object/tangible/crafting/station/shared_public_food_station.iff', '0', '0.707105', '0', '0.707108', '-5171.52', '80', '-2338.32', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4735358', '0', 'object/tangible/crafting/station/shared_public_food_station.iff', '0', '0.707106', '0', '0.707108', '-5171.32', '80', '-2329.11', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4735360', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5164.48', '80', '-2342.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4735377', '0', 'object/static/structure/naboo/shared_nboo_imprv_tall_curved_wall_large_s01.iff', '0', '-0.707106', '0', '0.707107', '-5187', '80', '-2395', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4735378', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s02.iff', '0', '0.707106', '0', '0.707107', '-5187', '80', '-2396', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4735380', '0', 'object/static/structure/naboo/shared_nboo_imprv_tall_curved_wall_large_s01.iff', '0', '1', '0', '4.10541e-07', '-5205', '80', '-2387', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4735382', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s02.iff', '0', '0.707106', '0', '0.707107', '-5213', '80', '-2396', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4735383', '0', 'object/static/structure/naboo/shared_nboo_imprv_tall_curved_wall_large_s01.iff', '0', '0.707108', '0', '0.707105', '-5213', '80', '-2373', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4735384', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s02.iff', '0', '0.707108', '0', '-0.707105', '-5213', '80', '-2372', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4735386', '0', 'object/static/structure/naboo/shared_nboo_imprv_tall_curved_wall_large_s01.iff', '0', '0', '0', '1', '-5195', '80', '-2381', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4735388', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s02.iff', '0', '0.707108', '0', '-0.707105', '-5187', '80', '-2372', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4735389', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_2.iff', '0', '0.962067', '0', '0.272813', '-5207', '80', '-2393', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '4735390', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_2.iff', '0', '0.309958', '0', '0.95075', '-5193', '80', '-2393', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '4735391', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_2.iff', '0', '0.309958', '0', '0.95075', '-5193', '80', '-2375', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '4735392', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_2.iff', '0', '0.962067', '0', '0.272813', '-5207', '80', '-2375', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '4735393', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '-5196', '80', '-2387', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4735394', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '-5204', '80', '-2387', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4735395', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '-5196', '80', '-2381', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4735396', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '-5204', '80', '-2381', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4735397', '0', 'object/static/structure/naboo/shared_archway_narrow_s01.iff', '0', '0.707106', '0', '0.707107', '-5204', '80', '-2384', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4735398', '0', 'object/static/structure/naboo/shared_archway_narrow_s01.iff', '0', '0.707106', '0', '0.707107', '-5196', '80', '-2384', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4735399', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_lg_s02.iff', '0', '-0.707106', '0', '0.707108', '-5279', '80', '-2415', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4735400', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_lg_s01.iff', '0', '0', '0', '1', '-5278', '80', '-2415', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4735402', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_lg_s02.iff', '0', '-0.707106', '0', '0.707107', '-5279', '80', '-2409', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4735403', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_lg_s02.iff', '0', '-0.707106', '0', '0.707107', '-5279', '80', '-2403', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4735404', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_lg_s02.iff', '0', '0.707107', '0', '-0.707107', '-5279', '80', '-2397', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4735405', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_lg_s02.iff', '0', '0.707106', '0', '0.707107', '-5279', '80', '-2352', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4735406', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_lg_s02.iff', '0', '0.707107', '0', '0.707107', '-5279', '80', '-2358', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4735407', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_lg_s02.iff', '0', '0.707107', '0', '0.707107', '-5279', '80', '-2364', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4735409', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_lg_s02.iff', '0', '0.707107', '0', '0.707107', '-5279', '80', '-2370', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4735410', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_lg_s02.iff', '0', '0.707107', '0', '0.707107', '-5279', '80', '-2376', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4735411', '0', 'object/static/structure/naboo/shared_gate_narrow_s02.iff', '0', '0.707107', '0', '0.707107', '-5279', '80', '-2385', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4735412', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_lg_s01.iff', '0', '0.707107', '0', '-0.707106', '-5279', '80', '-2391', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4735413', '0', 'object/static/structure/naboo/shared_gate_narrow_s02.iff', '0', '1', '0', '-3.48103e-07', '-5270', '80', '-2352', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4735414', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_lg_s02.iff', '0', '1', '0', '-3.20013e-08', '-5261.97', '80', '-2351.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4735415', '0', 'object/static/structure/naboo/shared_gate_narrow_s02.iff', '0', '0', '0', '1', '-5272', '80', '-2415', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4735416', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_lg_s02.iff', '0', '1', '0', '-3.20013e-08', '-5263', '80', '-2415', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785353', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_lg_s02.iff', '0', '0', '0', '1', '-5278', '80', '-2352', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785354', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0', '0', '1', '-5272', '80', '-2381', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785355', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_lattice_s01.iff', '0', '0', '0', '1', '-5267', '80', '-2381', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785356', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0', '0', '1', '-5272', '80', '-2389', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785357', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_lattice_s01.iff', '0', '0', '0', '1', '-5267', '80', '-2389', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785358', '0', 'object/tangible/crafting/station/shared_public_clothing_station.iff', '0', '0', '0', '1', '-5268', '80', '-2360', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785359', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0.707106', '0', '0.707107', '-5266', '80', '-2360', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785360', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_lattice_s01.iff', '0', '0.707106', '0', '0.707107', '-5266', '80', '-2365', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785361', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0.707107', '0', '0.707107', '-5266', '80', '-2372', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785362', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_lattice_s01.iff', '0', '0.707107', '0', '0.707107', '-5266', '80', '-2377', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785363', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0.707107', '0', '0.707107', '-5276', '80', '-2360', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785364', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_lattice_s01.iff', '0', '0.707107', '0', '0.707107', '-5276', '80', '-2365', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785365', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0.707107', '0', '0.707107', '-5276', '80', '-2372', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785366', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_lattice_s01.iff', '0', '0.707107', '0', '0.707107', '-5276', '80', '-2377', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785367', '0', 'object/tangible/crafting/station/shared_public_clothing_station.iff', '0', '0', '0', '1', '-5268', '80', '-2373', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785368', '0', 'object/tangible/crafting/station/shared_public_clothing_station.iff', '0', '1', '0', '-3.20013e-08', '-5274', '80', '-2360', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785369', '0', 'object/tangible/crafting/station/shared_public_clothing_station.iff', '0', '1', '0', '0', '-5274', '80', '-2373', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785370', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_lattice_s01.iff', '0', '0.707107', '0', '0.707107', '-5267', '80', '-2413', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785371', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0.707107', '0', '0.707107', '-5267', '80', '-2408', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785372', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_lattice_s01.iff', '0', '0.707107', '0', '0.707107', '-5276', '80', '-2413', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785373', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0.707107', '0', '0.707107', '-5276', '80', '-2408', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785374', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_lattice_s01.iff', '0', '0.707107', '0', '0.707107', '-5276', '80', '-2401', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785375', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0.707107', '0', '0.707107', '-5276', '80', '-2396', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785376', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_lattice_s01.iff', '0', '0.707107', '0', '0.707107', '-5267', '80', '-2401', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785377', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff', '0', '0.707107', '0', '0.707107', '-5267', '80', '-2396', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785378', '0', 'object/tangible/crafting/station/shared_public_weapon_station.iff', '0', '-0.707106', '0', '0.707107', '-5268', '80', '-2398', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785379', '0', 'object/tangible/crafting/station/shared_public_weapon_station.iff', '0', '0.707107', '0', '-0.707107', '-5268', '80', '-2410', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785380', '0', 'object/tangible/crafting/station/shared_public_weapon_station.iff', '0', '0.707107', '0', '0.707107', '-5274.87', '80', '-2406.98', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785381', '0', 'object/tangible/crafting/station/shared_public_weapon_station.iff', '0', '0.707107', '0', '0.707107', '-5274.88', '80', '-2395.04', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785382', '0', 'object/building/naboo/shared_filler_nboo_bldg_64x32_style_01.iff', '0', '0.382683', '0', '0.92388', '-5200.81', '80.4346', '-2181.86', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785385', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '-5141.34', '80', '-2487.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785386', '0', 'object/static/structure/naboo/shared_archway_wide_s01.iff', '0', '0.707108', '0', '-0.707104', '-5141.34', '80', '-2496.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785387', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.707107', '0', '-0.707108', '-5141.34', '80', '-2505.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785388', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '1', '0', '-7.48498e-07', '-5123.34', '80', '-2505.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785389', '0', 'object/static/structure/naboo/shared_archway_wide_s01.iff', '0', '1', '0', '-7.48498e-07', '-5132.34', '80', '-2505.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785390', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '-5141.25', '80', '-2443.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785391', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.707106', '0', '0.707107', '-5123.41', '80', '-2443.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785392', '0', 'object/static/structure/naboo/shared_archway_wide_s01.iff', '0', '0', '0', '1', '-5132.25', '80', '-2443.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785393', '0', 'object/static/structure/naboo/shared_archway_wide_s01.iff', '0', '-0.707105', '0', '0.707108', '-5141.25', '80', '-2452.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785394', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.707105', '0', '0.707108', '-5141.25', '80', '-2461.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785395', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.707108', '0', '0.707107', '-5079.17', '80', '-2443.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785396', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '1', '0', '-3.20013e-08', '-5079.17', '80', '-2461.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785397', '0', 'object/static/structure/naboo/shared_archway_wide_s01.iff', '0', '0.707093', '0', '0.707119', '-5079.17', '80', '-2452.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785398', '0', 'object/static/structure/naboo/shared_archway_wide_s01.iff', '0', '0', '0', '1', '-5088.17', '80', '-2443.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785399', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '-5097.17', '80', '-2443.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785400', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '1', '0', '3.48102e-07', '-5079.24', '80', '-2505.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785401', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.707106', '0', '0.707107', '-5097.24', '80', '-2505.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785402', '0', 'object/static/structure/naboo/shared_archway_wide_s01.iff', '0', '0.999999', '0', '1.7811e-06', '-5088.24', '80', '-2505.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785403', '0', 'object/static/structure/naboo/shared_archway_wide_s01.iff', '0', '0.707107', '0', '0.707106', '-5079.24', '80', '-2496.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785404', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.707107', '0', '0.707106', '-5079.24', '80', '-2487.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785405', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '1', '0', '3.48102e-07', '-5154', '80', '-2490', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785406', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.707106', '0', '0.707107', '-5172', '80', '-2490', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785407', '0', 'object/static/structure/naboo/shared_archway_wide_s01.iff', '0', '0.999999', '0', '1.7811e-06', '-5163', '80', '-2490', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785408', '0', 'object/static/structure/naboo/shared_archway_wide_s01.iff', '0', '0.707107', '0', '0.707106', '-5154', '80', '-2481', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785409', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.707107', '0', '0.707106', '-5154', '80', '-2472', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785410', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.707102', '0', '0.707111', '-5172', '80', '-2472', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785411', '0', 'object/static/structure/naboo/shared_archway_wide_s01.iff', '0', '0.999999', '0', '2e-06', '-5163', '80', '-2472', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785414', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_lattice_s01.iff', '0', '0', '0', '1', '-5163', '80.6', '-2490', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785415', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_lattice_s01.iff', '0', '0', '0', '1', '-5163', '80.6', '-2472', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785416', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_lattice_s01.iff', '0', '0.707106', '0', '0.707107', '-5154', '80.6', '-2481', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785419', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '-0.707106', '0', '0.707107', '-5155', '80', '-2481', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785425', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0.707103', '0', '0.70711', '-5131', '80', '-2275', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785426', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0', '0', '1', '-5126', '80', '-2270', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785427', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0', '0', '1', '-5136', '80', '-2270', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785428', '0', 'object/static/structure/naboo/shared_elevated_walkway_s01.iff', '0', '0.7071', '0', '0.707113', '-5131', '79.98', '-2270', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785429', '0', 'object/static/structure/naboo/shared_elevated_walkway_s01.iff', '0', '0', '0', '1', '-5131', '80', '-2270', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785430', '0', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff', '0', '0.707103', '0', '0.70711', '-5131', '80', '-2265', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785431', '0', 'object/static/structure/naboo/shared_fountain_naboo_style_1.iff', '0', '0', '0', '1', '-5131', '88.2999', '-2270', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785437', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_lattice_s01.iff', '0.5', '0.5', '0.5', '-0.5', '-5129', '86.7687', '-2276', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785438', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_lattice_s01.iff', '0.5', '-0.5', '-0.5', '-0.5', '-5133', '86.7686', '-2276', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785439', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_lattice_s01.iff', '-0.707106', '0', '0', '0.707107', '-5137', '86.7687', '-2272', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785440', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_lattice_s01.iff', '0.707106', '-7.72714e-09', '-7.72715e-09', '0.707107', '-5137', '86.7686', '-2268', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785441', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_lattice_s01.iff', '0.5', '0.5', '-0.5', '0.5', '-5129', '86.7686', '-2264', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785442', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_lattice_s01.iff', '0.5', '-0.5', '-0.5', '-0.5', '-5133', '86.7687', '-2264', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785443', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_lattice_s01.iff', '-0.707106', '0', '0', '0.707107', '-5125', '86.7686', '-2272', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4785444', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_lattice_s01.iff', '0.707107', '0', '0', '0.707107', '-5125', '86.7687', '-2268', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4865355', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s01.iff', '0', '0', '0', '1', '5229.4', '80', '5575.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4865357', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '5210.29', '80', '5575.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4865358', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s01.iff', '0', '0', '0', '1', '5151.02', '80', '5595.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4865359', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '5151.79', '80', '5595.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '4865360', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '5132.84', '80', '5595.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '5025366', '0', 'object/static/installation/shared_mockup_factory_item_style_1.iff', '0', '-0.288538', '0', '0.957469', '-5428.15', '80', '-2197.16', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5025397', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '-0.382683', '0', '0.92388', '-5408.69', '80', '-2087.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '5025708', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s02.iff', '0', '-0.382683', '0', '0.92388', '-5440.07', '80.0017', '-2066.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '5025710', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s02.iff', '0', '-0.577283', '0', '0.816544', '-5484.1', '79.9975', '-2112.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '5025711', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.577283', '0', '0.816544', '-5483.92', '79.9958', '-2111.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '5025712', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.382683', '0', '0.92388', '-5446.74', '80.0382', '-2072.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '5025725', '0', 'object/static/installation/shared_mockup_power_generator_wind_style_1.iff', '0', '-0.707106', '0', '0.707107', '5517', '80.0002', '5602.86', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5025726', '0', 'object/static/installation/shared_mockup_power_generator_wind_style_1.iff', '0', '0.707107', '0', '-0.707107', '5517', '80.212', '5644.01', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5025748', '0', 'object/static/structure/naboo/shared_fountain_naboo_style_1.iff', '0', '0', '0', '1', '5443.44', '80.54', '5646.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '5025749', '0', 'object/static/structure/naboo/shared_fountain_naboo_style_1.iff', '0', '0', '0', '1', '5490.62', '80.54', '5646.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '5095844', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '-5125.94', '80', '-2236.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '5095847', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s01.iff', '0', '0', '0', '1', '-5131.71', '80', '-2237.11', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '5095848', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s01.iff', '0', '0', '0', '1', '-5120.12', '80', '-2236.78', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '5095850', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s01.iff', '0', '0', '0', '1', '-5126.19', '80.0343', '-2187.38', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '5095851', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '1', '0', '3.20013e-08', '-5124.1', '80.0589', '-2187.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '5095852', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '-0.00499986', '0', '0.999987', '-5129.47', '80.0549', '-2187.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '5095853', '0', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s01.iff', '0', '0', '0', '1', '-5122.4', '80.0651', '-2187.45', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '5095855', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5249.93', '80', '-2285.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '5095856', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5117.13', '80', '-2423.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '5095857', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5003.75', '80', '-2472.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '5095859', '0', 'object/static/structure/tatooine/shared_guild_statue_free_style_01.iff', '0', '1', '0', '3.20013e-08', '-5110.24', '81.4831', '-2449.8', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '5095861', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '-5110.29', '81.7483', '-2450.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '5095876', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '-0.707106', '0', '0.707107', '-5264.79', '79.9684', '-2273.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '5095877', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '-0.707107', '0', '0.707107', '-5307.16', '80.1359', '-2273.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '5095881', '0', 'object/static/structure/general/shared_droid_probedroid_powerdown.iff', '0', '-0.164252', '0', '0.986418', '-5225.48', '80', '-2236.93', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5095882', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '-5231.55', '80', '-2236.77', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '5095883', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.352274', '0', '0.935897', '-5232.64', '80', '-2237.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '5095884', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '-5232.94', '80', '-2239.16', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '5095886', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '-0.247404', '0', '0.968912', '-5231.08', '80', '-2237.49', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '5095931', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-4990.64', '80', '-2427.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '5095968', '0', 'object/building/general/shared_rori_torton_cave.iff', '0', '0.585097', '0', '0.810963', '-1860.09', '92.6429', '-4551.57', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '5095969', '5095968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '5095970', '5095968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '5365467', '5095970', 'object/tangible/container/loot/shared_placable_loot_crate_skeleton_bith.iff', '-0.035339', '0.903586', '-0.0660569', '0.421806', '-11.1947', '-23.022', '-30.7861', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '5095971', '5095968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '5365470', '5095971', 'object/tangible/container/loot/shared_placable_loot_crate_skeleton_human.iff', '0.106994', '-0.440791', '-0.0352976', '0.890511', '17.4154', '-32.0309', '-76.5569', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '5095972', '5095968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '5095973', '5095968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '5365474', '5095973', 'object/tangible/container/loot/shared_placable_loot_crate_skeleton_ithorian.iff', '0.0149477', '-0.00124852', '-0.069936', '0.997439', '-9.32628', '-36.6245', '-139.08', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '5095974', '5095968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '5095975', '5095968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '5365477', '5095975', 'object/tangible/container/loot/shared_placable_loot_crate_skeleton_bith.iff', '0.0251358', '-0.0301107', '-0.00424637', '0.999221', '-16.1712', '-57.5669', '-212.711', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '5095976', '5095968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '5365482', '5095976', 'object/tangible/container/loot/shared_placable_loot_crate_trashpile.iff', '-0.0549386', '0.00192364', '-0.0548892', '0.996978', '-111.639', '-61.5008', '-122.697', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '5095977', '5095968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '5365486', '5095977', 'object/tangible/container/loot/shared_placable_loot_crate_skeleton_human.iff', '0.0358119', '-0.643264', '0.00403285', '0.764796', '-11.0886', '-60.8759', '-94.5079', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '5095978', '5095968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '5095979', '5095968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '5555807', '5095979', 'object/tangible/container/loot/shared_placable_loot_crate_skeleton_human.iff', '-0.0202782', '0.965936', '-0.0209313', '0.257137', '-91.2902', '-92.9294', '-100.438', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '5095989', '0', 'object/building/general/shared_rori_bark_mite_cave.iff', '0.033739', '0.78831', '0.0434008', '-0.612818', '3580.47', '97.8071', '5439.74', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '5095990', '5095989', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '5095991', '5095989', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '5096047', '5095991', 'object/tangible/container/loot/shared_placable_loot_crate_skeleton_human.iff', '0.0449798', '0.000674747', '-0.0149843', '0.998875', '55.3925', '-68.1263', '-45.7365', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '5096066', '5095991', 'object/tangible/container/loot/shared_placable_loot_crate_skeleton_ithorian.iff', '0.0348013', '0.00184554', '-0.109761', '0.993347', '39.8253', '-45.9568', '-59.2559', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '5095992', '5095989', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '5095993', '5095989', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '5095994', '5095989', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '5095995', '5095989', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '5095996', '5095989', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '5095997', '5095989', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '5096065', '5095997', 'object/tangible/container/loot/shared_placable_loot_crate_skeleton_bith.iff', '0.0681799', '-0.22256', '0.0156047', '0.972407', '137.273', '-66.783', '-128.521', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '5095998', '5095989', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '5096064', '5095998', 'object/tangible/container/loot/shared_placable_loot_crate_skeleton_human.iff', '0.0399893', '0', '0', '0.9992', '187.186', '-65.5256', '-107.319', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '5095999', '5095989', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '5096000', '5095989', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '5096043', '5096000', 'object/tangible/container/loot/shared_placable_loot_crate_skeleton_bith.iff', '-0.0329796', '-0.537437', '0.0293191', '0.842149', '80.7025', '-46.2253', '-137.369', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '5096011', '0', 'object/static/structure/general/shared_rock_beach_dark_lg.iff', '0', '0.841471', '0', '0.540302', '3557.52', '90.5859', '5446.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '5096012', '0', 'object/static/structure/general/shared_rock_beach_dark_md.iff', '0', '-0.271547', '0', '0.962425', '3537.59', '90.3078', '5439.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '5096015', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0', '0', '1', '3562.27', '90', '5438.32', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5096016', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.247404', '0', '0.968912', '3551.98', '90', '5442.91', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5096017', '0', 'object/static/structure/general/shared_skeleton_bith_headandbody.iff', '0.193767', '0', '0', '0.981048', '3552.35', '90.8322', '5431.69', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5096018', '0', 'object/static/structure/general/shared_skeleton_ithorian_headandbody.iff', '0.0748344', '0.0037201', '-0.0548397', '0.99568', '3542.37', '90.4917', '5440.18', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5096019', '0', 'object/static/structure/general/shared_skeleton_human_body.iff', '0', '-0.0399893', '0', '0.9992', '3553.41', '90', '5438.39', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5096020', '0', 'object/static/structure/general/shared_skeleton_human_body.iff', '0', '0.539632', '0', '0.841901', '3553.56', '90', '5438.13', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5096021', '0', 'object/static/structure/general/shared_skeleton_human_body.iff', '0', '-0.129634', '0', '0.991562', '3553.4', '90', '5437.66', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5096022', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '-0.0734069', '-0.165069', '0.522072', '0.83355', '3565.09', '90.8985', '5426.4', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5096023', '0', 'object/static/structure/tatooine/shared_skeleton_greater_krayt_spine_large.iff', '-0.0214036', '0.337776', '-0.103665', '0.935256', '3544.65', '89.8053', '5461.85', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '5096024', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_tail.iff', '0', '0.886627', '0', '0.462485', '3520.18', '90.0163', '5444.4', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '5096025', '0', 'object/static/structure/dantooine/shared_dant_skull_thune.iff', '0.0448456', '0.825055', '-0.0661455', '0.559373', '3523.79', '89.8446', '5441.66', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '5096026', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_ribcage.iff', '-0.136142', '0.315571', '0.207211', '0.915939', '3557.39', '92.2029', '5456.04', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '5096027', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0.430458', '0', '0.902611', '3539.9', '90', '5457.25', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5096028', '0', 'object/static/structure/general/shared_skeleton_human_body.iff', '0', '0', '0', '1', '3522.31', '90.004', '5445.95', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5096029', '0', 'object/static/structure/general/shared_skeleton_bith_head.iff', '-0.356949', '0', '0', '0.934124', '3517.97', '90', '5435.96', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5096030', '0', 'object/static/structure/general/shared_rock_beach_dark_lg.iff', '0', '0.21823', '0', '0.975897', '3524.95', '90', '5460.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '5096069', '0', 'object/static/particle/shared_pt_buzzing_insects_large.iff', '0', '0', '0', '1', '3551.88', '90', '5439', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5096070', '0', 'object/static/particle/shared_pt_buzzing_insects_large.iff', '0', '0', '0', '1', '3539.05', '90', '5460.46', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5096071', '0', 'object/static/particle/shared_pt_buzzing_insects_large.iff', '0', '0', '0', '1', '3527.76', '90.1811', '5447.44', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145352', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.867077', '0', '-0.498174', '5493.03', '80', '5676.6', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145353', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '-0.345344', '0', '0.938476', '5473.91', '80', '5667.44', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145354', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.999925', '0', '-0.0122666', '5465.25', '80', '5678.4', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145355', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '0.736365', '0', '-0.676584', '5450.48', '80.8631', '5672.29', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145356', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.911927', '0', '0.410351', '5424.12', '80', '5673.93', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145357', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.0418876', '0', '0.999122', '5431.23', '80', '5669.88', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145358', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '5436.93', '80', '5683.49', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145360', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '0.558335', '0', '0.829615', '5416.04', '80', '5670.27', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145361', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.0347344', '0', '0.999397', '5399.12', '80', '5657.1', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145363', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '0.992573', '0', '-0.121652', '5373.71', '80', '5653.69', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145364', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.986892', '0', '0.161381', '5375.73', '80', '5651.93', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145365', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.299504', '0', '0.954095', '5388.63', '80', '5659.75', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145366', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.973693', '0', '-0.227864', '5407.76', '80', '5660.77', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145368', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '-0.333517', '0', '0.942744', '5363.43', '80', '5647.41', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145369', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.927773', '0', '0.373145', '5362.24', '80', '5636.58', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145370', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.999948', '0', '0.0102228', '5360.82', '80', '5630.77', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145371', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.739704', '0', '-0.672932', '5366.49', '80', '5575.76', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145372', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.513564', '0', '0.858052', '5387.54', '80', '5582.05', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145373', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.999997', '0', '-0.00263421', '5388.17', '80', '5570.48', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145374', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '-0.368212', '0', '0.929742', '5375.75', '80', '5575.54', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145375', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '0.919097', '0', '0.39403', '5371.69', '80', '5577.56', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145376', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.874545', '0', '0.484944', '5397.61', '80', '5582.26', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145377', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '0.995471', '0', '0.0950674', '5404.27', '80', '5576.5', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145378', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.950576', '0', '-0.310491', '5416.68', '80', '5574.01', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145379', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '0.922852', '0', '0.385155', '5328.15', '80', '5548.47', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145380', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '-0.0596802', '0', '0.998218', '5343.97', '80', '5544.61', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145381', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.999331', '0', '0.0365778', '5337.12', '80', '5552.72', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145382', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '-0.608614', '0', '0.793467', '5315.51', '80', '5545.65', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145398', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '0.41002', '0', '0.912076', '5312.53', '80', '5680.19', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145399', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.155798', '0', '0.987789', '5321.12', '80', '5681.24', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145400', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.984286', '0', '0.176581', '5322.98', '80', '5674.83', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145401', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.77148', '0', '0.636253', '5321.52', '80', '5658.54', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145402', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.97085', '0', '0.239689', '5307.69', '80', '5635.08', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145403', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.986426', '0', '0.164205', '5313.88', '80', '5653.42', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145404', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.826779', '0', '-0.562527', '5336.78', '80', '5623.95', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145405', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '-0.579755', '0', '0.814791', '5321.57', '80', '5650.1', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145406', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.816484', '0', '-0.577368', '5306.96', '80', '5643.19', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145407', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.999114', '0', '0.0420905', '5331.31', '80', '5629.59', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145408', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.992869', '0', '-0.119208', '5308.39', '80', '5669.51', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145410', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '-0.667027', '0', '0.745034', '5324.6', '80', '5629.68', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145411', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '0.987854', '0', '-0.155383', '5319.4', '80', '5636.62', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145412', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '0.938497', '0', '-0.345287', '5343.72', '80', '5624.6', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145413', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.410458', '0', '0.911879', '5355.17', '80', '5628.63', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145414', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.253602', '0', '0.967309', '5350.95', '80', '5631.46', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145415', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '-0.195975', '0', '0.980609', '5309.29', '80', '5658.56', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145417', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '0.993309', '0', '0.115484', '5250.22', '80', '5627.65', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145418', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.892974', '0', '-0.450108', '5226.39', '80', '5609.88', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145419', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.709869', '0', '-0.704333', '5222.18', '80', '5615.92', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145420', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.959261', '0', '-0.282522', '5230.71', '80', '5596.85', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145421', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.959261', '0', '-0.282522', '5227.34', '80', '5596.12', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145422', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.64045', '0', '0.768', '5228.3', '80', '5585.18', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145423', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '0.989458', '0', '0.144819', '5255.6', '80', '5556.65', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145424', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '-0.526742', '0', '0.850025', '5244.76', '80', '5553.62', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145425', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.941524', '0', '-0.336946', '5269.96', '80', '5555.81', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145426', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '-0.382683', '0', '0.92388', '5205.12', '80', '5634.16', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145427', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '-0.583283', '0', '0.812269', '5190.31', '80', '5634.75', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145428', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.782611', '0', '0.622511', '5194.59', '80', '5638.41', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145445', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.356648', '0', '0.934239', '5212.95', '80', '5638.38', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145446', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '-0.185565', '0', '0.982632', '5189.04', '80', '5691.64', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145447', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.789167', '0', '-0.614178', '5197.18', '80', '5697.13', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145448', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.0162846', '0', '0.999867', '5206.75', '80', '5691.07', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145449', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.219005', '0', '0.975724', '5204.47', '80', '5696.55', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145450', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.0193917', '0', '0.999812', '5180.19', '80', '5690.23', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145451', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '0.718433', '0', '0.695596', '5169.15', '80', '5697.4', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145452', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '-0.669896', '0', '0.742455', '5149.78', '80', '5698.75', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145453', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.840077', '0', '0.542466', '5138.33', '80', '5693.65', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145454', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.99832', '0', '-0.0579429', '5143.3', '80', '5699.08', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145455', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.923284', '0', '0.384119', '5155.06', '80', '5692.37', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145456', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '0.994947', '0', '-0.100405', '5096.39', '79.998', '5668.48', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145457', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.0537029', '0', '0.998557', '5101.73', '80', '5659.3', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145458', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.910822', '0', '0.412798', '5111.55', '80', '5651.83', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145459', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.901933', '0', '0.431875', '5118.95', '80', '5652.86', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145460', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.999648', '0', '-0.0265465', '5088.72', '80', '5662.21', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145461', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '5109.74', '80', '5652.53', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145462', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.945784', '0', '-0.324796', '5139.84', '80', '5692.9', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145471', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '0', '0', '1', '5096.26', '80', '5749.9', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145472', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.922385', '0', '0.386273', '5105.13', '80', '5745.59', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145473', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.922385', '0', '0.386273', '5105.88', '80', '5744.6', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145474', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '5105', '80', '5752.03', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145482', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '-0.674288', '0', '0.738469', '5127.36', '80', '5749.88', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145483', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.999262', '0', '0.0384009', '5111.37', '80', '5749.62', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145484', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.686947', '0', '0.726708', '5115.52', '80', '5743.18', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145485', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.720295', '0', '0.693668', '5136.22', '80', '5742.23', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145489', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '0.92388', '0', '0.382683', '5148.89', '80', '5747.38', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145490', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.994229', '0', '0.107281', '5162', '80', '5753.66', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145491', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.994229', '0', '0.107281', '5163.29', '80', '5753.55', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145492', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.208721', '0', '0.977975', '5144.12', '80', '5740.93', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145493', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.993513', '0', '-0.113716', '5164.3', '79.5248', '5744.17', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145494', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.868761', '0', '-0.495231', '5161.46', '80', '5741.83', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145500', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '5173.88', '80', '5749.23', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145501', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '5178.32', '79.3991', '5751.27', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145502', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '5178.07', '79.783', '5746.87', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145503', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '5182.79', '80', '5754.34', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145504', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '0.513499', '0', '0.85809', '5190.22', '80', '5743.96', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145505', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '0.788248', '0', '0.615358', '5210.44', '80', '5748.31', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145506', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '-0.444819', '0', '0.89562', '5206.03', '80', '5749', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145507', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.731068', '0', '-0.682305', '5200.55', '80', '5751.19', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145508', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.139631', '0', '0.990204', '5226.95', '80', '5752.47', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145509', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.657634', '0', '0.753338', '5215.56', '79.4537', '5753.8', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145510', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.682654', '0', '0.730742', '5225.95', '79.6311', '5742.79', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145519', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '0.34668', '0', '0.937984', '5256.14', '80', '5765.98', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145520', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '-0.354788', '0', '0.934947', '5256.65', '80', '5749.3', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145521', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '5252.35', '80', '5759.34', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145522', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '5261.56', '80', '5755.16', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145527', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '-0.500189', '0', '0.865916', '5269.26', '80', '5728.76', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145528', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '0.918278', '0', '0.395936', '5284.87', '80', '5711.63', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145529', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '0.765972', '0', '0.642874', '5275.03', '80', '5704.15', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145530', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.852143', '0', '-0.523309', '5265.77', '80', '5700.48', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145531', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.852403', '0', '-0.522885', '5264.61', '80', '5723.5', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145532', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.972563', '0', '-0.232638', '5275.12', '80', '5717.46', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145533', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.972563', '0', '-0.232638', '5275.89', '80', '5718.93', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145534', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.317525', '0', '0.94825', '5284.11', '80', '5699.08', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145545', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '0.0949508', '0', '0.995482', '5299.19', '80', '5784.05', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145546', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '0.997987', '0', '-0.0634223', '5290.14', '80', '5797.23', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145547', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.707403', '0', '-0.706811', '5290.31', '80', '5787.17', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145550', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '-0.308287', '0', '0.951293', '5299.63', '80', '5794.95', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145551', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '-0.0735535', '0', '0.997291', '5275.49', '80', '5802.71', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145552', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '0.974987', '0', '0.222262', '5264.56', '80', '5821.04', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145553', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.989275', '0', '-0.146064', '5274.15', '80', '5824.89', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145580', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '0.882403', '0', '-0.470495', '5478.42', '80', '5680.03', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145581', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.210686', '0', '0.977554', '5511.29', '80.071', '5707.42', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145582', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.893995', '0', '0.448077', '5508.49', '80.0019', '5701.8', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145583', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.997465', '0', '0.0711649', '5499.79', '79.443', '5707.08', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145586', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '-0.694468', '0', '0.719524', '5460.48', '80', '5750.1', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145587', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '-0.0609615', '0', '0.99814', '5433.44', '80', '5748.6', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145588', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '0.439557', '0', '0.898215', '5444.27', '80', '5752.08', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145589', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '5456.81', '80', '5757.76', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145590', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '5453.24', '80', '5746.55', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5145591', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '5441.07', '80', '5758.31', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5255356', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '0', '0', '1', '5490.31', '80.21', '5820.9', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5255357', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.999401', '0', '0.0345961', '5480.71', '80', '5823.17', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5255358', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.920413', '0', '0.390947', '5480.08', '80', '5815.62', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5255359', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.611668', '0', '0.791115', '5489.84', '80', '5811.93', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5255426', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '0.982454', '0', '0.186505', '5356.35', '80.0158', '5876.61', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5255427', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.932478', '0', '-0.361226', '5360.62', '80', '5865.97', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5255428', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.930814', '0', '0.365492', '5371.47', '80', '5867.85', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5255467', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s01.iff', '0', '0.707106', '0', '0.707107', '5155.89', '80', '5786.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '5265435', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.707107', '0', '0.707107', '-5281.1', '80.2572', '-2170.58', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '5265436', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.29552', '0', '0.955336', '-5281.69', '80.2808', '-2165.4', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '5265437', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.597195', '0', '0.802096', '-5281.07', '80.2783', '-2164.81', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '5265438', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '-5281.87', '80.2894', '-2164.22', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '5365449', '0', 'object/static/structure/naboo/shared_gate_narrow_s01.iff', '0', '0.375559', '0', '0.926798', '-5427.19', '80', '-2236.34', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '5365452', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_wall_small_s01.iff', '0', '0.375559', '0', '0.926798', '-5423.05', '80', '-2240.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '5365453', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_wall_small_s01.iff', '0', '0.926798', '0', '-0.375559', '-5431.32', '80', '-2232.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '5365454', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_wall_small_s01.iff', '0', '-0.394019', '0', '0.919102', '-5423.99', '79.9981', '-2245.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '5365456', '0', 'object/static/structure/general/shared_streetlamp_large_style_01_on.iff', '0', '0.930216', '0', '-0.367013', '-5424.01', '80', '-2245.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '5365459', '0', 'object/static/structure/general/shared_planter_generic_style_1.iff', '0', '0.87959', '0', '-0.475732', '-5432.69', '80', '-2237.7', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5365460', '0', 'object/static/structure/corellia/shared_corl_tent_small.iff', '0', '-0.124675', '0', '0.992198', '-5427.46', '80', '-2243.24', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '5365462', '0', 'object/static/item/shared_item_container_inorganic_water.iff', '0', '0', '0', '1', '-5426.64', '80', '-2240.72', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '5365463', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.203567', '0', '0.979061', '-5426.89', '80', '-2243.57', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '5365464', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.91071', '0', '-0.413046', '-5428.54', '80', '-2242.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '5365465', '0', 'object/static/item/shared_wp_carbine_ee3_combined.iff', '0', '0', '-0.640385', '0.768054', '-5429.01', '80.9041', '-2243.29', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '5385721', '0', 'object/static/structure/general/shared_escape_pod.iff', '0.794267', '0.510029', '-0.0908358', '0.317425', '-5724.65', '81.8722', '-2486.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '5385722', '0', 'object/static/structure/general/shared_escape_pod_door.iff', '0.334332', '0.250602', '0.686391', '-0.595221', '-5722.73', '81.3862', '-2489.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '5385723', '0', 'object/tangible/quest/quest_start/shared_ep3_clone_relics_nym_starmap_container.iff', '0.332108', '0.315493', '0.108064', '0.882321', '-5724.92', '81.2815', '-2489.6', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '5405672', '0', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0.747971', '0.663731', '-4983.75', '80.1581', '-2318.3', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '5405704', '0', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '-4983.56', '80', '-2318.45', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '5405738', '0', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '-4984.52', '80', '-2316.34', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '5406180', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '-4979.92', '80.0001', '-2319.83', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '5406422', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '-0.328732', '-0.0146214', '0.00334647', '0.944304', '-4979.56', '80', '-2319.76', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '5407064', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0.70328', '0.710913', '-4979.29', '80.1265', '-2320.21', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '5407108', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.416871', '0', '0.908966', '-4983.93', '80', '-2315.84', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '5407110', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '-4983.21', '80', '-2314.88', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '5407112', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0.198669', '0', '0.980067', '-4983.5', '80', '-2317.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '5407125', '0', 'object/static/item/shared_item_container_energy_solid.iff', '0', '0', '0', '1', '5093.45', '80', '5758.66', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '5407126', '0', 'object/static/item/shared_item_container_inorganic_chemicals.iff', '0', '0', '0', '1', '5094.29', '80', '5758.16', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '5407127', '0', 'object/static/item/shared_wp_rifle_bowcaster_combined.iff', '0', '-0.324043', '0', '0.946042', '5090.15', '80.0638', '5760.91', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '5407128', '0', 'object/static/item/shared_item_cage_bamboo.iff', '0', '0', '0', '1', '5093.13', '80', '5757.8', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '5407130', '0', 'object/static/item/shared_item_bowl_plain.iff', '0', '0', '0', '1', '5092.99', '80.7043', '5757.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '5407131', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.466208', '0', '0.884675', '5089.11', '80', '5761.33', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '5407132', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.466208', '0', '0.884675', '5089.44', '80', '5761.33', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '5407133', '0', 'object/static/item/shared_item_jar_empty.iff', '0', '-0.300293', '0', '0.953847', '5088.53', '81.2017', '5761.79', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '5407135', '0', 'object/static/item/shared_item_shisha.iff', '0', '0', '0', '1', '5092.72', '80', '5758.49', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '5407136', '0', 'object/static/item/shared_wp_mle_lance_s01.iff', '0.203567', '0', '0', '0.979061', '5090.32', '80.6934', '5761.2', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '5407137', '0', 'object/static/item/shared_item_jar_bugs.iff', '0', '0', '0', '1', '5088.96', '81.2017', '5761.68', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '5407138', '0', 'object/static/item/shared_item_jar_guts.iff', '0', '0', '0', '1', '5088.78', '81.2017', '5761.71', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '5407162', '0', 'object/building/general/shared_rori_bat_cave.iff', '0', '0.92388', '0', '0.382683', '848.8', '99.5441', '-4880.25', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '5407163', '5407162', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '5407164', '5407162', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '5407165', '5407162', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '8795683', '5407165', 'object/tangible/container/loot/shared_placable_loot_crate_trashpile.iff', '0', '0', '0', '1', '4.92003', '-41.0546', '-75.1324', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '5407166', '5407162', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '8795684', '5407166', 'object/tangible/container/loot/shared_placable_loot_crate_trashpile.iff', '0', '0', '0', '1', '51.482', '-45.4791', '-100.606', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '5407167', '5407162', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '8795685', '5407167', 'object/tangible/container/loot/shared_placable_loot_crate_trashpile.iff', '0', '0', '0', '1', '46.7424', '-56.4031', '-186.611', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '5407168', '5407162', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '5407169', '5407162', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '8795686', '5407169', 'object/tangible/container/loot/shared_placable_loot_crate_trashpile.iff', '0', '0', '0', '1', '-19.8301', '-62.8932', '-260.998', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '5407170', '5407162', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '8795687', '5407170', 'object/tangible/container/loot/shared_placable_loot_crate_trashpile.iff', '0', '0', '0', '1', '-76.9857', '-99.6929', '-162.537', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '5407171', '5407162', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '5407172', '5407162', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '5407173', '5407162', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '8795688', '5407173', 'object/tangible/container/loot/shared_placable_loot_crate_trashpile.iff', '0', '0', '0', '1', '-100.588', '-100.598', '-94.6237', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '8795689', '5407173', 'object/tangible/container/loot/shared_placable_loot_crate_trashpile.iff', '0', '0', '0', '1', '-83.9517', '-99.9265', '-93.6864', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '5555737', '0', 'object/static/item/shared_item_basket_shallow.iff', '0', '0', '0', '1', '-5171.41', '80', '-2341.79', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '5555738', '0', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '-5172', '80', '-2340.66', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '5555739', '0', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '-5171.75', '80', '-2340.46', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '5555740', '0', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '-5171.66', '80', '-2340.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '5555741', '0', 'object/static/item/shared_item_bread_loaf.iff', '0', '0', '0', '1', '-5171.46', '80.0316', '-2341.96', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '5555742', '0', 'object/static/item/shared_item_con_bowl_full.iff', '0', '0', '0', '1', '-5171.1', '80', '-2340.89', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '5555743', '0', 'object/static/item/shared_item_con_drink_flask.iff', '0', '0', '0', '1', '-5171.03', '80', '-2342.54', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '5555744', '0', 'object/static/item/shared_item_con_pitcher_full.iff', '0', '0', '0', '1', '-5170.85', '80', '-2342.38', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '5555745', '0', 'object/static/item/shared_item_food_fruit_s01.iff', '0', '0', '0', '1', '-5171.36', '80.0632', '-2341.73', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '5555746', '0', 'object/static/item/shared_item_food_muffins.iff', '0', '0', '0', '1', '-5171.84', '80.3479', '-2325.51', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '5555747', '0', 'object/static/item/shared_item_jar_berries.iff', '0', '0', '0', '1', '-5171.81', '80', '-2326.12', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '5555748', '0', 'object/static/item/shared_item_jar_bugs.iff', '0', '0', '0', '1', '-5171.72', '80', '-2325.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '5555749', '0', 'object/static/item/shared_item_jar_funk.iff', '0', '0', '0', '1', '-5171.56', '80', '-2326.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '5555750', '0', 'object/static/item/shared_item_con_plate_casserole.iff', '0', '0', '0', '1', '-5171.45', '80.3479', '-2325.34', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '5555751', '0', 'object/static/item/shared_item_con_tato_bowl_full_s01.iff', '0', '0', '0', '1', '-5170.98', '80', '-2325.91', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '5555752', '0', 'object/static/item/shared_item_container_inorganic_chemicals.iff', '0', '0.807558', '0', '-0.589788', '-5171.65', '80', '-2325.43', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '5555753', '0', 'object/static/item/shared_item_crate_clothing_small.iff', '0', '0', '0', '1', '-5274.66', '80', '-2374.89', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '5555754', '0', 'object/static/item/shared_item_cloth_patches.iff', '0', '0', '0', '1', '-5274.11', '80', '-2374.94', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '5555755', '0', 'object/static/item/shared_item_sewing_utensils.iff', '0.734548', '0', '0', '-0.678557', '-5274.2', '80.0316', '-2375.32', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '5555756', '0', 'object/static/item/shared_item_raw_cloth.iff', '0', '0', '0', '1', '-5268.39', '80', '-2361.41', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '5555757', '0', 'object/static/item/shared_item_sewing_utensils_lg_01.iff', '0.710353', '0', '0', '-0.703845', '-5267.91', '80.0316', '-2361.52', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '5555758', '0', 'object/static/item/shared_item_crate_clothing_small.iff', '0', '0', '0', '1', '-5267.25', '80', '-2361.8', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '5555759', '0', 'object/static/item/shared_item_rifle.iff', '0', '0', '0.734548', '0.678557', '-5267.56', '80.0316', '-2406.2', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '5555760', '0', 'object/static/item/shared_item_ryyk_blade.iff', '0', '0', '-0.174108', '0.984727', '-5269.15', '80.1897', '-2407.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '5555761', '0', 'object/static/item/shared_item_vibroaxe.iff', '0', '0', '-0.193767', '0.981048', '-5267.49', '81.0436', '-2405.68', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '5555762', '0', 'object/static/item/shared_wp_carbine_dh17_combined.iff', '0', '0', '0.713864', '0.700285', '-5274.61', '80.0316', '-2398.32', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '5555763', '0', 'object/static/item/shared_item_vibrolance.iff', '0', '0', '0.119712', '0.992809', '-5275.68', '80.9171', '-2399.41', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '5555764', '0', 'object/static/item/shared_wp_rifle_bowcaster_combined.iff', '0', '0', '0', '1', '-5274.47', '80', '-2399.07', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '5555840', '0', 'object/building/general/shared_rori_garyn_bunker.iff', '0', '0.744643', '0', '0.667463', '-6038.37', '117.85', '-1819.56', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '5555841', '5555840', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '5555842', '5555840', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '5555843', '5555840', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '5555918', '5555843', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0.741296', '0', '0.671178', '1.64252', '0.25', '-5.07909', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '5555844', '5555840', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '5555845', '5555840', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '5555917', '5555845', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0.997836', '0', '0.0657489', '-7.77295', '-6.75', '-3.95174', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '5555846', '5555840', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '5555916', '5555846', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '-0.613117', '0', '0.789992', '-7.28536', '-6.1027', '-16.899', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '5555847', '5555840', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '5555915', '5555847', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '-0.104807', '0', '0.994493', '2.57598', '-6.75', '-3.78185', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '5555848', '5555840', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '5555849', '5555840', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '5555912', '5555849', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0.998248', '0', '0.059169', '2.95268', '-13.75', '-6.20792', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '5555914', '5555849', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '-0.443948', '0', '0.896052', '-8.15777', '-13.75', '-15.1096', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '5775352', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5274.54', '80.0805', '-2231.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '5775357', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_02.iff', '1', '0', '0', '-3.20013e-08', '-5196.2', '86.6724', '-2243.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '5775358', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5209.58', '80', '-2269.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '5775359', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5220.32', '80.0177', '-2209.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '5775360', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5264.47', '80.2422', '-2205.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '5775363', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '-5130.96', '89.5645', '-2270', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '6035353', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5170.79', '80', '-2253.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '6035362', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5122.21', '80', '-2316.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '6035363', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5138.83', '80', '-2316.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '6035364', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5083.16', '80', '-2359.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '6035365', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5083.26', '80', '-2398.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '6035369', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5162.83', '80', '-2480.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '6035370', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5061.56', '80', '-2488.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '6035371', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5164.37', '80', '-2434.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '6035372', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5072.58', '80', '-2419.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '6035375', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5038.21', '80.5692', '-2358.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '6035376', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5019.72', '80.5609', '-2358.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '6035377', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5210.82', '82.4734', '-2404.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '6035378', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5189.09', '82.4937', '-2363.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '6035379', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5210.82', '82.4406', '-2363.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '6035380', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5189.12', '82.4777', '-2404.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '6035382', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-4962.6', '80.0026', '-2357.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '6035385', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5056.41', '80', '-2451.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '6035386', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5116.04', '80', '-2513.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '6035387', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5233.79', '80', '-2445.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '6035389', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5250.99', '80', '-2353.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '6035390', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5230.07', '80.0632', '-2313.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '6035391', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '-5177.32', '80', '-2318.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '6035395', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '1', '0', '0', '-3.20013e-08', '5446.28', '91.2924', '5782.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '6035398', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '5483.5', '80', '5749.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '6035400', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '5525.64', '80.5227', '5631.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '6035401', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '5525.27', '80.522', '5615.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '6035405', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '5432.92', '80', '5579.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '6035406', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '5355.11', '80', '5579.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '6035407', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '5400.62', '80', '5641.34', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '6035408', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '5371.57', '80', '5641.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '6035410', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '5297.9', '80', '5669.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '6035411', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '5321.53', '80.1063', '5524.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '6035412', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '5336.79', '80.0218', '5524.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '6035417', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '5233.04', '80', '5634.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '6035418', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '5273.58', '85.9863', '5653.59', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '6035419', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '5256.2', '80', '5725.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '6035420', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '5219.57', '80', '5725.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '6035421', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '5275.15', '80', '5785.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '6035422', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '5284.43', '80', '5811.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '6035423', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '5225.51', '80', '5852.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '6035424', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0.707106', '0', '0.707107', '5313.94', '80', '5829.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '6035425', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '5358.45', '87.1723', '5851.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '6035431', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '5165.36', '80', '5760.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '6035432', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '5152.57', '80', '5719.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '6035433', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '5111.52', '80', '5759.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '6035434', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '5123.9', '80', '5717.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '6035435', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '5073.1', '80.0012', '5754.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '6035436', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '5072.94', '80.1903', '5738.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '6035437', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '5175.26', '80', '5681.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '6035439', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '5221.78', '80', '5663.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '6035440', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0.430458', '0', '0.902611', '5133.94', '79.9616', '5529.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '6035441', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0.475032', '0', '0.879969', '5121.09', '79.9684', '5550.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '6035444', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0', '0', '1', '5134.63', '81.6386', '5630.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '6035445', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_02.iff', '0', '0', '0', '1', '5496.62', '80.7836', '5826.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '6055627', '0', 'object/static/item/shared_item_tool_sensor_beacon.iff', '0', '0', '0', '1', '5452.65', '87', '5040.11', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '6055628', '0', 'object/building/general/shared_rori_cobral_bunker.iff', '0', '0', '0', '1', '5446.04', '87', '5015.86', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '6055629', '6055628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '6055630', '6055628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '6055631', '6055628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '6475949', '6055631', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0', '0', '1', '2.51136', '0.25', '-5.6392', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '6055632', '6055628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '6055633', '6055628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '6055634', '6055628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '6055635', '6055628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '4395565', '6055635', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_neutral_rescue_02.iff', '0', '1', '0', '-3.20013e-08', '5.99158', '-13.75', '10.1163', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '6475950', '6055635', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0', '0', '1', '7.79196', '-13.4021', '8.69994', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '6055636', '6055628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '6055637', '6055628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '6475951', '6055637', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0', '0', '1', '6.51243', '-20.7332', '3.59994', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '6055638', '6055628', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '6475952', '6055638', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '-0.0799147', '0', '0.996802', '-3.55614', '-19.8962', '35.6429', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '6475953', '6055638', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0.998248', '0', '0.0591694', '5.58455', '-19.8646', '35.5296', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '6475954', '6055638', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '1', '0', '-0.000796415', '1.4834', '-20.75', '35.3275', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '6055639', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '5451.18', '87', '5029.65', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '6055640', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.412321', '0', '0.911039', '5451.56', '86.9948', '5030.61', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '6055641', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.139543', '0', '0.990216', '5451.51', '87.6896', '5030.24', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '6055642', '0', 'object/static/item/shared_item_container_electronics.iff', '0', '-0.543835', '0', '0.839192', '5449.73', '86.9399', '5029.38', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '6055678', '0', 'object/static/item/shared_item_ryyk_blade.iff', '-0.348275', '0.61539', '-0.348275', '-0.61539', '5446.29', '90.8265', '5027.96', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '6055679', '0', 'object/static/item/shared_item_ryyk_blade.iff', '0.339005', '0.620544', '-0.339005', '0.620545', '5445.74', '90.8265', '5027.94', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '6055692', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0.139543', '0', '0', '0.990216', '5446.02', '91.1427', '5027.86', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '6445428', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.92388', '0', '-0.382683', '-5230.81', '80.4551', '-2169.6', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '6445429', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.92388', '0', '-0.382683', '-5228.59', '80.4941', '-2171.89', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '6445430', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.92388', '0', '-0.382683', '-5226.35', '80.5265', '-2174.02', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '6445432', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.713864', '0', '0.700285', '5258.68', '79.9306', '5573.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '6445433', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '-0.70328', '0', '0.710913', '5258.6', '80', '5610.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '6445434', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '5283.58', '80', '5627.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '6445435', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.707106', '0', '0.707107', '5284.41', '80', '5626.02', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '6445436', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.707107', '0', '-0.707107', '5284.43', '80', '5622.69', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '6445437', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.707107', '0', '-0.707107', '5284.44', '80', '5619.17', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '6445438', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.707106', '0', '0.707107', '5242.06', '80', '5791.96', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '6445439', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.707106', '0', '0.707107', '5242.09', '80', '5783.99', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '6445440', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '-0.707106', '0', '0.707107', '5241.63', '80', '5789.52', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '6445441', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '-0.707106', '0', '0.707107', '5241.65', '80', '5786.69', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '6445442', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '-0.699717', '0', '0.714421', '5241.58', '80', '5788.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '6445443', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '5280.11', '80', '5531.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '6445444', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '5326.55', '80', '5566.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '6445446', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '1', '0', '3.20013e-08', '5320.6', '80', '5566.57', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '6445447', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '1', '0', '3.20013e-08', '5323.78', '80', '5566.6', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '6445449', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '1', '0', '0', '5329.06', '80', '5566.7', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '6445450', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '1', '0', '0', '5332.24', '80', '5566.73', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '6445451', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '5441.97', '80', '5530.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '6445452', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '5493.83', '80', '5528.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '6445456', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '5490.54', '79.6442', '5646.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '6445457', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '5443.39', '79.6861', '5646.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '6475955', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_02.iff', '0', '0', '0', '1', '5446.06', '83.685', '5029.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '6665412', '0', 'object/static/structure/naboo/shared_nboo_imprv_flagpole_s01.iff', '0', '0', '0', '1', '5228.2', '80', '5635.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '6665416', '0', 'object/static/structure/naboo/shared_nboo_imprv_flagpole_s01.iff', '0', '0', '0', '1', '-5164.88', '80', '-2460.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '6725364', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '1', '0', '0', '-5128.68', '80', '-2236.51', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '6885431', '0', 'object/tangible/jedi/shared_force_shrine_stone.iff', '0', '0.707107', '0', '0.707107', '307.041', '80.3581', '-981.61', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '6885432', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0.7071', '0', '0.707113', '302.619', '81.1398', '-983.207', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '6885433', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0', '0', '1', '311.304', '81.1398', '-983.173', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '6885434', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '1', '0', '0', '306.073', '81.1398', '-983.219', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '6885435', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '0', '0', '1', '307.867', '81.1298', '-983.266', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '6885436', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_altar.iff', '0', '0', '0', '1', '306.982', '63.1862', '-983.208', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '6885437', '0', 'object/static/particle/shared_pt_poi_electricity_2x2.iff', '0', '0', '0', '1', '307.044', '81.1398', '-981.614', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '6885438', '0', 'object/tangible/jedi/shared_force_shrine_stone.iff', '0', '0.707107', '0', '0.707107', '-6375.58', '75.216', '6400.77', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '6885439', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0.707099', '0', '0.707114', '-6380', '76.2737', '6399.18', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '6885440', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0', '0', '1', '-6371.32', '76.2737', '6399.21', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '6885441', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '1', '0', '0', '-6376.55', '76.2737', '6399.17', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '6885442', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '0', '0', '1', '-6374.75', '76.2637', '6399.12', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '6885443', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_altar.iff', '0', '0', '0', '1', '-6375.64', '58.3201', '6399.18', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '6885444', '0', 'object/static/particle/shared_pt_poi_electricity_2x2.iff', '0', '0', '0', '1', '-6375.58', '75.8498', '6400.77', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '6885445', '0', 'object/tangible/jedi/shared_force_shrine_stone.iff', '0', '0.707107', '0', '0.707107', '6854.18', '84.6839', '-1224.95', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '6885446', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0.707101', '0', '0.707112', '6849.76', '85.0565', '-1226.55', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '6885447', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0', '0', '1', '6858.44', '85.0565', '-1226.51', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '6885448', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '1', '0', '0', '6853.21', '85.0565', '-1226.56', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '6885449', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '0', '0', '1', '6855.01', '85.0465', '-1226.61', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '6885450', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_altar.iff', '0', '0', '0', '1', '6854.12', '67.1029', '-1226.55', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '6885451', '0', 'object/static/particle/shared_pt_poi_electricity_2x2.iff', '0', '0', '0', '1', '6854.18', '85.0565', '-1224.95', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '6885452', '0', 'object/tangible/jedi/shared_force_shrine_stone.iff', '0', '0.707107', '0', '0.707107', '-4496.57', '179.815', '-7534.98', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '6885453', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0.7071', '0', '0.707113', '-4500.99', '180.479', '-7536.58', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '6885454', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0', '0', '1', '-4492.31', '180.479', '-7536.54', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '6885455', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '1', '0', '0', '-4497.54', '180.479', '-7536.59', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '6885456', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '0', '0', '1', '-4495.75', '180.469', '-7536.64', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '6885457', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_altar.iff', '0', '0', '0', '1', '-4496.63', '162.525', '-7536.58', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '6885458', '0', 'object/static/particle/shared_pt_poi_electricity_2x2.iff', '0', '0', '0', '1', '-4496.57', '180.479', '-7534.98', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '6885459', '0', 'object/tangible/jedi/shared_force_shrine_stone.iff', '0', '0.707107', '0', '0.707107', '-926.126', '83.8092', '6043.18', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '6885460', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0.707097', '0', '0.707116', '-930.547', '84.6168', '6041.58', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '6885461', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0', '0', '1', '-921.863', '84.6009', '6041.62', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '6885462', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '1', '0', '0', '-927.094', '84.6146', '6041.57', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '6885463', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '0', '0', '1', '-925.3', '84.602', '6041.52', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '6885464', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_altar.iff', '0', '0', '0', '1', '-926.185', '66.6594', '6041.58', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '6885465', '0', 'object/static/particle/shared_pt_poi_electricity_2x2.iff', '0', '0', '0', '1', '-926.123', '85.1276', '6043.18', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555511', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '-0.707106', '0', '0.707107', '-5112.9', '80', '-2346.99', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555513', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0.707106', '0', '0.707107', '-5111.2', '80', '-2347.02', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555515', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0.707107', '0', '0.707107', '-5146.19', '80', '-2346.86', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555517', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '-0.707106', '0', '0.707107', '-5147.7', '80', '-2347.17', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555519', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '1', '0', '-3.20013e-08', '-5162.95', '80', '-2472.96', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555521', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0', '0', '1', '-5163', '80', '-2489.18', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555523', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0.707106', '0', '0.707107', '-5170.63', '80', '-2489.93', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555525', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0.707107', '0', '0.707107', '-5170.31', '80', '-2485.55', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555527', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0.707106', '0', '0.707107', '-5170.23', '80', '-2476.2', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555529', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0.707106', '0', '0.707107', '-5170.61', '80', '-2471.86', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555531', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '-0.524986', '0', '0.851111', '-5327.68', '80', '-2109.72', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555533', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0.858889', '0', '0.512161', '-5335.42', '80', '-2105.19', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555535', '0', 'object/static/structure/naboo/shared_gungan_statue_s01.iff', '0', '0.972329', '0', '-0.233617', '-5349.73', '80', '-2098.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555537', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0', '0', '1', '-5303.14', '80.0382', '-2281.27', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555539', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0', '0', '1', '-5305.25', '80.0563', '-2281.36', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555541', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0', '0', '1', '-5307.1', '80.0524', '-2281.19', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555543', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0', '0', '1', '-5269.06', '80', '-2281.28', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555545', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0', '0', '1', '-5265.06', '80', '-2281.12', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555547', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0', '0', '1', '-5267.16', '80', '-2281.42', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555549', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '1', '0', '-3.20013e-08', '-5031.03', '80.6008', '-2354.95', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555551', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '1', '0', '0', '-5029.03', '80.6008', '-2354.95', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555553', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '1', '0', '0', '-5027.03', '80.6008', '-2354.95', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555562', '0', 'object/tangible/furniture/all/shared_frn_all_toolchest_med_s01.iff', '0', '0', '0', '1', '-5119.03', '80', '-2444.07', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555563', '0', 'object/static/item/shared_item_tool_magnetite_cleaner.iff', '0', '0.319309', '0', '0.947651', '-5118.34', '80', '-2443.91', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555564', '0', 'object/static/item/shared_item_tool_instrument_calibrator.iff', '0', '-0.223106', '0', '0.974794', '-5118.98', '81.0119', '-2443.99', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555566', '0', 'object/static/item/shared_item_crate_spice.iff', '0', '0', '0', '1', '-5209.42', '80', '-2271.06', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555567', '0', 'object/static/item/shared_item_crate_spice.iff', '0', '0', '0', '1', '-5210.55', '80', '-2271.52', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555568', '0', 'object/static/item/shared_item_crate_spice.iff', '0', '1', '0', '-3.20013e-08', '-5210.05', '80', '-2268.37', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555569', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0', '0', '1', '5130.06', '80', '5677.7', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555571', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0', '0', '1', '5127.9', '80', '5677.7', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555573', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0', '0', '1', '5171.89', '80', '5677.57', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555575', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0', '0', '1', '5169.83', '80', '5677.61', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555577', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '1', '0', '-3.20013e-08', '5510.13', '80', '5610.33', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555579', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0', '0', '1', '5509.9', '80', '5611.71', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555581', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0', '0', '1', '5509.99', '80', '5636.93', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555583', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '1', '0', '-3.20013e-08', '5510.02', '80', '5635.19', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555585', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0.707106', '0', '0.707107', '5495.24', '80.6003', '5623.43', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555587', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0.707106', '0', '0.707108', '5495.24', '80.6003', '5621.43', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555589', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '1', '0', '-3.20013e-08', '5459.8', '80', '5767.9', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555591', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '1', '0', '-3.20013e-08', '5461.8', '80', '5767.9', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555593', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0.707106', '0', '0.707107', '5255.5', '80', '5731.28', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555595', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0.707106', '0', '0.707107', '5255.5', '80', '5733.2', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555599', '0', 'object/static/structure/naboo/shared_poi_nboo_tent_small.iff', '-0.0299955', '0', '0', '0.99955', '5353.48', '80.253', '5667.67', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555624', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '0', '1', '0', '0', '-5393.89', '76', '5049.61', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555625', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '0', '-0.707103', '0', '0.70711', '-5350.73', '76', '5087.08', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555626', '0', 'object/building/military/shared_military_base_gate_house_rebel.iff', '0', '0.464172', '0', '0.885745', '-5377.15', '76', '5035.12', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555627', '0', 'object/building/military/shared_military_base_gate_house_rebel.iff', '0', '0.934943', '0', '-0.354799', '-5337.35', '76', '5068.45', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555628', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '0', '0', '1', '-5351.99', '75.9333', '4994.41', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555629', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.651835', '0', '0.758361', '-5348.64', '75.9997', '4994.92', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555630', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.21823', '0', '0.975897', '-5349.51', '75.9989', '4993.67', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555632', '0', 'object/building/military/shared_military_base_shed_rebel_style_01.iff', '0', '0.936705', '0', '0.35012', '-5384.58', '76', '5069.54', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555633', '7555632', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555634', '7555632', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555635', '7555632', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '923864', '7555635', 'object/tangible/hq_destructible/shared_security_terminal.iff', '0', '-0.382683', '0', '0.92388', '1.22403', '0.125265', '-6.18928', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555636', '7555632', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555637', '7555632', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555638', '7555632', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555639', '0', 'object/building/military/shared_military_base_shed_rebel_style_01.iff', '0', '0.936705', '0', '0.35012', '-5370.43', '76', '5082.07', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555640', '7555639', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555641', '7555639', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555642', '7555639', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555643', '7555639', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555644', '7555639', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '923863', '7555644', 'object/tangible/hq_destructible/shared_uplink_terminal.iff', '0', '0', '0', '1', '4.27154', '0.125266', '-5.80749', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555645', '7555639', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555646', '0', 'object/building/military/shared_military_outpost_guard_house_rebel.iff', '0', '0.998988', '0', '-0.044985', '-5328.45', '76', '5017.27', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555647', '7555646', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555648', '7555646', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '923866', '7555648', 'object/tangible/terminal/shared_terminal_hq.iff', '0', '0', '0', '1', '-2.27944', '4.01', '-3.18539', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555697', '0', 'object/static/structure/general/shared_data_terminal_s1.iff', '0', '-0.667166', '0', '0.744909', '-5322.96', '82.9589', '5013.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555698', '0', 'object/static/item/shared_item_con_barrel_lg_s1.iff', '0', '0.741563', '0', '0.670883', '-5334.91', '82.9598', '5012.51', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555699', '0', 'object/static/item/shared_item_con_barrel_lg_s1.iff', '0', '0.9992', '0', '-0.039989', '-5325.72', '83.0121', '5023.07', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555700', '0', 'object/static/item/shared_item_tech_console_sectional_b.iff', '0', '-0.678266', '0', '0.734816', '-5324.38', '82.922', '5023.44', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555701', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.382683', '0', '0.92388', '-5356.98', '76', '5043.45', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555702', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '-5357.07', '76', '5042.35', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555703', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.707103', '0', '0.70711', '-5356.02', '76', '5042.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555704', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.252245', '0', '0.967663', '-5355.57', '76', '5041.57', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555705', '0', 'object/static/structure/tatooine/shared_debris_tatt_radar_dish.iff', '-0.040713', '-0.071008', '0.210093', '0.974249', '-5352.59', '76.5287', '5056.96', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555708', '0', 'object/static/item/shared_item_tool_sensor_beacon.iff', '0', '0.21823', '0', '0.975897', '-5370.63', '76', '5045.55', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555709', '0', 'object/static/item/shared_item_tool_sensor_beacon.iff', '0', '0.603355', '0', '0.797473', '-5349.67', '76', '5063.62', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555711', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.929516', '0', '0.368781', '-5322.1', '76', '5009.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555712', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_16_style_01.iff', '0', '0.999105', '0', '-0.042288', '-5330.55', '76', '5010.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555713', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_16_style_01.iff', '0', '0.736377', '0', '0.676572', '-5321.38', '76', '5018.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555714', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.89927', '0', '-0.437394', '-5339.01', '76', '5011.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555715', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.523025', '0', '0.852318', '-5320.66', '76', '5026.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555716', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_16_style_01.iff', '0', '0.879969', '0', '-0.475032', '-5312.91', '76', '5046.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555717', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_16_style_01.iff', '0', '0.583232', '0', '0.812306', '-5348.6', '76', '5055.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555718', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_16_style_01.iff', '0', '0.49688', '0', '0.867819', '-5341.6', '76', '5039.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555719', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_16_style_01.iff', '0', '0.884489', '0', '0.466561', '-5301.99', '75.9859', '5029.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555720', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_32_style_01.iff', '0', '0.576958', '0', '0.816774', '-5302.89', '75.9981', '5052.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555721', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_32_style_01.iff', '-0.0168519', '0.421073', '-0.0362651', '0.906145', '-5318.94', '76.8464', '5080.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555722', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_32_style_01.iff', '-0.00514887', '-0.343232', '0.014088', '0.939131', '-5385.29', '76.0643', '5084.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555723', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_32_style_01.iff', '0', '0.159318', '0', '0.987227', '-5344.4', '78.4412', '5098.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555724', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_16_style_01.iff', '-0.010859', '-0.27133', '0.0384868', '0.961655', '-5366.72', '77.5909', '5098.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555725', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_16_style_01.iff', '0', '-0.412321', '0', '0.911039', '-5402.4', '75.9936', '5068.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555726', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_32_style_01.iff', '0', '0.90687', '0', '-0.42141', '-5392.31', '76', '5018.52', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555727', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_32_style_01.iff', '0', '0.758102', '0', '-0.652136', '-5405.54', '75.9993', '5046.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555728', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_32_style_01.iff', '0', '0.970137', '0', '-0.242556', '-5367.09', '76', '4997.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555729', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_16_style_01.iff', '0', '0.975897', '0', '0.21823', '-5344.79', '75.9906', '4993.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555730', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_16_style_01.iff', '0', '0.735088', '0', '-0.677972', '-5307.45', '75.9965', '5030.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555731', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_16_style_01.iff', '0', '0.156653', '0', '0.987654', '-5328.73', '76', '5029.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555732', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_16_style_01.iff', '0', '0.753321', '0', '-0.657653', '-5340.15', '76', '5019.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555733', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_16_style_01.iff', '0', '0.928665', '0', '-0.37092', '-5324.5', '76', '5060.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555734', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_16_style_01.iff', '0', '0.973139', '0', '-0.230217', '-5362.64', '76', '5043.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555735', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_16_style_01.iff', '0', '0.470626', '0', '0.882333', '-5371.34', '76', '5020.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555736', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_16_style_01.iff', '0', '0.13459', '0', '0.990901', '-5345.09', '76', '4998.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555737', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_16_style_01.iff', '0', '0.37092', '0', '0.928665', '-5359.96', '76', '5007.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555738', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_16_style_01.iff', '0', '0.937646', '0', '-0.34759', '-5348.49', '76', '5033.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555739', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.49688', '0', '0.867819', '-5337.01', '76', '5032.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555740', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.937646', '0', '-0.34759', '-5341.72', '76', '5028.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555741', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.227978', '0', '0.973666', '-5345.88', '76', '5047.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555742', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.810963', '0', '-0.585097', '-5355.05', '76', '5039.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555743', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.999184', '0', '0.040387', '-5306.81', '75.9785', '5022.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555744', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.795843', '0', '0.605503', '-5337.38', '75.9975', '4996.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555745', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '-0.68587', '0', '0.727724', '-5308.14', '76', '5039.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555746', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.198669', '0', '0.980067', '-5353.59', '76', '5001.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555747', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.42141', '0', '0.90687', '-5366.48', '76', '5013.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555748', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.90687', '0', '-0.42141', '-5317.97', '76', '5054.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555749', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.928665', '0', '-0.37092', '-5330.96', '76', '5066.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555750', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.470626', '0', '0.882333', '-5376.26', '76', '5028.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555751', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.585097', '0', '0.810964', '-5351.22', '76', '5063.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555752', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.972514', '0', '-0.232843', '-5369.91', '76', '5046.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555753', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '-0.314567', '0', '0.949235', '-5373.32', '76.9577', '5094.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555754', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0', '0', '1', '-5359.81', '78.7759', '5103.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555755', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '-0.356949', '0', '0.934124', '-5397.48', '76.0085', '5074.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555756', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '-0.601517', '0', '0.79886', '-5407.74', '75.9974', '5062.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555757', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.412321', '0', '0.911039', '-5329.17', '78.2493', '5093.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555758', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.531187', '0', '0.847254', '-5308.3', '75.9979', '5067.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555759', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.757843', '0', '0.652438', '-5297.5', '75.9894', '5036.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555760', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '1', '0', '0', '-5352.49', '75.9769', '4990.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555761', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.934408', '0', '-0.356205', '-5381.59', '76', '5005.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555762', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.914025', '0', '-0.405659', '-5403.06', '75.9997', '5030.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555763', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0', '0', '1', '-5337.37', '76', '5012.87', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555765', '0', 'object/static/installation/shared_mockup_power_generator_fusion_style_1.iff', '0', '-0.514136', '0', '0.857709', '-5371.14', '75.927', '5003.82', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555767', '0', 'object/static/item/shared_wp_carbine_dh17_combined.iff', '0', '0.982004', '-0.188859', '0', '-5350.88', '76.8854', '4993.13', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555768', '0', 'object/static/item/shared_item_bacta_ampules.iff', '0', '0', '0', '1', '-5350.84', '76.3794', '4993', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555769', '0', 'object/static/item/shared_wp_carbine_dh17_combined.iff', '0', '0.982004', '-0.188859', '0', '-5350.47', '76.8854', '4993.13', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555770', '0', 'object/static/item/shared_item_drall_medicine.iff', '0', '0', '0', '1', '-5350.87', '76.0316', '4992.99', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555771', '0', 'object/static/item/shared_armor_composite_helmet.iff', '0', '0', '0', '1', '-5350.59', '74.8299', '4993', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555772', '0', 'object/static/item/shared_wp_carbine_dh17_combined.iff', '0', '0.982004', '-0.188859', '0', '-5350.99', '76.8854', '4993.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555773', '0', 'object/static/item/shared_wp_carbine_dh17_combined.iff', '0', '0.982004', '-0.188859', '0', '-5350.55', '76.8854', '4993.13', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555774', '0', 'object/static/item/shared_wp_carbine_dh17_combined.iff', '0', '0.982004', '-0.188859', '0', '-5350.76', '76.8854', '4993.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555775', '0', 'object/static/item/shared_item_bacta_ampules.iff', '0', '0', '0', '1', '-5350.95', '76.3794', '4992.96', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555776', '0', 'object/static/item/shared_item_storage_cabinet_01.iff', '0', '0', '0', '1', '-5350.71', '75.9683', '4992.96', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555777', '0', 'object/static/item/shared_item_bacta_ampules.iff', '0.604167', '-0.425418', '0.377505', '0.558115', '-5350.8', '76.4111', '4993.06', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555778', '0', 'object/static/item/shared_item_bacta_ampules.iff', '0', '0', '0', '1', '-5350.86', '76.3794', '4992.94', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555779', '0', 'object/static/item/shared_wp_carbine_dh17_combined.iff', '0', '0.982004', '-0.188859', '0', '-5350.65', '76.8854', '4993.14', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555780', '0', 'object/static/item/shared_item_medic_bag.iff', '-0.70328', '0', '0', '0.710913', '-5350.53', '76.0948', '4993.2', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555781', '0', 'object/static/item/shared_item_carbine_dh17.iff', '0.684383', '-0.684383', '0.177819', '-0.177819', '-5351.84', '76.5865', '4994.31', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555782', '0', 'object/static/item/shared_wp_mle_sword_vibroblade.iff', '0.66754', '-0.230315', '0.704156', '-0.07422', '-5351.68', '76.7951', '4994.35', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555783', '0', 'object/static/item/shared_item_bread_loaf.iff', '0', '0.257901', '0', '0.966171', '-5351.98', '76.5568', '4994.77', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555784', '0', 'object/static/item/shared_item_bread_loaf.iff', '0', '0.653636', '0', '0.756809', '-5352.16', '76.5567', '4994.54', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555785', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_1.iff', '0', '-0.40319', '0', '0.915116', '-5341.76', '75.9991', '4996.4', '256', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555786', '0', 'object/static/creature/shared_droids_r2.iff', '0', '0.962209', '0', '0.272313', '-5378.49', '76', '5009.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555787', '0', 'object/static/particle/shared_pt_poi_droid_weld_sparks.iff', '-0.602882', '-0.161149', '-0.124427', '0.771416', '-5378.54', '76.425', '5009.27', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555788', '0', 'object/static/structure/general/shared_droid_r2_powerdown.iff', '0.787103', '-0.468065', '-0.284958', '-0.283168', '-5379.95', '76.3994', '5007.5', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555789', '0', 'object/static/structure/general/shared_data_terminal_s1.iff', '0', '0.024998', '0', '0.999687', '-5325.76', '82.9741', '5011.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555790', '0', 'object/static/particle/shared_particle_newbie_bombed_spot.iff', '0', '0', '0', '1', '-5380.42', '76.425', '5007.5', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555791', '0', 'object/static/particle/shared_particle_newbie_bombed_spot.iff', '0', '0', '0', '1', '-5378.43', '76.225', '5008', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555792', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_2.iff', '0', '0', '0', '1', '-5359.04', '78.7708', '5099.12', '256', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555793', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '-0.707103', '0', '0.70711', '-5379.01', '76', '5028.5', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555794', '0', 'object/static/installation/shared_mockup_power_generator_photo_bio_style_1.iff', '0', '0.987591', '0', '-0.157046', '-5337.28', '76.4191', '5091.63', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555795', '0', 'object/static/item/shared_item_bacta_ampules.iff', '0.604167', '-0.425418', '0.377505', '0.558115', '-5336.43', '80.4355', '5063.64', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555796', '0', 'object/static/item/shared_item_bacta_ampules.iff', '0', '0', '0', '1', '-5336.5', '80.4039', '5063.51', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555797', '0', 'object/static/item/shared_wp_carbine_dh17_combined.iff', '0', '0.982004', '-0.188859', '0', '-5336.18', '80.9099', '5063.71', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555798', '0', 'object/static/item/shared_wp_carbine_dh17_combined.iff', '0', '0.982004', '-0.188859', '0', '-5336.63', '80.9099', '5063.73', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555799', '0', 'object/static/item/shared_item_drall_medicine.iff', '0', '0', '0', '1', '-5336.51', '80.056', '5063.57', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555800', '0', 'object/static/item/shared_wp_carbine_dh17_combined.iff', '0', '0.982004', '-0.188859', '0', '-5336.1', '80.9099', '5063.71', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555801', '0', 'object/static/item/shared_item_bacta_ampules.iff', '0', '0', '0', '1', '-5336.48', '80.4039', '5063.58', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555802', '0', 'object/static/item/shared_wp_carbine_dh17_combined.iff', '0', '0.982004', '-0.188859', '0', '-5336.51', '80.9099', '5063.71', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555803', '0', 'object/static/item/shared_wp_carbine_dh17_combined.iff', '0', '0.982004', '-0.188859', '0', '-5336.28', '80.9099', '5063.71', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555804', '0', 'object/static/item/shared_item_medic_bag.iff', '-0.70328', '0', '0', '0.710913', '-5336.16', '80.1193', '5063.77', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555805', '0', 'object/static/item/shared_item_bacta_ampules.iff', '0', '0', '0', '1', '-5336.58', '80.4039', '5063.54', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555806', '0', 'object/static/item/shared_item_storage_cabinet_01.iff', '0', '0', '0', '1', '-5336.34', '79.9928', '5063.53', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555807', '0', 'object/static/item/shared_wp_carbine_dh17_combined.iff', '0', '0.982004', '-0.188859', '0', '-5336.39', '80.9099', '5063.73', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555808', '0', 'object/static/structure/general/shared_data_terminal_s2.iff', '0', '-0.410223', '0', '0.911985', '-5333.29', '79.9935', '5066.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555809', '0', 'object/static/structure/general/shared_droid_r5_powerdown.iff', '0', '0.382683', '0', '0.92388', '-5339.38', '80.0233', '5066.21', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555810', '0', 'object/static/installation/shared_mockup_power_generator_fusion_style_1.iff', '0', '-0.171842', '0', '0.985125', '-5307.84', '75.9999', '5056.89', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555812', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0', '0', '0', '1', '-5305.74', '77.056', '5030.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555813', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '0', '1', '0', '0', '-5305.17', '78.1978', '5028.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555814', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '0', '0', '0', '1', '-5303.88', '77.0901', '5029.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555815', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0.909758', '0', '-0.41514', '-5394.03', '76.8747', '5066.98', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555816', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.349746', '0', '0.936845', '-5394.96', '77.0012', '5066.91', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555817', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.936845', '0', '0.349748', '-5393.11', '76.1474', '5067', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555818', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.936847', '0', '0.349739', '-5393.76', '76.1474', '5067.76', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555819', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.936844', '0', '0.349747', '-5393.64', '76.1474', '5066.51', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555820', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.349747', '0', '0.936844', '-5394.29', '76.1474', '5066.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555821', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.936844', '0', '0.349745', '-5394.29', '76.1474', '5067.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555822', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0.909758', '0', '-0.41514', '-5394.02', '76.0209', '5067', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555823', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.349747', '0', '0.936844', '-5394.94', '76.1474', '5066.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555824', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.349746', '0', '0.936845', '-5394.32', '77.855', '5066.14', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555825', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.936848', '0', '0.349736', '-5393.79', '77.855', '5067.73', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555826', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.936847', '0', '0.349738', '-5393.82', '78.7088', '5067.69', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555827', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.936845', '0', '0.349748', '-5393.16', '78.7088', '5066.94', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555828', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.936845', '0', '0.349748', '-5394.35', '78.7088', '5067.2', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555829', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.936845', '0', '0.349748', '-5393.12', '77.0012', '5066.99', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555830', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.936845', '0', '0.349748', '-5394.3', '77.0012', '5067.25', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555831', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.349746', '0', '0.936845', '-5394.3', '77.0012', '5066.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555832', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.936845', '0', '0.349748', '-5393.65', '77.0012', '5066.49', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555833', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.936845', '0', '0.349748', '-5394.32', '77.855', '5067.24', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555834', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0.909758', '0', '-0.41514', '-5394.08', '78.5824', '5066.93', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555835', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.349746', '0', '0.936845', '-5394.97', '77.855', '5066.9', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555836', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.936845', '0', '0.349748', '-5393.13', '77.855', '5066.97', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555837', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.349746', '0', '0.936845', '-5395', '78.7088', '5066.86', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555838', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.936845', '0', '0.349748', '-5393.67', '77.855', '5066.48', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555839', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0.909758', '0', '-0.41514', '-5394.05', '77.7285', '5066.97', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555840', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.349746', '0', '0.936845', '-5394.34', '78.7088', '5066.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555841', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.936845', '0', '0.349748', '-5393.69', '78.7088', '5066.44', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555842', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.936848', '0', '0.349736', '-5393.77', '77.0012', '5067.74', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555843', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.349746', '0', '0.936845', '-5390.99', '79.2301', '5064.28', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555844', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '-0.349746', '0', '0.936845', '-5391.48', '79.1036', '5063.98', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555845', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.349746', '0', '0.936845', '-5391.89', '79.2301', '5063.54', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555846', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.349746', '0', '0.936845', '-5391', '78.2028', '5064.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555847', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '-0.349746', '0', '0.936845', '-5391.48', '78.0764', '5063.95', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555848', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.349746', '0', '0.936845', '-5391.89', '78.2028', '5063.52', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555849', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.349746', '0', '0.936845', '-5391.01', '77.1747', '5064.27', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555850', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '-0.349746', '0', '0.936845', '-5391.5', '77.0482', '5063.96', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555851', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.349746', '0', '0.936845', '-5391.9', '77.1747', '5063.53', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555852', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.349746', '0', '0.936845', '-5391.01', '76.1474', '5064.24', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555853', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '-0.349746', '0', '0.936845', '-5391.5', '76.0209', '5063.94', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555854', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.349746', '0', '0.936845', '-5391.91', '76.1474', '5063.51', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555855', '0', 'object/static/structure/naboo/shared_poi_nboo_tent_med.iff', '0', '-0.354799', '0', '0.934943', '-5318.5', '76.1087', '5072.41', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '7555856', '0', 'object/static/structure/naboo/shared_poi_nboo_tent_small.iff', '0', '0.847043', '0', '-0.531524', '-5350.26', '76.1265', '4994.48', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '7575417', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0', '0', '1', '5305.67', '80', '5616.56', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '7575418', '0', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff', '0', '0', '0', '1', '5300.54', '80', '5616.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7575419', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0', '0', '1', '5302.79', '80', '5616.52', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '7575420', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0', '0', '1', '5298.42', '80', '5616.51', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '7575421', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0', '0', '1', '5295.54', '80', '5616.47', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '7575463', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '5412.11', '80', '5846.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7575464', '0', 'object/static/structure/naboo/shared_gate_narrow_s02.iff', '0', '1', '0', '-7.54979e-08', '5416.95', '80', '5846.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7575465', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0', '0', '1', '5421.79', '80', '5846.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7575466', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.707106', '0', '0.707107', '5457.84', '80.1251', '5863.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7575467', '0', 'object/static/structure/naboo/shared_gate_narrow_s02.iff', '0', '0.707107', '0', '0.707107', '5457.82', '80.1251', '5859.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7575468', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '-0.707106', '0', '0.707107', '5457.84', '80.1251', '5854.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7575469', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff', '0', '0.92388', '0', '-0.382683', '5451.07', '80.163', '5873.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7575472', '0', 'object/static/structure/naboo/shared_nboo_imprv_tall_curved_wall_large_s01.iff', '0', '-0.648336', '0', '0.761354', '5457.82', '80.6171', '5864.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7575473', '0', 'object/static/structure/naboo/shared_nboo_imprv_tall_curved_wall_large_s01.iff', '0', '-0.648336', '0', '0.761354', '5457.82', '83.5527', '5864.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7575475', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '-0.707106', '0', '0.707107', '5464.86', '80', '5779.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7575477', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_lg_s02.iff', '0', '0', '0', '1', '5127.55', '80', '5727.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7575478', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_lg_s02.iff', '0', '0', '0', '1', '5121.34', '80', '5727.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7575481', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_lg_s01.iff', '0', '0', '0', '1', '5133.67', '80', '5727.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7575482', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '-0.707106', '0', '0.707107', '5178.99', '80', '5661.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7665404', '0', 'object/soundobject/shared_soundobject_cloning_facility.iff', '0', '0', '0', '1', '-5009.08', '80', '-2482.8', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '7665464', '0', 'object/soundobject/shared_soundobject_starport_exterior.iff', '0', '0', '0', '1', '-5348.83', '80', '-2139.34', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '7825880', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '-0.0672192', '-0.0193296', '-0.069772', '0.995108', '767.777', '82.1273', '-2090.52', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '7825893', '0', 'object/static/structure/general/shared_camp_tent_s01.iff', '0', '0.119712', '0', '0.992809', '770.962', '82.0336', '-2093.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7825894', '0', 'object/static/structure/general/shared_camp_stool_short_s01.iff', '0', '-0.149438', '0', '0.988771', '774.301', '81.7386', '-2090.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7825895', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0.0199827', '-0.000799734', '-0.0699289', '0.997352', '764.779', '82.6081', '-2093.35', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7825896', '0', 'object/static/structure/general/shared_campfire_burnt.iff', '0', '0', '0', '1', '773.825', '81.741', '-2088.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7825901', '0', 'object/static/structure/general/shared_cave_wall_damprock_style_01.iff', '0', '0.203567', '0', '0.979061', '801.248', '77.7417', '-2041.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7825902', '0', 'object/static/structure/dantooine/shared_dant_hide_tanning_s02.iff', '0.0148425', '-0.527561', '0.00216749', '0.849385', '777.372', '81.8263', '-2087.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7825903', '0', 'object/static/structure/dantooine/shared_dant_hide_tanning_s01.iff', '0', '-0.453597', '0', '0.891207', '776.443', '81.7952', '-2089.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7825904', '0', 'object/static/structure/naboo/shared_poi_nboo_tent_small.iff', '0', '0', '0', '1', '765.126', '82.0376', '-2093.14', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '7825905', '0', 'object/static/item/shared_item_container_organic_structure.iff', '0.0406645', '-0.309756', '-0.0602972', '0.948031', '764.466', '82.7899', '-2093.81', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7825906', '0', 'object/static/structure/general/shared_camp_stool_short_s01.iff', '0', '-0.309817', '0', '0.950796', '772.814', '81.7435', '-2089.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7825907', '0', 'object/static/structure/general/shared_camp_stool_short_s01.iff', '0', '0', '0', '1', '774.872', '81.6886', '-2087.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7825909', '0', 'object/static/item/shared_item_container_organic_structure.iff', '0.0199827', '-0.000799734', '-0.0699289', '0.997352', '764.029', '82.8179', '-2092.75', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7825910', '0', 'object/static/item/shared_item_container_organic_hide.iff', '0.0189316', '0.0141596', '-0.0702207', '0.997251', '764.671', '82.7311', '-2092.72', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7825911', '0', 'object/static/item/shared_item_container_organic_hide.iff', '0.0213772', '-0.0207456', '-0.0695153', '0.997136', '765.433', '82.6621', '-2094.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7825912', '0', 'object/static/structure/general/shared_camp_tent_s01.iff', '0', '0.937369', '0', '-0.348337', '776.962', '81.9182', '-2083.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7825913', '0', 'object/static/item/shared_item_container_organic_hide.iff', '0.0146867', '0.0739341', '-0.0712296', '0.994608', '765.209', '82.6684', '-2093.46', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7825914', '0', 'object/static/item/shared_item_container_organic_hide.iff', '0.0217244', '-0.0257303', '-0.0694075', '0.99702', '765.477', '82.5896', '-2092.64', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7825915', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '-0.067219', '-0.01933', '-0.069772', '0.995108', '774.195', '81.9343', '-2083.87', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '7825924', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '0.939099', '0', '-0.343646', '798.746', '78.3095', '-2035.03', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '7825927', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0', '0', '1', '797.366', '78.4722', '-2036.09', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '7825928', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '-0.188859', '0', '0.982004', '796.809', '78.4926', '-2037.01', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '7825929', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '-0.00999989', '0', '0.99995', '795.376', '78.3917', '-2044.3', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '7825930', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0.398609', '0', '0.917121', '801.413', '77.9864', '-2047.46', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '7825931', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0', '0', '1', '802.402', '77.924', '-2047.52', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '7825935', '0', 'object/static/structure/general/shared_rock_mossy_big_a1.iff', '0.00398603', '-0.398589', '-0.00917106', '0.917075', '701.747', '95.9471', '-2062.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7825936', '0', 'object/static/structure/general/shared_rock_mossy_big.iff', '0', '0.990105', '0', '-0.140332', '703.945', '94.4711', '-2056.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7825937', '0', 'object/static/flora/shared_flora_shrb_dath_glingi.iff', '0', '0.681639', '0', '0.731689', '704.955', '94.7914', '-2059.59', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '7825940', '0', 'object/static/flora/shared_flora_tree_lok_mkpud.iff', '0', '-0.319309', '0', '0.947651', '705.542', '93.9769', '-2059.96', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '7955397', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '0.707106', '0', '0.707108', '5179.99', '80', '5644.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7955398', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '0.707107', '0', '0.707107', '5179.99', '80', '5639.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7955399', '0', 'object/tangible/terminal/shared_terminal_mission_imperial.iff', '0', '0.707106', '0', '0.707107', '5180', '80', '5633.91', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '7955401', '0', 'object/tangible/terminal/shared_terminal_mission_imperial.iff', '0', '0.707106', '0', '0.707107', '5180', '80', '5636.14', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '7955403', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '0.707107', '0', '0.707107', '5180.2', '80', '5631.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7955404', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '-0.707106', '0', '0.707107', '5427.84', '80', '5690.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7955406', '0', 'object/tangible/terminal/shared_terminal_mission_imperial.iff', '0', '0.963047', '0', '0.269332', '5432.84', '80', '5701.12', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '7955408', '0', 'object/tangible/terminal/shared_terminal_mission_imperial.iff', '0', '0.963047', '0', '0.269332', '5435.41', '80', '5702.59', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '7955410', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '-0.203567', '0', '0.979061', '5431.38', '80', '5700.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7955411', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '-0.389418', '0', '0.921061', '5437.68', '80', '5704.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7985356', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.941717', '0', '-0.336406', '5400.25', '80', '5890.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7985357', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.914795', '0', '-0.403918', '5423.18', '80', '5867.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '7985359', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '5258.96', '80', '5601.89', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7985360', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '5258.68', '80', '5602.71', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7985361', '0', 'object/static/structure/general/shared_droid_r2_powerdown.iff', '0', '0.488177', '0', '0.872745', '5257.85', '80', '5602.13', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '7985384', '0', 'object/soundobject/shared_soundobject_cantina_small.iff', '0', '0', '0', '1', '5431.71', '80', '5564.85', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '7985387', '0', 'object/static/structure/general/shared_droid_lemedical_powerdown.iff', '0', '1', '0', '3.20013e-08', '5371.75', '80', '5590.51', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '7985388', '0', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '1', '0', '3.20013e-08', '5377.12', '80', '5588.24', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7985389', '0', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '1', '0', '3.20013e-08', '5376.39', '80', '5588.24', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7985392', '0', 'object/static/item/shared_item_jar_berries.iff', '0', '0', '0', '1', '5373.29', '80.3795', '5540.99', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7985393', '0', 'object/static/item/shared_item_jar_bugs.iff', '0', '0', '0', '1', '5373.1', '80.4111', '5540.9', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7985394', '0', 'object/static/item/shared_item_jar_funk.iff', '0', '0', '0', '1', '5374.02', '80.4111', '5540.41', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7985395', '0', 'object/static/item/shared_item_jar_guts.iff', '0', '0', '0', '1', '5374.24', '80.4111', '5540.47', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7985396', '0', 'object/static/item/shared_item_container_organic_hide.iff', '0', '0', '0', '1', '5374.13', '80', '5540.49', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7985398', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.999991', '0', '-0.00420364', '5374.24', '80', '5541.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7985399', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '1', '0', '5.22924e-08', '5373.86', '80', '5541.12', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7985400', '0', 'object/static/item/shared_item_container_organic_hide.iff', '0', '0', '0', '1', '5373.22', '80', '5540.98', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '7985401', '0', 'object/static/structure/dantooine/shared_dant_hide_tanning_s01.iff', '0', '-0.382683', '0', '0.92388', '5368.35', '80', '5538.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135494', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0.92388', '0', '0', '-0.382683', '5515.31', '80.9496', '5663.65', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135495', '0', 'object/tangible/furniture/all/shared_frn_all_decorative_lg_s1.iff', '0', '-0.324043', '0', '0.946042', '5514.76', '80.0627', '5665.29', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135499', '0', 'object/tangible/furniture/all/shared_frn_all_decorative_sm_s4.iff', '0', '-0.475032', '0', '0.879969', '5513.72', '80', '5665.21', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135501', '0', 'object/tangible/furniture/modern/shared_bar_counter_s1.iff', '0', '0.707106', '0', '0.707107', '5184.16', '80', '5668.89', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135502', '0', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '5184', '81.1384', '5669.63', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135503', '0', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '5184.32', '81.1384', '5669.59', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135504', '0', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '5184.17', '81.1384', '5669.87', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135505', '0', 'object/static/item/shared_item_con_plate_s1_full.iff', '0', '0', '0', '1', '5184.14', '81.1701', '5667.93', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135506', '0', 'object/static/item/shared_item_con_ration_kit_lg.iff', '0', '-0.324043', '0', '0.946042', '5184.06', '81.1701', '5669.16', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135507', '0', 'object/static/item/shared_item_con_ration_kit_m.iff', '0', '-0.324043', '0', '0.946042', '5184.24', '81.1701', '5668.86', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135508', '0', 'object/static/item/shared_item_con_bowl_serving_full.iff', '0', '0', '0', '1', '5184.36', '81.1385', '5668.41', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135509', '0', 'object/static/item/shared_item_jar_berries.iff', '0', '0', '0', '1', '5184.02', '81.9923', '5670.43', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135510', '0', 'object/static/item/shared_item_jar_bugs.iff', '0', '0', '0', '1', '5184.25', '81.9923', '5670.43', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135511', '0', 'object/static/item/shared_item_jar_funk.iff', '0', '0', '0', '1', '5184.44', '81.9923', '5670.41', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135512', '0', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0.539632', '0', '0.841901', '5184.42', '81.1384', '5669.99', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135513', '0', 'object/static/item/shared_item_jar_spice_red.iff', '0', '0.539632', '0', '0.841901', '5184.47', '81.1384', '5669.83', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135515', '0', 'object/static/creature/shared_naboo_tusk_cat.iff', '0', '-0.688921', '0', '0.724836', '5134.19', '80', '5747.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135522', '0', 'object/static/item/shared_item_con_plate_s1_full.iff', '0', '0', '0', '1', '5133.98', '80.6957', '5745.88', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135523', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '5134.03', '80', '5746', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135524', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.34759', '0', '0.937646', '5133.34', '80', '5745.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135526', '0', 'object/static/structure/naboo/shared_poi_nboo_tent_small.iff', '0', '0', '0', '1', '5185.68', '80', '5718.65', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135527', '0', 'object/static/structure/general/shared_droid_r2_powerdown.iff', '0', '-0.564642', '0', '0.825336', '5184.59', '80', '5720.73', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135528', '0', 'object/static/structure/general/shared_droid_r4_powerdown.iff', '0', '0.904412', '0', '-0.42666', '5186.99', '80', '5716.71', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135529', '0', 'object/static/item/shared_item_tool_droid_toolkit.iff', '0', '0.40776', '0', '0.913089', '5184.63', '81.5496', '5716.47', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135530', '0', 'object/tangible/furniture/all/shared_frn_all_toolchest_lg_s01.iff', '0', '0', '0', '1', '5184.57', '79.9051', '5716.42', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135532', '0', 'object/static/structure/general/shared_repairdroidtorso.iff', '0', '-0.443948', '0', '0.896052', '5184.35', '80', '5718.74', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135533', '0', 'object/static/structure/general/shared_repairdroidhead.iff', '0', '0', '0', '1', '5184.7', '80', '5718.67', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135536', '0', 'object/static/structure/naboo/shared_poi_nboo_tent_small.iff', '0', '0.164252', '0', '0.986418', '5388.11', '80', '5673.6', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135537', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_fruit_stand_small_style_01.iff', '0', '0.981048', '0', '-0.193767', '5386.42', '80', '5670.88', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135538', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_meat_rack.iff', '0', '-0.338197', '0', '0.941075', '5392.25', '80', '5675.57', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135539', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '5388.08', '80', '5670.69', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135540', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '5388.96', '80', '5670.14', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135541', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '5388.99', '80', '5671.4', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135549', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '5349.35', '81.1089', '5478.71', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135550', '0', 'object/static/structure/naboo/shared_poi_nboo_tent_small.iff', '9.37329e-09', '3.88254e-09', '-0.382683', '0.92388', '5352.5', '79.9262', '5484.66', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135552', '0', 'object/static/item/shared_item_container_inorganic_chemicals.iff', '0', '0', '0', '1', '5350.22', '81.2608', '5480.95', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135553', '0', 'object/static/item/shared_item_container_inorganic_gas.iff', '0', '-0.144492', '0', '0.989506', '5350.96', '81.2426', '5481.54', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135554', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.281157', '0', '0.959662', '5351.19', '81.2295', '5479.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135577', '0', 'object/building/endor/shared_endor_lake_platform.iff', '0', '0', '0', '1', '-2073.77', '75.5557', '3284.45', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135578', '0', 'object/building/endor/shared_endor_lake_platform.iff', '0', '-0.707106', '0', '0.707108', '-2089.74', '75.5596', '3260.42', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135579', '0', 'object/building/endor/shared_endor_lake_walkway_straight.iff', '0', '0', '0', '1', '-2077.76', '65.7551', '3300.45', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135580', '0', 'object/building/endor/shared_endor_lake_walkway_straight.iff', '0', '0', '0', '1', '-2069.74', '65.7717', '3268.44', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135582', '0', 'object/building/endor/shared_endor_lake_walkway_straight.iff', '0', '-0.707106', '0', '0.707107', '-2073.76', '65.7926', '3256.45', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135583', '0', 'object/building/naboo/shared_merchant_tent_naboo_s01.iff', '0', '-0.706825', '0', '0.707388', '-2070.24', '75.8886', '3287.59', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135584', '8135583', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135646', '8135584', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0', '0', '1', '0.0573926', '0.267105', '0.845071', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135647', '8135584', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '-0.601198', '0', '0.7991', '1.17002', '0.267105', '0.734312', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135648', '8135584', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.366273', '0', '0.930508', '-0.785765', '0.267105', '0.277983', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135649', '8135584', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.8772', '0', '0.480124', '-0.949098', '0.267104', '1.52478', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135650', '8135584', 'object/static/structure/general/shared_camp_cot_s01.iff', '0', '-0.488177', '0', '0.872745', '1.94007', '0.267105', '-0.973539', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135651', '8135584', 'object/static/structure/general/shared_camp_cot_s01.iff', '0', '0.49688', '0', '0.867819', '-2.01463', '0.267105', '-1.0682', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135652', '8135584', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '0', '0', '1', '0.130177', '0.267105', '-2.46068', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135653', '8135584', 'object/static/item/shared_item_con_drink_flask.iff', '0', '0', '0', '1', '0.10808', '0.994428', '0.904454', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135657', '8135584', 'object/static/item/shared_item_con_glass_beaker.iff', '0', '0', '0', '1', '0.0365657', '0.994428', '0.744576', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135659', '8135584', 'object/static/item/shared_item_con_plate_casserole.iff', '0', '0', '0', '1', '0.481875', '1.02605', '0.940867', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135660', '8135584', 'object/static/item/shared_item_con_plate_casserole.iff', '0', '0.754571', '0', '-0.656219', '-0.309258', '1.02605', '0.648291', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135691', '8135584', 'object/static/item/shared_wp_pistol_dl44_metal_combined.iff', '0.685597', '0.698246', '-0.154674', '-0.135958', '0.413439', '1.24741', '-2.05635', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135693', '8135584', 'object/static/item/shared_wp_rifle_laser_combined.iff', '-0.680588', '0.0909022', '-0.106889', '0.719104', '-0.647607', '0.488464', '-2.19066', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135585', '0', 'object/building/naboo/shared_merchant_tent_naboo_s01.iff', '0', '1', '0', '0.000796227', '-2086.33', '75.8758', '3264.05', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135586', '8135585', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135661', '8135586', 'object/tangible/furniture/all/shared_frn_all_desk_radar_topology_screen.iff', '0', '0', '0', '1', '-0.0840382', '0.267105', '-1.79827', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135662', '8135586', 'object/tangible/furniture/imperial/shared_table_s1.iff', '0', '0.874982', '0', '-0.484156', '2.45929', '0.267105', '0.925253', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135663', '8135586', 'object/static/structure/general/shared_data_terminal_s1.iff', '0', '0.492535', '0', '0.870293', '-2.52193', '0.267105', '-0.891741', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135665', '8135586', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.543835', '0', '0.839192', '-2.30287', '0.267105', '0.812548', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135666', '8135586', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.188859', '0', '0.982004', '-2.14085', '0.267104', '1.21436', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135667', '8135586', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.940806', '0', '-0.338946', '-1.91104', '0.267105', '1.55543', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135587', '0', 'object/building/naboo/shared_merchant_tent_naboo_s01.iff', '0', '0.707106', '0', '0.707107', '-2093.32', '75.8569', '3257.09', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135588', '8135587', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135682', '8135588', 'object/static/structure/general/shared_camp_cot_s01.iff', '0', '-0.448423', '0', '0.893822', '1.56391', '0.267105', '-1.10856', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135683', '8135588', 'object/static/structure/general/shared_camp_cot_s01.iff', '0', '0.874789', '0', '0.484504', '-1.86277', '0.267105', '0.99533', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135684', '8135588', 'object/static/structure/general/shared_camp_cot_s01.iff', '0', '0.49688', '0', '0.867819', '-1.56069', '0.267105', '-1.46568', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135685', '8135588', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.479426', '0', '0.877583', '2.49138', '0.267105', '0.683699', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135686', '8135588', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '-0.103788', '-0.256126', '0.360933', '0.890705', '2.25856', '0.488464', '0.527085', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135687', '8135588', 'object/static/item/shared_wp_mle_axe_heavy_duty.iff', '0.897781', '-0.185327', '-0.385727', '0.104205', '1.12724', '0.962806', '-1.17519', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135688', '8135588', 'object/static/item/shared_wp_rifle_t21_combined.iff', '0.700313', '0.381263', '0.0322428', '-0.602628', '-2.52209', '0.583333', '-0.414741', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135591', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '0.257081', '0', '0.96639', '-2072.06', '75.6572', '3284.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135592', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '-0.271547', '0', '0.962425', '-2068.47', '75.6568', '3284.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135593', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '0.710353', '0', '-0.703845', '-2066.71', '75.6555', '3287.59', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135594', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '0.252245', '0', '0.967663', '-2068.53', '75.6639', '3290.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135595', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '-0.266732', '0', '0.963771', '-2072.1', '75.6721', '3290.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135596', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '0.867424', '0', '-0.497571', '-2089.45', '75.7212', '3262.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135597', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '-0.501213', '0', '0.865324', '-2089.48', '75.713', '3265.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135598', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '0.999999', '0', '-0.000796629', '-2086.33', '75.7046', '3267.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135599', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '-0.49688', '0', '0.867819', '-2083.27', '75.7063', '3262.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135600', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '0.8699', '0', '-0.493228', '-2083.23', '75.7058', '3265.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135601', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '0.963983', '0', '0.265964', '-2091.51', '75.7487', '3253.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135602', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '0.967462', '0', '-0.253015', '-2095.09', '75.7406', '3253.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135603', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '0.704408', '0', '0.709795', '-2096.91', '75.7322', '3257.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135604', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '0.966185', '0', '-0.257851', '-2091.55', '75.7338', '3260.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135605', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '0.962641', '0', '0.27078', '-2095.13', '75.7334', '3260.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135606', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.281157', '0', '0.959662', '-2074.28', '75.7764', '3289.21', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135607', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.80162', '0', '0.597834', '-2074.23', '75.7809', '3285.98', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135608', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.757843', '0', '-0.652438', '-2088.01', '75.7394', '3260.18', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135609', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.104807', '0', '0.994493', '-2084.72', '75.7797', '3260.2', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135610', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.670588', '0', '0.74183', '-2089.33', '75.7575', '3255.43', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135611', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.0749297', '0', '0.997189', '-2089.47', '75.7482', '3258.75', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135612', '0', 'object/static/item/shared_item_container_weapons.iff', '0', '0.864925', '0', '0.501902', '-2069.05', '75.7392', '3282.31', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135613', '0', 'object/static/item/shared_item_container_weapons.iff', '0', '0.370921', '0', '0.928665', '-2068.67', '76.4553', '3282.82', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135614', '0', 'object/static/item/shared_item_container_weapons.iff', '0', '0.492535', '0', '0.870293', '-2068.17', '75.7361', '3283.66', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135615', '0', 'object/static/item/shared_item_comp_stabilization_unit.iff', '0', '0.999958', '0', '0.00920348', '-2080.85', '75.7787', '3290.22', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135616', '0', 'object/static/item/shared_item_comp_ion_cannon.iff', '0.313248', '0.647267', '0.308543', '-0.622674', '-2080.3', '76.2287', '3290.35', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135617', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.585097', '0', '0.810963', '-2080.14', '75.7485', '3289.85', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135618', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.908633', '0', '0.417595', '-2079.66', '75.7558', '3289.8', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135620', '0', 'object/static/item/shared_item_container_electronics.iff', '0', '-0.585097', '0', '0.810963', '-2073.47', '75.7169', '3291.07', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135621', '0', 'object/static/structure/dantooine/shared_dant_fish_rack.iff', '0', '0.920751', '0', '0.390152', '-2066.91', '75.8187', '3253.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135622', '0', 'object/static/structure/dantooine/shared_dant_fish_rack.iff', '0', '0.920751', '0', '-0.390152', '-2071.93', '75.8104', '3253.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135623', '0', 'object/static/structure/dantooine/shared_dant_fish_rack.iff', '0', '0.69614', '0', '0.717907', '-2066.77', '75.8226', '3255.52', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135624', '0', 'object/static/item/shared_item_comp_blaster_cannon.iff', '0', '-0.13459', '0', '0.990901', '-2096.24', '76.1918', '3266.21', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135626', '0', 'object/static/item/shared_item_tool_turbine_generator.iff', '0', '0.991562', '0', '0.129634', '-2096.19', '75.6953', '3266.46', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135641', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.0499792', '0', '0.99875', '-2095.25', '75.7519', '3267.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135642', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.17903', '0', '0.983844', '-2094.29', '75.7287', '3267.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135643', '0', 'object/static/item/shared_item_container_armor.iff', '0', '0.164252', '0', '0.986418', '-2082.57', '75.7353', '3260.57', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135644', '0', 'object/static/item/shared_item_container_weapons.iff', '0', '0.277886', '0', '0.960614', '-2090.43', '75.7511', '3265.77', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135645', '0', 'object/static/item/shared_item_container_weapons.iff', '0', '0.836026', '0', '-0.54869', '-2089.93', '75.7541', '3253.9', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135689', '0', 'object/static/item/shared_wp_rifle_t21_combined.iff', '0.204954', '0.509695', '0.687757', '-0.474548', '-2089.4', '76.0917', '3253.27', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135690', '0', 'object/static/item/shared_wp_mle_lance_vibroaxe.iff', '0.761947', '-0.170098', '0.611465', '-0.128897', '-2082.79', '76.6766', '3259.66', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135694', '0', 'object/static/structure/naboo/shared_poi_nboo_tent_small.iff', '0', '0.552199', '0', '0.833712', '-2069.24', '75.9014', '3255.46', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135695', '0', 'object/static/structure/naboo/shared_poi_nboo_tent_small.iff', '0', '0.00499997', '0', '0.999987', '-2079.29', '75.8358', '3279.39', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135698', '0', 'object/static/structure/naboo/shared_gungan_relic_s01.iff', '0', '0.227978', '0', '0.973666', '-2091.41', '77.3672', '3356.93', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135699', '0', 'object/static/structure/naboo/shared_gungan_relic_s02.iff', '0', '0.223106', '0', '0.974794', '-2036.38', '77.7507', '3333.62', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135700', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0.305059', '0', '0.952334', '-2082.21', '77.517', '3344.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135701', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '-0.552199', '0', '0.833712', '-2076', '77.8476', '3357.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135702', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0.266731', '0', '0.963771', '-2069.06', '77.6088', '3353.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135703', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0.852108', '0', '0.523366', '-2075.61', '75.7414', '3341.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135704', '0', 'object/static/structure/naboo/shared_gungan_damaged_wide_arch_s01.iff', '0', '0.232843', '0', '0.972514', '-2064.22', '77.7898', '3343.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135705', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s01.iff', '0', '-0.597195', '0', '0.802096', '-2082.96', '77.0887', '3322.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135706', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s01.iff', '0', '0.13459', '0', '0.990901', '-2091.23', '78.1393', '3328.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135707', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s02.iff', '0', '0.193767', '0', '0.981048', '-2072.32', '78.3639', '3323.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135708', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s01.iff', '0', '0.98939', '0', '-0.14528', '-2070.68', '78.0191', '3328.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135709', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s02.iff', '0', '-0.576959', '0', '0.816773', '-2073.82', '77.6768', '3334.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135710', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0.183947', '0', '0.982936', '-2069.81', '77.8078', '3332.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135711', '0', 'object/static/structure/naboo/shared_gungan_shield_gen_s01.iff', '0', '-0.237703', '0', '0.971338', '-2043.05', '77.2389', '3341.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135712', '0', 'object/static/structure/naboo/shared_gungan_shield_gen_s01.iff', '0.537125', '0.249301', '-0.475626', '0.650481', '-2097.6', '78.0959', '3344.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135713', '0', 'object/static/structure/naboo/shared_gungan_damaged_wall_lg_s01.iff', '0', '-0.531186', '0', '0.847255', '-2040.52', '78.3494', '3354.52', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135714', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0.213347', '0', '0.976976', '-2044.58', '78.225', '3356.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135715', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '-0.539632', '0', '0.841901', '-2036.56', '78.3269', '3352.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135716', '0', 'object/static/structure/naboo/shared_gungan_damaged_narrow_arch_s01.iff', '0', '0.198669', '0', '0.980067', '-2046.2', '77.8778', '3352.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135717', '0', 'object/static/structure/naboo/shared_gungan_statue_s01.iff', '0', '0.846832', '0', '0.531861', '-2080.55', '77.6343', '3344.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135718', '0', 'object/static/structure/naboo/shared_gungan_statue_s02.iff', '-0.000652065', '0.822533', '0.0447312', '0.566955', '-2074.15', '77.6912', '3356.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135719', '0', 'object/static/structure/naboo/shared_gungan_statue_s04.iff', '0', '0.854714', '0', '0.519099', '-2067.65', '77.9638', '3352.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135728', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '0', '0', '1', '-2074.15', '75.7807', '3252.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135729', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '-0.609159', '0', '0.793048', '-2066.2', '75.7331', '3279.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135730', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '0.706825', '0', '0.707389', '-2097.14', '75.7373', '3263.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135739', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s01.iff', '0', '0.169182', '0', '0.985585', '-2027.28', '74.5503', '3269.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135740', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s01.iff', '0', '-0.589145', '0', '0.808028', '-2034.45', '75.4505', '3261.66', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135741', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s02.iff', '0', '0', '0', '1', '-2039.18', '75.5694', '3284.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135742', '0', 'object/static/structure/naboo/shared_gungan_shield_gen_s01.iff', '0.255308', '-0.0584337', '-0.215318', '0.940766', '-2036.27', '74.8225', '3272.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135743', '0', 'object/static/structure/naboo/shared_gungan_damaged_wide_arch_s01.iff', '0', '-0.696135', '0', '0.717911', '-2085.13', '75.4209', '3211.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135744', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s01.iff', '0', '0.0898786', '0', '0.995953', '-2079.91', '76.1812', '3221.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135745', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '-0.651834', '0', '0.758362', '-2088.88', '75.7441', '3217.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135746', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0.997495', '0', '-0.0707373', '-2078.44', '74.7719', '3231.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135747', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s02.iff', '0', '0.361615', '0', '0.932328', '-2108.69', '73.9272', '3271.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135748', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '-0.384808', '0', '0.922997', '-2101.32', '74.1457', '3279.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135749', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '-0.370921', '0', '0.928665', '-2093.9', '73.0487', '3287.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135750', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s01.iff', '0', '0.29074', '0', '0.956802', '-2119.03', '75.9892', '3263.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135751', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s02.iff', '-0.00123701', '-0.389413', '0.00484454', '0.921049', '-2117.85', '75.4676', '3259.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135752', '0', 'object/static/structure/naboo/shared_gungan_statue_s01.iff', '-0.049615', '0.864446', '0.0058614', '0.500237', '-2053.46', '73.4514', '3246', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135753', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s01.iff', '0.0102805', '0.256875', '0.0386453', '0.965617', '-2055.25', '73.2783', '3246.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8135754', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s02.iff', '0', '0.717356', '0', '-0.696707', '-2093.06', '74.4725', '3211.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8165364', '0', 'object/static/structure/general/shared_campfire_burnt.iff', '-0.0480026', '0.191609', '-0.414614', '0.8883', '987.07', '108.526', '7560.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8165365', '0', 'object/static/structure/general/shared_debris_deathstar_conduit.iff', '0', '0', '0', '1', '988.62', '108.818', '7557.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8165366', '0', 'object/static/structure/general/shared_debris_deathstar_small_tube.iff', '0', '0', '0', '1', '985.704', '110.696', '7563.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8165368', '0', 'object/static/structure/general/shared_debris_deathstar_turbolaser.iff', '0', '0', '0', '1', '983.071', '111.073', '7560.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8165370', '0', 'object/static/structure/general/shared_escape_pod.iff', '-0.0422992', '0.0793028', '-0.468721', '0.878762', '954.451', '74.3178', '6898.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8165371', '0', 'object/static/structure/general/shared_gravestone_generic_style_01.iff', '0', '0', '0', '1', '959.118', '77.7389', '6523.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8165372', '0', 'object/static/structure/general/shared_gravestone_generic_style_02.iff', '0', '0', '0', '1', '959.242', '77.8315', '6524.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8165373', '0', 'object/static/structure/general/shared_gravestone_generic_style_03.iff', '0', '0', '0', '1', '959.084', '77.7071', '6522.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8165374', '0', 'object/static/structure/general/shared_gravestone_generic_style_04.iff', '0', '0', '0', '1', '960.591', '77.7918', '6524.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8165375', '0', 'object/static/structure/general/shared_gravestone_generic_style_05.iff', '0', '0', '0', '1', '960.53', '77.7005', '6523.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8165376', '0', 'object/static/structure/general/shared_gravestone_generic_style_05.iff', '0', '0', '0', '1', '957.567', '77.6996', '6522.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8165377', '0', 'object/static/structure/general/shared_gravestone_generic_style_03.iff', '0', '0', '0', '1', '960.699', '77.6504', '6522.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8165378', '0', 'object/static/structure/naboo/shared_gungan_damaged_wide_arch_s01.iff', '0', '-0.699716', '0', '0.714421', '958.718', '77.4863', '6519.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8165379', '0', 'object/static/structure/naboo/shared_gungan_damaged_wall_lg_s01.iff', '0.00032477', '-0.00498942', '-0.0649534', '0.997876', '954.408', '76.7088', '6523.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8165380', '0', 'object/static/structure/naboo/shared_garden_gazebo_sml_s01.iff', '-0.0239734', '0.0866223', '-0.265652', '0.95987', '1003.63', '73.4034', '5360.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8165381', '0', 'object/static/structure/naboo/shared_gungan_cleft_wall_lg_s01.iff', '0', '0', '0', '1', '954.309', '73.9884', '5078.52', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8165382', '0', 'object/static/structure/naboo/shared_gungan_damaged_wall_lg_s01.iff', '0', '0', '0', '1', '954.303', '73.8993', '5093.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8165383', '0', 'object/static/structure/naboo/shared_gungan_damaged_narrow_arch_s01.iff', '0', '0', '0', '1', '954.308', '73.9964', '5085.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8165386', '0', 'object/static/structure/naboo/shared_arbor_corner_45_s01.iff', '0', '-0.696135', '0', '0.717911', '954.513', '73.6355', '5085.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8165387', '0', 'object/static/structure/naboo/shared_gungan_cleft_wall_lg_s01.iff', '0.118435', '0.530608', '0.0547178', '0.837517', '957.677', '73.3692', '5074.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8165388', '0', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff', '-0.0395282', '0.177392', '-0.358017', '0.915857', '963.76', '80.8577', '4493.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8165389', '0', 'object/static/structure/naboo/shared_gungan_statue_s03.iff', '0.82483', '0.564297', '-0.0288808', '-0.0197585', '954.706', '78.6739', '4045.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8165390', '0', 'object/static/structure/naboo/shared_gungan_statue_s04.iff', '0', '0', '0.886627', '0.462486', '953.582', '77.9171', '4047.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8165391', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s01.iff', '0', '0', '0', '1', '958.705', '76.6576', '4049', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8165392', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_short_s01.iff', '0', '0', '0', '1', '946.455', '75.4751', '3481.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8165393', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s02.iff', '0', '0.00499999', '0', '0.999987', '948.222', '75.6203', '3479.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8165394', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s01.iff', '0', '0', '0', '1', '944.739', '75.9099', '3480.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8165396', '0', 'object/static/structure/general/shared_gravestone_generic_style_01.iff', '0', '0', '0', '1', '945.857', '76.444', '3480.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8165397', '0', 'object/static/structure/general/shared_gravestone_generic_style_03.iff', '0', '0', '0', '1', '946.452', '76.2152', '3480.66', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8165398', '0', 'object/static/structure/general/shared_gravestone_generic_style_04.iff', '0', '0', '0', '1', '947.422', '76.2114', '3479.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8165399', '0', 'object/static/structure/general/shared_gravestone_generic_style_01.iff', '0', '0', '0', '1', '946.305', '76.4512', '3479.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8165400', '0', 'object/static/structure/general/shared_gravestone_generic_style_03.iff', '0', '0', '0', '1', '945.939', '76.5775', '3478.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8165401', '0', 'object/static/structure/general/shared_debris_deathstar_tractorbeam.iff', '-0.0125218', '0.0688129', '-0.178591', '0.981434', '948.835', '73.5348', '2912.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8165402', '0', 'object/static/structure/naboo/shared_fountain_naboo_style_1.iff', '0', '0', '-0.237703', '0.971338', '949.023', '72.3455', '2559.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8165403', '0', 'object/static/structure/naboo/shared_garden_gazebo_sml_s01.iff', '0', '0', '0', '1', '953.379', '65.5899', '2559.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8266011', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0', '0', '1', '-5120.1', '80.0599', '-2187.71', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '8305435', '0', 'object/static/structure/naboo/shared_poi_nboo_tent_small.iff', '0', '0', '0', '1', '-5255.04', '80', '-2255.13', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '8305436', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '-0.430458', '0', '0.902611', '-5257.66', '80', '-2252.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8305438', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '-0.024997', '0', '0.999688', '5350.25', '80', '5616.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8305439', '0', 'object/static/item/shared_item_tech_console_sectional_b.iff', '0', '0.930362', '0', '0.366643', '5345.87', '80', '5616.4', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8305440', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '0', '0', '1', '-5253.38', '80', '-2256.79', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '8305441', '0', 'object/static/item/shared_item_con_barrel_lg_s1.iff', '0', '-0.382683', '0', '0.92388', '5345.14', '80', '5616.4', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8305442', '0', 'object/static/item/shared_item_carbine_imperial_e11.iff', '0', '0', '0.70328', '0.710913', '-5253.67', '80.6641', '-2256.83', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8305443', '0', 'object/static/item/shared_item_con_plate_casserole.iff', '0', '0', '0', '1', '-5253.12', '80.6325', '-2256.54', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8305444', '0', 'object/static/item/shared_item_con_drink_flask.iff', '0', '0', '0', '1', '-5253.45', '80.6009', '-2256.34', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8305445', '0', 'object/static/item/shared_item_datapad_s2.iff', '0', '0', '0', '1', '-5253.4', '80.6325', '-2257.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8305446', '0', 'object/static/item/shared_item_container_energy_gas.iff', '0', '0', '0', '1', '-5253.92', '80', '-2258.21', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8305447', '0', 'object/static/item/shared_item_container_energy_solid.iff', '0', '0', '0', '1', '-5254.07', '80.7273', '-2258.21', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8305448', '0', 'object/static/item/shared_item_container_inorganic_gas.iff', '0', '0', '0', '1', '-5255.1', '80.8855', '-2258.36', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8305449', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '-5255.06', '80', '-2258.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8305450', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '-5254.58', '80', '-2258.83', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8305451', '0', 'object/static/item/shared_item_chair_metal_wheeled_01.iff', '0', '-0.699716', '0', '0.714421', '-5254.09', '80', '-2254.84', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8435574', '0', 'object/static/structure/naboo/shared_gungan_damaged_wall_lg_s01.iff', '0', '0.223495', '0', '0.974705', '-2038.36', '78.2915', '3348.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8435575', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0.213736', '0', '0.976891', '-2040.23', '78.269', '3344.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8435576', '0', 'object/static/structure/naboo/shared_gungan_damaged_wall_lg_s01.iff', '0', '-0.356577', '0', '0.934266', '-2037.4', '78.3863', '3341.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8435577', '0', 'object/static/structure/naboo/shared_gungan_cleft_wall_lg_s01.iff', '0', '0.370921', '0', '0.928665', '-2042.24', '77.7475', '3326.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8435578', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0.926499', '0', '0.376296', '-2045.2', '77.9556', '3323.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8435581', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s01.iff', '0', '0.609159', '0', '0.793048', '-2053.46', '78.2109', '3319.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8435582', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s02.iff', '0', '0.990901', '0', '0.13459', '-2053.77', '78.4823', '3321.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8435583', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s01.iff', '0', '0.798621', '0', '0.601834', '-2055.94', '76.3459', '3315.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8435584', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s02.iff', '0', '-0.556361', '0', '0.83094', '-2051.31', '78.1672', '3350.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8435587', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s01.iff', '-0.0282622', '-0.548545', '-0.0305291', '0.835086', '-2076.18', '77.253', '3362.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8435588', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s02.iff', '0', '0.862807', '0', '0.505533', '-2045.57', '77.4059', '3338.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8435590', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.149438', '0', '0.988771', '-2051.91', '79.4973', '3352.33', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '8435591', '0', 'object/static/item/shared_wp_mle_lance_staff_wood_s01.iff', '0', '0.149438', '0', '0.988771', '-2051.9', '78.4566', '3352.32', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8435593', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.838759', '0', '0.544503', '-2061.99', '79.4371', '3345.39', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '8435594', '0', 'object/static/item/shared_wp_mle_lance_staff_wood_s01.iff', '0', '0.838759', '0', '0.544503', '-2062', '78.4257', '3345.38', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8435595', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.844162', '0', '0.536088', '-2064.55', '79.3771', '3340.82', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '8435596', '0', 'object/static/item/shared_wp_mle_lance_staff_wood_s01.iff', '0', '0.844162', '0', '0.536088', '-2064.57', '78.3643', '3340.81', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8435597', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.560509', '0', '0.828148', '-2038.03', '79.8208', '3334.18', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '8435598', '0', 'object/static/item/shared_wp_mle_lance_staff_wood_s01.iff', '0', '-0.560509', '0', '0.828148', '-2038.01', '78.7809', '3334.18', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8435599', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.827702', '0', '0.561168', '-2084.2', '79.1342', '3349.84', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '8435600', '0', 'object/static/item/shared_wp_mle_lance_staff_wood_s01.iff', '0', '0.827702', '0', '0.561168', '-2084.21', '78.1213', '3349.82', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8435601', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.810497', '0', '0.585743', '-2081.52', '79.2076', '3355.27', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '8435602', '0', 'object/static/item/shared_wp_mle_lance_staff_wood_s01.iff', '0', '0.810497', '0', '0.585743', '-2081.53', '78.155', '3355.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8435603', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.0549724', '0', '0.998488', '-2081.18', '78.6053', '3311.6', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '8435604', '0', 'object/static/item/shared_wp_mle_lance_staff_wood_s01.iff', '0', '-0.0549724', '0', '0.998488', '-2081.17', '77.5918', '3311.59', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8435605', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.0249975', '0', '0.999687', '-2073.84', '77.6639', '3310.52', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '8435606', '0', 'object/static/item/shared_wp_mle_lance_staff_wood_s01.iff', '0', '-0.0249975', '0', '0.999687', '-2073.83', '76.6177', '3310.51', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8435611', '0', 'object/static/structure/naboo/shared_gungan_relic_s01.iff', '0', '0.838759', '0', '0.544503', '-2016.64', '77.002', '3359.66', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '8435612', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '-2009.8', '77.96', '3351.2', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '8435613', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '-2034.27', '79.0039', '3332.82', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '8435614', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '-2048.78', '78.2046', '3350.87', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '8435615', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '-2083.73', '79.0333', '3364.25', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '8435616', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0', '0', '1', '-2052.66', '78.1084', '3338.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8435617', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0', '0', '1', '-2076.82', '77.2646', '3327.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '8795672', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.597196', '0', '0.802096', '5064.98', '79.7581', '5713.9', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8795673', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '5066.11', '79.6441', '5714.64', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8795674', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '5066.21', '79.6515', '5714.27', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8795675', '0', 'object/static/item/shared_item_rifle.iff', '-0.0373746', '0.855517', '0.505985', '0.10331', '5064.19', '80.0549', '5714.36', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8795676', '0', 'object/static/item/shared_item_vibroaxe.iff', '0', '0', '0', '1', '5063.77', '80.7205', '5713.69', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8795677', '0', 'object/static/item/shared_item_con_ration_kit_lg.iff', '0', '0', '0', '1', '5064.52', '80.6564', '5713.81', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8795678', '0', 'object/static/item/shared_item_con_drink_flask.iff', '0', '0', '0', '1', '5064.85', '80.61', '5713.65', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '8825353', '0', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s01.iff', '0', '0.707107', '0', '0.707107', '5498.32', '80.1655', '5725.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9075368', '0', 'object/static/structure/naboo/shared_nboo_imprv_flagpole_s01.iff', '0', '0', '0', '1', '-5111.43', '93.2473', '-2352.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9075369', '0', 'object/static/structure/naboo/shared_nboo_imprv_flagpole_s01.iff', '0', '0', '0', '1', '-5147.5', '93.2473', '-2352.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9075370', '0', 'object/static/structure/naboo/shared_nboo_imprv_flagpole_s01.iff', '0', '0', '0', '1', '-5382.72', '105.684', '-2228.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9075371', '0', 'object/static/structure/naboo/shared_nboo_imprv_flagpole_s01.iff', '0', '0', '0', '1', '-5444.93', '103.468', '-2148.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9075372', '0', 'object/static/structure/naboo/shared_nboo_imprv_flagpole_s01.iff', '0', '0', '0', '1', '-5386.49', '103.512', '-2090.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9075373', '0', 'object/static/structure/naboo/shared_nboo_imprv_flagpole_s01.iff', '0', '0', '0', '1', '-5304.33', '109.67', '-2142.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9075374', '0', 'object/static/structure/naboo/shared_nboo_imprv_flagpole_s01.iff', '0', '0', '0', '1', '-5175.19', '92.6094', '-2498.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9075375', '0', 'object/static/structure/naboo/shared_nboo_imprv_flagpole_s01.iff', '0', '0', '0', '1', '-5175.17', '92.6094', '-2462.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9075376', '0', 'object/static/structure/naboo/shared_nboo_imprv_flagpole_s01.iff', '0', '0', '0', '1', '-5267.97', '93.0433', '-2282.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9075377', '0', 'object/static/structure/naboo/shared_nboo_imprv_flagpole_s01.iff', '0', '0', '0', '1', '-5303.85', '93.1188', '-2282.52', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9075378', '0', 'object/static/structure/naboo/shared_nboo_imprv_flagpole_s01.iff', '0', '0', '0', '1', '-5238.84', '89.248', '-2166.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9075379', '0', 'object/static/structure/naboo/shared_nboo_imprv_flagpole_s01.iff', '0', '0', '0', '1', '5077.17', '113.021', '5758.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9075380', '0', 'object/static/structure/naboo/shared_nboo_imprv_flagpole_s01.iff', '0', '0', '0', '1', '5077.04', '113.247', '5733.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9075381', '0', 'object/static/structure/naboo/shared_nboo_imprv_flagpole_s01.iff', '0', '0', '0', '1', '5150.78', '105.608', '5651.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9075382', '0', 'object/static/structure/naboo/shared_nboo_imprv_flagpole_s01.iff', '0', '0', '0', '1', '5228.63', '88.6561', '5798.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9075383', '0', 'object/static/structure/naboo/shared_nboo_imprv_flagpole_s01.iff', '0', '0', '0', '1', '5269.67', '92.4213', '5860.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9075384', '0', 'object/static/structure/naboo/shared_nboo_imprv_flagpole_s01.iff', '0', '0', '0', '1', '5305.78', '92.4213', '5860.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9075385', '0', 'object/static/structure/naboo/shared_nboo_imprv_bannerpole_s01.iff', '0', '0.877964', '0', '-0.478726', '5334.68', '80', '5732.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9075386', '0', 'object/static/structure/naboo/shared_nboo_imprv_bannerpole_s01.iff', '0', '0.777573', '0', '0.628793', '5329.03', '80', '5758.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9075387', '0', 'object/static/structure/naboo/shared_nboo_imprv_flagpole_s01.iff', '0', '0', '0', '1', '5125.47', '112.769', '5553.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9075388', '0', 'object/static/structure/naboo/shared_nboo_imprv_flagpole_s01.iff', '0', '0', '0', '1', '5139.05', '112.776', '5532.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9075389', '0', 'object/static/structure/naboo/shared_nboo_imprv_flagpole_s01.iff', '0', '0', '0', '1', '5316.38', '112.834', '5527.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9075390', '0', 'object/static/structure/naboo/shared_nboo_imprv_flagpole_s01.iff', '0', '0', '0', '1', '5341.09', '113.037', '5527.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9075391', '0', 'object/static/structure/naboo/shared_nboo_imprv_flagpole_s01.iff', '0', '0', '0', '1', '5522.02', '112.868', '5611.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9075392', '0', 'object/static/structure/naboo/shared_nboo_imprv_flagpole_s01.iff', '0', '0', '0', '1', '5521.98', '112.889', '5636.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715353', '0', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff', '0.315854', '0.703181', '0.296231', '-0.563932', '2527.58', '72.869', '7255.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715354', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s02.iff', '0', '0.552199', '0', '0.833712', '2526.65', '73.5129', '7267.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715363', '0', 'object/static/structure/naboo/shared_gungan_cleft_wall_lg_s01.iff', '0', '0', '0', '1', '2517.16', '72.782', '7255.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715365', '0', 'object/static/structure/naboo/shared_gungan_relic_s02.iff', '0', '0', '-0.0898786', '0.995953', '2520.16', '72.978', '7258.34', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715366', '0', 'object/static/structure/naboo/shared_gungan_relic_s02.iff', '0', '0', '0', '1', '3396.44', '83.346', '5861.72', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715367', '0', 'object/static/structure/naboo/shared_gungan_relic_s02.iff', '0.092716', '-0.540124', '0.141515', '0.824405', '3370.79', '81.7639', '5846.25', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715368', '0', 'object/static/structure/naboo/shared_gungan_relic_s02.iff', '0', '0', '0', '1', '3367.37', '88.4788', '5869.97', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715369', '0', 'object/static/structure/naboo/shared_gungan_relic_s02.iff', '0', '-0.670587', '0', '0.741831', '3388.31', '86.7981', '5875.93', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715370', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0', '0', '1', '3388.28', '73.0611', '5850.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715371', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0.998952', '0', '-0.0457805', '3371.04', '73.5045', '5855.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715372', '0', 'object/static/structure/tatooine/shared_tent_house_tatooine_style_01.iff', '0', '0', '0', '1', '2030.33', '90', '5885.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715373', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.757843', '0', '-0.652438', '2033.36', '90', '5885.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715374', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '-0.514137', '0', '0.857708', '2032.33', '90', '5884.83', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715375', '0', 'object/tangible/camp/shared_camp_cot.iff', '0', '0.727726', '0', '-0.685868', '2030.55', '90', '5885.64', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715377', '0', 'object/tangible/camp/shared_campfire_logs_ash.iff', '0', '0', '0', '1', '2028.36', '90.1318', '5879.72', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715378', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0.127457', '0.746074', '-0.132983', '0.639878', '4274.73', '84.8056', '2510.79', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715379', '0', 'object/static/structure/general/shared_all_banner_generic_s01.iff', '0.328823', '0.638639', '0.34889', '-0.601906', '4273.45', '83.629', '2511.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715380', '0', 'object/static/structure/general/shared_campfire_ash.iff', '0', '0', '0', '1', '4275.73', '84.5057', '2512.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715381', '0', 'object/static/structure/general/shared_escape_pod.iff', '-0.118314', '0.94158', '0.147006', '-0.278958', '4270.37', '85.183', '2506.34', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715382', '0', 'object/static/structure/naboo/shared_gungan_cleft_wall_lg_s01.iff', '0', '0', '0', '1', '1867.61', '73.8611', '1762.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715383', '0', 'object/static/structure/naboo/shared_gungan_damaged_narrow_arch_s01.iff', '0', '-0.707106', '0', '0.707108', '1871.39', '73.7145', '1765.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715384', '0', 'object/static/structure/naboo/shared_gungan_damaged_wall_lg_s01.iff', '0', '-0.707106', '0', '0.707108', '1869.53', '73.8562', '1758.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715387', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0', '0', '1', '1875.61', '73.7735', '1765.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715388', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '-0.0199987', '0', '0.9998', '1876.95', '73.7671', '1758.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715390', '0', 'object/static/structure/naboo/shared_garden_gazebo_lg_s01.iff', '0', '0', '0', '1', '1164', '90', '699.603', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715391', '0', 'object/static/structure/naboo/shared_gungan_statue_s01.iff', '0', '0.989621', '0', '0.143704', '1164.71', '90.1897', '696.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715392', '0', 'object/static/structure/naboo/shared_gungan_statue_s02.iff', '0', '0', '0', '1', '1163.29', '90.2214', '702.619', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715394', '0', 'object/tangible/gravestone/shared_gravestone02.iff', '0', '0.692538', '0', '0.721382', '1164.27', '90.3479', '699.499', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715395', '0', 'object/tangible/gravestone/shared_gravestone03.iff', '0', '-0.670587', '0', '0.741831', '1163.68', '90.3479', '699.464', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715397', '0', 'object/static/structure/naboo/shared_gungan_relic_s01.iff', '0', '0', '0', '1', '3586.03', '73.9392', '349.381', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715398', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0', '0', '1', '3593.57', '80.6505', '350.547', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715399', '0', 'object/static/structure/general/shared_skeleton_human_body.iff', '0', '0', '0', '1', '3592.82', '80.5547', '348.764', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715400', '0', 'object/static/structure/general/shared_skeleton_ithorian_head.iff', '0', '0', '0', '1', '3592.75', '80.6834', '350.405', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715401', '0', 'object/static/structure/naboo/shared_gungan_relic_s02.iff', '0', '0', '0', '1', '3466.64', '73.9352', '-2175.95', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715402', '0', 'object/static/structure/naboo/shared_gungan_relic_s01.iff', '0', '0', '0', '1', '3457.92', '73.8921', '-2174.59', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715403', '0', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff', '0.349828', '0.77485', '0.0726516', '-0.521488', '3464.28', '72.3537', '-2161.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715404', '0', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff', '0', '0.947396', '0', '-0.320064', '3456.75', '72.9558', '-2183.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715420', '0', 'object/static/structure/naboo/shared_gate_wide_s01.iff', '0', '0', '0', '1', '2995.8', '76.6361', '-3670.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715471', '0', 'object/static/structure/naboo/shared_gungan_damaged_narrow_arch_s01.iff', '0', '0', '0', '1', '-767.59', '72.7608', '-4084.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715472', '0', 'object/static/structure/naboo/shared_gungan_damaged_wall_lg_s01.iff', '0', '0.707106', '0', '0.707108', '-763.904', '72.6473', '-4080.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715473', '0', 'object/static/structure/naboo/shared_gungan_damaged_wide_arch_s01.iff', '0', '-0.707106', '0', '0.707108', '-756.314', '72.8953', '-4080.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715475', '0', 'object/static/structure/naboo/shared_gungan_cleft_wall_lg_s01.iff', '0', '0', '0', '1', '-752.575', '73.1941', '-4084.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715476', '0', 'object/static/structure/naboo/shared_gungan_relic_s02.iff', '0', '0', '0', '1', '-750.73', '72.9151', '-4087.17', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715477', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0', '0', '1', '-763.794', '72.7989', '-4090.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715478', '0', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff', '-0.11967', '-0.16833', '0.323569', '0.923389', '5955.85', '72.0826', '-2602.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715479', '0', 'object/static/structure/naboo/shared_gungan_statue_s01.iff', '0', '-0.281157', '0', '0.959662', '5958.76', '72.0349', '-2592.66', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715480', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s01.iff', '0', '0', '0', '1', '5968.67', '72.7946', '-2595.59', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715481', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s02.iff', '0', '0.849481', '0', '-0.52762', '5962.27', '73.7708', '-2608.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715492', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s02.iff', '0', '-0.382683', '0', '0.92388', '6117.57', '75.1927', '-512.547', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715493', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s02.iff', '0', '0.380188', '0', '0.924909', '6123.12', '73.8412', '-513.322', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715494', '0', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff', '-0.0485802', '0.968453', '0.243202', '-0.0243415', '6119.47', '75.2215', '-503.552', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715495', '0', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff', '-0.635672', '-0.0447978', '-0.0151669', '0.770509', '6112.06', '72.4236', '-510.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715496', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0', '0', '1', '5512.38', '76.7615', '1008.98', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715497', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '5512.63', '76.8726', '1008.24', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715498', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '5513.2', '77.0381', '1007.43', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715499', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '-0.685289', '0', '0.728271', '5512.47', '76.8861', '1007.47', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715500', '0', 'object/tangible/camp/shared_camp_cot.iff', '-0.000599869', '-0.0199897', '0.0299895', '0.99935', '5512.54', '76.5027', '1010.39', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715501', '0', 'object/tangible/camp/shared_campfire_logs_ash.iff', '0', '0', '0', '1', '5510.67', '76.3618', '1008.59', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715539', '0', 'object/static/structure/naboo/shared_gungan_damaged_narrow_arch_s01.iff', '0', '0', '0', '1', '5579.09', '73.8676', '2431.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715540', '0', 'object/static/structure/naboo/shared_gungan_damaged_wall_lg_s01.iff', '-0.071963', '0.717229', '-0.0691957', '0.689649', '5586.47', '72.9883', '2428.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715541', '0', 'object/static/structure/naboo/shared_gungan_damaged_wide_arch_s01.iff', '0', '0.720831', '0', '-0.693111', '5579.37', '73.7451', '2442.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715546', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s01.iff', '0', '0', '0', '1', '5594.47', '75.5526', '2432.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715548', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s02.iff', '0', '0', '0', '1', '5593.31', '75.4308', '2441.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715551', '0', 'object/static/structure/naboo/shared_gungan_filler_building_s02.iff', '0', '0.492535', '0', '0.870293', '-5831.39', '76.0316', '5820.08', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715552', '0', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff', '0', '0.535416', '0', '0.844589', '-5829.8', '78.2036', '5821.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715555', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0', '0', '1', '-5810.29', '75.608', '5797.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715556', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0', '0', '1', '-5806.91', '75.2681', '5812.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715557', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0', '0', '1', '-5836.53', '74.2884', '5844.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715558', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0', '0', '1', '-5822.7', '74.3676', '5841.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715559', '0', 'object/tangible/camp/shared_camp_tent_s1.iff', '0', '0.984865', '0', '0.173324', '-3653.08', '78.6865', '5533.37', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715560', '0', 'object/tangible/camp/shared_camp_stool_short.iff', '0', '0', '0', '1', '-3649.85', '78.9257', '5532.01', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715561', '0', 'object/tangible/camp/shared_campfire_logs_ash.iff', '0', '0', '0', '1', '-3650.73', '79.1677', '5531.02', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715562', '0', 'object/static/item/shared_item_con_bag_ingredients_lg_s1.iff', '0', '0.859862', '0', '0.510526', '-3654.56', '78.6711', '5532.13', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715563', '0', 'object/static/item/shared_item_con_barrel_lg_s1.iff', '0', '0.309816', '0', '0.950796', '-3655.26', '78.6899', '5532.21', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715565', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_sml_s02.iff', '0', '-0.707105', '0', '0.707108', '-1703.55', '75.6598', '6147.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715567', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_sml_s02.iff', '0', '1', '0', '3.20013e-08', '-1715.91', '75.6966', '6147.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715568', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_sml_s02.iff', '0', '1', '0', '3.20013e-08', '-1709.77', '75.6602', '6147.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715569', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_sml_s02.iff', '0', '0', '0', '1', '-1703.49', '75.6942', '6141.34', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715570', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_sml_s02.iff', '0', '0', '0', '1', '-1709.62', '75.6578', '6141.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715583', '0', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_short_s01.iff', '0', '-0.707106', '0', '0.707108', '-1715.8', '74.6237', '6142.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715585', '0', 'object/tangible/gravestone/shared_gravestone04.iff', '0', '-0.706824', '0', '0.707389', '-1712.21', '75.3473', '6146.37', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715587', '0', 'object/tangible/gravestone/shared_gravestone04.iff', '0', '-0.706822', '0', '0.707391', '-1712.13', '75.2539', '6142.72', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715588', '0', 'object/tangible/gravestone/shared_gravestone04.iff', '0', '-0.706822', '0', '0.707391', '-1706.51', '75.2896', '6142.6', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715589', '0', 'object/tangible/gravestone/shared_gravestone04.iff', '0', '-0.706822', '0', '0.707391', '-1706.15', '75.2282', '6144.52', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715591', '0', 'object/tangible/gravestone/shared_gravestone03.iff', '0', '-0.412321', '0', '0.911039', '-1705.6', '75.3048', '6146.35', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715592', '0', 'object/tangible/gravestone/shared_gravestone03.iff', '0', '-0.706825', '0', '0.707388', '-1712.14', '75.32', '6144.67', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715594', '0', 'object/static/structure/naboo/shared_gungan_relic_s01.iff', '0', '0', '0', '1', '-2707.74', '68.533', '4485.83', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715600', '0', 'object/static/structure/naboo/shared_gungan_damaged_wide_arch_s01.iff', '0', '0', '0', '1', '-4712.87', '72.8361', '3578.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715601', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s01.iff', '0', '0.674288', '0', '0.738468', '-4704.41', '73.5914', '3585.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715602', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s02.iff', '0.105669', '0.698075', '0.112655', '-0.699167', '-4706.84', '72.9336', '3574.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715603', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s02.iff', '0', '0', '0', '1', '-4703.89', '74.7535', '3583.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715604', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s01.iff', '0', '1', '0', '-0.000796395', '-4698.81', '74.4678', '3575.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715605', '0', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff', '0', '0.124675', '0', '0.992198', '-2898.16', '74.3425', '2585.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715609', '0', 'object/static/structure/naboo/shared_gungan_shield_gen_s01.iff', '0', '0', '0', '1', '-5510.24', '75.9016', '2096.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715610', '0', 'object/static/structure/naboo/shared_gungan_statue_s01.iff', '0', '0.731146', '0', '0.682221', '-5508.59', '75.1774', '2094.59', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715612', '0', 'object/static/structure/naboo/shared_gungan_statue_s02.iff', '0', '0.681639', '0', '0.731689', '-5509.06', '75.0461', '2099.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715614', '0', 'object/tangible/gravestone/shared_gravestone04.iff', '0', '0.773915', '0', '0.63329', '-5508.17', '75.4833', '2098.71', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715615', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '-0.0754512', '-0.220279', '0.315137', '0.92004', '-4494.21', '74.5278', '1086.74', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715616', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0.552113', '-0.152802', '-0.218626', '0.789953', '-4491.11', '74.8366', '1083.55', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715617', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0.0245956', '-0.152408', '-0.157408', '0.975392', '-4495.31', '75.0112', '1084.33', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715618', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '-0.266837', '-0.194586', '-0.0599887', '0.941985', '-4492.09', '74.7892', '1086.32', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715620', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s01.iff', '0', '-0.443948', '0', '0.896052', '6682.18', '75.8559', '6877.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715621', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s02.iff', '0', '0.314567', '0', '0.949235', '6676.65', '75.8137', '6886.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715622', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s02.iff', '0', '-0.452886', '0', '0.891568', '6684.16', '76.0784', '6888.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715623', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s01.iff', '0', '0.891207', '0', '0.453596', '6691.18', '76.2147', '6883.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715624', '0', 'object/static/structure/naboo/shared_gungan_relic_s02.iff', '0', '0', '0', '1', '-6711.74', '61.5302', '1088.26', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715626', '0', 'object/static/structure/naboo/shared_gungan_relic_s01.iff', '0', '0.324043', '0', '0.946042', '6681.72', '65.0767', '6883.78', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715627', '0', 'object/static/structure/naboo/shared_gungan_relic_s02.iff', '0', '-0.681639', '0', '0.731689', '-6716.71', '65.7732', '1080.55', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715628', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0', '0', '1', '-6711.3', '76.4208', '1097.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715629', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0', '0', '1', '-6711.16', '76.2063', '1094.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715631', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s02.iff', '0', '0.707106', '0', '0.707107', '-6717.42', '75.7804', '1091.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715632', '0', 'object/static/structure/naboo/shared_gungan_damaged_wall_lg_s01.iff', '0.00199863', '0.0399394', '-0.0499392', '0.997951', '-6723.04', '75.9349', '1086.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715633', '0', 'object/static/structure/general/shared_poi_nboo_corral_32x32_s01.iff', '0', '0.958016', '0', '-0.286715', '5085.07', '76.0259', '4677.05', '175', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715634', '0', 'object/static/structure/naboo/shared_gungan_relic_s01.iff', '0', '0', '0', '1', '-6718.45', '66.7983', '1100.41', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715636', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0.276356', '0', '0.961055', '5093.34', '76.2203', '4676.33', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715637', '0', 'object/tangible/camp/shared_camp_cot.iff', '0.681932', '0.113857', '-0.0635219', '0.719702', '5095.29', '76.6211', '4676.96', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715644', '0', 'object/tangible/camp/shared_camp_cot.iff', '0.999136', '0.00959974', '0.0103836', '-0.0390897', '5093.67', '76.7167', '4675.48', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715649', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s01.iff', '0', '0', '0', '1', '-982.396', '76.4654', '-316.783', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715650', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s02.iff', '0', '0.560509', '0', '0.828148', '-990.567', '75.9371', '-310.032', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715651', '0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_lattice_s01.iff', '0', '0', '0.314567', '0.949235', '-986.482', '75.7438', '-311.632', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715652', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s02.iff', '-0.114713', '0.283896', '0.034232', '0.951353', '5091.45', '75.7936', '4669.82', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715655', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0', '0.492535', '0.870293', '-989.306', '74.8912', '-319.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715657', '0', 'object/static/structure/corellia/shared_corl_power_arial_thin.iff', '0.0579112', '-0.45193', '0.0294169', '0.889686', '5090.47', '75.4714', '4666.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715658', '0', 'object/static/structure/tatooine/shared_tent_house_tatooine_style_01.iff', '0', '-0.114747', '0', '0.993395', '-4972.39', '76.5844', '-668.522', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715659', '0', 'object/tangible/camp/shared_camp_cot.iff', '-0.0265026', '-0.588548', '0.036349', '0.80721', '-4973.86', '76.7851', '-667.335', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715660', '0', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0.689819', '-0.0630127', '-0.144089', '-0.706695', '5081.6', '76.4107', '4687.78', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715662', '0', 'object/tangible/furniture/all/shared_frn_all_tree_potted_s2.iff', '0', '0', '-0.352274', '0.935897', '-987.639', '75.2513', '-311.25', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715663', '0', 'object/tangible/camp/shared_camp_cot.iff', '0.0143645', '0.803784', '-0.0426301', '-0.593217', '-4970.86', '76.504', '-669.269', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715664', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0.109778', '-7.36134e-11', '-1.49925e-10', '0.993956', '5085.02', '75.4774', '4688.36', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715665', '0', 'object/static/item/shared_item_container_inorganic_gas.iff', '0', '0.352274', '0', '0.935897', '-4973.55', '76.5249', '-669.85', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715666', '0', 'object/tangible/furniture/all/shared_frn_all_tree_potted_s2.iff', '-0.322982', '0.713641', '-0.256303', '0.566311', '-986.61', '74.857', '-311.049', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715667', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.352274', '0', '0.935897', '-4974.44', '76.6158', '-669.688', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715668', '0', 'object/static/item/shared_item_container_inorganic_water.iff', '0', '0', '0', '1', '-4975.93', '75.7875', '-675.86', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715669', '0', 'object/static/item/shared_item_bottle_pear.iff', '-0.340544', '-0.544873', '0.629985', '0.43619', '5079.55', '75.7613', '4685.3', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715670', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.352274', '0', '0.935897', '-4974.39', '76.3719', '-670.499', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715671', '0', 'object/static/item/shared_item_bottle_fat.iff', '0.68191', '0.694751', '-0.153614', '-0.169479', '5082.52', '75.8706', '4685.54', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715672', '0', 'object/tangible/furniture/all/shared_frn_all_tree_potted_s2.iff', '-0.526921', '0.849864', '0.00484971', '-0.00782203', '-986.913', '75.8355', '-311.692', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715673', '0', 'object/static/item/shared_item_glass_empty.iff', '0.61827', '0.229196', '0.26132', '-0.704928', '5080.66', '75.8087', '4683.94', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715674', '0', 'object/static/item/shared_item_jar_empty.iff', '0.489011', '-0.474875', '0.49911', '0.535024', '5080.26', '75.9135', '4683.14', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715675', '0', 'object/tangible/camp/shared_campfire_logs_ash.iff', '0', '0', '0', '1', '-4972.63', '75.7863', '-674.936', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715676', '0', 'object/tangible/camp/shared_camp_stool_tall.iff', '0', '0', '0', '1', '-4973.61', '75.8206', '-674.974', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715677', '0', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0.731653', '-0.668855', '0.0617182', '-0.116225', '5078.58', '75.9863', '4685.85', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715678', '0', 'object/tangible/camp/shared_camp_stool_short.iff', '0', '0', '0', '1', '-4972.33', '75.7818', '-674.253', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715679', '0', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.904412', '0', '-0.42666', '5083.36', '75.4873', '4689.26', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715680', '0', 'object/static/structure/naboo/shared_gungan_cleft_wall_lg_s01.iff', '0.0716803', '0.286695', '0.231723', '0.926808', '-985.319', '76.0527', '-318.989', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715684', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0', '0', '0', '1', '-989.53', '73.1232', '-315.629', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715686', '0', 'object/static/structure/naboo/shared_gungan_damaged_narrow_arch_s01.iff', '0', '-0.5522', '0', '0.833712', '6797.34', '73.6889', '3078.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715687', '0', 'object/static/structure/naboo/shared_gungan_damaged_narrow_arch_s01.iff', '0', '-0.514136', '0', '0.857709', '6780.87', '73.3988', '3039.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715688', '0', 'object/static/structure/naboo/shared_gungan_damaged_narrow_arch_s01.iff', '0', '0.271547', '0', '0.962425', '6793.86', '73.2879', '3002.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715689', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '6788.11', '75.4529', '3067.35', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715690', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '6795.55', '75.3871', '3063.68', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715691', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '6780.42', '75.427', '3051.95', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715692', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.655617', '0', '0.755093', '6790.18', '75.5122', '3048.74', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715693', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.389418', '0', '0.921061', '6769.52', '75.3401', '3023.05', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715694', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.492535', '0', '0.870293', '6783.34', '75.2231', '3021.34', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715695', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '-0.333487', '0', '0.942755', '6784.5', '75.1024', '3000.97', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715696', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.505533', '0', '0.862807', '6792.76', '75.3518', '3010.65', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715697', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '-0.266732', '0', '0.963771', '6805.72', '75.13', '2988.45', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715698', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.361615', '0', '0.932327', '6813.01', '75.2128', '3001.75', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715704', '0', 'object/static/structure/naboo/shared_obelisk_naboo_theed_style_2.iff', '0', '0', '0', '1', '-3392.16', '108.154', '-2097.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715726', '0', 'object/building/naboo/shared_ply_nboo_house_s_s01_fp1.iff', '0', '-0.699716', '0', '0.714421', '5192.3', '75.6463', '1024.17', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715727', '9715726', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715728', '9715726', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715729', '9715726', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715730', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_sml_s01.iff', '0', '-0.707105', '0', '0.707108', '-3393.62', '108.186', '-2095.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715732', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_sml_s01.iff', '0', '0', '0', '1', '-3390.66', '108.141', '-2095.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715734', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_sml_s01.iff', '0', '1', '0', '3.20013e-08', '-3393.66', '108.161', '-2098.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715735', '0', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_sml_s01.iff', '0', '0.707105', '0', '0.707108', '-3390.64', '108.123', '-2098.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715739', '0', 'object/static/structure/naboo/shared_garden_gazebo_sml_s01.iff', '0', '0', '0', '1', '5219.29', '76.4558', '1023.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715742', '0', 'object/tangible/furniture/all/shared_frn_all_table_s03.iff', '0', '0', '0', '1', '5219.28', '76.4308', '1024.11', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715743', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0', '0', '1', '5219.4', '76.3068', '1022.24', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715744', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '1', '0', '3.20013e-08', '5219.34', '76.2869', '1025.6', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715745', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.707106', '0', '0.707107', '5217.88', '76.3969', '1024.03', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715746', '0', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.707107', '0', '-0.707107', '5220.76', '76.3782', '1024.1', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715747', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0', '0', '1', '5201.84', '76.1506', '1024.97', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715756', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '5204.99', '76.11', '1026.91', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715757', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '5208.54', '76.1146', '1026.97', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715758', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '5211.74', '76.0193', '1027.01', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715775', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '5214.82', '76.1061', '1026.9', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715843', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0', '0', '1', '-2639.41', '74.319', '-766.442', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715844', '0', 'object/static/structure/general/shared_poi_all_impl_corral_32x32_s01.iff', '0', '0.593177', '0', '0.805072', '6529.25', '106.338', '-4763.69', '175', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715845', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0', '0', '1', '-2645.31', '74.5316', '-764.844', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715846', '0', 'object/static/structure/naboo/shared_gungan_damaged_wide_arch_s01.iff', '0', '-0.636537', '0', '0.771246', '-2643.25', '74.3601', '-770.834', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715847', '0', 'object/static/structure/general/shared_poi_all_corral_pen_8x16_s01.iff', '0', '0.581035', '0', '0.813878', '6509.5', '105.276', '-4769.97', '175', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715848', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s01.iff', '-0.243208', '0.0581635', '-0.00604091', '0.96821', '-2638.76', '74.3366', '-759.697', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715849', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s02.iff', '-0.484368', '-0.0608633', '0.108809', '0.865935', '-2645.18', '71.0946', '-757.467', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715850', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '-0.198669', '0', '0.980067', '6505.57', '104.948', '-4769.69', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715851', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0', '0', '1', '-2645.69', '71.5366', '-754.081', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715852', '0', 'object/static/structure/general/shared_campfire_ash.iff', '0', '0', '0', '1', '6507.98', '105', '-4772.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715853', '0', 'object/static/structure/general/shared_campfire_ash.iff', '0', '0', '0', '1', '6512.78', '105.711', '-4767.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715854', '0', 'object/static/structure/naboo/shared_gungan_damaged_wide_arch_s01.iff', '0', '0.707106', '0', '0.707107', '-2641.51', '73.8129', '-739.992', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715855', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '-0.412321', '-1.58168e-09', '5.60347e-09', '0.911039', '6515.35', '105.876', '-4769.01', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715856', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0.398609', '0', '0', '0.917121', '6515.27', '105.951', '-4767.6', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715857', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s01.iff', '0', '0.00999984', '0', '0.99995', '-2638.22', '72.1961', '-748.427', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715858', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '0', '0.98889', '0', '0.148651', '6531.25', '107.459', '-4769.32', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715859', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s02.iff', '0', '0', '0', '1', '-2645.52', '71.8434', '-747.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715860', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '0.987888', '0', '0.155167', '6528.57', '107.869', '-4755.33', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715861', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s02.iff', '0', '-0.149438', '0', '0.988771', '6524.74', '107.464', '-4756.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715862', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_1.iff', '0', '0', '0', '1', '6521.96', '107.032', '-4756.68', '256', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715863', '0', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff', '-0.511353', '-0.327406', '-0.219217', '0.763719', '-2146.7', '72.9263', '613.475', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715866', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_2.iff', '0', '0', '0', '1', '6531.07', '108', '-4754.19', '256', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715869', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '0.605186', '0', '0.796084', '6541.69', '108', '-4762.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715870', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '0.822049', '0', '-0.569417', '6540.15', '108', '-4757.66', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715872', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.13459', '0', '0.990901', '6521.38', '106.438', '-4769.34', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715873', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.129634', '0', '0.991562', '6521.14', '106.462', '-4768.52', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715874', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.129634', '0', '0.991562', '6520.9', '106.485', '-4767.72', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715875', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.989621', '0', '0.143704', '6522.14', '106.554', '-4768.69', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715876', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.13459', '0', '0.990901', '6521.87', '106.575', '-4767.88', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715877', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.13459', '0', '0.990901', '6521.25', '106.449', '-4768.93', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715878', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.144492', '0', '0.989506', '6521', '106.47', '-4768.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715879', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.149438', '0', '0.988771', '6522', '106.562', '-4768.32', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715880', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.568762', '0', '0.822502', '6502.87', '104.561', '-4772.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715881', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '0.597195', '0', '0.802096', '6539.65', '108', '-4762.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715890', '0', 'object/static/structure/naboo/shared_garden_gazebo_lg_s01.iff', '0', '0.13459', '0', '0.990901', '3783.06', '74.2374', '-4473.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715893', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0', '0', '1', '-427.969', '75.9486', '-5436.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715894', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0', '0', '1', '-435.968', '75.952', '-5436.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715895', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '-0.707106', '0', '0.707107', '-439.844', '75.9597', '-5432.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715896', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.707106', '0', '0.707107', '-424.022', '75.9581', '-5432.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715897', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0', '0', '1', '-427.902', '75.9555', '-5428.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715898', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0', '0', '1', '-435.933', '75.9651', '-5428.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715899', '0', 'object/tangible/camp/shared_camp_tent_s1.iff', '0', '0.257081', '0', '0.96639', '-439.722', '75.9297', '-5440.81', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715900', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0', '0', '1', '-428.791', '75.9595', '-5440.34', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715901', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.352274', '0', '0.935897', '-427.66', '76.2913', '-5442.05', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715902', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.352274', '0', '0.935897', '-427.532', '75.9722', '-5441.86', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715903', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.352274', '0', '0.935897', '-427.837', '75.9706', '-5442.25', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715905', '0', 'object/static/structure/naboo/shared_gungan_relic_s01.iff', '0', '0', '0', '1', '-1485.36', '69.4322', '1683.17', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715906', '0', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff', '0', '0', '0', '1', '-1485.94', '86.0972', '1683.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715907', '0', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff', '0', '0.361986', '0', '0.932183', '-1501.05', '72.5409', '1689.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715908', '0', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff', '-0.0825247', '0.352454', '-0.212517', '0.907636', '-1479.37', '72.6927', '1678.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715909', '0', 'object/static/structure/naboo/shared_obelisk_naboo_theed_style_3.iff', '0', '0', '0', '1', '-431.374', '71.466', '3267.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715911', '0', 'object/static/structure/naboo/shared_obelisk_naboo_theed_style_3.iff', '0', '0', '0.109778', '0.993956', '-424.824', '70.4568', '3267.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715913', '0', 'object/static/structure/naboo/shared_gungan_filler_building_s01.iff', '0', '0.973485', '0', '-0.228753', '-6965.77', '85.2678', '-5641.07', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715915', '0', 'object/static/structure/naboo/shared_obelisk_naboo_theed_style_3.iff', '0.0198167', '-0.00269163', '-0.134564', '0.990703', '-439.359', '70.8785', '3266.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715916', '0', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff', '0.12313', '0.703329', '0.00287089', '-0.700114', '1119.38', '86.7275', '3831.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715917', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0', '0', '0', '1', '1114.92', '84.9043', '3830.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715923', '0', 'object/building/naboo/shared_filler_building_naboo_style_8.iff', '0', '0.34759', '0', '0.937647', '-4852.99', '81.0771', '-4253.16', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715926', '0', 'object/static/structure/corellia/shared_corl_fountain_brazier_square_s01.iff', '0', '0.338197', '0', '0.941075', '-4852.98', '114.507', '-4252.96', '96', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715927', '0', 'object/static/structure/naboo/shared_gungan_damaged_narrow_arch_s01.iff', '0', '-0.380188', '0', '0.924909', '-1222.23', '73.2465', '-3210.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715928', '0', 'object/static/structure/naboo/shared_gungan_damaged_wide_arch_s01.iff', '0', '0.713864', '0', '-0.700285', '-1236.97', '73.7048', '-3203.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715929', '0', 'object/static/structure/naboo/shared_gungan_damaged_wall_lg_s01.iff', '0', '-0.514136', '0', '0.857709', '-1228.93', '73.7582', '-3205.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715930', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0.398609', '0', '0.917121', '-1225.2', '73.4453', '-3207.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715931', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0.059964', '0', '0.998201', '-1232.85', '73.6201', '-3203.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715932', '0', 'object/static/structure/naboo/shared_obelisk_naboo_theed_style_3.iff', '0.105657', '-0.0135766', '0.010992', '0.994249', '-430.603', '70.4577', '3261.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715933', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '-0.252245', '0', '0.967663', '-1219.4', '73.5639', '-3213.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715934', '0', 'object/static/structure/naboo/shared_gungan_damaged_wall_lg_s01.iff', '0', '-0.227978', '0', '0.973666', '-1217.48', '73.5528', '-3216.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715935', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0.969944', '0', '0.243329', '-1215.66', '73.5721', '-3220.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715936', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '-0.15438', '0', '0.988012', '-1241.23', '73.8228', '-3203.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715937', '0', 'object/static/structure/naboo/shared_gungan_damaged_wall_lg_s01.iff', '0', '0.601199', '0', '0.7991', '-1245.26', '73.8673', '-3204.59', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715940', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0.492535', '0', '0.870293', '-1249.21', '74.0937', '-3205.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715941', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s01.iff', '0', '0.543835', '0', '0.839192', '-3388.83', '100', '-6196.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715942', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s02.iff', '0', '-0.164252', '0', '0.986418', '-3390.43', '100.007', '-6197.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715943', '0', 'object/static/structure/naboo/shared_gungan_cleft_wall_lg_s01.iff', '0', '0.501213', '0', '0.865324', '-1252.87', '74.2959', '-3207.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715944', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0.589145', '0', '0.808028', '-3382.84', '100', '-6190.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715945', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '-0.213347', '0', '0.976976', '-3380.85', '100.223', '-6197.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715946', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '-0.252245', '0', '0.967663', '-1256.69', '74.3542', '-3210.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715947', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s01.iff', '0', '1', '0', '-0.000796309', '-3409.69', '99.2731', '-6179.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715948', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s01.iff', '0', '0', '0', '1', '-3402.95', '97.7082', '-6181.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715949', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s02.iff', '0', '0.713864', '0', '-0.700285', '-3407.65', '100.844', '-6190.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715950', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s01.iff', '0.0481503', '0.739731', '0.0435958', '0.66976', '-3404.6', '99.594', '-6169.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715951', '0', 'object/static/structure/naboo/shared_gungan_damaged_narrow_arch_s01.iff', '0', '0.685288', '0', '0.728272', '-3389.93', '99.6429', '-6163.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715952', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s01.iff', '0', '0', '0', '1', '-44.4634', '76.3936', '5231.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715953', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s02.iff', '2.26283e-08', '-0.707106', '-2.26283e-08', '0.707107', '-39.3212', '75.8606', '5228.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715954', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0', '0', '1', '-3391.8', '100', '-6172.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715955', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0', '0', '1', '-3387.34', '100', '-6172.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715956', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0', '0', '0', '1', '-1222.23', '73.2518', '-3210.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715957', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s02.iff', '0', '0', '0', '1', '-30.1907', '74.6241', '5224.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715958', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s01.iff', '0', '0.713864', '0', '-0.700285', '-37.9123', '75.5686', '5222.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715959', '0', 'object/static/structure/naboo/shared_gungan_statue_s02.iff', '0.152408', '-0.0245956', '-0.157408', '0.975392', '-3397.21', '99.5922', '-6192.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715960', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s02.iff', '0', '0', '0', '1', '-39.3514', '75.9088', '5236.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715961', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0', '0', '0', '1', '-1237.27', '73.7182', '-3203.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715962', '0', 'object/static/structure/naboo/shared_gungan_damaged_wide_arch_s01.iff', '0', '0.724287', '0', '-0.689498', '-3396.71', '100.097', '-6191.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715964', '0', 'object/static/structure/naboo/shared_gungan_filler_building_s01.iff', '0', '0.699717', '0', '0.714421', '-70.0244', '77.1251', '5229.61', '512', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715965', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s01.iff', '0', '-0.00999984', '0', '0.99995', '-3398.74', '99.5613', '-6204.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715966', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0.285952', '0', '0.958244', '-2643.98', '80.7754', '-3209.21', '64', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715967', '0', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_01.iff', '0', '0.300293', '0', '0.953847', '-2643.34', '81.2532', '-3209.59', '50', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715968', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.17903', '0', '0.983844', '-2644.99', '81.132', '-3210.07', '32', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715969', '0', 'object/static/structure/general/shared_campfire_ash.iff', '0', '0', '0', '1', '-2640.74', '80.8663', '-3213.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('6', '9715970', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0.0299015', '0.996417', '0.00237327', '0.0790853', '-2641.97', '81.1744', '-3210.75', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '134329', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.707107', '0', '0.707107', '170.495', '6', '-2906.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '134330', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.707107', '0', '0.707107', '170.547', '6', '-2957.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '134331', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.999988', '0', '0.00499963', '285.613', '6', '-3004.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '134332', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '1', '0', '-3.48103e-07', '164.423', '6', '-2799.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '134333', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.203957', '0', '0.97898', '288.405', '6', '-2854.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '134334', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.99873', '0', '0.0503765', '243.018', '6', '-2994.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '134335', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.707107', '0', '0.707107', '134.8', '6', '-3037.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '134336', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '361.368', '6', '-3084.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '134337', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '305.705', '6', '-2821.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '134338', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '231.006', '6', '-2818.34', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '134339', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.707107', '0', '0.707107', '334.044', '6', '-2994.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '134340', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '185.033', '6', '-2990.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '134341', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.707107', '0', '0.707107', '135.215', '6', '-2929', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '134342', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.935757', '0', '0.352647', '310.478', '6', '-2967.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '134343', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.707107', '0', '0.707107', '131.042', '6', '-2824.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '134344', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '423.034', '6', '-2822.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '134345', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.707107', '0', '0.707107', '391.182', '6', '-3105.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '134346', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.382684', '0', '0.923879', '437.245', '6', '-3082.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '134347', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.707107', '0', '0.707107', '338.758', '6', '-3105.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '134348', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '1', '0', '-3.48103e-07', '365.938', '6', '-3127.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '134349', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.707107', '0', '0.707107', '284.692', '6', '-3158.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '134350', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.707107', '0', '0.707107', '291.901', '6', '-3132.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '134351', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '1', '0', '-3.48103e-07', '301.634', '6', '-3175.59', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '134352', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.382684', '0', '0.923879', '423.095', '6', '-3117.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '134353', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '307.035', '6', '-3148.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '178447', '0', 'object/tangible/container/loot/shared_placable_loot_crate_trashpile.iff', '0', '0', '0', '1', '4138.75', '6', '963.559', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '178448', '0', 'object/tangible/container/loot/shared_placable_loot_crate_trashpile.iff', '0', '0', '0', '1', '4133.62', '6', '952.906', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '178449', '0', 'object/tangible/container/loot/shared_placable_loot_crate_trashpile.iff', '0', '0', '0', '1', '4297.72', '6', '1020.68', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '757335', '0', 'object/static/structure/talus/shared_talus_imprv_flagpole_s01.iff', '0', '0', '0', '1', '317.667', '13.9963', '-2942.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '757336', '0', 'object/static/structure/talus/shared_talus_imprv_flagpole_s01.iff', '0', '0', '0', '1', '318.406', '14.0511', '-2916.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '937377', '0', 'object/static/particle/shared_pt_miasma_of_fog_greenish.iff', '0', '0', '0', '1', '-4984.61', '41.9117', '5751.83', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '937380', '0', 'object/static/particle/shared_pt_poi_electricity_2x2.iff', '0', '0', '0', '1', '-4802.71', '14.1216', '5165.38', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '937383', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_med.iff', '0.0395352', '0.768624', '-0.154717', '0.619449', '-5402.05', '70.8154', '4304.34', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '937384', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_med.iff', '-0.07434', '0.761812', '-0.12765', '-0.630731', '-5397.03', '70.597', '4303.31', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '937385', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_med.iff', '0.0686775', '0.212332', '-0.0454458', '0.973721', '-5400.9', '70.4724', '4300.85', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '937389', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0', '0', '1', '-5399.67', '78.8915', '4302.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '937390', '0', 'object/static/particle/shared_pt_poi_electricity_2x2.iff', '0', '0', '0', '1', '-5399.75', '78.2927', '4302.27', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '937391', '0', 'object/static/item/shared_item_container_inorganic_gas.iff', '0.135544', '-0.0331698', '0.235377', '0.961834', '-5142.55', '36.8907', '3706.13', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '937392', '0', 'object/static/item/shared_item_container_inorganic_chemicals.iff', '0.0208531', '-0.137976', '-0.147976', '0.979097', '-5141.11', '36.471', '3704.82', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '937393', '0', 'object/static/particle/shared_pt_buzzing_insects_large.iff', '0', '0', '0', '1', '-5140.55', '37.0547', '3706.79', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '937394', '0', 'object/static/particle/shared_pt_miasma_of_fog_mustard.iff', '0', '0', '0', '1', '-5138.52', '37.0328', '3706.96', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '1094863', '0', 'object/static/particle/shared_pt_lair_evil_fire_small.iff', '0', '0', '0', '1', '-4147.63', '46.5888', '5952.4', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '1094864', '0', 'object/static/structure/general/shared_poi_all_monolith_s01.iff', '0', '0', '0', '1', '-3659.4', '55.3452', '6331.31', '175', '1');
INSERT INTO `staticobjects` VALUES ('7', '1094868', '0', 'object/static/item/shared_item_tool_sensor_beacon.iff', '0', '0', '0', '1', '-3659.21', '83.2398', '6331.04', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1094869', '0', 'object/static/particle/shared_pt_poi_broken_electronics.iff', '0', '0', '0', '1', '-3659.13', '85.766', '6331.02', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '1094871', '0', 'object/static/particle/shared_pt_miasma_of_fog_gray.iff', '0', '0', '0', '1', '-3659.56', '86.3276', '6331.08', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '1094872', '0', 'object/static/particle/shared_pt_poi_electricity_2x2.iff', '0', '0', '0.717356', '-0.696707', '-3660.36', '87.1666', '6331.25', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '1094880', '0', 'object/static/structure/corellia/shared_corl_power_arial_thin.iff', '-0.182618', '0.686478', '0.180945', '0.680189', '-3638.5', '56.3769', '6330.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '1094881', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0', '0', '1', '-3638.03', '56.7785', '6335.22', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '1094882', '0', 'object/static/structure/general/shared_data_terminal_s1.iff', '0', '0.707106', '0', '0.707107', '-3635.79', '56.6561', '6333.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '1094889', '0', 'object/static/item/shared_item_tool_computer_toolkit.iff', '0', '0.992904', '0', '-0.118922', '-3633.46', '57.5877', '6336.39', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1094890', '0', 'object/static/item/shared_item_tool_instrument_calibrator.iff', '0', '0.884303', '0', '0.466913', '-3636.42', '57.3415', '6336.54', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1094891', '0', 'object/static/item/shared_item_tool_power_output_analyzer.iff', '0', '0.999526', '0', '0.0307914', '-3634.47', '57.5868', '6336.64', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1094892', '0', 'object/static/item/shared_item_document.iff', '0', '0', '0', '1', '-3634.17', '57.5908', '6336.16', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1094893', '0', 'object/static/item/shared_item_document.iff', '0', '-0.0848976', '0', '0.99639', '-3633.95', '57.5937', '6336.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1094894', '0', 'object/static/item/shared_item_document.iff', '0', '0.822049', '0', '-0.569417', '-3634.1', '57.6625', '6336.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1094895', '0', 'object/tangible/furniture/imperial/shared_table_s1.iff', '0', '0.973848', '0', '-0.227202', '-3633.89', '56.8365', '6336.89', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '1094897', '0', 'object/static/structure/corellia/shared_corl_tent_med.iff', '0', '0.0149994', '0', '0.999888', '-3632.88', '56.8336', '6334.47', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '1094898', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '0.0149994', '0', '0.999888', '-3633.28', '56.6076', '6334.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '1094899', '0', 'object/tangible/furniture/all/shared_frn_all_toolchest_lg_s01.iff', '0', '0.20846', '0', '0.978031', '-3634.88', '56.7145', '6332.13', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '1094900', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '-3632.11', '56.6976', '6331.63', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1094901', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.309816', '0', '0.950796', '-3632.18', '56.7867', '6332.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1094902', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.764329', '0', '-0.644827', '-3630.79', '56.6927', '6332.81', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1094903', '0', 'object/tangible/camp/shared_camp_tent_s3.iff', '0', '0', '0', '1', '-3623.74', '56.6723', '6333.19', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '1094906', '0', 'object/static/structure/corellia/shared_corl_power_box_node.iff', '0', '0', '0', '1', '-3638.03', '56.6057', '6330.85', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '1094908', '0', 'object/static/particle/shared_pt_buzzing_insects_small.iff', '0', '0', '0', '1', '-3090.68', '28.6233', '4605.4', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '1094909', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0.978256', '0.0636438', '0.0718189', '0.183866', '-3089.26', '27.7812', '4604.68', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '1094913', '0', 'object/static/particle/shared_pt_lair_evil_fire_large_red.iff', '0', '0', '0', '1', '-5098.61', '47.4026', '2358.7', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '1094916', '0', 'object/static/structure/general/shared_poi_temple_ancient_ruined.iff', '0', '0', '0', '1', '-5120.49', '19.4059', '3228.15', '175', '1');
INSERT INTO `staticobjects` VALUES ('7', '1094917', '0', 'object/static/particle/shared_pt_miasma_of_fog_mustard.iff', '0', '0', '0', '1', '-5125.49', '19.6308', '3227.01', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '1094918', '0', 'object/static/particle/shared_pt_miasma_of_fog_mustard.iff', '0', '0', '0', '1', '-5141.21', '15.3708', '3204.61', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '1094919', '0', 'object/static/particle/shared_pt_miasma_of_fog_mustard.iff', '0', '0', '0', '1', '-5117.49', '16.1782', '3195.26', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '1094920', '0', 'object/static/particle/shared_pt_miasma_of_fog_mustard.iff', '0', '0', '0', '1', '-5106.99', '18.8959', '3209.48', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '1094921', '0', 'object/static/particle/shared_pt_miasma_of_fog_mustard.iff', '0', '0', '0', '1', '-5107.02', '20.7643', '3223.75', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '1094922', '0', 'object/static/particle/shared_pt_miasma_of_fog_mustard.iff', '0', '0', '0', '1', '-5119.72', '18.1393', '3211.54', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '1094923', '0', 'object/static/particle/shared_pt_miasma_of_fog_mustard.iff', '0', '0', '0', '1', '-5139.52', '17.6092', '3221.03', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '1094924', '0', 'object/static/particle/shared_pt_miasma_of_fog_mustard.iff', '0', '0', '0', '1', '-5127.76', '16.1499', '3201.49', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '1094925', '0', 'object/static/particle/shared_pt_miasma_of_fog_mustard.iff', '0', '0', '0', '1', '-5123.24', '20.7819', '3234.57', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '1094926', '0', 'object/static/particle/shared_pt_miasma_of_fog_mustard.iff', '0', '0', '0', '1', '-5134.09', '14.3514', '3191.87', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '1094928', '0', 'object/static/particle/shared_pt_buzzing_insects_large.iff', '0', '0', '0', '1', '-5108.75', '19.5172', '3215.26', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '1094930', '0', 'object/static/particle/shared_pt_buzzing_insects_large.iff', '0', '0', '0', '1', '-5128.88', '16.2267', '3202.82', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '1094936', '0', 'object/static/particle/shared_pt_buzzing_insects_large.iff', '0', '0', '0', '1', '-5118.53', '19.5612', '3221.76', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '1094937', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_02.iff', '0', '0', '0', '1', '-3394.38', '4.92907', '2495.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '1094938', '0', 'object/static/structure/general/shared_campfire_burnt.iff', '0', '0', '0', '1', '-3010.18', '0.322675', '1948.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '1165435', '0', 'object/static/item/shared_item_container_organic_hide.iff', '0', '-0.276356', '0', '0.961055', '371.181', '6', '-2877.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1165436', '0', 'object/static/item/shared_item_container_organic_hide.iff', '0', '-0.5522', '0', '0.833712', '371.746', '6', '-2877.07', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1165437', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.707106', '0', '0.707107', '359.706', '6', '-2883.25', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '1165438', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.707107', '0', '-0.707107', '362.177', '6', '-2883.18', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '1165449', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0', '0', '1', '361.16', '3.01243', '-2878.91', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '1165450', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.999465', '0', '-0.0326933', '422.756', '6', '-3003.1', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '1165451', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.149438', '0', '0.988771', '422.54', '6', '-3006', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '1165452', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.609159', '0', '0.793048', '424.128', '6', '-3004.4', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '1165453', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.526943', '0', '0.8499', '421.223', '6', '-3004.87', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '1165454', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0', '0', '1', '422.691', '6', '-3004.56', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '1165461', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.319309', '0', '0.947651', '320.796', '6', '-3145.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1165462', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.119713', '0', '0.992809', '320.581', '6', '-3144.48', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1165463', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.257081', '0', '0.96639', '319.648', '6', '-3144.93', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1165469', '0', 'object/static/flora/shared_flora_tree_tato_touchnot.iff', '0', '0.0998334', '0', '0.995004', '582.777', '6', '-2944.71', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '1165470', '0', 'object/static/flora/shared_flora_tree_tato_touchnot.iff', '0', '0.548024', '0', '0.836463', '575.909', '6', '-2944.79', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '1165471', '0', 'object/static/flora/shared_flora_tree_tato_touchnot.iff', '0', '0.792563', '0', '-0.609791', '575.296', '6', '-2935.72', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '1165472', '0', 'object/static/flora/shared_flora_tree_tato_touchnot.iff', '0', '-0.271547', '0', '0.962425', '582.694', '6', '-2935.72', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '1165473', '0', 'object/static/structure/corellia/shared_corl_fountain_statue_heroic_s01.iff', '0', '0', '0', '1', '579.324', '5.71033', '-2940.21', '96', '1');
INSERT INTO `staticobjects` VALUES ('7', '1392907', '0', 'object/building/military/shared_military_base_shed_imperial_style_hospital_01.iff', '0', '-0.707106', '0', '0.707107', '-2163', '20', '2328', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '1392908', '1392907', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '1392909', '1392907', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '1392910', '1392907', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '1392911', '1392907', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '1392912', '1392907', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '1392913', '1392907', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452865', '0', 'object/static/item/shared_item_container_organic_structure.iff', '0', '0.309816', '0', '0.950796', '4220.62', '2', '5123.58', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452866', '0', 'object/static/item/shared_item_container_organic_structure.iff', '0', '-0.0100009', '0', '0.99995', '4220.29', '2', '5124.47', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452867', '0', 'object/static/item/shared_item_container_organic_structure.iff', '0', '0.227977', '0', '0.973667', '4221.02', '2', '5124.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452868', '0', 'object/static/structure/general/shared_data_terminal_free_s1.iff', '0', '0.572868', '0', '0.819647', '4219.28', '2', '5125.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452869', '0', 'object/static/item/shared_item_container_organic_structure.iff', '0', '-0.104808', '0', '0.994493', '4218.26', '2', '5130.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452870', '0', 'object/static/item/shared_item_container_organic_structure.iff', '0', '-0.114748', '0', '0.993395', '4217.94', '2', '5131.62', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452871', '0', 'object/static/item/shared_item_container_organic_structure.iff', '0', '-0.188859', '0', '0.982004', '4218.02', '2', '5130.9', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452884', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '-0.174108', '0', '0.984727', '4282.69', '2', '5170.01', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452885', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '-0.271547', '0', '0.962425', '4282.1', '2', '5169.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452886', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '-0.394019', '0', '0.919102', '4281.78', '2', '5169.51', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452888', '0', 'object/static/item/shared_item_fruit_melon.iff', '0', '0.539632', '0', '0.841901', '4339.27', '2.98031', '5113.77', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452889', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.193767', '0', '0.981048', '4340.27', '2', '5112.7', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452890', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.193767', '0', '0.981048', '4340.76', '2', '5112.61', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452891', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.193767', '0', '0.981048', '4341.11', '2', '5112.5', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452892', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.193767', '0', '0.981048', '4341.56', '2', '5112.32', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452893', '0', 'object/static/item/shared_item_fruit_melon.iff', '0', '0.998248', '0', '-0.0591691', '4339.25', '2.98031', '5114.02', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452894', '0', 'object/static/item/shared_item_fruit_melon.iff', '0', '0.539632', '0', '0.841901', '4339.39', '2.98031', '5114.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452895', '0', 'object/static/item/shared_item_fruit_melon.iff', '0', '0.475032', '0', '0.879969', '4339.43', '2.98031', '5113.9', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452896', '0', 'object/static/item/shared_item_fruit_melon.iff', '0', '0.734548', '0', '0.678557', '4339.47', '2.98031', '5113.68', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452897', '0', 'object/static/item/shared_item_fruit_melon.iff', '0', '0.912764', '0', '0.408487', '4339.34', '2.98031', '5114.37', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452898', '0', 'object/static/item/shared_item_fruit_melon.iff', '0', '0.912764', '0', '0.408487', '4339.56', '2.98031', '5114.5', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452899', '0', 'object/static/item/shared_item_fruit_melon.iff', '0', '0.703279', '0', '0.710914', '4339.52', '2.98031', '5114.29', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452900', '0', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '-0.314567', '0', '0.949235', '4492.45', '2', '5181.39', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452901', '0', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '0', '0', '1', '4491.88', '2', '5180.93', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452902', '0', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '0', '0', '1', '4492.3', '2', '5182.25', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452903', '0', 'object/static/structure/general/shared_droid_lemedical_powerdown.iff', '0', '-0.703279', '0', '0.710914', '4492.19', '2', '5183.23', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452907', '0', 'object/tangible/speaker/shared_speaker.iff', '0', '0.710353', '0', '0.703845', '4332.93', '2', '5329.29', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452908', '0', 'object/tangible/speaker/shared_speaker.iff', '0', '0.342898', '0', '0.939373', '4336.94', '2', '5321.78', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452909', '0', 'object/tangible/instrument/shared_ommni_box.iff', '0', '0', '0', '1', '4333.47', '2', '5326.63', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452910', '0', 'object/static/creature/shared_talus_guf_drolg.iff', '0', '0.937369', '0', '-0.348337', '4470.55', '2', '5489.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452911', '0', 'object/static/creature/shared_corellia_bageraset.iff', '0', '0.20846', '0', '0.978031', '4463.93', '2', '5480.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452915', '0', 'object/static/structure/general/shared_droid_r3_powerdown.iff', '0', '0.948985', '0', '-0.315322', '4293.33', '9.9', '5452.21', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452916', '0', 'object/static/structure/general/shared_droid_r5_powerdown.iff', '0', '0.640385', '0', '0.768054', '4288.47', '9.9', '5450.14', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452917', '0', 'object/static/structure/general/shared_poi_powerdroidbody.iff', '0', '0', '0', '1', '4292.3', '9.9', '5452.36', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452918', '0', 'object/static/structure/general/shared_poi_powerdroid_powerdown.iff', '0', '-0.685289', '0', '0.728271', '4288.08', '9.9', '5449.29', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452919', '0', 'object/static/creature/shared_corellia_durni.iff', '0', '0', '0', '1', '4398.01', '2', '5289.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452920', '0', 'object/static/creature/shared_corellia_durni.iff', '0', '0.95657', '0', '-0.291502', '4398.6', '2', '5303.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452921', '0', 'object/static/creature/shared_corellia_durni.iff', '0', '0.713864', '0', '0.700285', '4378.78', '2', '5303.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452922', '0', 'object/tangible/instrument/shared_bandfill.iff', '-0.176367', '0.396083', '0.167801', '0.885356', '4334.89', '3.45067', '5324.42', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452923', '0', 'object/static/item/shared_item_music_microphone_s1.iff', '0', '0.862404', '0', '-0.50622', '4334.81', '2', '5324.53', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452928', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '0', '0', '1', '4236.75', '0.422607', '5262.96', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452930', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.969944', '0', '-0.243329', '4238.44', '0.500186', '5262.12', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452931', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '-0.681643', '0', '0.731685', '4238.51', '0.394236', '5265.34', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452932', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.872356', '0', '-0.488871', '4238.88', '0.409052', '5264.89', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452935', '0', 'object/static/item/shared_item_container_organic_structure.iff', '0', '0.333487', '0', '0.942755', '4239.48', '0.399803', '5265.47', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452937', '0', 'object/static/item/shared_item_container_organic_hide.iff', '0', '-0.144492', '0', '0.989506', '4239.12', '0.381566', '5266.09', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452940', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0', '0', '1', '4233.28', '0.469009', '5265.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452942', '0', 'object/static/structure/dantooine/shared_dant_fire_pit.iff', '0', '-0.628794', '0', '0.777572', '4233.3', '0.376598', '5265.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452943', '0', 'object/static/structure/dantooine/shared_dant_fish_rack.iff', '0', '0.734548', '0', '-0.678557', '4239.52', '0.384037', '5263.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452944', '0', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '4237.14', '1.03129', '5263.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452945', '0', 'object/static/item/shared_item_shisha.iff', '0', '0.597195', '0', '0.802096', '4236.79', '1.03024', '5262.93', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452946', '0', 'object/static/item/shared_item_glass_white.iff', '0', '0', '0', '1', '4237.26', '0.297957', '5262.82', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452947', '0', 'object/static/structure/corellia/shared_corl_tent_small.iff', '0', '0.741296', '0', '-0.671178', '4237.68', '0.314554', '5264.45', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452948', '0', 'object/static/structure/corellia/shared_corl_tent_small.iff', '0', '0', '0', '1', '4409.9', '2', '5310.17', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452949', '0', 'object/static/item/shared_item_container_organic_structure.iff', '0', '0', '0', '1', '4408.8', '2', '5308.65', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452950', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.203567', '0', '0.979061', '4408.76', '2', '5310.91', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452955', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '-0.659384', '0', '0.751806', '4367.54', '2', '5295.49', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452958', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.998531', '0', '0.0541771', '4368.08', '2', '5293.81', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452959', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.864924', '0', '-0.501902', '4368.05', '2', '5294.65', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452960', '0', 'object/static/item/shared_item_pistol.iff', '0.375605', '0.375605', '0.5991', '0.5991', '4367.7', '2.895', '5294.66', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452961', '0', 'object/static/item/shared_item_pistol.iff', '0.512148', '-0.512148', '-0.487549', '0.487549', '4368.24', '2.895', '5294.77', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452962', '0', 'object/static/item/shared_item_pistol.iff', '-0.604374', '0.604374', '0.367058', '-0.367059', '4368.09', '2.895', '5294.58', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452963', '0', 'object/static/structure/corellia/shared_corl_tent_small.iff', '0', '1', '0', '3.20013e-08', '4366.46', '2', '5294.45', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452964', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '-0.25708', '0', '0.96639', '4366.55', '2', '5317.73', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452965', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0.836026', '0', '-0.54869', '4367.73', '2', '5318.44', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452966', '0', 'object/tangible/instrument/shared_mandoviol.iff', '-0.496855', '0.004969', '-0.008678', '0.867776', '4367.96', '2.94869', '5318.4', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452967', '0', 'object/tangible/instrument/shared_fizz.iff', '-0.168081', '0.168081', '0.68684', '-0.68684', '4367.49', '2.75895', '5318.95', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452968', '0', 'object/static/item/shared_item_jar_berries.iff', '0', '0', '0', '1', '4367.93', '2.72733', '5318.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452969', '0', 'object/static/structure/corellia/shared_corl_tent_small.iff', '0', '-0.707106', '0', '0.707107', '4365.96', '2', '5318.95', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452973', '0', 'object/static/structure/general/shared_droid_lemedical_powerdown.iff', '0', '0.999991', '0', '0.00420355', '4398.86', '2', '5282.78', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452974', '0', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '0', '0', '1', '4399.74', '2', '5282.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452975', '0', 'object/static/structure/corellia/shared_corl_tent_small.iff', '0', '0.0299955', '0', '0.99955', '4398.2', '2', '5281.15', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452976', '0', 'object/static/item/shared_item_axe.iff', '0.622123', '0.266964', '0.698988', '0.230454', '4406.98', '3.32043', '5285.5', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452977', '0', 'object/static/item/shared_item_vibrolance.iff', '0', '0', '0.980893', '-0.194548', '4407.45', '2.94936', '5286.34', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452978', '0', 'object/static/item/shared_item_vibroaxe.iff', '0', '0', '0.980893', '-0.194548', '4407.45', '2.95322', '5286.76', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452980', '0', 'object/static/item/shared_item_crate_clothing_small.iff', '0', '0.724287', '0', '-0.689498', '330.741', '6', '-2916.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452981', '0', 'object/static/item/shared_item_container_organic_structure.iff', '0', '0.902268', '0', '-0.431177', '331.416', '6', '-2916.59', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452982', '0', 'object/static/item/shared_item_container_organic_structure.iff', '0', '-0.314567', '0', '0.949235', '330.063', '6', '-2912.67', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452983', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '0', '0', '1', '550.663', '6', '-2865.27', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452984', '0', 'object/static/item/shared_item_axe.iff', '0', '0', '0.710353', '0.703845', '550.839', '6.63246', '-2865.6', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452985', '0', 'object/static/item/shared_item_katana.iff', '0', '0', '0.706824', '0.707389', '550.882', '6.63246', '-2864.94', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452986', '0', 'object/static/item/shared_item_ryyk_blade.iff', '0', '0', '0.706824', '0.707389', '550.957', '6.63246', '-2865.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452987', '0', 'object/static/structure/corellia/shared_corl_tent_small.iff', '0', '0', '0', '1', '331.232', '6', '-2914.66', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452988', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0', '0', '1', '329.421', '6', '-2915.43', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452993', '0', 'object/tangible/crafting/station/shared_public_clothing_station.iff', '0', '0.926499', '0', '0.376297', '502.589', '6', '-3045.08', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452994', '0', 'object/tangible/microphone/shared_microphone.iff', '0', '-0.333487', '0', '0.942755', '572.802', '6.31623', '-3099.81', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452995', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.375559', '0', '0.926798', '585.805', '6', '-2875.05', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452996', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.706826', '0', '0.707388', '584.843', '6', '-2874.85', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452998', '0', 'object/static/item/shared_item_rifle.iff', '0.698016', '0.175213', '-0.0577535', '-0.691909', '585.576', '6.09487', '-2874.53', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1452999', '0', 'object/static/structure/corellia/shared_corl_tent_med.iff', '0', '-0.707106', '0', '0.707108', '585.183', '6', '-2872.5', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '1453001', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.169182', '0', '0.985585', '585.926', '6', '-2871.69', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1453002', '0', 'object/static/item/shared_item_pistol.iff', '0', '0', '0.685288', '0.728272', '585.755', '6.91706', '-2871.63', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1453003', '0', 'object/static/item/shared_item_vibroaxe.iff', '0.72151', '-0.0949126', '0.678248', '-0.101955', '524.164', '6.98031', '-2932.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1453004', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '579.314', '6', '-2935.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '1453005', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '579.279', '6', '-2945.34', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '1453006', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '1', '0', '-2.41953e-07', '587.852', '6', '-2936.23', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1453007', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '1', '0', '3.48103e-07', '587.86', '6', '-2935.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1453008', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '1', '0', '3.48103e-07', '587.86', '6', '-2935.32', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1453009', '0', 'object/static/item/shared_item_rifle.iff', '0', '0', '0.663136', '0.748499', '587.841', '6.34855', '-2936.24', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1453010', '0', 'object/static/item/shared_item_tool_radio.iff', '0', '0.681639', '0', '0.731689', '588.048', '6.31623', '-2935.28', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1575870', '0', 'object/static/item/shared_item_crate_clothing_small.iff', '0', '0.924606', '0', '-0.380925', '368.817', '6', '-2877.24', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1575871', '0', 'object/static/item/shared_item_dye_kit.iff', '0', '0.976806', '0', '-0.214125', '368.732', '6.75895', '-2877.05', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1575872', '0', 'object/static/item/shared_item_sewing_utensils.iff', '0.235431', '0.665573', '-0.655116', '0.269088', '368.896', '6.79057', '-2877.35', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1575875', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.707106', '0', '0.707107', '519.03', '6', '-2912.04', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1575879', '0', 'object/static/item/shared_item_vibroknuckles.iff', '0.52659', '0.472811', '-0.481979', '0.516574', '516.363', '5.88129', '-2911.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1575880', '0', 'object/static/item/shared_item_vibrolance.iff', '0.00495364', '-0.00306762', '0.70725', '-0.706939', '518.916', '6.92171', '-2912.38', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '1795385', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_02.iff', '0', '0', '0', '1', '-2043.77', '138.672', '2810.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '1795387', '0', 'object/static/structure/dantooine/shared_dant_fire_pit.iff', '0', '0', '0', '1', '-98.571', '72.5907', '2609.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '1795391', '0', 'object/static/particle/shared_pt_flocking_glowzees.iff', '0', '0', '0', '1', '341.493', '43.3622', '1999.4', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '1795393', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.955101', '0', '0.296281', '531.935', '6.6', '-3171.48', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '1795394', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.990794', '0', '0.135379', '535.733', '6.6', '-3169.59', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '1795396', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.98889', '0', '-0.148651', '544.494', '6.6', '-3169.59', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '1795397', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.951043', '0', '-0.309059', '547.458', '6.6', '-3171.14', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '1795398', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.707107', '0', '0.707107', '637.64', '6', '-3017.64', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '1795399', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.707107', '0', '0.707107', '635.479', '6', '-3004.71', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '1795400', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.707106', '0', '0.707107', '637.841', '6', '-2985.74', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '1795401', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.707107', '0', '0.707107', '693.09', '6', '-2976.97', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '1795402', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '1', '0', '-3.20013e-08', '683.065', '6', '-2969.12', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '1795403', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '1', '0', '-3.20013e-08', '689.084', '6', '-2969.1', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '1795404', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0', '0', '1', '683.028', '6', '-3031.06', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '1795405', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0', '0', '1', '689.039', '6', '-3031.01', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '1795406', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.707107', '0', '0.707107', '680.139', '6', '-3016.98', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '1795407', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.707107', '0', '0.707107', '680.227', '6', '-2982.96', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '1795408', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.707106', '0', '0.707107', '693.376', '6', '-3022.91', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '2035820', '0', 'object/static/structure/general/shared_poi_all_obelisk_s01.iff', '0', '0', '0', '1', '-5524.39', '22.3944', '1064.47', '175', '1');
INSERT INTO `staticobjects` VALUES ('7', '2035821', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_02.iff', '0', '0', '0', '1', '-5524.1', '42.8285', '1064.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '2035822', '0', 'object/static/particle/shared_pt_miasma_of_fog_red.iff', '0', '0', '0', '1', '-5101.15', '9.5306', '1271.08', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '2035825', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '0', '0', '1', '-3459.8', '13.7339', '1552.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '2035829', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '-3459.17', '16.517', '1552.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '2035830', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '-3460.45', '16.5212', '1552.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '2035831', '0', 'object/static/item/shared_item_tool_hydrospanner.iff', '0.552199', '0', '0', '0.833712', '-3460.3', '17.9353', '1551.35', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '2035832', '0', 'object/static/item/shared_item_tool_hydrospanner.iff', '0.5522', '0', '0', '0.833712', '-3459.36', '17.9302', '1551.34', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '2035833', '0', 'object/static/item/shared_item_tool_hydrospanner.iff', '0.5522', '0', '0', '0.833712', '-3459.81', '17.9275', '1551.34', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '2035834', '0', 'object/static/item/shared_item_tool_hydrospanner.iff', '-0.321583', '0.629131', '-0.338087', '-0.621672', '-3458.57', '17.8941', '1552.36', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '2035835', '0', 'object/static/item/shared_item_tool_hydrospanner.iff', '-0.321583', '0.629131', '-0.338087', '-0.621672', '-3458.57', '17.8883', '1551.9', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '2035836', '0', 'object/static/item/shared_item_tool_hydrospanner.iff', '0.388781', '0.600794', '0.369106', '-0.593007', '-3461.05', '17.9247', '1552.35', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '2035837', '0', 'object/static/item/shared_item_tool_hydrospanner.iff', '0.388781', '0.600794', '0.369106', '-0.593007', '-3461.05', '17.9167', '1551.9', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '2035838', '0', 'object/static/item/shared_item_tool_hydrospanner.iff', '5.96503e-05', '0.838759', '-0.544502', '-0.000794138', '-3459.36', '17.9121', '1552.91', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '2035839', '0', 'object/static/item/shared_item_tool_hydrospanner.iff', '5.96771e-05', '0.838758', '-0.544503', '-0.00079418', '-3460.3', '17.9085', '1552.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '2035840', '0', 'object/static/item/shared_item_tool_hydrospanner.iff', '5.96771e-05', '0.838758', '-0.544503', '-0.00079418', '-3459.84', '17.9047', '1552.91', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '2035843', '0', 'object/static/structure/general/shared_campfire_ash.iff', '-0.114205', '0.454195', '-0.1177', '0.875677', '-3459.48', '13.7693', '1550.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '2035844', '0', 'object/static/structure/general/shared_skeleton_human_body.iff', '-0.123672', '-0.00512342', '-0.119517', '0.985086', '-3459.43', '13.6704', '1550.71', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '2035845', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_02.iff', '0', '0', '0', '1', '-2791.69', '7.00526', '912.666', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '2035848', '0', 'object/static/structure/general/shared_campfire_burnt.iff', '0', '0', '0', '1', '-1832.24', '9.19767', '1437.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '2035851', '0', 'object/static/particle/shared_pt_lair_evil_fire_large_red.iff', '0', '0', '0', '1', '-1832.24', '9.20998', '1437.43', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '2035852', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0.999668', '0', '0.0257936', '-1832.72', '4.8069', '1437.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '2035853', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0.9992', '0', '0.0399896', '-1831.71', '4.91674', '1437.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '2035854', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '-0.0399921', '0', '0.9992', '-1832.65', '4.95204', '1436.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '2035855', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0.728', '0', '-0.685578', '-1831.65', '4.88981', '1436.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '2035857', '0', 'object/static/particle/shared_pt_miasma_of_fog_red.iff', '0', '0', '0', '1', '-1825.06', '8.12978', '1438.27', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '2035858', '0', 'object/static/particle/shared_pt_miasma_of_fog_red.iff', '0', '0', '0', '1', '-1840.3', '7.32262', '1438.65', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '2035859', '0', 'object/static/particle/shared_pt_miasma_of_fog_red.iff', '0', '0', '0', '1', '-1831.5', '8.59035', '1425.1', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '2035860', '0', 'object/static/particle/shared_pt_miasma_of_fog_red.iff', '0', '0', '0', '1', '-1832.11', '7.12277', '1450.16', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '2035862', '0', 'object/static/particle/shared_pt_poi_broken_electronics.iff', '0', '0', '0', '1', '-1467.62', '29.6056', '1235.19', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '2035863', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '-862.044', '13.8759', '1019.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '2035869', '0', 'object/static/item/shared_item_con_ration_kit_lg.iff', '0.0848966', '0.00173794', '-0.00468821', '0.996377', '1116.05', '58.2698', '1488.64', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '2035870', '0', 'object/static/item/shared_item_container_organic_food.iff', '-0.258766', '-0.0646974', '-0.594704', '0.758408', '1115.72', '58.1136', '1488.07', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '2035871', '0', 'object/static/item/shared_item_container_organic_food.iff', '0.360255', '0.196167', '0.643879', '-0.645875', '1117.28', '58.3175', '1488.73', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '2035872', '0', 'object/static/particle/shared_pt_buzzing_insects_small.iff', '0', '0', '0', '1', '1116.72', '58.2924', '1488.47', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '2035877', '0', 'object/static/structure/corellia/shared_corl_tent_med.iff', '0', '0', '0', '1', '-3686.16', '34.9464', '-552.701', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '2035881', '0', 'object/static/particle/shared_pt_poi_broken_electronics.iff', '0', '0', '0', '1', '-2599.22', '48.4121', '100.157', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '2035884', '0', 'object/static/particle/shared_pt_flocking_glowzees.iff', '0', '0', '0', '1', '-696.014', '43.8107', '161.314', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '2035885', '0', 'object/static/particle/shared_pt_flocking_glowzees.iff', '0', '0', '0', '1', '-698.537', '43.6533', '158.389', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '2365963', '0', 'object/static/particle/shared_pt_miasma_of_fog_mustard.iff', '0', '0', '0', '1', '3885.14', '101.371', '-2848.45', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '2365964', '0', 'object/static/particle/shared_pt_miasma_of_fog_mustard.iff', '0', '0', '0', '1', '3893.97', '101.174', '-2839.4', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '2365965', '0', 'object/static/particle/shared_pt_miasma_of_fog_mustard.iff', '0', '0', '0', '1', '3906.01', '101.588', '-2849.99', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '2365966', '0', 'object/static/particle/shared_pt_miasma_of_fog_mustard.iff', '0', '0', '0', '1', '3892.68', '101.7', '-2859.32', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '2365969', '0', 'object/static/item/shared_item_tapestry_imperial.iff', '0', '-0.223106', '0', '0.974794', '5968.07', '6.8797', '-1184.44', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735607', '0', 'object/static/particle/shared_pt_lok_volcano_smoke.iff', '0', '0', '0', '1', '4298.23', '35', '860.497', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735608', '0', 'object/static/particle/shared_pt_lok_volcano_smoke.iff', '0', '0', '0', '1', '4284.63', '30.0047', '869.83', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735610', '0', 'object/static/particle/shared_pt_lok_volcano_smoke_sm.iff', '0', '0', '0', '1', '4285.72', '36.7297', '879.638', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735612', '0', 'object/static/particle/shared_particle_newbie_hanging_smoke.iff', '0', '0', '0', '1', '4286.26', '33.3113', '872.065', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735613', '0', 'object/static/particle/shared_pt_smoke_large.iff', '0', '0', '0', '1', '4287.17', '26.782', '868.074', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735614', '0', 'object/static/particle/shared_pt_smoke.iff', '0', '0', '0', '1', '4284.96', '25.9682', '871.284', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735615', '0', 'object/static/particle/shared_pt_smoke.iff', '0', '0', '0', '1', '4285.52', '30.4533', '867.996', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735616', '0', 'object/building/corellia/shared_filler_historic_32x16_s01.iff', '0', '-0.501213', '0', '0.865324', '4310.93', '6', '1049.68', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735617', '0', 'object/building/corellia/shared_filler_historic_32x16_s02.iff', '0', '0.994043', '0', '0.108987', '4243.76', '6', '1017.75', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735621', '0', 'object/building/corellia/shared_filler_historic_24x16_s01.iff', '0', '0.725384', '0', '0.688344', '4288.83', '6', '982.06', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735622', '0', 'object/building/corellia/shared_filler_historic_24x16_s02.iff', '0', '-0.15438', '0', '0.988011', '4338.31', '6', '1020.36', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735623', '0', 'object/building/corellia/shared_filler_historic_24x16_s02.iff', '0', '0.585096', '0', '0.810964', '4255.98', '6', '978.482', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735638', '0', 'object/building/corellia/shared_ply_corl_house_m_s01_fp1.iff', '0', '-0.20846', '0', '0.978031', '4321.54', '6', '989.519', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735639', '2735638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735640', '2735638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735641', '2735638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735642', '2735638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735643', '0', 'object/building/corellia/shared_ply_corl_house_s_s01_fp1.iff', '0', '-0.188859', '0', '0.982004', '4230.97', '6', '969.439', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735644', '2735643', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735645', '2735643', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735646', '2735643', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735647', '2735643', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735648', '0', 'object/building/corellia/shared_ply_corl_house_s_s01_fp2.iff', '0', '0.966185', '0', '0.25785', '4187.54', '6', '1031.81', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735649', '2735648', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735650', '2735648', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735651', '2735648', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735652', '2735648', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735653', '0', 'object/building/corellia/shared_ply_corl_house_s_s02_fp1.iff', '0', '0.958016', '0', '0.286715', '4165.93', '6', '1019.07', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735654', '2735653', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735655', '2735653', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735656', '2735653', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735657', '0', 'object/building/corellia/shared_filler_historic_24x16_s01.iff', '0', '0.528295', '0', '0.849061', '4204.65', '6', '958.585', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735658', '0', 'object/building/corellia/shared_filler_slum_16x32_s02.iff', '0', '0.830497', '0', '0.557023', '4117.73', '6', '918.394', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735660', '0', 'object/building/corellia/shared_filler_slum_16x16_s01.iff', '0', '0.987227', '0', '-0.159318', '4096.41', '6', '970.702', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735661', '0', 'object/building/corellia/shared_filler_slum_16x16_s01.iff', '0', '0.983844', '0', '0.17903', '4094.81', '6', '943.954', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735662', '0', 'object/building/corellia/shared_filler_slum_16x16_s01.iff', '0', '-0.257081', '0', '0.96639', '4151.62', '6', '918.057', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735663', '0', 'object/building/corellia/shared_filler_slum_16x16_s01.iff', '0', '-0.370921', '0', '0.928665', '4173.72', '6', '936.471', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735664', '0', 'object/building/corellia/shared_filler_slum_16x16_s01.iff', '0', '0.920906', '0', '-0.389785', '4109.01', '6', '993.752', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735665', '0', 'object/building/corellia/shared_filler_historic_32x16_s01.iff', '0', '-0.25708', '0', '0.96639', '4170.44', '6', '983.235', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735666', '0', 'object/building/corellia/shared_filler_slum_16x32_s01.iff', '0', '0.833272', '0', '-0.552863', '4135.98', '6', '1008.62', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735667', '0', 'object/static/installation/shared_mockup_mining_ore_harvester_style_2.iff', '0', '0.461779', '0', '0.886995', '4124.1', '6', '948.914', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735668', '0', 'object/static/installation/shared_mockup_mining_ore_harvester_style_2.iff', '0', '0.886995', '0', '-0.461779', '4145.65', '6', '964.213', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735670', '0', 'object/building/corellia/shared_filler_historic_24x16_s01.iff', '0', '0.0215907', '0', '0.999767', '4242.99', '6', '1059.19', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735671', '0', 'object/building/corellia/shared_ply_corl_house_s_s01_fp2.iff', '0', '0.999942', '0', '0.0107961', '4272.21', '6', '1061.95', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735672', '2735671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735673', '2735671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735674', '2735671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735675', '2735671', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735676', '0', 'object/static/structure/corellia/shared_corl_fountain_circle_s01.iff', '0', '0', '0', '1', '4290.35', '6', '1020.71', '96', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735682', '0', 'object/static/structure/corellia/shared_corl_power_arial_thin.iff', '0', '0', '0', '1', '4279.18', '9.34298', '1069.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735683', '0', 'object/static/structure/corellia/shared_corl_power_arial_prime.iff', '0', '0', '0', '1', '4332.93', '13.323', '986.412', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735684', '0', 'object/static/structure/corellia/shared_corl_power_box_node.iff', '0', '-0.149438', '0', '0.988771', '4340.57', '6', '997.326', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735685', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '-0.149438', '0', '0.988771', '4346.3', '6', '999.099', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735686', '0', 'object/static/structure/corellia/shared_corl_power_box_node.iff', '0', '-0.149438', '0', '0.988771', '4352.03', '6', '1000.87', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735687', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '0.988771', '0', '0.149438', '4348.07', '6', '993.367', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735688', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '-0.149438', '0', '0.988771', '4344.53', '6', '1004.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735689', '0', 'object/static/structure/corellia/shared_corl_power_arial_prime.iff', '0', '0.836026', '0', '0.54869', '4351.65', '5.57665', '996.269', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735690', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.514136', '0', '0.857709', '4362.51', '6', '1005.99', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735691', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.407761', '0', '0.913089', '4348.42', '6', '984.338', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735692', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.827702', '0', '-0.561168', '4361.74', '6', '1035.2', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735693', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.944148', '0', '-0.329521', '4346.77', '6', '1058.56', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735694', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.983701', '0', '-0.179813', '4315.69', '6', '1075.38', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735695', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.99871', '0', '-0.0507741', '4289.71', '6', '1083.61', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735696', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.00499958', '0', '0.999987', '4254.5', '6', '1081.86', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735697', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.906534', '0', '-0.422132', '4234.2', '6', '1081.61', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735698', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.770739', '0', '-0.637151', '4227.27', '6', '1110.55', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735699', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.773915', '0', '-0.633289', '4230.22', '6', '1097.16', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735700', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.741297', '0', '-0.671178', '4189.97', '6', '1054.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735701', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.795602', '0', '-0.60582', '4184.48', '6', '1073.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735702', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.827702', '0', '-0.561168', '4178.27', '6', '1092.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735703', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.0649546', '0', '0.997888', '4308.11', '6', '969.192', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735704', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.0199991', '0', '0.9998', '4272.98', '6', '974.048', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735705', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.188859', '0', '0.982004', '4245.69', '6', '963.347', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735706', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.183947', '0', '0.982936', '4223.78', '6', '954.927', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735707', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.252246', '0', '0.967663', '4192.51', '6', '939.194', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735708', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.347591', '0', '0.937646', '4169.86', '6', '919.297', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735709', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.109779', '0', '0.993956', '4141.35', '6', '902.314', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735710', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.891208', '0', '-0.453596', '4090.85', '6', '923.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735711', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.218229', '0', '0.975898', '4112.88', '6', '903.491', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735713', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.674288', '0', '0.738469', '4078.67', '6', '958.878', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735714', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.514136', '0', '0.857709', '4091.15', '6', '990.097', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735715', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.309817', '0', '0.950796', '4108.68', '6', '1011.49', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735716', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.232843', '0', '0.972514', '4130.73', '6', '1024.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735717', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.17903', '0', '0.983844', '4150.84', '6', '1035.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735718', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.242557', '0', '0.970137', '4170.71', '6', '1043.39', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735719', '0', 'object/static/structure/corellia/shared_corl_power_arial_prime.iff', '0', '0.849481', '0', '0.52762', '4134.95', '5.66832', '956.464', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735720', '0', 'object/static/structure/corellia/shared_corl_power_arial_thin.iff', '0', '0', '0', '1', '4106.81', '8.8993', '930.79', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735721', '0', 'object/static/structure/corellia/shared_corl_power_arial_thin.iff', '0', '0.370921', '0', '0.928665', '4155.83', '6.4298', '1021.34', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735732', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '-0.389418', '0', '0.921061', '4277.93', '6', '1031.87', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735733', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0', '0', '1', '4301.65', '6', '1004.28', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735734', '0', 'object/static/structure/general/shared_skeleton_bith_headandbody.iff', '0', '0.995415', '0', '-0.0956499', '4293.86', '6', '1038.75', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735735', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0', '0', '1', '4318.41', '6', '1004.21', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735736', '0', 'object/static/structure/general/shared_skeleton_human_body.iff', '0', '0', '0', '1', '4317.82', '6', '999.367', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735737', '0', 'object/static/structure/general/shared_skeleton_bith_headandbody.iff', '0', '0', '0', '1', '4194.5', '6', '1021.29', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735738', '0', 'object/static/structure/general/shared_skeleton_human_body.iff', '0', '0.457339', '0', '0.889293', '4229.67', '6', '983.594', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735739', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.846832', '0', '-0.531861', '4222.38', '6', '985.998', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735740', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '-0.699716', '0', '0.714421', '4225.16', '6', '1013.56', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735741', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0.920751', '0', '0.390152', '4215.33', '6', '1040.53', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735742', '0', 'object/static/structure/general/shared_skeleton_bith_headandbody.iff', '0', '0.483807', '0', '0.875175', '4187.55', '6', '977.735', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735743', '0', 'object/static/structure/general/shared_skeleton_bith_headandbody.iff', '0', '0.867423', '0', '-0.497571', '4131.45', '6', '982.401', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735744', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0.518418', '0', '0.855127', '4133.11', '6', '963.667', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735745', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0.858118', '0', '0.513453', '4141.32', '6', '942.702', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735746', '0', 'object/static/structure/general/shared_skeleton_bith_headandbody.iff', '0', '0', '0', '1', '4119.56', '6', '929.281', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735754', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '-0.0149903', '-0.000524873', '0.0349889', '0.999275', '4088.19', '7.12448', '-54.7421', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735755', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '-0.01499', '-0.000525', '0.034989', '0.999275', '4088.71', '7.20679', '-57.8103', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735759', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '-0.0448898', '-0.00292195', '0.0648885', '0.996878', '4092.08', '7.84439', '-53.5667', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735762', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '-0.483807', '0', '0.875174', '4088.48', '7.63794', '-51.6285', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735763', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '0.663135', '0', '0.748499', '4090.52', '7.57488', '-60.1533', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735764', '0', 'object/static/structure/corellia/shared_corl_power_arial_prime.iff', '0', '0', '0', '1', '4093.8', '7.74091', '-56.1851', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735765', '0', 'object/tangible/camp/shared_camp_tent_s3.iff', '-0.0306753', '0.227186', '0.0638413', '0.971272', '4095.42', '8.43391', '-61.3731', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735766', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0', '0.0948572', '0.995491', '4091.64', '7.62925', '-58.1273', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735768', '0', 'object/static/item/shared_item_tool_power_output_analyzer.iff', '-0.0626733', '0.962846', '-0.017062', '0.262123', '4090.61', '7.98862', '-55.0778', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735769', '0', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff', '0', '-0.208461', '0', '0.978031', '4098.96', '8.97574', '-56.4393', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735774', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '0.34759', '0', '0.937647', '1720.64', '25.1729', '1625.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735776', '0', 'object/static/structure/corellia/shared_corl_power_arial_thin.iff', '0', '0.34759', '0', '0.937646', '1713.26', '30.101', '1615.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735781', '0', 'object/static/particle/shared_pt_lair_med_burn.iff', '0', '0', '0', '1', '4309.47', '53.569', '2562.67', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735782', '0', 'object/static/structure/general/shared_banner_rebel_style_01.iff', '0', '0', '0', '1', '2381.9', '125.341', '-4989.52', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735786', '0', 'object/tangible/camp/shared_camp_light_s1.iff', '0', '0', '0', '1', '1464', '27.3482', '-2673.76', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735787', '0', 'object/tangible/camp/shared_camp_light_s1.iff', '0', '0', '0', '1', '1471.05', '27.3726', '-2671.88', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735788', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '0.707106', '0', '0.707107', '1113.42', '37.3587', '-1769.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735789', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0', '0', '1', '1118.78', '27.1279', '-1765.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735809', '0', 'object/static/creature/shared_droids_eg6.iff', '0', '0.314567', '0', '0.949235', '-2242.87', '20', '2266.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735813', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-4912.92', '4.85902', '-4509.11', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735814', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-4916.42', '5.01921', '-4509', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735815', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-4919.59', '5.17634', '-4508.97', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735820', '0', 'object/static/item/shared_item_crate_spice.iff', '0.0199987', '0', '0', '0.9998', '-3363.21', '32.275', '-3812.33', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735821', '0', 'object/static/item/shared_item_crate_spice.iff', '0.0199987', '0', '0', '0.9998', '-3363.23', '32.3214', '-3812.97', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735822', '0', 'object/static/item/shared_item_crate_spice.iff', '0.0199987', '0', '0', '0.9998', '-3363.26', '32.3655', '-3813.6', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735823', '0', 'object/static/item/shared_item_crate_spice.iff', '0.0199987', '0', '0', '0.9998', '-3363.27', '32.3814', '-3814.22', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735831', '0', 'object/static/flora/shared_flora_decd_scorched_tallbirch.iff', '-0.103707', '0.0151438', '-0.143697', '0.984056', '5440.61', '142.088', '5571.22', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735832', '0', 'object/static/flora/shared_flora_decd_scorched_tallbirch.iff', '0.150936', '-0.571647', '0.0558428', '0.804562', '5441.91', '138.707', '5598.77', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735834', '0', 'object/static/particle/shared_pt_miasma_of_fog_greenish.iff', '0', '0', '0', '1', '5443.09', '138.172', '5597.81', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735835', '0', 'object/static/particle/shared_pt_miasma_of_fog_greenish.iff', '0', '0', '0', '1', '5438.89', '142.035', '5571.95', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735838', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '-0.651833', '0', '0.758362', '-2087.09', '20', '2301.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735839', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '0.252245', '0', '0.967663', '-2136.9', '20', '2382.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735840', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '-0.29074', '0', '0.956802', '-2228.95', '20', '2382.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735841', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '0.747971', '0', '-0.663731', '-2276.96', '20', '2302.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735842', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '0.174108', '0', '0.984727', '-2228.88', '20', '2221.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735843', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '-0.305059', '0', '0.952334', '-2136.87', '20', '2221.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735844', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '-0.29552', '0', '0.955337', '-2130.75', '20', '2331.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735845', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0.21823', '0', '0.975897', '-2234.82', '20', '2331.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735846', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '-0.0149994', '0', '0.999888', '-2182.99', '20', '2244.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735847', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '0', '0', '1', '-2187.02', '20', '2306.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3075997', '0', 'object/tangible/terminal/shared_terminal_mission_bounty.iff', '0', '0.999987', '0', '-0.00500001', '265.857', '6', '-3070.27', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175352', '0', 'object/building/corellia/shared_starport_corellia.iff', '0', '0.707106', '0', '0.707108', '244.894', '6', '-2931.13', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175353', '3175352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175354', '3175352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175355', '3175352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175356', '3175352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365867', '3175356', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0', '0', '1', '9.89151', '0.639422', '62.3398', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365868', '3175356', 'object/tangible/terminal/shared_terminal_space.iff', '0', '1', '0', '3.20013e-08', '10.103', '0.639422', '57.4773', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365869', '3175356', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0', '0', '1', '-0.430382', '0.639421', '62.3848', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365870', '3175356', 'object/tangible/terminal/shared_terminal_space.iff', '0', '1', '0', '-3.20013e-08', '-0.271724', '0.639421', '57.4328', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365871', '3175356', 'object/tangible/terminal/shared_terminal_space.iff', '0', '1', '0', '-3.20013e-08', '-10.6079', '0.639423', '57.5921', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365872', '3175356', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0', '0', '1', '-10.5725', '0.639424', '62.3342', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175426', '3175356', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '1.88944', '0.639421', '59.1115', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9895471', '3175356', 'object/soundobject/shared_soundobject_starport_announcer.iff', '0', '0', '0', '1', '-7.75429', '0.639423', '59.8244', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175357', '3175352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175358', '3175352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175359', '3175352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175360', '3175352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175361', '3175352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175362', '3175352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '2636993', '3175362', 'object/tangible/terminal/shared_terminal_space.iff', '0', '-0.0529836', '0', '0.998595', '-40.4635', '1.63942', '46.4791', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5585429', '3175362', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0.997868', '0', '0.065263', '-41.5753', '1.63942', '52.9356', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5585430', '3175362', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0.75686', '0', '0.653577', '-44.0908', '1.63942', '50.1435', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5585435', '3175362', 'object/tangible/terminal/shared_terminal_space.iff', '0', '-0.644217', '0', '0.764843', '-37.8802', '1.63942', '49.2085', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175363', '3175352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175364', '3175352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175365', '3175352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175366', '3175352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175367', '3175352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '5535537', '3175352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175368', '0', 'object/building/corellia/shared_guild_combat_corellia_style_01.iff', '0', '1', '0', '3.20013e-08', '540', '6', '-2900', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175369', '3175368', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175370', '3175368', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175371', '3175368', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175372', '3175368', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175373', '3175368', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175374', '3175368', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175375', '3175368', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175376', '3175368', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175377', '3175368', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175378', '0', 'object/building/corellia/shared_guild_commerce_corellia_style_01.iff', '0', '0.382683', '0', '0.92388', '470', '6', '-3060', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175379', '3175378', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175380', '3175378', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175381', '3175378', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175382', '3175378', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175383', '3175378', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175384', '3175378', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175385', '3175378', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175386', '3175378', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175387', '3175378', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175388', '0', 'object/building/corellia/shared_cantina_corellia.iff', '0', '0', '0', '1', '440', '6', '-2930', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175389', '3175388', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175390', '3175388', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175391', '3175388', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175392', '3175388', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175405', '3175392', 'object/soundobject/shared_soundobject_cantina_small.iff', '0', '0', '0', '1', '20.2115', '-0.894996', '-16.7585', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175393', '3175388', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175406', '3175393', 'object/soundobject/shared_soundobject_cantina_small.iff', '0', '0', '0', '1', '17.574', '-0.894992', '18.3021', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175394', '3175388', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175404', '3175394', 'object/soundobject/shared_soundobject_cantina_small.iff', '0', '0', '0', '1', '6.93603', '-0.894992', '-15.7561', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175395', '3175388', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175407', '3175395', 'object/soundobject/shared_soundobject_cantina_small.iff', '0', '0', '0', '1', '5.9454', '-0.894992', '17.9027', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175396', '3175388', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175403', '3175396', 'object/soundobject/shared_soundobject_cantina_small.iff', '0', '0', '0', '1', '-8.17064', '-0.894907', '-17.6214', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175397', '3175388', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175408', '3175397', 'object/soundobject/shared_soundobject_cantina_small.iff', '0', '0', '0', '1', '-5.69948', '-0.894997', '21.0279', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175398', '3175388', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175399', '3175388', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '1500440', '3175399', 'object/tangible/terminal/shared_terminal_mission_rebel.iff', '0', '1', '0', '-3.20013e-08', '-24.3402', '-0.894985', '3.19001', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5755383', '3175399', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.810497', '0', '-0.585743', '-25.7028', '-0.894987', '-1.66108', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5755384', '3175399', 'object/static/item/shared_item_crate_spice.iff', '0', '0.804599', '0', '0.593818', '-29.3734', '-0.89499', '-2.37425', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5755385', '3175399', 'object/static/item/shared_item_crate_spice.iff', '0', '0.655617', '0', '0.755093', '-28.4706', '-0.894985', '-2.36796', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5755386', '3175399', 'object/static/item/shared_item_crate_spice.iff', '0', '0.980893', '0', '0.194548', '-28.9192', '-0.894984', '-1.55953', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5755387', '3175399', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.434966', '0', '0.900447', '-26.5283', '-0.894985', '-2.67927', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5755388', '3175399', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.99871', '0', '-0.0507745', '-27.2768', '-0.894985', '-2.52502', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5755389', '3175399', 'object/static/item/shared_item_container_organic_food.iff', '0', '-0.670587', '0', '0.741831', '-26.5723', '-0.894986', '-1.85767', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5755390', '3175399', 'object/static/item/shared_item_container_organic_food.iff', '0', '-0.483807', '0', '0.875175', '-25.7143', '-0.894987', '-2.49815', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5755391', '3175399', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '-27.6301', '-0.894985', '-1.22294', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5755392', '3175399', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.247404', '0', '0.968912', '-27.7921', '-0.894985', '0.423395', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5755393', '3175399', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.314567', '0', '0.949235', '-29.013', '-0.894984', '0.155138', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5755399', '3175399', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_02.iff', '0', '1', '0', '0', '-27.76', '-0.894985', '2.96713', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5755400', '3175399', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_02.iff', '0', '1', '0', '0', '-27.76', '-0.389021', '2.96713', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5755403', '3175399', 'object/static/item/shared_item_jar_berries.iff', '0', '0', '0', '1', '-27.4841', '-0.325775', '3.09236', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5755404', '3175399', 'object/static/item/shared_item_jar_bugs.iff', '0', '0', '0', '1', '-27.9412', '-0.325775', '3.17422', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5755405', '3175399', 'object/static/item/shared_item_jar_funk.iff', '0', '0', '0', '1', '-28.2102', '-0.325775', '3.23668', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5755406', '3175399', 'object/static/item/shared_item_jar_spice_red.iff', '0', '-0.193767', '0', '0.981048', '-28.5896', '-0.325775', '3.59943', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5755407', '3175399', 'object/static/item/shared_item_jar_spice_red.iff', '0', '0', '0', '1', '-28.8132', '-0.325775', '3.40133', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5755408', '3175399', 'object/static/item/shared_item_jar_funk.iff', '0', '0', '0', '1', '-28.3532', '-0.325774', '3.44755', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5755409', '3175399', 'object/static/item/shared_item_jar_funk.iff', '0', '0', '0', '1', '-28.4858', '-0.325774', '3.25668', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5755410', '3175399', 'object/static/item/shared_item_jar_berries.iff', '0', '0', '0', '1', '-27.2262', '-0.325775', '3.20545', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5755411', '3175399', 'object/static/item/shared_item_jar_berries.iff', '0', '0', '0', '1', '-26.8829', '-0.325775', '3.20996', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5755413', '3175399', 'object/static/item/shared_item_jar_berries.iff', '0', '0', '0', '1', '-26.7773', '-0.325775', '3.54169', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5755414', '3175399', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '-28.0182', '0.211812', '3.30354', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5755415', '3175399', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '-27.4162', '0.211812', '3.12542', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5755416', '3175399', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '-26.7588', '0.211812', '3.37561', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5755417', '3175399', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '-27.0983', '0.211812', '3.23261', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5755418', '3175399', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '-28.0003', '0.211812', '3.00556', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5755419', '3175399', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '-28.6905', '0.211812', '3.22723', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5755420', '3175399', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '-28.3629', '0.211812', '3.27571', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175400', '3175388', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175401', '3175388', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3735466', '3175401', 'object/static/item/shared_item_tool_hydrospanner.iff', '0', '0', '0', '1', '-32.823', '0.681674', '9.59008', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '3735467', '3175401', 'object/static/item/shared_item_tool_hydrospanner.iff', '0', '0', '0', '1', '-32.8336', '0.681674', '10.3528', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '3735468', '3175401', 'object/static/item/shared_item_vibroaxe.iff', '-0.0254367', '0.710458', '-0.702829', '0.0251755', '-32.8757', '0.761635', '9.98515', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '3735469', '3175401', 'object/static/item/shared_item_vibrolance.iff', '-0.706825', '0', '0', '0.707388', '-32.8346', '0.925255', '10.0455', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '3735474', '3175401', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_01.iff', '0', '0.707105', '0', '0.707108', '-30.9581', '-0.551614', '9.92233', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3735475', '3175401', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0', '0', '1', '-28.1602', '-0.519991', '5.36685', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3735476', '3175401', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '0', '0', '1', '-25.466', '-0.519991', '9.5924', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3735477', '3175401', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.213347', '0', '0.976976', '-24.7642', '-0.519991', '8.40286', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3735478', '3175401', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.568762', '0', '0.822502', '-26.802', '-0.519991', '9.23116', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3735480', '3175401', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s02.iff', '0', '0', '0', '1', '-25.4729', '0.112464', '9.58724', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3735481', '3175401', 'object/tangible/furniture/cheap/shared_armoire_s01.iff', '0', '1', '0', '3.20013e-08', '-30.3749', '-0.519991', '14.6437', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3735482', '3175401', 'object/tangible/furniture/all/shared_frn_all_throwpillow_med_s03.iff', '0', '0', '0', '1', '-32.2452', '-0.488368', '9.93971', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3735483', '3175401', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.707106', '0', '0.707107', '-29.6115', '-0.519991', '9.83935', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175402', '3175388', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175403', '3175388', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175404', '0', 'object/building/corellia/shared_cloning_corellia.iff', '0', '0.99997', '0', '-0.00770129', '254.273', '6', '-3049.68', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175405', '3175404', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175406', '3175404', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175407', '3175404', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175408', '3175404', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175409', '3175404', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175410', '3175404', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175411', '0', 'object/building/corellia/shared_filler_block_corellia_64x32_s01.iff', '0', '0', '0', '1', '600', '6', '-2890', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175418', '0', 'object/building/corellia/shared_filler_block_corellia_64x32_s02.iff', '0', '0', '0', '1', '440', '6', '-2880', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175424', '0', 'object/building/corellia/shared_association_hall_civilian_corellia.iff', '0', '-0.707105', '0', '0.707108', '620', '6', '-2940', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175425', '3175424', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175426', '3175424', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175427', '3175424', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175428', '3175424', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175429', '3175424', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175430', '3175424', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175431', '3175424', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175432', '3175424', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175433', '3175424', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175434', '3175424', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175435', '3175424', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175436', '3175424', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175437', '3175424', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175438', '3175424', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175439', '3175424', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175440', '3175424', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175441', '3175424', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175442', '0', 'object/building/corellia/shared_filler_building_corellia_style_01.iff', '0', '-0.707104', '0', '0.70711', '454.172', '6', '-3155.06', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175449', '0', 'object/building/corellia/shared_filler_building_corellia_style_02.iff', '0', '0', '0', '1', '468', '6', '-3209', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175485', '0', 'object/building/corellia/shared_filler_building_corellia_style_07.iff', '0', '1', '0', '3.20013e-08', '361.993', '6', '-2994.81', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175495', '0', 'object/building/corellia/shared_bank_corellia.iff', '0', '0', '0', '1', '540', '6', '-2990', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175496', '0', 'object/building/corellia/shared_filler_slum_16x16_s01.iff', '0', '0.00769902', '0', '0.99997', '189.905', '6', '-2824.83', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175498', '0', 'object/building/corellia/shared_filler_slum_16x32_s01.iff', '0', '0.00769905', '0', '0.99997', '187.007', '6', '-2857.84', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175500', '0', 'object/building/corellia/shared_filler_slum_16x32_s02.iff', '0', '-0.701642', '0', '0.712529', '164.484', '6', '-2808.69', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175504', '0', 'object/building/corellia/shared_filler_slum_16x16_s01.iff', '0', '0.999971', '0', '-0.00769873', '139.522', '6', '-2825', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175506', '0', 'object/building/corellia/shared_filler_slum_16x16_s01.iff', '0', '0.00769957', '0', '0.99997', '139.242', '6', '-2843.33', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175508', '0', 'object/building/corellia/shared_filler_slum_16x32_s01.iff', '0', '0.99997', '0', '-0.00769869', '139.664', '6', '-2869.82', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175510', '0', 'object/building/corellia/shared_filler_slum_16x32_s02.iff', '0', '0.99997', '0', '-0.00769957', '144.281', '6', '-2928.97', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175514', '0', 'object/building/corellia/shared_filler_slum_16x16_s01.iff', '0', '0.00769957', '0', '0.99997', '143.438', '6', '-3006.15', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175516', '0', 'object/building/corellia/shared_filler_slum_16x16_s01.iff', '0', '0.99997', '0', '-0.00769869', '143.745', '6', '-2987.08', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175518', '0', 'object/building/corellia/shared_filler_slum_16x32_s01.iff', '0', '0.00769958', '0', '0.99997', '211.279', '6', '-3055.87', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175520', '0', 'object/building/corellia/shared_filler_slum_16x16_s01.iff', '0', '0.707105', '0', '0.707108', '217.255', '6', '-3016.05', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175522', '0', 'object/building/corellia/shared_filler_slum_16x32_s01.iff', '0', '0.99997', '0', '-0.00769869', '143.861', '6', '-3032.65', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175524', '0', 'object/building/corellia/shared_filler_slum_16x32_s01.iff', '0', '0.71253', '0', '0.701642', '168.238', '6', '-3054.85', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175526', '0', 'object/building/corellia/shared_filler_slum_16x16_s01.iff', '0', '0.00769958', '0', '0.99997', '210.951', '6', '-3031.28', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175554', '0', 'object/building/corellia/shared_guild_university_corellia_style_01.iff', '0', '-0.382683', '0', '0.92388', '610', '6', '-3060', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175555', '3175554', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175556', '3175554', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175557', '3175554', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175558', '3175554', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175559', '3175554', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175560', '3175554', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175561', '3175554', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175562', '3175554', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175563', '3175554', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175564', '0', 'object/building/corellia/shared_guild_theater_corellia_s01.iff', '0', '0', '0', '1', '540', '6', '-3150', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175565', '3175564', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175566', '3175564', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175567', '3175564', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175568', '3175564', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175569', '3175564', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175570', '3175564', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175571', '3175564', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175572', '3175564', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175573', '3175564', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175574', '3175564', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175575', '0', 'object/building/corellia/shared_garage_corellia.iff', '0', '0.71253', '0', '0.701642', '167.164', '6', '-3085.3', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175576', '0', 'object/building/corellia/shared_garage_corellia.iff', '0', '0.707105', '0', '0.707109', '660', '6', '-2870', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175577', '0', 'object/building/corellia/shared_filler_slum_16x16_s01.iff', '0', '0.71253', '0', '0.701642', '262.661', '6', '-3092.98', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175579', '0', 'object/building/corellia/shared_filler_slum_16x16_s01.iff', '0', '-0.701642', '0', '0.712529', '282.659', '6', '-3093.29', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175581', '0', 'object/building/corellia/shared_filler_slum_16x32_s01.iff', '0', '-0.701642', '0', '0.712529', '237.664', '6', '-3092.59', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175583', '0', 'object/building/corellia/shared_filler_slum_16x16_s01.iff', '0', '0.00769929', '0', '0.99997', '210.209', '6', '-3082.45', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175585', '0', 'object/building/corellia/shared_filler_block_corellia_32x16_s01.iff', '0', '0', '0', '1', '500', '6', '-2890', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175588', '0', 'object/building/corellia/shared_hotel_corellia.iff', '0', '0.707105', '0', '0.707108', '660', '6', '-3000', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175589', '3175588', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175590', '3175588', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175591', '3175588', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175592', '3175588', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '1076990', '3175592', 'object/tangible/gambling/slot/shared_standard.iff', '0', '-0.00230193', '0', '0.999997', '4.48027', '1.31689', '-22.0981', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '1076991', '3175592', 'object/tangible/gambling/slot/shared_standard.iff', '0', '-0.00230193', '0', '0.999997', '0.406917', '1.31599', '-22.0554', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '1076992', '3175592', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '-0.00230193', '0', '0.999997', '-1.07307', '1.12618', '-16.195', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '1076993', '3175592', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '-0.00230193', '0', '0.999997', '9.5715', '1.12715', '-16.2054', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '1076994', '3175592', 'object/tangible/gambling/slot/shared_standard.iff', '0', '-0.00230193', '0', '0.999997', '8.52207', '1.31689', '-22.202', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175593', '3175588', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175384', '3175593', 'object/soundobject/shared_soundobject_cantina_medium.iff', '0', '0', '0', '1', '20.4804', '1.28309', '-1.55907', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175594', '3175588', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '1076984', '3175594', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '-0.00230193', '0', '0.999997', '-15.9386', '1.00066', '-0.0788946', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '1076985', '3175594', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '-0.00230193', '0', '0.999997', '-15.945', '1.00068', '4.291', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '1076986', '3175594', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.708734', '0', '-0.705477', '-12.3517', '1.0005', '-0.0862322', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '1076987', '3175594', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.705476', '0', '0.708734', '-12.149', '1.00034', '-0.106045', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '1076988', '3175594', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.71442', '0', '0.699717', '-12.0321', '1.0006', '4.2003', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '1076989', '3175594', 'object/tangible/gambling/slot/shared_standard.iff', '0', '-0.699724', '0', '0.714414', '-12.2339', '1.00045', '4.22549', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175388', '3175594', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-14.0659', '1.00057', '1.24716', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175595', '3175588', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175596', '3175588', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175597', '3175588', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775441', '3175597', 'object/tangible/terminal/shared_terminal_mission_rebel.iff', '0', '1', '0', '-3.20013e-08', '-17.8235', '1.6', '-13.5332', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3175598', '3175588', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3235352', '0', 'object/building/corellia/shared_skyscraper_corellia_style_03.iff', '0', '0.92388', '0', '-0.382683', '430', '6', '-3100', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '3235356', '0', 'object/building/corellia/shared_skyscraper_corellia_style_01.iff', '0', '0', '0', '1', '480', '6', '-2990', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '3235360', '0', 'object/building/corellia/shared_skyscraper_corellia_style_02.iff', '0', '0', '0', '1', '590', '6', '-2990', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '3235364', '0', 'object/building/corellia/shared_filler_block_corellia_64x32_s02.iff', '0', '-0.707105', '0', '0.707108', '670', '6', '-2930', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '3235384', '0', 'object/building/corellia/shared_filler_building_corellia_style_03.iff', '0', '0.92388', '0', '-0.382683', '640', '6', '-3090', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '3235395', '0', 'object/building/corellia/shared_filler_building_corellia_style_05.iff', '0', '-0.707093', '0', '0.70712', '614.319', '6', '-3161.23', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '3235402', '0', 'object/building/corellia/shared_filler_block_corellia_64x32_s01.iff', '0', '1', '0', '3.20013e-08', '530', '6', '-2850', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '3235409', '0', 'object/building/corellia/shared_filler_building_corellia_style_06.iff', '0', '-0.707094', '0', '0.70712', '363.663', '6', '-2838.23', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '3235430', '0', 'object/building/corellia/shared_filler_slum_16x16_s01.iff', '0', '-0.70167', '0', '0.712503', '269.944', '6', '-2825.47', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '3235432', '0', 'object/building/corellia/shared_filler_slum_16x16_s01.iff', '0', '0.712531', '0', '0.701641', '247.616', '6', '-2824.92', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '3235434', '0', 'object/building/corellia/shared_filler_slum_16x32_s01.iff', '0', '-0.701628', '0', '0.712543', '221.121', '6', '-2825.34', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '3305352', '0', 'object/building/corellia/shared_hospital_corellia_s02.iff', '0', '0.707105', '0', '0.707108', '316.49', '6', '-3055.95', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '3305353', '3305352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3305354', '3305352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '937371', '3305354', 'object/static/creature/shared_droids_21b_medical.iff', '0', '-0.685289', '0', '0.728271', '0.466702', '0.184067', '-5.91592', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175415', '3305354', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '4.18107', '0.184067', '-2.35191', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3305355', '3305352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3305356', '0', 'object/building/corellia/shared_filler_slum_16x32_s02.iff', '0', '0.71253', '0', '0.70164', '307.553', '6', '-3020.92', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '3305360', '0', 'object/building/corellia/shared_filler_block_corellia_64x32_s01.iff', '0', '-0.707105', '0', '0.707108', '422.581', '6', '-2789.34', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '3305367', '0', 'object/building/corellia/shared_filler_block_corellia_64x32_s01.iff', '0', '0.707106', '0', '0.707108', '304.339', '6', '-2787.29', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '3305374', '0', 'object/building/corellia/shared_filler_block_corellia_64x32_s02.iff', '0', '-0.707106', '0', '0.707108', '307.599', '6', '-3115.35', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '3305380', '0', 'object/building/corellia/shared_filler_block_corellia_64x32_s01.iff', '0', '0', '0', '1', '367.421', '6', '-3155', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '3305387', '0', 'object/building/corellia/shared_filler_block_corellia_32x16_s01.iff', '0', '0', '0', '1', '362.006', '6', '-3068.99', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '3305391', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_lg_s02.iff', '4.65964e-11', '0.285952', '1.15415e-10', '0.958244', '387.041', '6.00045', '-3317.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3305392', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_lg_s02.iff', '4.65964e-11', '0.285952', '1.15415e-10', '0.958244', '402.385', '6.00045', '-3293.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3305393', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_lg_s02.iff', '0.0047912', '0.285949', '-0.00142976', '0.958232', '371.741', '6.12729', '-3340.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3305394', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s02.iff', '4.65964e-11', '0.285952', '1.15415e-10', '0.958244', '394.713', '6.00045', '-3305.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3305395', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s02.iff', '0.0047912', '0.285949', '-0.00142976', '0.958232', '364.069', '6.2673', '-3352.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3305396', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s02.iff', '4.65964e-11', '0.285952', '1.15415e-10', '0.958244', '379.368', '6.00045', '-3328.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3305397', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s02.iff', '0.0191636', '0.285895', '-0.00571867', '0.958052', '410.16', '5.98759', '-3281.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3305398', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s02.iff', '0.00922981', '-0.384789', '0.00384802', '0.92295', '-13.8002', '3.54601', '-2491.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3305399', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_lg_s02.iff', '0.00922981', '-0.384789', '0.00384802', '0.92295', '-3.99526', '3.7762', '-2501.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3305400', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s02.iff', '0.0138444', '-0.384765', '0.00577191', '0.922893', '6.29458', '4.13264', '-2511.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3305401', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_lg_s02.iff', '0.0138444', '-0.384765', '0.00577191', '0.922893', '16.2356', '4.50081', '-2521.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3305402', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s02.iff', '0.0138444', '-0.384765', '0.00577191', '0.922893', '26.1763', '4.9833', '-2531.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3305403', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_lg_s02.iff', '0.0138444', '-0.384765', '0.00577191', '0.922893', '36.3513', '5.36968', '-2541.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3305404', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s02.iff', '0.0138444', '-0.384765', '0.00577191', '0.922893', '46.2922', '5.80418', '-2551.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3305405', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s02.iff', '0', '-0.699999', '0', '0.714144', '139.96', '6', '-2959.94', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3305406', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '-0.699998', '0', '0.714144', '139.666', '6', '-2973.85', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3305407', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '-0.700007', '0', '0.714137', '140.234', '6', '-2946.55', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3305408', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '-0.700005', '0', '0.714138', '139.472', '6', '-2884.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3305409', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s02.iff', '0', '-0.700001', '0', '0.714142', '139.198', '6', '-2897.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3305410', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '-0.699988', '0', '0.714154', '138.903', '6', '-2911.37', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3305411', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '-0.699986', '0', '0.714156', '143.584', '6', '-3046.56', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3305412', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '-0.69642', '0', '0.717634', '140.937', '6', '-3003.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3305413', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '0.99995', '0', '-0.010013', '151.44', '6', '-3054.89', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3305414', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '-0.69642', '0', '0.717635', '139.403', '6', '-2839.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3305415', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '0', '0', '1', '144.066', '6', '-2802.4', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3305416', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '-0.707106', '0', '0.707108', '136.225', '6', '-2810.28', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3305417', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '0.707106', '0', '0.707108', '193.438', '6', '-2810.94', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3305418', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '0', '0', '1', '185.564', '6', '-2803.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335367', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.92388', '0', '-0.382683', '497.5', '6', '-3195', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335368', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.382683', '0', '0.92388', '582.5', '6', '-3195', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335372', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0', '0', '1', '514', '6', '-3195', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335374', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s02.iff', '0', '0', '0', '1', '546', '6', '-3195', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335377', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0', '0', '1', '566', '6', '-3195', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335378', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s02.iff', '0', '0', '0', '1', '534', '6', '-3195', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335389', '0', 'object/static/structure/naboo/shared_arbor_long_s01.iff', '0', '0.707107', '0', '-0.707106', '686', '6', '-3034', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335390', '0', 'object/static/structure/naboo/shared_arbor_corner_90_s01.iff', '0', '-0.707105', '0', '0.707108', '694', '6', '-3034', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335391', '0', 'object/static/structure/naboo/shared_arbor_long_s01.iff', '0', '0', '0', '1', '696', '6', '-3024', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335392', '0', 'object/static/structure/naboo/shared_arbor_long_s01.iff', '0', '0', '0', '1', '696', '6', '-3016', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335393', '0', 'object/static/structure/naboo/shared_arbor_long_s01.iff', '0', '0.707107', '0', '-0.707106', '694', '5.89285', '-3000', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335394', '0', 'object/static/structure/naboo/shared_arbor_long_s01.iff', '0', '0', '0', '1', '696', '6', '-3008', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335395', '0', 'object/static/structure/naboo/shared_arbor_long_s01.iff', '0', '-0.707106', '0', '0.707108', '678', '6', '-3034', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335396', '0', 'object/static/structure/naboo/shared_arbor_long_s01.iff', '0', '-0.707106', '0', '0.707108', '670', '6', '-3034', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335397', '0', 'object/static/structure/naboo/shared_arbor_long_s01.iff', '0', '-0.707106', '0', '0.707108', '662', '6', '-3034', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335398', '0', 'object/static/structure/naboo/shared_arbor_long_s02.iff', '0', '0', '0', '1', '696', '6', '-3000', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335399', '0', 'object/static/structure/naboo/shared_arbor_long_s02.iff', '0', '0', '0', '1', '696', '6', '-2992', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335400', '0', 'object/static/structure/naboo/shared_arbor_long_s01.iff', '0', '1', '0', '3.48103e-07', '696', '6', '-2976', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335401', '0', 'object/static/structure/naboo/shared_arbor_corner_90_s01.iff', '0', '1', '0', '-4.94834e-07', '696', '6', '-2968', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335402', '0', 'object/static/structure/naboo/shared_arbor_long_s01.iff', '0', '-0.707106', '0', '0.707108', '686', '6', '-2966', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335403', '0', 'object/static/structure/naboo/shared_arbor_long_s01.iff', '0', '-0.707106', '0', '0.707108', '678', '6', '-2966', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335404', '0', 'object/static/structure/naboo/shared_arbor_long_s01.iff', '0', '-0.707106', '0', '0.707108', '670', '6', '-2966', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335405', '0', 'object/static/structure/naboo/shared_arbor_long_s01.iff', '0', '1', '0', '3.48103e-07', '696', '6', '-2984', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335406', '0', 'object/static/structure/naboo/shared_arbor_long_s01.iff', '0', '1', '0', '3.48103e-07', '696', '6', '-2992', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335408', '0', 'object/static/structure/naboo/shared_arbor_long_s01.iff', '0', '0.707038', '0', '0.707175', '710', '5.89285', '-3000', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335409', '0', 'object/static/structure/naboo/shared_arbor_long_s01.iff', '0', '0.707107', '0', '0.707107', '638', '6', '-3034', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335410', '0', 'object/static/structure/naboo/shared_arbor_long_s01.iff', '0', '0.707107', '0', '0.707107', '646', '6', '-3034', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335411', '0', 'object/static/structure/naboo/shared_arbor_long_s01.iff', '0', '0.707107', '0', '0.707107', '654', '6', '-3034', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335412', '0', 'object/static/structure/naboo/shared_arbor_long_s01.iff', '0', '0', '0', '1', '628', '6', '-3024', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335413', '0', 'object/static/structure/naboo/shared_arbor_corner_90_s01.iff', '0', '0', '0', '1', '628', '6', '-3032', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335414', '0', 'object/static/structure/naboo/shared_arbor_long_s01.iff', '0', '0', '0', '1', '628', '6', '-3016', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335415', '0', 'object/static/structure/naboo/shared_arbor_long_s01.iff', '0', '0', '0', '1', '628', '6', '-3008', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335416', '0', 'object/static/structure/naboo/shared_arbor_long_s02.iff', '0', '-0.707106', '0', '0.707108', '654', '6', '-3034', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335417', '0', 'object/static/structure/naboo/shared_arbor_long_s01.iff', '0', '0.707107', '0', '-0.707107', '662', '6', '-2966', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335418', '0', 'object/static/structure/naboo/shared_arbor_long_s01.iff', '0', '0.707107', '0', '0.707107', '638', '6', '-2966', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335419', '0', 'object/static/structure/naboo/shared_arbor_long_s01.iff', '0', '0.707107', '0', '0.707107', '646', '6', '-2966', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335420', '0', 'object/static/structure/naboo/shared_arbor_long_s01.iff', '0', '0.707107', '0', '0.707107', '654', '6', '-2966', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335421', '0', 'object/static/structure/naboo/shared_arbor_long_s02.iff', '0', '0.707107', '0', '-0.707107', '654', '6', '-2966', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335422', '0', 'object/static/structure/naboo/shared_arbor_corner_90_s01.iff', '0', '0.707107', '0', '0.707106', '630', '6', '-2966', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335423', '0', 'object/static/structure/naboo/shared_arbor_long_s01.iff', '0', '1', '0', '-3.48103e-07', '628', '6', '-2976', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335424', '0', 'object/static/structure/naboo/shared_arbor_long_s01.iff', '0', '1', '0', '-3.48103e-07', '628', '6', '-2984', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335425', '0', 'object/static/structure/naboo/shared_arbor_long_s01.iff', '0', '1', '0', '-3.48103e-07', '628', '6', '-2992', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335426', '0', 'object/static/structure/naboo/shared_arbor_long_s02.iff', '0', '0', '0', '1', '628', '6', '-2992', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335428', '0', 'object/static/structure/naboo/shared_arbor_long_s01.iff', '0', '0', '0', '1', '628', '6', '-3000', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335429', '0', 'object/static/structure/corellia/shared_corl_fountain_rectangle_s01.iff', '0', '-0.707106', '0', '0.707108', '686', '6', '-3023', '96', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335430', '0', 'object/static/structure/corellia/shared_corl_fountain_rectangle_s01.iff', '0', '-0.707106', '0', '0.707108', '686', '6', '-2977', '96', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335435', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '-0.707106', '0', '0.707108', '631.505', '6', '-2861.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335436', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0', '0', '1', '640.097', '6', '-2845.8', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335437', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '-0.707106', '0', '0.707108', '648.498', '6', '-2853.64', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335438', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.707106', '0', '0.707108', '649.216', '6', '-2891.22', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335439', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0', '0', '1', '640.753', '6', '-2899.69', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335441', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.707107', '0', '-0.707107', '574.383', '6', '-2870.05', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335442', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0', '0', '1', '551.694', '6', '-2879.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335443', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.707107', '0', '-0.707107', '560.167', '6', '-2887.89', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335444', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.707107', '0', '-0.707107', '560.048', '6', '-2904.42', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335445', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0', '0', '1', '535.287', '6', '-2879.38', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335446', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '-0.707106', '0', '0.707108', '510.07', '6', '-2887.82', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335447', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '1', '0', '3.48103e-07', '518.532', '6', '-2879.35', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335448', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '1', '0', '3.20013e-08', '517.179', '6', '-2911.2', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335449', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.707107', '0', '0.707107', '508.706', '6', '-2902.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335450', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s01.iff', '0', '0', '0', '1', '494.449', '6', '-2836.79', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335451', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '0', '0', '1', '473.3', '6', '-2836.72', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335453', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.707106', '0', '0.707108', '440.368', '6', '-2828.35', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335454', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '1', '0', '3.48103e-07', '448.841', '6', '-2836.81', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335455', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '1', '0', '0', '431.861', '6', '-2819.66', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335458', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '-0.707106', '0', '0.707108', '293.618', '6', '-3035.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335459', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '-0.707106', '0', '0.707108', '303.698', '6', '-3082.87', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335460', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '0', '0', '1', '282.972', '6', '-3093.58', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335461', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '0', '0', '1', '214.501', '6', '-3096.42', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335462', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '-0.707106', '0', '0.707108', '212.953', '6', '-3070.18', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335465', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '-0.707106', '0', '0.707108', '207.233', '6', '-3039.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335466', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '0.707107', '0', '-0.707107', '207.234', '6', '-3038.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335467', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '-0.699999', '0', '0.714144', '143.057', '6', '-3070.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335468', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '0.99995', '0', '-0.010013', '150.574', '6', '-3086.61', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335470', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0', '0', '1', '316.637', '6', '-3035.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335479', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0', '0', '1', '281.011', '6', '-3054.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335480', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '1', '0', '3.20013e-08', '279.268', '6', '-3050.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335482', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '205.971', '6', '-3096.38', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335483', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '142.751', '6', '-3086.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335485', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '143.382', '6', '-3054.66', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335487', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '136.214', '6', '-2802.38', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335488', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '193.46', '6', '-2803.22', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335489', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s02.iff', '0', '0.00999984', '0', '0.99995', '201.624', '6', '-2818.28', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335490', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '0.0149994', '0', '0.999888', '239.795', '6', '-2825.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335491', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '0', '0', '1', '257.073', '6', '-2825.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335492', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '-0.00499998', '0', '0.999987', '284.859', '6', '-2818.99', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335493', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s02.iff', '0', '-0.707096', '0', '0.707118', '318.073', '6', '-2823.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335494', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s02.iff', '0', '-0.703561', '0', '0.710635', '410.304', '6', '-2823.94', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335495', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '440.292', '6', '-2819.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335497', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '440.349', '6', '-2836.89', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335498', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '457.016', '6', '-2836.73', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335499', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '489.447', '6', '-2836.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335500', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '560.198', '6', '-2879.49', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335501', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '543.473', '6', '-2879.39', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335502', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '526.828', '6', '-2879.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335503', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '509.994', '6', '-2879.4', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335504', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '574.349', '6', '-2861.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335505', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '560.167', '6', '-2896.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335506', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '560.055', '6', '-2912.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335507', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '508.761', '6', '-2911.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335508', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '1', '0', '0', '484.932', '6', '-2890.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335509', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '476.513', '6', '-2890.18', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335510', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '648.512', '6', '-2845.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335511', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '631.458', '6', '-2845.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335512', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '649.293', '6', '-2899.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335513', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s01.iff', '0', '0.707106', '0', '0.707108', '657', '6', '-2892.25', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335514', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.707106', '0', '0.707108', '656.947', '6', '-2897.24', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335515', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.707106', '0', '0.707107', '657.052', '6', '-2887.2', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335516', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0', '0', '1', '665.032', '3', '-2845.81', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335517', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0', '0', '1', '698.241', '3', '-2845.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335518', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '681.673', '3.25', '-2845.76', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335519', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '714.606', '6', '-2845.69', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335520', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.707098', '0', '0.707115', '725', '6', '-2882', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335521', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.707099', '0', '0.707115', '725', '3', '-2898', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335522', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.707052', '0', '0.707161', '725', '3.25', '-2915', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335523', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.707053', '0', '0.70716', '725', '3', '-2931', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335524', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.707049', '0', '0.707164', '725', '3.25', '-2948', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335525', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.707051', '0', '0.707162', '725', '3', '-2964', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335526', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.707049', '0', '0.707164', '725', '6', '-2981', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335527', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.707059', '0', '0.707154', '725.011', '3', '-3035.94', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335528', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.70706', '0', '0.707153', '725', '6', '-3019.37', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335529', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.707055', '0', '0.707158', '725.071', '3.25', '-3052.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335530', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.707057', '0', '0.707156', '725.085', '3', '-3069.18', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335531', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.707055', '0', '0.707158', '725.146', '6', '-3085.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335532', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0', '0', '1', '708.556', '3', '-3085.79', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335533', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '691.971', '3.25', '-3085.81', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335534', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0', '0', '1', '683.39', '3', '-3085.86', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335535', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s01.iff', '0', '1', '0', '-7.33659e-08', '671.431', '6', '-3085.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335536', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '666.624', '6', '-3085.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335541', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.707105', '0', '0.707109', '394', '3', '-3098', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335542', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.707105', '0', '0.707109', '394', '3', '-3122', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335543', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0', '0', '1', '362', '3', '-3130', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335544', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0', '0', '1', '386', '3', '-3130', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335545', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s01.iff', '0', '0', '0', '1', '342', '6', '-3130', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335546', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '1', '0', '2.05505e-06', '369', '3', '-3082', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335547', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '1', '0', '2.05505e-06', '345', '3', '-3082', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335548', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s01.iff', '0', '1', '0', '3.20013e-08', '389', '6', '-3082', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335549', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.92388', '0', '0.382683', '394', '3.25', '-3130', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335550', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.382683', '0', '0.92388', '394', '3.25', '-3082', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335551', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.382683', '0', '0.92388', '337', '3.25', '-3082', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335552', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.923879', '0', '-0.382684', '337', '3.25', '-3130', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335553', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.707107', '0', '0.707107', '337', '3', '-3098', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335554', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.707107', '0', '0.707107', '337', '3', '-3122', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335555', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.707106', '0', '0.707108', '293.58', '6', '-3043.59', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335556', '0', 'object/building/corellia/shared_filler_slum_16x32_s01.iff', '0', '0.707107', '0', '0.707107', '275.291', '6', '-3021', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335558', '0', 'object/building/corellia/shared_filler_block_corellia_32x16_s01.iff', '0', '0', '0', '1', '242.8', '6', '-3012.92', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335561', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '0', '0', '1', '225.704', '6', '-3015.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335562', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '-0.707106', '0', '0.707108', '259.13', '6', '-3026.58', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335563', '0', 'object/building/corellia/shared_filler_block_corellia_32x16_s01.iff', '0', '0', '0', '1', '362.026', '6', '-3042.99', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335566', '0', 'object/building/corellia/shared_filler_block_corellia_32x16_s01.iff', '0', '-0.707106', '0', '0.707108', '403.019', '6', '-3056.02', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335569', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '-0.707106', '0', '0.707108', '407.181', '6', '-3074.05', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335570', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.382683', '0', '0.92388', '448', '3.25', '-2976', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335571', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.382683', '0', '0.92388', '448', '3.25', '-3040', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335572', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.92388', '0', '-0.382683', '416', '3.25', '-3040', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335573', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.382683', '0', '0.92388', '416', '3.25', '-2976', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335574', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.382683', '0', '0.92388', '516', '3.25', '-3040', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335575', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.92388', '0', '-0.382683', '516', '3.25', '-3056', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335576', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.382683', '0', '0.92388', '564', '3.25', '-3056', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335577', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.382683', '0', '0.92388', '564', '3.25', '-3040', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335578', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.382683', '0', '0.92388', '496', '3.25', '-3107', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335579', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.382683', '0', '0.92388', '496', '3.25', '-3091', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335580', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.382683', '0', '0.92388', '480', '3.25', '-3107', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335581', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.382683', '0', '0.92388', '480', '3.25', '-3091', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335582', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '600', '3.25', '-3107', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335583', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '600', '3.25', '-3091', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335584', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '584', '3.25', '-3107', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335585', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '584', '3.25', '-3091', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335586', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.7071', '0', '0.707113', '516', '3', '-3048', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335587', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0', '0', '1', '532', '3', '-3040', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335588', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.707107', '0', '-0.707107', '564', '3', '-3048', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335589', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '1', '0', '3.48103e-07', '556', '3', '-3040', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335590', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '1', '0', '3.48103e-07', '556', '3', '-3056', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335591', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0', '0', '1', '532', '3', '-3056', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335592', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.707107', '0', '-0.707107', '496', '3', '-3099', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335593', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.707107', '0', '-0.707107', '480', '3', '-3099', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335594', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '1', '0', '3.4732e-07', '488', '3', '-3107', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335595', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '1', '0', '3.4732e-07', '488', '3', '-3091', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335596', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '1', '0', '0', '592', '3', '-3107', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335597', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '1', '0', '0', '592', '3', '-3091', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335598', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.707107', '0', '-0.707107', '584', '3', '-3099', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335599', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.707107', '0', '-0.707107', '600', '3', '-3099', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335600', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0', '0', '1', '432', '3', '-2976', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335601', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0', '0', '1', '432', '3', '-3040', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335604', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.707102', '0', '0.707111', '448', '3', '-2984', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335605', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.707105', '0', '0.707108', '448', '3', '-3008', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335606', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s01.iff', '0', '-0.707106', '0', '0.707108', '448', '6', '-3020', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335607', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s01.iff', '0', '0.707107', '0', '-0.707107', '448', '6', '-2996', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335608', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.707107', '0', '-0.707107', '448', '3', '-3032', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335609', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s01.iff', '0', '0.707107', '0', '0.707107', '416', '6', '-3020', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335610', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.707108', '0', '0.707105', '416', '3', '-3032', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335611', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.707108', '0', '0.707105', '416', '3', '-3008', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335612', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s01.iff', '0', '0.707108', '0', '0.707105', '416', '6', '-2996', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3335613', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.707107', '0', '0.707107', '416', '3', '-2984', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365352', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '1', '0', '0', '579', '3', '-2932', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365353', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.707107', '0', '-0.707107', '587', '3', '-2940', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365354', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.382683', '0', '0.92388', '587', '3.25', '-2948', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365355', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.382683', '0', '0.92388', '587', '3.25', '-2932', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365356', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.382683', '0', '0.92388', '571', '3.25', '-2932', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365357', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '1', '0', '0', '579', '3', '-2948', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365358', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.382683', '0', '0.92388', '571', '3.25', '-2948', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365359', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.707107', '0', '-0.707107', '571', '3', '-2940', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365360', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '1', '0', '0', '600', '3', '-2852', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365361', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.707107', '0', '-0.707107', '608', '3', '-2860', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365362', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.382683', '0', '0.92388', '608', '3.25', '-2868', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365363', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.382683', '0', '0.92388', '608', '3.25', '-2852', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365364', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.382683', '0', '0.92388', '592', '3.25', '-2852', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365365', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '1', '0', '0', '600', '3', '-2868', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365366', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.382683', '0', '0.92388', '592', '3.25', '-2868', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365367', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.707107', '0', '-0.707107', '592', '3', '-2860', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365368', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '1', '0', '0', '428', '3', '-2841', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365369', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.707107', '0', '-0.707107', '436', '3', '-2849', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365370', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '436', '3.25', '-2857', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365371', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '436', '3.25', '-2841', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365372', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '420', '3.25', '-2841', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365373', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '1', '0', '0', '428', '3', '-2857', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365374', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '420', '3.25', '-2857', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365375', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.707107', '0', '-0.707107', '420', '3', '-2849', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365378', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.382683', '0', '0.92388', '388', '3.25', '-2806', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365379', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.382683', '0', '0.92388', '388', '3.25', '-2758', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365380', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.382683', '0', '0.92388', '340', '3.25', '-2758', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365382', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.382683', '0', '0.92388', '340', '3.25', '-2806', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365383', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.707107', '0', '-0.707107', '388', '3', '-2798', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365385', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s01.iff', '0', '1', '0', '-3.20013e-08', '383', '6', '-2806', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365386', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s01.iff', '0', '0', '0', '1', '345', '6', '-2806', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365387', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s01.iff', '0', '1', '0', '0', '383', '6', '-2758', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365390', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s01.iff', '0', '0', '0', '1', '345', '6', '-2758', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365393', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.707107', '0', '-0.707107', '340', '3', '-2798', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365396', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0', '0', '1', '364', '3', '-2806', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365397', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0', '0', '1', '364', '3', '-2758', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365398', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '-0.707106', '0', '0.707107', '388', '3', '-2774', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365399', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.707107', '0', '-0.707107', '340', '3', '-2774', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365400', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s01.iff', '0', '0', '0', '1', '568.918', '6', '-2861.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365401', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '563.686', '6', '-2861.49', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365402', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0', '0', '1', '562', '3', '-2822', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365403', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '578', '3.25', '-2822', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365404', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0', '0', '1', '530', '3', '-2822', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365405', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0', '0', '1', '506', '3', '-2822', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365406', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '498', '3.25', '-2822', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365407', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.707106', '0', '0.707107', '461', '3', '-2750', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365408', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0', '0', '1', '477', '3', '-2822', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365409', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '-0.707106', '0', '0.707107', '461', '3', '-2806', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365410', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '493', '3.25', '-2822', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365411', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '461', '3.25', '-2822', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365412', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.707107', '0', '-0.707107', '461', '3', '-2774', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365413', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '1', '0', '3.48103e-07', '445', '3', '-2742', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365414', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '1', '0', '0', '413', '3', '-2742', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365416', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.7071', '0', '0.707114', '278', '3', '-2758', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365417', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '1', '0', '3.48103e-07', '286', '3', '-2742', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365418', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '1', '0', '3.48103e-07', '310', '3', '-2742', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365419', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.7071', '0', '0.707114', '278', '3', '-2782', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365420', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0', '0', '1', '262', '3', '-2790', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365421', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0', '0', '1', '230', '3', '-2790', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365422', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '326', '3.25', '-2742', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365423', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '278', '3.25', '-2742', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365424', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '278', '3.25', '-2790', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365425', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '214', '3.25', '-2790', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365426', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '397', '3.25', '-2742', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365427', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '461', '3.25', '-2742', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365458', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_1.iff', '0', '0', '0', '1', '725.032', '6', '-2846.98', '256', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365459', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.382683', '0', '0.92388', '640.966', '6', '-3062.66', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365460', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '0.382683', '0', '0.92388', '629.364', '6', '-3051.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365461', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.382683', '0', '0.92388', '612.221', '6', '-3033.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365462', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.92388', '0', '-0.382683', '617.879', '6', '-3039.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365463', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.92388', '0', '-0.382683', '606.151', '6', '-3027.87', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365464', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.382683', '0', '0.92388', '605.009', '4', '-3029.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365465', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.382683', '0', '0.92388', '612.741', '6', '-3091.36', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365466', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '0.382683', '0', '0.92388', '601.138', '6', '-3079.77', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365467', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.92388', '0', '-0.382683', '589.653', '6', '-3068.26', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365468', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.382683', '0', '0.92388', '583.995', '6', '-3062.58', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365469', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.382683', '0', '0.92388', '577.925', '6', '-3056.56', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365470', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.92388', '0', '0.382683', '579.112', '4', '-3055.37', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365473', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0', '0', '1', '559', '6', '-3067', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365474', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0', '0', '1', '521', '6', '-3067', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365475', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '0', '0', '1', '540', '6', '-3067', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365476', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '0', '0', '1', '577.5', '6', '-3067', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365477', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '0', '0', '1', '502.5', '6', '-3067', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365478', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '-0.382683', '0', '0.92388', '486', '6', '-3079', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365479', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.707106', '0', '0.707107', '474.5', '6', '-3099', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365480', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.707107', '0', '0.707107', '474.5', '6', '-3090.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365481', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.923879', '0', '-0.382684', '486', '6', '-3119', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365482', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.707103', '0', '0.70711', '474.5', '6', '-3107.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365483', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.707103', '0', '0.70711', '497.5', '6', '-3130.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365484', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '497.5', '6', '-3067.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365485', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.707107', '0', '0.707106', '497.5', '6', '-3147', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365486', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.707107', '0', '0.707106', '497.5', '6', '-3179', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365487', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.707107', '0', '0.707106', '582.5', '6', '-3178.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365488', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.707107', '0', '0.707106', '582.5', '6', '-3146.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365489', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.382684', '0', '0.923879', '594', '6', '-3079', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365490', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '582.5', '6', '-3067.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365491', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.707107', '0', '0.707107', '605.5', '6', '-3099', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365492', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.707107', '0', '-0.707107', '605.5', '6', '-3107.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365493', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.707107', '0', '0.707107', '605.5', '6', '-3090.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365494', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.92388', '0', '0.382683', '594', '6', '-3119', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365495', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.707103', '0', '0.70711', '582.5', '6', '-3130.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365499', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.707042', '0', '0.707171', '636.982', '3', '-3176.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365500', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.92386', '0', '0.38273', '637.042', '6', '-3192.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365501', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '603.867', '3.25', '-3192.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365502', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0', '0', '1', '620.452', '3', '-3192.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365503', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.707042', '0', '0.707172', '636.968', '3.25', '-3159.72', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365504', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.707039', '0', '0.707174', '504.936', '3', '-3232.29', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365505', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.38273', '0', '0.92386', '504.996', '6', '-3248.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365506', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '471.821', '3.25', '-3248.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365507', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0', '0', '1', '488.406', '3', '-3248.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365508', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.707038', '0', '0.707175', '504.922', '3.25', '-3215.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365509', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '1', '0', '4.43918e-05', '443.715', '3', '-3248.91', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365510', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.923897', '0', '-0.382641', '427.057', '6', '-3248.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365511', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.707088', '0', '0.707125', '427.091', '3.25', '-3215.8', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365512', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.707091', '0', '0.707123', '427.105', '3', '-3232.38', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365513', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '1', '0', '4.58248e-05', '460.3', '3.25', '-3248.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365514', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0', '0', '1', '410.31', '3', '-3177.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365515', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.382641', '0', '0.923897', '426.967', '6', '-3176.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365516', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.70712', '0', '-0.707093', '426.934', '3.25', '-3210.13', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365517', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.707118', '0', '-0.707095', '426.92', '3', '-3193.54', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365518', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '393.724', '3.25', '-3177.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365519', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '1', '0', '4.43918e-05', '299.701', '3', '-3176.94', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365520', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '1', '0', '4.58248e-05', '283.043', '6', '-3177', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365521', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.707088', '0', '0.707125', '283.077', '3.25', '-3143.82', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365522', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.707091', '0', '0.707123', '283.091', '3', '-3160.41', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365523', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '1', '0', '4.58246e-05', '316.286', '3.25', '-3176.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365524', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '1', '0', '4.4e-05', '332.752', '3', '-3177.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365525', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '1', '0', '4.6e-05', '349.338', '3.25', '-3177.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365526', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '1', '0', '4.4e-05', '370.81', '3', '-3176.89', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365527', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '1', '0', '4.6e-05', '386.986', '3.25', '-3176.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365528', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '1', '0', '4.6e-05', '355.006', '3.25', '-3176.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365530', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.707061', '0', '0.707152', '283.087', '3', '-3127.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365531', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.707059', '0', '0.707154', '283.073', '3.25', '-3111.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365532', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '0', '0', '1', '259', '3', '-3105', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365533', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '0', '0', '1', '227', '3', '-3105', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365534', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '-0.707102', '0', '0.707111', '243', '6', '-3105', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365535', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '-0.707102', '0', '0.707111', '211', '6', '-3105', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365536', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '-0.707102', '0', '0.707111', '275', '6', '-3105', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365537', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '0', '0', '1', '134', '3', '-3106', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365538', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '0.707106', '0', '0.707108', '118', '3', '-3090', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365540', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '0', '0', '1', '118', '6', '-3074', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365541', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '0.707107', '0', '-0.707107', '150', '6', '-3106', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365542', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '-0.707106', '0', '0.707108', '118', '3', '-3026', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365543', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '-0.707106', '0', '0.707108', '118', '3', '-3058', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365544', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '1', '0', '3.48103e-07', '118', '6', '-3042', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365546', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '1', '0', '3.48103e-07', '118', '6', '-3010', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365548', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '-0.7071', '0', '0.707113', '118', '3', '-2994', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365549', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '1', '0', '0', '118', '6', '-2978', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365550', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.92388', '0', '-0.382683', '118', '5.03928', '-3106', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365551', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '0', '0', '1', '167', '3', '-2790', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365552', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '0.707107', '0', '-0.707107', '183', '6', '-2790', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365553', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '0', '0', '1', '135', '3', '-2790', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365554', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '0.707107', '0', '-0.707107', '151', '6', '-2790', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365555', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '-0.707105', '0', '0.707109', '119', '3', '-2806', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365556', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '1', '0', '3.48103e-07', '119', '6', '-2790', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365557', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '1', '0', '0', '119', '6', '-2822', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365558', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '-0.707099', '0', '0.707114', '119', '3', '-2838', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365559', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '1', '0', '0', '119', '6', '-2854', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365574', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.92388', '0', '-0.382683', '412.979', '6', '-3076.96', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365575', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '-0.707081', '0', '0.707132', '472.628', '6', '-3126.73', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365576', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '0', '0', '1', '456.192', '6', '-3118.77', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365577', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '-0.707103', '0', '0.70711', '436.482', '6', '-3119.13', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365578', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s01.iff', '0', '-0.707103', '0', '0.70711', '436.38', '6', '-3130.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365579', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.707084', '0', '0.707129', '472.309', '6', '-3118.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365580', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0', '0', '1', '468.043', '6', '-3130.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365581', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0', '0', '1', '468.083', '6', '-3124.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365582', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0', '0', '1', '461.986', '6', '-3124.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365583', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0', '0', '1', '461.945', '6', '-3130.16', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365584', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0', '0', '1', '456.009', '6', '-3129.96', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365585', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0', '0', '1', '449.912', '6', '-3130.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365588', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.707107', '0', '0.707107', '329.251', '6', '-2940.64', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365590', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s01.iff', '0', '0.707107', '0', '0.707107', '345', '6', '-2923', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365591', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.707108', '0', '0.707105', '345', '3', '-2911', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365593', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.707107', '0', '-0.707107', '377', '3', '-2887', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365594', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s01.iff', '0', '0.707108', '0', '0.707105', '345', '6', '-2899', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365595', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.707107', '0', '0.707107', '345', '3', '-2887', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365596', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.382683', '0', '0.92388', '377', '3.25', '-2879', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365597', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.382683', '0', '0.92388', '345', '3.25', '-2879', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365598', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '-0.382683', '0', '0.92388', '377', '3.25', '-2943', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365599', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.92388', '0', '-0.382683', '345', '3.25', '-2943', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365600', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0', '0', '1', '361', '3', '-2943', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365601', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.707107', '0', '-0.707107', '377', '3', '-2911', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365602', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s01.iff', '0', '0.707107', '0', '-0.707107', '377', '6', '-2923', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365603', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.707107', '0', '-0.707107', '377', '3', '-2935', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365604', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.707108', '0', '0.707105', '345', '3', '-2935', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365605', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s01.iff', '0', '0.707107', '0', '-0.707107', '377', '6', '-2899', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365608', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.707107', '0', '0.707107', '184.621', '6', '-3050.81', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365610', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.707106', '0', '0.707107', '141.062', '6', '-2949.02', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365612', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.707107', '0', '0.707107', '140.184', '6', '-2908.85', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365614', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '0', '0', '1', '260.969', '6', '-2846.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365615', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '0.7071', '0', '0.707113', '268.844', '6', '-2854.55', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365616', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '268.866', '6', '-2846.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365617', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '0', '0', '1', '229.509', '6', '-2846.63', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365618', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '-0.706824', '0', '0.70739', '213.556', '6', '-2862.49', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365620', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s02.iff', '0', '0', '0', '1', '249.236', '6', '-2846.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365621', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '213.526', '6', '-2846.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365622', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0', '0', '1', '258', '6', '-2865', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365623', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0', '0', '1', '258', '6', '-2855', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365624', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s02.iff', '0', '0', '0', '1', '253', '6', '-2860', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365625', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s02.iff', '0', '0', '0', '1', '243', '6', '-2860', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365626', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0', '0', '1', '248', '6', '-2865', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365627', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0', '0', '1', '248', '6', '-2855', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365628', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0', '0', '1', '238', '6', '-2865', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365629', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0', '0', '1', '238', '6', '-2855', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365630', '0', 'object/static/structure/corellia/shared_corl_power_arial_prime.iff', '0', '0', '0', '1', '253', '8.88947', '-2860', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365631', '0', 'object/static/structure/corellia/shared_corl_power_arial_thin.iff', '0', '0', '0', '1', '243', '8.88947', '-2860', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365632', '0', 'object/static/structure/corellia/shared_corl_power_connector.iff', '0', '0', '0', '1', '224', '9.5', '-2855', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365633', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '-0.707106', '0', '0.707108', '228', '6', '-2855', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365634', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '0.707107', '0', '0.707107', '221', '6', '-2855', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365635', '0', 'object/static/structure/corellia/shared_corl_power_connector.iff', '0', '0', '0', '1', '224', '9.5', '-2859', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365636', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '-0.7071', '0', '0.707113', '228', '6', '-2859', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365637', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '0.707107', '0', '0.707107', '221', '6', '-2859', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365638', '0', 'object/static/structure/corellia/shared_corl_power_connector.iff', '0', '0', '0', '1', '224', '9.5', '-2863', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365639', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '-0.707099', '0', '0.707114', '228', '6', '-2863', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365640', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '0.707107', '0', '0.707107', '221', '6', '-2863', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365641', '0', 'object/static/structure/corellia/shared_corl_power_connector.iff', '0', '0', '0', '1', '224', '9.5', '-2867', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365642', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '-0.707098', '0', '0.707115', '228', '6', '-2867', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365643', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '0.707107', '0', '0.707107', '221', '6', '-2867', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365646', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0', '0', '1', '547.144', '6', '-2958.97', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365650', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '1', '0', '3.20013e-08', '553.111', '6', '-2933.03', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365658', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '1', '0', '-3.20013e-08', '532.952', '6', '-3020.94', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365660', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '-0.707104', '0', '0.70711', '595.588', '6', '-2953.06', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365662', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '-0.707104', '0', '0.70711', '595.588', '6', '-2927.03', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365664', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '-0.382683', '0', '0.92388', '591.853', '8.4549', '-3050.42', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365672', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.382683', '0', '0.92388', '484.296', '6', '-3027.17', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365678', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '1', '0', '0', '553.004', '6', '-3195.78', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365680', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '1', '0', '0', '527.402', '6', '-3195.73', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365682', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.9001', '0', '0.435683', '687.557', '7.04355', '-3006.06', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365684', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.443948', '0', '0.896052', '687.583', '6.98826', '-2993.87', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365699', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '710', '5.89285', '-2998', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365700', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '698.354', '6', '-2963.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365701', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '698.328', '6', '-3036.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365702', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '727.031', '6', '-3019.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365703', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '727', '6', '-2981', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365704', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '685.124', '6', '-2918.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365705', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '726.048', '6', '-2884.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365706', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '715.859', '6', '-2845.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365707', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '675.919', '6', '-2886.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365708', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '599.408', '7.57342', '-2935.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365709', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '599.371', '7.58311', '-2944.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365710', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '540.296', '6', '-2959.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365714', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '597.283', '8.47717', '-3030.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365715', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '580.677', '8.48694', '-3047.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365716', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '480.481', '8.4686', '-3033.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365717', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '496.536', '8.4686', '-3049.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365718', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '509.612', '6', '-2989.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365720', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '475.288', '6', '-2901.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365724', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '322.487', '6', '-3114.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365725', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '357.591', '6', '-3140.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365726', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '394.661', '6', '-3053.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365728', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '451.324', '6', '-2865.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365729', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '437.916', '6', '-2787.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365730', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '406.866', '6', '-2758.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365731', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '363.945', '6', '-2816.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365738', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '136.33', '6', '-2979.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365740', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '119.097', '6', '-2855.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365742', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '203.352', '6', '-3023.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365744', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '182.763', '6', '-3102', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365745', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '151.543', '6', '-3105.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365746', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '209.179', '6', '-3105.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365747', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '282.943', '6', '-3109.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365748', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '321.204', '6', '-3135.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365749', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '338.945', '6', '-3169.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365751', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '432.921', '6', '-3169.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365752', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '462.682', '6', '-3225.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365753', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '428.13', '6', '-3248.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365754', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '503.972', '6', '-3247.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365755', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '530.544', '6.55525', '-3171.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365756', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '549.51', '6.55525', '-3172.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365762', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '596.514', '6', '-3167.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365763', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '475.372', '6', '-3140.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365764', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '630.815', '6', '-3166.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365765', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '667.312', '6', '-3092.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365766', '0', 'object/static/structure/corellia/shared_corl_fountain_brazier_round_s01.iff', '0', '0', '0', '1', '540', '6.60275', '-3181', '96', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365768', '0', 'object/static/structure/corellia/shared_corl_fountain_circle_s01.iff', '0', '0', '0', '1', '516', '6.65607', '-3181', '96', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365769', '0', 'object/static/structure/corellia/shared_corl_fountain_circle_s01.iff', '0', '0', '0', '1', '564', '6.65607', '-3181', '96', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365771', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.777072', '0', '-0.629412', '510.18', '6.60083', '-3096.49', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365772', '0', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '1', '0', '-0.000796246', '509.569', '6.60083', '-3095.66', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365774', '0', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '0.857299', '0', '-0.514819', '509.152', '6.60083', '-3106.38', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365775', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '-0.188859', '0', '0.982004', '510.147', '6.60083', '-3106.45', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365776', '0', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '0.896406', '0', '0.443235', '508.342', '6.60083', '-3092.72', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365777', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.975723', '0', '-0.219007', '509.369', '6.60083', '-3092.73', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365778', '0', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '0.51978', '0', '0.8543', '505.689', '6.60083', '-3093.81', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365779', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.941345', '0', '0.337447', '506.141', '6.60083', '-3092.88', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365780', '0', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '0.987354', '0', '0.158532', '510.203', '6.59653', '-3102.16', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365781', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.867423', '0', '-0.497571', '511.043', '6.59653', '-3102.75', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365782', '0', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '0.0615536', '0', '0.998104', '570.356', '6.58928', '-3102.84', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365783', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.675464', '0', '0.737393', '569.852', '6.58928', '-3101.95', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365784', '0', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '0.565957', '0', '0.824435', '572.072', '6.58928', '-3092.25', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365785', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.991665', '0', '0.128845', '571.093', '6.58928', '-3092.07', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365786', '0', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '-0.387952', '0', '0.92168', '571.219', '6.58928', '-3105.91', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365787', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.277886', '0', '0.960614', '570.202', '6.58928', '-3105.77', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365788', '0', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '0.821141', '0', '-0.570726', '573.984', '6.58928', '-3105.15', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365789', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '-0.279628', '0', '0.960108', '573.424', '6.58928', '-3106.02', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365790', '0', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '-0.0982485', '0', '0.995162', '570.517', '6.58928', '-3096.31', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365791', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.549355', '0', '0.835589', '569.755', '6.58928', '-3095.62', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365792', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.782336', '0', '-0.622857', '575.074', '6.58928', '-3095.26', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365793', '0', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '-0.424498', '0', '0.905429', '573.706', '6.58928', '-3097.54', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365794', '0', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '0.899406', '0', '-0.437115', '573.98', '6.58928', '-3096.54', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365795', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '1', '0', '0', '711', '3', '-2992', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365796', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '719', '3.25', '-2976', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365797', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '719', '3.25', '-2992', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365798', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.707107', '0', '-0.707107', '719', '3', '-2984', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365799', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '1', '0', '0', '711', '3', '-2976', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365800', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '703', '3.25', '-2976', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365801', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '703', '3.25', '-2992', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365802', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.707107', '0', '-0.707107', '703', '3', '-2984', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365803', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '1', '0', '0', '711', '3', '-3024', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365804', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '719', '3.25', '-3008', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365805', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '719', '3.25', '-3024', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365806', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.707107', '0', '-0.707107', '719', '3', '-3016', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365807', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '1', '0', '0', '711', '3', '-3008', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365808', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '703', '3.25', '-3008', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365809', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '703', '3.25', '-3024', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365810', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.707107', '0', '-0.707107', '703', '3', '-3016', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365820', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '692', '3.25', '-2958', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365824', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '709.053', '6', '-2956', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365828', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '717', '3.25', '-2894', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365832', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.707048', '0', '0.707165', '717', '3', '-2942', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365833', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.707046', '0', '0.707167', '717', '3', '-2910', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365836', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s02.iff', '0', '0', '0', '1', '697', '6', '-2894', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365837', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0', '0', '1', '709', '3', '-2894', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365839', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0', '0', '1', '700', '3', '-2958', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365840', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s02.iff', '0', '1', '0', '3.20013e-08', '712', '6', '-2958', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365841', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '717', '3.25', '-2958', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365842', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '692', '3.25', '-2894', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365843', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.707042', '0', '0.707171', '692', '3', '-2910', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365844', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.707044', '0', '0.707169', '692', '3', '-2942', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365845', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s02.iff', '0', '0', '0', '1', '697', '6', '-2894', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '3735486', '0', 'object/static/item/shared_item_bacta_ampules.iff', '0', '0', '0', '1', '4400.92', '2.69054', '5364.76', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '3735487', '0', 'object/static/item/shared_item_bacta_ampules.iff', '0', '0', '0', '1', '4400.98', '2.69054', '5364.87', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '3735488', '0', 'object/static/item/shared_item_bacta_ampules.iff', '0', '0', '0', '1', '4400.99', '2.69054', '5364.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '3735489', '0', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '0.688921', '0', '0.724837', '4396.44', '2', '5365.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '3735490', '0', 'object/static/item/shared_item_medic_bag.iff', '0', '0.983986', '0', '-0.178246', '4399.38', '2', '5366.88', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '3735491', '0', 'object/static/item/shared_item_medic_bag.iff', '0', '0.865723', '0', '-0.500524', '4399.73', '2', '5366.91', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '3735492', '0', 'object/static/item/shared_item_medical_console.iff', '0', '0.988012', '0', '-0.15438', '4400.58', '2.6957', '5364.86', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '3735493', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.703279', '0', '0.710914', '4400.58', '2', '5364.95', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '3735494', '0', 'object/static/item/shared_item_rifle.iff', '-0.539967', '0', '0', '0.841686', '4400.86', '2.81', '5365.06', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '3735495', '0', 'object/static/item/shared_item_shisha.iff', '0', '0.773915', '0', '-0.633289', '4347.71', '2.44605', '5053', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '3735496', '0', 'object/static/item/shared_item_sclpt_stuffed_bantha.iff', '0', '0.380188', '0', '0.924909', '4348.28', '2.44904', '5053.44', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '3735497', '0', 'object/static/item/shared_item_makeup.iff', '0', '-0.34759', '0', '0.937646', '4347.18', '2.88544', '5052.68', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '3735498', '0', 'object/static/item/shared_item_jar_spice_white.iff', '0', '0', '0', '1', '4346.78', '2.44272', '5052.2', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '3735499', '0', 'object/static/item/shared_item_jar_spice_red.iff', '0', '0', '0', '1', '4347.61', '2.88544', '5052.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '3735500', '0', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0', '0', '1', '4346.76', '2.88544', '5052.18', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '3735501', '0', 'object/static/item/shared_item_dye_kit.iff', '0', '0.897911', '0', '-0.440178', '4346.32', '2.4464', '5051.85', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '3735502', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '-0.361615', '0', '0.932327', '4347.34', '2', '5052.36', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3735503', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '-0.361615', '0', '0.932327', '4348.08', '1.55728', '5053.03', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3735504', '0', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '-0.361615', '0', '0.932327', '4346.6', '1.55728', '5051.68', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3735506', '0', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.281158', '0', '0.959662', '4345.62', '2', '5052.8', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3735508', '0', 'object/tangible/sign/shared_all_sign_city_s02.iff', '0', '1', '0', '-3.20013e-08', '349.236', '6', '-3178.42', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3735509', '0', 'object/tangible/sign/shared_all_sign_city_s02.iff', '0', '1', '0', '3.20013e-08', '460.283', '6', '-3250.32', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3735510', '0', 'object/tangible/sign/shared_all_sign_city_s02.iff', '0', '1', '0', '3.20013e-08', '539.976', '6', '-3196.84', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3735511', '0', 'object/tangible/sign/shared_all_sign_city_s02.iff', '0', '0.707106', '0', '0.707107', '726.52', '6', '-3085.83', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3735512', '0', 'object/tangible/sign/shared_all_sign_city_s02.iff', '0', '0.707107', '0', '0.707107', '726.098', '6', '-2999.95', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3735513', '0', 'object/tangible/sign/shared_all_sign_city_s02.iff', '0', '0', '0', '1', '724.993', '6', '-2844.99', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3735514', '0', 'object/tangible/sign/shared_all_sign_city_s02.iff', '0', '0', '0', '1', '578.013', '6', '-2820.37', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3735515', '0', 'object/tangible/sign/shared_all_sign_city_s02.iff', '0', '0', '0', '1', '493.006', '6', '-2820.71', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3735516', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '395.703', '6', '-2741.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '3735517', '0', 'object/tangible/sign/shared_all_sign_city_s02.iff', '0', '0', '0', '1', '360.951', '6', '-2741.83', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3735518', '0', 'object/tangible/sign/shared_all_sign_city_s02.iff', '-0.0832476', '-0.134761', '-0.0558684', '0.985793', '196.776', '5.91529', '-2784.27', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3735519', '0', 'object/tangible/sign/shared_all_sign_city_s02.iff', '0', '0.707107', '0', '-0.707107', '137.938', '6', '-2954.65', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3735520', '0', 'object/tangible/sign/shared_all_sign_city_s02.iff', '0', '0.707107', '0', '-0.707107', '137.235', '6', '-2892.24', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3735521', '0', 'object/tangible/sign/shared_all_sign_city_s02.iff', '0', '1', '0', '-3.20013e-08', '182.819', '6', '-3103.48', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4045483', '0', 'object/static/structure/general/shared_streetlamp_medium_red_style_01.iff', '0', '0.707107', '0', '-0.707107', '-4787.83', '20.6267', '-4749.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4045484', '0', 'object/static/structure/general/shared_streetlamp_medium_red_style_01.iff', '0', '0.707107', '0', '-0.707107', '-4787.97', '20.6771', '-4737.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4045485', '0', 'object/static/item/shared_item_jar_spice_red.iff', '0', '0', '0.696136', '0.71791', '-4808.65', '20.5564', '-4751.02', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4045489', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '-0.00499998', '0', '0.999987', '-4801', '16.7108', '-4742', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4045490', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '-0.005', '0', '0.999987', '-4795.51', '16.8923', '-4741.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4045491', '0', 'object/static/vehicle/e3/shared_landspeeder.iff', '-0.091358', '0.529676', '0.172414', '0.825451', '-4782.69', '16.7371', '-4745.17', '256', '1');
INSERT INTO `staticobjects` VALUES ('7', '4045494', '0', 'object/static/particle/shared_pt_smoke_small.iff', '0', '0', '0', '1', '-4780.92', '18.6637', '-4744.23', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4045495', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0.810497', '0', '0.585743', '-4781.57', '16.7814', '-4754.12', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4045496', '0', 'object/static/structure/general/shared_skeleton_bith_headandbody.iff', '-0.662748', '-0.0226772', '0.748062', '-0.0255964', '-4796.22', '16.7818', '-4750.24', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4045499', '0', 'object/static/structure/general/shared_skeleton_human_body.iff', '0', '0', '0', '1', '-4802.6', '16.4532', '-4758.31', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4205371', '0', 'object/static/item/shared_item_crate_clothing_small.iff', '0', '0.999465', '0', '0.0326932', '504.655', '6', '-3047.44', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4205372', '0', 'object/static/item/shared_item_crate_clothing_small.iff', '0', '0.849481', '0', '-0.52762', '503.804', '6', '-3047.05', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4205373', '0', 'object/static/item/shared_item_container_organic_hide.iff', '0', '-0.0249974', '0', '0.999687', '505.474', '6', '-3047.82', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4205374', '0', 'object/static/item/shared_item_container_organic_hide.iff', '0', '-0.21823', '0', '0.975897', '505.39', '6', '-3047.07', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4205375', '0', 'object/static/item/shared_item_container_organic_hide.iff', '0', '-0.21823', '0', '0.975897', '505.491', '6.4111', '-3047.48', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4245475', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '0', '0', '1', '-2176.51', '20', '2272.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4245476', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '0', '0', '1', '-2190.46', '20', '2272.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4245478', '0', 'object/static/vehicle/shared_static_tie_fighter.iff', '0', '0', '0', '1', '-2179.73', '32.4292', '2262.22', '256', '1');
INSERT INTO `staticobjects` VALUES ('7', '4245479', '0', 'object/static/structure/corellia/shared_corl_power_connector.iff', '-0.5', '-0.5', '0.5', '0.5', '-2179.7', '28.4741', '2260.35', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4245482', '0', 'object/static/structure/corellia/shared_corl_power_box_node.iff', '0', '0', '0', '1', '-2179.68', '26.2896', '2260.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4245483', '0', 'object/static/particle/shared_particle_newbie_refrigerator_steam.iff', '0', '0.717356', '0', '-0.696707', '-2180.12', '26.8339', '2262.23', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4255435', '0', 'object/building/general/shared_talus_aqualish_cave.iff', '0', '0.720831', '0', '0.693111', '-4379.23', '38.268', '-1425.4', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '4255640', '4255435', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4255641', '4255435', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4255642', '4255435', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4255643', '4255435', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4255644', '4255435', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '178362', '4255644', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '-0.0314407', '0.564522', '-0.133112', '0.814007', '-12.7602', '-44.9615', '-146.914', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4255645', '4255435', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4255646', '4255435', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '6075911', '4255646', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0.0754238', '0.581298', '0.0197391', '0.809947', '-20.3639', '-63.2801', '-259.73', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4255647', '4255435', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '6075912', '4255647', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '-0.00431561', '0.988747', '-0.149456', '0.00490361', '-123.865', '-69.6302', '-172.081', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6075913', '4255647', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0.0793811', '-0.587559', '0.267418', '0.759579', '-66.8198', '-96.1395', '-159.356', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4255648', '4255435', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4255649', '4255435', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4255650', '4255435', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '6075914', '4255650', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0.0640724', '0.985209', '0.0690779', '0.14313', '-100.808', '-99.8895', '-102.666', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4255651', '0', 'object/building/general/shared_talus_aakuan_cave.iff', '0', '1', '0', '3.20013e-08', '5909.67', '46.8926', '4664.91', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '4255652', '4255651', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4255653', '4255651', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '6075899', '4255653', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0', '0', '1', '43.2367', '-46.8955', '-5.77964', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6075900', '4255653', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0', '0', '1', '54.8191', '-67.7299', '-34.3506', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4255654', '4255651', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '8595431', '4255654', 'object/static/structure/general/shared_streetlamp_medium_style_01_on.iff', '-0.707106', '0', '0', '0.707107', '82.9469', '-55.1959', '-0.337338', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4255655', '4255651', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '8595430', '4255655', 'object/static/structure/general/shared_streetlamp_small_style_01_on.iff', '-0.56497', '0', '0', '0.825111', '77.6017', '-80.096', '-71.9967', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4255656', '4255651', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '8595428', '4255656', 'object/static/structure/general/shared_streetlamp_medium_style_01_on.iff', '0.707107', '0', '0', '0.707107', '78.055', '-83.1472', '-124.707', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8595429', '4255656', 'object/static/structure/general/shared_streetlamp_medium_style_01_on.iff', '-0.707106', '0', '0', '0.707108', '77.9044', '-88.2714', '-99.3248', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4255657', '4255651', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4255658', '4255651', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '8595427', '4255658', 'object/static/structure/general/shared_streetlamp_medium_style_01_on.iff', '-0.707106', '0', '0', '0.707107', '79.3977', '-60.9116', '-131.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4255659', '4255651', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '6075901', '4255659', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0', '0', '1', '132.471', '-66.6441', '-105.776', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '8595423', '4255659', 'object/static/structure/general/shared_streetlamp_medium_style_01_on.iff', '-0.707106', '0', '0', '0.707107', '118.166', '-62.267', '-80.0493', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8595424', '4255659', 'object/static/structure/general/shared_streetlamp_medium_style_01_on.iff', '-0.707106', '0', '0', '0.707107', '139.88', '-63.4812', '-79.875', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4255660', '4255651', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '6075902', '4255660', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0', '0', '1', '184.724', '-65.3792', '-93.4002', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6075903', '4255660', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0', '0', '1', '186.714', '-65.1928', '-111.842', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '8595426', '4255660', 'object/static/structure/general/shared_streetlamp_large_style_01_on.iff', '0', '0', '0', '1', '194.901', '-64.3342', '-101.023', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4255661', '4255651', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4255662', '4255651', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265353', '0', 'object/building/corellia/shared_shuttleport_corellia.iff', '0', '0.707106', '0', '0.707108', '699.297', '6', '-3061.42', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265354', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '683.066', '6', '-3079', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265355', '0', 'object/building/corellia/shared_starport_corellia.iff', '0', '0.986287', '0', '-0.165038', '4479.66', '2', '5365.17', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265356', '4265355', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265357', '4265355', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265358', '4265355', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265359', '4265355', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365873', '4265359', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0.999995', '0', '-0.00309766', '-0.108682', '0.639421', '57.2929', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365874', '4265359', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0.00730116', '0', '0.999973', '-0.21962', '0.639421', '62.4468', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365875', '4265359', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0.999967', '0', '-0.00809801', '10.2226', '0.639422', '57.2094', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365876', '4265359', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0.00389376', '0', '0.999992', '10.12', '0.639422', '62.3639', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365877', '4265359', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0.999995', '0', '-0.00309808', '-10.6883', '0.639423', '57.2037', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3365878', '4265359', 'object/tangible/terminal/shared_terminal_space.iff', '0', '-0.00110623', '0', '0.999999', '-10.8424', '0.639423', '62.357', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175446', '4265359', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '-0.728763', '0.639421', '60.2573', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9895472', '4265359', 'object/soundobject/shared_soundobject_starport_announcer.iff', '0', '0', '0', '1', '-9.97553', '0.639423', '59.6473', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265360', '4265355', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265361', '4265355', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265362', '4265355', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265363', '4265355', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265364', '4265355', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265365', '4265355', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '2636998', '4265365', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0.99792', '0', '0.0644683', '-41.4508', '1.63942', '52.8647', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '2636999', '4265365', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0.75738', '0', '0.652974', '-43.9706', '1.63942', '50.0765', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '2637000', '4265365', 'object/tangible/terminal/shared_terminal_space.iff', '0', '-0.643607', '0', '0.765356', '-37.7618', '1.63942', '49.1318', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '2637001', '4265365', 'object/tangible/terminal/shared_terminal_space.iff', '0', '-0.0521885', '0', '0.998637', '-40.3494', '1.63942', '46.4065', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265366', '4265355', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265367', '4265355', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265368', '4265355', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265369', '4265355', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265370', '4265355', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '6075625', '4265355', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265372', '0', 'object/building/corellia/shared_cantina_corellia.iff', '0', '0', '0', '1', '4285.4', '2', '5317.87', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265373', '4265372', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265374', '4265372', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265375', '4265372', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265376', '4265372', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175464', '4265376', 'object/soundobject/shared_soundobject_cantina_small.iff', '0', '0', '0', '1', '20.966', '-0.894996', '-16.5644', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265377', '4265372', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175463', '4265377', 'object/soundobject/shared_soundobject_cantina_small.iff', '0', '0', '0', '1', '17.3287', '-0.894992', '17.7466', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265378', '4265372', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175465', '4265378', 'object/soundobject/shared_soundobject_cantina_small.iff', '0', '0', '0', '1', '6.55016', '-0.894992', '-16.2076', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265379', '4265372', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175462', '4265379', 'object/soundobject/shared_soundobject_cantina_small.iff', '0', '0', '0', '1', '5.532', '-0.894992', '17.6091', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '8595457', '4265379', 'object/static/item/shared_item_data_disk.iff', '0', '0', '0', '1', '9.20946', '-0.136046', '19.8001', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '8595458', '4265379', 'object/static/item/shared_item_decryptor_imperial.iff', '0', '0.430458', '0', '0.902611', '9.24104', '-0.136046', '19.6567', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '8595459', '4265379', 'object/static/item/shared_item_data_disk.iff', '0', '0', '0', '1', '9.12132', '-0.136046', '19.6995', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265380', '4265372', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175466', '4265380', 'object/soundobject/shared_soundobject_cantina_small.iff', '0', '0', '0', '1', '-8.49459', '-0.894897', '-18.1692', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265381', '4265372', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175461', '4265381', 'object/soundobject/shared_soundobject_cantina_small.iff', '0', '0', '0', '1', '-6.40528', '-0.894999', '19.8691', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265382', '4265372', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265383', '4265372', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265384', '4265372', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265385', '4265372', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265386', '4265372', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265387', '4265372', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265388', '0', 'object/building/corellia/shared_guild_commerce_corellia_style_01.iff', '0', '0.810497', '0', '-0.585743', '4505.05', '2', '5225.5', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265389', '4265388', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4665352', '4265389', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '0.707106', '0', '0.707107', '-13.5857', '2.5', '14.105', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4665353', '4265389', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '-0.707106', '0', '0.707107', '13.5917', '2.5', '13.9397', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265390', '4265388', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265391', '4265388', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265392', '4265388', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265393', '4265388', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265394', '4265388', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265395', '4265388', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265396', '4265388', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265397', '4265388', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265398', '0', 'object/building/corellia/shared_guild_combat_corellia_style_01.iff', '0', '0.707106', '0', '0.707108', '4300.04', '9.9', '5384.67', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265399', '4265398', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545735', '4265399', 'object/tangible/terminal/shared_terminal_mission_imperial.iff', '0', '0', '0', '1', '-0.0300364', '2.5', '10.4594', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265400', '4265398', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265401', '4265398', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265402', '4265398', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265403', '4265398', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265404', '4265398', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265405', '4265398', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265406', '4265398', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265407', '4265398', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265408', '0', 'object/building/corellia/shared_guild_university_corellia_style_01.iff', '0', '-0.535416', '0', '0.844588', '4282', '2', '5116.3', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265409', '4265408', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265410', '4265408', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265411', '4265408', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265412', '4265408', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265413', '4265408', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265414', '4265408', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265415', '4265408', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265416', '4265408', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265417', '4265408', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265418', '0', 'object/building/corellia/shared_hotel_corellia.iff', '0', '0.688922', '0', '0.724836', '4328.57', '2', '5164.15', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265419', '4265418', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265420', '4265418', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4665354', '4265420', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '0.92388', '0', '-0.382683', '5.37364', '0.999959', '23.9853', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4665355', '4265420', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '0.92388', '0', '0.382683', '-5.35611', '0.999959', '23.9475', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265421', '4265418', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265422', '4265418', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '1076995', '4265422', 'object/tangible/gambling/slot/shared_standard.iff', '0', '-0.00230193', '0', '0.999997', '4.30815', '1.29217', '-22.0645', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '1076996', '4265422', 'object/tangible/gambling/slot/shared_standard.iff', '0', '-0.00230193', '0', '0.999997', '0.234445', '1.29127', '-22.022', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '1076997', '4265422', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '-0.00230193', '0', '0.999997', '-1.24535', '1.10147', '-16.1611', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '1076998', '4265422', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '-0.00230193', '0', '0.999997', '9.39927', '1.10243', '-16.1719', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '1076999', '4265422', 'object/tangible/gambling/slot/shared_standard.iff', '0', '-0.00230193', '0', '0.999997', '8.3501', '1.29217', '-22.1688', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265423', '4265418', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175472', '4265423', 'object/soundobject/shared_soundobject_cantina_medium.iff', '0', '0', '0', '1', '19.5312', '1.28309', '1.86447', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265424', '4265418', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '1077000', '4265424', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '-0.00730187', '0', '0.999973', '-16.0351', '1.00084', '-0.0960181', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '1077001', '4265424', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '-0.00730187', '0', '0.999973', '-16.0852', '1.00085', '4.27339', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '1077002', '4265424', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.712258', '0', '-0.701918', '-12.4488', '1.00067', '-0.0677583', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '1077003', '4265424', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.701923', '0', '0.712252', '-12.2456', '1.00052', '-0.0854578', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '1077004', '4265424', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.710912', '0', '0.703281', '-12.1717', '1.00078', '4.22202', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '1077005', '4265424', 'object/tangible/gambling/slot/shared_standard.iff', '0', '-0.703288', '0', '0.710905', '-12.3737', '1.00062', '4.24517', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265425', '4265418', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265426', '4265418', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265427', '4265418', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265428', '4265418', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265429', '0', 'object/building/corellia/shared_association_hall_civilian_corellia.iff', '0', '0.840441', '0', '0.541902', '4321.61', '2', '5094.53', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265430', '4265429', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265431', '4265429', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265432', '4265429', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265433', '4265429', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265434', '4265429', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265435', '4265429', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265436', '4265429', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265437', '4265429', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265438', '4265429', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265439', '4265429', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265440', '4265429', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265441', '4265429', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265442', '4265429', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265443', '4265429', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265444', '4265429', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265445', '4265429', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265446', '4265429', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265475', '0', 'object/building/corellia/shared_hospital_corellia_s02.iff', '0', '-0.164252', '0', '0.986418', '4503.75', '2', '5165.74', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265476', '4265475', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265477', '4265475', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175441', '4265477', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '2.10764', '0.184067', '-2.68919', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265478', '4265475', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265511', '0', 'object/building/corellia/shared_filler_building_corellia_style_05.iff', '0', '0.361615', '0', '0.932327', '4417.89', '2', '5420.92', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265545', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff', '0', '0.21823', '0', '0.975897', '4353.32', '1.85233', '5211.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265546', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff', '0', '0.21823', '0', '0.975897', '4365.25', '1.85233', '5236.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265547', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_lg_s01.iff', '0', '0.21823', '0', '0.975897', '4359.29', '1.85233', '5224.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265548', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_lg_s01.iff', '0', '0.21823', '0', '0.975897', '4371.21', '1.85233', '5249.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265549', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff', '0', '0.21823', '0', '0.975897', '4377.18', '1.85233', '5262.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265553', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff', '0', '0.572867', '0', '0.819648', '4479.3', '1.79066', '5146.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265554', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff', '0', '0.572867', '0', '0.819648', '4453.01', '1.79066', '5136.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265555', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_lg_s01.iff', '0', '0.572867', '0', '0.819648', '4466.15', '1.79066', '5141.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265560', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff', '0', '0.572867', '0', '0.819648', '4426.71', '1.79066', '5127.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265561', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_lg_s01.iff', '0', '0.572867', '0', '0.819648', '4439.86', '1.79066', '5132.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265563', '0', 'object/building/corellia/shared_filler_building_corellia_style_01.iff', '0', '-0.361615', '0', '0.932327', '4356.92', '2', '5036.71', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265570', '0', 'object/building/corellia/shared_filler_building_corellia_style_02.iff', '0', '-0.00499998', '0', '0.999987', '4188.1', '2', '5319.52', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265577', '0', 'object/building/corellia/shared_filler_building_corellia_style_03.iff', '0', '0.816314', '0', '-0.577609', '4203.75', '2', '5115.24', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265586', '0', 'object/building/corellia/shared_filler_slum_16x16_s01.iff', '0', '0.798621', '0', '-0.601835', '4108.69', '2', '5318.42', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265588', '0', 'object/building/corellia/shared_filler_slum_16x32_s01.iff', '0', '0.932615', '0', '0.360873', '4056.02', '2', '5229.16', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265590', '0', 'object/building/corellia/shared_filler_slum_16x32_s02.iff', '0', '0.91071', '0', '-0.413046', '4084.48', '2', '5303.89', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265594', '0', 'object/building/corellia/shared_filler_slum_16x16_s01.iff', '0', '0.536089', '0', '0.844162', '4110.06', '2', '5264.34', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265596', '0', 'object/building/corellia/shared_filler_slum_16x16_s01.iff', '0', '0.544504', '0', '0.838758', '4133.68', '2', '5275.03', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265598', '0', 'object/building/corellia/shared_filler_slum_16x32_s01.iff', '0', '-0.00341258', '0', '0.999994', '4152.53', '2', '5299.9', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265600', '0', 'object/building/corellia/shared_filler_slum_16x32_s02.iff', '0', '-0.159318', '0', '0.987227', '4505.66', '2', '5115.02', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265604', '0', 'object/building/corellia/shared_filler_slum_16x16_s01.iff', '0', '-0.158926', '0', '0.987291', '4499.09', '2', '5137.35', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265606', '0', 'object/building/corellia/shared_filler_slum_16x32_s02.iff', '0', '0.816544', '0', '-0.577284', '4546.52', '2', '5104.97', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265610', '0', 'object/building/corellia/shared_filler_slum_16x16_s01.iff', '0', '0.577284', '0', '0.816544', '4524.97', '2', '5184.77', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265612', '0', 'object/building/corellia/shared_cloning_corellia.iff', '0', '0.813878', '0', '-0.581035', '4551.32', '2', '5148.32', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265613', '4265612', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265614', '4265612', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175437', '4265614', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '3.09153', '0.081422', '0.008229', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265615', '4265612', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265616', '4265612', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175434', '4265616', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-0.997618', '-5.5', '-7.9005', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265617', '4265612', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265618', '4265612', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265628', '0', 'object/building/corellia/shared_filler_slum_16x32_s01.iff', '0', '0.816544', '0', '-0.577284', '4533.91', '2', '5077.57', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265630', '0', 'object/building/corellia/shared_filler_block_corellia_64x32_s02.iff', '0', '0.159318', '0', '0.987227', '4521.41', '2', '5474.36', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265636', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '0.70328', '0', '0.710913', '4395.59', '-1', '5043.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265637', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '0.556361', '0', '0.83094', '4389.37', '-1', '5074.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265638', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '-0.242556', '0', '0.970137', '4376.39', '-1', '5012.63', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265640', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.0199991', '0', '0.9998', '4361.9', '-1', '5009.36', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265642', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '0.770739', '0', '0.637151', '4341.21', '-1', '5124', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265643', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '0.731146', '0', '0.682221', '4280.77', '-1', '5152.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265644', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '-0.29552', '0', '0.955337', '4294.92', '-1', '5177.22', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265646', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '0.849481', '0', '0.52762', '4282', '-1', '5190.54', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265648', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '-0.188859', '0', '0.982004', '4195.97', '-1', '5159.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265649', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '-0.266731', '0', '0.963771', '4166.89', '-1', '5145.42', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265652', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.361615', '0', '0.932327', '4160.96', '-1', '5100.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265653', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.104807', '0', '0.994493', '4174.73', '-1', '5093.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265654', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '-0.0799149', '0', '0.996802', '4190.67', '-1', '5092.63', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265655', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s01.iff', '0', '0.731417', '0', '-0.68193', '4153.41', '2', '5133.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265656', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s01.iff', '0', '0.681929', '0', '0.731418', '4153.97', '2', '5125.62', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265657', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.681929', '0', '0.731419', '4154.81', '-1', '5113.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265676', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '-0.707106', '0', '0.707108', '4242.59', '-1', '5152.82', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265677', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0', '0', '1', '4231.15', '-1', '5141.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265678', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '-0.707099', '0', '0.707114', '4223.11', '-1', '5149.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265679', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0', '0', '1', '4234.7', '-1', '5160.66', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265680', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '4227.04', '0', '5160.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265681', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.707106', '0', '0.707107', '4222.99', '0', '5157.04', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265682', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.7071', '0', '0.707113', '4242.63', '0', '5145.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265683', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '1', '0', '4.9624e-06', '4239.02', '0', '5141.16', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265684', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.923881', '0', '-0.38268', '4223.31', '0', '5141.33', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265685', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.923881', '0', '-0.38268', '4242.4', '0', '5160.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265686', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.441888', '0', '0.89707', '4282.31', '0', '5168.33', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265687', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '-0.539968', '0', '0.841686', '4304.93', '1', '5128.89', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265688', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.976892', '0', '-0.213735', '4292.48', '2', '5094.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265690', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '0.707105', '0', '0.707108', '4407.04', '-1', '5300.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265691', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '0', '0', '1', '4391.09', '-1', '5284.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265692', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '0.707109', '0', '-0.707104', '4369.03', '-1', '5306.04', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265694', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '1', '0', '3.20013e-08', '4384.98', '-1', '5321.96', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265695', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '4375', '0', '5284.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265696', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '4401.01', '0', '5321.96', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265697', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.707106', '0', '0.707107', '4407.08', '0', '5316.04', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265698', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.92388', '0', '0.382684', '4406.85', '0', '5284.36', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265699', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.707107', '0', '-0.707107', '4369.08', '0', '5290.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265700', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.382684', '0', '0.923879', '4369.24', '0', '5321.72', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265701', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_lg_s01.iff', '0', '0.572869', '0', '0.819647', '4413.28', '1.79066', '5122.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265702', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff', '0', '0.572869', '0', '0.819647', '4373.84', '1.79066', '5107.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265703', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_lg_s01.iff', '0', '0.572869', '0', '0.819647', '4386.99', '1.79066', '5112.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265704', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff', '0', '0.572869', '0', '0.819647', '4400.14', '1.79066', '5117.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265706', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.556361', '0', '0.830941', '4380.09', '-1', '5097.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265707', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.564643', '0', '0.825335', '4371.49', '-1', '5119.59', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265708', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.904412', '0', '0.42666', '4373.87', '-1', '5133.28', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265709', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.816313', '0', '0.577609', '4381.84', '-1', '5147.2', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265710', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.98889', '0', '-0.14865', '4342.71', '-1', '5218.4', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265711', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.932615', '0', '-0.360872', '4364.86', '-1', '5206.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265712', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.443948', '0', '0.896053', '4375.81', '-1', '5194.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265713', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.617058', '0', '0.786917', '4382.61', '-1', '5180.37', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265714', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.999667', '0', '0.0257942', '4326.65', '-1', '5220.42', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265716', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.963558', '0', '0.2675', '4296.33', '-1', '5209.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265717', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.980893', '0', '0.194548', '4310.89', '-1', '5216.89', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265718', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '-0.0848977', '0', '0.99639', '4266.95', '-1', '5174.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265719', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '-0.0100002', '0', '0.99995', '4234.38', '-1', '5172.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265720', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '-0.203567', '0', '0.979061', '4218.64', '-1', '5169.28', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265721', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '-0.149436', '0', '0.988771', '4239.02', '-1', '5107.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265722', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.988771', '0', '0.149442', '4231.61', '0', '5104.79', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265723', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.98877', '0', '0.149443', '4246.53', '0', '5109.49', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265725', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.861441', '0', '-0.507857', '4155.79', '0', '5105.4', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265726', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.966391', '0', '-0.257076', '4167.02', '0', '5095.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265727', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.9992', '0', '-0.0399843', '4182.55', '0', '5091.55', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265728', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.972513', '0', '0.232848', '4180.9', '0', '5153.77', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265729', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.980066', '0', '0.198674', '4211.13', '0', '5165.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265730', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.992808', '0', '0.119717', '4226.19', '0', '5172.38', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265731', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '1', '0', '5e-06', '4242.69', '0', '5172.87', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265732', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.997888', '0', '0.0649592', '4258.76', '0', '5173.33', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265733', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.944409', '0', '0.328774', '4274.67', '0', '5176.33', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265734', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.917119', '0', '0.398614', '4289.32', '0', '5205.04', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265735', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.970136', '0', '0.242561', '4303.38', '0', '5213.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265736', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.99549', '0', '0.0948621', '4318.66', '0', '5219.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265737', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.993956', '0', '-0.109773', '4334.89', '0', '5220.69', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265738', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.971339', '0', '-0.237698', '4350.3', '0', '5215.96', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265739', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.979062', '0', '-0.203562', '4358.75', '0', '5212.05', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265740', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.915118', '0', '-0.403185', '4370.89', '0', '5201.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265741', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.816776', '0', '-0.576954', '4380.53', '0', '5188.34', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265742', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.663724', '0', '0.747977', '4384.54', '0', '5172.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265743', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.805069', '0', '0.593181', '4384.59', '0', '5155.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265744', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.886992', '0', '0.461783', '4378.93', '0', '5139.63', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265745', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.780704', '0', '0.6249', '4368.99', '0', '5126.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265746', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.569411', '0', '0.822053', '4374.23', '0', '5112.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265747', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.830943', '0', '-0.556356', '4377.21', '0', '5104.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265748', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.825338', '0', '-0.564637', '4383.19', '0', '5089.94', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265749', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.659976', '0', '0.751286', '4395.37', '0', '5059.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265751', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.930506', '0', '0.366277', '4389.47', '0', '5022.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265752', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.997887', '0', '0.0649591', '4369.48', '0', '5009.2', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265753', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.99995', '0', '-0.00999484', '4354.2', '0', '5009.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265754', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.597196', '0', '0.802095', '4327.25', '-1', '5053.79', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265755', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.796086', '0', '-0.605181', '4329.58', '0', '5045.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265756', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.802098', '0', '-0.59719', '4325.09', '0', '5061', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265758', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s01.iff', '0', '0.930508', '0', '0.366272', '4385.8', '2', '5018.66', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4265759', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s01.iff', '0', '-0.366273', '0', '0.930508', '4393.16', '2', '5025.37', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4315353', '0', 'object/building/corellia/shared_filler_slum_16x32_s01.iff', '0', '-0.706265', '0', '0.707947', '4136.57', '2', '5322.08', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '4315355', '0', 'object/building/corellia/shared_filler_building_corellia_style_02.iff', '0', '0.914795', '0', '-0.403919', '4064.02', '2', '5262.26', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '4315362', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '-0.124675', '0', '0.992198', '4156.42', '-1', '5272.76', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4315363', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '-0.20846', '0', '0.978031', '4125.93', '-1', '5262.22', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4315364', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '-0.352274', '0', '0.935897', '4098.94', '-1', '5245', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4315365', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '-0.361615', '0', '0.932327', '4074.88', '-1', '5223.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4315380', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '-0.139543', '0', '0.990216', '4055.26', '-1', '5210.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4315381', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s01.iff', '0', '0.961055', '0', '-0.276356', '4044.51', '2', '5210.13', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4315382', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s01.iff', '0', '0.961055', '0', '-0.276356', '4037.75', '2', '5214.37', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355352', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.394019', '0', '0.919102', '4029.12', '-1', '5222.08', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355353', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.819192', '0', '-0.57352', '4020.74', '-1', '5235.69', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355354', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '-0.589145', '0', '0.808028', '4020.44', '-1', '5251.14', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355355', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '-0.375559', '0', '0.926798', '4028.65', '-1', '5264.38', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355356', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '-0.366273', '0', '0.930508', '4040.36', '-1', '5275.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355357', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '0.932039', '0', '-0.362357', '4107.33', '2', '5253.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355358', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '0.915277', '0', '0.402826', '4107.32', '2', '5254.33', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355359', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '-0.0218997', '0', '0.99976', '4106.69', '2', '5253.99', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355360', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '0.975723', '0', '-0.219007', '4143.78', '2', '5270.59', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355361', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '0.844802', '0', '0.53508', '4143.6', '2', '5271.14', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355362', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '-0.171056', '0', '0.985261', '4143.09', '2', '5270.63', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355363', '0', 'object/building/corellia/shared_filler_slum_16x16_s01.iff', '0', '0.976977', '0', '0.213346', '4112.47', '2', '5292.61', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355367', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '0.342898', '0', '0.939373', '4360.11', '-1', '5272.24', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355368', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '-0.00499994', '0', '0.999987', '4331.53', '-1', '5282.22', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355369', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '-0.005', '0', '0.999987', '4299.1', '-1', '5281.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355370', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '0', '0', '1', '4266.63', '-1', '5281.77', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355371', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '0.00499998', '0', '0.999987', '4234.37', '-1', '5282.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355372', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '4217.89', '0', '5282.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355373', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '4172.46', '0', '5276.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355374', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '0.227978', '0', '0.973666', '4394.63', '-1', '5251.22', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355375', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '0.309816', '0', '0.950796', '4421.98', '-1', '5234.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355376', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '0.597195', '0', '0.802096', '4471.26', '-1', '5165', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355377', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '0.548024', '0', '0.836463', '4459.98', '-1', '5195.55', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355378', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.319309', '0', '0.947651', '4441.72', '-1', '5220.16', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355380', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '0.564642', '0', '0.825336', '4484.69', '-1', '5126.77', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355381', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '0.556361', '0', '0.830941', '4496.88', '-1', '5096.16', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355382', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '0.522686', '0', '0.852525', '4510.54', '-1', '5066.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355383', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.49688', '0', '0.867819', '4521.78', '-1', '5045.56', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355384', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s01.iff', '0', '0', '0', '1', '4529.31', '2', '5038.76', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355385', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s01.iff', '0', '1', '0', '-3.20013e-08', '4537.31', '2', '5038.76', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355386', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '-0.183947', '0', '0.982936', '4548.24', '-1', '5041.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355387', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '-0.366273', '0', '0.930507', '4561.87', '-1', '5050.08', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355388', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '-0.644218', '0', '0.764842', '4569.14', '-1', '5063.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355389', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.80162', '0', '-0.597834', '4568.01', '-1', '5079.37', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355390', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.807558', '0', '-0.589788', '4563.22', '-1', '5094.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355392', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.983986', '0', '0.178246', '4574.28', '-1', '5122.16', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355393', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '0.813647', '0', '-0.581359', '4576.79', '-1', '5140.16', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355394', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '0.813647', '0', '-0.581359', '4566.37', '-1', '5170.77', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355395', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '-0.149438', '0', '0.988771', '4545.94', '-1', '5181.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355396', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.983986', '0', '0.178246', '4559.15', '-1', '5116.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355397', '0', 'object/building/corellia/shared_filler_slum_16x16_s01.iff', '0', '-0.158926', '0', '0.987291', '4513.69', '2', '5093.23', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355401', '0', 'object/building/corellia/shared_filler_slum_16x16_s01.iff', '0', '-0.163861', '0', '0.986484', '4551.04', '2', '5068.7', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355403', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.986549', '0', '0.163467', '4522.92', '-1', '5174.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355404', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '0.813647', '0', '-0.581359', '4529.07', '-1', '5198.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355405', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '-0.356949', '0', '0.934124', '4058.32', '-1', '5289.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355406', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.981202', '0', '0.192986', '4097.4', '-1', '5318.42', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355407', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.999899', '0', '0.0142041', '4116.98', '-1', '5324.38', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355408', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '0', '0', '1', '4219.45', '-1', '5340.58', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355409', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '0', '0', '1', '4186.7', '-1', '5340.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355410', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0', '0', '1', '4162.55', '-1', '5340.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355411', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '4154.44', '0', '5340.49', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355412', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '4170.9', '0', '5340.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355413', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '4202.91', '0', '5340.54', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355414', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.370921', '0', '0.928665', '4034.51', '0', '5270.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355415', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.443948', '0', '0.896052', '4023.13', '0', '5258.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355416', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.670882', '0', '0.741564', '4018.13', '0', '5243.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355417', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.501213', '0', '0.865324', '4023.58', '0', '5228.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355418', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.227978', '0', '0.973666', '4062.93', '0', '5212.68', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355419', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.356949', '0', '0.934124', '4086.68', '0', '5234.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355420', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.300293', '0', '0.953847', '4111.04', '0', '5255.41', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355421', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.164252', '0', '0.986418', '4140.42', '0', '5268.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355422', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.00999984', '0', '0.99995', '4250.29', '0', '5281.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355423', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '4282.82', '0', '5281.77', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355424', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '4315.3', '0', '5282.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355425', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.164252', '0', '0.986418', '4347.73', '0', '5282.27', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355426', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.232843', '0', '0.972514', '4372.36', '0', '5262.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355427', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.21823', '0', '0.975897', '4380.42', '0', '5258.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355428', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.285952', '0', '0.958244', '4409.07', '0', '5244', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355429', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.314567', '0', '0.949235', '4435.1', '0', '5225.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355430', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.617059', '0', '0.786917', '4466.59', '0', '5180.72', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355431', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.581035', '0', '0.813878', '4475.76', '0', '5149.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355432', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.568762', '0', '0.822502', '4478.83', '0', '5141.72', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355433', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.560509', '0', '0.828149', '4490.68', '0', '5111.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355434', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.535416', '0', '0.844589', '4503.13', '0', '5081.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355435', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.505533', '0', '0.862807', '4517.85', '0', '5052.35', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355436', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.276356', '0', '0.961055', '4555.85', '0', '5044.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355437', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.514136', '0', '0.857709', '4567.61', '0', '5055.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355438', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.636537', '0', '0.771246', '4570.29', '0', '5071.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355439', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.597195', '0', '0.802096', '4565.55', '0', '5087.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355440', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.169182', '0', '0.985585', '4566.69', '0', '5119.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355441', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.854714', '0', '0.519099', '4581.55', '0', '5125.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355442', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.257081', '0', '0.96639', '4561.04', '0', '5185.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355443', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.572867', '0', '0.819648', '4534.38', '0', '5183.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355444', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.164252', '0', '0.986418', '4530.33', '0', '5176.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355445', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.585096', '0', '0.810964', '4571.38', '0', '5155.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355446', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '0.37092', '0', '0.928665', '4450.81', '2', '5212.66', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355450', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff', '0', '0.707385', '0', '0.706829', '4365.85', '9.72397', '5398.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355451', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff', '0', '0.707385', '0', '0.706829', '4349.85', '9.72397', '5398.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355452', '0', 'object/static/structure/corellia/shared_corl_stair_medium_s01.iff', '0', '0.707388', '0', '0.706825', '4370.85', '1.96838', '5398.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355453', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_sm_s01.iff', '0', '0.707385', '0', '0.706829', '4357.85', '9.72397', '5398.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355454', '0', 'object/building/corellia/shared_shuttleport_corellia.iff', '0', '0.999987', '0', '-0.00500312', '4314.58', '9.9', '5431.24', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355462', '0', 'object/building/corellia/shared_filler_block_corellia_32x16_s01.iff', '0', '0', '0', '1', '4398.05', '2', '5373.27', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355467', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '4344.76', '7.9', '5354.33', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355468', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '1', '0', '3.90249e-07', '4313.08', '7.9', '5354.41', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355469', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '1', '0', '0', '4328.73', '6.9', '5354.34', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355470', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0', '0', '1', '4305.45', '6.9', '5354.36', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355474', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.707106', '0', '0.707108', '4352.11', '7.9', '5394.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355475', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '-0.69642', '0', '0.717634', '4351.67', '6.9', '5377.61', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355476', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.717633', '0', '0.696421', '4351.18', '7.9', '5361.59', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355477', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.703562', '0', '0.710634', '4351.96', '7.9', '5403.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355478', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '0.710633', '0', '0.703562', '4352.1', '6.9', '5419.63', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4355479', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.703561', '0', '0.710634', '4352.3', '7.9', '5435.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385356', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff', '0', '-0.412321', '0', '0.911039', '4358.57', '9.77171', '5348.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385357', '0', 'object/static/structure/corellia/shared_corl_stair_medium_s01.iff', '0', '0.911038', '0', '0.412321', '4362.32', '2', '5345.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385358', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_sm_s01.iff', '0', '-0.412321', '0', '0.911039', '4352.56', '9.77171', '5353.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385359', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff', '0', '-0.412321', '0', '0.911039', '4346.55', '9.77171', '5359.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385360', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '1', '0', '0', '4297.1', '7.9', '5354.39', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385361', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0', '0', '1', '4289.38', '6.9', '5354.36', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385362', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '1', '0', '0', '4281.58', '7.9', '5354.33', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385364', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.706824', '0', '0.707389', '4352.25', '6.9', '5444.41', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385365', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.913089', '0', '-0.40776', '4351.83', '7.9', '5452.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385366', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.999881', '0', '-0.015403', '4319.92', '7.9', '5453.76', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385367', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '0.0153968', '0', '0.999881', '4335.95', '6.9', '5453.29', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385370', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.714702', '0', '0.699428', '4285.98', '7.9', '5422.33', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385371', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '-0.692249', '0', '0.721659', '4286.57', '6.9', '5438.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385373', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '0.015397', '0', '0.999881', '4303.75', '6.9', '5454.27', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385374', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '-0.702997', '0', '0.711193', '4285.72', '6.9', '5406.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385375', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.93951', '0', '0.34252', '4287.7', '7.9', '5454.39', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385378', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.854713', '0', '0.519101', '4373.55', '-1', '5412.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385379', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.514474', '0', '0.857506', '4369.69', '0', '5405.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385380', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.895698', '0', '0.444663', '4382.7', '-1', '5427.18', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385381', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.439816', '0', '0.898088', '4377.62', '0', '5420.41', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385382', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.916802', '0', '0.399341', '4393.75', '-1', '5440.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385383', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.394381', '0', '0.918947', '4388.02', '0', '5434.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385384', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.972328', '0', '0.233619', '4407.14', '-1', '5449.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385385', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.228362', '0', '0.973576', '4399.62', '0', '5446.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385386', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.991458', '0', '0.130426', '4422.91', '-1', '5455.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385387', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.125066', '0', '0.992148', '4414.75', '0', '5453.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385388', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.996321', '0', '0.0856934', '4439.26', '-1', '5459.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385389', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.0803082', '0', '0.99677', '4430.93', '0', '5458.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385390', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.857298', '0', '0.51482', '4451.58', '-1', '5468.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385391', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.510179', '0', '0.860068', '4447.64', '0', '5461.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385392', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.475377', '0', '0.879782', '4455.53', '0', '5475.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385393', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.8772', '0', '0.480125', '4460.06', '-1', '5483.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385394', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.32914', '0', '0.944281', '4464.69', '0', '5490.2', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385395', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.942488', '0', '0.334239', '4471.24', '-1', '5495.56', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385396', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.25746', '0', '0.966289', '4477.96', '0', '5500.8', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385397', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.964883', '0', '0.262679', '4485.23', '-1', '5505.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385402', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.910872', '0', '-0.412688', '4550.61', '0', '5351.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385403', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.407758', '0', '0.91309', '4544.94', '-1', '5357.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385404', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.870094', '0', '-0.492887', '4559.55', '0', '5336.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385405', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.488175', '0', '0.872746', '4555.09', '-1', '5343.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385406', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.761349', '0', '-0.648342', '4562.6', '0', '5320.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385407', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.644216', '0', '0.764844', '4561.12', '-1', '5328.39', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385408', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.703558', '0', '0.710638', '4562.73', '0', '5303.22', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385409', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.706821', '0', '0.707392', '4562.68', '-1', '5311.68', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385410', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.539962', '0', '0.841689', '4556.21', '0', '5287.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385411', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.838757', '0', '0.544505', '4559.61', '-1', '5295.44', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385412', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.412678', '0', '0.910877', '4545.4', '0', '5274.77', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385413', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.908632', '0', '0.417597', '4550.87', '-1', '5281.21', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385414', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.295895', '0', '0.955221', '4531.68', '0', '5264.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385415', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.953607', '0', '0.301055', '4538.58', '-1', '5269.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385416', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.159706', '0', '0.987165', '4515.84', '0', '5259.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385417', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.986287', '0', '0.16504', '4523.83', '-1', '5261.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385418', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.852313', '0', '-0.523032', '4568.48', '0', '5484.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385420', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.795839', '0', '-0.605509', '4573.52', '0', '5468.44', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385421', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.593176', '0', '0.805073', '4571.06', '-1', '5476.54', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385422', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.703556', '0', '0.710639', '4573.74', '0', '5451.58', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385423', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.706825', '0', '0.707388', '4573.69', '-1', '5460.04', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385424', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.640688', '0', '0.767802', '4571.02', '0', '5434.96', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385425', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.764325', '0', '0.644831', '4572.4', '-1', '5443.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385426', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.466555', '0', '0.884492', '4561.97', '0', '5420.76', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385427', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.881956', '0', '0.471331', '4566.63', '-1', '5427.82', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385429', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.940805', '0', '0.338949', '4555.61', '-1', '5415.27', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385433', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.967765', '0', '0.251854', '4492.45', '0', '5509.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385444', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff', '0', '0.840442', '0', '-0.541903', '4430.85', '14.0876', '5252.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385445', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff', '0', '-0.211099', '0', '0.977465', '4445.82', '14.0876', '5246.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385446', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff', '0', '0.840442', '0', '-0.541903', '4451.46', '14.0876', '5261.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385447', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff', '0', '-0.211099', '0', '0.977465', '4436.49', '14.0876', '5267.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385449', '0', 'object/static/structure/corellia/shared_corl_fountain_brazier_round_s01.iff', '0', '0.17903', '0', '0.983844', '4441.15', '2', '5257.08', '96', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385458', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.964884', '0', '-0.262678', '4483.05', '4.52485', '5225.27', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385465', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.986287', '0', '-0.165038', '4464.3', '2', '5281.38', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385469', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.707106', '0', '0.707107', '4317.76', '12.3854', '5379.1', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385475', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '-0.531186', '0', '0.847255', '4266.89', '4.45312', '5130.05', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385477', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '-0.522687', '0', '0.852525', '4261.8', '4.45312', '5119.19', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385479', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.844162', '0', '0.536088', '4356.98', '2.94869', '5160.7', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385481', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.501213', '0', '0.865324', '4356.69', '2.94869', '5170.26', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385483', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.978197', '0', '0.207681', '4338.59', '2', '5079.83', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385485', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.564643', '0', '0.825336', '4343.82', '2', '5091.43', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385489', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.164252', '0', '0.986418', '4520.13', '2', '5430.04', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385490', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.164252', '0', '0.986418', '4516.26', '2', '5431.49', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385491', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.164252', '0', '0.986418', '4491.6', '2', '5439.8', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385492', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.164252', '0', '0.986418', '4487.74', '2', '5441.25', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385493', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.813416', '0', '0.581683', '4553.45', '2', '5463.49', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385495', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '-0.581684', '0', '0.813415', '4491.53', '2', '5485.08', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385503', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '-0.15438', '0', '0.988012', '4507.38', '2', '5187.66', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385504', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '-0.164252', '0', '0.986418', '4515.04', '2', '5208.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385505', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s02.iff', '0', '-0.169182', '0', '0.985585', '4519.89', '2', '5207', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385506', '0', 'object/static/structure/corellia/shared_corl_power_connector.iff', '0', '0.261909', '0', '0.965092', '4516.46', '5.20788', '5209.04', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385508', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.816314', '0', '-0.577609', '4482.09', '2', '5168.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385509', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.816314', '0', '-0.577609', '4488.39', '2', '5150.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385510', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '-0.416871', '0', '0.908966', '4369.61', '2', '5138.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385511', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.908966', '0', '0.41687', '4370.31', '2', '5137.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385512', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '-0.564643', '0', '0.825335', '4375.88', '2', '5149.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385513', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.825336', '0', '0.564642', '4376.72', '2', '5149.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385514', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.770739', '0', '-0.637151', '4375.09', '2', '5179.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385515', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.637151', '0', '0.770739', '4375.98', '2', '5179.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385516', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.867423', '0', '-0.497571', '4370.23', '2', '5190.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385517', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.497572', '0', '0.867423', '4371.01', '2', '5191.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385518', '0', 'object/static/structure/corellia/shared_corl_fountain_statue_contemplate_s01.iff', '0', '-0.0249974', '0', '0.999687', '4357', '2', '5139.38', '96', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385519', '0', 'object/static/structure/corellia/shared_corl_fountain_statue_heroic_s01.iff', '0', '-0.0249974', '0', '0.999687', '4353.43', '2', '5191.66', '96', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385523', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.394019', '0', '0.919102', '4540.92', '2', '5070.75', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385526', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.624897', '0', '0.780707', '4542.24', '2', '5070.36', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385527', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.932039', '0', '-0.362358', '4534.73', '2', '5063.06', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385528', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.80162', '0', '-0.597834', '4533.74', '2', '5062.11', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385529', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.536088', '0', '0.844162', '4534.2', '2', '5061.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385530', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.816314', '0', '-0.577609', '4534.62', '2', '5060.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385531', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.552863', '0', '0.833272', '4535.04', '2', '5059.21', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385532', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.519099', '0', '0.854714', '4535.53', '2', '5058.2', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385533', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.544502', '0', '0.838759', '4536.36', '2', '5059.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385534', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.585744', '0', '0.810496', '4535.96', '2', '5060.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385535', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.827702', '0', '-0.561168', '4535.56', '2', '5061.09', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385536', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.52762', '0', '0.849481', '4535.09', '2', '5062.11', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385537', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.60582', '0', '0.795602', '4536.8', '2', '5058.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385538', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.597196', '0', '0.802096', '4534.32', '3.13842', '5061.34', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385539', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.75128', '0', '-0.659983', '4534.45', '3.13842', '5060.38', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385540', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.983986', '0', '0.178246', '4534.88', '3.13842', '5059.63', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385541', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.99879', '0', '0.0491836', '4536.62', '3.13842', '5058.75', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385542', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.872356', '0', '-0.488872', '4563.92', '2', '5088.57', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385543', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.531862', '0', '0.846831', '4563.4', '2', '5089.47', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385544', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.862404', '0', '-0.50622', '4562.88', '2', '5090.36', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385545', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.84147', '0', '-0.540303', '4562.06', '2', '5089.32', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385546', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.514819', '0', '0.857299', '4562.58', '2', '5088.42', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385547', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.833711', '0', '-0.552201', '4563.83', '3.13842', '5088.32', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385548', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.617684', '0', '0.786426', '4563.59', '3.13842', '5089.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385549', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.232068', '0', '0.972699', '4563.09', '3.13842', '5089.96', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385550', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.8772', '0', '-0.480125', '4563.15', '2', '5087.46', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385551', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.310574', '0', '0.950549', '4563.61', '2', '5086.56', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385552', '0', 'object/static/item/shared_item_container_energy_gas.iff', '0', '-0.40319', '0', '0.915116', '4548.03', '2', '5086.94', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385558', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.568762', '0', '0.822502', '4548.43', '2', '5085.96', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385564', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.98545', '0', '0.169967', '4548.71', '2', '5082.89', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385565', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0.0144062', '0.816977', '0.0204287', '-0.576129', '4548.78', '2.01246', '5085.07', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385566', '0', 'object/static/installation/shared_mockup_mining_gas_harvester_style_1.iff', '0', '-0.164252', '0', '0.986418', '4534.24', '2', '5128.14', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385567', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0.822049', '0', '-0.569417', '4539.03', '2.38413', '5118.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385568', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '4538.1', '2', '5121.23', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385569', '0', 'object/static/item/shared_item_container_energy_radioactive.iff', '0', '0', '0', '1', '4538.44', '2', '5119.76', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385570', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '4538.02', '2', '5121.89', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385571', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '4537.59', '2', '5121.54', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385572', '0', 'object/static/item/shared_item_container_energy_gas.iff', '0', '0.983082', '0', '0.183164', '4540.52', '2', '5115.2', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385573', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.174109', '0', '0.984726', '4528.08', '2', '5106.89', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385574', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.430458', '0', '0.902611', '4528.63', '2', '5108.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385575', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.193767', '0', '0.981048', '4526.85', '2', '5154.73', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385576', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.193767', '0', '0.981048', '4527.11', '2', '5155.22', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385577', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.589145', '0', '0.808028', '4526.8', '2', '5155.21', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385578', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.589145', '0', '0.808028', '4527.27', '2', '5154.9', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385579', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '-0.164252', '0', '0.986418', '4542.69', '2', '5165.96', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385580', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '-0.159318', '0', '0.987227', '4540.51', '2', '5172.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385581', '0', 'object/static/structure/corellia/shared_corl_power_arial_prime.iff', '0', '0', '0', '1', '4541.57', '2', '5168.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385582', '0', 'object/static/structure/corellia/shared_corl_power_box_node.iff', '0', '-0.169182', '0', '0.985585', '4556.97', '2', '5124.63', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385583', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '0.985585', '0', '0.169182', '4558.44', '2', '5120.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385584', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '-0.169182', '0', '0.985585', '4555.51', '2', '5128.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385585', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '0.988012', '0', '0.15438', '4516.82', '2', '5113.63', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385586', '0', 'object/static/structure/corellia/shared_corl_power_box_node.iff', '0', '-0.15438', '0', '0.988012', '4515.47', '2', '5117.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385587', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '-0.15438', '0', '0.988012', '4514.14', '2', '5121.96', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385588', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s02.iff', '0', '0.581035', '0', '0.813879', '4523.15', '2', '5151.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385589', '0', 'object/static/structure/corellia/shared_corl_power_connector.iff', '0.566991', '0.579163', '-0.410034', '-0.418286', '4519.61', '3.84776', '5152.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385590', '0', 'object/static/structure/corellia/shared_corl_power_arial_prime.iff', '0', '-0.17903', '0', '0.983844', '4523.17', '4.6247', '5151.39', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385591', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '-0.531186', '0', '0.847255', '4520.25', '2', '5131.44', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385592', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.605186', '0', '0.796084', '4521.63', '2', '5131.05', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385593', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.13459', '0', '0.990901', '4520.87', '2', '5131.02', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385594', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.13459', '0', '0.990901', '4521.08', '2', '5130.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385595', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.266731', '0', '0.963771', '4520.92', '2', '5132.35', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385596', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '-0.430458', '0', '0.902611', '4505.56', '2', '5091.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385597', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.692536', '0', '0.721383', '4506.81', '2', '5090.46', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385598', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.0199983', '0', '0.9998', '4506.06', '2', '5090.6', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385599', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.0199983', '0', '0.9998', '4506.07', '2', '5089.7', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385600', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.15438', '0', '0.988012', '4506.41', '2', '5091.89', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385601', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.964883', '0', '-0.262678', '4517.39', '2', '5079.83', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385602', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.859862', '0', '-0.510527', '4516.62', '2', '5078.69', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385603', '0', 'object/static/structure/general/shared_debris_deathstar_large_tube.iff', '0.00523151', '0.688988', '0.0711007', '0.721258', '4543', '2.03766', '5087.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385605', '0', 'object/static/structure/general/shared_debris_deathstar_small_tube.iff', '0.00776116', '0.468845', '0.058148', '0.88133', '4541.51', '2.02256', '5087.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385606', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.129633', '0', '0.991562', '4501.26', '2', '5111.49', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385607', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.237702', '0', '0.971338', '4495.75', '2', '5117.66', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385608', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.597196', '0', '0.802095', '4492.3', '2', '5135.79', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385609', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.98939', '0', '0.145282', '4492.34', '2', '5135.03', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385610', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.597196', '0', '0.802095', '4491.43', '2', '5135.56', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4385634', '0', 'object/building/general/shared_cantina_general.iff', '0', '0', '0', '1', '117.34', '18.3318', '-1925.37', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '4415352', '0', 'object/static/structure/corellia/shared_corl_banner_govt_tall_s01.iff', '0', '0.597195', '0', '0.802096', '4486.47', '2', '5159.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4415353', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '-0.164252', '0', '0.986418', '4487.93', '2', '5179.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4435384', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '-0.0126799', '0.931468', '-0.0326147', '-0.362136', '-4458.83', '5.19336', '3844.99', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545352', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.936177', '0', '0.351529', '4366.88', '2', '5020.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545353', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.932328', '0', '0.361615', '4372.03', '2', '5025.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545354', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0', '0', '1', '4362.46', '2', '5015.24', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545355', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0', '0', '1', '4378.05', '2', '5029.67', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545356', '0', 'object/static/structure/general/shared_planter_generic_style_1.iff', '0', '-0.309817', '0', '0.950796', '4392.7', '2', '5059.66', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545357', '0', 'object/static/structure/general/shared_planter_generic_style_2.iff', '0', '0.223106', '0', '0.974794', '4376.49', '2', '5015.22', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545360', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.40392', '0', '0.914794', '4369.38', '2', '5055.34', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545361', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.413771', '0', '0.910381', '4376.35', '2', '5047.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545362', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.400069', '0', '0.916485', '4379.03', '2', '5044.52', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545363', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.413771', '0', '0.910381', '4366.52', '2', '5058.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545364', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0', '0', '1', '4377.68', '2', '5046.02', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545365', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0', '0', '1', '4367.83', '2', '5057', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545366', '0', 'object/static/structure/general/shared_all_foodcart_s01.iff', '0', '0.918788', '0', '0.394751', '4373', '2', '5052.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545367', '0', 'object/static/structure/general/shared_planter_generic_style_1.iff', '0', '0', '0', '1', '4375.57', '2', '5101.05', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545368', '0', 'object/static/structure/general/shared_planter_generic_style_2.iff', '0', '0.655617', '0', '0.755093', '4370.9', '2', '5113.71', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545369', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.610421', '0', '0.792077', '4328.68', '2', '5055.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545370', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.601836', '0', '0.79862', '4329.85', '2', '5051.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545371', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.227978', '0', '0.973666', '4329.19', '2', '5053.94', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545372', '0', 'object/static/flora/shared_potted_plant_leaves_ivy.iff', '0', '0', '0', '1', '4340.29', '2', '5081.77', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545373', '0', 'object/static/flora/shared_potted_plant_leaves_ivy.iff', '0', '0', '0', '1', '4343.47', '2', '5088.77', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545378', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.781204', '0', '0.624276', '4343.06', '2', '5126.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545379', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.77442', '0', '0.632672', '4342.21', '2', '5121.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545380', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.452886', '0', '0.891568', '4342.63', '2', '5124.17', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545381', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0', '0', '1', '4341.35', '2', '5119.51', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545382', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0', '0', '1', '4343.15', '2', '5128.5', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545383', '0', 'object/static/structure/general/shared_planter_generic_style_1.iff', '0', '0', '0', '1', '4373.42', '2', '5143.28', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545384', '0', 'object/static/structure/general/shared_planter_generic_style_3.iff', '0', '0', '0', '1', '4373.17', '2', '5185.57', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545385', '0', 'object/static/flora/shared_potted_plant_leaves_ivy.iff', '0', '0', '0', '1', '4361.09', '2.22136', '5178.7', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545386', '0', 'object/static/flora/shared_potted_plant_leaves_ivy.iff', '0', '0', '0', '1', '4362.38', '2.22136', '5152.97', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545387', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '-0.0234054', '0', '0.999726', '4342.15', '1.96553', '5195.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545388', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '-0.0341957', '0', '0.999415', '4346.4', '1.96553', '5196.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545389', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '-0.434966', '0', '0.900447', '4344.13', '1.96553', '5196', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545390', '0', 'object/static/structure/general/shared_planter_generic_style_1.iff', '0', '0', '0', '1', '4347.71', '1.9997', '5213.94', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545391', '0', 'object/static/structure/general/shared_planter_generic_style_1.iff', '0', '0', '0', '1', '4359.02', '1.96546', '5208.73', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545392', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.962641', '0', '0.27078', '4308.49', '2', '5204.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545393', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '-0.270779', '0', '0.962641', '4308.01', '2', '5204.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545394', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.994576', '0', '0.104015', '4321', '2', '5209.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545395', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '-0.104015', '0', '0.994576', '4320.8', '2', '5210.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545396', '0', 'object/static/structure/general/shared_planter_generic_style_3.iff', '0', '0.713864', '0', '-0.700285', '4313.75', '2', '5207.11', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545397', '0', 'object/static/structure/general/shared_planter_generic_style_1.iff', '0', '0.810497', '0', '-0.585743', '4328.85', '2', '5210.41', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545398', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.980893', '0', '-0.194547', '4334.72', '2', '5208.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545399', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.194548', '0', '0.980893', '4335.06', '2', '5209.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545400', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '-0.430458', '0', '0.90261', '4307.37', '2', '5194', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545401', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '-0.0184061', '0', '0.999831', '4305.39', '2', '5193.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545402', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '-0.0291985', '0', '0.999574', '4309.64', '2', '5194.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545403', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '-0.42594', '0', '0.904751', '4326.28', '2', '5193.92', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545404', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '-0.0134067', '0', '0.99991', '4324.31', '2', '5192.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545405', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '-0.0242003', '0', '0.999707', '4328.56', '2', '5193.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545406', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0', '0', '1', '4331.03', '2', '5192.08', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545407', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0', '0', '1', '4321.9', '2', '5192.79', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545408', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '-0.655617', '0', '0.755093', '4292.88', '2', '5178.36', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545409', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '-0.284425', '0', '0.958698', '4291.64', '2', '5176.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545410', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '-0.294759', '0', '0.955572', '4295.16', '2', '5179.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545411', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.916803', '0', '-0.39934', '4280.05', '2', '5161.44', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545412', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '-0.669404', '0', '0.742898', '4279.85', '2', '5159.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545413', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '-0.677386', '0', '0.735628', '4280.21', '2', '5163.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545414', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.916803', '0', '-0.39934', '4278.57', '2', '5143.52', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545415', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '-0.669405', '0', '0.742898', '4278.37', '2', '5141.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545416', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '-0.677386', '0', '0.735628', '4278.73', '2', '5145.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545417', '0', 'object/static/structure/general/shared_all_foodcart_s01.iff', '0', '0.0299955', '0', '0.99955', '4279', '2', '5153.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545418', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '-0.539632', '0', '0.841901', '4238.47', '2', '5108.65', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545419', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '-0.153593', '0', '0.988134', '4240.63', '2', '5109.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545420', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '-0.142917', '0', '0.989735', '4236.57', '2', '5108.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545421', '0', 'object/static/structure/general/shared_planter_generic_style_2.iff', '0', '0.29552', '0', '0.955336', '4261.39', '2', '5171.15', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545422', '0', 'object/static/structure/general/shared_planter_generic_style_1.iff', '0', '-0.139543', '0', '0.990216', '4240.04', '2', '5170.29', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545423', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.000796377', '0', '1', '4234.67', '2', '5161.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545424', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.708513', '0', '0.705698', '4243.65', '2', '5152.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545425', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.999978', '0', '-0.00659271', '4231.56', '2', '5139.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545426', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '-0.702714', '0', '0.711473', '4222.08', '2', '5149.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545427', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '-0.560509', '0', '0.828149', '4206.02', '2', '5139.23', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545428', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '-0.16761', '0', '0.985853', '4204.14', '2', '5138.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545429', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '-0.178246', '0', '0.983986', '4208.13', '2', '5140.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545430', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '-0.552199', '0', '0.833712', '4185.05', '2', '5131.92', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545431', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '-0.157744', '0', '0.98748', '4183.17', '2', '5131.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545432', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '-0.168397', '0', '0.985719', '4187.18', '2', '5132.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545433', '0', 'object/static/flora/shared_potted_plant_leaves_small.iff', '0', '0', '0', '1', '4195.76', '2', '5136.69', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545434', '0', 'object/static/flora/shared_potted_plant_leaves_small.iff', '0', '0', '0', '1', '4197.76', '2', '5136.07', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545435', '0', 'object/static/flora/shared_potted_plant_leaves_small.iff', '0', '0', '0', '1', '4194.77', '2', '5134.93', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545436', '0', 'object/static/structure/corellia/shared_corl_banner_govt_tall_s01.iff', '0', '-0.164252', '0', '0.986418', '4196.2', '2', '5135.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545437', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.818276', '0', '-0.574825', '4185.06', '2', '5112.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545438', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.812487', '0', '-0.582979', '4187.43', '2', '5105.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545439', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0', '0', '1', '4182.05', '2', '5119.19', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545440', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0', '0', '1', '4189.61', '2', '5098.66', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545441', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.966594', '0', '0.25631', '4185.49', '2', '5145.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545442', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '-0.25631', '0', '0.966595', '4185.03', '2', '5146.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545443', '0', 'object/static/structure/general/shared_planter_generic_style_3.iff', '0', '-0.703283', '0', '0.710911', '4190.84', '2', '5148.51', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545444', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.996024', '0', '0.0890852', '4197.4', '2', '5150.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545445', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '-0.0890853', '0', '0.996024', '4197.23', '2', '5151.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545446', '0', 'object/static/structure/corellia/shared_corl_fountain_circle_s01.iff', '0', '0', '0', '1', '4169.82', '2', '5110.58', '96', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545450', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.682222', '0', '0.731145', '4156.08', '2', '5112.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545451', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.32877', '0', '0.94441', '4155.89', '2', '5114.58', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545452', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.690076', '0', '0.723737', '4155.79', '2', '5116.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545453', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.357693', '0', '0.933839', '4163.72', '2', '5099.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545454', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '-0.0499783', '0', '0.99875', '4162.01', '2', '5100.9', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545455', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.367756', '0', '0.929922', '4160.56', '2', '5102.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545456', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.125465', '0', '0.992098', '4177.49', '2', '5093.66', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545457', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '-0.285951', '0', '0.958244', '4175.29', '2', '5094.19', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545458', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.13617', '0', '0.990685', '4173.38', '2', '5094.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545459', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '-0.552199', '0', '0.833712', '4179.33', '2', '5125.91', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545461', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.682221', '0', '0.731146', '4347.62', '2', '5182.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545462', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.682221', '0', '0.731146', '4349.64', '2', '5147.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545467', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.727726', '0', '0.685869', '4383.49', '2', '5034.86', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545469', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0', '0', '1', '4534.34', '2', '5040.22', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545471', '0', 'object/static/structure/general/shared_planter_generic_style_1.iff', '0', '0.0549723', '0', '0.998488', '4477.62', '2', '5152.23', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545472', '0', 'object/static/structure/general/shared_planter_generic_style_2.iff', '0', '-0.174108', '0', '0.984727', '4481.92', '2', '5141.46', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545473', '0', 'object/static/flora/shared_potted_plant_leaves_ivy.iff', '0', '0', '0', '1', '4485.55', '2', '5161.76', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545474', '0', 'object/static/flora/shared_potted_plant_leaves_ivy.iff', '0', '0', '0', '1', '4487.04', '2', '5157.6', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545475', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0', '0', '1', '4480.81', '2', '5171.85', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545476', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0', '0', '1', '4489.39', '2', '5146.79', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545477', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0', '0', '1', '4481.48', '2', '5177.81', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545478', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0', '0', '1', '4480.6', '2', '5176.16', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545479', '0', 'object/static/flora/shared_potted_plant_leaves_fern.iff', '0', '0', '0', '1', '4492.69', '2', '5184.84', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545480', '0', 'object/static/flora/shared_potted_plant_leaves_fern.iff', '0', '0', '0', '1', '4500.9', '2', '5187.61', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545481', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.0998334', '0', '0.995004', '4522.16', '2', '5209.48', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545482', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.677971', '0', '0.735088', '4523.45', '2', '5209.04', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545483', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.0998334', '0', '0.995004', '4521.48', '2', '5210.49', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545484', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.0998334', '0', '0.995004', '4521.18', '2', '5210', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545485', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.99871', '0', '-0.0507764', '4523.16', '2', '5210.97', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545486', '0', 'object/static/structure/general/shared_data_terminal_wall_s1.iff', '0', '-0.164252', '0', '0.986418', '4493.72', '2', '5184.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545487', '0', 'object/static/structure/general/shared_planter_generic_style_2.iff', '0', '0.977865', '0', '-0.209239', '4371.98', '2', '5265.31', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545488', '0', 'object/static/structure/general/shared_planter_generic_style_3.iff', '0', '0.15438', '0', '0.988012', '4383.95', '2', '5260.11', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545489', '0', 'object/static/structure/general/shared_planter_generic_style_4.iff', '0', '0.0998334', '0', '0.995004', '4412.98', '2', '5246.48', '93', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545490', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0', '0', '1', '4449.23', '2', '5216.12', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545491', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0', '0', '1', '4447.91', '2', '5216.63', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545492', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0', '0', '1', '4454.54', '2.00434', '5211.2', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545493', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0', '0', '1', '4454.91', '2.00628', '5209.89', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545494', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.637765', '0', '0.770231', '4469.36', '2', '5195.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545495', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.498262', '0', '0.867027', '4474.2', '2', '5183.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545496', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.770231', '0', '-0.637765', '4468.47', '2', '5195.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545497', '0', 'object/static/structure/general/shared_planter_generic_style_3.iff', '0', '1', '0', '-0.000796364', '4471.27', '2', '5188.86', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545498', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.867026', '0', '-0.498263', '4473.43', '2', '5183.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545499', '0', 'object/static/structure/general/shared_all_foodcart_s01.iff', '0', '0.124675', '0', '0.992198', '4512.93', '2', '5259.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545500', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '-0.352274', '0', '0.935897', '4503.53', '2', '5244.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545501', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.0699432', '0', '0.997551', '4494.82', '2', '5241.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545502', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0', '0', '1', '4500.61', '2', '5242.63', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545503', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0', '0', '1', '4498.11', '2', '5241.82', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545504', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0', '0', '1', '4499.14', '2', '5243.1', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545505', '0', 'object/static/structure/general/shared_planter_generic_style_4.iff', '0', '0', '0', '1', '4507.49', '2.09302', '5255.39', '93', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545506', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s02.iff', '0', '0.960835', '0', '-0.277121', '4541.21', '2', '5297.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545507', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.285949', '0', '0.958245', '4549.64', '-1', '5291.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545508', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0', '0', '1', '4548.17', '2', '5324.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545509', '0', 'object/static/structure/corellia/shared_corl_power_connector.iff', '0', '-0.707106', '0', '0.707108', '4547.16', '5.41527', '5324.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545510', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '1', '0', '3.20013e-08', '4547.17', '2', '5320.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545511', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s02.iff', '0', '0', '0', '1', '4547.17', '2', '5328.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545512', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '-0.707106', '0', '0.707107', '4544.17', '2', '5324.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545513', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '1', '0', '3.20013e-08', '4554.83', '2', '5324.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545514', '0', 'object/static/structure/corellia/shared_corl_power_connector.iff', '0', '0.707108', '0', '0.707105', '4555.83', '5.58468', '5324.55', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545515', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '1', '0', '7.41481e-08', '4555.83', '2', '5320.05', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545516', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s02.iff', '0', '0', '0', '1', '4555.83', '2', '5328.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545517', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '0.707107', '0', '0.707107', '4558.83', '2', '5324.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545518', '0', 'object/static/structure/corellia/shared_corl_power_arial_thin.iff', '0', '0', '0', '1', '4544.35', '2', '5321.17', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545519', '0', 'object/static/structure/corellia/shared_corl_power_arial_prime.iff', '0', '0', '0', '1', '4558.81', '2', '5327.26', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545520', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0.261909', '0', '0.965092', '4535', '2', '5333.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545521', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0.164252', '0', '0.986418', '4538.89', '2', '5340.66', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545522', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0.164252', '0', '0.986418', '4541.48', '2', '5348.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545524', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s02.iff', '0', '0.867423', '0', '0.497571', '4539.47', '2', '5332.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545525', '0', 'object/static/structure/corellia/shared_corl_power_connector.iff', '0', '0.261526', '0', '0.965197', '4536.04', '5.71649', '5334.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545526', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s02.iff', '0', '0.813415', '0', '0.581683', '4544.6', '2', '5344.91', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545527', '0', 'object/static/structure/corellia/shared_corl_power_connector.iff', '0', '0.16386', '0', '0.986484', '4540.84', '5.53812', '5346.2', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545528', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0.164252', '0', '0.986418', '4540.18', '2', '5344.44', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545529', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0.261909', '0', '0.965092', '4537.02', '2', '5336.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545530', '0', 'object/static/structure/general/shared_data_terminal_free_s2.iff', '0', '1', '0', '3.20013e-08', '4547.74', '2', '5317.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545531', '0', 'object/static/structure/general/shared_data_terminal_free_s2.iff', '0', '0', '0', '1', '4556.15', '2', '5330.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545532', '0', 'object/static/structure/general/shared_data_terminal_free_s1.iff', '0', '0.824886', '0', '0.5653', '4539.87', '2', '5337.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545533', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.833272', '0', '0.552863', '4555.31', '2', '5289.95', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545534', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.361615', '0', '0.932327', '4556.58', '2', '5292.53', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545535', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '4555.52', '2', '5294.58', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545536', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '4555.74', '2', '5291.2', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545537', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.247404', '0', '0.968912', '4557.86', '2', '5294.37', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545538', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.572867', '0', '0.819648', '4558.19', '2', '5295.16', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545539', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.174108', '0', '0.984727', '4554.76', '2', '5293.97', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545540', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.556361', '0', '0.830941', '4555.27', '2', '5292.83', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545541', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.42594', '0', '0.904751', '4527.32', '2', '5293.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545543', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.218229', '0', '0.975897', '4527.69', '2', '5294.39', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545544', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.724287', '0', '0.689498', '4526.04', '2', '5294', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545545', '0', 'object/static/structure/general/shared_prp_junk_s4.iff', '0', '0.717356', '0', '0.696707', '4557.53', '2', '5298.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545546', '0', 'object/static/structure/general/shared_prp_junk_s5.iff', '0.612974', '-0.588478', '-0.376933', '0.368616', '4533.69', '3.25749', '5270.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545547', '0', 'object/static/structure/general/shared_prp_junk_s7.iff', '-0.226659', '0.72472', '0.564571', '0.323521', '4544.86', '5.0311', '5274.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545548', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0.373715', '-0.389281', '0.583048', '-0.607333', '4522.17', '2.31293', '5290.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545549', '0', 'object/static/structure/general/shared_prp_junk_s3.iff', '0', '0.741296', '0', '-0.671178', '4537.18', '2', '5273.34', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545550', '0', 'object/static/structure/general/shared_prp_junk_s2.iff', '0', '0.139543', '0', '0.990216', '4524.1', '2', '5293.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545551', '0', 'object/static/structure/general/shared_prp_junk_s1.iff', '0', '0.356949', '0', '0.934124', '4522.55', '2', '5292.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545552', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0.440936', '-0.453613', '0.534528', '-0.560439', '4521.33', '2.30534', '5288.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545553', '0', 'object/static/structure/general/shared_lucky_despot_debris_sm_engine.iff', '1', '0', '0', '3.20013e-08', '4546.88', '6.18927', '5285.52', '256', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545554', '0', 'object/tangible/furniture/all/shared_frn_all_toolchest_lg_s01.iff', '0', '0.935616', '0', '-0.35302', '4542.45', '2', '5280.67', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545555', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.982789', '0', '-0.184729', '4479.36', '2', '5284.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545556', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.98545', '0', '-0.169967', '4459.99', '2', '5282.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545557', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.98545', '0', '-0.169967', '4445.25', '2', '5287.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545558', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.852108', '0', '-0.523366', '4422.17', '2', '5320.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545559', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.819192', '0', '-0.57352', '4427.63', '2', '5308.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545560', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0', '0', '1', '4421.38', '2', '5322.71', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545561', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0', '0', '1', '4428.65', '2', '5306.15', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545562', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0', '0', '1', '4425.02', '2', '5314.8', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545563', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.999875', '0', '-0.0157951', '4384.38', '2', '5282.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545564', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '-0.560509', '0', '0.828149', '4386.83', '2', '5282.72', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545566', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.999573', '0', '0.0291998', '4394.66', '2', '5282.66', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545567', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '-0.581036', '0', '0.813878', '4391.95', '2', '5282.67', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545569', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.979908', '0', '-0.199449', '4408.42', '2', '5297.73', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545570', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.725384', '0', '0.688344', '4408.35', '2', '5295.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545571', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.693679', '0', '0.720283', '4408.65', '2', '5305.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545572', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.984588', '0', '-0.174891', '4408.58', '2', '5302.85', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545575', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '-0.696134', '0', '0.717912', '4367.6', '2', '5309.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545576', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.727726', '0', '-0.685866', '4367.52', '2', '5299.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545579', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.83094', '0', '0.556362', '4387.92', '2', '5323.22', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545580', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.0207942', '0', '0.999784', '4390.37', '2', '5323.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545581', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '-0.0242017', '0', '0.999707', '4380.1', '2', '5323.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545582', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.816773', '0', '0.576959', '4382.81', '2', '5323.32', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545583', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '-0.556362', '0', '0.83094', '4387.77', '2', '5366.4', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545584', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '1', '0', '-0.000795954', '4389.7', '2', '5365.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545585', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '-0.576959', '0', '0.816773', '4391.59', '2', '5366.43', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545586', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '-0.69972', '0', '0.714418', '4381.59', '2', '5373.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545587', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.203566', '0', '0.979061', '4382.18', '2', '5375.24', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545588', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.179029', '0', '0.983844', '4382.14', '2', '5371.42', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545589', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.0165916', '0', '0.999862', '4389.28', '2', '5380.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545590', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.839625', '0', '0.543167', '4391.2', '2', '5380.08', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545591', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.825785', '0', '0.563985', '4387.38', '2', '5380.17', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545592', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.00659232', '0', '0.999978', '4406.62', '2', '5380.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545593', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.834151', '0', '0.551536', '4408.54', '2', '5380.1', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545594', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.820104', '0', '0.572215', '4404.72', '2', '5380.11', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545595', '0', 'object/static/structure/general/shared_all_foodcart_s01.iff', '0', '0.0549723', '0', '0.998488', '4396.37', '2', '5346.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545596', '0', 'object/static/structure/general/shared_planter_generic_style_4.iff', '0', '0.674287', '0', '0.738469', '4368.43', '2.05228', '5351.53', '93', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545597', '0', 'object/static/structure/general/shared_planter_generic_style_3.iff', '0', '0', '0', '1', '4371.1', '2', '5391.04', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545598', '0', 'object/static/structure/general/shared_planter_generic_style_4.iff', '0', '0', '0', '1', '4397.14', '2', '5398.03', '93', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545599', '0', 'object/static/structure/general/shared_planter_generic_style_2.iff', '0', '-0.285952', '0', '0.958244', '4342', '9.9', '5413.91', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545600', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0', '0', '1', '4342', '9.9', '5417', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545601', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.707106', '0', '0.707107', '4345', '9.9', '5414', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545602', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '1', '0', '-3.20013e-08', '4342', '9.9', '5411', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545603', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '-0.707106', '0', '0.707107', '4339', '9.9', '5414', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545604', '0', 'object/static/structure/general/shared_planter_generic_style_2.iff', '0', '0', '0', '1', '4342', '9.9', '5428', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545605', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0', '0', '1', '4342', '9.9', '5431', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545606', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.707103', '0', '0.70711', '4345', '9.9', '5428', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545607', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '1', '0', '0', '4342', '9.9', '5425', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545608', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '-0.707103', '0', '0.70711', '4339', '9.9', '5428', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545609', '0', 'object/static/structure/general/shared_planter_generic_style_2.iff', '0', '0.466208', '0', '0.884675', '4341.98', '9.9', '5442.02', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545610', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0', '0', '1', '4342', '9.9', '5445', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545611', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.707103', '0', '0.70711', '4345', '9.9', '5442', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545612', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '1', '0', '0', '4342', '9.9', '5439', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545613', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '-0.707103', '0', '0.70711', '4339', '9.9', '5442', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545615', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '1', '0', '3.20013e-08', '4288', '9.9', '5409', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545616', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s02.iff', '0', '0', '0', '1', '4288', '9.9', '5405', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545617', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0', '0', '1', '4288', '9.9', '5413', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545618', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '0', '0', '1', '4288', '9.9', '5417', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545623', '0', 'object/static/structure/corellia/shared_corl_power_connector.iff', '0', '0.707108', '0', '0.707105', '4287.96', '13.25', '5401.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545624', '0', 'object/static/structure/general/shared_prp_engine.iff', '0.0434145', '0.261644', '-0.0117819', '0.964116', '4288.62', '10.7538', '5452.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545625', '0', 'object/static/structure/general/shared_prp_engine.iff', '0.707107', '0', '0', '-0.707107', '4291.38', '11.4811', '5453.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545626', '0', 'object/static/structure/general/shared_prp_engine_component.iff', '0', '-0.461779', '0', '0.886995', '4290.09', '11.1017', '5453.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545628', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0.129122', '0.151291', '0.711821', '0.673609', '4293.58', '10.2473', '5453.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545631', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.747971', '0', '-0.663731', '4289.89', '9.9', '5453.46', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545632', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.169182', '0', '0.985585', '4288.54', '9.9', '5452.42', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545633', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.257081', '0', '0.96639', '4288.27', '9.9', '5451.44', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545634', '0', 'object/tangible/furniture/all/shared_frn_all_toolchest_med_s01.iff', '0', '0.998152', '0', '-0.060759', '4291.32', '9.9', '5453.5', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545635', '0', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '0.164252', '0', '0.986418', '4513.37', '2', '5432.41', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545636', '0', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '0.164252', '0', '0.986418', '4494.42', '2', '5438.79', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545637', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.548024', '0', '0.836463', '4510.85', '2', '5433.13', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545638', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.677972', '0', '0.735088', '4510.38', '2', '5433.51', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545639', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.556361', '0', '0.830941', '4509.8', '2', '5433.47', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545640', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.223106', '0', '0.974794', '4510.65', '2.31623', '5433.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545641', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.352274', '0', '0.935897', '4502.94', '2', '5435.96', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545642', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '4502.63', '2', '5436.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545643', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.804599', '0', '0.593818', '4500.26', '2', '5436.66', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545644', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.816314', '0', '0.577609', '4501.7', '2', '5436.25', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545645', '0', 'object/static/item/shared_item_container_inorganic_chemicals.iff', '0', '-0.576958', '0', '0.816774', '4505.61', '2', '5434.67', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545646', '0', 'object/static/item/shared_item_container_inorganic_chemicals.iff', '0', '-0.412321', '0', '0.911039', '4504.41', '2', '5435.52', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545647', '0', 'object/static/item/shared_item_container_energy_solid.iff', '0', '0', '0', '1', '4508.19', '2', '5434.22', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545648', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '4498.31', '2', '5437.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545649', '0', 'object/static/item/shared_item_container_energy_gas.iff', '0', '0', '0', '1', '4497.88', '2', '5437.8', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545650', '0', 'object/static/structure/general/shared_planter_generic_style_3.iff', '0', '0', '0', '1', '4466.44', '2', '5485.76', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545651', '0', 'object/static/structure/general/shared_planter_generic_style_4.iff', '0', '0', '0', '1', '4565.95', '2', '5437.07', '93', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545652', '0', 'object/static/item/shared_item_container_energy_gas.iff', '0', '0.556361', '0', '0.830941', '4448.31', '2', '5421.35', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545653', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.556361', '0', '0.830941', '4447.69', '2', '5420.94', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545654', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.998951', '0', '0.0457814', '4447.08', '2', '5419.02', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545655', '0', 'object/static/item/shared_item_container_energy_gas.iff', '0', '0.990105', '0', '0.140331', '4448.53', '2', '5419.73', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545656', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.911367', '0', '-0.411594', '4449.68', '2', '5420.49', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545657', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.990105', '0', '0.140331', '4448.19', '2', '5420.39', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545658', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '-0.556362', '0', '0.83094', '4339.66', '2', '5341.65', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545659', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '-0.57696', '0', '0.816773', '4344.77', '2', '5341.55', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545660', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.999783', '0', '-0.0207977', '4337.21', '2', '5341.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545661', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '1', '0', '-0.000795415', '4342.36', '2', '5341.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545662', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.999706', '0', '0.0242018', '4347.48', '2', '5341.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545663', '0', 'object/static/structure/general/shared_planter_generic_style_3.iff', '0', '0', '0', '1', '4327', '2', '5295.83', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545664', '0', 'object/static/structure/general/shared_planter_generic_style_1.iff', '0', '0.466208', '0', '0.884675', '4282.78', '2', '5284.17', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545665', '0', 'object/static/structure/general/shared_planter_generic_style_2.iff', '0', '-0.198669', '0', '0.980067', '4219.21', '2', '5285.84', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545666', '0', 'object/static/structure/general/shared_planter_generic_style_3.iff', '0', '-0.232843', '0', '0.972514', '4172.7', '2', '5280.31', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545667', '0', 'object/static/structure/general/shared_all_foodcart_s01.iff', '0', '1', '0', '-0.000796461', '4159.9', '2', '5289.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545668', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.149438', '0', '0.988771', '4238.94', '2', '5314.16', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545669', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.891207', '0', '-0.453596', '4239.37', '2', '5311.95', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545670', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '4237.8', '2.06931', '5311.67', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545671', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.717356', '0', '-0.696707', '4239.11', '2', '5319.29', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545672', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0.566154', '-0.41126', '-0.303128', '-0.646876', '4239.69', '2.25525', '5316.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545673', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.005', '0', '0.999987', '4237.63', '2', '5324.05', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545674', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.461779', '0', '0.886995', '4239.02', '2', '5324.02', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545675', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.937369', '0', '0.348337', '4238.01', '2', '5323.33', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545676', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.501213', '0', '0.865324', '4238.7', '2', '5322.99', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545677', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '4239.08', '2', '5321.63', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545678', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '-0.333487', '0', '0.942755', '4236.73', '2.09358', '5311.62', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545679', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '1', '0', '3.20013e-08', '4173.24', '2', '5302.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545680', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '1', '0', '0', '4202.14', '2', '5302.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545683', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '1', '0', '0', '4195.45', '2', '5303.17', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545685', '0', 'object/static/item/shared_item_container_inorganic_chemicals.iff', '0', '0', '0', '1', '4141.1', '2', '5278.37', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545686', '0', 'object/static/item/shared_item_container_energy_solid.iff', '0', '0', '0', '1', '4139.96', '2', '5280.54', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545687', '0', 'object/static/item/shared_item_container_energy_radioactive.iff', '0', '-0.319309', '0', '0.947651', '4141.13', '2', '5279.85', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545688', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '1', '0', '3.20013e-08', '4129.68', '2', '5297.14', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545689', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.707106', '0', '0.707107', '4130.11', '2', '5295.45', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545690', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0', '0', '1', '4131.13', '2', '5296.95', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545691', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.13459', '0', '0.990901', '4130.19', '3.77088', '5296.46', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545692', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.707106', '0', '0.707107', '4130.34', '2.88544', '5295.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545693', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.613117', '0', '0.789992', '4130.48', '2.88544', '5297.39', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545694', '0', 'object/static/item/shared_item_container_energy_radioactive.iff', '0', '0', '0', '1', '4123.86', '2', '5301.71', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545695', '0', 'object/static/item/shared_item_container_energy_radioactive.iff', '0', '0', '0', '1', '4124.13', '2', '5302.98', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545696', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.475032', '0', '0.879969', '4128.87', '2', '5298.29', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545697', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.475032', '0', '0.879969', '4129.22', '2', '5298.4', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545698', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.475032', '0', '0.879969', '4128.86', '2', '5298.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545699', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.862404', '0', '-0.50622', '4145.11', '2', '5310.77', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545700', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.352274', '0', '0.935897', '4138.58', '2', '5313.88', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545701', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '4111.45', '2', '5301.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545702', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.281157', '0', '0.959662', '4112.48', '2', '5301.51', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545703', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0', '0', '1', '4103.13', '2', '5296.8', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545704', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.958244', '0', '0.285952', '4090.98', '2', '5278.45', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545705', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.475382', '0', '0.879779', '4092.26', '2', '5277.27', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545706', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.285952', '0', '0.958244', '4092.29', '2', '5279.09', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545707', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.412321', '0', '0.911039', '4091.77', '3.77088', '5278.16', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545708', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.879779', '0', '-0.475383', '4092.19', '2.88544', '5277.8', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545709', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.813416', '0', '-0.581683', '4091.51', '2.88544', '5279.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545710', '0', 'object/static/item/shared_item_container_energy_radioactive.iff', '0', '0.827702', '0', '-0.561168', '4092.71', '2', '5281.36', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545711', '0', 'object/static/item/shared_item_container_energy_radioactive.iff', '0', '0.827702', '0', '-0.561168', '4091.44', '2', '5281.14', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545712', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.475032', '0', '0.879968', '4105.28', '2', '5269.68', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545713', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.475032', '0', '0.879968', '4105.63', '2', '5269.79', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545714', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.475032', '0', '0.879968', '4105.27', '2', '5270.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545715', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.0349929', '0', '0.999388', '4102.02', '2', '5261.44', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545716', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.734548', '0', '-0.678557', '4102.63', '2', '5260.31', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545717', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.70328', '0', '0.710913', '4102.56', '3.13842', '5260.93', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545718', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.492535', '0', '0.870293', '4101.69', '2', '5260.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545719', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.488177', '0', '0.872744', '4074.36', '2', '5239.21', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545720', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '4075.93', '2', '5239.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545721', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.301053', '0', '0.953608', '4041.49', '2', '5246.94', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545722', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.461426', '0', '0.887179', '4042.11', '2', '5248.57', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545723', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.953607', '0', '-0.301053', '4040.41', '2', '5247.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545724', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.98545', '0', '-0.169968', '4041.46', '3.77088', '5247.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545725', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.887179', '0', '0.461424', '4041.64', '2.88544', '5248.31', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545726', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.937923', '0', '0.346843', '4040.69', '2.88544', '5247.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545727', '0', 'object/static/item/shared_item_container_energy_radioactive.iff', '0', '0.953607', '0', '-0.301053', '4043.62', '2', '5239.85', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545728', '0', 'object/static/item/shared_item_container_energy_radioactive.iff', '0', '0.953607', '0', '-0.301053', '4042.68', '2', '5238.96', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545729', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.982154', '0', '0.188077', '4041.49', '2', '5245.53', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545730', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.982154', '0', '0.188077', '4041.14', '2', '5245.64', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545731', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.982154', '0', '0.188077', '4041.22', '2', '5245.12', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545732', '0', 'object/static/structure/general/shared_all_foodcart_s01.iff', '0', '-0.663135', '0', '0.7485', '4040.55', '2', '5261.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4545733', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.914795', '0', '-0.403919', '4044.68', '2', '5232.17', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4605447', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0', '0', '1', '4325.04', '9.9', '5402.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4605448', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '1', '0', '3.20013e-08', '4325.04', '9.9', '5366.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4636083', '0', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '0.706825', '0', '0.707388', '4331.48', '9.9', '5419.02', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4636084', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.713864', '0', '0.700285', '4332.09', '9.9', '5444.02', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4665368', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.213348', '0', '0.976976', '4522.34', '2', '5129.89', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4665540', '0', 'object/static/installation/shared_mockup_mining_liquid_harvester_style_1.iff', '0', '0.544503', '0', '0.838759', '4122.39', '2', '5271.72', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4665560', '0', 'object/static/installation/shared_mockup_mining_gas_harvester_style_1.iff', '0', '0.15438', '0', '0.988012', '4023.12', '2', '5249.98', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4665594', '0', 'object/tangible/crafting/station/shared_public_clothing_station.iff', '0', '0.68921', '0', '0.724562', '4336.47', '2', '5193.93', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4665597', '0', 'object/tangible/crafting/station/shared_public_clothing_station.iff', '0', '0.689211', '0', '0.724561', '4315.26', '2', '5192.83', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4665602', '0', 'object/tangible/crafting/station/shared_public_food_station.iff', '0', '-0.29074', '0', '0.956802', '4300.58', '2', '5182.41', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4665603', '0', 'object/tangible/crafting/station/shared_public_food_station.iff', '0', '-0.305059', '0', '0.952334', '4286.97', '2', '5173.17', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4665618', '0', 'object/tangible/crafting/station/shared_public_weapon_station.iff', '0', '0.846832', '0', '0.531861', '4337.27', '2', '5068.6', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4665619', '0', 'object/tangible/crafting/station/shared_public_structure_station.iff', '0', '0.833272', '0', '0.552863', '4351.87', '2', '5100.45', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4665644', '0', 'object/tangible/crafting/station/shared_public_clothing_station.iff', '0', '1', '0', '3.20013e-08', '4408.55', '2', '5300.43', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4665645', '0', 'object/tangible/crafting/station/shared_public_food_station.iff', '0', '1', '0', '3.20013e-08', '4389.51', '2', '5282.81', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4665646', '0', 'object/tangible/crafting/station/shared_public_structure_station.iff', '0', '0', '0', '1', '4385.73', '2', '5323.65', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4665647', '0', 'object/tangible/crafting/station/shared_public_weapon_station.iff', '0', '-0.707106', '0', '0.707107', '4367.47', '2', '5303.67', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4665648', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.816773', '0', '0.576959', '4367.37', '2', '5307.91', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4665649', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.816773', '0', '0.576959', '4367.34', '2', '5301.75', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4665660', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '0.926499', '0', '0.376297', '4025.9', '2', '5205.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4665661', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '0.886627', '0', '0.462485', '3998.64', '2', '5165.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4665662', '0', 'object/static/structure/general/shared_streetlamp_medium_red_style_02.iff', '0', '0.908633', '0', '-0.417594', '4042.85', '2', '5261.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4665663', '0', 'object/static/structure/general/shared_streetlamp_medium_red_style_02.iff', '0', '0.959662', '0', '-0.281157', '4040.58', '2', '5211.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4665664', '0', 'object/static/structure/general/shared_streetlamp_medium_red_style_02.iff', '0', '0.935616', '0', '0.353019', '4084.56', '2', '5240', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4665665', '0', 'object/static/structure/general/shared_streetlamp_medium_red_style_02.iff', '0', '0.934408', '0', '0.356205', '4089.88', '2', '5297.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4665666', '0', 'object/static/structure/general/shared_streetlamp_medium_red_style_02.iff', '0', '0.412321', '0', '0.911039', '4091.02', '2', '5257', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4665667', '0', 'object/static/structure/general/shared_streetlamp_medium_red_style_02.iff', '0', '0.953607', '0', '-0.301053', '4144.09', '2', '5314.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4665668', '0', 'object/static/structure/general/shared_streetlamp_medium_red_style_02.iff', '0', '-0.227978', '0', '0.973666', '4136.12', '2', '5284.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4665669', '0', 'object/static/structure/general/shared_streetlamp_medium_red_style_02.iff', '0', '0.398609', '0', '0.917121', '4058.35', '2', '5237.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685352', '0', 'object/static/structure/general/shared_streetlamp_medium_red_style_02.iff', '0', '0.706825', '0', '0.707389', '4159.05', '2', '5285', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685353', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '1', '0', '3.20013e-08', '4174.94', '6.83575', '5304.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685354', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '0.999991', '0', '0.00420374', '4201.25', '6.87717', '5304.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685355', '0', 'object/static/structure/general/shared_streetlamp_medium_green_style_02.iff', '0', '-0.707106', '0', '0.707107', '4235.01', '2', '5295.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685356', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '1', '0', '3.20013e-08', '4264.4', '2', '5289.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685357', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '1', '0', '3.20013e-08', '4304.34', '2', '5289.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685358', '0', 'object/static/structure/general/shared_streetlamp_medium_green_style_02.iff', '0', '0.699716', '0', '0.714421', '4332.18', '2', '5306.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685359', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '0.92388', '0', '0.382683', '4363.75', '2', '5339.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685361', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0', '0', '0', '1', '4331.86', '12.3842', '5370.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685362', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0', '0', '0', '1', '4329.81', '20.2504', '5370.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685363', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0', '0', '0', '1', '4332.04', '12.3842', '5399.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685364', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0', '0', '0', '1', '4329.8', '20.2504', '5399.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685367', '0', 'object/static/structure/general/shared_streetlamp_medium_blue_style_02.iff', '0', '0', '0', '1', '4341.92', '9.9', '5416.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685368', '0', 'object/static/structure/general/shared_streetlamp_medium_blue_style_02.iff', '0', '1', '0', '3.20013e-08', '4342.02', '9.9', '5440.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685371', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '1', '0', '0', '-3.20013e-08', '4315.41', '15.5921', '5417.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685372', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '0.707106', '0', '0.707107', '4375.69', '2', '5401.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685373', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '1', '0', '3.20013e-08', '4395.59', '2', '5364.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685375', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '0.926948', '0', '-0.375191', '4411.4', '2', '5404.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685376', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '-0.00460148', '0', '0.999989', '4395.54', '2', '5381.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685377', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '0.972699', '0', '0.232068', '4400.04', '2', '5445.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685378', '0', 'object/static/structure/general/shared_streetlamp_medium_red_style_02.iff', '0', '0.713864', '0', '0.700285', '4437.12', '2', '5418.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685380', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0.988012', '7.01932e-09', '-0.15438', '3.2126e-08', '4464.79', '7.32884', '5450.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685381', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0.988012', '0', '-0.15438', '0', '4541.87', '7.31581', '5423.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685383', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_02.iff', '0', '0', '0', '1', '4518.16', '2', '5430.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685384', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_02.iff', '0', '0', '0', '1', '4489.76', '2', '5440.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685385', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_02.iff', '0', '0', '0', '1', '4492.49', '4.6247', '5509.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685386', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_02.iff', '-0.408431', '0.577221', '0.577221', '0.408431', '4493.49', '6.55747', '5484.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685388', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_02.iff', '0', '0', '0', '1', '4568.51', '4.80751', '5484.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685389', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_02.iff', '0.577221', '0.408431', '0.408431', '-0.577221', '4551.38', '5.92123', '5464.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685392', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_02.iff', '0', '0.188859', '0', '0.982004', '4513.65', '2', '5492.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685393', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_02.iff', '0', '0.169182', '0', '0.985585', '4542.87', '2', '5481.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685394', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_02.iff', '0', '0', '0', '1', '4386.05', '2', '5304.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685395', '0', 'object/static/structure/general/shared_streetlamp_medium_blue_style_02.iff', '0', '-0.169182', '0', '0.985585', '4499.56', '2', '5242.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685398', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0', '0', '1', '-3.20013e-08', '4454.21', '5.92123', '5290.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685399', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '0.535416', '0', '0.844589', '4373.15', '2', '5263.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685400', '0', 'object/static/structure/general/shared_streetlamp_medium_red_style_02.iff', '0', '0.881958', '0', '0.471328', '4544.71', '2', '5295.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685401', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '-0.15438', '9.68546e-09', '0.988012', '-3.2126e-08', '4487.63', '13.1838', '5219.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685403', '0', 'object/static/structure/general/shared_streetlamp_medium_blue_style_02.iff', '0', '-0.17903', '0', '0.983844', '4499.71', '2', '5187.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685406', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '4437.98', '1.93675', '5198.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685411', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '0.908634', '0', '0.417595', '4476.89', '2', '5150.34', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685413', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '0', '0', '1', '4427.6', '2.09719', '5124.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685414', '0', 'object/static/structure/general/shared_streetlamp_medium_red_style_02.iff', '0', '0.572867', '0', '0.819648', '4491.59', '2', '5111.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685415', '0', 'object/static/structure/general/shared_streetlamp_medium_red_style_02.iff', '0', '0.981854', '0', '-0.189641', '4509.7', '2', '5083.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685416', '0', 'object/static/structure/general/shared_streetlamp_medium_red_style_02.iff', '0', '0.281157', '0', '0.959662', '4546.2', '2', '5088.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685417', '0', 'object/static/structure/general/shared_streetlamp_medium_blue_style_02.iff', '0', '0.988134', '0', '0.153593', '4513.79', '2', '5146.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685418', '0', 'object/static/structure/general/shared_streetlamp_medium_red_style_02.iff', '0', '0.830497', '0', '0.557023', '4560.32', '2', '5064.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685419', '0', 'object/static/structure/general/shared_streetlamp_medium_red_style_02.iff', '0', '0.944148', '0', '-0.329521', '4542.03', '2', '5071.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685420', '0', 'object/static/structure/general/shared_streetlamp_medium_red_style_02.iff', '0', '0', '0', '1', '4533.3', '2', '5039.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685421', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '0.605186', '0', '0.796084', '4528.47', '3.27041', '4995.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685422', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '0.933839', '0', '-0.357693', '4372.85', '2', '5112.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685423', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_02.iff', '0', '0', '1', '3.20013e-08', '4337.57', '8.75766', '5087.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685425', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '0.398609', '0', '0.917121', '4372.6', '2', '5050.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685426', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '0.934124', '0', '0.356949', '4390.2', '2', '5021.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685427', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '0.589145', '0', '0.808027', '4406.37', '2', '4969.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685428', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_02.iff', '0', '0', '0', '1', '4324.95', '2', '5120.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685429', '0', 'object/static/structure/general/shared_streetlamp_medium_green_style_02.iff', '0', '-0.443948', '0', '0.896052', '4360.93', '2.94868', '5154.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685430', '0', 'object/static/structure/general/shared_streetlamp_medium_green_style_02.iff', '0', '0.932183', '0', '-0.361987', '4359.73', '2.94049', '5177.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685432', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '-0.703279', '0', '0.710914', '4357.72', '2', '5210.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685435', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '0.996865', '0', '0.0791209', '4318.88', '1.73975', '5218.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685436', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '0', '0', '1', '4326.38', '2', '5192.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685437', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_02.iff', '0', '0', '0', '1', '4297.19', '2', '5139.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685438', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '-0.29552', '0', '0.955337', '4293.54', '2', '5177.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685439', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '0.710353', '0', '0.703845', '4243.96', '2', '5172.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685440', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '-0.681639', '0', '0.731689', '4279.6', '2', '5150.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685441', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0.213346', '-0.000896833', '0.976968', '0.00410685', '4266.88', '10.728', '5123.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685442', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '0.29552', '0', '0.955337', '4215.75', '2', '5138.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685443', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '-0.15438', '0', '0.988012', '4239.08', '2.84943', '5107.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685444', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '0.973848', '0', '0.227202', '4181.38', '2', '5152.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685445', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0', '0', '0', '1', '4169.81', '4.26579', '5110.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685446', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '0.727726', '0', '-0.685869', '4152.57', '2', '5129.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4685447', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '-0.0948572', '0', '0.995491', '4123.29', '2', '5113.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4725438', '0', 'object/tangible/crafting/station/shared_public_clothing_station.iff', '0', '0.707106', '0', '0.707107', '367.035', '6', '-2877.47', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4725439', '0', 'object/tangible/crafting/station/shared_public_clothing_station.iff', '0', '0.707102', '0', '0.707111', '355.048', '6', '-2877.46', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4725442', '0', 'object/tangible/crafting/station/shared_public_food_station.iff', '0', '1', '0', '3.20013e-08', '353.903', '6', '-2944.01', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4725443', '0', 'object/tangible/crafting/station/shared_public_food_station.iff', '0', '1', '0', '3.20013e-08', '366.015', '6', '-2944', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4725447', '0', 'object/tangible/crafting/station/shared_public_weapon_station.iff', '0', '1', '0', '-1.25426e-06', '514.427', '6', '-2912.53', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4725458', '0', 'object/tangible/crafting/station/shared_structure_station.iff', '0', '1', '0', '3.20013e-08', '579.148', '6', '-3005.26', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4725459', '4725458', 'object/tangible/hopper/shared_crafting_station_ingredient_hopper_1.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4725460', '0', 'object/tangible/crafting/station/shared_structure_station.iff', '0', '1', '0', '-3.20013e-08', '599.895', '6', '-3005.3', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4725461', '4725460', 'object/tangible/hopper/shared_crafting_station_ingredient_hopper_1.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775355', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '1', '0', '3.20013e-08', '157.792', '6', '-3062.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775356', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0.710914', '0', '0.703279', '145.679', '6', '-3059.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775357', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '-0.703562', '0', '0.710634', '149.313', '6', '-3081.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775358', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.40319', '0', '0.915116', '150.501', '6', '-3068.72', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775359', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.466208', '0', '0.884675', '152.174', '6', '-3068.3', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775360', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.492535', '0', '0.870293', '149.388', '6', '-3068.41', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775361', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.754571', '0', '-0.656219', '150.197', '6', '-3069.98', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775362', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.811429', '0', '0.584451', '144.324', '6', '-3084.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775363', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.749027', '0', '0.66254', '145.465', '6', '-3084.6', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775364', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.485201', '0', '0.874403', '144.089', '6', '-3083.5', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775443', '0', 'object/tangible/terminal/shared_terminal_mission_rebel.iff', '0', '0.707105', '0', '0.707108', '603.624', '15.0081', '-2946.98', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775445', '0', 'object/tangible/terminal/shared_terminal_mission_rebel.iff', '0', '0.707106', '0', '0.707108', '603.509', '15.0081', '-2933', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775555', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.92388', '0', '-0.382683', '170.474', '6', '-2948.67', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775556', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '-0.382683', '0', '0.92388', '170.247', '6', '-2943.51', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775557', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '-0.707105', '0', '0.707108', '170.595', '6', '-2918.66', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775558', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '-0.707106', '0', '0.707108', '170.66', '6', '-2913.49', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775559', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.159318', '0', '0.987227', '169.669', '6', '-2944.79', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775560', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.416871', '0', '0.908966', '169.882', '6.6957', '-2944.81', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775561', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.505533', '0', '0.862807', '170.809', '6', '-2947.02', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775562', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '170.709', '6', '-2945.31', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775563', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.741297', '0', '-0.671178', '169.584', '6', '-2945.73', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775564', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.366273', '0', '0.930508', '170.057', '6', '-2946.5', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775565', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.266731', '0', '0.963771', '170.39', '6.6957', '-2945.77', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775566', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.285952', '0', '0.958244', '168.562', '6', '-2915.06', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775567', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.770739', '0', '-0.637151', '168.627', '6.6957', '-2915.21', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775568', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.943255', '0', '-0.332069', '169.994', '6', '-2916.57', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775569', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.434965', '0', '0.900447', '169.539', '6', '-2914.88', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775570', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.959438', '0', '-0.281921', '169.163', '6', '-2916.02', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775571', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.0749289', '0', '0.997189', '170.94', '6', '-2916.99', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775572', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.129634', '0', '0.991562', '169.346', '6.6957', '-2915.34', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775573', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.465503', '0', '0.885046', '170.48', '6', '-2915.62', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775574', '0', 'object/static/item/shared_item_container_energy_gas.iff', '0', '0.966594', '0', '0.256311', '170.39', '6', '-2920.85', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775575', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.198669', '0', '0.980067', '170.886', '6', '-2964.04', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775576', '0', 'object/static/item/shared_item_container_energy_radioactive.iff', '0', '-0.198669', '0', '0.980067', '170.481', '6', '-2963.32', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775577', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '-0.398609', '0', '0.917121', '170.237', '6', '-2962.56', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775578', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0', '0', '1', '170.525', '6', '-2928.42', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775579', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0', '0', '1', '170.525', '6', '-2926.43', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775580', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.139543', '0', '0.990216', '170.386', '6', '-2930.66', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775581', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0', '0', '1', '170.542', '6.88544', '-2926.93', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775582', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.989112', '0', '0.147163', '168.051', '6', '-2908.23', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775583', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.144492', '0', '0.989506', '169.031', '6', '-2907.91', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775584', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0.432257', '-0.20428', '0.10121', '0.872456', '168.277', '6.79228', '-2907.07', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775585', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.0749296', '0', '0.997189', '170.56', '6.88544', '-2929.53', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775586', '0', 'object/static/item/shared_item_container_energy_gas.iff', '0', '0.535416', '0', '0.844588', '168.655', '6.88544', '-2908.13', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775587', '0', 'object/static/item/shared_item_container_energy_gas.iff', '0', '-0.696134', '0', '0.717911', '170.757', '6', '-2922.03', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775588', '0', 'object/static/item/shared_item_container_energy_radioactive.iff', '0', '0', '0', '1', '170.421', '6', '-2939.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775589', '0', 'object/static/item/shared_item_container_energy_radioactive.iff', '0', '0', '0', '1', '170.326', '6', '-2937.97', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775590', '0', 'object/static/item/shared_item_container_energy_radioactive.iff', '0', '0.0449848', '0', '0.998988', '170.488', '6.47434', '-2938.69', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775591', '0', 'object/static/item/shared_item_container_energy_radioactive.iff', '0', '0.461779', '0', '0.886995', '170.549', '6.94869', '-2938.76', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775592', '0', 'object/static/item/shared_item_container_energy_radioactive.iff', '0', '-0.114747', '0', '0.993395', '170.268', '6', '-2940.45', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775593', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '-0.543835', '0', '0.839192', '170.436', '6', '-2936.76', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775594', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.724287', '0', '-0.689498', '170.421', '6', '-2937.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775595', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.724287', '0', '-0.689498', '170.515', '6.44272', '-2937.75', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775596', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '-0.543835', '0', '0.839192', '169.996', '6', '-2936.89', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775597', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '-0.37092', '0', '0.928665', '170.069', '6', '-2936.4', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775598', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.501213', '0', '0.865324', '152.324', '6', '-2940.55', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775599', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.501213', '0', '0.865324', '152.299', '6', '-2940.96', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775602', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.501213', '0', '0.865324', '152.615', '6', '-2940.83', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775604', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.198669', '0', '0.980067', '170.83', '6', '-2962.24', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775605', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.41687', '0', '0.908966', '152.446', '6', '-2939.41', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775606', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.0399902', '0', '0.9992', '152.736', '6', '-2940.27', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775607', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.0399902', '0', '0.9992', '152.436', '6', '-2940.07', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775610', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.41687', '0', '0.908966', '152.315', '6', '-2939.71', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775611', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.352274', '0', '0.935897', '165.742', '6', '-2896.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775612', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.813416', '0', '-0.581683', '165.876', '6.6957', '-2896.37', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775613', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.496881', '0', '0.867818', '166.734', '6', '-2895.91', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775614', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.976807', '0', '-0.214125', '166.313', '6', '-2896.96', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775615', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.0599638', '0', '0.998201', '166.606', '6.6957', '-2896.4', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775616', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.526265', '0', '0.85032', '167.769', '6', '-2896.52', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775617', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.92388', '0', '0.382683', '167.566', '6', '-2884.93', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775618', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.92388', '0', '0.382683', '167.199', '6.88544', '-2884.58', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775619', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.92388', '0', '0.382683', '166.156', '6', '-2883.52', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775620', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.37092', '0', '0.928665', '169.836', '6', '-2975.47', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775621', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.237703', '0', '0.971338', '168.275', '6', '-2976.9', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775622', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.300293', '0', '0.953847', '169.177', '6.88544', '-2976.2', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775623', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.989112', '0', '0.147163', '170.447', '6', '-2983.64', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775624', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.144492', '0', '0.989506', '171.427', '6', '-2983.32', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775625', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0.432257', '-0.20428', '0.10121', '0.872457', '170.673', '6.79228', '-2982.48', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775626', '0', 'object/static/item/shared_item_container_energy_gas.iff', '0', '0.535416', '0', '0.844589', '171.052', '6.88544', '-2983.54', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775958', '0', 'object/static/structure/general/shared_all_foodcart_s01.iff', '0', '0.727726', '0', '0.685868', '621.852', '6', '-2923.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4775973', '0', 'object/static/structure/general/shared_all_foodcart_s01.iff', '0', '0.924606', '0', '0.380925', '631.711', '6', '-3051.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4795356', '0', 'object/building/general/shared_talus_kahmurra_bunker.iff', '0', '0.703561', '0', '0.710634', '-4820.81', '16.3456', '-4751.1', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '4795357', '4795356', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4795358', '4795356', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4795359', '4795356', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '6075904', '4795359', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '-0.00123586', '0.710463', '0.70373', '-0.00236224', '2.94597', '0.534605', '-5.90871', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4795360', '4795356', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4795361', '4795356', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '6075905', '4795361', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0.198669', '0', '0.980067', '-7.489', '-6.75', '-0.615375', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4795362', '4795356', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '6075906', '4795362', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0.174108', '0', '0.984727', '5.14538', '-6.76678', '-15.4386', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4795363', '4795356', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '6075907', '4795363', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0', '0', '1', '8.65878', '-6.74593', '-9.42373', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4795364', '4795356', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4795365', '4795356', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3795387', '4795365', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_neutral_rescue_01.iff', '0', '0.94493', '0', '0.327274', '-8.1751', '-13.75', '-0.253241', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6075908', '4795365', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '-0.375559', '0', '0.926798', '3.36158', '-13.75', '-0.268087', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6075909', '4795365', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0.559831', '0.424668', '-0.557086', '0.442608', '-8.90729', '-13.3389', '-8.65916', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4795377', '0', 'object/static/structure/military/shared_military_wall_med_imperial_16_style_01.iff', '0', '0.382683', '0', '0.92388', '-4811.21', '16.7466', '-4761.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4795378', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0', '1', '-4805', '16.4476', '-4767', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4795379', '0', 'object/static/structure/military/shared_military_wall_med_imperial_16_style_01.iff', '0', '0', '0', '1', '-4796', '16.1147', '-4767', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4795380', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0', '1', '-4788', '16.1694', '-4767', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4795381', '0', 'object/static/structure/military/shared_military_wall_med_imperial_16_style_01.iff', '0', '-0.707106', '0', '0.707107', '-4788', '16.248', '-4758', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4795382', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0', '1', '-4787.87', '16.3268', '-4749.8', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4795383', '0', 'object/static/structure/military/shared_military_wall_med_imperial_16_style_01.iff', '0', '0', '0', '1', '-4795', '16.5754', '-4738', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4795384', '0', 'object/static/structure/military/shared_military_wall_med_imperial_16_style_01.iff', '0', '-0.382683', '0', '0.92388', '-4810', '16.5425', '-4744', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4795385', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0', '1', '-4804', '16.2784', '-4738', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4795386', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0', '1', '-4788', '16.6033', '-4738', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4795389', '0', 'object/static/installation/shared_mockup_power_generator_solar_style_1.iff', '0', '0', '0', '1', '-4797.81', '16.5082', '-4760.22', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4795390', '0', 'object/static/installation/shared_mockup_power_generator_solar_style_1.iff', '0', '0', '0', '1', '-4803.56', '16.4356', '-4760.23', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4795392', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '-0.380188', '0', '0.924909', '553.374', '6.63246', '-3003.43', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4795393', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.924909', '0', '0.380188', '526.712', '6.63246', '-2976.53', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4795397', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.987354', '0', '0.158532', '4525.1', '2', '5066.18', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4795398', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.844162', '0', '-0.536089', '4105.43', '2', '5289.37', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4795402', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.682805', '0', '0.730601', '4349.19', '2', '5150.76', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4795403', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.690076', '0', '0.723737', '4347.65', '2', '5179.43', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4845412', '0', 'object/static/structure/general/shared_camp_tent_s01.iff', '0', '0', '0', '1', '-1621.98', '23.5651', '617.045', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4845413', '0', 'object/static/structure/general/shared_camp_stool_short_s01.iff', '0', '0', '0', '1', '-1621.29', '23.3887', '622.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4845418', '0', 'object/static/structure/general/shared_camp_tent_s01.iff', '0', '0.84061', '0', '0.541642', '-1626.51', '23.1646', '622.076', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4845419', '0', 'object/static/structure/general/shared_camp_cot_s01.iff', '0', '0', '0', '1', '-1623.03', '23.1879', '623.159', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4845421', '0', 'object/static/structure/general/shared_campfire_smoldering.iff', '0', '0', '0', '1', '-1622.33', '23.4994', '621.143', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '4845424', '0', 'object/static/particle/shared_particle_campfire_style_1.iff', '0', '0', '0', '1', '-1622.42', '23.373', '621.123', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965373', '0', 'object/building/military/shared_military_outpost_guard_house_imperial.iff', '0', '0.92388', '0', '0.382683', '-2078.07', '20', '2301.93', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965374', '4965373', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316121', '4965374', 'object/static/item/shared_item_tapestry_imperial.iff', '0', '-0.707106', '0', '0.707107', '0.801908', '-0.0908326', '-1.44811', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965375', '4965373', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965376', '0', 'object/building/military/shared_military_outpost_guard_house_imperial.iff', '0', '0.593499', '0', '0.804834', '-2132.53', '20', '2390.78', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965377', '4965376', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316126', '4965377', 'object/static/item/shared_item_tapestry_imperial.iff', '0', '-0.707106', '0', '0.707107', '0.797493', '-0.0908327', '-1.47878', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965378', '4965376', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965379', '0', 'object/building/military/shared_military_outpost_guard_house_imperial.iff', '0', '-0.382683', '0', '0.92388', '-2286.42', '20', '2302.09', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965380', '4965379', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316022', '4965380', 'object/static/item/shared_item_tapestry_imperial.iff', '0', '0.707107', '0', '-0.707107', '0.810314', '-0.0592099', '-1.4548', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965381', '4965379', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965382', '0', 'object/building/military/shared_military_outpost_guard_house_imperial.iff', '0', '0.14944', '0', '0.988771', '-2233.41', '20', '2390.42', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965383', '4965382', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316131', '4965383', 'object/static/item/shared_item_tapestry_imperial.iff', '0', '-0.707106', '0', '0.707107', '0.79111', '-0.0908326', '-1.47426', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965384', '4965382', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965385', '0', 'object/building/military/shared_military_outpost_guard_house_imperial.iff', '0', '0.804835', '0', '-0.593499', '-2233.01', '20', '2213.02', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965386', '4965385', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315433', '4965386', 'object/static/item/shared_item_tapestry_imperial.iff', '0', '-0.707106', '0', '0.707107', '0.729432', '-0.0908327', '-1.45819', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965387', '4965385', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965388', '0', 'object/building/military/shared_military_outpost_guard_house_imperial.iff', '0', '0.988771', '0', '-0.14944', '-2132.4', '20', '2213.65', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965389', '4965388', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316136', '4965389', 'object/static/item/shared_item_tapestry_imperial.iff', '0', '-0.707106', '0', '0.707107', '0.805061', '-0.0908326', '-1.47196', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965390', '4965388', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965393', '0', 'object/building/military/shared_mun_all_military_tower_impl_guard_s01.iff', '0', '0', '0', '1', '-2175.07', '20', '2396.93', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965394', '4965393', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965395', '0', 'object/building/military/shared_mun_all_military_tower_impl_guard_s01.iff', '0', '0.884303', '0', '0.466913', '-2102.34', '20', '2245.91', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965396', '4965395', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965397', '0', 'object/building/military/shared_mun_all_military_tower_impl_guard_s01.iff', '0', '0.888238', '0', '0.459383', '-2091.76', '20', '2260.61', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965398', '4965397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965399', '0', 'object/building/military/shared_mun_all_military_tower_impl_guard_s01.iff', '0', '0.874789', '0', '-0.484504', '-2271.97', '20', '2260.99', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965400', '4965399', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965401', '0', 'object/building/military/shared_mun_all_military_tower_impl_guard_s01.iff', '0', '0.8699', '0', '-0.493228', '-2263.9', '20', '2245.62', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965402', '4965401', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965403', '0', 'object/building/military/shared_mun_all_military_tower_impl_guard_s01.iff', '0', '-0.514136', '0', '0.857709', '-2231.35', '20', '2330.04', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965404', '4965403', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965405', '0', 'object/building/military/shared_mun_all_military_tower_impl_guard_s01.iff', '0', '0.999816', '0', '0.019203', '-2183.21', '20', '2248.2', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965406', '4965405', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965407', '0', 'object/building/military/shared_mun_all_military_tower_impl_guard_s01.iff', '0', '0.470626', '0', '0.882333', '-2133.93', '20', '2329.51', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965408', '4965407', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965409', '0', 'object/building/military/shared_small_imperial_cloning_facility_s02.iff', '0', '1', '0', '0', '-2191.21', '20', '2352.5', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965410', '4965409', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965411', '4965409', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965412', '4965409', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965413', '4965409', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965414', '4965409', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965415', '4965409', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965416', '0', 'object/building/military/shared_military_base_shed_imperial_style_bank_s01.iff', '0', '1', '0', '0', '-2175.52', '20', '2352.52', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965417', '4965416', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965418', '4965416', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965419', '4965416', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965420', '4965416', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315980', '4965420', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '0', '0', '1', '3.90002', '0.125266', '-0.594161', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965421', '4965416', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965422', '4965416', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315981', '4965422', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '1', '0', '-3.20013e-08', '-3.92261', '0.125266', '-0.889722', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965430', '0', 'object/building/military/shared_military_base_shed_imperial_style_officer_s01.iff', '0', '-0.01', '0', '0.99995', '-2183.29', '20', '2264.36', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965431', '4965430', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555704', '4965431', 'object/static/item/shared_item_tapestry_imperial.iff', '0', '-0.707106', '0', '0.707107', '-0.305539', '-0.475568', '2.8468', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965432', '4965430', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965433', '4965430', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965434', '4965430', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965435', '4965430', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316000', '4965435', 'object/static/item/shared_item_tapestry_imperial.iff', '0', '0', '0', '1', '6.01091', '-0.00122514', '-3.92776', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965436', '4965430', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965439', '0', 'object/building/military/shared_military_base_shed_imperial_style_cantina_s01.iff', '0', '-0.707104', '0', '0.707109', '-2163.07', '20', '2276.93', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965440', '4965439', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315999', '4965440', 'object/static/item/shared_item_tapestry_imperial.iff', '0', '-0.707106', '0', '0.707107', '-0.459121', '-0.443944', '2.80833', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965441', '4965439', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965442', '4965439', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965443', '4965439', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555696', '4965443', 'object/static/item/shared_item_con_bowl_full.iff', '0', '0.942489', '0', '-0.334238', '3.39483', '0.85259', '0.863321', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555697', '4965443', 'object/static/item/shared_item_con_tato_cup_s2.iff', '0', '-0.430458', '0', '0.902611', '3.72731', '0.85259', '0.636361', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555698', '4965443', 'object/static/item/shared_item_con_tato_cup_s2.iff', '0', '-0.430458', '0', '0.902611', '3.16483', '0.85259', '0.458519', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555699', '4965443', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '3.11348', '0.85259', '1.01286', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965444', '4965439', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735811', '4965444', 'object/static/item/shared_item_glass_empty.iff', '0', '0', '0', '1', '3.69162', '0.85259', '-3.45959', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '2735812', '4965444', 'object/static/item/shared_item_glass_empty.iff', '0', '0', '0', '1', '3.89288', '0.85259', '-3.84708', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555700', '4965444', 'object/static/item/shared_item_con_plate_s1_full.iff', '0', '0', '0', '1', '3.68127', '0.884212', '-3.9924', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555701', '4965444', 'object/static/item/shared_item_con_plate_s1_full.iff', '0', '-0.514136', '0', '0.857709', '4.09616', '0.884212', '-3.38821', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965445', '4965439', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965460', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_32_style_01.iff', '0', '0.804835', '0', '-0.593499', '-2243.55', '20', '2230.58', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965461', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0', '0', '1', '-2134.07', '20', '2286.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965462', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.961579', '0', '-0.274527', '-2192', '20', '2252.41', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965463', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '1', '0', '0', '-2256.07', '20', '2289.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965464', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.856318', '0', '0.516449', '-2233.46', '20', '2238.61', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965465', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.129634', '0', '0.991562', '-2215.19', '20', '2202.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965466', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '-0.149438', '0', '0.988771', '-2198.83', '20', '2207.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965467', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '0.149438', '0', '0.988771', '-2166.92', '20', '2208.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965468', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0', '1', '-2102.26', '20', '2348.14', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965469', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '-0.240323', '0', '0.970693', '-2190.52', '20', '2368.87', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965470', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.240324', '0', '0.970693', '-2165.39', '20', '2363.55', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965471', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '-0.240323', '0', '0.970693', '-2233.35', '20', '2346.37', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965472', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.9998', '0', '0.019999', '-2247.11', '20', '2313.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965473', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.240325', '0', '0.970692', '-2241.07', '20', '2242.63', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965474', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0', '0', '1', '-2126.07', '20', '2281.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965475', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.232843', '0', '0.972514', '-2257.31', '20', '2225.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965476', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '1', '0', '0', '-2247.06', '20', '2331.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965477', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.987227', '0', '0.159318', '-2247.14', '20', '2289.81', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965478', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0', '1', '-2078.28', '20', '2324.37', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965479', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.144492', '0', '0.989506', '-2150.76', '20', '2203.04', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965480', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.707107', '0', '0.707107', '-2264.57', '20', '2281.35', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965481', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0', '1', '-2273.8', '20', '2263.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965482', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.593499', '0', '0.804835', '-2204.28', '20', '2361.61', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965483', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.856318', '0', '0.516449', '-2208.35', '20', '2234.96', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965484', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.983844', '0', '-0.17903', '-2240.95', '20', '2342.24', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965485', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.593499', '0', '0.804835', '-2225.55', '20', '2350.4', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965486', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '0.92388', '0', '-0.382683', '-2090.22', '20', '2336.33', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965487', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.707107', '0', '-0.707107', '-2247.07', '20', '2273.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965488', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.970693', '0', '-0.240324', '-2229.41', '20', '2255.66', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965489', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.707107', '0', '-0.707107', '-2247.06', '20', '2322.79', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965490', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.240323', '0', '0.970693', '-2204.76', '20', '2223.24', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965491', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.227978', '0', '0.973666', '-2263.17', '20', '2242.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965492', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '-0.516449', '0', '0.856318', '-2229.61', '20', '2246.17', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965493', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '-0.593499', '0', '0.804835', '-2113.74', '20', '2209.81', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965494', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.99344', '0', '0.114353', '-2199.44', '20', '2257.08', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965495', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '1', '0', '0', '-2264.55', '20', '2289.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965496', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0', '1', '-2182.75', '20', '2213', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965497', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.144492', '0', '0.989506', '-2172.82', '20', '2397.41', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965498', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.856318', '0', '0.516449', '-2248.66', '20', '2246.41', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965499', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.516449', '0', '0.856318', '-2136.52', '20', '2246.13', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965500', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '-0.240323', '0', '0.970693', '-2200.53', '20', '2363.59', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965501', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.970693', '0', '0.240323', '-2169.36', '20', '2238.41', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965502', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.988771', '0', '0.149438', '-2204.39', '20', '2242.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965503', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.516449', '0', '0.856318', '-2132.44', '20', '2238.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965504', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.813647', '0', '-0.581359', '-2260.24', '20', '2234.37', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965505', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0', '0', '1', '-2126.07', '20', '2276.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965506', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.593179', '0', '0.805071', '-2106.02', '20', '2234.59', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965507', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.988771', '0', '0.149438', '-2225.65', '20', '2253.68', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965508', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.501899', '0', '0.864926', '-2166.68', '20', '2256.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965509', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0', '0', '1', '-2256.07', '20', '2313.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965510', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '-0.240324', '0', '0.970693', '-2124.9', '20', '2242.42', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965511', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.405658', '0', '0.914025', '-2084.04', '20', '2269.27', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965512', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.139543', '0', '0.990216', '-2108.72', '20', '2226.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965513', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.149438', '0', '0.988771', '-2182.9', '20', '2372.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965514', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '1', '0', '0', '-2264.52', '20', '2272.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965515', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.024997', '0', '0.999688', '-2090.01', '20', '2262.69', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965516', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.024997', '0', '0.999688', '-2078', '20', '2276.05', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965517', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.970693', '0', '-0.240324', '-2239.41', '20', '2260.94', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965518', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.965197', '0', '0.261525', '-2174.2', '20', '2252.26', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965519', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.856318', '0', '-0.516449', '-2248.67', '20', '2357.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965520', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.856318', '0', '0.516449', '-2197.17', '20', '2219.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965521', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '0.914025', '0', '0.405658', '-2066.63', '20', '2288.64', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965522', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.707107', '0', '-0.707107', '-2247.07', '20', '2284.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965523', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.804835', '0', '0.593499', '-2161.74', '20', '2242.42', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965524', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '1', '0', '0', '-2119.06', '20', '2331', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965525', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0', '1', '-2247.06', '20', '2265.08', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965526', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.149438', '0', '0.988771', '-2140.38', '20', '2350.35', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965527', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '-0.516449', '0', '0.856318', '-2157.68', '20', '2369.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965528', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.516449', '0', '0.856318', '-2153.74', '20', '2376.61', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965529', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.970693', '0', '-0.240323', '-2161.35', '20', '2380.66', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965530', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '-0.384808', '0', '0.922997', '-2275.06', '20', '2335.63', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965531', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.257081', '0', '0.96639', '-2103.33', '20', '2243.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965532', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.149438', '0', '0.988771', '-2161.64', '20', '2361.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965533', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.240324', '0', '0.970693', '-2175.4', '20', '2368.82', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965534', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.970693', '0', '-0.240324', '-2196.82', '20', '2238.49', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965535', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '-0.240323', '0', '0.970693', '-2223.28', '20', '2335.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965536', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.707107', '0', '-0.707107', '-2232.4', '20', '2320.21', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965537', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.593499', '0', '0.804834', '-2215.5', '20', '2339.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965538', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.707107', '0', '0.707107', '-2119.09', '20', '2322.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965539', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.516449', '0', '0.856318', '-2117.37', '20', '2246.29', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965540', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0', '1', '-2119.07', '20', '2313.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965541', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.169182', '0', '0.985585', '-2125.21', '20', '2342.33', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965543', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.992198', '0', '0.124675', '-2189.15', '20', '2234.41', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965544', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0', '0', '1', '-2110.07', '20', '2313.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965545', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0', '1', '-2101.07', '20', '2313.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965546', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.707107', '0', '-0.707107', '-2101.07', '20', '2322.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965547', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0', '1', '-2101.11', '20', '2331.76', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965548', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_32_style_01.iff', '0', '0.382683', '0', '0.92388', '-2090.07', '20', '2320.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965549', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_32_style_01.iff', '0', '0.92388', '0', '0.382683', '-2089.07', '20', '2283.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965550', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0', '1', '-2101.16', '20', '2272.39', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965551', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '-0.707107', '0', '0.707107', '-2101.07', '20', '2280.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965552', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0', '1', '-2101.07', '20', '2289.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965553', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '1', '0', '0', '-2110.07', '20', '2289.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965554', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0', '1', '-2119.07', '20', '2289.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965555', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.707107', '0', '0.707107', '-2119.01', '20', '2281.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965556', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.707107', '0', '0.707107', '-2118.98', '20', '2269.91', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965557', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0', '1', '-2119.07', '20', '2264.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965558', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '-0.240322', '0', '0.970693', '-2161.3', '20', '2223.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965559', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.516449', '0', '0.856318', '-2117.33', '20', '2357.42', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965560', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.970692', '0', '-0.240325', '-2124.95', '20', '2361.4', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965561', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.516449', '0', '0.856318', '-2132.57', '20', '2365.35', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965562', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.856318', '0', '0.516449', '-2136.42', '20', '2357.86', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965563', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.516449', '0', '0.856318', '-2168.79', '20', '2219.55', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965564', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.970693', '0', '0.240323', '-2136.73', '20', '2255.61', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965565', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.976976', '0', '0.213347', '-2177.01', '20', '2234.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965566', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_32_style_01.iff', '0', '0.988771', '0', '-0.14944', '-2152.88', '20', '2214.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965567', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_32_style_01.iff', '0', '0.804835', '0', '0.593499', '-2122.37', '20', '2230.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965568', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.804835', '0', '0.593499', '-2140.48', '20', '2253.63', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965569', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.516449', '0', '0.856318', '-2153.74', '20', '2227.34', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965570', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.856318', '0', '-0.51645', '-2157.78', '20', '2234.91', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965571', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.970693', '0', '0.240323', '-2126.72', '20', '2260.89', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965572', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_32_style_01.iff', '0', '0.988771', '0', '0.149438', '-2213', '20', '2214.59', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965573', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.856318', '0', '0.516449', '-2212.22', '20', '2227.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965574', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.708451', '0', '0.70576', '-2132.89', '20', '2319.81', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965575', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.24217', '0', '0.970234', '-2142.11', '20', '2335.04', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965576', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.384439', '0', '0.92315', '-2132.97', '20', '2311.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965577', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.510524', '0', '0.859864', '-2149.79', '20', '2339.14', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965578', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_32_style_01.iff', '0', '0.92388', '0', '-0.382683', '-2276.01', '20', '2284.63', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965579', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '1', '0', '0', '-2264.65', '20', '2313.96', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965580', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.51645', '0', '0.856318', '-2208.24', '20', '2369.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965581', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.856318', '0', '-0.516449', '-2229.51', '20', '2357.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965582', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0', '0', '1', '-2134.07', '20', '2271.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965583', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0', '1', '-2263.06', '20', '2347.55', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965584', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.707108', '0', '0.707105', '-2264.71', '20', '2322.44', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965585', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '1', '0', '0', '-2264.69', '20', '2330.87', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965586', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.856318', '0', '-0.516449', '-2212.29', '20', '2376.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965587', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.856318', '0', '-0.516449', '-2233.47', '20', '2365.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965588', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.970693', '0', '0.240322', '-2204.7', '20', '2380.58', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965589', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0', '0', '1', '-2134.07', '20', '2281.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965590', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_32_style_01.iff', '0', '-0.382683', '0', '0.92388', '-2276.25', '20', '2319.05', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965591', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.970693', '0', '0.240324', '-2241.03', '20', '2361.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965592', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.516449', '0', '0.856318', '-2168.86', '20', '2384.73', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965593', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_32_style_01.iff', '0', '-0.149438', '0', '0.988771', '-2152.97', '20', '2389.81', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965594', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_32_style_01.iff', '0', '0.593499', '0', '0.804834', '-2122.23', '20', '2373.42', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965595', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_32_style_01.iff', '0', '0.14944', '0', '0.988771', '-2213.21', '20', '2389.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965596', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.856318', '0', '-0.516449', '-2197.28', '20', '2384.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965597', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_32_style_01.iff', '0', '-0.593499', '0', '0.804835', '-2243.67', '20', '2373.2', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965598', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '0.800481', '0', '0.599358', '-2258.29', '20', '2363.76', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965599', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.114747', '0', '0.993395', '-2253.47', '20', '2380.24', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965600', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '0.114747', '0', '0.993395', '-2228.42', '20', '2405.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965601', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.104807', '0', '0.994493', '-2211.78', '20', '2401.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965602', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.114747', '0', '0.993395', '-2203.01', '20', '2399.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965603', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.119712', '0', '0.992809', '-2194.1', '20', '2397.58', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965604', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '0.382683', '0', '0.92388', '-2066.3', '20', '2312.29', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965605', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '0.593499', '0', '0.804835', '-2107.41', '20', '2364.26', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965606', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.247404', '0', '0.968912', '-2112.46', '20', '2380.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965607', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '0.810497', '0', '-0.585743', '-2117.73', '20', '2396.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965608', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.227978', '0', '0.973666', '-2123.06', '20', '2412.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965609', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '-0.149438', '0', '0.988771', '-2139.32', '20', '2407.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965610', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.149438', '0', '0.988771', '-2155.63', '20', '2402.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965611', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.149438', '0', '0.988771', '-2164.15', '20', '2400.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965612', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0', '0', '1', '-2134.07', '20', '2276.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965613', '0', 'object/static/structure/corellia/shared_corl_power_connector.iff', '0', '1', '0', '0', '-2130.07', '20', '2267.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965614', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0', '0', '1', '-2126.07', '20', '2271.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965615', '0', 'object/static/structure/corellia/shared_corl_power_connector.iff', '0', '1', '0', '0', '-2130.07', '20', '2265.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965616', '0', 'object/static/structure/corellia/shared_corl_power_box_node.iff', '0', '0', '0', '1', '-2124.07', '20', '2266.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965617', '0', 'object/static/installation/shared_mockup_power_generator_fusion_style_1.iff', '0', '1', '0', '0', '-2130.07', '20', '2279.93', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965618', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0', '0', '1', '-2126.07', '20', '2286.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965619', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0', '0', '1', '-2128.07', '20', '2289.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965620', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '0.707104', '0', '0.707109', '-2136.07', '20', '2272.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965621', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0', '1', '-2136.07', '20', '2289.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965622', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0', '1', '-2136.07', '20', '2255.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965623', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.92388', '0', '-0.382683', '-2280.23', '20', '2269.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965624', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '-0.149438', '0', '0.988771', '-2231.25', '20', '2197.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965625', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0', '1', '-2286.78', '20', '2324', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965626', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0', '1', '-2286.64', '20', '2276.05', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965627', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '-0.597515', '0', '0.801857', '-2249.03', '20', '2395.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965628', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '0.581035', '0', '0.813878', '-2251.8', '20', '2209.61', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965629', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '-0.384808', '0', '0.922997', '-2298.49', '20', '2312.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965630', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '0.92388', '0', '-0.382683', '-2298.53', '20', '2288.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965631', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.13459', '0', '0.990901', '-2244.59', '20', '2409.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965632', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0', '1', '-2055.38', '20', '2301.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965633', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '0.144492', '0', '0.989506', '-2134.88', '20', '2198.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965634', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.144492', '0', '0.989506', '-2246.42', '20', '2193.64', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965635', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.129634', '0', '0.991562', '-2118.72', '20', '2193.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965636', '0', 'object/static/installation/shared_mockup_power_generator_fusion_style_1.iff', '0', '1', '0', '0', '-2122.07', '20', '2279.93', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965637', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0', '1', '-2310.39', '20', '2300.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965638', '0', 'object/building/military/shared_outpost_starport.iff', '0', '0.707106', '0', '0.707107', '-2211.76', '20', '2301.51', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '4965639', '4965638', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '7355459', '4965639', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0', '0', '1', '-7.46764', '0.146595', '-19.1995', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5036328', '0', 'object/static/vehicle/shared_player_shuttle.iff', '-0.069922', '0.00154883', '0.0149757', '0.997439', '2974.38', '15.7157', '6032.91', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '5036329', '0', 'object/static/structure/corellia/shared_corl_imprv_flagpole_s01.iff', '0', '0', '0', '1', '2965.81', '16.882', '6040.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '5036354', '0', 'object/static/structure/corellia/shared_corl_tent_small.iff', '-0.0649542', '0', '0', '0.997888', '2965.01', '16.1956', '6034.6', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '5036355', '0', 'object/tangible/furniture/all/shared_frn_all_desk_radar_topology_screen.iff', '0', '0', '0', '1', '2964.97', '15.5368', '6030.84', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5036356', '0', 'object/tangible/furniture/all/shared_frn_all_professor_desk.iff', '0.0630959', '0.700445', '-0.0849911', '-0.705813', '2965.97', '16.3791', '6034.74', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5036357', '0', 'object/static/item/shared_item_tool_turbine_generator.iff', '-0.119712', '0', '0', '0.992809', '2968.24', '15.7595', '6031.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5036358', '0', 'object/static/structure/corellia/shared_corl_power_arial_thin.iff', '0', '1', '0', '3.20013e-08', '2968.17', '15.4333', '6030.27', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '5036360', '0', 'object/static/particle/shared_pt_light_blink_orange.iff', '0', '0', '0', '1', '2963.78', '18.0735', '6030.66', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '5036364', '0', 'object/static/particle/shared_pt_light_blink_orange.iff', '0', '0', '0', '1', '2965.42', '16.3074', '6030.61', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '5036365', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '-0.0915548', '-0.641546', '0.0923004', '0.755987', '2979.18', '16.4713', '6038.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5036366', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '-0.113575', '0.315437', '-0.024979', '0.941794', '2979.34', '16.6798', '6039.03', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5036368', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '-0.0413354', '0.575592', '-0.0930058', '0.811378', '2980.2', '16.5473', '6038.39', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5036369', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '-0.05464', '-0.00603476', '0.00998471', '0.998438', '2972.36', '17.0899', '6043.31', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5036378', '0', 'object/static/vehicle/e3/shared_landspeeder.iff', '-0.183944', '0.0411037', '-0.166503', '0.967859', '2999.77', '34.8778', '6096.75', '256', '1');
INSERT INTO `staticobjects` VALUES ('7', '5036381', '0', 'object/static/particle/shared_pt_smoke_small.iff', '0', '0', '0', '1', '2999.87', '34.6597', '6093.92', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '5036384', '0', 'object/static/particle/shared_pt_burning_smokeandembers_md.iff', '0', '0', '0', '1', '2998.67', '36.0961', '6096.99', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '5036385', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0.241932', '0.0869438', '-0.32683', '0.909446', '3005.88', '32.2252', '6094.06', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5036386', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0.211095', '-0.119467', '0.477826', '0.844303', '2999.36', '37.5681', '6102.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5036387', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0.252927', '0.046025', '-0.173012', '0.950777', '3006.8', '35.8365', '6104.23', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5036388', '0', 'object/static/item/shared_item_comp_ion_cannon.iff', '0.877374', '-0.471058', '0.0156988', '-0.0898494', '3015.67', '18.9572', '6049.09', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5036389', '0', 'object/static/item/shared_item_comp_stabilization_unit.iff', '-0.446134', '0.381464', '-0.105362', '0.802713', '3014.66', '18.3832', '6052.13', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5036397', '0', 'object/static/particle/shared_pt_burning_smokeandembers_md.iff', '0', '0', '0', '1', '3015.35', '18.464', '6049.25', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '5045406', '0', 'object/static/structure/general/shared_planter_generic_style_3.iff', '0', '0', '0', '1', '633.96', '6', '-2993.44', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '5045407', '0', 'object/static/structure/general/shared_planter_generic_style_2.iff', '0', '0', '0', '1', '634.604', '6', '-3012.72', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '5045408', '0', 'object/static/structure/general/shared_planter_generic_style_1.iff', '0', '0', '0', '1', '632.982', '6', '-2972.68', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '5045409', '0', 'object/static/structure/general/shared_planter_generic_style_3.iff', '0', '0', '0', '1', '632.273', '6', '-3026.73', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315409', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s02.iff', '0', '-0.384808', '0', '0.922997', '-2281.34', '20', '2309', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315413', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_1.iff', '0', '0.720831', '0', '-0.693111', '-2278.97', '20', '2306.89', '256', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315414', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s02.iff', '0', '0.149438', '0', '0.988771', '-2224.71', '20', '2389.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315415', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_1.iff', '0', '-0.257081', '0', '0.96639', '-2225.48', '20', '2386.05', '256', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315416', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s02.iff', '0', '0.589145', '0', '0.808028', '-2128.94', '20', '2382.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315417', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_1.iff', '0', '0.218229', '0', '0.975898', '-2131.9', '20', '2381.7', '256', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315418', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s02.iff', '0', '0.919416', '0', '0.393287', '-2082.98', '20', '2295.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315419', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_1.iff', '0', '0.686448', '0', '0.727179', '-2085.38', '20', '2297.18', '256', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315420', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s02.iff', '0', '0.987888', '0', '-0.155167', '-2140.9', '20', '2214.63', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315421', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_1.iff', '0', '0.967864', '0', '0.251475', '-2140.09', '20', '2217.69', '256', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315422', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s02.iff', '0', '0.804599', '0', '-0.593819', '-2236.86', '20', '2220.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315423', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_1.iff', '0', '0.974616', '0', '-0.223882', '-2233.89', '20', '2221.69', '256', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315424', '0', 'object/static/item/shared_item_carbine_elite.iff', '0.500135', '0.504436', '0.500145', '0.495242', '518.42', '6.91706', '-2912', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315432', '0', 'object/static/item/shared_item_carbine_elite.iff', '0.502482', '0.497105', '0.49748', '0.502902', '518.722', '6.91706', '-2912.2', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315434', '0', 'object/static/item/shared_item_carbine_laser.iff', '-0.31813', '-0.334714', '0.61107', '0.642926', '584.786', '6.72733', '-2874.67', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315435', '0', 'object/tangible/furniture/all/shared_frn_all_desk_radar_topology_screen.iff', '0', '0.81073', '0', '-0.58542', '-2235.62', '26.9721', '2212.15', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315437', '0', 'object/tangible/furniture/all/shared_frn_all_chair_meatal_wheeled_s1.iff', '0', '0.798621', '0', '-0.601835', '-2239.42', '26.9743', '2216.33', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315438', '0', 'object/tangible/furniture/all/shared_frn_all_chair_meatal_wheeled_s1.iff', '0', '0.804599', '0', '-0.593818', '-2238.32', '26.9743', '2212.27', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315439', '0', 'object/tangible/furniture/all/shared_frn_all_chair_meatal_wheeled_s1.iff', '0', '0.988134', '0', '0.153593', '-2231.17', '26.9743', '2208.1', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315440', '0', 'object/tangible/furniture/all/shared_frn_all_chair_meatal_wheeled_s1.iff', '0', '0.974616', '0', '-0.223883', '-2235.9', '26.9743', '2207.56', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315441', '0', 'object/tangible/furniture/all/shared_frn_all_chair_meatal_wheeled_s1.iff', '0', '0.98889', '0', '0.148651', '-2226.98', '26.9743', '2209.55', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315444', '0', 'object/tangible/furniture/all/shared_frn_all_data_terminal_wall_s1.iff', '-0.110664', '0.603199', '0.085004', '0.785289', '-2239.74', '26.5171', '2216.31', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315445', '0', 'object/tangible/furniture/all/shared_frn_all_data_terminal_wall_s2.iff', '0.163353', '0.69', '0.681729', '-0.180172', '-2236.09', '27.7172', '2205.35', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315446', '0', 'object/tangible/furniture/all/shared_frn_all_data_terminal_wall_s3.iff', '-0.104243', '0.729648', '0.664908', '0.121019', '-2231.37', '27.6839', '2206.59', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315447', '0', 'object/tangible/furniture/all/shared_frn_all_data_terminal_wall_s1.iff', '-0.182149', '-0.184228', '-0.0329364', '0.965296', '-2226.95', '26.6138', '2209.37', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315450', '0', 'object/tangible/terminal/shared_terminal_mission_imperial.iff', '0', '0.810497', '0', '-0.585743', '-2226.39', '27.012', '2213.28', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315452', '0', 'object/tangible/furniture/imperial/shared_table_s1.iff', '0', '0.989621', '0', '0.143704', '-2231.12', '26.9799', '2213.43', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315453', '0', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '0.804599', '0', '-0.593818', '-2227.92', '26.9945', '2217.65', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315454', '0', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '0.801858', '0', '-0.597515', '-2227.49', '26.9945', '2216.27', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315455', '0', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '0.804599', '0', '-0.593818', '-2228.77', '26.998', '2220.39', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315456', '0', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '0.801858', '0', '-0.597515', '-2228.34', '26.998', '2219', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315489', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999985', '0', '-0.00540895', '-2153.13', '20.9803', '2333.14', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315490', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999986', '0', '-0.00539796', '-2153.94', '22.6879', '2332.11', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315491', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.00539897', '0', '0.999985', '-2154.65', '22.6879', '2332.29', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315492', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '-0.703282', '0', '0.710911', '-2153.85', '21.7076', '2332.75', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315493', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999986', '0', '-0.00539796', '-2153.89', '21.8341', '2332.12', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315494', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.00539897', '0', '0.999985', '-2154.63', '22.6879', '2333.29', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315495', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999986', '0', '-0.00539796', '-2153.16', '21.8341', '2332.14', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315496', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.00539897', '0', '0.999985', '-2154.59', '21.8341', '2333.3', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315497', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '-0.703282', '0', '0.710911', '-2153.89', '22.5615', '2332.73', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315498', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999986', '0', '-0.00539796', '-2153.87', '21.8341', '2333.12', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315499', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999986', '0', '-0.00539796', '-2153.87', '20.9803', '2332.12', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315500', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.00539897', '0', '0.999985', '-2154.58', '20.9803', '2332.3', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315501', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999986', '0', '-0.00539796', '-2153.85', '20.9803', '2333.12', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315502', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999986', '0', '-0.00539796', '-2153.14', '20.9803', '2332.14', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315503', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999986', '0', '-0.00539796', '-2153.92', '22.6879', '2333.11', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315504', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999986', '0', '-0.00539796', '-2153.21', '22.6879', '2332.13', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315505', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999985', '0', '-0.00540694', '-2153.2', '22.6879', '2333.13', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315506', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999985', '0', '-0.00540895', '-2153.15', '21.8341', '2333.14', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315507', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.00539897', '0', '0.999985', '-2154.6', '21.8341', '2332.3', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315508', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.00539795', '0', '0.999985', '-2154.55', '20.1265', '2333.3', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315509', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '-0.703282', '0', '0.710911', '-2153.81', '20', '2332.74', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315510', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999985', '0', '-0.00539994', '-2153.84', '20.1265', '2333.12', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315511', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.00539795', '0', '0.999985', '-2154.56', '20.1265', '2332.3', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315512', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999985', '0', '-0.00539793', '-2153.85', '20.1265', '2332.12', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315513', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999985', '0', '-0.00540593', '-2153.11', '20.1265', '2333.14', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315514', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999986', '0', '-0.00539796', '-2153.12', '20.1265', '2332.14', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315515', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.00539897', '0', '0.999985', '-2154.57', '20.9803', '2333.3', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315516', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '-0.703282', '0', '0.710911', '-2153.83', '20.8538', '2332.74', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315517', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999999', '0', '-0.000408975', '-2153.11', '20.9803', '2330.06', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315518', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '1', '0', '-0.000397992', '-2153.91', '22.6879', '2329.02', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315519', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.000398986', '0', '1', '-2154.62', '22.6879', '2329.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315520', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '-0.706828', '0', '0.707386', '-2153.83', '21.7076', '2329.66', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315521', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '1', '0', '-0.000397992', '-2153.86', '21.8341', '2329.04', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315522', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.000398986', '0', '1', '-2154.62', '22.6879', '2330.2', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315523', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '1', '0', '-0.000397992', '-2153.13', '21.8341', '2329.06', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315524', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.000398986', '0', '1', '-2154.57', '21.8341', '2330.2', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315525', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '-0.706828', '0', '0.707386', '-2153.87', '22.5615', '2329.64', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315526', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '1', '0', '-0.000397992', '-2153.86', '21.8341', '2330.04', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315527', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '1', '0', '-0.000397992', '-2153.84', '20.9803', '2329.03', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315528', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.000398986', '0', '1', '-2154.55', '20.9803', '2329.2', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315529', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '1', '0', '-0.000397992', '-2153.84', '20.9803', '2330.03', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315530', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '1', '0', '-0.000397992', '-2153.11', '20.9803', '2329.06', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315531', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '1', '0', '-0.000397992', '-2153.9', '22.6879', '2330.02', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315532', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '1', '0', '-0.000397992', '-2153.18', '22.6879', '2329.05', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315533', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999999', '0', '-0.000406978', '-2153.18', '22.6879', '2330.05', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315534', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999999', '0', '-0.000408975', '-2153.14', '21.8341', '2330.06', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315535', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.000398986', '0', '1', '-2154.58', '21.8341', '2329.21', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315536', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.000397987', '0', '1', '-2154.53', '20.1265', '2330.21', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315537', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '-0.706828', '0', '0.707386', '-2153.79', '20', '2329.66', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315538', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999999', '0', '-0.000399978', '-2153.82', '20.1265', '2330.04', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315539', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.000397987', '0', '1', '-2154.54', '20.1265', '2329.21', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315540', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999999', '0', '-0.000397976', '-2153.82', '20.1265', '2329.03', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315541', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999999', '0', '-0.000405976', '-2153.1', '20.1265', '2330.06', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315542', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '1', '0', '-0.000397992', '-2153.1', '20.1265', '2329.06', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315543', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.000398986', '0', '1', '-2154.55', '20.9803', '2330.21', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315544', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '-0.706828', '0', '0.707386', '-2153.81', '20.8538', '2329.65', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315545', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.004591', '-2153.08', '20.9803', '2327.13', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315546', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2153.87', '22.6879', '2326.09', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315547', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-2154.58', '22.6879', '2326.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315548', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0.710354', '0', '-0.703845', '-2153.79', '21.7076', '2326.73', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315549', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2153.82', '21.8341', '2326.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315550', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-2154.59', '22.6879', '2327.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315551', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2153.09', '21.8341', '2326.13', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315552', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-2154.54', '21.8341', '2327.27', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315553', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0.710354', '0', '-0.703845', '-2153.84', '22.5615', '2326.71', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315554', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2153.82', '21.8341', '2327.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315555', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2153.8', '20.9803', '2326.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315556', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-2154.51', '20.9803', '2326.27', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315557', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2153.8', '20.9803', '2327.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315558', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2153.07', '20.9803', '2326.14', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315559', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2153.87', '22.6879', '2327.09', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315560', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2153.14', '22.6879', '2326.12', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315561', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.004593', '-2153.15', '22.6879', '2327.12', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315562', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.004591', '-2153.1', '21.8341', '2327.14', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315563', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-2154.53', '21.8341', '2326.27', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315564', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004602', '0', '0.999989', '-2154.5', '20.1265', '2327.27', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315565', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0.710354', '0', '-0.703845', '-2153.75', '20', '2326.72', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315566', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.0046', '-2153.79', '20.1265', '2327.11', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315567', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004602', '0', '0.999989', '-2154.5', '20.1265', '2326.27', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315568', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.004602', '-2153.78', '20.1265', '2326.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315569', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.004594', '-2153.06', '20.1265', '2327.14', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315570', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2153.06', '20.1265', '2326.14', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315571', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-2154.52', '20.9803', '2327.27', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315572', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0.710354', '0', '-0.703845', '-2153.77', '20.8538', '2326.72', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315573', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.004591', '-2153.12', '20.9803', '2324.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315574', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2153.91', '22.6879', '2323.03', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315575', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-2154.62', '22.6879', '2323.2', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315576', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0.710354', '0', '-0.703845', '-2153.84', '21.7076', '2323.67', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315577', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2153.86', '21.8341', '2323.05', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315578', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-2154.63', '22.6879', '2324.2', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315579', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2153.13', '21.8341', '2323.07', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315580', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-2154.59', '21.8341', '2324.21', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315581', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0.710354', '0', '-0.703845', '-2153.88', '22.5615', '2323.65', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315582', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2153.87', '21.8341', '2324.04', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315583', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2153.84', '20.9803', '2323.04', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315584', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-2154.55', '20.9803', '2323.21', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315585', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2153.85', '20.9803', '2324.04', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315586', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2153.11', '20.9803', '2323.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315587', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2153.91', '22.6879', '2324.03', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315588', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2153.18', '22.6879', '2323.06', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315589', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.004593', '-2153.19', '22.6879', '2324.06', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315590', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.004591', '-2153.14', '21.8341', '2324.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315591', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-2154.58', '21.8341', '2323.21', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315592', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004602', '0', '0.999989', '-2154.55', '20.1265', '2324.21', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315593', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0.710354', '0', '-0.703845', '-2153.79', '20', '2323.67', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315594', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.0046', '-2153.83', '20.1265', '2324.05', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315595', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004602', '0', '0.999989', '-2154.54', '20.1265', '2323.21', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315596', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.004602', '-2153.82', '20.1265', '2323.04', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315597', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.004594', '-2153.11', '20.1265', '2324.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315598', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2153.1', '20.1265', '2323.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315599', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-2154.56', '20.9803', '2324.21', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315600', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0.710354', '0', '-0.703845', '-2153.81', '20.8538', '2323.66', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315601', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '-0.703282', '0', '0.710911', '-2153.51', '20.8538', '2315.7', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315602', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.005399', '0', '0.999985', '-2154.25', '20.9803', '2316.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315603', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999986', '0', '-0.005398', '-2152.81', '20.1265', '2315.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315604', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999985', '0', '-0.0054', '-2153.52', '20.1265', '2316.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315605', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999985', '0', '-0.005398', '-2153.54', '20.1265', '2315.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315606', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.005398', '0', '0.999985', '-2154.25', '20.1265', '2315.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315607', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999985', '0', '-0.005406', '-2152.8', '20.1265', '2316.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315608', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999985', '0', '-0.005409', '-2152.82', '20.9803', '2316.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315609', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999986', '0', '-0.005398', '-2153.62', '22.6879', '2315.07', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315610', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.005399', '0', '0.999985', '-2154.33', '22.6879', '2315.25', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315611', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '-0.703282', '0', '0.710911', '-2153.54', '21.7076', '2315.7', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315612', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999986', '0', '-0.005398', '-2153.57', '21.8341', '2315.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315613', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.005399', '0', '0.999985', '-2154.32', '22.6879', '2316.25', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315614', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999986', '0', '-0.005398', '-2152.85', '21.8341', '2315.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315615', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.005399', '0', '0.999985', '-2154.28', '21.8341', '2316.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315616', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '-0.703282', '0', '0.710911', '-2153.58', '22.5615', '2315.69', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315617', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999986', '0', '-0.005398', '-2153.56', '21.8341', '2316.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315618', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999986', '0', '-0.005398', '-2153.55', '20.9803', '2315.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315619', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.005399', '0', '0.999985', '-2154.27', '20.9803', '2315.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315620', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999986', '0', '-0.005398', '-2153.54', '20.9803', '2316.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315621', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999986', '0', '-0.005398', '-2152.83', '20.9803', '2315.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315622', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999986', '0', '-0.005398', '-2153.61', '22.6879', '2316.07', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315623', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999986', '0', '-0.005398', '-2152.89', '22.6879', '2315.09', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315624', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999985', '0', '-0.005407', '-2152.88', '22.6879', '2316.09', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315625', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999985', '0', '-0.005409', '-2152.84', '21.8341', '2316.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315626', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.005399', '0', '0.999985', '-2154.29', '21.8341', '2315.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315627', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.005398', '0', '0.999985', '-2154.24', '20.1265', '2316.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315628', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '-0.703282', '0', '0.710911', '-2153.5', '20', '2315.7', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315629', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999999', '0', '-0.000409', '-2152.8', '20.9803', '2313.02', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315630', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '1', '0', '-0.000398', '-2153.6', '22.6879', '2311.98', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315631', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.000399', '0', '1', '-2154.31', '22.6879', '2312.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315632', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '-0.70683', '0', '0.707384', '-2153.52', '21.7076', '2312.62', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315633', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '1', '0', '-0.000398', '-2153.55', '21.8341', '2312', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315634', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.000399', '0', '1', '-2154.31', '22.6879', '2313.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315635', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '1', '0', '-0.000398', '-2152.82', '21.8341', '2312.02', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315636', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.000399', '0', '1', '-2154.26', '21.8341', '2313.16', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315637', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '-0.70683', '0', '0.707384', '-2153.56', '22.5615', '2312.6', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315638', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '1', '0', '-0.000398', '-2153.54', '21.8341', '2312.99', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315639', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '1', '0', '-0.000398', '-2153.53', '20.9803', '2311.99', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315640', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.000399', '0', '1', '-2154.24', '20.9803', '2312.16', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315641', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '1', '0', '-0.000398', '-2153.52', '20.9803', '2312.99', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315642', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '1', '0', '-0.000398', '-2152.8', '20.9803', '2312.02', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315643', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '1', '0', '-0.000398', '-2153.59', '22.6879', '2312.98', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315644', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '1', '0', '-0.000398', '-2152.87', '22.6879', '2312.01', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315645', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999999', '0', '-0.000407', '-2152.87', '22.6879', '2313.01', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315646', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999999', '0', '-0.000409', '-2152.82', '21.8341', '2313.02', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315647', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.000399', '0', '1', '-2154.26', '21.8341', '2312.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315648', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.000398', '0', '1', '-2154.22', '20.1265', '2313.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315649', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '-0.70683', '0', '0.707384', '-2153.48', '20', '2312.61', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315650', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999999', '0', '-0.0004', '-2153.51', '20.1265', '2313', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315651', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.000398', '0', '1', '-2154.22', '20.1265', '2312.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315652', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999999', '0', '-0.000398', '-2153.51', '20.1265', '2311.99', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315653', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999999', '0', '-0.000406', '-2152.78', '20.1265', '2313.02', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315654', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '1', '0', '-0.000398', '-2152.78', '20.1265', '2312.02', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315655', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.000399', '0', '1', '-2154.24', '20.9803', '2313.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315656', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '-0.70683', '0', '0.707384', '-2153.5', '20.8538', '2312.61', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315657', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.004591', '-2152.77', '20.9803', '2310.09', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315658', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2153.55', '22.6879', '2309.05', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315659', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-2154.27', '22.6879', '2309.22', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315660', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0.710354', '0', '-0.703845', '-2153.48', '21.7076', '2309.69', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315661', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2153.5', '21.8341', '2309.06', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315662', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-2154.27', '22.6879', '2310.22', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315663', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2152.78', '21.8341', '2309.09', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315664', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-2154.23', '21.8341', '2310.23', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315665', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0.710354', '0', '-0.703845', '-2153.53', '22.5615', '2309.67', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315666', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2153.51', '21.8341', '2310.06', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315667', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2153.49', '20.9803', '2309.06', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315668', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-2154.2', '20.9803', '2309.23', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315669', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2153.49', '20.9803', '2310.06', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315670', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2152.76', '20.9803', '2309.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315671', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2153.56', '22.6879', '2310.05', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315672', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2152.83', '22.6879', '2309.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315673', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.004593', '-2152.84', '22.6879', '2310.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315674', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.004591', '-2152.79', '21.8341', '2310.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315675', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-2154.22', '21.8341', '2309.23', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315676', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004602', '0', '0.999989', '-2154.19', '20.1265', '2310.23', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315677', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0.710354', '0', '-0.703845', '-2153.44', '20', '2309.68', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315678', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.0046', '-2153.47', '20.1265', '2310.06', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315679', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004602', '0', '0.999989', '-2154.18', '20.1265', '2309.23', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315680', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.004602', '-2153.47', '20.1265', '2309.06', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315681', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.004594', '-2152.75', '20.1265', '2310.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315682', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2152.74', '20.1265', '2309.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315683', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-2154.21', '20.9803', '2310.23', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315684', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0.710354', '0', '-0.703845', '-2153.46', '20.8538', '2309.68', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315685', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.004591', '-2152.81', '20.9803', '2307.03', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315686', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2153.6', '22.6879', '2305.99', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315687', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-2154.31', '22.6879', '2306.16', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315688', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0.710354', '0', '-0.703845', '-2153.52', '21.7076', '2306.63', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315689', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2153.55', '21.8341', '2306', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315690', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-2154.32', '22.6879', '2307.16', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315691', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2152.82', '21.8341', '2306.03', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315692', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-2154.27', '21.8341', '2307.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315693', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0.710354', '0', '-0.703845', '-2153.57', '22.5615', '2306.61', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315694', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2153.55', '21.8341', '2307', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315695', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2153.53', '20.9803', '2306', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315696', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-2154.24', '20.9803', '2306.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315697', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2153.53', '20.9803', '2307', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315698', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2152.8', '20.9803', '2306.04', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315699', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2153.6', '22.6879', '2306.99', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315700', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2152.87', '22.6879', '2306.02', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315701', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.004593', '-2152.88', '22.6879', '2307.02', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315702', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.004591', '-2152.83', '21.8341', '2307.04', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315703', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-2154.26', '21.8341', '2306.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315704', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004602', '0', '0.999989', '-2154.23', '20.1265', '2307.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315705', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0.710354', '0', '-0.703845', '-2153.48', '20', '2306.62', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315706', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.0046', '-2153.52', '20.1265', '2307.01', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315707', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004602', '0', '0.999989', '-2154.22', '20.1265', '2306.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315708', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.004602', '-2153.51', '20.1265', '2306', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315709', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.004594', '-2152.79', '20.1265', '2307.04', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315710', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2152.78', '20.1265', '2306.04', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315711', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-2154.25', '20.9803', '2307.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315712', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0.710354', '0', '-0.703845', '-2153.5', '20.8538', '2306.62', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315713', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '-0.703282', '0', '0.710911', '-2153.69', '20.8538', '2298.46', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315714', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.005399', '0', '0.999985', '-2154.43', '20.9803', '2299.02', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315715', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999986', '0', '-0.005398', '-2152.99', '20.1265', '2297.86', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315716', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999985', '0', '-0.0054', '-2153.7', '20.1265', '2298.84', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315717', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999985', '0', '-0.005398', '-2153.71', '20.1265', '2297.84', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315718', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.005398', '0', '0.999985', '-2154.42', '20.1265', '2298.02', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315719', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999985', '0', '-0.005406', '-2152.98', '20.1265', '2298.86', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315720', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999985', '0', '-0.005409', '-2152.99', '20.9803', '2298.86', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315721', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999986', '0', '-0.005398', '-2153.8', '22.6879', '2297.83', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315722', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.005399', '0', '0.999985', '-2154.51', '22.6879', '2298.01', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315723', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '-0.703282', '0', '0.710911', '-2153.71', '21.7076', '2298.46', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315724', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999986', '0', '-0.005398', '-2153.75', '21.8341', '2297.84', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315725', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.005399', '0', '0.999985', '-2154.5', '22.6879', '2299.01', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315726', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999986', '0', '-0.005398', '-2153.02', '21.8341', '2297.86', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315727', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.005399', '0', '0.999985', '-2154.45', '21.8341', '2299.02', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315728', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '-0.703282', '0', '0.710911', '-2153.76', '22.5615', '2298.45', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315729', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999986', '0', '-0.005398', '-2153.73', '21.8341', '2298.84', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315730', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999986', '0', '-0.005398', '-2153.73', '20.9803', '2297.84', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315731', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.005399', '0', '0.999985', '-2154.44', '20.9803', '2298.02', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315732', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999986', '0', '-0.005398', '-2153.72', '20.9803', '2298.84', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315733', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999986', '0', '-0.005398', '-2153', '20.9803', '2297.86', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315734', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999986', '0', '-0.005398', '-2153.78', '22.6879', '2298.83', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315735', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999986', '0', '-0.005398', '-2153.07', '22.6879', '2297.85', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315736', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999985', '0', '-0.005407', '-2153.06', '22.6879', '2298.85', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315737', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999985', '0', '-0.005409', '-2153.01', '21.8341', '2298.86', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315738', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.005399', '0', '0.999985', '-2154.46', '21.8341', '2298.02', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315739', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.005398', '0', '0.999985', '-2154.41', '20.1265', '2299.02', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315740', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '-0.703282', '0', '0.710911', '-2153.67', '20', '2298.46', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315741', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999999', '0', '-0.000409', '-2152.98', '20.9803', '2295.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315742', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '1', '0', '-0.000398', '-2153.77', '22.6879', '2294.74', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315743', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.000399', '0', '1', '-2154.48', '22.6879', '2294.91', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315744', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '-0.70683', '0', '0.707384', '-2153.69', '21.7076', '2295.38', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315745', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '1', '0', '-0.000398', '-2153.72', '21.8341', '2294.75', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315746', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.000399', '0', '1', '-2154.48', '22.6879', '2295.91', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315747', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '1', '0', '-0.000398', '-2153', '21.8341', '2294.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315748', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.000399', '0', '1', '-2154.44', '21.8341', '2295.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315749', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '-0.70683', '0', '0.707384', '-2153.74', '22.5615', '2295.36', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315750', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '1', '0', '-0.000398', '-2153.72', '21.8341', '2295.75', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315751', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '1', '0', '-0.000398', '-2153.71', '20.9803', '2294.75', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315752', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.000399', '0', '1', '-2154.42', '20.9803', '2294.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315753', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '1', '0', '-0.000398', '-2153.7', '20.9803', '2295.75', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315754', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '1', '0', '-0.000398', '-2152.98', '20.9803', '2294.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315755', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '1', '0', '-0.000398', '-2153.77', '22.6879', '2295.74', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315756', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '1', '0', '-0.000398', '-2153.04', '22.6879', '2294.77', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315757', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999999', '0', '-0.000407', '-2153.04', '22.6879', '2295.77', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315758', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999999', '0', '-0.000409', '-2153', '21.8341', '2295.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315759', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.000399', '0', '1', '-2154.44', '21.8341', '2294.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315760', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.000398', '0', '1', '-2154.4', '20.1265', '2295.93', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315761', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '-0.70683', '0', '0.707384', '-2153.65', '20', '2295.37', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315762', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999999', '0', '-0.0004', '-2153.68', '20.1265', '2295.75', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315763', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.000398', '0', '1', '-2154.4', '20.1265', '2294.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315764', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999999', '0', '-0.000398', '-2153.69', '20.1265', '2294.75', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315765', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999999', '0', '-0.000406', '-2152.96', '20.1265', '2295.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315766', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '1', '0', '-0.000398', '-2152.96', '20.1265', '2294.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315767', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.000399', '0', '1', '-2154.42', '20.9803', '2295.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315768', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '-0.70683', '0', '0.707384', '-2153.67', '20.8538', '2295.37', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315769', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.004591', '-2152.95', '20.9803', '2292.85', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315770', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2153.73', '22.6879', '2291.81', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315771', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-2154.44', '22.6879', '2291.97', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315772', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0.710354', '0', '-0.703845', '-2153.66', '21.7076', '2292.44', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315773', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2153.68', '21.8341', '2291.82', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315774', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-2154.45', '22.6879', '2292.98', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315775', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2152.96', '21.8341', '2291.85', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315776', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-2154.41', '21.8341', '2292.98', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315777', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0.710354', '0', '-0.703845', '-2153.7', '22.5615', '2292.43', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315778', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2153.69', '21.8341', '2292.82', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315779', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2153.66', '20.9803', '2291.82', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315780', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-2154.38', '20.9803', '2291.98', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315781', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2153.67', '20.9803', '2292.82', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315782', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2152.93', '20.9803', '2291.85', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315783', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2153.73', '22.6879', '2292.81', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315784', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2153', '22.6879', '2291.84', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315785', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.004593', '-2153.01', '22.6879', '2292.84', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315786', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.004591', '-2152.97', '21.8341', '2292.86', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315787', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-2154.4', '21.8341', '2291.99', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315788', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004602', '0', '0.999989', '-2154.37', '20.1265', '2292.99', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315789', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0.710354', '0', '-0.703845', '-2153.62', '20', '2292.44', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315790', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.0046', '-2153.65', '20.1265', '2292.82', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315791', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004602', '0', '0.999989', '-2154.36', '20.1265', '2291.99', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315792', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.004602', '-2153.64', '20.1265', '2291.82', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315793', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.004594', '-2152.93', '20.1265', '2292.85', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315794', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2152.92', '20.1265', '2291.85', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315795', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-2154.38', '20.9803', '2292.99', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315796', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0.710354', '0', '-0.703845', '-2153.64', '20.8538', '2292.44', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315797', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.004591', '-2152.99', '20.9803', '2289.79', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315798', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2153.77', '22.6879', '2288.75', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315799', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-2154.48', '22.6879', '2288.91', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315800', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0.710354', '0', '-0.703845', '-2153.7', '21.7076', '2289.39', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315801', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2153.72', '21.8341', '2288.76', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315802', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-2154.49', '22.6879', '2289.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315803', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2153', '21.8341', '2288.79', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315804', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-2154.45', '21.8341', '2289.93', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315805', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0.710354', '0', '-0.703845', '-2153.74', '22.5615', '2289.37', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315806', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2153.73', '21.8341', '2289.76', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315807', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2153.7', '20.9803', '2288.76', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315808', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-2154.42', '20.9803', '2288.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315809', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2153.71', '20.9803', '2289.76', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315810', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2152.98', '20.9803', '2288.8', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315811', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2153.78', '22.6879', '2289.75', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315812', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2153.04', '22.6879', '2288.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315813', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.004593', '-2153.05', '22.6879', '2289.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315814', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.004591', '-2153.01', '21.8341', '2289.8', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315815', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-2154.44', '21.8341', '2288.93', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315816', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004602', '0', '0.999989', '-2154.41', '20.1265', '2289.93', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315817', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0.710354', '0', '-0.703845', '-2153.66', '20', '2289.38', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315818', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.0046', '-2153.69', '20.1265', '2289.76', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315819', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004602', '0', '0.999989', '-2154.4', '20.1265', '2288.93', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315820', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.004602', '-2153.69', '20.1265', '2288.76', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315821', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.004594', '-2152.97', '20.1265', '2289.8', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315822', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2152.96', '20.1265', '2288.79', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315823', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-2154.43', '20.9803', '2289.93', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315824', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0.710354', '0', '-0.703845', '-2153.68', '20.8538', '2289.38', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315825', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '-0.703282', '0', '0.710911', '-2153.99', '20.8538', '2281.79', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315826', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.005399', '0', '0.999985', '-2154.73', '20.9803', '2282.35', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315827', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999986', '0', '-0.005398', '-2153.29', '20.1265', '2281.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315828', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999985', '0', '-0.0054', '-2154', '20.1265', '2282.18', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315829', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999985', '0', '-0.005398', '-2154.01', '20.1265', '2281.18', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315830', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.005398', '0', '0.999985', '-2154.72', '20.1265', '2281.35', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315831', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999985', '0', '-0.005406', '-2153.27', '20.1265', '2282.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315832', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999985', '0', '-0.005409', '-2153.29', '20.9803', '2282.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315833', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999986', '0', '-0.005398', '-2154.1', '22.6879', '2281.16', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315834', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.005399', '0', '0.999985', '-2154.81', '22.6879', '2281.34', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315835', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '-0.703282', '0', '0.710911', '-2154.01', '21.7076', '2281.8', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315836', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999986', '0', '-0.005398', '-2154.05', '21.8341', '2281.18', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315837', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.005399', '0', '0.999985', '-2154.8', '22.6879', '2282.34', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315838', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999986', '0', '-0.005398', '-2153.32', '21.8341', '2281.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315839', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.005399', '0', '0.999985', '-2154.75', '21.8341', '2282.35', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315840', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '-0.703282', '0', '0.710911', '-2154.06', '22.5615', '2281.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315841', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999986', '0', '-0.005398', '-2154.03', '21.8341', '2282.18', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315842', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999986', '0', '-0.005398', '-2154.03', '20.9803', '2281.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315843', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.005399', '0', '0.999985', '-2154.74', '20.9803', '2281.35', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315844', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999986', '0', '-0.005398', '-2154.02', '20.9803', '2282.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315845', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999986', '0', '-0.005398', '-2153.3', '20.9803', '2281.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315846', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999986', '0', '-0.005398', '-2154.08', '22.6879', '2282.16', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315847', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999986', '0', '-0.005398', '-2153.37', '22.6879', '2281.18', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315848', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999985', '0', '-0.005407', '-2153.36', '22.6879', '2282.18', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315849', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999985', '0', '-0.005409', '-2153.31', '21.8341', '2282.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315850', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.005399', '0', '0.999985', '-2154.76', '21.8341', '2281.35', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315851', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.005398', '0', '0.999985', '-2154.71', '20.1265', '2282.35', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315852', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '-0.703282', '0', '0.710911', '-2153.97', '20', '2281.8', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315853', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999999', '0', '-0.000409', '-2153.28', '20.9803', '2279.11', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315854', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '1', '0', '-0.000398', '-2154.07', '22.6879', '2278.07', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315855', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.000399', '0', '1', '-2154.78', '22.6879', '2278.25', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315856', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '-0.70683', '0', '0.707384', '-2153.99', '21.7076', '2278.71', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315857', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '1', '0', '-0.000398', '-2154.02', '21.8341', '2278.09', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315858', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.000399', '0', '1', '-2154.78', '22.6879', '2279.25', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315859', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '1', '0', '-0.000398', '-2153.3', '21.8341', '2278.11', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315860', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.000399', '0', '1', '-2154.74', '21.8341', '2279.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315861', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '-0.70683', '0', '0.707384', '-2154.04', '22.5615', '2278.7', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315862', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '1', '0', '-0.000398', '-2154.02', '21.8341', '2279.09', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315863', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '1', '0', '-0.000398', '-2154', '20.9803', '2278.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315864', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.000399', '0', '1', '-2154.72', '20.9803', '2278.25', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315865', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '1', '0', '-0.000398', '-2154', '20.9803', '2279.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315866', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '1', '0', '-0.000398', '-2153.28', '20.9803', '2278.11', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315867', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '1', '0', '-0.000398', '-2154.07', '22.6879', '2279.07', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315868', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '1', '0', '-0.000398', '-2153.34', '22.6879', '2278.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315869', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999999', '0', '-0.000407', '-2153.34', '22.6879', '2279.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315870', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999999', '0', '-0.000409', '-2153.3', '21.8341', '2279.11', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315871', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.000399', '0', '1', '-2154.74', '21.8341', '2278.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315872', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.000398', '0', '1', '-2154.7', '20.1265', '2279.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315873', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '-0.70683', '0', '0.707384', '-2153.95', '20', '2278.71', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315874', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999999', '0', '-0.0004', '-2153.98', '20.1265', '2279.09', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315875', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.000398', '0', '1', '-2154.7', '20.1265', '2278.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315876', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999999', '0', '-0.000398', '-2153.99', '20.1265', '2278.09', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315877', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999999', '0', '-0.000406', '-2153.26', '20.1265', '2279.11', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315878', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '1', '0', '-0.000398', '-2153.26', '20.1265', '2278.11', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315879', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.000399', '0', '1', '-2154.71', '20.9803', '2279.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315880', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '-0.70683', '0', '0.707384', '-2153.97', '20.8538', '2278.7', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315881', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.004591', '-2153.24', '20.9803', '2276.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315882', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2154.03', '22.6879', '2275.14', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315883', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-2154.74', '22.6879', '2275.31', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315884', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0.710354', '0', '-0.703845', '-2153.96', '21.7076', '2275.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315885', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2153.98', '21.8341', '2275.16', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315886', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-2154.75', '22.6879', '2276.31', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315887', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2153.25', '21.8341', '2275.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315888', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-2154.71', '21.8341', '2276.32', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315889', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0.710354', '0', '-0.703845', '-2154', '22.5615', '2275.76', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315890', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2153.99', '21.8341', '2276.16', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315891', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2153.96', '20.9803', '2275.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315892', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-2154.68', '20.9803', '2275.32', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315893', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2153.97', '20.9803', '2276.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315894', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2153.23', '20.9803', '2275.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315895', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2154.03', '22.6879', '2276.14', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315896', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2153.3', '22.6879', '2275.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315897', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.004593', '-2153.31', '22.6879', '2276.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315898', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.004591', '-2153.26', '21.8341', '2276.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315899', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-2154.7', '21.8341', '2275.32', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315900', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004602', '0', '0.999989', '-2154.67', '20.1265', '2276.32', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315901', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0.710354', '0', '-0.703845', '-2153.92', '20', '2275.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315902', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.0046', '-2153.95', '20.1265', '2276.16', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315903', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004602', '0', '0.999989', '-2154.66', '20.1265', '2275.32', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315904', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.004602', '-2153.94', '20.1265', '2275.16', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315905', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.004594', '-2153.23', '20.1265', '2276.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315906', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2153.22', '20.1265', '2275.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315907', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-2154.68', '20.9803', '2276.32', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315908', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0.710354', '0', '-0.703845', '-2153.93', '20.8538', '2275.77', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315909', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.004591', '-2153.29', '20.9803', '2273.13', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315910', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2154.07', '22.6879', '2272.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315911', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-2154.78', '22.6879', '2272.25', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315912', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0.710354', '0', '-0.703845', '-2154', '21.7076', '2272.72', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315913', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2154.02', '21.8341', '2272.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315914', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-2154.79', '22.6879', '2273.25', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315915', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2153.3', '21.8341', '2272.13', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315916', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-2154.75', '21.8341', '2273.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315917', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0.710354', '0', '-0.703845', '-2154.04', '22.5615', '2272.71', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315918', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2154.03', '21.8341', '2273.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315919', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2154', '20.9803', '2272.09', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315920', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-2154.72', '20.9803', '2272.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315921', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2154.01', '20.9803', '2273.09', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315922', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2153.28', '20.9803', '2272.13', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315923', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2154.08', '22.6879', '2273.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315924', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2153.34', '22.6879', '2272.12', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315925', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.004593', '-2153.35', '22.6879', '2273.12', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315926', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.004591', '-2153.31', '21.8341', '2273.13', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315927', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-2154.74', '21.8341', '2272.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315928', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004602', '0', '0.999989', '-2154.71', '20.1265', '2273.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315929', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0.710354', '0', '-0.703845', '-2153.96', '20', '2272.72', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315930', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.0046', '-2153.99', '20.1265', '2273.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315931', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004602', '0', '0.999989', '-2154.7', '20.1265', '2272.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315932', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.004602', '-2153.99', '20.1265', '2272.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315933', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.004594', '-2153.27', '20.1265', '2273.13', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315934', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.99999', '0', '0.004602', '-2153.26', '20.1265', '2272.13', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315935', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.004601', '0', '0.999989', '-2154.73', '20.9803', '2273.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315936', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0.710354', '0', '-0.703845', '-2153.98', '20.8538', '2272.71', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315939', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.703279', '0', '0.710914', '-2135.58', '20.1265', '2321.93', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315940', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.703279', '0', '0.710914', '-2135.62', '20.1265', '2320.77', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315941', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '-0.703279', '0', '0.710914', '-2135.68', '20', '2321.36', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315946', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.703279', '0', '0.710914', '-2135.64', '21.1538', '2320.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315947', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '-0.703279', '0', '0.710914', '-2135.69', '21.0273', '2321.37', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315948', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.703279', '0', '0.710914', '-2135.6', '21.1538', '2321.94', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315949', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.703279', '0', '0.710914', '-2135.62', '22.1819', '2320.79', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315950', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '-0.703279', '0', '0.710914', '-2135.68', '22.0554', '2321.38', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315951', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.703279', '0', '0.710914', '-2135.58', '22.1819', '2321.95', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315952', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.703279', '0', '0.710914', '-2135.64', '23.2092', '2320.8', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315953', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '-0.703279', '0', '0.710914', '-2135.69', '23.0827', '2321.39', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315954', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.703279', '0', '0.710914', '-2135.6', '23.2092', '2321.96', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315955', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.703279', '0', '0.710914', '-2135.6', '20.1265', '2317.76', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315956', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '-0.703279', '0', '0.710914', '-2135.66', '20', '2318.35', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315957', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.703279', '0', '0.710914', '-2135.56', '20.1265', '2318.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315958', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.703279', '0', '0.710914', '-2135.61', '21.1538', '2317.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315959', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '-0.703279', '0', '0.710914', '-2135.67', '21.0273', '2318.37', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315960', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.703279', '0', '0.710914', '-2135.57', '21.1538', '2318.94', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315961', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.703279', '0', '0.710914', '-2135.6', '22.1819', '2317.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315962', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '-0.703279', '0', '0.710914', '-2135.65', '22.0554', '2318.37', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315963', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.703279', '0', '0.710914', '-2135.56', '22.1819', '2318.94', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315964', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.703279', '0', '0.710914', '-2135.62', '23.2092', '2317.8', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315965', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '-0.703279', '0', '0.710914', '-2135.67', '23.0827', '2318.39', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315966', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.703279', '0', '0.710914', '-2135.57', '23.2092', '2318.96', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315967', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.703279', '0', '0.710914', '-2135.64', '20.1265', '2314.39', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315968', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '-0.703279', '0', '0.710914', '-2135.69', '20', '2314.98', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315969', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.703279', '0', '0.710914', '-2135.59', '20.1265', '2315.55', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315970', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.703279', '0', '0.710914', '-2135.65', '21.1538', '2314.41', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315971', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '-0.703279', '0', '0.710914', '-2135.7', '21.0273', '2315', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315972', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.703279', '0', '0.710914', '-2135.61', '21.1538', '2315.57', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315973', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.703279', '0', '0.710914', '-2135.64', '22.1819', '2314.41', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315974', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '-0.703279', '0', '0.710914', '-2135.69', '22.0554', '2315.01', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315975', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.703279', '0', '0.710914', '-2135.6', '22.1819', '2315.57', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315976', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.703279', '0', '0.710914', '-2135.65', '23.2092', '2314.43', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315977', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '-0.703279', '0', '0.710914', '-2135.71', '23.0827', '2315.02', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315978', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.703279', '0', '0.710914', '-2135.61', '23.2092', '2315.59', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315982', '0', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '1', '0', '3.20013e-08', '-2180.31', '20', '2344.63', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315984', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '1', '0', '3.20013e-08', '-2170.7', '20', '2344.13', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315985', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '0', '0', '1', '-2173.38', '20', '2344.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315986', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '0', '0', '1', '-2193.29', '20', '2344.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315987', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '-0.707106', '0', '0.707107', '-2170.92', '20', '2274.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315988', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '-0.00999984', '0', '0.99995', '-2182.18', '19.8735', '2271.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315989', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '1', '0', '0', '0.000796378', '-2214.95', '23.8088', '2282.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315990', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '1', '0', '0', '0.000796', '-2214.7', '23.8077', '2301.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315994', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0.29074', '0', '0.956802', '-2102.24', '32.1334', '2245.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315995', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '-0.439462', '0', '0.898261', '-2091.81', '32.1729', '2260.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315996', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '-0.29074', '0', '0.956802', '-2272.17', '32.1318', '2260.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '5315997', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '-0.285952', '0', '0.958244', '-2263.96', '32.1217', '2245.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316003', '0', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '-0.380188', '0', '0.924909', '-2277.93', '26.9766', '2301.77', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316004', '0', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '-0.375928', '0', '0.926649', '-2278.96', '26.9766', '2300.75', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316005', '0', 'object/tangible/terminal/shared_terminal_mission_imperial.iff', '0', '-0.384808', '0', '0.922996', '-2283.22', '26.9756', '2296.26', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316007', '0', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '-0.380188', '0', '0.924909', '-2279.96', '26.9766', '2299.75', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316008', '0', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '-0.375928', '0', '0.926649', '-2280.99', '26.9766', '2298.73', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316010', '0', 'object/tangible/furniture/all/shared_frn_all_desk_radar_topology_screen.iff', '0', '-0.389785', '0', '0.920906', '-2287.42', '26.991', '2304.59', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316012', '0', 'object/tangible/furniture/all/shared_frn_all_chair_meatal_wheeled_s1.iff', '0', '0.918789', '0', '-0.394751', '-2286.72', '26.9743', '2294.94', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316013', '0', 'object/tangible/furniture/imperial/shared_table_s1.iff', '0', '0.920751', '0', '-0.390152', '-2285.19', '26.991', '2300.62', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316014', '0', 'object/tangible/furniture/all/shared_frn_all_data_terminal_wall_s1.iff', '-0.127527', '0.367798', '0.0644558', '0.918862', '-2286.81', '26.5418', '2294.84', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316015', '0', 'object/tangible/furniture/all/shared_frn_all_chair_meatal_wheeled_s1.iff', '0', '-0.394019', '0', '0.919102', '-2286.42', '26.9936', '2309.35', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316016', '0', 'object/tangible/furniture/all/shared_frn_all_chair_meatal_wheeled_s1.iff', '0', '-0.398609', '0', '0.917121', '-2289.25', '26.9552', '2306.6', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316017', '0', 'object/tangible/furniture/all/shared_frn_all_chair_meatal_wheeled_s1.iff', '0', '0.930215', '0', '-0.367013', '-2289.37', '26.9744', '2297.63', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316018', '0', 'object/tangible/furniture/all/shared_frn_all_data_terminal_wall_s1.iff', '-0.0534968', '0.895615', '0.10613', '0.428659', '-2286.53', '26.5071', '2309.63', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316019', '0', 'object/tangible/furniture/all/shared_frn_all_chair_meatal_wheeled_s1.iff', '0', '0.710353', '0', '-0.703846', '-2292.31', '26.9938', '2301.98', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316020', '0', 'object/tangible/furniture/all/shared_frn_all_data_terminal_wall_s3.iff', '0.252793', '0.67576', '0.626409', '-0.295054', '-2290.82', '27.6234', '2297.15', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316021', '0', 'object/tangible/furniture/all/shared_frn_all_data_terminal_wall_s2.iff', '0.497396', '0.505353', '0.489561', '-0.50749', '-2294.3', '27.5547', '2301.23', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316045', '0', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '0.144492', '0', '0.989506', '-2229.68', '26.9674', '2382.84', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316046', '0', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '0.149044', '0', '0.98883', '-2231.07', '26.9674', '2383.25', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316047', '0', 'object/tangible/terminal/shared_terminal_mission_imperial.iff', '0', '0.13459', '0', '0.990901', '-2236.86', '26.9674', '2384.8', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316049', '0', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '0.144492', '0', '0.989506', '-2232.43', '26.9674', '2383.65', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316050', '0', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '0.149044', '0', '0.98883', '-2233.81', '26.9674', '2384.06', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316052', '0', 'object/tangible/furniture/all/shared_frn_all_desk_radar_topology_screen.iff', '0', '0.134196', '0', '0.990955', '-2232.6', '26.9674', '2392.93', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316054', '0', 'object/tangible/furniture/all/shared_frn_all_chair_meatal_wheeled_s1.iff', '0', '-0.597197', '0', '0.802095', '-2239.69', '26.9674', '2387.37', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316055', '0', 'object/tangible/furniture/imperial/shared_table_s1.iff', '0', '-0.593179', '0', '0.805071', '-2234.15', '26.9674', '2388.66', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316057', '0', 'object/tangible/furniture/all/shared_frn_all_chair_meatal_wheeled_s1.iff', '0', '0.15438', '0', '0.988012', '-2227.14', '26.9674', '2393.95', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316058', '0', 'object/tangible/furniture/all/shared_frn_all_chair_meatal_wheeled_s1.iff', '0', '0.144492', '0', '0.989506', '-2231.12', '26.9674', '2395.3', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316059', '0', 'object/tangible/furniture/all/shared_frn_all_chair_meatal_wheeled_s1.iff', '0', '-0.601197', '0', '0.799101', '-2238.56', '26.9674', '2391.67', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316061', '0', 'object/tangible/furniture/all/shared_frn_all_chair_meatal_wheeled_s1.iff', '0', '-0.261909', '0', '0.965093', '-2236.38', '26.9674', '2395.89', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316064', '0', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '0.593176', '0', '0.805073', '-2136.71', '26.9946', '2383.43', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316065', '0', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '0.596877', '0', '0.802333', '-2137.14', '26.9946', '2384.81', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316066', '0', 'object/tangible/terminal/shared_terminal_mission_imperial.iff', '0', '0.585098', '0', '0.810963', '-2139.11', '26.9946', '2390.5', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316068', '0', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '0.593176', '0', '0.805073', '-2137.57', '26.9946', '2386.17', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316069', '0', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '0.596877', '0', '0.802333', '-2138', '26.9946', '2387.55', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316071', '0', 'object/tangible/furniture/all/shared_frn_all_desk_radar_topology_screen.iff', '0', '0.584774', '0', '0.811196', '-2130', '26.9946', '2391.49', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316073', '0', 'object/tangible/furniture/all/shared_frn_all_chair_meatal_wheeled_s1.iff', '0', '-0.149439', '0', '0.988771', '-2138.52', '26.9946', '2394.26', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316074', '0', 'object/tangible/furniture/imperial/shared_table_s1.iff', '0', '-0.144492', '0', '0.989506', '-2134.37', '26.9946', '2390.39', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316076', '0', 'object/tangible/furniture/all/shared_frn_all_chair_meatal_wheeled_s1.iff', '0', '0.6012', '0', '0.799099', '-2126.06', '26.9946', '2387.51', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316077', '0', 'object/tangible/furniture/all/shared_frn_all_chair_meatal_wheeled_s1.iff', '0', '0.593176', '0', '0.805073', '-2127.17', '26.9946', '2391.57', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316078', '0', 'object/tangible/furniture/all/shared_frn_all_chair_meatal_wheeled_s1.iff', '0', '-0.15438', '0', '0.988012', '-2134.33', '26.9946', '2395.73', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316080', '0', 'object/tangible/furniture/all/shared_frn_all_chair_meatal_wheeled_s1.iff', '0', '0.223107', '0', '0.974794', '-2129.6', '26.9946', '2396.27', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316083', '0', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '0.925211', '0', '0.379452', '-2086.56', '26.9535', '2302.26', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316084', '0', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '0.926948', '0', '0.37519', '-2085.53', '26.9535', '2303.28', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316085', '0', 'object/tangible/terminal/shared_terminal_mission_imperial.iff', '0', '0.921371', '0', '0.388685', '-2081.39', '26.9535', '2307.61', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316087', '0', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '0.925211', '0', '0.379452', '-2084.52', '26.9535', '2304.28', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316088', '0', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '0.926948', '0', '0.37519', '-2083.49', '26.9535', '2305.29', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316090', '0', 'object/tangible/furniture/all/shared_frn_all_desk_radar_topology_screen.iff', '0', '0.921216', '0', '0.389051', '-2076.03', '26.9535', '2300.08', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316092', '0', 'object/tangible/furniture/all/shared_frn_all_chair_meatal_wheeled_s1.iff', '0', '0.386278', '0', '0.922382', '-2077.77', '26.9535', '2308.85', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316093', '0', 'object/tangible/furniture/imperial/shared_table_s1.iff', '0', '0.390886', '0', '0.920439', '-2079.3', '26.9535', '2303.38', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316095', '0', 'object/tangible/furniture/all/shared_frn_all_chair_meatal_wheeled_s1.iff', '0', '0.92896', '0', '0.370181', '-2078.04', '26.9535', '2294.68', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316096', '0', 'object/tangible/furniture/all/shared_frn_all_chair_meatal_wheeled_s1.iff', '0', '0.925211', '0', '0.379452', '-2074.94', '26.9535', '2297.53', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316097', '0', 'object/tangible/furniture/all/shared_frn_all_chair_meatal_wheeled_s1.iff', '0', '0.381661', '0', '0.924302', '-2074.54', '26.9535', '2305.8', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316099', '0', 'object/tangible/furniture/all/shared_frn_all_chair_meatal_wheeled_s1.iff', '0', '0.697278', '0', '0.716801', '-2071.89', '26.9535', '2301.85', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316102', '0', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '-1.00495e-10', '0.988652', '-5.29967e-12', '-0.150225', '-2136.09', '26.988', '2221.3', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316103', '0', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '-5.55191e-11', '0.98795', '-1.66218e-11', '-0.154773', '-2134.71', '26.988', '2220.87', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316104', '0', 'object/tangible/terminal/shared_terminal_mission_imperial.iff', '9.70302e-11', '0.990105', '-2.70004e-12', '-0.140332', '-2128.94', '26.988', '2219.24', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316106', '0', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '-1.00495e-10', '0.988652', '-5.29967e-12', '-0.150225', '-2133.36', '26.988', '2220.45', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316107', '0', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '-5.55191e-11', '0.98795', '-1.66218e-11', '-0.154773', '-2131.97', '26.988', '2220.03', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316109', '0', 'object/tangible/furniture/all/shared_frn_all_desk_radar_topology_screen.iff', '-4.56308e-11', '0.99016', '4.08385e-11', '-0.139937', '-2133.08', '26.988', '2211.03', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316111', '0', 'object/tangible/furniture/all/shared_frn_all_chair_meatal_wheeled_s1.iff', '4.49239e-11', '0.805544', '-6.26136e-11', '0.592537', '-2126.14', '26.988', '2216.65', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316112', '0', 'object/tangible/furniture/imperial/shared_table_s1.iff', '-3.28386e-11', '0.808497', '1.0637e-10', '0.588501', '-2131.69', '26.988', '2215.43', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316114', '0', 'object/tangible/furniture/all/shared_frn_all_chair_meatal_wheeled_s1.iff', '1.82953e-11', '0.9871', '-1.50549e-11', '-0.160104', '-2138.77', '26.988', '2210.22', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316115', '0', 'object/tangible/furniture/all/shared_frn_all_chair_meatal_wheeled_s1.iff', '-1.00495e-10', '0.988652', '-5.29967e-12', '-0.150225', '-2134.8', '26.988', '2208.82', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316116', '0', 'object/tangible/furniture/all/shared_frn_all_chair_meatal_wheeled_s1.iff', '4.8033e-11', '0.802571', '-3.41981e-11', '0.596556', '-2127.31', '26.988', '2212.37', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316118', '0', 'object/tangible/furniture/all/shared_frn_all_chair_meatal_wheeled_s1.iff', '-6.26213e-11', '0.966595', '-3.82834e-11', '0.25631', '-2129.54', '26.988', '2208.17', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316122', '0', 'object/tangible/furniture/all/shared_frn_all_data_terminal_wall_s2.iff', '0.51489', '-0.489378', '-0.484894', '-0.510172', '-2070.09', '27.6907', '2302.72', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316123', '0', 'object/tangible/furniture/all/shared_frn_all_data_terminal_wall_s1.iff', '-0.140635', '-0.380775', '-0.0503204', '0.912524', '-2077.89', '26.5268', '2294.51', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316124', '0', 'object/tangible/furniture/all/shared_frn_all_data_terminal_wall_s1.iff', '0.080282', '0.905168', '0.197666', '-0.367633', '-2077.57', '26.6643', '2308.85', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316125', '0', 'object/tangible/furniture/all/shared_frn_all_data_terminal_wall_s3.iff', '0.648693', '-0.27461', '-0.271661', '-0.655734', '-2073.13', '27.7736', '2306.24', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316127', '0', 'object/tangible/furniture/all/shared_frn_all_data_terminal_wall_s1.iff', '0.13075', '0.797619', '0.186757', '-0.558417', '-2126.07', '26.6419', '2387.47', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316128', '0', 'object/tangible/furniture/all/shared_frn_all_data_terminal_wall_s2.iff', '0.675402', '-0.174345', '-0.168641', '-0.696417', '-2129.51', '27.6326', '2398.12', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316129', '0', 'object/tangible/furniture/all/shared_frn_all_data_terminal_wall_s3.iff', '0.682942', '0.139107', '0.134888', '-0.704305', '-2134.11', '27.775', '2397.11', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316130', '0', 'object/tangible/furniture/all/shared_frn_all_data_terminal_wall_s1.iff', '-0.0409835', '0.95147', '0.278192', '0.12504', '-2138.56', '26.7335', '2394.25', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316132', '0', 'object/tangible/furniture/all/shared_frn_all_data_terminal_wall_s1.iff', '0.0456091', '0.947877', '0.272566', '-0.15861', '-2227.2', '26.7556', '2393.77', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316133', '0', 'object/tangible/furniture/all/shared_frn_all_data_terminal_wall_s1.iff', '-0.175013', '0.743775', '0.213876', '0.608626', '-2239.72', '26.7276', '2387.39', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316134', '0', 'object/tangible/furniture/all/shared_frn_all_data_terminal_wall_s3.iff', '0.549055', '0.444248', '0.439477', '-0.555015', '-2239.79', '27.7026', '2392.66', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316135', '0', 'object/tangible/furniture/all/shared_frn_all_data_terminal_wall_s2.iff', '0.684852', '0.175011', '0.174871', '-0.685397', '-2237.92', '27.5771', '2397.08', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316137', '0', 'object/tangible/furniture/all/shared_frn_all_data_terminal_wall_s1.iff', '-0.274311', '0.13255', '0.0338633', '0.95186', '-2138.69', '26.7468', '2210.31', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316138', '0', 'object/tangible/furniture/all/shared_frn_all_data_terminal_wall_s1.iff', '-0.19207', '-0.572259', '-0.140041', '0.784868', '-2126.08', '26.6956', '2216.64', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316139', '0', 'object/tangible/furniture/all/shared_frn_all_data_terminal_wall_s3.iff', '-0.425392', '0.564935', '0.564485', '0.425731', '-2126.27', '27.7386', '2211.31', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316140', '0', 'object/tangible/furniture/all/shared_frn_all_data_terminal_wall_s2.iff', '-0.177874', '0.684107', '0.684659', '0.177765', '-2127.96', '27.5503', '2206.88', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316141', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '-0.707106', '0', '0.707107', '-2119.09', '20', '2310.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316142', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '-0.707106', '0', '0.707107', '-2119.16', '20', '2293.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316143', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '0.972422', '0', '-0.23323', '-2159.08', '20', '2360.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316144', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '0.972421', '0', '-0.233232', '-2142.93', '20', '2351.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316145', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '0.971433', '0', '0.237316', '-2222.85', '20', '2351.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316146', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '0.971433', '0', '0.237314', '-2206.96', '20', '2359.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316147', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '0.707107', '0', '-0.707107', '-2246.9', '20', '2310.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316148', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '-0.707103', '0', '0.70711', '-2246.97', '20', '2292.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316149', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '0.971244', '0', '-0.238089', '-2222.77', '20', '2252.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316150', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '0.971243', '0', '-0.238091', '-2206.96', '20', '2243.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316151', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '0.972607', '0', '0.232456', '-2159.12', '20', '2243.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316152', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '0.972607', '0', '0.232454', '-2143.16', '20', '2251.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316161', '0', 'object/static/structure/corellia/shared_corl_tent_small.iff', '0', '0', '0', '1', '183.29', '6', '-3064.61', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316162', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.867423', '0', '-0.497571', '182.345', '6', '-3062.83', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316164', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.144492', '0', '0.989506', '183.493', '6', '-3062.83', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316165', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '-0.203567', '0', '0.979061', '184.786', '6', '-3062.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316166', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0.844162', '0', '-0.536088', '184.848', '6', '-3063.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316168', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '-0.407761', '0', '0.913089', '182.079', '6', '-3066.75', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316170', '0', 'object/static/structure/general/shared_droid_r5_powerdown.iff', '0', '0.819191', '0', '0.57352', '181.635', '6', '-3063.81', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316173', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '1', '0', '0', '0.000796', '-2214.49', '23.8155', '2320.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316174', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-2192.15', '32.1256', '2396.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '5316175', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-2175.07', '32.1286', '2397.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '5385433', '0', 'object/building/corellia/shared_filler_slum_16x16_s01.iff', '0', '-0.670882', '0', '0.741564', '3081.4', '35', '6167.21', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '5385434', '0', 'object/building/corellia/shared_filler_slum_16x16_s01.iff', '0', '0.242556', '0', '0.970137', '3093.48', '35', '6139.23', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '5385462', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.34759', '0', '0.937647', '3068.07', '35.7415', '6157.18', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '5385463', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '-0.34759', '0', '0.937647', '3061.89', '35.7592', '6151.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '5385464', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0.822049', '0', '-0.569417', '3067.76', '35.7415', '6136.49', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '5385465', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.822049', '0', '-0.569417', '3064.87', '35.7415', '6144.14', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '5385478', '0', 'object/static/item/shared_item_container_weapons.iff', '0.111611', '0.0432898', '-0.359015', '0.925623', '3066.39', '34.9716', '6146.69', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5385479', '0', 'object/static/item/shared_item_container_weapons.iff', '0.933749', '-0.0122186', '-0.000696474', '0.357718', '3067.28', '35.6696', '6150.28', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5385480', '0', 'object/static/item/shared_item_container_weapons.iff', '-0.10831', '-0.422876', '-0.0509902', '0.898245', '3069.03', '34.8702', '6146.83', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5385481', '0', 'object/static/item/shared_item_container_weapons.iff', '0.273129', '0.172493', '0.844484', '0.427192', '3068.56', '35.5819', '6149.68', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5385482', '0', 'object/static/item/shared_item_container_weapons.iff', '0.206846', '0.346148', '-0.185441', '0.896107', '3069.61', '35.3731', '6147.58', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5385496', '0', 'object/static/item/shared_item_container_weapons.iff', '-0.165313', '0.833898', '-0.0546369', '0.523737', '3067.42', '34.8607', '6148.61', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5385497', '0', 'object/static/particle/shared_particle_lg_explosion.iff', '0', '0', '0', '1', '3067.82', '35.0014', '6148.29', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '5385498', '0', 'object/static/particle/shared_particle_smoke.iff', '0', '0', '0', '1', '3068.02', '35', '6148.94', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '5385499', '0', 'object/static/particle/shared_pt_sm_explosion.iff', '0', '0', '0', '1', '3079.24', '35', '6146.54', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '5385500', '0', 'object/static/particle/shared_particle_newbie_hanging_smoke.iff', '0', '0', '0', '1', '3067.89', '35.8302', '6148.89', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '5385503', '0', 'object/static/vehicle/e3/shared_landspeeder.iff', '0.136184', '-0.524725', '0.131051', '0.830026', '3071.67', '42.5717', '6088.08', '256', '1');
INSERT INTO `staticobjects` VALUES ('7', '5385504', '0', 'object/static/particle/shared_particle_campfire_style_1.iff', '0.0958258', '0.0636544', '0.311645', '0.943209', '3071.6', '42.8239', '6088.1', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '5385505', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0.190807', '-0.0337363', '0.170808', '0.966064', '3068.88', '41.0205', '6092.68', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5385506', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0.177662', '-0.0993768', '0.477955', '0.85447', '3068.34', '41.6965', '6085.31', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5385507', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0.276356', '0', '0.961055', '3070.63', '35', '6152.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '5385508', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '-0.416871', '0', '0.908966', '3067.99', '35.0038', '6142.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '5385509', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0.613117', '0', '0.789992', '3078.85', '35', '6146.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '5385510', '0', 'object/static/structure/general/shared_prp_junk_s4.iff', '-0.0121233', '-0.422798', '0.175776', '0.888931', '3075.1', '37.0686', '6112.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '5385511', '0', 'object/static/structure/general/shared_prp_engine_component.iff', '-0.16918', '-0.000845908', '-0.0049279', '0.985572', '3073.65', '43.0273', '6091.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '5385512', '0', 'object/static/structure/general/shared_prp_engine_component.iff', '-0.0674836', '0.927182', '-0.238069', '-0.281253', '3075.76', '44.5268', '6088.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '5385513', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0.122915', '0.0171505', '0.329316', '0.936028', '3066.54', '41.2489', '6090.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '5385514', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0.792563', '0', '-0.609791', '3090.89', '35.0377', '6154.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '5385517', '0', 'object/static/structure/general/shared_rock_mossy_big.iff', '0', '-0.319309', '0', '0.947651', '3026.94', '20.3496', '6071.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '5385518', '0', 'object/static/structure/general/shared_rock_mossy_big_a1.iff', '0', '0.333487', '0', '0.942755', '3036.52', '33.335', '6114.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '5385519', '0', 'object/static/structure/general/shared_rock_mossy_big_a1.iff', '-0.443948', '0', '0', '0.896052', '2987.23', '26.2653', '6078.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '5385520', '0', 'object/static/structure/general/shared_prp_junk_s1.iff', '0', '0.674288', '0', '0.738469', '3075.68', '37.5004', '6126.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '5385521', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0.188694', '-0.00925477', '0.0726387', '0.979302', '3078.46', '36.5161', '6129.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '5385522', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '-0.239967', '0.960976', '-0.002083', '-0.137607', '3076.02', '37.0117', '6122.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '5385524', '0', 'object/static/particle/shared_pt_poi_broken_electronics.iff', '0', '0', '0', '1', '3075.71', '39.7641', '6126.96', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '5385525', '0', 'object/static/item/shared_item_comp_blaster_cannon.iff', '0.22658', '0.400702', '0.619534', '0.635829', '3028.33', '29.1908', '6096.73', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5385526', '0', 'object/static/item/shared_item_comp_stabilization_unit.iff', '0.553555', '-0.537905', '0.431194', '-0.467233', '3026.55', '29.3649', '6098.96', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5385527', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '-0.0894075', '0.402686', '-0.0457368', '0.909812', '3026.06', '28.7294', '6096.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '5385528', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '-0.0620674', '-0.588634', '-0.000734203', '0.806013', '3027.43', '29.0527', '6100.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '5385529', '0', 'object/static/particle/shared_pt_poi_broken_electronics.iff', '0', '0', '0', '1', '3026.38', '28.9856', '6098.41', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '5385530', '0', 'object/static/particle/shared_pt_burning_smokeandembers_md.iff', '0', '0', '0', '1', '3028.11', '28.9587', '6097.01', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '5385536', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '-0.461773', '-0.00278179', '-0.00415469', '0.886984', '3036.81', '23.4806', '6073.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '5385537', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '-0.319845', '-0.414702', '-0.158467', '0.837024', '3035.53', '22.2129', '6074.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '5385538', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '-0.21405', '-0.622066', '0.654872', '-0.371968', '3017.63', '25.3436', '6087.34', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '5385539', '0', 'object/static/particle/shared_pt_burning_smokeandembers_large.iff', '0', '0', '0', '1', '3017.51', '25.3577', '6087.49', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '5385540', '0', 'object/static/item/shared_item_crate_spice.iff', '0', '-0.305059', '0', '0.952334', '3087.65', '35', '6143.94', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5385541', '0', 'object/static/item/shared_item_crate_spice.iff', '0', '0.857299', '0', '-0.514819', '3087.21', '35', '6142.82', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5385542', '0', 'object/static/item/shared_item_crate_spice.iff', '0', '-0.34759', '0', '0.937647', '3086.29', '35', '6143.55', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555402', '0', 'object/building/military/shared_military_base_shed_imperial_barracks_s01.iff', '0', '-0.707106', '0', '0.707107', '-2163', '20', '2294', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555449', '5555402', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555460', '5555402', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555517', '5555402', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555518', '5555402', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555519', '5555402', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555520', '5555402', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555521', '0', 'object/building/military/shared_military_base_shed_imperial_barracks_s01.iff', '0', '0.707107', '0', '-0.707107', '-2163', '20', '2311', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555522', '5555521', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555523', '5555521', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555524', '5555521', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555525', '5555521', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555526', '5555521', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555527', '5555521', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555535', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-2170.22', '19.8865', '2329.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555536', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-2170.25', '19.8834', '2312.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555537', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-2170.22', '19.878', '2295.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555539', '0', 'object/static/structure/corellia/shared_corl_tent_med.iff', '0', '0.706825', '0', '0.707388', '-2183.72', '20', '2365.01', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555543', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.109778', '0', '0.993956', '-2184.02', '20', '2367.16', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555544', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.109778', '0', '0.993956', '-2184.45', '20', '2367.13', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555545', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.109778', '0', '0.993956', '-2184.85', '20', '2367.12', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555546', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.109778', '0', '0.993956', '-2184.02', '20', '2366.79', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555547', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.109778', '0', '0.993956', '-2184.47', '20', '2366.73', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555548', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.109778', '0', '0.993956', '-2184.83', '20', '2366.74', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555549', '0', 'object/static/item/shared_item_container_inorganic_chemicals.iff', '0', '0', '0', '1', '-2181.96', '20', '2363.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555550', '0', 'object/static/item/shared_item_container_inorganic_chemicals.iff', '0', '0', '0', '1', '-2182.61', '20', '2363.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555551', '0', 'object/static/item/shared_item_container_inorganic_chemicals.iff', '0', '0', '0', '1', '-2183.33', '20', '2363.14', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555552', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '1', '0', '3.20013e-08', '-2186.77', '20', '2366.37', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555553', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '1', '0', '3.20013e-08', '-2186.84', '20', '2366.88', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555554', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '1', '0', '3.20013e-08', '-2186.31', '20', '2366.36', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555555', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '1', '0', '3.20013e-08', '-2186.36', '20', '2366.87', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555557', '0', 'object/static/item/shared_item_container_energy_radioactive.iff', '0', '0.689499', '0', '0.724287', '-2181.12', '20', '2366.97', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555558', '0', 'object/static/item/shared_item_container_energy_radioactive.iff', '0', '0.689499', '0', '0.724287', '-2182.35', '20', '2366.9', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555559', '0', 'object/static/item/shared_item_container_energy_radioactive.iff', '0', '0.689499', '0', '0.724287', '-2181.78', '20.4743', '2366.93', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555560', '0', 'object/static/item/shared_item_container_inorganic_chemicals.iff', '0', '0', '0', '1', '-2182.98', '20.3478', '2363.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555561', '0', 'object/static/item/shared_item_container_inorganic_chemicals.iff', '0', '0', '0', '1', '-2182.27', '20.3478', '2363.16', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555563', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.20846', '0', '0.978031', '-2206.63', '20', '2321.59', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555564', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.20846', '0', '0.978031', '-2206.82', '20', '2321.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555565', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.20846', '0', '0.978031', '-2206.71', '20.2846', '2321.39', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555566', '0', 'object/static/item/shared_item_briefcase.iff', '0.102921', '0.187819', '-0.0197938', '0.976596', '-2206.88', '20.0032', '2320.91', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555567', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '-2205.19', '20', '2322.14', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555568', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.663136', '0', '0.748499', '-2204.86', '20', '2322.06', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555569', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '-2204.96', '20', '2322.46', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555570', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706825', '0', '0.707388', '-2204.57', '20', '2322.3', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555591', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0', '0', '1', '-2171.19', '20', '2283.43', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555592', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0', '0', '1', '-2171.17', '20', '2283.02', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555593', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0', '0', '1', '-2171.19', '20', '2282.59', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555594', '0', 'object/static/item/shared_item_container_energy_gas.iff', '0', '0.717356', '0', '0.696707', '-2171.19', '20', '2281.7', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555595', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.999574', '0', '0.0291994', '-2173.47', '20', '2283.73', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555596', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.999574', '0', '0.0291994', '-2172.93', '20', '2283.77', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555599', '0', 'object/tangible/furniture/all/shared_frn_all_toolchest_med_s01.iff', '0', '0.605186', '0', '0.796084', '-2238.95', '20', '2223.81', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555600', '0', 'object/static/item/shared_item_tool_computer_toolkit.iff', '0', '-0.0799147', '0', '0.996802', '-2235.88', '20.5692', '2222.64', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555601', '0', 'object/static/item/shared_item_tool_power_output_analyzer.iff', '0', '0.0299955', '0', '0.99955', '-2236.45', '20.506', '2222.27', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555602', '0', 'object/static/item/shared_item_tool_demagnetizer.iff', '0', '0', '0', '1', '-2238.82', '21.0119', '2224.2', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555603', '0', 'object/static/item/shared_item_tool_instrument_calibrator.iff', '0', '0.824886', '0', '0.5653', '-2238.84', '21.0119', '2223.61', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555605', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff', '0', '0.23809', '0', '0.971243', '-2132.88', '20', '2346.39', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555607', '0', 'object/static/item/shared_item_tool_sensor_beacon.iff', '0', '0', '0', '1', '-2110.09', '20', '2323.04', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555608', '0', 'object/static/item/shared_item_tool_sensor_beacon.iff', '0', '0', '0', '1', '-2110.09', '20', '2326.04', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555609', '0', 'object/static/item/shared_item_tool_power_output_analyzer.iff', '0', '-0.114747', '0', '0.993395', '-2108.78', '20.6641', '2319.48', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555610', '0', 'object/static/item/shared_item_tool_computer_toolkit.iff', '0', '0.912764', '0', '-0.408487', '-2109.12', '20.6957', '2319.2', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555611', '0', 'object/static/item/shared_item_tool_droid_toolkit.iff', '0', '0.0249974', '0', '0.999687', '-2109.83', '20', '2319.02', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555616', '0', 'object/static/structure/general/shared_data_terminal_s2.iff', '0', '0.696135', '0', '0.717911', '-2112.42', '20', '2320.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555618', '0', 'object/static/item/shared_item_tool_sensor_beacon.iff', '0', '0', '0', '1', '-2110.09', '20', '2329.04', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555619', '0', 'object/static/item/shared_item_tool_sensor_beacon.iff', '0', '0', '0', '1', '-2110.09', '20', '2332.04', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555620', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.389418', '0', '0.921061', '-2108.8', '20', '2319.44', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555692', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.0399893', '0', '0.9992', '-2223.33', '20', '2281.29', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555694', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '1', '0', '3.20013e-08', '-2223.23', '20', '2321.75', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555705', '0', 'object/static/installation/shared_mockup_power_generator_photo_bio_style_1.iff', '0', '0.242556', '0', '0.970137', '-2234.04', '20', '2262.87', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555706', '0', 'object/static/installation/shared_mockup_power_generator_photo_bio_style_1.iff', '0', '0.707107', '0', '0.707107', '-2243', '20', '2277.43', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555707', '0', 'object/static/structure/corellia/shared_corl_power_arial_thin.iff', '0', '0.384808', '0', '0.922997', '-2245.34', '20', '2266.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555709', '0', 'object/tangible/furniture/all/shared_frn_all_toolchest_lg_s01.iff', '0', '0.696135', '0', '0.717911', '-2244.69', '20', '2268.79', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555710', '0', 'object/static/item/shared_item_tool_instrument_calibrator.iff', '0', '0.309817', '0', '0.950796', '-2243.99', '20', '2267.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555711', '0', 'object/static/item/shared_item_tool_power_output_analyzer.iff', '0', '0.999232', '0', '0.0391936', '-2242.32', '20', '2271.12', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555712', '0', 'object/static/item/shared_item_tool_computer_toolkit.iff', '0', '0.927097', '0', '0.374821', '-2244.51', '21.6444', '2268.5', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555713', '0', 'object/static/item/shared_item_tool_demagnetizer.iff', '0', '0', '0', '1', '-2244.76', '21.6444', '2268.66', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555714', '0', 'object/static/item/shared_item_tank_gas.iff', '0', '0', '0', '1', '-2244.19', '20', '2269.98', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555715', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.266731', '0', '0.963771', '4543.75', '2', '5279.27', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555716', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.539632', '0', '0.841901', '4540.4', '2', '5275.91', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555717', '0', 'object/static/structure/corellia/shared_corl_tent_small.iff', '0', '0.29552', '0', '0.955336', '4541.51', '2', '5278.43', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555718', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0', '0', '1', '4539.58', '2', '5277.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555720', '0', 'object/building/military/shared_mun_all_military_tower_impl_guard_s01.iff', '0', '0', '0', '1', '-2191.95', '20', '2397.11', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555721', '5555720', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '5555724', '0', 'object/tangible/terminal/shared_terminal_mission_imperial.iff', '0', '0', '0', '1', '-2186.75', '20', '2271.61', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5625515', '0', 'object/building/general/shared_talus_giant_fynock_cave.iff', '0', '-0.707106', '0', '0.707107', '1599.14', '37.59', '-867.259', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '5625516', '5625515', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '5625517', '5625515', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '5625518', '5625515', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '5625519', '5625515', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '5625520', '5625515', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '7955663', '5625520', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '1', '0', '-3.20013e-08', '-6.28413', '-38.8035', '-151.494', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '7955670', '5625520', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '1', '0', '-3.20013e-08', '61.5342', '-48.7726', '-176.839', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5625521', '5625515', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '5625522', '5625515', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '7955671', '5625522', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '-0.266731', '0', '0.963771', '-8.44011', '-55.1797', '-261.842', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5625523', '5625515', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '7955708', '5625523', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0.0295094', '0.737341', '-0.0269878', '-0.674336', '-79.6728', '-91.3562', '-159.566', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5625524', '5625515', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '7955686', '5625524', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0.636844', '0', '0.770993', '-12.7344', '-60.9449', '-97.7388', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5625525', '5625515', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '5625526', '5625515', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '7955728', '5625526', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0', '-0.149438', '0.988771', '-102.586', '-91.3897', '-103.279', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5625536', '0', 'object/building/general/shared_talus_giant_decay_mite_cave.iff', '0', '0.252245', '0', '0.967663', '-5553.01', '36.5608', '-4751.73', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '5625537', '5625536', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '5625538', '5625536', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '5625539', '5625536', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '5625569', '5625539', 'object/tangible/container/loot/shared_placable_loot_crate_skeleton_human.iff', '0', '0.375559', '0', '0.926798', '1.76754', '-32.7339', '-71.6236', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5625540', '5625536', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '5625575', '5625540', 'object/tangible/container/loot/shared_placable_loot_crate_skeleton_human.iff', '0.0144061', '0.557147', '0.0746686', '0.826925', '47.944', '-37.9711', '-101.026', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5625541', '5625536', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '5625579', '5625541', 'object/tangible/container/loot/shared_placable_loot_crate_skeleton_human.iff', '0.00564367', '0.992193', '-0.114608', '0.0488588', '-8.00691', '-37.202', '-144.364', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5625542', '5625536', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '5625543', '5625536', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '5625591', '5625543', 'object/tangible/container/loot/shared_placable_loot_crate_skeleton_human.iff', '0.213347', '0', '0', '0.976976', '-12.0939', '-55.1009', '-261.578', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5625544', '5625536', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '5625545', '5625536', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '5625546', '5625536', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '5995655', '5625546', 'object/tangible/container/loot/shared_placable_loot_crate_skeleton_human.iff', '-0.0749297', '0', '0', '0.997189', '-21.0329', '-71.8743', '-145.927', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5625547', '5625536', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '5995664', '5625547', 'object/tangible/container/loot/shared_placable_loot_crate_skeleton_human.iff', '-0.0799136', '-0.00496402', '0.000598559', '0.996789', '-79.825', '-91.3666', '-90.9833', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5995665', '5625547', 'object/tangible/container/loot/shared_placable_loot_crate_skeleton_human.iff', '0', '0', '0', '1', '-102.591', '-92.2552', '-97.6987', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '5995666', '5625547', 'object/tangible/container/loot/shared_placable_loot_crate_skeleton_human.iff', '0', '0', '0', '1', '-87.141', '-95.3803', '-124.436', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055352', '0', 'object/static/structure/general/shared_streetlamp_medium_blue_style_01.iff', '0', '0', '0', '1', '306.76', '6', '-3036.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055353', '0', 'object/static/structure/general/shared_streetlamp_medium_blue_style_01.iff', '0', '-0.707106', '0', '0.707107', '272.01', '6', '-3052.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055354', '0', 'object/static/structure/general/shared_streetlamp_large_blue_style_01.iff', '0', '-0.707106', '0', '0.707107', '294.711', '6', '-3051.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055355', '0', 'object/static/structure/general/shared_streetlamp_large_blue_style_01.iff', '0', '-0.707106', '0', '0.707107', '294.959', '6', '-3060.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055356', '0', 'object/static/structure/general/shared_streetlamp_large_blue_style_01.iff', '0', '0', '0', '1', '282.643', '6', '-3085.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055358', '0', 'object/static/structure/general/shared_streetlamp_large_blue_style_01.iff', '0', '0', '0', '1', '262.68', '6', '-3085.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055359', '0', 'object/static/structure/general/shared_streetlamp_large_blue_style_01.iff', '0', '0', '0', '1', '232.269', '6', '-3083.34', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055360', '0', 'object/static/structure/general/shared_streetlamp_large_blue_style_01.iff', '0', '0.707106', '0', '0.707107', '218.101', '6', '-3065.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055361', '0', 'object/static/structure/general/shared_streetlamp_large_blue_style_01.iff', '0', '0.707107', '0', '0.707107', '219.028', '6', '-3031.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055363', '0', 'object/static/structure/general/shared_streetlamp_large_blue_style_01.iff', '0', '1', '0', '3.20013e-08', '251.362', '6', '-3020.59', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055364', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '321.857', '6', '-3093.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055369', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '232.366', '6', '-3099.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055370', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '247.463', '6', '-3099.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055371', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '202.797', '6', '-3082.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055372', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '183.101', '6', '-3068.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055374', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_02.iff', '0', '0', '0', '1', '221.247', '6', '-3092.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055375', '0', 'object/static/structure/general/shared_streetlamp_medium_blue_style_01.iff', '0', '0', '0', '1', '148.78', '6', '-3056.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055376', '0', 'object/static/structure/general/shared_streetlamp_medium_blue_style_01.iff', '0', '0.707106', '0', '0.707107', '150.707', '6', '-3073.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055377', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '120.154', '6', '-3073.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055379', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '120.543', '6', '-3010.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055380', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '135.951', '6', '-3005.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055382', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '115.744', '6', '-2978', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055383', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0.999991', '0', '0', '-0.00420357', '139.963', '11.9042', '-2959.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055385', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0.999942', '0', '0', '0.0107961', '139.228', '11.9266', '-2897.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055390', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '152.658', '6', '-2929.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055391', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '150.994', '6', '-2987.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055392', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '150.845', '6', '-3038.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055398', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '307.691', '6', '-3012.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055408', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '197.835', '6', '-2824.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055409', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '164.377', '6', '-2817.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055420', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '244.422', '6', '-2845.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055421', '0', 'object/static/structure/general/shared_streetlamp_medium_blue_style_01.iff', '0', '0', '0', '1', '250.636', '6', '-2868.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055422', '0', 'object/static/structure/general/shared_streetlamp_medium_blue_style_01.iff', '0', '0', '0', '1', '233.19', '6', '-2869.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055425', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '278.071', '6', '-2791.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055426', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '279.537', '6', '-2743.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055427', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '327.552', '6', '-2741.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055428', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '304.626', '6', '-2754.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055429', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '341.193', '6', '-2800', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055430', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '340.928', '6', '-2764.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055431', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '386.993', '6', '-2800', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055432', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '387.124', '6', '-2764.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055433', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '366.264', '6', '-2781.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055434', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '408.289', '6', '-2795.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055435', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '318.578', '6', '-2794.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055436', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '326.223', '6', '-2820.34', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055437', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '401.113', '6', '-2821.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055442', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '346.965', '6', '-2911.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055443', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '375.226', '6', '-2910.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055444', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '360.897', '6', '-2880.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055445', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '360.973', '6', '-2941.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055447', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '418.6', '6', '-2857.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055448', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '437.757', '6', '-2840.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055450', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '-0.707106', '0', '0.707107', '495.415', '6', '-2850.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055451', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '459.027', '6', '-2743.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055452', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '435.618', '6', '-2756.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055453', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '459.02', '6', '-2822.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055454', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '459.059', '6', '-2795.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055455', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '459.137', '6', '-2767.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055456', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '436.595', '6', '-2815.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055457', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '491.004', '6', '-2822.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055458', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '518.423', '6', '-2835.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055459', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '499.983', '6', '-2822.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055460', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '527.996', '6', '-2822.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055461', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '560.004', '6', '-2822.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055462', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '563.612', '6', '-2849.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055463', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '579.823', '6', '-2821.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055464', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '491.516', '6', '-2882.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055467', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '555.734', '6', '-2864.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055468', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '1', '0', '0', '-0.000796321', '529.739', '9.58586', '-2863.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055469', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '568.637', '6', '-2877.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055470', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '590.463', '6', '-2851.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055471', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '609.714', '6', '-2851.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055472', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '609.14', '6', '-2868.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055473', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '590.726', '6', '-2868.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055478', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '595.794', '6', '-2922', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055479', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '595.51', '6', '-2958.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055480', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '568.657', '6', '-2902.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055481', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '606.837', '6', '-2903.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055482', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '626.87', '6', '-2904.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055483', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '650.85', '6', '-2887.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055484', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '627.501', '6', '-2924.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055485', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '675.811', '6', '-2852.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055486', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '700.121', '6', '-2895.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055488', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '715.681', '6', '-2935.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055489', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '715.682', '6', '-2911.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055490', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '683.97', '6', '-2944.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055491', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '658.471', '6', '-2970.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055494', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '0.382683', '0', '0.92388', '686.164', '6.95343', '-2992.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055495', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '0.92388', '0', '0.382683', '685.963', '6.92919', '-3008.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055496', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '723.663', '6', '-3084.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055497', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '723.51', '6', '-3040.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055498', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0.923879', '-0.000304753', '-0.382683', '-0.000735757', '653.583', '10.0793', '-3076.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055499', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '659.497', '6', '-3029.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055500', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '684.884', '6', '-2968.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055501', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '684.739', '6', '-3031.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055502', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '637.879', '6', '-2984.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055503', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '635.912', '6', '-3003.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055504', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '637.742', '6', '-3019.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055505', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '626.262', '6', '-3036.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055506', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '625.984', '6.11881', '-2963.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055507', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '656.388', '6', '-2924.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055508', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '553.96', '6', '-3041.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055509', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '526.023', '6', '-3040.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055510', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '574.524', '6', '-3005.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055511', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '553.974', '6', '-3055.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055512', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '525.884', '6', '-3055.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055513', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '584.002', '4.86158', '-3090.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055514', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '600.009', '4.92482', '-3090.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055515', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '583.991', '4.82995', '-3107.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055516', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '600.009', '4.8932', '-3107', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055518', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '557.313', '6.54699', '-3180.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055519', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '522.876', '6.53759', '-3179.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055520', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '568.637', '6.56921', '-3150', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055521', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '511.487', '6.51939', '-3150.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055522', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '495.994', '4.95644', '-3107.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055523', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '479.983', '4.86158', '-3107', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055524', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '479.977', '4.79833', '-3090.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055525', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '496.003', '4.8932', '-3090.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055526', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '-0.707106', '0', '0.707108', '511.394', '6.56921', '-3099.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055527', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '0.707107', '0', '0.707107', '568.519', '6.55747', '-3098.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055528', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '629.304', '6', '-3105.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055529', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '602.493', '6', '-3193.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055531', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '483.121', '6', '-3026.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055532', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '503.75', '6', '-3046.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055533', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '415.989', '4.86158', '-3040.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055534', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '448.008', '4.82995', '-3040.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055535', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '448.012', '4.92718', '-2975.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055536', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '416.006', '4.80069', '-2976', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055537', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '1', '-0.000796429', '394.982', '11.0913', '-2995.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055542', '0', 'object/static/structure/general/shared_streetlamp_medium_blue_style_01.iff', '0', '-0.382683', '0', '0.92388', '451.381', '6', '-3123.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055543', '0', 'object/static/structure/general/shared_streetlamp_medium_blue_style_01.iff', '0', '-0.707106', '0', '0.707107', '470.865', '6', '-3127.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055549', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '354.983', '6', '-3178.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055550', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '393.728', '6', '-3178.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055551', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '425.523', '6', '-3210.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055553', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '506.334', '6', '-3215.66', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055554', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0.999899', '0', '0', '0.0142031', '479.864', '11.6605', '-2972.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055555', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '525.574', '6', '-2933.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055556', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '554.527', '6', '-2933.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055557', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '532.74', '8.45803', '-2918.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055558', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '547.186', '8.48344', '-2917.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055561', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '507.024', '6', '-2911.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055562', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0.999958', '0', '0', '0.00920346', '361.913', '11.0901', '-3022.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055565', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '1', '0', '3.20013e-08', '4375.78', '2', '5177.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055566', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '0', '0', '1', '4376.56', '2', '5150.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055568', '0', 'object/static/structure/general/shared_streetlamp_medium_blue_style_02.iff', '0', '0.976397', '0', '-0.215983', '4262.38', '4.46537', '5138.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055569', '0', 'object/static/structure/general/shared_streetlamp_medium_blue_style_02.iff', '0', '0.213347', '0', '0.976976', '4252.64', '4.47026', '5117.52', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055570', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '0.707106', '0', '0.707107', '4243.38', '2', '5153.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055571', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '-0.707106', '0', '0.707107', '4222.29', '2', '5151.52', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055573', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '-0.159318', '0', '0.987227', '4200.81', '2', '5137.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055574', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '0.382683', '0', '0.92388', '4165.68', '2', '5097.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055575', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '0.820964', '0', '-0.57098', '4179.15', '2', '5121.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055576', '0', 'object/static/structure/general/shared_streetlamp_medium_red_style_02.iff', '0', '0.396498', '0', '0.918036', '4072.22', '2', '5277.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055577', '0', 'object/static/structure/general/shared_streetlamp_medium_red_style_02.iff', '0', '0.989112', '0', '-0.147163', '4108.81', '2', '5282.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055578', '0', 'object/static/structure/general/shared_streetlamp_medium_red_style_02.iff', '0', '0.845818', '0', '-0.533471', '4122.79', '2', '5313.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055579', '0', 'object/static/structure/general/shared_streetlamp_medium_red_style_02.iff', '0', '0.533471', '0', '0.845818', '4117.26', '2', '5301.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055580', '0', 'object/static/structure/general/shared_streetlamp_medium_green_style_02.iff', '0', '1', '0', '-3.20013e-08', '4222.05', '2', '5338.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055581', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '0.999989', '0', '0.0046014', '4369.04', '2', '5289.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055582', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '0', '0', '1', '4372.15', '2', '5323.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055583', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '0.707107', '0', '0.707107', '4408.33', '2', '5313.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055584', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '1', '0', '-3.20013e-08', '4403.98', '2', '5283.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055585', '0', 'object/static/structure/general/shared_streetlamp_medium_blue_style_02.iff', '0', '1', '0', '-3.20013e-08', '4300.03', '9.9', '5367.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055586', '0', 'object/static/structure/general/shared_streetlamp_medium_blue_style_02.iff', '0', '0', '0', '1', '4308.14', '9.9', '5404.66', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055588', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '0.994493', '0', '0.104807', '4431.12', '2', '5456.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055589', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0.916041', '0.000319438', '0.401083', '-0.000729419', '4425.9', '7.09717', '5429.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055590', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '0.876285', '0', '0.481793', '4456.55', '2.00994', '5475.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055591', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_02.iff', '0', '0', '0', '1', '4537.41', '2', '5454.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055592', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '-0.707106', '0', '0.707107', '4572.53', '2', '5451.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055593', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '0.707107', '0', '0.707107', '4362.31', '2.65294', '5373.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055594', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0.923871', '0.00160866', '0.38268', '-0.00388366', '4450.88', '7.90273', '5212.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055595', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0.978492', '0.00316536', '0.206205', '-0.00485568', '4445.84', '11.4272', '5246.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055596', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0.841894', '-0.00226843', '-0.539627', '-0.00353899', '4430.89', '11.4381', '5252.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055597', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0.977989', '0.00191857', '0.208451', '0.00900137', '4436.53', '11.4415', '5267.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055598', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0.98005', '-0.00115157', '0.198666', '-0.00568085', '4451.5', '11.4291', '5261.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055599', '0', 'object/static/structure/general/shared_streetlamp_medium_red_style_02.iff', '0', '0.877392', '0', '-0.479775', '4558.37', '2', '5336.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055600', '0', 'object/static/structure/general/shared_streetlamp_medium_red_style_02.iff', '0', '-0.707106', '0', '0.707107', '4561.33', '2', '5303.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055601', '0', 'object/static/structure/general/shared_streetlamp_medium_blue_style_02.iff', '0', '0', '0', '1', '4517.79', '2', '5260.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055602', '0', 'object/static/structure/general/shared_streetlamp_medium_blue_style_02.iff', '0', '0.617372', '0', '0.786671', '4468.01', '2', '5181.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6055603', '0', 'object/static/structure/general/shared_streetlamp_medium_blue_style_02.iff', '0', '-0.169182', '0', '0.985585', '4532.28', '2', '5109.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6075870', '0', 'object/building/general/shared_talus_binyare_bunker.iff', '0', '-0.707103', '0', '0.70711', '5583.79', '102', '-4080.01', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '6075871', '6075870', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '6075872', '6075870', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '6075873', '6075870', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '6075874', '6075870', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '6075875', '6075870', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '8095603', '6075875', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0', '0', '1', '6.25874', '-6.75158', '-10.3713', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6075876', '6075870', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '6075877', '6075870', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '178364', '6075877', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '-0.707106', '0', '0.707107', '0.0912908', '-13.7499', '1.28479', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6075878', '6075870', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '8095744', '6075878', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0', '0', '1', '6.44687', '-13.7584', '9.11993', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6075879', '6075870', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '3795397', '6075879', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_neutral_assassination_01.iff', '0', '0.707106', '0', '0.707107', '12.9835', '-13.7584', '14.3034', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '8095745', '6075879', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0.710353', '0', '-0.703845', '18.1858', '-13.7584', '-0.508322', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6075880', '6075870', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '8095746', '6075880', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0', '0', '1', '10.5856', '-11.5', '-21.6118', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6075881', '0', 'object/static/installation/shared_mockup_power_generator_fusion_style_1.iff', '0', '0', '0', '1', '5598.79', '102', '-4080.01', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '6075882', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.707102', '0', '0.707111', '5602.79', '100.152', '-4088.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '6075883', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.707102', '0', '0.707111', '5602.79', '100.152', '-4072.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '6075884', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.707107', '0', '0.707107', '5593.79', '102', '-4080.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '6075885', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '0', '0', '1', '5586.79', '100.152', '-4096.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '6075886', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff', '0', '0', '0', '1', '5586.79', '100.152', '-4064.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '6075887', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '-0.382683', '0', '0.92388', '5564.79', '100.152', '-4070.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '6075888', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.382683', '0', '0.92388', '5564.79', '100.152', '-4090.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '6075889', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s01.iff', '0', '0.707107', '0', '0.707107', '5558.79', '102', '-4080.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '6075890', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '5602.79', '100.152', '-4064.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '6075891', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '5602.76', '100.152', '-4096.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '6075892', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.560834', '0', '0.827928', '5570.91', '100.152', '-4064.25', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '6075893', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.830719', '0', '0.556692', '5570.89', '100.152', '-4095.77', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '6075894', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.926798', '0', '-0.375559', '5558.79', '100.152', '-4076.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '6075895', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.932327', '0', '0.361615', '5558.79', '100.152', '-4084.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '6075896', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '5602.79', '100.152', '-4080.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '6075897', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '5593.79', '102', '-4072.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '6075898', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0', '0', '1', '5593.79', '102', '-4088.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '6255356', '0', 'object/static/structure/general/shared_streetlamp_large_blue_style_01.iff', '0', '0.707108', '0', '0.707105', '337.89', '6', '-3051.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6255357', '0', 'object/static/structure/general/shared_streetlamp_large_blue_style_01.iff', '0', '0.707108', '0', '0.707105', '337.822', '6', '-3060.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6255359', '0', 'object/static/structure/general/shared_streetlamp_large_green_style_02.iff', '0', '-0.707106', '0', '0.707107', '389.061', '6', '-2944.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6255365', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '-0.707107', '0', '0.707107', '492.151', '6', '-2934.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6255390', '0', 'object/tangible/crafting/station/shared_droid_repair.iff', '0', '-0.707106', '0', '0.707107', '562.677', '6', '-2855.42', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6255391', '0', 'object/tangible/crafting/station/shared_weapon_station.iff', '0', '0.707106', '0', '0.707107', '563.392', '6', '-2850.94', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6255392', '6255391', 'object/tangible/hopper/shared_crafting_station_ingredient_hopper_1.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '6255421', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0', '0', '1', '720.096', '6', '-3037.58', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6255423', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '0', '0', '0', '1', '720.111', '6', '-3037.55', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6255424', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '0', '0', '0', '1', '720.294', '6', '-3042.73', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6255425', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0', '0', '1', '720.278', '6', '-3042.76', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6255426', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.924606', '0', '-0.380925', '720.99', '6', '-3036.63', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6255427', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.895699', '0', '0.444662', '718.725', '6', '-3036.44', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6255428', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '-0.247404', '0', '0.968912', '720.45', '6', '-3038.79', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6255429', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.319309', '0', '0.947651', '718.745', '6', '-3038.68', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6255430', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.991458', '0', '-0.130424', '720.815', '6', '-3041.4', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6255431', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.741296', '0', '-0.671178', '721.772', '6', '-3042.7', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6255432', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '-0.174108', '0', '0.984727', '720.85', '6', '-3044.44', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6255433', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.628793', '0', '0.777573', '718.992', '6', '-3043', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6255435', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.707106', '0', '0.707107', '715.245', '6', '-3048.91', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6255461', '0', 'object/tangible/terminal/shared_terminal_mission_imperial.iff', '0', '1', '0', '0', '241.911', '6', '-3069.99', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6255464', '0', 'object/building/corellia/shared_capitol_corellia.iff', '0', '-0.00499998', '0', '0.999987', '685.653', '5.90845', '-3174.82', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '6255465', '6255464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '6255466', '6255464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '6255467', '6255464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '6255468', '6255464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '6255469', '6255464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '6255470', '6255464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '6255471', '6255464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '6255472', '6255464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '6255473', '6255464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '6255474', '6255464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '6255475', '6255464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '1500442', '6255475', 'object/tangible/terminal/shared_terminal_mission_rebel.iff', '0', '0.707106', '0', '0.707107', '14.1451', '3.22324', '-33.4964', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '1500444', '6255475', 'object/tangible/terminal/shared_terminal_mission_rebel.iff', '0', '0.707106', '0', '0.707107', '14.1482', '3.22324', '-35.6428', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415590', '0', 'object/static/structure/general/shared_atat_destroyed.iff', '0', '-0.501213', '0', '0.865324', '-2403.83', '38', '3662.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415591', '0', 'object/static/particle/shared_particle_smoke.iff', '0', '0', '0', '1', '-2408.24', '38', '3668.2', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415592', '0', 'object/static/particle/shared_particle_smoke.iff', '0', '0', '0', '1', '-2400.91', '38', '3659.12', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415593', '0', 'object/static/vehicle/shared_static_tie_bomber.iff', '-0.114747', '0', '0', '0.993395', '-2452.34', '38.888', '3853.05', '256', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415594', '0', 'object/static/particle/shared_pt_campfire_s01.iff', '0', '0', '0', '1', '-2453.95', '42.7236', '3853.04', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415595', '0', 'object/static/particle/shared_pt_lair_med_burn.iff', '0', '0', '0', '1', '-2450.96', '43.1569', '3852.52', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415597', '0', 'object/static/vehicle/shared_static_tie_bomber.iff', '0.888558', '-0.418641', '-0.158788', '0.0999564', '-2581.95', '31.1942', '3834.5', '256', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415607', '0', 'object/static/particle/shared_pt_sparks_large.iff', '0', '0', '0', '1', '-2584.22', '30.4367', '3837.72', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415608', '0', 'object/static/particle/shared_pt_sparks_small.iff', '0', '0', '0', '1', '-2581.98', '28.8563', '3836.52', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415609', '0', 'object/static/particle/shared_pt_smoke.iff', '0', '0', '0', '1', '-2587.34', '28.4242', '3833.51', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415610', '0', 'object/static/particle/shared_pt_smoke_large.iff', '0', '0', '0', '1', '-2581.49', '28.6907', '3835.81', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415612', '0', 'object/static/particle/shared_pt_burning_smokeandembers_large.iff', '0', '0', '0', '1', '-2582.71', '29.2376', '3833.07', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415613', '0', 'object/static/structure/general/shared_debris_deathstar_small_tube.iff', '0', '0.213347', '0', '0.976976', '-2586.72', '24.8372', '3831.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415618', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0', '-0.552199', '0.833712', '-2589.25', '27.5063', '3832.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415622', '0', 'object/static/structure/general/shared_atst_debris_01.iff', '0', '0.223106', '0', '0.974794', '-2548.56', '38.0193', '3716.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415623', '0', 'object/static/structure/general/shared_atst_destroyed.iff', '0.0337605', '0.0818602', '-0.669838', '0.737209', '-2546.06', '38.8095', '3721.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415629', '0', 'object/static/particle/shared_pt_lair_med_damage.iff', '0', '0', '0', '1', '-2545.25', '37.9679', '3721.51', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415635', '0', 'object/soundobject/shared_soundobject_fire_roaring.iff', '0', '0', '0', '1', '-2586.72', '27.3445', '3833.49', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415636', '0', 'object/soundobject/shared_soundobject_sparks.iff', '0', '0', '0', '1', '-2584.13', '27.0035', '3838.73', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415637', '0', 'object/soundobject/shared_soundobject_fire_roaring.iff', '0', '0', '0', '1', '-2452.01', '39.3888', '3854.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415641', '0', 'object/static/structure/general/shared_atat_debris_02.iff', '0.0748721', '0.00293676', '0.996423', '0.0390834', '-2410.37', '38.2632', '3678.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415642', '0', 'object/static/structure/general/shared_atat_debris_01.iff', '0', '0.798621', '0', '-0.601835', '-2402.69', '38', '3675.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415643', '0', 'object/static/particle/shared_pt_sparks_large.iff', '0', '0', '0', '1', '-2406.55', '38', '3671.51', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415644', '0', 'object/soundobject/shared_soundobject_sparks.iff', '0', '0', '0', '1', '-2405.55', '38', '3671.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415742', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0.707106', '0', '0.707107', '329.481', '6', '-2945.79', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415744', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0.717633', '0', '0.696421', '329.228', '6', '-2923.27', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415746', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0.717633', '0', '0.696421', '329.43', '6', '-2918.58', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415748', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s02.iff', '0', '0', '0', '1', '142.004', '6', '-2809.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415749', '0', 'object/static/structure/corellia/shared_corl_power_arial_thin.iff', '0', '0', '0', '1', '142.004', '6', '-2809.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415750', '0', 'object/static/structure/corellia/shared_corl_power_connector.iff', '0', '1', '0', '-0.000796365', '182.81', '9.4212', '-2806.86', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415751', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '-0.706545', '0', '0.707668', '185.954', '6', '-2806.69', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415752', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0.707107', '0', '0.707107', '140.34', '6', '-2905.62', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415754', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0.707106', '0', '0.707107', '140.65', '6', '-2951.1', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415756', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0.707106', '0', '0.707107', '184.527', '6', '-3059.27', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415758', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '1', '0', '3.20013e-08', '270.352', '6', '-3070.54', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415760', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '1', '0', '3.20013e-08', '267.957', '6', '-3070.33', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415762', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '1', '0', '3.20013e-08', '239.604', '6', '-3069.84', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415764', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '1', '0', '3.20013e-08', '237.463', '6', '-3069.92', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415766', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0.707106', '0', '0.707107', '377.138', '6', '-3069.17', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415768', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0.707106', '0', '0.707107', '377.357', '6', '-3042.9', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415770', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '1', '0', '3.20013e-08', '463.653', '6', '-3224.4', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415772', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '1', '0', '3.20013e-08', '472.268', '6', '-3224.32', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415774', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0.999991', '0', '0.00420362', '539.876', '6.46534', '-3168.63', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415776', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0.734548', '0', '-0.678557', '511.79', '6.59334', '-3092.81', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415778', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0.707106', '0', '0.707107', '567.789', '6.57259', '-3099.5', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415780', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '-0.394019', '0', '0.919102', '600.347', '8.41269', '-3041.73', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415782', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '1', '0', '3.20013e-08', '547.429', '6', '-3020.32', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415784', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0', '0', '1', '533.215', '6', '-2959.37', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415786', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '1', '0', '3.20013e-08', '527.653', '6', '-2932.35', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415788', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '1', '0', '3.20013e-08', '715.078', '6', '-3025.33', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415789', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '1', '0', '3.20013e-08', '706.866', '6', '-3025.34', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415790', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0.965301', '0', '0.261141', '683.792', '6.92524', '-3009.51', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415792', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0.232843', '0', '0.972514', '683.473', '6.88146', '-2990.92', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415794', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '1', '0', '3.20013e-08', '711.023', '6', '-3025.05', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415796', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0', '0', '1', '715.188', '6', '-2974.95', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415797', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0', '0', '1', '711.032', '6', '-2975.24', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415799', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0', '0', '1', '706.976', '6', '-2974.96', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415805', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0.984588', '0', '-0.174892', '4508.32', '2', '5462.99', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415807', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0.984588', '0', '-0.174892', '4515.5', '2', '5460.39', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415809', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0.987888', '0', '-0.155167', '4441.98', '2', '5288.54', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415811', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0.987888', '0', '-0.155167', '4437.97', '2', '5289.83', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415813', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0.987888', '0', '-0.155167', '4467.88', '2', '5279.66', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415815', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '-0.539632', '0', '0.841901', '4487.38', '4.49896', '5212.46', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415817', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0', '0', '1', '4532.45', '2', '5040.18', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415819', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0.707107', '0', '0.707107', '4330.28', '2', '5302.01', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415821', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0.707107', '0', '0.707107', '4318.22', '12.3686', '5390.26', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415823', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '-0.703279', '0', '0.710914', '4235.47', '2', '5298.1', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415825', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '1', '0', '-3.20013e-08', '4181.43', '2', '5303.1', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415827', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0.288537', '0', '0.957469', '4041.72', '2', '5213.36', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415829', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0.670587', '0', '0.741831', '4154.84', '2', '5129.71', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415831', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '-0.535416', '0', '0.844589', '4258.28', '2', '5143.09', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415833', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '-0.535416', '0', '0.844589', '4246.16', '2', '5117.56', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415835', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0.203567', '0', '0.979061', '4352.73', '2.94363', '5174.26', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415837', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0.964884', '0', '0.262678', '4352.95', '2.97659', '5156.7', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6415839', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '-0.366273', '0', '0.930508', '4388.57', '2', '5022.96', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6535834', '0', 'object/tangible/jedi/shared_force_shrine_stone.iff', '0', '0.707107', '0', '0.707107', '-5785.94', '225.334', '4475.12', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6535835', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0.707097', '0', '0.707116', '-5790.36', '227.213', '4473.53', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '6535836', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0', '0', '1', '-5781.68', '227.207', '4473.56', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '6535837', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '1', '0', '0', '-5786.91', '227.227', '4473.52', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '6535838', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '0', '0', '1', '-5785.12', '227.215', '4473.47', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '6535839', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_altar.iff', '0', '0', '0', '1', '-5786', '209.273', '4473.53', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '6535840', '0', 'object/static/particle/shared_pt_poi_electricity_2x2.iff', '0', '0', '0', '1', '-5785.94', '226.968', '4475.12', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '6535841', '0', 'object/tangible/jedi/shared_force_shrine_stone.iff', '0', '0.707107', '0', '0.707107', '-5494.2', '105.39', '-3242.77', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6535842', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0.707099', '0', '0.707114', '-5498.62', '106.297', '-3244.37', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '6535843', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0', '0', '1', '-5489.94', '106.268', '-3244.33', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '6535844', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '1', '0', '0', '-5495.17', '106.255', '-3244.38', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '6535845', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '0', '0', '1', '-5493.37', '106.254', '-3244.43', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '6535846', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_altar.iff', '0', '0', '0', '1', '-5494.26', '88.3015', '-3244.37', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '6535847', '0', 'object/static/particle/shared_pt_poi_electricity_2x2.iff', '0', '0', '0', '1', '-5494.2', '106.259', '-3242.77', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '6535869', '0', 'object/tangible/jedi/shared_force_shrine_stone.iff', '0', '0.707107', '0', '0.707107', '318.107', '13.6759', '5839.76', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6535870', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0.7071', '0', '0.707113', '313.685', '14.8805', '5838.17', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '6535871', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0', '0', '1', '322.369', '14.9023', '5838.2', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '6535872', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '1', '0', '0', '317.139', '14.8853', '5838.15', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '6535873', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '0', '0', '1', '318.932', '14.8752', '5838.11', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '6535874', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_altar.iff', '0', '0', '0', '1', '318.048', '-3.06836', '5838.17', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '6535875', '0', 'object/static/particle/shared_pt_poi_electricity_2x2.iff', '0', '0', '0', '1', '318.11', '14.9759', '5839.76', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '6725369', '0', 'object/static/vehicle/e3/shared_landspeeder.iff', '0', '0.706825', '0', '0.707389', '5586.79', '102.253', '-4069.33', '256', '1');
INSERT INTO `staticobjects` VALUES ('7', '6725373', '0', 'object/static/particle/shared_pt_smoke_small.iff', '0', '0', '-0.483807', '0.875175', '5589.73', '103.663', '-4069.34', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '6725374', '0', 'object/tangible/furniture/all/shared_frn_all_toolchest_lg_s01.iff', '0', '0', '0', '1', '5584.56', '102', '-4073.55', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '6725375', '0', 'object/static/structure/general/shared_prp_engine.iff', '0', '0.789504', '0', '-0.613746', '5583.13', '102', '-4073.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6725376', '0', 'object/static/creature/shared_droids_r5.iff', '0', '-0.0115925', '0', '0.999933', '5586.3', '102', '-4067.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6725377', '0', 'object/static/particle/shared_pt_poi_droid_weld_sparks.iff', '0.0123417', '0.804661', '-0.59337', '0.0167364', '5586.32', '102.831', '-4067.5', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '6725382', '0', 'object/static/structure/corellia/shared_corl_power_arial_prime.iff', '0', '0', '0', '1', '5590.76', '102', '-4085.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '6725383', '0', 'object/static/particle/shared_pt_light_blink_orange.iff', '0', '0', '0', '1', '5590.67', '116.159', '-4085.28', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '6725384', '0', 'object/static/structure/corellia/shared_corl_tent_small.iff', '0', '0', '0', '1', '5587.67', '102', '-4090.99', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '6725385', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0', '0', '1', '5583.4', '102', '-4091.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6725392', '0', 'object/static/item/shared_item_tool_turbine_generator.iff', '0', '-0.70441', '0', '0.709793', '5584.52', '102', '-4086.41', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '6725393', '0', 'object/static/item/shared_item_container_inorganic_chemicals.iff', '0', '0.707106', '0', '0.707107', '5582.93', '102', '-4086.36', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '6725394', '0', 'object/static/item/shared_item_container_organic_structure.iff', '0', '0', '0', '1', '5588.82', '102', '-4089.96', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '6725395', '0', 'object/static/item/shared_item_container_organic_structure.iff', '0', '-0.0349929', '0', '0.999388', '5588.78', '102', '-4090.7', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '6725396', '0', 'object/static/item/shared_item_container_electronics.iff', '0', '0.727726', '0', '0.685869', '5588.32', '102', '-4091.95', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '6725398', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '5587.79', '102', '-4090.48', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '6725399', '0', 'object/static/structure/general/shared_camp_lawn_chair_s01.iff', '0', '-0.613117', '0', '0.789992', '5586.64', '102', '-4091.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6725405', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0', '0', '1', '5571.33', '102', '-4074.75', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '6725406', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '5571.58', '102', '-4075.89', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '6725407', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '5571.13', '102', '-4075.87', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '6725408', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '5571.28', '102', '-4076.2', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '6725410', '0', 'object/static/item/shared_wp_mle_2h_sword_axe_s01.iff', '0', '0', '-0.203567', '0.979061', '5571.62', '102.215', '-4076.58', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '6725421', '0', 'object/static/structure/talus/shared_talus_imprv_flagpole_s01.iff', '0', '0', '0', '1', '5593.8', '102.869', '-4071.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6725422', '0', 'object/static/structure/talus/shared_talus_imprv_flagpole_s01.iff', '0', '0', '0', '1', '5593.86', '102.905', '-4087.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '6725423', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '5571.43', '102', '-4084.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '6725424', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '5571.35', '102', '-4085.84', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '6725425', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '5571.42', '102', '-4084.09', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '6725426', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.640385', '0', '0.768054', '5571.43', '102.885', '-4084.51', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '6995382', '0', 'object/static/structure/talus/shared_talus_imprv_flagpole_s01.iff', '0', '0', '0', '1', '700.25', '6', '-3110.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365395', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2207.44', '20', '2342.58', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365397', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2162.21', '20', '2340.64', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365399', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2128.79', '20', '2300.77', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365401', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2155.39', '20', '2257.55', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365403', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2173.22', '20', '2265.41', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365405', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2176.04', '20', '2275.42', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365407', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2183.78', '20', '2239.2', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365409', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2213.24', '20', '2255.67', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365411', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2230.85', '20', '2275.22', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365413', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2239.35', '20', '2289.2', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365415', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2241.01', '20', '2319.71', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365417', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2240.46', '20', '2333.95', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365419', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2224.35', '20', '2343.85', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365421', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2202.93', '20', '2373.03', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365423', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2165.25', '20', '2373.35', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365425', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2257.59', '20', '2322.11', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365427', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2237.96', '20', '2354.41', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365429', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2256.99', '20', '2282.82', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365431', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2238.62', '20', '2250.37', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365433', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2203.99', '20', '2231.7', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365435', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2164.47', '20', '2232.32', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365437', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2130.75', '20', '2249.25', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365439', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2111.33', '20', '2282.93', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365441', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2092.34', '20', '2248.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365443', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2185.18', '20', '2405.09', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365445', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2082.93', '20', '2380.77', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365447', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2288.84', '20.0012', '2372.51', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365449', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2274', '20', '2251.63', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365451', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2176.9', '20', '2177.97', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365453', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.70682', '0', '0.707393', '-2233.67', '12.0792', '2134.25', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365455', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706822', '0', '0.707391', '-2178.54', '16.2902', '2139.86', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365457', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706823', '0', '0.70739', '-2203.23', '15.8263', '2142.13', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365459', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2142.37', '16.7767', '2139.73', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365461', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2105.16', '17.9571', '2147.14', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365463', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2077.45', '20.2891', '2173.38', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365465', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2063.48', '20.3619', '2199.58', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365467', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706823', '0', '0.70739', '-2056.9', '20.2499', '2225.65', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365469', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2040.43', '20.6399', '2252.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365471', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2017.74', '24.5312', '2279.99', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365473', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706822', '0', '0.707391', '-2018.87', '19.9515', '2318.24', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365475', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2034.66', '20.4617', '2356.69', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365477', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2049.13', '21.1395', '2381.86', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365479', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2024.55', '20.4555', '2339.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365481', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706822', '0', '0.707391', '-2067.71', '42.4706', '2424.43', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365483', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2058.76', '27.965', '2406.58', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365485', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2097.26', '29.6813', '2437.59', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365487', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2139.17', '32.9341', '2459.86', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365489', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2115.15', '37.2204', '2454.96', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365491', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2182.44', '23.7022', '2451.22', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365493', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2161.23', '29.5795', '2458.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365495', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2223.9', '26.3701', '2449.58', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365497', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2204.91', '23.6935', '2449.28', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365499', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2282.45', '32.5316', '2435.76', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365501', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2254.87', '32.6415', '2444.27', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365503', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2307.67', '20.6952', '2395.64', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365505', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2299.51', '24.633', '2420.36', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365507', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2339.62', '18.4517', '2348.48', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365509', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2329.97', '17.4953', '2378.67', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365511', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2360.26', '14.2083', '2292.79', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365513', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2350.57', '21.0625', '2320.01', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365515', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2330.84', '16.5037', '2249.74', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365517', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2352.38', '12.5036', '2267.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365519', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2316.23', '16.5713', '2219.16', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365521', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2291.2', '10.906', '2169.34', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365523', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2309.67', '12.7594', '2193.24', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365525', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2262.59', '7.6401', '2141.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365527', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2281.06', '6.64305', '2150.43', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365529', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2355.14', '6.79097', '2230.66', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365531', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2337.61', '3.72085', '2191.71', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365533', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2345.3', '6.10013', '2210.66', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365535', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2318.87', '1.882', '2166.9', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365537', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2289.61', '1.17209', '2135.55', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365539', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2304.44', '1.68442', '2150.5', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365541', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2261.84', '0.951764', '2120.75', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365543', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2228.46', '2.74148', '2108.3', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365545', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2197.52', '5.55512', '2108.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365547', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2152.16', '7.67356', '2108.3', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365549', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2170.2', '6.97863', '2108.11', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365551', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2108.89', '9.83297', '2115.34', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365553', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2128.57', '8.95337', '2112.85', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365555', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2076.22', '16.048', '2136.12', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365557', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2047.33', '20.1825', '2163.54', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365559', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2034.22', '21.5607', '2180.54', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365561', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2027.88', '22.4634', '2196.44', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365563', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2011.41', '24.0513', '2222.22', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365565', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-1991.42', '29.7355', '2253.12', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365567', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2024.11', '22.5922', '2237.2', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365569', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-1985.51', '32.87', '2289.35', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365571', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-1989.68', '31.4443', '2316.76', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365573', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-1996.96', '22.0511', '2348.23', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365575', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2010.93', '23.3238', '2392.07', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365577', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2002.61', '20.9908', '2371.42', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365579', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2035.6', '38.0206', '2424.23', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365581', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2021.17', '28.0427', '2410.47', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365583', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2060.9', '59.93', '2444.25', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365585', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2040.96', '50.8731', '2442.2', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365587', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2077.53', '63.0556', '2458.29', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365589', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2100.3', '60.7373', '2465.89', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365591', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2127.7', '58.0469', '2475.65', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365593', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2152.56', '54.3625', '2476.11', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365595', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2170.5', '54.7275', '2477.32', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365597', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2191.64', '49.2349', '2474.66', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365599', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2224.43', '51.47', '2470.64', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365601', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2255.88', '56.8656', '2467.77', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365603', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2283.63', '44.1307', '2457.98', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365605', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2316.67', '26.9874', '2434.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365607', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2299.59', '41.1787', '2451.79', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365609', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2338.85', '17.3892', '2404.8', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365611', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2369.43', '14.7065', '2366.62', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365613', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2355.71', '13.4781', '2389.22', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365615', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2383.68', '15.0003', '2326.02', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365617', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2384.74', '17.0246', '2348.51', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365619', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2375.35', '9.23056', '2283.6', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365621', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2378.64', '12.3531', '2308.03', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7365623', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.706824', '0', '0.707389', '-2368.11', '7.27159', '2252.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7615354', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '-0.0262915', '0.728014', '-0.138195', '-0.670974', '-5997.64', '22.9938', '5957.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '7615357', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0.00234013', '-0.477295', '0.0582037', '0.87681', '-5994.63', '23.8506', '5955.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '7615358', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0.0734514', '-0.0495897', '0.100741', '0.990958', '-5991.96', '23.3373', '5951.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '7615359', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '0.0643565', '0.909712', '0.140326', '0.385474', '-5995.52', '26.3074', '5946.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '7615360', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '-0.0640355', '0.990208', '-0.1199', '-0.0318147', '-6000.94', '22.2388', '5956.52', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '7615370', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '-5998.07', '23.1249', '5952.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '7615397', '0', 'object/static/structure/general/shared_campfire_ash.iff', '0.217057', '0.779787', '-0.277518', '-0.517496', '-5926.75', '25.7377', '5654.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '7615399', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_head_style_01.iff', '-0.0124399', '0.960371', '0.272413', '0.0576485', '-5926.81', '24.3765', '5655.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '7615402', '0', 'object/static/particle/shared_particle_smoke.iff', '0', '0', '0', '1', '-5926.67', '25.7479', '5654.17', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '7735377', '0', 'object/static/item/shared_item_container_inorganic_chemicals.iff', '0', '0', '0', '1', '329.271', '6', '-2938.64', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7735378', '0', 'object/static/item/shared_item_container_inorganic_chemicals.iff', '0', '-0.576959', '0', '0.816773', '329.663', '6', '-2937.68', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7735382', '0', 'object/static/item/shared_item_container_energy_radioactive.iff', '0', '0', '0', '1', '330.175', '6', '-2938.86', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7735384', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '-0.34759', '0', '0.937646', '357.342', '6', '-2876.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '7735387', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.342898', '0', '0.939373', '349.706', '6', '-2877.38', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7735390', '0', 'object/static/structure/dantooine/shared_dant_fire_pit.iff', '0', '0.862404', '0', '0.50622', '697.244', '6', '-2910.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '7735393', '0', 'object/tangible/camp/shared_camp_spit.iff', '0', '0.384808', '0', '0.922997', '698.014', '6', '-2912.4', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '7735394', '0', 'object/tangible/camp/shared_camp_lawn_chair.iff', '0', '0.859862', '0', '-0.510526', '699.461', '6', '-2909.7', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '7735395', '0', 'object/tangible/camp/shared_camp_lawn_chair.iff', '0', '0.968715', '0', '0.248176', '696.313', '6', '-2908.51', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '7805360', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.338197', '0', '0.941075', '-5477.53', '40.841', '5813.31', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '7805361', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.636538', '0', '0.771246', '-5479.56', '40.784', '5812.16', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '7805362', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.992297', '0', '-0.123884', '-5479.19', '40.8134', '5811.28', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '7805363', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.261909', '0', '0.965093', '-5478.77', '40.8244', '5813.33', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '7805364', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.975724', '0', '0.219004', '-5477.97', '40.8744', '5811.45', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '7805366', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.814341', '0', '0.580387', '-5477.38', '40.8932', '5812.21', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '7805367', '0', 'object/static/flora/shared_flora_decd_scorched_tallbirch.iff', '0', '0', '0', '1', '-5478.25', '39.3038', '5812.28', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '7805368', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '-0.237703', '0', '0.971338', '-5675.96', '7.85342', '5292.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '7805370', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0.706825', '0', '0.707388', '-5677.15', '7.80079', '5289.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '7805371', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '-0.29074', '0', '0.956802', '-5674.92', '7.77905', '5286', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '7805372', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.223426', '-0.228121', '0.663086', '-0.677022', '-5671.3', '7.20299', '5285.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '7805373', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '-0.13459', '0', '0.990901', '-5668.68', '7.03615', '5288.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '7805374', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.197591', '-0.156798', '0.757997', '-0.601509', '-5669.32', '7.09002', '5292.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '7805375', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0', '0', '1', '-5672.3', '7.47397', '5293.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '7805378', '0', 'object/static/structure/general/shared_tie_bomber_debris_01.iff', '0.0142381', '0.935102', '-0.203069', '-0.290077', '-5281.48', '53.4631', '5058.35', '256', '1');
INSERT INTO `staticobjects` VALUES ('7', '7805396', '0', 'object/static/structure/general/shared_tato_cave_stalactite_small.iff', '0.293737', '0.424781', '-0.199388', '0.832781', '-5210.7', '58.6628', '4604.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '7805397', '0', 'object/static/structure/general/shared_tato_cave_stalactite_small.iff', '0.056712', '-0.247389', '-0.233785', '0.938577', '-5216.84', '62.1631', '4599.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '7805399', '0', 'object/static/terrain/corellia/shared_rock_crystal_agrilat_arch_small.iff', '0', '-0.342898', '0', '0.939373', '-5221.65', '40.5476', '4595.89', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '7805400', '0', 'object/static/structure/general/shared_tato_cave_stalactite_small.iff', '-0.14539', '0.956266', '-0.0428519', '0.250161', '-5225.34', '62.2248', '4592.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '7805401', '0', 'object/static/structure/general/shared_tato_cave_stalactite_small.iff', '-0.305077', '0.917884', '-0.0845571', '0.239305', '-5232.37', '58.3326', '4587.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '7805426', '0', 'object/static/structure/general/shared_skeleton_bith_head.iff', '0', '-0.416871', '0', '0.908966', '-4991.05', '41.8061', '5751.91', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '7805427', '0', 'object/static/structure/general/shared_skeleton_bith_headandbody.iff', '0.00252609', '-0.588489', '-0.0116534', '0.808417', '-4988.04', '41.9431', '5753.66', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '7805428', '0', 'object/static/structure/general/shared_skeleton_human_body.iff', '0.00829863', '-0.0244897', '-0.00814056', '0.999632', '-4988.03', '41.9182', '5755.1', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '7805429', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.734548', '0', '-0.678557', '-4991.8', '41.6827', '5752.77', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '7805430', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0.0171134', '0.998659', '-0.0338773', '0.0352153', '-4986.95', '41.9393', '5752.09', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '7805431', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '-0.0298094', '0.967236', '-0.0555159', '-0.245933', '-4983.09', '44.3314', '5746.47', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '7805432', '0', 'object/static/structure/general/shared_skeleton_ithorian_head.iff', '-0.0132053', '0.526406', '-0.0335534', '0.849469', '-4984.27', '42.0078', '5754.87', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '7805433', '0', 'object/static/structure/general/shared_skeleton_ithorian_headandbody.iff', '0.0493176', '-0.660145', '0.0339837', '0.748746', '-4984.1', '42.0346', '5756.5', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '7805434', '0', 'object/static/structure/general/shared_skeleton_ithorian_head.iff', '-0.00756215', '0.807449', '0.0132192', '0.58974', '-4982.11', '44.4407', '5746.29', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '7805435', '0', 'object/static/structure/general/shared_skeleton_bith_head.iff', '-0.0430383', '0.527249', '-0.0173957', '0.848442', '-4979.95', '42.2289', '5753.88', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '7805436', '0', 'object/static/structure/general/shared_skeleton_human_body.iff', '-0.0273495', '-0.233069', '0.0147392', '0.971964', '-4979.82', '42.305', '5755.05', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '7805437', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '-0.271479', '0.754554', '0.0442968', '0.595807', '-4974.83', '42.908', '5752.14', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '7805438', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '-0.0124171', '0.962557', '0.0041057', '-0.270765', '-4981.26', '44.471', '5745.49', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '7805439', '0', 'object/static/structure/general/shared_skeleton_bith_head.iff', '0.0052564', '0.157773', '0.0118189', '0.987391', '-4980.36', '44.4707', '5746.87', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '7805440', '0', 'object/static/structure/general/shared_skeleton_human_body.iff', '-0.00241354', '0.375664', '0.0216061', '0.926501', '-4990.1', '41.9586', '5754.46', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '7805441', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0.0145109', '-0.0753425', '-0.0185335', '0.99688', '-4987.09', '41.8359', '5757.1', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '7805453', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '-0.280924', '0.757167', '0.589068', '-0.0278882', '-4980.18', '42.2481', '5754.31', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7805454', '0', 'object/static/item/shared_item_container_energy_radioactive.iff', '0', '0', '0', '1', '-4979.61', '42.1207', '5752.65', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7805464', '0', 'object/static/structure/general/shared_droid_probedroid_powerdown.iff', '0.0202299', '0.935222', '0.0942635', '0.340684', '-4802.71', '14.8169', '5165.04', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '7805466', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0', '0', '0', '1', '-4802.74', '14.3719', '5165.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '7805472', '0', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff', '0', '-0.305059', '0', '0.952334', '-4594.59', '37.2679', '5707.92', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '7805491', '0', 'object/static/structure/naboo/shared_obelisk_naboo_theed_style_2.iff', '0', '0', '0', '1', '-5100.21', '22.5549', '4721.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '7805493', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0.717356', '0', '-0.696707', '-5100.26', '39.7168', '4724.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '7805494', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '-0.475032', '0', '0.879969', '-5098.44', '40.4468', '4724.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '7805495', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '-0.384808', '0', '0.922997', '-5097.7', '40.9205', '4722.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '7805496', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0.632673', '0', '0.774419', '-5099.26', '41.0187', '4719.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '7805497', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0.237703', '0', '0.971338', '-5100.93', '40.7457', '4719.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '7805499', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0.920751', '0', '-0.390152', '-5102.86', '39.5283', '4722.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '7805500', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0.261909', '0', '0.965092', '-5102.09', '39.4742', '4723.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '7805501', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0.798621', '0', '0.601835', '-5097.99', '40.905', '4720.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '7805502', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0', '0', '0', '1', '-5100.21', '39.684', '4721.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '7805523', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s01.iff', '0', '-0.203567', '0', '0.979061', '-4581.17', '-2.49321', '4354.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '7805524', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s01.iff', '0', '0.531186', '0', '0.847255', '-4572.9', '-1.16938', '4347.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '7805526', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s02.iff', '0', '0.535416', '0', '0.844589', '-4579.75', '-3.15865', '4366.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '7805576', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0', '0', '0', '1', '-5695.89', '59.1048', '4009.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '7805577', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '0', '-0.34759', '0', '0.937647', '-5696.02', '61.4726', '4011.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '7805578', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '0', '0.0733413', '0', '0.997307', '-5694.8', '61.0143', '4010.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '7805579', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0', '0', '1', '-5695.25', '65.8392', '4010.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '7825828', '0', 'object/static/installation/shared_mockup_mining_liquid_harvester_style_1.iff', '0', '0', '0', '1', '2353.47', '125.003', '-4988.62', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '7825849', '0', 'object/tangible/terminal/shared_terminal_mission_imperial.iff', '0', '0.707108', '0', '-0.707105', '-2191.99', '20', '2264.53', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '7825851', '0', 'object/tangible/terminal/shared_terminal_mission_imperial.iff', '0', '0.707107', '0', '-0.707107', '-2191.99', '20', '2262.9', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '7825854', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '0.707108', '0', '-0.707105', '-2191.87', '20', '2266.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '7835391', '0', 'object/tangible/jedi/shared_force_shrine_stone.iff', '0', '0.707107', '0', '0.707107', '5760.1', '654.804', '-5211.06', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '7835392', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0.707097', '0', '0.707116', '5755.68', '656.722', '-5212.66', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '7835393', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0', '0', '1', '5764.37', '656.722', '-5212.63', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '7835394', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '1', '0', '0', '5759.13', '656.722', '-5212.67', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '7835395', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '0', '0', '1', '5760.93', '656.712', '-5212.72', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '7835396', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_altar.iff', '0', '0', '0', '1', '5760.04', '638.768', '-5212.66', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '7835397', '0', 'object/static/particle/shared_pt_poi_electricity_2x2.iff', '0', '0', '0', '1', '5760.1', '656.161', '-5211.07', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '7925354', '0', 'object/static/structure/general/shared_prp_junk_s3.iff', '0', '0.981854', '0', '0.189641', '-5140.61', '37.6747', '3709.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '7925365', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '-0.545678', '0.772491', '0.187394', '-0.265285', '-5144.73', '37.0615', '3706.36', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7925366', '0', 'object/static/structure/tatooine/shared_debris_tatt_radar_dish.iff', '0', '0', '0.213347', '0.976976', '-5135.67', '35.7064', '3704.25', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7925367', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '0', '0', '1', '-4765.74', '14.9856', '3934.21', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '7925368', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '0', '0', '1', '-4760.13', '14.3448', '3925.89', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '7925373', '0', 'object/static/structure/general/shared_gravestone_generic_style_02.iff', '0', '-0.707106', '0', '0.707107', '-4743.84', '11.6599', '3942.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '7925374', '0', 'object/static/structure/general/shared_gravestone_generic_style_03.iff', '0', '0.707107', '0', '-0.707107', '-4743.98', '11.7823', '3940.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '7925385', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_01.iff', '0', '0', '0', '1', '-4455.73', '3.86944', '4057.38', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '7925386', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_01.iff', '0', '-0.552199', '0', '0.833712', '-4449.94', '4.02257', '4058.43', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '7925387', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_01.iff', '0', '-0.488177', '0', '0.872744', '-4452.88', '4.25416', '4065.57', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '7925388', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_01.iff', '0', '-0.488176', '0', '0.872745', '-4448.77', '3.84136', '4063.23', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '7925389', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_01.iff', '0', '-0.488176', '0', '0.872745', '-4456.12', '4.02602', '4062.82', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '7925395', '0', 'object/static/flora/shared_flora_decd_endr_destree_dead.iff', '0', '0', '0', '1', '-4451.81', '5.53385', '4060.61', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '7925407', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_sm_s01.iff', '0', '-0.707105', '0', '0.707108', '-4052.55', '36.6524', '3663.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '7925408', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s02.iff', '0', '0.707107', '0', '0.707107', '-4044.35', '35.5982', '3663.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '7925409', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_sm_s02.iff', '-0.213192', '0.705375', '-0.262979', '-0.622766', '-4034.75', '30.8764', '3664.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '7925414', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '0', '0', '1', '-4061.15', '36.3753', '3666.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '7925418', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '0', '0', '1', '-4061.17', '36.5883', '3660.49', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '7925420', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '0', '-0.223106', '0.974794', '-4026.48', '36.3235', '3660.87', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '7925427', '0', 'object/static/structure/naboo/shared_obelisk_naboo_theed_style_3.iff', '0', '0', '0', '1', '-3920.49', '-5.76826', '4128.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '7925428', '0', 'object/static/structure/naboo/shared_obelisk_naboo_theed_style_3.iff', '0', '0', '0.114747', '0.993395', '-3917.55', '-5.98759', '4128.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '7925429', '0', 'object/static/structure/naboo/shared_obelisk_naboo_theed_style_3.iff', '0', '0', '-0.109778', '0.993956', '-3923.26', '-5.92206', '4128.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '7955363', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.707036', '0', '0.707177', '637', '6', '-3214', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '7955364', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.382638', '0', '0.923898', '637', '6', '-3198', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '7955366', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.382638', '0', '0.923898', '637', '6', '-3230', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '7955367', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0', '0', '1', '653', '6', '-3230', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '7955368', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '1', '0', '4.94063e-05', '669', '6', '-3230', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '7955369', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0', '0', '1', '685', '6', '-3230', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '7955370', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '1', '0', '4.9e-05', '701', '6', '-3230', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '7955371', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0', '0', '1', '717', '6', '-3230', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '7955372', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.923861', '0', '0.382729', '733.574', '6', '-3230', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '7955374', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.707035', '0', '0.707178', '733.571', '6', '-3213.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '7955375', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.707141', '0', '-0.707073', '733.602', '6', '-3197.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '7955376', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.707033', '0', '0.70718', '733.567', '6', '-3181.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '7955377', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.707033', '0', '0.70718', '733.605', '6', '-3148.41', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '7955378', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0', '0', '1', '725.423', '6', '-3099.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '7955379', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.707141', '0', '-0.707073', '733.592', '6', '-3164.62', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '7955380', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.707141', '0', '-0.707073', '733.636', '6', '-3132.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '7955381', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0.923898', '0', '-0.382639', '733.641', '6', '-3099.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '7955382', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '1', '0', '4.83955e-05', '717.093', '6', '-3099.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '7955383', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0.707028', '0', '0.707185', '733.634', '6', '-3115.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '7955551', '0', 'object/building/general/shared_bunker_talus_chunker_bunker.iff', '0', '1', '0', '3.20013e-08', '1374.12', '29', '1484.58', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '7955552', '7955551', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '7955553', '7955551', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '7955554', '7955551', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '7955555', '7955551', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '7955556', '7955551', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '7955557', '7955551', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '7955558', '7955551', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '7955574', '7955551', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '7955613', '7955574', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0', '0', '1', '83.5335', '-14.2607', '71.964', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '7955575', '7955551', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '7955606', '7955575', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0.734548', '0', '0.678557', '-43.8328', '-14', '75.9498', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '7955576', '7955551', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '7955577', '0', 'object/static/structure/general/shared_cave_wall_damprock_style_01.iff', '-0.603001', '-0.0513789', '0.0675856', '0.79321', '1371.25', '36.4907', '1488.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '7955578', '0', 'object/static/structure/general/shared_cave_wall_damprock_style_01.iff', '-0.65197', '-0.0686733', '0.100019', '0.748475', '1365.27', '33.4114', '1484.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '7955579', '0', 'object/static/structure/general/shared_cave_wall_damprock_style_01.iff', '-0.533592', '0.124937', '0.100135', '0.830447', '1385.46', '29', '1485.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '7955580', '0', 'object/static/structure/general/shared_cave_wall_damprock_style_01.iff', '-0.560446', '0.00840731', '-0.0124218', '0.828055', '1379.67', '34.9846', '1487.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '7955581', '0', 'object/static/structure/general/shared_cave_wall_damprock_style_01.iff', '0', '0.624897', '0', '0.780707', '1349.2', '29', '1438.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '7955582', '0', 'object/static/structure/general/shared_cave_wall_damprock_style_01.iff', '-0.0847184', '0.00551447', '-0.0647198', '0.994286', '1375.19', '29', '1416.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '7955583', '0', 'object/static/structure/general/shared_cave_wall_damprock_style_01.iff', '0.0712939', '0.0297777', '0.0759392', '0.994115', '1397.29', '29', '1444.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '7955584', '0', 'object/static/item/shared_item_tool_sensor_beacon.iff', '0', '0.807558', '0', '0.589788', '1396.66', '33.7719', '1444.41', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7955585', '0', 'object/static/item/shared_item_tool_sensor_beacon.iff', '0', '0.999023', '0', '0.0441892', '1374.23', '33.8493', '1416.33', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7955586', '0', 'object/static/item/shared_item_tool_sensor_beacon.iff', '0', '0.926499', '0', '-0.376297', '1348.75', '33.8891', '1438.95', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7955643', '0', 'object/static/structure/general/shared_gravestone_generic_style_02.iff', '0', '1', '0', '7.33659e-08', '1539.09', '42.3068', '-860.102', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '7955644', '0', 'object/static/structure/general/shared_gravestone_generic_style_03.iff', '0', '1', '0', '-3.20013e-08', '1536.81', '42.2557', '-860.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '7955647', '0', 'object/static/structure/general/shared_gravestone_generic_style_03.iff', '0.363549', '0.606492', '0.606492', '-0.363549', '1546.47', '42.6346', '-861.288', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '7955648', '0', 'object/static/structure/general/shared_gravestone_generic_style_02.iff', '-0.205584', '0.676561', '0.676561', '0.205584', '1545.05', '42.578', '-861.122', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '7955649', '0', 'object/static/structure/general/shared_gravestone_generic_style_02.iff', '0.15776', '0.689283', '0.689283', '-0.15776', '1543.92', '42.5699', '-860.425', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '7955650', '0', 'object/static/structure/general/shared_gravestone_generic_style_02.iff', '0.543456', '-0.452388', '-0.452388', '-0.543456', '1547.73', '42.6246', '-861.652', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '7955651', '0', 'object/static/structure/general/shared_gravestone_generic_style_03.iff', '-0.326527', '0.6272', '0.6272', '0.326527', '1544.02', '42.6029', '-861.143', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '7955652', '0', 'object/static/structure/general/shared_gravestone_generic_style_03.iff', '0.674302', '-0.212876', '-0.212877', '-0.674303', '1546.21', '42.5759', '-860.583', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '7955653', '0', 'object/static/structure/general/shared_gravestone_generic_style_02.iff', '-0.13007', '0.69504', '0.695041', '0.130069', '1545.09', '42.6114', '-860.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '7955654', '0', 'object/static/structure/general/shared_gravestone_generic_style_02.iff', '-0.369595', '0.602825', '0.602826', '0.369594', '1547.72', '42.5797', '-860.837', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '7955655', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '-0.0220352', '0.914283', '-0.0607625', '0.399886', '1545.23', '42.5285', '-862.734', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '7955656', '0', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff', '-0.0846493', '0.702022', '-0.0846493', '-0.702022', '1566.53', '36.9211', '-867.084', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '7955657', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0.874789', '0', '-0.484505', '1565.61', '42.7898', '-867.032', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '7955729', '0', 'object/static/item/shared_wp_mle_lance_vibrolance.iff', '0.970373', '-0.044908', '0.0430276', '-0.23347', '1543.7', '43.2631', '-855.555', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '7955730', '0', 'object/static/item/shared_wp_mle_knife_survival.iff', '0.507033', '0.0901623', '0.855531', '-0.053435', '1544.33', '42.8103', '-860.429', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '8015352', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0', '0.999958', '0', '-0.00920349', '-3921.6', '10.7895', '4128.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8015353', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0', '0.999958', '0', '-0.009203', '-3920.47', '10.8774', '4128.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8015354', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0', '-0.0100003', '0', '0.99995', '-3919.4', '10.9377', '4128.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8135352', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.572866', '0', '0.819649', '4534.19', '0', '5179.13', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '8135356', '0', 'object/static/installation/shared_mockup_mining_gas_harvester_style_1.iff', '-0.0355562', '0.741251', '-0.00029247', '-0.670286', '-4020.39', '29.9704', '4626.41', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8135357', '0', 'object/static/structure/general/shared_planter_generic_style_4.iff', '0', '0', '0', '1', '487.986', '6', '-3099.15', '93', '1');
INSERT INTO `staticobjects` VALUES ('7', '8135359', '0', 'object/static/structure/general/shared_planter_generic_style_4.iff', '0', '0', '0', '1', '592.048', '6', '-3099.02', '93', '1');
INSERT INTO `staticobjects` VALUES ('7', '8135362', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0.990104', '0', '-0.140332', '-3700.54', '42.5538', '4393.28', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '8135364', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '-0.116335', '0.158119', '0.233398', '0.95236', '-3696.44', '42.3598', '4394.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '8135369', '0', 'object/static/structure/tatooine/shared_skeleton_greater_krayt_head.iff', '0.329182', '0.701245', '-0.20938', '-0.596703', '-3490.03', '-1.36406', '3965.44', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '8135381', '0', 'object/static/flora/shared_flora_decd_scorched_massassi_broke.iff', '0', '0.237703', '0', '0.971338', '-3244.53', '40.604', '4327.4', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8135383', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0', '-0.183947', '0', '0.982936', '-3242.74', '38.4874', '4322', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8135384', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0', '0', '0', '1', '-3239.78', '38.2', '4327.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8135385', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0', '0.632673', '0', '0.774419', '-3242.37', '38.3213', '4332.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8135386', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0', '0', '0', '1', '-3248.46', '40.3407', '4331.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8135388', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0', '-0.457339', '0', '0.889293', '-3248.9', '40.6178', '4324.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8135389', '0', 'object/static/structure/general/shared_atst_debris_01.iff', '0.0347412', '-0.00418907', '-0.119639', '0.992201', '-3198.78', '50.7737', '4760.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8135390', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0.0235625', '-0.0315182', '-0.0594977', '0.997452', '-3196.12', '50.4557', '4757.94', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8135414', '0', 'object/static/structure/general/shared_debris_deathstar_small_chunk.iff', '0', '0', '0', '1', '-3329.57', '75.5627', '5170', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8135415', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.416871', '0', '0.908966', '-3328.93', '75.5955', '5172.35', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '8135416', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '-0.291848', '0.774254', '-0.159066', '0.538567', '-3333.08', '76.3874', '5174.52', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '8135427', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0', '0', '1', '-4085.3', '35.2083', '5567.91', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '8135428', '0', 'object/static/item/shared_item_bowl_shallow.iff', '0', '0', '0', '1', '-4085.77', '39.508', '5567.41', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '8135433', '0', 'object/static/particle/shared_particle_campfire_style_1.iff', '0', '0', '0', '1', '-4085.79', '39.101', '5567.37', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8135439', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0', '0', '0', '1', '-4147.4', '41.2898', '5952.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8135452', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '-0.132174', '0.496856', '0.2205', '0.828881', '-3443.92', '42.5705', '6189.03', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '8135454', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '-0.0538159', '-0.246438', '-0.206448', '0.945384', '-3441.71', '42.1211', '6183.8', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '8135455', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0.589145', '0.808028', '-3447.68', '43.2844', '6191.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '8135456', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '-0.255776', '0.961485', '-0.0258689', '-0.0972437', '-3439.65', '42.7735', '6192.53', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '8135457', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0.1547', '0.846641', '-0.334615', '-0.383796', '-3442.5', '43.039', '6194.75', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '8135458', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '0.611845', '-0.202068', '-0.383337', '0.661716', '-3170.79', '50.6261', '5733.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8135459', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0.548024', '0', '0.836463', '-3171.19', '51.1241', '5733.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8135460', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '-0.37092', '0', '0.928665', '-3169.68', '50.5043', '5737.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8135461', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.556361', '0', '0.830941', '-3171.23', '51.6318', '5733.71', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8135462', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.556362', '0', '0.83094', '-3169.78', '51.0508', '5737.25', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8135464', '0', 'object/static/structure/general/shared_skeleton_human_body.iff', '0.0348332', '0.136877', '-0.0149195', '0.989863', '-3170.32', '51.0767', '5735.19', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8135478', '0', 'object/static/structure/general/shared_prp_junk_s1.iff', '0.037466', '0.0842718', '0.147753', '0.984715', '-3000.71', '-1.03375', '5036.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8135479', '0', 'object/static/structure/general/shared_prp_junk_s2.iff', '0', '-0.452886', '0', '0.891569', '-2992.04', '1.90674', '5046.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8135480', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '-0.052407', '0.371885', '0.129328', '0.91773', '-2998.43', '-0.948719', '5045.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8135481', '0', 'object/static/structure/general/shared_prp_junk_s4.iff', '0', '0', '-0.223106', '0.974794', '-2984.08', '-1.58796', '5031.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8135482', '0', 'object/static/structure/general/shared_prp_junk_s5.iff', '0', '0', '0.509841', '0.860269', '-2974.95', '-0.085967', '5041.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8135483', '0', 'object/static/flora/shared_flora_bush_talus_razorcoil.iff', '0', '0.585097', '0', '0.810963', '-3092.8', '28.1758', '4606.56', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8135484', '0', 'object/static/flora/shared_flora_bush_talus_razorcoil.iff', '0', '0.266731', '0', '0.963771', '-3091.9', '27.6382', '4605.46', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8135485', '0', 'object/static/flora/shared_flora_bush_talus_razorcoil.iff', '0', '0.029995', '0', '0.99955', '-3090.22', '27.7148', '4604.74', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8135486', '0', 'object/static/flora/shared_flora_bush_talus_razorcoil.iff', '0', '-0.430458', '0', '0.90261', '-3088.67', '28.0158', '4605.28', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8135487', '0', 'object/static/flora/shared_flora_bush_talus_razorcoil.iff', '0', '0.827702', '0', '0.561168', '-3092.23', '28.8296', '4607.96', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8135488', '0', 'object/static/flora/shared_flora_bush_talus_razorcoil.iff', '0', '0.974616', '0', '0.223883', '-3091.23', '29.3989', '4608.59', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8135489', '0', 'object/static/flora/shared_flora_bush_talus_razorcoil.iff', '0', '0.992904', '0', '-0.118921', '-3089.7', '29.5953', '4608.94', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8135490', '0', 'object/static/flora/shared_flora_bush_talus_razorcoil.iff', '0', '0.882708', '0', '-0.469923', '-3088.39', '29.4515', '4608.22', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8135491', '0', 'object/static/flora/shared_flora_bush_talus_razorcoil.iff', '0', '0.787409', '0', '-0.616433', '-3088.1', '28.757', '4606.84', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8135492', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '-0.122894', '-0.475685', '-0.0209949', '0.870735', '-3090.4', '28.3645', '4607.29', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175352', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0.764329', '0', '0.644827', '-3230.89', '33.3285', '4200.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175353', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0.384808', '0', '0.922997', '-3229.62', '33.4397', '4200.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175354', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '-0.696136', '0', '0.71791', '-3229.44', '32.8986', '4201.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175355', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '-0.188859', '0', '0.982004', '-3230.52', '33.4816', '4201.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175356', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.0428471', '-0.0257302', '0.856228', '0.514176', '-3231.99', '33.611', '4201.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175357', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0.92269', '0', '-0.385543', '-3230.43', '33.4363', '4203.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175361', '0', 'object/static/structure/corellia/shared_corl_fountain_circle_s01.iff', '0', '0', '0', '1', '-3230.63', '29.6049', '4201.82', '96', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175362', '0', 'object/static/structure/dantooine/shared_dant_jedi_wall_1.iff', '0', '0', '0', '1', '-3486.09', '38.3854', '3697.18', '256', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175363', '0', 'object/static/structure/dantooine/shared_dant_jedi_wall_2.iff', '0', '-0.699717', '0', '0.71442', '-3492.73', '37.6058', '3706.03', '256', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175366', '0', 'object/static/structure/dantooine/shared_dant_skull_bol.iff', '-0.0308271', '-0.211108', '-0.141166', '0.966724', '-3495.24', '40.1027', '3699.72', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175369', '0', 'object/static/structure/general/shared_skeleton_bith_headandbody.iff', '0', '0', '0', '1', '-3489.21', '40.2631', '3699.38', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175374', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '0', '0', '-0.514136', '0.857709', '-2983.3', '24.5825', '3820.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175376', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '0.0104709', '-0.0281085', '0.594191', '0.803764', '-2993.2', '23.9915', '3819.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175377', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.0429087', '0.226915', '-0.00258429', '0.972965', '-5102.21', '40.1531', '4720.52', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175378', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0.119712', '0', '0.992809', '-5102.68', '39.7813', '4722.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175379', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '-0.375559', '0', '0.926798', '-5101.94', '39.8482', '4723.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175486', '0', 'object/static/structure/tatooine/shared_skeleton_greater_krayt_spine_medium.iff', '0', '0', '0', '1', '-5730.51', '23.7593', '2849.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175489', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.609159', '0', '0.793048', '-5098.31', '47.9087', '2358.54', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175490', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.309817', '0', '0.950796', '-5098.42', '48.0462', '2358.68', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175491', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.9001', '0', '-0.435682', '-5098.78', '47.9447', '2358.55', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175492', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.707077', '0', '0.707136', '-5098.66', '47.9269', '2358.4', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175493', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.92388', '0', '0.382684', '-5098.37', '47.9154', '2358.35', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175494', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '1', '0', '0', '-5098.5', '47.9013', '2358.22', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175495', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.475032', '0', '0.879969', '-5098.24', '47.8697', '2358.74', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175496', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0', '0', '1', '-5098.43', '47.866', '2358.75', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175497', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.261909', '0', '0.965093', '-5098.62', '47.896', '2358.76', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175498', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.488177', '0', '0.872745', '-5098.83', '47.8915', '2358.72', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175499', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.17903', '0', '0.983844', '-5098.57', '48.0758', '2358.68', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175500', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.867423', '0', '-0.497572', '-5098.63', '48.0828', '2358.48', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175501', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.965301', '0', '0.26114', '-5098.42', '48.1139', '2358.42', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175502', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0.072025', '0.767361', '0.0524416', '-0.634996', '-5098.56', '48.2287', '2358.59', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175503', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0', '0.470626', '0.882333', '-5098.61', '47.0899', '2358.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175504', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.817234', '0', '0.576306', '-5098.35', '48.0724', '2358.56', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175505', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.597195', '0', '0.802096', '-5098.75', '48.092', '2358.62', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175510', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '0', '0.564642', '0', '0.825336', '-4382.9', '11.2779', '2672.92', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175511', '0', 'object/static/structure/corellia/shared_corl_power_arial_prime.iff', '0', '0', '0.159318', '0.987227', '-4376.95', '12.7314', '2672.28', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175513', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0.163068', '0.746731', '0.137572', '-0.629981', '-4385.06', '16.4348', '2667.36', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175514', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0.144492', '0.989506', '-4377.71', '16.5427', '2669.77', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175516', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s02.iff', '-0.108554', '0.743396', '0.0953626', '0.653057', '-4380.03', '15.6711', '2666.56', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175517', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '-0.073668', '0.504491', '0.124302', '0.851241', '-4382.93', '16.4303', '2666.59', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175518', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0.120084', '0.861294', '0.18905', '-0.456085', '-4378.78', '16.4956', '2668.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175531', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '0', '0', '0.227977', '0.973666', '-3709.25', '24.1222', '2893.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175532', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0', '0', '-0.104807', '0.994493', '-3712.41', '23.1311', '2893.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175533', '0', 'object/static/structure/dantooine/shared_dant_skull_thune.iff', '0.141571', '0.958074', '0.178694', '-0.173552', '-3711.58', '24.0639', '2891.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175538', '0', 'object/static/structure/tatooine/shared_guild_statue_free_style_01.iff', '0', '0', '-0.129634', '0.991562', '-3248.9', '47.5547', '3425.7', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175541', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_01.iff', '0', '0', '0', '1', '-3394.47', '4.43197', '2493.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175542', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0', '0', '1', '-3397.14', '8.44365', '2496.22', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175543', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0', '0', '1', '-3390.56', '8.17899', '2495.55', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175544', '0', 'object/static/structure/general/shared_campfire_ash.iff', '0', '0', '0', '1', '-3394.7', '8.57808', '2500.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175545', '0', 'object/static/structure/general/shared_skeleton_ithorian_headandbody.iff', '0', '0', '0', '1', '-3391.33', '8.48031', '2501.23', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175549', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.617059', '0', '0.786917', '-3011.64', '0.523397', '1947.33', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175551', '0', 'object/static/structure/dantooine/shared_dant_fish_rack.iff', '0', '-0.531186', '0', '0.847255', '-3010.09', '0.332045', '1944.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175552', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0', '0.13459', '0.990901', '-3012.4', '-0.173095', '1947.9', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175553', '0', 'object/static/vehicle/shared_player_shuttle.iff', '-0.0178731', '-0.0982204', '-0.178135', '0.978929', '-2397.9', '23.4456', '2033.06', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175562', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '-0.144366', '0.150379', '0.0732841', '0.975281', '-2045.33', '138.693', '2803.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175563', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '-0.357777', '0.698536', '-0.359636', '0.504683', '-2041.94', '139.098', '2801.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175566', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '-0.252472', '0.428815', '-0.49527', '0.712098', '-2035.78', '140.056', '2804.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175567', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '-0.460991', '-0.328509', '-0.253755', '0.784333', '-2032.1', '140.716', '2805.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175568', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '-0.264738', '0.4846', '0.285879', '0.783166', '-2053.01', '139.481', '2813.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175569', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0.217809', '-0.314785', '0.407124', '0.829289', '-2053.3', '139.91', '2818.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175570', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '-0.403629', '0.662903', '-0.0086425', '-0.63053', '-2052.36', '139.741', '2822.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175571', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '-0.100529', '0.880276', '0.419658', '-0.197217', '-2048.53', '139.132', '2822.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175572', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0.194364', '0.897209', '0.380929', '-0.110142', '-2044.7', '139.319', '2820.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175573', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0.194364', '0.897209', '0.380929', '-0.110142', '-2040.11', '139.78', '2818.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175574', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0.475556', '0.432578', '-0.360602', '0.675787', '-2037.47', '139.21', '2815.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175575', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0.463687', '0.48992', '-0.304991', '0.672273', '-2033.7', '139.524', '2811.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175576', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0.463687', '0.48992', '-0.304991', '0.672273', '-2031.45', '139.936', '2808.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175577', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '0', '0', '0', '1', '-2043.84', '140.864', '2812', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175583', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '-0.332721', '0.634593', '0.0402384', '0.696397', '-2050.02', '138.67', '2808.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175585', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0', '0', '1', '-2043.72', '141.364', '2810.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175586', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '0', '0', '1', '-1390.35', '21.437', '2114.91', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175587', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0', '0.707106', '0', '0.707107', '-1397.46', '22.5412', '2122.25', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175597', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.942489', '0', '-0.334238', '-1389.14', '21.5669', '2107.57', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175598', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.139543', '0', '0.990216', '-1392.64', '21.9655', '2112.96', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175599', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '-0.237703', '0', '0.971338', '-1391.54', '22.2257', '2122.24', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175600', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0.655617', '0', '0.755093', '-1400.31', '22.0401', '2113.94', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175615', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0.0327672', '0.654798', '0.0377389', '0.754149', '-734.515', '25.9697', '2034.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '8175617', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '-0.26402', '0.670738', '0.253868', '-0.644945', '-734.424', '26.2266', '2030.94', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '8285500', '0', 'object/static/item/shared_item_crate_spice.iff', '0', '0', '0', '1', '170.235', '6', '-2892.18', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '8285501', '0', 'object/static/item/shared_item_crate_spice.iff', '0', '0', '0', '1', '170.307', '6', '-2891.3', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '8285502', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0', '0', '1', '169.071', '6', '-2891.73', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '8285503', '0', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '-0.324043', '0', '0.946042', '169.741', '6', '-2892.64', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '8285504', '0', 'object/static/item/shared_item_jar_spice_white.iff', '0', '0', '0', '1', '170', '6', '-2892.71', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '8285505', '0', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0', '0', '1', '170.261', '6', '-2892.69', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '8315364', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0', '0', '0', '1', '342.155', '43.0205', '1998.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8315365', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0', '-0.300293', '0', '0.953847', '342.402', '42.6353', '1998.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8315366', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0', '0.685289', '0', '0.728271', '342.549', '42.1821', '1999.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8315369', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0', '0', '0', '1', '342.579', '40.9649', '2000.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8315370', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0', '0.144492', '0', '0.989506', '342.083', '42.4847', '1999.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8315371', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0', '0.789504', '0', '-0.613745', '341.747', '42.6195', '1999.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8315372', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '4.2038e-09', '0.957033', '-8.30976e-09', '0.289978', '341.352', '42.9775', '1999.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8315373', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0', '0.95209', '0', '-0.305816', '342.019', '42.2899', '2000.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8315374', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0', '0.594458', '0', '0.804127', '341.434', '42.53', '2000.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8315375', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0', '0.532534', '0', '0.846409', '340.773', '43.0354', '1999.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8315387', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_01.iff', '0', '0.707106', '0', '0.707107', '169.486', '69.1137', '3409', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8315388', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0', '0', '1', '168.174', '72.9721', '3410.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8315391', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.339212', '0.501184', '-0.446212', '-0.659276', '168.122', '73.1237', '3408.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8315392', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.160278', '0.701302', '-0.537104', '-0.44046', '170.939', '72.9699', '3407.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8315393', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '-0.557169', '0.307177', '-0.0610873', '0.769073', '170.806', '72.8161', '3410.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8315394', '0', 'object/static/flora/shared_flora_decd_scorched_tallbirch_broke.iff', '0', '0', '0.0699428', '0.997551', '-523.291', '51.0347', '3789.59', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8315416', '0', 'object/static/structure/dantooine/shared_dant_gate.iff', '0', '0', '0', '1', '-1117.43', '13.6837', '3753.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8315418', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_head_style_02.iff', '-0.342456', '0.0187862', '0.0174105', '0.939185', '-1117.44', '14.9843', '3751.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '8315419', '0', 'object/static/structure/general/shared_campfire_ash.iff', '0', '0', '0', '1', '-1117.42', '15.2253', '3752.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8315420', '0', 'object/static/structure/general/shared_skeleton_human_body.iff', '0', '0', '0', '1', '-1117.41', '15.2282', '3752.06', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8315422', '0', 'object/static/structure/general/shared_skeleton_bith_head.iff', '0', '0.416871', '0', '0.908966', '-1116.76', '15.2308', '3752.31', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8315424', '0', 'object/static/structure/corellia/shared_corl_power_arial_thin.iff', '-0.109729', '-0.00329285', '0.0298142', '0.993509', '-1651.68', '114.162', '3382.13', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '8355467', '0', 'object/tangible/sign/shared_all_sign_city_s02.iff', '0', '0.977865', '0', '-0.209239', '4118.45', '2', '5122.87', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '8355468', '0', 'object/tangible/sign/shared_all_sign_city_s02.iff', '0', '0.833272', '0', '-0.552863', '4033.44', '2', '5194.23', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '8355469', '0', 'object/tangible/sign/shared_all_sign_city_s02.iff', '0', '0', '0', '1', '4507.88', '2', '5541.95', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '8355470', '0', 'object/tangible/sign/shared_all_sign_city_s02.iff', '0', '1', '0', '-0.00079637', '4542.15', '2', '4997.8', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '8355471', '0', 'object/tangible/sign/shared_all_sign_city_s02.iff', '0', '0.973848', '0', '0.227202', '4406.86', '2', '4999.08', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '8385354', '0', 'object/static/structure/general/shared_debris_deathstar_small_chunk.iff', '0', '0', '0', '1', '-6321.72', '6.76738', '1256.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8385355', '0', 'object/static/structure/general/shared_prp_engine.iff', '-0.305554', '0.693514', '0.263056', '0.597056', '-6306.76', '7.14222', '1254.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8385356', '0', 'object/static/structure/general/shared_prp_junk_s1.iff', '0', '0', '-0.305059', '0.952334', '-6317.91', '7.00601', '1251.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8385357', '0', 'object/static/structure/general/shared_droid_r2_powerdown.iff', '0.229943', '-0.254372', '0.629931', '0.696856', '-6322.4', '6.41002', '1259.89', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8385359', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_leg_style_02.iff', '0', '0.21823', '0', '0.975897', '-5856.59', '8.64853', '1444.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '8385362', '0', 'object/static/structure/general/shared_skeleton_human_body.iff', '0', '0', '0', '1', '-5095.43', '9.03255', '1271.98', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8385363', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0', '0', '1', '-5094.02', '8.84369', '1275.87', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8385364', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0', '0', '1', '-5102.13', '9.44668', '1276.66', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8385365', '0', 'object/static/structure/general/shared_skeleton_ithorian_headandbody.iff', '0', '0', '0', '1', '-5100.68', '9.32621', '1280.09', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8385366', '0', 'object/static/structure/general/shared_skeleton_bith_headandbody.iff', '0', '0', '0', '1', '-5104.37', '9.79732', '1271.05', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8385367', '0', 'object/static/structure/general/shared_skeleton_ithorian_head.iff', '0', '0', '0', '1', '-5099.97', '9.54028', '1265.61', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8385368', '0', 'object/static/structure/general/shared_skeleton_human_body.iff', '0', '-0.628793', '0', '0.777573', '-5104.93', '9.95015', '1266.04', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8385369', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0', '0', '1', '-5101.2', '9.52529', '1270.64', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '8385370', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.926499', '0', '0.376297', '-5100.71', '11.4358', '1270.11', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8385371', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.699715', '0', '0.714422', '-5100.47', '11.4026', '1270.65', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8385372', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.398607', '0', '0.917122', '-5100.72', '11.4116', '1271.19', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8385373', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.00499837', '0', '0.999987', '-5101.23', '11.4205', '1271.36', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8385374', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.38481', '0', '0.922996', '-5101.71', '11.435', '1271.15', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8385375', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.711475', '0', '-0.702712', '-5101.94', '11.4204', '1270.63', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8385376', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.92896', '0', '-0.370179', '-5101.7', '11.4405', '1270.13', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8385377', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.999983', '0', '0.00579778', '-5101.2', '11.4369', '1269.92', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8385380', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0.184052', '-0.555395', '-0.255102', '0.769795', '-4714.6', '30.8812', '1132.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8385381', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '-0.178489', '-0.557208', '0.247391', '0.772307', '-4715.27', '31.0549', '1130.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8385382', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0', '0', '1', '-4715.89', '29.9135', '1132.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8385383', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '-0.539632', '0', '0.841901', '-4716.29', '30.0144', '1130.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8385387', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '-0.480874', '0.491107', '0.561649', '0.460569', '-4717.48', '28.7446', '1132.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8385388', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0.731097', '-0.631084', '-0.0453524', '0.255291', '-4717.89', '28.784', '1131.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8455478', '0', 'object/static/structure/corellia/shared_corl_tent_small.iff', '0', '0.281157', '0', '0.959662', '4066.48', '2', '5289.76', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8455479', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0', '0', '1', '4066.96', '2', '5288.05', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '8455480', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0.271547', '0', '0.962425', '4066.76', '2', '5289.41', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '8455481', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.699716', '0', '0.714421', '4068.19', '2', '5289.51', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '8455482', '0', 'object/static/item/shared_item_briefcase.iff', '0', '0.492535', '0', '0.870293', '4065.59', '2', '5289.68', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '8455484', '0', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s03.iff', '0', '-0.617059', '0', '0.786917', '4066.74', '2.72733', '5289.47', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '8455486', '0', 'object/static/item/shared_item_carbine_dh17.iff', '-0.547409', '0.605567', '-0.387337', '0.428488', '4066.25', '2.74956', '5289.35', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '8455487', '0', 'object/static/item/shared_item_data_disk.iff', '0', '-0.242556', '0', '0.970137', '4066.77', '2.75895', '5289.73', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '8455488', '0', 'object/static/item/shared_item_data_disk.iff', '0', '0.535416', '0', '0.844589', '4066.6', '2.75895', '5289.74', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '8455489', '0', 'object/static/item/shared_item_data_disk.iff', '0', '0', '0', '1', '4066.7', '2.75895', '5289.85', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '8455490', '0', 'object/static/item/shared_item_decryptor_imperial.iff', '0', '-0.380188', '0', '0.924909', '4066.38', '2.75895', '5289.55', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '8455492', '0', 'object/static/structure/general/shared_banner_rebel_style_01.iff', '0', '-0.342898', '0', '0.939373', '4070.95', '2', '5291.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8455493', '0', 'object/static/item/shared_item_container_weapons.iff', '0', '-0.183946', '0', '0.982936', '4067.04', '2', '5292.35', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '8475363', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '-0.0820443', '0.861024', '-0.047609', '-0.499639', '-4354.99', '57.2738', '1542.72', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '8475368', '0', 'object/static/installation/shared_mockup_farm_flora_style_1.iff', '-0.117122', '0.356401', '0.108658', '0.920573', '-4350.05', '58.5334', '1537.55', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8475369', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0', '0', '1', '-4010.73', '-2.85272', '980.628', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '8475370', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0', '0', '1', '-4007.79', '-2.88158', '983.592', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '8475371', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0', '0', '1', '-4020.81', '-2.84303', '995.654', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '8475372', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0', '0', '1', '-4023.84', '-2.85237', '992.419', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '8475373', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0.116017', '-0.637564', '0.136351', '0.749307', '-4000.04', '1.53479', '973.873', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8475375', '0', 'object/static/structure/general/shared_skeleton_human_body.iff', '0', '0.773915', '0', '-0.63329', '-4000.23', '-0.0891911', '980.037', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8475376', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0.581035', '0', '0.813878', '-3995.05', '0.93322', '980.621', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8475377', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '-0.10493', '0.590509', '0.0138885', '0.80006', '-4005.26', '-0.140824', '975.445', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8475378', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0', '0', '1', '-3999.45', '0.0912381', '979.747', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8475379', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0.0483885', '-0.232725', '-0.197733', '0.950999', '-3991.71', '1.33287', '980.933', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '8475380', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0.315564', '0.369819', '0.192378', '0.852434', '-3993.9', '1.03539', '978.799', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '8475383', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '-0.0398405', '-0.239262', '0.159347', '0.956961', '-4002.87', '0.274969', '977.246', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '8475387', '0', 'object/static/structure/corellia/shared_corl_banner_govt_tall_s01.iff', '0', '0', '0', '1', '-3459.84', '16.8644', '1552.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8475402', '0', 'object/static/structure/general/shared_atst_destroyed.iff', '0', '0', '0', '1', '-2769.21', '-0.428387', '1568.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8475403', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0', '0', '1', '-2766.01', '-2.69019', '1584.9', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8475404', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0.0277387', '0.671228', '-0.171884', '0.720513', '-2761.68', '-2.4126', '1581.98', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8475405', '0', 'object/static/structure/general/shared_skeleton_human_body.iff', '0', '0', '0', '1', '-2759.19', '-2.18176', '1579.42', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8475406', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0.181294', '-0.671069', '-0.0474044', '0.717323', '-2761.38', '-1.72663', '1575.88', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8475409', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0', '0.124675', '0.992198', '-2793.17', '10.0261', '914.888', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8475410', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0', '0.674287', '0.738469', '-2792.31', '10.7232', '911.435', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8475411', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.274027', '-0.484196', '0.409267', '0.723162', '-2790.36', '11.0335', '912.252', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8475412', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0', '0.328769', '0.94441', '-2791.29', '11.1642', '913.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8475413', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.387346', '-0.20769', '0.763476', '0.473215', '-2791.27', '11.9431', '912.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8475414', '0', 'object/static/structure/dantooine/shared_dant_skull_bol.iff', '-0.0539416', '-0.165541', '0.305084', '0.936274', '-2792.76', '10.1563', '913.27', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '8475417', '0', 'object/static/structure/dantooine/shared_dant_large_rock_hut.iff', '0', '0.844162', '0', '0.536088', '-2245.09', '5.19968', '903.446', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '8475418', '0', 'object/static/structure/general/shared_gravestone_generic_style_03.iff', '0', '0', '0', '1', '-2257.53', '5.51748', '886.519', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8475419', '0', 'object/static/structure/general/shared_gravestone_generic_style_02.iff', '0', '-0.059964', '0', '0.998201', '-2255.92', '5.63268', '886.602', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8475421', '0', 'object/static/structure/general/shared_skeleton_ithorian_headandbody.iff', '0', '0', '0', '1', '-2259.42', '5.39027', '887.42', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8475426', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0.713864', '0', '-0.700285', '-1828.2', '7.70785', '1443.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8475427', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '-0.0349929', '0', '0.999388', '-1828.27', '8.36145', '1431.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8475428', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0.999784', '0', '0.020795', '-1836.09', '8.06388', '1430.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8475429', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0.685289', '0', '0.728271', '-1836.39', '7.31787', '1443.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8475437', '0', 'object/static/installation/shared_mockup_mining_gas_harvester_style_1.iff', '0', '0', '0', '1', '-1466.06', '28.7311', '1230.51', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8475438', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '-0.00984923', '-0.163957', '0.0591496', '0.984643', '-1470.96', '29', '1226.49', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '8475440', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '-0.139449', '-0.259161', '-0.0378439', '0.954965', '-1471.74', '29.1235', '1228.45', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '8475441', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_arm_style_02.iff', '-0.0331243', '0.624157', '0.06769', '0.777656', '-1242.08', '6.75269', '1496.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '8475447', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '-0.502096', '-0.497495', '0.502496', '0.497892', '-861.953', '17.9795', '1024.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8475448', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '-0.49538', '0.504183', '0.495775', '-0.504585', '-862.04', '17.8362', '1014.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8475451', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '-0.321051', '0.37352', '0.567286', '-0.659997', '-862.08', '21.3453', '1019.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8475453', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0', '0', '-0.448423', '0.893822', '-562.924', '55.0428', '1268.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8475454', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0', '0', '-0.434965', '0.900447', '-562.936', '55.0268', '1271.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8475459', '0', 'object/static/structure/general/shared_debris_deathstar_small_chunk.iff', '0', '0', '0.174108', '0.984727', '-566.531', '53.6497', '1269.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8475469', '0', 'object/static/flora/shared_flora_decd_dath_azerontree.iff', '0', '0.439462', '0', '0.898261', '-59.155', '9.29552', '982.133', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8475473', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_02.iff', '0', '0', '0', '1', '-58.8571', '5.0327', '982.369', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8475477', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0.186594', '-0.563065', '-0.253249', '0.764203', '87.1211', '10.3349', '1580.13', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8475478', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '87.7264', '11.9945', '1579.49', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '8475479', '0', 'object/static/structure/general/shared_campfire_ash.iff', '0', '0', '0', '1', '86.9421', '11.8926', '1576.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8475480', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '-0.000749809', '-0.0249861', '0.0299861', '0.999238', '85.6686', '11.7777', '1578.7', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8475481', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0.973274', '0.0202434', '0.228703', '0.00475687', '82.9799', '11.719', '1587.79', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8475482', '0', 'object/static/structure/general/shared_skeleton_bith_headandbody.iff', '0.986781', '0.0934634', '-0.0825912', '0.103475', '86.9255', '12.0915', '1589.26', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8475562', '0', 'object/static/particle/shared_pt_airport_race_light.iff', '0', '0', '0', '1', '-4808.69', '20.5259', '-4751.08', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8535353', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '0', '-0.706816', '0', '0.707397', '617.508', '38.1127', '1101.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8535354', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_01.iff', '0', '0', '0', '1', '615.101', '38.0146', '1101.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8535355', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_01.iff', '0', '0', '0', '1', '619.999', '37.9011', '1101.52', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8535364', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '617.504', '41.9851', '1101.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8535365', '0', 'object/static/item/shared_item_bowl_shallow.iff', '0', '0', '0', '1', '617.511', '46.2282', '1101.51', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '8535368', '0', 'object/static/item/shared_item_con_tato_bowl_full_s02.iff', '0', '0', '0', '1', '617.522', '46.0329', '1101.53', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '8535369', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '617.548', '44.7239', '1101.52', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '8535370', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_fallen.iff', '0', '0', '0', '1', '614.855', '42.1745', '1101.52', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '8535373', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_fallen.iff', '0', '0', '0', '1', '620.265', '41.8029', '1101.52', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '8535376', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '-0.40656', '0.569484', '0.415104', '-0.581452', '617.443', '41.4423', '1098.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8535377', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '-0.461383', '0.526051', '0.471078', '-0.537106', '617.462', '41.8646', '1102.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8535378', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0', '0.816314', '0', '0.577609', '-862.01', '17.275', '1018.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8535379', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0', '0', '0', '1', '-862.012', '16.2527', '1020.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8535383', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0', '0', '0', '1', '1120.46', '58.3225', '1488.59', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '8535384', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '0', '0', '1', '1114.52', '57.6516', '1484.99', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '8535385', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0', '0.710353', '0', '-0.703845', '1116.87', '58.5047', '1494.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '8535386', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '-0.077609', '0.968042', '0.0190577', '-0.237713', '-1361.04', '41.6258', '1058.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8535387', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '0.116593', '0.148301', '-0.197565', '0.961967', '-1363.95', '41.7914', '1059.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8535388', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '-0.0686093', '0.56366', '0.0363421', '0.82235', '-1361.06', '41.8555', '1060.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8535390', '0', 'object/static/structure/general/shared_campfire_smoldering.iff', '0', '0', '0', '1', '-1362.24', '42.2538', '1059.34', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8535394', '0', 'object/static/item/shared_item_container_inorganic_chemicals.iff', '0', '0', '0', '1', '1709.49', '6.40806', '780.696', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '8535395', '0', 'object/static/item/shared_item_container_inorganic_chemicals.iff', '0', '0', '0', '1', '1710.2', '6.41543', '780.711', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '8535396', '0', 'object/static/item/shared_item_container_inorganic_chemicals.iff', '0', '-0.670587', '0', '0.741831', '1709.92', '6.74256', '780.751', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '8535398', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '-0.028423', '0.226199', '0.198207', '0.953279', '1709.25', '6.30164', '782.63', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '8535401', '0', 'object/static/item/shared_item_container_energy_radioactive.iff', '-0.0222341', '-0.192487', '0.112572', '0.974568', '1708.75', '6.47599', '784.812', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '8535402', '0', 'object/static/item/shared_item_container_energy_radioactive.iff', '0.182655', '-0.649478', '-0.0506784', '0.736374', '1709.95', '6.75231', '786.393', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '8535403', '0', 'object/static/structure/general/shared_skeleton_ithorian_headandbody.iff', '0', '0', '0', '1', '1710.4', '6.69895', '784.882', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8535404', '0', 'object/static/structure/general/shared_skeleton_ithorian_headandbody.iff', '0', '0', '0.999983', '0.0057963', '1711.37', '6.64479', '782.546', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8535405', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '-0.227978', '0', '0.973666', '1711.73', '6.58531', '785.585', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8535406', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0.655616', '0', '0.755094', '1710.28', '6.45102', '782.708', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8535412', '0', 'object/static/structure/tatooine/shared_skeleton_greater_krayt_head.iff', '0.27531', '0.736134', '0.119919', '-0.606573', '2119.34', '27.2035', '1273.22', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '8535436', '0', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0', '0', '1', '2119.18', '27.7773', '1273.23', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '8535437', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_02.iff', '0', '0', '0', '1', '2119.52', '24.4014', '1273.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8535444', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0', '0', '1', '2470.54', '33.6248', '786.629', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8535445', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0.546653', '0.302765', '-0.357047', '0.694277', '2471.55', '36.6885', '787.352', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8535446', '0', 'object/static/structure/general/shared_skeleton_bith_head.iff', '0.631679', '-0.317918', '0.219189', '0.67221', '2469.55', '36.6126', '787.503', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8535456', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '0', '0.461779', '0', '0.886995', '3204.59', '6.78577', '1265.34', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '8535457', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s02.iff', '0.044267', '0.451488', '0.0890629', '0.886717', '3210.59', '6.92657', '1267.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '8535459', '0', 'object/static/structure/corellia/shared_corl_power_arial_thin.iff', '0', '0', '0', '1', '3204.11', '15.7325', '1263.29', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '8535460', '0', 'object/static/flora/shared_flora_decd_scorched_tallbirch.iff', '0', '0', '0', '1', '3473.17', '36.0271', '482.999', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '8535461', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0', '0.628793', '0.777573', '-5875.61', '15.1826', '-177.344', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8535462', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '-0.353193', '-0.445808', '0.510762', '0.644695', '-5875.9', '15.1901', '-179.091', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8535463', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0', '0', '1', '-5874.29', '15.1465', '-178.331', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8535464', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.137992', '-0.10617', '0.780457', '0.600477', '-5875.41', '16.8072', '-178.138', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8535466', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '0.193766', '-0.0490323', '0.000154359', '0.979822', '-5040.47', '2.11274', '114.288', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '8595452', '0', 'object/static/item/shared_item_container_weapons.iff', '0', '-0.703279', '0', '0.710914', '4537.95', '2', '5070.55', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '8595453', '0', 'object/static/item/shared_item_crate_spice.iff', '0', '-0.659385', '0', '0.751806', '4539.58', '2', '5070.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '8595454', '0', 'object/static/item/shared_item_crate_spice.iff', '0', '0.737932', '0', '-0.674875', '4540.29', '2', '5069.81', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '8595464', '0', 'object/static/item/shared_item_container_weapons.iff', '0', '0', '0', '1', '-2153.14', '20', '2304.22', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '8595465', '0', 'object/static/item/shared_item_container_weapons.iff', '0', '0', '0', '1', '-2154.39', '20', '2304.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '8595466', '0', 'object/static/item/shared_item_carbine_imperial_e11.iff', '0', '0', '-0.677972', '0.735088', '-2152.74', '20.7589', '2304.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '8635354', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_ribcage.iff', '0.335046', '0.363274', '-0.0519292', '0.867802', '-4472.38', '19.3343', '65.4981', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '8635361', '0', 'object/static/structure/naboo/shared_obelisk_naboo_theed_style_2.iff', '-0.0166256', '-0.23712', '0.0679381', '0.968959', '-4971.96', '8.11882', '-589.782', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8635362', '0', 'object/static/structure/naboo/shared_obelisk_naboo_theed_style_2.iff', '-0.0241886', '0.858665', '0.0612129', '-0.508294', '-4973.92', '8.13101', '-593.387', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8635363', '0', 'object/static/structure/naboo/shared_obelisk_naboo_theed_style_2.iff', '0.129335', '0.720158', '0.0545507', '-0.679463', '-4978.17', '8.6385', '-588.714', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8635365', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0', '0', '0', '1', '-4973.91', '8.05984', '-593.295', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8635367', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0', '0', '0', '1', '-4978.01', '8.36686', '-588.855', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8635368', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '-0.134144', '-0.0973349', '0.580863', '0.79695', '-3684.84', '34.936', '-553.096', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8635369', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0.129634', '0', '0.991562', '-3687.94', '34.9197', '-552.834', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8635370', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '-0.209272', '-0.322928', '0.501958', '0.774572', '-3686.56', '34.8475', '-555.026', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8635371', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '-0.296432', '0.415009', '0.656711', '0.555541', '-3686.07', '35.0217', '-550.973', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8715353', '0', 'object/static/structure/general/shared_tie_bomber_debris_01.iff', '0.897754', '0.262025', '-0.337046', '0.108544', '-5265.43', '11.6753', '5053.8', '256', '1');
INSERT INTO `staticobjects` VALUES ('7', '8715354', '0', 'object/static/structure/general/shared_escape_pod.iff', '-0.135837', '0.215901', '0.801513', '0.540844', '-4984', '42.8094', '5750.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8715355', '0', 'object/static/structure/general/shared_escape_pod_door.iff', '0.77618', '-0.496618', '0.193483', '0.336867', '-4982.78', '42.7209', '5752.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8715356', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0.581142', '-0.53365', '-0.381525', '0.481592', '-4984.9', '42.1008', '5750.54', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '8715357', '0', 'object/static/structure/naboo/shared_gungan_damaged_wide_arch_s01.iff', '7.49969e-05', '-0.16425', '0.00499942', '0.986406', '-4569.85', '-1.72809', '4356.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8715358', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '-0.0479867', '-0.699094', '-0.0350175', '0.712558', '-4758.27', '12.5579', '3941.76', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '8715360', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0.276325', '0.0041453', '0.0144157', '0.960947', '-4028.08', '36.2745', '3667.94', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '8715361', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0.276325', '0.004145', '0.014416', '0.960947', '-4039.81', '26.5568', '3665.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '8715362', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0.0547038', '-0.289337', '0.603833', '0.740727', '-4037.15', '29.4724', '3661.24', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '8715363', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0.10428', '0.0943956', '-0.0889439', '0.986055', '-4029.93', '29.654', '4624.84', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '8715364', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '-0.556361', '0.83094', '-4027.3', '29.7339', '4622.55', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '8715365', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0.795602', '-0.60582', '-4014.27', '31.0571', '4625.53', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '8715368', '0', 'object/static/structure/corellia/shared_corl_power_arial_thin.iff', '0', '0', '0', '1', '-4026.53', '25.738', '4603.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '8715369', '0', 'object/static/structure/corellia/shared_corl_power_connector.iff', '-0.373195', '-0.378631', '-0.220477', '0.817774', '-4015.16', '30.0181', '4621.94', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '8715370', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0.22111', '-0.262087', '0.71799', '-0.605732', '-4018.43', '30.7385', '4618.16', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '8715371', '0', 'object/static/structure/tatooine/shared_skeleton_greater_krayt_spine_medium.iff', '-0.227675', '0.680239', '-0.194594', '0.669009', '-3486.37', '-0.862647', '3965.4', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '8715372', '0', 'object/static/structure/tatooine/shared_skeleton_greater_krayt_spine_small.iff', '0.143227', '0.737482', '-0.145369', '-0.643797', '-3479.07', '-0.533249', '3965.69', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '8715373', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_leg_style_01.iff', '0', '0', '0', '1', '-3486.46', '-1.58245', '3967.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '8715374', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_foot.iff', '0.0833039', '0.90711', '0.180075', '0.371193', '-3479.55', '-0.162812', '3963.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '8715375', '0', 'object/static/structure/general/shared_debris_deathstar_conduit.iff', '0.0568265', '0.359696', '-0.279147', '0.888519', '-3337.84', '76.831', '5171.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8715376', '0', 'object/static/structure/general/shared_debris_deathstar_small_tube.iff', '-0.0464542', '0.420104', '-0.130673', '0.896816', '-3328.13', '73.8974', '5162.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8715377', '0', 'object/static/structure/general/shared_debris_deathstar_small_tube.iff', '0.00792499', '0.667319', '-0.141439', '0.731176', '-3326.47', '74.1006', '5165.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8715378', '0', 'object/static/structure/general/shared_debris_deathstar_large_tube.iff', '-0.0918132', '0.0102679', '-0.110666', '0.989554', '-3326.38', '73.7041', '5163.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '8715379', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '0.0405375', '0.742169', '-0.060352', '0.666258', '-3594.86', '25.3181', '5676.4', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '8715386', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0.0297432', '0.797824', '-0.538196', '-0.270068', '-3443.05', '42.8508', '6182.7', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '8715387', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '-0.255776', '0.961485', '-0.025869', '-0.097244', '-3443.24', '42.4126', '6184.64', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '8715388', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0.589146', '0.808027', '-3449.36', '43.7773', '6182.05', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '8715389', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '-0.053816', '-0.246438', '-0.206448', '0.945384', '-3443.58', '43.2781', '6175.25', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '8715390', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '-0.132174', '0.496856', '0.2205', '0.828881', '-3445.8', '43.1572', '6180.49', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '8715392', '0', 'object/static/structure/dantooine/shared_dant_jedi_wall_1.iff', '0.0749297', '0', '0', '0.997189', '-3497.03', '39.731', '3697.27', '256', '1');
INSERT INTO `staticobjects` VALUES ('7', '8715393', '0', 'object/static/structure/dantooine/shared_dant_jedi_wall_1.iff', '0', '-0.707106', '0', '0.707107', '-3489.43', '40.521', '3689.83', '256', '1');
INSERT INTO `staticobjects` VALUES ('7', '8715394', '0', 'object/static/structure/dantooine/shared_dant_jedi_wall_2.iff', '0', '1', '0', '3.20013e-08', '-3481.61', '39.8285', '3694.66', '256', '1');
INSERT INTO `staticobjects` VALUES ('7', '8715395', '0', 'object/static/structure/tatooine/shared_skeleton_greater_krayt_spine_medium.iff', '0', '0.0799147', '0', '0.996802', '-5730.16', '23.586', '2853.25', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '8715398', '0', 'object/static/structure/tatooine/shared_skeleton_greater_krayt_spine_medium.iff', '0', '0.0299955', '0', '0.99955', '-5729.25', '23.4794', '2857.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '8715399', '0', 'object/static/structure/tatooine/shared_skeleton_greater_krayt_spine_medium.iff', '0', '0.0749297', '0', '0.997189', '-5728.63', '23.3495', '2861.91', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '8715400', '0', 'object/static/structure/tatooine/shared_skeleton_greater_krayt_spine_medium.iff', '0', '-0.0799147', '0', '0.996802', '-5728.32', '23.191', '2866.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '8715401', '0', 'object/static/structure/tatooine/shared_skeleton_greater_krayt_spine_medium.iff', '0', '-0.174108', '0', '0.984727', '-5729.23', '22.9519', '2870.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '8715402', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_tail.iff', '0', '0', '0', '1', '-5730.87', '24.109', '2844.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '8985641', '0', 'object/soundobject/shared_soundobject_sparks.iff', '0', '0', '0', '1', '3075.17', '36.3848', '6126.55', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '8985642', '0', 'object/soundobject/shared_soundobject_sparks.iff', '0', '0', '0', '1', '3026.71', '29.0169', '6099.04', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9025609', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '540.101', '6', '-3020.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9025610', '0', 'object/static/structure/talus/shared_talus_imprv_flagpole_s01.iff', '0', '0', '0', '1', '540.053', '9.52763', '-3019.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9025612', '0', 'object/static/structure/talus/shared_talus_imprv_flagpole_s01.iff', '0', '0', '0', '1', '540.312', '9.55454', '-2960.66', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9025614', '0', 'object/static/structure/talus/shared_talus_imprv_bannerpole_s01.iff', '0', '-0.707105', '0', '0.707108', '600.109', '7.9802', '-2935.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9025615', '0', 'object/static/structure/talus/shared_talus_imprv_bannerpole_s01.iff', '0', '0.707107', '0', '-0.707107', '600.068', '7.9802', '-2944.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9025618', '0', 'object/static/structure/talus/shared_talus_imprv_flagpole_s01.iff', '0', '0', '0', '1', '677.622', '15.4187', '-3025.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9025619', '0', 'object/static/structure/talus/shared_talus_imprv_flagpole_s01.iff', '0', '0', '0', '1', '677.816', '15.4187', '-2974.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9025620', '0', 'object/static/structure/talus/shared_talus_imprv_flagpole_s01.iff', '0', '0', '0', '1', '683.669', '15.465', '-3050.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9025621', '0', 'object/static/structure/talus/shared_talus_imprv_flagpole_s01.iff', '0', '0', '0', '1', '701.491', '20.1069', '-3134.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9025622', '0', 'object/static/structure/talus/shared_talus_imprv_flagpole_s01.iff', '0', '0', '0', '1', '669.022', '20.1069', '-3135.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9025623', '0', 'object/static/structure/talus/shared_talus_imprv_flagpole_s01.iff', '0', '0', '0', '1', '4347.16', '11.4198', '5139.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9025624', '0', 'object/static/structure/talus/shared_talus_imprv_flagpole_s01.iff', '0', '0', '0', '1', '4344.59', '11.4198', '5189.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9025626', '0', 'object/static/structure/talus/shared_talus_imprv_bannerpole_s01.iff', '0', '-0.543835', '0', '0.839192', '4337.88', '4.05559', '5082.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9025627', '0', 'object/static/structure/talus/shared_talus_imprv_bannerpole_s01.iff', '0', '-0.543835', '0', '0.839192', '4341.62', '4.05559', '5090.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9025628', '0', 'object/static/structure/talus/shared_talus_imprv_flagpole_s01.iff', '0', '0', '0', '1', '4444.91', '10.0325', '5299.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9025629', '0', 'object/static/structure/talus/shared_talus_imprv_flagpole_s01.iff', '0', '0', '0', '1', '4466.84', '10.0325', '5291.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9025630', '0', 'object/static/structure/talus/shared_talus_imprv_flagpole_s01.iff', '0', '0', '0', '1', '4325.4', '19.2174', '5446.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9035353', '0', 'object/static/structure/general/shared_droid_probedroid_powerdown.iff', '-0.00418567', '0.13948', '0.029702', '0.98977', '-2599.5', '48.1553', '100.602', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '9035355', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s01.iff', '0', '0', '0', '1', '-1597', '36.7472', '-544.646', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9035356', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s01.iff', '0', '0.707106', '0', '0.707107', '-1605.43', '37.6721', '-553.885', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9035357', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s02.iff', '0', '-0.706826', '0', '0.707388', '-1604.06', '36.6223', '-528.982', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9035371', '0', 'object/static/flora/shared_flora_decd_dath_azerontree.iff', '0', '0', '0', '1', '-698.778', '42.9504', '158.695', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '9035374', '0', 'object/static/structure/tatooine/shared_bridge_tatooine_small_style_03.iff', '0', '0.667163', '0', '0.744912', '-149.905', '-0.140366', '323.183', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9035389', '0', 'object/static/structure/general/shared_prp_junk_s7.iff', '0', '0', '0', '1', '-1634.16', '28.8425', '-323.52', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9035392', '0', 'object/static/structure/general/shared_prp_junk_s1.iff', '0', '0', '0.174108', '0.984727', '-1658.07', '29.8339', '-342.272', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505355', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0', '0', '1', '3098.95', '65.4069', '-4045.34', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505356', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0', '0', '1', '3098.82', '65.394', '-4038.37', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505357', '0', 'object/static/structure/military/shared_military_wall_weak_rebl_style_01.iff', '0', '-0.707106', '0', '0.707107', '3090.96', '65.7916', '-4041.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505358', '0', 'object/static/structure/military/shared_military_wall_weak_rebl_style_01.iff', '0', '-0.707106', '0', '0.707107', '3107.06', '65.828', '-4041.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505360', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0', '0', '1', '3096.55', '64.9839', '-4041.52', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505361', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '-0.707107', '0', '0.707107', '3103.99', '65.649', '-4041.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505362', '0', 'object/static/structure/corellia/shared_corl_power_arial_prime.iff', '0', '0', '0', '1', '3104.5', '65.7085', '-4043.96', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505363', '0', 'object/building/corellia/shared_filler_slum_16x16_s01.iff', '0', '0', '0', '1', '3893.57', '94.0554', '-2848.86', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505364', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '-0.70011', '0.713932', '-0.00999295', '0.00686173', '3887.19', '95.7825', '-2845.57', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505365', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0.00817861', '-0.00904727', '0.706731', '0.707377', '3887.21', '95.9885', '-2851.99', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505366', '0', 'object/building/endor/shared_endr_lake_rail8m.iff', '0.193764', '0.000968826', '0.0539304', '0.979564', '3882.35', '93.7264', '-2842.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505367', '0', 'object/building/endor/shared_endr_lake_rail8m.iff', '0.271547', '0', '0', '0.962425', '3882.16', '94.9322', '-2854.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505368', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '-0.335645', '0.580543', '0.64222', '0.371304', '3877.07', '93.9588', '-2844.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505369', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '0', '0', '1', '5182.09', '30.6664', '-1744.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505370', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '0', '0', '1', '5190.78', '30.0501', '-1752.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505371', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0', '1', '0', '3.20013e-08', '5197.96', '30.1762', '-1749.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505372', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0', '0', '0', '1', '5198.4', '30.4238', '-1743.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505373', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '1', '0', '3.1219e-08', '5198.05', '28.3739', '-1731.27', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505380', '0', 'object/static/structure/tatooine/shared_wall_gate_tatooine_style_02.iff', '0.0645106', '0.691633', '-0.0633634', '0.716566', '5189.61', '31.1327', '-1720.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505381', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '-0.0598891', '0.0498892', '0.00299695', '0.996953', '5189.72', '31.266', '-1722.8', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505382', '0', 'object/static/structure/general/shared_campfire_ash.iff', '0', '0', '0', '1', '5188.82', '31.5449', '-1727.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505383', '0', 'object/static/structure/general/shared_atat_destroyed.iff', '0', '0', '0', '1', '-2438.9', '34.7489', '-2218.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505384', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '-2439.11', '33.6853', '-2207.61', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505385', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0.114046', '0.0414405', '0.0194766', '0.99242', '-2438.86', '37.1475', '-2214.85', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505386', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '-0.0527773', '-0.647162', '0.136738', '0.74813', '-2435.62', '32.415', '-2220.56', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505387', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '-0.0549723', '0', '0.998488', '-2439.52', '33.4993', '-2223.59', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505388', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '-2432.34', '32.0916', '-2231.01', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505389', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '-0.603737', '0.323201', '0.0984647', '0.722044', '-2437.08', '38.79', '-2221.81', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505396', '0', 'object/static/structure/general/shared_tie_bomber_debris_01.iff', '0.227796', '0.0811759', '0.949175', '0.20146', '4858.11', '93.4439', '-4705.48', '256', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505397', '0', 'object/static/structure/general/shared_prp_engine_component.iff', '0', '0', '0', '1', '4854.84', '93.5282', '-4711.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505398', '0', 'object/static/structure/general/shared_prp_engine_component.iff', '0.0509416', '-0.441016', '-0.102819', '0.890134', '4849.69', '93.7655', '-4720.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505399', '0', 'object/static/structure/general/shared_prp_engine.iff', '0.257081', '0', '0', '0.96639', '4850.21', '93.5713', '-4710.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505400', '0', 'object/static/structure/general/shared_debris_deathstar_large_tube.iff', '-0.0249974', '0', '0', '0.999687', '4853.12', '93.5227', '-4717.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505401', '0', 'object/static/structure/general/shared_debris_deathstar_conduit.iff', '0', '0.807558', '0', '-0.589788', '4841.35', '93.0187', '-4723.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505402', '0', 'object/static/structure/general/shared_debris_deathstar_small_chunk.iff', '0', '0', '0', '1', '4847.21', '93.5629', '-4718.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505403', '0', 'object/static/structure/general/shared_debris_deathstar_small_tube.iff', '0.0557115', '0.751847', '-0.0640614', '0.653849', '4843.89', '93.4576', '-4721.59', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505404', '0', 'object/static/structure/general/shared_debris_deathstar_small_tube.iff', '-0.299544', '0.514419', '0.151248', '0.789158', '4833.93', '93.6845', '-4730.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505405', '0', 'object/static/structure/general/shared_tie_bomber_debris_01.iff', '-0.370638', '0.767278', '-0.227646', '0.471263', '4836.36', '92.6451', '-4735.03', '256', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505406', '0', 'object/static/structure/general/shared_prp_engine_component.iff', '0', '0.593177', '0', '0.805072', '4830.39', '89.0689', '-4740.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505407', '0', 'object/static/structure/general/shared_prp_engine_component.iff', '0', '0.986287', '0', '-0.165038', '4823.28', '89.1086', '-4749.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505408', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0.398609', '0', '0', '0.917121', '4824.21', '89.2974', '-4743.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505409', '0', 'object/building/corellia/shared_filler_slum_16x32_s01.iff', '0', '-0.223106', '0', '0.974794', '5976.86', '2.41101', '-1185.91', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505414', '0', 'object/static/structure/corellia/shared_corl_power_arial_thin.iff', '0', '0.543835', '0', '0.839192', '5980.1', '9.50454', '-1195.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505417', '0', 'object/static/structure/general/shared_poi_all_corral_pen_8x16_s01.iff', '0', '0.844162', '0', '-0.536088', '5994.69', '4.88732', '-1188.12', '175', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505435', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '0.864925', '0', '-0.501902', '5458.99', '40.0003', '1072.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505436', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0', '0', '1', '5461.11', '40.0252', '1068.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505437', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0', '0', '1', '5456.85', '40.0099', '1076.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505438', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '0.964884', '0', '-0.262677', '5471.32', '40.8166', '1062.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505439', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '-0.257081', '0', '0.96639', '5475.06', '40.8415', '1060.49', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505440', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '-0.257081', '0', '0.96639', '5467.55', '40.8262', '1065.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505441', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '0.773915', '0', '-0.63329', '5498.84', '40.4156', '1090.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505442', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0.159318', '0', '0.987227', '5499.66', '40.4405', '1086.68', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505443', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0.159318', '0', '0.987227', '5498.02', '40.4252', '1095.29', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505445', '0', 'object/static/structure/corellia/shared_corl_imprv_bridge_sm_s01.iff', '0', '-0.271547', '0', '0.962425', '5491.78', '44.0854', '1105.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505446', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '-0.17903', '0.983844', '5487.81', '40.0889', '1079.91', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505447', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '5486.52', '39.529', '1076.23', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505448', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0.567857', '0.230356', '0.498581', '0.6131', '5482.73', '40.1964', '1074.86', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505449', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '-0.17903', '0', '0', '0.983844', '5483.03', '39.3707', '1074.02', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505452', '0', 'object/static/structure/corellia/shared_corl_power_arial_prime.iff', '0.144492', '0', '0', '0.989506', '5475.77', '39.7288', '1079.4', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505453', '0', 'object/static/structure/general/shared_prp_junk_s7.iff', '0.20146', '0.727394', '-0.608956', '0.243894', '5465.87', '40.6793', '1079.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505456', '0', 'object/static/structure/corellia/shared_corl_power_box_node.iff', '-0.00449205', '0.303824', '0.0897662', '0.948479', '-6027', '66.2949', '-1192.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505457', '0', 'object/static/structure/corellia/shared_corl_power_arial_prime.iff', '0', '0', '0.0499792', '0.99875', '-6027.93', '66.6544', '-1190.62', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505458', '0', 'object/static/structure/corellia/shared_corl_power_arial_thin.iff', '0', '0', '0.0499792', '0.99875', '-6028.69', '66.4947', '-1191.87', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505460', '0', 'object/static/structure/corellia/shared_corl_power_connector.iff', '0', '0', '0', '1', '-5644.11', '80.2333', '-2370.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505462', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s02.iff', '0', '0', '0', '1', '-3802.52', '-4.01224', '-6519.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505463', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0.29074', '0.956802', '-3796.17', '-6.30029', '-6527.85', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505464', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '-0.132132', '0.29588', '-0.385759', '0.863821', '-3815.23', '-10.7826', '-6542.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505474', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '-0.00741284', '0.741259', '0.00671166', '-0.671144', '-3788.01', '-12.2687', '-6543.08', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505475', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s02.iff', '0', '0', '0', '1', '-5647.61', '76.5856', '-2370.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505491', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '0.747971', '0', '-0.663731', '1698.14', '53.0706', '1643.86', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505496', '0', 'object/building/corellia/shared_ply_corl_house_s_s01_fp1.iff', '0', '0.34759', '0', '0.937647', '1718.58', '24.7326', '1611.95', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505497', '9505496', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505498', '9505496', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505499', '9505496', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505500', '9505496', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505521', '0', 'object/static/structure/corellia/shared_corl_banner_govt_tall_s01.iff', '0', '0', '-0.20846', '0.978031', '-3803.68', '-0.320186', '-6499.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505526', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff', '0', '0', '0.20846', '0.978031', '-3813.53', '1.71888', '-6485.61', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505537', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '0.663135', '0', '0.748499', '5413.34', '48.9332', '2655.61', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505581', '0', 'object/static/structure/tatooine/shared_concrete_slab_tatooine_16x8.iff', '0', '0', '0', '1', '2446', '-1.47524', '2483', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505582', '0', 'object/static/structure/corellia/shared_corl_fountain_brazier_square_s01.iff', '0', '0', '0', '1', '2446', '6.62171', '2483', '96', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505583', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.783327', '0', '-0.62161', '5413.4', '61.7975', '2651.48', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505584', '0', 'object/static/installation/shared_mockup_power_generator_wind_style_1.iff', '0', '0.780209', '0', '-0.625519', '-4558.74', '139.832', '-2903.76', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505585', '0', 'object/static/installation/shared_mockup_power_generator_wind_style_1.iff', '0', '0.780209', '0', '-0.625519', '-4556.75', '139.559', '-2911.87', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505586', '0', 'object/static/structure/corellia/shared_corl_power_connector.iff', '0', '0.780209', '0', '-0.625519', '-4557.76', '141.173', '-2908.04', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505587', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.727726', '0', '-0.685869', '5412.6', '61.5995', '2659.69', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505590', '0', 'object/static/structure/general/shared_campfire_ash.iff', '0', '0', '0', '1', '5409.85', '57.9446', '2653.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505599', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s03.iff', '0', '0', '0', '1', '-4916.33', '4.62168', '-4501.14', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505600', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '-0.625207', '0', '0.780459', '-4921.78', '4.68725', '-4508.77', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505601', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_fallen.iff', '0', '0', '0', '1', '4974.24', '63.8436', '3850.85', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505602', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '0', '0', '1', '4977.08', '64.5838', '3849.42', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505603', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_med.iff', '0', '0', '0', '1', '4973.75', '64.6495', '3844.89', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505605', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0', '0', '1', '4970.1', '61.6144', '3853.78', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505606', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0.795843', '0', '-0.605503', '-4910.42', '4.70516', '-4508.77', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505611', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0', '0', '1', '-4915.86', '4.69583', '-4516.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505612', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '4974.24', '63.1175', '3847.59', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505613', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s03.iff', '0', '-0.285952', '0', '0.958244', '2337.88', '38.9104', '2936.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505614', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.29074', '0', '0.956802', '2328.2', '39.1569', '2930.39', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505615', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.281157', '0', '0.959662', '2347.52', '39.1392', '2943.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505617', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '0.0399893', '0', '0.9992', '-4923.34', '5.78976', '-4516.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9505618', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff', '0', '-0.0299958', '0', '0.99955', '-4908.59', '5.02484', '-4516', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9575354', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_2.iff', '0', '0.0799147', '0', '0.996802', '2333.89', '38.7971', '2936.08', '256', '1');
INSERT INTO `staticobjects` VALUES ('7', '9575359', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '-0.0142381', '-0.203068', '0.0684783', '0.976663', '2821.52', '46.9938', '5587.99', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9575375', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '-0.0139447', '-0.193067', '0.0837446', '0.977506', '2801.11', '44.038', '5578.76', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9575377', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0', '0', '1', '-4916.15', '6.09833', '-4513.66', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9575379', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s02.iff', '0', '0', '0', '1', '-4919.89', '5.53044', '-4513.8', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9575380', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '2811.03', '45.0846', '5583.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9575382', '0', 'object/static/structure/tatooine/shared_shed_junkshop_watto.iff', '0', '-0.203567', '0', '0.979061', '2325.71', '39.2605', '2939.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9575383', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s02.iff', '0', '0', '0', '1', '-4912.47', '5.52905', '-4513.68', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9575386', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.375559', '0', '0.926798', '5347', '1.98948', '4543.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9575388', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0.223106', '0', '0.974794', '1637.39', '7.0053', '5431.19', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '9575389', '0', 'object/static/structure/dantooine/shared_dant_fish_rack.iff', '0', '0', '0', '1', '5350.45', '1.48685', '4542.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9575390', '0', 'object/static/structure/general/shared_skeleton_ithorian_headandbody.iff', '-0.00998734', '0.000499783', '-0.0499767', '0.9987', '1639.05', '6.90461', '5432.6', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '9575391', '0', 'object/static/structure/general/shared_campfire_ash.iff', '0', '0', '0', '1', '5349.76', '0.924776', '4545.34', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9575392', '0', 'object/static/structure/tatooine/shared_guild_statue_free_style_01.iff', '0', '-0.688921', '0', '0.724836', '912.069', '78.5691', '4640.01', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '9575393', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '0', '0', '1', '3887', '29.3931', '3397', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9575394', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '3880', '29.8838', '3394', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9575395', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '3894', '29.7567', '3394', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9575396', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0', '0', '1', '911.262', '78.9659', '4640.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9575397', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '3880', '30.1271', '3386', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9575399', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '3894', '30.0267', '3386', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9575400', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '3880', '30.2612', '3378', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9575402', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0', '0', '1', '-3380.9', '37.9227', '-6013.04', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '9575403', '0', 'object/tangible/camp/shared_camp_cot.iff', '0', '-0.439462', '0', '0.898261', '-3381.82', '38.2453', '-6012.23', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '9575404', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '3894', '30.2486', '3378', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9575405', '0', 'object/tangible/camp/shared_camp_stool_short.iff', '0', '0', '0', '1', '-3381.8', '38.0517', '-6016.31', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '9575406', '0', 'object/tangible/camp/shared_campfire_logs_burnt.iff', '0', '0', '0', '1', '-3380.84', '38.0117', '-6016.73', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '9575409', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '-3379.58', '37.8629', '-6012.69', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '9575410', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0', '0', '1', '-3379.61', '38.0071', '-6013.42', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '9575412', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.741296', '0', '-0.671178', '-3380.46', '38.0887', '-6013.28', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '9575414', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '0', '0', '1', '3887', '30.0685', '3374', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9575418', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0.0149874', '-0.000599818', '-0.00999871', '0.999838', '-3362.59', '32.1928', '-3813.22', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '9575423', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0.0139933', '0.699574', '0.0142875', '0.71428', '-3362.32', '32.3054', '-3813.46', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '9575425', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0.0199987', '0', '0', '0.9998', '-3362.36', '32.2568', '-3812.52', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '9575427', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '-0.707106', '0', '0.707107', '3876', '29.7152', '3390', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9575428', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '-0.707106', '0', '0.707107', '3876', '30.2414', '3382', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9575429', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '0.707106', '0', '0.707107', '3898', '29.7999', '3383', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9575430', '0', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff', '0', '-0.707106', '0', '0.707107', '3898', '29.3798', '3391', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9575431', '0', 'object/static/structure/corellia/shared_corl_fountain_rectangle_s01.iff', '0', '0', '0', '1', '3887', '30.0562', '3386', '96', '1');
INSERT INTO `staticobjects` VALUES ('7', '9575439', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '-0.00488646', '0.991435', '-0.124579', '-0.0388878', '4309.18', '47.6924', '2564.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9575440', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '-0.0621155', '0.754343', '0.119666', '0.642486', '4311.63', '47.4683', '2561.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9575441', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0.123872', '0.330245', '-0.0385361', '0.934938', '4308.04', '47.6328', '2560.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645382', '0', 'object/static/structure/general/shared_prp_junk_s3.iff', '-0.00819156', '-0.426133', '-0.120142', '0.89661', '-1007.52', '-0.809511', '-5092.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645385', '0', 'object/tangible/camp/shared_camp_tent_s1.iff', '0', '0.394019', '0', '0.919102', '-2717.61', '33.081', '-2267.9', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645386', '0', 'object/tangible/camp/shared_camp_tent_s1.iff', '0', '0.864925', '0', '0.501902', '-2717.52', '33.2739', '-2263.4', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645387', '0', 'object/tangible/camp/shared_campfire_logs_burnt.iff', '0', '0', '0', '1', '-2716.21', '33.0303', '-2265.53', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645388', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '-2717.44', '33.1335', '-2265.23', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645390', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '0', '0', '1', '2354', '124.364', '-4981', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645391', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '0', '0', '1', '2354', '124.57', '-4997', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645392', '0', 'object/static/flora/shared_flora_bush_talus_razorcoil.iff', '0', '0', '0', '1', '223.667', '11.8248', '-5667.75', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645394', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.707106', '0', '0.707108', '2370', '124.48', '-4989', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645395', '0', 'object/static/flora/shared_flora_bush_talus_razorcoil.iff', '0', '-0.535416', '0', '0.844589', '225.53', '11.511', '-5666.89', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645396', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.707106', '0', '0.707107', '2338', '124.48', '-4989', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645397', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '-0.0499915', '0.00150334', '-0.0996389', '0.993766', '224.736', '11.5241', '-5668.83', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645398', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0', '0', '1', '224.859', '9.75087', '-5668.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645399', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0', '0', '1', '2370', '124.954', '-4997', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645400', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0', '0', '1', '2370', '124.857', '-4981', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645402', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0', '0', '1', '2338', '124.834', '-4997', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645403', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0', '0', '1', '2338', '124.952', '-4981', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645406', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0', '0', '1', '-3152.76', '5.38709', '-933.005', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645407', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '0', '0', '1', '-3152.35', '5.40798', '-910.042', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645408', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '-0.707105', '0', '0.707109', '-3160.51', '5.36989', '-925.267', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645411', '0', 'object/building/military/shared_outpost_shed.iff', '0', '1', '0', '3.20013e-08', '2378.47', '125.656', '-4981.42', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645412', '9645411', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645413', '9645411', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645414', '9645411', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645415', '9645411', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645416', '9645411', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645417', '9645411', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645421', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s01.iff', '0', '-0.707104', '0', '0.707109', '-3144.72', '4.66921', '-928.781', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645422', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '-3144.71', '5.67657', '-933.048', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645423', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '-3144.69', '5.37442', '-909.945', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645425', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '-0.707104', '0', '0.707109', '-3144.71', '5.4133', '-917.796', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645426', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff', '0', '-0.707086', '0', '0.707127', '-3160.49', '5.36598', '-917.757', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645427', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '0.795602', '0', '-0.60582', '1467.44', '23.0069', '-2672.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645429', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '-3160.41', '5.34457', '-910.132', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645430', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff', '0', '0', '0', '1', '-3160.49', '5.55709', '-933.009', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645433', '0', 'object/static/structure/corellia/shared_corl_fountain_statue_heroic_s01.iff', '0', '0', '0', '1', '-3153.48', '4.81389', '-917.708', '96', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645436', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.70328', '0', '0.710913', '-3148.39', '4.95506', '-915.752', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645437', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.703279', '0', '0.710914', '-3148.39', '4.91425', '-919.638', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645438', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '-0.00013495', '0.00539687', '-0.024997', '0.999673', '-3153.21', '5.36576', '-924.51', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645445', '0', 'object/static/structure/tatooine/shared_streetsign_upright_style_01.iff', '0', '0.699716', '0', '0.714421', '-3143.62', '4.82899', '-925.232', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645446', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0', '0', '0', '1', '1116.72', '26.9896', '-1769.54', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645449', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0', '0', '1', '1115.01', '27.1039', '-1765.9', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645450', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '1114.23', '27.0788', '-1767.09', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645451', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.696136', '0', '0.71791', '1114.25', '27.0865', '-1766.25', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645452', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '1114.23', '27.7825', '-1766.61', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645454', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.696135', '0', '0.717911', '1120.16', '37.3597', '-1769.42', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645455', '0', 'object/static/structure/general/shared_campfire_ash.iff', '0', '0', '0', '1', '-487.839', '40.3635', '-2072.52', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645456', '0', 'object/static/flora/shared_flora_bush_talus_razorcoil.iff', '0', '-0.375559', '0', '0.926798', '-489.767', '40.3519', '-2072.79', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645457', '0', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_01.iff', '0.006335', '0.084548', '-0.0147499', '0.99629', '-485.911', '40.2593', '-2072.88', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645466', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.827702', '0', '-0.561168', '-488.559', '40.2867', '-2070.67', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645471', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0.303341', '-0.126635', '0.174661', '0.928139', '-1732.04', '18.2373', '-2889.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645473', '0', 'object/static/structure/general/shared_prp_junk_s1.iff', '0.303341', '-0.126635', '0.174661', '0.928139', '-1731.41', '18.2921', '-2889.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645474', '0', 'object/static/structure/general/shared_prp_junk_s2.iff', '0.208439', '0.00296078', '0.977932', '-0.0138911', '-1733.52', '18.4004', '-2888.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645475', '0', 'object/static/structure/general/shared_prp_junk_s3.iff', '0', '0', '-0.37092', '0.928665', '-1731.92', '17.0806', '-2890.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645476', '0', 'object/static/structure/general/shared_prp_junk_s4.iff', '0.268671', '0.0434236', '-0.651319', '0.708318', '-1728.55', '17.3724', '-2890.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645477', '0', 'object/static/structure/general/shared_prp_junk_s5.iff', '0', '0', '-0.564642', '0.825336', '-1732.07', '17.947', '-2886.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645479', '0', 'object/static/structure/general/shared_prp_junk_s7.iff', '0', '0', '0.29552', '0.955337', '-1729.35', '17.3043', '-2891.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645480', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '-0.285677', '0.622904', '-0.303595', '0.661974', '-1732.07', '18.6229', '-2893.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645483', '0', 'object/building/corellia/shared_filler_slum_16x16_s01.iff', '0', '0.688921', '0', '0.724836', '16.7992', '4.43489', '-931.295', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645484', '0', 'object/building/corellia/shared_filler_slum_16x32_s01.iff', '0', '0', '0', '1', '27.236', '6.6504', '-906.745', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645490', '0', 'object/building/endor/shared_endr_lake_rail16m.iff', '-0.045254', '0.715841', '-0.0465953', '-0.695235', '9.10297', '5.23232', '-915.808', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645491', '0', 'object/static/item/shared_item_con_barrel_lg_s1.iff', '0.999863', '0.00499936', '-7.89783e-05', '0.0157955', '15.3102', '6.8127', '-910.511', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645492', '0', 'object/static/particle/shared_particle_campfire_style_1.iff', '0', '0', '0', '1', '15.2335', '6.6213', '-910.474', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645493', '0', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '-0.706825', '0', '0.707389', '20.1848', '6.63509', '-901.794', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645494', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0', '0', '1', '20.4284', '6.15814', '-920.187', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645495', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0', '0.997495', '-0.0707373', '20.0424', '6.37995', '-920.986', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645497', '0', 'object/static/structure/general/shared_prp_junk_s1.iff', '0', '-0.585097', '0', '0.810963', '19.9218', '5.49694', '-922.382', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645503', '0', 'object/tangible/furniture/all/shared_frn_all_toolchest_med_s01.iff', '-0.53178', '0.0624723', '0.111684', '0.837158', '-1227.38', '41.2628', '4345.47', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645505', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0.119712', '0', '0', '0.992809', '-1227.58', '41.3858', '4343.97', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645506', '0', 'object/static/flora/shared_flora_decd_endr_destree_dead.iff', '0', '0', '0', '1', '17.293', '6.63132', '-895.763', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645507', '0', 'object/static/flora/shared_flora_decd_endr_destree_dead.iff', '0', '0.720831', '0', '-0.693111', '18.2522', '6.13693', '-915.02', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645508', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0', '0', '1', '-1227.97', '41.4201', '4344.31', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645509', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '-0.0549723', '0.998488', '-1229.04', '41.2388', '4345.46', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645510', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0.109729', '0.00329285', '-0.0298142', '0.993509', '-1229.38', '41.6357', '4342.9', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645512', '0', 'object/static/structure/general/shared_campfire_ash.iff', '0', '0', '0', '1', '-1230.85', '41.485', '4345.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686134', '0', 'object/building/general/shared_bunker_rebel_weapons_depot.iff', '0', '0.928369', '0', '0.37166', '-4940.28', '66', '-3103.98', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686135', '9686134', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686136', '9686134', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686137', '9686134', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686138', '9686134', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686139', '9686134', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686140', '9686134', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686141', '9686134', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686142', '9686134', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686143', '9686134', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686309', '9686143', 'object/tangible/hq_destructible/shared_security_terminal.iff', '0', '0', '0', '1', '54.4461', '-12', '51.0797', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686144', '9686134', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686145', '9686134', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686146', '9686134', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686147', '9686134', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686148', '9686134', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686149', '9686134', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686329', '9686149', 'object/tangible/hq_destructible/shared_power_regulator.iff', '0', '-0.707106', '0', '0.707107', '11.4899', '-12', '112.965', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686150', '9686134', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686151', '9686134', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686152', '9686134', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686153', '9686134', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686154', '9686134', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686155', '9686134', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686156', '9686134', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686157', '9686134', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686158', '9686134', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686159', '9686134', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686160', '9686134', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686161', '9686134', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686162', '9686134', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686163', '9686134', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645673', '9686163', 'object/tangible/hq_destructible/shared_uplink_terminal.iff', '0', '0.707106', '0', '0.707107', '11.939', '-20', '46.8021', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686164', '9686134', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686165', '9686134', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686166', '9686134', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686167', '9686134', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686168', '9686134', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686169', '9686134', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686170', '9686134', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686171', '9686134', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645679', '9686171', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff', '0', '-0.707106', '0', '0.707107', '60.5288', '-50', '54.7637', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645681', '9686171', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff', '0', '-0.707106', '0', '0.707107', '60.5414', '-50', '51.7862', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645682', '9686171', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff', '0', '0.707107', '0', '-0.707107', '60.5455', '-50', '48.7698', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645683', '9686171', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff', '0', '0.707107', '0', '-0.707107', '60.5512', '-50', '45.7973', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645684', '9686171', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff', '0', '-0.707106', '0', '0.707107', '60.5366', '-50', '42.7796', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645685', '9686171', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff', '0', '-0.707106', '0', '0.707107', '60.5599', '-50', '39.7967', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645686', '9686171', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff', '0', '0.707106', '0', '0.707107', '66.51', '-50', '54.7803', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645687', '9686171', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff', '0', '0.707106', '0', '0.707107', '66.493', '-50', '51.7885', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645688', '9686171', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff', '0', '0.707106', '0', '0.707107', '66.4513', '-50', '48.7806', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645689', '9686171', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff', '0', '0.707106', '0', '0.707107', '66.4848', '-50', '45.7967', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645690', '9686171', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff', '0', '0.707106', '0', '0.707107', '66.4919', '-50', '42.7746', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645691', '9686171', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff', '0', '0.707106', '0', '0.707107', '66.4778', '-50', '39.7971', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686172', '9686134', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686173', '9686134', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686174', '9686134', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686175', '9686134', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645698', '9686175', 'object/tangible/terminal/shared_terminal_hq.iff', '0', '0.707106', '0', '0.707107', '16.9342', '-50', '24.956', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686176', '9686134', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686177', '9686134', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686178', '9686134', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686179', '9686134', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645714', '9686179', 'object/tangible/hq_destructible/shared_override_terminal.iff', '0', '0.707106', '0', '0.707107', '-142.982', '-50', '54.2775', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645715', '9686179', 'object/static/item/shared_item_tech_console_sectional_a.iff', '0', '0.707106', '0', '0.707107', '-143.043', '-50', '48.679', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '9645716', '9686179', 'object/static/item/shared_item_tech_console_sectional_a.iff', '0', '0.707106', '0', '0.707107', '-143.065', '-50', '59.7857', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686180', '9686134', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686181', '9686134', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686182', '9686134', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686183', '9686134', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686186', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0.394019', '0', '0.919102', '-4931', '65.9786', '-3101', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686188', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '-4933.77', '66', '-3119.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686189', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '-4924', '66', '-3111', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686190', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '-4920.35', '66', '-3114.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686191', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '-4929.77', '66', '-3123.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686192', '0', 'object/static/structure/military/shared_military_wall_weak_rebl_16_style_01.iff', '0', '-0.707106', '0', '0.707107', '-4948', '66', '-3112', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686193', '0', 'object/static/structure/military/shared_military_wall_weak_rebl_16_style_01.iff', '0', '0', '0', '1', '-4931', '66', '-3097', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686194', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '-4948', '66', '-3120.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686195', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '-4922.56', '66', '-3097.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686196', '0', 'object/static/structure/military/shared_military_wall_weak_rebl_16_style_01.iff', '0', '0.92388', '0', '-0.382683', '-4942.02', '66', '-3126.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686197', '0', 'object/static/structure/military/shared_military_wall_weak_rebl_16_style_01.iff', '0', '0.92388', '0', '-0.382683', '-4916.52', '66', '-3103.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686198', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '-4936.01', '66', '-3132.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686199', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '-4910.55', '66', '-3108.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686200', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_1.iff', '0', '0', '0', '1', '-4945.62', '66', '-3110.44', '256', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686201', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_2.iff', '0', '0', '0', '1', '-4945.72', '66', '-3114.08', '256', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686202', '0', 'object/static/structure/military/shared_military_wall_weak_rebl_style_01.iff', '0', '0', '0', '1', '-4931.6', '66', '-3132.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686203', '0', 'object/static/structure/military/shared_military_wall_weak_rebl_style_01.iff', '0', '-0.707106', '0', '0.707107', '-4910.5', '66', '-3113.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686204', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '-4910.46', '66', '-3117.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686205', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '-4927.11', '66', '-3132.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686206', '0', 'object/static/structure/military/shared_bunker_crate_style_01.iff', '0', '0.384808', '0', '0.922997', '-4936.1', '66', '-3127.25', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686207', '0', 'object/static/structure/military/shared_bunker_crate_style_01.iff', '0', '-0.361615', '0', '0.932327', '-4938.33', '66', '-3123.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686208', '0', 'object/building/general/shared_bunker_imperial_detainment_center_01.iff', '0', '-0.21823', '0', '0.975897', '4989.46', '450', '-6037.93', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686209', '9686208', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686210', '9686208', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686211', '9686208', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686212', '9686208', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686213', '9686208', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686214', '9686208', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686346', '9686214', 'object/tangible/terminal/shared_terminal_hq.iff', '0', '-0.707106', '0', '0.707107', '-46.7249', '-8.99', '-6.64731', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686215', '9686208', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686357', '9686215', 'object/tangible/hq_destructible/shared_override_terminal.iff', '0', '-0.707106', '0', '0.707107', '35.7306', '-16.99', '60.571', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686216', '9686208', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686217', '9686208', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686218', '9686208', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686219', '9686208', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686220', '9686208', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686221', '9686208', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686222', '9686208', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686383', '9686222', 'object/tangible/hq_destructible/shared_security_terminal.iff', '0', '0.707106', '0', '0.707107', '-26.4652', '-22.99', '233.362', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686223', '9686208', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686389', '9686223', 'object/tangible/hq_destructible/shared_power_regulator.iff', '0', '-0.707106', '0', '0.707107', '-74.5694', '-22.99', '256.187', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686224', '9686208', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686225', '9686208', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686398', '9686225', 'object/tangible/hq_destructible/shared_uplink_terminal.iff', '0', '1', '0', '6.3473e-07', '43.5024', '-22.99', '283.715', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686233', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.526943', '0', '0.849901', '4991.74', '449.899', '-6006.2', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686234', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.220863', '0', '0.975305', '4993.34', '449.921', '-6046.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686235', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.21823', '0', '0.975897', '4976.34', '449.845', '-6008.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686236', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '-0.21823', '0', '0.975897', '5000.82', '450.269', '-6042.4', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686237', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '-0.213347', '0', '0.976976', '4985.93', '450.238', '-6049.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686238', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '0.535416', '0', '0.844589', '4993.83', '449.891', '-6027.59', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686239', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff', '0', '0.535417', '0', '0.844588', '4978.96', '449.863', '-6034.77', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686240', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '-0.21823', '0', '0.975897', '4986.86', '450.256', '-6012.81', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686241', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '-0.213347', '0', '0.976977', '4972.04', '450.254', '-6020.08', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686242', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '-0.21823', '0', '0.975897', '4983.8', '450.272', '-6005.21', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686243', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '-0.21823', '0', '0.975897', '4968.76', '450.263', '-6012.27', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686244', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.526944', '0', '0.8499', '4964.52', '449.856', '-6018.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686245', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0.52467', '0', '0.851306', '4987.96', '450.287', '-5998.62', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686246', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0.86463', '0', '-0.50241', '4995.4', '450.26', '-6013.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686247', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0.844375', '0', '-0.535752', '4968.18', '450.295', '-6025.61', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686248', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0.844375', '0', '-0.535752', '4960.76', '450.251', '-6010.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686249', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_1.iff', '0', '0', '0', '1', '5001.68', '450', '-6040.23', '256', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686250', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_2.iff', '0', '0.174108', '0', '0.984727', '5000.57', '450', '-6038.05', '256', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686251', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0.838759', '0', '-0.544503', '4979.2', '450.45', '-6042.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9686252', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '-0.203567', '0', '0.979061', '4976.95', '450', '-6009.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9795446', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0.052895', '0.840824', '-0.0564458', '-0.535752', '-2449.77', '39.003', '3843.36', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '9815424', '0', 'object/building/general/shared_talus_traitor_erran.iff', '0', '0', '0', '1', '2147.33', '122', '-5632.12', '512', '1');
INSERT INTO `staticobjects` VALUES ('7', '9815425', '9815424', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9815426', '9815424', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '134417', '9815426', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0', '0', '1', '-3.48832', '0.25', '-5.03462', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '9815427', '9815424', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9815428', '9815424', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9815429', '9815424', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '134416', '9815429', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0.912764', '0', '0.408487', '-7.67999', '-6.75', '0.00094953', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '9815430', '9815424', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '134414', '9815430', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0.328769', '0', '0.94441', '-7.3708', '-6.76678', '-17.6424', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '134415', '9815430', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0', '0', '1', '7.88572', '-6.76678', '-12.3353', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '3795407', '9815430', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_imperial_destroy_01.iff', '0', '0', '0', '1', '-3.67356', '-6.76678', '-18.1254', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '9815431', '9815424', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '134413', '9815431', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0.707107', '0', '0.707107', '1.93206', '-6.75', '-6.44368', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '9815432', '9815424', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '9815433', '9815424', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('7', '134412', '9815433', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0', '0', '1', '-2.5171', '-13.75', '-18.3738', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '9815510', '9815433', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0.314567', '0', '0.949235', '-7.31137', '-13.75', '-15.9379', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '9815435', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.707106', '0', '0.707107', '2139', '122', '-5634', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9815436', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0', '0', '1', '2139', '121.756', '-5642', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9815437', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '1', '0', '-1.84353e-06', '2147', '122', '-5642', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9815438', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0', '0', '1', '2155', '122', '-5642', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9815439', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '-0.707106', '0', '0.707107', '2155', '122', '-5634', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9815440', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0', '0', '1', '2155', '122', '-5626', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9815441', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.707107', '0', '-0.707107', '2155', '122', '-5618', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9815442', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0', '0', '1', '2155', '122', '-5610', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9815443', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0', '0', '1', '2139', '122', '-5627', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9815444', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff', '0', '0.707107', '0', '-0.707107', '2139', '122', '-5619', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9815445', '0', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff', '0', '0', '0', '1', '2139', '122', '-5611', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9815446', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '2153.44', '122', '-5618.68', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '9815447', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '2153.23', '122', '-5618.98', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '9815448', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0.710354', '0', '0', '0.703845', '2152.72', '122.126', '-5618.34', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '9815449', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '2152.11', '122', '-5618.82', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '9815450', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.448423', '0', '0.893822', '2153.49', '122', '-5617.48', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '9815452', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '2141.31', '122', '-5618.72', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '9815453', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '2141.41', '122', '-5616.8', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '9815454', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0', '0', '1', '2142.4', '122', '-5617.75', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '9815455', '0', 'object/static/structure/talus/shared_talus_imprv_flagpole_s01.iff', '0', '0', '0', '1', '2139.13', '122', '-5609.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9815457', '0', 'object/static/structure/corellia/shared_corl_power_arial_prime.iff', '0', '0', '0', '1', '2146.41', '126.318', '-5631.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9815458', '0', 'object/static/structure/corellia/shared_corl_power_arial_thin.iff', '0', '0', '0', '1', '2145.62', '125.885', '-5630.19', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9815460', '0', 'object/static/structure/corellia/shared_corl_tent_med.iff', '0', '0', '0', '1', '2161.27', '122', '-5636.34', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '9815465', '0', 'object/static/structure/corellia/shared_corl_power_box_node.iff', '0', '0', '0', '1', '2160.78', '122', '-5638.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9815466', '0', 'object/static/structure/corellia/shared_corl_power_connector.iff', '0', '1', '0', '3.20013e-08', '2154.81', '121.426', '-5639.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('7', '9815467', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '2157.59', '122', '-5637.22', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '9815468', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.375559', '0', '0.926798', '2157.04', '122', '-5636.58', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '9815469', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0', '0', '1', '2156.83', '122', '-5634.54', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '9815470', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '0', '0', '1', '2156.5', '122', '-5637.75', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '9815471', '0', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '2155.87', '122', '-5632.89', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '9815472', '0', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '2156.24', '122', '-5632.85', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '9815473', '0', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '2156.07', '122', '-5632.6', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '9815474', '0', 'object/static/item/shared_item_container_armor.iff', '0', '0.984588', '0', '-0.174892', '2157.4', '122', '-5631.86', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '9815475', '0', 'object/static/item/shared_item_container_weapons.iff', '0', '0.720831', '0', '-0.693111', '2156.73', '122.103', '-5635.18', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '9815476', '0', 'object/static/item/shared_item_container_weapons.iff', '0', '0.997523', '0', '-0.0703401', '2158.87', '122', '-5633.38', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '9815477', '0', 'object/tangible/furniture/all/shared_frn_all_toolchest_lg_s01.iff', '0', '0.877201', '0', '-0.480124', '2164.24', '121.905', '-5632.65', '50', '1');
INSERT INTO `staticobjects` VALUES ('7', '9815478', '0', 'object/static/item/shared_item_security_scanner.iff', '0', '-0.707106', '0', '0.707108', '2146.25', '123.655', '-5620.81', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '9815479', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '0', '0', '1', '2143.64', '121.924', '-5619.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('7', '9815481', '0', 'object/static/installation/shared_mockup_mining_ore_harvester_style_2.iff', '0', '-0.707106', '0', '0.707107', '2161.78', '122', '-5619.95', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '9815482', '0', 'object/static/particle/shared_pt_survey_mineral_sample.iff', '0', '0', '0', '1', '2162.18', '122', '-5619.46', '64', '1');
INSERT INTO `staticobjects` VALUES ('7', '9815485', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.40319', '0', '0.915116', '2158.12', '122', '-5615.47', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '9815486', '0', 'object/static/item/shared_item_container_inorganic_chemicals.iff', '0', '0', '0', '1', '2156.76', '122', '-5615.74', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '9815487', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '2158.58', '122.854', '-5615.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('7', '9815492', '0', 'object/static/structure/general/shared_data_terminal_s4.iff', '0', '-0.707106', '0', '0.707107', '2154.41', '122.36', '-5609.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '356', '0', 'object/static/item/shared_item_carbine_elite.iff', '0.372605', '0.372605', '0.60097', '0.600971', '-1018.87', '10.905', '-3529.83', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '358', '0', 'object/static/item/shared_item_tool_radio.iff', '0', '1', '0', '-3.20013e-08', '-1018.91', '10.8854', '-3529.55', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '359', '0', 'object/static/item/shared_item_con_ration_kit_lg.iff', '0', '0.812743', '0', '-0.582622', '-1015.25', '10.88', '-3530.05', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '360', '0', 'object/static/item/shared_item_con_ration_kit_lg.iff', '0', '0.916923', '0', '-0.399064', '-1014.94', '10.88', '-3530.32', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '366', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.384808', '0', '0.922997', '-1014.85', '10', '-3530.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '367', '0', 'object/static/item/shared_item_con_ration_kit_m.iff', '0', '0.948985', '0', '-0.315322', '-1014.77', '10.88', '-3530.72', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '370', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.707106', '0', '0.707107', '-1162.43', '12', '-3691.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '372', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.434965', '0', '0.900447', '-1184.21', '12', '-3625.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '373', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.72083', '0', '-0.693112', '-1229.08', '12', '-3686.13', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '374', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.114747', '0', '0.993395', '-1237.11', '12', '-3686.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '375', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.0249974', '0', '0.999687', '-1220.97', '12', '-3685.54', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '376', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.724562', '0', '-0.68921', '-1217.1', '12', '-3685.58', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '377', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0.991413', '0', '-0.130768', '-1222.92', '12', '-3682.96', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '378', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.354799', '0', '0.934943', '-1186.2', '12', '-3640.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '382', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0.345432', '1.10543e-08', '0.938444', '-3.00314e-08', '-1186.2', '13.1071', '-3640.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '383', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0.354799', '0', '0.934942', '-1169.12', '12', '-3654.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '384', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0.345432', '0', '0.938444', '0', '-1169.12', '13.1071', '-3654.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '393', '0', 'object/tangible/camp/shared_camp_tent_s5.iff', '0', '0.992904', '0', '0.118921', '-4697.91', '30.3256', '5461.32', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '399', '0', 'object/tangible/camp/shared_camp_cot_s1.iff', '0', '0', '0', '1', '-4465.32', '33.0475', '5782.73', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '406', '0', 'object/tangible/camp/shared_campfire_logs_burnt.iff', '0', '0.00499998', '0', '0.999987', '-4881.9', '94.9505', '2953.75', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '407', '0', 'object/tangible/camp/shared_camp_tent_s1.iff', '0', '0', '0', '1', '-4881.86', '93.3669', '2944.24', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '408', '0', 'object/tangible/camp/shared_camp_cot_s1.iff', '0', '0', '0', '1', '-6891.19', '68.9905', '1512.12', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '410', '0', 'object/tangible/camp/shared_camp_cot_s1.iff', '0', '0', '0', '1', '-4934.34', '10.1818', '1258.24', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '411', '0', 'object/tangible/camp/shared_camp_cot_s1.iff', '0', '-0.380188', '0', '0.924909', '-4932', '10.2664', '1256.29', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '412', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '-4936.04', '10.0881', '1260.13', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '413', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '-4936.21', '10.0812', '1260.84', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '414', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '-4937.6', '10.0324', '1258.43', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '420', '0', 'object/static/particle/shared_particle_smoke.iff', '0', '0', '0', '1', '-5790.58', '30.7416', '-557.732', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '450', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0', '0.144492', '0.989506', '-4943.25', '29.3627', '-5544.67', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '451', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '-0.319309', '0.947651', '-4941.17', '29.8011', '-5550.9', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '452', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '-0.114747', '0.993395', '-4938.64', '30.5129', '-5546.22', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '453', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '-4941.6', '30.2696', '-5546.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '454', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0', '0', '1', '-4941.49', '31.0426', '-5544.14', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '455', '0', 'object/tangible/camp/shared_camp_cot_s1.iff', '0.999707', '0', '0', '0.0242012', '-4942.17', '31.0344', '-5548.79', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '457', '0', 'object/tangible/camp/shared_camp_tent_s5.iff', '0', '0', '0', '1', '-4932.01', '28.9323', '-5547.97', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '458', '0', 'object/static/particle/shared_pt_poi_broken_electronics.iff', '0', '0', '0', '1', '-4930.42', '30.5121', '-5551.13', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '460', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '-0.0416757', '0.00013237', '-0.00317341', '0.999126', '-4932.79', '29.6464', '-5553.32', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '477', '0', 'object/static/particle/shared_pt_survey_tool_liquid.iff', '0', '0', '0', '1', '-6634.7', '39.7834', '-5643.16', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '485', '0', 'object/static/particle/shared_pt_miasma_of_fog_red.iff', '0', '0', '0', '1', '-6714.37', '49.3876', '-5671.87', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '486', '0', 'object/static/particle/shared_pt_survey_gas_sample.iff', '0', '0', '0', '1', '-6715.44', '49.7356', '-5671.27', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '487', '0', 'object/static/structure/general/shared_skeleton_human_body.iff', '0', '0', '0', '1', '-6715.87', '49.5341', '-5665.61', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '488', '0', 'object/static/structure/general/shared_skeleton_human_body.iff', '0', '0', '0', '1', '-6707.71', '48.1769', '-5672.13', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '489', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '-0.342829', '-0.018786', '-0.006857', '0.939185', '-6714.69', '49.2004', '-5671.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '500', '0', 'object/tangible/camp/shared_camp_tent_s2.iff', '0', '0.999359', '0', '-0.0357887', '-3985.64', '18.4559', '-3045.62', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '501', '0', 'object/tangible/camp/shared_camp_stool_tall.iff', '0', '0', '0', '1', '-3989.41', '18.1439', '-3046.64', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '502', '0', 'object/tangible/camp/shared_campfire_logs_ash.iff', '0', '0', '0', '1', '-3987.2', '16.125', '-3059.56', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '503', '0', 'object/tangible/camp/shared_camp_lawn_chair.iff', '0', '-0.281157', '0', '0.959662', '-3978.77', '16.9186', '-3057.72', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '504', '0', 'object/tangible/camp/shared_camp_lantern_s3.iff', '0', '0', '0', '1', '-3987.76', '18.1823', '-3046.76', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '529', '0', 'object/tangible/sign/shared_tatooine_moraj_marker.iff', '-0.00970664', '0.149123', '-0.0642249', '0.986683', '-776.835', '21.6144', '-4043.79', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '59861', '0', 'object/static/terrain/tatooine/shared_rock_spire_lumpy_tatooine.iff', '0', '0', '0', '1', '2246.59', '0.59428', '4904.43', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '59863', '0', 'object/static/terrain/tatooine/shared_rock_spire_smooth_tatooine_style_1.iff', '0', '0', '0', '1', '2201.32', '-2.56735', '4898.06', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '59864', '0', 'object/static/terrain/tatooine/shared_rock_spire_smooth_tatooine_style_2.iff', '0', '0', '0', '1', '2234.53', '-3.99295', '4940.58', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '60360', '0', 'object/static/terrain/tatooine/shared_rock_arch_medium_tatooine_style_1.iff', '0', '0.651841', '0', '0.758356', '-309.059', '0', '3849.6', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '60361', '0', 'object/static/terrain/tatooine/shared_rock_arch_medium_tatooine_style_1.iff', '0', '0.581034', '0', '0.813879', '-104.193', '0', '3732.2', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '60362', '0', 'object/static/terrain/tatooine/shared_rock_arch_small_tatooine_style_1.iff', '0', '0.56051', '0', '0.828148', '-148.322', '0', '3909.89', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '60363', '0', 'object/static/terrain/tatooine/shared_rock_arch_medium_tatooine_style_1.iff', '0', '0.651837', '0', '0.758359', '-335.404', '-0.048073', '3979.2', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '60364', '0', 'object/static/terrain/tatooine/shared_rock_arch_medium_tatooine_style_1.iff', '0', '-0.560509', '0', '0.828148', '-459.874', '0', '3841.88', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '60365', '0', 'object/static/terrain/tatooine/shared_rock_arch_small_tatooine_style_1.iff', '0', '0.901854', '0', '0.432042', '-440.178', '0', '3882.18', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '60367', '0', 'object/static/terrain/tatooine/shared_pinnacle_sacred_tatooine.iff', '0', '0', '0', '1', '2287.33', '2.00002', '4970.29', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '60368', '0', 'object/static/terrain/tatooine/shared_rock_spire_skinny_tatooine_style_1.iff', '0', '0', '0', '1', '2204.6', '5.95541', '4930.95', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '60369', '0', 'object/static/terrain/tatooine/shared_rock_spire_skinny_tatooine_style_2.iff', '0', '0', '0', '1', '2327.42', '1.99999', '4909.91', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '60371', '0', 'object/static/terrain/tatooine/shared_rock_spire_lumpy_tatooine_style_2.iff', '0', '0', '0', '1', '2832.4', '0.730737', '4499.21', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '60372', '0', 'object/static/terrain/tatooine/shared_rock_spire_lumpy_tatooine.iff', '0', '0', '0', '1', '2807.49', '8e-06', '4549.76', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '60373', '0', 'object/static/terrain/tatooine/shared_rock_spire_skinny_tatooine_style_1.iff', '0', '0', '0', '1', '2942.14', '1.49207', '4529', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '60374', '0', 'object/static/terrain/tatooine/shared_rock_spire_skinny_tatooine_style_2.iff', '0', '0', '0', '1', '2822.04', '0.410507', '4514.71', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '60376', '0', 'object/static/terrain/tatooine/shared_rock_spire_lumpy_tatooine.iff', '0', '0', '0', '1', '2102.01', '10.4261', '4410.64', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '60377', '0', 'object/static/terrain/tatooine/shared_rock_spire_lumpy_tatooine_style_2.iff', '0', '0.757105', '0', '-0.653293', '2110.92', '3.52896', '4385.91', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '60379', '0', 'object/static/terrain/tatooine/shared_rock_spire_skinny_tatooine_style_2.iff', '0', '0', '0', '1', '2126.02', '-19.6573', '4368.99', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '60382', '0', 'object/static/terrain/tatooine/shared_rock_spire_skinny_tatooine_style_2.iff', '0', '0', '0', '1', '1690.83', '-24.8145', '4344.49', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '60385', '0', 'object/static/terrain/tatooine/shared_rock_spire_lumpy_tatooine.iff', '0', '0', '0', '1', '1662.74', '6.92834', '4356.1', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '60387', '0', 'object/static/terrain/tatooine/shared_rock_spire_smooth_tatooine.iff', '0', '0', '0', '1', '-109.911', '0', '3694.64', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '60388', '0', 'object/static/terrain/tatooine/shared_rock_spire_smooth_tatooine_style_1.iff', '0', '0', '0', '1', '-145.004', '0', '3810.54', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '60389', '0', 'object/static/terrain/tatooine/shared_rock_spire_smooth_tatooine_style_2.iff', '0', '0', '0', '1', '-337.705', '5.47889', '4011.98', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '60390', '0', 'object/static/terrain/tatooine/shared_rock_spire_smooth_tatooine.iff', '0', '0', '0', '1', '9.94151', '-0.129381', '3920.61', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '60391', '0', 'object/static/terrain/tatooine/shared_rock_spire_smooth_tatooine_style_1.iff', '0', '0', '0', '1', '183.493', '0', '4046.09', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '60392', '0', 'object/static/terrain/tatooine/shared_rock_spire_smooth_tatooine_style_2.iff', '0', '0', '0', '1', '-311.68', '8.5892', '3881.86', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '60393', '0', 'object/static/terrain/tatooine/shared_rock_spire_smooth_tatooine.iff', '0', '0', '0', '1', '-319.628', '0', '3906.61', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '60394', '0', 'object/static/terrain/tatooine/shared_rock_spire_smooth_tatooine_style_2.iff', '0', '0', '0', '1', '-110.389', '-17.4883', '3675.45', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '60395', '0', 'object/static/terrain/tatooine/shared_rock_mushroom_tatooine_style_1.iff', '0', '0', '0', '1', '856.276', '-30', '5416.83', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '60396', '0', 'object/static/terrain/tatooine/shared_rock_mushroom_tatooine_style_1.iff', '0', '0', '0', '1', '1053.09', '-30', '5518.76', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '60397', '0', 'object/static/terrain/tatooine/shared_rock_mushroom_tatooine_style_1.iff', '0', '0', '0', '1', '1030.99', '-30', '5396.05', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '60398', '0', 'object/static/terrain/tatooine/shared_rock_mushroom_tatooine_style_1.iff', '0', '0', '0', '1', '872.3', '-30', '5460.64', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '60399', '0', 'object/static/terrain/tatooine/shared_rock_mushroom_tatooine_style_1.iff', '0', '0', '0', '1', '933.832', '-30', '5379.62', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '60400', '0', 'object/static/terrain/tatooine/shared_rock_mushroom_tatooine_style_1.iff', '0', '0', '0', '1', '1177.68', '-30', '5521.44', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '60401', '0', 'object/static/terrain/tatooine/shared_rock_mushroom_tatooine_style_1.iff', '0', '0', '0', '1', '792.605', '-30', '5523.83', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '60402', '0', 'object/static/terrain/tatooine/shared_rock_mushroom_tatooine_style_1.iff', '0', '-0.597195', '0', '0.802096', '929.232', '-30', '5548.22', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '66316', '0', 'object/static/terrain/tatooine/shared_rock_spire_lumpy_tatooine.iff', '0', '0', '0', '1', '-472.927', '0', '3804.69', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '66317', '0', 'object/static/terrain/tatooine/shared_rock_spire_skinny_tatooine.iff', '0', '0', '0', '1', '-465.716', '0', '3789.57', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '66318', '0', 'object/static/terrain/tatooine/shared_rock_spire_smooth_tatooine.iff', '0', '0', '0', '1', '-487.956', '8e-06', '3786.58', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '66319', '0', 'object/static/terrain/tatooine/shared_rock_spire_smooth_tatooine_style_1.iff', '0', '0', '0', '1', '-522.871', '0', '3617.21', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '66320', '0', 'object/static/terrain/tatooine/shared_rock_spire_smooth_tatooine_style_2.iff', '0', '0', '0', '1', '-512.216', '-15.3113', '3628.33', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '66321', '0', 'object/static/terrain/tatooine/shared_rock_spire_smooth_tatooine.iff', '0', '0', '0', '1', '-354.134', '0', '3589.07', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '66322', '0', 'object/static/terrain/tatooine/shared_rock_arch_small_tatooine_style_1.iff', '0', '-0.466208', '0', '0.884675', '-494.839', '0', '3652.4', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '66323', '0', 'object/static/terrain/tatooine/shared_rock_arch_medium_tatooine_style_1.iff', '0', '-0.375559', '0', '0.926798', '-539.673', '-8e-06', '3598.73', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '66324', '0', 'object/static/terrain/tatooine/shared_rock_spire_smooth_tatooine.iff', '0', '0', '0', '1', '-477.654', '0', '3718.68', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '66325', '0', 'object/static/terrain/tatooine/shared_rock_spire_skinny_tatooine_style_2.iff', '0', '0', '0', '1', '-483.004', '0', '3701.23', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '81316', '0', 'object/static/terrain/tatooine/shared_rock_arch_small_tatooine_style_1.iff', '0', '0.581034', '0', '0.813879', '49.5838', '0', '3779.16', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '81317', '0', 'object/static/terrain/tatooine/shared_rock_spire_lumpy_tatooine.iff', '0', '0', '0', '1', '858.768', '-30', '5496.78', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '81318', '0', 'object/static/terrain/tatooine/shared_rock_spire_lumpy_tatooine_style_2.iff', '0', '0', '0', '1', '1034.43', '-30', '5330.16', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '81319', '0', 'object/static/terrain/tatooine/shared_rock_spire_lumpy_tatooine_style_1.iff', '0', '0', '0', '1', '817.885', '-29.975', '5339.51', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '81320', '0', 'object/static/terrain/tatooine/shared_rock_spire_skinny_tatooine.iff', '0', '0', '0', '1', '866.168', '-30', '5476.48', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '81321', '0', 'object/static/terrain/tatooine/shared_rock_spire_skinny_tatooine_style_1.iff', '0', '0', '0', '1', '783.719', '-29.7931', '5539.8', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '81322', '0', 'object/static/terrain/tatooine/shared_rock_spire_skinny_tatooine_style_2.iff', '0', '0', '0', '1', '1065.43', '-30', '5572.49', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '81323', '0', 'object/static/terrain/tatooine/shared_rock_spire_smooth_tatooine.iff', '0', '0', '0', '1', '942.507', '-30', '5361.84', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '81324', '0', 'object/static/terrain/tatooine/shared_rock_spire_smooth_tatooine_style_1.iff', '0', '0', '0', '1', '944.21', '-30', '5473.51', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '81325', '0', 'object/static/terrain/tatooine/shared_rock_spire_smooth_tatooine_style_2.iff', '0', '0', '0', '1', '849.948', '-30', '5391.3', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '102316', '0', 'object/static/terrain/tatooine/shared_rock_arch_large_tatooine_style_1.iff', '0', '0.659383', '0', '0.751808', '-133.344', '0.026263', '3856.8', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '102317', '0', 'object/static/terrain/tatooine/shared_rock_arch_large_tatooine_style_1.iff', '0', '0.903679', '0', '-0.428211', '24.3893', '0', '3880.68', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '102318', '0', 'object/static/terrain/tatooine/shared_rock_arch_large_tatooine_style_1.iff', '0', '0.724171', '0', '-0.689621', '-353.764', '0', '4054.54', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '102319', '0', 'object/static/terrain/tatooine/shared_rock_arch_medium_tatooine_style_1.iff', '0', '0.87382', '0', '-0.486249', '33.9806', '0', '3818.84', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '102320', '0', 'object/static/terrain/tatooine/shared_rock_arch_large_tatooine_style_1.iff', '0', '-0.632673', '0', '0.774419', '-359.254', '-8e-06', '3547.17', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '102321', '0', 'object/static/terrain/tatooine/shared_rock_arch_small_tatooine_style_1.iff', '0', '0.731146', '0', '-0.682221', '-358.525', '0.604866', '3621', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '102322', '0', 'object/static/terrain/tatooine/shared_rock_arch_medium_tatooine_style_1.iff', '0', '-0.526942', '0', '0.849901', '-353.274', '0', '3662.71', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '102323', '0', 'object/static/terrain/tatooine/shared_rock_spire_skinny_tatooine.iff', '0', '-0.271547', '0', '0.962425', '-610.663', '0', '4029.4', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '102324', '0', 'object/static/terrain/tatooine/shared_rock_spire_smooth_tatooine.iff', '0', '-0.0249974', '0', '0.999687', '-634.199', '2.16622', '4037.44', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '102325', '0', 'object/static/terrain/tatooine/shared_rock_arch_small_tatooine_style_1.iff', '0', '-0.50984', '0', '0.860269', '-590.011', '2e-06', '3935.31', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '102326', '0', 'object/static/terrain/tatooine/shared_rock_arch_medium_tatooine_style_1.iff', '0', '-0.50984', '0', '0.860269', '-570.315', '2e-06', '3975.6', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '102327', '0', 'object/static/terrain/tatooine/shared_rock_spire_lumpy_tatooine.iff', '0', '0.997248', '0', '0.0741356', '-647.223', '11.0952', '4052.7', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '134370', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0', '0', '1', '-1632.54', '0', '-5586.23', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '134371', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '-0.624897', '0', '0.780707', '-1639.2', '0', '-5578.43', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '134373', '0', 'object/tangible/camp/shared_camp_tent_s2.iff', '0', '0.972329', '0', '-0.233618', '-3730.62', '8.31201', '-6814.16', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '134374', '0', 'object/tangible/camp/shared_campfire_logs_ash.iff', '0', '0', '0', '1', '-3735.39', '8.87009', '-6816.81', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '134375', '0', 'object/tangible/camp/shared_camp_spit.iff', '0', '0', '0', '1', '-3736', '8.94718', '-6816.95', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '134376', '0', 'object/tangible/camp/shared_camp_lawn_chair.iff', '0', '0.968715', '0', '-0.248176', '-3736.21', '8.8838', '-6815.05', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '164334', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.00960226', '0', '0.999954', '1442.71', '6.28023', '3489.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '164345', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.00115781', '0', '0.999999', '1637.45', '7.01335', '2922.72', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '164354', '0', 'object/static/structure/tatooine/shared_bridge_tatooine_small_style_02.iff', '0', '0', '0', '1', '-5247.94', '8.05524', '2668.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '164357', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.394019', '0', '0.919102', '-3960.17', '60', '6229.47', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '178317', '0', 'object/static/terrain/tatooine/shared_rock_spire_smooth_tatooine_style_1.iff', '0', '0', '0', '1', '-1343.77', '26.1872', '-359.729', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '178318', '0', 'object/static/terrain/tatooine/shared_rock_spire_skinny_tatooine_style_2.iff', '0', '0', '0', '1', '-1340.49', '29.0033', '-395.196', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '178320', '0', 'object/static/terrain/tatooine/shared_rock_spire_fin_tatooine.iff', '0', '0.999707', '0', '-0.024201', '-826.645', '10.4988', '-949.211', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '178321', '0', 'object/static/terrain/tatooine/shared_rock_spire_lumpy_tatooine.iff', '0', '0', '0', '1', '-827.558', '6.78162', '-1124.11', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '178322', '0', 'object/static/terrain/tatooine/shared_rock_spire_skinny_tatooine.iff', '0', '0', '0', '1', '-848.571', '1.35902', '-1154.47', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '178323', '0', 'object/static/terrain/tatooine/shared_rock_spire_smooth_tatooine.iff', '0', '0', '0', '1', '-464.535', '40.2076', '-1157.63', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '178324', '0', 'object/static/terrain/tatooine/shared_rock_spire_lumpy_tatooine.iff', '0', '0', '0', '1', '-412.743', '42.5087', '-1132.24', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '178326', '0', 'object/static/terrain/tatooine/shared_rock_spire_smooth_tatooine_style_1.iff', '0', '0', '0', '1', '-557.434', '6.87091', '-1812.37', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '469337', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_large.iff', '0.0157124', '0.888743', '-0.0109661', '-0.458005', '-6157.47', '6.57283', '1853.05', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '469338', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '-0.000927019', '0.841462', '0.00344173', '-0.540304', '-6135.2', '6.05286', '1828.44', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '469345', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_large.iff', '0.00685638', '0.88888', '-0.00630849', '-0.458046', '-6126.79', '6.05347', '1848.28', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '469346', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '0.0066974', '0.92458', '-0.00304432', '-0.380916', '-6142.54', '6.12641', '1843.68', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '469347', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '-0.00309482', '0.895678', '0.00476142', '-0.444667', '-6121.72', '6.01083', '1831.38', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '469353', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_large.iff', '-0.0241156', '0.254096', '-0.0176686', '0.966717', '-6169.65', '7.23811', '1862.68', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '469354', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '-0.0194526', '-0.56874', '-0.00612864', '0.822264', '-6181.57', '7.0363', '1849.29', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '469355', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '-0.0323894', '0.436419', '-0.0269413', '0.898756', '-6171.96', '8.17952', '1875.41', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '479720', '0', 'object/static/test/shared_test_static_sandcrawler.iff', '0.0264198', '0.894734', '-0.0329141', '-0.444601', '-6170.48', '9.82416', '1892.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '479721', '0', 'object/static/test/shared_test_static_sandcrawler.iff', '0.0196395', '-0.0481476', '0.0078597', '0.998616', '-6115.66', '6.6128', '1810.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '479745', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_02.iff', '0.00268972', '0.996795', '0.0517082', '0.0609769', '-6129.31', '8.5568', '1923.44', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '479754', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_08.iff', '-0.00720221', '-0.692542', '0.00421541', '0.72133', '-6075.4', '6.0401', '1859.02', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '479761', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_large.iff', '-0.0573997', '-0.0949768', '-0.000605083', '0.993823', '-6117.96', '7.94428', '1882.44', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '479763', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0.0004273', '-0.0499792', '-0.000566554', '0.99875', '-6111.45', '5.95554', '1840.64', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '568322', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_01.iff', '0', '0.70795', '0', '-0.706262', '3823.5', '16.1', '2327.23', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '574339', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_04.iff', '0', '0.999983', '0', '0.00579652', '3844.37', '19.9418', '2386.79', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '574343', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_06.iff', '0', '-0.452886', '0', '0.891568', '3866.89', '27.5', '2319.72', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '683440', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_large.iff', '0', '0', '0', '1', '-1395.76', '12.2639', '-3712.01', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '683446', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.707106', '0', '0.707107', '-1393.37', '12', '-3717.81', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '683447', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.707107', '0', '0.707107', '-1398.28', '12', '-3717.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '683448', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '-1395.34', '12', '-3717.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '683449', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '-1400.26', '12', '-3717.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '683450', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '-1390.45', '12', '-3717.05', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '683451', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.707103', '0', '0.70711', '-1393.41', '12', '-3706.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '683452', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.707107', '0', '0.707107', '-1398.32', '12', '-3706.55', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '683453', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '-1395.38', '12', '-3705.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '683454', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '-1400.29', '12', '-3705.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '683455', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '-1390.49', '12', '-3705.72', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '683456', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0', '0', '1', '-1398.34', '12', '-3716.84', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '683457', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0', '0', '1', '-1393.37', '12', '-3716.85', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '683458', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '1', '0', '-3.20013e-08', '-1393.47', '12', '-3706.99', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '683459', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '1', '0', '0', '-1398.16', '12', '-3707.08', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '683482', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_large.iff', '0', '0.737931', '0', '0.674876', '-1364.32', '12.333', '-3730.36', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '683483', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.999005', '0', '-0.0445851', '-1370.31', '11.995', '-3732.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '683484', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.999006', '0', '-0.0445874', '-1369.94', '12', '-3727.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '683485', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.737931', '0', '0.674876', '-1369.44', '11.9981', '-3730.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '683486', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.737931', '0', '0.674876', '-1369.05', '12', '-3725.42', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '683487', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.737931', '0', '0.674876', '-1369.82', '11.9427', '-3735.2', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '683488', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.737931', '0', '0.674876', '-1357.76', '12', '-3726.39', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '683489', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.737931', '0', '0.674876', '-1358.53', '12.053', '-3736.17', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '683490', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.999006', '0', '-0.0445824', '-1359.03', '12.0771', '-3733.2', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '683491', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.999006', '0', '-0.0445874', '-1358.66', '12.0046', '-3728.29', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '683492', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.737931', '0', '0.674876', '-1358.16', '12.0781', '-3731.29', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '683493', '0', 'object/tangible/crafting/station/shared_public_structure_station.iff', '0', '-0.674581', '0', '0.7382', '-1359.77', '12', '-3732.97', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '683494', '0', 'object/tangible/crafting/station/shared_public_weapon_station.iff', '0', '-0.670882', '0', '0.741564', '-1359.71', '12.0035', '-3729.35', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '683495', '0', 'object/tangible/crafting/station/shared_public_food_station.iff', '0', '0.741564', '0', '0.670882', '-1369.13', '11.8419', '-3732.24', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '683496', '0', 'object/tangible/crafting/station/shared_public_clothing_station.iff', '0', '0.998988', '0', '-0.0449849', '-1368.33', '12', '-3727.45', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '683498', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.42838', '0', '0.903599', '-1104.13', '12', '-3589.41', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '683499', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.904582', '0', '0.4263', '-1108.43', '12', '-3586.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '683500', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.0050003', '0', '0.999987', '-1065.25', '12', '-3548.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '683506', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '-0.0215204', '0.330617', '-0.0612856', '0.941527', '-1097.49', '12.5588', '-3521.12', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '683508', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.897072', '0', '0.441885', '-1108.22', '12', '-3537.48', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '683509', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.897072', '0', '0.441885', '-1106.18', '12', '-3534.94', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '683510', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.897072', '0', '0.441885', '-1104.14', '12', '-3532.32', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '683511', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.328769', '0', '0.94441', '-1104.58', '12', '-3542.04', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '683512', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.900274', '0', '0.435324', '-1104.19', '12', '-3545.44', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '683513', '0', 'object/tangible/crafting/station/shared_public_weapon_station.iff', '0', '0.731417', '0', '-0.68193', '-1069.65', '12', '-3526.68', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '683514', '0', 'object/tangible/crafting/station/shared_public_clothing_station.iff', '0', '0.685289', '0', '0.728271', '-1075.54', '12', '-3532.51', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '683515', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.998951', '0', '0.0457808', '-1078.27', '12', '-3535.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '683516', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.738739', '0', '-0.673992', '-1075.44', '12', '-3534.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '683517', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.998951', '0', '0.0457808', '-1073.41', '12', '-3534.55', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '683519', '0', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '0.902268', '0', '0.431177', '-1097.21', '12', '-3523.53', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '683520', '0', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '0.902268', '0', '0.431177', '-1094.93', '12', '-3520.52', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '683521', '0', 'object/tangible/crafting/station/shared_public_structure_station.iff', '0', '0.333487', '0', '0.942755', '-1123.02', '12', '-3577.12', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '683522', '0', 'object/tangible/crafting/station/shared_public_food_station.iff', '0', '0.338196', '0', '0.941076', '-1130', '12', '-3571.3', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '683528', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.720829', '0', '-0.693114', '-1301.35', '12', '-3699.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '683529', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.720829', '0', '-0.693114', '-1300.35', '12', '-3699.56', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '683532', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.717356', '0', '-0.696707', '-1309.31', '12', '-3700.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '871731', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-5364.83', '5.87672', '2667.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '871737', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0', '0', '1', '-5325.01', '6.62922', '2654.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '871742', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0', '0', '0', '1', '-5339.28', '4.47229', '2708.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '871745', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0', '0', '0', '1', '-5366.16', '6.02441', '2759.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '871746', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '-0.439462', '0', '0.898261', '-5286.58', '7.78822', '2655.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '871747', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-5290.26', '6.95014', '2676.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '871748', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-5280.8', '5.73821', '2710.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '871749', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-5301.71', '3.17094', '2743.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '871750', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-5340.38', '2.61777', '2733.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '871751', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-5312.79', '4.80938', '2671.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '871785', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '0.707106', '0', '0.707108', '71.2746', '52', '-5355.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '894834', '0', 'object/static/creature/shared_droids_r2.iff', '0', '0.999816', '0', '0.0192025', '-3170.75', '10.4753', '3638.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '894871', '0', 'object/static/particle/shared_particle_newbie_steam.iff', '0', '0', '0', '1', '2202.33', '2.82488', '-4478.29', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '894872', '0', 'object/tangible/camp/shared_camp_tent_s5.iff', '0', '-0.164252', '0', '0.986418', '2207.9', '1.30266e-08', '-4459.55', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '894873', '0', 'object/tangible/camp/shared_camp_lantern_s3.iff', '0', '0', '0', '1', '2203.52', '1.30266e-08', '-4461.51', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '894876', '0', 'object/static/particle/shared_pt_survey_gas_sample.iff', '0', '0', '0', '1', '2216.58', '0', '-4480.73', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '894877', '0', 'object/static/particle/shared_pt_survey_gas_sample.iff', '0', '0', '0', '1', '2201.55', '0.003586', '-4481.07', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '894897', '0', 'object/tangible/camp/shared_camp_tent_s1.iff', '0', '0.717356', '0', '-0.696707', '7045.11', '70.794', '7038.12', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '894899', '0', 'object/tangible/camp/shared_camp_light_s2.iff', '0', '0', '0', '1', '7042.44', '69.8398', '7036.27', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '894900', '0', 'object/tangible/camp/shared_camp_lantern_s3.iff', '0', '0', '0', '1', '7045.56', '70.6456', '7040.48', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '894901', '0', 'object/static/structure/general/shared_droid_probedroid_powerdown.iff', '0', '0', '0', '1', '7036.21', '71.8764', '7050.15', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '894904', '0', 'object/static/particle/shared_pt_poi_broken_electronics.iff', '0', '0', '0', '1', '7036.45', '71.7485', '7050.34', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '894907', '0', 'object/static/structure/tatooine/shared_shed_junkshop_watto.iff', '0', '0', '0', '1', '3550.27', '57.1704', '-2490.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '894935', '0', 'object/static/particle/shared_pt_buzzing_insects_large.iff', '0', '0', '0', '1', '-2830.29', '278.224', '6058.6', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '894949', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '0', '-0.531186', '0', '0.847255', '-1472.64', '42.496', '-172.256', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '894950', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_16_style_01.iff', '-0.0304086', '-0.164324', '3.08131e-06', '0.985938', '-1470.61', '38.9431', '-199.836', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '894951', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_16_style_01.iff', '0', '-0.529235', '0', '0.848475', '-1459.3', '38.9413', '-189.683', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '894952', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_16_style_01.iff', '0', '0.974188', '0', '-0.225737', '-1468.38', '38.9413', '-163.194', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '894953', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_16_style_01.iff', '0', '0.813647', '0', '-0.581359', '-1458.16', '38.9413', '-174.494', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '894954', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_16_style_01.iff', '-0.0370162', '0.846397', '0.0593448', '0.527939', '-1494.74', '38.9511', '-172.329', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '894955', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_16_style_01.iff', '-0.0945163', '0.577659', '0.073634', '0.807437', '-1495.78', '38.97', '-187.389', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '894957', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_16_style_01.iff', '0', '0.986418', '0', '0.164252', '-1483.56', '38.9413', '-162.054', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '894958', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0.0516105', '-0.168246', '0.0843948', '0.980769', '-1498.39', '38.9631', '-179.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '894959', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '-0.164252', '0', '0.986418', '-1491.13', '38.9413', '-164.647', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '894960', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '-0.164252', '0', '0.986418', '-1476', '38.9413', '-159.462', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '894961', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '-0.164252', '0', '0.986418', '-1460.75', '38.9413', '-166.926', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '894962', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '-0.164252', '0', '0.986418', '-1455.57', '38.9413', '-182.063', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '894963', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '-0.164252', '0', '0.986418', '-1463.03', '38.9413', '-197.304', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '894964', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '-0.0418068', '-0.1615', '0.0689658', '0.983572', '-1478.03', '38.9565', '-202.371', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '894965', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '-0.150961', '-0.178881', '0.12508', '0.964141', '-1493.17', '39.1117', '-194.395', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '894967', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '0.21823', '0', '0.975897', '-1463.2', '41', '-178.357', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '894968', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '0.975897', '0', '-0.21823', '-1467.24', '41', '-187.032', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '894969', '0', 'object/static/structure/corellia/shared_corl_power_box_node.iff', '0', '0.21823', '0', '0.975897', '-1465.19', '41', '-182.62', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '894970', '0', 'object/static/particle/shared_pt_smoke_small.iff', '0', '0', '0', '1', '-1465.63', '43.7056', '-187.075', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '894971', '0', 'object/static/item/shared_wp_rifle_laser_combined.iff', '0', '0', '-0.640386', '0.768054', '-1490.01', '41.0188', '-182.577', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '894972', '0', 'object/static/item/shared_wp_mle_baton_gaderiffi.iff', '-0.348702', '0.279703', '-0.309223', '0.839377', '-1486.53', '41.1589', '-196.156', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '894973', '0', 'object/static/item/shared_wp_mle_baton_gaderiffi.iff', '0.666869', '0', '0', '0.745175', '-1482.98', '41.0568', '-196.979', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '894974', '0', 'object/static/item/shared_wp_mle_baton_gaderiffi.iff', '-0.0557154', '-0.285628', '0.806588', '-0.514518', '-1465.4', '43.3748', '-187.463', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '894975', '0', 'object/static/item/shared_wp_mle_baton_gaderiffi.iff', '0.869027', '0.273949', '-0.264834', '0.315607', '-1490.72', '41.2433', '-182.001', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '894976', '0', 'object/static/item/shared_wp_mle_baton_gaderiffi.iff', '0.660587', '-0.660061', '-0.252826', '0.253028', '-1489.88', '41.0252', '-193.532', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '894977', '0', 'object/static/item/shared_wp_carbine_e11_combined.iff', '0.608257', '-0.607772', '-0.360853', '0.36114', '-1481.4', '41.0307', '-194.277', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '894978', '0', 'object/static/item/shared_wp_carbine_e11_combined.iff', '0', '0', '0.585097', '0.810963', '-1481.9', '41.0087', '-187.527', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '894979', '0', 'object/static/item/shared_wp_carbine_e11_combined.iff', '-0.493617', '0.604209', '0.395749', '-0.484414', '-1469.28', '41.0224', '-191.18', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '894980', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '-1482.9', '41', '-176.892', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '894981', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.232843', '0', '0.972514', '-1480.61', '41', '-171.692', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '894982', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.816314', '0', '0.577609', '-1481.02', '41', '-173.613', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '894983', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.21823', '0', '0.975897', '-1480.2', '41', '-172.689', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '894984', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.21823', '0', '0.975897', '-1481.59', '41', '-174.659', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '894985', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.872355', '0', '0.488872', '-1482.22', '41', '-175.787', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '894986', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.950549', '0', '-0.310574', '-1482.63', '41', '-174.039', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '894987', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.539632', '0', '0.841901', '-1481.36', '41', '-172.678', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '894988', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0', '0', '1', '-1468.52', '41', '-191.37', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '894989', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0.990794', '0', '-0.135379', '-1490.43', '41', '-181.8', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '894991', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.636537', '0', '0.771246', '-1479.18', '41.0064', '-202.198', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '894992', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.95209', '0', '-0.305817', '-1478.78', '41.0171', '-203.588', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '894993', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.990794', '0', '0.135379', '-1493.09', '40.9696', '-196.306', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '894994', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.666869', '0', '0.745175', '-1492.33', '40.996', '-195.236', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '894995', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0.587126', '-0.416136', '-0.352434', '-0.598251', '-1489.33', '40.8568', '-191.583', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '894996', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '0.21823', '0', '0.975897', '-1484.24', '41', '-168.322', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '894997', '0', 'object/static/structure/corellia/shared_corl_power_box_node.iff', '0', '0.21823', '0', '0.975897', '-1486.28', '41', '-172.708', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '894998', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '0.975897', '0', '-0.21823', '-1488.38', '41', '-177.253', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '895000', '0', 'object/static/particle/shared_pt_smoke.iff', '0', '0', '0', '1', '-1484.88', '43.3176', '-167.523', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '895001', '0', 'object/static/item/shared_wp_mle_baton_gaderiffi.iff', '0.689241', '-0.389884', '0.420341', '-0.443002', '-1484.83', '43.2775', '-166.805', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '895002', '0', 'object/static/item/shared_wp_mle_baton_gaderiffi.iff', '0.0485713', '0.237945', '0.595302', '0.765923', '-1486.08', '43.1921', '-167.915', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '895003', '0', 'object/static/structure/corellia/shared_corl_power_arial_thin.iff', '0', '0', '0', '1', '-1466.28', '45.1604', '-172.223', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '895009', '0', 'object/static/particle/shared_pt_poi_droid_weld_sparks.iff', '0', '0', '0', '1', '-1477.26', '41.385', '-186.996', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '895010', '0', 'object/static/structure/general/shared_data_terminal_free_s1.iff', '0', '0.974616', '0', '-0.223883', '-1477.11', '41', '-186.716', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '926353', '0', 'object/static/structure/tatooine/shared_debris_tatt_radar_dish.iff', '0.0387873', '-0.330789', '-0.487209', '0.80728', '94.194', '5.35419', '-5775.43', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '926472', '0', 'object/building/tatooine/shared_capitol_tatooine.iff', '0', '0.90158', '0', '0.432613', '-1159.95', '12', '-3590.73', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '926473', '926472', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1532354', '926473', 'object/static/item/shared_item_tapestry_tatooine.iff', '0', '-0.707091', '0', '0.707122', '1.70443', '2.31497', '29.0751', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1532355', '926473', 'object/static/item/shared_item_tapestry_tatooine.iff', '0', '-0.707092', '0', '0.707122', '4.94687', '0.797074', '29.1012', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1532356', '926473', 'object/static/item/shared_item_tapestry_tatooine.iff', '0', '-0.707092', '0', '0.707122', '-1.53829', '0.797074', '29.0891', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1532358', '926473', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s2.iff', '0', '0', '0', '1', '7.86383', '1.23979', '32.351', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1532359', '926473', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s2.iff', '0', '0.90158', '0', '0.432613', '12.4188', '1.23979', '32.3678', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1532360', '926473', 'object/static/structure/general/shared_banner_tatooine_style_01.iff', '0', '0', '0', '1', '10.1561', '1.23979', '32.361', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1532361', '926473', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s2.iff', '0', '0', '0', '1', '-7.98322', '1.23979', '32.2442', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1532362', '926473', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s2.iff', '0', '0', '0', '1', '-12.5381', '1.23979', '32.2966', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1532363', '926473', 'object/static/structure/general/shared_banner_tatooine_style_01.iff', '0', '0', '0', '1', '-10.2753', '1.23979', '32.269', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '926474', '926472', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1532364', '926474', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff', '0', '0', '0', '1', '9.13006', '3.18179', '20.2463', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1532365', '926474', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '11.1301', '3.18179', '20.2463', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1532366', '926474', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '7.13006', '3.18179', '20.2463', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1532367', '926474', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff', '0', '0.999997', '0', '0.00238877', '-9.18499', '3.18179', '20.2471', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1532368', '926474', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.999997', '0', '0.00238877', '-11.185', '3.18179', '20.2376', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1532369', '926474', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.999997', '0', '0.00238877', '-7.18518', '3.18179', '20.2567', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1532370', '926474', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff', '0', '0.999997', '0', '0.00238879', '0.0290209', '3.18179', '23.5998', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1532371', '926474', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.999997', '0', '0.00238879', '-1.97101', '3.18179', '23.5903', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1532372', '926474', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.999997', '0', '0.00238879', '2.02882', '3.18179', '23.6094', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1532373', '926474', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '1', '0', '-3.20013e-08', '3.65449', '3.18179', '23.7137', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1532374', '926474', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '1', '0', '-3.20013e-08', '-3.58858', '3.18179', '23.6932', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1532375', '926474', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.0002214', '0', '1', '-5.25184', '3.15824', '23.6655', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1532376', '926474', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.705854', '0', '0.708357', '5.34019', '3.11665', '23.6144', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '926475', '926472', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1532377', '926475', 'object/static/structure/general/shared_banner_tatooine_style_01.iff', '0', '0.380188', '0', '0.924909', '10.6945', '1.4302', '5.16313', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1532378', '926475', 'object/static/structure/general/shared_banner_tatooine_style_01.iff', '0', '0.91415', '0', '0.405376', '-10.7425', '1.44713', '5.0097', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1533346', '926475', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '0', '0', '1', '13.2449', '3.83143', '-17.7135', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1533347', '926475', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '0', '0', '1', '-13.3116', '3.83143', '-17.6344', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1533352', '926475', 'object/static/structure/general/shared_banner_tatooine_style_01.iff', '0', '0', '0', '1', '-5.40884', '0.3', '-8.16393', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1533353', '926475', 'object/static/structure/general/shared_banner_tatooine_style_01.iff', '0', '0', '0', '1', '5.40584', '0.3', '-8.1178', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1533355', '926475', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '0', '0', '1', '-3.71387', '7.9', '-34.6271', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1533358', '926475', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '0', '0', '1', '3.72221', '7.9', '-34.6233', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1533365', '926475', 'object/tangible/furniture/all/shared_frn_all_jedi_council_seat.iff', '0', '1', '0', '-3.20013e-08', '0.0686921', '0.3', '2.93661', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1533369', '926475', 'object/tangible/furniture/all/shared_frn_all_jedi_council_seat.iff', '0', '0.924909', '0', '0.380188', '-7.10757', '0.3', '1.03142', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1533371', '926475', 'object/tangible/furniture/all/shared_frn_all_jedi_council_seat.iff', '0', '0.928665', '0', '-0.370921', '7.18939', '0.3', '1.07277', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1533377', '926475', 'object/tangible/furniture/all/shared_frn_all_jedi_council_seat.iff', '0', '0.999999', '0', '0.00159269', '-1.70465', '0.3', '-0.740898', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1533379', '926475', 'object/tangible/furniture/all/shared_frn_all_jedi_council_seat.iff', '0', '0.924302', '0', '0.381661', '-5.43509', '0.3', '-2.63523', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1533380', '926475', 'object/tangible/furniture/all/shared_frn_all_jedi_council_seat.iff', '0', '0.999999', '0', '0.00159269', '1.86716', '0.3', '-0.83611', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1533381', '926475', 'object/tangible/furniture/all/shared_frn_all_jedi_council_seat.iff', '0', '0.929254', '0', '-0.369441', '5.42196', '0.3', '-2.58199', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1533382', '926475', 'object/tangible/furniture/technical/shared_end_table_s01.iff', '0', '-0.164252', '0', '0.986418', '-4.37053', '0.3', '-2.10074', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1533383', '926475', 'object/tangible/furniture/technical/shared_end_table_s01.iff', '0', '0.119712', '0', '0.992809', '4.22422', '0.3', '-2.1279', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1563346', '926475', 'object/tangible/furniture/technical/shared_end_table_s01.iff', '0', '0.961774', '0', '0.273845', '-0.5628', '0.3', '-1.09771', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1563347', '926475', 'object/tangible/furniture/technical/shared_end_table_s01.iff', '0', '0.712747', '0', '0.701421', '0.687679', '0.3', '-1.23019', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1563348', '926475', 'object/tangible/furniture/technical/shared_end_table_s01.iff', '0', '0.743579', '0', '0.668648', '-6.07137', '0.3', '1.60996', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1563349', '926475', 'object/tangible/furniture/technical/shared_end_table_s01.iff', '0', '0.719726', '0', '0.694258', '-1.05593', '0.3', '2.71843', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1563350', '926475', 'object/tangible/furniture/technical/shared_end_table_s01.iff', '0', '0.890484', '0', '0.455015', '5.90585', '0.3', '1.52909', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1563352', '926475', 'object/static/structure/general/shared_data_terminal_free_s1.iff', '0', '-0.707093', '0', '0.707121', '26.8758', '1.298', '-4.40519', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1563361', '926475', 'object/static/structure/general/shared_data_terminal_free_s1.iff', '0', '0.707093', '0', '0.707121', '-26.8386', '1.29857', '-1.00798', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575348', '926475', 'object/tangible/furniture/modern/shared_dining_table_modern_style_01.iff', '0', '0.707094', '0', '0.707119', '0.0115884', '2.27819', '-21.9745', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575349', '926475', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.617059', '0', '0.786916', '-2.35006', '2.27819', '-22.0241', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575351', '926475', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.338197', '0', '0.941075', '-1.98556', '2.27819', '-25.1292', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575352', '926475', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0', '0', '1', '-0.0595451', '2.27819', '-26.8526', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575353', '926475', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.640385', '0', '0.768054', '2.26653', '2.27819', '-24.4124', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575354', '926475', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.601198', '0', '0.7991', '2.45653', '2.27819', '-21.8639', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575355', '926475', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.824886', '0', '-0.5653', '2.08593', '2.27819', '-19.3714', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575356', '926475', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.999023', '0', '0.0441893', '-0.0187959', '2.27819', '-16.9613', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575357', '926475', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.764329', '0', '0.644827', '-2.37309', '2.27819', '-19.3967', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575359', '926475', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff', '0', '0', '0', '1', '-0.00841792', '2.27819', '-28.9572', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575361', '926475', 'object/tangible/furniture/elegant/shared_cabinet_s01.iff', '0', '0', '0', '1', '1.69577', '2.27819', '-29.2592', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575362', '926475', 'object/tangible/furniture/elegant/shared_cabinet_s01.iff', '0', '0', '0', '1', '-1.75388', '2.27819', '-29.2133', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575363', '926475', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '2.95159', '2.27819', '-28.8069', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575364', '926475', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '-2.95831', '2.27819', '-28.8304', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575365', '926475', 'object/tangible/furniture/all/shared_frn_all_professor_desk.iff', '0', '1', '0', '0.000398445', '-5.74726', '2.27819', '-24.2151', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575368', '926475', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.333487', '0', '0.942755', '-5.94666', '2.27819', '-25.7651', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575496', '926475', 'object/static/item/shared_item_music_microphone_s1.iff', '0', '0', '0', '1', '0.0212084', '3.0782', '-9.15159', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575497', '926475', 'object/tangible/furniture/elegant/shared_love_seat_s01.iff', '0', '0', '0', '1', '8.11275', '7.07819', '-34.5941', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575498', '926475', 'object/tangible/furniture/elegant/shared_love_seat_s01.iff', '0', '0.707107', '0', '-0.707107', '9.24215', '7.07819', '-33.2658', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575501', '926475', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '9.14665', '7.07819', '-34.4256', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575502', '926475', 'object/tangible/furniture/elegant/shared_love_seat_s01.iff', '0', '0.712748', '0', '0.701421', '-9.33128', '7.07819', '-33.4229', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575503', '926475', 'object/tangible/furniture/elegant/shared_love_seat_s01.iff', '0', '0.0080086', '0', '0.999968', '-8.02137', '7.07819', '-34.5734', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575504', '926475', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.712748', '0', '0.701421', '-9.17942', '7.07819', '-34.4593', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575508', '926475', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.999992', '0', '0.00398226', '17.679', '1.32536', '12.4929', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575509', '926475', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '0.999999', '0', '0.00159265', '16.0614', '1.32536', '12.5907', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575510', '926475', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '-0.00137207', '0', '0.999999', '14.3979', '1.30182', '12.5577', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575511', '926475', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.999992', '0', '0.00398225', '-14.2495', '1.32539', '12.5232', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575512', '926475', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '0.999999', '0', '0.00159264', '-15.8672', '1.32539', '12.6209', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575513', '926475', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '-0.0013722', '0', '0.999999', '-17.5307', '1.30185', '12.5879', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575519', '926475', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '-0.706668', '0', '0.707545', '25.5103', '1.32398', '-12.3897', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575520', '926475', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '-0.704976', '0', '0.709232', '25.6228', '1.32398', '-10.773', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575521', '926475', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.709387', '0', '0.704819', '25.6051', '1.30043', '-9.10931', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575527', '926475', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.70457', '0', '0.709635', '-25.4962', '1.32243', '-8.9526', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575528', '926475', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '0.706286', '0', '0.707927', '-25.5952', '1.32243', '-10.5702', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575529', '926475', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.707795', '0', '-0.706418', '-25.5635', '1.29888', '-12.2337', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235491', '926475', 'object/soundobject/shared_soundobject_city_crowd_sentients.iff', '0', '0', '0', '1', '3.49736', '0.3', '1.23966', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '926476', '926472', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '926477', '926472', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '926478', '926472', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575369', '926478', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.142916', '0', '0.989735', '-20.585', '3.22324', '-33.3642', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575370', '926478', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.996165', '0', '-0.0874991', '-18.0888', '3.22324', '-28.5494', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575371', '926478', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.735628', '0', '-0.677386', '-15.6676', '3.22324', '-30.9185', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575372', '926478', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.180597', '0', '0.983557', '-18.0904', '3.22324', '-33.0087', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575373', '926478', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.0932722', '0', '0.995641', '-23.1323', '3.22324', '-33.159', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575374', '926478', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.709232', '0', '0.704976', '-25.5585', '3.22324', '-30.8181', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575375', '926478', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.905861', '0', '0.423576', '-23.8235', '3.22324', '-28.9027', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575376', '926478', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.993118', '0', '0.11712', '-20.7163', '3.22324', '-28.5568', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575377', '926478', 'object/tangible/furniture/modern/shared_dining_table_modern_style_01.iff', '0', '0.999995', '0', '-0.00300848', '-20.6809', '3.22324', '-30.9185', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575379', '926478', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '-0.00159236', '0', '0.999999', '-23.8942', '3.22324', '-38.6287', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575380', '926478', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '-0.00159236', '0', '0.999999', '-17.9844', '3.22324', '-38.5862', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575381', '926478', 'object/tangible/furniture/elegant/shared_cabinet_s01.iff', '0', '-0.00159236', '0', '0.999999', '-22.6889', '3.22324', '-39.0077', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575382', '926478', 'object/tangible/furniture/elegant/shared_cabinet_s01.iff', '0', '-0.00159236', '0', '0.999999', '-19.2387', '3.22324', '-39.0426', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575383', '926478', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff', '0', '-0.00159236', '0', '0.999999', '-20.944', '3.22324', '-38.746', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575384', '926478', 'object/tangible/furniture/elegant/shared_bookcase_s01.iff', '0', '1', '0', '-3.20013e-08', '-18.3634', '3.22324', '-22.5574', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575385', '926478', 'object/tangible/furniture/elegant/shared_chest_s01.iff', '0', '0', '0', '1', '-19.9938', '3.22324', '-22.8409', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575386', '926478', 'object/tangible/furniture/elegant/shared_chest_s01.iff', '0', '0', '0', '1', '-16.722', '3.22324', '-22.8442', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '926479', '926472', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575391', '926479', 'object/tangible/furniture/modern/shared_dining_table_modern_style_01.iff', '0', '0.707094', '0', '0.70712', '-33.8077', '1.29422', '-2.51719', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575392', '926479', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.475032', '0', '0.879969', '-36.0269', '1.29422', '-3.28168', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575393', '926479', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s01.iff', '0', '-0.509841', '0', '0.860269', '-33.4969', '2.30615', '-4.12491', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575394', '926479', 'object/static/item/shared_item_diagnostic_screen.iff', '0', '0.841471', '0', '-0.540302', '-34.1491', '2.30615', '-1.865', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575395', '926479', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.70457', '0', '0.709634', '-39.8196', '1.29422', '-0.0763443', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575396', '926479', 'object/tangible/furniture/elegant/shared_cabinet_s01.iff', '0', '0.70457', '0', '0.709634', '-40.2149', '1.29422', '-4.73338', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575397', '926479', 'object/tangible/furniture/elegant/shared_cabinet_s01.iff', '0', '0.70457', '0', '0.709634', '-40.1936', '1.29422', '-1.28317', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575398', '926479', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.70457', '0', '0.709634', '-39.7534', '1.29422', '-5.98601', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575399', '926479', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff', '0', '0.70457', '0', '0.709634', '-39.9249', '1.29422', '-3.02696', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575400', '926479', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.923303', '0', '-0.384073', '-31.9484', '1.29422', '-0.717176', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575401', '926479', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.49688', '0', '0.867819', '-31.8539', '1.29422', '-4.06308', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575402', '926479', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.996322', '0', '-0.0856908', '-29.0727', '1.29471', '1.95533', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575403', '926479', 'object/tangible/furniture/all/shared_frn_all_professor_desk.iff', '0', '0', '0', '1', '-28.7594', '1.29445', '-0.0983113', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575404', '926479', 'object/static/item/shared_item_painting_bothan_style_01.iff', '0', '1', '0', '-3.20013e-08', '-40.5188', '1.29422', '-2.98838', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '926480', '926472', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575475', '926480', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s03.iff', '0', '0', '0', '1', '-25.6004', '3.22324', '28.5105', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575476', '926480', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s03.iff', '0', '0', '0', '1', '-26.795', '3.22324', '27.5377', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575477', '926480', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s03.iff', '0', '0.702149', '0', '0.71203', '-15.3934', '3.22324', '27.4282', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575479', '926480', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s03.iff', '0', '0.999997', '0', '0.00238866', '-16.344', '3.22324', '15.2037', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575480', '926480', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s03.iff', '0', '0.999997', '0', '0.00238866', '-15.154', '3.22324', '16.1821', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575481', '926480', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s03.iff', '0', '0.716246', '0', '0.697848', '-25.615', '3.22324', '15.0027', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575482', '926480', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s03.iff', '0', '0.716246', '0', '0.697848', '-26.5565', '3.22324', '16.222', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575483', '926480', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff', '0', '0.911822', '0', '-0.410587', '-15.4565', '3.22324', '23.3864', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575484', '926480', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff', '0', '-0.354427', '0', '0.935084', '-15.681', '3.22324', '17.4395', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575485', '926480', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff', '0', '0.371578', '0', '0.928402', '-26.1986', '3.22324', '17.3479', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575486', '926480', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff', '0', '0.919224', '0', '0.393734', '-26.4782', '3.22324', '23.2925', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575487', '926480', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '-0.68529', '0', '0.72827', '-17.7199', '3.22324', '24.2699', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575488', '926480', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.717356', '0', '-0.696707', '-24.1011', '3.22324', '24.1346', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575489', '926480', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '-0.68529', '0', '0.72827', '-18.1603', '3.22324', '16.7117', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575490', '926480', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.717356', '0', '-0.696707', '-23.8157', '3.22324', '16.6695', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575492', '926480', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff', '0', '-0.412321', '0', '0.911039', '-24.8587', '3.22324', '21.8437', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575493', '926480', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff', '0', '0.911822', '0', '-0.410587', '-17.1973', '3.22324', '21.7994', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575494', '926480', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff', '0', '-0.354427', '0', '0.935084', '-17.4165', '3.22324', '19.1803', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575495', '926480', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff', '0', '0.369153', '0', '0.929369', '-24.6783', '3.22324', '18.9818', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475517', '926480', 'object/tangible/furniture/imperial/shared_table_s1.iff', '0', '0.34759', '0', '0.937646', '-18.4983', '3.22324', '25.8833', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475523', '926480', 'object/tangible/painting/shared_bestine_quest_painting.iff', '0', '1', '0', '-0.000796309', '-28.4901', '5.91757', '20.4553', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475537', '926480', 'object/tangible/furniture/all/shared_frn_all_lamp_desk_s01.iff', '0', '0.342898', '0', '0.939373', '-18.4213', '3.98219', '25.9967', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475538', '926480', 'object/static/item/shared_item_data_disk.iff', '0', '0', '0', '1', '-18.0904', '3.98219', '25.7395', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475539', '926480', 'object/static/item/shared_item_data_disk.iff', '0', '0', '0', '1', '-17.9897', '3.98219', '25.6754', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475540', '926480', 'object/static/item/shared_item_datapad_s1.iff', '0', '0', '0', '1', '-17.9122', '3.98219', '25.8733', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475541', '926480', 'object/static/item/shared_item_document.iff', '0', '0.560509', '0', '0.828149', '-18.6663', '3.98219', '26.4747', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475543', '926480', 'object/static/item/shared_item_chair_metal_wheeled_01.iff', '0', '0.9001', '0', '-0.435683', '-17.711', '3.22324', '26.9412', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475544', '926480', 'object/static/item/shared_item_chair_metal_wheeled_01.iff', '0', '0.963983', '0', '0.265964', '-22.8365', '3.22324', '27.3863', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475545', '926480', 'object/static/item/shared_item_con_drink_flask.iff', '0', '0', '0', '1', '-20.1132', '4.01381', '25.3964', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475546', '926480', 'object/static/item/shared_item_con_glass_beaker.iff', '0', '0', '0', '1', '-20.1849', '4.01381', '25.4852', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475547', '926480', 'object/static/item/shared_item_con_glass_full_s2.iff', '0', '0', '0', '1', '-20.0596', '4.01381', '25.5336', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475548', '926480', 'object/static/item/shared_item_con_plate_casserole.iff', '0', '0', '0', '1', '-22.7025', '4.04543', '25.7009', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475549', '926480', 'object/static/item/shared_item_data_disk.iff', '0', '0', '0', '1', '-20.4186', '4.01381', '25.4924', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475550', '926480', 'object/static/item/shared_item_data_disk.iff', '0', '0', '0', '1', '-20.4671', '4.01381', '25.3902', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475552', '926480', 'object/static/item/shared_item_datapad_s2.iff', '0', '0', '0', '1', '-20.6215', '4.01381', '25.5392', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475553', '926480', 'object/static/item/shared_item_decryptor_imperial.iff', '0', '0', '0', '1', '-23.106', '4.01381', '25.8241', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475554', '926480', 'object/static/item/shared_item_diagnostic_screen.iff', '0', '0', '0', '1', '-21.5583', '4.01381', '25.4283', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475555', '926480', 'object/static/item/shared_item_document.iff', '0', '0.448423', '0', '0.893822', '-21.0586', '4.01381', '25.6745', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475556', '926480', 'object/static/item/shared_item_game_dejarik_gameboard.iff', '0', '0', '0', '1', '-15.4376', '3.22324', '20.4328', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475558', '926480', 'object/static/item/shared_item_tapestry_imperial.iff', '0', '0.706825', '0', '0.707388', '-21.6461', '6.26484', '30.3044', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475559', '926480', 'object/static/item/shared_item_tapestry_imperial.iff', '0', '0.70328', '0', '0.710913', '-24.7415', '4.52814', '30.3176', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475560', '926480', 'object/static/item/shared_item_tapestry_imperial.iff', '0', '-0.703281', '0', '0.710912', '-18.4922', '4.39984', '30.4048', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475562', '926480', 'object/static/item/shared_item_vibroaxe.iff', '-0.319309', '0', '0', '0.947651', '-13.4592', '7.56679', '22.1723', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475563', '926480', 'object/static/item/shared_item_vibroaxe.iff', '-0.00904648', '0.950391', '0.309684', '0.0277627', '-13.4982', '7.5412', '18.9914', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475564', '926480', 'object/static/structure/dantooine/shared_dant_skull_bol.iff', '0.50497', '-0.494971', '0.494577', '0.505373', '-13.4451', '7.52704', '20.4978', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '5565564', '926480', 'object/tangible/terminal/shared_terminal_bestine_quests_02.iff', '0', '0', '0', '1', '-19.6625', '3.22324', '13.5289', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5565565', '926480', 'object/tangible/furniture/modern/shared_searchable_desk_01.iff', '0', '0', '0', '1', '-21.6551', '3.22324', '25.5563', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '926481', '926472', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575437', '926481', 'object/tangible/furniture/all/shared_frn_all_jedi_council_seat.iff', '0', '0', '0', '1', '22.7962', '3.22324', '17.5295', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575438', '926481', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '24.0628', '3.22324', '18.0385', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575439', '926481', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff', '0', '0', '0', '1', '20.7132', '3.22324', '20.4813', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575440', '926481', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.709232', '0', '0.704976', '24.1239', '3.22324', '20.6723', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575441', '926481', 'object/tangible/furniture/all/shared_frn_all_jedi_council_seat.iff', '0', '-0.701994', '0', '0.712183', '24.5168', '3.22324', '19.3159', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575442', '926481', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.712748', '0', '0.701421', '17.6586', '3.22324', '17.8822', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575443', '926481', 'object/tangible/furniture/all/shared_frn_all_jedi_council_seat.iff', '0', '-0.00977825', '0', '0.999952', '18.9505', '3.22324', '17.4718', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575444', '926481', 'object/tangible/furniture/all/shared_frn_all_jedi_council_seat.iff', '0', '0.709387', '0', '0.704819', '17.3189', '3.22324', '19.3225', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575445', '926481', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '-0.692377', '0', '0.721536', '24.2044', '3.22324', '25.906', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575446', '926481', 'object/tangible/furniture/all/shared_frn_all_jedi_council_seat.iff', '0', '0.999996', '0', '-0.00283223', '22.923', '3.22324', '26.3489', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575447', '926481', 'object/tangible/furniture/all/shared_frn_all_jedi_council_seat.iff', '0', '-0.695818', '0', '0.718218', '24.5075', '3.22324', '24.4576', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575448', '926481', 'object/tangible/furniture/all/shared_frn_all_jedi_council_seat.iff', '0', '0.99992', '0', '-0.0126109', '19.0771', '3.22324', '26.388', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575449', '926481', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.99992', '0', '-0.0126109', '17.7984', '3.22324', '25.9112', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575450', '926481', 'object/tangible/furniture/all/shared_frn_all_jedi_council_seat.iff', '0', '0.720984', '0', '0.692952', '17.3123', '3.22324', '24.6457', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575451', '926481', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.999662', '0', '-0.026015', '24.1842', '3.22324', '23.1369', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575452', '926481', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '-0.703124', '0', '0.711067', '17.6445', '3.22324', '23.2831', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575453', '926481', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '-0.703124', '0', '0.711067', '17.5655', '3.22324', '20.6549', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575454', '926481', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff', '0', '0.712748', '0', '0.701421', '19.8338', '3.22324', '21.8612', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575455', '926481', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff', '0', '-0.695978', '0', '0.718063', '21.6488', '3.22324', '21.936', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575456', '926481', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff', '0', '0.999971', '0', '-0.00761115', '20.7905', '3.22324', '23.3292', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575457', '926481', 'object/tangible/furniture/elegant/shared_cabinet_s01.iff', '0', '0.704736', '0', '0.70947', '13.7511', '3.22324', '23.5773', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575459', '926481', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.704736', '0', '0.70947', '14.1893', '3.22324', '18.874', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575460', '926481', 'object/tangible/furniture/elegant/shared_cabinet_s01.iff', '0', '0.704736', '0', '0.70947', '13.7283', '3.22324', '20.1268', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575461', '926481', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.704736', '0', '0.70947', '14.1257', '3.22324', '24.7837', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575462', '926481', 'object/tangible/furniture/elegant/shared_cabinet_s01.iff', '0', '-0.701823', '0', '0.712352', '28.1692', '3.22324', '20.052', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575464', '926481', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '-0.701823', '0', '0.712352', '27.8328', '3.22324', '24.7635', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575465', '926481', 'object/tangible/furniture/elegant/shared_cabinet_s01.iff', '0', '-0.701823', '0', '0.712352', '28.2665', '3.22324', '23.5011', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575466', '926481', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '-0.701823', '0', '0.712352', '27.7689', '3.22324', '18.854', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575467', '926481', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s1.iff', '0', '0', '0', '1', '26.9164', '3.22324', '16.5662', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575468', '926481', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s3.iff', '0', '0', '0', '1', '25.2854', '3.22324', '15.0657', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575469', '926481', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s3.iff', '0', '0', '0', '1', '16.4558', '3.22324', '14.8776', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575470', '926481', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s1.iff', '0', '0', '0', '1', '15.0998', '3.22324', '16.2158', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575471', '926481', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s4.iff', '0', '0.940806', '0', '-0.338946', '16.4207', '3.22324', '28.6826', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575472', '926481', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s4.iff', '0', '0.338197', '0', '0.941075', '25.6443', '3.22324', '28.7548', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575473', '926481', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s1.iff', '0', '0', '0', '1', '26.8724', '3.22324', '27.3994', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575474', '926481', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s1.iff', '0', '0', '0', '1', '15.0211', '3.22324', '27.2379', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5165613', '926481', 'object/tangible/terminal/shared_terminal_mission_imperial.iff', '0', '0.707107', '0', '0.707107', '13.6185', '3.22324', '21.9119', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5165615', '926481', 'object/tangible/terminal/shared_terminal_mission_imperial.iff', '0', '-0.707106', '0', '0.707107', '28.3305', '3.22324', '21.7497', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '926482', '926472', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575405', '926482', 'object/tangible/furniture/modern/shared_dining_table_modern_style_01.iff', '0', '-0.705264', '0', '0.708944', '33.7314', '1.29422', '-2.61134', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575406', '926482', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.707792', '0', '-0.706421', '39.6949', '1.29422', '0.826285', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575407', '926482', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s01.iff', '0', '0.861597', '0', '0.507593', '33.4289', '2.30615', '-1.00202', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575408', '926482', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff', '0', '0.707792', '0', '-0.706421', '39.8509', '1.29422', '-2.13361', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575409', '926482', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.878725', '0', '-0.477327', '35.9543', '1.29422', '-1.85868', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575410', '926482', 'object/tangible/furniture/elegant/shared_cabinet_s01.iff', '0', '0.707792', '0', '-0.706421', '40.1107', '1.29422', '-3.87885', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575411', '926482', 'object/tangible/furniture/elegant/shared_cabinet_s01.iff', '0', '0.707792', '0', '-0.706421', '40.1499', '1.29422', '-0.428758', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575412', '926482', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.707792', '0', '-0.706421', '39.7303', '1.29422', '-5.08361', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575413', '926482', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.386482', '0', '0.922297', '31.8627', '1.29422', '-4.40167', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575414', '926482', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.869113', '0', '0.494613', '31.7854', '1.29422', '-1.05531', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575416', '926482', 'object/tangible/furniture/all/shared_frn_all_professor_desk.iff', '0', '0.999997', '0', '-0.0026113', '28.6704', '1.29445', '-5.00391', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575417', '926482', 'object/static/item/shared_item_diagnostic_screen.iff', '0', '0.542497', '0', '0.840058', '34.0691', '2.30615', '-3.2654', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575419', '926482', 'object/static/item/shared_item_painting_endor_style_01.iff', '0', '0', '0', '1', '40.4352', '2.11642', '-2.19756', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '926483', '926472', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475567', '926483', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_03.iff', '0', '0', '0', '1', '21.2524', '3.18481', '-30.6655', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475570', '926483', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s3.iff', '0', '0', '0', '1', '26.7839', '3.22324', '-25.0938', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475571', '926483', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s3.iff', '0', '0', '0', '1', '25.6079', '3.22394', '-23.8427', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475572', '926483', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s3.iff', '0', '0', '0', '1', '25.5904', '3.22324', '-37.5349', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475573', '926483', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s3.iff', '0', '0', '0', '1', '26.8698', '3.22324', '-36.464', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475574', '926483', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s3.iff', '0', '0', '0', '1', '15.3412', '3.22324', '-36.4628', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475575', '926483', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s3.iff', '0', '0', '0', '1', '16.3568', '3.22324', '-37.5187', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475576', '926483', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s3.iff', '0', '0', '0', '1', '15.1326', '3.22324', '-25.0837', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475577', '926483', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s3.iff', '0', '0', '0', '1', '16.3693', '3.2237', '-24.0617', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475579', '926483', 'object/tangible/furniture/imperial/shared_table_s1.iff', '0', '0.937923', '0', '0.346843', '25.0427', '3.22464', '-34.2016', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475581', '926483', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '0', '0', '1', '21.2171', '3.22324', '-33.7581', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475582', '926483', 'object/tangible/furniture/modern/shared_dining_table_modern_style_01.iff', '0', '0.706825', '0', '0.707389', '14.4905', '3.22324', '-30.6745', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475584', '926483', 'object/static/item/shared_item_tapestry_tatooine.iff', '0', '0.00803087', '0', '0.999968', '28.4715', '5.17644', '-27.8774', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475585', '926483', 'object/static/item/shared_item_tapestry_tatooine.iff', '0', '0.0130306', '0', '0.999915', '28.4588', '5.05943', '-37.1954', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475587', '926483', 'object/static/item/shared_item_tapestry_tatooine.iff', '0', '0.00643814', '0', '0.999979', '13.4833', '4.74563', '-27.3558', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475588', '926483', 'object/static/item/shared_item_tapestry_tatooine.iff', '0', '0.0114378', '0', '0.999935', '13.5003', '4.62861', '-36.6736', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475589', '926483', 'object/static/item/shared_item_tapestry_tatooine.iff', '0', '0.713755', '0', '0.700396', '14.2974', '5.02686', '-39.3179', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475590', '926483', 'object/static/item/shared_item_tapestry_tatooine.iff', '0', '0.710243', '0', '0.703957', '23.6152', '5.14388', '-39.2639', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475591', '926483', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '14.0833', '4.23517', '-31.7722', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475592', '926483', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '14.0178', '4.23517', '-31.4971', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475593', '926483', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '14.3227', '4.23517', '-31.5483', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475594', '926483', 'object/static/item/shared_item_con_glass_full_s2.iff', '0', '0', '0', '1', '13.9121', '4.23517', '-29.8618', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475595', '926483', 'object/static/item/shared_item_con_glass_beaker.iff', '0', '0', '0', '1', '13.7992', '4.23517', '-29.7022', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475596', '926483', 'object/static/item/shared_item_con_drink_flask.iff', '0', '0', '0', '1', '14.1085', '4.23517', '-29.6314', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475597', '926483', 'object/static/item/shared_item_con_bowl_serving_full.iff', '0', '0', '0', '1', '14.4091', '4.23517', '-32.2421', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475598', '926483', 'object/static/item/shared_item_con_bowl_full.iff', '0', '0.0399893', '0', '0.9992', '14.7113', '4.20355', '-32.532', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475599', '926483', 'object/static/item/shared_item_con_plate_casserole.iff', '0', '0', '0', '1', '14.8042', '4.23517', '-29.3936', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475600', '926483', 'object/static/item/shared_item_con_tato_bowl_full_s01.iff', '0', '0', '0', '1', '14.7035', '4.23517', '-33.1069', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475601', '926483', 'object/static/item/shared_item_con_tato_bowl_full_s02.iff', '0', '0', '0', '1', '14.1257', '4.23517', '-33.4591', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475602', '926483', 'object/static/item/shared_item_con_plate_s1_full.iff', '0', '0', '0', '1', '14.3936', '4.26679', '-28.8978', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475603', '926483', 'object/static/item/shared_item_food_muffins.iff', '0', '0', '0', '1', '14.0846', '4.23517', '-32.8008', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475604', '926483', 'object/static/item/shared_item_food_muffins.iff', '0', '0', '0', '1', '14.8095', '4.23517', '-28.4045', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475605', '926483', 'object/tangible/furniture/all/shared_frn_all_decorative_lg_s1.iff', '0', '0.505533', '0', '0.862807', '14.4403', '4.23517', '-30.6711', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475606', '926483', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s3.iff', '0', '0.90158', '0', '0.432613', '14.4926', '3.22324', '-34.3811', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475607', '926483', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s3.iff', '0', '0.90158', '0', '0.432613', '14.4651', '3.22324', '-26.7781', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475608', '926483', 'object/static/item/shared_item_chair_metal_wheeled_01.iff', '0', '0', '0', '1', '21.2997', '3.22324', '-35.2716', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475609', '926483', 'object/static/item/shared_item_chair_metal_wheeled_01.iff', '0', '-0.0898786', '0', '0.995953', '26.2196', '3.22324', '-35.5392', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475610', '926483', 'object/static/item/shared_item_chair_metal_wheeled_01.iff', '0', '0.710353', '0', '0.703845', '18.4614', '3.22452', '-23.8496', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475611', '926483', 'object/static/item/shared_item_diagnostic_screen.iff', '0', '0.983701', '0', '-0.179813', '21.4435', '4.04543', '-33.4022', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475612', '926483', 'object/static/item/shared_item_document.iff', '0', '0.389418', '0', '0.921061', '20.3638', '4.01381', '-33.8217', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475613', '926483', 'object/static/item/shared_item_data_disk.iff', '0', '0', '0', '1', '22.5037', '4.01381', '-33.7165', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475614', '926483', 'object/static/item/shared_item_data_disk.iff', '0', '0', '0', '1', '22.4623', '4.01381', '-33.7954', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475617', '926483', 'object/static/item/shared_item_shisha.iff', '0', '0', '0', '1', '22.5262', '4.01381', '-33.4525', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475618', '926483', 'object/static/item/shared_item_tank_bubble.iff', '0', '0.97033', '0', '0.241784', '19.7029', '4.01381', '-33.4475', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475619', '926483', 'object/tangible/furniture/all/shared_frn_all_lamp_desk_s02.iff', '0', '0', '0', '1', '21.0559', '4.01381', '-33.3875', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475620', '926483', 'object/tangible/furniture/all/shared_frn_all_decorative_sm_s1.iff', '0', '0.902268', '0', '-0.431176', '21.9403', '4.01381', '-33.3808', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475621', '926483', 'object/tangible/furniture/all/shared_frn_all_lamp_desk_s02.iff', '0', '0.90158', '0', '0.432613', '24.6447', '4.01381', '-34.8072', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475622', '926483', 'object/static/item/shared_item_data_disk.iff', '0', '0.90158', '0', '0.432613', '25.6531', '3.98219', '-34.2773', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475623', '926483', 'object/static/item/shared_item_data_disk.iff', '0', '0.90158', '0', '0.432613', '25.6175', '3.98219', '-34.1958', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '5565562', '926483', 'object/tangible/furniture/modern/shared_searchable_desk_02.iff', '0', '0.710353', '0', '-0.703845', '19.5487', '3.22346', '-23.8199', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5565563', '926483', 'object/tangible/terminal/shared_terminal_bestine_quests_01.iff', '0', '-0.706826', '0', '0.707388', '28.246', '3.19161', '-28.4803', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '937345', '0', 'object/static/structure/tatooine/shared_debris_tatt_radar_dish.iff', '-0.103135', '-0.368369', '0.224882', '0.896156', '3639.96', '5', '-4762.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '937622', '0', 'object/static/structure/tatooine/shared_debris_tatt_radar_dish.iff', '-0.410887', '0.783589', '0.187366', '-0.426679', '3790.23', '2.51157', '-4891.29', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '937719', '0', 'object/static/structure/tatooine/shared_debris_tatt_radar_dish.iff', '0.026599', '-0.211683', '-0.121804', '0.969354', '3441.88', '5', '-5165.82', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '937895', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.890664', '0', '0.454661', '3242.56', '5', '-4745.99', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '937896', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.4779', '0', '0.878414', '3243.84', '5', '-4745.81', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '937897', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.411521', '0', '0.9114', '3243.42', '5', '-4744.56', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '937898', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.529694', '0', '0.848189', '3241.98', '5', '-4745.2', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '937926', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '0.958471', '0', '0.285189', '3295.46', '5', '-4596.75', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '937932', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.999444', '0', '0.0333554', '3297.35', '5', '-4593.74', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '937933', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.745655', '0', '0.666333', '3285.49', '5', '-4622.14', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '937934', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.277406', '0', '0.960753', '3284.82', '5', '-4621.02', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '937935', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.777631', '0', '0.628721', '3298.27', '5', '-4592.11', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '937937', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.247138', '0', '0.96898', '3284.96', '5', '-4623', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '938384', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0.0401579', '0.755511', '0.0393229', '0.65272', '3867.91', '28.0213', '2362.69', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '938387', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '-0.0192962', '-0.0702959', '0.0200083', '0.997139', '3866.47', '28.0252', '2361.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '938398', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_1.iff', '0', '0', '0', '1', '3882.49', '24.963', '2375.3', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1026824', '0', 'object/building/tatooine/shared_starport_tatooine.iff', '0', '0.763301', '0', '0.646043', '-1376.15', '12', '-3576.23', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1026825', '1026824', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1026826', '1026824', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1026827', '1026824', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1026828', '1026824', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279068', '1026828', 'object/tangible/terminal/shared_terminal_space.iff', '0', '-0.00960228', '0', '0.999954', '0.185629', '0.639421', '62.1194', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279069', '1026828', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0.701136', '0', '0.713028', '6.49914', '0.639421', '57.6256', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279070', '1026828', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0.719728', '0', '-0.694257', '-5.85543', '0.639421', '57.4329', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4265835', '1026828', 'object/tangible/terminal/shared_terminal_newsnet.iff', '0', '0.710353', '0', '-0.703845', '15.4152', '0.639421', '54.3473', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9526236', '1026828', 'object/soundobject/shared_soundobject_starport_announcer.iff', '0', '0', '0', '1', '-0.47678', '0.639421', '59.1632', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1026829', '1026824', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1026830', '1026824', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1026831', '1026824', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1026832', '1026824', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1026833', '1026824', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1026834', '1026824', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '3795675', '1026834', 'object/tangible/terminal/shared_terminal_space.iff', '0', '-0.0602729', '0', '0.998182', '-40.4018', '1.63942', '46.4372', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3795676', '1026834', 'object/tangible/terminal/shared_terminal_space.iff', '0', '-0.649784', '0', '0.760119', '-37.8586', '1.63942', '49.2041', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3795677', '1026834', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0.768054', '0', '0.640385', '-44.0594', '1.63942', '50.2011', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3795678', '1026834', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0.998848', '0', '0.0479901', '-41.449', '1.63942', '52.9045', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1026835', '1026824', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1026836', '1026824', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1026837', '1026824', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1026838', '1026824', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1026839', '1026824', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '5515495', '1026824', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1027887', '0', 'object/building/tatooine/shared_housing_tatt_style01_small.iff', '0', '0.581036', '0', '0.813878', '-1373.19', '26', '-3869.04', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1027888', '1027887', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598964', '1027888', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '0.0131845', '0', '0.999913', '1.34391', '0.262421', '3.41227', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598965', '1027888', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.0181828', '0', '0.999835', '3.51694', '0.2647', '6.20713', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598966', '1027888', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.870795', '0', '-0.491646', '4.86611', '0.262564', '5.62611', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598968', '1027888', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.767544', '0', '-0.640997', '5.14619', '0.255754', '4.27092', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598969', '1027888', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.44232', '0', '0.896857', '0.0158113', '0.263348', '3.42883', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598970', '1027888', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.231076', '0', '0.972936', '-0.71172', '0.262939', '3.37657', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598971', '1027888', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.240794', '0', '0.970576', '1.27303', '1.18195', '3.6043', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598972', '1027888', 'object/static/structure/general/shared_debris_deathstar_small_tube.iff', '0.653282', '-0.270598', '0.270598', '0.653281', '5.39952', '0.752168', '3.03944', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598973', '1027888', 'object/static/structure/general/shared_debris_deathstar_large_tube.iff', '0.800554', '-0.0997977', '0.174821', '-0.564439', '4.84981', '1.4442', '3.53673', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1027889', '1027887', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598978', '1027889', 'object/static/item/shared_item_con_bowl_full.iff', '0', '0.862404', '0', '-0.50622', '-1.91441', '1.23776', '1.27666', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598979', '1027889', 'object/static/item/shared_item_con_tato_bowl_full_s02.iff', '0', '0', '0', '1', '-1.94628', '1.23764', '0.78532', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1027890', '1027887', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1027891', '1027887', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1027892', '1027887', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1027893', '1027887', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1027894', '1027887', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1027895', '1027887', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1027896', '1027887', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598974', '1027896', 'object/static/item/shared_item_jar_berries.iff', '0', '0', '0', '1', '-1.56946', '1.23784', '1.62891', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598975', '1027896', 'object/static/item/shared_item_jar_berries.iff', '0', '0', '0', '1', '-1.43745', '1.23777', '1.34506', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598976', '1027896', 'object/static/item/shared_item_jar_berries.iff', '0', '0', '0', '1', '-1.47457', '1.23769', '0.967892', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598977', '1027896', 'object/static/item/shared_item_jar_guts.iff', '0', '0', '0', '1', '-1.4342', '1.2376', '0.608127', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1027897', '1027887', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598980', '1027897', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s01.iff', '0', '0.942946', '0', '0.332946', '-1.63749', '0.570469', '-0.598124', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598981', '1027897', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '0.00137023', '0', '0.999999', '-2.0716', '-0.378218', '-6.05416', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598982', '1027897', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '-0.706997', '0', '0.707217', '5.11466', '0.222616', '0.0401916', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598983', '1027897', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0.00137023', '0', '0.999999', '-4.0415', '-0.378218', '-6.08421', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598984', '1027897', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '0.999952', '0', '0.00982375', '-1.93385', '-0.378218', '-0.520653', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598985', '1027897', 'object/tangible/furniture/cheap/shared_armoire_s01.iff', '0', '-0.706997', '0', '0.707217', '5.10212', '0.222616', '1.86764', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598986', '1027897', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.999984', '0', '-0.0055739', '2.4351', '-0.378218', '-4.45293', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598987', '1027897', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.810627', '0', '-0.585563', '4.34987', '-0.378218', '-4.54228', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598988', '1027897', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.979952', '0', '-0.199233', '3.05484', '-0.378218', '-3.19322', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598989', '1027897', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.711037', '0', '0.703155', '0.942731', '-0.378218', '-5.69784', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598990', '1027897', 'object/tangible/furniture/cheap/shared_love_seat_s01.iff', '0', '0.711037', '0', '0.703155', '0.928093', '-0.341112', '-4.24707', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598991', '1027897', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '0.00557481', '0', '0.999984', '2.57324', '-0.378218', '-5.99545', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598992', '1027897', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s1.iff', '0', '0.999984', '0', '-0.00557604', '-0.159215', '-0.378218', '-2.53201', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1027931', '0', 'object/building/tatooine/shared_housing_tatt_style01_small.iff', '0', '0.805544', '0', '-0.592536', '-1352.69', '26', '-3862.26', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1027932', '1027931', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1599001', '1027932', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.999905', '0', '0.0138061', '1.13884', '0.262615', '3.46853', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1599002', '1027932', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '-0.137967', '0', '0.990437', '-0.0167176', '0.262152', '3.71736', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1599003', '1027932', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.999965', '0', '0.00840838', '-1.36149', '0.262753', '3.41396', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1599004', '1027932', 'object/tangible/furniture/cheap/shared_armoire_s01.iff', '0', '-0.0288011', '0', '0.999585', '2.63941', '0.262514', '3.44268', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1599005', '1027932', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.02', '0', '0.9998', '4.89816', '0.255722', '4.96657', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1599006', '1027932', 'object/static/item/shared_item_jar_berries.iff', '0', '-0.00500151', '0', '0.999987', '-1.59305', '0.668406', '3.40165', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1599007', '1027932', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.0549707', '0', '0.998488', '4.93193', '0.255535', '3.72649', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1599010', '1027932', 'object/static/item/shared_item_tank_bubble.iff', '0', '-0.285952', '0', '0.958244', '1.35913', '0.730983', '3.56622', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1599013', '1027932', 'object/static/item/shared_item_shisha.iff', '0', '0.0149996', '0', '0.999888', '-1.17127', '0.664235', '3.41388', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1027933', '1027931', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1599020', '1027933', 'object/static/item/shared_item_bowl_shallow.iff', '0', '0', '0', '1', '-1.92713', '1.20611', '0.720252', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1599023', '1027933', 'object/static/item/shared_item_cheese_wheel_s1_partial.iff', '0', '0', '0', '1', '-2.01499', '1.23767', '0.74947', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1027934', '1027931', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1027935', '1027931', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1027936', '1027931', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1027937', '1027931', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1027938', '1027931', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1027939', '1027931', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1027940', '1027931', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1599016', '1027940', 'object/static/item/shared_item_jar_berries.iff', '0', '0', '0', '1', '-1.60339', '1.20629', '1.80823', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1599017', '1027940', 'object/static/item/shared_item_jar_berries.iff', '0', '0', '0', '1', '-1.63163', '1.20621', '1.47421', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1599018', '1027940', 'object/static/item/shared_item_jar_spice_red.iff', '0', '0', '0', '1', '-1.47886', '1.20625', '1.62782', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1599019', '1027940', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '-0.17903', '0', '0.983844', '-1.78478', '1.20598', '1.69084', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1599021', '1027940', 'object/static/item/shared_item_bread_loaf.iff', '0', '0', '0', '1', '-1.74661', '1.2377', '0.840804', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1599022', '1027940', 'object/static/item/shared_item_bread_loaf.iff', '0', '0', '0', '1', '-1.79273', '1.23763', '0.570804', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1027941', '1027931', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1599028', '1027941', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s2.iff', '0', '0.00659327', '0', '0.999978', '5.1767', '0.281076', '2.34366', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1599029', '1027941', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '-0.438031', '0', '0.89896', '4.59287', '1.4559', '-5.99388', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1599030', '1027941', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '-0.438031', '0', '0.89896', '4.59287', '-0.378218', '-5.99388', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1599031', '1027941', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '-0.438031', '0', '0.89896', '4.59287', '0.538843', '-5.99388', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1599032', '1027941', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0.00659327', '0', '0.999978', '2.9749', '-0.378218', '-6.37659', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1599033', '1027941', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '-0.702428', '0', '0.711755', '5.09969', '-0.378218', '-4.45144', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1599034', '1027941', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '0.00659327', '0', '0.999978', '-1.00043', '-0.378218', '-6.04735', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1599035', '1027941', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.999978', '0', '-0.00659279', '-3.04133', '-0.378218', '-6.26239', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1599036', '1027941', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.431895', '0', '0.901924', '-4.63189', '-0.378218', '-5.71334', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1599037', '1027941', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '-0.702428', '0', '0.711755', '-5.0751', '-0.378218', '-4.52459', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1599038', '1027941', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '0.999978', '0', '-0.00659279', '-1.32215', '-0.378218', '-0.58684', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1599039', '1027941', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s1.iff', '0', '0.712747', '0', '-0.701421', '-0.626017', '-0.378218', '-1.22911', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1599044', '1027941', 'object/tangible/furniture/modern/shared_rug_rect_m_s01.iff', '-7.61038e-09', '0.717633', '-7.84219e-09', '0.696421', '-1.34962', '-0.37817', '-3.74359', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028167', '0', 'object/building/tatooine/shared_housing_tatt_style01_large.iff', '0', '0.34759', '0', '0.937647', '-1103.51', '12', '-3671.37', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028168', '1028167', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575622', '1028168', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s05.iff', '0', '0', '0', '1', '-7.31173', '1.99262', '9.70321', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575623', '1028168', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s05.iff', '0', '0', '0', '1', '-6.4413', '1.98852', '10.7912', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575627', '1028168', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s05.iff', '0', '-0.314567', '0', '0.949235', '6.51551', '2.00504', '10.6257', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575628', '1028168', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s05.iff', '0', '0.699716', '0', '0.714421', '7.62706', '2.00093', '9.84111', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028169', '1028167', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1544355', '1028169', 'object/static/item/shared_item_painting_agrilat_swamp_style_01.iff', '0', '0.707092', '0', '0.707122', '0.0707506', '1.52459', '-11.8065', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1544356', '1028169', 'object/static/item/shared_item_painting_agrilat_swamp_style_02.iff', '0', '0.707092', '0', '0.707121', '2.87113', '0.512662', '-11.8318', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1544357', '1028169', 'object/static/item/shared_item_painting_bothan_style_01.iff', '0', '0.999987', '0', '0.00499995', '-14.9126', '1.65026', '-3.58643', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1544358', '1028169', 'object/static/item/shared_item_painting_corellia_style_01.iff', '0', '1', '0', '-3.38471e-08', '-12.4114', '1.48419', '2.44381', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1544359', '1028169', 'object/static/item/shared_item_painting_corellia_style_02.iff', '0', '0.999987', '0', '0.00499995', '-12.4114', '1.51595', '7.7208', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1544362', '1028169', 'object/static/item/shared_item_painting_tatooine_style_01.iff', '0', '0.00499998', '0', '0.999987', '12.6597', '2.09314', '-2.26497', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1544363', '1028169', 'object/static/item/shared_item_painting_tatooine_style_02.iff', '0', '0.00499998', '0', '0.999987', '12.6716', '2.09283', '2.96134', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1544364', '1028169', 'object/static/item/shared_item_nemodian_bird_cage.iff', '0', '0', '0', '1', '-0.0787162', '4.33695', '4.87517', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1544365', '1028169', 'object/tangible/furniture/all/shared_frn_all_decorative_lg_s1.iff', '0', '0.996802', '0', '-0.0799147', '-0.283095', '1.42712', '7.7483', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1544366', '1028169', 'object/tangible/furniture/all/shared_frn_all_decorative_lg_s2.iff', '0', '-0.703279', '0', '0.710914', '12.3382', '1.00367', '0.498826', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1544367', '1028169', 'object/tangible/furniture/all/shared_frn_all_decorative_sm_s1.iff', '0', '1', '0', '-3.20013e-08', '0.53255', '1.40632', '7.61726', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1544368', '1028169', 'object/tangible/furniture/all/shared_frn_all_decorative_sm_s2.iff', '0', '-0.681639', '0', '0.731689', '-3.97396', '0.951844', '-11.1518', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1544378', '1028169', 'object/tangible/furniture/all/shared_frn_all_decorative_sm_s4.iff', '0', '0', '0', '1', '-14.227', '1.37641', '-3.60349', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1570360', '1028169', 'object/tangible/furniture/all/shared_frn_all_decorative_sm_s3.iff', '0', '0', '0', '1', '-0.731365', '1.37442', '7.49639', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575536', '1028169', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '-3.99525', '0.512662', '-11.1789', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575542', '1028169', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff', '0', '-0.00499998', '0', '0.999987', '-0.0976461', '0.993319', '7.87508', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575554', '1028169', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '-3.74693', '0.993319', '7.75253', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575555', '1028169', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '3.58172', '0.993319', '7.67725', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575558', '1028169', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '0.129634', '0', '0.991562', '-2.36062', '0.993319', '4.27964', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575560', '1028169', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '-0.104807', '0', '0.994493', '1.77254', '0.993319', '4.12109', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575572', '1028169', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s01.iff', '0', '0', '0', '1', '-3.75441', '1.37279', '7.71993', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575575', '1028169', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s01.iff', '0', '0.707094', '0', '0.707119', '3.60675', '1.35334', '7.74519', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575578', '1028169', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '0.713864', '0', '0.700285', '9.7343', '0.992683', '2.73117', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575580', '1028169', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '0.706807', '0', '0.707407', '9.70539', '0.991833', '-2.39977', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575583', '1028169', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '9.70108', '0.991985', '0.163864', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575612', '1028169', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '-14.3021', '0.993319', '-3.57503', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575617', '1028169', 'object/static/structure/tatooine/shared_skeleton_krayt_head_style_01.iff', '0', '0', '0', '1', '0.431964', '0.54106', '-6.83386', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575618', '1028169', 'object/tangible/furniture/modern/shared_rug_oval_m_s02.iff', '0', '0.707094', '0', '0.707119', '0.300752', '0.445867', '-5.94652', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575631', '1028169', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '0.969109', '0', '0.246632', '-4.06307', '0.509112', '-2.33123', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575632', '1028169', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '0.978197', '0', '-0.207681', '4.04711', '0.509113', '-2.24571', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575633', '1028169', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '-0.706807', '0', '0.707407', '7.48005', '0.51076', '-6.57175', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575635', '1028169', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '0.703282', '0', '0.710911', '-7.18109', '0.510725', '-6.41582', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575636', '1028169', 'object/tangible/furniture/elegant/shared_love_seat_s01.iff', '0', '-0.439462', '0', '0.898261', '6.80754', '0.511801', '-10.1696', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575637', '1028169', 'object/tangible/furniture/elegant/shared_love_seat_s01.iff', '0', '0.394019', '0', '0.919102', '-6.52463', '0.511358', '-10.2037', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575639', '1028169', 'object/static/structure/tatooine/shared_skeleton_greater_krayt_head.iff', '-0.0748194', '0.933727', '-0.152979', '-0.314886', '12.6569', '3.24497', '-5.21466', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575644', '1028169', 'object/static/structure/tatooine/shared_skeleton_greater_krayt_spine_medium.iff', '-0.0249894', '-0.000624872', '0.0249894', '0.999375', '12.833', '3.89534', '-2.51566', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575648', '1028169', 'object/static/structure/tatooine/shared_skeleton_greater_krayt_spine_medium.iff', '-0.00318994', '0.0143649', '0.0351967', '0.999272', '12.8819', '4.0496', '1.7115', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3815397', '1028169', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s03.iff', '0', '0.382683', '0', '0.92388', '8.9186', '0.993319', '7.56234', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3815399', '1028169', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s03.iff', '0', '0.92388', '0', '0.382683', '12.4954', '0.993319', '7.61083', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235460', '1028169', 'object/soundobject/shared_soundobject_cantina_small.iff', '0', '0', '0', '1', '-0.185812', '0.509112', '-1.42861', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028170', '1028167', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028171', '1028167', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028172', '1028167', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725738', '1028172', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_03.iff', '0', '0', '0', '1', '21.0286', '0.102215', '1.55717', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725740', '1028172', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '0', '0', '1', '21.3183', '0.196008', '8.89622', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725741', '1028172', 'object/static/item/shared_item_painting_agrilat_swamp_style_02.iff', '0', '-0.707106', '0', '0.707108', '21.2343', '0.164114', '9.67507', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725743', '1028172', 'object/tangible/furniture/all/shared_frn_all_lamp_candlestick_free_s02.iff', '0', '0', '0', '1', '20.1204', '0.985594', '8.89979', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725744', '1028172', 'object/tangible/furniture/all/shared_frn_all_lamp_candlestick_free_s02.iff', '0', '0', '0', '1', '22.5015', '0.985675', '8.89517', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725745', '1028172', 'object/tangible/furniture/modern/shared_dining_table_modern_style_01.iff', '0', '0.707106', '0', '0.707107', '21.2483', '0.197407', '1.47318', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725747', '1028172', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.857504', '0', '-0.514478', '23.5185', '0.198399', '2.19677', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725749', '1028172', 'object/static/item/shared_item_diagnostic_screen.iff', '0', '0.852108', '0', '0.523366', '21.5924', '1.21076', '1.90378', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725750', '1028172', 'object/static/item/shared_item_document.iff', '0', '0', '0', '1', '21.6028', '1.20931', '-0.919776', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725751', '1028172', 'object/static/item/shared_item_document.iff', '0', '0', '0', '1', '21.7086', '1.20924', '-0.815656', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725752', '1028172', 'object/static/item/shared_item_document.iff', '-0.179403', '0.361733', '-0.0883798', '0.910578', '21.5557', '1.27267', '-0.806576', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725753', '1028172', 'object/static/item/shared_item_medical_console.iff', '0', '0.681639', '0', '0.731689', '21.2449', '1.17651', '0.349451', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725754', '1028172', 'object/static/item/shared_item_diagnostic_screen.iff', '0', '0.757842', '0', '0.652438', '21.4582', '1.195', '1.4755', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725755', '1028172', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '21.4257', '0.196763', '3.18057', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725756', '1028172', 'object/static/item/shared_item_bottle_fat.iff', '0.66319', '0.121985', '-0.130941', '0.726742', '21.6343', '0.291534', '3.39293', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725757', '1028172', 'object/static/item/shared_item_document.iff', '0', '0.21823', '0', '0.975897', '21.1399', '1.20724', '3.69769', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725758', '1028172', 'object/static/structure/general/shared_skeleton_ithorian_headandbody.iff', '0', '0.198669', '0', '0.980067', '21.0842', '1.20778', '3.95694', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725760', '1028172', 'object/static/item/shared_item_tool_computer_toolkit.iff', '0', '0.585097', '0', '0.810963', '21.6205', '1.20818', '4.30095', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725761', '1028172', 'object/static/item/shared_item_painting_corellia_style_01.iff', '0', '1', '0', '-3.20013e-08', '12.9638', '0.517794', '-0.275483', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725763', '1028172', 'object/static/item/shared_item_cage_bamboo.iff', '0', '1', '0', '-3.20013e-08', '25.2115', '0.195138', '7.49976', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725764', '1028172', 'object/static/item/shared_item_cage_bamboo.iff', '0', '1', '0', '-3.20013e-08', '25.3328', '0.195381', '6.41693', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725765', '1028172', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '0.707106', '0', '0.707107', '13.4532', '0.159581', '-0.315896', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725766', '1028172', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s01.iff', '0', '-0.707106', '0', '0.707107', '13.1984', '0.18636', '-2.70066', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725767', '1028172', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s01.iff', '0', '-0.707106', '0', '0.707107', '13.2096', '0.135233', '2.11719', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725769', '1028172', 'object/static/item/shared_item_con_tankard_full.iff', '0', '0.858118', '0', '-0.513453', '21.8083', '1.20741', '2.48304', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725771', '1028172', 'object/static/item/shared_item_tool_sensor_frequency_jammer_s2.iff', '0', '0.539632', '0', '0.841901', '21.2148', '1.1766', '-0.422687', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725772', '1028172', 'object/static/structure/tatooine/shared_skeleton_krayt_head_style_02.iff', '0', '-0.609159', '0', '0.793048', '20.6618', '0.0311308', '-3.98086', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028173', '1028167', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028174', '1028167', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028175', '1028167', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028176', '1028167', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028177', '1028167', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1713350', '1028167', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1713351', '1028167', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1713352', '1028167', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1713353', '1028167', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1713354', '1028167', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1713355', '1028167', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1713356', '1028167', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1713357', '1028167', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1713358', '1028167', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1713359', '1028167', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1713360', '1028167', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028202', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_02.iff', '0', '0.916166', '0', '0.4008', '-1058.21', '12', '-3643.93', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028208', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_05.iff', '0', '0.319309', '0', '0.947651', '-1072', '12', '-3720', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028233', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_08.iff', '0', '-0.114747', '0', '0.993395', '-1037.17', '12', '-3741.24', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028239', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_08.iff', '0', '0.924606', '0', '-0.380924', '-1024.32', '12', '-3661.93', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028287', '0', 'object/building/tatooine/shared_housing_tatt_style01_small.iff', '0', '0.927097', '0', '0.374821', '-1037.7', '10', '-3520.4', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028288', '1028287', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528799', '1028288', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '-0.409417', '0', '0.912347', '4.74254', '0.228299', '3.59344', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528800', '1028288', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '-0.0068156', '0', '0.999977', '3.29572', '0.262201', '6.17576', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528801', '1028288', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.882812', '0', '-0.469726', '4.67187', '0.260063', '5.66304', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528802', '1028288', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.419763', '0', '0.907634', '3.31997', '0.260848', '3.46665', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528803', '1028288', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.206684', '0', '0.978408', '2.59579', '0.26044', '3.37797', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528804', '1028288', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.190642', '0', '0.98166', '4.55046', '1.14783', '3.66338', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528805', '1028288', 'object/static/structure/general/shared_data_terminal_wall_s1.iff', '0', '-0.00680684', '0', '0.999977', '-1.49371', '0.259682', '2.99331', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528806', '1028288', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '0', '0', '1', '1.01225', '0.258049', '3.282', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028289', '1028287', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528807', '1028289', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '-2.29774', '0.226006', '1.81292', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528808', '1028289', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '-2.27505', '0.226151', '0.247369', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528811', '1028289', 'object/static/structure/general/shared_skeleton_human_head.iff', '0.0446904', '0.935899', '0.111167', '-0.331266', '-1.88694', '1.19974', '1.31889', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528812', '1028289', 'object/static/structure/general/shared_skeleton_bith_head.iff', '-0.116832', '-0.2606', '-0.0265626', '0.957983', '-1.88304', '1.23474', '0.935473', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028290', '1028287', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028291', '1028287', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028292', '1028287', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028293', '1028287', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028294', '1028287', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028295', '1028287', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028296', '1028287', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528809', '1028296', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '-1.50292', '0.226171', '1.76191', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528810', '1028296', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '-1.47704', '0.225874', '0.242165', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028297', '1028287', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528813', '1028297', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s1.iff', '0', '-0.693845', '0', '0.720124', '2.95994', '-0.378217', '-5.31304', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528814', '1028297', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '0.999995', '0', '-0.00318463', '-0.50576', '-0.378217', '-0.7346', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528815', '1028297', 'object/tangible/furniture/cheap/shared_love_seat_s01.iff', '0', '-0.704852', '0', '0.709354', '1.14783', '-0.341113', '-2.4755', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528816', '1028297', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '-0.704852', '0', '0.709354', '1.12626', '-0.378217', '-1.02483', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528817', '1028297', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.0980269', '0', '0.995184', '-0.608707', '-0.378217', '-3.98391', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528818', '1028297', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.499642', '0', '0.866232', '-2.15041', '-0.378217', '-2.92649', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528819', '1028297', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.00318433', '0', '0.999995', '-0.360058', '-0.378217', '-2.27692', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528820', '1028297', 'object/tangible/furniture/cheap/shared_armoire_s01.iff', '0', '0.00318433', '0', '0.999995', '1.31326', '-0.378217', '-6.23987', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528821', '1028297', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '-0.704852', '0', '0.709354', '5.01688', '-0.378217', '-3.59094', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528822', '1028297', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0.00318433', '0', '0.999995', '-4.5033', '-0.378217', '-6.24126', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528823', '1028297', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0.00318433', '0', '0.999995', '-0.513642', '-0.378217', '-6.24186', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528824', '1028297', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '0.00318433', '0', '0.999995', '-2.53279', '-0.378217', '-6.21817', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528825', '1028297', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s01.iff', '0', '0.896505', '0', '-0.443034', '4.93182', '0.570467', '-3.88537', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028309', '0', 'object/building/tatooine/shared_housing_tatt_style01_small.iff', '0', '0.998531', '0', '0.0541767', '-1008.66', '10', '-3508.7', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028310', '1028309', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528738', '1028310', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '-0.00181508', '0', '0.999998', '1.38894', '0.265423', '3.40674', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528739', '1028310', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.00318385', '0', '0.999995', '3.4773', '0.267701', '6.2653', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528740', '1028310', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.878071', '0', '-0.47853', '4.84326', '0.265564', '5.72521', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528741', '1028310', 'object/static/structure/general/shared_data_terminal_wall_s1.iff', '0', '0.00159184', '0', '0.999999', '-1.56802', '0.265182', '3.02683', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528742', '1028310', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.777072', '0', '-0.629412', '5.16397', '0.258756', '4.37899', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528743', '1028310', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.428818', '0', '0.903391', '0.0611554', '0.266349', '3.38333', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528744', '1028310', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.216456', '0', '0.976292', '-0.664506', '0.265941', '3.30934', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528745', '1028310', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.226209', '0', '0.974079', '1.3124', '1.18495', '3.59645', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028535', '1028309', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528746', '1028535', 'object/static/item/shared_item_kitchen_portable_stove_sm_s1.iff', '0', '0.844162', '0', '-0.536088', '-2.01638', '1.23788', '1.57252', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528747', '1028535', 'object/static/item/shared_item_fruit_melon.iff', '0', '0', '0', '1', '-2.03143', '1.30099', '1.02623', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528748', '1028535', 'object/static/item/shared_item_fruit_melon.iff', '-0.296433', '0.090076', '-0.276434', '0.909724', '-1.9688', '1.27874', '0.947495', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528749', '1028535', 'object/static/item/shared_item_fruit_melon.iff', '-4.57815e-10', '-9.85212e-10', '0.42141', '0.90687', '-1.84465', '1.27597', '1.10211', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528752', '1028535', 'object/static/item/shared_item_bowl_plain.iff', '0', '0', '0', '1', '-1.94324', '1.23779', '1.02338', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528753', '1028535', 'object/static/item/shared_item_kitchen_pot_style_01.iff', '0', '-0.352274', '0', '0.935897', '-2.09782', '1.23804', '0.502296', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028536', '1028309', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028537', '1028309', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028538', '1028309', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028539', '1028309', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028540', '1028309', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028541', '1028309', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028542', '1028309', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528750', '1028542', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '-1.48665', '1.23781', '1.18593', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528751', '1028542', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '-1.60384', '1.23774', '0.647518', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528756', '1028542', 'object/static/item/shared_item_jar_guts.iff', '0', '0', '0', '1', '-1.52317', '1.23802', '1.72584', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528757', '1028542', 'object/static/item/shared_item_jar_bugs.iff', '0', '0', '0', '1', '-1.53072', '1.23796', '1.48108', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028543', '1028309', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528760', '1028543', 'object/tangible/furniture/modern/shared_rug_oval_sml_s01.iff', '0', '-0.705978', '0', '0.708234', '-1.37451', '-0.378217', '-3.86248', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528761', '1028543', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s2.iff', '0', '0.00159326', '0', '0.999999', '5.22118', '0.281077', '2.45253', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528762', '1028543', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '-0.44252', '0', '0.896759', '4.72066', '1.4559', '-5.8906', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528763', '1028543', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '-0.44252', '0', '0.896759', '4.72066', '-0.378217', '-5.8906', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528764', '1028543', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '-0.44252', '0', '0.896759', '4.72066', '0.538844', '-5.8906', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528765', '1028543', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0.00159326', '0', '0.999999', '3.10677', '-0.378217', '-6.28931', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528766', '1028543', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '-0.705978', '0', '0.708234', '5.21202', '-0.378217', '-4.34305', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528767', '1028543', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '0.00159326', '0', '0.999999', '-0.871816', '-0.378217', '-5.99998', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528768', '1028543', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.999999', '0', '-0.00159275', '-2.91025', '-0.378217', '-6.23547', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528769', '1028543', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.42738', '0', '0.904072', '-4.50643', '-0.378217', '-5.70234', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528770', '1028543', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '-0.705978', '0', '0.708234', '-4.96131', '-0.378217', '-4.51806', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528771', '1028543', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '0.999999', '0', '-0.00159275', '-1.24812', '-0.378217', '-0.543007', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528772', '1028543', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s1.iff', '0', '0.716245', '0', '-0.697848', '-0.545373', '-0.378217', '-1.17835', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028320', '0', 'object/building/tatooine/shared_housing_tatt_style01_small.iff', '0', '0.983082', '0', '0.183165', '-1024.36', '10', '-3512.19', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028321', '1028320', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528774', '1028321', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.999961', '0', '0.00880625', '1.1092', '0.261542', '3.23668', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528775', '1028321', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '-0.133013', '0', '0.991114', '-0.043953', '0.261078', '3.49719', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528776', '1028321', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.99991', '0', '0.013408', '-1.39129', '0.261679', '3.43226', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528778', '1028321', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.0100015', '0', '0.99995', '4.86818', '0.254649', '5.09944', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528779', '1028321', 'object/static/item/shared_item_jar_berries.iff', '0', '-0.0100015', '0', '0.99995', '-1.62267', '0.667333', '3.41755', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028322', '1028320', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528786', '1028322', 'object/static/structure/general/shared_prp_engine_component.iff', '0', '-0.144492', '0', '0.989506', '-2.11455', '1.26945', '0.640976', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028323', '1028320', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028324', '1028320', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028325', '1028320', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028326', '1028320', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028327', '1028320', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028328', '1028320', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028329', '1028320', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528785', '1028329', 'object/static/structure/general/shared_prp_junk_s8.iff', '0', '0', '0', '1', '-1.59178', '2.21811', '1.10577', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028330', '1028320', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528787', '1028330', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s01.iff', '0', '0.421209', '0', '0.906964', '-4.78781', '0.570468', '-5.57884', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528788', '1028330', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '0.00818347', '0', '0.999967', '-0.638005', '-0.378217', '-6.24923', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528789', '1028330', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0.999992', '0', '-0.00398057', '-0.0465523', '-0.378217', '-0.545961', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528790', '1028330', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0.00818347', '0', '0.999967', '-2.6088', '-0.378217', '-6.25283', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528791', '1028330', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s1.iff', '0', '0.703122', '0', '0.711069', '-2.88722', '-0.378217', '-4.05737', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528792', '1028330', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '0.00398091', '0', '0.999992', '4.27368', '-0.378217', '-6.02382', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528793', '1028330', 'object/tangible/furniture/cheap/shared_love_seat_s01.iff', '0', '0.709915', '0', '0.704287', '2.62275', '-0.341112', '-4.28026', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528794', '1028330', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.709915', '0', '0.704287', '2.64232', '-0.378217', '-5.73063', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528795', '1028330', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.980269', '0', '-0.19767', '4.7466', '-0.378217', '-3.21951', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528796', '1028330', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '0.692088', '0', '0.721813', '-4.85861', '-0.378217', '-5.87693', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528797', '1028330', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.999992', '0', '-0.00398057', '4.13063', '-0.378217', '-4.48092', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528798', '1028330', 'object/tangible/furniture/cheap/shared_armoire_s01.iff', '0', '0.999992', '0', '-0.00398057', '-1.87357', '-0.378217', '-0.545254', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028378', '0', 'object/building/tatooine/shared_housing_tatt_style01_small.iff', '0', '0.0465747', '0', '0.998915', '-1014.53', '10', '-3559.48', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028379', '1028378', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528517', '1028379', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '-0.0168143', '0', '0.999859', '1.37498', '0.26555', '3.32376', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528518', '1028379', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '-0.0118159', '0', '0.99993', '3.37668', '0.267829', '6.24383', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528519', '1028379', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.88515', '0', '-0.465305', '4.75812', '0.265691', '5.74495', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528520', '1028379', 'object/static/structure/general/shared_data_terminal_wall_s1.iff', '0', '-0.00340814', '0', '0.999994', '-1.25743', '0.26531', '3.02115', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528521', '1028379', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.783327', '0', '-0.62161', '5.05573', '0.258883', '4.40984', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528522', '1028379', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.415219', '0', '0.909721', '0.319372', '0.266476', '3.60797', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528523', '1028379', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.201788', '0', '0.979429', '-0.403741', '0.266068', '3.51215', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528524', '1028379', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.211573', '0', '0.977362', '1.2928', '1.18508', '3.51108', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028380', '1028378', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028527', '1028378', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028528', '1028378', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028529', '1028378', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028530', '1028378', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028531', '1028378', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028532', '1028378', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028533', '1028378', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528529', '1028533', 'object/static/item/shared_item_kitchen_cook_set_lg_s1.iff', '0', '0', '0', '1', '-1.39167', '1.23798', '1.27951', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528530', '1028533', 'object/static/item/shared_item_kitchen_portable_stove_sm_s1.iff', '0', '-0.68892', '0', '0.724837', '-1.77588', '1.23789', '0.935186', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528531', '1028533', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0', '0', '1', '-1.38613', '1.23787', '0.783983', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528532', '1028533', 'object/static/item/shared_item_jar_berries.iff', '0', '0', '0', '1', '-1.54217', '1.23782', '0.602661', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028534', '1028378', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528535', '1028534', 'object/tangible/furniture/modern/shared_rug_oval_sml_s01.iff', '0', '0.709511', '0', '-0.704694', '-1.39225', '-0.378217', '-3.88561', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528536', '1028534', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s2.iff', '0', '-0.00340675', '0', '0.999994', '5.13992', '0.281077', '2.49507', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528537', '1028534', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '-0.446998', '0', '0.894535', '4.72277', '1.4559', '-5.85246', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528538', '1028534', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '-0.446998', '0', '0.894535', '4.72277', '-0.378217', '-5.85246', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528539', '1028534', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '-0.446998', '0', '0.894535', '4.72277', '0.538844', '-5.85246', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528540', '1028534', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '-0.00340675', '0', '0.999994', '3.11294', '-0.378217', '-6.2675', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528541', '1028534', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0.70951', '0', '-0.704695', '5.19879', '-0.378217', '-4.30031', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528542', '1028534', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '-0.00340675', '0', '0.999994', '-0.868342', '-0.378217', '-6.01777', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528543', '1028534', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.999994', '0', '0.00340718', '-2.90432', '-0.378217', '-6.27364', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528544', '1028534', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.422855', '0', '0.906198', '-4.50568', '-0.378217', '-5.75669', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528545', '1028534', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.70951', '0', '-0.704695', '-4.97258', '-0.378217', '-4.57676', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528546', '1028534', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '0.999994', '0', '0.00340718', '-1.29921', '-0.378217', '-0.56481', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528547', '1028534', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s1.iff', '0', '0.719726', '0', '-0.694259', '-0.590111', '-0.378217', '-1.19312', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028400', '0', 'object/building/tatooine/shared_housing_tatt_style01_small.iff', '0', '0.868214', '0', '-0.496189', '-968.123', '10', '-3522.7', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028401', '1028400', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528650', '1028401', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '0.00818483', '0', '0.999967', '4.18858', '0.264762', '3.35188', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528651', '1028401', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.715135', '0', '-0.698986', '0.910039', '0.267041', '3.51504', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528652', '1028401', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '-0.287693', '0', '0.957723', '0.0137255', '0.264904', '3.64965', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528653', '1028401', 'object/static/structure/general/shared_data_terminal_wall_s1.iff', '0', '-0.0034082', '0', '0.999994', '-0.896802', '0.264522', '3.03052', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528654', '1028401', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '-0.109778', '0', '0.993956', '-1.32899', '0.258095', '3.31444', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528655', '1028401', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.43783', '0', '0.899058', '2.86061', '0.265688', '3.35509', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528656', '1028401', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.226208', '0', '0.974079', '2.13367', '0.26528', '3.29559', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528657', '1028401', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.235938', '0', '0.971768', '4.11586', '1.18429', '3.5432', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528661', '1028401', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '1', '0', '3.20013e-08', '3.37728', '0.255475', '6.28923', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028402', '1028400', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528663', '1028402', 'object/tangible/furniture/all/shared_frn_all_toolchest_med_s01.iff', '0', '-0.703279', '0', '0.710914', '-1.84887', '1.0484', '0.55424', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528664', '1028402', 'object/static/item/shared_item_diagnostic_screen.iff', '0', '0.767543', '0', '-0.640997', '-2.1499', '1.23826', '1.60978', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028403', '1028400', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028404', '1028400', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028405', '1028400', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028406', '1028400', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028407', '1028400', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028408', '1028400', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028409', '1028400', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028410', '1028400', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528665', '1028410', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s01.iff', '0', '0.430256', '0', '0.902707', '-4.92259', '0.570468', '-5.53891', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528666', '1028410', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '0.00398013', '0', '0.999992', '-2.03985', '-0.378217', '-6.23013', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528667', '1028410', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0.999992', '0', '-0.0039801', '0.0668701', '-0.378217', '-0.518609', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528668', '1028410', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0.00398013', '0', '0.999992', '-0.0665609', '-0.378217', '-6.24592', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528669', '1028410', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s1.iff', '0', '0.710197', '0', '0.704003', '-2.99154', '-0.378217', '-4.05575', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528670', '1028410', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '-0.704287', '0', '0.709916', '4.91331', '-0.378217', '-4.28926', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528671', '1028410', 'object/tangible/furniture/cheap/shared_love_seat_s01.iff', '0', '0.00398013', '0', '0.999992', '3.17005', '-0.341112', '-5.94016', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528672', '1028410', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.00398013', '0', '0.999992', '4.62084', '-0.378217', '-5.92132', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528673', '1028410', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.779821', '0', '0.626003', '1.61293', '-0.378217', '-4.75317', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528675', '1028410', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.709916', '0', '0.704286', '3.37067', '-0.378217', '-4.4327', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528676', '1028410', 'object/tangible/furniture/cheap/shared_armoire_s01.iff', '0', '0.999992', '0', '-0.0039801', '-1.76016', '-0.378217', '-0.517502', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528677', '1028410', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '0.699272', '0', '0.714855', '-4.99891', '-0.378217', '-5.8355', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028411', '0', 'object/building/tatooine/shared_housing_tatt_style01_small.iff', '0', '0.999023', '0', '-0.0441922', '-994.529', '10', '-3508.27', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028412', '1028411', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528716', '1028412', 'object/tangible/furniture/cheap/shared_armoire_s01.iff', '0', '-0.705979', '0', '0.708233', '5.13772', '0.257095', '5.7094', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528717', '1028412', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.999999', '0', '-0.00159278', '2.87032', '0.257333', '3.40476', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528718', '1028412', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '-0.313054', '0', '0.949735', '4.19762', '0.256732', '3.67034', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528719', '1028412', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.708232', '0', '0.705979', '5.18686', '0.257196', '4.23528', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028413', '1028411', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528723', '1028413', 'object/static/item/shared_item_jar_berries.iff', '0', '0', '0', '1', '-1.99054', '1.23779', '1.02367', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528724', '1028413', 'object/static/item/shared_item_jar_berries.iff', '0', '0', '0', '1', '-1.87439', '1.23783', '0.736413', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028414', '1028411', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028415', '1028411', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028416', '1028411', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028417', '1028411', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028418', '1028411', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028419', '1028411', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028420', '1028411', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528720', '1028420', 'object/static/item/shared_item_jar_berries.iff', '0', '0', '0', '1', '-1.49725', '1.23797', '1.35514', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528721', '1028420', 'object/static/item/shared_item_jar_berries.iff', '0', '0', '0', '1', '-1.59305', '1.23794', '0.929733', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528722', '1028420', 'object/static/item/shared_item_jar_berries.iff', '0', '0', '0', '1', '-1.73453', '1.23789', '1.32847', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028421', '1028411', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528725', '1028421', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s1.iff', '0', '-0.698577', '0', '0.715535', '3.13894', '-0.378217', '-5.2562', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528726', '1028421', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '0.999994', '0', '0.00340816', '-0.386958', '-0.378217', '-0.723674', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528727', '1028421', 'object/tangible/furniture/cheap/shared_love_seat_s01.iff', '0', '0.709513', '0', '-0.704692', '1.28959', '-0.341113', '-2.44249', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528728', '1028421', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.709513', '0', '-0.704692', '1.24892', '-0.378217', '-0.992496', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528729', '1028421', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.190421', '0', '0.981702', '-0.818119', '-0.378217', '-3.53467', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528730', '1028421', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.578258', '0', '0.815854', '-2.13655', '-0.378217', '-2.20923', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528731', '1028421', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '-0.00340847', '0', '0.999994', '-0.220949', '-0.378217', '-2.26399', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528732', '1028421', 'object/tangible/furniture/cheap/shared_armoire_s01.iff', '0', '-0.00340847', '0', '0.999994', '1.50465', '-0.378217', '-6.20442', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528733', '1028421', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '0.709513', '0', '-0.704692', '5.17291', '-0.378217', '-3.50696', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528734', '1028421', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '-0.00340847', '0', '0.999994', '-4.31138', '-0.378217', '-6.28271', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528735', '1028421', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '-0.00340847', '0', '0.999994', '-0.322101', '-0.378217', '-6.2306', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528736', '1028421', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '-0.00340847', '0', '0.999994', '-2.34131', '-0.378217', '-6.23372', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528737', '1028421', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s01.iff', '0', '0.899406', '0', '-0.437115', '5.09195', '0.570467', '-3.80254', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028422', '0', 'object/building/tatooine/shared_housing_tatt_style01_small.iff', '0', '0.97607', '0', '-0.217456', '-980.259', '10', '-3512.01', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028423', '1028422', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528681', '1028423', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '0.00818492', '0', '0.999967', '-1.34986', '0.255073', '3.4908', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528683', '1028423', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '-0.287692', '0', '0.957723', '0.106278', '0.255214', '3.67151', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528684', '1028423', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.746765', '0', '0.665088', '4.92965', '0.255999', '5.58761', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528685', '1028423', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.579557', '0', '0.814932', '4.37091', '0.255591', '6.0567', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528686', '1028423', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.235939', '0', '0.971768', '-1.42205', '1.17461', '3.68182', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528687', '1028423', 'object/static/structure/general/shared_data_terminal_wall_s1.iff', '0', '0.00159276', '0', '0.999999', '-0.779494', '0.254833', '3.02502', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528692', '1028423', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '0.999997', '0', '0.0026071', '3.11275', '0.258848', '6.21041', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528694', '1028423', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '-0.374079', '0', '0.927397', '3.04963', '1.17251', '6.08378', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028424', '1028422', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528700', '1028424', 'object/static/item/shared_item_key_electronic.iff', '0', '0', '0', '1', '-1.94049', '1.68058', '1.13854', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028425', '1028422', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028426', '1028422', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028427', '1028422', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028428', '1028422', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028429', '1028422', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028430', '1028422', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028431', '1028422', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528682', '1028431', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.960393', '0', '-0.27865', '1.48648', '0.257352', '2.4461', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028432', '1028422', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528701', '1028432', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s01.iff', '0', '-0.338405', '0', '0.941', '4.61044', '0.570468', '-6.16336', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528702', '1028432', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '-0.00442608', '0', '0.99999', '-1.52807', '-0.378217', '-6.2034', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528703', '1028432', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0.703124', '0', '0.711067', '-4.89588', '-0.409839', '-3.35597', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528704', '1028432', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '-0.00442608', '0', '0.99999', '-3.49781', '-0.378217', '-6.25644', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528705', '1028432', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '-0.0156198', '0', '0.999878', '4.9076', '-0.378217', '-6.23738', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528706', '1028432', 'object/tangible/furniture/cheap/shared_armoire_s01.iff', '0', '0.703124', '0', '0.711067', '-4.86212', '-0.409839', '-5.183', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528707', '1028432', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '-0.000222519', '0', '1', '-0.187021', '-0.378217', '-2.24904', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528708', '1028432', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.580855', '0', '0.814007', '-2.10256', '-0.378217', '-2.18179', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528709', '1028432', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.193549', '0', '0.98109', '-0.792332', '-0.378217', '-3.51576', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528710', '1028432', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.707264', '0', '-0.706949', '1.2908', '-0.378217', '-0.98677', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528711', '1028432', 'object/tangible/furniture/cheap/shared_love_seat_s01.iff', '0', '0.707264', '0', '-0.706949', '1.32224', '-0.341112', '-2.43725', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528712', '1028432', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '1', '0', '0.000221439', '-0.342993', '-0.378217', '-0.708128', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528713', '1028432', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s1.iff', '0', '-0.00022033', '0', '1', '3.1097', '-0.378217', '-4.24668', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028444', '0', 'object/building/tatooine/shared_housing_tatt_style01_small.iff', '0', '0.728819', '0', '-0.684707', '-964.353', '10', '-3539.8', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028445', '1028444', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528625', '1028445', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '0.00318496', '0', '0.999995', '1.38111', '0.264937', '3.39826', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528626', '1028445', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.719571', '0', '0.694419', '5.16584', '0.267216', '5.02274', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528627', '1028445', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '-0.268482', '0', '0.963285', '4.58592', '0.265078', '3.67318', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528628', '1028445', 'object/static/structure/general/shared_data_terminal_wall_s1.iff', '0', '0.0111932', '0', '0.999937', '-1.1978', '0.264697', '3.01452', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528629', '1028445', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '-0.0898786', '0', '0.995953', '3.23082', '0.25827', '3.39185', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528630', '1028445', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.43333', '0', '0.901235', '0.0531704', '0.265863', '3.38823', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528631', '1028445', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.221335', '0', '0.975198', '-0.673229', '0.265455', '3.3215', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528632', '1028445', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.231076', '0', '0.972936', '1.30644', '1.18447', '3.58881', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028446', '1028444', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528633', '1028446', 'object/static/item/shared_item_basket_closed.iff', '0', '0.203567', '0', '0.979061', '-1.85219', '1.17447', '1.17761', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528634', '1028446', 'object/static/item/shared_item_basket_closed.iff', '-0.0178134', '0.673268', '-0.0520061', '0.737352', '-1.97766', '1.55804', '1.15535', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028447', '1028444', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028448', '1028444', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028449', '1028444', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028450', '1028444', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028451', '1028444', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028452', '1028444', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028453', '1028444', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028454', '1028444', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528635', '1028454', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s01.iff', '0', '0.942415', '0', '0.334447', '-1.3963', '0.570468', '-0.618683', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528636', '1028454', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '-0.0002226', '0', '1', '-1.81276', '-0.378217', '-6.07601', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528637', '1028454', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0.708108', '0', '-0.706105', '5.00902', '0.222616', '0.278936', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528638', '1028454', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '-0.0002226', '0', '1', '-3.78266', '-0.378217', '-6.11223', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528639', '1028454', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '0.999935', '0', '0.0114164', '-1.69271', '-0.378217', '-0.542044', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528640', '1028454', 'object/tangible/furniture/cheap/shared_armoire_s01.iff', '0', '0.708108', '0', '-0.706105', '4.95569', '0.222616', '1.90119', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528641', '1028454', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.00398115', '0', '0.999992', '4.62356', '-0.378217', '-4.36393', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528643', '1028454', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.83702', '0', '-0.547173', '4.62206', '-0.378217', '-3.34038', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528644', '1028454', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.00398092', '0', '0.999992', '2.26278', '-0.378217', '-5.93828', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528645', '1028454', 'object/tangible/furniture/cheap/shared_love_seat_s01.iff', '0', '0.709916', '0', '0.704287', '1.85398', '-0.341112', '-4.7793', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528646', '1028454', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '0.00398216', '0', '0.999992', '3.95936', '-0.378217', '-6.01665', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528647', '1028454', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s1.iff', '0', '0.999992', '0', '-0.00398327', '0.0883712', '-0.378217', '-2.54782', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028455', '0', 'object/building/tatooine/shared_housing_tatt_style01_small.iff', '0', '-0.0433937', '0', '0.999058', '-986.182', '10', '-3563.3', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028456', '1028455', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528569', '1028456', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.999999', '0', '-0.00119365', '1.20553', '0.26257', '3.33357', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528570', '1028456', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '-0.123095', '0', '0.992395', '0.0577879', '0.262106', '3.61697', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528571', '1028456', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.999978', '0', '-0.00659162', '-1.29543', '0.262707', '3.35396', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528572', '1028456', 'object/tangible/furniture/cheap/shared_armoire_s01.iff', '0', '0.00119476', '0', '0.999999', '2.67959', '0.262469', '3.38394', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528573', '1028456', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.00999834', '0', '0.99995', '5.02573', '0.255677', '4.76959', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528574', '1028456', 'object/static/item/shared_item_jar_berries.iff', '0', '0.00999834', '0', '0.99995', '-1.52719', '0.66836', '3.34867', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528575', '1028456', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.00999834', '0', '0.99995', '5.0602', '0.25549', '3.67486', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028457', '1028455', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528577', '1028457', 'object/static/item/shared_item_bowl_plain.iff', '0', '0', '0', '1', '-2.03115', '1.20647', '1.47801', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528578', '1028457', 'object/static/item/shared_item_cheese_wheel_s1_partial.iff', '0', '0.754571', '0', '0.656219', '-2.06293', '1.30118', '1.46154', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528579', '1028457', 'object/static/item/shared_item_cheese_wheel_s1_partial.iff', '0', '0.754571', '0', '0.656219', '-2.07687', '1.42769', '1.47702', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528580', '1028457', 'object/static/item/shared_item_cheese_wheel_s1_partial.iff', '0', '0.754571', '0', '0.656219', '-2.07059', '1.3644', '1.4524', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528581', '1028457', 'object/static/item/shared_item_cheese_wheel_s1_partial.iff', '0', '-0.443948', '0', '0.896052', '-2.10657', '1.49087', '1.45862', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528586', '1028457', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '-1.84108', '1.20628', '0.753078', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028458', '1028455', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028459', '1028455', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028460', '1028455', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028461', '1028455', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028462', '1028455', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028463', '1028455', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028464', '1028455', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028465', '1028455', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528587', '1028465', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s01.iff', '0', '0.416668', '0', '0.909059', '-4.82331', '0.570468', '-5.58721', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528588', '1028465', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '0.00318362', '0', '0.999995', '-0.667169', '-0.378217', '-6.21614', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528589', '1028465', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0.999999', '0', '0.00101944', '0.188454', '-0.378217', '-0.506973', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528590', '1028465', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0.00318362', '0', '0.999995', '-2.63771', '-0.378217', '-6.23938', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528591', '1028465', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s1.iff', '0', '0.699558', '0', '0.714576', '-2.93806', '-0.378217', '-4.04682', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528592', '1028465', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '-0.00101906', '0', '0.999999', '4.24205', '-0.378217', '-5.94169', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528593', '1028465', 'object/tangible/furniture/cheap/shared_love_seat_s01.iff', '0', '0.706385', '0', '0.707828', '2.57387', '-0.341112', '-4.2146', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528594', '1028465', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.706385', '0', '0.707828', '2.6078', '-0.378217', '-5.66494', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528595', '1028465', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.981245', '0', '-0.192767', '4.68694', '-0.378217', '-3.13278', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528596', '1028465', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '0.68847', '0', '0.725265', '-4.89106', '-0.378217', '-5.88597', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528597', '1028465', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.999999', '0', '0.00101944', '4.08355', '-0.378217', '-4.40035', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528598', '1028465', 'object/tangible/furniture/cheap/shared_armoire_s01.iff', '0', '0.999999', '0', '0.00101944', '-1.63853', '-0.378217', '-0.524504', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028466', '0', 'object/building/tatooine/shared_housing_tatt_style01_small.iff', '0', '-0.392552', '0', '0.91973', '-970.623', '10', '-3556.04', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028467', '1028466', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528600', '1028467', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '-0.406306', '0', '0.913737', '4.73494', '0.25485', '3.59561', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528601', '1028467', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '-0.00340846', '0', '0.999994', '3.30567', '0.257129', '6.18756', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528602', '1028467', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.881207', '0', '-0.472731', '4.67837', '0.254991', '5.66545', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528603', '1028467', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.422853', '0', '0.906198', '3.31158', '0.255776', '3.47847', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528604', '1028467', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.210016', '0', '0.977698', '2.58676', '0.255368', '3.39495', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528605', '1028467', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.187296', '0', '0.982304', '4.54324', '1.17438', '3.66692', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528606', '1028467', 'object/static/structure/general/shared_data_terminal_wall_s1.iff', '0', '-0.00380558', '0', '0.999993', '-1.22539', '0.25461', '3.00505', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028468', '1028466', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528609', '1028468', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '-2.13886', '1.20625', '1.72399', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028469', '1028466', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028470', '1028466', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028471', '1028466', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028472', '1028466', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028473', '1028466', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028474', '1028466', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028475', '1028466', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528607', '1028475', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '-0.706825', '0', '0.707388', '-1.57272', '1.20642', '0.915127', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028476', '1028466', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528611', '1028476', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s01.iff', '0', '0.425737', '0', '0.904847', '-4.78686', '0.570468', '-5.62733', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528612', '1028476', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '-0.00101987', '0', '0.999999', '-1.89746', '-0.378217', '-6.28965', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528613', '1028476', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0.999999', '0', '0.00101987', '0.152065', '-0.378217', '-0.557333', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528614', '1028476', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '-0.00101987', '0', '0.999999', '0.0758798', '-0.378217', '-6.28565', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528615', '1028476', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s1.iff', '0', '0.706668', '0', '0.707545', '-2.87077', '-0.378217', '-4.12494', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528616', '1028476', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '0.707827', '0', '-0.706386', '5.03594', '-0.378217', '-4.27942', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528617', '1028476', 'object/tangible/furniture/cheap/shared_love_seat_s01.iff', '0', '-0.00101987', '0', '0.999999', '3.30924', '-0.341112', '-5.94768', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528618', '1028476', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '-0.00101987', '0', '0.999999', '4.75981', '-0.378217', '-5.91428', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528619', '1028476', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.776681', '0', '0.629894', '1.74048', '-0.378217', '-4.77623', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528620', '1028476', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.929189', '0', '-0.369604', '4.46341', '-0.378217', '-2.49545', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528621', '1028476', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.706392', '0', '0.707821', '3.49493', '-0.378217', '-4.43826', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528622', '1028476', 'object/tangible/furniture/cheap/shared_armoire_s01.iff', '0', '0.999999', '0', '0.00101987', '-1.67491', '-0.378217', '-0.574547', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528623', '1028476', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '0.695689', '0', '0.718343', '-4.86028', '-0.378217', '-5.92477', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028477', '0', 'object/building/tatooine/shared_housing_tatt_style01_small.iff', '0', '0.0415801', '0', '0.999135', '-1001.3', '10', '-3562.18', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028478', '1028477', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528548', '1028478', 'object/tangible/furniture/cheap/shared_armoire_s01.iff', '0', '0.713026', '0', '-0.701138', '5.13794', '0.256597', '5.67588', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528549', '1028478', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.996673', '0', '-0.0815023', '2.9129', '0.256835', '3.32488', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528550', '1028478', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '-0.322536', '0', '0.946557', '4.23885', '0.256234', '3.61835', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528551', '1028478', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.701137', '0', '0.713026', '5.21645', '0.256698', '4.20309', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028518', '1028477', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528565', '1028518', 'object/static/item/shared_item_con_basket.iff', '0', '0', '0', '1', '-2.14696', '1.23777', '1.78591', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528566', '1028518', 'object/static/item/shared_item_basket_closed.iff', '0', '0', '0', '1', '-1.89234', '1.20591', '0.66508', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028519', '1028477', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028520', '1028477', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028521', '1028477', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028522', '1028477', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028523', '1028477', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028524', '1028477', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028525', '1028477', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028526', '1028477', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528552', '1028526', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s1.iff', '0', '-0.69276', '0', '0.721168', '3.13335', '-0.378217', '-5.31945', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528553', '1028526', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '0.999695', '0', '-0.0246867', '-0.416222', '-0.378217', '-0.761589', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528554', '1028526', 'object/tangible/furniture/cheap/shared_love_seat_s01.iff', '0', '-0.703779', '0', '0.710419', '1.32995', '-0.341113', '-2.47625', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528555', '1028526', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '-0.703779', '0', '0.710419', '1.15216', '-0.378217', '-1.07834', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528556', '1028526', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.198365', '0', '0.980128', '-0.795284', '-0.378217', '-3.53422', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528557', '1028526', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.584846', '0', '0.811145', '-2.09233', '-0.378217', '-2.18738', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528558', '1028526', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.00468885', '0', '0.999989', '-0.177538', '-0.378217', '-2.27324', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528559', '1028526', 'object/tangible/furniture/cheap/shared_armoire_s01.iff', '0', '0.00468885', '0', '0.999989', '1.48409', '-0.378217', '-6.24114', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528560', '1028526', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '-0.703779', '0', '0.710419', '5.19554', '-0.378217', '-3.60339', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528561', '1028526', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0.00468885', '0', '0.999989', '-4.33263', '-0.378217', '-6.22517', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528562', '1028526', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0.00468885', '0', '0.999989', '-0.343167', '-0.378217', '-6.23763', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528563', '1028526', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '0.00468885', '0', '0.999989', '-2.36215', '-0.378217', '-6.20789', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528564', '1028526', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s01.iff', '0', '0.895837', '0', '-0.444383', '5.1097', '0.570467', '-3.89765', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028489', '0', 'object/building/tatooine/shared_housing_tatt_style01_med.iff', '0', '0.999899', '0', '-0.0142038', '-998.888', '10', '-3535.97', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028490', '1028489', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528499', '1028490', 'object/static/item/shared_item_slave_brazier.iff', '0', '0', '0', '1', '4.7267', '2.19178', '2.58723', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528513', '1028490', 'object/tangible/furniture/tatooine/shared_frn_tatt_cantina_droid_detector.iff', '0', '0', '0', '1', '5.20612', '1.00421', '3.71248', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028491', '1028489', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528346', '1028491', 'object/tangible/furniture/all/shared_frn_all_table_s02.iff', '0', '0', '0', '1', '-5.44181', '0.408271', '-7.02765', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528349', '1028491', 'object/tangible/furniture/all/shared_frn_all_table_s03.iff', '0', '0', '0', '1', '-3.80515', '0.408271', '-2.06375', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528350', '1028491', 'object/tangible/furniture/all/shared_frn_all_table_s02.iff', '0', '0', '0', '1', '4.66131', '0.408271', '0.501643', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528351', '1028491', 'object/tangible/furniture/all/shared_frn_all_table_s01.iff', '0', '0', '0', '1', '-9.34147', '0.408271', '0.880525', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528352', '1028491', 'object/tangible/furniture/all/shared_frn_all_table_s01.iff', '0', '0', '0', '1', '7.7039', '0.408269', '-4.66107', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528353', '1028491', 'object/tangible/furniture/all/shared_frn_all_table_s03.iff', '0', '0', '0', '1', '2.08214', '0.408271', '-5.46185', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528355', '1028491', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.535416', '0', '0.844589', '-5.89844', '0.408271', '-2.34027', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528356', '1028491', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.969944', '0', '-0.243329', '-3.60961', '0.408271', '-0.213655', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528357', '1028491', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '-0.605187', '0', '0.796084', '-1.78996', '0.408271', '-2.58615', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528358', '1028491', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.997129', '0', '-0.0757243', '-4.94595', '0.408271', '-4.98117', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528359', '1028491', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.699717', '0', '0.71442', '-7.58103', '0.408271', '-6.34765', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528369', '1028491', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.937923', '0', '0.346844', '-10.7067', '0.408271', '1.99155', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528371', '1028491', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.257081', '0', '0.96639', '-10.6821', '0.408271', '-1.06512', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528372', '1028491', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.67797', '0', '0.735089', '2.48162', '0.408271', '0.256055', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528373', '1028491', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '0.999983', '0', '-0.00579636', '4.65724', '0.408266', '2.59673', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528374', '1028491', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '-0.49688', '0', '0.867819', '6.76805', '0.408267', '-0.674729', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528375', '1028491', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.916803', '0', '0.39934', '-0.0369391', '0.408271', '-4.73146', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528376', '1028491', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.99871', '0', '-0.0507738', '2.33406', '0.408271', '-3.30636', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528377', '1028491', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.859862', '0', '-0.510526', '4.04534', '0.408271', '-5.50302', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528378', '1028491', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.935616', '0', '0.353019', '6.61121', '0.408271', '-3.01729', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528379', '1028491', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.859862', '0', '-0.510526', '9.31537', '0.408268', '-3.47094', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528380', '1028491', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '-0.389418', '0', '0.921061', '9.0405', '0.408269', '-6.09748', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528381', '1028491', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '-0.526943', '0', '0.8499', '8.42972', '0.408271', '-10.5172', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528382', '1028491', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.548024', '0', '0.836463', '5.22992', '0.408271', '-10.4008', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528390', '1028491', 'object/static/item/shared_item_music_microphone_s1.iff', '0', '0', '0', '1', '-0.895895', '0.40827', '-8.71891', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528391', '1028491', 'object/static/item/shared_item_con_tato_bowl_full_s01.iff', '0', '0', '0', '1', '-3.9861', '1.16722', '-2.26333', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528470', '1028491', 'object/static/item/shared_item_con_plate_s1_full.iff', '0', '0', '0', '1', '4.47178', '1.16722', '0.362426', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528471', '1028491', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '-3.59372', '1.16722', '-2.02053', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528472', '1028491', 'object/static/item/shared_item_glass_white.iff', '0', '0', '0', '1', '4.44218', '0.408271', '0.732827', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528473', '1028491', 'object/static/item/shared_item_glass_metal.iff', '0', '0', '0', '1', '-3.47558', '0.408271', '-1.74308', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528474', '1028491', 'object/static/item/shared_item_game_dejarik_gameboard.iff', '0', '0.920751', '0', '0.390152', '6.88999', '0.40827', '-10.3631', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528490', '1028491', 'object/static/item/shared_item_cheese_wheel_s1_partial.iff', '0', '0.844162', '0', '0.536088', '7.59843', '1.16722', '-4.87099', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528491', '1028491', 'object/static/item/shared_item_cheese_wheel_s1_partial.iff', '0', '-0.266731', '0', '0.963771', '7.54701', '1.16722', '-4.34801', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528492', '1028491', 'object/static/item/shared_item_bread_loaf.iff', '0', '0.124675', '0', '0.992198', '7.9625', '1.16722', '-4.81333', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528493', '1028491', 'object/static/item/shared_item_bread_loaf.iff', '0', '0.124675', '0', '0.992198', '7.39839', '1.16722', '-4.59498', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528494', '1028491', 'object/static/item/shared_item_bottle_pear.iff', '0', '0.124675', '0', '0.992198', '7.87272', '1.16722', '-4.50283', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528495', '1028491', 'object/static/item/shared_item_glass_metal.iff', '0', '0', '0', '1', '8.13034', '0.408269', '-4.59413', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528497', '1028491', 'object/static/item/shared_item_glass_metal.iff', '0', '0', '0', '1', '7.36815', '0.408269', '-4.84635', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528498', '1028491', 'object/static/item/shared_item_shisha.iff', '0', '0', '0', '1', '1.92941', '1.13559', '-5.59544', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528501', '1028491', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '-0.119712', '0', '0.992809', '-3.92371', '0.408271', '-10.7393', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528502', '1028491', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.995953', '0', '-0.0898781', '1.75347', '0.408271', '-10.7521', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528503', '1028491', 'object/tangible/instrument/shared_fanfar.iff', '-0.274567', '-0.573734', '0.0187515', '0.771421', '2.23428', '0.986425', '-10.8917', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528504', '1028491', 'object/tangible/instrument/shared_slitherhorn.iff', '3.00062e-10', '3.00062e-10', '0.70709', '0.707123', '-3.63368', '0.83282', '-10.5603', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528505', '1028491', 'object/tangible/instrument/shared_kloo_horn.iff', '0.111161', '0.114233', '0.701832', '0.694281', '1.51189', '0.835917', '-10.559', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528510', '1028491', 'object/tangible/instrument/shared_traz.iff', '-0.147113', '-0.642765', '0.167733', '0.732855', '1.54257', '-0.00127828', '-10.4049', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528512', '1028491', 'object/tangible/instrument/shared_flute_droopy.iff', '-0.191135', '-0.0318266', '0.161139', '0.967723', '-3.91682', '-0.0670753', '-10.765', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235498', '1028491', 'object/soundobject/shared_soundobject_cantina_small.iff', '0', '0', '0', '1', '-1.81822', '0.408271', '-4.46786', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235501', '1028491', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0.727998', '0', '0', '0.685579', '-0.926591', '2.17915', '-11.1618', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028492', '1028489', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528415', '1028492', 'object/tangible/crafting/station/shared_food_station.iff', '0', '1', '0', '-3.20013e-08', '-6.31624', '1.00421', '10.3733', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528416', '1528415', 'object/tangible/hopper/shared_crafting_station_ingredient_hopper_1.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528417', '1028492', 'object/static/item/shared_item_kitchen_pot_style_03.iff', '0', '0.902268', '0', '-0.431177', '-10.5906', '1.92127', '9.74733', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528418', '1028492', 'object/static/item/shared_item_kitchen_pot_style_02.iff', '0', '0.644217', '0', '0.764843', '-10.5613', '1.92127', '10.3769', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528419', '1028492', 'object/static/item/shared_item_kitchen_pot_style_02.iff', '0', '0', '0', '1', '-10.3126', '1.92127', '10.021', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528420', '1028492', 'object/static/item/shared_item_kitchen_pot_style_01.iff', '0', '0', '0', '1', '-10.6907', '1.92127', '10.0766', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528421', '1028492', 'object/static/item/shared_item_kitchen_pot_style_01.iff', '0', '0', '0', '1', '-10.349', '1.92127', '9.5251', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528422', '1028492', 'object/static/item/shared_item_kitchen_cook_set_lg_s1.iff', '0', '0.677971', '0', '0.735088', '-10.5571', '1.92127', '8.79125', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528426', '1028492', 'object/static/item/shared_item_kitchen_cook_set_lg_s1.iff', '0', '0.324043', '0', '0.946042', '-10.5378', '1.92127', '3.83933', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528428', '1028492', 'object/static/item/shared_item_kitchen_portable_stove_sm_s1.iff', '0', '0.670587', '0', '0.741831', '-10.6335', '1.92127', '4.69264', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528429', '1028492', 'object/static/item/shared_item_jar_berries.iff', '0', '0', '0', '1', '-10.6133', '1.88965', '5.23155', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528430', '1028492', 'object/static/item/shared_item_jar_berries.iff', '0', '0', '0', '1', '-10.4751', '1.88965', '5.4951', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528431', '1028492', 'object/static/item/shared_item_jar_berries.iff', '0', '0', '0', '1', '-10.6164', '1.88965', '5.62786', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528432', '1028492', 'object/static/item/shared_item_jar_empty.iff', '0', '0', '0', '1', '-10.6605', '1.88965', '5.88135', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528433', '1028492', 'object/static/item/shared_item_jar_empty.iff', '0', '0', '0', '1', '-10.649', '1.88965', '6.08513', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528434', '1028492', 'object/static/item/shared_item_con_bag_ingredients_lg_s1.iff', '0', '0.424498', '0', '0.905429', '-10.5289', '1.88965', '7.57165', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528435', '1028492', 'object/static/item/shared_item_con_bag_ingredients_lg_s1.iff', '0', '0.104807', '0', '0.994493', '-10.4525', '1.88965', '8.09866', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528437', '1028492', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '-0.70709', '0', '0.707123', '-2.83284', '1.00421', '10.4008', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528438', '1028492', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '-0.70709', '0', '0.707123', '-1.32799', '1.00421', '10.3933', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528439', '1028492', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '0.999958', '0', '0.00920359', '-0.177115', '1.92127', '10.784', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528440', '1028492', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '0.999958', '0', '0.00920359', '-0.177115', '1.00421', '10.784', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528442', '1028492', 'object/static/item/shared_item_con_bowl_full.iff', '0', '0.727726', '0', '-0.685868', '2.88988', '1.92127', '9.11828', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528443', '1028492', 'object/static/item/shared_item_con_bowl_serving_full.iff', '0', '0.727726', '0', '-0.685868', '3.01879', '1.92127', '8.80651', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528444', '1028492', 'object/static/item/shared_item_con_tato_bowl_full_s01.iff', '0', '0', '0', '1', '-2.77407', '1.41531', '10.6529', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528445', '1028492', 'object/static/item/shared_item_con_tato_bowl_full_s02.iff', '0', '0.0149996', '0', '0.999888', '-1.31374', '1.41531', '10.6551', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528446', '1028492', 'object/static/item/shared_item_bread_loaf.iff', '0', '0', '0', '1', '-2.82088', '1.41531', '10.161', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528447', '1028492', 'object/static/item/shared_item_con_bowl_full.iff', '0', '0.849481', '0', '-0.52762', '2.99659', '1.92127', '10.1766', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528448', '1028492', 'object/static/item/shared_item_con_tato_bowl_full_s01.iff', '0', '0', '0', '1', '2.79166', '1.88965', '4.23827', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528449', '1028492', 'object/static/item/shared_item_con_tato_bowl_full_s02.iff', '0', '0', '0', '1', '2.83654', '1.92127', '7.89057', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528450', '1028492', 'object/static/item/shared_item_con_tato_bowl_full_s02.iff', '0', '0', '0', '1', '2.79475', '1.88965', '6.58919', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528451', '1028492', 'object/static/item/shared_item_bread_loaf.iff', '-0.11066', '-0.110712', '0.450153', '0.879124', '3.16117', '2.11101', '9.69297', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528453', '1028492', 'object/static/item/shared_item_bread_loaf.iff', '-0.415556', '-0.285624', '0.281505', '0.816387', '2.97878', '2.04776', '9.82113', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528454', '1028492', 'object/static/item/shared_item_bread_loaf.iff', '0', '0.271547', '0', '0.962425', '2.95762', '1.95289', '9.62395', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528455', '1028492', 'object/static/item/shared_item_bowl_carved.iff', '0', '0', '0', '1', '2.95945', '1.88965', '9.61305', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528456', '1028492', 'object/static/item/shared_item_bowl_plain.iff', '0', '0', '0', '1', '2.8347', '1.88965', '7.27813', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528458', '1028492', 'object/static/item/shared_item_fruit_melon.iff', '-0.429058', '-0.0714441', '0.1479', '0.888218', '2.9088', '1.95289', '7.43599', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528459', '1028492', 'object/static/item/shared_item_fruit_melon.iff', '0.070243', '-0.254826', '0.0942653', '0.959814', '2.90607', '1.95289', '7.17668', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528460', '1028492', 'object/static/item/shared_item_fruit_melon.iff', '0.528606', '0.2207', '-0.310071', '0.758764', '2.68385', '1.95289', '7.19977', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528461', '1028492', 'object/static/item/shared_item_tank_bubble.iff', '0', '0.862404', '0', '-0.50622', '2.9155', '1.92127', '4.78284', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528462', '1028492', 'object/static/item/shared_item_tank_bubble.iff', '0', '-0.61706', '0', '0.786916', '2.79672', '1.92127', '3.74338', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528464', '1028492', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '2.94742', '1.88965', '5.60974', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528465', '1028492', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '-10.612', '1.85802', '6.41428', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528466', '1028492', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '-10.7414', '1.85802', '6.81262', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528467', '1028492', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '-10.3908', '1.85802', '6.64551', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528468', '1028492', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '-10.6458', '1.85802', '7.14848', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528469', '1028492', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '-10.4405', '1.85802', '6.94866', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528476', '1028492', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '0.707107', '0', '0.707107', '-5.74737', '1.00421', '4.17389', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528478', '1028492', 'object/static/item/shared_item_basket_closed.iff', '0', '0', '0', '1', '-0.262971', '2.83833', '10.5926', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528481', '1028492', 'object/static/item/shared_item_cheese_wheel_s1_partial.iff', '0', '0', '0', '1', '2.70219', '1.92127', '8.81295', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528482', '1028492', 'object/static/item/shared_item_cheese_wheel_s1_partial.iff', '0', '0.971148', '0', '-0.238476', '2.88106', '1.92127', '8.57965', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528483', '1028492', 'object/static/item/shared_item_cheese_wheel_s1_partial.iff', '0', '0.734548', '0', '-0.678557', '2.65217', '1.92127', '8.5983', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3975354', '1028492', 'object/static/item/shared_item_bottle_fat.iff', '0', '0.999899', '0', '-0.014204', '-5.86693', '2.80671', '4.24775', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3975355', '1028492', 'object/static/item/shared_item_bottle_fat.iff', '0', '0.999899', '0', '-0.014204', '-5.66734', '2.80671', '4.04219', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3975356', '1028492', 'object/static/item/shared_item_bottle_fat.iff', '0', '0.999899', '0', '-0.014204', '-5.56224', '2.80671', '4.37519', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235497', '1028492', 'object/soundobject/shared_soundobject_cantina_small.iff', '0', '0', '0', '1', '-5.95375', '1.00421', '6.69558', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028493', '1028489', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028494', '1028489', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028495', '1028489', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028496', '1028489', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028497', '1028489', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028498', '1028489', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028499', '1028489', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028500', '1028489', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028501', '1028489', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028544', '0', 'object/building/tatooine/shared_guild_combat_tatooine_style_01.iff', '0', '0.328769', '0', '0.94441', '-1249.38', '12', '-3592.93', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028545', '1028544', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028546', '1028544', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028547', '1028544', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028548', '1028544', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028549', '1028544', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028550', '1028544', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028551', '1028544', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028552', '1028544', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028553', '1028544', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028554', '0', 'object/building/tatooine/shared_guild_commerce_tatooine_style_01.iff', '0', '0.944672', '0', '-0.328017', '-1176.43', '12', '-3501.66', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028555', '1028554', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028556', '1028554', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028557', '1028554', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028558', '1028554', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028559', '1028554', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028560', '1028554', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028561', '1028554', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028562', '1028554', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028563', '1028554', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028574', '0', 'object/building/tatooine/shared_guild_university_tatooine_style_01.iff', '0', '0.902268', '0', '0.431176', '-1254.28', '12', '-3514.36', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028575', '1028574', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028576', '1028574', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028577', '1028574', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028578', '1028574', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028579', '1028574', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028580', '1028574', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028581', '1028574', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028582', '1028574', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028583', '1028574', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028590', '0', 'object/building/tatooine/shared_association_hall_civilian_tatooine.iff', '0', '0.944148', '0', '-0.329522', '-1119.08', '12', '-3526.12', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1212350', '1028590', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590983', '1212350', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '0', '0', '1', '-0.0348799', '2.15798', '14.6088', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590984', '1212350', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '-0.976028', '2.94855', '14.4845', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590985', '1212350', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '-1.35747', '2.94855', '14.4583', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590986', '1212350', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '-0.9592', '2.94855', '14.84', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590987', '1212350', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '-1.43975', '2.94855', '14.8482', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590988', '1212350', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '1.45023', '2.94855', '14.5886', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590989', '1212350', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '1.395', '2.94855', '14.9217', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590990', '1212350', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '0.991681', '2.94855', '14.7577', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590991', '1212350', 'object/static/item/shared_item_bowl_shallow.iff', '0', '0', '0', '1', '-0.101001', '2.94855', '14.7316', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590992', '1212350', 'object/static/item/shared_item_cheese_wheel_s1_partial.iff', '0', '0', '0', '1', '-0.080196', '3.0118', '14.9334', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590993', '1212350', 'object/static/item/shared_item_cheese_wheel_s1_partial.iff', '0', '-0.223106', '0', '0.974794', '-0.281078', '3.0118', '14.8542', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590994', '1212350', 'object/static/item/shared_item_cheese_wheel_s1_partial.iff', '-0.178457', '0.0873076', '-0.430702', '0.880356', '0.0484051', '3.04337', '14.9155', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590995', '1212350', 'object/static/item/shared_item_bread_loaf.iff', '0', '0', '0', '1', '-0.290355', '2.94855', '14.6507', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590996', '1212350', 'object/static/item/shared_item_bread_loaf.iff', '0', '0', '0', '1', '0.0144919', '2.94855', '14.5989', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590997', '1212350', 'object/static/item/shared_item_bread_loaf.iff', '0.266718', '-0.00266727', '-0.00963755', '0.963723', '-0.176478', '3.02279', '14.4333', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590998', '1212350', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.461779', '0', '0.886995', '-4.78845', '2.15798', '13.8485', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590999', '1212350', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '0.844162', '0', '-0.536088', '-3.55395', '2.15798', '13.8971', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1591000', '1212350', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '-0.206902', '0', '0.978362', '4.46401', '2.15798', '13.5929', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1591001', '1212350', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '-0.432095', '0', '0.901828', '3.43152', '2.15798', '13.5908', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1212351', '1028590', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1591005', '1212351', 'object/tangible/furniture/modern/shared_rug_rect_sml_s01.iff', '0', '0.707096', '0', '0.707118', '-0.000559332', '2.25', '8.184', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1212352', '1028590', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1212353', '1028590', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1212354', '1028590', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1212355', '1028590', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1212356', '1028590', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1212357', '1028590', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1212358', '1028590', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1212359', '1028590', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355796', '1212359', 'object/static/item/shared_item_tech_console_sectional_a.iff', '0', '-0.707106', '0', '0.707107', '12.8168', '1.75027', '-7.00137', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355797', '1212359', 'object/static/item/shared_item_tech_console_sectional_a.iff', '0', '0.707106', '0', '0.707107', '-12.8098', '1.75', '-6.9548', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355798', '1212359', 'object/static/item/shared_item_tech_console_sectional_b.iff', '0', '0.707106', '0', '0.707107', '-2.5654', '1.75', '-15.8773', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355799', '1212359', 'object/static/item/shared_item_scrolling_screen.iff', '0', '-0.703281', '0', '0.710912', '-0.819209', '4.4814', '-15.9256', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355802', '1212359', 'object/tangible/furniture/all/shared_frn_all_technical_console_s01.iff', '0', '0', '0', '1', '2.25396', '1.1544', '-5.43887', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355803', '1212359', 'object/tangible/furniture/all/shared_frn_all_technical_console_s01.iff', '0', '0.707106', '0', '0.707107', '-2.45037', '1.1544', '-5.43771', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355804', '1212359', 'object/static/item/shared_item_tech_console_sectional_a.iff', '0', '0.00119595', '0', '0.999999', '7.14398', '1.75', '-15.4841', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355805', '1212359', 'object/static/item/shared_item_tech_console_sectional_a.iff', '0', '0.00119703', '0', '0.999999', '-7.14887', '1.75', '-15.4885', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235492', '1212359', 'object/soundobject/shared_soundobject_city_crowd_sentients.iff', '0', '0', '0', '1', '-4.49342', '1.1544', '-2.47571', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '5566042', '1212359', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '-0.13459', '0', '0.990901', '2.29175', '1.75', '-14.8251', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '5566044', '1212359', 'object/static/structure/general/shared_data_terminal_wall_s3.iff', '0', '0', '0', '1', '-1.18404', '1.75', '-15.0609', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1212360', '1028590', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1885355', '1212360', 'object/tangible/furniture/modern/shared_dining_table_modern_style_01.iff', '0', '0', '0', '1', '-5.74344', '1.75', '-19.1443', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1885357', '1212360', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.643913', '0', '0.765098', '-1.52054', '1.75', '-19.6655', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1885358', '1212360', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '1', '0', '3.20013e-08', '-3.63889', '1.75', '-17.7649', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1885359', '1212360', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '1', '0', '3.20013e-08', '-5.6389', '1.75', '-17.7649', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1885360', '1212360', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '1', '0', '3.20013e-08', '-7.6389', '1.75', '-17.7649', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1885361', '1212360', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.0130979', '0', '0.999914', '-3.73892', '1.75', '-21.2051', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1885362', '1212360', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.0130979', '0', '0.999914', '-5.73893', '1.75', '-21.2051', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1885363', '1212360', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.0130979', '0', '0.999914', '-7.73893', '1.75', '-21.2051', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1885364', '1212360', 'object/tangible/furniture/modern/shared_dining_table_modern_style_01.iff', '0', '0.999998', '0', '0.00190193', '5.89312', '1.75', '-19.328', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1885365', '1212360', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.405658', '0', '0.914025', '1.65864', '1.75', '-19.653', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1885366', '1212360', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.0019018', '0', '0.999998', '3.89911', '1.75', '-21.1089', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1885367', '1212360', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.0019018', '0', '0.999998', '5.89911', '1.75', '-21.1089', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1885368', '1212360', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.0019018', '0', '0.999998', '7.89911', '1.75', '-21.1089', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1885369', '1212360', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.999937', '0', '-0.0111959', '3.89911', '1.75', '-17.6089', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1885370', '1212360', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.999937', '0', '-0.0111959', '5.89911', '1.75', '-17.6089', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1885371', '1212360', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.999937', '0', '-0.0111959', '7.89911', '1.75', '-17.6089', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1885372', '1212360', 'object/static/item/shared_item_painting_tatooine_style_01.iff', '0', '-0.706825', '0', '0.707389', '-0.0170883', '3.07816', '-16.0177', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261560', '1028590', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261561', '1028590', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261562', '1028590', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261563', '1028590', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261564', '1028590', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261565', '1028590', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028644', '0', 'object/building/tatooine/shared_cantina_tatooine.iff', '0', '0.165823', '0', '0.986156', '-1404.26', '12', '-3668.77', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028645', '1028644', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028646', '1028644', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028647', '1028644', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235381', '1028647', 'object/soundobject/shared_soundobject_cantina_large.iff', '0', '0', '0', '1', '13.0785', '-0.894992', '0.438905', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028648', '1028644', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028649', '1028644', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028650', '1028644', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028651', '1028644', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028652', '1028644', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028653', '1028644', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028654', '1028644', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028655', '1028644', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028656', '1028644', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028657', '1028644', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028658', '1028644', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1028659', '1028644', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1033332', '0', 'object/static/structure/general/shared_streetlamp_large_green_style_02.iff', '0', '-0.421771', '0', '0.906703', '-5124.6', '75', '-6574.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1033344', '0', 'object/soundobject/shared_soundobject_cantina_small.iff', '0', '0', '0', '1', '-5120.35', '75', '-6568.54', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1033346', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '-5156.94', '75', '-6540.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1033348', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '-0.0249974', '0', '0.999687', '-5179.9', '75', '-6508.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1033349', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '-0.707106', '0', '0.707107', '-5219.18', '75', '-6461.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1033351', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.844162', '0', '0.536088', '-5284.44', '75', '-6591.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1033352', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '-0.707106', '0', '0.707107', '-5287.91', '75', '-6535.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1033355', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '-0.271547', '0', '0.962425', '-5123.01', '75', '-6481.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1033357', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.999698', '0', '0.0245997', '-5202.62', '75', '-6604.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1033358', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.977948', '0', '-0.208849', '-5244.92', '75', '-6557.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1033359', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '-0.329146', '0', '0.944279', '-5255.61', '75', '-6493.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1033364', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0', '0', '1', '-5052.47', '75', '-6628.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1033367', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '0.792563', '0', '-0.609791', '-5058.66', '75', '-6595.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1033371', '0', 'object/tangible/terminal/shared_terminal_mission_bounty.iff', '0', '0.879779', '0', '-0.475382', '-1445.22', '12', '-3657.8', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1033373', '0', 'object/tangible/terminal/shared_terminal_mission_bounty.iff', '0', '-0.300293', '0', '0.953847', '-1446.06', '12', '-3660.51', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1033375', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '-0.512767', '0', '0.858528', '3368.15', '5', '-4514.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1033376', '0', 'object/static/structure/tatooine/shared_wall_damaged_tatooine_large_style_01.iff', '0', '0.617057', '0', '0.786918', '3440.17', '3.02175', '-4500.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1033377', '0', 'object/static/structure/tatooine/shared_wall_damaged_tatooine_large_style_01.iff', '0', '0.783823', '0', '-0.620985', '3448.04', '3.02175', '-4498.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1033381', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '-0.0399893', '0', '0.9992', '-5124.4', '75', '-6536.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1033382', '0', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-5118.1', '75', '-6594.73', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1053331', '0', 'object/building/tatooine/shared_parking_garage_tatooine_style_1.iff', '0', '0.999991', '0', '0.0042005', '3773.82', '8.39', '2326.82', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1053360', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_06.iff', '0', '0.838759', '0', '-0.544503', '3961.81', '53.5', '2271.88', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1065563', '0', 'object/static/structure/general/shared_streetlamp_medium_blue_style_01.iff', '0.653617', '-0.30274', '0.289016', '0.630558', '-5267.86', '11.5192', '2699.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1068493', '0', 'object/static/structure/general/shared_gravestone_generic_style_01.iff', '-0.0411515', '0.918033', '-0.0119209', '0.394182', '4125.37', '7.02238', '-4766.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1068494', '0', 'object/static/structure/general/shared_gravestone_generic_style_04.iff', '-0.0390667', '0.892944', '-0.0103766', '0.448349', '4124.19', '6.76492', '-4769.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1068495', '0', 'object/static/structure/general/shared_gravestone_generic_style_01.iff', '-0.0500649', '0.845062', '0.00267822', '0.532312', '4120.82', '6.64588', '-4767', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1068496', '0', 'object/static/structure/general/shared_gravestone_generic_style_01.iff', '-0.0466376', '0.874279', '-0.00253115', '0.483172', '4122.36', '6.88661', '-4764.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1068497', '0', 'object/static/structure/general/shared_gravestone_generic_style_01.iff', '-0.0436481', '0.863112', '-0.00542272', '0.503093', '4125.03', '7.17888', '-4763.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1068500', '0', 'object/static/structure/general/shared_gravestone_generic_style_05.iff', '0.0369973', '0.365483', '-0.0158631', '0.929947', '4142.14', '8.34352', '-4702.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1068501', '0', 'object/static/structure/general/shared_gravestone_generic_style_02.iff', '-0.0495393', '-0.0377929', '-0.000414935', '0.998057', '4112.84', '8.59047', '-4714.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1068502', '0', 'object/static/structure/general/shared_gravestone_generic_style_02.iff', '-0.0410044', '-0.0168979', '-0.00973324', '0.998969', '4106.9', '9.02775', '-4710.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1068503', '0', 'object/static/structure/general/shared_gravestone_generic_style_03.iff', '-0.0474597', '-0.0457227', '8.58119e-05', '0.997826', '4110.02', '8.90444', '-4710.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1068504', '0', 'object/static/structure/general/shared_gravestone_generic_style_03.iff', '-0.0509133', '-0.0469765', '0.00432588', '0.997588', '4112.97', '8.21173', '-4718.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1068505', '0', 'object/static/structure/general/shared_gravestone_generic_style_02.iff', '-0.0521722', '0.019232', '0.00298624', '0.998448', '4108.73', '8.52958', '-4715.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1068506', '0', 'object/static/structure/general/shared_gravestone_generic_style_02.iff', '-0.0521452', '0.0500423', '-0.000522025', '0.997385', '4110.65', '8.57518', '-4715.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1068507', '0', 'object/static/structure/general/shared_gravestone_generic_style_03.iff', '-0.0517887', '0.0229972', '0.00307386', '0.998389', '4110.53', '8.16679', '-4719.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1068508', '0', 'object/static/structure/general/shared_gravestone_generic_style_03.iff', '-0.0523952', '0.0206825', '0.00440394', '0.998403', '4108.62', '8.12485', '-4719.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1068509', '0', 'object/static/structure/general/shared_gravestone_generic_style_02.iff', '0.0157883', '0.926242', '0.0409963', '-0.374361', '4144.13', '7.97172', '-4697.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1068510', '0', 'object/static/structure/general/shared_gravestone_generic_style_02.iff', '0.0145918', '0.915739', '0.0409163', '-0.399419', '4142.46', '7.98292', '-4696.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1068512', '0', 'object/static/structure/general/shared_gravestone_generic_style_03.iff', '0.0140846', '0.927526', '0.0401769', '-0.371326', '4146.77', '7.63081', '-4694.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1068513', '0', 'object/static/structure/general/shared_gravestone_generic_style_02.iff', '0.00967813', '0.904297', '0.0385038', '-0.425053', '4146.98', '8.00521', '-4700.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1068514', '0', 'object/static/structure/general/shared_gravestone_generic_style_02.iff', '0.0108051', '0.889752', '0.0405982', '-0.454508', '4145.44', '7.98276', '-4698.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1068515', '0', 'object/static/structure/general/shared_gravestone_generic_style_03.iff', '0.00849466', '0.901729', '0.0387936', '-0.430474', '4148.71', '7.66451', '-4695.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1068516', '0', 'object/static/structure/general/shared_gravestone_generic_style_03.iff', '0.00598552', '0.905015', '0.0372255', '-0.423704', '4149.86', '7.72208', '-4697.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1068519', '0', 'object/static/structure/general/shared_gravestone_generic_style_02.iff', '0.0469901', '-0.630056', '0.00410363', '0.775116', '4134.27', '9.05571', '-4828.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1068520', '0', 'object/static/structure/general/shared_gravestone_generic_style_02.iff', '-0.0432269', '0.728028', '0.00049975', '-0.684183', '4133.71', '8.81929', '-4826.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1068521', '0', 'object/static/structure/general/shared_gravestone_generic_style_03.iff', '0.0127644', '0.744346', '0.0683274', '-0.664166', '4139.15', '10.0977', '-4827.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1068522', '0', 'object/static/structure/general/shared_gravestone_generic_style_03.iff', '0.00940716', '0.744055', '0.0706875', '-0.664302', '4139.42', '10.3435', '-4829.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1068523', '0', 'object/static/structure/general/shared_gravestone_generic_style_02.iff', '-0.0582215', '0.706802', '0.00488719', '-0.704995', '4134.55', '9.14048', '-4832.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1068524', '0', 'object/static/structure/general/shared_gravestone_generic_style_02.iff', '0.0519857', '-0.556737', '0.00768786', '0.829025', '4134.34', '9.08244', '-4830.66', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1068525', '0', 'object/static/structure/general/shared_gravestone_generic_style_03.iff', '-0.0531222', '0.706806', '0.00567952', '-0.705387', '4139.83', '10.6559', '-4831.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1068526', '0', 'object/static/structure/general/shared_gravestone_generic_style_03.iff', '-0.108298', '0.705577', '-0.0420673', '-0.699045', '4139.92', '10.8768', '-4833.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1068531', '0', 'object/static/structure/general/shared_gravestone_generic_style_02.iff', '-0.0097591', '0.77803', '0.0405188', '0.626843', '4129.34', '7.63466', '-4824.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1068533', '0', 'object/static/structure/general/shared_gravestone_generic_style_04.iff', '0.0226118', '0.234774', '0.0405512', '0.97094', '4129.64', '7.64586', '-4828.59', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1076941', '0', 'object/building/tatooine/shared_lucky_despot.iff', '0', '-0.290741', '0', '0.956802', '3383.24', '5.00981', '-4594.67', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1076942', '1076941', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1495864', '1076942', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '0', '0', '1', '-5.26635', '9.00929', '16.26', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1495865', '1076942', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '1', '0', '-3.20013e-08', '-6.09403', '9.01', '20.8925', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1495867', '1076942', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '1', '0', '-3.20013e-08', '-1.89876', '9.01', '20.8713', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1495868', '1076942', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '1', '0', '-3.20013e-08', '-3.8514', '9.01', '20.8592', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1495870', '1076942', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '0', '0', '1', '-5.26635', '9.0093', '16.255', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1495871', '1076942', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '0', '0', '1', '-5.26635', '9.0093', '16.2575', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1495873', '1076942', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '-16.9882', '9.01', '12.4519', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1495875', '1076942', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '-16.6627', '9.01', '14.283', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1495881', '1076942', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.857299', '0', '-0.514819', '-16.8169', '9.01', '13.3439', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1495887', '1076942', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0', '0', '1', '-16.228', '9.01', '12.3699', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1495888', '1076942', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0', '0', '1', '-15.9668', '9.01', '12.8268', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1495889', '1076942', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.0998331', '0', '0.995004', '-15.614', '9.01', '13.7258', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1495890', '1076942', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '-15.3253', '9.01', '14.6399', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1076943', '1076941', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106017', '1076943', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '0', '0', '1', '-21.3677', '7.01', '8.81663', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106021', '1076943', 'object/tangible/furniture/all/shared_frn_all_couch_love_seat_s1.iff', '0', '0.915433', '0', '0.402469', '-22.4332', '7.01', '9.84321', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106022', '1076943', 'object/tangible/furniture/all/shared_frn_all_couch_love_seat_s1.iff', '0', '0.519772', '0', '0.854305', '-22.6819', '7.01', '8.33979', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106023', '1076943', 'object/tangible/furniture/all/shared_frn_all_couch_love_seat_s1.iff', '0', '-0.00341636', '0', '0.999994', '-21.3679', '7.01', '7.67341', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106024', '1076943', 'object/tangible/furniture/all/shared_frn_all_couch_love_seat_s1.iff', '0', '0.991459', '0', '-0.130415', '-20.9585', '7.01', '10.1425', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106025', '1076943', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.015794', '0', '0.999875', '-19.7002', '7.01', '12.7506', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106026', '1076943', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.997438', '0', '-0.0715298', '-25.1986', '7.01', '6.35567', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106028', '1076943', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '-25.5373', '7.38947', '6.51542', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106029', '1076943', 'object/static/item/shared_item_con_pitcher_full.iff', '0', '0.159318', '0', '0.987227', '-25.3471', '7.38947', '6.31792', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106030', '1076943', 'object/static/item/shared_item_con_tankard_full.iff', '0', '0.159318', '0', '0.987227', '-25.0824', '7.38947', '6.28956', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106031', '1076943', 'object/static/item/shared_item_con_tankard_full.iff', '0', '0.720832', '0', '-0.69311', '-24.8254', '7.38947', '6.33424', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106032', '1076943', 'object/static/item/shared_item_con_tankard_full.iff', '0', '0', '0', '1', '-19.7018', '7.38947', '12.7826', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106033', '1076943', 'object/static/item/shared_item_con_tankard_full.iff', '0', '0.681639', '0', '0.731689', '-19.5531', '7.38947', '12.6974', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106034', '1076943', 'object/static/item/shared_item_con_tankard_full.iff', '0', '-0.461779', '0', '0.886995', '-19.7513', '7.38947', '12.5912', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106037', '1076943', 'object/static/item/shared_item_con_pitcher_full.iff', '0', '-0.0998334', '0', '0.995004', '-19.9964', '7.38947', '12.7745', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106040', '1076943', 'object/static/item/shared_item_con_pitcher_full.iff', '0', '-0.0998334', '0', '0.995004', '-19.2576', '7.38947', '12.6638', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106042', '1076943', 'object/tangible/gambling/slot/shared_standard.iff', '0', '1', '0', '3.20013e-08', '-16.9821', '7.01', '10.9049', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106043', '1076943', 'object/static/item/shared_item_con_drink_flask.iff', '0', '0.754571', '0', '0.656219', '-8.88826', '7.38947', '-4.18218', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106046', '1076943', 'object/static/item/shared_item_con_tankard_full.iff', '0', '0.754571', '0', '0.656219', '-9.10002', '7.38947', '-4.14265', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106049', '1076943', 'object/static/item/shared_item_con_tankard_full.iff', '0', '0', '0', '1', '-8.8405', '7.38947', '4.93126', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106050', '1076943', 'object/static/item/shared_item_con_pitcher_full.iff', '0', '0', '0', '1', '-8.99029', '7.38947', '4.72224', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106051', '1076943', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '-2.23432', '7.38947', '3.83591', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106052', '1076943', 'object/static/item/shared_item_bottle_tall.iff', '0', '0.999574', '0', '0.0291995', '-2.2334', '7.38947', '-3.63455', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106053', '1076943', 'object/static/item/shared_item_con_drink_flask.iff', '0', '0.999574', '0', '0.0291995', '-2.5361', '7.38947', '-3.91737', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106054', '1076943', 'object/static/item/shared_item_con_drink_flask.iff', '0', '0.999574', '0', '0.0291995', '-1.91518', '7.38947', '-3.77223', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106055', '1076943', 'object/static/item/shared_item_con_glass_full_s2.iff', '0', '0.257081', '0', '0.96639', '-3.1872', '7.4211', '-8.23828', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106056', '1076943', 'object/static/item/shared_item_con_glass_full_s2.iff', '0', '-0.328769', '0', '0.94441', '-3.56427', '7.4211', '-8.31777', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106057', '1076943', 'object/static/item/shared_item_con_glass_full_s2.iff', '0', '0.688921', '0', '0.724836', '-7.57337', '7.38947', '-8.25013', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106058', '1076943', 'object/static/item/shared_item_con_pitcher_full.iff', '0', '0.252246', '0', '0.967663', '-7.90122', '7.38947', '-8.16586', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106059', '1076943', 'object/static/item/shared_item_con_tato_cup_s3.iff', '0', '0', '0', '1', '-2.86771', '6.63053', '3.58783', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106060', '1076943', 'object/static/item/shared_item_con_tato_cup_s2.iff', '0', '0', '0', '1', '-8.82724', '6.63053', '4.61145', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106061', '1076943', 'object/static/item/shared_item_con_tato_cup_s2.iff', '0', '0', '0', '1', '-7.71243', '6.66215', '9.3088', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106062', '1076943', 'object/static/item/shared_item_con_tato_cup_s3.iff', '0', '0', '0', '1', '-3.87733', '6.66215', '-3.63023', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106063', '1076943', 'object/static/item/shared_item_con_tato_cup_s2.iff', '0', '0.754571', '0', '0.656219', '-8.94957', '6.63053', '-2.93687', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106064', '1076943', 'object/static/item/shared_item_con_tato_cup_s2.iff', '0', '-0.290741', '0', '0.956802', '-7.33811', '6.66215', '9.31347', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106065', '1076943', 'object/static/item/shared_item_con_tato_cup_s2.iff', '0', '-0.290741', '0', '0.956802', '-7.6361', '6.66215', '9.07956', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106066', '1076943', 'object/static/item/shared_item_con_tankard_full.iff', '0', '0.568761', '0', '0.822503', '-2.51535', '7.38948', '9.30188', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106067', '1076943', 'object/static/item/shared_item_con_pitcher_full.iff', '0', '0.568761', '0', '0.822503', '-3.2443', '7.38948', '9.41073', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106072', '1076943', 'object/static/item/shared_item_con_tato_cup_s2.iff', '0', '0.568761', '0', '0.822503', '-3.28999', '6.63053', '9.219', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1495920', '1076943', 'object/tangible/furniture/all/shared_frn_all_couch_love_seat_s1.iff', '0', '0.999991', '0', '0.00420377', '-3.18295', '7.01', '9.9667', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1495921', '1076943', 'object/tangible/furniture/all/shared_frn_all_couch_love_seat_s1.iff', '0', '0.697274', '0', '0.716804', '-4.35203', '7.01', '9.16861', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1495922', '1076943', 'object/tangible/furniture/all/shared_frn_all_couch_love_seat_s1.iff', '0', '0.709233', '0', '-0.704974', '-6.67718', '7.01', '9.14367', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1495923', '1076943', 'object/tangible/furniture/all/shared_frn_all_couch_love_seat_s1.iff', '0', '0.999997', '0', '0.00261443', '-8.03836', '7.01', '9.94166', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1495939', '1076943', 'object/tangible/furniture/all/shared_frn_all_couch_love_seat_s1.iff', '0', '-0.706813', '0', '0.7074', '-16.0494', '7.01', '-9.24384', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1495940', '1076943', 'object/tangible/furniture/all/shared_frn_all_couch_love_seat_s1.iff', '0', '-0.00499997', '0', '0.999987', '-20.0232', '7.01', '-8.14721', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1495942', '1076943', 'object/tangible/furniture/all/shared_frn_all_couch_love_seat_s1.iff', '0', '0.707107', '0', '0.707107', '-21.1036', '7.01', '-6.92672', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1495945', '1076943', 'object/tangible/furniture/all/shared_frn_all_couch_love_seat_s1.iff', '0', '0.999991', '0', '0.00420501', '-19.9548', '7.01', '-6.05823', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1495949', '1076943', 'object/tangible/furniture/all/shared_frn_all_couch_love_seat_s1.iff', '0', '0.707951', '0', '0.706262', '-17.7531', '7.01', '-9.13523', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1495952', '1076943', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.710353', '0', '-0.703845', '-17.0284', '7.01', '-9.62295', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1495953', '1076943', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.999983', '0', '-0.00579631', '-19.7444', '7.01', '-7.06334', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1495957', '1076943', 'object/static/structure/general/shared_data_terminal_wall_s2.iff', '0', '0.713864', '0', '-0.700285', '1.99', '7.01', '2.11038', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235725', '1076943', 'object/tangible/furniture/all/shared_frn_all_couch_love_seat_s1.iff', '0', '-0.00181929', '0', '0.999998', '-3.0045', '7.01', '-8.91922', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235726', '1076943', 'object/tangible/furniture/all/shared_frn_all_couch_love_seat_s1.iff', '0', '0.705534', '0', '0.708675', '-4.3643', '7.01', '-8.11917', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235727', '1076943', 'object/tangible/furniture/all/shared_frn_all_couch_love_seat_s1.iff', '0', '0.71625', '0', '-0.697844', '-6.68953', '7.01', '-8.14046', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235728', '1076943', 'object/tangible/furniture/all/shared_frn_all_couch_love_seat_s1.iff', '0', '-0.00340823', '0', '0.999994', '-7.85977', '7.01', '-8.93653', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235733', '1076943', 'object/tangible/furniture/all/shared_frn_all_couch_love_seat_s1.iff', '0', '0.704406', '0', '0.709796', '-9.82953', '7.01', '4.38165', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235734', '1076943', 'object/tangible/furniture/all/shared_frn_all_couch_love_seat_s1.iff', '0', '0.71275', '0', '-0.701418', '-8.06141', '7.01', '4.36985', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235735', '1076943', 'object/tangible/furniture/all/shared_frn_all_couch_love_seat_s1.iff', '0', '0.999923', '0', '-0.0123847', '-8.91389', '7.01', '5.95659', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235736', '1076943', 'object/tangible/furniture/all/shared_frn_all_couch_love_seat_s1.iff', '0', '0.0165877', '0', '0.999862', '-8.98374', '7.01', '2.87811', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235737', '1076943', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.70441', '0', '0.709794', '-8.92363', '7.01', '5.11798', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235738', '1076943', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.709793', '0', '-0.70441', '-8.9585', '7.01', '3.72976', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235739', '1076943', 'object/tangible/furniture/all/shared_frn_all_couch_love_seat_s1.iff', '0', '0.707946', '0', '0.706266', '-9.8486', '7.01', '-3.9915', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235740', '1076943', 'object/tangible/furniture/all/shared_frn_all_couch_love_seat_s1.iff', '0', '0.0215854', '0', '0.999767', '-9.01763', '7.01', '-5.50301', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235741', '1076943', 'object/tangible/furniture/all/shared_frn_all_couch_love_seat_s1.iff', '0', '0.709234', '0', '-0.704972', '-8.08067', '7.01', '-4.0207', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235742', '1076943', 'object/tangible/furniture/all/shared_frn_all_couch_love_seat_s1.iff', '0', '0.999849', '0', '-0.0173828', '-8.91716', '7.01', '-2.42552', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235743', '1076943', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.70795', '0', '0.706263', '-8.93524', '7.01', '-3.26392', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235744', '1076943', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '-0.706261', '0', '0.707952', '-8.98386', '7.01', '-4.65168', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235745', '1076943', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '-0.00840988', '0', '0.999965', '-8.89325', '7.01', '-8.20928', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235746', '1076943', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.999964', '0', '0.00840727', '-7.50473', '7.01', '-8.23129', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235747', '1076943', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.00158909', '0', '0.999999', '-3.58639', '7.01', '-8.31557', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235748', '1076943', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.999998', '0', '-0.00159151', '-2.19859', '7.01', '-8.36515', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235749', '1076943', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.00658998', '0', '0.999978', '-3.40554', '7.01', '-3.67582', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235750', '1076943', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.999978', '0', '-0.0065926', '-2.01832', '7.01', '-3.73942', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235751', '1076943', 'object/tangible/furniture/all/shared_frn_all_couch_love_seat_s1.iff', '0', '0.00658531', '0', '0.999978', '-2.68827', '7.01', '-4.59684', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235752', '1076943', 'object/tangible/furniture/all/shared_frn_all_couch_love_seat_s1.iff', '0', '-0.687771', '0', '0.725928', '-1.16756', '7.01', '-3.78233', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235753', '1076943', 'object/tangible/furniture/all/shared_frn_all_couch_love_seat_s1.iff', '0', '0.999997', '0', '-0.0023839', '-2.63963', '7.01', '-2.82946', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235754', '1076943', 'object/tangible/furniture/all/shared_frn_all_couch_love_seat_s1.iff', '0', '0.72303', '0', '0.690817', '-4.24395', '7.01', '-3.64844', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235755', '1076943', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '-0.0234078', '0', '0.999726', '-3.15935', '7.01', '3.6969', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235756', '1076943', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.999726', '0', '0.0234052', '-1.77096', '7.01', '3.71663', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235757', '1076943', 'object/tangible/furniture/all/shared_frn_all_couch_love_seat_s1.iff', '0', '-0.0234124', '0', '0.999726', '-2.3882', '7.01', '2.82061', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235758', '1076943', 'object/tangible/furniture/all/shared_frn_all_couch_love_seat_s1.iff', '0', '0.709236', '0', '-0.704971', '-0.919158', '7.01', '3.72484', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235759', '1076943', 'object/tangible/furniture/all/shared_frn_all_couch_love_seat_s1.iff', '0', '0.999619', '0', '0.0276126', '-2.44571', '7.01', '4.58771', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235760', '1076943', 'object/tangible/furniture/all/shared_frn_all_couch_love_seat_s1.iff', '0', '0.701982', '0', '0.712194', '-3.998', '7.01', '3.67396', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235761', '1076943', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.99991', '0', '0.0134088', '-2.27462', '7.01', '9.38054', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235762', '1076943', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '-0.0134117', '0', '0.99991', '-3.66319', '7.01', '9.38837', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235763', '1076943', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.999994', '0', '0.00340918', '-7.47154', '7.01', '9.26748', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235764', '1076943', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '-0.00341201', '0', '0.999994', '-8.85972', '7.01', '9.30307', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8075485', '1076943', 'object/soundobject/shared_soundobject_cantina_medium.iff', '0', '0', '0', '1', '-6.73377', '7.01', '0.119352', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1076944', '1076941', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1495962', '1076944', 'object/static/structure/general/shared_data_terminal_free_s2.iff', '0', '-0.699717', '0', '0.71442', '1.88399', '9.01', '-12.6286', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1076945', '1076941', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '894841', '1076945', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff', '0', '1', '0', '3.20013e-08', '-23.44', '9.01', '3.926', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '894843', '1076945', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff', '0', '0.707106', '0', '0.707107', '-25.8103', '9.01', '2.04803', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '894845', '1076945', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff', '0', '-0.707106', '0', '0.707107', '-21.0711', '9.01', '2.05229', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '894849', '1076945', 'object/tangible/furniture/modern/shared_cabinet_modern_style_01.iff', '0', '-0.707106', '0', '0.707107', '-19.1036', '9.01', '0.494923', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '894850', '1076945', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '0', '0', '1', '-26.168', '9.01', '3.65423', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '894851', '1076945', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '1', '0', '3.20013e-08', '-20.6582', '9.01', '3.58314', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '894853', '1076945', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '0.707107', '0', '0.707107', '-24.9982', '9.01', '4.4033', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '894855', '1076945', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '0.707107', '0', '0.707107', '-21.7942', '9.01', '4.35804', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '894856', '1076945', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0.5', '-0.5', '0.5', '0.5', '-19.9809', '11.5715', '-2.46522', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '894862', '1076945', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '-21.8947', '9.73733', '4.23077', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '894863', '1076945', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '-20.5533', '9.73733', '3.58758', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '894864', '1076945', 'object/static/item/shared_item_shisha.iff', '0', '0.9001', '0', '0.435682', '-24.9905', '9.73733', '4.3526', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1076946', '1076941', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106073', '1076946', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.707106', '0', '0.707107', '3.1491', '7.01', '4.72543', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106074', '1076946', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.707106', '0', '0.707107', '3.07516', '7.01', '-4.51492', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1076947', '1076941', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106075', '1076947', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '0', '0', '1', '21.859', '7.01', '-3.62462', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106076', '1076947', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '0', '0', '1', '21.5698', '7.01', '3.91899', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106077', '1076947', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '0', '0', '1', '13.6958', '7.01', '-0.13626', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106078', '1076947', 'object/tangible/gambling/table/shared_table_base.iff', '0', '0', '0', '1', '15.1739', '7.01', '-5.44258', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106079', '1076947', 'object/tangible/gambling/table/shared_table_base.iff', '0', '1', '0', '3.20013e-08', '15.0359', '7.01', '5.30419', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106080', '1076947', 'object/tangible/gambling/slot/shared_standard.iff', '0', '1', '0', '3.20013e-08', '17.8992', '7.01', '10.9833', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106081', '1076947', 'object/tangible/gambling/slot/shared_standard.iff', '0', '-0.707106', '0', '0.707107', '26.8482', '7.01001', '6.08494', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106082', '1076947', 'object/tangible/gambling/slot/shared_standard.iff', '0', '-0.707106', '0', '0.707107', '26.9699', '7.01', '-6.11115', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106083', '1076947', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0', '0', '1', '18.004', '7.01', '-11.016', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1496846', '1076947', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff', '0', '0.707106', '0', '0.707107', '11.7592', '7.01', '-0.141335', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1496847', '1076947', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff', '0', '-0.702994', '0', '0.711195', '15.4242', '7.01', '-0.157797', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235773', '1076947', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff', '0', '0.470976', '0', '0.882146', '19.9745', '7.01', '2.90802', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235775', '1076947', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff', '0', '0.879401', '0', '-0.476082', '22.9911', '7.01', '4.83787', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235776', '1076947', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff', '0', '-0.00460317', '0', '0.999989', '15.1537', '7.01', '-7.1162', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235778', '1076947', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff', '0', '0.999999', '0', '-0.00119392', '15.2772', '7.01', '-3.63853', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235779', '1076947', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff', '0', '0.0103958', '0', '0.999946', '14.964', '7.01', '3.50063', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235781', '1076947', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff', '0', '0.999869', '0', '-0.0161922', '15.0827', '7.01', '7.04745', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235782', '1076947', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff', '0', '-0.530851', '0', '0.847465', '23.4251', '7.01', '-4.47116', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235784', '1076947', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff', '0', '0.850528', '0', '0.52593', '20.0917', '7.01', '-2.75875', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4285362', '1076947', 'object/soundobject/shared_soundobject_cantina_small.iff', '0', '0', '0', '1', '19.9488', '7.01', '-0.843608', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1076948', '1076941', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106086', '1076948', 'object/static/item/shared_item_food_muffins.iff', '0', '0.0699428', '0', '0.997551', '7.26281', '8.18005', '-13.1295', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106087', '1076948', 'object/static/item/shared_item_con_tankard_full.iff', '0', '0.0699428', '0', '0.997551', '7.98478', '8.18005', '-13.9862', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106088', '1076948', 'object/static/item/shared_item_con_tankard_full.iff', '0', '-0.492535', '0', '0.870293', '7.81506', '8.18005', '-14.0634', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106089', '1076948', 'object/static/item/shared_item_con_tankard_full.iff', '0', '-0.560509', '0', '0.828148', '7.75915', '8.18005', '-14.2171', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106090', '1076948', 'object/static/item/shared_item_con_drink_flask.iff', '0', '0.0699428', '0', '0.997551', '7.65126', '8.18005', '-13.6859', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235790', '1076948', 'object/tangible/furniture/modern/shared_bar_counter_s1.iff', '0', '0.852108', '0', '-0.523366', '7.59265', '7.01', '-13.5662', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1076949', '1076941', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106091', '1076949', 'object/static/item/shared_item_food_muffins.iff', '0', '0.836026', '0', '-0.548689', '7.11114', '8.18005', '12.9327', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106092', '1076949', 'object/static/item/shared_item_con_drink_flask.iff', '0', '0.836026', '0', '-0.548689', '7.38299', '8.18005', '13.5547', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106093', '1076949', 'object/static/item/shared_item_con_tankard_full.iff', '0', '0.999991', '0', '0.00420485', '7.61954', '8.18005', '13.8912', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106094', '1076949', 'object/static/item/shared_item_con_drink_flask.iff', '0', '0.959438', '0', '-0.28192', '7.1257', '8.18005', '13.2917', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106095', '1076949', 'object/static/item/shared_item_con_drink_flask.iff', '0', '0.959438', '0', '-0.28192', '7.38068', '8.18005', '13.7708', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106096', '1076949', 'object/static/item/shared_item_con_drink_flask.iff', '0', '0.959438', '0', '-0.28192', '7.65067', '8.18005', '13.6749', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235789', '1076949', 'object/tangible/furniture/modern/shared_bar_counter_s1.iff', '0', '0.857299', '0', '0.514819', '7.50058', '7.01', '13.6228', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1076950', '1076941', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106084', '1076950', 'object/tangible/gambling/table/shared_table_base.iff', '0', '1', '0', '3.20013e-08', '30.2445', '7.01', '-4.55173', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106085', '1076950', 'object/tangible/gambling/table/shared_table_base.iff', '0', '0', '0', '1', '30.3168', '7.01001', '4.54795', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235796', '1076950', 'object/tangible/furniture/all/shared_frn_all_couch_love_seat_s1.iff', '0', '0.961776', '0', '-0.273837', '31.0371', '7.01', '5.11268', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235797', '1076950', 'object/tangible/furniture/all/shared_frn_all_couch_love_seat_s1.iff', '0', '0.883451', '0', '0.468523', '29.3142', '7.01', '5.19878', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235798', '1076950', 'object/tangible/furniture/all/shared_frn_all_couch_love_seat_s1.iff', '0', '-0.00682089', '0', '0.999977', '30.3303', '7.01', '3.61595', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235808', '1076950', 'object/tangible/furniture/all/shared_frn_all_couch_love_seat_s1.iff', '0', '0.499634', '0', '0.866237', '29.33', '7.01', '-5.21983', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235809', '1076950', 'object/tangible/furniture/all/shared_frn_all_couch_love_seat_s1.iff', '0', '-0.282905', '0', '0.959148', '31.0839', '7.01', '-5.21314', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235812', '1076950', 'object/tangible/furniture/all/shared_frn_all_couch_love_seat_s1.iff', '0', '0.999973', '0', '-0.00737911', '30.2402', '7.01', '-3.50899', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235814', '1076950', 'object/static/item/shared_item_tapestry_tatooine.iff', '0', '0.00499863', '0', '0.999987', '34.9822', '7.89987', '-1.80305', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1076951', '1076941', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1076952', '1076941', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '3795725', '1076952', 'object/static/structure/general/shared_data_terminal_wall_s3.iff', '0', '1', '0', '3.20013e-08', '-2.40393', '0.00999999', '-8.85343', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1076953', '1076941', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1076954', '1076941', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1076955', '1076941', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1076956', '1076941', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1076957', '1076941', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1076958', '1076941', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1076959', '1076941', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1076960', '1076941', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1076961', '1076941', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1076962', '1076941', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1076963', '1076941', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1076964', '1076941', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1076965', '1076941', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1076966', '1076941', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1076967', '1076941', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1076968', '1076941', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1076969', '1076941', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1076970', '1076941', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1076971', '1076941', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1076972', '1076941', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1076973', '1076941', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1082874', '0', 'object/building/tatooine/shared_cantina_tatooine.iff', '0', '0.326302', '0', '0.945266', '3432.35', '5', '-4818.13', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1082875', '1082874', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1082876', '1082874', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1082877', '1082874', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1082878', '1082874', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1082879', '1082874', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1082880', '1082874', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1082881', '1082874', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1082882', '1082874', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1082883', '1082874', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1082884', '1082874', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1082885', '1082874', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1082886', '1082874', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355773', '1082886', 'object/static/item/shared_item_scrolling_screen.iff', '0', '0.720831', '0', '0.693111', '-22.1164', '1.47672', '26.9724', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355774', '1082886', 'object/static/item/shared_item_tech_console_sectional_b.iff', '0', '1', '0', '-3.20013e-08', '-32.918', '-0.894991', '18.185', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355775', '1082886', 'object/static/item/shared_item_tech_console_sectional_c.iff', '0', '0', '0', '1', '-15.4534', '-0.894988', '22.0567', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355776', '1082886', 'object/static/item/shared_item_tech_console_sectional_c.iff', '0', '0.70867', '0', '-0.70554', '-19.4194', '-0.894989', '26.9483', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355778', '1082886', 'object/static/item/shared_item_tapestry_tatooine.iff', '0', '0', '0', '1', '-21.7458', '-0.894989', '12.4003', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355779', '1082886', 'object/static/item/shared_item_scrolling_screen.iff', '0', '0', '0', '1', '-21.9057', '1.87496', '12.2672', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355780', '1082886', 'object/static/item/shared_item_scrolling_screen.iff', '0', '0', '0', '1', '-21.9243', '1.85689', '15.2373', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355781', '1082886', 'object/static/structure/general/shared_streetlamp_small_blue_style_01_on.iff', '1', '0', '0', '-3.20013e-08', '-20.9463', '3.5322', '14.2908', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355782', '1082886', 'object/static/item/shared_item_con_barrel_lg_s1.iff', '0', '0.461779', '0', '0.886995', '-21.1108', '-0.894991', '16.7305', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355783', '1082886', 'object/static/item/shared_item_con_bag_ingredients_lg_s1.iff', '0', '-0.39861', '0', '0.917121', '-20.6213', '-0.894991', '17.2631', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355784', '1082886', 'object/static/item/shared_item_con_barrel_lg_s1.iff', '0', '-0.0425986', '0', '0.999092', '-20.8213', '-0.894991', '17.9764', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355785', '1082886', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '-0.271547', '0', '0.962425', '-18.7695', '-0.894988', '25.0253', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355786', '1082886', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.926115', '0', '0.377241', '-17.5962', '-0.894988', '22.3108', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355787', '1082886', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '0.754571', '0', '-0.656218', '-15.9019', '-0.894991', '24.0334', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5566052', '1082886', 'object/static/structure/general/shared_data_terminal_wall_s3.iff', '0', '0.999942', '0', '-0.0107961', '-22.1832', '-0.894989', '26.0401', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1082887', '1082874', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355788', '1082887', 'object/static/item/shared_item_tech_console_sectional_d.iff', '0', '0', '0', '1', '-22.8351', '-0.519991', '4.96612', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355789', '1082887', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.727726', '0', '0.685869', '-26.7554', '-0.519991', '7.32669', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355790', '1082887', 'object/tangible/furniture/cheap/shared_armoire_s01.iff', '0', '0.696136', '0', '0.71791', '-32.4615', '-0.519991', '9.47793', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355791', '1082887', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '-0.0349929', '0', '0.999388', '-28.8689', '-0.519991', '5.41065', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355792', '1082887', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '0.999875', '0', '0.0157957', '-28.4849', '-0.519991', '14.6173', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355793', '1082887', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '0.710353', '0', '0.703845', '-32.2944', '-0.519991', '12.4704', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355794', '1082887', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '0.999994', '0', '0.0034072', '-30.4338', '-0.519991', '14.4148', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355795', '1082887', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.999983', '0', '-0.00579638', '-30.5174', '-0.519991', '12.7818', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1082888', '1082874', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1082889', '1082874', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1094826', '0', 'object/static/creature/shared_tatooine_cu_pa.iff', '0', '0.0599644', '0', '0.998201', '-2979.09', '5', '2535.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1094832', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0.681638', '0', '0.731689', '-2816.86', '5', '1975.28', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1094833', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.902268', '0', '-0.431177', '-2815.13', '5', '1976.12', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1094834', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '0', '0', '1', '-2816.14', '5', '1976.75', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1105845', '0', 'object/building/tatooine/shared_guild_theater_tatooine_style_01.iff', '0', '-0.467616', '0', '0.883932', '3290.75', '5', '-4759.32', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1105846', '1105845', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1497009', '1105846', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '-0.247404', '0', '0.968912', '10.6444', '0.6', '-10.9696', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1497010', '1105846', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '-0.699716', '0', '0.714421', '12.2455', '0.6', '-7.12776', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1497011', '1105846', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '-0.640385', '0', '0.768054', '11.9249', '0.6', '-9.12854', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1497012', '1105846', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.737931', '0', '0.674876', '-12.0508', '0.6', '-6.64994', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1497013', '1105846', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.644218', '0', '0.764842', '-11.9019', '0.6', '-8.89165', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1497014', '1105846', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.412321', '0', '0.911039', '-10.9667', '0.6', '-11.1006', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1497015', '1105846', 'object/static/structure/general/shared_data_terminal_wall_s3.iff', '0', '1', '0', '-0.000796448', '-4.34152', '0.536754', '-2.66382', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1497016', '1105846', 'object/static/structure/general/shared_data_terminal_wall_s3.iff', '0', '0.999991', '0', '-0.00420468', '4.24047', '0.6', '-2.63602', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1497017', '1105846', 'object/static/structure/general/shared_data_terminal_free_s1.iff', '0', '1', '0', '-0.00079645', '0.199127', '0.536755', '-2.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1105847', '1105845', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1497001', '1105847', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '-0.0265888', '0', '0.999646', '-23.3994', '0.6', '-6.82249', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1497002', '1105847', 'object/tangible/furniture/all/shared_frn_all_decorative_sm_s1.iff', '0', '-0.0265888', '0', '0.999646', '-23.4529', '1.48544', '-6.21054', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1497003', '1105847', 'object/tangible/furniture/all/shared_frn_all_decorative_sm_s2.iff', '0', '0.84233', '0', '-0.538962', '-23.4302', '1.48544', '-7.30621', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1497007', '1105847', 'object/tangible/furniture/all/shared_frn_all_decorative_lg_s2.iff', '0', '0.999933', '0', '0.0115924', '-26.4033', '0.6', '11.5911', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1105848', '1105845', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1496994', '1105848', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0', '0', '1', '23.3708', '0.6', '-6.7663', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1496996', '1105848', 'object/tangible/furniture/all/shared_frn_all_decorative_lg_s2.iff', '0', '1', '0', '3.20013e-08', '26.4716', '0.6', '11.6698', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1496997', '1105848', 'object/tangible/furniture/all/shared_frn_all_decorative_sm_s1.iff', '0', '0', '0', '1', '23.35', '1.48544', '-6.15252', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1497000', '1105848', 'object/tangible/furniture/all/shared_frn_all_decorative_sm_s2.iff', '0', '0.827702', '0', '-0.561168', '23.2535', '1.48544', '-6.94693', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1105849', '1105845', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1497004', '1105849', 'object/tangible/furniture/all/shared_frn_all_decorative_lg_s2.iff', '0', '0.999831', '0', '-0.0184062', '16.5587', '0.6', '11.3153', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1497008', '1105849', 'object/tangible/furniture/all/shared_frn_all_decorative_lg_s2.iff', '0', '-0.700279', '0', '0.713869', '19.6014', '0.6', '0.563056', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1105850', '1105845', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1497005', '1105850', 'object/tangible/furniture/all/shared_frn_all_decorative_lg_s2.iff', '0', '0.70625', '0', '0.707962', '-19.561', '0.6', '0.57294', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1497006', '1105850', 'object/tangible/furniture/all/shared_frn_all_decorative_lg_s2.iff', '0', '0.999965', '0', '-0.0084072', '-16.4931', '0.6', '11.5405', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1105851', '1105845', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1496979', '1105851', 'object/tangible/furniture/modern/shared_rug_rnd_lg_s01.iff', '0', '0', '0', '1', '0.020318', '2.6', '9.93183', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1496980', '1105851', 'object/tangible/furniture/modern/shared_dining_table_modern_style_01.iff', '0', '0', '0', '1', '-0.210552', '2.6', '-0.0935901', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1496982', '1105851', 'object/tangible/furniture/all/shared_frn_all_decorative_lg_s1.iff', '0', '0', '0', '1', '0.0446054', '3.61193', '-0.0144547', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1496983', '1105851', 'object/static/item/shared_item_bowl_carved.iff', '0', '0', '0', '1', '1.74216', '3.61193', '-0.0206402', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1496984', '1105851', 'object/static/item/shared_item_bowl_carved.iff', '0', '0', '0', '1', '-2.05674', '3.61193', '-0.0425866', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1496985', '1105851', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '1.06757', '3.61193', '-0.454289', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1496986', '1105851', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '-1.56926', '3.61193', '-0.391426', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1496987', '1105851', 'object/static/item/shared_item_fruit_melon.iff', '0.166885', '0.0277886', '0.161884', '0.972199', '1.89717', '3.61193', '-0.0434648', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1496988', '1105851', 'object/static/item/shared_item_fruit_melon.iff', '-0.121804', '0.0265991', '-0.211683', '0.969354', '1.76107', '3.61193', '-0.116087', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1496989', '1105851', 'object/static/item/shared_item_fruit_melon.iff', '0', '0', '0', '1', '1.67772', '3.61193', '0.0572102', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1496990', '1105851', 'object/static/item/shared_item_fruit_melon.iff', '-0.201127', '-0.0314267', '0.151148', '0.967324', '-2.09922', '3.61193', '-0.128439', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1496991', '1105851', 'object/static/item/shared_item_fruit_melon.iff', '0', '0', '0', '1', '-2.10729', '3.61193', '0.0381397', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8075503', '1105851', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-2.74828', '2.6', '6.58874', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1105852', '1105845', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1105853', '1105845', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1497031', '1105853', 'object/tangible/furniture/modern/shared_dining_table_modern_style_01.iff', '0', '0', '0', '1', '10.1067', '2.12878', '76.359', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1497032', '1105853', 'object/tangible/furniture/modern/shared_dining_table_modern_style_01.iff', '0', '0', '0', '1', '10.0892', '2.12878', '70.9705', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1497033', '1105853', 'object/tangible/furniture/modern/shared_dining_table_modern_style_01.iff', '0', '0', '0', '1', '-6.00141', '2.12878', '70.9391', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1497034', '1105853', 'object/tangible/furniture/modern/shared_dining_table_modern_style_01.iff', '0', '0', '0', '1', '-5.99828', '2.12878', '76.3303', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1497035', '1105853', 'object/static/item/shared_item_bowl_shallow.iff', '0', '0', '0', '1', '-4.33427', '3.10909', '70.9177', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1497036', '1105853', 'object/static/item/shared_item_bowl_shallow.iff', '0', '0', '0', '1', '-7.25157', '3.10909', '70.896', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1498894', '1105853', 'object/static/item/shared_item_bread_loaf.iff', '0', '0', '0', '1', '-4.29805', '3.10909', '70.9435', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1498895', '1105853', 'object/static/item/shared_item_fruit_melon.iff', '-0.245337', '-0.118704', '0.241355', '0.931379', '-7.00848', '3.10909', '71.0069', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1498896', '1105853', 'object/static/item/shared_item_fruit_melon.iff', '0.10947', '0.00822565', '0.0744768', '0.991162', '-7.23115', '3.10909', '70.7691', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1498897', '1105853', 'object/static/item/shared_item_fruit_melon.iff', '-0.167085', '-0.0489518', '0.276863', '0.945004', '-7.42478', '3.10909', '71.2356', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1498898', '1105853', 'object/static/item/shared_item_fruit_melon.iff', '0.16581', '0.0336114', '0.195806', '0.965939', '-7.0177', '3.10909', '71.1766', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1498899', '1105853', 'object/static/item/shared_item_fruit_melon.iff', '-0.238609', '-0.397928', '-0.107991', '0.879237', '-7.45739', '3.10909', '70.96', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1498900', '1105853', 'object/static/item/shared_item_glass_empty.iff', '0', '0', '0', '1', '-4.07739', '3.14071', '76.0058', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1498901', '1105853', 'object/static/item/shared_item_glass_empty.iff', '0', '0', '0', '1', '-3.56071', '3.14071', '76.0598', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1498902', '1105853', 'object/static/item/shared_item_glass_empty.iff', '0', '0', '0', '1', '-3.83446', '3.14071', '76.1774', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1498903', '1105853', 'object/static/item/shared_item_glass_metal.iff', '0', '0', '0', '1', '-8.24389', '2.35014', '76.2688', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1498904', '1105853', 'object/static/item/shared_item_glass_metal.iff', '0', '0', '0', '1', '-8.32533', '2.35014', '76.1177', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1498905', '1105853', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '-6.80047', '3.14071', '76.4955', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1498906', '1105853', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '-7.32803', '3.14071', '76.4731', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1498907', '1105853', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '-7.01435', '3.14071', '76.0756', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1498908', '1105853', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '-5.01824', '3.14071', '76.5707', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1498909', '1105853', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '-4.61894', '3.14071', '76.3398', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1498910', '1105853', 'object/static/item/shared_item_jar_berries.iff', '0', '0', '0', '1', '8.61125', '3.10908', '76.3152', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1498911', '1105853', 'object/static/item/shared_item_jar_berries.iff', '0', '0', '0', '1', '8.93734', '3.10908', '76.4592', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1498912', '1105853', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0', '0', '1', '9.77469', '3.10908', '76.5176', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1498913', '1105853', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0', '0', '1', '10.1076', '3.10908', '76.498', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1498914', '1105853', 'object/static/item/shared_item_jar_spice_red.iff', '0', '0', '0', '1', '11.6623', '3.10908', '76.4823', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1498915', '1105853', 'object/static/item/shared_item_jar_spice_red.iff', '0', '0', '0', '1', '11.4185', '3.10908', '76.5193', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1498916', '1105853', 'object/static/item/shared_item_jar_empty.iff', '0', '0', '0', '1', '10.8401', '3.10908', '76.4623', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1498917', '1105853', 'object/static/item/shared_item_meat_hunk.iff', '0', '0.384808', '0', '0.922997', '10.9869', '3.10908', '70.774', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1498918', '1105853', 'object/static/item/shared_item_meat_hunk.iff', '0.0420524', '0.10816', '0.974508', '0.192008', '8.87504', '3.52018', '70.8815', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1498919', '1105853', 'object/static/item/shared_item_bowl_shallow.iff', '0', '-0.0998331', '0', '0.995004', '11.0382', '3.10908', '70.865', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1498920', '1105853', 'object/static/item/shared_item_bowl_shallow.iff', '0', '0', '0', '1', '8.87736', '3.10908', '70.8823', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1498921', '1105853', 'object/static/item/shared_item_fruit_melon.iff', '-0.215318', '-0.0584337', '0.255308', '0.940766', '8.69359', '3.10908', '70.9235', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '7875546', '1105853', 'object/static/item/shared_item_shisha.iff', '0', '0.914795', '0', '0.403919', '11.1612', '3.10909', '76.2126', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1105854', '1105845', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1497019', '1105854', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.999667', '0', '-0.0257933', '-21.3189', '2.12878', '75.9709', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1497020', '1105854', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.434965', '0', '0.900447', '-25.1685', '2.12878', '72.0128', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1497021', '1105854', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.932039', '0', '0.362358', '-25.2217', '2.12878', '75.9983', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1497022', '1105854', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff', '0', '0', '0', '1', '-21.5449', '2.12878', '63.5627', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1497023', '1105854', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff', '0', '-0.707099', '0', '0.707114', '-17.6405', '2.12878', '66.3601', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1497024', '1105854', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff', '0', '1', '0', '1.58442e-07', '-21.5155', '2.12878', '69.9496', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1497025', '1105854', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff', '0', '0.707099', '0', '0.707114', '-25.3738', '2.12878', '66.363', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1497026', '1105854', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '0', '0', '1', '-21.4251', '2.12878', '66.6454', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1497027', '1105854', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s01.iff', '0', '0.920751', '0', '0.390152', '-17.5053', '2.12878', '63.6131', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1497028', '1105854', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s01.iff', '0', '0.912764', '0', '-0.408488', '-25.5642', '2.12878', '63.5133', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1497029', '1105854', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.684128', '0', '0.729362', '-25.3672', '2.12878', '74.0056', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1497030', '1105854', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.99879', '0', '-0.0491842', '-23.2121', '2.12878', '76.2333', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1105855', '1105845', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1105879', '0', 'object/building/tatooine/shared_cloning_facility_tatooine.iff', '0', '0.884304', '0', '0.466913', '3242.09', '5', '-4621.38', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1105880', '1105879', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575925', '1105880', 'object/static/structure/general/shared_droid_lemedical_powerdown.iff', '0', '0', '0', '1', '6.74335', '0.081422', '14.2012', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575926', '1105880', 'object/static/structure/general/shared_droid_lemedical_powerdown.iff', '0', '0.940806', '0', '0.338946', '-8.26128', '0.081422', '17.6163', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1105881', '1105879', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1105882', '1105879', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1105883', '1105879', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '8075497', '1105883', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '2.16088', '-5.5', '-7.48276', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1105884', '1105879', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1105885', '1105879', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1105892', '0', 'object/building/tatooine/shared_filler_building_block_64x16_style_01.iff', '0', '-0.467616', '0', '0.883932', '3207.08', '5', '-4607.91', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1105949', '0', 'object/building/tatooine/shared_filler_building_block_64x16_style_01.iff', '0', '0.875559', '0', '0.48311', '3277.78', '5', '-4637.03', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1105999', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_1.iff', '0', '-0.300293', '0', '0.953847', '3304.27', '5.00003', '-4587.03', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106006', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '0', '0.472027', '0', '0.881584', '3432.59', '5.11548', '-4620.31', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106019', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.777631', '0', '0.628721', '3112.79', '5.00003', '-4900.04', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106020', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.46299', '0', '0.886363', '3111.81', '5.00003', '-4900.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106027', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '-0.361617', '0', '0.932327', '3235.81', '5.00003', '-4564.19', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106036', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_large.iff', '0', '-0.41687', '0', '0.908966', '3227.25', '5.00003', '-4569.53', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106038', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_2.iff', '0', '-0.300293', '0', '0.953847', '3252.31', '5.00003', '-4538.09', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106039', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '0', '0.305058', '0', '0.952334', '3256.28', '5.00003', '-4524.6', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106041', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_1.iff', '0', '-0.300293', '0', '0.953847', '3212.07', '5.00003', '-4685.01', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106068', '0', 'object/building/tatooine/shared_filler_building_block_64x16_style_01.iff', '0', '0.303545', '0', '0.952817', '3262.22', '5', '-4800.32', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106340', '0', 'object/building/tatooine/shared_filler_building_block_64x16_style_02.iff', '0', '-0.434967', '0', '0.900447', '3394.89', '5', '-4913.58', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106344', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_03.iff', '0', '0.942489', '0', '-0.334238', '3337.31', '5', '-4845.94', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106346', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_02.iff', '0', '0.328769', '0', '0.94441', '3387.74', '5', '-4885.64', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106352', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_03.iff', '0', '0.342898', '0', '0.939373', '3364.02', '5', '-4868.36', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106368', '0', 'object/building/tatooine/shared_starport_tatooine.iff', '0', '0.713864', '0', '-0.700285', '3618.98', '5', '-4801.09', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106369', '1106368', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106370', '1106368', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106371', '1106368', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106372', '1106368', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279065', '1106372', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0', '0', '1', '0.189046', '0.639421', '61.8747', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279066', '1106372', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0.707951', '0', '0.706263', '6.41503', '0.639421', '57.2603', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279067', '1106372', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0.713028', '0', '-0.701136', '-5.94061', '0.639421', '57.3051', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4265836', '1106372', 'object/tangible/terminal/shared_terminal_newsnet.iff', '0', '-0.699716', '0', '0.714421', '15.4666', '0.639421', '54.3947', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4265837', '1106372', 'object/tangible/terminal/shared_terminal_newsnet.iff', '0', '0', '0', '1', '-1.26432', '0.639421', '48.1111', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9526238', '1106372', 'object/soundobject/shared_soundobject_starport_announcer.iff', '0', '0', '0', '1', '-0.250819', '0.639421', '58.2923', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106373', '1106368', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106374', '1106368', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106375', '1106368', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106376', '1106368', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106377', '1106368', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106378', '1106368', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '3795685', '1106378', 'object/tangible/terminal/shared_terminal_space.iff', '0', '-0.0502882', '0', '0.998735', '-40.5226', '1.63942', '46.4702', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3795686', '1106378', 'object/tangible/terminal/shared_terminal_space.iff', '0', '-0.642151', '0', '0.766579', '-37.9244', '1.63942', '49.1855', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3795687', '1106378', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0.774419', '0', '0.632673', '-44.1043', '1.63942', '50.3066', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3795688', '1106378', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0.999278', '0', '0.0379993', '-41.4403', '1.63942', '52.9573', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106379', '1106368', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106380', '1106368', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106381', '1106368', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106382', '1106368', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106383', '1106368', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '6595536', '1106368', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106419', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_meat_rack.iff', '-0.0592376', '0.708499', '-0.0676886', '-0.699956', '3777.98', '9.6533', '2373.05', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106423', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_01.iff', '0', '0.943622', '0', '-0.331024', '3500.66', '5', '-4879.1', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106432', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_fruit_stand_small_style_01.iff', '-0.0955306', '0.995379', '0.0027074', '-0.00933132', '3772.1', '8.55208', '2374.29', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106435', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_large.iff', '0', '0.434966', '0', '0.900447', '3443.09', '4.98634', '-4614.83', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106438', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0.443948', '0', '0.896052', '3362.74', '4.98979', '-4678.99', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106442', '0', 'object/static/structure/general/shared_gravestone_generic_style_01.iff', '0', '0', '0', '1', '3964.48', '56.3388', '2286.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106444', '0', 'object/static/structure/general/shared_gravestone_generic_style_02.iff', '0', '0', '0', '1', '3962.39', '56.2202', '2287.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106475', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_03.iff', '0', '-0.43803', '0', '0.89896', '3428.13', '5', '-4933.93', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106500', '0', 'object/building/tatooine/shared_cloning_facility_tatooine.iff', '0', '-0.434966', '0', '0.900447', '3441.84', '5', '-5020.99', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106501', '1106500', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106502', '1106500', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106503', '1106500', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106504', '1106500', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106505', '1106500', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106506', '1106500', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106507', '0', 'object/building/tatooine/shared_filler_building_block_64x16_style_01.iff', '0', '-0.439462', '0', '0.898261', '3389.07', '5', '-5008.43', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106534', '0', 'object/building/tatooine/shared_housing_tatt_style01_small.iff', '0', '0.333487', '0', '0.942755', '3396.63', '5', '-5026.66', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106535', '1106534', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1504513', '1106535', 'object/tangible/furniture/cheap/shared_armoire_s01.iff', '0', '-0.00380444', '0', '0.999993', '0.55716', '0.251523', '3.293', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1504514', '1106535', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.999978', '0', '-0.00659263', '2.09035', '0.251566', '3.36978', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1504515', '1106535', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.445375', '0', '0.895344', '-1.4922', '0.251837', '4.21098', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1504516', '1106535', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.999993', '0', '0.00380511', '-0.916513', '0.251184', '3.2278', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1504520', '1106535', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.640385', '0', '0.768054', '4.68252', '0.252419', '5.83365', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1504521', '1106535', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '4.7627', '0.251656', '4.75944', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1504522', '1106535', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.457339', '0', '0.889293', '4.43444', '0.252368', '3.68098', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1504536', '1106535', 'object/static/structure/general/shared_data_terminal_wall_s3.iff', '0', '1', '0', '-3.20013e-08', '2.26835', '0.25991', '6.20502', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106536', '1106534', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106537', '1106534', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1498887', '1106534', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1498888', '1106534', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1498889', '1106534', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1498890', '1106534', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1498891', '1106534', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1498892', '1106534', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1498893', '1106534', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1504523', '1498893', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s1.iff', '0', '-0.693843', '0', '0.720126', '3.1965', '-0.378217', '-5.32455', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1504524', '1498893', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '0.00318461', '0', '0.999995', '-0.318924', '-0.378217', '-2.81443', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1504525', '1498893', 'object/tangible/furniture/cheap/shared_love_seat_s01.iff', '0', '0.709355', '0', '0.704852', '-1.91136', '-0.378217', '-1.08894', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1504526', '1498893', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.709355', '0', '0.704852', '-1.95126', '-0.378217', '-2.52359', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1504528', '1498893', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.896857', '0', '-0.442321', '1.08051', '-0.378217', '-0.93882', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1504529', '1498893', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.385623', '0', '0.922656', '-0.464502', '-0.378217', '-1.22539', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1504530', '1498893', 'object/tangible/furniture/cheap/shared_armoire_s01.iff', '0', '0.71163', '0', '-0.702554', '5.16646', '0.281076', '0.813927', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1504531', '1498893', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '-0.704852', '0', '0.709355', '5.25316', '-0.378217', '-3.60264', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1504532', '1498893', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0.0031843', '0', '0.999995', '-4.26689', '-0.378217', '-6.25283', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1504533', '1498893', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0.0031843', '0', '0.999995', '-0.277203', '-0.378217', '-6.25337', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1504534', '1498893', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '0.0031843', '0', '0.999995', '-2.29653', '-0.378217', '-6.22958', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1504535', '1498893', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s01.iff', '0', '0.896505', '0', '-0.443035', '5.16877', '0.570466', '-3.89703', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106549', '0', 'object/building/tatooine/shared_housing_tatt_style02_small.iff', '0', '0', '0', '1', '-5326.9', '40.0104', '-4472.01', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106550', '1106549', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106551', '1106549', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106552', '1106549', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106553', '1106549', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106554', '1106549', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106555', '1106549', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106556', '1106549', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106557', '1106549', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106558', '1106549', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106559', '1106549', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106560', '0', 'object/building/tatooine/shared_housing_tatt_style02_small.iff', '0', '0.980067', '0', '0.198669', '-5337.01', '39.9599', '-4421.51', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106561', '1106560', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106562', '1106560', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106563', '1106560', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106564', '1106560', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106565', '1106560', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106566', '1106560', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106567', '1106560', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106568', '1106560', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106569', '1106560', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106570', '1106560', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106573', '0', 'object/building/tatooine/shared_housing_tatt_style02_small.iff', '0', '-0.382683', '0', '0.92388', '-5290.17', '40', '-4457.04', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106574', '1106573', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106575', '1106573', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106576', '1106573', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106577', '1106573', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106578', '1106573', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106579', '1106573', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106580', '1106573', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106581', '1106573', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106582', '1106573', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106583', '1106573', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106592', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.978899', '0', '0.204347', '-5315.32', '40.0001', '-4416.21', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106593', '0', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '-0.000355', '0', '1', '-5350.08', '40', '-4438.84', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106654', '0', 'object/static/structure/tatooine/shared_tent_house_tatooine_style_01.iff', '0', '-0.023406', '0', '0.999726', '-5313.81', '40', '-4416.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106655', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.9871', '0', '-0.160104', '-5302.15', '40', '-4419.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106656', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-5320.37', '40', '-4444.35', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106657', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.834152', '0', '0.551534', '-5349.6', '40', '-4433.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106658', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.349083', '0', '0.937092', '-5340.88', '40', '-4465.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106659', '0', 'object/static/structure/tatooine/shared_tent_house_tatooine_style_01.iff', '0', '0.390885', '0', '0.92044', '-5291.34', '40', '-4425.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106660', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0.0183711', '0.232975', '0.0186882', '0.972129', '-5274.21', '39.628', '-4458.35', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106661', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '0.674285', '0', '0.738471', '-5270.82', '39.5766', '-4445.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106662', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0.00109975', '0.954389', '0.0102015', '0.298388', '-5351.84', '39.4438', '-4414.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106663', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '-0.0370135', '0.873981', '0.0209058', '-0.484098', '-5285.47', '39.9036', '-4469.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106664', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0.0421881', '-0.208286', '0.00819128', '0.977123', '-5296.63', '39.9623', '-4476.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106665', '0', 'object/static/structure/tatooine/shared_wall_damaged_tatooine_large_style_01.iff', '0.00934407', '0.627636', '0.0350986', '0.777659', '-5312.93', '39.752', '-4481.08', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106666', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0.0180292', '0.628', '0.0360639', '0.777168', '-5304.76', '39.9175', '-4479.27', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106667', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '-0.496926', '0', '0.867793', '-5289.59', '39.5766', '-4415.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106668', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '0.969109', '0', '0.246632', '-5278.76', '39.5766', '-4427.25', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106669', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '6.21105e-06', '0.188776', '-3.23102e-05', '0.98202', '-5301.01', '39.5769', '-4409.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106670', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '-0.0114344', '0.999427', '-0.00621254', '-0.0312484', '-5317.08', '39.578', '-4405.8', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106671', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '-0.00818902', '-0.610554', '-0.00103559', '0.791931', '-5308.71', '39.6468', '-4406.73', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106672', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '-0.00111603', '0.986477', '0.00105564', '-0.163894', '-5359.46', '39.5697', '-4428.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106673', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '-0.0045154', '0.717405', '0.00254944', '-0.696637', '-5329.9', '39.5944', '-4482.34', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106674', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '-0.00467633', '0.829815', '0.0204377', '-0.557644', '-5344.52', '39.2942', '-4410.41', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106675', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0.0218476', '-0.157637', '0.0127383', '0.987173', '-5336.71', '39.4174', '-4407.79', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106676', '0', 'object/static/structure/tatooine/shared_wall_damaged_tatooine_large_style_01.iff', '0', '0.998955', '0', '0.045697', '-5360.36', '39.5766', '-4437.28', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106677', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '0.987888', '0', '0.155166', '-5358.48', '39.5766', '-4445.8', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106678', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '0.501213', '0', '0.865324', '-5354.78', '39.5766', '-4453.37', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106679', '0', 'object/static/structure/tatooine/shared_wall_damaged_tatooine_large_style_01.iff', '-0.00198365', '0.989012', '0.00700308', '-0.147653', '-5356.93', '39.522', '-4421.18', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106680', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.846832', '0', '-0.531861', '-5353.48', '39.8358', '-4457.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106681', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0.526942', '0', '0.849901', '-5356.18', '39.8358', '-4449.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106682', '0', 'object/static/structure/tatooine/shared_wall_damaged_tatooine_large_style_01.iff', '-0.0122689', '0.73791', '0.00473712', '-0.674771', '-5321.17', '39.6158', '-4481.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106683', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '-0.000515394', '0.950542', '0.00157732', '-0.310592', '-5337.24', '39.5782', '-4480.49', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106688', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '0.962641', '0', '0.270781', '-5345.58', '39.5766', '-4471.18', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106689', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0.00349868', '0.0849066', '0.00029814', '0.996383', '-5333.43', '39.8511', '-4482.17', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106690', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0.526942', '0', '0.849901', '-5348.75', '39.8358', '-4464.82', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106691', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '-0.00307165', '0.00392432', '0.0150522', '0.999874', '-5321.17', '39.8257', '-4405.21', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106692', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '-0.0105555', '0.1135', '-0.000558339', '0.993482', '-5312.27', '39.9015', '-4405.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106693', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '-0.119712', '0', '0.992809', '-5359.18', '39.8358', '-4440.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106694', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.651834', '0', '0.758362', '-5359.97', '39.8358', '-4433.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106695', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0.00153594', '-0.589499', '2.78356e-05', '0.807767', '-5358.3', '39.8205', '-4424.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106696', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0.00638483', '-0.623218', '-0.00519873', '0.782005', '-5355.82', '39.7075', '-4416.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106697', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0.000728423', '0.973071', '0.0208279', '0.229561', '-5348.56', '39.6033', '-4412.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106698', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '-0.0195506', '0.827217', '0.0107405', '-0.561439', '-5341.12', '39.5408', '-4408.91', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106699', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '-0.0116788', '0.822657', '0.000238368', '-0.568418', '-5332.54', '39.6482', '-4406.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106700', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0.944148', '0', '-0.329521', '-5341.99', '39.8358', '-4477.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106701', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0.0204031', '-0.084856', '0.00404076', '0.996176', '-5316.53', '39.9309', '-4481.16', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106702', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '-0.0113337', '0.149409', '-0.00642505', '0.98869', '-5303.99', '39.8406', '-4407.82', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106703', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0.986287', '0', '0.165038', '-5283.01', '39.8358', '-4420.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106704', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.054972', '0', '0.998488', '-5270.75', '39.8358', '-4440.69', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106705', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '-0.531287', '0', '0.847192', '-5270.9', '39.8358', '-4450.19', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106706', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0.844162', '0', '-0.536088', '-5275.49', '39.8358', '-4433.89', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106707', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0.0384818', '-0.295312', '0.00960877', '0.954577', '-5291.93', '40.174', '-4473.58', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106708', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0.0416923', '-0.35697', '0.00358503', '0.933178', '-5278.31', '40.1199', '-4464.87', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106709', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0.0069766', '-0.0200057', '-0.000139604', '0.999776', '-5325.08', '39.8637', '-4482', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106710', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0.0384817', '-0.129243', '0.0115563', '0.990799', '-5300.29', '40.1721', '-4477.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106711', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0.92269', '0', '-0.385543', '-5296.03', '40', '-4462.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106712', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '-0.0125089', '0.993229', '0.0340411', '0.110366', '-5309.3', '40.1158', '-4480.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106713', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.607941', '0', '0.793982', '-5348.09', '40', '-4439.21', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106714', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.610268', '0', '0.792195', '-5350.36', '40', '-4439.83', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106715', '0', 'object/static/structure/general/shared_campfire_burnt.iff', '0', '0', '0', '1', '-5314.91', '40', '-4423.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106716', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0.888928', '0', '-0.458046', '-5305.81', '40', '-4423.11', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106717', '0', 'object/static/structure/general/shared_skeleton_bith_headandbody.iff', '0', '0', '0', '1', '-5312.68', '40', '-4418.65', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106718', '0', 'object/static/structure/tatooine/shared_luke_farm_garage.iff', '0', '0', '0', '1', '-5310.49', '40.0442', '-4468.67', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106719', '0', 'object/static/particle/shared_pt_smoke_small.iff', '0', '0', '0', '1', '-5320.9', '40', '-4444.09', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106720', '0', 'object/static/particle/shared_pt_smoke_small.iff', '0', '0', '0', '1', '-5338.64', '40', '-4462.79', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106721', '0', 'object/static/structure/general/shared_skeleton_bith_headandbody.iff', '0', '0', '0', '1', '-5298.47', '40', '-4451.14', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106722', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0.881958', '0', '-0.471328', '-5335.51', '40', '-4462.37', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106723', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0', '0', '1', '-5336.1', '40', '-4432.58', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106724', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0.960835', '0', '-0.277121', '-5322.17', '40', '-4461.5', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106725', '0', 'object/static/particle/shared_particle_newbie_hanging_smoke.iff', '0', '0', '0', '1', '-5312.5', '40', '-4461.93', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106726', '0', 'object/static/particle/shared_particle_smoke.iff', '0', '0', '0', '1', '-5296.3', '40', '-4460.45', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106727', '0', 'object/static/item/shared_item_kitchen_pot_style_03.iff', '0.113584', '-0.051406', '-0.409104', '0.90393', '-5328.32', '40', '-4462.42', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106728', '0', 'object/static/item/shared_item_kitchen_pot_style_01.iff', '0.497169', '-0.258831', '-0.382422', '0.734563', '-5326.66', '40', '-4462.65', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106729', '0', 'object/static/particle/shared_pt_smoke_large.iff', '0', '0', '0', '1', '-5332.29', '39.9809', '-4427.35', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106730', '0', 'object/static/particle/shared_particle_newbie_hanging_smoke.iff', '0', '0', '0', '1', '-5334.87', '39.9862', '-4428.91', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106731', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '0', '-0.004449', '0', '0.99999', '-5350.25', '40', '-4442.7', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106732', '0', 'object/static/item/shared_item_kitchen_chair_01.iff', '0.134305', '0.707022', '0.269925', '-0.639705', '-5328.83', '40', '-4451.35', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106733', '0', 'object/static/item/shared_item_kitchen_pot_style_02.iff', '0.578895', '0.721301', '-0.129106', '0.357684', '-5328.02', '40', '-4461.82', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106734', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.99524', '0', '0.097459', '-5352.34', '40', '-4445.81', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106735', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0', '0', '1', '-5328.65', '40', '-4452.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106736', '0', 'object/static/item/shared_item_kitchen_chair_01.iff', '-0.506373', '0.215341', '-0.204797', '0.809489', '-5328.13', '40', '-4450.88', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106737', '0', 'object/static/item/shared_item_jar_empty.iff', '0.339436', '-0.149551', '-0.374428', '0.849836', '-5324.22', '40', '-4462.73', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106738', '0', 'object/static/item/shared_item_chair_metal_wheeled_01.iff', '-0.556246', '-0.03322', '-0.022262', '0.830055', '-5336.58', '40', '-4439.72', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106739', '0', 'object/static/item/shared_item_bowl_carved.iff', '0', '0', '0.49688', '0.867819', '-5313.06', '40', '-4422.42', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106740', '0', 'object/static/item/shared_item_bottle_pear.iff', '0.327794', '0.129028', '-0.342793', '0.870859', '-5344.73', '40', '-4448.16', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106741', '0', 'object/static/item/shared_item_bottle_fat.iff', '0.144223', '0.039438', '0.291484', '0.944818', '-5345.13', '40', '-4434.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106742', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0.535417', '0', '0.844588', '-5328.71', '40', '-4452.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106743', '0', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '-5349.09', '40.6957', '-4440.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106744', '0', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '-5348.42', '41.1384', '-4439.06', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106745', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.967309', '0', '-0.2536', '-5351.81', '40', '-4439.94', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106746', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.177437', '0', '0.984132', '-5351.12', '40', '-4440.91', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106747', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.215478', '0', '0.976509', '-5352', '40', '-4444.81', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106748', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.064142', '0', '0.997941', '-5352.03', '40', '-4444.01', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106749', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '-0.116253', '0', '0.99322', '-5352.17', '40', '-4443.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106750', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.769331', '0', '-0.63885', '-5348.19', '40', '-4442.14', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106751', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.001542', '0', '0.999999', '-5349.16', '40', '-4439.98', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106752', '0', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '-5347.72', '41.1384', '-4439.42', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106753', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0', '0', '1', '-5295.38', '40', '-4430.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106754', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0.924606', '0', '-0.380925', '-5295.47', '40', '-4430.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106755', '0', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '-5347.8', '41.1384', '-4439.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106756', '0', 'object/static/item/shared_item_jar_empty.iff', '0.337359', '0.142633', '0.362357', '0.857054', '-5332.18', '39.9945', '-4430.76', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106757', '0', 'object/static/item/shared_item_jar_empty.iff', '-0.386713', '0.208759', '-0.426703', '0.790441', '-5332.57', '39.9958', '-4431.07', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106758', '0', 'object/static/item/shared_item_jar_empty.iff', '-0.151602', '0.029156', '-0.186595', '0.970231', '-5332.53', '39.9944', '-4430.74', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106759', '0', 'object/static/item/shared_item_meat_hunk.iff', '-0.0255051', '0.648486', '-0.0402984', '0.759731', '-5351.29', '40.8222', '-4441.14', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106760', '0', 'object/static/item/shared_item_kitchen_chair_01.iff', '-0.241544', '0.677919', '0.556286', '-0.415486', '-5303.9', '40', '-4448.3', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106761', '0', 'object/static/item/shared_item_kitchen_chair_01.iff', '-0.506373', '0.215341', '-0.204797', '0.809489', '-5304.35', '40', '-4451.32', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106762', '0', 'object/static/item/shared_item_chair_metal_wheeled_01.iff', '-0.417837', '0.121327', '-0.443624', '0.783511', '-5294.71', '40', '-4445.74', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106763', '0', 'object/static/particle/shared_pt_smoke_small.iff', '0', '0', '0', '1', '-5303.32', '40', '-4423.27', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106764', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0.104808', '0', '0.994493', '-5295.19', '40', '-4430.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106765', '0', 'object/static/item/shared_item_bottle_pear.iff', '0.55041', '-0.026709', '0.221503', '0.804532', '-5298.56', '40', '-4429.83', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106766', '0', 'object/static/item/shared_item_bottle_fat.iff', '0.356845', '0.096843', '0.178321', '0.911858', '-5307.77', '40', '-4424.25', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106767', '0', 'object/static/item/shared_item_kitchen_chair_01.iff', '-0.241544', '0.677919', '0.556286', '-0.415486', '-5291.82', '40', '-4423.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106768', '0', 'object/static/item/shared_item_kitchen_chair_01.iff', '-0.506373', '0.215341', '-0.204797', '0.809489', '-5292.28', '40', '-4426.8', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106769', '0', 'object/static/item/shared_item_mockup_bank_terminal.iff', '0.080365', '0.61439', '0.411429', '-0.668426', '-5298.24', '39.2615', '-4453.06', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106770', '0', 'object/static/particle/shared_pt_poi_broken_electronics.iff', '0', '0', '0', '1', '-5297.51', '40', '-4452.31', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106771', '0', 'object/static/particle/shared_particle_newbie_hanging_smoke.iff', '0', '0', '0', '1', '-5326.09', '40.0069', '-4464.73', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106772', '0', 'object/static/particle/shared_pt_smoke_large.iff', '0', '0', '0', '1', '-5325.54', '40.0233', '-4477.32', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106773', '0', 'object/static/item/shared_wp_mle_baton_gaderiffi.iff', '0.431578', '0.835158', '0.254937', '-0.226404', '-5322.02', '40.1581', '-4461.63', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106774', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '-5310.15', '40', '-4419.49', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106775', '0', 'object/static/item/shared_item_bottle_pear.iff', '0.298402', '0.23405', '-0.459335', '0.803236', '-5297.28', '40', '-4432.68', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106776', '0', 'object/static/item/shared_item_jar_empty.iff', '0.337359', '0.142633', '0.362357', '0.857055', '-5296.77', '40', '-4445.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106777', '0', 'object/static/item/shared_item_jar_empty.iff', '-0.386713', '0.208759', '-0.426703', '0.790441', '-5297.74', '40', '-4445.48', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106778', '0', 'object/static/item/shared_item_jar_empty.iff', '-0.151602', '0.029156', '-0.186595', '0.970231', '-5297.8', '40', '-4444.8', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106779', '0', 'object/static/item/shared_wp_pistol_dl44_combined.iff', '0.627047', '-0.626777', '-0.342477', '0.31092', '-5298.86', '40', '-4451.88', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106780', '0', 'object/static/item/shared_wp_mle_baton_gaderiffi.iff', '0.143841', '0.013706', '0.093862', '0.985044', '-5298.59', '40.2585', '-4450.8', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106781', '0', 'object/static/item/shared_wp_mle_baton_gaderiffi.iff', '0.955089', '0.004775', '0.001481', '-0.296277', '-5306.2', '40.2214', '-4423.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106782', '0', 'object/static/item/shared_wp_mle_lance_vibrolance.iff', '0.239458', '0.038644', '0.154561', '0.957746', '-5336.34', '40.5687', '-4431.89', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106783', '0', 'object/static/item/shared_wp_mle_axe_heavy_duty.iff', '0', '0', '-0.696136', '0.71791', '-5335.2', '40', '-4463.32', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106784', '0', 'object/static/structure/general/shared_r3_head.iff', '0.714962', '-0.500383', '-0.046054', '0.486133', '-5319.45', '40', '-4462.81', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106785', '0', 'object/static/structure/general/shared_r2_torso.iff', '-0.304846', '-0.636467', '0.649358', '-0.283395', '-5319.44', '40', '-4462.78', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106786', '0', 'object/static/structure/general/shared_r3_leg.iff', '0', '0', '0', '1', '-5319.17', '40', '-4463.48', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106787', '0', 'object/static/particle/shared_pt_poi_broken_electronics.iff', '0', '0', '0', '1', '-5319.59', '40', '-4462.73', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106788', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '-0.172998', '0.538724', '-0.0917945', '0.819403', '-5350.28', '40', '-4444.56', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106789', '0', 'object/static/item/shared_wp_rifle_bowcaster_combined.iff', '0.351593', '0.629349', '0.446492', '-0.530044', '-5351.76', '40.3162', '-4445.6', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106807', '0', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '0.723455', '0', '0.690371', '-5481.63', '30.0246', '-3881.74', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106808', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.335213', '0', '0.942142', '-5479.6', '30', '-3883.33', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106809', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.916042', '0', '0.401082', '-5479.5', '30', '-3880.74', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106810', '0', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '0.994981', '0', '-0.100065', '-5478.46', '30', '-3879.18', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106825', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.761069', '0', '0.648671', '-5475.08', '30', '-3874.21', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106826', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.326539', '0', '0.945184', '-5476.53', '30', '-3874.79', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106827', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0.006342', '0', '0.99998', '-5474.94', '30', '-3875.51', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106828', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '-0.306036', '0', '0.95202', '-5473.02', '30', '-3887.79', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106829', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0.993938', '0', '0.109941', '-5464.14', '30', '-3879.55', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106830', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.051029', '0', '0.998697', '-5471.09', '30', '-3888.61', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106831', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '-0.227824', '0', '0.973702', '-5471.6', '30', '-3887.77', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106832', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.998693', '0', '-0.051118', '-5470.47', '30', '-3888.24', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106833', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.998767', '0', '0.049647', '-5473.94', '30.065', '-3889.29', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106834', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.996904', '0', '0.078627', '-5463.49', '30.0186', '-3878.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106835', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.933924', '0', '0.357471', '-5462.94', '30.0385', '-3877.65', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106836', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.336333', '0', '0.941743', '-5473.34', '30', '-3875.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106837', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.134089', '0', '0.990969', '-5473.14', '30', '-3873.46', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106838', '0', 'object/static/structure/general/shared_droid_r5_powerdown.iff', '0', '0.999636', '0', '-0.026961', '-5475.37', '30', '-3875.22', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106839', '0', 'object/static/item/shared_item_con_ration_kit_m.iff', '0', '0.857987', '0', '-0.513671', '-5475.32', '31.1384', '-3874.51', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106840', '0', 'object/static/item/shared_item_con_ration_kit_lg.iff', '0', '-0.288275', '0', '0.957548', '-5473.35', '30.6957', '-3875.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106841', '0', 'object/static/item/shared_item_con_ration_kit_lg.iff', '0', '0.931551', '0', '0.363611', '-5473.24', '30.6957', '-3875.32', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106842', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '-0.192228', '0', '0.98135', '-5463.7', '30.011', '-3877.11', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106843', '0', 'object/static/item/shared_item_bottle_fat.iff', '0', '-0.001784', '0', '0.999998', '-5481.37', '30.9377', '-3882', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106844', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '-0.192228', '0', '0.98135', '-5463.39', '30.0224', '-3877.52', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106845', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.852879', '0', '-0.522108', '-5463.96', '30.0013', '-3877.59', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106846', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.103106', '0', '0.99467', '-5462.71', '30.0168', '-3879.62', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106847', '0', 'object/static/structure/tatooine/shared_tent_house_tatooine_style_01.iff', '0', '-0.705758', '0', '0.708453', '-5478.79', '30', '-3881.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106848', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.981929', '0', '0.189252', '-5474.05', '30', '-3887.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106849', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.893274', '0', '0.449513', '-5473.21', '30', '-3887.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106850', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.80483', '0', '0.593505', '-5473.44', '30', '-3886.67', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106851', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0.000598', '0', '1', '-5473.07', '30', '-3880.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106852', '0', 'object/static/item/shared_item_con_ration_kit_m.iff', '0', '0.858872', '0', '-0.512191', '-5478.34', '30', '-3882.21', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106853', '0', 'object/static/item/shared_item_con_ration_kit_lg.iff', '0', '0.932603', '0', '0.360903', '-5478.4', '30.9487', '-3879.31', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106881', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '-0.0609721', '0.886339', '0.0395267', '-0.4573', '-5379.91', '38.8387', '-6161.21', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106882', '0', 'object/static/item/shared_wp_mle_baton_gaderiffi.iff', '0.867593', '-0.0603534', '-0.1203', '0.478715', '-5380.2', '39.1063', '-6161.85', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106883', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '-0.0473743', '0.938665', '0.0571283', '-0.336749', '-5386.9', '38.7442', '-6163.38', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106884', '0', 'object/static/item/shared_wp_mle_baton_gaderiffi.iff', '0', '0', '-0.692537', '0.721382', '-5387.55', '38.7295', '-6163.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134355', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '-0.389418', '0', '0.921061', '3319.4', '5', '-4850.55', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134356', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.75128', '0', '-0.659983', '3321.05', '5', '-4850.18', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134358', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.961275', '0', '0.27559', '3318.62', '5', '-4849.05', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134359', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '0', '-0.389418', '0', '0.921061', '3319.36', '5', '-4850.57', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134360', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.344395', '0', '0.938825', '3318.73', '5', '-4852.03', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134379', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_fruit_stand_small_style_01.iff', '0', '0.940806', '0', '-0.338946', '3323.9', '5', '-4848.96', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134433', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_meat_rack.iff', '0', '0.0100004', '0', '0.99995', '139.702', '16.3987', '-5406.09', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134435', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0', '0', '1', '138.915', '16.3987', '-5410.25', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134448', '0', 'object/static/structure/tatooine/shared_bridge_tatooine_small_style_02.iff', '-0.00133579', '0.710352', '-0.0140779', '0.703704', '3723.08', '5.55502', '2385.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134470', '0', 'object/building/tatooine/shared_housing_tatt_style01_small.iff', '0', '0.999784', '0', '0.0207946', '-5090.55', '75', '-6599.31', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134471', '1134470', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1533397', '1134471', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.92388', '0', '-0.382683', '4.77527', '0.253845', '5.87878', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1533398', '1134471', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0', '0', '1', '4.73384', '0.252518', '4.75043', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1533399', '1134471', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '-0.382683', '0', '0.92388', '4.81053', '0.252182', '3.64349', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1533400', '1134471', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0', '0', '1', '3.1884', '0.253235', '3.53283', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1571373', '1134471', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '-0.707102', '0', '0.707111', '-1.7058', '0.252419', '3.58931', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134472', '1134470', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575347', '1134472', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '-0.707102', '0', '0.707112', '-1.94021', '1.20605', '0.950934', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575350', '1134472', 'object/static/item/shared_item_basket_closed.iff', '0', '-0.707102', '0', '0.707111', '-4.74847', '0.225655', '5.88907', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134473', '1134470', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499010', '1134470', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499011', '1134470', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499012', '1134470', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499013', '1134470', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499014', '1134470', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499015', '1134470', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499016', '1134470', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575387', '1499016', 'object/tangible/furniture/cheap/shared_love_seat_s01.iff', '0', '1', '0', '-3.20013e-08', '-0.678214', '-0.37822', '-0.793131', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575389', '1499016', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '1', '0', '-3.20013e-08', '0.482082', '-0.37822', '-0.793824', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575390', '1499016', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '-0.707102', '0', '0.707111', '-2.10022', '-0.37822', '-0.834809', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575499', '1499016', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s1.iff', '0', '-0.453241', '0', '0.891388', '2.81121', '-0.37822', '-4.39076', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575505', '1499016', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '-0.452886', '0', '0.891568', '4.809', '-0.37822', '-5.8555', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575506', '1499016', 'object/tangible/furniture/all/shared_frn_all_lamp_tatt_s01.iff', '0', '-0.285952', '0', '0.958244', '4.5884', '0.0644992', '-6.08879', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575507', '1499016', 'object/tangible/furniture/cheap/shared_armoire_s01.iff', '0', '0', '0', '1', '1.65192', '-0.37822', '-6.20215', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575534', '1499016', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0', '0', '1', '3.57754', '0.281075', '2.33548', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575535', '1499016', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '1', '0', '-3.20013e-08', '4.84502', '0.281075', '2.2583', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575537', '1499016', 'object/tangible/furniture/all/shared_frn_all_toolchest_med_s01.iff', '0', '-0.00999988', '0', '0.99995', '-2.76742', '-0.37822', '-6.08005', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575538', '1499016', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.707102', '0', '0.707111', '-1.77767', '-0.37822', '-6.11536', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575541', '1499016', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '0', '0', '1', '-4.26607', '-0.37822', '-5.70932', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575543', '1499016', 'object/static/structure/general/shared_prp_engine_component.iff', '0', '0.564642', '0', '0.825336', '-4.2976', '0.285859', '-5.74813', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134481', '0', 'object/building/tatooine/shared_housing_tatt_style01_small.iff', '0', '0.999667', '0', '0.0257931', '-5074.62', '75', '-6601.41', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134482', '1134481', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575674', '1134482', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0.707107', '0', '-0.707107', '5.07513', '0.251678', '5.25987', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575675', '1134482', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '1', '0', '-3.20013e-08', '4.67466', '0.252068', '3.43041', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575676', '1134482', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '0', '0', '1', '2.67945', '0.255417', '3.56294', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134483', '1134481', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575678', '1134483', 'object/static/item/shared_item_kitchen_portable_stove_sm_s1.iff', '0', '0.707107', '0', '-0.707107', '-2.27976', '1.23789', '0.609046', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575684', '1134483', 'object/static/item/shared_item_kitchen_pot_style_02.iff', '0', '0.978197', '0', '0.207681', '-1.85603', '1.23758', '1.28243', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575693', '1134483', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.707107', '0', '-0.707107', '-2.67692', '0.225716', '0.24728', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575718', '1134483', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '1', '0', '-3.20013e-08', '-4.90254', '0.225815', '4.17573', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134484', '1134481', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499003', '1134481', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499004', '1134481', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499005', '1134481', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499006', '1134481', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499007', '1134481', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499008', '1134481', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575679', '1499008', 'object/static/item/shared_item_kitchen_pot_style_01.iff', '0', '-0.382683', '0', '0.92388', '-1.55295', '1.2377', '1.49981', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575708', '1499008', 'object/static/item/shared_item_bowl_plain.iff', '0', '0', '0', '1', '-1.60825', '1.2062', '0.380622', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499009', '1134481', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575725', '1499009', 'object/tangible/furniture/cheap/shared_love_seat_s01.iff', '0', '0', '0', '1', '1.21976', '-0.37822', '-5.69304', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575726', '1499009', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '-0.382683', '0', '0.92388', '4.90102', '-0.37822', '-5.86832', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575727', '1499009', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.707102', '0', '0.707112', '-0.846817', '-0.37822', '-5.05564', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575728', '1499009', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.707102', '0', '0.707111', '-0.792974', '-0.37822', '-3.75756', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575732', '1499009', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0', '0', '1', '1.54873', '-0.37822', '-4.31688', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575733', '1499009', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0', '0', '1', '0.611368', '-0.37822', '-3.68124', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575735', '1499009', 'object/tangible/furniture/cheap/shared_armoire_s01.iff', '0', '1', '0', '-3.20013e-08', '-0.201241', '-0.37822', '-0.718324', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575748', '1499009', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s2.iff', '0', '0', '0', '1', '1.38259', '-0.37822', '-0.846811', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575764', '1499009', 'object/tangible/furniture/all/shared_frn_all_table_s01.iff', '0', '0', '0', '1', '-4.41238', '-0.37822', '-5.7537', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575765', '1499009', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '0.707107', '0', '-0.707107', '-3.16336', '-0.37822', '-5.80285', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575779', '1499009', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '1', '0', '-3.20013e-08', '-4.49802', '-0.37822', '-4.56016', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575780', '1499009', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '-4.16341', '0.380727', '-5.95738', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134492', '0', 'object/building/tatooine/shared_housing_tatt_style01_small.iff', '0', '-0.0265894', '0', '0.999646', '-5089.94', '75', '-6628.44', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134493', '1134492', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575609', '1134493', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '1', '0', '-4.10542e-07', '4.91826', '0.252808', '3.27754', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575610', '1134493', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '-0.707102', '0', '0.707111', '5.0094', '0.252251', '5.03337', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575611', '1134493', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.707107', '0', '-0.707107', '5.00789', '0.25351', '4.31866', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575619', '1134493', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s02.iff', '0', '0', '0', '1', '5.21505', '0.253975', '6.06582', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575621', '1134493', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '0', '0', '1', '-0.373636', '0.252808', '3.32597', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134494', '1134492', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575626', '1134494', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s04.iff', '0', '0.896406', '0', '-0.443234', '-2.14855', '1.23779', '0.889531', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575630', '1134494', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '0.707102', '0', '0.707111', '-4.73287', '0.225922', '1.79939', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575634', '1134494', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.707102', '0', '0.707111', '-4.72361', '0.225685', '3.75622', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134495', '1134492', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1498996', '1134492', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1498997', '1134492', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1498998', '1134492', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1498999', '1134492', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499000', '1134492', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499001', '1134492', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499002', '1134492', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575638', '1499002', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s2.iff', '0', '1', '0', '-6.63422e-07', '0.748913', '-0.37822', '-2.67441', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575641', '1499002', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '1', '0', '-3.20013e-08', '-0.967227', '-0.37822', '-0.636698', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575643', '1499002', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.382683', '0', '0.92388', '-4.51044', '-0.37822', '-5.83397', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575645', '1499002', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0', '0', '1', '-2.98417', '-0.37822', '-6.00482', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575646', '1499002', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.707102', '0', '0.707111', '-4.74142', '-0.37822', '-4.28543', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575651', '1499002', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '0', '0', '1', '-3.3166', '-0.37822', '-4.5519', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575652', '1499002', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.834152', '0', '-0.551535', '5.12273', '0.317482', '-2.96263', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575654', '1499002', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0.378538', '0.57772', '-0.325742', '-0.645632', '5.19935', '-0.0619888', '-3.61753', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575655', '1499002', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999816', '0', '-0.019203', '5.1108', '-0.37822', '-3.12237', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575656', '1499002', 'object/tangible/furniture/all/shared_frn_all_toolchest_lg_s01.iff', '0', '0.707107', '0', '-0.707107', '4.96934', '-0.37822', '-4.90468', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575657', '1499002', 'object/static/item/shared_item_basket_shallow.iff', '0', '0', '0', '1', '1.08716', '-0.37822', '-5.58131', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575658', '1499002', 'object/static/item/shared_item_bread_loaf.iff', '0', '0', '0', '1', '1.22122', '-0.314974', '-5.44056', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575659', '1499002', 'object/static/item/shared_item_cheese_wheel_s1_partial.iff', '0.754306', '-0.0141998', '-0.417146', '-0.506764', '1.03658', '-0.251729', '-5.33233', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575660', '1499002', 'object/static/item/shared_item_fruit_melon.iff', '0.127549', '-0.161793', '-0.116019', '0.971645', '1.00929', '-0.314974', '-5.53917', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575661', '1499002', 'object/static/item/shared_item_fruit_melon.iff', '-0.242697', '-0.20792', '-0.0271041', '0.947171', '0.871136', '-0.314974', '-5.35559', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575669', '1499002', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '1.20066', '-0.314974', '-5.75922', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134516', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_03.iff', '0', '0.999973', '0', '0.00738939', '-5166.53', '75', '-6474.23', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134518', '0', 'object/building/tatooine/shared_housing_tatt_style01_small.iff', '0', '0.718464', '0', '-0.695564', '-5094.97', '74.8292', '-6491.68', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134519', '1134518', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1591908', '1134519', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0', '0', '1', '2.37504', '0.252686', '3.3', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1591909', '1134519', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.382683', '0', '0.92388', '-1.48016', '0.253922', '3.66122', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1591915', '1134519', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '-0.707103', '0', '0.70711', '4.99984', '0.251648', '4.79613', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134520', '1134518', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1591896', '1134520', 'object/static/item/shared_item_basket_shallow.iff', '0', '0', '0', '1', '-1.94984', '1.23771', '0.947235', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1591901', '1134520', 'object/static/item/shared_item_fruit_melon.iff', '0.0998283', '0.000998318', '0.00994986', '0.994954', '-1.94764', '1.33265', '0.829369', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1591902', '1134520', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '-1.95372', '1.30103', '1.1546', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1591903', '1134520', 'object/static/item/shared_item_cheese_wheel_s1_partial.iff', '0', '0', '0', '1', '-1.94768', '1.36417', '0.831523', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1591904', '1134520', 'object/static/item/shared_item_cheese_wheel_s1_partial.iff', '0.223561', '0.860653', '-0.214112', '-0.404293', '-1.94554', '1.42741', '0.71741', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134521', '1134518', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499024', '1134518', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499025', '1134518', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499026', '1134518', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499027', '1134518', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499028', '1134518', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499029', '1134518', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1591897', '1499029', 'object/static/item/shared_item_bowl_carved.iff', '0', '0', '0', '1', '-1.78485', '1.30129', '0.771283', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1591899', '1499029', 'object/static/item/shared_item_fruit_melon.iff', '0.127601', '0.00762432', '-0.144351', '0.981235', '-1.74848', '1.33268', '0.877227', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1591900', '1499029', 'object/static/item/shared_item_fruit_melon.iff', '-0.114789', '0.00935996', '-0.00381927', '0.993338', '-1.69865', '1.33262', '0.71515', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499030', '1134518', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1587876', '1499030', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '1', '0', '-3.20013e-08', '3.61913', '0.281075', '2.21999', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1587879', '1499030', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '-0.707102', '0', '0.707111', '4.97529', '0.281075', '1.27051', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1591852', '1499030', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s02.iff', '0', '0', '0', '1', '5.1745', '0.692171', '2.30202', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1591856', '1499030', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0', '0', '1', '4.77711', '0.281075', '2.29088', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1591860', '1499030', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s2.iff', '0', '0', '0', '1', '3.74418', '-0.37822', '-4.24205', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1591861', '1499030', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.707107', '0', '-0.707107', '4.90229', '-0.37822', '-5.84462', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1591862', '1499030', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s01.iff', '0', '-0.430458', '0', '0.902611', '4.99777', '0.0644992', '-6.05927', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1591863', '1499030', 'object/tangible/furniture/cheap/shared_armoire_s01.iff', '0', '0.707107', '0', '0.707107', '0.815332', '-0.37822', '-5.75338', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1591868', '1499030', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s2.iff', '0', '0', '0', '1', '0.744913', '-0.37822', '-3.42013', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1591870', '1499030', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0.707107', '0', '-0.707107', '0.138236', '-0.37822', '-4.10745', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1591871', '1499030', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '0.707103', '0', '0.707111', '0.752589', '-0.37822', '-4.31316', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1591872', '1499030', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '-0.707103', '0', '0.707111', '0.183692', '-0.37822', '-5.7198', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1591873', '1499030', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '0', '0', '1', '-2.56866', '-0.37822', '-6.0585', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1591874', '1499030', 'object/tangible/furniture/cheap/shared_love_seat_s01.iff', '0', '0.707103', '0', '0.707111', '-4.64465', '-0.37822', '-4.44326', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1591875', '1499030', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '1', '0', '3.20013e-08', '-4.49187', '-0.37822', '-5.98472', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1591878', '1499030', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s02.iff', '0', '0', '0', '1', '-4.8207', '0.0328764', '-5.97481', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1591881', '1499030', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '0', '0', '1', '-2.73394', '-0.37822', '-4.20958', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1591883', '1499030', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '-2.48806', '0.254236', '-4.33211', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1591884', '1499030', 'object/static/item/shared_item_con_tato_cup_s2.iff', '0', '0', '0', '1', '-2.77499', '-0.504711', '-4.59812', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1591885', '1499030', 'object/static/item/shared_item_con_tato_cup_s2.iff', '0', '0', '0', '1', '-3.18317', '-0.504711', '-4.20984', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134529', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_03.iff', '0', '0.732231', '0', '-0.681057', '-5099.98', '75', '-6551.79', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134531', '0', 'object/building/tatooine/shared_housing_tatt_style01_large.iff', '0', '0.999526', '0', '0.0307915', '-5125.6', '74.8911', '-6519.22', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134532', '1134531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627759', '1134532', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s01.iff', '0', '1', '0', '-3.20013e-08', '4.49549', '1.96303', '9.02917', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627761', '1134532', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s01.iff', '0', '1', '0', '-3.20013e-08', '-4.39366', '1.96088', '9.06535', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627764', '1134532', 'object/static/structure/general/shared_data_terminal_free_s2.iff', '0', '0', '0', '1', '3.39252', '1.96536', '8.68729', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627766', '1134532', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s3.iff', '0', '0', '0', '1', '-3.0249', '1.99645', '9.15299', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1651390', '1134532', 'object/tangible/furniture/modern/shared_rug_rect_sml_s01.iff', '0.5', '0.5', '0.5', '0.5', '0.132906', '3.98922', '8.69436', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134533', '1134531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631368', '1134533', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_05.iff', '0', '0.715628', '0', '-0.698481', '-0.143714', '0.966028', '3.05844', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631369', '1134533', 'object/tangible/furniture/modern/shared_couch_modern_style_02.iff', '0', '0.706165', '0', '0.708047', '-3.95918', '0.993317', '2.9631', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631370', '1134533', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.906142', '0', '0.422975', '-3.76953', '0.993324', '6.04378', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631371', '1134533', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.917808', '0', '-0.397025', '3.13782', '0.993324', '6.04236', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631372', '1134533', 'object/tangible/furniture/modern/shared_couch_modern_style_02.iff', '0', '0.999931', '0', '0.0117248', '-0.296666', '0.993317', '6.29703', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631373', '1134533', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '-0.394873', '0', '0.918736', '3.34984', '0.993324', '0.118675', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631374', '1134533', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.390028', '0', '0.920803', '-3.49902', '0.993324', '0.0053188', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631375', '1134533', 'object/tangible/furniture/modern/shared_couch_modern_style_02.iff', '0', '0.714514', '0', '-0.699621', '3.64021', '0.993317', '3.10883', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1651363', '1134533', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff', '0', '0', '0', '1', '-0.200565', '1.02846', '4.26233', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1651364', '1134533', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff', '0', '0.707105', '0', '0.707109', '-2.12094', '1.03069', '2.97812', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1651365', '1134533', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff', '0', '-0.707105', '0', '0.707109', '1.80808', '1.05954', '3.07137', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1651377', '1134533', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '-0.12219', '1.08818', '1.74713', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1651378', '1134533', 'object/tangible/furniture/all/shared_frn_all_decorative_lg_s1.iff', '0', '0.33603', '0', '0.941851', '0.0292311', '1.3463', '1.7565', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1655348', '1134533', 'object/tangible/furniture/elegant/shared_cabinet_s01.iff', '0', '0', '0', '1', '4.38389', '0.512665', '-11.5116', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1655349', '1134533', 'object/tangible/furniture/elegant/shared_chest_s01.iff', '0', '0.707105', '0', '0.707108', '5.72559', '0.512665', '-11.2884', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1655350', '1134533', 'object/tangible/furniture/elegant/shared_bookcase_s01.iff', '0', '0', '0', '1', '0.474124', '0.512665', '-11.3977', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1655354', '1134533', 'object/tangible/furniture/elegant/shared_chest_s01.iff', '0', '0.707106', '0', '0.707108', '-5.26324', '0.512665', '-11.1905', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1655355', '1134533', 'object/tangible/furniture/elegant/shared_cabinet_s01.iff', '0', '0', '0', '1', '-3.47624', '0.512665', '-11.6091', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1655360', '1134533', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_03.iff', '0', '0.707105', '0', '0.707108', '0.298263', '0.478074', '-6.93039', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1655361', '1134533', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '0', '0', '1', '2.68791', '0.511391', '-11.3949', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1655362', '1134533', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '0', '0', '1', '-2.04254', '0.511566', '-11.3723', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1655363', '1134533', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s04.iff', '0', '0', '0', '1', '5.72766', '1.27161', '-11.1716', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1655364', '1134533', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s04.iff', '0', '0', '0', '1', '-5.27776', '1.27161', '-11.0938', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1655365', '1134533', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff', '0', '0.701638', '0', '0.712533', '5.8182', '0.510932', '-6.83158', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1655366', '1134533', 'object/tangible/furniture/all/shared_frn_all_tree_potted_s2.iff', '0', '0.446009', '0', '0.895028', '5.82479', '0.890425', '-6.86811', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1655367', '1134533', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.701639', '0', '0.712532', '5.62865', '0.510658', '-5.162', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1655368', '1134533', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.701639', '0', '0.712532', '5.68919', '0.510658', '-8.45187', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1655369', '1134533', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '0.701639', '0', '0.712533', '5.61916', '0.889584', '-5.18167', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1655370', '1134533', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s01.iff', '0', '0.701639', '0', '0.712533', '5.74106', '0.891212', '-8.44476', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1655371', '1134533', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff', '0', '0.708732', '0', '0.705478', '-5.14779', '0.510925', '-6.97459', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1655372', '1134533', 'object/tangible/furniture/all/shared_frn_all_tree_potted_s2.iff', '0', '0.454937', '0', '0.890524', '-5.11028', '0.922068', '-7.01905', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1655373', '1134533', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.708732', '0', '0.705478', '-5.08522', '0.510643', '-5.2884', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1655374', '1134533', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.708732', '0', '0.705478', '-5.09052', '0.510643', '-8.57877', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1655375', '1134533', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '0.708732', '0', '0.705478', '-5.09478', '0.921302', '-5.30825', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1655376', '1134533', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s01.iff', '0', '0.708732', '0', '0.705478', '-5.03859', '0.891088', '-8.57269', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1655380', '1134533', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff', '0', '0.707104', '0', '0.707109', '-12.3536', '1.05656', '9.65247', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1655382', '1134533', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff', '0', '0.707107', '0', '-0.707107', '-8.31728', '0.993317', '9.66991', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1655383', '1134533', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff', '0', '0.707107', '0', '-0.707107', '-8.3162', '0.993317', '6.02534', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1655387', '1134533', 'object/tangible/furniture/elegant/shared_love_seat_s01.iff', '0', '-0.707106', '0', '0.707108', '-8.68999', '0.993317', '7.89827', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1655388', '1134533', 'object/tangible/furniture/elegant/shared_love_seat_s01.iff', '0', '0.707106', '0', '0.707108', '-12.0497', '0.993317', '7.77216', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1655389', '1134533', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s02.iff', '0', '1', '0', '-3.20013e-08', '-11.9133', '0.993317', '4.81149', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1655390', '1134533', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s02.iff', '0', '1', '0', '-3.20013e-08', '-8.6662', '0.993317', '4.80509', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1655394', '1134533', 'object/tangible/furniture/all/shared_frn_all_professor_desk.iff', '0', '1', '0', '-3.20013e-08', '-10.4718', '0.993317', '10.664', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1656349', '1134533', 'object/tangible/furniture/imperial/shared_table_s1.iff', '0', '1', '0', '-3.20013e-08', '9.85627', '1.00011', '9.87966', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1656351', '1134533', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0', '0', '1', '9.82345', '0.999344', '8.13613', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1656352', '1134533', 'object/static/item/shared_item_diagnostic_screen.iff', '0', '0.92388', '0', '0.382683', '9.18233', '1.78964', '9.14691', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1656356', '1134533', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '11.4671', '1.00012', '9.50346', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1656373', '1134533', 'object/tangible/furniture/all/shared_frn_all_lamp_candlestick_free_s01.iff', '0', '0.707104', '0', '0.70711', '11.4629', '1.37959', '9.50943', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1656374', '1134533', 'object/tangible/furniture/all/shared_frn_all_lamp_candlestick_free_s01.iff', '0', '0', '0', '1', '11.4654', '1.37959', '9.50928', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1656375', '1134533', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s2.iff', '0', '0', '0', '1', '12.529', '1.00011', '9.72914', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1718377', '1134533', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '-0.707106', '0.707108', '1.56978e-10', '-1.56979e-10', '-2.24029', '0.997414', '6.99089', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1718378', '1134533', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '1.74421e-10', '-1.74421e-10', '0.707107', '-0.707106', '-2.26597', '0.997414', '8.37082', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1718379', '1134533', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '-0.5', '-0.499999', '0.500001', '-0.5', '-0.065272', '0.997414', '6.9908', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1718380', '1134533', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '1.74421e-10', '-1.74421e-10', '0.707107', '-0.707106', '2.11395', '0.997414', '8.37124', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2426364', '1134533', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s01.iff', '0', '-0.294845', '0', '0.955545', '-1.74663', '2.00731', '7.34975', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4685545', '1134533', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '-0.374904', '0', '0.927064', '-3.27948', '1.97838', '7.48022', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4685546', '1134533', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s01.iff', '0', '-0.029289', '0', '0.999571', '1.41472', '2.00525', '7.43491', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8075457', '1134533', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-0.30657', '0.509112', '-1.5442', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795353', '1134533', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s01.iff', '0', '0.999999', '0', '-0.0015036', '-0.0990339', '1.9458', '7.47405', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795354', '1134533', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '0.999999', '0', '-0.0015036', '2.94171', '1.97602', '7.39477', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134534', '1134531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1655381', '1134534', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff', '0', '0.70356', '0', '0.710636', '-12.2967', '0.993317', '6.00705', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785783', '1134534', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0', '1', '0.000796384', '-22.4923', '0.526929', '0.859266', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134535', '1134531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1655395', '1134535', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s05.iff', '0', '0', '0', '1', '-5128.61', '75', '-6542.7', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134536', '1134531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134755', '1134531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785803', '1134755', 'object/static/structure/general/shared_r2_head.iff', '0', '0.29074', '0', '0.956802', '-4.28925', '-4.66408', '-14.2171', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785804', '1134755', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0.924606', '0', '-0.380925', '-4.46115', '-4', '-14.4996', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134756', '1134531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1656348', '1134756', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s3.iff', '0', '0', '0', '1', '-0.712499', '6.25', '-15.098', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134757', '1134531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134758', '1134531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134759', '1134531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '8475525', '1134759', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s2.iff', '0', '0.707107', '0', '0.707107', '-8.96134', '6.25322', '-8.44319', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8475526', '1134759', 'object/tangible/furniture/technical/shared_end_table_s01.iff', '0', '0', '0', '1', '-10.7881', '6.25327', '-9.59313', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8475527', '1134759', 'object/tangible/furniture/technical/shared_end_table_s01.iff', '0', '0.999526', '0', '0.030792', '-11.6531', '16.8596', '-8.30931', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8475529', '1134759', 'object/tangible/furniture/technical/shared_end_table_s01.iff', '0', '0.999942', '0', '0.0107966', '-10.7818', '6.25407', '-7.28987', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8475530', '1134759', 'object/tangible/furniture/technical/shared_armoire_s01.iff', '0', '0', '0', '1', '-6.93415', '6.25149', '-11.8102', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8475531', '1134759', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s04.iff', '0', '0', '0', '1', '-3.73098', '6.25058', '-5.57359', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8475532', '1134759', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s04.iff', '0', '0.946172', '0', '0.323665', '-3.75969', '6.25058', '-11.4676', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8475533', '1134759', 'object/tangible/furniture/technical/shared_bookcase_s01.iff', '0', '1', '0', '3.20013e-08', '-7.13606', '6.25219', '-5.0902', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8475535', '1134759', 'object/static/item/shared_item_shisha.iff', '0', '0.519779', '0', '0.854301', '-7.28231', '7.32739', '-5.08145', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8475536', '1134759', 'object/tangible/furniture/technical/shared_chest_s01.iff', '0', '0.707106', '0', '0.707107', '-10.9999', '6.2533', '-10.9416', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8475538', '1134759', 'object/tangible/furniture/technical/shared_chest_s01.iff', '0', '0.707106', '0', '0.707107', '-10.9882', '6.25414', '-5.9611', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8475541', '1134759', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s03.iff', '0', '0.483807', '0', '0.875175', '-10.829', '6.66411', '-9.62552', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8475542', '1134759', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s03.iff', '0', '0.867423', '0', '0.497572', '-10.8264', '6.66494', '-7.25008', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1718352', '1134531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1718353', '1134531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1718354', '1134531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1718355', '1134531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1718356', '1134531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1718357', '1134531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1718358', '1134531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785716', '1718358', 'object/static/item/shared_item_container_organic_food.iff', '0', '-0.187183', '0', '0.982325', '-11.9216', '-4.35236', '-14.0216', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785717', '1718358', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.917483', '0', '0.397775', '-11.9217', '-4.35236', '-13.3006', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785718', '1718358', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.777', '0', '-0.6295', '-12.855', '-4.35236', '-13.6713', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785719', '1718358', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.973459', '0', '-0.228863', '-12.4193', '-4.35236', '-11.8849', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785720', '1718358', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.697358', '0', '0.716722', '-12.7384', '-4.35236', '-12.7066', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785721', '1718358', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.962178', '0', '-0.272422', '-11.7862', '-4.35236', '-12.3867', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785722', '1718358', 'object/static/item/shared_item_crate_spice.iff', '0', '0.560509', '0', '0.828149', '-12.5908', '-4.35236', '-15.1394', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785723', '1718358', 'object/static/item/shared_item_jar_spice_white.iff', '0', '0', '0', '1', '-12.4741', '-3.56179', '-15.251', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785724', '1718358', 'object/tangible/furniture/tatooine/shared_frn_tato_meat_rack.iff', '0', '0.717356', '0', '-0.696707', '-7.07996', '-4.35236', '-13.962', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785725', '1718358', 'object/tangible/furniture/tatooine/shared_frn_tato_meat_rack.iff', '0', '0.69972', '0', '0.714417', '-8.56708', '-4.35236', '-14.0579', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785726', '1718358', 'object/tangible/furniture/tatooine/shared_frn_tato_meat_rack.iff', '0', '0.714418', '0', '-0.699719', '-9.91223', '-4.35236', '-14.0738', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785727', '1718358', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.939099', '0', '-0.343646', '-11.1936', '-4.35236', '-6.24574', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785728', '1718358', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '-12.1349', '-4.35236', '-7.6619', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1718359', '1134531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785743', '1718359', 'object/static/flora/shared_flora_plant_tato_falotil.iff', '0', '0.576959', '0', '0.816773', '-25.8253', '-3.99717', '-2.33809', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785744', '1718359', 'object/static/flora/shared_flora_plant_tato_falotil.iff', '0', '-0.671768', '0', '0.740761', '-23.8209', '-3.99563', '-2.23946', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785745', '1718359', 'object/static/flora/shared_flora_plant_tato_falotil.iff', '0', '0.932615', '0', '-0.360873', '-21.9551', '-3.99481', '-2.21163', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785749', '1718359', 'object/static/structure/general/shared_campfire_ash.iff', '0', '0', '0', '1', '-19.948', '-3.99692', '-2.09905', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785750', '1718359', 'object/static/structure/general/shared_campfire_ash.iff', '0', '0.918788', '0', '0.394751', '-21.9437', '-3.99557', '-2.23375', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785751', '1718359', 'object/static/structure/general/shared_campfire_ash.iff', '0', '0.982155', '0', '-0.188076', '-23.8279', '-3.9946', '-2.29248', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785752', '1718359', 'object/static/structure/general/shared_campfire_ash.iff', '0', '0.964884', '0', '0.262678', '-25.7914', '-3.99352', '-2.25809', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785753', '1718359', 'object/static/structure/general/shared_campfire_ash.iff', '0', '-0.311331', '0', '0.950302', '-21.854', '-3.99252', '0.967998', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785754', '1718359', 'object/static/structure/general/shared_campfire_ash.iff', '0', '0.874789', '0', '0.484505', '-25.7439', '-3.99484', '0.850855', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785755', '1718359', 'object/static/structure/general/shared_campfire_ash.iff', '0', '0.790481', '0', '-0.612486', '-23.7437', '-3.99348', '0.888842', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785756', '1718359', 'object/static/flora/shared_flora_plant_tato_falotil.iff', '0', '-0.136168', '0', '0.990686', '-23.7334', '-3.99272', '0.866093', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785757', '1718359', 'object/static/structure/general/shared_campfire_ash.iff', '0', '-0.697278', '0', '0.716801', '-19.8944', '-3.99144', '0.838533', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785758', '1718359', 'object/static/flora/shared_flora_plant_tato_falotil.iff', '0', '0.997365', '0', '-0.072547', '-25.7755', '-3.9919', '0.879903', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785759', '1718359', 'object/static/flora/shared_flora_plant_tato_falotil.iff', '0', '0.322535', '0', '0.946558', '-21.8637', '-3.99355', '0.915526', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785761', '1718359', 'object/static/structure/general/shared_campfire_ash.iff', '0', '0.478027', '0', '0.878345', '-21.831', '-3.99208', '4.26884', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785762', '1718359', 'object/static/structure/general/shared_campfire_ash.iff', '0', '0.952577', '0', '-0.3043', '-25.7219', '-3.9944', '4.1906', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785763', '1718359', 'object/static/structure/general/shared_campfire_ash.iff', '0', '-0.0964439', '0', '0.995338', '-23.7214', '-3.99305', '4.20858', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785764', '1718359', 'object/static/flora/shared_flora_plant_tato_falotil.iff', '0', '0.627554', '0', '0.778573', '-23.7114', '-3.99229', '4.18573', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785765', '1718359', 'object/static/structure/general/shared_campfire_ash.iff', '0', '0.0433929', '0', '0.999058', '-19.8729', '-3.99101', '4.11977', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785766', '1718359', 'object/static/flora/shared_flora_plant_tato_falotil.iff', '0', '-0.631267', '0', '0.775565', '-25.7533', '-3.99147', '4.21996', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785767', '1718359', 'object/static/flora/shared_flora_plant_tato_falotil.iff', '0', '0.910051', '0', '0.414497', '-21.8412', '-3.99311', '4.21647', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785780', '1718359', 'object/static/flora/shared_flora_plant_tato_falotil_bare.iff', '0', '0', '0', '1', '-19.8145', '-3.99599', '0.878352', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785781', '1718359', 'object/static/flora/shared_flora_plant_tato_falotil_bare.iff', '0', '0.425939', '0', '0.904752', '-19.9181', '-3.99611', '-2.13515', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785782', '1718359', 'object/static/flora/shared_flora_plant_tato_falotil_bare.iff', '0', '0.852941', '0', '-0.522008', '-19.8669', '-3.99572', '4.10991', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785784', '1718359', 'object/static/particle/shared_pt_miasma_of_fog_red.iff', '0', '0', '0', '1', '-22.1078', '-3.99546', '-0.000397', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785785', '1718359', 'object/static/item/shared_item_crate_spice.iff', '0', '-0.505533', '0', '0.862807', '-17.4559', '-3.99717', '4.39901', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1718360', '1134531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '9435372', '1718360', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s1.iff', '0', '-0.707106', '0', '0.707107', '15.4701', '-3.99038', '4.68464', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9435373', '1718360', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s1.iff', '0', '0.707107', '0', '-0.707107', '15.4498', '-3.99038', '1.78292', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9435375', '1718360', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '-0.70328', '0', '0.710913', '17.2764', '-3.99038', '3.26428', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9435376', '1718360', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0', '0', '1', '14.2828', '-3.99038', '-0.491667', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9435377', '1718360', 'object/static/item/shared_armor_composite_helmet.iff', '-0.453097', '0.245803', '0.431842', '0.740132', '18.4481', '-3.26306', '3.98632', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '9435378', '1718360', 'object/static/item/shared_wp_rifle_t21_combined.iff', '-0.39589', '0.542092', '0.375139', '0.639279', '16.6071', '-3.67416', '2.68572', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '9435384', '1718360', 'object/static/item/shared_item_tool_instrument_calibrator.iff', '0', '0.87959', '0', '0.475732', '9.40178', '-3.35793', '6.64862', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '9435385', '1718360', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '0', '0', '1', '9.36281', '-3.99038', '6.46055', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9435386', '1718360', 'object/tangible/furniture/all/shared_frn_all_lamp_desk_s02.iff', '0', '0', '0', '1', '9.07506', '-3.35793', '6.3413', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9435388', '1718360', 'object/static/item/shared_item_medic_stimpack.iff', '0', '0', '0.677972', '0.735088', '9.4519', '-3.35793', '6.1038', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '9435389', '1718360', 'object/static/item/shared_item_tapestry_tatooine.iff', '0', '0', '0', '1', '8.51353', '-3.99038', '0.856989', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '9435390', '1718360', 'object/static/item/shared_item_game_dejarik_gameboard.iff', '0', '0', '0', '1', '12.9594', '-3.99038', '3.2255', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '9435391', '1718360', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0', '0', '1', '12.9549', '-3.99038', '2.32174', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9435392', '1718360', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.999526', '0', '0.030792', '12.9077', '-3.99038', '4.20014', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9435393', '1718360', 'object/tangible/furniture/cheap/shared_armoire_s01.iff', '0', '0.707106', '0', '0.707107', '8.72044', '-3.99038', '4.58209', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9435396', '1718360', 'object/tangible/furniture/cheap/shared_armoire_s01.iff', '0', '0.699715', '0', '0.714422', '8.7264', '-3.99039', '0.732363', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9435399', '1718360', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s02.iff', '0', '0', '0', '1', '17.0808', '-3.99038', '6.30197', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9435400', '1718360', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s02.iff', '0', '0.999991', '0', '-0.00420314', '17.2469', '-3.99038', '0.339549', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1718361', '1134531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785807', '1718361', 'object/static/structure/corellia/shared_corl_power_box_node.iff', '0', '0', '0', '1', '3.14963', '-3.99038', '3.90768', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785808', '1718361', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '-0.706825', '0', '0.707388', '-1.17628', '-3.99038', '5.19994', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785809', '1718361', 'object/static/item/shared_item_jar_guts.iff', '0', '0.9333', '0', '0.359098', '4.2253', '-3.29468', '2.43152', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785810', '1718361', 'object/static/item/shared_item_jar_guts.iff', '0', '0.354055', '0', '0.935224', '4.22708', '-3.29468', '2.81261', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785811', '1718361', 'object/static/item/shared_item_jar_guts.iff', '0', '0.790671', '0', '0.612241', '4.23315', '-3.29468', '3.2019', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785812', '1718361', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '0.706836', '0', '0.707378', '7.58174', '-3.99038', '2.54144', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785813', '1718361', 'object/static/item/shared_item_jar_guts.iff', '0', '-0.546431', '0', '0.837504', '3.42986', '-3.29468', '3.18672', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785814', '1718361', 'object/static/item/shared_item_jar_guts.iff', '0', '0.988605', '0', '-0.150534', '3.42469', '-3.29468', '2.80578', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785815', '1718361', 'object/static/item/shared_item_jar_guts.iff', '0', '0.764128', '0', '-0.645065', '3.41553', '-3.29468', '2.41679', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785816', '1718361', 'object/static/item/shared_item_jar_guts.iff', '0', '-0.288918', '0', '0.957354', '2.5686', '-3.29468', '3.20586', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785817', '1718361', 'object/static/item/shared_item_jar_guts.iff', '0', '0.906403', '0', '-0.422415', '2.59008', '-3.29468', '2.82549', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785818', '1718361', 'object/static/item/shared_item_jar_guts.iff', '0', '-0.551939', '0', '0.833884', '2.60815', '-3.29468', '2.43682', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785819', '1718361', 'object/static/item/shared_item_jar_guts.iff', '0', '-0.196804', '0', '0.980443', '3.53346', '-3.29468', '5.3664', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785820', '1718361', 'object/static/item/shared_item_jar_guts.iff', '0', '0.862247', '0', '-0.506489', '3.55494', '-3.29468', '4.98603', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785821', '1718361', 'object/static/item/shared_item_jar_guts.iff', '0', '-0.470351', '0', '0.882479', '3.57301', '-3.29468', '4.59736', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785822', '1718361', 'object/static/item/shared_item_jar_guts.iff', '0', '-0.387665', '0', '0.9218', '2.75866', '-3.29468', '5.33344', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785823', '1718361', 'object/static/item/shared_item_jar_guts.iff', '0', '0.945683', '0', '-0.325091', '2.78015', '-3.29468', '4.95307', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785824', '1718361', 'object/static/item/shared_item_jar_guts.iff', '0', '-0.636297', '0', '0.771445', '2.79821', '-3.29468', '4.5644', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785825', '1718361', 'object/static/item/shared_item_jar_guts.iff', '0', '-0.611612', '0', '0.791158', '1.94015', '-3.29468', '5.39322', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785826', '1718361', 'object/static/item/shared_item_jar_guts.iff', '0', '0.997473', '0', '-0.0710478', '1.96163', '-3.29468', '5.01285', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785827', '1718361', 'object/static/item/shared_item_jar_guts.iff', '0', '0.813234', '0', '-0.581936', '1.9797', '-3.29468', '4.62417', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8475503', '1718361', 'object/static/particle/shared_particle_newbie_refrigerator_steam.iff', '0', '0.998104', '0', '0.061553', '6.24277', '-2.1691', '3.5108', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8475504', '1718361', 'object/static/particle/shared_particle_newbie_refrigerator_steam.iff', '0', '0.999526', '0', '0.030792', '6.33897', '-2.1691', '2.48737', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8475505', '1718361', 'object/static/particle/shared_particle_newbie_refrigerator_steam.iff', '0', '0.998104', '0', '0.061553', '6.23301', '-2.1691', '3.00885', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8475515', '1718361', 'object/static/particle/shared_particle_newbie_refrigerator_steam.iff', '0', '-0.092257', '0', '0.995735', '0.158046', '-2.16894', '4.38169', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8475516', '1718361', 'object/static/particle/shared_particle_newbie_refrigerator_steam.iff', '0', '-0.0615541', '0', '0.998104', '-0.0011338', '-2.16894', '5.39731', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8475517', '1718361', 'object/static/particle/shared_particle_newbie_refrigerator_steam.iff', '0', '-0.092257', '0', '0.995735', '0.13705', '-2.16894', '4.88364', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8475521', '1718361', 'object/static/particle/shared_particle_newbie_hanging_smoke.iff', '0', '0', '0', '1', '3.20052', '-3.99038', '3.96197', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8475522', '1718361', 'object/static/particle/shared_particle_newbie_hanging_smoke.iff', '0', '0', '0', '1', '3.20892', '-3.99038', '3.30989', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1718362', '1134531', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785787', '1718362', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0', '0', '1', '-5.12705', '-3.99038', '1.31001', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785788', '1718362', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0.732232', '0', '-0.681056', '-4.1899', '-3.99038', '2.06361', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785789', '1718362', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0.867423', '0', '0.497572', '-4.6528', '-3.99038', '0.968322', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785790', '1718362', 'object/static/structure/general/shared_droid_probedroid_powerdown.iff', '0', '0', '0', '1', '-4.1792', '-3.99038', '0.310853', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785791', '1718362', 'object/tangible/furniture/all/shared_frn_all_toolchest_lg_s01.iff', '0', '0.881958', '0', '-0.471329', '-4.07023', '-3.99038', '3.79578', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785792', '1718362', 'object/static/item/shared_item_tool_droid_toolkit.iff', '0', '0.997888', '0', '-0.0649542', '-6.26796', '-3.99038', '1.00138', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785796', '1718362', 'object/tangible/furniture/imperial/shared_table_s1.iff', '0', '0.934124', '0', '0.356949', '-7.68976', '-3.99038', '3.57263', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785798', '1718362', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.895699', '0', '-0.444662', '-12.3533', '-3.99038', '5.27919', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785799', '1718362', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.548024', '0', '0.836463', '-10.7426', '-3.99038', '5.61109', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785800', '1718362', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.805544', '0', '-0.592537', '-5.75596', '-3.99038', '5.85802', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785801', '1718362', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '-7.23698', '-3.99038', '5.76976', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785802', '1718362', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '-0.361615', '0', '0.932327', '-7.82904', '-4.87582', '3.67613', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134555', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_09.iff', '0', '-0.0315872', '0', '0.999501', '-5155.36', '74.8955', '-6624.48', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134557', '0', 'object/building/tatooine/shared_cantina_tatooine.iff', '0', '-0.0415806', '0', '0.999135', '-5172.13', '75', '-6571.71', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134558', '1134557', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134559', '1134557', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134560', '1134557', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '8075471', '1134560', 'object/soundobject/shared_soundobject_cantina_large.iff', '0', '0', '0', '1', '20.8346', '-0.894993', '1.88685', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8075472', '1134560', 'object/soundobject/shared_soundobject_cantina_large.iff', '0', '0', '0', '1', '-3.92871', '-0.894992', '2.57538', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134561', '1134557', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '8075473', '1134561', 'object/soundobject/shared_soundobject_cantina_medium.iff', '0', '0', '0', '1', '20.8441', '-0.894996', '-16.5691', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134562', '1134557', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '8075477', '1134562', 'object/soundobject/shared_soundobject_cantina_medium.iff', '0', '0', '0', '1', '18.2006', '-0.894992', '18.3759', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134563', '1134557', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '8075474', '1134563', 'object/soundobject/shared_soundobject_cantina_medium.iff', '0', '0', '0', '1', '5.83202', '-0.894992', '-16.4423', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134564', '1134557', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '8075478', '1134564', 'object/soundobject/shared_soundobject_cantina_small.iff', '0', '0', '0', '1', '5.5667', '-0.894992', '18.2458', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134565', '1134557', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '8075476', '1134565', 'object/soundobject/shared_soundobject_cantina_medium.iff', '0', '0', '0', '1', '-8.19539', '-0.894957', '-19.4733', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134566', '1134557', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '8075479', '1134566', 'object/soundobject/shared_soundobject_cantina_small.iff', '0', '0', '0', '1', '-6.75475', '-0.894998', '20.7274', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134567', '1134557', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134568', '1134557', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134569', '1134557', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106796', '1134569', 'object/tangible/furniture/all/shared_frn_all_couch_love_seat_s1.iff', '0', '0', '0', '1', '-29.2783', '-0.894991', '17.2017', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106797', '1134569', 'object/tangible/furniture/all/shared_frn_all_couch_love_seat_s1.iff', '0', '0.908966', '0', '0.416871', '-30.7561', '-0.894991', '20.8234', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106798', '1134569', 'object/tangible/furniture/all/shared_frn_all_couch_love_seat_s1.iff', '0', '0.908966', '0', '0.416871', '-27.7158', '-0.894991', '24.3473', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106799', '1134569', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s01.iff', '0', '-0.382683', '0', '0.92388', '-26.8435', '-0.894991', '26.5073', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106800', '1134569', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s01.iff', '0', '-0.382683', '0', '0.92388', '-32.2189', '-0.894991', '19.8976', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106801', '1134569', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s01.iff', '0', '1', '0', '-3.20013e-08', '-30.5538', '-0.894991', '16.3799', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106802', '1134569', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff', '0', '-0.416871', '0', '0.908966', '-29.7138', '-0.894991', '23.0992', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106803', '1134569', 'object/tangible/furniture/all/shared_frn_all_couch_love_seat_s1.iff', '0', '0.999999', '0', '0.0015922', '-19.2179', '-0.89499', '25.8639', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106804', '1134569', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff', '0', '-0.00159314', '0', '0.999999', '-21.4697', '-0.89499', '26.5562', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106805', '1134569', 'object/tangible/furniture/all/shared_frn_all_couch_love_seat_s1.iff', '0', '0.999999', '0', '0.0015922', '-23.8722', '-0.89499', '25.8536', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106806', '1134569', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s01.iff', '0', '0', '0', '1', '-16.7514', '-0.894989', '26.5225', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106854', '1134569', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '-21.8434', '-0.515516', '26.4123', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106855', '1134569', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '-21.3679', '-0.515516', '26.3488', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106856', '1134569', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '-21.5664', '-0.515516', '26.7174', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106857', '1134569', 'object/static/item/shared_item_painting_tatooine_style_01.iff', '0', '0', '0', '1', '-15.478', '-0.274433', '22.0523', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106859', '1134569', 'object/tangible/furniture/all/shared_frn_all_lamp_desk_s01.iff', '0.5', '-0.5', '-0.5', '-0.5', '-15.5242', '1.54941', '21.9775', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106861', '1134569', 'object/tangible/furniture/modern/shared_bar_piece_curve_s2.iff', '0', '0.707106', '0', '0.707107', '-20.2823', '-0.894991', '14.2953', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106862', '1134569', 'object/static/item/shared_item_pistol.iff', '-0.26228', '0.26228', '0.656665', '-0.656665', '-20.8734', '-0.266795', '15.7818', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106863', '1134569', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '-20.3394', '-0.736877', '15.6039', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106864', '1134569', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '-20.1072', '-0.736877', '15.2818', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106866', '1134569', 'object/static/item/shared_item_con_tato_cup_s2.iff', '0', '0.509841', '0', '0.860269', '-21.1429', '-1.49582', '15.9167', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106867', '1134569', 'object/static/item/shared_item_con_tato_cup_s3.iff', '0', '0.509841', '0', '0.860269', '-21.2658', '-1.49582', '15.7248', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106868', '1134569', 'object/static/item/shared_item_con_tato_cup_s3.iff', '0', '0.509841', '0', '0.860269', '-20.9349', '-1.49582', '15.8936', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106869', '1134569', 'object/static/item/shared_item_con_tato_cup_s3.iff', '0', '0.509841', '0', '0.860269', '-21.4001', '-1.49582', '15.965', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106870', '1134569', 'object/static/item/shared_item_con_tato_cup_s2.iff', '0', '0', '0', '1', '-21.0557', '-1.49582', '15.7173', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106871', '1134569', 'object/static/item/shared_item_bottle_pear.iff', '0', '0.556361', '0', '0.830941', '-21.2257', '0.243428', '15.896', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106872', '1134569', 'object/static/item/shared_item_bottle_fat.iff', '0', '0.556361', '0', '0.830941', '-20.9203', '0.243428', '16.0984', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106873', '1134569', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '-19.7358', '0.243428', '13.7075', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106874', '1134569', 'object/static/item/shared_item_diagnostic_screen.iff', '0', '-0.61706', '0', '0.786916', '-20.0223', '0.243428', '14.1952', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106875', '1134569', 'object/static/item/shared_item_con_tato_cup_s2.iff', '0', '0.916803', '0', '-0.39934', '-20.6489', '-0.483896', '15.8328', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106876', '1134569', 'object/static/item/shared_item_con_tato_cup_s2.iff', '0', '0.916803', '0', '-0.39934', '-20.6651', '-0.483896', '15.6578', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106877', '1134569', 'object/static/item/shared_item_con_tato_cup_s3.iff', '0', '0.916803', '0', '-0.39934', '-20.4878', '-0.483896', '15.8035', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106878', '1134569', 'object/static/item/shared_item_con_tato_cup_s3.iff', '0', '0.916803', '0', '-0.39934', '-20.7846', '-0.483896', '15.7548', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106879', '1134569', 'object/static/item/shared_item_con_tato_cup_s3.iff', '0', '0.916803', '0', '-0.39934', '-20.4405', '-0.483896', '15.4834', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106880', '1134569', 'object/static/item/shared_item_painting_tatooine_style_02.iff', '0', '1', '0', '-1.16295e-07', '-21.858', '0.49641', '13.7774', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134570', '1134557', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106531', '1134570', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '0', '0', '1', '-31.9715', '-0.519991', '6.07928', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106532', '1134570', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '0', '0', '1', '-31.9352', '-0.519991', '13.9577', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106533', '1134570', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '0', '0', '1', '-23.9556', '-0.519991', '6.13396', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106545', '1134570', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0', '0', '1', '-26.5608', '-0.519991', '5.35536', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106546', '1134570', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0', '0', '1', '-28.9129', '-0.519991', '5.32529', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106547', '1134570', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.707106', '0', '0.707107', '-32.7576', '-0.519991', '9.18493', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106548', '1134570', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.707106', '0', '0.707107', '-32.6856', '-0.519991', '11.4782', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106793', '1134570', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_03.iff', '0', '0.707106', '0', '0.707107', '-27.7512', '-0.583237', '10.0916', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106794', '1134570', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s01.iff', '0', '0', '0', '1', '-23.1126', '-0.519991', '15.2117', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106795', '1134570', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s01.iff', '0', '0', '0', '1', '-27.5283', '-0.519991', '15.2338', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134571', '1134557', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134572', '1134557', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134573', '0', 'object/building/tatooine/shared_housing_tatt_style01_small.iff', '0', '0.999923', '0', '0.0123911', '-5226.09', '75', '-6471.88', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134574', '1134573', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575794', '1134574', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '5.43641', '0.255768', '6.54235', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575802', '1134574', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '5.4568', '0.252975', '4.00983', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575817', '1134574', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s05.iff', '0', '0', '0', '1', '4.72995', '0.985487', '4.79341', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575823', '1134574', 'object/tangible/furniture/all/shared_frn_all_table_s02.iff', '0', '0', '0', '1', '4.69019', '0.254082', '4.77609', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1591916', '1134574', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '-0.707103', '0', '0.70711', '3.91071', '0.254982', '5.98392', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1591917', '1134574', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '-0.707103', '0', '0.70711', '3.90225', '0.25293', '3.52373', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134575', '1134573', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1597848', '1134575', 'object/static/item/shared_item_cheese_wheel_s1_partial.iff', '0.88609', '-0.279012', '0.0593336', '-0.365343', '-1.86691', '1.39614', '1.12787', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1597849', '1134575', 'object/static/item/shared_item_fruit_melon.iff', '0.202715', '0.347093', '0.0580513', '0.913818', '-1.88329', '1.26966', '0.920202', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1597850', '1134575', 'object/static/item/shared_item_fruit_melon.iff', '-0.0151718', '0.362488', '0.296475', '0.883445', '-1.97807', '1.30128', '1.06019', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1597852', '1134575', 'object/static/item/shared_item_basket_shallow.iff', '0', '0.539632', '0', '0.841901', '-1.88025', '1.23826', '1.03332', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1597854', '1134575', 'object/static/item/shared_item_bread_loaf.iff', '0', '0.159318', '0', '0.987227', '-2.06991', '1.301', '0.871652', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1597859', '1134575', 'object/static/item/shared_item_cheese_wheel_s1_partial.iff', '0', '0.886627', '0', '0.462485', '-1.82645', '1.33259', '0.762215', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1597861', '1134575', 'object/static/item/shared_item_bread_loaf.iff', '0.0420704', '0.991539', '-0.101382', '0.0692944', '-2.06861', '1.30116', '1.28206', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134576', '1134573', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499031', '1134573', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499032', '1134573', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499033', '1134573', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499034', '1134573', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499035', '1134573', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499036', '1134573', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1597847', '1499036', 'object/static/item/shared_item_bread_loaf.iff', '0', '0.517056', '0', '0.855952', '-1.67642', '1.3329', '1.02937', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1597860', '1499036', 'object/static/item/shared_item_fruit_melon.iff', '-0.0967983', '0.574866', '-0.224967', '0.780736', '-1.78184', '1.30118', '1.2686', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499037', '1134573', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1591928', '1499037', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s1.iff', '0', '0.707107', '0', '-0.707107', '3.04029', '-0.37822', '-5.86843', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1591931', '1499037', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.707103', '0', '0.707111', '-1.81636', '-0.37822', '-1.91797', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1591933', '1499037', 'object/tangible/furniture/all/shared_frn_all_table_s03.iff', '0', '0', '0', '1', '-0.33769', '-0.37822', '-2.41732', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1591934', '1499037', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.707103', '0', '0.707111', '-1.80615', '-0.37822', '-2.90011', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1591936', '1499037', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '1', '0', '-3.20013e-08', '2.58382', '-0.37822', '-6.06983', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1591941', '1499037', 'object/tangible/furniture/cheap/shared_armoire_s01.iff', '0', '1', '0', '-3.20013e-08', '4.07047', '0.281075', '2.38616', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1591945', '1499037', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.770993', '0', '0.636844', '-3.11234', '-0.37822', '-6.15775', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1591946', '1499037', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.333487', '0', '0.942755', '-3.22411', '0.317481', '-6.05731', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1591947', '1499037', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.193767', '0', '0.981048', '-4.11085', '-0.37822', '-6.05515', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134585', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_03.iff', '0', '0.712592', '0', '-0.701579', '-5194.49', '75', '-6468.83', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134589', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_10.iff', '0', '0.840609', '0', '0.541642', '-5264.11', '75', '-6534.34', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134591', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_01.iff', '0', '-0.545171', '0', '0.838325', '-5252.59', '75', '-6567.34', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134593', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.661942', '0', '0.749555', '-5200.52', '75', '-6502.23', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134594', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.661942', '0', '0.749555', '-5201.53', '75', '-6501.59', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134595', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.661942', '0', '0.749555', '-5202.83', '75', '-6503.75', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134596', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.661942', '0', '0.749555', '-5201.34', '75', '-6503.52', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134597', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.661942', '0', '0.749555', '-5199.95', '75', '-6503.57', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134598', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.607895', '0', '0.794017', '-5242.72', '75', '-6487.02', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134599', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.607895', '0', '0.794017', '-5239.07', '75', '-6488.71', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134600', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.607895', '0', '0.794017', '-5243.09', '75', '-6490.64', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134601', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.607895', '0', '0.794017', '-5242.78', '75', '-6492.72', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134602', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0.550871', '0', '0.83459', '-5201.79', '75', '-6502.26', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134603', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_large.iff', '0', '0.446999', '0', '0.894535', '-5241.67', '75', '-6490.27', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134604', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_1.iff', '0', '0.603918', '0', '0.797047', '-5222.28', '74.9503', '-6580.92', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134605', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '0.603918', '0', '0.797047', '-5263.03', '75', '-6522.27', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134606', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_2.iff', '0', '0.192204', '0', '0.981355', '-5074.46', '75', '-6591.66', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134607', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0.192204', '0', '0.981355', '-5257.42', '75', '-6558.39', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134608', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '0.192204', '0', '0.981355', '-5260.1', '75', '-6546.09', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134609', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '0.603918', '0', '0.797047', '-5277.2', '75', '-6514.91', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134610', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '-0.413771', '0', '0.910381', '-5203.79', '75', '-6533.34', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134611', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '-0.0615538', '0', '0.998104', '-5235.77', '75', '-6539.22', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134614', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.936177', '0', '-0.351529', '-5086.53', '75', '-6590.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134617', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.845015', '0', '-0.534742', '-5089.5', '75', '-6589.6', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134618', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.845015', '0', '-0.534742', '-5088.27', '75', '-6589.59', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134619', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.121294', '0', '0.992617', '-5084.36', '75', '-6565.32', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134620', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.121294', '0', '0.992617', '-5086.82', '75', '-6566.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134621', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.0833098', '0', '0.996524', '-5088.36', '75', '-6566.25', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134622', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.0833098', '0', '0.996524', '-5087.08', '75', '-6567.25', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134623', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.0833098', '0', '0.996524', '-5087.42', '75', '-6565.18', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134624', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.336697', '0', '0.941613', '-5082.42', '75', '-6568.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134625', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.521328', '0', '0.853356', '-5081.34', '75', '-6566.8', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134626', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0.749027', '0', '-0.662539', '-5088.25', '75', '-6589.22', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134627', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_large.iff', '0', '0.108195', '0', '0.99413', '-5082.49', '75', '-6564.25', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134628', '0', 'object/static/structure/tatooine/shared_shed_junkshop_watto.iff', '0', '0.341401', '0', '0.939918', '-5084.66', '75', '-6549.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134629', '0', 'object/static/structure/tatooine/shared_wall_junkshop_watto.iff', '0', '0.525589', '0', '0.850739', '-5076.38', '75', '-6557.76', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134630', '0', 'object/static/structure/tatooine/shared_wall_junkshop_watto.iff', '0', '0.712746', '0', '0.701422', '-5071.6', '75', '-6583.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134649', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.121294', '0', '0.992617', '-5115.66', '75', '-6611.68', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134650', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.121294', '0', '0.992617', '-5114.09', '75', '-6612.09', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134658', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.121294', '0', '0.992617', '-5098', '75', '-6595.82', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134659', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.121294', '0', '0.992617', '-5097.72', '75', '-6598.57', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134661', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.0833098', '0', '0.996524', '-5097.49', '75', '-6597', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134663', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '-0.0515705', '0', '0.998669', '-5098.21', '75', '-6596.93', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134664', '0', 'object/static/structure/tatooine/shared_wall_junkshop_watto.iff', '0', '-0.101417', '0', '0.994844', '-5075.01', '74.54', '-6642', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134665', '0', 'object/static/structure/tatooine/shared_wall_junkshop_watto.iff', '0', '-0.0315876', '0', '0.999501', '-5095.22', '74.8546', '-6644.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134666', '0', 'object/static/structure/tatooine/shared_wall_junkshop_watto.iff', '0', '0.650625', '0', '0.759399', '-5063.2', '75.0529', '-6627.85', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134667', '0', 'object/static/structure/tatooine/shared_wall_junkshop_watto.iff', '0', '0.293996', '0', '0.955807', '-5113.11', '75', '-6639.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134672', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.14112', '0', '0.989992', '-5156.93', '75', '-6513.77', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134673', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.063364', '0', '0.99799', '-5154.71', '75', '-6514.59', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134674', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.177462', '0', '0.984128', '-5158.05', '75', '-6514.65', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134675', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.14112', '0', '0.989992', '-5156.98', '75', '-6515.87', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134676', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.374082', '0', '0.927396', '-5155.59', '75', '-6516.49', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134677', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.177462', '0', '0.984128', '-5155.7', '75', '-6509.76', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134678', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.177462', '0', '0.984128', '-5156.82', '75', '-6510.64', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134679', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.22466', '0', '0.974437', '-5155.76', '75', '-6511.86', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134685', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.571561', '0', '0.82056', '-5174.59', '75', '-6500.2', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134686', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.392554', '0', '0.919729', '-5174.44', '75', '-6501.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134687', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.392554', '0', '0.919729', '-5173.08', '75', '-6501.07', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134688', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.43353', '0', '0.901139', '-5178.22', '75', '-6500.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134690', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '0', '-0.00659269', '0', '0.999978', '-5156.32', '75', '-6514.01', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134691', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_large.iff', '0', '0.888199', '0', '0.45946', '-5174.16', '75', '-6501.8', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134692', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_large.iff', '0', '0.542498', '0', '0.840057', '-5134.51', '75', '-6588.61', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134693', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_1.iff', '0', '0.192204', '0', '0.981355', '-5126.75', '75', '-6579.76', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134694', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.255541', '0', '0.966798', '-5211.64', '75', '-6573.11', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134695', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.0533819', '0', '0.998574', '-5207.53', '75', '-6573.51', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134696', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.549356', '0', '0.835588', '-5213.6', '75', '-6581.41', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134697', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.707951', '0', '-0.706262', '-5213.56', '75', '-6577.3', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134698', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.707951', '0', '-0.706262', '-5213.31', '75', '-6579.9', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134699', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.999619', '0', '-0.0276066', '-5192.13', '74.9894', '-6620.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134700', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.999619', '0', '-0.0276066', '-5191.4', '74.9922', '-6621.71', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134701', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.984308', '0', '0.17646', '-5195.41', '74.8831', '-6620.86', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134702', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.984308', '0', '0.17646', '-5194.17', '74.9213', '-6621.9', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134703', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.999619', '0', '-0.0276066', '-5192.7', '74.9678', '-6622.28', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134707', '0', 'object/static/structure/tatooine/shared_wall_junkshop_watto.iff', '0', '-0.0215905', '0', '0.999767', '-5137.02', '75', '-6628.94', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134709', '0', 'object/static/structure/tatooine/shared_wall_junkshop_watto.iff', '0', '-0.0415805', '0', '0.999135', '-5174.12', '74.9993', '-6627.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134712', '0', 'object/static/structure/tatooine/shared_shed_junkshop_watto.iff', '0', '0.401732', '0', '0.915757', '-5071.71', '75', '-6570.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134713', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.20023', '0', '0.979749', '-5114.42', '74.9984', '-6469.65', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134714', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.00340647', '0', '0.999994', '-5116.72', '74.9991', '-6469.11', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134715', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.282687', '0', '0.959212', '-5115.35', '74.9987', '-6471.69', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134716', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '0', '-0.0415806', '0', '0.999135', '-5117.17', '74.9992', '-6470.21', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134717', '0', 'object/static/structure/tatooine/shared_wall_junkshop_watto.iff', '0', '0.684128', '0', '0.729362', '-5101.6', '74.2667', '-6477.64', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134718', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.161109', '0', '0.986937', '-5139.9', '75', '-6483.24', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134719', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.0431713', '0', '0.999068', '-5139.4', '75', '-6486.38', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134720', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.463387', '0', '0.886156', '-5140.22', '75', '-6485.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134721', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.127839', '0', '0.991795', '-5142.15', '75', '-6486.25', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134722', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '0', '0.116549', '0', '0.993185', '-5140.95', '75', '-6483.78', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134723', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.11813', '0', '0.992998', '-5115.15', '74.9986', '-6473.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134724', '0', 'object/static/structure/tatooine/shared_shed_junkshop_watto.iff', '0', '0.0168137', '0', '0.999859', '-5146.14', '75', '-6467.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134725', '0', 'object/static/structure/tatooine/shared_wall_junkshop_watto.iff', '0', '-0.013185', '0', '0.999913', '-5136.18', '75', '-6464.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134726', '0', 'object/static/structure/tatooine/shared_wall_junkshop_watto.iff', '0', '0.702149', '0', '0.71203', '-5147.06', '75', '-6480.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134728', '0', 'object/static/structure/tatooine/shared_wall_junkshop_watto.iff', '0', '0.687764', '0', '0.725934', '-5092.56', '74.9274', '-6513.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134729', '0', 'object/static/structure/tatooine/shared_wall_junkshop_watto.iff', '0', '0.669405', '0', '0.742898', '-5091.08', '75', '-6533.33', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134734', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.206902', '0', '0.978362', '-5191.61', '75', '-6505.98', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134735', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.206902', '0', '0.978362', '-5191.74', '75', '-6507.18', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134742', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0.192204', '0', '0.981355', '-5236.33', '75', '-6484.06', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134743', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_1.iff', '0', '0.133012', '0', '0.991114', '-5220.28', '74.9686', '-6452.65', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134745', '0', 'object/static/structure/tatooine/shared_wall_junkshop_watto.iff', '0', '-0.0215908', '0', '0.999767', '-5176.64', '75', '-6455.8', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134747', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.206902', '0', '0.978362', '-5192.98', '75', '-6503.77', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134748', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.206902', '0', '0.978362', '-5192.98', '75', '-6502.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134749', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.206902', '0', '0.978362', '-5194.29', '75', '-6507.12', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134750', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '0', '0.999923', '0', '0.0123891', '-5191.75', '75', '-6504.98', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134751', '0', 'object/static/structure/tatooine/shared_shed_junkshop_watto.iff', '0', '0.653934', '0', '0.756552', '-5104.51', '74.0023', '-6465.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134752', '0', 'object/static/structure/tatooine/shared_wall_junkshop_watto.iff', '0', '-0.0165921', '0', '0.999862', '-5116.42', '74.8533', '-6463.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1134753', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.11813', '0', '0.992998', '-5114.14', '74.9983', '-6472.77', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1143336', '0', 'object/static/structure/tatooine/shared_shed_junkshop_watto.iff', '0', '0', '0', '1', '-5062.45', '75', '-6641.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1144098', '0', 'object/building/tatooine/shared_housing_tatt_style01_large.iff', '0', '0.713866', '0', '-0.700283', '1590.02', '11', '3225.23', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1144099', '1144098', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606247', '1144099', 'object/tangible/furniture/tatooine/shared_frn_tatt_cantina_droid_detector.iff', '0', '-0.7', '0', '0.714142', '7.70026', '1.9867', '9.47163', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606248', '1144099', 'object/tangible/furniture/tatooine/shared_frn_tatt_cantina_droid_detector.iff', '0', '0.707107', '0', '0.707107', '-7.35173', '1.99913', '9.51433', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606249', '1144099', 'object/static/item/shared_item_painting_naboo_style_01.iff', '0', '0.707099', '0', '0.707115', '-2.47989', '2.01396', '8.78943', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606250', '1144099', 'object/static/item/shared_item_painting_endor_style_01.iff', '0', '0.707099', '0', '0.707115', '-0.244038', '2.0286', '8.84723', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606251', '1144099', 'object/static/item/shared_item_painting_agrilat_swamp_style_02.iff', '0', '0.707099', '0', '0.707115', '2.09615', '2.01926', '8.73147', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606252', '1144099', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s04.iff', '0', '-0.342898', '0', '0.939373', '6.7841', '1.98745', '10.2089', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606253', '1144099', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s04.iff', '0', '0.859862', '0', '0.510526', '-6.38481', '1.98662', '10.4453', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611925', '1144099', 'object/static/item/shared_item_slave_brazier.iff', '0', '-0.380188', '0', '0.924909', '-7.45612', '1.99993', '9.50721', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611926', '1144099', 'object/static/item/shared_item_slave_brazier.iff', '0', '0.370921', '0', '0.928665', '7.75455', '1.9866', '9.47334', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1144100', '1144098', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1607850', '1144100', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s03.iff', '0', '-0.198669', '0', '0.980067', '-4.74234', '0.506761', '-2.07006', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1607851', '1144100', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s01.iff', '0', '0', '0', '1', '-7.46352', '0.510321', '-5.71063', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1607852', '1144100', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s01.iff', '0', '0.724287', '0', '-0.689498', '-7.54892', '0.511987', '-8.99129', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1607853', '1144100', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '-7.43398', '0.510302', '-5.67219', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1607854', '1144100', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '-7.54868', '0.511977', '-8.97124', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1607855', '1144100', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff', '0', '0.707099', '0', '0.707114', '-7.43405', '0.509604', '-4.27762', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1607857', '1144100', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '-4.75779', '0.506649', '-2.07852', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1607858', '1144100', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s03.iff', '0', '0.830499', '0', '-0.557021', '5.02244', '0.50388', '-2.1637', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1607859', '1144100', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '-0.703282', '0', '0.710911', '5.02893', '0.503961', '-2.17154', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1607860', '1144100', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s03.iff', '0', '0.844163', '0', '-0.536086', '7.54945', '0.51256', '-9.99586', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1607861', '1144100', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.720833', '0', '-0.693109', '7.55873', '0.512567', '-10.0078', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1607862', '1144100', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s03.iff', '0', '0.830499', '0', '-0.557021', '-7.56119', '0.512523', '-10.0471', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1607863', '1144100', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '-0.703282', '0', '0.710911', '-7.5519', '0.512529', '-10.0592', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1607864', '1144100', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '-0.0399893', '0', '0.9992', '-6.12578', '0.506941', '-2.15299', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1607865', '1144100', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '0', '0', '1', '-6.13834', '0.506781', '-2.12573', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1607866', '1144100', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s3.iff', '0', '0', '0', '1', '-7.13241', '0.509112', '-2.69836', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1607870', '1144100', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s05.iff', '0', '0.257081', '0', '0.96639', '-7.46667', '0.509401', '-3.87301', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1607871', '1144100', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s05.iff', '0', '0.713866', '0', '-0.700282', '-7.52305', '0.509819', '-4.71744', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1607872', '1144100', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '-14.5201', '0.998904', '-3.18392', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1607873', '1144100', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s04.iff', '0', '0', '0', '1', '-14.5791', '0.99905', '-3.18427', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1607874', '1144100', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s01.iff', '0', '0', '0', '1', '-1.75', '0.509112', '-1', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1607875', '1144100', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s01.iff', '0', '0', '0', '1', '1.24921', '0.506579', '-1.25', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1607876', '1144100', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '-1.75', '0.509112', '-1', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1607877', '1144100', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '1.24999', '0.506577', '-1.25', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1608847', '1144100', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.720832', '0', '-0.69311', '6.32175', '0.507405', '-2.13367', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1608848', '1144100', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '-0.692539', '0', '0.72138', '6.40709', '0.920208', '-1.77914', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1608849', '1144100', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s3.iff', '0', '0.713866', '0', '-0.700282', '7.21481', '0.509112', '-2.90025', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1608850', '1144100', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s01.iff', '0', '0.00999649', '0', '0.99995', '7.54483', '0.510339', '-5.76577', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1608851', '1144100', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s01.iff', '0', '0.724289', '0', '-0.689496', '7.52529', '0.512008', '-8.94694', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1608852', '1144100', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.00999649', '0', '0.99995', '7.57517', '0.510321', '-5.72794', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1608853', '1144100', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '7.5258', '0.511998', '-8.92695', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1608854', '1144100', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff', '0', '0.714139', '0', '0.700004', '7.60303', '0.509604', '-4.33364', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1608855', '1144100', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s05.iff', '0', '0.266728', '0', '0.963772', '7.57851', '0.509402', '-3.92839', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1608856', '1144100', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s05.iff', '0', '-0.706821', '0', '0.707392', '7.50511', '0.509827', '-4.77152', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1608857', '1144100', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '2.49999', '0.503987', '-1', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1608858', '1144100', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '0', '0', '1', '2.49913', '0.503988', '-1.00002', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1608859', '1144100', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '-2.74999', '0.507183', '-1.00003', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1608860', '1144100', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '0', '0', '1', '-2.75543', '0.878704', '-0.588447', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1608861', '1144100', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s01.iff', '0', '0', '0', '1', '3.74913', '0.501402', '-1.25002', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1608862', '1144100', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '3.74998', '0.5014', '-1.25', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1608863', '1144100', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s01.iff', '0', '0', '0', '1', '-3.75525', '0.87723', '-0.601782', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1608864', '1144100', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '-3.75', '0.504902', '-1.00001', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1610847', '1144100', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '1', '0', '-3.20013e-08', '3.10439', '0.509112', '-3.46779', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1610848', '1144100', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '1', '0', '-3.20013e-08', '-2.82806', '0.509112', '-3.4813', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1610850', '1144100', 'object/tangible/furniture/modern/shared_rug_rect_lg_s02.iff', '0', '0.7071', '0', '0.707113', '0.146971', '0.50918', '-6.54876', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1610851', '1144100', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '0.000395736', '0', '1', '-2.83238', '0.512076', '-9.67983', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1610852', '1144100', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '0.000395736', '0', '1', '3.10025', '0.512068', '-9.67117', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1610853', '1144100', 'object/tangible/furniture/elegant/shared_love_seat_s01.iff', '0', '-0.7071', '0', '0.707113', '4.63068', '0.509815', '-4.52854', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1610854', '1144100', 'object/tangible/furniture/elegant/shared_love_seat_s01.iff', '0', '-0.7071', '0', '0.707113', '4.61833', '0.511456', '-8.50587', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1610855', '1144100', 'object/tangible/furniture/elegant/shared_love_seat_s01.iff', '0', '0.710912', '0', '0.703281', '-4.32876', '0.509676', '-4.62095', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1610856', '1144100', 'object/tangible/furniture/elegant/shared_love_seat_s01.iff', '0', '0.710912', '0', '0.703281', '-4.38425', '0.51142', '-8.59817', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1610857', '1144100', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff', '0', '0', '0', '1', '2.4791', '0.50927', '-4.9164', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1610858', '1144100', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff', '0', '0.00539482', '0', '0.999985', '-2.18189', '0.509112', '-4.86887', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1610859', '1144100', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff', '0', '0.00579063', '0', '0.999983', '-2.2002', '0.510619', '-8.10779', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1610860', '1144100', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff', '0', '0.000394851', '0', '1', '2.46129', '0.510666', '-8.15806', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1610861', '1144100', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '0.141986', '0.509138', '-6.45094', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1610862', '1144100', 'object/tangible/furniture/all/shared_frn_all_decorative_lg_s1.iff', '0', '0.333487', '0', '0.942755', '0.297099', '0.509182', '-6.43339', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611847', '1144100', 'object/tangible/furniture/elegant/shared_bookcase_s01.iff', '0', '0', '0', '1', '0.0973743', '0.512662', '-11.4895', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611848', '1144100', 'object/tangible/furniture/elegant/shared_cabinet_s01.iff', '0', '0', '0', '1', '-1.90263', '0.512662', '-11.4911', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611849', '1144100', 'object/tangible/furniture/elegant/shared_cabinet_s01.iff', '0', '0', '0', '1', '2.09737', '0.512662', '-11.488', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611850', '1144100', 'object/tangible/furniture/elegant/shared_bookcase_s01.iff', '0', '0', '0', '1', '4.09737', '0.512662', '-11.4864', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611851', '1144100', 'object/tangible/furniture/elegant/shared_bookcase_s01.iff', '0', '0', '0', '1', '-3.90262', '0.512662', '-11.4927', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611852', '1144100', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '6.0069', '0.512662', '-11.4849', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611853', '1144100', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '-5.90124', '0.512662', '-11.5081', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611854', '1144100', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '1', '0', '-3.20013e-08', '-1.58602', '0.993319', '7.98694', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611855', '1144100', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '1', '0', '-3.20013e-08', '1.41398', '0.993319', '7.98694', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611856', '1144100', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '0.7071', '0', '0.707114', '-3.08602', '0.995412', '6.49311', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611857', '1144100', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '-0.7071', '0', '0.707114', '2.91398', '0.993319', '6.49311', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611859', '1144100', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '-0.0860191', '0.993319', '7.98694', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611860', '1144100', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '-3.08602', '0.993319', '7.98694', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611861', '1144100', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '2.91398', '0.993319', '7.98694', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611863', '1144100', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff', '0', '0', '0', '1', '-1.08602', '0.994098', '6.49311', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611864', '1144100', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff', '0', '0', '0', '1', '0.913982', '0.993319', '6.49311', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611865', '1144100', 'object/tangible/furniture/elegant/shared_cabinet_s01.iff', '0', '0.7071', '0', '0.707113', '-3.98804', '0.997814', '5.54964', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611866', '1144100', 'object/tangible/furniture/elegant/shared_cabinet_s01.iff', '0', '0.707107', '0', '-0.707107', '3.85385', '0.993319', '5.54771', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611867', '1144100', 'object/static/item/shared_item_painting_agrilat_swamp_style_01.iff', '0', '-0.7071', '0', '0.707113', '-0.0905104', '0.993319', '7.98694', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611868', '1144100', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.713866', '0', '-0.700282', '-11.4817', '0.993319', '10.7593', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611869', '1144100', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s04.iff', '0', '0.713866', '0', '-0.700282', '-11.4801', '0.993319', '10.7011', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611870', '1144100', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.999954', '0', '0.00960494', '-9.40301', '0.993319', '10.7703', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611871', '1144100', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s04.iff', '0', '0.999954', '0', '0.00960494', '-9.40144', '0.993319', '10.7121', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611872', '1144100', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s02.iff', '0', '-0.242556', '0', '0.970137', '-3.93443', '0.993319', '7.91715', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611873', '1144100', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s02.iff', '0', '0.271547', '0', '0.962425', '3.73764', '0.993319', '7.89842', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611874', '1144100', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s03.iff', '0', '0', '0', '1', '-12.1971', '0.993319', '10.9732', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611875', '1144100', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s03.iff', '0', '0', '0', '1', '-8.54409', '0.993319', '11.0019', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611876', '1144100', 'object/static/item/shared_item_painting_naboo_style_01.iff', '0', '-0.7071', '0', '0.707113', '-10.5112', '0.993319', '11.0019', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611877', '1144100', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff', '0', '0.7071', '0', '0.707113', '12.1453', '0.991413', '-0.593183', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611878', '1144100', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '12.1453', '0.991835', '1.41464', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611879', '1144100', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '12.1453', '0.991149', '-2.58536', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611884', '1144100', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s4.iff', '0', '-0.305059', '0', '0.952334', '11.9251', '0.992291', '2.51074', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611885', '1144100', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s4.iff', '0', '0.830497', '0', '0.557023', '12.0494', '0.991016', '-3.72963', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611894', '1144100', 'object/static/item/shared_item_tank_bubble.iff', '0', '0.895699', '0', '-0.444662', '12.2158', '0.991292', '0.0450529', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611895', '1144100', 'object/static/item/shared_item_shisha.iff', '0', '-0.605186', '0', '0.796084', '12.109', '0.991165', '-2.64234', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611896', '1144100', 'object/static/item/shared_item_shisha.iff', '0', '1', '0', '0.000796492', '12.0761', '0.991855', '1.44202', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611898', '1144100', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0', '0', '1', '12.3191', '0.991073', '-0.726034', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611899', '1144100', 'object/static/item/shared_item_jar_spice_red.iff', '0', '0', '0', '1', '12.2449', '0.991106', '-1.0777', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611900', '1144100', 'object/static/item/shared_item_jar_spice_red.iff', '0', '0', '0', '1', '12.1081', '0.991166', '-1.25931', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611901', '1144100', 'object/static/item/shared_item_jar_spice_red.iff', '0', '0', '0', '1', '12.0505', '0.991191', '-1.01512', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611902', '1144100', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0', '0', '1', '12.1044', '0.99123', '-0.667037', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611903', '1144100', 'object/static/item/shared_item_jar_bugs.iff', '0', '0', '0', '1', '12.0697', '0.991367', '-0.369909', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611910', '1144100', 'object/static/structure/general/shared_prp_junk_s8.iff', '-0.0763454', '-0.0236164', '0.294575', '0.952281', '10.7448', '1.00012', '9.87629', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611916', '1144100', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '10.6902', '1.00012', '9.44983', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611919', '1144100', 'object/static/structure/general/shared_prp_engine_component.iff', '0', '-0.632673', '0', '0.774419', '10.9133', '1.00012', '9.6533', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611922', '1144100', 'object/static/structure/general/shared_skeleton_human_head.iff', '-0.00613198', '0.990997', '0.124524', '0.0488001', '10.72', '1.00012', '9.30074', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1144101', '1144098', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1144102', '1144098', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1144103', '1144098', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1144104', '1144098', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1144105', '1144098', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1610864', '1144105', 'object/static/item/shared_item_nemodian_bird_cage.iff', '0', '0', '0', '1', '-4.42817', '4.42321', '-12.8312', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1144106', '1144098', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1144107', '1144098', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1144108', '1144098', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1721389', '1144098', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1721390', '1144098', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1721391', '1144098', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1721392', '1144098', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1721393', '1144098', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1721394', '1144098', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1721395', '1144098', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1721396', '1144098', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1721397', '1144098', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1721398', '1144098', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1721399', '1144098', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1144120', '0', 'object/building/tatooine/shared_housing_tatt_style01_med.iff', '0', '0.90509', '0', '0.42522', '1569.76', '11', '3270.66', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1144121', '1144120', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612054', '1144121', 'object/tangible/furniture/technical/shared_coffee_table_s01.iff', '0', '0', '0', '1', '4.56911', '1.00421', '10.3574', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612055', '1144121', 'object/tangible/furniture/technical/shared_cabinet_s01.iff', '0', '0.707107', '0', '0.707107', '4.17541', '1.00421', '8.86167', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612057', '1144121', 'object/static/item/shared_item_tool_demagnetizer.iff', '0', '0', '0', '1', '4.12912', '1.00421', '8.92129', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612058', '1144121', 'object/static/item/shared_item_tank_bubble.iff', '0', '0.95209', '0', '0.305817', '4.46761', '1.00421', '10.5798', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612060', '1144121', 'object/static/item/shared_item_jar_bugs.iff', '0', '0', '0', '1', '4.28814', '1.00421', '10.138', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612094', '1144121', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0.501105', '-0.498892', '-0.498893', '-0.501104', '4.12912', '1.00421', '5.65463', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612095', '1144121', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0.506069', '-0.493856', '-0.493857', '-0.506069', '4.12912', '1.00421', '8.3932', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1144122', '1144120', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612062', '1144122', 'object/tangible/furniture/modern/shared_rug_oval_m_s02.iff', '0', '0.710634', '0', '0.703562', '-0.890508', '0.408271', '-6.90754', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612063', '1144122', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff', '0', '0.710634', '0', '0.703562', '-4.97712', '0.408271', '-7.0011', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612064', '1144122', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff', '0', '-0.70356', '0', '0.710636', '3.2676', '0.408271', '-6.95264', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612065', '1144122', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff', '0', '0.0050009', '0', '0.999987', '-0.83048', '0.408271', '-10.365', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612066', '1144122', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '0.9998', '0', '-0.0199985', '-0.78272', '0.408271', '-6.96047', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612067', '1144122', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff', '0', '0.00499969', '0', '0.999987', '9.01677', '0.408271', '-10.8339', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612068', '1144122', 'object/tangible/furniture/modern/shared_cabinet_modern_style_01.iff', '0', '0.00499969', '0', '0.999987', '6.9882', '0.408271', '-10.8339', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612069', '1144122', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff', '0', '0.00499969', '0', '0.999987', '4.84578', '0.408271', '-10.8339', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612070', '1144122', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '-0.703562', '0', '0.710634', '10.5169', '0.408271', '-2.73249', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612071', '1144122', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0.5', '-0.5', '0.5', '0.5', '11.0937', '0.819367', '-5.52661', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612072', '1144122', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0.5', '-0.5', '0.5', '0.5', '11.0313', '0.787744', '0.257044', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612075', '1144122', 'object/tangible/furniture/tatooine/shared_frn_tato_vase_style_02.iff', '0', '0.00499969', '0', '0.999987', '10.5156', '1.19884', '-2.76618', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612078', '1144122', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff', '0', '0.900966', '0', '0.433891', '-10.3913', '0.408271', '1.55619', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612081', '1144122', 'object/tangible/furniture/modern/shared_end_table_large_modern_style_01.iff', '0', '1', '0', '-5.30747e-08', '-10.8185', '0.408271', '-0.8838', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612082', '1144122', 'object/tangible/furniture/modern/shared_end_table_large_modern_style_01.iff', '0', '-0.7071', '0', '0.707113', '-7.98518', '0.408271', '2.38857', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1144123', '1144120', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612084', '1144123', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '0.980582', '0', '-0.19611', '-6.8573', '1.00421', '8.69726', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612085', '1144123', 'object/tangible/crafting/station/shared_food_station.iff', '0', '0.999994', '0', '0.00340822', '-5.44301', '1.00421', '10.4334', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612086', '1612085', 'object/tangible/hopper/shared_crafting_station_ingredient_hopper_1.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612087', '1144123', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0.707098', '-0.0035357', '-0.00353567', '-0.707098', '-0.889791', '1.41531', '10.844', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612088', '1144123', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '0.993486', '0', '0.113957', '-9.37793', '1.00421', '8.92251', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612089', '1144123', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '0.146067', '0', '0.989275', '-9.20475', '1.00421', '4.5039', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612090', '1144123', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '-0.162681', '0', '0.986679', '-6.40185', '1.00421', '4.8406', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612092', '1144123', 'object/tangible/furniture/modern/shared_dining_table_modern_style_01.iff', '0', '0.001593', '0', '0.999999', '-8.63413', '1.00421', '6.71801', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612096', '1144123', 'object/static/item/shared_item_kitchen_pot_style_03.iff', '0', '0.809432', '0', '0.587213', '2.93911', '1.92751', '7.063', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612097', '1144123', 'object/static/item/shared_item_kitchen_pot_style_01.iff', '0', '0.381661', '0', '0.924302', '2.93911', '1.92751', '6.81661', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612098', '1144123', 'object/static/item/shared_item_jar_funk.iff', '0', '-0.00340737', '0', '0.999994', '2.93911', '1.89589', '5.50878', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612099', '1144123', 'object/static/item/shared_item_kitchen_pot_style_03.iff', '0', '0.976416', '0', '0.215898', '2.93911', '1.92751', '7.2009', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612100', '1144123', 'object/static/item/shared_item_kitchen_pot_style_02.iff', '0', '-0.00340737', '0', '0.999994', '2.93911', '1.92751', '7.75013', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612101', '1144123', 'object/static/item/shared_item_jar_berries.iff', '0', '-0.00340737', '0', '0.999994', '2.95058', '1.89589', '8.91951', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612102', '1144123', 'object/static/item/shared_item_jar_berries.iff', '0', '-0.401732', '0', '0.915757', '2.95058', '1.89589', '8.65292', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612103', '1144123', 'object/static/item/shared_item_jar_spice_red.iff', '0', '-0.00340737', '0', '0.999994', '2.93911', '1.89589', '9.71087', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612104', '1144123', 'object/static/item/shared_item_jar_spice_red.iff', '0', '0.339695', '0', '0.940536', '2.93911', '1.89589', '9.3296', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612105', '1144123', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '-0.00340737', '0', '0.999994', '2.93911', '1.89589', '4.74349', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612106', '1144123', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0.476432', '0', '0.879211', '2.93911', '1.89589', '4.3393', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612107', '1144123', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '-0.152806', '0', '0.988256', '2.93911', '1.89589', '5.13627', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612108', '1144123', 'object/static/item/shared_item_kitchen_pot_style_01.iff', '0', '-0.00340737', '0', '0.999994', '2.93911', '1.92751', '8.36182', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612109', '1144123', 'object/static/item/shared_item_kitchen_pot_style_02.iff', '0', '0.454306', '0', '0.890846', '2.93911', '1.92751', '7.93857', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1144124', '1144120', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1144125', '1144120', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1144126', '1144120', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1144127', '1144120', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1144128', '1144120', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1144129', '1144120', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1144130', '1144120', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1144131', '1144120', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1144132', '1144120', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1144133', '0', 'object/building/tatooine/shared_housing_tatt_style01_med.iff', '0', '0.843307', '0', '-0.537432', '1566.5', '11', '3180.19', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1144134', '1144133', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611931', '1144134', 'object/static/item/shared_item_painting_bothan_style_01.iff', '0', '1', '0', '5.30747e-08', '4.12912', '1.00421', '8.63897', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611933', '1144134', 'object/tangible/furniture/technical/shared_coffee_table_s01.iff', '0', '0', '0', '1', '4.51545', '1.00421', '4.0304', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611934', '1144134', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '4.63981', '1.00421', '3.70888', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611935', '1144134', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '4.23372', '1.00421', '3.91743', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611936', '1144134', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '4.26142', '1.00421', '4.25649', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611937', '1144134', 'object/static/item/shared_item_jar_bugs.iff', '0', '0', '0', '1', '4.57501', '1.00421', '4.14249', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1144135', '1144133', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611938', '1144135', 'object/tangible/furniture/modern/shared_couch_modern_style_02.iff', '0', '-0.697151', '0', '0.716925', '6.65245', '0.408269', '-6.03552', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611939', '1144135', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff', '0', '0.999995', '0', '-0.00318541', '-7.75876', '0.408271', '2.64761', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611940', '1144135', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_05.iff', '0', '0.709356', '0', '0.704851', '2.83588', '0.408271', '-6.01356', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611941', '1144135', 'object/tangible/furniture/modern/shared_love_seat_modern_style_01.iff', '0', '-0.031809', '0', '0.999494', '-6.9277', '0.408271', '-4.5499', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611942', '1144135', 'object/tangible/furniture/modern/shared_love_seat_modern_style_01.iff', '0', '-0.536946', '0', '0.843617', '-5.27289', '0.408271', '-6.83854', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611943', '1144135', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '-0.409052', '0', '0.912511', '6.36863', '0.40827', '-9.10845', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611944', '1144135', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.411029', '0', '0.911622', '-0.535912', '0.40827', '-8.8957', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611945', '1144135', 'object/tangible/furniture/modern/shared_couch_modern_style_02.iff', '0', '0.00358486', '0', '0.999994', '2.88931', '0.40827', '-9.25538', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611946', '1144135', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '0.999995', '0', '-0.00318541', '7.29884', '0.408271', '-10.4608', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611947', '1144135', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '0.00318623', '0', '0.999995', '-1.23031', '0.408271', '-10.436', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611948', '1144135', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.924673', '0', '0.380761', '-0.569115', '0.408271', '-2.88114', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611949', '1144135', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.914724', '0', '-0.40408', '6.28308', '0.408268', '-3.06539', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611950', '1144135', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff', '0', '0.999995', '0', '-0.00318541', '4.54647', '0.408271', '2.64761', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611951', '1144135', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '-0.372604', '0', '0.927991', '-7.3682', '0.408271', '-5.36679', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611952', '1144135', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '-0.0966635', '0', '0.995317', '-6.49084', '0.408271', '-7.21041', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611953', '1144135', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_02.iff', '0', '0.756658', '0', '0.653811', '-7.59635', '0.408271', '-6.61963', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611954', '1144135', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0', '0.00318623', '0', '0.999995', '2.90616', '0.408271', '2.40815', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611955', '1144135', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0', '0.00318623', '0', '0.999995', '-6.02834', '0.408271', '2.49609', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611956', '1144135', 'object/tangible/furniture/modern/shared_armoire_modern_style_01.iff', '0', '0.709355', '0', '0.704851', '-11.0981', '0.408271', '-0.104304', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611957', '1144135', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '-0.704846', '0', '0.70936', '10.4867', '0.408271', '-1.92062', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611958', '1144135', 'object/tangible/furniture/modern/shared_couch_modern_style_02.iff', '0', '0.710478', '0', '0.703719', '-0.947824', '0.408271', '-5.94804', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611959', '1144135', 'object/static/structure/general/shared_data_terminal_free_s2.iff', '0', '-0.705978', '0', '0.708234', '10.8769', '0.408271', '-5.44218', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611960', '1144135', 'object/static/item/shared_item_painting_corellia_style_02.iff', '0', '0.00318623', '0', '0.999995', '10.8769', '0.408271', '-5.50243', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611961', '1144135', 'object/static/item/shared_item_painting_endor_style_01.iff', '0', '0.00318623', '0', '0.999995', '10.8769', '0.408271', '-2.05326', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611962', '1144135', 'object/static/item/shared_item_painting_naboo_style_01.iff', '0', '0.00318623', '0', '0.999995', '10.8769', '0.408271', '0.370062', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1144136', '1144133', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611979', '1144136', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.753379', '0', '0.657586', '-8.06439', '1.00421', '7.25562', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611980', '1144136', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '0.00159306', '0', '0.999999', '-6.58793', '1.00421', '10.5338', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611981', '1144136', 'object/static/item/shared_item_jar_spice_white.iff', '0', '-0.001813', '0', '0.999998', '-9.86558', '1.00421', '6.51928', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611982', '1144136', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '-0.001813', '0', '0.999998', '-9.86558', '1.00421', '4.05069', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611983', '1144136', 'object/static/item/shared_item_jar_spice_red.iff', '0', '-0.001813', '0', '0.999998', '-9.86558', '1.00421', '9.56095', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611984', '1144136', 'object/static/item/shared_item_jar_spice_red.iff', '0', '-0.001813', '0', '0.999998', '-9.88034', '1.00421', '10.1486', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611985', '1144136', 'object/static/item/shared_item_jar_spice_white.iff', '0', '-0.001813', '0', '0.999998', '-9.86558', '1.00421', '6.73017', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611986', '1144136', 'object/static/item/shared_item_jar_spice_white.iff', '0', '-0.001813', '0', '0.999998', '-9.86558', '1.00421', '7.02902', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611987', '1144136', 'object/static/item/shared_item_jar_spice_red.iff', '0', '-0.001813', '0', '0.999998', '-9.86558', '1.00421', '9.94068', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611988', '1144136', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '-0.001813', '0', '0.999998', '-9.86558', '1.00421', '4.53367', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611989', '1144136', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '-0.001813', '0', '0.999998', '-9.86558', '1.00421', '4.26236', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611990', '1144136', 'object/static/item/shared_item_jar_spice_red.iff', '0', '-0.001813', '0', '0.999998', '-9.86558', '1.00421', '10.0185', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611991', '1144136', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '-0.001813', '0', '0.999998', '-9.86558', '1.00421', '4.27915', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611992', '1144136', 'object/static/item/shared_item_basket_closed.iff', '0', '0.00159306', '0', '0.999999', '-7.45952', '1.00421', '10.4881', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611993', '1144136', 'object/static/item/shared_item_bowl_plain.iff', '0', '0.00159306', '0', '0.999999', '-6.67243', '1.00421', '10.5644', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611994', '1144136', 'object/static/item/shared_item_bread_loaf.iff', '0', '0.00159306', '0', '0.999999', '-6.70902', '1.00421', '10.5968', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611995', '1144136', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.907298', '0', '-0.420488', '-1.89621', '1.00421', '9.05122', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611996', '1144136', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.927693', '0', '0.373344', '-5.62356', '1.00421', '9.033', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611997', '1144136', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.229743', '0', '0.973251', '-1.9862', '1.00421', '5.47449', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611998', '1144136', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.369235', '0', '0.929336', '-5.71345', '1.00421', '5.49804', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611999', '1144136', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.36796', '0', '0.929842', '0.600085', '1.00421', '7.28013', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612000', '1144136', 'object/tangible/furniture/modern/shared_dining_table_modern_style_01.iff', '0', '-0.001813', '0', '0.999998', '-3.73978', '1.00421', '7.40587', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612001', '1144136', 'object/tangible/furniture/modern/shared_rug_rect_lg_s01.iff', '0', '-0.705965', '0', '0.708246', '-3.7098', '1.00421', '7.33123', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612002', '1144136', 'object/tangible/furniture/modern/shared_armoire_modern_style_01.iff', '0', '0.999999', '0', '-0.0015935', '-3.74559', '1.00421', '10.844', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612003', '1144136', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '0.00159306', '0', '0.999999', '-0.432702', '1.00421', '10.5102', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612004', '1144136', 'object/static/item/shared_item_bottle_pear.iff', '0', '-0.001813', '0', '0.999998', '2.20687', '1.00421', '4.14373', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612005', '1144136', 'object/static/item/shared_item_bottle_fat.iff', '0', '-0.001813', '0', '0.999998', '2.20687', '1.00421', '4.86371', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612006', '1144136', 'object/static/item/shared_item_glass_empty.iff', '0', '-0.001813', '0', '0.999998', '2.20687', '1.00421', '8.24685', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612007', '1144136', 'object/static/item/shared_item_glass_empty.iff', '0', '-0.001813', '0', '0.999998', '2.20687', '1.00421', '8.0552', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612008', '1144136', 'object/static/item/shared_item_glass_empty.iff', '0', '-0.001813', '0', '0.999998', '2.20687', '1.00421', '8.06151', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612009', '1144136', 'object/static/item/shared_item_glass_empty.iff', '0', '-0.001813', '0', '0.999998', '2.20687', '1.00421', '6.5204', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612010', '1144136', 'object/static/item/shared_item_glass_empty.iff', '0', '-0.001813', '0', '0.999998', '2.20687', '1.00421', '6.53164', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612011', '1144136', 'object/static/item/shared_item_glass_empty.iff', '0', '-0.001813', '0', '0.999998', '2.20687', '1.00421', '6.41932', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612012', '1144136', 'object/static/item/shared_item_bottle_tall.iff', '0', '-0.001813', '0', '0.999998', '2.20687', '1.00421', '9.81551', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612013', '1144136', 'object/static/item/shared_item_bottle_fat.iff', '0', '-0.001813', '0', '0.999998', '2.20687', '1.00421', '4.53657', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612014', '1144136', 'object/static/item/shared_item_bottle_tall.iff', '0', '-0.001813', '0', '0.999998', '2.20687', '1.00421', '9.35256', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612015', '1144136', 'object/static/item/shared_item_bottle_tall.iff', '0', '-0.001813', '0', '0.999998', '2.20687', '1.00421', '9.56185', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612016', '1144136', 'object/static/item/shared_item_bottle_fat.iff', '0', '-0.444145', '0', '0.895955', '2.20687', '1.00421', '6.99859', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612017', '1144136', 'object/static/item/shared_item_bowl_carved.iff', '0', '0.00159306', '0', '0.999999', '-5.58867', '1.00421', '10.3935', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612018', '1144136', 'object/static/item/shared_item_fruit_melon.iff', '0', '0.00159306', '0', '0.999999', '-5.65459', '1.00421', '10.4935', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612019', '1144136', 'object/static/item/shared_item_fruit_melon.iff', '-0.0202467', '-0.0347722', '-0.312414', '0.949093', '-5.64722', '1.00421', '10.3233', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612020', '1144136', 'object/static/item/shared_item_fruit_melon.iff', '-0.234831', '0.00152152', '0.179406', '0.955335', '-5.4596', '1.00421', '10.5349', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612021', '1144136', 'object/static/item/shared_item_bowl_carved.iff', '0', '0.00159306', '0', '0.999999', '-1.12379', '1.00421', '10.5708', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612022', '1144136', 'object/static/item/shared_item_bottle_pear.iff', '0', '0.00159306', '0', '0.999999', '-0.440512', '1.00421', '10.7341', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612023', '1144136', 'object/static/item/shared_item_bottle_pear.iff', '0', '0.00159306', '0', '0.999999', '-0.176095', '1.00421', '10.3038', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612024', '1144136', 'object/static/item/shared_item_bottle_tall.iff', '0', '0.00159306', '0', '0.999999', '-0.625355', '1.00421', '10.3402', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612025', '1144136', 'object/static/item/shared_item_bowl_plain.iff', '0', '-0.167612', '0', '0.985853', '-1.72575', '1.00421', '10.5425', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612026', '1144136', 'object/static/item/shared_item_meat_hunk.iff', '0.957721', '0.105294', '0.255126', '-0.0812055', '0.708607', '1.00421', '10.4543', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612027', '1144136', 'object/static/item/shared_item_bowl_shallow.iff', '0', '0.311331', '0', '0.950302', '0.652999', '1.00421', '10.4264', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612028', '1144136', 'object/static/item/shared_item_bread_loaf.iff', '0', '-0.167612', '0', '0.985853', '-1.63253', '1.00421', '10.6295', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612029', '1144136', 'object/static/item/shared_item_bread_loaf.iff', '-0.230134', '-0.157736', '0.247822', '0.927762', '-1.78015', '1.00421', '10.6184', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612030', '1144136', 'object/static/item/shared_item_bread_loaf.iff', '0', '-0.167612', '0', '0.985853', '-1.75157', '1.00421', '10.4546', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612031', '1144136', 'object/static/item/shared_item_fruit_melon.iff', '0', '0.00159306', '0', '0.999999', '-1.17128', '1.00421', '10.6686', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612032', '1144136', 'object/static/item/shared_item_fruit_melon.iff', '0', '0.00159306', '0', '0.999999', '-1.04185', '1.00421', '10.5857', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612033', '1144136', 'object/static/item/shared_item_fruit_melon.iff', '0', '0.00159306', '0', '0.999999', '-1.16895', '1.00421', '10.5647', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612051', '1144136', 'object/static/item/shared_item_con_tato_bowl_full_s01.iff', '0', '0', '0', '1', '-9.86558', '1.00421', '8.23625', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612052', '1144136', 'object/static/item/shared_item_con_tato_bowl_full_s02.iff', '0', '0', '0', '1', '-9.86558', '1.00421', '5.37618', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612053', '1144136', 'object/static/item/shared_item_con_bag_ingredients_lg_s1.iff', '0', '-0.34759', '0', '0.937646', '2.20687', '1.00421', '5.87686', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1144137', '1144133', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1144138', '1144133', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1144139', '1144133', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1144140', '1144133', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1144141', '1144133', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1144142', '1144133', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1144143', '1144133', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1144144', '1144133', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1144145', '1144133', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1144146', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_2.iff', '0', '0.999983', '0', '-0.00579632', '1576.64', '11', '3250.16', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1144147', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_2.iff', '0', '0.999983', '0', '-0.00579632', '1576.98', '11', '3199.93', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1144148', '0', 'object/static/structure/tatooine/shared_wall_gate_tatooine_style_03.iff', '0', '0.999983', '0', '-0.00579632', '1557.62', '11', '3225.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1144150', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.999991', '0', '0.00420371', '1565.18', '11', '3229.64', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1144151', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.999991', '0', '0.00420371', '1565.16', '11', '3224.73', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1144152', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.999991', '0', '0.00420371', '1565.4', '11', '3227.64', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1144155', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.710073', '0', '-0.704128', '1562.48', '11', '3216.19', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1144156', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.999991', '0', '0.00420371', '1565.39', '11', '3222.76', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1144157', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.720831', '0', '-0.693111', '1562.63', '11', '3234.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1144180', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.999991', '0', '0.00420364', '1557.39', '11', '3229.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1144183', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.999991', '0', '0.00420364', '1557.33', '11', '3220.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1144188', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.980893', '0', '-0.194548', '1557', '11', '3205.19', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1144196', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.00659271', '0', '0.999978', '1547.17', '11', '3194.81', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1151874', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.999942', '0', '0.0107998', '1546.29', '11', '3161.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1151899', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '1613.25', '11', '3236', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1151901', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '-0.707106', '0', '0.707107', '1615.25', '11', '3235.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1151908', '0', 'object/static/structure/tatooine/shared_shed_junkshop_watto.iff', '0', '0.900793', '0', '0.434248', '1585.73', '11', '3263.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1151909', '0', 'object/static/structure/tatooine/shared_shed_junkshop_watto.iff', '0', '0.980225', '0', '0.197889', '1584.82', '11', '3180.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1152100', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.920754', '0', '-0.390144', '1611.99', '10.9635', '3195.26', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153330', '0', 'object/static/structure/tatooine/shared_wall_gate_tatooine_style_03.iff', '0', '0.0898786', '0', '0.995953', '-1017.37', '12', '-3738.77', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153334', '0', 'object/building/tatooine/shared_filler_building_block_64x16_style_02.iff', '0', '0.356949', '0', '0.934124', '-1036.74', '12', '-3698.43', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153346', '0', 'object/building/tatooine/shared_filler_building_block_64x32_style_01.iff', '0', '0.92269', '0', '-0.385543', '-991.555', '12', '-3694.92', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153350', '0', 'object/static/structure/tatooine/shared_wall_damaged_tatooine_large_style_01.iff', '0', '0.356949', '0', '0.934124', '-996.903', '12', '-3748.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153351', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.338196', '0', '0.941076', '-982.502', '12', '-3732.27', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153352', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.786425', '0', '-0.617686', '-1005.54', '12', '-3756.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153353', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.804599', '0', '0.593818', '-1013.11', '12', '-3754.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153354', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.971148', '0', '-0.238476', '-1028.54', '12', '-3748.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153355', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '-0.568762', '0', '0.822502', '-1024.63', '12', '-3749.63', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153356', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '-0.452886', '0', '0.891568', '-1091.6', '12', '-3716.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153357', '0', 'object/static/structure/tatooine/shared_wall_damaged_tatooine_large_style_01.iff', '0', '-0.452886', '0', '0.891568', '-1097.93', '12', '-3712.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153359', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '-1100.7', '12', '-3709.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153390', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_fruit_stand_large_style_01.iff', '0', '0.91071', '0', '-0.413047', '-1006.82', '12', '-3727.32', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153399', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '-0.643', '0', '0.765866', '-1005.51', '12', '-3732.04', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153401', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '0', '0.372399', '0', '0.928073', '-1006.92', '12', '-3732.25', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153402', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.400069', '0', '0.916485', '-1007.85', '12', '-3732.97', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153404', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0.372399', '0', '0.928073', '-1006.96', '12', '-3732.25', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153485', '0', 'object/building/tatooine/shared_guild_commerce_tatooine_style_01.iff', '0', '1', '0', '0.000797109', '1561.08', '7', '3064.85', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153486', '1153485', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153487', '1153485', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153488', '1153485', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153489', '1153485', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153490', '1153485', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153491', '1153485', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153492', '1153485', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153493', '1153485', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153494', '1153485', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153495', '0', 'object/building/tatooine/shared_lucky_despot.iff', '0', '0.636536', '0', '0.771247', '1703.77', '7', '3021.77', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153496', '1153495', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604856', '1153496', 'object/tangible/furniture/tatooine/shared_frn_tatt_cantina_droid_detector.iff', '0', '0', '0', '1', '-6.16953', '9.00919', '16.2969', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604857', '1153496', 'object/tangible/furniture/tatooine/shared_frn_tatt_cantina_droid_detector.iff', '0', '1', '0', '0.000797835', '-6.18124', '9.01', '20.7646', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604858', '1153496', 'object/tangible/furniture/tatooine/shared_frn_tatt_cantina_droid_detector.iff', '0', '0', '0', '1', '-4.97419', '9.00916', '16.3082', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604859', '1153496', 'object/tangible/furniture/tatooine/shared_frn_tatt_cantina_droid_detector.iff', '0', '1', '0', '0.000799827', '-4.98586', '9.01', '20.7757', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604860', '1153496', 'object/tangible/furniture/all/shared_frn_all_professor_desk.iff', '0', '0.707099', '0', '0.707115', '-3.5546', '9.01', '20.0052', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604861', '1153496', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.953607', '0', '-0.301053', '-1.81258', '9.01', '20.4467', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604862', '1153496', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '-1.46667', '9.01', '12.4961', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604863', '1153496', 'object/tangible/furniture/elegant/shared_love_seat_s01.iff', '0', '0.707107', '0', '-0.707107', '-1.52426', '9.01', '13.7684', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604864', '1153496', 'object/tangible/furniture/elegant/shared_love_seat_s01.iff', '0', '0', '0', '1', '-2.67988', '9.01', '12.535', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604865', '1153496', 'object/tangible/furniture/elegant/shared_love_seat_s01.iff', '0', '-0.00500146', '0', '0.999987', '-5.10252', '9.01', '12.5051', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604866', '1153496', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '-0.00500146', '0', '0.999987', '-3.88877', '9.01', '12.4783', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604867', '1153496', 'object/static/structure/general/shared_data_terminal_wall_s2.iff', '0', '0', '0', '1', '-14.334', '9.01', '12.0206', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604868', '1153496', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s1.iff', '0', '0.00499998', '0', '0.999987', '-15.6803', '9.35785', '13.5076', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604869', '1153496', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '-15.6776', '9.01', '13.5084', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604870', '1153496', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '-16.6168', '9.01', '12.5347', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604871', '1153496', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '-16.63', '9.01', '14.4246', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604872', '1153496', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s05.iff', '0', '0', '0', '1', '-16.6105', '9.35785', '12.5086', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604873', '1153496', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s05.iff', '0', '0', '0', '1', '-16.6503', '9.35785', '14.4553', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153497', '1153495', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106110', '1153497', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '0', '0', '1', '-4.00264', '7.01', '-6.89424', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106111', '1153497', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '0.636536', '0', '0.771247', '-6.97664', '7.01', '-6.88778', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106112', '1153497', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '0.636536', '0', '0.771247', '-7.22572', '7.01', '7.96521', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106113', '1153497', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '0.636536', '0', '0.771247', '-3.60387', '7.01', '7.99293', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604874', '1153497', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '0.877201', '0', '-0.480124', '-2.08994', '7.01', '8.94145', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604875', '1153497', 'object/tangible/furniture/elegant/shared_love_seat_s01.iff', '0', '0.994163', '0', '-0.107887', '-4.44389', '7.01', '10.3807', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604876', '1153497', 'object/tangible/furniture/elegant/shared_love_seat_s01.iff', '0', '-0.626691', '0', '0.779268', '-1.85924', '7.01', '6.22436', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604877', '1153497', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '-0.626691', '0', '0.779268', '-3.14365', '7.01', '10.0622', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604878', '1153497', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '-0.626691', '0', '0.779268', '-1.59036', '7.01', '7.45777', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604880', '1153497', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '0.845014', '0', '0.534745', '-8.91399', '7.01', '8.79564', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604881', '1153497', 'object/tangible/furniture/elegant/shared_love_seat_s01.iff', '0', '0.576054', '0', '0.817412', '-8.87798', '7.01', '6.03995', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604882', '1153497', 'object/tangible/furniture/elegant/shared_love_seat_s01.iff', '0', '0.985329', '0', '0.170666', '-6.73316', '7.01', '10.4327', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604883', '1153497', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.985329', '0', '0.170666', '-9.30504', '7.01', '7.30789', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604884', '1153497', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.985329', '0', '0.170666', '-7.92133', '7.01', '10.0063', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604886', '1153497', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '0.466207', '0', '0.884676', '-8.96419', '7.01', '-8.03135', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604887', '1153497', 'object/tangible/furniture/elegant/shared_love_seat_s01.iff', '0', '0.0921692', '0', '0.995743', '-6.5652', '7.01', '-9.38763', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604888', '1153497', 'object/tangible/furniture/elegant/shared_love_seat_s01.iff', '0', '0.76927', '0', '0.638923', '-9.28079', '7.01', '-5.32304', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604889', '1153497', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.76927', '0', '0.638923', '-7.87573', '7.01', '-9.11846', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604890', '1153497', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.76927', '0', '0.638923', '-9.51055', '7.01', '-6.5644', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604892', '1153497', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '-0.548027', '0', '0.836461', '-2.15111', '7.01', '-7.66552', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604893', '1153497', 'object/tangible/furniture/elegant/shared_love_seat_s01.iff', '0', '0.82641', '0', '-0.563069', '-2.27137', '7.01', '-4.91682', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604894', '1153497', 'object/tangible/furniture/elegant/shared_love_seat_s01.iff', '0', '-0.18621', '0', '0.98251', '-4.27645', '7.01', '-9.3753', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604895', '1153497', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '-0.18621', '0', '0.98251', '-1.80451', '7.01', '-6.17076', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604896', '1153497', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '-0.18621', '0', '0.98251', '-3.10211', '7.01', '-8.91148', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604898', '1153497', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '-6.98064', '7.01', '2.24283', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604899', '1153497', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.767543', '0', '-0.640997', '-5.06871', '7.01', '2.70874', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604900', '1153497', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.979908', '0', '-0.19945', '-6.99295', '7.01', '4.17174', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604901', '1153497', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.699715', '0', '0.714422', '-8.78772', '7.01', '-2.05037', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604902', '1153497', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.0998346', '0', '0.995004', '-8.28224', '7.01', '-3.95208', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604903', '1153497', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.56051', '0', '0.828148', '-6.85939', '7.01', '-1.99787', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604904', '1153497', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.717355', '0', '0.696708', '-0.474338', '7.01', '-3.28741', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604905', '1153497', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.0749312', '0', '0.997189', '-0.0643129', '7.01', '-5.21211', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604906', '1153497', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.539633', '0', '0.8419', '1.4542', '7.01', '-3.33138', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604907', '1153497', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.888928', '0', '0.458047', '-1.86902', '7.01', '-1.95559', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604908', '1153497', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.990327', '0', '-0.138752', '-0.136882', '7.01', '3.70417', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604909', '1153497', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.333484', '0', '0.942756', '-0.655218', '7.01', '1.84617', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604910', '1153497', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.907206', '0', '-0.420687', '1.49781', '7.01', '4.72751', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604911', '1153497', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.741294', '0', '0.67118', '-2.10323', '7.01', '3.7815', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604912', '1153497', 'object/static/item/shared_item_music_microphone_s1.iff', '0', '0.706825', '0', '0.707388', '-14.5645', '8.01', '-0.00481406', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604913', '1153497', 'object/static/item/shared_item_music_microphone_s1.iff', '0', '0.857298', '0', '0.51482', '-14.9497', '8.01', '-1.36041', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604914', '1153497', 'object/static/item/shared_item_music_microphone_s1.iff', '0', '0.543834', '0', '0.839193', '-15.1627', '8.01', '1.61249', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604915', '1153497', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '0.36627', '0', '0.930509', '-20.4996', '7.01', '-8.5402', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604916', '1153497', 'object/tangible/furniture/elegant/shared_love_seat_s01.iff', '0', '-0.0176999', '0', '0.999843', '-17.8626', '7.01', '-9.34012', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604917', '1153497', 'object/tangible/furniture/elegant/shared_love_seat_s01.iff', '0', '0.69448', '0', '0.719512', '-21.3996', '7.01', '-5.96611', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604918', '1153497', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.69448', '0', '0.719512', '-19.2003', '7.01', '-9.36348', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604919', '1153497', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.69448', '0', '0.719512', '-21.353', '7.01', '-7.22782', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604920', '1153497', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff', '0', '0.36627', '0', '0.930509', '-18.78', '7.01', '-6.63402', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604921', '1153497', 'object/tangible/furniture/elegant/shared_cabinet_s01.iff', '0', '0.707107', '0', '-0.707107', '-15.2787', '7.01', '-8.06103', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604922', '1153497', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '0', '0', '1', '-17.117', '7.01', '10.2414', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604923', '1153497', 'object/static/item/shared_item_bottle_tall.iff', '0', '-0.0898786', '0', '0.995953', '-18.5337', '7.77572', '10.6469', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604924', '1153497', 'object/static/item/shared_item_bottle_tall.iff', '0', '0.564641', '0', '0.825337', '-18.0563', '7.77572', '10.6445', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604925', '1153497', 'object/static/item/shared_item_bottle_tall.iff', '0', '0.564641', '0', '0.825337', '-18.5484', '7.77572', '10.078', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604926', '1153497', 'object/static/item/shared_item_bottle_tall.iff', '0', '0.564641', '0', '0.825337', '-18.2784', '7.77572', '10.3976', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604927', '1153497', 'object/static/item/shared_item_bottle_tall.iff', '0', '0.564641', '0', '0.825337', '-18.131', '7.77572', '10.1133', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604928', '1153497', 'object/static/item/shared_item_bottle_tall.iff', '0', '0.564641', '0', '0.825337', '-17.6992', '7.77572', '10.3471', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604929', '1153497', 'object/static/item/shared_item_bottle_fat.iff', '0', '-0.0898786', '0', '0.995953', '-16.479', '7.80057', '10.5267', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604930', '1153497', 'object/static/item/shared_item_bottle_fat.iff', '0', '0.564641', '0', '0.825337', '-15.7843', '7.80057', '10.398', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604931', '1153497', 'object/static/item/shared_item_bottle_fat.iff', '0', '0.564641', '0', '0.825337', '-16.1884', '7.80057', '10.3296', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604932', '1153497', 'object/static/item/shared_item_bottle_fat.iff', '0', '0.564641', '0', '0.825337', '-16.4381', '7.80057', '9.94637', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604933', '1153497', 'object/static/item/shared_item_bottle_fat.iff', '0', '0.564641', '0', '0.825337', '-16.8265', '7.80057', '10.2008', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604934', '1153497', 'object/static/item/shared_item_bottle_fat.iff', '0', '0.636536', '0', '0.771247', '-15.9697', '7.80057', '10.0535', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604935', '1153497', 'object/static/item/shared_item_bottle_fat.iff', '0', '0.636536', '0', '0.771247', '-24.1592', '7.01', '10.6338', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604936', '1153497', 'object/static/item/shared_item_bottle_fat.iff', '0', '0.636536', '0', '0.771247', '-24.0192', '7.01', '10.9738', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604937', '1153497', 'object/static/item/shared_item_bottle_fat.iff', '0', '0.636536', '0', '0.771247', '-23.7555', '7.01', '11.1419', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604938', '1153497', 'object/static/item/shared_item_bottle_pear.iff', '0', '-0.169182', '0', '0.985585', '-24.571', '7.37586', '9.18853', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604939', '1153497', 'object/static/item/shared_item_bottle_pear.iff', '0', '0.496879', '0', '0.86782', '-25.1204', '7.37586', '8.84139', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604940', '1153497', 'object/static/item/shared_item_bottle_pear.iff', '0', '0.496879', '0', '0.86782', '-24.8583', '7.37586', '8.9798', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604941', '1153497', 'object/static/item/shared_item_bottle_pear.iff', '0', '0.496879', '0', '0.86782', '-24.7975', '7.37586', '8.71947', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604942', '1153497', 'object/static/item/shared_item_bottle_pear.iff', '0', '0.496879', '0', '0.86782', '-24.5632', '7.37586', '8.86727', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604944', '1153497', 'object/tangible/furniture/technical/shared_cabinet_s01.iff', '0', '0.997551', '0', '0.0699428', '-20.0496', '7.01', '12.7055', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604945', '1153497', 'object/tangible/furniture/technical/shared_cabinet_s01.iff', '0', '0.921061', '0', '0.389419', '-23.9277', '7.01', '10.8649', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604946', '1153497', 'object/tangible/furniture/technical/shared_cabinet_s01.iff', '0', '0.685868', '0', '0.727726', '-25.4025', '7.01', '7.09486', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604947', '1153497', 'object/tangible/furniture/technical/shared_coffee_table_s01.iff', '0', '0.227978', '0', '0.973666', '-24.82', '7.01', '8.93903', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604948', '1153497', 'object/tangible/furniture/technical/shared_coffee_table_s01.iff', '0', '0.531185', '0', '0.847256', '-21.9289', '7.01', '11.965', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604949', '1153497', 'object/static/structure/general/shared_data_terminal_wall_s2.iff', '0', '0', '0', '1', '3.37941', '7.01', '-1.34587', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785426', '1153497', 'object/soundobject/shared_soundobject_cantina_medium.iff', '0', '0', '0', '1', '-8.21465', '7.01', '0.298307', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153498', '1153495', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153499', '1153495', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785465', '1153499', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-25.0734', '9.01', '2.1527', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153500', '1153495', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604950', '1153500', 'object/tangible/furniture/tatooine/shared_frn_tatt_cantina_droid_detector.iff', '0', '-0.7', '0', '0.714142', '7.70115', '7.01', '-0.00442466', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604951', '1153500', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '0.703278', '0', '0.710915', '3.70295', '7.01', '4.53009', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604952', '1153500', 'object/static/item/shared_item_bottle_fat.iff', '0', '0.981853', '0', '0.189644', '3.77285', '7.80057', '3.57609', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604953', '1153500', 'object/static/item/shared_item_bottle_fat.iff', '0', '0.981853', '0', '0.189644', '3.84555', '7.80057', '3.17286', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604954', '1153500', 'object/static/item/shared_item_bottle_tall.iff', '0', '0.981853', '0', '0.189644', '3.7741', '7.80057', '5.08714', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604955', '1153500', 'object/static/item/shared_item_bottle_tall.iff', '0', '0.981853', '0', '0.189644', '3.53553', '7.80057', '5.51649', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604956', '1153500', 'object/static/item/shared_item_bottle_tall.iff', '0', '0.981853', '0', '0.189644', '3.81825', '7.80057', '5.66694', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604957', '1153500', 'object/static/item/shared_item_bottle_fat.iff', '0', '0.994924', '0', '0.100629', '3.49912', '7.80057', '3.35443', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604958', '1153500', 'object/static/item/shared_item_bottle_fat.iff', '0', '0.981853', '0', '0.189644', '3.63719', '7.80057', '4.21283', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604959', '1153500', 'object/static/item/shared_item_bottle_fat.iff', '0', '0.981853', '0', '0.189644', '3.38696', '7.80057', '3.82187', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604960', '1153500', 'object/static/item/shared_item_bottle_tall.iff', '0', '0.981853', '0', '0.189644', '3.49567', '7.80057', '5.93342', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604961', '1153500', 'object/static/item/shared_item_bottle_fat.iff', '0', '0.636536', '0', '0.771247', '3.96686', '7.80057', '3.86895', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604962', '1153500', 'object/static/item/shared_item_bottle_tall.iff', '0', '0.636536', '0', '0.771247', '4.0647', '7.80057', '5.92489', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604963', '1153500', 'object/static/item/shared_item_bottle_tall.iff', '0', '0.981853', '0', '0.189644', '4.06742', '7.80057', '5.44748', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604964', '1153500', 'object/tangible/furniture/technical/shared_cabinet_s01.iff', '0', '0.703844', '0', '0.710354', '3.3146', '7.01', '-7.54243', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604965', '1153500', 'object/tangible/furniture/technical/shared_coffee_table_s01.iff', '0', '0.710353', '0', '0.703846', '3.59884', '7.01', '-6.23355', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604966', '1153500', 'object/static/item/shared_item_bottle_pear.iff', '0', '0.881957', '0', '0.471331', '3.64615', '7.38947', '-6.49607', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604967', '1153500', 'object/static/item/shared_item_bottle_pear.iff', '0', '0.380187', '0', '0.92491', '3.9321', '7.38947', '-6.34909', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604968', '1153500', 'object/static/item/shared_item_bottle_pear.iff', '0', '0.881957', '0', '0.471331', '3.41111', '7.38947', '-6.34971', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604969', '1153500', 'object/static/item/shared_item_bottle_pear.iff', '0', '0.881957', '0', '0.471331', '3.61899', '7.38947', '-6.18151', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604970', '1153500', 'object/static/item/shared_item_bottle_pear.iff', '0', '0.881957', '0', '0.471331', '3.38018', '7.38947', '-6.00581', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604971', '1153500', 'object/tangible/furniture/technical/shared_cabinet_s01.iff', '0', '0.707386', '0', '0.706827', '3.33587', '7.01', '-4.89672', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604972', '1153500', 'object/static/item/shared_item_bottle_fat.iff', '0', '0.30029', '0', '0.953848', '3.33046', '7.01', '-5.22392', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604973', '1153500', 'object/static/item/shared_item_bottle_fat.iff', '0', '0.30029', '0', '0.953848', '3.26656', '7.01', '-4.57821', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604974', '1153500', 'object/static/item/shared_item_bottle_fat.iff', '0', '0.30029', '0', '0.953848', '3.19428', '7.01', '-4.88244', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153501', '1153495', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106114', '1153501', 'object/tangible/gambling/slot/shared_standard.iff', '0', '1', '0', '3.20013e-08', '17.9489', '7.01', '10.9397', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106115', '1153501', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.975723', '0', '-0.219007', '21.1875', '7.01001', '12.4532', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106116', '1153501', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.975723', '0', '-0.219007', '23.5561', '7.01001', '11.4455', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106117', '1153501', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.975723', '0', '-0.219007', '25.9117', '7.01001', '10.4042', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106118', '1153501', 'object/tangible/gambling/slot/shared_standard.iff', '0', '-0.707106', '0', '0.707107', '26.9442', '7.01001', '6.1079', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106119', '1153501', 'object/tangible/gambling/slot/shared_standard.iff', '0', '-0.707106', '0', '0.707107', '26.98', '7.01', '-6.09395', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106120', '1153501', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.261913', '0', '0.965091', '15.1875', '7.01', '-4.88635', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106121', '1153501', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.816317', '0', '-0.577604', '16.1817', '7.01', '-2.1485', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106122', '1153501', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.659388', '0', '0.751803', '16.1679', '7.01', '3.63967', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106123', '1153501', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.937371', '0', '-0.348333', '14.8629', '7.01', '5.47328', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106124', '1153501', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '0', '0', '1', '13.8833', '7.01', '3.90794', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106125', '1153501', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '0', '0', '1', '13.9038', '7.01', '-2.92488', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106126', '1153501', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0', '0', '1', '17.9741', '7.01', '-10.8828', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604975', '1153501', 'object/tangible/furniture/modern/shared_dining_table_modern_style_01.iff', '0', '0.710353', '0', '-0.703845', '20.7815', '7.01001', '3.80085', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604976', '1153501', 'object/tangible/furniture/modern/shared_dining_table_modern_style_01.iff', '0', '0.703279', '0', '0.710914', '21.0323', '7.01', '-3.37814', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604978', '1153501', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.830496', '0', '0.557025', '11.5216', '7.01', '13.2926', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604979', '1153501', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.711475', '0', '-0.702711', '13.4502', '7.01', '13.3288', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604980', '1153501', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.762128', '0', '-0.647426', '15.4575', '7.01001', '13.2197', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604981', '1153501', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.576956', '0', '0.816775', '11.7898', '7.01', '3.12257', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604982', '1153501', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.119709', '0', '0.992809', '14.3218', '7.01', '1.79411', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604984', '1153501', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.994409', '0', '0.1056', '12.9255', '7.01', '5.92785', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604985', '1153501', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.576956', '0', '0.816775', '11.727', '7.01', '-3.05092', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604986', '1153501', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.119709', '0', '0.992809', '13.0626', '7.01', '-5.08894', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604988', '1153501', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.977146', '0', '-0.212568', '14.5821', '7.01', '-0.661191', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604993', '1153501', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.717354', '0', '0.696709', '13.3537', '7.01', '-12.0068', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604994', '1153501', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.208463', '0', '0.97803', '15.0135', '7.01', '-13.5643', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604995', '1153501', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0.984865', '0', '-0.173321', '15.6689', '7.01', '-12.189', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604996', '1153501', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.784317', '0', '-0.620361', '16.4369', '7.01', '-10.7981', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604997', '1153501', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.710353', '0', '-0.703845', '22.8062', '7.01001', '3.90109', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604998', '1153501', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.807558', '0', '-0.589788', '22.6393', '7.01001', '6.13325', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604999', '1153501', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.710353', '0', '-0.703845', '22.9358', '7.01', '1.37231', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605000', '1153501', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.585744', '0', '0.810496', '18.2484', '7.01', '1.38797', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605001', '1153501', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.652438', '0', '0.757842', '18.1904', '7.01001', '4.09056', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605002', '1153501', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.808028', '0', '0.589144', '18.4181', '7.01001', '6.34773', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605003', '1153501', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.75457', '0', '0.65622', '18.5945', '7.01', '-2.94053', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605004', '1153501', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.609158', '0', '0.793049', '18.7256', '7.01', '-5.90856', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605005', '1153501', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.75457', '0', '0.65622', '18.8006', '7.01', '-0.762471', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605006', '1153501', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.707389', '0', '-0.706824', '22.9679', '7.01', '-1.38687', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605007', '1153501', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.707389', '0', '-0.706824', '23.1298', '7.01', '-3.81207', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605008', '1153501', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.707389', '0', '-0.706824', '22.99', '7.01', '-6.08519', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785441', '1153501', 'object/soundobject/shared_soundobject_cantina_medium.iff', '0', '0', '0', '1', '19.7666', '7.01', '0.431407', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153502', '1153495', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106139', '1153502', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.999784', '0', '0.0208017', '6.5141', '7.01', '-11.8491', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106140', '1153502', 'object/tangible/gambling/table/shared_table_base.iff', '0', '0.496879', '0', '0.86782', '6.48781', '7.01', '-13.4293', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106141', '1153502', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.602474', '0', '0.798138', '8.13673', '7.01', '-13.7922', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106142', '1153502', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.328763', '0', '0.944412', '5.59457', '7.01', '-14.7391', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153503', '1153495', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106127', '1153503', 'object/tangible/gambling/table/shared_table_base.iff', '0', '0', '0', '1', '6.38562', '7.01', '13.2471', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106128', '1153503', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.919418', '0', '-0.393282', '7.5335', '7.01', '14.4853', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106129', '1153503', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.183951', '0', '0.982935', '7.06311', '7.01001', '11.8136', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106130', '1153503', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.857296', '0', '0.514823', '5.03632', '7.01', '14.0696', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153504', '1153495', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106131', '1153504', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.988891', '0', '-0.148644', '30.9391', '7.01001', '4.5017', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106132', '1153504', 'object/tangible/gambling/table/shared_table_base.iff', '0', '0.636536', '0', '0.771247', '30.3874', '7.01001', '3.02075', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106133', '1153504', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.458758', '0', '0.888561', '31.8208', '7.01001', '2.12866', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106134', '1153504', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.483802', '0', '0.875178', '29.1084', '7.01001', '2.08373', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106135', '1153504', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.988891', '0', '-0.148644', '32.4521', '7.01', '-0.678729', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106136', '1153504', 'object/tangible/gambling/table/shared_table_base.iff', '0', '0.636536', '0', '0.771247', '31.9003', '7.01', '-2.15969', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106137', '1153504', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.458758', '0', '0.888561', '33.3338', '7.01', '-3.05178', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106138', '1153504', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.483802', '0', '0.875178', '30.6214', '7.01', '-3.0967', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153505', '1153495', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153506', '1153495', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153507', '1153495', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153508', '1153495', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153509', '1153495', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153510', '1153495', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153511', '1153495', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153512', '1153495', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153513', '1153495', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153514', '1153495', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153515', '1153495', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153516', '1153495', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153517', '1153495', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153518', '1153495', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153519', '1153495', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153520', '1153495', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153521', '1153495', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153522', '1153495', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785513', '1153522', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '29.3955', '-0.255725', '-0.441311', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153523', '1153495', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153524', '1153495', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153525', '1153495', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153526', '1153495', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153527', '1153495', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153528', '0', 'object/building/tatooine/shared_parking_garage_tatooine_style_1.iff', '0', '0.999359', '0', '0.0357889', '1776.85', '7', '3085.44', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153557', '0', 'object/building/tatooine/shared_guild_combat_tatooine_style_01.iff', '0', '0.999899', '0', '0.0142023', '1377.15', '7', '3030.39', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153558', '1153557', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153559', '1153557', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153560', '1153557', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153561', '1153557', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153562', '1153557', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153563', '1153557', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153564', '1153557', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153565', '1153557', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153566', '1153557', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153580', '0', 'object/building/tatooine/shared_hospital_tatooine.iff', '0', '0.999816', '0', '0.0192024', '1321.35', '7', '3291.25', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153581', '1153580', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153582', '1153580', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622374', '1153582', 'object/static/structure/general/shared_data_terminal_s1.iff', '0', '0.999526', '0', '-0.030791', '17.1256', '0.26', '-6.61466', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622375', '1153582', 'object/static/structure/general/shared_data_terminal_s2.iff', '0', '0.999301', '0', '-0.0373803', '22.1101', '0.26', '-6.29677', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622376', '1153582', 'object/static/structure/general/shared_data_terminal_s1.iff', '0', '-0.684129', '0', '0.729361', '21.3977', '0.26', '-5.60724', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622377', '1153582', 'object/static/structure/general/shared_data_terminal_s2.iff', '0', '0.73223', '0', '0.681058', '17.8141', '0.26', '-5.9024', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622379', '1153582', 'object/tangible/furniture/technical/shared_chair_s01.iff', '0', '0.316078', '0', '0.948733', '24.8388', '0.26', '-5.53553', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622380', '1153582', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s2.iff', '0', '0.0213689', '0', '0.999772', '11.0577', '0.26', '-2.92613', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622381', '1153582', 'object/tangible/furniture/technical/shared_chair_s01.iff', '0', '0.942489', '0', '-0.334238', '13.0536', '0.26', '-6.45135', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622382', '1153582', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s2.iff', '0', '0.0197763', '0', '0.999804', '16.7061', '0.26', '-3.08802', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622383', '1153582', 'object/tangible/furniture/all/shared_frn_all_toolchest_med_s01.iff', '0', '0.718465', '0', '0.695563', '22.9105', '0.26', '-5.01647', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622384', '1153582', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s2.iff', '0', '-0.00203648', '0', '0.999998', '26.4937', '0.26', '-3.32931', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622385', '1153582', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s2.iff', '0', '0.999998', '0', '-0.0021671', '26.8081', '0.26', '-9.46895', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622386', '1153582', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s2.iff', '0', '1', '0', '-0.000574155', '16.4943', '0.26', '-9.24037', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622387', '1153582', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s2.iff', '0', '0.999853', '0', '-0.0171662', '11.1361', '0.26', '-9.07323', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622388', '1153582', 'object/static/item/shared_item_tank_bubble.iff', '0', '-0.680473', '0', '0.732773', '21.2004', '0.26', '-6.29894', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622389', '1153582', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '0.999301', '0', '-0.0373803', '21.3311', '0.26', '-5.01452', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622390', '1153582', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '0.99996', '0', '-0.00898305', '22.1531', '0.26', '-4.58114', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622391', '1153582', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '0.0181852', '0', '0.999835', '22.1397', '0.26', '-5.37832', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622392', '1153582', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '0.969501', '0', '0.245087', '26.1214', '0.26', '-6.96589', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622393', '1153582', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '-0.694992', '0', '0.719017', '16.8955', '0.26', '-5.87486', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622394', '1153582', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '0.999092', '0', '0.0425976', '10.4289', '0.26', '-5.47757', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622395', '1153582', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '-0.263659', '0', '0.964616', '10.287', '0.26', '-5.99209', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622396', '1153582', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '0.967002', '0', '0.25477', '10.5749', '0.26', '-6.50993', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622397', '1153582', 'object/static/item/shared_item_tank_gas.iff', '0', '0.25049', '0', '0.968119', '10.8055', '0.26', '-5.97116', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622398', '1153582', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '0.73223', '0', '0.681058', '16.5338', '0.26', '-6.68448', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622399', '1153582', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '-0.0134065', '0', '0.99991', '11.7332', '0.26', '-6.49282', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622400', '1153582', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '0.971903', '0', '0.235381', '11.9049', '0.26', '-5.98718', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622401', '1153582', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '-0.226426', '0', '0.974028', '11.6477', '0.26', '-5.45353', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622402', '1153582', 'object/static/item/shared_item_tank_gas.iff', '0', '0.960392', '0', '-0.278651', '11.386', '0.26', '-5.97811', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622403', '1153582', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '0.712592', '0', '0.701579', '16.0984', '0.26', '-5.86351', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622404', '1153582', 'object/static/item/shared_item_tank_gas.iff', '0', '0.260158', '0', '0.965566', '26.3628', '0.26', '-6.43199', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622405', '1153582', 'object/static/item/shared_item_tank_bubble.iff', '0', '0.999359', '0', '-0.0357884', '17.8184', '0.26', '-6.81201', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622406', '1153582', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '-0.0617748', '0', '0.99809', '27.3384', '0.26', '-6.89525', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622407', '1153582', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '-0.254', '0', '0.967204', '25.8438', '0.26', '-6.44256', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622408', '1153582', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '0.999468', '0', '0.0326048', '25.9959', '0.26', '-5.93062', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622409', '1153582', 'object/static/item/shared_item_tank_gas.iff', '0', '0.972751', '0', '-0.231853', '26.9432', '0.26', '-6.41658', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622410', '1153582', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '-0.273292', '0', '0.961931', '27.1528', '0.26', '-5.86914', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622411', '1153582', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '0.959375', '0', '0.282133', '27.4605', '0.26', '-6.37587', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622412', '1153582', 'object/static/structure/general/shared_data_terminal_s1.iff', '0', '0.999526', '0', '-0.030791', '16.4659', '0.26', '5.22038', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622413', '1153582', 'object/static/structure/general/shared_data_terminal_s2.iff', '0', '0.999301', '0', '-0.0373803', '21.4497', '0.26', '5.53997', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622414', '1153582', 'object/static/structure/general/shared_data_terminal_s1.iff', '0', '-0.684129', '0', '0.729361', '20.7373', '0.26', '6.2295', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622415', '1153582', 'object/static/structure/general/shared_data_terminal_s2.iff', '0', '0.73223', '0', '0.681058', '17.1537', '0.26', '5.93434', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622417', '1153582', 'object/tangible/furniture/technical/shared_chair_s01.iff', '0', '0.316078', '0', '0.948733', '24.1783', '0.26', '6.30122', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622418', '1153582', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s2.iff', '0', '0.0213689', '0', '0.999772', '10.3971', '0.26', '8.91063', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622419', '1153582', 'object/tangible/furniture/technical/shared_chair_s01.iff', '0', '0.942489', '0', '-0.334238', '12.3931', '0.26', '5.3854', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622420', '1153582', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s2.iff', '0', '0.0197763', '0', '0.999804', '16.0457', '0.26', '8.74873', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622421', '1153582', 'object/tangible/furniture/all/shared_frn_all_toolchest_med_s01.iff', '0', '0.718465', '0', '0.695563', '22.25', '0.26', '6.82003', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622422', '1153582', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s2.iff', '0', '-0.00203648', '0', '0.999998', '25.8332', '0.26', '8.50743', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622423', '1153582', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s2.iff', '0', '0.999998', '0', '-0.0021671', '26.1476', '0.26', '2.3678', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622424', '1153582', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s2.iff', '0', '1', '0', '-0.000574155', '15.8338', '0.26', '2.59637', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622425', '1153582', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s2.iff', '0', '0.999853', '0', '-0.0171662', '10.4756', '0.26', '2.76327', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622426', '1153582', 'object/static/item/shared_item_tank_bubble.iff', '0', '-0.680473', '0', '0.732773', '20.5399', '0.26', '5.53756', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622427', '1153582', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '0.999301', '0', '-0.0373803', '20.6706', '0.26', '6.82222', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622428', '1153582', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '0.99996', '0', '-0.00898305', '21.4926', '0.26', '7.25561', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622429', '1153582', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '0.0181852', '0', '0.999835', '21.4793', '0.26', '6.45842', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622430', '1153582', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '0.969501', '0', '0.245087', '25.4609', '0.26', '4.87085', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622431', '1153582', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '-0.694992', '0', '0.719017', '16.235', '0.26', '5.96188', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622432', '1153582', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '0.999092', '0', '0.0425976', '9.76846', '0.26', '6.35917', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622433', '1153582', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '-0.263659', '0', '0.964616', '9.62651', '0.26', '5.84465', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622434', '1153582', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '0.967002', '0', '0.25477', '9.91446', '0.26', '5.32682', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622435', '1153582', 'object/static/item/shared_item_tank_gas.iff', '0', '0.25049', '0', '0.968119', '10.145', '0.26', '5.86558', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622436', '1153582', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '0.73223', '0', '0.681058', '15.8733', '0.26', '5.15226', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622437', '1153582', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '-0.0134065', '0', '0.99991', '11.0728', '0.26', '5.34393', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622438', '1153582', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '0.971903', '0', '0.235381', '11.2444', '0.26', '5.84956', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622439', '1153582', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '-0.226426', '0', '0.974028', '10.9872', '0.26', '6.38321', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622440', '1153582', 'object/static/item/shared_item_tank_gas.iff', '0', '0.960392', '0', '-0.278651', '10.7255', '0.26', '5.85864', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622441', '1153582', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '0.712592', '0', '0.701579', '15.438', '0.26', '5.97323', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622442', '1153582', 'object/static/item/shared_item_tank_gas.iff', '0', '0.260158', '0', '0.965566', '25.7023', '0.26', '5.40475', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622443', '1153582', 'object/static/item/shared_item_tank_bubble.iff', '0', '0.999359', '0', '-0.0357884', '17.1579', '0.26', '5.02473', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622444', '1153582', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '-0.0617748', '0', '0.99809', '26.678', '0.26', '4.94149', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622445', '1153582', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '-0.254', '0', '0.967204', '25.1834', '0.26', '5.39418', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622446', '1153582', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '0.999468', '0', '0.0326048', '25.3355', '0.26', '5.90612', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622447', '1153582', 'object/static/item/shared_item_tank_gas.iff', '0', '0.972751', '0', '-0.231853', '26.2827', '0.26', '5.42017', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622448', '1153582', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '-0.273292', '0', '0.961931', '26.4924', '0.26', '5.9676', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622449', '1153582', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '0.959375', '0', '0.282133', '26.8', '0.26', '5.46087', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622450', '1153582', 'object/tangible/furniture/all/shared_frn_all_professor_desk.iff', '0', '-0.699716', '0', '0.714421', '18.5348', '0.26', '0.195266', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622451', '1153582', 'object/tangible/furniture/technical/shared_chair_s01.iff', '0', '0.431896', '0', '0.901923', '17.1788', '0.26', '-0.204501', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785539', '1153582', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '18.4369', '0.26', '2.77123', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153583', '1153580', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153584', '1153580', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153585', '1153580', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153586', '1153580', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611887', '1153586', 'object/tangible/furniture/technical/shared_coffee_table_s01.iff', '0', '1', '0', '-0.000796353', '-10.3636', '0.26', '11.0963', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611891', '1153586', 'object/static/structure/general/shared_data_terminal_s4.iff', '0', '0', '0', '1', '-8.41074', '0.26', '0.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611892', '1153586', 'object/static/structure/general/shared_data_terminal_s3.iff', '0', '1', '0', '-0.000796353', '-15.015', '0.26', '10.8449', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611893', '1153586', 'object/static/structure/general/shared_data_terminal_s2.iff', '0', '-0.692539', '0', '0.72138', '-19.7551', '0.26', '-0.325444', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611897', '1153586', 'object/static/structure/general/shared_data_terminal_s1.iff', '0', '0.0149993', '0', '0.999888', '-19.0902', '0.26', '0.41011', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611909', '1153586', 'object/tangible/furniture/all/shared_frn_all_professor_desk.iff', '0', '1', '0', '-0.000796353', '-12.7581', '0.26', '10.9933', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611913', '1153586', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s05.iff', '0', '1', '0', '-0.000796353', '-10.3695', '0.26', '11.1733', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611923', '1153586', 'object/static/item/shared_item_tank_bubble.iff', '0', '0.0199986', '0', '0.9998', '-19.7884', '0.26', '0.591705', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611924', '1153586', 'object/static/item/shared_item_tank_gas.iff', '0', '1', '0', '-0.000796353', '-15.4472', '0.26', '11.4102', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611965', '1153586', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '-0.692539', '0', '0.72138', '-18.5001', '0.26', '0.496963', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611966', '1153586', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '0.999574', '0', '0.0291997', '-13.6959', '0.26', '0.456853', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611968', '1153586', 'object/static/item/shared_item_container_inorganic_gas.iff', '0', '-0.706839', '0', '0.707374', '-18.7881', '0.26', '10.8568', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611969', '1153586', 'object/static/item/shared_item_container_inorganic_chemicals.iff', '0', '0.734548', '0', '-0.678557', '-16.4951', '0.26', '11.3453', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612034', '1153586', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '-0.250703', '0', '0.968064', '-13.8515', '0.26', '-0.0538052', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612035', '1153586', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '0.97033', '0', '0.241783', '-13.5775', '0.26', '-0.579238', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612036', '1153586', 'object/static/item/shared_item_tank_gas.iff', '0', '0.263446', '0', '0.964674', '-13.3326', '0.26', '-0.0466872', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612043', '1153586', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '0.712747', '0', '-0.701421', '-18.039', '0.26', '-0.3099', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612044', '1153586', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '0.707951', '0', '0.706261', '-18.836', '0.26', '-0.323845', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612047', '1153586', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '-0.0583744', '0', '0.998295', '-12.3601', '0.26', '-0.516835', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612048', '1153586', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '0.960331', '0', '0.278863', '-12.2345', '0.26', '0.0019447', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612049', '1153586', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '-0.270013', '0', '0.962857', '-12.5387', '0.26', '0.510705', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612050', '1153586', 'object/static/item/shared_item_tank_gas.iff', '0', '0.971955', '0', '-0.235167', '-12.7521', '0.26', '-0.0353518', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612170', '1153586', 'object/static/item/shared_item_container_inorganic_chemicals.iff', '0', '0.781205', '0', '0.624275', '-16.479', '0.26', '10.4922', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612171', '1153586', 'object/static/item/shared_item_container_inorganic_chemicals.iff', '0', '0.62614', '0', '0.77971', '-17.7196', '0.26', '10.3179', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612172', '1153586', 'object/static/item/shared_item_container_inorganic_chemicals.iff', '0', '0.664327', '0', '0.747442', '-17.6725', '0.26', '11.2576', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612173', '1153586', 'object/static/item/shared_item_container_inorganic_chemicals.iff', '0', '0.714978', '0', '0.699147', '-17.69', '0.26', '11.1684', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612187', '1153586', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s2.iff', '0', '0.999983', '0', '-0.00579641', '-23.1075', '0.26', '9.44274', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612188', '1153586', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s2.iff', '0', '0.999849', '0', '-0.017388', '-20.5789', '0.26', '9.36695', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612189', '1153586', 'object/static/structure/general/shared_data_terminal_s2.iff', '0', '0.0215912', '0', '0.999767', '-24.0614', '0.26', '-0.0668476', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612190', '1153586', 'object/static/structure/general/shared_data_terminal_s1.iff', '0', '0.718465', '0', '0.695564', '-23.3277', '0.26', '-0.733468', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612191', '1153586', 'object/static/item/shared_item_tank_bubble.iff', '0', '0.721933', '0', '0.691963', '-23.1523', '0.26', '-0.0359154', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612192', '1153586', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '0.0215912', '0', '0.999767', '-23.2423', '0.26', '-1.32375', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612193', '1153586', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '-0.00681372', '0', '0.999977', '-24.0502', '0.26', '-1.78285', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612194', '1153586', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '0.999997', '0', '-0.00239009', '-24.0621', '0.26', '-0.985814', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612204', '1153586', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s2.iff', '0', '0.999999', '0', '0.00101857', '-25.6218', '0.26', '9.31678', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612205', '1153586', 'object/tangible/furniture/technical/shared_coffee_table_s01.iff', '0', '0.00159296', '0', '0.999999', '-23.2438', '0.26', '-11.4096', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612206', '1153586', 'object/static/structure/general/shared_data_terminal_s3.iff', '0', '0.00159296', '0', '0.999999', '-18.5919', '0.26', '-11.1653', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612207', '1153586', 'object/tangible/furniture/all/shared_frn_all_professor_desk.iff', '0', '0.00159296', '0', '0.999999', '-20.8492', '0.26', '-11.3104', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612208', '1153586', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s05.iff', '0', '0.00159296', '0', '0.999999', '-23.238', '0.26', '-11.4864', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612209', '1153586', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s2.iff', '0', '0.00659259', '0', '0.999978', '-10.4594', '0.26', '-9.72599', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612210', '1153586', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s2.iff', '0', '0.018184', '0', '0.999835', '-13.0256', '0.26', '-9.69636', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612211', '1153586', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s2.iff', '0', '-0.000222372', '0', '1', '-7.98267', '0.26', '-9.65446', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612212', '1153586', 'object/static/item/shared_item_tank_gas.iff', '0', '0.00159296', '0', '0.999999', '-18.1607', '0.26', '-11.7313', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612213', '1153586', 'object/static/item/shared_item_container_inorganic_gas.iff', '0', '0.707951', '0', '0.706262', '-14.8189', '0.26', '-11.1835', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612214', '1153586', 'object/static/item/shared_item_container_inorganic_chemicals.iff', '0', '0.679142', '0', '0.734007', '-17.1127', '0.26', '-11.6682', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612215', '1153586', 'object/static/item/shared_item_container_inorganic_chemicals.iff', '0', '-0.698577', '0', '0.715535', '-15.9174', '0.26', '-11.4932', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612216', '1153586', 'object/static/item/shared_item_container_inorganic_chemicals.iff', '0', '0.746913', '0', '-0.664922', '-15.9351', '0.26', '-11.5824', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612217', '1153586', 'object/static/item/shared_item_container_inorganic_chemicals.iff', '0', '0.779211', '0', '-0.626761', '-15.8866', '0.26', '-10.6427', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612218', '1153586', 'object/static/item/shared_item_container_inorganic_chemicals.iff', '0', '-0.623653', '0', '0.781702', '-17.1274', '0.26', '-10.8153', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622348', '1153586', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s2.iff', '0', '0.999992', '0', '-0.00398126', '-18.5587', '0.26', '-3.10347', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622349', '1153586', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s2.iff', '0', '0.999984', '0', '-0.00557373', '-12.908', '0.26', '-3.08672', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622350', '1153586', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s2.iff', '0', '0.00137058', '0', '0.999999', '-13.1805', '0.26', '3.055', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622351', '1153586', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s2.iff', '0', '-0.015222', '0', '0.999884', '-18.5414', '0.26', '3.05251', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622352', '1153586', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s2.iff', '0', '-0.013629', '0', '0.999907', '-28.8572', '0.26', '2.95553', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622353', '1153586', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s2.iff', '0', '0.999841', '0', '0.017832', '-28.3491', '0.26', '-3.17128', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622354', '1153586', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '0.99699', '0', '0.0775329', '-29.3041', '0.26', '0.357352', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622355', '1153586', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '-0.297252', '0', '0.954799', '-29.4116', '0.26', '-0.156821', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622356', '1153586', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '0.957494', '0', '0.288452', '-29.088', '0.26', '-0.653499', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622357', '1153586', 'object/static/item/shared_item_tank_gas.iff', '0', '0.216459', '0', '0.976292', '-28.8958', '0.26', '-0.099679', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622358', '1153586', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '-0.048388', '0', '0.998829', '-27.9337', '0.26', '-0.555414', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622359', '1153586', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '0.963071', '0', '0.269246', '-27.7978', '0.26', '-0.0390113', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622360', '1153586', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '-0.260371', '0', '0.965509', '-28.0918', '0.26', '0.47534', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622361', '1153586', 'object/static/item/shared_item_tank_gas.iff', '0', '0.969555', '0', '-0.244874', '-28.3162', '0.26', '-0.0660014', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622362', '1153586', 'object/tangible/furniture/technical/shared_chair_s01.iff', '0', '0', '0', '1', '-12.2176', '0.26', '9.66396', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622363', '1153586', 'object/tangible/furniture/technical/shared_chair_s01.iff', '0', '0.319309', '0', '0.947651', '-15.0144', '0.26', '0.373726', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622364', '1153586', 'object/tangible/furniture/technical/shared_chair_s01.iff', '0', '0.953607', '0', '-0.301053', '-26.7647', '0.26', '-0.913866', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622366', '1153586', 'object/tangible/furniture/all/shared_frn_all_toolchest_med_s01.iff', '0', '-0.706832', '0', '0.707381', '-24.8209', '0.26', '-1.37163', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622367', '1153586', 'object/tangible/furniture/technical/shared_chair_s01.iff', '0', '0.953607', '0', '-0.301053', '-20.3631', '0.26', '-9.8793', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622368', '1153586', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '-0.048388', '0', '0.998829', '-7.01908', '0.26', '-11.5102', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622369', '1153586', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '-0.048388', '0', '0.998829', '-11.4467', '0.26', '-11.6088', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622370', '1153586', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '-0.048388', '0', '0.998829', '-14.0557', '0.26', '-11.6039', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622371', '1153586', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '0.687605', '0', '0.726085', '-26.6491', '0.26', '11.5089', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622372', '1153586', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '0.711629', '0', '-0.702555', '-22.091', '0.26', '11.6751', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1622373', '1153586', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '-0.679304', '0', '0.733857', '-19.494', '0.26', '11.5127', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785543', '1153586', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-17.6439', '0.26', '-1.0171', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153587', '1153580', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153588', '1153580', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153589', '1153580', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153590', '1153580', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153591', '1153580', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153592', '1153580', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153593', '1153580', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153594', '1153580', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153595', '0', 'object/building/tatooine/shared_guild_theater_tatooine_style_01.iff', '0', '0.693686', '0', '0.720277', '1424.92', '7', '3293.94', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153596', '1153595', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619847', '1153596', 'object/static/structure/general/shared_data_terminal_wall_s3.iff', '0', '0.999997', '0', '-0.00261239', '4.32312', '0.6', '-2.73303', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619848', '1153596', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '-0.641607', '0', '0.767033', '11.9032', '0.6', '-9.00123', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619849', '1153596', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '-0.700848', '0', '0.71331', '12.2177', '0.6', '-6.99927', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619850', '1153596', 'object/static/structure/general/shared_data_terminal_free_s1.iff', '0', '1', '0', '0.000795337', '0.153679', '0.6', '-2.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619851', '1153596', 'object/static/structure/general/shared_data_terminal_wall_s3.iff', '0', '1', '0', '0.000795337', '-4.31276', '1.58031', '-2.71752', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619852', '1153596', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.736856', '0', '0.67605', '-12.0803', '0.6', '-6.59902', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619853', '1153596', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.41087', '0', '0.911694', '-10.9819', '0.6', '-11.0463', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619854', '1153596', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.642999', '0', '0.765867', '-11.9242', '0.6', '-8.8403', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619855', '1153596', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '-0.248947', '0', '0.968517', '10.6288', '0.6', '-10.8462', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153597', '1153595', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619856', '1153597', 'object/tangible/furniture/all/shared_frn_all_decorative_sm_s2.iff', '0', '0.858118', '0', '-0.513453', '-23.4089', '1.48544', '-6.70087', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619857', '1153597', 'object/tangible/furniture/all/shared_frn_all_decorative_sm_s1.iff', '0', '-0.0565619', '0', '0.998399', '-23.4018', '1.48544', '-5.90807', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619858', '1153597', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '-0.0565619', '0', '0.998399', '-23.3118', '0.6', '-6.51571', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619872', '1153597', 'object/tangible/furniture/all/shared_frn_all_decorative_lg_s2.iff', '0', '0.92388', '0', '0.382683', '-26.4829', '0.6', '11.4437', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153598', '1153595', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619859', '1153598', 'object/tangible/furniture/all/shared_frn_all_decorative_sm_s2.iff', '0', '0.820104', '0', '-0.572215', '23.1948', '1.48544', '-7.02286', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619860', '1153598', 'object/tangible/furniture/all/shared_frn_all_decorative_sm_s1.iff', '0', '0.0134078', '0', '0.99991', '23.3125', '1.48544', '-6.239', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619861', '1153598', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0.0134078', '0', '0.99991', '23.303', '0.6', '-6.81071', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619877', '1153598', 'object/tangible/furniture/all/shared_frn_all_decorative_lg_s2.iff', '0', '0.930912', '0', '-0.365244', '28.1694', '0.6', '11.4781', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153599', '1153595', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619875', '1153599', 'object/tangible/furniture/all/shared_frn_all_decorative_lg_s2.iff', '0', '-0.399988', '0', '0.916521', '19.5375', '0.6', '0.550173', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619876', '1153599', 'object/tangible/furniture/all/shared_frn_all_decorative_lg_s2.iff', '0', '0.91652', '0', '0.399988', '16.5645', '0.6', '11.4614', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153600', '1153595', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619873', '1153600', 'object/tangible/furniture/all/shared_frn_all_decorative_lg_s2.iff', '0', '0.930912', '0', '-0.365244', '-16.5902', '0.6', '11.3335', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619874', '1153600', 'object/tangible/furniture/all/shared_frn_all_decorative_lg_s2.iff', '0', '0.365244', '0', '0.930912', '-19.3679', '0.6', '0.549519', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153601', '1153595', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619878', '1153601', 'object/tangible/furniture/all/shared_frn_all_decorative_lg_s1.iff', '0', '0.00340818', '0', '0.999994', '-0.493511', '3.58031', '0.168676', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619880', '1153601', 'object/tangible/furniture/modern/shared_dining_table_modern_style_01.iff', '0', '0.00340818', '0', '0.999994', '-0.748981', '2.6', '0.0912558', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619881', '1153601', 'object/static/item/shared_item_fruit_melon.iff', '0', '0.00340818', '0', '0.999994', '-2.6725', '3.58031', '0.206924', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619882', '1153601', 'object/static/item/shared_item_fruit_melon.iff', '-0.23784', '-0.0281295', '-0.0820324', '0.967425', '-2.51493', '3.58031', '0.19596', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619883', '1153601', 'object/static/item/shared_item_fruit_melon.iff', '0', '0.00340818', '0', '0.999994', '1.13991', '3.58031', '0.228981', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619884', '1153601', 'object/static/item/shared_item_fruit_melon.iff', '0.107208', '0.0299022', '-0.219437', '0.969257', '1.21444', '3.58031', '0.140399', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619885', '1153601', 'object/static/item/shared_item_fruit_melon.iff', '-0.0407062', '0.0311011', '0.228911', '0.972099', '1.22995', '3.58031', '0.0755291', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619886', '1153601', 'object/static/item/shared_item_bottle_pear.iff', '0', '0.00340818', '0', '0.999994', '-2.10987', '3.58031', '-0.194748', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619887', '1153601', 'object/static/item/shared_item_bottle_tall.iff', '0', '0.00340818', '0', '0.999994', '0.526444', '3.58031', '-0.281799', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619888', '1153601', 'object/static/item/shared_item_bowl_carved.iff', '0', '0.00340818', '0', '0.999994', '-2.59493', '3.58031', '0.154792', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619889', '1153601', 'object/static/item/shared_item_bowl_carved.iff', '0', '0.00340818', '0', '0.999994', '1.20404', '3.58031', '0.150947', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153602', '1153595', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153603', '1153595', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619946', '1153603', 'object/tangible/furniture/modern/shared_dining_table_modern_style_01.iff', '0', '0', '0', '1', '9.41688', '2.12878', '76.3497', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619947', '1153603', 'object/tangible/furniture/modern/shared_dining_table_modern_style_01.iff', '0', '0', '0', '1', '9.36262', '2.12878', '70.9618', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619948', '1153603', 'object/tangible/furniture/modern/shared_dining_table_modern_style_01.iff', '0', '0', '0', '1', '-6.72763', '2.12878', '71.0401', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619949', '1153603', 'object/tangible/furniture/modern/shared_dining_table_modern_style_01.iff', '0', '0', '0', '1', '-6.71095', '2.12878', '76.2751', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619950', '1153603', 'object/static/item/shared_item_bowl_shallow.iff', '0', '0', '0', '1', '-5.06074', '3.10908', '71.0074', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619951', '1153603', 'object/static/item/shared_item_bowl_shallow.iff', '0', '0', '0', '1', '-7.97807', '3.10908', '71.0057', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619952', '1153603', 'object/static/item/shared_item_fruit_melon.iff', '0', '0', '0', '1', '-8.17843', '3.10908', '71.2892', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619953', '1153603', 'object/static/item/shared_item_fruit_melon.iff', '0', '0', '0', '1', '-8.16047', '3.10908', '71.0055', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619954', '1153603', 'object/static/item/shared_item_fruit_melon.iff', '0', '0', '0', '1', '-7.99621', '3.10908', '70.9037', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619955', '1153603', 'object/static/item/shared_item_fruit_melon.iff', '0', '0', '0', '1', '-7.9387', '3.10908', '71.2708', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619956', '1153603', 'object/static/item/shared_item_fruit_melon.iff', '0', '0', '0', '1', '-7.84993', '3.10908', '71.0638', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619957', '1153603', 'object/static/item/shared_item_glass_empty.iff', '0', '0', '0', '1', '-4.79265', '3.10908', '75.9377', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619958', '1153603', 'object/static/item/shared_item_glass_empty.iff', '0', '0', '0', '1', '-4.2756', '3.10908', '75.9881', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619959', '1153603', 'object/static/item/shared_item_glass_empty.iff', '0', '0', '0', '1', '-4.54842', '3.10908', '76.1074', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619960', '1153603', 'object/static/item/shared_item_glass_metal.iff', '0', '0', '0', '1', '-8.95726', '2.35014', '76.2291', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619961', '1153603', 'object/static/item/shared_item_glass_metal.iff', '0', '0', '0', '1', '-9.03968', '2.35014', '76.0783', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619962', '1153603', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '-7.51229', '3.10908', '76.4459', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619963', '1153603', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '-8.03994', '3.10908', '76.4271', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619964', '1153603', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '-7.729', '3.10908', '76.0274', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619965', '1153603', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '-5.72959', '3.10908', '76.5089', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619966', '1153603', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '-5.33182', '3.10908', '76.2754', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619967', '1153603', 'object/static/item/shared_item_jar_berries.iff', '0', '0', '0', '1', '7.9212', '3.10908', '76.3165', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619968', '1153603', 'object/static/item/shared_item_jar_berries.iff', '0', '0', '0', '1', '8.24826', '3.10908', '76.4582', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619969', '1153603', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0', '0', '1', '9.08593', '3.10908', '76.5109', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619970', '1153603', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0', '0', '1', '9.41885', '3.10908', '76.489', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619971', '1153603', 'object/static/item/shared_item_jar_spice_red.iff', '0', '0', '0', '1', '10.9734', '3.10908', '76.4627', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619972', '1153603', 'object/static/item/shared_item_jar_spice_red.iff', '0', '0', '0', '1', '10.7298', '3.10908', '76.5014', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619973', '1153603', 'object/static/item/shared_item_jar_empty.iff', '0', '0', '0', '1', '10.1509', '3.10908', '76.4484', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619974', '1153603', 'object/static/item/shared_item_meat_hunk.iff', '0', '0', '0', '1', '10.4736', '3.10908', '70.7305', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619976', '1153603', 'object/static/item/shared_item_bowl_shallow.iff', '0', '0', '0', '1', '10.3107', '3.10908', '70.8499', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619977', '1153603', 'object/static/item/shared_item_bowl_shallow.iff', '0', '0', '0', '1', '8.15046', '3.10908', '70.8818', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619979', '1153603', 'object/static/item/shared_item_bread_loaf.iff', '0', '0', '0', '1', '-5.02448', '3.10908', '71.033', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153604', '1153595', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619981', '1153604', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.433531', '0', '0.901138', '-25.2185', '2.12878', '72.1631', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619982', '1153604', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.931461', '0', '0.363842', '-25.2843', '2.12878', '76.1486', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619983', '1153604', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff', '0', '-0.00159186', '0', '0.999999', '-21.5479', '2.12878', '63.5082', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619984', '1153604', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff', '0', '0.708228', '0', '-0.705984', '-17.5856', '2.12878', '66.5505', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619985', '1153604', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff', '0', '0.999999', '0', '0.00159273', '-21.5589', '2.12878', '70.1116', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619986', '1153604', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff', '0', '0.723459', '0', '0.690368', '-25.3704', '2.12878', '66.5174', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619987', '1153604', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '-0.00159186', '0', '0.999999', '-21.4579', '2.12878', '66.8079', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619988', '1153604', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s01.iff', '0', '0.920128', '0', '0.391617', '-17.5286', '2.12878', '63.7879', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619989', '1153604', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s01.iff', '0', '0.913413', '0', '-0.407034', '-25.5869', '2.12878', '63.6623', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619990', '1153604', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.682967', '0', '0.730449', '-25.4236', '2.12878', '74.1552', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619991', '1153604', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.998867', '0', '-0.0475937', '-23.2754', '2.12878', '76.3897', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1619992', '1153604', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.999707', '0', '-0.0242019', '-21.3814', '2.12878', '76.1335', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153605', '1153595', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153623', '0', 'object/building/tatooine/shared_housing_tatt_style01_med.iff', '0', '0.00659501', '0', '0.999978', '1600.09', '7', '2952.77', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153624', '1153623', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605117', '1153624', 'object/static/item/shared_item_painting_corellia_style_01.iff', '0', '1', '0', '-3.20013e-08', '4.12912', '1.00421', '8.64981', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605118', '1153624', 'object/tangible/furniture/tatooine/shared_frn_tatt_cantina_droid_detector.iff', '0', '0', '0', '1', '5.27715', '1.00421', '3.7336', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153625', '1153623', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605119', '1153625', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s2.iff', '0', '0', '0', '1', '10.7995', '0.408271', '6.03072', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605120', '1153625', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s2.iff', '0', '0', '0', '1', '10.7777', '0.408271', '-9.90461', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605121', '1153625', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s2.iff', '0', '0', '0', '1', '2.88368', '0.40827', '-9.81072', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605122', '1153625', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s2.iff', '0', '0', '0', '1', '-4.83445', '0.408271', '-9.88902', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605123', '1153625', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s2.iff', '0', '0', '0', '1', '-7.90268', '0.408271', '-7.92395', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605124', '1153625', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s2.iff', '0', '0', '0', '1', '-11.0207', '0.408271', '2.63747', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605177', '1153625', 'object/static/item/shared_item_game_dejarik_gameboard.iff', '0', '0.897911', '0', '-0.440178', '-7.15609', '0.408271', '-5.93383', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605178', '1153625', 'object/static/item/shared_item_game_dejarik_gameboard.iff', '0', '0.720831', '0', '-0.693111', '-9.92749', '0.408271', '1.59785', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605179', '1153625', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '-0.412321', '0', '0.911039', '-1.3216', '0.40827', '-8.89622', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605180', '1153625', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.816314', '0', '-0.577609', '0.507', '0.40827', '-7.66037', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605181', '1153625', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.19867', '0', '0.980067', '-2.72512', '0.408271', '-10.2534', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605182', '1153625', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '-0.514136', '0', '0.857709', '0.817835', '0.40827', '-10.1731', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605183', '1153625', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.9463', '0', '0.323289', '-2.90653', '0.408271', '-7.50698', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605184', '1153625', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '-0.406304', '0', '0.913738', '6.51104', '0.40827', '-8.7549', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605185', '1153625', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.812487', '0', '-0.582979', '8.35569', '0.408269', '-7.54345', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605186', '1153625', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.205129', '0', '0.978735', '5.08973', '0.40827', '-10.0936', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605187', '1153625', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '-0.508468', '0', '0.861081', '8.63342', '0.40827', '-10.0603', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605188', '1153625', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.948412', '0', '0.317042', '4.94458', '0.408269', '-7.34502', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605189', '1153625', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '-0.147861', '0', '0.989008', '6.72592', '0.408267', '-2.07926', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605190', '1153625', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '-0.627552', '0', '0.778574', '8.93096', '0.40827', '-1.98859', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605191', '1153625', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.458757', '0', '0.888562', '4.81861', '0.408271', '-2.49671', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605192', '1153625', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '-0.260369', '0', '0.965509', '7.87531', '0.408268', '-4.28988', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605193', '1153625', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.998617', '0', '0.0525842', '6.10724', '0.408271', '-0.0646064', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605194', '1153625', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0.989126', '0', '0.147074', '-1.5108', '0.408271', '-2.08199', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605195', '1153625', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.327056', '0', '0.945005', '-2.80636', '0.408271', '-3.90636', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605196', '1153625', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.888196', '0', '-0.459464', '0.397251', '0.408271', '-1.66756', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605197', '1153625', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.853772', '0', '0.520647', '-3.7397', '0.408271', '-0.511451', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605200', '1153625', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.0799154', '0', '0.996802', '-6.75873', '0.408271', '-7.40219', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605201', '1153625', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.969109', '0', '0.246632', '-6.94868', '0.408271', '-4.32576', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605202', '1153625', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.609159', '0', '0.793048', '-10.6421', '0.408271', '0.353238', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605203', '1153625', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.95657', '0', '-0.291501', '-8.67805', '0.408271', '2.31287', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605204', '1153625', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '0.581035', '0', '0.813879', '-7.74165', '0.408271', '-6.75863', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605205', '1153625', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '-0.479425', '0', '0.877583', '-7.68465', '0.408271', '-5.13439', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605206', '1153625', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '0.352274', '0', '0.935897', '-9.39819', '0.408271', '1.11348', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605207', '1153625', 'object/static/item/shared_item_painting_corellia_style_02.iff', '0', '0', '0', '1', '10.8769', '0.408271', '-3.87428', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153626', '1153623', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605125', '1153626', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0.706987', '0.0130149', '0.013015', '-0.706987', '-1.28605', '1.38368', '10.844', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605126', '1153626', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '0.978572', '0', '-0.205906', '-6.7537', '1.00421', '8.71972', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605127', '1153626', 'object/tangible/crafting/station/shared_food_station.iff', '0', '0.999978', '0', '-0.00659185', '-5.68668', '1.00421', '10.3907', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605128', '1605127', 'object/tangible/hopper/shared_crafting_station_ingredient_hopper_1.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605129', '1153626', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0.706987', '0.0130149', '0.013015', '-0.706987', '-1.28586', '1.38368', '10.844', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605130', '1153626', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '0.994576', '0', '0.104016', '-9.2692', '1.00421', '8.99542', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605131', '1153626', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '0.155953', '0', '0.987765', '-9.18424', '1.00421', '4.57436', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605132', '1153626', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '-0.152806', '0', '0.988256', '-6.3753', '1.00421', '4.85483', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605133', '1153626', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0.706987', '0.0130149', '0.013015', '-0.706987', '-1.28604', '1.38368', '10.844', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605134', '1153626', 'object/tangible/furniture/modern/shared_dining_table_modern_style_01.iff', '0', '0.0115927', '0', '0.999933', '-8.56948', '1.00421', '6.77656', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605135', '1153626', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0.491635', '0.508227', '-0.508227', '0.491635', '-11.0108', '2.39561', '6.71205', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605138', '1153626', 'object/static/item/shared_item_kitchen_pot_style_03.iff', '0', '0.993666', '0', '0.112374', '2.85995', '1.92127', '6.77984', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605139', '1153626', 'object/static/item/shared_item_kitchen_pot_style_01.iff', '0', '-0.0783271', '0', '0.996928', '2.85995', '1.92127', '6.54533', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605140', '1153626', 'object/static/item/shared_item_jar_funk.iff', '0', '0.00659255', '0', '0.999978', '2.85995', '1.92127', '5.15232', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605141', '1153626', 'object/static/item/shared_item_kitchen_pot_style_03.iff', '0', '-0.0783271', '0', '0.996928', '2.85995', '1.92127', '6.94257', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605142', '1153626', 'object/static/item/shared_item_kitchen_pot_style_02.iff', '0', '-0.341401', '0', '0.939918', '2.85995', '1.92127', '7.29141', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605143', '1153626', 'object/static/item/shared_item_jar_berries.iff', '0', '0.00659255', '0', '0.999978', '2.86939', '1.92127', '8.43634', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605144', '1153626', 'object/static/item/shared_item_jar_berries.iff', '0', '0.00659255', '0', '0.999978', '2.85995', '1.92127', '8.19931', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605147', '1153626', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0.00659255', '0', '0.999978', '2.85995', '1.92127', '5.37367', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605148', '1153626', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0.00659255', '0', '0.999978', '2.85995', '1.92127', '4.96824', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605149', '1153626', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0.00659255', '0', '0.999978', '2.85995', '1.92127', '5.76494', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605150', '1153626', 'object/static/item/shared_item_kitchen_pot_style_01.iff', '0', '0.339695', '0', '0.940536', '2.85995', '1.92127', '7.76239', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605151', '1153626', 'object/static/item/shared_item_kitchen_pot_style_02.iff', '0', '-0.108195', '0', '0.99413', '2.85995', '1.92127', '7.52124', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605152', '1153626', 'object/static/item/shared_item_kitchen_cook_set_lg_s1.iff', '0', '0.710353', '0', '-0.703845', '2.85995', '1.92127', '5.98371', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605153', '1153626', 'object/static/item/shared_item_con_tato_bowl_full_s01.iff', '0', '-0.0799154', '0', '0.996802', '2.85995', '1.92127', '9.5464', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605154', '1153626', 'object/static/item/shared_item_con_tato_bowl_full_s02.iff', '0', '-0.0799154', '0', '0.996802', '2.85995', '1.92127', '8.84657', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605155', '1153626', 'object/static/item/shared_item_con_bag_ingredients_lg_s1.iff', '0', '-0.338197', '0', '0.941075', '2.85995', '1.92127', '10.0733', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605156', '1153626', 'object/static/item/shared_item_tank_bubble.iff', '0', '-0.5522', '0', '0.833712', '2.85995', '1.92127', '4.5476', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605157', '1153626', 'object/static/item/shared_item_jar_empty.iff', '0', '0', '0', '1', '2.85995', '1.92127', '3.86572', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605158', '1153626', 'object/static/item/shared_item_jar_bugs.iff', '0', '0', '0', '1', '2.85995', '1.92127', '3.93711', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605159', '1153626', 'object/static/item/shared_item_jar_berries.iff', '0', '0', '0', '1', '-11.0108', '2.39561', '6.61968', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605160', '1153626', 'object/static/item/shared_item_jar_berries.iff', '0', '0', '0', '1', '-11.0108', '2.39561', '6.35993', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605161', '1153626', 'object/static/item/shared_item_glass_metal.iff', '0', '-0.706825', '0', '0.707388', '-10.4533', '1.16232', '4.32106', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605162', '1153626', 'object/static/item/shared_item_glass_metal.iff', '0', '-0.706825', '0', '0.707388', '-10.4533', '1.16232', '3.97961', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605163', '1153626', 'object/static/item/shared_item_glass_metal.iff', '0', '-0.706825', '0', '0.707388', '-10.4533', '1.16232', '4.20387', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605164', '1153626', 'object/static/item/shared_item_glass_metal.iff', '0', '-0.706825', '0', '0.707388', '-10.4533', '1.16232', '4.23155', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605165', '1153626', 'object/static/item/shared_item_glass_metal.iff', '0', '-0.706825', '0', '0.707388', '-10.4533', '1.16232', '4.48475', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605166', '1153626', 'object/static/item/shared_item_glass_metal.iff', '0', '-0.706825', '0', '0.707388', '-10.4533', '1.16232', '4.49429', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605167', '1153626', 'object/static/item/shared_item_glass_metal.iff', '0', '-0.706825', '0', '0.707388', '-10.4533', '1.16232', '4.57466', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605168', '1153626', 'object/static/item/shared_item_glass_metal.iff', '0', '-0.706825', '0', '0.707388', '-10.4533', '1.16232', '4.77949', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605169', '1153626', 'object/static/item/shared_item_glass_white.iff', '0', '-0.706825', '0', '0.707388', '-10.4533', '1.16232', '5.29973', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605170', '1153626', 'object/static/item/shared_item_glass_white.iff', '0', '-0.706825', '0', '0.707388', '-10.4533', '1.16232', '5.25989', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605171', '1153626', 'object/static/item/shared_item_glass_white.iff', '0', '-0.706825', '0', '0.707388', '-10.4533', '1.16232', '5.04948', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605172', '1153626', 'object/static/item/shared_item_cheese_wheel_s1_partial.iff', '0', '0', '0', '1', '-8.6001', '2.04776', '7.00738', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605173', '1153626', 'object/static/item/shared_item_con_plate_s1_full.iff', '0', '0', '0', '1', '-8.01209', '2.01614', '6.84544', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605174', '1153626', 'object/static/item/shared_item_kitchen_cook_set_lg_s1.iff', '0', '0.741297', '0', '-0.671178', '-10.5925', '1.95289', '8.41637', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605175', '1153626', 'object/static/item/shared_item_kitchen_cook_set_lg_s1.iff', '0', '0.636537', '0', '0.771246', '-10.5925', '1.95289', '8.88635', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605176', '1153626', 'object/static/item/shared_item_bread_loaf.iff', '0', '0', '0', '1', '-8.76299', '2.01614', '6.76009', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153627', '1153623', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153628', '1153623', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153629', '1153623', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153630', '1153623', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153631', '1153623', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153632', '1153623', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153633', '1153623', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153634', '1153623', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153635', '1153623', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153640', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '1', '0', '0.000802158', '1592.81', '7', '2932.73', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153641', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.710367', '0', '0.703831', '1601.79', '7', '2932.66', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153645', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.703276', '0', '0.710917', '1618.44', '7', '2932.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153647', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.421403', '0', '0.906874', '1619.97', '5.90662', '2934.4', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153648', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '1622.17', '7', '2936.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153652', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.714982', '0', '-0.699143', '1621.39', '7', '2976.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153666', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '0.999958', '0', '0.0092035', '1624.93', '7', '2952.38', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153667', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.380181', '0', '0.924912', '1622.44', '7', '2944.87', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153668', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.380182', '0', '0.924912', '1623.69', '5.90662', '2946.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153669', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.380182', '0', '0.924912', '1625.93', '7', '2948.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153670', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '-0.342904', '0', '0.93937', '1623.63', '5.90662', '2958.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153671', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.342905', '0', '0.93937', '1625.08', '7', '2957.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153854', '0', 'object/building/tatooine/shared_filler_building_block_64x16_style_02.iff', '0', '-0.00500029', '0', '0.999987', '1701.44', '7', '3154.69', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153858', '0', 'object/building/tatooine/shared_filler_building_block_64x32_style_01.iff', '0', '-0.366273', '0', '0.930508', '1774.17', '7', '3130.08', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153864', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '0.692537', '0', '0.721382', '3806.87', '10.8445', '2321.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153865', '0', 'object/building/tatooine/shared_filler_building_block_64x16_style_01.iff', '0', '-0.00500523', '0', '0.999987', '1581.96', '7', '3092.58', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153871', '0', 'object/building/tatooine/shared_filler_building_block_64x32_style_02.iff', '0', '-0.00500518', '0', '0.999987', '1577.44', '7', '2992', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153875', '0', 'object/building/tatooine/shared_filler_building_block_64x16_style_02.iff', '0', '0.699717', '0', '0.71442', '1528.15', '7', '3039.89', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153879', '0', 'object/building/tatooine/shared_filler_building_block_64x32_style_01.iff', '0', '0.00659297', '0', '0.999978', '1578.07', '7', '3136.49', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153885', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_03.iff', '0', '0.999991', '0', '-0.00420355', '1719.7', '7', '3105.4', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153887', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_04.iff', '0', '0.925211', '0', '0.379452', '1650.52', '7', '3168.32', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153889', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_05.iff', '0', '0.719726', '0', '-0.694258', '1651.51', '7', '2984.6', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153894', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_01.iff', '0', '0.717356', '0', '-0.696707', '1653.55', '7', '3083.89', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153896', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_03.iff', '0', '0.706745', '0', '0.707469', '1596.43', '7', '3052.51', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153898', '0', 'object/building/tatooine/shared_filler_building_block_64x32_style_02.iff', '0', '-0.0100013', '0', '0.99995', '1404.62', '7', '3062.4', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153901', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_07.iff', '0', '0.692535', '0', '0.721385', '1272.36', '7', '3343', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153903', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_08.iff', '0', '0.00500008', '0', '0.999987', '1690.86', '7', '3112.08', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153907', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_10.iff', '0', '0.720831', '0', '-0.693112', '1745.86', '7', '3086.56', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153933', '0', 'object/building/tatooine/shared_housing_tatt_style01_med.iff', '0', '-0.00840807', '0', '0.999965', '1356.32', '11', '3215.94', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153934', '1153933', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648377', '1153934', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0.50031', '-0.499689', '-0.499691', '-0.500309', '4.12912', '1.00421', '5.4805', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648378', '1153934', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0.505282', '-0.494661', '-0.494662', '-0.505282', '4.12912', '1.00421', '8.21879', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648425', '1153934', 'object/tangible/furniture/tatooine/shared_frn_tatt_cantina_droid_detector.iff', '0', '0', '0', '1', '5.2557', '1.00421', '3.74177', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648427', '1153934', 'object/static/structure/general/shared_data_terminal_wall_s3.iff', '0', '1', '0', '3.20013e-08', '4.9788', '1.00421', '10.5521', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153935', '1153933', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648390', '1153935', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s02.iff', '0', '0.707951', '0', '0.706262', '-3.89688', '0.408271', '-10.7089', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648391', '1153935', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.999999', '0', '-0.00119588', '-3.62669', '0.408271', '-10.6791', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648392', '1153935', 'object/tangible/furniture/modern/shared_rug_oval_sml_s01.iff', '0', '0.707103', '0', '0.707111', '-1.11814', '0.40827', '-8.64997', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648393', '1153935', 'object/tangible/furniture/modern/shared_couch_modern_style_02.iff', '0', '0.00119857', '0', '0.999999', '-1.10814', '0.408271', '-10.5289', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648394', '1153935', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s02.iff', '0', '-0.706258', '0', '0.707954', '1.69296', '0.408271', '-10.3608', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648395', '1153935', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.00119857', '0', '0.999999', '1.4164', '0.408271', '-10.3827', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648396', '1153935', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.701136', '0', '0.713027', '4.32228', '0.40827', '-8.54681', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648397', '1153935', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.701136', '0', '0.713027', '4.32613', '0.408271', '-6.86377', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648398', '1153935', 'object/tangible/furniture/modern/shared_end_table_large_modern_style_01.iff', '0', '0.710073', '0', '-0.704128', '7.04531', '0.40827', '-8.13968', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648399', '1153935', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_05.iff', '0', '0.999991', '0', '0.00420795', '6.99732', '0.408269', '-7.62401', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648400', '1153935', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.710073', '0', '-0.704128', '9.68014', '0.40827', '-8.599', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648401', '1153935', 'object/tangible/furniture/modern/shared_end_table_large_modern_style_01.iff', '0', '0.704123', '0', '0.710077', '6.99281', '0.408269', '-7.12565', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648402', '1153935', 'object/tangible/furniture/modern/shared_couch_modern_style_02.iff', '0', '0.999991', '0', '0.00420795', '6.95318', '0.408268', '-4.26088', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648403', '1153935', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.710073', '0', '-0.704128', '9.695', '0.408153', '-6.91655', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648404', '1153935', 'object/tangible/furniture/modern/shared_love_seat_modern_style_01.iff', '0', '0.783327', '0', '-0.62161', '-6.53456', '0.408271', '-6.45219', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648405', '1153935', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '0.998152', '0', '-0.0607589', '-7.4034', '0.408271', '-7.20878', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648406', '1153935', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s03.iff', '0', '0', '0', '1', '-7.82959', '0.408271', '-7.79343', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648407', '1153935', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff', '0', '0.70356', '0', '0.710636', '-7.90268', '0.408271', '-6.09516', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648408', '1153935', 'object/tangible/furniture/modern/shared_cabinet_modern_style_01.iff', '0', '0', '0', '1', '7.00754', '0.408271', '-10.8339', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648409', '1153935', 'object/tangible/furniture/modern/shared_end_table_large_modern_style_01.iff', '0', '0.99992', '0', '0.0126112', '8.52972', '0.408271', '-10.5181', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648410', '1153935', 'object/tangible/furniture/modern/shared_end_table_large_modern_style_01.iff', '0', '-0.0126112', '0', '0.99992', '5.44856', '0.408271', '-10.5373', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648413', '1153935', 'object/tangible/furniture/all/shared_frn_all_couch_futon_s1.iff', '0', '0.973485', '0', '-0.228753', '0.81219', '0.40827', '-7.27083', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648414', '1153935', 'object/tangible/furniture/all/shared_frn_all_couch_futon_s1.iff', '0', '0.988377', '0', '0.15202', '-2.59628', '0.408271', '-6.99949', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648415', '1153935', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '0', '0', '1', '4.56711', '0.408271', '2.2072', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648416', '1153935', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '-0.00840804', '0', '0.999965', '-7.86873', '0.408271', '2.2676', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648418', '1153935', 'object/tangible/furniture/all/shared_frn_all_lamp_desk_s02.iff', '0', '0.00499998', '0', '0.999987', '-6.55792', '0.408271', '2.3515', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648419', '1153935', 'object/tangible/furniture/all/shared_frn_all_lamp_desk_s02.iff', '0', '-0.0034081', '0', '0.999994', '-9.13982', '0.408271', '2.35004', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648420', '1153935', 'object/tangible/furniture/all/shared_frn_all_lamp_desk_s02.iff', '0', '-0.00681575', '0', '0.999977', '3.31217', '0.408271', '2.43476', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648421', '1153935', 'object/tangible/furniture/all/shared_frn_all_lamp_desk_s02.iff', '0', '0.0015919', '0', '0.999999', '5.89396', '0.408271', '2.45376', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648422', '1153935', 'object/static/item/shared_item_tank_bubble.iff', '0', '0.844162', '0', '0.536088', '-7.88918', '0.408271', '2.34084', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648423', '1153935', 'object/static/item/shared_item_shisha.iff', '0', '0.813416', '0', '0.581683', '4.40067', '0.408271', '2.37137', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648424', '1153935', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0', '0', '1', '4.63538', '0.408271', '2.53327', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153936', '1153933', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648348', '1153936', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0.707098', '-0.00353575', '-0.00353571', '-0.707098', '-5.24359', '1.00421', '10.844', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648349', '1153936', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '0.979589', '0', '-0.20101', '-3.36158', '1.00421', '8.78217', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648350', '1153936', 'object/tangible/crafting/station/shared_food_station.iff', '0', '0.999999', '0', '-0.00159187', '-3.33444', '1.00421', '10.3965', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648351', '1648350', 'object/tangible/hopper/shared_crafting_station_ingredient_hopper_1.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648352', '1153936', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0.707098', '-0.00353575', '-0.00353571', '-0.707098', '-5.24336', '1.00421', '10.844', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648353', '1153936', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '0.994043', '0', '0.108988', '-5.87961', '1.00421', '9.03269', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648354', '1153936', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '0.151012', '0', '0.988532', '-5.75439', '1.00421', '4.60987', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648355', '1153936', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '-0.157746', '0', '0.98748', '-2.94438', '1.00421', '4.92129', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648356', '1153936', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0.707098', '-0.00353575', '-0.00353571', '-0.707098', '-5.24358', '1.00421', '10.844', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648357', '1153936', 'object/tangible/furniture/modern/shared_dining_table_modern_style_01.iff', '0', '0.00659296', '0', '0.999978', '-5.70817', '1.00421', '6.85094', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648359', '1153936', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0.500995', '0.499003', '0.499002', '-0.500993', '-9.86558', '1.00421', '7.95617', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648360', '1153936', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0.495979', '0.503989', '0.503988', '-0.49598', '-9.86558', '1.00421', '5.21794', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648361', '1153936', 'object/static/item/shared_item_kitchen_pot_style_03.iff', '0', '0.999744', '0', '0.0226096', '2.20687', '1.00421', '6.98556', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648362', '1153936', 'object/static/item/shared_item_kitchen_pot_style_01.iff', '0', '0.0115924', '0', '0.999933', '2.20687', '1.00421', '6.73734', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648363', '1153936', 'object/static/item/shared_item_jar_funk.iff', '0', '0.0115924', '0', '0.999933', '2.20687', '1.00421', '5.43295', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648364', '1153936', 'object/static/item/shared_item_kitchen_pot_style_03.iff', '0', '0.0115924', '0', '0.999933', '2.20687', '1.00421', '7.11792', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648365', '1153936', 'object/static/item/shared_item_kitchen_pot_style_02.iff', '0', '0.0115924', '0', '0.999933', '2.20687', '1.00421', '7.67437', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648366', '1153936', 'object/static/item/shared_item_jar_berries.iff', '0', '0.0115924', '0', '0.999933', '2.20687', '1.00421', '8.74558', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648367', '1153936', 'object/static/item/shared_item_jar_berries.iff', '0', '0.0115924', '0', '0.999933', '2.20687', '1.00421', '8.47781', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648368', '1153936', 'object/static/item/shared_item_jar_spice_red.iff', '0', '0.0115924', '0', '0.999933', '2.20687', '1.00421', '9.64048', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648369', '1153936', 'object/static/item/shared_item_jar_spice_red.iff', '0', '0.0115924', '0', '0.999933', '2.20687', '1.00421', '9.25898', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648370', '1153936', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0.0115924', '0', '0.999933', '2.20687', '1.00421', '4.67182', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648371', '1153936', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0.0115924', '0', '0.999933', '2.20687', '1.00421', '4.26613', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648372', '1153936', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0.0115924', '0', '0.999933', '2.20687', '1.00421', '5.06266', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648373', '1153936', 'object/static/item/shared_item_kitchen_pot_style_01.iff', '0', '0.0115924', '0', '0.999933', '2.20687', '1.00421', '8.29104', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648374', '1153936', 'object/static/item/shared_item_kitchen_pot_style_02.iff', '0', '0.0115924', '0', '0.999933', '2.20687', '1.00421', '7.8588', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648375', '1153936', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '0.142695', '0', '0.989767', '-7.88623', '1.00421', '4.90715', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648376', '1153936', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '0.980538', '0', '0.196329', '-7.69071', '1.00421', '8.71001', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648379', '1153936', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0.707103', '0.00241', '0.00241', '-0.707102', '-7.15004', '1.00421', '10.844', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648380', '1153936', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0.707103', '0.00241', '0.00241', '-0.707102', '-7.15028', '1.00421', '10.844', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648381', '1153936', 'object/static/item/shared_item_bowl_plain.iff', '0', '0.169182', '0', '0.985585', '-9.86558', '1.00421', '4.37589', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648382', '1153936', 'object/static/item/shared_item_bottle_fat.iff', '0', '0.169182', '0', '0.985585', '-9.86558', '1.00421', '5.0728', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648383', '1153936', 'object/static/item/shared_item_bottle_fat.iff', '0', '0.169182', '0', '0.985585', '-9.86558', '1.00421', '5.14808', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648384', '1153936', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '-9.86558', '1.00421', '5.96803', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648385', '1153936', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '-9.86558', '1.00421', '6.89904', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648386', '1153936', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '-9.86558', '1.00421', '8.78318', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648387', '1153936', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '-9.86558', '1.00421', '9.37375', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648388', '1153936', 'object/static/item/shared_item_con_bag_ingredients_lg_s1.iff', '0', '0.416871', '0', '0.908966', '-9.86558', '1.00421', '8.01872', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648389', '1153936', 'object/static/item/shared_item_con_tato_bowl_full_s02.iff', '0', '0', '0', '1', '-9.86558', '1.00421', '6.48723', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153937', '1153933', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153938', '1153933', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153939', '1153933', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153940', '1153933', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153941', '1153933', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153942', '1153933', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153943', '1153933', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153944', '1153933', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153945', '1153933', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153959', '0', 'object/building/tatooine/shared_housing_tatt_style01_med.iff', '0', '0', '0', '1', '1357.71', '11', '3156.29', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153960', '1153959', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1628348', '1153960', 'object/tangible/furniture/tatooine/shared_frn_tatt_cantina_droid_detector.iff', '0', '1', '0', '-3.20013e-08', '5.16925', '1.00421', '10.7945', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1628349', '1153960', 'object/tangible/furniture/technical/shared_coffee_table_s01.iff', '0', '0', '0', '1', '4.44169', '1.00421', '4.0536', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1628350', '1153960', 'object/tangible/furniture/technical/shared_end_table_s01.iff', '0', '0.242556', '0', '0.970137', '5.33399', '1.00421', '4.09909', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1628351', '1153960', 'object/tangible/furniture/technical/shared_end_table_s01.iff', '0', '0.479426', '0', '0.877582', '4.41549', '1.00421', '5.02169', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631354', '1153960', 'object/static/item/shared_item_decryptor_imperial.iff', '0', '-0.389418', '0', '0.921061', '4.76349', '1.00421', '4.24458', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631355', '1153960', 'object/static/item/shared_item_data_disk.iff', '0', '-0.169182', '0', '0.985585', '4.53064', '1.00421', '3.9968', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631356', '1153960', 'object/static/item/shared_item_data_disk.iff', '0', '-0.169182', '0', '0.985585', '4.56751', '1.00421', '3.83402', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153961', '1153959', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1628352', '1153961', 'object/tangible/furniture/technical/shared_coffee_table_s01.iff', '0', '0', '0', '1', '10.3832', '0.40827', '5.68401', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1628353', '1153961', 'object/tangible/furniture/technical/shared_cabinet_s01.iff', '0', '0', '0', '1', '9.15798', '0.408271', '-10.8339', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1628354', '1153961', 'object/tangible/furniture/technical/shared_cabinet_s01.iff', '0', '0', '0', '1', '4.65798', '0.408271', '-10.8339', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1628356', '1153961', 'object/tangible/furniture/technical/shared_bookcase_s01.iff', '0', '0', '0', '1', '7.01065', '0.408271', '-10.81', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1628357', '1153961', 'object/tangible/furniture/technical/shared_armoire_s01.iff', '0', '0', '0', '1', '-1.15218', '0.408271', '-10.6861', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1628358', '1153961', 'object/tangible/furniture/technical/shared_chest_s01.iff', '0', '0', '0', '1', '0.347821', '0.408271', '-10.6861', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1628359', '1153961', 'object/tangible/furniture/technical/shared_chest_s01.iff', '0', '0', '0', '1', '-2.65218', '0.408271', '-10.6861', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1628360', '1153961', 'object/tangible/furniture/technical/shared_end_table_s01.iff', '0', '0', '0', '1', '1.31623', '0.408271', '-10.5', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1628361', '1153961', 'object/tangible/furniture/technical/shared_end_table_s01.iff', '0', '0', '0', '1', '-3.68377', '0.408271', '-10.5', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1628362', '1153961', 'object/tangible/furniture/technical/shared_chair_s01.iff', '0', '0', '0', '1', '-6.90329', '0.408271', '-7.31047', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1628363', '1153961', 'object/tangible/furniture/technical/shared_chair_s01.iff', '0', '1', '0', '-3.20013e-08', '-6.90329', '0.408271', '-3.31048', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1628364', '1153961', 'object/static/item/shared_item_game_dejarik_gameboard.iff', '0', '0.92388', '0', '-0.382683', '-6.90329', '0.408271', '-5.31047', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1628365', '1153961', 'object/tangible/furniture/technical/shared_bookcase_s01.iff', '0', '0.707107', '0', '0.707107', '-7.90268', '0.408271', '-5.31047', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1628366', '1153961', 'object/tangible/furniture/technical/shared_couch_s01.iff', '0', '0', '0', '1', '3', '0.40827', '-7', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1628367', '1153961', 'object/tangible/furniture/technical/shared_couch_s01.iff', '0', '1', '0', '3.20013e-08', '3', '0.408271', '-3.92837e-12', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1628368', '1153961', 'object/tangible/furniture/technical/shared_couch_s01.iff', '0', '0.382683', '0', '0.92388', '0.5', '0.408271', '-6', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1628369', '1153961', 'object/tangible/furniture/technical/shared_couch_s01.iff', '0', '-0.382683', '0', '0.92388', '5.5', '0.408269', '-6', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1628370', '1153961', 'object/tangible/furniture/technical/shared_couch_s01.iff', '0', '0.707101', '0', '0.707112', '-0.5', '0.408271', '-3.5', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1628371', '1153961', 'object/tangible/furniture/technical/shared_couch_s01.iff', '0', '-0.707101', '0', '0.707112', '6.5', '0.408268', '-3.5', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1628372', '1153961', 'object/tangible/furniture/technical/shared_couch_s01.iff', '0', '0.92388', '0', '-0.382683', '5.5', '0.408271', '-1', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1628373', '1153961', 'object/tangible/furniture/technical/shared_couch_s01.iff', '0', '0.92388', '0', '0.382683', '0.5', '0.408271', '-1', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1628374', '1153961', 'object/tangible/furniture/technical/shared_end_table_s01.iff', '0', '1', '0', '3.20013e-08', '4', '0.408271', '-2.5', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1628375', '1153961', 'object/tangible/furniture/technical/shared_end_table_s01.iff', '0', '0', '0', '1', '4', '0.408271', '-4.5', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1628376', '1153961', 'object/tangible/furniture/technical/shared_coffee_table_s01.iff', '0', '0', '0', '1', '4', '0.408271', '-3.5', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1628377', '1153961', 'object/tangible/furniture/technical/shared_end_table_s01.iff', '0', '1', '0', '0', '2', '0.408271', '-2.5', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1628378', '1153961', 'object/tangible/furniture/technical/shared_end_table_s01.iff', '0', '0', '0', '1', '2', '0.408271', '-4.5', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1628379', '1153961', 'object/tangible/furniture/technical/shared_coffee_table_s01.iff', '0', '0', '0', '1', '2', '0.408271', '-3.5', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1628380', '1153961', 'object/tangible/furniture/technical/shared_coffee_table_s01.iff', '0', '0', '0', '1', '3', '0.408271', '-2.5', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1628381', '1153961', 'object/tangible/furniture/technical/shared_coffee_table_s01.iff', '0', '0', '0', '1', '3', '0.408271', '-4.5', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153962', '1153959', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1628382', '1153962', 'object/tangible/furniture/modern/shared_dining_table_modern_style_01.iff', '0', '0.00159344', '0', '0.999999', '-3.38232', '1.00421', '6.91251', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1628383', '1153962', 'object/tangible/furniture/modern/shared_rug_oval_lg_s01.iff', '0', '0.708232', '0', '0.70598', '-3.38232', '1.00421', '6.91251', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1628390', '1153962', 'object/static/item/shared_item_painting_agrilat_swamp_style_01.iff', '0', '-0.705978', '0', '0.708234', '-3.38232', '1.00421', '10.844', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1628391', '1153962', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0.00159344', '0', '0.999999', '-9.86558', '1.00421', '3.68328', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1628392', '1153962', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0.00159344', '0', '0.999999', '-9.86558', '1.00421', '3.91251', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1628393', '1153962', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0.00159344', '0', '0.999999', '-9.86558', '1.00421', '3.91251', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1628394', '1153962', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0.00159344', '0', '0.999999', '-9.86558', '1.00421', '3.91251', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1628395', '1153962', 'object/static/item/shared_item_jar_spice_red.iff', '0', '0.00159344', '0', '0.999999', '-9.86558', '1.00421', '9.41251', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1628396', '1153962', 'object/static/item/shared_item_jar_spice_red.iff', '0', '0.00159344', '0', '0.999999', '-9.86558', '1.00421', '9.91251', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1628397', '1153962', 'object/static/item/shared_item_jar_spice_red.iff', '0', '0.00159344', '0', '0.999999', '-9.86558', '1.00421', '9.41251', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1628398', '1153962', 'object/static/item/shared_item_jar_spice_white.iff', '0', '0.00159344', '0', '0.999999', '-9.86558', '1.00421', '5.91251', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1628399', '1153962', 'object/static/item/shared_item_jar_spice_red.iff', '0', '0.00159344', '0', '0.999999', '-9.86558', '1.00421', '8.91251', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1628400', '1153962', 'object/static/item/shared_item_jar_spice_white.iff', '0', '0.00159344', '0', '0.999999', '-9.86558', '1.00421', '6.41251', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1628401', '1153962', 'object/static/item/shared_item_jar_spice_white.iff', '0', '0.00159344', '0', '0.999999', '-9.86558', '1.00421', '6.41251', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1628402', '1153962', 'object/static/item/shared_item_glass_empty.iff', '0', '0.00159344', '0', '0.999999', '2.20687', '1.00421', '8.41251', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1628403', '1153962', 'object/static/item/shared_item_glass_empty.iff', '0', '0.00159344', '0', '0.999999', '2.20687', '1.00421', '8.41251', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1628404', '1153962', 'object/static/item/shared_item_glass_empty.iff', '0', '0.00159344', '0', '0.999999', '2.20687', '1.00421', '8.41251', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1628405', '1153962', 'object/static/item/shared_item_glass_empty.iff', '0', '0.00159344', '0', '0.999999', '2.20687', '1.00421', '7.91251', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1628406', '1153962', 'object/static/item/shared_item_glass_empty.iff', '0', '0.00159344', '0', '0.999999', '2.20687', '1.00421', '7.91251', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1628407', '1153962', 'object/static/item/shared_item_glass_empty.iff', '0', '0.00159344', '0', '0.999999', '2.20687', '1.00421', '7.91251', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1628408', '1153962', 'object/static/item/shared_item_bottle_tall.iff', '0', '0.00159344', '0', '0.999999', '2.20687', '1.00421', '9.91251', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1628409', '1153962', 'object/static/item/shared_item_bottle_tall.iff', '0', '0.00159344', '0', '0.999999', '2.20687', '1.00421', '9.41251', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1628410', '1153962', 'object/static/item/shared_item_bottle_tall.iff', '0', '0.00159344', '0', '0.999999', '2.20687', '1.00421', '9.41251', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1628411', '1153962', 'object/static/item/shared_item_bottle_fat.iff', '0', '0.00159344', '0', '0.999999', '2.20687', '1.00421', '4.41251', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1628412', '1153962', 'object/static/item/shared_item_bottle_fat.iff', '0', '0.00159344', '0', '0.999999', '2.20687', '1.00421', '4.91251', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1628413', '1153962', 'object/static/item/shared_item_bottle_pear.iff', '0', '0.00159344', '0', '0.999999', '2.20687', '1.00421', '3.95056', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631348', '1153962', 'object/tangible/furniture/technical/shared_chair_s01.iff', '0', '0', '0', '1', '-3.39994', '1.00421', '4.80458', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631349', '1153962', 'object/tangible/furniture/technical/shared_chair_s01.iff', '0', '-0.29552', '0', '0.955336', '-1.49438', '1.00421', '4.92725', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631350', '1153962', 'object/tangible/furniture/technical/shared_chair_s01.iff', '0', '0.109778', '0', '0.993956', '-5.59802', '1.00421', '4.9856', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631351', '1153962', 'object/tangible/furniture/technical/shared_chair_s01.iff', '0', '1', '0', '-0.000796335', '-3.39509', '1.00421', '9.00393', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631352', '1153962', 'object/tangible/furniture/technical/shared_chair_s01.iff', '0', '0.955572', '0', '0.294759', '-5.30074', '1.00421', '8.88443', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631353', '1153962', 'object/tangible/furniture/technical/shared_chair_s01.iff', '0', '0.993868', '0', '-0.110569', '-1.19722', '1.00421', '8.81947', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153963', '1153959', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153964', '1153959', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153965', '1153959', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153966', '1153959', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153967', '1153959', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153968', '1153959', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153969', '1153959', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153970', '1153959', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153971', '1153959', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153972', '0', 'object/building/tatooine/shared_housing_tatt_style01_med.iff', '0', '0.999942', '0', '0.0107986', '1419.72', '11', '3159.12', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153973', '1153972', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620277', '1153973', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s01.iff', '0', '-0.7071', '0', '0.707113', '4.32517', '1.00421', '9.46838', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620278', '1153973', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s01.iff', '0', '-0.7071', '0', '0.707114', '4.24902', '1.00421', '5.07572', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620287', '1153973', 'object/tangible/furniture/technical/shared_coffee_table_s01.iff', '0', '0.7071', '0', '0.707114', '4.39398', '1.00421', '6.65397', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620288', '1153973', 'object/tangible/furniture/technical/shared_coffee_table_s01.iff', '0', '0.7071', '0', '0.707114', '4.39068', '1.00421', '7.85924', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153974', '1153972', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620229', '1153974', 'object/tangible/furniture/technical/shared_cabinet_s01.iff', '0', '0.7071', '0', '0.707113', '-10.9955', '0.408271', '-0.850248', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620230', '1153974', 'object/tangible/furniture/technical/shared_cabinet_s01.iff', '0', '0.7071', '0', '0.707113', '-10.9955', '0.408271', '-0.855292', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620231', '1153974', 'object/tangible/furniture/technical/shared_cabinet_s01.iff', '0', '0.7071', '0', '0.707113', '-10.9963', '0.408271', '-0.852696', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620253', '1153974', 'object/tangible/furniture/technical/shared_armoire_s01.iff', '0', '0.7071', '0', '0.707113', '-11.0406', '0.408271', '0.710444', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620255', '1153974', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s01.iff', '0', '-0.7071', '0', '0.707113', '-11.0072', '0.408271', '1.93363', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620256', '1153974', 'object/tangible/furniture/modern/shared_dining_table_modern_style_01.iff', '0', '0', '0', '1', '-3.25483', '0.408271', '-3.46921', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620258', '1153974', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '1', '0', '-3.20013e-08', '-1.32549', '0.408271', '-1.99095', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620259', '1153974', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '1', '0', '-3.20013e-08', '-3.23728', '0.408271', '-1.92296', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620260', '1153974', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '1', '0', '-3.20013e-08', '-5.10839', '0.408271', '-1.94465', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620261', '1153974', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.010799', '0', '0.999942', '-5.1781', '0.408271', '-5.19573', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620262', '1153974', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.010799', '0', '0.999942', '-3.26528', '0.408271', '-5.2224', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620263', '1153974', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.010799', '0', '0.999942', '-1.39497', '0.408271', '-5.16048', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620264', '1153974', 'object/tangible/furniture/modern/shared_rug_oval_m_s02.iff', '0', '0.7071', '0', '0.707113', '6.76166', '0.408269', '-7.04736', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620266', '1153974', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff', '0', '0', '0', '1', '6.9367', '0.408271', '-10.3842', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620267', '1153974', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff', '0', '-0.7071', '0', '0.707113', '10.8137', '0.408271', '-7.03778', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620268', '1153974', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff', '0', '0.7071', '0', '0.707113', '2.89697', '0.40827', '-7.22413', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620269', '1153974', 'object/static/item/shared_item_con_bag_ingredients_lg_s1.iff', '0', '0.7071', '0', '0.707113', '-7.75078', '0.408271', '-6.41343', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620270', '1153974', 'object/static/item/shared_item_con_barrel_lg_s1.iff', '0', '0', '0', '1', '-6.90376', '0.408271', '-7.79021', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620271', '1153974', 'object/static/item/shared_item_con_barrel_lg_s1.iff', '0', '0', '0', '1', '-5.87327', '0.408271', '-7.81187', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620272', '1153974', 'object/static/item/shared_item_painting_tatooine_style_01.iff', '0', '0', '0', '1', '10.8769', '0.408271', '-1.16732', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620275', '1153974', 'object/tangible/furniture/modern/shared_love_seat_modern_style_01.iff', '0', '1', '0', '-3.20013e-08', '3.68037', '0.408271', '2.44241', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620276', '1153974', 'object/tangible/furniture/technical/shared_coffee_table_s01.iff', '0', '0', '0', '1', '5.46028', '0.408271', '2.36811', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153975', '1153972', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620048', '1153975', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_03.iff', '0', '0.707109', '0', '0.707105', '-3.51694', '1.00421', '7.35886', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620050', '1153975', 'object/tangible/furniture/technical/shared_chair_s01.iff', '0', '0', '0', '1', '-4.33449', '1.00421', '5.43456', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620051', '1153975', 'object/tangible/furniture/technical/shared_chair_s01.iff', '0', '0', '0', '1', '-5.85877', '1.00421', '5.46297', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620052', '1153975', 'object/tangible/furniture/technical/shared_chair_s01.iff', '0', '1', '0', '3.20013e-08', '-5.85841', '1.00421', '9.18471', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620053', '1153975', 'object/tangible/furniture/technical/shared_chair_s01.iff', '0', '1', '0', '3.20013e-08', '-4.29583', '1.00421', '9.12465', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620054', '1153975', 'object/tangible/furniture/technical/shared_coffee_table_s01.iff', '0', '1', '0', '3.20013e-08', '-5.08356', '1.00421', '7.35256', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620055', '1153975', 'object/tangible/furniture/technical/shared_couch_s01.iff', '0', '0.707109', '0', '0.707105', '-7.13999', '1.00421', '7.33747', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620058', '1153975', 'object/tangible/furniture/technical/shared_end_table_s01.iff', '0', '0.92388', '0', '0.382683', '0.140119', '1.00421', '5.43114', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620059', '1153975', 'object/tangible/furniture/technical/shared_end_table_s01.iff', '0', '0.382683', '0', '0.92388', '0.0924255', '1.00421', '9.24917', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620106', '1153975', 'object/tangible/furniture/technical/shared_couch_s01.iff', '0', '-0.7071', '0', '0.707114', '-3.11333', '1.00421', '7.31048', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620107', '1153975', 'object/tangible/furniture/technical/shared_couch_s01.iff', '0', '0.7071', '0', '0.707114', '-2.41171', '1.00421', '7.31242', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620121', '1153975', 'object/tangible/furniture/technical/shared_coffee_table_s01.iff', '0', '0', '0', '1', '-0.90795', '1.00421', '7.33114', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620155', '1153975', 'object/static/item/shared_item_bowl_carved.iff', '0', '0.718464', '0', '-0.695564', '-0.86453', '1.00421', '7.28498', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620156', '1153975', 'object/static/item/shared_item_fruit_melon.iff', '-0.192466', '0.699679', '0.00872887', '-0.68799', '-0.971995', '1.00421', '7.31807', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620157', '1153975', 'object/static/item/shared_item_fruit_melon.iff', '0.0770991', '0.707168', '0.0851279', '-0.697655', '-0.811338', '1.00421', '7.37345', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620158', '1153975', 'object/static/item/shared_item_fruit_melon.iff', '-0.062288', '0.714145', '-0.078644', '-0.692771', '-0.836659', '1.00421', '7.21869', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153976', '1153972', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153977', '1153972', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153978', '1153972', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153979', '1153972', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153980', '1153972', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153981', '1153972', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153982', '1153972', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153983', '1153972', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153984', '1153972', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153985', '0', 'object/building/tatooine/shared_housing_tatt_style01_med.iff', '0', '0.999991', '0', '0.00420363', '1419', '11', '3189.15', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153986', '1153985', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648483', '1153986', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s02.iff', '0', '0.710073', '0', '-0.704128', '4.72441', '1.00421', '10.7926', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648484', '1153986', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '-0.00419958', '0', '0.999991', '4.44774', '1.00421', '10.7678', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648485', '1153986', 'object/tangible/furniture/modern/shared_armoire_modern_style_01.iff', '0', '-0.00420377', '0', '0.999991', '5.19509', '1.00421', '3.68328', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153987', '1153985', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620340', '1153987', 'object/tangible/furniture/modern/shared_rug_oval_sml_s01.iff', '0.707108', '-0.707106', '6.01577e-08', '-2.98023e-08', '10.8769', '0.408271', '-2.793', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620341', '1153987', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s02.iff', '0', '1', '0', '-3.20013e-08', '10.3962', '0.408271', '-0.136364', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620342', '1153987', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s02.iff', '0', '0', '0', '1', '10.7577', '0.408271', '-5.72569', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620343', '1153987', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.707108', '0', '0.707106', '10.7274', '0.408271', '-5.45545', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620344', '1153987', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '-0.7071', '0', '0.707114', '10.4188', '0.408271', '-0.413104', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620345', '1153987', 'object/tangible/furniture/modern/shared_couch_modern_style_02.iff', '0', '-0.7071', '0', '0.707114', '10.571', '0.408271', '-2.93705', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620371', '1153987', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s03.iff', '0', '-0.382683', '0', '0.92388', '4.97805', '0.408271', '-10.4224', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620372', '1153987', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s03.iff', '0', '0.92388', '0', '-0.382683', '8.6714', '0.408271', '-10.438', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620373', '1153987', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '1', '0', '4.00887e-11', '7.50783', '0.40827', '-8.67673', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620374', '1153987', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0', '0', '1', '6.12597', '0.40827', '-8.63044', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620375', '1153987', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '0', '0', '1', '6.81401', '0.408271', '-10.442', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620376', '1153987', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.707098', '0', '0.707115', '4.51949', '0.40827', '-8.68554', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620377', '1153987', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.707107', '0', '-0.707106', '8.95072', '0.40827', '-8.68031', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620378', '1153987', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '1', '0', '4.00887e-11', '7.7954', '0.408269', '-7.0685', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620379', '1153987', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '1', '0', '4.00887e-11', '5.74071', '0.408269', '-7.0898', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620393', '1153987', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s01.iff', '0', '0', '0', '1', '9.55397', '0.408271', '-10.3031', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620394', '1153987', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s01.iff', '0', '-0.49392', '0', '0.869507', '4.07646', '0.408271', '-10.3573', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620396', '1153987', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s02.iff', '0', '0', '0', '1', '6.78225', '0.408269', '-6.83585', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620397', '1153987', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_05.iff', '0', '0', '0', '1', '-1.3424', '0.40827', '-8.00412', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620399', '1153987', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.707103', '0', '0.70711', '-4.01692', '0.408271', '-7.00664', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620400', '1153987', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.707103', '0', '0.70711', '-4.07043', '0.40827', '-9.42618', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620401', '1153987', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.710073', '0', '-0.704128', '1.40195', '0.40827', '-9.47155', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620402', '1153987', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '-0.608844', '0', '0.79329', '1.34089', '0.40827', '-7.09434', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620407', '1153987', 'object/tangible/furniture/modern/shared_end_table_large_modern_style_01.iff', '0', '0.707103', '0', '0.70711', '-1.38603', '0.40827', '-7.48807', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620408', '1153987', 'object/tangible/furniture/modern/shared_end_table_large_modern_style_01.iff', '0', '-0.707103', '0', '0.70711', '-1.34218', '0.40827', '-8.50242', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648464', '1153987', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.710072', '0', '-0.704129', '-10.9779', '0.408271', '2.42794', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648465', '1153987', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s02.iff', '0', '0.999991', '0', '0.004204', '-11.0105', '0.408271', '2.64761', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648468', '1153987', 'object/tangible/furniture/modern/shared_couch_modern_style_02.iff', '0', '0.704131', '0', '0.71007', '-10.8004', '0.408271', '-0.0887792', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648469', '1153987', 'object/tangible/furniture/modern/shared_end_table_large_modern_style_01.iff', '0', '0.707669', '0', '0.706544', '-1.3343', '0.408271', '-1.47983', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648470', '1153987', 'object/tangible/furniture/modern/shared_end_table_large_modern_style_01.iff', '0', '-0.706544', '0', '0.707669', '-1.2919', '0.408271', '-2.49415', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648471', '1153987', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '-0.706544', '0', '0.707669', '1.3382', '0.408271', '-2.98005', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648472', '1153987', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.793774', '0', '0.608212', '-4.01947', '0.408271', '-2.88347', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648473', '1153987', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.704691', '0', '0.709515', '-4.0796', '0.408271', '-0.88967', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648474', '1153987', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_05.iff', '0', '1', '0', '-0.000791889', '-1.3347', '0.408271', '-1.97817', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648475', '1153987', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '-0.706544', '0', '0.707669', '1.39558', '0.408271', '-0.560161', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648476', '1153987', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.998421', '0', '-0.056165', '-3.06736', '0.408271', '1.48186', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648477', '1153987', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.933697', '0', '-0.358065', '0.515675', '0.408271', '1.54822', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648478', '1153987', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff', '0', '0.713864', '0', '-0.700285', '10.8769', '0.408271', '-7.06561', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648479', '1153987', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff', '0', '-0.707103', '0', '0.70711', '10.8769', '0.408271', '0.984283', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648480', '1153987', 'object/tangible/furniture/modern/shared_armoire_modern_style_01.iff', '0', '0.707103', '0', '0.70711', '-7.90268', '0.408271', '-6.16743', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648481', '1153987', 'object/tangible/furniture/modern/shared_cabinet_modern_style_01.iff', '0', '1', '0', '-3.20013e-08', '3.81542', '0.408271', '2.64761', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648482', '1153987', 'object/tangible/furniture/modern/shared_cabinet_modern_style_01.iff', '0', '1', '0', '-3.20013e-08', '-6.91651', '0.408271', '2.64761', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153988', '1153985', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648428', '1153988', 'object/tangible/furniture/modern/shared_dining_table_modern_style_01.iff', '0', '0.00659341', '0', '0.999978', '-3.68496', '1.00421', '7.07344', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648429', '1153988', 'object/tangible/furniture/modern/shared_rug_oval_lg_s01.iff', '0', '0.711753', '0', '0.70243', '-3.68532', '1.00421', '7.05092', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648430', '1153988', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.758881', '0', '0.65123', '-8.01125', '1.00421', '6.99596', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648431', '1153988', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.705694', '0', '0.708517', '0.498236', '1.00421', '6.93185', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648432', '1153988', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.377035', '0', '0.926199', '-5.69019', '1.00421', '5.19944', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648433', '1153988', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.221554', '0', '0.975148', '-1.9639', '1.00421', '5.11242', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648434', '1153988', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.930799', '0', '0.365532', '-5.541', '1.00421', '8.73158', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648435', '1153988', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.903731', '0', '-0.428101', '-1.81405', '1.00421', '8.68708', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648436', '1153988', 'object/static/item/shared_item_painting_agrilat_swamp_style_01.iff', '0', '-0.702429', '0', '0.711754', '-3.47268', '1.00421', '10.844', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648437', '1153988', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0.00659341', '0', '0.999978', '-9.86558', '1.00421', '3.87761', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648438', '1153988', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0.00659341', '0', '0.999978', '-9.86558', '1.00421', '4.09018', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648439', '1153988', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0.00659341', '0', '0.999978', '-9.86558', '1.00421', '4.10309', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648440', '1153988', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0.00659341', '0', '0.999978', '-9.86558', '1.00421', '4.36077', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648441', '1153988', 'object/static/item/shared_item_jar_spice_red.iff', '0', '0.00659341', '0', '0.999978', '-9.86558', '1.00421', '9.76746', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648442', '1153988', 'object/static/item/shared_item_jar_spice_red.iff', '0', '0.00659341', '0', '0.999978', '-9.86558', '1.00421', '10.015', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648443', '1153988', 'object/static/item/shared_item_jar_spice_red.iff', '0', '0.00659341', '0', '0.999978', '-9.86558', '1.00421', '9.84225', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648444', '1153988', 'object/static/item/shared_item_jar_spice_white.iff', '0', '0.00659341', '0', '0.999978', '-9.86558', '1.00421', '6.34213', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648445', '1153988', 'object/static/item/shared_item_jar_spice_red.iff', '0', '0.00659341', '0', '0.999978', '-9.86558', '1.00421', '9.38885', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648446', '1153988', 'object/static/item/shared_item_jar_spice_white.iff', '0', '0.00659341', '0', '0.999978', '-9.86558', '1.00421', '6.55121', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648447', '1153988', 'object/static/item/shared_item_jar_spice_white.iff', '0', '0.00659341', '0', '0.999978', '-9.86558', '1.00421', '6.85413', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648448', '1153988', 'object/static/item/shared_item_glass_empty.iff', '0', '0.00659341', '0', '0.999978', '2.20687', '1.00421', '8.57569', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648449', '1153988', 'object/static/item/shared_item_glass_empty.iff', '0', '0.00659341', '0', '0.999978', '2.20687', '1.00421', '8.38172', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648450', '1153988', 'object/static/item/shared_item_glass_empty.iff', '0', '0.00659341', '0', '0.999978', '2.20687', '1.00421', '8.39076', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648451', '1153988', 'object/static/item/shared_item_glass_empty.iff', '0', '0.00659341', '0', '0.999978', '2.20687', '1.00421', '8.21164', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648452', '1153988', 'object/static/item/shared_item_glass_empty.iff', '0', '0.00659341', '0', '0.999978', '2.20687', '1.00421', '8.22048', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648453', '1153988', 'object/static/item/shared_item_glass_empty.iff', '0', '0.00659341', '0', '0.999978', '2.20687', '1.00421', '8.10943', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648454', '1153988', 'object/static/item/shared_item_bottle_tall.iff', '0', '0.00659341', '0', '0.999978', '2.20687', '1.00421', '9.86788', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648455', '1153988', 'object/static/item/shared_item_bottle_tall.iff', '0', '0.00659341', '0', '0.999978', '2.20687', '1.00421', '9.61762', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648456', '1153988', 'object/static/item/shared_item_bottle_tall.iff', '0', '0.00659341', '0', '0.999978', '2.20687', '1.00421', '9.40309', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648457', '1153988', 'object/static/item/shared_item_bottle_fat.iff', '0', '0.00659341', '0', '0.999978', '2.20687', '1.00421', '4.56982', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648458', '1153988', 'object/static/item/shared_item_bottle_fat.iff', '0', '0.00659341', '0', '0.999978', '2.20687', '1.00421', '4.89812', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648459', '1153988', 'object/static/item/shared_item_bottle_pear.iff', '0', '0.00659341', '0', '0.999978', '2.20687', '1.00421', '4.17756', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153989', '1153985', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153990', '1153985', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153991', '1153985', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153992', '1153985', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153993', '1153985', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153994', '1153985', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153995', '1153985', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153996', '1153985', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153997', '1153985', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153998', '0', 'object/building/tatooine/shared_housing_tatt_style01_large.iff', '0', '-0.00500015', '0', '0.999987', '1390.74', '11', '3123.92', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1153999', '1153998', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627697', '1153999', 'object/static/item/shared_item_painting_bothan_style_01.iff', '0', '0.707107', '0', '0.707107', '0.130602', '2.0286', '8.82336', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627698', '1153999', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '0', '0', '1', '0.721739', '2.0286', '9.06689', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627699', '1153999', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '1', '0', '-3.20013e-08', '-0.534285', '2.0286', '9.05817', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627701', '1153999', 'object/tangible/furniture/all/shared_frn_all_decorative_sm_s1.iff', '0', '0', '0', '1', '0.783259', '2.75593', '9.00279', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627702', '1153999', 'object/tangible/furniture/all/shared_frn_all_decorative_sm_s1.iff', '0', '-0.005', '0', '0.999987', '-0.590954', '2.75593', '9.01043', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627703', '1153999', 'object/tangible/furniture/tatooine/shared_frn_tatt_cantina_droid_detector.iff', '0', '0.707102', '0', '0.707112', '-7.41101', '2.00004', '9.37678', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627704', '1153999', 'object/tangible/furniture/tatooine/shared_frn_tatt_cantina_droid_detector.iff', '0', '-0.707102', '0', '0.707112', '7.69818', '1.98677', '9.33713', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627705', '1153999', 'object/static/item/shared_item_slave_brazier.iff', '0', '-0.384808', '0', '0.922997', '7.76295', '1.98655', '9.54438', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627706', '1153999', 'object/static/item/shared_item_slave_brazier.iff', '0', '-0.380188', '0', '0.924909', '-7.46593', '2.00047', '9.37038', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154000', '1153998', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627710', '1154000', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_03.iff', '0', '-0.707102', '0', '0.707112', '0.28917', '0.509163', '-6.39527', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627711', '1154000', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '1', '0', '3.20013e-08', '4.22446', '0.509055', '-3.05888', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627712', '1154000', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '1', '0', '3.20013e-08', '-3.95233', '0.509112', '-3.04107', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627713', '1154000', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '1', '0', '3.20013e-08', '0.0917168', '0.509112', '-3.04332', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627714', '1154000', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '0', '0', '1', '4.34433', '0.512168', '-9.77866', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627715', '1154000', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '0', '0', '1', '0.256903', '0.512189', '-9.80173', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627716', '1154000', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '0', '0', '1', '-3.79838', '0.512226', '-9.84184', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627717', '1154000', 'object/tangible/furniture/elegant/shared_love_seat_s01.iff', '0', '-0.707102', '0', '0.707112', '5.72417', '0.51073', '-6.4271', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627718', '1154000', 'object/tangible/furniture/elegant/shared_love_seat_s01.iff', '0', '0.707102', '0', '0.707112', '-5.13126', '0.510718', '-6.43936', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627719', '1154000', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '5.81427', '0.509246', '-3.4681', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627720', '1154000', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '-5.37005', '0.509297', '-3.50301', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627721', '1154000', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '5.88465', '0.512286', '-9.55054', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627722', '1154000', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '-5.29467', '0.512132', '-9.57912', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627723', '1154000', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff', '0', '-0.707102', '0', '0.707112', '3.43533', '0.510221', '-6.45839', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627724', '1154000', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff', '0', '0', '0', '1', '0.124215', '0.509112', '-4.94468', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627725', '1154000', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff', '0', '0', '0', '1', '0.242972', '0.51049', '-7.96906', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627726', '1154000', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff', '0', '-0.707102', '0', '0.707112', '-2.9472', '0.510042', '-6.46703', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627727', '1154000', 'object/tangible/furniture/modern/shared_dining_table_modern_style_01.iff', '0', '0', '0', '1', '-0.0464427', '0.995763', '5.26782', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627729', '1154000', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0', '0', '1', '-2.60405', '0.999313', '3.10092', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627730', '1154000', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.005', '0', '0.999987', '-0.194488', '0.997721', '3.00818', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627731', '1154000', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.0848973', '0', '0.99639', '2.30782', '0.995876', '3.18399', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627732', '1154000', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.999388', '0', '-0.034993', '2.2932', '0.993319', '7.36428', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627733', '1154000', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.995953', '0', '0.0898786', '-2.64255', '0.993339', '7.4227', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627734', '1154000', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.99995', '0', '-0.00999985', '-0.123505', '0.993319', '7.53', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627735', '1154000', 'object/tangible/furniture/elegant/shared_cabinet_s01.iff', '0', '0.92388', '0', '0.382683', '-4.00173', '0.993319', '7.98694', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627736', '1154000', 'object/tangible/furniture/elegant/shared_cabinet_s01.iff', '0', '0.925782', '0', '-0.378059', '3.85561', '0.993319', '7.98694', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627737', '1154000', 'object/static/item/shared_item_painting_agrilat_swamp_style_01.iff', '0', '-0.707102', '0', '0.707112', '-0.110418', '0.993319', '7.98694', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627738', '1154000', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff', '0', '-0.005', '0', '0.999987', '0.188669', '0.512662', '-11.3096', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627739', '1154000', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '-0.005', '0', '0.999987', '1.98613', '0.512662', '-11.248', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627740', '1154000', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '-0.005', '0', '0.999987', '-1.6243', '0.512662', '-11.2619', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627741', '1154000', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '-0.005', '0', '0.999987', '6.00643', '0.512662', '-11.2207', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627742', '1154000', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '-0.005', '0', '0.999987', '-5.95464', '0.512662', '-11.1929', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627743', '1154000', 'object/tangible/furniture/all/shared_frn_all_decorative_sm_s1.iff', '0', '-0.0149995', '0', '0.999888', '0.671873', '0.512662', '-11.2014', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627744', '1154000', 'object/tangible/furniture/all/shared_frn_all_decorative_sm_s1.iff', '0', '-0.0149995', '0', '0.999888', '-0.225666', '0.512662', '-11.173', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627745', '1154000', 'object/tangible/furniture/all/shared_frn_all_decorative_sm_s2.iff', '0', '-0.609159', '0', '0.793048', '0.244149', '0.512662', '-11.2096', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627746', '1154000', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s05.iff', '0', '0', '0', '1', '1.97368', '0.512662', '-11.2479', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627747', '1154000', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s05.iff', '0', '0', '0', '1', '-1.65045', '0.512662', '-11.2682', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627748', '1154000', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '-0.572868', '0', '0.819648', '6.00648', '0.512662', '-11.2508', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627749', '1154000', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '0.947396', '0', '-0.320064', '-5.9547', '0.512662', '-11.1589', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627750', '1154000', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '-0.0100001', '0', '0.99995', '-14.1915', '0.997767', '-3.4918', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627751', '1154000', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s05.iff', '0', '-0.005', '0', '0.999987', '-14.205', '0.997803', '-3.49157', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627754', '1154000', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_04.iff', '0', '0', '0', '1', '10.557', '0.998829', '7.43216', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627755', '1154000', 'object/tangible/furniture/elegant/shared_love_seat_s01.iff', '0', '0.710633', '0', '-0.703563', '12.2278', '0.991146', '-0.327067', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627756', '1154000', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '-0.00499998', '0', '0.999987', '12.2128', '0.991731', '1.17286', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627757', '1154000', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '-0.00499998', '0', '0.999987', '12.2428', '0.991106', '-1.82699', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627758', '1154000', 'object/tangible/furniture/elegant/shared_bookcase_s01.iff', '0', '0.710633', '0', '-0.703563', '12.4322', '0.992284', '2.67368', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627760', '1154000', 'object/tangible/furniture/elegant/shared_bookcase_s01.iff', '0', '0.710633', '0', '-0.703563', '12.437', '0.991016', '-3.29418', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627762', '1154000', 'object/tangible/furniture/elegant/shared_cabinet_s01.iff', '0', '0.710633', '0', '-0.703563', '12.4172', '0.99287', '4.1736', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627763', '1154000', 'object/tangible/furniture/elegant/shared_cabinet_s01.iff', '0', '0.710633', '0', '-0.703563', '12.4309', '0.991016', '-4.79401', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154001', '1153998', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154002', '1153998', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154003', '1153998', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154004', '1153998', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154005', '1153998', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154006', '1153998', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154007', '1153998', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154008', '1153998', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1721378', '1153998', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1721379', '1153998', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1721380', '1153998', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1721381', '1153998', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1721382', '1153998', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1721383', '1153998', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1721384', '1153998', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1721385', '1153998', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1721386', '1153998', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1721387', '1153998', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1721388', '1153998', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154020', '0', 'object/building/tatooine/shared_housing_tatt_style01_med.iff', '0', '0.999942', '0', '0.0107924', '1418.82', '11', '3216.85', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154021', '1154020', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648486', '1154021', 'object/tangible/furniture/technical/shared_coffee_table_s01.iff', '0', '0', '0', '1', '4.53932', '1.00421', '10.3961', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648487', '1154021', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s04.iff', '0', '0', '0', '1', '4.65275', '1.00421', '10.3121', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648513', '1154021', 'object/tangible/furniture/technical/shared_coffee_table_s01.iff', '0', '-0.704125', '0', '0.710076', '4.51121', '1.00421', '4.23173', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648514', '1154021', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s04.iff', '0', '-0.704125', '0', '0.710076', '4.59882', '1.00421', '4.34193', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648535', '1154021', 'object/static/item/shared_item_kitchen_pot_style_03.iff', '0', '0', '0', '1', '4.12912', '1.00421', '6.48627', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154022', '1154020', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648490', '1154022', 'object/tangible/furniture/modern/shared_armoire_modern_style_01.iff', '0', '1', '0', '-3.20013e-08', '9.42827', '0.408257', '6.08549', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648491', '1154022', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff', '0', '0.999994', '0', '0.00340688', '-7.83224', '0.408271', '2.64761', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648492', '1154022', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_05.iff', '0', '0.0015934', '0', '0.999999', '6.92731', '0.408269', '-6.95099', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648493', '1154022', 'object/tangible/furniture/modern/shared_love_seat_modern_style_01.iff', '0', '-0.410869', '0', '0.911694', '-2.5342', '0.40827', '-9.5849', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648494', '1154022', 'object/tangible/furniture/modern/shared_love_seat_modern_style_01.iff', '0', '0.897208', '0', '-0.441608', '0.566708', '0.40827', '-9.62775', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648495', '1154022', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.935053', '0', '-0.354509', '9.5962', '0.408271', '-3.96051', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648496', '1154022', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '-0.355461', '0', '0.934691', '9.53403', '0.40827', '-9.91039', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648497', '1154022', 'object/tangible/furniture/modern/shared_couch_modern_style_02.iff', '0', '-0.705694', '0', '0.708517', '10.1692', '0.408271', '-6.88742', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648498', '1154022', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '0.0015934', '0', '0.999999', '6.93443', '0.408268', '-3.51941', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648499', '1154022', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '0.0015934', '0', '0.999999', '6.92852', '0.408271', '-10.4861', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648500', '1154022', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.383134', '0', '0.923693', '4.36621', '0.40827', '-9.7794', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648501', '1154022', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.931959', '0', '0.362564', '4.5438', '0.408271', '-4.04545', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648502', '1154022', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff', '0', '0.999999', '0', '-0.00159311', '4.57124', '0.408271', '2.64761', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648503', '1154022', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '-0.46922', '0', '0.883082', '-1.98198', '0.408271', '-10.2422', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648504', '1154022', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '0.818277', '0', '-0.574824', '0.0658751', '0.408271', '-10.3807', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648505', '1154022', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_02.iff', '0', '0.277886', '0', '0.960614', '-1.0453', '0.408271', '-10.7428', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648506', '1154022', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0', '0.0015934', '0', '0.999999', '2.93216', '0.408271', '2.48799', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648507', '1154022', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0', '-0.0034066', '0', '0.999994', '-6.09713', '0.408271', '2.49425', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648508', '1154022', 'object/tangible/furniture/modern/shared_armoire_modern_style_01.iff', '0', '0.708232', '0', '0.70598', '-7.90268', '0.408271', '-6.09931', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648509', '1154022', 'object/static/item/shared_item_painting_naboo_style_01.iff', '0', '0.0015934', '0', '0.999999', '10.8769', '0.408271', '0.476336', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648510', '1154022', 'object/static/item/shared_item_painting_endor_style_01.iff', '0', '0.0015934', '0', '0.999999', '10.8769', '0.408271', '-1.94765', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648511', '1154022', 'object/static/item/shared_item_painting_corellia_style_02.iff', '0', '0.0015934', '0', '0.999999', '10.8769', '0.408271', '-5.39646', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648515', '1154022', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '0', '0', '1', '6.94725', '0.408271', '-10.5263', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648516', '1154022', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '0', '0', '1', '6.9398', '0.408268', '-3.52941', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154023', '1154020', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648517', '1154023', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '0.959437', '0', '-0.281923', '-6.56132', '1.00421', '8.02312', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648518', '1154023', 'object/tangible/crafting/station/shared_food_station.iff', '0', '1', '0', '-3.20217e-08', '-3.25806', '1.00421', '10.4001', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648519', '1648518', 'object/tangible/hopper/shared_crafting_station_ingredient_hopper_1.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648520', '1154023', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0', '0', '1', '-7.51458', '1.00421', '6.37638', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648521', '1154023', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '0.944148', '0', '0.329521', '-8.9749', '1.00421', '7.83399', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648522', '1154023', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '0.488177', '0', '0.872745', '-9.25432', '1.00421', '4.9519', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648523', '1154023', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '-0.509841', '0', '0.860269', '-6.19545', '1.00421', '5.2835', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648524', '1154023', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0.707071', '0.00707087', '0.00707086', '-0.707071', '-5.29848', '1.00421', '10.844', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648525', '1154023', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0.707071', '0.00707087', '0.00707086', '-0.707071', '-5.29849', '1.00421', '10.844', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648526', '1154023', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0.707071', '0.00707087', '0.00707086', '-0.707071', '-5.29848', '1.00421', '10.844', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648527', '1154023', 'object/static/item/shared_item_jar_spice_red.iff', '0', '0', '0', '1', '2.20687', '1.00421', '8.9992', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648528', '1154023', 'object/static/item/shared_item_jar_spice_red.iff', '0', '0', '0', '1', '2.20687', '1.00421', '8.61752', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648529', '1154023', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0', '0', '1', '2.20687', '1.00421', '4.03113', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648530', '1154023', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0', '0', '1', '2.20687', '1.00421', '3.95056', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648531', '1154023', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0', '0', '1', '2.20687', '1.00421', '4.42378', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648532', '1154023', 'object/static/item/shared_item_kitchen_pot_style_01.iff', '0', '0', '0', '1', '2.20687', '1.00421', '7.64988', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648533', '1154023', 'object/static/item/shared_item_kitchen_pot_style_02.iff', '0', '0', '0', '1', '2.20687', '1.00421', '7.22473', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648534', '1154023', 'object/static/item/shared_item_kitchen_pot_style_02.iff', '0', '0', '0', '1', '2.20687', '1.00421', '7.0369', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648536', '1154023', 'object/static/item/shared_item_kitchen_pot_style_03.iff', '0', '0.999415', '0', '0.0341971', '2.20687', '1.00421', '6.34916', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648537', '1154023', 'object/static/item/shared_item_kitchen_pot_style_01.iff', '0', '0', '0', '1', '2.20687', '1.00421', '6.10274', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648538', '1154023', 'object/static/item/shared_item_jar_berries.iff', '0', '0', '0', '1', '2.20687', '1.00421', '8.11124', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648539', '1154023', 'object/static/item/shared_item_jar_berries.iff', '0', '0', '0', '1', '2.20687', '1.00421', '7.84448', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648540', '1154023', 'object/static/item/shared_item_jar_funk.iff', '0', '0', '0', '1', '2.20687', '1.00421', '4.79571', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648542', '1154023', 'object/static/item/shared_item_con_barrel_lg_s1.iff', '0', '0', '0', '1', '-8.18289', '1.00421', '10.6648', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648543', '1154023', 'object/static/item/shared_item_con_barrel_lg_s1.iff', '0', '0', '0', '1', '-7.05112', '1.00421', '10.4727', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648544', '1154023', 'object/static/item/shared_item_con_bag_ingredients_lg_s1.iff', '0', '0.0149995', '0', '0.999888', '-9.86558', '1.00421', '8.66339', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648545', '1154023', 'object/static/item/shared_item_bottle_fat.iff', '0', '0.0149995', '0', '0.999888', '-9.86558', '1.00421', '8.06201', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648546', '1154023', 'object/static/item/shared_item_bottle_fat.iff', '0', '0.0149995', '0', '0.999888', '-9.86558', '1.00421', '7.88463', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648547', '1154023', 'object/static/item/shared_item_bottle_fat.iff', '0', '0.0149995', '0', '0.999888', '-9.86558', '1.00421', '7.49356', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648548', '1154023', 'object/static/item/shared_item_bowl_plain.iff', '0', '0.0149995', '0', '0.999888', '-9.86558', '1.00421', '7.031', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648549', '1154023', 'object/static/item/shared_item_bowl_plain.iff', '0', '0.0149995', '0', '0.999888', '-9.86558', '1.00421', '6.41833', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648550', '1154023', 'object/static/item/shared_item_bowl_carved.iff', '0', '0.0149995', '0', '0.999888', '-9.86558', '1.00421', '5.85927', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648551', '1154023', 'object/static/item/shared_item_bottle_tall.iff', '0', '0.0149995', '0', '0.999888', '-9.86558', '1.00421', '5.21065', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648552', '1154023', 'object/static/item/shared_item_bottle_pear.iff', '0', '0.0149995', '0', '0.999888', '-9.86558', '1.00421', '4.74788', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648553', '1154023', 'object/static/item/shared_item_bottle_pear.iff', '0', '0.0149995', '0', '0.999888', '-9.86558', '1.00421', '4.92761', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648554', '1154023', 'object/static/item/shared_item_bottle_pear.iff', '0', '0.0149995', '0', '0.999888', '-9.86558', '1.00421', '4.48927', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1648556', '1154023', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_02.iff', '0', '0.707103', '0', '0.707111', '-3.02201', '1.00421', '9.6232', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154024', '1154020', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154025', '1154020', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154026', '1154020', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154027', '1154020', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154028', '1154020', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154029', '1154020', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154030', '1154020', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154031', '1154020', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154032', '1154020', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154034', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.720827', '0', '-0.693115', '1394.07', '10.0522', '3105.26', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154039', '0', 'object/static/structure/tatooine/shared_shed_junkshop_watto.iff', '0', '0.707952', '0', '0.70626', '1422.15', '11', '3127.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154044', '0', 'object/static/structure/tatooine/shared_wall_junkshop_watto.iff', '0', '0.999232', '0', '0.0391941', '1404.7', '7', '3128.86', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154045', '0', 'object/static/structure/tatooine/shared_shed_junkshop_watto.iff', '0', '0.713864', '0', '-0.700285', '1421.88', '11', '3118.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154046', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.724287', '0', '-0.689498', '1385.07', '10.0522', '3105.13', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154048', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_1.iff', '0', '-0.361616', '0', '0.932327', '1361.58', '11', '3128.74', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154050', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.0149983', '0', '0.999888', '1332.07', '10.0036', '3208', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154051', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.0249968', '0', '0.999688', '1332.58', '9.99775', '3200.04', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154053', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.0149998', '0', '0.999887', '1332.68', '10.0036', '3191.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154056', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.0349921', '0', '0.999388', '1333.8', '10.0036', '3166.19', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154057', '0', 'object/static/structure/tatooine/shared_shed_junkshop_watto.iff', '0', '-0.706788', '0', '0.707425', '1357.8', '11', '3118.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154058', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.0199971', '0', '0.9998', '1333.97', '10.0036', '3157.17', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154060', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.0848987', '0', '0.99639', '1352.26', '10.0522', '3112.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154061', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.0299939', '0', '0.99955', '1334.54', '10.0036', '3149.21', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154062', '0', 'object/static/structure/tatooine/shared_wall_damaged_tatooine_large_style_01.iff', '0', '0.999983', '0', '-0.00579763', '1351.48', '10.0522', '3107.42', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154063', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.00999824', '0', '0.99995', '1334.43', '10.0036', '3140.22', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154065', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.0199977', '0', '0.9998', '1334.76', '10.0011', '3132.26', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154066', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.771754', '0', '0.635921', '1342.97', '10.0036', '3113.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154067', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.0100009', '0', '0.99995', '1334.77', '10.0011', '3123.24', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154068', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.0499788', '0', '0.99875', '1335.27', '10.0036', '3115.37', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154069', '0', 'object/static/structure/tatooine/shared_stair_tatooine_small_style_01.iff', '0', '-0.703287', '0', '0.710906', '3818.01', '11.9828', '2369.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154073', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_10.iff', '0', '0', '0', '1', '1527.67', '7', '3089', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154086', '0', 'object/building/tatooine/shared_filler_building_block_64x16_style_02.iff', '0', '0.00500459', '0', '0.999987', '1425.19', '7', '3421.39', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154096', '0', 'object/building/tatooine/shared_filler_building_block_64x16_style_02.iff', '0', '0.703313', '0', '0.71088', '1322.83', '7', '2941.09', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154108', '0', 'object/building/tatooine/shared_filler_building_block_64x32_style_01.iff', '0', '0.999232', '0', '0.0391913', '1242.02', '7', '3192.8', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154118', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.0149995', '0', '0.999888', '1332.04', '10.0036', '3216.85', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154120', '0', 'object/building/tatooine/shared_housing_tatt_style01_med.iff', '0', '0.713591', '0', '0.700562', '3780.99', '11.6173', '2391.21', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154121', '1154120', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1570358', '1154121', 'object/tangible/furniture/tatooine/shared_frn_tatt_cantina_droid_detector.iff', '0', '0.707105', '0', '0.707108', '4.2533', '1.00421', '7.98609', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1570359', '1154121', 'object/tangible/furniture/tatooine/shared_frn_tato_vase_style_02.iff', '0', '0', '0', '1', '4.30968', '1.00421', '10.5151', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1570361', '1154121', 'object/tangible/furniture/tatooine/shared_frn_tato_vase_style_02.iff', '0', '0', '0', '1', '4.32345', '1.00421', '4.00288', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1570364', '1154121', 'object/static/structure/general/shared_data_terminal_wall_s2.iff', '0', '0.707106', '0', '0.707108', '3.89579', '1.00421', '6.30726', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154122', '1154120', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '894826', '1154122', 'object/static/creature/shared_droids_r2_waiter.iff', '0', '0', '0', '1', '0.918621', '0.408271', '-5.46848', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106522', '1154122', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0', '0', '1', '9.16549', '0.408271', '-10.4758', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106523', '1154122', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0', '0', '1', '7.06044', '0.408271', '-10.4629', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106524', '1154122', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0', '0', '1', '4.89996', '0.408271', '-10.553', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106525', '1154122', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '0', '0', '1', '10.1964', '0.40827', '-8.35277', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106526', '1154122', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '0', '0', '1', '10.1807', '0.408271', '-6.09439', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106527', '1154122', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '0', '0', '1', '-10.3061', '0.408271', '1.97434', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106528', '1154122', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.707107', '0', '0.707107', '-11.012', '0.408271', '-0.543962', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106529', '1154122', 'object/tangible/gambling/slot/shared_standard.iff', '0', '1', '0', '-3.20013e-08', '-7.94289', '0.408271', '2.75964', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233987', '1154122', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_3.iff', '0', '0.707944', '0', '0.706269', '3.03982', '0.408271', '1.8969', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233988', '1154122', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_3.iff', '0', '0.388757', '0', '0.92134', '4.5626', '0.408271', '1.8017', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233989', '1154122', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_3.iff', '0', '0.709238', '0', '-0.704969', '5.87968', '0.408271', '1.82945', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233990', '1154122', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_2.iff', '0', '0.00658315', '0', '0.999978', '4.52728', '0.408271', '0.656992', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1234006', '1154122', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_3.iff', '0', '0.717363', '0', '-0.6967', '0.27614', '0.40827', '-9.8116', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1234007', '1154122', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_3.iff', '0', '0.999958', '0', '0.00921299', '-1.24891', '0.40827', '-9.7645', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1234008', '1154122', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_3.iff', '0', '0.693679', '0', '0.720284', '-2.56451', '0.40827', '-9.83391', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1234009', '1154122', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_2.iff', '0', '0.999958', '0', '0.00921299', '-1.24975', '0.40827', '-8.6193', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1234014', '1154122', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_3.iff', '0', '0.717363', '0', '-0.6967', '5.75394', '0.408268', '-4.41364', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1234015', '1154122', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_3.iff', '0', '0.999958', '0', '0.00921299', '4.63599', '0.408271', '-4.37183', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1234016', '1154122', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_3.iff', '0', '0.693679', '0', '0.720284', '3.51753', '0.408271', '-4.51646', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1234026', '1154122', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_3.iff', '0', '0.717363', '0', '-0.6967', '4.569', '0.40827', '-8.10176', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1234027', '1154122', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_3.iff', '0', '0.693679', '0', '0.720284', '1.72835', '0.40827', '-8.12407', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1234028', '1154122', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_3.iff', '0', '0.999983', '0', '-0.00578635', '4.6926', '0.408271', '-3.26044', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1234029', '1154122', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_3.iff', '0', '0.00158272', '0', '0.999999', '4.5615', '0.408271', '-5.64024', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1570357', '1154122', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_3.iff', '0', '0', '0', '1', '3.09983', '0.40827', '-8.15564', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1570365', '1154122', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '0.707105', '0', '0.707108', '10.5033', '0.408271', '-1.59514', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1570366', '1154122', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '10.6126', '1.19884', '-1.65263', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1570367', '1154122', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '10.415', '1.19884', '-1.25019', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1570368', '1154122', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '10.6731', '1.19884', '-3.10293', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1570369', '1154122', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '10.5371', '1.19884', '-2.00759', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1570370', '1154122', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '10.2397', '1.19842', '-1.9806', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1570371', '1154122', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '10.8684', '1.19884', '-2.65028', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1570372', '1154122', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '10.5073', '1.19884', '-2.64253', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1570374', '1154122', 'object/static/item/shared_item_glass_white.iff', '0', '0', '0', '1', '10.4923', '0.408266', '-0.608912', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1570375', '1154122', 'object/static/item/shared_item_glass_white.iff', '0', '0', '0', '1', '10.5493', '0.408272', '-0.394987', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1570376', '1154122', 'object/static/item/shared_item_glass_white.iff', '0', '0', '0', '1', '10.2874', '0.408266', '-0.462272', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1570377', '1154122', 'object/static/item/shared_item_glass_white.iff', '0', '0', '0', '1', '10.479', '0.40827', '-0.190293', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1570378', '1154122', 'object/static/item/shared_item_glass_white.iff', '0', '0', '0', '1', '10.7482', '0.407945', '-0.26625', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611886', '1154122', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_1.iff', '0', '0', '0', '1', '-4.7903', '0.408271', '-3.65709', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611888', '1154122', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_1.iff', '0', '0', '0', '1', '-4.78748', '0.408271', '-5.23894', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611889', '1154122', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_1.iff', '0', '0', '0', '1', '-5.74604', '0.408271', '-4.44579', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611890', '1154122', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_1.iff', '0', '0', '0', '1', '-3.81834', '0.408271', '-4.4557', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611911', '1154122', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0', '0', '1', '-4.83063', '0.408271', '-6.51613', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611912', '1154122', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '1', '0', '-3.20013e-08', '-4.66755', '0.408271', '-2.28692', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611914', '1154122', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.707106', '0', '0.707108', '-7.22617', '0.408271', '-4.54121', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611915', '1154122', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '-0.707106', '0', '0.707108', '-2.48408', '0.408271', '-4.40445', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611917', '1154122', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_3.iff', '0', '0.92388', '0', '0.382683', '-6.65285', '0.408271', '-3.29802', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611918', '1154122', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_3.iff', '0', '0.382683', '0', '0.92388', '-6.69862', '0.408271', '-5.72195', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611920', '1154122', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.382683', '0', '0.92388', '-6.11538', '0.408271', '-6.2797', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611921', '1154122', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.92388', '0', '0.382683', '-6.08724', '0.408271', '-2.75377', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611927', '1154122', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_3.iff', '0', '-0.382683', '0', '0.92388', '-2.98135', '0.408271', '-5.68828', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611928', '1154122', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_3.iff', '0', '-0.382683', '0', '0.92388', '-3.51241', '0.408271', '-6.21878', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611930', '1154122', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.92388', '0', '-0.382683', '-3.49748', '0.408271', '-2.66361', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611932', '1154122', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.92388', '0', '-0.382683', '-2.93257', '0.408271', '-3.23817', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1611963', '1154122', 'object/tangible/furniture/tatooine/shared_frn_tato_vase_style_02.iff', '0', '0', '0', '1', '-4.78813', '0.408271', '-4.47021', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612042', '1154122', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s01.iff', '0', '0', '0', '1', '9.75166', '0.408271', '5.95406', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612045', '1154122', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s01.iff', '0', '0.707105', '0', '0.707108', '10.7014', '0.408267', '-4.48507', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612046', '1154122', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s01.iff', '0', '0.707106', '0', '0.707108', '10.6499', '0.408271', '1.44246', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612056', '1154122', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s01.iff', '0', '0.707107', '0', '-0.707107', '-7.7778', '0.408271', '-7.39389', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612059', '1154122', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s01.iff', '0', '-0.700562', '0', '0.713592', '-4.76237', '0.408271', '-8.90699', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612076', '1154122', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s01.iff', '0', '0.707107', '0', '-0.707107', '-10.9493', '0.408271', '-2.10663', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612077', '1154122', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s01.iff', '0', '0', '0', '1', '-6.20269', '0.408271', '2.55086', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285824', '1154122', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0.707107', '-2.26283e-08', '0.707107', '2.26283e-08', '6.17675', '-0.297927', '-6.7971', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285836', '1154122', 'object/tangible/furniture/all/shared_frn_all_decorative_sm_s3.iff', '0', '0.707107', '0', '0.707107', '1.72476', '-1.30986', '-0.702156', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8075427', '1154122', 'object/soundobject/shared_soundobject_cantina_small.iff', '0', '0', '0', '1', '0.136986', '0.408271', '-4.6389', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154123', '1154120', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612080', '1154123', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_03.iff', '0', '0.707105', '0', '0.707108', '-3.53635', '0.945252', '7.03403', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612111', '1154123', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_2.iff', '0', '1', '0', '-3.20013e-08', '-7.41306', '1.00421', '10.4988', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612112', '1154123', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_2.iff', '0', '1', '0', '-3.20013e-08', '0.389455', '1.00421', '10.5239', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612115', '1154123', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '1', '0', '-3.20013e-08', '-4.4953', '1.00421', '10.5866', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612116', '1154123', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '1', '0', '-3.20013e-08', '-3.58275', '1.00421', '10.5747', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612117', '1154123', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_3.iff', '0', '1', '0', '-3.20013e-08', '-2.64466', '1.00421', '10.5841', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612127', '1154123', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s01.iff', '0', '0', '0', '1', '-5.54613', '1.00421', '10.7028', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612128', '1154123', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s01.iff', '0', '0', '0', '1', '-1.46451', '1.00421', '10.6975', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612131', '1154123', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '-0.707106', '0', '0.707108', '1.65211', '1.00421', '7.73326', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612132', '1154123', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '-0.707106', '0', '0.707107', '1.65677', '1.00421', '6.78517', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612136', '1154123', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_03.iff', '0', '0', '0', '1', '1.75102', '1.03583', '8.63944', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612137', '1154123', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_03.iff', '0', '0', '0', '1', '1.69792', '1.06746', '5.90123', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612151', '1154123', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.70655', '0', '0.707663', '-8.75904', '1.00421', '6.56329', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612152', '1154123', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.706549', '0', '0.707664', '-8.76495', '1.00421', '7.51109', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612153', '1154123', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_03.iff', '0', '1', '0', '0.000787389', '-8.85636', '1.03583', '5.65662', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612154', '1154123', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_03.iff', '0', '1', '0', '0.000787389', '-8.80768', '1.06746', '8.39515', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154124', '1154120', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154125', '1154120', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154126', '1154120', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285758', '1154126', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.710354', '0', '-0.703845', '0.474209', '-3.96617', '-5.43339', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285759', '1154126', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '-0.699716', '0', '0.714421', '0.50741', '-3.96617', '-7.30614', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285760', '1154126', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '1', '0', '3.20013e-08', '0.498542', '-3.96617', '-6.55706', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285761', '1154126', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '0', '0', '1', '-2.15066', '-4.06475', '-0.466964', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154127', '1154120', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '894827', '1154127', 'object/static/creature/shared_droids_21b_medical.iff', '0', '0', '0', '1', '-6.82242', '-3.96617', '9.79229', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '894828', '1154127', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '0.857299', '0', '-0.514818', '-7.49804', '-3.27047', '10.5108', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '894835', '1154127', 'object/static/structure/corellia/shared_corl_power_box_node.iff', '0', '0', '0', '1', '-9.07356', '-3.96617', '12.0683', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '894848', '1154127', 'object/static/particle/shared_pt_steam_rise.iff', '0', '0', '0', '1', '-7.28628', '-1.95667', '10.2536', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '894852', '1154127', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '0.713591', '0', '0.700562', '-8.38678', '-3.27047', '10.4529', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '894854', '1154127', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '0.83028', '0', '0.557345', '-9.42494', '-3.27047', '10.4912', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '894857', '1154127', 'object/tangible/furniture/technical/shared_coffee_table_s01.iff', '0', '0', '0', '1', '-0.144296', '-3.96617', '4.60755', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '894859', '1154127', 'object/tangible/furniture/technical/shared_couch_s01.iff', '0', '-0.707106', '0', '0.707107', '1.07032', '-3.96617', '4.63992', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '894860', '1154127', 'object/tangible/furniture/technical/shared_couch_s01.iff', '0', '0.70655', '0', '0.707663', '-1.39316', '-3.96617', '4.60731', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '894861', '1154127', 'object/tangible/furniture/technical/shared_chair_s01.iff', '0', '-0.384808', '0', '0.922997', '-3.8265', '-3.96617', '9.074', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285734', '1154127', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s2.iff', '0', '0.706823', '0', '0.70739', '-8.87226', '-4.06475', '3.30704', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285735', '1154127', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s2.iff', '0', '0.713311', '0', '0.700847', '-8.84323', '-3.96617', '5.83075', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285736', '1154127', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s2.iff', '0', '0.710078', '0', '0.704122', '-8.89407', '-3.96617', '8.52801', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285739', '1154127', 'object/tangible/furniture/technical/shared_end_table_s01.iff', '0', '0.261909', '0', '0.965092', '-10.9221', '-4.06475', '4.60174', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285740', '1154127', 'object/tangible/furniture/technical/shared_end_table_s01.iff', '0', '0.964781', '0', '0.263053', '-10.9303', '-3.96617', '7.24549', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285741', '1154127', 'object/static/item/shared_item_glass_bluemilk.iff', '0', '0', '0', '1', '-10.8754', '-4.31402', '7.33087', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285742', '1154127', 'object/static/item/shared_item_bacta_ampules.iff', '0', '0', '0.710353', '0.703845', '-10.8536', '-3.64474', '4.78935', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285743', '1154127', 'object/static/item/shared_item_medic_bacta_tank.iff', '0.692017', '-0.155143', '0.125357', '-0.693779', '8.46526', '-3.11458', '10.9199', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285744', '1154127', 'object/static/structure/general/shared_droid_21bmedical_powerdown.iff', '0', '0.888928', '0', '-0.458046', '10.3215', '-3.36756', '10.4612', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285745', '1154127', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0', '0', '1', '9.91701', '-3.36756', '9.28484', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285746', '1154127', 'object/tangible/furniture/all/shared_frn_all_toolchest_med_s01.iff', '0', '-0.366273', '0', '0.930508', '9.95327', '-3.36756', '7.76718', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285747', '1154127', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.266731', '0', '0.963771', '9.66105', '-3.36756', '4.17836', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285748', '1154127', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.874601', '0', '0.484844', '9.55028', '-3.36756', '5.43407', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285749', '1154127', 'object/static/item/shared_item_container_inorganic_chemicals.iff', '0', '0', '0', '1', '7.88661', '-3.36756', '4.39913', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285750', '1154127', 'object/static/item/shared_item_container_inorganic_water.iff', '0', '0', '0', '1', '6.2627', '-3.36756', '5.11828', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285751', '1154127', 'object/static/item/shared_item_container_inorganic_water.iff', '0', '0', '0', '1', '6.74048', '-3.36756', '4.89071', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285752', '1154127', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '0', '0', '1', '-9.74263', '-4.02942', '1.89452', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285753', '1154127', 'object/static/item/shared_item_painting_tatooine_style_02.iff', '0', '-0.706823', '0', '0.707391', '-4.99071', '-2.32178', '11.019', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285755', '1154127', 'object/static/item/shared_item_tank_bubble.iff', '0', '0.959437', '0', '-0.281922', '-4.51583', '-3.20722', '10.6452', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285756', '1154127', 'object/tangible/furniture/imperial/shared_table_s1.iff', '0', '1', '0', '-0.000796454', '-4.98373', '-3.96617', '10.8737', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285757', '1154127', 'object/tangible/furniture/technical/shared_armoire_s01.iff', '0', '1', '0', '-0.000796336', '-2.61432', '-3.96617', '10.7469', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6015493', '1154127', 'object/tangible/furniture/imperial/shared_data_terminal_s1.iff', '0', '0.999983', '0', '-0.00579627', '-6.83302', '-3.96617', '10.8075', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154128', '1154120', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285825', '1154128', 'object/tangible/furniture/all/shared_frn_all_professor_desk.iff', '0', '0.92388', '0', '-0.382683', '6.26039', '-3.96617', '-6.32032', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285828', '1154128', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s05.iff', '0', '0', '0', '1', '3.15919', '-3.96617', '-8.32979', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285829', '1154128', 'object/tangible/furniture/all/shared_frn_all_chair_meatal_wheeled_s1.iff', '0', '0.394019', '0', '0.919102', '5.04383', '-3.96617', '-7.58387', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285830', '1154128', 'object/tangible/furniture/technical/shared_bookcase_s01.iff', '0', '0.707107', '0', '0.707107', '1.69724', '-3.96617', '-5.73071', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285831', '1154128', 'object/static/structure/tatooine/shared_skeleton_krayt_foot.iff', '0.505172', '0.494774', '0.494774', '-0.505172', '1.48985', '-1.82844', '-3.23727', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285832', '1154128', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '0', '0', '1', '1.73057', '-3.1756', '-1.52161', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285833', '1154128', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '0', '0', '1', '1.86149', '-2.03718', '-0.712776', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285834', '1154128', 'object/tangible/furniture/all/shared_frn_all_decorative_sm_s1.iff', '0', '0.707107', '0', '0.707107', '1.67827', '-2.44828', '-1.52396', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285842', '1154128', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_02.iff', '0', '0', '0', '1', '9.25498', '-3.96608', '-2.23294', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285843', '1154128', 'object/tangible/furniture/modern/shared_love_seat_modern_style_01.iff', '0', '0.877391', '0', '-0.479775', '9.65672', '-3.83968', '-4.11704', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285844', '1154128', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_02.iff', '0', '1', '0', '3.20013e-08', '9.3607', '-3.96617', '0.184116', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285856', '1154128', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_02.iff', '0', '0', '0', '1', '9.34083', '-3.96617', '2.31936', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285857', '1154128', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s05.iff', '0', '0', '0', '1', '9.38025', '-3.96617', '1.26201', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285858', '1154128', 'object/static/item/shared_item_painting_tatooine_style_01.iff', '0', '0', '0', '1', '10.7998', '-2.44828', '-0.926719', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285859', '1154128', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s02.iff', '0', '0', '0', '1', '10.2948', '-3.96617', '-6.98469', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285860', '1154128', 'object/static/item/shared_item_painting_tatooine_style_02.iff', '0', '-0.707106', '0', '0.707108', '4.885', '-2.18885', '2.46592', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154129', '1154120', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154130', '1154120', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154131', '1154120', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '5645458', '1154131', 'object/static/item/shared_item_tool_hydrospanner.iff', '0', '-0.700572', '0', '0.713582', '3.11175', '-7.73942', '7.22013', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '5645459', '1154131', 'object/static/item/shared_item_tool_hydrospanner.iff', '0', '-0.700572', '0', '0.713582', '3.11564', '-7.73942', '6.9082', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '5645460', '1154131', 'object/static/item/shared_item_katana.iff', '-0.0035357', '0.707098', '0.707101', '-0.00297209', '3.13275', '-7.64104', '6.80494', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '5645461', '1154131', 'object/static/item/shared_item_katana.iff', '-0.00168265', '0.70705', '0.707149', '-0.00482537', '3.13536', '-7.50127', '6.80489', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '5645464', '1154131', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff', '0', '-0.707106', '0', '0.707107', '2.1711', '-9.54192', '7.0384', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5645465', '1154131', 'object/tangible/furniture/all/shared_frn_all_table_s01.iff', '0', '0', '0', '1', '1.28105', '-10.0479', '7.0593', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5645468', '1154131', 'object/tangible/furniture/all/shared_frn_all_table_s01.iff', '0', '0.713591', '0', '0.700562', '0.213878', '-9.95302', '7.74669', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5645469', '1154131', 'object/tangible/furniture/all/shared_frn_all_table_s01.iff', '0', '0.713591', '0', '0.700562', '0.131027', '-9.79491', '6.48918', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5645488', '1154131', 'object/static/particle/shared_pt_webber.iff', '0', '0', '0', '1', '-7.32425', '-9.54192', '6.91992', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '5645510', '1154131', 'object/static/item/shared_item_tank_bubble.iff', '0', '0', '0', '1', '0.604892', '-8.84716', '7.06099', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '5645512', '1154131', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_03.iff', '0', '0.713591', '0', '0.700562', '0.597687', '-9.60526', '7.08273', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5645514', '1154131', 'object/static/particle/shared_particle_newbie_refrigerator_steam.iff', '0', '-0.658589', '0', '0.752503', '0.468821', '-8.20347', '7.12339', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '5645521', '1154131', 'object/tangible/furniture/modern/shared_rug_rnd_sml_s01.iff', '0', '0', '0', '1', '0.346079', '-9.60517', '7.13446', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5645522', '1154131', 'object/tangible/furniture/modern/shared_rug_rect_m_s01.iff', '0', '-0.00499998', '0', '0.999987', '-6.95262', '-9.60517', '7.05774', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5645523', '1154131', 'object/static/item/shared_item_painting_endor_style_01.iff', '0', '1', '0', '-3.20013e-08', '-11.026', '-9.38381', '7.05976', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '5645524', '1154131', 'object/tangible/furniture/all/shared_frn_all_tree_potted_s1.iff', '0', '0', '0', '1', '-9.83987', '-9.54192', '3.85611', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5645525', '1154131', 'object/tangible/furniture/all/shared_frn_all_tree_potted_s1.iff', '0', '0.999958', '0', '-0.00921309', '-9.83936', '-9.54192', '10.0717', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5645527', '1154131', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s2.iff', '0', '0.707106', '0', '0.707107', '-8.7532', '-9.54192', '7.01826', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5645530', '1154131', 'object/tangible/furniture/all/shared_frn_all_couch_ottoman_s1.iff', '0', '0', '0', '1', '0.222099', '-9.54192', '9.02045', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5645531', '1154131', 'object/tangible/furniture/all/shared_frn_all_couch_ottoman_s1.iff', '0', '0.783085', '0', '0.621914', '-1.12198', '-9.54192', '8.09967', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5645532', '1154131', 'object/tangible/furniture/all/shared_frn_all_couch_ottoman_s1.iff', '0', '-0.0203878', '0', '0.999792', '0.266405', '-9.54192', '5.221', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5645533', '1154131', 'object/tangible/furniture/all/shared_frn_all_couch_ottoman_s1.iff', '0', '0.560509', '0', '0.828148', '-1.07786', '-9.54192', '6.05736', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5645534', '1154131', 'object/tangible/furniture/modern/shared_armoire_modern_style_01.iff', '0', '1', '0', '-3.20013e-08', '-3.2047', '-10.0796', '11.0834', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154132', '1154120', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154133', '0', 'object/building/tatooine/shared_filler_building_block_64x32_style_01.iff', '0', '-0.00503088', '0', '0.999987', '1373.79', '7', '2967.75', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154136', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_02.iff', '0', '-0.0199987', '0', '0.9998', '1323.88', '7', '2987.31', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154138', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_10.iff', '0', '-0.384808', '0', '0.922997', '1425.13', '7', '2976.07', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154140', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_08.iff', '0', '0.940806', '0', '-0.338946', '1424.84', '7', '3016.35', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154142', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.00999952', '0', '0.99995', '1435.2', '10.0522', '3123.91', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154144', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.0199992', '0', '0.9998', '1435.35', '10.0522', '3115.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154145', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.0249964', '0', '0.999688', '1435.87', '10.0522', '3107.18', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154147', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.0149994', '0', '0.999888', '1434.46', '10.0529', '3158.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154148', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.0149984', '0', '0.999888', '1434.45', '9.97305', '3148.77', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154149', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.0100007', '0', '0.99995', '1434', '10.0522', '3166.2', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154150', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.00499959', '0', '0.999987', '1434.03', '10.0449', '3175.24', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154151', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.0149984', '0', '0.999888', '1433.55', '10.0522', '3183.19', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154152', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.0149995', '0', '0.999888', '1433.5', '10.0522', '3192.17', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154153', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.0149984', '0', '0.999888', '1433.04', '10.0221', '3200.13', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154154', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.0199977', '0', '0.9998', '1433', '10.0361', '3209.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154155', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.00999844', '0', '0.99995', '1432.62', '10.0221', '3216.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154156', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.69971', '0', '0.714427', '1432.72', '9.98921', '3224.76', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154158', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '-0.122809', '0.704504', '0.0107645', '0.698911', '3773.94', '9.20398', '2373.99', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154159', '0', 'object/building/tatooine/shared_filler_building_block_64x32_style_01.iff', '0', '0.713864', '0', '0.700284', '1397.31', '7', '3378.19', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154166', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '-0.064087', '0.695568', '0.0696607', '0.712198', '3774.61', '8.99313', '2372.88', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154167', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '-0.0503855', '0.549896', '0.0739455', '0.830426', '3775.79', '9.21192', '2372.93', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154168', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_fruit_stand_small_style_01.iff', '-0.0743961', '0.996216', '-0.0422449', '-0.015287', '3768.46', '7.77622', '2374.07', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154169', '0', 'object/static/structure/tatooine/shared_bridge_tatooine_small_style_02.iff', '-0.0102416', '0.271393', '-0.0178895', '0.962248', '4030.01', '7.78781', '2521.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154173', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_05.iff', '0', '0.716246', '0', '-0.697848', '1484', '7', '3363.62', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154176', '0', 'object/building/tatooine/shared_guild_university_tatooine_style_01.iff', '0', '0.707952', '0', '0.706261', '1302.74', '7', '3380.29', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154177', '1154176', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154178', '1154176', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154179', '1154176', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154180', '1154176', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154181', '1154176', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154182', '1154176', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154183', '1154176', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154184', '1154176', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154185', '1154176', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154186', '0', 'object/static/structure/tatooine/shared_bridge_tatooine_small_style_02.iff', '0.0869954', '0.308468', '-0.0224716', '0.946982', '3875.02', '10.3961', '2441.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154187', '0', 'object/building/tatooine/shared_filler_building_block_64x16_style_02.iff', '0', '0.999942', '0', '-0.0107995', '1336.55', '7', '3500.96', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154191', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_03.iff', '0', '0.709231', '0', '-0.704976', '1527.33', '7', '3140.71', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154203', '0', 'object/building/tatooine/shared_filler_building_block_64x16_style_02.iff', '0', '0.71386', '0', '-0.700289', '1592.74', '7', '3383.38', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154207', '0', 'object/building/tatooine/shared_housing_tatt_style01_med.iff', '0', '-0.0050002', '0', '0.999987', '1357.01', '11', '3186.92', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154208', '1154207', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631357', '1154208', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '0.439462', '0', '0.898261', '4.2621', '1.00421', '10.4612', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631358', '1154208', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '0.927097', '0', '0.374821', '6.01458', '1.00421', '10.5436', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631361', '1154208', 'object/tangible/furniture/tatooine/shared_frn_tatt_cantina_droid_detector.iff', '0', '0', '0', '1', '5.19587', '1.00421', '3.76252', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631365', '1154208', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s03.iff', '0', '0', '0', '1', '5.12612', '1.00421', '10.5838', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631366', '1154208', 'object/static/item/shared_item_shisha.iff', '0', '0.764329', '0', '0.644826', '4.25731', '1.00421', '10.3736', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631367', '1154208', 'object/static/item/shared_item_tank_bubble.iff', '0', '0.955572', '0', '-0.294759', '6.00708', '1.00421', '10.5557', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631417', '1154208', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '-0.493566', '0.501392', '0.506353', '0.498604', '4.12912', '1.00421', '5.45135', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631418', '1154208', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '-0.498606', '0.49638', '0.501392', '0.503594', '4.12912', '1.00421', '8.1887', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154209', '1154207', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631376', '1154209', 'object/tangible/furniture/modern/shared_couch_modern_style_02.iff', '0', '-0.697153', '0', '0.716922', '6.72676', '0.408269', '-6.09509', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631377', '1154209', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff', '0', '0.999995', '0', '-0.00318531', '-7.68452', '0.408271', '2.64761', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631378', '1154209', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_05.iff', '0', '0.709356', '0', '0.704851', '2.91037', '0.408271', '-6.07298', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631379', '1154209', 'object/tangible/furniture/modern/shared_love_seat_modern_style_01.iff', '0', '-0.031809', '0', '0.999494', '-6.85323', '0.408271', '-4.60902', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631380', '1154209', 'object/tangible/furniture/modern/shared_love_seat_modern_style_01.iff', '0', '-0.536946', '0', '0.843617', '-5.19854', '0.408271', '-6.89797', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631381', '1154209', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '-0.409052', '0', '0.912511', '6.44287', '0.40827', '-9.16784', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631382', '1154209', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.411029', '0', '0.911622', '-0.461637', '0.40827', '-8.95516', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631383', '1154209', 'object/tangible/furniture/modern/shared_couch_modern_style_02.iff', '0', '0.00358484', '0', '0.999994', '2.96356', '0.40827', '-9.31484', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631384', '1154209', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '0.999995', '0', '-0.00318531', '7.3732', '0.408271', '-10.52', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631385', '1154209', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '0.00318605', '0', '0.999995', '-1.15592', '0.408271', '-10.4953', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631386', '1154209', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.924673', '0', '0.380761', '-0.494749', '0.408271', '-2.94042', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631387', '1154209', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.914724', '0', '-0.40408', '6.35756', '0.408268', '-3.12463', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631388', '1154209', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff', '0', '0.999995', '0', '-0.00318531', '4.49467', '0.408271', '2.64761', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631389', '1154209', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '-0.372604', '0', '0.927991', '-7.29367', '0.408271', '-5.42638', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631390', '1154209', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '-0.0966636', '0', '0.995317', '-6.4164', '0.408271', '-7.26963', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631391', '1154209', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_02.iff', '0', '0.756657', '0', '0.653812', '-7.52207', '0.408271', '-6.67901', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631392', '1154209', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0', '0.00318605', '0', '0.999995', '2.85442', '0.408271', '2.44236', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631393', '1154209', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0', '0.00318605', '0', '0.999995', '-5.95396', '0.408271', '2.43667', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631394', '1154209', 'object/tangible/furniture/modern/shared_armoire_modern_style_01.iff', '0', '0.709355', '0', '0.704852', '-11.0984', '0.408271', '-0.163338', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631395', '1154209', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '-0.70485', '0', '0.709357', '10.5676', '0.408271', '-1.98042', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631396', '1154209', 'object/tangible/furniture/modern/shared_couch_modern_style_02.iff', '0', '0.710478', '0', '0.703719', '-0.873451', '0.408271', '-6.00734', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631397', '1154209', 'object/static/structure/general/shared_data_terminal_free_s2.iff', '0', '-0.70598', '0', '0.708232', '10.8769', '0.408271', '-5.50161', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631398', '1154209', 'object/static/item/shared_item_painting_corellia_style_02.iff', '0', '0.00318605', '0', '0.999995', '10.8769', '0.408271', '-5.56191', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631399', '1154209', 'object/static/item/shared_item_painting_endor_style_01.iff', '0', '0.00318605', '0', '0.999995', '10.8769', '0.408271', '-2.11285', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631400', '1154209', 'object/static/item/shared_item_painting_naboo_style_01.iff', '0', '0.00318605', '0', '0.999995', '10.8769', '0.408271', '0.31065', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154210', '1154207', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631406', '1154210', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0.707082', '0.0059446', '0.0059446', '-0.707081', '-1.27341', '1.00421', '10.844', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631407', '1154210', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '0.980582', '0', '-0.19611', '-6.84681', '1.00421', '8.71857', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631408', '1154210', 'object/tangible/crafting/station/shared_food_station.iff', '0', '0.999994', '0', '0.00340817', '-5.81351', '1.00421', '10.4105', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631409', '1631408', 'object/tangible/hopper/shared_crafting_station_ingredient_hopper_1.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631410', '1154210', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0.707082', '0.0059446', '0.0059446', '-0.707081', '-1.2733', '1.00421', '10.844', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631411', '1154210', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '0.993486', '0', '0.113957', '-9.36739', '1.00421', '8.9439', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631412', '1154210', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '0.146067', '0', '0.989275', '-9.19412', '1.00421', '4.52538', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631413', '1154210', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '-0.162681', '0', '0.986679', '-6.39112', '1.00421', '4.862', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631414', '1154210', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0.707082', '0.0059446', '0.0059446', '-0.707081', '-1.27341', '1.00421', '10.844', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631415', '1154210', 'object/tangible/furniture/modern/shared_dining_table_modern_style_01.iff', '0', '0.00159301', '0', '0.999999', '-8.62354', '1.00421', '6.73933', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631416', '1154210', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0.496693', '0.503286', '-0.503285', '0.496693', '-9.86558', '1.00421', '6.71142', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631419', '1154210', 'object/static/item/shared_item_kitchen_pot_style_03.iff', '0', '0.999293', '0', '0.0376027', '2.20687', '1.00421', '6.98529', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631420', '1154210', 'object/static/item/shared_item_kitchen_pot_style_01.iff', '0', '-0.00340734', '0', '0.999994', '2.20687', '1.00421', '6.73882', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631421', '1154210', 'object/static/item/shared_item_jar_funk.iff', '0', '-0.00340734', '0', '0.999994', '2.20687', '1.00421', '5.43109', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631422', '1154210', 'object/static/item/shared_item_kitchen_pot_style_03.iff', '0', '-0.00340734', '0', '0.999994', '2.20687', '1.00421', '7.12306', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631423', '1154210', 'object/static/item/shared_item_kitchen_pot_style_02.iff', '0', '-0.00340734', '0', '0.999994', '2.20687', '1.00421', '7.67224', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631424', '1154210', 'object/static/item/shared_item_jar_berries.iff', '0', '-0.00340734', '0', '0.999994', '2.20687', '1.00421', '8.74773', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631425', '1154210', 'object/static/item/shared_item_jar_berries.iff', '0', '-0.00340734', '0', '0.999994', '2.20687', '1.00421', '8.48102', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631426', '1154210', 'object/static/item/shared_item_jar_spice_red.iff', '0', '-0.00340734', '0', '0.999994', '2.20687', '1.00421', '9.63322', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631427', '1154210', 'object/static/item/shared_item_jar_spice_red.iff', '0', '-0.00340734', '0', '0.999994', '2.20687', '1.00421', '9.25187', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631428', '1154210', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '-0.00340734', '0', '0.999994', '2.20687', '1.00421', '4.66588', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631429', '1154210', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '-0.00340734', '0', '0.999994', '2.20687', '1.00421', '4.26148', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631430', '1154210', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '-0.00340734', '0', '0.999994', '2.20687', '1.00421', '5.05862', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631431', '1154210', 'object/static/item/shared_item_kitchen_pot_style_01.iff', '0', '-0.00340734', '0', '0.999994', '2.20687', '1.00421', '8.28408', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1631432', '1154210', 'object/static/item/shared_item_kitchen_pot_style_02.iff', '0', '-0.00340734', '0', '0.999994', '2.20687', '1.00421', '7.86079', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154211', '1154207', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154212', '1154207', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154213', '1154207', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154214', '1154207', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154215', '1154207', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154216', '1154207', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154217', '1154207', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154218', '1154207', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154219', '1154207', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1154253', '0', 'object/static/structure/tatooine/shared_shed_junkshop_watto.iff', '0', '0', '0', '1', '1342.67', '11', '3167.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156829', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.999526', '0', '0.0307894', '1332.21', '10.0007', '3182.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156830', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.999876', '0', '0.0157919', '1332.81', '10.0036', '3174.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156836', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.703282', '0', '0.710911', '1372.78', '10.0036', '3233.22', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156837', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.713862', '0', '0.700287', '1381.73', '7', '3239.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156838', '0', 'object/static/structure/tatooine/shared_wall_gate_tatooine_style_01.iff', '0', '-0.703279', '0', '0.710914', '1385.47', '7', '3240.69', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156841', '0', 'object/static/structure/tatooine/shared_wall_gate_tatooine_style_01.iff', '0', '0.710353', '0', '-0.703845', '1393.53', '7', '3240.73', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156845', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.706808', '0', '0.707405', '1398.21', '7', '3240.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156847', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.711476', '0', '-0.702711', '1431.38', '10.0221', '3234.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156849', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.019998', '0', '0.9998', '1432.23', '10.0221', '3229.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156858', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.696135', '0', '0.71791', '1415.45', '10.0221', '3233.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156883', '0', 'object/building/tatooine/shared_housing_tatt_style01_small.iff', '0', '0.69727', '0', '0.716809', '1486.36', '7', '2992.32', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156884', '1156883', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605877', '1156884', 'object/tangible/furniture/cheap/shared_armoire_s01.iff', '0', '0.709511', '0', '-0.704694', '5.1298', '0.251069', '5.63389', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605878', '1156884', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.999978', '0', '-0.00659271', '2.91609', '0.251984', '3.38164', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605879', '1156884', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '-0.308302', '0', '0.951289', '4.24598', '0.252806', '3.63394', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605880', '1156884', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.704697', '0', '0.709508', '5.19374', '0.250619', '4.16034', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605881', '1156884', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.232843', '0', '0.972514', '-1.33596', '0.252347', '3.74525', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605882', '1156884', 'object/static/item/shared_item_con_basket.iff', '0', '0', '0', '1', '2.99222', '0.251707', '3.32834', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156885', '1156883', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156886', '1156883', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156887', '1156883', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156888', '1156883', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156889', '1156883', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156890', '1156883', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156891', '1156883', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156892', '1156883', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156893', '1156883', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605888', '1156893', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s2.iff', '0', '0.00159326', '0', '0.999999', '5.19914', '0.271694', '2.41479', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605889', '1156893', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '-0.44252', '0', '0.896759', '4.69877', '-0.378217', '-5.92712', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605890', '1156893', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '-0.44252', '0', '0.896759', '4.69877', '-0.378217', '-5.92712', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605891', '1156893', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '-0.44252', '0', '0.896759', '4.69877', '-0.378217', '-5.92712', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605892', '1156893', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '-0.00340674', '0', '0.999994', '3.11559', '-0.378217', '-6.29399', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605893', '1156893', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '-0.705978', '0', '0.708234', '5.19029', '-0.378217', '-4.37964', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605894', '1156893', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '0.00159326', '0', '0.999999', '-1.43183', '-0.378217', '-6.02523', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605895', '1156893', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.999999', '0', '-0.00159272', '-3.47028', '-0.378217', '-6.26065', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605896', '1156893', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.42738', '0', '0.904072', '-4.5282', '-0.378217', '-5.73891', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605897', '1156893', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '-0.705978', '0', '0.708234', '-4.98319', '-0.378217', '-4.55451', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605898', '1156893', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '0.999999', '0', '-0.00159272', '-1.26989', '-0.378217', '-0.579465', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605899', '1156893', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s1.iff', '0', '0.716245', '0', '-0.697849', '-0.567189', '-0.378217', '-1.21477', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605900', '1156893', 'object/tangible/furniture/modern/shared_rug_sqr_m_s01.iff', '0', '0', '0', '1', '-2.64851', '-0.378217', '-4.23291', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156894', '0', 'object/building/tatooine/shared_housing_tatt_style01_small.iff', '0', '0.716268', '0', '-0.697825', '1465.44', '7', '3002', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156895', '1156894', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606058', '1156895', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '-0.401732', '0', '0.915757', '4.73285', '0.251667', '3.59253', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606059', '1156895', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.00159155', '0', '0.999999', '3.32971', '0.256504', '6.19855', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606060', '1156895', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.878832', '0', '-0.477131', '4.69705', '0.252375', '5.66285', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606061', '1156895', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.427379', '0', '0.904073', '3.30851', '0.252546', '3.48958', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606062', '1156895', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.214902', '0', '0.976636', '2.583', '0.252149', '3.4133', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606063', '1156895', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.182382', '0', '0.983228', '4.54002', '0.252121', '3.66578', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606064', '1156895', 'object/static/structure/general/shared_data_terminal_wall_s1.iff', '0', '0.00119462', '0', '0.999999', '-1.6153', '0.250034', '3.21529', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606065', '1156895', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_03.iff', '0', '0', '0', '1', '-1.73299', '0.250994', '3.2566', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606066', '1156895', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.879969', '0', '0.475032', '0.174921', '0.253328', '3.64004', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606067', '1156895', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.992809', '0', '0.119711', '1.25163', '0.253354', '3.64505', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606068', '1156895', 'object/static/item/shared_item_shisha.iff', '0', '0', '0', '1', '-1.71934', '0.25104', '3.27233', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156896', '1156894', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156897', '1156894', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156898', '1156894', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156899', '1156894', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156900', '1156894', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156901', '1156894', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156902', '1156894', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156903', '1156894', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156904', '1156894', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606079', '1156904', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s01.iff', '0', '0.421209', '0', '0.906964', '-4.83804', '-0.378217', '-5.5997', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606080', '1156904', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '0.0081835', '0', '0.999967', '-0.688397', '-0.378217', '-6.27016', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606081', '1156904', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0.999992', '0', '-0.00398055', '-0.096701', '-0.378217', '-0.566851', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606082', '1156904', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0.0081835', '0', '0.999967', '-2.65896', '-0.378217', '-6.27364', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606083', '1156904', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s1.iff', '0', '0.703124', '0', '0.711067', '-2.93743', '-0.378217', '-4.07828', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606084', '1156904', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '0.00398088', '0', '0.999992', '4.22347', '-0.378217', '-6.04464', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606085', '1156904', 'object/tangible/furniture/cheap/shared_love_seat_s01.iff', '0', '0.709915', '0', '0.704287', '2.57256', '-0.378217', '-4.3012', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606086', '1156904', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.709915', '0', '0.704287', '2.59208', '-0.378217', '-5.75155', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606087', '1156904', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.980269', '0', '-0.19767', '4.69641', '-0.378217', '-3.24051', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606088', '1156904', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '0.692088', '0', '0.721813', '-4.90875', '-0.378217', '-5.89782', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606089', '1156904', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.999992', '0', '-0.00398055', '4.08049', '-0.378217', '-4.50187', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606090', '1156904', 'object/tangible/furniture/cheap/shared_armoire_s01.iff', '0', '0.999992', '0', '-0.00398055', '-1.92383', '-0.378217', '-0.566097', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156905', '0', 'object/building/tatooine/shared_housing_tatt_style01_small.iff', '0', '0.719749', '0', '-0.694235', '1466.76', '7', '2981.68', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156906', '1156905', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606091', '1156906', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '0.905766', '0', '0.423777', '2.51782', '0.258133', '5.83486', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606092', '1156906', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.999744', '0', '0.0226103', '3.44251', '0.25192', '3.36928', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606093', '1156906', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.455723', '0', '0.890122', '2.05063', '0.254358', '3.83808', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606094', '1156906', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.914151', '0', '-0.405374', '3.93566', '0.254674', '6.0067', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606095', '1156906', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.98155', '0', '-0.191203', '4.65648', '0.252498', '6.11783', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606096', '1156906', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.978526', '0', '0.206124', '2.70953', '0.257558', '5.77236', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606098', '1156906', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '-0.417104', '0', '0.908859', '4.71873', '0.251721', '4.01499', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606099', '1156906', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '0.00499998', '0', '0.999987', '-0.69961', '0.251779', '3.34217', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156907', '1156905', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156908', '1156905', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156909', '1156905', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156910', '1156905', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156911', '1156905', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156912', '1156905', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156913', '1156905', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156914', '1156905', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156915', '1156905', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606104', '1156915', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s01.iff', '0', '0.945712', '0', '0.325006', '-1.33994', '-0.378217', '-0.633894', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606105', '1156915', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '0.00977747', '0', '0.999952', '-1.86566', '-0.378217', '-6.08187', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606106', '1156915', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '-0.701011', '0', '0.71315', '5.04295', '0.271619', '-0.0704708', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606107', '1156915', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0.00977747', '0', '0.999952', '-3.83585', '-0.378217', '-6.07883', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606108', '1156915', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '0.999999', '0', '0.00141667', '-1.63505', '-0.378217', '-0.551473', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606109', '1156915', 'object/tangible/furniture/cheap/shared_armoire_s01.iff', '0', '-0.701011', '0', '0.71315', '5.06115', '0.281076', '1.75837', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606110', '1156915', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.999902', '0', '-0.0139806', '2.66728', '-0.378217', '-4.55664', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606111', '1156915', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.805675', '0', '-0.592357', '4.58016', '-0.378217', '-4.67819', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606112', '1156915', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.978243', '0', '-0.207465', '3.30816', '-0.378217', '-3.30761', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606113', '1156915', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.716923', '0', '0.697152', '1.15419', '-0.378217', '-5.7763', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606114', '1156915', 'object/tangible/furniture/cheap/shared_love_seat_s01.iff', '0', '0.716923', '0', '0.697152', '1.16398', '-0.378217', '-4.32552', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606115', '1156915', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '0.0139816', '0', '0.999902', '2.77945', '-0.378217', '-6.10145', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606116', '1156915', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s1.iff', '0', '0.999902', '0', '-0.0139829', '0.105723', '-0.378217', '-2.59237', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156916', '0', 'object/static/structure/tatooine/shared_shed_junkshop_watto.iff', '0', '-0.706788', '0', '0.707425', '1480.37', '7', '2979.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156918', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.731146', '0', '-0.682221', '1475.21', '7', '2968.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156919', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.720829', '0', '-0.693112', '1467.26', '7', '2967.8', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156920', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.727725', '0', '-0.685869', '1458.21', '7', '2967.62', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156921', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.720829', '0', '-0.693112', '1450.25', '7', '2967.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156922', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.0100031', '0', '0.99995', '1442.04', '7', '2975.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156923', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.024997', '0', '0.999688', '1442.06', '7', '2984.14', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156924', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.452884', '0', '0.891569', '1435.08', '7', '2988.33', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156925', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.720829', '0', '-0.693112', '1483.9', '7', '2968.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156926', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.0349937', '0', '0.999388', '1441.9', '7', '3011.26', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156927', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.039991', '0', '0.9992', '1442.5', '7', '2967.13', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156928', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.0100067', '0', '0.99995', '1441.43', '7', '3019.14', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156929', '0', 'object/building/tatooine/shared_housing_tatt_style01_small.iff', '0', '0.716243', '0', '-0.697851', '1509.34', '7', '3007.5', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156930', '1156929', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605901', '1156930', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '-0.401732', '0', '0.915757', '4.73919', '0.251654', '3.63622', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605902', '1156930', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.00159148', '0', '0.999999', '3.33602', '0.256485', '6.24223', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605903', '1156930', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.878832', '0', '-0.477131', '4.70353', '0.252356', '5.70651', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605904', '1156930', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.427379', '0', '0.904073', '3.31477', '0.252772', '3.53311', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605905', '1156930', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.214902', '0', '0.976636', '2.58929', '0.252375', '3.45685', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605906', '1156930', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.182382', '0', '0.983228', '4.54636', '0.252108', '3.70934', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605907', '1156930', 'object/static/structure/general/shared_data_terminal_wall_s1.iff', '0', '0.0011946', '0', '0.999999', '-0.355145', '0.250034', '3.30065', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156931', '1156929', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156932', '1156929', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156933', '1156929', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156934', '1156929', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156935', '1156929', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156936', '1156929', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156937', '1156929', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156938', '1156929', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156939', '1156929', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605910', '1156939', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s01.iff', '0', '0.416669', '0', '0.909059', '-4.80743', '-0.378217', '-5.5623', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605911', '1156939', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '0.00318358', '0', '0.999995', '-0.65117', '-0.378217', '-6.19128', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605912', '1156939', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0.999999', '0', '0.00101943', '-0.116676', '-0.378217', '-0.482293', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605913', '1156939', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0.00318358', '0', '0.999995', '-2.62174', '-0.378217', '-6.21436', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605914', '1156939', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s1.iff', '0', '0.699558', '0', '0.714576', '-2.92203', '-0.378217', '-4.0219', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605915', '1156939', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '-0.00101909', '0', '0.999999', '4.25806', '-0.378217', '-5.9166', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605916', '1156939', 'object/tangible/furniture/cheap/shared_love_seat_s01.iff', '0', '0.706385', '0', '0.707828', '2.58976', '-0.378217', '-4.18967', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605917', '1156939', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.706385', '0', '0.707828', '2.62381', '-0.378217', '-5.63984', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605918', '1156939', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.981245', '0', '-0.192766', '4.70276', '-0.378217', '-3.10778', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605919', '1156939', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '0.68847', '0', '0.725265', '-4.87511', '-0.378217', '-5.86103', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605920', '1156939', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.999999', '0', '0.00101943', '4.09959', '-0.378217', '-4.37523', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605921', '1156939', 'object/tangible/furniture/cheap/shared_armoire_s01.iff', '0', '0.999999', '0', '0.00101943', '-1.94366', '-0.378217', '-0.499868', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605922', '1156939', 'object/tangible/furniture/modern/shared_rug_rnd_sml_s01.iff', '0', '0', '0', '1', '-0.025246', '-0.378217', '-3.4954', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156940', '0', 'object/building/tatooine/shared_housing_tatt_style01_small.iff', '0', '0.709229', '0', '-0.704978', '1508.95', '7', '2986.4', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156941', '1156940', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605854', '1156941', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '0.00318494', '0', '0.999995', '1.37218', '0.252085', '3.40098', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605855', '1156941', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.0081837', '0', '0.999967', '3.48604', '0.256032', '6.18149', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605856', '1156941', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.875668', '0', '-0.482914', '4.84643', '0.251924', '5.62757', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605857', '1156941', 'object/static/structure/general/shared_data_terminal_wall_s1.iff', '0', '0.0111932', '0', '0.999937', '-0.716493', '0.250034', '3.20941', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605858', '1156941', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.773915', '0', '-0.63329', '5.1223', '0.250792', '4.27977', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605859', '1156941', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.43333', '0', '0.901235', '0.0443306', '0.252033', '3.39092', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605860', '1156941', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.221335', '0', '0.975198', '-0.682145', '0.251686', '3.32423', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605861', '1156941', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.231076', '0', '0.972936', '1.29769', '0.253101', '3.59634', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156942', '1156940', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156943', '1156940', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156944', '1156940', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156945', '1156940', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156946', '1156940', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156947', '1156940', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156948', '1156940', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156949', '1156940', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156950', '1156940', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605864', '1156950', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s01.iff', '0', '0.430256', '0', '0.902707', '-4.87782', '-0.378217', '-5.56412', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605865', '1156950', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '0.00398013', '0', '0.999992', '-1.99542', '-0.378217', '-6.25531', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605866', '1156950', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0.999992', '0', '-0.00398012', '0.111356', '-0.378217', '-0.543831', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605867', '1156950', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0.00398013', '0', '0.999992', '-0.0220606', '-0.378217', '-6.27109', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605868', '1156950', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s1.iff', '0', '0.710197', '0', '0.704003', '-2.94702', '-0.378217', '-4.08098', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605869', '1156950', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '-0.704289', '0', '0.709913', '4.95783', '-0.378217', '-4.31441', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605870', '1156950', 'object/tangible/furniture/cheap/shared_love_seat_s01.iff', '0', '0.00398013', '0', '0.999992', '3.2147', '-0.378217', '-5.96534', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605871', '1156950', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.00398013', '0', '0.999992', '4.66535', '-0.378217', '-5.94653', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605872', '1156950', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.779821', '0', '0.626003', '1.65771', '-0.378217', '-4.77834', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605873', '1156950', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.866033', '0', '-0.499986', '4.90867', '-0.378217', '-2.5251', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605874', '1156950', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.709916', '0', '0.704286', '3.41542', '-0.378217', '-4.45789', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605875', '1156950', 'object/tangible/furniture/cheap/shared_armoire_s01.iff', '0', '0.999992', '0', '-0.00398012', '-1.71561', '-0.378217', '-0.542729', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605876', '1156950', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '0.699272', '0', '0.714855', '-4.95422', '-0.378217', '-5.86071', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156951', '0', 'object/building/tatooine/shared_housing_tatt_style01_small.iff', '0', '0.716243', '0', '-0.697851', '1466.09', '7', '3023.19', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156952', '1156951', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606033', '1156952', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.999905', '0', '0.0138059', '1.14488', '0.252564', '3.49308', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606034', '1156952', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '-0.137967', '0', '0.990437', '-0.0108939', '0.253858', '3.74204', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606035', '1156952', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.999965', '0', '0.00840832', '-1.36013', '0.252255', '3.44559', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606036', '1156952', 'object/tangible/furniture/cheap/shared_armoire_s01.iff', '0', '-0.0138048', '0', '0.999905', '2.61674', '0.253056', '3.58768', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606037', '1156952', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.00500148', '0', '0.999987', '4.92016', '0.251302', '5.04316', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606038', '1156952', 'object/static/item/shared_item_jar_berries.iff', '0', '-0.00500148', '0', '0.999987', '-1.58574', '0.251495', '3.42628', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606039', '1156952', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.00500148', '0', '0.999987', '4.98749', '0.25109', '3.94999', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156953', '1156951', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156954', '1156951', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156955', '1156951', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156956', '1156951', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156957', '1156951', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156958', '1156951', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156959', '1156951', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156960', '1156951', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156961', '1156951', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606044', '1156961', 'object/tangible/furniture/modern/shared_rug_oval_sml_s01.iff', '0', '-0.698861', '0', '0.715257', '-1.46979', '-0.378217', '-3.77969', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606045', '1156961', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s2.iff', '0', '0.011593', '0', '0.999933', '5.25091', '0.272427', '2.4011', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606046', '1156961', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '-0.433531', '0', '0.901139', '4.58367', '-0.378217', '-5.92922', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606047', '1156961', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '-0.433531', '0', '0.901139', '4.58367', '-0.378217', '-5.92922', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606048', '1156961', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '-0.433531', '0', '0.901139', '4.58367', '-0.378217', '-5.92922', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606049', '1156961', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0.011593', '0', '0.999933', '2.96208', '-0.378217', '-6.29573', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606050', '1156961', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '-0.698862', '0', '0.715256', '5.10601', '-0.378217', '-4.39192', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606051', '1156961', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '0.011593', '0', '0.999933', '-1.00985', '-0.378217', '-5.92676', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606052', '1156961', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.999933', '0', '-0.0115925', '-3.05256', '-0.378217', '-6.12125', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606053', '1156961', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.4364', '0', '0.899753', '-4.63788', '-0.378217', '-5.55659', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606054', '1156961', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '-0.698862', '0', '0.715256', '-5.06892', '-0.378217', '-4.36324', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606056', '1156961', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s1.iff', '0', '0.709231', '0', '-0.704976', '-0.449703', '-0.378217', '-1.39671', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606057', '1156961', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s2.iff', '0', '0.708105', '0', '-0.706107', '1.01857', '-0.378217', '-6.09533', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156973', '0', 'object/building/tatooine/shared_housing_tatt_style01_small.iff', '0', '0.716243', '0', '-0.697851', '1509.45', '7', '3026.17', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156974', '1156973', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605923', '1156974', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '-0.406306', '0', '0.913737', '4.73957', '0.251652', '3.60587', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605924', '1156974', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '-0.00340844', '0', '0.999994', '3.31047', '0.256562', '6.1978', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605925', '1156974', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.881207', '0', '-0.472731', '4.68316', '0.252417', '5.67583', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605926', '1156974', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.422853', '0', '0.906198', '3.31626', '0.252541', '3.48861', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605927', '1156974', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.210016', '0', '0.977698', '2.59156', '0.252106', '3.40506', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605928', '1156974', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.187296', '0', '0.982304', '4.54595', '0.252108', '3.67721', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605929', '1156974', 'object/static/structure/general/shared_data_terminal_wall_s1.iff', '0', '-0.00380531', '0', '0.999993', '-1.01697', '0.250034', '3.1672', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605931', '1156974', 'object/static/structure/general/shared_prp_engine_component.iff', '0', '-0.597195', '0', '0.802096', '1.2083', '0.253166', '3.60893', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605932', '1156974', 'object/static/structure/general/shared_prp_engine_component.iff', '0', '-0.692537', '0', '0.721382', '1.08162', '0.251163', '3.22357', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605933', '1156974', 'object/static/structure/general/shared_prp_engine_component.iff', '0', '-0.663136', '0', '0.748499', '1.15644', '0.252161', '3.41556', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605934', '1156974', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.999999', '0', '0.00101663', '0.884774', '0.251729', '3.33244', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156975', '1156973', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156976', '1156973', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156977', '1156973', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156978', '1156973', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156979', '1156973', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156980', '1156973', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156981', '1156973', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156982', '1156973', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156983', '1156973', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605937', '1156983', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s01.iff', '0', '-0.333696', '0', '0.942681', '3.80655', '-0.378217', '-6.08064', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605938', '1156983', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '-0.703437', '0', '0.710757', '5.18047', '0.281076', '1.9504', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605939', '1156983', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0.00977783', '0', '0.999952', '-3.3244', '-0.378217', '-6.19544', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605940', '1156983', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '-0.703437', '0', '0.710757', '5.19549', '0.273022', '-0.0214427', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605941', '1156983', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '-0.0106202', '0', '0.999944', '4.103', '-0.378217', '-6.15765', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605942', '1156983', 'object/tangible/furniture/cheap/shared_armoire_s01.iff', '0', '0.00977783', '0', '0.999952', '-1.49707', '-0.378217', '-6.21793', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605943', '1156983', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.00477744', '0', '0.999989', '-0.272183', '-0.378217', '-2.23228', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605944', '1156983', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.584917', '0', '0.811093', '-2.18696', '-0.378217', '-2.14597', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605945', '1156983', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.198453', '0', '0.980111', '-0.890104', '-0.378217', '-3.49296', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605946', '1156983', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '-0.703721', '0', '0.710476', '1.22081', '-0.378183', '-0.987702', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605947', '1156983', 'object/tangible/furniture/cheap/shared_love_seat_s01.iff', '0', '-0.703721', '0', '0.710476', '1.23636', '-0.366522', '-2.43342', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605948', '1156983', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '0.999989', '0', '-0.00477854', '-0.412684', '-0.378217', '-0.689896', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605949', '1156983', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s1.iff', '0', '0.00477965', '0', '0.999989', '2.32504', '-0.378217', '-4.14908', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156984', '0', 'object/building/tatooine/shared_housing_tatt_style01_small.iff', '0', '0.716243', '0', '-0.697851', '1465.52', '7', '3044.57', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156985', '1156984', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606010', '1156985', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '-0.40485', '0', '0.914383', '4.71314', '0.251712', '3.5723', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606011', '1156985', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '-0.00181578', '0', '0.999998', '3.29217', '0.256617', '6.16887', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606012', '1156985', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.880453', '0', '-0.474134', '4.66325', '0.252477', '5.64248', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606013', '1156985', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.424296', '0', '0.905524', '3.28942', '0.25239', '3.4597', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606014', '1156985', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.211573', '0', '0.977362', '2.56453', '0.251967', '3.37836', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606015', '1156985', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.185731', '0', '0.982601', '4.51954', '0.252168', '3.64401', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606016', '1156985', 'object/static/structure/general/shared_data_terminal_wall_s1.iff', '0', '-0.00222956', '0', '0.999997', '-0.978438', '0.250034', '3.38999', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156986', '1156984', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606019', '1156986', 'object/static/structure/general/shared_skeleton_bith_head.iff', '-0.107979', '-0.268204', '0.0535749', '0.955791', '-2.52223', '0.228157', '0.725082', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606020', '1156986', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0.00659263', '0', '0.999978', '-2.51221', '0.228411', '0.190044', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606021', '1156986', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0.00659263', '0', '0.999978', '-2.54151', '0.227667', '1.75523', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606023', '1156986', 'object/static/structure/general/shared_skeleton_bith_head.iff', '0.116099', '0.871535', '0.04431', '-0.474326', '-2.53347', '0.227871', '1.32582', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606024', '1156986', 'object/static/structure/general/shared_skeleton_human_head.iff', '0.0492527', '0.745353', '0.175701', '-0.641211', '-2.52725', '0.228029', '0.993626', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156987', '1156984', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156988', '1156984', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156989', '1156984', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156990', '1156984', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156991', '1156984', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156992', '1156984', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156993', '1156984', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156994', '1156984', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606025', '1156994', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '1', '0', '-3.20013e-08', '-1.81259', '-0.378217', '-0.572458', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606026', '1156994', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s1.iff', '0', '1', '0', '-3.20013e-08', '-0.243216', '-0.378217', '-2.52834', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606027', '1156994', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0', '0', '1', '-0.116629', '-0.378217', '-5.83439', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606028', '1156994', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '0.61531', '-0.378217', '-6.22856', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606029', '1156994', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '-0.793147', '-0.378217', '-6.2857', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606032', '1156994', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0.710353', '0', '-0.703845', '5.18064', '-0.378217', '-3.79309', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156995', '0', 'object/building/tatooine/shared_housing_tatt_style01_small.iff', '0', '0.700845', '0', '0.713314', '1485.05', '7', '3033.94', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156996', '1156995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605950', '1156996', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '0.00818483', '0', '0.999967', '1.36723', '0.251858', '3.35739', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605951', '1156996', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.0131834', '0', '0.999913', '3.51242', '0.255952', '6.17371', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605952', '1156996', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.873242', '0', '-0.487286', '4.86722', '0.251862', '5.60626', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605953', '1156996', 'object/static/structure/general/shared_data_terminal_wall_s1.iff', '0', '0.00119342', '0', '0.999999', '-0.493839', '0.250034', '3.19281', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605954', '1156996', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.770739', '0', '-0.637151', '5.09613', '0.25085', '4.22618', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605955', '1156996', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.43783', '0', '0.899058', '0.0391969', '0.251875', '3.36057', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605956', '1156996', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.226208', '0', '0.974079', '-0.687659', '0.251566', '3.30111', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605957', '1156996', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.235938', '0', '0.971768', '1.29454', '0.252877', '3.55339', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156997', '1156995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156998', '1156995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1156999', '1156995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157000', '1156995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157001', '1156995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157002', '1156995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157003', '1156995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157004', '1156995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157005', '1156995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605969', '1157005', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s2.iff', '0', '0.00659325', '0', '0.999978', '5.25878', '0.267949', '2.43693', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605970', '1157005', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '-0.438031', '0', '0.89896', '4.67507', '-0.378217', '-5.89909', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605971', '1157005', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '-0.438031', '0', '0.89896', '4.67507', '-0.378217', '-5.89909', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605972', '1157005', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '-0.438031', '0', '0.89896', '4.67507', '-0.378217', '-5.89909', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605973', '1157005', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0.00659325', '0', '0.999978', '3.0572', '-0.378217', '-6.28183', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605974', '1157005', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '-0.702429', '0', '0.711754', '5.18192', '-0.378217', '-4.35669', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605975', '1157005', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '0.00659325', '0', '0.999978', '-0.918169', '-0.378217', '-5.95249', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605976', '1157005', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.999978', '0', '-0.00659275', '-2.95897', '-0.378217', '-6.16747', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605977', '1157005', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.431895', '0', '0.901924', '-4.54964', '-0.378217', '-5.61863', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605978', '1157005', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '-0.702429', '0', '0.711754', '-4.9928', '-0.378217', '-4.42966', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605979', '1157005', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '0.999978', '0', '-0.00659275', '-1.24006', '-0.378217', '-0.49214', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605980', '1157005', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s1.iff', '0', '-0.694991', '0', '0.719019', '-0.512441', '-0.378217', '-1.26334', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157006', '0', 'object/building/tatooine/shared_housing_tatt_style01_small.iff', '0', '0.716243', '0', '-0.697851', '1507.36', '7', '3046.21', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157007', '1157006', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605981', '1157007', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.999961', '0', '0.00880623', '1.21383', '0.252338', '3.44959', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605982', '1157007', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '-0.133013', '0', '0.991114', '0.0606133', '0.253692', '3.71009', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605983', '1157007', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.999994', '0', '0.00340831', '-1.28709', '0.252184', '3.42005', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605984', '1157007', 'object/tangible/furniture/cheap/shared_armoire_s01.iff', '0', '-0.00880514', '0', '0.999961', '2.68657', '0.252753', '3.52946', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605985', '1157007', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '5.00459', '0.251101', '4.96163', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605986', '1157007', 'object/static/item/shared_item_jar_berries.iff', '0', '0', '0', '1', '-1.51737', '0.251725', '3.40998', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605987', '1157007', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '5.06099', '0.250914', '3.86782', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605988', '1157007', 'object/static/item/shared_item_shisha.iff', '0', '0', '0', '1', '-0.992477', '0.252017', '3.38796', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157008', '1157006', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605989', '1157008', 'object/static/item/shared_item_bowl_plain.iff', '0', '-0.043394', '0', '0.999058', '-2.53051', '0.227946', '1.16757', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605990', '1157008', 'object/static/item/shared_item_cheese_wheel_s1_partial.iff', '0', '0.725384', '0', '0.688344', '-2.53016', '0.227955', '1.14886', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605991', '1157008', 'object/static/item/shared_item_cheese_wheel_s1_partial.iff', '0', '0.725384', '0', '0.688344', '-2.53043', '0.227948', '1.16314', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605992', '1157008', 'object/static/item/shared_item_cheese_wheel_s1_partial.iff', '0', '0.725384', '0', '0.688344', '-2.52998', '0.22796', '1.13912', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605993', '1157008', 'object/static/item/shared_item_cheese_wheel_s1_partial.iff', '0', '-0.482413', '0', '0.875944', '-2.53005', '0.227958', '1.14301', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605995', '1157008', 'object/static/item/shared_item_bottle_fat.iff', '0', '0.745851', '0', '-0.666113', '-2.52015', '0.228209', '0.614056', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157009', '1157006', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157010', '1157006', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157011', '1157006', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157012', '1157006', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157013', '1157006', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157014', '1157006', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157015', '1157006', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605994', '1157015', 'object/static/item/shared_item_bottle_fat.iff', '0', '-0.043394', '0', '0.999058', '-1.03789', '0.258022', '0.472553', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605996', '1157015', 'object/static/item/shared_item_bottle_fat.iff', '0', '0.745851', '0', '-0.666113', '-1.03789', '0.258022', '0.90399', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605997', '1157015', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s01.iff', '0', '0.944599', '0', '0.328227', '-0.648507', '0.257929', '0.0405224', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157016', '1157006', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605998', '1157016', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '0.00637031', '0', '0.99998', '-1.74097', '-0.378217', '-6.04487', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1605999', '1157016', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '-0.703433', '0', '0.710761', '5.12659', '0.274025', '0.0136049', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606000', '1157016', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0.00637031', '0', '0.99998', '-3.71114', '-0.378217', '-6.05512', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606001', '1157016', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '0.999988', '0', '0.00482398', '-1.54783', '-0.378217', '-0.512801', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606002', '1157016', 'object/tangible/furniture/cheap/shared_armoire_s01.iff', '0', '-0.703433', '0', '0.710761', '5.13233', '0.281076', '1.84243', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606003', '1157016', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.999944', '0', '-0.0105736', '2.78155', '-0.378217', '-4.48866', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606004', '1157016', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.807689', '0', '-0.589609', '4.69503', '-0.378217', '-4.59736', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606005', '1157016', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.978944', '0', '-0.20413', '3.41397', '-0.378217', '-3.23553', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606006', '1157016', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.714544', '0', '0.699591', '1.27677', '-0.378217', '-5.71867', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606007', '1157016', 'object/tangible/furniture/cheap/shared_love_seat_s01.iff', '0', '0.714544', '0', '0.699591', '1.27646', '-0.378217', '-4.26789', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606008', '1157016', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '0.0105747', '0', '0.999944', '2.90416', '-0.378217', '-6.03264', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1606009', '1157016', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s1.iff', '0', '0.999944', '0', '-0.0105758', '0.206562', '-0.378217', '-2.54203', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157017', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.70324', '0', '0.710953', '1534.51', '7', '2968.62', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157018', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.70324', '0', '0.710953', '1500.76', '7', '2968.76', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157022', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.710353', '0', '-0.703846', '1491.85', '7', '2969.08', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157023', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.710353', '0', '-0.703846', '1542.53', '7', '2968.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157024', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.999816', '0', '0.0192012', '1542.45', '7', '2983.79', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157025', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.999957', '0', '0.00919188', '1542.73', '7', '2975.79', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157027', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.999816', '0', '0.019202', '1542.44', '7', '3000.56', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157029', '0', 'object/static/structure/tatooine/shared_shed_junkshop_watto.iff', '0', '-0.706683', '0', '0.70753', '1482.06', '7', '3022.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157030', '0', 'object/static/structure/tatooine/shared_shed_junkshop_watto.iff', '0', '-0.706684', '0', '0.707529', '1523.19', '7', '2985.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157031', '0', 'object/static/structure/tatooine/shared_shed_junkshop_watto.iff', '0', '-0.706683', '0', '0.70753', '1482.75', '7', '3002.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157032', '0', 'object/static/structure/tatooine/shared_shed_junkshop_watto.iff', '0', '0.720745', '0', '-0.6932', '1478.4', '7', '3047.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157034', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '0', '0', '1', '1428.37', '7', '2996.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157035', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.461773', '0', '0.886998', '1434.57', '7', '3005.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157042', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_1.iff', '0', '0.109778', '0', '0.993956', '1731.19', '7', '3147.59', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157047', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_08.iff', '0', '-0.031587', '0', '0.999501', '1770.25', '7', '3019.61', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157284', '0', 'object/building/tatooine/shared_filler_building_block_64x16_style_01.iff', '0', '0.713867', '0', '-0.700282', '1650.57', '7', '3031.28', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157561', '0', 'object/static/terrain/tatooine/shared_rock_mushroom_tatooine_style_1.iff', '0', '0.470626', '0', '0.882333', '1300.35', '9.87712', '3223.51', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157629', '0', 'object/building/tatooine/shared_housing_tatt_style01_small.iff', '0', '-0.0334029', '0', '0.999442', '1225.89', '4', '3232.99', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157630', '1157629', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627407', '1157630', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '-0.400273', '0', '0.916396', '4.69011', '0.251769', '3.63323', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627408', '1157630', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.00318428', '0', '0.999995', '3.29517', '0.256608', '6.24391', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627409', '1157630', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.878071', '0', '-0.47853', '4.66083', '0.252485', '5.70368', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627410', '1157630', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.428818', '0', '0.903391', '3.2654', '0.252781', '3.53481', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627411', '1157630', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.216457', '0', '0.976292', '2.53948', '0.252395', '3.46069', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627412', '1157630', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.180816', '0', '0.983517', '4.49723', '0.252223', '3.70709', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627413', '1157630', 'object/static/structure/general/shared_data_terminal_wall_s1.iff', '0', '0.709075', '0', '0.705133', '-2.02417', '0.250034', '3.8402', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627414', '1157630', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.467418', '0', '0.884037', '0.261679', '0.254196', '3.80705', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627415', '1157630', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.999956', '0', '0.00942805', '1.64065', '0.251568', '3.30163', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157631', '1157629', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157632', '1157629', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157633', '1157629', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157634', '1157629', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157635', '1157629', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157636', '1157629', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157637', '1157629', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157638', '1157629', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157639', '1157629', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627420', '1157639', 'object/tangible/furniture/modern/shared_rug_oval_sml_s01.iff', '0', '0.709511', '0', '-0.704694', '-1.45819', '-0.378217', '-3.85016', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627421', '1157639', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s2.iff', '0', '-0.00340669', '0', '0.999994', '5.07361', '0.260226', '2.52802', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627422', '1157639', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '-0.446998', '0', '0.894535', '4.65689', '-0.378217', '-5.81713', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627423', '1157639', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '-0.446998', '0', '0.894535', '4.65689', '-0.378217', '-5.81713', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627424', '1157639', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '-0.446998', '0', '0.894535', '4.65689', '-0.378217', '-5.81713', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627425', '1157639', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '-0.00340669', '0', '0.999994', '3.04699', '-0.378217', '-6.23201', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627426', '1157639', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0.70951', '0', '-0.704695', '5.13286', '-0.378217', '-4.26485', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627427', '1157639', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '-0.00340669', '0', '0.999994', '-0.934123', '-0.378217', '-5.98254', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627428', '1157639', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.999994', '0', '0.00340728', '-2.97026', '-0.378217', '-6.23827', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627429', '1157639', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.422855', '0', '0.906198', '-4.57159', '-0.378217', '-5.72127', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627430', '1157639', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.70951', '0', '-0.704695', '-5.0384', '-0.378217', '-4.54138', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627431', '1157639', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '0.999994', '0', '0.00340728', '-1.36505', '-0.378217', '-0.529514', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627432', '1157639', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s1.iff', '0', '0.719726', '0', '-0.694259', '-0.656137', '-0.378217', '-1.15766', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157640', '0', 'object/building/tatooine/shared_housing_tatt_style01_small.iff', '0', '-0.0334029', '0', '0.999442', '1210.07', '4', '3232.18', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157641', '1157640', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627433', '1157641', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '-0.0118149', '0', '0.99993', '1.42026', '0.25186', '3.35775', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627434', '1157641', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '-0.00681614', '0', '0.999977', '3.45107', '0.256137', '6.25769', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627435', '1157641', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.882813', '0', '-0.469725', '4.82745', '0.251982', '5.74486', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627436', '1157641', 'object/static/structure/general/shared_data_terminal_wall_s1.iff', '0', '-0.00380027', '0', '0.999993', '0.305914', '0.250034', '3.11411', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627437', '1157641', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.783327', '0', '-0.62161', '5.17509', '0.250675', '4.40514', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627438', '1157641', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.419763', '0', '0.907634', '0.33287', '0.252705', '3.52025', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627439', '1157641', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.206683', '0', '0.978408', '-0.391183', '0.252244', '3.43165', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627440', '1157641', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.216457', '0', '0.976292', '1.33995', '0.252864', '3.55077', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627441', '1157641', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '-0.621163', '0', '0.783682', '-1.05616', '0.253288', '3.73082', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627442', '1157641', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.987923', '0', '-0.154944', '-0.346029', '0.254654', '3.89511', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157642', '1157640', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157643', '1157640', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157644', '1157640', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157645', '1157640', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157646', '1157640', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157647', '1157640', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157648', '1157640', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157649', '1157640', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157650', '1157640', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627447', '1157650', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s01.iff', '0', '0.416669', '0', '0.909059', '-4.7669', '-0.378217', '-5.67851', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627448', '1157650', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '0.00318357', '0', '0.999995', '-0.610741', '-0.378217', '-6.30752', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627449', '1157650', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0.999999', '0', '0.00101944', '0.0837374', '-0.378217', '-0.619098', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627450', '1157650', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0.00318357', '0', '0.999995', '-2.51847', '-0.378217', '-6.23719', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627451', '1157650', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s1.iff', '0', '0.699558', '0', '0.714576', '-2.88156', '-0.378217', '-4.13821', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627452', '1157650', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '-0.00101911', '0', '0.999999', '4.29858', '-0.378217', '-6.03297', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627453', '1157650', 'object/tangible/furniture/cheap/shared_love_seat_s01.iff', '0', '0.706385', '0', '0.707828', '2.6304', '-0.378217', '-4.30592', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627454', '1157650', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.706385', '0', '0.707828', '2.66433', '-0.378217', '-5.75621', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627455', '1157650', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.981245', '0', '-0.192766', '4.74331', '-0.378217', '-3.22422', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627456', '1157650', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '0.68847', '0', '0.725264', '-4.83457', '-0.378217', '-5.97729', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627457', '1157650', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.999999', '0', '0.00101944', '4.14011', '-0.378217', '-4.49153', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627458', '1157650', 'object/tangible/furniture/cheap/shared_armoire_s01.iff', '0', '0.999999', '0', '0.00101944', '-1.74328', '-0.378217', '-0.636638', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157651', '0', 'object/building/tatooine/shared_housing_tatt_style01_med.iff', '0', '0.720831', '0', '-0.693111', '1249.85', '4', '3231.15', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157652', '1157651', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627404', '1157652', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '0.698418', '0', '0.71569', '4.39234', '1.00421', '7.76282', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627405', '1157652', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '-0.70101', '0', '0.713152', '4.39925', '1.00421', '9.53116', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627406', '1157652', 'object/tangible/furniture/modern/shared_end_table_large_modern_style_01.iff', '0', '1', '0', '-7.33659e-08', '4.37943', '1.00421', '8.67485', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157653', '1157651', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627382', '1157653', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff', '0', '0.999999', '0', '-0.00159314', '-7.91961', '0.408271', '2.64761', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627383', '1157653', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_05.iff', '0', '-0.00340654', '0', '0.999994', '6.89925', '0.408269', '-6.93921', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627384', '1157653', 'object/tangible/furniture/modern/shared_love_seat_modern_style_01.iff', '0', '-0.415422', '0', '0.909629', '-2.53543', '0.40827', '-9.66767', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627385', '1157653', 'object/tangible/furniture/modern/shared_love_seat_modern_style_01.iff', '0', '0.899405', '0', '-0.437116', '0.565673', '0.40827', '-9.67958', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627386', '1157653', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.936813', '0', '-0.34983', '9.53813', '0.408271', '-3.92226', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627387', '1157653', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '-0.36013', '0', '0.932902', '9.53541', '0.40827', '-9.87236', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627388', '1157653', 'object/tangible/furniture/modern/shared_couch_modern_style_02.iff', '0', '0.70923', '0', '-0.704977', '10.1403', '0.408271', '-6.84338', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627389', '1157653', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '-0.00340654', '0', '0.999994', '6.87197', '0.408268', '-3.50787', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627390', '1157653', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '-0.00340654', '0', '0.999994', '6.93576', '0.408271', '-10.4742', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627391', '1157653', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.378511', '0', '0.925597', '4.36646', '0.40827', '-9.79304', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627392', '1157653', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.930134', '0', '0.367219', '4.48668', '0.408271', '-4.05759', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627393', '1157653', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff', '0', '0.999999', '0', '-0.00159325', '4.63761', '0.408271', '2.64761', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627394', '1157653', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '-0.473629', '0', '0.880724', '-1.97615', '0.408271', '-10.3161', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627395', '1157653', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '0.821141', '0', '-0.570726', '0.0724036', '0.408271', '-10.4373', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627396', '1157653', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_02.iff', '0', '0.273079', '0', '0.961992', '-1.03497', '0.408271', '-10.8106', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627397', '1157653', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0', '0.00159346', '0', '0.999999', '2.99855', '0.408271', '2.43718', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627398', '1157653', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0', '0.00159343', '0', '0.999999', '-6.18839', '0.408271', '2.48218', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627399', '1157653', 'object/tangible/furniture/modern/shared_armoire_modern_style_01.iff', '0', '0.704693', '0', '0.709512', '-7.90268', '0.408271', '-6.23741', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627400', '1157653', 'object/static/item/shared_item_painting_naboo_style_01.iff', '0', '-0.00340654', '0', '0.999994', '10.8769', '0.408271', '0.529335', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627401', '1157653', 'object/static/item/shared_item_painting_endor_style_01.iff', '0', '-0.00340654', '0', '0.999994', '10.8769', '0.408271', '-1.89453', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627402', '1157653', 'object/static/item/shared_item_painting_corellia_style_02.iff', '0', '-0.00340654', '0', '0.999994', '10.8769', '0.408271', '-5.34279', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627403', '1157653', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '0.709511', '0', '-0.704694', '10.4101', '0.408271', '4.50912', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157654', '1157651', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627348', '1157654', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '0.959437', '0', '-0.281922', '-6.5741', '1.00421', '8.00708', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627349', '1157654', 'object/tangible/crafting/station/shared_food_station.iff', '0', '1', '0', '-2.54718e-07', '-2.17611', '1.00421', '10.2277', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627350', '1627349', 'object/tangible/hopper/shared_crafting_station_ingredient_hopper_1.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627351', '1157654', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0', '0', '1', '-7.52734', '1.00421', '6.36045', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627352', '1157654', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '0.944148', '0', '0.329521', '-8.98768', '1.00421', '7.8181', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627353', '1157654', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '0.488177', '0', '0.872745', '-9.26719', '1.00421', '4.93605', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627354', '1157654', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '-0.509841', '0', '0.860269', '-6.20829', '1.00421', '5.26759', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627358', '1157654', 'object/static/item/shared_item_jar_spice_red.iff', '0', '0', '0', '1', '2.76289', '1.92127', '9.06393', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627359', '1157654', 'object/static/item/shared_item_jar_spice_red.iff', '0', '0', '0', '1', '2.76289', '1.92127', '8.68244', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627360', '1157654', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0', '0', '1', '2.65268', '1.92127', '4.22348', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627361', '1157654', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0', '0', '1', '2.76289', '1.92127', '4.03122', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627362', '1157654', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0', '0', '1', '2.76289', '1.92127', '4.48852', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627363', '1157654', 'object/static/item/shared_item_kitchen_pot_style_01.iff', '0', '0.164252', '0', '0.986418', '2.76234', '1.92127', '7.65144', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627364', '1157654', 'object/static/item/shared_item_kitchen_pot_style_02.iff', '0', '0.448423', '0', '0.893822', '2.76289', '1.92127', '7.28963', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627365', '1157654', 'object/static/item/shared_item_kitchen_pot_style_02.iff', '0', '0.252245', '0', '0.967663', '2.76289', '1.92127', '7.10172', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627366', '1157654', 'object/static/item/shared_item_kitchen_pot_style_03.iff', '0', '0.15438', '0', '0.988012', '2.67968', '1.92127', '6.58343', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627367', '1157654', 'object/static/item/shared_item_kitchen_pot_style_03.iff', '0', '0.992098', '0', '-0.125465', '2.76289', '1.92127', '6.41401', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627368', '1157654', 'object/static/item/shared_item_kitchen_pot_style_01.iff', '0', '-0.352274', '0', '0.935897', '2.76289', '1.92127', '6.16751', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627369', '1157654', 'object/static/item/shared_item_jar_berries.iff', '0', '0', '0', '1', '2.76289', '1.92127', '8.17605', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627370', '1157654', 'object/static/item/shared_item_jar_berries.iff', '0', '0', '0', '1', '2.76289', '1.92127', '7.90921', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627371', '1157654', 'object/static/item/shared_item_jar_funk.iff', '0', '0', '0', '1', '2.76289', '1.92127', '4.86042', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627372', '1157654', 'object/static/item/shared_item_meat_hunk.iff', '0.711307', '-0.304937', '-0.300833', '-0.557275', '3.00167', '2.04776', '9.92412', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627376', '1157654', 'object/static/item/shared_item_bowl_carved.iff', '0', '0', '0', '1', '2.76289', '1.88965', '9.93619', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627377', '1157654', 'object/static/item/shared_item_bottle_pear.iff', '0', '0.0549724', '0', '0.998488', '-10.4927', '1.88965', '8.61384', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627378', '1157654', 'object/static/item/shared_item_bottle_pear.iff', '0', '0.0549724', '0', '0.998488', '-10.4927', '1.88965', '8.89703', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627379', '1157654', 'object/static/item/shared_item_bottle_tall.iff', '0', '0.0549724', '0', '0.998488', '-10.4927', '1.88965', '4.36449', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627380', '1157654', 'object/static/item/shared_item_bottle_fat.iff', '0', '0.0549724', '0', '0.998488', '-10.4927', '1.88965', '7.43938', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627381', '1157654', 'object/tangible/furniture/modern/shared_rug_oval_m_s02.iff', '0', '-0.707102', '0', '0.707112', '-1.6169', '1.00421', '7.04602', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095641', '1157654', 'object/tangible/furniture/modern/shared_cabinet_modern_style_01.iff', '0', '1', '0', '-3.20013e-08', '-5.61271', '1.00421', '11.0306', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157655', '1157651', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157656', '1157651', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157657', '1157651', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157658', '1157651', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157659', '1157651', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157660', '1157651', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157661', '1157651', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157662', '1157651', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157663', '1157651', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157664', '0', 'object/building/tatooine/shared_housing_tatt_style01_med.iff', '0', '0.690073', '0', '0.72374', '1212.41', '4', '3289.04', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157665', '1157664', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627693', '1157665', 'object/tangible/furniture/modern/shared_end_table_large_modern_style_01.iff', '0', '0.707102', '0', '0.707112', '4.3653', '1.00421', '3.97622', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627694', '1157665', 'object/tangible/furniture/modern/shared_end_table_large_modern_style_01.iff', '0', '-0.707102', '0', '0.707112', '4.44985', '1.00421', '10.5606', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627695', '1157665', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s2.iff', '0', '0', '0', '1', '4.42848', '1.00421', '4.00759', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627696', '1157665', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s2.iff', '0', '0.690073', '0', '0.72374', '4.45216', '1.00421', '10.5808', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157666', '1157664', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627673', '1157666', 'object/tangible/furniture/modern/shared_rug_oval_m_s02.iff', '0', '0.710634', '0', '0.703562', '-1.0322', '0.408271', '-6.90733', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627674', '1157666', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff', '0', '0.710634', '0', '0.703562', '-5.11854', '0.408271', '-7.00076', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627675', '1157666', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff', '0', '-0.703562', '0', '0.710634', '3.1199', '0.408271', '-6.95326', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627676', '1157666', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff', '0', '0.00500089', '0', '0.999987', '-0.972012', '0.408271', '-10.3645', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627677', '1157666', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '0.9998', '0', '-0.0199985', '-0.924376', '0.408271', '-6.96016', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627678', '1157666', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff', '0', '0.00499968', '0', '0.999987', '8.87517', '0.408271', '-10.8339', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627679', '1157666', 'object/tangible/furniture/modern/shared_cabinet_modern_style_01.iff', '0', '0.00499968', '0', '0.999987', '6.84657', '0.408271', '-10.8339', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627680', '1157666', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff', '0', '0.00499968', '0', '0.999987', '4.70413', '0.408271', '-10.8339', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627681', '1157666', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '-0.703562', '0', '0.710634', '10.5372', '0.408271', '-2.72684', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627682', '1157666', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0.5', '-0.5', '0.5', '0.5', '10.8769', '0.408271', '-5.68153', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627683', '1157666', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0.5', '-0.5', '0.5', '0.5', '10.8769', '0.408271', '0.068419', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627684', '1157666', 'object/tangible/furniture/tatooine/shared_frn_tato_vase_style_01.iff', '0', '0.00499968', '0', '0.999987', '10.7196', '0.408271', '0.220671', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627685', '1157666', 'object/tangible/furniture/tatooine/shared_frn_tato_vase_style_01.iff', '0', '0.00499968', '0', '0.999987', '10.6233', '0.408271', '-5.62952', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627686', '1157666', 'object/tangible/furniture/tatooine/shared_frn_tato_vase_style_02.iff', '0', '0.00499968', '0', '0.999987', '10.6927', '0.408271', '-2.75527', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627687', '1157666', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0', '0', '1', '-10.4879', '0.408271', '2.06947', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627688', '1157666', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0.500198', '0.4998', '-0.499801', '0.500199', '-11.0959', '0.408271', '0.266397', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627689', '1157666', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0.500198', '0.4998', '-0.499802', '0.5002', '-11.0959', '0.408271', '0.266397', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627690', '1157666', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0.500199', '0.499801', '-0.499801', '0.500199', '-11.0959', '0.408271', '0.266397', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627691', '1157666', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.997248', '0', '0.0741355', '-9.30831', '0.408271', '2.28452', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157667', '1157664', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627594', '1157667', 'object/tangible/furniture/modern/shared_dining_table_modern_style_01.iff', '0', '0.00159344', '0', '0.999999', '-3.63115', '1.00421', '7.17461', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627595', '1157667', 'object/tangible/furniture/modern/shared_rug_oval_lg_s01.iff', '0', '0.708232', '0', '0.70598', '-3.6313', '1.00421', '7.15231', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627596', '1157667', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.755615', '0', '0.655016', '-7.95649', '1.00421', '7.05399', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627597', '1157667', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.364789', '0', '0.93109', '0.7077', '1.00421', '7.01896', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627598', '1157667', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.372399', '0', '0.928073', '-5.61754', '1.00421', '5.28063', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627599', '1157667', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.226427', '0', '0.974028', '-1.89061', '1.00421', '5.23111', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627600', '1157667', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.92896', '0', '0.370181', '-5.50378', '1.00421', '8.81422', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627601', '1157667', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.90586', '0', '-0.423577', '-1.77636', '1.00421', '8.807', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627602', '1157667', 'object/static/item/shared_item_painting_agrilat_swamp_style_01.iff', '0', '-0.705967', '0', '0.708244', '-3.45884', '1.00421', '10.844', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627603', '1157667', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0.00159344', '0', '0.999999', '-9.86558', '1.00421', '3.90782', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627604', '1157667', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0.00159344', '0', '0.999999', '-9.86558', '1.00421', '4.11998', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627605', '1157667', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0.00159344', '0', '0.999999', '-9.86558', '1.00421', '4.13521', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627606', '1157667', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0.00159344', '0', '0.999999', '-9.86558', '1.00421', '4.39086', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627607', '1157667', 'object/static/item/shared_item_jar_spice_red.iff', '0', '0.00159344', '0', '0.999999', '-9.86558', '1.00421', '9.79777', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627608', '1157667', 'object/static/item/shared_item_jar_spice_red.iff', '0', '0.00159344', '0', '0.999999', '-9.86558', '1.00421', '10.0461', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627609', '1157667', 'object/static/item/shared_item_jar_spice_red.iff', '0', '0.00159344', '0', '0.999999', '-9.86558', '1.00421', '9.87474', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627610', '1157667', 'object/static/item/shared_item_jar_spice_white.iff', '0', '0.00159344', '0', '0.999999', '-9.86558', '1.00421', '6.37501', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627611', '1157667', 'object/static/item/shared_item_jar_spice_red.iff', '0', '0.00159344', '0', '0.999999', '-9.86558', '1.00421', '9.41879', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627612', '1157667', 'object/static/item/shared_item_jar_spice_white.iff', '0', '0.00159344', '0', '0.999999', '-9.86558', '1.00421', '6.58521', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627613', '1157667', 'object/static/item/shared_item_jar_spice_white.iff', '0', '0.00159344', '0', '0.999999', '-9.86558', '1.00421', '6.88591', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627614', '1157667', 'object/static/item/shared_item_glass_empty.iff', '0', '0.00159344', '0', '0.999999', '2.20687', '1.00421', '8.7429', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627615', '1157667', 'object/static/item/shared_item_glass_empty.iff', '0', '0.00159344', '0', '0.999999', '2.20687', '1.00421', '8.5505', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627616', '1157667', 'object/static/item/shared_item_glass_empty.iff', '0', '0.00159344', '0', '0.999999', '2.20687', '1.00421', '8.55775', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627617', '1157667', 'object/static/item/shared_item_glass_empty.iff', '0', '0.00159344', '0', '0.999999', '2.20687', '1.00421', '8.37863', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627618', '1157667', 'object/static/item/shared_item_glass_empty.iff', '0', '0.00159344', '0', '0.999999', '2.20687', '1.00421', '8.38897', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627619', '1157667', 'object/static/item/shared_item_glass_empty.iff', '0', '0.00159344', '0', '0.999999', '2.20687', '1.00421', '8.27715', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627620', '1157667', 'object/static/item/shared_item_bottle_tall.iff', '0', '0.00159344', '0', '0.999999', '2.20687', '1.00421', '10.0352', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627621', '1157667', 'object/static/item/shared_item_bottle_tall.iff', '0', '0.00159344', '0', '0.999999', '2.20687', '1.00421', '9.78287', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627622', '1157667', 'object/static/item/shared_item_bottle_tall.iff', '0', '0.00159344', '0', '0.999999', '2.20687', '1.00421', '9.57153', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627623', '1157667', 'object/static/item/shared_item_bottle_fat.iff', '0', '0.00159344', '0', '0.999999', '2.20687', '1.00421', '4.73676', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627624', '1157667', 'object/static/item/shared_item_bottle_fat.iff', '0', '0.00159344', '0', '0.999999', '2.20687', '1.00421', '5.06434', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627625', '1157667', 'object/static/item/shared_item_bottle_pear.iff', '0', '0.00159344', '0', '0.999999', '2.20687', '1.00421', '4.34401', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157668', '1157664', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157669', '1157664', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157670', '1157664', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157671', '1157664', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157672', '1157664', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157673', '1157664', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157674', '1157664', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157675', '1157664', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157676', '1157664', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157677', '0', 'object/static/structure/tatooine/shared_shed_junkshop_watto.iff', '0', '-0.0249991', '0', '0.999687', '1233.78', '4', '3299.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157678', '0', 'object/static/structure/tatooine/shared_shed_junkshop_watto.iff', '0', '-0.0100015', '0', '0.99995', '1210.27', '4', '3218.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157679', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.0399893', '0', '0.9992', '1180.8', '7', '3272.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157680', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.0349911', '0', '0.999388', '1180.06', '7', '3280.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157681', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.0299965', '0', '0.99955', '1182.21', '7', '3246.85', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157682', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.0399889', '0', '0.9992', '1181.85', '7', '3255.85', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157683', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.0299937', '0', '0.99955', '1181.11', '7', '3263.8', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157684', '0', 'object/static/structure/tatooine/shared_shed_junkshop_watto.iff', '0', '-0.0299978', '0', '0.99955', '1226.2', '4', '3219.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157685', '0', 'object/building/tatooine/shared_housing_tatt_style01_small.iff', '0', '0.999574', '0', '0.0292001', '1235.21', '4', '3285.61', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157686', '1157685', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627525', '1157686', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '0.619562', '0', '0.784947', '-1.63432', '0.251338', '3.61332', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627526', '1157686', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '-0.0268129', '0', '0.99964', '3.41786', '0.256237', '6.13716', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627527', '1157686', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.89203', '0', '-0.451976', '4.81372', '0.252023', '5.67986', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627529', '1157686', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.780209', '0', '-0.625519', '5.01221', '0.25105', '4.30587', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627530', '1157686', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.355252', '0', '0.93477', '4.14204', '0.25305', '3.64726', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627531', '1157686', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.137744', '0', '0.990468', '3.43739', '0.252385', '3.45868', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627532', '1157686', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.782197', '0', '0.623032', '-1.46385', '0.251916', '3.7313', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627533', '1157686', 'object/static/structure/general/shared_data_terminal_wall_s3.iff', '0', '0', '0', '1', '1.4983', '0.25233', '3.44809', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157687', '1157685', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157688', '1157685', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157689', '1157685', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157690', '1157685', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157691', '1157685', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157692', '1157685', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157693', '1157685', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157694', '1157685', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157695', '1157685', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627536', '1157695', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s01.iff', '0', '0.430256', '0', '0.902707', '-4.88532', '-0.378217', '-5.55671', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627537', '1157695', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '0.00398013', '0', '0.999992', '-2.00266', '-0.378217', '-6.24776', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627538', '1157695', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0.999992', '0', '-0.00398012', '0.104025', '-0.378217', '-0.536242', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627539', '1157695', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0.00398013', '0', '0.999992', '-0.0294112', '-0.378217', '-6.26353', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627540', '1157695', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s1.iff', '0', '0.710197', '0', '0.704003', '-2.95435', '-0.378217', '-4.07336', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627541', '1157695', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '-0.704289', '0', '0.709913', '4.95054', '-0.378217', '-4.30703', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627542', '1157695', 'object/tangible/furniture/cheap/shared_love_seat_s01.iff', '0', '0.00398013', '0', '0.999992', '3.20727', '-0.378217', '-5.95789', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627543', '1157695', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.00398013', '0', '0.999992', '4.65797', '-0.378217', '-5.93902', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627544', '1157695', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.779821', '0', '0.626003', '1.65014', '-0.378217', '-4.77084', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627545', '1157695', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.92733', '0', '-0.374245', '4.39631', '-0.362263', '-2.51841', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627546', '1157695', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.709916', '0', '0.704286', '3.408', '-0.378217', '-4.45052', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627547', '1157695', 'object/tangible/furniture/cheap/shared_armoire_s01.iff', '0', '0.999992', '0', '-0.00398012', '-1.72298', '-0.378217', '-0.535128', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627548', '1157695', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '0.699272', '0', '0.714855', '-4.96165', '-0.378217', '-5.85325', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157696', '0', 'object/building/tatooine/shared_housing_tatt_style01_small.iff', '0', '0.999574', '0', '0.0292001', '1251.03', '4', '3286.42', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157697', '1157696', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627549', '1157697', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '-0.00181507', '0', '0.999998', '1.31081', '0.251764', '3.33916', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627550', '1157697', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.00318381', '0', '0.999995', '3.39929', '0.256294', '6.19795', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627551', '1157697', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.878071', '0', '-0.47853', '4.76518', '0.25217', '5.65752', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627553', '1157697', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.777072', '0', '-0.629412', '5.08591', '0.250878', '4.31136', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627554', '1157697', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.516864', '0', '0.856067', '3.00126', '0.252558', '3.58516', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627555', '1157697', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '-0.675629', '0', '0.737242', '2.48106', '0.252397', '3.55413', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627556', '1157697', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.263661', '0', '0.964615', '0.324748', '0.252064', '3.39696', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627557', '1157697', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.990764', '0', '0.135601', '-0.78089', '0.252587', '3.62474', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627558', '1157697', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '-0.333699', '0', '0.94268', '4.4618', '0.252306', '3.70673', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157698', '1157696', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157699', '1157696', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157700', '1157696', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157701', '1157696', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157702', '1157696', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157703', '1157696', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157704', '1157696', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157705', '1157696', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157706', '1157696', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627581', '1157706', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s01.iff', '0', '0.942946', '0', '0.332945', '-2.31015', '0.0969158', '-0.528879', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627582', '1157706', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '0.00137021', '0', '0.999999', '-2.0225', '-0.378217', '-6.12924', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627583', '1157706', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '-0.706989', '0', '0.707225', '5.1727', '0.271084', '-0.0891542', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627584', '1157706', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0.00137021', '0', '0.999999', '-3.9927', '-0.378217', '-6.15926', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627585', '1157706', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '0.999952', '0', '0.00982384', '-1.88489', '-0.378217', '-0.595568', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627586', '1157706', 'object/tangible/furniture/cheap/shared_armoire_s01.iff', '0', '-0.706989', '0', '0.707225', '5.16001', '0.281076', '1.73978', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627587', '1157706', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.711037', '0', '0.703154', '3.42852', '-0.378217', '-4.46764', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627588', '1157706', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.884593', '0', '-0.466364', '4.61342', '-0.372825', '-2.57355', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627589', '1157706', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.644963', '0', '0.764214', '1.59328', '-0.378217', '-5.13652', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627590', '1157706', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.00557367', '0', '0.999984', '4.67359', '-0.378217', '-5.96002', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627591', '1157706', 'object/tangible/furniture/cheap/shared_love_seat_s01.iff', '0', '0.00557367', '0', '0.999984', '3.22264', '-0.378217', '-5.97445', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627592', '1157706', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '-0.703157', '0', '0.711035', '4.97132', '-0.378217', '-4.32937', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627593', '1157706', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s1.iff', '0', '0.999984', '0', '-0.00557594', '-0.110279', '-0.378217', '-2.60704', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157707', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.0299938', '0', '0.99955', '1179.71', '7', '3289.55', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157708', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.0249956', '0', '0.999688', '1178.93', '7', '3297.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157709', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.67797', '0', '0.73509', '1178.86', '7', '3305.18', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157710', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.681634', '0', '0.731694', '1186.78', '7', '3306.04', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157711', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.677972', '0', '0.735088', '1195.74', '6.98495', '3306.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157712', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.688925', '0', '0.724832', '1203.65', '6.8166', '3307.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157713', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.688919', '0', '0.724838', '1212.58', '6.50053', '3307.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157714', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.688918', '0', '0.724839', '1183.05', '7', '3237.89', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157715', '0', 'object/static/structure/tatooine/shared_shed_junkshop_watto.iff', '0', '-0.0249991', '0', '0.999687', '1250.88', '4', '3301.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157716', '0', 'object/building/tatooine/shared_housing_tatt_style01_small.iff', '0', '0.680311', '0', '0.732924', '1197.19', '4', '3265.38', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157717', '1157716', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627492', '1157717', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '-0.00681489', '0', '0.999977', '3.42787', '0.251711', '3.32914', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627493', '1157717', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.591715', '0', '0.806147', '4.85926', '0.251383', '3.81678', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627494', '1157717', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '-0.618487', '0', '0.785795', '4.90728', '0.251319', '4.77791', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627495', '1157717', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.43333', '0', '0.901235', '2.33992', '0.254078', '3.78421', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627496', '1157717', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.221336', '0', '0.975198', '1.61331', '0.25373', '3.7174', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627497', '1157717', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.221336', '0', '0.975198', '3.35', '0.252719', '3.52293', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627498', '1157717', 'object/static/structure/general/shared_data_terminal_wall_s1.iff', '0', '-0.00840715', '0', '0.999965', '-0.115709', '0.250052', '3.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627499', '1157717', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '0.798896', '0.25263', '3.50577', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157718', '1157716', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157719', '1157716', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157720', '1157716', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157721', '1157716', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157722', '1157716', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157723', '1157716', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157724', '1157716', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157725', '1157716', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157726', '1157716', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627511', '1157726', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s2.iff', '0', '0.00159326', '0', '0.999999', '5.23166', '0.26785', '2.44175', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627512', '1157726', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '-0.44252', '0', '0.896759', '4.73114', '-0.378217', '-5.89969', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627513', '1157726', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '-0.44252', '0', '0.896759', '4.73114', '-0.378217', '-5.89969', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627514', '1157726', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '-0.44252', '0', '0.896759', '4.73114', '-0.378217', '-5.89969', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627515', '1157726', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0.00159326', '0', '0.999999', '3.11726', '-0.378217', '-6.29853', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627516', '1157726', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '-0.705978', '0', '0.708233', '5.22261', '-0.378217', '-4.35226', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627517', '1157726', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '0.00159326', '0', '0.999999', '-0.861275', '-0.378217', '-6.00916', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627518', '1157726', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.999999', '0', '-0.00159275', '-2.89964', '-0.378217', '-6.24446', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627519', '1157726', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.42738', '0', '0.904072', '-4.49577', '-0.378217', '-5.71144', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627520', '1157726', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '-0.705978', '0', '0.708233', '-4.95088', '-0.378217', '-4.52713', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627522', '1157726', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s1.iff', '0', '0.716245', '0', '-0.697849', '-0.534924', '-0.378217', '-1.18734', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627524', '1157726', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_04.iff', '0', '0.707102', '0', '0.707112', '-1.76546', '-0.378217', '-3.97862', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157727', '0', 'object/building/tatooine/shared_housing_tatt_style01_small.iff', '0', '0.680311', '0', '0.732924', '1198.12', '4', '3249.57', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157728', '1157727', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627472', '1157728', 'object/tangible/furniture/cheap/shared_armoire_s01.iff', '0', '-0.705979', '0', '0.708233', '5.16607', '0.250959', '5.72561', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627473', '1157728', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.999999', '0', '-0.00159278', '2.89871', '0.252189', '3.42094', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627474', '1157728', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '-0.313054', '0', '0.949735', '4.22599', '0.252856', '3.68658', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627475', '1157728', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.708232', '0', '0.705979', '5.21523', '0.250573', '4.25159', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627476', '1157728', 'object/tangible/furniture/cheap/shared_armoire_s01.iff', '0', '0.00438248', '0', '0.99999', '1.29202', '0.251729', '3.33248', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157729', '1157727', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157730', '1157727', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157731', '1157727', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157732', '1157727', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157733', '1157727', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157734', '1157727', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157735', '1157727', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157736', '1157727', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157737', '1157727', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627479', '1157737', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s1.iff', '0', '-0.691387', '0', '0.722485', '3.09481', '-0.378217', '-5.34016', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627480', '1157737', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '0.999978', '0', '-0.00659179', '-0.339631', '-0.378217', '-0.738186', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627481', '1157737', 'object/tangible/furniture/cheap/shared_love_seat_s01.iff', '0', '-0.702431', '0', '0.711752', '1.30353', '-0.368007', '-2.48793', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627482', '1157737', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '-0.702431', '0', '0.711752', '1.29039', '-0.377891', '-1.03956', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627483', '1157737', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.200229', '0', '0.979749', '-0.82703', '-0.378217', '-3.54001', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627484', '1157737', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.586388', '0', '0.81003', '-2.11868', '-0.378217', '-2.18826', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627485', '1157737', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.00659155', '0', '0.999978', '-0.204547', '-0.378217', '-2.28173', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627486', '1157737', 'object/tangible/furniture/cheap/shared_armoire_s01.iff', '0', '0.00659155', '0', '0.999978', '1.44194', '-0.378217', '-6.25572', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627487', '1157737', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '-0.702431', '0', '0.711752', '5.16353', '-0.378217', '-3.63221', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627488', '1157737', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0.00659155', '0', '0.999978', '-4.37448', '-0.378217', '-6.21754', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627489', '1157737', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0.00659155', '0', '0.999978', '-0.385077', '-0.378217', '-6.24526', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627490', '1157737', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '0.00659155', '0', '0.999978', '-2.40413', '-0.378217', '-6.208', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1627491', '1157737', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s01.iff', '0', '0.89499', '0', '-0.446086', '5.07651', '-0.378217', '-3.9259', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157738', '0', 'object/static/structure/tatooine/shared_shed_junkshop_watto.iff', '0', '0.682804', '0', '0.730602', '1197.58', '4', '3234.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157739', '0', 'object/static/structure/tatooine/shared_shed_junkshop_watto.iff', '0', '0.697274', '0', '0.716804', '1193.61', '4', '3291.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157754', '0', 'object/static/terrain/tatooine/shared_rock_spire_skinny_tatooine_style_1.iff', '0', '0', '0', '1', '1376.34', '7', '3448.44', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157757', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.70328', '0', '0.710913', '1331.46', '10.0036', '3232.35', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157760', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.699711', '0', '0.714426', '1355.84', '10.0036', '3232.94', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157761', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.692532', '0', '0.721387', '1364.87', '10.0036', '3232.87', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1157763', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.0199991', '0', '0.9998', '1331.54', '10.0036', '3224.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165339', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.692539', '0', '0.721381', '1348.2', '10.0036', '3232.59', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165340', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.703288', '0', '0.710906', '1339.14', '10.0036', '3232.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165344', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '0', '0', '1', '-5220.48', '75', '-6457.85', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165345', '0', 'object/static/structure/tatooine/shared_wall_junkshop_watto.iff', '0', '-0.021591', '0', '0.999767', '-5210.52', '74.9886', '-6453.79', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165346', '0', 'object/static/structure/tatooine/shared_wall_junkshop_watto.iff', '0', '-0.021591', '0', '0.999767', '-5230.29', '74.9938', '-6462.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165347', '0', 'object/building/tatooine/shared_filler_building_block_64x16_style_02.iff', '0', '0.94302', '0', '0.332736', '-5266.96', '75', '-6490.28', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165351', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '0.407761', '0', '0.913089', '-5242.68', '73.5975', '-6466', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165352', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.789504', '0', '0.613746', '-5239.75', '73.5315', '-6463.64', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165353', '0', 'object/building/tatooine/shared_filler_building_block_64x16_style_01.iff', '0', '0.710353', '0', '-0.703845', '-5300.48', '74.9353', '-6555.08', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165357', '0', 'object/building/tatooine/shared_filler_building_block_64x32_style_01.iff', '0', '0.20846', '0', '0.978031', '-5249.1', '75', '-6604.75', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165360', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '-5183.97', '74.3111', '-6627.41', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165361', '0', 'object/static/structure/tatooine/shared_wall_gate_tatooine_style_01.iff', '0', '0', '0', '1', '-5209.55', '75', '-6607.76', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165363', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '-0.380188', '0', '0.924909', '-5204.33', '75', '-6616.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165364', '0', 'object/static/structure/tatooine/shared_wall_damaged_tatooine_large_style_01.iff', '0', '-0.572868', '0', '0.819648', '-5188.46', '73.9125', '-6626.13', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165366', '0', 'object/static/structure/tatooine/shared_wall_damaged_tatooine_large_style_01.iff', '0', '0.839625', '0', '0.543167', '-5195.95', '73.7834', '-6623.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165367', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0', '0', '1', '-5191.78', '74.9496', '-6624.17', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165368', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0', '0', '1', '-5198.89', '75', '-6621.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165370', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.777072', '0', '-0.629412', '-5045.71', '75', '-6626.66', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165371', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.827702', '0', '0.561168', '-5058.49', '75', '-6625.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165372', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '-0.0499792', '0', '0.99875', '-5064.71', '75', '-6614.17', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165373', '0', 'object/static/structure/tatooine/shared_tent_house_tatooine_style_01.iff', '0', '0.997606', '0', '-0.0691486', '-5053.74', '74.8419', '-6634.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165374', '0', 'object/static/structure/tatooine/shared_tent_house_tatooine_style_01.iff', '0', '0.319309', '0', '0.947651', '-5037.72', '75', '-6608.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165375', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_large.iff', '0', '-0.370921', '0', '0.928665', '-5046.71', '75', '-6602.32', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165376', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.867424', '0', '-0.497571', '-5052.43', '75', '-6592.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165377', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.164253', '0', '0.986418', '-5059.26', '75', '-6601.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165378', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.891929', '0', '0.452176', '-5062.31', '75', '-6590.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165379', '0', 'object/building/tatooine/shared_housing_tatt_style01_small.iff', '0', '0.717356', '0', '0.696705', '-5059.46', '75', '-6581.2', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165380', '1165379', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1599089', '1165380', 'object/tangible/furniture/cheap/shared_love_seat_s01.iff', '0', '-0.707104', '0', '0.70711', '4.90134', '0.256866', '4.76319', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1599090', '1165380', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0', '0', '1', '3.41675', '0.256866', '3.47429', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1599091', '1165380', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0', '0', '1', '-0.339639', '0.256866', '3.47042', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1599124', '1165380', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0', '0', '1', '0.854469', '0.257614', '3.49758', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1599125', '1165380', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '1', '0', '2.41953e-07', '2.23619', '0.257614', '3.45118', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1599126', '1165380', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s03.iff', '0', '-0.382683', '0', '0.92388', '-1.67745', '0.256645', '3.37383', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1599225', '1165380', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s03.iff', '0', '0.92388', '0', '-0.382683', '5.22826', '0.250488', '3.17843', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165381', '1165379', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1599045', '1165381', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.488177', '0', '0.872745', '-2.03566', '1.2378', '1.43201', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1599046', '1165381', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '-1.94048', '1.23761', '0.635437', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1599048', '1165381', 'object/static/item/shared_item_con_ration_kit_lg.iff', '0.641254', '0.297982', '0.297982', '-0.641254', '-2.13789', '1.68037', '0.66945', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1599081', '1165381', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '0.707104', '0', '0.70711', '-4.87438', '0.225761', '5.40608', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165382', '1165379', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499017', '1165379', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499018', '1165379', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499019', '1165379', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499020', '1165379', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499021', '1165379', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499022', '1165379', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499023', '1165379', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1596847', '1499023', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s03.iff', '0', '0.92388', '0', '0.382683', '1.53982', '-0.37822', '-0.819548', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1596848', '1499023', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s03.iff', '0', '0.382683', '0', '0.92388', '-2.15358', '-0.37822', '-0.803707', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1596849', '1499023', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0', '0', '1', '-0.989781', '-0.37822', '-2.56563', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1596850', '1499023', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '1', '0', '-3.20013e-08', '0.39236', '-0.37822', '-2.61133', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1596851', '1499023', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '-9.31403e-16', '1', '-6.36114e-08', '-3.20013e-08', '-0.295886', '-0.37822', '-0.80032', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1596852', '1499023', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.707109', '0', '-0.707105', '1.99851', '-0.37822', '-2.55638', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1596853', '1499023', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.707103', '0', '0.70711', '-2.43337', '-0.37822', '-2.56166', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1596854', '1499023', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0', '0', '1', '-1.27695', '-0.37822', '-4.1734', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1596855', '1499023', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0', '0', '1', '0.777116', '-0.37822', '-4.15234', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598993', '1499023', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.551535', '0', '0.834152', '4.94934', '0.317482', '-5.45275', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598995', '1499023', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0.573128', '-0.440991', '0.591322', '-0.356917', '5.12708', '0.0735168', '-4.53067', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598996', '1499023', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.019203', '0', '0.999816', '4.96129', '-0.37822', '-5.29316', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598997', '1499023', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.17903', '0', '0.983844', '5.12234', '-0.37822', '-3.39849', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598999', '1499023', 'object/static/item/shared_item_container_organic_hide.iff', '0', '0.412321', '0', '0.911039', '5.1319', '0.322388', '-3.4749', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1599000', '1499023', 'object/static/item/shared_item_container_inorganic_gas.iff', '0.219073', '-0.219073', '0.672315', '-0.672314', '4.55042', '-0.125237', '-4.07075', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1599012', '1499023', 'object/tangible/furniture/all/shared_frn_all_table_s02.iff', '0', '0', '0', '1', '-4.31818', '-0.37822', '-5.65389', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1599015', '1499023', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s03.iff', '0', '0', '0', '1', '-4.32072', '0.380727', '-5.66333', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1599025', '1499023', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_03.iff', '0', '0', '0', '1', '-0.252472', '-0.37822', '-4.31682', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1599026', '1499023', 'object/tangible/furniture/all/shared_frn_all_decorative_sm_s1.iff', '0', '0', '0', '1', '-0.21402', '0.380727', '-4.31543', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1599041', '1499023', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s2.iff', '0', '1', '0', '-3.20013e-08', '4.69954', '0.281075', '0.248722', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1599043', '1499023', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0', '0', '1', '3.32879', '0.281075', '2.35331', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165390', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '0.849481', '0', '0.52762', '-5041.74', '75', '-6579.62', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165391', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0', '-0.164252', '0', '0.986418', '-5033.38', '75', '-6585', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165392', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '-0.0649542', '0', '0.997888', '-5031.97', '75', '-6595.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165393', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '0.568762', '0', '0.822502', '-5050.15', '75', '-6640.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165394', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0', '0.479426', '0', '0.877582', '-5039.34', '74.2252', '-6636.37', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165395', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '0.998248', '0', '-0.0591688', '-5035.77', '73.9751', '-6626.26', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165396', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '-0.0399893', '0', '0.9992', '-5065.26', '75', '-6608.24', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165397', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.741296', '0', '-0.671178', '-5067.83', '75', '-6606.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165400', '0', 'object/static/structure/tatooine/shared_wall_gate_tatooine_style_03.iff', '0', '0.651834', '0', '0.758362', '-5095.56', '75', '-6524.13', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165401', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.710353', '0', '0.703845', '-5089.66', '75', '-6544.2', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165403', '0', 'object/static/structure/tatooine/shared_wall_gate_tatooine_style_03.iff', '0', '-0.014999', '0', '0.999888', '-5092.93', '74.983', '-6501.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165404', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '-5092.62', '75', '-6504.22', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165408', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '0', '0', '1', '3413.15', '5', '-4630.38', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165409', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.976806', '0', '0.214125', '3414.05', '5', '-4629.84', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165410', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '0', '0.400068', '0', '0.916485', '3543.06', '5', '-4772.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165411', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '0', '0.999023', '0', '0.0441899', '3557.31', '5.98328', '-4748.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165412', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '0.84233', '0', '0.538962', '3569.36', '3.0579', '-4713.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165413', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '0.765354', '0', '0.643609', '3591.17', '2.96557', '-4720.87', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165414', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.771753', '0', '0.635923', '3587.31', '5', '-4720.41', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165415', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.648034', '0', '0.761612', '3595.05', '5', '-4720.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165416', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.939647', '0', '0.342146', '3657.85', '3.15482', '-4860.35', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165417', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.961277', '0', '0.275586', '3653.06', '3.15482', '-4853.21', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165418', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '0.957033', '0', '0.289978', '3655.26', '3.15482', '-4856.21', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165419', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.945784', '0', '-0.324797', '3363.87', '3.00247', '-4989.58', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165420', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.945784', '0', '-0.324797', '3383.81', '2.79415', '-4943.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165421', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.902954', '0', '0.429739', '3377.69', '4.51367', '-5038.19', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165422', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.911367', '0', '0.411595', '3452.78', '2.77144', '-5095.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165423', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.932039', '0', '-0.362359', '3446.08', '5', '-5090', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165424', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.911367', '0', '0.411595', '3440.69', '2.72897', '-5084.8', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165425', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '-0.412321', '0', '0.911039', '3464.79', '5', '-5092.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165426', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0', '0.338197', '0', '0.941075', '3463.62', '5', '-5095.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165427', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.945784', '0', '-0.324797', '3459.12', '1.8866', '-4865', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165431', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.941345', '0', '-0.337446', '3457', '2.94951', '-4853.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165432', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0.0147736', '-0.421221', '-0.026105', '0.906462', '3461.09', '1.96481', '-4856.04', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165433', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_01.iff', '0', '0.328769', '0', '0.94441', '3259.43', '5', '-4886.36', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165492', '0', 'object/static/structure/tatooine/shared_wall_gate_tatooine_style_01.iff', '0', '0', '0', '1', '-5306.39', '74.9933', '-6515.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165493', '0', 'object/static/structure/tatooine/shared_wall_damaged_tatooine_large_style_01.iff', '0', '0.844162', '0', '-0.536088', '-5302.93', '74.9887', '-6510.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165494', '0', 'object/static/structure/tatooine/shared_wall_damaged_tatooine_large_style_01.iff', '0', '0.539632', '0', '0.841901', '-5295.56', '75', '-6507.26', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165495', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '-0.198669', '0', '0.980067', '-5298.94', '74.9896', '-6508', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165499', '0', 'object/static/structure/tatooine/shared_wall_gate_tatooine_style_01.iff', '0', '-0.483807', '0', '0.875174', '-5289.32', '74.6113', '-6591.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165500', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '-0.479425', '0', '0.877583', '-5294.38', '74.8918', '-6587.81', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165501', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '-0.479426', '0', '0.877582', '-5284.31', '74.9521', '-6594.19', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165502', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.342898', '0', '0.939373', '-5295.77', '75', '-6586.69', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165503', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.281157', '0', '0.959662', '-5281.77', '75', '-6595.44', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165505', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_fruit_stand_large_style_01.iff', '0', '0.992297', '0', '-0.123885', '-5267.53', '75', '-6550.14', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165546', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_meat_rack.iff', '0', '0.741297', '0', '0.671177', '-5267.52', '75', '-6568.41', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165579', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.692537', '0', '0.721382', '-5221.17', '75', '-6560.13', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165581', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.755617', '0', '0.655014', '-5224.3', '75', '-6559.09', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165582', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.962209', '0', '-0.272313', '-5221.99', '75', '-6558.51', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165583', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '-0.479426', '0', '0.877583', '-5222.87', '75', '-6559.67', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165594', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '-0.0364207', '0.316297', '-0.064659', '0.945753', '-5222.08', '74.7579', '-6561.07', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165604', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.193767', '0', '0.981048', '-5223.61', '75', '-6560.96', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165611', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.617059', '0', '0.786917', '-5260.34', '75', '-6557.33', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165612', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.124675', '0', '0.992198', '-5264.25', '75', '-6564.53', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165613', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.0149994', '0', '0.999888', '-5260.68', '75', '-6558.22', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165614', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0', '0', '1', '-5281.55', '75', '-6537.86', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165616', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '0', '0', '1', '-5289.84', '75', '-6532.71', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165617', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '0.953608', '0', '-0.301053', '-5270.84', '75', '-6548.49', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165618', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0', '0', '1', '-5263.96', '75', '-6550.27', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165619', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0', '0', '1', '-5258.21', '75', '-6549.04', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165630', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.959437', '0', '-0.281922', '-5268.08', '75', '-6566.24', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165632', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.997248', '0', '0.074134', '-5266.85', '75', '-6567.8', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165633', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.99871', '0', '-0.0507746', '-5268.83', '75', '-6566.46', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165640', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '0.203567', '0', '0.979061', '-5261.36', '75', '-6582.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165641', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.203567', '0', '0.979061', '-5259.52', '75', '-6577.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165642', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.20846', '0', '0.978031', '-5263.77', '75', '-6588', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165643', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.703273', '0', '0.71092', '-5290.31', '75', '-6537.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165644', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.727726', '0', '-0.685868', '-5278.37', '75', '-6536.36', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1165645', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '0.720831', '0', '-0.693111', '-5284.34', '75', '-6536.64', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1170332', '0', 'object/static/structure/tatooine/shared_wall_gate_tatooine_style_03.iff', '0', '0', '0', '1', '-5146.63', '75', '-6495.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1170333', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.710353', '0', '0.703845', '-5146.33', '75', '-6491.22', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1170335', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '-5146.39', '75', '-6498.91', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1170336', '0', 'object/static/structure/tatooine/shared_wall_junkshop_watto.iff', '0', '0.703279', '0', '0.710914', '-5146.77', '75', '-6509.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1171329', '0', 'object/building/tatooine/shared_tower_jabbas_palace.iff', '0', '0', '0', '1', '-6012.96', '76.2414', '-6763.97', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1171335', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_1.iff', '0', '0', '0', '1', '1797.39', '7', '3158.24', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1171350', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.894178', '0', '0.44771', '1696.97', '7', '3096.28', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1171353', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '0', '-0.183946', '0', '0.982936', '1698.34', '7', '3095.37', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1171354', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.962209', '0', '-0.272314', '1699.08', '7', '3096.98', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1171355', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.159318', '0', '0.987227', '1698.45', '7', '3093.81', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1171356', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.593177', '0', '0.805072', '1700.01', '7', '3094.53', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1171357', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '-0.183946', '0', '0.982936', '1698.38', '7', '3095.36', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173330', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '0.717356', '0', '-0.696707', '1740.34', '7', '3113.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173331', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.0199987', '0', '0.9998', '1745.31', '7', '3114.14', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173332', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.0199987', '0', '0.9998', '1736.37', '7', '3113.85', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173334', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0', '-0.434966', '0', '0.900447', '1732.14', '7', '3095.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173338', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.710353', '0', '-0.703845', '1706.94', '6.91259', '3162.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173339', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.710353', '0', '-0.703845', '1698.02', '7', '3162.96', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173344', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0', '0', '1', '1598.87', '6.71822', '3075.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173345', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.710353', '0', '-0.703845', '1545.97', '7', '3090.8', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173346', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0', '0', '1', '1647.98', '5.7483', '3070.72', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173347', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.703279', '0', '0.710914', '1582.5', '7', '3050.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173348', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.999999', '0', '-0.000807867', '1542.69', '7', '2992.82', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173350', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.010007', '0', '0.99995', '1441.1', '7', '3035.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173351', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.0150002', '0', '0.999887', '1441.48', '7', '3028.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173352', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.0150006', '0', '0.999887', '1441.15', '7', '3044.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173353', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_02.iff', '0', '-0.019999', '0', '0.9998', '1462.21', '7', '3071.14', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173355', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_08.iff', '0', '-0.00500006', '0', '0.999987', '1504.07', '7', '3071.81', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173357', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '0.713863', '0', '-0.700285', '1482.74', '7', '3074.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173358', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.713863', '0', '0.700285', '1490.75', '7', '3074.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173359', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.703267', '0', '0.710925', '1474.76', '7', '3073.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173360', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.724287', '0', '-0.689498', '1449.97', '7', '3069.34', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173361', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0', '0.475031', '0', '0.879969', '1513.22', '7', '3080.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173362', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '1543.37', '7', '3010.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173363', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '0', '0', '1', '1543.08', '7', '3005.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173364', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.717356', '0', '-0.696707', '1538.56', '7', '3010.13', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173365', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '0.707951', '0', '0.706261', '1539.56', '7', '3059.42', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173366', '0', 'object/building/tatooine/shared_filler_building_block_64x32_style_02.iff', '0', '0.69613', '0', '0.717916', '1481.29', '7', '3147.9', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173369', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '0.710353', '0', '-0.703845', '1540.87', '7', '3131.63', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173370', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '0.713863', '0', '-0.700285', '1505.5', '7', '3129.2', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173372', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.713863', '0', '0.700285', '1514.46', '7', '3128.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173373', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '1519.48', '7', '3129.35', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173374', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0', '0', '1', '1510.5', '7', '3129.54', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173377', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '-0.696137', '0', '0.717909', '1500.5', '7', '3129.42', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173378', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.724287', '0', '-0.689498', '1492.71', '7', '3128.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173379', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '0.69613', '0', '0.717916', '1505.03', '7', '3155.62', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173380', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.704406', '0', '0.709797', '1496.06', '7', '3156.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173381', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.999983', '0', '0.00579656', '1500.02', '7', '3155.22', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173382', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.713862', '0', '0.700287', '1510.02', '7', '3155.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173383', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.999983', '0', '0.00579657', '1491.05', '7', '3155.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173388', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.704446', '0', '0.709758', '1513.74', '7', '3156.18', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173401', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_1.iff', '0', '0', '0', '1', '1288.5', '7', '2991', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173402', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_1.iff', '0', '0', '0', '1', '1320.03', '10.6684', '2909.14', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173407', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '-0.0199987', '0', '0.9998', '1319.61', '7', '2976.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173408', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.42594', '0', '0.904752', '1340.16', '7', '2973.16', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173411', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.706788', '0', '0.707425', '1336.9', '7', '2958.17', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173412', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '1332.98', '7', '2958.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173413', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '1341.8', '7', '2958.39', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173426', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.681643', '0', '0.731685', '1246.13', '7', '3311.69', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173427', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.681634', '0', '0.731693', '1229.38', '6.81176', '3310.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173428', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.68164', '0', '0.731688', '1255.12', '6.88974', '3312.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173429', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.670587', '0', '0.741831', '1238.24', '6.57271', '3310.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173430', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.039983', '0', '0.9992', '1265.26', '7', '3295.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173431', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.0249965', '0', '0.999688', '1264.81', '7', '3304.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173432', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '-0.044985', '0', '0.998988', '1264.17', '7', '3308.55', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173433', '0', 'object/static/structure/tatooine/shared_wall_damaged_tatooine_large_style_01.iff', '0', '0.720831', '0', '-0.693111', '1259.08', '7', '3313.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173435', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.681642', '0', '0.731686', '1264.06', '7', '3312.54', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173437', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.0399889', '0', '0.9992', '1266.09', '7', '3287.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173438', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.0449788', '0', '0.998988', '1266.68', '7', '3278.54', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173446', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.681643', '0', '0.731685', '1219.49', '7', '3207.55', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173447', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.674283', '0', '0.738473', '1202.65', '7', '3206.14', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173448', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.670587', '0', '0.741831', '1245.31', '7', '3209.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173449', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.670586', '0', '0.741832', '1194.74', '6.95018', '3205.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173450', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.68164', '0', '0.731688', '1228.42', '7', '3207.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173451', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.670587', '0', '0.741831', '1211.6', '7', '3206.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173452', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.681643', '0', '0.731685', '1253.2', '7', '3210.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173453', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.674283', '0', '0.738473', '1236.35', '7', '3208.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173454', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.681642', '0', '0.731686', '1262.13', '7', '3210.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173455', '0', 'object/static/structure/tatooine/shared_wall_damaged_tatooine_large_style_01.iff', '0', '0.720831', '0', '-0.693111', '1266.19', '7', '3211.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173457', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.688918', '0', '0.72484', '1184.11', '7', '3221.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173458', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.0299957', '0', '0.99955', '1183.28', '7', '3230.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173461', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.0199984', '0', '0.9998', '1184.04', '7', '3217.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173511', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.703278', '0', '0.710915', '1406.48', '10.0221', '3233.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1173513', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.703277', '0', '0.710916', '1423.37', '10.0221', '3233.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177350', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '-2686.82', '0', '-4631.48', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177351', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '-0.42594', '0', '0.904752', '-2687.93', '-1e-06', '-4631.12', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177352', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.271547', '0', '0.962425', '-2687.31', '0', '-4632.61', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177354', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.999526', '0', '0.0307927', '1584.67', '7', '3419.82', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177355', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.685288', '0', '0.728272', '1585.6', '7', '3416.99', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177356', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.999526', '0', '0.0307922', '1584.97', '7', '3415.27', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177357', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_1.iff', '0', '0.724287', '0', '0.689498', '1584.97', '7', '3423.28', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177358', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_1.iff', '0', '0.169182', '0', '0.985585', '1625.17', '6.07345', '3481.52', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177378', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.0199987', '0', '0.9998', '1396.2', '7', '3413.37', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177381', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.706878', '0', '0.707335', '1408.64', '7', '3352.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177384', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.0100031', '0', '0.99995', '1416.85', '7', '3355.44', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177385', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.0100031', '0', '0.99995', '1417.09', '7', '3353.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177386', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.0100027', '0', '0.99995', '1417.11', '7', '3358.41', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177387', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '-0.0050039', '0', '0.999987', '1448.31', '7', '3408.26', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177389', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '-0.00498914', '0', '0.999988', '1448.3', '7', '3413.19', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177390', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.00498913', '0', '0.999988', '1448.5', '7', '3411.28', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177404', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.019996', '0', '0.9998', '1294.33', '7', '3390.16', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177405', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.717354', '0', '-0.696708', '1296.26', '7', '3389.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177406', '0', 'object/static/structure/tatooine/shared_wall_damaged_tatooine_large_style_01.iff', '0', '0.69369', '0', '0.720274', '1254.23', '7', '3363.21', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177410', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.0349882', '0', '0.999388', '1250.31', '7', '3363.77', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177411', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '0.999816', '0', '0.019202', '1249.77', '7', '3358.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177412', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.706788', '0', '0.707425', '1258.13', '7', '3364.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177413', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.717352', '0', '-0.696711', '1267.15', '7', '3364.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177414', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.717356', '0', '-0.696707', '1275.11', '7', '3364.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177415', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '0.710353', '0', '-0.703846', '1280.07', '7', '3364.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177416', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.706701', '0', '0.707512', '1284.2', '7', '3364.76', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177417', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0.688921', '0', '0.724836', '1250.78', '7', '3353.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177418', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '-0.0549724', '0', '0.998488', '1251.49', '7', '3346.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177419', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0.999783', '0', '0.0207959', '1251.85', '7', '3336.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177420', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0', '-0.0749296', '0', '0.997189', '1252.59', '7', '3334.85', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177421', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0.99871', '0', '0.0507752', '1220.56', '7.00415', '3309.62', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177422', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '-0.0599635', '0', '0.998201', '1254.41', '7', '3322.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177424', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.434965', '0', '0.900447', '1618.86', '7', '2966.74', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177431', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0', '0', '1', '1617.58', '7', '2967.63', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177432', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0.174108', '0', '0.984727', '1616.05', '7', '2954.82', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177433', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.994576', '0', '0.104015', '1615.53', '7', '2956.56', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177436', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.60916', '0', '0.793048', '1614.98', '7', '2953.63', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177438', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '0', '0.174108', '0', '0.984727', '1616.02', '7', '2954.83', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177439', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.961275', '0', '0.27559', '1616.07', '7', '2968.39', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177440', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.992713', '0', '-0.120503', '1618.01', '7', '2969.35', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177441', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '0', '0', '0', '1', '1617.55', '7', '2967.65', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177448', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.799578', '0', '0.600561', '1614.77', '7', '2941.44', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177449', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '0', '0', '0', '1', '1616.44', '7', '2940.74', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177450', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0', '0', '1', '1616.47', '7', '2940.72', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177452', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.992713', '0', '-0.120503', '1616.99', '7', '2942.46', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177453', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.328769', '0', '0.94441', '1617.04', '7', '2939.19', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177454', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.97033', '0', '0.241783', '1609.15', '7', '2970.12', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177455', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.149438', '0', '0.988771', '1609.48', '7', '2967.48', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177456', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '0', '0.448422', '0', '0.893822', '1610.05', '7', '2968.65', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177457', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0.448422', '0', '0.893822', '1610.06', '7', '2968.62', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177458', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.601198', '0', '0.7991', '1611.4', '7', '2969.32', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177459', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '-0.703273', '0', '0.71092', '1517.48', '7', '2968.64', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177460', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0', '0', '1', '1509.62', '7', '2968.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177461', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0.999983', '0', '0.00579648', '1525.68', '7', '2968.08', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177463', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.29552', '0', '0.955337', '1755.43', '7', '3099.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177465', '0', 'object/building/tatooine/shared_palace_tatooine_jabba.iff', '0', '0.42141', '0', '0.90687', '-5984.78', '89.9019', '-6301.07', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177466', '1177465', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285797', '1177466', 'object/soundobject/shared_soundobject_jabba_palace_entrance.iff', '0', '0', '0', '1', '-0.83287', '0.2', '119.224', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177467', '1177465', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177468', '1177465', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177469', '1177465', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177470', '1177465', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177471', '1177465', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177472', '1177465', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177473', '1177465', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177474', '1177465', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177475', '1177465', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177476', '1177465', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177477', '1177465', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177478', '1177465', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177479', '1177465', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285808', '1177479', 'object/soundobject/shared_soundobject_installation_photo_bio.iff', '0', '0', '0', '1', '20.6586', '0.2', '85.0512', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285809', '1177479', 'object/soundobject/shared_soundobject_hydro_power_generator.iff', '0', '0', '0', '1', '13.6918', '0.2', '83.7801', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177480', '1177465', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177481', '1177465', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177482', '1177465', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177483', '1177465', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177484', '1177465', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177485', '1177465', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177486', '1177465', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177487', '1177465', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285798', '1177487', 'object/soundobject/shared_soundobject_jabba_audience_chamber.iff', '0', '0', '0', '1', '-0.47267', '2', '41.8271', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285799', '1177487', 'object/soundobject/shared_soundobject_jabba_max_rebo_band.iff', '0', '0', '0', '1', '-12.6952', '2', '38.1531', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177488', '1177465', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285804', '1177488', 'object/soundobject/shared_soundobject_fusion_power_generator.iff', '0', '0', '0', '1', '-34.9754', '3', '64.6689', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177489', '1177465', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177490', '1177465', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177491', '1177465', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177492', '1177465', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177493', '1177465', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177494', '1177465', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177495', '1177465', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177496', '1177465', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177497', '1177465', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177498', '1177465', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177499', '1177465', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285800', '1177499', 'object/soundobject/shared_soundobject_refrigeration_unit.iff', '0', '0', '0', '1', '38.1912', '0.199998', '3.98941', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285801', '1177499', 'object/soundobject/shared_soundobject_refrigeration_unit.iff', '0', '0', '0', '1', '31.3952', '0.199999', '-13.072', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177500', '1177465', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177501', '1177465', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177502', '1177465', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177503', '1177465', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177510', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.937646', '0', '-0.34759', '-1075.48', '12', '-3670.36', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177512', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.356949', '0', '0.934124', '-1064.96', '12', '-3658.09', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177513', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.352274', '0', '0.935897', '-1096.07', '12', '-3631.21', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177516', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.34759', '0', '0.937647', '-1106.49', '12', '-3643.34', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177517', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '-0.42141', '0', '0.90687', '-1120.71', '12', '-3645.28', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177518', '0', 'object/static/structure/tatooine/shared_wall_gate_tatooine_style_01.iff', '0', '0.309817', '0', '0.950796', '-1096.57', '12', '-3704.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177519', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.309816', '0', '0.950796', '-1100.1', '12', '-3708.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177520', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.309817', '0', '0.950796', '-1093.01', '12', '-3699.24', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177521', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '-1091.26', '12', '-3697.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177522', '0', 'object/static/structure/tatooine/shared_guild_banner_free_style_01.iff', '0', '0.309816', '0', '0.950796', '-1096.3', '12', '-3709.45', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177523', '0', 'object/static/structure/tatooine/shared_guild_banner_free_style_01.iff', '0', '0.314566', '0', '0.949236', '-1091.42', '12', '-3702.8', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177529', '0', 'object/static/structure/tatooine/shared_guild_statue_free_style_01.iff', '0', '0.93175', '0', '-0.3631', '-1109.28', '12', '-3689.96', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177530', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.319309', '0', '0.947651', '-1102.49', '12', '-3712.17', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177531', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '-1103.61', '12', '-3713.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177535', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.908634', '0', '0.417595', '-1107.62', '12', '-3711.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177536', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '-1110.1', '12', '-3707.77', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177537', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.417594', '0', '0.908634', '-1118.94', '11.9286', '-3711.55', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177538', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.731689', '0', '0.681639', '-1115.54', '11.9286', '-3715.26', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177539', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.939373', '0', '-0.342897', '-1113.44', '11.9286', '-3711.27', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177540', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.0399893', '0', '0.9992', '-1121.76', '11.9304', '-3708.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177544', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.0399893', '0', '0.9992', '-1134.53', '12', '-3697.19', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177545', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.908633', '0', '0.417594', '-1138.5', '12', '-3695.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177546', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.747971', '0', '0.663731', '-1138.88', '12', '-3694.16', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177547', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.930799', '0', '-0.365531', '-1138.84', '12', '-3688.63', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177548', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.670588', '0', '0.74183', '-1139.69', '12', '-3682.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177549', '0', 'object/static/structure/tatooine/shared_wall_gate_tatooine_style_01.iff', '0', '-0.40776', '0', '0.913089', '-1142.17', '12', '-3679.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177551', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '-0.40776', '0', '0.913089', '-1147.2', '12', '-3675.26', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177552', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '-0.398609', '0', '0.917121', '-1137.46', '12', '-3684.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177553', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.670588', '0', '0.74183', '-1136.52', '12', '-3685.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177554', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.76433', '0', '-0.644826', '-1149.71', '12', '-3673.41', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177555', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.670588', '0', '0.74183', '-1142.05', '12', '-3691.37', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177556', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.670588', '0', '0.74183', '-1146.03', '12', '-3676.54', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177557', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.366273', '0', '0.930508', '-1142.36', '9.99949', '-3666.33', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177612', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '-0.0948575', '0', '0.995491', '-1152.35', '12', '-3652.35', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177614', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.0948575', '0', '0.995491', '-1153.94', '12', '-3643.99', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177616', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.764329', '0', '-0.644827', '-1153.89', '12', '-3647.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177618', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.0898786', '0', '0.995953', '-1150.05', '12', '-3664.79', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177619', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.630031', '0', '0.77657', '-1151.19', '12', '-3656.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177620', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.0848987', '0', '0.99639', '-1148.53', '12', '-3672.2', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177621', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '-1157.45', '12', '-3691.25', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177622', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.703279', '0', '0.710914', '-1149.61', '12', '-3691.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177623', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '-1166.29', '12', '-3691.19', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177625', '0', 'object/static/structure/tatooine/shared_wall_gate_tatooine_style_03.iff', '0', '-0.382192', '0', '0.924083', '-1169.48', '12', '-3688.68', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177626', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.382683', '0', '0.92388', '-1172.31', '12', '-3685.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177628', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '0.342898', '0', '0.939373', '-1186.77', '12', '-3629.58', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177631', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.434965', '0', '0.900447', '-1189.84', '12', '-3632.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177642', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.944148', '0', '-0.329521', '-1219.39', '12', '-3599.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177643', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.944148', '0', '-0.329521', '-1214.65', '12', '-3593.29', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177644', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '0.324043', '0', '0.946042', '-1227.03', '12', '-3610.16', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177645', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.944148', '0', '-0.329521', '-1235.19', '12', '-3619.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177646', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.944148', '0', '-0.329521', '-1230.45', '12', '-3613.36', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177647', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.338197', '0', '0.941075', '-1223.72', '12', '-3606.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177648', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.891928', '0', '0.452176', '-1233.62', '12', '-3631.76', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177649', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.891928', '0', '0.452176', '-1240.22', '12', '-3627.28', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177660', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.397148', '0', '0.917754', '-1228.92', '12', '-3675.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177661', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.633905', '0', '0.773411', '-1227.59', '12', '-3675.7', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177662', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.582331', '0', '0.812952', '-1228.74', '12', '-3674.53', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177663', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.197108', '0', '0.980382', '-1229.63', '12', '-3675.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177664', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.31133', '0', '0.950302', '-1228.28', '12', '-3676.87', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177665', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.31133', '0', '0.950302', '-1227.05', '12', '-3676.77', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177667', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_01.iff', '0', '0.340736', '0', '0.940159', '-1216.03', '12', '-3643.56', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177668', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '-0.699717', '0', '0.71442', '-1213.13', '12', '-3610.06', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177671', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '-0.439462', '0', '0.898261', '-1229.73', '12', '-3616.18', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177672', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '-0.439462', '0', '0.898261', '-1221.84', '12', '-3606.1', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177676', '0', 'object/static/structure/tatooine/shared_bridge_tatooine_small_style_01.iff', '0', '-0.439462', '0', '0.898261', '-1227.01', '11.9368', '-3610.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177677', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0.328769', '0', '0.94441', '-1200.61', '12', '-3620.6', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177678', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.844162', '0', '0.536088', '-1201.61', '12', '-3619.65', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177679', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.232843', '0', '0.972514', '-1201.51', '12', '-3621.47', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177680', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '-0.416879', '0', '0.908962', '-1199.91', '12', '-3621.37', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177681', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.992713', '0', '-0.120503', '-1200.13', '12', '-3619.7', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177682', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '0', '0.328769', '0', '0.94441', '-1200.59', '12', '-3620.62', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177683', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '-0.164252', '0', '0.986418', '-1209.76', '12', '-3621.72', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177684', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.483808', '0', '0.875174', '-1211.09', '12', '-3622.05', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177685', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.261909', '0', '0.965093', '-1209.51', '12', '-3622.94', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177686', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.801625', '0', '-0.597828', '-1208.73', '12', '-3621.54', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177687', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.92896', '0', '0.370181', '-1210.25', '12', '-3620.83', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177688', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '0', '-0.164252', '0', '0.986418', '-1209.73', '12', '-3621.71', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177689', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '-0.338197', '0', '0.941075', '-1211.89', '12', '-3600.17', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177690', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.31931', '0', '0.94765', '-1213.02', '12', '-3600.94', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177691', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.430458', '0', '0.902611', '-1211.23', '12', '-3601.22', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177692', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.895702', '0', '-0.444654', '-1210.99', '12', '-3599.64', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177693', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.847678', '0', '0.530511', '-1212.66', '12', '-3599.51', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177694', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '0', '-0.338197', '0', '0.941075', '-1211.87', '12', '-3600.15', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177695', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0', '0', '1', '-1222.14', '12', '-3621.65', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177696', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.620987', '0', '0.783821', '-1223.51', '12', '-3621.53', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177697', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.099833', '0', '0.995004', '-1222.31', '12', '-3622.89', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177698', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '-0.692546', '0', '0.721374', '-1221.11', '12', '-3621.81', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177699', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.977146', '0', '0.212569', '-1222.46', '12', '-3620.36', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177700', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '0', '0', '0', '1', '-1222.11', '12', '-3621.65', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177701', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0', '0', '1', '-1205.96', '12', '-3607.23', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177702', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.620987', '0', '0.783821', '-1207.33', '12', '-3607.11', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177703', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.099833', '0', '0.995004', '-1206.13', '12', '-3608.47', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177704', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '-0.692546', '0', '0.721374', '-1204.93', '12', '-3607.39', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177705', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.977146', '0', '0.212569', '-1206.14', '12', '-3606.23', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177706', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '0', '0', '0', '1', '-1205.93', '12', '-3607.23', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177707', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.434966', '0', '0.900447', '-1189.24', '9.98927', '-3546.66', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177708', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '-0.434966', '0', '0.900447', '-1198.64', '12', '-3539.2', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177711', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.434966', '0', '0.900447', '-1182.97', '9.98927', '-3551.63', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177712', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.434966', '0', '0.900447', '-1214.34', '9.98927', '-3526.27', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177713', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.434966', '0', '0.900447', '-1208.04', '9.98927', '-3531.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177714', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.434966', '0', '0.900447', '-1209.13', '9.98927', '-3571.72', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177715', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '-0.434966', '0', '0.900447', '-1218.53', '12', '-3564.26', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177718', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.40319', '0', '0.915116', '-1202.49', '9.98927', '-3576.39', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177719', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.434966', '0', '0.900447', '-1234.65', '9.98927', '-3551.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177720', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.434966', '0', '0.900447', '-1227.93', '9.98927', '-3556.8', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177721', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '0.333487', '0', '0.942755', '-1228.92', '12', '-3546.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177722', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '0.333487', '0', '0.942755', '-1218.86', '12', '-3533.66', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177723', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '0.333487', '0', '0.942755', '-1223.89', '12', '-3539.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177730', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.333487', '0', '0.942755', '-1232.69', '12', '-3550.76', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177731', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.333487', '0', '0.942755', '-1215.09', '12', '-3528.99', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177733', '0', 'object/static/structure/tatooine/shared_bridge_tatooine_small_style_01.iff', '0', '0.333488', '0', '0.942755', '-1217.66', '11.8735', '-3588.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177734', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '0.902268', '0', '0.431177', '-1217.61', '12', '-3588.89', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177735', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.443948', '0', '0.896053', '-1221.01', '12', '-3585.21', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177738', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.328769', '0', '0.94441', '-1211.78', '12', '-3532.26', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177739', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.328769', '0', '0.94441', '-1188.9', '12', '-3550.56', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177740', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.328769', '0', '0.94441', '-1205.41', '12', '-3571.16', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177741', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.328769', '0', '0.94441', '-1228.29', '12', '-3552.87', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177742', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_1.iff', '0', '0', '0', '1', '-1203.07', '12', '-3600.75', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177751', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '-1161.24', '12', '-3691.25', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177752', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_01.iff', '0', '0.345058', '0', '0.938582', '-1165.14', '12', '-3659.53', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177753', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_01.iff', '0', '0.340365', '0', '0.940293', '-1191.58', '12', '-3636.98', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177754', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.328769', '0', '0.94441', '-1172.6', '12', '-3625.28', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177755', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.328769', '0', '0.94441', '-1166.08', '12', '-3630.44', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177756', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '0', '0.944148', '0', '-0.329521', '-1143.39', '12', '-3641.65', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177761', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '-0.699711', '0', '0.714426', '-1198.78', '12', '-3609.82', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177762', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.999958', '0', '-0.00920297', '-1151.09', '12', '-3689.79', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177763', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.999958', '0', '-0.00920361', '-1159.62', '12', '-3689.62', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177772', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_meat_rack.iff', '0', '-0.664331', '0', '0.747439', '-1015.52', '12', '-3734.76', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177773', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_fruit_stand_large_style_01.iff', '0', '0.755615', '0', '0.655016', '-1014.1', '12', '-3729.98', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177775', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_1.iff', '0', '0', '0', '1', '-1002.33', '12', '-3733.49', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177776', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0.924606', '0', '0.380925', '-1027.91', '12', '-3750.37', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177789', '0', 'object/static/structure/tatooine/shared_wall_damaged_tatooine_large_style_01.iff', '0', '0.990216', '0', '-0.139543', '-1019.73', '12', '-3747.26', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177790', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '-0.640385', '0', '0.768054', '-1018.79', '12', '-3742.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177791', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '-0.66687', '0', '0.745174', '-1015.69', '12', '-3725.16', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177792', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '0.962209', '0', '0.272313', '-1017.56', '12', '-3722.33', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177793', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.0898787', '0', '0.995953', '-1016.26', '12', '-3733.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177794', '0', 'object/static/structure/tatooine/shared_wall_damaged_tatooine_large_style_01.iff', '0', '0.0898787', '0', '0.995953', '-1015.81', '12', '-3730.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177796', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_01.iff', '0', '0.389418', '0', '0.921061', '-984.53', '12', '-3723.51', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177797', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.389418', '0', '0.921061', '-995.879', '12', '-3708.31', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177799', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.930799', '0', '-0.365531', '-1001.58', '12', '-3704.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177800', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.930799', '0', '-0.365531', '-1007.63', '12', '-3711.21', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177801', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '0.930799', '0', '-0.365531', '-1004.12', '12', '-3707.81', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177802', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.930799', '0', '-0.365531', '-999.481', '12', '-3703.05', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177803', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.930799', '0', '-0.365531', '-1008.61', '12', '-3712.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177805', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_01.iff', '0', '0.328769', '0', '0.94441', '-1050.74', '12', '-3720.19', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177816', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0', '0', '1', '-1033', '12', '-3702.48', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177818', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '0.836026', '0', '-0.54869', '-1033.61', '12', '-3705.31', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177827', '0', 'object/building/tatooine/shared_filler_building_block_64x16_style_01.iff', '0', '0.935616', '0', '-0.353019', '-1038.64', '12', '-3625.38', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177831', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '-0.276356', '0', '0.961055', '-1014.29', '12', '-3670.66', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177832', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '0.978899', '0', '-0.204347', '-1017.9', '12', '-3673.36', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177838', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.944148', '0', '-0.329522', '-1107.74', '12', '-3542.7', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177842', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '-0.692535', '0', '0.721385', '-1066', '12', '-3544.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177843', '0', 'object/static/structure/tatooine/shared_wall_damaged_tatooine_large_style_01.iff', '0', '0', '0', '1', '-1065.32', '12', '-3540.26', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177844', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.707951', '0', '0.706262', '-1065.1', '12', '-3536.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177845', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '0', '0', '1', '-1065.35', '12', '-3531.62', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177846', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.999816', '0', '0.0192025', '-1066.09', '12', '-3527.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177847', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0', '0', '1', '-1065.4', '12', '-3522.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177848', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0', '0', '1', '-1065.45', '12', '-3509.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177849', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '-1065.17', '12', '-3517.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177850', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '-0.699711', '0', '0.714426', '-1066.17', '12', '-3501.19', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177851', '0', 'object/static/structure/tatooine/shared_wall_damaged_tatooine_large_style_01.iff', '0', '0', '0', '1', '-1065.44', '12', '-3497.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177852', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.707951', '0', '0.706262', '-1065.23', '12', '-3493.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177853', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '0.718465', '0', '0.695563', '-1078.46', '12', '-3493.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177854', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '-0.0134074', '0', '0.99991', '-1073.73', '12', '-3492.49', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177855', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.714978', '0', '0.699147', '-1070.08', '11.9368', '-3493.22', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177857', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.699717', '0', '0.71442', '-1083.24', '12', '-3492.25', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177861', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '-0.699717', '0', '0.71442', '-1112.4', '12', '-3491.94', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177862', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.700889', '0', '0.71327', '-1116.34', '12', '-3492.59', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177863', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.699717', '0', '0.71442', '-1121.27', '12', '-3491.81', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177864', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.703279', '0', '0.710914', '-1134.12', '12', '-3491.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177865', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.703279', '0', '0.710914', '-1126.21', '12', '-3491.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177866', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.999875', '0', '-0.015796', '-1142.86', '12', '-3492.33', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177867', '0', 'object/static/structure/tatooine/shared_wall_damaged_tatooine_large_style_01.iff', '0', '-0.703279', '0', '0.710914', '-1146.74', '12', '-3491.56', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177868', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '-0.44252', '0', '0.896758', '-1150.85', '12', '-3490.89', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177869', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '0.947396', '0', '-0.320064', '-1153.6', '12', '-3494.91', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177870', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.30182', '0', '0.953365', '-1155.4', '12', '-3498.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177871', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.947396', '0', '-0.320064', '-1158.94', '12', '-3501.99', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177874', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.430458', '0', '0.902611', '-1171.87', '12', '-3538.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177875', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '0.9001', '0', '0.435683', '-1175.5', '12', '-3536.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177876', '0', 'object/static/structure/tatooine/shared_bridge_tatooine_small_style_01.iff', '0', '0.32877', '0', '0.94441', '-1175.55', '12', '-3536.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177877', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.430458', '0', '0.902611', '-1178.67', '12', '-3532.85', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177886', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.795602', '0', '-0.60582', '-1071.48', '12', '-3517.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177887', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_large.iff', '0', '-0.049979', '0', '0.99875', '-1073.32', '12.3476', '-3528.34', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177888', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.973848', '0', '-0.227202', '-1070.77', '12', '-3531.83', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177889', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.502591', '0', '0.864524', '-1070.44', '12', '-3530.99', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177890', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0', '0', '1', '-1075.95', '12', '-3540.01', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177891', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.881957', '0', '0.471329', '-1068.84', '12', '-3531.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177892', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.862404', '0', '0.50622', '-1069.49', '12', '-3532.01', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177893', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999983', '0', '0.00579657', '-1069.19', '12', '-3530.06', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177894', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.449845', '0', '0.893107', '-1070.97', '12', '-3530.28', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177901', '0', 'object/static/structure/tatooine/shared_shed_junkshop_watto.iff', '0', '0.309816', '0', '0.950796', '-1075.25', '12', '-3543.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177924', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.319309', '0', '0.947651', '-1139.29', '12', '-3524.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177928', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '0.023911', '-0.434308', '-0.0494996', '0.899086', '-1125.11', '12.4414', '-3576.85', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177929', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '0', '0.692537', '0', '0.721382', '-1132.66', '12', '-3496.81', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177933', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.427382', '0', '0.904071', '-1125.14', '12', '-3574.95', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177934', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.959437', '0', '-0.281922', '-1126.3', '12', '-3574.5', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177935', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.822955', '0', '0.568108', '-1127.13', '12', '-3573.61', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177936', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.38628', '0', '0.922382', '-1129.02', '12', '-3497.86', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177937', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.971148', '0', '-0.238477', '-1130.22', '12', '-3497.53', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177938', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.796566', '0', '0.604553', '-1131.12', '12', '-3496.71', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177941', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.416871', '0', '0.908966', '-1070.09', '12', '-3593.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177942', '0', 'object/static/structure/tatooine/shared_wall_gate_tatooine_style_03.iff', '0', '0.352274', '0', '0.935897', '-1073.64', '12', '-3585.56', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177946', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.356949', '0', '0.934124', '-1070.15', '12', '-3581.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177947', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.356949', '0', '0.934124', '-1075.88', '12', '-3588.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177948', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.356949', '0', '0.934124', '-1063.26', '12', '-3599.49', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177951', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '0.650087', '0', '0.75986', '-1096.49', '12', '-3591.91', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177952', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '0.650087', '0', '0.75986', '-1080.69', '12', '-3589.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177953', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '0.650087', '0', '0.75986', '-1088.59', '12', '-3590.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177955', '0', 'object/static/structure/tatooine/shared_guild_banner_free_style_01.iff', '0', '0.997075', '0', '0.07643', '-1084.1', '12', '-3592.13', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177956', '0', 'object/static/structure/tatooine/shared_guild_banner_free_style_01.iff', '0', '0.997075', '0', '0.0764302', '-1092.4', '12', '-3593.36', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177960', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '-0.430458', '0', '0.902611', '-1108.94', '12', '-3603.35', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177961', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '-0.430457', '0', '0.902611', '-1110', '12', '-3591.01', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177966', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.904582', '0', '0.4263', '-1107.66', '12', '-3587.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177967', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.902439', '0', '0.430818', '-1100.73', '12', '-3593.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177968', '0', 'object/static/structure/tatooine/shared_guild_ball_free_style_01.iff', '0', '0.331317', '0', '0.943519', '-1105.52', '12', '-3594.7', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177969', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '0', '0.706788', '0', '0.707426', '-1051.52', '12', '-3592.89', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177970', '0', 'object/static/structure/tatooine/shared_bridge_tatooine_small_style_01.iff', '0', '-0.0772237', '0', '0.997014', '-1088.21', '11.9368', '-3593.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177971', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_fruit_stand_large_style_01.iff', '0', '0.309817', '0', '0.950796', '-1098.85', '12', '-3510.19', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177972', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_fruit_stand_large_style_01.iff', '0', '0.902268', '0', '0.431177', '-1130.89', '12', '-3565.23', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177973', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '0.724287', '0', '0.689498', '-1133.45', '12', '-3568.45', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177974', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '0', '-0.49688', '0', '0.867819', '-1096.27', '12', '-3505.78', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177975', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_meat_rack.iff', '0', '-0.407761', '0', '0.913089', '-1091.83', '12', '-3509.73', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177976', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '-0.34759', '0', '0.937647', '-1151.37', '12', '-3551.84', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177977', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.37092', '0', '0.928665', '-1152.24', '12', '-3552.25', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177978', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.548023', '0', '0.836463', '-1150.78', '12', '-3552.67', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177979', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.912765', '0', '-0.408487', '-1150.67', '12', '-3551.38', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177980', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.842331', '0', '0.538961', '-1152.05', '12', '-3551.12', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177981', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0.92896', '0', '0.37018', '-1153.03', '12', '-3546.92', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177982', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.93737', '0', '-0.348336', '-1152.18', '12', '-3546.47', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177983', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.822955', '0', '0.568106', '-1153.66', '12', '-3546.11', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177984', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.386278', '0', '0.922382', '-1153.71', '12', '-3547.41', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177985', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.559189', '0', '0.82904', '-1152.31', '12', '-3547.6', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177996', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '-0.434966', '0', '0.900447', '-1147.09', '12', '-3554.05', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1177997', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '-0.434966', '0', '0.900447', '-1158.86', '12', '-3544.65', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1178001', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_fruit_stand_small_style_01.iff', '0', '0.37092', '0', '0.928665', '-1157.26', '12', '-3549.44', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1178002', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '-0.659385', '0', '0.751806', '-1155.82', '12', '-3550.38', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1178003', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0', '0', '1', '-1151.3', '12', '-3554.74', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1178004', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.509841', '0', '0.860269', '-1157.38', '12', '-3548.8', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1178005', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.412321', '0', '0.911039', '-1156.81', '12', '-3549.56', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1178007', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.0249974', '0', '0.999687', '-1093', '12', '-3505.31', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1178008', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.0249974', '0', '0.999687', '-1093.31', '12', '-3504.39', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1178010', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.891207', '0', '-0.453596', '-1095.61', '12', '-3506.65', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1178011', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.891207', '0', '-0.453596', '-1095.09', '12', '-3505.83', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1178013', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_01.iff', '0', '-0.439463', '0', '0.898261', '-1159.78', '12', '-3515.57', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1178014', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0.710353', '0', '0.703845', '-1152.88', '12', '-3521.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1178022', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '0.333487', '0', '0.942755', '-1286.18', '12', '-3526.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1178023', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.333487', '0', '0.942755', '-1281.15', '12', '-3520.29', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1178024', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.333487', '0', '0.942755', '-1291.21', '12', '-3532.73', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1178025', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.333487', '0', '0.942755', '-1283.46', '12', '-3523.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1178026', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.333487', '0', '0.942755', '-1288.49', '12', '-3529.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1178027', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.333487', '0', '0.942755', '-1278.43', '12', '-3517.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1178028', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.333487', '0', '0.942755', '-1293.52', '12', '-3535.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1178030', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.911822', '0', '0.410586', '-1220.16', '12', '-3642.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1178031', '0', 'object/static/structure/tatooine/shared_bridge_tatooine_small_style_01.iff', '0', '0.340736', '0', '0.940159', '-1223.65', '12', '-3639.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1178032', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '0.90556', '0', '0.424218', '-1223.6', '12', '-3639.35', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1178033', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.911822', '0', '0.410586', '-1226.59', '12', '-3637.29', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1178034', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_2.iff', '0', '0', '0', '1', '-1301.83', '12', '-3611.63', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1178035', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_2.iff', '0', '0', '0', '1', '-1295.43', '12', '-3565.02', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1178036', '0', 'object/static/structure/tatooine/shared_bridge_tatooine_small_style_02.iff', '-0.0124907', '0.356731', '-0.0326877', '0.933552', '-1391.47', '9.65396', '-3741.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1178049', '0', 'object/static/structure/tatooine/shared_guild_statue_free_style_01.iff', '0', '0.940806', '0', '-0.338946', '-1348', '12', '-3716', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1178050', '0', 'object/static/structure/tatooine/shared_guild_statue_free_style_01.iff', '0', '0.940806', '0', '-0.338946', '-1368', '12', '-3700', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1178051', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.338197', '0', '0.941075', '-1344.87', '12', '-3713.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1178052', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.338197', '0', '0.941075', '-1345.51', '12', '-3714.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1178053', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.338197', '0', '0.941075', '-1339.78', '12', '-3707.8', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1178054', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.724287', '0', '-0.689499', '-1318.19', '12', '-3700.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1178056', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.724287', '0', '-0.689499', '-1326.13', '12', '-3700.68', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1178057', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '-1334.21', '12', '-3700.69', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1178058', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.338197', '0', '0.941075', '-1365.14', '12', '-3696.55', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1178059', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.338197', '0', '0.941075', '-1366.41', '12', '-3698.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1178060', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '-0.443948', '0', '0.896053', '-1365.68', '12', '-3692.64', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1178061', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.443948', '0', '0.896053', '-1364.09', '12', '-3693.85', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1178065', '0', 'object/static/structure/tatooine/shared_bridge_tatooine_small_style_01.iff', '0', '0.999899', '0', '0.0142041', '-1279.89', '12', '-3482.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1178066', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '0.717356', '0', '-0.696707', '-1287.83', '12', '-3484.54', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1178067', '0', 'object/static/structure/tatooine/shared_guild_banner_free_style_01.iff', '0', '-0.014203', '0', '0.999899', '-1275.69', '12', '-3482.57', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1178068', '0', 'object/static/structure/tatooine/shared_guild_banner_free_style_01.iff', '0', '-0.0142042', '0', '0.999899', '-1283.8', '12', '-3482.9', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1178069', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '0.717356', '0', '-0.696707', '-1279.84', '12', '-3484.33', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1178070', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '0.717356', '0', '-0.696707', '-1271.84', '12', '-3484.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1178071', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.916803', '0', '0.399339', '-1265.27', '12', '-3487.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1178072', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.710353', '0', '-0.703845', '-1295.7', '12', '-3484.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1178073', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.916803', '0', '0.399339', '-1259.42', '12', '-3492.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1184912', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.37092', '0', '0.928665', '1556.07', '11', '3260.22', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1184914', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '-0.232843', '0', '0.972514', '1560.53', '11', '3194.68', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1184916', '0', 'object/static/structure/tatooine/shared_stair_tatooine_small_style_01.iff', '-0.0619692', '-0.700411', '-0.0650959', '0.708058', '1529.56', '3.40373', '3225.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1184917', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '1529.19', '7', '3223.25', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1184918', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '1529.33', '7', '3228.37', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1184919', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '1537.82', '10.0663', '3223.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1184920', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '1537.8', '9.98695', '3228.2', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1184949', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '-0.0299943', '0', '0.99955', '1758.25', '7', '3054.87', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1184951', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '-0.0299955', '0', '0.99955', '1758.76', '7', '3046.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1184956', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.169182', '0', '0.985585', '1654.74', '7', '3097', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1184957', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.29552', '0', '0.955336', '1662.38', '7', '3111.66', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1184960', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.0399893', '0', '0.9992', '1758.66', '7', '3051.14', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1184961', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.0199983', '0', '0.9998', '1758.29', '7', '3059.87', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1184962', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.039989', '0', '0.9992', '1759.26', '7', '3042.36', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1184965', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '1756.51', '7', '3076.37', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1184968', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.0749296', '0', '0.997189', '1760.97', '5.83484', '3027.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1184970', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.0549727', '0', '0.998488', '1759.97', '5.71493', '3033.59', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1184971', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.0549727', '0', '0.998488', '1757.11', '7', '3067.77', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1184972', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.999942', '0', '0.0107962', '1791.3', '7', '3111.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1184973', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.999942', '0', '0.0107962', '1791.2', '7', '3102.56', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1184974', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.674292', '0', '0.738465', '1792.03', '7', '3119.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1184975', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.674292', '0', '0.738465', '1783.13', '7', '3118.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1184976', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.674297', '0', '0.73846', '1775.41', '7', '3118.04', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1184978', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.757842', '0', '-0.652439', '1766.62', '7', '2992.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1184979', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.757842', '0', '-0.652439', '1757.75', '7', '2991.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1184980', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.996025', '0', '0.0890797', '1774.58', '7', '2993.36', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1184981', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.996025', '0', '0.0890797', '1773.28', '7', '3002.19', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1184982', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.996025', '0', '0.0890758', '1772.15', '7', '3007.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1184983', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.757842', '0', '-0.652439', '1750.03', '7', '2990.42', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1184984', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.757842', '0', '-0.652439', '1741.17', '7', '2989.39', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187869', '0', 'object/building/tatooine/shared_housing_tatt_style01_large.iff', '0', '-0.439463', '0', '0.898261', '3339.59', '5', '-4931.94', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187870', '1187869', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502348', '1187870', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s03.iff', '0', '0', '0', '1', '-7.1958', '1.99448', '10.2064', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502349', '1187870', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s03.iff', '0', '0', '0', '1', '7.59979', '1.98643', '10.3185', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502350', '1187870', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s2.iff', '0', '0', '0', '1', '-0.0238234', '2.0286', '8.91208', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502351', '1187870', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '-0.0848973', '0', '0.99639', '0.676586', '2.0286', '9.02189', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502352', '1187870', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '0.992713', '0', '-0.120503', '-0.809678', '2.02851', '9.03944', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187871', '1187869', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499732', '1187871', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.252245', '0', '0.967663', '2.86673', '0.510741', '-8.16614', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499735', '1187871', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.867423', '0', '-0.497571', '5.12987', '0.510455', '-5.82742', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499736', '1187871', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.998952', '0', '-0.0457804', '2.7223', '0.509112', '-4.07174', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499737', '1187871', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.824886', '0', '0.5653', '-4.12639', '0.510116', '-5.78117', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499738', '1187871', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.257081', '0', '0.96639', '-2.3671', '0.510614', '-8.10255', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499739', '1187871', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.998952', '0', '-0.0457804', '-2.10968', '0.509112', '-4.01458', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499747', '1187871', 'object/tangible/furniture/elegant/shared_bookcase_s01.iff', '0', '0', '0', '1', '0.180451', '0.512662', '-11.2614', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499748', '1187871', 'object/tangible/furniture/elegant/shared_cabinet_s01.iff', '0', '0', '0', '1', '2.40223', '0.512662', '-11.4877', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499749', '1187871', 'object/tangible/furniture/elegant/shared_cabinet_s01.iff', '0', '0', '0', '1', '-2.35707', '0.512662', '-11.4915', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499750', '1187871', 'object/tangible/furniture/elegant/shared_chest_s01.iff', '0', '0', '0', '1', '6.00639', '0.512662', '-11.1992', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499751', '1187871', 'object/tangible/furniture/elegant/shared_chest_s01.iff', '0', '0', '0', '1', '-5.95461', '0.512662', '-11.2141', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499752', '1187871', 'object/tangible/furniture/modern/shared_dining_table_modern_style_01.iff', '0', '0', '0', '1', '0.437525', '0.509112', '-6.04832', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499753', '1187871', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.0948579', '0', '0.995491', '0.382883', '0.510735', '-8.23305', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499754', '1187871', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.974616', '0', '-0.223882', '0.616441', '0.509112', '-3.99514', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499755', '1187871', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '1', '0', '3.20013e-08', '-0.0402508', '0.993319', '7.98694', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499756', '1187871', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '-1.5046', '0.993319', '7.87583', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499757', '1187871', 'object/tangible/furniture/elegant/shared_love_seat_s01.iff', '0', '0.707107', '0', '0.707107', '-2.2368', '0.994461', '6.69848', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499758', '1187871', 'object/tangible/furniture/elegant/shared_chest_s01.iff', '0', '0', '0', '1', '3.98711', '0.993319', '7.86855', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499759', '1187871', 'object/tangible/furniture/elegant/shared_love_seat_s01.iff', '0', '-0.7071', '0', '0.707113', '2.13078', '0.993319', '6.72749', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499760', '1187871', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '1.40267', '0.993319', '7.87041', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499761', '1187871', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff', '0', '0', '0', '1', '-0.0268385', '0.993319', '6.56899', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499762', '1187871', 'object/tangible/furniture/elegant/shared_chest_s01.iff', '0', '0', '0', '1', '-4.03262', '0.993571', '7.77862', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499763', '1187871', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '-0.651834', '0', '0.758361', '-4.06164', '1.72114', '7.69579', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499764', '1187871', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '-0.466208', '0', '0.884675', '3.95524', '1.75227', '7.75402', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499765', '1187871', 'object/static/item/shared_item_painting_corellia_style_01.iff', '0', '-0.707099', '0', '0.707114', '-0.0407025', '1.30955', '8.43186', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500416', '1187871', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s02.iff', '0', '0', '0', '1', '-0.0264196', '1.40441', '6.54902', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500417', '1187871', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff', '0', '0', '0', '1', '4.37188', '0.512662', '-11.3487', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500418', '1187871', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff', '0', '0', '0', '1', '-4.34533', '0.512662', '-11.3532', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500419', '1187871', 'object/tangible/furniture/modern/shared_rug_oval_m_s02.iff', '0', '-0.707101', '0', '0.707113', '-0.211019', '0.998028', '2.59061', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500420', '1187871', 'object/tangible/furniture/modern/shared_rug_rect_sml_s01.iff', '0', '0', '0', '1', '-13.5429', '0.996204', '-3.30332', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500421', '1187871', 'object/tangible/furniture/elegant/shared_bookcase_s01.iff', '0', '1', '0', '-3.20013e-08', '10.6629', '1.00012', '9.71073', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500422', '1187871', 'object/tangible/furniture/elegant/shared_cabinet_s01.iff', '0', '1', '0', '-3.20013e-08', '12.1688', '1.00012', '9.74275', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500423', '1187871', 'object/tangible/furniture/elegant/shared_cabinet_s01.iff', '0', '1', '0', '-3.20013e-08', '9.1688', '1.00012', '9.74275', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500428', '1187871', 'object/tangible/furniture/elegant/shared_love_seat_s01.iff', '0', '-0.707101', '0', '0.707113', '-8.94254', '0.993319', '9.19453', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500429', '1187871', 'object/tangible/furniture/elegant/shared_chest_s01.iff', '0', '0', '0', '1', '-8.88234', '0.993319', '10.7776', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500430', '1187871', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '-8.95008', '0.993319', '7.59525', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500431', '1187871', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff', '0', '-0.707101', '0', '0.707113', '-11.8487', '0.993319', '9.22855', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502346', '1187871', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s03.iff', '0', '0', '0', '1', '-8.6456', '0.993319', '8.22141', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8075512', '1187871', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-0.230415', '0.787979', '-0.561863', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187872', '1187869', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502347', '1187872', 'object/static/item/shared_item_painting_tatooine_style_01.iff', '0', '1', '0', '-3.20013e-08', '-12.2165', '0.993319', '9.07613', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187873', '1187869', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187874', '1187869', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187875', '1187869', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187876', '1187869', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187877', '1187869', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187878', '1187869', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187879', '1187869', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1718384', '1187869', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1718385', '1187869', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1718386', '1187869', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1718387', '1187869', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1718388', '1187869', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1718389', '1187869', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1718390', '1187869', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1718391', '1187869', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1718392', '1187869', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1718393', '1187869', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1718394', '1187869', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187891', '0', 'object/building/tatooine/shared_housing_tatt_style01_med.iff', '0', '0.898611', '0', '0.438747', '3337.65', '5', '-4882.29', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187892', '1187891', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499578', '1187892', 'object/static/item/shared_item_painting_corellia_style_01.iff', '0', '1', '0', '-3.20013e-08', '3.85734', '1.00421', '8.7393', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187893', '1187891', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499581', '1187893', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff', '0', '0.999999', '0', '-0.0015932', '-7.7218', '0.408271', '2.64761', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499582', '1187893', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_05.iff', '0', '0.708233', '0', '0.705979', '2.90091', '0.376648', '-6.01961', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499583', '1187893', 'object/tangible/furniture/modern/shared_love_seat_modern_style_01.iff', '0', '-0.0334003', '0', '0.999442', '-6.86727', '0.408271', '-4.58681', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499584', '1187893', 'object/tangible/furniture/modern/shared_love_seat_modern_style_01.iff', '0', '-0.53829', '0', '0.84276', '-5.205', '0.408271', '-6.87023', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499585', '1187893', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '-0.410506', '0', '0.911858', '6.44359', '0.40827', '-9.10306', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499586', '1187893', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.409577', '0', '0.912275', '-0.461598', '0.40827', '-8.91256', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499587', '1187893', 'object/tangible/furniture/modern/shared_couch_modern_style_02.iff', '0', '0.00199244', '0', '0.999998', '2.96478', '0.40827', '-9.26101', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499588', '1187893', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '0.999999', '0', '-0.00159359', '7.37816', '0.408271', '-10.4523', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499589', '1187893', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '0.00159355', '0', '0.999999', '-1.15099', '0.408271', '-10.455', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499590', '1187893', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.924066', '0', '0.382233', '-0.51384', '0.408271', '-2.89792', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499591', '1187893', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.915366', '0', '-0.402623', '6.33863', '0.408268', '-3.06042', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499592', '1187893', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff', '0', '0.999999', '0', '-0.0015932', '4.58336', '0.408271', '2.64761', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499593', '1187893', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '-0.374082', '0', '0.927396', '-7.30507', '0.408271', '-5.40545', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499594', '1187893', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '-0.098248', '0', '0.995162', '-6.42167', '0.408271', '-7.24585', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499595', '1187893', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_02.iff', '0', '0.755615', '0', '0.655016', '-7.52923', '0.408271', '-6.65871', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499596', '1187893', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0', '0.00159341', '0', '0.999999', '2.94435', '0.408271', '2.40231', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499597', '1187893', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0', '0.00159341', '0', '0.999999', '-5.99038', '0.408271', '2.46167', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499598', '1187893', 'object/tangible/furniture/modern/shared_armoire_modern_style_01.iff', '0', '0.708232', '0', '0.70598', '-11.0984', '0.408271', '-0.155333', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499600', '1187893', 'object/static/item/shared_item_painting_endor_style_01.iff', '0', '0.00159341', '0', '0.999999', '11.1015', '0.819367', '-1.93028', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499602', '1187893', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '-0.705978', '0', '0.708234', '10.5387', '0.408271', '-1.90232', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499603', '1187893', 'object/tangible/furniture/modern/shared_couch_modern_style_02.iff', '0', '-0.698292', '0', '0.715813', '6.71747', '0.408269', '-6.02947', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499604', '1187893', 'object/tangible/furniture/modern/shared_couch_modern_style_02.iff', '0', '0.709356', '0', '0.70485', '-0.882628', '0.408271', '-5.96592', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499605', '1187893', 'object/static/structure/general/shared_data_terminal_free_s2.iff', '0', '0.707107', '0', '-0.707107', '10.8769', '0.408271', '-5.4224', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187894', '1187891', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499606', '1187894', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '0.980893', '0', '-0.194548', '-6.80738', '1.00421', '8.72109', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499607', '1187894', 'object/tangible/crafting/station/shared_food_station.iff', '0', '0.999987', '0', '0.00499984', '-5.77948', '1.00421', '10.4164', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499608', '1499607', 'object/tangible/hopper/shared_crafting_station_ingredient_hopper_1.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499610', '1187894', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '0.993303', '0', '0.115537', '-9.32891', '1.00421', '8.93844', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499611', '1187894', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '0.144492', '0', '0.989506', '-9.14154', '1.00421', '4.52038', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499612', '1187894', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '-0.164252', '0', '0.986418', '-6.33953', '1.00421', '4.866', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499613', '1187894', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0.707098', '0.00353551', '0.00353546', '-0.707098', '-0.0541821', '1.37516', '11.1099', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499614', '1187894', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0.707098', '0.00353551', '0.00353546', '-0.707098', '-0.0541802', '1.37516', '11.1099', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499615', '1187894', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0.707098', '0.00353551', '0.00353546', '-0.707098', '-0.0541821', '1.37516', '11.1099', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499616', '1187894', 'object/static/item/shared_item_jar_spice_red.iff', '0', '-0.0050003', '0', '0.999987', '2.79904', '1.88965', '9.64051', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499617', '1187894', 'object/static/item/shared_item_jar_spice_red.iff', '0', '-0.324043', '0', '0.946042', '2.79904', '1.88965', '9.25938', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499618', '1187894', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0.389418', '0', '0.921061', '2.88197', '1.88965', '4.56936', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499619', '1187894', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '-0.149438', '0', '0.988771', '2.88197', '1.88965', '4.16525', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499620', '1187894', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '-0.0050003', '0', '0.999987', '2.88197', '1.88965', '4.96238', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499621', '1187894', 'object/static/item/shared_item_kitchen_pot_style_01.iff', '0', '-0.0050003', '0', '0.999987', '2.86655', '1.92127', '8.0738', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499622', '1187894', 'object/static/item/shared_item_kitchen_pot_style_02.iff', '0', '-0.49688', '0', '0.867819', '2.88197', '1.92127', '7.76511', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499623', '1187894', 'object/static/item/shared_item_kitchen_pot_style_02.iff', '0', '-0.0050003', '0', '0.999987', '2.88197', '1.92127', '7.57606', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499625', '1187894', 'object/static/item/shared_item_kitchen_pot_style_03.iff', '0', '0.999232', '0', '0.0391936', '2.88197', '1.92127', '6.88921', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499626', '1187894', 'object/static/item/shared_item_kitchen_pot_style_01.iff', '0', '-0.0050003', '0', '0.999987', '2.88197', '1.92127', '6.64305', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499627', '1187894', 'object/static/item/shared_item_jar_berries.iff', '0', '0.159318', '0', '0.987227', '2.79904', '1.88965', '8.75594', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499628', '1187894', 'object/static/item/shared_item_jar_berries.iff', '0', '-0.0050003', '0', '0.999987', '2.79904', '1.88965', '8.48961', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499629', '1187894', 'object/static/item/shared_item_jar_funk.iff', '0', '-0.0050003', '0', '0.999987', '2.88197', '1.88965', '5.33502', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499631', '1187894', 'object/tangible/furniture/modern/shared_dining_table_modern_style_01.iff', '0', '0', '0', '1', '-8.5779', '1.00421', '6.73639', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499632', '1187894', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '-0.00381722', '-0.707096', '0.707097', '-0.00381733', '-2.24918', '1.37649', '11.0921', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187895', '1187891', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187896', '1187891', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187897', '1187891', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187898', '1187891', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187899', '1187891', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187900', '1187891', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187901', '1187891', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187902', '1187891', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187903', '1187891', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187917', '0', 'object/building/tatooine/shared_housing_tatt_style01_med.iff', '0', '-0.44252', '0', '0.896759', '3289.78', '5', '-4943.88', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187918', '1187917', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499635', '1187918', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '0.7071', '0', '0.707114', '4.23077', '1.00421', '8.6826', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499636', '1187918', 'object/static/item/shared_item_jar_berries.iff', '0', '-0.0499792', '0', '0.99875', '4.43474', '1.00421', '9.14789', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499637', '1187918', 'object/static/item/shared_item_jar_berries.iff', '0', '-0.0499792', '0', '0.99875', '4.37507', '1.00421', '7.64505', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499638', '1187918', 'object/static/item/shared_item_jar_bugs.iff', '0', '-0.0499792', '0', '0.99875', '4.42566', '1.00421', '8.01843', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499639', '1187918', 'object/static/item/shared_item_jar_bugs.iff', '0', '-0.0499792', '0', '0.99875', '4.19628', '1.00421', '8.12788', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499640', '1187918', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '-0.0499792', '0', '0.99875', '4.36804', '1.00421', '8.85585', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499641', '1187918', 'object/static/item/shared_item_bowl_carved.iff', '0', '-0.0499792', '0', '0.99875', '4.41721', '1.00421', '9.86558', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499642', '1187918', 'object/static/item/shared_item_fruit_melon.iff', '0.151057', '0.130314', '0.177739', '0.963643', '4.32813', '1.00421', '9.78865', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499643', '1187918', 'object/static/item/shared_item_fruit_melon.iff', '0', '-0.0499792', '0', '0.99875', '4.46136', '1.00421', '9.82498', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499644', '1187918', 'object/static/item/shared_item_fruit_melon.iff', '-0.177756', '-0.0822219', '0.165542', '0.96656', '4.43911', '1.00421', '10.0976', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187919', '1187917', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499681', '1187919', 'object/tangible/furniture/modern/shared_love_seat_modern_style_01.iff', '0', '0.92388', '0', '-0.382683', '4.94774', '0.408269', '-6.95495', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499682', '1187919', 'object/tangible/furniture/modern/shared_love_seat_modern_style_01.iff', '0', '0', '0', '1', '-1.05226', '0.408271', '-4.95495', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499683', '1187919', 'object/tangible/furniture/modern/shared_love_seat_modern_style_01.iff', '0', '-0.382683', '0', '0.92388', '0.947739', '0.40827', '-6.95495', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499684', '1187919', 'object/tangible/furniture/modern/shared_love_seat_modern_style_01.iff', '0', '1', '0', '-3.20013e-08', '6.94774', '0.408268', '-4.95495', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499685', '1187919', 'object/tangible/furniture/modern/shared_rug_rnd_sml_s01.iff', '0', '0.7071', '0', '0.707113', '2.91591', '0.408271', '-4.06063', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499686', '1187919', 'object/tangible/furniture/modern/shared_love_seat_modern_style_01.iff', '0', '0.391251', '0', '0.920284', '1.01135', '0.408271', '-1.03066', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499687', '1187919', 'object/tangible/furniture/modern/shared_love_seat_modern_style_01.iff', '0', '0.999957', '0', '-0.00929204', '6.97286', '0.408268', '-3.14161', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499688', '1187919', 'object/tangible/furniture/modern/shared_love_seat_modern_style_01.iff', '0', '0.927395', '0', '0.374082', '5.0101', '0.408271', '-1.10479', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499689', '1187919', 'object/tangible/furniture/modern/shared_love_seat_modern_style_01.iff', '0', '0.00929243', '0', '0.999957', '-1.02583', '0.408271', '-2.99327', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499690', '1187919', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '-0.380188', '0', '0.924909', '5.62978', '0.408271', '-1.85997', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499691', '1187919', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '0.912764', '0', '-0.408487', '0.291433', '0.408271', '-1.27975', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499692', '1187919', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '0', '0', '1', '6.84518', '0.408268', '-4.13316', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499693', '1187919', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '1', '0', '-3.20013e-08', '-0.789967', '0.408271', '-3.81359', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499694', '1187919', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '0.380188', '0', '0.924909', '5.56463', '0.408269', '-6.25395', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499695', '1187919', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '0.937923', '0', '0.346844', '0.265619', '0.408271', '-6.3572', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499696', '1187919', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '0', '0', '1', '7.03295', '0.408271', '-10.4654', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499697', '1187919', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '0', '0', '1', '-1.53839', '0.408271', '-10.4165', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499698', '1187919', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff', '0', '-0.7071', '0', '0.707113', '10.8769', '0.408271', '-0.940374', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499699', '1187919', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff', '0', '-0.7071', '0', '0.707113', '10.8769', '0.408271', '-7.23331', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499700', '1187919', 'object/tangible/furniture/modern/shared_armoire_modern_style_01.iff', '0', '-0.7071', '0', '0.707113', '10.8769', '0.408271', '-3.13207', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499701', '1187919', 'object/tangible/furniture/modern/shared_armoire_modern_style_01.iff', '0', '-0.7071', '0', '0.707113', '10.8769', '0.408271', '-5.17547', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499703', '1187919', 'object/tangible/furniture/modern/shared_end_table_large_modern_style_01.iff', '0', '1', '0', '-3.20013e-08', '-10.8079', '0.408271', '0.623755', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499704', '1187919', 'object/tangible/furniture/modern/shared_end_table_large_modern_style_01.iff', '0', '-0.7071', '0', '0.707113', '-8.87608', '0.408271', '2.39492', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499705', '1187919', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.681639', '0', '0.731689', '-10.7675', '0.408271', '-0.688914', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499706', '1187919', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.920751', '0', '0.390152', '-10.4271', '0.408271', '1.93377', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499707', '1187919', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.966185', '0', '-0.25785', '-7.53717', '0.408271', '2.06661', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187920', '1187917', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499645', '1187920', 'object/tangible/furniture/modern/shared_dining_table_modern_style_01.iff', '0', '-0.00340661', '0', '0.999994', '-3.78114', '1.00421', '7.40154', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499647', '1187920', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.75233', '0', '0.658786', '-8.10504', '1.00421', '7.23764', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499648', '1187920', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.36944', '0', '0.929254', '0.559108', '1.00421', '7.28938', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499649', '1187920', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.367754', '0', '0.929923', '-5.74853', '1.00421', '5.48775', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499650', '1187920', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.231294', '0', '0.972884', '-2.02136', '1.00421', '5.47572', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499651', '1187920', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.927097', '0', '0.374821', '-5.67017', '1.00421', '9.02249', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499652', '1187920', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.907967', '0', '-0.419042', '-1.94265', '1.00421', '9.05273', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499654', '1187920', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '-0.00340661', '0', '0.999994', '-9.86558', '1.00421', '4.02437', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499655', '1187920', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '-0.00340661', '0', '0.999994', '-9.86558', '1.00421', '4.236', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499656', '1187920', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '-0.00340661', '0', '0.999994', '-9.86558', '1.00421', '4.25354', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499657', '1187920', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '-0.00340661', '0', '0.999994', '-9.86558', '1.00421', '4.50743', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499658', '1187920', 'object/static/item/shared_item_jar_spice_red.iff', '0', '-0.00340661', '0', '0.999994', '-9.86558', '1.00421', '9.91404', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499659', '1187920', 'object/static/item/shared_item_jar_spice_red.iff', '0', '-0.00340661', '0', '0.999994', '-9.88034', '1.00421', '10.1486', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499660', '1187920', 'object/static/item/shared_item_jar_spice_red.iff', '0', '-0.00340661', '0', '0.999994', '-9.86558', '1.00421', '9.99296', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499661', '1187920', 'object/static/item/shared_item_jar_spice_white.iff', '0', '-0.00340661', '0', '0.999994', '-9.86558', '1.00421', '6.49379', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499662', '1187920', 'object/static/item/shared_item_jar_spice_red.iff', '0', '-0.00340661', '0', '0.999994', '-9.86558', '1.00421', '9.53475', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499663', '1187920', 'object/static/item/shared_item_jar_spice_white.iff', '0', '-0.00340661', '0', '0.999994', '-9.86558', '1.00421', '6.70509', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499664', '1187920', 'object/static/item/shared_item_jar_spice_white.iff', '0', '-0.00340661', '0', '0.999994', '-9.86558', '1.00421', '7.00337', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499665', '1187920', 'object/static/item/shared_item_glass_empty.iff', '0', '-0.00340661', '0', '0.999994', '2.20687', '1.00421', '8.26345', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499666', '1187920', 'object/static/item/shared_item_glass_empty.iff', '0', '-0.00340661', '0', '0.999994', '2.20687', '1.00421', '8.0722', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499667', '1187920', 'object/static/item/shared_item_glass_empty.iff', '0', '-0.00340661', '0', '0.999994', '2.20687', '1.00421', '8.07789', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499668', '1187920', 'object/static/item/shared_item_glass_empty.iff', '0', '-0.00340661', '0', '0.999994', '2.20687', '1.00421', '6.53719', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499669', '1187920', 'object/static/item/shared_item_glass_empty.iff', '0', '-0.00340661', '0', '0.999994', '2.20687', '1.00421', '6.54931', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499670', '1187920', 'object/static/item/shared_item_glass_empty.iff', '0', '-0.00340661', '0', '0.999994', '2.20687', '1.00421', '6.43645', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499671', '1187920', 'object/static/item/shared_item_bottle_tall.iff', '0', '-0.00340661', '0', '0.999994', '2.20687', '1.00421', '9.83206', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499672', '1187920', 'object/static/item/shared_item_bottle_tall.iff', '0', '-0.00340661', '0', '0.999994', '2.20687', '1.00421', '9.57794', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499673', '1187920', 'object/static/item/shared_item_bottle_tall.iff', '0', '-0.00340661', '0', '0.999994', '2.20687', '1.00421', '9.36967', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499674', '1187920', 'object/static/item/shared_item_bottle_fat.iff', '0', '-0.00340661', '0', '0.999994', '2.20687', '1.00421', '4.5533', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499675', '1187920', 'object/static/item/shared_item_bottle_fat.iff', '0', '-0.00340661', '0', '0.999994', '2.20687', '1.00421', '4.88024', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499676', '1187920', 'object/static/item/shared_item_bottle_pear.iff', '0', '-0.00340661', '0', '0.999994', '2.20687', '1.00421', '4.16046', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499679', '1187920', 'object/tangible/furniture/modern/shared_rug_rect_lg_s01.iff', '0', '-0.7071', '0', '0.707113', '-3.75097', '1.00421', '7.32703', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499680', '1187920', 'object/static/item/shared_item_bottle_fat.iff', '0', '-0.445572', '0', '0.895246', '2.20687', '1.00421', '7.01554', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499708', '1187920', 'object/tangible/furniture/modern/shared_armoire_modern_style_01.iff', '0', '1', '0', '-3.20013e-08', '-3.79853', '1.00421', '10.844', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499709', '1187920', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '0', '0', '1', '-6.63931', '1.00421', '10.5203', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499710', '1187920', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '0', '0', '1', '-0.483858', '1.00421', '10.5163', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499711', '1187920', 'object/static/item/shared_item_basket_closed.iff', '0', '0', '0', '1', '-7.51066', '1.00421', '10.472', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499712', '1187920', 'object/static/item/shared_item_bowl_plain.iff', '0', '0', '0', '1', '-6.72385', '1.00421', '10.5506', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499713', '1187920', 'object/static/item/shared_item_bread_loaf.iff', '0', '0', '0', '1', '-6.76047', '1.00421', '10.5831', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499714', '1187920', 'object/static/item/shared_item_bowl_carved.iff', '0', '0', '0', '1', '-5.63933', '1.00421', '10.3834', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499715', '1187920', 'object/static/item/shared_item_fruit_melon.iff', '0', '0', '0', '1', '-5.70567', '1.00421', '10.4832', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499716', '1187920', 'object/static/item/shared_item_fruit_melon.iff', '-0.260547', '-0.036284', '-0.173574', '0.949037', '-5.55347', '1.00421', '10.511', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499717', '1187920', 'object/static/item/shared_item_fruit_melon.iff', '0', '0', '0.29552', '0.955336', '-5.58587', '1.00421', '10.2994', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499718', '1187920', 'object/static/item/shared_item_bowl_carved.iff', '0', '0', '0', '1', '-1.17512', '1.00421', '10.575', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499719', '1187920', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '-0.492523', '1.00421', '10.7402', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499720', '1187920', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '-0.226778', '1.00421', '10.3108', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499721', '1187920', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '-0.676168', '1.00421', '10.3456', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499722', '1187920', 'object/static/item/shared_item_bowl_plain.iff', '0', '-0.169182', '0', '0.985585', '-1.77694', '1.00421', '10.5447', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499723', '1187920', 'object/static/item/shared_item_meat_hunk.iff', '0.950796', '-9.91452e-09', '0.309816', '-3.04267e-08', '0.827121', '1.00421', '10.5685', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499724', '1187920', 'object/static/item/shared_item_bowl_shallow.iff', '0', '0.309816', '0', '0.950796', '0.602105', '1.00421', '10.4361', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499725', '1187920', 'object/static/item/shared_item_bread_loaf.iff', '0', '-0.169182', '0', '0.985585', '-1.6839', '1.00421', '10.632', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499726', '1187920', 'object/static/item/shared_item_bread_loaf.iff', '0.0572169', '-0.159213', '0.333322', '0.92751', '-1.83273', '1.00421', '10.5906', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499727', '1187920', 'object/static/item/shared_item_bread_loaf.iff', '0', '-0.169182', '0', '0.985585', '-1.80248', '1.00421', '10.4568', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499728', '1187920', 'object/static/item/shared_item_fruit_melon.iff', '0', '0', '0', '1', '-1.22286', '1.00421', '10.6725', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499729', '1187920', 'object/static/item/shared_item_fruit_melon.iff', '0', '0', '0', '1', '-1.09323', '1.00421', '10.5901', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499730', '1187920', 'object/static/item/shared_item_fruit_melon.iff', '0', '0', '0', '1', '-1.22021', '1.00421', '10.5687', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187921', '1187917', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187922', '1187917', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187923', '1187917', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187924', '1187917', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187925', '1187917', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187926', '1187917', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187927', '1187917', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187928', '1187917', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187929', '1187917', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187930', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.46178', '0', '0.886995', '3286.3', '5', '-4912.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187931', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.947396', '0', '-0.320064', '3297.11', '5', '-4898.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187932', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.452886', '0', '0.891568', '3303.41', '5', '-4889.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187933', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '0.319295', '0', '0.947655', '3293.87', '5', '-4903.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187934', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '0.309812', '0', '0.950798', '3301.14', '5', '-4893.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187937', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_01.iff', '0', '-0.439463', '0', '0.898261', '3313.37', '5', '-4910.53', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187938', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.443947', '0', '0.896053', '3283.93', '5', '-4962.29', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187939', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.439461', '0', '0.898261', '3277.46', '5', '-4957.56', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187940', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.439461', '0', '0.898261', '3316.94', '5', '-4988.25', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187941', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.443947', '0', '0.896053', '3323.19', '5', '-4992.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187942', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.439461', '0', '0.898261', '3290.89', '5', '-4968', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187943', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.443947', '0', '0.896053', '3297.33', '5', '-4972.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187944', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.439461', '0', '0.898261', '3303.52', '5', '-4977.82', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187945', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.443947', '0', '0.896053', '3309.96', '5', '-4982.56', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187950', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.947396', '0', '-0.320063', '3327.48', '5', '-4892.12', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187951', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_1.iff', '0', '-0.439463', '0', '0.898261', '3359.34', '5', '-4911.02', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187952', '0', 'object/static/structure/tatooine/shared_shed_junkshop_watto.iff', '0', '-0.439463', '0', '0.898261', '3365.55', '4.91976', '-4911.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187954', '0', 'object/static/structure/tatooine/shared_shed_junkshop_watto.iff', '0', '0.945784', '0', '-0.324797', '3320.39', '5.08508', '-4969.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187957', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_1.iff', '0', '-0.457339', '0', '0.889293', '3245.86', '4.80464', '-4947.17', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187958', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.947396', '0', '-0.320063', '3298.37', '5', '-4932.83', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187959', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.945783', '0', '-0.324798', '3328.16', '5', '-4986.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187960', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.947396', '0', '-0.320064', '3332.91', '5', '-4980.42', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187961', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.945784', '0', '-0.324797', '3338.6', '5', '-4973.42', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187962', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.947396', '0', '-0.320064', '3343.36', '5', '-4967', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187963', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.947396', '0', '-0.320064', '3353.53', '5', '-4953.85', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187964', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.945783', '0', '-0.3248', '3348.94', '5', '-4960.13', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187965', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.947396', '0', '-0.320064', '3363.76', '5', '-4940.79', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187966', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.945782', '0', '-0.324802', '3359.13', '5', '-4947.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187984', '0', 'object/building/tatooine/shared_housing_tatt_style01_med.iff', '0', '0.945265', '0', '-0.326302', '3306.02', '5', '-4872.27', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187985', '1187984', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499500', '1187985', 'object/static/item/shared_item_painting_bothan_style_01.iff', '0', '1', '0', '-5.30747e-08', '4.12912', '1.00421', '8.64332', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499501', '1187985', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff', '0', '0', '0', '1', '5.28085', '1.00421', '3.68328', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187986', '1187984', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499506', '1187986', 'object/tangible/furniture/modern/shared_rug_oval_m_s02.iff', '0', '0.707107', '0', '0.707107', '-0.963612', '0.408271', '-7.02814', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499507', '1187986', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff', '0', '0.707107', '0', '0.707107', '-4.49108', '0.408271', '-7.11437', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499508', '1187986', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff', '0', '-0.7071', '0', '0.707114', '2.76951', '0.408271', '-7.05499', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499509', '1187986', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff', '0', '0', '0', '1', '-0.86934', '0.408271', '-10.4846', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499510', '1187986', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '0.999888', '0', '-0.0149993', '-0.855545', '0.408271', '-7.08001', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499511', '1187986', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff', '0', '0', '0', '1', '8.98392', '0.408271', '-10.8339', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499512', '1187986', 'object/tangible/furniture/modern/shared_cabinet_modern_style_01.iff', '0', '0', '0', '1', '6.95527', '0.408271', '-10.8339', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499513', '1187986', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff', '0', '0', '0', '1', '4.81347', '0.408271', '-10.8339', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499514', '1187986', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '-0.7071', '0', '0.707113', '10.5591', '0.408271', '-2.7321', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499515', '1187986', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '-0.498344', '0.504472', '-0.495475', '-0.501664', '10.8769', '0.787744', '-5.60246', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499516', '1187986', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '-0.498344', '0.504472', '-0.495475', '-0.501664', '10.8769', '0.787744', '0.147413', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499517', '1187986', 'object/tangible/furniture/tatooine/shared_frn_tato_vase_style_01.iff', '0', '0', '0', '1', '10.716', '1.19884', '0.216973', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499518', '1187986', 'object/tangible/furniture/tatooine/shared_frn_tato_vase_style_01.iff', '0', '0', '0', '1', '10.6783', '1.19884', '-5.6339', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499519', '1187986', 'object/tangible/furniture/tatooine/shared_frn_tato_vase_style_02.iff', '0', '0', '0', '1', '10.7188', '1.19884', '-2.75927', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499572', '1187986', 'object/static/item/shared_item_painting_agrilat_swamp_style_02.iff', '0', '0', '0', '1', '11.1506', '2.05265', '-0.210294', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499573', '1187986', 'object/static/item/shared_item_painting_naboo_style_01.iff', '0', '0', '0', '1', '10.8769', '1.89454', '-5.22436', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499574', '1187986', 'object/static/item/shared_item_painting_tatooine_style_02.iff', '0', '0', '0', '1', '10.8769', '3.09621', '-2.78457', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499575', '1187986', 'object/tangible/furniture/modern/shared_armoire_modern_style_01.iff', '0', '0.707107', '0', '0.707107', '-11.0942', '0.408271', '0.560054', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499576', '1187986', 'object/tangible/furniture/modern/shared_armoire_modern_style_01.iff', '0', '1', '0', '-5.30747e-08', '-9.10013', '0.408271', '2.64761', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187987', '1187984', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499539', '1187987', 'object/tangible/furniture/modern/shared_dining_table_modern_style_01.iff', '0', '0.00159344', '0', '0.999999', '-3.97938', '1.00421', '7.01949', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499540', '1187987', 'object/tangible/furniture/modern/shared_rug_oval_lg_s01.iff', '0', '0.708232', '0', '0.70598', '-3.97948', '1.00421', '6.99711', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499541', '1187987', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.755615', '0', '0.655016', '-8.30451', '1.00421', '6.89885', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499542', '1187987', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.364789', '0', '0.93109', '0.359459', '1.00421', '6.8639', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499543', '1187987', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.3724', '0', '0.928073', '-5.96575', '1.00421', '5.12572', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499544', '1187987', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.226426', '0', '0.974028', '-2.23874', '1.00421', '5.07589', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499545', '1187987', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.92896', '0', '0.370181', '-5.85174', '1.00421', '8.65921', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499546', '1187987', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.90586', '0', '-0.423577', '-2.12463', '1.00421', '8.65182', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499547', '1187987', 'object/static/item/shared_item_painting_agrilat_swamp_style_01.iff', '0', '-0.705978', '0', '0.708234', '-3.74198', '1.00421', '10.844', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499548', '1187987', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0.00159344', '0', '0.999999', '-9.86558', '1.00421', '3.87909', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499549', '1187987', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0.00159344', '0', '0.999999', '-9.86558', '1.00421', '4.09113', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499550', '1187987', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0.00159344', '0', '0.999999', '-9.86558', '1.00421', '4.10614', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499551', '1187987', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0.00159344', '0', '0.999999', '-9.86558', '1.00421', '4.36184', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499552', '1187987', 'object/static/item/shared_item_jar_spice_red.iff', '0', '0.00159344', '0', '0.999999', '-9.86558', '1.00421', '9.22637', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499553', '1187987', 'object/static/item/shared_item_jar_spice_red.iff', '0', '0.00159344', '0', '0.999999', '-9.86558', '1.00421', '9.47481', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499554', '1187987', 'object/static/item/shared_item_jar_spice_red.iff', '0', '0.00159344', '0', '0.999999', '-9.86558', '1.00421', '9.30348', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499555', '1187987', 'object/static/item/shared_item_jar_spice_white.iff', '0', '0.00159344', '0', '0.999999', '-9.86558', '1.00421', '6.15486', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499556', '1187987', 'object/static/item/shared_item_jar_spice_red.iff', '0', '0.00159344', '0', '0.999999', '-9.86558', '1.00421', '8.84746', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499557', '1187987', 'object/static/item/shared_item_jar_spice_white.iff', '0', '0.00159344', '0', '0.999999', '-9.86558', '1.00421', '6.36519', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499558', '1187987', 'object/static/item/shared_item_jar_spice_white.iff', '0', '0.00159344', '0', '0.999999', '-9.86558', '1.00421', '6.66576', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499559', '1187987', 'object/static/item/shared_item_glass_empty.iff', '0', '0.00159344', '0', '0.999999', '2.20687', '1.00421', '8.3848', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499560', '1187987', 'object/static/item/shared_item_glass_empty.iff', '0', '0.00159344', '0', '0.999999', '2.20687', '1.00421', '8.1922', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499561', '1187987', 'object/static/item/shared_item_glass_empty.iff', '0', '0.00159344', '0', '0.999999', '2.20687', '1.00421', '8.19949', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499562', '1187987', 'object/static/item/shared_item_glass_empty.iff', '0', '0.00159344', '0', '0.999999', '2.20687', '1.00421', '8.02034', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499563', '1187987', 'object/static/item/shared_item_glass_empty.iff', '0', '0.00159344', '0', '0.999999', '2.20687', '1.00421', '8.0309', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499564', '1187987', 'object/static/item/shared_item_glass_empty.iff', '0', '0.00159344', '0', '0.999999', '2.20687', '1.00421', '7.91886', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499565', '1187987', 'object/static/item/shared_item_bottle_tall.iff', '0', '0.00159344', '0', '0.999999', '2.20687', '1.00421', '9.67706', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499566', '1187987', 'object/static/item/shared_item_bottle_tall.iff', '0', '0.00159344', '0', '0.999999', '2.20687', '1.00421', '7.29583', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499567', '1187987', 'object/static/item/shared_item_bottle_tall.iff', '0', '0.00159344', '0', '0.999999', '2.20687', '1.00421', '9.21334', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499568', '1187987', 'object/static/item/shared_item_bottle_fat.iff', '0', '0.00159344', '0', '0.999999', '2.20687', '1.00421', '5.23128', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499569', '1187987', 'object/static/item/shared_item_bottle_fat.iff', '0', '0.00159344', '0', '0.999999', '2.20687', '1.00421', '5.5588', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499570', '1187987', 'object/static/item/shared_item_bottle_pear.iff', '0', '0.00159344', '0', '0.999999', '2.20687', '1.00421', '3.98584', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187988', '1187984', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187989', '1187984', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187990', '1187984', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187991', '1187984', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187992', '1187984', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187993', '1187984', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187994', '1187984', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187995', '1187984', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187996', '1187984', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187997', '0', 'object/building/tatooine/shared_housing_tatt_style01_large.iff', '0', '0.328769', '0', '0.94441', '3238.98', '5', '-4895.7', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187998', '1187997', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502353', '1187998', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s05.iff', '0', '0.849481', '0', '0.52762', '-6.89863', '2.71984', '10.1121', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502356', '1187998', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s03.iff', '0', '-0.0349929', '0', '0.999388', '-7.31273', '1.9995', '9.3236', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502357', '1187998', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '0.40319', '0', '0.915116', '-6.91958', '1.99283', '10.0828', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502358', '1187998', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s03.iff', '0', '0.955101', '0', '-0.296281', '-6.28045', '1.98453', '10.6902', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502359', '1187998', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s05.iff', '0', '0.939646', '0', '-0.342149', '7.34544', '2.71426', '10.1928', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502360', '1187998', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s03.iff', '0', '0.764329', '0', '0.644827', '6.53392', '1.98634', '10.8094', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502361', '1187998', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s03.iff', '0', '0.333487', '0', '0.942755', '7.63932', '1.98686', '9.34652', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502362', '1187998', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '0.945784', '0', '0.324796', '7.3257', '1.98695', '10.2218', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502363', '1187998', 'object/static/item/shared_item_painting_corellia_style_01.iff', '0', '0.7071', '0', '0.707113', '2.96417', '2.01192', '8.60816', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502364', '1187998', 'object/static/item/shared_item_painting_corellia_style_02.iff', '0', '0.7071', '0', '0.707113', '-3.04552', '2.00921', '8.66626', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502365', '1187998', 'object/static/item/shared_item_painting_naboo_style_01.iff', '0', '0.7071', '0', '0.707113', '-0.0873944', '2.0286', '8.74299', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1187999', '1187997', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502366', '1187999', 'object/tangible/furniture/modern/shared_rug_rect_lg_s01.iff', '0', '-0.707101', '0', '0.707112', '0', '0.509112', '-6', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502367', '1187999', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '0', '0', '1', '3.00594', '0.511848', '-9.43418', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502368', '1187999', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '0', '0', '1', '-2.99406', '0.511849', '-9.43418', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502369', '1187999', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '0', '0', '1', '0.00593959', '0.511848', '-9.43418', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502370', '1187999', 'object/tangible/furniture/elegant/shared_love_seat_s01.iff', '0', '-0.707101', '0', '0.707112', '5', '0.511372', '-8', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502371', '1187999', 'object/tangible/furniture/elegant/shared_love_seat_s01.iff', '0', '-0.707101', '0', '0.707112', '5', '0.510046', '-5', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502372', '1187999', 'object/tangible/furniture/elegant/shared_love_seat_s01.iff', '0', '0.707101', '0', '0.707112', '-5', '0.511354', '-8', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502373', '1187999', 'object/tangible/furniture/elegant/shared_love_seat_s01.iff', '0', '0.707101', '0', '0.707112', '-5', '0.510052', '-5', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502374', '1187999', 'object/tangible/furniture/elegant/shared_chest_s01.iff', '0', '0', '0', '1', '5.16057', '0.510794', '-6.50878', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502375', '1187999', 'object/tangible/furniture/elegant/shared_chest_s01.iff', '0', '0', '0', '1', '-5.08078', '0.510694', '-6.42082', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502376', '1187999', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '5.0393', '0.511961', '-9.39243', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502377', '1187999', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '1.557', '0.511858', '-9.44486', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502378', '1187999', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '-1.50858', '0.51188', '-9.46862', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502379', '1187999', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '-4.73337', '0.511855', '-9.34748', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502380', '1187999', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '-5.06468', '0.509398', '-3.68142', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502381', '1187999', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '5.07101', '0.509429', '-3.77176', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502382', '1187999', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff', '0', '0', '0', '1', '0', '0.512662', '-11.25', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502383', '1187999', 'object/tangible/furniture/elegant/shared_bookcase_s01.iff', '0', '0', '0', '1', '1.99999', '0.512662', '-11.4881', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502384', '1187999', 'object/tangible/furniture/elegant/shared_bookcase_s01.iff', '0', '0', '0', '1', '-2.00001', '0.512662', '-11.4912', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502385', '1187999', 'object/tangible/furniture/elegant/shared_cabinet_s01.iff', '0', '0', '0', '1', '3.99999', '0.512662', '-11.4865', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502386', '1187999', 'object/tangible/furniture/elegant/shared_cabinet_s01.iff', '0', '0', '0', '1', '-4.00001', '0.512662', '-11.4927', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502387', '1187999', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s4.iff', '0', '0.707101', '0', '0.707112', '6.00648', '0.512662', '-11.2513', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502389', '1187999', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s3.iff', '0', '0', '0', '1', '5.25', '0.512662', '-11.25', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502390', '1187999', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s4.iff', '0', '1', '0', '4.11323e-07', '-5.95455', '0.512662', '-11.2495', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502391', '1187999', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s3.iff', '0', '0', '0', '1', '-5', '0.512662', '-11.25', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502392', '1187999', 'object/tangible/furniture/modern/shared_dining_table_modern_style_01.iff', '0', '0.707107', '0', '0.707107', '-0.104659', '0.996411', '4.77204', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502393', '1187999', 'object/static/item/shared_item_painting_naboo_style_01.iff', '0', '0.707107', '0', '0.707107', '0.0308092', '0.512662', '-11.4896', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502394', '1187999', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.767543', '0', '0.640997', '-2.63338', '0.995242', '6.42666', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502395', '1187999', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.717356', '0', '0.696707', '-2.91666', '0.998356', '4.75636', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502396', '1187999', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.640385', '0', '0.768054', '-2.65021', '0.999085', '2.73418', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502397', '1187999', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.692537', '0', '0.721383', '2.42736', '0.99491', '4.43344', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502398', '1187999', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.764329', '0', '-0.644827', '2.18466', '0.993319', '6.45859', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502399', '1187999', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.636537', '0', '0.771246', '2.12497', '0.996297', '2.76671', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502400', '1187999', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff', '0', '-0.707101', '0', '0.707113', '-4.23887', '0.99541', '6.88996', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502401', '1187999', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff', '0', '0.707101', '0', '0.707112', '3.98711', '0.993319', '6.74879', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502402', '1187999', 'object/static/item/shared_item_jar_spice_red.iff', '0', '0', '0', '1', '-4.25961', '0.994239', '7.5077', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502403', '1187999', 'object/static/item/shared_item_jar_spice_red.iff', '0', '0', '0', '1', '-4.21365', '0.994744', '7.22865', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502404', '1187999', 'object/static/item/shared_item_jar_spice_red.iff', '0', '0', '0', '1', '-4.05849', '0.994191', '7.4637', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502405', '1187999', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0', '0', '1', '-4.22362', '0.99627', '6.43583', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502406', '1187999', 'object/static/item/shared_item_jar_berries.iff', '0', '0', '0', '1', '-4.22876', '0.99598', '6.58906', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502407', '1187999', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '-4.23786', '0.995467', '6.85987', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502408', '1187999', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '-4.0321', '0.99516', '6.94931', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502409', '1187999', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '3.98711', '1.37279', '7.27792', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502410', '1187999', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '3.98711', '1.37279', '6.1044', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502411', '1187999', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '3.98711', '1.37279', '6.53603', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502413', '1187999', 'object/static/item/shared_item_bowl_plain.iff', '0', '0', '0', '1', '3.98711', '1.37279', '6.94681', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502414', '1187999', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '3.98711', '1.37279', '6.24023', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502415', '1187999', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '3.98711', '1.37279', '6.41835', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502416', '1187999', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff', '0', '0', '0', '1', '10.7138', '1.00012', '9.52795', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502417', '1187999', 'object/tangible/furniture/all/shared_frn_all_tree_potted_s1.iff', '0', '0.707107', '0', '-0.707107', '-1.37778', '0.509112', '-1.04117', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502418', '1187999', 'object/tangible/furniture/all/shared_frn_all_tree_potted_s1.iff', '0', '0.7071', '0', '0.707113', '1.12225', '0.506841', '-1.04117', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502419', '1187999', 'object/tangible/furniture/all/shared_frn_all_tree_potted_s2.iff', '0', '-0.310194', '0', '0.950673', '10.7422', '1.34797', '9.41971', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502420', '1187999', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '9.04839', '1.00012', '9.51676', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502421', '1187999', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '12.339', '1.00012', '9.52662', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502422', '1187999', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '0', '0', '1', '9.06797', '1.34797', '9.50726', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502423', '1187999', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s01.iff', '0', '0', '0', '1', '12.3327', '1.34797', '9.57853', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502424', '1187999', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff', '0', '0', '0', '1', '-0.127783', '0.509112', '-1.04117', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502425', '1187999', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s03.iff', '0', '0', '0', '1', '-0.0834267', '0.920208', '-1.06373', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502426', '1187999', 'object/tangible/furniture/modern/shared_rug_rnd_sml_s01.iff', '0', '0.159318', '0', '0.987227', '-13.0753', '0.994911', '-3.34976', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502427', '1187999', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '-0.186924', '1.97684', '4.67662', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502428', '1187999', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '-0.230002', '1.97645', '5.12975', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502429', '1187999', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '-0.222895', '1.97721', '4.19087', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502430', '1187999', 'object/static/item/shared_item_bowl_plain.iff', '0', '0', '0', '1', '-0.0979024', '1.97362', '7.43178', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502431', '1187999', 'object/static/item/shared_item_fruit_melon.iff', '0', '0', '0', '1', '-0.173205', '1.97362', '7.46431', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502432', '1187999', 'object/static/item/shared_item_fruit_melon.iff', '0', '0', '0', '1', '-0.0471428', '1.97362', '7.42589', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502433', '1187999', 'object/static/item/shared_item_glass_empty.iff', '0', '-0.0349929', '0', '0.999388', '0.350318', '1.97362', '6.48271', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502434', '1187999', 'object/static/item/shared_item_glass_empty.iff', '0', '-0.0349929', '0', '0.999388', '0.365302', '1.97645', '4.68632', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502435', '1187999', 'object/static/item/shared_item_glass_empty.iff', '0', '-0.0349929', '0', '0.999388', '0.216999', '1.97779', '2.93953', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502436', '1187999', 'object/static/item/shared_item_glass_empty.iff', '0', '0.999574', '0', '0.0291995', '-0.620673', '1.97832', '3.00321', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502437', '1187999', 'object/static/item/shared_item_glass_empty.iff', '0', '0.999574', '0', '0.0291995', '-0.598276', '1.97729', '4.43774', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502438', '1187999', 'object/static/item/shared_item_glass_empty.iff', '0', '0.978197', '0', '0.207681', '-0.780055', '1.97585', '5.63517', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '5645539', '1187999', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s03.iff', '0', '0.328769', '0', '0.94441', '0.0227721', '0.892135', '-11.2064', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5645540', '1187999', 'object/static/item/shared_item_bottle_tall.iff', '0', '0.328769', '0', '0.94441', '-0.039185', '1.97749', '3.6185', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8075508', '1187999', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-0.306399', '0.509112', '-2.34681', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188000', '1187997', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188001', '1187997', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188002', '1187997', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188003', '1187997', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188004', '1187997', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188005', '1187997', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188006', '1187997', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188007', '1187997', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1718395', '1187997', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1718396', '1187997', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1718397', '1187997', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1718398', '1187997', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1718399', '1187997', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1718400', '1187997', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1718401', '1187997', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1718402', '1187997', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1718403', '1187997', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1718404', '1187997', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1718405', '1187997', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188032', '0', 'object/building/tatooine/shared_housing_tatt_style01_med.iff', '0', '0.328769', '0', '0.94441', '3244.88', '5', '-4823.83', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188033', '1188032', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499297', '1188033', 'object/static/item/shared_item_painting_tatooine_style_01.iff', '0', '1', '0', '3.20013e-08', '3.85019', '2.5221', '8.76558', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499299', '1188033', 'object/tangible/furniture/modern/shared_rug_rect_sml_s01.iff', '0', '0', '0', '1', '5.22111', '1.00421', '8.9962', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188034', '1188032', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499303', '1188034', 'object/tangible/furniture/modern/shared_rug_oval_m_s02.iff', '0', '0.7071', '0', '0.707113', '-0.949137', '0.408271', '-6.91406', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499305', '1188034', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff', '0', '0.825105', '0', '0.564979', '-4.65726', '0.408271', '-5.31417', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499307', '1188034', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff', '0', '-0.7071', '0', '0.707113', '3.20912', '0.408271', '-6.91749', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499308', '1188034', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff', '0', '0', '0', '1', '-0.85475', '0.408271', '-10.3706', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499310', '1188034', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '0.999887', '0', '-0.0149994', '-0.84094', '0.408271', '-6.96602', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499312', '1188034', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff', '0', '0', '0', '1', '8.99858', '0.408271', '-10.8339', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499313', '1188034', 'object/tangible/furniture/modern/shared_cabinet_modern_style_01.iff', '0', '0', '0', '1', '6.97006', '0.408271', '-10.8339', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499314', '1188034', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff', '0', '0', '0', '1', '4.82811', '0.408271', '-10.8339', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499316', '1188034', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '-0.7071', '0', '0.707113', '10.5735', '0.408271', '-2.61832', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499317', '1188034', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0.5', '-0.5', '0.5', '0.5', '10.8769', '0.787744', '-5.42972', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499318', '1188034', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0.5', '-0.5', '0.5', '0.5', '10.8769', '0.767456', '0.320278', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499321', '1188034', 'object/tangible/furniture/tatooine/shared_frn_tato_vase_style_01.iff', '0', '0', '0', '1', '10.7306', '1.17855', '0.331069', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499322', '1188034', 'object/tangible/furniture/tatooine/shared_frn_tato_vase_style_01.iff', '0', '0', '0', '1', '10.6929', '1.19884', '-5.52006', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499323', '1188034', 'object/tangible/furniture/tatooine/shared_frn_tato_vase_style_02.iff', '0', '0', '0', '1', '10.7335', '1.16722', '-2.64524', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188035', '1188032', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499329', '1188035', 'object/tangible/crafting/station/shared_food_station.iff', '0', '1', '0', '-3.20013e-08', '-3.30492', '1.00421', '10.445', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499330', '1499329', 'object/tangible/hopper/shared_crafting_station_ingredient_hopper_1.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499331', '1188035', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0', '0', '1', '-7.56127', '1.00421', '6.4212', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499332', '1188035', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '0.944148', '0', '0.329521', '-9.02169', '1.00421', '7.879', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499333', '1188035', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '0.488177', '0', '0.872745', '-9.3009', '1.00421', '4.99663', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499335', '1188035', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '-0.509841', '0', '0.860269', '-6.24214', '1.00421', '5.32828', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499336', '1188035', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '0.959437', '0', '-0.281922', '-6.60791', '1.00421', '8.06797', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499337', '1188035', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0.707107', '0', '0', '-0.707107', '-6.56742', '1.38368', '11.0952', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499338', '1188035', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0.707107', '0', '0', '-0.707107', '-6.56742', '1.38368', '11.0952', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499339', '1188035', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0.707107', '0', '0', '-0.707107', '-6.56742', '1.38368', '11.0952', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499349', '1188035', 'object/static/item/shared_item_jar_spice_red.iff', '0', '0', '0', '1', '2.7731', '1.88965', '8.88487', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499350', '1188035', 'object/static/item/shared_item_jar_spice_red.iff', '0', '0', '0', '1', '2.9294', '1.88965', '8.68317', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499351', '1188035', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0', '0', '1', '2.7731', '1.88965', '3.91688', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499352', '1188035', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0', '0', '1', '2.7731', '1.88965', '3.79145', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499353', '1188035', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0', '0', '1', '2.99856', '1.88965', '4.08652', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499354', '1188035', 'object/static/item/shared_item_kitchen_pot_style_01.iff', '0', '0', '0', '1', '2.86562', '1.92127', '7.19928', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499355', '1188035', 'object/static/item/shared_item_kitchen_pot_style_02.iff', '0', '0', '0', '1', '2.67831', '1.92127', '6.80725', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499356', '1188035', 'object/static/item/shared_item_kitchen_pot_style_02.iff', '0', '0', '0', '1', '2.86562', '1.92127', '6.58627', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499357', '1188035', 'object/static/item/shared_item_kitchen_pot_style_03.iff', '0', '0', '0', '1', '2.86562', '1.92127', '6.03561', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499358', '1188035', 'object/static/item/shared_item_kitchen_pot_style_03.iff', '0', '0.999415', '0', '0.0341969', '2.74075', '1.92127', '5.92065', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499359', '1188035', 'object/static/item/shared_item_kitchen_pot_style_01.iff', '0', '0', '0', '1', '2.86562', '1.92127', '5.65213', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499360', '1188035', 'object/static/item/shared_item_jar_berries.iff', '0', '0', '0', '1', '3.00196', '1.88965', '7.98381', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499361', '1188035', 'object/static/item/shared_item_jar_berries.iff', '0', '0', '0', '1', '2.7731', '1.88965', '7.73034', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499362', '1188035', 'object/static/item/shared_item_jar_funk.iff', '0', '0', '0', '1', '2.7731', '1.88965', '4.6814', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499367', '1188035', 'object/static/item/shared_item_glass_white.iff', '0', '0', '0', '1', '-10.4907', '1.1307', '4.9745', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499368', '1188035', 'object/static/item/shared_item_glass_white.iff', '0', '0', '0', '1', '-10.4907', '1.1307', '5.26594', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499369', '1188035', 'object/static/item/shared_item_glass_metal.iff', '0', '0', '0', '1', '-10.3146', '1.1307', '5.23216', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499371', '1188035', 'object/static/item/shared_item_glass_metal.iff', '0', '0', '0', '1', '-10.3146', '1.1307', '4.80212', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499372', '1188035', 'object/static/item/shared_item_glass_metal.iff', '0', '0', '0', '1', '-10.3146', '1.1307', '5.42593', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499374', '1188035', 'object/static/item/shared_item_glass_metal.iff', '0', '0', '0', '1', '-10.3146', '1.1307', '5.85195', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499376', '1188035', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '-10.5082', '1.85802', '6.642', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499377', '1188035', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '-10.5082', '1.85802', '7.54544', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499379', '1188035', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '-10.5082', '1.85802', '8.00338', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499380', '1188035', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '-10.5082', '1.85802', '7.76977', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188036', '1188032', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188037', '1188032', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188038', '1188032', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188039', '1188032', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188040', '1188032', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188041', '1188032', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188042', '1188032', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188043', '1188032', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188044', '1188032', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188045', '0', 'object/building/tatooine/shared_housing_tatt_style01_med.iff', '0', '0.32555', '0', '0.945525', '3227.5', '5', '-4845.78', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188046', '1188045', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499386', '1188046', 'object/static/item/shared_item_painting_tatooine_style_02.iff', '0', '1', '0', '-3.20013e-08', '3.87689', '2.5221', '8.70895', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499401', '1188046', 'object/tangible/furniture/modern/shared_armoire_modern_style_01.iff', '0', '-0.00340655', '0', '0.999994', '4.96415', '1.00421', '3.68328', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188047', '1188045', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499406', '1188047', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '-0.7071', '0', '0.707113', '10.5271', '0.408271', '4.57045', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499407', '1188047', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_05.iff', '0', '0', '0', '1', '6.90248', '0.376646', '-6.95654', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499411', '1188047', 'object/tangible/furniture/modern/shared_love_seat_modern_style_01.iff', '0', '-0.412321', '0', '0.911039', '-2.55061', '0.40827', '-9.6206', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499412', '1188047', 'object/tangible/furniture/modern/shared_love_seat_modern_style_01.iff', '0', '0.897911', '0', '-0.440178', '0.550649', '0.40827', '-9.6538', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499413', '1188047', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.935616', '0', '-0.353019', '9.7148', '0.408271', '-3.76804', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499414', '1188047', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '-0.356949', '0', '0.934124', '9.59045', '0.40827', '-10.2246', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499416', '1188047', 'object/tangible/furniture/modern/shared_couch_modern_style_02.iff', '0', '-0.706825', '0', '0.707389', '10.1443', '0.408271', '-6.88265', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499430', '1188047', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '0', '0', '1', '6.89884', '0.408268', '-3.52498', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499431', '1188047', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '0', '0', '1', '6.91505', '0.408271', '-10.4917', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499432', '1188047', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.381662', '0', '0.924302', '4.15775', '0.40827', '-10.2008', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499433', '1188047', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.93138', '0', '0.364048', '4.35295', '0.408271', '-3.52355', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499434', '1188047', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff', '0', '1', '0', '-3.20013e-08', '4.52126', '0.408271', '2.8083', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499435', '1188047', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '-0.470626', '0', '0.882333', '-1.99625', '0.408271', '-10.2762', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499436', '1188047', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '0.819192', '0', '-0.57352', '0.0520047', '0.408271', '-10.408', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499437', '1188047', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_02.iff', '0', '0.276356', '0', '0.961055', '-1.05786', '0.408271', '-10.7738', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499438', '1188047', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff', '0', '1', '0', '-3.20013e-08', '-7.78023', '0.408271', '2.74667', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499440', '1188047', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0', '0', '0', '1', '2.87745', '0.408271', '2.46957', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499441', '1188047', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0', '0', '0', '1', '-6.05789', '0.408271', '2.50056', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499444', '1188047', 'object/tangible/furniture/modern/shared_armoire_modern_style_01.iff', '0', '0.7071', '0', '0.707113', '-7.90268', '0.408271', '-6.15248', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499494', '1188047', 'object/static/item/shared_item_painting_endor_style_01.iff', '0', '0', '0', '1', '11.1292', '1.53697', '-1.95821', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499495', '1188047', 'object/static/item/shared_item_painting_corellia_style_02.iff', '0', '0', '0', '1', '11.1292', '1.53697', '-5.40738', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188048', '1188045', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499445', '1188048', 'object/tangible/furniture/modern/shared_dining_table_modern_style_01.iff', '0', '0', '0', '1', '-3.66864', '1.00421', '7.08401', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499446', '1188048', 'object/tangible/furniture/modern/shared_rug_oval_lg_s01.iff', '0', '0.7071', '0', '0.707114', '-3.66879', '0.972587', '7.06159', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499449', '1188048', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.754571', '0', '0.656218', '-7.99349', '1.00421', '6.94946', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499450', '1188048', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.366273', '0', '0.930508', '0.670829', '1.00421', '6.94223', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499451', '1188048', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.37092', '0', '0.928665', '-5.64891', '1.00421', '5.18373', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499452', '1188048', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.227977', '0', '0.973666', '-1.9219', '1.00421', '5.14612', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499453', '1188048', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.928369', '0', '0.37166', '-5.54648', '1.00421', '8.71756', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499454', '1188048', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.906534', '0', '-0.422133', '-1.81894', '1.00421', '8.72221', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499457', '1188048', 'object/static/item/shared_item_painting_agrilat_swamp_style_01.iff', '0', '-0.707099', '0', '0.707114', '-3.51837', '1.19395', '11.0049', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499458', '1188048', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '-0.632673', '0', '0.774419', '-10.5102', '1.88965', '3.74518', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499459', '1188048', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0.266731', '0', '0.963771', '-10.4904', '1.88965', '4.4596', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499460', '1188048', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '-0.370921', '0', '0.928665', '-10.5102', '1.88965', '3.97302', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499461', '1188048', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0', '0', '1', '-10.5102', '1.88965', '4.22806', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499462', '1188048', 'object/static/item/shared_item_jar_spice_red.iff', '0', '0.838759', '0', '-0.544503', '-10.5287', '1.88965', '9.47602', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499463', '1188048', 'object/static/item/shared_item_jar_spice_red.iff', '0', '0.501213', '0', '0.865324', '-10.5019', '1.88965', '9.946', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499464', '1188048', 'object/static/item/shared_item_jar_spice_red.iff', '0', '0', '0', '1', '-10.5102', '1.88965', '9.71263', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499465', '1188048', 'object/static/item/shared_item_jar_spice_white.iff', '0', '-0.434966', '0', '0.900447', '-10.5102', '1.88965', '6.21308', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499467', '1188048', 'object/static/item/shared_item_jar_spice_white.iff', '0', '0', '0', '1', '-10.5102', '1.88965', '6.42362', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499468', '1188048', 'object/static/item/shared_item_jar_spice_white.iff', '0', '0.232843', '0', '0.972514', '-10.5102', '1.88965', '6.7235', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499469', '1188048', 'object/static/item/shared_item_jar_spice_red.iff', '0', '0.21823', '0', '0.975897', '-10.5102', '1.88965', '9.25588', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499473', '1188048', 'object/static/item/shared_item_glass_empty.iff', '0', '0', '0', '1', '2.68395', '1.88965', '7.16866', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499474', '1188048', 'object/static/item/shared_item_glass_empty.iff', '0', '0', '0', '1', '2.65982', '1.88965', '6.7136', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499476', '1188048', 'object/static/item/shared_item_glass_empty.iff', '0', '0', '0', '1', '2.82324', '1.88965', '7.05633', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499478', '1188048', 'object/static/item/shared_item_glass_empty.iff', '0', '0', '0', '1', '2.90967', '1.88965', '6.68523', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499479', '1188048', 'object/static/item/shared_item_glass_empty.iff', '0', '0', '0', '1', '2.82324', '1.88965', '6.88819', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499480', '1188048', 'object/static/item/shared_item_glass_empty.iff', '0', '0', '0', '1', '2.60894', '1.88965', '6.95129', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499484', '1188048', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '2.82324', '1.88965', '10.0159', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499485', '1188048', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '2.82259', '1.88965', '9.73143', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499486', '1188048', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '2.79567', '1.88965', '9.36346', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499487', '1188048', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '2.82324', '1.88965', '4.71741', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499488', '1188048', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '2.82324', '1.88965', '5.04488', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499489', '1188048', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '2.82324', '1.88965', '4.32453', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188049', '1188045', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188050', '1188045', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188051', '1188045', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188052', '1188045', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188053', '1188045', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188054', '1188045', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188055', '1188045', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188056', '1188045', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188057', '1188045', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188058', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.319309', '0', '0.947651', '3240.24', '5', '-4800.56', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188063', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '-0.439462', '0', '0.898261', '3296.08', '5', '-4861.93', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188064', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '-0.439461', '0', '0.898261', '3270.03', '5', '-4856.51', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188066', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.324044', '0', '0.946042', '3209.1', '5', '-4839.72', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188067', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.32877', '0', '0.94441', '3213.93', '5', '-4833.34', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188068', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.32877', '0', '0.94441', '3182.88', '5', '-4872.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188069', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.324044', '0', '0.946042', '3178.16', '5', '-4878.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188070', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.32877', '0', '0.94441', '3203.37', '5', '-4846.66', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188071', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.324044', '0', '0.946042', '3198.54', '5', '-4853.04', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188072', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.32877', '0', '0.94441', '3193.43', '5', '-4859.2', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188073', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.324044', '0', '0.946042', '3188.6', '5', '-4865.59', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188074', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.32877', '0', '0.94441', '3223.86', '5', '-4820.8', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188075', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.324044', '0', '0.946042', '3219.03', '5', '-4827.18', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188076', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_01.iff', '0', '0.328769', '0', '0.94441', '3243.02', '5', '-4873.61', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188077', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '-0.439461', '0', '0.898261', '3262.57', '5', '-4865.91', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188079', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_1.iff', '0', '0.328769', '0', '0.94441', '3242.72', '5', '-4915.68', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188080', '0', 'object/static/structure/tatooine/shared_shed_junkshop_watto.iff', '0', '0.328768', '0', '0.944411', '3259.09', '4.91976', '-4921.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188081', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '-0.439461', '0', '0.898261', '3255.86', '5', '-4832.53', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188082', '0', 'object/static/structure/tatooine/shared_shed_junkshop_watto.iff', '0', '-0.434964', '0', '0.900448', '3208.93', '5.08508', '-4882.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188083', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.32877', '0', '0.94441', '3234.42', '5', '-4807.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188084', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.324044', '0', '0.946042', '3229.59', '5', '-4813.85', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188085', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_1.iff', '0', '0.309816', '0', '0.950796', '3223.06', '4.80464', '-4832.05', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188086', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '-0.439461', '0', '0.898261', '3238.47', '5', '-4854.47', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188087', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.434963', '0', '0.900448', '3184.18', '5', '-4883.77', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188088', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.439462', '0', '0.898261', '3190.56', '5', '-4888.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188089', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.434964', '0', '0.900448', '3197.51', '5', '-4894.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188090', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.439462', '0', '0.898261', '3203.89', '5', '-4899.13', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188091', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.439462', '0', '0.898261', '3217.21', '5', '-4909.68', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188092', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.434962', '0', '0.900449', '3210.83', '5', '-4904.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188093', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.439462', '0', '0.898261', '3230.54', '5', '-4920.24', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188094', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.434959', '0', '0.90045', '3224.15', '5', '-4915.44', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188095', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.439462', '0', '0.898261', '3243.75', '5', '-4930.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188096', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.434957', '0', '0.900451', '3237.48', '5', '-4925.99', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188097', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.109765', '0', '0.993958', '3245.99', '5', '-4939.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188099', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.439462', '0', '0.898261', '3270.4', '5', '-4952.08', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188101', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.314567', '0', '0.949235', '3242.44', '5', '-4797.27', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188102', '0', 'object/static/structure/tatooine/shared_wall_gate_tatooine_style_01.iff', '0', '-0.434965', '0', '0.900447', '3250.95', '5', '-4949.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188103', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.42141', '0', '0.90687', '3247.3', '5', '-4946.24', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188104', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.40776', '0', '0.913089', '3254.19', '5', '-4952.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188106', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.30506', '0', '0.952333', '3277.43', '5', '-4926.22', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188107', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.309818', '0', '0.950796', '3281.99', '5', '-4919.64', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188109', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.448422', '0', '0.893822', '3273.93', '5', '-4944.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188112', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.30506', '0', '0.952333', '3267.47', '5', '-4939.99', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188113', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.309818', '0', '0.950796', '3271.97', '5', '-4933.38', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188115', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.470626', '0', '0.882333', '3270.43', '5', '-4942.36', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188116', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.950549', '0', '-0.310573', '3288.68', '5', '-4909.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188117', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.950549', '0', '-0.310573', '3305.79', '5', '-4886.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188118', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.014999', '0', '0.999888', '3275.36', '5', '-4824.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188120', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.902268', '0', '0.431176', '3297.57', '5', '-4851.34', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188122', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.906535', '0', '0.422131', '3303.83', '5', '-4856.8', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188829', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.896405', '0', '0.443234', '3324.96', '5', '-4872.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188830', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.947396', '0', '-0.320064', '3327.82', '5', '-4874.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188831', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.947396', '0', '-0.320064', '3320.9', '5', '-4869.21', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188832', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0.00948718', '0.325532', '-0.00316071', '0.945478', '3353.02', '5', '-4874.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188833', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.902954', '0', '0.429738', '3353.94', '5', '-4874.19', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188834', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0.00447703', '0.898566', '-0.00894163', '0.438724', '3350.16', '5', '-4878.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188838', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.466208', '0', '0.884675', '3274.73', '5', '-4819.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188841', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0.009487', '0.325532', '-0.003161', '0.945478', '3286.46', '5', '-4960.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188842', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '0.237703', '0', '0.971338', '1658.27', '7', '3103.73', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188845', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.220863', '0', '0.975305', '1678.78', '7', '3116.28', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188846', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '0.591323', '0', '0.806435', '1670.14', '7', '3113.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188855', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.962209', '0', '-0.272314', '1706.69', '7', '3087.73', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188856', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.593177', '0', '0.805072', '1707.63', '7', '3085.28', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188857', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '0', '-0.183946', '0', '0.982936', '1705.96', '7', '3086.12', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188858', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '-0.183946', '0', '0.982936', '1705.99', '7', '3086.11', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188859', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.159318', '0', '0.987227', '1706.06', '7', '3084.56', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188860', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.894178', '0', '0.44771', '1704.58', '7', '3087.03', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188861', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.894178', '0', '0.44771', '1722.09', '7', '3087.01', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188862', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '0', '-0.183946', '0', '0.982936', '1723.47', '7', '3086.1', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188863', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '-0.183946', '0', '0.982936', '1723.5', '7', '3086.09', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188864', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.593177', '0', '0.805072', '1725.14', '7', '3085.26', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188865', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.962209', '0', '-0.272314', '1723.5', '7', '3078.46', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188866', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.593177', '0', '0.805072', '1724.44', '7', '3076.01', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188867', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '0', '-0.183946', '0', '0.982936', '1722.77', '7', '3076.85', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188868', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '-0.183946', '0', '0.982936', '1722.8', '7', '3076.84', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188869', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.159318', '0', '0.987227', '1722.88', '7', '3075.29', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188870', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.894178', '0', '0.44771', '1721.39', '7', '3077.76', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188875', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.593177', '0', '0.805072', '1747.07', '7', '3063.69', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188876', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '0', '-0.183946', '0', '0.982936', '1745.4', '7', '3064.52', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188877', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.894178', '0', '0.44771', '1744.02', '7', '3065.44', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188878', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '-0.183946', '0', '0.982936', '1745.43', '7', '3064.51', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188880', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.727999', '0', '-0.685578', '1750.5', '5.05088', '3041.55', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188882', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0', '0', '1', '3258.37', '5', '-4863.87', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188883', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.129633', '0', '0.991562', '3259.15', '5', '-4865.22', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188885', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.992713', '0', '-0.120503', '3258.93', '5', '-4862.25', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188886', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '0', '0', '0', '1', '3258.34', '5', '-4863.85', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188887', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.896406', '0', '0.443234', '3256.99', '5', '-4863.18', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188889', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0', '0', '1', '3267.75', '5', '-4852.67', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188891', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.576958', '0', '0.816774', '3268.27', '5', '-4854.01', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188892', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.992713', '0', '-0.120503', '3268.72', '5', '-4851.2', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188893', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '0', '0', '0', '1', '3267.72', '5', '-4852.65', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188894', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.961275', '0', '0.27559', '3266.18', '5', '-4851.83', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188895', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0.659385', '0', '0.751806', '3271.07', '5', '-4865.23', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188896', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.266732', '0', '0.963771', '3270.05', '5', '-4866.48', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188898', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.66687', '0', '0.745174', '3272.71', '5', '-4865.61', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188899', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '0', '0.659385', '0', '0.751806', '3271.08', '5', '-4865.2', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188900', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.904412', '0', '-0.426659', '3271.55', '5', '-4863.67', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188901', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '1632.6', '7.0155', '2922.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188903', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0', '0', '1', '3318.55', '5', '-4904.75', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188904', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.25708', '0', '0.96639', '3320.09', '5', '-4905.19', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188905', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.576958', '0', '0.816774', '3318.95', '5', '-4906.46', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188906', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.992713', '0', '-0.120503', '3319.43', '5', '-4903.22', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188907', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '0', '0', '0', '1', '3318.52', '5', '-4904.74', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188908', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.961275', '0', '0.27559', '3316.9', '5', '-4903.86', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188915', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0', '0', '1', '3307.63', '5', '-4916.06', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188916', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.434965', '0', '0.900447', '3309.27', '5', '-4916.73', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188917', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.40776', '0', '0.913089', '3307.97', '5', '-4917.68', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188918', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.992713', '0', '-0.120503', '3308.41', '5', '-4914.55', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188919', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '0', '0', '0', '1', '3307.59', '5', '-4916.04', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188920', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.961275', '0', '0.27559', '3305.93', '5', '-4915.28', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188925', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.99999', '0', '0.00419213', '1621.72', '3.92724', '2968.34', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188928', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.714982', '0', '-0.699143', '1621.46', '7', '2960.44', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188929', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.711176', '0', '0.703011', '1609.56', '3.86194', '2932.77', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188932', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.703281', '0', '0.710912', '1597.12', '3.89322', '2933.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188934', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.999875', '0', '-0.015796', '1593.19', '3.97292', '2937.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188941', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '0.375559', '0', '0.926798', '3235.21', '5', '-4572.39', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188942', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0.915437', '0', '-0.402461', '3228.44', '5', '-4578.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188947', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.999957', '0', '0.0092032', '1605.5', '4.21095', '2967.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188948', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.999983', '0', '0.00580181', '1605.2', '7', '2971.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188949', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.999957', '0', '0.0092032', '1605.34', '4.21095', '2976.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188951', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.999983', '0', '-0.00579681', '1621.43', '3.87493', '2940.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188953', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '0.70328', '0', '0.710913', '1630.3', '7', '2981.49', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188958', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.707106', '0', '0.707107', '1599.73', '4.5', '3021.91', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188959', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.707106', '0', '0.707107', '1599.42', '4.5', '3013', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188965', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.999991', '0', '-0.004203', '1606.75', '4.5', '3008.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188976', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '0.707106', '0', '0.707107', '1628.73', '7', '3091.69', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188977', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.703279', '0', '0.710914', '1641.51', '4.5', '3091.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188978', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.710914', '0', '0.703279', '1615.92', '4.5', '3091.42', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188979', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.99995', '0', '0.00999903', '1619.82', '7', '3091.16', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188980', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0.991458', '0', '-0.130424', '1548.27', '7', '3125.04', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188981', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '0', '0', '1', '1559.72', '7', '3097.01', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188982', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_fruit_stand_large_style_01.iff', '0', '0.454102', '0', '0.890949', '1496.55', '7', '3132.83', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188983', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0', '0', '1', '1558', '9', '3213', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188985', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.114747', '0', '0.993395', '3436.24', '5', '-4500.72', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188986', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.92388', '0', '-0.382683', '1552', '9', '3200', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188987', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0', '0', '1', '1547', '9', '3186', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188989', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.8699', '0', '0.493228', '3374.06', '5', '-4501.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188990', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0', '0', '1', '1547', '9', '3170', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188993', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.707107', '0', '0.707107', '1555', '9', '3162', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188994', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.707107', '0', '0.707107', '1571', '9', '3162', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1188995', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.923879', '0', '-0.382684', '1585', '9', '3168', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189000', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.923879', '0', '-0.382684', '1596', '9', '3179', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189001', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.923879', '0', '-0.382684', '1607', '9', '3190', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189012', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0', '0', '1', '1613', '9', '3203', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189013', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0', '0', '1', '1613', '9', '3219', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189014', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0', '0', '1', '1613', '9', '3231', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189015', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0', '0', '1', '1558', '9', '3238', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189016', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.92388', '0', '0.382683', '1552', '9', '3251', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189017', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0', '0', '1', '1547', '9', '3265', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189018', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0', '0', '1', '1547', '9', '3281', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189019', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.707106', '0', '0.707107', '1617', '11', '3254.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189020', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.707106', '0', '0.707107', '1617', '11', '3250', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189021', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.707106', '0', '0.707107', '1612', '11', '3254.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189022', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '-0.707106', '0', '0.707107', '1615', '11', '3254.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189023', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '1', '0', '-1.84353e-06', '1617.25', '11', '3252', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189024', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.382683', '0', '0.92388', '1606.88', '9', '3260.35', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189025', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.382683', '0', '0.92388', '1595.5', '9', '3271.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189026', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.382683', '0', '0.92388', '1584.25', '9', '3283', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189030', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.707106', '0', '0.707108', '1562.75', '9', '3300.25', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189031', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.382681', '0', '0.92388', '1573', '9', '3294.25', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189033', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.382685', '0', '0.923879', '1552.75', '9', '3294.25', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189034', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.006593', '0', '0.999978', '1579.96', '11', '3162.69', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189035', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.381661', '0', '0.924302', '1601.65', '11', '3265.87', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189036', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.248947', '0', '0.968517', '1567.52', '11', '3299.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189037', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.128054', '0', '0.991767', '1558.78', '11', '3300.59', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189038', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.006593', '0', '0.999978', '1547.35', '11', '3289.25', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189039', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.006593', '0', '0.999978', '1547.27', '11', '3257.54', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189040', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.006593', '0', '0.999978', '1558.28', '11', '3246.08', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189043', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.376584', '0', '0.926382', '1590.81', '11', '3174.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189044', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.376584', '0', '0.926383', '1601.54', '11', '3184.87', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189046', '0', 'object/static/item/shared_item_crate_clothing_small.iff', '0', '0.999168', '0', '-0.040785', '3506.84', '5', '-4811.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189047', '0', 'object/static/item/shared_item_raw_cloth.iff', '0', '0.999983', '0', '-0.00579647', '3506.66', '5.72733', '-4811.18', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189048', '0', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '0', '0', '1', '3521.01', '5', '-4773.86', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189050', '0', 'object/static/item/shared_item_rifle.iff', '0.435956', '0.405091', '0.558951', '-0.577422', '3550.64', '5.13509', '-4709.36', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189051', '0', 'object/static/item/shared_item_rifle.iff', '0.623638', '0.623638', '0.333279', '0.33328', '3550.2', '6.17005', '-4708.84', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189052', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '3550.64', '5', '-4708.63', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189053', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.997836', '0', '-0.065749', '3551.58', '5', '-4709.13', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189054', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.945784', '0', '-0.324796', '3538.29', '5', '-4692.66', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189058', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.49688', '0', '0.867819', '3539.02', '5', '-4693.65', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189062', '0', 'object/static/item/shared_item_carbine_dh17.iff', '-0.345194', '0.345193', '0.617124', '-0.617124', '3539.07', '5.895', '-4693.9', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189064', '0', 'object/static/item/shared_item_carbine_dh17.iff', '0.516999', '-0.516998', '-0.482404', '0.482403', '3539.18', '5.895', '-4693.5', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189065', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0', '0', '1', '3536.71', '5', '-4691.38', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189068', '0', 'object/tangible/instrument/shared_mandoviol.iff', '-0.496855', '0.00496872', '-0.00867805', '0.867776', '3394.43', '5.94868', '-4793.8', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189072', '0', 'object/static/item/shared_item_jar_berries.iff', '0', '0', '0', '1', '3394.41', '5.72733', '-4794.02', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189073', '0', 'object/tangible/instrument/shared_fizz.iff', '-0.168081', '0.168081', '0.68684', '-0.68684', '3393.97', '5.75895', '-4793.25', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189077', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.632673', '0', '0.774419', '3359.71', '5', '-4838.6', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189078', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.49688', '0', '0.867819', '3358.92', '5', '-4838.67', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189079', '0', 'object/static/item/shared_item_pistol.iff', '0.375605', '0.375605', '0.5991', '0.5991', '3358.71', '5.895', '-4838.76', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189080', '0', 'object/static/item/shared_item_pistol.iff', '0.512148', '-0.512148', '-0.487549', '0.487549', '3359.25', '5.895', '-4838.66', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189081', '0', 'object/static/item/shared_item_pistol.iff', '-0.604374', '0.604374', '0.367058', '-0.367059', '3359.1', '5.895', '-4838.84', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189083', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '1213.8', '4', '3274.24', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189084', '0', 'object/static/item/shared_item_rifle.iff', '0.623638', '0.623638', '0.333279', '0.33328', '1213.36', '5.17005', '3274.02', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189085', '0', 'object/static/item/shared_item_rifle.iff', '0.435956', '0.405091', '0.558951', '-0.577422', '1213.8', '4.13509', '3273.51', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189088', '0', 'object/static/item/shared_item_carbine_dh17.iff', '-0.345194', '0.345193', '0.617124', '-0.617124', '1208.27', '4.895', '3273.86', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189089', '0', 'object/static/item/shared_item_carbine_dh17.iff', '0.516999', '-0.516998', '-0.482404', '0.482403', '1208.37', '4.895', '3274.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189090', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.49688', '0', '0.867819', '1208.22', '4', '3274.12', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189092', '0', 'object/static/structure/general/shared_data_terminal_free_s1.iff', '0', '0.873133', '0', '0.487482', '1207.58', '4', '3275.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189094', '0', 'object/static/structure/general/shared_data_terminal_s3.iff', '0', '0', '0', '1', '1247.97', '4', '3243.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189096', '0', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '0.902268', '0', '-0.431177', '1369.53', '11', '3159.89', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189173', '0', 'object/building/tatooine/shared_fort_tusken.iff', '9.46062e-05', '1', '0.000151986', '0.000797477', '-3967.14', '22.3141', '6239.76', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189174', '1189173', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189175', '1189173', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189176', '1189173', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189177', '1189173', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189178', '1189173', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '7875792', '1189178', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0.0685275', '0.606487', '-0.0337772', '0.791414', '-0.358753', '8.52015', '-35.1524', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189179', '1189173', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189180', '1189173', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189181', '1189173', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189182', '1189173', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '7875791', '1189182', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0.0637313', '0.894837', '-0.0745093', '0.435492', '16.2579', '22.4432', '8.15394', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189183', '1189173', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '4015451', '1189183', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_rebel_assassination_01.iff', '-0.12962', '-0.00194444', '0.0148729', '0.99145', '11.6287', '22.7183', '-20.6719', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189184', '1189173', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189185', '1189173', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '491', '1189185', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.375559', '0', '0.926798', '-18.3814', '30.9215', '18.6486', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '497', '1189185', 'object/static/item/shared_wp_mle_baton_gaderiffi.iff', '0', '0', '0.706824', '0.707389', '-18.3096', '32.0935', '18.1793', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '134361', '1189185', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0.0185717', '0.926912', '-0.00731994', '-0.374749', '-5.11511', '28.2269', '21.694', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '134362', '1189185', 'object/static/structure/general/shared_skeleton_bith_head.iff', '-0.0831607', '0.780162', '0.0110422', '-0.619927', '-5.44826', '29.4056', '21.5181', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '134363', '1189185', 'object/static/structure/general/shared_skeleton_human_head.iff', '0.0407614', '0.874034', '0.0744723', '-0.478391', '-5.78625', '28.2803', '21.9567', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189186', '1189173', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189187', '1189173', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189188', '1189173', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189189', '1189173', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189190', '1189173', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '7875788', '1189190', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0.945784', '0', '-0.324796', '33.8116', '37.942', '-14.8265', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189191', '1189173', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189192', '1189173', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189193', '1189173', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '7875789', '1189193', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0', '0', '1', '29.0921', '43.9575', '-32.926', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189194', '1189173', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189195', '1189173', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '7875790', '1189195', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0.398609', '0', '0.917121', '13.491', '37.942', '-1.80561', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189196', '1189173', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189200', '0', 'object/static/terrain/tatooine/shared_rock_spire_skinny_tatooine.iff', '0', '0', '0', '1', '-3549.35', '14.5881', '7317.02', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189202', '0', 'object/static/terrain/tatooine/shared_rock_spire_skinny_tatooine.iff', '0', '0', '0', '1', '-3838.68', '37.6118', '6496.21', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189203', '0', 'object/static/terrain/tatooine/shared_rock_spire_smooth_tatooine_style_1.iff', '0', '0', '0', '1', '-3820.1', '53.3576', '6462.44', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189205', '0', 'object/static/terrain/tatooine/shared_rock_spire_lumpy_tatooine.iff', '0', '0', '0', '1', '-4464.5', '10.2772', '7483.43', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189206', '0', 'object/static/terrain/tatooine/shared_rock_spire_lumpy_tatooine_style_2.iff', '0', '0', '0', '1', '-4444.68', '9.22242', '7444.26', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189207', '0', 'object/static/terrain/tatooine/shared_rock_arch_large_tatooine_style_1.iff', '0', '0.593177', '0', '0.805072', '-163.315', '0', '3968.34', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189208', '0', 'object/static/terrain/tatooine/shared_rock_mushroom_tatooine_style_1.iff', '0', '0', '0', '1', '-203.423', '0', '4045.29', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189209', '0', 'object/static/terrain/tatooine/shared_rock_arch_medium_tatooine_style_1.iff', '0', '0.572867', '0', '0.819648', '-222.942', '0.019577', '4111.69', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189210', '0', 'object/static/terrain/tatooine/shared_rock_arch_large_tatooine_style_1.iff', '0', '0.717356', '0', '0.696707', '-453.422', '0', '3987.77', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189211', '0', 'object/static/terrain/tatooine/shared_rock_spire_smooth_tatooine_style_1.iff', '0', '0', '0', '1', '-607.855', '-8e-06', '3960.72', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189212', '0', 'object/static/terrain/tatooine/shared_rock_spire_skinny_tatooine_style_1.iff', '0', '0', '0', '1', '-644.504', '0', '3839.59', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189213', '0', 'object/static/terrain/tatooine/shared_rock_arch_large_tatooine_style_1.iff', '0', '0.548024', '0', '0.836463', '-226.971', '0', '3733.76', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189214', '0', 'object/static/terrain/tatooine/shared_rock_arch_medium_tatooine_style_1.iff', '0', '0.767543', '0', '-0.640997', '-184.481', '0', '3593.5', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189215', '0', 'object/static/terrain/tatooine/shared_rock_arch_small_tatooine_style_1.iff', '0', '0.556361', '0', '0.830941', '-204.796', '0', '3662.4', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189216', '0', 'object/static/terrain/tatooine/shared_rock_spire_skinny_tatooine_style_1.iff', '0', '0', '0', '1', '-175.704', '0.171234', '3550.33', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189217', '0', 'object/static/terrain/tatooine/shared_rock_spire_smooth_tatooine_style_1.iff', '0', '0', '0', '1', '-171.388', '0', '3513.99', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189218', '0', 'object/static/terrain/tatooine/shared_rock_arch_large_tatooine_style_1.iff', '0', '0.518418', '0', '0.855127', '13.2961', '0', '4044.65', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189219', '0', 'object/static/terrain/tatooine/shared_rock_spire_smooth_tatooine.iff', '0', '0', '0', '1', '42.4232', '0', '3998.17', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189220', '0', 'object/static/terrain/tatooine/shared_rock_spire_skinny_tatooine.iff', '0', '0', '0', '1', '-34.3171', '4e-06', '4127.37', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189221', '0', 'object/static/terrain/tatooine/shared_rock_spire_lumpy_tatooine_style_2.iff', '0', '0', '0', '1', '-88.3202', '0', '4151.32', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189222', '0', 'object/static/terrain/tatooine/shared_rock_spire_skinny_tatooine.iff', '0', '0', '0', '1', '85.1234', '0', '3941.82', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189223', '0', 'object/static/terrain/tatooine/shared_rock_mushroom_tatooine_style_1.iff', '0', '0', '0', '1', '937.064', '-30', '5661.36', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189225', '0', 'object/static/terrain/tatooine/shared_rock_mushroom_tatooine_style_1.iff', '0', '0', '0', '1', '842.267', '-30', '5593.44', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189226', '0', 'object/static/terrain/tatooine/shared_rock_mushroom_tatooine_style_1.iff', '0', '0', '0', '1', '957.199', '-30', '5407.2', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189227', '0', 'object/static/terrain/tatooine/shared_rock_mushroom_tatooine_style_1.iff', '0', '0', '0', '1', '1131.34', '-30', '5334.11', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189228', '0', 'object/static/terrain/tatooine/shared_rock_spire_smooth_tatooine.iff', '0', '0', '0', '1', '1129.08', '-29.9482', '5441.69', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189229', '0', 'object/static/terrain/tatooine/shared_rock_spire_smooth_tatooine.iff', '0', '0', '0', '1', '1053.59', '-29.3832', '5680.97', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189232', '0', 'object/static/terrain/tatooine/shared_rock_spire_smooth_tatooine.iff', '0', '0', '0', '1', '2418.11', '0.978851', '4632.65', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189233', '0', 'object/static/terrain/tatooine/shared_rock_spire_skinny_tatooine.iff', '0', '0', '0', '1', '2422.05', '0.332954', '4593.55', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189234', '0', 'object/static/terrain/tatooine/shared_rock_spire_skinny_tatooine.iff', '0', '0', '0', '1', '2713.94', '0.454437', '4564.83', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189239', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_03.iff', '0', '0.692536', '0', '0.721383', '-1460.64', '10', '-3759.29', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189242', '0', 'object/static/structure/tatooine/shared_tent_house_tatooine_style_01.iff', '0', '0.319308', '0', '0.947651', '-1421.66', '10', '-3761.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189243', '0', 'object/static/structure/tatooine/shared_tent_house_tatooine_style_01.iff', '0', '-0.247405', '0', '0.968912', '-1435.74', '10', '-3761.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189244', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.989125', '0', '0.147077', '-1429.11', '10', '-3754.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189245', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '0', '0.97033', '0', '0.241784', '-1443.97', '10.1272', '-3752.79', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189246', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_2.iff', '0', '0', '0', '1', '-1434.75', '10', '-3833.49', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189315', '0', 'object/building/tatooine/shared_filler_building_block_64x16_style_02.iff', '0', '0.958016', '0', '-0.286713', '3274.72', '5', '-4575.28', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189322', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0.944149', '0', '-0.32952', '3252.92', '5', '-4539.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189323', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.316077', '0', '0.948733', '3261.58', '5', '-4544.35', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189324', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '-0.443949', '0', '0.896052', '3257.41', '5', '-4541.58', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189335', '0', 'object/building/tatooine/shared_filler_building_block_64x16_style_01.iff', '0', '0.293999', '0', '0.955806', '3287.89', '5', '-4554.05', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189385', '0', 'object/building/tatooine/shared_housing_tatt_style01_small.iff', '0', '-0.487134', '0', '0.873327', '3322.76', '5', '-4553.21', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189386', '1189385', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1503346', '1189386', 'object/tangible/furniture/cheap/shared_armoire_s01.iff', '0', '-0.707101', '0', '0.707112', '5.14149', '0.251033', '5.72963', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1503347', '1189386', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.707107', '0', '0.707107', '5.1954', '0.25062', '4.25532', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1503348', '1189386', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '1', '0', '3.20013e-08', '2.88165', '0.252171', '3.41749', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1503349', '1189386', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '-0.314567', '0', '0.949235', '4.20813', '0.252897', '3.68724', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189387', '1189385', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1503366', '1189387', 'object/static/structure/general/shared_data_terminal_wall_s1.iff', '0', '1', '0', '3.20013e-08', '-4.10508', '0.225954', '6.54242', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189388', '1189385', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1498880', '1189385', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1498881', '1189385', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1498882', '1189385', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1498883', '1189385', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1498884', '1189385', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1498885', '1189385', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1498886', '1189385', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1503350', '1498886', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s1.iff', '0', '0.717356', '0', '-0.696707', '-0.578463', '-0.378217', '-1.19396', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1503351', '1498886', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '1', '0', '-3.20013e-08', '-1.28324', '-0.378217', '-0.560695', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1503352', '1498886', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '-0.707101', '0', '0.707112', '-4.98394', '-0.378217', '-4.54763', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1503353', '1498886', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.42594', '0', '0.904752', '-4.52511', '-0.378217', '-5.73073', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1503354', '1498886', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '1', '0', '-3.20013e-08', '-2.92712', '-0.378217', '-6.25861', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1503355', '1498886', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '0', '0', '1', '-0.889431', '-0.378217', '-6.0169', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1503356', '1498886', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '-0.707101', '0', '0.707112', '5.18924', '-0.378217', '-4.34054', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1503357', '1498886', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0', '0', '1', '3.08985', '-0.378217', '-6.29331', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1503358', '1498886', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '-0.443948', '0', '0.896052', '4.70265', '-0.378217', '-5.88941', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1503359', '1498886', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '-0.443948', '0', '0.896052', '4.70265', '-0.378217', '-5.88941', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1503360', '1498886', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '-0.443948', '0', '0.896052', '4.70265', '-0.378217', '-5.88941', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1503362', '1498886', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s2.iff', '0', '0', '0', '1', '5.17635', '0.26744', '2.45329', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1503365', '1498886', 'object/tangible/furniture/modern/shared_rug_oval_sml_s01.iff', '0', '-0.707101', '0', '0.707112', '-1.39897', '-0.378217', '-3.88088', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189418', '0', 'object/building/tatooine/shared_housing_tatt_style01_small.iff', '0', '0.878155', '0', '0.478377', '3297.76', '5', '-4540.64', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189419', '1189418', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1504445', '1189419', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '0.00318491', '0', '0.999995', '2.25314', '0.251386', '3.26651', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1504446', '1189419', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.00318423', '0', '0.999995', '3.49182', '0.256014', '6.27721', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1504447', '1189419', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.882812', '0', '-0.469726', '4.88062', '0.251821', '5.92835', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1504448', '1189419', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.0631424', '0', '0.998005', '4.89548', '0.251299', '3.8218', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1504449', '1189419', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '-0.16111', '0', '0.986936', '4.4206', '0.251394', '3.26807', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1504450', '1189419', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.835028', '0', '0.550207', '5.19346', '0.250634', '4.45368', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1504451', '1189419', 'object/static/structure/general/shared_data_terminal_wall_s1.iff', '0', '-0.0118219', '0', '0.99993', '-1.2769', '0.250034', '3.06015', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189420', '1189418', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1513355', '1189420', 'object/static/item/shared_item_bowl_plain.iff', '0', '0', '0', '1', '-1.99345', '1.20817', '1.36993', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1513356', '1189420', 'object/static/item/shared_item_bread_loaf.iff', '0', '0', '0', '1', '-1.99321', '1.20818', '1.35734', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1513359', '1189420', 'object/static/item/shared_item_jar_empty.iff', '0', '0', '0', '1', '-1.97925', '1.20853', '0.611195', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189421', '1189418', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1498873', '1189418', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1498874', '1189418', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1498875', '1189418', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1498876', '1189418', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1498877', '1189418', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1498878', '1189418', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1498879', '1189418', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1504456', '1498879', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '0.999999', '0', '-0.00159275', '-1.24953', '-0.378217', '-0.544055', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1504457', '1498879', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '-0.44252', '0', '0.896759', '4.71933', '-0.378217', '-5.89161', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1504458', '1498879', 'object/tangible/furniture/modern/shared_rug_oval_sml_s01.iff', '0', '0.00159269', '0', '0.999999', '-1.06541', '-0.378217', '-3.29635', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1504459', '1498879', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s2.iff', '0', '0.00159327', '0', '0.999999', '5.16474', '0.203884', '2.35205', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1504460', '1498879', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s1.iff', '0', '0.716245', '0', '-0.697848', '-0.547089', '-0.378217', '-1.17926', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1504461', '1498879', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '-0.705979', '0', '0.708233', '-4.96282', '-0.378217', '-4.51927', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1504462', '1498879', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.42738', '0', '0.904072', '-4.50772', '-0.378217', '-5.70351', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1504463', '1498879', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.999999', '0', '-0.00159275', '-2.91172', '-0.378217', '-6.23658', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1504464', '1498879', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '0.00159327', '0', '0.999999', '-0.873156', '-0.378217', '-6.00114', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1504465', '1498879', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '-0.705979', '0', '0.708233', '5.21047', '-0.378217', '-4.34403', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1504466', '1498879', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0.00159327', '0', '0.999999', '3.10545', '-0.378217', '-6.29055', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1504467', '1498879', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '-0.44252', '0', '0.896759', '4.71933', '-0.378217', '-5.89161', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1504468', '1498879', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '-0.44252', '0', '0.896759', '4.71933', '-0.378217', '-5.89161', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1678117', '1498879', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0', '0', '1', '4.38378', '-0.378217', '-3.16453', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189507', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0.896406', '0', '0.443234', '3257.73', '5', '-4532.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189508', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.882707', '0', '0.469923', '3263.09', '5', '-4525.34', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189509', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '0.950549', '0', '-0.310573', '3260.13', '5', '-4528.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189514', '0', 'object/building/tatooine/shared_filler_building_block_64x16_style_02.iff', '0', '0.959438', '0', '-0.281919', '3333.05', '5', '-4659.65', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189522', '0', 'object/building/tatooine/shared_filler_building_block_64x16_style_01.iff', '0', '0.308305', '0', '0.951288', '3197.57', '5', '-4760.84', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189526', '0', 'object/building/tatooine/shared_filler_building_block_64x16_style_02.iff', '0', '-0.46178', '0', '0.886995', '3204.69', '5', '-4715.23', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189532', '0', 'object/building/tatooine/shared_filler_building_block_64x16_style_01.iff', '0', '0.289216', '0', '0.957264', '3206.52', '5', '-4658.59', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189542', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.994924', '0', '0.100626', '3443.77', '5', '-4499.91', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189550', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '-0.114747', '0', '0.993395', '3452.62', '5', '-4496.77', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189571', '0', 'object/building/tatooine/shared_guild_university_tatooine_style_01.iff', '0', '0.880346', '0', '0.474332', '3340.03', '5', '-4704.02', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189572', '1189571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189573', '1189571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189574', '1189571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189575', '1189571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189576', '1189571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189577', '1189571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189578', '1189571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189579', '1189571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189580', '1189571', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189581', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '0.958016', '0', '-0.286715', '3364.9', '5', '-4737.2', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189582', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.959437', '0', '-0.281922', '3362.15', '5', '-4741.38', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189583', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '0.958016', '0', '-0.286715', '3380.28', '5', '-4713.8', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189584', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.959437', '0', '-0.281922', '3382.48', '5', '-4710.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189585', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.958016', '0', '-0.286715', '3368.19', '5', '-4732.19', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189586', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.958016', '0', '-0.286715', '3376.98', '5', '-4718.82', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189587', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.999816', '0', '0.0192023', '3375.96', '5', '-4722.99', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189588', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.824886', '0', '-0.5653', '3371.58', '5', '-4729.56', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189589', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.958016', '0', '-0.286715', '3374.82', '5', '-4727.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189590', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.880348', '0', '0.474328', '3360.48', '5', '-4740.28', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189591', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.880349', '0', '0.474326', '3357.13', '5', '-4738.08', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189592', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.880351', '0', '0.474324', '3353.79', '5', '-4735.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189593', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.959437', '0', '-0.281922', '3351.29', '5', '-4734.24', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189594', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.959437', '0', '-0.281922', '3371.61', '5', '-4703.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189595', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.88035', '0', '0.474325', '3381.07', '5', '-4708.96', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189596', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.880351', '0', '0.474322', '3377.73', '5', '-4706.76', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189597', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.880352', '0', '0.474321', '3374.38', '5', '-4704.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189598', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_03.iff', '0', '-0.478027', '0', '0.878345', '3409.23', '5', '-4691.85', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189600', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_03.iff', '0', '-0.468516', '0', '0.883455', '3316.84', '5', '-4689.66', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189603', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.285952', '0', '0.958244', '3370.24', '5', '-4730.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189604', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.285952', '0', '0.958244', '3374.3', '5', '-4729.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189605', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.285952', '0', '0.958244', '3376.97', '5', '-4725.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189606', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.285952', '0', '0.958244', '3376.83', '5', '-4720.58', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189607', '0', 'object/static/structure/tatooine/shared_guild_statue_free_style_01.iff', '0', '0.884304', '0', '0.466913', '3485.88', '5', '-4708.11', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189630', '0', 'object/building/tatooine/shared_guild_combat_tatooine_style_01.iff', '0', '0.879211', '0', '0.476432', '3466', '5', '-4675.41', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189631', '1189630', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189632', '1189630', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189633', '1189630', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189634', '1189630', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189635', '1189630', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189636', '1189630', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189637', '1189630', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189638', '1189630', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189639', '1189630', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189647', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.475733', '0', '0.87959', '3507.12', '2.79188', '-4676.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189652', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.475733', '0', '0.87959', '3484.11', '2.92709', '-4712.4', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189657', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.475733', '0', '0.87959', '3470.59', '2.92709', '-4703.58', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189660', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.475733', '0', '0.87959', '3493.64', '2.79188', '-4667.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189661', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.958241', '0', '-0.285961', '3484.07', '2.79188', '-4666.33', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189688', '0', 'object/building/tatooine/shared_filler_building_block_64x16_style_02.iff', '0', '0.942489', '0', '-0.334236', '3410.36', '5', '-5060.06', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189692', '0', 'object/building/tatooine/shared_filler_building_block_64x16_style_01.iff', '0', '0.900793', '0', '0.434248', '3481.78', '5', '-5025.69', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189776', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '0', '-0.0299955', '0', '0.99955', '50.1677', '0', '-5554.41', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189780', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.727726', '0', '-0.685868', '51.3999', '0', '-5554.57', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189782', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '-0.0299955', '0', '0.99955', '50.1763', '0', '-5554.5', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1189783', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.999526', '0', '-0.0307915', '50.2343', '0', '-5553.28', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1198830', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.425939', '0', '0.904752', '3489.1', '5', '-4998.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1198831', '0', 'object/building/tatooine/shared_parking_garage_tatooine_style_1.iff', '0', '0.900793', '0', '0.434248', '3371.11', '5', '-4964.09', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1198843', '0', 'object/building/tatooine/shared_bank_tatooine.iff', '0', '0.331317', '0', '0.943519', '3499.14', '5', '-4944.29', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1198844', '0', 'object/building/tatooine/shared_filler_building_block_64x16_style_01.iff', '0', '0.331317', '0', '0.943519', '3536.58', '5', '-4911.83', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1198848', '0', 'object/building/tatooine/shared_filler_building_block_64x16_style_02.iff', '0', '0.903599', '0', '0.42838', '3533.86', '5', '-4968.2', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1198958', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.945782', '0', '-0.324802', '3369.37', '5', '-4933.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1198960', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.328769', '0', '0.94441', '3577.87', '5', '-4929.19', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1198968', '0', 'object/building/tatooine/shared_filler_building_block_64x16_style_02.iff', '0', '0.993656', '0', '0.11246', '3684', '5', '-4875.84', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1198972', '0', 'object/building/tatooine/shared_filler_building_block_64x16_style_02.iff', '0', '0.996738', '0', '-0.0807063', '3628.88', '5', '-4718.22', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1198996', '0', 'object/building/tatooine/shared_filler_building_block_64x16_style_01.iff', '0', '0.288537', '0', '0.957469', '3516.14', '5', '-4666.37', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199000', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_05.iff', '0', '0.999468', '0', '0.0326052', '3707.6', '5', '-4723.27', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199032', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.958242', '0', '-0.28596', '3465.78', '2.92709', '-4695.59', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199036', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.462486', '0', '0.886627', '3513.63', '2.79188', '-4679.96', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199037', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.462486', '0', '0.886627', '3500.17', '2.79188', '-4671.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199038', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.462486', '0', '0.886627', '3486.49', '2.79188', '-4662.2', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199039', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.462486', '0', '0.886627', '3490.65', '2.92709', '-4716.44', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199040', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.462486', '0', '0.886627', '3477.01', '2.92709', '-4707.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199041', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.462486', '0', '0.886627', '3463.43', '2.92709', '-4698.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199114', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.932039', '0', '-0.362359', '3458.17', '5', '-5100.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199127', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.902953', '0', '0.429739', '3389', '5', '-4938.38', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199139', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.896406', '0', '0.443235', '3369.07', '5', '-4984.18', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199140', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.42594', '0', '0.904751', '3383.35', '5', '-5014.35', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199142', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '-0.433533', '0', '0.901138', '3349.12', '5', '-4964.16', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199143', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.333487', '0', '0.942755', '3408.71', '5', '-5049.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199148', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.443949', '0', '0.896052', '3572.7', '5', '-4934.41', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199149', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '0.328769', '0', '0.94441', '3513.47', '5', '-5001.04', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199150', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.439463', '0', '0.898261', '3515.93', '5', '-4996.77', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199152', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '-0.448423', '0', '0.893821', '3570.08', '5', '-4932.59', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199154', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.945784', '0', '-0.324796', '3577.53', '5', '-4928.35', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199160', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.900792', '0', '0.434248', '3345.24', '5', '-4863.25', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199162', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.896405', '0', '0.443234', '3382.24', '5', '-4873.2', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199163', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.902952', '0', '0.429739', '3373.78', '5', '-4883.17', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199164', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.896405', '0', '0.443234', '3402.07', '5', '-4888.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199166', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.907205', '0', '0.420688', '3387.33', '5', '-4903.62', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199167', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0.009487', '0.325532', '-0.003161', '0.945478', '3387.23', '5', '-4897.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199168', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0.004477', '0.898566', '-0.008942', '0.438724', '3384.37', '5', '-4901.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199170', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '-0.00357716', '0.282672', '-0.00933845', '0.959165', '3411', '3.03727', '-4709.24', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199172', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '-0.003577', '0.282672', '-0.00933801', '0.959164', '3424.37', '5', '-4685.2', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199173', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0.00407', '-0.478005', '-0.009134', '0.8783', '3425.13', '5', '-4686.21', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199175', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '0.959438', '0', '-0.281921', '3349.93', '5', '-4683.68', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199176', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '-0.003577', '0.282672', '-0.00933801', '0.959164', '3348.39', '5', '-4687.38', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199177', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '-0.00362364', '0.277872', '-0.00931999', '0.960566', '3353.15', '4.99897', '-4679.8', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199178', '0', 'object/static/structure/tatooine/shared_wall_gate_tatooine_style_01.iff', '0', '0.95209', '0', '-0.305817', '3248.5', '5', '-4676.36', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199180', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.95209', '0', '-0.305817', '3250.67', '5', '-4673.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199181', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0', '0', '1', '3866.73', '23.8231', '2369.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199182', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '-0.692538', '0', '0.721382', '3858.4', '23.84', '2362.73', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199183', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.479425', '0', '0.877583', '3246.16', '5', '-4679.08', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199185', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.29074', '0', '0.956802', '3239.8', '5', '-4674.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199186', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.470624', '0', '0.882334', '3242.81', '5', '-4677.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199187', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.959437', '0', '-0.281921', '3253.55', '5', '-4669.27', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199188', '0', 'object/static/structure/tatooine/shared_wall_gate_tatooine_style_01.iff', '0', '0.95209', '0', '-0.305817', '3302.03', '5', '-4603.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199189', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.955101', '0', '-0.296281', '3298.9', '5', '-4607.73', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199190', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.95209', '0', '-0.305817', '3304.21', '5', '-4600.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199191', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.479425', '0', '0.877583', '3309.56', '5', '-4592.55', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199192', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.959437', '0', '-0.281921', '3296.97', '5', '-4611.19', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199194', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.470624', '0', '0.882334', '3306.21', '5', '-4590.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199195', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.959437', '0', '-0.281921', '3307.09', '5', '-4596.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199196', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '3866.84', '27.8323', '2362.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199197', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.479425', '0', '0.877583', '3303.99', '5', '-4588.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199198', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.479425', '0', '0.877583', '3297.18', '5', '-4610.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199199', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0.999983', '0', '-0.00579405', '3841.44', '16.4036', '2333.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199200', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0.710353', '0', '-0.703845', '3833.35', '16.2876', '2341.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199201', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.710353', '0', '-0.703845', '3841.33', '20.3092', '2341.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199232', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.260372', '0', '0.965508', '3342.31', '5.02172', '-4501.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199233', '0', 'object/static/structure/tatooine/shared_tent_house_tatooine_style_01.iff', '0', '0.868215', '0', '0.496189', '3286.15', '5', '-4523.34', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199234', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '-0.39861', '0', '0.917121', '3281.94', '4.99899', '-4532.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199235', '0', 'object/static/structure/tatooine/shared_tent_house_tatooine_style_01.iff', '0', '0.980893', '0', '0.194548', '3360.16', '5.01503', '-4507.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199236', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.833272', '0', '-0.552862', '3296.29', '5', '-4507.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199237', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.425938', '0', '0.904752', '3309.13', '5', '-4507.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199238', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0.281157', '0', '0.959662', '3339.81', '5', '-4524.79', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199831', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.953607', '0', '-0.301055', '3180.95', '5', '-4741.08', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199833', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.95657', '0', '-0.291504', '3186.77', '5', '-4743.68', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199835', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '-0.46178', '0', '0.886994', '3227.69', '5', '-4786.29', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199836', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.955101', '0', '-0.296281', '3230.52', '5', '-4789.18', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199838', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.95657', '0', '-0.291504', '3233.58', '5', '-4785.26', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199839', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.948985', '0', '-0.315322', '3231.47', '3.98647', '-4772.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199840', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.316078', '0', '0.948733', '3231.21', '3.72829', '-4774.54', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199841', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.948985', '0', '-0.315322', '3238.09', '3.98647', '-4777.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199842', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.316078', '0', '0.948733', '3237.83', '3.82052', '-4779.49', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199843', '0', 'object/static/structure/tatooine/shared_tent_house_tatooine_style_01.iff', '0', '-0.257081', '0', '0.96639', '-1044.43', '10', '-3531.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199844', '0', 'object/static/structure/tatooine/shared_tent_house_tatooine_style_01.iff', '6.94851e-08', '0.375559', '1.12448e-07', '0.926799', '-1017.21', '10', '-3531.59', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199847', '0', 'object/static/structure/tatooine/shared_wall_gate_tatooine_style_01.iff', '0', '0.958016', '0', '-0.286715', '3184.8', '5', '-4635.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199849', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '1', '0', '-0.000796394', '-1054.23', '10', '-3524.08', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199850', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '0', '0', '1', '-1053.68', '10', '-3539.86', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199851', '0', 'object/static/structure/tatooine/shared_wall_damaged_tatooine_large_style_01.iff', '0', '0', '0', '1', '-1053.69', '10', '-3531.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199852', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '0', '0', '1', '-1053.6', '10.2913', '-3550.86', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199853', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '0.927097', '0', '-0.374821', '-1047.36', '10', '-3513.17', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199854', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '0.789504', '0', '-0.613746', '-1022.76', '10', '-3499.18', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199856', '0', 'object/static/structure/tatooine/shared_wall_damaged_tatooine_large_style_01.iff', '0', '0.613117', '0', '0.789992', '-1030.18', '10', '-3501.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199857', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '0.717356', '0', '-0.696707', '-1006.35', '10', '-3497.96', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199858', '0', 'object/static/structure/tatooine/shared_wall_damaged_tatooine_large_style_01.iff', '0', '0.696135', '0', '0.717911', '-1014.13', '10', '-3498.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199859', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.747971', '0', '0.663731', '-978.576', '10', '-3575.17', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199860', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '-0.66314', '0', '0.748495', '-986.365', '10', '-3573.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199861', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '0.747971', '0', '0.663731', '-1002.1', '10', '-3572.41', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199862', '0', 'object/static/structure/tatooine/shared_wall_damaged_tatooine_large_style_01.iff', '0', '0.747971', '0', '0.663731', '-994.174', '10', '-3573.35', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199863', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '0.747971', '0', '0.663731', '-1013.04', '10.1588', '-3571.18', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199864', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '1', '0', '3.20013e-08', '3283.82', '5', '-4683.34', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199866', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.872745', '0', '0.488177', '3283.69', '5', '-4682.03', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199867', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.22233', '0', '0.974971', '3283.77', '5', '-4684.74', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199868', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '0', '1', '0', '3.20013e-08', '3283.85', '5', '-4683.35', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199870', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '1', '0', '3.20013e-08', '3295.65', '5', '-4686.6', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199871', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.768054', '0', '0.640385', '3294.03', '5', '-4686.99', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199872', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.972514', '0', '0.232843', '3295.53', '5', '-4685.13', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199874', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '0', '1', '0', '3.20013e-08', '3295.68', '5', '-4686.61', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199875', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.425218', '0', '0.905091', '3297.02', '5', '-4687.14', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199876', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '1', '0', '3.20013e-08', '3289.92', '5', '-4668.79', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199877', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.900447', '0', '0.434965', '3288.78', '5', '-4668.02', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199880', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '0', '1', '0', '3.20013e-08', '3289.95', '5', '-4668.8', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199881', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.27559', '0', '0.961275', '3291.1', '5', '-4669.65', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199882', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '1', '0', '3.20013e-08', '3313.17', '5', '-4673.99', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199883', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.289977', '0', '0.957034', '3312.52', '5', '-4675.16', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199886', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '0', '1', '0', '3.20013e-08', '3313.2', '5', '-4674.01', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199888', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '1', '0', '3.20013e-08', '3301.89', '5', '-4680.17', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199889', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.900447', '0', '0.434965', '3300.54', '5', '-4679.5', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199890', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.970137', '0', '-0.242557', '3302.26', '5', '-4678.74', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199891', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.178246', '0', '0.983986', '3301.95', '5', '-4681.75', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199892', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '0', '1', '0', '3.20013e-08', '3301.93', '5', '-4680.19', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199893', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.639773', '0', '0.768564', '3303.53', '5', '-4680.36', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199900', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '1', '0', '3.20013e-08', '3300.54', '5', '-4665.14', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199902', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.816774', '0', '0.576958', '3300.53', '5', '-4664.14', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199903', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.601835', '0', '0.798621', '3300.12', '5', '-4666.43', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199904', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '0', '1', '0', '3.20013e-08', '3300.57', '5', '-4665.16', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199905', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.178246', '0', '0.983986', '3301.72', '5', '-4666.12', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199911', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0.0113661', '-0.65319', '0.0579618', '0.754887', '-1355.19', '17.8957', '-3839.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199912', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_01.iff', '0', '0.959662', '0', '-0.281157', '3295.58', '5', '-4674.95', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199913', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0.0519791', '0.493165', '0.00587991', '0.868362', '-1381.4', '18.0186', '-3846.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199914', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '0.010233', '0.731064', '0.0109668', '-0.682145', '-1381.14', '17.1747', '-3836.73', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199915', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '0.0499694', '0.0199735', '-0.000999527', '0.99855', '-1392.13', '18.7644', '-3848.16', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199922', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.361615', '0', '0.932328', '3241.42', '4.53194', '-4527.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199924', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.29552', '0', '0.955337', '3236.08', '4.11792', '-4522.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199926', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.488177', '0', '0.872745', '3247.89', '5', '-4533.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199928', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.352274', '0', '0.935897', '3231.92', '4.46961', '-4541.22', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199930', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0.00157282', '0.2474', '0.00474616', '0.968901', '3225.48', '4.23256', '-4537.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1199932', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.174107', '0', '0.984727', '3238.94', '5', '-4545.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1200699', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0.717358', '0', '-0.696704', '3795.83', '5.75499', '2321.24', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1201366', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '-0.000199954', '-3.45872e-07', '0.00499616', '0.999987', '1442.58', '7', '3107.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1201377', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '-0.00014998', '-0.0100004', '0.00499774', '0.999937', '1459.15', '7.0798', '3107.63', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1201421', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.0100005', '0', '0.99995', '1442.15', '7', '3175.59', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1205333', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.720825', '0', '-0.693117', '1377.08', '10.0522', '3104.58', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1205334', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.724288', '0', '-0.689498', '1368.1', '10.0522', '3104.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1205335', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.720823', '0', '-0.693119', '1360.1', '10.0522', '3103.91', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1205336', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.724288', '0', '-0.689498', '1402.05', '10.0522', '3105.81', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1205337', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.720823', '0', '-0.693119', '1411.06', '10.0522', '3105.94', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1205338', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.720825', '0', '-0.693117', '1427.66', '10.0522', '3106.62', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1205339', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.724288', '0', '-0.689498', '1419.04', '10.0522', '3106.49', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1205340', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.710354', '0', '-0.703845', '1351.24', '10.0522', '3103.86', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1206342', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.703279', '0', '0.710914', '1473.42', '7', '3233.34', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1206343', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.713863', '0', '0.700285', '1473.33', '7', '3228.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1206344', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.999957', '0', '-0.00919685', '1472.63', '7', '3231.36', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1206345', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.918787', '0', '0.394753', '1473.93', '7', '3228.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1206346', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.713862', '0', '0.700286', '1476', '7', '3226.44', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1206349', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.999941', '0', '0.0107998', '1472.81', '7', '3213.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1206350', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.699604', '0', '0.714531', '1473.61', '7', '3211.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1206367', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '-0.00499998', '0', '0.999987', '1475.79', '7', '3222.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1206368', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.00500231', '0', '0.999987', '1473.59', '7', '3215.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1206369', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.356945', '0', '0.934125', '1474.49', '7', '3216.36', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1206370', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.00500362', '0', '0.999987', '1476.05', '7', '3218.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1206373', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.00999933', '0', '0.99995', '1637.61', '7', '3092.17', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1208337', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.00499931', '0', '0.999987', '1622.31', '7', '2981.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1208338', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.0149993', '0', '0.999888', '1639.22', '7', '2982.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1208340', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.0948575', '0', '0.995491', '1617.49', '7', '2929.2', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1208354', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0', '0.965301', '0', '0.261141', '1618.27', '7', '2926.16', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1208355', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '-0.42594', '0', '0.904752', '1619.68', '7', '2924.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1208356', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '-0.42141', '0', '0.90687', '1634.55', '7', '2918.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1208357', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0', '-0.699717', '0', '0.71442', '1637.3', '7', '2917.58', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1208358', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.824886', '0', '-0.565299', '1639.07', '7', '2917.54', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1208359', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.574172', '0', '0.818735', '1657.32', '7', '2926.38', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1208360', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0', '0.268266', '0', '0.963345', '1655.27', '7', '2924.19', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1208361', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.945784', '0', '-0.324796', '1649.37', '7', '2918.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1208363', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0', '0.40319', '0', '0.915116', '1651.92', '7', '2920.39', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1208364', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '-0.526945', '0', '0.8499', '1653.21', '7', '2922.91', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1208365', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '-0.00500257', '0', '0.999987', '1592.55', '7', '3022.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1208366', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.703282', '0', '0.710911', '1592.25', '7', '3012.27', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1208367', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.999991', '0', '-0.00420282', '1591.44', '7', '3008.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1208368', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '0.0150002', '0', '0.999887', '1592.13', '7', '3017.21', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1208369', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0', '0', '1', '1592.29', '7', '3030', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1208370', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.70328', '0', '0.710913', '1592.21', '7', '3003.34', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1208371', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.999991', '0', '-0.00420315', '1591.41', '7', '2999.37', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1208374', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '-0.005003', '0', '0.999987', '1592.42', '7', '3037.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1208375', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '-0.706825', '0', '0.707388', '1575.51', '7', '3026.39', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1208376', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_01.iff', '0', '0', '0', '1', '1561.63', '7', '3013.3', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1208377', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.703279', '0', '0.710914', '1546.54', '7', '3026.37', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1208378', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '0', '-0.688919', '0', '0.724838', '1549.72', '7', '3003.76', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1208379', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0', '0', '1', '1551.73', '7', '3003.85', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1208380', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0', '0', '1', '1547.1', '7', '3003.34', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1208381', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.059964', '0', '0.998201', '1551.24', '7', '3002.81', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1208382', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.443948', '0', '0.896052', '1547.76', '7', '3002.7', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1208383', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '-0.305059', '0', '0.952334', '1552.81', '7', '3003.63', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1208384', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.810497', '0', '0.585743', '1551.17', '7', '3004.71', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1208385', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.810497', '0', '0.585743', '1546.42', '7', '3003.84', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1208400', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '-0.702179', '0', '0.712001', '1539.12', '7', '3036.35', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1208402', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '0.707951', '0', '0.706261', '1516.99', '7', '3064.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1208403', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.710355', '0', '-0.703843', '1512.68', '7', '3065.14', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1208405', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '-0.005003', '0', '0.999987', '1543.67', '7', '3036.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1208406', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.804599', '0', '-0.593818', '1587.94', '7', '3011.34', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1208407', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '-0.585097', '0', '0.810963', '1586.73', '7', '3010.25', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1208408', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '-0.535416', '0', '0.844589', '1588.19', '7', '3009.19', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1208409', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.314567', '0', '0.949235', '1585.33', '7', '3009.54', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1208410', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '-0.585097', '0', '0.810963', '1585.76', '7', '3005.69', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1208411', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.884303', '0', '-0.466913', '1587.22', '7', '3006.51', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1208412', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.314567', '0', '0.949235', '1584.67', '7', '3004.72', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1208413', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '0', '0.98279', '0', '-0.18473', '1586.18', '7', '3008.31', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1208414', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.475032', '0', '0.879969', '1812.28', '6.01631', '3174.59', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1208416', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.394019', '0', '0.919102', '1806.49', '6.18829', '3169.08', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1208419', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.731146', '0', '0.682221', '1818.07', '5.57359', '3180.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1208420', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.394019', '0', '0.919102', '1800.69', '6.59343', '3163.56', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1208436', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.407761', '0', '0.913089', '1791.62', '6.05942', '3207.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1208438', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.324043', '0', '0.946042', '1786.72', '6.61834', '3201.66', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1208441', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.677971', '0', '0.735088', '1796.53', '5.5429', '3214.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1208442', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.324043', '0', '0.946042', '1781.81', '7', '3195.34', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1208444', '0', 'object/static/structure/tatooine/shared_guild_ball_free_style_01.iff', '0', '0', '0', '1', '1607.03', '7', '3012.81', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1208460', '0', 'object/static/structure/tatooine/shared_guild_ball_free_style_01.iff', '0', '0', '0', '1', '1606.96', '7', '3021.65', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1208470', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.703291', '0', '0.710902', '1602.18', '7', '3035.63', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1208471', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.703291', '0', '0.710902', '1596.78', '7', '3035.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1211372', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.700793', '0', '0.713365', '1638', '7', '3085', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1211373', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '-0.00342214', '0', '0.999994', '1614', '7', '3079', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1211399', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.700796', '0', '0.713362', '1638', '7', '3059', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1211401', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.700796', '0', '0.713362', '1638', '7', '3033', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1211403', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.700796', '0', '0.713362', '1638', '7', '3007', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1211405', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_01.iff', '0', '0', '0', '1', '1600.2', '7', '3029.29', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1211408', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.707925', '0', '0.706287', '1625', '7', '2965', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1211409', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.707925', '0', '0.706287', '1625', '7', '2940', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1211410', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.383752', '0', '0.923436', '1650', '7', '2965', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1211412', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.707925', '0', '0.706287', '1655.01', '7', '2952.58', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1211414', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.707925', '0', '0.706287', '1655', '7', '2940', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1211418', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '-0.601199', '0', '0.7991', '1627.39', '7', '2917.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1211419', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0', '-0.448423', '0', '0.893822', '1625.91', '7', '2919.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1211420', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '-0.109778', '0', '0.993956', '1623.59', '7', '2921.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1211428', '0', 'object/static/terrain/tatooine/shared_rock_spire_smooth_tatooine_style_2.iff', '0', '0', '0', '1', '1636.98', '8.12675', '2897.33', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1211429', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '1606.26', '7', '3073.9', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1211430', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '1597.37', '7', '3007.36', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1211431', '0', 'object/static/installation/shared_mockup_mining_liquid_harvester_style_1.iff', '0', '0.720831', '0', '-0.693111', '1666.06', '7', '3054.54', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1211432', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_fruit_stand_large_style_01.iff', '0.0156655', '0.78317', '0.0124314', '0.621486', '1607.62', '6.74519', '3054.25', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1211436', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_meat_rack.iff', '0', '0.324043', '0', '0.946042', '1608.65', '7', '3042.66', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1211438', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '0', '0', '1', '1609.63', '7', '3045.76', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1211439', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.593178', '0', '0.805072', '1608.37', '7', '3057.85', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1211441', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '0.0167675', '0.00666863', '-0.0248285', '0.999529', '1607.44', '7.76559', '3056.93', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1211442', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0.328769', '0', '0.94441', '1603.35', '7', '2937.28', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1211443', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.744644', '0', '0.667462', '1601.45', '7', '2937.44', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1211444', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.276355', '0', '0.961056', '1603.61', '7', '2935.69', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1211445', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.897911', '0', '-0.440178', '1604.62', '7', '2938.14', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1211446', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '0', '0.328769', '0', '0.94441', '1603.33', '7', '2937.31', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1211454', '0', 'object/static/installation/shared_mockup_mining_gas_harvester_style_1.iff', '0', '0', '0', '1', '1666.74', '7', '3035.11', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1211456', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '1667.23', '7', '3081.97', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1211458', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '1756.86', '7', '2995.46', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1211462', '0', 'object/static/installation/shared_mockup_power_generator_wind_style_1.iff', '0', '-0.0848977', '0', '0.99639', '1768.02', '7', '2999.42', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1211473', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.677971', '0', '0.735089', '1739.18', '7', '3043.22', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1211474', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.998951', '0', '0.0457859', '1738.16', '7', '3046.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1211475', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.886624', '0', '0.462492', '1740.53', '7', '3042.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1211476', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.731148', '0', '-0.682218', '1737.69', '7', '3049.16', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1211482', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.677971', '0', '0.735089', '1743.16', '7', '3040.38', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1211483', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '1756.04', '7', '3038.18', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1211485', '0', 'object/static/installation/shared_mockup_power_generator_wind_style_1.iff', '0', '-0.059964', '0', '0.998201', '1750.48', '7', '3033.58', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1211487', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.328769', '0', '0.94441', '1816.44', '6.01196', '3052.79', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1211489', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.328769', '0', '0.94441', '1811.48', '6.01196', '3046.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1211490', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.891207', '0', '-0.453597', '1820.01', '6.01196', '3058.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1211493', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.328769', '0', '0.94441', '1806.51', '6.01196', '3040.25', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1211495', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.443948', '0', '0.896053', '1800.14', '6.01196', '3034.76', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1211497', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.443948', '0', '0.896053', '1793.77', '6.01196', '3029.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1211499', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.488178', '0', '0.872744', '1787.69', '6.01196', '3025.63', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1211501', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.361616', '0', '0.932327', '1826.43', '5.83493', '3067.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1211503', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.640382', '0', '0.768056', '1830.67', '5.83378', '3074.38', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1212332', '0', 'object/static/terrain/tatooine/shared_poi_sarlacc_collision_floor.iff', '0', '0', '0', '1', '-6174.01', '16.9539', '-3361', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1213336', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.0299955', '0', '0.99955', '-2687.42', '0', '-4636.52', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1213340', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '0.947397', '0', '0.320061', '34.5816', '52', '-5336.45', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1213341', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '0.947397', '0', '0.320061', '33.9657', '52', '-5336.45', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1213342', '0', 'object/building/tatooine/shared_shuttleport_tatooine.iff', '0', '0.707669', '0', '-0.706544', '47.5333', '52', '-5318.91', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1213343', '0', 'object/building/tatooine/shared_housing_tatt_style01_med.iff', '0', '1', '0', '-0.00079638', '131.753', '52', '-5356.34', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1213344', '1213343', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1395878', '1213344', 'object/static/item/shared_item_painting_tatooine_style_02.iff', '0', '0.706834', '0', '0.707379', '5.45237', '2.17425', '3.68328', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1395879', '1213344', 'object/static/item/shared_item_tapestry_tatooine.iff', '0', '1', '0', '0.000796384', '4.12912', '1.00421', '8.94107', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1213345', '1213343', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1395880', '1213345', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff', '0', '0', '0', '1', '8.69072', '0.408271', '-10.8173', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1395881', '1213345', 'object/tangible/furniture/all/shared_frn_all_table_s01.iff', '0', '-0.440893', '0', '0.89756', '4.62985', '0.40827', '-10.0822', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1395882', '1213345', 'object/static/item/shared_item_bottle_tall.iff', '0', '-0.53676', '0', '0.843735', '4.4374', '1.16722', '-10.3991', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1395883', '1213345', 'object/static/item/shared_item_bowl_carved.iff', '0', '-0.53676', '0', '0.843735', '4.83387', '1.16722', '-10.1118', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1395884', '1213345', 'object/static/item/shared_item_bread_loaf.iff', '-0.0476296', '-0.643764', '0.0762615', '0.759924', '4.83527', '1.19884', '-10.0225', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1395885', '1213345', 'object/static/item/shared_item_fruit_melon.iff', '-0.126429', '0.665057', '-0.485005', '-0.553611', '4.96224', '1.19884', '-10.1615', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1395886', '1213345', 'object/static/item/shared_item_fruit_melon.iff', '-0.201263', '-0.527773', '-0.0991577', '0.819217', '4.68791', '1.19884', '-10.1549', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1395887', '1213345', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s04.iff', '0', '0.844162', '0', '0.536088', '5.58106', '0.408271', '-10.351', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1395888', '1213345', 'object/tangible/furniture/modern/shared_armoire_modern_style_01.iff', '0', '0.0149995', '0', '0.999888', '-2.78255', '0.408271', '-10.8173', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1395889', '1213345', 'object/tangible/furniture/modern/shared_armoire_modern_style_01.iff', '0', '0', '0', '1', '0.561533', '0.408271', '-10.8173', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1395890', '1213345', 'object/static/item/shared_item_bowl_shallow.iff', '0', '1', '0', '0.000796384', '-4.35238', '1.32533', '-9.39646', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1395891', '1213345', 'object/static/item/shared_item_fruit_melon.iff', '-0.178642', '0.26716', '-0.0117712', '0.946876', '-4.12319', '1.45182', '-9.47856', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1395892', '1213345', 'object/static/item/shared_item_fruit_melon.iff', '-0.12419', '0.968953', '0.128951', '-0.170522', '-4.48443', '1.45182', '-9.56708', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1395893', '1213345', 'object/static/item/shared_item_fruit_melon.iff', '-0.154847', '0.850951', '-0.0898554', '0.493793', '-4.35947', '1.45182', '-9.23436', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1395894', '1213345', 'object/static/item/shared_item_fruit_melon.iff', '-0.0745607', '0.84709', '-0.467387', '0.241723', '-4.32953', '1.45182', '-9.64008', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1395895', '1213345', 'object/static/item/shared_item_fruit_melon.iff', '0.312437', '-0.470747', '-0.199912', '0.800509', '-4.45485', '1.45182', '-9.13588', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1395896', '1213345', 'object/static/item/shared_item_fruit_melon.iff', '-0.0697176', '0.383127', '-0.164898', '0.90618', '-4.15779', '1.45182', '-9.24869', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1395897', '1213345', 'object/static/item/shared_item_fruit_melon.iff', '-0.16587', '0.51843', '-0.0673679', '0.836169', '-4.33665', '1.45182', '-9.46382', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1395898', '1213345', 'object/static/item/shared_item_fruit_melon.iff', '-0.000554388', '0.717911', '0.696135', '0.00057173', '-4.26992', '1.45182', '-9.3602', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1395899', '1213345', 'object/static/item/shared_item_fruit_melon.iff', '-0.257495', '0.95038', '0.138814', '0.105853', '-4.51951', '1.45182', '-9.30981', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1395900', '1213345', 'object/static/item/shared_item_fruit_melon.iff', '-0.000321093', '0.915116', '0.40319', '0.000728781', '-4.23942', '1.45182', '-9.19706', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1395901', '1213345', 'object/static/item/shared_item_fruit_melon.iff', '-0.404977', '0.849182', '-0.145902', '0.305936', '-4.19656', '1.45182', '-9.43283', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1395902', '1213345', 'object/static/item/shared_item_fruit_melon.iff', '-0.36517', '0.727048', '0.260258', '0.519921', '-4.41972', '1.45182', '-9.4205', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1395903', '1213345', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '1', '0', '0.000796384', '-4.32799', '0.408271', '-9.30479', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1395904', '1213345', 'object/static/item/shared_item_tapestry_tatooine.iff', '0', '1', '0', '0.000796384', '-7.90243', '0.408271', '-4.61577', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1395921', '1213345', 'object/tangible/furniture/modern/shared_couch_modern_style_02.iff', '0', '-0.704414', '0', '0.709789', '10.3397', '0.408271', '-4.31042', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1395923', '1213345', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '0.710353', '0', '0.703845', '8.43779', '0.408268', '-4.26565', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1395924', '1213345', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.932039', '0', '0.362358', '7.2871', '0.408267', '-1.85355', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1395925', '1213345', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.29074', '0', '0.956802', '7.25918', '0.408269', '-6.77972', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1395927', '1213345', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s01.iff', '0', '-0.00500006', '0', '0.999987', '-5.98572', '0.408271', '2.55489', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1395928', '1213345', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s01.iff', '0', '-0.005', '0', '0.999987', '2.93427', '0.408271', '2.57816', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1395929', '1213345', 'object/tangible/furniture/all/shared_frn_all_table_s01.iff', '0', '0.992297', '0', '-0.123885', '-10.1115', '0.408271', '1.71474', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1395930', '1213345', 'object/static/item/shared_item_bottle_fat.iff', '0', '0.93737', '0', '0.348336', '-10.3402', '1.16722', '1.50344', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1395931', '1213345', 'object/static/item/shared_item_bottle_pear.iff', '0', '0.93737', '0', '0.348336', '-10.2755', '1.16722', '1.93469', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1395932', '1213345', 'object/static/item/shared_item_glass_bluemilk.iff', '0', '1', '0', '0.000796384', '-9.81674', '0.408271', '1.78259', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1395933', '1213345', 'object/static/item/shared_item_glass_bluemilk.iff', '0', '1', '0', '0.000796384', '-9.90969', '0.408271', '1.58957', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1395934', '1213345', 'object/static/item/shared_item_glass_bluemilk.iff', '0', '1', '0', '0.000796384', '-9.98737', '0.408271', '1.92245', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005637', '1213345', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.95657', '0', '-0.291502', '-3.09147', '0.408271', '-1.70165', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005638', '1213345', 'object/tangible/furniture/modern/shared_couch_modern_style_02.iff', '0', '0.71035', '0', '0.703849', '-6.17586', '0.408274', '-4.16649', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005639', '1213345', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '-0.361615', '0', '0.932328', '-3.12723', '0.408271', '-6.62791', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005640', '1213345', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '-0.703279', '0', '0.710914', '-4.27407', '0.408271', '-4.21385', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005641', '1213345', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.882708', '0', '0.469923', '-0.92856', '0.408271', '-2.86063', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005642', '1213345', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.914795', '0', '-0.403918', '4.26907', '0.408271', '-2.95324', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005643', '1213345', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '0.999983', '0', '-0.00579721', '1.83679', '0.408271', '-4.36701', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005644', '1213345', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '-0.308302', '0', '0.951289', '4.06682', '0.408271', '-6.30274', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005645', '1213345', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.404646', '0', '0.914473', '-0.205841', '0.408271', '-6.02856', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5395374', '1213345', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '1.26911', '0.408271', '-5.71286', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1213346', '1213343', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005646', '1213346', 'object/static/item/shared_item_tank_gas.iff', '0', '0.00159313', '0', '0.999999', '2.90655', '1.85802', '4.39576', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005647', '1213346', 'object/static/item/shared_item_tank_gas.iff', '0', '0.330272', '0', '0.943886', '2.90468', '1.85802', '3.85398', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005648', '1213346', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '0.590429', '0', '0.80709', '2.91202', '1.85802', '6.1216', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005649', '1213346', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '0.0665433', '0', '0.997784', '2.90935', '1.85802', '5.31915', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005650', '1213346', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '0.00159313', '0', '0.999999', '2.92285', '1.85802', '9.53151', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005651', '1213346', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '0.322328', '0', '0.946628', '2.91576', '1.85802', '7.29228', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005652', '1213346', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '-0.0717531', '0', '0.997422', '2.91915', '1.85802', '8.36209', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005653', '1213346', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s2.iff', '0', '0.999999', '0', '-0.00159294', '-0.594305', '1.00421', '8.79596', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005654', '1213346', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.451268', '0', '0.892388', '-2.45851', '1.00421', '9.44088', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005655', '1213346', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '-0.703437', '0', '0.710757', '0.655391', '1.00421', '10.5899', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005656', '1213346', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '0.948341', '0', '0.317255', '-4.01246', '1.00421', '10.4511', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005657', '1213346', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s2.iff', '0', '0.999999', '0', '-0.00159294', '-5.30791', '1.00421', '8.76887', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005658', '1213346', 'object/tangible/furniture/all/shared_frn_all_professor_desk.iff', '0', '-0.698578', '0', '0.715534', '-7.49305', '1.00421', '9.67951', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005659', '1213346', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '-0.328978', '0', '0.944338', '-7.65494', '1.00421', '7.05643', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005660', '1213346', 'object/tangible/furniture/all/shared_frn_all_decorative_sm_s1.iff', '0', '0.00159313', '0', '0.999999', '-10.6016', '1.88965', '6.68953', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005661', '1213346', 'object/tangible/furniture/technical/shared_cabinet_s01.iff', '0', '0.708225', '0', '0.705988', '-10.5938', '1.88965', '9.13231', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005662', '1213346', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.880346', '0', '0.474331', '-9.28959', '1.00421', '9.66623', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005663', '1213346', 'object/tangible/furniture/technical/shared_bookcase_s01.iff', '0', '0.00159313', '0', '0.999999', '-7.5051', '1.00421', '3.6497', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005664', '1213346', 'object/tangible/furniture/technical/shared_cabinet_s01.iff', '0', '0.708225', '0', '0.705987', '-10.6079', '1.88965', '4.75451', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235537', '1213346', 'object/soundobject/shared_soundobject_cloning_facility.iff', '0', '0', '0', '1', '-3.67111', '1.00421', '8.35149', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1213347', '1213343', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1213348', '1213343', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1213349', '1213343', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '923969', '1213349', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.70328', '0', '0.710913', '-0.291192', '-2.81241', '-9.21474', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '923970', '1213349', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '-0.70328', '0', '0.710913', '-0.385675', '-2.9389', '-9.78578', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '923971', '1213349', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.70328', '0', '0.710913', '-0.333917', '-2.81241', '-10.3747', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '923972', '1213349', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.70328', '0', '0.710913', '-0.276544', '-3.83968', '-9.23158', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '923973', '1213349', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '-0.70328', '0', '0.710913', '-0.375177', '-3.96617', '-9.7997', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '923974', '1213349', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.70328', '0', '0.710913', '-0.320489', '-3.83968', '-10.3915', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '923975', '1213349', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0.703844', '0', '0.710354', '-0.367963', '-3.11236', '-6.01496', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '923976', '1213349', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.00460094', '0.380768', '-2.98587', '-6.56399', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '923977', '1213349', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.00460193', '0', '0.999989', '-1.08468', '-3.83968', '-5.43184', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '923978', '1213349', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.0045939', '0', '0.999989', '-1.07689', '-3.83968', '-6.43191', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '923979', '1213349', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.00460195', '0', '0.999989', '-0.359639', '-3.83968', '-5.4003', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '923980', '1213349', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.00460195', '0.354888', '-3.83968', '-5.56416', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '923981', '1213349', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.00460001', '0', '0.999989', '-0.353779', '-3.83968', '-6.40116', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '923982', '1213349', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0.703844', '0', '0.710354', '-0.387305', '-3.96617', '-6.02107', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '923983', '1213349', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.00460195', '0.363332', '-3.83968', '-6.56534', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '923989', '1213349', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.00460193', '0', '0.999989', '-1.06867', '-2.98587', '-5.43261', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '923990', '1213349', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.00460193', '0', '0.999989', '-0.335848', '-2.98587', '-6.39788', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '923991', '1213349', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999989', '0', '0.00460094', '0.372479', '-2.98587', '-5.56169', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '923992', '1213349', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.00460193', '0', '0.999989', '-0.340299', '-2.98587', '-5.39788', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '924002', '1213349', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.00459093', '0', '0.999989', '-1.05805', '-2.98587', '-6.43066', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '924012', '1213349', 'object/tangible/terminal/shared_terminal_mission_rebel.iff', '0', '-0.707106', '0', '0.707107', '0.357298', '-3.96617', '-3.5576', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '924014', '1213349', 'object/tangible/terminal/shared_terminal_mission_rebel.iff', '0', '-0.707106', '0', '0.707107', '0.37303', '-3.96617', '-1.89581', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4015461', '1213349', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_imperial_assassination_02.iff', '0', '0', '0', '1', '-1.96896', '-3.96617', '-6.90904', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1213350', '1213343', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1213351', '1213343', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1213352', '1213343', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1213353', '1213343', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1213354', '1213343', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1213355', '1213343', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1213367', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_01.iff', '0', '0.999942', '0', '-0.0107961', '94.4924', '52', '-5313.27', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1213884', '0', 'object/building/tatooine/shared_housing_tatt_style01_small.iff', '0', '0.449846', '0', '0.893106', '1616.93', '11', '3267.29', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1213885', '1213884', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612120', '1213885', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '-0.409417', '0', '0.912347', '4.71902', '0.251699', '3.58192', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612121', '1213885', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '-0.00681564', '0', '0.999977', '3.27208', '0.256678', '6.16417', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612122', '1213885', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.882812', '0', '-0.469726', '4.6484', '0.252522', '5.65131', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612123', '1213885', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.419763', '0', '0.907634', '3.48564', '0.252538', '3.48811', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612124', '1213885', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.206684', '0', '0.978408', '2.76165', '0.252078', '3.39956', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612125', '1213885', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.190642', '0', '0.98166', '4.52484', '0.252156', '3.65189', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1213886', '1213884', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1213887', '1213884', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1213888', '1213884', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1213889', '1213884', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1213890', '1213884', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1213891', '1213884', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1213892', '1213884', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1213893', '1213884', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1213894', '1213884', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612138', '1213894', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s1.iff', '0', '-0.70101', '0', '0.713152', '3.08627', '-0.378217', '-5.21828', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612139', '1213894', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '0.999977', '0', '0.0068154', '-0.470448', '-0.378217', '-0.710115', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612140', '1213894', 'object/tangible/furniture/cheap/shared_love_seat_s01.iff', '0', '0.71191', '0', '-0.70227', '1.21916', '-0.365785', '-2.41539', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612141', '1213894', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.71191', '0', '-0.70227', '1.1672', '-0.378217', '-0.967718', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612142', '1213894', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.187076', '0', '0.982345', '-0.882392', '-0.378217', '-3.52405', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612143', '1213894', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.575475', '0', '0.817819', '-2.21001', '-0.378217', '-2.20744', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612144', '1213894', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '-0.00681562', '0', '0.999977', '-0.293913', '-0.378217', '-2.24935', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612145', '1213894', 'object/tangible/furniture/cheap/shared_armoire_s01.iff', '0', '-0.00681562', '0', '0.999977', '1.45846', '-0.378217', '-6.17781', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612146', '1213894', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '0.71191', '0', '-0.70227', '5.10832', '-0.378217', '-3.45534', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612147', '1213894', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '-0.00681562', '0', '0.999977', '-4.35674', '-0.378217', '-6.29555', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612148', '1213894', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '-0.00681562', '0', '0.999977', '-0.372193', '-0.378217', '-6.224', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612149', '1213894', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '-0.00681562', '0', '0.999977', '-2.38722', '-0.378217', '-6.23321', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612150', '1213894', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s01.iff', '0', '0.90089', '0', '-0.434048', '5.00108', '0.570466', '-3.61585', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1213898', '0', 'object/building/tatooine/shared_housing_tatt_style01_small.iff', '0', '0.711473', '0', '0.702713', '1609.91', '11', '3292.66', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1213899', '1213898', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612155', '1213899', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '-0.392555', '0', '0.919729', '0.905712', '0.253017', '3.58013', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612156', '1213899', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.700848', '0', '0.71331', '5.19012', '0.25067', '5.00269', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612157', '1213899', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '-0.294', '0', '0.955805', '4.68293', '0.251785', '3.62437', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612158', '1213899', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.436398', '0', '0.899754', '-0.520581', '0.252629', '3.50567', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612159', '1213899', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.224658', '0', '0.974438', '-1.24743', '0.252308', '3.44388', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612160', '1213899', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.172541', '0', '0.985002', '0.716304', '0.253441', '3.66182', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612162', '1213899', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.882813', '0', '-0.469725', '4.52008', '0.25291', '5.97387', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612163', '1213899', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.999997', '0', '0.00261302', '3.49242', '0.251676', '3.32238', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1213900', '1213898', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1213901', '1213898', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1213902', '1213898', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1213903', '1213898', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1213904', '1213898', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1213905', '1213898', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1213906', '1213898', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1213907', '1213898', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1213908', '1213898', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612175', '1213908', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '0.0013702', '0', '0.999999', '-1.66064', '-0.378217', '-6.0929', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612176', '1213908', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '-0.70699', '0', '0.707224', '5.1458', '0.274601', '0.0337251', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612177', '1213908', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0.0013702', '0', '0.999999', '-3.63089', '-0.378217', '-6.12301', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612178', '1213908', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '0.999952', '0', '0.00982383', '-1.5229', '-0.378217', '-0.559424', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612179', '1213908', 'object/tangible/furniture/cheap/shared_armoire_s01.iff', '0', '-0.70699', '0', '0.707224', '5.1332', '0.281076', '1.86255', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612180', '1213908', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.999985', '0', '-0.00557378', '2.8459', '-0.378217', '-4.49169', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612181', '1213908', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.810627', '0', '-0.585563', '4.75819', '-0.378217', '-4.58514', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612182', '1213908', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.979952', '0', '-0.199233', '3.46573', '-0.378217', '-3.23195', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612183', '1213908', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.711037', '0', '0.703155', '1.35339', '-0.378217', '-5.7367', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612184', '1213908', 'object/tangible/furniture/cheap/shared_love_seat_s01.iff', '0', '0.711037', '0', '0.703155', '1.33882', '-0.378217', '-4.28599', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612185', '1213908', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '0.00557481', '0', '0.999984', '2.98395', '-0.378217', '-6.03437', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1612186', '1213908', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s1.iff', '0', '0.999984', '0', '-0.00557606', '0.251624', '-0.378217', '-2.57076', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1214848', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0.425939', '0.904751', '-0.000339193', '-0.000720491', '1381', '10.9181', '3225', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1214854', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0', '0.421411', '0.90687', '1398.5', '10.8862', '3225', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1214859', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0', '-0.706825', '0.707388', '1389.76', '14.1714', '3225.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1214860', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '-0.706825', '0.707388', '0.000562833', '-0.000563281', '1389.76', '14.1714', '3225.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1221835', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '0.70708', '0', '0.707134', '1301.57', '7', '3242.73', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1221839', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '1297.57', '7', '3243.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1221840', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '1306.57', '7', '3243.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1221844', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '1281.12', '7', '3243.54', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1221894', '0', 'object/static/terrain/tatooine/shared_rock_spire_skinny_tatooine_style_1.iff', '0', '0', '0', '1', '1423.76', '-12.9083', '3038.53', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1221895', '0', 'object/static/terrain/tatooine/shared_rock_spire_skinny_tatooine.iff', '0', '0.124675', '0', '0.992198', '1597.68', '7', '3422.47', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1223845', '0', 'object/building/tatooine/shared_hotel_tatooine_style_01.iff', '0', '0.345056', '0', '0.938582', '-1198.05', '12', '-3671.43', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1223846', '1223845', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1223847', '1223845', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1492930', '1223847', 'object/static/item/shared_item_tapestry_tatooine.iff', '0', '0.707088', '0', '0.707125', '-2.08081', '0.999959', '18.7515', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1492931', '1223847', 'object/tangible/furniture/tatooine/shared_frn_tatt_cantina_droid_detector.iff', '0', '0.764329', '0', '-0.644827', '7.39896', '0.999959', '20.3131', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1492932', '1223847', 'object/tangible/furniture/tatooine/shared_frn_tatt_cantina_droid_detector.iff', '0', '0.764327', '0', '0.644829', '-7.38684', '0.999959', '20.3688', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1492934', '1223847', 'object/tangible/furniture/modern/shared_cabinet_modern_style_01.iff', '0', '0', '0', '1', '3.48899', '0.999959', '18.7551', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1492935', '1223847', 'object/tangible/furniture/modern/shared_cabinet_modern_style_01.iff', '0', '0', '0', '1', '-3.49129', '0.999959', '18.7971', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1492936', '1223847', 'object/static/structure/general/shared_data_terminal_wall_s3.iff', '0', '0.00999986', '0', '0.99995', '2.2836', '1.50592', '19.6418', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1493846', '1223847', 'object/static/structure/general/shared_data_terminal_wall_s3.iff', '0', '-0.0249999', '0', '0.999687', '-2.30199', '1.50595', '19.6815', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1223848', '1223845', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1492925', '1223848', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '0.00999716', '0', '0.99995', '-0.0823498', '0.999951', '17.8875', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1492926', '1223848', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '0.999983', '0', '-0.00579624', '-2.84008', '0.999935', '18.0728', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1492927', '1223848', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '0', '0', '1', '2.27737', '0.999934', '17.9841', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1492928', '1223848', 'object/static/item/shared_item_painting_corellia_style_01.iff', '0', '-0.706825', '0', '0.707388', '-1.78455', '1.66401', '18.4724', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1493848', '1223848', 'object/static/item/shared_item_painting_corellia_style_02.iff', '0', '-0.707088', '0', '0.707126', '1.95252', '1.66402', '18.4866', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1493849', '1223848', 'object/static/item/shared_item_bowl_shallow.iff', '0', '0', '0', '1', '-0.0316238', '1.79051', '17.7782', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1493850', '1223848', 'object/static/item/shared_item_fruit_melon.iff', '0.0402151', '-0.164333', '-0.234276', '0.957336', '0.0580518', '1.79051', '17.9337', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1493851', '1223848', 'object/static/item/shared_item_fruit_melon.iff', '0', '-0.488177', '0', '0.872745', '-0.311234', '1.82213', '17.7559', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1493852', '1223848', 'object/static/item/shared_item_fruit_melon.iff', '-0.426054', '-0.426054', '0.238317', '0.761683', '-0.00343892', '1.88125', '17.6293', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1493853', '1223848', 'object/static/item/shared_item_fruit_melon.iff', '0', '0.174108', '0', '0.984727', '-0.195836', '1.79051', '17.9615', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1223849', '1223845', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106011', '1223849', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0', '0', '1', '0.384282', '0.999499', '-22.1791', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106012', '1223849', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0', '0', '1', '4.43562', '1', '-22.1384', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106013', '1223849', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0', '0', '1', '8.28021', '1', '-22.1715', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1492847', '1223849', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0', '0', '1', '0.644111', '0.999995', '-0.125158', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1492848', '1223849', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.893464', '0', '0.449135', '2.22933', '1', '-1.43833', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1492849', '1223849', 'object/tangible/furniture/modern/shared_couch_modern_style_02.iff', '0', '0.713864', '0', '-0.700284', '8.94424', '1.00001', '5.72532', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1492850', '1223849', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.47503', '0', '0.87997', '2.00035', '1', '1.08439', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1492851', '1223849', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.939646', '0', '-0.342147', '-0.611121', '1', '-1.45813', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1492852', '1223849', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '-0.325552', '0', '0.945524', '-0.53194', '0.999993', '1.19083', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1492854', '1223849', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '-0.706856', '0', '0.707358', '6.27641', '0.999987', '5.55323', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1492856', '1223849', 'object/tangible/furniture/modern/shared_end_table_large_modern_style_01.iff', '0', '0.724287', '0', '-0.689498', '5.51357', '1', '11.5168', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1492857', '1223849', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.945783', '0', '0.3248', '4.07274', '1', '11.2055', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1492858', '1223849', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.945783', '0', '0.3248', '7.27037', '1.00001', '11.4468', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1492859', '1223849', 'object/tangible/furniture/modern/shared_couch_modern_style_02.iff', '0', '-0.375561', '0', '0.926798', '7.66893', '1', '-10.5601', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1492860', '1223849', 'object/tangible/furniture/modern/shared_end_table_large_modern_style_01.iff', '0', '0.0149979', '0', '0.999888', '9.06834', '1.00001', '-7.9261', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1492861', '1223849', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.880349', '0', '-0.474326', '8.66318', '1.00001', '-5.99949', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235480', '1223849', 'object/soundobject/shared_soundobject_cantina_small.iff', '0', '0', '0', '1', '-8.41067', '0.99999', '0.752117', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1223850', '1223845', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106005', '1223850', 'object/tangible/gambling/slot/shared_standard.iff', '0', '-0.707106', '0', '0.707107', '27.1022', '1.28309', '-1.85513', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106008', '1223850', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.707106', '0', '0.707107', '14.2777', '1.28309', '6.32069', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106009', '1223850', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.707106', '0', '0.707107', '14.1065', '1.28309', '-6.28863', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106010', '1223850', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '0', '0', '1', '18.5391', '1.28309', '5.37386', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1491902', '1223850', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_3.iff', '0', '0.666276', '0', '0.745705', '20.6046', '1.30708', '-6.22841', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1491903', '1223850', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '-0.024201', '0', '0.999707', '23.0007', '1.30708', '-7.60587', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1491904', '1223850', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.998988', '0', '0.044984', '22.7457', '1.30708', '-3.63128', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1491905', '1223850', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_3.iff', '0', '0.707388', '0', '-0.706825', '25.1168', '1.30708', '-5.26365', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1491906', '1223850', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_2.iff', '0', '0.999688', '0', '0.024997', '23.0215', '1.28309', '-5.60394', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1491907', '1223850', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_3.iff', '0', '0.891207', '0', '-0.453596', '18.9708', '1.2831', '0.0418136', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1491908', '1223850', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_3.iff', '0', '0.934408', '0', '0.356206', '17.3526', '1.2831', '-1.27383', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1491909', '1223850', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.870684', '0', '0.491842', '15.7154', '1.2831', '-0.0469195', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1491910', '1223850', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.381662', '0', '0.924302', '16.0886', '1.28309', '-3.10307', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1491911', '1223850', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.999987', '0', '0.00499881', '13.9515', '1.30708', '-9.09015', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1491912', '1223850', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_2.iff', '0', '0.999887', '0', '-0.015', '14.0685', '1.28309', '-11.0785', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1491913', '1223850', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.0157951', '0', '0.999875', '13.888', '1.30708', '-13.0723', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1491914', '1223850', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_3.iff', '0', '0.0299955', '0', '0.99955', '23.3828', '1.2831', '-1.00621', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1491915', '1223850', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_3.iff', '0', '0.92269', '0', '-0.385543', '23.4822', '1.2831', '0.917867', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1491916', '1223850', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.969944', '0', '-0.243328', '24.3471', '1.2831', '2.04838', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1491917', '1223850', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.913414', '0', '0.407032', '22.0224', '1.28309', '1.67881', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1491918', '1223850', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '-0.0449848', '0', '0.998988', '18.7662', '1.28309', '3.45914', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1491920', '1223850', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_3.iff', '0', '0.706825', '0', '0.707389', '16.3951', '1.28309', '5.09139', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1491921', '1223850', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_3.iff', '0', '0.745705', '0', '-0.666276', '20.9071', '1.28309', '6.05629', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1491922', '1223850', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.999707', '0', '0.024201', '18.5112', '1.28309', '7.43373', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575662', '1223850', 'object/static/item/shared_item_glass_metal.iff', '0', '0', '0', '1', '23.2688', '1.28309', '0.791764', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575663', '1223850', 'object/static/item/shared_item_glass_metal.iff', '0', '0', '0', '1', '17.4009', '1.28309', '-1.04802', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575664', '1223850', 'object/static/item/shared_item_glass_metal.iff', '0', '0', '0', '1', '22.74', '1.28309', '-5.37712', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575665', '1223850', 'object/static/item/shared_item_glass_metal.iff', '0', '0', '0', '1', '23.4495', '1.28309', '-5.4876', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575666', '1223850', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '23.0111', '1.99573', '-5.90232', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575667', '1223850', 'object/static/item/shared_item_con_plate_s1_full.iff', '0', '0', '0', '1', '23.6855', '2.01041', '1.02059', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575668', '1223850', 'object/static/item/shared_item_tank_bubble.iff', '0', '0.352274', '0', '0.935897', '17.3329', '2.66238', '11.4592', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575670', '1223850', 'object/static/item/shared_item_music_microphone_s1.iff', '0', '-0.361615', '0', '0.932327', '22.3988', '2.03815', '-13.9715', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575672', '1223850', 'object/static/item/shared_item_music_microphone_s1.iff', '0', '-0.539633', '0', '0.8419', '21.5377', '2.03815', '-15.9542', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1575673', '1223850', 'object/static/item/shared_item_music_microphone_s1.iff', '0', '-0.124676', '0', '0.992197', '24.3616', '2.03815', '-13.2076', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235479', '1223850', 'object/soundobject/shared_soundobject_cantina_small.iff', '0', '0', '0', '1', '18.8742', '1.28309', '-1.61954', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1223851', '1223845', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1492863', '1223851', 'object/tangible/furniture/all/shared_frn_all_lamp_desk_s01.iff', '0', '0', '0', '1', '-24.7928', '2.79626', '5.71311', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1492864', '1223851', 'object/tangible/furniture/all/shared_frn_all_lamp_desk_s01.iff', '0', '0.891206', '0', '0.453598', '-23.3612', '2.79789', '6.40247', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1492865', '1223851', 'object/tangible/furniture/all/shared_frn_all_lamp_desk_s01.iff', '0', '0.891206', '0', '0.453598', '-21.6937', '2.79913', '8.74018', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1492866', '1223851', 'object/tangible/furniture/all/shared_frn_all_lamp_desk_s01.iff', '0', '0.891206', '0', '0.453598', '-18.9432', '2.80152', '12.5016', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1492867', '1223851', 'object/static/structure/general/shared_data_terminal_wall_s2.iff', '0', '0.904412', '0', '0.42666', '-25.7896', '1.59873', '8.70479', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1492868', '1223851', 'object/static/structure/general/shared_data_terminal_free_s1.iff', '0', '0.886627', '0', '0.462485', '-24.1111', '1.6', '10.8092', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1492920', '1223851', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.129634', '0', '0.991562', '-22.5854', '1.5977', '-1.39438', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1492921', '1223851', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.452885', '0', '0.891569', '-25.8522', '1.59754', '-1.22133', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1492922', '1223851', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.576957', '0', '0.816774', '-25.7216', '1.58039', '1.77239', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1492923', '1223851', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0.707107', '0', '0', '0.707107', '-24.1154', '2.03799', '-1.98911', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1492924', '1223851', 'object/tangible/furniture/modern/shared_end_table_large_modern_style_01.iff', '0', '0.999958', '0', '0.0092035', '-26.143', '1.59675', '0.357068', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1223852', '1223845', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1223853', '1223845', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106014', '1223853', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '-0.23547', '0', '0.971882', '-5.09086', '1.6', '-12.7869', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106015', '1223853', 'object/tangible/gambling/table/shared_table_base.iff', '0', '0', '0', '1', '-6.0979', '1.6', '-11.0632', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106016', '1223853', 'object/tangible/gambling/table/shared_table_base.iff', '0', '0', '0', '1', '-6.53903', '1.6', '-15.5528', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1492885', '1223853', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '-0.539633', '0', '0.8419', '-4.93969', '1.6', '-15.8483', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1492886', '1223853', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '0.963983', '0', '0.265965', '-5.06207', '1.6', '-14.8109', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1492887', '1223853', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '0.999991', '0', '0.0042064', '-4.71496', '1.6', '-11.9817', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1492888', '1223853', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.877963', '0', '0.478729', '-7.90932', '1.6', '-10.571', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1492889', '1223853', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.297039', '0', '0.954865', '-7.85247', '1.6', '-16.8635', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1492890', '1223853', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.964884', '0', '-0.262675', '-4.71454', '1.6', '-9.59657', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1492892', '1223853', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.98889', '0', '0.148652', '-7.45893', '1.6', '-14.002', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1492893', '1223853', 'object/tangible/furniture/modern/shared_end_table_large_modern_style_01.iff', '0', '0.713866', '0', '-0.700283', '-6.4071', '1.6', '-9.12089', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1492894', '1223853', 'object/tangible/furniture/modern/shared_end_table_large_modern_style_01.iff', '0', '0.70795', '0', '0.706262', '-6.28518', '1.6', '-16.9887', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1492895', '1223853', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff', '0', '-0.00920454', '0', '0.999958', '-6.27616', '1.6', '-19.0151', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1492896', '1223853', 'object/tangible/furniture/modern/shared_cabinet_modern_style_01.iff', '0', '0.999958', '0', '0.00920484', '-7.63965', '1.6', '-5.2691', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1492897', '1223853', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_03.iff', '0', '0.999991', '0', '0.00420603', '-6.55421', '1.6', '-13.1475', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1223854', '1223845', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1493854', '1223854', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.706843', '0', '0.707371', '-19.9703', '1.6', '-13.4503', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1493855', '1223854', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.710352', '0', '0.703847', '-19.9748', '1.6', '-13.7939', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1493856', '1223854', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.710352', '0', '0.703847', '-19.9878', '1.6', '-14.1275', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1493857', '1223854', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.713861', '0', '0.700288', '-19.9957', '1.6', '-14.4708', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1493858', '1223854', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.999168', '0', '0.040787', '-19.5618', '1.6', '-14.832', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1493859', '1223854', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.999359', '0', '0.035793', '-19.9043', '1.6', '-14.8552', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1493860', '1223854', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.713862', '0', '0.700286', '-19.4958', '1.6', '-13.5781', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1493861', '1223854', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.717353', '0', '0.69671', '-19.5072', '1.6', '-13.9213', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1493862', '1223854', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.717353', '0', '0.69671', '-19.5268', '1.6', '-14.2548', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1493863', '1223854', 'object/static/item/shared_item_container_inorganic_water.iff', '0', '0', '0', '1', '-19.2586', '1.6', '-17.2182', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1493864', '1223854', 'object/static/item/shared_item_container_energy_gas.iff', '0', '0', '0', '1', '-11.6031', '1.6', '-18.5921', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1493865', '1223854', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '-11.037', '1.6', '-16.3914', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1493866', '1223854', 'object/static/item/shared_item_container_energy_gas.iff', '0', '-0.21335', '0', '0.976976', '-12.9343', '1.6', '-18.2037', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1493867', '1223854', 'object/static/item/shared_item_container_energy_gas.iff', '0', '0.67797', '0', '0.73509', '-11.1612', '1.6', '-17.3419', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1493868', '1223854', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.67797', '0', '0.73509', '-10.9408', '1.6', '-15.896', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1493869', '1223854', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.67797', '0', '0.73509', '-10.9895', '1.6', '-15.566', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1493870', '1223854', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.67797', '0', '0.73509', '-11.2485', '1.6', '-15.737', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1493871', '1223854', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.67797', '0', '0.73509', '-11.4456', '1.6', '-16.0449', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1493872', '1223854', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.986287', '0', '0.16504', '-11.4373', '1.6', '-14.3774', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1493873', '1223854', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.836901', '0', '-0.547354', '-11.3668', '1.6', '-14.8771', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1493874', '1223854', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.836901', '0', '-0.547354', '-11.2135', '1.6', '-15.1733', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1493875', '1223854', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.836901', '0', '-0.547354', '-11.0242', '1.6', '-14.9272', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1493876', '1223854', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.836901', '0', '-0.547354', '-10.9381', '1.6', '-14.5719', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1223855', '1223845', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1492898', '1223855', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff', '0', '0.999991', '0', '0.00420351', '-25.6189', '1.6', '-2.22404', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1492899', '1223855', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff', '0', '0.999991', '0', '0.00420351', '-22.5699', '1.6', '-2.20034', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1492900', '1223855', 'object/tangible/furniture/modern/shared_dining_table_modern_style_01.iff', '0', '0.999991', '0', '0.00420351', '-25.875', '1.6', '-11.4214', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1492901', '1223855', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.174107', '0', '0.984727', '-24.8952', '1.6', '-13.811', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1492902', '1223855', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.990794', '0', '-0.135379', '-22.8456', '1.6', '-8.35355', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1492903', '1223855', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.941345', '0', '0.337447', '-25.4035', '1.6', '-8.18388', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1492904', '1223855', 'object/tangible/furniture/modern/shared_cabinet_modern_style_01.iff', '0', '0.70441', '0', '0.709793', '-26.5582', '1.6', '-15.1233', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1492905', '1223855', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s01.iff', '0', '0.860674', '0', '0.509156', '-26.2542', '2.61193', '-10.8452', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1492906', '1223855', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0.707089', '0', '0', '0.707125', '-23.4475', '2.81911', '-18.8274', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1492907', '1223855', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '1', '0', '-0.000796819', '-23.4515', '1.6', '-18.3389', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1492908', '1223855', 'object/static/item/shared_item_glass_metal.iff', '0', '0.999667', '0', '-0.0257942', '-24.7204', '1.6', '-18.7484', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1492909', '1223855', 'object/static/item/shared_item_bottle_tall.iff', '0', '0.990794', '0', '-0.135379', '-23.453', '3.21276', '-18.4801', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1492910', '1223855', 'object/static/item/shared_item_glass_metal.iff', '0', '0.990794', '0', '-0.135379', '-22.3985', '1.6', '-18.6472', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1492911', '1223855', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0.990794', '0', '-0.135379', '-22.7445', '3.21276', '-18.6403', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1492912', '1223855', 'object/static/item/shared_item_bottle_pear.iff', '0', '0.990794', '0', '-0.135379', '-23.7584', '3.21276', '-18.5522', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1492913', '1223855', 'object/static/item/shared_item_jar_spice_red.iff', '0', '0.990794', '0', '-0.135379', '-24.2029', '3.21276', '-18.721', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1492914', '1223855', 'object/static/item/shared_item_glass_metal.iff', '0', '0.990794', '0', '-0.135379', '-22.076', '1.6', '-18.6486', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1492915', '1223855', 'object/static/item/shared_item_glass_metal.iff', '0', '0.990794', '0', '-0.135379', '-24.5892', '1.6', '-18.4255', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1492916', '1223855', 'object/static/item/shared_item_bottle_pear.iff', '0', '0.990794', '0', '-0.135379', '-23.1131', '3.21276', '-18.5732', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1492917', '1223855', 'object/static/item/shared_item_glass_metal.iff', '0', '0.999667', '0', '-0.0257942', '-24.4598', '1.6', '-18.6531', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1492918', '1223855', 'object/static/item/shared_item_glass_metal.iff', '0', '0.990794', '0', '-0.135379', '-22.302', '1.6', '-18.3771', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1223861', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '0.675462', '0', '0.737395', '-1210.75', '12', '-3499.89', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1223863', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.675462', '0', '0.737395', '-1205.96', '12', '-3499.73', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1223864', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.675462', '0', '0.737395', '-1214.73', '12', '-3500.42', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1223865', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.675462', '0', '0.737395', '-1223.69', '12', '-3501.25', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1223866', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.675462', '0', '0.737395', '-1202.16', '12', '-3499.13', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1223867', '0', 'object/static/structure/tatooine/shared_wall_damaged_tatooine_large_style_01.iff', '0', '0.675467', '0', '0.73739', '-1237.42', '12', '-3502.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1223869', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.675467', '0', '0.73739', '-1240.48', '12', '-3502.39', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1223870', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.675467', '0', '0.73739', '-1232.5', '12', '-3501.99', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1223872', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.675467', '0', '0.73739', '-1228.7', '12', '-3501.39', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1223873', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.675468', '0', '0.737389', '-1197.17', '12', '-3498.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1224012', '0', 'object/static/structure/tatooine/shared_wall_junkshop_watto.iff', '0', '0.981854', '0', '-0.189641', '-2319.74', '5', '2845.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1224013', '0', 'object/static/structure/tatooine/shared_wall_junkshop_watto.iff', '0', '-0.169182', '0', '0.985585', '-2300.66', '5', '2845.86', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1224014', '0', 'object/static/structure/tatooine/shared_wall_junkshop_watto.iff', '0', '-0.531185', '0', '0.847256', '-2286.99', '5', '2858.29', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1224015', '0', 'object/static/structure/tatooine/shared_wall_junkshop_watto.iff', '0', '-0.134589', '0', '0.990902', '-2312.17', '5.01303', '2892.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1224016', '0', 'object/static/structure/tatooine/shared_wall_junkshop_watto.iff', '0', '0.770739', '0', '-0.637151', '-2284.21', '5', '2876.86', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1224061', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.20846', '0', '0.978031', '-2307.49', '5.00003', '2919.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1224062', '0', 'object/static/structure/tatooine/shared_tent_house_tatooine_style_01.iff', '0', '0.999991', '0', '-0.00420414', '-2297.36', '5.00002', '2915.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1224063', '0', 'object/static/structure/tatooine/shared_tent_house_tatooine_style_01.iff', '0', '-0.457339', '0', '0.889293', '-2300.87', '5.01202', '2983.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1224064', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.991665', '0', '0.128845', '-2291.94', '5.5314', '2988.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1224065', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.103223', '0', '0.994658', '-2290.33', '5.02394', '2914.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1224066', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.914795', '0', '-0.403919', '-2279.85', '6.50119', '2982.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1224067', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.770739', '0', '0.637152', '-2299.22', '5.0213', '2974.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1224077', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-5163.44', '75', '-6496.41', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1224079', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '-0.044985', '0', '0.998988', '-5135.5', '75', '-6501.65', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1224080', '0', 'object/static/structure/tatooine/shared_tent_house_tatooine_style_01.iff', '0', '0.174108', '0', '0.984727', '-2284.19', '5.47564', '2989.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1224118', '0', 'object/static/structure/tatooine/shared_tent_house_tatooine_style_01.iff', '0', '0.305058', '0', '0.952334', '-2277.86', '5.24703', '2972.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1224130', '0', 'object/building/tatooine/shared_filler_building_block_64x32_style_02.iff', '0', '0.999707', '0', '0.0242006', '-5198.69', '75', '-6521.55', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1224144', '0', 'object/static/installation/shared_mockup_mining_gas_harvester_style_1.iff', '0', '0.213347', '0', '0.976976', '-5241.62', '75', '-6577.42', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1224147', '0', 'object/static/installation/shared_mockup_mining_gas_harvester_style_1.iff', '0', '-0.0399893', '0', '0.9992', '-5211.56', '75', '-6562.49', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1224836', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.024997', '0', '0.999688', '1239.84', '2.91945', '3267.21', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1224852', '0', 'object/static/structure/tatooine/shared_stair_tatooine_small_style_01.iff', '0', '0.724287', '0', '-0.689498', '1260.08', '-1.12226', '3258.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1224866', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.710353', '0', '-0.703845', '1263.8', '3.55241', '3260.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1224867', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.00499997', '0', '0.999987', '1268.48', '6.61685', '3261.29', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1224869', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '1259.85', '4', '3261.19', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1224870', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '1260.08', '4', '3256.8', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1224871', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.710353', '0', '-0.703845', '1264.03', '4.03693', '3256.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1224872', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.005', '0', '0.999987', '1268.71', '6.62477', '3256.89', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1224908', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.999958', '0', '0.00920227', '1270.3', '7', '3219.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1224909', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.999899', '0', '0.014202', '1269.77', '6.99647', '3227.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1224910', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.999816', '0', '0.019201', '1269.71', '7', '3236.69', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1224911', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.999707', '0', '0.0242025', '1269.22', '7', '3244.66', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1224912', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.724289', '0', '-0.689498', '1270.13', '6.91691', '3212.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1224913', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.734547', '0', '-0.678558', '1189.8', '7', '3205.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1224914', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.0449884', '0', '0.998987', '1186.05', '7.00064', '3205.4', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1224915', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.0898779', '0', '0.995953', '1185.19', '7.00076', '3208.87', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1224916', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.636536', '0', '0.771247', '1184.73', '7', '3212.59', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1224917', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0', '0.731146', '0', '-0.682221', '1214.48', '7', '3308.44', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1224918', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0.749028', '0', '-0.662538', '1215.23', '7', '3309.86', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1224919', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.999707', '0', '0.0242025', '1266.64', '7', '3269.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1224920', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.724287', '0', '-0.689498', '1271.17', '7', '3254.38', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1224921', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.724287', '0', '-0.689498', '1271.38', '7', '3250.14', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1224922', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '-0.0246133', '0', '0.999697', '1272.05', '7', '3251.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1224923', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.734548', '0', '-0.678557', '1270.68', '7', '3263.33', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1224924', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.724287', '0', '-0.689498', '1270.51', '7', '3267.87', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1224925', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '-0.0246026', '0', '0.999697', '1271.73', '7', '3258.41', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1224926', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '-0.0246026', '0', '0.999697', '1271.39', '7', '3265.16', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1224927', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '-0.470288', '0', '0.882513', '1269.28', '7', '3269', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1224928', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.213722', '0', '0.976894', '1271.01', '7', '3247.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1224933', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.0249967', '0', '0.999688', '1398.19', '6.81004', '3236.82', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1224934', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.703267', '0', '0.710925', '1398.52', '9.3527', '3234.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1224935', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.703281', '0', '0.710912', '1398.6', '10.0221', '3233.05', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1224936', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.0149997', '0', '0.999888', '1381.31', '6.88646', '3236.73', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1224937', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.720832', '0', '0.69311', '1381.54', '9.3366', '3234', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1224938', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '1381.44', '10.0036', '3234.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1224939', '0', 'object/static/installation/shared_mockup_mining_ore_harvester_style_1.iff', '0', '-0.0399893', '0', '0.9992', '-5116.31', '75', '-6485.92', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1224940', '0', 'object/static/installation/shared_mockup_mining_ore_harvester_style_1.iff', '0', '-0.0199987', '0', '0.9998', '-5130.67', '75', '-6474.96', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1224943', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '0.692539', '0', '0.72138', '-5244.54', '75', '-6531.91', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1224953', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '-5248.43', '75', '-6531.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1224954', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.0848987', '0', '0.99639', '1351.27', '10.0522', '3112.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1225092', '0', 'object/static/installation/shared_mockup_power_generator_solar_style_1.iff', '0', '0.7068', '0', '0.707413', '-5282.23', '75', '-6574.47', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1225093', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '-0.40319', '0', '0.915116', '-5289.4', '75', '-6572.56', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1225094', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.193767', '0', '0.981048', '-5289.14', '75', '-6571.43', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1225095', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.35695', '0', '0.934124', '-5289.97', '75', '-6572', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1225096', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.17903', '0', '0.983844', '-5290.26', '75', '-6573.03', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1225097', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.841471', '0', '-0.540303', '-5290.94', '75', '-6572.62', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1225103', '0', 'object/static/installation/shared_mockup_power_generator_wind_style_1.iff', '0', '-0.42141', '0', '0.90687', '-5194.98', '75', '-6618.3', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1225104', '0', 'object/static/installation/shared_mockup_power_generator_wind_style_1.iff', '0', '0.741296', '0', '-0.671178', '-5181.53', '75', '-6623.87', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1225107', '0', 'object/static/installation/shared_mockup_power_generator_photo_bio_style_1.iff', '0', '-0.0199987', '0', '0.9998', '-5138.03', '75', '-6624.63', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1225109', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.703282', '0', '0.710911', '1390.07', '7', '3239.82', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1226846', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.0100001', '0', '0.99995', '1239.84', '2.91945', '3251.21', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1226847', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '-0.706825', '0.707388', '0.00056296', '-0.000563409', '1224.84', '7.1848', '3258.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1226848', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0', '-0.706726', '0.707487', '1232.84', '7.1848', '3258.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1226849', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '1218.84', '2.91945', '3251.21', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1226850', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.0149993', '0', '0.999888', '1218.84', '2.91945', '3267.21', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1226851', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0', '-0.706724', '0.707489', '1224.84', '7.1848', '3258.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1226852', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0', '0', '1', '1234.54', '4', '3249.42', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1226853', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0', '0', '1', '1223.36', '4', '3249.43', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1226854', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0', '0', '1', '1234.53', '4', '3268.42', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1226855', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0', '0', '1', '1223.61', '4', '3268.52', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1226856', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0', '0', '1', '1220.33', '1.45011', '3261.44', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1226857', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.434965', '0', '0.900447', '1221.25', '1.45011', '3260.89', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1226858', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.576958', '0', '0.816774', '1220.34', '1.45011', '3260.43', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1226859', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.992713', '0', '-0.120503', '1220.69', '1.45011', '3262.49', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1226861', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.961275', '0', '0.27559', '1219.33', '1.45011', '3262.06', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227834', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.00499997', '0', '0.999987', '1228.45', '1.5', '3259.16', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227837', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '1218.61', '4', '3268.74', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227838', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '1218.15', '4', '3249.01', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227839', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '1239.51', '4', '3249.02', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227840', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '1240.09', '4', '3268.24', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227841', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.961275', '0', '0.27559', '1221.29', '1.5', '3256.76', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227842', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.992713', '0', '-0.120503', '1222.66', '1.5', '3257.19', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227843', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.576958', '0', '0.816774', '1222.3', '1.5', '3255.13', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227844', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.434965', '0', '0.900447', '1223.22', '1.5', '3255.59', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227845', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0', '0', '1', '1222.29', '1.5', '3256.14', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227856', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.999957', '0', '0.00920381', '1233.89', '1.5', '3257.3', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227857', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.924606', '0', '-0.380925', '1235.28', '1.5', '3256.96', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227858', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.338196', '0', '0.941076', '1233.92', '1.5', '3255.38', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227859', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.179029', '0', '0.983844', '1234.94', '1.5', '3255.31', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227860', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0.266732', '0', '0.963771', '1234.42', '1.5', '3256.25', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227861', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.999957', '0', '0.00920381', '1234.99', '1.5', '3263.14', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227862', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.924606', '0', '-0.380925', '1236.39', '1.5', '3262.81', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227863', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.338196', '0', '0.941076', '1235.02', '1.5', '3261.23', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227864', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.179029', '0', '0.983844', '1236.05', '1.5', '3261.15', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227865', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0.266731', '0', '0.963771', '1235.53', '1.5', '3262.1', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227866', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_01.iff', '0', '-0.0149997', '0', '0.999888', '1259.49', '4', '3250.47', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227867', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_01.iff', '0', '-0.0199982', '0', '0.9998', '1259.08', '4', '3266.61', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227868', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0', '0.421411', '0.90687', '1398.5', '11', '3204.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227869', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0', '-0.706725', '0.707488', '1390', '14.1714', '3204.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227870', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '-0.706825', '0.707388', '0.000563', '-0.000563', '1390', '14.1714', '3204.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227871', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0.425939', '0.904751', '-0.000339', '-0.00072', '1381.5', '11.0109', '3204.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227872', '0', 'object/static/structure/tatooine/shared_stair_tatooine_small_style_01.iff', '0', '0.710353', '0', '-0.703845', '1392.16', '2.94942', '3214.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227873', '0', 'object/static/structure/tatooine/shared_stair_tatooine_small_style_01.iff', '0', '0.710915', '0', '0.703277', '1387.93', '2.99215', '3193.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227874', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0.425939', '0.904751', '-0.000339', '-0.00072', '1381.5', '11', '3183.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227875', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '-0.706825', '0.707388', '0.000563', '-0.000563', '1390', '14.1714', '3183', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227876', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0', '-0.706729', '0.707484', '1390', '14.1714', '3183', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227877', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0', '0.421411', '0.90687', '1398.5', '11', '3183', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227878', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0', '-0.706727', '0.707486', '1390', '14.1714', '3162.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227879', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '-0.706825', '0.707388', '0.000563', '-0.000563', '1390', '14.1714', '3162.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227880', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0.425939', '0.904751', '-0.000339', '-0.00072', '1381.5', '11', '3162.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227881', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0', '0.421411', '0.90687', '1398.5', '11', '3162.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227882', '0', 'object/static/structure/tatooine/shared_stair_tatooine_small_style_01.iff', '0', '0.710353', '0', '-0.703845', '1391.85', '2.71913', '3172.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227883', '0', 'object/static/structure/tatooine/shared_stair_tatooine_small_style_01.iff', '0', '0.710915', '0', '0.703277', '1388.11', '2.76185', '3151.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227885', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.713864', '0', '-0.700285', '1394.06', '7.5', '3174.86', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227886', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '1398.84', '9.89738', '3175.14', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227888', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '1390.16', '7.5', '3175.05', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227890', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.713864', '0', '-0.700285', '1394.15', '7.5', '3216.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227891', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '1398.68', '9.89738', '3217.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227892', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.999942', '0', '-0.0107964', '1389.55', '7.5', '3149.69', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227893', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.707953', '0', '0.70626', '1385.66', '7.5', '3149.96', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227894', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.999942', '0', '-0.0107964', '1381.13', '10.977', '3149.94', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227895', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.707953', '0', '0.70626', '1385.58', '7.5', '3191.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227896', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.999942', '0', '-0.0107963', '1389.47', '7.5', '3190.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227897', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '1381.89', '9.93148', '3191.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227900', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '-0.0749297', '0', '0.997189', '1391.04', '7.5', '3207.92', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227901', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.501212', '0', '0.865324', '1392.54', '7.5', '3207.11', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227902', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.25708', '0', '0.96639', '1391.12', '7.5', '3206.13', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227903', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.998952', '0', '-0.0457806', '1391.64', '7.5', '3209.53', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227905', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.937923', '0', '0.346843', '1389.29', '7.5', '3208.62', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227906', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.961275', '0', '0.27559', '1387.88', '7.5', '3199.32', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227907', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.992713', '0', '-0.120503', '1389.8', '7.5', '3199.63', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227908', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.064954', '0', '0.997888', '1389.38', '7.5', '3196.35', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227909', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.434965', '0', '0.900447', '1390.65', '7.5', '3197.17', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227910', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0', '0', '1', '1389.19', '7.5', '3198.04', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227911', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.961275', '0', '0.27559', '1387.82', '7.5', '3188.68', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227912', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.992713', '0', '-0.120503', '1389.7', '7.5', '3189.18', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227913', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.0998337', '0', '0.995004', '1389.06', '7.5', '3185.88', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227914', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.434965', '0', '0.900447', '1390.55', '7.5', '3186.55', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227915', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0', '0', '1', '1389.17', '7.5', '3187.48', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227916', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.961275', '0', '0.27559', '1388.4', '7.5', '3180.16', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227917', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.992713', '0', '-0.120503', '1390.51', '7.5', '3180.87', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227918', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.29552', '0', '0.955337', '1390.13', '7.5', '3177.34', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227919', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.434965', '0', '0.900447', '1391.64', '7.5', '3178.44', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227920', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0', '0', '1', '1389.97', '7.5', '3179.12', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227921', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.961275', '0', '0.27559', '1386.61', '7.5', '3158.9', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227922', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.990105', '0', '-0.140332', '1388.8', '7.5', '3159.26', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227923', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.42141', '0', '0.90687', '1388.16', '7.5', '3156.21', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227924', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.434965', '0', '0.900447', '1389.42', '7.5', '3157.18', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227925', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0', '0', '1', '1387.95', '7.5', '3157.76', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227926', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.915437', '0', '0.402461', '1390.24', '7.5', '3166.75', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227927', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.992713', '0', '-0.120503', '1392.42', '7.5', '3167.5', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227928', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.164252', '0', '0.986418', '1391.71', '7.5', '3164.15', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227929', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.434965', '0', '0.900447', '1393.3', '7.5', '3164.85', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227930', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0', '0', '1', '1391.89', '7.5', '3165.83', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227932', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '1395.72', '11', '3140.59', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227933', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '1386.37', '11', '3140.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227934', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_fruit_stand_large_style_01.iff', '-0.0532188', '-0.279519', '-0.0169535', '0.958514', '1516.08', '6.70559', '3131.68', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227939', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_meat_rack.iff', '0', '-0.492534', '0', '0.870293', '1517.58', '7', '3139.45', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227940', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_meat_rack.iff', '0', '0.773915', '0', '-0.63329', '1517.34', '7', '3135.62', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227949', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0.692536', '0', '0.721383', '1497.21', '7', '3146.91', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227950', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0.692536', '0', '0.721383', '1496.51', '7', '3151.52', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227951', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.734548', '0', '0.678557', '1495.42', '7', '3147.16', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227952', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.300294', '0', '0.953847', '1495.67', '7', '3150.31', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227953', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.439461', '0', '0.898262', '1496.2', '7', '3145.52', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227954', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.990327', '0', '-0.138755', '1498.38', '7', '3148.07', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227955', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.998444', '0', '0.0557673', '1497.48', '7', '3152.76', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227956', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '0', '0.00500072', '0', '0.999987', '1497.04', '7', '3148.92', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227957', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_fruit_stand_small_style_01.iff', '0', '0.609159', '0', '0.793048', '1493.91', '7', '3137.8', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227958', '0', 'object/building/tatooine/shared_shuttleport_tatooine.iff', '0', '-0.707106', '0', '0.707107', '1730.88', '7', '3204.61', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227981', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.764329', '0', '-0.644826', '1758.14', '7', '3188.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227983', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.764329', '0', '-0.644826', '1766.03', '7', '3189.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227987', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.764329', '0', '-0.644826', '1773.91', '7', '3191.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227998', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.645435', '0', '0.763816', '1614.25', '11', '3281.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1227999', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.995415', '0', '-0.0956519', '1612.97', '7', '3330.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1228001', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.968713', '0', '-0.248182', '1623', '7', '3327.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1228002', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '-0.585094', '0', '0.810965', '1629.8', '7', '3320.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1228004', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '-0.470625', '0', '0.882333', '1627.09', '7', '3311.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1228006', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.664324', '0', '0.747444', '1602.84', '7', '3316.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1228007', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.831384', '0', '0.555698', '1603.6', '7', '3327.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1228013', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0', '0', '1', '1617.75', '11', '3238', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1228014', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '1618', '11', '3241', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1228018', '0', 'object/static/structure/tatooine/shared_wall_gate_tatooine_style_03.iff', '0', '0', '0', '1', '1617.75', '11', '3245', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1228020', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '1618', '11', '3236', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1228021', '0', 'object/static/terrain/tatooine/shared_rock_spire_fin_tatooine.iff', '0', '0.992098', '0', '-0.125465', '1701.72', '12', '3363.62', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1231833', '0', 'object/static/installation/shared_mockup_mining_liquid_harvester_style_1.iff', '0', '0.999899', '0', '0.0142034', '1592.04', '11', '3193.11', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1231834', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '1577.17', '11', '3165.78', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1231835', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '1609.3', '11', '3197.59', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1231836', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '1579.02', '11', '3291.6', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1231837', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '1615.11', '11', '3251.87', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1231838', '0', 'object/static/installation/shared_mockup_power_generator_solar_style_1.iff', '0', '0.696135', '0', '0.717911', '1601.02', '22.9848', '3222.95', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1231840', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '1607.06', '11', '3283.34', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1231841', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '-0.543835', '0', '0.839192', '1606.13', '7', '3332.99', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1231842', '0', 'object/static/installation/shared_mockup_power_generator_wind_style_1.iff', '0', '0', '0', '1', '1608.3', '11', '3277.72', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1231871', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_01.iff', '0', '-0.00499998', '0', '0.999987', '1341.59', '7', '2982.83', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1231872', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.720831', '0', '-0.693111', '1357.05', '7', '3002.27', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1231873', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.720831', '0', '-0.693111', '1356.61', '7', '3013.49', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1231875', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.720831', '0', '-0.693111', '1398.89', '7', '3003.68', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1231876', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.720831', '0', '-0.693111', '1398.45', '7', '3014.89', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1231877', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.707083', '0', '0.70713', '1402.76', '7', '3025.42', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1231878', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.707083', '0', '0.70713', '1415.19', '7', '3025.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1231879', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '1411.33', '7', '3025.68', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1231880', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '1417.55', '7', '3025.8', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1231896', '0', 'object/static/installation/shared_mockup_mining_liquid_harvester_style_1.iff', '0', '0.710356', '0', '-0.703843', '1534.91', '7', '2983.38', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1231898', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '1536.89', '7', '3002.01', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1232833', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '1444.24', '7', '2968.38', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1232834', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '1492.26', '7', '2970.21', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1232835', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.0249986', '0', '0.999687', '1428.58', '7', '3001.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1232836', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.024999', '0', '0.999687', '1428.8', '7', '2993.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1232839', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '1486.25', '7', '3042.55', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1232840', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '1489.44', '7', '3001.17', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1232856', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.00579628', '0', '0.999983', '1362.97', '7', '3060.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1232859', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '-0.00580897', '0', '0.999983', '1362.77', '6.1151', '3049', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1232860', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.711196', '0', '-0.702995', '1361.99', '7', '3051.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1232862', '0', 'object/static/structure/tatooine/shared_guild_statue_free_style_01.iff', '0', '0', '0', '1', '1366.65', '9.18228', '3055.9', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1232906', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '1281.21', '7', '3181.03', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1232910', '0', 'object/building/tatooine/shared_shuttleport_tatooine.iff', '0', '-0.703273', '0', '0.71092', '1395.66', '7', '3487.01', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1232911', '0', 'object/building/tatooine/shared_parking_garage_tatooine_style_1.iff', '0', '0.99999', '0', '0.00460219', '1456.73', '7', '3471.41', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1232912', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '0.713864', '0', '0.700284', '1421.89', '7', '3497.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1232913', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.713864', '0', '0.700284', '1434.39', '6.28023', '3497.64', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1232914', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.713864', '0', '0.700285', '1426.63', '7', '3497.54', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1232916', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.713864', '0', '0.700285', '1418.13', '7', '3497.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1232917', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.713864', '0', '0.700285', '1443.04', '7', '3497.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1232918', '0', 'object/static/structure/tatooine/shared_wall_damaged_tatooine_large_style_01.iff', '0', '-0.700288', '0', '0.713861', '1413.4', '6.28023', '3498.55', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1232919', '0', 'object/static/vehicle/shared_player_shuttle.iff', '0', '0.992148', '0', '-0.125071', '1431.44', '7', '3483.2', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1232957', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_01.iff', '0', '0.710353', '0', '-0.703845', '1343.66', '7', '3380.08', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1232958', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.710353', '0', '-0.703845', '1343.76', '7', '3369.08', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1232959', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.710353', '0', '-0.703845', '1343.56', '7', '3391.08', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1232960', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '0.710353', '0', '-0.703845', '1343.46', '7', '3402.08', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1232961', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '0.710353', '0', '-0.703845', '1343.85', '7', '3359.08', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1232963', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.710353', '0', '-0.703845', '1331.46', '7', '3401.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1232965', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.710353', '0', '-0.703845', '1331.85', '7', '3358.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1232981', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.0050155', '0', '0.999987', '1315.39', '7', '3363.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1232982', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.703487', '0', '0.710708', '1319.3', '7', '3359.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1232983', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.710354', '0', '0.703845', '1324.2', '7', '3358.29', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1232984', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.710354', '0', '0.703845', '1315.56', '7', '3358.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1232988', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.699706', '0', '0.714431', '1352.72', '7', '3359.05', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1232989', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.999945', '0', '-0.0104151', '1356.75', '7', '3362.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1232990', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.0100002', '0', '0.99995', '1357.64', '7', '3367.82', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1232991', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.0100002', '0', '0.99995', '1357.38', '7', '3359.18', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1232992', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.0100002', '0', '0.99995', '1348.82', '7', '3359.44', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1232993', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.999958', '0', '0.00918806', '1356.44', '7', '3397.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1232994', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.700524', '0', '0.713628', '1352.41', '7', '3401.54', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1232995', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.713863', '0', '-0.700285', '1347.49', '7', '3402.24', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1232996', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.713863', '0', '-0.700285', '1356.13', '7', '3402.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1232997', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.713863', '0', '-0.700285', '1356.2', '7', '3393.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1232998', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.00499998', '0', '0.999987', '1364.05', '7', '3372.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1232999', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.00499998', '0', '0.999987', '1363.84', '7', '3389.08', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233000', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.378059', '0', '0.925781', '1362.3', '7', '3369.89', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233001', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.921955', '0', '0.387298', '1361.68', '7', '3389.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233003', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '0.999991', '0', '0.00420341', '1363.29', '7', '3380.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233005', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '-0.00500029', '0', '0.999987', '1363.83', '7', '3373.94', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233006', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.00499998', '0', '0.999987', '1364.07', '7', '3376.08', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233012', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.00499998', '0', '0.999987', '1363.92', '7', '3385.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233013', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '-0.00499998', '0', '0.999987', '1363.7', '7', '3386.89', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233017', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.543834', '0', '0.839193', '1360.13', '7', '3392.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233018', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '-0.543834', '0', '0.839193', '1358.35', '7', '3392.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233020', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.816314', '0', '-0.577609', '1360.28', '7', '3369.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233021', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.816314', '0', '-0.577609', '1358.59', '7', '3368.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233022', '0', 'object/static/structure/tatooine/shared_guild_banner_free_style_01.iff', '0', '0.29552', '0', '0.955337', '1359.15', '7', '3388.93', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233023', '0', 'object/static/structure/tatooine/shared_guild_banner_free_style_01.iff', '0', '0.918788', '0', '0.394751', '1360.58', '7', '3371.87', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233024', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.999957', '0', '0.00920322', '1353.67', '7', '3380.04', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233025', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.999983', '0', '0.00579542', '1314.32', '7', '3401.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233026', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.00537567', '0', '0.999986', '1315.06', '7', '3397.37', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233027', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.703286', '0', '0.710907', '1318.97', '7', '3401.37', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233028', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.999983', '0', '0.00579513', '1322.69', '7', '3401.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233030', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.00460144', '0', '0.999989', '1314.99', '7', '3409.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233031', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '-0.693657', '0', '0.720305', '1254.26', '7', '3314.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233032', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.999957', '0', '0.009203', '1342.82', '7', '3338.42', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233034', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.999957', '0', '0.009203', '1312.94', '7', '3337.98', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233037', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.999957', '0', '0.009203', '1367.07', '7', '3339.07', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233038', '0', 'object/building/tatooine/shared_cloning_facility_tatooine.iff', '0', '0.717356', '0', '0.696707', '1305.65', '7', '3456.02', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233039', '1233038', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233040', '1233038', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233041', '1233038', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233042', '1233038', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233043', '1233038', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233044', '1233038', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233045', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.792561', '0', '0.609792', '1623.47', '4.66026', '3477.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233046', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.804599', '0', '-0.593819', '1618.72', '5.76429', '3475.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233048', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.479425', '0', '0.877583', '1613.37', '5.94082', '3471.22', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233050', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.479425', '0', '0.877583', '1599.91', '7.34228', '3462.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233051', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.479425', '0', '0.877583', '1606.64', '6.35071', '3466.89', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233061', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.539632', '0', '0.841901', '1623.42', '5.97061', '3440.22', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233063', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.461779', '0', '0.886995', '1616.87', '6.36434', '3435.63', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233065', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.816314', '0', '-0.577609', '1628.92', '5.69895', '3445.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233067', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.461779', '0', '0.886995', '1610.32', '7', '3431.04', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233069', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.685287', '0', '0.728273', '1585.31', '7', '3421.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233074', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_10.iff', '0', '0.928369', '0', '-0.37166', '1575.48', '14.9793', '3505.84', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233077', '0', 'object/static/structure/tatooine/shared_stair_tatooine_large_style_02.iff', '0', '0.997888', '0.0649542', '0', '1544.15', '0.0694312', '3463.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233078', '0', 'object/static/structure/tatooine/shared_bridge_tatooine_small_style_01.iff', '0', '0', '0', '1', '1544.05', '14.7582', '3477.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233079', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.706824', '0', '0.707389', '1562.35', '14.2927', '3480.79', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233081', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.706824', '0', '0.707389', '1554.35', '13.9692', '3480.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233084', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '1', '0', '0.000400528', '1569.13', '14.2906', '3487.89', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233085', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '1', '0', '0.000400528', '1569.19', '14.366', '3480.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233086', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.70739', '0', '-0.706823', '1536.73', '13.6699', '3477.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233089', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.000400983', '0', '1', '1529.89', '13.6699', '3477.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233098', '0', 'object/static/structure/tatooine/shared_wall_gate_tatooine_style_01.iff', '0', '0', '0', '1', '1332.69', '7', '3472.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233099', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.999988', '0', '-0.00500152', '1332.2', '7', '3485.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233100', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.999988', '0', '0.00500005', '1331.94', '7', '3476.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233101', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '0.0299935', '0', '0.99955', '1332.38', '7', '3464.16', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233102', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.693112', '0', '0.72083', '1331.91', '7', '3468.96', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233107', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.716801', '0', '-0.697277', '1331.58', '7', '3443.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233108', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.000810925', '0', '1', '1332.4', '7', '3451.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233109', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.00919892', '0', '0.999958', '1332.59', '7', '3460.28', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233110', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.01921', '0', '0.999815', '1331.79', '7', '3426.16', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233111', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.999987', '0', '0.00500071', '1330.85', '7', '3417.35', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233112', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.700279', '0', '0.713869', '1323.24', '7', '3418.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233113', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.707388', '0', '-0.706826', '1314.2', '7', '3418.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233114', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '0.029993', '0', '0.99955', '1332.17', '7', '3438.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233115', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.0091978', '0', '0.999958', '1332.38', '7', '3434.81', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233116', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.696691', '0', '0.717371', '1374.42', '7', '3499.22', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233117', '0', 'object/static/structure/tatooine/shared_wall_gate_tatooine_style_01.iff', '0', '1', '0', '1.49012e-08', '1277.4', '7', '3443.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233118', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.00500192', '0', '0.999987', '1277.89', '7', '3430.49', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233119', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.00500006', '0', '0.999987', '1278.15', '7', '3439.54', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233120', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '0.99955', '0', '-0.0299935', '1277.71', '7', '3452.04', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233121', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.72083', '0', '0.693112', '1278.18', '7', '3447.25', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233122', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '0.99955', '0', '-0.0299935', '1277.92', '7', '3477.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233123', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.999958', '0', '0.00919803', '1277.71', '7', '3481.39', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233124', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.999958', '0', '0.00919904', '1277.5', '7', '3455.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233125', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.697265', '0', '0.716814', '1278.52', '7', '3472.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233126', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '1', '0', '-0.000810921', '1277.69', '7', '3464.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233127', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.999815', '0', '-0.01921', '1278.31', '7', '3490.04', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233128', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.00500107', '0', '0.999987', '1279.24', '7', '3498.85', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233129', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.713867', '0', '0.700281', '1303.54', '7', '3497.8', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233130', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.706926', '0', '0.707287', '1295.89', '7', '3497.54', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233131', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.713867', '0', '0.700281', '1286.94', '7', '3498.05', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233132', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.0449848', '0', '0.998988', '1278.27', '7', '3422.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233133', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.99877', '0', '-0.0495867', '1293.15', '7', '3412.25', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233134', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.999216', '0', '-0.0395979', '1293.51', '7', '3419.89', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233135', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.747974', '0', '0.663727', '1285.84', '7', '3421.13', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233139', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.999983', '0', '0.00579513', '1292.16', '7', '3403.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233140', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.00537613', '0', '0.999986', '1292.9', '7', '3399.87', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233142', '0', 'object/static/installation/shared_mockup_mining_liquid_harvester_style_1.iff', '0', '-0.703252', '0', '0.710941', '1305.35', '7', '3409.68', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233143', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '1281.51', '7', '3494.58', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233144', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '1302.9', '7', '3398.49', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233146', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '1317.06', '7', '3409.29', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233147', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0.0399893', '0', '0.9992', '1364.91', '7.19619', '3494.34', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233148', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.72083', '0', '-0.693111', '1503.25', '7', '3361.24', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233149', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_01.iff', '0', '0.72083', '0', '-0.693111', '1502.82', '7', '3372.23', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233150', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.72083', '0', '-0.693111', '1502.39', '7', '3383.23', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233151', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.72083', '0', '-0.693111', '1570.93', '7', '3365.93', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233152', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_01.iff', '0', '0.72083', '0', '-0.693111', '1570.5', '7', '3376.92', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233156', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.999899', '0', '0.0142026', '1545.82', '7', '3413.23', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233157', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.999899', '0', '0.0142026', '1523.83', '7', '3412.61', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233160', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '0.69727', '0', '0.716809', '1534.93', '7', '3422.72', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233161', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.717356', '0', '-0.696707', '1541.01', '7', '3423.38', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233162', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.717356', '0', '-0.696707', '1542.87', '7', '3423.63', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233163', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.717356', '0', '-0.696707', '1538.86', '7', '3423.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233164', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.717356', '0', '-0.696707', '1525.87', '7', '3423.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233165', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.717356', '0', '-0.696707', '1528.06', '7', '3423', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233166', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.717356', '0', '-0.696707', '1529.91', '7', '3423.25', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233167', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '-0.380189', '0', '0.924909', '1563.42', '7', '3412.64', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233168', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.380189', '0', '0.924909', '1564.86', '7', '3411.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233169', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '0.92521', '0', '0.379455', '1558.78', '7', '3416.64', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233170', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.380189', '0', '0.924909', '1562.09', '7', '3414.34', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233171', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.380189', '0', '0.924909', '1552.88', '7', '3423.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233172', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '-0.380189', '0', '0.924909', '1554.3', '7', '3421.86', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233173', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.380189', '0', '0.924909', '1555.75', '7', '3420.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233174', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.945784', '0', '-0.324796', '1516.32', '7', '3420.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233175', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.945784', '0', '-0.324796', '1517.31', '7', '3422.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233176', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '0.325545', '0', '0.945526', '1512.96', '7', '3415.42', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233177', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.945784', '0', '-0.324796', '1514.8', '7', '3418.99', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233178', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.945784', '0', '-0.324796', '1506.89', '7', '3408.68', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233179', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.945784', '0', '-0.324796', '1508.36', '7', '3410.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233180', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.945784', '0', '-0.324796', '1509.35', '7', '3411.89', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233181', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.714141', '0', '-0.700001', '1467.72', '7', '3409.19', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233188', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '0.714144', '0', '-0.699999', '1481.36', '7', '3409.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233192', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.999987', '0', '0.00499998', '1494.07', '7', '3408.79', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233196', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.99995', '0', '0.0100001', '1476.37', '7', '3408.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233197', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.99995', '0', '0.0100001', '1485.37', '7', '3408.64', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233205', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.714141', '0', '-0.700001', '1467.61', '7', '3417.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233207', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.703539', '0', '0.710657', '1495.05', '7', '3417.05', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233211', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '0.699987', '0', '0.714155', '1481.2', '7', '3434.85', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233215', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.0100001', '0', '0.99995', '1468.3', '7', '3435.24', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233219', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.0100001', '0', '0.99995', '1486.18', '7', '3435.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233220', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.0100001', '0', '0.99995', '1477.18', '7', '3435.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233223', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '-0.0100021', '0', '0.99995', '1468.28', '7', '3421.96', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233228', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.714141', '0', '-0.700001', '1467.43', '7', '3426.94', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233231', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '0.999987', '0', '0.00500198', '1494.25', '7', '3422.05', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233232', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.703539', '0', '0.710657', '1494.91', '7', '3434.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233235', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.703539', '0', '0.710657', '1494.96', '7', '3426.05', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233249', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_01.iff', '0', '0.999991', '0', '0.00420347', '1481.19', '7', '3422.63', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233250', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0', '0', '1', '1489.83', '7', '3430.69', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233252', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.576958', '0', '0.816774', '1491.42', '7', '3430.14', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233253', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.992713', '0', '-0.120503', '1490.35', '7', '3432.06', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233254', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '0', '0', '0', '1', '1489.79', '7', '3430.7', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233255', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.961275', '0', '0.27559', '1488.17', '7', '3431.37', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233260', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0', '0', '1', '1489.14', '7', '3413.72', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233261', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.754571', '0', '-0.656219', '1490.35', '7', '3413.09', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233262', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '0', '0', '0', '1', '1489.11', '7', '3413.74', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233263', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.961275', '0', '0.27559', '1487.74', '7', '3414.73', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233273', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0', '0', '1', '1473.03', '7', '3413.44', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233274', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.434965', '0', '0.900447', '1474.37', '7', '3412.48', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233276', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.992713', '0', '-0.120503', '1473.48', '7', '3414.86', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233277', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '0', '0', '0', '1', '1473', '7', '3413.45', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233278', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.961275', '0', '0.27559', '1471.46', '7', '3414.3', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233279', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.198668', '0', '0.980067', '1489.99', '7', '3428.84', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233833', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.961275', '0', '0.27559', '1471.48', '7', '3430.94', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233834', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '0', '0', '0', '1', '1473.16', '7', '3430.22', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233835', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.754571', '0', '-0.656219', '1474.66', '7', '3429.45', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233836', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0', '0', '1', '1473.19', '7', '3430.21', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233845', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.999958', '0', '0.009209', '1512.04', '7', '3336.66', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233875', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '-0.0299955', '0', '0.99955', '1514.58', '7', '3332.73', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233886', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.717356', '0', '-0.696707', '1572.88', '7', '3351.82', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233887', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.717356', '0', '-0.696707', '1571.03', '7', '3351.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233888', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.717356', '0', '-0.696707', '1568.84', '7', '3351.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233889', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.717356', '0', '-0.696707', '1581.83', '7', '3352.14', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233890', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.717356', '0', '-0.696707', '1585.84', '7', '3352.2', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233891', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.717356', '0', '-0.696707', '1583.98', '7', '3351.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233892', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '0.697279', '0', '0.7168', '1577.9', '7', '3351.28', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233893', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.710353', '0', '-0.703846', '1440.17', '7', '3183.14', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233894', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '-0.706967', '0', '0.707247', '1439.57', '7', '3204.41', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233895', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '-0.706706', '0', '0.707507', '1439.06', '7', '3225.91', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233897', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.710353', '0', '-0.703846', '1469.79', '7', '3187.72', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233898', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '-0.706969', '0', '0.707245', '1469.19', '7', '3208.98', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233899', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '-0.706726', '0', '0.707487', '1440.16', '7', '3160.41', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233900', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '-0.706973', '0', '0.707241', '1440.67', '7', '3138.9', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233901', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.710353', '0', '-0.703846', '1441.27', '7', '3117.63', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233902', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0', '0', '1', '1478.6', '7.60083', '3263.4', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233903', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0', '0', '1', '1473.97', '7.60083', '3262.89', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233904', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.059964', '0', '0.998201', '1478.1', '7.60083', '3262.36', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233905', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.443948', '0', '0.896053', '1474.62', '7.60083', '3262.25', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233906', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '-0.305059', '0', '0.952333', '1479.67', '7.60083', '3263.18', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233907', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.810497', '0', '0.585743', '1478.03', '7.60083', '3264.26', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233908', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.810497', '0', '0.585743', '1473.29', '7.60083', '3263.39', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233909', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '0', '-0.688926', '0', '0.724831', '1476.58', '7.60083', '3263.31', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233910', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '1441.55', '7', '3128.11', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233911', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '1440.49', '7', '3168.89', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233912', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '1439.69', '7.01089', '3194.11', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233913', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '1439.27', '7', '3215.64', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233914', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0.556361', '0', '0.830941', '1466.84', '7', '3167.47', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233915', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '-0.0699428', '0', '0.997551', '1464.43', '7', '3171.53', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233916', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.466208', '0', '0.884675', '1465.7', '7', '3166.07', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233917', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.783327', '0', '-0.62161', '1466.15', '7', '3171.91', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233918', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '-0.568763', '0', '0.822501', '1468.61', '7', '3166.91', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233919', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.99936', '0', '0.0357886', '1466.6', '7', '3169.31', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233920', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.80162', '0', '0.597834', '1463.04', '7', '3171.23', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233921', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '0', '-0.169183', '0', '0.985585', '1465.32', '7', '3168.92', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233922', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '-0.522687', '0', '0.852525', '1462.66', '7', '3115.5', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233923', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '-0.522687', '0', '0.852525', '1458.03', '7', '3114.99', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233924', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.0499792', '0', '0.99875', '1462.06', '7', '3113.68', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233925', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.846832', '0', '-0.531861', '1459.13', '7', '3116.01', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233926', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.757843', '0', '-0.652437', '1464.05', '7', '3115.98', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233927', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.978899', '0', '0.204347', '1461.98', '7', '3117.13', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233928', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.384808', '0', '0.922996', '1456.86', '7', '3113.77', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233929', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '0', '0.966185', '0', '-0.25785', '1460.65', '7', '3115.42', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233931', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '0', '0.706825', '0', '0.707388', '1465.64', '7', '3126.32', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233943', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.757843', '0', '-0.652437', '1468.27', '7', '3128.44', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233944', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '-0.470626', '0', '0.882333', '1467.97', '7', '3126.26', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233945', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '-0.522687', '0', '0.852524', '1468.46', '7', '3127.31', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233946', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_large.iff', '0', '-0.640385', '0', '0.768054', '1464.78', '7', '3154.29', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233948', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_fruit_stand_small_style_01.iff', '0', '-0.620988', '0', '0.78382', '1467.08', '7', '3151.48', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233949', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_meat_rack.iff', '0', '0.479426', '0', '0.877583', '1467.07', '7', '3156.42', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233951', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '1468.18', '7', '3198.17', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233971', '0', 'object/building/tatooine/shared_hotel_tatooine_style_01.iff', '0', '-0.0149997', '0', '0.999888', '1536.53', '7', '3374.25', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233972', '1233971', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233973', '1233971', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620089', '1233973', 'object/static/structure/general/shared_data_terminal_wall_s3.iff', '0', '0.00499499', '0', '0.999988', '-2.21298', '0.999959', '19.6633', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620090', '1233973', 'object/static/structure/general/shared_data_terminal_wall_s3.iff', '0', '-0.00500246', '0', '0.999987', '2.33298', '0.999959', '19.6738', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620091', '1233973', 'object/tangible/furniture/modern/shared_cabinet_modern_style_01.iff', '0', '-0.00500246', '0', '0.999987', '-3.5203', '0.999959', '18.882', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620092', '1233973', 'object/tangible/furniture/modern/shared_cabinet_modern_style_01.iff', '0', '-0.00500246', '0', '0.999987', '3.46004', '0.999959', '18.882', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620093', '1233973', 'object/tangible/furniture/tatooine/shared_frn_tatt_cantina_droid_detector.iff', '0', '0.761092', '0', '0.648643', '-7.4316', '0.999959', '20.3598', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620094', '1233973', 'object/tangible/furniture/tatooine/shared_frn_tatt_cantina_droid_detector.iff', '0', '0.767545', '0', '-0.640995', '7.35414', '0.999959', '20.4521', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620095', '1233973', 'object/static/item/shared_item_tapestry_tatooine.iff', '0', '0.703545', '0', '0.710651', '-2.1093', '0.999959', '18.882', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233974', '1233971', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620096', '1233974', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '0.00999483', '0', '0.99995', '-0.0403221', '0.999953', '17.8633', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620097', '1233974', 'object/static/item/shared_item_fruit_melon.iff', '0', '0.174106', '0', '0.984727', '-0.0934743', '1.79052', '17.875', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620098', '1233974', 'object/static/item/shared_item_fruit_melon.iff', '0.203152', '-0.426055', '0.443899', '0.761682', '0.193178', '1.79052', '17.7149', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620099', '1233974', 'object/static/item/shared_item_fruit_melon.iff', '0', '-0.488179', '0', '0.872743', '-0.20872', '1.79052', '17.6694', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620100', '1233974', 'object/static/item/shared_item_fruit_melon.iff', '-0.230266', '-0.164335', '-0.0589925', '0.957336', '0.194032', '1.79052', '17.9008', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620101', '1233974', 'object/static/item/shared_item_bowl_shallow.iff', '0', '0', '0', '1', '0.0708657', '1.79052', '17.6917', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620102', '1233974', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '0.999983', '0', '-0.00579446', '-2.79798', '0.999955', '18.0485', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620103', '1233974', 'object/static/item/shared_item_painting_corellia_style_01.iff', '0', '-0.706826', '0', '0.707387', '-1.7441', '1.69566', '18.4714', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620104', '1233974', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '0', '0', '1', '2.31931', '0.999954', '17.9599', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620105', '1233974', 'object/static/item/shared_item_painting_corellia_style_02.iff', '0', '-0.707091', '0', '0.707123', '1.99325', '1.69566', '18.4714', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233975', '1233971', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106102', '1233975', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0', '0', '1', '0.440787', '1', '-22.1515', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106103', '1233975', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0', '0', '1', '4.50948', '1', '-22.1639', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106104', '1233975', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0', '0', '1', '8.45737', '1', '-22.1371', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620108', '1233975', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.488174', '0', '0.872746', '1.75897', '0.999997', '1.23612', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620109', '1233975', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.900099', '0', '0.435684', '1.91225', '0.999999', '-1.29234', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620110', '1233975', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0.014997', '0', '0.999888', '0.367145', '0.999994', '0.0678522', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620111', '1233975', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '-0.311334', '0', '0.9503', '-0.76874', '0.999992', '1.4185', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620112', '1233975', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.934409', '0', '-0.356201', '-0.927417', '0.999999', '-1.22689', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620113', '1233975', 'object/tangible/furniture/modern/shared_couch_modern_style_02.iff', '0', '-0.703281', '0', '0.710912', '8.83897', '1.00001', '5.6668', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620114', '1233975', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.950548', '0', '0.310579', '7.33756', '1.00001', '11.4359', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620115', '1233975', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.950548', '0', '0.310579', '4.13411', '1', '11.2905', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620116', '1233975', 'object/tangible/furniture/modern/shared_end_table_large_modern_style_01.iff', '0', '0.713865', '0', '-0.700284', '5.5835', '1.00001', '11.5584', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620117', '1233975', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '-0.696157', '0', '0.71789', '6.16709', '0.999996', '5.57483', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620118', '1233975', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.875563', '0', '-0.483104', '8.72905', '1.00001', '-6.07795', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620119', '1233975', 'object/tangible/furniture/modern/shared_end_table_large_modern_style_01.iff', '0', '0.0249939', '0', '0.999688', '9.09561', '1.00001', '-8.01232', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620120', '1233975', 'object/tangible/furniture/modern/shared_couch_modern_style_02.iff', '0', '-0.366276', '0', '0.930506', '7.64401', '1.00001', '-10.6179', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233976', '1233971', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106097', '1233976', 'object/tangible/gambling/slot/shared_standard.iff', '0', '-0.706826', '0', '0.707388', '26.4483', '1.28309', '4.50794', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106098', '1233976', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.703279', '0', '0.710914', '14.0718', '1.28309', '6.43775', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106099', '1233976', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.703278', '0', '0.710915', '14.0351', '1.28309', '-6.2812', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106100', '1233976', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '0', '0', '1', '20.185', '1.28309', '5.74463', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620124', '1233976', 'object/static/item/shared_item_tank_bubble.iff', '0', '0.910709', '0', '0.413048', '17.333', '2.67296', '11.5042', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620125', '1233976', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.38166', '0', '0.924303', '15.9297', '1.28309', '-3.1513', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620126', '1233976', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.870683', '0', '0.491844', '15.5566', '1.28309', '-0.0950985', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620127', '1233976', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_3.iff', '0', '0.934407', '0', '0.356207', '17.1934', '1.28309', '-1.32203', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620128', '1233976', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_3.iff', '0', '0.891208', '0', '-0.453595', '18.8119', '1.28309', '-0.00638117', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620129', '1233976', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_2.iff', '0', '0.999687', '0', '0.0249991', '22.8624', '1.28309', '-5.65207', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620130', '1233976', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_3.iff', '0', '0.70739', '0', '-0.706824', '24.9578', '1.28309', '-5.31181', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620131', '1233976', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.998988', '0', '0.044986', '22.5867', '1.28309', '-3.67945', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620132', '1233976', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.999707', '0', '0.0242023', '20.114', '1.28309', '7.83035', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620133', '1233976', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_3.iff', '0', '0.745706', '0', '-0.666275', '22.5099', '1.28309', '6.45305', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620134', '1233976', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_3.iff', '0', '0.706834', '0', '0.707379', '17.9979', '1.28309', '5.48802', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620136', '1233976', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '-0.0449874', '0', '0.998988', '20.369', '1.28309', '3.85582', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620137', '1233976', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.913413', '0', '0.407033', '21.4323', '1.28309', '2.03919', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620138', '1233976', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.969944', '0', '-0.243326', '24.4654', '1.28309', '2.56706', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620139', '1233976', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_3.iff', '0', '0.922691', '0', '-0.385541', '23.3232', '1.28309', '0.869676', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620140', '1233976', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_3.iff', '0', '-0.333489', '0', '0.942754', '24.7193', '1.28309', '-0.679579', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620141', '1233976', 'object/static/item/shared_item_glass_metal.iff', '0', '0', '0', '1', '23.1097', '1.28309', '0.743633', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620142', '1233976', 'object/static/item/shared_item_glass_metal.iff', '0', '0', '0', '1', '17.2419', '1.28309', '-1.09615', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620143', '1233976', 'object/static/item/shared_item_glass_metal.iff', '0', '0', '0', '1', '22.5811', '1.28309', '-5.42525', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620144', '1233976', 'object/static/item/shared_item_glass_metal.iff', '0', '0', '0', '1', '23.2905', '1.28309', '-5.53573', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620145', '1233976', 'object/static/item/shared_item_con_plate_s1_full.iff', '0', '0', '0', '1', '16.9117', '2.04204', '-1.54588', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620146', '1233976', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '-0.0242028', '0', '0.999707', '22.8419', '1.28309', '-7.65404', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620147', '1233976', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_3.iff', '0', '0.666275', '0', '0.745706', '20.4455', '1.28309', '-6.2766', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620148', '1233976', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.0157938', '0', '0.999875', '13.7289', '1.28309', '-13.1206', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620149', '1233976', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_2.iff', '0', '0.999888', '0', '-0.0149981', '13.9095', '1.28309', '-11.1267', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620150', '1233976', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.999987', '0', '0.00500069', '13.7924', '1.28309', '-9.13833', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620151', '1233976', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '22.8521', '1.28309', '-5.9505', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620152', '1233976', 'object/static/item/shared_item_music_microphone_s1.iff', '0', '-0.361617', '0', '0.932327', '22.2398', '2.03815', '-14.0196', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620153', '1233976', 'object/static/item/shared_item_music_microphone_s1.iff', '0', '-0.539635', '0', '0.841899', '21.3788', '2.03815', '-16.0025', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620154', '1233976', 'object/static/item/shared_item_music_microphone_s1.iff', '0', '-0.124679', '0', '0.992197', '24.2028', '2.03815', '-13.2558', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233977', '1233971', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620164', '1233977', 'object/tangible/furniture/modern/shared_end_table_large_modern_style_01.iff', '0', '0.999958', '0', '0.00920578', '-26.1117', '1.58763', '0.379778', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620166', '1233977', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.576956', '0', '0.816775', '-25.6902', '1.58027', '1.79514', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620167', '1233977', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.452882', '0', '0.89157', '-25.8206', '1.59591', '-1.19871', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620168', '1233977', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.129636', '0', '0.991562', '-22.5541', '1.59716', '-1.37174', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620171', '1233977', 'object/static/structure/general/shared_data_terminal_free_s1.iff', '0', '0.886626', '0', '0.462487', '-24.0788', '1.6', '10.8314', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620172', '1233977', 'object/static/structure/general/shared_data_terminal_wall_s2.iff', '0', '0.904411', '0', '0.426662', '-25.7581', '1.6', '8.72759', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620173', '1233977', 'object/tangible/furniture/all/shared_frn_all_lamp_desk_s01.iff', '0', '0.891205', '0', '0.4536', '-18.8709', '2.80167', '12.5279', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620174', '1233977', 'object/tangible/furniture/all/shared_frn_all_lamp_desk_s01.iff', '0', '0.891205', '0', '0.4536', '-21.6108', '2.80167', '8.75859', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620175', '1233977', 'object/tangible/furniture/all/shared_frn_all_lamp_desk_s01.iff', '0', '0.891205', '0', '0.4536', '-23.299', '2.80167', '6.43604', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620176', '1233977', 'object/tangible/furniture/all/shared_frn_all_lamp_desk_s01.iff', '0', '0', '0', '1', '-24.8065', '2.79645', '5.65576', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785524', '1233977', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-16.6086', '1.00089', '5.31196', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233978', '1233971', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233979', '1233971', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106105', '1233979', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '-0.188861', '0', '0.982004', '-5.8943', '1.6', '-11.6891', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106106', '1233979', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '-0.52984', '0', '0.848098', '-6.74327', '1.6', '-11.4171', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106107', '1233979', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '-0.21668', '0', '0.976243', '-8.07715', '1.6', '-15.8916', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106108', '1233979', 'object/tangible/gambling/table/shared_table_base.iff', '0', '0', '0', '1', '-6.20055', '1.6', '-10.236', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106109', '1233979', 'object/tangible/gambling/table/shared_table_base.iff', '0', '0.999899', '0', '0.014203', '-6.48755', '1.6', '-16.202', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620238', '1233979', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '-0.366275', '0', '0.930507', '-5.16552', '1.6', '-16.8128', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620240', '1233979', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_03.iff', '0', '1', '0', '-0.000792381', '-6.58397', '1.6', '-13.1169', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620241', '1233979', 'object/tangible/furniture/modern/shared_cabinet_modern_style_01.iff', '0', '0.999991', '0', '0.00420735', '-7.59038', '1.6', '-5.22813', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620242', '1233979', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff', '0', '-0.00420738', '0', '0.999991', '-6.36445', '1.6', '-18.9871', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620245', '1233979', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.961274', '0', '0.275593', '-7.15452', '1.6', '-14.6009', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620247', '1233979', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.963559', '0', '-0.267495', '-4.70885', '1.6', '-9.58466', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620248', '1233979', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.449842', '0', '0.893108', '-7.76045', '1.6', '-16.8232', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620249', '1233979', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.852938', '0', '0.522013', '-7.67224', '1.6', '-9.75754', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620250', '1233979', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '0.863207', '0', '0.50485', '-5.61697', '1.6', '-9.33644', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620251', '1233979', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '0.998153', '0', '-0.0607552', '-4.75297', '1.6', '-15.8581', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233980', '1233971', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620198', '1233980', 'object/static/item/shared_item_container_energy_gas.iff', '0', '-0.00500245', '0', '0.999987', '-11.6207', '1.6', '-18.6216', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620199', '1233980', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.00500245', '0', '0.999987', '-11.0766', '1.6', '-16.4155', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620200', '1233980', 'object/static/item/shared_item_container_energy_gas.iff', '0', '-0.218235', '0', '0.975896', '-12.9557', '1.6', '-18.2465', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620201', '1233980', 'object/static/item/shared_item_container_energy_gas.iff', '0', '0.674285', '0', '0.738472', '-11.1916', '1.6', '-17.3671', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620202', '1233980', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.674285', '0', '0.738472', '-10.9855', '1.6', '-15.9191', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620203', '1233980', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.674285', '0', '0.738472', '-11.0375', '1.6', '-15.5895', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620204', '1233980', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.674285', '0', '0.738472', '-11.2948', '1.6', '-15.7632', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620205', '1233980', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.674285', '0', '0.738472', '-11.4889', '1.6', '-16.0731', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620206', '1233980', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.985449', '0', '0.169971', '-11.4972', '1.6', '-14.4056', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620207', '1233980', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.839628', '0', '-0.543161', '-11.4218', '1.6', '-14.9045', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620208', '1233980', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.839628', '0', '-0.543161', '-11.2652', '1.6', '-15.1991', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620209', '1233980', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.839628', '0', '-0.543161', '-11.0787', '1.6', '-14.9512', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620210', '1233980', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.839628', '0', '-0.543161', '-10.9961', '1.6', '-14.595', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620211', '1233980', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.70329', '0', '0.710904', '-19.7339', '1.6', '-13.565', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620212', '1233980', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.706822', '0', '0.707391', '-19.7351', '1.6', '-13.9085', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620213', '1233980', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.706822', '0', '0.707391', '-19.7445', '1.6', '-14.2423', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620214', '1233980', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.710349', '0', '0.70385', '-19.7491', '1.6', '-14.5856', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620215', '1233980', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.998951', '0', '0.0457845', '-19.3116', '1.6', '-14.9425', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620216', '1233980', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.999168', '0', '0.0407916', '-19.6539', '1.6', '-14.9691', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620217', '1233980', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.710351', '0', '0.703848', '-19.2581', '1.6', '-13.6881', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620218', '1233980', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.713859', '0', '0.700289', '-19.266', '1.6', '-14.0314', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620219', '1233980', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.713859', '0', '0.700289', '-19.2824', '1.6', '-14.3651', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620220', '1233980', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.692547', '0', '0.721373', '-17.2642', '1.6', '-16.9663', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620221', '1233980', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.324036', '0', '0.946045', '-18.9852', '1.6', '-18.251', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620222', '1233980', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.319305', '0', '0.947652', '-19.2557', '1.6', '-18.0394', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620223', '1233980', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.328763', '0', '0.944412', '-18.8779', '1.6', '-17.7462', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620224', '1233980', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.319305', '0', '0.947652', '-19.5154', '1.6', '-17.8297', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620225', '1233980', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.328763', '0', '0.944412', '-19.1334', '1.6', '-17.531', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620226', '1233980', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.32404', '0', '0.946043', '-19.4018', '1.6', '-17.3167', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620227', '1233980', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.877197', '0', '0.48013', '-18.6223', '1.6', '-18.4076', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620228', '1233980', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.874787', '0', '0.484508', '-18.4362', '1.6', '-18.1192', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620232', '1233980', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0.978897', '0', '0.204353', '-16.812', '1.6', '-18.5149', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620233', '1233980', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.0399942', '0', '0.9992', '-16.0891', '1.6', '-18.2428', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620234', '1233980', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.0399942', '0', '0.9992', '-16.419', '1.6', '-18.2913', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620235', '1233980', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.0399942', '0', '0.9992', '-16.2482', '1.6', '-18.5504', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620236', '1233980', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.0399942', '0', '0.9992', '-15.9406', '1.6', '-18.7479', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620237', '1233980', 'object/static/item/shared_item_container_energy_gas.iff', '0', '-0.0399942', '0', '0.9992', '-14.6431', '1.6', '-18.4646', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233981', '1233971', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620177', '1233981', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.990105', '0', '-0.140329', '-22.7896', '1.6', '-8.45839', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620178', '1233981', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.179027', '0', '0.983844', '-24.8934', '1.6', '-13.8951', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620179', '1233981', 'object/tangible/furniture/modern/shared_dining_table_modern_style_01.iff', '0', '1', '0', '-0.000793955', '-25.8493', '1.6', '-11.4959', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620180', '1233981', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff', '0', '1', '0', '-0.000793955', '-22.4521', '1.6', '-2.3085', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620181', '1233981', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff', '0', '1', '0', '-0.000793955', '-25.5013', '1.6', '-2.30162', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620182', '1233981', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '0.999983', '0', '-0.00579456', '-23.495', '1.6', '-18.4373', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620183', '1233981', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0.70707', '0.00708092', '-0.00705766', '0.707073', '-23.5068', '2.80167', '-19.0348', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620184', '1233981', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s01.iff', '0', '0.863209', '0', '0.504848', '-26.2229', '2.61193', '-10.9161', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620185', '1233981', 'object/tangible/furniture/modern/shared_cabinet_modern_style_01.iff', '0', '0.707949', '0', '0.706264', '-26.5696', '1.6', '-15.1908', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620186', '1233981', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.943019', '0', '0.332737', '-25.3455', '1.6', '-8.26323', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620187', '1233981', 'object/static/item/shared_item_glass_metal.iff', '0', '0.999526', '0', '-0.0307903', '-24.7679', '1.63162', '-18.8342', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620188', '1233981', 'object/static/item/shared_item_bottle_tall.iff', '0', '0.990105', '0', '-0.140329', '-23.4981', '3.18114', '-18.5785', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620189', '1233981', 'object/static/item/shared_item_glass_metal.iff', '0', '0.990105', '0', '-0.140329', '-22.4452', '1.63162', '-18.7562', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620190', '1233981', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0.990105', '0', '-0.140329', '-22.7912', '3.21276', '-18.7458', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620191', '1233981', 'object/static/item/shared_item_bottle_pear.iff', '0', '0.990105', '0', '-0.140329', '-23.8039', '1.6', '-18.6476', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620192', '1233981', 'object/static/item/shared_item_jar_spice_red.iff', '0', '0.990105', '0', '-0.140329', '-24.2502', '3.21276', '-18.8119', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620193', '1233981', 'object/static/item/shared_item_glass_metal.iff', '0', '0.990105', '0', '-0.140329', '-22.1226', '1.63162', '-18.7608', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620194', '1233981', 'object/static/item/shared_item_glass_metal.iff', '0', '0.990105', '0', '-0.140329', '-24.6335', '1.63162', '-18.5126', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620195', '1233981', 'object/static/item/shared_item_bottle_pear.iff', '0', '0.990105', '0', '-0.140329', '-23.1589', '1.6', '-18.675', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620196', '1233981', 'object/static/item/shared_item_glass_metal.iff', '0', '0.999526', '0', '-0.0307903', '-24.5065', '1.63162', '-18.7413', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1620197', '1233981', 'object/static/item/shared_item_glass_metal.iff', '0', '0.990105', '0', '-0.140329', '-22.3462', '1.63162', '-18.487', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233986', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.72083', '0', '-0.693111', '1570.2', '7', '3387.11', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1233992', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.693649', '0', '0.720313', '1553.13', '7', '3404.16', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1234005', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.693651', '0', '0.720311', '1518.13', '7', '3403.25', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1234010', '0', 'object/building/tatooine/shared_filler_building_block_64x16_style_02.iff', '0', '0.717352', '0', '-0.696711', '1520.85', '7', '3293.34', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1234040', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_06.iff', '0', '0.690071', '0', '0.723742', '1539.81', '7', '3326.07', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1234049', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.999957', '0', '0.00921124', '1534.56', '7', '3343.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1234051', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '1531.93', '7', '3347.46', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1234053', '0', 'object/static/installation/shared_mockup_mining_liquid_harvester_style_1.iff', '0', '0.713864', '0', '-0.700285', '1523.33', '7', '3338.94', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250066', '0', 'object/building/military/shared_military_imperial_detachment_hq.iff', '0', '-0.644522', '0', '0.764586', '-2563.45', '5.70915', '2097.69', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250067', '1250066', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250068', '1250066', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250069', '1250066', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250070', '1250066', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250071', '1250066', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250072', '1250066', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250073', '1250066', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250074', '1250066', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250075', '1250066', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250076', '1250066', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250079', '0', 'object/static/installation/shared_mockup_power_generator_fusion_style_1.iff', '0', '-0.644521', '0', '0.764586', '-2556.72', '5.50606', '2141.25', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250080', '0', 'object/building/military/shared_military_base_shed_imperial_barracks_s01.iff', '0', '-0.644522', '0', '0.764586', '-2560.02', '5.86962', '2119.15', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250081', '1250080', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250082', '1250080', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250083', '1250080', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250084', '1250080', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250085', '1250080', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250086', '1250080', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250087', '0', 'object/building/military/shared_military_base_shed_imperial_style_officer_s01.iff', '0', '0.99639', '0', '-0.0848977', '-2574.71', '5.51833', '2139.94', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250088', '1250087', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250089', '1250087', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250090', '1250087', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250091', '1250087', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250092', '1250087', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250093', '1250087', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250095', '0', 'object/static/vehicle/shared_static_lambda_shuttle.iff', '0', '-0.484155', '0', '0.874982', '-2574.59', '5.46361', '2077.07', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250096', '0', 'object/static/structure/military/shared_military_wall_med_imperial_32_style_01.iff', '0', '0.0848977', '0', '0.99639', '-2568.26', '5.14858', '2147.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250097', '0', 'object/static/structure/military/shared_military_wall_med_imperial_style_01.iff', '0', '0.0848977', '0', '0.99639', '-2548.55', '5.4848', '2144.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250098', '0', 'object/static/structure/military/shared_military_wall_med_imperial_32_style_01.iff', '0', '0.764585', '0', '0.644523', '-2547.31', '5.63713', '2128.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250099', '0', 'object/static/structure/military/shared_military_wall_med_imperial_32_style_01.iff', '0', '0.76458', '0', '0.644528', '-2556.79', '5.84318', '2072.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250103', '0', 'object/static/structure/military/shared_military_wall_med_imperial_style_01.iff', '0', '0.764586', '0', '0.644522', '-2550.7', '5.92056', '2108.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250104', '0', 'object/static/structure/military/shared_military_wall_med_imperial_style_01.iff', '0', '0.764586', '0', '0.644522', '-2552.05', '5.86443', '2100.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250105', '0', 'object/static/structure/military/shared_military_wall_med_imperial_style_01.iff', '0', '0.764586', '0', '0.644522', '-2553.4', '5.73301', '2092.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250106', '0', 'object/static/structure/military/shared_military_wall_med_imperial_32_style_01.iff', '0', '0.0848977', '0', '0.99639', '-2583.15', '5.128', '2061.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250107', '0', 'object/static/structure/military/shared_military_wall_med_imperial_style_01.iff', '0', '0.0848977', '0', '0.99639', '-2563.44', '5.83319', '2057.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250108', '0', 'object/static/structure/military/shared_military_wall_med_imperial_32_style_01.iff', '0', '0.764581', '0', '0.644527', '-2586.74', '5', '2134.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250109', '0', 'object/static/structure/military/shared_military_wall_med_imperial_32_style_01.iff', '0', '0.76458', '0', '0.644529', '-2596.21', '5', '2079.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250110', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0.0848977', '0', '0.99639', '-2589.44', '5', '2119.13', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250111', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0.0848977', '0', '0.99639', '-2593.5', '5', '2095.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250112', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0.0848977', '0', '0.99639', '-2584.03', '5', '2150.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250113', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0.0848977', '0', '0.99639', '-2544.61', '5.48099', '2143.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250114', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0.0848977', '0', '0.99639', '-2552.49', '5.55683', '2145.26', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250115', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0.0848977', '0', '0.99639', '-2550.02', '5.86662', '2112.36', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250116', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0.0848977', '0', '0.99639', '-2551.37', '5.89705', '2104.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250117', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0.0848977', '0', '0.99639', '-2552.73', '5.80013', '2096.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250118', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0.0848977', '0', '0.99639', '-2559.49', '5.97114', '2057.17', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250119', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0.0848977', '0', '0.99639', '-2567.38', '5.57547', '2058.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250120', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0.0848977', '0', '0.99639', '-2598.92', '5', '2063.94', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250121', '0', 'object/static/installation/shared_mockup_power_generator_fusion_style_1.iff', '0', '-0.644519', '0', '0.764588', '-2557.73', '5.70363', '2135.45', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250125', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.198669', '0', '0.980067', '-2576.56', '5.38254', '2083.35', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250126', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.198669', '0', '0.980067', '-2577.33', '5.35581', '2083.64', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250127', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '-0.124675', '0', '0.992198', '-2576.94', '5.36579', '2084.5', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250128', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.198669', '0', '0.980067', '-2576.17', '5.39191', '2084.33', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250129', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0.0848977', '0', '0.99639', '-2559.6', '5.91736', '2104.91', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250130', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0.084898', '0', '0.99639', '-2557.01', '5.9608', '2104.48', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250131', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.757843', '0', '0.652437', '-2557.17', '6.05725', '2104.16', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250132', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.757843', '0', '0.652437', '-2557.01', '6.07556', '2105.12', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250133', '0', 'object/static/item/shared_item_container_armor.iff', '0', '0.996802', '0', '-0.0799147', '-2559.64', '6.0495', '2104.85', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250134', '0', 'object/static/item/shared_item_container_weapons.iff', '0', '0.996802', '0', '-0.0799148', '-2560.97', '5.7065', '2128.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250135', '0', 'object/static/item/shared_item_container_weapons.iff', '0', '0.996802', '0', '-0.079915', '-2562.14', '5.68646', '2128.35', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250136', '0', 'object/static/item/shared_item_container_weapons.iff', '0', '0.996802', '0', '-0.079915', '-2563.3', '5.66777', '2128.52', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250137', '0', 'object/static/item/shared_item_container_weapons.iff', '0', '0.996802', '0', '-0.079915', '-2564.42', '5.65063', '2128.71', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250138', '0', 'object/static/structure/corellia/shared_corl_power_arial_prime.iff', '0', '0.0898786', '0', '0.995953', '-2555.7', '5.89516', '2101.36', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250139', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0.996802', '0', '-0.0799147', '-2563.11', '4.91714', '2089.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250141', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '0.0848976', '0', '0.99639', '-2594.57', '5', '2067.38', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250142', '0', 'object/static/structure/corellia/shared_corl_power_box_node.iff', '0', '0.0848977', '0', '0.99639', '-2590.25', '5', '2066.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250194', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.918788', '0', '0.39475', '-1133.91', '12', '-3663.19', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250195', '0', 'object/static/structure/tatooine/shared_guild_statue_free_style_01.iff', '0', '0.943886', '0', '-0.330273', '-1120.59', '12', '-3680.24', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250197', '0', 'object/static/structure/tatooine/shared_tato_imprv_bannerpole_s01.iff', '0', '0.373426', '0', '0.92766', '-1139.33', '12.4907', '-3695.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250202', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.937924', '0', '-0.346843', '-1139.91', '12', '-3696.48', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250203', '0', 'object/static/structure/tatooine/shared_tato_imprv_bannerpole_s01.iff', '0', '0.373426', '0', '0.92766', '-1120.18', '12.3393', '-3712.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250204', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.937924', '0', '-0.346843', '-1120.76', '11.8486', '-3713.55', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250213', '0', 'object/static/structure/tatooine/shared_tato_imprv_flagpole_s01.iff', '0', '0.252246', '0', '0.967663', '-1119.92', '12', '-3691.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250214', '0', 'object/static/structure/tatooine/shared_streetsign_upright_style_01.iff', '0', '0.34759', '0', '0.937646', '-1147.72', '12', '-3676.24', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250215', '0', 'object/static/structure/tatooine/shared_streetsign_upright_style_01.iff', '0', '0.380188', '0', '0.924909', '-1138.12', '12', '-3685.18', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250217', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '-0.677971', '0', '0.735088', '-1136.74', '12', '-3666.02', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250218', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_meat_rack.iff', '0', '-0.670587', '0', '0.741831', '-1133.86', '12', '-3666.01', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250219', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_fruit_stand_large_style_01.iff', '0', '0.941075', '0', '-0.338197', '-1130.74', '12', '-3668.27', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250221', '0', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_01.iff', '0', '0.0349929', '0', '0.999388', '-1136.66', '11.9656', '-3666.96', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250222', '0', 'object/static/item/shared_item_basket_frame.iff', '0', '0', '0', '1', '-1138.55', '12', '-3667.03', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250223', '0', 'object/static/item/shared_item_basket_closed.iff', '0', '0', '0', '1', '-1138.53', '12.2846', '-3667.04', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250224', '0', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '-1134.91', '12', '-3667.86', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250225', '0', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '-1134.87', '12', '-3668.12', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250226', '0', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '-1135.2', '12', '-3668.13', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250227', '0', 'object/static/item/shared_item_bowl_plain.iff', '0', '0', '0', '1', '-1138.05', '12', '-3667.6', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250228', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0', '0', '1', '-1137.9', '12', '-3664.14', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250229', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.114747', '0', '0.993395', '-1135.04', '12', '-3664.9', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250230', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.114747', '0', '0.993395', '-1134.77', '12', '-3664.7', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250231', '0', 'object/static/item/shared_item_items_container_lg.iff', '0', '0', '0', '1', '-1135.16', '12', '-3663.53', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250232', '0', 'object/static/item/shared_item_newbie_crate.iff', '0', '0.281157', '0', '0.959662', '-1135.96', '12', '-3664.47', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250233', '0', 'object/static/item/shared_item_jar_empty.iff', '0', '0', '0', '1', '-1138.41', '12.7273', '-3663.96', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250234', '0', 'object/static/item/shared_item_jar_berries.iff', '0', '0', '0', '1', '-1138.37', '12.7273', '-3664.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250235', '0', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0', '0.706825', '0.707388', '-1137.69', '12.0498', '-3664.65', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250236', '0', 'object/static/item/shared_item_document.iff', '0', '0', '0', '1', '-1137.46', '12.7589', '-3664.24', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250237', '0', 'object/static/item/shared_item_data_disk.iff', '0', '0', '0', '1', '-1137.56', '12.7589', '-3664.5', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250238', '0', 'object/static/item/shared_item_data_disk.iff', '0', '0', '0', '1', '-1137.53', '12.7589', '-3664.6', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250239', '0', 'object/static/item/shared_item_con_plate_casserole.iff', '0', '0', '0', '1', '-1138.02', '12.7589', '-3664.56', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250240', '0', 'object/static/item/shared_item_con_pitcher_full.iff', '0', '0', '0', '1', '-1137.86', '12.7273', '-3663.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250241', '0', 'object/static/item/shared_item_con_drink_flask.iff', '0', '0', '0', '1', '-1137.69', '12.7273', '-3663.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250242', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0.314567', '0', '0.949235', '-1126.75', '12', '-3673.88', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250243', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.940159', '0', '-0.340735', '-1123.68', '12.1074', '-3676.14', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250245', '0', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '0.938444', '0', '-0.345432', '-1121.74', '12', '-3677.9', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250246', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.940159', '0', '-0.340735', '-1105.22', '12.1074', '-3691.99', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250247', '0', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '0.938444', '0', '-0.345432', '-1107.17', '12', '-3690.26', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250251', '0', 'object/tangible/furniture/modern/shared_rug_rect_sml_s01.iff', '0', '0.34759', '0', '0.937646', '-1126.66', '11.9684', '-3673.96', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250252', '0', 'object/static/item/shared_item_basket_shallow.iff', '0', '0', '0', '1', '-1126.57', '12', '-3671.77', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250253', '0', 'object/static/item/shared_item_bread_loaf.iff', '0', '0', '0', '1', '-1126.4', '12.0632', '-3671.64', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250254', '0', 'object/static/item/shared_item_fruit_melon.iff', '0', '0', '0', '1', '-1126.65', '12.0316', '-3671.6', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250256', '0', 'object/static/item/shared_item_jar_funk.iff', '0', '0', '0', '1', '-1126.62', '12.0632', '-3671.85', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250257', '0', 'object/static/item/shared_item_organic_container.iff', '0', '0', '0', '1', '-1125.3', '12', '-3671.86', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250258', '0', 'object/static/structure/general/shared_droid_r4_powerdown.iff', '0', '0.713864', '0', '0.700285', '-1124.55', '12', '-3674.51', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250261', '0', 'object/static/structure/general/shared_data_terminal_s1.iff', '0', '0.671768', '0', '0.740762', '-1129.4', '12', '-3674.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250263', '0', 'object/static/item/shared_wp_mle_lance_vibroaxe.iff', '0', '0', '-0.227978', '0.973666', '-1127.85', '12.8243', '-3676.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250264', '0', 'object/static/item/shared_wp_mle_lance_vibrolance.iff', '0', '0', '0', '1', '-1127.38', '12.8079', '-3677.38', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250265', '0', 'object/static/item/shared_wp_mle_lance_staff_wood_s01.iff', '0.613096', '0.60651', '-0.356014', '-0.359879', '-1128.02', '12.037', '-3676.86', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250266', '0', 'object/static/item/shared_item_container_weapons.iff', '0', '0.281157', '0', '0.959662', '-1127.26', '12', '-3676.39', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250267', '0', 'object/static/item/shared_wp_carbine_dh17_combined.iff', '0', '0', '0.692538', '0.721381', '-1127.18', '12.757', '-3675.98', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250269', '0', 'object/static/item/shared_wp_mle_sword_vibroblade.iff', '0', '0', '0.706825', '0.707388', '-1127.68', '12.7512', '-3676.53', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250270', '0', 'object/static/item/shared_wp_rifle_bowcaster_combined.iff', '-0.114605', '-0.0243499', '0.993088', '-0.00704279', '-1126.48', '12.8777', '-3676.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250273', '0', 'object/static/item/shared_item_tool_recording_rod.iff', '0', '0', '0', '1', '-1127.16', '12.7273', '-3676.27', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250274', '0', 'object/static/item/shared_item_tool_radio.iff', '0', '-0.624897', '0', '0.780707', '-1127.24', '12.7273', '-3676.89', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250275', '0', 'object/static/item/shared_item_tool_engineering_datapad.iff', '0.125271', '0.227195', '0.502517', '0.824722', '-1127.84', '12.1354', '-3676.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250276', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0.342898', '0', '0.939373', '-1136.1', '12', '-3691.66', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250277', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0.333487', '0', '0.942755', '-1116.07', '12', '-3710.03', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250278', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0.314567', '0', '0.949235', '-1104.76', '12', '-3708.9', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250279', '0', 'object/static/item/shared_item_painting_tatooine_style_02.iff', '-0.219609', '0.897399', '-0.0909649', '0.371715', '-1135.69', '11.9584', '-3695.82', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250280', '0', 'object/static/item/shared_item_painting_corellia_style_02.iff', '-0.151345', '0.917643', '0.0497681', '-0.364072', '-1137.05', '11.1226', '-3688.6', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250281', '0', 'object/tangible/furniture/modern/shared_rug_rnd_sml_s01.iff', '0', '0', '0', '1', '-1136.46', '11.9662', '-3691.85', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250282', '0', 'object/tangible/furniture/all/shared_frn_all_decorative_lg_s1.iff', '0', '0.059964', '0', '0.998201', '-1134.34', '11.9684', '-3695.89', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250283', '0', 'object/tangible/furniture/all/shared_frn_all_decorative_lg_s2.iff', '0', '-0.333487', '0', '0.942755', '-1138.31', '12', '-3689.91', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250285', '0', 'object/tangible/furniture/all/shared_frn_all_decorative_sm_s4.iff', '0', '0.989621', '0', '0.143704', '-1135.55', '12', '-3687.26', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250287', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.380188', '0', '0.924909', '-1145.78', '11.9541', '-3711.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250288', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.338196', '0', '0.941076', '-1132.78', '10.1347', '-3721.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250290', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0.488177', '0', '0.872744', '-1154.14', '12', '-3708.58', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250291', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.556361', '0', '0.830941', '-1156.02', '12', '-3708.72', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250292', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.681641', '0', '0.731687', '-1152.24', '12', '-3708.75', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250293', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '0', '0', '0', '1', '-1166.08', '12.1924', '-3699.61', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250295', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0', '0', '1', '-1164.89', '12', '-3699.37', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250296', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.0998334', '0', '0.995004', '-1164.1', '12', '-3701.05', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250297', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0.714067', '0.693512', '0.0686151', '0.06664', '-1165.85', '12.2388', '-3697.59', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250298', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '0.12727', '0.52007', '0.200761', '0.820381', '-1148.62', '12.1447', '-3699.94', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250299', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0.535416', '0', '0.844589', '-1149.36', '12', '-3700.13', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250300', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.448423', '0', '0.893821', '-1150.54', '12', '-3701.56', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250301', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '-0.49688', '0', '0.867819', '-1147.72', '12', '-3701.11', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250302', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0.488176', '0', '0.872745', '-1166.6', '11.9896', '-3708.48', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250303', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.556361', '0', '0.83094', '-1168.48', '11.9815', '-3708.62', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250304', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.681641', '0', '0.731687', '-1164.7', '11.9859', '-3708.65', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250305', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0.109778', '0', '0.993956', '-1183.73', '12', '-3699.99', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250306', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.188859', '0', '0.982004', '-1184.94', '12', '-3701.43', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250307', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.912765', '0', '-0.408486', '-1182.29', '12', '-3698.74', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250308', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '0', '0', '0', '1', '-1182.27', '12', '-3707.14', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250309', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0', '0', '1', '-1181.09', '12', '-3706.89', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250310', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.099833', '0', '0.995004', '-1180.3', '11.9727', '-3708.57', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250312', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.999958', '0', '-0.00920352', '-1180.86', '12', '-3705.37', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250313', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '-0.0199992', '0', '0.9998', '-1159.74', '12.4916', '-3693.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250323', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0', '0', '1', '-1159.72', '12', '-3693.81', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250324', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '-1112.06', '12', '-3708.16', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250325', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.439462', '0', '0.898261', '-1112.65', '12', '-3708.83', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250326', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0', '0', '1', '-1119.36', '12', '-3708.57', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250327', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0.505533', '0', '0.862807', '-1119.38', '12.1543', '-3708.59', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250330', '0', 'object/static/item/shared_item_container_electronics.iff', '0', '0', '0', '1', '-1119.43', '12.3214', '-3708.71', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250331', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '-1113.46', '12', '-3710.42', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250332', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '-1113.31', '12', '-3710', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250333', '0', 'object/static/item/shared_item_droid_magnet.iff', '0', '0', '0.999991', '-0.00420359', '-1114.54', '15.2678', '-3711', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250336', '0', 'object/static/structure/general/shared_droid_r2_powerdown.iff', '0', '0.886627', '0', '-0.462485', '-1116.59', '12', '-3712.15', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250337', '0', 'object/static/structure/general/shared_droid_21bmedical_powerdown.iff', '0', '-0.416871', '0', '0.908966', '-1115.27', '12', '-3712.22', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250338', '0', 'object/static/structure/general/shared_droid_probedroid_powerdown.iff', '0', '0', '0', '1', '-1117.65', '12', '-3706.89', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250339', '0', 'object/static/structure/general/shared_r3_head.iff', '0', '0', '0', '1', '-1113.53', '12', '-3708.81', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250340', '0', 'object/static/structure/general/shared_r4_leg.iff', '0', '0', '0', '1', '-1117.54', '12', '-3711.09', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250342', '0', 'object/static/structure/general/shared_prp_engine.iff', '0', '0', '0', '1', '-1102.09', '12', '-3707.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250343', '0', 'object/static/structure/general/shared_prp_engine_component.iff', '0', '-0.247404', '0', '0.968912', '-1102.26', '12.0636', '-3708.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250345', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0', '0', '1', '-1104.35', '12', '-3711.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250347', '0', 'object/static/structure/general/shared_poi_powerdroidleg.iff', '0', '0.975723', '0', '0.219007', '-1107.49', '12', '-3709.72', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250348', '0', 'object/static/structure/general/shared_poi_protocolarm.iff', '0', '0', '0', '1', '-1107.07', '12', '-3709.73', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250349', '0', 'object/static/structure/general/shared_poi_powerdroid_powerdown.iff', '0', '0', '0', '1', '-1102.73', '12', '-3709.27', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250363', '0', 'object/static/structure/general/shared_atst_debris_01.iff', '0', '-0.0499792', '0', '0.99875', '-1107.38', '12.0632', '-3708.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250367', '0', 'object/static/structure/general/shared_data_terminal_wall_s1.iff', '0', '-0.455291', '0', '0.890343', '-1101.53', '12', '-3709', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250368', '0', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_01.iff', '0', '0', '0', '1', '-1104.38', '11.9676', '-3708.64', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250369', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '-1105.72', '12', '-3710.7', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250370', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '-1101.04', '12', '-3708.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250371', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.104807', '0', '0.994493', '-1101.12', '12', '-3707.13', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1250372', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.501213', '0', '0.865324', '-1105.75', '12', '-3707.72', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1253898', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_03.iff', '0', '0.448423', '0', '0.893822', '95.726', '52', '-5412.81', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1253978', '0', 'object/static/structure/tatooine/shared_wall_junkshop_watto.iff', '0', '0.966184', '0', '-0.257851', '-2293.54', '5', '2890.55', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254187', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '0.613125', '0', '0.789986', '86.994', '52.78', '-5397.11', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254188', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '-0.13458', '0', '0.990903', '90.2607', '50.7661', '-5396.45', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254190', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_2.iff', '0', '0.0499792', '0', '0.99875', '81.799', '52', '-5336.32', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254327', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '-0.333487', '0', '0.942755', '-2334.04', '5', '2953.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254328', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '-0.271547', '0', '0.962425', '-2319.52', '5', '2930', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254329', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '-0.370921', '0', '0.928665', '-2309.97', '5.28626', '2979.72', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254330', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '-0.356949', '0', '0.934124', '-2298.04', '5.22757', '2966.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254331', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '-0.169182', '0', '0.985585', '-2285', '5.05544', '2944.59', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254332', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '0.918788', '0', '-0.394751', '-2324.28', '5.16441', '2980.25', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254463', '0', 'object/static/terrain/tatooine/shared_rock_spire_skinny_tatooine.iff', '0', '0', '0', '1', '1557.7', '6.87239', '1391.03', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254464', '0', 'object/static/terrain/tatooine/shared_rock_spire_skinny_tatooine_style_1.iff', '0', '0', '0', '1', '1595.66', '30.6918', '1497.02', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254465', '0', 'object/static/terrain/tatooine/shared_rock_spire_smooth_tatooine.iff', '0', '0', '0', '1', '1557.23', '4.9091', '1279.43', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254466', '0', 'object/static/terrain/tatooine/shared_rock_spire_lumpy_tatooine.iff', '0', '0', '0', '1', '1571.47', '10.5482', '1427', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254467', '0', 'object/static/terrain/tatooine/shared_rock_spire_lumpy_tatooine.iff', '0', '0', '0', '1', '1838.16', '32.7803', '752.819', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254468', '0', 'object/static/terrain/tatooine/shared_rock_spire_skinny_tatooine.iff', '0', '0', '0', '1', '1841.91', '27.0051', '781.264', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254469', '0', 'object/static/terrain/tatooine/shared_rock_spire_smooth_tatooine.iff', '0', '0', '0', '1', '2513.6', '8.57617', '1245.12', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254470', '0', 'object/static/terrain/tatooine/shared_rock_spire_skinny_tatooine.iff', '0', '0', '0', '1', '2531.78', '8.1289', '1260.94', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254471', '0', 'object/static/terrain/tatooine/shared_rock_spire_lumpy_tatooine.iff', '0', '0', '0', '1', '3097.66', '5.49511', '745.664', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254472', '0', 'object/static/terrain/tatooine/shared_rock_spire_skinny_tatooine.iff', '0', '0', '0', '1', '3095.1', '6.27011', '782.62', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254473', '0', 'object/static/terrain/tatooine/shared_rock_spire_skinny_tatooine_style_2.iff', '0', '0', '0', '1', '3046.66', '5.37011', '691.886', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254474', '0', 'object/static/terrain/tatooine/shared_rock_spire_smooth_tatooine.iff', '0', '0', '0', '1', '3022.96', '6.3531', '680.928', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254475', '0', 'object/static/terrain/tatooine/shared_rock_spire_skinny_tatooine.iff', '0', '0', '0', '1', '3726.92', '8.93915', '221.697', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254476', '0', 'object/static/terrain/tatooine/shared_rock_spire_smooth_tatooine.iff', '0', '0', '0', '1', '3380.78', '51.0562', '-322.439', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254477', '0', 'object/static/terrain/tatooine/shared_rock_spire_smooth_tatooine_style_1.iff', '0', '0', '0', '1', '3425.29', '48.8831', '-355.799', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254478', '0', 'object/static/terrain/tatooine/shared_rock_spire_skinny_tatooine_style_2.iff', '0', '0', '0', '1', '3361.32', '48.3261', '-303.232', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254479', '0', 'object/static/terrain/tatooine/shared_rock_spire_skinny_tatooine_style_1.iff', '0', '0', '0', '1', '3988.97', '44.2981', '138.663', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254480', '0', 'object/static/terrain/tatooine/shared_rock_spire_smooth_tatooine.iff', '0', '0', '0', '1', '3958.67', '42.0712', '119.808', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254481', '0', 'object/static/terrain/tatooine/shared_rock_spire_skinny_tatooine.iff', '0', '0', '0', '1', '3969.46', '32.2604', '90.665', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254483', '0', 'object/static/terrain/tatooine/shared_rock_spire_skinny_tatooine.iff', '0', '0', '0', '1', '3977.48', '7.13737', '536.041', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254484', '0', 'object/static/terrain/tatooine/shared_rock_spire_smooth_tatooine.iff', '0', '0', '0', '1', '4006.62', '8.9002', '613.871', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254485', '0', 'object/static/terrain/tatooine/shared_rock_spire_smooth_tatooine_style_2.iff', '0', '0', '0', '1', '4022.56', '12.1352', '630.899', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254486', '0', 'object/static/terrain/tatooine/shared_rock_spire_lumpy_tatooine_style_2.iff', '0', '0', '0', '1', '4037.46', '14.1651', '634.269', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254487', '0', 'object/static/terrain/tatooine/shared_rock_spire_skinny_tatooine.iff', '0', '0', '0', '1', '4238.57', '7.03822', '411.127', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254489', '0', 'object/static/terrain/tatooine/shared_rock_spire_lumpy_tatooine.iff', '0', '0', '0', '1', '3603.95', '36.6427', '415.793', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254490', '0', 'object/static/terrain/tatooine/shared_rock_spire_skinny_tatooine.iff', '0', '0', '0', '1', '3592.69', '43.2473', '449.978', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254492', '0', 'object/static/terrain/tatooine/shared_rock_spire_smooth_tatooine.iff', '0', '0', '0', '1', '3569.94', '49.7294', '468.52', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254493', '0', 'object/static/terrain/tatooine/shared_rock_spire_smooth_tatooine_style_2.iff', '0', '0', '0', '1', '3552.91', '52.585', '477.108', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254494', '0', 'object/static/terrain/tatooine/shared_rock_spire_smooth_tatooine.iff', '0', '0', '0', '1', '3473.54', '54.7967', '1106.47', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254495', '0', 'object/static/terrain/tatooine/shared_rock_spire_smooth_tatooine_style_1.iff', '0', '0', '0', '1', '3418.72', '28.5969', '1083.02', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254496', '0', 'object/static/terrain/tatooine/shared_rock_spire_lumpy_tatooine_style_2.iff', '0', '0', '0', '1', '3471.34', '48.4999', '1085.76', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254497', '0', 'object/static/terrain/tatooine/shared_rock_spire_skinny_tatooine.iff', '0', '0', '0', '1', '3443.09', '36.3352', '1067.19', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254498', '0', 'object/static/terrain/tatooine/shared_rock_spire_smooth_tatooine.iff', '0', '0', '0', '1', '2434.11', '44.5611', '864.513', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254499', '0', 'object/static/terrain/tatooine/shared_rock_spire_smooth_tatooine.iff', '0', '0', '0', '1', '2117.63', '52.0005', '1087.36', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254500', '0', 'object/static/terrain/tatooine/shared_rock_spire_smooth_tatooine_style_1.iff', '0', '0', '0', '1', '2087.7', '55.3598', '1127.29', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254501', '0', 'object/static/terrain/tatooine/shared_rock_spire_skinny_tatooine_style_1.iff', '0', '0', '0', '1', '2073.21', '58.3963', '1128.66', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254502', '0', 'object/static/terrain/tatooine/shared_rock_spire_smooth_tatooine.iff', '0', '0', '0', '1', '2182.77', '65.596', '1588.36', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254503', '0', 'object/static/terrain/tatooine/shared_rock_spire_skinny_tatooine_style_2.iff', '0', '0', '0', '1', '2176.67', '51.0037', '1558.33', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254504', '0', 'object/static/terrain/tatooine/shared_rock_spire_smooth_tatooine_style_1.iff', '0', '0', '0', '1', '2165.76', '53.5579', '1625.35', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254505', '0', 'object/static/terrain/tatooine/shared_rock_spire_skinny_tatooine.iff', '0', '0', '0', '1', '1364.03', '58.9003', '1169.11', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254506', '0', 'object/static/terrain/tatooine/shared_rock_spire_smooth_tatooine.iff', '0', '0', '0', '1', '1346.28', '65.4516', '1182.45', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254507', '0', 'object/static/terrain/tatooine/shared_rock_spire_smooth_tatooine_style_1.iff', '0', '0', '0', '1', '1344.56', '57.8811', '1215.55', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254508', '0', 'object/static/terrain/tatooine/shared_rock_spire_smooth_tatooine.iff', '0', '0', '0', '1', '63.6451', '61.6699', '2668.47', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254509', '0', 'object/static/terrain/tatooine/shared_rock_spire_lumpy_tatooine_style_2.iff', '0', '0', '0', '1', '79.5966', '58.7185', '2693.41', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254510', '0', 'object/static/terrain/tatooine/shared_rock_spire_lumpy_tatooine.iff', '0', '0', '0', '1', '41.9367', '59.1233', '2660.07', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254511', '0', 'object/static/terrain/tatooine/shared_rock_spire_lumpy_tatooine.iff', '0', '0', '0', '1', '535.232', '59.9996', '3128.57', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254512', '0', 'object/static/terrain/tatooine/shared_rock_spire_smooth_tatooine.iff', '0', '0', '0', '1', '28.0061', '8.9466', '3275.51', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254513', '0', 'object/static/terrain/tatooine/shared_rock_spire_smooth_tatooine.iff', '0', '0', '0', '1', '30.4589', '8.63634', '3278.73', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254514', '0', 'object/static/terrain/tatooine/shared_rock_spire_lumpy_tatooine_style_2.iff', '0', '0', '0', '1', '-237.108', '95.6287', '2860.88', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254516', '0', 'object/static/terrain/tatooine/shared_rock_spire_skinny_tatooine.iff', '0', '0', '0', '1', '-193.418', '95.1881', '2863.13', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254517', '0', 'object/static/terrain/tatooine/shared_rock_spire_smooth_tatooine.iff', '0', '0', '0', '1', '-303.368', '23.8471', '3197.26', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254518', '0', 'object/static/terrain/tatooine/shared_rock_spire_smooth_tatooine.iff', '0', '0', '0', '1', '-1927.52', '22.743', '697.6', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254519', '0', 'object/static/terrain/tatooine/shared_rock_spire_lumpy_tatooine_style_2.iff', '0', '0', '0', '1', '-1875.12', '31.966', '726.197', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254520', '0', 'object/static/terrain/tatooine/shared_rock_spire_lumpy_tatooine.iff', '0', '0', '0', '1', '-2144.21', '8.801', '828.893', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254521', '0', 'object/static/terrain/tatooine/shared_rock_spire_skinny_tatooine_style_2.iff', '0', '0', '0', '1', '-2110.1', '9.36113', '859.835', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254522', '0', 'object/static/terrain/tatooine/shared_rock_spire_skinny_tatooine_style_2.iff', '0', '0', '0', '1', '-2563.38', '39.3752', '990.249', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254523', '0', 'object/static/terrain/tatooine/shared_rock_spire_smooth_tatooine.iff', '0', '0', '0', '1', '-2324.13', '9.26985', '1620.11', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254524', '0', 'object/static/terrain/tatooine/shared_rock_spire_lumpy_tatooine_style_2.iff', '0', '0', '0', '1', '-2303.05', '6.11431', '1733.88', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254525', '0', 'object/static/terrain/tatooine/shared_rock_spire_lumpy_tatooine.iff', '0', '0', '0', '1', '-2523.43', '8.09241', '1607.66', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254526', '0', 'object/static/terrain/tatooine/shared_rock_spire_skinny_tatooine.iff', '0', '0', '0', '1', '-2508.42', '6.84049', '1629.76', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254527', '0', 'object/static/terrain/tatooine/shared_rock_spire_skinny_tatooine.iff', '0', '0', '0', '1', '-3023.07', '7.42663', '1409.5', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254528', '0', 'object/static/terrain/tatooine/shared_rock_spire_lumpy_tatooine.iff', '0', '0', '0', '1', '-3052.63', '9.44179', '1465.26', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254529', '0', 'object/static/terrain/tatooine/shared_rock_spire_lumpy_tatooine_style_1.iff', '0', '0', '0', '1', '-3205.11', '7.53681', '1312.1', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254530', '0', 'object/static/terrain/tatooine/shared_rock_spire_smooth_tatooine.iff', '0', '0', '0', '1', '-3442.81', '7.95269', '2117.37', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254531', '0', 'object/static/terrain/tatooine/shared_rock_spire_lumpy_tatooine.iff', '0', '0', '0', '1', '-3508.17', '8.28135', '2197.57', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254532', '0', 'object/static/terrain/tatooine/shared_rock_spire_lumpy_tatooine_style_2.iff', '0', '0', '0', '1', '-3423.76', '9.25676', '2049.04', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254533', '0', 'object/static/terrain/tatooine/shared_rock_spire_skinny_tatooine_style_1.iff', '0', '0', '0', '1', '-3430.59', '9.51306', '2071.2', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254534', '0', 'object/static/terrain/tatooine/shared_rock_spire_lumpy_tatooine_style_1.iff', '0', '0', '0', '1', '-3907.93', '21.5533', '1908.1', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254535', '0', 'object/static/terrain/tatooine/shared_rock_spire_lumpy_tatooine_style_2.iff', '0', '0', '0', '1', '-3888.3', '17.3583', '1889.93', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254536', '0', 'object/static/terrain/tatooine/shared_rock_mushroom_tatooine_style_1.iff', '0', '0', '0', '1', '-4301.42', '24.1179', '2211.06', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254537', '0', 'object/static/terrain/tatooine/shared_rock_spire_smooth_tatooine.iff', '0', '0', '0', '1', '-4441.7', '55.0305', '2570.88', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254538', '0', 'object/static/terrain/tatooine/shared_rock_spire_lumpy_tatooine_style_2.iff', '0', '0', '0', '1', '-4261.47', '28.8984', '2731.14', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254539', '0', 'object/static/terrain/tatooine/shared_rock_spire_skinny_tatooine_style_1.iff', '0', '0', '0', '1', '-4278.38', '25.5593', '2721.84', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254540', '0', 'object/static/terrain/tatooine/shared_rock_spire_lumpy_tatooine_style_2.iff', '0', '0', '0', '1', '-4431.72', '40.171', '3395.46', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254541', '0', 'object/static/terrain/tatooine/shared_rock_spire_lumpy_tatooine.iff', '0', '0', '0', '1', '-4386.7', '29.6417', '3425.66', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254542', '0', 'object/static/terrain/tatooine/shared_rock_spire_smooth_tatooine.iff', '0', '0', '0', '1', '-4398.81', '32.8675', '3380.28', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254543', '0', 'object/static/terrain/tatooine/shared_rock_spire_lumpy_tatooine_style_2.iff', '0', '0', '0', '1', '-5057.3', '60.156', '4636.32', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254544', '0', 'object/static/terrain/tatooine/shared_rock_spire_skinny_tatooine_style_1.iff', '0', '0', '0', '1', '-5061.61', '50.9253', '4676.48', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254545', '0', 'object/static/terrain/tatooine/shared_rock_spire_smooth_tatooine.iff', '0', '0', '0', '1', '-5109.31', '47.3531', '4750.91', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254546', '0', 'object/static/terrain/tatooine/shared_rock_spire_skinny_tatooine.iff', '0', '0', '0', '1', '-4693.85', '52.5237', '4759.51', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254547', '0', 'object/static/terrain/tatooine/shared_rock_spire_lumpy_tatooine_style_2.iff', '0', '0', '0', '1', '-4656.18', '58.7875', '4769.1', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254548', '0', 'object/static/terrain/tatooine/shared_rock_spire_lumpy_tatooine.iff', '0', '0', '0', '1', '-4608.44', '50.8182', '4887.48', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254613', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '0.340735', '0', '0.940159', '-1134.31', '14.21', '-3538.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254614', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '0.340735', '0', '0.940159', '-1127.21', '14.21', '-3543.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254761', '0', 'object/building/tatooine/shared_cloning_facility_tatooine.iff', '0', '0.990794', '0', '0.135381', '-3099.14', '5', '2289.62', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254762', '1254761', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254763', '1254761', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254764', '1254761', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254765', '1254761', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254766', '1254761', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254767', '1254761', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254814', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_03.iff', '0', '0.784316', '0', '-0.620362', '-2888.27', '5', '2355.43', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254818', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_02.iff', '0', '0.988652', '0', '0.150224', '-2703', '5', '2287.34', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254820', '0', 'object/building/tatooine/shared_parking_garage_tatooine_style_1.iff', '0', '0.988651', '0', '0.150225', '-2735.38', '5', '2283.36', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1254825', '0', 'object/building/tatooine/shared_filler_building_block_64x32_style_02.iff', '0', '0.8046', '0', '-0.593817', '-2759.51', '5', '2330.35', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1255848', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_08.iff', '0', '0.798621', '0', '-0.601834', '-2900.79', '5', '2381.95', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1255875', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_01.iff', '0', '0.911366', '0', '-0.411596', '-2887.29', '5', '2460.78', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1255877', '0', 'object/building/tatooine/shared_filler_building_block_64x32_style_01.iff', '0', '0.80162', '0', '-0.597835', '-2792.56', '5', '2398.23', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1255884', '0', 'object/building/tatooine/shared_housing_tatt_style01_small.iff', '0', '-0.216675', '0', '0.976244', '-2883.93', '5', '2485.18', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1255885', '1255884', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514443', '1255885', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.999981', '0', '-0.00619363', '1.26991', '0.251591', '3.3059', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514444', '1255885', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '-0.118132', '0', '0.992998', '0.125292', '0.253124', '3.60085', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514445', '1255885', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.992617', '0', '-0.121292', '-1.10943', '0.251849', '3.35562', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514446', '1255885', 'object/tangible/furniture/cheap/shared_armoire_s01.iff', '0', '0.00619472', '0', '0.999981', '2.74446', '0.251776', '3.34165', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514447', '1255885', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.014998', '0', '0.999888', '5.10443', '0.250855', '4.70367', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514448', '1255885', 'object/static/item/shared_item_jar_berries.iff', '0', '0.124673', '0', '0.992198', '-1.33637', '0.252108', '3.40531', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514449', '1255885', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.014998', '0', '0.999888', '5.12795', '0.250745', '3.60856', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1255886', '1255884', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514450', '1255886', 'object/static/item/shared_item_jar_guts.iff', '0', '0', '0', '1', '-2.54032', '0.227697', '1.69158', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514451', '1255886', 'object/static/item/shared_item_jar_guts.iff', '0', '0', '0', '1', '-2.53348', '0.227871', '1.3261', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514452', '1255886', 'object/static/item/shared_item_jar_guts.iff', '0', '0', '0', '1', '-2.52597', '0.228061', '0.925053', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514453', '1255886', 'object/static/item/shared_item_jar_guts.iff', '0', '0', '0', '1', '-2.51685', '0.228293', '0.43758', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514454', '1255886', 'object/static/item/shared_item_jar_funk.iff', '0', '0', '0', '1', '-2.52042', '0.228202', '0.628749', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1255887', '1255884', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500374', '1255884', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500375', '1255884', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500376', '1255884', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500377', '1255884', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500378', '1255884', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500379', '1255884', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500380', '1255884', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514455', '1500380', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s1.iff', '0', '0.701989', '0', '0.712187', '-2.88189', '-0.378217', '-4.06379', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514456', '1500380', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '0.00238833', '0', '0.999997', '4.28536', '-0.378217', '-6.00726', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514457', '1500380', 'object/tangible/furniture/cheap/shared_love_seat_s01.iff', '0', '0.708793', '0', '0.705416', '2.6288', '-0.378217', '-4.26896', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514458', '1500380', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.708793', '0', '0.705416', '2.65297', '-0.378217', '-5.71956', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514459', '1500380', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.980582', '0', '-0.196109', '4.74911', '-0.378217', '-3.20149', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514461', '1500380', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.999997', '0', '-0.00238789', '4.13725', '-0.378217', '-4.46495', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514462', '1500380', 'object/tangible/furniture/cheap/shared_armoire_s01.iff', '0', '0.999997', '0', '-0.00238787', '-1.87934', '-0.378217', '-0.548377', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514463', '1500380', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '0.690938', '0', '0.722914', '-4.8474', '-0.378217', '-5.8895', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514464', '1500380', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0.00659145', '0', '0.999978', '-2.59649', '-0.378217', '-6.25825', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514465', '1500380', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0.999997', '0', '-0.00238787', '-0.0524037', '-0.378217', '-0.543341', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514466', '1500380', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '0.00659145', '0', '0.999978', '-0.625938', '-0.378217', '-6.24854', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514467', '1500380', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s01.iff', '0', '0.419763', '0', '0.907634', '-4.77765', '-0.378217', '-5.59129', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1255895', '0', 'object/building/tatooine/shared_housing_tatt_style01_small.iff', '0', '0.979223', '0', '0.202788', '-2862.64', '5', '2483.23', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1255896', '1255895', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514468', '1255896', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '-0.386483', '0', '0.922297', '4.70607', '0.251719', '3.37697', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514469', '1255896', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.999971', '0', '0.00761201', '-0.200203', '0.251682', '3.32357', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514470', '1255896', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.226209', '0', '0.974079', '-1.19783', '0.252808', '3.62246', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514471', '1255896', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.44232', '0', '0.896857', '3.27893', '0.251671', '3.32127', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514472', '1255896', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.231077', '0', '0.972935', '2.55121', '0.2514', '3.26922', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514473', '1255896', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.166043', '0', '0.986119', '4.51557', '0.252168', '3.45664', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514474', '1255896', 'object/static/structure/general/shared_data_terminal_wall_s1.iff', '0', '0.719572', '0', '0.694418', '-2.02316', '0.250034', '3.74311', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1255897', '1255895', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514479', '1255897', 'object/static/item/shared_item_jar_spice_white.iff', '0', '0', '0', '1', '-2.52344', '0.228126', '0.790078', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1255898', '1255895', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500381', '1255895', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500382', '1255895', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500383', '1255895', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500384', '1255895', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500385', '1255895', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500386', '1255895', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514476', '1500386', 'object/static/item/shared_item_painting_naboo_style_01.iff', '0', '0', '0', '1', '-1.03789', '0.258022', '1.02401', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514477', '1500386', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0', '0', '1', '-1.03789', '0.258022', '1.725', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514478', '1500386', 'object/static/item/shared_item_jar_spice_red.iff', '0', '0', '0', '1', '-1.03789', '0.258022', '0.417287', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514480', '1500386', 'object/static/item/shared_item_bowl_carved.iff', '0', '0', '0', '1', '-1.03789', '0.258022', '1.31741', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500387', '1255895', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514481', '1500387', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s01.iff', '0', '-0.338406', '0', '0.941', '4.57446', '-0.378217', '-6.15866', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514482', '1500387', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '-0.706983', '0', '0.707231', '5.23221', '0.281076', '1.88576', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514483', '1500387', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '-0.000221797', '0', '1', '-4.03071', '-0.378217', '-6.2187', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514484', '1500387', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '-0.706983', '0', '0.707231', '5.2669', '0.271186', '-0.085606', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514485', '1500387', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '-0.0156198', '0', '0.999878', '4.87167', '-0.378217', '-6.23285', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514486', '1500387', 'object/tangible/furniture/cheap/shared_armoire_s01.iff', '0', '-0.000221797', '0', '1', '-2.20347', '-0.378217', '-6.20463', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514487', '1500387', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '-0.00522244', '0', '0.999986', '-0.181078', '-0.378217', '-2.31284', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514488', '1500387', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.576777', '0', '0.816902', '-2.0972', '-0.378217', '-2.26463', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514489', '1500387', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.188641', '0', '0.982046', '-0.773533', '-0.378217', '-3.58544', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514490', '1500387', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.71079', '0', '-0.703404', '1.28425', '-0.377915', '-1.03589', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514491', '1500387', 'object/tangible/furniture/cheap/shared_love_seat_s01.iff', '0', '0.71079', '0', '-0.703404', '1.33136', '-0.366271', '-2.48361', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514492', '1500387', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '0.999986', '0', '0.00522144', '-0.352411', '-0.378217', '-0.773496', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514493', '1500387', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s1.iff', '0', '-0.000220277', '0', '1', '3.07367', '-0.378217', '-4.24208', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1255906', '0', 'object/building/tatooine/shared_housing_tatt_style01_small.iff', '0', '-0.347591', '0', '0.937646', '-2908.45', '5', '2557.79', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1255907', '1255906', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514346', '1255907', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '-0.395686', '0', '0.918386', '4.72936', '0.251676', '3.60474', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514347', '1255907', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.0081842', '0', '0.999967', '3.36081', '0.25641', '6.22925', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514348', '1255907', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.875668', '0', '-0.482915', '4.72077', '0.252304', '5.67533', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514349', '1255907', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.43333', '0', '0.901235', '3.30393', '0.252707', '3.52053', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514350', '1255907', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.221336', '0', '0.975198', '2.57714', '0.252359', '3.45371', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514351', '1255907', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.175896', '0', '0.984409', '4.53746', '0.252128', '3.68051', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1255908', '1255906', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1255909', '1255906', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500388', '1255906', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500389', '1255906', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500390', '1255906', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500391', '1255906', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500392', '1255906', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500393', '1255906', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500394', '1255906', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514356', '1500394', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s01.iff', '0', '0.942946', '0', '0.332945', '-1.27949', '0.561347', '-0.661434', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514357', '1500394', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '0.00137025', '0', '0.999999', '-1.71338', '-0.378217', '-6.1174', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514358', '1500394', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '-0.706983', '0', '0.707231', '5.09314', '0.273902', '0.00928331', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514359', '1500394', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0.00137025', '0', '0.999999', '-3.68336', '-0.378217', '-6.1476', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514360', '1500394', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '0.999952', '0', '0.00982384', '-1.57583', '-0.378217', '-0.58394', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514361', '1500394', 'object/tangible/furniture/cheap/shared_armoire_s01.iff', '0', '-0.706983', '0', '0.707231', '5.08049', '0.281076', '1.83824', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514362', '1500394', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.999984', '0', '-0.00557379', '2.79323', '-0.378217', '-4.51624', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514363', '1500394', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.810627', '0', '-0.585563', '4.70769', '-0.378217', '-4.60565', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514364', '1500394', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.979952', '0', '-0.199233', '3.413', '-0.378217', '-3.25642', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514365', '1500394', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.711037', '0', '0.703155', '1.30091', '-0.378217', '-5.76108', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514366', '1500394', 'object/tangible/furniture/cheap/shared_love_seat_s01.iff', '0', '0.711037', '0', '0.703155', '1.28611', '-0.378217', '-4.31048', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514367', '1500394', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '0.00557486', '0', '0.999984', '2.93143', '-0.378217', '-6.05878', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514368', '1500394', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s1.iff', '0', '0.999984', '0', '-0.00557598', '0.199028', '-0.378217', '-2.59528', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1255919', '0', 'object/building/tatooine/shared_housing_tatt_style01_small.iff', '0', '0.941957', '0', '0.335734', '-2904.34', '5', '2517.01', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1255920', '1255919', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514420', '1255920', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '0.0131845', '0', '0.999913', '1.36613', '0.251701', '3.32705', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514421', '1255920', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.0181828', '0', '0.999835', '3.5392', '0.255871', '6.12178', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514422', '1255920', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.870795', '0', '-0.491646', '4.88837', '0.251798', '5.54087', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514423', '1255920', 'object/static/structure/general/shared_data_terminal_wall_s1.iff', '0', '0.721933', '0', '0.691963', '-2.02426', '0.250034', '3.84969', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514424', '1255920', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.767543', '0', '-0.640997', '5.16862', '0.250679', '4.18536', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514425', '1255920', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.44232', '0', '0.896857', '0.0383006', '0.251786', '3.34345', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514426', '1255920', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.231076', '0', '0.972936', '-0.689286', '0.251514', '3.29124', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514427', '1255920', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.240794', '0', '0.970576', '1.29526', '0.252724', '3.52382', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1255921', '1255919', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514429', '1255921', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.568762', '0', '0.822502', '-2.52067', '0.228196', '0.641709', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1255922', '1255919', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500395', '1255919', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500396', '1255919', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500397', '1255919', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500398', '1255919', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500399', '1255919', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500400', '1255919', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514428', '1500400', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0.684602', '-0.225111', '-0.206344', '-0.661866', '-1.03789', '0.258022', '1.85814', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500401', '1255919', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514430', '1500401', 'object/tangible/furniture/modern/shared_rug_oval_sml_s01.iff', '0', '0.713026', '0', '-0.701138', '-1.34263', '-0.378217', '-3.94754', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514431', '1500401', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s2.iff', '0', '-0.00840663', '0', '0.999965', '5.12535', '0.263184', '2.49596', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514432', '1500401', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '-0.451465', '0', '0.892289', '4.79193', '-0.378217', '-5.85323', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514433', '1500401', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '-0.451465', '0', '0.892289', '4.79193', '-0.378217', '-5.85323', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514434', '1500401', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '-0.451465', '0', '0.892289', '4.79193', '-0.378217', '-5.85323', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514435', '1500401', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '-0.00840663', '0', '0.999965', '3.18634', '-0.378217', '-6.2843', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514436', '1500401', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0.713025', '0', '-0.701139', '5.25237', '-0.378217', '-4.29632', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514437', '1500401', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '-0.00840663', '0', '0.999965', '-0.797288', '-0.378217', '-6.07437', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514438', '1500401', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.999965', '0', '0.00840714', '-2.83471', '-0.378217', '-6.35765', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514439', '1500401', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.418318', '0', '0.908301', '-4.43712', '-0.378217', '-5.84954', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514440', '1500401', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.713025', '0', '-0.701139', '-4.91574', '-0.378217', '-4.67447', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514441', '1500401', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '0.999965', '0', '0.00840714', '-1.2827', '-0.378217', '-0.626071', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514442', '1500401', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s1.iff', '0', '0.723188', '0', '-0.690651', '-0.56725', '-0.378217', '-1.24708', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1255930', '0', 'object/building/tatooine/shared_housing_tatt_style01_small.iff', '0', '-0.349084', '0', '0.937091', '-2895.22', '5', '2570.16', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1255931', '1255930', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514369', '1255931', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '-0.00681501', '0', '0.999977', '1.37299', '0.251814', '3.34886', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514370', '1255931', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '-0.00181619', '0', '0.999998', '3.43252', '0.256193', '6.22825', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514371', '1255931', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.880453', '0', '-0.474133', '4.80382', '0.252053', '5.70154', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514372', '1255931', 'object/static/structure/general/shared_data_terminal_wall_s1.iff', '0', '0.00119342', '0', '0.999999', '-1.3691', '0.250034', '3.02163', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514373', '1255931', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.780209', '0', '-0.625519', '5.13798', '0.250759', '4.35857', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514374', '1255931', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.424296', '0', '0.905524', '0.0454539', '0.251624', '3.31225', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514375', '1255931', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.211572', '0', '0.977362', '-0.679401', '0.251201', '3.23105', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514376', '1255931', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.221336', '0', '0.975198', '1.29452', '0.252821', '3.5426', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1255932', '1255930', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1255933', '1255930', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500402', '1255930', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500403', '1255930', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500404', '1255930', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500405', '1255930', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500406', '1255930', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500407', '1255930', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500408', '1255930', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514382', '1500408', 'object/tangible/furniture/modern/shared_rug_oval_sml_s01.iff', '0', '-0.705978', '0', '0.708234', '-1.41267', '-0.378217', '-3.92682', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514383', '1500408', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s2.iff', '0', '0.00159327', '0', '0.999999', '5.18279', '0.275309', '2.38733', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514384', '1500408', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '-0.44252', '0', '0.896759', '4.6826', '-0.378217', '-5.95481', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514385', '1500408', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '-0.44252', '0', '0.896759', '4.6826', '-0.378217', '-5.95481', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514386', '1500408', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '-0.44252', '0', '0.896759', '4.6826', '-0.378217', '-5.95481', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514387', '1500408', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0.00159327', '0', '0.999999', '3.04218', '-0.378217', '-6.24068', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514388', '1500408', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '-0.705987', '0', '0.708225', '5.17382', '-0.378217', '-4.40752', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514389', '1500408', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '0.00159327', '0', '0.999999', '-0.910049', '-0.378217', '-6.06436', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514390', '1500408', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.999999', '0', '-0.0015928', '-2.94841', '-0.378217', '-6.29983', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514391', '1500408', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.42738', '0', '0.904072', '-4.54469', '-0.378217', '-5.76678', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514392', '1500408', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '-0.705987', '0', '0.708225', '-4.99969', '-0.378217', '-4.58232', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514393', '1500408', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '0.999999', '0', '-0.0015928', '-1.2863', '-0.378217', '-0.607159', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514394', '1500408', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s1.iff', '0', '0.716245', '0', '-0.697849', '-0.583615', '-0.378217', '-1.2425', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1255941', '0', 'object/building/tatooine/shared_housing_tatt_style01_small.iff', '0', '0.918068', '0', '-0.396422', '-2879.73', '5', '2512.13', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1255942', '1255941', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514395', '1255942', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.999961', '0', '0.00880621', '1.16737', '0.251476', '3.28392', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514396', '1255942', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '-0.133013', '0', '0.991114', '0.0140498', '0.25283', '3.54431', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514397', '1255942', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.999994', '0', '0.0034083', '-1.33356', '0.251324', '3.25453', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514398', '1255942', 'object/tangible/furniture/cheap/shared_armoire_s01.iff', '0', '-0.00880514', '0', '0.999961', '2.63993', '0.251892', '3.36386', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514399', '1255942', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '4.95788', '0.251202', '4.79603', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514400', '1255942', 'object/static/item/shared_item_jar_berries.iff', '0', '0', '0', '1', '-1.56519', '0.251282', '3.24649', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514401', '1255942', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '5.01444', '0.251015', '3.70225', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1255943', '1255941', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514404', '1255943', 'object/static/item/shared_item_jar_berries.iff', '0', '0', '0', '1', '-2.53261', '0.227893', '1.27957', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1255944', '1255941', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500409', '1255941', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500410', '1255941', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500411', '1255941', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500412', '1255941', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500413', '1255941', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500414', '1255941', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514402', '1500414', 'object/static/item/shared_item_jar_berries.iff', '0', '0', '0', '1', '-1.03789', '0.258022', '1.66977', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514403', '1500414', 'object/static/item/shared_item_jar_berries.iff', '0', '0', '0', '1', '-1.03789', '0.258022', '1.48302', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514405', '1500414', 'object/static/item/shared_item_jar_bugs.iff', '0', '0', '0', '1', '-1.03789', '0.258022', '0.66429', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514406', '1500414', 'object/static/item/shared_item_jar_bugs.iff', '0', '0', '0', '1', '-1.03789', '0.258022', '0.465949', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500415', '1255941', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514407', '1500415', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s1.iff', '0', '-0.697436', '0', '0.716647', '3.13782', '-0.378217', '-5.27182', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514408', '1500415', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '0.999998', '0', '0.00181543', '-0.373425', '-0.378217', '-0.728266', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514409', '1500415', 'object/tangible/furniture/cheap/shared_love_seat_s01.iff', '0', '0.70839', '0', '-0.705821', '1.29878', '-0.364952', '-2.45032', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514410', '1500415', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.70839', '0', '-0.705821', '1.26169', '-0.378051', '-1.00213', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514411', '1500415', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.191985', '0', '0.981398', '-0.813524', '-0.378217', '-3.53764', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514412', '1500415', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.579557', '0', '0.814931', '-2.12793', '-0.378217', '-2.20816', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514413', '1500415', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '-0.00181574', '0', '0.999998', '-0.212234', '-0.378217', '-2.26902', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514414', '1500415', 'object/tangible/furniture/cheap/shared_armoire_s01.iff', '0', '-0.00181574', '0', '0.999998', '1.50073', '-0.378217', '-6.21504', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514415', '1500415', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '0.70839', '0', '-0.705821', '5.17771', '-0.378217', '-3.52936', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514416', '1500415', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '-0.00181574', '0', '0.999998', '-4.3156', '-0.378217', '-6.27482', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514417', '1500415', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '-0.00181574', '0', '0.999998', '-0.322594', '-0.378217', '-6.2288', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514418', '1500415', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '-0.00181574', '0', '0.999998', '-2.34547', '-0.378217', '-6.23183', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514419', '1500415', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s01.iff', '0', '0.898709', '0', '-0.438547', '5.09538', '-0.378217', '-3.82436', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1255959', '0', 'object/building/tatooine/shared_filler_building_block_64x16_style_01.iff', '0', '-0.34759', '0', '0.937647', '-2883.31', '5', '2561.18', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1255965', '0', 'object/static/structure/tatooine/shared_wall_junkshop_watto.iff', '0', '0.996321', '0', '-0.0856923', '-2859.73', '5', '2451.42', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1255966', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.197108', '0', '0.980382', '-2858.46', '4.87904', '2456.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1255968', '0', 'object/static/structure/tatooine/shared_tent_house_tatooine_style_01.iff', '0', '0.995083', '0', '-0.0990415', '-2866.26', '4.85512', '2460.34', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1255969', '0', 'object/static/structure/tatooine/shared_wall_junkshop_watto.iff', '0', '-0.305057', '0', '0.952334', '-2877.24', '5', '2447.24', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1255972', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.452886', '0', '0.891568', '-2871.95', '4.85512', '2466.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1255973', '0', 'object/static/structure/tatooine/shared_tent_house_tatooine_style_01.iff', '0', '-0.613118', '0', '0.789992', '-2928.34', '4.86712', '2572.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1255974', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.930799', '0', '0.365532', '-2927.26', '5', '2583.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1255975', '0', 'object/static/structure/tatooine/shared_tent_house_tatooine_style_01.iff', '0', '0.389418', '0', '0.921061', '-2891.39', '5', '2597.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1255976', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '-0.285952', '0', '0.958244', '-2907.69', '5', '2508.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1255978', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.990105', '0', '-0.140332', '-2904.26', '5', '2600.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1255979', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.651837', '0', '0.758359', '-2927.15', '4.8764', '2561.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1255982', '0', 'object/building/tatooine/shared_filler_building_block_64x32_style_02.iff', '0', '0.784316', '0', '-0.620363', '-3047.56', '5', '2427.53', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1255985', '0', 'object/building/tatooine/shared_guild_combat_tatooine_style_01.iff', '0', '0.62614', '0', '0.779711', '-3014.8', '5', '2423.07', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1255986', '1255985', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1255987', '1255985', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1255988', '1255985', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1255989', '1255985', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1255990', '1255985', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1255991', '1255985', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1255992', '1255985', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1255993', '1255985', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1255994', '1255985', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1255995', '0', 'object/building/tatooine/shared_junkshop_watto.iff', '0', '-0.29074', '0', '0.956802', '-2896.15', '5', '2424.78', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1255996', '1255995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1352717', '1255996', 'object/tangible/furniture/tatooine/shared_frn_tatt_cantina_droid_detector.iff', '0', '-0.164253', '0', '0.986418', '-3.00506', '0.0387584', '10.0745', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1352720', '1255996', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.314566', '0', '0.949235', '-9.95949', '0.0387584', '9.19457', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1352721', '1255996', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.366273', '0', '0.930508', '-9.32767', '0.0387584', '9.89766', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1352724', '1255996', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.430458', '0', '0.902611', '-8.50712', '0.0387584', '10.3466', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1352725', '1255996', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.352274', '0', '0.935897', '-6.74433', '0.0387584', '11.7416', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1352726', '1255996', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.849481', '0', '-0.52762', '-7.66282', '0.0387584', '10.8773', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1352727', '1255996', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.585097', '0', '0.810963', '-5.77191', '0.0387584', '12.3089', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1352728', '1255996', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.997495', '0', '0.0707375', '-2.07802', '0.0387584', '13.0571', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1352729', '1255996', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.757842', '0', '0.652438', '-11.9956', '0.0387584', '1.95778', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1352730', '1255996', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.613117', '0', '0.789992', '-13.0279', '0.0387584', '2.87134', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1352731', '1255996', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.69972', '0', '0.714417', '-13.4186', '0.0387584', '2.35652', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1352732', '1255996', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.885046', '0', '0.465504', '-11.9286', '0.0387584', '6.47364', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1255997', '1255995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1352659', '1255997', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_3.iff', '0', '0.982936', '0', '-0.183946', '4.66462', '0.124125', '-9.54171', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1352660', '1255997', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_3.iff', '0', '0.54869', '0', '0.836026', '3.98664', '0.124125', '-11.8493', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1352661', '1255997', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.696706', '0', '0.717357', '1.81446', '0.124125', '-11.2029', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1352675', '1255997', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0.29074', '0', '0.956802', '10.2345', '-0.478888', '1.38173', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1352676', '1255997', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.998248', '0', '-0.0591689', '10.5607', '-0.478888', '3.15683', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1352677', '1255997', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.572867', '0', '0.819648', '8.49263', '-0.478888', '0.554732', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1352688', '1255997', 'object/static/structure/general/shared_debris_deathstar_small_chunk.iff', '0', '0.305059', '0', '0.952334', '-4.81682', '-0.478888', '5.58384', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1352689', '1255997', 'object/static/structure/general/shared_debris_deathstar_small_chunk.iff', '-0.481582', '0.554652', '-0.444874', '0.512374', '-0.499943', '-0.478888', '7.20814', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1352690', '1255997', 'object/static/structure/general/shared_debris_deathstar_large_tube.iff', '-0.499603', '-0.355111', '-0.235204', '0.754302', '-4.11207', '0.469795', '6.85275', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1352691', '1255997', 'object/static/structure/general/shared_debris_deathstar_large_tube.iff', '-0.515367', '-0.17717', '-0.109847', '0.831229', '-3.40187', '0.469795', '7.18567', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1352692', '1255997', 'object/static/structure/general/shared_debris_deathstar_large_tube.iff', '0.810443', '-0.069147', '0.0977229', '0.573455', '-2.789', '0.469795', '7.20802', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1352693', '1255997', 'object/static/structure/general/shared_debris_deathstar_small_tube.iff', '0', '0.0898781', '0', '0.995953', '-2.01625', '-0.478888', '6.44865', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1352694', '1255997', 'object/static/structure/general/shared_debris_deathstar_small_tube.iff', '0', '-0.20846', '0', '0.978031', '-1.35427', '-0.478888', '6.20279', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1352695', '1255997', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.29074', '0', '0.956802', '-4.39164', '-0.478888', '-5.10192', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1352696', '1255997', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.394019', '0', '0.919102', '-5.11824', '-0.478888', '-4.21663', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1352697', '1255997', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.854714', '0', '0.519099', '-1.80774', '-0.479523', '-6.45008', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1352698', '1255997', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.505534', '0', '0.862807', '-1.26457', '-0.478888', '-7.58915', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1352699', '1255997', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.129634', '0', '0.991562', '-2.77631', '-0.482772', '-6.12093', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1352700', '1255997', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '-0.324043', '0', '0.946042', '-1.31819', '-0.480549', '-6.60894', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1352701', '1255997', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '-0.114747', '0', '0.993395', '-0.476759', '-0.480555', '-6.39053', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1352702', '1255997', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '-0.568762', '0', '0.822502', '-0.559782', '-0.4827', '-7.01262', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1352703', '1255997', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '-0.394019', '0', '0.919102', '-3.31862', '-0.478888', '-5.18118', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1352704', '1255997', 'object/static/structure/general/shared_debris_deathstar_large_tube.iff', '0', '0.227977', '0', '0.973666', '-3.32648', '-0.478888', '5.11745', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1352705', '1255997', 'object/static/structure/general/shared_debris_deathstar_large_tube.iff', '-0.618862', '0.248882', '0.164631', '0.726611', '1.65793', '0.722777', '7.61453', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1352716', '1255997', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.977867', '0', '-0.209228', '6.11554', '-0.478888', '4.04569', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1352733', '1255997', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.29074', '0', '0.956802', '3.24102', '0.406549', '0.569502', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1352734', '1255997', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.29074', '0', '0.956802', '2.97023', '0.406549', '2.80198', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6915386', '1255997', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_02.iff', '0', '-0.13459', '0', '0.990901', '11.6843', '-0.510511', '2.01813', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6915387', '1255997', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_02.iff', '0', '0.213347', '0', '0.976976', '9.36825', '-0.510511', '-0.234267', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6915388', '1255997', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_03.iff', '0', '0', '0', '1', '11.3985', '-0.510511', '0.994027', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6915389', '1255997', 'object/static/item/shared_item_bread_loaf.iff', '0', '0.670587', '0', '0.741831', '11.6219', '-0.0105108', '2.26132', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6915390', '1255997', 'object/static/item/shared_item_fruit_melon.iff', '0.345685', '0.66644', '-0.616849', '0.236342', '11.3189', '0.311781', '1.01502', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6915391', '1255997', 'object/static/item/shared_item_bread_loaf.iff', '0', '0.976071', '0', '-0.217452', '9.46586', '-0.0105108', '-0.0392502', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6915392', '1255997', 'object/static/item/shared_item_meat_kabob.iff', '0', '0.961275', '0', '-0.27559', '9.42675', '0.269489', '-0.249711', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6915393', '1255997', 'object/static/item/shared_item_meat_kabob.iff', '0', '0.987354', '0', '-0.158532', '9.33151', '0.269489', '-0.21361', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6915394', '1255997', 'object/static/item/shared_item_food_vegetable_s03.iff', '-0.0924878', '0.665355', '-0.0836054', '0.736043', '11.7568', '0.192332', '1.99986', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6915395', '1255997', 'object/static/item/shared_item_meat_kabob.iff', '0', '0.8699', '0', '0.493227', '11.453', '-0.16266', '1.95225', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6915396', '1255997', 'object/static/item/shared_item_fruit_melon.iff', '0.726703', '-0.463704', '-0.11101', '0.494529', '9.20045', '-0.103492', '-0.237519', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1255998', '1255995', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1352735', '1255998', 'object/tangible/furniture/tatooine/shared_frn_tatt_cantina_droid_detector.iff', '0', '-0.640386', '0', '0.768054', '-1.9004', '0.0387584', '-11.9342', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1352736', '1255998', 'object/static/structure/general/shared_debris_deathstar_large_tube.iff', '0.648685', '-0.213719', '-0.197113', '-0.703334', '-1.58666', '1.33529', '-10.2213', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1352737', '1255998', 'object/static/structure/general/shared_debris_deathstar_large_tube.iff', '-0.640268', '0.217193', '0.107296', '0.728952', '-4.72012', '1.27205', '-9.21394', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1352738', '1255998', 'object/static/structure/general/shared_debris_deathstar_small_tube.iff', '0.796961', '0.150011', '-0.233437', '0.536522', '-7.11143', '0.671214', '-7.67203', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1352739', '1255998', 'object/static/structure/general/shared_debris_deathstar_small_tube.iff', '0.747795', '0.236099', '-0.36117', '0.504596', '-6.63457', '0.671214', '-8.0185', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1352740', '1255998', 'object/static/structure/general/shared_debris_deathstar_small_tube.iff', '0.567997', '0.236387', '-0.223565', '0.755989', '-8.97884', '0.671214', '-10.6111', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1352741', '1255998', 'object/static/structure/general/shared_debris_deathstar_small_tube.iff', '0.567997', '0.236387', '-0.223565', '0.755989', '-8.65556', '0.671214', '-10.846', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1352742', '1255998', 'object/static/structure/general/shared_debris_deathstar_small_tube.iff', '0.567997', '0.236387', '-0.223565', '0.755989', '-7.86165', '0.671214', '-11.4228', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1352746', '1255998', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.29074', '0', '0.956802', '-13.0934', '0.0387584', '-3.00189', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1352747', '1255998', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.104807', '0', '0.994493', '-10.9325', '0.0387584', '-1.74158', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1352748', '1255998', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.576958', '0', '0.816774', '-11.6939', '0.0387584', '-2.07539', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1352749', '1255998', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.370921', '0', '0.928665', '-12.2238', '0.0387584', '-5.80572', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1352750', '1255998', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.670587', '0', '0.741831', '-12.522', '0.0387584', '-5.11584', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1352751', '1255998', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.663135', '0', '0.748499', '-12.119', '0.0387584', '-4.86511', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1352752', '1255998', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.17903', '0', '0.983844', '-12.8124', '0.0387584', '-4.07207', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1352753', '1255998', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.29074', '0', '0.956802', '-12.4928', '0.0387584', '-2.16445', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1255999', '0', 'object/static/structure/tatooine/shared_wall_junkshop_watto.iff', '0', '0.999876', '0', '-0.0157956', '-2868.31', '5', '2400.87', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1256000', '0', 'object/static/structure/tatooine/shared_wall_junkshop_watto.iff', '0', '-0.338196', '0', '0.941076', '-2850.27', '5', '2406.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1256001', '0', 'object/static/structure/tatooine/shared_wall_junkshop_watto.iff', '0', '-0.670586', '0', '0.741832', '-2841.69', '5', '2423.28', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1256002', '0', 'object/static/structure/tatooine/shared_wall_junkshop_watto.iff', '0', '0.8699', '0', '-0.493228', '-2845.44', '5', '2441.68', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1256003', '0', 'object/building/tatooine/shared_guild_commerce_tatooine_style_01.iff', '0', '0.773915', '0', '-0.633289', '-2840.48', '5', '1991.22', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1256009', '1256003', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1256010', '1256003', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1256011', '1256003', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1256012', '1256003', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1256303', '1256003', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1256304', '1256003', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1256305', '1256003', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1256306', '1256003', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1256307', '1256003', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1256013', '0', 'object/building/tatooine/shared_shuttleport_tatooine.iff', '0', '0.992197', '0', '0.124675', '-3131.51', '5', '2172.01', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1256014', '0', 'object/building/tatooine/shared_guild_university_tatooine_style_01.iff', '0', '-0.138751', '0', '0.990327', '-3057.8', '5', '2061.43', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1256015', '1256014', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1256016', '1256014', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1256017', '1256014', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1256018', '1256014', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1256019', '1256014', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1256020', '1256014', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1256021', '1256014', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1256022', '1256014', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1256023', '1256014', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1256055', '0', 'object/building/tatooine/shared_cantina_tatooine.iff', '0', '0.595738', '0', '0.803179', '-3001.22', '5', '2172.17', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1256056', '1256055', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1256057', '1256055', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1256058', '1256055', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '7895386', '1256058', 'object/soundobject/shared_soundobject_cantina_large.iff', '0', '0', '0', '1', '24.1651', '-0.894995', '0.589347', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '7895387', '1256058', 'object/soundobject/shared_soundobject_cantina_large.iff', '0', '0', '0', '1', '-12.3062', '-0.894992', '0.187763', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1256059', '1256055', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '7895391', '1256059', 'object/soundobject/shared_soundobject_cantina_medium.iff', '0', '0', '0', '1', '20.2083', '-0.894996', '-18.2238', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1256060', '1256055', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '7895390', '1256060', 'object/soundobject/shared_soundobject_cantina_medium.iff', '0', '0', '0', '1', '18.0432', '-0.894992', '18.1138', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1256061', '1256055', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '7895392', '1256061', 'object/soundobject/shared_soundobject_cantina_small.iff', '0', '0', '0', '1', '6.26229', '-0.894992', '-17.1463', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1256062', '1256055', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '7895389', '1256062', 'object/soundobject/shared_soundobject_cantina_medium.iff', '0', '0', '0', '1', '5.47', '-0.894992', '17.942', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1256063', '1256055', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '7895393', '1256063', 'object/soundobject/shared_soundobject_cantina_medium.iff', '0', '0', '0', '1', '-8.89697', '-0.894915', '-18.5682', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1256064', '1256055', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '7895388', '1256064', 'object/soundobject/shared_soundobject_cantina_medium.iff', '0', '0', '0', '1', '-6.63787', '-0.895', '19.6724', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1256065', '1256055', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1256066', '1256055', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1256067', '1256055', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355681', '1256067', 'object/static/item/shared_item_tech_console_sectional_b.iff', '0', '0', '0', '1', '-15.4046', '-0.894988', '22.0247', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355684', '1256067', 'object/static/item/shared_item_tech_console_sectional_c.iff', '0', '1', '0', '3.20013e-08', '-21.924', '-0.894992', '15.6453', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355685', '1256067', 'object/static/item/shared_item_scrolling_screen.iff', '0', '0', '0', '1', '-21.9736', '1.42205', '13.1957', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '7895394', '1256067', 'object/soundobject/shared_soundobject_cantina_medium.iff', '0', '0', '0', '1', '-21.6533', '-0.894989', '25.0247', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1256068', '1256055', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355676', '1256068', 'object/static/item/shared_item_tech_console_sectional_d.iff', '0', '0.707106', '0', '0.707107', '-32.8841', '-0.519991', '4.99287', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355677', '1256068', 'object/static/item/shared_item_chemical_container_lg.iff', '0', '0.247404', '0', '0.968912', '-31.8799', '-0.519991', '10.8019', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355678', '1256068', 'object/static/item/shared_item_chemical_container_lg.iff', '0', '0.587675', '0', '0.809097', '-31.4964', '-0.519991', '12.1622', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355679', '1256068', 'object/static/item/shared_item_scrolling_screen.iff', '0', '0.707106', '0', '0.707107', '-27.9971', '1.62535', '15.0354', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355680', '1256068', 'object/static/item/shared_item_storage_cabinet_01.iff', '0', '0.728544', '0', '0.684999', '-32.239', '-0.519991', '14.381', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '5566053', '1256068', 'object/static/structure/general/shared_data_terminal_wall_s3.iff', '0', '0', '0', '1', '-26.8564', '-0.519991', '5.9189', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '5566057', '1256068', 'object/static/item/shared_item_tapestry_rebel.iff', '0', '-0.707106', '0', '0.707108', '-27.7785', '0.584991', '5.1025', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '7895395', '1256068', 'object/soundobject/shared_soundobject_cantina_small.iff', '0', '0', '0', '1', '-24.6104', '-0.519991', '6.64503', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1256069', '1256055', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1256070', '1256055', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1256245', '0', 'object/building/tatooine/shared_parking_garage_tatooine_style_1.iff', '0', '-0.124674', '0', '0.992198', '-2856.46', '4.99894', '1923.5', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1256246', '0', 'object/building/tatooine/shared_filler_building_block_64x32_style_01.iff', '0', '-0.134588', '0', '0.990902', '-3019.69', '5', '2042.05', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1257855', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.984865', '0', '0.173324', '-2994.16', '5', '2603.14', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1257872', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.416871', '0', '0.908966', '-3018.62', '5', '2557.19', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1257874', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.380189', '0', '0.924909', '-3011.1', '5', '2550.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1257876', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '-0.0149999', '0', '0.999887', '-3026.37', '5', '2563.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1257881', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.389418', '0', '0.921061', '-3002.15', '5', '2541.69', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1259838', '0', 'object/building/tatooine/shared_parking_garage_tatooine_style_1.iff', '0', '0.40319', '0', '0.915116', '-2970.24', '5', '2514.27', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1259843', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.380189', '0', '0.924909', '-2987.44', '5', '2595.81', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1259845', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.342899', '0', '0.939372', '-2981.49', '5', '2589.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1259847', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.375559', '0', '0.926799', '-2975.22', '5', '2582.54', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1259858', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '-0.389418', '0', '0.921061', '-2966.75', '5', '2572.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1259859', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.164252', '0', '0.986418', '-3000', '5', '2532.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1259864', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '-0.342897', '0', '0.939373', '-2915.37', '5', '2518.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1259865', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.436397', '0', '0.899754', '-2917.38', '5', '2521.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1259866', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.443948', '0', '0.896052', '-2898.6', '5', '2493.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1259867', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0.467617', '0', '0.883931', '-2912.11', '5', '2515.08', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1259868', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0.878831', '0', '-0.477133', '-2904.08', '5', '2501.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1259869', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0.68334', '-0.181783', '0.181783', '0.683341', '-2900.65', '9.3007', '2497.69', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1259870', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '-0.181783', '-0.683341', '0.683341', '-0.181783', '-2901.52', '9.3007', '2497.2', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1259871', '0', 'object/static/structure/tatooine/shared_wall_damaged_tatooine_large_style_01.iff', '0', '0.972699', '0', '0.232068', '-2897.41', '5', '2489.87', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1259872', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '-0.129635', '0', '0.991562', '-2894.98', '5', '2486.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1259873', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.227978', '0', '0.973666', '-2891.53', '5', '2478.76', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1259874', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.352274', '0', '0.935897', '-2888.7', '5', '2473.56', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1259891', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.37092', '0', '0.928665', '-2949.12', '5', '2475.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1259893', '0', 'object/static/structure/tatooine/shared_wall_damaged_tatooine_large_style_01.iff', '0', '0.116328', '0', '0.993211', '-3042.91', '5', '2472.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1259894', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.975724', '0', '-0.219006', '-3042.72', '5', '2476.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1259895', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '0.154381', '0', '0.988011', '-3040.52', '5', '2480.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1259897', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.717357', '0', '0.696706', '-3043.42', '5', '2468.37', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1259905', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.629095', '0', '0.777328', '-2970.79', '5', '2430.49', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1259909', '0', 'object/static/structure/tatooine/shared_bridge_tatooine_small_style_03.iff', '0', '0.710355', '0', '0.703844', '93.4867', '51.841', '-5358.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1259910', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '-0.104807', '0', '0.994493', '-2969.12', '5', '2421.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1259916', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.777326', '0', '-0.629097', '-2972.91', '5', '2435.66', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1259919', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '0.994493', '0', '0.104807', '-2974.62', '5', '2444.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1259934', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '-0.114747', '0', '0.993395', '-2977.21', '5', '2431.99', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1259946', '0', 'object/static/installation/shared_mockup_mining_liquid_harvester_style_1.iff', '0', '0.914795', '0', '-0.403919', '-2973.1', '5', '2484.36', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1259947', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-2955.1', '5', '2480.19', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1259948', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-2955.08', '5', '2494.21', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1259951', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-2997.88', '5', '2539.03', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1259952', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '-0.499834', '0', '0.866121', '-2881.24', '5', '2397.29', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1259953', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0.678582', '0.198808', '-0.198809', '0.678583', '-2883.21', '9.31142', '2392.68', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1259954', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '-0.198809', '0.678583', '-0.678583', '-0.198809', '-2884.05', '9.31142', '2393.22', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1259955', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.846832', '0', '0.531861', '-2885.67', '5', '2388.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1259963', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.778073', '0', '-0.628174', '-2815.64', '5.01595', '2417.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1259964', '0', 'object/static/structure/tatooine/shared_tent_house_tatooine_style_01.iff', '0', '0.939099', '0', '0.343647', '-2813.86', '4.99202', '2396.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1259966', '0', 'object/building/tatooine/shared_housing_tatt_style01_small.iff', '0', '0.0165919', '0', '0.999862', '-2875.9', '5', '2379.39', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1259967', '1259966', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512361', '1259967', 'object/tangible/furniture/cheap/shared_armoire_s01.iff', '0', '-0.702429', '0', '0.711754', '5.1697', '0.250948', '5.71853', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512362', '1259967', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.999978', '0', '-0.00659276', '2.87951', '0.252271', '3.43667', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512363', '1259967', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '-0.308302', '0', '0.951289', '4.2093', '0.252895', '3.68892', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512364', '1259967', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.711753', '0', '0.702429', '5.20391', '0.250599', '4.24405', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512365', '1259967', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0', '0', '1', '-1.08532', '0.252805', '3.53943', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512366', '1259967', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0', '0', '1', '-0.647349', '0.252606', '3.50125', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512367', '1259967', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '-0.475032', '0', '0.879969', '-0.491874', '0.25164', '3.31532', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1259968', '1259966', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512369', '1259968', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.247404', '0', '0.968912', '-1.85286', '1.20812', '1.46071', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512370', '1259968', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '-1.83321', '1.20862', '0.411249', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1259969', '1259966', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500353', '1259966', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500354', '1259966', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500355', '1259966', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500356', '1259966', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500357', '1259966', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500358', '1259966', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500359', '1259966', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512373', '1500359', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s1.iff', '0', '0.709075', '0', '0.705133', '-2.92071', '-0.378217', '-4.08492', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512374', '1500359', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '-0.705416', '0', '0.708794', '4.98482', '-0.378217', '-4.29335', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512375', '1500359', 'object/tangible/furniture/cheap/shared_love_seat_s01.iff', '0', '0.00238766', '0', '0.999997', '3.24676', '-0.378217', '-5.94984', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512376', '1500359', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.00238766', '0', '0.999997', '4.6974', '-0.378217', '-5.92618', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512377', '1500359', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.778823', '0', '0.627244', '1.68586', '-0.378217', '-4.76773', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512378', '1500359', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.927924', '0', '-0.372768', '4.42484', '-0.362376', '-2.50655', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512379', '1500359', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.708793', '0', '0.705416', '3.4428', '-0.378217', '-4.44168', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512380', '1500359', 'object/tangible/furniture/cheap/shared_armoire_s01.iff', '0', '0.999997', '0', '-0.00238791', '-1.70068', '-0.378217', '-0.542852', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512381', '1500359', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '0.698133', '0', '0.715968', '-4.92244', '-0.378217', '-5.87121', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512382', '1500359', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0.00238787', '0', '0.999997', '0.0110172', '-0.378217', '-6.26587', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512383', '1500359', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0.999997', '0', '-0.00238791', '0.126324', '-0.378217', '-0.538054', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512384', '1500359', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '0.00238787', '0', '0.999997', '-1.96221', '-0.378217', '-6.25637', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512385', '1500359', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s01.iff', '0', '0.428818', '0', '0.903391', '-4.8469', '0.570467', '-5.57426', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1259977', '0', 'object/building/tatooine/shared_housing_tatt_style01_small.iff', '0', '-0.0449854', '0', '0.998988', '-2858.41', '5', '2379.98', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1259978', '1259977', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512389', '1259978', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '-0.00181497', '0', '0.999998', '1.38782', '0.251727', '3.33207', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512390', '1259978', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.00318433', '0', '0.999995', '3.47615', '0.256061', '6.19077', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512391', '1259978', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.878071', '0', '-0.47853', '4.84205', '0.251938', '5.65066', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512392', '1259978', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.835028', '0', '0.550207', '-1.03798', '0.251606', '3.57866', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512393', '1259978', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.691227', '0', '0.722638', '-1.7636', '0.251221', '3.50462', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512394', '1259978', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.226209', '0', '0.974079', '1.31137', '0.252738', '3.52658', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512395', '1259978', 'object/static/structure/general/shared_data_terminal_wall_s1.iff', '0', '0.0061946', '0', '0.999981', '-0.525818', '0.250034', '3.09422', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512396', '1259978', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.777072', '0', '-0.629412', '5.16297', '0.250698', '4.30438', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1259979', '1259977', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512401', '1259979', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '-2.0323', '1.20802', '1.66657', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512402', '1259979', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '-2.08586', '1.20814', '1.35421', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512403', '1259979', 'object/static/item/shared_item_jar_funk.iff', '0', '0', '0', '1', '-2.01819', '1.20838', '0.912574', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512404', '1259979', 'object/static/item/shared_item_jar_funk.iff', '0', '0', '0', '1', '-2.01224', '1.20853', '0.594866', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512405', '1259979', 'object/static/item/shared_item_jar_berries.iff', '0', '0', '0', '1', '-2.1637', '1.20832', '0.776949', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512406', '1259979', 'object/static/item/shared_item_jar_empty.iff', '0', '0', '0', '1', '-2.0078', '1.20864', '0.357662', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1259980', '1259977', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500360', '1259977', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500361', '1259977', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500362', '1259977', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500363', '1259977', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500364', '1259977', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500365', '1259977', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500366', '1259977', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512407', '1500366', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s1.iff', '0', '-0.693845', '0', '0.720124', '3.07755', '-0.378217', '-5.31512', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512408', '1500366', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '0.999995', '0', '-0.00318452', '-0.388212', '-0.378217', '-0.736737', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512409', '1500366', 'object/tangible/furniture/cheap/shared_love_seat_s01.iff', '0', '-0.704856', '0', '0.709351', '1.26694', '-0.368673', '-2.4751', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512410', '1500366', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '-0.704856', '0', '0.709351', '1.24387', '-0.378031', '-1.02706', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512411', '1500366', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.19689', '0', '0.980426', '-0.856287', '-0.378217', '-3.54175', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512412', '1500366', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.583625', '0', '0.812024', '-2.15735', '-0.378217', '-2.19906', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512413', '1500366', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.0031843', '0', '0.999995', '-0.24258', '-0.378217', '-2.27903', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512414', '1500366', 'object/tangible/furniture/cheap/shared_armoire_s01.iff', '0', '0.0031843', '0', '0.999995', '1.4308', '-0.378217', '-6.2419', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512415', '1500366', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '-0.704856', '0', '0.709351', '5.13442', '-0.378217', '-3.59312', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512416', '1500366', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0.0031843', '0', '0.999995', '-4.38557', '-0.378217', '-6.24349', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512417', '1500366', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0.0031843', '0', '0.999995', '-0.396135', '-0.378217', '-6.24388', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512418', '1500366', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '0.0031843', '0', '0.999995', '-2.41525', '-0.378217', '-6.22031', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512419', '1500366', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s01.iff', '0', '0.896505', '0', '-0.443035', '5.04945', '0.570466', '-3.88758', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1259988', '0', 'object/building/tatooine/shared_housing_tatt_style01_small.iff', '0', '-0.227979', '0', '0.973666', '-2841.57', '5', '2385.07', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1259989', '1259988', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512420', '1259989', 'object/tangible/furniture/cheap/shared_armoire_s01.iff', '0', '-0.00880433', '0', '0.999961', '2.5857', '0.252219', '3.42673', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512421', '1259989', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.999994', '0', '0.00340721', '-1.38778', '0.25165', '3.31738', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512422', '1259989', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '-0.133012', '0', '0.991114', '-0.0401695', '0.253159', '3.60744', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512423', '1259989', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.999961', '0', '0.008805', '1.11303', '0.251804', '3.34701', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512424', '1259989', 'object/static/item/shared_item_jar_berries.iff', '0', '0', '0', '1', '-1.61803', '0.630856', '3.30734', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512425', '1259989', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '4.96014', '0.251145', '3.76527', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512426', '1259989', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '4.90374', '0.251331', '4.85908', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1259990', '1259988', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1259991', '1259988', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500367', '1259988', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500368', '1259988', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500369', '1259988', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500370', '1259988', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500371', '1259988', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500372', '1259988', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500373', '1259988', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512474', '1500373', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '-0.698009', '0', '0.716089', '5.01467', '-0.378217', '-4.39302', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512475', '1500373', 'object/tangible/furniture/cheap/shared_love_seat_s01.iff', '0', '0.0127852', '0', '0.999918', '3.24257', '-0.378217', '-6.01296', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512476', '1500373', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.999928', '0', '-0.011989', '4.77265', '-0.378217', '-6.21464', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512477', '1500373', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.736705', '0', '0.676214', '1.69945', '-0.378217', '-4.79238', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512478', '1500373', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.922075', '0', '-0.387012', '1.07742', '-0.376266', '-1.89265', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512479', '1500373', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.71609', '0', '0.698008', '3.46997', '-0.378217', '-4.5091', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512480', '1500373', 'object/tangible/furniture/cheap/shared_armoire_s01.iff', '0', '0.00318424', '0', '0.999995', '-0.544699', '-0.378217', '-6.20548', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512481', '1500373', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '0.999968', '0', '0.00801074', '-0.283869', '-0.378217', '-0.735594', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512482', '1500373', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0.00318424', '0', '0.999995', '-4.34144', '-0.378217', '-6.27593', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512483', '1500373', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0.00318424', '0', '0.999995', '1.44649', '-0.378217', '-6.26854', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512484', '1500373', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '0.00318424', '0', '0.999995', '-2.37111', '-0.378217', '-6.253', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512486', '1500373', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s1.iff', '0', '1', '0', '-3.20013e-08', '-1.66386', '-0.378217', '-2.53913', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1259999', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0', '0.300293', '0', '0.953847', '-2879.64', '5', '2398.82', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1260003', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.66058', '0', '0.750756', '-2832.34', '5', '2446.13', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1260005', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '-0.126255', '0', '0.991998', '-2831.64', '5', '2394.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1260012', '0', 'object/static/structure/tatooine/shared_shed_junkshop_watto.iff', '0', '0', '0', '1', '-2852.65', '5', '2443.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1260013', '0', 'object/static/structure/tatooine/shared_shed_junkshop_watto.iff', '0', '-0.242556', '0', '0.970137', '-2826', '5', '2387.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1260014', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.568762', '0', '0.822502', '-2822.69', '5', '2380.41', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1260015', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.962209', '0', '0.272314', '-2807.07', '5', '2385.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1260016', '0', 'object/static/structure/tatooine/shared_wall_damaged_tatooine_large_style_01.iff', '0', '0.824885', '0', '-0.565299', '-2811.05', '5', '2385.16', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1260017', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.648033', '0', '0.761612', '-2814.44', '5', '2383.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1260018', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.568762', '0', '0.822502', '-2846.55', '5', '2371.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1260019', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.962209', '0', '0.272314', '-2830.93', '5', '2376.86', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1260020', '0', 'object/static/structure/tatooine/shared_wall_damaged_tatooine_large_style_01.iff', '0', '0.824885', '0', '-0.565299', '-2834.91', '5', '2376.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1260021', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.648033', '0', '0.761613', '-2838.3', '5', '2373.96', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1260026', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.659384', '0', '0.751806', '-2878.59', '5', '2365.25', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1260027', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.731146', '0', '0.682222', '-2869.96', '5', '2365.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1260041', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '0.570727', '0', '0.82114', '-2889.14', '5', '2388.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1260042', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0.8842', '0', '0.467109', '-2899.93', '5', '2369.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1260044', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0', '0.985719', '0', '0.168398', '-2892.2', '5', '2372.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1260980', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_09.iff', '0', '0.20846', '0', '0.978031', '-2688.81', '5', '2230.1', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1260990', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_10.iff', '0', '-0.149438', '0', '0.988771', '-2890.09', '5', '2306.55', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261013', '0', 'object/building/tatooine/shared_hotel_tatooine_style_01.iff', '0', '0.990327', '0', '0.138753', '-3084.98', '5', '2213.22', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261014', '1261013', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261015', '1261013', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1371045', '1261015', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0.990327', '0', '-0.138753', '-0.0829146', '0.999959', '19.6449', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1371046', '1261015', 'object/static/structure/general/shared_banner_tatooine_style_01.iff', '0', '0.999991', '0', '-0.00420224', '2.93407', '0.999959', '19.1596', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1371047', '1261015', 'object/static/structure/general/shared_banner_tatooine_style_01.iff', '0', '0.999983', '0', '0.00579765', '-3.09854', '0.999959', '19.0849', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261016', '1261013', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1371040', '1261016', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_02.iff', '0', '-0.704412', '0', '0.709791', '-0.0636861', '0.999941', '14.5112', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1371042', '1261016', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0.990327', '0', '-0.138753', '-0.00253204', '0.999951', '17.6477', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1371043', '1261016', 'object/static/structure/general/shared_banner_tatooine_style_01.iff', '0', '0.999991', '0', '-0.00420193', '-3.01936', '0.999956', '18.133', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1371044', '1261016', 'object/static/structure/general/shared_banner_tatooine_style_01.iff', '0', '0.999983', '0', '0.0057981', '3.01327', '0.999957', '18.2078', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261017', '1261013', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106147', '1261017', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0', '0', '1', '0.404884', '1', '-22.2256', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106148', '1261017', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0', '0', '1', '4.36186', '1', '-22.2268', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106149', '1261017', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0', '0', '1', '8.35796', '1', '-22.2202', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370882', '1261017', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_02.iff', '0', '0.990327', '0', '-0.138753', '-0.0326359', '1', '-2.37747', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370886', '1261017', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_02.iff', '0', '-0.602154', '0', '0.79838', '-1.74146', '0.99999', '0.672434', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370887', '1261017', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_02.iff', '0', '0.138753', '0', '0.990327', '1.25487', '0.999996', '2.40929', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370888', '1261017', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_02.iff', '0', '0.79838', '0', '0.602154', '2.9997', '0.999999', '-0.618959', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370907', '1261017', 'object/static/structure/general/shared_planter_generic_style_1.iff', '0', '0.990327', '0', '-0.138753', '0.629776', '0.999995', '0.124285', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370913', '1261017', 'object/tangible/furniture/tatooine/shared_frn_tato_vase_style_02.iff', '0', '0.990327', '0', '-0.138753', '2.97893', '1.63245', '-0.57184', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370914', '1261017', 'object/tangible/furniture/tatooine/shared_frn_tato_vase_style_02.iff', '0', '0.990327', '0', '-0.138753', '-0.0334433', '1.63246', '-2.33746', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370915', '1261017', 'object/tangible/furniture/tatooine/shared_frn_tato_vase_style_02.iff', '0', '0.990327', '0', '-0.138753', '1.21285', '1.63245', '2.38132', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370919', '1261017', 'object/static/flora/shared_flora_flower_tato_funnel_med.iff', '0', '0.990327', '0', '-0.138753', '1.22856', '1.63245', '2.38624', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370923', '1261017', 'object/static/flora/shared_flora_flower_tato_funnel.iff', '0', '0.990327', '0', '-0.138753', '-0.0263651', '1.63246', '-2.34165', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370924', '1261017', 'object/static/flora/shared_flora_flower_tato_funnel_sm.iff', '0', '0.990327', '0', '-0.138753', '2.97981', '1.63245', '-0.575177', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370926', '1261017', 'object/tangible/furniture/tatooine/shared_frn_tato_vase_style_02.iff', '0', '0.990327', '0', '-0.138753', '-1.70633', '1.63245', '0.654016', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370927', '1261017', 'object/static/flora/shared_flora_flower_tato_funnel.iff', '0', '0.990327', '0', '-0.138753', '-1.71347', '1.63245', '0.658343', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370939', '1261017', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.990327', '0', '-0.138753', '-1.38761', '1.63245', '1.26527', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370940', '1261017', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.990327', '0', '-0.138753', '-1.70032', '1.63245', '-0.259922', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370941', '1261017', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.990327', '0', '-0.138753', '2.56731', '1.63245', '-1.26303', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370942', '1261017', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0.990327', '0', '-0.138753', '2.99292', '1.63245', '0.222605', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370943', '1261017', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0.990327', '0', '-0.138753', '-0.729403', '1.63246', '-1.88933', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370944', '1261017', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0.990327', '0', '-0.138753', '0.920084', '1.63246', '-2.39662', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370945', '1261017', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0.990327', '0', '-0.138753', '1.97653', '1.63245', '1.98987', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370946', '1261017', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0.990327', '0', '-0.138753', '0.40132', '1.63245', '2.47205', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7535378', '1261017', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '9.52022', '1.00001', '0.210244', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261018', '1261013', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106143', '1261018', 'object/tangible/gambling/wheel/shared_roulette.iff', '0', '0', '0', '1', '18.0078', '1.28309', '4.79276', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106144', '1261018', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.707107', '0', '0.707107', '14.0957', '1.28309', '6.25359', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106145', '1261018', 'object/tangible/gambling/slot/shared_standard.iff', '0', '0.707107', '0', '0.707107', '14.0602', '1.28309', '-6.29153', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106146', '1261018', 'object/tangible/gambling/slot/shared_standard.iff', '0', '-0.707106', '0', '0.707107', '26.372', '1.28309', '2.87644', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370845', '1261018', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '-0.609792', '0', '0.792561', '15.9818', '1.28309', '-10.9917', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370846', '1261018', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '-0.0707384', '0', '0.997495', '14.5021', '1.28309', '-13.0407', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370847', '1261018', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_2.iff', '0', '-0.1056', '0', '0.994409', '14.0809', '1.28309', '-10.4872', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370848', '1261018', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.967664', '0', '-0.252244', '14.9837', '1.28309', '-8.50769', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370850', '1261018', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_3.iff', '0', '0.991249', '0', '0.132004', '22.2865', '1.28309', '-0.896275', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370851', '1261018', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.632672', '0', '0.77442', '21.2887', '1.28309', '-3.4736', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370852', '1261018', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.787409', '0', '-0.616431', '25.1786', '1.28309', '-2.61831', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370853', '1261018', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_3.iff', '0', '-0.0765192', '0', '0.997068', '23.9251', '1.28309', '-5.20971', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370854', '1261018', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_2.iff', '0', '0.774924', '0', '-0.632055', '23.2706', '1.28309', '-3.19022', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370855', '1261018', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.928072', '0', '0.3724', '22.147', '1.28309', '6.00497', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370856', '1261018', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_3.iff', '0', '0.973302', '0', '0.229529', '23.5984', '1.28309', '4.64304', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370857', '1261018', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_3.iff', '0', '0.90114', '0', '-0.433529', '25.0185', '1.28309', '6.20708', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370858', '1261018', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_3.iff', '0', '0.127263', '0', '0.991869', '23.2463', '1.28309', '2.81396', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370860', '1261018', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_3.iff', '0', '0.691674', '0', '0.72221', '15.8309', '1.28309', '4.48155', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370862', '1261018', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '-0.219398', '0', '0.975636', '18.5935', '1.28309', '2.75598', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370863', '1261018', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.774671', '0', '-0.632364', '19.9714', '1.28309', '5.50768', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370864', '1261018', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.916803', '0', '0.39934', '16.2749', '1.28309', '-4.13509', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370865', '1261018', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_2.iff', '0', '0.84948', '0', '0.527621', '18.1316', '1.28309', '-4.85622', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370866', '1261018', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '-0.706837', '0', '0.707376', '19.8695', '1.28309', '-5.85012', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370867', '1261018', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s03.iff', '0', '0.699715', '0', '0.714422', '13.5219', '1.28309', '-10.4973', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370871', '1261018', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s02.iff', '0', '0.990327', '0', '-0.138753', '23.2624', '1.28309', '-3.21078', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370872', '1261018', 'object/static/item/shared_item_bottle_fat.iff', '0', '0.990327', '0', '-0.138753', '17.6885', '1.56616', '11.7954', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370873', '1261018', 'object/static/item/shared_item_bottle_fat.iff', '0', '0.990327', '0', '-0.138753', '17.2054', '1.56616', '11.7954', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370874', '1261018', 'object/static/item/shared_item_bottle_pear.iff', '0', '0.990327', '0', '-0.138753', '17.8197', '1.28309', '-4.91122', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370875', '1261018', 'object/static/item/shared_item_bottle_tall.iff', '0', '0.990327', '0', '-0.138753', '23.5151', '1.28309', '4.66957', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370876', '1261018', 'object/static/item/shared_item_bottle_fat.iff', '0', '0.990327', '0', '-0.138753', '19.0944', '1.56616', '11.7954', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370877', '1261018', 'object/static/item/shared_item_glass_metal.iff', '0', '0.990327', '0', '-0.138753', '23.1088', '1.28309', '4.60523', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370878', '1261018', 'object/static/item/shared_item_glass_metal.iff', '0', '0.990327', '0', '-0.138753', '24.0047', '1.28309', '4.68319', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370879', '1261018', 'object/static/item/shared_item_glass_metal.iff', '0', '0.990327', '0', '-0.138753', '23.6071', '1.28309', '4.87313', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370880', '1261018', 'object/static/item/shared_item_glass_empty.iff', '0', '0.990327', '0', '-0.138753', '17.9989', '1.28309', '-5.06561', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370881', '1261018', 'object/static/item/shared_item_glass_bluemilk.iff', '0', '0.990327', '0', '-0.138753', '19.5187', '1.56616', '11.7954', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370995', '1261018', 'object/tangible/crafting/station/shared_food_station.iff', '0', '1', '0', '0.0007981', '20.2668', '1.56616', '15.1105', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370996', '1370995', 'object/tangible/hopper/shared_crafting_station_ingredient_hopper_1.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '7535379', '1261018', 'object/soundobject/shared_soundobject_cantina_medium.iff', '0', '0', '0', '1', '18.5837', '1.28309', '-0.362682', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261019', '1261013', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1371028', '1261019', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s01.iff', '0', '-0.258621', '0', '0.965979', '-23.6554', '1.6', '5.79727', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1371029', '1261019', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s01.iff', '0', '-0.463192', '0', '0.886258', '-21.3317', '1.6', '8.99418', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1371030', '1261019', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s01.iff', '0', '-0.502592', '0', '0.864524', '-19.6087', '1.6', '11.3646', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1371031', '1261019', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_02.iff', '0', '0.934408', '0', '-0.356204', '-25.6701', '1.59534', '-1.08561', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1371032', '1261019', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '0.0433917', '0', '0.999058', '-24.3106', '1.59803', '-1.57366', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1371033', '1261019', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '-0.704412', '0', '0.709791', '-26.262', '1.58798', '0.310753', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1371034', '1261019', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s04.iff', '0', '0.366271', '0', '0.930508', '-26.2167', '1.59794', '-1.59392', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1371035', '1261019', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '-0.054974', '0', '0.998488', '-22.7109', '1.59508', '-0.97803', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1371036', '1261019', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.593176', '0', '0.805073', '-25.8695', '1.58057', '1.7339', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1371037', '1261019', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff', '0', '0.888927', '0', '0.458048', '-25.1477', '1.6', '9.57078', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1371038', '1261019', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff', '0', '0.891207', '0', '0.453598', '-22.8282', '1.6', '12.7839', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261020', '1261013', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1371027', '1261020', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_02.iff', '0', '0.999875', '0', '0.0157973', '-15.3915', '1', '-6.24292', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261021', '1261013', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106150', '1261021', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.501213', '0', '0.865324', '-8.01965', '1.6', '-16.513', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106151', '1261021', 'object/tangible/gambling/table/shared_table_base.iff', '0', '1', '0', '3.20013e-08', '-6.48812', '1.6', '-15.5212', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1106152', '1261021', 'object/tangible/gambling/table/shared_table_base.iff', '0', '0', '0', '1', '-6.27212', '1.6', '-10.6883', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370948', '1261021', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '-0.390886', '0', '0.920439', '-4.99547', '1.6', '-16.5594', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370950', '1261021', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '0.95209', '0', '0.305819', '-4.37753', '1.6', '-10.8152', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370951', '1261021', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '0.531184', '0', '0.847256', '-5.92124', '1.6', '-13.862', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370954', '1261021', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.984587', '0', '0.174894', '-6.9277', '1.6', '-13.8486', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370955', '1261021', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.9308', '0', '-0.36553', '-4.64257', '1.6', '-9.89681', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370956', '1261021', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.959437', '0', '0.281923', '-7.83878', '1.6', '-9.75734', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370958', '1261021', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.366271', '0', '0.930508', '-6.98346', '1.6', '-12.1398', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370959', '1261021', 'object/tangible/furniture/modern/shared_end_table_large_modern_style_01.iff', '0', '0.707952', '0', '-0.70626', '-6.35335', '1.6', '-9.14289', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370960', '1261021', 'object/tangible/furniture/modern/shared_end_table_large_modern_style_01.iff', '0', '0.713862', '0', '0.700286', '-6.45163', '1.6', '-17.1188', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370961', '1261021', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff', '0', '-0.000798044', '0', '1', '-6.43273', '1.6', '-19.0098', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370962', '1261021', 'object/tangible/furniture/modern/shared_cabinet_modern_style_01.iff', '0', '1', '0', '0.000798104', '-7.56696', '1.6', '-5.21228', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370965', '1261021', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_03.iff', '0', '0.999991', '0', '-0.00420189', '-6.61405', '1.6', '-13.1078', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370967', '1261021', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_05.iff', '0.707107', '0.707107', '0.000564351', '0.000564352', '-10.3178', '4.32997', '-13.3447', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261022', '1261013', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370993', '1261022', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.00840578', '0', '0.999965', '-18.045', '1.6', '-18.6727', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370994', '1261022', 'object/static/item/shared_item_container_organic_hide.iff', '0', '0.999991', '0', '-0.00420191', '-19.4792', '1.6', '-18.4992', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370998', '1261022', 'object/static/item/shared_item_container_organic_food.iff', '0', '-0.0115942', '0', '0.999933', '-18.3924', '1.6', '-18.6602', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370999', '1261022', 'object/static/item/shared_item_container_organic_food.iff', '0', '-0.00659436', '0', '0.999978', '-18.7479', '1.6', '-18.6782', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1371002', '1261022', 'object/tangible/furniture/modern/shared_armoire_modern_style_01.iff', '0', '0.00340555', '0', '0.999994', '-14.8653', '1.6', '-18.9529', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1371003', '1261022', 'object/tangible/furniture/modern/shared_armoire_modern_style_01.iff', '0', '0', '0', '1', '-16.738', '1.6', '-18.9536', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1371004', '1261022', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.999816', '0', '-0.0192009', '-19.7177', '1.6', '-13.556', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1371005', '1261022', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.990327', '0', '-0.138753', '-19.4037', '1.6', '-14.4972', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1371006', '1261022', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.954086', '0', '-0.299532', '-19.4861', '1.6', '-15.6027', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1371007', '1261022', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.752332', '0', '-0.658784', '-19.0238', '1.6', '-13.8885', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1371008', '1261022', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.944148', '0', '0.329523', '-18.7511', '1.6', '-15.404', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1371009', '1261022', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.124673', '0', '0.992198', '-19.1749', '1.6', '-15.0178', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1371010', '1261022', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '-0.00659447', '0', '0.999978', '-19.6943', '1.6', '-14.0217', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1371011', '1261022', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.735629', '0', '-0.677385', '-18.9907', '1.6', '-16.7368', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1371012', '1261022', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.774924', '0', '-0.632055', '-19.7368', '1.6', '-16.4041', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1371013', '1261022', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.858119', '0', '-0.513451', '-18.814', '1.6', '-17.6079', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1371014', '1261022', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.993303', '0', '0.115539', '-19.6338', '1.6', '-17.5763', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1371015', '1261022', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999991', '0', '-0.00420193', '-19.762', '1.6', '-16.5337', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1371016', '1261022', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.718466', '0', '-0.695562', '-19.9739', '1.6', '-14.8956', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1371017', '1261022', 'object/static/item/shared_item_bottle_tall.iff', '0', '0.999983', '0', '0.00579809', '-14.5379', '1.6', '-18.8846', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1371018', '1261022', 'object/static/item/shared_item_bottle_tall.iff', '0', '0.999983', '0', '0.00579809', '-14.3348', '1.6', '-18.6527', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1371019', '1261022', 'object/static/item/shared_item_bottle_tall.iff', '0', '0.979908', '0', '0.199451', '-14.7469', '1.6', '-18.6106', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1371020', '1261022', 'object/static/item/shared_item_bottle_tall.iff', '0', '0.999983', '0', '0.00579809', '-15.1433', '1.6', '-18.6391', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1371021', '1261022', 'object/static/item/shared_item_bottle_tall.iff', '0', '0.984587', '0', '0.174894', '-15.5026', '1.6', '-18.7843', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1371022', '1261022', 'object/static/item/shared_item_bottle_pear.iff', '0', '0.992713', '0', '0.120505', '-16.553', '1.6', '-18.7967', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1371023', '1261022', 'object/static/item/shared_item_bottle_pear.iff', '0', '0.648032', '0', '0.761613', '-16.342', '1.6', '-18.5062', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1371024', '1261022', 'object/static/item/shared_item_bottle_pear.iff', '0', '0.810496', '0', '0.585744', '-16.0967', '1.6', '-18.6594', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1371025', '1261022', 'object/static/item/shared_item_bottle_fat.iff', '0', '0.997836', '0', '0.0657506', '-16.7714', '1.6', '-18.5953', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1371026', '1261022', 'object/static/item/shared_item_bottle_fat.iff', '0', '0.997836', '0', '0.0657506', '-17.254', '1.6', '-18.6651', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261023', '1261013', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370968', '1261023', 'object/tangible/furniture/modern/shared_dining_table_modern_style_01.iff', '0', '1', '0', '0.000798093', '-25.9085', '1.6', '-11.5192', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370969', '1261023', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.17746', '0', '0.984128', '-24.9448', '1.6', '-13.9152', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370970', '1261023', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.990327', '0', '-0.138753', '-22.8581', '1.6', '-8.47209', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370971', '1261023', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.942488', '0', '0.334239', '-25.4149', '1.6', '-8.28488', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370972', '1261023', 'object/tangible/furniture/modern/shared_cabinet_modern_style_01.iff', '0', '0.706813', '0', '0.7074', '-26.6168', '1.6', '-15.2164', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370973', '1261023', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff', '0', '1', '0', '0.000798093', '-25.5897', '1.6', '-2.32368', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370974', '1261023', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff', '0', '1', '0', '0.000798093', '-22.5407', '1.6', '-2.32076', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370975', '1261023', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0.00297118', '0.7071', '0.707101', '-0.00297118', '-23.5408', '1.6', '-19.0348', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370976', '1261023', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '0.999991', '0', '-0.00420193', '-23.5321', '1.6', '-18.453', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370977', '1261023', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0.990327', '0', '-0.138753', '-22.8271', '1.6', '-18.7594', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370978', '1261023', 'object/static/item/shared_item_jar_spice_red.iff', '0', '0.990327', '0', '-0.138753', '-24.286', '1.6', '-18.83', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370979', '1261023', 'object/static/item/shared_item_bottle_tall.iff', '0', '0.990327', '0', '-0.138753', '-23.5347', '1.6', '-18.5942', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370980', '1261023', 'object/static/item/shared_item_bottle_pear.iff', '0', '0.990327', '0', '-0.138753', '-23.1954', '1.6', '-18.6895', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370981', '1261023', 'object/static/item/shared_item_bottle_pear.iff', '0', '0.990327', '0', '-0.138753', '-23.8405', '1.6', '-18.6641', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370982', '1261023', 'object/static/item/shared_item_glass_metal.iff', '0', '0.990327', '0', '-0.138753', '-22.1585', '1.6', '-18.7721', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370983', '1261023', 'object/static/item/shared_item_glass_metal.iff', '0', '0.990327', '0', '-0.138753', '-22.481', '1.6', '-18.7685', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370984', '1261023', 'object/static/item/shared_item_glass_metal.iff', '0', '0.990327', '0', '-0.138753', '-22.383', '1.6', '-18.4991', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370985', '1261023', 'object/static/item/shared_item_glass_metal.iff', '0', '0.990327', '0', '-0.138753', '-24.6704', '1.6', '-18.5319', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370986', '1261023', 'object/static/item/shared_item_glass_metal.iff', '0', '0.999574', '0', '-0.0291978', '-24.5426', '1.6', '-18.7604', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370987', '1261023', 'object/static/item/shared_item_glass_metal.iff', '0', '0.999574', '0', '-0.0291978', '-24.8036', '1.6', '-18.8537', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1370990', '1261023', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s01.iff', '0', '0.862403', '0', '0.506222', '-26.2836', '1.6', '-10.9405', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261024', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '-0.137966', '0', '0.990437', '-3083.95', '5', '2176.02', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261026', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.139543', '0', '0.990216', '-3065.24', '5', '2160.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261030', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '-0.137966', '0', '0.990437', '-3066.22', '5', '2181.04', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261036', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.991008', '0', '0.133801', '-3100.5', '5', '2171.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261037', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.139543', '0', '0.990216', '-3073.98', '5', '2163.79', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261038', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '0.601516', '0', '0.798861', '-3073.7', '5', '2174.64', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261041', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.991008', '0', '0.133801', '-3103.94', '5', '2184.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261043', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.991008', '0', '0.133801', '-3103.62', '5', '2181.94', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261044', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.139543', '0', '0.990216', '-3066.65', '5', '2165.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261046', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.991008', '0', '0.133801', '-3100.08', '5', '2169.42', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261047', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.991008', '0', '0.133801', '-3101.19', '5', '2173.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261048', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '-0.133016', '0', '0.991114', '-3101.85', '5', '2178.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261053', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '0.79886', '0', '-0.601517', '-3072.32', '5', '2169.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261056', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.139543', '0', '0.990216', '-3068.33', '5', '2171.27', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261057', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.991008', '0', '0.133803', '-3070.5', '5', '2175.29', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261059', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.990382', '0', '0.138361', '-3077.73', '5', '2173.14', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261061', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '0.601516', '0', '0.798861', '-3070.66', '5', '2164.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261062', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '-0.142921', '0', '0.989734', '-3051.22', '5', '2192.41', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261063', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.989621', '0', '0.143706', '-3050.46', '5', '2187.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261064', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.989621', '0', '0.143706', '-3049.27', '5', '2183.55', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261066', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.989621', '0', '0.143706', '-3053.06', '5', '2196', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261068', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.989621', '0', '0.143706', '-3049.74', '5', '2185.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261069', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_06.iff', '0', '0', '0', '1', '120.582', '52', '-5440.3', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261075', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.60247', '0', '0.798141', '-3092.74', '5', '2168.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261083', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_05.iff', '0', '0.999875', '0', '-0.0157958', '126.68', '52', '-5314.99', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261085', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_07.iff', '0', '-0.0848973', '0', '0.99639', '161.544', '52', '-5350.81', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261087', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.800696', '0', '-0.599071', '-3080.15', '5', '2165.16', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261089', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.139543', '0', '0.990216', '-3075.55', '5', '2169.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261091', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.139543', '0', '0.990216', '-3072.52', '5', '2158.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261092', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '0.79886', '0', '-0.601517', '-3069.28', '5', '2159.26', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261113', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.794424', '0', '-0.607364', '-3051.12', '5', '2101.35', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261115', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.594779', '0', '0.803889', '-3046.06', '5', '2094.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261122', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.602788', '0', '0.797901', '-3065.82', '5', '2105.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261124', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.990437', '0', '0.137968', '-3051.29', '5', '2109.28', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261127', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.603704', '0', '0.797209', '-3084.46', '5', '2091.82', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261129', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.142523', '0', '0.989792', '-3073.3', '5', '2104.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261136', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.142523', '0', '0.989792', '-3084.22', '5', '2084.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261138', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.603106', '0', '0.797661', '-3088.38', '5', '2099.05', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261139', '0', 'object/static/structure/tatooine/shared_guild_banner_free_style_01.iff', '0', '-0.144492', '0', '0.989506', '-3068.3', '5', '2120.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261140', '0', 'object/static/structure/tatooine/shared_guild_banner_free_style_01.iff', '0', '-0.139937', '0', '0.99016', '-3079.38', '5', '2117.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261145', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.990437', '0', '0.137967', '-3065.17', '5', '2099.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261146', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.602788', '0', '0.797902', '-3062.92', '5', '2095.16', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261147', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.990437', '0', '0.137967', '-3072.34', '5', '2097.42', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261148', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.142522', '0', '0.989792', '-3070.4', '5', '2094', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261158', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_08.iff', '0', '0.789503', '0', '-0.613746', '-3096.19', '4.98908', '2058.61', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261178', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '0.42176', '0', '0.906708', '-2760.74', '5', '1965.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261206', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '0.780456', '0', '0.62521', '-2936.95', '5', '2280.37', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261207', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.109778', '0', '0.993956', '-2928.05', '5', '2278.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261208', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.992198', '0', '-0.124675', '-2945.85', '5', '2281.87', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261304', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '0.99897', '0', '-0.0453702', '-2885.38', '5', '2329.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261312', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '0.988829', '0', '0.149055', '-2678.98', '8.23978', '2270.34', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261313', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0.988829', '7.53475e-09', '0.149055', '-3.76738e-09', '-2678.98', '8.12864', '2270.34', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261314', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0.988829', '0', '0.149055', '0', '-2673.94', '8.15691', '2254.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261315', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '0.988829', '0', '0.149055', '-2673.94', '8.2624', '2254.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261316', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.813416', '0', '-0.581682', '-2677.07', '5', '2262.54', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261317', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.628793', '0', '0.777573', '-2657.67', '5', '2287.34', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261319', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.556361', '0', '0.830941', '-2665.07', '5', '2284.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261322', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.844162', '0', '0.536088', '-2649.26', '5', '2292.16', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261323', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.556361', '0', '0.830941', '-2672.47', '5', '2281.25', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261325', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.727726', '0', '0.685868', '-2647.95', '5', '2249.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261327', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.663135', '0', '0.748499', '-2655.89', '5', '2248.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261330', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.908633', '0', '0.417595', '-2640.01', '5', '2250.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261331', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.663135', '0', '0.748499', '-2663.09', '5', '2247.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261333', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.663136', '0', '0.748499', '-2670', '5', '2263.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261336', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.867423', '0', '0.497571', '-2662.36', '5', '2265.94', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261338', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '-0.162679', '0', '0.986679', '-2669.9', '5', '2242.39', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261339', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.595738', '0', '0.803179', '-2670.78', '5', '2245.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261340', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.813416', '0', '-0.581682', '-2669.38', '5', '2238.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261341', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.816314', '0', '-0.577609', '-2676.28', '5', '2235.8', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261342', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '-0.193767', '0', '0.981048', '-2679.05', '5', '2235.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261344', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '0.809562', '0', '-0.587035', '-2690.62', '5', '2292.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261345', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.98962', '0', '0.143705', '-2686.63', '5', '2293.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261346', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.98889', '0', '0.148651', '-2684.2', '5', '2286.49', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261347', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.810497', '0', '-0.585743', '-2682.11', '5', '2278.76', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261348', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.161111', '0', '0.986936', '-2694.4', '5', '2292.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261349', '0', 'object/static/structure/tatooine/shared_wall_damaged_tatooine_large_style_01.iff', '0', '-0.0982476', '0', '0.995162', '-2788.75', '5', '2364.24', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261350', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.644222', '0', '0.764839', '-2789.04', '5', '2367.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261352', '0', 'object/static/structure/tatooine/shared_wall_damaged_tatooine_large_style_01.iff', '0', '0.594457', '0', '0.804128', '-2783.9', '5', '2349.87', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261354', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '-0.124675', '0', '0.992198', '-2779.95', '5', '2351.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261355', '0', 'object/static/structure/tatooine/shared_wall_damaged_tatooine_large_style_01.iff', '0', '0.602467', '0', '0.798143', '-2786.11', '5', '2359.59', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261357', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.991458', '0', '0.130424', '-2783.63', '5', '2360.21', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261365', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '0.857908', '0', '0.513803', '-2913.95', '5', '2319.14', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261414', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.243329', '0', '0.969944', '-2905.95', '5', '2315.36', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261415', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.857906', '0', '0.513806', '-2903', '5', '2312.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261416', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.716801', '0', '-0.697278', '-2885.17', '5', '2337.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261417', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.0138196', '0', '0.999905', '-2884.53', '5', '2341.55', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261418', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.688347', '0', '0.725382', '-2886.59', '5', '2321.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261426', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '0.999792', '0', '-0.0203852', '-2803.37', '5', '2327.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261427', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.759399', '0', '0.650625', '-2803.3', '5', '2318.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261428', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.997039', '0', '-0.0768998', '-2804.62', '5', '2315.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261429', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.698012', '0', '0.716086', '-2803.5', '5', '2336.44', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261430', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.0127715', '0', '0.999918', '-2802.66', '5', '2340.17', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261433', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.720279', '0', '-0.693686', '-2803.4', '5', '2344.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261434', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.530514', '0', '0.847676', '-2804.77', '5', '2314.73', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261444', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '-0.0399873', '-0.00999183', '-0.000399887', '0.99915', '32.4985', '51.3176', '-5344.13', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261446', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '0.193776', '0', '0.981046', '67.8957', '50.8292', '-5364.33', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261447', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '0.879586', '0', '-0.475741', '69.1747', '52', '-5364.71', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261449', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '0.997606', '0', '-0.069158', '29.9071', '52.1837', '-5312.12', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261450', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '0.466217', '0', '0.88467', '30.3216', '52.1419', '-5311.66', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261451', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '-0.0399873', '-0.00999183', '-0.000399887', '0.99915', '32.8217', '50.4906', '-5334.96', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261452', '0', 'object/building/tatooine/shared_housing_tatt_style01_large.iff', '0', '0.60582', '0', '0.795602', '-3009.21', '5', '1960.51', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261453', '1261452', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261454', '1261452', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261455', '1261452', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261456', '1261452', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261457', '1261452', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261458', '1261452', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261459', '1261452', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261460', '1261452', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261461', '1261452', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261462', '1261452', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1718406', '1261452', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1718407', '1261452', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1718408', '1261452', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1718409', '1261452', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1718410', '1261452', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1718411', '1261452', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1718412', '1261452', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1718413', '1261452', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1718414', '1261452', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1718415', '1261452', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1718416', '1261452', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261474', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.198669', '0', '0.980067', '51.3992', '51.515', '-5361.56', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261501', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.276356', '0', '0.961055', '58.8947', '51.5042', '-5376.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261515', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.366273', '0', '0.930508', '68.9153', '51.5474', '-5389.2', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261519', '0', 'object/static/structure/tatooine/shared_wall_gate_tatooine_wide_style_01.iff', '0', '-0.134193', '0', '0.990955', '-2962.94', '5', '1973.27', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261520', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.0349929', '0', '0.999388', '48.8083', '52', '-5353.55', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261521', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.203567', '0', '0.979061', '54.5022', '52', '-5368.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261522', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.295521', '0', '0.955336', '63.2039', '52', '-5382.59', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261524', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '0.389418', '0', '0.921061', '78.1098', '52', '-5399.13', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261525', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '-0.42594', '0', '0.904752', '75.0037', '52', '-5395.34', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261526', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0.990955', '0', '0.134195', '-2970.27', '5.0005', '2005.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261527', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0.990955', '0', '0.134195', '-2974.66', '5.00272', '2021.39', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261528', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0.864168', '0', '0.503203', '-2960.77', '4.99996', '1993.58', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261529', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0.966878', '0', '-0.255241', '-2950.66', '5', '1956.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261530', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0.990955', '0', '0.134195', '-2952.72', '5', '1941.86', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261532', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.60582', '0', '0.795602', '-2950.2', '5', '1962.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261533', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.60582', '0', '0.795602', '-2957.24', '5', '1988.33', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261538', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.262677', '0', '0.964884', '-2962.6', '5', '1984.26', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261540', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0.864168', '0', '0.503203', '-2983.56', '5.00291', '2032.94', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261541', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0.966878', '0', '-0.25524', '-2950.04', '5', '1911.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261542', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0.990955', '0', '0.134195', '-2948.33', '5', '1925.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261543', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0.795602', '0', '-0.605819', '-2961.46', '5', '1902.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261544', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '-0.503203', '0', '0.864168', '-2991.84', '4.99993', '1899.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261545', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0.795602', '0', '-0.605819', '-2977.37', '5.00126', '1897.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261547', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0.795602', '0', '-0.60582', '-3006.8', '5.00002', '1901', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261548', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0.60582', '0', '0.795602', '-3013.94', '5.00046', '2030.26', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261549', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0.255241', '0', '0.966878', '-3025.49', '5.00046', '2021.37', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261550', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0.60582', '0', '0.795602', '-2998.03', '4.99906', '2034.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261551', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0.60582', '0', '0.795602', '-3037.52', '5', '2012.34', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261552', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0.255241', '0', '0.966878', '-3049.07', '5', '2003.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261553', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0.990955', '0', '0.134195', '-3051.26', '5', '1988.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261554', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0.990955', '0', '0.134195', '-3046.88', '5', '1972.94', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261557', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0.990955', '0', '0.134195', '-3042.49', '5', '1957.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261558', '0', 'object/building/tatooine/shared_parking_garage_tatooine_style_1.iff', '0', '0.795602', '0', '-0.60582', '-3023.59', '5.00009', '1912.97', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261559', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '-0.386932', '0', '0.922108', '-3034.03', '5', '1943.29', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261566', '0', 'object/static/structure/tatooine/shared_wall_gate_tatooine_style_03.iff', '0', '0.988072', '0', '0.153991', '-3027.06', '5', '1933.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261567', '0', 'object/building/tatooine/shared_housing_tatt_style01_med.iff', '0', '0.605822', '0', '0.7956', '-2989.61', '5', '2005.64', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261568', '1261567', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514640', '1261568', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '4.28915', '1.38368', '3.88216', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514641', '1261568', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '4.57415', '1.38368', '3.81004', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514642', '1261568', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '4.3695', '1.38368', '4.01516', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514643', '1261568', 'object/static/item/shared_item_bottle_pear.iff', '0', '0.40776', '0', '0.913089', '4.95131', '1.38368', '3.99501', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514644', '1261568', 'object/static/item/shared_item_bottle_pear.iff', '0', '0.40776', '0', '0.913089', '5.17211', '1.38368', '3.84477', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514645', '1261568', 'object/static/item/shared_item_bottle_pear.iff', '0', '0.40776', '0', '0.913089', '5.28053', '1.38368', '4.08362', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514646', '1261568', 'object/tangible/furniture/technical/shared_end_table_s01.iff', '0', '0', '0', '1', '5.10185', '1.00421', '4.00028', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514647', '1261568', 'object/tangible/furniture/technical/shared_end_table_s01.iff', '0', '0.999899', '0', '0.0142032', '4.41168', '1.00421', '3.91135', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514742', '1261568', 'object/static/item/shared_item_painting_tatooine_style_01.iff', '0', '1', '0', '-3.20013e-08', '4.12912', '1.00421', '8.50624', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261569', '1261567', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514728', '1261569', 'object/tangible/furniture/modern/shared_rug_oval_m_s02.iff', '0', '0.707107', '0', '0.707107', '-0.50024', '0.408271', '-6.58063', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514729', '1261569', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff', '0', '0.707107', '0', '0.707107', '-4.58552', '0.408271', '-6.71497', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514730', '1261569', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff', '0', '0.707107', '0', '-0.707107', '3.65815', '0.408271', '-6.58397', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514731', '1261569', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff', '0', '0', '0', '1', '-0.405474', '0.40827', '-10.0371', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514732', '1261569', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '0.999887', '0', '-0.0149993', '-0.391888', '0.408271', '-6.63229', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514733', '1261569', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff', '0', '0', '0', '1', '8.94641', '0.408271', '-10.7347', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514734', '1261569', 'object/tangible/furniture/modern/shared_cabinet_modern_style_01.iff', '0', '0', '0', '1', '6.91794', '0.408271', '-10.7545', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514735', '1261569', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff', '0', '0', '0', '1', '4.77593', '0.408271', '-10.8047', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514736', '1261569', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '0.707107', '0', '-0.707107', '10.5214', '0.408271', '-2.45213', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514737', '1261569', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0.5', '-0.5', '-0.5', '-0.5', '10.8769', '0.787744', '-5.32125', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514738', '1261569', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0.5', '-0.5', '-0.5', '-0.5', '10.8769', '0.787744', '0.428265', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514739', '1261569', 'object/tangible/furniture/tatooine/shared_frn_tato_vase_style_01.iff', '0', '0', '0', '1', '10.6786', '1.19884', '0.497002', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514740', '1261569', 'object/tangible/furniture/tatooine/shared_frn_tato_vase_style_01.iff', '0', '0', '0', '1', '10.6406', '1.19884', '-5.35384', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514741', '1261569', 'object/tangible/furniture/tatooine/shared_frn_tato_vase_style_02.iff', '0', '0', '0', '1', '10.6815', '1.16722', '-2.4792', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261570', '1261567', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514649', '1261570', 'object/tangible/furniture/modern/shared_dining_table_modern_style_01.iff', '0', '0.00159341', '0', '0.999999', '-3.62688', '1.00421', '7.01888', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514650', '1261570', 'object/tangible/furniture/modern/shared_rug_oval_lg_s01.iff', '0', '0.708232', '0', '0.70598', '-3.62718', '0.972587', '6.99656', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514651', '1261570', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.755615', '0', '0.655016', '-7.9522', '1.00421', '6.89827', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514652', '1261570', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.364789', '0', '0.93109', '0.712033', '1.00421', '6.86332', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514653', '1261570', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.372399', '0', '0.928073', '-5.6133', '1.06746', '5.12501', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514654', '1261570', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.226426', '0', '0.974028', '-1.88643', '1.06746', '5.07538', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514655', '1261570', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.92896', '0', '0.370181', '-5.49955', '1.06745', '8.65837', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514656', '1261570', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.90586', '0', '-0.423577', '-1.77204', '1.06745', '8.65122', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514657', '1261570', 'object/static/item/shared_item_painting_agrilat_swamp_style_01.iff', '0', '-0.705978', '0', '0.708234', '-3.45416', '1.00421', '10.844', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514658', '1261570', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0.00159341', '0', '0.999999', '-10.5906', '1.92127', '3.94298', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514659', '1261570', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0.00159341', '0', '0.999999', '-10.5906', '1.92127', '4.15506', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514660', '1261570', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0.00159341', '0', '0.999999', '-10.5906', '1.92127', '4.17037', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514661', '1261570', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0.00159341', '0', '0.999999', '-10.5906', '1.92127', '4.42599', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514662', '1261570', 'object/static/item/shared_item_jar_spice_red.iff', '0', '0.00159341', '0', '0.999999', '-10.5041', '1.92127', '9.70378', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514663', '1261570', 'object/static/item/shared_item_jar_spice_red.iff', '0', '0.00159341', '0', '0.999999', '-10.5906', '1.92127', '10.0812', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514664', '1261570', 'object/static/item/shared_item_jar_spice_red.iff', '0', '0.00159341', '0', '0.999999', '-10.5906', '1.92127', '9.90991', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514665', '1261570', 'object/static/item/shared_item_jar_spice_white.iff', '0', '0.00159341', '0', '0.999999', '-10.5906', '1.92127', '6.41017', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514666', '1261570', 'object/static/item/shared_item_jar_spice_red.iff', '0', '0.00159341', '0', '0.999999', '-10.5906', '1.92127', '9.45414', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514667', '1261570', 'object/static/item/shared_item_jar_spice_white.iff', '0', '0.00159341', '0', '0.999999', '-10.5906', '1.92127', '6.62035', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514668', '1261570', 'object/static/item/shared_item_jar_spice_white.iff', '0', '0.00159341', '0', '0.999999', '-10.5906', '1.92127', '6.92106', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514669', '1261570', 'object/static/item/shared_item_glass_empty.iff', '0', '0.00159341', '0', '0.999999', '2.72379', '1.88965', '8.50323', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514670', '1261570', 'object/static/item/shared_item_glass_empty.iff', '0', '0.00159341', '0', '0.999999', '2.72379', '1.88965', '8.31068', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514671', '1261570', 'object/static/item/shared_item_glass_empty.iff', '0', '0.00159341', '0', '0.999999', '2.72379', '1.88965', '8.31797', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514672', '1261570', 'object/static/item/shared_item_glass_empty.iff', '0', '0.00159341', '0', '0.999999', '2.72379', '1.88965', '8.13874', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514673', '1261570', 'object/static/item/shared_item_glass_empty.iff', '0', '0.00159341', '0', '0.999999', '2.72379', '1.88965', '8.14917', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514674', '1261570', 'object/static/item/shared_item_glass_empty.iff', '0', '0.00159341', '0', '0.999999', '2.72379', '1.88965', '8.03725', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514675', '1261570', 'object/static/item/shared_item_bottle_tall.iff', '0', '0.00159341', '0', '0.999999', '2.72379', '1.88965', '9.79524', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514676', '1261570', 'object/static/item/shared_item_bottle_tall.iff', '0', '0.00159341', '0', '0.999999', '2.68178', '1.88965', '9.3068', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514677', '1261570', 'object/static/item/shared_item_bottle_tall.iff', '0', '0.00159341', '0', '0.999999', '2.73022', '1.88965', '8.87942', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514678', '1261570', 'object/static/item/shared_item_bottle_fat.iff', '0', '0.00159341', '0', '0.999999', '2.72379', '1.88965', '4.49683', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514679', '1261570', 'object/static/item/shared_item_bottle_fat.iff', '0', '0.00159341', '0', '0.999999', '2.72379', '1.88965', '4.82459', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514680', '1261570', 'object/static/item/shared_item_bottle_pear.iff', '0', '0.00159341', '0', '0.999999', '2.72379', '1.88965', '4.10405', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261571', '1261567', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261572', '1261567', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261573', '1261567', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261574', '1261567', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261575', '1261567', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261576', '1261567', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261577', '1261567', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261578', '1261567', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261579', '1261567', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261580', '0', 'object/building/tatooine/shared_housing_tatt_style01_med.iff', '0', '0.795601', '0', '-0.605821', '-2968.96', '5', '1932.29', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261581', '1261580', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514607', '1261581', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0.5', '-0.5', '-0.5', '-0.5', '4.12912', '1.00421', '6.67908', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514620', '1261581', 'object/static/item/shared_item_kitchen_pot_style_03.iff', '0', '0.998867', '0', '0.0475935', '4.12912', '1.00421', '7.17091', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514621', '1261581', 'object/static/item/shared_item_kitchen_pot_style_01.iff', '0', '-0.013407', '0', '0.99991', '4.12912', '1.00421', '6.92581', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514622', '1261581', 'object/static/item/shared_item_jar_funk.iff', '0', '-0.013407', '0', '0.99991', '4.12912', '1.00421', '5.61638', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514623', '1261581', 'object/static/item/shared_item_kitchen_pot_style_03.iff', '0', '-0.013407', '0', '0.99991', '4.12912', '1.00421', '7.31226', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514625', '1261581', 'object/static/item/shared_item_jar_berries.iff', '0', '-0.013407', '0', '0.99991', '4.12912', '1.00421', '8.93384', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514626', '1261581', 'object/static/item/shared_item_jar_berries.iff', '0', '-0.013407', '0', '0.99991', '4.12912', '1.00421', '8.66811', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514630', '1261581', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '-0.013407', '0', '0.99991', '4.12912', '1.00421', '4.44554', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514633', '1261581', 'object/static/item/shared_item_kitchen_pot_style_02.iff', '0', '-0.013407', '0', '0.99991', '4.12912', '1.00421', '8.04748', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514634', '1261581', 'object/static/item/shared_item_painting_bothan_style_01.iff', '0', '1', '0', '-3.20013e-08', '4.12912', '1.00421', '8.78336', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514635', '1261581', 'object/tangible/furniture/technical/shared_coffee_table_s01.iff', '0', '0', '0', '1', '4.52608', '1.00421', '4.09039', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514636', '1261581', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '4.47967', '1.00421', '3.96102', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514637', '1261581', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '4.55312', '1.00421', '4.29608', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514638', '1261581', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '4.16966', '1.00421', '4.35705', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514639', '1261581', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '4.71788', '1.00421', '3.84805', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261582', '1261580', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514582', '1261582', 'object/tangible/furniture/modern/shared_couch_modern_style_02.iff', '0', '-0.697153', '0', '0.716922', '6.65493', '0.408269', '-6.01863', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514583', '1261582', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff', '0', '0.999995', '0', '-0.00318529', '-7.75608', '0.408271', '2.64761', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514584', '1261582', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_05.iff', '0', '0.709356', '0', '0.704851', '2.83848', '0.408271', '-5.99646', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514585', '1261582', 'object/tangible/furniture/modern/shared_love_seat_modern_style_01.iff', '0', '-0.031809', '0', '0.999494', '-6.92513', '0.408271', '-4.53266', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514586', '1261582', 'object/tangible/furniture/modern/shared_love_seat_modern_style_01.iff', '0', '-0.536946', '0', '0.843617', '-5.27025', '0.408271', '-6.82145', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514587', '1261582', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '-0.409052', '0', '0.912511', '6.37118', '0.40827', '-9.09134', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514588', '1261582', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.411029', '0', '0.911622', '-0.533305', '0.40827', '-8.87877', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514589', '1261582', 'object/tangible/furniture/modern/shared_couch_modern_style_02.iff', '0', '0.00358483', '0', '0.999994', '2.89185', '0.40827', '-9.23834', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514590', '1261582', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '0.999995', '0', '-0.00318529', '7.30155', '0.408271', '-10.4434', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514591', '1261582', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '0.00318614', '0', '0.999995', '-1.22885', '0.408271', '-10.4285', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514592', '1261582', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.924673', '0', '0.380761', '-0.566499', '0.408271', '-2.86391', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514593', '1261582', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.914724', '0', '-0.40408', '6.28572', '0.408268', '-3.04806', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514594', '1261582', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff', '0', '0.999995', '0', '-0.00318529', '4.54912', '0.408271', '2.64761', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514595', '1261582', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '-0.372604', '0', '0.927991', '-7.36557', '0.408271', '-5.34983', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514596', '1261582', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '-0.0966635', '0', '0.995317', '-6.48821', '0.408271', '-7.1932', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514597', '1261582', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_02.iff', '0', '0.756658', '0', '0.653811', '-7.59393', '0.408271', '-6.60254', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514598', '1261582', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0', '0.00318614', '0', '0.999995', '2.9087', '0.408271', '2.42531', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514599', '1261582', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0', '0.00318614', '0', '0.999995', '-6.02585', '0.408271', '2.51311', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514600', '1261582', 'object/tangible/furniture/modern/shared_armoire_modern_style_01.iff', '0', '0.709355', '0', '0.704852', '-11.098', '0.408271', '-0.0871618', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514601', '1261582', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '-0.704846', '0', '0.70936', '10.4892', '0.408271', '-1.90369', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514602', '1261582', 'object/tangible/furniture/modern/shared_couch_modern_style_02.iff', '0', '0.710478', '0', '0.703719', '-0.945234', '0.408271', '-5.93078', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514603', '1261582', 'object/static/structure/general/shared_data_terminal_free_s2.iff', '0', '-0.705988', '0', '0.708224', '10.8769', '0.408271', '-5.42515', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514604', '1261582', 'object/static/item/shared_item_painting_corellia_style_02.iff', '0', '0.00318614', '0', '0.999995', '10.8769', '0.408271', '-5.48536', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514605', '1261582', 'object/static/item/shared_item_painting_endor_style_01.iff', '0', '0.00318614', '0', '0.999995', '10.8769', '0.408271', '-2.03632', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514606', '1261582', 'object/static/item/shared_item_painting_naboo_style_01.iff', '0', '0.00318614', '0', '0.999995', '10.8769', '0.408271', '0.387228', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261583', '1261580', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514608', '1261583', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '0.982494', '0', '-0.186295', '-6.63313', '1.00421', '8.70739', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514609', '1261583', 'object/tangible/crafting/station/shared_food_station.iff', '0', '0.99991', '0', '0.0134078', '-5.63378', '1.00421', '10.4198', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514610', '1514609', 'object/tangible/hopper/shared_crafting_station_ingredient_hopper_1.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514611', '1261583', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0.707107', '0', '0', '-0.707107', '-1.03138', '1.00421', '10.844', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514612', '1261583', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '0.992296', '0', '0.123886', '-9.15771', '1.00421', '8.8823', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514613', '1261583', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '0.136168', '0', '0.990686', '-8.89604', '1.00421', '4.46815', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514614', '1261583', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '-0.17254', '0', '0.985003', '-6.10257', '1.00421', '4.85912', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514615', '1261583', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0.707107', '0', '0', '-0.707107', '-1.03138', '1.00421', '10.844', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514616', '1261583', 'object/tangible/furniture/modern/shared_dining_table_modern_style_01.iff', '0', '-0.00840691', '0', '0.999965', '-8.36989', '1.00421', '6.69311', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514617', '1261583', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0.707107', '0', '0', '-0.707107', '-1.03138', '1.00421', '10.844', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514618', '1261583', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0.493934', '0.499703', '0.498252', '-0.508004', '-9.86558', '1.00421', '8.00883', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514619', '1261583', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0.488928', '0.504758', '0.503168', '-0.502981', '-9.86558', '1.00421', '5.27116', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514624', '1261583', 'object/static/item/shared_item_kitchen_pot_style_02.iff', '0', '-0.013407', '0', '0.99991', '2.20687', '1.00421', '7.85646', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514627', '1261583', 'object/static/item/shared_item_jar_spice_red.iff', '0', '-0.013407', '0', '0.99991', '2.20687', '1.00421', '9.81269', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514628', '1261583', 'object/static/item/shared_item_jar_spice_red.iff', '0', '-0.013407', '0', '0.99991', '2.20687', '1.00421', '9.43167', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514629', '1261583', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '-0.013407', '0', '0.99991', '2.20687', '1.00421', '4.84866', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514631', '1261583', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '-0.013407', '0', '0.99991', '2.20687', '1.00421', '5.2426', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514632', '1261583', 'object/static/item/shared_item_kitchen_pot_style_01.iff', '0', '-0.013407', '0', '0.99991', '2.20687', '1.00421', '8.46442', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261584', '1261580', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261585', '1261580', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261586', '1261580', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261587', '1261580', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261588', '1261580', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261589', '1261580', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261590', '1261580', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261591', '1261580', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261592', '1261580', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261596', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.60582', '0', '0.795602', '-2964.46', '5', '1980.64', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261597', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.466913', '0', '0.884303', '-2960.06', '5', '1987.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261598', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.496534', '0', '0.868017', '-2957.26', '5', '1963.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261599', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.751806', '0', '0.659384', '-2953.84', '5', '1961.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261600', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.60582', '0', '0.795602', '-2960.2', '5', '1965.21', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261602', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.60582', '0', '0.795602', '-2982.94', '5', '1959.22', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261607', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.60582', '0', '0.795602', '-2987.24', '5', '1974.87', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261621', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.60582', '0', '0.795602', '-2978.06', '5', '1960.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261622', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.60582', '0', '0.795602', '-2986.73', '5', '1957.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261623', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.60582', '0', '0.795602', '-2982.31', '5', '1975.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261624', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.60582', '0', '0.795602', '-2990.99', '5', '1973.34', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261633', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.60582', '0', '0.795602', '-2970.42', '5', '1962.85', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261634', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.60582', '0', '0.795602', '-2974.68', '5', '1978.27', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261639', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.60582', '0', '0.795602', '-2965.53', '5', '1963.94', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261640', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.60582', '0', '0.795602', '-2974.21', '5', '1961.55', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261642', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.60582', '0', '0.795602', '-2969.79', '5', '1979.36', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261643', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.60582', '0', '0.795602', '-2978.47', '5', '1976.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261651', '0', 'object/building/tatooine/shared_starport_tatooine.iff', '0', '-0.479429', '0', '0.877581', '-2828.78', '5', '2079.61', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261652', '1261651', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261653', '1261651', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261654', '1261651', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261655', '1261651', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1442993', '1261655', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0.00999919', '0', '0.99995', '-0.0640029', '0.639421', '61.8041', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1442994', '1261655', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0.714977', '0', '0.699148', '6.06849', '0.639421', '57.0662', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1442995', '1261655', 'object/tangible/terminal/shared_terminal_space.iff', '0', '-0.705985', '0', '0.708227', '-6.28408', '0.639421', '57.358', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4265842', '1261655', 'object/tangible/terminal/shared_terminal_newsnet.iff', '0', '0', '0', '1', '6.31936', '0.639421', '49.2874', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4265843', '1261655', 'object/tangible/terminal/shared_terminal_newsnet.iff', '0', '0', '0', '1', '-8.3216', '0.639421', '49.7878', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9526241', '1261655', 'object/soundobject/shared_soundobject_starport_announcer.iff', '0', '0', '0', '1', '0.895764', '0.639421', '58.9244', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261656', '1261651', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261657', '1261651', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261658', '1261651', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261659', '1261651', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261660', '1261651', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261661', '1261651', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '3795699', '1261661', 'object/tangible/terminal/shared_terminal_space.iff', '0', '-0.0602729', '0', '0.998182', '-40.4306', '1.63942', '46.4638', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3795700', '1261661', 'object/tangible/terminal/shared_terminal_space.iff', '0', '-0.649784', '0', '0.760119', '-37.8872', '1.63942', '49.2306', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3795701', '1261661', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0.768054', '0', '0.640385', '-44.0882', '1.63942', '50.2278', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3795702', '1261661', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0.998848', '0', '0.04799', '-41.4777', '1.63942', '52.9311', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261662', '1261651', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261663', '1261651', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261664', '1261651', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261665', '1261651', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261666', '1261651', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '5995583', '1261651', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261667', '0', 'object/building/tatooine/shared_shuttleport_tatooine.iff', '0', '0.626758', '0', '0.779214', '-2799.22', '5', '2163.43', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261668', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_06.iff', '0', '0.300293', '0', '0.953847', '-2781.16', '5', '2132.92', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261670', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_07.iff', '0', '0.955101', '0', '-0.296281', '-2732.28', '5', '2131.14', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261672', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_08.iff', '0', '0.962209', '0', '-0.272313', '-2718.51', '5', '2106.44', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261676', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_10.iff', '0', '0.895699', '0', '-0.444661', '-2706.62', '5', '2083.36', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261678', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_07.iff', '0', '0.994043', '0', '0.108987', '-2859.03', '5', '2346.78', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261680', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_06.iff', '0', '0.983701', '0', '0.179813', '-2793.11', '5', '2354.03', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261682', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_08.iff', '0', '-0.133012', '0', '0.991114', '-2814.1', '5', '2362.92', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261684', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_08.iff', '0', '0.989621', '0', '0.143704', '-2831.44', '5', '2346.31', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261686', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_10.iff', '0', '-0.560508', '0', '0.828149', '-2798.55', '5', '1933.74', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261688', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_06.iff', '0', '0.98988', '0', '-0.141909', '-2807.84', '5', '1985.57', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261690', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_07.iff', '0', '0.605187', '0', '0.796084', '-2834.59', '5', '1875.29', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261692', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_08.iff', '0', '-0.374082', '0', '0.927396', '-2777.5', '5', '1951.99', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261694', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_09.iff', '0', '0.783327', '0', '-0.62161', '-2948.27', '5.00127', '1892.04', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261696', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_10.iff', '0', '-0.13459', '0', '0.990901', '-2978.72', '5', '2285.1', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261698', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_06.iff', '0', '0.991008', '0', '0.133802', '-2954.6', '5', '2286.23', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261700', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_07.iff', '0', '-0.0549724', '0', '0.998488', '-3015.62', '5', '2264.39', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261702', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_08.iff', '0', '0.991008', '0', '0.133802', '-2988.04', '5', '2260.89', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261704', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_09.iff', '0', '0.991008', '0', '0.133802', '-3045.39', '5', '2256.77', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261708', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_10.iff', '0', '0.598472', '0', '0.801144', '-3048.25', '5', '2316.18', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261710', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_06.iff', '0', '0.626139', '0', '0.779712', '-3049.54', '5', '2340.96', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261718', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_08.iff', '0', '0.614375', '0', '0.789014', '-3036.98', '5', '2293.83', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261720', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_08.iff', '0', '0.606454', '0', '0.795119', '-2938.81', '5', '2406.52', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261722', '0', 'object/building/tatooine/shared_filler_building_block_64x32_style_01.iff', '0', '-0.124675', '0', '0.992198', '-2987.23', '5', '2395.19', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261725', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_06.iff', '0', '0.994576', '0', '0.104016', '-2957.86', '5', '2467.99', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261727', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_07.iff', '0', '0.808496', '0', '0.588501', '-2995.21', '5', '2463.2', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261731', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_08.iff', '0', '0.381662', '0', '0.924302', '-2942.03', '5', '2486.08', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261733', '0', 'object/building/tatooine/shared_filler_building_block_64x32_style_01.iff', '0', '0.91071', '0', '-0.413046', '-2938.86', '5', '2548.41', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261736', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_09.iff', '0', '-0.483808', '0', '0.875174', '-3040.52', '5', '2492.94', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261738', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_10.iff', '0', '-0.356949', '0', '0.934124', '-3026.88', '5', '2512.46', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261740', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_06.iff', '0', '0.400068', '0', '0.916485', '-3003.88', '5', '2521.43', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261742', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.155951', '0', '0.987765', '-3000.17', '5', '2531.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261743', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.932616', '0', '0.360871', '-2991.93', '4.32925', '2525.69', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261744', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.914795', '0', '-0.403919', '-2993.93', '4.32925', '2524.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261746', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_07.iff', '0', '0.614374', '0', '0.789015', '-2950.02', '5', '2380.65', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261748', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_08.iff', '0', '0.61042', '0', '0.792078', '-2945.08', '5', '2304.04', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261750', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_07.iff', '0', '0.605187', '0', '0.796084', '-2935.56', '5', '2329.55', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261752', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_07.iff', '0', '0.769724', '0', '-0.638376', '-3035.35', '5', '2378.71', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261754', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '0.998224', '0', '0.0595768', '-2933.49', '5', '2357.85', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261756', '0', 'object/static/structure/tatooine/shared_wall_gate_tatooine_style_03.iff', '0', '0.0948575', '0', '0.995491', '-3046.05', '5', '2356.79', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261757', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.995489', '0', '-0.0948714', '-3048.9', '5', '2344.68', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261758', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.995489', '0', '-0.0948661', '-3044.37', '5', '2368.25', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261760', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '-0.104807', '0', '0.994493', '-2955.96', '4.62727', '2436.39', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261761', '0', 'object/static/structure/tatooine/shared_guild_statue_free_style_01.iff', '0', '0.629102', '0', '0.777322', '-2961.53', '5', '2435.18', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261762', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.104807', '0', '0.994493', '-2955.35', '5', '2434.73', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261763', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.104807', '0', '0.994493', '-2956.29', '5', '2439.13', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261775', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_07.iff', '0', '0.589145', '0', '0.808027', '-2943.8', '5', '2146.12', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261777', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_06.iff', '0', '-0.134591', '0', '0.990901', '-3016.76', '5', '2102.69', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261779', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_08.iff', '0', '0.98889', '0', '0.14865', '-2975.98', '5', '2045.72', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261781', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_06.iff', '0', '0.795602', '0', '-0.60582', '-2998.83', '5', '2071.32', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261783', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_10.iff', '0', '0.605187', '0', '0.796084', '-2993.65', '5', '2095.34', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1261785', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_08.iff', '0', '-0.149437', '0', '0.988771', '-3035.43', '5', '2092.92', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1263337', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_08.iff', '0', '0.795602', '0', '-0.60582', '-3138.11', '5', '2253.59', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1263339', '0', 'object/building/tatooine/shared_filler_building_block_64x32_style_01.iff', '0', '-0.129634', '0', '0.991562', '-3092.22', '5', '2250.71', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1263398', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_08.iff', '0', '0.984269', '0', '0.176678', '-2946.22', '5', '2119.38', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1263400', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '-0.535088', '0', '0.844796', '-3125.87', '5', '2250.16', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1263402', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '-0.568115', '0', '0.822949', '-3127.64', '5', '2247.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1263403', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_09.iff', '0', '-0.147864', '0', '0.989008', '-3068.66', '5', '2334.39', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1263405', '0', 'object/building/tatooine/shared_filler_building_block_64x32_style_02.iff', '0', '0.991458', '0', '0.130424', '-3114.12', '5', '2324.25', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1263408', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_10.iff', '0', '0.813415', '0', '0.581683', '-3169.15', '5', '2301.52', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1263410', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_06.iff', '0', '0.598472', '0', '0.801143', '-3156.06', '5', '2265.09', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1263421', '0', 'object/building/tatooine/shared_filler_building_block_64x32_style_01.iff', '0', '0.798619', '0', '-0.601837', '-3104.87', '5', '2105.98', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1263424', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_09.iff', '0', '0.754571', '0', '-0.656218', '-3088.18', '5', '2038.59', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1263426', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_07.iff', '0', '0.988134', '0', '0.153593', '-3067.78', '5', '2022.47', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1263428', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_06.iff', '0', '0.795602', '0', '-0.60582', '-2867.97', '5', '2017.57', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1263435', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.990437', '0', '0.137966', '-3071.15', '5', '2121.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1263441', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.990437', '0', '0.137967', '-3078.44', '5', '2119.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1263449', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.989008', '0', '0.147864', '-2986.62', '5', '2228.69', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1263450', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.602789', '0', '0.7979', '-2993.63', '5', '2226.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1263452', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.578584', '0', '0.815623', '-2978.31', '5', '2205.79', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1263455', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.587033', '0', '0.809563', '-2981.12', '5', '2205.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1263469', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.598792', '0', '0.800905', '-3023.42', '5', '2217.96', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1263478', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.606771', '0', '0.794877', '-3007.45', '5', '2222.64', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1263480', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.809798', '0', '-0.58671', '-2955.4', '5', '2168.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1263489', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.98748', '0', '0.157747', '-2957.52', '5', '2175.24', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1263609', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.798621', '0', '-0.601835', '-2871.31', '5', '2029.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1263610', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_08.iff', '0', '-0.28769', '0', '0.957724', '-2956.79', '5', '2009.83', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1263612', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_07.iff', '0', '-0.134591', '0', '0.990901', '-2933.45', '5', '1944.95', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1263614', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_06.iff', '0', '0.985178', '0', '-0.171536', '-2919.4', '5', '1891.87', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1263616', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_10.iff', '0', '-0.128053', '0', '0.991767', '-2926.25', '5', '1914.56', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1263618', '0', 'object/building/tatooine/shared_filler_building_block_64x32_style_01.iff', '0', '0.992297', '0', '0.123882', '-2880.29', '5.03478', '1887.27', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1263625', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '0.040375', '0', '0.999185', '-2703.65', '5', '2057.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1263634', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '0.33856', '0', '0.940945', '-2737.61', '5', '1988.19', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1263643', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '0.228353', '0', '0.973578', '-2716.06', '5', '2021.14', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1263648', '0', 'object/building/tatooine/shared_shuttleport_tatooine.iff', '0', '0.609474', '0', '0.792806', '-2891.95', '5', '1914.09', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1263649', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_09.iff', '0', '0.989621', '0', '0.143704', '-2788.59', '5', '1909.81', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1263651', '0', 'object/building/tatooine/shared_filler_building_block_64x32_style_01.iff', '0', '0.985719', '0', '0.168397', '-2733.5', '5', '2208.13', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1263654', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_08.iff', '0', '0.806617', '0', '-0.591075', '-2747.94', '5', '2154.7', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1263660', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.637766', '0', '0.77023', '-2794.76', '5', '2136.56', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1263664', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '-0.358437', '0', '0.933554', '-2790.33', '4.99944', '1838.62', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1263666', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.924606', '0', '0.380925', '-2814.31', '5', '1870.21', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1263667', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.955101', '0', '0.29628', '-2752.37', '5', '1870.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1263669', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.9551', '0', '0.296284', '-2809.91', '5.01826', '1863.34', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1263670', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.993486', '0', '-0.113955', '-2796.33', '5.00012', '1843.56', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1263673', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.9551', '0', '0.296284', '-2805.38', '5.00718', '1856.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1263675', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.734548', '0', '0.678557', '-2800.26', '5.00147', '1850.54', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1263676', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.906534', '0', '0.422132', '-2777.73', '5', '1892.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1263679', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '-0.29552', '0', '0.955337', '-2759.48', '5', '1878.61', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1263680', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.906534', '0', '0.422132', '-2771.6', '5', '1887.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1263682', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.906534', '0', '0.422132', '-2765.48', '5', '1882.35', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1264353', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.996865', '0', '0.0791209', '-3031.6', '5', '2250.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1264354', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '-0.648035', '0', '0.761611', '-3025.23', '5', '2249.62', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1264355', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.648035', '0', '0.761611', '-3023.22', '5', '2249.54', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1264356', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.99677', '0', '-0.0803122', '-3028.31', '5', '2249.36', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1264357', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.601198', '0', '0.7991', '-3037.03', '5', '2247.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1264358', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.601198', '0', '0.7991', '-3038.88', '5', '2246.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1264359', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.601198', '0', '0.7991', '-3034.08', '5', '2247.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1264363', '0', 'object/static/structure/tatooine/shared_wall_gate_tatooine_style_01.iff', '0', '-0.15438', '0', '0.988012', '-3023.97', '5', '2285.89', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1264364', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.786671', '0', '-0.617373', '-3026.08', '5', '2290.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1264365', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.119712', '0', '0.992809', '-3022.54', '5', '2282.19', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1264369', '0', 'object/static/structure/tatooine/shared_wall_gate_tatooine_style_01.iff', '0', '0.593178', '0', '0.805072', '-3059.47', '5', '2252.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1264370', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '-0.115142', '0', '0.993349', '-3054.91', '5', '2254.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1264371', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.620986', '0', '0.783822', '-3063.18', '5', '2251.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1264378', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.798628', '0', '-0.601825', '-3156.3', '5', '2311.91', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1264381', '0', 'object/static/structure/tatooine/shared_wall_gate_tatooine_style_01.iff', '0', '-0.159317', '0', '0.987227', '-3158.8', '5', '2281.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1264382', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.789748', '0', '-0.613432', '-3160.96', '5', '2286.42', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1264383', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.124674', '0', '0.992198', '-3157.34', '5', '2278.22', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1264384', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.992295', '0', '0.123896', '-3157.36', '5', '2275.39', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1264385', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.988888', '0', '0.148662', '-3161.29', '5', '2288.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1264395', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '-0.628793', '0', '0.777573', '-3045.99', '5', '2361.44', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1264396', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.124675', '0', '0.992198', '-3046.47', '5', '2353.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1264397', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.590431', '0', '0.807088', '-3044.71', '5', '2392.25', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1264398', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.999415', '0', '0.0341971', '-3000.19', '5', '2251.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1264401', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.985125', '0', '0.171842', '-3004.75', '5', '2250.28', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1264404', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.730119', '0', '-0.68332', '-2996.72', '5', '2252.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267336', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.00897507', '0', '0.99996', '-2810.99', '5', '2344.68', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267337', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.713418', '0', '0.700739', '-2807.26', '3.04215', '2343.87', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267338', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.699169', '0', '0.714956', '-2820.17', '5', '2344.76', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267339', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.713418', '0', '0.700739', '-2815.86', '3.04215', '2344', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267340', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.713418', '0', '0.700739', '-2798.57', '3.04215', '2343.69', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267341', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.720279', '0', '-0.693686', '-2794.71', '5', '2344.33', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267342', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.008975', '0', '0.99996', '-2802.83', '5', '2356.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267343', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.008975', '0', '0.99996', '-2821.11', '5', '2353.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267344', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-2816.64', '5', '2347.2', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267345', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-2806.93', '5', '2347.15', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267346', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-2776.93', '5', '2345.64', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267348', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-2763.07', '5', '2308.85', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267363', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.389418', '0', '0.921061', '-2871.45', '5', '2310.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267364', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '-0.375559', '0', '0.926798', '-2841.22', '5', '2312.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267366', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0.416871', '0', '0.908966', '-2846.52', '5', '2309.88', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267369', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0.01', '0', '0.99995', '-2842.49', '5', '2315.91', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267370', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0.416871', '0', '0.908966', '-2869.95', '5', '2313.6', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267374', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '-0.0399893', '0', '0.9992', '-2842.26', '5', '2340.68', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267375', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_1.iff', '0', '0', '0', '1', '-2890.21', '5', '2338.01', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267387', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.300293', '0', '0.953847', '-2933.72', '5', '2347.59', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267388', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.300293', '0', '0.953847', '-2934.66', '5', '2345.81', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267389', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.300293', '0', '0.953847', '-2931.8', '5', '2349.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267390', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.886811', '0', '0.462133', '-2936.61', '5', '2367.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267391', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.886811', '0', '0.462133', '-2938.39', '5', '2368.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267392', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.886811', '0', '0.462133', '-2934.29', '5', '2365.17', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267396', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.935898', '0', '0.352272', '-2995.75', '5', '2483.81', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267408', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.935898', '0', '0.352272', '-2983.74', '5', '2494.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267410', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-2988.45', '5', '2485.22', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267412', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.936178', '0', '0.351526', '-2940.76', '5', '2507.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267415', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.925213', '0', '0.379449', '-2952.93', '5', '2496.33', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267418', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.810957', '0', '-0.585103', '-2999.9', '5', '2279.22', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267420', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-3007.23', '5', '2281.2', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267422', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0.518418', '0', '0.855127', '-2748.56', '5', '2167.61', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267423', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0.987354', '0', '0.158532', '-2755.76', '5', '2187.99', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267437', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '-0.104807', '0', '0.994493', '-2979.82', '5', '2412.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267439', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.950549', '0', '-0.310575', '-2962.65', '5', '2392.62', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267442', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.99445', '0', '0.105205', '-2992.36', '5', '2446.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267453', '0', 'object/static/vehicle/shared_player_shuttle.iff', '0.0347171', '0.75052', '-0.0286069', '-0.659315', '-2744.59', '2.80192', '2180.1', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267454', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '-0.0573561', '0.662547', '0.000559002', '0.746821', '-2754.76', '5', '2184.59', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267455', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '-0.047867', '0.856016', '-0.0592473', '-0.511308', '-2751.29', '5', '2171.69', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267456', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '-0.02527', '-0.280019', '0.086253', '0.955778', '-2754.44', '4.43254', '2176.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267457', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.470625', '0', '0.882333', '-2768.28', '5', '2104.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267458', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '-0.29074', '0', '0.956802', '-2758.53', '5', '2102.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267460', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0.49688', '0', '0.867819', '-2771.3', '5', '2112.38', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267461', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.252245', '0', '0.967663', '-2764.32', '5', '2105.69', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267463', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0.099834', '0', '0.995004', '-2759.13', '5', '2106.43', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267465', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0', '-0.0749296', '0', '0.997189', '-2752.11', '5', '2101.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267467', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0', '-0.384808', '0', '0.922996', '-2760.62', '5', '2115.19', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267469', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.940806', '0', '0.338946', '-2773.78', '5', '2119.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267470', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.989621', '0', '-0.143704', '-2770.31', '5', '2116.91', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267473', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.389418', '0', '0.921061', '-2761.8', '5', '2116.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267490', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.92269', '0', '0.385543', '-2758.96', '5', '2112.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267491', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.930215', '0', '0.367013', '-2752.63', '5', '2103.18', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267493', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '-0.543833', '0', '0.839194', '-2752.21', '5', '2100.13', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267506', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '-0.305058', '0', '0.952334', '-2728.88', '5', '2114.41', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267509', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.986549', '0', '0.163466', '-2719.02', '5', '2093.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267526', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '0.361615', '0', '0.932327', '-2927.62', '5', '2165.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267527', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '0.398609', '0', '0.917121', '-2915.95', '5', '2177.37', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267528', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.34759', '0', '0.937646', '-2932.63', '5', '2159.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267529', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.34759', '0', '0.937647', '-2921.3', '5', '2171.72', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267531', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.425939', '0', '0.904752', '-2909.31', '5', '2182.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267532', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '-0.514137', '0', '0.857708', '-2924.27', '5', '2109.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267533', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.526944', '0', '0.8499', '-2917', '5', '2105.68', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267534', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.526943', '0', '0.8499', '-2931.83', '5', '2113.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267536', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '0.849481', '0', '0.52762', '-2935.19', '5', '2114.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267537', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.514136', '0', '0.857709', '-2909.41', '5', '2101.42', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267538', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.457339', '0', '0.889292', '-2906', '5', '2099.87', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267541', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '-0.473629', '0', '0.880725', '-2884.93', '5', '2176.74', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267542', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.854301', '0', '-0.519779', '-2935.69', '3.94724', '2127.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267543', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.971621', '0', '0.236542', '-2934.84', '3.94724', '2130.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267544', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.854301', '0', '-0.519779', '-2934.12', '5', '2128.63', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267545', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-2936.28', '5', '2129.37', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267546', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.895345', '0', '-0.445374', '-2957.34', '5', '2032.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267547', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.901924', '0', '-0.431894', '-2949.85', '5', '2020.04', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267551', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.901924', '0', '-0.431894', '-2948.52', '5', '2021.36', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267558', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.904073', '0', '-0.42738', '-2953.97', '5', '2028.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267559', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.847678', '0', '0.530512', '-2980.26', '5', '2031.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267560', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.22427', '0', '0.974527', '-2979.13', '5', '2034.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267561', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.128846', '0', '0.991665', '-2970.28', '5', '2010.86', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267562', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.586067', '0', '0.810262', '-2968.35', '5', '2010.73', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267570', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.943284', '0', '0.331985', '-2985.04', '5', '2053.49', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267571', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.943284', '0', '0.331985', '-2986.35', '5', '2054.82', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267572', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.432253', '0', '0.901752', '-2988.05', '5', '2053.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267573', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.901924', '0', '-0.431894', '-2992.92', '5', '2060.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267574', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.901924', '0', '-0.431894', '-2991.59', '5', '2061.4', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267575', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.943152', '0', '0.332361', '-2992.67', '5', '2063.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267576', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.901924', '0', '-0.431894', '-2988.78', '3.93445', '2076.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267577', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.901924', '0', '-0.431894', '-2987.45', '5', '2078.29', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267578', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.943152', '0', '0.332361', '-2988.53', '3.93445', '2079.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267613', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.605814', '0', '0.795606', '-3024.97', '5', '1929.25', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267633', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '-0.231838', '0.559705', '-0.304463', '0.73504', '-2974.69', '8.36582', '1978.27', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267634', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0.231838', '0.559705', '0.304463', '0.73504', '-2970.43', '8.66824', '1962.85', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267635', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0.231838', '0.559705', '0.304463', '0.73504', '-2982.95', '8.66824', '1959.22', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267636', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '-0.231838', '0.559705', '-0.304463', '0.73504', '-2987.25', '8.36582', '1974.86', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267637', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0.42838', '-0.42838', '0.562575', '-0.562575', '-2986.6', '11.0783', '1972.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267638', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0.42838', '0.42838', '0.562575', '0.562575', '-2983.73', '11.5277', '1961.99', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267639', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0.42838', '0.42838', '0.562575', '0.562575', '-2971.21', '11.5277', '1965.62', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267640', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0.42838', '-0.42838', '0.562575', '-0.562575', '-2974.03', '11.0783', '1975.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267648', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0.567167', '-0.422281', '-0.422281', '-0.567168', '-2971.15', '11.5459', '1965.4', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267649', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0.422281', '0.567168', '0.567168', '-0.422281', '-2971.43', '11.5459', '1966.36', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267650', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0.567167', '-0.422281', '-0.422281', '-0.567168', '-2983.78', '11.6196', '1961.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267651', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0.422281', '0.567168', '0.567168', '-0.422281', '-2984.07', '11.6196', '1962.79', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267652', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0.565049', '-0.425112', '-0.425112', '-0.56505', '-2986.38', '11.6432', '1971.61', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267653', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0.425112', '0.56505', '0.565049', '-0.425112', '-2986.66', '11.6432', '1972.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267654', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0.565049', '-0.425112', '-0.425112', '-0.56505', '-2973.76', '11.6432', '1975.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267655', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0.425112', '0.56505', '0.565049', '-0.425112', '-2974.04', '11.6432', '1976.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267658', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-3004.87', '5', '1990.94', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267659', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-3011.54', '5', '2016.61', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267660', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-3029.66', '5', '2010.89', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267661', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-3022.99', '5', '1987.62', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267662', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-3047.27', '5', '1985.3', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267663', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-3040.94', '5', '1962.43', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267664', '0', 'object/static/installation/shared_mockup_mining_liquid_harvester_style_1.iff', '0', '-0.13459', '0', '0.990901', '-3041.46', '5', '1995.25', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267665', '0', 'object/static/structure/tatooine/shared_luke_farm_garage.iff', '0', '0.139543', '0', '0.990216', '-3015.92', '5', '2002.24', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267666', '0', 'object/static/installation/shared_mockup_mining_gas_harvester_style_1.iff', '0', '-0.13459', '0', '0.990901', '-3031.09', '5', '1968.02', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267667', '0', 'object/static/installation/shared_mockup_power_generator_solar_style_1.iff', '0', '0.703282', '0', '0.710911', '-3020.14', '12.9401', '1918.74', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267670', '0', 'object/static/installation/shared_mockup_power_generator_solar_style_1.iff', '0', '0.674291', '0', '0.738465', '-3022.35', '17.017', '1966.27', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267671', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.78308', '0', '-0.621921', '-2956.21', '5.00115', '1898.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267672', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.113956', '0', '0.993486', '-2958.2', '5.00365', '1898.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267673', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '-0.113956', '0', '0.993486', '-2958.82', '5.01138', '1900.38', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267674', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.985382', '0', '-0.170359', '-2927.29', '5', '1884.66', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267675', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.576307', '0', '0.817233', '-2928.17', '5', '1882.85', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267684', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0', '0', '1', '138.2', '52', '-5342.22', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267685', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0', '0', '1', '125.534', '52', '-5342.26', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267690', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_1.iff', '0', '-0.37092', '0', '0.928665', '160.995', '52', '-5321.14', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267691', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '-0.469923', '0', '0.882707', '-2908.8', '5', '1887.81', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267693', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.996095', '0', '0.0882907', '-2915.83', '5', '1902.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267694', '0', 'object/static/structure/tatooine/shared_wall_gate_tatooine_wide_style_01.iff', '0', '-0.552199', '0', '0.833712', '153.895', '51.7956', '-5319.63', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267696', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '-0.0487843', '0', '0.998809', '-2833.19', '5', '1892.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267697', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '-0.143311', '0', '0.989678', '-2851.13', '5', '1906.76', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267698', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.671767', '0', '0.740762', '-2833.08', '5', '1894.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267701', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.785933', '0', '-0.618309', '-2835.79', '5', '1900.49', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267709', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.760838', '0', '-0.648942', '-2849.66', '5', '1882.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267710', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.0791213', '0', '0.996865', '-2851.66', '5', '1882.85', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267711', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '-0.0791213', '0', '0.996865', '-2852.15', '5', '1884.66', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267721', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.281157', '0', '0.959662', '-2767.85', '5', '1935.21', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267723', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '1', '0', '0.000795536', '-2769.46', '5', '1938.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267724', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0.962209', '0', '0.272314', '-2774.01', '5', '1934.25', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267725', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0.93737', '0', '0.348336', '-2777.56', '5', '1925.07', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267728', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0.978898', '0', '0.204347', '-2781.42', '5', '1932.67', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267729', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.731146', '0', '0.682221', '-2780.95', '5', '1926.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267730', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.953607', '0', '0.301055', '-2777.31', '5', '1936.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267737', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.955101', '0', '0.296281', '-2733.31', '5', '1958.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267739', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.924606', '0', '0.380924', '-2738.95', '5', '1963.69', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267742', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.999707', '0', '-0.0242012', '-2727.67', '5', '1952.33', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267743', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.967462', '0', '0.253015', '-2721.28', '5', '1946.33', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267745', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.924606', '0', '0.380924', '-2744.58', '5', '1969.37', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267746', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.912764', '0', '0.408487', '-2705.61', '5', '1990.55', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267748', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.872355', '0', '0.488872', '-2712.44', '5', '1994.73', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267751', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.995415', '0', '0.0956501', '-2698.79', '5', '1986.38', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267754', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.872355', '0', '0.488872', '-2719.26', '5', '1998.91', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267756', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.620986', '0', '0.783822', '172.296', '52', '-5338.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267757', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.129634', '0', '0.991562', '172.67', '51.0993', '-5328.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267758', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.786425', '0', '-0.617686', '165.878', '51.0993', '-5321.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267759', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.999359', '0', '-0.0357886', '146.364', '51.0625', '-5312.08', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267760', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.728817', '0', '0.684707', '142.498', '51.0278', '-5308.04', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267761', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.124675', '0', '0.992198', '174.945', '52', '-5336.56', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267762', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.13459', '0', '0.990901', '170.595', '51.8785', '-5320.17', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267763', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.114747', '0', '0.993395', '161.942', '52', '-5322.35', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267764', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.044985', '0', '0.998988', '146.9', '52', '-5316.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267765', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.0299955', '0', '0.99955', '147.252', '52', '-5307.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267766', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '-0.119712', '0', '0.992809', '165.536', '51.5352', '-5319.71', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267768', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.731146', '0', '0.682221', '148.767', '51.4896', '-5312.14', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267769', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_1.iff', '0', '-0.37092', '0', '0.928665', '146.085', '52', '-5318.09', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267773', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.777072', '0', '0.629411', '-2699.73', '5', '2036.77', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267775', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.854714', '0', '0.519098', '-2665.92', '5', '2030.27', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267776', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.964883', '0', '0.262678', '-2676.25', '5', '2031.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267779', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.777072', '0', '0.629411', '-2691.9', '5', '2035.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267781', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.830497', '0', '0.557023', '-2684.08', '5', '2033.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267783', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.134591', '0', '0.990901', '-2707.12', '5', '2039.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267787', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.276356', '0', '0.961055', '-2724.81', '5', '2003.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267790', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.384808', '0', '0.922997', '-2748.38', '5', '1974.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267792', '0', 'object/static/installation/shared_mockup_mining_gas_harvester_style_1.iff', '0', '-0.129634', '0', '0.991562', '169.459', '52', '-5329.08', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267793', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0.978898', '0', '0.204347', '-2793.17', '5', '1951.34', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267794', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0.978898', '0', '0.204347', '-2841.77', '5', '1899.29', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267796', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '0', '0', '1', '175.405', '51.9972', '-5339.9', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267797', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0', '0', '1', '174.659', '54.8179', '-5336.77', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267798', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0.978898', '0', '0.204347', '-2929.41', '5', '1885.67', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267799', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0.978898', '0', '0.204347', '-2956.66', '5', '1900.39', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267800', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0.897911', '0', '-0.440178', '169.902', '56.7257', '-5320.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267801', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0.978898', '0', '0.204347', '-2984.9', '5.00145', '1897.46', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267802', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0.978898', '0', '0.204347', '-2955.25', '5', '1905.24', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267803', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0.978898', '0', '0.204347', '-3010.46', '5', '1930.82', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267804', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0.407761', '0', '0.913089', '146.949', '56.5485', '-5307.82', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267805', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0.978898', '0', '0.204347', '-2923.17', '5', '1930.71', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267826', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '0.366273', '0', '0.930508', '143.831', '52', '-5352.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267827', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0.990104', '0', '0.140332', '144.561', '52', '-5354.5', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267833', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.491224', '0', '0.871033', '-2881.58', '5', '2023.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267835', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '-2875.33', '5', '2030.42', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267837', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0', '0', '1', '-2873.63', '5', '2026.73', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267838', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0.479425', '0', '0.877583', '132.942', '52', '-5340.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267839', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '0.479425', '0', '0.877583', '130.74', '52', '-5342.05', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267840', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0.104807', '0', '0.994493', '-2882.98', '5', '2023.63', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267841', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.717356', '0', '-0.696707', '163.174', '52', '-5326.02', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267842', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.994924', '0', '-0.100626', '163.516', '52', '-5325', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267843', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.940806', '0', '-0.338946', '164.676', '52', '-5325.38', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267844', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.632673', '0', '0.774419', '163.939', '52', '-5326.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267851', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.854714', '0', '-0.519099', '173.172', '52', '-5335.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267853', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.237703', '0', '0.971338', '172.789', '52', '-5336.94', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267861', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0.978898', '0', '0.204347', '-2796.69', '5', '1993.34', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267862', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0.978898', '0', '0.204347', '-2715.01', '5', '2067.68', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267863', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0.978898', '0', '0.204347', '-2732.04', '5', '2111.75', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267867', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '0.483806', '0', '0.875175', '-2918.2', '5', '2032.41', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267868', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.470626', '0', '0.882333', '-2910.46', '5', '2036.69', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267869', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '0.882707', '0', '-0.469924', '-2908.05', '5', '2039.17', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267870', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '0.877201', '0', '-0.480123', '-2968.36', '5', '2112.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267871', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.84948', '0', '-0.527622', '-2976.02', '5', '2107.85', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267872', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '0.526945', '0', '0.849899', '-2978.74', '5', '2105.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267876', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '0.483806', '0', '0.875175', '-2932.04', '5', '2023.77', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267878', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '-0.124677', '0', '0.992197', '-2803.54', '5', '1968.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267879', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '0.810497', '0', '-0.585743', '-2799.12', '5', '1953.77', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267880', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0', '-0.174108', '0', '0.984727', '-2800.52', '5', '1958.81', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267881', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.597195', '0', '0.802096', '-2800.73', '5', '1959.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267882', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0.777072', '0', '-0.629412', '-2798.53', '5', '1949.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267883', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '0.981048', '0', '0.193767', '-2833.51', '5', '1920.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267884', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0.990216', '0', '0.139544', '-2829.26', '5', '1921.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267885', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '-0.179814', '0', '0.983701', '-2838.07', '5', '1919.42', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267886', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '0.0199987', '0', '0.9998', '120.465', '52', '-5335.89', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267887', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0', '0', '1', '121.336', '52', '-5323.63', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267889', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '-0.192986', '0', '0.981201', '-2818.44', '5', '1927.24', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267890', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '-0.246633', '0', '0.969109', '-2814.31', '5', '1928.59', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267891', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.492535', '0', '0.870293', '-2942.37', '5', '2017.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267892', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.488178', '0', '0.872744', '-2924.45', '5', '2027.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267893', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.488178', '0', '0.872744', '-2938.32', '5', '2019.2', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267894', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.488178', '0', '0.872744', '-2945.41', '5', '2014.94', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267895', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.84948', '0', '-0.527621', '-2961.99', '5', '2116.76', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267896', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.846832', '0', '-0.531861', '-2957.77', '5', '2118.49', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267897', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0.978898', '0', '0.204347', '-2887.31', '5', '2027.4', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267898', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0.978898', '0', '0.204347', '-2972.81', '5', '2025.47', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267900', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_1.iff', '0', '0', '0', '1', '-2813.51', '5', '1926.53', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267901', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_1.iff', '0', '0', '0', '1', '-2786.26', '5.03445', '1835.23', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267902', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_1.iff', '0', '0', '0', '1', '-2690.64', '5', '1982.14', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267903', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_1.iff', '0', '0', '0', '1', '-2659.47', '5', '2267.55', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267904', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_1.iff', '0', '0', '0', '1', '-2951.66', '5', '2544.49', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267905', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_1.iff', '0', '0', '0', '1', '-3035.37', '5', '2570.74', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267922', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.356949', '0', '0.934124', '-3132.18', '5', '2149', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267925', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.114747', '0', '0.993395', '-3125.9', '5', '2194.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267928', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.990957', '0', '0.134183', '-3101.56', '5', '2071.91', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267929', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.129634', '0', '0.991562', '-3099.9', '5', '2068.54', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267933', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.990957', '0', '0.134183', '-3094.7', '5', '2046.63', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267934', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.129634', '0', '0.991562', '-3095.29', '5', '2051.58', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267936', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.602789', '0', '0.7979', '-3050.94', '5', '2023.04', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267937', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.129634', '0', '0.991562', '-3097.6', '5', '2060.19', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267938', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.990957', '0', '0.134183', '-3097.01', '5', '2055.25', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267939', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.990957', '0', '0.134183', '-3099.33', '5', '2063.86', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267946', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.534397', '0', '0.845233', '-3048.49', '5', '2012.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267947', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.847678', '0', '0.530511', '-3052.33', '5', '2013.37', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267948', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.534397', '0', '0.845233', '-3055.97', '5', '2015.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267949', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0', '0', '1', '150.803', '52', '-5336.68', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1267950', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0.780209', '0', '0.625519', '147.991', '52', '-5339.77', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1268074', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '0.984587', '0', '-0.174893', '3370.75', '5', '-4508.19', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1268075', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '-0.529834', '0', '0.848101', '3361.37', '5', '-4513.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1268085', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '-0.535416', '0', '0.844589', '3363.75', '5', '-4521.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1268124', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0', '0', '1', '3454.93', '3.82179', '-4593.14', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1269916', '0', 'object/building/tatooine/shared_filler_building_slave_quarters_style_01.iff', '0', '0.276356', '0', '0.961055', '3361.83', '5', '-4488.78', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1269917', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '97.6176', '52', '-5336.37', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1269918', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '84', '50.6512', '-5336', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1269919', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '88', '50.6512', '-5336', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1269922', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.681638', '0', '0.731689', '79.5151', '50.6512', '-5337.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1269923', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.681638', '0', '0.731689', '78.3835', '50.6512', '-5353.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1269924', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.681638', '0', '0.731689', '78.6662', '50.6512', '-5349.68', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1269925', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.681638', '0', '0.731689', '78.9486', '50.6512', '-5345.69', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1269926', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.681638', '0', '0.731689', '79.232', '50.6512', '-5341.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1269927', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.636537', '0', '0.771246', '106.313', '50.6512', '-5353.76', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1269928', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.636537', '0', '0.771246', '101.721', '50.6512', '-5338.66', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1269929', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.636537', '0', '0.771246', '104.038', '50.6512', '-5341.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1269930', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.636537', '0', '0.771246', '104.796', '50.6512', '-5345.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1269931', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.636537', '0', '0.771246', '105.555', '50.6512', '-5349.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1269932', '0', 'object/building/tatooine/shared_filler_building_slave_quarters_style_01.iff', '0', '0.0349931', '0', '0.999388', '3317.42', '5', '-4478.7', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1269933', '0', 'object/building/tatooine/shared_filler_building_slave_quarters_style_01.iff', '0', '-0.439462', '0', '0.898261', '3273.93', '5', '-4508.52', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1269934', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.461779', '0', '0.886995', '118.186', '50.6512', '-5381.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1269935', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.461779', '0', '0.886995', '109.009', '50.6512', '-5368.38', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1269936', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.461779', '0', '0.886995', '111.304', '50.6512', '-5371.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1269937', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.461779', '0', '0.886995', '113.598', '50.6512', '-5374.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1269938', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.461779', '0', '0.886995', '115.891', '50.6512', '-5378.21', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1269939', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.505533', '0', '0.862807', '91.6719', '50.6512', '-5389.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1269940', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.505533', '0', '0.862807', '83.85', '50.6512', '-5375.49', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1269941', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.505533', '0', '0.862807', '85.8056', '50.6512', '-5378.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1269942', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.505533', '0', '0.862807', '87.7608', '50.6512', '-5382.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1269943', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.505533', '0', '0.862807', '89.7167', '50.6512', '-5385.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1269944', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.783327', '0', '-0.62161', '79.2492', '50.6512', '-5363.39', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1269945', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.470626', '0', '0.882333', '111.051', '50.6512', '-5396.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1269946', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.470626', '0', '0.882333', '116.841', '50.6512', '-5388.59', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1269947', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.783327', '0', '-0.62161', '81.065', '50.6512', '-5371.18', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1269948', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.783327', '0', '-0.62161', '80.1577', '50.6512', '-5367.29', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1269949', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.0149998', '0', '0.999887', '104.318', '50.6512', '-5398.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1269950', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.0149998', '0', '0.999887', '108.316', '50.6512', '-5398.4', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1269951', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.461779', '0', '0.886995', '119.365', '50.6512', '-5385.36', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1269953', '0', 'object/static/structure/tatooine/shared_streetsign_upright_style_01.iff', '0', '0.713863', '0', '-0.700285', '124.965', '52', '-5327.81', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1269954', '0', 'object/static/structure/tatooine/shared_streetsign_upright_style_01.iff', '0', '0.0299965', '0', '0.99955', '117.852', '52', '-5342.98', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1269955', '0', 'object/static/structure/tatooine/shared_streetsign_upright_style_01.iff', '0', '-0.666869', '0', '0.745175', '53.8008', '52', '-5349.67', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1269956', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '0', '-0.483807', '0', '0.875174', '3322.51', '5', '-4564.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1269957', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_01.iff', '0', '0.0149996', '0', '0.999888', '110.172', '52', '-5327', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1269962', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '0', '0.875175', '0', '0.483806', '3315.21', '5', '-4559.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270083', '0', 'object/static/flora/shared_flora_plant_tato_falotil.iff', '0', '0.640385', '0', '0.768054', '94.283', '40', '-5348.33', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270095', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '0.882707', '0', '0.469923', '3311.26', '5', '-4562.38', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270096', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.466208', '0', '0.884675', '3314.69', '5', '-4563.68', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270117', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0.0179321', '-0.448065', '-0.0357433', '0.893106', '3304.46', '4.98752', '-4557.14', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270118', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0.0177532', '-0.443593', '-0.0358325', '0.895336', '3307.77', '4.96057', '-4559.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270119', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0.0186433', '-0.465835', '-0.0353776', '0.883968', '3300.78', '4.95485', '-4554.13', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270120', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0.0224118', '-0.447863', '-0.0446725', '0.892704', '3297.67', '4.98507', '-4552.05', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270121', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0.0522674', '0.261513', '-0.0170313', '0.963633', '3290.48', '4.96649', '-4547.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270122', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0.017334', '0.962101', '0.0521678', '-0.267094', '3285.95', '4.96797', '-4545.62', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270123', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0.0412429', '0.966171', '0.0656426', '-0.245977', '3293.35', '5.1032', '-4550.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270126', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_01.iff', '0', '0.879969', '0', '0.475032', '3297.21', '4.22974', '-4549.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270127', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_01.iff', '-0.0134507', '-0.448222', '0.0268106', '0.893419', '3289.68', '4.18497', '-4544.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270128', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '0.0259919', '0.954217', '-0.0452542', '-0.294529', '3288.38', '4.23452', '-4537.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270129', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '-0.0378882', '0.290791', '-0.00194158', '0.956034', '3292.4', '4.6591', '-4531.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270138', '0', 'object/building/tatooine/shared_housing_tatt_style01_small.iff', '0', '0.963131', '0', '-0.269034', '3308.56', '5', '-4520.44', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270139', '1270138', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1504471', '1270139', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '0.99992', '0', '0.012611', '2.71207', '0.258351', '6.25195', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1504472', '1270139', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.999997', '0', '-0.00238787', '-0.129062', '0.25145', '3.27879', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1504473', '1270139', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.477831', '0', '0.878452', '-1.49547', '0.251813', '3.81653', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1504474', '1270139', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.905861', '0', '-0.423575', '4.01113', '0.254446', '5.84862', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1504475', '1270139', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.97753', '0', '-0.210795', '4.73584', '0.252258', '5.93126', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1504476', '1270139', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.976464', '0', '-0.21568', '2.79149', '0.257852', '6.06974', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1504482', '1270139', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '4.66639', '0.251823', '3.60175', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270140', '1270138', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1504485', '1270140', 'object/static/structure/general/shared_data_terminal_wall_s1.iff', '0', '0.999992', '0', '-0.00398265', '-3.71086', '0.226104', '6.53658', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1513360', '1270140', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.670587', '0', '0.741831', '-2.52849', '0.227998', '1.05952', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270141', '1270138', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1498845', '1270138', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1498846', '1270138', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1498847', '1270138', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1498848', '1270138', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1498849', '1270138', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1498850', '1270138', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1498851', '1270138', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1504488', '1498851', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s1.iff', '0', '0.999997', '0', '0.00261019', '0.350541', '-0.378217', '-2.64708', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1504489', '1498851', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '-0.00261182', '0', '0.999997', '3.13915', '-0.378217', '-6.06529', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1504490', '1498851', 'object/tangible/furniture/cheap/shared_love_seat_s01.iff', '0', '0.705257', '0', '0.708952', '1.4654', '-0.378217', '-4.34395', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1504491', '1498851', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.705257', '0', '0.708952', '1.504', '-0.378217', '-5.7943', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1504492', '1498851', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.98155', '0', '-0.191204', '3.57495', '-0.378217', '-3.25524', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1504493', '1498851', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.815393', '0', '-0.578908', '4.89138', '-0.378217', '-4.58294', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1504494', '1498851', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.999997', '0', '0.0026121', '2.9756', '-0.378217', '-4.52486', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1504495', '1498851', 'object/tangible/furniture/cheap/shared_armoire_s01.iff', '0', '0.712748', '0', '-0.70142', '5.1587', '0.281076', '1.8659', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1504496', '1498851', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '0.999838', '0', '0.0180097', '-1.45696', '-0.378217', '-0.664819', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1504497', '1498851', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '-0.00681565', '0', '0.999977', '-3.47352', '-0.378217', '-6.26212', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1504498', '1498851', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0.712748', '0', '-0.70142', '5.20125', '0.274712', '0.0375988', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1504499', '1498851', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '-0.00681565', '0', '0.999977', '-1.50411', '-0.378217', '-6.19981', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1504500', '1498851', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s01.iff', '0', '0.940189', '0', '0.340654', '-1.15942', '-0.378217', '-0.737443', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270160', '0', 'object/building/tatooine/shared_housing_tatt_style01_small.iff', '0', '0.960393', '0', '-0.27865', '3333.88', '5', '-4533.4', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270161', '1270160', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1503369', '1270161', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '-0.40319', '0', '0.915116', '4.71661', '0.251707', '3.64147', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1503370', '1270161', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0', '0', '1', '3.3049', '0.256579', '6.24341', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1503371', '1270161', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.87959', '0', '-0.475732', '4.67397', '0.252445', '5.71214', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1503372', '1270161', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.42594', '0', '0.904752', '3.29233', '0.252777', '3.5341', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1503373', '1270161', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.213347', '0', '0.976976', '2.567', '0.252368', '3.45545', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1503374', '1270161', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.183946', '0', '0.982936', '4.52315', '0.252163', '3.71425', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270162', '1270160', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270163', '1270160', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1498852', '1270160', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1498853', '1270160', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1498854', '1270160', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1498855', '1270160', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1498856', '1270160', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1498857', '1270160', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1498858', '1270160', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1503375', '1498858', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s1.iff', '0', '-0.696135', '0', '0.717911', '3.17049', '-0.378217', '-5.31725', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1503376', '1498858', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '1', '0', '-3.20013e-08', '-0.324333', '-0.378217', '-0.760849', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1503377', '1498858', 'object/tangible/furniture/cheap/shared_love_seat_s01.iff', '0', '0.707107', '0', '-0.707107', '1.34193', '-0.366234', '-2.48909', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1503378', '1498858', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.707107', '0', '-0.707107', '1.30981', '-0.377843', '-1.04068', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1503379', '1498858', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.193767', '0', '0.981048', '-0.774376', '-0.378217', '-3.56903', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1503380', '1498858', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.581035', '0', '0.813878', '-2.08407', '-0.378217', '-2.2344', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1503381', '1498858', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0', '0', '1', '-0.168693', '-0.378217', '-2.30231', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1503382', '1498858', 'object/tangible/furniture/cheap/shared_armoire_s01.iff', '0', '0', '0', '1', '1.52987', '-0.378217', '-6.25443', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1503383', '1498858', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '0.707107', '0', '-0.707107', '5.21658', '-0.378217', '-3.58207', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1503384', '1498858', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0', '0', '1', '-4.28646', '-0.378217', '-6.29285', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1503385', '1498858', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0', '0', '1', '-0.296867', '-0.378217', '-6.26829', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1503386', '1498858', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '0', '0', '1', '-2.31643', '-0.378217', '-6.2573', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1503387', '1498858', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s01.iff', '0', '0.897911', '0', '-0.440178', '5.15941', '0.538844', '-3.65162', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270178', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '-0.0870386', '-0.470114', '-0.0619693', '0.876115', '3291.84', '4.85171', '-4522.21', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270179', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '-0.028752', '0.260326', '-0.105946', '0.95926', '3290.01', '4.83916', '-4526.61', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270180', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '-0.103865', '-0.49365', '-0.059524', '0.861382', '3285.18', '4.83512', '-4534.21', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270182', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0.0194405', '0.844917', '-0.127517', '0.519111', '3283.45', '4.67418', '-4537.99', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270187', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0.028107', '0.873081', '-0.072859', '0.48128', '3287.95', '4.71539', '-4531', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270188', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '0.844162', '0', '0.536088', '132.097', '51.5257', '-5431.49', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270189', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0', '0', '1', '134.252', '51.487', '-5418.62', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270191', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.305059', '0', '0.952334', '106.525', '52', '-5433.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270192', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0.640386', '0', '0.768053', '134.645', '51.4821', '-5427.38', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270194', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0', '0', '1', '134.441', '51.5256', '-5409.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270196', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0', '0', '1', '134.242', '51.5836', '-5385.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270197', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '134.441', '51.5836', '-5392.96', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270198', '0', 'object/static/structure/tatooine/shared_wall_gate_tatooine_style_02.iff', '0', '1', '0', '-0.000796366', '133.787', '52', '-5372.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270199', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.68529', '0', '0.72827', '134.448', '52', '-5368.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270200', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '134.421', '52', '-5376.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270204', '0', 'object/static/structure/tatooine/shared_wall_damaged_tatooine_large_style_01.iff', '0', '-0.483807', '0', '0.875175', '3274.19', '5', '-4531.87', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270205', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '0.958016', '0', '-0.286715', '3267.11', '5', '-4527.49', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270206', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.963558', '0', '-0.267498', '3269.95', '5', '-4530.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270207', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0.271547', '0', '0.962425', '3278.4', '5', '-4534.29', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270211', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.271547', '0', '0.962425', '3282.13', '5', '-4536.59', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270212', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0', '0.888928', '0', '0.458047', '3279.52', '5', '-4535.82', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270213', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.273078', '0', '0.961992', '3296.38', '5', '-4515.2', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270214', '0', 'object/static/structure/tatooine/shared_wall_damaged_tatooine_large_style_01.iff', '0', '-0.509841', '0', '0.860269', '3304.59', '5', '-4509.27', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270215', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '0.870685', '0', '0.491842', '3298.37', '5', '-4511.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270216', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.882707', '0', '0.469923', '3300.8', '5', '-4508.08', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270217', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0.21823', '0', '0.975897', '3308.93', '5', '-4511.39', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270219', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0.0151256', '0.251791', '0.058025', '0.965922', '3290.18', '4.55866', '-4527.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270221', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0.159195', '0.963821', '-0.0168315', '-0.213127', '3285.57', '4.43081', '-4534.18', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270223', '0', 'object/static/structure/tatooine/shared_bridge_tatooine_small_style_02.iff', '0.00537812', '-0.456013', '-0.0758842', '0.886715', '209.145', '12.2605', '-5420.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270233', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.950549', '0', '-0.310573', '3322.75', '5', '-4522.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270236', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '-0.492533', '0', '0.870294', '3319.89', '5', '-4519.69', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270246', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '0', '0.305059', '0', '0.952334', '111.433', '52.1199', '-5428.34', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270251', '0', 'object/static/structure/tatooine/shared_bridge_tatooine_small_style_01.iff', '0', '-0.443949', '0', '0.896052', '95.0633', '52', '-5394.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270252', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '-0.457338', '0', '0.889293', '102.493', '44', '-5385.06', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270253', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0.754571', '0', '0.656219', '95.9221', '44.1246', '-5373.15', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270254', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '-0.106391', '0', '0.994324', '92.509', '44.1826', '-5353.27', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270256', '0', 'object/static/structure/tatooine/shared_wall_damaged_tatooine_large_style_01.iff', '0', '0.867423', '0', '0.497571', '3342.47', '5', '-4506.72', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270258', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0.966594', '0', '-0.256311', '3338.18', '5', '-4504.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270259', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '0.994924', '0', '-0.100626', '3338.23', '5', '-4483.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270261', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.999815', '0', '0.0192021', '3333.39', '5', '-4483.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270262', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.232842', '0', '0.972515', '3346.8', '5', '-4508.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270265', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.183945', '0', '0.982937', '3322.72', '5', '-4515.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270266', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.959886', '0', '-0.280392', '3318.31', '5', '-4525.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270267', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.922691', '0', '-0.385541', '3340.63', '5', '-4510.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270268', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.93204', '0', '-0.362356', '3322.29', '5', '-4496.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270269', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.974971', '0', '0.222332', '3332.21', '5', '-4495.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270271', '0', 'object/static/installation/shared_mockup_power_generator_photo_bio_style_1.iff', '0', '-0.706825', '0', '0.707388', '128.79', '52', '-5417.43', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270272', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '0.882707', '0', '0.469923', '3349.48', '5', '-4511', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270273', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.95657', '0', '-0.291501', '3352.69', '5', '-4513.39', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270274', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '0', '0', '1', '134.276', '51.5836', '-5401.18', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270277', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '-0.492535', '0', '0.870293', '3366.18', '5', '-4518.91', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270288', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '-0.655608', '0', '0.755102', '3286.46', '5', '-4496.35', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270289', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '-0.640386', '0', '0.768053', '3287.69', '5', '-4492.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270290', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '0.501216', '0', '0.865322', '3292.21', '5', '-4486.39', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270291', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.727725', '0', '-0.685867', '3287.87', '5', '-4487.91', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270293', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '-0.26673', '0', '0.963771', '3296.09', '5', '-4483.33', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270295', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '-0.342898', '0', '0.939373', '128.783', '52', '-5407.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270296', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0.0848973', '0', '0.99639', '129.511', '52', '-5402.2', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270297', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '-0.164252', '0', '0.986418', '123.641', '52', '-5409.44', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270300', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.95209', '0', '-0.305817', '130.012', '52', '-5389.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270301', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '0', '0.741831', '0', '0.670587', '3309.55', '5', '-4487', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270303', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '0.496889', '0', '0.867814', '113.9', '53.0069', '-5418.98', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270305', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0.0510747', '-0.679719', '-0.0548254', '0.729635', '3307.54', '4.92191', '-4491.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270307', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.706808', '0', '0.707405', '84.5423', '52.0208', '-5305.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270309', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '0', '-0.670588', '0', '0.74183', '3332.45', '4.88662', '-4487.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270312', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0.0599576', '-0.0149725', '0.00089943', '0.998088', '3334.91', '4.74503', '-4491.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270313', '0', 'object/static/structure/tatooine/shared_wall_damaged_tatooine_large_style_01.iff', '-0.0606054', '0.711286', '0.0594526', '-0.697756', '3330.05', '4.75285', '-4491.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270314', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '-0.00172594', '0.995769', '0.089862', '0.0191254', '3325.5', '4.90281', '-4492.25', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270315', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '7.15497e-05', '0.995952', '0.0898785', '-0.000792849', '3321.73', '4.81906', '-4491.63', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270316', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '0.0998331', '0', '0.995004', '3356.89', '5', '-4513.79', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270317', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.260371', '0', '0.965509', '3350.14', '5', '-4505.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270318', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '0.285952', '0', '0.958244', '3348.71', '5', '-4520.16', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270319', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0.902268', '0', '0.431177', '3344.3', '5', '-4527.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270320', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0', '0.314567', '0', '0.949235', '3343.06', '5', '-4528.86', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1270327', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0', '0', '1', '3342.98', '5', '-4484.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1274837', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '-0.001726', '0.995769', '0.089862', '0.019125', '3311.51', '4.90513', '-4492.33', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1274838', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '-0.00266098', '0.997006', '0.0748541', '-0.0192104', '3302.76', '4.87351', '-4491.68', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1274839', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '0.728817', '0', '0.684709', '3303.08', '5', '-4494.87', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1274840', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.0365841', '0', '0.999331', '3303.21', '5', '-4499.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1274841', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.916802', '0', '0.399341', '3307.06', '5', '-4495.52', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1274842', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '0', '0.968715', '0', '-0.248177', '3289.85', '5', '-4500.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1274843', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.754564', '0', '-0.656227', '3292.97', '5', '-4501.8', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1274845', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '0', '0.320065', '0', '0.947396', '3281.94', '5', '-4512.59', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1274846', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '-0.692537', '0', '0.721384', '3284.91', '5', '-4514.63', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1274848', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '0', '0.916803', '0', '-0.399341', '3275.99', '5', '-4519.59', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1274850', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '-0.624889', '0', '0.780714', '3278.46', '5', '-4521.99', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1274852', '0', 'object/building/tatooine/shared_filler_building_block_64x16_style_01.iff', '0', '-0.476432', '0', '0.879211', '3340', '5', '-4560.49', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1274856', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '0', '0.301054', '0', '0.953607', '3318.38', '5', '-4579.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1274858', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '0', '0.962425', '0', '-0.271548', '3322.62', '5', '-4573.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1274860', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '0', '0.271548', '0', '0.962425', '3331.47', '5', '-4559.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1274861', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '0', '0.962425', '0', '-0.271548', '3339.76', '5', '-4541.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1274863', '0', 'object/static/structure/tatooine/shared_tent_house_tatooine_style_01.iff', '0', '0.962209', '0', '0.272314', '3393.46', '5', '-4527.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1274865', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0.910711', '0', '-0.413044', '3404.98', '5', '-4520.71', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1274869', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_08.iff', '0', '-0.425939', '0', '0.904752', '3414.94', '5', '-4872.4', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1274871', '0', 'object/building/tatooine/shared_filler_building_block_64x16_style_01.iff', '0', '0.331317', '0', '0.94352', '3510.47', '5', '-4822.54', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1274876', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.415423', '0', '0.909628', '3464.23', '5', '-4858.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1274882', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.902953', '0', '0.429739', '3454.4', '5', '-4872.29', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1274889', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '0', '-0.42594', '0', '0.904752', '3489.39', '5', '-4820.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1274890', '0', 'object/building/tatooine/shared_filler_building_block_64x16_style_01.iff', '0', '-0.437036', '0', '0.899444', '3600.86', '5', '-4904.95', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1274894', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_03.iff', '0', '-0.44252', '0', '0.896758', '3481.1', '5', '-4772.62', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1274906', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '0', '0.945784', '0', '-0.324796', '3490.52', '7.68711', '-4782.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278868', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_05.iff', '0', '0.345141', '0', '0.938551', '3563.19', '5', '-4899.31', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278899', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '-0.018106', '-0.421186', '0.0298627', '0.906302', '3482.51', '4.90981', '-4814.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278901', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0.0263519', '-0.438672', '-0.0538633', '0.896644', '3477.44', '5', '-4816.69', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278902', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0.0458369', '0.398111', '-0.0199222', '0.915975', '3471.09', '4.77146', '-4811.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278903', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0.021079', '0.934493', '0.056137', '-0.350894', '3473.24', '4.87798', '-4814.33', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278906', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0.0219632', '-0.365614', '-0.0557969', '0.928833', '3468.25', '4.75827', '-4807.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278907', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '-0.0687185', '0.900488', '0.0280601', '0.428499', '3491.11', '4.90202', '-4828.19', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278908', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '0.907205', '0', '0.420689', '3487.44', '5', '-4824.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278909', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0.100786', '-0.484666', '0.0646004', '0.866469', '3489.06', '4.74702', '-4831.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278910', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.913414', '0', '0.407034', '3484.49', '5', '-4822.69', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278911', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0.140228', '-0.366687', '0.0649828', '0.917417', '3486.96', '4.55901', '-4834.62', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278912', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0.031916', '-0.424742', '-0.067793', '0.902208', '3480.61', '4.80269', '-4818.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278928', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '0.0552164', '-0.422346', '-0.117287', '0.897117', '3564.24', '5.76734', '-4880.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278930', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '0', '-0.42594', '0', '0.904751', '3571.65', '5', '-4885.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278931', '0', 'object/building/tatooine/shared_filler_building_slave_quarters_style_01.iff', '0', '0.827702', '0', '0.561168', '-1327.45', '26', '-3972.29', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278932', '0', 'object/building/tatooine/shared_filler_building_slave_quarters_style_01.iff', '0', '0.632674', '0', '0.774419', '-1325.07', '26', '-3924.13', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278935', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '-0.430458', '0', '0.90261', '3573.78', '5', '-4881.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278936', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '0.34759', '0', '0.937647', '3566.83', '5', '-4876.28', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278937', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.954086', '0', '-0.299532', '3569.33', '5', '-4879.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278938', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '-0.41687', '0', '0.908966', '3576.47', '5', '-4883.82', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278940', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0.0288434', '0.293419', '-0.0195689', '0.955348', '3579.92', '5', '-4887.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278941', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '-0.0667614', '0.920121', '-0.0324414', '-0.384535', '3583.02', '5', '-4889.44', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278942', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '0.918789', '0', '-0.39475', '3586.29', '5', '-4886.41', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278943', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.912764', '0', '-0.408489', '3588.86', '5', '-4883.73', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278944', '0', 'object/building/tatooine/shared_filler_building_block_64x16_style_02.iff', '0', '-0.699714', '0', '0.714423', '-1356.54', '26', '-3946.29', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278948', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '-0.00399267', '0.320815', '0.0365388', '0.946428', '3564.54', '5', '-4873.56', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278949', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0.0106971', '-0.252041', '0.0612351', '0.965718', '-1343.01', '28.3273', '-4005.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278950', '0', 'object/static/installation/shared_mockup_mining_gas_harvester_style_1.iff', '0', '0.717356', '0', '0.696707', '-1324.04', '26', '-3948.07', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278952', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '0', '-0.15438', '0', '0.988012', '-1361.78', '26', '-3869.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278953', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.935616', '0', '-0.353021', '3594.23', '5', '-4877.54', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278954', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '0.940807', '0', '-0.338945', '3592', '5', '-4880.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278955', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '0', '0.328769', '0', '0.94441', '3538.86', '5', '-4850.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278956', '0', 'object/building/tatooine/shared_housing_tatt_style01_small.iff', '0', '0.805544', '0', '-0.592535', '-1347.82', '26', '-3875.5', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278957', '1278956', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598931', '1278957', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '-0.40485', '0', '0.914383', '4.71389', '0.223849', '3.69695', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598932', '1278957', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '-0.00181576', '0', '0.999998', '3.29301', '0.257751', '6.29359', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598933', '1278957', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.880453', '0', '-0.474134', '4.66402', '0.255613', '5.76715', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598934', '1278957', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.424296', '0', '0.905524', '3.29038', '0.224774', '3.5843', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598935', '1278957', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.211573', '0', '0.977362', '2.56529', '0.224366', '3.50302', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598936', '1278957', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.185731', '0', '0.982601', '4.52273', '1.14338', '3.76892', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598938', '1278957', 'object/tangible/furniture/all/shared_frn_all_toolchest_lg_s01.iff', '0', '0.104807', '0', '0.994493', '-0.177202', '0.25334', '3.64515', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278958', '1278956', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598940', '1278958', 'object/static/item/shared_item_tool_demagnetizer.iff', '0', '0', '0', '1', '-2.06189', '1.26934', '0.418987', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598950', '1278958', 'object/static/structure/general/shared_prp_engine_component.iff', '0', '-0.0249972', '0', '0.999687', '-2.36084', '1.26939', '0.544464', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278959', '1278956', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278960', '1278956', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278961', '1278956', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278962', '1278956', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278963', '1278956', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278964', '1278956', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278965', '1278956', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598939', '1278965', 'object/tangible/furniture/all/shared_frn_all_toolchest_med_s01.iff', '0', '0.795602', '0', '-0.60582', '-1.7578', '1.23791', '1.40571', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598949', '1278965', 'object/static/item/shared_item_tank_gas.iff', '0', '0', '0', '1', '-1.56', '1.26926', '0.388332', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278966', '1278956', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598951', '1278966', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s01.iff', '0', '0.425737', '0', '0.904847', '-4.906', '0.570469', '-5.5788', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598952', '1278966', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '-0.00101987', '0', '0.999999', '-2.01649', '-0.378218', '-6.24112', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598953', '1278966', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0.999999', '0', '0.00101987', '0.0329687', '-0.378218', '-0.508903', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598954', '1278966', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '-0.00101987', '0', '0.999999', '-0.0431554', '-0.378218', '-6.23723', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598955', '1278966', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s1.iff', '0', '0.706668', '0', '0.707545', '-2.98977', '-0.378218', '-4.07643', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598956', '1278966', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '0.707827', '0', '-0.706386', '4.91708', '-0.378218', '-4.23083', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598957', '1278966', 'object/tangible/furniture/cheap/shared_love_seat_s01.iff', '0', '-0.00101987', '0', '0.999999', '3.19038', '-0.341112', '-5.89912', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598958', '1278966', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '-0.00101987', '0', '0.999999', '4.64077', '-0.378218', '-5.86575', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598959', '1278966', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.776681', '0', '0.629894', '1.62141', '-0.378218', '-4.72781', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598960', '1278966', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.929189', '0', '-0.369604', '4.34435', '-0.378218', '-2.44686', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598961', '1278966', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.706386', '0', '0.707827', '3.37585', '-0.378218', '-4.38971', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598962', '1278966', 'object/tangible/furniture/cheap/shared_armoire_s01.iff', '0', '0.999999', '0', '0.00101987', '-1.79403', '-0.378218', '-0.526065', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598963', '1278966', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '0.695689', '0', '0.718343', '-4.97931', '-0.378218', '-5.87624', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278967', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '0', '0.98889', '0', '0.148651', '-1356.91', '26', '-3882.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278968', '0', 'object/building/tatooine/shared_housing_tatt_style01_small.iff', '0', '0.581033', '0', '0.81388', '-1368.33', '26', '-3882.29', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278969', '1278968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '339', '1278969', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '1', '0', '-3.20013e-08', '1.10988', '0.253925', '3.43637', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598903', '1278969', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '-0.137967', '0', '0.990437', '-0.0452651', '0.259743', '3.48989', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598905', '1278969', 'object/tangible/furniture/cheap/shared_armoire_s01.iff', '0', '-0.0138048', '0', '0.999905', '2.58226', '0.260103', '3.33555', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598906', '1278969', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.00500148', '0', '0.999987', '4.88579', '0.253311', '4.7911', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598908', '1278969', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.00500148', '0', '0.999987', '4.95314', '0.253124', '3.69777', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598909', '1278969', 'object/static/item/shared_item_shisha.iff', '0', '0', '0', '1', '1.32774', '0.70085', '3.47365', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278970', '1278968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598910', '1278970', 'object/static/item/shared_item_jar_berries.iff', '0', '0', '0', '1', '-1.82991', '1.23782', '1.62423', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598911', '1278970', 'object/static/item/shared_item_jar_berries.iff', '0', '0', '0', '1', '-2.0067', '1.23778', '1.44617', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598912', '1278970', 'object/static/item/shared_item_jar_berries.iff', '0', '0', '0', '1', '-1.90407', '1.23773', '1.21435', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598913', '1278970', 'object/static/item/shared_item_jar_berries.iff', '0', '0', '0', '1', '-2.09826', '1.23771', '1.13597', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598914', '1278970', 'object/static/item/shared_item_jar_empty.iff', '0', '0', '0', '1', '-1.95673', '1.23764', '0.829489', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598915', '1278970', 'object/static/item/shared_item_jar_empty.iff', '0', '0', '0', '1', '-2.17016', '1.23765', '0.886006', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598918', '1278970', 'object/static/item/shared_item_kitchen_pot_style_01.iff', '0', '0', '0', '1', '-2.0533', '1.2376', '0.426419', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278971', '1278968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278972', '1278968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278973', '1278968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278974', '1278968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278975', '1278968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278976', '1278968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278977', '1278968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598916', '1278977', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0', '0', '1', '-1.7199', '1.23768', '1.03353', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598917', '1278977', 'object/static/item/shared_item_jar_spice_red.iff', '0', '0', '0', '1', '-1.6496', '1.23776', '1.37955', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278978', '1278968', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598919', '1278978', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s01.iff', '0', '0.421209', '0', '0.906964', '-4.79445', '0.570469', '-5.56917', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598920', '1278978', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '0.00818349', '0', '0.999967', '-0.644822', '-0.378218', '-6.23962', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598921', '1278978', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0.999992', '0', '-0.00398055', '-0.0530915', '-0.378218', '-0.536313', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598922', '1278978', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0.00818349', '0', '0.999967', '-2.61541', '-0.378218', '-6.24317', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598923', '1278978', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s1.iff', '0', '0.703118', '0', '0.711073', '-2.89385', '-0.378218', '-4.04783', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598924', '1278978', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '0.00398089', '0', '0.999992', '4.26703', '-0.378218', '-6.01416', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598925', '1278978', 'object/tangible/furniture/cheap/shared_love_seat_s01.iff', '0', '0.709915', '0', '0.704287', '2.61598', '-0.341112', '-4.27057', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598926', '1278978', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.709915', '0', '0.704287', '2.6356', '-0.378218', '-5.72107', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598927', '1278978', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.980269', '0', '-0.19767', '4.73991', '-0.378218', '-3.20995', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598928', '1278978', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '0.692088', '0', '0.721813', '-4.86511', '-0.378218', '-5.86724', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598929', '1278978', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.999992', '0', '-0.00398055', '4.12399', '-0.378218', '-4.47135', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598930', '1278978', 'object/tangible/furniture/cheap/shared_armoire_s01.iff', '0', '0.999992', '0', '-0.00398055', '-1.88028', '-0.378218', '-0.535537', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278979', '0', 'object/building/tatooine/shared_housing_tatt_style01_small.iff', '0', '0.805544', '0', '-0.592536', '-1338.6', '26', '-3889.86', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278980', '1278979', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598872', '1278980', 'object/tangible/furniture/cheap/shared_armoire_s01.iff', '0', '-0.698861', '0', '0.715257', '5.17948', '0.257154', '5.67351', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598873', '1278980', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.999933', '0', '-0.0115925', '2.86643', '0.257393', '3.41454', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598874', '1278980', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '-0.303541', '0', '0.952818', '4.19883', '0.25679', '3.65356', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598875', '1278980', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.715257', '0', '0.698862', '5.19902', '0.257256', '4.19861', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598876', '1278980', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '-1.12612', '0.253056', '3.79708', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278981', '1278979', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598877', '1278981', 'object/static/item/shared_item_shisha.iff', '0', '0', '0', '1', '-2.12231', '1.23798', '1.66264', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598879', '1278981', 'object/static/item/shared_item_tank_bubble.iff', '0', '-0.40319', '0', '0.915116', '-2.17754', '1.23782', '0.351468', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598880', '1278981', 'object/static/item/shared_item_jar_berries.iff', '0', '0', '0', '1', '-1.81652', '1.238', '1.57558', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598881', '1278981', 'object/static/item/shared_item_jar_bugs.iff', '0', '0', '0', '1', '-1.85828', '1.23784', '0.875207', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278982', '1278979', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278983', '1278979', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278984', '1278979', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278985', '1278979', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278986', '1278979', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278987', '1278979', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278988', '1278979', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598878', '1278988', 'object/static/item/shared_item_slave_brazier.iff', '0', '0', '0', '1', '-1.73922', '1.23791', '1.19457', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278989', '1278979', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598889', '1278989', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s1.iff', '0', '-0.69744', '0', '0.716643', '3.0753', '-0.378218', '-5.27136', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598890', '1278989', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '0.999998', '0', '0.00181543', '-0.436025', '-0.378218', '-0.727921', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598891', '1278989', 'object/tangible/furniture/cheap/shared_love_seat_s01.iff', '0', '0.70839', '0', '-0.705821', '1.23492', '-0.341112', '-2.4521', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598892', '1278989', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.70839', '0', '-0.705821', '1.19889', '-0.378218', '-1.00177', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598893', '1278989', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.191985', '0', '0.981398', '-0.876238', '-0.378218', '-3.53749', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598894', '1278989', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.579558', '0', '0.814931', '-2.19048', '-0.378218', '-2.20762', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598895', '1278989', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '-0.00181568', '0', '0.999998', '-0.275041', '-0.378218', '-2.2687', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598897', '1278989', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '0.70839', '0', '-0.705821', '5.11497', '-0.378218', '-3.5289', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598898', '1278989', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '-0.00181568', '0', '0.999998', '-4.37834', '-0.378218', '-6.27428', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598899', '1278989', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '-0.00181568', '0', '0.999998', '-0.388708', '-0.378218', '-6.23482', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598900', '1278989', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '-0.00181568', '0', '0.999998', '-2.40813', '-0.378218', '-6.23148', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598901', '1278989', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s01.iff', '0', '0.898709', '0', '-0.438547', '5.03297', '0.570467', '-3.82401', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278990', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '0', '-0.15438', '0', '0.988012', '-1347.7', '26', '-3896.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278991', '0', 'object/building/tatooine/shared_housing_tatt_style01_small.iff', '0', '0.581033', '0', '0.81388', '-1359.11', '26', '-3896.64', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278992', '1278991', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598847', '1278992', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '0.00818482', '0', '0.999967', '1.37054', '0.261833', '3.42408', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598848', '1278992', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.0331777', '0', '0.999449', '3.4866', '0.264112', '6.16175', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598849', '1278992', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.863323', '0', '-0.504652', '4.8175', '0.261974', '5.54061', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598851', '1278992', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.757842', '0', '-0.652438', '5.05702', '0.255167', '4.17752', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598852', '1278992', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.43783', '0', '0.899058', '0.0426146', '0.26276', '3.42738', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598853', '1278992', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.226208', '0', '0.974079', '-0.684356', '0.262352', '3.36785', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598854', '1278992', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.235938', '0', '0.971768', '1.29774', '1.18137', '3.6154', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278993', '1278991', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598855', '1278993', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '-0.49688', '0', '0.867819', '-1.96051', '1.2064', '0.490262', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598856', '1278993', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.42141', '0', '0.90687', '-1.98701', '1.20641', '1.35991', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278994', '1278991', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278995', '1278991', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278996', '1278991', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278997', '1278991', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278998', '1278991', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1278999', '1278991', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279000', '1278991', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279001', '1278991', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598857', '1279001', 'object/tangible/furniture/modern/shared_rug_oval_sml_s01.iff', '0', '-0.705978', '0', '0.708234', '-3.11042', '-0.378218', '-3.7362', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598858', '1279001', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s2.iff', '0', '0.0015933', '0', '0.999999', '4.98474', '0.281076', '2.47437', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598859', '1279001', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '0.311331', '0', '0.950302', '0.85174', '1.4559', '-5.83353', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598860', '1279001', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '0.311331', '0', '0.950302', '0.85174', '-0.378218', '-5.83353', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598861', '1279001', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '0.311331', '0', '0.950302', '0.85174', '0.538843', '-5.83353', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598862', '1279001', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0.700858', '0', '0.7133', '0.41942', '-0.378218', '-4.22838', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598863', '1279001', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '-0.00880326', '0', '0.999961', '2.40903', '-0.378218', '-6.29262', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598864', '1279001', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '0.0015933', '0', '0.999999', '-2.60774', '-0.378218', '-5.87376', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598865', '1279001', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.999999', '0', '-0.00159276', '-4.64615', '-0.378218', '-6.10914', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598866', '1279001', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '-0.705684', '0', '0.708527', '-0.465723', '-0.378218', '-4.65445', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598867', '1279001', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.905599', '0', '0.424135', '-0.870522', '-0.378218', '-5.85703', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598868', '1279001', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '-0.702718', '0', '0.711469', '5.06241', '-0.378218', '-3.55991', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598869', '1279001', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s1.iff', '0', '-0.00840715', '0', '0.999965', '4.42069', '-0.378218', '-4.25681', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598870', '1279001', 'object/tangible/furniture/all/shared_frn_all_professor_desk.iff', '0', '0.999991', '0', '-0.00420369', '-1.20978', '-0.378218', '-0.941986', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1598871', '1279001', 'object/tangible/furniture/all/shared_frn_all_chair_metal_s1.iff', '0', '0.242556', '0', '0.970137', '-1.11176', '-0.378218', '-2.3648', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279002', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '0', '-0.389419', '0', '0.921061', '3544', '5', '-4836.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279004', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '0', '0.300293', '0', '0.953847', '3542.95', '5', '-4844.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279005', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.954086', '0', '-0.299533', '3540.88', '5', '-4854.49', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279006', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.475032', '0', '0.879969', '3548.56', '5', '-4858.4', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279007', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.87959', '0', '0.475732', '3544.92', '5', '-4850.19', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279008', '0', 'object/static/structure/tatooine/shared_wall_damaged_tatooine_large_style_01.iff', '0', '0.299533', '0', '0.954086', '3544.26', '5', '-4850.94', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279009', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '-0.475032', '0', '0.879969', '3545.23', '5', '-4856.54', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279011', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '0', '0.940806', '0', '-0.338945', '3507.02', '5', '-4891.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279012', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.593178', '0', '0.805072', '-1337.57', '25.0872', '-3876.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279013', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.810497', '0', '-0.585743', '-1333.62', '25.0872', '-3874.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279014', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.585097', '0', '0.810964', '-1329.44', '25.0872', '-3873.39', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279015', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '-0.0747345', '0.567106', '0.0673972', '0.817474', '-1332.76', '25.8733', '-3896.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279020', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0', '0.617059', '0', '0.786917', '-1343.4', '26', '-3856.37', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279024', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.789504', '0', '-0.613746', '-1346.28', '26', '-3856.55', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279026', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.935616', '0', '-0.353021', '3509.93', '5', '-5004.18', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279027', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.945031', '0', '-0.326981', '3504.66', '5.04649', '-5010.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279028', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '0.940806', '0', '-0.338945', '3507.7', '5', '-5007.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279029', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0.0276176', '0.235604', '-0.0212633', '0.971224', '3501.44', '5.02249', '-5008.56', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279036', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.119712', '0', '0.992809', '-1335.3', '25.0872', '-3874.66', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279037', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.15438', '0', '0.988012', '-1331.2', '25.0872', '-3873.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279038', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.15438', '0', '0.988012', '-1327.49', '25.0872', '-3871.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279039', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.139543', '0', '0.990216', '-1329.69', '23.0506', '-3865.29', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279043', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_08.iff', '0', '-0.104807', '0', '0.994493', '3640.06', '5', '-4892.12', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279045', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '-0.149438', '0', '0.988771', '-1345.27', '26', '-3867.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279850', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0', '0.731146', '0', '-0.682221', '-1338.75', '26', '-3855.13', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279851', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0', '0.857299', '0', '0.514819', '-1334.67', '25.6522', '-3856.49', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279852', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '-0.350783', '0', '0.936457', '-1332.4', '25.7154', '-3856.72', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279853', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.939099', '0', '-0.343646', '-1337.28', '25.9051', '-3855.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279854', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.552199', '0', '0.833713', '-1340.37', '26', '-3855.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279855', '0', 'object/static/structure/tatooine/shared_wall_gate_tatooine_style_02.iff', '0', '-0.044985', '0', '0.998988', '-1330.8', '26', '-3904.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279856', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '0.0399893', '0', '0.9992', '-1357.82', '26', '-3909.54', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279857', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.044985', '0', '0.998988', '-1357.37', '26', '-3903.61', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279858', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '-0.159318', '0', '0.987227', '-1367.24', '26', '-3890.29', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279859', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '-0.457345', '0', '0.889289', '3628.47', '5', '-4888.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279860', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.159318', '0', '0.987227', '-1366.31', '26', '-3892.04', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279865', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '0.891207', '0', '0.453597', '-1365.49', '26', '-3889.89', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279890', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '-0.430458', '0', '0.90261', '3428.54', '5', '-4955.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279891', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.913414', '0', '0.407033', '3431.65', '5', '-4958.69', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279892', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.944149', '0', '-0.32952', '3424.3', '5', '-4952.62', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279893', '0', 'object/static/structure/tatooine/shared_wall_gate_tatooine_style_02.iff', '0', '0.939099', '0', '-0.343646', '3467.55', '5', '-5089.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279896', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_2.iff', '0', '0.933839', '0', '-0.357693', '3457.59', '5', '-5097.63', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279897', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0', '0.941075', '0', '-0.338197', '3460.19', '5', '-5098.86', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279898', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.891207', '0', '0.453596', '3462.01', '5', '-5097.96', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279900', '0', 'object/static/structure/tatooine/shared_wall_gate_tatooine_wide_style_01.iff', '0', '0.324043', '0', '0.946042', '3421.74', '5', '-4970.89', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279902', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.945784', '0', '-0.324797', '3415.99', '5', '-4977.58', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279903', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '0.314566', '0', '0.949236', '3429.38', '5', '-4961.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279904', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.338197', '0', '0.941075', '3427.51', '5', '-4964.28', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279905', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.425939', '0', '0.904752', '3435.14', '5.54859', '-4960.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279908', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '-0.434965', '0', '0.900447', '3553.59', '5', '-4866.4', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279909', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '0.425939', '0', '0.904752', '3546.92', '5', '-4860.49', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279910', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.955572', '0', '-0.294758', '3549.12', '5', '-4863.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279911', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '-0.505532', '0', '0.862808', '3556.48', '5', '-4868.4', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279912', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0.0201192', '0.960807', '0.0284619', '-0.27502', '3560.28', '5.03685', '-4871.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279914', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '-0.00708065', '0.400006', '0.0360681', '0.915775', '3545.13', '5.05208', '-4857.4', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279916', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '0', '0', '0', '1', '-1158.72', '98', '-3914.65', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279918', '0', 'object/building/military/shared_military_base_shed_imperial_style_01.iff', '0', '0', '0', '1', '-1134.33', '98', '-3910.56', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279919', '1279918', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1491901', '1279919', 'object/static/structure/general/shared_data_terminal_wall_s3.iff', '0', '0', '0', '1', '-0.0555592', '0.125266', '3.06478', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279920', '1279918', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279921', '1279918', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1491899', '1279921', 'object/static/item/shared_item_tapestry_imperial.iff', '0', '-0.707088', '0', '0.707126', '-0.117801', '0.125265', '2.4466', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279922', '1279918', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279923', '1279918', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279924', '1279918', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279925', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '0', '0.999983', '0', '0.00579658', '-1125.51', '98', '-3893.85', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279939', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.710351', '0', '-0.703847', '-1157.58', '97.9377', '-3894.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279940', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.710354', '0', '-0.703845', '-1157.49', '98.0263', '-3905.08', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279941', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0', '0', '1', '-1152.24', '97.9983', '-3889.55', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279942', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0', '0', '1', '-1144.24', '97.9994', '-3889.55', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279943', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0', '1', '-1148.24', '97.9996', '-3889.55', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279944', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.380186', '0', '0.92491', '-1157.42', '97.9594', '-3889.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279945', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.710353', '0', '-0.703845', '-1157.65', '97.9784', '-3899.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279952', '0', 'object/building/tatooine/shared_filler_building_block_64x16_style_01.iff', '0', '-0.449842', '0', '0.893108', '3353.33', '5', '-4801.64', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279956', '0', 'object/building/tatooine/shared_guild_commerce_tatooine_style_01.iff', '0', '0.959438', '0', '-0.281921', '3439.72', '5', '-4714.58', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279957', '1279956', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279958', '1279956', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279959', '1279956', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279960', '1279956', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279961', '1279956', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279962', '1279956', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279963', '1279956', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279964', '1279956', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279965', '1279956', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279976', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.955101', '0', '-0.296281', '3401.19', '5', '-4733.85', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279977', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.478719', '0', '0.877968', '3419.13', '3.08141', '-4714.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279978', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.281921', '0', '0.959438', '3411.18', '3.08141', '-4719.62', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279979', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.877968', '0', '0.478719', '3447.81', '3.08141', '-4733.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279980', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.296281', '0', '0.955101', '3416.23', '3.08141', '-4712.42', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279982', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.962209', '0', '-0.272313', '3405.78', '3.08141', '-4726.59', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279987', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_01.iff', '0', '0.959438', '0', '-0.281921', '3418.58', '5', '-4748.51', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279990', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '0.959438', '0', '-0.281921', '3399.47', '5', '-4736.94', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279994', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.877773', '0', '0.479077', '3424.13', '5', '-4752.13', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279996', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.877773', '0', '0.479077', '3413.18', '5', '-4745.02', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1279998', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '-0.475032', '0', '0.879969', '3293.54', '5', '-4639.4', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280002', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.281157', '0', '0.959662', '3404.39', '3.08141', '-4730.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280005', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.962209', '0', '-0.272313', '3451', '3.08141', '-4736.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280006', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.962209', '0', '-0.272313', '3442.03', '3.08141', '-4750.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280007', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.959438', '0', '-0.281921', '3447.04', '3.08141', '-4742.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280008', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.955101', '0', '-0.296281', '3437.44', '5', '-4757.33', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280009', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '0.959438', '0', '-0.281921', '3435.72', '5', '-4760.42', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280010', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.281157', '0', '0.959662', '3440.65', '3.08141', '-4753.79', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280011', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.488177', '0', '0.872744', '3419.41', '5', '-4756.87', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280012', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.488177', '0', '0.872744', '3409.36', '5', '-4750.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280013', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '0.873133', '0', '0.487482', '3426.32', '5', '-4762.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280014', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '0.873133', '0', '0.487482', '3402.48', '5', '-4747.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280015', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.870685', '0', '0.49184', '3399.01', '5', '-4745.34', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280016', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.873133', '0', '0.487482', '3421.21', '5', '-4758.86', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280017', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.873133', '0', '0.487482', '3407.59', '5', '-4750.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280018', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '-0.19789', '0', '0.980224', '3410.59', '5', '-4753.36', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280020', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '-0.487482', '0', '0.873133', '3413.22', '5', '-4756.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280021', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.872744', '0', '0.488177', '3411.17', '5', '-4756.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280022', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.872744', '0', '0.488177', '3415.22', '5', '-4758.62', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280023', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.730593', '0', '-0.682813', '3417.28', '5', '-4757.54', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280036', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.986549', '0', '0.163466', '3397.93', '5', '-4742.62', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280050', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.870685', '0', '0.49184', '3397.63', '5', '-4741.19', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280051', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.277504', '0', '0.960724', '3430.68', '5', '-4763.85', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280052', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.693399', '0', '0.720554', '3432.04', '5', '-4764.08', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280053', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.306196', '0', '0.951968', '3434.62', '5', '-4763.59', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280054', '0', 'object/static/structure/tatooine/shared_guild_ball_free_style_01.iff', '0', '-0.483807', '0', '0.875174', '3414.82', '5', '-4754.12', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280055', '0', 'object/static/structure/general/shared_banner_tatooine_style_01.iff', '0.00479417', '-0.479401', '-0.00877568', '0.877539', '3374.92', '6.95563', '-4727.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280056', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0.00393254', '-0.491125', '-0.00919402', '0.871032', '3412.02', '3.08141', '-4710.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280057', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '-0.003577', '0.282672', '-0.00933799', '0.959165', '3429.06', '5', '-4688.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280058', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0.00407', '-0.478005', '-0.009134', '0.8783', '3432.14', '5', '-4690.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280059', '0', 'object/building/tatooine/shared_shuttleport_tatooine.iff', '0', '0.281157', '0', '0.959662', '3433.53', '5', '-4658.93', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280060', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_07.iff', '0', '-0.522687', '0', '0.852524', '3493.32', '5', '-4627.27', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280062', '0', 'object/static/structure/tatooine/shared_guild_statue_free_style_01.iff', '0', '0.877201', '0', '0.480125', '3503.89', '5', '-4680.51', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280063', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.881059', '0', '0.473006', '3498.04', '5', '-4701.79', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280064', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.881059', '0', '0.473006', '3501.36', '5', '-4696.79', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280065', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.881059', '0', '0.473006', '3507.19', '3.4848', '-4700.66', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280066', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.881059', '0', '0.473006', '3503.88', '3.4848', '-4705.66', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280067', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0.881059', '0', '0.473006', '3496.36', '5', '-4693.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280068', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0.881059', '0', '0.473006', '3493.04', '5', '-4698.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280069', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.78858', '0', '-0.614932', '3498.36', '2.88139', '-4715.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280070', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.779268', '0', '-0.626691', '3505.76', '2.88139', '-4712.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280071', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.102915', '0', '0.99469', '3515.67', '2.9329', '-4688.36', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280072', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.0879844', '0', '0.996122', '3517.48', '2.9329', '-4695.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280081', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '0.958016', '0', '-0.286714', '3318.4', '5', '-4631.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280085', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0.314567', '0', '0.949235', '3323.58', '5', '-4625.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280086', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.261909', '0', '0.965093', '3314.59', '5', '-4638.64', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280087', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.475032', '0', '0.879969', '3304.34', '5', '-4646.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280090', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.285952', '0', '0.958244', '3287.29', '5', '-4634.66', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280091', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.285952', '0', '0.958244', '3301.3', '5', '-4643.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280092', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '-0.475032', '0', '0.879968', '3273.62', '5', '-4672.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280093', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.879779', '0', '0.475382', '3280.83', '5', '-4678.27', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280094', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.286333', '0', '0.95813', '3278.6', '5', '-4681.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280095', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.285952', '0', '0.958244', '3267.37', '5', '-4668.16', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280102', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '0.958016', '0', '-0.286714', '3365.74', '5', '-4662.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280103', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0.314567', '0', '0.949235', '3370.92', '5', '-4655.59', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280104', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.261909', '0', '0.965093', '3361.93', '5', '-4669.16', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280105', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '0.958016', '0', '-0.286714', '3341.93', '5', '-4647.69', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280106', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0.314567', '0', '0.949235', '3347.11', '5', '-4640.79', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280107', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.261909', '0', '0.965093', '3338.12', '5', '-4654.36', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280108', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '0.286714', '0', '0.958016', '3285.63', '5', '-4700.77', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280109', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0.949235', '0', '-0.314567', '3280.46', '5', '-4707.68', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280110', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.965092', '0', '-0.261909', '3289.45', '5', '-4694.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280111', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '0.958016', '0', '-0.286714', '3344.3', '5', '-4743.34', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280112', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0.949235', '0', '-0.314567', '3339.12', '5', '-4750.25', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280113', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.965093', '0', '-0.261909', '3348.11', '5', '-4736.68', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280129', '0', 'object/building/tatooine/shared_housing_tatt_style01_med.iff', '0', '0.948481', '0', '-0.316834', '3499.61', '5', '-4743.36', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280130', '1280129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280131', '1280129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499207', '1280131', 'object/tangible/furniture/imperial/shared_table_s1.iff', '0', '0', '0', '1', '7.09795', '0.408271', '-10.8339', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499209', '1280131', 'object/tangible/furniture/imperial/shared_table_s1.iff', '0', '0', '0', '1', '-1.00594', '0.408271', '-10.8339', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499210', '1280131', 'object/static/item/shared_item_tapestry_imperial.iff', '0', '0.707107', '0', '-0.707107', '3.55485', '0.408271', '2.64761', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499212', '1280131', 'object/static/item/shared_item_tapestry_imperial.iff', '0', '0.707107', '0', '-0.707107', '-6.83647', '0.408271', '2.64761', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499213', '1280131', 'object/static/structure/general/shared_data_terminal_s3.iff', '0', '-0.7071', '0', '0.707114', '10.5598', '0.408271', '-5.9682', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499214', '1280131', 'object/static/structure/general/shared_data_terminal_s4.iff', '0', '0', '0', '1', '5.50122', '0.408271', '-10.8339', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499215', '1280131', 'object/static/structure/general/shared_data_terminal_s4.iff', '0', '0', '0', '1', '0.465114', '0.408271', '-10.8339', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499216', '1280131', 'object/tangible/furniture/technical/shared_chair_s01.iff', '0', '0.912764', '0', '-0.408487', '7.72721', '0.40827', '-9.54653', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499217', '1280131', 'object/tangible/furniture/technical/shared_chair_s01.iff', '0', '0.937369', '0', '0.348337', '-1.5598', '0.40827', '-9.59368', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499218', '1280131', 'object/static/structure/general/shared_data_terminal_s4.iff', '0', '-0.7071', '0', '0.707114', '10.8769', '0.408271', '-0.940076', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499219', '1280131', 'object/static/structure/general/shared_data_terminal_s3.iff', '0', '-0.7071', '0', '0.707114', '10.5598', '0.408271', '0.0317974', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499220', '1280131', 'object/static/structure/general/shared_data_terminal_s3.iff', '0', '-0.7071', '0', '0.707114', '10.5598', '0.408271', '-2.9682', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499221', '1280131', 'object/static/structure/general/shared_data_terminal_s4.iff', '0', '-0.7071', '0', '0.707114', '10.8769', '0.408271', '-4.94008', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499224', '1280131', 'object/static/structure/general/shared_data_terminal_free_s1.iff', '0', '0.923879', '0', '-0.382684', '10.5545', '0.408271', '1.77887', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499225', '1280131', 'object/static/structure/general/shared_data_terminal_free_s1.iff', '0', '-0.382683', '0', '0.92388', '10.5598', '0.408271', '-7.9682', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499237', '1280131', 'object/tangible/furniture/technical/shared_couch_s01.iff', '0', '0.0099999', '0', '0.99995', '1.3596', '0.408271', '-3.46245', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499238', '1280131', 'object/tangible/furniture/technical/shared_couch_s01.iff', '0', '0.0099999', '0', '0.99995', '4.359', '0.408271', '-3.52245', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499239', '1280131', 'object/tangible/furniture/technical/shared_couch_s01.iff', '0', '0.99995', '0', '-0.00999985', '1.3396', '0.408271', '-4.46225', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499240', '1280131', 'object/tangible/furniture/technical/shared_couch_s01.iff', '0', '0.99995', '0', '-0.00999985', '4.339', '0.408271', '-4.52225', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499241', '1280131', 'object/tangible/furniture/technical/shared_end_table_s01.iff', '0', '0.99995', '0', '-0.00999985', '2.8593', '0.408271', '-3.49245', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499242', '1280131', 'object/tangible/furniture/technical/shared_end_table_s01.iff', '0', '0.0099999', '0', '0.99995', '-0.160104', '0.408271', '-4.43226', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499243', '1280131', 'object/tangible/furniture/technical/shared_end_table_s01.iff', '0', '0.0099999', '0', '0.99995', '2.83931', '0.408271', '-4.49226', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499244', '1280131', 'object/tangible/furniture/technical/shared_end_table_s01.iff', '0', '0.99995', '0', '-0.00999985', '-0.140096', '0.408271', '-3.43246', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499245', '1280131', 'object/tangible/furniture/technical/shared_end_table_s01.iff', '0', '0.0099999', '0', '0.99995', '5.8387', '0.408268', '-4.55225', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499246', '1280131', 'object/tangible/furniture/technical/shared_end_table_s01.iff', '0', '0.99995', '0', '-0.00999985', '5.8587', '0.408268', '-3.55245', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499247', '1280131', 'object/tangible/furniture/technical/shared_end_table_s01.iff', '0', '0.999849', '0', '-0.0173885', '-7.07289', '0.408271', '-7.88759', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499248', '1280131', 'object/tangible/furniture/technical/shared_end_table_s01.iff', '0', '0.736855', '0', '-0.67605', '-7.73172', '0.408271', '-5.02422', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499249', '1280131', 'object/tangible/furniture/technical/shared_chair_s01.iff', '0', '0.590431', '0', '0.807088', '-7.35064', '0.408271', '-5.83944', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499250', '1280131', 'object/tangible/furniture/technical/shared_chair_s01.iff', '0', '-0.033401', '0', '0.999442', '-6.24867', '0.408271', '-7.77444', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5625748', '1280131', 'object/tangible/terminal/shared_terminal_mission_imperial.iff', '0', '0', '0', '1', '2.91625', '0.40827', '-9.83309', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5625750', '1280131', 'object/tangible/terminal/shared_terminal_mission_imperial.iff', '0', '0.707106', '0', '0.707107', '-11.1703', '0.408271', '-0.670398', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280132', '1280129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499226', '1280132', 'object/static/item/shared_item_tapestry_imperial.iff', '0', '0.707107', '0', '-0.707107', '-3.68236', '1.00421', '9.25999', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499227', '1280132', 'object/tangible/furniture/technical/shared_cabinet_s01.iff', '0', '0.7071', '0', '0.707113', '-9.86558', '1.00421', '5.1034', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499228', '1280132', 'object/tangible/furniture/technical/shared_bookcase_s01.iff', '0', '0', '0', '1', '-6.81368', '1.00421', '10.844', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499229', '1280132', 'object/tangible/furniture/technical/shared_bookcase_s01.iff', '0', '0.00499997', '0', '0.999987', '-0.778392', '1.00421', '10.7585', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499230', '1280132', 'object/tangible/furniture/technical/shared_chair_s01.iff', '0', '0.475032', '0', '0.879969', '-9.13222', '1.00421', '6.7372', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499231', '1280132', 'object/tangible/furniture/technical/shared_chair_s01.iff', '0', '-0.556361', '0', '0.830941', '1.89244', '1.00421', '6.43074', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499232', '1280132', 'object/tangible/furniture/technical/shared_cabinet_s01.iff', '0', '0.707107', '0', '-0.707107', '2.20687', '1.00421', '8.29077', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499233', '1280132', 'object/tangible/furniture/imperial/shared_table_s1.iff', '0', '-0.7', '0', '0.714143', '-7.32338', '1.00421', '6.94385', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499234', '1280132', 'object/tangible/furniture/imperial/shared_table_s1.iff', '0', '0.7071', '0', '0.707113', '-0.268808', '1.00421', '6.94376', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499235', '1280132', 'object/static/structure/general/shared_data_terminal_free_s1.iff', '0', '0.9507', '0', '0.310111', '0.463842', '1.00421', '8.60184', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499236', '1280132', 'object/static/structure/general/shared_data_terminal_free_s1.iff', '0', '0.923116', '0', '-0.384522', '-8.04803', '1.00421', '8.96978', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280133', '1280129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280134', '1280129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280135', '1280129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280136', '1280129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280137', '1280129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280138', '1280129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280139', '1280129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280140', '1280129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280141', '1280129', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280160', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '-0.261538', '0', '0.965193', '3736.52', '5', '-4747.49', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280161', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '-0.0745452', '0', '0.997218', '3747.07', '5', '-4784.24', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280162', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '0.0403752', '0', '0.999185', '3748.56', '5', '-4824.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280163', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '0.130017', '0', '0.991512', '3742.42', '5', '-4857.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280164', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_1.iff', '0', '-0.300293', '0', '0.953847', '3790.24', '4.56881', '-4801.65', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280167', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.685282', '0', '0.728278', '3753.19', '5', '-4804.54', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280168', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.777073', '0', '0.629411', '3786.5', '4.01285', '-4802.79', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280170', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '-0.628794', '0', '0.777572', '3776.09', '4.64601', '-4802.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280171', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.685282', '0', '0.728278', '3761.18', '5', '-4804.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280173', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.685282', '0', '0.728278', '3769.16', '4.79778', '-4803.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280177', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.767544', '0', '0.640996', '3749.42', '5', '-4842.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280178', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.846832', '0', '0.53186', '3782.19', '4.0147', '-4848.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280180', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '-0.531186', '0', '0.847255', '3772.23', '4.59351', '-4845.42', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280181', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.767544', '0', '0.640996', '3757.29', '5', '-4843.73', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280183', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.767544', '0', '0.640996', '3765.16', '4.76579', '-4845.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280187', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.552199', '0', '0.833713', '3762.55', '4.78089', '-4757.39', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280189', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.552199', '0', '0.833713', '3755.19', '5', '-4760.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280190', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.751281', '0', '-0.659983', '3768.61', '4.59351', '-4753.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280192', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.65938', '0', '0.75181', '3778.63', '4.01285', '-4750.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280193', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.552199', '0', '0.833713', '3747.82', '5', '-4763.64', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280837', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '-0.247404', '0', '0.968912', '3732.5', '5', '-4739.62', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280838', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '-0.285952', '0', '0.958244', '3740.96', '5', '-4754.19', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280839', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '-0.0898781', '0', '0.995953', '3748.7', '5', '-4792.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280840', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '-0.0749295', '0', '0.997189', '3746.16', '5', '-4775.38', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280841', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0.0149998', '0', '0.999887', '3748.45', '5', '-4832.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280842', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0.044985', '0', '0.998988', '3749.77', '5', '-4815.21', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280843', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0.129634', '0', '0.991562', '3740.83', '5', '-4865.26', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280844', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0.104807', '0', '0.994493', '3745.08', '5', '-4849.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280845', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.618315', '0', '0.785931', '3710.41', '5', '-4879.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280846', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '0.606454', '0', '0.795118', '3713.95', '5', '-4877.96', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280848', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.56183', '0', '0.827253', '3718.7', '5', '-4876.82', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280849', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '-0.188859', '0', '0.982004', '3721.97', '5', '-4874.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280851', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '0.501213', '0', '0.865324', '3729.61', '5', '-4736.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280853', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '0.745705', '0', '0.666277', '3723.69', '5', '-4732.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280854', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.867421', '0', '-0.497574', '3726.8', '5', '-4732.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280855', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.70199', '0', '0.712187', '-1125.8', '97.8498', '-3913.79', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280856', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.701983', '0', '0.712194', '-1125.94', '98', '-3903.54', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280857', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.701983', '0', '0.712194', '-1125.76', '97.8445', '-3908.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280858', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.999997', '0', '0.00260866', '-1139.11', '98.0963', '-3919.14', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280859', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.999997', '0', '0.00260866', '-1135.11', '98.0698', '-3919.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280860', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.999997', '0', '0.00260866', '-1131.11', '98.0085', '-3919.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280861', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.923914', '0', '0.3826', '-1125.93', '97.829', '-3918.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280862', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_08.iff', '0', '0.958016', '0', '-0.286715', '3560.05', '5', '-4699.11', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280865', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '0.745705', '0', '0.666276', '3662.67', '5', '-4718.26', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280866', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.0215949', '0', '0.999767', '3667.26', '5', '-4718.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280868', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '-0.681639', '0', '0.731688', '3683.95', '5', '-4718.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280869', '0', 'object/static/structure/military/shared_military_wall_med_imperial_style_01.iff', '0', '0', '0', '1', '-1134.55', '94.9699', '-3900.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280870', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.692539', '0', '0.72138', '-1126.09', '98', '-3898.41', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280871', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0.999293', '0', '0.0376021', '3692.05', '5', '-4720.25', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280873', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.997836', '0', '-0.065754', '3659.03', '5', '-4718.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280874', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.552864', '0', '0.833272', '3578.6', '5', '-4705.8', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280875', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.540303', '0', '0.84147', '3585.72', '5', '-4708.41', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280876', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.552864', '0', '0.833272', '3593.45', '5', '-4712.08', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280878', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.710354', '0', '-0.703845', '-1157.69', '98.0739', '-3910.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280879', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '0', '0.889656', '0', '0.45663', '3492.79', '5', '-4756.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280880', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '0', '-0.464798', '0', '0.885417', '3485.9', '5', '-4752.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280904', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '3452.93', '5', '-4901.16', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280905', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0.764329', '0', '-0.644827', '3429.92', '5', '-4914.48', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280906', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '-0.237703', '0', '0.971338', '3453.45', '4.08294', '-4900.23', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280908', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '3405.12', '5', '-4908.34', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280909', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '3412.41', '5', '-4941', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280910', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '3379.34', '5', '-5009.06', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280912', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0.827702', '0', '-0.561168', '3378.35', '3.98807', '-5008.51', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280914', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_1.iff', '0', '0', '0', '1', '3345.03', '5', '-5065.85', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280915', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_1.iff', '0', '-0.443948', '0', '0.896053', '3384.4', '5', '-4946.02', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280916', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.429739', '0', '0.902953', '3358.92', '5', '-4995.58', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280922', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '0.948985', '0', '-0.315322', '3484.55', '3.60859', '-4862.34', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280923', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '-0.247404', '0', '0.968912', '3484.95', '5', '-4861.23', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280925', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0.860674', '0', '0.509156', '3574.93', '5', '-4908.79', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280927', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0.997495', '0', '-0.0707373', '3578.66', '5', '-4900.77', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280928', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '-0.109778', '0', '0.993956', '3592.33', '5', '-4905.29', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280930', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '3517.85', '5', '-4843.62', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280931', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '3549.85', '5', '-4914.6', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280932', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '3517.61', '5', '-4864.57', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280934', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '3512.82', '5', '-4778.84', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280952', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '0', '0.339695', '0', '0.940536', '3495.63', '6.88629', '-4776.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280953', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '3513.91', '5', '-4818.58', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280954', '0', 'object/static/installation/shared_mockup_mining_liquid_harvester_style_1.iff', '0', '0.875559', '0', '0.483111', '3462.71', '5', '-4728.15', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280955', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '3432.51', '5', '-4688.88', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280956', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '3455.85', '5', '-4690.88', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280957', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '3397.34', '5', '-4764.81', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280964', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '1', '0', '3.20013e-08', '3302.6', '5', '-4694.72', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280965', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '3331.29', '5', '-4668.39', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280966', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '3268.5', '5', '-4662.66', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280967', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0', '0', '1', '3336.72', '5', '-4613.4', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280968', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '0', '0', '1', '3338.37', '5', '-4611.98', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280969', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '3337.47', '5', '-4612.69', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280970', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0.992098', '0', '0.125465', '3332.97', '5', '-4586.68', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280972', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '3309.69', '5', '-4639.9', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280973', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '3318.89', '5', '-4583.82', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280974', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0.688921', '0', '0.724836', '3271.31', '5', '-4555.47', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280975', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '0.688921', '0', '0.724836', '3272.55', '5', '-4554.44', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280976', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0.688921', '0', '0.724836', '3272.58', '5', '-4555.66', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280977', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0.688921', '0', '0.724836', '3273.89', '5', '-4556.93', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280978', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '3310.75', '5', '-4559.83', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280979', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '3313.76', '5', '-4537.45', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280980', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0', '0', '1', '3296.41', '5', '-4530.97', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280981', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '0', '0', '1', '3300.23', '5', '-4511.53', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280982', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '3301.44', '5', '-4511.55', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280984', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '-0.0699428', '0', '0.997551', '3343.58', '5', '-4491.07', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280985', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '-0.0948572', '0', '0.995491', '3274.34', '5', '-4527.24', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280986', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '0', '0', '1', '3268.35', '5', '-4524.83', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280988', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0.999526', '0', '-0.0307916', '3285.73', '5', '-4516.42', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280990', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0.870685', '0', '0.491842', '3288.44', '5', '-4498.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280992', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '0.999359', '0', '-0.0357886', '3300.96', '5', '-4483.23', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280993', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0.917438', '0', '-0.397879', '3329.19', '5', '-4484.65', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280994', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '0', '0', '1', '3335.38', '5', '-4492.98', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1280997', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '0.847678', '0', '0.530511', '3374.56', '5', '-4501.52', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281001', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '0', '0', '1', '3312.58', '5', '-4513.06', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281003', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0', '0', '1', '3345.09', '5', '-4510.69', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281008', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0.188859', '0', '0.982004', '3320.04', '5', '-4544.11', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281010', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0', '0', '1', '3280.09', '5', '-4529.3', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281013', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.407761', '0', '0.913089', '3293.01', '5', '-4510.11', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281014', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '3277.4', '5', '-4514.01', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281021', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.999359', '0', '0.0357885', '3293.59', '5', '-4489.47', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281026', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0', '0', '1', '3295.14', '5', '-4489.77', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281030', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.907206', '0', '-0.420689', '3296.55', '5', '-4490.24', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281035', '0', 'object/static/structure/tatooine/shared_tent_house_tatooine_style_01.iff', '0', '-0.40485', '0', '0.914383', '3294.28', '5', '-4492.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281059', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0.999707', '0', '0.0242021', '3286.71', '5', '-4523.77', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281060', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.514138', '0', '0.857708', '3285.37', '5', '-4524.32', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281061', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.448423', '0', '0.893821', '3287.6', '5', '-4524.4', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281062', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.84948', '0', '0.527622', '3285.59', '5', '-4523.24', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281063', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.997836', '0', '0.0657518', '3286.61', '5', '-4522.48', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281064', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_03.iff', '0', '0.971527', '0', '0.236929', '3287.32', '5', '-4525.51', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281074', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0.977865', '0', '-0.209239', '3360.88', '5', '-4508.87', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281075', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.699746', '0', '0.714392', '3359.43', '5', '-4508.76', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281076', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.227977', '0', '0.973666', '3361.39', '5', '-4509.83', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281077', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.948984', '0', '0.315325', '3360.12', '5', '-4507.89', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281078', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.98572', '0', '-0.168394', '3361.37', '5', '-4507.67', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281080', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_03.iff', '0', '0.999991', '0', '0.00420339', '3360.63', '5', '-4510.7', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281086', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.593179', '0', '0.805071', '1608.1', '7', '3045.09', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281096', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '-0.261909', '0', '0.965092', '1564.68', '11', '3221.5', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281098', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0', '0', '1', '1564.49', '11', '3223.09', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281099', '0', 'object/static/flora/shared_flora_bush_endor_rainbowbush.iff', '0', '0.0199977', '0', '0.9998', '1566.67', '11', '3227.95', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281100', '0', 'object/static/flora/shared_flora_bush_endor_rainbowbush.iff', '0', '0.999899', '0', '0.0142047', '1566.69', '11', '3221.89', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281103', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0', '0', '1', '1564.52', '11', '3225.2', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281104', '0', 'object/static/flora/shared_flora_flower_tato_funnel.iff', '0', '0', '0', '1', '1562.94', '11', '3214.88', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281105', '0', 'object/static/flora/shared_flora_flower_tato_funnel.iff', '0', '0.707091', '0', '0.707122', '1563.76', '11', '3215.76', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281106', '0', 'object/static/flora/shared_flora_flower_tato_funnel.iff', '0', '0.707091', '0', '0.707122', '1562.16', '11', '3215.78', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281107', '0', 'object/static/flora/shared_flora_flower_tato_funnel.iff', '0', '0.696135', '0', '0.717911', '1564.03', '11', '3234.16', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281108', '0', 'object/static/flora/shared_flora_flower_tato_funnel.iff', '0', '0.696135', '0', '0.717911', '1563.07', '11', '3234.87', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281109', '0', 'object/static/flora/shared_flora_flower_tato_funnel.iff', '0', '0.696135', '0', '0.717911', '1562.16', '11', '3234.28', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281110', '0', 'object/static/flora/shared_flora_tree_palm_thk.iff', '0', '0', '0', '1', '1557.77', '11', '3259.11', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281112', '0', 'object/static/flora/shared_flora_tree_palm_sm.iff', '0', '0.983701', '0', '-0.179813', '1553.96', '11', '3261.78', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281115', '0', 'object/static/flora/shared_flora_tree_palm_sm.iff', '0', '0.969109', '0', '0.246632', '1558.57', '11', '3194.04', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281116', '0', 'object/static/flora/shared_flora_tree_palm_thk.iff', '0', '-0.416871', '0', '0.908966', '1562.65', '11', '3194.99', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281117', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '-0.34759', '0', '0.937647', '1564.45', '11', '3228.91', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281118', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0.795602', '0', '0.60582', '1564.3', '11', '3227.3', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281119', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '-0.34759', '0', '0.937647', '1566.94', '11', '3229.62', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281120', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0.783327', '0', '0.62161', '1573.32', '11', '3229.11', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281121', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '-0.34759', '0', '0.937647', '1567.27', '11', '3220.3', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281122', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0.783327', '0', '0.62161', '1573.54', '11', '3220.8', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281123', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '1555.65', '11', '3289.8', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281124', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '1550.94', '10.5467', '3165.45', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281127', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0.533747', '-0.463804', '-0.463804', '0.533747', '1570.84', '19.1349', '3225.24', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281128', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0.531421', '-0.466467', '0.466467', '-0.531421', '1570.84', '19.1228', '3224.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281129', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0', '0.75457', '0.656219', '1579.13', '21.0648', '3225.41', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281130', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0', '0.754571', '0.656219', '1570.97', '19.9585', '3225.41', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281131', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0', '0', '1', '1563.71', '11', '3233.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281136', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0.999991', '0', '0.00420377', '-1148.54', '98', '-3906.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281138', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.999991', '0', '0.004204', '1565.22', '11', '3219.89', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281139', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0', '0', '1', '1563.48', '11', '3217.21', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281141', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '-0.00499997', '0', '0.999987', '-1152.9', '98', '-3906.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281142', '0', 'object/static/installation/shared_mockup_power_generator_wind_style_1.iff', '0', '0.863209', '0', '0.504846', '-1151.63', '98', '-3901.08', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281143', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0.999991', '0', '0.00420418', '-1148.03', '98', '-3896.37', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281144', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '-0.005', '0', '0.999987', '-1152.4', '98', '-3896.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281145', '0', 'object/static/flora/shared_flora_bush_endor_rainbowbush.iff', '0', '0', '0', '1', '1572.81', '11', '3227.9', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281146', '0', 'object/static/flora/shared_flora_bush_endor_rainbowbush.iff', '0', '0.999415', '0', '0.0341983', '1573.07', '11', '3221.84', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281148', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '0.993868', '0', '-0.11057', '-1141.48', '100.182', '-3886.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281166', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '0.913414', '0', '0.407033', '-1154.12', '98', '-3892.55', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281169', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0.836025', '0', '-0.548691', '3370.89', '5', '-4518.62', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281170', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.990794', '0', '-0.135379', '3372.13', '5', '-4518.69', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281171', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.973484', '0', '0.228753', '3369.57', '5', '-4518.9', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281173', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_meat_rack.iff', '0', '0.864924', '0', '-0.501902', '3369.73', '5', '-4522.31', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281174', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '0', '0.338196', '0', '0.941076', '3369.86', '5', '-4521.42', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281175', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0', '0', '1', '3396.81', '5', '-4539.18', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281176', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '0', '0', '1', '3395.84', '5', '-4537.89', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281177', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '3397.06', '5', '-4537.92', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281178', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0', '0', '1', '3398.39', '5', '-4536.68', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281179', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_meat_rack.iff', '0', '0.5522', '0', '0.833712', '3412.02', '5', '-4510.92', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281180', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_meat_rack.iff', '0', '-0.666869', '0', '0.745175', '3414.03', '5', '-4512.77', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281181', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_fruit_stand_small_style_01.iff', '0', '-0.276358', '0', '0.961055', '3410.89', '5', '-4517.85', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281183', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_large.iff', '0', '-0.300293', '0', '0.953847', '3411.23', '5', '-4514.23', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281186', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0', '0', '1', '-1141.45', '95.663', '-3886.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281187', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0', '0', '1', '-1132.65', '95.7019', '-3886.38', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281188', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '0.980224', '0', '0.197888', '-1132.64', '100.214', '-3886.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281189', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.692533', '0', '0.721386', '-1125.11', '98.0583', '-3889.49', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281190', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0', '0', '1', '-1130.03', '98', '-3889.49', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281195', '0', 'object/static/structure/general/shared_debris_deathstar_conduit.iff', '0', '-0.271547', '0', '0.962425', '-1151.74', '98', '-3909.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281197', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0', '0', '1', '-1145.25', '97.9537', '-3922.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281199', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_1.iff', '0', '0', '0', '1', '-1145.23', '96.9426', '-3922.66', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281200', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.995083', '0', '0.0990409', '3404.36', '5', '-4519.69', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281202', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.576958', '0', '0.816774', '3405.13', '5', '-4522.1', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281203', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.237702', '0', '0.971338', '3406.68', '5', '-4521.04', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281204', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0', '0', '1', '3405.38', '5', '-4520.97', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281213', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '0.356949', '0', '0.934124', '-988.733', '12', '-3738.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281214', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.375559', '0', '0.926799', '-993.569', '12', '-3744.86', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281215', '0', 'object/static/structure/tatooine/shared_wall_damaged_tatooine_large_style_01.iff', '0', '0.933839', '0', '-0.357693', '-980.286', '12', '-3728.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281218', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0.930216', '0', '-0.367013', '3393.82', '5', '-4527.16', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281220', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.807558', '0', '0.589789', '3392.31', '5', '-4526.26', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281221', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.109779', '0', '0.993956', '3393.42', '5', '-4529.08', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281226', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.37092', '0', '0.928665', '-1002.23', '12', '-3754.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281227', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.352274', '0', '0.935897', '-974.606', '12', '-3723.28', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281228', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.338196', '0', '0.941076', '-976.636', '12', '-3726.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281229', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.338196', '0', '0.941076', '-999.076', '12', '-3750.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281238', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0.941344', '0', '0.337448', '3471.63', '5', '-4517.7', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281240', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.218231', '0', '0.975897', '3470.97', '5', '-4518.29', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281241', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.572867', '0', '0.819648', '3472.71', '5', '-4517.67', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281242', '0', 'object/static/structure/tatooine/shared_tent_house_tatooine_style_01.iff', '0', '0.543831', '0', '0.839195', '3472.09', '5', '-4516.66', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281243', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '-0.560511', '0', '0.828147', '3438.85', '5', '-4523.3', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281244', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.999527', '0', '0.0307725', '3438.9', '5', '-4521.86', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281245', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.509841', '0', '0.860268', '3437.9', '5', '-4523.85', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281246', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.902954', '0', '-0.429737', '3439.79', '5', '-4522.5', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281247', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.594463', '0', '0.804123', '3440.06', '5', '-4523.75', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281248', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_03.iff', '0', '0.724287', '0', '-0.689498', '3437.01', '5', '-4523.13', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281249', '0', 'object/static/structure/tatooine/shared_tent_house_tatooine_style_01.iff', '0', '0.842331', '0', '-0.538961', '3439.72', '5.01289', '-4522.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281250', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0.285951', '0', '0.958244', '3448.39', '5', '-4505.05', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281252', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.656821', '0', '0.754047', '3449.16', '5', '-4505.5', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281253', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.999707', '0', '-0.0242019', '3448.05', '5', '-4504.02', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281254', '0', 'object/static/structure/tatooine/shared_tent_house_tatooine_style_01.iff', '0', '-0.353766', '0', '0.935334', '3446.85', '5', '-4504.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281270', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '-0.39402', '0', '0.919102', '3456.91', '5', '-4528.19', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281272', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.987354', '0', '-0.15853', '3457.5', '5', '-4527.52', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281273', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.783327', '0', '0.621609', '3455.84', '5', '-4528.35', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281274', '0', 'object/static/structure/tatooine/shared_tent_house_tatooine_style_01.iff', '0', '0.870685', '0', '-0.491841', '3456.08', '5', '-4529.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281275', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0.93384', '0', '-0.357692', '3479.88', '5', '-4579.53', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281277', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.80162', '0', '0.597834', '3479.04', '5', '-4578.17', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281278', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.099833', '0', '0.995004', '3480.54', '5', '-4580.7', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281279', '0', 'object/static/structure/tatooine/shared_tent_house_tatooine_style_01.iff', '0', '-0.352278', '0', '0.935896', '3473.94', '5', '-4558.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281280', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0.0415786', '0', '0.999135', '3473.77', '5', '-4556.34', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281282', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.822049', '0', '-0.569417', '3474.53', '5', '-4556.8', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281283', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.974971', '0', '0.22233', '3473.43', '5', '-4555.31', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281284', '0', 'object/static/structure/tatooine/shared_tent_house_tatooine_style_01.iff', '0', '0.828595', '0', '-0.559848', '3480', '5', '-4579.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281285', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0.957033', '0', '0.289979', '3497.59', '5', '-4576.29', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281287', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.26673', '0', '0.963771', '3496.32', '5', '-4576.87', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281288', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.531186', '0', '0.847255', '3499.06', '5', '-4576.27', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281289', '0', 'object/static/structure/tatooine/shared_tent_house_tatooine_style_01.iff', '0', '0.980893', '0', '0.194549', '3497.43', '5', '-4577.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281290', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '3431.78', '5', '-4620.21', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281291', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.375559', '0', '0.926798', '3431.87', '5', '-4621.94', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281292', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0', '0', '1', '3434.06', '5', '-4619.04', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281293', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0', '0', '1', '3434.47', '5', '-4619.66', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281294', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.706769', '0', '0.707444', '3446.37', '5', '-4616.98', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281299', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '3445.28', '5', '-4614.37', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281300', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.174108', '0', '0.984727', '3444.23', '5', '-4614.23', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281301', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.976806', '0', '0.214125', '3440.42', '5', '-4613.54', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281303', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '0', '0', '1', '3439.53', '5', '-4614.08', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281304', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.972329', '0', '0.233617', '3434.12', '5', '-4620.8', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281305', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '-0.696135', '0', '0.717911', '3364.79', '5', '-4679.63', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281306', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.929662', '0', '0.368413', '3361.06', '5', '-4679.28', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281307', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '-0.696135', '0', '0.717911', '3363.05', '5', '-4679.69', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281311', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_fruit_stand_small_style_01.iff', '0', '0.962425', '0', '0.271549', '3409.63', '5', '-4631.95', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281313', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '-0.644216', '0', '0.764844', '3370.93', '5', '-4639.12', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281314', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.884303', '0', '-0.466913', '3373.02', '5', '-4638.78', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281315', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.757843', '0', '0.652437', '3369.27', '5', '-4640.04', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281316', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_meat_rack.iff', '0', '-0.164251', '0', '0.986419', '3372.48', '5', '-4635.31', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281317', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_meat_rack.iff', '0', '-0.0699422', '0', '0.997551', '3368.02', '5', '-4636.98', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281318', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '0', '0.593176', '0', '0.805073', '3370.86', '5.06756', '-4638.35', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281321', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.944672', '0', '0.328017', '3362.56', '4.9769', '-4676.88', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281323', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.891929', '0', '0.452176', '3363.37', '4.9769', '-4675.53', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281324', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_fruit_stand_small_style_01.iff', '-0.0407006', '-0.480081', '-0.0388937', '0.875416', '3398.04', '4.90554', '-4690.79', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281333', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '3353.85', '5', '-4645.93', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281335', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '0', '0', '1', '3354.71', '5', '-4664.62', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281336', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0', '0', '1', '3311.97', '5', '-4637.53', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281337', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0', '0', '1', '3286.9', '5', '-4624.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281338', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '-0.572867', '0', '0.819648', '3287.68', '5', '-4625.09', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281339', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '3284.34', '5', '-4628.56', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281340', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0.257081', '0', '0.96639', '3269.15', '5.56921', '-4705.08', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281341', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0.257081', '0', '0.96639', '3264.88', '5.56921', '-4703.22', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281342', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.314567', '0', '0.949235', '3267.91', '5.56921', '-4706.08', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281343', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.198669', '0', '0.980067', '3265.34', '5.56921', '-4704.57', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281344', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '-0.0499795', '0', '0.99875', '3269.89', '5.56921', '-4706.27', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281345', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.8699', '0', '0.493228', '3268.92', '5.56921', '-4703.75', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281346', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.933839', '0', '0.357693', '3264.15', '5.56921', '-4702.03', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281347', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '0', '-0.479426', '0', '0.877582', '3267.36', '5.50596', '-4704.15', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281348', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_fruit_stand_small_style_01.iff', '0', '0.300293', '0', '0.953847', '3270.91', '5.4895', '-4710.68', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281349', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_meat_rack.iff', '0', '0.237703', '0', '0.971338', '3259.98', '5.56921', '-4702.6', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281351', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.257081', '0', '0.96639', '3267.25', '5.56921', '-4703.2', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281352', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0.257081', '0', '0.96639', '3266.92', '5.56921', '-4702.11', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281353', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.795601', '0', '0.60582', '3266.42', '5.56921', '-4700.94', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281355', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '3328.46', '5', '-4721.36', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281356', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '3239.05', '5', '-4677.23', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281357', '0', 'object/static/installation/shared_mockup_mining_gas_harvester_style_1.iff', '0', '0.29074', '0', '0.956802', '3229.57', '5', '-4643.8', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281359', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '3277.82', '5', '-4606.73', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281360', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '3242.94', '5', '-4582.99', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281361', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '3206.66', '5', '-4636.13', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281362', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '3240.76', '5', '-4659.88', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281364', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '0.888928', '0', '0.458047', '3214.82', '5', '-4711.96', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281365', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0.888928', '0', '0.458047', '3214.09', '5', '-4712.93', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281366', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '-0.492535', '0', '0.870293', '3211.3', '5', '-4739.06', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281367', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '3200.74', '5', '-4756.8', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281369', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.114748', '0', '0.993395', '3211.53', '5', '-4760.91', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281370', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '0.00204062', '-0.47393', '-0.00753368', '0.880528', '3211.86', '6.40515', '-4762.12', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281371', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_fruit_stand_large_style_01.iff', '0.0197711', '0.370846', '0.00300423', '0.928479', '3214.23', '4.92412', '-4763.39', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281372', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '-0.628792', '0', '0.777573', '3222.13', '5', '-4768.17', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281373', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.470626', '0', '0.882333', '3222.64', '5', '-4769.12', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281374', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.183947', '0', '0.982936', '3221.11', '5', '-4767.56', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281376', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_meat_rack.iff', '0', '-0.361615', '0', '0.932328', '3219.8', '5', '-4766.1', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281377', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '0', '0.886626', '0', '0.462486', '3220.81', '5', '-4766.99', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281378', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '0', '0.847676', '0', '0.530515', '3268.98', '5.09239', '-4794.22', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281379', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.49688', '0', '0.867819', '3266.83', '4.9769', '-4792.87', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281380', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.134591', '0', '0.990901', '3267.22', '4.9769', '-4794.43', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281383', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.232843', '0', '0.972514', '3268.97', '5', '-4795.04', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281384', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '-0.260073', '0', '0.965589', '3271.65', '5', '-4794.59', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281385', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '0.688921', '0', '0.724836', '3270.31', '5', '-4794.98', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281387', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_meat_rack.iff', '0', '-0.620985', '0', '0.783822', '3321.43', '5', '-4835.95', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281388', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_fruit_stand_small_style_01.iff', '0', '-0.416873', '0', '0.908965', '3318.68', '5', '-4839.55', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281390', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_large.iff', '0', '-0.439462', '0', '0.898261', '3317.93', '5', '-4835.98', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281391', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '-0.232843', '0', '0.972514', '3330.45', '5', '-4819.12', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281392', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '-0.317507', '0', '0.948256', '3332.99', '5', '-4818', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281393', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '0.581035', '0', '0.813878', '3331.67', '5', '-4818.38', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281394', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0.961275', '0', '-0.275591', '3331.47', '4.99234', '-4818.15', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281402', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0.324043', '0', '0.946042', '3305.16', '5', '-4810.5', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281403', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '3356.55', '5', '-4880.46', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281406', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.947396', '0', '-0.320062', '3339.49', '5', '-4863.27', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281408', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.443948', '0', '0.896052', '3341.93', '5', '-4859.64', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281409', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.443948', '0', '0.896052', '3337.07', '5', '-4865.72', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281410', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.710352', '0', '-0.703847', '3262.42', '5', '-4952.42', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281411', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.443947', '0', '0.896053', '3270.58', '5', '-4951.91', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281412', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.46178', '0', '0.886994', '3291.08', '5', '-4906', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281413', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.443949', '0', '0.896052', '3296.19', '5', '-4899.39', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281414', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.46178', '0', '0.886994', '3298.47', '5', '-4896.34', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281415', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0.0090542', '0.887317', '0.00424459', '0.461051', '3270.17', '5.00494', '-4942.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281416', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '3280.01', '5', '-4955.36', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281418', '0', 'object/static/installation/shared_mockup_mining_liquid_harvester_style_1.iff', '0', '-0.439463', '0', '0.898261', '3308.77', '5', '-4966.21', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281419', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '3322.61', '5', '-4989.88', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281422', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '3383.85', '5', '-4904.33', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281423', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0', '0', '1', '3384.72', '5', '-4913.76', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281424', '0', 'object/static/installation/shared_mockup_mining_gas_harvester_style_1.iff', '0', '0.319309', '0', '0.947651', '3339.6', '5', '-4961.58', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281425', '0', 'object/static/structure/tatooine/shared_luke_farm_garage.iff', '0', '0', '0', '1', '3361.37', '5', '-4895.29', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281426', '0', 'object/static/installation/shared_mockup_mining_liquid_harvester_style_1.iff', '0', '0.940806', '0', '-0.338946', '3211.23', '5', '-4868.8', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281428', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '0.944148', '0', '-0.329521', '3228.53', '5', '-4861.87', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281429', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '3218.16', '5', '-4856.12', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281431', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '3181.5', '5', '-4878.34', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281432', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '3266.14', '5', '-4861.23', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281433', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '3300.58', '5', '-4856.26', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281434', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '3237.5', '5', '-4835.79', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281438', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '-0.266731', '0', '0.963771', '3243.73', '5', '-4800.8', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281440', '0', 'object/static/installation/shared_mockup_mining_gas_harvester_style_1.iff', '0', '-0.434965', '0', '0.900447', '3210.04', '5', '-4895.39', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281441', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '3323.27', '5', '-4876.26', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281444', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '3273.21', '5', '-4938.96', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281512', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '0.356949', '0', '0.934124', '-983.287', '11.5257', '-3743.42', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281513', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.624897', '0', '0.780707', '-990.342', '10.3477', '-3745.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281515', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.169182', '0', '0.985585', '-981.685', '10.3477', '-3736.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281516', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.375559', '0', '0.926798', '-985.694', '10.2456', '-3746.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281517', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.375559', '0', '0.926798', '-979.857', '10.2419', '-3740.13', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281518', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '-0.40319', '0', '0.915116', '-986.377', '14.5372', '-3746.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281520', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '-0.352274', '0', '0.935897', '-980.525', '14.5087', '-3740.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281523', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.916803', '0', '0.39934', '-995.468', '12', '-3749.45', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281524', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '-0.439463', '0', '0.898261', '3360.18', '5', '-4775.81', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281525', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '-0.439463', '0', '0.898261', '3357.74', '5', '-4779.78', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281526', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '-0.384808', '0', '0.922997', '3360.7', '5', '-4776.84', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281527', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.792562', '0', '-0.609791', '3358.64', '5', '-4779.65', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281528', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '-0.692536', '0', '0.721383', '3361.02', '5', '-4775.1', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281529', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.470626', '0', '0.882333', '3359.16', '5', '-4775.73', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281530', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.470626', '0', '0.882333', '3356.93', '5', '-4780.01', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281531', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '0', '0.93737', '0', '-0.348337', '3359.01', '5', '-4777.45', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281532', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.912764', '0', '0.408488', '-978.651', '12', '-3730.69', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281533', '0', 'object/building/tatooine/shared_housing_tatt_style01_med.iff', '0', '0.945784', '0', '-0.324797', '3384.98', '5', '-4837.42', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281534', '1281533', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005361', '1281534', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s04.iff', '0', '0.271547', '0', '0.962425', '4.27777', '1.00421', '3.85631', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005362', '1281534', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s04.iff', '0', '0.920751', '0', '0.390152', '4.26296', '1.00421', '10.6844', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005363', '1281534', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s2.iff', '0', '0.692537', '0', '0.721382', '4.37824', '1.00421', '5.55867', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005364', '1281534', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '0.706826', '0', '0.707388', '4.37143', '1.00421', '7.35735', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005365', '1281534', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s2.iff', '0', '0.710353', '0', '0.703845', '4.35213', '1.00421', '8.89431', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281535', '1281533', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1293115', '1281535', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_01.iff', '0', '0.999983', '0', '0.00579655', '7.37714', '0.408269', '-7.68872', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1293118', '1281535', 'object/tangible/furniture/all/shared_frn_all_couch_love_seat_s1.iff', '0', '0', '0', '1', '7.3323', '0.40827', '-9.93877', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1293119', '1281535', 'object/tangible/furniture/all/shared_frn_all_couch_love_seat_s1.iff', '0', '0.999958', '0', '0.00920329', '7.34542', '0.408268', '-5.31111', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1293120', '1281535', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s01.iff', '0', '0.770739', '0', '0.637151', '10.5526', '0.408271', '-9.33847', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1293121', '1281535', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s01.iff', '0', '0.752331', '0', '-0.658786', '-4.40985', '0.408271', '-9.05587', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1293122', '1281535', 'object/tangible/furniture/all/shared_frn_all_couch_love_seat_s1.iff', '0', '0.72083', '0', '0.693111', '5.03177', '0.408269', '-7.73135', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1293123', '1281535', 'object/tangible/furniture/all/shared_frn_all_couch_love_seat_s1.iff', '0', '0.713863', '0', '-0.700285', '9.64279', '0.408269', '-7.70785', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1293125', '1281535', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_03.iff', '0', '0.945784', '0', '0.324796', '8.4261', '0.40827', '-10.0025', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1293126', '1281535', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_02.iff', '0', '0.934408', '0', '-0.356205', '6.25255', '0.408268', '-5.08838', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1293127', '1281535', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_01.iff', '0', '0.999958', '0', '-0.00920328', '8.96291', '0.408265', '4.78471', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1293131', '1281535', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_02.iff', '0', '0.644218', '0', '0.764842', '-7.78734', '0.408271', '-7.88411', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1293147', '1281535', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_01.iff', '0', '0.710353', '0', '0.703846', '1.52654', '0.408271', '1.72967', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1293148', '1281535', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_01.iff', '0', '0.710353', '0', '0.703846', '-4.57206', '0.408271', '1.85936', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1293149', '1281535', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_01.iff', '0', '0.00460102', '0', '0.999989', '-9.83791', '0.408271', '-1.22745', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502439', '1281535', 'object/tangible/furniture/all/shared_frn_all_table_s01.iff', '0', '-0.706827', '0', '0.707386', '0.315748', '0.40827', '-8.64083', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502440', '1281535', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '0.768564', '0', '0.639773', '-0.717567', '0.40827', '-8.89775', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502441', '1281535', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '-0.648035', '0', '0.761611', '1.72425', '0.40827', '-8.57447', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502442', '1281535', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '0.979908', '0', '-0.19945', '0.502525', '0.40827', '-7.50338', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502443', '1281535', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '-0.064954', '0', '0.997888', '0.481047', '0.40827', '-9.99241', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502444', '1281535', 'object/tangible/furniture/all/shared_frn_all_table_s01.iff', '0', '-0.706827', '0', '0.707386', '-2.18066', '0.408271', '-5.21306', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502445', '1281535', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '0.768564', '0', '0.639773', '-3.21378', '0.408271', '-5.46983', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502446', '1281535', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '-0.648035', '0', '0.761611', '-0.772155', '0.408271', '-5.1467', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502447', '1281535', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '0.979908', '0', '-0.19945', '-1.99358', '0.408271', '-4.07599', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502448', '1281535', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '-0.064954', '0', '0.997888', '-2.01517', '0.408271', '-6.56449', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502449', '1281535', 'object/tangible/furniture/all/shared_frn_all_table_s01.iff', '0', '-0.706827', '0', '0.707386', '-6.26061', '0.408271', '-5.2462', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502450', '1281535', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '0.768564', '0', '0.639773', '-7.29374', '0.408271', '-5.50297', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502451', '1281535', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '-0.648035', '0', '0.761611', '-4.85211', '0.408271', '-5.17984', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502452', '1281535', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '0.979908', '0', '-0.19945', '-6.07354', '0.408271', '-4.10914', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502453', '1281535', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '-0.064954', '0', '0.997888', '-6.09512', '0.408271', '-6.59763', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502454', '1281535', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '1', '0', '-3.20013e-08', '3.37085', '0.408271', '2.62977', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1502455', '1281535', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '1', '0', '-3.20013e-08', '5.23493', '0.408271', '2.62517', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005366', '1281535', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '1', '0', '-0.000796314', '10.1472', '0.408271', '0.247701', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005367', '1281535', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '0.263448', '0', '0.964674', '9.77871', '0.408272', '-2.40407', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005368', '1281535', 'object/tangible/furniture/all/shared_frn_all_table_s01.iff', '0', '0.752329', '0', '0.658788', '10.1971', '0.408272', '-1.11005', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281536', '1281533', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1293132', '1281536', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '0.92269', '0', '0.385543', '-0.608641', '1.00421', '8.58322', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1293134', '1281536', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '-0.129634', '0', '0.991562', '0.90339', '1.00421', '6.60612', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1293135', '1281536', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '0.509841', '0', '0.860269', '-0.718115', '1.00421', '6.70049', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1293136', '1281536', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '0.854714', '0', '-0.519099', '1.00985', '1.00421', '8.45546', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1293138', '1281536', 'object/tangible/furniture/all/shared_frn_all_table_s01.iff', '0', '0.439462', '0', '0.898261', '0.352407', '1.00421', '7.61837', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1293140', '1281536', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s04.iff', '0', '0.999875', '0', '0.0157951', '-7.72661', '1.00421', '10.6418', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1293141', '1281536', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s04.iff', '0', '0.999875', '0', '0.0157951', '0.671215', '1.00421', '10.639', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1293142', '1281536', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '0.92269', '0', '0.385543', '-8.14557', '1.00421', '7.81604', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1293143', '1281536', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '-0.129634', '0', '0.991562', '-6.63349', '1.00421', '5.83916', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1293144', '1281536', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '0.509841', '0', '0.860269', '-8.25509', '1.00421', '5.93362', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1293145', '1281536', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '0.854714', '0', '-0.519099', '-6.52718', '1.00421', '7.68875', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1293146', '1281536', 'object/tangible/furniture/all/shared_frn_all_table_s01.iff', '0', '0.439461', '0', '0.898262', '-7.1846', '1.00421', '6.85133', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281537', '1281533', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281538', '1281533', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1293150', '1281538', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_01.iff', '0', '0.692537', '0', '0.721382', '-9.81268', '-1.41971', '-9.84', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281539', '1281533', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1293151', '1281539', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_01.iff', '0', '0.724287', '0', '0.689499', '-0.724973', '-3.96617', '1.11651', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1293152', '1281539', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s03.iff', '0', '0.945784', '0', '0.324796', '0.658353', '-3.96617', '-10.7498', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1293154', '1281539', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s03.iff', '0', '0.945784', '0', '0.324796', '-7.5053', '-3.96617', '-7.86154', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281540', '1281533', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1293157', '1281540', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s2.iff', '0', '-0.0199988', '0', '0.9998', '7.18593', '-3.36756', '5.35264', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1293160', '1281540', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s02.iff', '0', '0.945784', '0', '0.324796', '10.3766', '-3.36756', '3.59916', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1293161', '1281540', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s02.iff', '0', '0.945784', '0', '0.324796', '3.8631', '-3.36756', '3.43872', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1293169', '1281540', 'object/tangible/furniture/all/shared_frn_all_couch_love_seat_s1.iff', '0', '0.999942', '0', '0.0107964', '7.16454', '-3.36756', '9.83676', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1293183', '1281540', 'object/tangible/furniture/all/shared_frn_all_chair_upholstered_s1.iff', '0', '0.852941', '0', '-0.522008', '8.8147', '-3.36756', '9.24237', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1293192', '1281540', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '0.945784', '0', '0.324796', '7.24058', '-3.36756', '8.82159', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281541', '1281533', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281542', '1281533', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281543', '1281533', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281544', '1281533', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281545', '1281533', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281546', '0', 'object/static/flora/shared_flora_plant_tato_falotil.iff', '0', '0', '0', '1', '-984.211', '12', '-3735.09', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281547', '0', 'object/static/flora/shared_flora_plant_tato_falotil.iff', '0', '-0.663135', '0', '0.748499', '-984.402', '12', '-3736.71', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281550', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '-0.394019', '0', '0.919102', '3381.08', '5', '-4782.83', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281551', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0.974971', '0', '0.22233', '3373.7', '5', '-4793.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281552', '0', 'object/static/flora/shared_flora_flower_tato_funnel_sm.iff', '0', '0', '0', '1', '-984.076', '12', '-3735.64', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281553', '0', 'object/static/flora/shared_flora_flower_tato_funnel_med.iff', '0', '0', '0', '1', '-983.475', '12', '-3736.3', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281554', '0', 'object/static/flora/shared_flora_flower_tato_funnel.iff', '0', '0', '0', '1', '-984.943', '12', '-3736.44', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281556', '0', 'object/static/flora/shared_flora_plant_tato_falotil.iff', '0', '0.893464', '0', '0.449135', '-982.278', '12', '-3739.47', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281557', '0', 'object/static/flora/shared_flora_plant_tato_falotil.iff', '0', '0.370921', '0', '0.928664', '-983.465', '12', '-3738.35', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281558', '0', 'object/static/flora/shared_flora_flower_tato_funnel_sm.iff', '0', '0.893464', '0', '0.449135', '-982.794', '12', '-3739.25', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281559', '0', 'object/static/flora/shared_flora_flower_tato_funnel_med.iff', '0', '0.893464', '0', '0.449135', '-983.687', '12', '-3739.34', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281560', '0', 'object/static/flora/shared_flora_flower_tato_funnel.iff', '0', '0.893464', '0', '0.449135', '-982.923', '12', '-3738.08', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281561', '0', 'object/static/flora/shared_flora_plant_tato_falotil.iff', '0', '-0.552199', '0', '0.833712', '-988.243', '12', '-3743.93', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281562', '0', 'object/static/flora/shared_flora_plant_tato_falotil.iff', '0', '0.966184', '0', '-0.257851', '-986.824', '12', '-3744.74', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281563', '0', 'object/static/flora/shared_flora_flower_tato_funnel_sm.iff', '0', '-0.552199', '0', '0.833712', '-987.69', '12', '-3744.02', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281564', '0', 'object/static/flora/shared_flora_flower_tato_funnel_med.iff', '0', '-0.552199', '0', '0.833712', '-986.842', '12', '-3743.72', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281565', '0', 'object/static/flora/shared_flora_flower_tato_funnel.iff', '0', '-0.552199', '0', '0.833712', '-987.287', '12', '-3745.13', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281566', '0', 'object/static/flora/shared_flora_plant_tato_falotil.iff', '0', '0.819191', '0', '-0.57352', '-991.821', '12', '-3743.88', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281567', '0', 'object/static/flora/shared_flora_plant_tato_falotil.iff', '0', '0.993486', '0', '0.113954', '-990.232', '12', '-3743.51', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281568', '0', 'object/static/flora/shared_flora_flower_tato_funnel_sm.iff', '0', '0.819191', '0', '-0.57352', '-991.357', '12', '-3743.57', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281569', '0', 'object/static/flora/shared_flora_flower_tato_funnel_med.iff', '0', '0.819191', '0', '-0.57352', '-990.936', '12', '-3742.78', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281570', '0', 'object/static/flora/shared_flora_flower_tato_funnel.iff', '0', '0.819191', '0', '-0.57352', '-990.303', '12', '-3744.11', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281572', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.114748', '0', '0.993395', '3366.83', '5', '-4855.66', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281573', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '-0.00618609', '-0.477484', '0.00515964', '0.878603', '3367.18', '6.86361', '-4856.83', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281574', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_fruit_stand_large_style_01.iff', '0.0197711', '0.370846', '0.00300423', '0.928479', '3369.53', '5', '-4858.15', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281576', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '-0.539632', '0', '0.841901', '3377.14', '5', '-4863.16', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281577', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.0649565', '0', '0.997888', '3377.1', '5', '-4864.83', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281578', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_meat_rack.iff', '0', '-0.271547', '0', '0.962425', '3381.5', '5', '-4866.26', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281624', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '0', '-0.438035', '0', '0.898958', '3394.19', '5.09239', '-4794.22', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281625', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.213347', '0', '0.976976', '3394.01', '4.9769', '-4796.04', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281626', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.564642', '0', '0.825336', '3395.6', '4.9769', '-4795.81', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281629', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0.518418', '0', '0.855127', '3353.08', '5', '-4822.78', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281630', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.568762', '0', '0.822502', '3352.26', '5', '-4821.48', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281631', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.789504', '0', '0.613746', '3353.03', '5', '-4824.23', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281634', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '0', '0.952576', '0', '-0.304299', '3355.25', '5', '-4820.94', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281638', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '0.568762', '0', '0.822502', '-1016.9', '12', '-3705.16', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281639', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.535079', '0', '0.844802', '3357.07', '5', '-4839.57', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281640', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '-0.597515', '0', '0.801858', '3358.07', '5', '-4840.33', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281641', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.309438', '0', '0.95092', '3358.66', '5', '-4841.25', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281642', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_large.iff', '0', '-0.417232', '0', '0.9088', '3355.07', '4.98758', '-4839.98', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281644', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.770993', '0', '-0.636844', '3354.88', '5.00124', '-4844.47', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281645', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '-0.68193', '0', '0.731418', '3355.73', '5.00124', '-4845.28', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281646', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.770993', '0', '-0.636844', '3353.11', '5.00124', '-4837.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281647', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.648337', '0', '0.761353', '3354.2', '5.00124', '-4836.34', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281649', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.648337', '0', '0.761353', '3354.27', '5.00124', '-4838.97', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281663', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '-0.015818', '-0.487911', '0.031135', '0.872194', '4894.01', '6.25603', '-8461.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281666', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '0.827702', '0', '-0.561168', '-1019.47', '12', '-3649.13', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281670', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '-0.015818', '-0.487911', '0.031135', '0.872194', '4893.63', '6.25603', '-8461.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281675', '0', 'object/static/installation/shared_mockup_mining_liquid_harvester_style_1.iff', '0', '-0.42902', '0', '0.903295', '-1087.05', '12', '-3617.11', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281684', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0.926499', '0', '-0.376297', '-1146', '12', '-3664.75', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281685', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '-0.015818', '-0.487911', '0.031135', '0.872194', '4892.56', '6.25603', '-8461.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281686', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '-0.015818', '-0.487911', '0.031135', '0.872194', '4900.24', '6.25603', '-8452.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281696', '0', 'object/static/structure/general/shared_debris_deathstar_conduit.iff', '-0.0384955', '-0.194904', '-0.189904', '0.961492', '3449.54', '4.57328', '-4774', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281697', '0', 'object/static/structure/general/shared_debris_deathstar_large_tube.iff', '-0.374847', '0.666401', '-0.176769', '-0.6198', '3454.71', '5.04246', '-4774.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281698', '0', 'object/static/structure/general/shared_debris_deathstar_small_chunk.iff', '0', '0', '0', '1', '3453.2', '5', '-4776.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281699', '0', 'object/static/structure/general/shared_debris_deathstar_small_tube.iff', '0', '0', '0', '1', '3452.96', '5', '-4773.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281700', '0', 'object/static/structure/general/shared_debris_deathstar_storage.iff', '0.479392', '-0.0921966', '-0.164826', '0.857039', '3453.93', '4.0883', '-4771.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281701', '0', 'object/static/structure/general/shared_debris_deathstar_conduit.iff', '0.396542', '0.79041', '-0.209374', '-0.417337', '3456.57', '5', '-4774.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281704', '0', 'object/static/structure/general/shared_debris_deathstar_conduit.iff', '-0.161744', '0.591926', '-0.576501', '0.539545', '3440.24', '6.05176', '-4872.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281705', '0', 'object/static/structure/general/shared_debris_deathstar_small_chunk.iff', '0', '0', '0', '1', '3431.39', '5', '-4881.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281706', '0', 'object/static/structure/general/shared_debris_deathstar_small_chunk.iff', '0', '0', '0', '1', '3354.39', '5', '-4819.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281708', '0', 'object/static/structure/general/shared_debris_deathstar_small_tube.iff', '0', '-0.159318', '0', '0.987227', '3350.64', '5', '-4840.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281709', '0', 'object/static/structure/general/shared_debris_deathstar_large_tube.iff', '-0.0811622', '-0.118682', '0.050818', '0.988304', '3358.33', '4.81026', '-4822.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281710', '0', 'object/static/structure/general/shared_debris_deathstar_large_tube.iff', '0.0898774', '0.000449391', '0.00497974', '0.99594', '3350.18', '4.74702', '-4839.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281711', '0', 'object/static/structure/general/shared_debris_deathstar_conduit.iff', '0', '0.352274', '0', '0.935897', '3357.21', '4.87592', '-4818.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281723', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '3352.87', '5', '-4853.96', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281725', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '0.95209', '0', '-0.305817', '3562.31', '5', '-4755.4', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281735', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.9463', '0', '0.32329', '3574.46', '5', '-4708.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281736', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '0.811429', '0', '0.584451', '3568.06', '5', '-4708.7', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281738', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.741296', '0', '-0.671178', '3578.6', '5', '-4708.89', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281739', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.741296', '0', '-0.671178', '3573.67', '5', '-4712.81', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281743', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.847678', '0', '0.530511', '3565.75', '5', '-4711.63', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281744', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.978899', '0', '-0.204347', '3566.29', '5', '-4708.72', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281745', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.543835', '0', '0.839192', '3573.13', '5', '-4713.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281746', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.737931', '0', '-0.674877', '3590.86', '5', '-4715.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281753', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0.98939', '0', '0.145281', '-1088.29', '12', '-3718.3', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281754', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '0.98939', '0', '0.145281', '-1088.47', '12', '-3716.83', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281759', '0', 'object/static/installation/shared_mockup_power_generator_photo_bio_style_1.iff', '0', '0.21823', '0', '0.975897', '-1054.64', '12', '-3732.61', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281765', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '3586.83', '5', '-4713.97', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281766', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '3583.59', '5', '-4711.01', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281774', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.47133', '0', '0.881957', '3499.86', '5', '-4641.39', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281775', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.961053', '0', '-0.276365', '3497.52', '5', '-4645.56', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281780', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '3488.94', '5', '-4667.17', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281782', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '3471.19', '5', '-4631.45', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281784', '0', 'object/static/vehicle/shared_player_shuttle.iff', '0', '-0.470625', '0', '0.882333', '3448.82', '5', '-4639.39', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281785', '0', 'object/static/structure/general/shared_debris_deathstar_conduit.iff', '0', '-0.252245', '0', '0.967663', '3519.39', '5', '-4543.59', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281786', '0', 'object/static/structure/general/shared_debris_deathstar_conduit.iff', '0.0800104', '-0.165634', '-0.427543', '0.885082', '3528.3', '5', '-4498.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281787', '0', 'object/static/structure/general/shared_debris_deathstar_conduit.iff', '0.0148751', '-0.128778', '-0.113778', '0.985012', '3554.22', '5', '-4518.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281788', '0', 'object/static/structure/general/shared_debris_deathstar_conduit.iff', '-0.223417', '0.485216', '-0.0409424', '0.844378', '3553.03', '5.2333', '-4482.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281789', '0', 'object/static/structure/general/shared_debris_deathstar_conduit.iff', '0', '0', '-0.164252', '0.986418', '3484.24', '5', '-4499.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281790', '0', 'object/static/structure/general/shared_debris_deathstar_large_tube.iff', '0.36321', '0.0563275', '0.256327', '0.893981', '3555.93', '5', '-4513.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281791', '0', 'object/static/structure/general/shared_debris_deathstar_large_tube.iff', '-0.240145', '-0.344952', '-0.0917648', '0.902728', '3523.31', '5', '-4500.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281792', '0', 'object/static/structure/general/shared_debris_deathstar_small_chunk.iff', '-0.223417', '0.485216', '-0.0409424', '0.844378', '3485.98', '5', '-4490.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281793', '0', 'object/static/structure/general/shared_debris_deathstar_small_chunk.iff', '0', '0', '0.232843', '0.972514', '3504.15', '5', '-4555.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281794', '0', 'object/static/structure/general/shared_debris_deathstar_small_chunk.iff', '0', '0.109778', '0', '0.993956', '3567.07', '15.3258', '-4455.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281795', '0', 'object/static/structure/general/shared_debris_deathstar_conduit.iff', '0.138111', '0.119289', '-0.255842', '0.949337', '3520.28', '5.42498', '-4452.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281796', '0', 'object/static/structure/general/shared_debris_deathstar_conduit.iff', '-0.102672', '-0.073077', '0.681144', '0.721222', '3546.19', '5.61435', '-4472.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281797', '0', 'object/static/structure/general/shared_debris_deathstar_conduit.iff', '-0.213467', '-0.003648', '0.167991', '0.962392', '3545.01', '13.5866', '-4435.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281798', '0', 'object/static/structure/general/shared_debris_deathstar_large_tube.iff', '0.634348', '0.133402', '0.345284', '0.678665', '3547.9', '6.46725', '-4467.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281799', '0', 'object/static/structure/general/shared_debris_deathstar_large_tube.iff', '-0.191079', '-0.361091', '-0.124208', '0.904254', '3515.29', '5.27454', '-4454.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281800', '0', 'object/static/structure/tatooine/shared_wall_gate_tatooine_style_02.iff', '0', '-0.492535', '0', '0.870293', '3548', '5', '-4689.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281802', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0', '0', '1', '3663.37', '5', '-4747.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281804', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '3658.96', '5', '-4749.71', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281805', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0.902268', '0', '-0.431176', '3633.99', '5', '-4726.9', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281808', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '3691.19', '5', '-4722.26', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281809', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0.720831', '0', '0.693111', '3692.76', '5', '-4748.91', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281810', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.997836', '0', '0.0657488', '3681.42', '5', '-4722.38', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281811', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.998633', '0', '0.0522778', '3683.6', '5', '-4721.65', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281812', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '0.20846', '0', '0.978031', '3682.5', '5', '-4722.49', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281813', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0.0699428', '0', '0.997551', '3682.44', '5', '-4722.41', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281814', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '0', '0.536757', '0', '0.843737', '3667.17', '5.09239', '-4724.06', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281815', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '3665.16', '4.9769', '-4724.57', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281817', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0', '0', '1', '3668.89', '4.9769', '-4722.12', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281819', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.937369', '0', '-0.348337', '3669.24', '5', '-4724.4', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281820', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.989892', '0', '0.141822', '3666.79', '5', '-4722.97', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281821', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '0.20846', '0', '0.978031', '3668', '5', '-4723.62', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281822', '0', 'object/building/tatooine/shared_parking_garage_tatooine_style_1.iff', '0', '0.287478', '0', '0.957787', '3526.88', '5', '-4640.47', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281828', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.960392', '0', '-0.278651', '3532.53', '5', '-4665.86', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281829', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.958988', '0', '-0.283448', '3531.7', '5', '-4667.61', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281830', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.958988', '0', '-0.283448', '3534.11', '5', '-4663.81', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281831', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '-0.478028', '0', '0.878344', '3534.02', '5', '-4660.62', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281832', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.960392', '0', '-0.278651', '3534.95', '5', '-4662.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281833', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0', '0.300293', '0', '0.953847', '3550.26', '5', '-4678.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281834', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.959885', '0', '0.280393', '3660.94', '5', '-4852.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281836', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.904412', '0', '-0.42666', '3662.07', '5', '-4856.22', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281840', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '0.991458', '0', '-0.130424', '3665.54', '5', '-4850.79', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281841', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.904412', '0', '-0.42666', '3660.37', '5', '-4856.4', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281845', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '3605.59', '5', '-4863.88', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281858', '0', 'object/building/tatooine/shared_filler_building_slave_quarters_style_01.iff', '0.0374476', '0.151891', '0.0200425', '0.987484', '-6098.95', '9.43661', '1917.8', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281859', '0', 'object/static/structure/tatooine/shared_tent_house_tatooine_style_01.iff', '-0.049834', '0.000853637', '-0.00591531', '0.99874', '-6133.84', '9.07226', '1889.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281860', '0', 'object/static/structure/tatooine/shared_tent_house_tatooine_style_01.iff', '-0.0302345', '4.29155e-05', '-0.00141877', '0.999542', '-6120.09', '9.58779', '1898.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281862', '0', 'object/static/structure/tatooine/shared_tent_house_tatooine_style_01.iff', '-0.0296344', '0.662342', '-0.0347354', '0.747809', '-6100.84', '6.96571', '1875.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281863', '0', 'object/static/structure/tatooine/shared_tent_house_tatooine_style_01.iff', '-0.00246218', '0.819126', '-0.00938462', '0.573531', '-6108.53', '6.03766', '1852.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281864', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.21823', '0', '0.975897', '3229.8', '3.85318', '-4516.13', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281865', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '-0.0140109', '0.900637', '-0.0474413', '0.431748', '-6142.47', '7.99189', '1878.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281866', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0.000297065', '0.969282', '-0.0349852', '0.243451', '-6150.46', '7.194', '1867.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281868', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.15438', '0', '0.988011', '3218.05', '3.80113', '-4532.86', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281869', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '-0.0433026', '-0.545432', '0.0181067', '0.83684', '-6152.67', '7.94927', '1877.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281870', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '-0.0484163', '-0.368399', '0.0123628', '0.928324', '-6147.78', '9.17202', '1889.66', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281872', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.188859', '0', '0.982004', '3210.65', '4.07901', '-4527.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281873', '0', 'object/static/structure/tatooine/shared_luke_farm_garage.iff', '0.0223802', '4.29225e-05', '-0.00963784', '0.999703', '-6151.37', '9.78543', '1913.67', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281877', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.366273', '0', '0.930508', '3358.33', '4.5772', '-5045.35', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281879', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.32877', '0', '0.94441', '3349.72', '5', '-5003.16', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281882', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.333487', '0', '0.942755', '3353.92', '3.88546', '-5053.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281884', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.305059', '0', '0.952333', '3341.11', '4.33037', '-5011.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281885', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.552199', '0', '0.833712', '3364.16', '5', '-5035.63', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281887', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '-0.617059', '0', '0.786917', '3348.23', '3.45967', '-5061.61', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281888', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '-0.012231', '0.795244', '-0.0273885', '-0.605547', '3332.77', '4.29216', '-5020.58', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281891', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '-0.461779', '0', '0.886995', '3322.89', '3.45967', '-5029.37', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1281898', '0', 'object/static/structure/general/shared_debris_deathstar_large_tube.iff', '0.852264', '0.424474', '-0.274004', '0.135609', '3443.05', '5.22509', '-4867.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282839', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.668056', '0', '0.744111', '109.899', '52', '-5427.4', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282840', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.0615541', '0', '0.998104', '108.882', '52', '-5427.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282842', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.749027', '0', '0.662539', '112.419', '52', '-5425.55', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282845', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.777072', '0', '-0.629412', '115.502', '52', '-5427.31', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282846', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.342898', '0', '0.939373', '112.237', '52', '-5430.88', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282851', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.75888', '0', '0.65123', '129.506', '52', '-5385.64', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282852', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.498262', '0', '0.867026', '132.664', '52', '-5382.07', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282853', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.42286', '0', '0.906195', '127.914', '52', '-5386', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282854', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.570071', '0', '0.821595', '132.692', '52', '-5376.95', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282855', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.764329', '0', '-0.644826', '128.632', '52', '-5403.58', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282856', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.999526', '0', '-0.030792', '128.827', '52', '-5402.52', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282857', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.962209', '0', '-0.272313', '130.029', '52', '-5402.74', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282858', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.68529', '0', '0.72827', '129.406', '52', '-5403.6', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282859', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.543835', '0', '0.839192', '82.2739', '52', '-5306.36', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282866', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '0.728817', '0', '-0.684708', '83.3274', '52', '-5307.44', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282872', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '-0.103844', '0.939125', '-0.033507', '-0.325788', '3812.09', '14.8834', '2385.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282873', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0.0823495', '-0.315608', '0.0855583', '0.94143', '3793.04', '11.1864', '2393.46', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282874', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0.131362', '-0.665923', '0.112513', '0.725693', '3793.53', '11.4658', '2392.7', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282875', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0.995881', '0', '0.0906716', '3792.47', '11.686', '2380.66', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282879', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '-0.219802', '0.947753', '-0.0482109', '-0.226111', '3811.04', '14.2188', '2390.56', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282880', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '-0.194691', '0.874729', '0.113796', '0.428946', '3810.43', '13.914', '2391.44', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282881', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.999978', '0', '0.0066761', '3826.39', '20', '2379.35', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282882', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.865531', '0', '-0.500855', '3826.38', '20', '2378.44', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282883', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0.888928', '0', '-0.458047', '3793.22', '8.39', '2325.76', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282886', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '0.514135', '0', '0.857709', '3790.5', '8.39', '2333.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282888', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.395483', '0', '0.918473', '3792.77', '8.39', '2327.03', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282893', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.650626', '0', '0.759398', '3794.36', '8.39', '2324.65', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282894', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.167613', '0', '0.985853', '3792.74', '8.39', '2324.64', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282895', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '3898.77', '33', '2340.74', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282896', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '-0.361615', '0', '0.932327', '3859.58', '28', '2347.66', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282897', '0', 'object/static/structure/tatooine/shared_streetsign_upright_style_01.iff', '0.024553', '0.709848', '-0.0457389', '-0.70244', '3761.67', '6.66431', '2372.05', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282898', '0', 'object/static/structure/tatooine/shared_streetsign_upright_style_01.iff', '0', '0', '0', '1', '3804.38', '11.1299', '2318.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282900', '0', 'object/static/structure/tatooine/shared_streetsign_upright_style_01.iff', '0', '0', '0', '1', '3985.73', '7.57922', '2509.5', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282901', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_2.iff', '0', '0', '0', '1', '3975.32', '7.96386', '2511.14', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282903', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.0349916', '0', '0.999388', '3984.09', '7.65816', '2504.43', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282904', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.0898781', '0', '0.995953', '3986.04', '7.65816', '2505.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282905', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.777072', '0', '-0.629412', '3985.24', '7.65816', '2504.3', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282906', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.741296', '0', '-0.671178', '3984.29', '7.65816', '2505.81', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282907', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.95209', '0', '-0.305817', '3985.22', '7.65816', '2505.8', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282908', '0', 'object/building/tatooine/shared_filler_building_slave_quarters_style_01.iff', '0', '0.430458', '0', '0.902611', '-2853.45', '5', '2537.97', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282909', '0', 'object/building/tatooine/shared_filler_building_slave_quarters_style_01.iff', '0', '0.912764', '0', '-0.408488', '-2874.67', '5', '2530.67', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282910', '0', 'object/building/tatooine/shared_filler_building_slave_quarters_style_01.iff', '0', '0.844161', '0', '-0.536089', '-2853.02', '5', '2495.87', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282911', '0', 'object/building/tatooine/shared_filler_building_slave_quarters_style_01.iff', '0', '0.501213', '0', '0.865324', '-2831.17', '5', '2509.09', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282912', '0', 'object/building/tatooine/shared_filler_building_slave_quarters_style_01.iff', '0', '0.724286', '0', '0.689499', '-2816.71', '5', '2439.75', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282913', '0', 'object/building/tatooine/shared_filler_building_slave_quarters_style_01.iff', '0', '0.651834', '0', '0.758362', '-2819.41', '5', '2475.17', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282914', '0', 'object/building/tatooine/shared_filler_building_slave_quarters_style_01.iff', '0', '0.777071', '0', '-0.629412', '-2841.17', '5', '2462.33', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282919', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '0', '-0.281158', '0', '0.959662', '-2846.17', '5', '2517.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282920', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '0', '0.966594', '0', '0.256312', '-2853.34', '5', '2513.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282923', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.285952', '0', '0.958244', '-2857.05', '5', '2513.2', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282924', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '0.531187', '0', '0.847255', '-2860.9', '5', '2510.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282926', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0.984865', '0', '0.173324', '-2865.47', '5', '2508.4', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282927', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-2840.63', '5', '2502.22', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282928', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-2829.16', '5', '2462.67', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282929', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-2865.95', '5', '2536.86', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282930', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '0.912764', '0', '-0.408487', '-2842.33', '5', '2521.76', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282931', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.995881', '0', '-0.0906711', '-2846.21', '5', '2521.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282932', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '0.912764', '0', '-0.408487', '-2872.25', '5', '2554.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282933', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0.897911', '0', '-0.440177', '-2869.87', '5', '2551.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282934', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.384808', '0', '0.922997', '-2865.9', '5', '2548.27', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282935', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.342898', '0', '0.939373', '-2885.63', '5', '2546.14', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282936', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '0', '-0.252246', '0', '0.967663', '-2857.27', '5', '2533.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282937', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '0', '0.980224', '0', '0.19789', '-2864.77', '5', '2529.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282938', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.227977', '0', '0.973666', '-2860.95', '5', '2532.16', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282940', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '-0.232843', '0', '0.972514', '-2860.44', '5', '2531.41', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282941', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.434966', '0', '0.900447', '-2849.16', '5', '2516', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282942', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '-0.338197', '0', '0.941075', '-2849.21', '5', '2516.13', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282943', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.434966', '0', '0.900447', '-2837.53', '5', '2487.08', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282944', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '-0.338197', '0', '0.941075', '-2837.58', '5', '2487.21', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282946', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '0', '-0.281158', '0', '0.959661', '-2834.31', '5', '2489.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282948', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.891207', '0', '-0.453597', '-2830.88', '5', '2491.44', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282949', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.947905', '0', '0.318554', '-2830.9', '5', '2491.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282951', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '0.974971', '0', '0.22233', '-2826.6', '5', '2493.62', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282952', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0.985719', '0', '0.168398', '-2826.81', '5', '2491.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282953', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0.792563', '0', '-0.609791', '-2826.2', '5', '2491.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282954', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '0.470627', '0', '0.882332', '-2841.09', '5', '2484.27', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282955', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '-0.157746', '0', '0.98748', '-2841.46', '5', '2481.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282957', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '-0.164251', '0', '0.986419', '-2842.41', '5', '2480.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282965', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '0', '0.0599632', '0', '0.998201', '-2825.27', '5', '2447.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282966', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.713863', '0', '0.700285', '-2828.77', '5', '2447.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282967', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0', '0', '1', '-2828.73', '5', '2447.96', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282969', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_01.iff', '0', '0.0499792', '0', '0.99875', '-2831.5', '4.39917', '2448.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282974', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '0.999415', '0', '0.0341958', '-2832.85', '5', '2442.41', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282976', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0.670405', '0', '0.741995', '-2831.78', '5', '2437.63', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282977', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '0.966184', '0', '-0.257853', '-2836.37', '5', '2431.28', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282978', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '0.728819', '0', '0.684707', '-2832.37', '5', '2433.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282979', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '-0.505533', '0', '0.862807', '-2833.11', '5', '2430.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282993', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '0', '0', '1', '-2834.18', '5', '2413.52', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282994', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-2832.96', '5', '2413.5', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282996', '0', 'object/static/structure/general/shared_debris_deathstar_turbolaser.iff', '-0.0872752', '0.0810945', '0.781251', '-0.612742', '-2843.73', '6.50335', '2429.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282997', '0', 'object/static/structure/general/shared_debris_deathstar_storage.iff', '0', '0', '0', '1', '-2872.9', '5', '2416.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282998', '0', 'object/static/structure/general/shared_debris_deathstar_small_tube.iff', '0', '0', '0', '1', '-2858.65', '5', '2417.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1282999', '0', 'object/static/structure/general/shared_debris_deathstar_small_chunk.iff', '0', '0', '0', '1', '-2857.12', '5', '2424.66', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283000', '0', 'object/static/structure/general/shared_debris_deathstar_large_tube.iff', '0', '0', '0', '1', '-2850.74', '5', '2424.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283001', '0', 'object/static/structure/general/shared_debris_deathstar_conduit.iff', '0', '-0.257081', '0', '0.96639', '-2864.05', '5', '2415.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283006', '0', 'object/static/structure/general/shared_debris_deathstar_small_tube.iff', '0', '0.807558', '0', '-0.589788', '-2859.6', '5', '2414.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283007', '0', 'object/static/structure/general/shared_debris_deathstar_small_tube.iff', '-0.0953269', '-0.214178', '-0.170731', '0.957022', '-2866.1', '4.99585', '2412.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283008', '0', 'object/static/structure/general/shared_debris_deathstar_small_tube.iff', '0', '0.129634', '0', '0.991562', '-2865.33', '5', '2420.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283010', '0', 'object/static/structure/general/shared_debris_deathstar_large_tube.iff', '0.881829', '-0.121664', '-0.0549026', '-0.452285', '-2849.27', '5.79372', '2424.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283011', '0', 'object/static/structure/general/shared_debris_deathstar_large_tube.iff', '0.744114', '-0.0916727', '-0.0678783', '-0.658242', '-2848.65', '5.1379', '2425.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283012', '0', 'object/static/structure/general/shared_debris_deathstar_large_tube.iff', '0', '0', '0', '1', '-2850.26', '5', '2424.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283013', '0', 'object/static/structure/general/shared_debris_deathstar_large_tube.iff', '0', '0', '0', '1', '-2850.44', '5.34785', '2424.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283014', '0', 'object/static/structure/general/shared_debris_deathstar_small_chunk.iff', '0', '0', '0', '1', '-2848.71', '5', '2422.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283015', '0', 'object/static/structure/general/shared_debris_deathstar_small_chunk.iff', '0', '0', '0', '1', '-2867.23', '5', '2418.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283016', '0', 'object/static/structure/general/shared_debris_deathstar_small_chunk.iff', '0', '0', '0', '1', '-2865.54', '5', '2447.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283017', '0', 'object/static/structure/general/shared_debris_deathstar_small_chunk.iff', '0', '0', '0', '1', '-2857.6', '5', '2402.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283018', '0', 'object/static/structure/general/shared_debris_deathstar_conduit.iff', '0', '0', '0', '1', '-2867.21', '5', '2402.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283019', '0', 'object/static/structure/general/shared_debris_deathstar_conduit.iff', '0.403962', '0.566597', '-0.457915', '-0.55326', '-2852.73', '6.51881', '2439.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283021', '0', 'object/static/structure/general/shared_debris_deathstar_turbolaser.iff', '0', '0', '0', '1', '-2846.79', '5', '2431.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283031', '0', 'object/static/structure/general/shared_debris_deathstar_tractorbeam.iff', '0', '-0.601198', '0', '0.7991', '-2860.55', '5', '2433.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283033', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '-2840.1', '5', '2395.54', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283034', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '-2870.11', '5', '2387.58', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283035', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0', '0', '1', '-2849.47', '5', '2391.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283036', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '-0.242556', '0', '0.970137', '-2828.11', '5', '2399.03', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283038', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0', '0', '1', '-2819.89', '5', '2418.14', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283039', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.42141', '0', '0.90687', '-2812.93', '5.94869', '2399.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283040', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '0', '0', '1', '-2818.84', '5', '2415.44', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283041', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '-0.242556', '0', '0.970137', '-2830.98', '5', '2390.3', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283044', '0', 'object/static/structure/tatooine/shared_debris_tatt_radar_dish.iff', '0.150655', '-0.385766', '-0.403088', '0.816093', '-2873.62', '4.80579', '2423.62', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283048', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '0.34759', '0', '0.937646', '-2834.22', '5', '2456.37', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283049', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0', '0', '1', '-2834.1', '5', '2457.05', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283050', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '-2822.73', '5', '2444.76', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283051', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '-2832.88', '5', '2448.24', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283053', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '-2821.71', '5', '2427.34', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283056', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '-2825.16', '5', '2476.52', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283058', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.40319', '0', '0.915116', '-2827.26', '5', '2490.52', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283060', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '-2834.78', '5', '2504.67', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283061', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '-2836.94', '5', '2508.33', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283062', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '-2849.13', '5', '2525.49', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283065', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '-2861.78', '5', '2539.77', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283067', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0', '0', '1', '-2879.89', '5', '2542.89', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283068', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.394019', '0', '0.919102', '-2871.84', '5', '2535.57', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283070', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '-2860.3', '5', '2522.33', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283071', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '-2854.37', '5', '2509.32', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283074', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0', '0', '1', '-2849.22', '5', '2499.95', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283075', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '-2845.12', '5', '2491.71', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283076', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.124675', '0', '0.992198', '-2840.29', '5', '2479.03', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283077', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.124675', '0', '0.992198', '-2836.5', '5', '2465.67', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283078', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0', '0', '1', '-2836.36', '5', '2466.49', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283079', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '0.42141', '0', '0.90687', '-2838.11', '5', '2472.76', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283080', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0', '0', '1', '-2825.6', '5', '2481.65', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283082', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '-0.227978', '0', '0.973666', '-2821.99', '5', '2462.48', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283083', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '-0.492535', '0', '0.870293', '-2839.64', '5', '2512.45', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283084', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '0', '0', '1', '-2848.44', '5', '2499.16', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283085', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '0', '0', '1', '-2850.44', '5', '2516.69', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283086', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '0', '0', '1', '-2855.86', '5', '2532.56', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283087', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0', '0', '1', '-2868.62', '5', '2548.79', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283088', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0', '0', '1', '-2883.79', '5', '2546.62', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283089', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '0.959885', '0', '0.280393', '-2868.57', '5', '2533.46', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283091', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '0.930799', '0', '0.365532', '-2862.83', '5', '2517.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283092', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0.94302', '0', '0.332737', '-2859.67', '5', '2520.37', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283095', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0', '0', '1', '-2862.77', '5', '2525.48', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283096', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.285952', '0', '0.958244', '-2867.63', '5', '2514.13', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283097', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '-0.356949', '0', '0.934124', '-2874.18', '5', '2519.58', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283098', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '-0.356949', '0', '0.934124', '-2885.26', '5', '2531.99', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283099', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '0.914795', '0', '-0.403919', '-2893.67', '5', '2541.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283100', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '-0.366273', '0', '0.930508', '-2890.92', '5', '2538.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283101', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '-0.366273', '0', '0.930507', '-2879.87', '5', '2526.42', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283102', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '-0.366273', '0', '0.930507', '-2868.87', '5', '2514.13', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283103', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '-0.198669', '0', '0.980067', '-2862.65', '5', '2500.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283104', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '-0.198669', '0', '0.980067', '-2856.2', '5', '2485.62', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283105', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '-0.208461', '0', '0.978031', '-2865.84', '5', '2509.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283106', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '-0.20846', '0', '0.978031', '-2859.36', '5', '2493.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283107', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '-0.20846', '0', '0.978031', '-2852.94', '5', '2478.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283108', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '-0.124674', '0', '0.992198', '-2847.09', '5', '2454.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283109', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '-0.114746', '0', '0.993395', '-2850.98', '5', '2470.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283110', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '-0.139544', '0', '0.990216', '-2845.66', '5', '2445.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283111', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '-0.134591', '0', '0.990901', '-2844.89', '5', '2446.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283112', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '-0.124675', '0', '0.992198', '-2848.94', '5', '2462.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283113', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.466209', '0', '0.884675', '-2846.07', '5', '2445.66', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283114', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.20846', '0', '0.978031', '-2854.2', '5', '2479.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283115', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.816314', '0', '-0.577609', '-2861.25', '5', '2492.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283118', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '-0.681639', '0', '0.731689', '-2867.96', '5', '2505.22', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283120', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0.700854', '0', '0.713305', '-2869.02', '5', '2492.04', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283121', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.877201', '0', '-0.480124', '-2868.45', '5', '2493.9', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283122', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '-0.685288', '0', '0.728272', '-2867.88', '5', '2490.55', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283124', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_meat_rack.iff', '0', '0.606454', '0', '0.795119', '-2866.04', '5', '2495.01', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283125', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '0', '0.857299', '0', '-0.514818', '-2866.76', '5', '2493.23', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283126', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.830497', '0', '-0.557023', '-2865.52', '5', '2502.69', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283127', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '-0.553453', '0', '0.83288', '-2866.05', '5', '2499.9', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283128', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '0.996738', '0', '-0.0807084', '-2865.76', '5', '2501.25', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283129', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '-0.257081', '0', '0.96639', '-2866.49', '4.99234', '2501.03', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283130', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.930799', '0', '0.365532', '-2922.65', '5', '2591.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283131', '0', 'object/static/structure/tatooine/shared_wall_gate_tatooine_style_01.iff', '0', '0.40776', '0', '0.913089', '-2910.65', '5', '2537.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283134', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '-0.361615', '0', '0.932327', '-2913.59', '5', '2536.27', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283137', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-2913.26', '5', '2580.67', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283139', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '-0.501213', '0', '0.865324', '-2923.18', '5', '2561.25', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283140', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0', '0', '1', '-2921.71', '5', '2587.28', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283142', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.338197', '0', '0.941075', '-2892.18', '5', '2597.22', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283143', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '-2915.43', '5', '2563.13', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283147', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '-2925.9', '5', '2579.18', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283149', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.0149994', '0', '0.999888', '-2903.64', '5', '2596.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283151', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '-2891.29', '5', '2596.6', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283154', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.0948575', '0', '0.995491', '-2902.56', '5', '2575.28', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283159', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '0.188859', '0', '0.982004', '-2909.59', '5', '2567.51', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283160', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0', '0', '1', '-2924.05', '5', '2563.89', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283161', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0', '0', '1', '-2919.06', '5', '2589.6', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283162', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0', '0', '1', '-2895.86', '5', '2579.39', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283164', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.870685', '0', '0.491841', '-2901.1', '5', '2508.3', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283168', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999816', '0', '0.0192025', '-2888.55', '5', '2492.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283169', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '0.999816', '0', '0.0192025', '-2895.49', '5', '2514.68', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283170', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.699715', '0', '0.714422', '-2884.12', '5', '2504.47', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283172', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '-0.552199', '0', '0.833712', '-2889.37', '5', '2510.39', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283176', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '0.978196', '0', '0.207683', '-2858.03', '5', '2476.34', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283178', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0', '0', '1', '-2869.39', '5', '2469.7', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283179', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '-2867.77', '5', '2465.81', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283181', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '-2859.07', '5', '2461.88', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283182', '0', 'object/static/installation/shared_mockup_mining_liquid_harvester_style_1.iff', '0', '0.408487', '0', '0.912764', '-2888.79', '5', '2527.89', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283183', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.944672', '0', '0.328017', '-2900.06', '2.80249', '2532.26', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283184', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.395482', '0', '0.918474', '-2894.12', '2.80249', '2525.85', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283185', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.94302', '0', '0.332736', '-2904.08', '2.80249', '2536.91', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283186', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '-0.342897', '0', '0.939373', '-2891.86', '2.80249', '2522.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283187', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.395482', '0', '0.918474', '-2889.14', '2.88509', '2519.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283188', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '0.939373', '0', '0.342897', '-2887.27', '2.88509', '2516.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283189', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '-0.374083', '0', '0.927395', '-2870.28', '5', '2514.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283190', '0', 'object/static/structure/general/shared_skeleton_ithorian_headandbody.iff', '-0.0222485', '0.555916', '-0.0332288', '0.830276', '-6276.51', '29.7018', '6015.87', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283191', '0', 'object/static/structure/general/shared_skeleton_ithorian_head.iff', '0.0706463', '0.111088', '-0.206455', '0.969559', '-6274.44', '29.7186', '6016.17', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283192', '0', 'object/static/structure/general/shared_skeleton_human_body.iff', '0', '0.747971', '0', '-0.663731', '-6275.53', '29.8758', '6017.87', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283193', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.747971', '0', '-0.663731', '-6275.25', '29.8798', '6017.9', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283194', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '-0.572868', '0', '0.819648', '-6274.28', '29.7767', '6016.87', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283195', '0', 'object/static/structure/general/shared_skeleton_bith_head.iff', '0', '-0.461779', '0', '0.886995', '-6274.46', '29.8346', '6017.36', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283196', '0', 'object/static/structure/general/shared_skeleton_bith_headandbody.iff', '-0.0866241', '-0.382725', '0.066796', '0.917364', '-6275.24', '29.7234', '6016.21', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283197', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0.556361', '0', '0.830941', '-2936.97', '5', '2497.64', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283199', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '0.375559', '0', '0.926798', '-2992.06', '5.82219', '2525.09', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283201', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '-0.609158', '0', '0.793049', '-2896.23', '5', '2470.41', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283202', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '0.00210109', '0.958901', '0.0214072', '-0.282925', '-2895.39', '6.35091', '2470.69', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283203', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_fruit_stand_large_style_01.iff', '0.0162852', '-0.380113', '-0.0116066', '0.924724', '-2894.1', '4.77305', '2472.96', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283206', '0', 'object/static/structure/general/shared_gravestone_generic_style_02.iff', '-0.13459', '0', '0', '0.990901', '-6195.27', '33.2892', '5107.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283207', '0', 'object/static/structure/general/shared_gravestone_generic_style_02.iff', '0.0699428', '0', '0', '0.997551', '-6193.88', '33.1517', '5107.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283208', '0', 'object/static/structure/general/shared_gravestone_generic_style_03.iff', '0.183834', '0.00643681', '-0.0343957', '0.982334', '-6194.25', '32.815', '5109.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283209', '0', 'object/static/structure/general/shared_gravestone_generic_style_04.iff', '0.159318', '0', '0', '0.987227', '-6195.32', '33.0215', '5109.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283211', '0', 'object/static/flora/shared_flora_tree_tato_touchnot.iff', '0.144305', '0.532816', '0.0300639', '0.833294', '-6197.48', '33.1184', '5109.34', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283214', '0', 'object/static/structure/tatooine/shared_wall_damaged_tatooine_large_style_01.iff', '0', '0.610419', '0', '0.792079', '-2803.05', '5', '2387.42', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283215', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '0', '0', '1', '-2860.39', '5', '2388.25', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283216', '0', 'object/static/terrain/tatooine/shared_rock_spire_smooth_tatooine_style_2.iff', '0', '0', '0', '1', '-5493.79', '135.844', '3635.89', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283217', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-2866.98', '5', '2383.8', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283219', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.232843', '0', '0.972514', '-2931.78', '5', '2493.8', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283220', '0', 'object/static/terrain/tatooine/shared_rock_spire_skinny_tatooine.iff', '0', '0', '0', '1', '-5533.89', '138.48', '3650.93', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283221', '0', 'object/static/structure/tatooine/shared_wall_damaged_tatooine_large_style_01.iff', '0', '0.949485', '0', '0.31381', '-2888.58', '3.51373', '2445.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283223', '0', 'object/static/structure/tatooine/shared_wall_damaged_tatooine_large_style_01.iff', '0', '-0.47433', '0', '0.880347', '-2872.33', '3.60848', '2455.44', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283228', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_large.iff', '0', '-0.208459', '0', '0.978031', '-2899.84', '4.98758', '2446.87', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283229', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.124672', '0', '0.992198', '-2895.21', '5.00124', '2445.07', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283231', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.819192', '0', '-0.57352', '-2897.25', '5.00124', '2444.36', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283232', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.613117', '0', '0.789992', '-2900.46', '5.00124', '2450.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283235', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.466208', '0', '0.884675', '-2900.14', '5.00124', '2448.12', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283251', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-2933.7', '5', '2443.02', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283252', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0.92896', '0', '0.370181', '-2951.24', '5', '2458.85', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283253', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '-2946.55', '5', '2471.18', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283257', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_09.iff', '0.00457571', '0.305024', '0.0142845', '0.952226', '-5300.07', '6.76653', '2695.73', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283259', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '-2946.13', '5', '2469.88', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283260', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0.891207', '0', '0.453596', '-2913.24', '4.49403', '2350.37', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283262', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-2913.05', '5', '2351.39', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283277', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_08.iff', '0', '0.902268', '0', '0.431177', '-5333.51', '6.57985', '2684.76', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283279', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '0.361615', '0', '0.932327', '-5265.82', '6.5149', '2670.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283280', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0', '0', '1', '-5262.47', '7.13467', '2667.37', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283281', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '-0.416871', '0', '0.908966', '-5265.41', '6.41075', '2663.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283282', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0.0125043', '-0.416684', '-0.0272649', '0.908557', '-5271.44', '6.7752', '2657.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283283', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0.0149903', '0.00262201', '-0.0348945', '0.999275', '-5268.5', '7.44723', '2660.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283284', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '-0.044985', '0', '0.998988', '-5274.33', '8.1005', '2653.79', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283287', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '-0.044985', '0', '0.998988', '-5287.6', '8.37829', '2664.77', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283288', '0', 'object/static/structure/tatooine/shared_wall_gate_tatooine_style_01.iff', '0.0149949', '-0.0249948', '0.000374949', '0.999575', '-5300.86', '7.58799', '2680.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283298', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0', '0', '1', '-5332.88', '6.20873', '2729.44', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283302', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.352275', '0', '0.935896', '-5318.94', '6.17881', '2742.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283303', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '0', '0.939099', '0', '0.343646', '-5313.61', '5.87242', '2741.07', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283304', '0', 'object/static/structure/tatooine/shared_wall_gate_tatooine_style_01.iff', '0.0360083', '-0.434617', '0.017394', '0.899727', '-5287.82', '8.22372', '2690.66', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283305', '0', 'object/static/installation/shared_mockup_mining_ore_harvester_style_1.iff', '0', '-0.0299956', '0', '0.99955', '-5275.25', '8.94559', '2666.64', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283306', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.505533', '0', '0.862807', '-5277.99', '9.09581', '2675.65', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283307', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.505533', '0', '0.862807', '-5280.24', '9.12585', '2673.66', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283308', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0.0586983', '0.0853368', '0.00483633', '0.99461', '-5280.73', '9.09034', '2675.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283309', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.505533', '0', '0.862807', '-5279.78', '9.1633', '2677.25', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283310', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.505533', '0', '0.862807', '-5277.98', '9.11112', '2677.46', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283311', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0.505533', '0', '0.862807', '-5282.33', '8.7871', '2677.61', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283314', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '0', '0', '1', '-5294.86', '8.50897', '2674.63', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283315', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0.0420214', '-0.356588', '0.0160573', '0.933178', '-5286.73', '8.91248', '2683.58', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283317', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0.0249772', '0.000999626', '0.0399768', '0.998888', '-5286.96', '8.89998', '2683.89', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283318', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '-0.0341834', '0.95443', '-0.026064', '-0.295323', '-5286.76', '8.8527', '2685.59', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283319', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0.0849005', '-0.621536', '-0.0027228', '0.778766', '-5285.47', '8.96798', '2683.43', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283320', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '-0.053793', '0.98397', '0.0268817', '0.167887', '-5286.44', '8.98904', '2681.53', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283321', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '-0.053793', '0.98397', '0.0268817', '0.167887', '-5284.49', '9.04778', '2683.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283323', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '0.804599', '0', '0.593818', '-2939.43', '5', '2394.32', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283324', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0.80162', '0', '-0.597834', '-2939.4', '5', '2393.12', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283327', '0', 'object/static/structure/general/shared_debris_deathstar_small_chunk.iff', '0', '-0.585097', '0', '0.810963', '-2880.87', '5', '2400.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283328', '0', 'object/static/structure/general/shared_debris_deathstar_small_chunk.iff', '0', '0.770739', '0', '0.637151', '-2888.7', '5', '2408.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283839', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-2970.35', '5', '2409.71', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283840', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0', '0', '1', '-2951.22', '5', '2408.27', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283842', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.601198', '0', '0.7991', '-2932.29', '5', '2388.84', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283843', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.564642', '0', '0.825336', '-2933.32', '5', '2388.48', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283844', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0', '0', '1', '-2926.25', '5', '2405.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283850', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '0.994576', '0', '0.104015', '-2902.53', '5', '2359.34', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283851', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.862403', '0', '-0.506223', '-2901.17', '5', '2360.31', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283852', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_meat_rack.iff', '0', '0.981853', '0', '-0.189641', '-2902.64', '5', '2364.69', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283854', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.862404', '0', '-0.506222', '-2897.03', '5', '2347.4', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283855', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '0.00291359', '0.995689', '-0.00347099', '0.0926491', '-2897.56', '6.64214', '2347.97', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283856', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_fruit_stand_large_style_01.iff', '0.0107339', '-0.699573', '-0.0168729', '0.714282', '-2898.27', '5', '2350.5', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283866', '0', 'object/static/structure/general/shared_debris_deathstar_conduit.iff', '0', '0.0998331', '0', '0.995004', '-2878.27', '5', '2337.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283867', '0', 'object/static/structure/general/shared_debris_deathstar_small_chunk.iff', '0', '0', '0', '1', '-2875.61', '5', '2339.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283868', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '-2851.62', '5', '2329.83', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283872', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0.999667', '0', '0.0257936', '-2858.53', '5', '2328.07', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283874', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '0.789504', '0', '0.613746', '-2824.24', '5', '2335.33', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283876', '0', 'object/static/structure/general/shared_debris_deathstar_small_tube.iff', '0', '-0.281157', '0', '0.959662', '-2805.23', '5', '2342.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283877', '0', 'object/static/structure/general/shared_debris_deathstar_small_tube.iff', '0', '0', '0', '1', '-2803.72', '5', '2338.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283878', '0', 'object/static/structure/general/shared_debris_deathstar_large_tube.iff', '0', '0', '0', '1', '-2805.56', '5', '2341.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283879', '0', 'object/static/structure/general/shared_debris_deathstar_conduit.iff', '0', '0', '0', '1', '-2811.46', '5', '2341.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283931', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.991458', '0', '-0.130424', '-2758.24', '5', '2293.87', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283932', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.92388', '0', '-0.382683', '-2759.44', '5', '2295.33', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283933', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '0', '0', '1', '-2759.51', '5', '2293.95', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283934', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0.942489', '0', '0.334238', '-2758.83', '4.99234', '2294.28', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283936', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.613746', '0', '0.789504', '-2782.75', '5', '2278.58', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283940', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '0', '-0.115538', '0', '0.993303', '-2780.71', '5', '2279.23', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283941', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '-0.253015', '0', '0.967462', '-2781.09', '5', '2281.48', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283942', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.568106', '0', '0.822955', '-2781.95', '5', '2282.43', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283943', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_meat_rack.iff', '0', '0.947651', '0', '0.319308', '-2780.3', '5', '2277.84', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283944', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_fruit_stand_large_style_01.iff', '0', '0.802571', '0', '-0.596557', '-2761.2', '5', '2300.76', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283945', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0.589145', '0', '0.808028', '-2769.41', '5', '2317.9', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283946', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0.589145', '0', '0.808028', '-2772.15', '5', '2322.03', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283947', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.734548', '0', '0.678557', '-2771.92', '5', '2317.76', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283948', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.783327', '0', '-0.62161', '-2770.84', '5', '2321.04', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283949', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.114746', '0', '0.993395', '-2770.05', '5', '2316.17', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283950', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.983986', '0', '-0.178246', '-2768.96', '5', '2319.71', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283951', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.877964', '0', '-0.478727', '-2771.77', '5', '2323.56', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283952', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '0', '-0.129634', '0', '0.991562', '-2770.94', '5', '2319.67', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283953', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0', '0', '1', '-2765.33', '5', '2311.57', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283954', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0', '0', '1', '-2786.15', '5', '2344.12', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283955', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0', '0', '1', '-2762.18', '5', '2202.82', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283956', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '0', '0', '1', '-2729.02', '5', '2219.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283958', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '0', '0', '1', '-2685.96', '5', '2243.94', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283959', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '0', '0', '1', '-2779.03', '5', '2143.67', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283960', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0.932039', '0', '-0.362358', '-2780.61', '5', '2153.32', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283961', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0.0162124', '0.934502', '-0.132427', '-0.330009', '-2754.01', '4.56915', '2174.24', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283971', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0.266731', '0', '0.963771', '-2804.68', '4.82972', '2229.1', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283974', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.659383', '0', '0.751808', '-2803.16', '5.96814', '2233.49', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283975', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.333487', '0', '0.942755', '-2798.83', '4.82972', '2238.49', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283976', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.328771', '0', '0.94441', '-2800.31', '4.80663', '2237.29', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283979', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '0', '0.155949', '0', '0.987765', '-2801.86', '4.92211', '2236.07', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283980', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '-0.328771', '0', '0.94441', '-2800.23', '5', '2238.58', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283981', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.659383', '0', '0.751808', '-2803.24', '4.82972', '2232.98', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283982', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.659383', '0', '0.751808', '-2803.31', '4.82972', '2234.04', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283984', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '-0.434966', '0', '0.900447', '-2804.8', '5', '2227.66', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283985', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '-0.665452', '0', '0.746441', '-2804.25', '5', '2230.44', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283986', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '0.0848976', '0', '0.99639', '-2804.56', '5', '2229.1', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283987', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '-2853.72', '5', '2191.18', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283988', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '-2854.51', '5', '2194.27', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283989', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '-2855.59', '5', '2193.9', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283990', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '-2855.67', '5', '2191.94', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283991', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '-2855.07', '5', '2190.88', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283992', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '-0.069943', '0', '0.997551', '-2854.78', '5', '2192.68', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283993', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.913413', '0', '0.407033', '-2812.55', '5', '2196.48', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283994', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.899444', '0', '0.437037', '-2814.3', '5', '2194.68', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283995', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '0.824886', '0', '-0.565299', '-2812.99', '5', '2195.1', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1283996', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0.257081', '0', '0.96639', '-2812.43', '4.99234', '2195.09', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284003', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '0.80162', '0', '-0.597834', '-2815.62', '5', '2170.7', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284004', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0.0549723', '0', '0.998488', '-2815.02', '5', '2142.95', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284006', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '0', '0.472027', '0', '0.881584', '-2844.4', '5.09239', '2196.78', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284007', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '-2846.66', '4.9769', '2195.6', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284008', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.375559', '0', '0.926799', '-2845.12', '4.9769', '2195.16', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284009', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0', '0', '1', '-2842.93', '4.9769', '2198.05', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284010', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0', '0', '1', '-2842.52', '4.9769', '2197.43', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284011', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '-2843.44', '5', '2195.23', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284012', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '-2842.35', '5', '2195.6', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284013', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '-2843.77', '5', '2196.06', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284014', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '-2842.69', '5', '2196.43', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284015', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.824886', '0', '-0.565299', '-2812.16', '5', '2196.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284016', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.338197', '0', '0.941075', '-2812.16', '5', '2192.97', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284017', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '-2843.92', '5', '2197.57', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284018', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '-2854.57', '5', '2193.39', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284019', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0.999232', '0', '0.0391936', '-2783.7', '5', '2177.4', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284020', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '-0.224452', '0.969823', '0.0773197', '-0.055546', '-2755.73', '4.31964', '2180.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284022', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.169182', '0', '0.985585', '-2783.72', '5', '2143.21', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284023', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '-2781.69', '5', '2143.62', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284026', '0', 'object/static/structure/general/shared_debris_deathstar_small_tube.iff', '0', '-0.324043', '0', '0.946042', '-2807.28', '5', '2226.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284027', '0', 'object/static/structure/general/shared_debris_deathstar_small_tube.iff', '0', '-0.552199', '0', '0.833712', '-2807.4', '5', '2228.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284028', '0', 'object/static/structure/general/shared_debris_deathstar_small_tube.iff', '0', '-0.324043', '0', '0.946042', '-2806.69', '5', '2229.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284029', '0', 'object/static/structure/general/shared_debris_deathstar_conduit.iff', '0', '0', '0', '1', '-2847.04', '5', '2177.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284030', '0', 'object/static/structure/general/shared_debris_deathstar_large_tube.iff', '0', '0', '0', '1', '-2748.43', '5', '2122.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284032', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '0', '0', '1', '-2747.21', '5', '2121.48', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284033', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0', '0', '1', '-2759.31', '5', '2148.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284034', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0', '0', '1', '-2721.7', '5', '2093.79', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284035', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '0.836026', '0', '-0.54869', '-2727.95', '5', '2098.21', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284036', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '-0.655618', '0', '0.755093', '-2722.01', '5', '2075.55', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284038', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '-0.29552', '0', '0.955337', '-2883.95', '5', '2175.44', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284039', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.995707', '0', '-0.092566', '-2885.48', '5', '2177.82', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284040', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '-0.29552', '0', '0.955337', '-2884.77', '5', '2176.64', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284041', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_meat_rack.iff', '0', '0.891432', '0', '-0.453154', '-2883.48', '5', '2177.84', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284049', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '-0.0799147', '0', '0.996802', '-2929.01', '5', '2157.02', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284050', '0', 'object/static/structure/tatooine/shared_streetsign_upright_style_01.iff', '0', '0.20846', '0', '0.978031', '-2929.25', '5', '2111.85', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284052', '0', 'object/static/structure/tatooine/shared_streetsign_upright_style_01.iff', '0', '-0.421409', '0', '0.90687', '-2923.77', '5', '2169.71', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284053', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '-2931.12', '5', '2113.88', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284054', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '-2933.87', '5', '2118.51', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284055', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.535416', '0', '0.844589', '-2932.49', '5', '2114.69', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284056', '0', 'object/static/structure/general/shared_debris_deathstar_small_chunk.iff', '0', '0', '0', '1', '-2913.25', '5', '2104.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284057', '0', 'object/static/structure/general/shared_debris_deathstar_conduit.iff', '0', '0.439462', '0', '0.898261', '-2909.79', '5', '2106.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284058', '0', 'object/static/structure/general/shared_debris_deathstar_small_tube.iff', '0', '0', '0', '1', '-2913.57', '5', '2107.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284059', '0', 'object/static/structure/general/shared_debris_deathstar_small_tube.iff', '0', '-0.42141', '0', '0.90687', '-2911.89', '5', '2105.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284060', '0', 'object/static/structure/general/shared_debris_deathstar_large_tube.iff', '0', '-0.119712', '0', '0.992809', '-2910.56', '5', '2110.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284062', '0', 'object/static/structure/tatooine/shared_streetsign_upright_style_01.iff', '0', '-0.237703', '0', '0.971338', '-2973.19', '5', '2108.72', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284063', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '0', '0', '1', '-2977.51', '5', '2093.53', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284065', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0', '0', '1', '-2989.78', '5', '2078.35', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284066', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '0.324043', '0', '0.946042', '-2990.85', '5', '2079.46', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284067', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '0.767543', '0', '0.640997', '-2988.9', '5', '2078.95', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284068', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '0', '0', '1', '-2986.5', '5', '2053.54', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284069', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0', '0', '1', '-2992.95', '5', '2061.55', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284070', '0', 'object/static/structure/tatooine/shared_debris_tatt_radar_dish.iff', '0.161841', '-0.220509', '-0.379924', '0.883652', '-2982.05', '1.98727', '2055.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284071', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0', '0', '1', '-2984.3', '5', '2056.16', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284072', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '-2982.66', '5', '2056.33', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284073', '0', 'object/static/structure/general/shared_debris_deathstar_large_tube.iff', '-0.394492', '0.0374747', '0.183183', '0.899675', '-2986.43', '5', '2061.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284074', '0', 'object/static/structure/general/shared_debris_deathstar_large_tube.iff', '-0.131581', '0.844498', '0.419234', '0.30619', '-2987.16', '5', '2064.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284075', '0', 'object/static/structure/general/shared_debris_deathstar_large_tube.iff', '0.398625', '0.425307', '0.062249', '0.810147', '-2985.07', '5', '2063.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284076', '0', 'object/static/structure/general/shared_debris_deathstar_conduit.iff', '0', '0', '0.804599', '0.593818', '-2985.74', '5', '2063.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284077', '0', 'object/static/structure/tatooine/shared_streetsign_upright_style_01.iff', '0', '-0.257081', '0', '0.96639', '-2927.46', '5', '2026.94', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284078', '0', 'object/static/structure/general/shared_debris_deathstar_large_tube.iff', '0.0222418', '0.679998', '0.370253', '0.632473', '-2913.41', '5', '2097.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284079', '0', 'object/static/structure/general/shared_debris_deathstar_conduit.iff', '0.0630816', '-0.523154', '-0.101743', '0.843788', '-2912.64', '5', '2093.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284080', '0', 'object/static/structure/general/shared_debris_deathstar_small_chunk.iff', '-0.101376', '0.840742', '0.0636702', '-0.528036', '-2918.13', '5', '2093.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284081', '0', 'object/static/structure/general/shared_debris_deathstar_small_tube.iff', '-0.496243', '0.56508', '-0.249543', '-0.610045', '-2914.74', '5', '2092.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284082', '0', 'object/static/structure/general/shared_debris_deathstar_small_tube.iff', '-0.0425619', '0.877283', '0.36847', '0.304618', '-2916.42', '5', '2095.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284083', '0', 'object/static/structure/general/shared_debris_deathstar_large_tube.iff', '0', '0', '0', '1', '-2911.87', '5', '2090.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284084', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0.724287', '0', '-0.689499', '-2945.65', '5', '2106.42', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284087', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '-2959.65', '5', '2022.14', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284089', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0.827702', '0', '0.561168', '-2944.3', '5', '2011.51', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284091', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '0', '0', '1', '-2952.56', '5', '2028.68', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284092', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '-0.227978', '0', '0.973666', '-2931.23', '5', '2062.31', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284093', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '-0.266731', '0', '0.963771', '-2932.52', '5', '2063.82', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284094', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-2931.76', '5', '2063.03', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284095', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0.361615', '0', '0.932327', '-2966.75', '5', '2054.07', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284096', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0.900793', '0', '0.434248', '-2968.6', '5', '2035.37', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284097', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '0.854714', '0', '-0.519099', '-2876.65', '5', '2009.96', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284098', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '-0.0299955', '0', '0.99955', '-2881.26', '5', '1934.62', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284099', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0', '0', '1', '-2931.33', '5', '1963', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284100', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0', '0', '1', '-2810.31', '5', '1945.22', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284101', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0', '0', '1', '-2816.13', '5', '1937.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284102', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0', '0', '1', '-2829.69', '5', '1919.93', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284103', '0', 'object/static/structure/tatooine/shared_streetsign_upright_style_01.iff', '0', '0.786425', '0', '-0.617686', '-2802.11', '5', '1962.98', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284105', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.522687', '0', '0.852525', '-2834.77', '5', '1922.96', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284106', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '-2837.25', '5', '1922.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284109', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '0', '0', '1', '-2820.1', '5', '1886.18', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284110', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0', '0', '1', '-2815.26', '5', '1875.55', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284111', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '0.947396', '0', '-0.320063', '-2788.15', '5', '1897.44', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284112', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0.990794', '0', '-0.135379', '-2782.03', '5', '1900.87', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284113', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0', '0', '1', '-2847.66', '5', '1970.73', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284114', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '0.928369', '0', '-0.37166', '-2831.74', '5', '1973.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284115', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '0', '0', '1', '-2959.32', '5', '1966.44', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284116', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '0.849481', '0', '0.52762', '-2963.41', '5', '1981.27', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284117', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0', '0', '1', '-2999.24', '5', '1975.62', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284118', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0', '0', '1', '-2998.96', '5', '1974.65', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284119', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0', '0', '1', '-2980.48', '5', '1995.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284120', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '-0.124675', '0', '0.992198', '-2977.93', '5', '1942.25', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284121', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '-0.124675', '0', '0.992198', '-2968.71', '5', '1949.34', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284122', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '-0.124675', '0', '0.992198', '-2989.08', '5', '1988.17', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284123', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '0', '0', '1', '-2966.23', '5', '1965.51', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284124', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '0', '0', '1', '-2975.14', '5', '1962.77', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284125', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '0', '0', '1', '-2978.71', '5', '1961.58', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284126', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '0', '0', '1', '-2987.63', '5', '1959.22', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284127', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '0.984865', '0', '0.173324', '-2991.31', '5', '1972.79', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284128', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '0.984865', '0', '0.173324', '-2982.72', '5', '1975.18', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284129', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '0.984865', '0', '0.173324', '-2978.87', '5', '1976.31', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284130', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '0.984865', '0', '0.173324', '-2970.08', '5', '1978.8', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284134', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.108987', '0', '0.994043', '-2878.14', '5', '1969.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284136', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.113957', '0', '0.993486', '-2869.6', '5', '1970.87', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284137', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '-0.108987', '0', '0.994043', '-2878.74', '4.74465', '1970.86', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284138', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.108987', '0', '0.994043', '-2879.11', '5', '1973.73', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284141', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.108987', '0', '0.994043', '-2883.8', '5', '1997.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284143', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.113957', '0', '0.993486', '-2875.4', '5', '1999.72', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284144', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.994043', '0', '0.108987', '-2883.89', '4.74465', '1994.89', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284145', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.994043', '0', '0.108987', '-2883.52', '5', '1992.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284146', '0', 'object/static/structure/tatooine/shared_guild_ball_free_style_01.iff', '0', '-0.114746', '0', '0.993395', '-2881.16', '5', '1970.41', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284147', '0', 'object/static/structure/tatooine/shared_guild_ball_free_style_01.iff', '0', '-0.119712', '0', '0.992809', '-2886.03', '5', '1994.32', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284148', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '0.786425', '0', '0.617686', '-2959.73', '5', '1996.03', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284149', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '0.692538', '0', '0.721382', '-2953.04', '5', '1998.23', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1284151', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '0', '0', '1', '-2942.45', '5', '1960.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1288839', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0', '0', '1', '-2975.62', '5', '2125.42', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1288840', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0.849481', '0', '-0.52762', '-2994.27', '5', '2125.97', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1288843', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.285952', '0', '0.958244', '-2961.98', '6.29654', '2021.09', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1288844', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '0.183946', '0', '0.982936', '-3006.55', '5', '2105.46', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1288845', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0', '0', '1', '-3022.14', '5', '2113.63', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1288847', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '-0.300293', '0', '0.953847', '-3027.28', '4.1212', '2102.65', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1288848', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '-0.300293', '0', '0.953847', '-3028.28', '3.29103', '2102.94', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1288849', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '-0.149438', '0', '0.988771', '-3043.06', '5', '2103.07', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1288852', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-3097.85', '5', '2121.8', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1288854', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0.906534', '0', '0.422132', '-3031.7', '4.27267', '2171.79', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1288856', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-3031.38', '5', '2172.75', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1288857', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '-0.183947', '0', '0.982936', '-3036.16', '5', '2190.36', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1288858', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-3064.81', '5', '2246.67', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1288859', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-3147.06', '5', '2147.82', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1288860', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.98889', '0', '0.148651', '-3088.8', '5', '2169.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1288861', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.989621', '0', '0.143705', '-3057.98', '5', '2178.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1288862', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.98889', '0', '0.148651', '-3064.99', '5', '2197.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1288863', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.98889', '0', '0.148651', '-3061.27', '5', '2198.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1288864', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.991665', '0', '0.128845', '-3097.75', '5', '2188.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1288865', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.991665', '0', '0.128845', '-3094.38', '5', '2189.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1288866', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0.605186', '0', '0.796084', '-3105.28', '5', '2134.4', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1288867', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '0.0848976', '0', '0.99639', '-3118.44', '5', '2189.71', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1288871', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '-0.129634', '0', '0.991562', '-3059.53', '5', '2108.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1288872', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.798621', '0', '-0.601834', '-3053.85', '5', '2100.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1288873', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '0.598471', '0', '0.801144', '-3081.58', '5', '2092.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1288874', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '-0.133013', '0', '0.991114', '-3080.98', '5', '2102.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1288875', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '-0.15438', '0', '0.988011', '-3053.73', '7.44541', '2081.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1288876', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0', '-0.149439', '0', '0.988771', '-3072.36', '7.44541', '2076.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1288879', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0', '0', '1', '-3086.09', '5', '2085.21', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1288882', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '0.466208', '0', '0.884675', '-3093.27', '5', '2107.06', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1288887', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0', '0', '1', '-3033.89', '5', '2247.06', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1288888', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0.999784', '0', '0.0207949', '-3029.63', '5', '2247.43', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1288890', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0.830497', '0', '-0.557023', '-3045.25', '5', '2244.94', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1288891', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0', '0', '1', '-3055.7', '5', '2252.59', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1288892', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0', '0', '1', '-2998.59', '5', '2253.64', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1288893', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '-0.15438', '0', '0.988012', '-2997.51', '5', '2252.52', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1288894', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.717356', '0', '0.696707', '-2998.72', '5', '2252.86', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1288895', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.475032', '0', '0.879969', '-2997.83', '5', '2251.84', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1288896', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0.962208', '0', '-0.272314', '-2995.9', '5', '2250.74', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1288897', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '-2999.98', '5', '2254.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1288898', '0', 'object/static/structure/general/shared_debris_deathstar_tractorbeam.iff', '0.390014', '-0.192014', '-0.187345', '0.880864', '-2974.03', '5', '2204.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1288899', '0', 'object/static/structure/general/shared_debris_deathstar_small_chunk.iff', '0', '0', '0', '1', '-2973.26', '5', '2208.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1288900', '0', 'object/static/structure/tatooine/shared_debris_tatt_radar_dish.iff', '0.0578027', '-0.304323', '-0.179793', '0.93366', '-2976.08', '4.96454', '2193.06', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1288903', '0', 'object/static/item/shared_item_katana.iff', '0.465339', '0.0344337', '0.883973', '-0.0294384', '-2962.05', '6.64439', '2021.11', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1288905', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.285952', '0', '0.958244', '-2965.05', '6.32816', '2019.08', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1288906', '0', 'object/static/item/shared_item_katana.iff', '0.883973', '0.029438', '-0.465339', '0.034434', '-2965.09', '6.67601', '2019.13', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1288907', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.988134', '0', '0.153593', '-2970.67', '6.89737', '2034.52', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1288909', '0', 'object/static/item/shared_item_ryyk_blade.iff', '0.696326', '0.297717', '-0.513054', '0.404067', '-2970.95', '7.15035', '2034.38', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1288910', '0', 'object/static/item/shared_item_ryyk_blade.iff', '0.531308', '-0.357985', '0.721102', '0.263763', '-2970.36', '7.2136', '2034.55', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1288911', '0', 'object/static/item/shared_item_ryyk_blade.iff', '0.696326', '0.297717', '-0.513054', '0.404067', '-2974.43', '7.15036', '2033.33', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1288912', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.988134', '0', '0.153593', '-2974.15', '6.89737', '2033.47', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1288913', '0', 'object/static/item/shared_item_ryyk_blade.iff', '0.531308', '-0.357985', '0.721102', '0.263763', '-2973.83', '7.2136', '2033.5', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1288914', '0', 'object/static/item/shared_item_vibroaxe.iff', '0.934217', '0.0899782', '0.306247', '0.159236', '-2933.27', '5.91726', '2383.73', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1288915', '0', 'object/static/item/shared_item_vibroaxe.iff', '-0.115188', '-0.316263', '0.941088', '-0.0325992', '-2932.3', '6.60276', '2381.74', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1288916', '0', 'object/static/item/shared_item_vibroaxe.iff', '0.956629', '-0.0375669', '0.113665', '0.265575', '-2932.31', '6.59111', '2381.8', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1288917', '0', 'object/static/item/shared_item_slave_brazier.iff', '0.0744266', '-0.0806967', '-0.673874', '0.730645', '-2932.81', '6.60164', '2381.65', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1288918', '0', 'object/static/item/shared_item_cage_bamboo.iff', '0', '-0.572867', '0', '0.819648', '-2991.98', '6.5179', '2526.25', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1288919', '0', 'object/static/creature/shared_tatooine_worrt.iff', '0', '0', '0', '1', '-2991.9', '6.61276', '2526.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289839', '0', 'object/static/structure/general/shared_debris_deathstar_conduit.iff', '-0.0361195', '0.0805886', '-0.653546', '0.751717', '-2978.98', '6.96596', '2269.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289840', '0', 'object/static/structure/general/shared_debris_deathstar_small_chunk.iff', '0', '0', '0', '1', '-2977.63', '5', '2267.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289841', '0', 'object/static/structure/general/shared_debris_deathstar_small_tube.iff', '0', '-0.509841', '0', '0.860269', '-2976.31', '5', '2266.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289842', '0', 'object/static/structure/general/shared_debris_deathstar_small_tube.iff', '0', '0', '0', '1', '-2969.1', '5', '2273.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289843', '0', 'object/static/structure/general/shared_debris_deathstar_large_tube.iff', '0', '0.548024', '0', '0.836463', '-2973.32', '5', '2270.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289844', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '0.727726', '0', '0.685868', '-2976.57', '5', '2269.89', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289845', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '0.999784', '0', '-0.0207949', '-2962.93', '5', '2280.03', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289848', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0.969944', '0', '0.243329', '-2931.94', '5', '2303.67', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289849', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.585097', '0', '0.810963', '-2947.85', '5', '2276.52', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289850', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.585097', '0', '0.810963', '-2948.57', '5', '2275.62', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289851', '0', 'object/static/structure/tatooine/shared_streetsign_upright_style_01.iff', '0', '0.0948575', '0', '0.995491', '-2942.64', '5', '2281.65', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289853', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '-0.40319', '0', '0.915116', '-2958.68', '3.41886', '2255.16', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289854', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-2957.88', '5', '2254.41', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289856', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '0.792563', '0', '-0.60979', '-2922.16', '5', '2230.94', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289857', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0.144492', '0', '0.989506', '-2921.94', '5', '2232.96', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289858', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0.930799', '0', '0.365531', '-2919.33', '5', '2198.57', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289859', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.47433', '0', '0.880347', '-2903.5', '5', '2296.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289860', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.287083', '0', '0.957906', '-2903.46', '5', '2294.89', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289861', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-2905.51', '5', '2295.26', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289862', '0', 'object/static/structure/general/shared_debris_deathstar_small_chunk.iff', '0', '0', '0', '1', '-2903.39', '5', '2298.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289863', '0', 'object/static/structure/general/shared_debris_deathstar_large_tube.iff', '0', '0', '0', '1', '-2904.64', '5', '2299.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289868', '0', 'object/static/structure/tatooine/shared_streetsign_upright_style_01.iff', '0', '0.257081', '0', '0.96639', '-2918.99', '5', '2321.82', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289870', '0', 'object/static/structure/tatooine/shared_streetsign_upright_style_01.iff', '0', '-0.696136', '0', '0.71791', '-2885.84', '5', '2323.02', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289873', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0.805544', '0', '0.592536', '-2919.49', '5', '2338.56', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289874', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '-0.169182', '0', '0.985585', '-3000.85', '5', '2283.02', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289875', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '0.734548', '0', '-0.678557', '-2947.73', '5', '2316.04', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289876', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0', '0', '1', '-2956.11', '5', '2296.76', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289877', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '-0.430458', '0', '0.902611', '-2954.73', '5', '2296.75', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289878', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '-0.40319', '0', '0.915116', '-2955.39', '3.18851', '2297.45', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289879', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0.232843', '0', '0.972514', '-2964.15', '5', '2291.31', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289880', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0', '0', '1', '-2979.99', '5', '2302.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289881', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '-2977.18', '5', '2301.02', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289882', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '0', '0', '1', '-3019.87', '5', '2281.46', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289883', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '-3011.02', '5', '2281.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289884', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0', '0', '1', '-3014.76', '5', '2282.28', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289885', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '0', '0', '1', '-3035.72', '5', '2306.43', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289886', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '0.568762', '0', '0.822502', '-3044.81', '5', '2331.55', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289887', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '0.461779', '0', '0.886995', '-3043.7', '3.82995', '2331.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289888', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '-0.648034', '0', '0.761611', '-3044.14', '5', '2332.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289889', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '0.324043', '0', '0.946042', '-3032.85', '5', '2324.37', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289890', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0', '0', '1', '-3037.75', '5', '2345.38', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289891', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '-3038.66', '5', '2346.13', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289892', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-3043.38', '5', '2363.04', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289894', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0.926499', '0', '-0.376297', '-3069.56', '5', '2345.85', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289895', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '0.965301', '0', '0.261141', '-3017.51', '5', '2376.24', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289896', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0', '0', '1', '-2998.63', '5', '2381.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289897', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0', '0', '1', '-2983.88', '5', '2384.25', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289898', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0.977865', '0', '-0.209239', '-2972.91', '5', '2389.41', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289899', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-2966', '5', '2389.81', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289900', '0', 'object/static/installation/shared_mockup_mining_gas_harvester_style_1.iff', '0', '0.605187', '0', '0.796084', '-3076.34', '5', '2294.7', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289901', '0', 'object/static/installation/shared_mockup_mining_liquid_harvester_style_1.iff', '0', '-0.133801', '0', '0.991008', '-3128.92', '5', '2279.3', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289902', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-3130.94', '5', '2237.42', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289903', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-3048.29', '5', '2299.96', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289904', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-3092.59', '5', '2319.98', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289905', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-3135.53', '5', '2297.92', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289908', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '-3153.43', '5', '2292.76', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289910', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '0.828595', '0', '0.559849', '-3151.45', '5', '2301.66', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289911', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '0.648034', '0', '0.761612', '-3132.61', '5', '2305.85', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289912', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0.581035', '0', '0.813878', '-3143.78', '5', '2264.43', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289914', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '-3111.95', '5', '2254.69', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289915', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0', '0', '1', '-3101.87', '5', '2259.37', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289916', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0', '0', '1', '-3096.31', '5', '2260.66', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289917', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '0', '0', '1', '-3075.4', '5', '2261.12', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289918', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-3035.26', '5', '2264.8', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289922', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '-3096.28', '5', '2318.03', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289923', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '-3122.78', '5', '2311.68', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289924', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '-3102.42', '5', '2315.5', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289925', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0', '0', '1', '-3099.67', '5', '2316.55', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289926', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.398609', '0', '0.917121', '-3100.82', '5', '2316.25', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289927', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0', '0', '1', '-3079.71', '5', '2326.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289928', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '0.998444', '0', '-0.0557673', '-3076.55', '5', '2326.4', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289929', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '0.967462', '0', '-0.253016', '-3065.49', '3.4821', '2321.68', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289930', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '0.888928', '0', '-0.458047', '-3066.55', '5', '2323.22', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289931', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0.849481', '0', '-0.52762', '-3064.35', '5', '2320.32', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289932', '0', 'object/building/military/shared_military_base_shed_imperial_style_01.iff', '0', '0.00437247', '0', '0.99999', '-5307.39', '8.46101', '2653.08', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289933', '1289932', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289934', '1289932', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289935', '1289932', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289936', '1289932', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289937', '1289932', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289938', '1289932', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289939', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '0', '-0.00999983', '0', '0.99995', '-5337.36', '7.62129', '2656.98', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289946', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '0.628793', '0', '0.777573', '-2780.65', '5', '2011.72', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289947', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.750286', '0', '0.661114', '-2780.39', '5', '2012.87', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289948', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.816314', '0', '0.577609', '-2780.93', '5', '2010.8', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289949', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.119712', '0', '0.992809', '-2782.17', '4.95095', '2012.6', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289951', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.452886', '0', '0.891568', '-2776.08', '4.95095', '2021.57', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289952', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.556359', '0', '0.830942', '-2778.17', '6.02612', '2017.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289955', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.556359', '0', '0.830942', '-2778', '4.95095', '2016.49', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289957', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '-0.203569', '0', '0.979061', '-2774.18', '4.92785', '2017.64', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289958', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.556359', '0', '0.830942', '-2777.81', '4.92785', '2017.7', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289959', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.203569', '0', '0.979061', '-2776.6', '4.92785', '2020.35', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289960', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '0', '0.282681', '0', '0.959214', '-2776.07', '5.04333', '2018.08', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289961', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0.389418', '0', '0.921061', '-2780.59', '4.95095', '2012.06', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289962', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.914795', '0', '0.403918', '-2767.37', '5', '2035.32', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289963', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '0.605187', '0', '0.796083', '-2766.56', '5', '2036.12', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289964', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.874789', '0', '0.484503', '-2765.8', '5', '2037.03', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289967', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.833272', '0', '0.552863', '-2760.73', '4.95095', '2034.46', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289968', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.833272', '0', '0.552863', '-2759.81', '4.95095', '2033.57', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289969', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '-0.203567', '0', '0.979061', '-2759.91', '4.92785', '2044.63', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289970', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '-0.203567', '0', '0.979061', '-2759.65', '4.92785', '2045.33', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289971', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.556359', '0', '0.830942', '-2762.18', '4.92785', '2042.43', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289972', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.203567', '0', '0.979061', '-2762.73', '4.92785', '2043.94', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289973', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '0', '0.282681', '0', '0.959214', '-2760.45', '5.04333', '2042.81', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289974', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.908633', '0', '0.417595', '-2761.67', '4.95219', '2033.73', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289976', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.342898', '0', '0.939373', '-2767.08', '4.95219', '2031.32', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289977', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.605187', '0', '0.796083', '-2767.59', '4.95219', '2030.63', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289978', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.990794', '0', '0.135381', '-2766.72', '4.95219', '2032.24', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289979', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_large.iff', '0', '0.891208', '0', '0.453595', '-2765.07', '4.93853', '2032.8', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289980', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.518418', '0', '0.855127', '-2744.9', '4.92785', '2061.35', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289981', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.518418', '0', '0.855127', '-2744.64', '4.92785', '2062.05', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289982', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.159319', '0', '0.987227', '-2748.27', '4.92785', '2062.11', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289983', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.518418', '0', '0.855127', '-2748.82', '4.92785', '2063.62', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289984', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '0', '0.860672', '0', '0.509159', '-2746.53', '5.04333', '2062.48', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289985', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.452886', '0', '0.891568', '-2752.62', '4.95095', '2056.2', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289986', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.452886', '0', '0.891568', '-2750.58', '4.95095', '2058.66', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289987', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.452886', '0', '0.891568', '-2751.52', '4.95095', '2059.31', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289988', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.452886', '0', '0.891568', '-2753.16', '4.95095', '2058.22', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289989', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.452886', '0', '0.891568', '-2753.65', '4.95095', '2057.12', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289990', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0.389418', '0', '0.921061', '-2752.03', '4.95095', '2057.93', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289991', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0.00271433', '0.010114', '-0.014323', '0.999843', '-5312.84', '8.5', '2661.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1289999', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.366272', '0', '0.930508', '-5347.81', '6.22465', '2714.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1290005', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0', '0', '1', '-5340.78', '5.78636', '2721.64', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1290006', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_1.iff', '0', '0', '0', '1', '-5347.92', '13.035', '2714.78', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1290007', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '0.960835', '0', '0.277121', '-5331.8', '10.0872', '2742.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1290008', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '-0.492535', '0', '0.870293', '-5346.92', '10.0478', '2728.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1290016', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0.0343216', '0.0010064', '0.0113406', '0.999346', '-5283.86', '8.16555', '2702.06', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1290017', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0.0129594', '0.669209', '0.036927', '0.742043', '-5285.43', '8.11479', '2702.08', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1290018', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0.0292718', '-0.223577', '0.00480133', '0.974235', '-5283.84', '8.25452', '2700.61', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1290019', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '-0.0290357', '0.713978', '0.0196247', '-0.699291', '-5282.56', '8.19548', '2702', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1290020', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '-0.00700601', '0.976269', '0.0390727', '0.21289', '-5284.01', '8.0501', '2703.64', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1290026', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0.0351008', '-0.00491516', '0.0214536', '0.999141', '-5287.02', '7.15495', '2714.47', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1290027', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0.00505882', '0.669334', '0.0354944', '0.742096', '-5288.28', '7.09545', '2714.68', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1290028', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0.0310246', '-0.0561541', '0.0199645', '0.99774', '-5287.1', '7.2416', '2713.05', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1290029', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '-0.0229062', '0.705561', '0.0440138', '-0.70691', '-5285.91', '7.17666', '2714.34', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1290030', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0.00814625', '0.973432', '0.0430465', '0.224746', '-5287.16', '7.03998', '2715.89', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1290031', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0.0394361', '0.00178875', '0.01179', '0.999151', '-5283.72', '7.82481', '2706.64', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1290032', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0.017185', '0.668588', '0.0398459', '0.742366', '-5285.05', '7.77618', '2706.77', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1290033', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0.0399863', '-0.0836271', '0.00819548', '0.995661', '-5283.76', '7.93394', '2705.24', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1290034', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '-0.0330859', '0.714419', '0.0226792', '-0.698568', '-5282.55', '7.86083', '2706.49', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1290035', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '-0.00348473', '0.976482', '0.0399108', '0.211846', '-5283.93', '7.71061', '2708.03', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1290037', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '0.0328799', '-0.19927', '0.00485125', '0.979381', '-5283.89', '8.16941', '2702', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1290038', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '0.0351291', '-0.0062332', '0.0214073', '0.999134', '-5287.08', '7.15056', '2714.5', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1290039', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '0.0395078', '-0.00435203', '0.0115474', '0.999143', '-5283.68', '7.82994', '2706.59', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1290040', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0.0499785', '0.0449285', '-0.000249892', '0.997739', '-5300.94', '6.74553', '2710', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1290041', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_fruit_stand_large_style_01.iff', '0.00914779', '0.930169', '0.00403912', '0.366995', '-5296.88', '6.6007', '2716.69', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1290042', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0.00225408', '0.575918', '0.0402292', '0.816514', '-5301.04', '6.83431', '2708.95', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1290043', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.757842', '0', '0.652437', '-5301.23', '6.80186', '2710.86', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1290044', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.0199987', '0', '0.9998', '-5301', '6.86237', '2709.94', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1290045', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0.503432', '-0.474626', '0.539536', '0.479778', '-5301.37', '7.0045', '2709.96', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1290057', '0', 'object/static/installation/shared_mockup_power_generator_solar_style_1.iff', '0', '0.703967', '0', '0.710233', '-5310.72', '14.3958', '2656.21', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1290058', '0', 'object/static/installation/shared_mockup_power_generator_solar_style_1.iff', '0', '0.711321', '0', '0.702867', '-5310.74', '14.3958', '2649.89', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292869', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '3758.78', '6.42789', '2394.62', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292870', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '3758.91', '6.44021', '2388.96', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292882', '0', 'object/static/structure/tatooine/shared_streetsign_upright_style_01.iff', '0', '-0.266731', '0', '0.963771', '3310.72', '5', '-4592.57', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292883', '0', 'object/static/structure/tatooine/shared_streetsign_upright_style_01.iff', '0', '-0.461779', '0', '0.886995', '3321.45', '5', '-4627.06', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292884', '0', 'object/static/structure/tatooine/shared_streetsign_upright_style_01.iff', '0', '0.338197', '0', '0.941075', '3298.41', '5', '-4642.69', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292885', '0', 'object/static/structure/tatooine/shared_streetsign_upright_style_01.iff', '0', '0.261909', '0', '0.965093', '3268.83', '5', '-4669.68', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292886', '0', 'object/static/structure/tatooine/shared_streetsign_upright_style_01.iff', '0', '-0.501213', '0', '0.865324', '3281.82', '5', '-4705.11', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292887', '0', 'object/static/structure/tatooine/shared_streetsign_upright_style_01.iff', '0', '-0.461779', '0', '0.886995', '3394.14', '5', '-4701.31', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292888', '0', 'object/static/structure/tatooine/shared_streetsign_upright_style_01.iff', '0', '-0.49688', '0', '0.867819', '3383.27', '5', '-4776.87', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292889', '0', 'object/static/structure/tatooine/shared_streetsign_upright_style_01.iff', '0', '0.754571', '0', '-0.656219', '3431.96', '5', '-4766.03', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292890', '0', 'object/static/structure/tatooine/shared_streetsign_upright_style_01.iff', '0', '-0.439462', '0', '0.898261', '3526.71', '5', '-4742.55', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292891', '0', 'object/static/structure/tatooine/shared_streetsign_upright_style_01.iff', '0', '0.0399893', '0', '0.9992', '3467.26', '5', '-4807.25', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292892', '0', 'object/static/structure/tatooine/shared_streetsign_upright_style_01.iff', '0', '-0.144492', '0', '0.989506', '3492.53', '5', '-4828.25', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292893', '0', 'object/static/structure/tatooine/shared_streetsign_upright_style_01.iff', '0', '0.338197', '0', '0.941075', '3424.03', '5', '-4897.6', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292894', '0', 'object/static/structure/tatooine/shared_streetsign_upright_style_01.iff', '0', '0.338197', '0', '0.941075', '3360.38', '5', '-4997.31', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292895', '0', 'object/static/structure/tatooine/shared_streetsign_upright_style_01.iff', '0', '0.338197', '0', '0.941075', '3543.17', '5', '-4856.62', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292896', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '0.918788', '0', '-0.394751', '3697.11', '5', '-4768.62', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292897', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.876477', '0', '0.481444', '3696.06', '5', '-4769.51', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292898', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.799578', '0', '0.600562', '3697', '5', '-4767.21', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292901', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.988134', '0', '0.153593', '3698.29', '5', '-4779.63', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292902', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.649244', '0', '0.76058', '3695.1', '5', '-4767.71', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292903', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.649244', '0', '0.76058', '3697.03', '6.08937', '-4773.58', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292904', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.649244', '0', '0.76058', '3696.97', '4.95095', '-4773.07', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292905', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.649244', '0', '0.76058', '3697.34', '4.95095', '-4774.07', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292906', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.887362', '0', '0.461074', '3694.54', '4.92785', '-4776.31', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292909', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.919415', '0', '0.393288', '3695.17', '4.92785', '-4778.99', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292910', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '0', '0.999923', '0', '-0.0123845', '3696.52', '5.04333', '-4776.43', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292911', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0.992098', '0', '-0.125465', '3697.24', '4.95095', '-4768.94', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292912', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.816314', '0', '0.577608', '3700.03', '5', '-4803.34', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292913', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '0.32877', '0', '0.94441', '3700.74', '5', '-4802.35', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292914', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.908633', '0', '0.417593', '3701.36', '5', '-4800.9', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292916', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.227977', '0', '0.973666', '3695.3', '4.95095', '-4792.94', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292919', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '-0.49688', '0', '0.867819', '3695.83', '4.92785', '-4791.99', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292920', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '-0.49688', '0', '0.867819', '3695.63', '4.92785', '-4791.27', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292921', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.786425', '0', '-0.617685', '3695.29', '4.92785', '-4795.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292922', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.49688', '0', '0.867819', '3693.96', '4.92785', '-4794.21', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292923', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '0', '-0.0284077', '0', '0.999596', '3696.47', '5.04333', '-4793.78', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292924', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.488177', '0', '0.872745', '3697.58', '4.95219', '-4806.99', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292925', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.841471', '0', '0.540302', '3697.27', '4.95219', '-4808.44', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292929', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_large.iff', '0', '0.706876', '0', '0.707338', '3698.63', '4.93853', '-4804.59', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292930', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.257081', '0', '0.96639', '3697.96', '4.92785', '-4822', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292931', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.257081', '0', '0.96639', '3697.8', '4.92785', '-4821.27', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292932', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.124674', '0', '0.992198', '3697.47', '4.92785', '-4824.04', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292933', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.257081', '0', '0.96639', '3696.19', '4.92785', '-4823.07', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292934', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '0', '0.682801', '0', '0.730604', '3698.73', '5.04333', '-4822.79', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292935', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.531186', '0', '0.847255', '3695.21', '4.95095', '-4828.54', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292936', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.543835', '0', '0.839192', '3697.6', '4.95095', '-4822.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292937', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.183946', '0', '0.982936', '3696.24', '4.95095', '-4828.16', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292938', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.183946', '0', '0.982936', '3695.45', '4.95095', '-4829.95', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292940', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0.114747', '0', '0.993395', '3696.55', '4.95095', '-4829.59', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292941', '0', 'object/static/structure/tatooine/shared_streetsign_upright_style_01.iff', '0', '-0.475032', '0', '0.879969', '3697.59', '5', '-4737.44', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292943', '0', 'object/static/structure/tatooine/shared_streetsign_upright_style_01.iff', '0', '0.492535', '0', '0.870292', '3690.48', '5', '-4855.22', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292944', '0', 'object/static/structure/tatooine/shared_streetsign_upright_style_01.iff', '0', '0.857299', '0', '-0.514819', '3584.23', '5', '-4890.79', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292954', '0', 'object/static/structure/tatooine/shared_streetsign_upright_style_01.iff', '0', '0.609159', '0', '0.793048', '3566.59', '5', '-4917.86', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292956', '0', 'object/static/structure/tatooine/shared_streetsign_upright_style_01.iff', '0', '0.198669', '0', '0.980067', '3483.63', '5', '-4860.59', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292958', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '3365.92', '5', '-5030.05', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292959', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '-0.333487', '0', '0.942755', '3405.21', '5', '-4975.49', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292960', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '-0.505533', '0', '0.862807', '3375.43', '3.67184', '-5018.51', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292961', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0', '0', '1', '3415.6', '5', '-4977.85', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292962', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '-0.433532', '0', '0.901138', '3387.57', '5', '-4936.33', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292963', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0.95657', '0', '0.291502', '3392.02', '5', '-4929.49', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292965', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '3389.25', '5', '-4933.16', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292966', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '-0.0633649', '0', '0.99799', '3434.14', '5', '-4956.05', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292967', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.706813', '0', '0.7074', '71.8277', '52.0165', '-5305.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292968', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.00499998', '0', '0.999987', '64.0703', '52.0114', '-5304.87', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292969', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.00499998', '0', '0.999987', '85.2281', '52.0274', '-5304.86', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292970', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.00499998', '0', '0.999987', '80.8039', '52.0027', '-5304.85', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292971', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.937369', '0', '-0.348337', '3427.47', '5', '-4949.4', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292993', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '-0.164252', '0', '0.986418', '3509.86', '5', '-4899.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292994', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0.461779', '0', '0.886995', '3523.63', '5', '-4974.88', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292995', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0.891207', '0', '0.453596', '3520.47', '8.46821', '-4975.57', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292996', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '0.0349929', '0', '0.999388', '3502.08', '5', '-4998.99', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292997', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '0.959438', '0', '0.281921', '3511.45', '5', '-5004.56', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1292998', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0.644217', '0', '0.764842', '3468.11', '5', '-4970.12', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1293000', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '0.412321', '0', '0.911039', '3451.71', '8.13456', '-4958.29', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1293002', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0', '0', '1', '3443.99', '5', '-4927.55', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1293004', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '3482.96', '5', '-4980.35', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1293005', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '3479.04', '5', '-4977.56', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1293007', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.992713', '0', '-0.120503', '3533.74', '5', '-4917.84', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1293008', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '0.989621', '0', '-0.143704', '3497.13', '3.74924', '-4891.87', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1293009', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '-0.648033', '0', '0.761612', '3464.87', '5', '-4938.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1293010', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0.0499792', '0', '0.99875', '3537.88', '5', '-4951.5', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1293011', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0.819192', '0', '-0.57352', '3524.93', '5', '-4916.16', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1293012', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '0.765355', '0', '0.643608', '3473.31', '5', '-4849.48', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1293013', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.0699428', '0', '0.997551', '3444.38', '5', '-4851.32', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1293014', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.581035', '0', '0.813878', '3464.09', '5', '-4857.37', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1293015', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.276356', '0', '0.961055', '3464.28', '5', '-4861', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1293016', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0', '0', '1', '3512.1', '5', '-4872.24', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1293017', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '0', '0', '1', '3533.65', '5', '-4900.85', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1293018', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '0.305059', '0', '0.952334', '3516.83', '5', '-4890.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1293021', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '-0.548024', '0', '0.836463', '3579.03', '5', '-4925.16', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1293023', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '3590.93', '5', '-4916.5', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1293024', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '3570.46', '5', '-4889.62', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1293025', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.29074', '0', '0.956802', '3564.12', '5', '-4884.46', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1293026', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '0', '0', '1', '3560.73', '5', '-4880.62', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1293027', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0', '0', '1', '3527.66', '5', '-4849.03', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1293028', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '0.95657', '0', '-0.291502', '3507.81', '5', '-4833.32', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1293029', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '0.0749296', '0', '0.997189', '3438.39', '5', '-4787.21', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1293030', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '0.996738', '0', '-0.0807087', '3469.57', '5', '-4783.96', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1293031', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '0.827702', '0', '0.561168', '3494.58', '5', '-4771.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1293032', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0.838759', '0', '-0.544503', '3479.28', '5', '-4791.63', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1293170', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '-0.0726754', '-0.322005', '-0.0184848', '0.943763', '-910.053', '14.8915', '-3830.94', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1295839', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '-0.281157', '0', '0.959662', '-2901.92', '5', '2442.69', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1295840', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '-0.676574', '0', '0.736375', '-2900.69', '5', '2445.24', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1295841', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '0.20846', '0', '0.978031', '-2901.32', '5', '2444.02', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1295854', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.99995', '0', '0.0100078', '1381.03', '10.0513', '3214.66', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1295855', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.699973', '0', '0.71417', '1381.72', '10.0514', '3216.04', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1295856', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.699969', '0', '0.714174', '1381.89', '10.0514', '3212.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1295857', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.99995', '0', '0.0100082', '1381.28', '10.1146', '3172.68', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1295858', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.699969', '0', '0.714174', '1382.03', '10.1146', '3174.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1295859', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.699965', '0', '0.714177', '1382.03', '10.1146', '3170.49', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1295860', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.999988', '0', '-0.00499167', '1398.15', '9.98807', '3193.69', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1295861', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.710602', '0', '0.703594', '1398.91', '9.98807', '3195.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1295862', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.699965', '0', '0.714177', '1398.92', '9.98807', '3191', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1295863', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.999888', '0', '-0.0149911', '1381.33', '11', '3147.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1295865', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.717598', '0', '0.696456', '1382', '11', '3144.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1295875', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.999942', '0', '-0.0107962', '1389.24', '8.90689', '3143.8', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1295876', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.71498', '0', '0.699145', '1385.53', '8.90689', '3144.2', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1295877', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.999942', '0', '-0.0107962', '1397.75', '8.90689', '3143.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1295878', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.707953', '0', '0.70626', '1393.86', '8.90689', '3144.05', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1295879', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.999876', '0', '-0.0157956', '1380.98', '8.90689', '3144.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1295880', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.00119737', '0', '0.999999', '1398.61', '8.90689', '3149.59', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1295881', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '1398.89', '8.90689', '3154.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1295882', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.703462', '0', '0.710732', '1398.77', '11', '3144.77', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1295883', '0', 'object/static/flora/shared_flora_plant_tato_falotil.iff', '0', '0.124675', '0', '0.992198', '1395.22', '8.08284', '3228.21', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1295884', '0', 'object/static/flora/shared_flora_plant_tato_hubba.iff', '0', '0', '0', '1', '1395.12', '8.08277', '3226.73', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1295885', '0', 'object/static/flora/shared_flora_plant_tato_falotil.iff', '0', '-0.285952', '0', '0.958244', '1395.08', '8.08277', '3225.01', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1295886', '0', 'object/static/flora/shared_flora_plant_tato_hubba.iff', '0', '-0.0299955', '0', '0.99955', '1395.09', '8.08451', '3223.14', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1295887', '0', 'object/static/flora/shared_flora_plant_tato_falotil.iff', '0', '-0.314566', '0', '0.949235', '1395.16', '8.08458', '3221.42', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1295888', '0', 'object/static/flora/shared_flora_plant_tato_hubba.iff', '0', '0.999991', '0', '0.00420368', '1394.9', '8.08959', '3219.92', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1295889', '0', 'object/static/flora/shared_flora_plant_tato_falotil.iff', '0', '0.992713', '0', '-0.120503', '1394.82', '8.08959', '3218.44', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1295890', '0', 'object/static/flora/shared_flora_plant_tato_falotil.iff', '0', '0.109779', '0', '0.993956', '1384.93', '7.97674', '3228.29', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1295891', '0', 'object/static/flora/shared_flora_plant_tato_hubba.iff', '0', '-0.0149996', '0', '0.999888', '1384.87', '7.97666', '3226.8', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1295892', '0', 'object/static/flora/shared_flora_plant_tato_falotil.iff', '0', '-0.300293', '0', '0.953847', '1384.89', '7.97674', '3225.08', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1295893', '0', 'object/static/flora/shared_flora_plant_tato_hubba.iff', '0', '-0.044985', '0', '0.998988', '1384.95', '7.97666', '3223.21', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1295894', '0', 'object/static/flora/shared_flora_plant_tato_falotil.iff', '0', '-0.328768', '0', '0.944411', '1385.07', '7.97608', '3221.49', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1295895', '0', 'object/static/flora/shared_flora_plant_tato_hubba.iff', '0', '0.999815', '0', '0.0192028', '1384.86', '7.97666', '3219.99', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1295896', '0', 'object/static/flora/shared_flora_plant_tato_falotil.iff', '0', '0.994409', '0', '-0.105599', '1384.82', '7.97666', '3218.5', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1295897', '0', 'object/static/flora/shared_flora_flower_endor_scrubwort.iff', '0', '0', '0', '1', '1393.17', '7.5', '3212.45', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1295898', '0', 'object/static/flora/shared_flora_flower_endor_scrubwort.iff', '0', '0', '0', '1', '1387.01', '7.5', '3195.74', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1295899', '0', 'object/static/flora/shared_flora_flower_endor_scrubwort.iff', '0', '0', '0', '1', '1393.14', '7.5', '3170.18', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1295900', '0', 'object/static/flora/shared_flora_flower_endor_scrubwort.iff', '0', '0', '0', '1', '1387.84', '7.5', '3154.48', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298839', '0', 'object/static/structure/tatooine/shared_planter_hanging_style_01.iff', '0', '1', '0', '-1.49012e-08', '1390.06', '8.57518', '3150.67', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298840', '0', 'object/static/structure/tatooine/shared_planter_hanging_style_01.iff', '0', '0.707094', '0', '0.70712', '1389.17', '8.32219', '3174.54', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298841', '0', 'object/static/structure/tatooine/shared_planter_hanging_style_01.iff', '0', '1', '0', '-1.49012e-08', '1389.67', '9.08114', '3175.07', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298842', '0', 'object/static/structure/tatooine/shared_planter_hanging_style_01.iff', '0', '0', '0', '1', '1389.64', '7.56325', '3174.05', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298843', '0', 'object/static/structure/tatooine/shared_planter_hanging_style_01.iff', '0', '0', '0', '1', '1389.95', '9.46062', '3190.72', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298844', '0', 'object/static/structure/tatooine/shared_planter_hanging_style_01.iff', '0', '1', '0', '1.49012e-08', '1389.98', '7.94272', '3191.74', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298845', '0', 'object/static/structure/tatooine/shared_planter_hanging_style_01.iff', '0', '0.707108', '0', '-0.707105', '1390.45', '8.70167', '3191.25', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298846', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.010796', '0', '0.999942', '1390.28', '7.5', '3217.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298847', '0', 'object/static/structure/tatooine/shared_planter_hanging_style_01.iff', '0', '1', '0', '-1.49012e-08', '1389.79', '9.22345', '3217.06', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298848', '0', 'object/static/structure/tatooine/shared_planter_hanging_style_01.iff', '0', '0', '0', '1', '1389.77', '7.70555', '3216.04', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298849', '0', 'object/static/structure/tatooine/shared_planter_hanging_style_01.iff', '0', '0.707024', '0', '0.707189', '1389.3', '8.4645', '3216.53', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298851', '0', 'object/static/structure/tatooine/shared_planter_window_style_01.iff', '0', '0.999987', '0', '0.00499999', '1390.6', '12.7076', '3139.59', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298852', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.707953', '0', '0.70626', '1394.07', '4.55722', '3149.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298853', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.999942', '0', '-0.0107961', '1395.38', '4.61316', '3149.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298854', '0', 'object/static/structure/tatooine/shared_planter_hanging_style_01.iff', '0', '0.389418', '0', '0.921061', '-988.112', '13.1068', '-3712.64', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298855', '0', 'object/static/structure/tatooine/shared_planter_hanging_style_01.iff', '0', '0.389418', '0', '0.921061', '-990.499', '13.17', '-3710.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298856', '0', 'object/static/flora/shared_flora_bush_talus_razorcoil.iff', '0', '0.717356', '0', '0.696707', '1394.91', '7.5', '3148.4', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298857', '0', 'object/static/flora/shared_flora_bush_talus_razorcoil.iff', '0', '0.164252', '0', '0.986418', '1392.7', '7.5', '3148.58', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298858', '0', 'object/static/flora/shared_flora_bush_talus_razorcoil.iff', '0', '-0.576958', '0', '0.816774', '1390.52', '7.5', '3148.44', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298859', '0', 'object/static/flora/shared_flora_bush_talus_razorcoil.iff', '0', '0.361616', '0', '0.932327', '1393.91', '7.5', '3149.41', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298860', '0', 'object/static/flora/shared_flora_bush_talus_razorcoil.iff', '0', '0.976806', '0', '0.214125', '1391.93', '7.5', '3148.94', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298861', '0', 'object/static/structure/tatooine/shared_planter_window_style_01.iff', '0', '-0.01', '0', '0.99995', '1410.78', '12.6444', '3152.16', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298862', '0', 'object/static/installation/shared_mockup_mining_ore_harvester_style_1.iff', '0', '0.356949', '0', '0.934124', '-1075.79', '12', '-3503.15', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298863', '0', 'object/static/structure/tatooine/shared_planter_window_style_01.iff', '0', '-0.0100002', '0', '0.99995', '1409.88', '12.6454', '3182.3', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298864', '0', 'object/static/structure/tatooine/shared_planter_window_style_01.iff', '1.71002e-09', '-0.0099995', '-0.00999984', '0.9999', '1409.87', '12.9614', '3209.89', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298865', '0', 'object/static/structure/tatooine/shared_planter_window_style_01.iff', '0', '0.999988', '0', '0.00500016', '1366.15', '12.8025', '3193.76', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298876', '0', 'object/static/structure/tatooine/shared_planter_window_style_01.iff', '0', '0.999988', '0', '0.00500013', '1366.93', '13.0871', '3163.02', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298877', '0', 'object/static/structure/tatooine/shared_planter_window_style_01.iff', '0', '0.99995', '0', '0.0100002', '1365.42', '12.8341', '3222.85', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298878', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.443948', '0', '0.896052', '-1214.1', '12', '-3590.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298888', '0', 'object/static/structure/tatooine/shared_stair_tatooine_small_style_01.iff', '0', '-0.707094', '0', '0.70712', '1236.99', '-4.07021', '3259.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298889', '0', 'object/static/structure/tatooine/shared_stair_tatooine_small_style_01.iff', '0', '0.696429', '0', '0.717626', '1219.99', '-4.18626', '3258.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298890', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.0149992', '0', '0.999888', '1434.53', '10.0522', '3157.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298892', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '0.999942', '0', '-0.0107961', '-1351.24', '26', '-3915.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298893', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '0.0149997', '0', '0.999888', '-1344.18', '26', '-3941.18', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298900', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.0599637', '0', '0.998201', '-1352.69', '26', '-3935.38', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298901', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.35695', '0', '0.934124', '-1352.28', '26', '-3936.96', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298903', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.855541', '0', '0.517735', '-1351.42', '26', '-3934.29', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298905', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.971148', '0', '-0.238476', '-1350.2', '26', '-3934.2', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298906', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0', '0', '1', '-1343.67', '26', '-3932.68', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298907', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0.888928', '0', '-0.458047', '-1343.63', '26', '-3945.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298909', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0.731145', '0', '0.682222', '-1342.67', '26', '-3934.99', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298910', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '0.479425', '0', '0.877583', '-1343.12', '26', '-3935.5', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298912', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_2.iff', '0', '0', '0', '1', '-1340.97', '30.3228', '-3999.69', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298913', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0.0192198', '0.2763', '-0.00552674', '0.960863', '-1357.65', '28.6459', '-3981.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298914', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0.0520589', '-0.552447', '-0.00603447', '0.831899', '-1339.69', '29.369', '-3990.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298915', '0', 'object/static/structure/tatooine/shared_pillar_watto_junkshop.iff', '0', '0', '0', '1', '-2858.43', '5', '2400.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298916', '0', 'object/static/structure/tatooine/shared_pillar_watto_junkshop.iff', '0', '0', '0', '1', '-2878.41', '5', '2401.29', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298917', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0', '0.328769', '0', '0.94441', '-1346.89', '26', '-3968.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298918', '0', 'object/static/structure/tatooine/shared_pillar_watto_junkshop.iff', '0', '0', '0', '1', '-2840.61', '5', '2433.21', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298919', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0', '0', '1', '-1344.7', '26', '-3965.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298936', '0', 'object/static/structure/tatooine/shared_pillar_watto_junkshop.iff', '0', '0', '0', '1', '-2842.72', '5', '2413.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298937', '0', 'object/static/structure/tatooine/shared_pillar_watto_junkshop.iff', '0', '0', '0', '1', '-2850.17', '5', '2449.59', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298938', '0', 'object/static/structure/tatooine/shared_pillar_watto_junkshop.iff', '0', '0', '0', '1', '-2869', '5', '2453.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298939', '0', 'object/static/structure/tatooine/shared_pillar_watto_junkshop.iff', '0', '0', '0', '1', '-2885.52', '5', '2441.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298940', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-1339.42', '26', '-3920.17', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298941', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0.674289', '0', '0.738467', '-1347.9', '26', '-3908.83', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298961', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '0.636537', '0', '0.771246', '-1357.6', '18.0551', '-3834.85', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298963', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.593179', '0', '0.805071', '-1381.71', '17.2844', '-3835.72', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298964', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.548024', '0', '0.836462', '-1380.55', '17.2844', '-3837.44', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298965', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.21823', '0', '0.975897', '-1381.58', '17.2844', '-3836.87', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298966', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.164252', '0', '0.986418', '-1380.32', '17.2844', '-3835.6', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298967', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '-0.556361', '0', '0.83094', '-1380.12', '17.2844', '-3836.5', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298973', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.448423', '0', '0.893821', '-1390.67', '18.6556', '-3849.2', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298974', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.906534', '0', '-0.422133', '-1389.77', '18.6556', '-3848.61', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298975', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.777072', '0', '-0.629412', '-1389.1', '18.6556', '-3849.63', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298976', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.342898', '0', '0.939373', '-1390.15', '18.6556', '-3849.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298979', '0', 'object/static/installation/shared_mockup_mining_ore_harvester_style_2.iff', '0', '0.361615', '0', '0.932327', '-1337.03', '26', '-3864.69', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298985', '0', 'object/static/structure/tatooine/shared_planter_hanging_style_01.iff', '0', '0.370921', '0', '0.928665', '-1031.82', '12', '-3671.77', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298986', '0', 'object/static/structure/tatooine/shared_planter_hanging_style_01.iff', '0', '0.370921', '0', '0.928665', '-1034.12', '12', '-3669.49', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298988', '0', 'object/static/structure/tatooine/shared_planter_hanging_style_01.iff', '0', '0.37556', '0', '0.926798', '-1008.58', '12', '-3695.55', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298989', '0', 'object/static/structure/tatooine/shared_planter_hanging_style_01.iff', '0', '0.37556', '0', '0.926798', '-1010.93', '12', '-3693.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298990', '0', 'object/static/structure/tatooine/shared_planter_hanging_style_01.iff', '0', '0.935616', '0', '-0.35302', '-1022.15', '12', '-3699.75', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298991', '0', 'object/static/structure/tatooine/shared_planter_hanging_style_01.iff', '0', '0.937369', '0', '-0.348338', '-1018.79', '12', '-3702.68', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298992', '0', 'object/static/structure/tatooine/shared_planter_window_style_01.iff', '0', '0.933839', '0', '-0.357693', '-1037.2', '12', '-3688.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298994', '0', 'object/static/structure/tatooine/shared_planter_window_style_01.iff', '0.0327497', '0.352059', '-0.0123271', '0.935324', '-1036.73', '11.9774', '-3635.05', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298996', '0', 'object/static/structure/tatooine/shared_planter_window_style_01.iff', '0.03275', '0.352059', '-0.012327', '0.935323', '-1039.37', '11.9684', '-3632.6', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298997', '0', 'object/static/structure/tatooine/shared_planter_hanging_style_01.iff', '0', '0.347591', '0', '0.937646', '-1027.31', '12', '-3635.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1298998', '0', 'object/static/structure/tatooine/shared_planter_hanging_style_01.iff', '0', '0.347591', '0', '0.937646', '-1030.34', '12', '-3632.6', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1299001', '0', 'object/static/structure/tatooine/shared_planter_hanging_style_01.iff', '0', '-0.41232', '0', '0.911039', '-1048.97', '12', '-3650.06', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1299002', '0', 'object/static/structure/tatooine/shared_planter_hanging_style_01.iff', '0', '-0.41232', '0', '0.911039', '-1051.15', '12', '-3652.45', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1299003', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_head_style_01.iff', '0.486812', '0.481541', '-0.379188', '0.622373', '-2997.55', '12.3738', '1963.59', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1299004', '0', 'object/static/structure/tatooine/shared_planter_window_style_01.iff', '0', '0.342898', '0', '0.939373', '-1087.97', '14.7998', '-3632.43', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1299005', '0', 'object/static/structure/tatooine/shared_planter_window_style_01.iff', '0', '0.338197', '0', '0.941075', '-1084.3', '14.7998', '-3635.45', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1299006', '0', 'object/static/structure/tatooine/shared_planter_window_style_01.iff', '0', '0.342898', '0', '0.939373', '-1080.74', '14.7998', '-3638.46', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1299007', '0', 'object/static/structure/tatooine/shared_planter_window_style_01.iff', '0', '0.939099', '0', '-0.343646', '-1091.39', '12', '-3661.2', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1299008', '0', 'object/static/structure/tatooine/shared_planter_hanging_style_01.iff', '0', '0.939099', '0', '-0.343646', '-1097.25', '15.0397', '-3660.94', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1299009', '0', 'object/static/structure/tatooine/shared_planter_hanging_style_01.iff', '0', '0.939099', '0', '-0.343646', '-1094.07', '15.0397', '-3663.71', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1299010', '0', 'object/static/structure/tatooine/shared_planter_window_style_01.iff', '0', '0.940805', '0', '-0.338946', '-1095.22', '12', '-3657.82', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1299015', '0', 'object/static/structure/tatooine/shared_planter_hanging_style_01.iff', '0', '0.992297', '0', '0.123884', '-1041.52', '12', '-3729.68', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1299016', '0', 'object/static/structure/tatooine/shared_planter_hanging_style_01.iff', '0', '0.992297', '0', '0.123884', '-1038.37', '12', '-3728.95', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1299017', '0', 'object/static/structure/tatooine/shared_planter_window_style_01.iff', '0', '0.356949', '0', '0.934124', '-1024.79', '13.2965', '-3718.39', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1299018', '0', 'object/static/structure/tatooine/shared_planter_window_style_01.iff', '0', '0.356949', '0', '0.934124', '-1022.65', '13.2965', '-3720.37', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1299019', '0', 'object/static/structure/tatooine/shared_planter_window_style_01.iff', '0', '0.356949', '0', '0.934124', '-1026.37', '12', '-3715.2', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1299020', '0', 'object/static/structure/tatooine/shared_planter_window_style_01.iff', '0', '0.356949', '0', '0.934124', '-1027.02', '13.3014', '-3716.39', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1299021', '0', 'object/static/structure/tatooine/shared_planter_hanging_style_01.iff', '0', '0.35695', '0', '0.934124', '-1052.54', '12.7589', '-3693.67', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1299022', '0', 'object/static/structure/tatooine/shared_planter_hanging_style_01.iff', '0', '0.35695', '0', '0.934124', '-1055.52', '12.7589', '-3691.01', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1299023', '0', 'object/static/structure/tatooine/shared_planter_hanging_style_01.iff', '0', '0.947396', '0', '-0.320064', '-1072.33', '12', '-3705.39', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1299024', '0', 'object/static/structure/tatooine/shared_planter_hanging_style_01.iff', '0', '0.947396', '0', '-0.320064', '-1069.15', '12', '-3707.8', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1299025', '0', 'object/static/structure/tatooine/shared_planter_window_style_01.iff', '0', '0.948985', '0', '-0.315322', '-1059.38', '14.0839', '-3714.24', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1302868', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_1.iff', '0', '0', '0', '1', '-1031.1', '11.7942', '-3544.51', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1302876', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.593179', '0', '0.805071', '-1045.66', '10', '-3531.59', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1302877', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.548024', '0', '0.836462', '-1047.29', '10', '-3530.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1302878', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.21823', '0', '0.975897', '-1046.26', '10', '-3530.77', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1302879', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.164252', '0', '0.986418', '-1047.05', '10', '-3531.71', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1302880', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '-0.556361', '0', '0.83094', '-1046.95', '10.8854', '-3531.64', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1302881', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.59318', '0', '0.80507', '-1016.42', '10', '-3538.13', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1302882', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.548023', '0', '0.836463', '-1015.26', '10', '-3539.85', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1302883', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.21823', '0', '0.975897', '-1016.29', '10', '-3539.28', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1302884', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.164252', '0', '0.986418', '-1015.04', '10', '-3538.01', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1302885', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '-0.55636', '0', '0.830941', '-1014.83', '10', '-3538.91', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1302886', '0', 'object/static/structure/tatooine/shared_luke_farm_garage.iff', '0', '0.314567', '0', '0.949235', '-1031.23', '10', '-3544.53', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1304859', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '-0.0249973', '0', '0.999687', '3810.76', '8.96682', '2322', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1304860', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0', '0', '1', '3803.85', '8.72138', '2321.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1304899', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '-0.000345487', '0.978835', '0.204631', '-0.00293406', '7507.18', '7.73888', '4496.18', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1304900', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_foot.iff', '-0.0533398', '-0.269042', '0.0450669', '0.960594', '7499.22', '8.36428', '4512', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1304901', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_foot.iff', '-0.598641', '-0.0158803', '0.800855', '-0.00291949', '7496.35', '7.68952', '4494.33', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1304902', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_foot.iff', '-0.0216175', '0.990422', '0.0364813', '-0.131398', '7509.09', '8.58485', '4484.2', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1304903', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_arm_style_01.iff', '0.0375204', '0.0256729', '0.0145229', '0.99886', '7507.16', '8.13427', '4489.18', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1304904', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_arm_style_02.iff', '-0.0257794', '0.736277', '0.0177336', '-0.675957', '7498.6', '7.66687', '4493.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1304905', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_leg_style_01.iff', '-0.021619', '0.906979', '-0.0151832', '-0.420347', '7513.07', '7.89588', '4500.96', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1304906', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_leg_style_02.iff', '-0.0294642', '0.932265', '-0.0424358', '0.358069', '7504.62', '7.98735', '4507.05', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1304907', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_tail.iff', '-0.000281204', '0.980171', '-0.0603416', '-0.188743', '7512.58', '8.24326', '4507.54', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1304908', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_ribcage.iff', '-0.0131379', '0.996146', '0.00841491', '-0.0863069', '7506.53', '7.69757', '4497.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1304909', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_head_style_01.iff', '-0.337681', '0.779108', '0.395062', '-0.350555', '7503.53', '7.96742', '4488.04', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1304981', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_foot.iff', '-0.00895699', '0.798247', '0.0103347', '-0.602175', '7399.91', '2.10966', '4493.59', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1304983', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_ribcage.iff', '-0.0127154', '0.999156', '0.00904086', '-0.0380042', '7411.76', '7.02451', '4484.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1304984', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_tail.iff', '-0.0190708', '0.996447', '0.0514246', '-0.0639238', '7409.55', '1.62846', '4495.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1304985', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_leg_style_02.iff', '0.00282764', '-0.497891', '-0.0268515', '0.866819', '7402.89', '2.04838', '4493.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1304986', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_leg_style_01.iff', '0.0832003', '0.273633', '-0.0363616', '0.957539', '7417.38', '0.980949', '4497.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1304987', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_arm_style_02.iff', '0.0762555', '0.553559', '-0.0435421', '0.828167', '7406.76', '7.91981', '4482.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1304988', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_arm_style_01.iff', '0.130952', '0.971315', '0.16025', '0.117127', '7416.56', '7.07254', '4480.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1304989', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_foot.iff', '0.0739959', '0.940881', '0.0441985', '0.327589', '7419.59', '7.85051', '4477.27', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1304990', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_foot.iff', '0.157707', '0.763157', '0.121545', '-0.614774', '7400.15', '10.0317', '4479.44', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1304992', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_head_style_01.iff', '-0.169721', '0.678821', '0.173287', '-0.693086', '7415.21', '6.57637', '4487.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1304993', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_head_style_02.iff', '0.113902', '0.783839', '0.172727', '0.585481', '7412.55', '8.32145', '4477.29', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305006', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_ribcage.iff', '-0.013512', '-0.690938', '-0.0473333', '0.721237', '7422.97', '5.63285', '4487.24', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305007', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_head_style_02.iff', '0', '0', '-0.471328', '0.881958', '7324.79', '18.2528', '4493.36', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305008', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_tail.iff', '0', '-0.632673', '0', '0.774419', '7433.53', '5.26793', '4485.34', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305009', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_leg_style_02.iff', '0.745288', '-0.00576198', '-0.666196', '-0.0263775', '7430.02', '5.47806', '4492.33', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305010', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_leg_style_02.iff', '0.13201', '-0.496419', '-0.123352', '0.849073', '7427.21', '6.53721', '4480.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305011', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_arm_style_01.iff', '0.031899', '0.904821', '0.051526', '-0.421458', '7418.14', '6.32487', '4483.14', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305012', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_foot.iff', '0.0241924', '0.722817', '0.0838193', '-0.685511', '7413.81', '7.3523', '4481.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305013', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_arm_style_01.iff', '-0.465193', '-0.145897', '0.818565', '-0.303747', '7418.88', '5.74205', '4492.66', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305014', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_foot.iff', '0.47155', '-0.304103', '-0.0161238', '0.827588', '7414.62', '2.51082', '4493.63', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305015', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_foot.iff', '0.073996', '0.940881', '0.044198', '0.327589', '7433.27', '6.87513', '4478.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305016', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '-0.236073', '0.858974', '0.28498', '-0.353864', '7506.45', '7.71169', '4496.49', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305019', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_foot.iff', '0.926423', '0.00660378', '0.376173', '-0.0137721', '7472.47', '7.2605', '4574.61', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305020', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_foot.iff', '-0.0289464', '0.938312', '-0.0630902', '0.33875', '7486.96', '1.26073', '4590.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305021', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_foot.iff', '-0.0963639', '0.294492', '0.00365169', '0.950776', '7473.14', '2.77391', '4602.96', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305022', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_arm_style_01.iff', '0.308106', '-0.0653569', '0.121836', '0.941252', '7472.21', '3.06431', '4598.63', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305023', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_arm_style_02.iff', '0.00366188', '0.72116', '0.034673', '0.691891', '7479.31', '7.88939', '4589.04', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305024', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_leg_style_01.iff', '0.0506776', '0.920723', '-0.113814', '-0.369795', '7462.29', '7.14984', '4582.96', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305025', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_leg_style_02.iff', '-0.0158', '-0.103652', '0.00356347', '0.994482', '7469.51', '7.32452', '4580.41', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305026', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_tail.iff', '-0.0117483', '0.196486', '0.0168275', '0.980292', '7464.96', '6.84184', '4579', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305027', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_ribcage.iff', '-0.0167737', '0.308793', '-0.000421458', '0.950981', '7470.92', '7.76245', '4588.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305028', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_head_style_01.iff', '-0.435796', '0.142458', '0.675178', '-0.57786', '7480.13', '3.73693', '4598.41', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305038', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_ribcage.iff', '-0.025214', '-0.195219', '0.0211349', '0.980208', '7489', '8.94483', '4548.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305039', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_tail.iff', '0.00452714', '-0.132629', '0.034482', '0.990555', '7492.29', '8.7897', '4538.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305041', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_leg_style_02.iff', '0', '0.252245', '0', '0.967663', '7483.99', '8.45135', '4541.55', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305042', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_ribcage.iff', '-0.0411549', '0.94605', '0.0811803', '-0.310974', '7527.57', '3.65259', '4549.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305043', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_head_style_02.iff', '-0.0226689', '0.990863', '-0.0259328', '-0.130399', '7525.91', '4.4428', '4542.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305044', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_tail.iff', '-0.11025', '0.708947', '0.00606707', '-0.696565', '7534.43', '4.47262', '4553', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305055', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_leg_style_01.iff', '0.0486972', '0.284627', '0.15219', '0.945227', '7532.69', '2.93469', '4557.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305056', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_foot.iff', '-0.0228545', '0.913744', '0.0105023', '0.405511', '7264.63', '26.4964', '4451', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305057', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_head_style_01.iff', '0.204683', '-0.483066', '-0.286848', '0.801542', '7263.23', '26.0878', '4474.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305058', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_ribcage.iff', '-0.0134759', '0.183316', '0.0181875', '0.982793', '7259.91', '26.1055', '4466.36', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305059', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_tail.iff', '0.00272153', '0.205965', '0.0275876', '0.978167', '7254.12', '25.6651', '4455.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305060', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_leg_style_02.iff', '-0.029464', '0.932265', '-0.042436', '0.358069', '7261.35', '26.154', '4454.85', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305061', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_leg_style_01.iff', '-0.021619', '0.906979', '-0.015183', '-0.420347', '7252.91', '25.6227', '4460.94', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305062', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_arm_style_02.iff', '-0.025779', '0.736277', '0.017734', '-0.675957', '7267.38', '25.7933', '4468.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305063', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_arm_style_01.iff', '-0.0663503', '0.0247249', '0.023807', '0.997206', '7255.67', '26.3523', '4472.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305064', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_foot.iff', '-0.109839', '0.161045', '-0.0277869', '0.980422', '7256.73', '27.254', '4477.4', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305065', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_foot.iff', '0.744341', '0.00149308', '0.667605', '-0.0160772', '7273.68', '25.9296', '4468.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305066', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '-0.000345', '0.978835', '0.204631', '-0.002934', '7258.8', '26.0227', '4465.72', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305067', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '-0.025766', '0.89957', '-0.0290243', '-0.435048', '7259.52', '26.0651', '4465.41', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305068', '0', 'object/static/structure/general/shared_skeleton_human_body.iff', '-0.0192561', '-0.00181956', '0.0314763', '0.999317', '7259.89', '26.0989', '4466', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305069', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '-0.00918113', '0.985462', '-0.0956833', '0.140088', '7261.75', '26.5304', '4476.82', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305070', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0.149968', '0.89085', '-0.0626234', '-0.424233', '7258.54', '27.4591', '4479.24', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305071', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0', '0', '1', '7256.94', '25.8075', '4456.75', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305072', '0', 'object/static/structure/general/shared_skeleton_bith_headandbody.iff', '-0.0018564', '-0.114735', '-0.00467764', '0.993383', '7274.76', '25.9018', '4466.46', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305073', '0', 'object/static/structure/general/shared_skeleton_bith_headandbody.iff', '-0.0433848', '0.763246', '-0.0283424', '0.644027', '7251.07', '25.9602', '4470.36', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305074', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_leg_style_01.iff', '0.129009', '-0.000132506', '-0.00101852', '0.991643', '7018.19', '14.1808', '4369.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305075', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_leg_style_02.iff', '-0.120149', '0.00101216', '-0.00836283', '0.99272', '7119.33', '16.1722', '4449.4', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305076', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_head_style_01.iff', '0.0497481', '0.175605', '0.0934835', '0.978749', '7154.11', '21.0129', '4437.44', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305077', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_ribcage.iff', '0.0900601', '-0.150835', '0.0376724', '0.983727', '7058.13', '12.5223', '4390.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305078', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_tail.iff', '0.0515722', '-0.426042', '0.0187397', '0.903038', '6964.49', '15.26', '4356.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305079', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_leg_style_01.iff', '0.0376892', '0.00187543', '0.0496635', '0.998053', '6957.58', '14.9861', '4351.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305080', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_head_style_02.iff', '0.242374', '0.752186', '-0.0993363', '-0.604651', '6950.35', '13.8489', '4364.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305081', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_head_style_01.iff', '0.176326', '0.0693865', '-0.41102', '0.891716', '6889.68', '20.1546', '4334.49', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305082', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_arm_style_01.iff', '0.103252', '0.0104985', '0.100611', '0.989498', '7116.26', '18.0848', '4413.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305083', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_foot.iff', '-0.0544615', '0.898195', '-0.0865995', '-0.427528', '7050.47', '8.6125', '4375.38', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305084', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_leg_style_02.iff', '0.01282', '0.329969', '0.0493253', '0.942615', '7053.45', '8.61036', '4381.44', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305085', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_ribcage.iff', '0', '0.425939', '0', '0.904752', '6884.34', '19.8332', '4327.91', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305086', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_tail.iff', '0.0205368', '0.119073', '-0.0269679', '0.992307', '6879.04', '20.4196', '4320.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305087', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_arm_style_01.iff', '-0.0224876', '0.000504045', '-0.0224031', '0.999496', '6884.37', '19.5614', '4336.85', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305088', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_foot.iff', '0.0807535', '0.289885', '-0.0501674', '0.952328', '6886.32', '19.3202', '4342.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305089', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_leg_style_02.iff', '0.0650004', '-0.00220823', '-0.0338811', '0.997307', '6908.42', '21.3134', '4346.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305119', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_leg_style_01.iff', '0.0748654', '0.00369763', '0.0491913', '0.995973', '6800.95', '21.4657', '4315.16', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305120', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_leg_style_02.iff', '-0.116908', '0.81878', '0.0969358', '0.553657', '6822.97', '20.022', '4323.29', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305121', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_arm_style_02.iff', '0.0929324', '-0.00136359', '-0.0146078', '0.995564', '6772.11', '20.8344', '4312.22', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305122', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_leg_style_01.iff', '-0.0689894', '0.00445981', '-0.0643559', '0.995529', '6745.81', '22.0579', '4331.13', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305123', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_leg_style_02.iff', '-0.0629375', '0.00155882', '-0.024711', '0.99771', '6722.15', '20.2539', '4300.05', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305124', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_arm_style_01.iff', '0.0778868', '-0.00154312', '-0.0197484', '0.996765', '6849.78', '23.7807', '4331.22', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305135', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_leg_style_02.iff', '0.0304078', '-0.00130211', '-0.0427624', '0.998622', '6999.99', '12.3008', '4388.26', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305136', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_leg_style_01.iff', '-0.189002', '0.0107616', '-0.0558189', '0.98033', '7095.69', '15.8214', '4443.37', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305137', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_leg_style_02.iff', '0', '0', '0', '1', '7137.23', '18.9716', '4432.63', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305139', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_foot.iff', '0.0273755', '0.512374', '0.0633662', '0.855984', '7070.87', '10.6194', '4408.25', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305169', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_head_style_01.iff', '0', '0', '0', '1', '7152.96', '18.712', '4460.22', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305170', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_head_style_02.iff', '0.173', '0.954042', '-0.0484284', '0.239853', '7151.43', '19.0102', '4462.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305171', '0', 'object/static/structure/general/shared_skeleton_bith_headandbody.iff', '-0.0876216', '0.874736', '-0.045877', '0.4744', '7209.34', '25.2991', '4469.28', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305172', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '-0.0342636', '0.836427', '-0.0650467', '-0.543126', '7198.59', '22.7758', '4458.84', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305173', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_foot.iff', '0.0124626', '-0.643987', '-0.0072765', '0.764901', '7188.18', '21.9434', '4449.69', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305174', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_foot.iff', '-0.103571', '0.536387', '0.0135903', '0.837483', '7200.96', '24.2866', '4469.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305175', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_foot.iff', '-0.0649075', '0.548503', '0.0182364', '0.833426', '7203.75', '23.2276', '4457.04', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305176', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_arm_style_01.iff', '-0.0580625', '0.0267745', '0.0574616', '0.996298', '7199.32', '23.8125', '4465.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305177', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_arm_style_02.iff', '-0.053637', '0.964956', '-0.0226515', '0.255872', '7203.2', '22.9211', '4453.89', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305178', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_leg_style_01.iff', '-0.0789689', '0.649888', '0.012341', '0.755815', '7192.24', '22.491', '4462.8', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305179', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_leg_style_02.iff', '-0.029526', '0.916006', '-0.00127689', '-0.400075', '7192.78', '21.7552', '4450.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305180', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_tail.iff', '-0.0314367', '0.734398', '0.011864', '0.677887', '7186.81', '21.6041', '4458.21', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305181', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_ribcage.iff', '-0.0693333', '0.658847', '0.024453', '0.748676', '7199.7', '22.902', '4458.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305183', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_head_style_02.iff', '-0.0477353', '0.599704', '-0.0345329', '0.79805', '7211.36', '24.1366', '4459.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305184', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_ribcage.iff', '0.167356', '0.43789', '0.0715595', '0.880411', '7355.32', '21.7977', '4456.64', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305185', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_ribcage.iff', '-0.0458774', '0.00606514', '-0.130922', '0.990312', '7357.45', '16.6741', '4538.42', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305186', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_ribcage.iff', '0.0804742', '0.995318', '-0.0141466', '-0.0516396', '7404.67', '7.71966', '4566.73', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305187', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_ribcage.iff', '-0.0277109', '0.747978', '0.0945961', '-0.656363', '7319.13', '20.3823', '4466.33', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305188', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_ribcage.iff', '0.265556', '0.57296', '0.0476864', '0.773901', '7403.25', '2.33969', '4511.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305189', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_ribcage.iff', '0.0525318', '0.644278', '0.117974', '0.753809', '7490.84', '17.5776', '4429.86', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305190', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_ribcage.iff', '-0.0219706', '-0.556835', '-0.00277122', '0.830328', '7420.32', '7.78904', '4606.59', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305191', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_ribcage.iff', '-0.0217064', '0.000161282', '-0.00742821', '0.999737', '7469.77', '6.2379', '4506.82', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305192', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_tail.iff', '0.0404424', '0.691849', '0.0458243', '0.71945', '7479.84', '16.9485', '4429.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305193', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_head_style_01.iff', '0', '0', '-0.514136', '0.857709', '7468.62', '6.69834', '4515.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305194', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_leg_style_01.iff', '-0.00922349', '0.824766', '0.0140393', '0.565224', '7474.54', '6.13064', '4499.42', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305195', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_arm_style_01.iff', '-0.0364843', '0.681405', '-0.0208488', '0.730699', '7474.83', '6.57962', '4512.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305196', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_foot.iff', '-0.0488031', '0.578207', '-0.00618376', '0.814406', '7478.53', '6.7834', '4513.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305197', '0', 'object/static/structure/general/shared_skeleton_bith_headandbody.iff', '0.0766269', '0.74841', '0.0977364', '0.651505', '7480.01', '13.0466', '4448.61', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305198', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '-0.181294', '0.006849', '-0.137822', '0.973699', '7477.4', '9.5629', '4460.05', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305199', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_foot.iff', '0.0776382', '0.0147963', '0.0566327', '0.995262', '7468.89', '7.90672', '4471.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305200', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_foot.iff', '0.933312', '0.0392804', '-0.336128', '-0.120017', '7465.45', '12.3677', '4451.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305201', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_foot.iff', '-0.055782', '0.908587', '0.182633', '-0.371488', '7480.61', '12.5441', '4449.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305202', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_arm_style_01.iff', '0.0444555', '0.921699', '0.138614', '0.359556', '7480.44', '10.5425', '4454.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305203', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_arm_style_02.iff', '-0.046523', '0.814734', '0.241062', '-0.525293', '7469.36', '10.0481', '4461.18', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305204', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_leg_style_01.iff', '-0.0465244', '0.90367', '0.0445528', '-0.423356', '7483.31', '9.96124', '4464.77', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305205', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_leg_style_02.iff', '0.965244', '0.0198916', '0.257815', '-0.0379406', '7471.68', '9.03507', '4465.49', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305206', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_tail.iff', '-0.0346068', '0.993862', '0.0664539', '0.0813942', '7476.77', '9.01924', '4468.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305207', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_ribcage.iff', '-0.0250627', '0.989948', '0.09429', '-0.102396', '7476.77', '9.37191', '4460.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305208', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_head_style_01.iff', '0.199412', '0.823798', '-0.028719', '-0.529874', '7473.77', '11.7176', '4451.85', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305209', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_foot.iff', '-0.0201315', '-0.37263', '0.0230509', '0.927475', '7420.51', '6.33268', '4572.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305212', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_foot.iff', '0.0372837', '0.957423', '-0.0263619', '0.285055', '7412.27', '6.46828', '4560.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305213', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_foot.iff', '0.0357995', '0.65837', '-0.0239787', '0.75146', '7406.18', '6.7258', '4543.96', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305214', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_foot.iff', '1.75306e-05', '0.0254715', '-0.0129773', '0.999591', '7422.04', '6.05513', '4534.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305215', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_arm_style_01.iff', '0.00694302', '0.0251065', '-0.0128024', '0.999579', '7423.25', '5.98237', '4539.19', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305216', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_arm_style_02.iff', '0.0174063', '0.734562', '0.0373723', '-0.677288', '7413.18', '6.21854', '4542.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305217', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_leg_style_01.iff', '0.000370519', '-0.0170163', '0.0214564', '0.999625', '7426.13', '5.99044', '4549.89', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305218', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_leg_style_02.iff', '-0.0160697', '-0.622235', '-0.0056692', '0.782645', '7417.68', '5.96715', '4555.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305219', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_tail.iff', '-0.0112616', '0.822208', '-0.0021938', '0.569071', '7423.04', '5.99391', '4558.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305220', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_ribcage.iff', '0.0127364', '-0.0791648', '-0.00490434', '0.996768', '7419.59', '5.88112', '4546', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305221', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_head_style_01.iff', '-0.0887168', '0.318786', '-0.457813', '0.825174', '7477.67', '8.75332', '4563.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305224', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_foot.iff', '0.207589', '0.975373', '-0.0744238', '-0.00395418', '7386.53', '14.2233', '4599.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305225', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_foot.iff', '0.0553304', '0.570152', '-0.194811', '0.796187', '7380.43', '14.2003', '4582.28', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305226', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_foot.iff', '0.0595963', '0.80164', '-0.0619729', '0.591592', '7396.29', '9.26947', '4572.91', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305227', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_arm_style_01.iff', '0.061758', '0.801209', '-0.0590493', '0.592252', '7397.5', '9.18514', '4577.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305228', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_arm_style_02.iff', '-0.0286073', '0.0572879', '-0.163281', '0.9845', '7387.44', '11.6029', '4580.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305229', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_leg_style_01.iff', '-0.055931', '-0.578165', '-0.0501496', '0.812454', '7400.38', '8.83401', '4588.2', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305230', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_leg_style_02.iff', '0.0300841', '0.415582', '-0.18625', '0.889774', '7391.94', '11.3409', '4594.29', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305231', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_tail.iff', '0.0241964', '0.531771', '-0.125188', '0.837235', '7397.29', '10.0131', '4597.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305232', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_ribcage.iff', '0.0911416', '0.85192', '-0.0718137', '0.510655', '7393.84', '10.0937', '4584.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305233', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_head_style_01.iff', '-0.539414', '0.809419', '0.00381213', '-0.232076', '7378.09', '5.97524', '4540.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305234', '0', 'object/static/structure/general/shared_skeleton_bith_headandbody.iff', '-0.0356031', '0.739587', '-0.00345543', '0.67211', '7429.42', '6.78243', '4573.94', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305235', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '-0.0292671', '-0.341472', '0.0293562', '0.938977', '7424.06', '6.84308', '4578.82', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305236', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_foot.iff', '0.00589184', '0.995446', '-0.00953515', '0.0946669', '7428.74', '7.75211', '4595.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305237', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_foot.iff', '-0.0112954', '0.33014', '-0.0356486', '0.943191', '7413.03', '7.41704', '4585.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305238', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_foot.iff', '-0.0164283', '-0.349441', '0.0317747', '0.936275', '7428.89', '6.84986', '4575.69', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305239', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_arm_style_01.iff', '-0.0170016', '-0.349168', '0.0319791', '0.93636', '7427.48', '7.15706', '4580.05', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305240', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_arm_style_02.iff', '0.00405625', '0.933475', '-0.0365586', '-0.35675', '7420.04', '7.12466', '4583.76', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305241', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_leg_style_01.iff', '0.0190098', '0.906822', '-0.00996092', '-0.420967', '7432.98', '7.66296', '4590.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305242', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_leg_style_02.iff', '-0.00506439', '-0.454124', '0.00865318', '0.890882', '7425.51', '7.71584', '4599.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305243', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_tail.iff', '0.000564148', '0.810241', '-0.0100103', '-0.586011', '7429.1', '7.85065', '4604.87', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305244', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_ribcage.iff', '-0.0208953', '-0.257174', '0.020752', '0.965916', '7426.44', '7.44501', '4587.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305245', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_head_style_01.iff', '-0.441504', '0.360552', '0.518183', '-0.637622', '7423.51', '7.8897', '4592.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305247', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_head_style_01.iff', '0', '0', '0', '1', '7390.31', '10.2529', '4571.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305248', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_head_style_02.iff', '0.0721966', '0.918843', '-0.00935823', '-0.38785', '7399.8', '8.04346', '4559.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305249', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_head_style_02.iff', '-0.0465508', '-0.215927', '-0.0452906', '0.974247', '7414.09', '8.3744', '4610.81', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305250', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_head_style_02.iff', '-0.00791898', '0.333474', '0.0029442', '0.942721', '7421.17', '5.85947', '4553.13', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305251', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_head_style_01.iff', '-0.429463', '-0.539962', '0.571904', '0.443766', '7443.16', '4.86479', '4530.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305252', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_ribcage.iff', '-0.020895', '-0.257174', '0.020752', '0.965916', '7448.67', '4.94038', '4525.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305253', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_arm_style_02.iff', '0.004056', '0.933475', '-0.036559', '-0.35675', '7452.28', '5.15951', '4531.24', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305254', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_tail.iff', '-0.0469102', '0.842447', '0.0252421', '0.53614', '7445.21', '5.37734', '4513.21', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305255', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_leg_style_02.iff', '-0.0321563', '0.442124', '0.0233588', '0.896073', '7447.22', '5.47757', '4507.36', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305256', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_leg_style_01.iff', '-0.0247333', '0.596262', '0.0297609', '0.801856', '7455.44', '6.46119', '4521.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305257', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_ribcage.iff', '0.080474', '0.995318', '-0.014147', '-0.05164', '7470.43', '7.81041', '4546.28', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305258', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_ribcage.iff', '-0.00426489', '-0.556272', '0.0371388', '0.830159', '7455.76', '6.13831', '4509.18', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305259', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_foot.iff', '-0.020132', '-0.37263', '0.023051', '0.927475', '7454.6', '5.66719', '4540.69', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305261', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_foot.iff', '-0.0097884', '0.958248', '-0.0256315', '0.28462', '7464.97', '7.36797', '4555.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305262', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_foot.iff', '0.0358', '0.65837', '-0.023979', '0.75146', '7468.93', '7.4339', '4569.05', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305263', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_arm_style_02.iff', '0.017406', '0.734562', '0.037372', '-0.677288', '7461.92', '7.05286', '4570.35', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305264', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_leg_style_01.iff', '0.000371', '-0.017016', '0.021456', '0.999625', '7448.98', '6.16225', '4563.13', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305265', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_leg_style_02.iff', '0.0376698', '-0.618945', '0.0668768', '0.781675', '7458.9', '6.99601', '4558.72', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305266', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_tail.iff', '-0.0223531', '0.270693', '0.0770071', '0.95932', '7453.76', '6.32448', '4557.44', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305267', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_ribcage.iff', '0.012736', '-0.079165', '-0.004904', '0.996768', '7455.52', '6.54037', '4567.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305270', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_foot.iff', '0.059596', '0.80164', '-0.061973', '0.591592', '7478.82', '8.1971', '4540.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305271', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_arm_style_01.iff', '0.061758', '0.801209', '-0.059049', '0.592252', '7477.6', '8.01517', '4535.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305272', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_leg_style_01.iff', '-0.055931', '-0.578165', '-0.05015', '0.812454', '7474.73', '7.52307', '4524.81', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305273', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_leg_style_02.iff', '-0.0552348', '0.407225', '0.0215537', '0.911402', '7481.85', '7.61822', '4520.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305274', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_tail.iff', '-0.00537394', '0.53107', '-0.000388561', '0.847311', '7467.19', '5.98602', '4498.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305275', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_ribcage.iff', '-0.0353662', '0.859807', '0.000608827', '0.509392', '7481.27', '7.99159', '4528.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305278', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_foot.iff', '-0.0255744', '0.518886', '0.0192955', '0.854243', '7456.06', '6.42765', '4515.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305279', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_foot.iff', '-0.0216871', '0.329314', '0.0340489', '0.943357', '7462.08', '7.03221', '4527.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305280', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_foot.iff', '-0.016428', '-0.349441', '0.031775', '0.936275', '7439.08', '4.83214', '4528.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305281', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_arm_style_01.iff', '-0.0123732', '-0.476414', '0.0340386', '0.878475', '7442.33', '4.73962', '4525.69', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305282', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_head_style_02.iff', '-0.34433', '0.882855', '-0.0878771', '-0.307052', '7470.67', '7.8602', '4539.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305284', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_head_style_02.iff', '0.000125591', '0.757816', '-0.0084476', '-0.652413', '7450.29', '6.53802', '4573.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305285', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_arm_style_01.iff', '-0.0678282', '0.948468', '0.0986442', '-0.293389', '7494.47', '18.9275', '4425.49', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305286', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_leg_style_01.iff', '0.0970003', '-0.351008', '-0.0459849', '0.930199', '7485.28', '16.1121', '4434.68', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305287', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0.585243', '0.671608', '-0.13731', '-0.433104', '7507.17', '7.7023', '4497.64', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305288', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0.36646', '0.761141', '-0.157321', '-0.51149', '7506.39', '7.68293', '4497.66', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305289', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0.10668', '0.872624', '0.216949', '-0.424358', '7506.85', '7.68612', '4498.22', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305290', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0.0710477', '0.81784', '0.363175', '0.440675', '7507.37', '7.69767', '4498.42', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305291', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0.0398851', '0.394528', '0.0198215', '0.917804', '7498.03', '7.99507', '4489.42', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305292', '0', 'object/static/structure/general/shared_skeleton_human_body.iff', '0.0144876', '0.000167489', '0.0115588', '0.999828', '7505.72', '7.70183', '4496.22', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305293', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_leg_style_02.iff', '0.0908375', '0.890971', '0.0222613', '-0.444324', '7366.97', '7.25211', '4512.72', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305294', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_leg_style_02.iff', '0.00983859', '-0.627506', '0.0278951', '0.77805', '7352.78', '8.0994', '4510.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305295', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_leg_style_02.iff', '0.987112', '-0.146613', '-0.063982', '-0.00447004', '7375.51', '6.01253', '4530.99', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305296', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_leg_style_01.iff', '0.020058', '-0.00406489', '-0.198577', '0.979871', '7372.86', '5.3509', '4520.34', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305297', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_leg_style_01.iff', '-0.0266396', '0.514839', '-0.144941', '0.844525', '7361.76', '7.84952', '4510.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305298', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_arm_style_02.iff', '0.00936939', '0.323627', '-0.200169', '0.924722', '7367.49', '7.28281', '4516.56', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305299', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_arm_style_01.iff', '0.202536', '0.97234', '-0.114699', '0.0194291', '7372.97', '5.83007', '4525.8', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305321', '0', 'object/static/structure/tatooine/shared_planter_hanging_style_01.iff', '0', '0.953607', '0', '-0.301054', '-5295.54', '9.08575', '2705.48', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305322', '0', 'object/static/structure/tatooine/shared_planter_hanging_style_01.iff', '0', '0.95657', '0', '-0.291503', '-5292.57', '9.15497', '2703.3', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305323', '0', 'object/static/structure/tatooine/shared_planter_window_style_01.iff', '0.135884', '0.899087', '0.0621882', '0.411474', '-5270.1', '7.90264', '2700.9', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305324', '0', 'object/static/structure/tatooine/shared_planter_window_style_01.iff', '0.0810801', '-0.419058', '-0.159617', '0.890134', '-5273.45', '8.00322', '2703.42', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305325', '0', 'object/static/structure/tatooine/shared_planter_window_style_01.iff', '0.0841431', '-0.352936', '-0.168777', '0.916444', '-5310.39', '5.97509', '2736.29', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305326', '0', 'object/static/structure/tatooine/shared_planter_window_style_01.iff', '0.163563', '0.912371', '0.0941742', '0.36326', '-5307.45', '6.1107', '2733.11', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305327', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0.035125', '0.70108', '-0.0144402', '0.712071', '-5294.31', '8.41419', '2669.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305328', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0.0280109', '0.338043', '-0.0107294', '0.940652', '-5290.82', '7.39038', '2667.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305329', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '0.338196', '0', '0.941076', '-5297.45', '7.3372', '2672.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305333', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0.0108471', '0.942065', '0.0279655', '-0.334086', '-5284.65', '7.37087', '2662.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305334', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '0.940806', '0', '-0.338946', '-5277.81', '6.95605', '2656.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305336', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.999955', '0', '-0.00948971', '3783.55', '11.5884', '2379.26', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305339', '0', 'object/static/installation/shared_mockup_power_generator_wind_style_1.iff', '0', '-0.40319', '0', '0.915116', '3837.11', '16.1', '2337.07', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305341', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.713863', '0', '-0.700285', '3835.47', '16.1214', '2318.9', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305342', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.999707', '0', '0.0242017', '3834.74', '16.1263', '2319.82', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305348', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.982155', '0', '0.188076', '3834.96', '16.1', '2323.77', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305349', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.817233', '0', '0.576308', '3834.71', '16.1', '2324.67', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305359', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '0', '0', '1', '3834.13', '16.1', '2331.38', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305360', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '0', '0', '1', '3833.48', '16.1', '2334.73', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305392', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.522687', '0', '0.852525', '-5129.87', '75', '-6590.11', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305393', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.164252', '0', '0.986418', '-5139.93', '75', '-6586.43', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305394', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.783327', '0', '-0.62161', '-5131.18', '75', '-6591.3', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305397', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.849481', '0', '-0.52762', '-5138.51', '75', '-6588.57', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305398', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.857299', '0', '-0.514819', '-5138.88', '75', '-6586.53', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305399', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.786425', '0', '-0.617686', '-5138.29', '75', '-6589.43', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305401', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.92896', '0', '-0.370181', '-5131.36', '75', '-6589.25', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305403', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.920751', '0', '0.390152', '-5133.65', '75', '-6589.36', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305405', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.891207', '0', '0.453596', '-5134.67', '75', '-6589.72', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305407', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.935616', '0', '0.35302', '-5135.33', '75', '-6590.31', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305408', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.982789', '0', '0.18473', '-5130.02', '75', '-6591.63', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305420', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0.0101891', '0.933988', '0.0282119', '-0.356043', '-5295.75', '7.90474', '2649.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305421', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0.0151641', '0.00761738', '-0.0348187', '0.99925', '-5286.69', '8.31576', '2652.56', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305422', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0.00453016', '-0.398596', '-0.00891864', '0.917072', '-5289.61', '7.7726', '2649.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305423', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '-0.439463', '0', '0.898261', '-5283.89', '7.54732', '2655.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305424', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0.688919', '0', '0.724838', '-5292.3', '8.67642', '2646.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305426', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.535416', '0', '0.844589', '-5137.47', '75', '-6591.11', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305452', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.999958', '0', '-0.0092041', '-5341.26', '6.702', '2660.69', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305454', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0.0097829', '0.999655', '0.0224575', '0.00942563', '-5355.2', '7.31381', '2660.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305455', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0.0257268', '0.911031', '0.0279361', '-0.410585', '-5350.74', '8.49862', '2660.62', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305456', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '0.999958', '0', '0.00920396', '-5345.97', '7.18333', '2660.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305477', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0.0270911', '0.930413', '0.0266153', '-0.364539', '-5359.71', '7.2671', '2660.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305478', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0.0262057', '0.350542', '-0.0274872', '0.935777', '-5360.19', '7.5228', '2674.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305479', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.00579583', '0', '0.999983', '-5341.64', '7.39404', '2675.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305480', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0.000242013', '-0.0242004', '-0.00999684', '0.999657', '-5346.53', '7.34266', '2674.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305481', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0.027547', '0.396874', '-0.0261431', '0.917087', '-5351.24', '8.07674', '2674.66', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305482', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0.0223077', '-0.0244193', '-0.0101187', '0.999402', '-5355.61', '7.55538', '2674.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305491', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.999958', '0', '-0.00920411', '-5333.76', '7.13353', '2652.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305492', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '0.999958', '0', '0.00920411', '-5329.04', '6.22306', '2652.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305493', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0.025727', '0.911031', '0.027936', '-0.410585', '-5325.02', '6.87094', '2652.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305494', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0.009783', '0.999655', '0.022457', '0.009426', '-5320.55', '6.17626', '2652.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305495', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.999958', '0', '-0.00920411', '-5315.65', '6.81477', '2653.18', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305496', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.99794', '0', '-0.0641601', '-5298.85', '8.26592', '2651.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305497', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.998153', '0', '0.0607586', '-5281.07', '8.41949', '2659.55', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305498', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.999942', '0', '0.0107958', '-5300.98', '8.12514', '2675.85', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305499', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.99936', '0', '0.0357886', '-5301.46', '7.61136', '2684.81', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305500', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0.00900441', '0.920394', '0.00434961', '-0.390865', '-5345.49', '5.35348', '2697.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305501', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '-0.0135013', '-0.693175', '-0.0354966', '0.719768', '-5348.86', '6.76603', '2700.87', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305502', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '1.24682e-06', '0.920251', '0.0244957', '-0.39056', '-5351.76', '5.31088', '2704.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305503', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.913089', '0', '-0.40776', '-5342', '6.92117', '2694.05', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305504', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '0.734548', '0', '0.678557', '-5359.86', '11.7654', '2674.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305505', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '0.663136', '0', '0.748499', '-5359.41', '11.5144', '2660.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305506', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.924909', '0', '-0.380188', '-5355.11', '6.36912', '2707.69', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305507', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '-0.384808', '0', '0.922997', '-5344.15', '5.21791', '2718.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1305508', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '-0.375559', '0', '0.926798', '-5351.45', '5.17233', '2711.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311350', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '0.389419', '0', '0.921061', '-5344.01', '4.78585', '2724.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311351', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '-0.0375944', '-0.699461', '-0.00967171', '0.713616', '-5347.24', '5.82099', '2728.22', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311354', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.754571', '0', '-0.656219', '-5376.62', '4.54435', '2748.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311355', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.941345', '0', '0.337447', '-5355.74', '4.1506', '2752.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311356', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.439462', '0', '0.898261', '-5369.01', '4.92017', '2770.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311357', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.41687', '0', '0.908966', '-5368.87', '4.46547', '2743.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311375', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0.00974385', '0.914062', '0.0279992', '-0.404489', '-5312.26', '6.05615', '2705.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311376', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0.00119539', '-0.681734', '-0.0299779', '0.730984', '-5315.35', '7.03822', '2708.59', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311377', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0.00410337', '0.914164', '0.0232658', '-0.404656', '-5318.36', '6.0206', '2711.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311378', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '-0.000427123', '0.914809', '0.0222313', '-0.403274', '-5309.43', '7.23468', '2702.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311380', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0.0150183', '0.00341764', '-0.0348819', '0.999273', '-5326.11', '6.45547', '2735.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311381', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '-0.00495637', '-0.360836', '-0.0048267', '0.932604', '-5322.72', '5.38397', '2738.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311382', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0.0121548', '-0.361196', '-0.00308197', '0.932406', '-5329.38', '5.41826', '2732.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311385', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '0.39861', '0', '0.91712', '-5328.89', '5.22211', '2738.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311386', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '-0.0374955', '-0.692292', '-0.0100475', '0.720572', '-5332.05', '5.83349', '2742.22', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311396', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.366273', '0', '0.930507', '-5314.6', '6.3523', '2735.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311397', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.999526', '0', '0.0307906', '-5268.24', '8.16602', '2672.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311398', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '0', '-0.376297', '0', '0.926499', '-5365.66', '6.75424', '2733.92', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311399', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_2.iff', '0', '-0.492535', '0', '0.870293', '-5368.86', '0.162666', '2743.72', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311411', '0', 'object/static/installation/shared_mockup_power_generator_photo_bio_style_1.iff', '0.0170251', '0.3849', '0.0140483', '0.922694', '-5343.21', '6.3445', '2705', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311412', '0', 'object/static/flora/shared_flora_tree_palm_sm.iff', '0', '0.0948575', '0', '0.995491', '-5293.96', '6.2201', '2719.29', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311413', '0', 'object/static/flora/shared_flora_tree_palm_sm.iff', '0', '0', '0', '1', '-5300.14', '6.94663', '2713.38', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311414', '0', 'object/static/flora/shared_flora_tree_palm_sm.iff', '0', '0.902268', '0', '-0.431177', '-5276.69', '8.16203', '2701.02', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311415', '0', 'object/static/flora/shared_flora_tree_palm_sm.iff', '0', '0.902268', '0', '-0.431176', '-5280.13', '8.4982', '2696.6', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311447', '0', 'object/static/flora/shared_flora_plant_tato_falotil.iff', '0', '0.994409', '0', '-0.1056', '-5264.95', '8.2097', '2700.82', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311448', '0', 'object/static/flora/shared_flora_plant_tato_falotil.iff', '0', '0.994409', '0', '-0.1056', '-5261.03', '8.38877', '2697.8', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311450', '0', 'object/static/flora/shared_flora_plant_tato_falotil.iff', '0', '0.994409', '0', '-0.1056', '-5256.9', '8.48939', '2694.88', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311451', '0', 'object/static/flora/shared_flora_plant_tato_falotil.iff', '0', '0.98279', '0', '-0.184729', '-5299.17', '6.21355', '2728.14', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311453', '0', 'object/static/flora/shared_flora_plant_tato_falotil.iff', '0', '0.98279', '0', '-0.184729', '-5304.82', '5.94822', '2734.54', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311455', '0', 'object/static/flora/shared_flora_plant_tato_falotil.iff', '0', '0.98279', '0', '-0.184729', '-5293.54', '6.56543', '2721.75', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311456', '0', 'object/static/structure/tatooine/shared_planter_hanging_style_01.iff', '0', '0.912764', '0', '-0.408488', '-5311.25', '7.12595', '2734.94', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311457', '0', 'object/static/structure/tatooine/shared_planter_hanging_style_01.iff', '0', '0.930216', '0', '-0.367014', '-5274.02', '9.52501', '2701.74', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311467', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.139543', '0', '0.990216', '-2992.3', '5', '1960.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311468', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.139543', '0', '0.990216', '-2994.96', '5', '1970.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311472', '0', 'object/building/tatooine/shared_housing_tatt_style01_small.iff', '0', '-0.129634', '0', '0.991562', '-2997.94', '5', '1913.58', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311473', '1311472', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514743', '1311473', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.443948', '0', '0.896052', '-1.41267', '0.252084', '3.61919', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514744', '1311473', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '0', '0', '1', '1.11857', '0.253115', '3.59898', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514745', '1311473', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.430458', '0', '0.902611', '3.84175', '0.252665', '3.51261', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514747', '1311473', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s01.iff', '0', '0.780209', '0', '0.625519', '4.83035', '0.251439', '3.584', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514748', '1311473', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s1.iff', '0', '0.21823', '0', '0.975897', '4.7392', '0.252248', '5.74799', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514749', '1311473', 'object/static/structure/general/shared_data_terminal_free_s1.iff', '0', '0.912764', '0', '-0.408487', '2.82583', '0.258025', '6.36446', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514750', '1311473', 'object/static/structure/general/shared_data_terminal_wall_s3.iff', '0', '0.466209', '0', '0.884675', '-2.0262', '0.250034', '4.03712', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311474', '1311472', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514751', '1311474', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s4.iff', '0', '-0.488177', '0', '0.872745', '-2.52863', '0.227994', '1.06693', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311475', '1311472', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500346', '1311472', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500347', '1311472', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500348', '1311472', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500349', '1311472', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500350', '1311472', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500351', '1311472', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514746', '1500351', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0.707103', '0', '0', '0.70711', '1.13421', '0.276211', '2.50062', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514762', '1500351', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s03.iff', '0', '0', '0', '1', '1.03359', '0.257929', '0.0180109', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1500352', '1311472', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514752', '1500352', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s1.iff', '0', '1', '0', '-3.20013e-08', '-1.36681', '-0.378217', '-2.53513', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514754', '1500352', 'object/tangible/furniture/all/shared_frn_all_couch_divan_s1.iff', '0', '1', '0', '-3.20013e-08', '-0.850322', '-0.378217', '-3.13956', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514755', '1500352', 'object/tangible/furniture/all/shared_frn_all_chair_upholstered_s1.iff', '0', '-0.342898', '0', '0.939373', '1.50845', '-0.378217', '-5.53728', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514756', '1500352', 'object/tangible/furniture/all/shared_frn_all_chair_recliner_s1.iff', '0', '0.40319', '0', '0.915116', '-2.88666', '-0.378217', '-5.69712', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514757', '1500352', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff', '0', '0', '0', '1', '-0.91101', '-0.378217', '-5.55483', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514758', '1500352', 'object/tangible/furniture/modern/shared_cabinet_modern_style_01.iff', '0', '0', '0', '1', '3.5065', '-0.378217', '-6.48836', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514759', '1500352', 'object/tangible/furniture/modern/shared_armoire_modern_style_01.iff', '0', '0.958016', '0', '-0.286715', '1.16734', '-0.378217', '-0.737162', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514760', '1500352', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff', '0', '0.699716', '0', '0.714421', '-5.15867', '-0.378217', '-4.44798', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514761', '1500352', 'object/tangible/furniture/modern/shared_rug_rect_m_s01.iff', '0', '-0.707103', '0', '0.70711', '-0.819539', '-0.378217', '-4.24558', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514764', '1500352', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0', '0.707103', '0', '0.70711', '5.05502', '0.281076', '1.75281', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311483', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '-0.13459', '0', '0.990901', '-2970.78', '5', '1904.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311484', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '-0.518418', '0', '0.855128', '-2964.84', '5', '1910.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311485', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.227977', '0', '0.973666', '-2979.52', '5', '1906.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311486', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0', '0', '1', '-2970.3', '5', '1908.56', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311487', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0', '0', '1', '-2967.34', '5', '1913.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311488', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '-2966.83', '5', '1914.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311489', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0', '0', '1', '-2968.03', '5', '1913.51', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311490', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '-2980.94', '5', '1910.07', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311491', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '-2980.37', '5', '1910.5', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311492', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '-2973.78', '5', '1907.24', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311493', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '-2975', '5', '1906.87', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311494', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '-0.276356', '0', '0.961055', '-3004.39', '5', '1921.03', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311495', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.430458', '0', '0.902611', '-3004.97', '5', '1920.62', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311496', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0', '0', '1', '-3005.1', '5', '1921.22', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311497', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '-2996.05', '5', '1923.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311498', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.169182', '0', '0.985585', '-2997.03', '5', '1922.7', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311499', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '0', '0', '1', '-2994.54', '5', '1922.27', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311520', '0', 'object/static/structure/tatooine/shared_streetsign_upright_style_01.iff', '0', '0.29552', '0', '0.955337', '3296.48', '5', '-4815.56', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311523', '0', 'object/static/structure/tatooine/shared_wall_gate_tatooine_wide_style_01.iff', '0', '0.902953', '0', '0.429739', '3283.56', '5', '-4839.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311524', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.430458', '0', '0.902611', '3290.03', '5', '-4844.34', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311525', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.430458', '0', '0.902611', '3291.58', '5', '-4845.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311526', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.430458', '0', '0.902611', '3290.8', '5', '-4844.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311527', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.448423', '0', '0.893821', '3276.9', '5', '-4833.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311528', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.448423', '0', '0.893821', '3275.29', '5', '-4832.55', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311529', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.448423', '0', '0.893821', '3276.1', '5', '-4833.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311534', '0', 'object/static/flora/shared_flora_tree_tato_touchnot.iff', '0', '-0.685289', '0', '0.728272', '3292.88', '5', '-4869.37', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311536', '0', 'object/static/structure/tatooine/shared_planter_hanging_style_01.iff', '0', '0.891207', '0', '0.453596', '3293.75', '6.73926', '-4875.75', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311537', '0', 'object/static/structure/tatooine/shared_planter_hanging_style_01.iff', '0', '0.897911', '0', '0.440178', '3293.73', '5.98031', '-4875.77', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311544', '0', 'object/static/structure/tatooine/shared_planter_hanging_style_01.iff', '0', '-0.453596', '0', '0.891208', '3239.8', '6.61476', '-4842.23', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311545', '0', 'object/static/structure/tatooine/shared_planter_hanging_style_01.iff', '0', '-0.440178', '0', '0.89791', '3239.82', '5.85581', '-4842.21', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311549', '0', 'object/static/structure/tatooine/shared_planter_hanging_style_01.iff', '0', '-0.453596', '0', '0.891207', '3257.18', '6.00998', '-4820.39', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311552', '0', 'object/static/structure/tatooine/shared_planter_window_style_01.iff', '0', '0.942755', '0', '-0.333487', '3256.5', '6.17282', '-4824.41', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311553', '0', 'object/static/flora/shared_flora_tree_tato_touchnot.iff', '0', '0.620984', '0', '0.783823', '3240.8', '5', '-4848.45', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311554', '0', 'object/static/flora/shared_flora_tree_tato_touchnot.iff', '0', '0.991458', '0', '0.130424', '3247.71', '5', '-4839.85', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311555', '0', 'object/static/flora/shared_flora_tree_tato_touchnot.iff', '0', '0.576958', '0', '0.816774', '3258.01', '5', '-4826.46', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311556', '0', 'object/static/flora/shared_flora_plant_tato_falotil.iff', '0', '0.266731', '0', '0.963771', '3243.46', '5', '-4843.09', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311557', '0', 'object/static/flora/shared_flora_plant_tato_falotil.iff', '0', '0', '0', '1', '3245.95', '5', '-4840.37', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311558', '0', 'object/static/flora/shared_flora_plant_tato_falotil.iff', '0', '-0.261909', '0', '0.965092', '3241.41', '5', '-4841.5', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311559', '0', 'object/static/flora/shared_flora_plant_tato_falotil.iff', '0', '0.144493', '0', '0.989506', '3243.15', '5', '-4838.23', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311562', '0', 'object/static/flora/shared_flora_plant_tato_hubba.iff', '0', '0.13459', '0', '0.990901', '3243.52', '5', '-4840.81', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311563', '0', 'object/static/flora/shared_flora_plant_tato_pika.iff', '0', '0.13459', '0', '0.990901', '3243.25', '5', '-4841.7', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311565', '0', 'object/static/flora/shared_flora_plant_tato_pika_tri.iff', '0', '0.617059', '0', '0.786917', '3244.22', '5', '-4840.24', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311568', '0', 'object/static/flora/shared_flora_plant_tato_hubba.iff', '0', '-0.568762', '0', '0.822502', '3251.3', '5', '-4884.67', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311569', '0', 'object/static/flora/shared_flora_plant_tato_hubba.iff', '0', '0', '0', '1', '3246.91', '5', '-4880.95', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311570', '0', 'object/static/flora/shared_flora_plant_tato_pika_tri.iff', '0', '0', '0', '1', '3249.62', '5', '-4883.27', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311571', '0', 'object/static/flora/shared_flora_plant_tato_pika_tri.iff', '0', '-0.706825', '0', '0.707388', '3248.27', '5', '-4882.04', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311572', '0', 'object/static/flora/shared_flora_plant_tato_pika.iff', '0', '-0.29552', '0', '0.955337', '3248.92', '5', '-4882.59', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311589', '0', 'object/static/flora/shared_flora_tree_tato_touchnot.iff', '0', '0.651834', '0', '0.758362', '3245.93', '5', '-4870.07', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311590', '0', 'object/static/flora/shared_flora_tree_tato_touchnot.iff', '0', '-0.266731', '0', '0.963771', '3262.19', '5', '-4882.62', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311592', '0', 'object/static/structure/tatooine/shared_planter_window_style_01.iff', '0', '0.944411', '0', '-0.328769', '3248.73', '6.69135', '-4883.52', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311594', '0', 'object/static/structure/tatooine/shared_planter_window_style_01.iff', '0', '0.946043', '0', '-0.324043', '3249.02', '7.47654', '-4888.33', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311597', '0', 'object/static/structure/tatooine/shared_planter_window_style_01.iff', '0', '0.94441', '0', '-0.328769', '3243.77', '7.52519', '-4884.2', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311606', '0', 'object/static/flora/shared_flora_tree_palm_thk.iff', '0', '0', '0', '1', '3243.11', '5.98209', '-4873.65', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311664', '0', 'object/static/flora/shared_flora_tree_palm_thk.iff', '0', '0', '0', '1', '3259.29', '5.98209', '-4886.45', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311669', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0', '0', '1', '3236.22', '5', '-4870.84', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311670', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.983986', '0', '0.178245', '3235.3', '5', '-4870.29', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311671', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.941345', '0', '0.337447', '3236.21', '5', '-4869.83', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311672', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.381661', '0', '0.924302', '3235.86', '5', '-4871.89', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311673', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '0', '0', '0', '1', '3236.26', '5', '-4870.85', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311674', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.00840727', '0', '0.999965', '3237.22', '5', '-4871.46', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311675', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.32877', '0', '0.94441', '3299.77', '5', '-4885.88', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311676', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.32877', '0', '0.94441', '3291.5', '5', '-4879.57', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311677', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.895699', '0', '0.444661', '3280.15', '5', '-4916.17', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311678', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.895699', '0', '0.444661', '3286.28', '5', '-4907.77', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311679', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.895699', '0', '0.444661', '3273.85', '5', '-4924.76', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311680', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.895699', '0', '0.444661', '3267.72', '5', '-4933.16', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311683', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0.636538', '0', '0.771246', '3277.12', '5', '-4920.45', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311684', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0.934408', '0', '0.356205', '3267.12', '4.3043', '-4903.07', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311692', '0', 'object/static/structure/tatooine/shared_planter_hanging_style_01.iff', '0', '0.309437', '0', '0.95092', '3341.25', '6.79942', '-4894.65', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311693', '0', 'object/static/structure/tatooine/shared_planter_hanging_style_01.iff', '0', '0.323667', '0', '0.946171', '3341.27', '6.04047', '-4894.67', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311694', '0', 'object/static/flora/shared_flora_tree_tato_touchnot.iff', '0', '0.999792', '0', '-0.0203956', '3334.75', '5', '-4895.73', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311700', '0', 'object/static/flora/shared_flora_tree_tato_touchnot.iff', '0', '0.0203949', '0', '0.999792', '3292.51', '5', '-4930.62', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311703', '0', 'object/static/structure/tatooine/shared_planter_hanging_style_01.iff', '0', '0.95092', '0', '-0.309437', '3286.1', '6.72711', '-4931.6', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311704', '0', 'object/static/structure/tatooine/shared_planter_hanging_style_01.iff', '0', '0.946171', '0', '-0.323667', '3286.08', '5.96816', '-4931.58', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311739', '0', 'object/static/structure/tatooine/shared_planter_window_style_01.iff', '0', '0.900274', '0', '0.435325', '3327.34', '6.64091', '-4922.18', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311748', '0', 'object/static/structure/tatooine/shared_planter_window_style_01.iff', '0', '0.902439', '0', '0.430818', '3327.96', '6.3011', '-4927.11', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311753', '0', 'object/static/flora/shared_flora_plant_tato_pika.iff', '0', '0.884489', '0', '-0.466561', '3326.63', '5', '-4922.13', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311758', '0', 'object/static/flora/shared_flora_plant_tato_pika_tri.iff', '0', '1', '0', '-0.00040053', '3326.07', '5', '-4922.78', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311761', '0', 'object/static/flora/shared_flora_plant_tato_hubba.iff', '0', '0.983772', '0', '-0.179421', '3327.81', '5', '-4920.31', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311762', '0', 'object/static/flora/shared_flora_plant_tato_pika_tri.iff', '0', '-0.707094', '0', '0.70712', '3327.31', '5', '-4921.42', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311764', '0', 'object/static/structure/tatooine/shared_planter_window_style_01.iff', '0', '0.895876', '0', '0.444306', '3332.21', '7.42609', '-4921.87', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311766', '0', 'object/static/structure/tatooine/shared_planter_window_style_01.iff', '0', '0.900274', '0', '0.435324', '3328.11', '7.47474', '-4927.14', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311769', '0', 'object/static/structure/tatooine/shared_planter_window_style_01.iff', '0', '0.898086', '0', '0.439818', '3332.14', '6.25245', '-4921.72', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311770', '0', 'object/static/flora/shared_flora_plant_tato_hubba.iff', '0', '-0.707093', '0', '0.70712', '3325.5', '5', '-4923.32', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311808', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0.0877297', '-0.433236', '0.0479033', '0.89572', '3402.11', '5.51249', '-4977.77', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311809', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0.182016', '0.334053', '-0.0382182', '0.924023', '3502.58', '5.79292', '-4867.72', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311812', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.947396', '0', '-0.320064', '3409.31', '5', '-4834.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311814', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '-0.430457', '0', '0.902611', '3465.32', '5', '-4811.55', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311815', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '-0.0219499', '-0.415069', '0.0348519', '0.908857', '3464.76', '4.89848', '-4811.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311816', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0', '-0.457339', '0', '0.889293', '3482.83', '5', '-4820.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311817', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.548024', '0', '0.836463', '3475.71', '7.49552', '-4694.05', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311818', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.996865', '0', '0.0791208', '3486.99', '7.48434', '-4676.58', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311820', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.271547', '0', '0.962425', '3420.86', '5', '-4745.1', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311822', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.87959', '0', '0.475732', '3360.52', '7.49947', '-4705.37', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311823', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.87959', '0', '0.475732', '3349.21', '7.4982', '-4722.35', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311842', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0.00109776', '0.993906', '-0.109772', '0.00993941', '3701.89', '5.55737', '-4737.61', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311843', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '1', '0', '1.49012e-08', '3702.04', '5', '-4738.2', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311844', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '-0.109778', '0', '0.993956', '3707.48', '5', '-4862', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311846', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.87556', '0', '0.48311', '3296.18', '5', '-4617.95', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311847', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '-0.0894774', '-0.453325', '-0.0213385', '0.886586', '3295.94', '5.44481', '-4617.74', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311848', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '-0.361615', '0', '0.932327', '1762.81', '7', '3134.41', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311849', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '-0.0338514', '0.930189', '0.117003', '0.346282', '1762.08', '7.57065', '3133.79', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311874', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0', '0', '1', '1510.8', '7', '3395.63', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311875', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0.0998283', '-0.00994958', '0.00099802', '0.994954', '1509.71', '7.53618', '3396.28', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311884', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0', '0', '1', '1561.01', '7', '3396.98', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311885', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0.099828', '-0.00995007', '0.000998005', '0.994954', '1561.91', '7.50597', '3397.85', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1311888', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '-0.707028', '0', '0.707185', '1339.53', '7', '3379.93', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1315851', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.707094', '0', '0.70712', '1496.64', '7', '3114.74', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1315854', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0.0961141', '0.693613', '-0.0942107', '0.707664', '1497.07', '7.61095', '3115.81', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1315855', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '-0.703279', '0', '0.710914', '1573.31', '7', '3026.77', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1315859', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.710914', '0', '0.703279', '1548.77', '7', '3026.56', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1315861', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.9998', '0', '0.0199987', '1363.53', '7', '2997.2', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1315862', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.999688', '0', '0.0249974', '1392.71', '7', '2998.08', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1315918', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_meat_rack.iff', '0', '-0.356949', '0', '0.934124', '1595.32', '7', '3347.23', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1315919', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_fruit_stand_small_style_01.iff', '0', '0.992713', '0', '-0.120501', '1592.21', '7', '3346.58', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1315921', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_large.iff', '0', '-0.681638', '0', '0.731689', '1593.42', '7', '3344.12', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1315922', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.976806', '0', '0.214125', '1605.15', '7', '3352.05', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1315923', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '0', '0', '1', '1606.31', '7', '3352.09', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1315924', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.981854', '0', '-0.189641', '1607.84', '7', '3352.84', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1315925', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_large.iff', '0', '0.114747', '0', '0.993395', '1606.82', '7', '3354.85', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1315928', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '-0.29552', '0', '0.955337', '1611.14', '7', '3354.59', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1315929', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '1603.13', '7', '3351.39', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1315930', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.174108', '0', '0.984727', '1602.59', '7', '3353.7', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1315931', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '1611.17', '7', '3357.46', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1315938', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '0', '-0.206906', '0', '0.978361', '1551.6', '7', '3335.51', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1315939', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.91071', '0', '-0.413046', '1549.24', '7', '3337.68', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1315940', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.999168', '0', '-0.0407855', '1549.92', '7', '3336.23', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1315942', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.792563', '0', '-0.60979', '1551.78', '7', '3332.24', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1315945', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.430458', '0', '0.902611', '1551.04', '7', '3337.95', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1315946', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.394019', '0', '0.919102', '1550.83', '7', '3331.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1315948', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.213347', '0', '0.976976', '1550.12', '7', '3332.44', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1315951', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0.783326', '0', '-0.62161', '1555.74', '7', '3345.04', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1315952', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.814341', '0', '0.580387', '1553.57', '7', '3345.52', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1315953', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.261909', '0', '0.965092', '1555.17', '7', '3343.72', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1315954', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_meat_rack.iff', '0', '0.999415', '0', '0.0341962', '1553.78', '7', '3347.37', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1315955', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_meat_rack.iff', '0', '0.939099', '0', '-0.343646', '1555.67', '7', '3348.47', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1315956', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '0', '0.421408', '0', '0.906871', '1555.71', '7', '3346.58', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1315958', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.902439', '0', '0.430817', '-1104.23', '12', '-3595.78', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316018', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '-0.139543', '0', '0.990216', '1605.47', '7', '3101.36', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316019', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '0.309817', '0', '0.950796', '1606.66', '7', '3101.95', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316020', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.0199987', '0', '0.9998', '1607.97', '7', '3101.63', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316021', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_large.iff', '0', '0.692538', '0', '0.721382', '1604.22', '7', '3104.66', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316023', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.309817', '0', '0.950796', '1605.61', '7', '3108.34', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316024', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.0149996', '0', '0.999888', '1607.52', '7', '3106.13', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316026', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.470626', '0', '0.882333', '1601.1', '7', '3106.72', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316028', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.470626', '0', '0.882333', '1602.95', '7', '3104.84', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316030', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '-0.109777', '0', '0.993956', '1573.05', '7', '3101.46', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316031', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '-0.0499795', '0', '0.99875', '1574.18', '7', '3101.74', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316032', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.384808', '0', '0.922997', '1572.27', '7', '3102.93', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316033', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_meat_rack.iff', '0', '-0.624896', '0', '0.780708', '1576.61', '7', '3102.34', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316035', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '0', '0.70677', '0', '0.707443', '1575.77', '7', '3101.87', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316036', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '-1443.94', '12', '-3657.64', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316037', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '-1445.1', '12', '-3656.83', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316038', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '-0.0547863', '0.46531', '0.0228781', '0.883154', '-1460.52', '11.7309', '-3674.96', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316039', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '-0.0258186', '0.464785', '0.0242334', '0.884715', '-1458.51', '11.7843', '-3676.66', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316040', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0.144493', '0', '0.989506', '-1444.95', '12.0784', '-3659.21', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316044', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_meat_rack.iff', '0', '0.813415', '0', '-0.581684', '1572.5', '7', '3122.81', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316045', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_fruit_stand_small_style_01.iff', '0', '0.998153', '0', '-0.0607566', '1569.64', '7', '3125.18', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316047', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_large.iff', '0', '-0.681638', '0', '0.731689', '1570.42', '7', '3120.78', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316060', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '1592.09', '7', '3125.58', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316062', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '1593.95', '7', '3122.86', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316064', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '1593.44', '7', '3125.88', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316065', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '-0.069943', '0', '0.997551', '1593.14', '7', '3124.08', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316066', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.906534', '0', '0.422132', '1599.15', '7', '3127.02', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316067', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.959012', '0', '0.283366', '1597.37', '7', '3124.81', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316068', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '0.319309', '0', '0.947651', '1598.27', '7', '3125.86', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316069', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0.942489', '0', '0.334238', '1598.71', '7', '3125.62', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316074', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '-0.531186', '0', '0.847255', '-1015.47', '10', '-3533.41', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316076', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.0898786', '0', '0.995953', '-1019.81', '10', '-3531.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316077', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.237703', '0', '0.971338', '-1019.25', '10', '-3530.62', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316078', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '-0.183946', '0', '0.982936', '-1018.16', '10', '-3529.09', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316079', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.416871', '0', '0.908966', '-1019.03', '10', '-3529.74', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316081', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.991458', '0', '-0.130424', '-1023.33', '10', '-3559.05', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316082', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.203567', '0', '0.979061', '-1023.98', '10', '-3558.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316084', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.747971', '0', '0.663731', '-1023.48', '10', '-3559.93', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316111', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.958786', '0', '-0.284128', '3302.83', '5', '-4651.33', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316112', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.954417', '0', '-0.298477', '3277.48', '5', '-4686.64', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316115', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.881958', '0', '0.471329', '3487.44', '5', '-4709.21', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316116', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.872355', '0', '0.488873', '3505.5', '5', '-4681.54', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316120', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.540302', '0', '0.841471', '3571.05', '5', '-4702.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316125', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.333488', '0', '0.942755', '3501.72', '5', '-4867.43', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316128', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '0.314566', '0', '0.949236', '3414.45', '5', '-4980.86', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316130', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '-0.452886', '0', '0.891568', '3403.07', '5', '-4977.57', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316134', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.960835', '0', '-0.277121', '3250.23', '5.57413', '-4765.97', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316137', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '-0.032172', '0.931175', '-0.125579', '-0.340746', '3250.64', '6.19916', '-4766.05', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316138', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.913089', '0', '-0.40776', '-2942.68', '5', '2535.5', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316141', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '-0.041726', '0.91228', '-0.096143', '-0.395929', '-2943.24', '5.51787', '2536.08', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316144', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.777072', '0', '-0.629412', '-2981.17', '5', '2431.13', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316147', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.621448', '0', '0.783456', '-2998.46', '7.51027', '2432.49', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316148', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.628793', '0', '0.777572', '-2995.99', '7.46658', '2421.52', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316157', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.992198', '0', '0.124675', '-3009.29', '5', '2378.14', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316160', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0.0147751', '0.984912', '-0.108779', '0.133777', '-3009.99', '5.53759', '2377.66', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316173', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.992904', '0', '0.118922', '-3141.6', '5', '2302.57', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316180', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.798621', '0', '-0.601835', '-3072.76', '5', '2097.85', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316183', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.601836', '0', '0.79862', '-3062.76', '5', '2095.69', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316187', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.628793', '0', '0.777573', '-2878.71', '5', '1973.36', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316189', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.636537', '0', '0.771246', '-2882.31', '5', '1992.81', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316212', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '-0.187684', '0', '0.982229', '-2719.22', '5', '2225.33', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316213', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0.126532', '-0.215618', '0.0281893', '0.967835', '-2718.3', '5.63246', '2225.56', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316235', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.844589', '0', '0.535416', '-2928.28', '5', '2139.59', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316238', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0.046526', '0.833443', '-0.0710137', '0.546046', '-2928.23', '5.40866', '2138.6', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316249', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '-0.13459', '0', '0.990901', '-2998.63', '5', '2110.53', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316252', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0.0987858', '-0.143771', '0.0144252', '0.984562', '-2998.76', '5.45548', '2110.84', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316253', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '1', '0', '-1.49012e-08', '-3015.08', '5', '2246.68', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316256', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0.000749293', '0.997139', '-0.074926', '0.00997183', '-3014.93', '5.38814', '2246.69', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316261', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.997551', '0', '-0.0699428', '-2708.02', '5', '2067.46', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316264', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0.994493', '0', '-0.104807', '-2708.78', '5', '2066.74', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316285', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0.80162', '0', '-0.597834', '67.104', '52', '-5309.39', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316287', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '-0.0701369', '0.794448', '-0.0894993', '-0.596593', '67.163', '52.8275', '-5309.39', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316289', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_fruit_stand_large_style_01.iff', '0', '1', '0', '-3.20013e-08', '74.2941', '52', '-5308.54', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316291', '0', 'object/static/structure/tatooine/shared_planter_hanging_style_01.iff', '0', '0.717356', '0', '0.696707', '83.3031', '52', '-5317.16', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316292', '0', 'object/static/structure/tatooine/shared_planter_hanging_style_01.iff', '0', '0.717356', '0', '0.696707', '83.2143', '52', '-5320.7', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316293', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '-0.300293', '0', '0.953847', '62.7257', '52.8538', '-5306.5', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316294', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '-0.0569111', '-0.104174', '0.0938744', '0.988482', '-4778.19', '85.0823', '-3013.86', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316295', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0.0549826', '0.390164', '0.128254', '0.91011', '-4779.42', '84.7234', '-3017.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316296', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0.0662363', '0.185826', '0.0282149', '0.979942', '-4778.81', '84.6767', '-3024.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316297', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0.0229335', '0.182511', '0.122547', '0.975267', '-4781.18', '84.4621', '-3020.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316298', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0.0156166', '0.183282', '0.083449', '0.979388', '-4770.5', '84.292', '-3019.35', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316299', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '-0.0177938', '0.182918', '0.0135013', '0.982874', '-4776.62', '84.7685', '-3020.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316302', '0', 'object/static/structure/general/shared_gravestone_generic_style_02.iff', '-0.0362894', '0.604098', '-0.0477364', '0.794651', '-4774.84', '86.6349', '-3003.59', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1316303', '0', 'object/static/structure/general/shared_gravestone_generic_style_03.iff', '0', '0.696136', '0', '0.71791', '-4774.85', '86.7343', '-3001.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1317841', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_head_style_02.iff', '-0.0799484', '-0.681147', '-0.0752299', '0.72387', '-4650.01', '29.4479', '-1912.68', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1317842', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_ribcage.iff', '0.0365692', '0.635742', '-0.0340677', '0.770282', '-4642.62', '28.4962', '-1912.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1317843', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_tail.iff', '0.0723141', '-0.261173', '0.0196248', '0.962379', '-4635.37', '28.4636', '-1915.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1318087', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '0.34759', '0', '0.937646', '5721.13', '34.3218', '1888.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1318088', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0.0182903', '0.479132', '0.0298323', '0.877045', '5717.73', '34.4143', '1869.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1318089', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '-0.00756619', '0.702876', '0.015761', '0.711097', '5715.71', '35.4273', '1873.35', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1318091', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0.692537', '0', '0.721383', '5729.6', '32.0401', '1909.39', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1318092', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '0.727726', '0', '0.685868', '5728.86', '32.2298', '1905.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1318093', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '0.802571', '0', '-0.596557', '5728', '31.9641', '1915.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1318094', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '-0.613117', '0', '0.789992', '5727.99', '33.9124', '1900.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1318095', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0', '0.227978', '0', '0.973666', '5727.65', '33.6366', '1897.99', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1318107', '0', 'object/static/structure/tatooine/shared_wall_gate_tatooine_style_02.iff', '0', '0', '0', '1', '5715.37', '35.1145', '1878.39', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1318108', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '-0.696135', '0', '0.717911', '5714.65', '34.9572', '1883.35', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1318109', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '-0.324044', '0', '0.946042', '5727.82', '35.6865', '1856.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1318110', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0.0340773', '-0.68122', '-0.0079502', '0.731242', '5732.68', '36.399', '1844.58', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1318111', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '0', '0', '1', '5707.31', '33.0617', '1882.91', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1318112', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '0.999415', '0', '0.0341969', '5695.9', '32.8347', '1882.41', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1318113', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '0.685289', '0', '0.728271', '5702.88', '33.946', '1872.62', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1318114', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0', '0', '1', '5701.9', '33.3564', '1883.27', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1318115', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '-0.0399893', '0', '0.9992', '5692.9', '34.0649', '1872.76', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1322869', '0', 'object/static/item/shared_item_container_inorganic_chemicals.iff', '0', '-0.164252', '0', '0.986418', '-5035.05', '75', '-6607.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1322870', '0', 'object/static/item/shared_item_rocket_launcher.iff', '0', '0', '0.70328', '0.710913', '-5035.06', '75.3795', '-6608.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1322871', '0', 'object/static/item/shared_item_ammo_rocket.iff', '0', '0', '0', '1', '-5035.02', '75.3795', '-6607.74', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1322872', '0', 'object/static/item/shared_item_ammo_rocket.iff', '0', '-0.17903', '0', '0.983844', '-5035.18', '75.3795', '-6607.75', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1322876', '0', 'object/static/item/shared_armor_bone_helmet.iff', '-0.107215', '-0.395445', '-0.0411832', '0.91128', '1251.02', '3.33592', '3246.43', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1322877', '0', 'object/static/item/shared_armor_composite_helmet.iff', '-0.0799137', '-0.00498399', '0.000399572', '0.996789', '1250.74', '3.33592', '3245.81', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1322878', '0', 'object/static/item/shared_armor_chitin_chestplate.iff', '0.0649542', '0', '0', '0.997888', '1249.13', '4', '3249.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1322879', '0', 'object/static/item/shared_armor_composite_chestplate.iff', '-0.375559', '0', '0', '0.926798', '1247.24', '3.87351', '3246.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1322880', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.099833', '0', '0.995004', '1247.24', '4.60083', '3244.69', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1322881', '0', 'object/static/item/shared_item_ammo_rocket.iff', '0', '0', '0', '1', '1551.01', '7.75895', '3334.63', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1322882', '0', 'object/static/item/shared_item_ammo_rocket.iff', '0', '-0.324043', '0', '0.946042', '1551.08', '7.75895', '3334.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1322883', '0', 'object/static/item/shared_item_rocket_launcher.iff', '0.5', '0.5', '0.5', '0.5', '1550.66', '7.78', '3334.29', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1322885', '0', 'object/static/item/shared_item_decryptor_imperial.iff', '0', '0.780209', '0', '0.625519', '1550.42', '7.75895', '3334.95', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1322887', '0', 'object/static/item/shared_item_tool_radio.iff', '0', '0.628793', '0', '0.777573', '1550.2', '7.72733', '3334.35', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324841', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0.00794497', '0.314182', '-0.0236987', '0.949034', '5725.39', '37.7087', '1830.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324842', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '-0.00592023', '0.938524', '0.034488', '0.343435', '5713.98', '38.2636', '1817.99', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324843', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0', '0.60916', '0', '0.793048', '5703.61', '39.7426', '1812.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324844', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '-0.109779', '0', '0.993956', '5701.58', '39.8523', '1813.19', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324845', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.982154', '0', '0.188078', '5705.42', '39.61', '1813.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324846', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '0.999023', '0', '-0.0441887', '5662.23', '36.842', '1875.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324847', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '-0.00500044', '0', '0.999987', '5663.54', '35.9074', '1894.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324848', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '-0.039989', '0', '0.9992', '5663.88', '36.7912', '1886.89', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324849', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '-0.0211768', '0.991057', '0.027857', '-0.128765', '5686.24', '38.7832', '1813.2', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324850', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0.0342892', '-0.660171', '-0.00697921', '0.7503', '5659.81', '37.4819', '1858.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324851', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0.00933324', '0.702848', '0.0337241', '0.710478', '5659.17', '38.2597', '1849.77', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324852', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.744643', '0', '0.667462', '5659.56', '37.8796', '1853.69', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324853', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '0.953607', '0', '0.301053', '5665.56', '39.5847', '1825.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324854', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '-0.0499788', '0', '0.99875', '5661.56', '40.0264', '1833.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324855', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '-0.576958', '0', '0.816774', '5673.07', '40.5641', '1817.59', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324856', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '0.999987', '0', '0.00500003', '5662.68', '36.0059', '1922.22', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324857', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0.670587', '0', '0.741831', '5663.36', '36.2405', '1930.38', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324858', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.992903', '0', '0.118923', '5662.45', '36.2627', '1907.66', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324859', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0', '-0.0349912', '0', '0.999388', '5663.15', '36.3705', '1905.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324860', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '-0.316078', '0', '0.948733', '5667.09', '35.1127', '1933.82', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324861', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.952575', '0', '0.304301', '5724.27', '33.4123', '1922.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324862', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0', '-0.276353', '0', '0.961056', '5725.97', '33.4375', '1921.16', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324863', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0', '0.710352', '0', '-0.703846', '5691.02', '34.3959', '1938.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324864', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0', '0.942755', '0', '0.333486', '5722.78', '33.6029', '1924.76', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324865', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0.00670577', '0.741791', '0.00741815', '-0.670555', '5680.13', '34.2896', '1937.73', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324866', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '0.865324', '0', '0.501212', '5712.29', '33.2699', '1932.66', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324867', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '0.999415', '0', '-0.0341972', '5698.96', '33.7688', '1937.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324868', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.991007', '0', '0.133803', '5671.73', '35.2702', '1935.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324869', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0.73793', '0', '0.674877', '5703.83', '33.8776', '1937', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324870', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.727727', '0', '-0.685865', '5658.77', '39.1815', '1843.82', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324871', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0.744643', '0', '-0.667463', '5684.29', '35.2436', '1871.96', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324872', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0.0249979', '0', '0.999687', '5675.35', '36.2176', '1872.14', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324873', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0.0349932', '0', '0.999388', '5675.44', '35.7238', '1882.79', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324874', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0.998152', '0', '0.0607585', '5684.53', '34.7529', '1881.21', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324875', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0.0668663', '0.695613', '-0.0273868', '0.714774', '5672.55', '35.9797', '1882.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324876', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '-0.0178405', '0.999286', '0.0301024', '-0.0142031', '5670.48', '35.9946', '1871.73', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324881', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0.0099587', '0.999899', '0.000906404', '0.00999546', '5673.02', '34.162', '1913.28', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324882', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0.00644278', '0.717866', '0.00764801', '-0.696107', '5682.14', '32.3745', '1922.68', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324883', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0.0016057', '0.70776', '-0.0261517', '-0.705966', '5690.97', '31.4032', '1917.81', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324884', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '0', '0', '1', '5691.25', '30.868', '1908.96', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324885', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0.998951', '0', '0.0457795', '5690.57', '31.869', '1922.21', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324886', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0.728817', '0', '-0.684708', '5672.97', '34.117', '1904.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324887', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0.699705', '0', '0.714431', '5691.57', '31.1699', '1904.04', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324888', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.717358', '0', '-0.696702', '5672.54', '34.235', '1922.17', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324889', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '-0.703273', '0', '0.710919', '5690.49', '30.9955', '1913.91', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324891', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '-0.0061319', '-0.689443', '-0.0078994', '0.72427', '5705.95', '30.9862', '1922.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324892', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0.001606', '0.70776', '-0.026152', '-0.705966', '5714.05', '30.8438', '1915.61', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324893', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '-0.0197936', '0.0083305', '0.0171674', '0.999622', '5696.31', '30.4985', '1904.36', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324894', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0.999815', '0', '-0.0192025', '5713.51', '31.1378', '1921.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324895', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.727725', '0', '-0.685869', '5713.21', '31.2555', '1904.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324896', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0.0316721', '0.731863', '0.0657281', '-0.677535', '5685.72', '32.1419', '1904.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324897', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0.0608944', '0.706327', '-0.0265988', '0.70476', '5688.63', '32.0899', '1904.33', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324898', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0.00426537', '0.333498', '-0.00904438', '0.942698', '5715.64', '36.262', '1828.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324899', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '-0.0240436', '0.30888', '0.010412', '0.95074', '5705.56', '35.9867', '1826.34', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324900', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '-0.435682', '0', '0.900101', '5710.21', '36.7366', '1823.56', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324901', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.281922', '0', '0.959437', '5697.22', '35.2827', '1833.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324902', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '-0.02427', '0.895004', '-0.009873', '0.445288', '5706.92', '33.336', '1847.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324903', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0.00988003', '0.998479', '0.00154255', '-0.0542046', '5664.63', '36.8893', '1851.25', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324904', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '-0.0167681', '0.999255', '-0.020133', '-0.0283173', '5671.8', '35.2922', '1858.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324905', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0.740762', '0', '0.671767', '5666.3', '36.1803', '1858.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324906', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '1', '0', '-7.09668e-07', '5682.57', '34.6741', '1857.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324907', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '-0.0026303', '-0.679548', '0.026069', '0.733163', '5682', '35.4866', '1840.86', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324908', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '-0.685866', '0', '0.727728', '5677.1', '35.7572', '1835.81', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324909', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '-0.0167681', '0.999255', '-0.020133', '-0.0283173', '5668.26', '36.6942', '1836.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324910', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0.695564', '0', '0.718464', '5663.83', '37.5109', '1835.91', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324911', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0.0191877', '0', '0.999816', '5682.03', '36.0747', '1835.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324912', '0', 'object/static/structure/general/shared_gravestone_generic_style_01.iff', '-0.0378605', '0.707089', '0.00492789', '-0.706093', '5654.82', '38.2895', '1859.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324913', '0', 'object/static/structure/general/shared_gravestone_generic_style_02.iff', '0.0284828', '-0.705916', '-0.0081875', '0.707676', '5648.82', '38.0582', '1859.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324914', '0', 'object/static/structure/general/shared_gravestone_generic_style_04.iff', '-0.0317108', '0.706597', '0.00585804', '-0.706881', '5648.82', '38.2588', '1855.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324915', '0', 'object/static/structure/general/shared_gravestone_generic_style_04.iff', '-0.0342629', '0.70672', '0.00407419', '-0.706651', '5648.82', '38.4662', '1851.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324916', '0', 'object/static/structure/general/shared_gravestone_generic_style_05.iff', '-0.0427176', '0.706691', '-0.0011011', '-0.706231', '5654.82', '38.8783', '1851.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324917', '0', 'object/static/structure/general/shared_gravestone_generic_style_01.iff', '-0.0407773', '0.706609', '0.00173606', '-0.706426', '5654.82', '38.5388', '1855.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324918', '0', 'object/static/structure/general/shared_skeleton_ithorian_head.iff', '0.0119398', '-0.000754438', '-0.0630567', '0.997938', '5688.6', '32.1392', '1907.32', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324919', '0', 'object/static/structure/general/shared_skeleton_ithorian_headandbody.iff', '0.0838702', '0.950738', '0.00863551', '-0.298311', '5717.55', '35.0401', '1881.39', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324920', '0', 'object/static/structure/general/shared_skeleton_ithorian_head.iff', '-0.00479972', '0.827402', '0.0911467', '0.554144', '5711.85', '34.5596', '1883.61', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324921', '0', 'object/static/structure/general/shared_skeleton_bith_head.iff', '-0.32649', '-0.342358', '-0.196761', '0.858767', '5710.98', '37.5267', '1825.53', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324922', '0', 'object/static/structure/general/shared_skeleton_bith_head.iff', '0.363549', '0.606492', '-0.105669', '-0.699167', '5713.56', '37.9923', '1824.69', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324923', '0', 'object/static/structure/general/shared_skeleton_bith_headandbody.iff', '0.0855502', '0.00597487', '0.0694141', '0.993895', '5716.58', '36.5142', '1833.64', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324924', '0', 'object/static/structure/general/shared_skeleton_bith_headandbody.iff', '0.0340566', '0.367215', '-0.0675138', '0.927057', '5675.6', '36.2266', '1856.28', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324925', '0', 'object/static/structure/general/shared_skeleton_bith_headandbody.iff', '-0.0156702', '-0.660653', '-0.092935', '0.744752', '5676.33', '36.9612', '1840.52', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324926', '0', 'object/static/structure/general/shared_skeleton_bith_head.iff', '-0.0626869', '0.0170121', '-0.261356', '0.963054', '5668.98', '38.0951', '1841.88', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324927', '0', 'object/static/structure/general/shared_skeleton_ithorian_headandbody.iff', '-0.03799', '0.747484', '-0.022467', '0.662812', '5707.75', '31.3573', '1917.3', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324928', '0', 'object/static/structure/general/shared_skeleton_ithorian_headandbody.iff', '0.00315971', '-0.337843', '0.0251593', '0.940861', '5709.34', '31.1484', '1911.57', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324929', '0', 'object/static/structure/general/shared_skeleton_ithorian_head.iff', '0.0160216', '0.172973', '-0.0442099', '0.983803', '5693.05', '31.6245', '1908.01', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324930', '0', 'object/static/structure/general/shared_skeleton_bith_headandbody.iff', '-0.0099186', '-0.000619941', '0.062378', '0.998003', '5712.14', '35.4374', '1871.27', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324931', '0', 'object/static/structure/general/shared_skeleton_bith_head.iff', '-0.408907', '0.468509', '-0.144227', '0.769735', '5716.42', '35.3035', '1875.08', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1324932', '0', 'object/static/structure/general/shared_skeleton_bith_head.iff', '-0.130131', '-0.0972893', '0.28877', '0.943511', '5730.71', '33.4033', '1879.11', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1340461', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0.144232', '-0.00866435', '-0.0889354', '0.985501', '-5382.7', '38.678', '-6167.91', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1345851', '0', 'object/building/tatooine/shared_filler_building_block_64x16_style_02.iff', '0', '0.942489', '0', '-0.334236', '3462.89', '5', '-4974.7', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1352647', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0.996024', '0', '0.0890853', '-5312.1', '5.73068', '2736.21', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1356865', '0', 'object/static/structure/general/shared_escape_pod.iff', '0.0222925', '0.229775', '0.72892', '-0.644501', '-3928.77', '37.0255', '-4426.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1356866', '0', 'object/static/structure/general/shared_escape_pod_door.iff', '0.703567', '0.167339', '-0.378321', '0.577809', '-3930.12', '35.2522', '-4420.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1356867', '0', 'object/static/structure/tatooine/shared_skeleton_greater_krayt_head.iff', '-0.00533804', '-0.22498', '0.309347', '0.923937', '-4664.44', '51.9422', '-4353.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1356868', '0', 'object/static/structure/tatooine/shared_skeleton_greater_krayt_spine_large.iff', '0.0329943', '-0.408018', '0.21174', '0.887468', '-4662.33', '53.0562', '-4355.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1356869', '0', 'object/static/structure/tatooine/shared_skeleton_greater_krayt_spine_medium.iff', '0.00233304', '-0.522998', '0.273622', '0.807217', '-4658.66', '54.1092', '-4358.36', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1356870', '0', 'object/static/structure/tatooine/shared_skeleton_greater_krayt_spine_medium.iff', '0.0184967', '-0.525601', '0.227044', '0.819666', '-4654.97', '55.2413', '-4360.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1356871', '0', 'object/static/structure/tatooine/shared_skeleton_greater_krayt_spine_medium.iff', '-0.130948', '-0.497415', '0.0281485', '0.857111', '-4647.74', '56.0394', '-4365.49', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1356872', '0', 'object/static/structure/tatooine/shared_skeleton_greater_krayt_spine_medium.iff', '-0.088568', '-0.536324', '-0.0181195', '0.839157', '-4643.9', '55.0993', '-4367.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1356873', '0', 'object/static/structure/tatooine/shared_skeleton_greater_krayt_spine_medium.iff', '-0.142112', '-0.526523', '0.104575', '0.83165', '-4635.97', '53.5472', '-4371.24', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1356874', '0', 'object/static/structure/tatooine/shared_skeleton_greater_krayt_spine_small.iff', '-0.142863', '-0.546956', '0.158249', '0.809559', '-4628.15', '52.6422', '-4374.66', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1356875', '0', 'object/static/structure/tatooine/shared_skeleton_greater_krayt_spine_medium.iff', '-0.152817', '-0.553132', '0.11352', '0.811052', '-4631.72', '52.9744', '-4372.87', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1356876', '0', 'object/static/structure/tatooine/shared_skeleton_greater_krayt_spine_medium.iff', '-0.188595', '-0.508941', '0.156276', '0.825221', '-4640.03', '54.2789', '-4369.54', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1356877', '0', 'object/static/structure/tatooine/shared_skeleton_greater_krayt_spine_medium.iff', '0.015886', '-0.513899', '0.151983', '0.844131', '-4651.12', '56.1489', '-4362.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1356878', '0', 'object/static/item/shared_item_container_energy_radioactive.iff', '-0.0499792', '0', '0', '0.99875', '-5287', '8.83296', '2669.53', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1356879', '0', 'object/static/item/shared_item_container_energy_solid.iff', '-0.0249973', '0', '0', '0.999687', '-5288.44', '8.89495', '2670.27', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1356880', '0', 'object/static/item/shared_item_container_energy_radioactive.iff', '0', '-0.361615', '0', '0.932327', '-5281.29', '9.12202', '2679.5', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1383868', '0', 'object/static/structure/tatooine/shared_tent_house_tatooine_style_01.iff', '-0.0141308', '0.000680571', '0.0333131', '0.999345', '-6074.49', '11.1342', '1912.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1383869', '0', 'object/static/structure/tatooine/shared_tent_house_tatooine_style_01.iff', '-0.0715057', '0.692384', '-0.0328913', '0.717223', '-6065.48', '10.6352', '1901.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1383870', '0', 'object/static/structure/tatooine/shared_tent_house_tatooine_style_01.iff', '-0.027199', '0.946563', '-0.0741238', '0.312706', '-6071.43', '9.01486', '1889.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1383871', '0', 'object/static/structure/tatooine/shared_tent_house_tatooine_style_01.iff', '-0.0300907', '-0.105598', '0.0830314', '0.990479', '-6057.45', '13.416', '1917.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1383872', '0', 'object/static/structure/tatooine/shared_tent_house_tatooine_style_01.iff', '-0.0376547', '0.993394', '-0.106882', '-0.018083', '-6054.21', '10.5763', '1896.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1383873', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0.00636298', '0.810007', '0.0100214', '0.5863', '-6073.44', '5.95873', '1843.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1383874', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '-0.0314115', '-0.557481', '0.0184826', '0.829389', '-6064.05', '6.44164', '1872.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1383875', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0.0385471', '0.83171', '-0.0569431', '-0.550936', '-6064.91', '7.44953', '1881.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1383876', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0.00665832', '0.134632', '0.0520141', '0.989507', '-6075.19', '11.0728', '1920.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1383877', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0.00455804', '0.738648', '0.0555362', '0.671784', '-6088.62', '9.37095', '1928.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1383878', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '-0.0871799', '0.812593', '-0.0492516', '-0.574167', '-6065.44', '12.2514', '1930.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1383908', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '0', '0', '1', '3795.73', '11.62', '2404.5', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1383912', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0.9871', '0', '0.160105', '3782.48', '11.62', '2403.12', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1383913', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '-0.276356', '0', '0.961055', '3769.11', '11.62', '2403.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1383914', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '-0.328769', '0', '0.94441', '3769.35', '11.62', '2403.6', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1383915', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0.813415', '0', '0.581683', '3770.19', '10.9559', '2403.68', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1385845', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '-0.434966', '0', '0.900447', '68.2068', '52', '-5310.17', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1385846', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.15438', '0', '0.988012', '66.526', '52', '-5310.8', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1385847', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.945784', '0', '-0.324796', '67.8132', '52', '-5308.14', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1400845', '0', 'object/building/tatooine/shared_cloning_facility_tatooine_small.iff', '0', '0.699716', '0', '0.714421', '62.9695', '52', '-5357.85', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1400846', '1400845', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1400847', '1400845', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1400848', '1400845', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590887', '1400845', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590888', '1400845', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590889', '1400845', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590890', '1400845', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590891', '1400845', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590892', '1400845', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590893', '1400845', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1400856', '0', 'object/building/tatooine/shared_cloning_facility_tatooine_small.iff', '0', '0.720831', '0', '-0.693111', '3897.22', '33', '2351.35', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1400857', '1400856', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1400858', '1400856', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '8075557', '1400858', 'object/static/item/shared_item_painting_tatooine_style_01.iff', '0', '1', '0', '3.20013e-08', '-5.24502', '1.49109', '2.8037', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8075560', '1400858', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s03.iff', '0', '0.430458', '0', '0.902611', '-1.84542', '1.20638', '1.02403', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1400859', '1400856', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1400860', '1400856', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1400861', '1400856', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1400862', '1400856', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1400863', '1400856', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1400864', '1400856', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1400865', '1400856', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1400866', '1400856', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285764', '1400866', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0', '0', '1', '-1.21669', '-0.378217', '-4.33191', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095606', '1400866', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.968715', '0', '-0.248176', '-0.12051', '-0.378217', '-3.22972', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095607', '1400866', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.944672', '0', '0.328017', '-2.49956', '-0.378217', '-3.56373', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095608', '1400866', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '-0.261909', '0', '0.965092', '-0.0143404', '-0.378217', '-5.43355', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095609', '1400866', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.266731', '0', '0.963771', '-2.34625', '-0.378217', '-5.60628', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095612', '1400866', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '-1.2207', '0.507221', '-4.32311', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095617', '1400866', 'object/static/item/shared_item_glass_empty.iff', '0', '0', '0', '1', '-1.38072', '0.507221', '-4.13862', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095618', '1400866', 'object/static/item/shared_item_glass_empty.iff', '0', '0.720831', '0', '-0.693111', '-1.37828', '0.507221', '-4.56648', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095619', '1400866', 'object/static/item/shared_item_glass_empty.iff', '0', '0.720831', '0', '-0.693111', '-0.965424', '0.507221', '-4.47071', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095620', '1400866', 'object/static/item/shared_item_glass_empty.iff', '0', '0.720831', '0', '-0.693111', '-1.01006', '0.507221', '-4.08512', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095624', '1400866', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s03.iff', '0', '0.841471', '0', '0.540302', '5.16993', '-0.378217', '-6.19869', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095625', '1400866', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s03.iff', '0', '0.193767', '0', '0.981048', '-4.93583', '-0.378217', '-6.18217', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095629', '1400866', 'object/static/item/shared_item_painting_tatooine_style_02.iff', '0', '0.707106', '0', '0.707108', '-1.20969', '1.58239', '-6.53295', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095638', '1400866', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s03.iff', '0', '0', '0', '1', '1.42961', '-0.378217', '-1.03985', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095639', '1400866', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s03.iff', '0', '-0.380189', '0', '0.924909', '1.264', '-0.378217', '-5.94094', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1400869', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0', '0', '1', '3903.21', '33', '2342.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1400870', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.542446', '0', '0.84009', '3904.82', '33', '2362.14', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1400871', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.971052', '0', '0.238868', '3907.19', '33', '2360.67', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1400874', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.135996', '0', '0.990709', '3903.96', '33', '2363.32', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1400875', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.135996', '0', '0.990709', '3905.02', '33', '2363.99', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1400878', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '0', '0.725385', '0', '-0.688343', '3904.51', '33', '2362.51', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1400879', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '3888.6', '33', '2361', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1403851', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '-0.0542167', '0.956687', '0.00853985', '-0.285899', '3764.44', '6.93682', '2355.76', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1403852', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0.016031', '0.318911', '0.0473838', '0.946464', '3762.59', '6.85923', '2353.07', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1403853', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '-0.483807', '0', '0.875175', '3763.54', '6.88912', '2354.42', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1403854', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '-0.143749', '-0.477237', '0.0794663', '0.863288', '3763.48', '7.71115', '2354.4', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1403855', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '-0.0190903', '0.859623', '0.042374', '0.50881', '3762.14', '6.72103', '2355.21', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1403856', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0.0481807', '-0.478667', '0.0269742', '0.876258', '3764.94', '7.06906', '2353.63', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1403857', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '-0.000792731', '0.0964542', '0.0910195', '0.991167', '3774.6', '8.55419', '2352.63', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1403858', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '-0.0928831', '0.987572', '-0.00921849', '-0.126447', '3775.28', '8.65358', '2355.82', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1403859', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '-0.0698945', '0.765135', '0.0604245', '0.637206', '3774.94', '8.59688', '2354.26', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1403860', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '0.0410611', '0.750342', '0.0692773', '0.656126', '3774.77', '9.22335', '2354.24', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1403861', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0.0638126', '-0.658831', '0.0697159', '0.746331', '3776.44', '8.87979', '2354.06', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1403862', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '-0.0658041', '0.770123', '0.0594909', '0.631697', '3773.29', '8.28975', '2354.47', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1403865', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_fruit_stand_large_style_01.iff', '0', '0', '0', '1', '3767.89', '8.32994', '2344.19', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1403868', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0.00123701', '0.00484454', '-0.333483', '0.942743', '3760.53', '4.78519', '2383.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1403869', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0.00123702', '0.00484454', '-0.333483', '0.942743', '3760.68', '4.66436', '2399.36', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1403871', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_meat_rack.iff', '-0.00322006', '0.997684', '0.0678871', '-0.00261487', '3763.24', '8.29143', '2343.62', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1403872', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.448423', '0', '0.893821', '3771.33', '8.34714', '2343.71', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1403873', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.906534', '0', '-0.422133', '3783.66', '8.35084', '2343.94', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1403878', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0.0294767', '-0.218394', '-0.0031448', '0.97541', '3759.19', '8.29708', '2343.71', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1407919', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.724287', '0', '-0.689499', '144.229', '52', '-5352.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1407920', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '120.687', '52', '-5343.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1407922', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.0199987', '0', '0.9998', '121.321', '52', '-5327.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1407923', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.361615', '0', '0.932328', '-1136.18', '12', '-3660.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1407927', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.764329', '0', '-0.644827', '-1148.92', '12', '-3671.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1407928', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.764329', '0', '-0.644827', '-1148.76', '12', '-3672.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1414855', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.193766', '0', '0.981048', '-1020.12', '12', '-3751.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1467871', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.370921', '0', '0.928665', '-2583.74', '0.0316228', '-5518.55', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1467872', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '-0.42594', '0', '0.904751', '-2583.82', '0.0316228', '-5516.29', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1467873', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.00499998', '0', '0.999987', '-2583.8', '0.0316228', '-5517.65', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1467874', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-2563.81', '1e-06', '-5524.55', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1467875', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-2483.91', '1e-06', '-5522.36', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1467876', '0', 'object/static/structure/tatooine/shared_luke_farm_dome.iff', '0', '0', '0', '1', '-2582.01', '0', '-5521.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1467877', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.380188', '0', '0.924909', '-2578.18', '0', '-5521.62', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1467878', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.223106', '0', '0.974794', '-2578.98', '0', '-5516.97', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1467879', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.37092', '0', '0.928665', '-2580.17', '0.0316228', '-5518.54', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1467880', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.295521', '0', '0.955336', '-2578.74', '0', '-5519.35', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1467881', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.717357', '0', '0.696706', '-2585.14', '0', '-5519.83', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1467882', '0', 'object/static/structure/general/shared_gravestone_generic_style_03.iff', '0', '0', '0', '1', '-2614', '0', '-5500', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1467883', '0', 'object/static/structure/general/shared_gravestone_generic_style_03.iff', '0', '0', '0', '1', '-2618', '1.01328e-06', '-5500', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1467884', '0', 'object/static/structure/general/shared_gravestone_generic_style_02.iff', '0', '0', '0', '1', '-2618', '1.01328e-06', '-5494', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1467885', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-2616.81', '0', '-5449.46', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1467886', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-2547.11', '1e-06', '-5427.54', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1467887', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-2458.18', '1e-06', '-5381.45', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1467888', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-2715.89', '1e-06', '-5391.49', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1467889', '0', 'object/static/structure/tatooine/shared_luke_farm_garage.iff', '0', '0', '0', '1', '-2567.89', '1.01129', '-5536.82', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1467890', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-2691.3', '1e-06', '-5479.93', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1476845', '0', 'object/static/structure/general/shared_lucky_despot_debris_nose_cone.iff', '-0.605531', '0.788324', '0.0663903', '-0.0864317', '3440.96', '7.71937', '-4870.62', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1476846', '0', 'object/static/structure/general/shared_lucky_despot_debris_sm_engine.iff', '0.0461507', '-0.12643', '0.744445', '0.653978', '3422.25', '6.93785', '-4887.96', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1476847', '0', 'object/static/structure/general/shared_prp_junk_s1.iff', '0.129422', '0.743396', '0.0642503', '-0.653057', '3433.1', '5', '-4878.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1476848', '0', 'object/static/structure/general/shared_prp_junk_s2.iff', '0', '0.981202', '0', '-0.192986', '3452.43', '5', '-4872.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1476849', '0', 'object/static/structure/general/shared_prp_junk_s5.iff', '0.105408', '0.123143', '0.123223', '0.979051', '3427.31', '6.40565', '-4876.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1478867', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.852108', '0', '0.523366', '-5360.27', '4.4333', '2746.54', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1478869', '0', 'object/static/structure/military/shared_military_wall_med_imperial_style_01.iff', '0', '-0.159318', '0', '0.987227', '-5364.59', '5.29701', '2744.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1478871', '0', 'object/static/structure/military/shared_military_wall_med_imperial_style_01.iff', '0', '0.242557', '0', '0.970137', '-5372.64', '5.3014', '2746.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1478872', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.26191', '0', '0.965092', '-5376.69', '4.21861', '2765.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1478873', '0', 'object/static/structure/military/shared_military_wall_med_imperial_style_01.iff', '0', '0.824886', '0', '0.565299', '-5378.67', '5.35057', '2761.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1478874', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.548023', '0', '0.836463', '-5380.02', '4.40883', '2756.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1478875', '0', 'object/static/structure/military/shared_military_wall_med_imperial_style_01.iff', '0', '0.535416', '0', '0.844589', '-5378.6', '5.2823', '2752.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1478876', '0', 'object/static/structure/military/shared_military_wall_med_imperial_style_01.iff', '0', '0.959437', '0', '0.281921', '-5373.01', '5.28922', '2767.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1478877', '0', 'object/static/structure/military/shared_military_wall_med_imperial_style_01.iff', '0', '0.98962', '0', '-0.143704', '-5364.82', '5.20482', '2769.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1478878', '0', 'object/static/structure/military/shared_military_wall_med_imperial_style_01.iff', '0', '0.430457', '0', '0.902611', '-5357.31', '5.18831', '2764.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1478879', '0', 'object/static/structure/military/shared_military_wall_med_imperial_style_01.iff', '0.00601823', '0.74126', '-0.00798608', '0.671143', '-5355.23', '4.88528', '2756.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1478880', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.439461', '0', '0.898261', '-5360.53', '4.59898', '2768.14', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1478881', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.439461', '0', '0.898261', '-5354.92', '4.30121', '2760.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1479871', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.394019', '0', '0.919102', '-5360.87', '6.57245', '2750.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1479873', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.394019', '0', '0.919102', '-5357.92', '6.54535', '2753.26', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1479874', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '-0.000872', '0.906561', '0.022218', '-0.421488', '-5321.51', '7.30753', '2715.55', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1491860', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '-0.430458', '0', '0.902611', '-5036.43', '75', '-6606.94', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1491861', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.913413', '0', '0.407033', '-5039.1', '75', '-6605.97', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1491864', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '0', '0', '1', '-5037.93', '75', '-6606.43', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1491865', '0', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '0.734548', '0', '0.678557', '-5040.54', '75', '-6607.35', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1491866', '0', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s1.iff', '0', '0.857299', '0', '-0.514819', '-5037.05', '75', '-6610.67', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1491868', '0', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s1.iff', '0', '0.198669', '0', '0.980067', '-5050.74', '75', '-6633.83', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1491869', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0', '0', '1', '-5053.89', '75', '-6636.03', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1491870', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0', '0', '1', '-5052.59', '75', '-6636.77', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1491871', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.564643', '0', '0.825335', '-5055.33', '75', '-6636.34', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1491872', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '0', '0', '1', '-5043.64', '75', '-6601.71', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1491873', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.958016', '0', '-0.286715', '-5043.04', '75', '-6600.35', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1491874', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.21823', '0', '0.975897', '-5043.07', '75', '-6603.11', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1491875', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '-5047.91', '75', '-6600.45', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1491876', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '-5049.61', '75', '-6600.38', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1491877', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '-5048.43', '75', '-6603.41', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1491878', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '-5050.24', '75', '-6601.93', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1491879', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '-5050.5', '75', '-6603.38', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1491880', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0', '0', '1', '-5046.78', '75', '-6603.52', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1491881', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0', '0', '1', '-5044.87', '75', '-6604.55', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1495845', '0', 'object/building/tatooine/shared_cloning_facility_tatooine_small.iff', '0', '-0.0349929', '0', '0.999388', '-5073.51', '75', '-6627.8', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1495846', '1495845', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1495847', '1495845', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1495848', '1495845', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528383', '1495845', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528384', '1495845', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528385', '1495845', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528386', '1495845', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528387', '1495845', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528388', '1495845', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528389', '1495845', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285765', '1528389', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0', '0', '1', '-1.76887', '-0.378217', '-5.51841', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285766', '1528389', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.00499983', '0', '0.999987', '-2.93242', '-0.378217', '-5.49163', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285767', '1528389', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0', '0', '1', '-2.38789', '-0.378217', '-4.45877', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285768', '1528389', 'object/tangible/furniture/cheap/shared_armoire_s01.iff', '0', '-0.707106', '0', '0.707107', '5.17764', '-0.378217', '-4.30844', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285769', '1528389', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '-0.522687', '0', '0.852525', '4.83855', '-0.378217', '-5.87199', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285770', '1528389', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '1', '0', '1.85264e-07', '-2.97631', '-0.378217', '-3.32522', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285771', '1528389', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '1', '0', '3.73763e-07', '-1.78025', '-0.378217', '-3.29518', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1495856', '0', 'object/tangible/furniture/tatooine/shared_frn_tatt_cantina_droid_detector.iff', '0', '0.87959', '0', '-0.475732', '3364.06', '13.9739', '-4583.23', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1495857', '0', 'object/tangible/furniture/tatooine/shared_frn_tatt_cantina_droid_detector.iff', '0', '0.470626', '0', '0.882333', '3356.08', '13.9422', '-4589.3', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1495858', '0', 'object/static/structure/general/shared_data_terminal_wall_s1.iff', '0', '-0.29552', '0', '0.955336', '3362.11', '14.3039', '-4589.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1495860', '0', 'object/static/structure/general/shared_data_terminal_wall_s1.iff', '0', '-0.29552', '0', '0.955337', '3362.91', '13.8914', '-4588.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1497018', '0', 'object/static/structure/general/shared_data_terminal_wall_s3.iff', '0', '0.953607', '0', '-0.301052', '3234.04', '5.91706', '-4755.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499206', '0', 'object/static/structure/general/shared_data_terminal_wall_s1.iff', '0', '-0.441885', '0', '0.897072', '3487.35', '6.29654', '-4747.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499417', '0', 'object/building/tatooine/shared_housing_tatt_style01_med.iff', '0', '0', '0', '1', '-5115.27', '75', '-6623.95', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499418', '1499417', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1533396', '1499418', 'object/static/structure/general/shared_data_terminal_free_s1.iff', '0', '0.317128', '0', '0.948383', '4.10798', '1.00421', '3.72125', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499419', '1499417', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1509356', '1499419', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff', '0', '0', '0', '1', '0.288585', '0.408272', '-10.974', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512359', '1499419', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s01.iff', '0', '0.92388', '0', '-0.382683', '-7.85766', '0.186912', '-7.89745', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528475', '1499419', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff', '0', '0', '0', '1', '-2.67783', '0.408272', '-10.9854', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528488', '1499419', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_03.iff', '0', '-0.707101', '0', '0.707113', '2.79595', '0.408272', '-3.97706', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528489', '1499419', 'object/tangible/furniture/technical/shared_couch_s01.iff', '0', '-0.707101', '0', '0.707113', '6.41907', '0.408272', '-3.9557', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528500', '1499419', 'object/tangible/furniture/technical/shared_coffee_table_s01.iff', '0', '0', '0', '1', '4.36221', '0.408272', '-3.97074', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528506', '1499419', 'object/tangible/furniture/technical/shared_chair_s01.iff', '0', '0', '0', '1', '3.57454', '0.408272', '-5.74268', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528507', '1499419', 'object/tangible/furniture/technical/shared_chair_s01.iff', '0', '0', '0', '1', '5.13729', '0.408272', '-5.8029', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528508', '1499419', 'object/tangible/furniture/technical/shared_chair_s01.iff', '0', '1', '0', '-3.20013e-08', '5.1377', '0.408272', '-2.08088', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528509', '1499419', 'object/tangible/furniture/technical/shared_chair_s01.iff', '0', '1', '0', '-3.20013e-08', '3.61313', '0.408272', '-2.05271', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528525', '1499419', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s1.iff', '0', '0.707107', '0', '0.707107', '2.91285', '0.408272', '-3.96871', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528599', '1499419', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s1.iff', '0', '0.707107', '0', '-0.707107', '0.935811', '0.408272', '-3.96637', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528608', '1499419', 'object/tangible/furniture/all/shared_frn_all_couch_ottoman_s1.iff', '0', '0.707099', '0', '0.707114', '0.228614', '0.503139', '-5.19973', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528610', '1499419', 'object/static/item/shared_item_glass_metal.iff', '0', '0', '0', '1', '0.645008', '0.0287973', '-4.17946', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528624', '1499419', 'object/static/item/shared_item_bottle_pear.iff', '0', '-0.300293', '0', '0.953847', '0.166298', '0.819367', '-4.31752', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528648', '1499419', 'object/tangible/furniture/technical/shared_end_table_s01.iff', '0', '0.92388', '0', '-0.382683', '-0.813287', '0.408272', '-5.86704', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528649', '1499419', 'object/tangible/furniture/technical/shared_end_table_s01.iff', '0', '-0.382683', '0', '0.92388', '-0.861559', '0.408272', '-2.04945', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528679', '1499419', 'object/tangible/furniture/all/shared_frn_all_table_s03.iff', '0', '0', '0', '1', '-10.3398', '0.408272', '1.91182', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528714', '1499419', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '-10.5619', '1.1356', '1.80861', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528715', '1499419', 'object/static/item/shared_item_glass_metal.iff', '0', '0', '0', '1', '-9.94297', '0.408272', '2.07843', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528754', '1499419', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '-7.75184', '0.408272', '2.69971', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528755', '1499419', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '-7.97356', '0.408272', '2.36026', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528773', '1499419', 'object/tangible/furniture/all/shared_frn_all_chair_upholstered_s1.iff', '-1.09278e-08', '1', '4.33436e-16', '3.20013e-08', '-8.99664', '0.408272', '2.18738', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1533348', '1499419', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.551535', '0', '0.834152', '10.5578', '1.10397', '-8.4653', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1533349', '1499419', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.997784', '0', '0.0665426', '10.6738', '0.408272', '-9.41556', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1533350', '1499419', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0.573128', '-0.440991', '0.591322', '-0.356917', '10.7354', '0.860012', '-7.5428', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1533351', '1499419', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.0192029', '0', '0.999816', '10.5696', '0.408272', '-8.30577', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1533361', '1499419', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.17903', '0', '0.983844', '10.7305', '0.408272', '-6.41138', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1533362', '1499419', 'object/static/item/shared_item_container_inorganic_gas.iff', '0', '0.188859', '0', '0.982004', '10.6515', '0.408272', '-5.60623', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1533364', '1499419', 'object/static/item/shared_item_container_organic_hide.iff', '0', '0.412321', '0', '0.911039', '10.7403', '1.10888', '-6.4872', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1533368', '1499419', 'object/static/item/shared_item_container_inorganic_gas.iff', '0.219073', '-0.219073', '0.672315', '-0.672314', '10.1587', '0.661254', '-7.08301', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1533376', '1499419', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s01.iff', '0', '1', '0', '-3.20013e-08', '-1.22122', '0.186912', '-10.9126', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1533389', '1499419', 'object/tangible/furniture/all/shared_frn_all_chair_upholstered_s1.iff', '0', '1', '0', '-3.20013e-08', '4.37012', '0.408272', '2.30762', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1533393', '1499419', 'object/tangible/furniture/all/shared_frn_all_chair_upholstered_s1.iff', '0', '1', '0', '3.20013e-08', '5.28581', '0.408272', '2.29819', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1533394', '1499419', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s01.iff', '0', '0', '0', '1', '3.10693', '0.123667', '2.59619', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925363', '1499419', 'object/static/structure/general/shared_droid_21bmedical_powerdown.iff', '0', '-0.581036', '0', '0.813878', '10.6918', '0.408271', '-5.00638', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '5495536', '1499419', 'object/tangible/furniture/technical/shared_coffee_table_s01.iff', '0', '0', '0', '1', '0.298042', '0.408271', '-4.02455', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5495537', '1499419', 'object/tangible/furniture/all/shared_frn_all_couch_ottoman_s1.iff', '0', '0.707094', '0', '0.707119', '0.247045', '0.408271', '-2.79537', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8075454', '1499419', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '0.49587', '0.408271', '-2.32924', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499420', '1499417', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '894866', '1499420', 'object/static/creature/shared_droids_21b_medical.iff', '0', '-0.252246', '0', '0.967663', '0.91495', '1.00421', '9.56676', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005665', '1499420', 'object/static/item/shared_item_tank_gas.iff', '0', '0.00159318', '0', '0.999999', '2.78887', '1.85802', '4.38902', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005666', '1499420', 'object/static/item/shared_item_tank_gas.iff', '0', '0.330272', '0', '0.943886', '2.787', '1.85802', '3.84721', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005667', '1499420', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '0.590428', '0', '0.80709', '2.79428', '1.85802', '6.11486', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005668', '1499420', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '0.0665433', '0', '0.997784', '2.79163', '1.85802', '5.3124', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005669', '1499420', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '0.00159318', '0', '0.999999', '2.80516', '1.85802', '9.52481', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005670', '1499420', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '0.322328', '0', '0.946628', '2.79804', '1.85802', '7.28552', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005671', '1499420', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '-0.0717531', '0', '0.997422', '2.80148', '1.85802', '8.35538', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005672', '1499420', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s2.iff', '0', '0.999999', '0', '-0.00159295', '-0.71201', '1.00421', '8.78923', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005673', '1499420', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.451268', '0', '0.892388', '-2.57617', '1.00421', '9.43415', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005674', '1499420', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '-0.703437', '0', '0.710757', '0.537718', '1.00421', '10.5832', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005675', '1499420', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '0.948341', '0', '0.317255', '-6.57517', '1.00421', '10.5321', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005676', '1499420', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s2.iff', '0', '0.999999', '0', '-0.00159295', '-5.42559', '1.00421', '8.76215', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005677', '1499420', 'object/tangible/furniture/all/shared_frn_all_professor_desk.iff', '0', '-0.698577', '0', '0.715534', '-7.61074', '1.00421', '9.67272', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005678', '1499420', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '-0.444503', '0', '0.895777', '-3.75434', '1.00421', '9.48352', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005680', '1499420', 'object/tangible/furniture/technical/shared_cabinet_s01.iff', '0', '0.708225', '0', '0.705988', '-10.7114', '1.88965', '9.12559', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005681', '1499420', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.880346', '0', '0.474331', '-9.40728', '1.00421', '9.65948', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005682', '1499420', 'object/tangible/furniture/technical/shared_bookcase_s01.iff', '0', '0.00159318', '0', '0.999999', '-7.62275', '1.00421', '3.64295', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005683', '1499420', 'object/tangible/furniture/technical/shared_cabinet_s01.iff', '0', '0.708225', '0', '0.705987', '-10.7256', '1.88965', '4.74776', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285890', '1499420', 'object/static/item/shared_item_bacta_ampules.iff', '0', '0', '0.713864', '0.700285', '-10.5347', '1.92127', '7.96672', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285891', '1499420', 'object/static/item/shared_item_bacta_ampules.iff', '-0.0559631', '-0.0570482', '0.711581', '0.698045', '-10.5289', '1.92127', '8.06072', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285892', '1499420', 'object/static/item/shared_item_bacta_ampules.iff', '0', '0', '0.713864', '0.700285', '-10.5384', '1.92127', '7.89188', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285893', '1499420', 'object/static/item/shared_item_medic_stimpack.iff', '-0.226922', '-0.231323', '0.661961', '0.675873', '-10.4173', '1.92127', '7.73423', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285894', '1499420', 'object/static/item/shared_item_medic_bag.iff', '-0.128778', '-0.00495723', '0.0148752', '0.991549', '-10.6864', '2.11101', '5.40637', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499421', '1499417', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499422', '1499417', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1501346', '1499422', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.834152', '0', '-0.551535', '-10.8902', '-0.723396', '-10.0399', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1501347', '1499422', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.0665429', '0', '0.997784', '-11.0064', '-1.4191', '-9.08968', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1501348', '1499422', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0.378538', '0.57772', '-0.325742', '-0.645632', '-10.8136', '-1.10287', '-10.6951', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1501349', '1499422', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.999816', '0', '-0.019203', '-10.9019', '-1.4191', '-10.1995', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499423', '1499417', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499424', '1499417', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '5495498', '1499424', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s1.iff', '0', '0', '0', '1', '7.27028', '-3.36756', '5.33639', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5495499', '1499424', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '8.75304', '-3.36756', '3.506', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5495500', '1499424', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '5.75402', '-3.36756', '3.45837', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5495502', '1499424', 'object/static/item/shared_item_painting_tatooine_style_01.iff', '0', '0.707107', '0', '-0.707107', '7.19216', '-2.7351', '11.0081', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '5495507', '1499424', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s02.iff', '0', '0.124675', '0', '0.992198', '10.469', '-3.36756', '3.46002', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5495509', '1499424', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s02.iff', '0', '-0.124674', '0', '0.992198', '3.85188', '-3.36756', '3.54484', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5495510', '1499424', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff', '0', '0.707107', '0', '-0.707107', '10.8777', '-3.36756', '7.80905', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5495511', '1499424', 'object/tangible/furniture/modern/shared_armoire_modern_style_01.iff', '0', '0.707107', '0', '-0.707107', '10.8495', '-3.36756', '5.75933', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5495512', '1499424', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff', '0', '0', '0', '1', '7.16677', '-3.36756', '10.5308', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5495517', '1499424', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '-0.203567', '0', '0.979061', '5.8014', '-3.36756', '10.3553', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5495522', '1499424', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff', '0', '0.257081', '0', '0.96639', '8.44623', '-3.36756', '10.3583', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5495526', '1499424', 'object/tangible/furniture/all/shared_frn_all_decorative_sm_s1.iff', '0', '0', '0', '1', '7.20212', '-2.95646', '10.4408', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5495535', '1499424', 'object/tangible/furniture/modern/shared_rug_rect_m_s01.iff', '0', '0.707106', '0', '0.707107', '7.0975', '-3.39918', '7.28777', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5495540', '1499424', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0', '0', '1', '-4.33232', '-3.96617', '7.34196', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5495546', '1499424', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.696135', '0', '0.717911', '-5.91473', '-3.96617', '7.38659', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5495547', '1499424', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.717356', '0', '-0.696707', '-2.68822', '-3.96617', '7.4787', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5495548', '1499424', 'object/tangible/furniture/elegant/shared_chest_s01.iff', '0', '0', '0', '1', '1.91785', '-3.96617', '3.60258', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5495549', '1499424', 'object/tangible/furniture/elegant/shared_cabinet_s01.iff', '0', '0.707107', '0', '0.707107', '-10.952', '-3.96617', '5.77612', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5495550', '1499424', 'object/tangible/furniture/elegant/shared_cabinet_s01.iff', '0', '0.707107', '0', '0.707107', '-10.9526', '-3.96617', '6.54011', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5495553', '1499424', 'object/tangible/furniture/all/shared_frn_all_tree_potted_s2.iff', '0', '0.997495', '0', '-0.0707373', '-10.5318', '-3.96617', '2.92218', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5495554', '1499424', 'object/tangible/furniture/all/shared_frn_all_tree_potted_s2.iff', '0', '0.80162', '0', '-0.597834', '-10.4591', '-3.96617', '9.04068', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5495555', '1499424', 'object/tangible/furniture/modern/shared_armoire_modern_style_01.iff', '0', '1', '0', '3.20013e-08', '-4.5362', '-3.96617', '10.9503', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5495563', '1499424', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff', '0', '0.949235', '0', '0.314567', '-8.65581', '-3.96617', '9.60612', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499425', '1499417', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499426', '1499417', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499427', '1499417', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528412', '1499427', 'object/static/item/shared_item_glass_metal.iff', '0', '0', '0', '1', '-5125.61', '77', '-6617.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499428', '1499417', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1499429', '1499417', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1509354', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_05.iff', '0', '0.345141', '0', '0.938551', '3474.63', '5', '-5075.33', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1509360', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.659385', '0', '0.751805', '3453.98', '5', '-5085.08', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1509361', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.999784', '0', '-0.0207951', '3452.18', '5', '-5082.89', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1509362', '0', 'object/static/structure/tatooine/shared_tent_house_tatooine_style_01.iff', '0', '0.993868', '0', '0.110574', '3451.37', '5', '-5085.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1509363', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0.620984', '0', '0.783823', '3458.92', '5', '-5044', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1509364', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0.282683', '0', '0.959213', '3452.42', '5', '-5084.36', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1509366', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0.529648', '0', '0.848218', '3447.69', '5', '-5056.43', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1509367', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.433515', '0', '0.901146', '3449.31', '5', '-5057.62', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1509368', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.993118', '0', '-0.11712', '3448.03', '5', '-5054.86', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1509369', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.026586', '0', '0.999647', '3447.74', '5', '-5058.52', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1509370', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.493917', '0', '0.869509', '3446.17', '5', '-5057.67', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1509371', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_03.iff', '0', '-0.279628', '0', '0.960108', '3446.81', '5', '-5054.27', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1509372', '0', 'object/static/structure/tatooine/shared_tent_house_tatooine_style_01.iff', '0', '-0.457339', '0', '0.889293', '3446.53', '5.01503', '-5057.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1509390', '0', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s1.iff', '0', '0.466208', '0', '0.884675', '3450.11', '5', '-5085.14', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1509391', '0', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s1.iff', '0', '0.997495', '0', '-0.0707371', '3445.24', '5', '-5056.12', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512357', '0', 'object/static/structure/general/shared_lucky_despot_debris_sm_engine.iff', '0.92388', '1.55868e-08', '0.382683', '-3.29057e-08', '-2873.23', '10.0069', '2435.91', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1512360', '0', 'object/static/structure/general/shared_lucky_despot_debris_sm_engine.iff', '-0.186972', '-0.190993', '0.661924', '0.7003', '-2850.81', '5', '2414.88', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514494', '0', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s1.iff', '0', '-0.252245', '0', '0.967663', '-2864.22', '5', '2461.3', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514495', '0', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0', '0', '1', '-2865.18', '5', '2457.87', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514496', '0', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '0.389418', '0', '0.921061', '-2868.22', '5', '2458.02', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514497', '0', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '0.980893', '0', '-0.194548', '-2812.71', '5', '2399.28', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1514498', '0', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s1.iff', '0', '-0.394019', '0', '0.919102', '-2814.49', '5', '2394.88', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1525416', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0', '0', '1', '1397.15', '3.93066', '3183', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1525419', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '1397.52', '8.5', '3192', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1525420', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '1397.52', '8.5', '3175.14', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1525421', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0', '0', '1', '1397.15', '3.93066', '3162.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1525422', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '1397.52', '8.5', '3171.38', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1525423', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '1397.52', '8.5', '3154.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1525424', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0', '0', '1', '1397.15', '3.93066', '3204.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1525425', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '1397.52', '8.5', '3213.4', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1525426', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.707106', '0', '0.707107', '1397.52', '8.5', '3195.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1525427', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0', '0', '1', '1393.67', '3.09307e+06', '3225', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1525428', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0', '0', '1', '1397.15', '3.93066', '3225', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1525429', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '1397.52', '8.5', '3217.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1525430', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.707106', '0', '0.707107', '1397.52', '8.5', '3233.05', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1525499', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_05.iff', '0', '0.953059', '0', '0.302783', '1530.22', '15', '3497.13', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528395', '0', 'object/building/tatooine/shared_housing_tatt_style01_med.iff', '0', '0.906534', '0', '0.422132', '-1075.31', '12', '-3628.47', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528396', '1528395', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590976', '1528396', 'object/static/structure/general/shared_data_terminal_wall_s2.iff', '0', '0.703844', '0', '0.710354', '3.90971', '1.00421', '7.53901', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590977', '1528396', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '0.40319', '0', '0.915116', '4.26114', '1.00421', '8.06066', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590978', '1528396', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '-0.0199987', '0', '0.9998', '4.62077', '1.00421', '8.63542', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590979', '1528396', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '-0.398609', '0', '0.917121', '4.2816', '1.00421', '9.18246', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590980', '1528396', 'object/static/item/shared_item_slave_brazier.iff', '0', '0', '0', '1', '4.25369', '1.76316', '8.04361', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590981', '1528396', 'object/static/item/shared_item_shisha.iff', '0', '0', '0', '1', '4.29901', '1.76316', '9.21647', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590982', '1528396', 'object/static/item/shared_item_bowl_carved.iff', '0', '0', '0', '1', '4.58153', '1.73153', '8.64298', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528397', '1528395', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590951', '1528397', 'object/tangible/furniture/modern/shared_couch_modern_style_02.iff', '0', '-0.700726', '0', '0.713431', '6.70573', '0.40827', '-5.96791', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590952', '1528397', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff', '0', '0.999998', '0', '0.00181458', '-7.79375', '0.408275', '2.80054', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590953', '1528397', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_05.iff', '0', '0.705832', '0', '0.708379', '2.88927', '0.408275', '-5.98401', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590954', '1528397', 'object/tangible/furniture/modern/shared_love_seat_modern_style_01.iff', '0', '-0.0368061', '0', '0.999322', '-6.88852', '0.408275', '-4.6179', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590955', '1528397', 'object/tangible/furniture/modern/shared_love_seat_modern_style_01.iff', '0', '-0.541157', '0', '0.840921', '-5.21091', '0.408274', '-6.89008', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590956', '1528397', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '-0.413609', '0', '0.910454', '6.45271', '0.408275', '-9.04342', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590957', '1528397', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.406466', '0', '0.913666', '-0.453613', '0.408274', '-8.89995', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590958', '1528397', 'object/tangible/furniture/modern/shared_couch_modern_style_02.iff', '0', '-0.00141516', '0', '0.999999', '2.97507', '0.408272', '-9.22517', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590959', '1528397', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '0.999998', '0', '0.00181458', '7.39636', '0.408272', '-10.3863', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590960', '1528397', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '-0.00181391', '0', '0.999998', '-1.13241', '0.408274', '-10.4469', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590961', '1528397', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.922758', '0', '0.38538', '-0.546933', '0.408275', '-2.88575', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590962', '1528397', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0.916733', '0', '-0.399501', '6.3068', '0.408276', '-3.00144', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590963', '1528397', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff', '0', '0.999998', '0', '0.00181458', '4.51121', '0.408275', '2.87264', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590964', '1528397', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '-0.377239', '0', '0.926116', '-7.32081', '0.408274', '-5.43941', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590965', '1528397', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '-0.101639', '0', '0.994821', '-6.42513', '0.408274', '-7.27381', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590966', '1528397', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_02.iff', '0', '0.753379', '0', '0.657587', '-7.53636', '0.408275', '-6.69438', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590967', '1528397', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0', '-0.00181391', '0', '0.999998', '2.87535', '0.408275', '2.43811', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590968', '1528397', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0', '-0.00181391', '0', '0.999998', '-6.05976', '0.408275', '2.43664', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590969', '1528397', 'object/tangible/furniture/modern/shared_armoire_modern_style_01.iff', '0', '0.705815', '0', '0.708396', '-11.3363', '0.408275', '-0.215426', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590970', '1528397', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '0.708388', '0', '-0.705824', '10.4988', '0.408275', '-1.81489', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590971', '1528397', 'object/tangible/furniture/modern/shared_couch_modern_style_02.iff', '0', '0.706951', '0', '0.707263', '-0.894802', '0.408272', '-5.95622', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590972', '1528397', 'object/static/structure/general/shared_data_terminal_free_s2.iff', '0', '0.709512', '0', '-0.704693', '11.0047', '0.408272', '-5.33148', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590973', '1528397', 'object/static/item/shared_item_painting_corellia_style_02.iff', '0', '-0.00181391', '0', '0.999998', '11.1224', '1.26209', '-5.39054', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590974', '1528397', 'object/static/item/shared_item_painting_endor_style_01.iff', '0', '-0.00181391', '0', '0.999998', '11.0706', '0.819371', '-1.94195', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590975', '1528397', 'object/static/item/shared_item_painting_naboo_style_01.iff', '0', '-0.00181391', '0', '0.999998', '11.0963', '0.598012', '0.482144', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235465', '1528397', 'object/soundobject/shared_soundobject_cantina_small.iff', '0', '0', '0', '1', '-4.12761', '0.408271', '0.359265', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235466', '1528397', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0.710633', '0', '0', '0.703563', '-1.13646', '2.33726', '-11.1183', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235467', '1528397', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0.7048', '-0.00622937', '0.000841501', '0.709378', '7.25156', '2.33726', '-11.0888', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528398', '1528395', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590919', '1528398', 'object/tangible/furniture/modern/shared_dining_table_modern_style_01.iff', '0', '0.00159338', '0', '0.999999', '-3.70088', '1.00421', '7.12475', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590920', '1528398', 'object/tangible/furniture/modern/shared_rug_oval_lg_s01.iff', '0', '0.708232', '0', '0.70598', '-3.70106', '0.940964', '7.1023', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590921', '1528398', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.755615', '0', '0.655016', '-8.02632', '1.00421', '7.00412', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590922', '1528398', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.364789', '0', '0.93109', '0.637983', '1.00421', '6.96905', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590923', '1528398', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.372399', '0', '0.928073', '-5.68741', '1.00421', '5.23065', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590924', '1528398', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.226426', '0', '0.974028', '-1.9604', '1.00421', '5.18095', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590925', '1528398', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.92896', '0', '0.370181', '-5.5735', '1.00421', '8.76407', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590926', '1528398', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '0.90586', '0', '-0.423577', '-1.84614', '1.00421', '8.75697', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590927', '1528398', 'object/static/item/shared_item_painting_agrilat_swamp_style_01.iff', '0', '-0.705978', '0', '0.708234', '-3.52825', '1.25719', '11.0748', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590928', '1528398', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0.00159338', '0', '0.999999', '-10.7811', '1.88964', '3.85796', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590929', '1528398', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0.00159338', '0', '0.999999', '-10.8496', '1.88964', '4.06993', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590930', '1528398', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0.00159338', '0', '0.999999', '-10.5991', '1.88964', '4.08503', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590931', '1528398', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0.00159338', '0', '0.999999', '-10.8111', '1.88964', '4.34083', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590932', '1528398', 'object/static/item/shared_item_jar_spice_red.iff', '0', '0.00159338', '0', '0.999999', '-10.8072', '1.88964', '9.74771', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590933', '1528398', 'object/static/item/shared_item_jar_spice_red.iff', '0', '0.00159338', '0', '0.999999', '-10.7455', '1.88964', '9.99588', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590934', '1528398', 'object/static/item/shared_item_jar_spice_red.iff', '0', '0.00159338', '0', '0.999999', '-10.5941', '1.88964', '9.8248', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590935', '1528398', 'object/static/item/shared_item_jar_spice_white.iff', '0', '0.00159338', '0', '0.999999', '-10.5409', '1.88964', '6.32492', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590936', '1528398', 'object/static/item/shared_item_jar_spice_red.iff', '0', '0.00159338', '0', '0.999999', '-10.8448', '1.88964', '9.3687', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590937', '1528398', 'object/static/item/shared_item_jar_spice_white.iff', '0', '0.00159338', '0', '0.999999', '-10.4262', '1.88964', '6.53527', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590938', '1528398', 'object/static/item/shared_item_jar_spice_white.iff', '0', '0.00159338', '0', '0.999999', '-10.6577', '1.88964', '6.83569', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590939', '1528398', 'object/static/item/shared_item_glass_empty.iff', '0', '0.00159338', '0', '0.999999', '2.88637', '1.88964', '8.69301', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590940', '1528398', 'object/static/item/shared_item_glass_empty.iff', '0', '0.00159338', '0', '0.999999', '3.04204', '1.88964', '8.50053', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590941', '1528398', 'object/static/item/shared_item_glass_empty.iff', '0', '0.00159338', '0', '0.999999', '2.84757', '1.88964', '8.50783', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590942', '1528398', 'object/static/item/shared_item_glass_empty.iff', '0', '0.00159338', '0', '0.999999', '2.85162', '1.88964', '8.32842', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590943', '1528398', 'object/static/item/shared_item_glass_empty.iff', '0', '0.00159338', '0', '0.999999', '3.02355', '1.88964', '8.33895', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590944', '1528398', 'object/static/item/shared_item_glass_empty.iff', '0', '0.00159338', '0', '0.999999', '2.93272', '1.88964', '8.2271', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590945', '1528398', 'object/static/item/shared_item_bottle_tall.iff', '0', '0.00159338', '0', '0.999999', '2.88763', '1.88964', '9.98526', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590946', '1528398', 'object/static/item/shared_item_bottle_tall.iff', '0', '0.00159338', '0', '0.999999', '2.68849', '1.88964', '9.73288', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590947', '1528398', 'object/static/item/shared_item_bottle_tall.iff', '0', '0.00159338', '0', '0.999999', '3.00141', '1.88964', '9.52157', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590948', '1528398', 'object/static/item/shared_item_bottle_fat.iff', '0', '0.00159338', '0', '0.999999', '2.86981', '1.88965', '4.68674', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590949', '1528398', 'object/static/item/shared_item_bottle_fat.iff', '0', '0.00159338', '0', '0.999999', '2.80461', '1.88965', '5.0144', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1590950', '1528398', 'object/static/item/shared_item_bottle_pear.iff', '0', '0.00159338', '0', '0.999999', '2.82011', '1.88965', '4.29389', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235468', '1528398', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '1', '0', '0', '-3.20013e-08', '-3.51193', '6.22197', '7.04162', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528399', '1528395', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528400', '1528395', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528401', '1528395', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528402', '1528395', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528403', '1528395', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528404', '1528395', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528405', '1528395', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528406', '1528395', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1528407', '1528395', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1563387', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0.888928', '0', '-0.458046', '-5365.54', '38.7424', '-6149.56', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1563392', '0', 'object/static/structure/general/shared_skeleton_bith_headandbody.iff', '0.209404', '0.0150913', '0.0702792', '0.975184', '-5358.19', '47.1981', '-6177.59', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1563394', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0', '0', '1', '-5395.82', '38.3626', '-6159.02', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1563395', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '-0.119525', '0.923843', '0.20904', '-0.297541', '-5381.9', '49.3292', '-6187.94', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1563398', '0', 'object/static/particle/shared_pt_smoke_small.iff', '0', '0', '0', '1', '-5382.65', '40.3369', '-6167.68', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1563456', '0', 'object/static/item/shared_wp_pistol_dl44_combined.iff', '0.433471', '0.755885', '-0.178343', '-0.457094', '-5358.58', '47.4859', '-6178.32', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1563457', '0', 'object/static/item/shared_wp_mle_baton_gaderiffi.iff', '0.207169', '0.0447598', '0.076619', '0.974273', '-5358.2', '47.366', '-6177.14', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1563458', '0', 'object/static/item/shared_wp_mle_baton_gaderiffi.iff', '0.955089', '0.00477548', '0.0014814', '-0.296277', '-5365.9', '39.0242', '-6149.53', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1563459', '0', 'object/static/item/shared_wp_mle_lance_vibrolance.iff', '0.239458', '0.0386436', '0.154561', '0.957746', '-5396.06', '38.8957', '-6158.33', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1563461', '0', 'object/static/item/shared_wp_mle_baton_gaderiffi.iff', '-0.0737299', '0.972934', '0.18579', '-0.115954', '-5382.1', '49.7998', '-6188.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1597876', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0', '0', '1', '1382.87', '3.93066', '3225', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1597877', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.707106', '0', '0.707107', '1383.12', '8.5', '3216.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1597878', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '1383.12', '8.5', '3234.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1597879', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0', '0', '1', '1382.87', '3.676', '3204.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1597880', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.707107', '0', '0.707107', '1383.12', '8.5', '3212.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1597881', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '1383.12', '8.5', '3196.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1597882', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0', '0', '1', '1382.87', '3.676', '3183.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1597883', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '1383.12', '8.5', '3191.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1597884', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.707106', '0', '0.707107', '1383.12', '8.5', '3174.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1597885', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0', '0', '1', '1382.87', '3.676', '3162.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1597886', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.707106', '0', '0.707107', '1383.12', '8.5', '3170.49', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1597887', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '1383.12', '8.5', '3154.58', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604847', '0', 'object/static/structure/general/shared_data_terminal_free_s2.iff', '0', '0.628793', '0', '0.777573', '1717.62', '15.916', '3038.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604848', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0', '0', '1', '1721.78', '15.9858', '3036.94', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604849', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.434965', '0', '0.900447', '1723.08', '15.9858', '3035.89', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604850', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.319308', '0', '0.947651', '1721.55', '15.9858', '3035.31', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604851', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.992713', '0', '-0.120503', '1722.02', '15.9858', '3038.68', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604853', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.961275', '0', '0.27559', '1720.58', '15.9858', '3037.72', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604854', '0', 'object/static/structure/general/shared_debris_deathstar_large_tube.iff', '-0.0477844', '0.105191', '-0.0289483', '0.992881', '1728.98', '7', '3038.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1604855', '0', 'object/static/structure/general/shared_debris_deathstar_small_chunk.iff', '0', '0.744643', '0', '-0.667463', '1724.17', '16.3458', '3037.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1673348', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0.00130954', '0.00482544', '-0.347586', '0.937635', '3761.39', '5.76449', '2391.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1673349', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0.00130954', '0.00482544', '-0.347586', '0.937635', '3761.76', '5.79831', '2408.04', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1673350', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0.0012854', '0.00483193', '-0.342894', '0.939361', '3761.49', '5.90021', '2375.56', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1673351', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0', '0', '1', '3850.51', '24.9458', '2363.28', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1673352', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0', '0', '1', '3867.01', '24.0306', '2378.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1675348', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.989621', '0', '0.143706', '-3053.54', '5', '2198.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1675350', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0.75128', '0', '-0.659983', '1702.92', '7', '3111.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1703359', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '-0.692538', '0', '0.721382', '1309.19', '7', '3430.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1738352', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0', '0', '1', '1398.46', '4.59097', '3225.04', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1738353', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0', '0', '1', '1381.77', '4.01933', '3183.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1738354', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0', '0', '1', '1398.68', '4.01933', '3162.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1738355', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0', '0', '1', '1381.77', '3.99879', '3162.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1738356', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '-0.00499998', '0', '0.999987', '1381.29', '4.47313', '3224.99', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1738357', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0', '0', '1', '1398.77', '4.0023', '3204.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1738358', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0', '0', '1', '1398.66', '4.0023', '3183.08', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1738359', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0', '0', '1', '1381.65', '4.0023', '3204.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1738360', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '1381.89', '9.97585', '3196.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1738361', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '1399.01', '10.0513', '3213.4', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1738362', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '1398.96', '10.0829', '3171.38', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1738363', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '1382.01', '10.0197', '3154.58', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1775358', '0', 'object/building/tatooine/shared_bank_tatooine.iff', '0', '-0.109778', '0', '0.993956', '-1273.7', '12', '-3664.52', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1775360', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '-0.443948', '0', '0.896052', '-1343.53', '12', '-3709.36', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845352', '0', 'object/building/tatooine/shared_housing_tatt_style01_large.iff', '0', '0', '0', '1', '-698.36', '8', '-6751.94', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845353', '1845352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845493', '1845353', 'object/tangible/furniture/tatooine/shared_frn_tatt_cantina_droid_detector.iff', '0', '-0.707106', '0', '0.707107', '7.72812', '2.00288', '9.73481', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845494', '1845353', 'object/tangible/furniture/tatooine/shared_frn_tatt_cantina_droid_detector.iff', '0', '0.707108', '0', '0.707106', '-7.41147', '1.99116', '9.45714', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845495', '1845353', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff', '0', '0', '0', '1', '0.154646', '2.0286', '9.1081', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845496', '1845353', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '1.68005', '2.02126', '9.07151', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845497', '1845353', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '-1.37871', '2.02162', '9.07318', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845498', '1845353', 'object/static/item/shared_item_painting_corellia_style_02.iff', '0', '0.707107', '0', '0.707107', '0.0848829', '2.01931', '8.66798', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845500', '1845353', 'object/static/item/shared_item_con_tato_bowl_full_s01.iff', '0', '0', '0', '1', '1.68994', '2.437', '9.06794', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845501', '1845353', 'object/static/item/shared_item_con_tato_bowl_full_s02.iff', '0', '0', '0', '1', '-1.37695', '2.40441', '9.05032', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845503', '1845353', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '0.747915', '2.40808', '8.98241', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845504', '1845353', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '-0.387888', '2.40808', '8.92577', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845505', '1845353', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '0.189321', '2.40808', '9.00829', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845354', '1845352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845510', '1845354', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_05.iff', '0', '-0.707106', '0', '0.707107', '0.0631787', '0.47749', '-5.08137', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845511', '1845354', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '1', '0', '3.20013e-08', '0.0971119', '0.509093', '-2.1993', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845512', '1845354', 'object/tangible/furniture/elegant/shared_love_seat_s01.iff', '0', '0.92388', '0', '-0.382683', '3.0308', '0.504385', '-2.63706', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845513', '1845354', 'object/tangible/furniture/elegant/shared_love_seat_s01.iff', '0', '0.92388', '0', '0.382683', '-2.89035', '0.509112', '-2.66874', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845514', '1845354', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '1.78831', '0.509366', '-2.05532', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845515', '1845354', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '-1.63819', '0.509401', '-2.03579', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845518', '1845354', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '-3.4882', '0.509112', '-6.67365', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845519', '1845354', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '3.59914', '0.509224', '-6.79084', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845520', '1845354', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '0.707106', '0', '0.707107', '-3.49736', '0.510087', '-5.22127', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845521', '1845354', 'object/tangible/furniture/elegant/shared_couch_s01.iff', '0', '0.707107', '0', '-0.707107', '3.58717', '0.50995', '-5.3298', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845522', '1845354', 'object/tangible/furniture/elegant/shared_bookcase_s01.iff', '0', '0', '0', '1', '5.9054', '0.511596', '-11.5022', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845523', '1845354', 'object/tangible/furniture/elegant/shared_bookcase_s01.iff', '0', '0', '0', '1', '-5.5973', '0.512041', '-11.5097', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845524', '1845354', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff', '0', '0', '0', '1', '-0.0652262', '0.511301', '-11.3144', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845526', '1845354', 'object/tangible/instrument/shared_ommni_box.iff', '0', '0.300293', '0', '0.953847', '1.17987', '0.512662', '-11.5905', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845527', '1845354', 'object/tangible/instrument/shared_kloo_horn.iff', '-0.155217', '-0.167246', '0.683105', '0.693761', '0.143717', '0.945891', '-11.5208', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845529', '1845354', 'object/tangible/instrument/shared_traz.iff', '-0.492155', '0.501757', '-0.44489', '-0.555064', '0.0952493', '0.952799', '-11.0535', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845530', '1845354', 'object/tangible/furniture/elegant/shared_chest_s01.iff', '0', '0', '0', '1', '4.26672', '0.512475', '-11.2386', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845531', '1845354', 'object/tangible/furniture/elegant/shared_chest_s01.iff', '0', '0', '0', '1', '-3.89235', '0.51219', '-11.2319', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845532', '1845354', 'object/static/item/shared_item_painting_endor_style_01.iff', '0', '0.707107', '0', '0.707107', '0.0467734', '0.51096', '-11.7514', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845533', '1845354', 'object/tangible/furniture/elegant/shared_cabinet_s01.iff', '0', '1', '0', '3.20013e-08', '4.84747', '0.50941', '-1.89498', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845534', '1845354', 'object/tangible/furniture/elegant/shared_cabinet_s01.iff', '0', '0.707107', '0', '-0.707107', '4.18364', '0.50058', '-1.03302', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845535', '1845354', 'object/tangible/furniture/elegant/shared_cabinet_s01.iff', '0', '0.707106', '0', '0.707107', '-4.13771', '0.51538', '-1.02042', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845536', '1845354', 'object/tangible/furniture/elegant/shared_cabinet_s01.iff', '0', '1', '0', '3.27029e-07', '-4.78087', '0.50655', '-1.88297', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845537', '1845354', 'object/tangible/furniture/elegant/shared_love_seat_s01.iff', '0', '0.707106', '0', '0.707108', '-1.71941', '0.994603', '6.23682', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845538', '1845354', 'object/tangible/furniture/elegant/shared_love_seat_s01.iff', '0', '1', '0', '3.20013e-08', '-0.219405', '0.993319', '7.73682', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845539', '1845354', 'object/tangible/furniture/elegant/shared_love_seat_s01.iff', '0', '-0.707105', '0', '0.707108', '1.28059', '0.996015', '6.23682', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845541', '1845354', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '1.09574', '0.996604', '7.43203', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845542', '1845354', 'object/static/item/shared_item_game_dejarik_gameboard.iff', '0', '0.707106', '0', '0.707107', '-0.219405', '0.996676', '6.23682', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845543', '1845354', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff', '0', '-0.707106', '0', '0.707107', '-4.30849', '0.998233', '6.6613', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845544', '1845354', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff', '0', '0.707107', '0', '-0.707106', '4.33653', '0.993319', '6.58349', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845554', '1845354', 'object/static/item/shared_item_jar_berries.iff', '0', '0', '0', '1', '-4.36494', '1.3782', '6.5635', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845555', '1845354', 'object/static/item/shared_item_jar_berries.iff', '0', '0', '0', '1', '-4.56611', '1.37851', '6.32278', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845556', '1845354', 'object/static/item/shared_item_jar_berries.iff', '0', '0', '0', '1', '-4.28718', '1.37836', '6.26468', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845557', '1845354', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '-4.0428', '1.37781', '6.80423', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845558', '1845354', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '-4.43385', '1.37755', '7.12161', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845559', '1845354', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '4.3818', '1.37279', '7.01077', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845560', '1845354', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '4.38247', '1.37279', '6.12405', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845561', '1845354', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '4.39853', '1.37279', '6.55032', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845562', '1845354', 'object/static/item/shared_item_glass_metal.iff', '0', '0', '0', '1', '4.19386', '0.645468', '6.83683', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845563', '1845354', 'object/static/item/shared_item_glass_metal.iff', '0', '0', '0', '1', '4.23042', '0.645468', '6.34904', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845564', '1845354', 'object/static/item/shared_item_glass_metal.iff', '0', '0', '0', '1', '4.03778', '0.645468', '6.56882', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845565', '1845354', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '-14.5531', '0.997809', '-3.33248', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845567', '1845354', 'object/static/item/shared_item_painting_corellia_style_01.iff', '0', '1', '0', '-3.20013e-08', '-15.0226', '0.993319', '-3.27061', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845568', '1845354', 'object/static/item/shared_item_shisha.iff', '0', '0', '0', '1', '-14.4793', '1.37114', '-3.31491', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845569', '1845354', 'object/tangible/furniture/elegant/shared_cabinet_s01.iff', '0', '1', '0', '0', '8.99357', '1.00012', '9.74372', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845570', '1845354', 'object/tangible/furniture/elegant/shared_cabinet_s01.iff', '0', '1', '0', '0', '12.3628', '0.998717', '9.76383', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845572', '1845354', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '10.6571', '1.00012', '9.51774', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845573', '1845354', 'object/tangible/furniture/elegant/shared_bookcase_s01.iff', '0', '1', '0', '-3.20013e-08', '-10.3841', '0.993319', '11.0019', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845574', '1845354', 'object/tangible/furniture/elegant/shared_bookcase_s01.iff', '0', '-0.707106', '0', '0.707108', '-8.51655', '0.993319', '7.56457', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845575', '1845354', 'object/tangible/furniture/elegant/shared_bookcase_s01.iff', '0', '0.707106', '0', '0.707108', '-12.0301', '0.993319', '7.6196', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845577', '1845354', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '-11.8235', '0.993319', '9.14413', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845579', '1845354', 'object/static/item/shared_item_painting_agrilat_swamp_style_01.iff', '0', '0', '0', '1', '12.6743', '2.76295', '2.19385', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845580', '1845354', 'object/static/item/shared_item_painting_bothan_style_01.iff', '0', '0', '0', '1', '12.6583', '1.87772', '-1.22911', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1885353', '1845354', 'object/tangible/furniture/elegant/shared_end_table_s01.iff', '0', '0', '0', '1', '-1.48969', '0.997787', '7.4783', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3975357', '1845354', 'object/tangible/terminal/shared_terminal_mission_rebel.iff', '0', '-0.707106', '0', '0.707107', '-8.54201', '0.993319', '9.28183', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845355', '1845352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845356', '1845352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845357', '1845352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845358', '1845352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845359', '1845352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845360', '1845352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845361', '1845352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845362', '1845352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845363', '1845352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845364', '1845352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845365', '1845352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845366', '1845352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845367', '1845352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845368', '1845352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845369', '1845352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845370', '1845352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845371', '1845352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845372', '1845352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845373', '1845352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845374', '0', 'object/static/installation/shared_mockup_mining_liquid_harvester_style_1.iff', '0', '0.532198', '0', '0.84662', '-583.112', '6.5', '-6738.78', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845375', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-577.2', '0.272564', '-6711.24', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845376', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-560.501', '1.82333', '-6753.32', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845377', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-615.293', '2.23709', '-6746.14', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845378', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-652.532', '1.48358', '-6774.59', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845379', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-680.083', '2.71255', '-6808.28', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845380', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-742.883', '1.25584', '-6782.77', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845381', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-713.123', '2.77929', '-6839.94', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845382', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-765.899', '1.4452', '-6735.99', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845383', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-759.774', '0.478001', '-6681.78', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845384', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-743.045', '2.97142', '-6648.07', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845385', '0', 'object/static/installation/shared_mockup_mining_liquid_harvester_style_1.iff', '0', '0.819648', '0', '0.572868', '-731.591', '6.65946', '-6657.22', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845386', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-719.003', '1.59681', '-6612.84', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845387', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-686.277', '2.19643', '-6613.55', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845388', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-662.126', '0.202014', '-6667.82', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845389', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-640.215', '-0.239972', '-6693.55', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845390', '0', 'object/static/installation/shared_mockup_power_generator_solar_style_1.iff', '0', '0.707106', '0', '0.707107', '-675.794', '15.8799', '-6762.4', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845391', '0', 'object/static/installation/shared_mockup_power_generator_solar_style_1.iff', '0', '-0.707106', '0', '0.707107', '-720.994', '15.8768', '-6761.91', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845392', '0', 'object/static/installation/shared_mockup_power_generator_solar_style_1.iff', '0', '0', '0', '1', '-705.903', '20.0621', '-6763.04', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845393', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_1.iff', '0', '-0.707106', '0', '0.707107', '-677.866', '8', '-6739.21', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845394', '0', 'object/static/structure/tatooine/shared_bridge_tatooine_small_style_02.iff', '0.00926783', '0.37554', '-0.00375553', '0.926752', '-651.735', '5.0112', '-6680.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845395', '0', 'object/static/structure/tatooine/shared_bridge_tatooine_small_style_02.iff', '0.0101228', '-0.589079', '0.0110686', '0.807936', '-749.426', '8.06246', '-6716.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845398', '0', 'object/static/structure/tatooine/shared_pillar_watto_junkshop.iff', '0', '0.998951', '0', '-0.0457804', '-647.349', '6.7005', '-6761.82', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845399', '0', 'object/static/structure/tatooine/shared_pillar_watto_junkshop.iff', '0', '0', '0', '1', '-678.34', '8', '-6737.05', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845401', '0', 'object/static/structure/tatooine/shared_bridge_tatooine_small_style_02.iff', '0.00696139', '-0.421384', '0.00874831', '0.906813', '-638.677', '6.56615', '-6763.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845402', '0', 'object/static/structure/tatooine/shared_wall_junkshop_watto.iff', '0', '0.939645', '0', '0.34215', '-655.259', '6.53341', '-6768.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845403', '0', 'object/static/structure/tatooine/shared_wall_junkshop_watto.iff', '0.0144592', '0.963874', '0.00398932', '0.265934', '-672.269', '6.82561', '-6780.62', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845404', '0', 'object/static/structure/tatooine/shared_pillar_watto_junkshop.iff', '0', '0.992098', '0', '-0.125464', '-663.371', '7.5198', '-6775.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845405', '0', 'object/static/structure/tatooine/shared_wall_junkshop_watto.iff', '0', '-0.0841047', '0', '0.996457', '-691.594', '7.32374', '-6787.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845406', '0', 'object/static/structure/tatooine/shared_pillar_watto_junkshop.iff', '0', '0.95209', '0', '-0.305816', '-681.38', '8.29379', '-6786.13', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845407', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '0', '0', '1', '-678.34', '7.36347', '-6728.55', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845408', '0', 'object/static/structure/tatooine/shared_pillar_watto_junkshop.iff', '0', '0.810497', '0', '-0.585742', '-701.943', '8.45184', '-6789.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845409', '0', 'object/static/structure/tatooine/shared_wall_junkshop_watto.iff', '0.0399685', '0.972613', '0.00356724', '-0.228936', '-711.356', '8.06968', '-6784.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845410', '0', 'object/static/structure/tatooine/shared_pillar_watto_junkshop.iff', '0', '-0.688913', '0', '0.724844', '-720.776', '9.22583', '-6780.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845411', '0', 'object/static/structure/tatooine/shared_wall_junkshop_watto.iff', '0.0121157', '0.403736', '0.0274397', '0.914384', '-727.835', '8.16939', '-6772.28', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845412', '0', 'object/static/structure/tatooine/shared_pillar_watto_junkshop.iff', '0', '-0.535416', '0', '0.844589', '-735.113', '7.75522', '-6764.2', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845413', '0', 'object/static/structure/tatooine/shared_wall_junkshop_watto.iff', '0.00613809', '0.8191', '0.0136857', '-0.573454', '-738.673', '7.55563', '-6754.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845414', '0', 'object/static/structure/tatooine/shared_pillar_watto_junkshop.iff', '0', '-0.37092', '0', '0.928665', '-742.351', '7.46308', '-6744.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845415', '0', 'object/static/structure/tatooine/shared_wall_junkshop_watto.iff', '0', '0.703845', '0', '0.710353', '-742.416', '7.3948', '-6733.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845416', '0', 'object/static/structure/tatooine/shared_pillar_watto_junkshop.iff', '0', '-0.384808', '0', '0.922997', '-742.459', '7.97235', '-6723.22', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845417', '0', 'object/static/structure/tatooine/shared_pillar_watto_junkshop.iff', '0', '-0.382683', '0', '0.92388', '-678.47', '8', '-6720.29', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845418', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '-0.382683', '0', '0.92388', '-684.34', '7.36347', '-6714.55', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845419', '0', 'object/static/structure/tatooine/shared_pillar_watto_junkshop.iff', '0', '-0.707105', '0', '0.707109', '-690.103', '8', '-6708.73', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845420', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '-0.707105', '0', '0.707108', '-698.34', '7.36347', '-6708.55', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845421', '0', 'object/static/structure/tatooine/shared_pillar_watto_junkshop.iff', '0', '0', '0', '1', '-718.34', '8', '-6737.05', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845422', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '0', '0', '1', '-718.34', '7.36347', '-6728.55', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845423', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '0.382684', '0', '0.923879', '-712.34', '7.13292', '-6714.55', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845424', '0', 'object/static/structure/tatooine/shared_pillar_watto_junkshop.iff', '0', '0', '0', '1', '-706.538', '8', '-6708.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845425', '0', 'object/static/structure/tatooine/shared_pillar_watto_junkshop.iff', '0', '0.382684', '0', '0.923879', '-718.172', '8', '-6720.42', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845426', '0', 'object/static/structure/tatooine/shared_bridge_tatooine_small_style_03.iff', '-0.0115204', '-0.640313', '-0.00960542', '0.767968', '-614.667', '6.80652', '-6734.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845427', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0.849481', '0', '-0.52762', '-589.486', '6.26316', '-6737.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845428', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0.707106', '0', '0.707107', '-670.187', '7.54608', '-6759.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845432', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0.707107', '0', '0.707107', '-670.326', '7.59122', '-6751.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845433', '0', 'object/static/structure/tatooine/shared_pillar_watto_junkshop.iff', '0', '0', '0', '1', '-703.046', '6.38307', '-6735.82', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845434', '0', 'object/static/structure/tatooine/shared_pillar_watto_junkshop.iff', '0', '0', '0', '1', '-693.676', '6.38307', '-6735.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845437', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0.069942', '0.0249362', '-0.000349713', '0.997239', '-697.895', '18.9358', '-6745.06', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845438', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0.0575281', '0.559136', '-0.0397808', '0.826121', '-691.939', '18.6757', '-6749.51', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845439', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0.059628', '-0.521407', '0.0365582', '0.850437', '-704.454', '18.6418', '-6748.67', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845440', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_01.iff', '0', '0', '0', '1', '-698.184', '8.23297', '-6700.95', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845441', '0', 'object/static/structure/tatooine/shared_planter_hanging_style_01.iff', '0', '1', '0', '-3.20013e-08', '-700.696', '9.86575', '-6739.86', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845442', '0', 'object/static/structure/tatooine/shared_planter_hanging_style_01.iff', '0', '1', '0', '0', '-700.696', '10.8658', '-6739.86', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845443', '0', 'object/static/structure/tatooine/shared_planter_hanging_style_01.iff', '0', '1', '0', '0', '-700.696', '11.8658', '-6739.86', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845444', '0', 'object/static/structure/tatooine/shared_planter_hanging_style_01.iff', '0', '1', '0', '0', '-695.696', '9.86575', '-6739.86', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845445', '0', 'object/static/structure/tatooine/shared_planter_hanging_style_01.iff', '0', '1', '0', '0', '-695.696', '10.8658', '-6739.86', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845446', '0', 'object/static/structure/tatooine/shared_planter_hanging_style_01.iff', '0', '1', '0', '0', '-695.696', '11.8658', '-6739.86', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845447', '0', 'object/static/flora/shared_flora_tree_palm_fngi.iff', '0', '-0.104807', '0', '0.994493', '-695.287', '8.43413', '-6698.32', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845448', '0', 'object/static/flora/shared_flora_tree_palm_fngi.iff', '0', '1', '0', '-3.20013e-08', '-700.951', '8.50161', '-6698.24', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845449', '0', 'object/static/flora/shared_flora_tree_palm_fngi.iff', '0', '-0.214126', '0', '0.976806', '-695.625', '7.11442', '-6703.54', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845450', '0', 'object/static/flora/shared_flora_tree_palm_fngi.iff', '0', '0.948985', '0', '0.315322', '-700.797', '8.40674', '-6703.54', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845451', '0', 'object/static/flora/shared_flora_tree_palm_thk.iff', '0', '0', '0', '1', '-698.172', '9.6011', '-6701.24', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845452', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_01.iff', '0', '0.389418', '0', '0.921061', '-717.629', '8', '-6707.73', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845453', '0', 'object/static/flora/shared_flora_tree_palm_fngi.iff', '0', '0.29074', '0', '0.956802', '-713.729', '9.31971', '-6707.98', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845454', '0', 'object/static/flora/shared_flora_tree_palm_fngi.iff', '0', '0.921061', '0', '-0.389418', '-717.612', '9.38718', '-6703.86', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845455', '0', 'object/static/flora/shared_flora_tree_palm_fngi.iff', '0', '0.183163', '0', '0.983083', '-717.711', '8', '-6711.38', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845456', '0', 'object/static/flora/shared_flora_tree_palm_fngi.iff', '0', '0.996865', '0', '-0.0791215', '-721.31', '9.29231', '-6707.66', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845457', '0', 'object/static/flora/shared_flora_tree_palm_thk.iff', '0', '0.389418', '0', '0.921061', '-717.836', '9.70416', '-6707.95', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845458', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_01.iff', '0', '-0.375559', '0', '0.926798', '-677.791', '8.23429', '-6709.3', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845459', '0', 'object/static/flora/shared_flora_tree_palm_fngi.iff', '0', '-0.470626', '0', '0.882333', '-677.538', '8.5904', '-6705.4', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845460', '0', 'object/static/flora/shared_flora_tree_palm_fngi.iff', '0', '0.926798', '0', '0.375559', '-681.664', '8.65787', '-6709.28', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845461', '0', 'object/static/flora/shared_flora_tree_palm_fngi.iff', '0', '-0.5653', '0', '0.824885', '-674.145', '7.27069', '-6709.38', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845462', '0', 'object/static/flora/shared_flora_tree_palm_fngi.iff', '0', '0.761096', '0', '0.64864', '-677.862', '8.563', '-6712.98', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845463', '0', 'object/static/flora/shared_flora_tree_palm_thk.iff', '0', '-0.375559', '0', '0.926798', '-677.574', '9.75736', '-6709.51', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845465', '0', 'object/static/flora/shared_flora_tree_palm_fngi.iff', '0.0598524', '-0.645876', '-0.0116282', '0.761004', '-685.804', '9.42645', '-6734.26', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845466', '0', 'object/static/flora/shared_flora_tree_tato_touchnot.iff', '0', '-0.281158', '0', '0.959662', '-695.723', '8', '-6735.15', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845471', '0', 'object/static/flora/shared_flora_tree_palm_fngi.iff', '0.0550145', '0.935713', '0.133438', '0.321885', '-711.253', '9.54978', '-6734.36', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845473', '0', 'object/static/flora/shared_flora_tree_tato_touchnot.iff', '0', '0.252245', '0', '0.967663', '-701.129', '8', '-6735.17', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845474', '0', 'object/static/flora/shared_flora_plant_tato_hubba.iff', '0', '0.232843', '0', '0.972514', '-696.729', '7.77864', '-6735.71', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845475', '0', 'object/static/flora/shared_flora_plant_tato_hubba.iff', '0', '-0.271547', '0', '0.962425', '-698.414', '8', '-6735.79', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845476', '0', 'object/static/flora/shared_flora_plant_tato_hubba.iff', '0.0145408', '0.843541', '0.0322181', '-0.535901', '-699.997', '7.94199', '-6735.83', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845477', '0', 'object/static/flora/shared_flora_plant_tato_pika.iff', '0', '-0.252245', '0', '0.967663', '-697.227', '8', '-6735.3', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845478', '0', 'object/static/flora/shared_flora_plant_tato_pika.iff', '0', '0.958016', '0', '-0.286715', '-699.477', '8', '-6735.36', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845479', '0', 'object/static/flora/shared_flora_plant_tato_falotil.iff', '0', '0', '0', '1', '-698.392', '8', '-6734.87', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845480', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0', '0', '1', '-685.714', '8', '-6734.39', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845481', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0', '0', '1', '-711.097', '8', '-6734.75', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845484', '0', 'object/static/structure/tatooine/shared_planter_window_style_01.iff', '0', '1', '0', '-3.20013e-08', '-698.106', '9.70764', '-6736.31', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845486', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0', '0', '1', '-696.323', '18.5163', '-6746.19', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845488', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '-0.338197', '0', '0.941075', '-697.52', '18.5163', '-6745.73', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845489', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.104807', '0', '0.994493', '-698.882', '18.5163', '-6746.16', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845490', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.601198', '0', '0.7991', '-691.536', '18.5163', '-6750.91', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845491', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '0.29552', '0', '0.955336', '-691.425', '18.5163', '-6749.63', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845492', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.514136', '0', '0.857708', '-692.211', '18.5163', '-6748.44', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845581', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-752.373', '-0.91532', '-6869.62', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845582', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-763.633', '-0.350377', '-6902.36', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845583', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-813.646', '4.47495', '-6910.83', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845584', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-627.792', '2.46483', '-6593.67', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845585', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-621.939', '6.68682', '-6557.56', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845586', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-463.215', '0.358121', '-6751.83', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845587', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-517.047', '2.9082', '-6781.76', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845588', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-480.53', '1.22654', '-6684.42', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845589', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-426.036', '8.41967', '-6758.6', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845590', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-428.325', '3.46063', '-6703.77', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1845591', '0', 'object/static/installation/shared_mockup_mining_liquid_harvester_style_1.iff', '0.0113457', '0.987823', '-0.00171857', '-0.155159', '-430.576', '9.36866', '-6727.18', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '1925352', '0', 'object/building/tatooine/shared_bank_tatooine.iff', '0', '-0.119712', '0', '0.992809', '-2993.12', '5', '2336.85', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1955352', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.634761', '0', '0.772709', '-689.881', '9.95646', '-6844.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1955353', '0', 'object/building/tatooine/shared_housing_tatt_style01_small.iff', '0', '-0.324043', '0', '0.946042', '-642.058', '13', '-6862.95', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1955354', '1955353', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1955355', '1955353', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1955356', '1955353', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1955357', '1955353', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1955358', '1955353', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1955359', '1955353', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1955360', '1955353', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1955361', '1955353', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1955362', '1955353', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1955363', '1955353', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1955364', '0', 'object/building/tatooine/shared_housing_tatt_style01_small.iff', '0', '0.750024', '0', '0.661411', '-687.551', '9.88735', '-6831.07', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1955365', '1955364', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1955366', '1955364', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1955367', '1955364', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1955368', '1955364', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1955369', '1955364', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1955370', '1955364', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1955371', '1955364', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1955372', '1955364', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1955373', '1955364', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1955374', '1955364', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1955375', '0', 'object/building/tatooine/shared_housing_tatt_style01_small.iff', '0', '0.267115', '0', '0.963665', '-683.277', '10', '-6857.27', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1955376', '1955375', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1955377', '1955375', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1955378', '1955375', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1955379', '1955375', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1955380', '1955375', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1955381', '1955375', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1955382', '1955375', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1955383', '1955375', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1955384', '1955375', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1955385', '1955375', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1955386', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '-0.661411', '0', '0.750023', '-635.272', '13', '-6847.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1955393', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_09.iff', '0', '0.955101', '0', '-0.296281', '-694.728', '4.24202', '-6639.24', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '1955395', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.29074', '0', '0.956802', '-703.278', '5.56136', '-6649.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1955396', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.887362', '0', '0.461073', '-700.655', '5.44072', '-6652.2', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '1955397', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '-0.543835', '0', '0.839192', '-705.651', '6.29056', '-6634.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '1955398', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0.857299', '0', '-0.514819', '-706.457', '6.44581', '-6642.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '2116360', '0', 'object/static/structure/general/shared_landing_pad_shuttle.iff', '0', '0.998591', '0', '0.0530731', '-6184.76', '90', '-6385.87', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '2116361', '0', 'object/static/vehicle/shared_player_shuttle.iff', '0', '0.99871', '0', '0.0507732', '-6185.06', '90', '-6383.16', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '2116365', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.721935', '0', '0.69196', '-6179.58', '90', '-6379.81', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '2116366', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.996457', '0', '0.084103', '-6179.59', '90', '-6378.93', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '2116367', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.025', '0', '0.999687', '-6179.62', '90.8854', '-6379.41', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '2116368', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.519779', '0', '0.854301', '-6178.72', '90', '-6379.04', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '2116372', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.277121', '0', '0.960835', '-6178.78', '90', '-6377.54', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '2116373', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.978899', '0', '-0.204346', '-6179.11', '90.8854', '-6377.09', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '2116374', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.968715', '0', '-0.248175', '-6179.47', '90', '-6376.81', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '2116375', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '-0.0449855', '0', '0.998988', '-6187.83', '90', '-6395', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '2116376', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '-0.0649541', '0', '0.997888', '-6181.5', '90', '-6376.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '2116378', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_2.iff', '0', '0.328769', '0', '0.94441', '-6177.78', '90', '-6391.37', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '2116379', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.519779', '0', '0.854301', '-6179.99', '90', '-6378.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '2116381', '0', 'object/static/structure/general/shared_data_terminal_s1.iff', '0', '0.670882', '0', '0.741564', '-6179.69', '90', '-6381.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '2116382', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '0', '-0.0449848', '0', '0.998988', '-6193.61', '90', '-6387.36', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '2116389', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.747971', '0', '-0.663731', '-6193.18', '91.1538', '-6385.38', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '2116390', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0.747971', '0', '-0.663731', '-6193.2', '91.0273', '-6385.96', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '2116391', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.747971', '0', '-0.663731', '-6193.07', '91.1538', '-6386.54', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '2116392', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.747971', '0', '-0.663731', '-6193.17', '90.1265', '-6385.39', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '2116393', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0.747971', '0', '-0.663731', '-6193.19', '90', '-6385.97', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '2116394', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.747971', '0', '-0.663731', '-6193.06', '90.1265', '-6386.55', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '2116423', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '1', '0', '-3.20013e-08', '-6192.46', '90', '-6389.84', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '2116424', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '-6192.79', '90', '-6391.03', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '2116425', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '-6193.84', '90', '-6390.64', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '2116426', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.0799147', '0', '0.996802', '-6193.36', '90', '-6389.63', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '2116427', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '0', '0', '0', '1', '-6193.88', '90', '-6379.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '2116430', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0.707106', '0', '0', '0.707107', '-6192.38', '90.4491', '-6379.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '2116431', '0', 'object/static/structure/corellia/shared_corl_power_box_node.iff', '0', '-0.0399893', '0', '0.9992', '-6168.55', '90', '-6390.63', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2116432', '0', 'object/static/structure/corellia/shared_corl_power_connector.iff', '0', '0.9992', '0', '0.0399893', '-6174.45', '90.0011', '-6392.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2116433', '0', 'object/static/structure/corellia/shared_corl_power_connector.iff', '0', '0.9992', '0', '0.0399893', '-6174.61', '90.0029', '-6390.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2426363', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '-0.448423', '0', '0.893822', '-5207', '75', '-6548.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '2426365', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.114747', '0', '0.993395', '-5079.61', '75', '-6571.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '2426366', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '-5093.85', '75', '-6588.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595352', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_03.iff', '0', '0', '0', '1', '1502.38', '7', '3232.58', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595354', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_01.iff', '0', '1', '0', '-9.52216e-08', '1523.31', '7', '3184.99', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595356', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.999983', '0', '0.00579701', '1518.42', '7', '3240.76', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595357', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '0.696132', '0', '0.717914', '1523.42', '7', '3241.16', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595358', '0', 'object/building/tatooine/shared_housing_tatt_style01_med.iff', '0', '-0.00499998', '0', '0.999987', '1486.72', '7', '3195.32', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595359', '2595358', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595444', '2595359', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff', '0', '0', '0', '1', '5.06045', '1.00421', '3.68328', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595445', '2595359', 'object/tangible/furniture/tatooine/shared_frn_tatt_cantina_droid_detector.iff', '0', '1', '0', '3.20013e-08', '5.24104', '1.00421', '10.7618', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595446', '2595359', 'object/tangible/furniture/modern/shared_end_table_large_modern_style_01.iff', '0', '1', '0', '3.20013e-08', '4.3725', '1.00421', '7.92859', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595447', '2595359', 'object/static/item/shared_item_con_tato_bowl_full_s01.iff', '0', '0', '0', '1', '4.47634', '1.00421', '7.84849', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595360', '2595358', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595385', '2595360', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_2.iff', '0', '-0.356949', '0', '0.934124', '-5.33141', '0.408271', '-5.82021', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595386', '2595360', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '-0.324043', '0', '0.946042', '-4.55667', '0.408271', '-6.78682', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595387', '2595360', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.999991', '0', '0.00420355', '-5.17934', '0.408271', '-4.61652', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595388', '2595360', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_2.iff', '0', '0.699719', '0', '0.714418', '-7.03157', '0.408271', '-5.59817', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595389', '2595360', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.754571', '0', '-0.656218', '-3.90493', '0.408271', '-5.43339', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595390', '2595360', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_3.iff', '0', '0.904412', '0', '-0.42666', '7.58448', '0.40827', '-8.97522', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595391', '2595360', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_3.iff', '0', '0.904412', '0', '-0.42666', '6.0073', '0.40827', '-8.78492', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595392', '2595360', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_2.iff', '0', '-0.0199991', '0', '0.9998', '7.13665', '0.40827', '-10.1591', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595393', '2595360', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.324042', '0', '0.946043', '5.28112', '0.40827', '-9.96031', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595394', '2595360', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.761095', '0', '0.64864', '4.68672', '0.40827', '-8.32684', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595395', '2595360', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.977865', '0', '0.209239', '5.55196', '0.408269', '-7.44387', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595396', '2595360', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.999415', '0', '-0.0341963', '6.9434', '0.408269', '-7.37457', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595397', '2595360', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.961275', '0', '-0.27559', '8.39625', '0.408269', '-7.71442', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595398', '2595360', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_1.iff', '0', '0.941344', '0', '0.337447', '0.0981742', '0.40827', '-9.19131', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595399', '2595360', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_2.iff', '0', '0.00159267', '0', '0.999999', '0.290866', '0.408271', '-10.4035', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595400', '2595360', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.941344', '0', '0.337447', '-2.95265', '0.40827', '-8.59283', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595401', '2595360', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_2.iff', '0', '0.00159267', '0', '0.999999', '-2.33237', '0.408271', '-10.472', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595402', '2595360', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_1.iff', '0', '0.941344', '0', '0.337447', '-2.04393', '0.40827', '-9.39879', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595403', '2595360', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_3.iff', '0', '0.998951', '0', '-0.0457811', '-1.62495', '0.40827', '-8.37945', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595404', '2595360', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_3.iff', '0', '0.841471', '0', '-0.540303', '1.24906', '0.40827', '-9.10191', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595405', '2595360', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_3.iff', '0', '0.998951', '0', '-0.0457811', '-0.255179', '0.40827', '-8.15677', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595406', '2595360', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_3.iff', '0', '0', '0', '1', '5.31604', '0.408271', '-1.44458', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595407', '2595360', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_3.iff', '0', '0.628793', '0', '0.777573', '3.88049', '0.408271', '-1.51929', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595408', '2595360', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '-0.149438', '0', '0.988771', '5.65295', '0.408271', '-2.65942', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595409', '2595360', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.727725', '0', '-0.685869', '6.59802', '0.408267', '-0.869385', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595411', '2595360', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_3.iff', '0', '0.804599', '0', '0.593818', '-10.2757', '0.408271', '1.27766', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595412', '2595360', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.104807', '0', '0.994493', '-9.33197', '0.408271', '-0.239917', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595413', '2595360', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.992098', '0', '-0.125465', '-8.6341', '0.408271', '2.07143', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595414', '2595360', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_3.iff', '0', '-0.637765', '0', '0.770231', '-7.3727', '0.408271', '0.824286', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595415', '2595360', 'object/static/item/shared_item_game_dejarik_gameboard.iff', '0', '0', '0', '1', '-9.093', '0.408271', '1.06287', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595448', '2595360', 'object/static/structure/general/shared_banner_tatooine_style_01.iff', '0', '0', '0', '1', '4.93763', '0.408271', '2.53444', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595449', '2595360', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_3.iff', '0', '0', '0', '1', '10.3964', '0.408271', '-0.966711', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595450', '2595360', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_3.iff', '0', '0', '0', '1', '10.3964', '0.408271', '-2.96671', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595451', '2595360', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_3.iff', '0', '0', '0', '1', '10.3964', '0.408271', '-4.96671', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595452', '2595360', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '10.6988', '1.16722', '-0.787481', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595453', '2595360', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '10.7956', '1.16722', '-1.12439', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595454', '2595360', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '10.4648', '1.16722', '-1.12684', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595455', '2595360', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '10.4227', '1.16722', '-0.871465', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595456', '2595360', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '10.6144', '1.16722', '-2.74044', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595457', '2595360', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '10.8589', '1.16722', '-3.08798', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595458', '2595360', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '10.1056', '1.16722', '-4.77434', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595459', '2595360', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '10.5219', '1.16722', '-4.98784', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595460', '2595360', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '10.097', '1.16722', '-5.16106', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595461', '2595360', 'object/static/item/shared_item_bread_loaf.iff', '0', '0', '0', '1', '10.0576', '1.16722', '-0.998324', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595462', '2595360', 'object/static/item/shared_item_bread_loaf.iff', '0', '0', '0', '1', '10.221', '1.16722', '-1.34476', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595463', '2595360', 'object/static/item/shared_item_con_plate_s1_full.iff', '0', '0', '0', '1', '10.2924', '1.16722', '-3.10376', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595464', '2595360', 'object/static/item/shared_item_painting_tatooine_style_01.iff', '0', '0', '0', '1', '11.0337', '2.02103', '-1.90304', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595465', '2595360', 'object/static/item/shared_item_painting_tatooine_style_02.iff', '0', '0', '0', '1', '11.0337', '2.02103', '-4.90304', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595466', '2595360', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s02.iff', '0', '0', '0', '1', '-7.32587', '0.408271', '-7.53797', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595467', '2595360', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s02.iff', '0', '0', '0', '1', '-4.4623', '0.408271', '-9.63528', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595468', '2595360', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s02.iff', '0', '0', '0', '1', '10.4809', '0.408271', '-9.37655', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595361', '2595358', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595416', '2595361', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0.707092', '-0.00466195', '-0.00466195', '-0.707091', '-0.966527', '2.17425', '10.844', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595417', '2595361', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '0.980582', '0', '-0.19611', '-6.77817', '1.00421', '8.72315', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595418', '2595361', 'object/tangible/crafting/station/shared_food_station.iff', '0', '0.999994', '0', '0.00340813', '-5.74493', '1.00421', '10.415', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595419', '2595418', 'object/tangible/hopper/shared_crafting_station_ingredient_hopper_1.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595420', '2595361', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0.707092', '-0.00466195', '-0.00466195', '-0.707091', '-0.966446', '1.38368', '10.844', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595421', '2595361', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '0.993486', '0', '0.113957', '-9.2988', '1.00421', '8.94846', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595422', '2595361', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '0.146067', '0', '0.989275', '-9.12556', '1.00421', '4.52988', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595423', '2595361', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '-0.162681', '0', '0.986679', '-6.32258', '1.00421', '4.86658', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595424', '2595361', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0.707092', '-0.00466195', '-0.00466195', '-0.707091', '-0.966492', '2.96482', '10.844', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595425', '2595361', 'object/tangible/furniture/modern/shared_dining_table_modern_style_01.iff', '0', '0.00159303', '0', '0.999999', '-8.55487', '1.00421', '6.7439', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595426', '2595361', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff', '0.496693', '0.503286', '-0.503285', '0.496693', '-11.0852', '2.39561', '6.70524', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595429', '2595361', 'object/static/item/shared_item_kitchen_pot_style_03.iff', '0', '0.957494', '0', '0.288454', '2.97338', '1.92127', '6.78331', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595430', '2595361', 'object/static/item/shared_item_kitchen_pot_style_01.iff', '0', '0.825785', '0', '0.563985', '2.97338', '1.92127', '6.53692', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595431', '2595361', 'object/static/item/shared_item_jar_funk.iff', '0', '-0.00340736', '0', '0.999994', '2.98556', '1.88965', '5.42758', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595433', '2595361', 'object/static/item/shared_item_kitchen_pot_style_02.iff', '0', '0.381661', '0', '0.924302', '2.97338', '1.92127', '7.47041', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595434', '2595361', 'object/static/item/shared_item_jar_berries.iff', '0', '-0.00340736', '0', '0.999994', '2.98556', '1.88965', '8.74411', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595435', '2595361', 'object/static/item/shared_item_jar_berries.iff', '0', '-0.00340736', '0', '0.999994', '2.98556', '1.88965', '8.47747', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595436', '2595361', 'object/static/item/shared_item_jar_spice_red.iff', '0', '-0.00340736', '0', '0.999994', '2.98556', '1.88965', '9.62962', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595437', '2595361', 'object/static/item/shared_item_jar_spice_red.iff', '0', '-0.00340736', '0', '0.999994', '2.98556', '1.88965', '9.24826', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595438', '2595361', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '-0.00340736', '0', '0.999994', '2.98556', '1.88965', '4.66232', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595439', '2595361', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '-0.00340736', '0', '0.999994', '2.98556', '1.88965', '4.25799', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595440', '2595361', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '-0.00340736', '0', '0.999994', '2.98556', '1.88965', '5.05507', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595441', '2595361', 'object/static/item/shared_item_kitchen_pot_style_01.iff', '0', '-0.00340736', '0', '0.999994', '2.97338', '1.92127', '8.08208', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595442', '2595361', 'object/static/item/shared_item_kitchen_pot_style_02.iff', '0', '0.735628', '0', '0.677386', '2.97338', '1.92127', '7.6588', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595362', '2595358', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595363', '2595358', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595364', '2595358', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595365', '2595358', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595366', '2595358', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595367', '2595358', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595368', '2595358', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595369', '2595358', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595370', '2595358', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595371', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.019998', '0', '0.9998', '1434.85', '10.0522', '3140.8', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595372', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.00999902', '0', '0.99995', '1434.8', '10.0522', '3131.77', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595373', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.9998', '0', '0.0199981', '1527.19', '7', '3241.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595374', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.99995', '0', '0.00999906', '1527.23', '7', '3250.05', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595375', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.9998', '0', '0.0199979', '1527.05', '7', '3262.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595376', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.702719', '0', '0.711468', '1527.9', '7', '3257.76', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595377', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.9998', '0', '0.019998', '1510.5', '7', '3207.41', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595378', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.99995', '0', '0.00999901', '1510.54', '7', '3216.44', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595379', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '-0.00579694', '0', '0.999983', '1520.38', '7', '3208.82', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595380', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '0.717915', '0', '-0.696131', '1515.38', '7', '3208.42', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595381', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.9998', '0', '0.019998', '1523.62', '7', '3167.72', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595382', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0', '0', '1', '1524.36', '7', '3159.81', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595383', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.99995', '0', '0.00999901', '1519.71', '7', '3200.14', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2595384', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '0.999989', '0', '0.00460146', '1523.82', '7', '3172.13', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725370', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '0.703559', '0', '0.710636', '1450.42', '7', '3107.04', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725371', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.720825', '0', '-0.693117', '1434.16', '6.5', '3106.86', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725372', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.720825', '0', '-0.693117', '1466.75', '6.5', '3107.68', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725373', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.717633', '0', '-0.696422', '1437.85', '6.5', '3175.18', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725374', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.720825', '0', '-0.693117', '1466.23', '6.5', '3175.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725375', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '-0.00015', '-0.01', '0.004998', '0.999937', '1458.62', '7', '3175.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725376', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '0.703561', '0', '0.710635', '1449.89', '7', '3175.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725377', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.707108', '0', '-0.707106', '1436.31', '6.5', '3234.25', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725378', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.00499981', '0', '0.999987', '1440.62', '7', '3234.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725379', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.710347', '0', '-0.703851', '1464.69', '4.96975', '3233.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725380', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '-0.00022495', '0.00499963', '0.00499519', '0.999975', '1457.09', '7.00003', '3234.16', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725381', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '0.714141', '0', '0.700002', '1448.35', '7', '3233.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725382', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.999985', '0', '0.00539868', '1472.8', '7', '3194.73', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725383', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.00459297', '0', '0.999989', '1473.43', '4.97275', '3203.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725384', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.004593', '0', '0.999989', '1473.67', '4.97275', '3186.99', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725385', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.707673', '0', '0.706541', '1288.97', '4.83645', '3242.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725386', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.707673', '0', '0.706541', '1314.11', '4.83645', '3242.68', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725387', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.000801074', '0', '1', '1280.88', '4.83645', '3234.66', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725388', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '0', '0', '1', '1280.83', '7', '3222.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725389', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.707106', '0', '0.707107', '1280.08', '7', '3227.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725390', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.707106', '0', '0.707107', '1280.08', '7', '3218.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725391', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.000801074', '0', '1', '1280.78', '4.83645', '3209.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725392', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.707106', '0', '0.707107', '1280.01', '7', '3201.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725393', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '1', '0', '-0.000800948', '1322.04', '4.83645', '3209.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725394', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '1', '0', '3.70369e-05', '1322.09', '7', '3222.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725395', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.707107', '0', '0.707107', '1322.84', '7', '3217.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725396', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.707107', '0', '0.707107', '1322.84', '7', '3226.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725397', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '1', '0', '-0.000800948', '1322.14', '4.83645', '3234.62', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725398', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.707107', '0', '0.707107', '1322.9', '7', '3242.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725399', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '1', '0', '3.20013e-08', '1321.8', '7', '3200.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725400', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.706549', '0', '0.707665', '1313.95', '4.83645', '3201.37', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725401', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '0.707133', '0', '-0.707081', '1301.35', '7', '3201.42', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725402', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '1', '0', '3.20013e-08', '1296.35', '7', '3200.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725403', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '1', '0', '3.20013e-08', '1305.35', '7', '3200.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725404', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.706549', '0', '0.707665', '1288.81', '4.83645', '3201.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725405', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.707077', '0', '0.707136', '1366.87', '4.10842', '3060.34', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725406', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '1', '0', '-3.43809e-05', '1362.24', '4.10842', '3055.59', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725408', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_01.iff', '0', '0', '0', '1', '1366.62', '7', '3055.7', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725409', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.704125', '0', '0.710074', '1490.09', '4.81168', '3435.04', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725420', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.696982', '0', '0.717088', '1472.25', '4.81168', '3434.68', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725421', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.0138053', '0', '0.999905', '1468.16', '4.81168', '3430.63', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725422', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.00880533', '0', '0.999961', '1468.41', '4.81168', '3413.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725423', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.696976', '0', '0.717094', '1472.56', '4.81168', '3408.61', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725424', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.700558', '0', '0.713594', '1490.22', '4.81168', '3409.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725425', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.0038051', '0', '0.999993', '1494.87', '4.81168', '3413.55', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725426', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.00380543', '0', '0.999993', '1494.65', '4.81168', '3430.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725427', '0', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '0.9998', '0', '0.0199987', '1421.43', '7.53759', '3265.51', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725428', '0', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '0.9998', '0', '0.019999', '1448.85', '7.52322', '3266.54', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725429', '0', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '0.9998', '0', '0.019999', '1500.02', '7.56921', '3268.49', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725430', '0', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '-0.019999', '0', '0.9998', '1418.17', '7.53554', '3322.01', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725431', '0', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '-0.019999', '0', '0.9998', '1445.6', '7.53554', '3323.04', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725432', '0', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '-0.019999', '0', '0.9998', '1496.77', '7.53554', '3324.99', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725433', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.00999984', '0', '0.99995', '1512.6', '4.35647', '3345.18', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725434', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.01', '0', '0.99995', '1512.93', '4.35647', '3329.05', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725435', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.724561', '0', '-0.689211', '1528.93', '4.35647', '3322.13', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725436', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.01', '0', '0.99995', '1535.44', '4.35647', '3336.27', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725437', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.01', '0', '0.99995', '1535.11', '4.35647', '3351.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725438', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.681638', '0', '0.73169', '1550.87', '7', '3336.02', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '2725440', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.718172', '0', '0.695865', '1412.34', '4.99118', '3352.76', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3005785', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0.974883', '0', '0.222716', '-5299.92', '75', '-6511.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3005830', '0', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '0.737931', '0', '-0.674876', '-5111.31', '75', '-6544.69', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3005832', '0', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '0.741296', '0', '-0.671178', '-5111.62', '75', '-6541.36', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065352', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_09.iff', '0', '-0.42738', '0', '0.904072', '-2909.81', '5', '2282.88', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065354', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_07.iff', '0', '0.578258', '0', '0.815854', '-2784.54', '5', '2223.21', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065356', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_08.iff', '0', '0.968264', '0', '0.249932', '-2825.33', '5', '2202.17', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065358', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_08.iff', '0', '0.999849', '0', '-0.0173889', '-2900.15', '5', '2190.02', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065360', '0', 'object/building/tatooine/shared_filler_building_block_64x32_style_01.iff', '0', '0.804599', '0', '-0.593819', '-2795.45', '5', '2281.52', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065363', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_06.iff', '0', '-0.17903', '0', '0.983844', '-2827.52', '5', '2307.57', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065365', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_10.iff', '0', '0.993869', '0', '0.110568', '-2866.51', '5', '2176.29', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065367', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_08.iff', '0', '0.903048', '0', '-0.429539', '-2912.63', '5', '2209.42', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065369', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_06.iff', '0', '0.824886', '0', '-0.5653', '-2910.89', '5', '2230.62', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065374', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.670587', '0', '0.741831', '-2844.17', '5', '2304.85', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065375', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.305059', '0', '0.952334', '-2900.07', '5', '2292.19', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065377', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '0.99871', '0', '-0.0507746', '-2873.54', '5', '2304.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065379', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.624897', '0', '0.780707', '-2852.09', '5', '2306.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065380', '0', 'object/static/structure/tatooine/shared_wall_gate_tatooine_style_03.iff', '0', '0.747971', '0', '-0.663731', '-2856.7', '5', '2304.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065382', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '0.999687', '0', '0.0249973', '-2917.21', '5', '2246.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065386', '0', 'object/static/structure/tatooine/shared_wall_gate_tatooine_style_02.iff', '0', '0.66687', '0', '0.745174', '-2857.01', '5', '2306.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065387', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0.998444', '0', '0.0557678', '-2861.78', '5', '2305.38', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065389', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.666869', '0', '0.745175', '-2852.04', '5', '2305.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065390', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.0326118', '0', '0.999468', '-2851.97', '5', '2304.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065391', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.745175', '0', '-0.666869', '-2861.76', '5', '2304.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065392', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.032612', '0', '0.999468', '-2860.57', '5', '2303.82', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065393', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '0.724287', '0', '0.689499', '-2865.28', '5', '2303.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065394', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.0242005', '0', '0.999707', '-2868.95', '5', '2304.16', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065395', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.720831', '0', '0.693111', '-2865.1', '5', '2305.2', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065397', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.739799', '0', '0.672828', '-2815.27', '5', '2309.79', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065399', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.683852', '0', '0.729621', '-2815.08', '5', '2305.18', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065412', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '0.539632', '0', '0.841901', '-2807.51', '5', '2205.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065413', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '-0.213348', '0', '0.976976', '-2810.76', '5', '2209.18', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065414', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '0.864924', '0', '-0.501902', '-2803.05', '5', '2213.49', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065415', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.266731', '0', '0.963771', '-2798.92', '5', '2216.16', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065416', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '-0.149438', '0', '0.988771', '-2813.02', '5', '2204.27', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065417', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.475032', '0', '0.879969', '-2805.91', '5', '2211.04', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065418', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0.960835', '0', '0.277121', '-2800.24', '5', '2208.76', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065419', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0.852108', '0', '-0.523366', '-2815.11', '5', '2207.73', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065420', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.617059', '0', '0.786917', '-2849.96', '5', '2179.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065421', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.108987', '0', '0.994043', '-2841.51', '5', '2182.38', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065422', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.328769', '0', '0.94441', '-2836.64', '5', '2188.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065423', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.108987', '0', '0.994043', '-2843.95', '5', '2188.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065424', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.328769', '0', '0.94441', '-2839.08', '5', '2194.58', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065425', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.617059', '0', '0.786917', '-2852.4', '5', '2185.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065426', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.810497', '0', '0.585743', '-2881.32', '5', '2186.22', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065427', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.813415', '0', '0.581683', '-2886.09', '5', '2180.62', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065428', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_meat_rack.iff', '0', '0.232843', '0', '0.972514', '-2894.98', '5', '2229.39', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065429', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_meat_rack.iff', '0', '0.232843', '0', '0.972514', '-2894.4', '5', '2228.27', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065430', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_meat_rack.iff', '0', '0.232843', '0', '0.972514', '-2897.29', '5', '2227.69', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065431', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.938582', '0', '0.345059', '-2898.9', '5', '2227.08', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065432', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '-0.179029', '0', '0.983844', '-2898.48', '5', '2225.76', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065433', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '0', '0.988651', '0', '-0.150227', '-2896.25', '5', '2228.46', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065434', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.703281', '0', '0.710912', '-2920.32', '5', '2278.17', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065435', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.0449835', '0', '0.998988', '-2918.84', '5', '2270.39', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065436', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '0.999388', '0', '0.0349931', '-2918.35', '5', '2258.86', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065440', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.0349911', '0', '0.999388', '-2908.65', '5', '2247.86', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065441', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.0299959', '0', '0.99955', '-2919.3', '5', '2278.96', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065442', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.0399896', '0', '0.9992', '-2917.94', '5', '2263.16', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065443', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.735088', '0', '-0.677971', '-2918.21', '5', '2255.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065444', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.725385', '0', '-0.688344', '-2908.81', '5', '2240.76', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065445', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.721383', '0', '-0.692536', '-2910.7', '5', '2272.73', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065447', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.0499797', '0', '0.99875', '-2916.34', '5', '2238.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065448', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.0399899', '0', '0.9992', '-2909', '5', '2256.59', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065449', '0', 'object/building/tatooine/shared_housing_tatt_style01_med.iff', '0', '0.677972', '0', '0.735088', '-2888.09', '5', '2280.22', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065450', '3065449', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065470', '3065450', 'object/tangible/furniture/tatooine/shared_frn_tatt_cantina_droid_detector.iff', '0', '0.999991', '0', '-0.00420361', '5.11477', '1.00421', '10.854', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065471', '3065450', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.707105', '0', '0.707108', '4.38047', '1.00421', '4.14591', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065472', '3065450', 'object/static/item/shared_item_bread_loaf.iff', '0', '0.914795', '0', '-0.403919', '4.37816', '1.41531', '4.05803', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065473', '3065450', 'object/static/item/shared_item_bottle_tall.iff', '0', '0.914795', '0', '-0.403919', '4.37076', '1.41531', '3.82664', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065474', '3065450', 'object/static/item/shared_item_cheese_wheel_s1_partial.iff', '0', '0.914795', '0', '-0.403919', '4.37241', '1.44693', '4.41827', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065451', '3065449', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065475', '3065451', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '-0.00999986', '0', '0.99995', '8.62317', '0.408271', '-10.7166', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065476', '3065451', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '-0.00999986', '0', '0.99995', '5.62331', '0.408271', '-10.6866', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065477', '3065451', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '-0.0050002', '0', '0.999987', '0.418416', '0.408271', '-10.7839', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065478', '3065451', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '-0.0050002', '0', '0.999987', '-2.58094', '0.408271', '-10.7237', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065479', '3065451', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.720831', '0', '0.693111', '6.55165', '0.408269', '-7.60954', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065480', '3065451', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '-0.692535', '0', '0.721384', '8.69123', '0.408269', '-6.72288', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065481', '3065451', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '0.710353', '0', '-0.703846', '10.534', '0.408271', '-7.39716', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065482', '3065451', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.439463', '0', '0.898261', '7.15819', '0.40827', '-8.96968', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065483', '3065451', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.80162', '0', '0.597834', '6.68541', '0.408269', '-6.11481', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065484', '3065451', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.0050001', '0', '0.999987', '10.2595', '0.40827', '-8.95311', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065485', '3065451', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.707951', '0', '-0.706262', '-3.44351', '0.408271', '-6.37785', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065486', '3065451', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.706829', '0', '0.707385', '-5.54461', '0.408271', '-7.35258', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065487', '3065451', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '0.688921', '0', '0.724836', '-7.41351', '0.408271', '-6.75556', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065488', '3065451', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.907205', '0', '-0.420688', '-4.10624', '0.408271', '-5.04398', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065489', '3065451', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '-0.614374', '0', '0.789015', '-3.51512', '0.408271', '-7.87687', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065490', '3065451', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.999875', '0', '0.0157953', '-7.20381', '0.408271', '-5.18965', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065491', '3065451', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '0', '0', '1', '1.78984', '0.408271', '-5.95467', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065492', '3065451', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '0.677972', '0', '0.735088', '-8.5458', '0.408271', '0.95329', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065493', '3065451', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '0.60916', '0', '0.793048', '4.8912', '0.408271', '1.64367', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065494', '3065451', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '-0.703564', '0', '0.710632', '10.6414', '0.408271', '-3.07834', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065495', '3065451', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.710634', '0', '0.703562', '10.669', '0.408271', '-1.58854', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065496', '3065451', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.98545', '0', '0.169967', '0.771505', '0.408271', '-4.33209', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065497', '3065451', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.242556', '0', '0.970137', '0.860595', '0.40827', '-7.83809', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065498', '3065451', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.930799', '0', '-0.365531', '3.36866', '0.408271', '-5.08309', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065499', '3065451', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.941345', '0', '-0.337447', '6.55285', '0.408271', '2.17233', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065500', '3065451', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.874789', '0', '0.484504', '3.07749', '0.408271', '2.15271', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065501', '3065451', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '-0.553527', '0', '0.832831', '-6.71427', '0.408271', '-0.39316', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065502', '3065451', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.560508', '0', '0.828149', '-10.4573', '0.408271', '-0.377368', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065503', '3065451', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.827702', '0', '0.561168', '-10.444', '0.408271', '2.25853', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065504', '3065451', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.959885', '0', '-0.280393', '-6.70488', '0.408271', '1.98278', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065506', '3065451', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s02.iff', '0', '0', '0', '1', '3.05182', '0.40827', '-9.60149', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065507', '3065451', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s02.iff', '0', '0.734548', '0', '0.678557', '10.5015', '0.408271', '5.73622', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065452', '3065449', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065510', '3065452', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '0.139321', '0', '0.990247', '-7.78899', '1.00421', '4.93176', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065513', '3065452', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '0.980269', '0', '-0.19767', '-3.29084', '1.00421', '8.83737', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065514', '3065452', 'object/tangible/crafting/station/shared_food_station.iff', '0', '0.999998', '0', '0.00181605', '-3.27475', '1.00421', '10.4519', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065515', '3065514', 'object/tangible/hopper/shared_crafting_station_ingredient_hopper_1.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065517', '3065452', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '0.993666', '0', '0.112375', '-5.81056', '1.00421', '9.07094', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065518', '3065452', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '0.147642', '0', '0.989041', '-5.65151', '1.00421', '4.65184', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065519', '3065452', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '-0.16111', '0', '0.986936', '-2.84731', '1.00421', '4.9795', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065521', '3065452', 'object/tangible/furniture/modern/shared_dining_table_modern_style_01.iff', '0', '0.003185', '0', '0.999995', '-5.62422', '1.00421', '6.89028', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065523', '3065452', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff', '0', '0.979863', '0', '0.199669', '-7.6194', '1.00421', '8.73577', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065526', '3065452', 'object/static/item/shared_item_bottle_fat.iff', '0', '0.165823', '0', '0.986156', '-10.5092', '1.92127', '5.5766', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065527', '3065452', 'object/static/item/shared_item_bottle_tall.iff', '0', '-0.0034081', '0', '0.999994', '-10.5584', '1.92127', '9.48305', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065528', '3065452', 'object/static/item/shared_item_bottle_tall.iff', '0', '-0.0034081', '0', '0.999994', '-10.5584', '1.92127', '8.89211', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065529', '3065452', 'object/static/item/shared_item_bottle_pear.iff', '0', '-0.0034081', '0', '0.999994', '-10.5584', '1.92127', '7.00795', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065530', '3065452', 'object/static/item/shared_item_bottle_fat.iff', '0', '-0.0034081', '0', '0.999994', '-10.5584', '1.92127', '6.07767', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065531', '3065452', 'object/static/item/shared_item_bowl_plain.iff', '0', '0.165823', '0', '0.986156', '-10.5584', '1.92127', '4.48541', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065532', '3065452', 'object/static/item/shared_item_jar_spice_red.iff', '0', '0.00818492', '0', '0.999967', '2.7587', '1.88965', '9.33695', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065533', '3065452', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0.00818492', '0', '0.999967', '2.7587', '1.88965', '4.74972', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065534', '3065452', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0.00818492', '0', '0.999967', '2.7587', '1.88965', '4.34431', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065535', '3065452', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0.00818492', '0', '0.999967', '2.7587', '1.88965', '5.14099', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065536', '3065452', 'object/static/item/shared_item_kitchen_pot_style_01.iff', '0', '0.00818492', '0', '0.999967', '2.7587', '1.88965', '8.36884', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065537', '3065452', 'object/static/item/shared_item_kitchen_pot_style_02.iff', '0', '0.00818492', '0', '0.999967', '2.7587', '1.88965', '7.93872', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065538', '3065452', 'object/static/item/shared_item_bottle_fat.iff', '0', '0.165823', '0', '0.986156', '-10.5584', '1.92127', '5.1815', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065539', '3065452', 'object/static/item/shared_item_kitchen_pot_style_03.iff', '0', '0.999662', '0', '0.026017', '2.7587', '1.88965', '7.06498', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065540', '3065452', 'object/static/item/shared_item_kitchen_pot_style_01.iff', '0', '0.00818492', '0', '0.999967', '2.7587', '1.88965', '6.81715', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065541', '3065452', 'object/static/item/shared_item_jar_funk.iff', '0', '0.00818492', '0', '0.999967', '2.7587', '1.88965', '5.51183', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065543', '3065452', 'object/static/item/shared_item_kitchen_pot_style_02.iff', '0', '0.00818492', '0', '0.999967', '2.7587', '1.88965', '7.75327', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065544', '3065452', 'object/static/item/shared_item_jar_berries.iff', '0', '0.00818492', '0', '0.999967', '2.7587', '1.88965', '8.82556', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065545', '3065452', 'object/static/item/shared_item_jar_berries.iff', '0', '0.00818492', '0', '0.999967', '2.7587', '1.88965', '8.55787', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065546', '3065452', 'object/static/item/shared_item_jar_spice_red.iff', '0', '0.00818492', '0', '0.999967', '2.7587', '1.88965', '9.71828', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065547', '3065452', 'object/static/item/shared_item_con_bag_ingredients_lg_s1.iff', '0', '0.41377', '0', '0.910381', '-10.5584', '1.92127', '8.12819', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065548', '3065452', 'object/static/item/shared_item_con_tato_bowl_full_s02.iff', '0', '-0.0034081', '0', '0.999994', '-10.5584', '1.92127', '6.5963', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065453', '3065449', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065454', '3065449', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065455', '3065449', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065456', '3065449', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065457', '3065449', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065458', '3065449', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065459', '3065449', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065460', '3065449', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065461', '3065449', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065462', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0.747971', '0', '-0.663731', '-2901.04', '5', '2273.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065463', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.129634', '0', '0.991562', '-2896.88', '5', '2208.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065464', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.543167', '0', '0.839625', '-2895.19', '5', '2201.37', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065465', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.159318', '0', '0.987227', '-2901.71', '5', '2224.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065466', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.568107', '0', '0.822955', '-2899.59', '5', '2217.25', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065467', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.500524', '0', '0.865723', '-2902.38', '5', '2226.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065468', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '0.864924', '0', '-0.501902', '-2796.44', '5', '2211.87', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065469', '0', 'object/static/structure/general/shared_all_sign_street_s01.iff', '0', '0', '0', '1', '-2947.86', '5', '2213.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065549', '0', 'object/static/structure/general/shared_lucky_despot_debris_lg_engine_s02.iff', '-0.263868', '-0.293352', '0.639182', '0.660125', '-2835', '8.48279', '2254.67', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065551', '0', 'object/static/structure/general/shared_lucky_despot_debris_sm_engine.iff', '-0.208604', '0.113961', '-0.183446', '0.953858', '-2841.03', '9.90287', '2273.35', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065552', '0', 'object/static/structure/general/shared_lucky_despot_debris_sm_engine.iff', '0.119416', '0.0898419', '0.594447', '0.790127', '-2873.45', '5', '2232.15', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '3065553', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '0.999687', '0', '0.024997', '-2909.87', '5', '2264.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3125541', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0', '0', '1', '600.204', '146.916', '335.297', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3125555', '0', 'object/static/structure/tatooine/shared_guild_statue_free_style_01.iff', '0', '0', '0', '1', '597.952', '152.361', '336.639', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3125556', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0', '0', '1', '596.732', '147.834', '335.326', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3195507', '0', 'object/tangible/terminal/shared_terminal_bestine_quests_03.iff', '-0.30773', '0.745281', '0.0172678', '0.591236', '-787.935', '10.9519', '-3941.98', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3195508', '0', 'object/static/structure/tatooine/shared_tato_imprv_bannerpole_s01.iff', '0', '-0.198669', '0', '0.980067', '-757.362', '10.0974', '-3908.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3195509', '0', 'object/static/structure/general/shared_lucky_despot_debris_md_engine.iff', '0', '0', '0', '1', '-772.376', '10.6736', '-3922.04', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '3195510', '0', 'object/static/structure/general/shared_escape_pod.iff', '0.250708', '0.686818', '0.233932', '-0.64086', '-785.272', '11.3055', '-3942.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3195511', '0', 'object/static/structure/general/shared_prp_junk_s1.iff', '0', '0', '0.412321', '0.911039', '-763.089', '11.0893', '-3963.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3195512', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0.183946', '0.982936', '-774.589', '11.1495', '-3938.33', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3195513', '0', 'object/static/structure/general/shared_escape_pod_door.iff', '0.528375', '-0.475827', '-0.395588', '-0.581308', '-781.339', '11.137', '-3937.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3195514', '0', 'object/static/structure/general/shared_prp_junk_s3.iff', '0.29074', '0', '0', '0.956802', '-780.062', '12.1445', '-3963.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3195515', '0', 'object/static/structure/tatooine/shared_debris_tatt_radar_dish.iff', '0', '0', '-0.394019', '0.919102', '-779.472', '11.9039', '-3977.8', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3195516', '0', 'object/static/structure/general/shared_prp_engine.iff', '-0.247404', '0', '0', '0.968912', '-772.858', '12.0039', '-3962.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3195517', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0.42594', '0.904751', '-773.887', '11.5788', '-3944.96', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3195518', '0', 'object/static/structure/general/shared_prp_engine_component.iff', '0', '0', '0.149438', '0.988771', '-774.721', '12.0175', '-3955.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3195519', '0', 'object/static/structure/general/shared_prp_junk_s2.iff', '0', '0', '0', '1', '-782.765', '11.8998', '-3948.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3195520', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '-0.588162', '0.389266', '-0.00984895', '0.708829', '-769.894', '11.6132', '-3946.49', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3195521', '0', 'object/static/structure/general/shared_droid_21bmedical_powerdown.iff', '0', '0', '-0.613117', '0.789992', '-768.061', '10.624', '-3938.3', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '3195522', '0', 'object/static/structure/general/shared_lucky_despot_debris_nose_cone.iff', '0', '-0.295521', '0', '0.955336', '-792.279', '11.3872', '-3952.79', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '3195523', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '-777.278', '11.5809', '-3950.07', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3195524', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0.677968', '0.735091', '-770.496', '11.3298', '-3943.71', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3255356', '0', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '0', '0', '1', '57.7099', '52', '-5351', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3255367', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.893464', '0', '0.449135', '-2948.86', '5', '2498.3', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3255368', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.984588', '0', '0.174892', '-2947.9', '5', '2498.88', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3315353', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '-0.0749296', '0', '0.997189', '154.356', '52', '-5333.85', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3315373', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.470626', '0', '0.882333', '114.143', '50.7605', '-5392.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3315374', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '92.9651', '51.987', '-5336.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3315378', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '-0.703279', '0', '0.710914', '-5205.02', '75', '-6466.14', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3315380', '0', 'object/tangible/terminal/shared_terminal_mission_bounty.iff', '0', '-0.703279', '0', '0.710914', '-5204.89', '75', '-6459.22', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355385', '0', 'object/building/tatooine/shared_housing_tatt_style01_med.iff', '0', '0.724288', '0', '0.689498', '-164.651', '65', '-5298.15', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355386', '3355385', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355466', '3355386', 'object/tangible/furniture/tatooine/shared_frn_tatt_cantina_droid_detector.iff', '0', '0', '0', '1', '5.22263', '1.00421', '3.74619', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355467', '3355386', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0', '0', '1', '4.45991', '1.00421', '10.7484', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355468', '3355386', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0.707106', '0', '0.707108', '4.14878', '1.00421', '6.74489', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355387', '3355385', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355469', '3355387', 'object/tangible/furniture/all/shared_frn_all_professor_desk.iff', '0', '-0.707106', '0', '0.707108', '2.98192', '0.40827', '-8.82576', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355470', '3355387', 'object/tangible/furniture/all/shared_frn_all_toolchest_lg_s01.iff', '0', '-0.29074', '0', '0.956802', '9.16732', '0.408271', '-10.3552', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355471', '3355387', 'object/tangible/furniture/all/shared_frn_all_toolchest_lg_s01.iff', '0', '0', '0', '1', '7.71634', '0.408271', '-10.6752', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355472', '3355387', 'object/tangible/furniture/all/shared_frn_all_toolchest_med_s01.iff', '0', '0.169182', '0', '0.985585', '6.37712', '0.408271', '-10.5396', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355473', '3355387', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '-0.706824', '0', '0.707389', '10.8739', '0.408271', '-9.00271', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355495', '3355387', 'object/static/item/shared_item_tool_hydrospanner.iff', '0.631049', '0.28875', '-0.333592', '0.638058', '6.50246', '1.45182', '-10.6978', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355496', '3355387', 'object/static/item/shared_item_tool_instrument_calibrator.iff', '0', '-0.124675', '0', '0.992198', '7.69441', '2.1159', '-10.6117', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355497', '3355387', 'object/static/item/shared_item_tool_power_output_analyzer.iff', '0', '0.628793', '0', '0.777573', '6.20961', '1.4202', '-10.4527', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355498', '3355387', 'object/static/item/shared_item_tool_radio.iff', '0', '-0.581035', '0', '0.813878', '10.8769', '2.21077', '-9.12814', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355499', '3355387', 'object/static/item/shared_item_tool_droid_toolkit.iff', '0', '-0.389418', '0', '0.921061', '9.36858', '2.05265', '-10.4805', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355500', '3355387', 'object/static/item/shared_item_tool_computer_toolkit.iff', '0', '0.0649542', '0', '0.997888', '8.89782', '2.05265', '-10.3614', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355501', '3355387', 'object/static/item/shared_item_tool_radio.iff', '0', '0.767543', '0', '-0.640997', '10.7735', '2.21077', '-8.43835', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355510', '3355387', 'object/static/item/shared_item_container_organic_food.iff', '0', '-0.0998333', '0', '0.995004', '-4.04069', '0.408271', '-10.6764', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355512', '3355387', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.0349938', '0', '0.999388', '-3.57793', '0.408271', '-10.7442', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355513', '3355387', 'object/static/item/shared_item_container_organic_food.iff', '0', '-0.109777', '0', '0.993956', '-3.13958', '0.408271', '-10.7497', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355514', '3355387', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.724288', '0', '0.689498', '-2.57894', '0.408271', '-10.8045', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355515', '3355387', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.00500111', '0', '0.999987', '-2.1227', '0.408271', '-10.8339', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355516', '3355387', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.00500111', '0', '0.999987', '-1.74058', '0.408271', '-10.8339', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355517', '3355387', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '2.21013', '0.408271', '-10.7112', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355518', '3355387', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '1.83106', '0.408271', '-10.8318', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355519', '3355387', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '1.9272', '0.408271', '-10.3879', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355520', '3355387', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '1.51015', '0.408271', '-10.8339', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355521', '3355387', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '1.08872', '0.408271', '-10.8324', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355522', '3355387', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '1.2897', '0.408271', '-10.505', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355523', '3355387', 'object/static/item/shared_item_container_energy_gas.iff', '0', '0.997129', '0', '-0.0757237', '-0.0163767', '0.408271', '-10.6396', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355525', '3355387', 'object/static/item/shared_item_container_energy_gas.iff', '0', '-0.706825', '0', '0.707388', '-4.74945', '0.408271', '-9.55213', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355527', '3355387', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s03.iff', '0', '0', '0', '1', '10.8545', '0.408271', '6.08358', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355528', '3355387', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '-0.682221', '0', '0.731146', '4.81056', '0.408271', '2.11734', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355529', '3355387', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.971527', '0', '-0.236929', '6.12105', '0.408271', '2.08012', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355530', '3355387', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.996457', '0', '0.0841042', '3.34517', '0.408271', '2.18022', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355531', '3355387', 'object/static/item/shared_item_shisha.iff', '0', '0', '0', '1', '4.84716', '0.819367', '2.42279', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355533', '3355387', 'object/static/item/shared_item_game_dejarik_gameboard.iff', '0', '-0.0149994', '0', '0.999888', '-6.14991', '0.408271', '-5.86366', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355534', '3355387', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.697274', '0', '0.716804', '-7.43765', '0.408271', '-4.77144', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355535', '3355387', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.237704', '0', '0.971338', '-5.7426', '0.408271', '-7.30854', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355538', '3355387', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '-0.706824', '0', '0.70739', '10.8521', '0.408271', '-1.98638', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355539', '3355387', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '-0.699715', '0', '0.714422', '10.8506', '0.408271', '-7.16086', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355540', '3355387', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '-0.692536', '0', '0.721383', '10.7528', '0.408271', '-4.41491', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355544', '3355387', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s2.iff', '0', '0', '0', '1', '10.6371', '1.32533', '-4.42039', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355545', '3355387', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0', '0', '1', '-8.71781', '0.408271', '0.953097', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355546', '3355387', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.875561', '0', '0.483109', '-10.4465', '0.408271', '2.22096', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355547', '3355387', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.493924', '0', '0.869505', '-10.1845', '0.408271', '-0.533069', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355548', '3355387', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.932037', '0', '-0.362364', '-6.57674', '0.408271', '2.08473', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355549', '3355387', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s03.iff', '0', '0.724288', '0', '0.689498', '-8.64022', '0.408271', '2.58198', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355550', '3355387', 'object/static/structure/general/shared_prp_junk_s8.iff', '-0.518418', '0', '0', '0.855127', '-11.2604', '2.93809', '-1.02826', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355551', '3355387', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '2.2866', '0.40827', '-6.59809', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355552', '3355387', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '2.40241', '0.408271', '-5.60393', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355553', '3355387', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.707106', '0', '0.707108', '3.02459', '0.408271', '-6.60387', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355554', '3355387', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '1', '0', '3.20013e-08', '3.36284', '0.408271', '-5.86913', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355556', '3355387', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.20846', '0', '0.978031', '3.25005', '0.408271', '-4.54899', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355557', '3355387', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.0149995', '0', '0.999888', '3.10238', '0.408271', '-3.96144', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355558', '3355387', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.416871', '0', '0.908966', '2.75974', '1.10397', '-6.15354', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355559', '3355387', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.129634', '0', '0.991562', '2.82537', '0.408271', '-3.4102', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355560', '3355387', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.807559', '0', '0.589787', '2.22089', '0.408271', '-4.19789', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355561', '3355387', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '-1.21066', '0.408271', '-7.06956', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355562', '3355387', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '-1.19738', '0.408271', '-6.11859', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355563', '3355387', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '1', '0', '3.20013e-08', '-0.485737', '0.40827', '-7.26198', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355564', '3355387', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.707106', '0', '0.707108', '-0.438576', '0.408271', '-6.24356', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355565', '3355387', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '-0.488536', '0.408271', '-5.43668', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355566', '3355387', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.707106', '0', '0.707108', '-1.23556', '0.408271', '-5.35681', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355567', '3355387', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '-0.505416', '0.408271', '-4.62454', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355568', '3355387', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.707106', '0', '0.707108', '-1.24449', '0.408271', '-4.59316', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355569', '3355387', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '-0.707104', '0', '0.70711', '10.8645', '0.408271', '-0.228398', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355570', '3355387', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '10.7726', '2.17915', '0.408071', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355571', '3355387', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '10.8769', '2.17915', '0.0976686', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355572', '3355387', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '10.8459', '2.17915', '-0.182837', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355573', '3355387', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '10.8024', '2.17915', '-2.25167', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355574', '3355387', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '10.8769', '2.17915', '-0.545574', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355575', '3355387', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '10.8769', '2.17915', '-0.886727', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355576', '3355387', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '10.7753', '2.17915', '-1.80511', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355577', '3355387', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '10.7833', '2.17915', '-2.56518', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355578', '3355387', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '10.7566', '0.977481', '-0.286072', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355579', '3355387', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '10.8769', '2.17915', '-1.40234', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355580', '3355387', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '10.4341', '1.32533', '-4.08386', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355388', '3355385', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355475', '3355388', 'object/tangible/furniture/tatooine/shared_frn_tato_meat_rack.iff', '0', '0.707107', '0', '0.707106', '3.10133', '1.47855', '8.18087', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355476', '3355388', 'object/tangible/furniture/tatooine/shared_frn_tato_meat_rack.iff', '0', '0.710354', '0', '0.703844', '2.68937', '0.846095', '8.45062', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355477', '3355388', 'object/tangible/furniture/tatooine/shared_frn_tato_meat_rack.iff', '0', '0.700002', '0', '0.714141', '2.68937', '0.846095', '5.3878', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355478', '3355388', 'object/tangible/furniture/tatooine/shared_frn_tato_meat_rack.iff', '0', '0.713865', '0', '0.700283', '3.10133', '1.47855', '5.11068', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355479', '3355388', 'object/tangible/furniture/tatooine/shared_frn_tato_fruit_stand_large_style_01.iff', '0', '0.707105', '0', '0.707108', '-9.86558', '1.00421', '6.7205', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355480', '3355388', 'object/static/item/shared_item_jar_funk.iff', '0', '0', '0', '1', '-10.5259', '1.88965', '3.99986', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355481', '3355388', 'object/static/item/shared_item_jar_bugs.iff', '0', '0', '0', '1', '-10.4365', '1.92127', '9.82213', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355482', '3355388', 'object/static/item/shared_item_jar_berries.iff', '0', '0', '0', '1', '-10.5259', '1.88965', '3.82899', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355483', '3355388', 'object/static/item/shared_item_kitchen_cook_set_lg_s1.iff', '0', '-0.144492', '0', '0.989506', '-6.74814', '1.41531', '10.6072', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355484', '3355388', 'object/static/item/shared_item_kitchen_portable_stove_sm_s1.iff', '0', '0', '0', '1', '-7.70278', '1.41531', '10.6853', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355485', '3355388', 'object/static/item/shared_item_kitchen_pot_style_01.iff', '0', '0', '0', '1', '-8.18001', '1.41531', '10.7381', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355491', '3355388', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '-0.361615', '0', '0.932327', '-3.71464', '1.88965', '10.7351', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355492', '3355388', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '0.895699', '0', '0.444662', '-1.55295', '1.00421', '10.5538', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355493', '3355388', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '-0.39861', '0', '0.917121', '-2.46999', '1.88965', '10.6628', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355494', '3355388', 'object/static/item/shared_item_tank_gas.iff', '0', '-0.285952', '0', '0.958244', '-4.8063', '1.00421', '10.7146', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355502', '3355388', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0', '0', '1', '-8.01613', '1.00421', '10.7023', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355503', '3355388', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '1', '0', '-3.20013e-08', '-6.65862', '1.00421', '10.6894', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355504', '3355388', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '1', '0', '-3.20013e-08', '-3.75874', '1.00421', '10.7833', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355505', '3355388', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '0.995004', '0', '-0.0998335', '-2.46522', '1.00421', '10.6575', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355506', '3355388', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '0.0699428', '0', '0.997551', '1.889', '1.00421', '10.1549', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355507', '3355388', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.942489', '0', '-0.334238', '0.722519', '1.00421', '10.4119', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355389', '3355385', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355390', '3355385', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355391', '3355385', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355392', '3355385', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355393', '3355385', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016706', '3355393', 'object/static/item/shared_item_container_weapons.iff', '0', '0.99871', '0', '0.0507745', '9.66222', '-3.96617', '-5.12857', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016707', '3355393', 'object/static/item/shared_item_container_weapons.iff', '0', '0.770739', '0', '0.637151', '9.1403', '-3.96617', '-3.25779', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016708', '3355393', 'object/static/item/shared_wp_rifle_laser_combined.iff', '-0.686101', '0.121458', '-0.117774', '0.707562', '8.8983', '-3.77644', '-4.8669', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016709', '3355393', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0', '0', '1', '1.99393', '-3.96617', '-5.9111', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016710', '3355393', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.0249974', '0', '0.999687', '2.01075', '-3.96617', '-3.81895', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016711', '3355393', 'object/static/item/shared_item_container_electronics.iff', '0', '0.659384', '0', '0.751806', '3.32925', '-3.96617', '-7.97063', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355394', '3355385', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355395', '3355385', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355396', '3355385', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355397', '3355385', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355398', '0', 'object/static/structure/tatooine/shared_shed_junkshop_watto.iff', '0', '0', '0', '1', '-151.301', '65', '-5330', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355400', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.707106', '0', '0.707108', '-139.343', '65', '-5328.66', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355403', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0.999816', '0', '-0.0192028', '-171.143', '65', '-5284.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355404', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0.999415', '0', '-0.0341967', '-162.041', '65', '-5285.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355405', '0', 'object/static/structure/tatooine/shared_wall_junkshop_watto.iff', '0', '0.71442', '0', '0.699717', '-152.453', '63.5616', '-5306.28', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355406', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.9992', '0', '0.0399893', '-153.117', '65', '-5317.18', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355407', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.999388', '0', '-0.0349928', '-152.786', '64.0513', '-5296.38', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355408', '0', 'object/static/structure/tatooine/shared_shed_junkshop_watto.iff', '0', '0', '0', '1', '-151.369', '65', '-5341.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355409', '0', 'object/static/structure/tatooine/shared_shed_junkshop_watto.iff', '0', '0', '0', '1', '-140.068', '65', '-5341.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355410', '0', 'object/static/structure/tatooine/shared_shed_junkshop_watto.iff', '0', '0', '0', '1', '-99.0675', '65', '-5279.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355411', '0', 'object/static/structure/tatooine/shared_shed_junkshop_watto.iff', '0', '0', '0', '1', '-86.834', '65', '-5279.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355412', '0', 'object/static/installation/shared_mockup_power_generator_solar_style_1.iff', '0', '0', '0', '1', '-205', '65', '-5325', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355413', '0', 'object/static/installation/shared_mockup_power_generator_solar_style_1.iff', '0', '0', '0', '1', '-220', '65', '-5310', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355414', '0', 'object/static/installation/shared_mockup_power_generator_solar_style_1.iff', '0', '0', '0', '1', '-235', '65', '-5295', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355415', '0', 'object/static/installation/shared_mockup_power_generator_solar_style_1.iff', '0', '0', '0', '1', '-190', '65', '-5340', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355416', '0', 'object/static/installation/shared_mockup_power_generator_solar_style_1.iff', '0', '0', '0', '1', '-220', '64.7724', '-5280', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355418', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.416871', '0', '0.908966', '-136.533', '65', '-5326.4', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355420', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_1.iff', '0', '0', '0', '1', '-167.101', '78.9204', '-5297.04', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355421', '0', 'object/static/structure/tatooine/shared_shed_junkshop_watto.iff', '0', '0', '0', '1', '-86.8318', '65', '-5290.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355422', '0', 'object/static/structure/tatooine/shared_shed_junkshop_watto.iff', '0', '0', '0', '1', '-99.0653', '65', '-5290.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355423', '0', 'object/static/structure/tatooine/shared_shed_junkshop_watto.iff', '0', '0', '0', '1', '-163.373', '65', '-5330', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355424', '0', 'object/static/structure/tatooine/shared_shed_junkshop_watto.iff', '0', '0', '0', '1', '-163.442', '65', '-5341.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355425', '0', 'object/static/structure/tatooine/shared_shed_junkshop_watto.iff', '0', '0', '0', '1', '-110.868', '65', '-5279.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355426', '0', 'object/static/structure/tatooine/shared_shed_junkshop_watto.iff', '0', '0', '0', '1', '-110.866', '65', '-5290.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355460', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-122.065', '65', '-5286.33', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355461', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-75.4886', '65', '-5285.26', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355462', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-83.7123', '65', '-5316.31', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355463', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-69.9636', '65', '-5351.66', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355464', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-100.195', '65', '-5364.64', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355465', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-136.591', '65', '-5365.15', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355587', '0', 'object/static/structure/tatooine/shared_tent_house_tatooine_style_01.iff', '5.49506e-08', '0.728817', '-5.04428e-08', '-0.684708', '66.4967', '52.5169', '-5375.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355595', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0.987354', '0', '-0.158532', '-154.057', '65', '-5310.46', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355596', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '0.720831', '0', '0.693111', '-151.924', '63.8299', '-5315.77', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355597', '0', 'object/static/structure/tatooine/shared_debris_tatt_radar_dish.iff', '0.0967224', '0.2008', '0.356209', '0.907436', '-179.138', '64.6602', '-5286.03', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355598', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0.514966', '-0.484573', '0.484573', '0.514965', '-174.445', '71.632', '-5288.42', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355599', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0.514966', '-0.484573', '0.484573', '0.514965', '-174.511', '71.6674', '-5289.5', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355600', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0.514966', '-0.484573', '0.484573', '0.514965', '-174.587', '71.6877', '-5290.75', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355601', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '0.731146', '0', '0.682221', '-178.462', '65', '-5289.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355602', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff', '0', '0.731146', '0', '0.682221', '-178.401', '65', '-5288.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355603', '0', 'object/static/installation/shared_mockup_power_generator_wind_style_1.iff', '0', '0.98545', '0', '0.169967', '-115.545', '80.871', '-5259.57', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355604', '0', 'object/static/installation/shared_mockup_power_generator_wind_style_1.iff', '0', '0.98545', '0', '0.169967', '-90.4569', '86.1108', '-5250.2', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355605', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '-0.682509', '0', '0.730877', '-178.623', '65', '-5304.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355606', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '-0.69341', '0', '0.720543', '-178.085', '65', '-5295.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355607', '0', 'object/static/structure/general/shared_debris_deathstar_small_tube.iff', '0', '-0.380188', '0', '0.924909', '-178.734', '65', '-5292.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355608', '0', 'object/static/structure/general/shared_debris_deathstar_large_tube.iff', '-0.0796432', '0.466874', '0.0937769', '0.875723', '-184.108', '64.867', '-5287.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355609', '0', 'object/static/structure/general/shared_debris_deathstar_small_tube.iff', '0', '0', '0', '1', '-179.306', '65', '-5293.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355610', '0', 'object/static/structure/general/shared_debris_deathstar_small_tube.iff', '0', '0.813416', '0', '0.581683', '-180.023', '65', '-5306.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355612', '0', 'object/static/structure/general/shared_prp_junk_s5.iff', '0.171458', '0.303404', '0.716918', '-0.603802', '-183.656', '65.3565', '-5281.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355613', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0', '0', '0.713864', '-0.700285', '-187.406', '65.0973', '-5285.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355614', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0.392516', '-0.400127', '0.591185', '-0.57994', '-189.934', '64.9989', '-5287.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355616', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '0', '0', '-0.706825', '0.707388', '-189.953', '65.8029', '-5282.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355617', '0', 'object/tangible/furniture/all/shared_frn_all_toolchest_med_s01.iff', '0', '0.933839', '0', '0.357693', '-192.547', '65', '-5284.08', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3355718', '0', 'object/static/structure/general/shared_poi_tato_tent_s01.iff', '0', '0.193767', '0', '0.981048', '1300.86', '7', '3149.56', '175', '1');
INSERT INTO `staticobjects` VALUES ('8', '3435377', '0', 'object/static/structure/general/shared_banner_rebel_style_01.iff', '-0.241819', '0.836237', '-0.153501', '0.467619', '-745.576', '2.46132', '-4498.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3435379', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0.0335634', '0.924848', '0.0777111', '0.370798', '-746.386', '4.03182', '-4497.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3435381', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_16_style_01.iff', '0.0625167', '0.733718', '0.0574394', '0.674129', '-745.681', '3.28272', '-4488.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3435382', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0.249726', '0.855484', '0.128107', '-0.435169', '-763.404', '5.01673', '-4495.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3435383', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0.0360157', '0.522174', '0.00135228', '0.852077', '-745.004', '1.08768', '-4479.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3435392', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_16_style_01.iff', '0.132825', '0.85344', '0.100578', '-0.493844', '-738.701', '2.49736', '-4459.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3435397', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_32_style_01.iff', '0.151713', '0.423016', '-0.0159655', '0.893189', '-743.451', '3.5736', '-4426.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3435399', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_32_style_01.iff', '-0.00716689', '0.159157', '-0.0444102', '0.986228', '-768.82', '3.24163', '-4408.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3435400', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_16_style_01.iff', '0.146488', '-0.23247', '0.0141139', '0.961405', '-790.809', '3.72971', '-4407.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3435401', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_16_style_01.iff', '-0.199067', '-0.25392', '-0.156768', '0.933445', '-826.072', '5.83185', '-4438.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3435405', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_16_style_01.iff', '-0.0337913', '0.956397', '0.19602', '0.213869', '-768.674', '3.29536', '-4514.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3435407', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_16_style_01.iff', '-0.011738', '0.156213', '-0.0740046', '0.984877', '-753.222', '2.04871', '-4477.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3435408', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_16_style_01.iff', '0.111263', '0.742462', '0.127449', '-0.648173', '-764.951', '5.04637', '-4486.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3435409', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_16_style_01.iff', '0.00214084', '0.912447', '0.165085', '-0.374411', '-748.839', '3.03561', '-4446.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3435412', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_16_style_01.iff', '-0.252305', '0.450974', '0.134576', '0.84549', '-795.622', '5', '-4485.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3435418', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0.0976145', '0.496079', '-0.0503247', '0.861304', '-761.608', '3.52918', '-4474.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3435419', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0.102497', '0.928212', '0.0894431', '-0.346289', '-766.604', '4.31513', '-4478.66', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3435422', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '-0.271325', '0.96164', '-0.010967', '0.0388695', '-731.101', '3.14321', '-4483.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3435423', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '-0.112495', '0.77994', '0.164044', '0.593404', '-761.23', '3.53202', '-4509.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3435424', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '-0.0715096', '-0.669692', '-0.148808', '0.724055', '-734.101', '2.56091', '-4467.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3435425', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.198669', '0', '0.980067', '-777.87', '5', '-4504.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3435426', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '-0.224363', '0.40831', '0.104259', '0.878678', '-790.758', '5', '-4492.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3435427', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0.0112127', '0.890485', '0.164717', '-0.424004', '-742.404', '4.09902', '-4452.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3435428', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0.00214084', '0.912447', '0.165085', '-0.374411', '-755.247', '1.96981', '-4440.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3435429', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '-0.162302', '0.462595', '0.08657', '0.867277', '-800.546', '5', '-4478.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3435432', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0.0225427', '0.955777', '0.178655', '-0.232517', '-794.404', '4.27334', '-4460.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3435434', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0.145705', '-0.275483', '0.0206894', '0.949974', '-797.666', '3.95727', '-4411.52', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3435435', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0', '-0.0449848', '0.998988', '-784.174', '4.62472', '-4403.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3435437', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '-0.121413', '-0.494324', '-0.117007', '0.852767', '-832.569', '7.2839', '-4443.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3435438', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '-0.0185482', '0.411903', '-0.0409829', '0.910117', '-753.59', '2.00154', '-4413.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3435439', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0.160082', '0.506714', '-0.11737', '0.838951', '-733.199', '5.13414', '-4438.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3435441', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0.00980043', '0.980018', '0.198669', '-4.70404e-08', '-776.777', '3.20748', '-4517.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3435442', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0.0542588', '0.886998', '0.289994', '-0.355237', '-805.876', '5', '-4500.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3435443', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '-0.081771', '0.839516', '0.376783', '-0.382834', '-827.339', '5', '-4475.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3435453', '0', 'object/static/structure/general/shared_banner_rebel_style_01.iff', '-0.353989', '0.625153', '-0.582855', '-0.379678', '-746.348', '3.92482', '-4481.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3455377', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '0', '0.998951', '0', '-0.0457808', '-1024.68', '10', '-3560.57', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '3455378', '0', 'object/static/structure/general/shared_r5_head.iff', '-0.00489905', '0.00331686', '0.0343579', '0.999392', '-1025.25', '10', '-3562.24', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '3455379', '0', 'object/static/structure/general/shared_debris_deathstar_conduit.iff', '0', '-0.305059', '0', '0.952334', '-1024.96', '10', '-3564.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3455382', '0', 'object/static/structure/general/shared_debris_deathstar_small_chunk.iff', '0', '0.505533', '0', '0.862807', '1467.2', '7', '3123.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3455383', '0', 'object/static/structure/general/shared_debris_deathstar_small_chunk.iff', '0', '-0.39861', '0', '0.917121', '1470.25', '7', '3125.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3455384', '0', 'object/static/structure/general/shared_debris_deathstar_small_tube.iff', '0', '0.958471', '0', '0.285189', '1463.98', '7', '3123.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3455385', '0', 'object/static/structure/general/shared_debris_deathstar_small_tube.iff', '0', '-0.159318', '0', '0.987227', '1463.44', '7', '3123.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3455386', '0', 'object/static/structure/general/shared_debris_deathstar_small_tube.iff', '0', '0', '0', '1', '1462.88', '7', '3123.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3455387', '0', 'object/static/structure/general/shared_tie_bomber_debris_01.iff', '0.444982', '0.54509', '-0.539553', '0.462331', '1472.37', '10.0272', '3125.8', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '3455388', '0', 'object/static/item/shared_item_tool_droid_toolkit.iff', '0', '0.789504', '0', '-0.613746', '1468.34', '7.72733', '3127.34', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3455389', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0', '0', '1', '1467.48', '7', '3125.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3455391', '0', 'object/static/structure/general/shared_prp_junk_s5.iff', '0', '-0.276356', '0', '0.961055', '-2898.91', '5', '2451.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3455394', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0', '0', '-0.696136', '0.71791', '-2903.63', '5.26095', '2450.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3455395', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0', '0', '0.706824', '0.707389', '-2902.96', '5.31623', '2448.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565385', '0', 'object/building/player/shared_player_house_tatooine_small_style_01.iff', '0', '0.991458', '0', '-0.130424', '-4488.76', '34.6646', '-2262.27', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565386', '3565385', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565403', '3565386', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '-0.707106', '0', '0.707108', '2.26846', '0.772706', '5.68539', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565404', '3565386', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '-0.707106', '0', '0.707107', '2.25761', '0.772706', '3.94621', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565405', '3565386', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '0.707106', '0', '0.707107', '-3.68177', '0.772706', '2.90762', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565406', '3565386', 'object/tangible/furniture/cheap/shared_love_seat_s01.iff', '0', '0', '0', '1', '-2.02551', '0.772706', '0.349607', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565407', '3565386', 'object/tangible/furniture/cheap/shared_end_table_s01.iff', '0', '-0.707106', '0', '0.707107', '-3.72137', '0.772706', '0.800539', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565408', '3565386', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '0.897911', '0', '-0.440178', '-0.0477974', '0.772706', '3.83261', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565410', '3565386', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_2.iff', '0', '0', '0', '1', '-1.6255', '0.772706', '2.58339', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565411', '3565386', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff', '0', '0.059964', '0', '0.998201', '-0.286402', '0.772706', '-1.15479', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565412', '3565386', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s01.iff', '0', '0.980225', '0', '-0.197889', '-1.58859', '0.772706', '-0.7796', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565413', '3565386', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '0.00999984', '0', '0.99995', '1.07119', '0.772706', '-1.224', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565415', '3565386', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s1.iff', '0', '1', '0', '-0.000796373', '5.56844', '0.772706', '4.20185', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565416', '3565386', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_02.iff', '0', '0.80162', '0', '-0.597834', '6.88523', '0.772706', '6.26473', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565417', '3565386', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '0.707106', '0', '0.707107', '2.72679', '0.772706', '5.67803', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565418', '3565386', 'object/tangible/furniture/cheap/shared_chest_s01.iff', '0', '0.710353', '0', '0.703845', '2.85033', '0.772706', '4.19136', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565420', '3565386', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s03.iff', '0', '0.877201', '0', '-0.480124', '7.01405', '1.53165', '6.3069', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565421', '3565386', 'object/static/item/shared_item_data_disk.iff', '0', '-0.324043', '0', '0.946042', '6.55283', '1.27867', '6.20462', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565422', '3565386', 'object/static/item/shared_item_data_disk.iff', '0', '0', '0', '1', '7.01453', '1.12056', '6.03025', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565423', '3565386', 'object/static/item/shared_item_data_disk.iff', '0', '0', '0', '1', '6.8991', '1.12056', '5.9779', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565424', '3565386', 'object/static/item/shared_item_decryptor_imperial.iff', '0', '-0.324043', '0', '0.946042', '6.71226', '1.27867', '6.18592', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565425', '3565386', 'object/static/item/shared_item_shisha.iff', '0', '0.867423', '0', '0.497571', '-3.68947', '1.1838', '1.07503', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565426', '3565386', 'object/static/item/shared_item_bottle_pear.iff', '0', '0', '0', '1', '1.27725', '1.72139', '-1.05431', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565427', '3565386', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '0.892983', '1.72139', '-1.05166', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565429', '3565386', 'object/tangible/furniture/modern/shared_dining_table_modern_style_01.iff', '0', '0', '0', '1', '5.31816', '0.772706', '-0.889441', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565431', '3565386', 'object/static/item/shared_item_meat_hunk.iff', '0', '-0.223106', '0', '0.974794', '4.45438', '1.75301', '-0.708372', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565432', '3565386', 'object/static/item/shared_item_kitchen_pot_style_03.iff', '0', '-0.457338', '0', '0.889293', '3.51752', '1.78463', '-1.17607', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565433', '3565386', 'object/static/item/shared_item_kitchen_pot_style_02.iff', '0', '0.982154', '0', '0.188077', '3.49095', '1.78463', '-0.54533', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565434', '3565386', 'object/static/item/shared_item_kitchen_pot_style_01.iff', '0', '0.223106', '0', '0.974794', '3.23625', '1.78463', '-0.825294', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565435', '3565386', 'object/static/item/shared_item_kitchen_pot_style_02.iff', '0', '0.980893', '0', '0.194548', '2.94153', '1.78463', '-0.885566', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565436', '3565386', 'object/static/item/shared_item_kitchen_portable_stove_sm_s1.iff', '0', '0', '0', '1', '2.97494', '1.78463', '-0.385994', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565437', '3565386', 'object/static/item/shared_item_kitchen_cook_set_lg_s1.iff', '0', '0.276356', '0', '0.961055', '2.52711', '1.78463', '-0.957374', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565438', '3565386', 'object/static/item/shared_item_jar_berries.iff', '0', '0', '0', '1', '6.22362', '1.75301', '-1.21285', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565439', '3565386', 'object/static/item/shared_item_con_bowl_serving_full.iff', '0', '0', '0', '1', '6.12722', '1.75301', '-0.829533', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565441', '3565386', 'object/static/item/shared_item_bowl_shallow.iff', '0', '-0.223106', '0', '0.974794', '4.31779', '1.75301', '-0.761279', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565442', '3565386', 'object/static/item/shared_item_con_bag_ingredients_lg_s1.iff', '0', '0', '0', '1', '6.58601', '1.75301', '-1.10896', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565443', '3565386', 'object/static/item/shared_item_con_ration_kit_lg.iff', '0', '0', '0', '1', '6.94351', '1.75301', '-0.796393', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565444', '3565386', 'object/static/item/shared_item_con_ration_kit_lg.iff', '0', '-0.539632', '0', '0.841901', '6.56377', '1.75301', '-0.645697', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565445', '3565386', 'object/static/item/shared_item_con_ration_kit_m.iff', '0', '0', '0', '1', '6.14826', '1.75301', '-0.558509', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565446', '3565386', 'object/static/item/shared_item_cheese_wheel_s1_partial.iff', '0', '0', '-0.514136', '0.857709', '4.59332', '1.91112', '-0.686952', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565447', '3565386', 'object/static/item/shared_item_con_tato_bowl_full_s02.iff', '0', '0', '0', '1', '5.5934', '1.75301', '-0.928714', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565450', '3565386', 'object/static/item/shared_item_con_bowl_full.iff', '0', '-0.356949', '0', '0.934124', '5.09317', '1.75301', '-0.981764', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565387', '3565385', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565388', '3565385', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565389', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-4500.34', '35.137', '-2248.85', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565390', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0.124675', '0', '0.992198', '-4491.33', '35', '-2251.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565391', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.505533', '0', '0.862807', '-4495.64', '35', '-2252.99', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565392', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '-0.514136', '0', '0.857709', '-4496.16', '35', '-2256.11', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565393', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '-0.677972', '0', '0.735087', '-4497.01', '34.1277', '-2258.28', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565394', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.300293', '0', '0.953847', '-4504.87', '34.8571', '-2277.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565395', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.164252', '0', '0.986418', '-4496.96', '34.6', '-2283.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565396', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '-4487.16', '34.6', '-2284.29', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565397', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.996865', '0', '0.0791209', '-4478.2', '34.6', '-2283.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565398', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '-0.0547211', '-0.35772', '0.0499641', '0.930884', '-4518.67', '34.6163', '-2268.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565399', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.969944', '0', '-0.243329', '-4535.6', '34.5824', '-2251.61', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565400', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0', '0', '1', '-4482.77', '40.1135', '-2258.81', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565451', '0', 'object/static/structure/general/shared_gravestone_generic_style_04.iff', '0', '0', '0', '1', '-2610', '0', '-5494', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565453', '0', 'object/static/structure/general/shared_gravestone_generic_style_04.iff', '0', '0', '0', '1', '-2610', '0', '-5500', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565454', '0', 'object/static/structure/general/shared_gravestone_generic_style_02.iff', '0', '0', '0', '1', '-2614', '0', '-5494', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565455', '0', 'object/static/flora/shared_flora_plant_tato_pika_tri.iff', '0', '-0.430458', '0', '0.902611', '-2613.35', '0', '-5493.31', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565456', '0', 'object/static/flora/shared_flora_plant_tato_pika_tri.iff', '0', '0.959885', '0', '0.280393', '-2614.93', '0', '-5500.58', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565457', '0', 'object/static/flora/shared_flora_plant_tato_pika.iff', '0', '0.281157', '0', '0.959662', '-2613.34', '0', '-5500.67', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565580', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.926649', '0', '0.375928', '-992.447', '12', '-3712.04', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565794', '0', 'object/building/tatooine/shared_cloning_facility_tatooine.iff', '0', '0', '0', '1', '-1422.84', '10', '-3802.25', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565795', '3565794', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565796', '3565794', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565797', '3565794', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565798', '3565794', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565799', '3565794', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '3565800', '3565794', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '3635455', '0', 'object/static/structure/tatooine/shared_bridge_tatooine_small_style_02.iff', '0.00557001', '-0.20845', '-0.00830532', '0.977982', '-556.936', '6.8201', '-6704.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3645355', '0', 'object/static/structure/tatooine/shared_bridge_tatooine_small_style_02.iff', '-0.0161274', '0.98083', '0.00247685', '-0.194179', '-537.134', '7.61795', '-6779.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3665465', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.923455', '0', '0.383707', '-2846.2', '5', '1886.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3665592', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.789747', '0', '-0.613433', '-3134.39', '5', '2191.69', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3665593', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.114747', '0', '0.993395', '-3142.12', '5', '2189.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3665594', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.789747', '0', '-0.613433', '-3150.58', '5', '2187.55', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3665595', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.114747', '0', '0.993395', '-3158.31', '5', '2185.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3665596', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.992198', '0', '0.124673', '-3156.89', '5', '2177.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3665597', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.783575', '0', '-0.621298', '-3155.17', '5', '2169.36', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3665598', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.783575', '0', '-0.621298', '-3148.96', '5', '2144.72', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3665599', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.613433', '0', '0.789746', '-3140.21', '5', '2146.14', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3665600', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.992198', '0', '0.124673', '-3150.67', '5', '2152.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3665601', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.992249', '0', '0.124267', '-3153.82', '5', '2164.76', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3665603', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.783575', '0', '-0.621298', '-3153.21', '5', '2161.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3665604', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.920906', '0', '-0.389785', '-3121.42', '5', '2135.96', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3665612', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0.617059', '0', '0.786917', '-3151.45', '5', '2165.59', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3665613', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0.617059', '0', '0.786917', '-3153.27', '5', '2174.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3665646', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.213768', '0', '0.976884', '-2999.33', '5', '2246.8', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3665648', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '-2980.5', '5', '2249.4', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3665732', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0.789504', '0', '-0.613746', '-3116.68', '5', '2282.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3665796', '0', 'object/tangible/sign/shared_all_sign_city_s01.iff', '0.0499286', '-0.0022483', '-0.0449286', '0.997739', '3714.16', '5.80679', '2387.55', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3665797', '0', 'object/tangible/sign/shared_all_sign_city_s01.iff', '0', '0.0349929', '0', '0.999388', '3882.02', '9.74233', '2447.84', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3665799', '0', 'object/tangible/sign/shared_all_sign_city_s01.iff', '0', '0', '0', '1', '-5221.7', '75', '-6455.33', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3665800', '0', 'object/tangible/sign/shared_all_sign_city_s01.iff', '0', '0', '0', '1', '-5307.64', '75', '-6513.23', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3665801', '0', 'object/tangible/sign/shared_all_sign_city_s01.iff', '0', '-0.486168', '0', '0.873865', '-5292.02', '75', '-6590.73', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3665802', '0', 'object/tangible/sign/shared_all_sign_city_s01.iff', '-0.140572', '-0.464615', '-0.0749792', '0.871063', '-5033.39', '74.6562', '-6618.22', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3665803', '0', 'object/static/structure/general/shared_sandcrawler_destroyed.iff', '-0.0524399', '0.181509', '-0.00262296', '0.981987', '3762.4', '18.0289', '-5211.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3665804', '0', 'object/static/structure/general/shared_sandcrawler_debris_02.iff', '0', '0.999023', '0', '0.0441892', '3753.17', '19.7997', '-5197.34', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3665805', '0', 'object/static/particle/shared_particle_smoke.iff', '0', '0', '0', '1', '3761.93', '36.9402', '-5200.66', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '3665806', '0', 'object/static/particle/shared_particle_newbie_steam.iff', '0.0585811', '0.0644292', '0.857445', '0.507154', '3761.89', '23.1714', '-5194.86', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '3665807', '0', 'object/static/particle/shared_particle_smoke.iff', '0', '0', '0', '1', '3752.9', '19.8547', '-5198.52', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '3665811', '0', 'object/static/particle/shared_particle_campfire_style_1.iff', '-0.521353', '0.840883', '0.0765546', '-0.123474', '3755.34', '27.0227', '-5208.66', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '3665812', '0', 'object/static/structure/general/shared_debris_deathstar_small_chunk.iff', '0', '0', '0', '1', '3755.82', '27.2009', '-5208.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3665813', '0', 'object/static/particle/shared_particle_newbie_hanging_smoke.iff', '0', '0', '0', '1', '3753.84', '26.9162', '-5211.87', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '3665814', '0', 'object/static/particle/shared_particle_newbie_hanging_smoke.iff', '0', '0', '0', '1', '3769.19', '23.2006', '-5212', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '3665815', '0', 'object/static/particle/shared_particle_newbie_bombed_spot.iff', '0', '0', '0', '1', '3766.01', '20.7602', '-5213.54', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '3665816', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '0', '0.94441', '0', '-0.328769', '3497.2', '5', '-5029.74', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '3665817', '0', 'object/building/military/shared_military_outpost_guard_house_imperial.iff', '0', '0.904582', '0', '0.4263', '3493.65', '5', '-5062.48', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '3665818', '3665817', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '3665819', '3665817', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '3665862', '0', 'object/static/creature/shared_tatooine_dewback.iff', '0', '0.864924', '0', '0.501902', '3495.88', '5', '-5035.34', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3665863', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0.324043', '0', '0.946042', '3500.36', '5', '-5032.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3665864', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0.324043', '0', '0.946042', '3501.74', '5', '-5061.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3665865', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0.946042', '-9.10993e-09', '-0.324043', '-3.26136e-08', '3513.26', '11.0674', '-5000.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3715352', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.79862', '0', '0.601835', '-1017.25', '12', '-3747.92', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '3715353', '0', 'object/tangible/crafting/station/shared_public_food_station.iff', '0', '0.565957', '0', '0.824435', '3376.77', '5', '-4637.62', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3715354', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0.491841', '0', '0.870685', '3414.58', '5', '-4630.34', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '3715355', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_meat_rack.iff', '0', '0.505535', '0', '0.862806', '3416.43', '5', '-4629.63', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3715357', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.470627', '0', '0.882333', '3407.82', '5', '-4674.21', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3715358', '0', 'object/tangible/crafting/station/shared_public_structure_station.iff', '0', '0.29074', '0', '0.956802', '3363.83', '5', '-4697.2', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3715359', '0', 'object/tangible/crafting/station/shared_public_clothing_station.iff', '0', '-0.475032', '0', '0.879969', '3401.45', '5', '-4707.02', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3715360', '0', 'object/tangible/crafting/station/shared_public_weapon_station.iff', '0', '-0.479425', '0', '0.877583', '3404.59', '5', '-4678.48', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3715361', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '3403.95', '5', '-4708.11', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3715362', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.747971', '0', '0.663731', '3405.39', '5', '-4708.67', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3715375', '0', 'object/tangible/crafting/station/shared_public_structure_station.iff', '0', '0.457339', '0', '0.889293', '111.518', '52', '-5415', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3715377', '0', 'object/tangible/crafting/station/shared_public_clothing_station.iff', '0', '0.92168', '0', '0.387951', '-1262.88', '12', '-3557.01', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3715380', '0', 'object/tangible/crafting/station/shared_public_food_station.iff', '0', '-0.430458', '0', '0.902611', '-1262.5', '12', '-3580.85', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3715382', '0', 'object/tangible/crafting/station/shared_public_structure_station.iff', '0', '-0.440178', '0', '0.897911', '-1257.27', '12', '-3571.09', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3715385', '0', 'object/tangible/crafting/station/shared_public_clothing_station.iff', '0', '0', '0', '1', '131.84', '52', '-5379.04', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3715388', '0', 'object/tangible/crafting/station/shared_public_weapon_station.iff', '0', '-0.375559', '0', '0.926799', '-1269.29', '12', '-3557.71', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3715393', '0', 'object/tangible/crafting/station/shared_public_weapon_station.iff', '0', '0.398609', '0', '0.917121', '72.939', '52', '-5391.43', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3715400', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.103224', '0', '0.994658', '75.9396', '52', '-5394.31', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3715401', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.270014', '0', '0.962856', '78.7094', '52', '-5396.89', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3715402', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.504153', '0', '0.863614', '76.8331', '52', '-5395.67', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3715407', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0.918789', '0', '-0.39475', '80.8362', '52', '-5403.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3715414', '0', 'object/tangible/crafting/station/shared_public_food_station.iff', '0', '0.999942', '0', '-0.0107962', '94.5003', '52', '-5324.99', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3715415', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '-0.605186', '0', '0.796084', '93.0668', '52', '-5324.62', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3715416', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.983083', '0', '0.183163', '88.5832', '52', '-5324.59', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3715421', '0', 'object/tangible/crafting/station/shared_public_food_station.iff', '0', '0', '0', '1', '3781.2', '8.45957', '2343.63', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3715429', '0', 'object/tangible/crafting/station/shared_public_clothing_station.iff', '0', '0.0015927', '0', '0.999999', '3826.46', '19.9141', '2375.05', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3715431', '0', 'object/tangible/crafting/station/shared_public_structure_station.iff', '0', '0.800003', '0', '-0.599995', '-2803.81', '5', '2271.73', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3715435', '0', 'object/tangible/crafting/station/shared_public_structure_station.iff', '0', '0.999888', '0', '-0.0149995', '3863.9', '28', '2360.69', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3715446', '0', 'object/tangible/crafting/station/shared_public_weapon_station.iff', '0', '-0.164252', '0', '0.986418', '3861.58', '27.5', '2329.73', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3715449', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '-0.0247383', '0.256613', '0.0126757', '0.966114', '3859.75', '27.5', '2329.13', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3715450', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '-0.0168727', '-0.18425', '0.02209', '0.982486', '3865.72', '27.5', '2330.23', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3715463', '0', 'object/tangible/crafting/station/shared_public_clothing_station.iff', '0', '0.541568', '0', '0.840657', '-2830.98', '5', '2214.17', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3715481', '0', 'object/tangible/crafting/station/shared_public_weapon_station.iff', '0', '0.999105', '0', '0.0422887', '-2887.96', '5', '2266.93', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3715517', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '0', '0', '1', '-776.271', '5', '-4512.04', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3715522', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_1.iff', '0.451182', '0.237339', '-0.141669', '0.848549', '-772.524', '-0.622202', '-4504.6', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '3715530', '0', 'object/static/particle/shared_pt_stunned_player.iff', '0', '0', '0', '1', '-804.013', '5', '-4495.36', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '3715545', '0', 'object/static/creature/shared_tatooine_eopie.iff', '0', '0.80162', '0', '0.597834', '-1441.03', '10', '-3746.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3715546', '0', 'object/static/creature/shared_tatooine_worrt.iff', '0', '0.129634', '0', '0.991562', '-1440.88', '10', '-3754.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3715548', '0', 'object/static/creature/shared_tatooine_cu_pa.iff', '0', '0.434966', '0', '0.900447', '-1443.53', '10', '-3753.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3715549', '0', 'object/static/structure/general/shared_data_terminal_free_s2.iff', '0', '0.0499791', '0', '0.99875', '-1442.23', '10', '-3755.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3715550', '0', 'object/static/structure/general/shared_data_terminal_free_s1.iff', '0', '0.531186', '0', '0.847255', '-1445.41', '10', '-3752.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3735352', '0', 'object/tangible/crafting/station/shared_public_structure_station.iff', '0', '0.720831', '0', '-0.693111', '-5244.51', '75', '-6507.53', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3735353', '0', 'object/tangible/crafting/station/shared_public_clothing_station.iff', '0', '0.731146', '0', '0.682221', '-5263.45', '75', '-6518.34', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3735354', '0', 'object/tangible/crafting/station/shared_public_food_station.iff', '0', '-0.543835', '0', '0.839192', '-5261.79', '75', '-6560.18', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3735355', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0.998951', '0', '-0.0457803', '-5269.04', '75', '-6568.21', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '3735358', '0', 'object/tangible/crafting/station/shared_public_weapon_station.iff', '0', '0.895699', '0', '-0.444662', '-5275.83', '75', '-6545.16', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3735359', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.40007', '0', '0.916485', '-5277.81', '75', '-6541.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3735360', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.602469', '0', '0.798142', '-5278.22', '75', '-6540.28', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3735361', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.124675', '0', '0.992198', '-5274.19', '75', '-6545.97', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3735362', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.793535', '0', '0.608526', '-5239.73', '75', '-6550.39', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3735363', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '-0.0324782', '0.372439', '-0.0667266', '0.925085', '-5237.76', '75.0074', '-6552.63', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3735364', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '-0.42594', '0', '0.904751', '-5238.37', '75', '-6551.14', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3735365', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.252246', '0', '0.967663', '-5239.26', '75', '-6552.33', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3735366', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.648033', '0', '0.761612', '-5236.74', '75', '-6551.8', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3735367', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.944149', '0', '-0.329521', '-5237.36', '75', '-6550.09', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3735368', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.755617', '0', '0.655014', '-5231.34', '75', '-6542.07', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3735369', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '-0.036421', '0.316297', '-0.064659', '0.945753', '-5229.11', '75', '-6544.05', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3735370', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '-0.479427', '0', '0.877582', '-5229.9', '75', '-6542.65', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3735371', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.193767', '0', '0.981048', '-5230.65', '75', '-6543.94', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3735372', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.692536', '0', '0.721383', '-5228.21', '75', '-6543.11', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3735373', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.962209', '0', '-0.272313', '-5229.03', '75', '-6541.49', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3735411', '0', 'object/tangible/crafting/station/shared_public_food_station.iff', '0', '0.673765', '0', '0.738945', '-2874.95', '5', '2279.19', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3765367', '0', 'object/tangible/crafting/station/shared_public_weapon_station.iff', '0', '0.707107', '0', '0.707107', '1365.35', '7', '3430.55', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3765368', '0', 'object/tangible/crafting/station/shared_public_structure_station.iff', '0', '-0.707106', '0', '0.707108', '1355.28', '7', '3429.6', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3765372', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_01.iff', '0', '0', '0', '1', '1360.35', '7', '3429.55', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '3765375', '0', 'object/tangible/crafting/station/shared_public_weapon_station.iff', '0', '0.707107', '0', '-0.707107', '1347.97', '7', '3461.01', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3765376', '0', 'object/tangible/crafting/station/shared_public_structure_station.iff', '0', '0.707107', '0', '0.707107', '1358.05', '7', '3461.95', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3765377', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_01.iff', '0', '1', '0', '-3.20013e-08', '1352.97', '7', '3462.01', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '3765379', '0', 'object/tangible/crafting/station/shared_public_clothing_station.iff', '0', '1', '0', '3.20013e-08', '1492', '7', '3391', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3765380', '0', 'object/tangible/crafting/station/shared_public_food_station.iff', '0', '1', '0', '3.20013e-08', '1483', '7', '3386', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3765382', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_01.iff', '0', '0', '0', '1', '1487', '7', '3391', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '3765384', '0', 'object/tangible/crafting/station/shared_public_clothing_station.iff', '0', '0', '0', '1', '1474', '7', '3391', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3765386', '0', 'object/tangible/crafting/station/shared_public_food_station.iff', '0', '0', '0', '1', '1483', '7', '3396', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3765387', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_01.iff', '0', '0', '0', '1', '1479', '7', '3391', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '3765418', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '-0.0948572', '0', '0.995491', '-5084.67', '75', '-6643.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3765419', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0.971148', '0', '-0.238476', '-5105.83', '74.2727', '-6645.44', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3815401', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.492535', '0', '0.870293', '-5240.72', '75', '-6567.74', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3815402', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0', '0', '1', '-5239.89', '75', '-6568.96', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3815407', '0', 'object/static/item/shared_item_dye_kit.iff', '0', '0.838759', '0', '-0.544503', '-5239.45', '75.7273', '-6568.83', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3815408', '0', 'object/static/item/shared_item_document.iff', '0', '0', '0', '1', '-5239.5', '75.737', '-6569.28', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3815409', '0', 'object/static/item/shared_item_document.iff', '0.116159', '0.440202', '-0.0575508', '0.888492', '-5239.52', '75.8', '-6569.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3815412', '0', 'object/static/item/shared_item_con_bag_sm.iff', '0', '0', '0', '1', '-5240.79', '75', '-6567.25', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3815414', '0', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '-5240.26', '75.74', '-6568.9', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3815415', '0', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '-5240', '75.74', '-6568.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3815416', '0', 'object/static/item/shared_item_bottle_fat.iff', '-7.72715e-09', '7.72715e-09', '0.707106', '0.707107', '-5239.85', '75.8538', '-6568.67', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3815417', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.860674', '0', '-0.509156', '3314.19', '5', '-4654.72', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3815418', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0', '0', '1', '3311.87', '5', '-4653.93', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3815419', '0', 'object/static/item/shared_item_dye_kit.iff', '0', '-0.174108', '0', '0.984727', '3311.88', '5.72733', '-4654.25', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3815420', '0', 'object/static/item/shared_item_document.iff', '0', '-0.0149994', '0', '0.999888', '3311.57', '5.737', '-4653.79', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3815421', '0', 'object/static/item/shared_item_document.iff', '0.115283', '0.426826', '-0.0592869', '0.894994', '3311.56', '5.79918', '-4653.77', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3815422', '0', 'object/static/item/shared_item_con_bag_sm.iff', '0', '0.999816', '0', '-0.0192024', '3314.24', '5', '-4655.21', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3815426', '0', 'object/static/item/shared_item_food_assorted_fruit.iff', '0', '0.443948', '0', '0.896052', '3313.71', '5.09487', '-4654.4', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3815427', '0', 'object/static/item/shared_item_con_bowl_serving_full.iff', '0', '0.798621', '0', '-0.601835', '3312.35', '5.74', '-4653.99', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3815428', '0', 'object/static/item/shared_item_con_bowl_full.iff', '0', '0.981854', '0', '0.189641', '3312.1', '5.72732', '-4653.7', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3815432', '0', 'object/static/item/shared_item_bowl_plain.iff', '0', '0.443948', '0', '0.896052', '3313.68', '5', '-4654.41', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3815435', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0.92896', '0', '-0.370181', '3474.1', '5', '-4976.47', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3815436', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.791591', '0', '0.611051', '3473.42', '5', '-4974.86', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3815438', '0', 'object/static/item/shared_item_dye_kit.iff', '0', '0.803652', '0', '0.595099', '3473.5', '5', '-4974.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3815440', '0', 'object/static/item/shared_item_con_bag_sm.iff', '0', '0.387951', '0', '0.92168', '3473.72', '5', '-4974.47', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3815445', '0', 'object/static/item/shared_item_con_plate_casserole.iff', '0', '0.749027', '0', '-0.662539', '3473.9', '5.74', '-4976.06', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3815446', '0', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '3474.46', '5.74', '-4976.36', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3815447', '0', 'object/static/item/shared_item_con_tato_bowl_full_s01.iff', '0', '0', '0', '1', '3473.92', '5.72', '-4976.67', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3815448', '0', 'object/static/item/shared_item_con_glass_beaker.iff', '0', '0', '0', '1', '3474.39', '5.74', '-4976.06', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3815460', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0', '0', '1', '1520.54', '7', '3260.29', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3815461', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.860674', '0', '-0.509156', '1522.82', '7', '3260.51', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3815462', '0', 'object/static/item/shared_item_document.iff', '0', '-0.014999', '0', '0.999888', '1520.24', '7.737', '3260.43', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3815463', '0', 'object/static/item/shared_item_dye_kit.iff', '0', '-0.174108', '0', '0.984727', '1520.55', '7.72733', '3259.97', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3815464', '0', 'object/static/item/shared_item_document.iff', '0.115283', '0.426826', '-0.059287', '0.894994', '1520.23', '7.79918', '3260.44', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3815465', '0', 'object/static/item/shared_item_con_bag_sm.iff', '0', '0.999816', '0', '-0.019202', '1522.88', '7', '3260.02', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3815466', '0', 'object/static/item/shared_item_food_assorted_fruit.iff', '0', '0.443948', '0', '0.896053', '1522.34', '7.09487', '3260.84', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3815469', '0', 'object/static/item/shared_item_bowl_plain.iff', '0', '0.443948', '0', '0.896053', '1522.32', '7', '3260.83', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3815470', '0', 'object/static/item/shared_item_food_vegetable_s01.iff', '0', '0.501213', '0', '0.865324', '1520.73', '7.74', '3260.4', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3815471', '0', 'object/static/item/shared_item_food_vegetable_s02.iff', '0', '0', '0', '1', '1520.9', '7.74', '3260.46', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3815472', '0', 'object/static/item/shared_item_food_vegetable_s01.iff', '0', '0.992904', '0', '-0.118922', '1521.08', '7.74', '3260.41', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3815473', '0', 'object/static/item/shared_item_food_vegetable_s03.iff', '0', '0', '0', '1', '1520.79', '7.74', '3260.65', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3815475', '0', 'object/static/item/shared_item_food_fruit_s03.iff', '0', '0', '0', '1', '1521.06', '7.74', '3260.56', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3815477', '0', 'object/static/item/shared_item_food_fruit_s01.iff', '0', '0', '0', '1', '1521.12', '7.74', '3260.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3815478', '0', 'object/static/item/shared_item_con_water.iff', '0', '0.681639', '0', '0.731689', '1520.92', '7.74', '3260.07', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3815479', '0', 'object/static/item/shared_item_dye_kit.iff', '0', '-0.375559', '0', '0.926798', '1521.28', '7', '3260.62', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3815507', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '589.065', '145.363', '367.124', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945352', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0', '0', '1', '63.8719', '52', '-5350.79', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945353', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0', '0', '1', '61', '52', '-5350.88', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945356', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '-0.644522', '0', '0.764586', '-1446.73', '12', '-3547.74', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945359', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '-0.644522', '0', '0.764585', '-1447.21', '12', '-3550.76', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945360', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '-0.644522', '0', '0.764585', '-1451.73', '12', '-3577.21', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945361', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '-0.64452', '0', '0.764587', '-1452.2', '12', '-3580.23', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945362', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.692823', '0', '0.721107', '3693.67', '5', '-4816.01', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945363', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.692823', '0', '0.721107', '3693.55', '5', '-4813.01', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945364', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.699995', '0', '0.714147', '3693.16', '5', '-4786.04', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945365', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.699995', '0', '0.714147', '3693.1', '5', '-4783.04', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945366', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '-0.187231', '-0.316621', '-0.0500904', '0.92854', '-915.038', '17.1647', '-3824.24', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945367', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '-0.281921', '0', '0.959438', '-912.183', '16.0003', '-3827.59', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945368', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.949235', '0', '0.314567', '-907.502', '15.0943', '-3835.54', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945370', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0.16619', '0.864134', '-0.0897137', '-0.466482', '-918.041', '19.3601', '-3821.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945371', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '-0.0515645', '-0.346089', '-0.0190541', '0.93659', '-899.591', '12.9033', '-3829.26', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945372', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '-0.135535', '-0.342975', '-0.0500828', '0.928165', '-905.328', '15.1336', '-3822.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945373', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0.02749', '0.941829', '-0.0326759', '0.333368', '-902.552', '14.7708', '-3826.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945374', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0.00759719', '0.93934', '-0.0977435', '0.328676', '-907.827', '16.607', '-3820.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945375', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0.907206', '0', '-0.420687', '-897.472', '13.4725', '-3832.89', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945376', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.710638', '0', '-0.703557', '1590.85', '7', '3026.71', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945377', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.710638', '0', '-0.703557', '1590.88', '7', '3023.71', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945378', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0.707107', '0', '0.707107', '1588.95', '7', '3031.61', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945379', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '1589.21', '7', '3032.04', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945380', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.946027', '0', '-0.324088', '1589.38', '7', '3030.7', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945381', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.739931', '0', '-0.672683', '1588.49', '7', '3030.68', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945382', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '1588.26', '7', '3032.35', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945383', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.878682', '0', '0.477407', '-2774.95', '5', '2025.46', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945384', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.878682', '0', '0.477407', '-2773.31', '5', '2027.98', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945385', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.878682', '0', '0.477407', '-2758.88', '5', '2050.89', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945386', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.878682', '0', '0.477407', '-2757.25', '5', '2053.41', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945387', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.707103', '0', '0.70711', '3790.33', '8.39', '2337.46', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945388', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.707102', '0', '0.707111', '3790.36', '8.39', '2340.43', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945389', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0.0701829', '-0.29308', '0.0300406', '0.953035', '-1348.2', '28.183', '-4015.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945390', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '-0.0202121', '0.955326', '0.0216635', '0.294064', '-1353.29', '27.3656', '-4008.41', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945391', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '-0.0255468', '0.958251', '0.0465331', '0.280957', '-1350.89', '27.8331', '-4012.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945392', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.874789', '0', '-0.484504', '-1356.36', '27.3318', '-4004.44', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945393', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0.0497317', '0.459201', '0.0942857', '0.881913', '-1345.31', '29.1115', '-4019.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945394', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.999987', '0', '-0.00499746', '-5177.24', '75', '-6485.15', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945395', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.999987', '0', '-0.00499746', '-5174.24', '75', '-6485.18', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945408', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0', '0', '1', '1705.74', '7', '3170.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945409', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '1705.99', '7', '3179.24', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945410', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0', '0', '1', '1705.75', '7', '3187.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945411', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '1706', '7', '3195.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945412', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0', '0', '1', '1705.77', '7', '3203.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945413', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '1706.02', '7', '3212.2', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945414', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0', '0', '1', '1705.77', '7', '3220.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945415', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '1706.02', '7', '3228.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945416', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.707106', '0', '0.707107', '1722.64', '7', '3227.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945417', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.707106', '0', '0.707107', '1713.87', '7', '3228.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945418', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.707106', '0', '0.707107', '1730.51', '7', '3228.14', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945419', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.707106', '0', '0.707107', '1739.28', '7', '3227.89', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945420', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.707106', '0', '0.707107', '1746.83', '7', '3228.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945421', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.707106', '0', '0.707107', '1755.6', '7', '3227.87', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945422', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '1', '0', '3.27029e-07', '1754.79', '7', '3220.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945423', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '1', '0', '3.27029e-07', '1754.54', '7', '3211.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945424', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '1', '0', '0', '1754.72', '7', '3203.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945425', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '1', '0', '0', '1754.47', '7', '3194.8', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945426', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.257081', '0', '0.96639', '1757.02', '4.72152', '3191.76', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945444', '0', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_1.iff', '0', '0', '0', '1', '-1215.97', '12', '-3598.45', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945445', '0', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_1.iff', '0', '0', '0', '1', '-1214.91', '12', '-3597.06', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945446', '0', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_1.iff', '0', '0', '0', '1', '-1213.87', '12', '-3595.67', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945447', '0', 'object/static/item/shared_item_con_bowl_full.iff', '0', '0.767543', '0', '0.640997', '-1216.26', '12.7', '-3598.48', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945448', '0', 'object/static/item/shared_item_con_bowl_full.iff', '0', '0.932039', '0', '0.362358', '-1216.01', '12.7', '-3598.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945449', '0', 'object/static/item/shared_item_con_tato_bowl_full_s01.iff', '0', '0', '0', '1', '-1214.81', '12.6957', '-3597.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945450', '0', 'object/static/item/shared_item_con_tato_bowl_full_s02.iff', '0', '0', '0', '1', '-1215.83', '12.5692', '-3598.58', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945451', '0', 'object/static/item/shared_item_fruit_melon.iff', '0', '0', '0', '1', '-1215.19', '12.7273', '-3596.97', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945452', '0', 'object/static/item/shared_item_fruit_melon.iff', '0', '0', '0', '1', '-1214.94', '12.7273', '-3596.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945453', '0', 'object/static/item/shared_item_fruit_melon.iff', '0', '0', '0', '1', '-1215.15', '12.7273', '-3596.77', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945454', '0', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '-1214.06', '12.6325', '-3595.95', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945455', '0', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '-1213.59', '12.6325', '-3595.71', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945456', '0', 'object/static/item/shared_item_bottle_tall.iff', '0', '0', '0', '1', '-1213.89', '12.6325', '-3595.56', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945457', '0', 'object/tangible/crafting/station/shared_public_clothing_station.iff', '0', '0.986418', '0', '-0.164252', '-1353.04', '12', '-3677.82', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945459', '0', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_3.iff', '0', '0', '0', '1', '-1351.24', '12', '-3675.94', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945460', '0', 'object/static/item/shared_item_sewing_utensils.iff', '0.707106', '-7.72715e-09', '-7.72715e-09', '0.707107', '-1351.23', '12.76', '-3676.41', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945461', '0', 'object/static/item/shared_item_raw_cloth.iff', '0', '0', '0', '1', '-1351.29', '12.7273', '-3675.91', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3945462', '0', 'object/static/item/shared_item_raw_cloth.iff', '0', '0.983701', '0', '-0.179813', '-1351.05', '12.7273', '-3675.8', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '3975359', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0.0532685', '0.708915', '-0.0526966', '-0.701303', '-714.857', '7.96838', '-6767.26', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '3975360', '0', 'object/tangible/terminal/shared_terminal_mission_rebel.iff', '0', '1', '0', '-3.20013e-08', '-714.76', '7.96838', '-6767.06', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3975362', '0', 'object/tangible/terminal/shared_terminal_mission_imperial.iff', '0', '-0.707106', '0', '0.707107', '-5314.68', '8.5', '2660.29', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3985352', '0', 'object/static/vehicle/shared_static_lambda_shuttle.iff', '0', '0.920751', '0', '-0.390152', '-5365.92', '8', '2760.55', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '3985354', '0', 'object/tangible/terminal/shared_terminal_mission_rebel.iff', '0', '0.576959', '0', '0.816773', '3291.17', '5', '-4491.81', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3985356', '0', 'object/tangible/terminal/shared_terminal_mission_rebel.iff', '0', '0.0898786', '0', '0.995953', '3293.41', '5', '-4494.97', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3985401', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '-1014.78', '12.6085', '-3744.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3985404', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '-1019.35', '12', '-3685.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3985410', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '1', '0', '3.20013e-08', '-1108.84', '13.8341', '-3689.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3985417', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '-1211.49', '12.7119', '-3613.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3985418', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '-1200.54', '12.601', '-3613.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3985419', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '-0.448423', '0', '0.893822', '-1218.42', '14.3878', '-3577.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3985420', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '-0.448423', '0', '0.893821', '-1241.24', '14.3634', '-3559.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3985422', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '-0.434966', '0', '0.900447', '-1207.53', '14.4107', '-3517.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3985423', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '-0.443948', '0', '0.896052', '-1185.01', '14.4091', '-3535.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3985424', '0', 'object/tangible/terminal/shared_terminal_mission_rebel.iff', '0', '0.539633', '0', '0.841901', '-2931.33', '5', '2571.49', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3985426', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.121293', '0', '0.992617', '-2927.96', '5', '2571.77', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3985427', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.589145', '0', '0.808027', '-2926.32', '5', '2572.75', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3985428', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '0', '0', '1', '-2927.68', '5', '2573.11', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3985429', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '-0.169182', '0', '0.985585', '-1305.23', '12', '-3664.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3985430', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '-1348.73', '12', '-3668.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3985431', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '-1349.68', '12', '-3714.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3985432', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '-1366.52', '12', '-3701.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3985435', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-1154.07', '12', '-3521.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3985438', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '-1268.44', '12', '-3485.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3985439', '0', 'object/tangible/terminal/shared_terminal_mission_rebel.iff', '0', '0.948985', '0', '-0.315322', '-2811.54', '5', '2398.45', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3985445', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0.352274', '0', '0.935897', '-984.731', '12', '-3746.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3985446', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0.352274', '0', '0.935897', '-980.193', '12', '-3741.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3985459', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '-1129', '12.253', '-3628', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3985460', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '-1116.87', '12.253', '-3612.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3985461', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '-1071.66', '12.6383', '-3671.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3985462', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '-1063.33', '12.7098', '-3661.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3985463', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '-1102.78', '12.7273', '-3644.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3985464', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '-1094.47', '12.7273', '-3634.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3985465', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '-0.302319', '0.299164', '0.636802', '-0.643107', '-1095.67', '18.5242', '-3662.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '3985466', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0.641831', '-0.635538', '0.301838', '-0.305019', '-1073.19', '18.2613', '-3639.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005371', '0', 'object/soundobject/shared_soundobject_city_crowd_sentients.iff', '0', '0', '0', '1', '-1004.98', '12', '-3748.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005373', '0', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '-1024.18', '12', '-3680.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005375', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_02.iff', '0', '0', '0', '1', '-1053.37', '12', '-3730.66', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005378', '0', 'object/soundobject/shared_soundobject_city_crowd_sentients_large.iff', '0', '0', '0', '1', '-1071.87', '12', '-3700.38', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005379', '0', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '-1040.8', '12', '-3706.18', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005381', '0', 'object/building/tatooine/shared_hospital_tatooine_s02.iff', '0', '0.886627', '0', '0.462485', '-1317.65', '12', '-3489.63', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005382', '4005381', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005383', '4005381', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '8155378', '4005383', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-5.71147', '0.184067', '0.744438', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005384', '4005381', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005388', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '-1292.3', '12', '-3482.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005391', '0', 'object/static/structure/general/shared_streetlamp_medium_blue_style_01.iff', '0.587515', '-0.336468', '0.317958', '0.663715', '-1334.32', '17.1058', '-3477.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005394', '0', 'object/static/structure/general/shared_streetlamp_medium_green_style_01.iff', '0.540644', '-0.455746', '0.455746', '0.540644', '-1449.96', '15.3743', '-3578.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005395', '0', 'object/static/structure/general/shared_streetlamp_medium_green_style_01.iff', '0.540644', '-0.455746', '0.455746', '0.540644', '-1445.68', '15.6008', '-3549.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005396', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0.366273', '0', '0.930508', '-1336.99', '28.5931', '-3864.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005399', '0', 'object/static/structure/general/shared_streetlamp_medium_red_style_01.iff', '-0.495175', '-0.504778', '0.504778', '-0.495176', '-1356.13', '31.6609', '-3940.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005400', '0', 'object/static/structure/general/shared_streetlamp_medium_red_style_01.iff', '0.0289484', '-0.261791', '0.0078561', '0.964658', '-1353.01', '27.1095', '-4003.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005401', '0', 'object/static/structure/general/shared_streetlamp_medium_red_style_01.iff', '0', '-0.15438', '0', '0.988012', '-1356.75', '26', '-3888.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005402', '0', 'object/static/structure/general/shared_streetlamp_medium_red_style_01.iff', '0', '0.338197', '0', '0.941075', '-1373.15', '17.3351', '-3846.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005403', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0', '0', '1', '-1429', '10', '-3761.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005404', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.947396', '0', '-0.320064', '-1420.52', '10', '-3760.81', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005406', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0', '0.319309', '0', '0.947651', '-1420.2', '10', '-3760.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005407', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0', '0.968715', '0', '0.248176', '-1436.78', '10', '-3760.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005416', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-1120.29', '13.8698', '-3679.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005422', '0', 'object/building/tatooine/shared_hospital_tatooine_s02.iff', '0', '-0.13459', '0', '0.990901', '-3144.48', '5', '2105.77', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005423', '4005422', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005424', '4005422', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '8075397', '4005424', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-0.141339', '0.184067', '-0.81782', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005425', '4005422', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005426', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.934124', '0', '0.356949', '-3164.14', '5', '2139.37', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005428', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.789747', '0', '-0.613432', '-3156.37', '5', '2142.56', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005429', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '0.403554', '0', '0.914956', '-3167.22', '5', '2137.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005430', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.91479', '0', '-0.40393', '-3173.79', '5', '2131.68', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005431', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.408124', '0', '0.912926', '-3169.65', '5', '2134.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005433', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.991562', '0', '0.129632', '-3177.59', '5', '2106.63', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005434', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.786672', '0', '-0.617372', '-3175.8', '5', '2098.91', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005435', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.991562', '0', '0.129633', '-3173.36', '5', '2090.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005439', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_09.iff', '0', '0.772905', '0', '-0.634521', '-3183.75', '5', '2122.31', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005441', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_07.iff', '0', '0.795601', '0', '-0.60582', '-3175.27', '5', '2066.98', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005443', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_06.iff', '0', '0.989621', '0', '0.143705', '-3125.98', '5', '2069.05', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005445', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '0.714142', '0', '0.700001', '-3139.33', '5', '2068.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005446', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.717633', '0', '0.696421', '-3142.87', '5', '2068.76', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005447', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.699708', '0', '0.714429', '-3147.77', '5', '2069.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005448', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.60582', '0', '0.795602', '-3111.38', '5', '2072.36', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005449', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.770731', '0', '-0.637161', '-3156.23', '5', '2068.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005450', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.640691', '0', '0.767799', '-3151.26', '5', '2068.87', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005470', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-3169.84', '5', '2084.34', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005471', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-3110.68', '5', '2077.24', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005472', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-3150.14', '5', '2157.86', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005473', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-3166.24', '5', '2099.68', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005474', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0.793048', '0', '-0.609159', '-3163.74', '5', '2100.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005475', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0.99151', '0', '0.130029', '-3128.57', '5', '2090', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005476', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '-0.149438', '0', '0.988771', '-3139.61', '5', '2127.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005477', '0', 'object/static/structure/tatooine/shared_wall_gate_tatooine_wide_style_01.iff', '0', '-0.365899', '0', '0.930654', '-3126.46', '5', '2142.14', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005478', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '-3172.94', '5', '2128.87', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005481', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.801382', '0', '-0.598153', '-3111.62', '5', '2198.04', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005482', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.801382', '0', '-0.598153', '-3122.31', '5', '2195.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005483', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff', '0', '0.598788', '0', '0.800908', '-3117.33', '5', '2195.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005484', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.801382', '0', '-0.598153', '-3113.75', '5', '2197.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005485', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.801382', '0', '-0.598153', '-3124.05', '5', '2194.35', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005516', '0', 'object/building/tatooine/shared_starport_tatooine.iff', '0', '0.300293', '0', '0.953847', '1238.18', '7', '3061.85', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005517', '4005516', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005518', '4005516', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005519', '4005516', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005520', '4005516', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '4265841', '4005520', 'object/tangible/terminal/shared_terminal_newsnet.iff', '0', '0', '0', '1', '6.8685', '0.639421', '49.5035', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9526240', '4005520', 'object/soundobject/shared_soundobject_starport_announcer.iff', '0', '0', '0', '1', '0.558551', '0.639421', '58.7863', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005521', '4005516', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005522', '4005516', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005523', '4005516', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785593', '4005523', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '53.96', '-0.521138', '36.9662', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005524', '4005516', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005525', '4005516', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005526', '4005516', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '3795692', '4005526', 'object/tangible/terminal/shared_terminal_space.iff', '0', '-0.0702515', '0', '0.997529', '-40.3899', '1.63942', '46.4032', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3795693', '4005526', 'object/tangible/terminal/shared_terminal_space.iff', '0', '-0.657353', '0', '0.753583', '-37.9023', '1.63942', '49.2205', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3795694', '4005526', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0.761611', '0', '0.648034', '-44.1221', '1.63942', '50.0933', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '3795695', '4005526', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0.998318', '0', '0.057976', '-41.5662', '1.63942', '52.8483', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9526239', '4005526', 'object/soundobject/shared_soundobject_starport_announcer.iff', '0', '0', '0', '1', '-40.7387', '1.63942', '50.0267', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005527', '4005516', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005528', '4005516', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005529', '4005516', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005530', '4005516', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005531', '4005516', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '5995627', '4005516', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005532', '0', 'object/static/terrain/tatooine/shared_rock_spire_skinny_tatooine_style_1.iff', '0', '0', '0', '1', '1340.31', '9.25125', '3101.58', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005533', '0', 'object/building/tatooine/shared_filler_building_block_64x16_style_02.iff', '0', '0.926517', '0', '0.376254', '1182.17', '7', '3156.01', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005537', '0', 'object/building/tatooine/shared_filler_building_block_64x16_style_01.iff', '0', '-0.6012', '0', '0.799099', '1144.07', '7', '3086.92', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005541', '0', 'object/building/tatooine/shared_filler_building_block_64x32_style_01.iff', '0', '0.292266', '0', '0.956337', '1170.11', '7', '2937.4', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005551', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_meat_rack.iff', '0', '-0.37092', '0', '0.928665', '1185.2', '7', '2999.26', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005552', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_meat_rack.iff', '0', '0.773915', '0', '-0.63329', '1190.31', '7', '2996.46', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005553', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_fruit_stand_small_style_01.iff', '0', '0.947397', '0', '-0.320061', '1192.09', '7', '3000.63', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005554', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_fruit_stand_small_style_01.iff', '0', '0.979908', '0', '-0.199449', '1187.94', '7', '3003.41', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005555', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_large.iff', '0', '0.955101', '0', '-0.296281', '1188.59', '7', '2999.68', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005556', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.247404', '0', '0.968912', '1196', '7', '2993.1', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005557', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.800481', '0', '-0.599358', '1197.43', '7', '2995.54', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005558', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '0.247404', '0', '0.968912', '1196.7', '7', '2994.38', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005559', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0.995881', '0', '0.0906717', '1197.47', '7', '2994.34', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005560', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.918788', '0', '-0.394751', '1205.96', '7', '2993.34', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005561', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.990794', '0', '-0.13538', '1209.11', '7', '2990.84', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005562', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.918788', '0', '-0.394751', '1181.45', '7', '3010.49', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005563', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.990794', '0', '-0.13538', '1184.59', '7', '3008', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005586', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '1250.89', '7', '3143.45', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005587', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '1191.89', '7', '3110.12', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005588', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '1171.28', '7', '3056.26', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005589', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '1175.19', '7', '2948.74', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005590', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '1304.17', '7', '3043.59', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005591', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '1256.75', '7', '2998.56', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005598', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '1084.9', '7', '3196.16', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005599', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.029994', '0', '0.99955', '1139.02', '7', '3040.4', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005600', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.019997', '0', '0.9998', '1138.44', '7', '3048.36', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005601', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.356951', '0', '0.934123', '1151.01', '7', '3123.25', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005602', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.366274', '0', '0.930507', '1156.26', '7', '3129.26', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005604', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.0449833', '0', '0.998988', '1270.69', '7', '3177.54', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005605', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.0349912', '0', '0.999388', '1269.88', '7', '3185.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005606', '0', 'object/building/tatooine/shared_filler_building_tatt_style01_01.iff', '0', '0.9992', '0', '0.0399893', '1275.31', '7', '3167.88', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005611', '0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff', '0', '0', '0', '1', '1208.51', '7', '3170.02', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005612', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.601198', '0', '0.7991', '1193.88', '7', '3153.24', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005613', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.601198', '0', '0.7991', '1196.63', '7', '3154.85', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005615', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.601198', '0', '0.7991', '1194.07', '7', '3155.32', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005617', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0.342898', '0', '0.939373', '1194.57', '7', '3154.36', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005618', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '1159.79', '7', '3124.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005619', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '1159', '7', '3127.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005620', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '1157.92', '7', '3126.82', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005621', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '1157.83', '7', '3124.86', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005622', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '1158.44', '7', '3123.8', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005623', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '-0.069943', '0', '0.997551', '1158.73', '7', '3125.59', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005624', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_meat_rack.iff', '0', '0.9463', '0', '0.323289', '1162.51', '7', '2963.31', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005625', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_fruit_stand_small_style_01.iff', '0', '0.248946', '0', '0.968517', '1159.38', '7', '2959.46', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005626', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_fruit_stand_small_style_01.iff', '0', '0.367752', '0', '0.929924', '1155.52', '7', '2962.65', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005628', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_large.iff', '0', '0.344394', '0', '0.938825', '1159.11', '7', '2963.24', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005938', '0', 'object/building/general/shared_ranchers_house_tatooine.iff', '0', '0.382683', '0', '0.92388', '4973.92', '180', '-4696.04', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005939', '4005938', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005940', '4005938', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005941', '4005938', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005942', '4005938', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005943', '4005938', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005944', '4005938', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005945', '4005938', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005946', '4005938', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005947', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_01.iff', '0', '-0.382683', '0', '0.92388', '4967.91', '180', '-4714.75', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005948', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_01.iff', '0', '-0.382683', '0', '0.92388', '4955.98', '180', '-4702.85', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005950', '0', 'object/static/structure/tatooine/shared_planter_window_style_01.iff', '0', '0.92388', '0', '-0.382683', '4973.92', '181.234', '-4682.7', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005954', '0', 'object/static/structure/tatooine/shared_wall_gate_tatooine_wide_style_01.iff', '0', '-0.382683', '0', '0.92388', '5037.29', '180', '-4671.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005964', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '-0.707106', '0', '0.707108', '5029.18', '180', '-4665.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005965', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '5032.08', '180', '-4664.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005966', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '5043.55', '179.999', '-4676.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005967', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0', '0', '1', '5043.28', '179.993', '-4679.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005968', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0', '0', '1', '5043.28', '180', '-4683.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005969', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0', '0', '1', '5043.28', '180', '-4687.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005970', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0', '0', '1', '5043.28', '180', '-4691.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005971', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '-0.7071', '0', '0.707113', '5025.18', '180', '-4665.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005972', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '-0.7071', '0', '0.707113', '5021.18', '180', '-4665.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005973', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '-0.7071', '0', '0.707113', '5017.18', '180', '-4665.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005974', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '5043.55', '179.954', '-4693.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005975', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '5015.25', '179.941', '-4664.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005978', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.382683', '0', '0.92388', '5040.17', '180', '-4696.81', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005979', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.382683', '0', '0.92388', '5034.16', '180', '-4702.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005980', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.382683', '0', '0.92388', '5028', '180', '-4708.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005981', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.382683', '0', '0.92388', '5021.9', '180', '-4714.86', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005985', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '5037.44', '180', '-4699.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005986', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '5031.42', '180', '-4705.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005987', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '5025.35', '180', '-4711.22', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005988', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '5019.35', '180', '-4717.27', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005989', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.382683', '0', '0.92388', '5015.93', '180', '-4720.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005990', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '5013.28', '180', '-4723.37', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005991', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.382683', '0', '0.92388', '5009.84', '180', '-4727.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005992', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.707107', '0', '0.707107', '5007.21', '180', '-4730.17', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005993', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.923879', '0', '0.382684', '5003.49', '180', '-4726.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005994', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.707107', '0', '0.707107', '5001.1', '180', '-4724.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005995', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.923879', '0', '0.382684', '4997.46', '180', '-4720.66', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005996', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.707107', '0', '0.707107', '4994.99', '180', '-4717.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005997', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.923879', '0', '0.382684', '4991.27', '180', '-4714.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005998', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.707107', '0', '0.707107', '4988.88', '180', '-4711.85', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4005999', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.923879', '0', '0.382684', '4985.24', '180', '-4708.41', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006000', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '-0.382683', '0', '0.92388', '4982.78', '180', '-4704.87', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006001', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '-0.382683', '0', '0.92388', '4985.76', '180', '-4703.25', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006002', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '-0.382683', '0', '0.92388', '4981.35', '180', '-4710.27', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006003', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '-0.382683', '0', '0.92388', '4975.72', '180', '-4715.91', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006005', '0', 'object/static/flora/shared_flora_tree_palm_sm.iff', '0', '0', '0', '1', '4972.14', '180', '-4719.73', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006007', '0', 'object/static/flora/shared_flora_flower_tato_funnel.iff', '0', '0', '0', '1', '4970.48', '180', '-4719.88', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006008', '0', 'object/static/flora/shared_flora_flower_tato_funnel_sm.iff', '0', '0', '0', '1', '4971.02', '180', '-4719.45', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006009', '0', 'object/static/flora/shared_flora_flower_tato_funnel_med.iff', '0', '0', '0', '1', '4971.38', '180', '-4720.54', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006010', '0', 'object/static/flora/shared_flora_plant_tato_falotil.iff', '0', '0', '0', '1', '4972.97', '180', '-4720.91', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006011', '0', 'object/static/flora/shared_flora_plant_tato_falotil_bare.iff', '0', '0', '0', '1', '4969.41', '180', '-4720.81', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006012', '0', 'object/static/flora/shared_flora_plant_tato_hubba.iff', '0', '0', '0', '1', '4971.2', '180', '-4721.69', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006013', '0', 'object/static/structure/naboo/shared_fountain_naboo_style_1.iff', '0', '0', '0', '1', '4961.7', '180', '-4709.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006016', '0', 'object/building/endor/shared_endor_lake_platform.iff', '0', '-0.382683', '0', '0.92388', '4949.86', '180.071', '-4718.09', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006018', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0.92388', '2.12892e-08', '-0.382683', '3.29057e-08', '4951.64', '178.09', '-4714.9', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006019', '0', 'object/building/endor/shared_endor_lake_platform.iff', '0.92388', '1.22464e-08', '0.382683', '2.95653e-08', '4950.05', '177.947', '-4718.21', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006020', '0', 'object/building/endor/shared_endor_lake_platform_cap.iff', '0.911332', '0.0628567', '-0.377486', '0.151749', '4949.06', '176.019', '-4717.84', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006021', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.707106', '0', '0.707107', '5010.29', '179.828', '-4665.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006022', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.382683', '0', '0.92388', '5006.74', '180', '-4665.21', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006023', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.707106', '0', '0.707107', '5001.86', '180', '-4665.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006024', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.382683', '0', '0.92388', '4998.23', '180', '-4665.22', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006025', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.923878', '0', '0.382686', '4994.38', '180', '-4662.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006026', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.707106', '0', '0.707107', '4992.09', '180', '-4659.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006027', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.923878', '0', '0.382686', '4988.47', '180', '-4656.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006028', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.707106', '0', '0.707107', '4986.07', '180', '-4653.73', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006031', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.38268', '0', '0.923881', '4982.61', '180', '-4656.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006032', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '4979.88', '180', '-4658.8', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006033', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.38268', '0', '0.923881', '4976.6', '180', '-4662.42', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006034', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '4973.86', '180', '-4664.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006066', '0', 'object/static/structure/tatooine/shared_wall_gate_tatooine_style_01.iff', '0', '-0.382683', '0', '0.92388', '4976.63', '180', '-4668.25', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006067', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '4979.95', '180', '-4670.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006068', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.38268', '0', '0.923881', '4976.62', '180', '-4674.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006073', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '4973.99', '180', '-4676.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006074', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.38268', '0', '0.923881', '4970.66', '179.925', '-4680.56', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006075', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.382685', '0', '0.923879', '4967.44', '180', '-4682.82', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006080', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.382685', '0', '0.923879', '4968.2', '179.993', '-4683.59', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006123', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '-0.382683', '0', '0.92388', '4992.22', '180', '-4709', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006126', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '-0.382683', '0', '0.92388', '4997.65', '180', '-4703.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006127', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0', '0', '1', '5003.46', '180', '-4700.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006128', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.382683', '0', '0.92388', '5021.28', '180', '-4708.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006129', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.382683', '0', '0.92388', '5015.87', '180', '-4703.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006130', '0', 'object/static/structure/dantooine/shared_dant_fence_4m.iff', '0', '0.0848977', '0', '0.99639', '5012.08', '180', '-4699.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006135', '0', 'object/static/structure/dantooine/shared_dant_fence_4m.iff', '0', '-0.638616', '0', '0.769525', '5007.63', '180', '-4699.34', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006136', '0', 'object/static/creature/shared_tatooine_eopie.iff', '0', '0', '0', '1', '5007.39', '180', '-4722.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006137', '0', 'object/static/creature/shared_tatooine_eopie.iff', '0', '0.707107', '0', '0.707107', '4997.91', '180', '-4709.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006138', '0', 'object/static/creature/shared_tatooine_eopie.iff', '0', '0.382683', '0', '0.92388', '5015.22', '180', '-4707.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006139', '0', 'object/static/creature/shared_tatooine_eopie.iff', '0', '0', '0', '1', '5001.5', '180', '-4703.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006144', '0', 'object/static/flora/shared_flora_flower_tato_funnel.iff', '0', '0', '0', '1', '5004.88', '180', '-4718.78', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006145', '0', 'object/static/flora/shared_flora_flower_tato_funnel_med.iff', '0', '0', '0', '1', '5010.7', '180', '-4717.99', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006146', '0', 'object/static/flora/shared_flora_flower_tato_funnel_sm.iff', '0', '0', '0', '1', '5007.75', '180', '-4710.24', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006147', '0', 'object/static/flora/shared_flora_flower_tato_funnel.iff', '0', '0', '0', '1', '5018.98', '180', '-4712.5', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006148', '0', 'object/static/flora/shared_flora_plant_tato_falotil.iff', '0', '0', '0', '1', '5000.63', '180', '-4716.36', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006149', '0', 'object/static/flora/shared_flora_plant_tato_falotil_bare.iff', '0', '0', '0', '1', '5004.94', '180', '-4706.74', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006150', '0', 'object/static/flora/shared_flora_plant_tato_hubba.iff', '0', '0', '0', '1', '5009.81', '180', '-4714.59', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006151', '0', 'object/static/flora/shared_flora_plant_tato_pika_tri.iff', '0', '0', '0', '1', '5010.87', '180', '-4707.27', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006152', '0', 'object/static/flora/shared_flora_flower_tato_funnel_sm.iff', '0', '0', '0', '1', '5003.01', '180', '-4711.95', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006153', '0', 'object/static/flora/shared_flora_flower_tato_funnel_sm.iff', '0', '0', '0', '1', '5002.73', '180', '-4719.34', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006154', '0', 'object/static/flora/shared_flora_flower_tato_funnel_sm.iff', '0', '0', '0', '1', '5014.24', '180', '-4715.64', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006155', '0', 'object/static/flora/shared_flora_flower_tato_funnel_sm.iff', '0', '0', '0', '1', '5012.58', '180', '-4705.3', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006156', '0', 'object/static/flora/shared_flora_flower_tato_funnel_sm.iff', '0', '0', '0', '1', '5005.84', '180', '-4704.66', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006157', '0', 'object/static/flora/shared_flora_flower_tato_funnel_sm.iff', '0', '0', '0', '1', '5008.79', '180', '-4706.93', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006158', '0', 'object/static/flora/shared_flora_plant_tato_pika_tri.iff', '0', '0.382683', '0', '0.92388', '5016.56', '180', '-4717.2', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006159', '0', 'object/static/flora/shared_flora_plant_tato_pika_tri.iff', '0', '-0.707107', '0', '0.707107', '5015.56', '180', '-4716.22', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006160', '0', 'object/static/flora/shared_flora_plant_tato_pika_tri.iff', '0', '0', '0', '1', '5017.09', '180', '-4716.17', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006161', '0', 'object/static/flora/shared_flora_plant_tato_pika_tri.iff', '0', '0.707107', '0', '0.707107', '5015.57', '180', '-4717.66', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006163', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.382683', '0', '0.92388', '5025.06', '180', '-4705.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006164', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.382683', '0', '0.92388', '5019.65', '180', '-4699.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006166', '0', 'object/static/structure/dantooine/shared_dant_fence_4m.iff', '0', '-0.644522', '0', '0.764586', '5017.03', '180', '-4695.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006168', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '1', '0', '-2.841e-07', '5038.74', '180', '-4686.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006169', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '1', '0', '-2.841e-07', '5031.04', '180', '-4686.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006170', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.92388', '0', '-0.382683', '5024.97', '180', '-4684.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006171', '0', 'object/static/structure/dantooine/shared_dant_fence_4m.iff', '0', '0.955337', '0', '0.295519', '5021.02', '180', '-4682.66', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006172', '0', 'object/static/structure/dantooine/shared_dant_fence_4m.iff', '0', '-0.644522', '0', '0.764585', '5017.72', '180', '-4691.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006173', '0', 'object/static/structure/dantooine/shared_dant_fence_4m.iff', '0', '0.804835', '0', '-0.593499', '5017.6', '180', '-4688.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006174', '0', 'object/static/structure/dantooine/shared_dant_fence_4m.iff', '0', '0.988771', '0', '-0.149439', '5017.97', '180', '-4683.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006175', '0', 'object/static/creature/shared_tatooine_cu_pa.iff', '0', '1', '0', '-7.33659e-08', '5028.62', '180', '-4699.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006176', '0', 'object/static/creature/shared_tatooine_cu_pa.iff', '0', '0.92388', '0', '-0.382683', '5020.37', '180', '-4697.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006177', '0', 'object/static/creature/shared_tatooine_cu_pa.iff', '0', '0', '0', '1', '5037.47', '180', '-4689.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006178', '0', 'object/static/creature/shared_tatooine_cu_pa.iff', '0', '-0.382683', '0', '0.92388', '5025.41', '180', '-4692.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006179', '0', 'object/static/flora/shared_flora_plant_tato_pika_tri.iff', '0', '0', '0', '1', '5026.58', '180', '-4700.67', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006180', '0', 'object/static/flora/shared_flora_plant_tato_pika_tri.iff', '0', '0', '0', '1', '5033.09', '180', '-4696.59', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006181', '0', 'object/static/flora/shared_flora_plant_tato_pika_tri.iff', '0', '0', '0', '1', '5022.26', '180', '-4688.35', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006182', '0', 'object/static/flora/shared_flora_plant_tato_pika_tri.iff', '0', '0', '0', '1', '5035.49', '180', '-4690.3', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006183', '0', 'object/static/flora/shared_flora_plant_tato_pika_tri.iff', '0', '0', '0', '1', '5023.06', '180', '-4685.43', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006184', '0', 'object/static/flora/shared_flora_flower_tato_funnel_sm.iff', '0', '0', '0', '1', '5027.15', '180', '-4703.1', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006185', '0', 'object/static/flora/shared_flora_flower_tato_funnel_sm.iff', '0', '0', '0', '1', '5026.11', '180', '-4697.43', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006186', '0', 'object/static/flora/shared_flora_flower_tato_funnel_sm.iff', '0', '0', '0', '1', '5021.01', '180', '-4695.08', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006187', '0', 'object/static/flora/shared_flora_flower_tato_funnel_sm.iff', '0', '0', '0', '1', '5030.54', '180', '-4696.57', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006188', '0', 'object/static/flora/shared_flora_flower_tato_funnel_sm.iff', '0', '0', '0', '1', '5031.14', '180', '-4693.95', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006189', '0', 'object/static/flora/shared_flora_flower_tato_funnel_sm.iff', '0', '0', '0', '1', '5022.36', '180', '-4690.28', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006190', '0', 'object/static/flora/shared_flora_flower_tato_funnel_sm.iff', '0', '0', '0', '1', '5038.26', '180', '-4692.24', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006191', '0', 'object/static/flora/shared_flora_flower_tato_funnel_sm.iff', '0', '0', '0', '1', '5030.56', '180', '-4688.7', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006192', '0', 'object/static/flora/shared_flora_flower_tato_funnel_sm.iff', '0', '0', '0', '1', '5020.73', '180', '-4686.18', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006193', '0', 'object/static/flora/shared_flora_flower_tato_funnel_sm.iff', '0', '0', '0', '1', '5027.98', '180', '-4689.84', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006195', '0', 'object/building/endor/shared_endr_lake_rail8m.iff', '0', '0.382683', '0', '0.92388', '4992.03', '180', '-4690.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006196', '0', 'object/building/endor/shared_endr_lake_rail8m.iff', '0', '-0.382683', '0', '0.92388', '4997.86', '180', '-4690.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006197', '0', 'object/building/endor/shared_endr_lake_rail8m.iff', '0', '0.382683', '0', '0.92388', '4997.94', '180', '-4684.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006200', '0', 'object/building/endor/shared_endr_lake_rail4m.iff', '0', '-0.382683', '0', '0.92388', '4990.78', '180', '-4685.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006201', '0', 'object/building/endor/shared_endr_lake_rail2m.iff', '0', '-0.707106', '0', '0.707107', '4992.4', '180', '-4683.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006202', '0', 'object/building/endor/shared_endr_lake_rail2m.iff', '0', '0.124675', '0', '0.992198', '4993.94', '180', '-4681.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006203', '0', 'object/static/creature/shared_tatooine_worrt.iff', '0', '0.382683', '0', '0.92388', '4995.82', '180', '-4689.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006204', '0', 'object/static/creature/shared_tatooine_worrt.iff', '0', '-0.382683', '0', '0.92388', '4993.61', '180', '-4688.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006205', '0', 'object/static/creature/shared_tatooine_worrt.iff', '0', '0.92388', '0', '0.382683', '4997.65', '180', '-4686.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006206', '0', 'object/static/creature/shared_tatooine_worrt.iff', '0', '0', '0', '1', '4995.12', '180', '-4683.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006207', '0', 'object/static/creature/shared_tatooine_worrt.iff', '0', '0.780209', '0', '-0.625519', '4992.9', '180', '-4685.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006208', '0', 'object/static/creature/shared_tatooine_bantha_saddle.iff', '0', '0.92388', '0', '0.382683', '5007.22', '180', '-4673.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006209', '0', 'object/static/creature/shared_tatooine_bantha_nosaddle.iff', '0', '0', '0', '1', '5006.89', '180', '-4691.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006211', '0', 'object/static/flora/shared_flora_flower_tato_funnel_sm.iff', '0', '0', '0', '1', '4995.94', '180', '-4686.94', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006212', '0', 'object/static/flora/shared_flora_flower_tato_funnel_sm.iff', '0', '0', '0', '1', '4994.6', '180', '-4690.61', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006213', '0', 'object/static/flora/shared_flora_flower_tato_funnel_sm.iff', '0', '0', '0', '1', '4991.76', '180', '-4688.13', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006214', '0', 'object/static/flora/shared_flora_flower_tato_funnel_sm.iff', '0', '0', '0', '1', '4993.45', '180', '-4684.23', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006215', '0', 'object/static/flora/shared_flora_flower_tato_funnel_sm.iff', '0', '0', '0', '1', '4999.17', '180', '-4687.67', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006216', '0', 'object/static/flora/shared_flora_flower_tato_funnel_sm.iff', '0', '0', '0', '1', '4993.53', '180', '-4690.5', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006217', '0', 'object/static/flora/shared_flora_flower_tato_funnel_sm.iff', '0', '0', '0', '1', '4997.04', '180', '-4684.99', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006221', '0', 'object/static/flora/shared_flora_decd_scorched_tallbirch_broke.iff', '0', '0', '0.309817', '0.950796', '5002.56', '170.763', '-4687.39', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006222', '0', 'object/static/flora/shared_flora_tree_lok_mkpud.iff', '0', '0', '0', '1', '4994.19', '180', '-4686.83', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006223', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0', '0', '1', '4947.66', '180.267', '-4714.04', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006225', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.92388', '0', '-0.382683', '4948.65', '180.28', '-4712', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006226', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0', '0', '1', '4947.12', '180.29', '-4712.64', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006227', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '0', '0', '0', '1', '4947.12', '181.065', '-4712.69', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006228', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '4962.02', '178.544', '-4718.4', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006229', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '4949.51', '178.672', '-4705.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006234', '0', 'object/static/structure/general/shared_streetlamp_small_style_02_on.iff', '0', '0', '0', '1', '4949.01', '179.146', '-4706.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006235', '0', 'object/static/structure/general/shared_streetlamp_small_style_02_on.iff', '0', '0', '0', '1', '4961.55', '179.001', '-4718.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006236', '0', 'object/static/flora/shared_flora_plant_tato_falotil.iff', '0', '0', '0', '1', '4954.49', '180', '-4697.93', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006237', '0', 'object/static/flora/shared_flora_plant_tato_hubba.iff', '0', '0', '0', '1', '4952.72', '180', '-4698.71', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006238', '0', 'object/static/flora/shared_flora_plant_tato_falotil_bare.iff', '0', '0', '0', '1', '4950.93', '180', '-4697.83', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006239', '0', 'object/static/flora/shared_flora_flower_tato_funnel.iff', '0', '0', '0', '1', '4951.99', '180', '-4696.9', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006240', '0', 'object/static/flora/shared_flora_flower_tato_funnel_sm.iff', '0', '0', '0', '1', '4952.53', '180', '-4696.47', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006241', '0', 'object/static/flora/shared_flora_tree_palm_sm.iff', '0', '0', '0', '1', '4953.65', '180', '-4696.74', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006242', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0', '0', '1', '4950.94', '180.29', '-4725.22', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006243', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.92388', '0', '-0.382683', '4951.94', '180.29', '-4723.19', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006244', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '0', '0', '0', '1', '4950.94', '180.913', '-4724.28', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006245', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0', '0', '1', '4950.88', '180.29', '-4724.22', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006246', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0', '0', '1', '4954.78', '180.359', '-4719.53', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006247', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0', '0', '1', '4954.25', '180.359', '-4718.13', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006248', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '0', '0', '0', '1', '4954.25', '180.954', '-4718.18', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006249', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.92388', '0', '-0.382683', '4955.78', '180.359', '-4717.49', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006250', '0', 'object/tangible/furniture/modern/shared_bar_piece_curve_s1.iff', '0', '-0.382683', '0', '0.92388', '4945.7', '180.287', '-4721.63', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006252', '0', 'object/tangible/furniture/modern/shared_bar_piece_curve_s1.iff', '0', '0.382683', '0', '0.92388', '4947', '180.287', '-4723.35', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006253', '0', 'object/static/item/shared_item_music_microphone_s2.iff', '0', '0', '0', '1', '4945.47', '180.254', '-4716.5', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006256', '0', 'object/static/item/shared_item_music_red_ball_jet_organ.iff', '0', '0.63089', '0', '0.775872', '4942.4', '180.203', '-4717.9', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006257', '0', 'object/static/item/shared_item_speaker.iff', '0', '0.92388', '0', '0.382683', '4943.65', '180.268', '-4714.2', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006258', '0', 'object/static/item/shared_item_speaker.iff', '0', '0.382683', '0', '0.92388', '4943.03', '180.211', '-4720.67', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006259', '0', 'object/static/item/shared_item_food_muffins.iff', '0', '0', '0', '1', '4947.56', '181.456', '-4723.2', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006260', '0', 'object/static/item/shared_item_food_dish_01.iff', '0', '0', '0', '1', '4945.18', '181.424', '-4721.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006261', '0', 'object/static/item/shared_item_con_winebottle_01.iff', '0', '0', '0', '1', '4947', '181.424', '-4724.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006262', '0', 'object/static/item/shared_item_con_winebottle_02.iff', '0', '0', '0', '1', '4947.25', '181.424', '-4724.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006263', '0', 'object/static/item/shared_item_con_winebottle_03.iff', '0', '0', '0', '1', '4947.44', '181.456', '-4723.88', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006264', '0', 'object/static/item/shared_item_con_winebottle_04.iff', '0', '0', '0', '1', '4946.62', '181.456', '-4724.11', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006265', '0', 'object/static/item/shared_item_con_drink_flask.iff', '0', '0', '0', '1', '4947.17', '181.424', '-4723.84', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006266', '0', 'object/static/item/shared_item_con_glass_beaker.iff', '0', '0', '0', '1', '4946.87', '181.456', '-4723.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006267', '0', 'object/static/item/shared_item_con_glass_full_s2.iff', '0', '0', '0', '1', '4946.84', '181.456', '-4724.23', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006268', '0', 'object/static/item/shared_item_con_pitcher_full.iff', '0', '0', '0', '1', '4947.09', '181.424', '-4724.32', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006275', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_02.iff', '0', '0.674288', '0', '0.738469', '4944.68', '181.426', '-4721.53', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006276', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.683612', '0', '0.729846', '4975.12', '180.527', '-4680.73', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006278', '0', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_2.iff', '0', '0.92388', '0', '0.382683', '4976.25', '180.51', '-4677.9', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006279', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.935896', '0', '-0.352275', '4978.33', '180.484', '-4678.71', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006280', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '0', '0', '1', '4976.78', '180.506', '-4679.96', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006282', '0', 'object/static/structure/general/shared_streetlamp_small_style_02_on.iff', '0.65401', '0.268834', '-0.268834', '0.65401', '4976.72', '184.602', '-4684.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006283', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.683608', '0', '0.729849', '4979.63', '184.661', '-4694.38', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006284', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0', '0', '1', '4981.28', '184.646', '-4694.58', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006285', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '0', '0', '0', '1', '4981.32', '185.138', '-4694.63', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006286', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.999465', '0', '0.0326967', '4982.28', '184.65', '-4693.52', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4026071', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.930799', '0', '0.365532', '3968.96', '8.88682', '2492.73', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4026072', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.947905', '0', '0.318553', '3969.53', '8.88682', '2500.07', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4026073', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.886627', '0', '-0.462486', '3970', '8.88682', '2492.21', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4026074', '0', 'object/static/structure/tatooine/shared_tent_house_tatooine_style_01.iff', '0', '0.711474', '0', '0.702713', '3972.48', '9.05812', '2496.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4026121', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '0', '0.959885', '0', '-0.280393', '-1303.92', '12', '-3510.56', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '4105740', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.857299', '0', '0.514818', '-3102.74', '5', '2185.05', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4105741', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0', '0', '1', '-3101.93', '5', '2183.37', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4105742', '0', 'object/static/item/shared_item_dye_kit.iff', '0', '0.838759', '0', '-0.544503', '-3101.49', '5.72733', '2183.5', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4105745', '0', 'object/static/item/shared_item_con_bag_sm.iff', '0', '0.492535', '0', '0.870293', '-3102.37', '5', '2185.36', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4105746', '0', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '-3102.3', '5.74', '2183.43', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4105747', '0', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '-3102.04', '5.74', '2183.41', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4105748', '0', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0.707103', '0.70711', '-3101.89', '5.85384', '2183.66', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4105752', '0', 'object/static/item/shared_item_dye_kit.iff', '0', '0.852108', '0', '-0.523366', '-3102.54', '5', '2185.68', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4105753', '0', 'object/static/item/shared_item_food_muffins.iff', '0', '0.912764', '0', '0.408487', '-3101.84', '5.74', '2183.07', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4105758', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0.92896', '0', '-0.370181', '-2768.83', '5', '2109.5', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4105759', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.791591', '0', '0.611051', '-2769.51', '5', '2111.1', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4105761', '0', 'object/static/item/shared_item_dye_kit.iff', '0', '0.803652', '0', '0.595099', '-2769.43', '5', '2111.77', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4105763', '0', 'object/static/item/shared_item_con_bag_sm.iff', '0', '0.387951', '0', '0.92168', '-2769.21', '5', '2111.49', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4105764', '0', 'object/static/item/shared_item_con_tato_bowl_full_s01.iff', '0', '0.902268', '0', '0.431177', '-2769.19', '5.72', '2109.66', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4105766', '0', 'object/static/item/shared_item_con_tato_bowl_full_s02.iff', '0', '0.902268', '0', '0.431177', '-2768.77', '5.72', '2109.29', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4105767', '0', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '-2769.63', '5', '2110.68', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4105768', '0', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '-2768.08', '5', '2108.75', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4105769', '0', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '-2767.8', '5', '2108.93', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4105770', '0', 'object/static/item/shared_item_bread_loaf.iff', '0', '0', '0', '1', '-2768.63', '5.74', '2109.77', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4105771', '0', 'object/static/item/shared_item_bread_loaf.iff', '0', '0.827574', '0', '-0.561357', '-2768.36', '5.74', '2109.64', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235493', '0', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-1041.41', '10', '-3551.96', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235494', '0', 'object/static/structure/general/shared_streetlamp_medium_red_style_02.iff', '0', '-0.514136', '0', '0.857709', '-1008.05', '10', '-3547.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235503', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0', '0', '1', '-983.536', '10', '-3540.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235504', '0', 'object/tangible/terminal/shared_terminal_mission_imperial.iff', '0', '0', '0', '1', '-1134.42', '98', '-3898.94', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235507', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '0', '0', '1', '-1134.57', '98.7321', '-3900.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235511', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.764586', '0', '0.644522', '-1293.98', '12', '-3601.24', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235514', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.764586', '0', '0.644522', '-1290.25', '12', '-3578.48', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235517', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '1', '0', '0', '-3.20013e-08', '-1374.74', '19.9265', '-3622.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235584', '0', 'object/building/general/shared_tatooine_hutt_cave.iff', '0', '-0.58542', '0', '0.81073', '5180.56', '51.5318', '603.074', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235585', '4235584', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235586', '4235584', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235587', '4235584', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235588', '4235584', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '134411', '4235588', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '-0.0222933', '0.362165', '0.0551254', '0.930215', '52.9125', '-45.7737', '-97.516', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235589', '4235584', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '8496263', '4235589', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '-0.0647716', '0.004867', '-0.0747715', '0.995083', '-7.76662', '-46.5489', '-150.645', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235590', '4235584', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235591', '4235584', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '8496262', '4235591', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0.0900064', '0.200973', '-0.00854184', '0.975416', '-24.3787', '-63.5215', '-256.439', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235592', '4235584', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235593', '4235584', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '8496261', '4235593', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0.0102228', '0.932059', '0.00781234', '0.362077', '-10.928', '-68.9056', '-97.0174', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235594', '4235584', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235595', '4235584', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '8496260', '4235595', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0.049352', '0.491351', '-0.21181', '0.843371', '-104.425', '-98.7886', '-117.466', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235596', '0', 'object/building/general/shared_tatooine_tusken_bunker.iff', '0', '0.974188', '0', '-0.225736', '-1473.94', '41', '-174.611', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235597', '4235596', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235598', '4235596', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235599', '4235596', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235600', '4235596', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '5995601', '4235600', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0', '0', '1', '4.4496', '-3.25', '4.94626', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235601', '4235596', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235602', '4235596', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235603', '4235596', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235604', '4235596', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235605', '4235596', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '5995605', '4235605', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '-0.124675', '0', '0.992198', '-1.54459', '-20.7332', '9.05681', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235606', '4235596', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '5995607', '4235606', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '-3.03277', '-20.75', '35.6099', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '5995608', '4235606', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0', '0', '1', '7.45244', '-20.75', '19.175', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235635', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '0', '-0.394385', '0', '0.918945', '3403.39', '19.9449', '-4586.91', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235636', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.479775', '0', '0.877392', '3404.48', '19.9449', '-4587.65', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235637', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '-0.601517', '0', '0.79886', '3403.41', '19.9449', '-4586.93', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235638', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.944279', '0', '-0.329145', '3404.26', '19.9449', '-4585.93', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235639', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.290358', '0', '0.956918', '3402.72', '19.9449', '-4587.93', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235640', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.874982', '0', '0.484156', '3402.45', '19.9449', '-4586.26', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235641', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '0', '-0.305438', '0', '0.952212', '3395.11', '19.9449', '-4583.56', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235642', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.394384', '0', '0.918945', '3396.2', '19.9449', '-4584.29', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235643', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '-0.523027', '0', '0.852316', '3395.14', '19.9449', '-4583.58', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235644', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.9088', '0', '-0.417233', '3395.98', '19.9449', '-4582.58', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235645', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.379817', '0', '0.925062', '3394.45', '19.9449', '-4584.58', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235646', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.916962', '0', '0.398974', '3394.17', '19.9449', '-4582.9', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235647', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '0', '-0.394385', '0', '0.918945', '3403.27', '19.9449', '-4577.92', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235648', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.479775', '0', '0.877392', '3404.36', '19.9449', '-4578.66', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235649', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '-0.601517', '0', '0.79886', '3403.29', '19.9449', '-4577.94', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235650', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.944279', '0', '-0.329146', '3404.14', '19.9449', '-4576.94', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235651', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.290356', '0', '0.956919', '3402.6', '19.9449', '-4578.94', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235652', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.874982', '0', '0.484155', '3402.33', '19.9449', '-4577.26', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235653', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '0', '-0.394385', '0', '0.918945', '3395.53', '19.9882', '-4592.03', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235654', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.479775', '0', '0.877392', '3396.62', '19.9882', '-4592.77', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235655', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '-0.601519', '0', '0.798859', '3395.55', '19.9882', '-4592.05', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235656', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.944279', '0', '-0.329145', '3396.4', '19.9882', '-4591.05', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235657', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.290356', '0', '0.956919', '3394.86', '19.9882', '-4593.04', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235658', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.874981', '0', '0.484155', '3394.58', '19.9882', '-4591.37', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235659', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '0', '-0.430817', '0', '0.902439', '3394.37', '19.9903', '-4574.94', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235660', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.514478', '0', '0.857504', '3395.52', '19.9903', '-4575.58', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235661', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '-0.632982', '0', '0.774167', '3394.39', '19.9903', '-4574.96', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235662', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.956687', '0', '-0.291121', '3395.16', '19.9903', '-4573.89', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235663', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.25186', '0', '0.967764', '3393.78', '19.9903', '-4576', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235664', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.854921', '0', '0.518758', '3393.37', '19.9903', '-4574.36', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235665', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '0', '-0.430818', '0', '0.902439', '3386.94', '19.9903', '-4580.67', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235666', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.514477', '0', '0.857504', '3388.09', '19.9903', '-4581.31', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235667', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '-0.632984', '0', '0.774165', '3386.96', '19.9903', '-4580.69', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235668', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.956687', '0', '-0.291121', '3387.73', '19.9903', '-4579.62', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235669', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.251858', '0', '0.967764', '3386.35', '19.9903', '-4581.73', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235670', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.854921', '0', '0.518758', '3385.95', '19.9903', '-4580.08', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235677', '0', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '-0.285952', '0', '0.958244', '3374.19', '19.4376', '-4596.41', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235682', '0', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '-0.285952', '0', '0.958244', '3375.55', '19.4376', '-4597.15', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235683', '0', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '0.958244', '0', '0.285952', '3374.13', '19.4376', '-4594.9', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235684', '0', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '0.475381', '0', '0.87978', '3372.95', '19.4376', '-4597.18', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235685', '0', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '0.87978', '0', '-0.475382', '3376.48', '19.4376', '-4594.89', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235686', '0', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.958244', '0', '0.285952', '3375.37', '19.4376', '-4595.65', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235687', '0', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.470977', '0', '0.882145', '3378.25', '19.4376', '-4600.96', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235688', '0', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '-0.290739', '0', '0.956802', '3379.79', '19.4376', '-4603.24', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235689', '0', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.882145', '0', '-0.470977', '3379.02', '19.4376', '-4602.13', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235690', '0', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '0.882145', '0', '-0.470977', '3379.75', '19.4376', '-4600.89', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235691', '0', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '0.956802', '0', '0.29074', '3377.46', '19.4376', '-4599.73', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235692', '0', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '0.470977', '0', '0.882145', '3377.52', '19.4376', '-4602.33', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235693', '0', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.479774', '0', '0.877392', '3371.67', '19.4376', '-4590.21', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235694', '0', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '-0.281156', '0', '0.959662', '3373.17', '19.4376', '-4592.52', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235695', '0', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.877391', '0', '-0.479775', '3372.42', '19.4376', '-4591.39', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235696', '0', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '0.877391', '0', '-0.479775', '3373.18', '19.4376', '-4590.17', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235697', '0', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '0.959662', '0', '0.281157', '3370.91', '19.4376', '-4588.96', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235698', '0', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '0.479774', '0', '0.877392', '3370.92', '19.4376', '-4591.56', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235699', '0', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '-0.285952', '0', '0.958244', '3381.51', '19.4376', '-4607.35', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235700', '0', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '0.879779', '0', '-0.475382', '3383.8', '19.4376', '-4605.84', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235701', '0', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.958244', '0', '0.285952', '3382.69', '19.4376', '-4606.59', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235702', '0', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '0.958244', '0', '0.285952', '3381.45', '19.4376', '-4605.85', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235703', '0', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '0.475383', '0', '0.879779', '3380.27', '19.4376', '-4608.13', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4235704', '0', 'object/tangible/furniture/cheap/shared_couch_s01.iff', '0', '-0.285952', '0', '0.958244', '3382.87', '19.4376', '-4608.09', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4335371', '0', 'object/soundobject/shared_soundobject_city_crowd_sentients.iff', '0', '0', '0', '1', '-5228.34', '75', '-6552.63', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4335382', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '-0.276356', '0', '0.961055', '-5037.19', '75', '-6608.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4335388', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '-0.0998334', '0', '0.995004', '165.558', '51.9896', '-5319.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4335389', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '148.899', '52.0629', '-5312.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4335390', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0.999888', '4.80001e-10', '-0.0149994', '-3.19977e-08', '120.477', '57.6921', '-5335.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4335391', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0.500199', '-0.499801', '0.499801', '0.500199', '124.635', '57.9462', '-5365.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4335392', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '1', '0', '0', '-3.20013e-08', '32.6391', '57.676', '-5343.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4335395', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '3713.91', '6.06656', '2383.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4335396', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '3772.23', '8.35868', '2345.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4335398', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '3887.56', '32.991', '2354.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4335399', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '-0.164252', '0', '0.986418', '3353.52', '5', '-4526.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4335400', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '3329.27', '5', '-4589.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4335402', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '3245.93', '5', '-4682.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4335403', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '1', '0', '3.20013e-08', '3295.62', '5', '-4674.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4335404', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0.281157', '0', '0.959662', '3329.6', '5.49088', '-4757.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4335405', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '-0.0848977', '0', '0.99639', '3302.96', '5.49896', '-4796.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4335407', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '3273.23', '5', '-4852.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4335408', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '3259.67', '5', '-4869.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4335409', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '3295.86', '5', '-4882.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4335411', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '3315.78', '5', '-4912.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4335412', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '3430.37', '5', '-4964.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4335413', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_02.iff', '0', '0', '0', '1', '3455.44', '5', '-5074.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4335414', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '3439.76', '5', '-4873.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4335415', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '3474.47', '5', '-4850.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4335416', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0.266731', '0', '0.963771', '3375.59', '5', '-4727.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4335417', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '3417.18', '5', '-4742.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4335418', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '3424.49', '5', '-4747.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4335420', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '3505.36', '5', '-4702.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4335421', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '3494.46', '5', '-4695.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4335424', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '1732.9', '7', '3151.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4335427', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '-0.0549723', '0', '0.998488', '1758.18', '10.1008', '3050.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4335428', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '1', '0', '0', '0', '1591.94', '13.0716', '3017.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4335429', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '1548.96', '7', '3022.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4335430', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '1573.21', '7', '3022.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4335432', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '1619.82', '7', '2934.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4335433', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '1615.06', '7', '2973.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4335435', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '1642.32', '7', '2922.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4335436', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '1565.63', '13.1426', '3225.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4335437', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '1527.92', '7', '3228.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4335438', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '1527.98', '7', '3221.59', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4335439', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '1476.49', '7.44272', '3258.34', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4335442', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '1469.26', '7', '3143.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4335444', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_02.iff', '0', '0', '0', '1', '1481.6', '7', '3042.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4335445', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_02.iff', '0', '0', '0', '1', '1482.24', '7', '3007.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4335446', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '1392.62', '9.43073', '2998.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4335447', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '1363.55', '9.44401', '2997.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4335448', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0.211633', '0.670883', '0.674027', '-0.225421', '1283.18', '11.4083', '3126.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4335449', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '1307.14', '13.7007', '3213.59', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4335450', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '1300.69', '7', '3233.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4335451', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '1254.82', '4', '3254.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4335452', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '1233.09', '1.5', '3261.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4335453', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '1348.43', '7', '3379.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4335454', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '1343.69', '7', '3363.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4335455', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '1343.41', '7', '3396.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4335456', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '1420.48', '7', '3356.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4335457', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '1449.05', '7', '3356.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4335458', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '1404.69', '7.52435', '3293.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4335460', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '1', '0', '0', '-3.20013e-08', '1389.72', '14.4598', '3225', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4335461', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '1', '0', '0', '-3.20013e-08', '1389.97', '14.4254', '3183.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4365352', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '-2981.52', '6.3', '2588.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4365353', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '-3011.11', '6.3', '2549.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4365354', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '-2939.81', '5', '2509.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4365355', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '-2859.93', '5', '2529.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4365356', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '-2829.26', '5', '2450.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4365357', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '-2812.13', '5', '2409.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4365358', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '-2916.18', '5', '2422.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4365359', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '-2960.43', '5.43218', '2435.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4365360', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '-2899.74', '5', '2355.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4365361', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0.997888', '-2.07862e-09', '0.0649542', '-3.19337e-08', '-2933.44', '10.631', '2357.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4365362', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0.997888', '0', '0.064954', '0', '-2914.03', '10.6689', '2319.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4365363', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0.774419', '0', '0.632673', '0', '-2936.86', '10.63', '2280.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4365366', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0.999887', '0', '0.0149992', '0', '-2909.9', '10.6605', '2264.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4365367', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '-2923.38', '5', '2172.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4365368', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '-2911.33', '5', '2184.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4365369', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '-2934.2', '5', '2160.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4365370', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0.959661', '0', '0.281157', '0', '-2968.38', '10.6388', '2112.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4365371', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0.247404', '3.10064e-08', '0.968912', '7.91724e-09', '-2924.28', '10.6742', '2109.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4365372', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '-2926.15', '5', '2029.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4365373', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '-2878.53', '6.08421', '1968.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4365374', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '-2884.2', '6.30312', '1997.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4425353', '0', 'object/building/tatooine/shared_filler_building_slave_quarters_style_01.iff', '-1.06942e-06', '0.940974', '0.0137982', '0.338198', '-6092.56', '6.2191', '1833.39', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '4425358', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.129634', '0', '0.991562', '-1321.28', '26', '-3942.52', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4425359', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.889658', '0', '0.456628', '-1320.01', '26', '-3941.43', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4425360', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.95209', '0', '-0.305817', '-1318.79', '26', '-3941.34', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4425361', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0.888928', '0', '-0.458047', '-1320.46', '26', '-3951.33', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4425362', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '-3079.5', '5', '2177.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4425363', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '-3070.63', '5', '2179.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4425364', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '-0.13459', '0', '0.990901', '-3068.85', '5', '2122.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4425365', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '-0.144492', '0', '0.989506', '-3079.91', '5', '2119.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4425366', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '-2771.25', '5', '2212.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4425367', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '-2895.39', '7.65742', '2130.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4425368', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '-2902.7', '7.61727', '2118.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475413', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0.500003', '-0.499998', '-0.499997', '-0.5', '581.291', '161.474', '346.873', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475414', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '-0.2706', '-0.65328', '0.653281', '-0.2706', '579.311', '160.446', '347.164', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4475415', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '-0.270602', '0.653281', '0.653279', '0.270599', '580.867', '161.436', '345.598', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4685571', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.331317', '0', '0.943519', '3485.39', '5.64284', '-4961.45', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4685572', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.94352', '0', '-0.331317', '3512.93', '5.63141', '-4927.12', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4685573', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '-0.432893', '0', '0.901445', '3516.23', '5.65658', '-4958', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4685574', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.901445', '0', '0.432893', '3481.99', '5.62687', '-4930.53', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4685580', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.68193', '0', '0.731418', '1284.74', '7', '3159', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4685581', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.999687', '0', '0.0249974', '1435.05', '7.67698', '3265.91', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4685582', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '-0.024997', '0', '0.999687', '1432.3', '7.6348', '3322.63', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4685589', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '-0.114747', '0', '0.993395', '-2987.96', '5.60165', '2315.49', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4685590', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.783575', '0', '-0.621298', '-2971.82', '5.60442', '2342.01', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4685591', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.992809', '0', '0.119713', '-2998.35', '5.62487', '2358.17', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4685592', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.621298', '0', '0.783575', '-3014.47', '5.62698', '2331.6', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4685593', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.717356', '0', '0.696707', '-2813.1', '5', '2200.99', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925364', '0', 'object/static/structure/general/shared_streetlamp_large_blue_style_02.iff', '0', '0.0249974', '0', '0.999687', '-5104.95', '75', '-6612.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925369', '0', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff', '0', '0.734548', '0', '-0.678557', '-5111.15', '75', '-6543.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925375', '0', 'object/tangible/terminal/shared_terminal_mission_bounty.iff', '0', '0.324043', '0', '0.946042', '3621.95', '5', '-4875.2', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925377', '0', 'object/tangible/terminal/shared_terminal_mission_bounty.iff', '0', '0.324043', '0', '0.946042', '3624.22', '5', '-4876.98', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925379', '0', 'object/tangible/terminal/shared_terminal_mission_bounty.iff', '0', '0.997248', '0', '-0.0741354', '3627.41', '5', '-4727.52', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925381', '0', 'object/tangible/terminal/shared_terminal_mission_bounty.iff', '0', '0.997248', '0', '-0.0741354', '3623.51', '5', '-4726.97', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925383', '0', 'object/tangible/terminal/shared_terminal_mission_bounty.iff', '0', '0.946042', '0', '-0.324043', '3381.63', '5', '-4849.52', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925385', '0', 'object/tangible/terminal/shared_terminal_mission_bounty.iff', '0', '0.946042', '0', '-0.324043', '3376.68', '5', '-4845.7', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925392', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0.17903', '0', '0.983844', '-2998.17', '5', '2536.96', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925393', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '-0.375559', '0', '0.926798', '-2970.01', '5', '2576.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925396', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.40319', '0', '0.915116', '-2946.63', '2.91198', '2502.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925397', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.366273', '0', '0.930507', '-2958.35', '2.34224', '2493.36', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925398', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '-0.366643', '0', '0.930362', '-2951.2', '5', '2495.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925399', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.40319', '0', '0.915116', '-2989.52', '2.90072', '2489.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925400', '0', 'object/static/structure/tatooine/shared_wall_damaged_tatooine_large_style_01.iff', '0', '0.916803', '0', '-0.399339', '-2980.88', '2.90072', '2498.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925401', '0', 'object/static/structure/tatooine/shared_wall_damaged_tatooine_large_style_01.iff', '0', '-0.0192024', '0', '0.999816', '-2995.34', '2.90072', '2480.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925403', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.632673', '0', '0.774419', '-2964.42', '2.6', '2436.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925404', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.632673', '0', '0.774419', '-2963.47', '2.6', '2432.22', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925405', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.104807', '0', '0.994493', '-2971.63', '2.6', '2433.22', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925406', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.617056', '0', '0.786919', '-2982.85', '2.6', '2446.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925407', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.62879', '0', '0.777575', '-2976.27', '2.6', '2415.63', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925408', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.0948572', '0', '0.995491', '-2968.09', '5', '2418.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925409', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.094857', '0', '0.995491', '-2969.79', '5', '2425.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925410', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.094857', '0', '0.995491', '-2973.2', '5', '2441.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925411', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.109778', '0', '0.993956', '-2974.74', '5', '2449.24', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925412', '0', 'object/static/structure/tatooine/shared_wall_damaged_tatooine_large_style_01.iff', '0', '0.690069', '0', '0.723743', '-2953.17', '5', '2406.29', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925413', '0', 'object/static/structure/tatooine/shared_wall_damaged_tatooine_large_style_01.iff', '0', '0.818282', '0', '-0.574816', '-3061.26', '5', '2344.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925414', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.80209', '0', '-0.597201', '-3081.7', '5', '2340.94', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925415', '0', 'object/static/structure/tatooine/shared_wall_damaged_tatooine_large_style_01.iff', '0', '0.603732', '0', '0.797188', '-3078.48', '5', '2326.29', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925416', '0', 'object/static/structure/tatooine/shared_wall_damaged_tatooine_large_style_01.iff', '0', '-0.355469', '0', '0.934688', '-3064.59', '5', '2322.38', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925417', '0', 'object/static/structure/tatooine/shared_wall_damaged_tatooine_large_style_01.iff', '0', '0.815398', '0', '-0.5789', '-3032.27', '5', '2261.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925418', '0', 'object/static/structure/tatooine/shared_wall_damaged_tatooine_large_style_01.iff', '0', '0.990545', '0', '0.137186', '-3067.48', '5', '2246.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925419', '0', 'object/static/structure/tatooine/shared_wall_damaged_tatooine_large_style_01.iff', '0', '0.991219', '0', '0.132231', '-3118.23', '5', '2230.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925420', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.801857', '0', '-0.597516', '-3085.56', '2.6', '2171.61', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925421', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.597516', '0', '0.801857', '-3062.24', '2.6', '2177.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925422', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.798142', '0', '-0.602469', '-3055.05', '5', '2180.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925423', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.139543', '0', '0.990216', '-3067.65', '2.6', '2168.05', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925424', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.990216', '0', '0.139543', '-3075.34', '2.6', '2165.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925425', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.13459', '0', '0.990901', '-3068.34', '2.6', '2113.64', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925426', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.13459', '0', '0.990901', '-3075.59', '2.6', '2111.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925427', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.795843', '0', '-0.605504', '-3058.73', '2.6', '2108.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925428', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.13459', '0', '0.990901', '-3048.73', '2.6', '2102.36', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925429', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.795843', '0', '-0.605504', '-3081.48', '2.6', '2101.72', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925430', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.139543', '0', '0.990216', '-3086.55', '2.6', '2091.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925431', '0', 'object/static/structure/tatooine/shared_wall_damaged_tatooine_large_style_01.iff', '0', '0.607397', '0', '0.794399', '-3084.64', '2.6', '2083.77', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925432', '0', 'object/static/structure/tatooine/shared_wall_damaged_tatooine_large_style_01.iff', '0', '-0.147478', '0', '0.989065', '-2955.76', '2.11647', '2171.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925433', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.59382', '0', '0.804598', '-2962.37', '2.11647', '2165.19', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925434', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.153985', '0', '0.988073', '-2981.21', '2.6', '2214.04', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925435', '0', 'object/static/structure/tatooine/shared_wall_damaged_tatooine_large_style_01.iff', '0', '0.989124', '0', '0.147085', '-2985.32', '2.6', '2225.38', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925436', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '0.597196', '0', '0.802096', '-2990.08', '2.6', '2227.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925437', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.582654', '0', '0.81272', '-2983.33', '5', '2221.24', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925438', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.801381', '0', '-0.598155', '-3016.08', '2.6', '2220.91', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925439', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.809798', '0', '-0.58671', '-2963.76', '5', '2191.28', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925440', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.59382', '0', '0.804598', '-2970.73', '2.11647', '2188.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925441', '0', 'object/static/structure/tatooine/shared_wall_damaged_tatooine_large_style_01.iff', '0', '0.985918', '0', '0.167228', '-2962.18', '2.11647', '2187.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925442', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.984128', '0', '0.177464', '-2960.85', '5', '2182.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925454', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0', '0', '1', '-5218.97', '75', '-6513.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925455', '0', 'object/static/structure/general/shared_droid_r3_powerdown.iff', '0.0288788', '0.787138', '-0.613084', '0.0608936', '-5220.15', '75.0949', '-6513.48', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925785', '0', 'object/static/item/shared_item_container_inorganic_water.iff', '0', '0', '0', '1', '3973.44', '8.83117', '2497.22', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925796', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.42594', '0', '0.904752', '3973.38', '8.77483', '2499.06', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925797', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '3974.46', '8.74504', '2497.93', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925798', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '3974.77', '8.75969', '2497.45', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925799', '0', 'object/static/item/shared_item_container_energy_solid.iff', '0', '0', '0', '1', '3974.94', '8.78692', '2496.89', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925800', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0.862404', '0', '-0.50622', '3974.12', '8.84439', '2496', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925801', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0.8772', '0', '0.480124', '3974.41', '8.8391', '2494.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925802', '0', 'object/static/structure/general/shared_prp_engine_component.iff', '0', '0.773915', '0', '-0.63329', '3973.18', '9.03146', '2494.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925803', '0', 'object/static/structure/general/shared_prp_engine_component.iff', '0', '0.773915', '0', '-0.63329', '3973.11', '9.02136', '2495.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925804', '0', 'object/tangible/furniture/all/shared_frn_all_toolchest_lg_s01.iff', '0', '0.430458', '0', '0.902611', '3970.98', '8.97154', '2494.31', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925805', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '3971.46', '8.86641', '2496.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925806', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0.505533', '0', '0.862807', '3979.7', '7.84823', '2505.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925807', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0.862404', '0', '-0.50622', '3977.12', '8.69561', '2496.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925811', '0', 'object/static/installation/shared_mockup_power_generator_solar_style_1.iff', '0', '0', '0', '1', '3972.87', '8.05924', '2514.27', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925815', '0', 'object/tangible/furniture/all/shared_frn_all_toolchest_med_s01.iff', '0', '-0.188859', '0', '0.982004', '3977.02', '7.80839', '2512.22', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925828', '0', 'object/static/structure/tatooine/shared_tent_house_tatooine_style_01.iff', '0', '0.967462', '0', '-0.253017', '3979.88', '8.57552', '2505.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925829', '0', 'object/tangible/camp/shared_camp_cot.iff', '0', '0.881958', '0', '-0.471328', '3981.19', '7.84929', '2503.29', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925830', '0', 'object/tangible/camp/shared_camp_cot.iff', '0', '0.999168', '0', '-0.0407846', '3977.46', '7.95391', '2505.37', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925831', '0', 'object/tangible/furniture/cheap/shared_armoire_s01.iff', '0', '0.242556', '0', '0.970137', '3978.38', '8.02472', '2502.52', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925832', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.685289', '0', '0.728271', '3978.81', '7.88706', '2505.24', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925833', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.276356', '0', '0.961055', '3980.47', '7.82334', '2504.4', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925834', '0', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '3982.43', '7.74993', '2503.86', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925835', '0', 'object/static/item/shared_item_con_tato_bowl_full_s01.iff', '0', '0', '0', '1', '3982.02', '7.7311', '2503.89', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925836', '0', 'object/tangible/camp/shared_camp_lawn_chair.iff', '0', '0', '0', '1', '3979.76', '7.90883', '2503.92', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925837', '0', 'object/tangible/camp/shared_camp_lawn_chair.iff', '0', '0.452886', '0', '0.891568', '3978.77', '7.95732', '2504.44', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925841', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.944411', '0', '0.328767', '-2961.87', '2.8', '2038.82', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925842', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.942489', '0', '0.334237', '-2950.66', '2.8', '2024.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925843', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.266731', '0', '0.963771', '-2884.29', '2.8', '2027.91', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925844', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.0898781', '0', '0.995953', '-2869.11', '3.26147', '2006.21', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925845', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.777072', '0', '-0.629412', '-2880.06', '2.6', '1998.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925846', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.777071', '0', '-0.629412', '-2874.25', '2.6', '1969.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925847', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.129634', '0', '0.991562', '-2945.07', '5', '1959.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925848', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.237703', '0', '0.971338', '-2955.23', '5', '1995.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925849', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '-0.139543', '0', '0.990216', '-2946.09', '5', '1964.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925850', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '-0.13459', '0', '0.990901', '-2954.29', '5', '1950.44', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925851', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '-0.129634', '0', '0.991562', '-2949.91', '5', '1934.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925852', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '-0.129634', '0', '0.991562', '-2945.65', '5', '1918.87', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925853', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '-0.129634', '0', '0.991562', '-2953.44', '5', '1904.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925854', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '-0.129634', '0', '0.991562', '-2968.87', '5', '1900.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925855', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '-0.188859', '0', '0.982004', '-2984.79', '5', '1896.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925856', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0.0199988', '0', '0.9998', '-2998.57', '5', '1903.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925857', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '-0.129634', '0', '0.991562', '-3014.23', '5', '1899.24', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925858', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '-0.129634', '0', '0.991562', '-3027.95', '5', '1937.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925859', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '-0.15438', '0', '0.988012', '-3039.69', '5', '1949.66', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925860', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '-0.129634', '0', '0.991562', '-3044.08', '5', '1965.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925861', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '-0.129634', '0', '0.991562', '-3048.49', '5', '1981.64', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925862', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '-0.129634', '0', '0.991562', '-3052.79', '5', '1997.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925863', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '-0.509841', '0', '0.860269', '-3045.52', '5', '2011.08', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925864', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '-0.129634', '0', '0.991562', '-3029.26', '5', '2015.4', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925865', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '-0.129634', '0', '0.991562', '-3021.36', '5', '2029.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925866', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '-0.129634', '0', '0.991562', '-3005.65', '5', '2033.33', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925867', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '-0.129634', '0', '0.991562', '-2989.79', '5', '2037.72', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925868', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '-0.129634', '0', '0.991562', '-2976.2', '5', '2029.87', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925869', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '-0.129634', '0', '0.991562', '-2971.85', '5', '2014.25', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925870', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '-0.237703', '0', '0.971338', '-2967.54', '5', '1998.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925871', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '-0.169182', '0', '0.985585', '-2953.3', '5', '1990.37', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925872', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.389418', '0', '0.921061', '-2911.14', '5', '1883.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925873', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.548024', '0', '0.836463', '-2934.92', '2.6', '1885.62', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925874', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.129635', '0', '0.991562', '-2837.06', '3.04548', '1908.05', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925875', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.930215', '0', '-0.367014', '-2781.73', '4.37888', '1939.14', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925876', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.139543', '0', '0.990216', '-2786.21', '4.41509', '1921.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925877', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.300293', '0', '0.953847', '-2798.93', '5', '1917.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925878', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.897911', '0', '-0.440178', '-2791.24', '5', '1949.55', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925879', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.764329', '0', '-0.644827', '-2816.32', '5', '1979.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925880', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.976806', '0', '-0.214126', '-2800.12', '5', '1994.8', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925882', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.874789', '0', '0.484503', '-2761.63', '5', '2040.83', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925883', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.384808', '0', '0.922997', '-2768.22', '2.88538', '2122.66', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925884', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.247404', '0', '0.968912', '-2748.08', '5', '2140.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925885', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.129634', '0', '0.991562', '-2790.14', '5', '2241.37', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925886', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.129634', '0', '0.991562', '-2778.76', '5', '2243.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925887', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.581035', '0', '0.813878', '-2698.99', '5', '2222.66', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925888', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.692538', '0', '0.721382', '-2844.65', '5', '2307.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925889', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '0.724287', '0', '-0.689498', '-2868.99', '5', '2305.82', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925894', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.731146', '0', '0.682222', '-2853.66', '5', '2368.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925895', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.659383', '0', '0.751807', '-2862.29', '5', '2367.33', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '4925896', '0', 'object/static/structure/tatooine/shared_wall_damaged_tatooine_large_style_01.iff', '0', '0.934407', '0', '0.356205', '-2989.41', '2.28475', '2523.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '5225903', '0', 'object/tangible/npc/tatooine_special/shared_sarlacc.iff', '0', '0.819192', '0', '-0.57352', '-6174.25', '15.0045', '-3360.97', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5225913', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0.798621', '0', '-0.601834', '-1307.71', '12', '-3662.4', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '5225923', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '-0.425939', '0', '0.904752', '-1339.42', '12', '-3704.62', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5225925', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '-0.425939', '0', '0.904752', '-1342.13', '12', '-3707.7', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5225927', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '-0.425939', '0', '0.904752', '-1340.6', '12', '-3706.39', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5225956', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0.92075', '0', '-0.390152', '-998.221', '12', '-3709.39', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5225958', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.928369', '0', '-0.37166', '-995.588', '12', '-3712.63', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5225960', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0.92075', '0', '-0.390152', '-999.85', '12', '-3708.02', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5225962', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0.92075', '0', '-0.390152', '-997.086', '12', '-3711.05', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5225965', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '-0.375559', '0', '0.926799', '-987.207', '12', '-3719.59', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5225967', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '-0.394018', '0', '0.919103', '-990.446', '12', '-3722.23', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5225969', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '-0.375559', '0', '0.926799', '-985.84', '12', '-3717.96', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5225971', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '-0.375559', '0', '0.926799', '-988.872', '12', '-3720.73', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5225974', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0.159319', '0', '0.987227', '-1009.99', '12', '-3754.25', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5225976', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.139544', '0', '0.990216', '-1013.83', '12', '-3752.6', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5225978', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0.159319', '0', '0.987227', '-1007.91', '12', '-3754.71', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5225980', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0.159319', '0', '0.987227', '-1011.77', '12', '-3753.3', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5225988', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '1', '0', '-0.000796784', '3774.04', '11.62', '2379.85', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5225992', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0.999983', '0', '-0.00579675', '3769.98', '11.62', '2379.66', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5225994', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '1', '0', '-0.000796783', '3778.5', '11.62', '2379.51', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5225996', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0.717356', '0', '-0.696707', '-5202.63', '75', '-6474.28', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5226000', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0.717356', '0', '-0.696707', '-5202.88', '75', '-6469.9', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5226002', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0.713863', '0', '-0.700285', '-5203.13', '75', '-6477.23', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5226014', '0', 'object/static/item/shared_item_con_bag_ingredients_lg_s1.iff', '0', '0.479425', '0', '0.877583', '-5251.12', '75', '-6555.05', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '5226015', '0', 'object/static/item/shared_item_cheap_cabinet_01.iff', '0', '0.846832', '0', '0.531861', '-5254.52', '75', '-6552.72', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '5226016', '0', 'object/static/item/shared_item_con_bag_ingredients_lg_s1.iff', '0', '-0.0149984', '0', '0.999888', '-5250.91', '75', '-6554.58', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '5226017', '0', 'object/static/item/shared_item_carbine_laser.iff', '0', '0', '0.713864', '-0.700285', '-5254.5', '76.8184', '-6552.73', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '5226018', '0', 'object/static/item/shared_item_crate_spice.iff', '0', '-0.139543', '0', '0.990216', '-5251.19', '75', '-6553.75', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '5226019', '0', 'object/static/item/shared_item_crate_spice.iff', '0', '0.223106', '0', '0.974794', '-5249.66', '75', '-6554.05', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '5226020', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0.845015', '0', '0.534743', '-5136.79', '75', '-6593.57', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5226024', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0.655617', '0', '0.755093', '-5130.28', '75', '-6587.66', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5226026', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0.962641', '0', '0.27078', '-5134.74', '75', '-6592.66', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5226029', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '0.710354', '0', '-0.703846', '-5050.71', '75', '-6584.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '5226030', '0', 'object/static/item/shared_item_container_organic_hide.iff', '0', '-0.124675', '0', '0.992198', '-5049', '75', '-6588.06', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '5226031', '0', 'object/static/item/shared_item_container_organic_hide.iff', '0', '0.059964', '0', '0.998201', '-5049.38', '75', '-6588.79', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '5226032', '0', 'object/static/item/shared_item_container_inorganic_chemicals.iff', '0', '0.867423', '0', '0.497571', '-5050.34', '75', '-6586.6', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '5226033', '0', 'object/static/item/shared_item_container_energy_radioactive.iff', '0', '-0.198669', '0', '0.980067', '-5050.52', '75', '-6588.28', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '5226048', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0.714978', '0', '-0.699147', '1271.25', '7', '2972.93', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285698', '0', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff', '0', '0', '0', '1', '3949.95', '53.5649', '2268.97', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285714', '0', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '0', '0', '1', '3774.28', '8.31103', '2343.47', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285716', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '3798.05', '12.7689', '2358.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285717', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '3816.34', '16.6676', '2358.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285718', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '3829.9', '19.4082', '2348.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285719', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '3846.06', '24.7706', '2356.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285720', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '3855.16', '26.5045', '2334.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285721', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_02.iff', '0', '0', '0', '1', '3787.19', '11.5123', '2379.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285722', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '3825.31', '19.916', '2371.34', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285723', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '3894.66', '36.0288', '2321.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285724', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '3913.26', '41.496', '2317.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285725', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '3925.37', '46.2425', '2299.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285726', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '3947.62', '52.0081', '2296.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285819', '0', 'object/static/structure/general/shared_debris_deathstar_conduit.iff', '0', '0', '0', '1', '3368.06', '5', '-4848.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285865', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.247404', '0', '0.968912', '-5131.43', '75', '-6583.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285866', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.232843', '0', '0.972514', '-5131.04', '75', '-6584.48', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285867', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.276356', '0', '0.961055', '-5130.65', '75', '-6585.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285868', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0', '0', '1', '-5136.37', '75', '-6588.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285869', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0.867423', '0', '-0.497571', '-5136.23', '75', '-6587.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285870', '0', 'object/static/item/shared_item_crate_spice.iff', '0', '0.0299955', '0', '0.99955', '-5132.78', '75', '-6588.01', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285871', '0', 'object/static/item/shared_item_diagnostic_screen.iff', '0', '0.937369', '0', '-0.348337', '-5131.53', '75.8855', '-6583.94', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285873', '0', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0', '0', '1', '-5130.9', '75.8855', '-6585.2', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285874', '0', 'object/static/item/shared_item_katana.iff', '0.986911', '0.0476795', '-0.0481195', '0.146346', '-5132.99', '75.6009', '-6587.69', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285875', '0', 'object/static/item/shared_item_sclpt_stuffed_bantha.iff', '-0.593143', '0.805025', '0.00568903', '0.00917597', '-5135.42', '75.0316', '-6588.02', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285876', '0', 'object/tangible/furniture/all/shared_frn_all_toolchest_med_s01.iff', '0', '0.864924', '0', '0.501902', '-5136.87', '75', '-6585.64', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285877', '0', 'object/static/item/shared_item_nemodian_bird_cage.iff', '-0.703279', '0', '0', '0.710914', '-5135.1', '75.1265', '-6588.25', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285878', '0', 'object/static/structure/general/shared_droid_r2_powerdown.iff', '0', '0.685288', '0', '0.728272', '-5137.52', '75', '-6587.2', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285880', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.894178', '0', '0.447711', '-5136.06', '75', '-6584.46', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285881', '0', 'object/static/item/shared_item_tool_instrument_calibrator.iff', '0', '0.727726', '0', '0.685868', '-5136.7', '76.012', '-6585.58', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285888', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '0.514136', '0', '0.857709', '-5133.9', '74.7154', '-6588.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '5285889', '0', 'object/static/item/shared_item_pistol.iff', '0.367891', '0.371292', '0.587322', '0.617941', '-5131.1', '75.9171', '-6584.84', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '5395366', '0', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '120.035', '52', '-5412.66', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '5395368', '0', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '11.3522', '53.3089', '-5326.26', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '5395369', '0', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '5.97212', '31.7748', '-5387.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '5395371', '0', 'object/soundobject/shared_soundobject_city_crowd_sentients.iff', '0', '0', '0', '1', '151.431', '52', '-5326.49', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '5395373', '0', 'object/soundobject/shared_soundobject_city_crowd_sentients.iff', '0', '0', '0', '1', '75.197', '52', '-5331.08', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '5407193', '0', 'object/soundobject/shared_soundobject_sparks.iff', '0', '0', '0', '1', '-1295.89', '12', '-3475.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '5407198', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.159318', '0', '0.987227', '1655.97', '7', '3092.33', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '5407199', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.531186', '0', '0.847255', '1681.94', '7', '3114.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '5495496', '0', 'object/static/structure/tatooine/shared_stair_tatooine_small_style_01.iff', '0', '0.926499', '0', '0.376297', '-5354.13', '-0.0141331', '2745.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '5495503', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '-0.0181134', '-0.423772', '-0.00847657', '0.905548', '-5346.85', '-3.0454', '2742.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '5495504', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '-0.018113', '-0.423772', '-0.008477', '0.905548', '-5349.42', '-3.0454', '2739.37', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '5495532', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '-0.42594', '0', '0.904752', '-5349.93', '-1.46964', '2746.41', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '5495552', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '-0.42594', '0', '0.904751', '-5353.45', '-1.46964', '2742.25', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '5495556', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '-0.42594', '0', '0.904751', '-5346.82', '-1.84214', '2736.77', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '5495557', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '-0.42594', '0', '0.904751', '-5343.35', '-1.84214', '2740.94', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '5495566', '0', 'object/tangible/terminal/shared_terminal_mission_rebel.iff', '0', '0.710353', '0', '0.703845', '-5296.21', '75', '-6530.21', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5495568', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.991458', '0', '-0.130424', '-5294.08', '75', '-6527.61', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '5495569', '0', 'object/static/item/shared_item_carbine_dh17.iff', '0.278812', '-0.333855', '0.642796', '-0.63057', '-5294.52', '76.1701', '-6527.77', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '5515496', '0', 'object/static/item/shared_item_speaker.iff', '0', '-0.0649542', '0', '0.997888', '-1279.49', '12', '-3629.98', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '5515497', '0', 'object/static/item/shared_item_speaker.iff', '0', '-0.109778', '0', '0.993956', '-1287.63', '12', '-3632.49', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '5515498', '0', 'object/static/item/shared_item_music_microphone_s1.iff', '0', '-0.0649542', '0', '0.997888', '-1283.95', '12', '-3630.62', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '5515499', '0', 'object/static/item/shared_item_music_omni_box.iff', '0', '-0.0649542', '0', '0.997888', '-1285.36', '12', '-3632.71', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '5515500', '0', 'object/static/item/shared_item_music_red_ball_jet_organ.iff', '0', '0.139543', '0', '0.990216', '-1281.28', '12', '-3631.79', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '5515501', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.625208', '0', '0.780458', '-1295.16', '12.6', '-3669.38', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5515502', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.780458', '0', '-0.625208', '-1252.27', '12.6', '-3659.81', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5525371', '0', 'object/soundobject/shared_soundobject_city_crowd_sentients.iff', '0', '0', '0', '1', '-5048.35', '75', '-6621.85', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '5525403', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '0.912764', '0', '-0.408487', '-2131.8', '5.02001', '2665.39', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '5525404', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.319309', '0', '0.947651', '-2131.1', '5.01966', '2662.63', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '5525405', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0', '0', '1', '-2135.71', '5.01115', '2662.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '5525406', '0', 'object/tangible/camp/shared_camp_cot.iff', '0', '0', '0', '1', '-2133.35', '5.01486', '2664.93', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5525409', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0.394019', '0', '0.919102', '-2128.3', '5.03353', '2662.29', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '5525410', '0', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '3853.85', '27.5697', '2350.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '5525420', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0.0522487', '-0.0222968', '0.255527', '0.965132', '-2141', '3.73509', '2529.69', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '5525421', '0', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_01.iff', '0', '0.707106', '0', '0.707107', '-2141.44', '5', '2528.82', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5525422', '0', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_01.iff', '0', '0.707106', '0', '0.707107', '-2141.37', '5', '2530.85', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5525423', '0', 'object/tangible/camp/shared_campfire_logs_burnt.iff', '0', '0', '0', '1', '-2136.73', '5', '2529.72', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5525424', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0', '0', '1', '-2140.91', '5', '2532.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '5525439', '0', 'object/static/structure/general/shared_prp_junk_s7.iff', '0.826611', '0.178273', '-0.350166', '0.402885', '-2047.72', '6.00412', '2507.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '5525440', '0', 'object/static/structure/general/shared_prp_junk_s7.iff', '0.348356', '-0.477375', '0.785353', '0.184343', '-2043.02', '5.65175', '2512.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '5525441', '0', 'object/static/structure/general/shared_campfire_smoldering.iff', '0', '0', '0', '1', '-2050.23', '5.27953', '2514.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '5525442', '0', 'object/tangible/camp/shared_camp_cot.iff', '0', '0', '0', '1', '-2043.88', '5.38333', '2510.38', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5525443', '0', 'object/tangible/camp/shared_camp_cot.iff', '0', '0.895699', '0', '-0.444662', '-2047.77', '5.31929', '2510.31', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5525465', '0', 'object/building/military/shared_military_base_shed_rebel_style_01.iff', '0', '0', '0', '1', '-2040.05', '5.91337', '2592.09', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '5525466', '5525465', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '5525467', '5525465', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '5525468', '5525465', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '5525469', '5525465', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '5525470', '5525465', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '5525471', '5525465', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '5525472', '0', 'object/static/structure/corellia/shared_corl_banner_govt_angled_s01.iff', '0', '0', '0', '1', '-2046.46', '9.80694', '2601.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '5525473', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0', '0', '1', '-2035.79', '5.82203', '2582.14', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '5525474', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0.999983', '0', '0', '0.00579634', '-2040.12', '9.55754', '2599.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '5525480', '0', 'object/static/structure/general/shared_prp_junk_s5.iff', '0.999983', '0', '0', '0.00579629', '-2031', '8.06282', '2592.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '5525491', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '0', '0', '0', '1', '-2114.22', '5.02396', '2622.5', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '5525492', '0', 'object/static/installation/shared_mockup_power_generator_solar_style_1.iff', '0', '0', '0', '1', '-2109.75', '5.0418', '2609.4', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '5525493', '0', 'object/static/structure/corellia/shared_corl_banner_govt_tall_s01.iff', '0', '0.707107', '0', '0.707107', '-2118.06', '5.01529', '2625.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '5525494', '0', 'object/static/structure/corellia/shared_corl_power_connector.iff', '0', '0.707107', '0', '-0.707107', '-2110.84', '5.02388', '2615.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '5525495', '0', 'object/static/structure/corellia/shared_corl_power_arial_prime.iff', '0', '0', '0', '1', '-2111.6', '5.04658', '2626.27', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '5535646', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_01.iff', '0', '0', '0', '1', '-3058.2', '5', '2170.54', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '5565566', '0', 'object/static/creature/shared_tatooine_jawa.iff', '0', '-0.314567', '0', '0.949235', '-1101.98', '12', '-3705.52', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '5675388', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.319309', '0', '0.947651', '-3272.08', '5.08273', '2690.56', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '5675389', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0', '0', '1', '-3267.75', '5.07551', '2688.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '5675391', '0', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_01.iff', '0', '0.948985', '0', '0.315322', '-3270.61', '5.07043', '2686.94', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5675392', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0', '0', '1', '-3271.03', '5.08751', '2691.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '5675393', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0', '0', '1', '-3263.16', '5.06151', '2690.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '5675394', '0', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_01.iff', '0', '-0.29552', '0', '0.955337', '-3265.22', '5.05305', '2690.59', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5675397', '0', 'object/static/item/shared_item_tool_radio.iff', '0', '0.888928', '0', '0.458047', '-3272.06', '5.79255', '2690.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '5705426', '0', 'object/static/structure/general/shared_sandcrawler_destroyed.iff', '-0.189098', '0.740568', '0.159533', '-0.62478', '5767.29', '52.7719', '4017.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '5705427', '0', 'object/static/structure/general/shared_sandcrawler_debris_02.iff', '-0.0722303', '0.708274', '-0.111612', '0.693307', '5776.34', '55.4725', '4012.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '5705428', '0', 'object/static/structure/general/shared_sandcrawler_debris_01.iff', '-0.106157', '0.703509', '-0.0911099', '0.696782', '5759.05', '55.171', '4010.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '5705429', '0', 'object/static/particle/shared_particle_smoke.iff', '0', '0', '0', '1', '5775.56', '56.5933', '4012.31', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '5705430', '0', 'object/static/particle/shared_pt_burning_smokeandembers_large.iff', '0', '0', '0', '1', '5773.57', '56.8129', '4013.13', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '5705433', '0', 'object/static/particle/shared_pt_burning_smokeandembers_large.iff', '0', '0', '0', '1', '5768.54', '56.0576', '4013.18', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '5705434', '0', 'object/static/particle/shared_particle_newbie_bombed_spot.iff', '0', '0', '0', '1', '5767.94', '56.0328', '4014.77', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '5705435', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0', '0', '1', '5767.9', '56.0251', '4014.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '5705436', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0.986549', '0', '0.163467', '5768.29', '56.1981', '4015.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '5705447', '0', 'object/static/structure/general/shared_droid_droideka_powerdown.iff', '0.0462514', '0.930555', '-0.126394', '0.340519', '5767.09', '54.4774', '4012.59', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '5705448', '0', 'object/static/structure/general/shared_droid_lemedical_powerdown.iff', '-0.161552', '0.505136', '-0.0923155', '0.842744', '5762.15', '52.7153', '4007.28', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '5705449', '0', 'object/static/structure/general/shared_droid_probedroid_powerdown.iff', '-0.164252', '0', '0', '0.986418', '5768.77', '54.531', '4012.79', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '5705450', '0', 'object/soundobject/shared_soundobject_fire_roaring.iff', '0', '0', '0', '1', '5769.18', '54.2114', '4011.73', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '5705451', '0', 'object/soundobject/shared_soundobject_sparks.iff', '0', '0', '0', '1', '5761.69', '52.7657', '4007.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '5705452', '0', 'object/static/particle/shared_pt_sparks_small.iff', '0', '0', '0', '1', '5762.28', '53.9122', '4006.78', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '5995365', '0', 'object/soundobject/shared_soundobject_city_crowd_sentients.iff', '0', '0', '0', '1', '-2914.23', '5', '2471.39', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '5995366', '0', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-2825.46', '5', '2399.63', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '5995367', '0', 'object/soundobject/shared_soundobject_city_crowd_sentients.iff', '0', '0', '0', '1', '-2788.92', '5', '2327.55', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '5995456', '0', 'object/soundobject/shared_soundobject_city_crowd_sentients.iff', '0', '0', '0', '1', '-2914.14', '5', '2146.44', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '5995461', '0', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-2881.24', '5', '2020.37', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '5995463', '0', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-2880.98', '5', '1968.33', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '5995490', '0', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-2825.72', '5', '1925.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '5995564', '0', 'object/building/general/shared_tatooine_beetle_cave.iff', '0', '0.959437', '0', '-0.281922', '6543.77', '115.412', '-1293.96', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '5995565', '5995564', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '5995566', '5995564', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '5995567', '5995564', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '5995568', '5995564', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '5995569', '5995564', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '5995570', '5995564', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '5995571', '5995564', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '5995572', '5995564', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '5995573', '5995564', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '5995574', '5995564', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '5995575', '5995564', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '5995609', '0', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0', '0', '1', '-1483.3', '41', '-175.318', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5996497', '0', 'object/tangible/jedi/shared_force_shrine_stone.iff', '0', '0.707107', '0', '0.707107', '-6505.86', '73.3772', '-3670.56', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5996498', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0.707095', '0', '0.707118', '-6510.28', '74.3461', '-3672.16', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '5996499', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0', '0', '1', '-6501.59', '73.8717', '-3672.13', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '5996500', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '1', '0', '0', '-6506.83', '74.188', '-3672.17', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '5996501', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '0', '0', '1', '-6505.03', '74.178', '-3672.22', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '5996502', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_altar.iff', '0', '0', '0', '1', '-6505.92', '56.2344', '-3672.16', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '5996503', '0', 'object/static/particle/shared_pt_poi_electricity_2x2.iff', '0', '0', '0', '1', '-6505.85', '75.0523', '-3670.57', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '5996504', '0', 'object/tangible/jedi/shared_force_shrine_stone.iff', '0', '0.707107', '0', '0.707107', '5264.41', '187.21', '110.255', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5996505', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0.707098', '0', '0.707115', '5259.99', '187.929', '108.658', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '5996506', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0', '0', '1', '5268.67', '187.929', '108.692', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '5996507', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '1', '0', '0', '5263.44', '187.929', '108.647', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '5996508', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '0', '0', '1', '5265.23', '187.919', '108.599', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '5996509', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_altar.iff', '0', '0', '0', '1', '5264.35', '169.975', '108.658', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '5996510', '0', 'object/static/particle/shared_pt_poi_electricity_2x2.iff', '0', '0', '0', '1', '5264.41', '188.245', '110.252', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '5996539', '0', 'object/tangible/jedi/shared_force_shrine_stone.iff', '0', '0.707107', '0', '0.707107', '-3622.88', '247.121', '5277.99', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5996540', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0.707097', '0', '0.707116', '-3627.3', '248.162', '5276.4', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '5996541', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0', '0', '1', '-3618.61', '248.162', '5276.43', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '5996542', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '1', '0', '0', '-3623.84', '248.162', '5276.38', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '5996543', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '0', '0', '1', '-3622.05', '248.152', '5276.34', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '5996544', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_altar.iff', '0', '0', '0', '1', '-3622.94', '230.209', '5276.4', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '5996545', '0', 'object/static/particle/shared_pt_poi_electricity_2x2.iff', '0', '0', '0', '1', '-3622.87', '248.162', '5277.99', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '5996546', '0', 'object/tangible/jedi/shared_force_shrine_stone.iff', '0', '0.707107', '0', '0.707107', '5632.99', '193.708', '6012.32', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5996547', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0.707098', '0', '0.707115', '5628.57', '195.093', '6010.72', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '5996548', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0', '0', '1', '5637.25', '194.746', '6010.75', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '5996549', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '1', '0', '0', '5632.02', '194.746', '6010.71', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '5996550', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '0', '0', '1', '5633.82', '194.736', '6010.66', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '5996551', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_altar.iff', '0', '0', '0', '1', '5632.93', '176.792', '6010.72', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '5996552', '0', 'object/static/particle/shared_pt_poi_electricity_2x2.iff', '0', '0', '0', '1', '5632.99', '194.746', '6012.31', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '5996560', '0', 'object/tangible/jedi/shared_force_shrine_stone.iff', '0', '0.707107', '0', '0.707107', '5958.15', '154.609', '-5687.21', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '5996561', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0.707096', '0', '0.707117', '5953.73', '155.677', '-5688.81', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '5996562', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0', '0', '1', '5962.41', '155.676', '-5688.77', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '5996563', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '1', '0', '0', '5957.18', '155.675', '-5688.82', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '5996564', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '0', '0', '1', '5958.97', '155.67', '-5688.87', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '5996565', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_altar.iff', '0', '0', '0', '1', '5958.09', '137.722', '-5688.81', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '5996566', '0', 'object/static/particle/shared_pt_poi_electricity_2x2.iff', '0', '0', '0', '1', '5958.15', '155.676', '-5687.21', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '6015489', '0', 'object/static/creature/shared_tatooine_dewback.iff', '0', '0.958016', '0', '0.286715', '3459.77', '5', '-4858.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '6015566', '0', 'object/static/creature/shared_tatooine_ronto.iff', '0', '0.963983', '0', '0.265964', '3363.46', '5', '-4984.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '6015625', '0', 'object/static/creature/shared_tatooine_worrt.iff', '0', '0.674288', '0', '0.738468', '3386.49', '6.42472', '-4956.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '6015780', '0', 'object/static/creature/shared_tatooine_ronto.iff', '0', '-0.457339', '0', '0.889293', '3238.61', '5', '-4560.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '6015781', '0', 'object/static/creature/shared_tatooine_cu_pa.iff', '0', '-0.361615', '0', '0.932327', '3255.56', '5', '-4524.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '6015822', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.754564', '0', '-0.656227', '3342.6', '5', '-4543.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '6015826', '0', 'object/static/creature/shared_tatooine_bantha_saddle.iff', '0', '0.247404', '0', '0.968912', '3447.74', '5', '-4525.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '6015827', '0', 'object/static/creature/shared_tatooine_eopie.iff', '0', '0.40319', '0', '0.915116', '3472.91', '5', '-4566.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '6015882', '0', 'object/static/creature/shared_tatooine_dewback.iff', '0', '0.789504', '0', '0.613746', '3721.73', '5', '-4869.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '6015883', '0', 'object/static/creature/shared_tatooine_bantha_saddle.iff', '0', '0.999667', '0', '-0.0257935', '3726.36', '5', '-4738.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '6015884', '0', 'object/static/creature/shared_tatooine_worrt.iff', '0', '0.366273', '0', '0.930508', '3700.97', '5.88544', '-4805.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '6015885', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.49688', '0', '0.867819', '3700.92', '5', '-4805.03', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016004', '0', 'object/static/creature/shared_tatooine_dewback.iff', '0', '0.813415', '0', '-0.581683', '1148.41', '7', '2965.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016012', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.95055', '0', '-0.310573', '1144.15', '6.55013', '2964.06', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016015', '0', 'object/static/creature/shared_tatooine_eopie.iff', '0', '0.0948572', '0', '0.995491', '1140.91', '7', '2960.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016056', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '-5283.57', '7.92012', '2658.59', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016057', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '-5284.43', '7.8982', '2658.7', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016059', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '-5286.01', '8.0916', '2655.86', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016060', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '-5287.12', '8.19158', '2656.55', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016133', '0', 'object/static/creature/shared_tatooine_cu_pa.iff', '0', '0.29074', '0', '0.956802', '1603.68', '7', '3357.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016348', '0', 'object/static/creature/shared_tatooine_ronto.iff', '0', '0.884303', '0', '0.466913', '-2776.69', '5', '1916.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016381', '0', 'object/static/creature/shared_tatooine_cu_pa.iff', '0', '0.328769', '0', '0.94441', '-2725.13', '5', '2006.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016418', '0', 'object/static/creature/shared_tatooine_cu_pa.iff', '0', '0', '0', '1', '-2964.92', '5', '2188.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016419', '0', 'object/static/creature/shared_tatooine_cu_pa.iff', '0', '0.624897', '0', '0.780707', '-2957.8', '5', '2168.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016420', '0', 'object/static/creature/shared_tatooine_eopie.iff', '0', '0.996322', '0', '0.0856912', '-2966.26', '5', '2166.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016421', '0', 'object/static/creature/shared_tatooine_dewback.iff', '0', '-0.609159', '0', '0.793048', '-2990.44', '5', '2224.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016422', '0', 'object/static/creature/shared_tatooine_ronto.iff', '0', '0', '0', '1', '-3017.98', '5', '2216.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016470', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '-0.0199986', '0', '0.9998', '-1275.27', '12', '-3484.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016471', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.717356', '0', '-0.696706', '-1284.38', '12', '-3484.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016473', '0', 'object/static/structure/tatooine/shared_bridge_tatooine_small_style_02.iff', '-0.0183412', '-0.425854', '-0.00797166', '0.904571', '-5348.44', '4.83863', '2740.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016497', '0', 'object/building/tatooine/shared_housing_tatt_style02_med.iff', '0', '-0.450834', '0', '0.892608', '-5269.97', '7.94785', '2689.61', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016498', '6016497', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016499', '6016497', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '1065545', '6016499', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.707107', '0', '0.707107', '-9.47867', '0.408271', '2.4776', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1065546', '6016499', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.707106', '0', '0.707107', '-5.92482', '0.408271', '2.51182', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1065547', '6016499', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff', '0', '0', '0', '1', '-7.65287', '0.408271', '2.41363', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1065548', '6016499', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.312382', '0', '0.949957', '-6.18553', '0.408271', '-4.65569', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1065549', '6016499', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.949956', '0', '-0.312382', '-4.10399', '0.408271', '-1.77531', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1065550', '6016499', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff', '0', '-0.450834', '0', '0.892608', '-5.05028', '0.408271', '-3.22429', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1065551', '6016499', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.701642', '0', '0.71253', '-2.46581', '0.408271', '0.146303', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1065552', '6016499', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.712527', '0', '-0.701644', '1.0869', '0.408271', '0.235261', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1065553', '6016499', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff', '0', '-0.00769954', '0', '0.99997', '-0.639148', '0.408271', '0.110256', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1065554', '6016499', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.9218', '0', '0.387664', '4.2785', '0.408271', '-0.0475056', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1065555', '6016499', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.387663', '0', '0.921801', '6.84222', '0.408271', '-2.5086', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1065556', '6016499', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff', '0', '0.37769', '0', '0.925932', '5.53855', '0.408271', '-1.3704', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1065560', '6016499', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0', '0', '1', '-0.495404', '0.408271', '-1.71707', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1065561', '6016499', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.897247', '0', '0.441528', '-6.36404', '0.408271', '-2.12781', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '1065562', '6016499', 'object/soundobject/shared_soundobject_cantina_small.iff', '0', '0', '0', '1', '1.27327', '0.408271', '-3.4692', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016521', '6016499', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff', '0', '0', '0', '1', '6.99229', '0.40827', '-10.4488', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016522', '6016499', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff', '0', '0.707107', '0', '0.707107', '4.56699', '0.40827', '-7.7844', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016523', '6016499', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff', '0', '-0.707106', '0', '0.707107', '9.36958', '0.408269', '-7.88048', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016524', '6016499', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff', '0', '0', '0', '1', '-1.08878', '0.408272', '-10.4572', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016525', '6016499', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff', '0', '0.707107', '0', '0.707106', '-3.51365', '0.408272', '-7.7926', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016526', '6016499', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff', '0', '0.707108', '0', '-0.707106', '1.28884', '0.408271', '-7.88899', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016527', '6016499', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.589145', '0', '0.808028', '10.4884', '0.408271', '-1.83512', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016528', '6016499', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.87959', '0', '-0.475732', '10.3886', '0.408271', '0.734482', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016500', '6016497', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016501', '6016497', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016502', '6016497', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016503', '6016497', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016519', '6016503', 'object/tangible/furniture/all/shared_frn_all_chair_recliner_s1.iff', '0', '0.252245', '0', '0.967663', '-7.20439', '-3.96617', '-7.24672', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016520', '6016503', 'object/tangible/furniture/all/shared_frn_all_chair_recliner_s1.iff', '0', '0.939099', '0', '0.343646', '-7.10191', '-3.96617', '-5.10101', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016504', '6016497', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016514', '6016504', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s1.iff', '0', '0', '0', '1', '-8.20879', '-3.96617', '5.15263', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016515', '6016504', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s1.iff', '0', '1', '0', '3.20013e-08', '-8.94788', '-3.96617', '7.61163', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016518', '6016504', 'object/tangible/furniture/all/shared_frn_all_couch_sm_s1.iff', '0', '0', '0', '1', '-0.185341', '-3.96617', '4.01986', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016505', '6016497', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016512', '6016505', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '-0.324043', '0', '0.946042', '10.1654', '-3.96617', '0.367163', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016513', '6016505', 'object/tangible/furniture/elegant/shared_chair_s01.iff', '0', '0.999942', '0', '-0.0107962', '8.89654', '-3.96617', '2.44897', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016506', '6016497', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016507', '6016497', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016508', '6016497', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016510', '6016508', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s2.iff', '0', '0.999232', '0', '-0.0391935', '-2.93675', '-9.54192', '6.13724', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016511', '6016508', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s2.iff', '0', '-0.461779', '0', '0.886995', '-0.220539', '-9.54192', '4.73958', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016509', '6016497', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016529', '0', 'object/building/tatooine/shared_housing_tatt_style03_med.iff', '0', '-0.356949', '0', '0.934124', '-5309.73', '5.98473', '2722.13', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016530', '6016529', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016531', '6016529', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016532', '6016529', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016533', '6016529', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016534', '6016529', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016535', '6016529', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016536', '6016529', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016537', '6016529', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016538', '6016529', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016539', '6016529', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016542', '6016539', 'object/tangible/crafting/station/shared_food_station.iff', '0', '0', '0', '1', '-7.62939', '-9.99315', '-10.9651', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016543', '6016542', 'object/tangible/hopper/shared_crafting_station_ingredient_hopper_1.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016540', '6016529', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016541', '6016529', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016714', '0', 'object/static/item/shared_item_container_inorganic_gas.iff', '0', '0.836026', '0', '0.54869', '-6128.01', '6.12126', '1848.69', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016715', '0', 'object/static/item/shared_item_container_inorganic_gas.iff', '0', '-0.15438', '0', '0.988012', '-6128.28', '6.10599', '1848', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016716', '0', 'object/static/item/shared_item_container_inorganic_chemicals.iff', '0', '0.813415', '0', '0.581683', '-6127.39', '6.09744', '1849.52', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016717', '0', 'object/static/item/shared_item_container_installation.iff', '0', '0.40776', '0', '0.913089', '-6124.25', '6.12058', '1850.37', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016718', '0', 'object/static/item/shared_item_con_barrel_lg_s1.iff', '0.670738', '-0.253868', '0.264021', '0.644945', '-6129.53', '6.60399', '1851.58', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016719', '0', 'object/static/item/shared_item_slave_brazier.iff', '0', '0.114747', '0', '0.993395', '-6129.39', '6.20253', '1851', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016720', '0', 'object/static/item/shared_item_shisha.iff', '0', '0', '0', '1', '-6128.04', '6.5605', '1848.72', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016721', '0', 'object/static/item/shared_item_substance_analyzer.iff', '0', '0.841471', '0', '-0.540302', '-6127.59', '6.43654', '1849.59', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016723', '0', 'object/static/item/shared_item_tool_demagnetizer.iff', '0', '0.252245', '0', '0.967663', '-6128.67', '6.18697', '1849', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016724', '0', 'object/static/item/shared_item_tool_engineering_datapad.iff', '0', '0', '-0.430458', '0.902611', '-6127.46', '6.55529', '1849.56', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016726', '0', 'object/static/item/shared_item_container_weapons.iff', '0', '0.968715', '0', '-0.248176', '-6155.94', '6.62405', '1854.72', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016727', '0', 'object/static/item/shared_item_container_weapons.iff', '0', '0.995083', '0', '-0.099041', '-6160.09', '6.68825', '1856.05', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016728', '0', 'object/static/item/shared_item_container_weapons.iff', '0.244491', '0.773824', '-0.376881', '0.446522', '-6155.39', '7.22528', '1854.35', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016730', '0', 'object/static/item/shared_item_crate_clothing_small.iff', '0', '0.964884', '0', '0.262678', '-6135.47', '6.10021', '1828.01', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016731', '0', 'object/static/item/shared_item_crate_clothing_small.iff', '0', '0.891207', '0', '-0.453596', '-6134.9', '6.1133', '1828.37', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016732', '0', 'object/static/item/shared_item_crate_clothing_small.iff', '-0.307951', '-0.636213', '0.636721', '-0.308197', '-6136.73', '6.34424', '1829.5', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016733', '0', 'object/static/item/shared_item_con_barrel_lg_s1.iff', '0', '0.720831', '0', '-0.693111', '-6137.61', '6.10499', '1824.59', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016734', '0', 'object/static/item/shared_item_con_bag_sm.iff', '0', '0.953608', '0', '-0.301053', '-6136.7', '6.10977', '1829.02', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016767', '0', 'object/tangible/furniture/modern/shared_rug_rect_sml_s01.iff', '0', '0.589144', '0', '0.808028', '-1116.83', '12', '-3686.67', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016769', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0.314567', '0', '0.949235', '-1116.93', '12.0316', '-3686.59', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016770', '0', 'object/static/item/shared_item_basket_shallow.iff', '0', '0', '0', '1', '-1116.75', '12.0316', '-3684.48', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016771', '0', 'object/static/item/shared_item_bread_loaf.iff', '0', '0', '0', '1', '-1116.58', '12.0949', '-3684.35', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016772', '0', 'object/static/item/shared_item_fruit_melon.iff', '0', '0', '0', '1', '-1116.83', '12.0632', '-3684.31', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016773', '0', 'object/static/item/shared_item_jar_funk.iff', '0', '0', '0', '1', '-1116.8', '12.0949', '-3684.57', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016774', '0', 'object/static/item/shared_item_organic_container.iff', '0', '0', '0', '1', '-1115.48', '12.0316', '-3684.57', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6016775', '0', 'object/static/structure/general/shared_droid_r4_powerdown.iff', '0', '0.713864', '0', '0.700285', '-1114.73', '12.0316', '-3687.23', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '6075942', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '-0.0848977', '0', '0.99639', '161.948', '52', '-5332.8', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6075944', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0.724287', '0', '0.689498', '140.977', '52', '-5323.8', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6075946', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0.0107962', '0', '0.999942', '122.505', '52', '-5428.81', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6075959', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0.721934', '0', '0.691962', '-151.821', '65', '-5314.76', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076104', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '1', '0', '3.20013e-08', '83.4847', '52', '-5324.05', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076106', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0.773915', '0', '0.63329', '-1291.77', '12', '-3581.95', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076108', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0.757843', '0', '0.652438', '-1290.12', '12', '-3574.21', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076110', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0.761095', '0', '0.64864', '-1294', '12', '-3596.69', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076112', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.754571', '0', '0.656219', '-1295.63', '12', '-3605.15', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076116', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0.560509', '0', '0.828149', '3521.99', '5', '-4796.35', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076118', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0.99871', '0', '-0.0507746', '3519.85', '5', '-4799.31', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076120', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0.955101', '0', '-0.296281', '3529.14', '5', '-4686.96', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076122', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0.999816', '0', '0.0192024', '3717.92', '5', '-4734.8', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076124', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0.999023', '0', '0.0441893', '3713.13', '5', '-4734.82', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076126', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0.29074', '0', '0.956802', '3710.5', '5', '-4862.1', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076128', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '-0.375559', '0', '0.926798', '3705.02', '5', '-4863.42', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076130', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0.338197', '0', '0.941075', '3503.16', '5', '-4868.82', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076132', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '-0.407761', '0', '0.913089', '3496.18', '5', '-4867.81', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076134', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '-0.407761', '0', '0.913089', '3494.95', '5', '-4869.49', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076136', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '-0.448423', '0', '0.893822', '3401.76', '5', '-4978.97', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076138', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '-0.104377', '0.307944', '0.0340111', '0.94505', '3419.61', '5.55835', '-4948.28', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076139', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0.939099', '0', '-0.343646', '3419.37', '5', '-4947.56', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076141', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0.935616', '0', '-0.353019', '3420.7', '5', '-4948.79', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076145', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '-0.319309', '0', '0.947651', '3397.76', '5', '-4795.14', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076147', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0.872355', '0', '0.488872', '3426.03', '5', '-4753.4', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076151', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '-0.479425', '0', '0.877583', '3411.14', '5', '-4743.77', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076153', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '-0.475032', '0', '0.879969', '3374.41', '5', '-4726.91', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076155', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '-0.466208', '0', '0.884675', '3375.47', '5', '-4720.24', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076159', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '-0.470626', '0', '0.882333', '3368.72', '5', '-4730.13', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076161', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0.880347', '0', '0.474331', '3306.07', '5.5847', '-4769.69', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076163', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0.958016', '0', '-0.286715', '3227.56', '5.59501', '-4750.38', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076165', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '-0.470626', '0', '0.882333', '3276.18', '5', '-4683.4', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076167', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '-0.483807', '0', '0.875175', '3301.8', '5', '-4648.19', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076169', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0.955101', '0', '-0.296281', '3300.71', '5', '-4574.32', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076171', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0.998531', '0', '0.0541771', '3328.32', '5', '-4586.5', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076173', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '-0.522687', '0', '0.852525', '3479.57', '5', '-4614.95', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076175', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '-0.535416', '0', '0.844589', '3475.63', '5', '-4623.03', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076177', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '-0.522687', '0', '0.852525', '3478.66', '5', '-4617.06', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076179', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '-0.518418', '0', '0.855127', '3478.67', '5', '-4618.67', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076181', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '-0.328769', '0', '0.94441', '1761.75', '7', '3133.03', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076254', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0.00367869', '0.98274', '-0.18391', '0.0196574', '1680.24', '7.70699', '3146.84', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076255', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '1', '0', '3.20013e-08', '1679.33', '7', '3146.98', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076257', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '1', '0', '3.20013e-08', '1681.28', '7', '3146.98', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076259', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0.999942', '0', '-0.0107961', '1710.32', '7', '3095.21', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076261', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.681639', '0', '0.731689', '1739.14', '7', '3045.07', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076263', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0.677972', '0', '0.735088', '1739.02', '7', '3047.29', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076265', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0.305059', '0', '0.952334', '1740.94', '7', '3042.34', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076267', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0', '0', '1', '1561.6', '7', '3017.55', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076269', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0.713864', '0', '-0.700285', '1638.42', '7', '2990.8', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076271', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0', '0', '1', '1720.74', '7', '3178.02', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076272', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0', '0', '1', '1720.58', '7', '3175.33', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076273', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0', '0', '1', '1739.44', '7', '3175.24', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076274', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '1', '0', '3.20013e-08', '1720.7', '7', '3172.55', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076275', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.707106', '0', '0.707107', '1725.13', '7', '3175.36', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076276', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.707106', '0', '0.707107', '1715.84', '7', '3175.3', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076277', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.707103', '0', '0.70711', '1734.64', '7', '3175.11', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076278', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '1', '0', '0', '1739.49', '7', '3172.37', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076279', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.707107', '0', '0.707107', '1743.93', '7', '3175.17', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076280', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0', '0', '1', '1739.54', '7', '3177.83', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076281', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0.707106', '0', '0.707107', '1496.3', '7', '3116.62', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076292', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '1', '0', '3.20013e-08', '1476.65', '7.53759', '3265.69', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076294', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0.713864', '0', '-0.700285', '1470.05', '7', '3141.3', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076300', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0.713864', '0', '-0.700285', '1470.03', '7', '3145.07', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076302', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0', '0', '1', '1377.99', '7', '2979.73', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076304', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0', '0', '1', '1374.08', '7', '2979.62', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076306', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.92388', '0', '-0.382683', '1284.31', '7.67297', '2952.58', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076307', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.382683', '0', '0.92388', '1257.89', '7.67297', '2925.98', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076308', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.923879', '0', '0.382684', '1258.01', '7.67297', '2952.34', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076309', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '-0.382684', '0', '0.923879', '1284.61', '7.67297', '2925.92', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076310', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0.0353131', '-0.440472', '-0.0716892', '0.894203', '1169.76', '7.41108', '2950.78', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076311', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0.276356', '0', '0.961055', '1169.82', '7', '2950.75', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076313', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '-0.0239371', '0.951035', '-0.0762455', '-0.298576', '1157.8', '7.36811', '2933.76', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076314', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0.959437', '0', '-0.281921', '1157.05', '7', '2935.01', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076316', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.959437', '0', '-0.281921', '1158.65', '7', '2933.59', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076318', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0.29074', '0', '0.956802', '1295.32', '7', '3125.11', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076320', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0.29074', '0', '0.956802', '1297.88', '7', '3123.35', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076322', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0.319309', '0', '0.947651', '1274.9', '7', '3139.48', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076324', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '-0.707107', '0', '0.707107', '1341.22', '7', '3391.46', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076326', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '-0.707107', '0', '0.707107', '1341.38', '7', '3368.59', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076328', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '1', '0', '0', '1400.19', '7', '3455.03', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076329', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0', '0', '1', '1400.24', '7', '3460.49', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076330', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.707103', '0', '0.70711', '1395.34', '7', '3457.77', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076331', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.707107', '0', '0.707107', '1404.63', '7', '3457.83', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076332', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0', '0', '1', '1400.08', '7', '3457.81', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076333', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0.707107', '0', '0.707107', '1369.32', '7', '3481.67', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076334', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '-0.707107', '0', '0.707107', '1363.85', '7', '3481.72', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076335', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '1', '0', '-1.84353e-06', '1366.57', '7', '3476.82', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076336', '0', 'object/tangible/furniture/all/shared_frn_bench_generic.iff', '0', '0', '0', '1', '1366.51', '7', '3486.11', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076337', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '-0.707107', '0', '0.707107', '1366.54', '7', '3481.56', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076338', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0', '0', '1', '1508.71', '7', '3395.3', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076340', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0', '0', '1', '1563.33', '7', '3396.89', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076342', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0', '0', '1', '1476.43', '7.48675', '3324.32', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076344', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0.770739', '0', '-0.637151', '-2869.77', '5', '1971.94', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076346', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0.777072', '0', '-0.629412', '-2874.93', '5', '1997.42', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076348', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0.994576', '0', '0.104015', '-2976.62', '5', '2429.82', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076350', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '-0.104015', '0', '0.994576', '-2977.77', '5', '2434.22', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076352', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0.585097', '0', '0.810963', '-3064.31', '5', '2100.35', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076354', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0.798621', '0', '-0.601835', '-3071.42', '5', '2093.3', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076356', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0.992713', '0', '0.120503', '-3011', '5', '2378.13', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076358', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0.993868', '0', '-0.11057', '-2709.87', '5', '2067.58', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076360', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0.867423', '0', '0.497571', '-2928.91', '5', '2137.89', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076362', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '-0.475032', '0', '0.879969', '-2905.85', '5', '2116.05', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076364', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '-0.475032', '0', '0.879969', '-2908.36', '5', '2112.52', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076366', '0', 'object/static/structure/tatooine/shared_skeleton_greater_krayt_head.iff', '-0.197811', '-0.420841', '0.0292348', '0.884821', '-2914.53', '4.62053', '2105.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076367', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '-0.124675', '0', '0.992198', '-2717.63', '5', '2225.9', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076369', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0.893464', '0', '-0.449134', '-2943.8', '5', '2536.84', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076371', '0', 'object/tangible/terminal/shared_terminal_mission_scout.iff', '0', '0.807558', '0', '0.589788', '-3152.61', '5', '2298.09', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076373', '0', 'object/tangible/terminal/shared_terminal_mission_artisan.iff', '0', '0.232843', '0', '0.972514', '-3147.97', '5', '2271.89', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076389', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '-0.124675', '0', '0.992198', '-3056.27', '5', '2254.5', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6076391', '0', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff', '0', '0.795602', '0', '-0.60582', '-3029.55', '5', '2164.56', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575447', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '0', '-0.144492', '0', '0.989506', '-5134.2', '85.4738', '-6529.98', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575450', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '-0.144492', '0', '0.989506', '-5134.18', '85.4738', '-6529.96', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575451', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '-0.628793', '0', '0.777573', '-5132.84', '85.4738', '-6530.15', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575452', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.949485', '0', '0.313811', '-5135.05', '85.4738', '-6528.88', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575453', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.732231', '0', '0.681056', '-5135.55', '85.4738', '-6529.98', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575454', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.966185', '0', '-0.25785', '-5133.7', '85.4738', '-6528.57', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575455', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_02.iff', '0', '0.95209', '0', '-0.305817', '-5134.25', '85.4738', '-6526.61', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575456', '0', 'object/static/item/shared_item_bottle_fat.iff', '0', '-0.144492', '0', '0.989506', '-5134.26', '86.2328', '-6526.63', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575457', '0', 'object/static/item/shared_item_jar_spice_white.iff', '0', '-0.144492', '0', '0.989506', '-5134.04', '85.79', '-6526.77', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575460', '0', 'object/static/item/shared_item_glass_empty.iff', '0', '-0.144492', '0', '0.989506', '-5134.4', '85.9798', '-6526.88', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575461', '0', 'object/static/item/shared_item_glass_empty.iff', '0', '-0.144492', '0', '0.989506', '-5134.37', '85.9798', '-6526.72', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575462', '0', 'object/static/item/shared_item_glass_empty.iff', '0', '-0.144492', '0', '0.989506', '-5134.5', '85.9798', '-6526.76', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575463', '0', 'object/static/item/shared_item_glass_empty.iff', '0', '-0.144492', '0', '0.989506', '-5134.28', '85.9798', '-6526.84', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575464', '0', 'object/static/item/shared_item_music_microphone_s2.iff', '0', '0', '0', '1', '3473.46', '5', '-4786.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575465', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0.333487', '0', '0.942755', '3498.14', '5', '-4780.42', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575466', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0.333487', '0', '0.942755', '3503.88', '5', '-4773.64', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575467', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0.744643', '0', '0.667463', '3514.08', '5', '-4798.28', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575468', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0.333487', '0', '0.942755', '3516.81', '5', '-4784.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575469', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0.902439', '0', '0.430817', '3509.52', '5', '-4779.19', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575471', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0.333487', '0', '0.942755', '3506.45', '5', '-4797.05', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575472', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '0.902439', '0', '0.430817', '3499.16', '5', '-4792.24', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575473', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0.333487', '0', '0.942755', '3493.52', '5', '-4786.69', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575474', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '-0.193767', '0', '0.981048', '3519.31', '5', '-4791.33', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575475', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '-0.443948', '0', '0.896052', '3521.96', '5', '-4798.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575477', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '0.342898', '0', '0.939373', '3494.23', '5', '-4796.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575480', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0', '0', '1', '3521.39', '5', '-4794.52', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575481', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '0.0649546', '0', '0.997888', '3507.48', '5', '-4804.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575482', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '0.61706', '0', '0.786916', '3527.55', '5', '-4791.69', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575483', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '0.548025', '0', '0.836462', '3528.66', '5', '-4824.04', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575487', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0.95209', '0', '0.305817', '3522.9', '5', '-4799.51', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575488', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '0.324043', '0', '0.946042', '3509.14', '5', '-4768.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575494', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0.15258', '-0.308816', '0.645219', '-0.681942', '3531.92', '5.0976', '-4831.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575495', '0', 'object/static/structure/general/shared_prp_junk_s7.iff', '0.348351', '0.432263', '0.808732', '-0.194299', '3540.4', '8.85177', '-4827.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575497', '0', 'object/static/structure/general/shared_r3_head.iff', '-0.29552', '0', '0', '0.955337', '3527.54', '4.33175', '-4829.02', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575498', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0', '0', '1', '3534.62', '5', '-4820.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575499', '0', 'object/static/installation/shared_mockup_mining_liquid_harvester_style_1.iff', '0', '0.946885', '0', '-0.321571', '3507.6', '5', '-4787.78', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575500', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '-0.486624', '0.550999', '0.523352', '0.430928', '3465.17', '5.16575', '-4806.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575501', '0', 'object/static/structure/general/shared_prp_junk_s1.iff', '0', '0.994924', '0', '-0.100626', '3534.23', '5', '-4815.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575502', '0', 'object/static/structure/general/shared_prp_junk_s2.iff', '-0.449832', '0.414273', '0.635756', '0.471001', '3535.37', '9.89714', '-4817.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575505', '0', 'object/static/structure/general/shared_prp_junk_s5.iff', '-0.707106', '0', '0', '0.707107', '3450.86', '6.04683', '-4796.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575508', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '-0.428756', '-0.410683', '0.49259', '-0.636288', '3425.3', '5.23047', '-4882.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575509', '0', 'object/static/creature/shared_tatooine_ronto.iff', '0', '0.9001', '0', '-0.435683', '3488.8', '5', '-4887.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575511', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff', '0', '0.589145', '0', '0.808027', '3540.12', '5', '-4836.59', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575700', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.99955', '0', '-0.029995', '3639.42', '5', '-4842.95', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575701', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.044985', '0', '0.998988', '3639.93', '5.88544', '-4843.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575702', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0', '0', '1', '3640.39', '5', '-4843.25', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575703', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.183947', '0', '0.982936', '3637.33', '5', '-4836.97', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575704', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.15438', '0', '0.988012', '3637.75', '5.88544', '-4837.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575705', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.213347', '0', '0.976976', '3638.02', '5', '-4838.85', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575706', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.849481', '0', '-0.527619', '3659.58', '5', '-4781.03', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575707', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.833272', '0', '-0.552863', '3660.48', '5.88544', '-4780.53', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575708', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.864924', '0', '-0.501902', '3661.39', '5', '-4780.18', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575709', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.539632', '0', '0.841901', '3661.18', '5', '-4781.48', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575710', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.564642', '0', '0.825336', '3660.26', '5.88544', '-4781.96', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575711', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.514136', '0', '0.857709', '3659.34', '5', '-4782.28', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575712', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.984726', '0', '0.174109', '3660.31', '5', '-4783.65', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575713', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.247404', '0', '0.968912', '3660.87', '5.88544', '-4783.66', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575714', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.203567', '0', '0.979061', '3661.32', '5', '-4783.54', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575715', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.509841', '0', '0.860269', '3668.23', '5', '-4802.43', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575716', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.07493', '0', '0.997189', '3667.65', '5', '-4803.35', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575717', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.685289', '0', '0.728271', '3666.77', '5', '-4803.27', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575718', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.686449', '0', '0.727178', '3667.24', '5.88544', '-4803.35', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575719', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.183948', '0', '0.982936', '3666.97', '5', '-4802.41', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575720', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.9871', '0', '0.160105', '3666.57', '5', '-4801.63', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575721', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.324042', '0', '0.946043', '3667.57', '5', '-4801.56', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575722', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.0749284', '0', '0.997189', '3667.55', '5', '-4800.91', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575724', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0', '0', '0.731146', '0.682221', '3663.07', '5.38701', '-4786.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575725', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0.122924', '0.339432', '0.696137', '0.620539', '3658.99', '5.38712', '-4802.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575726', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0.515274', '0.515907', '0.498983', '0.468347', '3656.92', '5.26884', '-4802.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575730', '0', 'object/static/structure/general/shared_lucky_despot_debris_sm_engine.iff', '-0.133863', '-0.126163', '0.715308', '-0.674165', '3593.77', '8.25798', '-4833.66', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575769', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff', '0', '0.904412', '0', '-0.42666', '3532.88', '5', '-4778.88', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575772', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0.433978', '0', '0.900923', '3468.73', '3.3029', '-4918.99', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575773', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0.0179297', '0.937499', '0.0298897', '-0.346239', '3471.18', '3.23046', '-4921.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575774', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.906534', '0', '0.422133', '3474.65', '5', '-4925.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575775', '0', 'object/static/vehicle/e3/shared_landspeeder.iff', '0', '0', '0', '1', '3474.5', '5', '-4917.6', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575777', '0', 'object/static/creature/shared_tatooine_ronto.iff', '0', '0.19867', '0', '0.980066', '3469.56', '5', '-4923.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575779', '0', 'object/static/structure/general/shared_lucky_despot_debris_md_engine.iff', '0.242715', '0.682141', '-0.570558', '0.387603', '3537.12', '3.83818', '-4876.3', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575783', '0', 'object/static/particle/shared_pt_smoke_small.iff', '0', '0', '0', '1', '3526.47', '7.32801', '-4869.88', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575786', '0', 'object/static/particle/shared_pt_steam_rise.iff', '0', '0', '0', '1', '3543.18', '5', '-4885.77', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575787', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.620987', '0', '0.783821', '3514.41', '5', '-4905.27', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575788', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.925212', '0', '0.379451', '3548.41', '5', '-4939.94', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575789', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.958016', '0', '-0.286716', '3549.01', '5', '-4939.29', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575790', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.342898', '0', '0.939373', '3548.66', '5.88544', '-4939.62', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575791', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.983701', '0', '-0.179812', '3515.34', '5', '-4906.13', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575792', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.203567', '0', '0.979061', '3502.86', '5.52467', '-4910.45', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575793', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.767544', '0', '-0.640996', '3502.08', '5.52467', '-4909.83', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575794', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.904413', '0', '-0.426659', '3501.65', '5.52467', '-4910.33', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575798', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.728817', '0', '0.684709', '3509.91', '5', '-4986.79', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575799', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.51978', '0', '0.8543', '3522.93', '5', '-4966.12', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575800', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.941345', '0', '0.337446', '3522.49', '5', '-4965.36', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575801', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.281158', '0', '0.959662', '3522.7', '5.88544', '-4965.79', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575802', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.282685', '0', '0.959213', '3523.29', '5', '-4965.02', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575803', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.95209', '0', '-0.305817', '3523.7', '5', '-4964.24', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575804', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.574171', '0', '0.818735', '3509.82', '5', '-4985.71', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575805', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.349083', '0', '0.937092', '3510.15', '5', '-4985.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575806', '0', 'object/static/particle/shared_pt_smoke_small.iff', '0', '0', '0', '1', '3451.78', '11.0452', '-4958.28', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575863', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.104807', '0', '0.994493', '3440.44', '5', '-4933.82', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575864', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.535415', '0', '0.844589', '3441.16', '5', '-4934.64', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575865', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.114747', '0', '0.993395', '3440.82', '5', '-4935.46', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575866', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.984865', '0', '-0.173324', '3441.04', '5.88544', '-4935.03', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575867', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.999958', '0', '0.00920455', '3437.36', '5', '-4953.25', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575868', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.0149993', '0', '0.999888', '3437.47', '5', '-4954.13', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575869', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.874789', '0', '-0.484503', '3436.51', '5', '-4953.85', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575870', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.968716', '0', '-0.248174', '3436.3', '5', '-4954.46', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575873', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.425939', '0', '0.904752', '3461.63', '4.59804', '-4997.42', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575874', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.425939', '0', '0.904752', '3455.95', '4.59804', '-4992.86', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575877', '0', 'object/static/structure/tatooine/shared_wall_damaged_tatooine_large_style_01.iff', '0', '-0.430458', '0', '0.902611', '3459.18', '2.31001', '-4995.62', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575880', '0', 'object/static/particle/shared_pt_smoke.iff', '0', '0', '0', '1', '3454.94', '5', '-5000.49', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575882', '0', 'object/static/structure/general/shared_skeleton_bith_headandbody.iff', '0', '0', '0', '1', '3455.49', '5', '-5000.77', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575883', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0.501213', '0', '0.865324', '3454.36', '5', '-5000.95', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575884', '0', 'object/static/structure/general/shared_skeleton_human_body.iff', '0', '0', '0', '1', '3454.99', '5', '-5000.61', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575885', '0', 'object/static/structure/general/shared_skeleton_ithorian_head.iff', '0', '0', '0', '1', '3455.4', '5', '-4999.77', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575886', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0', '0', '1', '3454.45', '5', '-5000.29', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575887', '0', 'object/static/structure/general/shared_skeleton_bith_head.iff', '-0.221023', '0.305921', '0.0732446', '0.923145', '3455.76', '5.03182', '-4999.83', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575888', '0', 'object/static/structure/general/shared_campfire_smoldering.iff', '0', '0', '0', '1', '3455.17', '5', '-5000.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575889', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0.328769', '0', '0.94441', '3451.62', '5.51102', '-5004.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575890', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0', '0', '1', '3454.58', '5', '-4999.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575891', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '-0.443948', '0', '0.896053', '3455.16', '5', '-5001.52', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575892', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.620987', '0', '0.783821', '3430.43', '5', '-5000.88', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575893', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.904412', '0', '-0.42666', '3431.48', '5', '-5000.58', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575894', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.434965', '0', '0.900447', '3419.83', '5', '-5014.7', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575895', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.924606', '0', '0.380925', '3419.48', '5.88544', '-5015.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575896', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.983701', '0', '-0.179812', '3419.19', '5', '-5015.09', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575897', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.203567', '0', '0.979061', '3419.07', '5', '-5015.71', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575898', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.767544', '0', '-0.640996', '3430.34', '5', '-5001.96', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575899', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.904413', '0', '-0.426659', '3429.92', '5', '-5002.46', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575900', '0', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff', '0', '0.761095', '0', '0.64864', '3410.1', '5', '-5000.06', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575902', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '-0.314566', '0', '0.949235', '3455.68', '5', '-4997.98', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575903', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '-0.169195', '-0.0779003', '-0.145428', '0.971676', '3454.99', '5.01158', '-4997.95', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575906', '0', 'object/static/particle/shared_pt_steam_rise.iff', '0', '0', '0', '1', '3423.94', '10.4611', '-5014.9', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575907', '0', 'object/static/particle/shared_pt_steam_rise.iff', '0', '0', '0', '1', '3431.54', '10.4525', '-5004.88', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575908', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '-0.439462', '0', '0.898261', '3425.43', '5', '-5039.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575909', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0.900793', '0', '0.434248', '3423.97', '5', '-5038.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575910', '0', 'object/static/vehicle/e3/shared_landspeeder.iff', '0', '-0.252246', '0', '0.967663', '3361.58', '6.32744', '-4966.45', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575911', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0.885046', '0', '0.465503', '3257.31', '5', '-4602.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575912', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '-0.470625', '0', '0.882333', '3258.82', '5', '-4603.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575913', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.620987', '0', '0.783821', '3270.73', '5', '-4625.42', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575914', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.904412', '0', '-0.42666', '3271.78', '5', '-4625.12', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575915', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.434965', '0', '0.900447', '3272.37', '5', '-4625.77', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575916', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.924606', '0', '0.380925', '3272.08', '5.88544', '-4625.39', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575917', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.983701', '0', '-0.179812', '3271.65', '5', '-4626.27', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575918', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.203567', '0', '0.979061', '3271.43', '5', '-4627.12', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575919', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.767544', '0', '-0.640996', '3270.64', '5', '-4626.51', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575920', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.904413', '0', '-0.426659', '3270.22', '5', '-4627', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575921', '0', 'object/static/particle/shared_pt_steam_rise.iff', '0', '0', '0', '1', '3253.08', '11.0176', '-4636.36', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575922', '0', 'object/static/particle/shared_pt_steam_rise.iff', '0', '0', '0', '1', '3260.25', '11.0176', '-4626.19', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '6575923', '0', 'object/static/structure/general/shared_droid_21bmedical_powerdown.iff', '-0.0818283', '0.882394', '0.153757', '0.437085', '3254.25', '4.97504', '-4639.54', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '6595463', '0', 'object/building/tatooine/shared_shuttleport_tatooine.iff', '0', '0.0549775', '0', '0.998488', '-1078.6', '12', '-3565.73', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '6945356', '0', 'object/static/structure/general/shared_prp_junk_s4.iff', '0', '0.380188', '0', '0.924909', '-3960.01', '60.4111', '6225.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '6945358', '0', 'object/static/structure/general/shared_prp_junk_s2.iff', '0.472895', '0.827327', '0.182789', '-0.241845', '-3964.32', '60.8077', '6225.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '6945360', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.923303', '0', '0.384073', '-3957.6', '60', '6232.02', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '7015630', '0', 'object/static/structure/general/shared_banner_rebel_style_01.iff', '0.645369', '-0.269988', '0.271109', '0.66114', '-777', '5.77843', '-4442', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '7015633', '0', 'object/static/structure/tatooine/shared_debris_tatt_radar_dish.iff', '-0.0407128', '-0.0710081', '0.210093', '0.974249', '-817.663', '7.67456', '-4459.75', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '7125559', '0', 'object/building/general/shared_tatooine_squill_cave.iff', '0', '0.300293', '0', '0.953847', '38.6493', '155.936', '-113.431', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '7125560', '7125559', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '7125561', '7125559', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '7125562', '7125559', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '7125563', '7125559', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '7125564', '7125559', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '7125565', '7125559', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '7125566', '7125559', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '7125567', '7125559', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '7125568', '7125559', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '7125569', '7125559', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '7125570', '7125559', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '7125571', '7125559', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '7125572', '7125559', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '7125573', '7125559', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '7125574', '7125559', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '7125575', '7125559', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '7125576', '7125559', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '7125577', '7125559', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '7125578', '7125559', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '7125579', '7125559', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '7125580', '7125559', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '7125581', '7125559', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '7125582', '7125559', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '7125583', '7125559', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '7125584', '7125559', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '7125585', '7125559', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '7125586', '7125559', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '7125587', '7125559', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '7125588', '7125559', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '4006637', '7125588', 'object/tangible/furniture/modern/shared_searchable_squill_lair_01.iff', '-0.0878503', '0.472658', '0.047424', '0.875573', '-58.7151', '-65.7434', '-234.905', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '7875851', '7125588', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0', '0', '1', '-59.5442', '-66.3668', '-237.111', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '7875853', '7125588', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0.703279', '0.710914', '-58.0926', '-66.0296', '-237.764', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '7265850', '0', 'object/building/tatooine/shared_salon_tatooine.iff', '0', '0.931348', '0', '-0.364131', '-1441.8', '12.2702', '-3699.57', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '7265851', '7265850', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '7325354', '0', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-2734.36', '5', '2071.56', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '7325355', '0', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-2780.13', '5', '1993.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '7325356', '0', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '-2923.78', '5', '2578.96', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '7355383', '0', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '3467.91', '5', '-4529.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '7355384', '0', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '3480.53', '5', '-4571.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '7355388', '0', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '3355.48', '5', '-4498.89', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '7355389', '0', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '3405.73', '5', '-4509.35', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '7355390', '0', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '3348.46', '5', '-4577.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '7355392', '0', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '3318.74', '5', '-4508.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '7355393', '0', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '3277.85', '5', '-4529.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '7355394', '0', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '3266.63', '5', '-4559.29', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '7355398', '0', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '3294.17', '5', '-4627.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '7355399', '0', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '3418.49', '5', '-4648.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '7355400', '0', 'object/soundobject/shared_soundobject_city_crowd_medium.iff', '0', '0', '0', '1', '3437.2', '5', '-4771.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '7355403', '0', 'object/soundobject/shared_soundobject_city_crowd_sentients_large.iff', '0', '0', '0', '1', '3515.99', '5', '-4805.27', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '7355407', '0', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '3485.98', '5', '-4726.56', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '7355414', '0', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '3305.41', '5', '-4674.58', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '7355415', '0', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '3235.94', '5', '-4685.49', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '7355418', '0', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '3226.36', '5', '-4751.44', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '7355419', '0', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '3296.69', '5', '-4793.21', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '7355422', '0', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '3343.19', '5', '-4787.41', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '7355423', '0', 'object/soundobject/shared_soundobject_city_crowd_small.iff', '0', '0', '0', '1', '3374.14', '5', '-4821.54', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '7495394', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0.992809', '0', '0.119712', '-3115.05', '5', '2158.08', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '7495399', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.830497', '0', '0.557023', '-2936.34', '5', '2312.73', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '7495526', '0', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '0', '0', '1', '67.4249', '52', '-5351', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '7495563', '0', 'object/static/structure/tatooine/shared_wall_damaged_tatooine_large_style_01.iff', '0', '0.934407', '0', '0.356205', '-2976.51', '1.87706', '2534.64', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '7495564', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0.932616', '0', '0.360871', '-2979.04', '4.02226', '2537.18', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '7495565', '0', 'object/static/creature/shared_tatooine_cu_pa.iff', '0', '0.430458', '0', '0.902611', '-2977.01', '5', '2532.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '7495566', '0', 'object/static/creature/shared_tatooine_bantha_saddle.iff', '0', '-0.636537', '0', '0.771246', '-2987.83', '5', '2526.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '7495600', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_fruit_stand_small_style_01.iff', '0', '0.789504', '0', '0.613746', '-2944.7', '5', '2006.07', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '7495601', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_meat_rack.iff', '0', '0.670586', '0', '0.741831', '-2946.33', '5', '2002.07', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '7495602', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.939099', '0', '0.343646', '-2945.24', '5', '2003.83', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '7495603', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0.0555953', '0.869011', '-0.100379', '0.481304', '-2946', '5.51647', '2002.65', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7495607', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '-0.13459', '0', '0.990901', '-2908.95', '5', '1927.34', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '7615553', '0', 'object/static/item/shared_item_chair_tato_cafe_s01.iff', '0.396806', '0.585274', '0.585274', '-0.396806', '-773.599', '5.30515', '-4511.24', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '7615555', '0', 'object/static/structure/general/shared_prp_junk_s4.iff', '0', '0.382683', '0', '0.92388', '-814.771', '7.70076', '-4457.59', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '7615556', '0', 'object/static/structure/general/shared_prp_junk_s1.iff', '0', '0.382683', '0', '0.92388', '-789.727', '6.15644', '-4417.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '7615557', '0', 'object/static/structure/general/shared_prp_junk_s2.iff', '0', '0.92388', '0', '-0.382683', '-788.714', '9.35041', '-4419.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '7615558', '0', 'object/static/structure/general/shared_prp_junk_s2.iff', '0', '0.92388', '0', '0.382683', '-812.869', '9.32895', '-4454.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '7615559', '0', 'object/static/structure/military/shared_bunker_crate_style_01.iff', '-0.0933136', '0.152655', '-0.0159974', '0.983734', '-790.832', '4.04804', '-4434.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '7615560', '0', 'object/static/structure/military/shared_bunker_crate_style_01.iff', '-0.166009', '0.833011', '0.0816824', '0.521404', '-813.522', '5.94039', '-4475.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '7615561', '0', 'object/static/particle/shared_particle_smoke.iff', '0', '0', '0', '1', '-788.813', '6.15644', '-4419.72', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7615562', '0', 'object/static/installation/shared_mockup_power_generator_fusion_style_1.iff', '-0.0298433', '-0.346729', '-0.00579044', '0.937473', '-816.15', '6.63098', '-4487.65', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7615563', '0', 'object/static/particle/shared_pt_smoke_small.iff', '0', '0', '0', '1', '-816.564', '9.18291', '-4487.53', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7615564', '0', 'object/static/particle/shared_pt_poi_electricity_2x2.iff', '0.292893', '0.373664', '0.658715', '0.58368', '-816.503', '9.18107', '-4487.53', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7615565', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0.789504', '0', '0.613746', '-780.745', '5.91247', '-4442.7', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7615566', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0.731146', '0', '0.682221', '-782.567', '5.93915', '-4443.68', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7615567', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0.731146', '0', '0.682221', '-781.773', '5.91732', '-4445.42', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7615568', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0.731146', '0', '0.682221', '-782.365', '5.91399', '-4446.96', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7615569', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0.850897', '-1.81238e-08', '-0.525333', '-2.78731e-08', '-789.918', '6.8977', '-4425.01', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7615570', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0.524422', '-0.0016254', '0.850646', '0.037163', '-810.151', '8.40239', '-4465.13', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7615571', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0.822456', '0', '0.568829', '-784.232', '6.72638', '-4476.95', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7615572', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0.689082', '0', '0.724684', '-790.56', '7.15716', '-4475.69', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7615573', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0.982936', '0', '0.183947', '-737.973', '4.92279', '-4482.7', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7615574', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0.930508', '0', '0.366273', '-740.967', '4.73422', '-4484.44', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7615575', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0.991562', '0', '0.129634', '-736.42', '5.02283', '-4482.57', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7615576', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0.0515419', '0.728422', '0.182865', '0.65826', '-769.169', '4.66644', '-4501.52', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7615577', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0.0250542', '0.872555', '0.0697533', '0.48286', '-767.014', '4.19566', '-4499.29', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7615578', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0.722242', '-0.0310789', '0.690176', '0.0325229', '-771.089', '4.14222', '-4499.39', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7615579', '0', 'object/static/structure/general/shared_skeleton_human_body.iff', '0', '0.914795', '0', '0.403919', '-774.413', '5.22653', '-4488.53', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7615580', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0', '0.37092', '0.928665', '-776.527', '5.56226', '-4486.72', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7615581', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0', '0', '1', '-773.991', '6.19936', '-4513.04', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7615582', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '-0.179086', '0.967237', '0.143783', '0.108198', '-752.302', '3.49313', '-4481.73', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7615583', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0.253085', '0.693887', '0.194747', '0.645401', '-764.582', '4.9792', '-4505.01', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7615584', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0.985585', '0', '-0.169182', '-769.829', '6.00775', '-4409.68', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7615585', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0.992809', '0', '-0.119712', '-773.654', '6.18787', '-4408.35', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7615586', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0.967663', '0', '-0.252245', '-771.643', '6.20311', '-4408.99', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7615587', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0.987227', '0', '-0.159318', '-775.579', '6.18813', '-4407.82', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7615588', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0.978031', '0', '-0.20846', '-777.375', '6.22322', '-4407.1', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7615589', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0.992198', '0', '-0.124675', '-781.276', '6.32859', '-4405.78', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7615590', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0.995491', '0', '-0.0948572', '-779.371', '6.27677', '-4406.46', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7615593', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0', '0', '1', '-739.005', '5.54604', '-4438.41', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7615594', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '-0.149438', '0', '0.988771', '-739.142', '5.48358', '-4439.93', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7615597', '0', 'object/static/particle/shared_pt_buzzing_insects_large.iff', '0', '0', '0', '1', '-778.571', '5.67093', '-4406.98', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7615598', '0', 'object/static/particle/shared_pt_buzzing_insects_large.iff', '0', '0.992297', '0', '-0.123885', '-776.115', '5.72452', '-4408.15', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7635379', '0', 'object/static/structure/dantooine/shared_dant_skull_bol.iff', '0', '0.674288', '0', '0.738469', '-2978.13', '5', '2456', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '7635380', '0', 'object/static/structure/dantooine/shared_dant_skull_lizard.iff', '0.159625', '0.784524', '-0.225593', '0.555113', '-2978.5', '7.15035', '2460', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '7635384', '0', 'object/static/structure/dantooine/shared_dant_skull_lizard.iff', '0.159625', '0.784524', '-0.225593', '0.555113', '-2979.3', '7.15035', '2457.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '7635391', '0', 'object/static/creature/shared_tatooine_bantha_saddle.iff', '0', '-0.227977', '0', '0.973666', '1787.58', '7', '3022.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '7655352', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '-0.0360265', '0.71993', '0.0346411', '-0.692245', '-5721.23', '22.7245', '6478.73', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '7655355', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '0', '0', '1', '-5720.22', '20.0663', '6482.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '7655356', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '0.707105', '0', '0.707108', '-5724.54', '19.5621', '6477.85', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785354', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0.110024', '0.123608', '-0.20123', '0.965465', '-5728.44', '21.2224', '6478.21', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785356', '0', 'object/static/structure/general/shared_skeleton_human_body.iff', '0', '0', '0', '1', '-5722.71', '23.263', '6480.75', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785357', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0.434966', '0', '0.900447', '-5724.22', '22.999', '6480.95', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785372', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0.670825', '-0.18011', '0.151298', '0.703323', '-4824.32', '28.3659', '6530.58', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785373', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '-0.266154', '0.0175373', '0.963674', '-0.0136885', '-4824.32', '28.7177', '6530.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785376', '0', 'object/static/structure/general/shared_streetlamp_large_blue_style_01.iff', '0', '0', '0', '1', '-4659.01', '33.7707', '6356.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785397', '0', 'object/static/structure/general/shared_skeleton_ithorian_headandbody.iff', '0', '0', '0', '1', '-4824.94', '26.6315', '6530.81', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785398', '0', 'object/static/structure/general/shared_skeleton_bith_head.iff', '0', '0', '0', '1', '-4824.1', '26.4877', '6530.74', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785410', '0', 'object/static/structure/general/shared_tato_cave_stalactite_med.iff', '0.944148', '-0.000722434', '0.329521', '-0.000335025', '-5235.18', '54.7219', '5234.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785411', '0', 'object/static/structure/general/shared_tato_cave_stalactite_med.iff', '0.68847', '0.236318', '-0.682607', '0.0648775', '-5230.85', '53.6713', '5236.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785419', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0', '0', '0', '1', '-5232.65', '49.3087', '5235.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785427', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '0', '0', '0', '1', '-5231.89', '50.3031', '5237.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785428', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0', '0.819192', '0', '-0.57352', '-5234.28', '47.5664', '5237.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785429', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '0', '0', '0.159318', '0.987227', '-5233.29', '49.7933', '5238.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785431', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0.40319', '0', '0.915116', '-5235.76', '51.9609', '5236.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785436', '0', 'object/static/structure/general/shared_skeleton_ancient_s01.iff', '0.441762', '0.00736568', '0.885307', '-0.144994', '-5813.07', '54.1086', '5403.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785442', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0.538127', '0.515573', '0.357195', '0.563041', '-5803.15', '54.9665', '5404.51', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785451', '0', 'object/static/structure/general/shared_distant_ship_controller2.iff', '0', '0', '0', '1', '-6199.47', '31.6903', '5894.33', '1024', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785458', '0', 'object/static/structure/general/shared_campfire_ash.iff', '0', '0', '0', '1', '-6176.23', '31.38', '5888.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785460', '0', 'object/static/structure/general/shared_escape_pod.iff', '-0.137136', '-0.495509', '0.228778', '0.826635', '-6171.19', '30.8992', '5886.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785461', '0', 'object/tangible/gravestone/shared_gravestone03.iff', '0', '-0.49688', '0', '0.867819', '-6174.6', '31.0787', '5884.61', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785462', '0', 'object/tangible/gravestone/shared_gravestone01.iff', '0', '-0.632673', '0', '0.774419', '-6174.71', '30.8098', '5883.49', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785472', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '-0.302475', '0.825324', '-0.22126', '0.422367', '-5796.82', '55.2478', '5414.37', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785500', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '-0.223104', '0.00111553', '-0.00487396', '0.974782', '-4698.5', '30.4145', '5455.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785508', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '-0.00602632', '0.763889', '-0.0990007', '-0.63768', '-4691.67', '31.4794', '5454.89', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785514', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0.188859', '0.982004', '-4691.41', '30.9221', '5454.94', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785516', '0', 'object/static/structure/general/shared_droid_r4_powerdown.iff', '0.486969', '0.834998', '0.236165', '-0.0993289', '-4694.47', '31.1586', '5455.55', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785552', '0', 'object/static/structure/general/shared_prp_junk_s7.iff', '0.946637', '-0.211708', '0.100561', '0.221238', '-4462.33', '34.1181', '5779.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785560', '0', 'object/static/structure/general/shared_debris_deathstar_storage.iff', '0', '-0.389418', '0', '0.921061', '-4462.2', '26.6538', '5784.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785562', '0', 'object/static/structure/general/shared_campfire_ash.iff', '0', '0', '0', '1', '-4467.45', '33.1649', '5782.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785564', '0', 'object/static/structure/tatooine/shared_debris_tatt_radar_dish.iff', '-0.0736338', '-0.0624788', '0.452767', '0.886384', '-4468.07', '32.0191', '5779.18', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785566', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '-4463.8', '32.9323', '5781.13', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785567', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.717356', '0', '-0.696707', '-4464.5', '32.942', '5781.13', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785569', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0', '0', '0', '1', '-4461.16', '32.683', '5786.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785605', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_head_style_01.iff', '0', '0', '0.461779', '0.886995', '-6212.13', '34.6008', '5056.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785607', '0', 'object/static/structure/tatooine/shared_skeleton_greater_krayt_spine_small.iff', '-0.17377', '-0.604305', '0.214887', '0.747291', '-6209.28', '34.9667', '5055.55', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785611', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_arm_style_01.iff', '0.0790983', '0.243043', '-0.440846', '0.860424', '-6211.32', '35.5779', '5058.86', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785612', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_arm_style_02.iff', '-0.0948572', '0', '0', '0.995491', '-6211.73', '34.6031', '5054.96', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785613', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_foot.iff', '0.0999071', '0.186779', '-0.00909943', '0.977266', '-6202.46', '34.3502', '5059.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785617', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_tail.iff', '-0.0424496', '-0.529487', '0.0677081', '0.844545', '-6200.02', '34.9326', '5052.29', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785689', '0', 'object/static/item/shared_item_axe.iff', '0', '0', '0.139543', '0.990216', '1305.78', '7.25298', '3082.81', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785690', '0', 'object/static/item/shared_item_katana.iff', '0.288587', '0.288587', '0.645536', '0.645537', '1311.01', '7.9', '3081.99', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785691', '0', 'object/static/item/shared_wp_mle_sword_s01.iff', '-0.258994', '-0.258994', '0.657968', '0.657968', '1309.7', '7.9', '3082.57', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785697', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0.138621', '0.0160121', '-0.123455', '0.98249', '5462.63', '25.5', '2154.2', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785698', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0', '0', '1', '5457.4', '25.5', '2154.21', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785699', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0', '0', '1', '5462.62', '25.5', '2121.41', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785700', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0', '0', '1', '5457.39', '25.5', '2121.41', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785701', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0', '0', '1', '5478.77', '25.5', '2139.17', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785704', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0', '0', '1', '5440.01', '25.5', '2139.24', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785705', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '-0.281157', '0', '0.959662', '5475.42', '25.0149', '2147.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785706', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '-0.198669', '0', '0.980067', '5448.68', '26.8458', '2152.76', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785707', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0.947905', '0', '0.318554', '5442.09', '27.2082', '2145.79', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785709', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0.370921', '0', '0.928665', '5476.47', '25.5', '2129.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785710', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '-0.261909', '0', '0.965092', '5469.16', '26.5728', '2123.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785712', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.514453', '0', '0.857518', '5469.35', '25.5', '2152.58', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785713', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.95521', '0', '-0.295927', '5449.23', '25.5', '2123.14', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785714', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '-0.000561508', '2.17662e-05', '-0.0387348', '0.999249', '5458.03', '26.6645', '2142.59', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7785715', '0', 'object/static/structure/general/shared_skeleton_bith_head.iff', '-0.268181', '0.0844297', '-0.28818', '0.91537', '5475.48', '26.1358', '2138.32', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7875534', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '-0.0438327', '0.951422', '-0.111834', '-0.283492', '3537.04', '5.47954', '-4692.74', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7875536', '0', 'object/tangible/camp/shared_camp_spit.iff', '0', '-0.699716', '0', '0.714421', '-5051.63', '75', '-6628.1', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '7875537', '0', 'object/tangible/camp/shared_camp_spit.iff', '0', '-0.589145', '0', '0.808028', '-5051.67', '75', '-6628.43', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '7875539', '0', 'object/static/item/shared_item_crate_spice.iff', '0', '0.862404', '0', '0.50622', '-5047.77', '75', '-6605', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '7875540', '0', 'object/static/item/shared_item_crate_spice.iff', '0', '0.862404', '0', '0.50622', '-5047.12', '75', '-6605.76', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '7875541', '0', 'object/static/item/shared_item_crate_spice.iff', '0', '0.916803', '0', '0.399339', '-5046.24', '75', '-6606.25', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '7875542', '0', 'object/static/item/shared_item_shisha.iff', '0', '0', '0', '1', '-5043.65', '75.6009', '-6601.7', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '7875548', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '-0.183947', '0', '0.982936', '-5269.08', '75', '-6569.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '7875549', '0', 'object/static/structure/dantooine/shared_dant_cooking_stone.iff', '0', '0.29074', '0', '0.956802', '-5270.58', '74.6833', '-6569.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '7875553', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '-0.380188', '0', '0.924909', '3403.22', '5', '-4880.52', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7875554', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.501213', '0', '0.865324', '3404.38', '5', '-4880.28', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '7875555', '0', 'object/static/item/shared_item_crate_spice.iff', '0', '0', '0', '1', '3405.38', '5', '-4881.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '7875556', '0', 'object/static/item/shared_item_crate_spice.iff', '0', '0.857299', '0', '-0.514819', '3404.61', '5', '-4881.76', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '7875583', '0', 'object/static/item/shared_item_music_drum.iff', '0', '-0.522687', '0', '0.852525', '-3988.9', '66.2633', '6257.01', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '7875584', '0', 'object/static/item/shared_item_music_gong_stick.iff', '0.493239', '0.215911', '0.278103', '0.79546', '-3988.01', '66.3217', '6256.32', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '7875590', '0', 'object/static/item/shared_wp_mle_lance_staff_wood_s01.iff', '0', '0', '0', '1', '-3984.75', '60.6957', '6296.96', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '7875591', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0', '0', '1', '-3984.75', '61.7393', '6296.96', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7875592', '0', 'object/static/item/shared_wp_mle_lance_staff_wood_s01.iff', '0', '0', '0', '1', '-3992.68', '60.6325', '6277.3', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '7875593', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0', '0', '1', '-3992.68', '61.6444', '6277.3', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7875594', '0', 'object/static/item/shared_wp_mle_lance_staff_wood_s01.iff', '0', '0', '0', '1', '-3996.15', '60.472', '6277.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '7875595', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0', '0', '1', '-3996.15', '61.4839', '6277.1', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7875596', '0', 'object/static/item/shared_wp_mle_lance_staff_wood_s01.iff', '0', '0.824886', '0', '-0.5653', '-3973.39', '60.4427', '6284.55', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '7875597', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.824886', '0', '-0.5653', '-3973.39', '61.4547', '6284.55', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7875598', '0', 'object/static/item/shared_wp_mle_lance_staff_wood_s01.iff', '0', '0.601198', '0', '0.7991', '-3989.46', '60.5376', '6284.97', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '7875599', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.601198', '0', '0.7991', '-3989.46', '61.5179', '6284.97', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7875600', '0', 'object/static/item/shared_wp_mle_lance_staff_wood_s01.iff', '0', '0', '0', '1', '-3977.13', '60.7977', '6269.38', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '7875601', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0', '0', '1', '-3977.13', '61.8114', '6269.38', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7875602', '0', 'object/static/item/shared_wp_mle_lance_staff_wood_s01.iff', '0', '0', '0', '1', '-3977.01', '60.7977', '6255.87', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '7875603', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0', '0', '1', '-3977.01', '61.8114', '6255.87', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7875604', '0', 'object/static/item/shared_wp_mle_lance_staff_wood_s01.iff', '0', '0', '0', '1', '-3983.81', '60.7977', '6256.4', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '7875605', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0', '0', '1', '-3983.81', '61.8114', '6256.4', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7875606', '0', 'object/static/item/shared_wp_mle_lance_staff_wood_s01.iff', '0', '0', '0', '1', '-3983.88', '60.7977', '6269.28', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '7875607', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0', '0', '1', '-3983.88', '61.8114', '6269.28', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7875608', '0', 'object/static/item/shared_wp_mle_lance_staff_wood_s01.iff', '0', '0', '0', '1', '-3990.26', '60.6008', '6247.74', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '7875609', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0', '0', '1', '-3990.26', '61.6444', '6247.74', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7875610', '0', 'object/static/item/shared_wp_mle_lance_staff_wood_s01.iff', '0', '0', '0', '1', '-3993.11', '60.6008', '6247.76', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '7875611', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0', '0', '1', '-3993.11', '61.6444', '6247.76', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7875612', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0', '0', '1', '-3996.58', '60', '6287.55', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7875613', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0.854714', '0', '0.519099', '-3995.78', '60', '6307.71', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7875614', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '0', '0.914795', '0', '-0.403919', '-3961.39', '60', '6307.59', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7875671', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '-0.0188305', '0.48946', '-0.0126099', '0.871731', '-3971.76', '21.9672', '6166.94', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7885359', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0.749928', '-0.0395752', '-0.0450498', '-0.658796', '-6115.25', '193.3', '3967.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '7885360', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '-0.42635', '-0.401352', '-0.21926', '0.780428', '-6115.09', '190.799', '3967.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '7885362', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.896653', '0.309657', '-0.0489366', '0.312619', '-6114.95', '192.074', '3967.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '7885363', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0.356945', '-0.00178474', '0.0046706', '0.934112', '-6114.62', '189.112', '3962.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '7885364', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '-0.0560658', '-0.340866', '0.422419', '0.837991', '-6110.54', '189.646', '3969.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '7885368', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0.00775559', '-0.6524', '-0.108189', '0.750073', '-6114.99', '193.925', '3966.92', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7885369', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '-0.0398861', '0.847532', '0.100867', '-0.519543', '-6115.09', '193.782', '3966.89', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7885370', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '-0.0132446', '-0.0866145', '0.00998612', '0.996104', '-6114.94', '193.774', '3966.94', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7885371', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '-0.0628848', '-0.0257125', '-0.0883771', '0.993767', '-6115.07', '193.807', '3967.11', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '7885372', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '-0.101787', '0.102715', '-0.113581', '0.982949', '-6115.39', '192.28', '3967.34', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '7885383', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_head_style_02.iff', '0.224662', '0.618505', '-0.162041', '0.735337', '-6740.34', '177.991', '3568.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '7885385', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_leg_style_02.iff', '0.655121', '-0.541081', '-0.516818', '-0.104631', '-6742.41', '178.511', '3575.2', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '7885386', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_foot.iff', '0.273867', '0.642191', '-0.194895', '0.688915', '-6738.9', '173.583', '3576.96', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '7885387', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_ribcage.iff', '-0.0404323', '0.767862', '0.140152', '-0.623788', '-6745.43', '179.311', '3568.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '7885391', '0', 'object/static/structure/general/shared_flag_corellia_s01.iff', '0', '0', '0', '1', '-5833.45', '257.728', '3424.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '7885392', '0', 'object/static/structure/general/shared_flag_corellia_s01.iff', '0', '0', '0', '1', '-5831.24', '258.224', '3424.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '7885402', '0', 'object/static/structure/tatooine/shared_wall_gate_tatooine_style_02.iff', '0', '0', '0', '1', '-4874.76', '93.2562', '2946.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '7885404', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '1', '0', '-4.10541e-07', '-4884.63', '93.3776', '2950.18', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '7885409', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '0', '0', '1', '-4880.22', '93.2594', '2942.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '7885410', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0', '0', '1', '-4874.54', '92.9707', '2942.69', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '7885411', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '1', '0', '5.30747e-08', '-4884.84', '93.0103', '2941.59', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '7885413', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '-0.707106', '0', '0.707107', '-4875.52', '94.2199', '2951', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '7885414', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '-2.34173e-09', '0.999442', '-0.0334005', '3.20069e-08', '-4875.43', '93.4692', '2953.49', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '7885415', '0', 'object/static/structure/tatooine/shared_planter_window_style_01.iff', '0', '0', '0', '1', '-4879.58', '92.2142', '2941.73', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '7895353', '0', 'object/static/terrain/tatooine/shared_rock_spire_skinny_tatooine_style_2.iff', '-0.206715', '0.953142', '-0.0342176', '0.218215', '-6428.26', '221.076', '2628.71', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '7895354', '0', 'object/static/terrain/tatooine/shared_rock_spire_smooth_tatooine_style_1.iff', '0', '0', '0', '1', '-6457.15', '224.936', '2613.46', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '7895357', '0', 'object/static/structure/general/shared_all_banner_generic_s02.iff', '0', '0.0499793', '0', '0.99875', '-6461.99', '280.007', '2612.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095643', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '0', '0.721107', '0', '-0.692824', '1249.26', '4', '3246.26', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095645', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.352274', '0', '0.935897', '1251.12', '4', '3245.54', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095648', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.0998334', '0', '0.995004', '1250.75', '4.87254', '3245.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095649', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.0998334', '0', '0.995004', '1249.44', '4', '3244.69', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095650', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '1251.97', '4', '3248.02', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095651', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '-0.149438', '0', '0.988771', '1245.87', '4', '3244.68', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095656', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '0', '0', '1', '1247.24', '4', '3244.96', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095659', '0', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_04.iff', '0', '0.324043', '0', '0.946042', '-5055.25', '74.9684', '-6632.96', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095663', '0', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff', '0', '-0.437394', '0', '0.89927', '-5055.97', '75', '-6632.4', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095665', '0', 'object/tangible/furniture/all/shared_frn_all_lamp_candlestick_free_s02.iff', '0', '0', '0', '1', '-5056.84', '75', '-6633.04', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095666', '0', 'object/tangible/furniture/all/shared_frn_all_lamp_candlestick_free_s02.iff', '0', '0', '0', '1', '-5055.54', '75', '-6631.41', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095669', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '0', '0.688924', '0', '0.724834', '1210.91', '4', '3274.18', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095670', '0', 'object/tangible/furniture/all/shared_frn_all_decorative_sm_s3.iff', '0', '-0.435683', '0', '0.9001', '-5056.05', '75.3795', '-6632.34', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095673', '0', 'object/tangible/furniture/all/shared_frn_all_lamp_candlestick_tbl_s02.iff', '0', '0', '0', '1', '-5056.34', '75.4111', '-6632.58', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095674', '0', 'object/tangible/furniture/all/shared_frn_all_lamp_candlestick_tbl_s02.iff', '0', '0.677971', '0', '0.735088', '-5055.89', '75.4111', '-6632.01', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095675', '0', 'object/static/installation/shared_mockup_power_generator_wind_style_1.iff', '0', '0', '0', '1', '1193.58', '4', '3279.19', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095677', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.443948', '0', '0.896053', '1212.57', '4', '3275.61', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095679', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.795602', '0', '-0.60582', '1213.04', '4.87254', '3275.41', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095681', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '0.999942', '0', '-0.0107962', '1210.33', '4', '3275.62', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095682', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.990327', '0', '0.138754', '1209.09', '4', '3275.35', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095684', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.9001', '0', '0.435682', '-5056.85', '75.6009', '-6633.03', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095685', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.9001', '0', '0.435682', '-5055.56', '75.6009', '-6631.39', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095689', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_large.iff', '0', '0', '0', '1', '1243.83', '7', '3355.57', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095690', '0', 'object/static/structure/general/shared_campfire_fresh.iff', '0', '0', '0', '1', '1236.67', '7.09487', '3353.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095691', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '0', '0', '1', '1242.15', '7', '3358.36', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095692', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.783327', '0', '-0.62161', '1241.92', '7', '3359.5', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095693', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.844162', '0', '-0.536088', '1243.64', '7', '3357.72', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095694', '0', 'object/static/item/shared_item_container_organic_hide.iff', '0', '0', '0', '1', '1248.28', '7', '3359.65', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095695', '0', 'object/static/item/shared_item_container_organic_hide.iff', '0', '-0.319309', '0', '0.947651', '1248.29', '7', '3358.76', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095696', '0', 'object/static/item/shared_item_container_organic_hide.iff', '0', '-0.144492', '0', '0.989506', '1247.32', '7', '3359.55', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095697', '0', 'object/static/item/shared_item_container_organic_structure.iff', '0', '0', '0', '1', '1248.05', '7', '3355.56', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095698', '0', 'object/static/item/shared_item_container_organic_structure.iff', '0', '0', '0', '1', '1248.18', '7', '3354.64', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095699', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '-0.681639', '0', '0.731689', '1247.99', '7', '3352.59', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095700', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '-0.68164', '0', '0.731688', '1247.8', '7', '3352.14', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095701', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.872356', '0', '-0.488871', '1248.18', '7', '3351.7', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095703', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_arm_style_02.iff', '0', '0.49688', '0', '0.867819', '1242.43', '7', '3353.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095704', '0', 'object/static/structure/dantooine/shared_dant_fire_pit.iff', '0', '-0.628793', '0', '0.777573', '1236.69', '7', '3353.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095706', '0', 'object/static/structure/general/shared_droid_lemedical_powerdown.iff', '0', '0.461779', '0', '0.886995', '1369.21', '11', '3161.83', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095707', '0', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '0.129634', '0', '0.991562', '1370.35', '11', '3161.4', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095709', '0', 'object/static/structure/general/shared_droid_21bmedical_powerdown.iff', '-0.164244', '0.00024997', '-0.00999671', '0.986369', '1331.83', '6.9939', '3316.89', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095710', '0', 'object/static/structure/general/shared_droid_r3_powerdown.iff', '0', '0.13459', '0', '0.990901', '1418.46', '7', '3429.17', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095711', '0', 'object/static/structure/general/shared_r5_torso.iff', '0', '0', '0', '1', '1417.05', '7.44272', '3431.64', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095713', '0', 'object/static/structure/general/shared_r2_torso.iff', '0', '0', '0', '1', '1415.96', '7', '3429.22', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095714', '0', 'object/static/structure/general/shared_r4_head.iff', '0', '0.305059', '0', '0.952334', '1415.29', '7.44272', '3429.48', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095715', '0', 'object/static/structure/general/shared_poi_powerdroid_powerdown.iff', '0', '0.986287', '0', '-0.165038', '1417.6', '7', '3429.1', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095716', '0', 'object/static/structure/general/shared_poi_protocolleg.iff', '-0.0994544', '-0.636495', '0.118076', '0.755673', '1420.59', '6.96127', '3429.16', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095717', '0', 'object/tangible/furniture/all/shared_frn_all_toolchest_lg_s01.iff', '0', '-0.227978', '0', '0.973666', '1422.3', '7', '3429.58', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095718', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.305059', '0', '0.952334', '1415.05', '7', '3429.52', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095719', '0', 'object/static/structure/general/shared_r5_leg.iff', '0', '0.434966', '0', '0.900447', '1416.65', '7', '3429.77', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095720', '0', 'object/static/item/shared_item_tool_droid_toolkit.iff', '0', '-0.159318', '0', '0.987227', '1422.72', '7', '3430.59', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095721', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '0.0635537', '0.704245', '0.0635537', '0.704245', '1418.84', '7.46891', '3430.07', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095723', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_02.iff', '0', '0.857299', '0', '0.514819', '1419.09', '7', '3432.62', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095726', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0', '0', '1', '1416.89', '6.71539', '3431.53', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095727', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0', '0', '1', '1415.64', '7', '3431.5', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095728', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0', '0', '1', '1418.56', '7', '3430.71', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095729', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0', '0', '1', '1550.58', '7', '3334.49', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095730', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.42594', '0', '0.904752', '1551.53', '7', '3333.4', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095732', '0', 'object/static/item/shared_item_con_ration_kit_lg.iff', '0', '-0.324043', '0', '0.946042', '1550.14', '7.7', '3332.46', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095733', '0', 'object/static/item/shared_item_con_ration_kit_m.iff', '0', '0.247404', '0', '0.968912', '1550.18', '7.7', '3332.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095736', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.841471', '0', '-0.540302', '3237.03', '5.56921', '-4758.18', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095737', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0.962642', '0', '0.270778', '3236.38', '5.56921', '-4759.49', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095738', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '-0.40776', '0', '0.913089', '3236.95', '5.56921', '-4760.83', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095739', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '-0.688921', '0', '0.724837', '3230.12', '5.57078', '-4759.04', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095740', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0.930215', '0', '-0.367015', '3228.65', '5.57078', '-4759.33', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095741', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.632674', '0', '0.774419', '3227.24', '5.57078', '-4759.4', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8095742', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '-0.261908', '0', '0.965093', '3229.64', '5.55672', '-4760.44', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8155390', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '3847.06', '19.7956', '2313.73', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8155391', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '3846.62', '20.7064', '2318.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8155662', '0', 'object/static/structure/tatooine/shared_debris_tatt_radar_dish.iff', '0.255172', '-0.343745', '0.0430644', '0.902703', '-5467.61', '208.968', '2133.62', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8155671', '0', 'object/static/structure/corellia/shared_corl_power_arial_thin.iff', '0.250929', '-0.262894', '0.0615099', '0.92959', '-5466.17', '204.259', '2131.24', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8155761', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0', '0', '1', '-6890.01', '68.5516', '1507.97', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8155762', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.976806', '0', '-0.214125', '-6889.74', '68.6446', '1509.56', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8155763', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.203567', '0', '0.979061', '-6889.96', '68.7544', '1509.01', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8155765', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.841471', '0', '0.540302', '-6890.51', '68.79', '1509.41', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8155766', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '-0.382051', '-0.382051', '0.59501', '0.59501', '-6889.12', '68.612', '1509.53', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8155773', '0', 'object/static/structure/general/shared_droid_r3_powerdown.iff', '-0.000524873', '0.0149903', '-0.0349889', '0.999275', '-6889.13', '68.5286', '1506.97', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8155829', '0', 'object/static/structure/general/shared_prp_junk_s3.iff', '0.249629', '-0.637663', '0.703457', '0.190316', '-4934', '11.0116', '1256.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8155837', '0', 'object/static/structure/general/shared_prp_junk_s7.iff', '-0.0193641', '-0.430022', '0.0406038', '0.901697', '-4927.95', '9.98494', '1265.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8155839', '0', 'object/static/installation/shared_mockup_mining_ore_harvester_style_2.iff', '0', '0', '0', '1', '-5790.15', '28.1769', '-556.534', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8155842', '0', 'object/static/structure/general/shared_data_terminal_s2.iff', '0', '0.741832', '0', '0.670586', '-5789.68', '26.8141', '-561.852', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8155846', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0.00999983', '0', '0.99995', '-5789.24', '27.2596', '-562.926', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8155847', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.968715', '0', '0.248176', '-5790.01', '27.1372', '-564.656', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8155848', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '-0.682068', '0.687715', '-0.171415', '0.180134', '-5788.84', '27.5323', '-563.25', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8155849', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.824886', '0', '-0.5653', '-5790.29', '27.4057', '-563.611', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8155857', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0.102855', '-0.0166526', '0.266242', '0.958258', '-5739.4', '21.1623', '-1942', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8155858', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '-0.0335273', '-0.391928', '0.137823', '0.908996', '-5741.55', '20.4415', '-1939.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8155859', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0.278176', '0.00525731', '-0.0807297', '0.957117', '-5743.82', '21.1684', '-1944.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8155865', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0', '0', '1', '-5742.04', '21.6823', '-1941.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8155866', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.483807', '0', '0.875175', '-7178.96', '41.154', '-2402.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8155869', '0', 'object/static/installation/shared_mockup_power_generator_wind_style_1.iff', '0', '0', '0', '1', '-7167.2', '40.4424', '-2405.6', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8155870', '0', 'object/static/installation/shared_mockup_power_generator_wind_style_1.iff', '0', '0', '0', '1', '-7173.55', '39.9903', '-2411.71', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8155871', '0', 'object/static/installation/shared_mockup_power_generator_wind_style_1.iff', '0', '0', '0', '1', '-7167.2', '40.0342', '-2411.8', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8155872', '0', 'object/static/installation/shared_mockup_power_generator_wind_style_1.iff', '0', '0', '0', '1', '-7173.86', '40.5965', '-2405.42', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8156002', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '-0.486538', '-0.137276', '0.234293', '0.830387', '-5548.01', '39.367', '-2417.66', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8156005', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '-0.143823', '-0.0405795', '0.268498', '0.951618', '-5543.93', '40.9497', '-2421.77', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8156008', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0', '0', '0', '1', '-5556.39', '39.2233', '-2425.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8156009', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '0', '0.188859', '0.982004', '-5549.31', '37.872', '-2429.47', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8156015', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0', '-0.271547', '0.962425', '-5544.28', '39.6577', '-2426.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8156018', '0', 'object/static/structure/tatooine/shared_concrete_slab_tatooine_16x8.iff', '-0.372023', '0.87313', '-0.0429345', '-0.31209', '-5111.27', '28.1355', '-3352.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8156028', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '-0.104807', '0', '0', '0.994493', '-4325.41', '22.002', '-5020.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8156030', '0', 'object/static/structure/corellia/shared_corl_fountain_circle_s01.iff', '0.131534', '0.561765', '0.178244', '0.797087', '-4326.26', '20.4433', '-5020.69', '96', '1');
INSERT INTO `staticobjects` VALUES ('8', '8156035', '0', 'object/static/flora/shared_flora_plant_tato_pika.iff', '0', '0', '0', '1', '-4326.68', '23.7736', '-5017.13', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8156036', '0', 'object/static/flora/shared_flora_plant_tato_pika_tri.iff', '0', '0', '0', '1', '-4327.82', '23.8147', '-5016.56', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8156039', '0', 'object/static/flora/shared_flora_flower_tato_funnel_med.iff', '0', '0', '0', '1', '-4325.57', '23.3967', '-5016.7', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8156040', '0', 'object/static/flora/shared_flora_flower_tato_funnel_med.iff', '0', '0', '0', '1', '-4326.4', '23.507', '-5015.6', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8156041', '0', 'object/static/flora/shared_flora_flower_tato_funnel_med.iff', '0', '0', '0', '1', '-4327.76', '23.7772', '-5015.9', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8156042', '0', 'object/static/flora/shared_flora_flower_tato_funnel_med.iff', '0', '0', '0', '1', '-4328.86', '23.1983', '-5017.7', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8156043', '0', 'object/static/flora/shared_flora_flower_tato_funnel_med.iff', '0', '0', '0', '1', '-4328.42', '23.083', '-5015.89', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8156044', '0', 'object/static/flora/shared_flora_flower_tato_funnel_med.iff', '0', '0', '0', '1', '-4325.77', '23.8324', '-5015.58', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8156045', '0', 'object/static/flora/shared_flora_flower_tato_funnel_med.iff', '0', '0', '0', '1', '-4326.84', '23.9404', '-5014.64', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8156046', '0', 'object/static/flora/shared_flora_flower_tato_funnel_med.iff', '0', '0', '0', '1', '-4328.75', '23.4642', '-5018.95', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8156047', '0', 'object/static/flora/shared_flora_flower_tato_funnel_med.iff', '0', '0', '0', '1', '-4327.9', '23.4356', '-5019.32', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8195884', '0', 'object/tangible/sign/shared_streetsign_upright_style_01.iff', '0', '0.203567', '0', '0.979061', '3394.81', '5.00055', '-4466.62', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8195885', '0', 'object/tangible/sign/shared_streetsign_upright_style_01.iff', '0', '0.252245', '0', '0.967663', '3551.85', '5', '-4634.33', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8195886', '0', 'object/tangible/sign/shared_streetsign_upright_style_01.iff', '0', '0.552199', '0', '0.833712', '3781.87', '5', '-4748.88', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8195887', '0', 'object/tangible/sign/shared_streetsign_upright_style_01.iff', '0', '-0.674288', '0', '0.738468', '3788.19', '5', '-4848.91', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8195888', '0', 'object/tangible/sign/shared_streetsign_upright_style_01.iff', '0', '0.384808', '0', '0.922997', '3317.39', '5', '-5037.09', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8195889', '0', 'object/tangible/sign/shared_streetsign_upright_style_01.iff', '0', '-0.380188', '0', '0.924909', '3221.82', '5', '-4510.52', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8195891', '0', 'object/tangible/sign/shared_streetsign_upright_style_01.iff', '0', '-0.338197', '0', '0.941075', '-3002.82', '5', '2615.07', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8195892', '0', 'object/tangible/sign/shared_streetsign_upright_style_01.iff', '0', '0.501213', '0', '0.865324', '-2640.85', '5', '2296.35', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8195893', '0', 'object/tangible/sign/shared_streetsign_upright_style_01.iff', '0', '-0.620986', '0', '0.783822', '-2659.14', '5', '2030.22', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8195894', '0', 'object/tangible/sign/shared_streetsign_upright_style_01.iff', '0', '-0.342898', '0', '0.939373', '-2716.96', '5', '1943.04', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8195895', '0', 'object/tangible/sign/shared_streetsign_upright_style_01.iff', '0', '-0.434965', '0', '0.900447', '-2747.36', '5', '1867.34', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8195896', '0', 'object/tangible/sign/shared_streetsign_upright_style_01.iff', '0', '0.119712', '0', '0.992809', '-3147.37', '5', '2030.24', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8195897', '0', 'object/tangible/sign/shared_streetsign_upright_style_01.iff', '0', '-0.522687', '0', '0.852525', '-3183.06', '5', '2172.63', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8195898', '0', 'object/tangible/sign/shared_streetsign_upright_style_01.iff', '0', '0.648034', '0', '0.761611', '-3207.15', '6.22776', '2281.44', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8216114', '0', 'object/static/item/shared_item_document.iff', '0', '0', '0', '1', '3286.44', '5.75895', '-4524', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8216116', '0', 'object/static/item/shared_item_datapad_s1.iff', '0', '0.967462', '0', '-0.253016', '3286.71', '5.72733', '-4524.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8216117', '0', 'object/static/item/shared_item_data_disk.iff', '0', '0', '0', '1', '3286.88', '5.75895', '-4524', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8216118', '0', 'object/static/item/shared_item_data_disk.iff', '0', '-0.461779', '0', '0.886995', '3286.97', '5.75895', '-4524.07', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8216119', '0', 'object/static/item/shared_wp_pistol_dl44_combined.iff', '-0.072018', '0.0691384', '-0.689078', '0.717778', '3286.9', '5.75895', '-4524.37', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8216125', '0', 'object/static/item/shared_item_carbine_dh17.iff', '-0.655856', '0.739096', '-0.0873581', '0.126331', '-2928.01', '5.64997', '2573.56', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8216126', '0', 'object/static/item/shared_item_briefcase.iff', '0.687921', '-0.142232', '0.138401', '0.698126', '-2927.28', '5.64935', '2573.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8216128', '0', 'object/static/item/shared_item_datapad_s2.iff', '0', '0', '0', '1', '-2927.78', '5.63246', '2573.55', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8216129', '0', 'object/static/item/shared_item_data_disk.iff', '0', '0', '0', '1', '-2927.56', '5.63246', '2573.48', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8216130', '0', 'object/static/item/shared_item_data_disk.iff', '0', '-0.394019', '0', '0.919102', '-2927.41', '5.63246', '2573.57', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8216221', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '-0.405658', '0', '0.914025', '-1129.55', '12', '-3660.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8216222', '0', 'object/static/item/shared_item_tech_console_sectional_b.iff', '0', '0.719234', '0', '0.694768', '-1132.25', '12', '-3663.41', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8255365', '0', 'object/static/structure/tatooine/shared_wall_damaged_tatooine_large_style_01.iff', '0', '-0.707104', '0', '0.707109', '7045.3', '70.4443', '7035.81', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8255368', '0', 'object/static/structure/tatooine/shared_concrete_slab_tatooine_16x8.iff', '0', '0', '0', '1', '7045.03', '62.5838', '7040.34', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8255369', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '-0.707105', '0', '0.707109', '7049.07', '70.3573', '7039.72', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8255370', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0', '1', '0', '-6.63422e-07', '7041.3', '70.4331', '7037.76', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8335413', '0', 'object/tangible/sign/shared_all_sign_city_s03.iff', '0', '0', '0', '1', '1285.95', '7.87082', '2877.14', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8335414', '0', 'object/tangible/sign/shared_all_sign_city_s03.iff', '0', '-0.0449848', '0', '0.998988', '1206.67', '7.89495', '2897.62', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8335415', '0', 'object/tangible/sign/shared_all_sign_city_s03.iff', '0', '0.514136', '0', '0.857709', '1127.65', '7', '2982.18', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8335416', '0', 'object/tangible/sign/shared_all_sign_city_s03.iff', '0', '-0.699716', '0', '0.714421', '1252.75', '7', '3438.06', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8335417', '0', 'object/tangible/sign/shared_all_sign_city_s03.iff', '0', '0', '0', '1', '1425.39', '7', '3525.61', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8335418', '0', 'object/tangible/sign/shared_all_sign_city_s03.iff', '0', '0.42141', '0', '0.90687', '1635.92', '6.83329', '3484.54', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8335419', '0', 'object/tangible/sign/shared_all_sign_city_s03.iff', '0', '0.380188', '0', '0.924909', '1821.34', '7', '3185.21', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8345353', '0', 'object/static/structure/tatooine/shared_wall_damaged_tatooine_large_style_01.iff', '0', '-0.707083', '0', '0.70713', '7041.04', '70.2548', '7048.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8345354', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0.65328', '-0.270598', '-0.270599', '-0.653283', '7040.54', '67.7414', '7032.2', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8345355', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0', '0', '1', '7052.2', '70.5218', '7034.05', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8345370', '0', 'object/static/structure/tatooine/shared_wall_damaged_tatooine_large_style_01.iff', '0', '-0.707071', '0', '0.707142', '7049.03', '70.2546', '7048.66', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8345371', '0', 'object/static/structure/tatooine/shared_wall_damaged_tatooine_large_style_01.iff', '0', '1', '0', '-2.88175e-05', '7052.52', '70.2452', '7044.61', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8345372', '0', 'object/static/structure/tatooine/shared_wall_damaged_tatooine_large_style_01.iff', '0', '0', '0', '1', '7037.55', '70.2579', '7044.17', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8345373', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '-0.707105', '0', '0.707108', '7045.4', '72.8066', '7058.56', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425405', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '-0.707101', '0', '0.707112', '7095.35', '95.3141', '7123.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425412', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0.653282', '0.270598', '0.270598', '-0.653282', '7053.1', '90.8314', '7103.56', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425414', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0.382683', '0', '0.92388', '6522.87', '9.49478', '5523.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425415', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '-0.382683', '0', '0.92388', '6532.32', '9.33583', '5523.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425417', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '-0.382683', '0', '0.92388', '6527.32', '9.23424', '5518.69', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425422', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0.65328', '0.270598', '0.270599', '-0.653283', '6522.17', '17.748', '5523.81', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425423', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0.270597', '0.653281', '0.653283', '-0.270598', '6526.58', '17.7602', '5517.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425425', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0.270597', '0.653281', '0.653283', '-0.270598', '6521.46', '17.7435', '5523.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425426', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0.65328', '0.270598', '0.270599', '-0.653283', '6527.28', '17.7459', '5528.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425427', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '-0.382683', '0', '0.92388', '6527.28', '9.49948', '5528.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425438', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0.653282', '-0.653281', '0.270598', '-0.270598', '6528.1', '8.90027', '5525.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425439', '0', 'object/static/flora/shared_flora_flower_tato_funnel.iff', '0', '0', '0', '1', '6524.12', '9.7367', '5524.55', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425440', '0', 'object/static/flora/shared_flora_flower_tato_funnel_med.iff', '0', '0', '0', '1', '6524.57', '9.76897', '5525.19', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425441', '0', 'object/static/flora/shared_flora_flower_tato_funnel_sm.iff', '0', '0', '0', '1', '6525.1', '9.75', '5525.23', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425447', '0', 'object/static/flora/shared_flora_flower_tato_funnel.iff', '0', '0', '0', '1', '6523.01', '9.67918', '5523.45', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425448', '0', 'object/static/flora/shared_flora_flower_tato_funnel.iff', '0', '0', '0', '1', '6526.37', '10.0127', '5529.18', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425449', '0', 'object/static/flora/shared_flora_flower_tato_funnel.iff', '0', '0', '0', '1', '6524.93', '10.1141', '5529.65', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425450', '0', 'object/static/flora/shared_flora_flower_tato_funnel.iff', '0', '0', '0', '1', '6522.98', '10.2054', '5529.89', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425451', '0', 'object/static/flora/shared_flora_flower_tato_funnel.iff', '0', '0', '0', '1', '6528.96', '9.10747', '5518.18', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425452', '0', 'object/static/flora/shared_flora_flower_tato_funnel.iff', '0', '0', '0', '1', '6527.44', '9.13303', '5517.27', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425453', '0', 'object/static/flora/shared_flora_flower_tato_funnel.iff', '0', '0', '0', '1', '6525.96', '9.15641', '5516.43', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425454', '0', 'object/static/flora/shared_flora_flower_tato_funnel.iff', '0', '0', '0', '1', '6525.37', '9.04343', '5513.64', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425455', '0', 'object/static/flora/shared_flora_flower_tato_funnel.iff', '0', '0', '0', '1', '6525.36', '8.80013', '5509.92', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425456', '0', 'object/static/flora/shared_flora_flower_tato_funnel.iff', '0', '0', '0', '1', '6532.82', '9.20368', '5522.54', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425457', '0', 'object/static/flora/shared_flora_flower_tato_funnel_sm.iff', '0', '0', '0', '1', '6526.6', '9.86376', '5527.46', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425458', '0', 'object/static/flora/shared_flora_flower_tato_funnel_sm.iff', '0', '0', '0', '1', '6527.4', '9.80846', '5527.24', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425459', '0', 'object/static/flora/shared_flora_flower_tato_funnel_sm.iff', '0', '0', '0', '1', '6527.86', '9.72784', '5526.51', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425460', '0', 'object/static/flora/shared_flora_flower_tato_funnel_sm.iff', '0', '0', '0', '1', '6527.87', '9.68241', '5525.96', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425461', '0', 'object/static/flora/shared_flora_flower_tato_funnel_sm.iff', '0', '0', '0', '1', '6532.17', '9.22883', '5522.6', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425462', '0', 'object/static/flora/shared_flora_flower_tato_funnel_sm.iff', '0', '0', '0', '1', '6532.6', '9.34045', '5524.36', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425463', '0', 'object/static/flora/shared_flora_flower_tato_funnel_sm.iff', '0', '0', '0', '1', '6536.48', '9.59776', '5529.06', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425464', '0', 'object/static/flora/shared_flora_flower_tato_funnel_sm.iff', '0', '0', '0', '1', '6532.75', '9.82511', '5530.26', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425465', '0', 'object/static/flora/shared_flora_flower_tato_funnel_sm.iff', '0', '0', '0', '1', '6526.65', '9.09795', '5515.69', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425466', '0', 'object/static/flora/shared_flora_flower_tato_funnel_sm.iff', '0', '0', '0', '1', '6525.74', '9.10894', '5515.18', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425467', '0', 'object/static/flora/shared_flora_flower_tato_funnel_sm.iff', '0', '0', '0', '1', '6522.63', '9.194', '5515.36', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425468', '0', 'object/static/flora/shared_flora_flower_tato_funnel_sm.iff', '0', '0', '0', '1', '6520.19', '9.26857', '5516.39', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425469', '0', 'object/static/flora/shared_flora_flower_tato_funnel_sm.iff', '0', '0', '0', '1', '6518.79', '9.20677', '5515.32', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425470', '0', 'object/static/flora/shared_flora_flower_tato_funnel_sm.iff', '0', '0', '0', '1', '6519.96', '9.14494', '5514.01', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425471', '0', 'object/static/flora/shared_flora_flower_tato_funnel_sm.iff', '0', '0', '0', '1', '6524.04', '9.35623', '5519.14', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425472', '0', 'object/static/flora/shared_flora_flower_tato_funnel_sm.iff', '0', '0', '0', '1', '6522.29', '9.58752', '5522.03', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425473', '0', 'object/static/flora/shared_flora_flower_tato_funnel_sm.iff', '0', '0', '0', '1', '6521.33', '9.65596', '5522.75', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425474', '0', 'object/static/flora/shared_flora_flower_tato_funnel_sm.iff', '0', '0', '0', '1', '6520.42', '9.66785', '5522.81', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425475', '0', 'object/static/flora/shared_flora_flower_tato_funnel_sm.iff', '0', '0', '0', '1', '6519.23', '9.60522', '5522.04', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425476', '0', 'object/static/flora/shared_flora_flower_tato_funnel_sm.iff', '0', '0', '0', '1', '6527.62', '9.19706', '5518.79', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425477', '0', 'object/static/flora/shared_flora_flower_tato_funnel_sm.iff', '0', '0', '0', '1', '6526.58', '9.40813', '5521.51', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425478', '0', 'object/static/flora/shared_flora_flower_tato_funnel_sm.iff', '0', '0', '0', '1', '6527.11', '9.80281', '5527', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425479', '0', 'object/static/flora/shared_flora_flower_tato_funnel_sm.iff', '0', '0', '0', '1', '6528.52', '9.83149', '5528.16', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425480', '0', 'object/static/flora/shared_flora_flower_tato_funnel_sm.iff', '0', '0', '0', '1', '6533.54', '8.96154', '5518.71', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425481', '0', 'object/static/flora/shared_flora_flower_tato_funnel_sm.iff', '0', '0', '0', '1', '6534.57', '8.94894', '5519.09', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425482', '0', 'object/static/flora/shared_flora_flower_tato_funnel_sm.iff', '0', '0', '0', '1', '6534.77', '8.84256', '5515.75', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425483', '0', 'object/static/flora/shared_flora_flower_tato_funnel_sm.iff', '0', '0', '0', '1', '6536.97', '8.90409', '5518.89', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425484', '0', 'object/static/flora/shared_flora_flower_tato_funnel_sm.iff', '0', '0', '0', '1', '6538.29', '8.92105', '5519.71', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425485', '0', 'object/static/structure/tatooine/shared_concrete_slab_tatooine_16x8.iff', '0', '0', '0', '1', '584.558', '138.779', '377.693', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425486', '0', 'object/static/structure/tatooine/shared_concrete_slab_tatooine_16x8.iff', '7.72714e-09', '-0.707106', '-7.72714e-09', '0.707108', '592.346', '145.377', '343', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425487', '0', 'object/static/structure/tatooine/shared_concrete_slab_tatooine_16x8.iff', '0', '0', '0', '1', '573.296', '173.99', '318.731', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425489', '0', 'object/static/structure/tatooine/shared_concrete_slab_tatooine_16x8.iff', '0', '0', '0', '1', '574.232', '152.487', '351.402', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425495', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '582.203', '157.614', '359.372', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425497', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '589.052', '145.363', '363.861', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425498', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '577.858', '145.642', '385.525', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425499', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '600.203', '150.859', '350.733', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425501', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '582.16', '157.66', '345.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425506', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0', '0', '1', '581.995', '159.574', '356.423', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425508', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0', '0', '1', '581.999', '159.571', '352.493', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425510', '0', 'object/static/structure/tatooine/shared_stair_tatooine_small_style_01.iff', '0', '0.707107', '0', '0.707107', '588.244', '152.5', '347.881', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425514', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '567.303', '158.052', '359.349', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425516', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '-0.707104', '0', '0.70711', '579.404', '159.604', '359.154', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425517', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.707107', '0', '-0.707107', '569.041', '159.863', '359.093', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425518', '0', 'object/static/flora/shared_flora_flower_tato_funnel.iff', '0', '0', '0', '1', '575.307', '161.133', '357.552', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425519', '0', 'object/static/flora/shared_flora_flower_tato_funnel_sm.iff', '0', '0', '0', '1', '573.015', '160.715', '356.645', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425520', '0', 'object/static/flora/shared_flora_flower_tato_funnel_sm.iff', '0', '0', '0', '1', '575.29', '162.986', '359.081', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425521', '0', 'object/static/flora/shared_flora_flower_tato_funnel_sm.iff', '0', '0', '0', '1', '571.668', '163.201', '358.52', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425522', '0', 'object/static/flora/shared_flora_flower_tato_funnel_sm.iff', '0', '0', '0', '1', '571.976', '163.035', '358.345', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425523', '0', 'object/static/flora/shared_flora_flower_tato_funnel_sm.iff', '0', '0', '0', '1', '572.591', '162.422', '357.956', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425524', '0', 'object/static/flora/shared_flora_flower_tato_funnel_sm.iff', '0', '0', '0', '1', '573.839', '164.414', '359.835', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425525', '0', 'object/static/flora/shared_flora_flower_tato_funnel_sm.iff', '0', '0', '0', '1', '574.561', '165.931', '361.425', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425526', '0', 'object/static/flora/shared_flora_flower_tato_funnel_med.iff', '0', '0', '0', '1', '569.227', '160.693', '356.293', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425527', '0', 'object/static/flora/shared_flora_flower_tato_funnel.iff', '0', '0', '0', '1', '572.281', '165.526', '360.958', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425528', '0', 'object/static/flora/shared_flora_flower_tato_funnel.iff', '0', '0', '0', '1', '576.915', '164.051', '360.516', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425529', '0', 'object/static/flora/shared_flora_flower_tato_funnel.iff', '0', '0', '0', '1', '570.962', '160.625', '356.164', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425533', '0', 'object/static/structure/tatooine/shared_stair_tatooine_large_style_02.iff', '0', '0', '0', '1', '596.847', '137.414', '358.963', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425534', '0', 'object/static/structure/tatooine/shared_concrete_slab_tatooine_16x8.iff', '0', '0', '0', '1', '594.004', '138.799', '348.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425536', '0', 'object/static/structure/tatooine/shared_concrete_slab_tatooine_16x8.iff', '0', '0', '0', '1', '598.827', '133.273', '359.974', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425538', '0', 'object/static/structure/tatooine/shared_concrete_slab_tatooine_16x8.iff', '0', '0', '0', '1', '593.962', '138.789', '363.764', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425570', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0', '0', '1', '588.805', '145.235', '358.858', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425572', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '588.987', '145.308', '351.915', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425573', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0', '0', '1', '592.821', '134.682', '358.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425574', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '1.0096e-08', '-0.382683', '-4.18191e-09', '0.92388', '585.708', '145.245', '377.063', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8425582', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '589.036', '145.374', '374.348', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8445742', '0', 'object/building/military/shared_outpost_shed.iff', '0', '0.734818', '0', '-0.678264', '-6157.35', '90', '-6380.2', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '8445743', '8445742', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '8445744', '8445742', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '8445745', '8445742', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '8445760', '8445745', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0', '0', '1', '0.039409', '0.125265', '-6.11584', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8445746', '8445742', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '8445747', '8445742', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '8445748', '8445742', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '8445756', '0', 'object/static/structure/tatooine/shared_shed_junkshop_watto.iff', '0', '-0.0299955', '0', '0.99955', '-6152', '90', '-6398', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8445757', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_1.iff', '0', '0', '0', '1', '-6152', '95.0361', '-6398', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '8445758', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0.9992', '0', '0.0399893', '-6155.46', '90', '-6389.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8496216', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.00499998', '0', '0.999987', '33.1595', '50.7533', '-5351.99', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8496218', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '-0.020573', '0.740963', '0.0218285', '0.670876', '40.69', '51.2073', '-5353.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8496264', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '-0.448423', '0', '0.893822', '5094.29', '21.973', '588.444', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8496265', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '-0.461779', '0', '0.886995', '5107', '21.7415', '605.247', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8496266', '0', 'object/static/structure/corellia/shared_corl_power_arial_thin.iff', '0.00331566', '-0.375555', '-0.00374248', '0.926787', '5102.95', '23.8048', '591.838', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515353', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.382683', '0', '0.92388', '580.546', '145.241', '382.237', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515354', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.707107', '0', '0.707107', '592.404', '144.101', '384.533', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515356', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.707106', '0', '0.707108', '581.695', '144', '385.234', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515358', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.707107', '0', '-0.707107', '587.502', '144.011', '385.234', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515361', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.707107', '0', '0.707107', '598.687', '141.242', '359.492', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515362', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0', '0', '1', '592.247', '146.744', '347.713', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515364', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.707107', '0', '0.707107', '598.701', '141.26', '363.574', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515365', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '1', '0', '-4.94834e-07', '591.639', '143.995', '374.734', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515366', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '1', '0', '3.48103e-07', '591.638', '144.006', '380.541', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515369', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '1', '0', '0', '605.944', '138.626', '356.75', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515370', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '1', '0', '0', '605.944', '138.641', '363.126', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515371', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '606.685', '138.778', '367.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515372', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '606.692', '138.83', '352.847', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515373', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '-0.0388713', '0.706037', '-0.0388713', '0.706038', '601.997', '138.649', '367.407', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515382', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.707106', '0', '0.707108', '589.422', '150.714', '350.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515383', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0', '0', '1', '599.935', '150.601', '342.622', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515384', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '594.246', '150.894', '350.742', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515388', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '601.73', '144.076', '371.696', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515389', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '592.453', '144.074', '371.638', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515390', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '603.029', '139.334', '352.833', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515391', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '602.964', '139.327', '367.772', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515395', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.707106', '0', '0.707107', '595.998', '143.959', '370.887', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515396', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.707097', '0', '0.707116', '597.548', '143.96', '370.902', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515397', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0', '0', '1', '601.524', '143.949', '362.861', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515398', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '601.759', '144.108', '347.981', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515399', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0', '0', '1', '601.499', '143.955', '351.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515400', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_01.iff', '-0.24195', '0.729763', '-0.293763', '0.567987', '580.642', '159.639', '350.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515403', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '-0.707106', '0', '0.707108', '599.558', '146.02', '347.771', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515411', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '5.8163e-08', '-0.707105', '-6.4994e-09', '0.707109', '577.831', '152.062', '350.567', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515416', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0', '0', '1', '577.195', '158.242', '345.864', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515417', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0', '0', '1', '572.235', '158.229', '345.885', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515418', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0.0149987', '0.000149992', '-0.00999871', '0.999838', '582.044', '155.525', '350.714', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515421', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '-0.707105', '0', '0.707109', '579.173', '159.757', '345.646', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515422', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '-0.707107', '0', '0.707107', '577.408', '157.167', '349.716', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515424', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0', '0', '1', '577.776', '181.427', '315.962', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515425', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '-0.707104', '0', '0', '0.707109', '577.742', '188.778', '323.211', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515426', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0.5', '0.5', '0.5', '-0.5', '569.495', '188.778', '323.223', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515428', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0.5', '0.5', '0.5', '-0.5', '569.517', '188.778', '315.985', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515429', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0.707107', '0', '0', '-0.707107', '570.516', '188.778', '323.218', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515440', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0', '0', '1', '577.75', '181.384', '323.224', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515441', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0', '0', '1', '570.488', '181.251', '323.225', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515442', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0', '0', '1', '570.461', '181.384', '315.957', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515443', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0', '0', '1', '576.548', '175', '326.701', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515444', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0', '0', '1', '571.669', '175.004', '326.72', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515445', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '566.448', '180.274', '326.597', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515446', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '581.095', '180.114', '311.889', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515447', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '566.483', '180.24', '311.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515448', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '581.077', '180.326', '326.631', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515449', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.707107', '0', '-0.707107', '570.194', '159.71', '345.734', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515451', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0.701791', '0.0865438', '-0.0865439', '0.701791', '566.858', '160.542', '344.21', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515453', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '7.72713e-09', '-0.707105', '7.72713e-09', '0.707108', '566.8', '157.649', '350.453', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515454', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.707107', '0', '0.707107', '590.695', '147.996', '344.228', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515455', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.382683', '0', '0.92388', '590.487', '151.716', '340.909', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515456', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '585.645', '152.28', '345.917', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515457', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0.92388', '0.382683', '5.88224e-08', '1.04772e-07', '582.883', '160.325', '344.864', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515462', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '577.434', '160.474', '345.408', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515528', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '0.475032', '0', '0.879969', '-3971.93', '16.2384', '-3046.24', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515531', '0', 'object/static/structure/tatooine/shared_bridge_tatooine_small_style_02.iff', '0', '0.479425', '0', '0.877583', '-3973.13', '17.3983', '-3044.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515533', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '0.470626', '0', '0.882333', '-3991.46', '17.8449', '-3043.66', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515534', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0', '-0.227978', '0', '0.973666', '-3993.92', '16.0124', '-3055.63', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515542', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '-0.0311134', '0.902143', '0.075019', '-0.423724', '-3977.68', '13.72', '-3060.08', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515549', '0', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff', '0', '0.962209', '0', '0.272313', '-3983.75', '16.6367', '-3042.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515563', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '-0.707105', '0', '0.707108', '358.922', '7.50029', '6580.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515576', '0', 'object/static/structure/general/shared_campfire_ash.iff', '0', '0', '0', '1', '-3324.13', '7.42678', '-3717.59', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515577', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '-0.114747', '0', '0.993395', '-3325.06', '7.76859', '-3716.68', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515578', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '-0.114747', '0', '0.993395', '-3325.25', '7.78949', '-3716.02', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515579', '0', 'object/tangible/camp/shared_camp_tent_s1.iff', '0', '0.998248', '0', '-0.0591691', '-3323.24', '7.5639', '-3714.96', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515581', '0', 'object/tangible/camp/shared_camp_stool_short.iff', '0', '0', '0', '1', '-3324.88', '7.4786', '-3718.12', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515582', '0', 'object/tangible/camp/shared_camp_stool_tall.iff', '0', '0', '0', '1', '-3323.35', '7.25419', '-3718.44', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515586', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '0.707107', '0', '-0.707107', '358.934', '7.52692', '6572.68', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515588', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '0.707107', '0', '-0.707107', '358.925', '7.5337', '6564.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515590', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '-1.49011e-08', '0.707106', '0.707108', '3.03555e-08', '365.907', '11.7588', '6572.37', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515591', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '1.22464e-08', '0.92388', '-0.382683', '2.95653e-08', '350.885', '5.35802', '6578.42', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515592', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0.707106', '0.707108', '0', '365.894', '11.7461', '6564.16', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515594', '0', 'object/static/structure/tatooine/shared_wall_gate_tatooine_style_01.iff', '0', '0.356949', '0', '0.934124', '-3037.82', '-0.353098', '-5104.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515595', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.366273', '0', '0.930507', '-3036.93', '-0.353098', '-5109.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515596', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.396498', '0', '0.918036', '-3026.82', '-0.353098', '-5107.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515597', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.930507', '0', '-0.366273', '-3028.82', '-0.353098', '-5116.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515598', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.366273', '0', '0.930508', '-3042.79', '-0.353098', '-5109.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515599', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.398974', '0', '0.916962', '-3044.72', '-0.353098', '-5117.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515600', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.366273', '0', '0.930507', '-3028.47', '-0.353098', '-5112.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515601', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.398974', '0', '0.916962', '-3047.55', '-0.353098', '-5120.27', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515602', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.366273', '0', '0.930507', '-3039.61', '-0.353098', '-5112.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515603', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.366273', '0', '0.930507', '-3047.73', '-0.353098', '-5115.29', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515604', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.398974', '0', '0.916962', '-3039.43', '-0.353098', '-5117.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515605', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.366273', '0', '0.930507', '-3039.26', '-0.353098', '-5123.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515606', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.366273', '0', '0.930507', '-3028.32', '-0.353098', '-5106.81', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515608', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.396498', '0', '0.918036', '-3030.82', '-0.353098', '-5114.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515609', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.366273', '0', '0.930508', '-3025.72', '-0.353098', '-5098.34', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515610', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.398974', '0', '0.916962', '-3025.65', '-0.353098', '-5103.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515611', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.929516', '0', '-0.368783', '-3018.2', '-0.353098', '-5109.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515612', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.398974', '0', '0.916962', '-3033.82', '-0.353098', '-5116.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515613', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.398974', '0', '0.916962', '-3021.91', '-0.353098', '-5092.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515614', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.929516', '0', '-0.368783', '-3030.29', '-0.353098', '-5095.61', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515615', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.398974', '0', '0.916962', '-3023.82', '-0.353098', '-5105.19', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515616', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.366273', '0', '0.930507', '-3023.62', '-0.353098', '-5101.79', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515617', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.396498', '0', '0.918036', '-3013.51', '-0.353098', '-5100.42', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515618', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.366273', '0', '0.930507', '-3015.87', '-0.353098', '-5103.77', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515622', '0', 'object/static/structure/tatooine/shared_wall_gate_tatooine_style_01.iff', '0', '-0.408124', '0', '0.912927', '-3039.4', '-0.353098', '-5127.81', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515625', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.929516', '0', '-0.368783', '-3014.82', '-0.353098', '-5110.87', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515626', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.398974', '0', '0.916962', '-3009.06', '-0.353098', '-5104.6', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515628', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.929516', '0', '-0.368783', '-3011.92', '-0.353098', '-5112.79', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515629', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.929516', '0', '-0.368783', '-3022.62', '-0.353098', '-5124.16', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515630', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.366273', '0', '0.930508', '-3029.26', '-0.353098', '-5131.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515631', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.398974', '0', '0.916962', '-3034.75', '-0.353098', '-5132.04', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515636', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.398974', '0', '0.916962', '-3026.58', '-0.353098', '-5123.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515643', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0.707107', '4.52566e-08', '2.98024e-08', '-0.707107', '366.925', '11.7556', '6564.18', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515646', '0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff', '0', '0.707107', '0', '-0.707107', '358.921', '7.55192', '6556.25', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515649', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0.707106', '0.707108', '0', '349.196', '7.6733', '6558.88', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515650', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0.707105', '0', '0', '0.707108', '351.94', '10.7832', '6564.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8515651', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '-0.707105', '0', '0', '0.707108', '351.92', '11.7903', '6564.17', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8555725', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.17903', '0', '0.983844', '1206.1', '7', '2923.31', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8555726', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '-0.501213', '0', '0.865324', '1208', '7', '2923.46', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8555727', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0', '0', '1', '1210.33', '7', '2922.45', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8555728', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '-0.576956', '0', '0.816775', '1211.1', '7', '2923.52', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8555729', '0', 'object/static/structure/general/shared_prp_junk_s7.iff', '0.894851', '0', '0', '0.446365', '1207.3', '8.29566', '2921.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8555730', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '0', '0', '0', '1', '1202.17', '8.42929', '2926.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8555731', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0', '0', '0', '1', '1203.35', '7.73069', '2927.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8555732', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '1203.49', '7', '2922.99', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8555733', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.78809', '0', '0.615561', '1204.68', '7', '2922.6', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8555735', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0.5', '-0.5', '-0.5', '0.5', '1206.94', '7.30068', '2923.51', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8555736', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '1207.29', '6.97736', '2924.48', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8555738', '0', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '1207.39', '7.29', '2924.44', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8555742', '0', 'object/tangible/furniture/all/shared_frn_all_toolchest_med_s01.iff', '0', '-0.227978', '0', '0.973666', '1209.18', '7', '2922.2', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8555744', '0', 'object/static/item/shared_item_tool_turbine_generator.iff', '0', '0.593177', '0', '0.805072', '1210.11', '6.90513', '2920.87', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8555749', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0', '0', '0', '1', '1208.91', '6.93192', '2919.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8555752', '0', 'object/static/structure/general/shared_prp_junk_s1.iff', '0', '1', '0', '-7.33659e-08', '1207.87', '7.16351', '2920.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8555753', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '0', '0', '0', '1', '1206.45', '6.1692', '2919.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8555754', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0', '0', '0', '1', '1207.18', '6.51573', '2918.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8555755', '0', 'object/static/item/shared_item_tool_meson_taloscope.iff', '0', '0.747971', '0', '-0.663731', '1206.86', '7.62', '2923.94', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8555756', '0', 'object/static/item/shared_item_tool_power_output_analyzer.iff', '0', '0', '0', '1', '1204.63', '7.705', '2922.66', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8595353', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.366273', '0', '0.930508', '-3018.4', '-0.353098', '-5101.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8595354', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.398974', '0', '0.916962', '-3044.58', '-0.353098', '-5123.08', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8595355', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '0.366273', '0', '0.930507', '-3028.89', '-0.353098', '-5126.54', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8595356', '0', 'object/static/structure/tatooine/shared_wall_gate_tatooine_style_01.iff', '0', '0.37092', '0', '0.928665', '-3011', '-0.353098', '-5112.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8595357', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.398974', '0', '0.916962', '-3022.76', '-0.34785', '-5119.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8595358', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.398974', '0', '0.916962', '-3036.53', '-0.348262', '-5125.69', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8595359', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.398974', '0', '0.916962', '-3030.43', '-0.347851', '-5125.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8595362', '0', 'object/static/installation/shared_mockup_factory_organic_style_1.iff', '0', '0.818735', '0', '-0.574172', '-2914.48', '1.65299', '-6251.68', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8595364', '0', 'object/static/installation/shared_mockup_power_generator_wind_style_1.iff', '0', '0.983701', '0', '0.179813', '-2909.86', '-1.15819', '-6250.88', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8595367', '0', 'object/static/structure/general/shared_data_terminal_s4.iff', '0', '-0.17903', '0', '0.983844', '-2910.21', '-0.316228', '-6249.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8595379', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.576959', '0', '0.816773', '-2913.77', '0', '-6254.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8595380', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '-0.174108', '0', '0.984727', '-2916.95', '0', '-6253.58', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8595381', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '0', '0', '1', '-1630.95', '-1.94859', '-5588.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8595382', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '0', '0', '1', '-1635', '-1.67733e-09', '-5585.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8595383', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0', '0.706544', '0', '0.707669', '-1633.17', '0', '-5578.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8595386', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0', '0.92388', '0', '0.382683', '-3731.64', '8.17748', '-6811.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8595387', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0', '0', '0', '1', '-3732.64', '8.23184', '-6810.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8595388', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0', '0.707107', '0', '-0.707107', '-3732.59', '8.27323', '-6812.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8595389', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.149212', '-0.054355', '0.00821495', '0.987276', '-3732.23', '11.1598', '-6811.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8595390', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0', '0.92388', '0', '0.382683', '-3735.97', '8.33937', '-6809.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8595391', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0', '0', '0', '1', '-3736.97', '8.39373', '-6808.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8595392', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0', '0.707107', '0', '-0.707107', '-3736.92', '8.43511', '-6809.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8595393', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.149212', '-0.054355', '0.008215', '0.987276', '-3736.56', '11.3217', '-6809.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8595394', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0', '0.92388', '0', '0.382683', '-3736.76', '8.7929', '-6813.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8595395', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0', '0', '0', '1', '-3737.76', '8.84726', '-6813.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8595396', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0', '0.707107', '0', '-0.707107', '-3737.72', '8.88865', '-6814.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8595397', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.149212', '-0.054355', '0.008215', '0.987276', '-3737.36', '11.7753', '-6813.66', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8595416', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0', '-0.109778', '0.993956', '-525.937', '7.21429', '-5687', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8595417', '0', 'object/tangible/camp/shared_camp_cot.iff', '0', '0', '0', '1', '-526.374', '7.67739', '-5688.23', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8595418', '0', 'object/tangible/camp/shared_camp_cot.iff', '0', '0.439463', '0', '0.898261', '-525.407', '7.72082', '-5686.19', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8595419', '0', 'object/tangible/camp/shared_campfire_logs_ash.iff', '0', '0', '0', '1', '-528.98', '7.67922', '-5686.67', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795360', '0', 'object/static/structure/general/shared_debris_deathstar_storage.iff', '0', '0', '0.227978', '0.973666', '-859.436', '2.50634', '-1222.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795361', '0', 'object/static/structure/general/shared_escape_pod.iff', '-0.352493', '-0.530082', '0.120076', '0.761803', '-852.397', '8.75244', '-1227.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795362', '0', 'object/static/structure/general/shared_campfire_ash.iff', '0', '0', '0', '1', '-858.079', '9.3923', '-1229.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795367', '0', 'object/static/structure/general/shared_prp_junk_s1.iff', '0', '0', '0.261909', '0.965092', '-860.316', '8.09337', '-1223.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795368', '0', 'object/static/structure/general/shared_prp_junk_s2.iff', '0', '0', '0.958471', '0.285189', '-857.875', '9.31907', '-1224.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795369', '0', 'object/static/structure/general/shared_poi_tato_tent_s01.iff', '-0.0252855', '0.00323781', '0.0301107', '0.999221', '-2601.87', '9.44172', '-2286.13', '175', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795370', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0.00292195', '0.0448898', '0.0648885', '0.996878', '-2601.88', '9.11461', '-2292.14', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795371', '0', 'object/static/structure/general/shared_campfire_ash.iff', '0', '0', '0', '1', '-2597.2', '9.41091', '-2293.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795372', '0', 'object/tangible/camp/shared_camp_lawn_chair.iff', '0', '0.966594', '0', '0.256311', '-2598.12', '9.45013', '-2292.58', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795373', '0', 'object/tangible/camp/shared_camp_lawn_chair.iff', '0', '0.924606', '0', '-0.380925', '-2596.29', '9.48752', '-2292.96', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795374', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0', '0', '0', '1', '-3668.43', '39.28', '-1669.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795375', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff', '0', '0', '0', '1', '-3684.74', '38.3623', '-1663.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795376', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '0', '0', '0', '1', '-3683.62', '39.9952', '-1648', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795377', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0', '0', '0', '1', '-3667.13', '37.0561', '-1644.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795378', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '0', '0', '0', '1', '-3659.85', '38.1709', '-1666.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795379', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff', '0', '0', '0', '1', '-3675.97', '38.5511', '-1670.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795380', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff', '0', '0', '0', '1', '-3671.92', '39.0146', '-1658.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795381', '0', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff', '0', '0', '0', '1', '-3658.43', '38.2676', '-1652.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795382', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0', '0', '1', '-3678.4', '38.093', '-1653.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795383', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0', '0', '1', '-3671.02', '38.0444', '-1651.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795384', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0', '0', '1', '-3664.55', '37.8502', '-1655.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795386', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0', '0', '1', '-3664.73', '37.8948', '-1663.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795387', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0', '0', '1', '-3679.87', '37.4941', '-1661.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795388', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0', '0', '1', '-3673.61', '37.758', '-1665.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795389', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.613117', '0', '0.789992', '-2663.42', '21.7992', '-414.081', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795392', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_01.iff', '0', '-0.613117', '0', '0.789992', '-2662.59', '22.4196', '-412.818', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795393', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.613117', '0', '0.789992', '-2662.46', '21.7561', '-410.355', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795394', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.940806', '0', '-0.338946', '-2663.66', '22.2214', '-407.184', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795395', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_01.iff', '0', '0.940806', '0', '-0.338946', '-2664.45', '22.3135', '-405.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795396', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.940806', '0', '-0.338946', '-2666.62', '22.2018', '-404.725', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795397', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.934408', '0', '0.356206', '-2670.13', '22.9316', '-406.757', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795398', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_01.iff', '0', '0.934408', '0', '0.356206', '-2671.52', '23.0811', '-407.341', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795399', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.934408', '0', '0.356206', '-2673', '22.884', '-409.313', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795400', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0.944672', '0', '-0.328017', '-2672.44', '22.1255', '-413.489', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795401', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '-0.00963542', '0.96351', '0.00267494', '-0.267485', '-2669.1', '20.4814', '-416.472', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795402', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_01.iff', '0.135007', '0.45861', '0.786573', '-0.390836', '-2672.32', '22.4815', '-416.335', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795423', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '0', '0', '0', '1', '-2126.04', '6.50657', '677.803', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795424', '0', 'object/static/structure/general/shared_prp_junk_s7.iff', '0.397499', '0.725949', '0.500722', '0.253515', '-2127.91', '5.37229', '676.464', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795425', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0', '0', '0', '1', '-2126', '9.00784', '677.782', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795429', '0', 'object/static/structure/general/shared_prp_junk_s4.iff', '-0.0998284', '-0.000998314', '0.00994988', '0.994954', '-2128.95', '7.85144', '680.057', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795430', '0', 'object/static/structure/general/shared_prp_junk_s5.iff', '-0.179545', '-0.0399996', '0.959415', '0.213742', '-2125.84', '6.95526', '680.493', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795431', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '-0.0998284', '-0.000998314', '0.00994988', '0.994954', '-2127.79', '6.96131', '681.972', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795441', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_01.iff', '-0.270598', '0.653282', '-0.270598', '0.653281', '6388.81', '64.8003', '199.149', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795443', '0', 'object/static/structure/tatooine/shared_concrete_slab_tatooine_16x8.iff', '0', '0', '0', '1', '6396.12', '57.4925', '199.439', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795444', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '-0.499997', '0.500001', '0.500002', '0.499997', '6398.11', '63.2317', '205.683', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795445', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.382683', '0', '0.92388', '6390.09', '64.7862', '198.254', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795446', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0.653281', '-0.270598', '-0.270598', '-0.653282', '6390.79', '64.8622', '197.564', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795447', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0', '0', '1', '6389.33', '65.3786', '194.525', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795448', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '-0.707097', '0', '0.707116', '6388.34', '64.8126', '199.038', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795450', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '-0.382683', '0', '0.92388', '6402.38', '65.4577', '206.1', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795455', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0', '0', '1', '6402.95', '64.2871', '193.115', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795456', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0', '0', '1', '6389.73', '64.8519', '206.713', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795479', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '572.024', '160.313', '345.483', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795480', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '-0.5', '-0.5', '0.5', '-0.5', '572.555', '160.476', '345.89', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795485', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0.500001', '0.499998', '-0.499999', '0.500002', '579.091', '160.464', '346.883', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795486', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0.500006', '-0.499994', '-0.499994', '-0.500005', '573.555', '161.47', '345.893', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795528', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.382683', '0', '0.92388', '2310.84', '32.4491', '3264.01', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795529', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '-0.382683', '0', '0.92388', '2315.55', '32.8529', '3268.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795530', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '-0.382683', '0', '0.92388', '2306.03', '32.4564', '3259.26', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795531', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.382683', '0', '0.92388', '2315.8', '34.2664', '3249.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795532', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '0.923881', '0', '0.38268', '2324.53', '30.6303', '3268.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795533', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.382683', '0', '0.92388', '2318.02', '33.5848', '3262.34', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795534', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '0', '0', '1', '2315.08', '33.5402', '3256.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795535', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0', '0', '1', '2324.44', '34.4724', '3258.35', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795536', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0.5', '0.5', '0.5', '-0.5', '2310.13', '32.694', '3260.79', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795538', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_01.iff', '0', '-0.382683', '0', '0.92388', '2323.41', '34.4429', '3256.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795541', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '-0.382683', '0', '0.92388', '2325.26', '31.2539', '3258.77', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795542', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '-0.382683', '0', '0.92388', '2321.64', '31.3372', '3255.17', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795543', '0', 'object/static/structure/tatooine/shared_concrete_slab_tatooine_16x8.iff', '0', '-0.382683', '0', '0.92388', '2315.74', '26.8114', '3259.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795553', '0', 'object/static/installation/shared_mockup_power_generator_photo_bio_style_1.iff', '0', '0', '0', '1', '-3174.05', '9.77056', '3634.71', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795557', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '-0.0795647', '-0.0494196', '-0.00897178', '0.995564', '-3166.08', '9.94122', '3635.51', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795558', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.522687', '0', '0.852525', '-3167.61', '9.96829', '3634.98', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795559', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.836026', '0', '0.54869', '-3167.59', '10.7624', '3634.94', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795560', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.522687', '0', '0.852525', '-3167.09', '9.94078', '3635.28', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795563', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.968715', '0', '0.248175', '-3167.34', '9.9573', '3634.4', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795568', '0', 'object/tangible/camp/shared_camp_stool_short.iff', '-0.094856', '0.000474284', '-0.00497743', '0.995478', '-3166.17', '9.90867', '3634.57', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795569', '0', 'object/tangible/camp/shared_camp_lawn_chair.iff', '0', '0.9001', '0', '0.435683', '-3166.46', '10.1281', '3636.32', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795577', '0', 'object/tangible/camp/shared_camp_tent_s1.iff', '-0.024919', '0.996554', '0.00197781', '-0.0790961', '-1261.61', '10.5848', '5466.66', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795578', '0', 'object/tangible/camp/shared_camp_tent_s1.iff', '-0.0259486', '-0.471317', '0.0484626', '0.880249', '-1258.94', '10.4581', '5461.24', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795581', '0', 'object/tangible/camp/shared_campfire_logs_burnt.iff', '0', '0', '0', '1', '-1262.26', '10.2902', '5463.44', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795582', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.556361', '0', '0.830941', '-1263.33', '10.2141', '5465.93', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795583', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '-0.0506449', '0.534452', '0.0321057', '0.843069', '-1257.32', '10.6518', '5462', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795585', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_foot.iff', '0.262775', '0.72062', '-0.310704', '0.561355', '3395.54', '2.77125', '-6587.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795586', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_ribcage.iff', '0', '0.947396', '0', '0.320063', '3387.64', '6.38607', '-6585.69', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795587', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0', '0', '0', '1', '3387.03', '7.12668', '-6585.6', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795588', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '-0.121704', '-0.508321', '0.198504', '0.829092', '3389.16', '7.28611', '-6586.17', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795589', '0', 'object/static/structure/general/shared_skeleton_ithorian_headandbody.iff', '0', '0', '0', '1', '3387.79', '7.03296', '-6587.98', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795590', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0', '0', '1', '3502.64', '29.5683', '4121.94', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795591', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0', '0', '1', '3502.64', '29.5684', '4121.94', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795593', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '-0.319309', '0', '0', '0.947651', '3502.62', '29.6136', '4127.73', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795594', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '-0.319309', '0', '0', '0.947651', '3502.63', '29.614', '4127.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795595', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '-0.319309', '0', '0', '0.947651', '3502.63', '29.6144', '4127.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795597', '0', 'object/static/structure/tatooine/shared_skeleton_greater_krayt_head.iff', '0.1204', '0.937258', '-0.207015', '0.253371', '3391.97', '4.75984', '-6592.19', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795601', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0', '0.644218', '0.764842', '3475.56', '29.1587', '4128.12', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795602', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0', '0.644218', '0.764842', '3475.56', '29.1588', '4128.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795603', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0', '0.644218', '0.764842', '3475.55', '29.1588', '4128.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795605', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0', '0', '1', '3475.57', '29.2468', '4122.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795606', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0', '0', '0', '1', '3475.57', '29.2469', '4122.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795608', '0', 'object/static/installation/shared_mockup_mining_gas_harvester_style_1.iff', '0', '0', '0', '1', '2211.53', '0', '-4474.49', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795609', '0', 'object/static/installation/shared_mockup_mining_gas_harvester_style_1.iff', '0', '0', '0', '1', '2206.86', '0.001498', '-4474.58', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795610', '0', 'object/static/installation/shared_mockup_mining_gas_harvester_style_1.iff', '0', '0', '0', '1', '2211.61', '0', '-4487.33', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795611', '0', 'object/static/installation/shared_mockup_mining_gas_harvester_style_1.iff', '0', '0', '0', '1', '2206.84', '0', '-4487.36', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795612', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '-0.707105', '0', '0.707108', '2201.61', '-0.619694', '-4480.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795613', '0', 'object/static/structure/general/shared_data_terminal_s4.iff', '-0.168081', '0.686839', '0.168081', '0.68684', '2213.78', '-0.499926', '-4476.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795628', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '-0.589144', '0', '0.808028', '6484.98', '8.51965', '-2222.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795629', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0.190908', '0.764429', '-0.261836', '0.557355', '6484.16', '7.44883', '-2229.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795630', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0', '0.81942', '0', '0.573194', '6482.04', '8.50828', '-2226.24', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795631', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '-0.624897', '0', '0.780707', '6478.9', '6.62925', '-2217.39', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795632', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '0.114747', '0', '0.993395', '6477.44', '8.65406', '-2225.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795633', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '-0.564642', '0', '0.825336', '6480.63', '8.62382', '-2234.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795634', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0.114747', '0', '0.993395', '6472.3', '8.16297', '-2215.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8795635', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0', '0.110174', '0', '0.993912', '6470.49', '8.60913', '-2222.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885355', '0', 'object/static/structure/tatooine/shared_concrete_slab_tatooine_16x8.iff', '0', '0', '0', '1', '3557.13', '55.9947', '-2514.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885359', '0', 'object/static/structure/tatooine/shared_concrete_slab_tatooine_16x8.iff', '0', '0', '0', '1', '3550.85', '52.6591', '-2490.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885365', '0', 'object/static/structure/tatooine/shared_shed_junkshop_watto.iff', '0', '0', '0', '1', '3557.16', '60.6189', '-2514.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885367', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.707105', '0', '0.707108', '3555.55', '55.3838', '-2486.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885368', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0.707093', '0', '0.70712', '3561.87', '58.9205', '-2512.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885369', '0', 'object/static/structure/tatooine/shared_concrete_slab_tatooine_16x8.iff', '0', '0', '0', '1', '3557.99', '50.986', '-2514.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885443', '0', 'object/static/structure/tatooine/shared_tato_imprv_bannerpole_s01.iff', '0', '0.198669', '0', '0.980067', '153.884', '57.9793', '-5319.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885444', '0', 'object/static/structure/tatooine/shared_tato_imprv_bannerpole_s01.iff', '0', '0.703278', '0', '0.710915', '32.4825', '57.1028', '-5344.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885449', '0', 'object/static/structure/tatooine/shared_tato_imprv_flagpole_s01.iff', '0', '0', '0', '1', '61.7871', '61.3938', '-5330.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885452', '0', 'object/static/structure/tatooine/shared_tato_imprv_flagpole_s01.iff', '0', '0', '0', '1', '-1198.29', '38.5502', '-3671.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885453', '0', 'object/static/structure/tatooine/shared_tato_imprv_flagpole_s01.iff', '0', '0', '0', '1', '-1090.32', '21.2567', '-3564.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885454', '0', 'object/static/structure/tatooine/shared_tato_imprv_bannerpole_s01.iff', '0', '-0.648034', '0', '0.761611', '-1295.83', '15.7855', '-3596.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885455', '0', 'object/static/structure/tatooine/shared_tato_imprv_bannerpole_s01.iff', '0', '-0.644216', '0', '0.764843', '-1293.59', '15.7855', '-3583.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885456', '0', 'object/building/tatooine/shared_bank_tatooine.iff', '0', '0', '0', '1', '1271.13', '7.1823', '2939.29', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885457', '0', 'object/static/structure/tatooine/shared_tato_imprv_bannerpole_s01.iff', '0', '-0.430458', '0', '0.902611', '-1132.99', '12', '-3620.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885458', '0', 'object/static/structure/tatooine/shared_tato_imprv_bannerpole_s01.iff', '0', '-0.430458', '0', '0.90261', '-1125.18', '12', '-3610.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885459', '0', 'object/static/structure/tatooine/shared_tato_imprv_flagpole_s01.iff', '0', '0', '0', '1', '-1146.2', '25.3257', '-3531.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885460', '0', 'object/static/structure/tatooine/shared_tato_imprv_flagpole_s01.iff', '0', '0', '0', '1', '-1118.11', '25.3257', '-3554.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885471', '0', 'object/static/structure/tatooine/shared_tato_imprv_bannerpole_s01.iff', '0', '-0.640385', '0', '0.768054', '-1451.62', '12', '-3562.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885472', '0', 'object/static/structure/tatooine/shared_tato_imprv_bannerpole_s01.iff', '0', '0', '0', '1', '-1272.5', '12', '-3536.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885478', '0', 'object/static/structure/tatooine/shared_tato_imprv_flagpole_s01.iff', '0', '0', '0', '1', '3415.81', '14.4904', '-4664.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885479', '0', 'object/static/structure/tatooine/shared_tato_imprv_bannerpole_s01.iff', '0', '-0.448423', '0', '0.893822', '3245.05', '5', '-4531.89', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885480', '0', 'object/static/structure/tatooine/shared_tato_imprv_bannerpole_s01.iff', '0', '-0.470626', '0', '0.882333', '3236.04', '5', '-4543.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885481', '0', 'object/static/structure/tatooine/shared_tato_imprv_bannerpole_s01.iff', '0', '-0.457339', '0', '0.889293', '3302.21', '10.6971', '-4603.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885482', '0', 'object/static/structure/tatooine/shared_tato_imprv_bannerpole_s01.iff', '0', '-0.198669', '0', '0.980067', '3528.61', '10.8119', '-4823.99', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885483', '0', 'object/static/structure/tatooine/shared_tato_imprv_bannerpole_s01.iff', '0', '-0.659385', '0', '0.751806', '3507.47', '10.8728', '-4805', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885484', '0', 'object/static/structure/tatooine/shared_tato_imprv_bannerpole_s01.iff', '0', '-0.119712', '0', '0.992809', '3527.71', '10.9635', '-4791.66', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885485', '0', 'object/static/structure/tatooine/shared_tato_imprv_bannerpole_s01.iff', '0', '0.309816', '0', '0.950796', '1293.78', '7', '3130.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885486', '0', 'object/static/structure/tatooine/shared_tato_imprv_bannerpole_s01.iff', '0', '0.309816', '0', '0.950797', '1282.64', '7', '3138.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885487', '0', 'object/static/structure/tatooine/shared_tato_imprv_flagpole_s01.iff', '0', '0', '0', '1', '1745.21', '16.2593', '3192.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885488', '0', 'object/static/structure/tatooine/shared_tato_imprv_flagpole_s01.iff', '0', '0', '0', '1', '1561.1', '16.4453', '3392.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885489', '0', 'object/static/structure/tatooine/shared_tato_imprv_flagpole_s01.iff', '0', '0', '0', '1', '1510.66', '16.4453', '3390.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885490', '0', 'object/static/structure/tatooine/shared_tato_imprv_flagpole_s01.iff', '0', '0', '0', '1', '1409.81', '16.33', '3474.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885491', '0', 'object/static/structure/tatooine/shared_tato_imprv_bannerpole_s01.iff', '0', '-0.475032', '0', '0.879969', '-2894.45', '9.41535', '2129.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885492', '0', 'object/static/structure/tatooine/shared_tato_imprv_bannerpole_s01.iff', '0', '-0.475032', '0', '0.879968', '-2901.76', '9.41535', '2118.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885493', '0', 'object/static/structure/tatooine/shared_tato_imprv_flagpole_s01.iff', '0', '0', '0', '1', '-2908.82', '14.379', '1922.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885494', '0', 'object/static/structure/tatooine/shared_tato_imprv_flagpole_s01.iff', '0', '0', '0', '1', '-3123.41', '14.4377', '2188.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885495', '0', 'object/static/structure/tatooine/shared_tato_imprv_flagpole_s01.iff', '0', '0', '0', '1', '-3084.69', '31.6593', '2213.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885496', '0', 'object/static/structure/tatooine/shared_tato_imprv_bannerpole_s01.iff', '0', '0.663135', '0', '0.7485', '-2933.44', '11.0257', '2357.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885497', '0', 'object/static/structure/tatooine/shared_tato_imprv_flagpole_s01.iff', '0', '0', '0', '1', '-2968.3', '10.8104', '2342.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885498', '0', 'object/static/structure/tatooine/shared_tato_imprv_flagpole_s01.iff', '0', '0', '0', '1', '-3017.83', '10.8104', '2330.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885499', '0', 'object/static/structure/tatooine/shared_tato_imprv_bannerpole_s01.iff', '0', '-0.707106', '0', '0.707107', '-5220.66', '80.8467', '-6457.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885500', '0', 'object/static/structure/tatooine/shared_tato_imprv_bannerpole_s01.iff', '0', '0.285952', '0', '0.958244', '-5289.36', '80.3972', '-6591.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885501', '0', 'object/static/structure/tatooine/shared_tato_imprv_bannerpole_s01.iff', '0', '0.677972', '0', '0.735088', '-5064.95', '80.8857', '-6614.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885502', '0', 'object/static/structure/tatooine/shared_tato_imprv_bannerpole_s01.iff', '0', '0.699717', '0', '0.71442', '-5093.18', '80.7452', '-6500.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885746', '0', 'object/static/vehicle/e3/shared_landspeeder.iff', '-0.0124207', '-0.496725', '0.0216932', '0.867548', '3968.94', '9.07832', '2487.17', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885749', '0', 'object/static/vehicle/e3/shared_landspeeder.iff', '0', '0.987888', '0', '0.155167', '51.9549', '52', '-5354.89', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885750', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '49.547', '52', '-5355.94', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885751', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '-0.261909', '0', '0.965092', '49.1134', '52', '-5355.36', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885752', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0.703281', '0', '0', '0.710913', '49.5028', '52.1265', '-5355.58', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885753', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '-0.539632', '0', '0.841901', '54.736', '52', '-5353.34', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885754', '0', 'object/static/item/shared_item_container_organic_hide.iff', '0', '0.257081', '0', '0.96639', '54.2057', '52', '-5353.77', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885755', '0', 'object/static/vehicle/e3/shared_landspeeder.iff', '0', '0', '0', '1', '-1295.5', '12.0949', '-3474.35', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885756', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '-1295.29', '12', '-3481.69', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885757', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '-1295.63', '12', '-3481.48', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885760', '0', 'object/static/particle/shared_pt_poi_broken_electronics.iff', '0', '0', '0', '1', '-1295.59', '12.6417', '-3474.48', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885761', '0', 'object/static/item/shared_item_container_energy_solid.iff', '0', '0', '0', '1', '-1295.07', '12', '-3472.64', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885762', '0', 'object/static/item/shared_item_container_energy_solid.iff', '0', '0', '0', '1', '-1295.88', '12', '-3472.6', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885763', '0', 'object/static/item/shared_item_container_energy_solid.iff', '0', '0', '0', '1', '-1295.31', '12', '-3476.58', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885764', '0', 'object/tangible/furniture/all/shared_frn_all_toolchest_lg_s01.iff', '0', '-0.398609', '0', '0.917121', '-1292.3', '11.9051', '-3476.28', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885765', '0', 'object/static/item/shared_item_con_drink_flask.iff', '0', '0', '0', '1', '-1292.05', '13.5495', '-3476.16', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885767', '0', 'object/static/item/shared_item_con_ration_kit_lg.iff', '0', '0', '0', '1', '-1292.22', '12', '-3475.51', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885768', '0', 'object/static/item/shared_item_pistol.iff', '0', '0', '0.70328', '0.710913', '-1292.33', '13.5811', '-3476.22', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885769', '0', 'object/static/vehicle/e3/shared_landspeeder.iff', '0', '-0.617059', '0', '0.786917', '-5205.63', '75', '-6506.52', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885770', '0', 'object/static/item/shared_item_repair_melee_kit.iff', '0', '0', '0', '1', '-1294.5', '11.9368', '-3475.53', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885771', '0', 'object/static/item/shared_item_tool_hydrospanner.iff', '0', '0', '0.706825', '0.707389', '-1294.3', '12.0316', '-3475.43', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885774', '0', 'object/soundobject/shared_soundobject_hovering.iff', '0', '0', '0', '1', '-5206.52', '75', '-6506.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885775', '0', 'object/static/item/shared_item_tool_radio.iff', '0', '0.572867', '0', '0.819648', '-1295.18', '13.0436', '-3475.95', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885776', '0', 'object/static/item/shared_item_tool_tools.iff', '0.668676', '-0.217888', '-0.220253', '-0.675934', '-1294.21', '12', '-3475.16', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885777', '0', 'object/static/vehicle/e3/shared_landspeeder.iff', '0', '0.935616', '0', '0.353019', '3299.25', '5', '-4531.29', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885778', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '-1295.27', '12', '-3481.35', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885779', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '-1295.7', '12', '-3471.89', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885780', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0.288047', '0.282119', '0.640322', '0.653778', '-1295.16', '12.1265', '-3471.99', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885782', '0', 'object/static/vehicle/e3/shared_landspeeder.iff', '0', '0.950549', '0', '-0.310574', '3357.29', '5', '-4849.24', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885783', '0', 'object/static/particle/shared_particle_newbie_refrigerator_steam.iff', '0', '0.966185', '0', '-0.25785', '3968.21', '10.1844', '2489.25', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885785', '0', 'object/static/particle/shared_particle_newbie_refrigerator_steam.iff', '0', '0.966185', '0', '-0.25785', '3966.82', '9.95291', '2486.76', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885786', '0', 'object/soundobject/shared_soundobject_hovering.iff', '0', '0', '0', '1', '3968.82', '8.73838', '2487.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885789', '0', 'object/static/vehicle/e3/shared_landspeeder.iff', '0', '0.394019', '0', '0.919102', '-2982.42', '6.10121', '2514.3', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885790', '0', 'object/static/vehicle/e3/shared_landspeeder.iff', '0', '0.198669', '0', '0.980067', '-3039.49', '4.70881', '2217.59', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885799', '0', 'object/static/vehicle/e3/shared_landspeeder.iff', '0', '-0.0349929', '0', '0.999388', '1759.87', '7.0127', '3067.04', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885800', '0', 'object/static/particle/shared_pt_smoke_small.iff', '0.33255', '-0.0249881', '-0.0706403', '0.940104', '1759.58', '8.19005', '3070.01', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8885803', '0', 'object/static/particle/shared_particle_newbie_hanging_smoke.iff', '0', '0', '0', '1', '1759.7', '6.40549', '3068.04', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985368', '0', 'object/tangible/furniture/all/shared_frn_all_chair_metal_s1.iff', '0', '-0.703279', '0', '0.710914', '5940.25', '179.81', '-3828.64', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985369', '0', 'object/tangible/furniture/all/shared_frn_all_professor_desk.iff', '0', '0.703279', '0', '0.710914', '5939.43', '179.81', '-3829.03', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985370', '0', 'object/tangible/furniture/all/shared_frn_all_toolchest_med_s01.iff', '0', '0.724287', '0', '0.689498', '5939.39', '179.589', '-3827.12', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985371', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_2.iff', '0', '0.40776', '0', '0.913089', '5938.22', '180', '-3828.88', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985372', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_1.iff', '0', '0.976071', '0', '0.217452', '5940.61', '180', '-3831.57', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985373', '0', 'object/static/structure/general/shared_data_terminal_free_s1.iff', '0', '0', '0', '1', '5940.56', '179.747', '-3830.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985374', '0', 'object/static/structure/general/shared_data_terminal_s2.iff', '0', '0', '0', '1', '5941.64', '179.715', '-3830.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985375', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0', '0', '1', '5940.64', '179.81', '-3828.7', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985377', '0', 'object/static/structure/general/shared_sandcrawler_debris_01.iff', '0.00678457', '-0.0846262', '-0.0796262', '0.993203', '5669.85', '179.069', '-5769.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985378', '0', 'object/static/structure/general/shared_prp_junk_s1.iff', '-0.0534509', '-0.118102', '0.408842', '0.903351', '5664.2', '176.038', '-5768.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985379', '0', 'object/static/structure/general/shared_prp_junk_s2.iff', '-0.40457', '0.893632', '-0.0795718', '0.177241', '5659.24', '173.47', '-5773.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985380', '0', 'object/static/structure/general/shared_prp_junk_s2.iff', '0.780721', '-0.604976', '0.13652', '0.0764284', '5663.12', '175.302', '-5776.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985381', '0', 'object/static/structure/general/shared_prp_junk_s2.iff', '0.996435', '-0.0643717', '0.00589047', '-0.0542137', '5658.53', '168.576', '-5775.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985396', '0', 'object/static/structure/general/shared_gravestone_generic_style_02.iff', '0', '-0.309816', '0', '0.950796', '1881.23', '8.34433', '-3028.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985397', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_01.iff', '0', '0', '0', '1', '1881.05', '4.65438', '-3030.57', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985398', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_01.iff', '-0.154312', '0.690064', '0.154312', '-0.690064', '1882.7', '5.4322', '-3030.66', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985400', '0', 'object/static/structure/general/shared_gravestone_generic_style_04.iff', '0', '-0.314567', '0', '0.949235', '1880.13', '8.33348', '-3029.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985437', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0', '0', '1', '871.617', '185.73', '-1060.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985438', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0.232843', '0', '0.972514', '872.935', '185.992', '-1060.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985439', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0', '0', '1', '872.274', '186.007', '-1059.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985440', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0', '0.713864', '-0.700285', '872.399', '187.254', '-1060.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985441', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '-0.069122', '-0.302007', '0.212129', '0.926831', '873.684', '186.25', '-1059.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985442', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0.164252', '0', '0.986418', '873.028', '186.507', '-1057.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985443', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0.558009', '0.358294', '0.629841', '-0.404416', '872.853', '187.743', '-1058.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985444', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0', '0', '1', '870.687', '186.237', '-1059.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985445', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0', '0', '1', '871.007', '187.063', '-1060.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985446', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0', '0.937369', '0.348337', '871.184', '187.696', '-1059.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985448', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0', '0', '1', '872.206', '188.946', '-1059.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985477', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '1', '0', '-4.81489e-06', '5461.89', '30.633', '2138.18', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985478', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.707084', '0', '0.707129', '5461.88', '34.9139', '2139.18', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985479', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.707087', '0', '0.707126', '5456.62', '26.3594', '2139.14', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985480', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.707081', '0', '0.707132', '5456.64', '30.6369', '2139.14', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985481', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.707089', '0', '0.707124', '5461.9', '26.3514', '2139.19', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985482', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.707068', '0', '0.707145', '5456.65', '34.9251', '2139.16', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985483', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0.51974', '-0.39966', '-0.302187', '-0.691972', '3269.79', '171.984', '-3664.19', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985484', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '-0.173628', '-0.210076', '0.571398', '0.774097', '3277.19', '168.57', '-3676.76', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985485', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '-0.571398', '0.774096', '-0.173628', '0.210076', '3279.34', '175.434', '-3675.66', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985486', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '-0.0823879', '-0.248614', '0.303586', '0.9161', '3275.71', '178.709', '-3668.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985487', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0.500024', '0.499975', '0.499975', '-0.500024', '5457.63', '39.1709', '2139.17', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985488', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '-0.222108', '-0.106649', '0.838305', '0.486352', '3271.27', '164.551', '-3671.38', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985492', '0', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff', '0', '0', '0', '1', '2971.22', '47.0741', '6443.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985493', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0', '0', '1', '2977.3', '47.1263', '6443.87', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985494', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '7.72714e-09', '-0.707106', '-7.72714e-09', '0.707108', '2977', '46.6957', '6448.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985495', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '0', '0', '1', '2971.02', '47.9136', '6452.14', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985496', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '-0.707106', '0', '0.707107', '2985.36', '46.4508', '6457.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985497', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0', '0', '0', '1', '2977.32', '47.8317', '6454.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985498', '0', 'object/static/structure/tatooine/shared_concrete_slab_tatooine_16x8.iff', '0', '0', '0', '1', '2985.38', '38.4858', '6465.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985499', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff', '0', '0.707107', '0', '-0.707107', '2962.99', '46.3386', '6458.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985500', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '1.0096e-08', '4.18191e-09', '-0.382683', '0.92388', '2993.66', '44.4965', '6465.39', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985501', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '1', '0', '-4.94834e-07', '2989.28', '46.4582', '6472.33', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985503', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0.653281', '0.270598', '-0.270598', '0.653282', '2979.48', '48.7291', '6467.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985504', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '-0.707106', '0', '0', '0.707107', '2977.54', '49.4702', '6466.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985505', '0', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff', '0.65328', '-0.270598', '-0.270598', '-0.653282', '2980.79', '49.8639', '6470.94', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985506', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '0', '-0.382683', '0', '0.92388', '2979.05', '47.5585', '6468.5', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985507', '0', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff', '4.18191e-09', '-0.382683', '1.0096e-08', '0.92388', '2980.49', '47.6728', '6472.07', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985509', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0', '0', '1', '-844.801', '264.82', '2716.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985511', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '0', '0', '0.42141', '0.90687', '-846.35', '263.807', '2716.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985512', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '0', '0', '0', '1', '-844.397', '269.88', '2700.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985514', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '1', '0', '-1.84353e-06', '1856.43', '4.97819', '1467.91', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985516', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '0', '0.707108', '0', '0.707105', '1856.56', '4.94269', '1463.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985517', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '1', '0', '-1.84353e-06', '1855.68', '4.99104', '1467.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985518', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '-847.01', '269.508', '2700.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985520', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '1', '0', '-2e-06', '1856.4', '4.97335', '1476.96', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985522', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '0', '0.707108', '0', '0.707105', '1856.53', '5.01501', '1472.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985523', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '1', '0', '-2e-06', '1855.65', '4.96605', '1476.96', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985524', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '1', '0', '-2e-06', '1855.7', '4.64551', '1449.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985525', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '1', '0', '-2e-06', '1856.43', '5.11436', '1458.82', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985526', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '1', '0', '-2e-06', '1856.45', '4.65089', '1449.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985527', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '0', '0.707108', '0', '0.707105', '1856.57', '4.87813', '1454.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985528', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '1', '0', '-2e-06', '1855.69', '5.09773', '1458.81', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985529', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '-840.521', '268.714', '2700.74', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985531', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0', '0', '1', '-854.068', '274.452', '2691.18', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985532', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '0', '0', '0', '1', '-851.456', '274.986', '2690.69', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985533', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.707106', '0', '0.707107', '-848.492', '273.944', '2691.2', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985534', '0', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff', '0', '0', '0', '1', '-848.909', '266.86', '2707.86', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985535', '0', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff', '0', '0', '0', '1', '-843.081', '267.673', '2709.46', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985536', '0', 'object/static/structure/tatooine/shared_skeleton_greater_krayt_head.iff', '0.304939', '0.375752', '0.155433', '0.861199', '-2827.04', '275.853', '6063.26', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985538', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_ribcage.iff', '-0.0831063', '0.411359', '0.0652699', '0.905327', '-2831.42', '276.567', '6059.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985539', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_tail.iff', '-0.0900644', '0.46018', '0.298367', '0.831324', '-2835.65', '274.798', '6054.13', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985540', '0', 'object/static/structure/tatooine/shared_skeleton_krayt_leg_style_02.iff', '0.442294', '-0.165995', '0.0859063', '0.877178', '-2832.66', '272.989', '6065.16', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985553', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.707102', '0', '0.707111', '5772.88', '49.4379', '3988.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985554', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.707102', '0', '0.707111', '5782.05', '49.7464', '3987.59', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985555', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.707102', '0', '0.707111', '5772.89', '49.5343', '3987.57', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985556', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '0', '1', '0', '-2e-06', '5777.96', '49.606', '3987.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985557', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.707102', '0', '0.707111', '5782.05', '49.6522', '3988.34', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985558', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0', '0', '1', '5775.3', '50.5565', '3973.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985559', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '1', '0', '3.20013e-08', '5769.13', '49.397', '3987.56', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985560', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '0', '0', '1', '5782.85', '50.0696', '3978.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985561', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff', '0', '-0.707106', '0', '0.707107', '2974.89', '2.0644', '-477.14', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985562', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff', '0', '-0.707106', '0', '0.707107', '2992.04', '5.54491', '-477.122', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985563', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff', '0', '0', '0', '1', '3005.8', '5.04848', '-477.14', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985564', '0', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff', '0', '-0.707106', '0', '0.707107', '3015.6', '5.1368', '-477.501', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985565', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.707106', '0', '0.707107', '3023.97', '2.30668', '-477.492', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985566', '0', 'object/static/structure/tatooine/shared_concrete_slab_tatooine_16x8.iff', '0', '0', '0', '1', '3651.56', '92.2847', '-3381.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985567', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.707096', '0', '0.707117', '3646.71', '100.08', '-3386.05', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985568', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.707099', '0', '0.707114', '3655.88', '100.169', '-3386.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985569', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.707098', '0', '0.707115', '3646.72', '100.073', '-3386.8', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985570', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '0', '1', '0', '-2e-06', '3651.79', '100.462', '-3386.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985571', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.707098', '0', '0.707115', '3655.88', '100.168', '-3386.04', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985572', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.707089', '0', '0.707124', '3646.57', '100.083', '-3374.24', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985573', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.707094', '0', '0.707119', '3655.74', '99.9596', '-3374.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985574', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.707092', '0', '0.707121', '3646.58', '100.087', '-3374.99', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985575', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff', '7.2679e-07', '0.92388', '0.382683', '-1.86374e-06', '3651.65', '100.713', '-3377.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '8985576', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '-0.707094', '0', '0.707119', '3655.74', '99.97', '-3374.23', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '9185421', '0', 'object/tangible/terminal/shared_terminal_mission_bounty.iff', '0', '-0.40319', '0', '0.915116', '-5285.21', '7.88069', '2657.61', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9185423', '0', 'object/tangible/terminal/shared_terminal_mission_imperial.iff', '0', '0', '0', '1', '-5302.75', '8.5', '2660.95', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9435415', '0', 'object/tangible/furniture/all/shared_frn_all_data_terminal_free_s1.iff', '0', '-0.0499792', '0', '0.99875', '65.2005', '52', '-5378.21', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9435419', '0', 'object/tangible/furniture/modern/shared_bar_piece_straight_s2.iff', '7.72715e-09', '-0.707106', '7.72715e-09', '0.707107', '66.434', '52', '-5375.93', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9435420', '0', 'object/static/item/shared_item_document.iff', '0', '0.285952', '0', '0.958244', '66.2849', '52.5692', '-5376.2', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '9435421', '0', 'object/static/item/shared_item_document.iff', '0', '-0.0898786', '0', '0.995953', '66.4657', '52.5692', '-5375.89', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '9435422', '0', 'object/static/item/shared_item_carbine_dh17.iff', '0.313919', '-0.313919', '0.633605', '-0.633605', '66.122', '52.585', '-5375.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '9435423', '0', 'object/static/item/shared_item_con_ration_kit_lg.iff', '0', '0.982789', '0', '-0.184729', '66.2887', '52.5692', '-5376.98', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '9435425', '0', 'object/tangible/furniture/technical/shared_couch_s01.iff', '0', '-0.277121', '0', '0.960835', '68.5942', '52', '-5377.18', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515355', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '0.526943', '0', '0.849901', '-1280.27', '12', '-3541.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515357', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '0.62614', '0', '0.779711', '-1280.7', '12', '-3540.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515367', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0.789504', '0', '-0.613746', '-1273.4', '12', '-3629.71', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515368', '0', 'object/static/structure/tatooine/shared_skeleton_greater_krayt_head.iff', '-0.211749', '0.468338', '-0.33486', '0.789741', '-1292.8', '11.9801', '-3563.86', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515370', '0', 'object/tangible/crafting/station/shared_public_food_station.iff', '0', '0.922996', '0', '0.384809', '-1264.13', '12', '-3562.61', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515371', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0.924606', '0', '0.380925', '-1265.65', '12', '-3559.78', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515379', '0', 'object/static/structure/general/shared_droid_21bmedical_powerdown.iff', '0', '0', '0', '1', '-1265.99', '12', '-3583.41', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515380', '0', 'object/tangible/crafting/station/shared_public_food_station.iff', '0', '0.947778', '0', '-0.318932', '3526.11', '5', '-4773.49', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515381', '0', 'object/tangible/crafting/station/shared_public_structure_station.iff', '0', '0.338197', '0', '0.941075', '3499.37', '5', '-4807.65', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515386', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0.991665', '0', '0.128844', '-1284.07', '11.9368', '-3630.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515391', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0.939645', '0', '-0.342149', '-1250.22', '12', '-3545.29', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515392', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0.954086', '0', '-0.299533', '-1267.26', '12', '-3530.83', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515393', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0.951043', '0', '-0.309059', '-1271.77', '12', '-3601.42', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515394', '0', 'object/static/structure/general/shared_data_terminal_free_s1.iff', '0', '0.939099', '0', '-0.343646', '-1272.34', '12', '-3597.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515395', '0', 'object/static/structure/general/shared_data_terminal_free_s2.iff', '0', '0.300293', '0', '0.953847', '-1273.88', '12', '-3603.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515398', '0', 'object/tangible/crafting/station/shared_public_weapon_station.iff', '0', '0.947651', '0', '-0.319309', '3497.04', '5', '-4756.85', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515399', '0', 'object/tangible/crafting/station/shared_public_clothing_station.iff', '0', '0.905729', '0', '0.423857', '3510.45', '5', '-4813.3', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515402', '0', 'object/static/structure/general/shared_debris_deathstar_conduit.iff', '-0.047413', '0.0499962', '-0.137256', '0.988136', '3512.81', '4.96108', '-4799.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515403', '0', 'object/static/structure/general/shared_debris_deathstar_large_tube.iff', '-0.0199987', '0', '0', '0.9998', '3520.25', '5.00017', '-4791.44', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515404', '0', 'object/static/structure/general/shared_debris_deathstar_small_chunk.iff', '0', '0.897911', '0', '-0.440178', '3518.48', '5', '-4786.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515405', '0', 'object/static/structure/general/shared_debris_deathstar_small_tube.iff', '0', '0', '0', '1', '3516.39', '5', '-4799.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515410', '0', 'object/tangible/speaker/shared_speaker.iff', '0', '0.997888', '0', '-0.0649542', '3469.86', '5', '-4785.24', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515411', '0', 'object/tangible/speaker/shared_speaker.iff', '0', '0.862807', '0', '-0.505533', '3475.68', '5', '-4789.77', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515412', '0', 'object/tangible/instrument/shared_bandfill.iff', '0.0119708', '0.982975', '0.134147', '-0.124989', '3473.38', '6.58114', '-4786.66', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515414', '0', 'object/static/item/shared_item_music_microphone_s1.iff', '0', '0.969944', '0', '-0.243329', '3470.73', '5', '-4790.07', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515432', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '0', '0', '0', '1', '1326.79', '7', '3137.22', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515433', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '0', '0.247404', '0', '0.968912', '1324.63', '7', '3105.91', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515462', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_fruit_stand_small_style_01.iff', '0', '0.857299', '0', '-0.514819', '1327.01', '7', '3130.32', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515463', '0', 'object/tangible/crafting/station/shared_public_food_station.iff', '0', '-0.707105', '0', '0.707108', '1326.6', '6.74751', '3136.3', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515467', '0', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '0.955987', '0', '0.293407', '-2934.52', '5', '2116.04', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515468', '0', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '0.198732', '0', '0.980054', '-2933.77', '5', '2115.38', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515469', '0', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '0.255782', '0', '0.966734', '-2934.2', '5', '2117.4', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515472', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.300293', '0', '0.953847', '1278.04', '7', '3137.28', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515475', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0', '0', '1', '1325.24', '7', '3149.54', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515479', '0', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '0', '0', '1', '1326.59', '7', '3147.99', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515481', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '1326.45', '7', '3151.16', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515482', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '1325.16', '7', '3151.37', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515486', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '0.492535', '0', '0.870293', '-2934.22', '5', '2121.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515487', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '0.706825', '0', '0.707388', '-2933.77', '5', '2119.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515489', '0', 'object/tangible/crafting/station/shared_public_weapon_station.iff', '0', '-0.49688', '0', '0.867819', '1325.45', '7', '3103.99', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515490', '0', 'object/static/item/shared_item_container_energy_radioactive.iff', '0', '0', '0', '1', '1327.93', '7', '3107.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515491', '0', 'object/static/item/shared_item_container_energy_solid.iff', '0', '0', '0', '1', '1326.65', '7', '3107.97', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515492', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '0', '-0.0449848', '0', '0.998988', '1308.57', '7', '3085.26', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515494', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '1307.85', '7', '3081.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515495', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.119712', '0', '0.992809', '1309.45', '7', '3082.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515496', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.992809', '0', '0.119712', '1310.92', '7', '3082.06', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515501', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.628793', '0', '0.777573', '1306.55', '7', '3088.23', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515502', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.813415', '0', '-0.581683', '1324.88', '7', '3109.93', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515503', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.770739', '0', '-0.637151', '1328.1', '7.00045', '3140.84', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515504', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.795602', '0', '-0.60582', '1326.64', '7', '3149.49', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515505', '0', 'object/tangible/microphone/shared_microphone.iff', '0', '0.64773', '0', '0.76187', '1294.07', '7', '3174.49', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515506', '0', 'object/tangible/speaker/shared_speaker.iff', '0', '0.804835', '0', '0.593498', '1289.44', '7', '3168.42', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515507', '0', 'object/tangible/speaker/shared_speaker.iff', '0', '0.556692', '0', '0.830719', '1288.76', '7', '3177.16', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515508', '0', 'object/tangible/instrument/shared_ommni_box.iff', '0', '0.734818', '0', '-0.678264', '1290.18', '7', '3173.07', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515509', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.678264', '0', '0.734818', '1288.61', '7', '3172.88', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515515', '0', 'object/static/structure/general/shared_debris_deathstar_conduit.iff', '-0.038495', '-0.194904', '-0.189904', '0.961492', '-1493.09', '27.003', '987.056', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515516', '0', 'object/static/structure/general/shared_debris_deathstar_small_chunk.iff', '0', '0', '0', '1', '-1483.99', '30.0445', '977.511', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515517', '0', 'object/static/structure/general/shared_debris_deathstar_conduit.iff', '0.396542', '0.79041', '-0.209374', '-0.417337', '-1471.86', '31.8643', '983.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515518', '0', 'object/static/structure/general/shared_debris_deathstar_storage.iff', '0.452678', '-0.0663517', '0.0480848', '0.887901', '-1477.56', '30.3128', '993.333', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515521', '0', 'object/static/structure/general/shared_campfire_burnt.iff', '0', '0', '0.0848977', '0.99639', '-1478.02', '30.2879', '996.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515523', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '0', '-0.0249974', '0', '0.999687', '1291.17', '7', '3172.92', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515527', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '0', '0.731417', '0', '-0.68193', '1274.85', '7', '3153.85', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515529', '0', 'object/tangible/crafting/station/shared_public_clothing_station.iff', '0', '0.734548', '0', '-0.678557', '1267.93', '7', '3155.42', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515530', '0', 'object/tangible/crafting/station/shared_public_structure_station.iff', '0', '0.99955', '0', '0.0299955', '1280.55', '7', '3155.29', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515532', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '-0.174108', '0', '0', '0.984727', '1281.54', '7.82489', '3155.92', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515533', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '-0.174073', '-0.0196932', '0.00348193', '0.98453', '1267.58', '7.82125', '3155.77', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515539', '0', 'object/static/item/shared_item_container_organic_hide.iff', '0', '0', '0', '1', '1270.64', '7', '3155.94', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515540', '0', 'object/static/item/shared_item_container_organic_hide.iff', '0', '0.139543', '0', '0.990216', '1271.61', '7', '3156.11', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515541', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.707106', '0', '0.707107', '1277.27', '7', '3156.06', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515542', '0', 'object/static/item/shared_item_container_organic_structure.iff', '0', '0.0449848', '0', '0.998988', '1275.63', '7', '3156.03', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515543', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '1', '0', '-3.20013e-08', '1273.7', '7', '3155.11', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515547', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '-0.00349346', '0.034818', '0.0798657', '0.996191', '-183.183', '157.267', '1916.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515548', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0', '0', '0', '1', '-160.464', '156.318', '1919.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515549', '0', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff', '0.133359', '-0.502222', '-0.159902', '0.839297', '-156.083', '146.931', '1938.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515554', '0', 'object/static/structure/general/shared_campfire_ash.iff', '0', '0', '-0.00499998', '0.999987', '-162.929', '145.857', '1942.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515617', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0.552199', '0', '0.833712', '-2933.38', '5', '2124.95', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515619', '0', 'object/tangible/microphone/shared_microphone.iff', '0', '0.991562', '0', '-0.129634', '-2890.36', '5', '2171.3', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515620', '0', 'object/tangible/speaker/shared_speaker.iff', '0', '0.990216', '0', '0.139543', '-2886.5', '5', '2170.72', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515621', '0', 'object/tangible/speaker/shared_speaker.iff', '0', '0.79886', '0', '-0.601517', '-2895.14', '5', '2173.79', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515623', '0', 'object/tangible/instrument/shared_nalargon.iff', '0', '0.990216', '0', '-0.139543', '-2891.19', '5', '2173.41', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515629', '0', 'object/tangible/instrument/shared_ommni_box.iff', '0', '0.994206', '0', '-0.107491', '-2888.65', '5', '2172.9', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515631', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0.767543', '0', '-0.640998', '-2890.56', '5', '2178.47', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515651', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.977146', '0', '0.212569', '1223.48', '78.1641', '6031.83', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515652', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.20846', '0', '0.978031', '1224.48', '78.2673', '6029.43', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515653', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.824886', '0', '-0.5653', '1225.25', '78.3037', '6031.15', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515654', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.964884', '0', '-0.262678', '1224.5', '78.2399', '6031.86', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515655', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.505533', '0', '0.862807', '1225.12', '78.3068', '6030.08', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515656', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.565957', '0', '0.824435', '1222.7', '78.1269', '6030.11', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515658', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0.824885', '0', '-0.5653', '1227.79', '78.504', '6032.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515659', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.180596', '0', '0.983557', '1223.55', '78.1991', '6029.39', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515660', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.783327', '0', '0.621611', '1222.74', '78.1167', '6031.22', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515668', '0', 'object/static/structure/general/shared_campfire_smoldering.iff', '0', '0', '0', '1', '1224', '78.2319', '6030.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515670', '0', 'object/tangible/crafting/station/shared_public_clothing_station.iff', '0', '0.283747', '0', '0.958899', '-2895.2', '5', '2133.95', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515671', '0', 'object/tangible/crafting/station/shared_public_food_station.iff', '0', '-0.477405', '0', '0.878683', '-2891.36', '5', '2139.44', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515672', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0.445703', '0', '0.895181', '-2889.34', '5', '2143.3', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515693', '0', 'object/tangible/crafting/station/shared_public_structure_station.iff', '0', '0.993486', '0', '-0.113956', '-2870.75', '5', '2160.75', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515694', '0', 'object/tangible/crafting/station/shared_public_weapon_station.iff', '0', '-0.0799147', '0', '0.996802', '-2877.12', '5', '2143.05', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515701', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0.622686', '0', '0.782472', '-3160.09', '5', '2122.43', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515702', '0', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '-0.116446', '0', '0.993197', '-3156.26', '5', '2121.3', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515703', '0', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '-0.592294', '0', '0.805722', '-3162.83', '5', '2119.44', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515704', '0', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '0.999551', '0', '-0.0299744', '-3159.82', '5', '2120.52', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515705', '0', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '-0.700157', '0', '0.713989', '-3155.81', '5', '2122.63', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515706', '0', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '-0.0434109', '0', '0.999057', '-3155.27', '5', '2121.76', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '9515707', '0', 'object/static/item/shared_item_con_barrel_lg_s1.iff', '0', '0', '0', '1', '-3164.04', '5', '2119.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '9645545', '0', 'object/static/vehicle/e3/shared_landspeeder.iff', '0', '0', '0', '1', '1474.97', '7', '3463.41', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '9645547', '0', 'object/static/creature/shared_droids_r2.iff', '0', '-0.232843', '0', '0.972514', '1476.66', '7', '3462.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '9655397', '0', 'object/static/structure/tatooine/shared_debris_tatt_radar_dish.iff', '-0.066573', '-0.207827', '0.297706', '0.92938', '1090.75', '7.03871', '857.617', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '9655398', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '-0.0785951', '0.208805', '-0.343395', '0.912306', '1103.18', '7.82635', '874.783', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '9655430', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '3311.31', '5', '-4908.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '9655460', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '-0.0449842', '0', '0.998988', '3392.87', '5', '-4794.25', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9655461', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0.836026', '0', '-0.54869', '3394.21', '5', '-4793.77', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9655474', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.475032', '0', '0.879968', '3279.75', '5', '-4686.93', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '9655475', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.285951', '0', '0.958244', '3276.71', '5', '-4684.71', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '9655476', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff', '0', '-0.475032', '0', '0.879969', '3286.75', '5', '-4691.45', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '9655477', '0', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff', '0', '0.285951', '0', '0.958244', '3283.71', '5', '-4689.22', '128', '1');
INSERT INTO `staticobjects` VALUES ('8', '9655478', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '3228.46', '5', '-4788.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '9655479', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '3257.34', '5', '-4789.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '9655480', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '3206.22', '5', '-4758.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '9655483', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '-0.389418', '0', '0.921061', '3331.6', '5', '-4860.57', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9655484', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.75128', '0', '-0.659983', '3333.25', '5', '-4860.19', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9655485', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.961275', '0', '0.27559', '3330.82', '5', '-4859.07', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9655486', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '0', '-0.389418', '0', '0.921061', '3331.56', '5', '-4860.58', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9655487', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.344395', '0', '0.938825', '3330.93', '5', '-4862.05', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9655488', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '-0.389418', '0', '0.921061', '3324.55', '5', '-4864.37', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9655489', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.75128', '0', '-0.659983', '3326.2', '5', '-4864', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9655490', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.961275', '0', '0.27559', '3323.76', '5', '-4862.87', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9655491', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '0', '-0.389418', '0', '0.921061', '3324.51', '5', '-4864.39', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9655492', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.344395', '0', '0.938825', '3323.88', '5', '-4865.85', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9655494', '0', 'object/building/tatooine/shared_hospital_tatooine_s02.iff', '0', '0.309817', '0', '0.950796', '3529.21', '5', '-4753.1', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '9655495', '9655494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '9655496', '9655494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '9655497', '9655494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '9655502', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0.126252', '-0.421772', '0.0594369', '0.8959', '3495.21', '5.58524', '-4868.64', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '9655503', '0', 'object/static/structure/general/shared_prp_junk_s7.iff', '0.893328', '-0.121498', '-0.284531', '-0.325955', '3480.15', '8.14974', '-4829.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '9655504', '0', 'object/static/structure/general/shared_debris_deathstar_conduit.iff', '0.995566', '3.18594e-08', '0.0940644', '-3.01018e-09', '3480.2', '6.3373', '-4822.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '9655505', '0', 'object/static/structure/general/shared_landing_pad_shuttle.iff', '0', '-0.479426', '0', '0.877582', '3446.66', '5', '-4638.25', '256', '1');
INSERT INTO `staticobjects` VALUES ('8', '9655506', '0', 'object/tangible/furniture/all/shared_frn_all_toolchest_lg_s01.iff', '0', '-0.539632', '0', '0.841901', '3456.15', '5', '-4639.74', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9655507', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.129634', '0', '0.991562', '3437.83', '5', '-4635.95', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '9745390', '0', 'object/building/tatooine/shared_guild_university_tatooine_style_02.iff', '0', '1', '0', '3.20013e-08', '1434.71', '7', '3390.56', '512', '1');
INSERT INTO `staticobjects` VALUES ('8', '9745391', '9745390', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '9745392', '9745390', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '9745393', '9745390', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '9745394', '9745390', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '9745395', '9745390', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '9745396', '9745390', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '9745397', '9745390', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '9745398', '9745390', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '9745399', '9745390', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('8', '9745401', '0', 'object/static/item/shared_wp_mle_lance_vibrolance.iff', '0.996379', '0.0548562', '-0.00357068', '-0.064856', '-2978.21', '6.01193', '2460.7', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '9745402', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '0.35012', '0', '0.936705', '-1074.82', '12', '-3591.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '9745408', '0', 'object/tangible/terminal/shared_terminal_mission_imperial.iff', '0', '0.936705', '0', '-0.35012', '-1068.16', '12', '-3596.9', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9745410', '0', 'object/tangible/terminal/shared_terminal_mission_imperial.iff', '0', '0.936705', '0', '-0.35012', '-1069.27', '12', '-3595.95', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9745412', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '0.35012', '0', '0.936705', '-1066.42', '12', '-3598.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '9745413', '0', 'object/static/item/shared_wp_mle_baton_gaderiffi.iff', '-0.00118519', '0.993898', '-0.109772', '-0.0107309', '-5271.25', '75.4743', '-6568.41', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '9745414', '0', 'object/static/creature/shared_tatooine_bantha_saddle.iff', '0', '0.955572', '0', '-0.294759', '-5267.39', '75', '-6563.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '9745419', '0', 'object/static/flora/shared_flora_flower_tato_funnel.iff', '0.535686', '0.433189', '0.455772', '-0.563613', '-5269.53', '75', '-6565.01', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '9745420', '0', 'object/static/flora/shared_flora_flower_tato_funnel_med.iff', '0.644218', '0', '0', '0.764842', '-5269.34', '75', '-6565.47', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '9745421', '0', 'object/static/flora/shared_flora_flower_tato_funnel_med.iff', '-0.0114198', '-0.0608312', '-0.690495', '0.720685', '-5268.86', '75', '-6565.44', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '9745424', '0', 'object/static/flora/shared_flora_plant_tato_pika.iff', '0', '0.977865', '0', '-0.209239', '-5268.44', '75.0316', '-6564.68', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '9745425', '0', 'object/static/flora/shared_flora_plant_tato_pika_tri.iff', '0', '0', '0', '1', '-5269.43', '75', '-6565.34', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '9745427', '0', 'object/static/item/shared_item_sclpt_stuffed_bantha.iff', '0', '-0.605186', '0', '0.796084', '-5268.19', '75.3162', '-6566.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '9755355', '0', 'object/static/structure/general/shared_r5_head.iff', '-0.28594', '0.00252087', '8.82671e-05', '0.958244', '-1312.21', '11.3043', '-3617.94', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '9755365', '0', 'object/static/structure/general/shared_droid_r5_powerdown.iff', '0.632673', '0', '0', '0.774419', '3525.84', '5.17', '-4828.1', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '9755367', '0', 'object/static/structure/general/shared_droid_r4_powerdown.iff', '-0.139716', '0.854693', '0.402373', '0.296774', '3516.33', '5.06546', '-4799.13', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '9755369', '0', 'object/static/structure/general/shared_data_terminal_free_s1.iff', '0', '-0.534069', '0', '0.845441', '1305.94', '7', '3111.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('8', '9755370', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0.505534', '0', '0.862807', '1303.14', '7', '3112.8', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '9755371', '0', 'object/static/structure/general/shared_droid_r2_powerdown.iff', '0', '0.666869', '0', '0.745175', '1300.42', '7', '3112.44', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '9755374', '0', 'object/static/structure/general/shared_droid_r5_powerdown.iff', '0', '0.651834', '0', '0.758362', '1300.21', '7', '3114.43', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '9755375', '0', 'object/static/structure/general/shared_droid_ra7_powerdown.iff', '0', '0.526945', '0', '0.8499', '1301.07', '7', '3111.53', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '9755376', '0', 'object/static/structure/general/shared_droid_r3_powerdown.iff', '-0.518418', '0', '0', '0.855127', '1301.95', '7.10337', '3111.32', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '9755380', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0.146155', '0.206119', '-0.0311519', '0.967049', '-2938.24', '5.57774', '2162.28', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '9755381', '0', 'object/static/structure/general/shared_droid_r2_powerdown.iff', '0', '0.40319', '0', '0.915116', '-2936.52', '5', '2161.45', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '9755386', '0', 'object/static/structure/general/shared_r5_leg.iff', '0', '-0.29074', '0', '0.956802', '-2939.3', '5', '2163.1', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '9755387', '0', 'object/static/structure/general/shared_droid_r4_powerdown.iff', '0', '-0.227978', '0', '0.973666', '-2939.47', '5.06975', '2163.98', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '9835352', '0', 'object/static/installation/shared_mockup_power_generator_photo_bio_style_1.iff', '0', '0.99955', '0', '0.0299955', '-5216.16', '75', '-6532.91', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '9995352', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.674583', '0', '0.738199', '3401.63', '5', '-4840.72', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9995353', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '-0.203177', '0', '0.979142', '3401.52', '5', '-4841.74', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9995354', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '0', '0.325922', '0', '0.945397', '3401.07', '5.11548', '-4841.72', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '9995355', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.539968', '0', '0.841686', '3399.24', '5', '-4841.54', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '9995356', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.184338', '0', '0.982863', '3399.48', '5', '-4843.13', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '9995357', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.980066', '0', '-0.19867', '3422.55', '5', '-4847.06', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9995358', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '0.735088', '0', '0.677972', '3421.71', '5', '-4846.48', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9995359', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '0', '0.898958', '0', '0.438035', '3419.42', '5.11548', '-4845.79', '64', '1');
INSERT INTO `staticobjects` VALUES ('8', '9995360', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0.877583', '0', '0.479425', '3416.97', '5', '-4843.74', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '9995361', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.63329', '0', '0.773915', '3415.77', '5', '-4844.8', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '9995362', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_meat_rack.iff', '0', '-0.271547', '0', '0.962425', '3418.66', '5', '-4846.03', '50', '1');
INSERT INTO `staticobjects` VALUES ('8', '9995363', '0', 'object/static/structure/tatooine/shared_debris_tatt_radar_dish.iff', '-0.41294', '-0.0261144', '-0.472904', '0.77792', '3443.26', '6.1759', '-4850.31', '32', '1');
INSERT INTO `staticobjects` VALUES ('8', '9995370', '0', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff', '0', '0.880351', '0', '0.474322', '3331.65', '5', '-4681.94', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '468317', '0', 'object/building/yavin/shared_temple_blueleaf.iff', '0', '-0.648035', '0', '0.761611', '-830.1', '86.0519', '-2056.05', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '468318', '468317', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '468319', '468317', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '9145383', '468319', 'object/tangible/container/loot/shared_placable_loot_crate_trashpile.iff', '0', '0', '0', '1', '14.2953', '-37.2976', '14.3437', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '9145384', '468319', 'object/tangible/container/loot/shared_placable_loot_crate_trashpile.iff', '0', '0.783327', '0', '0.62161', '-7.87265', '-37.2976', '-30.5549', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '9765485', '468319', 'object/tangible/container/loot/shared_placable_loot_crate_trashpile.iff', '0', '-0.648036', '0', '0.76161', '9.56524', '-37.2976', '-24.9289', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '9765486', '468319', 'object/tangible/container/loot/shared_placable_loot_crate_trashpile.iff', '0', '-0.648036', '0', '0.76161', '-2.63087', '-37.2976', '-34.5987', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '1366070', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '-0.0898786', '0', '0.995953', '-293.403', '35.0003', '4818.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '1512719', '0', 'object/building/military/shared_outpost_starport.iff', '0', '1', '0', '-6.63422e-07', '4032.56', '37', '-6234.47', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '1512720', '1512719', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '1512788', '1512720', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0', '0', '1', '-8.76259', '0.146595', '-19.1492', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '1512785', '0', 'object/static/structure/general/shared_streetlamp_small_style_01_on.iff', '0', '0.0349929', '0', '0.999388', '4041.89', '37', '-6249.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '1512786', '0', 'object/static/vehicle/shared_static_lambda_shuttle.iff', '0', '0.707951', '0', '0.706262', '4032.35', '37.048', '-6254.77', '256', '1');
INSERT INTO `staticobjects` VALUES ('9', '1512787', '0', 'object/static/structure/general/shared_streetlamp_small_style_01_on.iff', '0', '0.0349929', '0', '0.999388', '4020.44', '37', '-6259.52', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '1627780', '0', 'object/building/general/shared_bunker_mad_bio.iff', '0', '0.8699', '0', '-0.493228', '-6449.35', '82.3105', '-400.525', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '1627781', '1627780', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '1627782', '1627780', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '1627783', '1627780', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '1627784', '1627780', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '1627785', '1627780', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '1627786', '1627780', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '1627787', '1627780', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '1627788', '1627780', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '1627789', '1627780', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '1627790', '1627780', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '4245460', '1627790', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_rebel_assassination_03.iff', '0', '0', '0', '1', '-124.91', '-18', '-61.3309', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '4245461', '1627790', 'object/static/item/shared_item_con_barrel_lg_s1.iff', '0', '0', '0', '1', '-123.398', '-18', '-61.4658', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '1627791', '1627780', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '1627792', '1627780', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '1627793', '1627780', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '1627794', '1627780', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '1627795', '1627780', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '1627796', '1627780', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '1627797', '1627780', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '1627798', '1627780', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '1627799', '1627780', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '1627800', '1627780', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '1627801', '1627780', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '1627802', '1627780', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '1627803', '1627780', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '1627804', '1627780', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '1627805', '1627780', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '1627806', '1627780', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '1627807', '1627780', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '1627808', '1627780', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '1627809', '1627780', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '1627810', '1627780', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '1627811', '1627780', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '1627812', '1627780', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '1627813', '1627780', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '1627814', '1627780', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '1627815', '1627780', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '1627816', '1627780', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '1627817', '1627780', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '1627818', '1627780', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '1627819', '1627780', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '1627820', '1627780', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '1627821', '1627780', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '1627822', '1627780', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '1627823', '1627780', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '1627824', '1627780', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '1713368', '0', 'object/building/military/shared_outpost_shed_s05.iff', '0', '0', '0', '1', '-336.992', '35', '4840', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '1713369', '1713368', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '1713370', '1713368', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '1713371', '1713368', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '1713372', '1713368', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '1713373', '1713368', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '1713374', '1713368', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '2955772', '0', 'object/static/particle/shared_pt_flocking_glowzees.iff', '0', '0', '0', '1', '-7078.23', '73.7823', '-5959.72', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035371', '0', 'object/building/corellia/shared_ply_corl_house_s_s02_fp1.iff', '0', '0.999991', '0', '0.00420401', '-6970.04', '72.9991', '-5657.81', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035372', '3035371', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035543', '3035372', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '0', '0', '1', '-3.58018', '0.625', '2.2538', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035545', '3035372', 'object/tangible/furniture/all/shared_frn_all_lamp_desk_s01.iff', '0', '0', '0', '1', '-3.56428', '1.41557', '2.72593', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035546', '3035372', 'object/tangible/furniture/all/shared_frn_all_chair_recliner_s1.iff', '0', '0.314567', '0', '0.949235', '-4.06734', '0.625', '0.892681', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035551', '3035372', 'object/static/structure/general/shared_data_terminal_wall_s2.iff', '0', '0.707106', '0', '0.707107', '-6.79848', '0.372018', '3.75193', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035558', '3035372', 'object/tangible/furniture/all/shared_frn_all_couch_sm_s1.iff', '0', '0.921955', '0', '-0.387298', '-1.89518', '0.625', '5.42852', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035559', '3035372', 'object/tangible/furniture/all/shared_frn_all_couch_sm_s1.iff', '0', '0.92388', '0', '0.382683', '-5.24559', '0.625', '5.48142', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035561', '3035372', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s04.iff', '0', '0', '0', '1', '-5.7281', '0.625', '1.79525', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035562', '3035372', 'object/static/item/shared_item_diagnostic_screen.iff', '0', '0.955101', '0', '0.296281', '-4.43401', '1.41557', '2.58704', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035568', '3035372', 'object/static/item/shared_item_tool_radio.iff', '0', '0.305059', '0', '0.952334', '-2.24844', '1.38395', '2.48493', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035373', '3035371', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035569', '3035373', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '0.945784', '0', '0.324796', '5.62232', '0.625', '5.36405', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035570', '3035373', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '0.87959', '0', '-0.475733', '5.02362', '0.625', '6.11393', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035571', '3035373', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_02.iff', '0', '0', '0', '1', '3.54548', '0.625', '7.04811', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035572', '3035373', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_02.iff', '0', '-0.00420405', '0', '0.999991', '3.54369', '1.16259', '7.0783', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035573', '3035373', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_02.iff', '0', '0.704125', '0', '0.710075', '6.7035', '0.625', '3.74193', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035574', '3035373', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_02.iff', '0', '0.701127', '0', '0.713035', '6.73371', '1.16259', '3.74465', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035581', '3035373', 'object/static/structure/general/shared_data_terminal_s4.iff', '0', '0.366273', '0', '0.930508', '1.08054', '0.688246', '1.21817', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035583', '3035373', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.968912', '0', '0.247404', '2.59807', '1.7318', '6.63835', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035584', '3035373', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.993956', '0', '0.109778', '3.50503', '1.76342', '6.82098', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035585', '3035373', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.993956', '0', '0.109778', '3.0502', '1.76342', '6.82373', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035586', '3035373', 'object/static/item/shared_item_con_ration_kit_lg.iff', '0', '-0.699715', '0', '0.714422', '6.47638', '1.76342', '4.52681', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035587', '3035373', 'object/static/item/shared_item_con_ration_kit_m.iff', '0', '-0.699715', '0', '0.714422', '6.1347', '1.76342', '4.70789', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035588', '3035373', 'object/static/item/shared_item_con_ration_kit_m.iff', '0', '-0.699715', '0', '0.714422', '6.39382', '1.76342', '3.85478', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035589', '3035373', 'object/static/item/shared_item_con_ration_kit_lg.iff', '0', '-0.699715', '0', '0.714422', '6.42379', '1.76342', '4.15754', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035592', '3035373', 'object/static/item/shared_item_basket_closed.iff', '0', '0', '0', '1', '5.54279', '0.625', '1.80411', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035374', '3035371', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035531', '3035374', 'object/static/structure/general/shared_droid_21bmedical_powerdown.iff', '0', '0.707107', '0', '0.707107', '-6.98987', '0.624998', '-3.86149', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035533', '3035374', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s2.iff', '0', '0', '0', '1', '-4.22481', '0.624998', '-4.7741', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035534', '3035374', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s2.iff', '0', '0', '0', '1', '-0.61194', '0.624996', '-4.82991', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035535', '3035374', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s2.iff', '0', '0', '0', '1', '2.7481', '0.624992', '-4.82944', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035536', '3035374', 'object/static/structure/general/shared_data_terminal_s1.iff', '0', '0', '0', '1', '3.92793', '0.624993', '-6.89041', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035537', '3035374', 'object/static/structure/general/shared_data_terminal_s1.iff', '0', '0', '0', '1', '0.599847', '0.624995', '-6.95179', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035538', '3035374', 'object/static/structure/general/shared_data_terminal_s1.iff', '0', '0', '0', '1', '-2.80256', '0.624998', '-6.89625', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035539', '3035374', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_03.iff', '0', '0', '0', '1', '1.78718', '0.624994', '-6.79745', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035540', '3035374', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_02.iff', '0', '0', '0', '1', '-1.54111', '0.624997', '-6.86049', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035541', '3035374', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_03.iff', '0', '0', '0', '1', '-5.15199', '0.624999', '-6.49092', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035375', '0', 'object/building/corellia/shared_ply_corl_house_m_s01_fp1.iff', '0', '0.862606', '0', '-0.505877', '-6885.48', '73', '-5666', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035376', '3035375', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035692', '3035376', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_3.iff', '0', '0', '0', '1', '9.27141', '0.624998', '3.63559', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035693', '3035376', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0', '0', '1', '9.36168', '0.624998', '2.66619', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035694', '3035376', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '-0.707106', '0', '0.707107', '10.4741', '0.624998', '3.63428', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035695', '3035376', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '1', '0', '3.20013e-08', '9.3976', '0.624998', '4.65968', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035696', '3035376', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_2.iff', '0', '0', '0', '1', '6.64109', '0.624998', '0.533145', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035697', '3035376', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_2.iff', '0', '0', '0', '1', '1.91805', '0.624999', '0.531394', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035698', '3035376', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_02.iff', '0', '0', '0', '1', '4.30339', '0.624999', '1.8896', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035700', '3035376', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s03.iff', '0', '0', '0', '1', '4.32073', '0.624998', '0.564811', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035701', '3035376', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_2.iff', '0', '0.999998', '0', '0.00230121', '0.587432', '0.624999', '6.26601', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035702', '3035376', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_02.iff', '0', '0.999998', '0', '0.00230121', '2.93101', '0.624999', '4.92072', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035703', '3035376', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s03.iff', '0', '0.999998', '0', '0.00230121', '2.90828', '0.624999', '6.24569', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035704', '3035376', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_2.iff', '0', '0.999998', '0', '0.00230121', '5.31067', '0.624999', '6.29021', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035722', '3035376', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '1', '0', '0', '3.20013e-08', '5.42894', '7.00288', '3.50614', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035377', '3035375', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035707', '3035377', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff', '0', '1', '0', '3.20013e-08', '-6.76061', '0.625', '6.17179', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035708', '3035377', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff', '0', '0.703562', '0', '0.710634', '-9.47955', '0.625', '3.48921', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035713', '3035377', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff', '0', '0', '0', '1', '-7.10126', '0.625', '3.84625', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035714', '3035377', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s05.iff', '0', '0', '0', '1', '-4.43444', '0.625', '5.14995', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035715', '3035377', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_02.iff', '0', '0.92388', '0', '0.382683', '-4.50892', '0.625', '1.12087', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035716', '3035377', 'object/static/item/shared_item_tank_bubble.iff', '0', '0', '0', '1', '-5.35821', '1.22583', '0.757419', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035718', '3035377', 'object/tangible/furniture/all/shared_frn_all_decorative_sm_s2.iff', '0', '0.958244', '0', '0.285952', '-4.22776', '1.22583', '1.89858', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035378', '3035375', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035653', '3035378', 'object/static/item/shared_item_music_microphone_s1.iff', '0', '0.717356', '0', '0.696707', '-7.85125', '0.624999', '-4.45302', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035659', '3035378', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff', '0', '0', '0', '1', '-5.40728', '0.624999', '-8.0645', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035660', '3035378', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff', '0', '0.00499947', '0', '0.999987', '-0.527508', '0.624998', '-8.07938', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035662', '3035378', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '-0.688922', '0', '0.724836', '-2.95771', '0.624999', '-7.10555', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035668', '3035378', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_3.iff', '0', '0', '0', '1', '0.712023', '0.625', '-1.81242', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035670', '3035378', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_3.iff', '0', '0', '0', '1', '0.832242', '0.624999', '-2.90277', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035671', '3035378', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_3.iff', '0', '-0.707107', '0', '0.707107', '1.58757', '0.625', '-1.68828', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035672', '3035378', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_3.iff', '0', '1', '0', '3.20013e-08', '0.820577', '0.625', '-0.899419', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035673', '3035378', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_3.iff', '0', '0.862606', '0', '-0.505877', '-4.06067', '0.624999', '-1.59342', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035674', '3035378', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_3.iff', '0', '0.862606', '0', '-0.505877', '-3.1681', '0.624999', '-0.956211', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035675', '3035378', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_3.iff', '0', '0.967663', '0', '0.252246', '-4.5968', '0.624999', '-0.889805', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035676', '3035378', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_3.iff', '0', '0.505877', '0', '0.862605', '-4.91077', '0.624999', '-1.94449', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035677', '3035378', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_3.iff', '0', '-0.193767', '0', '0.981048', '-3.58518', '0.624999', '-2.43238', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035678', '3035378', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_2.iff', '0', '0.999875', '0', '0.0157958', '-4.86287', '0.624999', '-5.54091', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035679', '3035378', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.695849', '0', '0.718188', '-5.93578', '0.624999', '-5.51', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035680', '3035378', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.718188', '0', '-0.695849', '-3.82083', '0.624999', '-5.46432', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035681', '3035378', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_2.iff', '0', '0.0196004', '0', '0.999808', '-0.244595', '0.624999', '-5.50922', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035682', '3035378', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '-0.693113', '0', '0.720829', '0.823421', '0.624999', '-5.61577', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035683', '3035378', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.720831', '0', '0.69311', '-1.28957', '0.624999', '-5.51192', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035686', '3035378', 'object/static/structure/general/shared_streetlamp_medium_red_style_02.iff', '0.5', '0.5', '0.5', '-0.5', '-12.6283', '3.56016', '-4.49442', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035379', '3035375', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035600', '3035379', 'object/tangible/crafting/station/shared_food_station.iff', '0', '-0.707106', '0', '0.707107', '9.79242', '0.625', '-4.41113', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035601', '3035600', 'object/tangible/hopper/shared_crafting_station_ingredient_hopper_1.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035602', '3035379', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_02.iff', '0', '-0.007699', '0', '0.99997', '7.7026', '0.625', '-1.218', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035603', '3035379', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_02.iff', '0', '-0.0026993', '0', '0.999996', '7.69977', '1.19421', '-1.23387', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035604', '3035379', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_02.iff', '0', '1', '0', '-8.85151e-09', '7.83003', '0.625', '-7.51461', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035605', '3035379', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_02.iff', '0', '0.999988', '0', '-0.00500001', '7.84516', '1.19421', '-7.50924', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035606', '3035379', 'object/static/item/shared_item_basket_closed.iff', '0', '0.713864', '0', '0.700285', '5.64861', '0.625', '-2.53791', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035607', '3035379', 'object/static/item/shared_item_bottle_tall.iff', '0', '-0.564642', '0', '0.825336', '8.47535', '1.76342', '-1.38836', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035608', '3035379', 'object/static/item/shared_item_bottle_pear.iff', '0', '-0.564642', '0', '0.825336', '8.14378', '1.76342', '-1.44383', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035609', '3035379', 'object/static/item/shared_item_bottle_fat.iff', '0', '-0.564642', '0', '0.825336', '8.34443', '1.76342', '-1.68437', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035610', '3035379', 'object/static/item/shared_item_bottle_tall.iff', '0', '-0.564642', '0', '0.825336', '8.66243', '1.76342', '-1.64887', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035612', '3035379', 'object/static/item/shared_item_basket_shallow.iff', '0', '0', '0', '1', '9.79999', '0.625', '-5.50239', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035613', '3035379', 'object/static/item/shared_item_bread_loaf.iff', '0', '0', '0', '1', '9.9154', '0.688246', '-5.45152', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035614', '3035379', 'object/static/item/shared_item_cheese_wheel_s1_partial.iff', '0', '0', '0', '1', '9.65088', '0.688246', '-5.41077', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035615', '3035379', 'object/static/item/shared_item_bread_loaf.iff', '0', '0', '0', '1', '9.7574', '0.688246', '-5.62806', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035616', '3035379', 'object/static/item/shared_item_cheese_wheel_s1_partial.iff', '0', '0', '0', '1', '10.005', '0.688246', '-5.64531', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035617', '3035379', 'object/static/item/shared_item_con_bowl_full.iff', '0', '0.998988', '0', '-0.0449848', '6.90935', '1.7318', '-1.55236', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035618', '3035379', 'object/static/item/shared_item_con_bowl_full.iff', '0', '0.939373', '0', '0.342898', '6.61146', '1.7318', '-1.68483', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035619', '3035379', 'object/static/item/shared_item_con_bowl_serving_full.iff', '0', '0', '0', '1', '7.8021', '1.79504', '-1.50663', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035620', '3035379', 'object/static/item/shared_item_con_bowl_serving_full.iff', '0', '0', '0', '1', '7.54848', '1.79504', '-1.46351', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035621', '3035379', 'object/static/item/shared_item_con_plate_s1_full.iff', '0', '0', '0', '1', '9.86269', '1.76342', '-5.98075', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035622', '3035379', 'object/static/item/shared_item_con_plate_s1_full.iff', '0', '0', '0', '1', '9.72108', '1.60531', '-4.41318', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035623', '3035379', 'object/static/item/shared_item_con_ration_kit_lg.iff', '0', '0', '0', '1', '6.87703', '1.22583', '-1.53572', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035624', '3035379', 'object/static/item/shared_item_con_ration_kit_m.iff', '0', '0', '0', '1', '7.16015', '1.22583', '-1.53755', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035625', '3035379', 'object/static/item/shared_item_con_ration_kit_m.iff', '0', '0', '0', '1', '6.88466', '1.22583', '-1.80078', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035626', '3035379', 'object/static/item/shared_item_con_bag_ingredients_lg_s1.iff', '0', '0.29074', '0', '0.956802', '6.04488', '0.625', '-7.19122', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035627', '3035379', 'object/static/item/shared_item_con_bag_ingredients_lg_s1.iff', '0', '0.361615', '0', '0.932327', '5.78288', '0.625', '-6.92845', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035628', '3035379', 'object/static/item/shared_item_con_tato_bowl_full_s01.iff', '0', '0', '0', '1', '8.6895', '0.625', '-7.21058', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035629', '3035379', 'object/static/item/shared_item_con_tato_bowl_full_s02.iff', '0', '0', '0', '1', '9.48756', '0.625', '-7.06806', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035630', '3035379', 'object/static/item/shared_item_con_tato_cup_s2.iff', '0', '0', '0', '1', '6.92758', '1.19421', '-7.2006', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035631', '3035379', 'object/static/item/shared_item_con_tato_cup_s2.iff', '0', '0', '0', '1', '6.80315', '1.19421', '-7.16557', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035632', '3035379', 'object/static/item/shared_item_con_tato_cup_s2.iff', '0', '0', '0', '1', '6.82831', '1.19421', '-6.96003', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035633', '3035379', 'object/static/item/shared_item_con_tato_cup_s2.iff', '0', '0', '0', '1', '6.97629', '1.19421', '-7.01635', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035634', '3035379', 'object/static/item/shared_item_con_tato_cup_s2.iff', '0', '0', '0', '1', '7.0815', '1.19421', '-7.20315', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035635', '3035379', 'object/static/item/shared_item_jar_berries.iff', '0', '-0.237703', '0', '0.971338', '8.90343', '1.76342', '-7.12523', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035636', '3035379', 'object/static/item/shared_item_jar_bugs.iff', '0', '-0.237703', '0', '0.971338', '8.70145', '1.76342', '-7.17129', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035637', '3035379', 'object/static/item/shared_item_jar_empty.iff', '0', '-0.237703', '0', '0.971338', '8.50418', '1.76342', '-7.25147', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035638', '3035379', 'object/static/item/shared_item_jar_funk.iff', '0', '-0.237703', '0', '0.971338', '8.73621', '1.76342', '-6.96974', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035639', '3035379', 'object/static/item/shared_item_jar_guts.iff', '0', '-0.237703', '0', '0.971338', '8.54164', '1.76342', '-7.04465', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035640', '3035379', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0', '0', '1', '7.1749', '1.76342', '-7.26797', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035641', '3035379', 'object/static/item/shared_item_jar_spice_blue.iff', '0', '0', '0', '1', '6.84782', '1.76342', '-7.07226', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035642', '3035379', 'object/static/item/shared_item_jar_spice_red.iff', '0', '0', '0', '1', '7.02143', '1.76342', '-7.15058', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035643', '3035379', 'object/static/item/shared_item_jar_spice_white.iff', '0', '0', '0', '1', '7.13443', '1.76342', '-6.99797', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035644', '3035379', 'object/static/item/shared_item_kitchen_pot_style_01.iff', '0', '0.159318', '0', '0.987227', '8.10932', '1.79504', '-7.40238', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035645', '3035379', 'object/static/item/shared_item_kitchen_pot_style_02.iff', '0', '0.159318', '0', '0.987227', '7.79874', '1.79504', '-7.3359', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035646', '3035379', 'object/static/item/shared_item_kitchen_pot_style_03.iff', '0', '0.581035', '0', '0.813879', '8.1348', '1.79504', '-7.10486', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035647', '3035379', 'object/static/item/shared_item_meat_hunk.iff', '0', '-0.281157', '0', '0.959662', '9.92682', '1.54206', '-5.20955', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035650', '3035379', 'object/static/item/shared_item_kitchen_cook_set_lg_s1.iff', '0', '-0.425939', '0', '0.904752', '8.84163', '1.22583', '-7.21703', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035651', '3035379', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.434965', '0', '0.900447', '5.30442', '0.625', '-6.58746', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035652', '3035379', 'object/static/item/shared_item_container_organic_food.iff', '0', '0.448423', '0', '0.893822', '5.08254', '0.625', '-6.28741', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035387', '0', 'object/building/military/shared_military_outpost_guard_house_imperial.iff', '0', '0.928369', '0', '0.37166', '-6881.86', '73', '-5760.32', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035388', '3035387', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035389', '3035387', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035390', '0', 'object/building/military/shared_pirate_outpost.iff', '0', '0', '0', '1', '-6942.05', '73.0003', '-5764.63', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035391', '3035390', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035392', '3035390', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035393', '3035390', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035394', '3035390', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035395', '3035390', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035396', '3035390', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035397', '0', 'object/building/military/shared_outpost_shed.iff', '0', '0', '0', '1', '-6924.58', '73', '-5764.72', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035398', '3035397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035399', '3035397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035400', '3035397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035401', '3035397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035402', '3035397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035403', '3035397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035404', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '0', '1', '0', '0', '-6874.51', '73', '-5723.09', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035405', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '0', '1', '0', '-7.48498e-07', '-6874.51', '73', '-5698.4', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035406', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '0', '0', '1', '-6932.83', '73', '-5648.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035407', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0', '1', '-6915.83', '73', '-5648.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035408', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '-0.707096', '0', '0.707117', '-6915.87', '73', '-5710.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035409', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.734548', '0', '0.678557', '-6915.83', '73', '-5676.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035410', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0', '1', '-6949.83', '73', '-5676.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035411', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.916803', '0', '-0.39934', '-6904.7', '73', '-5660.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035412', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.382683', '0', '0.92388', '-6910.44', '73', '-5654.25', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035413', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '0', '0', '1', '-6932.83', '73', '-5676.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035414', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '-0.707099', '0', '0.707114', '-6915.83', '73', '-5685.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035415', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.674285', '0', '0.738471', '-6915.83', '73', '-5693.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035416', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0', '1', '-6948.83', '73', '-5648.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035417', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '-0.707098', '0', '0.707115', '-6870.83', '73', '-5676.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035418', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0', '1', '-6882.83', '73', '-5648.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035419', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.382683', '0', '0.92388', '-6877.06', '73', '-5687.68', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035420', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.91071', '0', '-0.413046', '-6882.75', '73', '-5681.87', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035421', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '1', '0', '0', '-6915.83', '73', '-5744.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035422', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff', '0', '1', '0', '0', '-6932.83', '73', '-5744.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035423', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.678559', '0', '0.734546', '-6949.83', '73', '-5744.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035424', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '0.707107', '0', '-0.707107', '-6915.83', '73', '-5736.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035425', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.706817', '0', '0.707396', '-6915.87', '73', '-5727.92', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035426', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.688926', '0', '0.724832', '-6994.75', '73.0025', '-5727.55', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035427', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.7071', '0', '0.707113', '-6994.83', '73.0039', '-5735.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035428', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.717356', '0', '-0.696707', '-6994.83', '73.1322', '-5744.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035429', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '0.707107', '0', '-0.707107', '-6994.83', '73.274', '-5753.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035430', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.924606', '0', '-0.380925', '-6994.83', '73.5056', '-5761.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035431', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '0.382683', '0', '0.92388', '-6988.83', '73.6517', '-5767.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035432', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.999991', '0', '0.004204', '-6982.83', '73.6712', '-5773.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035433', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '1', '0', '0', '-6899.83', '73', '-5773.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035434', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '1', '0', '0', '-6916.83', '73', '-5773.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035435', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '1', '0', '0', '-6932.83', '73', '-5773.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035436', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '1', '0', '0', '-6949.83', '73.0111', '-5773.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035437', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '1', '0', '0', '-6965.83', '73.17', '-5773.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035438', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.95209', '0', '0.305818', '-6882.83', '73.2722', '-5773.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035439', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '-0.382683', '0', '0.92388', '-6876.83', '73.3555', '-5767.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035440', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.709292', '0', '0.704914', '-6870.83', '73.5413', '-5761.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035441', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '-0.707099', '0', '0.707114', '-6870.83', '73', '-5744.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035442', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.706819', '0', '0.707394', '-6870.83', '73', '-5727.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035443', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '-0.707099', '0', '0.707114', '-6870.83', '73', '-5710.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035444', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.674286', '0', '0.73847', '-6870.83', '73', '-5693.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035445', '0', 'object/static/structure/corellia/shared_corl_power_box_node.iff', '0', '0', '0', '1', '-6951.92', '73.0099', '-5765.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035446', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0', '0', '1', '-6891.68', '73', '-5652.18', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035447', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0', '0', '1', '-6879.41', '73', '-5693.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035448', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0', '0', '1', '-6956.79', '73', '-5652.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035449', '0', 'object/static/structure/corellia/shared_corl_power_arial_thin.iff', '0', '0', '0', '1', '-6950.73', '73', '-5653.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035450', '0', 'object/static/structure/corellia/shared_corl_power_arial_prime.iff', '0', '0', '0', '1', '-6951.38', '73', '-5652.81', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035451', '0', 'object/static/structure/corellia/shared_corl_power_box_node.iff', '0', '-0.014999', '0', '0.999888', '-6959.62', '73', '-5658.02', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035452', '0', 'object/static/structure/corellia/shared_corl_power_connector.iff', '0', '0', '0', '1', '-6956.77', '72.6838', '-5658.35', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035453', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0', '0', '1', '-6950.48', '73', '-5658.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035454', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0', '0', '1', '-6879.55', '73', '-5727.96', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035455', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.707952', '0', '-0.70626', '-6888.4', '73', '-5727.79', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035456', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.707952', '0', '-0.70626', '-6888.46', '73', '-5694.03', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035457', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.707099', '0', '0.707114', '-6888.5', '73', '-5702.85', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035458', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.707952', '0', '-0.70626', '-6888.66', '73', '-5711.58', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035459', '0', 'object/static/structure/corellia/shared_corl_power_arial_thin.iff', '0', '0', '0', '1', '-6876.4', '73', '-5750.09', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035460', '0', 'object/static/structure/corellia/shared_corl_power_arial_prime.iff', '0', '0', '0', '1', '-6875.37', '73', '-5750.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035461', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '0', '0', '1', '-6899.83', '73', '-5648.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035462', '0', 'object/static/structure/corellia/shared_corl_power_arial_thin.iff', '0', '0', '0', '1', '-6952.59', '73.0142', '-5768.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035463', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0', '0', '1', '-6951.83', '73.0034', '-5760.43', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035464', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0', '0', '1', '-6875.11', '73', '-5742.11', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035465', '0', 'object/static/structure/corellia/shared_corl_power_box_node.iff', '0', '0', '0', '1', '-6875.16', '73', '-5746.55', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035466', '0', 'object/static/structure/corellia/shared_corl_power_arial_thin.iff', '0', '0', '0', '1', '-6887.15', '73', '-5650.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035467', '0', 'object/static/structure/corellia/shared_corl_power_arial_prime.iff', '0', '0', '0', '1', '-6885.96', '73', '-5650.87', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035468', '0', 'object/static/structure/corellia/shared_corl_power_arial_prime.iff', '0', '0', '0', '1', '-6951.27', '73.0131', '-5770.15', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035469', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '0.382683', '0', '0.92388', '-6876.83', '73', '-5654.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035470', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.380188', '0', '0.924909', '-6870.83', '73', '-5660.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035471', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.734548', '0', '-0.678557', '-6993.83', '72.9496', '-5696.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035472', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.707097', '0', '0.707116', '-6993.83', '72.9496', '-5687.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035473', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '0', '0', '1', '-6965.83', '73', '-5648.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035474', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.727726', '0', '-0.685869', '-6993.83', '72.8783', '-5678.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035475', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '-0.707097', '0', '0.707116', '-6993.83', '72.5976', '-5669.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035476', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.37092', '0', '0.928665', '-6981.83', '72.415', '-5648.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035477', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '-0.382683', '0', '0.92388', '-6987.83', '72.7715', '-5654.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035478', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.710353', '0', '-0.703845', '-6993.83', '72.4721', '-5660.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035479', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '-6894.81', '73', '-5650.11', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035481', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '-6894.38', '73', '-5651.4', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035482', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '-6892.35', '73', '-5654.6', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035484', '0', 'object/building/military/shared_outpost_starport.iff', '0', '-0.707106', '0', '0.707107', '-6939.43', '73', '-5706.18', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035485', '3035484', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '2655375', '3035485', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0', '0', '1', '-7.42311', '0.146595', '-19.2438', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035491', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '0', '0', '1', '-6906.81', '73', '-5652.15', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035493', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.531186', '0', '0.847255', '-6907.87', '73', '-5652.89', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035494', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.849481', '0', '-0.52762', '-6905.61', '73', '-5651.41', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035495', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.960835', '0', '0.277121', '-6907.57', '73', '-5651.01', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035496', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '0.624897', '0', '0.780707', '-6899.03', '73', '-5651.95', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035497', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.857299', '0', '0.514819', '-6899.98', '73', '-5651.07', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035498', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.854715', '0', '-0.519098', '-6898.05', '73', '-5652.95', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035499', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.923303', '0', '-0.384073', '-6898.08', '73', '-5650.95', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035500', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '0.276356', '0', '0.961055', '-6903.46', '73', '-5656.3', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035501', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.841471', '0', '0.540303', '-6904.75', '73', '-5656.36', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035502', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.741298', '0', '-0.671176', '-6902.61', '73', '-5656.19', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035503', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.953607', '0', '0.301053', '-6903.5', '73', '-5654.93', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035504', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff', '0', '0.737931', '0', '0.674876', '-6900.03', '73', '-5653.11', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035506', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '0', '0', '0', '1', '-6903.37', '73', '-5653.32', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035508', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_fruit_stand_small_style_01.iff', '0', '-0.247789', '0', '0.968814', '-6873.3', '73', '-5688.25', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035512', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '-0.25708', '0', '0.96639', '-6874.26', '73', '-5675.07', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035513', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '-0.380188', '0', '0.924909', '-6872.69', '73', '-5675.31', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035514', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.991209', '0', '-0.132309', '-6874.3', '73', '-5673.46', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035515', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff', '0', '-0.247404', '0', '0.968912', '-6879.77', '73', '-5678.43', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035516', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '-0.37092', '0', '0.928665', '-6878.42', '73', '-5679.25', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035517', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.989836', '0', '-0.142215', '-6879.19', '73', '-5676.94', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035521', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff', '0', '0', '0', '1', '-6874.61', '73', '-5679.99', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035523', '0', 'object/static/structure/general/shared_streetlamp_medium_green_style_02.iff', '0', '-0.505533', '0', '0.862807', '-6897.65', '73.4372', '-5659.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035525', '0', 'object/static/structure/general/shared_streetlamp_medium_blue_style_01.iff', '0', '0.247404', '0', '0.968912', '-6977.58', '73.4084', '-5665.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035528', '0', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '0', '0', '1', '-6973.94', '73', '-5666.46', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035529', '0', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff', '0', '0', '0', '1', '-6973.12', '73', '-5666.49', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035593', '0', 'object/building/military/shared_outpost_cloning_facility.iff', '0', '0.452886', '0', '0.891568', '-6980.06', '73', '-5761.94', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035594', '3035593', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035595', '3035593', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035596', '3035593', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035597', '3035593', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035598', '3035593', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035599', '3035593', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035689', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0.305059', '0', '0.952334', '-6893.05', '73', '-5655.39', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035723', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.916803', '0', '-0.39934', '-6882.56', '73', '-5684.22', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035725', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '0.930216', '0', '-0.367013', '-6879.68', '73', '-5687.01', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035727', '0', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '0.0499792', '0', '0.99875', '-6882.3', '73', '-5692.4', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035728', '0', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '0', '0', '1', '-6886.33', '73', '-5692.28', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035732', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '-0.564643', '0', '0.825336', '-6874.86', '73', '-5692.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035733', '0', 'object/tangible/crafting/station/shared_public_weapon_station.iff', '0', '-0.707106', '0', '0.707107', '-6872.32', '73', '-5717.92', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035734', '0', 'object/tangible/crafting/station/shared_public_weapon_station.iff', '0', '-0.707106', '0', '0.707107', '-6872.29', '73', '-5712.67', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035735', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_16_style_01.iff', '0', '-0.707106', '0', '0.707107', '-6877.61', '70.5971', '-5712.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035740', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '0.342898', '0', '0.939373', '-6876.34', '72.9051', '-5719.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035741', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '0', '0', '1', '-6933.32', '72.8642', '-5757.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035743', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_2.iff', '0', '0', '0', '1', '-6922.3', '83.6401', '-5694.49', '256', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035744', '0', 'object/static/structure/corellia/shared_corl_power_arial_prime.iff', '0', '0', '0', '1', '-6922.21', '84.8992', '-5710.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035745', '0', 'object/static/structure/corellia/shared_corl_power_arial_thin.iff', '0', '0', '0', '1', '-6923', '84.8992', '-5708.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035746', '0', 'object/static/structure/general/shared_streetlamp_large_blue_style_01.iff', '0', '0', '0', '1', '-6922.22', '89.6214', '-5710.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035747', '0', 'object/static/installation/shared_mockup_power_generator_wind_style_1.iff', '0', '0.0249974', '0', '0.999687', '-6914.57', '73', '-5769.93', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035752', '0', 'object/static/installation/shared_mockup_mining_liquid_harvester_style_1.iff', '0', '-0.0199987', '0', '0.9998', '-6899.09', '73', '-5768.4', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035753', '0', 'object/static/installation/shared_mockup_mining_gas_harvester_style_1.iff', '0', '-0.707106', '0', '0.707107', '-6960.82', '73', '-5771.02', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035760', '0', 'object/static/installation/shared_mockup_power_generator_photo_bio_style_1.iff', '0', '1', '0', '3.20013e-08', '-6941.13', '73', '-5652.71', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035761', '0', 'object/static/installation/shared_mockup_power_generator_photo_bio_style_1.iff', '0', '1', '0', '0', '-6927.17', '73', '-5652.74', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035762', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0', '0', '0', '1', '-6934.96', '71.0919', '-5658.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035764', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '1', '0', '5.30747e-08', '-6968.43', '72.925', '-5762.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035765', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-6910.48', '71.0924', '-5761.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035767', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '-0.395482', '0', '0.918474', '-6882.22', '72.9228', '-5750.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035769', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '-6919.07', '73', '-5651.24', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035770', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '-6918.25', '73', '-5651.79', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035771', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '-6918.07', '73', '-5650.48', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035772', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '-6919.86', '73', '-5652.15', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035773', '0', 'object/static/structure/general/shared_trash_pile_s01.iff', '0', '0', '0', '1', '-6955.34', '73', '-5654.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035775', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff', '0', '-0.681638', '0', '0.731689', '-6982.36', '72.9994', '-5658.65', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035776', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '-6985.9', '72.9694', '-5659.18', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035777', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '-0.361615', '0', '0.932327', '-6984.74', '72.9837', '-5659.24', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035778', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '-6985.28', '72.9597', '-5657.76', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035782', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '-6979.73', '73', '-5659.34', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035783', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '-6979.45', '73', '-5659.66', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035784', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '-6979.96', '73', '-5660.05', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035786', '0', 'object/static/item/shared_item_container_energy_solid.iff', '0', '0', '0', '1', '-6980.99', '72.9742', '-5656.63', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035787', '0', 'object/static/item/shared_item_container_energy_solid.iff', '0', '0', '0', '1', '-6980.71', '72.9834', '-5657.58', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035788', '0', 'object/static/item/shared_item_container_inorganic_chemicals.iff', '0', '0', '0', '1', '-6979.16', '73', '-5660.78', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035789', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0', '0', '1', '-6987.4', '73.0068', '-5751.65', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035790', '0', 'object/static/item/shared_item_crate_spice.iff', '0', '0', '0', '1', '-6986.44', '73', '-5753.38', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035791', '0', 'object/static/item/shared_item_crate_spice.iff', '0', '0', '0', '1', '-6985.52', '73', '-5751.51', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035792', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0', '0', '1', '-6987.95', '73.0004', '-5750.79', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035793', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0', '0', '1', '-6987.21', '73.0001', '-5750.55', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035794', '0', 'object/static/item/shared_item_container_organic_food.iff', '0', '0', '0', '1', '-6987.47', '73.0002', '-5751.04', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035796', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0', '0', '1', '-6988.92', '73.0087', '-5752.77', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035797', '0', 'object/static/item/shared_item_container_energy_gas.iff', '0', '0', '0', '1', '-6914.56', '73', '-5760.95', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035798', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '-6914.87', '73', '-5759.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035799', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '-6914.61', '73', '-5758.9', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035800', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '-6914.52', '73', '-5759.26', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035801', '0', 'object/tangible/furniture/imperial/shared_table_s1.iff', '0', '0.914025', '0', '-0.405658', '-6876.38', '79.9113', '-5757.66', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035803', '0', 'object/tangible/furniture/technical/shared_armoire_s01.iff', '0', '0.930216', '0', '0.367013', '-6885.14', '79.9113', '-5754.95', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035804', '0', 'object/tangible/furniture/technical/shared_bookcase_s01.iff', '0', '0.389418', '0', '0.921061', '-6884.97', '79.9113', '-5766.01', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035805', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.366273', '0', '0.930508', '-6874.6', '73', '-5730.82', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035806', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '-6874.57', '73', '-5731.8', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035807', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '-6873.49', '73', '-5730.09', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035808', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '-6874.56', '73', '-5729.55', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035809', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '-0.597195', '0', '0.802096', '-6872.35', '73', '-5730.76', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035810', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '-6873.51', '73', '-5731.8', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035821', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '-0.707106', '0', '0.707107', '-6917.43', '73', '-5741.52', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035822', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '-0.707106', '0', '0.707107', '-6917.34', '73', '-5736.85', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035826', '0', 'object/tangible/crafting/station/shared_public_clothing_station.iff', '0', '-0.707106', '0', '0.707107', '-6885.47', '73', '-5695.69', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035827', '0', 'object/tangible/crafting/station/shared_public_clothing_station.iff', '0', '-0.707106', '0', '0.707107', '-6881.65', '73', '-5695.71', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035858', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '-6918.47', '73', '-5679.81', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035859', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '-6918.27', '73', '-5681.1', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035860', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '-6918.45', '73', '-5678.81', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035861', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '-6919.86', '73', '-5681.58', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035862', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0', '0', '1', '-6917.17', '73', '-5682.14', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035863', '0', 'object/static/item/shared_item_container_inorganic_chemicals.iff', '0', '0', '0', '1', '-6921.61', '73', '-5682.98', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035864', '0', 'object/static/item/shared_item_container_inorganic_gas.iff', '0', '0', '0', '1', '-6923.8', '73', '-5683.01', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3035865', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0', '0', '1', '-6918.42', '73', '-5683.48', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3125379', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '-5665.39', '123.711', '-2245.86', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3125380', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '-5659.88', '124.841', '-2246.28', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3125381', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '-5661.1', '124.581', '-2246.05', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3125382', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '-5665.74', '123.805', '-2239.81', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3125383', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0', '0', '1', '-5665.82', '123.737', '-2240.93', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3125385', '0', 'object/tangible/camp/shared_camp_tent_s5.iff', '0', '0.679141', '0', '0.734008', '-5519.35', '10.7369', '-1252.09', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3435626', '0', 'object/building/yavin/shared_dark_enclave.iff', '0', '0.7071', '0', '0.707113', '5070.1', '79', '310.18', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '3435627', '3435626', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3435628', '3435626', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3435629', '3435626', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3435630', '3435626', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3435631', '3435626', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3435632', '3435626', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3435633', '3435626', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3435634', '3435626', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3435635', '3435626', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3435636', '3435626', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3435637', '3435626', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3435638', '3435626', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3435639', '3435626', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3435640', '3435626', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3435641', '3435626', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3435642', '3435626', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3435643', '3435626', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3435644', '3435626', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3435645', '3435626', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3435646', '3435626', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3435647', '3435626', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3435648', '3435626', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3435649', '3435626', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3435650', '3435626', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3435651', '3435626', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3435652', '3435626', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3435653', '3435626', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3435654', '0', 'object/static/structure/general/shared_poi_all_obelisk_s01.iff', '0', '-0.644218', '0', '0.764842', '5045.05', '80.5076', '278.55', '175', '1');
INSERT INTO `staticobjects` VALUES ('9', '3435655', '0', 'object/static/structure/general/shared_poi_all_obelisk_s01.iff', '0', '0.824886', '0', '0.5653', '5098.36', '63.8448', '316.94', '175', '1');
INSERT INTO `staticobjects` VALUES ('9', '3435697', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_med.iff', '0', '0', '0', '1', '5090', '80.3911', '288', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '3435698', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_med.iff', '0', '1', '0', '-3.20013e-08', '5085', '80.4847', '288', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465352', '0', 'object/building/yavin/shared_temple_massassi.iff', '0', '0.727726', '0', '-0.685868', '-3038', '70', '-2960', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465353', '3465352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465354', '3465352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465355', '3465352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465356', '3465352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465357', '3465352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465358', '3465352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465359', '3465352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465360', '3465352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465361', '3465352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465362', '3465352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465379', '0', 'object/building/yavin/shared_temple_exar_kun.iff', '0', '0.707106', '0', '0.707107', '5056.66', '73.6701', '5537.79', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465380', '3465379', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465381', '3465379', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465382', '3465379', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465383', '3465379', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465384', '3465379', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465385', '3465379', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465386', '3465379', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465387', '3465379', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465388', '3465379', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465389', '3465379', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465390', '3465379', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465391', '3465379', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465392', '3465379', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465393', '3465379', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465394', '3465379', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465395', '0', 'object/building/military/shared_mun_all_military_tower_impl_guard_s01.iff', '0', '1', '0', '-3.20013e-08', '4045.44', '37', '-6273.51', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465396', '3465395', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465397', '0', 'object/building/military/shared_mun_all_military_tower_impl_guard_s01.iff', '0', '1', '0', '-3.20013e-08', '4017.44', '37', '-6273.51', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465398', '3465397', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465413', '0', 'object/building/military/shared_mun_all_military_tower_impl_guard_s01.iff', '0', '0.707109', '0', '0.707104', '4072.44', '37', '-6246.51', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465414', '3465413', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465415', '0', 'object/building/military/shared_mun_all_military_tower_impl_guard_s01.iff', '0', '0.707112', '0', '0.707101', '4072.44', '37', '-6218.52', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465416', '3465415', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465417', '0', 'object/building/military/shared_mun_all_military_tower_impl_guard_s01.iff', '0', '-0.707095', '0', '0.707118', '3990.44', '37', '-6218.51', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465418', '3465417', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465419', '0', 'object/building/military/shared_mun_all_military_tower_impl_guard_s01.iff', '0', '-0.707092', '0', '0.707121', '3990.44', '37', '-6246.51', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465420', '3465419', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465421', '0', 'object/building/military/shared_mun_all_military_tower_impl_guard_s01.iff', '0', '0', '0', '1', '4053.44', '37', '-6191.51', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465422', '3465421', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465423', '0', 'object/building/military/shared_mun_all_military_tower_impl_guard_s01.iff', '0', '0', '0', '1', '4009.44', '37', '-6191.51', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465424', '3465423', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465439', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.707096', '0', '0.707117', '4072.44', '37', '-6268.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465440', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '1', '0', '-3.20013e-08', '4059.44', '37', '-6273.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465441', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '1', '0', '-3.20013e-08', '4051.44', '37', '-6273.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465442', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '1', '0', '-3.20013e-08', '4067.44', '37', '-6273.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465443', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.92388', '0', '-0.382683', '3990.77', '37', '-6273.19', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465444', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.707107', '0', '0.707107', '4072.44', '37', '-6252.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465445', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.707107', '0', '0.707107', '4072.44', '37', '-6260.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465446', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '1', '0', '1.9489e-06', '3995.44', '37', '-6273.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465447', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0', '0', '1', '3990.44', '37', '-6191.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465448', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '1', '0', '-3.20013e-08', '4011.44', '37', '-6273.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465449', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '1', '0', '-3.20013e-08', '4003.44', '37', '-6273.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465455', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.707096', '0', '0.707117', '4072.44', '37', '-6240.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465456', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.707107', '0', '0.707107', '4072.44', '37', '-6232.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465457', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.707107', '0', '0.707107', '4072.44', '37', '-6224.52', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465458', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.707096', '0', '0.707117', '4072.44', '37', '-6212.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465459', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.707107', '0', '0.707107', '4072.44', '37', '-6204.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465460', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.707107', '0', '0.707107', '4072.44', '37', '-6196.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465461', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.92388', '0', '0.382683', '4072.24', '37', '-6273.59', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465462', '0', 'object/static/installation/shared_mockup_factory_machine_style_1.iff', '0', '0.707108', '0', '-0.707105', '4032.6', '37', '-6192.35', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465463', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.707112', '0', '-0.707101', '3990.44', '37', '-6196.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465464', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.707107', '0', '-0.707107', '3990.44', '37', '-6212.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465465', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.707107', '0', '-0.707107', '3990.44', '37', '-6204.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465466', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.707112', '0', '-0.707101', '3990.44', '37', '-6224.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465467', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.707107', '0', '-0.707107', '3990.44', '37', '-6232.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465468', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.707107', '0', '-0.707107', '3990.44', '37', '-6240.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465469', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.707112', '0', '-0.707101', '3990.44', '37', '-6252.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465470', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.707107', '0', '-0.707107', '3990.44', '37', '-6260.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465471', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0.707107', '0', '-0.707107', '3990.44', '37', '-6268.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465472', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.707107', '0', '0.707107', '4072.34', '37', '-6191.65', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465473', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0', '0', '1', '4067.44', '37', '-6191.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465475', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0', '0', '1', '4059.44', '37', '-6191.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465480', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0', '0', '1', '4003.44', '37', '-6191.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465481', '0', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff', '0', '0', '0', '1', '3995.44', '37', '-6191.51', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465482', '0', 'object/static/structure/general/shared_atst_debris_01.iff', '-0.0269506', '0.986403', '-0.0394283', '0.157249', '3998.93', '37.1154', '-6226.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465483', '0', 'object/static/structure/general/shared_atst_destroyed.iff', '-0.556643', '0.687375', '-0.158015', '0.43897', '3998.07', '37.4573', '-6231.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465489', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0.707107', '0', '0.707107', '3993.51', '37', '-6227.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465490', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0.707107', '0', '-0.707107', '4017.09', '37', '-6199.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465491', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0.707109', '0', '-0.707104', '4069.44', '37', '-6226.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465492', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0.707094', '0', '0.707119', '3993.46', '37', '-6238.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465495', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '0', '-0.692536', '0', '0.721383', '4034.03', '18.3169', '-6508.12', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465499', '0', 'object/static/structure/general/shared_debris_deathstar_small_chunk.iff', '0', '0.457339', '0', '0.889293', '4055.76', '37', '-6257.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465500', '0', 'object/static/structure/general/shared_debris_deathstar_small_chunk.iff', '0', '0', '0', '1', '4069.08', '37', '-6252.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465501', '0', 'object/static/structure/general/shared_debris_deathstar_conduit.iff', '0', '0', '0', '1', '4062.33', '37', '-6269.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465502', '0', 'object/static/structure/general/shared_debris_deathstar_small_chunk.iff', '0', '0.324042', '0', '0.946043', '4069.39', '37', '-6268.77', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465506', '0', 'object/static/structure/general/shared_debris_deathstar_large_tube.iff', '0', '0.483807', '0', '0.875174', '4067.68', '37', '-6265.11', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465507', '0', 'object/static/structure/general/shared_debris_deathstar_large_tube.iff', '-0.464062', '0.580073', '0.402854', '0.534667', '4070.99', '38.1148', '-6266.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465508', '0', 'object/static/structure/general/shared_debris_deathstar_large_tube.iff', '-0.464062', '0.580073', '0.402854', '0.534667', '4070.98', '38.1174', '-6265.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465509', '0', 'object/static/structure/general/shared_debris_deathstar_large_tube.iff', '-0.431013', '0.601796', '0.356269', '0.570212', '4071.01', '38.0001', '-6264.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '3465510', '0', 'object/static/structure/general/shared_debris_deathstar_large_tube.iff', '-0.431013', '0.601796', '0.356269', '0.570212', '4071.01', '38.117', '-6264.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '3566216', '0', 'object/static/structure/dantooine/shared_dant_large_mudhut_no_flora_05m.iff', '0', '0.804599', '0', '0.593819', '-14.2585', '163.451', '-3919.03', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '3566217', '0', 'object/static/structure/dantooine/shared_dant_mud_oven.iff', '0', '-0.605186', '0', '0.796084', '1.00291', '163.643', '-3923.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '3566218', '0', 'object/tangible/camp/shared_camp_cot_s2.iff', '0', '0.720831', '0', '-0.693111', '-15.5919', '163.53', '-3914.26', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3566219', '0', 'object/tangible/camp/shared_camp_cot_s2.iff', '0', '0.717356', '0', '-0.696707', '-14.1008', '163.513', '-3914.14', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3566220', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0', '0', '0', '1', '-14.4798', '163.522', '-3919.65', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3566221', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.920751', '0', '-0.390152', '-14.0912', '163.502', '-3919.27', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3566222', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '-0.398609', '0', '0.917121', '-14.0798', '163.506', '-3920.03', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3566223', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff', '0', '0.389418', '0', '0.921061', '-14.8639', '163.555', '-3920.01', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3566224', '0', 'object/tangible/furniture/technical/shared_couch_s01.iff', '0', '0.681639', '0', '0.731688', '-19.5798', '163.57', '-3918.77', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3566225', '0', 'object/tangible/furniture/technical/shared_end_table_s01.iff', '0', '-0.0299955', '0', '0.99955', '-19.3725', '163.566', '-3919.95', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3566226', '0', 'object/tangible/furniture/technical/shared_end_table_s01.iff', '0', '0.999023', '0', '0.0441892', '-19.5707', '163.554', '-3917.57', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3566227', '0', 'object/tangible/loot/quest/shared_lifeday_orb.iff', '0', '0', '0', '1', '-19.3817', '163.938', '-3919.97', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3566228', '0', 'object/tangible/loot/quest/shared_lifeday_orb.iff', '0', '0', '0', '1', '-19.5437', '163.932', '-3917.56', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3566229', '0', 'object/static/structure/dantooine/shared_dant_rack_spears.iff', '0', '0.333487', '0', '0.942755', '-16.7052', '163.568', '-3923.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '3566230', '0', 'object/static/structure/general/shared_palette_supply_01.iff', '0', '0.613117', '0', '0.789992', '-5.96377', '163.376', '-3916.79', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3566231', '0', 'object/static/structure/general/shared_palette_supply_02.iff', '0', '0.434965', '0', '0.900447', '-9.44741', '163.469', '-3926.42', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '3566232', '0', 'object/static/vehicle/e3/shared_landspeeder.iff', '0', '-0.677971', '0', '0.735088', '-14.5014', '163.537', '-3910.3', '256', '1');
INSERT INTO `staticobjects` VALUES ('9', '3566233', '0', 'object/static/structure/nobuild/shared_nobuild_32.iff', '0', '0', '0', '1', '-4.07723', '163.483', '-3922.2', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '3705352', '0', 'object/building/yavin/shared_temple_woolamander.iff', '0', '0.914795', '0', '-0.403919', '548.722', '81', '-621.973', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '3705353', '3705352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3705354', '3705352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3705355', '3705352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '468334', '3705355', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '1', '0', '-3.20013e-08', '-0.114021', '2.0202', '-6.74917', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3705356', '3705352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3705357', '3705352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3705358', '3705352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3705359', '3705352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '468340', '3705359', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '0.707106', '0', '0.707107', '-59.3123', '2.21342', '4.98791', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '468343', '3705359', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '-0.707107', '0', '0.707107', '-81.1825', '2.02019', '4.80605', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '1945487', '3705359', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0', '1', '-76.448', '2.02019', '25.8778', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '1945488', '3705359', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0', '0.193767', '0.981048', '-77.1146', '2.11506', '26.0082', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '4245471', '3705359', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_imperial_rescue_01.iff', '0', '0.266731', '0', '0.963771', '-75.5101', '2.02019', '25.7386', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '3705360', '3705352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3705361', '3705352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '3705362', '3705352', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '468338', '3705362', 'object/tangible/container/loot/shared_placable_loot_crate.iff', '0', '-0.707107', '0', '0.707107', '78.6063', '2.02021', '5.06478', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '4295622', '0', 'object/static/structure/general/shared_poi_temple_ancient_ruined.iff', '0', '0.998488', '0', '-0.0549723', '-5574.84', '86.9', '4897.5', '175', '1');
INSERT INTO `staticobjects` VALUES ('9', '4295688', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0.828085', '0', '0.560603', '-5554.37', '86.8392', '4928.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '4295689', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0.889295', '0', '-0.457333', '-5553.5', '86.7888', '4927.33', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '4295690', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0.257868', '0', '0.96618', '-5555.84', '86.8997', '4927.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '4295691', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '-0.69411', '0', '0.719869', '-5555.45', '86.8938', '4926.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '4295692', '0', 'object/static/structure/general/shared_tato_cave_rock_med.iff', '0', '0.99287', '0', '0.119202', '-5557.15', '86.8976', '4928.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '4295693', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.994493', '0', '0.104807', '-5554.8', '86.8786', '4927.35', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '4295696', '0', 'object/static/structure/general/shared_poi_all_monolith_s01.iff', '0', '0', '0', '1', '-5598.51', '88.169', '4903.6', '175', '1');
INSERT INTO `staticobjects` VALUES ('9', '4295698', '0', 'object/static/structure/general/shared_rock_forestriverrock_lg.iff', '0', '0', '0', '1', '-5575.58', '86.9', '4858.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '4295700', '0', 'object/static/structure/general/shared_rock_forestriverrock_lg.iff', '0.0657024', '-0.342058', '0.0239833', '0.937072', '-5555.96', '86.5857', '4929.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '4295701', '0', 'object/static/structure/general/shared_tato_cave_rock_large.iff', '0', '0', '0', '1', '-5603.88', '87.2279', '4907.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '4295703', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar.iff', '0', '0.370921', '0', '0.928665', '-5583.86', '87.4399', '4903.5', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '4395570', '0', 'object/static/structure/military/shared_military_wall_med_imperial_16_style_01.iff', '0', '-0.468594', '0', '0.883413', '1611.32', '51.739', '-3549.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '4395571', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.882145', '0', '0.470977', '1606.76', '51.9261', '-3556.64', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '4395572', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '0.882145', '0', '0.470977', '1615.89', '51.7106', '-3543.08', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '4395573', '0', 'object/static/structure/military/shared_military_wall_med_imperial_16_style_01.iff', '0', '0.94352', '0', '0.331316', '1579.71', '50.5001', '-3519.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '4395574', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.333862', '0', '0.942622', '1586.07', '50.5', '-3514.06', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '4395575', '0', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff', '0', '-0.333862', '0', '0.942622', '1573.34', '50.5481', '-3524.32', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '4395589', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '-0.0898786', '0', '0.995953', '1597.52', '49.25', '-3542.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '4395590', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff', '0', '0.648033', '0', '0.761612', '1586.19', '49.25', '-3536.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '4395591', '0', 'object/static/structure/general/shared_banner_rebel_style_01.iff', '0', '0.522687', '0', '0.852525', '-4235.89', '182.908', '2285.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '4395592', '0', 'object/static/structure/general/shared_banner_rebel_style_01.iff', '0', '0', '0', '1', '-4244.68', '183.401', '2279.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '4395593', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0', '0', '1', '-4237.32', '183.618', '2272.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '4395594', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.261909', '0', '0.965092', '-4237.16', '184.326', '2272.25', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '4395595', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.29074', '0', '0.956802', '-4237.1', '183.578', '2273.88', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '4395596', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '-4237.69', '183.544', '2273.22', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '4395597', '0', 'object/tangible/camp/shared_camp_light_s2.iff', '0', '0', '0', '1', '-4243.23', '183.216', '2285.06', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '4395598', '0', 'object/static/creature/shared_imperial_at_st.iff', '0', '0.897911', '0', '0.440178', '1584.44', '50.5', '-3522.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '4395599', '0', 'object/tangible/camp/shared_camp_light_s2.iff', '0', '0', '0', '1', '-4238.63', '183.682', '2271', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '4395600', '0', 'object/static/structure/corellia/shared_corl_power_arial_thin.iff', '0', '0', '0', '1', '-4243.04', '185.855', '2273.87', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '4395602', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s02.iff', '0', '-0.0875866', '0', '0.996157', '1589.87', '50.5099', '-3549.36', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '4395627', '0', 'object/static/creature/shared_imperial_at_st.iff', '0', '-0.440178', '0', '0.89791', '1607.42', '50.5', '-3547.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '4905354', '0', 'object/static/item/shared_item_crate_clothing_small.iff', '0', '0', '0', '1', '-6883.5', '73', '-5696.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '4905355', '0', 'object/static/item/shared_item_sewing_utensils.iff', '0.767543', '0', '0', '-0.640997', '-6883.46', '73.8258', '-5695.99', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '4905357', '0', 'object/static/item/shared_item_cloth_patches.iff', '0', '0', '0', '1', '-6883.93', '73', '-5696.36', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '4905358', '0', 'object/static/item/shared_item_carbine_dh17.iff', '0', '0', '0.720831', '0.693111', '-6873.18', '73.0648', '-5709.22', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '4905359', '0', 'object/static/item/shared_wp_mle_lance_staff_metal_s01.iff', '0', '0', '-0.188859', '0.982004', '-6871.59', '74.0436', '-5708.98', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '4905360', '0', 'object/static/item/shared_wp_mle_lance_vibroaxe.iff', '0', '0', '-0.198669', '0.980067', '-6871.54', '73.9156', '-5708.87', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '4905361', '0', 'object/static/item/shared_wp_rifle_laser_combined.iff', '0', '0', '0.706825', '0.707388', '-6872.96', '73.0228', '-5708.61', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '5335952', '0', 'object/static/vehicle/shared_static_tie_bomber.iff', '0', '0.996322', '0', '-0.0856911', '4036.1', '43.2326', '-6192.38', '256', '1');
INSERT INTO `staticobjects` VALUES ('9', '5335953', '0', 'object/static/particle/shared_particle_smoke.iff', '0', '0', '0', '1', '4032.15', '37', '-6196', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '5635352', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '4017.42', '37', '-6277.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '5635353', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '4045.53', '37', '-6277.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '5635359', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0', '-0.692536', '0.721383', '3991.46', '39.0555', '-6235.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '5635360', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0', '-0.699716', '0.714421', '3991.4', '39.6247', '-6226.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '5635361', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '-0.449368', '0.548819', '0.523988', '-0.471489', '4036.32', '43.7357', '-6198.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '5635362', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0', '0.699718', '0.71442', '4071.72', '39.435', '-6228.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '6845418', '0', 'object/tangible/jedi/shared_force_shrine_stone.iff', '0', '0.707107', '0', '0.707107', '-4585.29', '587.788', '-3764.25', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '6845419', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0.707101', '0', '0.707112', '-4589.71', '588.825', '-3765.85', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '6845420', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0', '0', '1', '-4581.03', '588.825', '-3765.81', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '6845421', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '1', '0', '0', '-4586.26', '588.825', '-3765.86', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '6845422', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '0', '0', '1', '-4584.46', '588.815', '-3765.91', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '6845423', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_altar.iff', '0', '0', '0', '1', '-4585.35', '570.871', '-3765.85', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '6845424', '0', 'object/static/particle/shared_pt_poi_electricity_2x2.iff', '0', '0', '0', '1', '-4585.29', '588.825', '-3764.26', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '6845425', '0', 'object/tangible/jedi/shared_force_shrine_stone.iff', '0', '0.707107', '0', '0.707107', '2389.64', '79.7299', '-4937.82', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '6845426', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0.707101', '0', '0.707112', '2385.22', '80.8112', '-4939.42', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '6845427', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0', '0', '1', '2393.91', '80.8112', '-4939.39', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '6845428', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '1', '0', '0', '2388.68', '80.8112', '-4939.43', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '6845429', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '0', '0', '1', '2390.47', '80.8012', '-4939.48', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '6845430', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_altar.iff', '0', '0', '0', '1', '2389.59', '62.8576', '-4939.42', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '6845431', '0', 'object/static/particle/shared_pt_poi_electricity_2x2.iff', '0', '0', '0', '1', '2389.65', '80.8112', '-4937.83', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '7665623', '0', 'object/tangible/jedi/shared_force_shrine_stone.iff', '0', '0.707107', '0', '0.707107', '6455.22', '17.8987', '6420.27', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '7665624', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0.7071', '0', '0.707113', '6450.8', '18.408', '6418.67', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '7665625', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0', '0', '1', '6459.49', '18.408', '6418.7', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '7665626', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '1', '0', '0', '6454.25', '18.408', '6418.66', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '7665627', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '0', '0', '1', '6456.05', '18.398', '6418.61', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '7665628', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_altar.iff', '0', '0', '0', '1', '6455.16', '0.454426', '6418.67', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '7665629', '0', 'object/static/particle/shared_pt_poi_electricity_2x2.iff', '0', '0', '0', '1', '6455.23', '19.408', '6420.26', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '7665630', '0', 'object/tangible/jedi/shared_force_shrine_stone.iff', '0', '0.707107', '0', '0.707107', '-3362.3', '234.762', '6911.79', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '7665631', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0.707101', '0', '0.707112', '-3366.72', '235.519', '6910.2', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '7665632', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0', '0', '1', '-3358.03', '235.519', '6910.23', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '7665633', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '1', '0', '0', '-3363.26', '235.519', '6910.18', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '7665634', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '0', '0', '1', '-3361.47', '235.509', '6910.14', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '7665635', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_altar.iff', '0', '0', '0', '1', '-3362.36', '217.566', '6910.2', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '7665636', '0', 'object/static/particle/shared_pt_poi_electricity_2x2.iff', '0', '0', '0', '1', '-3362.29', '235.519', '6911.79', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '7795548', '0', 'object/building/military/shared_outpost_starport.iff', '0', '1', '0', '-3.27029e-07', '-287.579', '35', '4878.54', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '7795549', '7795548', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '2655376', '7795549', 'object/tangible/terminal/shared_terminal_space.iff', '0', '0', '0', '1', '-7.41167', '0.146595', '-19.2146', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '7795564', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.707106', '0', '0.707107', '-243', '34.5647', '4870', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '7795566', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '0.57098', '0', '0.820964', '-245.795', '34.4045', '4885.98', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '7795568', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0', '0', '1', '-243', '34.7252', '4862', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '7795569', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0', '0', '1', '-243', '34.6965', '4878', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '7795570', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0.0848977', '0', '0.99639', '-249.02', '34.4313', '4894.05', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '7795571', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '-0.00615215', '0.307566', '-0.0190289', '0.951316', '-256.102', '34.4523', '4899.17', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '7795572', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0', '0', '1', '-263.221', '34.9874', '4903.77', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '7795573', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '0', '0', '1', '-279.905', '35', '4903.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '7795574', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0', '0', '1', '-296.787', '35', '4903.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '7795575', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.139543', '0', '0.990216', '-305.338', '35', '4901.31', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '7795576', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0', '0', '1', '-313.916', '35', '4898.72', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '7795577', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0', '0', '1', '-322.433', '35', '4896.25', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '7795578', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.139543', '0', '0.990216', '-330.984', '35', '4893.73', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '7795579', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0', '0', '1', '-339.562', '35', '4891.14', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '7795580', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '-0.237703', '0', '0.971338', '-354.45', '35', '4883.48', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '7795581', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '-0.585097', '0', '0.810963', '-369.182', '34.992', '4875.53', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '7795582', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.692537', '0', '0.721383', '-369.478', '35', '4866.62', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '7795583', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '-0.585097', '0', '0.810963', '-369.732', '35.1325', '4857.66', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '7795584', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '-0.651834', '0', '0.758361', '-369.505', '35.1812', '4846.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '7795585', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0.75128', '0', '-0.659983', '-368.289', '35', '4837.95', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '7795586', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '-0.651834', '0', '0.758361', '-367.024', '35.1311', '4829.08', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '7795587', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '0.382683', '0', '0.92388', '-360.677', '35', '4822.99', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '7795588', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0', '0', '1', '-354.431', '35', '4816.79', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '7795589', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff', '0', '0', '0', '1', '-337.659', '35', '4816.78', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '7795590', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0', '0', '1', '-321.153', '35.159', '4816.84', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '7795591', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '0', '0', '1', '-312.604', '35', '4816.83', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '7795594', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.13459', '0', '0.990901', '-274.656', '35', '4823.13', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '7795595', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '-0.13459', '0', '0.990901', '-266.224', '35.1446', '4825.41', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '7795596', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '-0.461779', '0', '0.886995', '-253.972', '34.9524', '4834.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '7795597', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff', '0', '-0.461779', '0', '0.886995', '-249.061', '34.8702', '4841.7', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '7795598', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '-0.461779', '0', '0.886995', '-244.008', '34.9977', '4848.82', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '7795599', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '-0.314567', '0', '0.949235', '-260.257', '34.9907', '4829.9', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '7795615', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '0', '0.593498', '0', '0.804836', '-317.932', '35', '4896.79', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '7795616', '0', 'object/static/installation/shared_mockup_mining_gas_harvester_style_1.iff', '0', '0', '0', '1', '-288.146', '35', '4845.15', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '7795623', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0', '0', '1', '-295.653', '35', '4840.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925430', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '0.707107', '0', '0.707107', '-301', '32.2944', '4845', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925433', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0', '0', '1', '-293.356', '35', '4845.25', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925434', '0', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff', '0', '0', '0', '1', '-298.356', '35', '4845.25', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925435', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '1', '0', '3.20013e-08', '-293.356', '35', '4849.25', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925436', '0', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff', '0', '1', '0', '0', '-298.356', '35', '4849.25', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925444', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s02.iff', '0', '-0.0649542', '0', '0.997888', '-301.004', '35', '4817.3', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925445', '0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s02.iff', '0', '-0.114747', '0', '0.993395', '-286.001', '35', '4820.08', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925448', '0', 'object/building/corellia/shared_ply_corl_house_m_s01_fp1.iff', '0', '1', '0', '-3.20013e-08', '-347.611', '35', '4868.78', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925449', '7925448', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '1322868', '7925449', 'object/tangible/furniture/modern/shared_bar_piece_curve_s2.iff', '0', '1', '0', '-4.11323e-07', '4.26174', '0.624998', '5.29693', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '1366051', '7925449', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_3.iff', '0', '0', '0', '1', '9.59505', '0.624997', '3.47403', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '1366052', '7925449', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_3.iff', '0', '0', '0', '1', '6.85199', '0.624998', '1.49188', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '1366053', '7925449', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_3.iff', '0', '0', '0', '1', '3.60118', '0.624999', '1.49875', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '1366054', '7925449', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_3.iff', '0', '0', '0', '1', '0.100941', '0.624999', '1.54367', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '1366055', '7925449', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_3.iff', '0', '0', '0', '1', '-0.472993', '0.625', '5.26741', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '1366056', '7925449', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '-0.252245', '0', '0.967663', '10.0725', '0.624998', '2.54225', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '1366057', '7925449', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.908966', '0', '-0.416871', '10.3366', '0.624998', '4.09482', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '1366058', '7925449', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.810497', '0', '0.585743', '8.64383', '0.624998', '3.77245', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '1366059', '7925449', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '-0.651834', '0', '0.758362', '7.80831', '0.624998', '1.30831', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '1366060', '7925449', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.42141', '0', '0.90687', '6.05984', '0.624998', '0.825291', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '1366061', '7925449', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.783327', '0', '-0.62161', '4.56006', '0.624998', '1.6664', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '1366062', '7925449', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.375559', '0', '0.926798', '2.8223', '0.624999', '0.769608', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '1366063', '7925449', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.947396', '0', '0.320063', '3.01851', '0.624999', '2.33667', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '1366064', '7925449', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '-0.535416', '0', '0.844589', '1.0223', '0.624999', '1.05323', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '1366065', '7925449', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.731146', '0', '0.682221', '-0.956108', '0.625', '1.57818', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '1366066', '7925449', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.688921', '0', '0.724836', '-1.50632', '0.625', '5.21831', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '1366067', '7925449', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff', '0', '0.928369', '0', '-0.37166', '0.246291', '0.624999', '5.98011', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '1366072', '7925449', 'object/tangible/furniture/all/shared_frn_all_lamp_desk_s02.iff', '0', '0', '0', '1', '-0.479437', '1.38395', '5.2699', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '1366073', '7925449', 'object/tangible/furniture/all/shared_frn_all_lamp_desk_s02.iff', '0', '-0.514819', '0', '0.857299', '0.118645', '1.38395', '1.54922', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '1366074', '7925449', 'object/tangible/furniture/all/shared_frn_all_lamp_desk_s02.iff', '0', '0.872745', '0', '-0.488177', '3.61143', '1.38395', '1.50303', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '1366075', '7925449', 'object/tangible/furniture/all/shared_frn_all_lamp_desk_s02.iff', '0', '0.227202', '0', '0.973848', '6.82792', '1.38394', '1.45123', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '1366076', '7925449', 'object/tangible/furniture/all/shared_frn_all_lamp_desk_s02.iff', '0', '0.939645', '0', '-0.34215', '9.59823', '1.38394', '3.47291', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '1575924', '7925449', 'object/static/item/shared_item_glass_empty.iff', '0.707107', '-2.26283e-08', '0.707107', '-2.26283e-08', '3.84902', '0.970838', '5.04453', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '1575927', '7925449', 'object/static/item/shared_item_glass_empty.iff', '0.707107', '0', '-0.707107', '0', '3.54538', '0.972849', '5.05113', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '1575928', '7925449', 'object/static/item/shared_item_glass_empty.iff', '0.707107', '0', '-0.707107', '0', '3.23874', '0.972849', '5.05454', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '1575929', '7925449', 'object/static/item/shared_item_glass_empty.iff', '0.707107', '0', '-0.707107', '0', '4.03414', '1.41557', '5.12295', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '1575930', '7925449', 'object/static/item/shared_item_glass_empty.iff', '0.707107', '0', '0.707107', '0', '4.33813', '1.41758', '5.1166', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '1575931', '7925449', 'object/static/item/shared_item_glass_empty.iff', '0.707107', '0', '0.707107', '0', '4.64476', '1.41758', '5.11318', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '1575932', '7925449', 'object/static/item/shared_item_glass_empty.iff', '0.707107', '0', '0.707107', '0', '3.76203', '1.41557', '5.11993', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '1575933', '7925449', 'object/static/item/shared_item_glass_empty.iff', '0.707107', '0', '-0.707107', '0', '3.45804', '1.41758', '5.12627', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '1575934', '7925449', 'object/static/item/shared_item_glass_empty.iff', '0.707107', '0', '-0.707107', '0', '3.1514', '1.41758', '5.12969', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '1575935', '7925449', 'object/static/item/shared_item_glass_empty.iff', '0', '0', '-0.640386', '0.768054', '3.48883', '1.80717', '4.91099', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '1575936', '7925449', 'object/static/item/shared_item_glass_empty.iff', '0', '0', '0', '1', '3.47017', '1.76342', '4.69121', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '1575937', '7925449', 'object/static/item/shared_item_bottle_fat.iff', '0', '0', '0', '1', '3.23181', '1.76342', '4.87084', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '1575938', '7925449', 'object/static/item/shared_item_bottle_fat.iff', '0', '1', '0', '0', '5.49279', '0.783112', '5.35558', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '1575940', '7925449', 'object/static/item/shared_item_bowl_plain.iff', '0', '0', '0', '1', '5.96373', '1.76342', '5.70623', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '1575941', '7925449', 'object/static/item/shared_item_bread_loaf.iff', '0', '0', '0', '1', '5.97978', '1.79504', '5.71691', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925450', '7925448', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '1575894', '7925450', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_2.iff', '0', '0.707106', '0', '0.707107', '-9.46788', '0.625', '3.4411', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '1575897', '7925450', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_2.iff', '0', '1', '0', '-3.20013e-08', '-6.72837', '0.625', '6.13506', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '1575898', '7925450', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0.707106', '0', '0.707107', '-8.32869', '0.625', '3.45288', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '1575899', '7925450', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff', '0', '0', '0', '1', '-6.73003', '0.625', '5.0246', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '1575902', '7925450', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff', '0', '-0.382683', '0', '0.92388', '-4.5872', '0.625', '1.30134', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '1575922', '7925450', 'object/static/item/shared_item_painting_naboo_style_01.iff', '0', '0.929516', '0', '0.368783', '-9.24479', '0.625', '1.0872', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '1575923', '7925450', 'object/static/item/shared_item_painting_naboo_style_01.iff', '0', '-0.382683', '0', '0.92388', '-4.26503', '0.625', '5.91773', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '9835387', '7925450', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s02.iff', '0', '0.799099', '0', '-0.6012', '-8.98096', '0.625', '5.63334', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925451', '7925448', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '1575903', '7925451', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '1', '0', '-3.20013e-08', '-4.83591', '0.624999', '-4.95113', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '1575904', '7925451', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '1', '0', '-3.20013e-08', '-3.54388', '0.624999', '-4.95261', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '1575905', '7925451', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '1', '0', '-3.20013e-08', '-2.17627', '0.624999', '-4.96715', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '1575906', '7925451', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '1', '0', '-3.20013e-08', '-0.910917', '0.624999', '-4.97335', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '1575907', '7925451', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '1', '0', '-3.20013e-08', '0.483061', '0.624999', '-4.95205', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '1575908', '7925451', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '1', '0', '-3.20013e-08', '-2.15032', '0.625', '-0.75714', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '1575909', '7925451', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '1', '0', '-3.20013e-08', '-3.51796', '0.625', '-0.74295', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '1575910', '7925451', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '1', '0', '-3.20013e-08', '-4.80996', '0.625', '-0.741592', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '1575911', '7925451', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '1', '0', '-3.20013e-08', '-0.885092', '0.625', '-0.763508', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '1575912', '7925451', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '1', '0', '-3.20013e-08', '0.508839', '0.625', '-0.742365', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '1575913', '7925451', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '1', '0', '-3.20013e-08', '-2.15929', '0.624999', '-2.81235', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '1575914', '7925451', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '1', '0', '-3.20013e-08', '-3.52668', '0.624999', '-2.79854', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '1575915', '7925451', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '1', '0', '-3.20013e-08', '-4.81851', '0.624999', '-2.79677', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '1575916', '7925451', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '1', '0', '-3.20013e-08', '-0.893649', '0.624999', '-2.81869', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '1575917', '7925451', 'object/tangible/furniture/cheap/shared_chair_s01.iff', '0', '1', '0', '-3.20013e-08', '0.500457', '0.624999', '-2.7981', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '9835408', '7925451', 'object/static/item/shared_item_music_microphone_s1.iff', '0', '0', '0', '1', '-2.11036', '0.624999', '-6.83008', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '9835409', '7925451', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '0.707106', '0', '0.707107', '-9.6813', '0.624999', '-4.45525', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '9835411', '7925451', 'object/tangible/furniture/all/shared_frn_all_decorative_lg_s2.iff', '0', '0.707107', '0', '-0.707107', '-9.6835', '1.41557', '-4.42721', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '9835413', '7925451', 'object/tangible/furniture/all/shared_frn_all_lamp_desk_s02.iff', '0', '0', '0', '1', '-9.63825', '1.41557', '-5.54578', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '9835414', '7925451', 'object/tangible/furniture/all/shared_frn_all_lamp_desk_s02.iff', '0', '1', '0', '0', '-9.64712', '1.41557', '-3.40895', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925452', '7925448', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '9835415', '7925452', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff', '0', '0.707106', '0', '0.707107', '9.00499', '0.625', '-4.464', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '9835416', '7925452', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff', '0', '-0.707107', '0', '0.707107', '10.2272', '0.625', '-4.54393', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '9835417', '7925452', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff', '0', '0.965693', '0', '0.259688', '6.50285', '0.625', '-1.98656', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '9835418', '7925452', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff', '0', '0', '0', '1', '7.79059', '0.625', '-7.97511', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '9835419', '7925452', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s01.iff', '0', '0.707107', '0', '0.707107', '8.6435', '1.41557', '-4.55418', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925453', '0', 'object/building/military/shared_outpost_cloning_facility_s02.iff', '0', '0', '0', '1', '-353', '35', '4840', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925454', '7925453', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925455', '7925453', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925456', '7925453', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925457', '7925453', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925458', '7925453', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925459', '7925453', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925468', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0', '0', '1', '-306', '33.427', '4831', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925469', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0', '0', '1', '-306', '33.427', '4837', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925470', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0', '0', '1', '-322', '33.427', '4853', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925471', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0', '0', '1', '-322', '33.427', '4847', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925472', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0', '0', '1', '-306', '33.427', '4853', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925473', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0', '0', '1', '-322', '33.427', '4831', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925474', '0', 'object/building/corellia/shared_ply_corl_house_s_s01_fp1.iff', '0', '0', '0', '1', '-270.472', '35', '4839.57', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925475', '7925474', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925476', '7925474', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925545', '7925476', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '-0.707106', '0', '0.707108', '3.64877', '2.46954', '-7.46645', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925546', '7925476', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff', '0', '-0.707106', '0', '0.707108', '-2.96613', '2.46954', '-7.45268', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925549', '7925476', 'object/tangible/furniture/all/shared_frn_all_decorative_sm_s3.iff', '0', '0', '0', '1', '3.65432', '3.20658', '-7.56457', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925550', '7925476', 'object/tangible/furniture/all/shared_frn_all_decorative_sm_s3.iff', '0', '0', '0', '1', '-2.9434', '3.20658', '-7.56177', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925551', '7925476', 'object/tangible/furniture/all/shared_frn_all_decorative_lg_s1.iff', '0', '0.356949', '0', '0.934124', '-6.63387', '0.74', '-7.33238', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925477', '7925474', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925553', '7925477', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0', '0', '1', '0.902615', '0.74', '-4.33197', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925554', '7925477', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0', '0', '1', '-0.291089', '0.74', '-4.33636', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925555', '7925477', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '0', '0', '1', '-1.48255', '0.74', '-4.32266', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925558', '7925477', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '1', '0', '3.20013e-08', '0.890994', '0.74', '0.554381', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925559', '7925477', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '1', '0', '3.20013e-08', '-0.300473', '0.74', '0.568053', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925560', '7925477', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff', '0', '1', '0', '3.20013e-08', '-1.4974', '0.74', '0.563658', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925562', '7925477', 'object/tangible/furniture/modern/shared_end_table_large_modern_style_01.iff', '0', '1', '0', '-3.20013e-08', '-3.36425', '0.74', '-3.75938', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925563', '7925477', 'object/tangible/furniture/modern/shared_end_table_large_modern_style_01.iff', '0', '1', '0', '1.58442e-07', '-3.36299', '0.74', '0.0283673', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925567', '7925477', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff', '0', '0.707106', '0', '0.707107', '-2.7786', '0.74', '-1.90347', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925572', '7925477', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s02.iff', '0', '1', '0', '3.20013e-08', '-2.43889', '0.74', '0.754185', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925573', '7925477', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s02.iff', '0', '0', '0', '1', '-2.49374', '0.74', '-4.55433', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925578', '7925477', 'object/static/item/shared_item_painting_tatooine_style_02.iff', '0', '0', '0', '1', '6.9963', '2.35276', '-1.9193', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925579', '7925477', 'object/static/item/shared_item_painting_tatooine_style_01.iff', '0', '1', '0', '3.20013e-08', '-3.99285', '2.38439', '-1.8798', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925580', '7925477', 'object/tangible/furniture/elegant/shared_bookcase_s01.iff', '0', '1', '0', '3.20013e-08', '2.60841', '0.74', '0.425307', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925581', '7925477', 'object/tangible/furniture/elegant/shared_bookcase_s01.iff', '0', '0', '0', '1', '2.60014', '0.74', '-4.21821', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925585', '7925477', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_04.iff', '0', '0.707106', '0', '0.707107', '-0.456341', '0.74', '-1.87373', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925478', '7925474', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '8285484', '7925478', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s2.iff', '0', '1', '0', '3.20013e-08', '-1.24266', '0.74', '4.89022', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '8285485', '7925478', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s2.iff', '0', '1', '0', '0', '1.44285', '0.74', '4.87807', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '8285486', '7925478', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s2.iff', '0', '1', '0', '0', '4.13386', '0.74', '4.88317', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '8285488', '7925478', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '1', '0', '-3.20013e-08', '-2.24871', '0.74', '6.84429', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '8285489', '7925478', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '1', '0', '0', '0.420358', '0.74', '6.85367', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '8285490', '7925478', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '1', '0', '0', '3.08899', '0.74', '6.83437', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '8285491', '7925478', 'object/static/item/shared_item_diagnostic_screen.iff', '0.707107', '0', '0', '-0.707107', '-0.433034', '1.75193', '7.24931', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '8285492', '7925478', 'object/static/item/shared_item_diagnostic_screen.iff', '0.707107', '0', '0', '-0.707107', '2.25432', '1.68868', '7.2265', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '8285493', '7925478', 'object/static/item/shared_item_diagnostic_screen.iff', '0.707107', '0', '0', '-0.707107', '4.9631', '1.68868', '7.23108', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '8285494', '7925478', 'object/tangible/furniture/all/shared_frn_all_professor_desk.iff', '0', '0', '0', '1', '0.173934', '0.74', '2.14943', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '8285495', '7925478', 'object/tangible/furniture/all/shared_frn_all_chair_meatal_wheeled_s1.iff', '0', '0.470626', '0', '0.882333', '-0.344778', '0.74', '3.45845', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '8285496', '7925478', 'object/tangible/furniture/all/shared_frn_all_chair_metal_s1.iff', '0', '0', '0', '1', '3.14798', '0.74', '2.54187', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '8285497', '7925478', 'object/tangible/furniture/all/shared_frn_all_chair_metal_s1.iff', '0', '0', '0', '1', '2.10809', '0.74', '2.53294', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '8285498', '7925478', 'object/static/structure/general/shared_data_terminal_free_s1.iff', '0', '0', '0', '1', '-1.97088', '0.74', '1.37894', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925480', '0', 'object/tangible/crafting/station/shared_public_weapon_station.iff', '0', '-0.707106', '0', '0.707107', '-307.755', '35', '4845.73', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925481', '0', 'object/tangible/crafting/station/shared_public_weapon_station.iff', '0', '0.707107', '0', '-0.707107', '-307.696', '35', '4839.75', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925483', '0', 'object/tangible/crafting/station/shared_public_clothing_station.iff', '0', '0.707107', '0', '-0.707107', '-311.469', '35', '4851.04', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925484', '0', 'object/tangible/crafting/station/shared_public_clothing_station.iff', '0', '0.707107', '0', '-0.707107', '-316.675', '35', '4851.04', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925485', '0', 'object/tangible/crafting/station/shared_public_structure_station.iff', '0', '0', '0', '1', '-311.678', '35', '4832.52', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925486', '0', 'object/tangible/crafting/station/shared_public_structure_station.iff', '0', '0', '0', '1', '-316.738', '35', '4832.57', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925488', '0', 'object/tangible/crafting/station/shared_public_food_station.iff', '0', '0.707106', '0', '0.707107', '-320.451', '35', '4843.02', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925489', '0', 'object/tangible/crafting/station/shared_public_food_station.iff', '0', '0.707107', '0', '0.707107', '-320.453', '35', '4837.57', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925492', '0', 'object/static/structure/corellia/shared_corl_tent_med.iff', '0', '0', '0', '1', '-314.284', '35', '4841.52', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925496', '0', 'object/static/installation/shared_mockup_mining_ore_harvester_style_2.iff', '0', '0', '0', '1', '-345.036', '35', '4824.74', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925500', '0', 'object/static/installation/shared_mockup_farm_creature_style_1.iff', '0', '1', '0', '5.30747e-08', '-254.808', '35', '4880.71', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925501', '0', 'object/static/installation/shared_mockup_mining_liquid_harvester_style_1.iff', '0', '-0.707106', '0', '0.707107', '-331.634', '35', '4871.95', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925502', '0', 'object/static/installation/shared_mockup_factory_item_style_1.iff', '0', '1', '0', '3.20013e-08', '-322.861', '35', '4875', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925505', '0', 'object/static/structure/general/shared_tankfarm_s01.iff', '0', '0', '0', '1', '-341.116', '35', '4880.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925509', '0', 'object/static/installation/shared_mockup_factory_organic_style_1.iff', '0', '0', '0', '1', '-256.711', '35', '4844.34', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925510', '0', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '0', '0', '1', '-307.973', '35', '4854.01', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925511', '0', 'object/tangible/terminal/shared_terminal_bank.iff', '0', '0', '0', '1', '-319.988', '35', '4853.95', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925512', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0', '0', '1', '-311.994', '35', '4854.04', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925513', '0', 'object/tangible/terminal/shared_terminal_bazaar.iff', '0', '0', '0', '1', '-315.987', '35', '4854.03', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925514', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '-0.0948572', '0', '0.995491', '-291.026', '35', '4819.89', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925516', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '-0.094857', '0', '0.995491', '-293.57', '35', '4819.37', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925518', '0', 'object/tangible/terminal/shared_terminal_mission.iff', '0', '-0.094857', '0', '0.995491', '-296.129', '35', '4818.89', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925520', '0', 'object/static/particle/shared_particle_smoke.iff', '0', '0', '0', '1', '-326.188', '39.1984', '4878.54', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925521', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0', '0', '0', '1', '-298.398', '34.3999', '4845.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925522', '0', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff', '0', '0', '0', '1', '-293.468', '34.6188', '4845.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925524', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '1', '0', '-6.63422e-07', '-307.115', '35', '4873.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925525', '0', 'object/static/structure/general/shared_streetlamp_large_style_02.iff', '0', '0', '0', '1', '-267.955', '35', '4873.04', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925526', '0', 'object/static/structure/general/shared_streetlamp_large_style_01.iff', '0', '0', '0', '1', '-344.985', '35', '4847.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925531', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '-320.532', '35', '4832.29', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925532', '0', 'object/building/endor/shared_endor_tiki_torch.iff', '0', '0', '0', '1', '-307.401', '35', '4851.6', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925533', '0', 'object/static/structure/general/shared_streetlamp_small_style_02.iff', '0', '0', '0', '1', '-277.897', '35.3162', '4847.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '7925535', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-293.91', '33.1996', '4821.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8225359', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.065941', '-0.64797', '0.00793784', '0.758764', '-7555.43', '30.391', '-5917.66', '256', '1');
INSERT INTO `staticobjects` VALUES ('9', '8225369', '0', 'object/static/flora/shared_potted_plant_leaves_small.iff', '0', '0.989621', '0', '-0.143704', '-7554.52', '30.714', '-5917.03', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8225370', '0', 'object/static/flora/shared_potted_plant_leaves_small.iff', '0', '0.9871', '0', '0.160104', '-7555.27', '30.7198', '-5916.91', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8225371', '0', 'object/static/flora/shared_potted_plant_leaves_small.iff', '0', '0.902268', '0', '0.431177', '-7555.83', '30.7032', '-5916.74', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8225372', '0', 'object/static/flora/shared_potted_plant_leaves_small.iff', '0', '0.731146', '0', '0.682221', '-7556.58', '30.709', '-5916.62', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8225373', '0', 'object/static/flora/shared_potted_plant_leaves_small.iff', '0', '0.989621', '0', '-0.143704', '-7557.28', '30.6749', '-5916.63', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8225374', '0', 'object/static/flora/shared_potted_plant_leaves_small.iff', '0', '0.9871', '0', '0.160104', '-7558.03', '30.6807', '-5916.51', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8225375', '0', 'object/static/flora/shared_potted_plant_leaves_small.iff', '0', '0.996738', '0', '0.0807085', '-7553.01', '30.6832', '-5917.06', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8225376', '0', 'object/static/flora/shared_potted_plant_leaves_small.iff', '0', '0.926499', '0', '0.376297', '-7553.75', '30.689', '-5916.95', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8225377', '0', 'object/static/flora/shared_potted_plant_leaves_small.iff', '0', '0.13459', '0', '0.990901', '-7551.45', '30.7516', '-5917.65', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8225378', '0', 'object/static/flora/shared_potted_plant_leaves_small.iff', '0', '-0.169182', '0', '0.985585', '-7552.14', '30.7574', '-5917.34', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8225379', '0', 'object/static/flora/shared_potted_plant_leaves_small.iff', '0', '-0.159318', '0', '0.987227', '-7558.76', '30.9203', '-5916.06', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8225380', '0', 'object/static/flora/shared_potted_plant_leaves_small.iff', '0', '-0.448423', '0', '0.893822', '-7559.51', '30.9261', '-5916.19', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8225394', '0', 'object/building/military/shared_military_outpost_guard_house_rebel.iff', '-0.0233365', '-0.000246496', '0.0105592', '0.999672', '-7572.26', '21.0955', '-1082.47', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8225395', '8225394', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '8225396', '8225394', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '8225397', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '0.0898786', '0', '0.995953', '-7573.31', '19.3229', '-1089.88', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8225398', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '-0.0898786', '0', '0.995953', '-7570.5', '19.3174', '-1089.89', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8225404', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0.00962928', '0.735014', '-0.677904', '0.0104405', '-7551.22', '149.077', '-446.297', '256', '1');
INSERT INTO `staticobjects` VALUES ('9', '8225405', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0.0697089', '0.0255231', '-0.00663575', '0.997219', '-7551.07', '150.602', '-450.486', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8225406', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0', '0', '0', '1', '-7551.26', '148.24', '-446.734', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8225410', '0', 'object/static/structure/general/shared_debris_deathstar_conduit.iff', '0.0202053', '0.277378', '-0.194137', '0.940725', '-7567.93', '227.242', '122.328', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8225412', '0', 'object/static/flora/shared_potted_plant_leaves_small.iff', '0', '0.0649542', '0', '0.997888', '-7565.1', '226.394', '122.235', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8225413', '0', 'object/static/flora/shared_potted_plant_leaves_small.iff', '0', '-0.271547', '0', '0.962425', '-7565.68', '226.463', '122.558', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8225414', '0', 'object/static/flora/shared_potted_plant_leaves_small.iff', '0', '-0.509841', '0', '0.860269', '-7566.17', '226.565', '122.444', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8225415', '0', 'object/static/flora/shared_potted_plant_leaves_small.iff', '0', '0.958016', '0', '-0.286715', '-7567.28', '226.818', '123.582', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8225416', '0', 'object/static/flora/shared_potted_plant_leaves_small.iff', '0', '0.99879', '0', '0.0491838', '-7566.91', '226.887', '123.039', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8225417', '0', 'object/static/flora/shared_potted_plant_leaves_small.iff', '0', '0.952576', '0', '0.304299', '-7566.41', '226.989', '122.929', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8275353', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_fallen.iff', '-0.274969', '-0.393993', '0.795831', '-0.36853', '-7461.83', '264.719', '392.132', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8275354', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_med.iff', '0', '0', '0', '1', '-7467.66', '262.291', '382.621', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8275355', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '0', '0', '1', '-7467.75', '262.344', '390.254', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8275356', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_fallen.iff', '-0.159284', '0.987014', '0.003313', '-0.0205293', '-7464.46', '264.25', '389.965', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8275358', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0.945784', '0', '-0.324796', '-7415', '389.406', '967.145', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8275359', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '-0.307125', '0.679796', '-0.36287', '-0.55846', '-7416.29', '392.427', '967.168', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8275361', '0', 'object/static/structure/general/shared_skeleton_bith_head.iff', '-0.0708998', '0.913114', '-0.398795', '0.046467', '-7414.76', '392.418', '965.769', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8275362', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0', '0', '0', '1', '-7415.6', '386.53', '966.016', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8275363', '0', 'object/static/structure/dantooine/shared_dant_fence_4m.iff', '-0.0194684', '0.97329', '0.00457475', '-0.228707', '-7594.66', '402.812', '1526.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8275364', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0.0515393', '-0.534745', '-0.0323788', '0.842819', '-7597.65', '403.643', '1522.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8275366', '0', 'object/static/structure/general/shared_campfire_ash.iff', '0.135537', '-0.00277841', '-0.0203057', '0.99056', '-7594.69', '403.531', '1522.91', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8275370', '0', 'object/static/structure/general/shared_debris_deathstar_tractorbeam.iff', '-0.207703', '0.656197', '0.218922', '0.69162', '-7563.79', '430.796', '2119.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8275372', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0', '0', '1', '-7564.85', '432.103', '2118.31', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8275373', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0.203567', '0', '0.979061', '-7564.43', '431.261', '2117.97', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8275374', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0', '0', '1', '-7563.83', '430.853', '2118.52', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8275375', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0.713864', '0', '0.700285', '-7563.16', '430.326', '2119.5', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8275376', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0.836026', '0', '0.54869', '-7562.68', '430.9', '2120.56', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8275377', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0.663135', '0', '0.7485', '-7563.53', '431.89', '2121.34', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8275378', '0', 'object/static/flora/shared_potted_plant_leaves_small.iff', '-0.0123428', '-0.000741461', '-0.30475', '0.952352', '-7563.93', '430.108', '2119.13', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8275379', '0', 'object/static/flora/shared_potted_plant_leaves_small.iff', '-0.0122528', '-0.00166377', '-0.375253', '0.92684', '-7563.8', '430.393', '2120.31', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8275380', '0', 'object/static/flora/shared_potted_plant_leaves_small.iff', '0.00318466', '0.0614932', '-0.370634', '0.926736', '-7564.54', '430.886', '2118.35', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8275381', '0', 'object/static/flora/shared_potted_plant_leaves_small.iff', '-0.0120109', '-0.00293879', '-0.470326', '0.882406', '-7564.4', '431.528', '2121.22', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8275382', '0', 'object/static/flora/shared_potted_plant_leaves_small.iff', '-0.0118666', '-0.00347612', '-0.509544', '0.860356', '-7564.15', '431.006', '2120.73', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8275383', '0', 'object/static/structure/general/shared_debris_deathstar_small_chunk.iff', '0', '0', '0', '1', '-7556.84', '421.421', '2118.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8275387', '0', 'object/static/structure/dantooine/shared_dant_jedi_wall_1.iff', '0.0109595', '0.10923', '0.09923', '0.98899', '-7493.2', '425.873', '2589.12', '256', '1');
INSERT INTO `staticobjects` VALUES ('9', '8275389', '0', 'object/tangible/gravestone/shared_gravestone01.iff', '0', '0', '0', '1', '945.227', '83.7978', '1518.76', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '8275390', '0', 'object/tangible/gravestone/shared_gravestone02.iff', '0', '0', '0', '1', '945.3', '83.6816', '1517.17', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '8275391', '0', 'object/tangible/gravestone/shared_gravestone03.iff', '0', '0', '0', '1', '945.024', '83.899', '1520.21', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '8275392', '0', 'object/tangible/gravestone/shared_gravestone03.iff', '0', '0', '0', '1', '947.388', '84.1618', '1520.29', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '8275393', '0', 'object/tangible/gravestone/shared_gravestone04.iff', '0', '0', '0', '1', '947.741', '84.0574', '1518.71', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '8275394', '0', 'object/tangible/gravestone/shared_gravestone02.iff', '0', '0', '0', '1', '947.787', '83.9391', '1517.22', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '8275396', '0', 'object/static/structure/naboo/shared_fountain_naboo_style_1.iff', '0', '0', '0', '1', '951.244', '79.6408', '1519.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8275398', '0', 'object/static/structure/naboo/shared_gungan_damaged_narrow_arch_s01.iff', '0', '0', '0', '1', '942.497', '83.5473', '1518.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8275399', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0.090713', '0.000609026', '0.148053', '0.98481', '-7494.55', '426.624', '2589.42', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8275400', '0', 'object/static/structure/naboo/shared_gungan_damaged_wall_lg_s01.iff', '0', '0', '0', '1', '942.454', '83.5757', '1526.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8275401', '0', 'object/static/structure/naboo/shared_gungan_relic_s01.iff', '0', '0', '0', '1', '943.091', '73.7919', '1532.78', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8275412', '0', 'object/static/structure/military/shared_military_wall_weak_rebl_style_01.iff', '0.00967016', '-0.265414', '-0.109067', '0.957897', '-7468.16', '343.367', '2923.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8275413', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '-0.0211263', '-0.402603', '-0.0695268', '0.912486', '-7464.35', '342.799', '2926.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8275414', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '-0.0139908', '-0.402572', '-0.10365', '0.909394', '-7471.83', '344.524', '2921.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8275415', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_16_style_01.iff', '0', '-0.366273', '0', '0.930508', '-7460.04', '224.334', '3427.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8275416', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0', '0', '1', '-7453.97', '224.291', '3433.54', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '8275417', '0', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff', '0', '-0.0649542', '0', '0.997888', '-7449.68', '224.417', '3434.08', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8275418', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0', '0', '1', '-7445.07', '224.475', '3434.62', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '8275419', '0', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff', '0', '0', '0', '1', '-7466.38', '224.426', '3421.97', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '8275420', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '-0.0898786', '0', '0.995953', '-7450.73', '224.356', '3432.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8275421', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0', '0', '1', '-7450.41', '222.327', '3429.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8275423', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar.iff', '0', '0.0998333', '0', '0.995004', '-7445.03', '103.076', '4108.99', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8275424', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_med.iff', '0', '0.0749296', '0', '0.997189', '-7443.92', '103.597', '4115.94', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8275426', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_med.iff', '0.0409328', '0.955825', '-0.229183', '0.17944', '-7443.19', '99.2052', '4109.17', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8275427', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_fallen.iff', '-0.218578', '-0.541879', '-0.110514', '0.803976', '-7441.8', '104.142', '4114.88', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8275428', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0', '0', '0', '1', '-7445.46', '101.945', '4112.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8275432', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0.389418', '0', '0.921061', '-7373.8', '103.694', '4398.38', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8275433', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.548024', '0', '0.836463', '-7371.64', '103.697', '4397.88', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '8275434', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.39861', '0', '0.917121', '-7372.53', '103.72', '4398.37', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '8275435', '0', 'object/static/structure/general/shared_debris_deathstar_large_tube.iff', '0.152851', '0.805174', '0.000927614', '0.573002', '-7533.46', '66.2395', '5024.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8275436', '0', 'object/static/structure/general/shared_debris_deathstar_small_tube.iff', '-0.0622573', '0.651313', '0.0271967', '0.755762', '-7534.19', '66.4193', '5025.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8275437', '0', 'object/static/structure/general/shared_debris_deathstar_large_tube.iff', '0', '0', '0', '1', '-7531.62', '66.0928', '5025.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8275438', '0', 'object/static/structure/general/shared_debris_deathstar_small_chunk.iff', '0', '0.795602', '0', '-0.60582', '-7532.72', '65.5687', '5025.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8275440', '0', 'object/static/structure/dantooine/shared_dant_gate.iff', '0.113807', '0.00324083', '0.0282799', '0.993095', '-7599.95', '40.5712', '5426.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8275441', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0.167312', '0.0220588', '-0.155145', '0.97337', '-7597.97', '42.0917', '5426.34', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8275442', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0.128798', '-0.15182', '0.203758', '0.958564', '-7602.02', '42.1844', '5426.41', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8375365', '0', 'object/building/military/shared_military_base_shed_rebel_style_01.iff', '0', '-0.568762', '0', '0.822502', '-7452.98', '5.23407', '7036.04', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8375366', '8375365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '8375367', '8375365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '8375368', '8375365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '8375369', '8375365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '8375370', '8375365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '8375371', '8375365', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '8375376', '0', 'object/static/structure/general/shared_banner_rebel_style_01.iff', '0.594246', '-0.348472', '0.296073', '0.661649', '-7459.5', '8.35877', '7040.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8375378', '0', 'object/static/structure/dantooine/shared_dant_fence_4m.iff', '0', '0', '0', '1', '-6861.55', '34.0624', '-6504.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8375379', '0', 'object/static/structure/dantooine/shared_dant_fence_4m.iff', '0', '1', '0', '3.20013e-08', '-6865.34', '34.062', '-6504.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8375380', '0', 'object/static/structure/dantooine/shared_dant_fence_4m.iff', '0', '1', '0', '3.20013e-08', '-6869.26', '34.0749', '-6504.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8375381', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0.0265282', '0.757638', '-0.0228201', '-0.651736', '-6871.92', '34.5267', '-6500', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8375382', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '-0.0195611', '0.651842', '-0.0227397', '0.757761', '-6873.1', '35.0363', '-6492.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8375383', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0', '0', '0', '1', '-7078', '73.7306', '-5954.03', '256', '1');
INSERT INTO `staticobjects` VALUES ('9', '8375384', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0', '-0.707106', '0', '0.707107', '-7086.04', '72.5415', '-5961.7', '256', '1');
INSERT INTO `staticobjects` VALUES ('9', '8375385', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0', '0.707106', '0', '0.707107', '-7071.45', '74.5651', '-5962.15', '256', '1');
INSERT INTO `staticobjects` VALUES ('9', '8375386', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0', '1', '0', '3.20013e-08', '-7077.84', '73.896', '-5968.58', '256', '1');
INSERT INTO `staticobjects` VALUES ('9', '8375387', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0', '0', '0', '1', '-7078.38', '75.6953', '-5962.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8375389', '0', 'object/static/structure/general/shared_debris_deathstar_turbolaser.iff', '-0.16584', '-0.474536', '-0.0848028', '0.860303', '-6930.75', '65.2864', '-5534.93', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8375406', '0', 'object/static/structure/general/shared_gravestone_generic_style_02.iff', '0', '-0.677972', '0', '0.735088', '-7035.89', '25.4228', '-5109.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8375407', '0', 'object/static/structure/general/shared_gravestone_generic_style_03.iff', '0', '-0.697278', '0', '0.716801', '-7036.06', '25.4735', '-5111.63', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8375416', '0', 'object/static/flora/shared_potted_plant_flowers_orange.iff', '0', '0', '0', '1', '-7036.99', '24.9555', '-5109.72', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8375417', '0', 'object/static/flora/shared_potted_plant_flowers_purple.iff', '0', '0', '0', '1', '-7037.06', '24.9619', '-5111.64', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8375424', '0', 'object/static/structure/general/shared_prp_junk_s2.iff', '0', '0', '-0.34759', '0.937646', '-6891.47', '14.5223', '-2036.6', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8375425', '0', 'object/static/structure/general/shared_prp_junk_s3.iff', '0.123114', '0.706821', '0.00348648', '-0.696588', '-6891.17', '13.6767', '-2041.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8375428', '0', 'object/static/structure/general/shared_prp_junk_s6.iff', '-0.572028', '0.647643', '0.501656', '0.0410377', '-6954.29', '7.60283', '-1581.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8375429', '0', 'object/static/structure/general/shared_prp_junk_s7.iff', '-0.235256', '0.369577', '0.140383', '0.887896', '-6956.58', '7.87657', '-1579.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8375432', '0', 'object/static/structure/military/shared_military_wall_med_rebl_style_01.iff', '0.252246', '0', '0', '0.967663', '-6944.39', '44.413', '-913.601', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8375433', '0', 'object/static/structure/military/shared_military_wall_med_rebl_style_01.iff', '0.233044', '-0.370309', '0.0965301', '0.894004', '-6936.49', '44.4394', '-910.347', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8375434', '0', 'object/static/structure/military/shared_military_column_med_rebel_style_01.iff', '0.250311', '-0.220315', '0.0586086', '0.940941', '-6939.74', '44.885', '-913.306', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8375435', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-6938.89', '42.9579', '-916.593', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8375446', '0', 'object/tangible/camp/shared_camp_tent_s6.iff', '0', '0.862404', '0', '0.50622', '-4243.28', '183.668', '2273.24', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '8375447', '0', 'object/tangible/camp/shared_camp_tent_s5.iff', '0', '0.80162', '0', '-0.597834', '-4239.63', '183.041', '2287.95', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '8375449', '0', 'object/static/item/shared_item_tool_sensor_beacon.iff', '0', '0', '0', '1', '-4238.71', '182.918', '2308.59', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '8375450', '0', 'object/static/item/shared_item_tool_sensor_beacon.iff', '0', '0', '0', '1', '-4257.19', '184.118', '2326.87', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '8375451', '0', 'object/static/item/shared_item_tool_sensor_beacon.iff', '0', '0', '0', '1', '-4243.89', '185.163', '2229.96', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '8375452', '0', 'object/static/item/shared_item_tool_sensor_beacon.iff', '0', '0', '0', '1', '-4212.02', '182.752', '2234.13', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '8375462', '0', 'object/building/military/shared_mun_all_military_tower_impl_guard_s01.iff', '0', '0.382683', '0', '0.92388', '1613.8', '50.5342', '-3539.06', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8375463', '8375462', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '8375464', '0', 'object/building/military/shared_mun_all_military_tower_impl_guard_s01.iff', '0', '0.382683', '0', '0.92388', '1590.07', '50.5', '-3515.77', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8375465', '8375464', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '8375506', '0', 'object/tangible/camp/shared_camp_tent_s6.iff', '0', '0.924606', '0', '0.380925', '1580.6', '50.5', '-3537.06', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '8375507', '0', 'object/tangible/camp/shared_camp_tent_s6.iff', '0', '0.734548', '0', '0.678557', '1597.91', '50.5', '-3547.84', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '8375508', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '0.298098', '0', '0.954535', '1589.47', '50.5', '-3540.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8495353', '0', 'object/static/structure/general/shared_debris_deathstar_tractorbeam.iff', '-0.114238', '-0.224894', '-0.438241', '0.862738', '-6886.59', '119.158', '-409.623', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8495368', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0.725482', '-0.0201344', '-0.132772', '0.675013', '-6938.05', '195.893', '-103.987', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8495369', '0', 'object/static/structure/dantooine/shared_dant_skull_lizard.iff', '-0.041688', '-0.554797', '0.0622621', '0.828605', '-7004.07', '340.448', '489.964', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '8495370', '0', 'object/static/structure/dantooine/shared_dant_skull_lizard.iff', '0.0329658', '0.762905', '-0.104712', '-0.637122', '-7004.16', '340.113', '489.019', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '8495371', '0', 'object/static/structure/dantooine/shared_dant_skull_lizard.iff', '-0.0109854', '-0.439325', '0.0224542', '0.89798', '-7003.57', '340.815', '490.662', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '8495374', '0', 'object/static/structure/naboo/shared_gungan_damaged_wide_arch_s01.iff', '0.00501828', '0.485519', '-0.0665422', '0.871676', '-6894.93', '571.293', '1078.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8495375', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0.0260194', '0.914582', '0.0716763', '-0.397147', '-6890.85', '571.536', '1080.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8495376', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '-0.0754895', '-0.306889', '0.0229553', '0.948469', '-6898.33', '571.814', '1075.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8495377', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0.17077', '0.0109026', '-0.562361', '0.808993', '-6897.34', '570.854', '1075.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8495380', '0', 'object/static/structure/general/shared_debris_deathstar_storage.iff', '0', '0.960835', '0', '-0.277121', '-7099.16', '563.433', '1565.59', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8495384', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0.675525', '0.208964', '-0.208964', '0.675525', '-6898.6', '737.883', '1942.19', '256', '1');
INSERT INTO `staticobjects` VALUES ('9', '8495385', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0.208964', '0.675525', '0.675525', '-0.208964', '-6898.55', '740.838', '1942.33', '256', '1');
INSERT INTO `staticobjects` VALUES ('9', '8495397', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_med.iff', '-0.262044', '0.037055', '-0.133131', '0.95511', '-7052.23', '268.984', '3435.64', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8495398', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_fallen.iff', '0.0142699', '0.690551', '0.671218', '-0.269077', '-7049.86', '275.019', '3429.34', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8495399', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '-0.0659002', '0.979076', '-0.17594', '-0.0781792', '-7058.86', '268.351', '3434.33', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8495400', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_fallen.iff', '0.0613898', '0.355187', '0.287332', '0.88742', '-7058.25', '271.739', '3431.36', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8495401', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_fallen.iff', '0.734814', '0.37269', '-0.566623', '-0.00942548', '-7059.79', '273.166', '3428.86', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8495432', '0', 'object/static/structure/naboo/shared_gungan_damaged_wide_arch_s01.iff', '-0.0485507', '0.245474', '-0.114833', '0.961353', '-7105.66', '83.1709', '4995.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8495433', '0', 'object/static/structure/naboo/shared_gungan_damaged_wall_lg_s01.iff', '-0.0237307', '0.236515', '-0.096972', '0.966485', '-7101.6', '82.8475', '5002.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8495434', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '-0.0266287', '0.265399', '-0.0962165', '0.958956', '-7103.6', '83.1611', '4999.1', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8495436', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '-0.0231962', '0.409356', '-0.117443', '0.904487', '-7099.55', '82.9022', '5006.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8495437', '0', 'object/static/structure/naboo/shared_gungan_cleft_wall_lg_s01.iff', '0.00569469', '0.579396', '-0.134203', '0.803901', '-7095.98', '82.0751', '5008.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8495438', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0.087528', '0.969906', '-0.0204206', '-0.226283', '-7107.54', '83.5693', '4991.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8495440', '0', 'object/static/structure/naboo/shared_gungan_relic_s02.iff', '0', '0.841471', '0', '0.540302', '-7058.22', '9.74478', '5381.12', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8495441', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0', '0', '0', '1', '-7058.06', '21.0299', '5381.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8495444', '0', 'object/static/structure/general/shared_prp_junk_s7.iff', '0.523343', '-0.473272', '-0.39083', '0.591082', '-6930.82', '70.1376', '6044.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8495446', '0', 'object/static/structure/general/shared_prp_junk_s5.iff', '-0.0964396', '0.21585', '0.114115', '0.964928', '-6928.63', '67.5899', '6047.21', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8495447', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0604828', '-0.00606604', '0.0654325', '0.996004', '-6951.78', '48.266', '6546.52', '256', '1');
INSERT INTO `staticobjects` VALUES ('9', '8495448', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.0052558', '0.261475', '-0.0272095', '0.964812', '-6949.91', '48.4963', '6554.81', '256', '1');
INSERT INTO `staticobjects` VALUES ('9', '8495449', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '-0.0703889', '0.548741', '-0.0254985', '0.832634', '-6942.71', '49.3759', '6560.61', '256', '1');
INSERT INTO `staticobjects` VALUES ('9', '8495452', '0', 'object/static/structure/general/shared_debris_deathstar_conduit.iff', '0.384078', '0.902561', '-0.194549', '0.00417527', '-6956.72', '34.165', '6979.66', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8495454', '0', 'object/static/structure/general/shared_prp_junk_s8.iff', '0.558692', '0.570713', '0.432186', '0.418767', '-6956.85', '33.4764', '6979.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8495455', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '-0.394019', '0', '0.919102', '-6956.26', '33.5338', '6980.73', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8495456', '0', 'object/building/military/shared_military_outpost_guard_house_rebel.iff', '0', '-0.651833', '0', '0.758362', '-7079.62', '45.7554', '7550.43', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8495457', '8495456', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '8495458', '8495456', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '8495459', '0', 'object/static/structure/general/shared_debris_deathstar_small_chunk.iff', '0', '0', '0', '1', '-7074.23', '47.5968', '7550.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8495460', '0', 'object/static/structure/general/shared_debris_deathstar_small_chunk.iff', '0', '0.999415', '0', '-0.034197', '-7073.9', '47.8179', '7550.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8495461', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '0', '-0.68164', '0', '0.731688', '-7072.21', '46.0528', '7552.76', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8495462', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '-0.0306635', '-0.680952', '0.0329148', '0.730945', '-7072.68', '45.9011', '7550.01', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8495463', '0', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff', '-0.030664', '-0.680952', '0.032915', '0.730945', '-7073.21', '45.5848', '7547.56', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8495465', '0', 'object/static/structure/dantooine/shared_dant_jedi_wall_1.iff', '-0.0302489', '0.0258729', '0.217201', '0.975315', '-6268.91', '208.354', '-5250.76', '256', '1');
INSERT INTO `staticobjects` VALUES ('9', '8495466', '0', 'object/static/structure/dantooine/shared_dant_jedi_wall_2.iff', '-0.00728889', '-0.0464495', '0.268024', '0.962264', '-6269.13', '207.748', '-5262.58', '256', '1');
INSERT INTO `staticobjects` VALUES ('9', '8495471', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0', '0', '1', '-6205.81', '179.583', '-3818.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8495472', '0', 'object/static/structure/dantooine/shared_dant_skull_lizard.iff', '0.124675', '0', '0', '0.992198', '-6205.89', '182.456', '-3817.67', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '8495473', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0', '0', '0', '1', '-6205.92', '177.222', '-3817.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8495474', '0', 'object/static/structure/general/shared_debris_deathstar_turbolaser.iff', '-0.0894719', '0.964485', '0.122158', '0.216426', '-6343.66', '78.9676', '-3097.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8495477', '0', 'object/static/structure/dathomir/shared_mtn_clan_tent_house_s01.iff', '-0.0649534', '0.00032477', '-0.00498942', '0.997876', '-6415.82', '49.0024', '-2231.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8495478', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0', '0', '0', '1', '-6416.09', '48.4326', '-2232.12', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8495480', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_01.iff', '0', '0', '0.707106', '0.707107', '-6294.12', '26.0509', '-1504.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8495482', '0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_01.iff', '0.707107', '0.707107', '-2.98023e-08', '-4.52566e-08', '-6303.92', '26.0545', '-1504.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8495483', '0', 'object/static/structure/naboo/shared_gungan_relic_s01.iff', '0', '0', '0', '1', '-6368.94', '66.232', '-662.881', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8495484', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '1', '0', '0', '-3.20013e-08', '-6369.81', '72.958', '-662.623', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8495490', '0', 'object/static/structure/general/shared_debris_deathstar_conduit.iff', '-0.310198', '-0.0500665', '0.936237', '0.157262', '-6212.04', '829.149', '2048.45', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8495494', '0', 'object/static/structure/dathomir/shared_mtn_clan_strong_fence_s01.iff', '0', '0.193767', '0', '0.981048', '-6504.76', '329.51', '3325.58', '256', '1');
INSERT INTO `staticobjects` VALUES ('9', '8495495', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0', '0', '0', '1', '-6503.22', '326.717', '3328.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8495496', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0', '-0.655917', '0', '0.754833', '-6227.85', '156.269', '4439.12', '256', '1');
INSERT INTO `staticobjects` VALUES ('9', '8495497', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0', '0', '0', '1', '-6224.74', '155.515', '4438.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8495504', '0', 'object/static/structure/general/shared_campfire_ash.iff', '0.0295002', '0.00132355', '0.0448011', '0.998559', '-6322.91', '63.5334', '5084.73', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8495506', '0', 'object/static/structure/general/shared_landing_pad_shuttle.iff', '0', '0', '0', '1', '955.555', '7.98048', '5438.5', '256', '1');
INSERT INTO `staticobjects` VALUES ('9', '8495507', '0', 'object/static/structure/general/shared_planter_generic_style_1.iff', '0', '0', '0', '1', '955.259', '5.86981', '5444.71', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8495508', '0', 'object/static/structure/general/shared_planter_generic_style_2.iff', '0', '0', '0', '1', '956.73', '6.09073', '5432.99', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8495509', '0', 'object/static/structure/general/shared_debris_deathstar_storage.iff', '0.289152', '-0.109172', '0.573217', '0.758878', '-6325.07', '101.566', '5809', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8525417', '0', 'object/building/yavin/shared_light_enclave.iff', '0', '0.707114', '0', '-0.7071', '-5513.72', '87.7084', '4911.81', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8525418', '8525417', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '8525419', '8525417', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '8525420', '8525417', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '8525421', '8525417', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '8525422', '8525417', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '8525423', '8525417', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '8525424', '8525417', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '8525425', '8525417', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '8525426', '8525417', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '8525427', '8525417', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '8525428', '8525417', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '8525429', '8525417', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '8525430', '8525417', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '8525431', '8525417', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '8525432', '8525417', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '8525433', '8525417', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '8525434', '8525417', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '8525435', '8525417', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '8525436', '8525417', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '8525437', '8525417', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '8525438', '8525417', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '8525439', '8525417', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '8525440', '8525417', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '8525441', '8525417', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '8525442', '8525417', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '8525443', '8525417', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '8525444', '8525417', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545364', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_med.iff', '0', '0.0998334', '0', '0.995004', '-6471.18', '83.1236', '7349.44', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545365', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0.0649542', '0', '0.997888', '-6462.73', '83.119', '7348.1', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545366', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar.iff', '0.0464978', '0.0637461', '0.0219983', '0.99664', '-6469.58', '82.7508', '7356.77', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545367', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0.0440881', '0.198468', '-0.00893711', '0.979074', '-6460.08', '82.959', '7354.41', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545368', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_fallen.iff', '-0.514553', '0.599176', '-0.388694', '-0.47449', '-6458.63', '83.4051', '7357.42', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545369', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_fallen.iff', '0', '-0.624897', '0', '0.780707', '-6459.66', '83.6789', '7361.33', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545370', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_med.iff', '0.053106', '0.062541', '0.0518124', '0.995281', '-6468.54', '83.1946', '7363.97', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545371', '0', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff', '0.297879', '0.725578', '0.254569', '-0.565684', '-5481.82', '70.3225', '-6302.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545374', '0', 'object/static/structure/dantooine/shared_dant_large_rock_hut.iff', '0', '0.0299955', '0', '0.99955', '-5481.08', '443.687', '-5196.56', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545375', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0', '0', '0', '1', '-5481.15', '442.358', '-5198.48', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545376', '0', 'object/static/structure/general/shared_debris_deathstar_turbolaser.iff', '0.0689277', '-0.644064', '0.0716598', '0.758482', '-5458.5', '620.593', '-4392.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545377', '0', 'object/static/structure/general/shared_debris_deathstar_small_chunk.iff', '0.21374', '0.745283', '0.223636', '-0.590639', '-5459.43', '619.724', '-4390.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545384', '0', 'object/static/flora/shared_flora_decd_scorched_massassi_broke.iff', '0.152626', '-0.00306131', '-0.462159', '0.873559', '-5694.47', '378.05', '-3915.09', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545390', '0', 'object/static/structure/general/shared_skeleton_human_body.iff', '-0.0449848', '1.99066e-11', '-4.4207e-10', '0.998988', '-5606.4', '219.29', '-2816.14', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545391', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '-0.448456', '0.861404', '-0.110123', '0.211527', '-5606.77', '219.271', '-2816.44', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545392', '0', 'object/static/structure/general/shared_skeleton_human_body.iff', '-0.681992', '0.0433347', '0.729297', '-0.0336995', '-5605.73', '219.025', '-2817.58', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545393', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0.754311', '-0.312785', '0.0658279', '-0.573452', '-5605.31', '218.86', '-2817.61', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545394', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '-0.0875011', '0.437826', '-0.0694537', '0.892092', '-5604.33', '219.193', '-2815.91', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545395', '0', 'object/static/structure/military/shared_military_wall_weak_rebl_style_01.iff', '0', '0.707106', '0', '0.707107', '-5667.05', '123.828', '-2243.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545396', '0', 'object/static/structure/military/shared_military_wall_weak_rebl_style_01.iff', '0', '0.707107', '0', '0.707107', '-5658.77', '123.878', '-2243.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545397', '0', 'object/static/structure/military/shared_military_wall_weak_rebl_style_01.iff', '0', '0', '0', '1', '-5662.82', '123.86', '-2247.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545398', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '-5658.75', '124.368', '-2247.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545399', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0', '0', '0', '1', '-5667.02', '124.357', '-2247.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545401', '0', 'object/static/structure/military/shared_military_column_med_rebel_style_01.iff', '0', '0', '0', '1', '-5658.79', '124.056', '-2238.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545402', '0', 'object/static/structure/military/shared_military_column_med_rebel_style_01.iff', '0', '0', '0', '1', '-5667.05', '124.028', '-2238.72', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545403', '0', 'object/static/structure/general/shared_banner_rebel_style_01.iff', '0', '0', '0', '1', '-5662.72', '123.415', '-2246.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545404', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0', '0', '1', '-5662.55', '122.591', '-2244.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545405', '0', 'object/static/structure/dantooine/shared_dant_gate.iff', '0.0549475', '0.00164892', '0.0299501', '0.998039', '-5511.8', '9.99407', '-1244.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545406', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0.0199947', '0.000399947', '0.0199947', '0.9996', '-5517.58', '9.791', '-1244.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545407', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '-0.0740883', '-0.149018', '-0.0111974', '0.985991', '-5525.61', '9.8433', '-1245.97', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545408', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '-0.0436955', '-0.237462', '-0.010693', '0.970355', '-5533.06', '9.91949', '-1248.86', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545409', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '-0.338197', '0', '0.941075', '-5539.79', '10.069', '-1253.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545410', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0.0349929', '0', '0', '0.999388', '-5506.1', '10.1964', '-1244.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545411', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '-0.496266', '0.069369', '0.0733703', '0.862279', '-5497.78', '10.4831', '-1245.8', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545412', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '-0.0530551', '0.216306', '0.0374328', '0.974164', '-5489.99', '11.4309', '-1248.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545413', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.342898', '0', '0.939373', '-5482.78', '12.1567', '-1252.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545414', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0.867423', '0', '0.497571', '-5590.99', '65.8158', '-664.552', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545415', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '-0.604537', '0.684582', '0.132944', '0.384979', '-5591.21', '65.8856', '-665.292', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545416', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '-0.0279788', '0.699747', '0.713315', '0.0274466', '-5590.67', '65.8917', '-665.773', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545417', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '-0.0529943', '0.619888', '0.514201', '0.590362', '-5590.5', '65.8382', '-665.083', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545418', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0.00564963', '0.869759', '0.211876', '0.445642', '-5589.97', '65.7816', '-664.591', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545419', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0.208259', '0.43669', '0.376726', '0.789942', '-5590.22', '65.7521', '-664.048', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545420', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0', '0', '0', '1', '-5590.11', '64.3666', '-665.198', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545421', '0', 'object/static/structure/naboo/shared_gungan_damaged_narrow_arch_s01.iff', '0', '-0.109778', '0', '0.993956', '-5484.19', '155.529', '117.806', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545422', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '0.139543', '0', '0.990216', '-5484.93', '155.645', '121.885', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545423', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '-0.356949', '0', '0.934124', '-5483.12', '155.776', '113.781', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545424', '0', 'object/static/structure/naboo/shared_gungan_cleft_wall_lg_s01.iff', '0', '0.854921', '0', '0.518758', '-5479.87', '155.582', '111.861', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545425', '0', 'object/static/structure/naboo/shared_gungan_damaged_wall_lg_s01.iff', '0', '0.319309', '0', '0.947651', '-5482.61', '155.511', '125.187', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545426', '0', 'object/static/structure/general/shared_debris_deathstar_tractorbeam.iff', '0.0561424', '0.78936', '0.0701856', '-0.607316', '-5651.67', '457.2', '955.005', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545430', '0', 'object/static/structure/general/shared_debris_deathstar_small_chunk.iff', '0.232772', '0.272761', '-0.0681965', '0.931004', '-5646.68', '455.048', '956.98', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545432', '0', 'object/static/structure/tatooine/shared_debris_tatt_radar_dish.iff', '-0.0468081', '0.0985007', '-0.144325', '0.983502', '-5416', '465.965', '1749.14', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545433', '0', 'object/static/structure/general/shared_prp_junk_s1.iff', '0.0645515', '0.232207', '-0.117459', '0.963388', '-5410.97', '463.347', '1747.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545434', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_altar.iff', '0', '-0.13459', '0', '0.990901', '-5437.37', '293.284', '2866.77', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545435', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_med.iff', '0', '-0.0799147', '0', '0.996802', '-5434.2', '313.22', '2863.72', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545437', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_med.iff', '0', '0.651834', '0', '0.758362', '-5439.14', '312.847', '2863.02', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545439', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '-0.059964', '0', '0.998201', '-5444.5', '313.297', '2862.58', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545440', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_fallen.iff', '0.145904', '0.849972', '0.0856436', '0.498923', '-5443.54', '316.236', '2858.42', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545441', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff', '0', '-0.0948572', '0', '0.995491', '-5429.25', '312.475', '2864.72', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545442', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_fallen.iff', '0.0504691', '0.503008', '0.086137', '0.858497', '-5425.89', '313.594', '2861.99', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545443', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_fallen.iff', '-0.107691', '-0.627361', '0.130481', '0.760128', '-5426.55', '313.589', '2858.4', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545444', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0', '0', '0', '1', '-5438.14', '310.137', '2869.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545445', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '-0.0237767', '0.821022', '-0.0439612', '-0.568705', '-5703.1', '208.766', '3480.13', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545446', '0', 'object/static/structure/naboo/shared_gungan_damaged_wide_arch_s01.iff', '-0.04648', '0.886474', '-0.0734392', '0.454543', '-5521.41', '100.821', '4228.26', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545447', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '-0.0534979', '0.900972', '-0.00315313', '0.430554', '-5525.18', '100.613', '4230.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545449', '0', 'object/static/structure/military/shared_military_wall_med_rebl_style_01.iff', '0.230121', '0.247395', '0.0138412', '0.941089', '-5502.88', '66.9893', '5101.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545450', '0', 'object/static/structure/military/shared_military_column_med_rebel_style_01.iff', '0.141112', '-0.163303', '-0.170596', '0.961414', '-5496.98', '67.4645', '5098.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545451', '0', 'object/static/structure/dantooine/shared_dant_gate.iff', '0', '0.844162', '0', '-0.536088', '-5596.92', '119.761', '6053.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545452', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.80162', '0', '-0.597834', '-5599.14', '119.948', '6059.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545453', '0', 'object/static/structure/dantooine/shared_dant_fence_8m.iff', '0', '0.620986', '0', '0.783822', '-5595.46', '119.67', '6047.66', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545454', '0', 'object/static/structure/general/shared_debris_deathstar_conduit.iff', '-0.535165', '0.11435', '0.116', '0.828895', '-5695.6', '97.1496', '6712.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545457', '0', 'object/static/structure/dantooine/shared_dant_jedi_wall_2.iff', '0.0131312', '0.212623', '-0.0335638', '0.976469', '-5458.55', '265.351', '7656.25', '256', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545458', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0.130296', '-0.0665603', '0.965122', '-0.217099', '-5458.58', '266.314', '7652.94', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545459', '0', 'object/static/structure/general/shared_skeleton_human_body.iff', '-0.148792', '0.880073', '-0.0363718', '-0.449454', '-5456.33', '266.42', '7656.14', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545460', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0.330087', '0.828836', '0.414685', '0.179191', '-5456.2', '266.359', '7656.46', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545464', '0', 'object/static/flora/shared_flora_decd_scorched_tallbirch.iff', '0.78842', '0.0958832', '-0.127235', '-0.594147', '-4973.49', '148.268', '-6057.13', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545465', '0', 'object/static/structure/tatooine/shared_guild_statue_free_style_01.iff', '-0.0238489', '0.985798', '0.0213492', '0.164855', '-4690.06', '374.176', '-5418.37', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545466', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0', '0', '0', '1', '-4690.04', '375.64', '-5419.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545469', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '0.000149977', '-0.0299951', '-0.00499773', '0.999538', '-4832.05', '614.982', '-4681.43', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545472', '0', 'object/static/flora/shared_flora_decd_scorched_tallbirch.iff', '0', '0', '0', '1', '-4694.22', '534.166', '-3636.27', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545473', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0.298443', '0.516324', '-0.0773635', '0.798972', '-4693.44', '535.102', '-3635.17', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545474', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0.285947', '0.318824', '-0.106753', '0.897323', '-4693.54', '534.91', '-3635.08', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545475', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0.328556', '0.172332', '-0.0421374', '0.927673', '-4693.71', '535.062', '-3635', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545476', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0.450056', '0.0187626', '0.140332', '0.881706', '-4694.64', '534.849', '-3635.15', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545477', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0.254737', '-0.339371', '-0.0343549', '0.904851', '-4694.83', '534.903', '-3635.23', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545478', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0', '0', '0', '1', '-4694.05', '531.619', '-3634.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545481', '0', 'object/static/structure/general/shared_lucky_despot_debris_sm_engine.iff', '0.617301', '0.523464', '0.45431', '0.372193', '-4994.32', '308.138', '-2843.91', '256', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545482', '0', 'object/building/military/shared_military_outpost_guard_house_rebel.iff', '0', '0.526943', '0', '0.8499', '-4741.34', '130.725', '-2337.86', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545483', '8545482', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545484', '8545482', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545485', '0', 'object/static/structure/general/shared_streetlamp_small_style_01.iff', '0', '0.0848976', '0', '0.99639', '-4739.76', '136.064', '-2334.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8545486', '0', 'object/static/flora/shared_flora_decd_scorched_tallbirch_broke.iff', '0.827124', '-0.14483', '0.0849878', '0.536346', '-4747.65', '135.502', '-2341.54', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8645372', '0', 'object/static/structure/general/shared_campfire_ash.iff', '0', '0', '0', '1', '-4828.95', '13.0784', '-1429.43', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8645373', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0.104668', '0.249104', '0.167842', '0.948062', '-4830.35', '12.9567', '-1433.09', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8645375', '0', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_01.iff', '0.0901347', '-0.00741698', '-0.0306841', '0.995429', '-4829.57', '13.489', '-1431.23', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '8645376', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0', '-0.144492', '0.989506', '-4927.65', '64.9058', '-630.208', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8645377', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '-0.227968', '0.973625', '-0.00209819', '-0.00896113', '-4926.52', '64.8896', '-630.479', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8645378', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0', '0', '0', '1', '-4926.93', '63.1485', '-630.633', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8645387', '0', 'object/static/structure/general/shared_debris_deathstar_small_chunk.iff', '-0.148368', '0.12052', '0.205662', '0.959774', '-4987.17', '292.087', '452.134', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8645388', '0', 'object/static/structure/general/shared_debris_deathstar_large_tube.iff', '0.0646614', '-0.572608', '0.0208455', '0.81701', '-4986.62', '292.091', '453.264', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8645389', '0', 'object/static/structure/general/shared_debris_deathstar_large_tube.iff', '-0.276196', '0.326409', '0.0625101', '0.901812', '-4985.27', '291.777', '449.766', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8645390', '0', 'object/static/structure/general/shared_debris_deathstar_small_tube.iff', '-0.29433', '0.463512', '0.166574', '0.819011', '-4986.99', '290.984', '450.067', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8645394', '0', 'object/static/structure/naboo/shared_gungan_damaged_wide_arch_s01.iff', '-0.0664678', '-0.412548', '-0.0578834', '0.906662', '-4619.88', '399.656', '1190.24', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8645397', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '-0.0450843', '0.358794', '-0.116238', '0.925053', '-4616.6', '399.332', '1187.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8645398', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0.319309', '0', '0.947651', '-4622.39', '401.065', '1192.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8645401', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s02.iff', '-0.0153915', '0.938694', '0.0422698', '0.341803', '-4625.65', '401.307', '1196.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8645403', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '0.707105', '0', '0.707109', '-322', '33.427', '4839', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '8645404', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '1', '0', '2.41953e-07', '-314', '33.427', '4853', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '8645406', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '0', '0', '1', '-314', '33.427', '4831', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '8645407', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '-0.707105', '0', '0.707109', '-306', '33.427', '4845', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '8695383', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '0', '0', '1', '-293', '32.276', '4837', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '8695384', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '0', '0', '1', '-293', '32.3246', '4853', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '8695387', '0', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff', '0', '0.707105', '0', '0.707108', '-285', '32.2944', '4845', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '8695389', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0', '0', '1', '-301', '32.7901', '4837', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '8695390', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0', '0', '1', '-285', '32.7901', '4837', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '8695391', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0', '0', '1', '-285', '32.7901', '4853', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '8695392', '0', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff', '0', '0', '0', '1', '-301', '32.7901', '4853', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '8695448', '0', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff', '0.029176', '-0.0147984', '-0.0350008', '0.998852', '-7560.26', '30.2811', '-5913.14', '256', '1');
INSERT INTO `staticobjects` VALUES ('9', '8695460', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '-0.0361054', '-0.596036', '-0.0630612', '0.799663', '-7459.93', '341.685', '2933.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8695461', '0', 'object/static/structure/military/shared_military_wall_weak_rebl_style_01.iff', '-0.0155804', '-0.47289', '-0.0935683', '0.876001', '-7462.27', '341.737', '2929.78', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8695463', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0.114013', '0.00953013', '0.025702', '0.993101', '-7600.62', '40.9063', '5424.51', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8695464', '0', 'object/static/flora/shared_flora_decd_scorched_tallbirch_broke.iff', '-0.00439455', '-0.00898246', '0.43944', '0.898216', '-6931.69', '66.7463', '-5533.94', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8695466', '0', 'object/building/military/shared_military_outpost_guard_tower_1.iff', '0', '0.956014', '0', '-0.293321', '-6935.79', '195.952', '-110.525', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8695470', '0', 'object/building/military/shared_military_base_shed_rebel_style_01.iff', '0', '0.849691', '0', '-0.527281', '-7086.14', '122.688', '4393.08', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8695471', '8695470', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '8695472', '8695470', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '8695473', '8695470', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '8695474', '8695470', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '8695475', '8695470', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '8695476', '8695470', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '8695478', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_16_style_01.iff', '0', '0.527281', '0', '0.849691', '-7078.07', '122.593', '4397.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8695479', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_16_style_01.iff', '0', '0.849691', '0', '-0.527281', '-7093.31', '123.231', '4389.53', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8695480', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_16_style_01.iff', '0', '0.973667', '0', '0.227977', '-7082.14', '123.026', '4385.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8695481', '0', 'object/static/structure/military/shared_military_wall_strong_rebl_16_style_01.iff', '0', '-0.227978', '0', '0.973666', '-7090.14', '122.474', '4401.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8695482', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.161982', '0', '0.986794', '-7082.07', '122.323', '4405.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8695483', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '-0.58323', '0', '0.812307', '-7097.29', '123.006', '4397.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8695484', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.986794', '0', '-0.161982', '-7089.31', '123.489', '4381.46', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8695488', '0', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff', '0', '0.812307', '0', '0.58323', '-7074.08', '123.542', '4389.01', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8695490', '0', 'object/static/structure/general/shared_prp_junk_s1.iff', '0', '0.699716', '0', '0.714421', '-6298.17', '21.9669', '-1504.23', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8695491', '0', 'object/static/structure/general/shared_prp_junk_s1.iff', '0', '0.714421', '0', '-0.699716', '-6299.84', '21.9646', '-1504.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8695492', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '-0.0440371', '0.998859', '0.0184544', '-0.00081368', '-6322.82', '63.3239', '5086.47', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8695493', '0', 'object/static/structure/general/shared_bench_generic_style_1.iff', '0.0550926', '0.586943', '0.0538081', '0.805957', '-6324.83', '63.3054', '5084', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8735428', '0', 'object/tangible/camp/shared_camp_tent_s6.iff', '0', '-0.104807', '0', '0.994493', '-3181.11', '69.6598', '-3136.07', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '8735429', '0', 'object/tangible/camp/shared_camp_tent_s5.iff', '0', '0.836026', '0', '-0.54869', '-3189.21', '69.7756', '-3128.65', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '8735431', '0', 'object/tangible/camp/shared_camp_tent_s5.iff', '0', '0.862404', '0', '0.506221', '-3191.97', '69.6119', '-3143.71', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '8735432', '0', 'object/tangible/camp/shared_camp_tent_s5.iff', '0', '0.761095', '0', '0.64864', '-3187.87', '69.4527', '-3152.02', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '8735433', '0', 'object/tangible/camp/shared_camp_tent_s5.iff', '0', '0.314566', '0', '0.949235', '-3179.81', '69.5373', '-3149.71', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '8735434', '0', 'object/static/item/shared_item_tool_sensor_beacon.iff', '0', '0', '0', '1', '-3195.71', '69.8013', '-3127.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '8735435', '0', 'object/static/item/shared_item_tool_sensor_beacon.iff', '0', '0', '0', '1', '-3199.03', '69.4771', '-3143.66', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '8735436', '0', 'object/static/item/shared_item_tool_sensor_beacon.iff', '0', '0', '0', '1', '-3193.56', '69.2308', '-3158.03', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '8735437', '0', 'object/static/item/shared_item_tool_sensor_beacon.iff', '0', '0', '0', '1', '-3177.4', '69.4156', '-3156.02', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '8735438', '0', 'object/static/item/shared_item_tool_sensor_beacon.iff', '0', '0', '0', '1', '-3171.34', '69.7778', '-3145.03', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '8735439', '0', 'object/static/item/shared_item_tool_sensor_beacon.iff', '0', '0', '0', '1', '-3174.33', '69.9262', '-3128.08', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '8735441', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_1.iff', '0', '0', '0', '1', '-3176.03', '69.6575', '-3138.85', '256', '1');
INSERT INTO `staticobjects` VALUES ('9', '8735442', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0', '0', '1', '-3188.61', '69.7614', '-3136.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8735443', '0', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff', '0', '0', '0', '1', '-3184.54', '69.6159', '-3144.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8735444', '0', 'object/tangible/camp/shared_camp_chair_s1.iff', '0', '0.940806', '0', '-0.338946', '-3187.92', '69.7713', '-3135.43', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '8735446', '0', 'object/tangible/camp/shared_camp_chair_s1.iff', '0', '0.895699', '0', '0.444662', '-3189.67', '69.7728', '-3135.83', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '8735447', '0', 'object/tangible/camp/shared_camp_chair_s1.iff', '0', '0', '0', '1', '-3188.58', '69.7456', '-3137.72', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '8735448', '0', 'object/tangible/camp/shared_camp_chair_s1.iff', '0', '0.912764', '0', '0.408487', '-3185.48', '69.6338', '-3144.05', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '8735449', '0', 'object/tangible/camp/shared_camp_chair_s1.iff', '0', '0.872355', '0', '-0.488872', '-3183.52', '69.6295', '-3144.13', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '8735450', '0', 'object/tangible/camp/shared_camp_chair_s1.iff', '0', '0', '0', '1', '-3184.55', '69.5975', '-3145.99', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '8735451', '0', 'object/tangible/camp/shared_camp_chair_s1.iff', '0', '-0.560509', '0', '0.828149', '-3183.51', '69.6079', '-3145.33', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '8735452', '0', 'object/static/item/shared_item_container_armor.iff', '0', '0.15438', '0', '0.988012', '-3183.62', '69.4617', '-3153.82', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '8735453', '0', 'object/static/item/shared_item_container_weapons.iff', '0', '0', '0', '1', '-3181.92', '69.4286', '-3154.35', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '8735454', '0', 'object/static/item/shared_item_container_weapons.iff', '0', '0', '0', '1', '-3180.61', '69.4189', '-3154.32', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '8735455', '0', 'object/static/item/shared_item_container_weapons.iff', '0', '0', '0', '1', '-3179.31', '69.4186', '-3154.3', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '8735464', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '0.713863', '0', '0.700285', '-3185.63', '69.8077', '-3139.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8735465', '0', 'object/static/structure/general/shared_banner_imperial_style_01.iff', '0', '0.713863', '0', '0.700285', '-3185.4', '69.8282', '-3131.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8735482', '0', 'object/static/structure/general/shared_streetlamp_medium_red_style_01.iff', '0', '-0.707107', '0', '0.707107', '4047.41', '37', '-6243.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8735490', '0', 'object/static/structure/general/shared_streetlamp_medium_red_style_01.iff', '0', '1', '0', '3.48103e-07', '4066.6', '37', '-6208.51', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8735493', '0', 'object/static/structure/general/shared_streetlamp_medium_red_style_01.iff', '0', '1', '0', '3.48103e-07', '4000.6', '37', '-6208.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8735494', '0', 'object/building/military/shared_military_base_shed_imperial_barracks_s01.iff', '0', '1', '0', '3.20013e-08', '4064.6', '37', '-6200.57', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8735495', '8735494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '8735496', '8735494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '8735497', '8735494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '8735498', '8735494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '8735499', '8735494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '808393', '8735499', 'object/tangible/hq_destructible/shared_security_terminal.iff', '0', '-0.707106', '0', '0.707107', '5.60729', '0.125266', '-4.12743', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '8735500', '8735494', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '8735515', '0', 'object/building/military/shared_military_base_shed_imperial_style_cantina_s01.iff', '0', '1', '0', '3.20013e-08', '3998.34', '37', '-6200.6', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8735516', '8735515', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '8735517', '8735515', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '8735518', '8735515', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '8735519', '8735515', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '8735520', '8735515', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '8735521', '8735515', 'object/cell/shared_cell.iff', '0', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `staticobjects` VALUES ('9', '808383', '8735521', 'object/tangible/hq_destructible/shared_override_terminal.iff', '0', '0', '0', '1', '-4.33617', '-0.00122511', '-5.72671', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '8735526', '0', 'object/static/installation/shared_mockup_factory_machine_style_1.iff', '-0.0326067', '-0.688224', '-0.030991', '0.724102', '5857.97', '32.5146', '-311.763', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '8735528', '0', 'object/tangible/camp/shared_camp_tent_s3.iff', '0.0697915', '0.995393', '0.00459867', '0.0655878', '5847.52', '33.4551', '-337.85', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '8735530', '0', 'object/tangible/camp/shared_camp_tent_s3.iff', '0.0542723', '0.792928', '-0.0465757', '0.605103', '5852.94', '32.7532', '-343.16', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '8735534', '0', 'object/static/structure/general/shared_debris_deathstar_conduit.iff', '0', '0', '-0.0349929', '0.999388', '5854.93', '32.6496', '-332.921', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8735536', '0', 'object/static/structure/general/shared_debris_deathstar_small_chunk.iff', '0', '0.29074', '0', '0.956802', '5857.03', '32.415', '-335.477', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8735537', '0', 'object/tangible/furniture/all/shared_frn_all_toolchest_lg_s01.iff', '-0.00807056', '-0.527145', '-0.0344068', '0.84904', '5857.3', '32.3201', '-336.955', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '8735538', '0', 'object/static/structure/general/shared_streetlamp_medium_style_01_on.iff', '0', '0.104807', '0', '0.994493', '5854.49', '32.2672', '-336.145', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8735539', '0', 'object/static/particle/shared_pt_poi_droid_weld_sparks.iff', '0.432205', '-0.550274', '0.561839', '-0.441287', '5854.79', '33.3669', '-331.123', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8735540', '0', 'object/static/creature/shared_droids_r2.iff', '0', '1', '0', '-7.33659e-08', '5854.78', '32.6755', '-331.008', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8735542', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0.0146379', '0.218205', '-0.00327332', '0.975788', '5856.88', '32.5021', '-342.575', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '8735543', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0.014638', '0.218205', '-0.003273', '0.975788', '5856.53', '32.5618', '-343.446', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '8735544', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0.0439007', '0.218009', '-0.0098167', '0.97491', '5856.69', '33.4218', '-342.969', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '8735563', '0', 'object/tangible/camp/shared_camp_tent_s4.iff', '0.0594962', '-0.12445', '0.007476', '0.990412', '1595.84', '101.814', '1539.32', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '8735564', '0', 'object/tangible/camp/shared_camp_tent_s3.iff', '0', '0.827702', '0', '-0.561168', '1587.99', '101.458', '1541.79', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '8735565', '0', 'object/tangible/camp/shared_camp_tent_s3.iff', '-0.0180327', '0.929925', '0.0173116', '0.366899', '1588.14', '101.937', '1532.43', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '8735573', '0', 'object/static/structure/naboo/shared_poi_nboo_tent_small.iff', '0.0269438', '-0.439264', '0.0131819', '0.897857', '1591.19', '101.822', '1536.42', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8735575', '0', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff', '0.0249774', '-0.000999629', '0.0399768', '0.998888', '1592.08', '101.791', '1537.23', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '8735577', '0', 'object/static/item/shared_item_tool_radio.iff', '0.00448635', '0.72408', '0.0387771', '0.688611', '1591.69', '102.364', '1537.53', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '8735580', '0', 'object/static/item/shared_item_container_weapons.iff', '0.0196756', '-0.178994', '0.00358035', '0.983647', '1592.09', '101.201', '1543.65', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '8735584', '0', 'object/static/item/shared_item_tool_sensor_frequency_jammer_s2.iff', '0', '0', '0', '1', '1590.18', '101.733', '1537.72', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '8735588', '0', 'object/static/item/shared_item_medical_console.iff', '-0.00160385', '0.673405', '0.0353042', '0.738428', '1592.19', '102.428', '1537.36', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '8735589', '0', 'object/static/item/shared_item_carbine_dh17.iff', '-0.526563', '0.534879', '0.444235', '-0.489174', '1592.31', '102.473', '1536.93', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '8825362', '0', 'object/static/structure/tatooine/shared_antenna_tatt_style_2.iff', '0', '-0.382683', '0', '0.92388', '-274.342', '35', '4901.77', '256', '1');
INSERT INTO `staticobjects` VALUES ('9', '8845352', '0', 'object/static/flora/shared_flora_decd_dath_azerontree.iff', '0', '0', '0', '1', '955.279', '27.3684', '3487.36', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8845353', '0', 'object/static/particle/shared_particle_campfire_style_1.iff', '0', '0', '0', '1', '954.219', '38.877', '3487.64', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8845354', '0', 'object/static/particle/shared_particle_campfire_style_1.iff', '0', '0', '0', '1', '956.759', '39.5828', '3487.74', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8845355', '0', 'object/static/structure/naboo/shared_gungan_relic_s01.iff', '0', '0', '0', '1', '950.145', '4.54441', '2555.7', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8845356', '0', 'object/static/structure/naboo/shared_gungan_relic_s02.iff', '0', '0', '0', '1', '943.756', '66.258', '621.121', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8845358', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s01.iff', '0', '-0.707107', '0', '0.707107', '935.673', '64.8942', '616.037', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8845359', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s02.iff', '0', '-0.707106', '0', '0.707107', '938.86', '65.1096', '626.035', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8845362', '0', 'object/static/structure/naboo/shared_obelisk_naboo_theed_style_2.iff', '0', '0', '0', '1', '940.266', '106.123', '-576.133', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8845364', '0', 'object/tangible/gravestone/shared_gravestone03.iff', '0', '0', '0', '1', '941.035', '106.399', '-580.698', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '8845365', '0', 'object/tangible/gravestone/shared_gravestone02.iff', '0', '0', '0', '1', '942.995', '106.323', '-579.018', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '8845366', '0', 'object/tangible/gravestone/shared_gravestone01.iff', '0', '0', '0', '1', '944.655', '106.331', '-577.342', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '8845367', '0', 'object/tangible/gravestone/shared_gravestone04.iff', '0', '0', '0', '1', '939.458', '106.254', '-579.224', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '8845368', '0', 'object/tangible/gravestone/shared_gravestone05.iff', '0', '0', '0', '1', '941.658', '106.189', '-577.429', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '8845369', '0', 'object/tangible/gravestone/shared_gravestone03.iff', '0', '0', '0', '1', '943.244', '106.189', '-575.861', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '8845370', '0', 'object/static/structure/naboo/shared_garden_gazebo_lg_s01.iff', '0.0197738', '-0.00298852', '0.149408', '0.988573', '946.219', '85.6469', '-1466.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8845372', '0', 'object/static/structure/naboo/shared_arbor_corner_45_s01.iff', '0', '1', '0', '3.20013e-08', '938.002', '39.9121', '-2498.95', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8845373', '0', 'object/static/structure/naboo/shared_gungan_damaged_wall_lg_s01.iff', '0', '-0.227978', '0', '0.973666', '934.523', '39.4898', '-2495.29', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8845374', '0', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff', '0', '-0.707106', '0', '0.707107', '916.828', '101.437', '-3513.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8845376', '0', 'object/static/structure/general/shared_debris_deathstar_conduit.iff', '0', '0', '0', '1', '938.158', '172.374', '-4608.68', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8845377', '0', 'object/static/structure/general/shared_debris_deathstar_large_tube.iff', '0.000474284', '-0.00497743', '-0.094856', '0.995478', '930.369', '168.407', '-4610.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8845378', '0', 'object/static/structure/general/shared_debris_deathstar_small_chunk.iff', '0', '0', '0', '1', '931.204', '167.275', '-4598.16', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8845379', '0', 'object/static/structure/general/shared_debris_deathstar_turbolaser.iff', '0.197107', '-0.373873', '0.0816445', '0.902609', '944.797', '173.444', '-4598.36', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8845380', '0', 'object/static/structure/general/shared_debris_deathstar_storage.iff', '0', '0', '0', '1', '923.364', '162.885', '-4605.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8845384', '0', 'object/static/flora/shared_flora_decd_scorched_massassi_broke.iff', '0', '0', '0', '1', '948.029', '200.309', '-5583.35', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8845385', '0', 'object/static/particle/shared_particle_smoke.iff', '0', '0', '0', '1', '948.083', '228.568', '-5583.29', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8845386', '0', 'object/static/structure/naboo/shared_gungan_relic_s02.iff', '0', '0', '0', '1', '926.614', '8.46936', '5578.46', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8845391', '0', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff', '0', '1', '0', '3.20013e-08', '936.087', '42.8448', '4453.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8845393', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar.iff', '0', '0', '0', '1', '922.527', '26.867', '3563.92', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8845394', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_fallen.iff', '0', '0', '0', '1', '935.207', '27.1067', '3563.51', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8845395', '0', 'object/static/structure/dantooine/shared_dant_jedi_wall_2.iff', '0', '-0.247404', '0', '0.968912', '898.028', '105.323', '-582.529', '256', '1');
INSERT INTO `staticobjects` VALUES ('9', '8845396', '0', 'object/static/structure/dantooine/shared_dant_jedi_wall_1.iff', '0', '-0.213347', '0', '0.976976', '892.633', '104.913', '-571.251', '256', '1');
INSERT INTO `staticobjects` VALUES ('9', '8845398', '0', 'object/static/structure/dantooine/shared_dant_large_rock_hut.iff', '0', '0', '0', '1', '902.576', '107.079', '-589.505', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8845399', '0', 'object/static/structure/naboo/shared_gungan_cleft_wall_lg_s01.iff', '0', '0.488177', '0', '0.872745', '-4653.7', '268.038', '1822.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8845400', '0', 'object/static/structure/naboo/shared_gungan_damaged_narrow_arch_s01.iff', '0', '-0.252245', '0', '0.967663', '-4658.98', '268.479', '1823.82', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8845401', '0', 'object/static/structure/naboo/shared_gungan_damaged_wall_lg_s01.iff', '0', '0.509841', '0', '0.860269', '-4657.21', '268.34', '1829.06', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8845404', '0', 'object/static/structure/naboo/shared_gungan_relic_s01.iff', '0', '1', '0', '3.20013e-08', '-4628.21', '126.69', '3431.23', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8845405', '0', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff', '0', '-0.707106', '0', '0.707107', '-4749.87', '67.4614', '4964.64', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8845410', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar.iff', '0', '-0.707106', '0', '0.707107', '-4991.56', '216.058', '6493.91', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8845411', '0', 'object/static/structure/dantooine/shared_dant_jedi_wall_1.iff', '0', '1', '0', '-2.41953e-07', '-4991.13', '217.5', '6502.42', '256', '1');
INSERT INTO `staticobjects` VALUES ('9', '8845412', '0', 'object/static/structure/dantooine/shared_dant_jedi_wall_2.iff', '0', '1', '0', '-2.41953e-07', '-4991.49', '214.334', '6489.32', '256', '1');
INSERT INTO `staticobjects` VALUES ('9', '8845414', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '0', '0', '0', '1', '-4995.95', '214.223', '6495.74', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8905352', '0', 'object/static/flora/shared_flora_decd_scorched_tallbirch.iff', '-0.50577', '0.640808', '0.411277', '0.405478', '-4185.84', '148.563', '-5920.04', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8905353', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0.408144', '0.687368', '-0.158749', '-0.579433', '-4180.23', '433.674', '-4828.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8905354', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0.360934', '0.898013', '-0.159799', '-0.194329', '-4185.02', '433.271', '-4832.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8905355', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar.iff', '0', '0.149438', '0', '0.988771', '-4205.67', '454.896', '-3895.28', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8905356', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_med.iff', '0', '0.159318', '0', '0.987227', '-4212.2', '455.098', '-3893.2', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8905357', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_med.iff', '0', '0.169182', '0', '0.985585', '-4208.32', '455.223', '-3903.16', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8905358', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0.15438', '0', '0.988012', '-4214.02', '455.694', '-3901.14', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8905359', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar.iff', '0', '0.87959', '0', '0.475732', '-4210.1', '452.698', '-3909.28', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8905360', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_med.iff', '0', '0.986549', '0', '0.163467', '-4216.01', '457.015', '-3906.71', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8905361', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_fallen.iff', '0', '0', '-0.114747', '0.993395', '-4218.78', '457.117', '-3901.31', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8905362', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0', '0', '0', '1', '-4208.95', '453.53', '-3894.28', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8905363', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0.000249895', '0.0499785', '0.00499373', '0.998738', '-4088.94', '219.877', '-2958.36', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8905364', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.443948', '0', '0.896052', '-4089.88', '219.825', '-2959.07', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '8905365', '0', 'object/static/structure/general/shared_campfire_ash.iff', '0', '0', '0', '1', '-4089.46', '219.881', '-2962.37', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8905367', '0', 'object/static/structure/general/shared_prp_junk_s7.iff', '0.00932651', '0.940845', '0.337701', '0.0261123', '-3770.16', '6.62613', '-1835.58', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8905369', '0', 'object/static/structure/general/shared_prp_junk_s3.iff', '0.58269', '0.603141', '0.408042', '-0.360825', '-3770.24', '7.25207', '-1836.4', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8905371', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0.169663', '0.514845', '-0.142276', '0.828195', '-4196.3', '88.5031', '-1079.44', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8905372', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0', '-0.104807', '0', '0.994493', '-4193.33', '84.3196', '-1080.5', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8905373', '0', 'object/static/structure/dantooine/shared_dant_skull_lizard.iff', '0.361466', '0.565033', '-0.301382', '0.677679', '-4196.32', '87.9216', '-1080.04', '128', '1');
INSERT INTO `staticobjects` VALUES ('9', '8905374', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0.205567', '0.723195', '-0.113974', '0.649416', '-4196.45', '88.5609', '-1080.78', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8905376', '0', 'object/static/structure/general/shared_skeleton_bith_headandbody.iff', '-2.32839e-08', '-0.472161', '0.0521482', '0.879969', '-3915.18', '416.741', '-147.806', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8905377', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '-0.0412934', '0.973281', '-0.195194', '-0.113662', '-3916.18', '415.684', '-150.078', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8905378', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '-4123.11', '543.991', '1141.69', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8905380', '0', 'object/static/structure/general/shared_campfire_ash.iff', '0.094856', '-0.000474284', '-0.00497743', '0.995478', '-4125.62', '543.988', '1136.56', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8905381', '0', 'object/static/structure/dantooine/shared_dant_jedi_wall_2.iff', '-0.0201348', '-0.365719', '0.0511521', '0.929101', '-3735.74', '158.487', '2166.39', '256', '1');
INSERT INTO `staticobjects` VALUES ('9', '8905383', '0', 'object/static/structure/dantooine/shared_dant_jedi_wall_1.iff', '-0.0396979', '0.991919', '-0.00481883', '0.120406', '-3730.38', '158.157', '2155.01', '256', '1');
INSERT INTO `staticobjects` VALUES ('9', '8905384', '0', 'object/static/flora/shared_flora_decd_scorched_massassi_broke.iff', '-0.428879', '0.722497', '-0.542087', '0.0142072', '-3846.01', '103.29', '3065.17', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8905385', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0.0368568', '0.936262', '0.103406', '-0.333709', '-3883.12', '95.3033', '4147.14', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8905389', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0.036857', '0.936262', '0.103406', '-0.333709', '-3882.65', '95.2674', '4146.89', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8905390', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0.036857', '0.936262', '0.103406', '-0.333709', '-3882.02', '95.2105', '4146.57', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8905391', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0.036857', '0.936262', '0.103406', '-0.333709', '-3881.41', '95.1515', '4146.25', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8905392', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0', '0', '0', '1', '-3883.27', '93.9094', '4145.66', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8905396', '0', 'object/static/structure/general/shared_debris_deathstar_turbolaser.iff', '0.0449843', '-0.000224923', '-0.00499492', '0.998975', '-4147.5', '64.0562', '5332.62', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8905398', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_med.iff', '0.361249', '-0.0219606', '0.0392603', '0.931383', '-4258.11', '190.428', '6184.59', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8905399', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_fallen.iff', '0.122635', '0.692509', '-0.0888217', '-0.705338', '-4257.46', '194.264', '6193.28', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8905400', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0.183009', '0.540729', '-0.171627', '0.80291', '-3758.38', '425.687', '6954.74', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995352', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0.741297', '0', '0.671178', '-3152.25', '35.1478', '-5093.38', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995353', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '-0.0953063', '-0.496068', '-0.0662723', '0.860489', '-3150.95', '35.0198', '-5092.53', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995354', '0', 'object/static/structure/general/shared_skeleton_bith_headandbody.iff', '0.0852027', '0.885651', '0.057414', '-0.452842', '-3151.88', '35.0265', '-5094.45', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995355', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0', '0', '0', '1', '-3151.31', '33.3759', '-5093.41', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995356', '0', 'object/static/structure/general/shared_debris_deathstar_small_chunk.iff', '0', '0.169182', '0', '0.985585', '-3256.3', '148.344', '-4087.81', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995357', '0', 'object/static/structure/general/shared_debris_deathstar_conduit.iff', '0.449363', '-0.454865', '0.22285', '0.735873', '-3255.05', '148.751', '-4084.07', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995358', '0', 'object/static/structure/military/shared_military_wall_weak_rebl_style_01.iff', '0.046153', '-0.0365092', '-0.0333628', '0.997709', '-2990.46', '68.0997', '-1119', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995359', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0.0538658', '-0.0318546', '-0.0365721', '0.99737', '-2985.93', '67.7403', '-1118.76', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995360', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0.0274238', '-0.048397', '-0.0513915', '0.997128', '-2995.08', '68.366', '-1119.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995368', '0', 'object/static/structure/general/shared_data_terminal_wall_s2.iff', '0.048216', '-0.0486422', '-0.0371557', '0.99696', '-2989.01', '68.4456', '-1118.18', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995369', '0', 'object/static/structure/general/shared_data_terminal_s1.iff', '0.0288318', '-0.0263098', '-0.0456996', '0.998192', '-2991.67', '68.2908', '-1118.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995370', '0', 'object/static/structure/general/shared_banner_rebel_style_01.iff', '0.0371607', '-0.0466482', '-0.0483258', '0.997049', '-2993.49', '67.9286', '-1120.52', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995373', '0', 'object/static/structure/naboo/shared_gungan_damaged_wide_arch_s01.iff', '-0.0642679', '-0.512691', '-0.0385241', '0.855298', '307.301', '7.79302', '-6762.25', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995376', '0', 'object/static/structure/naboo/shared_gungan_relic_s02.iff', '-0.018429', '-0.535472', '-0.0176128', '0.844168', '303.501', '-2.30114', '-6770.49', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995377', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_altar.iff', '0', '0.991562', '0', '-0.129634', '-2718.48', '136.113', '-162.807', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995378', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_med.iff', '0', '0.804835', '0', '0.593498', '-2725.14', '149.859', '-165.358', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995379', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff', '0', '0.129634', '0', '0.991562', '-2713.92', '149.579', '-168.58', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995380', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_fallen.iff', '-0.0243942', '-0.374766', '0.0601995', '0.924841', '-2711.25', '150.461', '-166.684', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995381', '0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_2.iff', '0', '0', '0', '1', '332.387', '190.173', '-5309.31', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995382', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_fallen.iff', '0.471285', '0.592432', '0.402492', '-0.514698', '-2709.17', '151.6', '-162.49', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995385', '0', 'object/static/flora/shared_flora_decd_scorched_massassi.iff', '0', '0', '0', '1', '325.568', '190.926', '-5311.98', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995386', '0', 'object/static/particle/shared_particle_campfire_style_1.iff', '0', '0', '0', '1', '326.635', '190.439', '-5317.16', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995387', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0', '0', '0', '1', '-2719.15', '148.866', '-165.592', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995388', '0', 'object/static/particle/shared_particle_campfire_style_1.iff', '0', '0', '0', '1', '329.75', '189.993', '-5313.09', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995389', '0', 'object/static/particle/shared_particle_campfire_style_1.iff', '0', '0', '0', '1', '324.981', '190.805', '-5308.13', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995390', '0', 'object/static/particle/shared_particle_campfire_style_1.iff', '0', '0', '0', '1', '321.778', '191.365', '-5310.53', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995391', '0', 'object/static/particle/shared_particle_campfire_style_1.iff', '0', '0', '0', '1', '322.931', '198.36', '-5309.4', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995392', '0', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff', '0.674288', '0', '0', '0.738469', '318.042', '187.121', '-4441.75', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995393', '0', 'object/static/structure/naboo/shared_gungan_relic_s01.iff', '0.00491003', '0.990204', '-0.139541', '0.000944321', '308.991', '182.552', '-4433.11', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995396', '0', 'object/tangible/gravestone/shared_gravestone01.iff', '0', '0', '0', '1', '339.968', '173.924', '-3039.33', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995397', '0', 'object/tangible/gravestone/shared_gravestone02.iff', '0', '0', '0', '1', '338.75', '174.124', '-3039.39', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995398', '0', 'object/tangible/gravestone/shared_gravestone03.iff', '0', '0', '0', '1', '336.869', '174.512', '-3039.23', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995399', '0', 'object/tangible/gravestone/shared_gravestone04.iff', '0', '0', '0', '1', '336.959', '174.627', '-3037.26', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995400', '0', 'object/tangible/gravestone/shared_gravestone05.iff', '0', '0', '0', '1', '338.671', '174.247', '-3037.4', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995401', '0', 'object/tangible/gravestone/shared_gravestone03.iff', '0', '0', '0', '1', '340.197', '173.965', '-3037.64', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995402', '0', 'object/tangible/gravestone/shared_gravestone01.iff', '0', '0', '0', '1', '336.919', '174.787', '-3035.59', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995403', '0', 'object/tangible/gravestone/shared_gravestone02.iff', '0', '0', '0', '1', '338.647', '174.41', '-3035.62', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995404', '0', 'object/tangible/gravestone/shared_gravestone03.iff', '0', '0', '0', '1', '340.307', '174.095', '-3035.68', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995407', '0', 'object/static/flora/shared_flora_decd_scorched_massassi_broke.iff', '-0.25177', '0.551232', '0.418658', '0.676373', '-3105.81', '309.174', '903.07', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995408', '0', 'object/static/structure/dantooine/shared_dant_large_rock_hut.iff', '0', '-0.682804', '0', '0.730602', '-2810.78', '107.103', '1775.85', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995409', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0', '0', '0', '1', '-2809.72', '104.816', '1775.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995410', '0', 'object/static/structure/general/shared_campfire_ash.iff', '0', '0', '0', '1', '-3181.22', '104.939', '3349.35', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995411', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '0', '0.223106', '0', '0.974794', '-3183.58', '105.225', '3344.58', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995412', '0', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_01.iff', '0', '0', '0', '1', '-3183.29', '105.253', '3344.71', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995413', '0', 'object/static/structure/dantooine/shared_dant_gate.iff', '0', '0.247404', '0', '0.968912', '-3253.38', '82.3173', '3836.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995414', '0', 'object/static/structure/general/shared_skeleton_bith_headandbody.iff', '0.0195406', '-0.47916', '0.0163708', '0.877357', '-3252.39', '82.3369', '3837.85', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995415', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0', '0', '0', '1', '-3251.75', '80.2011', '3839.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995416', '0', 'object/static/structure/naboo/shared_gungan_damaged_wide_arch_s01.iff', '0.0129118', '0.509611', '0.0270743', '0.859882', '-3136.53', '135.105', '6827.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995417', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '-0.01751', '0.875384', '0.00966156', '-0.483014', '-3140.31', '135.53', '6825.71', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995418', '0', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff', '0', '-0.416871', '0', '0.908966', '-3132.98', '135.086', '6830.05', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995419', '0', 'object/static/structure/naboo/shared_gungan_cleft_wall_lg_s01.iff', '0', '0.974972', '0', '-0.22233', '-3130.91', '134.875', '6833.87', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995422', '0', 'object/static/structure/general/shared_prp_junk_s5.iff', '-0.33138', '0.70461', '0.00970137', '0.627389', '-1795.74', '45.2253', '-4697.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995425', '0', 'object/static/structure/general/shared_prp_junk_s2.iff', '-0.203854', '0.42887', '-0.077897', '0.876611', '-1796.55', '45.9748', '-4694.55', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995426', '0', 'object/static/structure/general/shared_gravestone_generic_style_01.iff', '0', '0.42141', '0', '0.90687', '-2331.41', '53.0701', '-3062.92', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995427', '0', 'object/static/structure/general/shared_gravestone_generic_style_03.iff', '0', '0.448423', '0', '0.893822', '-2332.89', '53.0691', '-3061.13', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995429', '0', 'object/static/structure/general/shared_gravestone_generic_style_04.iff', '0', '0.394019', '0', '0.919102', '-2334.34', '53.0843', '-3059.31', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995434', '0', 'object/static/structure/dantooine/shared_dant_small_mudhut.iff', '0', '-0.398609', '0', '0.917121', '-1582.06', '36.9807', '-822.37', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995435', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0', '0', '0', '1', '-1583.5', '36.927', '-824.7', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995437', '0', 'object/static/structure/general/shared_debris_deathstar_storage.iff', '-0.484834', '0.34561', '0.032645', '0.802761', '-2210.42', '87.1575', '1167.84', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995438', '0', 'object/static/structure/naboo/shared_arbor_short_s01.iff', '0', '0.841471', '0', '-0.540303', '330.169', '25.3831', '-1407.85', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995439', '0', 'object/static/structure/naboo/shared_gungan_damaged_narrow_arch_s01.iff', '0', '-0.20846', '0', '0.978031', '332.901', '24.3997', '-1406.49', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995440', '0', 'object/static/structure/naboo/shared_gungan_damaged_wall_lg_s01.iff', '0', '0.535416', '0', '0.844589', '334.89', '24.4059', '-1401.39', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995441', '0', 'object/static/structure/naboo/shared_gungan_damaged_wall_lg_s01.iff', '0', '0.535417', '0', '0.844588', '337.874', '24.4179', '-1408.3', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995442', '0', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff', '0', '0.522687', '0', '0.852525', '332.011', '24.8359', '-1411.83', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995444', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s02.iff', '0', '0.699716', '0', '0.714421', '334.816', '47.0898', '1514.27', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995445', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s01.iff', '0', '0', '0', '1', '341.379', '47.4204', '1519.54', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995446', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s02.iff', '0', '0', '0', '1', '331.719', '45.6243', '1518.9', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995447', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s01.iff', '0', '0.737931', '0', '0.674876', '338.562', '44.3689', '1524.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995448', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s02.iff', '0', '0', '0', '1', '340.882', '45.8486', '1511.94', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995450', '0', 'object/static/flora/shared_flora_decd_scorched_massassi_broke.iff', '0.0201004', '0.530241', '-0.430129', '0.730362', '-1775.65', '85.7208', '3312.55', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995451', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s02.iff', '0', '0.999983', '0', '0.00579672', '333.307', '46.8561', '1510.67', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995452', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s02.iff', '0', '0.699715', '0', '0.714422', '337.217', '47.8214', '1508.02', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995453', '0', 'object/static/structure/general/shared_lucky_despot_debris_sm_engine.iff', '0.248813', '-0.20622', '-0.448813', '0.833146', '-1946.37', '7.74944', '7127.65', '256', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995454', '0', 'object/static/structure/general/shared_skeleton_ithorian_headandbody.iff', '0.103896', '0.965438', '-0.168726', '0.169312', '-298.192', '199.42', '-5161.8', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995455', '0', 'object/static/structure/general/shared_skeleton_human_headandbody.iff', '0.0159479', '0.972973', '-0.141426', '-0.181846', '-298.961', '200.116', '-5161.26', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995457', '0', 'object/static/structure/general/shared_debris_deathstar_tractorbeam.iff', '-0.0855107', '0.345722', '-0.135916', '0.924495', '316.377', '183.735', '-3143.09', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995458', '0', 'object/static/structure/general/shared_campfire_ash.iff', '0', '0', '0', '1', '65.5739', '50.9641', '-682.368', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995459', '0', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_01.iff', '-0.028743', '0.285823', '0.00857728', '0.957813', '63.5283', '50.9834', '-681.015', '50', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995460', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '0.996738', '0', '0.0807085', '63.2361', '50.9293', '-681.416', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995462', '0', 'object/static/structure/dantooine/shared_dant_jedi_wall_2.iff', '-0.0581385', '-0.362445', '0.0205002', '0.929964', '330.574', '52.772', '3066.99', '256', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995463', '0', 'object/static/structure/dantooine/shared_dant_jedi_wall_2.iff', '0.0770575', '-0.381965', '0.0865432', '0.916883', '324.868', '51.709', '3072.84', '256', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995464', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '0', '-0.620986', '0', '0.783822', '1975.53', '73.5394', '-5311.6', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995465', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '0', '-0.620987', '0', '0.783821', '1976.08', '74.459', '-5308.35', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995466', '0', 'object/static/structure/dantooine/shared_dant_totem_pole.iff', '0', '-0.620987', '0', '0.783821', '1977.02', '74.0152', '-5304.93', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995470', '0', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff', '0', '0', '0', '1', '2124.28', '103.28', '-2598.28', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995471', '0', 'object/static/flora/shared_potted_plant_leaves_small.iff', '0', '0', '0', '1', '2124', '102.723', '-2599.22', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995472', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '-0.04848', '-0.365578', '-0.013135', '0.929424', '2124.85', '103.259', '-2598.98', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995473', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0', '-0.568762', '0', '0.822502', '1607.24', '148.724', '-911.272', '256', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995474', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0', '0.810497', '0', '0.585743', '1614.48', '148.241', '-913.852', '256', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995475', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0', '0', '0', '1', '1611.06', '146.543', '-911.949', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995476', '0', 'object/static/flora/shared_flora_decd_scorched_massassi_broke.iff', '0.64304', '-0.205591', '0.19228', '0.712222', '2129.86', '81.9499', '963.922', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995477', '0', 'object/static/structure/military/shared_military_wall_weak_rebl_style_01.iff', '0.025145', '-0.62829', '-0.0310946', '0.776951', '2379.28', '29.8446', '3072.74', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995478', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0.0548734', '0.0897427', '-0.00329636', '0.994447', '2378.35', '30.4386', '3068.2', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995479', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0.0249362', '0.0699211', '-0.00174839', '0.997239', '2380.25', '29.6956', '3077.22', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995480', '0', 'object/static/structure/military/shared_military_wall_weak_rebl_style_01.iff', '-0.0290615', '0.881418', '0.0194918', '-0.47104', '2377.92', '29.1826', '3080.79', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995481', '0', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff', '0.0242979', '0.109718', '-0.00770688', '0.993636', '2375.2', '29.1123', '3084.65', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995482', '0', 'object/static/structure/general/shared_debris_deathstar_turbolaser.iff', '0', '0', '0', '1', '2351.9', '53.3016', '4921.96', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995483', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.285952', '0', '0.958244', '3978.35', '102.432', '-4774.21', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995484', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0', '0', '1', '3977.56', '102.164', '-4773.47', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995485', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.242556', '0', '0.970137', '3976.19', '101.606', '-4772.74', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995486', '0', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff', '0.0121868', '0.938193', '0.309584', '0.154284', '4015.22', '650.826', '-2843.14', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995487', '0', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s01.iff', '0', '0.174108', '0', '0.984727', '3898.09', '203.031', '-877.996', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995488', '0', 'object/static/flora/shared_flora_decd_scorched_tallbirch_broke.iff', '0.109271', '0.0551261', '0.681334', '0.721669', '3906.15', '203.906', '-883.205', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995489', '0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff', '-0.0523915', '0.747227', '0.0463371', '-0.660877', '4369.43', '93.0506', '975.739', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995490', '0', 'object/static/structure/general/shared_campfire_ash.iff', '0', '0', '0', '1', '4374.77', '93.039', '976.198', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995496', '0', 'object/static/structure/general/shared_prp_junk_s2.iff', '-0.518736', '0.751199', '0.155283', '-0.377492', '4004.44', '12.7425', '3088.17', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995497', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0', '0', '1', '4005.5', '11.6721', '3086.93', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995498', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0', '0', '1', '4003.34', '12.084', '3089.09', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995499', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0', '0', '1', '4005.6', '11.5875', '3088.72', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995500', '0', 'object/static/structure/dantooine/shared_dant_jedi_temple_altar.iff', '0', '-0.501213', '0', '0.865324', '4308.33', '36.1296', '4820.68', '512', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995501', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0', '0', '0', '1', '4306.22', '53.058', '4821.88', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995503', '0', 'object/static/structure/general/shared_prp_junk_s7.iff', '-0.409283', '-0.526806', '0.535279', '0.518112', '3855.12', '43.3642', '7162.61', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995504', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '-0.0499791', '0', '0.99875', '3857.9', '40.1711', '7161.68', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995505', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0', '0', '1', '3853.19', '40.545', '7162.34', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995506', '0', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff', '0', '0', '0', '1', '3857.55', '40.352', '7161.1', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995507', '0', 'object/static/structure/dantooine/shared_dant_boundary_post.iff', '0', '0.991458', '0', '-0.130424', '5707.16', '570.502', '-5128.15', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995508', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.867423', '0', '-0.497571', '5706.02', '570.81', '-5130.07', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995509', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.997836', '0', '0.0657489', '5706.6', '570.858', '-5130.47', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995510', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.921371', '0', '-0.388685', '5706.91', '570.865', '-5130.87', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995511', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0.0792263', '0.988694', '0.0399823', '0.120871', '5707.87', '570.599', '-5130.6', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995512', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0', '0', '0', '1', '5706.72', '568.827', '-5131.19', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995513', '0', 'object/static/structure/general/shared_debris_deathstar_conduit.iff', '0.266685', '0.534611', '0.467488', '-0.651556', '6375.46', '198.274', '-2831.03', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995515', '0', 'object/static/flora/shared_flora_decd_scorched_tallbirch.iff', '-0.0169285', '0.296237', '0.722764', '-0.624155', '5671.36', '98.8227', '1425.84', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995516', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '0.717356', '0', '-0.696707', '5684.35', '123.633', '2843.19', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995517', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.548024', '0', '0.836463', '5683.94', '123.567', '2841.88', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995518', '0', 'object/static/structure/general/shared_skeleton_human_head.iff', '0', '-0.430458', '0', '0.902611', '5683.22', '123.59', '2840.43', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995519', '0', 'object/static/structure/general/shared_skeleton_human_body.iff', '0', '0', '0', '1', '5682.02', '121.94', '2842.22', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995520', '0', 'object/static/structure/general/shared_skeleton_human_body.iff', '0', '0.9001', '0', '0.435683', '5681.71', '121.922', '2842.19', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995521', '0', 'object/static/structure/general/shared_skeleton_human_body.iff', '0', '0.384808', '0', '0.922997', '5682.03', '121.974', '2842.75', '64', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995523', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0', '0', '0', '1', '5682.93', '120.176', '2842.32', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995524', '0', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff', '0', '0', '0', '1', '6076.33', '22.0798', '5440.59', '256', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995525', '0', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff', '0', '0', '0', '1', '6076.44', '20.5048', '5437.42', '200', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995526', '0', 'object/static/structure/dantooine/shared_dant_jedi_wall_1.iff', '0', '0.936177', '0', '-0.351529', '5712.19', '41.3857', '6799', '256', '1');
INSERT INTO `staticobjects` VALUES ('9', '8995527', '0', 'object/static/structure/dantooine/shared_dant_jedi_wall_2.iff', '0', '0.999991', '0', '-0.00420332', '5717.71', '40.5417', '6810.03', '256', '1');
INSERT INTO `staticobjects` VALUES ('9', '9835422', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '-0.707106', '0', '0.707107', '-329.858', '35', '4871.45', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '9835423', '0', 'object/static/item/shared_item_container_inorganic_gas.iff', '0', '1', '0', '-1.01456e-08', '-328.602', '35', '4871.42', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '9835424', '0', 'object/static/item/shared_item_container_inorganic_gas.iff', '0', '1', '0', '0', '-328.023', '35', '4871.4', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '9835425', '0', 'object/static/item/shared_item_container_energy_solid.iff', '0', '0', '0', '1', '-351.981', '35', '4879.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '9835426', '0', 'object/static/item/shared_item_container_energy_solid.iff', '0', '0', '0', '1', '-352.54', '35', '4879.17', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '9835427', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '-353.061', '35', '4879.18', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '9835428', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '-353.399', '35', '4879.28', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '9835429', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '-353.775', '35', '4879.2', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '9835430', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '-351.377', '35', '4879', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '9835431', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff', '0', '0', '0', '1', '-313.535', '35', '4895.94', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '9835432', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '-0.114747', '0', '0.993395', '-314.169', '35', '4896.92', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '9835433', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.707106', '0', '0.707107', '-291.411', '36.0119', '4895.46', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '9835434', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.707106', '0', '0.707107', '-291.255', '35', '4891.35', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '9835435', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '-0.109778', '0', '0.993956', '-291.182', '35.6957', '4891.28', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '9835436', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.707106', '0', '0.707107', '-284.08', '35', '4891.54', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '9835437', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.707106', '0', '0.707107', '-283.106', '35', '4891.53', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '9835438', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.707106', '0', '0.707107', '-283.66', '35.6957', '4891.55', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '9835439', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.620986', '0', '0.783822', '-281.924', '35', '4891.39', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '9835440', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.479426', '0', '0.877582', '-259.965', '35', '4876.75', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '9835441', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff', '0', '0.710353', '0', '-0.703845', '-260.633', '35', '4877.4', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '9835442', '0', 'object/static/item/shared_item_container_organic_hide.iff', '0', '0.203567', '0', '0.979061', '-250.669', '35', '4874.72', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '9835443', '0', 'object/static/item/shared_item_container_organic_hide.iff', '0', '0.203567', '0', '0.979061', '-250.389', '35', '4875.33', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '9835444', '0', 'object/static/item/shared_item_container_organic_hide.iff', '0', '0.203567', '0', '0.979061', '-250.136', '35', '4875.95', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '9835445', '0', 'object/static/item/shared_item_container_energy_radioactive.iff', '0', '0', '0', '1', '-256.793', '35', '4840.93', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '9835446', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '-257.88', '35', '4841.19', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '9835447', '0', 'object/static/item/shared_item_container_energy_liquid.iff', '0', '0', '0', '1', '-257.686', '35', '4840.83', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '9835448', '0', 'object/static/item/shared_item_container_inorganic_minerals.iff', '0', '0.707106', '0', '0.707107', '-264.327', '35', '4848.24', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '9835449', '0', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '0', '0', '1', '-265.583', '35', '4848.05', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '9835450', '0', 'object/static/item/shared_item_medic_bacta_tank.iff', '0', '-0.266731', '0', '0.963771', '-266.242', '35', '4848.25', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '9835451', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0', '0', '1', '-315.453', '35', '4843.57', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '9835452', '0', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff', '0', '0', '0', '1', '-312.711', '35', '4843.62', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '9835453', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '-315.089', '35.1265', '4843.99', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '9835454', '0', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff', '0', '0', '0', '1', '-315.899', '35.1265', '4843.98', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '9835455', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff', '0', '-0.581358', '0', '0.813648', '-315.976', '35.1265', '4842.99', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '9835456', '0', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff', '0', '0.707106', '0', '0.707107', '-315', '35.1265', '4843.01', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '9835457', '0', 'object/static/item/shared_item_crate_spice.iff', '0', '0', '0', '1', '-312.235', '35.1265', '4844.29', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '9835458', '0', 'object/static/item/shared_item_crate_spice.iff', '0', '0', '0', '1', '-313.182', '35.1265', '4844.29', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '9835459', '0', 'object/static/item/shared_item_crate_clothing_small.iff', '0', '0', '0', '1', '-313.427', '35.1265', '4843.52', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '9835460', '0', 'object/static/item/shared_item_container_organic_structure.iff', '0', '0', '0', '1', '-312.792', '35.1265', '4843.54', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '9835461', '0', 'object/static/item/shared_item_container_organic_structure.iff', '0', '0', '0', '1', '-312.102', '35.1265', '4843.55', '32', '1');
INSERT INTO `staticobjects` VALUES ('9', '9835464', '0', 'object/static/item/shared_item_container_energy_gas.iff', '0', '1', '0', '3.20013e-08', '-312.464', '35.1265', '4842.85', '32', '1');
INSERT INTO `statictangibleobjects` VALUES ('1', '5', '0', 'Jeff Freeman Memorial Fountain', 'object/tangible/furniture/city/fountain_heroic.iff', '8203', 'fountain_heroic', '0', '-0.401868', '0', '0.915698', '-4879.48', '6', '4139.49');
INSERT INTO `statictangibleobjects` VALUES ('2', '8', '0', 'Blue Frog', 'object/tangible/terminal/terminal_character_builder.iff', '16400', 'terminal_character_builder', '0', '0.768226', '0', '-0.640178', '3533.04', '5', '-4796');
INSERT INTO `statictangibleobjects` VALUES ('3', '8', '0', 'Blue Frog', 'object/tangible/terminal/terminal_character_builder.iff', '16400', 'terminal_character_builder', '0', '-0.486657', '0', '0.873593', '-1271.07', '12', '-3590.22');
INSERT INTO `statictangibleobjects` VALUES ('4', '5', '0', 'Blue Frog', 'object/tangible/terminal/terminal_character_builder.iff', '16400', 'terminal_character_builder', '0', '0.309582', '0', '0.950873', '-4876.99', '6', '4142.12');
INSERT INTO `statictangibleobjects` VALUES ('5', '0', '0', 'Blue Frog', 'object/tangible/terminal/terminal_character_builder.iff', '16400', 'terminal_character_builder', '0', '-0.664289', '0', '0.747476', '-133.192', '28', '-4711.16');
INSERT INTO `statictangibleobjects` VALUES ('6', '0', '0', 'Blue Frog', 'object/tangible/terminal/terminal_character_builder.iff', '16400', 'terminal_character_builder', '0', '0.346712', '0', '0.937972', '-5049.64', '21', '-2304.52');
INSERT INTO `template_items` VALUES ('1', 'object/tangible/ship/components/droid_interface/shared_ddi_rss_deluxe_imperial_2.iff');
INSERT INTO `template_items` VALUES ('2', 'object/tangible/mission/quest_item/shared_lilas_dinhint_q4_needed.iff');
INSERT INTO `template_items` VALUES ('3', 'object/tangible/mission/quest_item/shared_haleen_snowline_q2_needed.iff');
INSERT INTO `template_items` VALUES ('4', 'object/tangible/wearables/armor/kashyyykian_black_mtn/shared_armor_kashyyykian_black_mtn_leggings.iff');
INSERT INTO `template_items` VALUES ('5', 'object/tangible/container/general/shared_satchel.iff');
INSERT INTO `template_items` VALUES ('6', 'object/tangible/ship/components/shield_generator/shared_shd_taim_standard.iff');
INSERT INTO `template_items` VALUES ('7', 'object/tangible/component/weapon/shared_weapon_mount.iff');
INSERT INTO `template_items` VALUES ('8', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_m_s06.iff');
INSERT INTO `template_items` VALUES ('9', 'object/tangible/ship/components/shield_generator/shared_shd_sfs_custom_polyweb_elite.iff');
INSERT INTO `template_items` VALUES ('10', 'object/tangible/ship/components/weapon/shared_wpn_tieadvanced_blaster.iff');
INSERT INTO `template_items` VALUES ('11', 'object/tangible/ship/components/armor/shared_arm_mission_reward_imperial_rss_special_durasteel.iff');
INSERT INTO `template_items` VALUES ('12', 'object/tangible/mission/quest_item/shared_crev_bombaasa_q1_needed.iff');
INSERT INTO `template_items` VALUES ('13', 'object/tangible/painting/shared_painting_cargoport.iff');
INSERT INTO `template_items` VALUES ('14', 'object/tangible/lair/shear_mite/shared_lair_shear_mite_forest.iff');
INSERT INTO `template_items` VALUES ('15', 'object/tangible/mission/quest_item/shared_lx466_q3_needed.iff');
INSERT INTO `template_items` VALUES ('16', 'object/tangible/ship/attachment/wing/shared_xwing_wing_neg_s01.iff');
INSERT INTO `template_items` VALUES ('17', 'object/tangible/crafting/shared_default_draft_not_found.iff');
INSERT INTO `template_items` VALUES ('18', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_neutral_rescue_02.iff');
INSERT INTO `template_items` VALUES ('19', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_03.iff');
INSERT INTO `template_items` VALUES ('20', 'object/tangible/loot/bestine/shared_bestine_painting_schematic_golden_flower_01.iff');
INSERT INTO `template_items` VALUES ('21', 'object/tangible/component/dna/shared_dna_template_gualama.iff');
INSERT INTO `template_items` VALUES ('22', 'object/tangible/ship/crafted/weapon/missile/shared_countermeasure_decoy_pack.iff');
INSERT INTO `template_items` VALUES ('23', 'object/tangible/ship/attachment/booster/shared_ykl37r_booster_s01.iff');
INSERT INTO `template_items` VALUES ('24', 'object/tangible/hair/twilek/shared_hair_twilek_male_s03.iff');
INSERT INTO `template_items` VALUES ('25', 'object/tangible/ship/components/weapon_capacitor/shared_cap_gallofree_lt22.iff');
INSERT INTO `template_items` VALUES ('26', 'object/tangible/wearables/bodysuit/shared_bodysuit_tie_fighter.iff');
INSERT INTO `template_items` VALUES ('27', 'object/tangible/mission/quest_item/shared_figrindan_q2_needed.iff');
INSERT INTO `template_items` VALUES ('28', 'object/tangible/lair/angler/shared_lair_angler_jungle.iff');
INSERT INTO `template_items` VALUES ('29', 'object/tangible/ship/components/weapon/shared_wpn_sds_imperial_blaster_2.iff');
INSERT INTO `template_items` VALUES ('30', 'object/tangible/deed/harvester_deed/shared_harvester_moisture_deed_heavy.iff');
INSERT INTO `template_items` VALUES ('31', 'object/tangible/ship/attachment/booster/shared_xwing_booster_s01_neg.iff');
INSERT INTO `template_items` VALUES ('32', 'object/tangible/loot/bestine/shared_bestine_painting_schematic_blueleaf_temple.iff');
INSERT INTO `template_items` VALUES ('33', 'object/tangible/component/vehicle/shared_laser_cannon.iff');
INSERT INTO `template_items` VALUES ('34', 'object/tangible/ship/crafted/weapon/shared_speed_limiter_upgrade_mk5.iff');
INSERT INTO `template_items` VALUES ('35', 'object/tangible/lair/ronto/shared_lair_ronto_desert.iff');
INSERT INTO `template_items` VALUES ('36', 'object/tangible/medicine/crafted/shared_medpack_disease_stamina_c.iff');
INSERT INTO `template_items` VALUES ('37', 'object/tangible/lair/base/shared_poi_all_lair_warren_large_evil_fire_red.iff');
INSERT INTO `template_items` VALUES ('38', 'object/tangible/mission/quest_item/shared_bren_kingal_q3_needed.iff');
INSERT INTO `template_items` VALUES ('39', 'object/tangible/ship/components/droid_interface/shared_ddi_qualdex_droid_interface_mk1.iff');
INSERT INTO `template_items` VALUES ('40', 'object/tangible/loot/simple_kit/shared_magnetic_reader.iff');
INSERT INTO `template_items` VALUES ('41', 'object/tangible/mission/quest_item/shared_lergo_brazee_q1_needed.iff');
INSERT INTO `template_items` VALUES ('42', 'object/tangible/wearables/armor/tantel/shared_armor_tantel_skreej_boots_quest.iff');
INSERT INTO `template_items` VALUES ('43', 'object/tangible/wearables/base/shared_base_cloak_hooded.iff');
INSERT INTO `template_items` VALUES ('44', 'object/tangible/hair/rodian/shared_hair_rodian_female_s14.iff');
INSERT INTO `template_items` VALUES ('45', 'object/tangible/ship/components/shield_generator/shared_shd_prototype_shield.iff');
INSERT INTO `template_items` VALUES ('46', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s12.iff');
INSERT INTO `template_items` VALUES ('47', 'object/tangible/loot/loot_schematic/shared_assorted_fruit_schematic.iff');
INSERT INTO `template_items` VALUES ('48', 'object/tangible/lair/kliknik/shared_lair_kliknik_forest.iff');
INSERT INTO `template_items` VALUES ('49', 'object/tangible/ship/components/reactor/shared_rct_unknown_multicore.iff');
INSERT INTO `template_items` VALUES ('50', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_female_s01.iff');
INSERT INTO `template_items` VALUES ('51', 'object/tangible/hair/human/shared_hair_human_female_s26.iff');
INSERT INTO `template_items` VALUES ('52', 'object/tangible/wearables/utility/shared_utility_belt_tusken_raider.iff');
INSERT INTO `template_items` VALUES ('53', 'object/tangible/component/armor/shared_armor_segment_advanced.iff');
INSERT INTO `template_items` VALUES ('54', 'object/tangible/component/armor/shared_heavy_armor_layer_restraint.iff');
INSERT INTO `template_items` VALUES ('55', 'object/tangible/ship/crafted/weapon/shared_shield_effectiveness_intensifier_mk4.iff');
INSERT INTO `template_items` VALUES ('56', 'object/tangible/food/crafted/shared_dish_veghash.iff');
INSERT INTO `template_items` VALUES ('57', 'object/tangible/transport/shared_strut_b.iff');
INSERT INTO `template_items` VALUES ('58', 'object/tangible/medicine/crafted/shared_crafted_stimpack_sm_s1_c.iff');
INSERT INTO `template_items` VALUES ('59', 'object/tangible/ship/components/armor/shared_arm_gallofree_mk1.iff');
INSERT INTO `template_items` VALUES ('60', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_sm_s04_lg.iff');
INSERT INTO `template_items` VALUES ('61', 'object/tangible/lair/binjinphant/shared_lair_binjinphant.iff');
INSERT INTO `template_items` VALUES ('62', 'object/tangible/furniture/all/shared_frn_all_lamp_table_s03.iff');
INSERT INTO `template_items` VALUES ('63', 'object/tangible/loot/loot_schematic/shared_death_watch_pistol_de10_schematic.iff');
INSERT INTO `template_items` VALUES ('64', 'object/tangible/ship/components/shield_generator/shared_shd_dual_deflector_s2.iff');
INSERT INTO `template_items` VALUES ('65', 'object/tangible/wearables/ithorian/shared_ith_pants_s09.iff');
INSERT INTO `template_items` VALUES ('66', 'object/tangible/component/weapon/shared_scope_weapon.iff');
INSERT INTO `template_items` VALUES ('67', 'object/tangible/lair/bageraset/shared_lair_bageraset_forest.iff');
INSERT INTO `template_items` VALUES ('68', 'object/tangible/ship/crafted/shields/shared_shield_intensifier_mk1.iff');
INSERT INTO `template_items` VALUES ('69', 'object/tangible/scout/trap/shared_trap_ranged_def_1.iff');
INSERT INTO `template_items` VALUES ('70', 'object/tangible/loot/loot_schematic/shared_stuffed_fish_schematic.iff');
INSERT INTO `template_items` VALUES ('71', 'object/tangible/ship/components/booster/shared_bst_incom_performance_nkj31.iff');
INSERT INTO `template_items` VALUES ('72', 'object/tangible/wearables/helmet/shared_helmet_tie_fighter.iff');
INSERT INTO `template_items` VALUES ('73', 'object/tangible/loot/loot_schematic/shared_bottle_pear_schematic.iff');
INSERT INTO `template_items` VALUES ('74', 'object/tangible/medicine/crafted/shared_medpack_disease_area_stamina_a.iff');
INSERT INTO `template_items` VALUES ('75', 'object/tangible/wearables/bracelet/shared_bracelet_s05_l.iff');
INSERT INTO `template_items` VALUES ('76', 'object/tangible/ship/components/engine/shared_eng_novaldex_x7.iff');
INSERT INTO `template_items` VALUES ('77', 'object/tangible/lair/colo_claw_fish/shared_lair_colo_claw_fish.iff');
INSERT INTO `template_items` VALUES ('78', 'object/tangible/ship/components/weapon/shared_wpn_star_destroyer_turret_med.iff');
INSERT INTO `template_items` VALUES ('79', 'object/tangible/ship/components/booster/shared_bst_kessel_imperial_sfs_ultra_thrust.iff');
INSERT INTO `template_items` VALUES ('80', 'object/tangible/wearables/goggles/shared_rebreather.iff');
INSERT INTO `template_items` VALUES ('81', 'object/tangible/component/droid/shared_harvest_module.iff');
INSERT INTO `template_items` VALUES ('82', 'object/tangible/ship/components/droid_interface/shared_ddi_rss_imperial_1.iff');
INSERT INTO `template_items` VALUES ('83', 'object/tangible/ship/crafted/capacitor/shared_energy_saver_battery_mk5.iff');
INSERT INTO `template_items` VALUES ('84', 'object/tangible/component/bio/shared_bio_component_clothing_casual_medic.iff');
INSERT INTO `template_items` VALUES ('85', 'object/tangible/medicine/pet/shared_pet_stimpack_d.iff');
INSERT INTO `template_items` VALUES ('86', 'object/tangible/furniture/elegant/shared_armoire_elegant_s01.iff');
INSERT INTO `template_items` VALUES ('87', 'object/tangible/deed/city_deed/shared_garden_tatooine_med_05_deed.iff');
INSERT INTO `template_items` VALUES ('88', 'object/tangible/lair/shaupaut/shared_lair_shaupaut.iff');
INSERT INTO `template_items` VALUES ('89', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_male_s10.iff');
INSERT INTO `template_items` VALUES ('90', 'object/tangible/mission/quest_item/shared_terak_q3_needed.iff');
INSERT INTO `template_items` VALUES ('91', 'object/tangible/inventory/shared_creature_inventory_6.iff');
INSERT INTO `template_items` VALUES ('92', 'object/tangible/loot/loot_schematic/shared_death_watch_razor_knuckler_schematic.iff');
INSERT INTO `template_items` VALUES ('93', 'object/tangible/food/base/shared_alcoholic_drink_base.iff');
INSERT INTO `template_items` VALUES ('94', 'object/tangible/component/bio/shared_bio_component_clothing_field_defense_2.iff');
INSERT INTO `template_items` VALUES ('95', 'object/tangible/lair/base/shared_poi_all_lair_rock_shelter_large_evil_fire_red.iff');
INSERT INTO `template_items` VALUES ('96', 'object/tangible/lair/structure/exterior/shared_lair_hive_medium_exterior_kliknik.iff');
INSERT INTO `template_items` VALUES ('97', 'object/tangible/planet_map_location/shared_map_location_base.iff');
INSERT INTO `template_items` VALUES ('98', 'object/tangible/hair/twilek/shared_hair_twilek_female_s02.iff');
INSERT INTO `template_items` VALUES ('99', 'object/tangible/wearables/base/shared_base_dress_poofysleeve_upper.iff');
INSERT INTO `template_items` VALUES ('100', 'object/tangible/lair/dewback/shared_lair_dewback.iff');
INSERT INTO `template_items` VALUES ('101', 'object/tangible/deed/naboo/player_house_deed/shared_naboo_house_large_deed.iff');
INSERT INTO `template_items` VALUES ('102', 'object/tangible/lair/baz_nitch/shared_lair_baz_nitch.iff');
INSERT INTO `template_items` VALUES ('103', 'object/tangible/component/dna/shared_dna_template_krahbu.iff');
INSERT INTO `template_items` VALUES ('104', 'object/tangible/wearables/hat/shared_hat_s12.iff');
INSERT INTO `template_items` VALUES ('105', 'object/tangible/furniture/all/shared_frn_all_lamp_desk_s02_lit.iff');
INSERT INTO `template_items` VALUES ('106', 'object/tangible/ship/components/booster/shared_bst_surronian_nomad_x8.iff');
INSERT INTO `template_items` VALUES ('107', 'object/tangible/test/shared_test_barrel_b.iff');
INSERT INTO `template_items` VALUES ('108', 'object/tangible/ship/components/droid_interface/shared_ddi_incom_advanced_droid_interface.iff');
INSERT INTO `template_items` VALUES ('109', 'object/tangible/hair/mon_calamari/base/shared_hair_mon_calamari_male_base.iff');
INSERT INTO `template_items` VALUES ('110', 'object/tangible/dungeon/death_watch_bunker/shared_passkey_mine.iff');
INSERT INTO `template_items` VALUES ('111', 'object/tangible/ship/components/weapon_capacitor/shared_cap_z95_deepwell_k5.iff');
INSERT INTO `template_items` VALUES ('112', 'object/tangible/ship/components/droid_interface/shared_ddi_rendili_imperator_1.iff');
INSERT INTO `template_items` VALUES ('113', 'object/tangible/wearables/shirt/shared_singing_mountain_clan_shirt_s01.iff');
INSERT INTO `template_items` VALUES ('114', 'object/tangible/loot/loot_schematic/shared_diagnostic_screen_schematic.iff');
INSERT INTO `template_items` VALUES ('115', 'object/tangible/hair/human/shared_hair_human_male_s13.iff');
INSERT INTO `template_items` VALUES ('116', 'object/tangible/deed/pet_deed/shared_vesp_deed.iff');
INSERT INTO `template_items` VALUES ('117', 'object/tangible/component/base/shared_base_electronic_component.iff');
INSERT INTO `template_items` VALUES ('118', 'object/tangible/ship/components/reactor/shared_rct_seinar_level1.iff');
INSERT INTO `template_items` VALUES ('119', 'object/tangible/deed/pet_deed/shared_bearded_jax_deed.iff');
INSERT INTO `template_items` VALUES ('120', 'object/tangible/ship/crafted/weapon/shared_min_damage_intensifier_mk5.iff');
INSERT INTO `template_items` VALUES ('121', 'object/tangible/lair/snorbal_hill/shared_lair_snorbal_hill.iff');
INSERT INTO `template_items` VALUES ('122', 'object/tangible/ship/crafted/capacitor/shared_quick_recharge_battery_mk4.iff');
INSERT INTO `template_items` VALUES ('123', 'object/tangible/ship/components/engine/shared_eng_moncal_ifs32.iff');
INSERT INTO `template_items` VALUES ('124', 'object/tangible/ship/components/booster/shared_bst_corellian_standard_thrust_enhancer.iff');
INSERT INTO `template_items` VALUES ('125', 'object/tangible/ship/crafted/droid_interface/shared_maintenance_reduction_kit_mk1.iff');
INSERT INTO `template_items` VALUES ('126', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon1_s02.iff');
INSERT INTO `template_items` VALUES ('127', 'object/tangible/container/loot/shared_astromech_container.iff');
INSERT INTO `template_items` VALUES ('128', 'object/tangible/item/quest/force_sensitive/shared_fs_sculpture_3.iff');
INSERT INTO `template_items` VALUES ('129', 'object/tangible/component/droid/shared_data_storage_module_base.iff');
INSERT INTO `template_items` VALUES ('130', 'object/tangible/spawning/shared_spawn_egg.iff');
INSERT INTO `template_items` VALUES ('131', 'object/tangible/medicine/crafted/shared_medpack_wound_health_d.iff');
INSERT INTO `template_items` VALUES ('132', 'object/tangible/hair/trandoshan/base/shared_hair_trandoshan_male_base.iff');
INSERT INTO `template_items` VALUES ('133', 'object/tangible/ship/attachment/weapon/shared_blacksun_medium_weapon1_s01.iff');
INSERT INTO `template_items` VALUES ('134', 'object/tangible/terminal/base/shared_base_terminal.iff');
INSERT INTO `template_items` VALUES ('135', 'object/tangible/ship/components/droid_interface/shared_ddi_sorosuub_rad_mk2.iff');
INSERT INTO `template_items` VALUES ('136', 'object/tangible/ship/components/weapon/shared_wpn_kessel_rebel_riiz_combine_slammer_cannon.iff');
INSERT INTO `template_items` VALUES ('137', 'object/tangible/ship/components/weapon/shared_wpn_gyrhil_auto_blaster.iff');
INSERT INTO `template_items` VALUES ('138', 'object/tangible/ship/components/chassis/shared_awing_chassis_token.iff');
INSERT INTO `template_items` VALUES ('139', 'object/tangible/vendor/shared_vendor_terminal_standard.iff');
INSERT INTO `template_items` VALUES ('140', 'object/tangible/wearables/armor/ithorian_guardian/shared_ith_armor_s02_leggings.iff');
INSERT INTO `template_items` VALUES ('141', 'object/tangible/mission/quest_item/shared_power_regulator.iff');
INSERT INTO `template_items` VALUES ('142', 'object/tangible/furniture/decorative/shared_tanning_hide_s01.iff');
INSERT INTO `template_items` VALUES ('143', 'object/tangible/ship/components/shield_generator/shared_shd_incom_mark2.iff');
INSERT INTO `template_items` VALUES ('144', 'object/tangible/lair/faa/shared_lair_faa_underwater.iff');
INSERT INTO `template_items` VALUES ('145', 'object/tangible/ship/components/shield_generator/shared_shd_unknown_holosteel_x1.iff');
INSERT INTO `template_items` VALUES ('146', 'object/tangible/ship/components/booster/shared_bst_corellian_advanced_thrust_enhancer.iff');
INSERT INTO `template_items` VALUES ('147', 'object/tangible/deed/event_perk/shared_atat_static_deed.iff');
INSERT INTO `template_items` VALUES ('148', 'object/tangible/food/spice/shared_spice_crash_n_burn.iff');
INSERT INTO `template_items` VALUES ('149', 'object/tangible/wearables/jacket/shared_jacket_s03.iff');
INSERT INTO `template_items` VALUES ('150', 'object/tangible/loot/collectible/collectible_parts/shared_gong_skin_front.iff');
INSERT INTO `template_items` VALUES ('151', 'object/tangible/component/weapon/shared_geonosian_power_cube_red.iff');
INSERT INTO `template_items` VALUES ('152', 'object/tangible/deed/corellia/player_house_deed/shared_corellia_house_large_deed.iff');
INSERT INTO `template_items` VALUES ('153', 'object/tangible/ship/components/weapon/shared_wpn_rendili_fr9_disruptor.iff');
INSERT INTO `template_items` VALUES ('154', 'object/tangible/ship/components/chassis/shared_blacksun_heavy_s02_chassis_token.iff');
INSERT INTO `template_items` VALUES ('155', 'object/tangible/wearables/pants/shared_pants_s31.iff');
INSERT INTO `template_items` VALUES ('156', 'object/tangible/sign/municipal/shared_municipal_sign_hanging_hotel.iff');
INSERT INTO `template_items` VALUES ('157', 'object/tangible/component/chemistry/shared_resilience_compound_advanced.iff');
INSERT INTO `template_items` VALUES ('158', 'object/tangible/lair/zucca_boar/shared_lair_zucca_boar_wasteland.iff');
INSERT INTO `template_items` VALUES ('159', 'object/tangible/ship/crafted/weapon/missile/shared_countermeasure_microchaff_pack.iff');
INSERT INTO `template_items` VALUES ('160', 'object/tangible/medicine/shared_medpack_enhance_health.iff');
INSERT INTO `template_items` VALUES ('161', 'object/tangible/mission/quest_item/shared_indintra_imbru_yerevan_q1_needed.iff');
INSERT INTO `template_items` VALUES ('162', 'object/tangible/ship/attachment/wing/shared_kse_firespray_struct_s02.iff');
INSERT INTO `template_items` VALUES ('163', 'object/tangible/painting/shared_painting_dance_party.iff');
INSERT INTO `template_items` VALUES ('164', 'object/tangible/mission/quest_item/shared_bren_kingal_q2_needed.iff');
INSERT INTO `template_items` VALUES ('165', 'object/tangible/ship/components/weapon_capacitor/shared_cap_kessel_imperial_rendili_hyperbattery.iff');
INSERT INTO `template_items` VALUES ('166', 'object/tangible/firework/shared_firework_s18.iff');
INSERT INTO `template_items` VALUES ('167', 'object/tangible/lair/qurvel/shared_lair_qurvel_forest.iff');
INSERT INTO `template_items` VALUES ('168', 'object/tangible/wearables/skirt/shared_skirt_s07.iff');
INSERT INTO `template_items` VALUES ('169', 'object/tangible/wearables/armor/kashyyykian_ceremonial/shared_armor_kashyyykian_ceremonial_bracer_l.iff');
INSERT INTO `template_items` VALUES ('170', 'object/tangible/wearables/belt/shared_belt_s03.iff');
INSERT INTO `template_items` VALUES ('171', 'object/tangible/ship/components/armor/shared_arm_moncal_advanced_weave.iff');
INSERT INTO `template_items` VALUES ('172', 'object/tangible/ship/components/reactor/shared_rct_kessel_rebel_mandal_modified_gorax.iff');
INSERT INTO `template_items` VALUES ('173', 'object/tangible/ship/attachment/wing/shared_bwing_wing_l.iff');
INSERT INTO `template_items` VALUES ('174', 'object/tangible/ship/crafted/engine/shared_engine_overdriver_mk1.iff');
INSERT INTO `template_items` VALUES ('175', 'object/tangible/component/item/quest_item/shared_loop_auditor.iff');
INSERT INTO `template_items` VALUES ('176', 'object/tangible/painting/shared_painting_zabrak_m.iff');
INSERT INTO `template_items` VALUES ('177', 'object/tangible/ship/crafted/weapon/shared_max_damage_intensifier_mk3.iff');
INSERT INTO `template_items` VALUES ('178', 'object/tangible/mission/quest_item/shared_figrindan_q3_needed.iff');
INSERT INTO `template_items` VALUES ('179', 'object/tangible/ship/components/engine/shared_eng_sfs_imperial_5.iff');
INSERT INTO `template_items` VALUES ('180', 'object/tangible/hair/bothan/shared_hair_bothan_female_s06.iff');
INSERT INTO `template_items` VALUES ('181', 'object/tangible/ship/crafted/chassis/shared_hutt_light_s01_deed.iff');
INSERT INTO `template_items` VALUES ('182', 'object/tangible/terminal/shared_terminal_elevator_up.iff');
INSERT INTO `template_items` VALUES ('183', 'object/tangible/ship/components/engine/shared_eng_mission_reward_imperial_cygnus_megadrive.iff');
INSERT INTO `template_items` VALUES ('184', 'object/tangible/mission/quest_item/shared_kitster_banai_q5_needed.iff');
INSERT INTO `template_items` VALUES ('185', 'object/tangible/deed/player_house_deed/shared_tatooine_house_large_deed.iff');
INSERT INTO `template_items` VALUES ('186', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s02.iff');
INSERT INTO `template_items` VALUES ('187', 'object/tangible/ship/crafted/reactor/shared_reactor_limiter_mk1.iff');
INSERT INTO `template_items` VALUES ('188', 'object/tangible/wearables/necklace/shared_necklace_opulent_cameo.iff');
INSERT INTO `template_items` VALUES ('189', 'object/tangible/ship/components/weapon_capacitor/shared_cap_rss_imperial_1.iff');
INSERT INTO `template_items` VALUES ('190', 'object/tangible/component/weapon/shared_weapon_ee3_stock.iff');
INSERT INTO `template_items` VALUES ('191', 'object/tangible/medicine/shared_test_fire_blanket.iff');
INSERT INTO `template_items` VALUES ('192', 'object/tangible/mission/quest_item/shared_lx466_q2_needed.iff');
INSERT INTO `template_items` VALUES ('193', 'object/tangible/beta/shared_beta_terminal_wound.iff');
INSERT INTO `template_items` VALUES ('194', 'object/tangible/deed/pet_deed/shared_kwi_deed.iff');
INSERT INTO `template_items` VALUES ('195', 'object/tangible/ship/components/booster/shared_bst_moncal_limited_jlc37.iff');
INSERT INTO `template_items` VALUES ('196', 'object/tangible/ship/attachment/booster/shared_awing_booster_s02.iff');
INSERT INTO `template_items` VALUES ('197', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_m_s07_lg.iff');
INSERT INTO `template_items` VALUES ('198', 'object/tangible/painting/shared_painting_palowick_ad_s04.iff');
INSERT INTO `template_items` VALUES ('199', 'object/tangible/food/crafted/shared_dessert_pkneb.iff');
INSERT INTO `template_items` VALUES ('200', 'object/tangible/hair/rodian/shared_hair_rodian_male_s04.iff');
INSERT INTO `template_items` VALUES ('201', 'object/tangible/hair/bothan/shared_hair_bothan_male_s19.iff');
INSERT INTO `template_items` VALUES ('202', 'object/tangible/loot/misc/shared_loot_skull_ithorian.iff');
INSERT INTO `template_items` VALUES ('203', 'object/tangible/wearables/ithorian/shared_ith_belt_s07.iff');
INSERT INTO `template_items` VALUES ('204', 'object/tangible/lair/scurrier/shared_lair_scurrier_dune.iff');
INSERT INTO `template_items` VALUES ('205', 'object/tangible/lair/gulginaw/shared_lair_gulginaw.iff');
INSERT INTO `template_items` VALUES ('206', 'object/tangible/wearables/apron/shared_apron_s01.iff');
INSERT INTO `template_items` VALUES ('207', 'object/tangible/ship/crafted/shields/shared_standard_projector_unit.iff');
INSERT INTO `template_items` VALUES ('208', 'object/tangible/loot/loot_schematic/shared_gambling_table_schematic.iff');
INSERT INTO `template_items` VALUES ('209', 'object/tangible/lair/squall/shared_lair_squall.iff');
INSERT INTO `template_items` VALUES ('210', 'object/tangible/medicine/crafted/shared_medpack_cure_disease_area_a.iff');
INSERT INTO `template_items` VALUES ('211', 'object/tangible/lair/krayt_dragon/shared_lair_krayt_dragon.iff');
INSERT INTO `template_items` VALUES ('212', 'object/tangible/ship/components/weapon/shared_wpn_incom_seismic_missile_s01.iff');
INSERT INTO `template_items` VALUES ('213', 'object/tangible/mission/quest_item/shared_haleen_snowline_q1_needed.iff');
INSERT INTO `template_items` VALUES ('214', 'object/tangible/hair/singing_mountain_clan/shared_hair_singing_mountain_clan_s03.iff');
INSERT INTO `template_items` VALUES ('215', 'object/tangible/powerup/weapon/shared_ranged_barrel.iff');
INSERT INTO `template_items` VALUES ('216', 'object/tangible/ship/components/weapon_capacitor/shared_cap_kse_mk4.iff');
INSERT INTO `template_items` VALUES ('217', 'object/tangible/medicine/crafted/shared_medpack_enhance_disease_b.iff');
INSERT INTO `template_items` VALUES ('218', 'object/tangible/loot/loot_schematic/shared_metal_recycler_schematic.iff');
INSERT INTO `template_items` VALUES ('219', 'object/tangible/ship/crafted/weapon/shared_wpn_light_ioncannon.iff');
INSERT INTO `template_items` VALUES ('220', 'object/tangible/furniture/all/shared_frn_all_data_terminal_wall_s3.iff');
INSERT INTO `template_items` VALUES ('221', 'object/tangible/mission/quest_item/shared_crev_bombaasa_q2_needed.iff');
INSERT INTO `template_items` VALUES ('222', 'object/tangible/loot/misc/shared_speaker_s01.iff');
INSERT INTO `template_items` VALUES ('223', 'object/tangible/ship/components/armor/shared_arm_subpro_supreme_plastisteel.iff');
INSERT INTO `template_items` VALUES ('224', 'object/tangible/component/clothing/shared_reinforced_fiber_panels.iff');
INSERT INTO `template_items` VALUES ('225', 'object/tangible/wearables/shoes/shared_shoes_s02.iff');
INSERT INTO `template_items` VALUES ('226', 'object/tangible/wearables/ithorian/shared_ith_shirt_s14.iff');
INSERT INTO `template_items` VALUES ('227', 'object/tangible/wearables/wookiee/shared_wke_hat_s01.iff');
INSERT INTO `template_items` VALUES ('228', 'object/tangible/loot/plant_grow/shared_plant_stage_2.iff');
INSERT INTO `template_items` VALUES ('229', 'object/tangible/loot/quest/shared_ardanium_ii.iff');
INSERT INTO `template_items` VALUES ('230', 'object/tangible/deed/city_deed/shared_garden_tatooine_med_01_deed.iff');
INSERT INTO `template_items` VALUES ('231', 'object/tangible/component/vehicle/shared_veh_power_plant_mk3.iff');
INSERT INTO `template_items` VALUES ('232', 'object/tangible/ship/crafted/booster/shared_extended_life_fuel_cell_mk5.iff');
INSERT INTO `template_items` VALUES ('233', 'object/tangible/ship/components/weapon/shared_wpn_hk_scorcher_elite.iff');
INSERT INTO `template_items` VALUES ('234', 'object/tangible/lair/demo/shared_lair_demo.iff');
INSERT INTO `template_items` VALUES ('235', 'object/tangible/ship/attachment/weapon/shared_awing_weapon_s02.iff');
INSERT INTO `template_items` VALUES ('236', 'object/tangible/lair/flit/shared_lair_flit.iff');
INSERT INTO `template_items` VALUES ('237', 'object/tangible/wearables/armor/bounty_hunter/shared_armor_bounty_hunter_belt.iff');
INSERT INTO `template_items` VALUES ('238', 'object/tangible/lair/sharnaff/shared_lair_sharnaff_forest.iff');
INSERT INTO `template_items` VALUES ('239', 'object/tangible/lair/boar_wolf/shared_lair_boar_wolf_mountain.iff');
INSERT INTO `template_items` VALUES ('240', 'object/tangible/lair/merek/shared_lair_merek.iff');
INSERT INTO `template_items` VALUES ('241', 'object/tangible/skill_buff/base/shared_skill_buff_base.iff');
INSERT INTO `template_items` VALUES ('242', 'object/tangible/food/crafted/shared_dessert_nanana_twist.iff');
INSERT INTO `template_items` VALUES ('243', 'object/tangible/lair/structure/interior/shared_lair_hive_medium_interior_merek.iff');
INSERT INTO `template_items` VALUES ('244', 'object/tangible/hair/human/shared_hair_human_male_s27.iff');
INSERT INTO `template_items` VALUES ('245', 'object/tangible/lair/rock_mite/shared_lair_rock_mite_mountain.iff');
INSERT INTO `template_items` VALUES ('246', 'object/tangible/ship/crafted/reverse_engineering/shared_booster_analysis_tool.iff');
INSERT INTO `template_items` VALUES ('247', 'object/tangible/mission/quest_item/shared_figrindan_q1_needed.iff');
INSERT INTO `template_items` VALUES ('248', 'object/tangible/camp/shared_camp_pavilion_s2.iff');
INSERT INTO `template_items` VALUES ('249', 'object/tangible/wearables/ithorian/shared_ith_bodysuit_s04.iff');
INSERT INTO `template_items` VALUES ('250', 'object/tangible/ship/crafted/weapon/shared_wpn_advanced_disruptor.iff');
INSERT INTO `template_items` VALUES ('251', 'object/tangible/space/special_loot/shared_firespray_schematic_part2.iff');
INSERT INTO `template_items` VALUES ('252', 'object/tangible/ship/components/armor/shared_arm_mandal_insulated_i7.iff');
INSERT INTO `template_items` VALUES ('253', 'object/tangible/ship/components/engine/shared_engine_qualdex_igt.iff');
INSERT INTO `template_items` VALUES ('254', 'object/tangible/ship/components/reactor/shared_rct_kessel_imperial_sfs_special_forces.iff');
INSERT INTO `template_items` VALUES ('255', 'object/tangible/ship/components/armor/shared_arm_reward_baktoid_elite.iff');
INSERT INTO `template_items` VALUES ('256', 'object/tangible/deed/event_perk/shared_lok_flag_deed.iff');
INSERT INTO `template_items` VALUES ('257', 'object/tangible/ship/components/engine/shared_eng_sds_imperial_1.iff');
INSERT INTO `template_items` VALUES ('258', 'object/tangible/lair/gubbur/shared_lair_gubbur_underwater.iff');
INSERT INTO `template_items` VALUES ('259', 'object/tangible/furniture/modern/shared_rug_rnd_lg_s01.iff');
INSERT INTO `template_items` VALUES ('260', 'object/tangible/ship/components/armor/shared_arm_mandal_composite_j7.iff');
INSERT INTO `template_items` VALUES ('261', 'object/tangible/loot/simple_kit/shared_flat_canvas.iff');
INSERT INTO `template_items` VALUES ('262', 'object/tangible/ship/components/booster/shared_bst_kuat_military_mk2.iff');
INSERT INTO `template_items` VALUES ('263', 'object/tangible/poi/base/shared_poi_base_nosnap.iff');
INSERT INTO `template_items` VALUES ('264', 'object/tangible/lair/base/shared_poi_all_lair_nest_small_fog_red.iff');
INSERT INTO `template_items` VALUES ('265', 'object/tangible/lair/binjinphant/shared_lair_binjinphant_forest.iff');
INSERT INTO `template_items` VALUES ('266', 'object/tangible/component/droid/shared_data_storage_module_4.iff');
INSERT INTO `template_items` VALUES ('267', 'object/tangible/loot/collectible/collectible_parts/shared_blue_rug_patches.iff');
INSERT INTO `template_items` VALUES ('268', 'object/tangible/food/crafted/shared_dish_bivoli_tempari.iff');
INSERT INTO `template_items` VALUES ('269', 'object/tangible/sign/shared_tatooine_moraj_marker.iff');
INSERT INTO `template_items` VALUES ('270', 'object/tangible/ship/components/armor/shared_arm_koensayr_promotional_b9_durasteel.iff');
INSERT INTO `template_items` VALUES ('271', 'object/tangible/wearables/dress/shared_dress_s34.iff');
INSERT INTO `template_items` VALUES ('272', 'object/tangible/wearables/armor/marine/shared_armor_marine_boots.iff');
INSERT INTO `template_items` VALUES ('273', 'object/tangible/wearables/backpack/shared_backpack_s06.iff');
INSERT INTO `template_items` VALUES ('274', 'object/tangible/wearables/base/shared_base_ear_both.iff');
INSERT INTO `template_items` VALUES ('275', 'object/tangible/medicine/crafted/shared_medpack_disease_health_b.iff');
INSERT INTO `template_items` VALUES ('276', 'object/tangible/ship/components/shield_generator/shared_shd_cygnus_improved_mk2.iff');
INSERT INTO `template_items` VALUES ('277', 'object/tangible/deed/pet_deed/shared_mott_deed.iff');
INSERT INTO `template_items` VALUES ('278', 'object/tangible/ship/components/booster/shared_bst_sfs_imperial_1.iff');
INSERT INTO `template_items` VALUES ('279', 'object/tangible/painting/shared_painting_rodian_m.iff');
INSERT INTO `template_items` VALUES ('280', 'object/tangible/loot/collectible/collectible_parts/shared_sculpture_structure_06.iff');
INSERT INTO `template_items` VALUES ('281', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_imperial_rescue_03.iff');
INSERT INTO `template_items` VALUES ('282', 'object/tangible/ship/components/droid_interface/shared_ddi_moncal_dk4.iff');
INSERT INTO `template_items` VALUES ('283', 'object/tangible/ship/components/booster/shared_bst_incom_intimidator_mk2.iff');
INSERT INTO `template_items` VALUES ('284', 'object/tangible/hair/sullustan/shared_sul_hair_s07_f.iff');
INSERT INTO `template_items` VALUES ('285', 'object/tangible/component/droid/shared_combat_socket_bank.iff');
INSERT INTO `template_items` VALUES ('286', 'object/tangible/lair/flite_rasp_hill/shared_lair_flite_rasp_hill.iff');
INSERT INTO `template_items` VALUES ('287', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_female_s08.iff');
INSERT INTO `template_items` VALUES ('288', 'object/tangible/lair/base/shared_poi_all_lair_garbage_large_evil_fire_red.iff');
INSERT INTO `template_items` VALUES ('289', 'object/tangible/ship/components/shield_generator/shared_shd_armek_plasma_shell_s6.iff');
INSERT INTO `template_items` VALUES ('290', 'object/tangible/lair/bolma/shared_lair_bolma_dune.iff');
INSERT INTO `template_items` VALUES ('291', 'object/tangible/wearables/bodysuit/shared_bodysuit_tie_fighter_quest.iff');
INSERT INTO `template_items` VALUES ('292', 'object/tangible/component/armor/shared_armor_segment_enhancement_janta.iff');
INSERT INTO `template_items` VALUES ('293', 'object/tangible/furniture/all/shared_frn_all_lamp_candlestick_free_s02.iff');
INSERT INTO `template_items` VALUES ('294', 'object/tangible/lair/base/shared_poi_all_lair_insecthill_small_fog_mustard.iff');
INSERT INTO `template_items` VALUES ('295', 'object/tangible/wearables/necklace/shared_necklace_s05.iff');
INSERT INTO `template_items` VALUES ('296', 'object/tangible/lair/base/shared_poi_all_lair_mound_small_fog_red.iff');
INSERT INTO `template_items` VALUES ('297', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_neg_s02_0.iff');
INSERT INTO `template_items` VALUES ('298', 'object/tangible/furniture/elegant/shared_couch_s01.iff');
INSERT INTO `template_items` VALUES ('299', 'object/tangible/wearables/ring/shared_ring_nightsister.iff');
INSERT INTO `template_items` VALUES ('300', 'object/tangible/ship/components/armor/shared_armor_mandal_composite_j14.iff');
INSERT INTO `template_items` VALUES ('301', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s02_bicep_l.iff');
INSERT INTO `template_items` VALUES ('302', 'object/tangible/lair/falumpaset/shared_lair_falumpaset_swamp.iff');
INSERT INTO `template_items` VALUES ('303', 'object/tangible/wearables/vest/shared_vest_s15.iff');
INSERT INTO `template_items` VALUES ('304', 'object/tangible/loot/loot_schematic/shared_tanning_hide_s01_schematic.iff');
INSERT INTO `template_items` VALUES ('305', 'object/tangible/ship/components/weapon_capacitor/shared_cap_tiefighter_basic.iff');
INSERT INTO `template_items` VALUES ('306', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_imagerec_missile_mk1.iff');
INSERT INTO `template_items` VALUES ('307', 'object/tangible/item/new_player/shared_new_player_travel_coupon.iff');
INSERT INTO `template_items` VALUES ('308', 'object/tangible/loot/collectible/collectible_parts/shared_gong_structure_01.iff');
INSERT INTO `template_items` VALUES ('309', 'object/tangible/food/crafted/shared_dish_patot_panak.iff');
INSERT INTO `template_items` VALUES ('310', 'object/tangible/wearables/ithorian/shared_ith_jacket_s12.iff');
INSERT INTO `template_items` VALUES ('311', 'object/tangible/datapad/shared_droid_datapad_2.iff');
INSERT INTO `template_items` VALUES ('312', 'object/tangible/hair/sullustan/shared_sul_hair_s08_m.iff');
INSERT INTO `template_items` VALUES ('313', 'object/tangible/wearables/pants/shared_pants_s05.iff');
INSERT INTO `template_items` VALUES ('314', 'object/tangible/component/vehicle/shared_storage_bay.iff');
INSERT INTO `template_items` VALUES ('315', 'object/tangible/food/spice/shared_spice_yarrock.iff');
INSERT INTO `template_items` VALUES ('316', 'object/tangible/ship/crafted/chassis/shared_awing_deed.iff');
INSERT INTO `template_items` VALUES ('317', 'object/tangible/lair/sharnaff/shared_lair_sharnaff.iff');
INSERT INTO `template_items` VALUES ('318', 'object/tangible/loot/tool/shared_viewscreen_broken_s2.iff');
INSERT INTO `template_items` VALUES ('319', 'object/tangible/instrument/shared_fizz.iff');
INSERT INTO `template_items` VALUES ('320', 'object/tangible/medicine/crafted/shared_medpack_disease_area_willpower_c.iff');
INSERT INTO `template_items` VALUES ('321', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon_neg_s02_0.iff');
INSERT INTO `template_items` VALUES ('322', 'object/tangible/wearables/base/shared_base_gauntlets_long.iff');
INSERT INTO `template_items` VALUES ('323', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_pos_s04_1.iff');
INSERT INTO `template_items` VALUES ('324', 'object/tangible/painting/shared_painting_smoking_ad.iff');
INSERT INTO `template_items` VALUES ('325', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon1_s03.iff');
INSERT INTO `template_items` VALUES ('326', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_lg_s04.iff');
INSERT INTO `template_items` VALUES ('327', 'object/tangible/lair/hermit_spider/shared_lair_hermit_spider_mountain.iff');
INSERT INTO `template_items` VALUES ('328', 'object/tangible/food/crafted/shared_dish_xermaauc.iff');
INSERT INTO `template_items` VALUES ('329', 'object/tangible/ship/components/chassis/shared_decimator_chassis_token.iff');
INSERT INTO `template_items` VALUES ('330', 'object/tangible/component/armor/shared_armor_layer_stun.iff');
INSERT INTO `template_items` VALUES ('331', 'object/tangible/furniture/plain/shared_plain_bookcase_s01.iff');
INSERT INTO `template_items` VALUES ('332', 'object/tangible/ship/components/armor/shared_arm_freitek_deluxe_light.iff');
INSERT INTO `template_items` VALUES ('333', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s01_bracer_l.iff');
INSERT INTO `template_items` VALUES ('334', 'object/tangible/ship/components/shield_generator/shared_shd_sfs_advanced.iff');
INSERT INTO `template_items` VALUES ('335', 'object/tangible/loot/loot_schematic/shared_death_watch_bounty_hunter_leggings_schematic.iff');
INSERT INTO `template_items` VALUES ('336', 'object/tangible/lair/piket/shared_lair_piket.iff');
INSERT INTO `template_items` VALUES ('337', 'object/tangible/component/food/shared_container_barrel.iff');
INSERT INTO `template_items` VALUES ('338', 'object/tangible/hair/rodian/shared_hair_rodian_female_s20.iff');
INSERT INTO `template_items` VALUES ('339', 'object/tangible/loot/collectible/collectible_parts/shared_orange_rug_thread_02.iff');
INSERT INTO `template_items` VALUES ('340', 'object/tangible/ship/components/booster/shared_bst_subpro_accelatron_mk2.iff');
INSERT INTO `template_items` VALUES ('341', 'object/tangible/droid_battery/shared_battery.iff');
INSERT INTO `template_items` VALUES ('342', 'object/tangible/ship/crafted/weapon/shared_wpn_experimental_disruptor.iff');
INSERT INTO `template_items` VALUES ('343', 'object/tangible/wearables/armor/bone/shared_armor_bone_s01_bicep_r.iff');
INSERT INTO `template_items` VALUES ('344', 'object/tangible/wearables/gloves/shared_gloves_s07.iff');
INSERT INTO `template_items` VALUES ('345', 'object/tangible/component/weapon/shared_scope_weapon_advanced.iff');
INSERT INTO `template_items` VALUES ('346', 'object/tangible/mission/quest_item/shared_terak_q1_needed.iff');
INSERT INTO `template_items` VALUES ('347', 'object/tangible/wearables/dress/shared_dress_s09.iff');
INSERT INTO `template_items` VALUES ('348', 'object/tangible/wearables/ithorian/shared_ith_backpack_s06.iff');
INSERT INTO `template_items` VALUES ('349', 'object/tangible/component/dna/shared_dna_template_bolle_bol.iff');
INSERT INTO `template_items` VALUES ('350', 'object/tangible/deed/event_perk/shared_dathomir_flag_deed.iff');
INSERT INTO `template_items` VALUES ('351', 'object/tangible/medicine/shared_medpack_sm_s1.iff');
INSERT INTO `template_items` VALUES ('352', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s03_leggings.iff');
INSERT INTO `template_items` VALUES ('353', 'object/tangible/component/structure/shared_lightweight_turret.iff');
INSERT INTO `template_items` VALUES ('354', 'object/tangible/lair/base/shared_poi_all_lair_insecthill_small_evil_fire_red.iff');
INSERT INTO `template_items` VALUES ('355', 'object/tangible/wearables/necklace/shared_necklace_jeweled_pendant.iff');
INSERT INTO `template_items` VALUES ('356', 'object/tangible/ship/crafted/booster/shared_heavy_fuel_cell_mk5.iff');
INSERT INTO `template_items` VALUES ('357', 'object/tangible/ship/components/weapon/shared_wpn_mission_reward_rebel_taim_ion_driver.iff');
INSERT INTO `template_items` VALUES ('358', 'object/tangible/component/bio/shared_base_bio_component_clothing_casual.iff');
INSERT INTO `template_items` VALUES ('359', 'object/tangible/medicine/crafted/shared_medpack_disease_area_strength_b.iff');
INSERT INTO `template_items` VALUES ('360', 'object/tangible/lair/nuna/shared_lair_nuna_swamp.iff');
INSERT INTO `template_items` VALUES ('361', 'object/tangible/lair/mamien/shared_lair_mamien_jungle.iff');
INSERT INTO `template_items` VALUES ('362', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_neg_s03_1.iff');
INSERT INTO `template_items` VALUES ('363', 'object/tangible/wearables/base/shared_base_shirt.iff');
INSERT INTO `template_items` VALUES ('364', 'object/tangible/food/base/shared_drink_base.iff');
INSERT INTO `template_items` VALUES ('365', 'object/tangible/medicine/crafted/shared_medpack_poison_mind_a.iff');
INSERT INTO `template_items` VALUES ('366', 'object/tangible/mission/quest_item/shared_jatrian_lytus_q3_needed.iff');
INSERT INTO `template_items` VALUES ('367', 'object/tangible/component/food/shared_container_cask.iff');
INSERT INTO `template_items` VALUES ('368', 'object/tangible/ship/components/engine/shared_eng_koensayr_tuned_small_ionjet.iff');
INSERT INTO `template_items` VALUES ('369', 'object/tangible/ship/components/reactor/shared_rct_incom_mark3.iff');
INSERT INTO `template_items` VALUES ('370', 'object/tangible/lair/base/shared_poi_all_lair_garbage_small_fog_red.iff');
INSERT INTO `template_items` VALUES ('371', 'object/tangible/deed/city_deed/shared_garden_tatooine_med_03_deed.iff');
INSERT INTO `template_items` VALUES ('372', 'object/tangible/component/droid/shared_crafting_module_weapon.iff');
INSERT INTO `template_items` VALUES ('373', 'object/tangible/container/drum/shared_large_plain_crate_s04.iff');
INSERT INTO `template_items` VALUES ('374', 'object/tangible/ship/attachment/wing/shared_blacksun_medium_wing_s02.iff');
INSERT INTO `template_items` VALUES ('375', 'object/tangible/component/dna/shared_dna_template_zucca_boar.iff');
INSERT INTO `template_items` VALUES ('376', 'object/tangible/lair/base/shared_poi_all_lair_leaf_large.iff');
INSERT INTO `template_items` VALUES ('377', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_pos_s05_0.iff');
INSERT INTO `template_items` VALUES ('378', 'object/tangible/painting/shared_painting_bioengineer_orange.iff');
INSERT INTO `template_items` VALUES ('379', 'object/tangible/ship/crafted/weapon/shared_wpn_medium_disruptor.iff');
INSERT INTO `template_items` VALUES ('380', 'object/tangible/space/content_infrastructure/shared_basic_patrol_point.iff');
INSERT INTO `template_items` VALUES ('381', 'object/tangible/terminal/shared_terminal_bestine_quests_01.iff');
INSERT INTO `template_items` VALUES ('382', 'object/tangible/deed/player_house_deed/shared_corellia_house_large_style_02_deed.iff');
INSERT INTO `template_items` VALUES ('383', 'object/tangible/wearables/shirt/shared_shirt_s16.iff');
INSERT INTO `template_items` VALUES ('384', 'object/tangible/medicine/crafted/shared_medpack_enhance_constitution_d.iff');
INSERT INTO `template_items` VALUES ('385', 'object/tangible/mission/quest_item/shared_indintra_imbru_yerevan_q2_needed.iff');
INSERT INTO `template_items` VALUES ('386', 'object/tangible/ship/attachment/weapon/shared_z95_weapon_s01.iff');
INSERT INTO `template_items` VALUES ('387', 'object/tangible/lair/base/shared_poi_all_lair_wooden_destroyed_evil_fire_red.iff');
INSERT INTO `template_items` VALUES ('388', 'object/tangible/lair/base/shared_poi_all_lair_thicket_large_fog_green.iff');
INSERT INTO `template_items` VALUES ('389', 'object/tangible/loot/misc/shared_inkpen_engraved_s01.iff');
INSERT INTO `template_items` VALUES ('390', 'object/tangible/treasure_map/shared_treasure_map_quest.iff');
INSERT INTO `template_items` VALUES ('391', 'object/tangible/mission/quest_item/shared_bren_kingal_q1_needed.iff');
INSERT INTO `template_items` VALUES ('392', 'object/tangible/droid/shared_droid_space_memory_module_1.iff');
INSERT INTO `template_items` VALUES ('393', 'object/tangible/wearables/armor/kashyyykian_hunting/shared_armor_kashyyykian_hunting_bracer_r.iff');
INSERT INTO `template_items` VALUES ('394', 'object/tangible/ship/components/weapon_capacitor/shared_cap_subpro_gallant_a1.iff');
INSERT INTO `template_items` VALUES ('395', 'object/tangible/hair/sullustan/shared_sul_hair_s05_m.iff');
INSERT INTO `template_items` VALUES ('396', 'object/tangible/firework/shared_firework_s11.iff');
INSERT INTO `template_items` VALUES ('397', 'object/tangible/terminal/shared_terminal_command_console.iff');
INSERT INTO `template_items` VALUES ('398', 'object/tangible/lair/base/shared_poi_all_lair_mound_small_evil_fire_small.iff');
INSERT INTO `template_items` VALUES ('399', 'object/tangible/component/droid/shared_merchant_base.iff');
INSERT INTO `template_items` VALUES ('400', 'object/tangible/medicine/crafted/shared_medpack_cure_disease_c.iff');
INSERT INTO `template_items` VALUES ('401', 'object/tangible/mission/quest_item/shared_warren_passkey_s04.iff');
INSERT INTO `template_items` VALUES ('402', 'object/tangible/furniture/decorative/shared_foodcart.iff');
INSERT INTO `template_items` VALUES ('403', 'object/tangible/wearables/boots/shared_boots_s22.iff');
INSERT INTO `template_items` VALUES ('404', 'object/tangible/terminal/shared_terminal_jukebox.iff');
INSERT INTO `template_items` VALUES ('405', 'object/tangible/ship/components/armor/shared_arm_mission_reward_neutral_kse_handcrafted.iff');
INSERT INTO `template_items` VALUES ('406', 'object/tangible/ship/components/droid_interface/shared_ddi_sds_imperial_3.iff');
INSERT INTO `template_items` VALUES ('407', 'object/tangible/ship/components/weapon_capacitor/shared_cap_unknown_experimental.iff');
INSERT INTO `template_items` VALUES ('408', 'object/tangible/ship/attachment/weapon/shared_kse_firespray_weapon2_s04.iff');
INSERT INTO `template_items` VALUES ('409', 'object/tangible/wearables/armor/stormtrooper/shared_armor_stormtrooper_chest_plate.iff');
INSERT INTO `template_items` VALUES ('410', 'object/tangible/food/crafted/shared_dessert_blob_candy.iff');
INSERT INTO `template_items` VALUES ('411', 'object/tangible/component/weapon/shared_projectile_feed_mechanism_enhancement_gorax.iff');
INSERT INTO `template_items` VALUES ('412', 'object/tangible/lair/base/shared_poi_all_lair_leaf_small_evil_fire_green.iff');
INSERT INTO `template_items` VALUES ('413', 'object/tangible/loot/collectible/collectible_parts/shared_blue_rug_thread_03.iff');
INSERT INTO `template_items` VALUES ('414', 'object/tangible/survey_tool/shared_survey_tool_all.iff');
INSERT INTO `template_items` VALUES ('415', 'object/tangible/lair/base/shared_poi_all_lair_thicket_large_fog_mustard.iff');
INSERT INTO `template_items` VALUES ('416', 'object/tangible/furniture/all/shared_event_flag_game_reb_banner.iff');
INSERT INTO `template_items` VALUES ('417', 'object/tangible/medicine/crafted/shared_medpack_grenade_damage_a.iff');
INSERT INTO `template_items` VALUES ('418', 'object/tangible/hair/bothan/shared_hair_bothan_male_s10.iff');
INSERT INTO `template_items` VALUES ('419', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s04.iff');
INSERT INTO `template_items` VALUES ('420', 'object/tangible/ship/attachment/weapon/shared_yt1300_turret_s02.iff');
INSERT INTO `template_items` VALUES ('421', 'object/tangible/ship/components/armor/shared_arm_koensayr_reinforced_b5_durasteel.iff');
INSERT INTO `template_items` VALUES ('422', 'object/tangible/hair/human/shared_hair_human_female_s12.iff');
INSERT INTO `template_items` VALUES ('423', 'object/tangible/component/weapon/shared_blaster_rifle_barrel.iff');
INSERT INTO `template_items` VALUES ('424', 'object/tangible/component/droid/shared_auto_repair_module.iff');
INSERT INTO `template_items` VALUES ('425', 'object/tangible/wearables/earring/shared_earring_s09.iff');
INSERT INTO `template_items` VALUES ('426', 'object/tangible/component/dna/shared_dna_template_choku.iff');
INSERT INTO `template_items` VALUES ('427', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_sm_s07.iff');
INSERT INTO `template_items` VALUES ('428', 'object/tangible/wearables/ithorian/shared_ith_necklace_s07.iff');
INSERT INTO `template_items` VALUES ('429', 'object/tangible/ship/components/chassis/shared_bwing_chassis_token.iff');
INSERT INTO `template_items` VALUES ('430', 'object/tangible/component/instrument/shared_dual_wave_synthesizer.iff');
INSERT INTO `template_items` VALUES ('431', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_neutral_destroy_01.iff');
INSERT INTO `template_items` VALUES ('432', 'object/tangible/furniture/decorative/shared_plain_bowl.iff');
INSERT INTO `template_items` VALUES ('433', 'object/tangible/wearables/ring/shared_ring_s03_quest.iff');
INSERT INTO `template_items` VALUES ('434', 'object/tangible/ship/components/chassis/shared_blacksun_heavy_s03_chassis_token.iff');
INSERT INTO `template_items` VALUES ('435', 'object/tangible/ship/components/weapon_capacitor/shared_cap_corellian_elite.iff');
INSERT INTO `template_items` VALUES ('436', 'object/tangible/deed/pet_deed/shared_sharnaff_deed.iff');
INSERT INTO `template_items` VALUES ('437', 'object/tangible/ship/attachment/weapon/shared_hutt_medium_weapon1_s02.iff');
INSERT INTO `template_items` VALUES ('438', 'object/tangible/ship/attachment/engine/shared_yt1300_engine_s02.iff');
INSERT INTO `template_items` VALUES ('439', 'object/tangible/medicine/crafted/shared_medpack_stunned_b.iff');
INSERT INTO `template_items` VALUES ('440', 'object/tangible/ship/components/engine/shared_eng_kessel_imperial_sds_special_forces.iff');
INSERT INTO `template_items` VALUES ('441', 'object/tangible/painting/shared_painting_bestine_golden_flower_01.iff');
INSERT INTO `template_items` VALUES ('442', 'object/tangible/mission/quest_item/shared_radanthus_mandelatara_q2_needed.iff');
INSERT INTO `template_items` VALUES ('443', 'object/tangible/lair/base/shared_poi_all_lair_wooden_destroyed_fog_mustard.iff');
INSERT INTO `template_items` VALUES ('444', 'object/tangible/mission/quest_item/shared_lilas_dinhint_q2_needed.iff');
INSERT INTO `template_items` VALUES ('445', 'object/tangible/ship/components/reactor/shared_rct_incom_custom_mark2.iff');
INSERT INTO `template_items` VALUES ('446', 'object/tangible/wearables/ithorian/shared_ith_jacket_s02.iff');
INSERT INTO `template_items` VALUES ('447', 'object/tangible/ship/components/reactor/shared_rct_freitek_improved_powerhouse_mk1.iff');
INSERT INTO `template_items` VALUES ('448', 'object/tangible/wearables/vest/shared_vest_s05.iff');
INSERT INTO `template_items` VALUES ('449', 'object/tangible/loot/loot_schematic/shared_basket_closed_schematic.iff');
INSERT INTO `template_items` VALUES ('450', 'object/tangible/mission/quest_item/shared_stella_q3_needed.iff');
INSERT INTO `template_items` VALUES ('451', 'object/tangible/deed/faction_perk/hq/shared_hq_s05.iff');
INSERT INTO `template_items` VALUES ('452', 'object/tangible/component/weapon/shared_reinforcement_core_advanced.iff');
INSERT INTO `template_items` VALUES ('453', 'object/tangible/ship/crafted/capacitor/shared_capacitor_mk1.iff');
INSERT INTO `template_items` VALUES ('454', 'object/tangible/deed/harvester_deed/shared_harvester_gas_deed_heavy.iff');
INSERT INTO `template_items` VALUES ('455', 'object/tangible/ship/components/weapon_capacitor/shared_cap_tiefighter_elite_mk1.iff');
INSERT INTO `template_items` VALUES ('456', 'object/tangible/terminal/shared_terminal_elevator.iff');
INSERT INTO `template_items` VALUES ('457', 'object/tangible/deed/event_perk/shared_crashed_tie_bomber_theater_deed.iff');
INSERT INTO `template_items` VALUES ('458', 'object/tangible/wearables/pants/shared_pants_s15.iff');
INSERT INTO `template_items` VALUES ('459', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_male_s09.iff');
INSERT INTO `template_items` VALUES ('460', 'object/tangible/ship/crafted/engine/shared_engine_limiter_mk2.iff');
INSERT INTO `template_items` VALUES ('461', 'object/tangible/sign/shared_streetsign_upright_style_01.iff');
INSERT INTO `template_items` VALUES ('462', 'object/tangible/lair/base/shared_poi_all_lair_mound_large_evil_fire_small.iff');
INSERT INTO `template_items` VALUES ('463', 'object/tangible/ship/attachment/engine/shared_ywing_engine_s01.iff');
INSERT INTO `template_items` VALUES ('464', 'object/tangible/loot/collectible/collectible_parts/shared_light_table_structure_07.iff');
INSERT INTO `template_items` VALUES ('465', 'object/tangible/component/chemistry/shared_release_mechanism_duration_advanced.iff');
INSERT INTO `template_items` VALUES ('466', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon3_s04.iff');
INSERT INTO `template_items` VALUES ('467', 'object/tangible/food/crafted/additive/shared_additive_medium.iff');
INSERT INTO `template_items` VALUES ('468', 'object/tangible/space/content_infrastructure/shared_basic_spawner.iff');
INSERT INTO `template_items` VALUES ('469', 'object/tangible/lair/base/shared_poi_all_lair_leaf_small_fog_mustard.iff');
INSERT INTO `template_items` VALUES ('470', 'object/tangible/wearables/necklace/shared_necklace_elaborate_necklet.iff');
INSERT INTO `template_items` VALUES ('471', 'object/tangible/wearables/wookiee/shared_wke_lifeday_robe_m.iff');
INSERT INTO `template_items` VALUES ('472', 'object/tangible/medicine/crafted/shared_medpack_enhance_strength_d.iff');
INSERT INTO `template_items` VALUES ('473', 'object/tangible/furniture/all/shared_frn_all_light_lamp_candlestick_tbl_s02_red.iff');
INSERT INTO `template_items` VALUES ('474', 'object/tangible/lair/base/shared_poi_all_lair_bones_large_evil_fire_red.iff');
INSERT INTO `template_items` VALUES ('475', 'object/tangible/furniture/city/shared_fountain_rectangle.iff');
INSERT INTO `template_items` VALUES ('476', 'object/tangible/lair/base/shared_poi_all_lair_garbage_small_fog_gray.iff');
INSERT INTO `template_items` VALUES ('477', 'object/tangible/lair/base/shared_poi_all_lair_leaf_large_evil_fire_green.iff');
INSERT INTO `template_items` VALUES ('478', 'object/tangible/mission/quest_item/shared_mullud_bombo_q1_needed.iff');
INSERT INTO `template_items` VALUES ('479', 'object/tangible/wearables/armor/tantel/shared_armor_tantel_skreej_chest_plate.iff');
INSERT INTO `template_items` VALUES ('480', 'object/tangible/mission/quest_item/shared_ruwan_tokai_q2_needed.iff');
INSERT INTO `template_items` VALUES ('481', 'object/tangible/wearables/armor/padded/shared_armor_padded_s01_helmet.iff');
INSERT INTO `template_items` VALUES ('482', 'object/tangible/wearables/ithorian/shared_ith_pants_s10.iff');
INSERT INTO `template_items` VALUES ('483', 'object/tangible/ship/components/armor/shared_arm_sorosuub_intemediate_plastisteel.iff');
INSERT INTO `template_items` VALUES ('484', 'object/tangible/ship/components/reactor/shared_rct_seinar_enhanced_level1.iff');
INSERT INTO `template_items` VALUES ('485', 'object/tangible/gambling/table/shared_table_base.iff');
INSERT INTO `template_items` VALUES ('486', 'object/tangible/component/droid/shared_manipulator_arm_package_set.iff');
INSERT INTO `template_items` VALUES ('487', 'object/tangible/medicine/crafted/shared_medpack_wound_strength_a.iff');
INSERT INTO `template_items` VALUES ('488', 'object/tangible/component/droid/repair/shared_repair_unit_casing_advanced.iff');
INSERT INTO `template_items` VALUES ('489', 'object/tangible/ship/crafted/engine/shared_base_engine_subcomponent_mk4.iff');
INSERT INTO `template_items` VALUES ('490', 'object/tangible/ship/components/shield_generator/shared_shd_incom_rayshield_z7.iff');
INSERT INTO `template_items` VALUES ('491', 'object/tangible/wearables/armor/ris/shared_armor_ris_bracer_l.iff');
INSERT INTO `template_items` VALUES ('492', 'object/tangible/space/story_loot/shared_loot_dantooine_blacksun2.iff');
INSERT INTO `template_items` VALUES ('493', 'object/tangible/deed/city_deed/shared_garden_corellia_lrg_04_deed.iff');
INSERT INTO `template_items` VALUES ('494', 'object/tangible/ship/components/droid_interface/shared_ddi_seinar_interface_mk4.iff');
INSERT INTO `template_items` VALUES ('495', 'object/tangible/component/dna/shared_dna_sample_very_high.iff');
INSERT INTO `template_items` VALUES ('496', 'object/tangible/wearables/bodysuit/shared_bodysuit_s12.iff');
INSERT INTO `template_items` VALUES ('497', 'object/tangible/medicine/crafted/shared_medpack_enhance_stamina_a.iff');
INSERT INTO `template_items` VALUES ('498', 'object/tangible/hair/human/shared_hair_human_male_s37.iff');
INSERT INTO `template_items` VALUES ('499', 'object/tangible/wearables/hat/shared_hat_twilek_s01.iff');
INSERT INTO `template_items` VALUES ('500', 'object/tangible/loot/misc/shared_loot_krayt_spine2.iff');
INSERT INTO `template_items` VALUES ('501', 'object/tangible/dungeon/shared_keypad_terminal.iff');
INSERT INTO `template_items` VALUES ('502', 'object/tangible/deed/pet_deed/shared_gronda_deed.iff');
INSERT INTO `template_items` VALUES ('503', 'object/tangible/ship/components/booster/shared_bst_corellian_highly_modified_elite_thrust_enhancer.iff');
INSERT INTO `template_items` VALUES ('504', 'object/tangible/ship/crafted/engine/shared_engine_incom_fusialthrust.iff');
INSERT INTO `template_items` VALUES ('505', 'object/tangible/ship/attachment/weapon/shared_blacksun_light_weapon_s02.iff');
INSERT INTO `template_items` VALUES ('506', 'object/tangible/furniture/imperial/shared_warren_evidence_terminal_s03.iff');
INSERT INTO `template_items` VALUES ('507', 'object/tangible/food/base/shared_desert_base.iff');
INSERT INTO `template_items` VALUES ('508', 'object/tangible/shipcontrol/shared_turretcontrol_vt49.iff');
INSERT INTO `template_items` VALUES ('509', 'object/tangible/region/shared_deliver_region_15.iff');
INSERT INTO `template_items` VALUES ('510', 'object/tangible/deed/event_perk/shared_race_droid_deed.iff');
INSERT INTO `template_items` VALUES ('511', 'object/tangible/component/chemistry/shared_rancor_bile.iff');
INSERT INTO `template_items` VALUES ('512', 'object/tangible/furniture/jedi/shared_frn_all_dark_chair_s02.iff');
INSERT INTO `template_items` VALUES ('513', 'object/tangible/loot/misc/shared_majestic_rug.iff');
INSERT INTO `template_items` VALUES ('514', 'object/tangible/lair/choku/shared_lair_choku.iff');
INSERT INTO `template_items` VALUES ('515', 'object/tangible/lair/huf_dun/shared_lair_huf_dun.iff');
INSERT INTO `template_items` VALUES ('516', 'object/tangible/medicine/crafted/shared_medpack_wound_stamina_b.iff');
INSERT INTO `template_items` VALUES ('517', 'object/tangible/component/dna/shared_dna_template_rancor.iff');
INSERT INTO `template_items` VALUES ('518', 'object/tangible/loot/misc/shared_loot_krayt_leg2.iff');
INSERT INTO `template_items` VALUES ('519', 'object/tangible/medicine/crafted/shared_medpack_poison_area_health_b.iff');
INSERT INTO `template_items` VALUES ('520', 'object/tangible/ship/components/weapon/shared_wpn_sds_imperial_special_forces_cannon.iff');
INSERT INTO `template_items` VALUES ('521', 'object/tangible/loot/simple_kit/shared_heating_element.iff');
INSERT INTO `template_items` VALUES ('522', 'object/tangible/lair/base/shared_antpile_dark.iff');
INSERT INTO `template_items` VALUES ('523', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_3.iff');
INSERT INTO `template_items` VALUES ('524', 'object/tangible/ship/attachment/booster/shared_xwing_booster_s02_neg.iff');
INSERT INTO `template_items` VALUES ('525', 'object/tangible/loot/misc/shared_camera_s01.iff');
INSERT INTO `template_items` VALUES ('526', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon2l_s06.iff');
INSERT INTO `template_items` VALUES ('527', 'object/tangible/medicine/crafted/shared_medpack_cure_poison_area_c.iff');
INSERT INTO `template_items` VALUES ('528', 'object/tangible/ship/components/shield_generator/shared_shd_incom_rayshield_r4.iff');
INSERT INTO `template_items` VALUES ('529', 'object/tangible/terminal/shared_terminal_skill.iff');
INSERT INTO `template_items` VALUES ('530', 'object/tangible/lair/base/shared_poi_all_lair_wooden_destroyed_evil_fire_green.iff');
INSERT INTO `template_items` VALUES ('531', 'object/tangible/wearables/armor/composite/shared_armor_composite_bicep_l.iff');
INSERT INTO `template_items` VALUES ('532', 'object/tangible/gem/shared_default.iff');
INSERT INTO `template_items` VALUES ('533', 'object/tangible/wearables/ithorian/shared_ith_shirt_s04.iff');
INSERT INTO `template_items` VALUES ('534', 'object/tangible/ship/crafted/shields/shared_shield_limiter_mk2.iff');
INSERT INTO `template_items` VALUES ('535', 'object/tangible/deed/city_deed/shared_garden_naboo_lrg_05_deed.iff');
INSERT INTO `template_items` VALUES ('536', 'object/tangible/ship/attachment/engine/shared_ykl37r_engine_s01.iff');
INSERT INTO `template_items` VALUES ('537', 'object/tangible/component/structure/shared_regulator.iff');
INSERT INTO `template_items` VALUES ('538', 'object/tangible/ship/components/droid_interface/shared_ddi_hk_mk2.iff');
INSERT INTO `template_items` VALUES ('539', 'object/tangible/skill_buff/shared_skill_buff_onehandmelee_accuracy.iff');
INSERT INTO `template_items` VALUES ('540', 'object/tangible/hair/zabrak/base/shared_hair_zabrak_female_base.iff');
INSERT INTO `template_items` VALUES ('541', 'object/tangible/furniture/decorative/shared_carved_bowl.iff');
INSERT INTO `template_items` VALUES ('542', 'object/tangible/space/content_infrastructure/shared_quest_nav_point.iff');
INSERT INTO `template_items` VALUES ('543', 'object/tangible/veteran_reward/one_year_anniversary/shared_painting_02.iff');
INSERT INTO `template_items` VALUES ('544', 'object/tangible/ship/components/shield_generator/shared_shd_kse_mk4.iff');
INSERT INTO `template_items` VALUES ('545', 'object/tangible/camp/shared_campfire_logs_smoldering.iff');
INSERT INTO `template_items` VALUES ('546', 'object/tangible/wearables/armor/padded/shared_armor_padded_s01_boots.iff');
INSERT INTO `template_items` VALUES ('547', 'object/tangible/ship/components/weapon_capacitor/shared_cap_haor_chall_old_capacitor.iff');
INSERT INTO `template_items` VALUES ('548', 'object/tangible/hair/human/shared_hair_human_female_s02.iff');
INSERT INTO `template_items` VALUES ('549', 'object/tangible/component/clothing/shared_component_base.iff');
INSERT INTO `template_items` VALUES ('550', 'object/tangible/wearables/ithorian/shared_ith_bandolier_s02.iff');
INSERT INTO `template_items` VALUES ('551', 'object/tangible/lair/crystal_snake/shared_lair_crystal_snake_jungle.iff');
INSERT INTO `template_items` VALUES ('552', 'object/tangible/lair/striped_fish/shared_lair_striped_fish.iff');
INSERT INTO `template_items` VALUES ('553', 'object/tangible/ship/components/engine/shared_eng_rss_imperial_skyrunner_2.iff');
INSERT INTO `template_items` VALUES ('554', 'object/tangible/wearables/bandolier/shared_bandolier_s04.iff');
INSERT INTO `template_items` VALUES ('555', 'object/tangible/lair/base/shared_poi_all_lair_rocks_large_fog_green.iff');
INSERT INTO `template_items` VALUES ('556', 'object/tangible/container/loot/shared_gas_filter_container.iff');
INSERT INTO `template_items` VALUES ('557', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s3.iff');
INSERT INTO `template_items` VALUES ('558', 'object/tangible/food/crafted/shared_drink_blue_milk.iff');
INSERT INTO `template_items` VALUES ('559', 'object/tangible/slicing/shared_slicing_flow_analyzer.iff');
INSERT INTO `template_items` VALUES ('560', 'object/tangible/loot/loot_schematic/shared_bubble_tank_schematic.iff');
INSERT INTO `template_items` VALUES ('561', 'object/tangible/painting/shared_painting_twilek_f_sm_s02.iff');
INSERT INTO `template_items` VALUES ('562', 'object/tangible/medicine/shared_medic_damage.iff');
INSERT INTO `template_items` VALUES ('563', 'object/tangible/sign/municipal/base/shared_municipal_sign_base.iff');
INSERT INTO `template_items` VALUES ('564', 'object/tangible/ship/attachment/weapon/shared_smuggler_warlord_ship_turret_ball.iff');
INSERT INTO `template_items` VALUES ('565', 'object/tangible/food/crafted/shared_drink_jaar.iff');
INSERT INTO `template_items` VALUES ('566', 'object/tangible/deed/pet_deed/shared_bolle_bol_deed.iff');
INSERT INTO `template_items` VALUES ('567', 'object/tangible/space/story_loot/shared_loot_naboo_rsf.iff');
INSERT INTO `template_items` VALUES ('568', 'object/tangible/food/crafted/shared_dish_stewed_gwouch.iff');
INSERT INTO `template_items` VALUES ('569', 'object/tangible/ship/components/shield_generator/shared_shd_cygnus_mk4.iff');
INSERT INTO `template_items` VALUES ('570', 'object/tangible/ship/crafted/chassis/shared_chassis_hutt_light_wing_base.iff');
INSERT INTO `template_items` VALUES ('571', 'object/tangible/mission/quest_item/shared_brea_tonnika_q1_needed.iff');
INSERT INTO `template_items` VALUES ('572', 'object/tangible/component/item/quest_item/shared_cycle_control.iff');
INSERT INTO `template_items` VALUES ('573', 'object/tangible/shipcontrol/shared_shipcontrol_falcon.iff');
INSERT INTO `template_items` VALUES ('574', 'object/tangible/ship/crafted/droid_interface/shared_droid_brain_upgrade_mk3.iff');
INSERT INTO `template_items` VALUES ('575', 'object/tangible/ship/components/droid_interface/shared_ddi_kse_manager_mk1.iff');
INSERT INTO `template_items` VALUES ('576', 'object/tangible/firework/shared_firework_s01.iff');
INSERT INTO `template_items` VALUES ('577', 'object/tangible/ship/crafted/booster/shared_booster_overdriver_mk1.iff');
INSERT INTO `template_items` VALUES ('578', 'object/tangible/wearables/pants/shared_pants_s28.iff');
INSERT INTO `template_items` VALUES ('579', 'object/tangible/component/item/shared_large_sensor_package.iff');
INSERT INTO `template_items` VALUES ('580', 'object/tangible/ship/components/booster/shared_bst_freitek_outrunner_x1.iff');
INSERT INTO `template_items` VALUES ('581', 'object/tangible/deed/event_perk/shared_fed_dub_3x10_honorguard_deed.iff');
INSERT INTO `template_items` VALUES ('582', 'object/tangible/loot/quest/shared_victor_questn_journal.iff');
INSERT INTO `template_items` VALUES ('583', 'object/tangible/ship/components/weapon_capacitor/shared_cap_corellian_cruiser_grade_cap9.iff');
INSERT INTO `template_items` VALUES ('584', 'object/tangible/wearables/dress/shared_dress_s08_quest.iff');
INSERT INTO `template_items` VALUES ('585', 'object/tangible/ship/components/booster/shared_bst_corellian_heavy_thrust_enhancer.iff');
INSERT INTO `template_items` VALUES ('586', 'object/tangible/ship/crafted/chassis/shared_xwing_deed.iff');
INSERT INTO `template_items` VALUES ('587', 'object/tangible/scout/camokit/shared_camokit_dathomir.iff');
INSERT INTO `template_items` VALUES ('588', 'object/tangible/recycler/shared_flora_recycler.iff');
INSERT INTO `template_items` VALUES ('589', 'object/tangible/component/item/quest_item/shared_voltage_inducer.iff');
INSERT INTO `template_items` VALUES ('590', 'object/tangible/mission/quest_item/shared_jadam_questrel_q1_needed.iff');
INSERT INTO `template_items` VALUES ('591', 'object/tangible/ship/components/weapon/shared_wpn_freitek_cannoneer_mk1.iff');
INSERT INTO `template_items` VALUES ('592', 'object/tangible/loot/misc/shared_gungan_signet.iff');
INSERT INTO `template_items` VALUES ('593', 'object/tangible/ship/components/reactor/shared_rct_mandal_dxr3.iff');
INSERT INTO `template_items` VALUES ('594', 'object/tangible/lair/malkloc/shared_lair_malkloc_mountain.iff');
INSERT INTO `template_items` VALUES ('595', 'object/tangible/mission/quest_item/shared_bren_kingal_q4_needed.iff');
INSERT INTO `template_items` VALUES ('596', 'object/tangible/wearables/armor/marine/shared_armor_marine_bicep_l.iff');
INSERT INTO `template_items` VALUES ('597', 'object/tangible/mission/quest_item/shared_ajuva_vamasterin_q1_needed.iff');
INSERT INTO `template_items` VALUES ('598', 'object/tangible/encoded_disk/shared_message_fragment_base.iff');
INSERT INTO `template_items` VALUES ('599', 'object/tangible/terminal/shared_terminal_city.iff');
INSERT INTO `template_items` VALUES ('600', 'object/tangible/wearables/armor/ithorian_sentinel/shared_ith_armor_s03_chest_plate.iff');
INSERT INTO `template_items` VALUES ('601', 'object/tangible/ship/components/reactor/shared_rct_kse_rct_x.iff');
INSERT INTO `template_items` VALUES ('602', 'object/tangible/painting/shared_painting_twilek_f_lg_s01.iff');
INSERT INTO `template_items` VALUES ('603', 'object/tangible/ship/components/reactor/shared_rct_koensayr_supernova_mk3.iff');
INSERT INTO `template_items` VALUES ('604', 'object/tangible/loot/misc/shared_toxic_rations.iff');
INSERT INTO `template_items` VALUES ('605', 'object/tangible/lair/bark_mite/shared_lair_bark_mite.iff');
INSERT INTO `template_items` VALUES ('606', 'object/tangible/ship/components/armor/shared_arm_koensayr_standard_durasteel.iff');
INSERT INTO `template_items` VALUES ('607', 'object/tangible/furniture/all/shared_bestine_quest_statue.iff');
INSERT INTO `template_items` VALUES ('608', 'object/tangible/furniture/all/shared_frn_all_lamp_desk_s01_lit.iff');
INSERT INTO `template_items` VALUES ('609', 'object/tangible/ship/components/droid_interface/shared_ddi_freitek_droid_commander_mk1.iff');
INSERT INTO `template_items` VALUES ('610', 'object/tangible/ship/attachment/weapon/shared_hutt_light_weapon_s02.iff');
INSERT INTO `template_items` VALUES ('611', 'object/tangible/ship/components/engine/shared_engine_kuat_f31.iff');
INSERT INTO `template_items` VALUES ('612', 'object/tangible/component/weapon/lightsaber/shared_lightsaber_module_attackspeed.iff');
INSERT INTO `template_items` VALUES ('613', 'object/tangible/loot/loot_schematic/shared_park_bench_schematic.iff');
INSERT INTO `template_items` VALUES ('614', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_lg_s05_lg.iff');
INSERT INTO `template_items` VALUES ('615', 'object/tangible/loot/misc/shared_loot_krayt_arm2.iff');
INSERT INTO `template_items` VALUES ('616', 'object/tangible/camp/shared_camp_tent_s4.iff');
INSERT INTO `template_items` VALUES ('617', 'object/tangible/wearables/bikini/shared_bikini_leggings_s01.iff');
INSERT INTO `template_items` VALUES ('618', 'object/tangible/furniture/cheap/shared_chair_s01.iff');
INSERT INTO `template_items` VALUES ('619', 'object/tangible/lair/eopie/shared_lair_eopie.iff');
INSERT INTO `template_items` VALUES ('620', 'object/tangible/wearables/armor/ithorian_defender/shared_ith_armor_s01_bicep_l.iff');
INSERT INTO `template_items` VALUES ('621', 'object/tangible/wearables/armor/bounty_hunter/shared_armor_bounty_hunter_bracer_l.iff');
INSERT INTO `template_items` VALUES ('622', 'object/tangible/item/quest/force_sensitive/shared_fs_village_bannerpole_s01.iff');
INSERT INTO `template_items` VALUES ('623', 'object/tangible/loot/bestine/shared_bestine_painting_schematic_blumbrush.iff');
INSERT INTO `template_items` VALUES ('624', 'object/tangible/ship/components/reactor/shared_rct_generic.iff');
INSERT INTO `template_items` VALUES ('625', 'object/tangible/ship/attachment/weapon/shared_blacksun_medium_weapon2_s01.iff');
INSERT INTO `template_items` VALUES ('626', 'object/tangible/deed/event_perk/shared_corellian_banner_static_deed.iff');
INSERT INTO `template_items` VALUES ('627', 'object/tangible/crafting/station/shared_public_space_station.iff');
INSERT INTO `template_items` VALUES ('628', 'object/tangible/instrument/shared_traz.iff');
INSERT INTO `template_items` VALUES ('629', 'object/tangible/loot/dungeon/geonosian_mad_bunker/shared_relic_gbb_ration_kit.iff');
INSERT INTO `template_items` VALUES ('630', 'object/tangible/mission/quest_item/shared_stella_q2_needed.iff');
INSERT INTO `template_items` VALUES ('631', 'object/tangible/ship/components/weapon_capacitor/shared_cap_reward_subpro_elite.iff');
INSERT INTO `template_items` VALUES ('632', 'object/tangible/hair/sullustan/base/shared_hair_sullustan_female_base.iff');
INSERT INTO `template_items` VALUES ('633', 'object/tangible/furniture/imperial/shared_bunker_table_giant_style_01.iff');
INSERT INTO `template_items` VALUES ('634', 'object/tangible/ship/components/reactor/shared_rct_kse_custom_lx11.iff');
INSERT INTO `template_items` VALUES ('635', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_launcher_proton_mk4.iff');
INSERT INTO `template_items` VALUES ('636', 'object/tangible/wearables/dress/shared_dress_s19.iff');
INSERT INTO `template_items` VALUES ('637', 'object/tangible/mission/quest_item/shared_lilas_dinhint_q3_needed.iff');
INSERT INTO `template_items` VALUES ('638', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon2_s02.iff');
INSERT INTO `template_items` VALUES ('639', 'object/tangible/ship/components/engine/shared_eng_koensayr_heavy_ionjet.iff');
INSERT INTO `template_items` VALUES ('640', 'object/tangible/lair/blurrg/shared_lair_blurrg_forest.iff');
INSERT INTO `template_items` VALUES ('641', 'object/tangible/furniture/all/shared_frn_all_decorative_lg_s2.iff');
INSERT INTO `template_items` VALUES ('642', 'object/tangible/ship/components/booster/shared_bst_surronian_accelerator_mk2.iff');
INSERT INTO `template_items` VALUES ('643', 'object/tangible/deed/city_deed/shared_bank_corellia_deed.iff');
INSERT INTO `template_items` VALUES ('644', 'object/tangible/mission/quest_item/shared_radanthus_mandelatara_q3_needed.iff');
INSERT INTO `template_items` VALUES ('645', 'object/tangible/deed/city_deed/shared_theater_tatooine_deed.iff');
INSERT INTO `template_items` VALUES ('646', 'object/tangible/lair/flit/shared_lair_flit_mountain.iff');
INSERT INTO `template_items` VALUES ('647', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_neutral_assassination_02.iff');
INSERT INTO `template_items` VALUES ('648', 'object/tangible/food/foraged/shared_edible_jar_fungus.iff');
INSERT INTO `template_items` VALUES ('649', 'object/tangible/deed/city_deed/shared_garden_endor_sml_01_deed.iff');
INSERT INTO `template_items` VALUES ('650', 'object/tangible/lair/base/shared_poi_all_lair_thicket_small_fog_gray.iff');
INSERT INTO `template_items` VALUES ('651', 'object/tangible/mission/quest_item/shared_lilas_dinhint_q1_needed.iff');
INSERT INTO `template_items` VALUES ('652', 'object/tangible/crafting/base/shared_base_public_station.iff');
INSERT INTO `template_items` VALUES ('653', 'object/tangible/food/crafted/shared_drink_charde.iff');
INSERT INTO `template_items` VALUES ('654', 'object/tangible/food/base/shared_meat_base.iff');
INSERT INTO `template_items` VALUES ('655', 'object/tangible/medicine/shared_grenade_area_poison.iff');
INSERT INTO `template_items` VALUES ('656', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_neg_s06_1.iff');
INSERT INTO `template_items` VALUES ('657', 'object/tangible/food/crafted/shared_dish_ahrisa.iff');
INSERT INTO `template_items` VALUES ('658', 'object/tangible/ship/components/engine/shared_engine_nubian_221.iff');
INSERT INTO `template_items` VALUES ('659', 'object/tangible/crafting/station/shared_space_station.iff');
INSERT INTO `template_items` VALUES ('660', 'object/tangible/furniture/shared_furniture_base.iff');
INSERT INTO `template_items` VALUES ('661', 'object/tangible/fishing/fish/shared_blackfish.iff');
INSERT INTO `template_items` VALUES ('662', 'object/tangible/wearables/armor/stormtrooper/shared_armor_stormtrooper_leggings.iff');
INSERT INTO `template_items` VALUES ('663', 'object/tangible/component/armor/shared_armor_segment_enhancement_fambaa.iff');
INSERT INTO `template_items` VALUES ('664', 'object/tangible/furniture/elegant/shared_love_seat_s01.iff');
INSERT INTO `template_items` VALUES ('665', 'object/tangible/component/droid/shared_medic_module_6.iff');
INSERT INTO `template_items` VALUES ('666', 'object/tangible/deed/city_deed/shared_garden_naboo_lrg_01_deed.iff');
INSERT INTO `template_items` VALUES ('667', 'object/tangible/component/munition/shared_enhanced_charge_shaping.iff');
INSERT INTO `template_items` VALUES ('668', 'object/tangible/deed/event_perk/shared_shuttle_static_deed.iff');
INSERT INTO `template_items` VALUES ('669', 'object/tangible/ship/components/shield_generator/shared_shd_taim_enhanced_advanced.iff');
INSERT INTO `template_items` VALUES ('670', 'object/tangible/wearables/armor/marine/shared_armor_marine_helmet.iff');
INSERT INTO `template_items` VALUES ('671', 'object/tangible/wearables/shirt/shared_shirt_s32.iff');
INSERT INTO `template_items` VALUES ('672', 'object/tangible/ship/crafted/booster/shared_fast_charge_fuel_cell_mk5.iff');
INSERT INTO `template_items` VALUES ('673', 'object/tangible/wearables/base/shared_base_pauldron_both.iff');
INSERT INTO `template_items` VALUES ('674', 'object/tangible/lair/zucca_boar/shared_lair_zucca_boar_desert.iff');
INSERT INTO `template_items` VALUES ('675', 'object/tangible/lair/base/shared_lair_base_cave_lion_light.iff');
INSERT INTO `template_items` VALUES ('676', 'object/tangible/ship/components/booster/shared_bst_kessel_rebel_incom_quicksilver.iff');
INSERT INTO `template_items` VALUES ('677', 'object/tangible/lair/base/shared_poi_all_lair_mound_large.iff');
INSERT INTO `template_items` VALUES ('678', 'object/tangible/wearables/goggles/shared_goggles_s05.iff');
INSERT INTO `template_items` VALUES ('679', 'object/tangible/hair/human/shared_hair_human_female_s36.iff');
INSERT INTO `template_items` VALUES ('680', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_female_s11.iff');
INSERT INTO `template_items` VALUES ('681', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon2_s03.iff');
INSERT INTO `template_items` VALUES ('682', 'object/tangible/medicine/shared_stimpack_sm_s1.iff');
INSERT INTO `template_items` VALUES ('683', 'object/tangible/furniture/jedi/shared_frn_all_banner_light.iff');
INSERT INTO `template_items` VALUES ('684', 'object/tangible/ship/components/engine/shared_engine_seinar_ps56.iff');
INSERT INTO `template_items` VALUES ('685', 'object/tangible/lair/base/shared_poi_all_lair_dead_log_small.iff');
INSERT INTO `template_items` VALUES ('686', 'object/tangible/mission/quest_item/shared_mullud_bombo_q2_needed.iff');
INSERT INTO `template_items` VALUES ('687', 'object/tangible/lair/base/shared_objective_dantari_monolith.iff');
INSERT INTO `template_items` VALUES ('688', 'object/tangible/loot/dungeon/corellian_corvette/shared_neutral_destroy_filler01.iff');
INSERT INTO `template_items` VALUES ('689', 'object/tangible/ship/components/weapon_capacitor/shared_cap_koensayr_custom_light.iff');
INSERT INTO `template_items` VALUES ('690', 'object/tangible/mission/quest_item/shared_ruwan_tokai_q1_needed.iff');
INSERT INTO `template_items` VALUES ('691', 'object/tangible/wearables/ithorian/shared_ith_pants_s19.iff');
INSERT INTO `template_items` VALUES ('692', 'object/tangible/wearables/helmet/shared_helmet_fighter_blacksun_ace.iff');
INSERT INTO `template_items` VALUES ('693', 'object/tangible/lair/base/shared_poi_all_lair_bones_fog_gray.iff');
INSERT INTO `template_items` VALUES ('694', 'object/tangible/droid/shared_navicomputer_4.iff');
INSERT INTO `template_items` VALUES ('695', 'object/tangible/loot/dungeon/death_watch_bunker/shared_pistol_de10_barrel.iff');
INSERT INTO `template_items` VALUES ('696', 'object/tangible/component/armor/shared_armor_segment_enhancement_dragonet.iff');
INSERT INTO `template_items` VALUES ('697', 'object/tangible/loot/simple_kit/shared_paint_disperser.iff');
INSERT INTO `template_items` VALUES ('698', 'object/tangible/firework/shared_firework_four.iff');
INSERT INTO `template_items` VALUES ('699', 'object/tangible/terminal/shared_terminal_player_structure_nosnap.iff');
INSERT INTO `template_items` VALUES ('700', 'object/tangible/ship/crafted/weapon/shared_wpn_advanced_blaster.iff');
INSERT INTO `template_items` VALUES ('701', 'object/tangible/ship/components/shield_generator/shared_shd_mandal_double_protector_mk1.iff');
INSERT INTO `template_items` VALUES ('702', 'object/tangible/food/crafted/shared_dessert_pikatta_pie.iff');
INSERT INTO `template_items` VALUES ('703', 'object/tangible/loot/loot_schematic/shared_droid_head_schematic.iff');
INSERT INTO `template_items` VALUES ('704', 'object/tangible/hair/sullustan/shared_sul_hair_s14_m.iff');
INSERT INTO `template_items` VALUES ('705', 'object/tangible/lair/base/shared_poi_all_lair_insecthill_small_fog_red.iff');
INSERT INTO `template_items` VALUES ('706', 'object/tangible/firework/shared_firework_two.iff');
INSERT INTO `template_items` VALUES ('707', 'object/tangible/ship/crafted/weapon/shared_wpn_light_blaster.iff');
INSERT INTO `template_items` VALUES ('708', 'object/tangible/component/clothing/shared_padding_segment.iff');
INSERT INTO `template_items` VALUES ('709', 'object/tangible/hair/rodian/shared_hair_rodian_female_s04.iff');
INSERT INTO `template_items` VALUES ('710', 'object/tangible/lair/structure/exterior/shared_lair_cave_giant_exterior_krayt_dragon.iff');
INSERT INTO `template_items` VALUES ('711', 'object/tangible/ship/components/weapon/shared_wpn_subpro_tripleblaster_mark2.iff');
INSERT INTO `template_items` VALUES ('712', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s02.iff');
INSERT INTO `template_items` VALUES ('713', 'object/tangible/ship/crafted/shields/shared_shield_energy_saver_kit_mk4.iff');
INSERT INTO `template_items` VALUES ('714', 'object/tangible/lair/gekk/shared_lair_gekk.iff');
INSERT INTO `template_items` VALUES ('715', 'object/tangible/component/armor/shared_armor_segment_zam_advanced.iff');
INSERT INTO `template_items` VALUES ('716', 'object/tangible/ship/attachment/wing/shared_hutt_light_wing_s01.iff');
INSERT INTO `template_items` VALUES ('717', 'object/tangible/loot/dungeon/corellian_corvette/shared_rebel_assassin_filler02.iff');
INSERT INTO `template_items` VALUES ('718', 'object/tangible/lair/vynock/shared_lair_vynock_dune.iff');
INSERT INTO `template_items` VALUES ('719', 'object/tangible/lair/structure/exterior/shared_lair_cave_large_exterior_gulginaw.iff');
INSERT INTO `template_items` VALUES ('720', 'object/tangible/medicine/shared_medpack_wound_action.iff');
INSERT INTO `template_items` VALUES ('721', 'object/tangible/lair/bolle_bol/shared_lair_bolle_bol_grassland.iff');
INSERT INTO `template_items` VALUES ('722', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s2.iff');
INSERT INTO `template_items` VALUES ('723', 'object/tangible/ship/crafted/weapon/shared_armor_effectiveness_intensifier_mk3.iff');
INSERT INTO `template_items` VALUES ('724', 'object/tangible/ship/components/weapon/shared_wpn_rendili_fr13_disruptor.iff');
INSERT INTO `template_items` VALUES ('725', 'object/tangible/hq_destructible/shared_uplink_terminal.iff');
INSERT INTO `template_items` VALUES ('726', 'object/tangible/ship/components/shield_generator/shared_shd_phased_fullerine_fx92.iff');
INSERT INTO `template_items` VALUES ('727', 'object/tangible/component/dna/shared_dna_template_angler.iff');
INSERT INTO `template_items` VALUES ('728', 'object/tangible/furniture/technical/shared_couch_s01.iff');
INSERT INTO `template_items` VALUES ('729', 'object/tangible/lair/base/shared_poi_all_lair_warren_small_fog_mustard.iff');
INSERT INTO `template_items` VALUES ('730', 'object/tangible/crafting/station/shared_public_structure_station.iff');
INSERT INTO `template_items` VALUES ('731', 'object/tangible/lair/gualama/shared_lair_gualama_grassland.iff');
INSERT INTO `template_items` VALUES ('732', 'object/tangible/lair/bocatt/shared_lair_bocatt.iff');
INSERT INTO `template_items` VALUES ('733', 'object/tangible/component/weapon/shared_parallel_weapon_targeting_computer.iff');
INSERT INTO `template_items` VALUES ('734', 'object/tangible/wearables/underwear/shared_underwear_top.iff');
INSERT INTO `template_items` VALUES ('735', 'object/tangible/ship/components/chassis/shared_blacksun_heavy_s01_chassis_token.iff');
INSERT INTO `template_items` VALUES ('736', 'object/tangible/component/bio/shared_bio_component_clothing_field_cover_2.iff');
INSERT INTO `template_items` VALUES ('737', 'object/tangible/deed/city_deed/shared_garden_dantooine_med_01_deed.iff');
INSERT INTO `template_items` VALUES ('738', 'object/tangible/lair/base/shared_objective_power_generator.iff');
INSERT INTO `template_items` VALUES ('739', 'object/tangible/hopper/manufacturing_facility_hopper/shared_manufacture_installation_ingredient_hopper_structure_medium.iff');
INSERT INTO `template_items` VALUES ('740', 'object/tangible/loot/misc/shared_mt_pie.iff');
INSERT INTO `template_items` VALUES ('741', 'object/tangible/ship/components/reactor/shared_rct_incom_advanced.iff');
INSERT INTO `template_items` VALUES ('742', 'object/tangible/wearables/base/shared_base_dress_poofysleeve_full.iff');
INSERT INTO `template_items` VALUES ('743', 'object/tangible/ship/crafted/chassis/shared_tieoppressor_deed.iff');
INSERT INTO `template_items` VALUES ('744', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s12.iff');
INSERT INTO `template_items` VALUES ('745', 'object/tangible/component/weapon/shared_stock_advanced_quest.iff');
INSERT INTO `template_items` VALUES ('746', 'object/tangible/dungeon/death_watch_bunker/shared_enhanced_filter.iff');
INSERT INTO `template_items` VALUES ('747', 'object/tangible/component/droid/repair/shared_capacitor_high_discharge.iff');
INSERT INTO `template_items` VALUES ('748', 'object/tangible/food/crafted/shared_drink_mandalorian_wine.iff');
INSERT INTO `template_items` VALUES ('749', 'object/tangible/wearables/earring/shared_earring_s10.iff');
INSERT INTO `template_items` VALUES ('750', 'object/tangible/furniture/all/shared_frn_all_couch_sm_s1.iff');
INSERT INTO `template_items` VALUES ('751', 'object/tangible/component/chemistry/shared_quest_stimpack_a.iff');
INSERT INTO `template_items` VALUES ('752', 'object/tangible/hair/rodian/shared_hair_rodian_male_s14.iff');
INSERT INTO `template_items` VALUES ('753', 'object/tangible/hair/bothan/shared_hair_bothan_male_s09.iff');
INSERT INTO `template_items` VALUES ('754', 'object/tangible/deed/event_perk/shared_fed_dub_stage_theater_deed.iff');
INSERT INTO `template_items` VALUES ('755', 'object/tangible/gravestone/shared_gravestone01.iff');
INSERT INTO `template_items` VALUES ('756', 'object/tangible/medicine/crafted/shared_medpack_enhance_health_d.iff');
INSERT INTO `template_items` VALUES ('757', 'object/tangible/wearables/ithorian/shared_ith_belt_s17.iff');
INSERT INTO `template_items` VALUES ('758', 'object/tangible/ship/components/reactor/shared_rct_armek_ultra_collider.iff');
INSERT INTO `template_items` VALUES ('759', 'object/tangible/lair/crystal_snake/shared_lair_crystal_snake_underwater.iff');
INSERT INTO `template_items` VALUES ('760', 'object/tangible/furniture/all/shared_frn_all_chair_meatal_wheeled_s1.iff');
INSERT INTO `template_items` VALUES ('761', 'object/tangible/ship/components/shield_generator/shared_shd_kse_military_mk2.iff');
INSERT INTO `template_items` VALUES ('762', 'object/tangible/lair/vlutore/shared_lair_vlutore_mountain.iff');
INSERT INTO `template_items` VALUES ('763', 'object/tangible/component/weapon/shared_scope_weapon_sm_s03.iff');
INSERT INTO `template_items` VALUES ('764', 'object/tangible/ship/components/shield_generator/shared_shd_kessel_imperial_sfs_megapolyweb.iff');
INSERT INTO `template_items` VALUES ('765', 'object/tangible/lair/opee_sea_killer/shared_lair_opee_sea_killer.iff');
INSERT INTO `template_items` VALUES ('766', 'object/tangible/powerup/base/shared_base.iff');
INSERT INTO `template_items` VALUES ('767', 'object/tangible/loot/dungeon/corellian_corvette/shared_neutral_destroy_intel.iff');
INSERT INTO `template_items` VALUES ('768', 'object/tangible/item/quest/force_sensitive/shared_fs_craft_puzzle_analyzer.iff');
INSERT INTO `template_items` VALUES ('769', 'object/tangible/hair/twilek/base/shared_hair_twilek_male_base.iff');
INSERT INTO `template_items` VALUES ('770', 'object/tangible/ship/attachment/weapon/shared_hutt_medium_weapon2_s02.iff');
INSERT INTO `template_items` VALUES ('771', 'object/tangible/ship/components/shield_generator/shared_shd_mission_reward_neutral_koensayr_ds23.iff');
INSERT INTO `template_items` VALUES ('772', 'object/tangible/terminal/shared_terminal_hq.iff');
INSERT INTO `template_items` VALUES ('773', 'object/tangible/wearables/pants/shared_pants_s21.iff');
INSERT INTO `template_items` VALUES ('774', 'object/tangible/ship/components/base/shared_ship_component_base.iff');
INSERT INTO `template_items` VALUES ('775', 'object/tangible/component/armor/shared_heavy_armor_layer_heat.iff');
INSERT INTO `template_items` VALUES ('776', 'object/tangible/deed/event_perk/shared_bantha_static_deed.iff');
INSERT INTO `template_items` VALUES ('777', 'object/tangible/component/weapon/shared_energization_crystals.iff');
INSERT INTO `template_items` VALUES ('778', 'object/tangible/ship/components/shield_generator/shared_shd_cygnus_special_mk1.iff');
INSERT INTO `template_items` VALUES ('779', 'object/tangible/wearables/belt/shared_belt_s13.iff');
INSERT INTO `template_items` VALUES ('780', 'object/tangible/mission/shared_mission_bounty_droid_probot.iff');
INSERT INTO `template_items` VALUES ('781', 'object/tangible/space/content_infrastructure/shared_quest_manager.iff');
INSERT INTO `template_items` VALUES ('782', 'object/tangible/lair/bol/shared_lair_bol_grassland.iff');
INSERT INTO `template_items` VALUES ('783', 'object/tangible/component/structure/shared_ore_mining_unit.iff');
INSERT INTO `template_items` VALUES ('784', 'object/tangible/ship/components/armor/shared_arm_kse_standard_durasteel.iff');
INSERT INTO `template_items` VALUES ('785', 'object/tangible/deed/vehicle_deed/shared_speederbike_swoop_deed.iff');
INSERT INTO `template_items` VALUES ('786', 'object/tangible/lair/base/shared_trash_dark.iff');
INSERT INTO `template_items` VALUES ('787', 'object/tangible/deed/city_deed/shared_garden_naboo_lrg_03_deed.iff');
INSERT INTO `template_items` VALUES ('788', 'object/tangible/deed/pet_deed/shared_squall_deed.iff');
INSERT INTO `template_items` VALUES ('789', 'object/tangible/ship/crafted/shields/shared_shield_overcharger_mk4.iff');
INSERT INTO `template_items` VALUES ('790', 'object/tangible/ship/components/booster/shared_bst_sap_imperial_1.iff');
INSERT INTO `template_items` VALUES ('791', 'object/tangible/component/droid/shared_probot_droid_chassis.iff');
INSERT INTO `template_items` VALUES ('792', 'object/tangible/component/structure/shared_fluidic_drilling_pumping_unit.iff');
INSERT INTO `template_items` VALUES ('793', 'object/tangible/ship/attachment/weapon/shared_kse_firespray_weapon1_s04.iff');
INSERT INTO `template_items` VALUES ('794', 'object/tangible/ship/crafted/shields/shared_base_shields_subcomponent.iff');
INSERT INTO `template_items` VALUES ('795', 'object/tangible/ship/components/armor/shared_armor_seinar_coated_plasteel.iff');
INSERT INTO `template_items` VALUES ('796', 'object/tangible/ui/shared_ui_planet_tatooine.iff');
INSERT INTO `template_items` VALUES ('797', 'object/tangible/hair/bothan/shared_hair_bothan_female_s16.iff');
INSERT INTO `template_items` VALUES ('798', 'object/tangible/component/droid/shared_performer_effects_c.iff');
INSERT INTO `template_items` VALUES ('799', 'object/tangible/ship/crafted/reverse_engineering/shared_reactor_analysis_tool.iff');
INSERT INTO `template_items` VALUES ('800', 'object/tangible/hair/human/base/shared_hair_human_female_base.iff');
INSERT INTO `template_items` VALUES ('801', 'object/tangible/deed/vehicle_deed/shared_vehicle_deed_base.iff');
INSERT INTO `template_items` VALUES ('802', 'object/tangible/hair/sullustan/shared_sul_hair_s16_f.iff');
INSERT INTO `template_items` VALUES ('803', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon3_s05.iff');
INSERT INTO `template_items` VALUES ('804', 'object/tangible/space/story_loot/shared_loot_dantooine_junk.iff');
INSERT INTO `template_items` VALUES ('805', 'object/tangible/furniture/cheap/shared_end_table_s01.iff');
INSERT INTO `template_items` VALUES ('806', 'object/tangible/medicine/pet/shared_droid_damage_kit_c.iff');
INSERT INTO `template_items` VALUES ('807', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff');
INSERT INTO `template_items` VALUES ('808', 'object/tangible/ship/crafted/engine/shared_eng_mk5.iff');
INSERT INTO `template_items` VALUES ('809', 'object/tangible/wearables/necklace/shared_necklace_rusty_beads.iff');
INSERT INTO `template_items` VALUES ('810', 'object/tangible/wearables/armor/zam/shared_armor_zam_wesell_boots.iff');
INSERT INTO `template_items` VALUES ('811', 'object/tangible/food/crafted/shared_dish_fried_endwa.iff');
INSERT INTO `template_items` VALUES ('812', 'object/tangible/mission/quest_item/shared_vinya_maysor_q1_needed.iff');
INSERT INTO `template_items` VALUES ('813', 'object/tangible/ship/components/booster/shared_bst_koensayr_deluxe_elite.iff');
INSERT INTO `template_items` VALUES ('814', 'object/tangible/loot/tool/shared_binoculars_broken_s1.iff');
INSERT INTO `template_items` VALUES ('815', 'object/tangible/ship/crafted/shields/shared_adv_deflector_shields.iff');
INSERT INTO `template_items` VALUES ('816', 'object/tangible/mission/quest_item/shared_ajuva_vamasterin_q2_needed.iff');
INSERT INTO `template_items` VALUES ('817', 'object/tangible/food/crafted/shared_dish_synthsteak.iff');
INSERT INTO `template_items` VALUES ('818', 'object/tangible/loot/quest/shared_droid_brain_anakin.iff');
INSERT INTO `template_items` VALUES ('819', 'object/tangible/medicine/crafted/shared_medpack_damage_d.iff');
INSERT INTO `template_items` VALUES ('820', 'object/tangible/wearables/bandolier/shared_bandolier_tusken_raider_s03.iff');
INSERT INTO `template_items` VALUES ('821', 'object/tangible/medicine/shared_healing_grenade_longrange.iff');
INSERT INTO `template_items` VALUES ('822', 'object/tangible/deed/pet_deed/shared_tybis_deed.iff');
INSERT INTO `template_items` VALUES ('823', 'object/tangible/lair/condor_dragon/shared_lair_condor_dragon_mountain.iff');
INSERT INTO `template_items` VALUES ('824', 'object/tangible/wearables/jacket/shared_jacket_s13.iff');
INSERT INTO `template_items` VALUES ('825', 'object/tangible/wearables/robe/shared_aakuan_robe.iff');
INSERT INTO `template_items` VALUES ('826', 'object/tangible/furniture/modern/shared_rug_rect_sml_s01.iff');
INSERT INTO `template_items` VALUES ('827', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_pos_s01_1.iff');
INSERT INTO `template_items` VALUES ('828', 'object/tangible/wearables/armor/zam/shared_armor_zam_wesell_helmet.iff');
INSERT INTO `template_items` VALUES ('829', 'object/tangible/furniture/all/shared_frn_all_chair_wooden_s1.iff');
INSERT INTO `template_items` VALUES ('830', 'object/tangible/ship/components/reactor/shared_rct_subpro_dyna2.iff');
INSERT INTO `template_items` VALUES ('831', 'object/tangible/lair/whisper_bird/shared_lair_whisper_bird_swamp.iff');
INSERT INTO `template_items` VALUES ('832', 'object/tangible/wearables/hat/shared_hat_s02.iff');
INSERT INTO `template_items` VALUES ('833', 'object/tangible/ship/components/shield_generator/shared_shd_moncal_ionweb_a.iff');
INSERT INTO `template_items` VALUES ('834', 'object/tangible/ship/crafted/chassis/shared_hutt_medium_s02_deed.iff');
INSERT INTO `template_items` VALUES ('835', 'object/tangible/component/armor/shared_base_armor_segment_enhancement.iff');
INSERT INTO `template_items` VALUES ('836', 'object/tangible/lair/horned_krevol/shared_lair_horned_krevol_forest.iff');
INSERT INTO `template_items` VALUES ('837', 'object/tangible/lair/base/shared_poi_all_lair_dead_log_small_fog_green.iff');
INSERT INTO `template_items` VALUES ('838', 'object/tangible/wearables/dress/shared_dress_s10.iff');
INSERT INTO `template_items` VALUES ('839', 'object/tangible/ship/components/weapon/shared_wpn_cygnus_eradicator_1.iff');
INSERT INTO `template_items` VALUES ('840', 'object/tangible/mission/shared_mission_informant_spawner_easy.iff');
INSERT INTO `template_items` VALUES ('841', 'object/tangible/ship/components/booster/shared_bst_koensayr_elite.iff');
INSERT INTO `template_items` VALUES ('842', 'object/tangible/ship/crafted/capacitor/shared_heavy_battery_mk4.iff');
INSERT INTO `template_items` VALUES ('843', 'object/tangible/mission/quest_item/shared_stella_q1_needed.iff');
INSERT INTO `template_items` VALUES ('844', 'object/tangible/ship/components/engine/shared_engine_kuat_a9x.iff');
INSERT INTO `template_items` VALUES ('845', 'object/tangible/fishing/bait/shared_bait_worm.iff');
INSERT INTO `template_items` VALUES ('846', 'object/tangible/component/item/quest_item/shared_spin_alignment_inducer.iff');
INSERT INTO `template_items` VALUES ('847', 'object/tangible/wearables/robe/shared_robe_s04.iff');
INSERT INTO `template_items` VALUES ('848', 'object/tangible/hair/human/shared_hair_human_male_s03.iff');
INSERT INTO `template_items` VALUES ('849', 'object/tangible/sign/shared_all_sign_city_s01.iff');
INSERT INTO `template_items` VALUES ('850', 'object/tangible/lair/base/shared_poi_all_lair_rock_shelter_large_fog_gray.iff');
INSERT INTO `template_items` VALUES ('851', 'object/tangible/component/armor/shared_armor_segment_bone_voritor_lizard.iff');
INSERT INTO `template_items` VALUES ('852', 'object/tangible/camp/shared_camp_cot_s3.iff');
INSERT INTO `template_items` VALUES ('853', 'object/tangible/loot/quest/force_sensitive/shared_camp_frequency_datapad.iff');
INSERT INTO `template_items` VALUES ('854', 'object/tangible/ship/crafted/chassis/shared_tieadvanced_deed.iff');
INSERT INTO `template_items` VALUES ('855', 'object/tangible/lair/gurnaset/shared_lair_gurnaset_grassland.iff');
INSERT INTO `template_items` VALUES ('856', 'object/tangible/deed/city_deed/shared_garden_corellia_lrg_02_deed.iff');
INSERT INTO `template_items` VALUES ('857', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff');
INSERT INTO `template_items` VALUES ('858', 'object/tangible/powerup/weapon/shared_thrown.iff');
INSERT INTO `template_items` VALUES ('859', 'object/tangible/container/general/shared_tech_chest.iff');
INSERT INTO `template_items` VALUES ('860', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_rebel_assassination_01.iff');
INSERT INTO `template_items` VALUES ('861', 'object/tangible/shipcontrol/shared_shipcontrol_corvette.iff');
INSERT INTO `template_items` VALUES ('862', 'object/tangible/bug_jar/shared_sample_glowzees.iff');
INSERT INTO `template_items` VALUES ('863', 'object/tangible/lair/baz_nitch/shared_lair_baz_nitch_forest.iff');
INSERT INTO `template_items` VALUES ('864', 'object/tangible/ship/components/droid_interface/shared_ddi_qualdex_enhanced_droid_interface_mk5.iff');
INSERT INTO `template_items` VALUES ('865', 'object/tangible/lair/base/shared_poi_all_lair_wooden_destroyed_fog_green.iff');
INSERT INTO `template_items` VALUES ('866', 'object/tangible/wearables/armor/padded/shared_armor_padded_s01_leggings.iff');
INSERT INTO `template_items` VALUES ('867', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_m_s02.iff');
INSERT INTO `template_items` VALUES ('868', 'object/tangible/ship/components/shield_generator/shared_shd_taim_advanced.iff');
INSERT INTO `template_items` VALUES ('869', 'object/tangible/ship/crafted/armor/shared_armor_reinforcement_panel_mk3.iff');
INSERT INTO `template_items` VALUES ('870', 'object/tangible/food/base/shared_meal_base.iff');
INSERT INTO `template_items` VALUES ('871', 'object/tangible/ship/components/weapon_capacitor/shared_cap_mandal_tuned_powermaster_mk2.iff');
INSERT INTO `template_items` VALUES ('872', 'object/tangible/painting/shared_bestine_quest_painting.iff');
INSERT INTO `template_items` VALUES ('873', 'object/tangible/furniture/city/shared_streetlamp_large_blue_01.iff');
INSERT INTO `template_items` VALUES ('874', 'object/tangible/medicine/crafted/shared_medpack_disease_area_focus_b.iff');
INSERT INTO `template_items` VALUES ('875', 'object/tangible/wearables/base/shared_base_neck.iff');
INSERT INTO `template_items` VALUES ('876', 'object/tangible/furniture/elegant/shared_end_table_s01.iff');
INSERT INTO `template_items` VALUES ('877', 'object/tangible/theme_park/alderaan/act2/shared_decoder_comp_reader.iff');
INSERT INTO `template_items` VALUES ('878', 'object/tangible/destructible/wreckage/shared_wreck_starship_small_01.iff');
INSERT INTO `template_items` VALUES ('879', 'object/tangible/deed/city_deed/shared_garden_dathomir_sml_01_deed.iff');
INSERT INTO `template_items` VALUES ('880', 'object/tangible/lair/base/shared_lair_base_cave_lion_dark.iff');
INSERT INTO `template_items` VALUES ('881', 'object/tangible/lair/base/shared_rancor_light.iff');
INSERT INTO `template_items` VALUES ('882', 'object/tangible/ship/components/booster/shared_bst_qualdex_xboost_mk1.iff');
INSERT INTO `template_items` VALUES ('883', 'object/tangible/ship/components/armor/shared_arm_reward_freitek_elite.iff');
INSERT INTO `template_items` VALUES ('884', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s16.iff');
INSERT INTO `template_items` VALUES ('885', 'object/tangible/furniture/all/shared_frn_all_throwpillow_med_s01.iff');
INSERT INTO `template_items` VALUES ('886', 'object/tangible/inventory/shared_creature_inventory.iff');
INSERT INTO `template_items` VALUES ('887', 'object/tangible/hair/rodian/shared_hair_rodian_female_s10.iff');
INSERT INTO `template_items` VALUES ('888', 'object/tangible/sign/municipal/shared_municipal_sign_hanging_starport.iff');
INSERT INTO `template_items` VALUES ('889', 'object/tangible/powerup/weapon/shared_ranged_muzzle.iff');
INSERT INTO `template_items` VALUES ('890', 'object/tangible/component/vehicle/shared_civilian_b.iff');
INSERT INTO `template_items` VALUES ('891', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_pos_s04_0.iff');
INSERT INTO `template_items` VALUES ('892', 'object/tangible/ship/attachment/engine/shared_tie_engine_s01.iff');
INSERT INTO `template_items` VALUES ('893', 'object/tangible/ship/components/armor/shared_arm_subpro_elite_plastisteel.iff');
INSERT INTO `template_items` VALUES ('894', 'object/tangible/ship/components/armor/shared_arm_reward_alderaan_elite.iff');
INSERT INTO `template_items` VALUES ('895', 'object/tangible/veteran_reward/shared_data_terminal_s2.iff');
INSERT INTO `template_items` VALUES ('896', 'object/tangible/ship/components/droid_interface/shared_ddi_sfs_imperial_3.iff');
INSERT INTO `template_items` VALUES ('897', 'object/tangible/loot/quest/shared_sean_questn_alog.iff');
INSERT INTO `template_items` VALUES ('898', 'object/tangible/deed/pet_deed/shared_deed_treadwell_advanced_basic.iff');
INSERT INTO `template_items` VALUES ('899', 'object/tangible/ship/crafted/weapon/shared_speed_limiter_upgrade_mk1.iff');
INSERT INTO `template_items` VALUES ('900', 'object/tangible/loot/quest/shared_endrine.iff');
INSERT INTO `template_items` VALUES ('901', 'object/tangible/furniture/technical/shared_chair_s01.iff');
INSERT INTO `template_items` VALUES ('902', 'object/tangible/wearables/armor/bounty_hunter/shared_armor_bounty_hunter_boots.iff');
INSERT INTO `template_items` VALUES ('903', 'object/tangible/ui/shared_ui_planet_corellia.iff');
INSERT INTO `template_items` VALUES ('904', 'object/tangible/ship/components/weapon_capacitor/shared_cap_moncal_modified_heavy.iff');
INSERT INTO `template_items` VALUES ('905', 'object/tangible/survey_tool/shared_survey_tool_wind.iff');
INSERT INTO `template_items` VALUES ('906', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_neg_s02_1.iff');
INSERT INTO `template_items` VALUES ('907', 'object/tangible/deed/pet_deed/shared_durni_deed.iff');
INSERT INTO `template_items` VALUES ('908', 'object/tangible/hair/twilek/shared_hair_twilek_male_s07.iff');
INSERT INTO `template_items` VALUES ('909', 'object/tangible/deed/pet_deed/shared_choku_deed.iff');
INSERT INTO `template_items` VALUES ('910', 'object/tangible/powerup/weapon/shared_thrown_wiring.iff');
INSERT INTO `template_items` VALUES ('911', 'object/tangible/ship/attachment/weapon/shared_rebel_gunboat_turretbase_s01.iff');
INSERT INTO `template_items` VALUES ('912', 'object/tangible/furniture/modern/shared_end_table_large_modern_style_01.iff');
INSERT INTO `template_items` VALUES ('913', 'object/tangible/loot/loot_schematic/shared_death_watch_mandalorian_jetpack_schematic.iff');
INSERT INTO `template_items` VALUES ('914', 'object/tangible/lair/quenker/shared_lair_quenker_grassland.iff');
INSERT INTO `template_items` VALUES ('915', 'object/tangible/ship/components/reactor/shared_rct_slayn_vortex_mk4.iff');
INSERT INTO `template_items` VALUES ('916', 'object/tangible/dice/shared_eqp_chance_cube.iff');
INSERT INTO `template_items` VALUES ('917', 'object/tangible/furniture/all/shared_frn_all_lamp_candlestick_tbl_s02.iff');
INSERT INTO `template_items` VALUES ('918', 'object/tangible/lair/mynock/shared_lair_mynock.iff');
INSERT INTO `template_items` VALUES ('919', 'object/tangible/hair/bothan/shared_hair_bothan_male_s20.iff');
INSERT INTO `template_items` VALUES ('920', 'object/tangible/ship/crafted/shields/shared_shield_intensifier_mk5.iff');
INSERT INTO `template_items` VALUES ('921', 'object/tangible/fishing/bait/shared_bait_insect.iff');
INSERT INTO `template_items` VALUES ('922', 'object/tangible/loot/simple_kit/shared_pulverizer.iff');
INSERT INTO `template_items` VALUES ('923', 'object/tangible/ship/attachment/engine/shared_awing_engine_s02.iff');
INSERT INTO `template_items` VALUES ('924', 'object/tangible/loot/quest/hero_of_tatooine/shared_squill_skull.iff');
INSERT INTO `template_items` VALUES ('925', 'object/tangible/lair/fynock/shared_lair_fynock_forest.iff');
INSERT INTO `template_items` VALUES ('926', 'object/tangible/mission/quest_item/shared_liane_q2_needed.iff');
INSERT INTO `template_items` VALUES ('927', 'object/tangible/ui/shared_ui_char_cust_pedestal.iff');
INSERT INTO `template_items` VALUES ('928', 'object/tangible/component/structure/shared_structural_module.iff');
INSERT INTO `template_items` VALUES ('929', 'object/tangible/terminal/shared_terminal_mission_scout.iff');
INSERT INTO `template_items` VALUES ('930', 'object/tangible/deed/pet_deed/shared_deed_dz70_advanced_basic.iff');
INSERT INTO `template_items` VALUES ('931', 'object/tangible/wearables/ithorian/shared_ith_underwear_bottom.iff');
INSERT INTO `template_items` VALUES ('932', 'object/tangible/ship/components/weapon/shared_weapon_test.iff');
INSERT INTO `template_items` VALUES ('933', 'object/tangible/furniture/decorative/shared_spear_rack.iff');
INSERT INTO `template_items` VALUES ('934', 'object/tangible/wearables/necklace/shared_necklace_s08.iff');
INSERT INTO `template_items` VALUES ('935', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_female_s05.iff');
INSERT INTO `template_items` VALUES ('936', 'object/tangible/hair/human/shared_hair_human_female_s22.iff');
INSERT INTO `template_items` VALUES ('937', 'object/tangible/wearables/dress/shared_nightsister_dress.iff');
INSERT INTO `template_items` VALUES ('938', 'object/tangible/ship/components/shield_generator/shared_shd_cygnus_elite.iff');
INSERT INTO `template_items` VALUES ('939', 'object/tangible/wearables/skirt/shared_singing_mountain_clan_skirt_s03.iff');
INSERT INTO `template_items` VALUES ('940', 'object/tangible/wearables/vest/shared_vest_hutt_gang_s01.iff');
INSERT INTO `template_items` VALUES ('941', 'object/tangible/crafting/base/shared_base_tool.iff');
INSERT INTO `template_items` VALUES ('942', 'object/tangible/wearables/armor/chitin/shared_armor_chitin_s01_chest_plate.iff');
INSERT INTO `template_items` VALUES ('943', 'object/tangible/hair/twilek/shared_hair_twilek_female_s06.iff');
INSERT INTO `template_items` VALUES ('944', 'object/tangible/component/armor/shared_armor_segment_enhancement_brackaset.iff');
INSERT INTO `template_items` VALUES ('945', 'object/tangible/space/story_loot/shared_loot_dantooine_anthro2.iff');
INSERT INTO `template_items` VALUES ('946', 'object/tangible/wearables/base/shared_base_dress_formal_hooded.iff');
INSERT INTO `template_items` VALUES ('947', 'object/tangible/medicine/crafted/shared_medpack_wound_quickness_c.iff');
INSERT INTO `template_items` VALUES ('948', 'object/tangible/container/quest/crafting_contract/shared_droid_crate.iff');
INSERT INTO `template_items` VALUES ('949', 'object/tangible/component/weapon/shared_projectile_rifle_barrel_advanced.iff');
INSERT INTO `template_items` VALUES ('950', 'object/tangible/wearables/shirt/shared_shirt_s26.iff');
INSERT INTO `template_items` VALUES ('951', 'object/tangible/lair/vlutore/shared_lair_vlutore.iff');
INSERT INTO `template_items` VALUES ('952', 'object/tangible/deed/pet_deed/shared_gurreck_deed.iff');
INSERT INTO `template_items` VALUES ('953', 'object/tangible/ship/crafted/chassis/shared_chassis_z95_wing_r.iff');
INSERT INTO `template_items` VALUES ('954', 'object/tangible/inventory/shared_creature_inventory_2.iff');
INSERT INTO `template_items` VALUES ('955', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_male_s14.iff');
INSERT INTO `template_items` VALUES ('956', 'object/tangible/wearables/pants/shared_pants_s08.iff');
INSERT INTO `template_items` VALUES ('957', 'object/tangible/wearables/boots/shared_boots_s12.iff');
INSERT INTO `template_items` VALUES ('958', 'object/tangible/ship/crafted/capacitor/shared_energy_saver_battery_mk1.iff');
INSERT INTO `template_items` VALUES ('959', 'object/tangible/lair/structure/exterior/shared_lair_hive_medium_exterior_dalyrake.iff');
INSERT INTO `template_items` VALUES ('960', 'object/tangible/beta/shared_beta_terminal_medicine.iff');
INSERT INTO `template_items` VALUES ('961', 'object/tangible/component/weapon/shared_reinforcement_core.iff');
INSERT INTO `template_items` VALUES ('962', 'object/tangible/ship/components/armor/shared_arm_subpro_standard_plastisteel.iff');
INSERT INTO `template_items` VALUES ('963', 'object/tangible/ship/components/weapon_capacitor/shared_cap_rendili_overseer_j8.iff');
INSERT INTO `template_items` VALUES ('964', 'object/tangible/food/crafted/shared_dish_teltier_noodles.iff');
INSERT INTO `template_items` VALUES ('965', 'object/tangible/hair/sullustan/shared_sul_hair_s10_m.iff');
INSERT INTO `template_items` VALUES ('966', 'object/tangible/ship/crafted/droid_interface/shared_maintenance_reduction_kit_mk5.iff');
INSERT INTO `template_items` VALUES ('967', 'object/tangible/component/armor/shared_armor_segment_enhancement_sharnaff.iff');
INSERT INTO `template_items` VALUES ('968', 'object/tangible/lair/dewback/shared_lair_dewback_desert.iff');
INSERT INTO `template_items` VALUES ('969', 'object/tangible/ship/components/shield_generator/shared_shd_tiefighter_basic.iff');
INSERT INTO `template_items` VALUES ('970', 'object/tangible/component/armor/shared_hide_gurk_king.iff');
INSERT INTO `template_items` VALUES ('971', 'object/tangible/component/bio/shared_bio_component_clothing_casual_medic_2.iff');
INSERT INTO `template_items` VALUES ('972', 'object/tangible/wearables/armor/mandalorian/shared_armor_mandalorian_chest_plate.iff');
INSERT INTO `template_items` VALUES ('973', 'object/tangible/ship/crafted/weapon/shared_min_damage_intensifier_mk1.iff');
INSERT INTO `template_items` VALUES ('974', 'object/tangible/ship/components/shield_generator/shared_shd_sfs_polyweb_4.iff');
INSERT INTO `template_items` VALUES ('975', 'object/tangible/medicine/crafted/shared_medpack_dizzy_b.iff');
INSERT INTO `template_items` VALUES ('976', 'object/tangible/component/droid/shared_item_storage_module_3.iff');
INSERT INTO `template_items` VALUES ('977', 'object/tangible/wearables/boots/shared_singing_mountain_clan_boots.iff');
INSERT INTO `template_items` VALUES ('978', 'object/tangible/hair/human/shared_hair_human_male_s17.iff');
INSERT INTO `template_items` VALUES ('979', 'object/tangible/wearables/ring/shared_ring_s04.iff');
INSERT INTO `template_items` VALUES ('980', 'object/tangible/lair/base/shared_poi_all_lair_nest_large_evil_fire_small.iff');
INSERT INTO `template_items` VALUES ('981', 'object/tangible/mission/quest_item/shared_shaki_hamachil_q2_needed.iff');
INSERT INTO `template_items` VALUES ('982', 'object/tangible/mission/quest_item/shared_booto_lubble_q1_needed.iff');
INSERT INTO `template_items` VALUES ('983', 'object/tangible/deed/city_deed/shared_theater_corellia_deed.iff');
INSERT INTO `template_items` VALUES ('984', 'object/tangible/deed/city_deed/shared_bank_tatooine_deed.iff');
INSERT INTO `template_items` VALUES ('985', 'object/tangible/mission/quest_item/shared_xaan_talmaron_q3_needed.iff');
INSERT INTO `template_items` VALUES ('986', 'object/tangible/veteran_reward/shared_frn_tech_console_sectional_d.iff');
INSERT INTO `template_items` VALUES ('987', 'object/tangible/furniture/city/shared_streetlamp_med_blue_01.iff');
INSERT INTO `template_items` VALUES ('988', 'object/tangible/lair/lantern_bird/shared_lair_lantern_bird_forest.iff');
INSERT INTO `template_items` VALUES ('989', 'object/tangible/wearables/robe/shared_robe_jedi_light_s03.iff');
INSERT INTO `template_items` VALUES ('990', 'object/tangible/lair/base/shared_poi_all_lair_dead_log_small_fog_mustard.iff');
INSERT INTO `template_items` VALUES ('991', 'object/tangible/mission/quest_item/shared_dea_tore_q4_needed.iff');
INSERT INTO `template_items` VALUES ('992', 'object/tangible/wearables/armor/ithorian_sentinel/shared_ith_armor_s03_helmet.iff');
INSERT INTO `template_items` VALUES ('993', 'object/tangible/lair/base/shared_poi_all_lair_thicket_large_fog_red.iff');
INSERT INTO `template_items` VALUES ('994', 'object/tangible/loot/quest/shared_anakin_helmet.iff');
INSERT INTO `template_items` VALUES ('995', 'object/tangible/loot/loot_schematic/shared_microphone_s01_schematic.iff');
INSERT INTO `template_items` VALUES ('996', 'object/tangible/ship/components/booster/shared_bst_reward_novaldex_elite.iff');
INSERT INTO `template_items` VALUES ('997', 'object/tangible/item/quest/force_sensitive/shared_fs_reflex_supply_crate.iff');
INSERT INTO `template_items` VALUES ('998', 'object/tangible/lair/gnort/shared_lair_gnort_grassland.iff');
INSERT INTO `template_items` VALUES ('999', 'object/tangible/lair/base/shared_poi_all_lair_nest_large_evil_fire_red.iff');
INSERT INTO `template_items` VALUES ('1000', 'object/tangible/ship/components/booster/shared_bst_z95_basic.iff');
INSERT INTO `template_items` VALUES ('1001', 'object/tangible/medicine/crafted/shared_medpack_enhance_quickness_c.iff');
INSERT INTO `template_items` VALUES ('1002', 'object/tangible/component/bio/shared_bio_component_food_medium_nutrition.iff');
INSERT INTO `template_items` VALUES ('1003', 'object/tangible/wearables/jacket/shared_jacket_s07.iff');
INSERT INTO `template_items` VALUES ('1004', 'object/tangible/ship/components/weapon/shared_wpn_armek_sw6.iff');
INSERT INTO `template_items` VALUES ('1005', 'object/tangible/component/munition/shared_enhanced_fragmentation_sleeve.iff');
INSERT INTO `template_items` VALUES ('1006', 'object/tangible/mission/quest_item/shared_liane_q3_needed.iff');
INSERT INTO `template_items` VALUES ('1007', 'object/tangible/deed/faction_perk/turret/shared_block_lg_deed.iff');
INSERT INTO `template_items` VALUES ('1008', 'object/tangible/ship/crafted/chassis/shared_chassis_xwing_cockpit.iff');
INSERT INTO `template_items` VALUES ('1009', 'object/tangible/medicine/crafted/shared_medpack_cure_poison_c.iff');
INSERT INTO `template_items` VALUES ('1010', 'object/tangible/deed/event_perk/shared_lottery_droid_deed.iff');
INSERT INTO `template_items` VALUES ('1011', 'object/tangible/ship/components/reactor/shared_rct_subpro_aurora_max.iff');
INSERT INTO `template_items` VALUES ('1012', 'object/tangible/lair/base/shared_poi_all_lair_leaf_large_fog_green.iff');
INSERT INTO `template_items` VALUES ('1013', 'object/tangible/ship/components/engine/shared_engine_kuat_tc40.iff');
INSERT INTO `template_items` VALUES ('1014', 'object/tangible/ship/crafted/capacitor/shared_extended_life_battery_mk4.iff');
INSERT INTO `template_items` VALUES ('1015', 'object/tangible/loot/misc/shared_loot_skull_human.iff');
INSERT INTO `template_items` VALUES ('1016', 'object/tangible/furniture/all/shared_frn_all_light_lamp_free_s04.iff');
INSERT INTO `template_items` VALUES ('1017', 'object/tangible/painting/shared_painting_endor_style_01.iff');
INSERT INTO `template_items` VALUES ('1018', 'object/tangible/item/quest/hero_of_tatooine/shared_explosives_crate.iff');
INSERT INTO `template_items` VALUES ('1019', 'object/tangible/loot/misc/shared_keepsakes.iff');
INSERT INTO `template_items` VALUES ('1020', 'object/tangible/ship/components/weapon_capacitor/shared_weapon_capacitor_test.iff');
INSERT INTO `template_items` VALUES ('1021', 'object/tangible/lair/base/shared_poi_all_lair_insecthill_large_evil_fire_small.iff');
INSERT INTO `template_items` VALUES ('1022', 'object/tangible/lair/roba/shared_lair_roba.iff');
INSERT INTO `template_items` VALUES ('1023', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon1_s06.iff');
INSERT INTO `template_items` VALUES ('1024', 'object/tangible/food/shared_bread_loaf_full_s1.iff');
INSERT INTO `template_items` VALUES ('1025', 'object/tangible/ship/attachment/booster/shared_hutt_light_booster_s01.iff');
INSERT INTO `template_items` VALUES ('1026', 'object/tangible/lair/base/shared_poi_all_lair_warren_large_evil_fire_green.iff');
INSERT INTO `template_items` VALUES ('1027', 'object/tangible/weather_object/shared_weather_object_base.iff');
INSERT INTO `template_items` VALUES ('1028', 'object/tangible/component/weapon/shared_sword_core_advanced.iff');
INSERT INTO `template_items` VALUES ('1029', 'object/tangible/hair/bothan/shared_hair_bothan_female_s02.iff');
INSERT INTO `template_items` VALUES ('1030', 'object/tangible/ship/components/engine/shared_eng_sfs_imperial_1.iff');
INSERT INTO `template_items` VALUES ('1031', 'object/tangible/wearables/cyborg/shared_forearm_l_s01.iff');
INSERT INTO `template_items` VALUES ('1032', 'object/tangible/ship/components/armor/shared_arm_incom_standard_plate.iff');
INSERT INTO `template_items` VALUES ('1033', 'object/tangible/lair/blistmok/shared_lair_blistmok.iff');
INSERT INTO `template_items` VALUES ('1034', 'object/tangible/lair/base/shared_poi_all_lair_rock_shelter_large_evil_fire_green.iff');
INSERT INTO `template_items` VALUES ('1035', 'object/tangible/mission/quest_item/shared_kelvus_naria_q1_needed.iff');
INSERT INTO `template_items` VALUES ('1036', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s01_helmet.iff');
INSERT INTO `template_items` VALUES ('1037', 'object/tangible/mission/quest_item/shared_throme_gormengal_q1_needed.iff');
INSERT INTO `template_items` VALUES ('1038', 'object/tangible/ship/crafted/engine/shared_engine_overdriver_mk5.iff');
INSERT INTO `template_items` VALUES ('1039', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_rebel_destroy_01.iff');
INSERT INTO `template_items` VALUES ('1040', 'object/tangible/wearables/belt/shared_belt_s07.iff');
INSERT INTO `template_items` VALUES ('1041', 'object/tangible/wearables/skirt/shared_skirt_s03.iff');
INSERT INTO `template_items` VALUES ('1042', 'object/tangible/ship/components/armor/shared_arm_reward_mandal_elite.iff');
INSERT INTO `template_items` VALUES ('1043', 'object/tangible/painting/shared_painting_schematic_transport_ship.iff');
INSERT INTO `template_items` VALUES ('1044', 'object/tangible/furniture/cheap/shared_love_seat_s01.iff');
INSERT INTO `template_items` VALUES ('1045', 'object/tangible/medicine/crafted/shared_medpack_disease_willpower_a.iff');
INSERT INTO `template_items` VALUES ('1046', 'object/tangible/bug_jar/shared_sample_bats.iff');
INSERT INTO `template_items` VALUES ('1047', 'object/tangible/deed/generator_deed/shared_generator_photo_bio_deed.iff');
INSERT INTO `template_items` VALUES ('1048', 'object/tangible/loot/simple_kit/shared_firework_casing.iff');
INSERT INTO `template_items` VALUES ('1049', 'object/tangible/ship/components/weapon_capacitor/shared_cap_mandal_powermaster_mk2.iff');
INSERT INTO `template_items` VALUES ('1050', 'object/tangible/ship/components/weapon/shared_wpn_cygnus_destroyer_mk2.iff');
INSERT INTO `template_items` VALUES ('1051', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s04.iff');
INSERT INTO `template_items` VALUES ('1052', 'object/tangible/ship/components/reactor/shared_rct_armek_super_collider.iff');
INSERT INTO `template_items` VALUES ('1053', 'object/tangible/skill_buff/shared_skill_buff_ranged_defense.iff');
INSERT INTO `template_items` VALUES ('1054', 'object/tangible/ship/components/weapon/shared_wpn_incom_elite_quad_blaster.iff');
INSERT INTO `template_items` VALUES ('1055', 'object/tangible/furniture/jedi/shared_frn_all_candlestick.iff');
INSERT INTO `template_items` VALUES ('1056', 'object/tangible/ship/attachment/weapon/shared_ykl37r_turret_body_s02.iff');
INSERT INTO `template_items` VALUES ('1057', 'object/tangible/wearables/bracelet/shared_bracelet_r.iff');
INSERT INTO `template_items` VALUES ('1058', 'object/tangible/wearables/ithorian/shared_ith_belt_s03.iff');
INSERT INTO `template_items` VALUES ('1059', 'object/tangible/lair/gronda/shared_lair_gronda.iff');
INSERT INTO `template_items` VALUES ('1060', 'object/tangible/ship/components/weapon_capacitor/shared_cap_kse_limited_mk1.iff');
INSERT INTO `template_items` VALUES ('1061', 'object/tangible/ship/components/weapon/shared_wpn_slayn_ioncannon.iff');
INSERT INTO `template_items` VALUES ('1062', 'object/tangible/deed/player_house_deed/shared_generic_house_small_deed.iff');
INSERT INTO `template_items` VALUES ('1063', 'object/tangible/deed/player_house_deed/shared_generic_house_small_floor_02_deed.iff');
INSERT INTO `template_items` VALUES ('1064', 'object/tangible/furniture/all/shared_frn_all_light_lamp_table_s01.iff');
INSERT INTO `template_items` VALUES ('1065', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_pos_s05_1.iff');
INSERT INTO `template_items` VALUES ('1066', 'object/tangible/deed/turret_deed/shared_turret_block_large_deed.iff');
INSERT INTO `template_items` VALUES ('1067', 'object/tangible/wearables/hat/shared_hat_chef_s02.iff');
INSERT INTO `template_items` VALUES ('1068', 'object/tangible/lair/opee_sea_killer/shared_lair_opee_sea_killer_underwater.iff');
INSERT INTO `template_items` VALUES ('1069', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_neg_s03_0.iff');
INSERT INTO `template_items` VALUES ('1070', 'object/tangible/ship/components/shield_generator/shared_shd_incom_rayshield_x7.iff');
INSERT INTO `template_items` VALUES ('1071', 'object/tangible/lair/tusk_cat/shared_lair_tusk_cat_grassland.iff');
INSERT INTO `template_items` VALUES ('1072', 'object/tangible/ship/attachment/weapon/shared_yt1300_radar_s01_0.iff');
INSERT INTO `template_items` VALUES ('1073', 'object/tangible/medicine/pet/shared_pet_vitapack_b.iff');
INSERT INTO `template_items` VALUES ('1074', 'object/tangible/food/base/shared_side_dish_base.iff');
INSERT INTO `template_items` VALUES ('1075', 'object/tangible/wearables/earring/shared_earring_s04.iff');
INSERT INTO `template_items` VALUES ('1076', 'object/tangible/wearables/robe/shared_robe_jedi_dark_s03.iff');
INSERT INTO `template_items` VALUES ('1077', 'object/tangible/hair/sullustan/shared_sul_hair_s12_f.iff');
INSERT INTO `template_items` VALUES ('1078', 'object/tangible/loot/misc/shared_worklight.iff');
INSERT INTO `template_items` VALUES ('1079', 'object/tangible/ship/components/weapon/shared_wpn_kdy_pounder_mk1.iff');
INSERT INTO `template_items` VALUES ('1080', 'object/tangible/ship/components/droid_interface/shared_ddi_novaldex_droid_interface_mk4.iff');
INSERT INTO `template_items` VALUES ('1081', 'object/tangible/deed/event_perk/shared_corsec_stage_theater_deed.iff');
INSERT INTO `template_items` VALUES ('1082', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s06.iff');
INSERT INTO `template_items` VALUES ('1083', 'object/tangible/lair/base/shared_poi_all_lair_rocks_small_fog_mustard.iff');
INSERT INTO `template_items` VALUES ('1084', 'object/tangible/ship/crafted/reactor/shared_reactor_limiter_mk5.iff');
INSERT INTO `template_items` VALUES ('1085', 'object/tangible/component/dna/shared_dna_template_falumpaset.iff');
INSERT INTO `template_items` VALUES ('1086', 'object/tangible/component/droid/shared_personality_module_geek.iff');
INSERT INTO `template_items` VALUES ('1087', 'object/tangible/ship/components/shield_generator/shared_shd_gallofree_defender_elite.iff');
INSERT INTO `template_items` VALUES ('1088', 'object/tangible/ship/components/weapon/shared_wpn_slayn_deluxe_light_ioncannon.iff');
INSERT INTO `template_items` VALUES ('1089', 'object/tangible/loot/quest/shared_sean_questp_htestimony.iff');
INSERT INTO `template_items` VALUES ('1090', 'object/tangible/skill_buff/shared_skill_buff_thrown_accuracy.iff');
INSERT INTO `template_items` VALUES ('1091', 'object/tangible/ship/crafted/booster/shared_extended_life_fuel_cell_mk1.iff');
INSERT INTO `template_items` VALUES ('1092', 'object/tangible/component/dna/shared_dna_sample_below_average.iff');
INSERT INTO `template_items` VALUES ('1093', 'object/tangible/sign/base/shared_base_sign.iff');
INSERT INTO `template_items` VALUES ('1094', 'object/tangible/ship/attachment/weapon/shared_awing_weapon_s06.iff');
INSERT INTO `template_items` VALUES ('1095', 'object/tangible/wearables/armor/chitin/shared_armor_chitin_s01_helmet.iff');
INSERT INTO `template_items` VALUES ('1096', 'object/tangible/ship/crafted/weapon/shared_wpn_heavy_disruptor.iff');
INSERT INTO `template_items` VALUES ('1097', 'object/tangible/wearables/ithorian/shared_ith_shirt_s10.iff');
INSERT INTO `template_items` VALUES ('1098', 'object/tangible/component/vehicle/shared_mini_launcher_pod.iff');
INSERT INTO `template_items` VALUES ('1099', 'object/tangible/ship/components/booster/shared_bst_corellian_promotional_standard_thrust_enhancer.iff');
INSERT INTO `template_items` VALUES ('1100', 'object/tangible/deed/event_perk/shared_xwing_static_deed.iff');
INSERT INTO `template_items` VALUES ('1101', 'object/tangible/space/story_loot/shared_loot_dantooine_junk3.iff');
INSERT INTO `template_items` VALUES ('1102', 'object/tangible/ship/components/reactor/shared_rct_rss_x12.iff');
INSERT INTO `template_items` VALUES ('1103', 'object/tangible/lair/base/shared_poi_all_lair_dead_log_small_evil_fire_red.iff');
INSERT INTO `template_items` VALUES ('1104', 'object/tangible/furniture/all/shared_frn_all_table_s03.iff');
INSERT INTO `template_items` VALUES ('1105', 'object/tangible/ship/attachment/weapon/shared_ykl37r_turret_barrel_s02.iff');
INSERT INTO `template_items` VALUES ('1106', 'object/tangible/ship/components/droid_interface/shared_ddi_kse_enhanced_manager_mk3.iff');
INSERT INTO `template_items` VALUES ('1107', 'object/tangible/space/story_loot/shared_loot_dantooine_scavengers2.iff');
INSERT INTO `template_items` VALUES ('1108', 'object/tangible/skill_buff/shared_skill_buff_melee_accuracy.iff');
INSERT INTO `template_items` VALUES ('1109', 'object/tangible/wearables/boots/shared_boots_tusken_raider.iff');
INSERT INTO `template_items` VALUES ('1110', 'object/tangible/wearables/dress/shared_dress_s30.iff');
INSERT INTO `template_items` VALUES ('1111', 'object/tangible/ship/crafted/shields/shared_base_shields_subcomponent_mk4.iff');
INSERT INTO `template_items` VALUES ('1112', 'object/tangible/loot/misc/shared_medallion_dark_jedi_s01.iff');
INSERT INTO `template_items` VALUES ('1113', 'object/tangible/ship/crafted/chassis/shared_z95_deed.iff');
INSERT INTO `template_items` VALUES ('1114', 'object/tangible/lair/bol/shared_lair_bol.iff');
INSERT INTO `template_items` VALUES ('1115', 'object/tangible/ship/components/engine/shared_eng_mandal_x57_vandal.iff');
INSERT INTO `template_items` VALUES ('1116', 'object/tangible/medicine/crafted/shared_medpack_disease_constitution_b.iff');
INSERT INTO `template_items` VALUES ('1117', 'object/tangible/component/weapon/shared_laser_generator.iff');
INSERT INTO `template_items` VALUES ('1118', 'object/tangible/dungeon/shared_wall_terminal_s2.iff');
INSERT INTO `template_items` VALUES ('1119', 'object/tangible/mission/quest_item/shared_throme_gormengal_q3_needed.iff');
INSERT INTO `template_items` VALUES ('1120', 'object/tangible/wearables/ithorian/shared_ith_gloves_s01.iff');
INSERT INTO `template_items` VALUES ('1121', 'object/tangible/ship/components/droid_interface/shared_ddi_tiefighter_basic.iff');
INSERT INTO `template_items` VALUES ('1122', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s03_boots.iff');
INSERT INTO `template_items` VALUES ('1123', 'object/tangible/furniture/modern/shared_rug_oval_lg_s01.iff');
INSERT INTO `template_items` VALUES ('1124', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s03_helmet.iff');
INSERT INTO `template_items` VALUES ('1125', 'object/tangible/space/special_loot/shared_firespray_schematic_part6.iff');
INSERT INTO `template_items` VALUES ('1126', 'object/tangible/ship/components/weapon_capacitor/shared_cap_generic.iff');
INSERT INTO `template_items` VALUES ('1127', 'object/tangible/loot/quest/shared_nym_hard_drive.iff');
INSERT INTO `template_items` VALUES ('1128', 'object/tangible/lair/womp_rat/shared_lair_womp_rat_desert.iff');
INSERT INTO `template_items` VALUES ('1129', 'object/tangible/deed/event_perk/shared_rori_flag_deed.iff');
INSERT INTO `template_items` VALUES ('1130', 'object/tangible/hair/rodian/shared_hair_rodian_female_s19.iff');
INSERT INTO `template_items` VALUES ('1131', 'object/tangible/hair/human/shared_hair_human_male_s23.iff');
INSERT INTO `template_items` VALUES ('1132', 'object/tangible/item/quest/force_sensitive/shared_fs_craft_puzzle_decryption_chip.iff');
INSERT INTO `template_items` VALUES ('1133', 'object/tangible/scout/trap/shared_trap_drowsy_dart.iff');
INSERT INTO `template_items` VALUES ('1134', 'object/tangible/wearables/necklace/shared_necklace_s01.iff');
INSERT INTO `template_items` VALUES ('1135', 'object/tangible/loot/misc/shared_medallion_black_sun_s01.iff');
INSERT INTO `template_items` VALUES ('1136', 'object/tangible/ship/components/armor/shared_arm_kse_supreme_durasteel.iff');
INSERT INTO `template_items` VALUES ('1137', 'object/tangible/component/dna/shared_dna_template_bol.iff');
INSERT INTO `template_items` VALUES ('1138', 'object/tangible/ship/components/shield_generator/shared_shd_armek_plasma_shell_s2.iff');
INSERT INTO `template_items` VALUES ('1139', 'object/tangible/loot/misc/shared_firework_dud_s1.iff');
INSERT INTO `template_items` VALUES ('1140', 'object/tangible/wearables/bodysuit/shared_bodysuit_s06.iff');
INSERT INTO `template_items` VALUES ('1141', 'object/tangible/dungeon/death_watch_bunker/shared_drill_battery.iff');
INSERT INTO `template_items` VALUES ('1142', 'object/tangible/loot/misc/shared_loot_skull_bith.iff');
INSERT INTO `template_items` VALUES ('1143', 'object/tangible/lair/base/shared_poi_all_lair_rocks_large_evil_fire_red.iff');
INSERT INTO `template_items` VALUES ('1144', 'object/tangible/inventory/shared_lightsaber_inventory_3.iff');
INSERT INTO `template_items` VALUES ('1145', 'object/tangible/scout/trap/shared_trap_flash_bomb.iff');
INSERT INTO `template_items` VALUES ('1146', 'object/tangible/camp/shared_camp_chair_s3.iff');
INSERT INTO `template_items` VALUES ('1147', 'object/tangible/ship/components/armor/shared_armor_z95_basic.iff');
INSERT INTO `template_items` VALUES ('1148', 'object/tangible/deed/pet_deed/shared_deed_mse_basic.iff');
INSERT INTO `template_items` VALUES ('1149', 'object/tangible/loot/collectible/collectible_parts/shared_sculpture_structure_02.iff');
INSERT INTO `template_items` VALUES ('1150', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s03_bandolier_double.iff');
INSERT INTO `template_items` VALUES ('1151', 'object/tangible/mission/quest_item/shared_liane_q1_needed.iff');
INSERT INTO `template_items` VALUES ('1152', 'object/tangible/loot/loot_schematic/shared_death_watch_bounty_hunter_bicep_r_schematic.iff');
INSERT INTO `template_items` VALUES ('1153', 'object/tangible/wearables/ithorian/shared_ith_pants_s04.iff');
INSERT INTO `template_items` VALUES ('1154', 'object/tangible/painting/shared_painting_schematic_weapon_s03.iff');
INSERT INTO `template_items` VALUES ('1155', 'object/tangible/powerup/weapon/shared_heavy.iff');
INSERT INTO `template_items` VALUES ('1156', 'object/tangible/ship/components/engine/shared_eng_tiefighter_basic.iff');
INSERT INTO `template_items` VALUES ('1157', 'object/tangible/ship/attachment/weapon/shared_ywing_weapon2_s04.iff');
INSERT INTO `template_items` VALUES ('1158', 'object/tangible/deed/event_perk/shared_wedding_garden_imperial_large_theater_deed.iff');
INSERT INTO `template_items` VALUES ('1159', 'object/tangible/component/weapon/shared_vibro_unit_enhancement_durability.iff');
INSERT INTO `template_items` VALUES ('1160', 'object/tangible/food/foraged/shared_foraged_fruit_s4.iff');
INSERT INTO `template_items` VALUES ('1161', 'object/tangible/loot/misc/shared_proclamation_s01.iff');
INSERT INTO `template_items` VALUES ('1162', 'object/tangible/ship/crafted/reactor/shared_reactor_overcharger_mk4.iff');
INSERT INTO `template_items` VALUES ('1163', 'object/tangible/wearables/bandolier/shared_ith_multipocket_bandolier.iff');
INSERT INTO `template_items` VALUES ('1164', 'object/tangible/food/crafted/shared_drink_tssolok.iff');
INSERT INTO `template_items` VALUES ('1165', 'object/tangible/ship/components/chassis/shared_base_chassis_token.iff');
INSERT INTO `template_items` VALUES ('1166', 'object/tangible/crafting/base/shared_base_station.iff');
INSERT INTO `template_items` VALUES ('1167', 'object/tangible/terminal/shared_terminal_guild.iff');
INSERT INTO `template_items` VALUES ('1168', 'object/tangible/mission/quest_item/shared_xaan_talmaron_q1_needed.iff');
INSERT INTO `template_items` VALUES ('1169', 'object/tangible/component/dna/shared_dna_template_bantha.iff');
INSERT INTO `template_items` VALUES ('1170', 'object/tangible/component/dna/shared_dna_template_bearded_jax.iff');
INSERT INTO `template_items` VALUES ('1171', 'object/tangible/ship/components/engine/shared_eng_mandal_firestorm_2.iff');
INSERT INTO `template_items` VALUES ('1172', 'object/tangible/ship/components/reactor/shared_rct_rss_x8.iff');
INSERT INTO `template_items` VALUES ('1173', 'object/tangible/wearables/pants/shared_pants_s01.iff');
INSERT INTO `template_items` VALUES ('1174', 'object/tangible/datapad/shared_droid_datapad_6.iff');
INSERT INTO `template_items` VALUES ('1175', 'object/tangible/lair/structure/interior/shared_lair_cave_large_interior_with_nest_kai-tok.iff');
INSERT INTO `template_items` VALUES ('1176', 'object/tangible/hq_destructible/shared_base_destructible.iff');
INSERT INTO `template_items` VALUES ('1177', 'object/tangible/hair/twilek/base/shared_hair_twilek_female_base.iff');
INSERT INTO `template_items` VALUES ('1178', 'object/tangible/loot/collectible/collectible_parts/shared_gong_structure_05.iff');
INSERT INTO `template_items` VALUES ('1179', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s02.iff');
INSERT INTO `template_items` VALUES ('1180', 'object/tangible/food/spice/shared_spice_thruster_head.iff');
INSERT INTO `template_items` VALUES ('1181', 'object/tangible/wearables/vest/shared_vest_s11.iff');
INSERT INTO `template_items` VALUES ('1182', 'object/tangible/medicine/crafted/shared_medpack_enhance_action_b.iff');
INSERT INTO `template_items` VALUES ('1183', 'object/tangible/lair/base/shared_lair_base_hovel.iff');
INSERT INTO `template_items` VALUES ('1184', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon1_s04.iff');
INSERT INTO `template_items` VALUES ('1185', 'object/tangible/furniture/jedi/shared_frn_all_table_dark_02.iff');
INSERT INTO `template_items` VALUES ('1186', 'object/tangible/loot/simple_kit/shared_tumble_blender.iff');
INSERT INTO `template_items` VALUES ('1187', 'object/tangible/crafting/station/shared_clothing_station.iff');
INSERT INTO `template_items` VALUES ('1188', 'object/tangible/container/drum/shared_warren_drum_tech_armoire.iff');
INSERT INTO `template_items` VALUES ('1189', 'object/tangible/lair/base/shared_lair_base_rancor_dark.iff');
INSERT INTO `template_items` VALUES ('1190', 'object/tangible/wearables/armor/ris/shared_armor_ris_helmet.iff');
INSERT INTO `template_items` VALUES ('1191', 'object/tangible/ship/components/shield_generator/shared_shd_koensayr_deflector_m3.iff');
INSERT INTO `template_items` VALUES ('1192', 'object/tangible/ship/components/weapon/shared_wpn_sfs_imperial_blaster_4.iff');
INSERT INTO `template_items` VALUES ('1193', 'object/tangible/ship/crafted/chassis/shared_tieaggressor_deed.iff');
INSERT INTO `template_items` VALUES ('1194', 'object/tangible/lair/peko_peko/shared_lair_peko_peko_grassland.iff');
INSERT INTO `template_items` VALUES ('1195', 'object/tangible/ship/crafted/weapon/shared_base_weapon_subcomponent_mk2.iff');
INSERT INTO `template_items` VALUES ('1196', 'object/tangible/deed/event_perk/shared_lambda_shuttle_static_deed.iff');
INSERT INTO `template_items` VALUES ('1197', 'object/tangible/component/weapon/shared_laser_magnetic_flashback_supressor.iff');
INSERT INTO `template_items` VALUES ('1198', 'object/tangible/wearables/armor/composite/shared_armor_composite_gloves.iff');
INSERT INTO `template_items` VALUES ('1199', 'object/tangible/location/shared_location_32.iff');
INSERT INTO `template_items` VALUES ('1200', 'object/tangible/lair/structure/exterior/shared_lair_cave_giant_exterior_kimogila.iff');
INSERT INTO `template_items` VALUES ('1201', 'object/tangible/medicine/crafted/shared_medpack_disease_quickness_b.iff');
INSERT INTO `template_items` VALUES ('1202', 'object/tangible/medicine/crafted/shared_medpack_disease_area_mind_c.iff');
INSERT INTO `template_items` VALUES ('1203', 'object/tangible/ship/components/booster/shared_bst_kde_br12.iff');
INSERT INTO `template_items` VALUES ('1204', 'object/tangible/ship/components/weapon/shared_wpn_incom_light_blaster.iff');
INSERT INTO `template_items` VALUES ('1205', 'object/tangible/lair/chuba/shared_lair_chuba_swamp.iff');
INSERT INTO `template_items` VALUES ('1206', 'object/tangible/wearables/gloves/shared_gloves_s03.iff');
INSERT INTO `template_items` VALUES ('1207', 'object/tangible/ship/components/reactor/shared_rct_watto_sunray_3.iff');
INSERT INTO `template_items` VALUES ('1208', 'object/tangible/lair/base/shared_poi_all_lair_mound_small_fog_green.iff');
INSERT INTO `template_items` VALUES ('1209', 'object/tangible/mission/quest_item/shared_booto_lubble_q2_needed.iff');
INSERT INTO `template_items` VALUES ('1210', 'object/tangible/wearables/base/shared_base_mouth.iff');
INSERT INTO `template_items` VALUES ('1211', 'object/tangible/loot/collectible/collectible_parts/shared_orange_rug_thread_06.iff');
INSERT INTO `template_items` VALUES ('1212', 'object/tangible/mission/quest_item/shared_shaki_hamachil_q1_needed.iff');
INSERT INTO `template_items` VALUES ('1213', 'object/tangible/wearables/base/shared_base_eyes.iff');
INSERT INTO `template_items` VALUES ('1214', 'object/tangible/wearables/helmet/shared_helmet_tusken_raider_s02.iff');
INSERT INTO `template_items` VALUES ('1215', 'object/tangible/scout/trap/shared_trap_state_def_1.iff');
INSERT INTO `template_items` VALUES ('1216', 'object/tangible/mission/quest_item/shared_vhaunda_q1_needed.iff');
INSERT INTO `template_items` VALUES ('1217', 'object/tangible/mission/quest_item/shared_warren_evidence_s01.iff');
INSERT INTO `template_items` VALUES ('1218', 'object/tangible/furniture/city/shared_fountain_heroic.iff');
INSERT INTO `template_items` VALUES ('1219', 'object/tangible/shipcontrol/shared_shipoperations_falcon.iff');
INSERT INTO `template_items` VALUES ('1220', 'object/tangible/crafting/station/shared_clothing_tool.iff');
INSERT INTO `template_items` VALUES ('1221', 'object/tangible/mission/quest_item/shared_igbi_freemo_q2_needed.iff');
INSERT INTO `template_items` VALUES ('1222', 'object/tangible/crafting/station/shared_jedi_tool.iff');
INSERT INTO `template_items` VALUES ('1223', 'object/tangible/component/item/quest_item/shared_signal_cleanup_unit.iff');
INSERT INTO `template_items` VALUES ('1224', 'object/tangible/ship/components/shield_generator/shared_shd_incom_techscreen_elite.iff');
INSERT INTO `template_items` VALUES ('1225', 'object/tangible/ship/components/armor/shared_arm_kse_limited_heavy_durasteel.iff');
INSERT INTO `template_items` VALUES ('1226', 'object/tangible/deed/player_house_deed/shared_merchant_tent_style_02_deed.iff');
INSERT INTO `template_items` VALUES ('1227', 'object/tangible/lair/base/shared_poi_all_lair_mound_small.iff');
INSERT INTO `template_items` VALUES ('1228', 'object/tangible/loot/tool/shared_impulse_detector_broken_s3.iff');
INSERT INTO `template_items` VALUES ('1229', 'object/tangible/furniture/modern/shared_bar_piece_straight_s1.iff');
INSERT INTO `template_items` VALUES ('1230', 'object/tangible/wearables/armor/ubese/shared_armor_ubese_shirt.iff');
INSERT INTO `template_items` VALUES ('1231', 'object/tangible/loot/misc/shared_casual_rug.iff');
INSERT INTO `template_items` VALUES ('1232', 'object/tangible/lair/base/shared_poi_all_lair_dead_log_large.iff');
INSERT INTO `template_items` VALUES ('1233', 'object/tangible/ship/components/armor/shared_arm_kse_modified_heavy_durasteel.iff');
INSERT INTO `template_items` VALUES ('1234', 'object/tangible/deed/harvester_deed/shared_harvester_moisture_deed_medium.iff');
INSERT INTO `template_items` VALUES ('1235', 'object/tangible/furniture/cheap/shared_couch_s01.iff');
INSERT INTO `template_items` VALUES ('1236', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s01_lit.iff');
INSERT INTO `template_items` VALUES ('1237', 'object/tangible/ship/components/weapon/shared_wpn_haor_chall_speedblaster.iff');
INSERT INTO `template_items` VALUES ('1238', 'object/tangible/ship/components/armor/shared_arm_subpro_bargain_plastisteel.iff');
INSERT INTO `template_items` VALUES ('1239', 'object/tangible/ship/attachment/booster/shared_blacksun_medium_booster_s01.iff');
INSERT INTO `template_items` VALUES ('1240', 'object/tangible/medicine/shared_medpack_blinded.iff');
INSERT INTO `template_items` VALUES ('1241', 'object/tangible/loot/dungeon/death_watch_bunker/shared_viewscreen_s1.iff');
INSERT INTO `template_items` VALUES ('1242', 'object/tangible/lair/mawgax/shared_lair_mawgax_grassland.iff');
INSERT INTO `template_items` VALUES ('1243', 'object/tangible/mission/quest_item/shared_dilvin_lormurojo_q2_needed.iff');
INSERT INTO `template_items` VALUES ('1244', 'object/tangible/ship/attachment/booster/shared_blacksun_heavy_booster_s02.iff');
INSERT INTO `template_items` VALUES ('1245', 'object/tangible/component/weapon/shared_projectile_rifle_barrel.iff');
INSERT INTO `template_items` VALUES ('1246', 'object/tangible/lair/eopie/shared_lair_eopie_dune.iff');
INSERT INTO `template_items` VALUES ('1247', 'object/tangible/deed/pet_deed/shared_boar_wolf_deed.iff');
INSERT INTO `template_items` VALUES ('1248', 'object/tangible/lair/cu_pa/shared_lair_cu_pa_wasteland.iff');
INSERT INTO `template_items` VALUES ('1249', 'object/tangible/ship/crafted/booster/shared_heavy_fuel_cell_mk1.iff');
INSERT INTO `template_items` VALUES ('1250', 'object/tangible/ship/components/reactor/shared_rct_moncal_overdriver_s2.iff');
INSERT INTO `template_items` VALUES ('1251', 'object/tangible/lair/capper_spineflap/shared_lair_capper_spineflap.iff');
INSERT INTO `template_items` VALUES ('1252', 'object/tangible/wearables/wookiee/shared_wke_hood_s01.iff');
INSERT INTO `template_items` VALUES ('1253', 'object/tangible/ship/crafted/armor/shared_base_armor_subcomponent.iff');
INSERT INTO `template_items` VALUES ('1254', 'object/tangible/component/dna/shared_dna_template_guf_drolg.iff');
INSERT INTO `template_items` VALUES ('1255', 'object/tangible/ship/components/engine/shared_eng_cygnus_hd_5.iff');
INSERT INTO `template_items` VALUES ('1256', 'object/tangible/ship/attachment/engine/shared_xwing_engine_pos_s02.iff');
INSERT INTO `template_items` VALUES ('1257', 'object/tangible/wearables/armor/bone/shared_armor_bone_s01_bracer_l.iff');
INSERT INTO `template_items` VALUES ('1258', 'object/tangible/furniture/decorative/shared_bacta_tank.iff');
INSERT INTO `template_items` VALUES ('1259', 'object/tangible/lair/base/shared_poi_all_lair_leaf_small_evil_fire_red.iff');
INSERT INTO `template_items` VALUES ('1260', 'object/tangible/ship/components/droid_interface/shared_ddi_moncal_custom_dk2.iff');
INSERT INTO `template_items` VALUES ('1261', 'object/tangible/food/crafted/shared_drink_vasarian_brandy.iff');
INSERT INTO `template_items` VALUES ('1262', 'object/tangible/wearables/armor/nightsister/shared_armor_nightsister_bicep_r_s01.iff');
INSERT INTO `template_items` VALUES ('1263', 'object/tangible/ship/components/weapon_capacitor/shared_cap_mandal_rare_powermaster_mk4.iff');
INSERT INTO `template_items` VALUES ('1264', 'object/tangible/ship/crafted/chassis/shared_texture_kit_s04.iff');
INSERT INTO `template_items` VALUES ('1265', 'object/tangible/component/weapon/shared_geonosian_power_cube_yellow.iff');
INSERT INTO `template_items` VALUES ('1266', 'object/tangible/component/weapon/shared_weapon_dlt20_stock.iff');
INSERT INTO `template_items` VALUES ('1267', 'object/tangible/ship/attachment/weapon/shared_z95_weapon_s05.iff');
INSERT INTO `template_items` VALUES ('1268', 'object/tangible/ship/components/droid_interface/shared_ddi_rss_enhanced_imperial_1.iff');
INSERT INTO `template_items` VALUES ('1269', 'object/tangible/component/vehicle/shared_adv_vehicle_structure_frame.iff');
INSERT INTO `template_items` VALUES ('1270', 'object/tangible/wearables/shirt/shared_shirt_s12.iff');
INSERT INTO `template_items` VALUES ('1271', 'object/tangible/ship/components/booster/shared_bst_corellian_experimental_tjh3.iff');
INSERT INTO `template_items` VALUES ('1272', 'object/tangible/ship/crafted/reactor/shared_fusion_reactor_mk3.iff');
INSERT INTO `template_items` VALUES ('1273', 'object/tangible/food/crafted/shared_drink_starshine_surprise.iff');
INSERT INTO `template_items` VALUES ('1274', 'object/tangible/ship/attachment/weapon/shared_hutt_medium_weapon1_s06.iff');
INSERT INTO `template_items` VALUES ('1275', 'object/tangible/container/jar/shared_jar_funk_s01.iff');
INSERT INTO `template_items` VALUES ('1276', 'object/tangible/mission/quest_item/shared_vardias_tyne_q2_needed.iff');
INSERT INTO `template_items` VALUES ('1277', 'object/tangible/deed/event_perk/shared_stone_base_banner_static_deed.iff');
INSERT INTO `template_items` VALUES ('1278', 'object/tangible/ship/components/chassis/shared_tieaggressor_chassis_token.iff');
INSERT INTO `template_items` VALUES ('1279', 'object/tangible/wearables/armor/ithorian_sentinel/shared_ith_armor_s03_leggings.iff');
INSERT INTO `template_items` VALUES ('1280', 'object/tangible/ship/components/armor/shared_arm_corellian_reinforced_supreme_durasteel.iff');
INSERT INTO `template_items` VALUES ('1281', 'object/tangible/wearables/ithorian/shared_ith_necklace_s03.iff');
INSERT INTO `template_items` VALUES ('1282', 'object/tangible/ship/components/booster/shared_bst_kessel_imperial_cygnus_hyperthrust.iff');
INSERT INTO `template_items` VALUES ('1283', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_sm_s03.iff');
INSERT INTO `template_items` VALUES ('1284', 'object/tangible/hair/human/shared_hair_human_female_s16.iff');
INSERT INTO `template_items` VALUES ('1285', 'object/tangible/wearables/bikini/shared_bikini_s01.iff');
INSERT INTO `template_items` VALUES ('1286', 'object/tangible/medicine/crafted/shared_medpack_grenade_damage_e.iff');
INSERT INTO `template_items` VALUES ('1287', 'object/tangible/hair/rodian/shared_hair_rodian_male_s09.iff');
INSERT INTO `template_items` VALUES ('1288', 'object/tangible/hair/bothan/shared_hair_bothan_male_s14.iff');
INSERT INTO `template_items` VALUES ('1289', 'object/tangible/hair/sullustan/base/shared_hair_sullustan_base.iff');
INSERT INTO `template_items` VALUES ('1290', 'object/tangible/loot/collectible/collectible_parts/shared_blue_rug_thread_07.iff');
INSERT INTO `template_items` VALUES ('1291', 'object/tangible/wearables/armor/bone/shared_armor_bone_s01_boots.iff');
INSERT INTO `template_items` VALUES ('1292', 'object/tangible/loot/simple_kit/shared_processor_attachments.iff');
INSERT INTO `template_items` VALUES ('1293', 'object/tangible/wearables/boots/shared_boots_corsec.iff');
INSERT INTO `template_items` VALUES ('1294', 'object/tangible/space/story_loot/shared_loot_tatooine_imp.iff');
INSERT INTO `template_items` VALUES ('1295', 'object/tangible/crafting/station/shared_public_food_station.iff');
INSERT INTO `template_items` VALUES ('1296', 'object/tangible/lair/perlek/shared_lair_perlek.iff');
INSERT INTO `template_items` VALUES ('1297', 'object/tangible/ship/components/droid_interface/shared_ddi_incom_droid_interface_mk4.iff');
INSERT INTO `template_items` VALUES ('1298', 'object/tangible/ship/crafted/repair/shared_repair_kit_ship.iff');
INSERT INTO `template_items` VALUES ('1299', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_launcher_concussion_mk3.iff');
INSERT INTO `template_items` VALUES ('1300', 'object/tangible/medicine/pet/shared_droid_stimpack_b.iff');
INSERT INTO `template_items` VALUES ('1301', 'object/tangible/loot/collectible/collectible_parts/shared_light_table_structure_03.iff');
INSERT INTO `template_items` VALUES ('1302', 'object/tangible/lair/bantha/shared_lair_bantha_desert.iff');
INSERT INTO `template_items` VALUES ('1303', 'object/tangible/wearables/pants/shared_pants_s11.iff');
INSERT INTO `template_items` VALUES ('1304', 'object/tangible/furniture/imperial/shared_warren_warning_sign.iff');
INSERT INTO `template_items` VALUES ('1305', 'object/tangible/ship/crafted/capacitor/shared_capacitor_mk5.iff');
INSERT INTO `template_items` VALUES ('1306', 'object/tangible/mission/quest_item/shared_draya_korbinari_q3_needed.iff');
INSERT INTO `template_items` VALUES ('1307', 'object/tangible/lair/mawgax/shared_lair_mawgax_mountain.iff');
INSERT INTO `template_items` VALUES ('1308', 'object/tangible/deed/faction_perk/hq/shared_hq_s01.iff');
INSERT INTO `template_items` VALUES ('1309', 'object/tangible/furniture/cheap/shared_armoire_s01.iff');
INSERT INTO `template_items` VALUES ('1310', 'object/tangible/component/item/shared_electronic_control_unit.iff');
INSERT INTO `template_items` VALUES ('1311', 'object/tangible/wearables/vest/shared_vest_s01.iff');
INSERT INTO `template_items` VALUES ('1312', 'object/tangible/component/item/quest_item/shared_tuning_cell.iff');
INSERT INTO `template_items` VALUES ('1313', 'object/tangible/wearables/ithorian/shared_ith_jacket_s06.iff');
INSERT INTO `template_items` VALUES ('1314', 'object/tangible/loot/loot_schematic/shared_death_watch_drink_mandalorian_wine_schematic.iff');
INSERT INTO `template_items` VALUES ('1315', 'object/tangible/ship/components/droid_interface/shared_ddi_kessel_imperial_sfs_imperial_finest.iff');
INSERT INTO `template_items` VALUES ('1316', 'object/tangible/mission/quest_item/shared_kais_q3_needed.iff');
INSERT INTO `template_items` VALUES ('1317', 'object/tangible/wearables/armor/bounty_hunter/shared_armor_bounty_hunter_helmet.iff');
INSERT INTO `template_items` VALUES ('1318', 'object/tangible/ship/components/weapon/shared_wpn_incom_shredder.iff');
INSERT INTO `template_items` VALUES ('1319', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon3_s03.iff');
INSERT INTO `template_items` VALUES ('1320', 'object/tangible/item/quest/force_sensitive/shared_fs_crafting4_computer_core.iff');
INSERT INTO `template_items` VALUES ('1321', 'object/tangible/wearables/bodysuit/shared_bodysuit_s16.iff');
INSERT INTO `template_items` VALUES ('1322', 'object/tangible/furniture/all/shared_frn_all_lamp_tatt_s01_lit.iff');
INSERT INTO `template_items` VALUES ('1323', 'object/tangible/ship/crafted/weapon/missile/shared_countermeasure_decoy_launcher.iff');
INSERT INTO `template_items` VALUES ('1324', 'object/tangible/lair/base/shared_poi_all_lair_garbage_large_fog_gray.iff');
INSERT INTO `template_items` VALUES ('1325', 'object/tangible/furniture/elegant/shared_chair_s01.iff');
INSERT INTO `template_items` VALUES ('1326', 'object/tangible/ship/components/weapon_capacitor/shared_cap_koensayr_mk4.iff');
INSERT INTO `template_items` VALUES ('1327', 'object/tangible/wearables/necklace/shared_necklace_s11.iff');
INSERT INTO `template_items` VALUES ('1328', 'object/tangible/furniture/modern/shared_bar_piece_curve_s1.iff');
INSERT INTO `template_items` VALUES ('1329', 'object/tangible/lair/thune/shared_lair_thune.iff');
INSERT INTO `template_items` VALUES ('1330', 'object/tangible/mission/quest_item/shared_wilhalm_skrim_q2_needed.iff');
INSERT INTO `template_items` VALUES ('1331', 'object/tangible/ship/crafted/chassis/shared_hutt_heavy_s02_deed.iff');
INSERT INTO `template_items` VALUES ('1332', 'object/tangible/mission/quest_item/shared_hefsen_zindalai_q1_needed.iff');
INSERT INTO `template_items` VALUES ('1333', 'object/tangible/ship/components/armor/shared_arm_koensayr_advanced_durasteel.iff');
INSERT INTO `template_items` VALUES ('1334', 'object/tangible/ship/crafted/chassis/shared_ykl37r_deed.iff');
INSERT INTO `template_items` VALUES ('1335', 'object/tangible/medicine/crafted/shared_medpack_wound_strength_e.iff');
INSERT INTO `template_items` VALUES ('1336', 'object/tangible/component/weapon/shared_rancor_tooth_quest.iff');
INSERT INTO `template_items` VALUES ('1337', 'object/tangible/ship/crafted/capacitor/shared_base_capacitor_subcomponent_mk4.iff');
INSERT INTO `template_items` VALUES ('1338', 'object/tangible/wearables/ithorian/shared_ith_pants_s14.iff');
INSERT INTO `template_items` VALUES ('1339', 'object/tangible/component/structure/shared_wall_module.iff');
INSERT INTO `template_items` VALUES ('1340', 'object/tangible/medicine/base/shared_base_medicine.iff');
INSERT INTO `template_items` VALUES ('1341', 'object/tangible/component/droid/shared_armor_module_base.iff');
INSERT INTO `template_items` VALUES ('1342', 'object/tangible/medicine/shared_medpack_disease_health.iff');
INSERT INTO `template_items` VALUES ('1343', 'object/tangible/ship/crafted/reactor/shared_base_reactor_subcomponent_mk2.iff');
INSERT INTO `template_items` VALUES ('1344', 'object/tangible/loot/loot_schematic/shared_death_watch_mandalorian_bracer_l_schematic.iff');
INSERT INTO `template_items` VALUES ('1345', 'object/tangible/food/crafted/shared_dessert_blap_biscuit.iff');
INSERT INTO `template_items` VALUES ('1346', 'object/tangible/item/new_player/shared_new_player_vehicle_coupon.iff');
INSERT INTO `template_items` VALUES ('1347', 'object/tangible/container/jar/shared_jar_bugs_s01.iff');
INSERT INTO `template_items` VALUES ('1348', 'object/tangible/component/dna/shared_dna_template_generic.iff');
INSERT INTO `template_items` VALUES ('1349', 'object/tangible/wearables/base/shared_base_bracer_both.iff');
INSERT INTO `template_items` VALUES ('1350', 'object/tangible/instrument/shared_bandfill.iff');
INSERT INTO `template_items` VALUES ('1351', 'object/tangible/medicine/crafted/shared_medpack_intimidated_b.iff');
INSERT INTO `template_items` VALUES ('1352', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon2r_s04.iff');
INSERT INTO `template_items` VALUES ('1353', 'object/tangible/wearables/necklace/shared_necklace_iron_choker.iff');
INSERT INTO `template_items` VALUES ('1354', 'object/tangible/loot/misc/shared_cage_s01.iff');
INSERT INTO `template_items` VALUES ('1355', 'object/tangible/space/story_loot/shared_loot_endor_artisan.iff');
INSERT INTO `template_items` VALUES ('1356', 'object/tangible/furniture/imperial/shared_data_terminal_s3.iff');
INSERT INTO `template_items` VALUES ('1357', 'object/tangible/theme_park/alderaan/act3/shared_research_facility.iff');
INSERT INTO `template_items` VALUES ('1358', 'object/tangible/vendor/shared_vendor_droid_protocol.iff');
INSERT INTO `template_items` VALUES ('1359', 'object/tangible/component/clothing/shared_shoe_sole.iff');
INSERT INTO `template_items` VALUES ('1360', 'object/tangible/ship/components/reactor/shared_rct_sorosuub_fusion_reactor_2.iff');
INSERT INTO `template_items` VALUES ('1361', 'object/tangible/medicine/crafted/shared_medpack_wound_action_b.iff');
INSERT INTO `template_items` VALUES ('1362', 'object/tangible/ship/attachment/weapon/shared_blacksun_light_weapon_s06.iff');
INSERT INTO `template_items` VALUES ('1363', 'object/tangible/ship/components/weapon_capacitor/shared_cap_novaldex_sarlacc_s3.iff');
INSERT INTO `template_items` VALUES ('1364', 'object/tangible/lair/plumed_rasp/shared_lair_plumed_rasp_forest.iff');
INSERT INTO `template_items` VALUES ('1365', 'object/tangible/deed/guild_deed/shared_tatooine_guild_deed.iff');
INSERT INTO `template_items` VALUES ('1366', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_neg_s06_0.iff');
INSERT INTO `template_items` VALUES ('1367', 'object/tangible/mission/quest_item/shared_gins_darone_q1_needed.iff');
INSERT INTO `template_items` VALUES ('1368', 'object/tangible/hair/wookiee/base/shared_hair_wookiee_male_base.iff');
INSERT INTO `template_items` VALUES ('1369', 'object/tangible/wearables/hat/shared_hat_twilek_s05.iff');
INSERT INTO `template_items` VALUES ('1370', 'object/tangible/lair/ikopi/shared_lair_ikopi_grassland.iff');
INSERT INTO `template_items` VALUES ('1371', 'object/tangible/hair/human/shared_hair_human_male_s33.iff');
INSERT INTO `template_items` VALUES ('1372', 'object/tangible/hair/rodian/shared_hair_rodian_female_s09.iff');
INSERT INTO `template_items` VALUES ('1373', 'object/tangible/space/story_loot/shared_loot_naboo_imperial.iff');
INSERT INTO `template_items` VALUES ('1374', 'object/tangible/painting/shared_painting_bothan_f.iff');
INSERT INTO `template_items` VALUES ('1375', 'object/tangible/medicine/crafted/shared_medpack_disease_focus_a.iff');
INSERT INTO `template_items` VALUES ('1376', 'object/tangible/component/bio/shared_bio_component_food_medium_filling.iff');
INSERT INTO `template_items` VALUES ('1377', 'object/tangible/mission/quest_item/shared_dea_tore_q3_needed.iff');
INSERT INTO `template_items` VALUES ('1378', 'object/tangible/container/drum/shared_poi_prize_box_on.iff');
INSERT INTO `template_items` VALUES ('1379', 'object/tangible/loot/quest/shared_shield_generator_personal_imperial_test_schematic.iff');
INSERT INTO `template_items` VALUES ('1380', 'object/tangible/ship/components/engine/shared_eng_koensayr_elite.iff');
INSERT INTO `template_items` VALUES ('1381', 'object/tangible/recycler/shared_metal_recycler.iff');
INSERT INTO `template_items` VALUES ('1382', 'object/tangible/hair/sullustan/shared_sul_hair_s03_f.iff');
INSERT INTO `template_items` VALUES ('1383', 'object/tangible/component/bio/shared_bio_component_clothing_casual_training.iff');
INSERT INTO `template_items` VALUES ('1384', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon2l_s02.iff');
INSERT INTO `template_items` VALUES ('1385', 'object/tangible/wearables/hat/shared_nightsister_hat_s02.iff');
INSERT INTO `template_items` VALUES ('1386', 'object/tangible/component/droid/shared_performer_effects_aa.iff');
INSERT INTO `template_items` VALUES ('1387', 'object/tangible/loot/misc/shared_artifact_rare_s01.iff');
INSERT INTO `template_items` VALUES ('1388', 'object/tangible/lair/shear_mite/shared_lair_shear_mite_mountain.iff');
INSERT INTO `template_items` VALUES ('1389', 'object/tangible/lair/corellian_slice_hound/shared_lair_corellian_slice_hound.iff');
INSERT INTO `template_items` VALUES ('1390', 'object/tangible/harvesting/shared_shellfish_harvester.iff');
INSERT INTO `template_items` VALUES ('1391', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_sm_s01_lg.iff');
INSERT INTO `template_items` VALUES ('1392', 'object/tangible/deed/event_perk/shared_atst_static_deed.iff');
INSERT INTO `template_items` VALUES ('1393', 'object/tangible/hq_destructible/shared_security_terminal.iff');
INSERT INTO `template_items` VALUES ('1394', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_spacebomb_missile_mk2.iff');
INSERT INTO `template_items` VALUES ('1395', 'object/tangible/ship/components/shield_generator/shared_shd_mission_reward_neutral_armek_plasma_web.iff');
INSERT INTO `template_items` VALUES ('1396', 'object/tangible/deed/pet_deed/shared_deed_treadwell_basic.iff');
INSERT INTO `template_items` VALUES ('1397', 'object/tangible/camp/shared_camp_spit_s2.iff');
INSERT INTO `template_items` VALUES ('1398', 'object/tangible/lair/worrt/shared_lair_worrt_desert.iff');
INSERT INTO `template_items` VALUES ('1399', 'object/tangible/ship/crafted/engine/shared_basic_engine.iff');
INSERT INTO `template_items` VALUES ('1400', 'object/tangible/ship/components/droid_interface/shared_ddi_sds_special_imperial_1.iff');
INSERT INTO `template_items` VALUES ('1401', 'object/tangible/component/structure/shared_primary_computer.iff');
INSERT INTO `template_items` VALUES ('1402', 'object/tangible/component/vehicle/shared_hvy_projectile_feed_mech.iff');
INSERT INTO `template_items` VALUES ('1403', 'object/tangible/mission/quest_item/shared_oxil_sarban_q2_needed.iff');
INSERT INTO `template_items` VALUES ('1404', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_pos_s01_0.iff');
INSERT INTO `template_items` VALUES ('1405', 'object/tangible/component/vehicle/shared_fuel_a.iff');
INSERT INTO `template_items` VALUES ('1406', 'object/tangible/wearables/ithorian/shared_ith_bandolier_s06.iff');
INSERT INTO `template_items` VALUES ('1407', 'object/tangible/lair/base/shared_poi_all_lair_mound_large_fog_mustard.iff');
INSERT INTO `template_items` VALUES ('1408', 'object/tangible/ship/attachment/wing/shared_blacksun_heavy_wing_s02.iff');
INSERT INTO `template_items` VALUES ('1409', 'object/tangible/hair/human/shared_hair_human_female_s06.iff');
INSERT INTO `template_items` VALUES ('1410', 'object/tangible/ship/crafted/booster/shared_base_booster_subcomponent_mk4.iff');
INSERT INTO `template_items` VALUES ('1411', 'object/tangible/lair/base/shared_lair_base_den_earthen_light.iff');
INSERT INTO `template_items` VALUES ('1412', 'object/tangible/lair/tybis/shared_lair_tybis.iff');
INSERT INTO `template_items` VALUES ('1413', 'object/tangible/wearables/wookiee/shared_wke_shirt_s03.iff');
INSERT INTO `template_items` VALUES ('1414', 'object/tangible/loot/quest/shared_rudic.iff');
INSERT INTO `template_items` VALUES ('1415', 'object/tangible/wearables/armor/stormtrooper/shared_armor_stormtrooper_helmet_quest.iff');
INSERT INTO `template_items` VALUES ('1416', 'object/tangible/veteran_reward/one_year_anniversary/shared_painting_06.iff');
INSERT INTO `template_items` VALUES ('1417', 'object/tangible/furniture/city/shared_streetlamp_med_green_02.iff');
INSERT INTO `template_items` VALUES ('1418', 'object/tangible/hair/bothan/shared_hair_bothan_male_s04.iff');
INSERT INTO `template_items` VALUES ('1419', 'object/tangible/deed/pet_deed/shared_deed_le_repair_basic.iff');
INSERT INTO `template_items` VALUES ('1420', 'object/tangible/container/jar/shared_jar_spice_s03.iff');
INSERT INTO `template_items` VALUES ('1421', 'object/tangible/lair/horned_krevol/shared_lair_horned_krevol_desert.iff');
INSERT INTO `template_items` VALUES ('1422', 'object/tangible/medicine/crafted/shared_medpack_wound_constitution_b.iff');
INSERT INTO `template_items` VALUES ('1423', 'object/tangible/ship/components/weapon/shared_wpn_rendili_sc8_disruptor.iff');
INSERT INTO `template_items` VALUES ('1424', 'object/tangible/deed/city_deed/shared_garden_tatooine_sml_02_deed.iff');
INSERT INTO `template_items` VALUES ('1425', 'object/tangible/vendor/shared_vendor_droid_bartender.iff');
INSERT INTO `template_items` VALUES ('1426', 'object/tangible/mission/quest_item/shared_ric_olie_q1_needed.iff');
INSERT INTO `template_items` VALUES ('1427', 'object/tangible/loot/collectible/collectible_parts/shared_light_table_adhesive.iff');
INSERT INTO `template_items` VALUES ('1428', 'object/tangible/mission/quest_item/shared_dea_tore_q2_needed.iff');
INSERT INTO `template_items` VALUES ('1429', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon_pos_s01_0.iff');
INSERT INTO `template_items` VALUES ('1430', 'object/tangible/wearables/armor/ithorian_guardian/shared_ith_armor_s02_gloves.iff');
INSERT INTO `template_items` VALUES ('1431', 'object/tangible/lair/crystal_snake/shared_lair_crystal_snake.iff');
INSERT INTO `template_items` VALUES ('1432', 'object/tangible/loot/bestine/shared_bestine_painting_schematic_ronka.iff');
INSERT INTO `template_items` VALUES ('1433', 'object/tangible/furniture/city/shared_fountain_generic.iff');
INSERT INTO `template_items` VALUES ('1434', 'object/tangible/component/vehicle/shared_military_b.iff');
INSERT INTO `template_items` VALUES ('1435', 'object/tangible/furniture/all/shared_frn_all_technical_console_s01.iff');
INSERT INTO `template_items` VALUES ('1436', 'object/tangible/wearables/armor/ithorian_defender/shared_ith_armor_s01_helmet.iff');
INSERT INTO `template_items` VALUES ('1437', 'object/tangible/ship/crafted/booster/shared_booster_overdriver_mk5.iff');
INSERT INTO `template_items` VALUES ('1438', 'object/tangible/medicine/crafted/shared_medpack_revive.iff');
INSERT INTO `template_items` VALUES ('1439', 'object/tangible/ship/components/booster/shared_bst_koensayr_improved_standard.iff');
INSERT INTO `template_items` VALUES ('1440', 'object/tangible/mission/quest_item/shared_surlin_rolei_q6_stolen_info.iff');
INSERT INTO `template_items` VALUES ('1441', 'object/tangible/firework/shared_firework_s05.iff');
INSERT INTO `template_items` VALUES ('1442', 'object/tangible/component/munition/shared_warhead_fusing_mechanism.iff');
INSERT INTO `template_items` VALUES ('1443', 'object/tangible/ship/components/weapon_capacitor/shared_cap_qualdex_miser_standard.iff');
INSERT INTO `template_items` VALUES ('1444', 'object/tangible/mission/quest_item/shared_ikka_gesul_q2_needed.iff');
INSERT INTO `template_items` VALUES ('1445', 'object/tangible/furniture/all/shared_frn_all_decorative_sm_s2.iff');
INSERT INTO `template_items` VALUES ('1446', 'object/tangible/component/item/quest_item/shared_current_motivator.iff');
INSERT INTO `template_items` VALUES ('1447', 'object/tangible/lair/structure/interior/shared_lair_cave_medium_interior_mamien.iff');
INSERT INTO `template_items` VALUES ('1448', 'object/tangible/ship/customization/shared_xwing_thruster_neg_s01.iff');
INSERT INTO `template_items` VALUES ('1449', 'object/tangible/ship/components/booster/shared_bst_koensayr_racer_mk3.iff');
INSERT INTO `template_items` VALUES ('1450', 'object/tangible/mission/quest_item/shared_kadil_nurugen_q1_needed.iff');
INSERT INTO `template_items` VALUES ('1451', 'object/tangible/wearables/bustier/shared_bustier_s03.iff');
INSERT INTO `template_items` VALUES ('1452', 'object/tangible/wearables/robe/shared_robe_jedi_padawan.iff');
INSERT INTO `template_items` VALUES ('1453', 'object/tangible/wearables/earring/shared_earring_base.iff');
INSERT INTO `template_items` VALUES ('1454', 'object/tangible/medicine/crafted/shared_medpack_poison_health_b.iff');
INSERT INTO `template_items` VALUES ('1455', 'object/tangible/ship/components/shield_generator/shared_shd_generic.iff');
INSERT INTO `template_items` VALUES ('1456', 'object/tangible/ship/components/engine/shared_eng_qualdex_b10.iff');
INSERT INTO `template_items` VALUES ('1457', 'object/tangible/ship/components/weapon_capacitor/shared_cap_moncal_charged_light.iff');
INSERT INTO `template_items` VALUES ('1458', 'object/tangible/deed/vehicle_deed/shared_landspeeder_x34_deed.iff');
INSERT INTO `template_items` VALUES ('1459', 'object/tangible/lair/bolma/shared_lair_bolma_desert.iff');
INSERT INTO `template_items` VALUES ('1460', 'object/tangible/lair/voritor_lizard/shared_lair_voritor_lizard.iff');
INSERT INTO `template_items` VALUES ('1461', 'object/tangible/ship/attachment/weapon/shared_hutt_light_weapon_s06.iff');
INSERT INTO `template_items` VALUES ('1462', 'object/tangible/terminal/shared_terminal_ballot_box.iff');
INSERT INTO `template_items` VALUES ('1463', 'object/tangible/item/quest/force_sensitive/shared_bacta_tank.iff');
INSERT INTO `template_items` VALUES ('1464', 'object/tangible/mission/quest_item/shared_arrek_vonsarko_q1_needed.iff');
INSERT INTO `template_items` VALUES ('1465', 'object/tangible/loot/loot_schematic/shared_geonosian_tenloss_dxr6_schematic.iff');
INSERT INTO `template_items` VALUES ('1466', 'object/tangible/loot/loot_schematic/shared_technical_console_s01_schematic.iff');
INSERT INTO `template_items` VALUES ('1467', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_m_s02_lg.iff');
INSERT INTO `template_items` VALUES ('1468', 'object/tangible/ship/components/armor/shared_arm_corellian_heavy_durasteel.iff');
INSERT INTO `template_items` VALUES ('1469', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s01_bicep_l.iff');
INSERT INTO `template_items` VALUES ('1470', 'object/tangible/deed/pet_deed/shared_ronto_deed.iff');
INSERT INTO `template_items` VALUES ('1471', 'object/tangible/ship/components/reactor/shared_rct_sfs_imperial_4.iff');
INSERT INTO `template_items` VALUES ('1472', 'object/tangible/ship/attachment/weapon/shared_smuggler_warlord_ship_turret_s01.iff');
INSERT INTO `template_items` VALUES ('1473', 'object/tangible/ship/crafted/droid_interface/shared_base_droid_interface_subcomponent_mk4.iff');
INSERT INTO `template_items` VALUES ('1474', 'object/tangible/loot/quest/shared_quest_stimpack_a_schematic.iff');
INSERT INTO `template_items` VALUES ('1475', 'object/tangible/ship/crafted/armor/shared_mass_reduction_kit_mk2.iff');
INSERT INTO `template_items` VALUES ('1476', 'object/tangible/wearables/armor/tantel/shared_armor_tantel_skreej_boots.iff');
INSERT INTO `template_items` VALUES ('1477', 'object/tangible/ship/components/reactor/shared_rct_mandal_dxr.iff');
INSERT INTO `template_items` VALUES ('1478', 'object/tangible/veteran_reward/shared_frn_vet_x_wing_toy.iff');
INSERT INTO `template_items` VALUES ('1479', 'object/tangible/lair/blistmok/shared_lair_blistmok_mountain.iff');
INSERT INTO `template_items` VALUES ('1480', 'object/tangible/food/crafted/shared_dessert_smugglers_delight.iff');
INSERT INTO `template_items` VALUES ('1481', 'object/tangible/lair/base/shared_poi_all_lair_garbage_large_fog_green.iff');
INSERT INTO `template_items` VALUES ('1482', 'object/tangible/component/armor/shared_armor_segment_kashyyykian_black_mtn.iff');
INSERT INTO `template_items` VALUES ('1483', 'object/tangible/wearables/ring/shared_aakuan_ring.iff');
INSERT INTO `template_items` VALUES ('1484', 'object/tangible/hair/sullustan/shared_sul_hair_s01_m.iff');
INSERT INTO `template_items` VALUES ('1485', 'object/tangible/ship/components/droid_interface/shared_ddi_kessel_imperial_sds_unknown_prototype.iff');
INSERT INTO `template_items` VALUES ('1486', 'object/tangible/component/vehicle/shared_fuel_cell_c.iff');
INSERT INTO `template_items` VALUES ('1487', 'object/tangible/mission/quest_item/shared_kais_q2_needed.iff');
INSERT INTO `template_items` VALUES ('1488', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon2_s06.iff');
INSERT INTO `template_items` VALUES ('1489', 'object/tangible/wearables/armor/ris/shared_armor_ris_bicep_r.iff');
INSERT INTO `template_items` VALUES ('1490', 'object/tangible/component/weapon/shared_geonosian_sword_core.iff');
INSERT INTO `template_items` VALUES ('1491', 'object/tangible/furniture/space/shared_frn_couch_falcon_section_s01.iff');
INSERT INTO `template_items` VALUES ('1492', 'object/tangible/wearables/armor/padded/shared_armor_padded_s01_chest_plate.iff');
INSERT INTO `template_items` VALUES ('1493', 'object/tangible/ship/components/weapon_capacitor/shared_cap_huppla_pasa_tisc_old_capacitor.iff');
INSERT INTO `template_items` VALUES ('1494', 'object/tangible/ship/components/reactor/shared_rct_sfs_advanced.iff');
INSERT INTO `template_items` VALUES ('1495', 'object/tangible/wearables/gloves/shared_gloves_s13.iff');
INSERT INTO `template_items` VALUES ('1496', 'object/tangible/ship/crafted/weapon/shared_wpn_medium_blaster_green.iff');
INSERT INTO `template_items` VALUES ('1497', 'object/tangible/ship/crafted/droid_interface/shared_droid_harness.iff');
INSERT INTO `template_items` VALUES ('1498', 'object/tangible/ship/attachment/weapon/shared_blacksun_medium_weapon2_s05.iff');
INSERT INTO `template_items` VALUES ('1499', 'object/tangible/wearables/armor/mandalorian/shared_armor_mandalorian_helmet.iff');
INSERT INTO `template_items` VALUES ('1500', 'object/tangible/ship/components/armor/shared_arm_mission_reward_rebel_corellian_triplate.iff');
INSERT INTO `template_items` VALUES ('1501', 'object/tangible/ship/components/armor/shared_arm_koensayr_enhanced_standard_durasteel.iff');
INSERT INTO `template_items` VALUES ('1502', 'object/tangible/ship/components/armor/shared_arm_mandal_enhanced_heavy_composite.iff');
INSERT INTO `template_items` VALUES ('1503', 'object/tangible/deed/pet_deed/shared_torton_deed.iff');
INSERT INTO `template_items` VALUES ('1504', 'object/tangible/component/weapon/shared_sword_core_quest.iff');
INSERT INTO `template_items` VALUES ('1505', 'object/tangible/mission/quest_item/shared_karrek_film_q1_needed.iff');
INSERT INTO `template_items` VALUES ('1506', 'object/tangible/ship/components/engine/shared_eng_prototype_engine.iff');
INSERT INTO `template_items` VALUES ('1507', 'object/tangible/ship/components/weapon/shared_wpn_incom_advanced_blaster.iff');
INSERT INTO `template_items` VALUES ('1508', 'object/tangible/lair/base/shared_poi_all_lair_thicket_large_fog_gray.iff');
INSERT INTO `template_items` VALUES ('1509', 'object/tangible/lair/sarlacc/shared_lair_sarlacc.iff');
INSERT INTO `template_items` VALUES ('1510', 'object/tangible/ship/attachment/weapon/shared_ywing_weapon1_s04.iff');
INSERT INTO `template_items` VALUES ('1511', 'object/tangible/mission/quest_item/shared_karrek_film_q3_needed.iff');
INSERT INTO `template_items` VALUES ('1512', 'object/tangible/loot/quest/shared_huff_quest_top_secret_documents.iff');
INSERT INTO `template_items` VALUES ('1513', 'object/tangible/item/quest/force_sensitive/shared_fs_buff_item.iff');
INSERT INTO `template_items` VALUES ('1514', 'object/tangible/lair/base/shared_poi_all_lair_rock_shelter_small_evil_fire_green.iff');
INSERT INTO `template_items` VALUES ('1515', 'object/tangible/loot/collectible/collectible_parts/shared_fs_tracking_device_assembly_bracket_03.iff');
INSERT INTO `template_items` VALUES ('1516', 'object/tangible/ship/crafted/booster/shared_fast_charge_fuel_cell_mk1.iff');
INSERT INTO `template_items` VALUES ('1517', 'object/tangible/ship/components/engine/shared_eng_kse_a8x.iff');
INSERT INTO `template_items` VALUES ('1518', 'object/tangible/ship/components/weapon/shared_wpn_mandal_enhanced_mangler_mk1.iff');
INSERT INTO `template_items` VALUES ('1519', 'object/tangible/ship/crafted/droid_interface/shared_ddi_mk4.iff');
INSERT INTO `template_items` VALUES ('1520', 'object/tangible/vendor/shared_vendor_droid_surgical.iff');
INSERT INTO `template_items` VALUES ('1521', 'object/tangible/wearables/ithorian/shared_ith_hat_s03.iff');
INSERT INTO `template_items` VALUES ('1522', 'object/tangible/mission/quest_item/shared_ayn_eckener_q3_needed.iff');
INSERT INTO `template_items` VALUES ('1523', 'object/tangible/lair/base/shared_poi_all_lair_warren_small_evil_fire_green.iff');
INSERT INTO `template_items` VALUES ('1524', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff');
INSERT INTO `template_items` VALUES ('1525', 'object/tangible/wearables/hat/shared_singing_mountain_clan_hat_s02.iff');
INSERT INTO `template_items` VALUES ('1526', 'object/tangible/component/droid/shared_medic_module_2.iff');
INSERT INTO `template_items` VALUES ('1527', 'object/tangible/component/clothing/shared_clasp_heavy_duty.iff');
INSERT INTO `template_items` VALUES ('1528', 'object/tangible/deed/event_perk/shared_imperial_landing_party_atat_theater_deed.iff');
INSERT INTO `template_items` VALUES ('1529', 'object/tangible/ship/components/shield_generator/shared_shd_seinar_proton_screen_p1.iff');
INSERT INTO `template_items` VALUES ('1530', 'object/tangible/wearables/pants/shared_pants_s18.iff');
INSERT INTO `template_items` VALUES ('1531', 'object/tangible/ship/components/reactor/shared_rct_unknown_distressed_aluminum.iff');
INSERT INTO `template_items` VALUES ('1532', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_male_s04.iff');
INSERT INTO `template_items` VALUES ('1533', 'object/tangible/ship/components/weapon_capacitor/shared_cap_qualdex_conservator_qx2.iff');
INSERT INTO `template_items` VALUES ('1534', 'object/tangible/ship/attachment/booster/shared_hutt_medium_booster_s02.iff');
INSERT INTO `template_items` VALUES ('1535', 'object/tangible/ship/components/weapon/shared_wpn_kessel_rebel_unknown_rayslinger.iff');
INSERT INTO `template_items` VALUES ('1536', 'object/tangible/component/vehicle/shared_armor_panel_energy.iff');
INSERT INTO `template_items` VALUES ('1537', 'object/tangible/wearables/armor/ithorian_guardian/shared_ith_armor_s02_bicep_r.iff');
INSERT INTO `template_items` VALUES ('1538', 'object/tangible/ship/components/engine/shared_eng_novaldex_eventhorizon.iff');
INSERT INTO `template_items` VALUES ('1539', 'object/tangible/wearables/robe/shared_robe_s05_h1.iff');
INSERT INTO `template_items` VALUES ('1540', 'object/tangible/painting/shared_painting_teras_kasi_2.iff');
INSERT INTO `template_items` VALUES ('1541', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_proton_missile_mk4.iff');
INSERT INTO `template_items` VALUES ('1542', 'object/tangible/ship/components/engine/shared_engine_novaldex_eventhorizon.iff');
INSERT INTO `template_items` VALUES ('1543', 'object/tangible/ship/components/weapon/shared_wpn_taim_kx9.iff');
INSERT INTO `template_items` VALUES ('1544', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_concussion_missile_mk3.iff');
INSERT INTO `template_items` VALUES ('1545', 'object/tangible/lair/base/shared_lair_base_trash_dark.iff');
INSERT INTO `template_items` VALUES ('1546', 'object/tangible/mission/quest_item/shared_wilhalm_skrim_q1_needed.iff');
INSERT INTO `template_items` VALUES ('1547', 'object/tangible/component/armor/shared_armor_segment_padded_acklay.iff');
INSERT INTO `template_items` VALUES ('1548', 'object/tangible/lair/skreeg/shared_lair_skreeg_jungle.iff');
INSERT INTO `template_items` VALUES ('1549', 'object/tangible/survey_tool/shared_survey_tool_organic.iff');
INSERT INTO `template_items` VALUES ('1550', 'object/tangible/inventory/shared_character_inventory.iff');
INSERT INTO `template_items` VALUES ('1551', 'object/tangible/lair/base/shared_poi_all_lair_bones_fog_green.iff');
INSERT INTO `template_items` VALUES ('1552', 'object/tangible/terminal/shared_terminal_ship_interior_security_1.iff');
INSERT INTO `template_items` VALUES ('1553', 'object/tangible/ship/components/chassis/shared_blacksun_heavy_s04_chassis_token.iff');
INSERT INTO `template_items` VALUES ('1554', 'object/tangible/ship/crafted/weapon/shared_quick_shot_upgrade_mk4.iff');
INSERT INTO `template_items` VALUES ('1555', 'object/tangible/component/clothing/shared_fiberplast_panel.iff');
INSERT INTO `template_items` VALUES ('1556', 'object/tangible/lair/base/shared_poi_all_lair_leaf_small.iff');
INSERT INTO `template_items` VALUES ('1557', 'object/tangible/hair/human/shared_hair_human_female_s32.iff');
INSERT INTO `template_items` VALUES ('1558', 'object/tangible/wearables/goggles/shared_goggles_s01.iff');
INSERT INTO `template_items` VALUES ('1559', 'object/tangible/ship/components/weapon_capacitor/shared_cap_incom_improved_rebel_mk1.iff');
INSERT INTO `template_items` VALUES ('1560', 'object/tangible/item/quest/crowd_pleaser/shared_dance_reward.iff');
INSERT INTO `template_items` VALUES ('1561', 'object/tangible/lair/base/shared_poi_all_lair_nest_small_evil_fire_small.iff');
INSERT INTO `template_items` VALUES ('1562', 'object/tangible/wearables/necklace/shared_necklace_complex_pattern.iff');
INSERT INTO `template_items` VALUES ('1563', 'object/tangible/loot/loot_schematic/shared_death_watch_bounty_hunter_bracer_r_schematic.iff');
INSERT INTO `template_items` VALUES ('1564', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s06.iff');
INSERT INTO `template_items` VALUES ('1565', 'object/tangible/lair/kaitok/shared_lair_kaitok_mountain.iff');
INSERT INTO `template_items` VALUES ('1566', 'object/tangible/component/droid/shared_armor_module_4.iff');
INSERT INTO `template_items` VALUES ('1567', 'object/tangible/ship/components/shield_generator/shared_shd_kessel_imperial_cygnus_experimental_system.iff');
INSERT INTO `template_items` VALUES ('1568', 'object/tangible/wearables/wookiee/shared_wke_gloves_s01.iff');
INSERT INTO `template_items` VALUES ('1569', 'object/tangible/mission/quest_item/shared_gins_darone_q2_needed.iff');
INSERT INTO `template_items` VALUES ('1570', 'object/tangible/ship/components/booster/shared_bst_kse_bti3.iff');
INSERT INTO `template_items` VALUES ('1571', 'object/tangible/ship/components/weapon/shared_wpn_reward_incom_elite.iff');
INSERT INTO `template_items` VALUES ('1572', 'object/tangible/wearables/dress/shared_dress_s29.iff');
INSERT INTO `template_items` VALUES ('1573', 'object/tangible/lair/laa/shared_lair_laa.iff');
INSERT INTO `template_items` VALUES ('1574', 'object/tangible/ship/components/armor/shared_arm_kse_advanced_durasteel.iff');
INSERT INTO `template_items` VALUES ('1575', 'object/tangible/lair/gackle_bat/shared_lair_gackle_bat_jungle.iff');
INSERT INTO `template_items` VALUES ('1576', 'object/tangible/ship/attachment/engine/shared_hutt_medium_engine_s01.iff');
INSERT INTO `template_items` VALUES ('1577', 'object/tangible/component/vehicle/shared_veh_power_plant_av21.iff');
INSERT INTO `template_items` VALUES ('1578', 'object/tangible/ship/components/droid_interface/shared_droid_interface_test.iff');
INSERT INTO `template_items` VALUES ('1579', 'object/tangible/ship/components/weapon_capacitor/shared_cap_novaldex_wampa_s3.iff');
INSERT INTO `template_items` VALUES ('1580', 'object/tangible/lair/reptilian_flyer/shared_lair_reptilian_flyer_forest.iff');
INSERT INTO `template_items` VALUES ('1581', 'object/tangible/deed/city_deed/shared_garden_tatooine_sml_04_deed.iff');
INSERT INTO `template_items` VALUES ('1582', 'object/tangible/loot/tool/shared_usable_datapad.iff');
INSERT INTO `template_items` VALUES ('1583', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s02_chest_plate_quest.iff');
INSERT INTO `template_items` VALUES ('1584', 'object/tangible/wearables/armor/ithorian_defender/shared_ith_armor_s01_leggings.iff');
INSERT INTO `template_items` VALUES ('1585', 'object/tangible/component/weapon/shared_blaster_rifle_barrel_advanced.iff');
INSERT INTO `template_items` VALUES ('1586', 'object/tangible/ship/components/weapon/shared_wpn_sfs_imperial_special_forces_blaster.iff');
INSERT INTO `template_items` VALUES ('1587', 'object/tangible/item/quest/force_sensitive/shared_fs_crafting4_downed_satellite.iff');
INSERT INTO `template_items` VALUES ('1588', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff');
INSERT INTO `template_items` VALUES ('1589', 'object/tangible/container/general/shared_tech_armoire.iff');
INSERT INTO `template_items` VALUES ('1590', 'object/tangible/food/crafted/shared_dessert_corellian_fried_icecream.iff');
INSERT INTO `template_items` VALUES ('1591', 'object/tangible/lair/base/shared_poi_all_lair_insecthill_small_evil_fire_small.iff');
INSERT INTO `template_items` VALUES ('1592', 'object/tangible/component/munition/shared_warhead_stabilizer.iff');
INSERT INTO `template_items` VALUES ('1593', 'object/tangible/food/shared_meat_object.iff');
INSERT INTO `template_items` VALUES ('1594', 'object/tangible/wearables/ithorian/shared_ith_shirt_s09.iff');
INSERT INTO `template_items` VALUES ('1595', 'object/tangible/skill_buff/shared_skill_buff_rifle_speed.iff');
INSERT INTO `template_items` VALUES ('1596', 'object/tangible/wearables/armor/stormtrooper/shared_armor_stormtrooper_bicep_l.iff');
INSERT INTO `template_items` VALUES ('1597', 'object/tangible/lair/base/shared_nest_tree.iff');
INSERT INTO `template_items` VALUES ('1598', 'object/tangible/ship/components/reactor/shared_rct_incom_elite.iff');
INSERT INTO `template_items` VALUES ('1599', 'object/tangible/ship/crafted/repair/shared_repair_kit_booster.iff');
INSERT INTO `template_items` VALUES ('1600', 'object/tangible/space/mission_objects/shared_transfer_auth.iff');
INSERT INTO `template_items` VALUES ('1601', 'object/tangible/terminal/shared_terminal_pm_register.iff');
INSERT INTO `template_items` VALUES ('1602', 'object/tangible/lair/narglatch/shared_lair_narglatch_swamp.iff');
INSERT INTO `template_items` VALUES ('1603', 'object/tangible/wearables/ithorian/shared_ith_pants_s20.iff');
INSERT INTO `template_items` VALUES ('1604', 'object/tangible/ship/components/droid_interface/shared_ddi_haor_chall_old_tech.iff');
INSERT INTO `template_items` VALUES ('1605', 'object/tangible/mission/quest_item/shared_oxil_sarban_q1_needed.iff');
INSERT INTO `template_items` VALUES ('1606', 'object/tangible/wearables/helmet/shared_helmet_s06.iff');
INSERT INTO `template_items` VALUES ('1607', 'object/tangible/food/crafted/shared_drink_tatooine_sunburn.iff');
INSERT INTO `template_items` VALUES ('1608', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_launcher_seismic_mk3.iff');
INSERT INTO `template_items` VALUES ('1609', 'object/tangible/lair/crystal_snake/shared_lair_crystal_snake_swamp.iff');
INSERT INTO `template_items` VALUES ('1610', 'object/tangible/wearables/wookiee/shared_wke_skirt_s03.iff');
INSERT INTO `template_items` VALUES ('1611', 'object/tangible/wearables/ithorian/shared_ith_belt_s13.iff');
INSERT INTO `template_items` VALUES ('1612', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff');
INSERT INTO `template_items` VALUES ('1613', 'object/tangible/hair/rodian/shared_hair_rodian_male_s10.iff');
INSERT INTO `template_items` VALUES ('1614', 'object/tangible/gravestone/shared_gravestone05.iff');
INSERT INTO `template_items` VALUES ('1615', 'object/tangible/furniture/all/shared_frn_all_chair_recliner_s1.iff');
INSERT INTO `template_items` VALUES ('1616', 'object/tangible/powerup/base/shared_weapon_base.iff');
INSERT INTO `template_items` VALUES ('1617', 'object/tangible/component/weapon/shared_weapon_targeting_computer.iff');
INSERT INTO `template_items` VALUES ('1618', 'object/tangible/wearables/bracelet/shared_bracelet_s04_r.iff');
INSERT INTO `template_items` VALUES ('1619', 'object/tangible/wearables/earring/shared_earring_s14.iff');
INSERT INTO `template_items` VALUES ('1620', 'object/tangible/sign/player/shared_shop_sign_s02.iff');
INSERT INTO `template_items` VALUES ('1621', 'object/tangible/ship/crafted/booster/shared_base_booster.iff');
INSERT INTO `template_items` VALUES ('1622', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s16.iff');
INSERT INTO `template_items` VALUES ('1623', 'object/tangible/wearables/bandolier/shared_bandolier_s09.iff');
INSERT INTO `template_items` VALUES ('1624', 'object/tangible/loot/misc/shared_picture_handheld_s01.iff');
INSERT INTO `template_items` VALUES ('1625', 'object/tangible/medicine/shared_medpack_wound_constitution.iff');
INSERT INTO `template_items` VALUES ('1626', 'object/tangible/loot/misc/shared_holocron_splinters_sith_s01.iff');
INSERT INTO `template_items` VALUES ('1627', 'object/tangible/sign/shared_all_sign_street_s01.iff');
INSERT INTO `template_items` VALUES ('1628', 'object/tangible/food/crafted/shared_dish_rakririan_burnout_sauce.iff');
INSERT INTO `template_items` VALUES ('1629', 'object/tangible/hair/bothan/shared_hair_bothan_female_s12.iff');
INSERT INTO `template_items` VALUES ('1630', 'object/tangible/ship/components/shield_generator/shared_shd_moncal_ionweb_elite.iff');
INSERT INTO `template_items` VALUES ('1631', 'object/tangible/component/item/shared_electronic_power_conditioner.iff');
INSERT INTO `template_items` VALUES ('1632', 'object/tangible/medicine/pet/shared_droid_wound_kit_a.iff');
INSERT INTO `template_items` VALUES ('1633', 'object/tangible/furniture/decorative/shared_streetlamp.iff');
INSERT INTO `template_items` VALUES ('1634', 'object/tangible/deed/pet_deed/shared_piket_deed.iff');
INSERT INTO `template_items` VALUES ('1635', 'object/tangible/lair/condor_dragon/shared_lair_condor_dragon.iff');
INSERT INTO `template_items` VALUES ('1636', 'object/tangible/terminal/shared_terminal_insurance.iff');
INSERT INTO `template_items` VALUES ('1637', 'object/tangible/ship/components/weapon_capacitor/shared_cap_sorosuub_dynamo_mk1.iff');
INSERT INTO `template_items` VALUES ('1638', 'object/tangible/wearables/armor/composite/shared_armor_composite_bracer_r.iff');
INSERT INTO `template_items` VALUES ('1639', 'object/tangible/mission_bag/shared_mission_bag.iff');
INSERT INTO `template_items` VALUES ('1640', 'object/tangible/loot/misc/shared_ledger_s01.iff');
INSERT INTO `template_items` VALUES ('1641', 'object/tangible/component/armor/shared_armor_segment_ubese_advanced.iff');
INSERT INTO `template_items` VALUES ('1642', 'object/tangible/loot/collectible/collectible_parts/shared_fs_tracking_device_case_02.iff');
INSERT INTO `template_items` VALUES ('1643', 'object/tangible/ship/components/weapon_capacitor/shared_cap_moncal_modified_standard.iff');
INSERT INTO `template_items` VALUES ('1644', 'object/tangible/component/armor/shared_shield_generator_personal_imperial_test.iff');
INSERT INTO `template_items` VALUES ('1645', 'object/tangible/wearables/belt/shared_belt_s17.iff');
INSERT INTO `template_items` VALUES ('1646', 'object/tangible/furniture/all/shared_frn_all_toolchest_med_s01.iff');
INSERT INTO `template_items` VALUES ('1647', 'object/tangible/ship/components/booster/shared_bst_mandal_jbj_mk2.iff');
INSERT INTO `template_items` VALUES ('1648', 'object/tangible/ship/components/armor/shared_arm_koensayr_light_advanced_durasteel.iff');
INSERT INTO `template_items` VALUES ('1649', 'object/tangible/wearables/skirt/shared_skirt_s13.iff');
INSERT INTO `template_items` VALUES ('1650', 'object/tangible/ship/crafted/armor/shared_base_armor_subcomponent_mk3.iff');
INSERT INTO `template_items` VALUES ('1651', 'object/tangible/inventory/shared_lightsaber_inventory_base.iff');
INSERT INTO `template_items` VALUES ('1652', 'object/tangible/ship/attachment/weapon/shared_hutt_medium_weapon2_s06.iff');
INSERT INTO `template_items` VALUES ('1653', 'object/tangible/wearables/armor/singing_mountain_clan/shared_armor_smc_s01_bracer_l.iff');
INSERT INTO `template_items` VALUES ('1654', 'object/tangible/wearables/pants/shared_pants_s25.iff');
INSERT INTO `template_items` VALUES ('1655', 'object/tangible/ship/components/armor/shared_arm_subpro_improved_light_plastisteel.iff');
INSERT INTO `template_items` VALUES ('1656', 'object/tangible/component/structure/shared_lightweight_turret_electronics.iff');
INSERT INTO `template_items` VALUES ('1657', 'object/tangible/wearables/jacket/shared_jacket_s17.iff');
INSERT INTO `template_items` VALUES ('1658', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s1.iff');
INSERT INTO `template_items` VALUES ('1659', 'object/tangible/ship/components/engine/shared_eng_reward_koensayr_elite.iff');
INSERT INTO `template_items` VALUES ('1660', 'object/tangible/deed/pet_deed/shared_merek_deed.iff');
INSERT INTO `template_items` VALUES ('1661', 'object/tangible/medicine/crafted/shared_medpack_disease_strength_c.iff');
INSERT INTO `template_items` VALUES ('1662', 'object/tangible/ship/components/shield_generator/shared_shd_rendili.iff');
INSERT INTO `template_items` VALUES ('1663', 'object/tangible/component/droid/shared_personality_module_sarcastic.iff');
INSERT INTO `template_items` VALUES ('1664', 'object/tangible/lair/base/shared_cave_small_light.iff');
INSERT INTO `template_items` VALUES ('1665', 'object/tangible/wearables/armor/chitin/shared_armor_chitin_s01_bicep_l.iff');
INSERT INTO `template_items` VALUES ('1666', 'object/tangible/wearables/armor/tantel/shared_armor_tantel_skreej_helmet_quest.iff');
INSERT INTO `template_items` VALUES ('1667', 'object/tangible/lair/base/shared_poi_all_lair_nest_small_fog_green.iff');
INSERT INTO `template_items` VALUES ('1668', 'object/tangible/lair/gronda/shared_lair_gronda_grassland.iff');
INSERT INTO `template_items` VALUES ('1669', 'object/tangible/medicine/shared_medpack_grenade_damage.iff');
INSERT INTO `template_items` VALUES ('1670', 'object/tangible/wearables/necklace/shared_necklace_adorned_beads.iff');
INSERT INTO `template_items` VALUES ('1671', 'object/tangible/medicine/crafted/shared_medpack_blinded_a.iff');
INSERT INTO `template_items` VALUES ('1672', 'object/tangible/wearables/armor/ubese/shared_armor_ubese_pants_quest.iff');
INSERT INTO `template_items` VALUES ('1673', 'object/tangible/ship/crafted/engine/shared_eng_mk1.iff');
INSERT INTO `template_items` VALUES ('1674', 'object/tangible/loot/misc/shared_loot_skull_krayt2.iff');
INSERT INTO `template_items` VALUES ('1675', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon3_s01.iff');
INSERT INTO `template_items` VALUES ('1676', 'object/tangible/scout/camokit/shared_camokit_dantooine.iff');
INSERT INTO `template_items` VALUES ('1677', 'object/tangible/crafting/station/shared_generic_tool.iff');
INSERT INTO `template_items` VALUES ('1678', 'object/tangible/ship/components/booster/shared_bst_sorosuub_liberator_mk3.iff');
INSERT INTO `template_items` VALUES ('1679', 'object/tangible/ship/components/engine/shared_eng_qualdex_a13.iff');
INSERT INTO `template_items` VALUES ('1680', 'object/tangible/component/chemistry/shared_janta_blood.iff');
INSERT INTO `template_items` VALUES ('1681', 'object/tangible/loot/tool/shared_comlink_naboo_broken.iff');
INSERT INTO `template_items` VALUES ('1682', 'object/tangible/survey_tool/shared_survey_tool_gas.iff');
INSERT INTO `template_items` VALUES ('1683', 'object/tangible/mission/quest_item/shared_kais_q1_needed.iff');
INSERT INTO `template_items` VALUES ('1684', 'object/tangible/ship/crafted/chassis/shared_chassis_hutt_light_body.iff');
INSERT INTO `template_items` VALUES ('1685', 'object/tangible/component/weapon/shared_weapon_t21_stock.iff');
INSERT INTO `template_items` VALUES ('1686', 'object/tangible/hair/rodian/base/shared_hair_rodian_male_base.iff');
INSERT INTO `template_items` VALUES ('1687', 'object/tangible/fishing/fish/shared_fish_generic.iff');
INSERT INTO `template_items` VALUES ('1688', 'object/tangible/ship/components/weapon_capacitor/shared_cap_mandal_improved_powermaster_mk3.iff');
INSERT INTO `template_items` VALUES ('1689', 'object/tangible/wearables/base/shared_base_belt.iff');
INSERT INTO `template_items` VALUES ('1690', 'object/tangible/mission/quest_item/shared_gilker_budz_q1_needed.iff');
INSERT INTO `template_items` VALUES ('1691', 'object/tangible/hair/human/shared_hair_human_male_s07.iff');
INSERT INTO `template_items` VALUES ('1692', 'object/tangible/ship/crafted/booster/shared_booster_mk4.iff');
INSERT INTO `template_items` VALUES ('1693', 'object/tangible/camp/shared_camp_stool_short.iff');
INSERT INTO `template_items` VALUES ('1694', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff');
INSERT INTO `template_items` VALUES ('1695', 'object/tangible/ship/attachment/engine/shared_eng_tiefighter_basic.iff');
INSERT INTO `template_items` VALUES ('1696', 'object/tangible/food/foraged/shared_foraged_vegetable_s4.iff');
INSERT INTO `template_items` VALUES ('1697', 'object/tangible/lair/shaupaut/shared_lair_shaupaut_forest.iff');
INSERT INTO `template_items` VALUES ('1698', 'object/tangible/wearables/bandolier/shared_ith_double_bandolier.iff');
INSERT INTO `template_items` VALUES ('1699', 'object/tangible/medicine/crafted/shared_medpack_disease_area_action_b.iff');
INSERT INTO `template_items` VALUES ('1700', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s02_lit.iff');
INSERT INTO `template_items` VALUES ('1701', 'object/tangible/region/shared_deliver_region_25.iff');
INSERT INTO `template_items` VALUES ('1702', 'object/tangible/wearables/dress/shared_dress_s14.iff');
INSERT INTO `template_items` VALUES ('1703', 'object/tangible/wearables/boots/shared_nightsister_boots.iff');
INSERT INTO `template_items` VALUES ('1704', 'object/tangible/component/vehicle/shared_armor_panel_blast.iff');
INSERT INTO `template_items` VALUES ('1705', 'object/tangible/component/droid/shared_personality_module_base.iff');
INSERT INTO `template_items` VALUES ('1706', 'object/tangible/wearables/shirt/shared_nightsister_shirt_s03.iff');
INSERT INTO `template_items` VALUES ('1707', 'object/tangible/lair/base/shared_poi_all_lair_rock_shelter_small_fog_gray.iff');
INSERT INTO `template_items` VALUES ('1708', 'object/tangible/ship/components/engine/shared_eng_qualdex_advanced.iff');
INSERT INTO `template_items` VALUES ('1709', 'object/tangible/food/spice/shared_spice_pyrepenol.iff');
INSERT INTO `template_items` VALUES ('1710', 'object/tangible/loot/loot_schematic/shared_death_watch_mandalorian_bicep_r_schematic.iff');
INSERT INTO `template_items` VALUES ('1711', 'object/tangible/mission/quest_item/shared_karrek_film_q2_needed.iff');
INSERT INTO `template_items` VALUES ('1712', 'object/tangible/ship/components/engine/shared_engine_incom_e16.iff');
INSERT INTO `template_items` VALUES ('1713', 'object/tangible/hair/human/shared_hair_human_male_s26.iff');
INSERT INTO `template_items` VALUES ('1714', 'object/tangible/ship/attachment/booster/shared_xwing_booster_s01.iff');
INSERT INTO `template_items` VALUES ('1715', 'object/tangible/food/crafted/shared_dish_fire_stew.iff');
INSERT INTO `template_items` VALUES ('1716', 'object/tangible/ship/components/droid_interface/shared_ddi_rendili_elite_imperator.iff');
INSERT INTO `template_items` VALUES ('1717', 'object/tangible/wearables/ithorian/shared_ith_bodysuit_s05.iff');
INSERT INTO `template_items` VALUES ('1718', 'object/tangible/component/dna/shared_dna_sample_very_low.iff');
INSERT INTO `template_items` VALUES ('1719', 'object/tangible/ship/components/weapon_capacitor/shared_cap_sorosuub_tuned_dynamo_mk3.iff');
INSERT INTO `template_items` VALUES ('1720', 'object/tangible/deed/event_perk/shared_banner_style_1_static_deed.iff');
INSERT INTO `template_items` VALUES ('1721', 'object/tangible/space/special_loot/shared_firespray_schematic_part3.iff');
INSERT INTO `template_items` VALUES ('1722', 'object/tangible/ship/attachment/engine/shared_tieadvanced_engine_s01.iff');
INSERT INTO `template_items` VALUES ('1723', 'object/tangible/ship/crafted/chassis/shared_blacksun_medium_s03_deed.iff');
INSERT INTO `template_items` VALUES ('1724', 'object/tangible/furniture/all/shared_frn_all_banner_rebel.iff');
INSERT INTO `template_items` VALUES ('1725', 'object/tangible/furniture/decorative/shared_corellian_flagpole.iff');
INSERT INTO `template_items` VALUES ('1726', 'object/tangible/ship/components/booster/shared_bst_kse_cb6.iff');
INSERT INTO `template_items` VALUES ('1727', 'object/tangible/hair/rodian/base/shared_hair_rodian_base.iff');
INSERT INTO `template_items` VALUES ('1728', 'object/tangible/scout/camp/shared_camp_luxury.iff');
INSERT INTO `template_items` VALUES ('1729', 'object/tangible/component/droid/shared_personality_module_stupid.iff');
INSERT INTO `template_items` VALUES ('1730', 'object/tangible/loot/simple_kit/shared_empty_datapad.iff');
INSERT INTO `template_items` VALUES ('1731', 'object/tangible/deed/city_deed/shared_garden_corellia_med_02_deed.iff');
INSERT INTO `template_items` VALUES ('1732', 'object/tangible/fishing/shared_splash.iff');
INSERT INTO `template_items` VALUES ('1733', 'object/tangible/ship/components/droid_interface/shared_ddi_kse_elite_manager_1.iff');
INSERT INTO `template_items` VALUES ('1734', 'object/tangible/mission/quest_item/shared_luthik_uwyr_q3_needed.iff');
INSERT INTO `template_items` VALUES ('1735', 'object/tangible/gem/base/shared_gem_base.iff');
INSERT INTO `template_items` VALUES ('1736', 'object/tangible/lair/torton/shared_lair_torton.iff');
INSERT INTO `template_items` VALUES ('1737', 'object/tangible/ship/components/engine/shared_eng_cygnus_hd3.iff');
INSERT INTO `template_items` VALUES ('1738', 'object/tangible/ship/components/booster/shared_bst_kuat_military_mk3.iff');
INSERT INTO `template_items` VALUES ('1739', 'object/tangible/ship/crafted/shields/shared_base_shields_subcomponent_mk1.iff');
INSERT INTO `template_items` VALUES ('1740', 'object/tangible/component/droid/shared_data_storage_module_5.iff');
INSERT INTO `template_items` VALUES ('1741', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_rebel_rescue_01.iff');
INSERT INTO `template_items` VALUES ('1742', 'object/tangible/loot/dungeon/corellian_corvette/shared_imperial_destroy_filler02.iff');
INSERT INTO `template_items` VALUES ('1743', 'object/tangible/wearables/dress/shared_dress_s35.iff');
INSERT INTO `template_items` VALUES ('1744', 'object/tangible/ship/crafted/chassis/shared_blacksun_light_s04_deed.iff');
INSERT INTO `template_items` VALUES ('1745', 'object/tangible/ship/components/engine/shared_eng_koensayr_small_ionjet.iff');
INSERT INTO `template_items` VALUES ('1746', 'object/tangible/hair/singing_mountain_clan/shared_hair_singing_mountain_clan_s02.iff');
INSERT INTO `template_items` VALUES ('1747', 'object/tangible/lair/scurrier/shared_lair_scurrier_desert.iff');
INSERT INTO `template_items` VALUES ('1748', 'object/tangible/ship/components/armor/shared_arm_koensayr_heavy_durasteel.iff');
INSERT INTO `template_items` VALUES ('1749', 'object/tangible/ship/components/weapon_capacitor/shared_cap_kse_performance_mk2.iff');
INSERT INTO `template_items` VALUES ('1750', 'object/tangible/mission/quest_item/shared_drenn_zebber_q1_needed.iff');
INSERT INTO `template_items` VALUES ('1751', 'object/tangible/ship/components/weapon_capacitor/shared_cap_kse_mk5.iff');
INSERT INTO `template_items` VALUES ('1752', 'object/tangible/medicine/crafted/shared_medpack_enhance_disease_c.iff');
INSERT INTO `template_items` VALUES ('1753', 'object/tangible/ship/crafted/droid_interface/shared_base_droid_interface_subcomponent.iff');
INSERT INTO `template_items` VALUES ('1754', 'object/tangible/component/weapon/shared_vibro_unit_advanced.iff');
INSERT INTO `template_items` VALUES ('1755', 'object/tangible/wearables/jacket/shared_jacket_s36.iff');
INSERT INTO `template_items` VALUES ('1756', 'object/tangible/lair/base/shared_lair_base_crevice_light.iff');
INSERT INTO `template_items` VALUES ('1757', 'object/tangible/furniture/all/shared_frn_all_data_terminal_wall_s2.iff');
INSERT INTO `template_items` VALUES ('1758', 'object/tangible/ship/components/weapon/shared_wpn_prototype_weapon_tie.iff');
INSERT INTO `template_items` VALUES ('1759', 'object/tangible/scout/camokit/shared_camokit_naboo.iff');
INSERT INTO `template_items` VALUES ('1760', 'object/tangible/furniture/technical/shared_bookcase_s01.iff');
INSERT INTO `template_items` VALUES ('1761', 'object/tangible/deed/pet_deed/shared_malkloc_deed.iff');
INSERT INTO `template_items` VALUES ('1762', 'object/tangible/component/munition/shared_base_munition_enhancer.iff');
INSERT INTO `template_items` VALUES ('1763', 'object/tangible/ship/components/armor/shared_arm_kessel_imperial_sfs_imperial_finest.iff');
INSERT INTO `template_items` VALUES ('1764', 'object/tangible/loot/plant_grow/shared_plant_stage_3.iff');
INSERT INTO `template_items` VALUES ('1765', 'object/tangible/lair/base/shared_poi_all_lair_brambles_large_fog_gray.iff');
INSERT INTO `template_items` VALUES ('1766', 'object/tangible/wearables/shoes/shared_shoes_s03.iff');
INSERT INTO `template_items` VALUES ('1767', 'object/tangible/container/drum/shared_warren_drum_skeleton.iff');
INSERT INTO `template_items` VALUES ('1768', 'object/tangible/component/vehicle/shared_veh_power_plant_mk2.iff');
INSERT INTO `template_items` VALUES ('1769', 'object/tangible/ship/attachment/weapon/shared_awing_weapon_s03.iff');
INSERT INTO `template_items` VALUES ('1770', 'object/tangible/ship/crafted/booster/shared_extended_life_fuel_cell_mk4.iff');
INSERT INTO `template_items` VALUES ('1771', 'object/tangible/wearables/backpack/shared_backpack_s03_quest.iff');
INSERT INTO `template_items` VALUES ('1772', 'object/tangible/hair/sullustan/shared_sul_hair_s04_m.iff');
INSERT INTO `template_items` VALUES ('1773', 'object/tangible/wearables/base/shared_base_robe_shortsleeve_hooded.iff');
INSERT INTO `template_items` VALUES ('1774', 'object/tangible/deed/city_deed/shared_hospital_naboo_deed.iff');
INSERT INTO `template_items` VALUES ('1775', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_neg_s02_1.iff');
INSERT INTO `template_items` VALUES ('1776', 'object/tangible/component/chemistry/shared_chemistry_component.iff');
INSERT INTO `template_items` VALUES ('1777', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_launcher_imagerec_mk1.iff');
INSERT INTO `template_items` VALUES ('1778', 'object/tangible/ship/components/armor/shared_arm_freitek_standard.iff');
INSERT INTO `template_items` VALUES ('1779', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon1_s01.iff');
INSERT INTO `template_items` VALUES ('1780', 'object/tangible/lair/capper_spineflap/shared_lair_capper_spineflap_forest.iff');
INSERT INTO `template_items` VALUES ('1781', 'object/tangible/theme_park/alderaan/act2/shared_interface_override_device.iff');
INSERT INTO `template_items` VALUES ('1782', 'object/tangible/component/dna/shared_dna_template_kaadu.iff');
INSERT INTO `template_items` VALUES ('1783', 'object/tangible/space/story_loot/shared_loot_naboo_miner.iff');
INSERT INTO `template_items` VALUES ('1784', 'object/tangible/datapad/shared_droid_datapad_3.iff');
INSERT INTO `template_items` VALUES ('1785', 'object/tangible/wearables/ithorian/shared_ith_jacket_s13.iff');
INSERT INTO `template_items` VALUES ('1786', 'object/tangible/wearables/pants/shared_pants_s04.iff');
INSERT INTO `template_items` VALUES ('1787', 'object/tangible/ship/attachment/engine/shared_decimator_engine_s01.iff');
INSERT INTO `template_items` VALUES ('1788', 'object/tangible/camp/shared_camp_cot.iff');
INSERT INTO `template_items` VALUES ('1789', 'object/tangible/wearables/base/shared_armor_base.iff');
INSERT INTO `template_items` VALUES ('1790', 'object/tangible/component/armor/shared_armor_layer_cold.iff');
INSERT INTO `template_items` VALUES ('1791', 'object/tangible/deed/pet_deed/shared_deed_r3_basic.iff');
INSERT INTO `template_items` VALUES ('1792', 'object/tangible/scout/camokit/shared_camokit_yavin.iff');
INSERT INTO `template_items` VALUES ('1793', 'object/tangible/ship/components/reactor/shared_rct_reward_incom_elite.iff');
INSERT INTO `template_items` VALUES ('1794', 'object/tangible/ship/components/droid_interface/shared_ddi_kse_advanced_manager.iff');
INSERT INTO `template_items` VALUES ('1795', 'object/tangible/deed/city_deed/shared_garden_naboo_med_03_deed.iff');
INSERT INTO `template_items` VALUES ('1796', 'object/tangible/medicine/crafted/shared_medpack_disease_area_willpower_b.iff');
INSERT INTO `template_items` VALUES ('1797', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon_neg_s02_1.iff');
INSERT INTO `template_items` VALUES ('1798', 'object/tangible/ship/attachment/weapon/shared_aggressor_weapon_s02.iff');
INSERT INTO `template_items` VALUES ('1799', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_pos_s04_0.iff');
INSERT INTO `template_items` VALUES ('1800', 'object/tangible/wearables/armor/stormtrooper/shared_armor_stormtrooper_chest_plate_quest.iff');
INSERT INTO `template_items` VALUES ('1801', 'object/tangible/loot/collectible/collectible_parts/shared_blue_rug_adhesive.iff');
INSERT INTO `template_items` VALUES ('1802', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon1_s02.iff');
INSERT INTO `template_items` VALUES ('1803', 'object/tangible/loot/quest/shared_nym_imggc.iff');
INSERT INTO `template_items` VALUES ('1804', 'object/tangible/component/vehicle/shared_veh_shield_generator_mk1.iff');
INSERT INTO `template_items` VALUES ('1805', 'object/tangible/ship/crafted/reactor/shared_reactor_overcharger_mk1.iff');
INSERT INTO `template_items` VALUES ('1806', 'object/tangible/ship/components/shield_generator/shared_shd_taim_heavy.iff');
INSERT INTO `template_items` VALUES ('1807', 'object/tangible/medicine/crafted/shared_medpack_disease_health_c.iff');
INSERT INTO `template_items` VALUES ('1808', 'object/tangible/food/foraged/shared_foraged_fruit_s1.iff');
INSERT INTO `template_items` VALUES ('1809', 'object/tangible/painting/shared_painting_luke_wanted.iff');
INSERT INTO `template_items` VALUES ('1810', 'object/tangible/ship/components/engine/shared_eng_corellian_deluxe_cruiser_grade_mk1.iff');
INSERT INTO `template_items` VALUES ('1811', 'object/tangible/wearables/armor/ris/shared_armor_ris_boots.iff');
INSERT INTO `template_items` VALUES ('1812', 'object/tangible/ship/components/weapon_capacitor/shared_cap_sorosuub_turbo.iff');
INSERT INTO `template_items` VALUES ('1813', 'object/tangible/ship/attachment/weapon/shared_ywing_weapon2_s01.iff');
INSERT INTO `template_items` VALUES ('1814', 'object/tangible/deed/event_perk/shared_fed_dub_2x10_honorguard_deed.iff');
INSERT INTO `template_items` VALUES ('1815', 'object/tangible/deed/naboo/player_house_deed/shared_naboo_house_small_deed.iff');
INSERT INTO `template_items` VALUES ('1816', 'object/tangible/component/chemistry/shared_infection_amplifier_advanced.iff');
INSERT INTO `template_items` VALUES ('1817', 'object/tangible/wearables/ithorian/shared_ith_pants_s01.iff');
INSERT INTO `template_items` VALUES ('1818', 'object/tangible/furniture/all/shared_frn_all_data_terminal_free_s2.iff');
INSERT INTO `template_items` VALUES ('1819', 'object/tangible/component/droid/repair/shared_diagnostic_circuit_advanced.iff');
INSERT INTO `template_items` VALUES ('1820', 'object/tangible/deed/pet_deed/shared_vehicular_prototype_bike.iff');
INSERT INTO `template_items` VALUES ('1821', 'object/tangible/lair/flewt/shared_lair_flewt_forest.iff');
INSERT INTO `template_items` VALUES ('1822', 'object/tangible/loot/collectible/collectible_parts/shared_sculpture_structure_07.iff');
INSERT INTO `template_items` VALUES ('1823', 'object/tangible/ship/components/weapon_capacitor/shared_cap_sds_imperial_2.iff');
INSERT INTO `template_items` VALUES ('1824', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_imperial_rescue_02.iff');
INSERT INTO `template_items` VALUES ('1825', 'object/tangible/ship/components/booster/shared_bst_incom_intimidator_mk3.iff');
INSERT INTO `template_items` VALUES ('1826', 'object/tangible/wearables/necklace/shared_necklace_pawl_chain.iff');
INSERT INTO `template_items` VALUES ('1827', 'object/tangible/ship/components/droid_interface/shared_ddi_kse_improved_manager_mk1.iff');
INSERT INTO `template_items` VALUES ('1828', 'object/tangible/lair/fanned_rawl/shared_lair_fanned_rawl_swamp.iff');
INSERT INTO `template_items` VALUES ('1829', 'object/tangible/mission/quest_item/shared_fixer_q3_needed.iff');
INSERT INTO `template_items` VALUES ('1830', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_female_s09.iff');
INSERT INTO `template_items` VALUES ('1831', 'object/tangible/wearables/necklace/shared_necklace_s04.iff');
INSERT INTO `template_items` VALUES ('1832', 'object/tangible/lair/base/shared_objective_data_terminal.iff');
INSERT INTO `template_items` VALUES ('1833', 'object/tangible/ship/crafted/booster/shared_heavy_fuel_cell_mk4.iff');
INSERT INTO `template_items` VALUES ('1834', 'object/tangible/lair/base/shared_poi_all_lair_leaf_small_evil_fire_small.iff');
INSERT INTO `template_items` VALUES ('1835', 'object/tangible/hair/sullustan/shared_sul_hair_s09_m.iff');
INSERT INTO `template_items` VALUES ('1836', 'object/tangible/lair/base/shared_poi_all_lair_mound_small_evil_fire_red.iff');
INSERT INTO `template_items` VALUES ('1837', 'object/tangible/medicine/crafted/shared_medpack_disease_area_strength_c.iff');
INSERT INTO `template_items` VALUES ('1838', 'object/tangible/food/crafted/shared_dish_scrimpi.iff');
INSERT INTO `template_items` VALUES ('1839', 'object/tangible/component/dna/shared_dna_template_dewback.iff');
INSERT INTO `template_items` VALUES ('1840', 'object/tangible/ship/components/engine/shared_engine_novaldex_singularity.iff');
INSERT INTO `template_items` VALUES ('1841', 'object/tangible/ship/components/chassis/shared_blacksun_light_s04_chassis_token.iff');
INSERT INTO `template_items` VALUES ('1842', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_neg_s03_0.iff');
INSERT INTO `template_items` VALUES ('1843', 'object/tangible/component/armor/shared_armor_segment_enhancement_rancor.iff');
INSERT INTO `template_items` VALUES ('1844', 'object/tangible/skill_buff/shared_skill_buff_heavy_weapon_accuracy.iff');
INSERT INTO `template_items` VALUES ('1845', 'object/tangible/ship/components/reactor/shared_rct_incom_mark2.iff');
INSERT INTO `template_items` VALUES ('1846', 'object/tangible/wearables/armor/chitin/shared_armor_chitin_s01_leggings.iff');
INSERT INTO `template_items` VALUES ('1847', 'object/tangible/ship/attachment/weapon/shared_spacestation_turret_base_s02.iff');
INSERT INTO `template_items` VALUES ('1848', 'object/tangible/component/armor/shared_armor_segment_bone.iff');
INSERT INTO `template_items` VALUES ('1849', 'object/tangible/ship/components/engine/shared_eng_incom_fusialthrust.iff');
INSERT INTO `template_items` VALUES ('1850', 'object/tangible/loot/simple_kit/shared_wiring.iff');
INSERT INTO `template_items` VALUES ('1851', 'object/tangible/ship/components/droid_interface/shared_ddi_haor_chall_vintage_piece.iff');
INSERT INTO `template_items` VALUES ('1852', 'object/tangible/ship/attachment/booster/shared_z95_booster_s02.iff');
INSERT INTO `template_items` VALUES ('1853', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_pos_s05_1.iff');
INSERT INTO `template_items` VALUES ('1854', 'object/tangible/deed/city_deed/shared_garden_dantooine_lrg_01_deed.iff');
INSERT INTO `template_items` VALUES ('1855', 'object/tangible/component/armor/shared_heavy_armor_layer_energy.iff');
INSERT INTO `template_items` VALUES ('1856', 'object/tangible/ship/components/engine/shared_eng_sorosuub_u83r_ion_drive.iff');
INSERT INTO `template_items` VALUES ('1857', 'object/tangible/wearables/necklace/shared_necklace_crushed_brooch.iff');
INSERT INTO `template_items` VALUES ('1858', 'object/tangible/component/food/shared_container_large_glass.iff');
INSERT INTO `template_items` VALUES ('1859', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_lg_s05.iff');
INSERT INTO `template_items` VALUES ('1860', 'object/tangible/component/vehicle/shared_structural_reinforcements.iff');
INSERT INTO `template_items` VALUES ('1861', 'object/tangible/lair/base/shared_poi_all_lair_brambles_small_fog_red.iff');
INSERT INTO `template_items` VALUES ('1862', 'object/tangible/loot/misc/shared_hyperdrive_part_s01.iff');
INSERT INTO `template_items` VALUES ('1863', 'object/tangible/mission/quest_item/shared_warren_evidence_s04.iff');
INSERT INTO `template_items` VALUES ('1864', 'object/tangible/ship/attachment/wing/shared_bwing_body.iff');
INSERT INTO `template_items` VALUES ('1865', 'object/tangible/deed/event_perk/shared_talus_flag_deed.iff');
INSERT INTO `template_items` VALUES ('1866', 'object/tangible/ship/components/weapon/shared_wpn_star_destroyer_turret_square.iff');
INSERT INTO `template_items` VALUES ('1867', 'object/tangible/lair/base/shared_poi_all_lair_bones_fog_red.iff');
INSERT INTO `template_items` VALUES ('1868', 'object/tangible/loot/collectible/collectible_parts/shared_orange_rug_thread_03.iff');
INSERT INTO `template_items` VALUES ('1869', 'object/tangible/hair/rodian/shared_hair_rodian_female_s21.iff');
INSERT INTO `template_items` VALUES ('1870', 'object/tangible/loot/loot_schematic/shared_death_watch_mandalorian_helmet_schematic.iff');
INSERT INTO `template_items` VALUES ('1871', 'object/tangible/deed/corellia/player_house_deed/shared_corellia_house_small_deed.iff');
INSERT INTO `template_items` VALUES ('1872', 'object/tangible/ship/components/booster/shared_bst_subpro_accelatron_mk3.iff');
INSERT INTO `template_items` VALUES ('1873', 'object/tangible/mission/shared_mission_recon_target.iff');
INSERT INTO `template_items` VALUES ('1874', 'object/tangible/furniture/all/shared_frn_all_couch_love_seat_s2.iff');
INSERT INTO `template_items` VALUES ('1875', 'object/tangible/hair/sullustan/shared_sul_hair_s06_f.iff');
INSERT INTO `template_items` VALUES ('1876', 'object/tangible/wearables/gloves/shared_gloves_s06.iff');
INSERT INTO `template_items` VALUES ('1877', 'object/tangible/ship/crafted/chassis/shared_blacksun_medium_s01_deed.iff');
INSERT INTO `template_items` VALUES ('1878', 'object/tangible/deed/pet_deed/shared_sand_panther_deed.iff');
INSERT INTO `template_items` VALUES ('1879', 'object/tangible/wearables/dress/shared_dress_s08.iff');
INSERT INTO `template_items` VALUES ('1880', 'object/tangible/ship/components/weapon/shared_wpn_mandal_qv5_disruptor.iff');
INSERT INTO `template_items` VALUES ('1881', 'object/tangible/lair/base/shared_poi_all_lair_mound_small_evil_fire_green.iff');
INSERT INTO `template_items` VALUES ('1882', 'object/tangible/ship/components/armor/shared_arm_koensayr_b5_durasteel.iff');
INSERT INTO `template_items` VALUES ('1883', 'object/tangible/loot/quest/shared_nym_filtered_gas.iff');
INSERT INTO `template_items` VALUES ('1884', 'object/tangible/loot/quest/hero_of_tatooine/shared_mark_courage.iff');
INSERT INTO `template_items` VALUES ('1885', 'object/tangible/ship/components/weapon/shared_wpn_sfs_imperial_blaster_1.iff');
INSERT INTO `template_items` VALUES ('1886', 'object/tangible/ship/components/shield_generator/shared_shd_koensayr_deflector_m6.iff');
INSERT INTO `template_items` VALUES ('1887', 'object/tangible/ship/attachment/weapon/shared_kse_firespray_weapon2_s05.iff');
INSERT INTO `template_items` VALUES ('1888', 'object/tangible/painting/shared_painting_twilek_f.iff');
INSERT INTO `template_items` VALUES ('1889', 'object/tangible/deed/pet_deed/shared_zucca_boar_deed.iff');
INSERT INTO `template_items` VALUES ('1890', 'object/tangible/terminal/shared_terminal_hq_rebel.iff');
INSERT INTO `template_items` VALUES ('1891', 'object/tangible/ship/components/shield_generator/shared_shd_kse_elite.iff');
INSERT INTO `template_items` VALUES ('1892', 'object/tangible/ship/components/droid_interface/shared_ddi_novaldex_custom_droid_interface_mk4.iff');
INSERT INTO `template_items` VALUES ('1893', 'object/tangible/loot/collectible/collectible_parts/shared_blue_rug_thread_02.iff');
INSERT INTO `template_items` VALUES ('1894', 'object/tangible/hair/bothan/shared_hair_bothan_male_s11.iff');
INSERT INTO `template_items` VALUES ('1895', 'object/tangible/painting/shared_painting_trandoshan_m_01.iff');
INSERT INTO `template_items` VALUES ('1896', 'object/tangible/ship/crafted/weapon/shared_weapon_slayn_ioncannon.iff');
INSERT INTO `template_items` VALUES ('1897', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s05.iff');
INSERT INTO `template_items` VALUES ('1898', 'object/tangible/component/item/quest_item/shared_particle_sensor.iff');
INSERT INTO `template_items` VALUES ('1899', 'object/tangible/wearables/bikini/shared_bikini_s04.iff');
INSERT INTO `template_items` VALUES ('1900', 'object/tangible/deed/generator_deed/shared_generator_solar_deed.iff');
INSERT INTO `template_items` VALUES ('1901', 'object/tangible/ship/components/armor/shared_arm_corellian_light_durasteel.iff');
INSERT INTO `template_items` VALUES ('1902', 'object/tangible/food/spice/shared_spice_sweetblossom.iff');
INSERT INTO `template_items` VALUES ('1903', 'object/tangible/deed/player_house_deed/shared_tatooine_house_small_deed.iff');
INSERT INTO `template_items` VALUES ('1904', 'object/tangible/component/chemistry/shared_dispersal_mechanism_advanced.iff');
INSERT INTO `template_items` VALUES ('1905', 'object/tangible/lair/base/shared_poi_all_lair_wooden.iff');
INSERT INTO `template_items` VALUES ('1906', 'object/tangible/wearables/ithorian/shared_hat_chef_s02_ith.iff');
INSERT INTO `template_items` VALUES ('1907', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_sm_s06.iff');
INSERT INTO `template_items` VALUES ('1908', 'object/tangible/ship/attachment/engine/shared_z95_engine_s02.iff');
INSERT INTO `template_items` VALUES ('1909', 'object/tangible/wearables/earring/shared_earring_s08.iff');
INSERT INTO `template_items` VALUES ('1910', 'object/tangible/crafting/shared_missing_schematic_substitute.iff');
INSERT INTO `template_items` VALUES ('1911', 'object/tangible/instrument/shared_flute_droopy.iff');
INSERT INTO `template_items` VALUES ('1912', 'object/tangible/wearables/ithorian/shared_ith_necklace_s06.iff');
INSERT INTO `template_items` VALUES ('1913', 'object/tangible/wearables/armor/bone/shared_armor_bone_s01_helmet.iff');
INSERT INTO `template_items` VALUES ('1914', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s01_bicep_r.iff');
INSERT INTO `template_items` VALUES ('1915', 'object/tangible/mission/shared_mission_terminal.iff');
INSERT INTO `template_items` VALUES ('1916', 'object/tangible/furniture/all/shared_frn_all_desk_map_table_insert.iff');
INSERT INTO `template_items` VALUES ('1917', 'object/tangible/ship/components/droid_interface/shared_ddi_qualdex_elite.iff');
INSERT INTO `template_items` VALUES ('1918', 'object/tangible/mission/quest_item/shared_luthin_dlunar_q1_needed.iff');
INSERT INTO `template_items` VALUES ('1919', 'object/tangible/ship/attachment/weapon/shared_hutt_medium_weapon1_s03.iff');
INSERT INTO `template_items` VALUES ('1920', 'object/tangible/mission/quest_item/shared_jaleela_bindoo_q1_needed.iff');
INSERT INTO `template_items` VALUES ('1921', 'object/tangible/loadbeacon/shared_loadbeacon_base.iff');
INSERT INTO `template_items` VALUES ('1922', 'object/tangible/lair/base/shared_poi_all_lair_insecthill_small_fog_gray.iff');
INSERT INTO `template_items` VALUES ('1923', 'object/tangible/deed/city_deed/shared_garden_naboo_med_01_deed.iff');
INSERT INTO `template_items` VALUES ('1924', 'object/tangible/furniture/all/shared_frn_all_couch_divan_s1.iff');
INSERT INTO `template_items` VALUES ('1925', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s01_belt.iff');
INSERT INTO `template_items` VALUES ('1926', 'object/tangible/component/weapon/shared_chemical_dispersion_mechanism.iff');
INSERT INTO `template_items` VALUES ('1927', 'object/tangible/loot/loot_schematic/shared_microphone_s02_schematic.iff');
INSERT INTO `template_items` VALUES ('1928', 'object/tangible/ship/components/engine/shared_engine_novaldex_x12.iff');
INSERT INTO `template_items` VALUES ('1929', 'object/tangible/mission/quest_item/shared_luthik_uwyr_q2_needed.iff');
INSERT INTO `template_items` VALUES ('1930', 'object/tangible/ship/crafted/chassis/shared_texture_kit_s01.iff');
INSERT INTO `template_items` VALUES ('1931', 'object/tangible/wearables/robe/shared_robe_prefect_talmont.iff');
INSERT INTO `template_items` VALUES ('1932', 'object/tangible/wearables/base/shared_base_jumpsuit_shortsleeve.iff');
INSERT INTO `template_items` VALUES ('1933', 'object/tangible/furniture/all/shared_frn_all_chair_metal_s1.iff');
INSERT INTO `template_items` VALUES ('1934', 'object/tangible/deed/event_perk/shared_imperial_banner_static_deed.iff');
INSERT INTO `template_items` VALUES ('1935', 'object/tangible/firework/shared_firework_s10.iff');
INSERT INTO `template_items` VALUES ('1936', 'object/tangible/lair/graul/shared_lair_graul_jungle.iff');
INSERT INTO `template_items` VALUES ('1937', 'object/tangible/wearables/armor/ris/shared_armor_ris_bicep_l.iff');
INSERT INTO `template_items` VALUES ('1938', 'object/tangible/deed/pet_deed/shared_dewback_deed.iff');
INSERT INTO `template_items` VALUES ('1939', 'object/tangible/food/crafted/shared_dish_crispic.iff');
INSERT INTO `template_items` VALUES ('1940', 'object/tangible/medicine/crafted/shared_medpack_cure_disease_b.iff');
INSERT INTO `template_items` VALUES ('1941', 'object/tangible/ship/components/weapon/shared_wpn_mandal_elite_annihilator.iff');
INSERT INTO `template_items` VALUES ('1942', 'object/tangible/ship/crafted/booster/shared_xwing_booster_mk1.iff');
INSERT INTO `template_items` VALUES ('1943', 'object/tangible/lair/base/shared_poi_all_lair_dead_log_small_fog_gray.iff');
INSERT INTO `template_items` VALUES ('1944', 'object/tangible/ship/components/booster/shared_bst_koensayr_evh12.iff');
INSERT INTO `template_items` VALUES ('1945', 'object/tangible/terminal/shared_terminal_city_vote.iff');
INSERT INTO `template_items` VALUES ('1946', 'object/tangible/hopper/crafting_station_hopper/shared_crafting_station_ingredient_hopper_small.iff');
INSERT INTO `template_items` VALUES ('1947', 'object/tangible/ship/components/booster/shared_bst_mandal_enhanced_jbj_mk1.iff');
INSERT INTO `template_items` VALUES ('1948', 'object/tangible/lair/base/shared_poi_all_lair_leaf_large_fog_gray.iff');
INSERT INTO `template_items` VALUES ('1949', 'object/tangible/wearables/armor/ubese/shared_armor_ubese_boots.iff');
INSERT INTO `template_items` VALUES ('1950', 'object/tangible/ship/components/droid_interface/shared_ddi_sds_imperial_2.iff');
INSERT INTO `template_items` VALUES ('1951', 'object/tangible/loot/dungeon/corellian_corvette/shared_neutral_rescue_filler01.iff');
INSERT INTO `template_items` VALUES ('1952', 'object/tangible/ship/interior_components/shared_shield_generator_interior.iff');
INSERT INTO `template_items` VALUES ('1953', 'object/tangible/ship/attachment/weapon/shared_ykl37r_turret_base.iff');
INSERT INTO `template_items` VALUES ('1954', 'object/tangible/wearables/wookiee/shared_wke_shoulder_pad_s01.iff');
INSERT INTO `template_items` VALUES ('1955', 'object/tangible/hair/twilek/shared_hair_twilek_male_s02.iff');
INSERT INTO `template_items` VALUES ('1956', 'object/tangible/component/droid/shared_item_storage_module_base.iff');
INSERT INTO `template_items` VALUES ('1957', 'object/tangible/medicine/crafted/shared_medpack_disease_area_quickness_a.iff');
INSERT INTO `template_items` VALUES ('1958', 'object/tangible/container/jar/shared_jar_empty_s01.iff');
INSERT INTO `template_items` VALUES ('1959', 'object/tangible/ship/components/weapon_capacitor/shared_cap_moncal_heavy.iff');
INSERT INTO `template_items` VALUES ('1960', 'object/tangible/wearables/armor/ithorian_guardian/shared_ith_armor_s02_bicep_l.iff');
INSERT INTO `template_items` VALUES ('1961', 'object/tangible/deed/pet_deed/shared_gnort_deed.iff');
INSERT INTO `template_items` VALUES ('1962', 'object/tangible/loot/dungeon/geonosian_mad_bunker/shared_engineering_datapad.iff');
INSERT INTO `template_items` VALUES ('1963', 'object/tangible/wearables/armor/stormtrooper/shared_armor_stormtrooper_utility_belt.iff');
INSERT INTO `template_items` VALUES ('1964', 'object/tangible/dice/shared_eqp_configurable_group_dice.iff');
INSERT INTO `template_items` VALUES ('1965', 'object/tangible/component/dna/shared_dna_template_dalyrake.iff');
INSERT INTO `template_items` VALUES ('1966', 'object/tangible/mission/quest_item/shared_ebenn_baobab_q3_needed.iff');
INSERT INTO `template_items` VALUES ('1967', 'object/tangible/component/weapon/shared_projectile_pistol_barrel.iff');
INSERT INTO `template_items` VALUES ('1968', 'object/tangible/ship/crafted/weapon/shared_speed_limiter_upgrade_mk4.iff');
INSERT INTO `template_items` VALUES ('1969', 'object/tangible/loot/bestine/shared_bestine_painting_schematic_house.iff');
INSERT INTO `template_items` VALUES ('1970', 'object/tangible/camp/shared_camp_light_s1.iff');
INSERT INTO `template_items` VALUES ('1971', 'object/tangible/furniture/all/shared_frn_all_couch_ottoman_s1.iff');
INSERT INTO `template_items` VALUES ('1972', 'object/tangible/ship/components/weapon/shared_wpn_gyrhil_r9x.iff');
INSERT INTO `template_items` VALUES ('1973', 'object/tangible/medicine/crafted/shared_medpack_disease_stamina_b.iff');
INSERT INTO `template_items` VALUES ('1974', 'object/tangible/deed/event_perk/shared_destroyed_atat_theater_deed.iff');
INSERT INTO `template_items` VALUES ('1975', 'object/tangible/hair/rodian/shared_hair_rodian_female_s15.iff');
INSERT INTO `template_items` VALUES ('1976', 'object/tangible/ship/components/booster/shared_bst_qualdex_xboost_mk4.iff');
INSERT INTO `template_items` VALUES ('1977', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s13.iff');
INSERT INTO `template_items` VALUES ('1978', 'object/tangible/ship/components/shield_generator/shared_shd_moncal_deluxe_ionweb_a.iff');
INSERT INTO `template_items` VALUES ('1979', 'object/tangible/loot/quest/shared_huff_quest_borvos_money.iff');
INSERT INTO `template_items` VALUES ('1980', 'object/tangible/terminal/shared_terminal_shipping.iff');
INSERT INTO `template_items` VALUES ('1981', 'object/tangible/instrument/shared_organ_max_rebo.iff');
INSERT INTO `template_items` VALUES ('1982', 'object/tangible/mission/quest_item/shared_jaleela_bindoo_q3_needed.iff');
INSERT INTO `template_items` VALUES ('1983', 'object/tangible/loot/dungeon/corellian_corvette/shared_neutral_assassin_filler01.iff');
INSERT INTO `template_items` VALUES ('1984', 'object/tangible/ship/components/armor/shared_arm_incom_light_plate.iff');
INSERT INTO `template_items` VALUES ('1985', 'object/tangible/ship/components/weapon/shared_wpn_spacestation_rebel_turret_s02.iff');
INSERT INTO `template_items` VALUES ('1986', 'object/tangible/ship/crafted/repair/shared_repair_kit_base.iff');
INSERT INTO `template_items` VALUES ('1987', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_m_s07.iff');
INSERT INTO `template_items` VALUES ('1988', 'object/tangible/ship/components/weapon_capacitor/shared_cap_subpro_dauntless_z3.iff');
INSERT INTO `template_items` VALUES ('1989', 'object/tangible/medicine/shared_medpack_enhance_quickness.iff');
INSERT INTO `template_items` VALUES ('1990', 'object/tangible/food/crafted/additive/shared_additive_light.iff');
INSERT INTO `template_items` VALUES ('1991', 'object/tangible/component/dna/shared_dna_template_torton.iff');
INSERT INTO `template_items` VALUES ('1992', 'object/tangible/furniture/jedi/shared_frn_all_banner_dark.iff');
INSERT INTO `template_items` VALUES ('1993', 'object/tangible/painting/shared_painting_planet_s01.iff');
INSERT INTO `template_items` VALUES ('1994', 'object/tangible/deed/pet_deed/shared_dune_lizard_deed.iff');
INSERT INTO `template_items` VALUES ('1995', 'object/tangible/ship/crafted/weapon/shared_wpn_advanced_blaster_green.iff');
INSERT INTO `template_items` VALUES ('1996', 'object/tangible/wearables/apron/shared_apron_chef_s01.iff');
INSERT INTO `template_items` VALUES ('1997', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_neutral_rescue_03.iff');
INSERT INTO `template_items` VALUES ('1998', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_02.iff');
INSERT INTO `template_items` VALUES ('1999', 'object/tangible/ship/components/engine/shared_eng_novaldex_x6.iff');
INSERT INTO `template_items` VALUES ('2000', 'object/tangible/lair/gekk/shared_lair_gekk_forest.iff');
INSERT INTO `template_items` VALUES ('2001', 'object/tangible/location/shared_location_80.iff');
INSERT INTO `template_items` VALUES ('2002', 'object/tangible/lair/jellyfish/shared_lair_jellyfish.iff');
INSERT INTO `template_items` VALUES ('2003', 'object/tangible/medicine/crafted/shared_medpack_disease_area_constitution_a.iff');
INSERT INTO `template_items` VALUES ('2004', 'object/tangible/ship/crafted/capacitor/shared_energy_saver_battery_mk4.iff');
INSERT INTO `template_items` VALUES ('2005', 'object/tangible/theme_park/alderaan/act3/shared_repaired_grav_unit.iff');
INSERT INTO `template_items` VALUES ('2006', 'object/tangible/ship/components/armor/shared_arm_subpro_enhanced_supreme_plastisteel.iff');
INSERT INTO `template_items` VALUES ('2007', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_male_s11.iff');
INSERT INTO `template_items` VALUES ('2008', 'object/tangible/loot/collectible/collectible_parts/shared_sculpture_goldinlay_01.iff');
INSERT INTO `template_items` VALUES ('2009', 'object/tangible/lair/peko_peko/shared_lair_peko_peko_forest.iff');
INSERT INTO `template_items` VALUES ('2010', 'object/tangible/ship/components/reactor/shared_rct_reward_taim_elite.iff');
INSERT INTO `template_items` VALUES ('2011', 'object/tangible/lair/vynock/shared_lair_vynock_wasteland.iff');
INSERT INTO `template_items` VALUES ('2012', 'object/tangible/loot/dungeon/geonosian_mad_bunker/shared_relic_gbb_honey_carafe.iff');
INSERT INTO `template_items` VALUES ('2013', 'object/tangible/theme_park/alderaan/act2/shared_decoder_comp_power.iff');
INSERT INTO `template_items` VALUES ('2014', 'object/tangible/hair/twilek/shared_hair_twilek_female_s03.iff');
INSERT INTO `template_items` VALUES ('2015', 'object/tangible/lair/baz_nitch/shared_lair_baz_nitch_mountain.iff');
INSERT INTO `template_items` VALUES ('2016', 'object/tangible/ship/components/armor/shared_arm_sorosuub_heavy_plastisteel.iff');
INSERT INTO `template_items` VALUES ('2017', 'object/tangible/lair/base/shared_poi_all_lair_brambles_large_fog_green.iff');
INSERT INTO `template_items` VALUES ('2018', 'object/tangible/wearables/armor/zam/shared_armor_zam_wesell_belt.iff');
INSERT INTO `template_items` VALUES ('2019', 'object/tangible/mission/shared_mission_informant_spawner_hard.iff');
INSERT INTO `template_items` VALUES ('2020', 'object/tangible/hair/human/shared_hair_human_female_s27.iff');
INSERT INTO `template_items` VALUES ('2021', 'object/tangible/lair/bearded_jax/shared_lair_bearded_jax_grassland.iff');
INSERT INTO `template_items` VALUES ('2022', 'object/tangible/lair/base/shared_poi_all_lair_dead_log_small_fog_red.iff');
INSERT INTO `template_items` VALUES ('2023', 'object/tangible/wearables/armor/stormtrooper/shared_armor_stormtrooper_bicep_r.iff');
INSERT INTO `template_items` VALUES ('2024', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s02_leggings.iff');
INSERT INTO `template_items` VALUES ('2025', 'object/tangible/ship/crafted/weapon/shared_shield_effectiveness_intensifier_mk5.iff');
INSERT INTO `template_items` VALUES ('2026', 'object/tangible/loot/collectible/collectible_rewards/shared_gong.iff');
INSERT INTO `template_items` VALUES ('2027', 'object/tangible/lair/huf_dun_hill/shared_lair_huf_dun_hill.iff');
INSERT INTO `template_items` VALUES ('2028', 'object/tangible/deed/pet_deed/shared_rancor_deed.iff');
INSERT INTO `template_items` VALUES ('2029', 'object/tangible/loot/collectible/collectible_parts/shared_light_table_glasstop_01.iff');
INSERT INTO `template_items` VALUES ('2030', 'object/tangible/deed/vehicle_deed/shared_vehicular_prototype_bike_deed.iff');
INSERT INTO `template_items` VALUES ('2031', 'object/tangible/lair/mamien/shared_lair_mamien.iff');
INSERT INTO `template_items` VALUES ('2032', 'object/tangible/ship/crafted/booster/shared_base_booster_subcomponent.iff');
INSERT INTO `template_items` VALUES ('2033', 'object/tangible/mission/quest_item/shared_vana_sage_q1_needed.iff');
INSERT INTO `template_items` VALUES ('2034', 'object/tangible/transport/shared_strut_c.iff');
INSERT INTO `template_items` VALUES ('2035', 'object/tangible/medicine/crafted/shared_crafted_stimpack_sm_s1_b.iff');
INSERT INTO `template_items` VALUES ('2036', 'object/tangible/component/vehicle/shared_armor_panel_cold.iff');
INSERT INTO `template_items` VALUES ('2037', 'object/tangible/component/dna/shared_dna_template_blurrg.iff');
INSERT INTO `template_items` VALUES ('2038', 'object/tangible/ship/components/weapon/shared_wpn_std_countermeasure.iff');
INSERT INTO `template_items` VALUES ('2039', 'object/tangible/furniture/all/shared_frn_all_lamp_table_s02.iff');
INSERT INTO `template_items` VALUES ('2040', 'object/tangible/container/loot/shared_loot_crate.iff');
INSERT INTO `template_items` VALUES ('2041', 'object/tangible/wearables/ithorian/shared_ith_pants_s08.iff');
INSERT INTO `template_items` VALUES ('2042', 'object/tangible/lair/pugoriss/shared_lair_pugoriss.iff');
INSERT INTO `template_items` VALUES ('2043', 'object/tangible/food/crafted/shared_dessert_sweet_cake_mix.iff');
INSERT INTO `template_items` VALUES ('2044', 'object/tangible/component/bio/shared_bio_component_clothing_casual_charisma.iff');
INSERT INTO `template_items` VALUES ('2045', 'object/tangible/ship/components/reactor/shared_rct_slayn_vortex_mk1.iff');
INSERT INTO `template_items` VALUES ('2046', 'object/tangible/mission/quest_item/shared_warren_turret_sequence.iff');
INSERT INTO `template_items` VALUES ('2047', 'object/tangible/loot/loot_schematic/shared_elegant_cabinet_schematic.iff');
INSERT INTO `template_items` VALUES ('2048', 'object/tangible/item/quest/force_sensitive/shared_fs_sculpture_2.iff');
INSERT INTO `template_items` VALUES ('2049', 'object/tangible/mission/quest_item/shared_fixer_q1_needed.iff');
INSERT INTO `template_items` VALUES ('2050', 'object/tangible/component/droid/shared_detonation_module.iff');
INSERT INTO `template_items` VALUES ('2051', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon1_s03.iff');
INSERT INTO `template_items` VALUES ('2052', 'object/tangible/ship/components/weapon_capacitor/shared_cap_moncal_deluxe_elite.iff');
INSERT INTO `template_items` VALUES ('2053', 'object/tangible/furniture/decorative/shared_portable_stove.iff');
INSERT INTO `template_items` VALUES ('2054', 'object/tangible/medicine/crafted/shared_medpack_wound_health_e.iff');
INSERT INTO `template_items` VALUES ('2055', 'object/tangible/hair/human/base/shared_hair_human_base.iff');
INSERT INTO `template_items` VALUES ('2056', 'object/tangible/furniture/all/shared_frn_all_light_lamp_free_s01.iff');
INSERT INTO `template_items` VALUES ('2057', 'object/tangible/component/weapon/shared_vibro_unit_enhancement_wounding.iff');
INSERT INTO `template_items` VALUES ('2058', 'object/tangible/ship/components/weapon/shared_wpn_reward_subpro_elite.iff');
INSERT INTO `template_items` VALUES ('2059', 'object/tangible/ship/components/droid_interface/shared_ddi_sorosuub_rad_mk3.iff');
INSERT INTO `template_items` VALUES ('2060', 'object/tangible/wearables/bracelet/shared_bracelet_s04_l.iff');
INSERT INTO `template_items` VALUES ('2061', 'object/tangible/ship/crafted/capacitor/shared_extended_life_battery_mk1.iff');
INSERT INTO `template_items` VALUES ('2062', 'object/tangible/component/clothing/shared_clothing_treatment_crystalline.iff');
INSERT INTO `template_items` VALUES ('2063', 'object/tangible/ship/components/base/shared_ship_component_loot_base.iff');
INSERT INTO `template_items` VALUES ('2064', 'object/tangible/deed/pet_deed/shared_kimogila_deed.iff');
INSERT INTO `template_items` VALUES ('2065', 'object/tangible/component/armor/shared_armor_segment_bone_acklay.iff');
INSERT INTO `template_items` VALUES ('2066', 'object/tangible/deed/pet_deed/shared_kima_deed.iff');
INSERT INTO `template_items` VALUES ('2067', 'object/tangible/lair/base/shared_poi_all_lair_bones_large_fog_mustard.iff');
INSERT INTO `template_items` VALUES ('2068', 'object/tangible/component/munition/shared_warhead_medium.iff');
INSERT INTO `template_items` VALUES ('2069', 'object/tangible/lair/base/shared_antpile_light.iff');
INSERT INTO `template_items` VALUES ('2070', 'object/tangible/wearables/jacket/shared_jacket_s02.iff');
INSERT INTO `template_items` VALUES ('2071', 'object/tangible/deed/city_deed/shared_garden_naboo_med_05_deed.iff');
INSERT INTO `template_items` VALUES ('2072', 'object/tangible/ship/crafted/droid_interface/shared_droid_brain_interface.iff');
INSERT INTO `template_items` VALUES ('2073', 'object/tangible/ship/components/armor/shared_armor_test.iff');
INSERT INTO `template_items` VALUES ('2074', 'object/tangible/furniture/plain/shared_plain_couch_s01.iff');
INSERT INTO `template_items` VALUES ('2075', 'object/tangible/wearables/hat/shared_hat_s13.iff');
INSERT INTO `template_items` VALUES ('2076', 'object/tangible/wearables/armor/singing_mountain_clan/shared_armor_smc_s01_bracer_r.iff');
INSERT INTO `template_items` VALUES ('2077', 'object/tangible/scout/camp/shared_camp_basic.iff');
INSERT INTO `template_items` VALUES ('2078', 'object/tangible/wearables/bandolier/shared_double_bandolier.iff');
INSERT INTO `template_items` VALUES ('2079', 'object/tangible/lair/corellian_sand_panther/shared_lair_corellian_sand_panther.iff');
INSERT INTO `template_items` VALUES ('2080', 'object/tangible/wearables/wookiee/shared_wke_lifeday_robe.iff');
INSERT INTO `template_items` VALUES ('2081', 'object/tangible/sign/player/banner/shared_pa_hall.iff');
INSERT INTO `template_items` VALUES ('2082', 'object/tangible/ship/components/weapon_capacitor/shared_cap_novaldex_experimental_sarlacc_s1.iff');
INSERT INTO `template_items` VALUES ('2083', 'object/tangible/veteran_reward/shared_frn_tech_console_sectional_a.iff');
INSERT INTO `template_items` VALUES ('2084', 'object/tangible/furniture/space/shared_frn_chair_falcon_passenger_s02.iff');
INSERT INTO `template_items` VALUES ('2085', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_lg_s04_lg.iff');
INSERT INTO `template_items` VALUES ('2086', 'object/tangible/lair/blistmok/shared_lair_blistmok_wasteland.iff');
INSERT INTO `template_items` VALUES ('2087', 'object/tangible/region/shared_deliver_region_30.iff');
INSERT INTO `template_items` VALUES ('2088', 'object/tangible/ship/attachment/booster/shared_bwing_booster_s02.iff');
INSERT INTO `template_items` VALUES ('2089', 'object/tangible/wearables/ring/shared_ring_s01.iff');
INSERT INTO `template_items` VALUES ('2090', 'object/tangible/hair/human/shared_hair_human_male_s12.iff');
INSERT INTO `template_items` VALUES ('2091', 'object/tangible/component/droid/shared_item_storage_module_6.iff');
INSERT INTO `template_items` VALUES ('2092', 'object/tangible/ship/crafted/weapon/shared_min_damage_intensifier_mk4.iff');
INSERT INTO `template_items` VALUES ('2093', 'object/tangible/ship/components/droid_interface/shared_ddi_freitek_modified_droid_commander_mk1.iff');
INSERT INTO `template_items` VALUES ('2094', 'object/tangible/wearables/armor/composite/shared_armor_composite_bracer_l.iff');
INSERT INTO `template_items` VALUES ('2095', 'object/tangible/ship/components/chassis/shared_blacksun_medium_s01_chassis_token.iff');
INSERT INTO `template_items` VALUES ('2096', 'object/tangible/ship/components/armor/shared_armor_seinar_enhanced_plasteel.iff');
INSERT INTO `template_items` VALUES ('2097', 'object/tangible/hopper/manufacturing_facility_hopper/shared_manufacture_installation_ingredient_hopper_large.iff');
INSERT INTO `template_items` VALUES ('2098', 'object/tangible/medicine/crafted/shared_medpack_poison_area_action_a.iff');
INSERT INTO `template_items` VALUES ('2099', 'object/tangible/ship/crafted/capacitor/shared_quick_recharge_battery_mk5.iff');
INSERT INTO `template_items` VALUES ('2100', 'object/tangible/furniture/city/shared_streetlamp_large_green_02.iff');
INSERT INTO `template_items` VALUES ('2101', 'object/tangible/ship/components/weapon_capacitor/shared_cap_kessel_rebel_deepwell_k33_prototype.iff');
INSERT INTO `template_items` VALUES ('2102', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s03.iff');
INSERT INTO `template_items` VALUES ('2103', 'object/tangible/ship/components/weapon/shared_wpn_kse_double_blaster.iff');
INSERT INTO `template_items` VALUES ('2104', 'object/tangible/ship/components/droid_interface/shared_ddi_novaldex_droid_interface_mk1.iff');
INSERT INTO `template_items` VALUES ('2105', 'object/tangible/powerup/weapon/shared_ranged_grip.iff');
INSERT INTO `template_items` VALUES ('2106', 'object/tangible/loot/misc/shared_key_electronic_s01.iff');
INSERT INTO `template_items` VALUES ('2107', 'object/tangible/wearables/earring/shared_earring_s01.iff');
INSERT INTO `template_items` VALUES ('2108', 'object/tangible/medicine/shared_medpack_wound_stamina.iff');
INSERT INTO `template_items` VALUES ('2109', 'object/tangible/ship/components/booster/shared_bst_mission_reward_rebel_novaldex_hypernova.iff');
INSERT INTO `template_items` VALUES ('2110', 'object/tangible/wearables/armor/chitin/shared_armor_chitin_s01_bicep_r.iff');
INSERT INTO `template_items` VALUES ('2111', 'object/tangible/ship/components/shield_generator/shared_shd_incom_rayshield_x2.iff');
INSERT INTO `template_items` VALUES ('2112', 'object/tangible/ship/components/shield_generator/shared_shd_sfs_modified_imperial_heavy.iff');
INSERT INTO `template_items` VALUES ('2113', 'object/tangible/deed/city_deed/shared_garden_corellia_med_04_deed.iff');
INSERT INTO `template_items` VALUES ('2114', 'object/tangible/hair/rodian/shared_hair_rodian_male_s05.iff');
INSERT INTO `template_items` VALUES ('2115', 'object/tangible/hair/bothan/shared_hair_bothan_male_s18.iff');
INSERT INTO `template_items` VALUES ('2116', 'object/tangible/ship/components/weapon/shared_wpn_subpro_tricannon.iff');
INSERT INTO `template_items` VALUES ('2117', 'object/tangible/ship/components/weapon_capacitor/shared_cap_kse_limited_mk4.iff');
INSERT INTO `template_items` VALUES ('2118', 'object/tangible/component/armor/shared_armor_module_heavy.iff');
INSERT INTO `template_items` VALUES ('2119', 'object/tangible/mission/quest_item/shared_luthin_dlunar_q2_needed.iff');
INSERT INTO `template_items` VALUES ('2120', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s01.iff');
INSERT INTO `template_items` VALUES ('2121', 'object/tangible/wearables/pants/shared_pants_s30.iff');
INSERT INTO `template_items` VALUES ('2122', 'object/tangible/lair/kwi/shared_lair_kwi_mountain.iff');
INSERT INTO `template_items` VALUES ('2123', 'object/tangible/ship/crafted/chassis/shared_blacksun_light_s02_deed.iff');
INSERT INTO `template_items` VALUES ('2124', 'object/tangible/survey_tool/shared_survey_tool_lumber.iff');
INSERT INTO `template_items` VALUES ('2125', 'object/tangible/ship/crafted/chassis/shared_chassis_hutt_light_wing_s02.iff');
INSERT INTO `template_items` VALUES ('2126', 'object/tangible/ship/crafted/chassis/shared_chassis_tiefighter_body.iff');
INSERT INTO `template_items` VALUES ('2127', 'object/tangible/ship/components/shield_generator/shared_shd_seinar_gx3.iff');
INSERT INTO `template_items` VALUES ('2128', 'object/tangible/lair/base/shared_poi_all_lair_brambles_large_fog_mustard.iff');
INSERT INTO `template_items` VALUES ('2129', 'object/tangible/bug_jar/shared_sample_moths.iff');
INSERT INTO `template_items` VALUES ('2130', 'object/tangible/deed/city_deed/shared_cantina_naboo_deed.iff');
INSERT INTO `template_items` VALUES ('2131', 'object/tangible/component/dna/shared_dna_template_fambaa.iff');
INSERT INTO `template_items` VALUES ('2132', 'object/tangible/ship/components/armor/shared_armor_trilon_custom.iff');
INSERT INTO `template_items` VALUES ('2133', 'object/tangible/theme_park/alderaan/act3/shared_broken_grav_unit.iff');
INSERT INTO `template_items` VALUES ('2134', 'object/tangible/wearables/skirt/shared_skirt_s06.iff');
INSERT INTO `template_items` VALUES ('2135', 'object/tangible/ship/components/weapon/shared_wpn_generic.iff');
INSERT INTO `template_items` VALUES ('2136', 'object/tangible/component/structure/shared_light_power_core_unit.iff');
INSERT INTO `template_items` VALUES ('2137', 'object/tangible/ship/components/booster/shared_bst_novaldex_pulsar_advanced.iff');
INSERT INTO `template_items` VALUES ('2138', 'object/tangible/component/droid/shared_manipulator_arm.iff');
INSERT INTO `template_items` VALUES ('2139', 'object/tangible/wearables/belt/shared_belt_s02.iff');
INSERT INTO `template_items` VALUES ('2140', 'object/tangible/ship/crafted/shields/shared_base_shields.iff');
INSERT INTO `template_items` VALUES ('2141', 'object/tangible/mission/quest_item/shared_ebenn_baobab_q2_needed.iff');
INSERT INTO `template_items` VALUES ('2142', 'object/tangible/deed/harvester_deed/shared_harvester_liquid_deed_heavy.iff');
INSERT INTO `template_items` VALUES ('2143', 'object/tangible/space/content_infrastructure/shared_basic_corridor_point.iff');
INSERT INTO `template_items` VALUES ('2144', 'object/tangible/ship/components/droid_interface/shared_ddi_kde_governor_mk2.iff');
INSERT INTO `template_items` VALUES ('2145', 'object/tangible/ship/components/engine/shared_eng_sfs_imperial_4.iff');
INSERT INTO `template_items` VALUES ('2146', 'object/tangible/ship/crafted/weapon/shared_max_damage_intensifier_mk2.iff');
INSERT INTO `template_items` VALUES ('2147', 'object/tangible/wearables/armor/bounty_hunter/shared_armor_bounty_hunter_chest_plate.iff');
INSERT INTO `template_items` VALUES ('2148', 'object/tangible/hair/bothan/shared_hair_bothan_female_s07.iff');
INSERT INTO `template_items` VALUES ('2149', 'object/tangible/test/shared_test_terminal.iff');
INSERT INTO `template_items` VALUES ('2150', 'object/tangible/lair/spined_snake/shared_lair_spined_snake_mountain.iff');
INSERT INTO `template_items` VALUES ('2151', 'object/tangible/deed/event_perk/shared_imperial_landing_party_lambda_theater_deed.iff');
INSERT INTO `template_items` VALUES ('2152', 'object/tangible/component/droid/shared_droid_brain_advanced.iff');
INSERT INTO `template_items` VALUES ('2153', 'object/tangible/component/vehicle/base/shared_base_veh_hull_hvy.iff');
INSERT INTO `template_items` VALUES ('2154', 'object/tangible/dungeon/shared_coal_bin_container.iff');
INSERT INTO `template_items` VALUES ('2155', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_female_s10.iff');
INSERT INTO `template_items` VALUES ('2156', 'object/tangible/mission/quest_item/shared_tekil_barje_q3_needed.iff');
INSERT INTO `template_items` VALUES ('2157', 'object/tangible/hair/human/shared_hair_human_female_s37.iff');
INSERT INTO `template_items` VALUES ('2158', 'object/tangible/lair/base/shared_lair_base_nest_tree_lg_light.iff');
INSERT INTO `template_items` VALUES ('2159', 'object/tangible/wearables/goggles/shared_goggles_s04.iff');
INSERT INTO `template_items` VALUES ('2160', 'object/tangible/deed/event_perk/shared_tatooine_flag_deed.iff');
INSERT INTO `template_items` VALUES ('2161', 'object/tangible/painting/shared_painting_wookiee_m.iff');
INSERT INTO `template_items` VALUES ('2162', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon2_s02.iff');
INSERT INTO `template_items` VALUES ('2163', 'object/tangible/loot/simple_kit/shared_viewscreen_printer.iff');
INSERT INTO `template_items` VALUES ('2164', 'object/tangible/ship/crafted/weapon/shared_quick_shot_upgrade_mk1.iff');
INSERT INTO `template_items` VALUES ('2165', 'object/tangible/lair/huurton/shared_lair_huurton.iff');
INSERT INTO `template_items` VALUES ('2166', 'object/tangible/mission/quest_item/shared_melios_purl_q2_needed.iff');
INSERT INTO `template_items` VALUES ('2167', 'object/tangible/base/shared_tangible_default.iff');
INSERT INTO `template_items` VALUES ('2168', 'object/tangible/ship/components/weapon_capacitor/shared_cap_mission_reward_rebel_qualdex_battery_array.iff');
INSERT INTO `template_items` VALUES ('2169', 'object/tangible/wearables/ithorian/shared_ith_pants_s18.iff');
INSERT INTO `template_items` VALUES ('2170', 'object/tangible/ship/interior_components/shared_booster_interior.iff');
INSERT INTO `template_items` VALUES ('2171', 'object/tangible/lair/tanc_mite/shared_lair_tanc_mite_mountain.iff');
INSERT INTO `template_items` VALUES ('2172', 'object/tangible/droid/shared_navicomputer_5.iff');
INSERT INTO `template_items` VALUES ('2173', 'object/tangible/hair/sullustan/shared_sul_hair_s18_m.iff');
INSERT INTO `template_items` VALUES ('2174', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_proton_missile_mk1.iff');
INSERT INTO `template_items` VALUES ('2175', 'object/tangible/firework/shared_firework_three.iff');
INSERT INTO `template_items` VALUES ('2176', 'object/tangible/component/armor/shared_armor_segment.iff');
INSERT INTO `template_items` VALUES ('2177', 'object/tangible/ship/attachment/booster/shared_kse_firespray_booster_s02.iff');
INSERT INTO `template_items` VALUES ('2178', 'object/tangible/loot/collectible/collectible_parts/shared_blue_rug_dye.iff');
INSERT INTO `template_items` VALUES ('2179', 'object/tangible/wearables/robe/shared_robe_tusken_raider_s01.iff');
INSERT INTO `template_items` VALUES ('2180', 'object/tangible/loot/misc/shared_shisa_decorative_s01.iff');
INSERT INTO `template_items` VALUES ('2181', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_neutral_assassination_03.iff');
INSERT INTO `template_items` VALUES ('2182', 'object/tangible/ship/components/weapon/shared_wpn_corvette_turret_sm_s01.iff');
INSERT INTO `template_items` VALUES ('2183', 'object/tangible/component/weapon/shared_projectile_feed_mechanism.iff');
INSERT INTO `template_items` VALUES ('2184', 'object/tangible/lair/base/shared_poi_all_lair_bones_large.iff');
INSERT INTO `template_items` VALUES ('2185', 'object/tangible/ship/components/reactor/rct_tiefighter_basic.iff');
INSERT INTO `template_items` VALUES ('2186', 'object/tangible/component/structure/shared_generator_turbine.iff');
INSERT INTO `template_items` VALUES ('2187', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_male_s01.iff');
INSERT INTO `template_items` VALUES ('2188', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_neg_s06_0.iff');
INSERT INTO `template_items` VALUES ('2189', 'object/tangible/ship/crafted/capacitor/shared_basic_capacitor.iff');
INSERT INTO `template_items` VALUES ('2190', 'object/tangible/component/munition/shared_warhead_light.iff');
INSERT INTO `template_items` VALUES ('2191', 'object/tangible/loot/collectible/kits/shared_blue_rug_kit.iff');
INSERT INTO `template_items` VALUES ('2192', 'object/tangible/hair/sullustan/shared_sul_hair_s17_f.iff');
INSERT INTO `template_items` VALUES ('2193', 'object/tangible/lair/base/shared_objective_dantari_fire_pit.iff');
INSERT INTO `template_items` VALUES ('2194', 'object/tangible/ship/crafted/droid_interface/shared_ddi_mk1.iff');
INSERT INTO `template_items` VALUES ('2195', 'object/tangible/furniture/decorative/shared_microphone_s01.iff');
INSERT INTO `template_items` VALUES ('2196', 'object/tangible/ship/crafted/booster/shared_fast_charge_fuel_cell_mk4.iff');
INSERT INTO `template_items` VALUES ('2197', 'object/tangible/deed/pet_deed/shared_cu_pa_deed.iff');
INSERT INTO `template_items` VALUES ('2198', 'object/tangible/component/bio/shared_bio_component_food_medium_flavor.iff');
INSERT INTO `template_items` VALUES ('2199', 'object/tangible/ship/crafted/chassis/shared_ywing_deed.iff');
INSERT INTO `template_items` VALUES ('2200', 'object/tangible/ship/crafted/weapon/missile/shared_countermeasure_confuser_pack.iff');
INSERT INTO `template_items` VALUES ('2201', 'object/tangible/ship/attachment/weapon/shared_ywing_weapon1_s01.iff');
INSERT INTO `template_items` VALUES ('2202', 'object/tangible/powerup/weapon/shared_melee_generic.iff');
INSERT INTO `template_items` VALUES ('2203', 'object/tangible/ship/components/engine/shared_engine_kongar_defender.iff');
INSERT INTO `template_items` VALUES ('2204', 'object/tangible/deed/city_deed/shared_garden_tatooine_lrg_03_deed.iff');
INSERT INTO `template_items` VALUES ('2205', 'object/tangible/deed/harvester_deed/shared_harvester_flora_deed_medium.iff');
INSERT INTO `template_items` VALUES ('2206', 'object/tangible/mission/quest_item/shared_attunement_grid.iff');
INSERT INTO `template_items` VALUES ('2207', 'object/tangible/ship/components/armor/shared_arm_koensayr_special_supreme_durasteel.iff');
INSERT INTO `template_items` VALUES ('2208', 'object/tangible/deed/city_deed/shared_shuttleport_naboo_deed.iff');
INSERT INTO `template_items` VALUES ('2209', 'object/tangible/dungeon/shared_poison_gas_cloud.iff');
INSERT INTO `template_items` VALUES ('2210', 'object/tangible/loot/quest/shared_treasure_map_hedon.iff');
INSERT INTO `template_items` VALUES ('2211', 'object/tangible/ship/crafted/weapon/shared_armor_effectiveness_intensifier_mk2.iff');
INSERT INTO `template_items` VALUES ('2212', 'object/tangible/component/vehicle/shared_adv_warhead_launcher.iff');
INSERT INTO `template_items` VALUES ('2213', 'object/tangible/painting/shared_painting_schematic_droid.iff');
INSERT INTO `template_items` VALUES ('2214', 'object/tangible/ship/components/shield_generator/shared_shd_sfs_polyweb_elite.iff');
INSERT INTO `template_items` VALUES ('2215', 'object/tangible/loot/tool/shared_calibrator_broken.iff');
INSERT INTO `template_items` VALUES ('2216', 'object/tangible/space/special_loot/shared_encoded_document.iff');
INSERT INTO `template_items` VALUES ('2217', 'object/tangible/terminal/shared_terminal_light_enclave_voting.iff');
INSERT INTO `template_items` VALUES ('2218', 'object/tangible/space/story_loot/shared_loot_tatooine_valarian.iff');
INSERT INTO `template_items` VALUES ('2219', 'object/tangible/component/weapon/shared_laser_cannon_gun_tube.iff');
INSERT INTO `template_items` VALUES ('2220', 'object/tangible/lair/base/shared_poi_all_lair_warren_large_fog_red.iff');
INSERT INTO `template_items` VALUES ('2221', 'object/tangible/ship/attachment/bridge/shared_star_destroyer_bridge.iff');
INSERT INTO `template_items` VALUES ('2222', 'object/tangible/component/dna/shared_dna_template_ronto.iff');
INSERT INTO `template_items` VALUES ('2223', 'object/tangible/ship/components/droid_interface/shared_ddi_mandal_military_grade_mk1.iff');
INSERT INTO `template_items` VALUES ('2224', 'object/tangible/furniture/decorative/shared_bottle_tall.iff');
INSERT INTO `template_items` VALUES ('2225', 'object/tangible/ship/components/weapon/shared_wpn_awing_blaster.iff');
INSERT INTO `template_items` VALUES ('2226', 'object/tangible/furniture/city/shared_streetlamp_large_red_02.iff');
INSERT INTO `template_items` VALUES ('2227', 'object/tangible/component/dna/shared_dna_template_kahmurra.iff');
INSERT INTO `template_items` VALUES ('2228', 'object/tangible/component/dna/shared_dna_template_bolma.iff');
INSERT INTO `template_items` VALUES ('2229', 'object/tangible/lair/shear_mite/shared_lair_shear_mite.iff');
INSERT INTO `template_items` VALUES ('2230', 'object/tangible/ship/components/armor/shared_arm_cygnus_standard_weave.iff');
INSERT INTO `template_items` VALUES ('2231', 'object/tangible/component/weapon/lightsaber/shared_lightsaber_module_woundchance.iff');
INSERT INTO `template_items` VALUES ('2232', 'object/tangible/ship/components/engine/shared_engine_koensayr_ionjet.iff');
INSERT INTO `template_items` VALUES ('2233', 'object/tangible/ship/crafted/chassis/shared_chassis_z95_wing_l.iff');
INSERT INTO `template_items` VALUES ('2234', 'object/tangible/ship/components/engine/shared_eng_mandal_x37_vandal.iff');
INSERT INTO `template_items` VALUES ('2235', 'object/tangible/wearables/wookiee/shared_wke_gloves_s04.iff');
INSERT INTO `template_items` VALUES ('2236', 'object/tangible/travel/travel_ticket/shared_dungeon_ticket.iff');
INSERT INTO `template_items` VALUES ('2237', 'object/tangible/component/droid/shared_armor_module_1.iff');
INSERT INTO `template_items` VALUES ('2238', 'object/tangible/wearables/backpack/shared_backpack_s06_quest.iff');
INSERT INTO `template_items` VALUES ('2239', 'object/tangible/hair/wookiee/base/shared_hair_wookiee_female_base.iff');
INSERT INTO `template_items` VALUES ('2240', 'object/tangible/ship/components/chassis/shared_blacksun_medium_s02_chassis_token.iff');
INSERT INTO `template_items` VALUES ('2241', 'object/tangible/food/crafted/shared_drink_bespin_port.iff');
INSERT INTO `template_items` VALUES ('2242', 'object/tangible/lair/langlatch/shared_lair_langlatch_wasteland.iff');
INSERT INTO `template_items` VALUES ('2243', 'object/tangible/camp/shared_camp_control_panel.iff');
INSERT INTO `template_items` VALUES ('2244', 'object/tangible/space/story_loot/shared_loot_tatooine_blacksun2.iff');
INSERT INTO `template_items` VALUES ('2245', 'object/tangible/deed/pet_deed/shared_deed_r2_advanced_basic.iff');
INSERT INTO `template_items` VALUES ('2246', 'object/tangible/ship/components/chassis/shared_ywing_chassis_token.iff');
INSERT INTO `template_items` VALUES ('2247', 'object/tangible/ship/components/weapon/shared_wpn_subpro_tripleblaster_mark3.iff');
INSERT INTO `template_items` VALUES ('2248', 'object/tangible/hair/rodian/shared_hair_rodian_female_s05.iff');
INSERT INTO `template_items` VALUES ('2249', 'object/tangible/food/foraged/shared_edible_jar_berries.iff');
INSERT INTO `template_items` VALUES ('2250', 'object/tangible/loot/dungeon/death_watch_bunker/shared_jetpack_stabilizer.iff');
INSERT INTO `template_items` VALUES ('2251', 'object/tangible/trophy/shared_picture_handheld_s02.iff');
INSERT INTO `template_items` VALUES ('2252', 'object/tangible/ship/crafted/shields/shared_shield_energy_saver_kit_mk5.iff');
INSERT INTO `template_items` VALUES ('2253', 'object/tangible/food/crafted/shared_drink_ithorian_mist.iff');
INSERT INTO `template_items` VALUES ('2254', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s03.iff');
INSERT INTO `template_items` VALUES ('2255', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_imperial_assassination_01.iff');
INSERT INTO `template_items` VALUES ('2256', 'object/tangible/loot/quest/shared_smooth_stone.iff');
INSERT INTO `template_items` VALUES ('2257', 'object/tangible/loot/dungeon/corellian_corvette/shared_imperial_assassin_intel.iff');
INSERT INTO `template_items` VALUES ('2258', 'object/tangible/ship/components/booster/shared_bst_incom_fynock.iff');
INSERT INTO `template_items` VALUES ('2259', 'object/tangible/ship/components/weapon_capacitor/shared_cap_corellian_cruiser_grade_cap1.iff');
INSERT INTO `template_items` VALUES ('2260', 'object/tangible/component/weapon/shared_chemical_dispersion_mechanism_advanced.iff');
INSERT INTO `template_items` VALUES ('2261', 'object/tangible/mission/quest_item/shared_sindra_lintikoor_q1_needed.iff');
INSERT INTO `template_items` VALUES ('2262', 'object/tangible/ship/attachment/weapon/shared_hutt_medium_weapon2_s03.iff');
INSERT INTO `template_items` VALUES ('2263', 'object/tangible/ship/components/droid_interface/shared_ddi_sorosuub_enhanced_rad_mk1.iff');
INSERT INTO `template_items` VALUES ('2264', 'object/tangible/wearables/belt/shared_belt_s12.iff');
INSERT INTO `template_items` VALUES ('2265', 'object/tangible/wearables/ithorian/shared_hat_chef_s01_ith.iff');
INSERT INTO `template_items` VALUES ('2266', 'object/tangible/deed/pet_deed/shared_deed_3p0_basic.iff');
INSERT INTO `template_items` VALUES ('2267', 'object/tangible/ship/components/weapon/shared_weapon_incom_disruptor.iff');
INSERT INTO `template_items` VALUES ('2268', 'object/tangible/ship/components/booster/shared_bst_moncal_heavy.iff');
INSERT INTO `template_items` VALUES ('2269', 'object/tangible/deed/event_perk/shared_pavillion_1_static_deed.iff');
INSERT INTO `template_items` VALUES ('2270', 'object/tangible/component/weapon/shared_spider_spine.iff');
INSERT INTO `template_items` VALUES ('2271', 'object/tangible/loot/misc/shared_insects_rare_s01.iff');
INSERT INTO `template_items` VALUES ('2272', 'object/tangible/ship/components/weapon_capacitor/shared_cap_sorosuub_dynamo_mk4.iff');
INSERT INTO `template_items` VALUES ('2273', 'object/tangible/space/story_loot/shared_loot_tatooine_series_tinrilo.iff');
INSERT INTO `template_items` VALUES ('2274', 'object/tangible/ship/components/base/shared_ship_subcomponent_base.iff');
INSERT INTO `template_items` VALUES ('2275', 'object/tangible/medicine/crafted/shared_medpack_disease_action_a.iff');
INSERT INTO `template_items` VALUES ('2276', 'object/tangible/ship/crafted/shields/shared_shield_overcharger_mk5.iff');
INSERT INTO `template_items` VALUES ('2277', 'object/tangible/ship/attachment/weapon/shared_kse_firespray_weapon1_s05.iff');
INSERT INTO `template_items` VALUES ('2278', 'object/tangible/sign/municipal/shared_municipal_sign_hanging_theater.iff');
INSERT INTO `template_items` VALUES ('2279', 'object/tangible/medicine/pet/shared_droid_wound_kit_d.iff');
INSERT INTO `template_items` VALUES ('2280', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff');
INSERT INTO `template_items` VALUES ('2281', 'object/tangible/hair/bothan/shared_hair_bothan_female_s17.iff');
INSERT INTO `template_items` VALUES ('2282', 'object/tangible/loot/misc/shared_dermal_analyxer.iff');
INSERT INTO `template_items` VALUES ('2283', 'object/tangible/component/weapon/shared_blaster_power_handler_advanced.iff');
INSERT INTO `template_items` VALUES ('2284', 'object/tangible/furniture/all/shared_frn_all_light_lamp_desk_s02.iff');
INSERT INTO `template_items` VALUES ('2285', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s13.iff');
INSERT INTO `template_items` VALUES ('2286', 'object/tangible/hair/sullustan/shared_sul_hair_s15_m.iff');
INSERT INTO `template_items` VALUES ('2287', 'object/tangible/loot/dungeon/corellian_corvette/shared_imperial_rescue_filler01.iff');
INSERT INTO `template_items` VALUES ('2288', 'object/tangible/ship/components/weapon/shared_wpn_kessel_imperial_rendili_prototype_x.iff');
INSERT INTO `template_items` VALUES ('2289', 'object/tangible/ship/attachment/engine/shared_blacksun_heavy_engine_s01.iff');
INSERT INTO `template_items` VALUES ('2290', 'object/tangible/sign/player/base/shared_shop_sign_base.iff');
INSERT INTO `template_items` VALUES ('2291', 'object/tangible/medicine/crafted/shared_medpack_disease_mind_a.iff');
INSERT INTO `template_items` VALUES ('2292', 'object/tangible/wearables/earring/shared_earring_s11.iff');
INSERT INTO `template_items` VALUES ('2293', 'object/tangible/loot/quest/shared_victor_questp_testimony.iff');
INSERT INTO `template_items` VALUES ('2294', 'object/tangible/loot/loot_schematic/shared_geonosian_acklay_muscle_armor_schematic.iff');
INSERT INTO `template_items` VALUES ('2295', 'object/tangible/ship/components/chassis/shared_xwing_chassis_token.iff');
INSERT INTO `template_items` VALUES ('2296', 'object/tangible/hair/rodian/shared_hair_rodian_male_s15.iff');
INSERT INTO `template_items` VALUES ('2297', 'object/tangible/hair/bothan/shared_hair_bothan_male_s08.iff');
INSERT INTO `template_items` VALUES ('2298', 'object/tangible/wearables/ithorian/shared_ith_belt_s16.iff');
INSERT INTO `template_items` VALUES ('2299', 'object/tangible/ship/components/shield_generator/shared_shd_sfs_modified_imperial_special_forces.iff');
INSERT INTO `template_items` VALUES ('2300', 'object/tangible/loot/loot_schematic/shared_technical_console_s02_schematic.iff');
INSERT INTO `template_items` VALUES ('2301', 'object/tangible/medicine/shared_healing_grenade.iff');
INSERT INTO `template_items` VALUES ('2302', 'object/tangible/loot/loot_schematic/shared_death_watch_mandalorian_gloves_schematic.iff');
INSERT INTO `template_items` VALUES ('2303', 'object/tangible/mission/shared_mission_bounty_droid_seeker.iff');
INSERT INTO `template_items` VALUES ('2304', 'object/tangible/component/bio/shared_bio_component_food_light.iff');
INSERT INTO `template_items` VALUES ('2305', 'object/tangible/ship/components/armor/shared_arm_koensayr_supreme_durasteel.iff');
INSERT INTO `template_items` VALUES ('2306', 'object/tangible/sign/player/shared_house_address_tatooine.iff');
INSERT INTO `template_items` VALUES ('2307', 'object/tangible/lair/vir_vir/shared_lair_vir_vir.iff');
INSERT INTO `template_items` VALUES ('2308', 'object/tangible/component/weapon/shared_scope_weapon_sm_s02.iff');
INSERT INTO `template_items` VALUES ('2309', 'object/tangible/medicine/shared_antidote_sm_s1.iff');
INSERT INTO `template_items` VALUES ('2310', 'object/tangible/lair/base/shared_poi_all_lair_rock_shelter_large_fog_green.iff');
INSERT INTO `template_items` VALUES ('2311', 'object/tangible/lair/vog_eel/shared_lair_vog_eel.iff');
INSERT INTO `template_items` VALUES ('2312', 'object/tangible/loot/loot_schematic/shared_command_console_schematic.iff');
INSERT INTO `template_items` VALUES ('2313', 'object/tangible/furniture/modern/shared_rug_oval_m_s02.iff');
INSERT INTO `template_items` VALUES ('2314', 'object/tangible/terminal/shared_terminal_character_builder.iff');
INSERT INTO `template_items` VALUES ('2315', 'object/tangible/mission/quest_item/shared_grondorn_muse_q2_needed.iff');
INSERT INTO `template_items` VALUES ('2316', 'object/tangible/loot/loot_schematic/shared_tatooine_tapestry_schematic.iff');
INSERT INTO `template_items` VALUES ('2317', 'object/tangible/wearables/dress/shared_dress_s11.iff');
INSERT INTO `template_items` VALUES ('2318', 'object/tangible/ship/components/reactor/shared_rct_mission_reward_imperial_sds_high_output.iff');
INSERT INTO `template_items` VALUES ('2319', 'object/tangible/region/shared_deliver_region_20.iff');
INSERT INTO `template_items` VALUES ('2320', 'object/tangible/veteran_reward/shared_frn_vet_stormtrooper_toy.iff');
INSERT INTO `template_items` VALUES ('2321', 'object/tangible/component/weapon/shared_scope_weapon_lg_s01.iff');
INSERT INTO `template_items` VALUES ('2322', 'object/tangible/loot/loot_schematic/shared_hanging_planter_schematic.iff');
INSERT INTO `template_items` VALUES ('2323', 'object/tangible/ship/crafted/capacitor/shared_heavy_battery_mk5.iff');
INSERT INTO `template_items` VALUES ('2324', 'object/tangible/mission/quest_item/shared_kaeline_ungasan_q1_needed.iff');
INSERT INTO `template_items` VALUES ('2325', 'object/tangible/ship/attachment/weapon/shared_star_destroyer_turret_dome_body.iff');
INSERT INTO `template_items` VALUES ('2326', 'object/tangible/wearables/robe/shared_robe_s05.iff');
INSERT INTO `template_items` VALUES ('2327', 'object/tangible/hair/human/shared_hair_human_male_s02.iff');
INSERT INTO `template_items` VALUES ('2328', 'object/tangible/beta/shared_beta_terminal_warp.iff');
INSERT INTO `template_items` VALUES ('2329', 'object/tangible/ship/crafted/weapon/missile/shared_weapon_basic_pack.iff');
INSERT INTO `template_items` VALUES ('2330', 'object/tangible/ship/crafted/booster/shared_booster_mk1.iff');
INSERT INTO `template_items` VALUES ('2331', 'object/tangible/loot/dungeon/corellian_corvette/shared_rebel_rescue_intel.iff');
INSERT INTO `template_items` VALUES ('2332', 'object/tangible/lair/swirl_prong/shared_lair_swirl_prong_grassland.iff');
INSERT INTO `template_items` VALUES ('2333', 'object/tangible/ship/crafted/chassis/shared_tiefighter_deed.iff');
INSERT INTO `template_items` VALUES ('2334', 'object/tangible/ship/components/chassis/shared_tiebomber_chassis_token.iff');
INSERT INTO `template_items` VALUES ('2335', 'object/tangible/ship/components/armor/shared_arm_corellian_elite_durasteel.iff');
INSERT INTO `template_items` VALUES ('2336', 'object/tangible/camp/shared_camp_cot_s2.iff');
INSERT INTO `template_items` VALUES ('2337', 'object/tangible/wearables/armor/tantel/shared_armor_tantel_skreej_helmet.iff');
INSERT INTO `template_items` VALUES ('2338', 'object/tangible/ship/components/droid_interface/shared_ddi_mission_reward_imperial_sfs_military_grade.iff');
INSERT INTO `template_items` VALUES ('2339', 'object/tangible/vendor/shared_vendor_droid_power.iff');
INSERT INTO `template_items` VALUES ('2340', 'object/tangible/deed/player_house_deed/shared_generic_house_small_style_02_deed.iff');
INSERT INTO `template_items` VALUES ('2341', 'object/tangible/component/droid/shared_performer_effects_b.iff');
INSERT INTO `template_items` VALUES ('2342', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon3_s04.iff');
INSERT INTO `template_items` VALUES ('2343', 'object/tangible/medicine/pet/shared_droid_damage_kit_b.iff');
INSERT INTO `template_items` VALUES ('2344', 'object/tangible/ship/crafted/engine/shared_eng_mk4.iff');
INSERT INTO `template_items` VALUES ('2345', 'object/tangible/medicine/shared_grenade_disease.iff');
INSERT INTO `template_items` VALUES ('2346', 'object/tangible/deed/event_perk/shared_imperial_stage_theater_deed.iff');
INSERT INTO `template_items` VALUES ('2347', 'object/tangible/ship/components/armor/shared_arm_mandal_enhanced_elite_composite.iff');
INSERT INTO `template_items` VALUES ('2348', 'object/tangible/component/armor/shared_armor_segment_ris.iff');
INSERT INTO `template_items` VALUES ('2349', 'object/tangible/component/vehicle/shared_proton_torpedo_array.iff');
INSERT INTO `template_items` VALUES ('2350', 'object/tangible/mission/quest_item/shared_melios_purl_q3_needed.iff');
INSERT INTO `template_items` VALUES ('2351', 'object/tangible/medicine/crafted/shared_medpack_damage_e.iff');
INSERT INTO `template_items` VALUES ('2352', 'object/tangible/furniture/all/shared_frn_all_lamp_desk_s02.iff');
INSERT INTO `template_items` VALUES ('2353', 'object/tangible/ship/components/weapon/shared_wpn_subpro_modified_tricannon.iff');
INSERT INTO `template_items` VALUES ('2354', 'object/tangible/deed/city_deed/shared_garden_tatooine_lrg_01_deed.iff');
INSERT INTO `template_items` VALUES ('2355', 'object/tangible/wearables/bandolier/shared_bandolier_tusken_raider_s02.iff');
INSERT INTO `template_items` VALUES ('2356', 'object/tangible/wearables/base/shared_base_robe_shortsleeve.iff');
INSERT INTO `template_items` VALUES ('2357', 'object/tangible/wearables/bracelet/shared_bracelet_l.iff');
INSERT INTO `template_items` VALUES ('2358', 'object/tangible/wearables/jacket/shared_jacket_s12.iff');
INSERT INTO `template_items` VALUES ('2359', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_pos_s01_0.iff');
INSERT INTO `template_items` VALUES ('2360', 'object/tangible/ship/attachment/engine/shared_xwing_engine_neg_s01.iff');
INSERT INTO `template_items` VALUES ('2361', 'object/tangible/ship/components/droid_interface/shared_ddi_novaldex_special_droid_interface_mk1.iff');
INSERT INTO `template_items` VALUES ('2362', 'object/tangible/deed/pet_deed/shared_falumpaset_deed.iff');
INSERT INTO `template_items` VALUES ('2363', 'object/tangible/mission/quest_item/shared_serjix_arrogantus_q1_needed.iff');
INSERT INTO `template_items` VALUES ('2364', 'object/tangible/ship/components/weapon/shared_wpn_taim_kx5.iff');
INSERT INTO `template_items` VALUES ('2365', 'object/tangible/scout/camokit/shared_camokit_talus.iff');
INSERT INTO `template_items` VALUES ('2366', 'object/tangible/loot/quest/shared_wind_crystal.iff');
INSERT INTO `template_items` VALUES ('2367', 'object/tangible/lair/base/shared_lair_base_mound_insect_light.iff');
INSERT INTO `template_items` VALUES ('2368', 'object/tangible/dungeon/shared_computer_desktop.iff');
INSERT INTO `template_items` VALUES ('2369', 'object/tangible/deed/pet_deed/shared_swirl_prong_deed.iff');
INSERT INTO `template_items` VALUES ('2370', 'object/tangible/component/weapon/shared_weapon_mount_light.iff');
INSERT INTO `template_items` VALUES ('2371', 'object/tangible/ship/crafted/weapon/shared_wpn_light_disruptor.iff');
INSERT INTO `template_items` VALUES ('2372', 'object/tangible/furniture/imperial/shared_table_s1.iff');
INSERT INTO `template_items` VALUES ('2373', 'object/tangible/wearables/ithorian/shared_ith_pants_s11.iff');
INSERT INTO `template_items` VALUES ('2374', 'object/tangible/deed/faction_perk/turret/shared_tower_sm_deed.iff');
INSERT INTO `template_items` VALUES ('2375', 'object/tangible/ship/crafted/capacitor/shared_base_capacitor_subcomponent_mk1.iff');
INSERT INTO `template_items` VALUES ('2376', 'object/tangible/lair/base/shared_poi_all_lair_wooden_destroyed_evil_fire_small.iff');
INSERT INTO `template_items` VALUES ('2377', 'object/tangible/lair/base/shared_poi_all_lair_thicket_small.iff');
INSERT INTO `template_items` VALUES ('2378', 'object/tangible/ship/customization/shared_xwing_gun_neg_s02.iff');
INSERT INTO `template_items` VALUES ('2379', 'object/tangible/component/droid/shared_crafting_module_clothing.iff');
INSERT INTO `template_items` VALUES ('2380', 'object/tangible/ship/crafted/droid_interface/shared_base_droid_interface.iff');
INSERT INTO `template_items` VALUES ('2381', 'object/tangible/ship/crafted/engine/shared_base_engine_subcomponent_mk5.iff');
INSERT INTO `template_items` VALUES ('2382', 'object/tangible/deed/pet_deed/shared_kahmurra_deed.iff');
INSERT INTO `template_items` VALUES ('2383', 'object/tangible/dungeon/death_watch_bunker/shared_invulnerable_debris.iff');
INSERT INTO `template_items` VALUES ('2384', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_imperial_destroy_01.iff');
INSERT INTO `template_items` VALUES ('2385', 'object/tangible/wearables/bodysuit/shared_bodysuit_s13.iff');
INSERT INTO `template_items` VALUES ('2386', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon3_s06.iff');
INSERT INTO `template_items` VALUES ('2387', 'object/tangible/ship/components/engine/shared_eng_corellian_cruiser_grade_mk1.iff');
INSERT INTO `template_items` VALUES ('2388', 'object/tangible/component/bio/shared_bio_component_clothing_field_cover.iff');
INSERT INTO `template_items` VALUES ('2389', 'object/tangible/lair/piket/shared_lair_piket_grassland.iff');
INSERT INTO `template_items` VALUES ('2390', 'object/tangible/ship/attachment/wing/shared_hutt_medium_wing_s02.iff');
INSERT INTO `template_items` VALUES ('2391', 'object/tangible/ship/components/weapon/shared_wpn_kse_light_disruptor.iff');
INSERT INTO `template_items` VALUES ('2392', 'object/tangible/food/crafted/shared_dessert_tranna_nougat_cream.iff');
INSERT INTO `template_items` VALUES ('2393', 'object/tangible/wearables/ithorian/shared_ith_jacket_s03.iff');
INSERT INTO `template_items` VALUES ('2394', 'object/tangible/ship/components/weapon/shared_wpn_seinar_concussion_missile_s01.iff');
INSERT INTO `template_items` VALUES ('2395', 'object/tangible/ship/components/weapon/shared_wpn_seinar_heatseeker_missile_s01.iff');
INSERT INTO `template_items` VALUES ('2396', 'object/tangible/wearables/vest/shared_vest_s04.iff');
INSERT INTO `template_items` VALUES ('2397', 'object/tangible/ship/crafted/weapon/shared_wpn_advanced_ioncannon.iff');
INSERT INTO `template_items` VALUES ('2398', 'object/tangible/wearables/shirt/shared_shirt_s42.iff');
INSERT INTO `template_items` VALUES ('2399', 'object/tangible/deed/faction_perk/hq/shared_hq_s04.iff');
INSERT INTO `template_items` VALUES ('2400', 'object/tangible/ship/components/chassis/shared_blacksun_medium_s03_chassis_token.iff');
INSERT INTO `template_items` VALUES ('2401', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_male_s08.iff');
INSERT INTO `template_items` VALUES ('2402', 'object/tangible/wearables/pants/shared_pants_s14.iff');
INSERT INTO `template_items` VALUES ('2403', 'object/tangible/ship/crafted/engine/shared_engine_limiter_mk3.iff');
INSERT INTO `template_items` VALUES ('2404', 'object/tangible/loot/collectible/collectible_parts/shared_light_table_structure_06.iff');
INSERT INTO `template_items` VALUES ('2405', 'object/tangible/wearables/armor/mandalorian/shared_armor_mandalorian_belt.iff');
INSERT INTO `template_items` VALUES ('2406', 'object/tangible/ship/attachment/weapon/shared_smuggler_warlord_ship_turret_nose.iff');
INSERT INTO `template_items` VALUES ('2407', 'object/tangible/food/crafted/shared_dessert_kiwik_clusjo_swirl.iff');
INSERT INTO `template_items` VALUES ('2408', 'object/tangible/ship/components/droid_interface/shared_ddi_incom_droid_interface_mk1.iff');
INSERT INTO `template_items` VALUES ('2409', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon3_s05.iff');
INSERT INTO `template_items` VALUES ('2410', 'object/tangible/ship/components/engine/shared_eng_moncal_heavy.iff');
INSERT INTO `template_items` VALUES ('2411', 'object/tangible/ship/components/droid_interface/shared_ddi_subpro_improved_jrd33.iff');
INSERT INTO `template_items` VALUES ('2412', 'object/tangible/component/vehicle/shared_extended_fuel_tanks_hvy.iff');
INSERT INTO `template_items` VALUES ('2413', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_sm_s05_lg.iff');
INSERT INTO `template_items` VALUES ('2414', 'object/tangible/furniture/modern/shared_cabinet_modern_style_01.iff');
INSERT INTO `template_items` VALUES ('2415', 'object/tangible/component/vehicle/shared_adv_hvy_projectile_feed_mech.iff');
INSERT INTO `template_items` VALUES ('2416', 'object/tangible/crafting/station/shared_structure_repair.iff');
INSERT INTO `template_items` VALUES ('2417', 'object/tangible/wearables/base/shared_base_ear_either.iff');
INSERT INTO `template_items` VALUES ('2418', 'object/tangible/ship/components/weapon_capacitor/shared_cap_tiefighter_experimental.iff');
INSERT INTO `template_items` VALUES ('2419', 'object/tangible/ship/components/engine/shared_eng_moncal_standard.iff');
INSERT INTO `template_items` VALUES ('2420', 'object/tangible/ship/components/weapon/shared_wpn_mission_reward_neutral_borstel_disruptor.iff');
INSERT INTO `template_items` VALUES ('2421', 'object/tangible/lair/base/shared_poi_all_lair_leaf_large_evil_fire_small.iff');
INSERT INTO `template_items` VALUES ('2422', 'object/tangible/medicine/crafted/shared_medpack_wound_stamina_c.iff');
INSERT INTO `template_items` VALUES ('2423', 'object/tangible/wearables/jacket/shared_jacket_s26.iff');
INSERT INTO `template_items` VALUES ('2424', 'object/tangible/component/weapon/shared_projectile_feed_mechanism_enhancement_durability.iff');
INSERT INTO `template_items` VALUES ('2425', 'object/tangible/ship/attachment/base/shared_base_ship_attachment.iff');
INSERT INTO `template_items` VALUES ('2426', 'object/tangible/medicine/crafted/shared_medpack_poison_area_health_c.iff');
INSERT INTO `template_items` VALUES ('2427', 'object/tangible/medicine/crafted/shared_medpack_cure_poison_area_b.iff');
INSERT INTO `template_items` VALUES ('2428', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_2.iff');
INSERT INTO `template_items` VALUES ('2429', 'object/tangible/loot/simple_kit/shared_motor_small_red.iff');
INSERT INTO `template_items` VALUES ('2430', 'object/tangible/component/weapon/shared_weapon_trajectory_computer.iff');
INSERT INTO `template_items` VALUES ('2431', 'object/tangible/lair/base/shared_poi_all_lair_wooden_fog_red.iff');
INSERT INTO `template_items` VALUES ('2432', 'object/tangible/space/story_loot/shared_loot_naboo_borvo.iff');
INSERT INTO `template_items` VALUES ('2433', 'object/tangible/wearables/ithorian/shared_ith_shirt_s05.iff');
INSERT INTO `template_items` VALUES ('2434', 'object/tangible/ship/components/reactor/shared_rct_rendili_type_x_elite.iff');
INSERT INTO `template_items` VALUES ('2435', 'object/tangible/lair/merek/shared_lair_merek_jungle.iff');
INSERT INTO `template_items` VALUES ('2436', 'object/tangible/painting/shared_painting_bestine_boffa.iff');
INSERT INTO `template_items` VALUES ('2437', 'object/tangible/ship/crafted/shields/shared_shield_limiter_mk3.iff');
INSERT INTO `template_items` VALUES ('2438', 'object/tangible/lair/murra/shared_lair_murra.iff');
INSERT INTO `template_items` VALUES ('2439', 'object/tangible/component/bio/shared_bio_component_clothing_field_armor.iff');
INSERT INTO `template_items` VALUES ('2440', 'object/tangible/base/shared_tangible_craftable.iff');
INSERT INTO `template_items` VALUES ('2441', 'object/tangible/painting/shared_painting_bestine_raventhorn.iff');
INSERT INTO `template_items` VALUES ('2442', 'object/tangible/loot/quest/shared_victor_questn_dseal.iff');
INSERT INTO `template_items` VALUES ('2443', 'object/tangible/dungeon/shared_trash_container.iff');
INSERT INTO `template_items` VALUES ('2444', 'object/tangible/loot/misc/shared_loot_krayt_spine3.iff');
INSERT INTO `template_items` VALUES ('2445', 'object/tangible/ship/components/engine/shared_eng_incom_advanced_fusialthrust.iff');
INSERT INTO `template_items` VALUES ('2446', 'object/tangible/ship/components/shield_generator/shared_shd_mandalor_flexshield_ks18.iff');
INSERT INTO `template_items` VALUES ('2447', 'object/tangible/furniture/all/shared_bestine_quest_imp_banner.iff');
INSERT INTO `template_items` VALUES ('2448', 'object/tangible/mission/quest_item/shared_surlin_rolei_q2_camera.iff');
INSERT INTO `template_items` VALUES ('2449', 'object/tangible/ship/attachment/weapon/shared_blacksun_light_weapon_s03.iff');
INSERT INTO `template_items` VALUES ('2450', 'object/tangible/furniture/imperial/shared_warren_evidence_terminal_s02.iff');
INSERT INTO `template_items` VALUES ('2451', 'object/tangible/wearables/base/shared_base_jacket_shortsleeve.iff');
INSERT INTO `template_items` VALUES ('2452', 'object/tangible/deed/pet_deed/shared_carrion_spat_deed.iff');
INSERT INTO `template_items` VALUES ('2453', 'object/tangible/lair/base/shared_poi_all_lair_mound_large_evil_fire_green.iff');
INSERT INTO `template_items` VALUES ('2454', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_missile_pod_s02.iff');
INSERT INTO `template_items` VALUES ('2455', 'object/tangible/loot/quest/shared_crude_stone.iff');
INSERT INTO `template_items` VALUES ('2456', 'object/tangible/ship/components/chassis/shared_yt1300_chassis_token.iff');
INSERT INTO `template_items` VALUES ('2457', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff');
INSERT INTO `template_items` VALUES ('2458', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon2r_s01.iff');
INSERT INTO `template_items` VALUES ('2459', 'object/tangible/ship/components/weapon/shared_wpn_tiefighter_basic.iff');
INSERT INTO `template_items` VALUES ('2460', 'object/tangible/deed/city_deed/shared_garden_tatooine_lrg_05_deed.iff');
INSERT INTO `template_items` VALUES ('2461', 'object/tangible/painting/shared_painting_twilek_f_sm_s03.iff');
INSERT INTO `template_items` VALUES ('2462', 'object/tangible/wearables/shirt/shared_shirt_s07.iff');
INSERT INTO `template_items` VALUES ('2463', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_m_s06_lg.iff');
INSERT INTO `template_items` VALUES ('2464', 'object/tangible/dungeon/shared_cave_stalagmite_ice_style_01.iff');
INSERT INTO `template_items` VALUES ('2465', 'object/tangible/mission/quest_item/shared_sindra_lintikoor_q2_needed.iff');
INSERT INTO `template_items` VALUES ('2466', 'object/tangible/ship/components/shield_generator/shared_shd_cygnus_mk5.iff');
INSERT INTO `template_items` VALUES ('2467', 'object/tangible/ship/attachment/engine/shared_hutt_light_engine_s02.iff');
INSERT INTO `template_items` VALUES ('2468', 'object/tangible/component/vehicle/shared_weapon_link.iff');
INSERT INTO `template_items` VALUES ('2469', 'object/tangible/furniture/decorative/shared_basket_closed.iff');
INSERT INTO `template_items` VALUES ('2470', 'object/tangible/lair/base/shared_poi_all_lair_brambles_small_evil_fire_red.iff');
INSERT INTO `template_items` VALUES ('2471', 'object/tangible/ship/crafted/droid_interface/shared_droid_brain_upgrade_mk2.iff');
INSERT INTO `template_items` VALUES ('2472', 'object/tangible/loot/collectible/collectible_rewards/shared_collectible_table.iff');
INSERT INTO `template_items` VALUES ('2473', 'object/tangible/loot/quest/shared_sean_history_disk.iff');
INSERT INTO `template_items` VALUES ('2474', 'object/tangible/ship/components/droid_interface/shared_ddi_cygnus_di6.iff');
INSERT INTO `template_items` VALUES ('2475', 'object/tangible/ship/crafted/weapon/shared_wpn_experimental_ioncannon.iff');
INSERT INTO `template_items` VALUES ('2476', 'object/tangible/ship/components/weapon/shared_wpn_hk_scorcher.iff');
INSERT INTO `template_items` VALUES ('2477', 'object/tangible/wearables/pants/shared_pants_s29.iff');
INSERT INTO `template_items` VALUES ('2478', 'object/tangible/lair/structure/interior/shared_lair_cave_giant_interior_rancor.iff');
INSERT INTO `template_items` VALUES ('2479', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s04_lit.iff');
INSERT INTO `template_items` VALUES ('2480', 'object/tangible/ship/customization/shared_xwing_cowl_neg_s02.iff');
INSERT INTO `template_items` VALUES ('2481', 'object/tangible/loot/simple_kit/shared_battery_cheap_copper.iff');
INSERT INTO `template_items` VALUES ('2482', 'object/tangible/loot/simple_kit/shared_paint_cartridge.iff');
INSERT INTO `template_items` VALUES ('2483', 'object/tangible/wearables/armor/ithorian_guardian/shared_ith_armor_s02_chest_plate.iff');
INSERT INTO `template_items` VALUES ('2484', 'object/tangible/ship/components/droid_interface/shared_ddi_hk_mk3.iff');
INSERT INTO `template_items` VALUES ('2485', 'object/tangible/ship/components/droid_interface/shared_ddi_incom_fast_droid_interface_mk2.iff');
INSERT INTO `template_items` VALUES ('2486', 'object/tangible/deed/faction_perk/minefield/shared_field_1x1_deed.iff');
INSERT INTO `template_items` VALUES ('2487', 'object/tangible/mission/quest_item/shared_zogor_sturm_q3_needed.iff');
INSERT INTO `template_items` VALUES ('2488', 'object/tangible/component/weapon/shared_base_vibro_unit_enhancement.iff');
INSERT INTO `template_items` VALUES ('2489', 'object/tangible/ship/crafted/weapon/missile/shared_countermeasure_chaff_pack.iff');
INSERT INTO `template_items` VALUES ('2490', 'object/tangible/ship/components/armor/shared_arm_kse_modified_light_durasteel.iff');
INSERT INTO `template_items` VALUES ('2491', 'object/tangible/medicine/crafted/shared_medpack_grenade_area_a.iff');
INSERT INTO `template_items` VALUES ('2492', 'object/tangible/component/chemistry/shared_endrost.iff');
INSERT INTO `template_items` VALUES ('2493', 'object/tangible/ship/components/droid_interface/shared_ddi_armek_military_grade_mk2.iff');
INSERT INTO `template_items` VALUES ('2494', 'object/tangible/hair/bothan/shared_hair_bothan_male_s01.iff');
INSERT INTO `template_items` VALUES ('2495', 'object/tangible/veteran_reward/one_year_anniversary/shared_painting_03.iff');
INSERT INTO `template_items` VALUES ('2496', 'object/tangible/ship/components/shield_generator/shared_shd_kse_mk5.iff');
INSERT INTO `template_items` VALUES ('2497', 'object/tangible/lair/remmer/shared_lair_remmer.iff');
INSERT INTO `template_items` VALUES ('2498', 'object/tangible/ship/attachment/wing/shared_blacksun_light_wing_s01.iff');
INSERT INTO `template_items` VALUES ('2499', 'object/tangible/lair/striped_fish/shared_lair_striped_fish_underwater.iff');
INSERT INTO `template_items` VALUES ('2500', 'object/tangible/hair/base/shared_hair_base.iff');
INSERT INTO `template_items` VALUES ('2501', 'object/tangible/ship/crafted/booster/shared_base_booster_subcomponent_mk1.iff');
INSERT INTO `template_items` VALUES ('2502', 'object/tangible/hair/human/shared_hair_human_female_s03.iff');
INSERT INTO `template_items` VALUES ('2503', 'object/tangible/ship/components/reactor/shared_rct_rss_advanced.iff');
INSERT INTO `template_items` VALUES ('2504', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff');
INSERT INTO `template_items` VALUES ('2505', 'object/tangible/medicine/shared_medpack_damage.iff');
INSERT INTO `template_items` VALUES ('2506', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s2.iff');
INSERT INTO `template_items` VALUES ('2507', 'object/tangible/deed/event_perk/shared_yavin_flag_deed.iff');
INSERT INTO `template_items` VALUES ('2508', 'object/tangible/wearables/ithorian/shared_ith_bandolier_s03.iff');
INSERT INTO `template_items` VALUES ('2509', 'object/tangible/wearables/bandolier/shared_bandolier_s05.iff');
INSERT INTO `template_items` VALUES ('2510', 'object/tangible/component/droid/shared_le_repair_droid_chassis.iff');
INSERT INTO `template_items` VALUES ('2511', 'object/tangible/dungeon/death_watch_bunker/shared_drill_battery_clean.iff');
INSERT INTO `template_items` VALUES ('2512', 'object/tangible/furniture/modern/shared_searchable_desk_02.iff');
INSERT INTO `template_items` VALUES ('2513', 'object/tangible/ship/components/engine/shared_eng_rss_imperial_skyrunner_3.iff');
INSERT INTO `template_items` VALUES ('2514', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s2.iff');
INSERT INTO `template_items` VALUES ('2515', 'object/tangible/lair/base/shared_objective_banner_corellia.iff');
INSERT INTO `template_items` VALUES ('2516', 'object/tangible/ship/crafted/weapon/shared_wpn_medium_ioncannon.iff');
INSERT INTO `template_items` VALUES ('2517', 'object/tangible/loot/quest/shared_victor_questp_jregistry.iff');
INSERT INTO `template_items` VALUES ('2518', 'object/tangible/ship/attachment/weapon/shared_imperial_gunboat_turret_ball.iff');
INSERT INTO `template_items` VALUES ('2519', 'object/tangible/deed/city_deed/shared_cloning_tatooine_deed.iff');
INSERT INTO `template_items` VALUES ('2520', 'object/tangible/space/mission_objects/shared_palace_access_doc.iff');
INSERT INTO `template_items` VALUES ('2521', 'object/tangible/deed/harvester_deed/shared_harvester_moisture_deed.iff');
INSERT INTO `template_items` VALUES ('2522', 'object/tangible/furniture/all/shared_frn_all_light_lamp_candlestick_free_s01.iff');
INSERT INTO `template_items` VALUES ('2523', 'object/tangible/camp/shared_camp_tent_s5.iff');
INSERT INTO `template_items` VALUES ('2524', 'object/tangible/wearables/pants/shared_nightsister_pants_s02.iff');
INSERT INTO `template_items` VALUES ('2525', 'object/tangible/ship/components/reactor/shared_rct_taim_experimental_s1.iff');
INSERT INTO `template_items` VALUES ('2526', 'object/tangible/ship/components/armor/shared_arm_subpro_improved_standard_durasteel.iff');
INSERT INTO `template_items` VALUES ('2527', 'object/tangible/component/vehicle/shared_adv_vehicle_module.iff');
INSERT INTO `template_items` VALUES ('2528', 'object/tangible/ship/crafted/reverse_engineering/shared_analysis_tool.iff');
INSERT INTO `template_items` VALUES ('2529', 'object/tangible/ship/components/weapon/shared_wpn_mission_reward_imperial_sds_boltdriver.iff');
INSERT INTO `template_items` VALUES ('2530', 'object/tangible/deed/event_perk/shared_universe_flags_theater.iff');
INSERT INTO `template_items` VALUES ('2531', 'object/tangible/ship/components/engine/shared_engine_qualdex_kyromaster.iff');
INSERT INTO `template_items` VALUES ('2532', 'object/tangible/wearables/armor/bone/shared_armor_bone_s01_bracer_r.iff');
INSERT INTO `template_items` VALUES ('2533', 'object/tangible/mission/quest_item/shared_kaeline_ungasan_q2_needed.iff');
INSERT INTO `template_items` VALUES ('2534', 'object/tangible/wearables/base/shared_base_jacket_longsleeve.iff');
INSERT INTO `template_items` VALUES ('2535', 'object/tangible/ship/attachment/booster/shared_ywing_booster_s02.iff');
INSERT INTO `template_items` VALUES ('2536', 'object/tangible/wearables/dress/shared_dress_s18.iff');
INSERT INTO `template_items` VALUES ('2537', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon2_s03.iff');
INSERT INTO `template_items` VALUES ('2538', 'object/tangible/deed/pet_deed/shared_deed_r5_basic.iff');
INSERT INTO `template_items` VALUES ('2539', 'object/tangible/mission/quest_item/shared_jaleela_bindoo_q4_needed.iff');
INSERT INTO `template_items` VALUES ('2540', 'object/tangible/ship/components/weapon_capacitor/shared_cap_corellian_standard.iff');
INSERT INTO `template_items` VALUES ('2541', 'object/tangible/medicine/crafted/shared_medpack_poison_area_mind_a.iff');
INSERT INTO `template_items` VALUES ('2542', 'object/tangible/ship/components/engine/shared_eng_reward_surronian_elite.iff');
INSERT INTO `template_items` VALUES ('2543', 'object/tangible/lair/tusk_cat/shared_lair_tusk_cat.iff');
INSERT INTO `template_items` VALUES ('2544', 'object/tangible/loot/collectible/collectible_rewards/shared_collectible_sculpture_s01.iff');
INSERT INTO `template_items` VALUES ('2545', 'object/tangible/ship/components/weapon_capacitor/shared_cap_novaldex_small_capacitor.iff');
INSERT INTO `template_items` VALUES ('2546', 'object/tangible/wearables/armor/ubese/shared_armor_ubese_gloves.iff');
INSERT INTO `template_items` VALUES ('2547', 'object/tangible/loot/misc/shared_datadisk_corrupt.iff');
INSERT INTO `template_items` VALUES ('2548', 'object/tangible/ship/interior_components/shared_weapon_interior.iff');
INSERT INTO `template_items` VALUES ('2549', 'object/tangible/ship/crafted/droid_interface/shared_base_droid_interface_subcomponent_mk1.iff');
INSERT INTO `template_items` VALUES ('2550', 'object/tangible/ship/components/weapon_capacitor/shared_cap_moncal_standard.iff');
INSERT INTO `template_items` VALUES ('2551', 'object/tangible/ship/components/reactor/shared_rct_sfs_imperial_1.iff');
INSERT INTO `template_items` VALUES ('2552', 'object/tangible/loot/loot_schematic/shared_radar_screen_schematic.iff');
INSERT INTO `template_items` VALUES ('2553', 'object/tangible/ship/components/reactor/shared_rct_mandal_dxr2.iff');
INSERT INTO `template_items` VALUES ('2554', 'object/tangible/loot/quest/shared_sean_questn_gpapers.iff');
INSERT INTO `template_items` VALUES ('2555', 'object/tangible/medicine/shared_medikit_tool_advanced.iff');
INSERT INTO `template_items` VALUES ('2556', 'object/tangible/ship/components/reactor/shared_rct_koensayr_supernova_mk2.iff');
INSERT INTO `template_items` VALUES ('2557', 'object/tangible/lair/bluefish/shared_lair_bluefish.iff');
INSERT INTO `template_items` VALUES ('2558', 'object/tangible/ship/components/weapon/shared_wpn_slayn_light_ioncannon.iff');
INSERT INTO `template_items` VALUES ('2559', 'object/tangible/ship/components/booster/shared_bst_kessel_imperial_sds_experimental_b7.iff');
INSERT INTO `template_items` VALUES ('2560', 'object/tangible/sign/player/base/shared_player_sign_base.iff');
INSERT INTO `template_items` VALUES ('2561', 'object/tangible/mission/quest_item/shared_tekil_barje_q1_needed.iff');
INSERT INTO `template_items` VALUES ('2562', 'object/tangible/container/base/shared_base_container.iff');
INSERT INTO `template_items` VALUES ('2563', 'object/tangible/ship/attachment/weapon/shared_hutt_light_weapon_s03.iff');
INSERT INTO `template_items` VALUES ('2564', 'object/tangible/food/shared_meat_kabob.iff');
INSERT INTO `template_items` VALUES ('2565', 'object/tangible/loot/dungeon/corellian_corvette/shared_rebel_assassin_intel.iff');
INSERT INTO `template_items` VALUES ('2566', 'object/tangible/wearables/dress/shared_dress_s31.iff');
INSERT INTO `template_items` VALUES ('2567', 'object/tangible/space/story_loot/shared_loot_naboo_droid.iff');
INSERT INTO `template_items` VALUES ('2568', 'object/tangible/test/shared_test_pastry_01.iff');
INSERT INTO `template_items` VALUES ('2569', 'object/tangible/component/droid/shared_data_storage_module_1.iff');
INSERT INTO `template_items` VALUES ('2570', 'object/tangible/ship/crafted/shields/shared_base_shields_subcomponent_mk5.iff');
INSERT INTO `template_items` VALUES ('2571', 'object/tangible/medicine/crafted/shared_medpack_disease_constitution_c.iff');
INSERT INTO `template_items` VALUES ('2572', 'object/tangible/ship/components/engine/shared_eng_cygnus_hd7.iff');
INSERT INTO `template_items` VALUES ('2573', 'object/tangible/item/quest/force_sensitive/shared_fs_craft_puzzle_calibrator.iff');
INSERT INTO `template_items` VALUES ('2574', 'object/tangible/food/creature_bio_effects/shared_bio_kwi_adrenal_boost.iff');
INSERT INTO `template_items` VALUES ('2575', 'object/tangible/wearables/armor/marine/shared_armor_marine_backpack.iff');
INSERT INTO `template_items` VALUES ('2576', 'object/tangible/ship/components/engine/shared_engine_qualdex_a10.iff');
INSERT INTO `template_items` VALUES ('2577', 'object/tangible/deed/event_perk/shared_rsf_4x10_honorguard_deed.iff');
INSERT INTO `template_items` VALUES ('2578', 'object/tangible/painting/shared_painting_food_baking_s02.iff');
INSERT INTO `template_items` VALUES ('2579', 'object/tangible/ship/components/reactor/shared_rct_koensayr_charged_supernova.iff');
INSERT INTO `template_items` VALUES ('2580', 'object/tangible/dungeon/shared_wall_terminal_s3.iff');
INSERT INTO `template_items` VALUES ('2581', 'object/tangible/loot/collectible/collectible_rewards/shared_orange_rug.iff');
INSERT INTO `template_items` VALUES ('2582', 'object/tangible/wearables/cyborg/shared_hand_l_s01.iff');
INSERT INTO `template_items` VALUES ('2583', 'object/tangible/lair/mott/shared_lair_mott_grassland.iff');
INSERT INTO `template_items` VALUES ('2584', 'object/tangible/space/special_loot/shared_firespray_schematic_part7.iff');
INSERT INTO `template_items` VALUES ('2585', 'object/tangible/ship/components/armor/shared_arm_generic.iff');
INSERT INTO `template_items` VALUES ('2586', 'object/tangible/travel/shuttle/base/shared_base_travel_shuttle.iff');
INSERT INTO `template_items` VALUES ('2587', 'object/tangible/powerup/weapon/shared_ranged_power.iff');
INSERT INTO `template_items` VALUES ('2588', 'object/tangible/ship/components/weapon/shared_wpn_sds_heavy_imperial_spc_forces_cannon.iff');
INSERT INTO `template_items` VALUES ('2589', 'object/tangible/wearables/ithorian/shared_ith_bodysuit_s01.iff');
INSERT INTO `template_items` VALUES ('2590', 'object/tangible/ship/components/armor/shared_arm_kessel_imperial_rendili_crystalline_durasteel.iff');
INSERT INTO `template_items` VALUES ('2591', 'object/tangible/ship/components/shield_generator/shared_shd_reward_mandalor_elite.iff');
INSERT INTO `template_items` VALUES ('2592', 'object/tangible/hair/human/shared_hair_human_male_s22.iff');
INSERT INTO `template_items` VALUES ('2593', 'object/tangible/hair/rodian/shared_hair_rodian_female_s18.iff');
INSERT INTO `template_items` VALUES ('2594', 'object/tangible/recycler/shared_chemical_recycler.iff');
INSERT INTO `template_items` VALUES ('2595', 'object/tangible/lair/vir_vir/shared_lair_vir_vir_grassland.iff');
INSERT INTO `template_items` VALUES ('2596', 'object/tangible/ship/components/weapon_capacitor/shared_cap_mandal_powersoak.iff');
INSERT INTO `template_items` VALUES ('2597', 'object/tangible/wearables/armor/ris/shared_armor_ris_bracer_r.iff');
INSERT INTO `template_items` VALUES ('2598', 'object/tangible/medicine/crafted/shared_medpack_disease_area_health_a.iff');
INSERT INTO `template_items` VALUES ('2599', 'object/tangible/ship/components/engine/shared_eng_incom_light_fusialthrust.iff');
INSERT INTO `template_items` VALUES ('2600', 'object/tangible/lair/structure/interior/shared_lair_cave_giant_interior_krayt_dragon.iff');
INSERT INTO `template_items` VALUES ('2601', 'object/tangible/loot/loot_schematic/shared_chair_cafe_schematic.iff');
INSERT INTO `template_items` VALUES ('2602', 'object/tangible/wearables/shoes/shared_shoes_s07.iff');
INSERT INTO `template_items` VALUES ('2603', 'object/tangible/wearables/ithorian/shared_ith_shirt_s11.iff');
INSERT INTO `template_items` VALUES ('2604', 'object/tangible/lair/dwarf_nuna/shared_lair_dwarf_nuna_swamp.iff');
INSERT INTO `template_items` VALUES ('2605', 'object/tangible/powerup/weapon/shared_melee.iff');
INSERT INTO `template_items` VALUES ('2606', 'object/tangible/powerup/weapon/shared_ranged.iff');
INSERT INTO `template_items` VALUES ('2607', 'object/tangible/space/story_loot/shared_loot_dantooine_junk2.iff');
INSERT INTO `template_items` VALUES ('2608', 'object/tangible/loot/misc/shared_jawa_beads.iff');
INSERT INTO `template_items` VALUES ('2609', 'object/tangible/lair/base/shared_poi_all_lair_brambles_small_fog_gray.iff');
INSERT INTO `template_items` VALUES ('2610', 'object/tangible/lair/base/shared_objective_banner_tatooine.iff');
INSERT INTO `template_items` VALUES ('2611', 'object/tangible/parrot_cage/shared_parrot_cage.iff');
INSERT INTO `template_items` VALUES ('2612', 'object/tangible/furniture/all/shared_frn_all_table_s02.iff');
INSERT INTO `template_items` VALUES ('2613', 'object/tangible/component/armor/shared_heavy_armor_layer_environmental.iff');
INSERT INTO `template_items` VALUES ('2614', 'object/tangible/ship/components/weapon/shared_wpn_taim_heavy_laser.iff');
INSERT INTO `template_items` VALUES ('2615', 'object/tangible/component/weapon/shared_projectile_pistol_barrel_quest.iff');
INSERT INTO `template_items` VALUES ('2616', 'object/tangible/ship/components/weapon_capacitor/shared_cap_kse_mk1.iff');
INSERT INTO `template_items` VALUES ('2617', 'object/tangible/lair/npc/shared_lair_npc_general.iff');
INSERT INTO `template_items` VALUES ('2618', 'object/tangible/space/story_loot/shared_loot_dantooine_scavengers3.iff');
INSERT INTO `template_items` VALUES ('2619', 'object/tangible/ship/components/reactor/shared_rct_kessel_rebel_slayn_high_output_experimental.iff');
INSERT INTO `template_items` VALUES ('2620', 'object/tangible/ship/components/booster/shared_bst_kse_performance_bti1.iff');
INSERT INTO `template_items` VALUES ('2621', 'object/tangible/component/structure/shared_connections.iff');
INSERT INTO `template_items` VALUES ('2622', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon1_s06.iff');
INSERT INTO `template_items` VALUES ('2623', 'object/tangible/ship/crafted/repair/shared_repair_kit_reactor.iff');
INSERT INTO `template_items` VALUES ('2624', 'object/tangible/mission/quest_item/shared_hagrin_zeed_q2_needed.iff');
INSERT INTO `template_items` VALUES ('2625', 'object/tangible/ship/interior_components/shared_interior_component_base.iff');
INSERT INTO `template_items` VALUES ('2626', 'object/tangible/bug_jar/shared_sample_bugs.iff');
INSERT INTO `template_items` VALUES ('2627', 'object/tangible/ship/components/shield_generator/shared_shd_moncal_ionweb_elite_2.iff');
INSERT INTO `template_items` VALUES ('2628', 'object/tangible/wearables/hat/shared_singing_mountain_clan_mask_s01.iff');
INSERT INTO `template_items` VALUES ('2629', 'object/tangible/lair/ikopi/shared_lair_ikopi.iff');
INSERT INTO `template_items` VALUES ('2630', 'object/tangible/lair/dalyrake/shared_lair_dalyrake.iff');
INSERT INTO `template_items` VALUES ('2631', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s03.iff');
INSERT INTO `template_items` VALUES ('2632', 'object/tangible/loot/collectible/collectible_parts/shared_gong_structure_04.iff');
INSERT INTO `template_items` VALUES ('2633', 'object/tangible/wearables/vest/shared_vest_s10.iff');
INSERT INTO `template_items` VALUES ('2634', 'object/tangible/ship/components/engine/shared_eng_incom_advanced.iff');
INSERT INTO `template_items` VALUES ('2635', 'object/tangible/loot/loot_schematic/shared_table_coffee_modern_schematic.iff');
INSERT INTO `template_items` VALUES ('2636', 'object/tangible/medicine/crafted/shared_medpack_enhance_action_c.iff');
INSERT INTO `template_items` VALUES ('2637', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon1_s05.iff');
INSERT INTO `template_items` VALUES ('2638', 'object/tangible/lair/base/shared_poi_all_lair_rock_shelter_large_fog_red.iff');
INSERT INTO `template_items` VALUES ('2639', 'object/tangible/lair/structure/interior/shared_lair_cave_giant_interior_kimogila.iff');
INSERT INTO `template_items` VALUES ('2640', 'object/tangible/ship/crafted/armor/shared_durasteel_plating.iff');
INSERT INTO `template_items` VALUES ('2641', 'object/tangible/ship/crafted/engine/shared_hyperdrive_class1.iff');
INSERT INTO `template_items` VALUES ('2642', 'object/tangible/ship/components/chassis/shared_tie_light_duty_chassis_token.iff');
INSERT INTO `template_items` VALUES ('2643', 'object/tangible/food/crafted/shared_dessert_gorrnar.iff');
INSERT INTO `template_items` VALUES ('2644', 'object/tangible/ship/components/shield_generator/shared_shd_armek_plasma_shell_s3.iff');
INSERT INTO `template_items` VALUES ('2645', 'object/tangible/ship/attachment/weapon/shared_lambda_weapon1.iff');
INSERT INTO `template_items` VALUES ('2646', 'object/tangible/ship/components/shield_generator/shared_shd_z95_basic.iff');
INSERT INTO `template_items` VALUES ('2647', 'object/tangible/wearables/bodysuit/shared_bodysuit_s07.iff');
INSERT INTO `template_items` VALUES ('2648', 'object/tangible/inventory/shared_lightsaber_inventory_2.iff');
INSERT INTO `template_items` VALUES ('2649', 'object/tangible/lair/snorbal/shared_lair_snorbal_grassland.iff');
INSERT INTO `template_items` VALUES ('2650', 'object/tangible/ship/components/droid_interface/shared_ddi_moncal_dk1.iff');
INSERT INTO `template_items` VALUES ('2651', 'object/tangible/camp/shared_camp_chair_s2.iff');
INSERT INTO `template_items` VALUES ('2652', 'object/tangible/loot/collectible/collectible_parts/shared_sculpture_structure_03.iff');
INSERT INTO `template_items` VALUES ('2653', 'object/tangible/wearables/armor/composite/shared_armor_composite_bicep_r.iff');
INSERT INTO `template_items` VALUES ('2654', 'object/tangible/terminal/shared_terminal_newbie_medicine.iff');
INSERT INTO `template_items` VALUES ('2655', 'object/tangible/component/vehicle/shared_auto_blaster_cannon.iff');
INSERT INTO `template_items` VALUES ('2656', 'object/tangible/lair/base/shared_lair_base_nest_ground_lg_dark.iff');
INSERT INTO `template_items` VALUES ('2657', 'object/tangible/wearables/ithorian/shared_ith_pants_s05.iff');
INSERT INTO `template_items` VALUES ('2658', 'object/tangible/ship/components/armor/shared_arm_kessel_rebel_sorosuub_spidershell_plating.iff');
INSERT INTO `template_items` VALUES ('2659', 'object/tangible/ship/crafted/weapon/missile/shared_base_pack.iff');
INSERT INTO `template_items` VALUES ('2660', 'object/tangible/loot/bestine/shared_bestine_painting_schematic_rainbow_berry_bush.iff');
INSERT INTO `template_items` VALUES ('2661', 'object/tangible/wearables/hat/shared_hat_imp_s01.iff');
INSERT INTO `template_items` VALUES ('2662', 'object/tangible/ship/attachment/weapon/shared_ywing_weapon2_s05.iff');
INSERT INTO `template_items` VALUES ('2663', 'object/tangible/wearables/ithorian/shared_ith_vest_s01.iff');
INSERT INTO `template_items` VALUES ('2664', 'object/tangible/mission/quest_item/shared_dannik_malaan_q1_needed.iff');
INSERT INTO `template_items` VALUES ('2665', 'object/tangible/component/structure/shared_capacitor_bank.iff');
INSERT INTO `template_items` VALUES ('2666', 'object/tangible/mission/quest_item/shared_rep_been_q1_needed.iff');
INSERT INTO `template_items` VALUES ('2667', 'object/tangible/wearables/backpack/shared_backpack_s03.iff');
INSERT INTO `template_items` VALUES ('2668', 'object/tangible/food/foraged/shared_foraged_fruit_s5.iff');
INSERT INTO `template_items` VALUES ('2669', 'object/tangible/furniture/city/shared_streetlamp_med_red_01.iff');
INSERT INTO `template_items` VALUES ('2670', 'object/tangible/skill_buff/shared_skill_buff_rifle_accuracy.iff');
INSERT INTO `template_items` VALUES ('2671', 'object/tangible/ship/crafted/reactor/shared_reactor_overcharger_mk5.iff');
INSERT INTO `template_items` VALUES ('2672', 'object/tangible/deed/guild_deed/shared_tatooine_guild_style_02_deed.iff');
INSERT INTO `template_items` VALUES ('2673', 'object/tangible/component/chemistry/shared_infection_amplifier.iff');
INSERT INTO `template_items` VALUES ('2674', 'object/tangible/lair/flit/shared_lair_flit_forest.iff');
INSERT INTO `template_items` VALUES ('2675', 'object/tangible/loot/tool/shared_impulse_detector_broken_s2.iff');
INSERT INTO `template_items` VALUES ('2676', 'object/tangible/ship/components/booster/shared_bst_kse_enhanced_bti2.iff');
INSERT INTO `template_items` VALUES ('2677', 'object/tangible/component/dna/shared_dna_template_eopie.iff');
INSERT INTO `template_items` VALUES ('2678', 'object/tangible/sign/municipal/shared_municipal_sign_hanging_commerce.iff');
INSERT INTO `template_items` VALUES ('2679', 'object/tangible/lair/murra/shared_lair_murra_grassland.iff');
INSERT INTO `template_items` VALUES ('2680', 'object/tangible/ship/components/droid_interface/shared_ddi_sorosuub_echelon_1.iff');
INSERT INTO `template_items` VALUES ('2681', 'object/tangible/component/vehicle/shared_armor_plating_mk1.iff');
INSERT INTO `template_items` VALUES ('2682', 'object/tangible/lair/base/shared_bramble_light.iff');
INSERT INTO `template_items` VALUES ('2683', 'object/tangible/ship/components/booster/shared_bst_sorosuub_supercharged_liberator_mk3.iff');
INSERT INTO `template_items` VALUES ('2684', 'object/tangible/container/drum/shared_large_plain_crate_s01.iff');
INSERT INTO `template_items` VALUES ('2685', 'object/tangible/ship/components/engine/shared_eng_kessel_rebel_incom_t11_elite.iff');
INSERT INTO `template_items` VALUES ('2686', 'object/tangible/ship/components/reactor/shared_rct_sds_elite.iff');
INSERT INTO `template_items` VALUES ('2687', 'object/tangible/ship/components/armor/shared_arm_mandal_advanced_composite.iff');
INSERT INTO `template_items` VALUES ('2688', 'object/tangible/ship/attachment/weapon/shared_star_destroyer_turret_med_gun.iff');
INSERT INTO `template_items` VALUES ('2689', 'object/tangible/component/droid/shared_stimpack_dispensor.iff');
INSERT INTO `template_items` VALUES ('2690', 'object/tangible/crafting/station/shared_weapon_tool.iff');
INSERT INTO `template_items` VALUES ('2691', 'object/tangible/lair/kaadu/shared_lair_kaadu_forest.iff');
INSERT INTO `template_items` VALUES ('2692', 'object/tangible/furniture/all/shared_frn_all_gaming_kiosk_s01.iff');
INSERT INTO `template_items` VALUES ('2693', 'object/tangible/food/crafted/shared_dessert_felbar.iff');
INSERT INTO `template_items` VALUES ('2694', 'object/tangible/ship/components/shield_generator/shared_shd_koensayr_deflector_m2.iff');
INSERT INTO `template_items` VALUES ('2695', 'object/tangible/ship/components/booster/shared_bst_surronian_nomad_x4.iff');
INSERT INTO `template_items` VALUES ('2696', 'object/tangible/scout/camp/shared_camp_multi.iff');
INSERT INTO `template_items` VALUES ('2697', 'object/tangible/loot/quest/shared_rifle_quest_tusken.iff');
INSERT INTO `template_items` VALUES ('2698', 'object/tangible/firework/base/shared_firework_base.iff');
INSERT INTO `template_items` VALUES ('2699', 'object/tangible/ship/crafted/weapon/shared_base_weapon_subcomponent_mk3.iff');
INSERT INTO `template_items` VALUES ('2700', 'object/tangible/mission/quest_item/shared_lob_dizz_q3_needed.iff');
INSERT INTO `template_items` VALUES ('2701', 'object/tangible/ship/crafted/weapon/shared_base_weapon_subcomponent.iff');
INSERT INTO `template_items` VALUES ('2702', 'object/tangible/wearables/belt/shared_aakuan_belt.iff');
INSERT INTO `template_items` VALUES ('2703', 'object/tangible/medicine/crafted/shared_medpack_disease_area_mind_b.iff');
INSERT INTO `template_items` VALUES ('2704', 'object/tangible/wearables/ithorian/shared_ith_backpack_s03.iff');
INSERT INTO `template_items` VALUES ('2705', 'object/tangible/medicine/crafted/shared_medpack_disease_quickness_c.iff');
INSERT INTO `template_items` VALUES ('2706', 'object/tangible/food/spice/shared_spice_droid_lube.iff');
INSERT INTO `template_items` VALUES ('2707', 'object/tangible/terminal/shared_terminal_space.iff');
INSERT INTO `template_items` VALUES ('2708', 'object/tangible/wearables/gloves/shared_gloves_s02.iff');
INSERT INTO `template_items` VALUES ('2709', 'object/tangible/ship/components/reactor/shared_rct_watto_sunray_2.iff');
INSERT INTO `template_items` VALUES ('2710', 'object/tangible/loot/collectible/collectible_parts/shared_orange_rug_thread_07.iff');
INSERT INTO `template_items` VALUES ('2711', 'object/tangible/mission/quest_item/shared_brennis_doore_q1_needed.iff');
INSERT INTO `template_items` VALUES ('2712', 'object/tangible/wearables/robe/shared_robe_s18.iff');
INSERT INTO `template_items` VALUES ('2713', 'object/tangible/ship/components/armor/shared_arm_sfs_light_durasteel.iff');
INSERT INTO `template_items` VALUES ('2714', 'object/tangible/ship/components/booster/shared_bst_incom_deluxe_fynock.iff');
INSERT INTO `template_items` VALUES ('2715', 'object/tangible/lair/gaping_spider/shared_lair_gaping_spider_forest.iff');
INSERT INTO `template_items` VALUES ('2716', 'object/tangible/component/armor/shared_armor_segment_chitin_sharnaff.iff');
INSERT INTO `template_items` VALUES ('2717', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_lg_s01.iff');
INSERT INTO `template_items` VALUES ('2718', 'object/tangible/lair/base/shared_cave_small_dark.iff');
INSERT INTO `template_items` VALUES ('2719', 'object/tangible/component/droid/shared_personality_module_slang.iff');
INSERT INTO `template_items` VALUES ('2720', 'object/tangible/ship/crafted/reactor/shared_fusion_reactor_mk2.iff');
INSERT INTO `template_items` VALUES ('2721', 'object/tangible/loot/dungeon/corellian_corvette/shared_rebel_destroy_filler01.iff');
INSERT INTO `template_items` VALUES ('2722', 'object/tangible/ship/components/chassis/shared_blacksun_light_s01_chassis_token.iff');
INSERT INTO `template_items` VALUES ('2723', 'object/tangible/ship/components/droid_interface/shared_ddi_mission_reward_rebel_moncal_d22.iff');
INSERT INTO `template_items` VALUES ('2724', 'object/tangible/wearables/ithorian/shared_ith_necklace_s02.iff');
INSERT INTO `template_items` VALUES ('2725', 'object/tangible/ship/components/shield_generator/shared_shd_interlaced_graviton.iff');
INSERT INTO `template_items` VALUES ('2726', 'object/tangible/wearables/armor/marine/shared_armor_marine_bicep_r.iff');
INSERT INTO `template_items` VALUES ('2727', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_sm_s02.iff');
INSERT INTO `template_items` VALUES ('2728', 'object/tangible/component/munition/shared_ammo_projectile_entanglement.iff');
INSERT INTO `template_items` VALUES ('2729', 'object/tangible/component/weapon/shared_blaster_power_handler_enhancement_durability.iff');
INSERT INTO `template_items` VALUES ('2730', 'object/tangible/ship/components/chassis/shared_hutt_medium_s01_chassis_token.iff');
INSERT INTO `template_items` VALUES ('2731', 'object/tangible/ship/components/weapon/shared_weapon_subpro_tripleblaster.iff');
INSERT INTO `template_items` VALUES ('2732', 'object/tangible/hair/human/shared_hair_human_female_s17.iff');
INSERT INTO `template_items` VALUES ('2733', 'object/tangible/component/armor/shared_armor_segment_enhancement_krayt.iff');
INSERT INTO `template_items` VALUES ('2734', 'object/tangible/food/crafted/shared_dish_rations.iff');
INSERT INTO `template_items` VALUES ('2735', 'object/tangible/ship/components/booster/shared_bst_incom_nkj31.iff');
INSERT INTO `template_items` VALUES ('2736', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s01.iff');
INSERT INTO `template_items` VALUES ('2737', 'object/tangible/mission/quest_item/shared_nass_q1_needed.iff');
INSERT INTO `template_items` VALUES ('2738', 'object/tangible/hair/rodian/shared_hair_rodian_male_s08.iff');
INSERT INTO `template_items` VALUES ('2739', 'object/tangible/space/story_loot/shared_loot_dantooine_anthro.iff');
INSERT INTO `template_items` VALUES ('2740', 'object/tangible/hair/bothan/shared_hair_bothan_male_s15.iff');
INSERT INTO `template_items` VALUES ('2741', 'object/tangible/deed/event_perk/shared_rebel_1x10_honorguard_deed.iff');
INSERT INTO `template_items` VALUES ('2742', 'object/tangible/mission/quest_item/shared_mat_rags_q4_needed.iff');
INSERT INTO `template_items` VALUES ('2743', 'object/tangible/medicine/crafted/shared_medpack_grenade_damage_d.iff');
INSERT INTO `template_items` VALUES ('2744', 'object/tangible/loot/collectible/collectible_parts/shared_blue_rug_thread_06.iff');
INSERT INTO `template_items` VALUES ('2745', 'object/tangible/lair/hermit_spider/shared_lair_hermit_spider_wasteland.iff');
INSERT INTO `template_items` VALUES ('2746', 'object/tangible/ship/attachment/weapon/shared_star_destroyer_turret_square_base.iff');
INSERT INTO `template_items` VALUES ('2747', 'object/tangible/ship/attachment/weapon/shared_kse_firespray_weapon2_s01.iff');
INSERT INTO `template_items` VALUES ('2748', 'object/tangible/component/armor/shared_armor_segment_padded.iff');
INSERT INTO `template_items` VALUES ('2749', 'object/tangible/component/droid/shared_struct_maint_module_1.iff');
INSERT INTO `template_items` VALUES ('2750', 'object/tangible/lair/base/shared_poi_all_lair_insecthill_large_fog_gray.iff');
INSERT INTO `template_items` VALUES ('2751', 'object/tangible/mission/quest_item/shared_warren_passkey_s01.iff');
INSERT INTO `template_items` VALUES ('2752', 'object/tangible/lair/base/shared_poi_all_lair_rock_shelter_large_fog_mustard.iff');
INSERT INTO `template_items` VALUES ('2753', 'object/tangible/component/clothing/shared_metal_fasteners.iff');
INSERT INTO `template_items` VALUES ('2754', 'object/tangible/spawning/shared_remote_theater_spawner.iff');
INSERT INTO `template_items` VALUES ('2755', 'object/tangible/ship/attachment/engine/shared_xwing_engine_pos_s03.iff');
INSERT INTO `template_items` VALUES ('2756', 'object/tangible/space/story_loot/shared_loot_tatooine_hutt.iff');
INSERT INTO `template_items` VALUES ('2757', 'object/tangible/ship/components/weapon_capacitor/shared_cap_cygnus_cygcap_a.iff');
INSERT INTO `template_items` VALUES ('2758', 'object/tangible/wearables/armor/bounty_hunter/shared_armor_bounty_hunter_bracer_r.iff');
INSERT INTO `template_items` VALUES ('2759', 'object/tangible/lair/qurvel/shared_lair_qurvel.iff');
INSERT INTO `template_items` VALUES ('2760', 'object/tangible/ship/components/weapon_capacitor/shared_cap_incom_rebel_mk1.iff');
INSERT INTO `template_items` VALUES ('2761', 'object/tangible/wearables/armor/ithorian_defender/shared_ith_armor_s01_bicep_r.iff');
INSERT INTO `template_items` VALUES ('2762', 'object/tangible/wearables/gloves/shared_gloves_tusken_raider.iff');
INSERT INTO `template_items` VALUES ('2763', 'object/tangible/wearables/armor/tantel/shared_armor_tantel_skreej_chest_plate_quest.iff');
INSERT INTO `template_items` VALUES ('2764', 'object/tangible/component/munition/shared_enhanced_charge_composition.iff');
INSERT INTO `template_items` VALUES ('2765', 'object/tangible/deed/pet_deed/shared_deed_r3_advanced_basic.iff');
INSERT INTO `template_items` VALUES ('2766', 'object/tangible/ship/crafted/chassis/shared_texture_kit_s05.iff');
INSERT INTO `template_items` VALUES ('2767', 'object/tangible/deed/player_house_deed/shared_generic_house_large_deed.iff');
INSERT INTO `template_items` VALUES ('2768', 'object/tangible/ship/attachment/weapon/shared_z95_weapon_s04.iff');
INSERT INTO `template_items` VALUES ('2769', 'object/tangible/medicine/crafted/shared_medpack_enhance_constitution_a.iff');
INSERT INTO `template_items` VALUES ('2770', 'object/tangible/lair/base/shared_poi_all_lair_leaf_small_fog_gray.iff');
INSERT INTO `template_items` VALUES ('2771', 'object/tangible/lair/base/shared_poi_all_lair_dead_log_large_fog_gray.iff');
INSERT INTO `template_items` VALUES ('2772', 'object/tangible/wearables/shirt/shared_shirt_s13.iff');
INSERT INTO `template_items` VALUES ('2773', 'object/tangible/deed/turret_deed/shared_turret_block_small_deed.iff');
INSERT INTO `template_items` VALUES ('2774', 'object/tangible/microphone/shared_microphone.iff');
INSERT INTO `template_items` VALUES ('2775', 'object/tangible/sign/shared_streetsign_wall_style_01.iff');
INSERT INTO `template_items` VALUES ('2776', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s17.iff');
INSERT INTO `template_items` VALUES ('2777', 'object/tangible/theme_park/alderaan/act2/shared_decoder_comp_processor.iff');
INSERT INTO `template_items` VALUES ('2778', 'object/tangible/furniture/city/shared_statue_weird_02.iff');
INSERT INTO `template_items` VALUES ('2779', 'object/tangible/vendor/shared_vendor_droid_wed.iff');
INSERT INTO `template_items` VALUES ('2780', 'object/tangible/wearables/bandolier/shared_multipocket_bandolier.iff');
INSERT INTO `template_items` VALUES ('2781', 'object/tangible/component/vehicle/shared_civilian_c.iff');
INSERT INTO `template_items` VALUES ('2782', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_pos_s04_1.iff');
INSERT INTO `template_items` VALUES ('2783', 'object/tangible/ship/components/droid_interface/shared_ddi_qualdex_droid_interface_mk4.iff');
INSERT INTO `template_items` VALUES ('2784', 'object/tangible/component/structure/shared_refined_ardanium_ii.iff');
INSERT INTO `template_items` VALUES ('2785', 'object/tangible/component/structure/shared_power_supply.iff');
INSERT INTO `template_items` VALUES ('2786', 'object/tangible/ship/components/droid_interface/shared_ddi_sfs_imperial_2.iff');
INSERT INTO `template_items` VALUES ('2787', 'object/tangible/veteran_reward/shared_data_terminal_s3.iff');
INSERT INTO `template_items` VALUES ('2788', 'object/tangible/lair/base/shared_poi_all_lair_garbage_small_fog_mustard.iff');
INSERT INTO `template_items` VALUES ('2789', 'object/tangible/loot/simple_kit/shared_datadisk_repair_kit.iff');
INSERT INTO `template_items` VALUES ('2790', 'object/tangible/loot/collectible/kits/shared_sculpture_kit.iff');
INSERT INTO `template_items` VALUES ('2791', 'object/tangible/deed/event_perk/shared_rsf_1x10_honorguard_deed.iff');
INSERT INTO `template_items` VALUES ('2792', 'object/tangible/loot/loot_schematic/shared_tanning_hide_s02_schematic.iff');
INSERT INTO `template_items` VALUES ('2793', 'object/tangible/component/droid/repair/shared_power_supply_redundant_advanced.iff');
INSERT INTO `template_items` VALUES ('2794', 'object/tangible/ship/components/reactor/shared_rct_freitek_powerhouse_mk1.iff');
INSERT INTO `template_items` VALUES ('2795', 'object/tangible/deed/pet_deed/shared_verne_deed.iff');
INSERT INTO `template_items` VALUES ('2796', 'object/tangible/deed/player_house_deed/shared_generic_house_medium_deed.iff');
INSERT INTO `template_items` VALUES ('2797', 'object/tangible/component/vehicle/shared_dx_disruptor_array.iff');
INSERT INTO `template_items` VALUES ('2798', 'object/tangible/ship/attachment/engine/shared_kse_firespray_engine_s01.iff');
INSERT INTO `template_items` VALUES ('2799', 'object/tangible/camp/shared_camp_lantern_s1.iff');
INSERT INTO `template_items` VALUES ('2800', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_neg_s02_0.iff');
INSERT INTO `template_items` VALUES ('2801', 'object/tangible/ship/components/chassis/shared_tieoppressor_chassis_token.iff');
INSERT INTO `template_items` VALUES ('2802', 'object/tangible/hair/sullustan/shared_sul_hair_s13_f.iff');
INSERT INTO `template_items` VALUES ('2803', 'object/tangible/hair/twilek/shared_hair_twilek_male_s06.iff');
INSERT INTO `template_items` VALUES ('2804', 'object/tangible/fishing/shared_marker.iff');
INSERT INTO `template_items` VALUES ('2805', 'object/tangible/lair/bolma/shared_lair_bolma_mountain.iff');
INSERT INTO `template_items` VALUES ('2806', 'object/tangible/food/crafted/shared_dessert_bantha_butter.iff');
INSERT INTO `template_items` VALUES ('2807', 'object/tangible/furniture/city/shared_streetlamp_med_01.iff');
INSERT INTO `template_items` VALUES ('2808', 'object/tangible/loot/misc/shared_palm_frond.iff');
INSERT INTO `template_items` VALUES ('2809', 'object/tangible/theme_park/alderaan/act2/shared_decoder_comp_screen.iff');
INSERT INTO `template_items` VALUES ('2810', 'object/tangible/lair/reptilian_flyer/shared_lair_reptilian_flyer.iff');
INSERT INTO `template_items` VALUES ('2811', 'object/tangible/lair/base/shared_lair_base_mound_bramble_light.iff');
INSERT INTO `template_items` VALUES ('2812', 'object/tangible/sign/player/shared_house_address_corellia.iff');
INSERT INTO `template_items` VALUES ('2813', 'object/tangible/component/droid/repair/shared_diagnostic_circuit.iff');
INSERT INTO `template_items` VALUES ('2814', 'object/tangible/lair/base/shared_poi_all_lair_bones_evil_fire_red.iff');
INSERT INTO `template_items` VALUES ('2815', 'object/tangible/furniture/all/shared_frn_all_light_lamp_candlestick_tbl_s01.iff');
INSERT INTO `template_items` VALUES ('2816', 'object/tangible/lair/structure/exterior/shared_lair_cave_medium_exterior_mamien.iff');
INSERT INTO `template_items` VALUES ('2817', 'object/tangible/ship/crafted/armor/shared_armor_reinforcement_panel_mk2.iff');
INSERT INTO `template_items` VALUES ('2818', 'object/tangible/container/food/shared_lunchbox_base.iff');
INSERT INTO `template_items` VALUES ('2819', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_m_s03.iff');
INSERT INTO `template_items` VALUES ('2820', 'object/tangible/mission/quest_item/shared_wald_q4_needed.iff');
INSERT INTO `template_items` VALUES ('2821', 'object/tangible/mission/quest_item/shared_kormund_thrylle_q1_needed.iff');
INSERT INTO `template_items` VALUES ('2822', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff');
INSERT INTO `template_items` VALUES ('2823', 'object/tangible/medicine/crafted/shared_medpack_disease_area_focus_c.iff');
INSERT INTO `template_items` VALUES ('2824', 'object/tangible/component/bio/shared_bio_component_food_light_quantity.iff');
INSERT INTO `template_items` VALUES ('2825', 'object/tangible/wearables/skirt/shared_singing_mountain_clan_skirt_s02.iff');
INSERT INTO `template_items` VALUES ('2826', 'object/tangible/loot/quest/shared_2h_sword_scythe_schematic.iff');
INSERT INTO `template_items` VALUES ('2827', 'object/tangible/lair/gualama/shared_lair_gualama.iff');
INSERT INTO `template_items` VALUES ('2828', 'object/tangible/ship/components/armor/shared_arm_sorosuub_enhanced_advanced_plastisteel.iff');
INSERT INTO `template_items` VALUES ('2829', 'object/tangible/lair/squill/shared_lair_squill.iff');
INSERT INTO `template_items` VALUES ('2830', 'object/tangible/beta/shared_beta_terminal_resource.iff');
INSERT INTO `template_items` VALUES ('2831', 'object/tangible/hair/twilek/shared_hair_twilek_female_s07.iff');
INSERT INTO `template_items` VALUES ('2832', 'object/tangible/mission/quest_item/shared_brennis_doore_q3_needed.iff');
INSERT INTO `template_items` VALUES ('2833', 'object/tangible/painting/shared_painting_trees_s01.iff');
INSERT INTO `template_items` VALUES ('2834', 'object/tangible/mission/quest_item/shared_hagrin_zeed_q1_needed.iff');
INSERT INTO `template_items` VALUES ('2835', 'object/tangible/ship/components/booster/shared_booster_test.iff');
INSERT INTO `template_items` VALUES ('2836', 'object/tangible/instrument/shared_mandoviol.iff');
INSERT INTO `template_items` VALUES ('2837', 'object/tangible/mission/quest_item/shared_morag_q2_needed.iff');
INSERT INTO `template_items` VALUES ('2838', 'object/tangible/sign/municipal/shared_municipal_sign_hanging_combat.iff');
INSERT INTO `template_items` VALUES ('2839', 'object/tangible/lair/remmer/shared_lair_remmer_grassland.iff');
INSERT INTO `template_items` VALUES ('2840', 'object/tangible/medicine/crafted/shared_medpack_wound_quickness_b.iff');
INSERT INTO `template_items` VALUES ('2841', 'object/tangible/lair/narglatch/shared_lair_narglatch.iff');
INSERT INTO `template_items` VALUES ('2842', 'object/tangible/wearables/shirt/shared_shirt_s27.iff');
INSERT INTO `template_items` VALUES ('2843', 'object/tangible/ship/components/weapon/shared_wpn_bwing_blaster.iff');
INSERT INTO `template_items` VALUES ('2844', 'object/tangible/wearables/pants/shared_pants_s09.iff');
INSERT INTO `template_items` VALUES ('2845', 'object/tangible/lair/horned_rasp/shared_lair_horned_rasp_grassland.iff');
INSERT INTO `template_items` VALUES ('2846', 'object/tangible/deed/pet_deed/shared_bocatt_deed.iff');
INSERT INTO `template_items` VALUES ('2847', 'object/tangible/painting/shared_painting_tato_s04.iff');
INSERT INTO `template_items` VALUES ('2848', 'object/tangible/inventory/shared_creature_inventory_3.iff');
INSERT INTO `template_items` VALUES ('2849', 'object/tangible/fishing/fish/shared_ray.iff');
INSERT INTO `template_items` VALUES ('2850', 'object/tangible/medicine/pet/shared_pet_stimpack_a.iff');
INSERT INTO `template_items` VALUES ('2851', 'object/tangible/lair/base/shared_poi_all_lair_insecthill_large_fog_green.iff');
INSERT INTO `template_items` VALUES ('2852', 'object/tangible/component/droid/shared_crafting_module_space.iff');
INSERT INTO `template_items` VALUES ('2853', 'object/tangible/item/quest/force_sensitive/shared_fs_craft_puzzle_config_processor.iff');
INSERT INTO `template_items` VALUES ('2854', 'object/tangible/beta/shared_beta_terminal_money.iff');
INSERT INTO `template_items` VALUES ('2855', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_seismic_missile_mk1.iff');
INSERT INTO `template_items` VALUES ('2856', 'object/tangible/mission/quest_item/shared_rakir_banai_q4_needed.iff');
INSERT INTO `template_items` VALUES ('2857', 'object/tangible/furniture/all/shared_frn_all_lamp_candlestick_tbl_s03.iff');
INSERT INTO `template_items` VALUES ('2858', 'object/tangible/ship/crafted/shields/shared_shield_intensifier_mk4.iff');
INSERT INTO `template_items` VALUES ('2859', 'object/tangible/mission/quest_item/shared_pooja_naberrie_q5_needed.iff');
INSERT INTO `template_items` VALUES ('2860', 'object/tangible/component/vehicle/shared_hvy_blaster_power_handler.iff');
INSERT INTO `template_items` VALUES ('2861', 'object/tangible/medicine/crafted/shared_medpack_poison_action_a.iff');
INSERT INTO `template_items` VALUES ('2862', 'object/tangible/food/crafted/shared_dessert_ryshcate.iff');
INSERT INTO `template_items` VALUES ('2863', 'object/tangible/furniture/tatooine/shared_frn_tato_vase_style_02.iff');
INSERT INTO `template_items` VALUES ('2864', 'object/tangible/loot/dungeon/corellian_corvette/shared_imperial_rescue_intel.iff');
INSERT INTO `template_items` VALUES ('2865', 'object/tangible/lair/bark_mite/shared_lair_bark_mite_hills.iff');
INSERT INTO `template_items` VALUES ('2866', 'object/tangible/component/bio/shared_bio_component_clothing_field_bleeding_2.iff');
INSERT INTO `template_items` VALUES ('2867', 'object/tangible/furniture/all/shared_frn_bench_generic.iff');
INSERT INTO `template_items` VALUES ('2868', 'object/tangible/ship/components/reactor/shared_rct_sfs_elite.iff');
INSERT INTO `template_items` VALUES ('2869', 'object/tangible/ship/components/armor/shared_arm_mandal_double_insulated_i7.iff');
INSERT INTO `template_items` VALUES ('2870', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s01_lit.iff');
INSERT INTO `template_items` VALUES ('2871', 'object/tangible/food/shared_fruit_melon.iff');
INSERT INTO `template_items` VALUES ('2872', 'object/tangible/lair/base/shared_objective_banner_generic_1.iff');
INSERT INTO `template_items` VALUES ('2873', 'object/tangible/ship/components/shield_generator/shared_shd_incom_rayshield_x12.iff');
INSERT INTO `template_items` VALUES ('2874', 'object/tangible/furniture/all/shared_frn_all_command_console.iff');
INSERT INTO `template_items` VALUES ('2875', 'object/tangible/ship/crafted/weapon/shared_shield_effectiveness_intensifier_mk1.iff');
INSERT INTO `template_items` VALUES ('2876', 'object/tangible/wearables/necklace/shared_necklace_s09.iff');
INSERT INTO `template_items` VALUES ('2877', 'object/tangible/ship/attachment/hangar/shared_star_destroyer_hangar.iff');
INSERT INTO `template_items` VALUES ('2878', 'object/tangible/encoded_disk/shared_encoded_disk_base.iff');
INSERT INTO `template_items` VALUES ('2879', 'object/tangible/hair/human/shared_hair_human_female_s23.iff');
INSERT INTO `template_items` VALUES ('2880', 'object/tangible/wearables/backpack/shared_singing_mountain_clan_backpack.iff');
INSERT INTO `template_items` VALUES ('2881', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_female_s04.iff');
INSERT INTO `template_items` VALUES ('2882', 'object/tangible/wearables/base/shared_base_jewelry_set.iff');
INSERT INTO `template_items` VALUES ('2883', 'object/tangible/deed/factory_deed/shared_factory_clothing_deed.iff');
INSERT INTO `template_items` VALUES ('2884', 'object/tangible/lair/choku/shared_lair_choku_jungle.iff');
INSERT INTO `template_items` VALUES ('2885', 'object/tangible/fishing/shared_fishing_pole.iff');
INSERT INTO `template_items` VALUES ('2886', 'object/tangible/wearables/armor/ris/shared_armor_ris_chest_plate.iff');
INSERT INTO `template_items` VALUES ('2887', 'object/tangible/ship/components/booster/shared_bst_koensayr_modified_heavy.iff');
INSERT INTO `template_items` VALUES ('2888', 'object/tangible/medicine/crafted/shared_medpack_enhance_quickness_b.iff');
INSERT INTO `template_items` VALUES ('2889', 'object/tangible/hopper/crafting_station_hopper/shared_crafting_station_ingredient_hopper_medium.iff');
INSERT INTO `template_items` VALUES ('2890', 'object/tangible/furniture/elegant/shared_bookcase_s01.iff');
INSERT INTO `template_items` VALUES ('2891', 'object/tangible/painting/shared_painting_kite_plant.iff');
INSERT INTO `template_items` VALUES ('2892', 'object/tangible/ship/components/weapon_capacitor/shared_cap_z95_basic.iff');
INSERT INTO `template_items` VALUES ('2893', 'object/tangible/loot/quest/shared_schematic_apron_s01_quest.iff');
INSERT INTO `template_items` VALUES ('2894', 'object/tangible/wearables/jacket/shared_jacket_s06.iff');
INSERT INTO `template_items` VALUES ('2895', 'object/tangible/lair/base/shared_poi_all_lair_nest_small_fog_mustard.iff');
INSERT INTO `template_items` VALUES ('2896', 'object/tangible/loot/misc/shared_briefcase_s01.iff');
INSERT INTO `template_items` VALUES ('2897', 'object/tangible/ship/components/weapon_capacitor/shared_cap_sorosuub_premium_dynamo_mk2.iff');
INSERT INTO `template_items` VALUES ('2898', 'object/tangible/medicine/shared_medpack_enhance_strength.iff');
INSERT INTO `template_items` VALUES ('2899', 'object/tangible/ship/components/engine/shared_xwing_engine_s01_test.iff');
INSERT INTO `template_items` VALUES ('2900', 'object/tangible/loot/loot_schematic/shared_cantina_chair_schematic.iff');
INSERT INTO `template_items` VALUES ('2901', 'object/tangible/deed/pet_deed/shared_deed_surgical_advanced_basic.iff');
INSERT INTO `template_items` VALUES ('2902', 'object/tangible/ship/components/weapon/shared_wpn_armek_sw7.iff');
INSERT INTO `template_items` VALUES ('2903', 'object/tangible/lair/malkloc/shared_lair_malkloc.iff');
INSERT INTO `template_items` VALUES ('2904', 'object/tangible/furniture/jedi/shared_frn_all_light_chair_s02.iff');
INSERT INTO `template_items` VALUES ('2905', 'object/tangible/deed/faction_perk/turret/base/shared_faction_turret_deed.iff');
INSERT INTO `template_items` VALUES ('2906', 'object/tangible/lair/base/shared_poi_all_lair_thicket_large.iff');
INSERT INTO `template_items` VALUES ('2907', 'object/tangible/medicine/crafted/shared_medpack_cure_poison_b.iff');
INSERT INTO `template_items` VALUES ('2908', 'object/tangible/ship/crafted/capacitor/shared_extended_life_battery_mk5.iff');
INSERT INTO `template_items` VALUES ('2909', 'object/tangible/ship/components/engine/shared_eng_reward_novaldex_elite.iff');
INSERT INTO `template_items` VALUES ('2910', 'object/tangible/ship/attachment/weapon/shared_blacksun_medium_weapon1_s04.iff');
INSERT INTO `template_items` VALUES ('2911', 'object/tangible/hair/sullustan/shared_sul_hair_s11_m.iff');
INSERT INTO `template_items` VALUES ('2912', 'object/tangible/furniture/modern/shared_armoire_modern_style_01.iff');
INSERT INTO `template_items` VALUES ('2913', 'object/tangible/medicine/crafted/shared_medpack_wound_health_a.iff');
INSERT INTO `template_items` VALUES ('2914', 'object/tangible/wearables/shirt/shared_aakuan_shirt.iff');
INSERT INTO `template_items` VALUES ('2915', 'object/tangible/deed/event_perk/shared_pavillion_2_static_deed.iff');
INSERT INTO `template_items` VALUES ('2916', 'object/tangible/ship/crafted/droid_interface/shared_maintenance_reduction_kit_mk4.iff');
INSERT INTO `template_items` VALUES ('2917', 'object/tangible/lair/quenker/shared_lair_quenker.iff');
INSERT INTO `template_items` VALUES ('2918', 'object/tangible/lair/base/shared_poi_all_lair_warren_large_evil_fire_small.iff');
INSERT INTO `template_items` VALUES ('2919', 'object/tangible/ship/crafted/capacitor/shared_quick_recharge_battery_mk1.iff');
INSERT INTO `template_items` VALUES ('2920', 'object/tangible/ship/components/engine/shared_eng_mission_reward_neutral_haor_chall_military.iff');
INSERT INTO `template_items` VALUES ('2921', 'object/tangible/painting/shared_painting_bestine_moncal_eye_01.iff');
INSERT INTO `template_items` VALUES ('2922', 'object/tangible/lair/base/shared_poi_all_lair_rock_shelter_large_evil_fire_small.iff');
INSERT INTO `template_items` VALUES ('2923', 'object/tangible/container/medical/shared_medbag_base.iff');
INSERT INTO `template_items` VALUES ('2924', 'object/tangible/deed/event_perk/shared_shuttle_beacon.iff');
INSERT INTO `template_items` VALUES ('2925', 'object/tangible/ship/components/reactor/shared_rct_seinar_level4.iff');
INSERT INTO `template_items` VALUES ('2926', 'object/tangible/deed/city_deed/shared_cloning_corellia_deed.iff');
INSERT INTO `template_items` VALUES ('2927', 'object/tangible/component/droid/shared_item_storage_module_2.iff');
INSERT INTO `template_items` VALUES ('2928', 'object/tangible/hair/human/shared_hair_human_male_s16.iff');
INSERT INTO `template_items` VALUES ('2929', 'object/tangible/ship/components/shield_generator/shared_shd_mission_reward_rebel_taim_military_grade.iff');
INSERT INTO `template_items` VALUES ('2930', 'object/tangible/component/food/secrets/shared_secret_rebel_biochem.iff');
INSERT INTO `template_items` VALUES ('2931', 'object/tangible/lair/base/shared_poi_all_lair_brambles_large_fog.iff');
INSERT INTO `template_items` VALUES ('2932', 'object/tangible/wearables/dress/shared_dress_s05.iff');
INSERT INTO `template_items` VALUES ('2933', 'object/tangible/space/story_loot/shared_loot_dantooine_scavengers.iff');
INSERT INTO `template_items` VALUES ('2934', 'object/tangible/ship/components/reactor/shared_rct_armek_phase_grinder.iff');
INSERT INTO `template_items` VALUES ('2935', 'object/tangible/hair/zabrak/base/shared_hair_zabrak_base.iff');
INSERT INTO `template_items` VALUES ('2936', 'object/tangible/wearables/robe/shared_robe_jedi_light_s02.iff');
INSERT INTO `template_items` VALUES ('2937', 'object/tangible/mission/quest_item/shared_brennis_doore_q2_needed.iff');
INSERT INTO `template_items` VALUES ('2938', 'object/tangible/deed/pet_deed/shared_gurnaset_deed.iff');
INSERT INTO `template_items` VALUES ('2939', 'object/tangible/ship/attachment/booster/shared_xwing_booster_s02_pos.iff');
INSERT INTO `template_items` VALUES ('2940', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_m_s03_lg.iff');
INSERT INTO `template_items` VALUES ('2941', 'object/tangible/loot/quest/hero_of_tatooine/shared_mark_honor.iff');
INSERT INTO `template_items` VALUES ('2942', 'object/tangible/loot/loot_schematic/shared_bottle_tall_schematic.iff');
INSERT INTO `template_items` VALUES ('2943', 'object/tangible/deed/pet_deed/shared_deed_le_repair_advanced_basic.iff');
INSERT INTO `template_items` VALUES ('2944', 'object/tangible/loot/tool/shared_taloscope_broken.iff');
INSERT INTO `template_items` VALUES ('2945', 'object/tangible/ship/components/weapon/shared_wpn_seinar_ion_cannon.iff');
INSERT INTO `template_items` VALUES ('2946', 'object/tangible/lair/base/shared_poi_all_lair_rocks_large_fog_red.iff');
INSERT INTO `template_items` VALUES ('2947', 'object/tangible/wearables/base/shared_base_wrist_either.iff');
INSERT INTO `template_items` VALUES ('2948', 'object/tangible/wearables/ithorian/shared_ith_belt_s02.iff');
INSERT INTO `template_items` VALUES ('2949', 'object/tangible/camp/shared_campfire_logs_ash.iff');
INSERT INTO `template_items` VALUES ('2950', 'object/tangible/hair/rodian/shared_hair_rodian_male_s01.iff');
INSERT INTO `template_items` VALUES ('2951', 'object/tangible/painting/shared_painting_palowick_ad_s01.iff');
INSERT INTO `template_items` VALUES ('2952', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_pos_s05_0.iff');
INSERT INTO `template_items` VALUES ('2953', 'object/tangible/deed/event_perk/shared_rebel_4x10_honorguard_deed.iff');
INSERT INTO `template_items` VALUES ('2954', 'object/tangible/space/story_loot/shared_loot_dantooine_mining.iff');
INSERT INTO `template_items` VALUES ('2955', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_neg_s03_1.iff');
INSERT INTO `template_items` VALUES ('2956', 'object/tangible/loot/quest/shared_carved_stone.iff');
INSERT INTO `template_items` VALUES ('2957', 'object/tangible/medicine/pet/shared_pet_vitapack_c.iff');
INSERT INTO `template_items` VALUES ('2958', 'object/tangible/lair/verne/shared_lair_verne.iff');
INSERT INTO `template_items` VALUES ('2959', 'object/tangible/wearables/robe/shared_robe_jedi_dark_s02.iff');
INSERT INTO `template_items` VALUES ('2960', 'object/tangible/component/dna/shared_dna_template_gurrcat.iff');
INSERT INTO `template_items` VALUES ('2961', 'object/tangible/wearables/earring/shared_earring_s05.iff');
INSERT INTO `template_items` VALUES ('2962', 'object/tangible/component/armor/shared_deflector_shield_generator_energy_ray.iff');
INSERT INTO `template_items` VALUES ('2963', 'object/tangible/lair/base/shared_poi_all_lair_thicket_small_evil_fire_red.iff');
INSERT INTO `template_items` VALUES ('2964', 'object/tangible/ship/components/engine/shared_eng_incom_heavy_fusialthrust.iff');
INSERT INTO `template_items` VALUES ('2965', 'object/tangible/lair/base/shared_poi_all_lair_insecthill_large_evil_fire_green.iff');
INSERT INTO `template_items` VALUES ('2966', 'object/tangible/ship/crafted/reactor/shared_reactor_limiter_mk4.iff');
INSERT INTO `template_items` VALUES ('2967', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s07.iff');
INSERT INTO `template_items` VALUES ('2968', 'object/tangible/item/quest/crowd_pleaser/shared_music_reward.iff');
INSERT INTO `template_items` VALUES ('2969', 'object/tangible/component/chemistry/shared_liquid_delivery_suspension_advanced.iff');
INSERT INTO `template_items` VALUES ('2970', 'object/tangible/food/crafted/shared_dish_braised_canron.iff');
INSERT INTO `template_items` VALUES ('2971', 'object/tangible/ship/components/weapon/shared_wpn_mandal_advanced_annihilator.iff');
INSERT INTO `template_items` VALUES ('2972', 'object/tangible/hair/bothan/shared_hair_bothan_female_s03.iff');
INSERT INTO `template_items` VALUES ('2973', 'object/tangible/ship/components/booster/shared_bst_sorosuub_enhanced_liberator_mk4.iff');
INSERT INTO `template_items` VALUES ('2974', 'object/tangible/lair/mott/shared_lair_mott.iff');
INSERT INTO `template_items` VALUES ('2975', 'object/tangible/ship/crafted/engine/shared_engine_overdriver_mk4.iff');
INSERT INTO `template_items` VALUES ('2976', 'object/tangible/lair/base/shared_poi_all_lair_nest_large_evil_fire_green.iff');
INSERT INTO `template_items` VALUES ('2977', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_launcher_spacebomb_mk2.iff');
INSERT INTO `template_items` VALUES ('2978', 'object/tangible/lair/nuna/shared_lair_nuna.iff');
INSERT INTO `template_items` VALUES ('2979', 'object/tangible/component/chemistry/shared_release_mechanism_duration.iff');
INSERT INTO `template_items` VALUES ('2980', 'object/tangible/furniture/modern/shared_rug_rnd_sml_s01.iff');
INSERT INTO `template_items` VALUES ('2981', 'object/tangible/deed/pet_deed/shared_roba_deed.iff');
INSERT INTO `template_items` VALUES ('2982', 'object/tangible/ship/crafted/weapon/missile/shared_weapon_chaff_pack.iff');
INSERT INTO `template_items` VALUES ('2983', 'object/tangible/ship/components/shield_generator/shared_shd_seinar_gx7.iff');
INSERT INTO `template_items` VALUES ('2984', 'object/tangible/component/armor/shared_heavy_armor_layer_acid.iff');
INSERT INTO `template_items` VALUES ('2985', 'object/tangible/lair/purbole/shared_lair_purbole.iff');
INSERT INTO `template_items` VALUES ('2986', 'object/tangible/ship/components/chassis/shared_blacksun_medium_s04_chassis_token.iff');
INSERT INTO `template_items` VALUES ('2987', 'object/tangible/component/dna/shared_dna_template_carrion_spat.iff');
INSERT INTO `template_items` VALUES ('2988', 'object/tangible/mission/quest_item/shared_warren_core_control_rod_s01.iff');
INSERT INTO `template_items` VALUES ('2989', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff');
INSERT INTO `template_items` VALUES ('2990', 'object/tangible/wearables/bandolier/shared_bandolier_s02_quest.iff');
INSERT INTO `template_items` VALUES ('2991', 'object/tangible/ship/components/weapon_capacitor/shared_cap_mandal_powermaster_mk3.iff');
INSERT INTO `template_items` VALUES ('2992', 'object/tangible/ship/components/booster/shared_bst_kse_deluxe_bti3.iff');
INSERT INTO `template_items` VALUES ('2993', 'object/tangible/ship/components/engine/shared_eng_mandal_elite.iff');
INSERT INTO `template_items` VALUES ('2994', 'object/tangible/food/spice/shared_spice_giggledust.iff');
INSERT INTO `template_items` VALUES ('2995', 'object/tangible/component/droid/repair/shared_unit_delivery_cartridge_advanced.iff');
INSERT INTO `template_items` VALUES ('2996', 'object/tangible/ship/components/engine/shared_eng_kse_improved_a2x.iff');
INSERT INTO `template_items` VALUES ('2997', 'object/tangible/ship/components/weapon/shared_wpn_taim_kx8.iff');
INSERT INTO `template_items` VALUES ('2998', 'object/tangible/lair/graul/shared_lair_graul.iff');
INSERT INTO `template_items` VALUES ('2999', 'object/tangible/wearables/base/shared_base_dress_poofysleeve_lower.iff');
INSERT INTO `template_items` VALUES ('3000', 'object/tangible/ship/components/armor/shared_arm_moncal_supreme_weave.iff');
INSERT INTO `template_items` VALUES ('3001', 'object/tangible/lair/corellian_butterfly/shared_lair_corellian_butterfly_forest.iff');
INSERT INTO `template_items` VALUES ('3002', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_concussion_missile_mk2.iff');
INSERT INTO `template_items` VALUES ('3003', 'object/tangible/droid/shared_navicomputer_1.iff');
INSERT INTO `template_items` VALUES ('3004', 'object/tangible/lair/voritor_lizard/shared_lair_voritor_lizard_mountain.iff');
INSERT INTO `template_items` VALUES ('3005', 'object/tangible/loot/quest/shared_victor_questp_receipt.iff');
INSERT INTO `template_items` VALUES ('3006', 'object/tangible/loot/quest/shared_victor_campaign_disk.iff');
INSERT INTO `template_items` VALUES ('3007', 'object/tangible/lair/base/shared_poi_all_lair_insecthill_small_evil_fire_green.iff');
INSERT INTO `template_items` VALUES ('3008', 'object/tangible/furniture/all/shared_event_flag_game_neut_banner.iff');
INSERT INTO `template_items` VALUES ('3009', 'object/tangible/theme_park/alderaan/act2/shared_relay_station_terminal.iff');
INSERT INTO `template_items` VALUES ('3010', 'object/tangible/deed/event_perk/shared_naboo_gazebo_static_deed.iff');
INSERT INTO `template_items` VALUES ('3011', 'object/tangible/ship/attachment/weapon/shared_corellian_corvette_turret_large_base_s01.iff');
INSERT INTO `template_items` VALUES ('3012', 'object/tangible/powerup/weapon/shared_melee_lightsaber.iff');
INSERT INTO `template_items` VALUES ('3013', 'object/tangible/ship/crafted/weapon/shared_quick_shot_upgrade_mk5.iff');
INSERT INTO `template_items` VALUES ('3014', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon2_s06.iff');
INSERT INTO `template_items` VALUES ('3015', 'object/tangible/deed/vehicle_deed/shared_speederbike_flash_deed.iff');
INSERT INTO `template_items` VALUES ('3016', 'object/tangible/mission/quest_item/shared_brass_marshoo_q1_needed.iff');
INSERT INTO `template_items` VALUES ('3017', 'object/tangible/loot/loot_schematic/shared_flora_recycler_schematic.iff');
INSERT INTO `template_items` VALUES ('3018', 'object/tangible/ship/components/reactor/shared_rct_sds_imperial_1.iff');
INSERT INTO `template_items` VALUES ('3019', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_female_s14.iff');
INSERT INTO `template_items` VALUES ('3020', 'object/tangible/ship/components/chassis/shared_tiefighter_chassis_token.iff');
INSERT INTO `template_items` VALUES ('3021', 'object/tangible/bank/shared_character_bank.iff');
INSERT INTO `template_items` VALUES ('3022', 'object/tangible/component/bio/shared_bio_component_clothing_field_camo_2.iff');
INSERT INTO `template_items` VALUES ('3023', 'object/tangible/ship/attachment/weapon/shared_ywing_weapon1_s05.iff');
INSERT INTO `template_items` VALUES ('3024', 'object/tangible/loot/misc/shared_ticket_collectors_item_s01.iff');
INSERT INTO `template_items` VALUES ('3025', 'object/tangible/component/weapon/lightsaber/shared_lightsaber_lance_module_force_crystal.iff');
INSERT INTO `template_items` VALUES ('3026', 'object/tangible/furniture/modern/shared_love_seat_modern_style_01.iff');
INSERT INTO `template_items` VALUES ('3027', 'object/tangible/lair/kimogila/shared_lair_kimogila.iff');
INSERT INTO `template_items` VALUES ('3028', 'object/tangible/lair/base/shared_poi_all_lair_nest_small_evil_fire_green.iff');
INSERT INTO `template_items` VALUES ('3029', 'object/tangible/ship/components/shield_generator/shared_shd_incom_techscreen_2.iff');
INSERT INTO `template_items` VALUES ('3030', 'object/tangible/loot/collectible/collectible_parts/shared_fs_tracking_device_assembly_bracket_02.iff');
INSERT INTO `template_items` VALUES ('3031', 'object/tangible/loot/quest/force_sensitive/sharred_waypoint_datapad.iff');
INSERT INTO `template_items` VALUES ('3032', 'object/tangible/ship/crafted/reactor/shared_basic_reactor.iff');
INSERT INTO `template_items` VALUES ('3033', 'object/tangible/ship/crafted/droid_interface/shared_ddi_mk5.iff');
INSERT INTO `template_items` VALUES ('3034', 'object/tangible/wearables/ithorian/shared_ith_hat_s02.iff');
INSERT INTO `template_items` VALUES ('3035', 'object/tangible/mission/quest_item/shared_mat_rags_q3_needed.iff');
INSERT INTO `template_items` VALUES ('3036', 'object/tangible/wearables/vest/shared_vest_s09.iff');
INSERT INTO `template_items` VALUES ('3037', 'object/tangible/food/crafted/shared_dish_ramorrean_capanata.iff');
INSERT INTO `template_items` VALUES ('3038', 'object/tangible/component/droid/shared_medic_module_3.iff');
INSERT INTO `template_items` VALUES ('3039', 'object/tangible/ship/components/weapon/shared_wpn_prototype_weapon.iff');
INSERT INTO `template_items` VALUES ('3040', 'object/tangible/lair/gurk/shared_lair_gurk_wasteland.iff');
INSERT INTO `template_items` VALUES ('3041', 'object/tangible/wearables/base/shared_base_sleeve_both.iff');
INSERT INTO `template_items` VALUES ('3042', 'object/tangible/mission/quest_item/shared_wald_q1_needed.iff');
INSERT INTO `template_items` VALUES ('3043', 'object/tangible/furniture/jedi/shared_frn_all_table_light_01.iff');
INSERT INTO `template_items` VALUES ('3044', 'object/tangible/ship/attachment/booster/shared_blacksun_light_booster_s01.iff');
INSERT INTO `template_items` VALUES ('3045', 'object/tangible/fishing/bait/shared_bait_chum.iff');
INSERT INTO `template_items` VALUES ('3046', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_male_s05.iff');
INSERT INTO `template_items` VALUES ('3047', 'object/tangible/wearables/boots/shared_boots_s03.iff');
INSERT INTO `template_items` VALUES ('3048', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff');
INSERT INTO `template_items` VALUES ('3049', 'object/tangible/ship/components/weapon_capacitor/shared_cap_qualdex_conservator_qx3.iff');
INSERT INTO `template_items` VALUES ('3050', 'object/tangible/wearables/helmet/shared_helmet_fighter_privateer_ace.iff');
INSERT INTO `template_items` VALUES ('3051', 'object/tangible/mission/quest_item/shared_ging_darjeek_q1_needed.iff');
INSERT INTO `template_items` VALUES ('3052', 'object/tangible/furniture/tatooine/shared_frn_tatt_cantina_droid_detector.iff');
INSERT INTO `template_items` VALUES ('3053', 'object/tangible/ship/components/chassis/shared_blacksun_light_s03_chassis_token.iff');
INSERT INTO `template_items` VALUES ('3054', 'object/tangible/deed/pet_deed/shared_gurrcat_deed.iff');
INSERT INTO `template_items` VALUES ('3055', 'object/tangible/deed/player_house_deed/shared_generic_house_small_style_02_floor_02_deed.iff');
INSERT INTO `template_items` VALUES ('3056', 'object/tangible/ship/components/engine/shared_eng_reward_incom_elite.iff');
INSERT INTO `template_items` VALUES ('3057', 'object/tangible/wearables/armor/ubese/shared_armor_ubese_helmet_quest.iff');
INSERT INTO `template_items` VALUES ('3058', 'object/tangible/veteran_reward/shared_frn_vet_tie_fighter_toy.iff');
INSERT INTO `template_items` VALUES ('3059', 'object/tangible/wearables/ithorian/shared_ith_skirt_s01.iff');
INSERT INTO `template_items` VALUES ('3060', 'object/tangible/furniture/imperial/shared_warren_experiment_terminal.iff');
INSERT INTO `template_items` VALUES ('3061', 'object/tangible/wearables/armor/stormtrooper/shared_armor_stormtrooper_gloves.iff');
INSERT INTO `template_items` VALUES ('3062', 'object/tangible/crafting/station/shared_public_weapon_station.iff');
INSERT INTO `template_items` VALUES ('3063', 'object/tangible/ship/attachment/booster/shared_yt1300_booster_s01.iff');
INSERT INTO `template_items` VALUES ('3064', 'object/tangible/bug_jar/shared_sample_flies.iff');
INSERT INTO `template_items` VALUES ('3065', 'object/tangible/food/crafted/shared_dessert_dweezel.iff');
INSERT INTO `template_items` VALUES ('3066', 'object/tangible/ship/crafted/engine/shared_engine_novaldex_eventhorizon.iff');
INSERT INTO `template_items` VALUES ('3067', 'object/tangible/mission/quest_item/shared_singular_nak_q1_needed.iff');
INSERT INTO `template_items` VALUES ('3068', 'object/tangible/wearables/ithorian/shared_ith_shirt_s08.iff');
INSERT INTO `template_items` VALUES ('3069', 'object/tangible/furniture/decorative/shared_radio.iff');
INSERT INTO `template_items` VALUES ('3070', 'object/tangible/medicine/shared_medpack_cure_poison.iff');
INSERT INTO `template_items` VALUES ('3071', 'object/tangible/mission/quest_item/shared_warren_inquisitor_letter.iff');
INSERT INTO `template_items` VALUES ('3072', 'object/tangible/loot/bestine/shared_bestine_painting_schematic_moncal_eye_02.iff');
INSERT INTO `template_items` VALUES ('3073', 'object/tangible/ship/crafted/shields/shared_shield_energy_saver_kit_mk1.iff');
INSERT INTO `template_items` VALUES ('3074', 'object/tangible/loot/misc/shared_mystical_powered_orb.iff');
INSERT INTO `template_items` VALUES ('3075', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_missile_pod_s02.iff');
INSERT INTO `template_items` VALUES ('3076', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s07.iff');
INSERT INTO `template_items` VALUES ('3077', 'object/tangible/ship/attachment/wing/shared_hutt_heavy_wing_s02.iff');
INSERT INTO `template_items` VALUES ('3078', 'object/tangible/hair/rodian/shared_hair_rodian_female_s01.iff');
INSERT INTO `template_items` VALUES ('3079', 'object/tangible/lair/base/shared_poi_all_lair_rock_shelter_small_evil_fire_small.iff');
INSERT INTO `template_items` VALUES ('3080', 'object/tangible/deed/event_perk/shared_wedding_garden_rebel_large_theater_deed.iff');
INSERT INTO `template_items` VALUES ('3081', 'object/tangible/component/armor/shared_armor_segment_bone_donkuwah.iff');
INSERT INTO `template_items` VALUES ('3082', 'object/tangible/component/droid/shared_armor_module_5.iff');
INSERT INTO `template_items` VALUES ('3083', 'object/tangible/lair/base/shared_poi_all_lair_warren_small_evil_fire_small.iff');
INSERT INTO `template_items` VALUES ('3084', 'object/tangible/lair/base/shared_lair_base_nest_ground_lg_light.iff');
INSERT INTO `template_items` VALUES ('3085', 'object/tangible/ship/attachment/engine/shared_blacksun_light_engine_s02.iff');
INSERT INTO `template_items` VALUES ('3086', 'object/tangible/ship/components/shield_generator/shared_shd_reward_taim_elite.iff');
INSERT INTO `template_items` VALUES ('3087', 'object/tangible/lair/shared_npc_lair.iff');
INSERT INTO `template_items` VALUES ('3088', 'object/tangible/ship/components/booster/shared_bst_kse_bti2.iff');
INSERT INTO `template_items` VALUES ('3089', 'object/tangible/wearables/bandolier/shared_bandolier_s04_quest.iff');
INSERT INTO `template_items` VALUES ('3090', 'object/tangible/datapad/shared_character_datapad.iff');
INSERT INTO `template_items` VALUES ('3091', 'object/tangible/hopper/crafting_station_hopper/shared_crafting_station_ingredient_hopper_large.iff');
INSERT INTO `template_items` VALUES ('3092', 'object/tangible/loot/dungeon/corellian_corvette/shared_bootdisk.iff');
INSERT INTO `template_items` VALUES ('3093', 'object/tangible/ship/components/reactor/shared_reactor_test.iff');
INSERT INTO `template_items` VALUES ('3094', 'object/tangible/wearables/bracelet/shared_bracelet_s05_r.iff');
INSERT INTO `template_items` VALUES ('3095', 'object/tangible/lair/rock_mite/shared_lair_rock_mite_wasteland.iff');
INSERT INTO `template_items` VALUES ('3096', 'object/tangible/deed/event_perk/shared_imperial_4x10_honorguard_deed.iff');
INSERT INTO `template_items` VALUES ('3097', 'object/tangible/ship/components/weapon_capacitor/shared_cap_novaldex_wampa_s2.iff');
INSERT INTO `template_items` VALUES ('3098', 'object/tangible/terminal/shared_terminal_travel.iff');
INSERT INTO `template_items` VALUES ('3099', 'object/tangible/vendor/shared_vendor_terminal_basic.iff');
INSERT INTO `template_items` VALUES ('3100', 'object/tangible/hair/bothan/shared_hair_bothan_female_s13.iff');
INSERT INTO `template_items` VALUES ('3101', 'object/tangible/wearables/base/shared_base_jumpsuit_gloved.iff');
INSERT INTO `template_items` VALUES ('3102', 'object/tangible/furniture/modern/shared_rug_rect_lg_s02.iff');
INSERT INTO `template_items` VALUES ('3103', 'object/tangible/ship/attachment/weapon/shared_kse_firespray_weapon1_s01.iff');
INSERT INTO `template_items` VALUES ('3104', 'object/tangible/ship/crafted/shields/shared_shield_overcharger_mk1.iff');
INSERT INTO `template_items` VALUES ('3105', 'object/tangible/lair/vog_eel/shared_lair_vog_eel_underwater.iff');
INSERT INTO `template_items` VALUES ('3106', 'object/tangible/mission/quest_item/shared_vrir_unglan_q1_needed.iff');
INSERT INTO `template_items` VALUES ('3107', 'object/tangible/food/crafted/shared_dish_terratta.iff');
INSERT INTO `template_items` VALUES ('3108', 'object/tangible/loot/dungeon/geonosian_mad_bunker/shared_relic_gbb_chemical_tab.iff');
INSERT INTO `template_items` VALUES ('3109', 'object/tangible/mission/quest_item/shared_szingo_q1_needed.iff');
INSERT INTO `template_items` VALUES ('3110', 'object/tangible/mission/quest_item/shared_denell_kelvannon_q1_needed.iff');
INSERT INTO `template_items` VALUES ('3111', 'object/tangible/loot/collectible/collectible_parts/shared_fs_tracking_device_case_03.iff');
INSERT INTO `template_items` VALUES ('3112', 'object/tangible/deed/pet_deed/shared_acklay_deed.iff');
INSERT INTO `template_items` VALUES ('3113', 'object/tangible/wearables/belt/shared_belt_s16.iff');
INSERT INTO `template_items` VALUES ('3114', 'object/tangible/lair/huf_dun/shared_lair_huf_dun_grassland.iff');
INSERT INTO `template_items` VALUES ('3115', 'object/tangible/wearables/skirt/shared_skirt_s12.iff');
INSERT INTO `template_items` VALUES ('3116', 'object/tangible/ship/components/booster/shared_bst_mandal_jbj_mk3.iff');
INSERT INTO `template_items` VALUES ('3117', 'object/tangible/ship/crafted/armor/shared_base_armor_subcomponent_mk2.iff');
INSERT INTO `template_items` VALUES ('3118', 'object/tangible/furniture/modern/shared_rug_sqr_m_s01.iff');
INSERT INTO `template_items` VALUES ('3119', 'object/tangible/wearables/pants/shared_pants_s24.iff');
INSERT INTO `template_items` VALUES ('3120', 'object/tangible/mission/quest_item/shared_pooja_naberrie_q1_needed.iff');
INSERT INTO `template_items` VALUES ('3121', 'object/tangible/lair/borgle/shared_lair_borgle_jungle.iff');
INSERT INTO `template_items` VALUES ('3122', 'object/tangible/wearables/armor/chitin/shared_armor_chitin_s01_boots.iff');
INSERT INTO `template_items` VALUES ('3123', 'object/tangible/ship/components/weapon_capacitor/shared_cap_corellian_cruiser_grade_cap5.iff');
INSERT INTO `template_items` VALUES ('3124', 'object/tangible/container/drum/shared_pob_ship_loot_box.iff');
INSERT INTO `template_items` VALUES ('3125', 'object/tangible/skill_buff/shared_skill_buff_twohandmelee_accuracy.iff');
INSERT INTO `template_items` VALUES ('3126', 'object/tangible/wearables/ithorian/shared_ith_pants_s21.iff');
INSERT INTO `template_items` VALUES ('3127', 'object/tangible/component/weapon/shared_scope_weapon_sm_s06.iff');
INSERT INTO `template_items` VALUES ('3128', 'object/tangible/loot/dungeon/geonosian_mad_bunker/shared_relic_gbb_tech_kit.iff');
INSERT INTO `template_items` VALUES ('3129', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_launcher_seismic_mk2.iff');
INSERT INTO `template_items` VALUES ('3130', 'object/tangible/ship/components/weapon/shared_wpn_rendili_advanced.iff');
INSERT INTO `template_items` VALUES ('3131', 'object/tangible/ship/components/weapon/shared_wpn_mandal_super_mangler.iff');
INSERT INTO `template_items` VALUES ('3132', 'object/tangible/mission/quest_item/shared_jazeen_thurmm_q1_needed.iff');
INSERT INTO `template_items` VALUES ('3133', 'object/tangible/deed/city_deed/shared_garden_naboo_sml_04_deed.iff');
INSERT INTO `template_items` VALUES ('3134', 'object/tangible/wearables/ithorian/shared_ith_belt_s12.iff');
INSERT INTO `template_items` VALUES ('3135', 'object/tangible/medicine/crafted/shared_medpack_enhance_health_a.iff');
INSERT INTO `template_items` VALUES ('3136', 'object/tangible/wearables/wookiee/shared_wke_skirt_s02.iff');
INSERT INTO `template_items` VALUES ('3137', 'object/tangible/component/bio/shared_bio_component_clothing_casual_entertainer.iff');
INSERT INTO `template_items` VALUES ('3138', 'object/tangible/gravestone/shared_gravestone04.iff');
INSERT INTO `template_items` VALUES ('3139', 'object/tangible/hair/rodian/shared_hair_rodian_male_s11.iff');
INSERT INTO `template_items` VALUES ('3140', 'object/tangible/ship/components/weapon/shared_wpn_borstel_rg9.iff');
INSERT INTO `template_items` VALUES ('3141', 'object/tangible/medicine/crafted/shared_medpack_enhance_poison_a.iff');
INSERT INTO `template_items` VALUES ('3142', 'object/tangible/wearables/earring/shared_earring_s15.iff');
INSERT INTO `template_items` VALUES ('3143', 'object/tangible/furniture/modern/shared_rug_rnd_m_s01.iff');
INSERT INTO `template_items` VALUES ('3144', 'object/tangible/component/food/base/shared_drink_container_base.iff');
INSERT INTO `template_items` VALUES ('3145', 'object/tangible/sign/player/shared_shop_sign_s03.iff');
INSERT INTO `template_items` VALUES ('3146', 'object/tangible/wearables/bandolier/shared_bandolier_s08.iff');
INSERT INTO `template_items` VALUES ('3147', 'object/tangible/ship/components/weapon_capacitor/shared_cap_subpro_valiant_z1.iff');
INSERT INTO `template_items` VALUES ('3148', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s17.iff');
INSERT INTO `template_items` VALUES ('3149', 'object/tangible/gambling/slot/shared_standard.iff');
INSERT INTO `template_items` VALUES ('3150', 'object/tangible/ship/components/booster/shared_bst_sorosuub_liberator_mk2.iff');
INSERT INTO `template_items` VALUES ('3151', 'object/tangible/space/story_loot/shared_loot_dantooine_warren.iff');
INSERT INTO `template_items` VALUES ('3152', 'object/tangible/ship/components/engine/shared_eng_incom_elite.iff');
INSERT INTO `template_items` VALUES ('3153', 'object/tangible/mission/quest_item/shared_karena_keer_q2_needed.iff');
INSERT INTO `template_items` VALUES ('3154', 'object/tangible/ship/attachment/wing/shared_bwing_wing_r.iff');
INSERT INTO `template_items` VALUES ('3155', 'object/tangible/hair/human/shared_hair_human_male_s06.iff');
INSERT INTO `template_items` VALUES ('3156', 'object/tangible/ship/crafted/booster/shared_booster_mk5.iff');
INSERT INTO `template_items` VALUES ('3157', 'object/tangible/wearables/robe/shared_robe_s01.iff');
INSERT INTO `template_items` VALUES ('3158', 'object/tangible/ship/crafted/capacitor/shared_heavy_battery_mk1.iff');
INSERT INTO `template_items` VALUES ('3159', 'object/tangible/deed/faction_perk/turret/shared_dish_sm_deed.iff');
INSERT INTO `template_items` VALUES ('3160', 'object/tangible/food/foraged/shared_foraged_vegetable_s5.iff');
INSERT INTO `template_items` VALUES ('3161', 'object/tangible/medicine/crafted/shared_medpack_disease_area_action_c.iff');
INSERT INTO `template_items` VALUES ('3162', 'object/tangible/lair/angler/shared_lair_angler.iff');
INSERT INTO `template_items` VALUES ('3163', 'object/tangible/mission/quest_item/shared_mat_rags_q2_needed.iff');
INSERT INTO `template_items` VALUES ('3164', 'object/tangible/deed/event_perk/shared_corsec_4x10_honorguard_deed.iff');
INSERT INTO `template_items` VALUES ('3165', 'object/tangible/terminal/shared_terminal_bank.iff');
INSERT INTO `template_items` VALUES ('3166', 'object/tangible/wearables/dress/shared_dress_s15.iff');
INSERT INTO `template_items` VALUES ('3167', 'object/tangible/speaker/shared_speaker.iff');
INSERT INTO `template_items` VALUES ('3168', 'object/tangible/wearables/armor/kashyyykian_ceremonial/shared_armor_kashyyykian_ceremonial_bracer_r.iff');
INSERT INTO `template_items` VALUES ('3169', 'object/tangible/terminal/shared_terminal_dark_enclave_challenge.iff');
INSERT INTO `template_items` VALUES ('3170', 'object/tangible/camp/shared_campfire_logs_fresh.iff');
INSERT INTO `template_items` VALUES ('3171', 'object/tangible/wearables/shirt/shared_nightsister_shirt_s02.iff');
INSERT INTO `template_items` VALUES ('3172', 'object/tangible/lair/base/shared_poi_all_lair_bones_large_fog_green.iff');
INSERT INTO `template_items` VALUES ('3173', 'object/tangible/loot/simple_kit/shared_wiring_blue.iff');
INSERT INTO `template_items` VALUES ('3174', 'object/tangible/wearables/cyborg/shared_arm_r_s01.iff');
INSERT INTO `template_items` VALUES ('3175', 'object/tangible/furniture/all/shared_frn_all_tree_potted_s1.iff');
INSERT INTO `template_items` VALUES ('3176', 'object/tangible/wearables/armor/mandalorian/shared_armor_mandalorian_leggings.iff');
INSERT INTO `template_items` VALUES ('3177', 'object/tangible/furniture/plain/shared_plain_chair_s01.iff');
INSERT INTO `template_items` VALUES ('3178', 'object/tangible/wearables/base/shared_base_gloves_long.iff');
INSERT INTO `template_items` VALUES ('3179', 'object/tangible/ship/components/booster/shared_xwing_booster_test.iff');
INSERT INTO `template_items` VALUES ('3180', 'object/tangible/wearables/jacket/shared_jacket_s16.iff');
INSERT INTO `template_items` VALUES ('3181', 'object/tangible/deed/city_deed/shared_garden_corellia_sml_05_deed.iff');
INSERT INTO `template_items` VALUES ('3182', 'object/tangible/food/crafted/shared_dessert_cavaellin_creams.iff');
INSERT INTO `template_items` VALUES ('3183', 'object/tangible/component/bio/shared_bio_component_food_heavy_filling.iff');
INSERT INTO `template_items` VALUES ('3184', 'object/tangible/medicine/crafted/shared_medpack_disease_strength_b.iff');
INSERT INTO `template_items` VALUES ('3185', 'object/tangible/food/crafted/shared_drink_breath_of_heaven.iff');
INSERT INTO `template_items` VALUES ('3186', 'object/tangible/medicine/crafted/shared_medpack_damage_a.iff');
INSERT INTO `template_items` VALUES ('3187', 'object/tangible/ship/crafted/armor/shared_base_armor.iff');
INSERT INTO `template_items` VALUES ('3188', 'object/tangible/skill_buff/shared_skill_buff_heavy_weapon_speed.iff');
INSERT INTO `template_items` VALUES ('3189', 'object/tangible/fishing/fish/shared_faa.iff');
INSERT INTO `template_items` VALUES ('3190', 'object/tangible/ship/components/shield_generator/shared_shd_sfs_modified_polyweb_advanced.iff');
INSERT INTO `template_items` VALUES ('3191', 'object/tangible/lair/durni/shared_lair_durni_grassland.iff');
INSERT INTO `template_items` VALUES ('3192', 'object/tangible/ship/components/booster/shared_bst_reward_koensayr_elite.iff');
INSERT INTO `template_items` VALUES ('3193', 'object/tangible/hq_destructible/shared_override_terminal.iff');
INSERT INTO `template_items` VALUES ('3194', 'object/tangible/ship/crafted/armor/shared_experimental_armor.iff');
INSERT INTO `template_items` VALUES ('3195', 'object/tangible/hair/singing_mountain_clan/shared_singing_mountain_clan_bangs_s01.iff');
INSERT INTO `template_items` VALUES ('3196', 'object/tangible/skill_buff/shared_skill_buff_twohandmelee_speed.iff');
INSERT INTO `template_items` VALUES ('3197', 'object/tangible/mission/quest_item/shared_sigrix_slix_q1_needed.iff');
INSERT INTO `template_items` VALUES ('3198', 'object/tangible/spawning/shared_fs_village_npc_spawner.iff');
INSERT INTO `template_items` VALUES ('3199', 'object/tangible/instrument/shared_ommni_box.iff');
INSERT INTO `template_items` VALUES ('3200', 'object/tangible/food/crafted/shared_dessert_bofa_treat.iff');
INSERT INTO `template_items` VALUES ('3201', 'object/tangible/fishing/fish/shared_blowfish.iff');
INSERT INTO `template_items` VALUES ('3202', 'object/tangible/deed/pet_deed/shared_snorbal_deed.iff');
INSERT INTO `template_items` VALUES ('3203', 'object/tangible/hair/human/shared_hair_human_female_s42.iff');
INSERT INTO `template_items` VALUES ('3204', 'object/tangible/wearables/base/shared_base_jumpsuit_longsleeve.iff');
INSERT INTO `template_items` VALUES ('3205', 'object/tangible/ship/attachment/weapon/shared_corellian_corvette_turret_small_s01.iff');
INSERT INTO `template_items` VALUES ('3206', 'object/tangible/ship/components/chassis/shared_blacksun_light_s02_chassis_token.iff');
INSERT INTO `template_items` VALUES ('3207', 'object/tangible/ship/components/engine/shared_eng_sorosuub_tuned_l_337_ion_engine.iff');
INSERT INTO `template_items` VALUES ('3208', 'object/tangible/ship/crafted/shields/shared_deflector_shields.iff');
INSERT INTO `template_items` VALUES ('3209', 'object/tangible/location/base/shared_location_base.iff');
INSERT INTO `template_items` VALUES ('3210', 'object/tangible/dungeon/death_watch_bunker/shared_passkey_hall.iff');
INSERT INTO `template_items` VALUES ('3211', 'object/tangible/ship/components/droid_interface/shared_ddi_seinar_interface_mk1.iff');
INSERT INTO `template_items` VALUES ('3212', 'object/tangible/component/armor/shared_heavy_armor_layer_kinetic.iff');
INSERT INTO `template_items` VALUES ('3213', 'object/tangible/ship/components/weapon_capacitor/shared_cap_koensayr_mk5.iff');
INSERT INTO `template_items` VALUES ('3214', 'object/tangible/lair/structure/interior/shared_lair_cave_giant_interior_graul.iff');
INSERT INTO `template_items` VALUES ('3215', 'object/tangible/wearables/necklace/shared_necklace_s10.iff');
INSERT INTO `template_items` VALUES ('3216', 'object/tangible/wearables/armor/stormtrooper/shared_armor_stormtrooper_boots.iff');
INSERT INTO `template_items` VALUES ('3217', 'object/tangible/lair/chuba/shared_lair_chuba_forest.iff');
INSERT INTO `template_items` VALUES ('3218', 'object/tangible/ship/crafted/engine/shared_base_engine_subcomponent_mk1.iff');
INSERT INTO `template_items` VALUES ('3219', 'object/tangible/deed/event_perk/shared_banner_style_2_static_deed.iff');
INSERT INTO `template_items` VALUES ('3220', 'object/tangible/ship/components/chassis/shared_hutt_medium_s02_chassis_token.iff');
INSERT INTO `template_items` VALUES ('3221', 'object/tangible/ship/crafted/weapon/shared_wpn_heavy_ioncannon.iff');
INSERT INTO `template_items` VALUES ('3222', 'object/tangible/medicine/crafted/shared_medpack_wound_strength_d.iff');
INSERT INTO `template_items` VALUES ('3223', 'object/tangible/wearables/ithorian/shared_ith_pants_s15.iff');
INSERT INTO `template_items` VALUES ('3224', 'object/tangible/ship/crafted/capacitor/shared_base_capacitor_subcomponent_mk5.iff');
INSERT INTO `template_items` VALUES ('3225', 'object/tangible/ship/crafted/chassis/shared_blacksun_heavy_s01_deed.iff');
INSERT INTO `template_items` VALUES ('3226', 'object/tangible/loot/loot_schematic/shared_streetlamp_schematic.iff');
INSERT INTO `template_items` VALUES ('3227', 'object/tangible/instrument/shared_fanfar.iff');
INSERT INTO `template_items` VALUES ('3228', 'object/tangible/ship/crafted/reactor/shared_base_reactor_subcomponent_mk3.iff');
INSERT INTO `template_items` VALUES ('3229', 'object/tangible/wearables/base/shared_base_helmet_open.iff');
INSERT INTO `template_items` VALUES ('3230', 'object/tangible/ship/components/engine/shared_eng_rss_elite.iff');
INSERT INTO `template_items` VALUES ('3231', 'object/tangible/mission/quest_item/shared_brass_marshoo_q2_needed.iff');
INSERT INTO `template_items` VALUES ('3232', 'object/tangible/ship/components/shield_generator/shared_shd_reward_incom_elite.iff');
INSERT INTO `template_items` VALUES ('3233', 'object/tangible/lair/kima/shared_lair_kima_grassland.iff');
INSERT INTO `template_items` VALUES ('3234', 'object/tangible/deed/city_deed/shared_garden_corellia_sml_03_deed.iff');
INSERT INTO `template_items` VALUES ('3235', 'object/tangible/furniture/technical/shared_coffee_table_s01.iff');
INSERT INTO `template_items` VALUES ('3236', 'object/tangible/medicine/crafted/shared_medpack_enhance_strength_a.iff');
INSERT INTO `template_items` VALUES ('3237', 'object/tangible/component/structure/shared_manufacturing_mechanism.iff');
INSERT INTO `template_items` VALUES ('3238', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon3_s01.iff');
INSERT INTO `template_items` VALUES ('3239', 'object/tangible/loot/collectible/collectible_parts/shared_light_table_structure_02.iff');
INSERT INTO `template_items` VALUES ('3240', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_launcher_concussion_mk2.iff');
INSERT INTO `template_items` VALUES ('3241', 'object/tangible/medicine/pet/shared_droid_stimpack_c.iff');
INSERT INTO `template_items` VALUES ('3242', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s02_lit.iff');
INSERT INTO `template_items` VALUES ('3243', 'object/tangible/wearables/pants/shared_pants_s10.iff');
INSERT INTO `template_items` VALUES ('3244', 'object/tangible/component/vehicle/shared_launcher.iff');
INSERT INTO `template_items` VALUES ('3245', 'object/tangible/mission/quest_item/shared_radlee_mathiss_q1_needed.iff');
INSERT INTO `template_items` VALUES ('3246', 'object/tangible/food/crafted/shared_dish_puk.iff');
INSERT INTO `template_items` VALUES ('3247', 'object/tangible/component/armor/shared_armor_segment_chitin_kliknick_adv.iff');
INSERT INTO `template_items` VALUES ('3248', 'object/tangible/ship/crafted/capacitor/shared_capacitor_mk4.iff');
INSERT INTO `template_items` VALUES ('3249', 'object/tangible/mission/quest_item/shared_wald_q2_needed.iff');
INSERT INTO `template_items` VALUES ('3250', 'object/tangible/ship/crafted/engine/shared_adv_fuel_regulation.iff');
INSERT INTO `template_items` VALUES ('3251', 'object/tangible/wearables/ithorian/shared_ith_jacket_s07.iff');
INSERT INTO `template_items` VALUES ('3252', 'object/tangible/hopper/manufacturing_facility_hopper/shared_manufacture_installation_ingredient_hopper_small.iff');
INSERT INTO `template_items` VALUES ('3253', 'object/tangible/ship/components/weapon_capacitor/shared_cap_z95_deepwell_experimental.iff');
INSERT INTO `template_items` VALUES ('3254', 'object/tangible/sign/municipal/shared_municipal_sign_hanging_parking.iff');
INSERT INTO `template_items` VALUES ('3255', 'object/tangible/wearables/robe/shared_robe_jedi_test.iff');
INSERT INTO `template_items` VALUES ('3256', 'object/tangible/loot/quest/force_sensitive/sharred_force_crystal.iff');
INSERT INTO `template_items` VALUES ('3257', 'object/tangible/medicine/shared_medpack_wound_strength.iff');
INSERT INTO `template_items` VALUES ('3258', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon3_s02.iff');
INSERT INTO `template_items` VALUES ('3259', 'object/tangible/ship/components/reactor/shared_rct_mandalor_gorax.iff');
INSERT INTO `template_items` VALUES ('3260', 'object/tangible/furniture/city/shared_streetlamp_large_01.iff');
INSERT INTO `template_items` VALUES ('3261', 'object/tangible/component/armor/shared_armor_segment_padded_dune_lizard.iff');
INSERT INTO `template_items` VALUES ('3262', 'object/tangible/ship/components/reactor/shared_rct_z95_basic.iff');
INSERT INTO `template_items` VALUES ('3263', 'object/tangible/wearables/ithorian/shared_ith_shirt_s01.iff');
INSERT INTO `template_items` VALUES ('3264', 'object/tangible/lair/womp_rat/shared_lair_womp_rat.iff');
INSERT INTO `template_items` VALUES ('3265', 'object/tangible/ship/attachment/booster/shared_hutt_heavy_booster_s02.iff');
INSERT INTO `template_items` VALUES ('3266', 'object/tangible/wearables/hat/shared_nightsister_hat_s03.iff');
INSERT INTO `template_items` VALUES ('3267', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon2l_s03.iff');
INSERT INTO `template_items` VALUES ('3268', 'object/tangible/ship/attachment/engine/shared_hutt_heavy_engine_s01.iff');
INSERT INTO `template_items` VALUES ('3269', 'object/tangible/wearables/base/shared_base_cloak.iff');
INSERT INTO `template_items` VALUES ('3270', 'object/tangible/furniture/plain/shared_plain_coffee_table_s01.iff');
INSERT INTO `template_items` VALUES ('3271', 'object/tangible/wearables/jacket/shared_jacket_s22.iff');
INSERT INTO `template_items` VALUES ('3272', 'object/tangible/ship/components/reactor/shared_rct_rendili_type5.iff');
INSERT INTO `template_items` VALUES ('3273', 'object/tangible/deed/pet_deed/shared_deed_binary_load_lifter_advanced_basic.iff');
INSERT INTO `template_items` VALUES ('3274', 'object/tangible/mission/quest_item/shared_singular_nak_q2_needed.iff');
INSERT INTO `template_items` VALUES ('3275', 'object/tangible/deed/event_perk/shared_sparking_treasure_box_chest_deed.iff');
INSERT INTO `template_items` VALUES ('3276', 'object/tangible/mission/quest_item/shared_rakir_banai_q2_needed.iff');
INSERT INTO `template_items` VALUES ('3277', 'object/tangible/camp/shared_camp_spit_s3.iff');
INSERT INTO `template_items` VALUES ('3278', 'object/tangible/ship/components/reactor/shared_rct_cygnus_mk1.iff');
INSERT INTO `template_items` VALUES ('3279', 'object/tangible/ship/components/booster/shared_bst_cygnus_flashboost3.iff');
INSERT INTO `template_items` VALUES ('3280', 'object/tangible/furniture/city/shared_fountain_circle.iff');
INSERT INTO `template_items` VALUES ('3281', 'object/tangible/ship/components/shield_generator/shared_shd_sfs_imperial_deluxe_standard.iff');
INSERT INTO `template_items` VALUES ('3282', 'object/tangible/lair/base/shared_poi_all_lair_leaf_small_fog_red.iff');
INSERT INTO `template_items` VALUES ('3283', 'object/tangible/ship/components/booster/shared_bst_incom_vynock.iff');
INSERT INTO `template_items` VALUES ('3284', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon2r_s05.iff');
INSERT INTO `template_items` VALUES ('3285', 'object/tangible/ship/components/armor/shared_arm_moncal_improved_light_weave.iff');
INSERT INTO `template_items` VALUES ('3286', 'object/tangible/region/shared_deliver_region_10.iff');
INSERT INTO `template_items` VALUES ('3287', 'object/tangible/deed/event_perk/shared_imperial_1x10_honorguard_deed.iff');
INSERT INTO `template_items` VALUES ('3288', 'object/tangible/wearables/armor/composite/shared_armor_composite_chest_plate.iff');
INSERT INTO `template_items` VALUES ('3289', 'object/tangible/furniture/imperial/shared_data_terminal_s2.iff');
INSERT INTO `template_items` VALUES ('3290', 'object/tangible/loot/dungeon/corellian_corvette/shared_rebel_rescue_filler02.iff');
INSERT INTO `template_items` VALUES ('3291', 'object/tangible/deed/player_house_deed/shared_generic_house_medium_style_02_deed.iff');
INSERT INTO `template_items` VALUES ('3292', 'object/tangible/lair/pufferfish/shared_lair_pufferfish.iff');
INSERT INTO `template_items` VALUES ('3293', 'object/tangible/deed/city_deed/shared_garden_naboo_sml_02_deed.iff');
INSERT INTO `template_items` VALUES ('3294', 'object/tangible/ship/attachment/shield/shared_star_destroyer_shieldtower_1.iff');
INSERT INTO `template_items` VALUES ('3295', 'object/tangible/lair/veermok/shared_lair_veermok.iff');
INSERT INTO `template_items` VALUES ('3296', 'object/tangible/ship/components/reactor/shared_rct_sorosuub_fusion_reactor_3.iff');
INSERT INTO `template_items` VALUES ('3297', 'object/tangible/wearables/armor/ithorian_guardian/shared_ith_armor_s02_boots.iff');
INSERT INTO `template_items` VALUES ('3298', 'object/tangible/medicine/crafted/shared_medpack_wound_action_c.iff');
INSERT INTO `template_items` VALUES ('3299', 'object/tangible/ship/components/weapon_capacitor/shared_cap_novaldex_sarlacc_s2.iff');
INSERT INTO `template_items` VALUES ('3300', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s02_bicep_r.iff');
INSERT INTO `template_items` VALUES ('3301', 'object/tangible/food/spice/shared_spice_base.iff');
INSERT INTO `template_items` VALUES ('3302', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_neg_s06_1.iff');
INSERT INTO `template_items` VALUES ('3303', 'object/tangible/ship/components/engine/shared_eng_koensayr_dual_small_ionjet.iff');
INSERT INTO `template_items` VALUES ('3304', 'object/tangible/lair/structure/interior/shared_lair_cave_large_interior_with_nest_gulginaw.iff');
INSERT INTO `template_items` VALUES ('3305', 'object/tangible/loot/loot_schematic/shared_shisa_schematic.iff');
INSERT INTO `template_items` VALUES ('3306', 'object/tangible/component/weapon/shared_vibro_unit.iff');
INSERT INTO `template_items` VALUES ('3307', 'object/tangible/wearables/armor/ithorian_defender/shared_ith_armor_s01_chest_plate.iff');
INSERT INTO `template_items` VALUES ('3308', 'object/tangible/lair/kwi/shared_lair_kwi.iff');
INSERT INTO `template_items` VALUES ('3309', 'object/tangible/component/droid/shared_crafting_module_food.iff');
INSERT INTO `template_items` VALUES ('3310', 'object/tangible/ship/attachment/booster/shared_decimator_booster_s01.iff');
INSERT INTO `template_items` VALUES ('3311', 'object/tangible/wearables/hat/shared_hat_twilek_s04.iff');
INSERT INTO `template_items` VALUES ('3312', 'object/tangible/loot/collectible/kits/shared_orange_rug_kit.iff');
INSERT INTO `template_items` VALUES ('3313', 'object/tangible/hair/rodian/shared_hair_rodian_female_s08.iff');
INSERT INTO `template_items` VALUES ('3314', 'object/tangible/loot/misc/shared_damaged_datapad.iff');
INSERT INTO `template_items` VALUES ('3315', 'object/tangible/hair/human/shared_hair_human_male_s32.iff');
INSERT INTO `template_items` VALUES ('3316', 'object/tangible/medicine/crafted/shared_medpack_enhance_stamina_d.iff');
INSERT INTO `template_items` VALUES ('3317', 'object/tangible/lair/vesp/shared_lair_vesp_desert.iff');
INSERT INTO `template_items` VALUES ('3318', 'object/tangible/component/dna/shared_dna_template_narglatch.iff');
INSERT INTO `template_items` VALUES ('3319', 'object/tangible/item/quest/force_sensitive/shared_fs_craft_puzzle_signal_amp.iff');
INSERT INTO `template_items` VALUES ('3320', 'object/tangible/ship/interior_components/shared_targeting_station_interior.iff');
INSERT INTO `template_items` VALUES ('3321', 'object/tangible/hair/sullustan/shared_sul_hair_s02_f.iff');
INSERT INTO `template_items` VALUES ('3322', 'object/tangible/terminal/shared_terminal_mission_rebel.iff');
INSERT INTO `template_items` VALUES ('3323', 'object/tangible/component/vehicle/shared_military_c.iff');
INSERT INTO `template_items` VALUES ('3324', 'object/tangible/deed/player_house_deed/shared_corellia_house_medium_deed.iff');
INSERT INTO `template_items` VALUES ('3325', 'object/tangible/mission/quest_item/shared_vrir_unglan_q2_needed.iff');
INSERT INTO `template_items` VALUES ('3326', 'object/tangible/mission/quest_item/shared_thrackan_salsolo_q3_needed.iff');
INSERT INTO `template_items` VALUES ('3327', 'object/tangible/ship/crafted/booster/shared_booster_overdriver_mk4.iff');
INSERT INTO `template_items` VALUES ('3328', 'object/tangible/wearables/armor/bone/shared_armor_bone_s01_bicep_l.iff');
INSERT INTO `template_items` VALUES ('3329', 'object/tangible/firework/shared_firework_s04.iff');
INSERT INTO `template_items` VALUES ('3330', 'object/tangible/lair/base/shared_objective_power_node.iff');
INSERT INTO `template_items` VALUES ('3331', 'object/tangible/ship/components/weapon/shared_wpn_corellian_1d.iff');
INSERT INTO `template_items` VALUES ('3332', 'object/tangible/lair/base/shared_rancor_dark.iff');
INSERT INTO `template_items` VALUES ('3333', 'object/tangible/ship/components/reactor/shared_rct_freitek_level1.iff');
INSERT INTO `template_items` VALUES ('3334', 'object/tangible/furniture/all/shared_frn_all_decorative_sm_s3.iff');
INSERT INTO `template_items` VALUES ('3335', 'object/tangible/ship/components/booster/shared_bst_koensayr_racer_mk2.iff');
INSERT INTO `template_items` VALUES ('3336', 'object/tangible/space/story_loot/shared_loot_tatooine_blacksun.iff');
INSERT INTO `template_items` VALUES ('3337', 'object/tangible/wearables/base/shared_base_cloak_noback.iff');
INSERT INTO `template_items` VALUES ('3338', 'object/tangible/lair/sharnaff/shared_lair_sharnaff_grassland.iff');
INSERT INTO `template_items` VALUES ('3339', 'object/tangible/wearables/bustier/shared_bustier_s02.iff');
INSERT INTO `template_items` VALUES ('3340', 'object/tangible/furniture/all/shared_frn_all_couch_futon_s1.iff');
INSERT INTO `template_items` VALUES ('3341', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_lg_s01_lg.iff');
INSERT INTO `template_items` VALUES ('3342', 'object/tangible/painting/shared_painting_bestine_blueleaf_temple.iff');
INSERT INTO `template_items` VALUES ('3343', 'object/tangible/ship/components/shield_generator/shared_shd_cygnus_mk1.iff');
INSERT INTO `template_items` VALUES ('3344', 'object/tangible/ship/components/weapon_capacitor/shared_cap_kessel_rebel_armek_array.iff');
INSERT INTO `template_items` VALUES ('3345', 'object/tangible/wearables/shirt/shared_shirt_s03.iff');
INSERT INTO `template_items` VALUES ('3346', 'object/tangible/component/armor/shared_armor_layer_kinetic.iff');
INSERT INTO `template_items` VALUES ('3347', 'object/tangible/medicine/crafted/shared_medpack_poison_health_c.iff');
INSERT INTO `template_items` VALUES ('3348', 'object/tangible/deed/city_deed/shared_garden_corellia_sml_01_deed.iff');
INSERT INTO `template_items` VALUES ('3349', 'object/tangible/mission/quest_item/shared_pooja_naberrie_q2_needed.iff');
INSERT INTO `template_items` VALUES ('3350', 'object/tangible/component/armor/shared_heavy_armor_layer_blast.iff');
INSERT INTO `template_items` VALUES ('3351', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s01_bracer_r.iff');
INSERT INTO `template_items` VALUES ('3352', 'object/tangible/lair/base/shared_earthmound_dark.iff');
INSERT INTO `template_items` VALUES ('3353', 'object/tangible/component/weapon/shared_weapon_rifle_laser_stock.iff');
INSERT INTO `template_items` VALUES ('3354', 'object/tangible/ship/components/shield_generator/shared_shd_seinar_gx_elite.iff');
INSERT INTO `template_items` VALUES ('3355', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_pos_s01_1.iff');
INSERT INTO `template_items` VALUES ('3356', 'object/tangible/food/crafted/shared_dessert_puffcake.iff');
INSERT INTO `template_items` VALUES ('3357', 'object/tangible/veteran_reward/shared_resource.iff');
INSERT INTO `template_items` VALUES ('3358', 'object/tangible/lair/nuna/shared_lair_nuna_grassland.iff');
INSERT INTO `template_items` VALUES ('3359', 'object/tangible/wearables/bandolier/shared_bandolier_s01.iff');
INSERT INTO `template_items` VALUES ('3360', 'object/tangible/medicine/pet/shared_droid_vitapack_a.iff');
INSERT INTO `template_items` VALUES ('3361', 'object/tangible/furniture/city/shared_statue_sentinel_02.iff');
INSERT INTO `template_items` VALUES ('3362', 'object/tangible/lair/squill/shared_lair_squill_desert.iff');
INSERT INTO `template_items` VALUES ('3363', 'object/tangible/wearables/ithorian/shared_ith_bandolier_s07.iff');
INSERT INTO `template_items` VALUES ('3364', 'object/tangible/ship/crafted/booster/shared_base_booster_subcomponent_mk5.iff');
INSERT INTO `template_items` VALUES ('3365', 'object/tangible/hair/human/shared_hair_human_female_s07.iff');
INSERT INTO `template_items` VALUES ('3366', 'object/tangible/wearables/ithorian/shared_ith_necklace_s12.iff');
INSERT INTO `template_items` VALUES ('3367', 'object/tangible/ship/crafted/chassis/shared_blacksun_heavy_s03_deed.iff');
INSERT INTO `template_items` VALUES ('3368', 'object/tangible/wearables/wookiee/shared_wke_shirt_s02.iff');
INSERT INTO `template_items` VALUES ('3369', 'object/tangible/ship/components/shield_generator/shared_shd_mandalor_flexshield_ks1.iff');
INSERT INTO `template_items` VALUES ('3370', 'object/tangible/lair/structure/interior/shared_lair_hive_medium_interior_kliknik.iff');
INSERT INTO `template_items` VALUES ('3371', 'object/tangible/veteran_reward/one_year_anniversary/shared_painting_07.iff');
INSERT INTO `template_items` VALUES ('3372', 'object/tangible/component/base/shared_base_dna_sample.iff');
INSERT INTO `template_items` VALUES ('3373', 'object/tangible/wearables/necklace/shared_necklace_rosy_pearl.iff');
INSERT INTO `template_items` VALUES ('3374', 'object/tangible/hair/bothan/shared_hair_bothan_male_s05.iff');
INSERT INTO `template_items` VALUES ('3375', 'object/tangible/component/vehicle/shared_structural_reinforcements_hvy.iff');
INSERT INTO `template_items` VALUES ('3376', 'object/tangible/container/jar/shared_jar_spice_s02.iff');
INSERT INTO `template_items` VALUES ('3377', 'object/tangible/loot/loot_schematic/shared_couch_blue_schematic.iff');
INSERT INTO `template_items` VALUES ('3378', 'object/tangible/medicine/crafted/shared_medpack_wound_constitution_c.iff');
INSERT INTO `template_items` VALUES ('3379', 'object/tangible/ship/components/weapon_capacitor/shared_cap_subpro_defiant_c1.iff');
INSERT INTO `template_items` VALUES ('3380', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon_pos_s01_1.iff');
INSERT INTO `template_items` VALUES ('3381', 'object/tangible/ship/components/booster/shared_bst_moncal_rare_advanced.iff');
INSERT INTO `template_items` VALUES ('3382', 'object/tangible/medicine/shared_medikit_tool_basic.iff');
INSERT INTO `template_items` VALUES ('3383', 'object/tangible/furniture/modern/shared_rug_rect_m_s01.iff');
INSERT INTO `template_items` VALUES ('3384', 'object/tangible/component/vehicle/shared_fuel_cell_b.iff');
INSERT INTO `template_items` VALUES ('3385', 'object/tangible/mission/quest_item/shared_karena_keer_q1_needed.iff');
INSERT INTO `template_items` VALUES ('3386', 'object/tangible/hopper/shared_crafting_station_ingredient_hopper_1.iff');
INSERT INTO `template_items` VALUES ('3387', 'object/tangible/lair/vesp/shared_lair_vesp.iff');
INSERT INTO `template_items` VALUES ('3388', 'object/tangible/food/crafted/shared_dessert_vagnerian_canape.iff');
INSERT INTO `template_items` VALUES ('3389', 'object/tangible/deed/event_perk/shared_corsec_1x10_honorguard_deed.iff');
INSERT INTO `template_items` VALUES ('3390', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_launcher_proton_mk1.iff');
INSERT INTO `template_items` VALUES ('3391', 'object/tangible/wearables/gloves/shared_gloves_s12.iff');
INSERT INTO `template_items` VALUES ('3392', 'object/tangible/ship/attachment/engine/shared_bwing_engine_s02.iff');
INSERT INTO `template_items` VALUES ('3393', 'object/tangible/component/bio/shared_bio_component_clothing_casual_taming_2.iff');
INSERT INTO `template_items` VALUES ('3394', 'object/tangible/ship/attachment/weapon/shared_blacksun_medium_weapon2_s04.iff');
INSERT INTO `template_items` VALUES ('3395', 'object/tangible/wearables/necklace/shared_necklace_magnificent_lavaliere.iff');
INSERT INTO `template_items` VALUES ('3396', 'object/tangible/mission/quest_item/shared_wald_q3_needed.iff');
INSERT INTO `template_items` VALUES ('3397', 'object/tangible/ship/attachment/engine/shared_blacksun_medium_engine_s02.iff');
INSERT INTO `template_items` VALUES ('3398', 'object/tangible/ship/components/weapon_capacitor/shared_cap_novaldex_deluxe_wampa_s1.iff');
INSERT INTO `template_items` VALUES ('3399', 'object/tangible/loot/dungeon/corellian_corvette/shared_imperial_assassin_filler02.iff');
INSERT INTO `template_items` VALUES ('3400', 'object/tangible/food/crafted/shared_dessert_deneelian_fizz_pudding.iff');
INSERT INTO `template_items` VALUES ('3401', 'object/tangible/mission/quest_item/shared_mat_rags_q1_needed.iff');
INSERT INTO `template_items` VALUES ('3402', 'object/tangible/space/content_infrastructure/shared_basic_generic_point.iff');
INSERT INTO `template_items` VALUES ('3403', 'object/tangible/mission/quest_item/shared_dolac_legasi_q2_needed.iff');
INSERT INTO `template_items` VALUES ('3404', 'object/tangible/component/chemistry/shared_liquid_delivery_suspension_quest.iff');
INSERT INTO `template_items` VALUES ('3405', 'object/tangible/ship/crafted/weapon/shared_wpn_experimental_blaster.iff');
INSERT INTO `template_items` VALUES ('3406', 'object/tangible/deed/harvester_deed/shared_harvester_ore_s1_deed.iff');
INSERT INTO `template_items` VALUES ('3407', 'object/tangible/ship/components/chassis/shared_z95_chassis_token.iff');
INSERT INTO `template_items` VALUES ('3408', 'object/tangible/wearables/armor/kashyyykian_hunting/shared_armor_kashyyykian_hunting_bracer_l.iff');
INSERT INTO `template_items` VALUES ('3409', 'object/tangible/ship/components/armor/shared_armor_mandal_insulated_i5.iff');
INSERT INTO `template_items` VALUES ('3410', 'object/tangible/ship/components/weapon_capacitor/shared_cap_subpro_improved_valiant_z1.iff');
INSERT INTO `template_items` VALUES ('3411', 'object/tangible/camp/shared_camp_tent_s1.iff');
INSERT INTO `template_items` VALUES ('3412', 'object/tangible/ship/interior_components/shared_reactor_interior.iff');
INSERT INTO `template_items` VALUES ('3413', 'object/tangible/lair/brackaset/shared_lair_brackaset.iff');
INSERT INTO `template_items` VALUES ('3414', 'object/tangible/ship/components/droid_interface/shared_ddi_gallofree_level1.iff');
INSERT INTO `template_items` VALUES ('3415', 'object/tangible/ship/attachment/booster/shared_xwing_booster_s01_pos.iff');
INSERT INTO `template_items` VALUES ('3416', 'object/tangible/component/chemistry/shared_resilience_compound.iff');
INSERT INTO `template_items` VALUES ('3417', 'object/tangible/component/armor/shared_armor_segment_enhancement_nightsister.iff');
INSERT INTO `template_items` VALUES ('3418', 'object/tangible/component/clothing/shared_synthetic_cloth.iff');
INSERT INTO `template_items` VALUES ('3419', 'object/tangible/loot/loot_schematic/shared_geonosian_sword_core_schematic.iff');
INSERT INTO `template_items` VALUES ('3420', 'object/tangible/painting/shared_painting_twilek_f_lg_s04.iff');
INSERT INTO `template_items` VALUES ('3421', 'object/tangible/ship/components/armor/shared_armor_freitek_ew6_prototype.iff');
INSERT INTO `template_items` VALUES ('3422', 'object/tangible/loot/misc/shared_personal_effects.iff');
INSERT INTO `template_items` VALUES ('3423', 'object/tangible/ship/components/engine/shared_eng_generic.iff');
INSERT INTO `template_items` VALUES ('3424', 'object/tangible/ship/components/weapon/shared_xwing_weapon_s02_test.iff');
INSERT INTO `template_items` VALUES ('3425', 'object/tangible/ship/components/reactor/shared_rct_sfs_imperial_5.iff');
INSERT INTO `template_items` VALUES ('3426', 'object/tangible/lair/structure/exterior/shared_lair_cave_large_exterior_kai-tok.iff');
INSERT INTO `template_items` VALUES ('3427', 'object/tangible/ship/components/reactor/shared_rct_mandal_dxr6.iff');
INSERT INTO `template_items` VALUES ('3428', 'object/tangible/lair/roba_hill/shared_lair_roba_hill.iff');
INSERT INTO `template_items` VALUES ('3429', 'object/tangible/medicine/shared_medpack_enhance_stamina.iff');
INSERT INTO `template_items` VALUES ('3430', 'object/tangible/ship/crafted/droid_interface/shared_base_droid_interface_subcomponent_mk5.iff');
INSERT INTO `template_items` VALUES ('3431', 'object/tangible/ship/crafted/armor/shared_mass_reduction_kit_mk3.iff');
INSERT INTO `template_items` VALUES ('3432', 'object/tangible/mission/quest_item/shared_sigrix_slix_q2_needed.iff');
INSERT INTO `template_items` VALUES ('3433', 'object/tangible/lair/base/shared_poi_all_lair_warren_large_fog_green.iff');
INSERT INTO `template_items` VALUES ('3434', 'object/tangible/ship/components/shield_generator/shared_shd_mandal_flexshield_ks5.iff');
INSERT INTO `template_items` VALUES ('3435', 'object/tangible/ship/components/reactor/shared_rct_corellian_modified_bt3.iff');
INSERT INTO `template_items` VALUES ('3436', 'object/tangible/ship/crafted/weapon/shared_wpn_heavy_blaster_green.iff');
INSERT INTO `template_items` VALUES ('3437', 'object/tangible/loot/loot_schematic/shared_tumble_blender_schematic.iff');
INSERT INTO `template_items` VALUES ('3438', 'object/tangible/ship/crafted/chassis/shared_tiebomber_deed.iff');
INSERT INTO `template_items` VALUES ('3439', 'object/tangible/ship/components/weapon_capacitor/shared_cap_moncal_advanced.iff');
INSERT INTO `template_items` VALUES ('3440', 'object/tangible/component/item/quest_item/shared_decoherence_sensor.iff');
INSERT INTO `template_items` VALUES ('3441', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s2.iff');
INSERT INTO `template_items` VALUES ('3442', 'object/tangible/medicine/crafted/shared_medpack_enhance_stamina_c.iff');
INSERT INTO `template_items` VALUES ('3443', 'object/tangible/mission/quest_item/shared_senni_tonnika_q3_needed.iff');
INSERT INTO `template_items` VALUES ('3444', 'object/tangible/wearables/hat/shared_hat_twilek_s03.iff');
INSERT INTO `template_items` VALUES ('3445', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s09.iff');
INSERT INTO `template_items` VALUES ('3446', 'object/tangible/mission/quest_item/shared_sango_rond_q1_needed.iff');
INSERT INTO `template_items` VALUES ('3447', 'object/tangible/hair/human/shared_hair_human_male_s35.iff');
INSERT INTO `template_items` VALUES ('3448', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_pos_s03_1.iff');
INSERT INTO `template_items` VALUES ('3449', 'object/tangible/ship/components/engine/shared_eng_kessel_imperial_sfs_special_forces.iff');
INSERT INTO `template_items` VALUES ('3450', 'object/tangible/food/crafted/shared_drink_antakarian_fire_dancer.iff');
INSERT INTO `template_items` VALUES ('3451', 'object/tangible/component/dna/shared_dna_template_kimogila.iff');
INSERT INTO `template_items` VALUES ('3452', 'object/tangible/furniture/imperial/shared_warren_evidence_terminal_s01.iff');
INSERT INTO `template_items` VALUES ('3453', 'object/tangible/hair/sullustan/shared_sul_hair_s14_f.iff');
INSERT INTO `template_items` VALUES ('3454', 'object/tangible/ship/crafted/reverse_engineering/shared_weapon_analysis_tool.iff');
INSERT INTO `template_items` VALUES ('3455', 'object/tangible/component/structure/shared_reinforced_wall_module.iff');
INSERT INTO `template_items` VALUES ('3456', 'object/tangible/ship/components/armor/shared_armor_freitek_es4_durasteel.iff');
INSERT INTO `template_items` VALUES ('3457', 'object/tangible/medicine/crafted/shared_medpack_wound_action_d.iff');
INSERT INTO `template_items` VALUES ('3458', 'object/tangible/mission/quest_item/shared_village_shields.iff');
INSERT INTO `template_items` VALUES ('3459', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_neg_s05_0.iff');
INSERT INTO `template_items` VALUES ('3460', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_missile_pod_s01.iff');
INSERT INTO `template_items` VALUES ('3461', 'object/tangible/ship/components/shield_generator/shared_shd_mission_reward_rebel_incom_k77.iff');
INSERT INTO `template_items` VALUES ('3462', 'object/tangible/deed/event_perk/shared_imperial_2x10_honorguard_deed.iff');
INSERT INTO `template_items` VALUES ('3463', 'object/tangible/wearables/dress/shared_dress_s26.iff');
INSERT INTO `template_items` VALUES ('3464', 'object/tangible/ship/components/booster/shared_bst_subpro_tuned_accelatron_mk1.iff');
INSERT INTO `template_items` VALUES ('3465', 'object/tangible/component/armor/shared_armor_segment_kashyyykian_ceremonial_advanced.iff');
INSERT INTO `template_items` VALUES ('3466', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon2r_s02.iff');
INSERT INTO `template_items` VALUES ('3467', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff');
INSERT INTO `template_items` VALUES ('3468', 'object/tangible/ship/components/droid_interface/shared_ddi_incom_deluxe_droid_interface_mk1.iff');
INSERT INTO `template_items` VALUES ('3469', 'object/tangible/mission/quest_item/shared_slooni_jong_q1_needed.iff');
INSERT INTO `template_items` VALUES ('3470', 'object/tangible/ship/components/booster/shared_bst_cygnus_flashboost4.iff');
INSERT INTO `template_items` VALUES ('3471', 'object/tangible/sign/player/banner/shared_banner_base.iff');
INSERT INTO `template_items` VALUES ('3472', 'object/tangible/ship/components/armor/shared_arm_subpro_experimental_advanced_plastisteel.iff');
INSERT INTO `template_items` VALUES ('3473', 'object/tangible/crafting/station/shared_weapon_station.iff');
INSERT INTO `template_items` VALUES ('3474', 'object/tangible/component/structure/shared_harvesting_mechanism.iff');
INSERT INTO `template_items` VALUES ('3475', 'object/tangible/mission/quest_item/shared_xarot_korlin_q1_needed.iff');
INSERT INTO `template_items` VALUES ('3476', 'object/tangible/lair/hanadak/shared_lair_hanadak_mountain.iff');
INSERT INTO `template_items` VALUES ('3477', 'object/tangible/component/armor/shared_armor_segment_enhancement_voritor_lizard.iff');
INSERT INTO `template_items` VALUES ('3478', 'object/tangible/lair/base/shared_poi_all_lair_rock_shelter_small_evil_fire_red.iff');
INSERT INTO `template_items` VALUES ('3479', 'object/tangible/wearables/armor/mandalorian/shared_armor_mandalorian_gloves.iff');
INSERT INTO `template_items` VALUES ('3480', 'object/tangible/ship/components/weapon/shared_wpn_mandal_annihilator_mk2.iff');
INSERT INTO `template_items` VALUES ('3481', 'object/tangible/dungeon/shared_chemical_storage.iff');
INSERT INTO `template_items` VALUES ('3482', 'object/tangible/wearables/jacket/shared_jacket_s25.iff');
INSERT INTO `template_items` VALUES ('3483', 'object/tangible/medicine/crafted/shared_medpack_cure_poison_area_a.iff');
INSERT INTO `template_items` VALUES ('3484', 'object/tangible/lair/base/shared_poi_all_lair_wooden_evil_fire_small.iff');
INSERT INTO `template_items` VALUES ('3485', 'object/tangible/lair/rancor/shared_lair_rancor_mountain.iff');
INSERT INTO `template_items` VALUES ('3486', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon2l_s04.iff');
INSERT INTO `template_items` VALUES ('3487', 'object/tangible/lair/krayt_dragon/shared_lair_krayt_dragon_wasteland.iff');
INSERT INTO `template_items` VALUES ('3488', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_1.iff');
INSERT INTO `template_items` VALUES ('3489', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s03_chest_plate.iff');
INSERT INTO `template_items` VALUES ('3490', 'object/tangible/survey_tool/shared_survey_tool_moisture.iff');
INSERT INTO `template_items` VALUES ('3491', 'object/tangible/wearables/ithorian/shared_ith_shirt_s06.iff');
INSERT INTO `template_items` VALUES ('3492', 'object/tangible/dice/shared_eqp_twelve_sided_dice_set.iff');
INSERT INTO `template_items` VALUES ('3493', 'object/tangible/mission/quest_item/shared_crider_trant_q1_needed.iff');
INSERT INTO `template_items` VALUES ('3494', 'object/tangible/loot/loot_schematic/shared_bacta_tank_schematic.iff');
INSERT INTO `template_items` VALUES ('3495', 'object/tangible/loot/loot_schematic/shared_campfire_schematic.iff');
INSERT INTO `template_items` VALUES ('3496', 'object/tangible/component/weapon/shared_vibro_unit_quest.iff');
INSERT INTO `template_items` VALUES ('3497', 'object/tangible/component/droid/shared_trap_module_base.iff');
INSERT INTO `template_items` VALUES ('3498', 'object/tangible/ship/components/weapon/shared_wpn_mandal_qv3_disruptor.iff');
INSERT INTO `template_items` VALUES ('3499', 'object/tangible/ship/components/engine/shared_eng_corellian_cruiser_grade_mk2.iff');
INSERT INTO `template_items` VALUES ('3500', 'object/tangible/food/crafted/shared_dish_thakitillo.iff');
INSERT INTO `template_items` VALUES ('3501', 'object/tangible/ship/crafted/chassis/shared_firespray_deed.iff');
INSERT INTO `template_items` VALUES ('3502', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon3_s05.iff');
INSERT INTO `template_items` VALUES ('3503', 'object/tangible/dice/shared_eqp_one_hundred_sided_dice_set.iff');
INSERT INTO `template_items` VALUES ('3504', 'object/tangible/lair/base/shared_poi_all_lair_garbage_small_fog_green.iff');
INSERT INTO `template_items` VALUES ('3505', 'object/tangible/component/item/quest_item/shared_corrective_inducer.iff');
INSERT INTO `template_items` VALUES ('3506', 'object/tangible/wearables/armor/mandalorian/shared_armor_mandalorian_bicep_l.iff');
INSERT INTO `template_items` VALUES ('3507', 'object/tangible/ship/attachment/wing/shared_hutt_medium_wing_s01.iff');
INSERT INTO `template_items` VALUES ('3508', 'object/tangible/lair/kliknik/shared_lair_kliknik.iff');
INSERT INTO `template_items` VALUES ('3509', 'object/tangible/space/content_infrastructure/shared_corridor_end_spawner.iff');
INSERT INTO `template_items` VALUES ('3510', 'object/tangible/hair/bothan/shared_hair_bothan_female_s20.iff');
INSERT INTO `template_items` VALUES ('3511', 'object/tangible/ship/interior_components/shared_engine_interior.iff');
INSERT INTO `template_items` VALUES ('3512', 'object/tangible/ship/components/weapon_capacitor/shared_cap_tiefighter_elite_mk3.iff');
INSERT INTO `template_items` VALUES ('3513', 'object/tangible/ship/crafted/capacitor/shared_capacitor_mk3.iff');
INSERT INTO `template_items` VALUES ('3514', 'object/tangible/deed/city_deed/shared_cantina_corellia_deed.iff');
INSERT INTO `template_items` VALUES ('3515', 'object/tangible/wearables/pants/shared_pants_s17.iff');
INSERT INTO `template_items` VALUES ('3516', 'object/tangible/component/armor/shared_armor_layer_electrical.iff');
INSERT INTO `template_items` VALUES ('3517', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon3_s06.iff');
INSERT INTO `template_items` VALUES ('3518', 'object/tangible/ship/components/droid_interface/shared_ddi_incom_droid_interface_mk2.iff');
INSERT INTO `template_items` VALUES ('3519', 'object/tangible/loot/collectible/collectible_parts/shared_light_table_structure_05.iff');
INSERT INTO `template_items` VALUES ('3520', 'object/tangible/medicine/pet/shared_droid_stimpack_d.iff');
INSERT INTO `template_items` VALUES ('3521', 'object/tangible/veteran_reward/shared_frn_couch_falcon_section_s01.iff');
INSERT INTO `template_items` VALUES ('3522', 'object/tangible/scout/camokit/shared_camokit_corellia.iff');
INSERT INTO `template_items` VALUES ('3523', 'object/tangible/ship/components/weapon_capacitor/shared_cap_qualdex_miser_light.iff');
INSERT INTO `template_items` VALUES ('3524', 'object/tangible/lair/hanadak/shared_lair_hanadak.iff');
INSERT INTO `template_items` VALUES ('3525', 'object/tangible/ship/components/chassis/shared_firespray_chassis_token.iff');
INSERT INTO `template_items` VALUES ('3526', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s01_leggings.iff');
INSERT INTO `template_items` VALUES ('3527', 'object/tangible/ship/components/shield_generator/shared_shd_moncal.iff');
INSERT INTO `template_items` VALUES ('3528', 'object/tangible/deed/player_house_deed/shared_tatooine_house_small_style_02_deed.iff');
INSERT INTO `template_items` VALUES ('3529', 'object/tangible/ship/crafted/shields/shared_basic_shields.iff');
INSERT INTO `template_items` VALUES ('3530', 'object/tangible/component/weapon/shared_weapon_elite_stock.iff');
INSERT INTO `template_items` VALUES ('3531', 'object/tangible/space/story_loot/shared_loot_tatooine_rebel.iff');
INSERT INTO `template_items` VALUES ('3532', 'object/tangible/camp/shared_camp_lawn_chair.iff');
INSERT INTO `template_items` VALUES ('3533', 'object/tangible/scout/camokit/shared_camokit_endor.iff');
INSERT INTO `template_items` VALUES ('3534', 'object/tangible/component/item/quest_item/shared_signal_rerouter.iff');
INSERT INTO `template_items` VALUES ('3535', 'object/tangible/ship/crafted/reactor/shared_base_reactor_subcomponent_mk4.iff');
INSERT INTO `template_items` VALUES ('3536', 'object/tangible/component/chemistry/shared_solid_delivery_shell.iff');
INSERT INTO `template_items` VALUES ('3537', 'object/tangible/ship/components/engine/shared_eng_rendili_demon_mk1.iff');
INSERT INTO `template_items` VALUES ('3538', 'object/tangible/wearables/ithorian/shared_ith_pants_s12.iff');
INSERT INTO `template_items` VALUES ('3539', 'object/tangible/lair/base/shared_poi_all_lair_warren_small_evil_fire_red.iff');
INSERT INTO `template_items` VALUES ('3540', 'object/tangible/ship/crafted/capacitor/shared_base_capacitor_subcomponent_mk2.iff');
INSERT INTO `template_items` VALUES ('3541', 'object/tangible/hair/human/base/shared_hair_human_male_base.iff');
INSERT INTO `template_items` VALUES ('3542', 'object/tangible/medicine/crafted/shared_medpack_wound_strength_c.iff');
INSERT INTO `template_items` VALUES ('3543', 'object/tangible/wearables/necklace/shared_necklace_ornamental_ratchet.iff');
INSERT INTO `template_items` VALUES ('3544', 'object/tangible/container/jar/shared_jar_guts_s01.iff');
INSERT INTO `template_items` VALUES ('3545', 'object/tangible/ship/crafted/chassis/shared_hutt_light_s02_deed.iff');
INSERT INTO `template_items` VALUES ('3546', 'object/tangible/lair/base/shared_poi_all_lair_rocks_large.iff');
INSERT INTO `template_items` VALUES ('3547', 'object/tangible/lair/woolamander/shared_lair_woolamander.iff');
INSERT INTO `template_items` VALUES ('3548', 'object/tangible/ship/customization/shared_xwing_gun_neg_s01.iff');
INSERT INTO `template_items` VALUES ('3549', 'object/tangible/ship/components/weapon_capacitor/shared_cap_koensayr_improved_light.iff');
INSERT INTO `template_items` VALUES ('3550', 'object/tangible/wearables/armor/ithorian_guardian/shared_ith_armor_s02_helmet.iff');
INSERT INTO `template_items` VALUES ('3551', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s03_bracer_l.iff');
INSERT INTO `template_items` VALUES ('3552', 'object/tangible/deed/city_deed/shared_garden_tatooine_med_04_deed.iff');
INSERT INTO `template_items` VALUES ('3553', 'object/tangible/ship/components/shield_generator/shared_shd_incom_rayshield_z5.iff');
INSERT INTO `template_items` VALUES ('3554', 'object/tangible/food/crafted/shared_dish_kanali_wafers.iff');
INSERT INTO `template_items` VALUES ('3555', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_imperial_destroy_02.iff');
INSERT INTO `template_items` VALUES ('3556', 'object/tangible/skill_buff/shared_skill_buff_unarmed_accuracy.iff');
INSERT INTO `template_items` VALUES ('3557', 'object/tangible/component/structure/shared_lightweight_turret_hardware.iff');
INSERT INTO `template_items` VALUES ('3558', 'object/tangible/ship/components/weapon/shared_wpn_corellian_cruiser_grade_blaster_mk1.iff');
INSERT INTO `template_items` VALUES ('3559', 'object/tangible/wearables/armor/ithorian_defender/shared_ith_armor_s01_gloves.iff');
INSERT INTO `template_items` VALUES ('3560', 'object/tangible/furniture/plain/shared_plain_chest_s01.iff');
INSERT INTO `template_items` VALUES ('3561', 'object/tangible/loot/dungeon/corellian_corvette/shared_neutral_assassin_intel.iff');
INSERT INTO `template_items` VALUES ('3562', 'object/tangible/deed/event_perk/shared_scavenger_droid_deed.iff');
INSERT INTO `template_items` VALUES ('3563', 'object/tangible/ship/components/weapon/shared_wpn_mission_reward_imperial_cygnus_starblaster.iff');
INSERT INTO `template_items` VALUES ('3564', 'object/tangible/wearables/jacket/shared_jacket_s18.iff');
INSERT INTO `template_items` VALUES ('3565', 'object/tangible/painting/shared_painting_han_wanted.iff');
INSERT INTO `template_items` VALUES ('3566', 'object/tangible/ship/crafted/armor/shared_mass_reduction_kit_mk4.iff');
INSERT INTO `template_items` VALUES ('3567', 'object/tangible/ship/components/weapon_capacitor/shared_cap_corellian_deluxe_cruiser_grade_cap2.iff');
INSERT INTO `template_items` VALUES ('3568', 'object/tangible/food/foraged/shared_edible_jar_bugs.iff');
INSERT INTO `template_items` VALUES ('3569', 'object/tangible/ship/components/reactor/shared_rct_sfs_imperial_2.iff');
INSERT INTO `template_items` VALUES ('3570', 'object/tangible/food/shared_nectar.iff');
INSERT INTO `template_items` VALUES ('3571', 'object/tangible/loot/quest/shared_tusken_head.iff');
INSERT INTO `template_items` VALUES ('3572', 'object/tangible/instrument/shared_instrument_organ_figrin_dan.iff');
INSERT INTO `template_items` VALUES ('3573', 'object/tangible/lair/base/shared_poi_all_lair_dead_log_small_evil_fire_small.iff');
INSERT INTO `template_items` VALUES ('3574', 'object/tangible/ship/crafted/droid_interface/shared_base_droid_interface_subcomponent_mk2.iff');
INSERT INTO `template_items` VALUES ('3575', 'object/tangible/component/droid/shared_struct_maint_module_base.iff');
INSERT INTO `template_items` VALUES ('3576', 'object/tangible/component/weapon/lightsaber/shared_lightsaber_module_color.iff');
INSERT INTO `template_items` VALUES ('3577', 'object/tangible/loot/quest/shared_quest_satchel_charge.iff');
INSERT INTO `template_items` VALUES ('3578', 'object/tangible/painting/shared_painting_twilek_f_lg_s03.iff');
INSERT INTO `template_items` VALUES ('3579', 'object/tangible/wearables/armor/mandalorian/shared_armor_mandalorian_shoes.iff');
INSERT INTO `template_items` VALUES ('3580', 'object/tangible/ship/components/reactor/shared_rct_kse_rct_z.iff');
INSERT INTO `template_items` VALUES ('3581', 'object/tangible/ship/components/droid_interface/shared_ddi_freitek_droid_commander_mk3.iff');
INSERT INTO `template_items` VALUES ('3582', 'object/tangible/ship/components/weapon_capacitor/shared_cap_sorosuub_supercharged_dynamo_mk4.iff');
INSERT INTO `template_items` VALUES ('3583', 'object/tangible/hair/sullustan/shared_sul_hair_s16_m.iff');
INSERT INTO `template_items` VALUES ('3584', 'object/tangible/lair/vir_vir_hill/shared_lair_vir_vir_hill.iff');
INSERT INTO `template_items` VALUES ('3585', 'object/tangible/ship/components/engine/shared_engine_ubrikkian_n2.iff');
INSERT INTO `template_items` VALUES ('3586', 'object/tangible/terminal/shared_terminal_hq_turret_control.iff');
INSERT INTO `template_items` VALUES ('3587', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_sm_s03_lg.iff');
INSERT INTO `template_items` VALUES ('3588', 'object/tangible/deed/harvester_deed/shared_harvester_gas_deed.iff');
INSERT INTO `template_items` VALUES ('3589', 'object/tangible/lair/base/shared_poi_all_lair_brambles_small.iff');
INSERT INTO `template_items` VALUES ('3590', 'object/tangible/ship/components/reactor/shared_rct_taim_experimental_s2.iff');
INSERT INTO `template_items` VALUES ('3591', 'object/tangible/wearables/pants/shared_nightsister_pants_s01.iff');
INSERT INTO `template_items` VALUES ('3592', 'object/tangible/deed/event_perk/shared_tie_fighter_static_deed.iff');
INSERT INTO `template_items` VALUES ('3593', 'object/tangible/camp/shared_camp_tent_s6.iff');
INSERT INTO `template_items` VALUES ('3594', 'object/tangible/deed/pet_deed/shared_pugoriss_deed.iff');
INSERT INTO `template_items` VALUES ('3595', 'object/tangible/furniture/all/shared_frn_all_light_lamp_candlestick_free_s02.iff');
INSERT INTO `template_items` VALUES ('3596', 'object/tangible/ship/components/weapon_capacitor/shared_cap_kse_supercharged_mk3.iff');
INSERT INTO `template_items` VALUES ('3597', 'object/tangible/hair/human/shared_hair_human_male_s08.iff');
INSERT INTO `template_items` VALUES ('3598', 'object/tangible/ship/components/chassis/shared_tie_in_chassis_token.iff');
INSERT INTO `template_items` VALUES ('3599', 'object/tangible/lair/langlatch/shared_lair_langlatch_mountain.iff');
INSERT INTO `template_items` VALUES ('3600', 'object/tangible/ship/attachment/weapon/shared_blacksun_medium_weapon2_s03.iff');
INSERT INTO `template_items` VALUES ('3601', 'object/tangible/survey_tool/shared_survey_tool_liquid.iff');
INSERT INTO `template_items` VALUES ('3602', 'object/tangible/deed/pet_deed/shared_mawgax_deed.iff');
INSERT INTO `template_items` VALUES ('3603', 'object/tangible/deed/event_perk/shared_corsec_2x10_honorguard_deed.iff');
INSERT INTO `template_items` VALUES ('3604', 'object/tangible/ship/components/shield_generator/shared_shd_seinar_experimental_a1.iff');
INSERT INTO `template_items` VALUES ('3605', 'object/tangible/ship/attachment/booster/shared_ywing_booster_s01.iff');
INSERT INTO `template_items` VALUES ('3606', 'object/tangible/mission/quest_item/shared_daclif_gallamby_q1_needed.iff');
INSERT INTO `template_items` VALUES ('3607', 'object/tangible/battery/shared_battery.iff');
INSERT INTO `template_items` VALUES ('3608', 'object/tangible/medicine/shared_newbie_heal_mission_medicine.iff');
INSERT INTO `template_items` VALUES ('3609', 'object/tangible/medicine/crafted/shared_medpack_poison_area_mind_b.iff');
INSERT INTO `template_items` VALUES ('3610', 'object/tangible/lair/eopie/shared_lair_eopie_mountain.iff');
INSERT INTO `template_items` VALUES ('3611', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_pos_s02_0.iff');
INSERT INTO `template_items` VALUES ('3612', 'object/tangible/dungeon/shared_poison_stabilizer.iff');
INSERT INTO `template_items` VALUES ('3613', 'object/tangible/wearables/armor/bounty_hunter/shared_armor_bounty_hunter_gloves.iff');
INSERT INTO `template_items` VALUES ('3614', 'object/tangible/wearables/base/shared_base_bracer_upper_r.iff');
INSERT INTO `template_items` VALUES ('3615', 'object/tangible/ship/components/booster/shared_bst_mission_reward_neutral_mandal_m_series.iff');
INSERT INTO `template_items` VALUES ('3616', 'object/tangible/component/weapon/shared_laser_cannon_cooling_sleeve.iff');
INSERT INTO `template_items` VALUES ('3617', 'object/tangible/medicine/crafted/shared_medpack_wound_constitution_d.iff');
INSERT INTO `template_items` VALUES ('3618', 'object/tangible/ship/components/weapon_capacitor/shared_cap_qualdex_conservator_q3.iff');
INSERT INTO `template_items` VALUES ('3619', 'object/tangible/ship/components/reactor/shared_rct_mission_reward_imperial_rss_advanced_military.iff');
INSERT INTO `template_items` VALUES ('3620', 'object/tangible/ship/components/shield_generator/shared_shd_kse_mk6.iff');
INSERT INTO `template_items` VALUES ('3621', 'object/tangible/ship/components/armor/shared_arm_sorosuub_special_intermediate_durasteel.iff');
INSERT INTO `template_items` VALUES ('3622', 'object/tangible/ship/components/droid_interface/shared_ddi_armek_military_grade_mk1.iff');
INSERT INTO `template_items` VALUES ('3623', 'object/tangible/medicine/crafted/shared_medpack_grenade_area_b.iff');
INSERT INTO `template_items` VALUES ('3624', 'object/tangible/ship/components/reactor/shared_rct_slayn_hypertron_4k.iff');
INSERT INTO `template_items` VALUES ('3625', 'object/tangible/hair/bothan/shared_hair_bothan_male_s02.iff');
INSERT INTO `template_items` VALUES ('3626', 'object/tangible/loot/dungeon/corellian_corvette/shared_neutral_rescue_intel.iff');
INSERT INTO `template_items` VALUES ('3627', 'object/tangible/ship/components/engine/shared_eng_sorosuub_l_337_ion_engine.iff');
INSERT INTO `template_items` VALUES ('3628', 'object/tangible/ship/attachment/wing/shared_blacksun_light_wing_s02.iff');
INSERT INTO `template_items` VALUES ('3629', 'object/tangible/lair/gurreck/shared_lair_gurreck.iff');
INSERT INTO `template_items` VALUES ('3630', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s1.iff');
INSERT INTO `template_items` VALUES ('3631', 'object/tangible/mission/quest_item/shared_xalox_guul_q2_needed.iff');
INSERT INTO `template_items` VALUES ('3632', 'object/tangible/lair/base/shared_poi_all_lair_brambles_large_evil_fire_small.iff');
INSERT INTO `template_items` VALUES ('3633', 'object/tangible/loot/quest/shared_valarian_dagger.iff');
INSERT INTO `template_items` VALUES ('3634', 'object/tangible/ship/crafted/booster/shared_base_booster_subcomponent_mk2.iff');
INSERT INTO `template_items` VALUES ('3635', 'object/tangible/ship/components/shield_generator/shared_shd_phased_fullerine_fx27.iff');
INSERT INTO `template_items` VALUES ('3636', 'object/tangible/mission/quest_item/shared_bardo_klinj_q1_needed.iff');
INSERT INTO `template_items` VALUES ('3637', 'object/tangible/wearables/armor/ubese/shared_armor_ubese_bracer_r.iff');
INSERT INTO `template_items` VALUES ('3638', 'object/tangible/space/content_infrastructure/shared_generic_egg_small.iff');
INSERT INTO `template_items` VALUES ('3639', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s19.iff');
INSERT INTO `template_items` VALUES ('3640', 'object/tangible/wearables/bandolier/shared_bandolier_s06.iff');
INSERT INTO `template_items` VALUES ('3641', 'object/tangible/furniture/modern/shared_searchable_desk_01.iff');
INSERT INTO `template_items` VALUES ('3642', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_neg_s04_1.iff');
INSERT INTO `template_items` VALUES ('3643', 'object/tangible/component/weapon/shared_blaster_pistol_barrel_quest.iff');
INSERT INTO `template_items` VALUES ('3644', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s1.iff');
INSERT INTO `template_items` VALUES ('3645', 'object/tangible/mission/quest_item/shared_raglith_q3_needed.iff');
INSERT INTO `template_items` VALUES ('3646', 'object/tangible/ship/components/armor/shared_arm_subpro_limited_heavy_plastisteel.iff');
INSERT INTO `template_items` VALUES ('3647', 'object/tangible/wearables/shirt/shared_shirt_s04.iff');
INSERT INTO `template_items` VALUES ('3648', 'object/tangible/wearables/base/shared_base_costume_full.iff');
INSERT INTO `template_items` VALUES ('3649', 'object/tangible/ship/attachment/engine/shared_hutt_light_engine_s01.iff');
INSERT INTO `template_items` VALUES ('3650', 'object/tangible/ship/components/weapon_capacitor/shared_cap_reward_novaldex_elite.iff');
INSERT INTO `template_items` VALUES ('3651', 'object/tangible/space/spacestations/shared_spacestation_rebel_battlefield_entry.iff');
INSERT INTO `template_items` VALUES ('3652', 'object/tangible/furniture/all/shared_frn_all_decorative_sm_s4.iff');
INSERT INTO `template_items` VALUES ('3653', 'object/tangible/wearables/armor/ithorian_sentinel/shared_ith_armor_s03_bicep_l.iff');
INSERT INTO `template_items` VALUES ('3654', 'object/tangible/ship/crafted/droid_interface/shared_droid_brain_upgrade_mk1.iff');
INSERT INTO `template_items` VALUES ('3655', 'object/tangible/lair/krahbu/shared_lair_krahbu.iff');
INSERT INTO `template_items` VALUES ('3656', 'object/tangible/ship/components/weapon_capacitor/shared_cap_reward_sorosuub_elite.iff');
INSERT INTO `template_items` VALUES ('3657', 'object/tangible/wearables/belt/shared_belt_s18.iff');
INSERT INTO `template_items` VALUES ('3658', 'object/tangible/ship/crafted/booster/shared_booster_overdriver_mk3.iff');
INSERT INTO `template_items` VALUES ('3659', 'object/tangible/hair/trandoshan/base/shared_hair_trandoshan_female_base.iff');
INSERT INTO `template_items` VALUES ('3660', 'object/tangible/firework/shared_firework_s03.iff');
INSERT INTO `template_items` VALUES ('3661', 'object/tangible/ship/components/droid_interface/shared_ddi_kse_manager_mk3.iff');
INSERT INTO `template_items` VALUES ('3662', 'object/tangible/component/vehicle/shared_military_d.iff');
INSERT INTO `template_items` VALUES ('3663', 'object/tangible/ship/customization/shared_xwing_cowl_neg_s01.iff');
INSERT INTO `template_items` VALUES ('3664', 'object/tangible/lair/pufferfish/shared_lair_pufferfish_underwater.iff');
INSERT INTO `template_items` VALUES ('3665', 'object/tangible/deed/faction_perk/hq/shared_hq_deed_base.iff');
INSERT INTO `template_items` VALUES ('3666', 'object/tangible/mission/quest_item/shared_senni_tonnika_q2_needed.iff');
INSERT INTO `template_items` VALUES ('3667', 'object/tangible/loot/misc/shared_ticket_expired.iff');
INSERT INTO `template_items` VALUES ('3668', 'object/tangible/space/veteran_reward/shared_sorosuub_space_yacht_deed.iff');
INSERT INTO `template_items` VALUES ('3669', 'object/tangible/lair/spined_snake/shared_lair_spined_snake.iff');
INSERT INTO `template_items` VALUES ('3670', 'object/tangible/container/base/shared_base_container_volume.iff');
INSERT INTO `template_items` VALUES ('3671', 'object/tangible/furniture/city/shared_streetlamp_large_red_01.iff');
INSERT INTO `template_items` VALUES ('3672', 'object/tangible/lair/gnort/shared_lair_gnort_mountain.iff');
INSERT INTO `template_items` VALUES ('3673', 'object/tangible/deed/event_perk/shared_crashed_xwing_theater_deed.iff');
INSERT INTO `template_items` VALUES ('3674', 'object/tangible/food/crafted/additive/shared_additive_heavy.iff');
INSERT INTO `template_items` VALUES ('3675', 'object/tangible/deed/event_perk/shared_radiologically_shielded_chest_deed.iff');
INSERT INTO `template_items` VALUES ('3676', 'object/tangible/lair/base/shared_poi_all_lair_garbage_small_evil_fire_red.iff');
INSERT INTO `template_items` VALUES ('3677', 'object/tangible/ship/components/armor/shared_arm_kse_modified_supreme_durasteel.iff');
INSERT INTO `template_items` VALUES ('3678', 'object/tangible/furniture/city/shared_fountain_contemplate.iff');
INSERT INTO `template_items` VALUES ('3679', 'object/tangible/loot/misc/shared_green_rug.iff');
INSERT INTO `template_items` VALUES ('3680', 'object/tangible/component/droid/shared_armor_module_2.iff');
INSERT INTO `template_items` VALUES ('3681', 'object/tangible/jedi/shared_jedi_holocron_dark.iff');
INSERT INTO `template_items` VALUES ('3682', 'object/tangible/ship/components/droid_interface/shared_ddi_kessel_rebel_incom_dx61.iff');
INSERT INTO `template_items` VALUES ('3683', 'object/tangible/hair/rodian/shared_hair_rodian_female_s06.iff');
INSERT INTO `template_items` VALUES ('3684', 'object/tangible/trophy/shared_picture_handheld_s01.iff');
INSERT INTO `template_items` VALUES ('3685', 'object/tangible/ship/components/armor/shared_arm_koensayr_improved_elite_plastisteel.iff');
INSERT INTO `template_items` VALUES ('3686', 'object/tangible/wearables/armor/singing_mountain_clan/shared_armor_smc_s01_bicep_r.iff');
INSERT INTO `template_items` VALUES ('3687', 'object/tangible/furniture/city/shared_statue_gungan_head.iff');
INSERT INTO `template_items` VALUES ('3688', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_imperial_assassination_02.iff');
INSERT INTO `template_items` VALUES ('3689', 'object/tangible/lair/angler/shared_lair_angler_swamp.iff');
INSERT INTO `template_items` VALUES ('3690', 'object/tangible/wearables/armor/mandalorian/shared_armor_mandalorian_bracer_r.iff');
INSERT INTO `template_items` VALUES ('3691', 'object/tangible/loot/simple_kit/shared_feed_tubes.iff');
INSERT INTO `template_items` VALUES ('3692', 'object/tangible/ship/components/booster/shared_bst_koensayr_charged_advanced.iff');
INSERT INTO `template_items` VALUES ('3693', 'object/tangible/dungeon/shared_computer_mainframe.iff');
INSERT INTO `template_items` VALUES ('3694', 'object/tangible/container/quest/crafting_contract/shared_generic_crate.iff');
INSERT INTO `template_items` VALUES ('3695', 'object/tangible/mission/quest_item/shared_biribas_tarun_q1_needed.iff');
INSERT INTO `template_items` VALUES ('3696', 'object/tangible/component/chemistry/shared_biologic_effect_controller_advanced.iff');
INSERT INTO `template_items` VALUES ('3697', 'object/tangible/loot/quest/shared_nym_droid_memory_chip.iff');
INSERT INTO `template_items` VALUES ('3698', 'object/tangible/ship/components/armor/shared_arm_kse_heavy_durasteel.iff');
INSERT INTO `template_items` VALUES ('3699', 'object/tangible/furniture/decorative/shared_campfire.iff');
INSERT INTO `template_items` VALUES ('3700', 'object/tangible/ship/components/engine/shared_eng_moncal_enhanced_light.iff');
INSERT INTO `template_items` VALUES ('3701', 'object/tangible/wearables/armor/kashyyykian_ceremonial/shared_armor_kashyyykian_ceremonial_leggings.iff');
INSERT INTO `template_items` VALUES ('3702', 'object/tangible/ship/crafted/weapon/shared_armor_effectiveness_intensifier_mk1.iff');
INSERT INTO `template_items` VALUES ('3703', 'object/tangible/mission/quest_item/shared_bardo_klinj_q3_needed.iff');
INSERT INTO `template_items` VALUES ('3704', 'object/tangible/powerup/weapon/shared_mine.iff');
INSERT INTO `template_items` VALUES ('3705', 'object/tangible/mission/quest_item/shared_xarot_korlin_q2_needed.iff');
INSERT INTO `template_items` VALUES ('3706', 'object/tangible/ship/components/weapon_capacitor/shared_cap_moncal_light.iff');
INSERT INTO `template_items` VALUES ('3707', 'object/tangible/component/weapon/shared_stock.iff');
INSERT INTO `template_items` VALUES ('3708', 'object/tangible/lair/kaitok/shared_lair_kaitok.iff');
INSERT INTO `template_items` VALUES ('3709', 'object/tangible/component/armor/shared_armor_segment_bone_kimogila.iff');
INSERT INTO `template_items` VALUES ('3710', 'object/tangible/test/shared_inventory_filler.iff');
INSERT INTO `template_items` VALUES ('3711', 'object/tangible/ship/crafted/engine/shared_base_engine_subcomponent.iff');
INSERT INTO `template_items` VALUES ('3712', 'object/tangible/ship/components/booster/shared_bst_gallofree_light.iff');
INSERT INTO `template_items` VALUES ('3713', 'object/tangible/lair/structure/interior/shared_lair_cave_large_interior_with_nest_condor_dragon.iff');
INSERT INTO `template_items` VALUES ('3714', 'object/tangible/furniture/city/shared_fountain_brazier_round.iff');
INSERT INTO `template_items` VALUES ('3715', 'object/tangible/component/weapon/shared_geonosian_power_cube.iff');
INSERT INTO `template_items` VALUES ('3716', 'object/tangible/loot/loot_schematic/shared_utensils_schematic.iff');
INSERT INTO `template_items` VALUES ('3717', 'object/tangible/component/armor/shared_armor_segment_ubese.iff');
INSERT INTO `template_items` VALUES ('3718', 'object/tangible/ship/components/droid_interface/shared_ddi_mandal_military_grade_mk2.iff');
INSERT INTO `template_items` VALUES ('3719', 'object/tangible/deed/pet_deed/shared_deed_probot_advanced_basic.iff');
INSERT INTO `template_items` VALUES ('3720', 'object/tangible/wearables/wookiee/shared_wke_lifeday_robe_f.iff');
INSERT INTO `template_items` VALUES ('3721', 'object/tangible/food/crafted/shared_drink_aitha.iff');
INSERT INTO `template_items` VALUES ('3722', 'object/tangible/ship/components/engine/shared_eng_qualdex_elite.iff');
INSERT INTO `template_items` VALUES ('3723', 'object/tangible/ship/components/weapon_capacitor/shared_cap_qualdex_conservator_qx4.iff');
INSERT INTO `template_items` VALUES ('3724', 'object/tangible/lair/rancor/shared_lair_rancor.iff');
INSERT INTO `template_items` VALUES ('3725', 'object/tangible/mission/quest_item/shared_daclif_gallamby_q3_needed.iff');
INSERT INTO `template_items` VALUES ('3726', 'object/tangible/lair/base/shared_poi_all_lair_nest_large_fog_green.iff');
INSERT INTO `template_items` VALUES ('3727', 'object/tangible/wearables/armor/ithorian_guardian/shared_ith_armor_s02_bracer_l.iff');
INSERT INTO `template_items` VALUES ('3728', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_male_s02.iff');
INSERT INTO `template_items` VALUES ('3729', 'object/tangible/wearables/boots/shared_boots_s04.iff');
INSERT INTO `template_items` VALUES ('3730', 'object/tangible/skill_buff/shared_skill_buff_ranged_accuracy.iff');
INSERT INTO `template_items` VALUES ('3731', 'object/tangible/component/droid/shared_medic_module_4.iff');
INSERT INTO `template_items` VALUES ('3732', 'object/tangible/component/weapon/lightsaber/shared_lightsaber_module_krayt_dragon_pearl.iff');
INSERT INTO `template_items` VALUES ('3733', 'object/tangible/ship/crafted/droid_interface/shared_ddi_mk2.iff');
INSERT INTO `template_items` VALUES ('3734', 'object/tangible/lair/winged_ornith/shared_lair_winged_ornith.iff');
INSERT INTO `template_items` VALUES ('3735', 'object/tangible/ship/components/weapon/shared_wpn_koensayr_tuned_light_disruptor.iff');
INSERT INTO `template_items` VALUES ('3736', 'object/tangible/wearables/armor/zam/shared_armor_zam_wesell_helmet_quest.iff');
INSERT INTO `template_items` VALUES ('3737', 'object/tangible/jedi/shared_no_drop_jedi_holocron_dark.iff');
INSERT INTO `template_items` VALUES ('3738', 'object/tangible/container/drum/shared_poi_prize_box_off.iff');
INSERT INTO `template_items` VALUES ('3739', 'object/tangible/wearables/necklace/shared_necklace_convoluted_adornment.iff');
INSERT INTO `template_items` VALUES ('3740', 'object/tangible/wearables/ithorian/shared_ith_jacket_s09.iff');
INSERT INTO `template_items` VALUES ('3741', 'object/tangible/wearables/shirt/shared_shirt_s30.iff');
INSERT INTO `template_items` VALUES ('3742', 'object/tangible/furniture/decorative/shared_microphone_s02.iff');
INSERT INTO `template_items` VALUES ('3743', 'object/tangible/terminal/shared_terminal_dark_enclave_voting.iff');
INSERT INTO `template_items` VALUES ('3744', 'object/tangible/transport/shared_door.iff');
INSERT INTO `template_items` VALUES ('3745', 'object/tangible/ship/components/shield_generator/shared_shd_mandal_flexshield_ks25.iff');
INSERT INTO `template_items` VALUES ('3746', 'object/tangible/ship/components/droid_interface/shared_ddi_subpro_jrd33.iff');
INSERT INTO `template_items` VALUES ('3747', 'object/tangible/ship/attachment/weapon/shared_ywing_weapon1_s02.iff');
INSERT INTO `template_items` VALUES ('3748', 'object/tangible/item/quest/hero_of_tatooine/shared_explosives.iff');
INSERT INTO `template_items` VALUES ('3749', 'object/tangible/ui/shared_ui_planet_rori.iff');
INSERT INTO `template_items` VALUES ('3750', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon2_s01.iff');
INSERT INTO `template_items` VALUES ('3751', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_female_s13.iff');
INSERT INTO `template_items` VALUES ('3752', 'object/tangible/component/droid/repair/shared_power_supply_redundant.iff');
INSERT INTO `template_items` VALUES ('3753', 'object/tangible/hair/human/shared_hair_human_female_s34.iff');
INSERT INTO `template_items` VALUES ('3754', 'object/tangible/loot/quest/shared_hvy_disruptor_cannon_broken.iff');
INSERT INTO `template_items` VALUES ('3755', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s03_lit.iff');
INSERT INTO `template_items` VALUES ('3756', 'object/tangible/ship/crafted/weapon/shared_quick_shot_upgrade_mk2.iff');
INSERT INTO `template_items` VALUES ('3757', 'object/tangible/lair/base/shared_poi_all_lair_mound_small_fog_gray.iff');
INSERT INTO `template_items` VALUES ('3758', 'object/tangible/survey_tool/shared_survey_tool_solar.iff');
INSERT INTO `template_items` VALUES ('3759', 'object/tangible/wearables/armor/kashyyykian_ceremonial/shared_armor_kashyyykian_ceremonial_chest_plate.iff');
INSERT INTO `template_items` VALUES ('3760', 'object/tangible/food/base/shared_veggie_base.iff');
INSERT INTO `template_items` VALUES ('3761', 'object/tangible/droid/shared_navicomputer_6.iff');
INSERT INTO `template_items` VALUES ('3762', 'object/tangible/ship/components/shield_generator/shared_shd_mission_reward_imperial_cygnus_holoscreen.iff');
INSERT INTO `template_items` VALUES ('3763', 'object/tangible/deed/event_perk/shared_treasure_crate_chest_deed.iff');
INSERT INTO `template_items` VALUES ('3764', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_proton_missile_mk2.iff');
INSERT INTO `template_items` VALUES ('3765', 'object/tangible/ship/attachment/booster/shared_kse_firespray_booster_s01.iff');
INSERT INTO `template_items` VALUES ('3766', 'object/tangible/wearables/robe/shared_robe_tusken_raider_s02.iff');
INSERT INTO `template_items` VALUES ('3767', 'object/tangible/lair/fambaa/shared_lair_fambaa.iff');
INSERT INTO `template_items` VALUES ('3768', 'object/tangible/mission/quest_item/shared_warren_farewell_letter.iff');
INSERT INTO `template_items` VALUES ('3769', 'object/tangible/veteran_reward/shared_frn_vet_protocol_droid_toy.iff');
INSERT INTO `template_items` VALUES ('3770', 'object/tangible/component/droid/shared_performer_effects_a.iff');
INSERT INTO `template_items` VALUES ('3771', 'object/tangible/lair/base/shared_poi_all_lair_thicket_small_fog_red.iff');
INSERT INTO `template_items` VALUES ('3772', 'object/tangible/medicine/pet/shared_droid_damage_kit_a.iff');
INSERT INTO `template_items` VALUES ('3773', 'object/tangible/lair/bantha/shared_lair_bantha.iff');
INSERT INTO `template_items` VALUES ('3774', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_03.iff');
INSERT INTO `template_items` VALUES ('3775', 'object/tangible/component/armor/shared_shield_generator_personal_b.iff');
INSERT INTO `template_items` VALUES ('3776', 'object/tangible/loot/loot_schematic/shared_death_watch_mandalorian_chest_plate_schematic.iff');
INSERT INTO `template_items` VALUES ('3777', 'object/tangible/ship/crafted/engine/shared_engine_qualdex_kyromaster.iff');
INSERT INTO `template_items` VALUES ('3778', 'object/tangible/deed/pet_deed/shared_fambaa_deed.iff');
INSERT INTO `template_items` VALUES ('3779', 'object/tangible/space/story_loot/shared_loot_dantooine_imp.iff');
INSERT INTO `template_items` VALUES ('3780', 'object/tangible/furniture/all/shared_frn_all_lamp_desk_s01.iff');
INSERT INTO `template_items` VALUES ('3781', 'object/tangible/wearables/base/shared_base_helmet_closed_eyes.iff');
INSERT INTO `template_items` VALUES ('3782', 'object/tangible/container/loot/shared_placable_loot_crate.iff');
INSERT INTO `template_items` VALUES ('3783', 'object/tangible/wearables/bandolier/shared_bandolier_tusken_raider_s01.iff');
INSERT INTO `template_items` VALUES ('3784', 'object/tangible/lair/sarlacc/shared_lair_sarlacc_desert.iff');
INSERT INTO `template_items` VALUES ('3785', 'object/tangible/component/weapon/shared_geonosian_reinforcement_core.iff');
INSERT INTO `template_items` VALUES ('3786', 'object/tangible/deed/player_house_deed/shared_corellia_house_small_style_02_deed.iff');
INSERT INTO `template_items` VALUES ('3787', 'object/tangible/ship/attachment/engine/shared_xwing_engine_neg_s02.iff');
INSERT INTO `template_items` VALUES ('3788', 'object/tangible/deed/pet_deed/shared_huurton_deed.iff');
INSERT INTO `template_items` VALUES ('3789', 'object/tangible/component/droid/shared_p0_droid_chassis.iff');
INSERT INTO `template_items` VALUES ('3790', 'object/tangible/wearables/jacket/shared_jacket_s11.iff');
INSERT INTO `template_items` VALUES ('3791', 'object/tangible/painting/shared_painting_agrilat_s01.iff');
INSERT INTO `template_items` VALUES ('3792', 'object/tangible/deed/pet_deed/shared_bantha_deed.iff');
INSERT INTO `template_items` VALUES ('3793', 'object/tangible/food/spice/shared_spice_kliknik_boost.iff');
INSERT INTO `template_items` VALUES ('3794', 'object/tangible/ship/crafted/repair/shared_repair_kit_shield_generator.iff');
INSERT INTO `template_items` VALUES ('3795', 'object/tangible/ship/components/armor/shared_arm_incom_modified_standard_plate.iff');
INSERT INTO `template_items` VALUES ('3796', 'object/tangible/lair/base/shared_poi_all_lair_wooden_fog_green.iff');
INSERT INTO `template_items` VALUES ('3797', 'object/tangible/loot/quest/shared_quest_item_spice_jar.iff');
INSERT INTO `template_items` VALUES ('3798', 'object/tangible/wearables/dress/shared_dress_s12.iff');
INSERT INTO `template_items` VALUES ('3799', 'object/tangible/lair/stormtrooper/shared_lair_stormtrooper_npc.iff');
INSERT INTO `template_items` VALUES ('3800', 'object/tangible/space/spacestations/shared_spacestation_imperial_battlefield_control.iff');
INSERT INTO `template_items` VALUES ('3801', 'object/tangible/component/weapon/shared_scope_weapon_lg_s02.iff');
INSERT INTO `template_items` VALUES ('3802', 'object/tangible/lair/kimogila/shared_lair_kimogila_grassland.iff');
INSERT INTO `template_items` VALUES ('3803', 'object/tangible/ship/components/armor/shared_arm_mandal_elite_composite.iff');
INSERT INTO `template_items` VALUES ('3804', 'object/tangible/lair/horned_krevol/shared_lair_horned_krevol_mountain.iff');
INSERT INTO `template_items` VALUES ('3805', 'object/tangible/lair/hutt_thug/shared_lair_hutt_thug_npc.iff');
INSERT INTO `template_items` VALUES ('3806', 'object/tangible/food/crafted/shared_drink_tilla_tiil.iff');
INSERT INTO `template_items` VALUES ('3807', 'object/tangible/food/foraged/shared_foraged_vegetable_s2.iff');
INSERT INTO `template_items` VALUES ('3808', 'object/tangible/ship/crafted/booster/shared_booster_mk2.iff');
INSERT INTO `template_items` VALUES ('3809', 'object/tangible/hair/human/shared_hair_human_male_s01.iff');
INSERT INTO `template_items` VALUES ('3810', 'object/tangible/lair/carrion_spat/shared_lair_carrion_spat_grassland.iff');
INSERT INTO `template_items` VALUES ('3811', 'object/tangible/mission/quest_item/shared_daclif_gallamby_q2_needed.iff');
INSERT INTO `template_items` VALUES ('3812', 'object/tangible/component/armor/shared_armor_segment_zam.iff');
INSERT INTO `template_items` VALUES ('3813', 'object/tangible/loot/loot_schematic/shared_corellian_corvette_rifle_berserker_schematic.iff');
INSERT INTO `template_items` VALUES ('3814', 'object/tangible/sign/shared_all_sign_city_s03.iff');
INSERT INTO `template_items` VALUES ('3815', 'object/tangible/food/crafted/shared_dessert_pyollian_cake.iff');
INSERT INTO `template_items` VALUES ('3816', 'object/tangible/ship/components/booster/shared_bst_sorosuub_liberator_mk5.iff');
INSERT INTO `template_items` VALUES ('3817', 'object/tangible/deed/city_deed/shared_garden_tatooine_med_02_deed.iff');
INSERT INTO `template_items` VALUES ('3818', 'object/tangible/component/armor/shared_feather_peko_albatross.iff');
INSERT INTO `template_items` VALUES ('3819', 'object/tangible/camp/shared_camp_cot_s1.iff');
INSERT INTO `template_items` VALUES ('3820', 'object/tangible/furniture/all/shared_frn_all_light_lamp_desk_s01.iff');
INSERT INTO `template_items` VALUES ('3821', 'object/tangible/lair/base/shared_poi_all_lair_insecthill_large_evil_fire_red.iff');
INSERT INTO `template_items` VALUES ('3822', 'object/tangible/sign/player/shared_shop_sign_s04.iff');
INSERT INTO `template_items` VALUES ('3823', 'object/tangible/loot/dungeon/corellian_corvette/shared_imperial_rescue_filler02.iff');
INSERT INTO `template_items` VALUES ('3824', 'object/tangible/deed/factory_deed/shared_factory_structure_deed.iff');
INSERT INTO `template_items` VALUES ('3825', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s10.iff');
INSERT INTO `template_items` VALUES ('3826', 'object/tangible/hair/rodian/base/shared_hair_rodian_female_base.iff');
INSERT INTO `template_items` VALUES ('3827', 'object/tangible/lair/base/shared_lair_base_mound_bramble_dark.iff');
INSERT INTO `template_items` VALUES ('3828', 'object/tangible/ship/attachment/engine/shared_blacksun_heavy_engine_s02.iff');
INSERT INTO `template_items` VALUES ('3829', 'object/tangible/hair/human/shared_hair_human_female_s09.iff');
INSERT INTO `template_items` VALUES ('3830', 'object/tangible/wearables/earring/shared_earring_s12.iff');
INSERT INTO `template_items` VALUES ('3831', 'object/tangible/medicine/crafted/shared_medpack_disease_mind_b.iff');
INSERT INTO `template_items` VALUES ('3832', 'object/tangible/wearables/ithorian/shared_ith_belt_s15.iff');
INSERT INTO `template_items` VALUES ('3833', 'object/tangible/loot/loot_schematic/shared_death_watch_executioners_hack_schematic.iff');
INSERT INTO `template_items` VALUES ('3834', 'object/tangible/veteran_reward/one_year_anniversary/shared_painting_09.iff');
INSERT INTO `template_items` VALUES ('3835', 'object/tangible/gravestone/shared_gravestone03.iff');
INSERT INTO `template_items` VALUES ('3836', 'object/tangible/hair/rodian/shared_hair_rodian_male_s16.iff');
INSERT INTO `template_items` VALUES ('3837', 'object/tangible/ship/components/droid_interface/shared_ddi_sfs_imperial_mk5.iff');
INSERT INTO `template_items` VALUES ('3838', 'object/tangible/mission/quest_item/shared_bardo_klinj_q2_needed.iff');
INSERT INTO `template_items` VALUES ('3839', 'object/tangible/lair/fynock/shared_lair_fynock.iff');
INSERT INTO `template_items` VALUES ('3840', 'object/tangible/loot/quest/shared_sean_campaign_disk.iff');
INSERT INTO `template_items` VALUES ('3841', 'object/tangible/component/weapon/shared_scope_weapon_sm_s01.iff');
INSERT INTO `template_items` VALUES ('3842', 'object/tangible/furniture/plain/shared_plain_end_table_s01.iff');
INSERT INTO `template_items` VALUES ('3843', 'object/tangible/ship/components/weapon/shared_wpn_seinar_ls1.iff');
INSERT INTO `template_items` VALUES ('3844', 'object/tangible/mission/quest_item/shared_charal_q1_needed.iff');
INSERT INTO `template_items` VALUES ('3845', 'object/tangible/ship/components/booster/shared_bst_koensayr_heavy.iff');
INSERT INTO `template_items` VALUES ('3846', 'object/tangible/deed/guild_deed/shared_naboo_guild_deed.iff');
INSERT INTO `template_items` VALUES ('3847', 'object/tangible/component/base/shared_base_component.iff');
INSERT INTO `template_items` VALUES ('3848', 'object/tangible/painting/shared_painting_bestine_blumbush.iff');
INSERT INTO `template_items` VALUES ('3849', 'object/tangible/ship/components/weapon_capacitor/shared_cap_corellian_cruiser_grade_cap2.iff');
INSERT INTO `template_items` VALUES ('3850', 'object/tangible/wearables/armor/kashyyykian_black_mtn/shared_armor_kashyyykian_black_mtn_bracer_l.iff');
INSERT INTO `template_items` VALUES ('3851', 'object/tangible/loot/collectible/collectible_parts/shared_orange_rug_patches.iff');
INSERT INTO `template_items` VALUES ('3852', 'object/tangible/ship/crafted/armor/shared_base_armor_subcomponent_mk5.iff');
INSERT INTO `template_items` VALUES ('3853', 'object/tangible/lair/base/shared_poi_all_lair_nest_large_fog_gray.iff');
INSERT INTO `template_items` VALUES ('3854', 'object/tangible/ship/components/weapon/shared_wpn_subpro_improved_light_ioncannon.iff');
INSERT INTO `template_items` VALUES ('3855', 'object/tangible/sign/municipal/shared_municipal_sign_hanging_shuttle.iff');
INSERT INTO `template_items` VALUES ('3856', 'object/tangible/wearables/belt/shared_belt_s11.iff');
INSERT INTO `template_items` VALUES ('3857', 'object/tangible/loot/simple_kit/shared_datapad_casing.iff');
INSERT INTO `template_items` VALUES ('3858', 'object/tangible/component/droid/shared_crafting_module_base.iff');
INSERT INTO `template_items` VALUES ('3859', 'object/tangible/component/weapon/shared_vibro_unit_enhancement_max_damage.iff');
INSERT INTO `template_items` VALUES ('3860', 'object/tangible/ship/components/booster/shared_bst_mandal_jbj_mk4.iff');
INSERT INTO `template_items` VALUES ('3861', 'object/tangible/wearables/base/shared_base_ear_r.iff');
INSERT INTO `template_items` VALUES ('3862', 'object/tangible/ship/components/shield_generator/shared_shield_generator_test.iff');
INSERT INTO `template_items` VALUES ('3863', 'object/tangible/wearables/ithorian/shared_ith_robe_s03.iff');
INSERT INTO `template_items` VALUES ('3864', 'object/tangible/space/spacestations/shared_spacestation_rebel_01.iff');
INSERT INTO `template_items` VALUES ('3865', 'object/tangible/ship/components/weapon/shared_wpn_taim_ix4.iff');
INSERT INTO `template_items` VALUES ('3866', 'object/tangible/ship/components/chassis/shared_hutt_light_chassis_token.iff');
INSERT INTO `template_items` VALUES ('3867', 'object/tangible/medicine/crafted/shared_medpack_disease_action_b.iff');
INSERT INTO `template_items` VALUES ('3868', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff');
INSERT INTO `template_items` VALUES ('3869', 'object/tangible/container/loot/shared_placable_loot_crate_tech_armoire.iff');
INSERT INTO `template_items` VALUES ('3870', 'object/tangible/instrument/shared_nalargon.iff');
INSERT INTO `template_items` VALUES ('3871', 'object/tangible/mission/quest_item/shared_senni_tonnika_q1_needed.iff');
INSERT INTO `template_items` VALUES ('3872', 'object/tangible/ship/attachment/weapon/shared_kse_firespray_weapon1_s06.iff');
INSERT INTO `template_items` VALUES ('3873', 'object/tangible/hair/bothan/shared_hair_bothan_female_s14.iff');
INSERT INTO `template_items` VALUES ('3874', 'object/tangible/component/armor/shared_armor_module_light.iff');
INSERT INTO `template_items` VALUES ('3875', 'object/tangible/food/creature_bio_effects/shared_bio_kliknik_fortitude_boost.iff');
INSERT INTO `template_items` VALUES ('3876', 'object/tangible/component/munition/shared_warhead_heavy.iff');
INSERT INTO `template_items` VALUES ('3877', 'object/tangible/wearables/bodysuit/shared_bodysuit_sarlacc_coverall.iff');
INSERT INTO `template_items` VALUES ('3878', 'object/tangible/space/spacestations/shared_spacestation_neutral_01.iff');
INSERT INTO `template_items` VALUES ('3879', 'object/tangible/hair/human/shared_hair_human_female_s24.iff');
INSERT INTO `template_items` VALUES ('3880', 'object/tangible/space/story_loot/shared_loot_naboo_civspeeder.iff');
INSERT INTO `template_items` VALUES ('3881', 'object/tangible/ship/components/armor/shared_arm_cygnus_light_weave.iff');
INSERT INTO `template_items` VALUES ('3882', 'object/tangible/hopper/crafting_station_hopper/shared_crafting_station_ingredient_hopper_structure_medium.iff');
INSERT INTO `template_items` VALUES ('3883', 'object/tangible/skill_buff/shared_skill_buff_carbine_speed.iff');
INSERT INTO `template_items` VALUES ('3884', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_female_s03.iff');
INSERT INTO `template_items` VALUES ('3885', 'object/tangible/hair/sullustan/shared_sul_hair_s07_m.iff');
INSERT INTO `template_items` VALUES ('3886', 'object/tangible/lair/gurreck/shared_lair_gurreck_mountain.iff');
INSERT INTO `template_items` VALUES ('3887', 'object/tangible/ship/components/booster/shared_bst_moncal_enhanced_elite.iff');
INSERT INTO `template_items` VALUES ('3888', 'object/tangible/loot/collectible/collectible_parts/shared_light_table_glasstop_02.iff');
INSERT INTO `template_items` VALUES ('3889', 'object/tangible/medicine/crafted/shared_crafted_stimpack_sm_s1_a.iff');
INSERT INTO `template_items` VALUES ('3890', 'object/tangible/painting/shared_painting_victorious_reign.iff');
INSERT INTO `template_items` VALUES ('3891', 'object/tangible/lair/kupernug/shared_lair_kupernug_wasteland.iff');
INSERT INTO `template_items` VALUES ('3892', 'object/tangible/component/droid/repair/shared_repair_unit_casing.iff');
INSERT INTO `template_items` VALUES ('3893', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_lg_s02_lg.iff');
INSERT INTO `template_items` VALUES ('3894', 'object/tangible/deed/pet_deed/shared_krahbu_deed.iff');
INSERT INTO `template_items` VALUES ('3895', 'object/tangible/slicing/shared_slicing_armor_upgrade_kit.iff');
INSERT INTO `template_items` VALUES ('3896', 'object/tangible/component/vehicle/shared_extended_fuel_tanks.iff');
INSERT INTO `template_items` VALUES ('3897', 'object/tangible/furniture/all/shared_frn_all_lamp_table_s01.iff');
INSERT INTO `template_items` VALUES ('3898', 'object/tangible/hair/zabrak/base/shared_hair_zabrak_male_base.iff');
INSERT INTO `template_items` VALUES ('3899', 'object/tangible/deed/player_house_deed/shared_naboo_house_large_deed.iff');
INSERT INTO `template_items` VALUES ('3900', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s01_gloves.iff');
INSERT INTO `template_items` VALUES ('3901', 'object/tangible/painting/shared_painting_rodian_f.iff');
INSERT INTO `template_items` VALUES ('3902', 'object/tangible/lair/bluefish/shared_lair_bluefish_underwater.iff');
INSERT INTO `template_items` VALUES ('3903', 'object/tangible/deed/pet_deed/shared_vir_vur_deed.iff');
INSERT INTO `template_items` VALUES ('3904', 'object/tangible/lair/spined_puc/shared_lair_spined_puc_underwater.iff');
INSERT INTO `template_items` VALUES ('3905', 'object/tangible/ship/crafted/shields/shared_shield_intensifier_mk3.iff');
INSERT INTO `template_items` VALUES ('3906', 'object/tangible/lair/nerf/shared_lair_nerf.iff');
INSERT INTO `template_items` VALUES ('3907', 'object/tangible/medicine/crafted/shared_medpack_disease_area_stamina_c.iff');
INSERT INTO `template_items` VALUES ('3908', 'object/tangible/ship/components/reactor/shared_rct_slayn_vortex_mk2.iff');
INSERT INTO `template_items` VALUES ('3909', 'object/tangible/ship/crafted/weapon/shared_wpn_light_blaster_green.iff');
INSERT INTO `template_items` VALUES ('3910', 'object/tangible/lair/eopie/shared_lair_eopie_desert.iff');
INSERT INTO `template_items` VALUES ('3911', 'object/tangible/loot/misc/shared_mt_flatbread.iff');
INSERT INTO `template_items` VALUES ('3912', 'object/tangible/lair/borgle/shared_lair_borgle.iff');
INSERT INTO `template_items` VALUES ('3913', 'object/tangible/medicine/crafted/shared_medpack_disease_area_constitution_b.iff');
INSERT INTO `template_items` VALUES ('3914', 'object/tangible/ship/components/booster/shared_bst_reward_qualdex_elite.iff');
INSERT INTO `template_items` VALUES ('3915', 'object/tangible/mission/quest_item/shared_kylantha_q2_needed.iff');
INSERT INTO `template_items` VALUES ('3916', 'object/tangible/deed/city_deed/shared_garden_corellia_lrg_05_deed.iff');
INSERT INTO `template_items` VALUES ('3917', 'object/tangible/lair/base/shared_poi_all_lair_leaf_small_fog_green.iff');
INSERT INTO `template_items` VALUES ('3918', 'object/tangible/ship/components/booster/shared_bst_koensayr_special_evh12.iff');
INSERT INTO `template_items` VALUES ('3919', 'object/tangible/item/quest/force_sensitive/shared_fs_craft_puzzle_terminal.iff');
INSERT INTO `template_items` VALUES ('3920', 'object/tangible/loot/collectible/collectible_parts/shared_sculpture_goldinlay_02.iff');
INSERT INTO `template_items` VALUES ('3921', 'object/tangible/wearables/boots/shared_boots_s14.iff');
INSERT INTO `template_items` VALUES ('3922', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_male_s12.iff');
INSERT INTO `template_items` VALUES ('3923', 'object/tangible/inventory/shared_creature_inventory_4.iff');
INSERT INTO `template_items` VALUES ('3924', 'object/tangible/ship/crafted/weapon/shared_wpn_experimental_blaster_green.iff');
INSERT INTO `template_items` VALUES ('3925', 'object/tangible/painting/shared_painting_tato_s03.iff');
INSERT INTO `template_items` VALUES ('3926', 'object/tangible/hair/sullustan/shared_sul_hair_s08_f.iff');
INSERT INTO `template_items` VALUES ('3927', 'object/tangible/ship/components/booster/shared_bst_subpro_deluxe_accelatron_mk3.iff');
INSERT INTO `template_items` VALUES ('3928', 'object/tangible/medicine/crafted/shared_medpack_wound_quickness_e.iff');
INSERT INTO `template_items` VALUES ('3929', 'object/tangible/lair/corellian_slice_hound/shared_lair_corellian_slice_hound_forest.iff');
INSERT INTO `template_items` VALUES ('3930', 'object/tangible/ship/components/armor/shared_arm_mandal_custom_heavy_composite.iff');
INSERT INTO `template_items` VALUES ('3931', 'object/tangible/lair/dune_lizard/shared_lair_dune_lizard.iff');
INSERT INTO `template_items` VALUES ('3932', 'object/tangible/lair/base/shared_objective_gungan_statue.iff');
INSERT INTO `template_items` VALUES ('3933', 'object/tangible/component/armor/shared_armor_segment_chitin_kliknick.iff');
INSERT INTO `template_items` VALUES ('3934', 'object/tangible/mission/quest_item/shared_output_governor.iff');
INSERT INTO `template_items` VALUES ('3935', 'object/tangible/loot/dungeon/corellian_corvette/shared_neutral_assassin_filler02.iff');
INSERT INTO `template_items` VALUES ('3936', 'object/tangible/component/shared_blaster_barrel.iff');
INSERT INTO `template_items` VALUES ('3937', 'object/tangible/deed/player_house_deed/shared_corellia_house_medium_style_02_deed.iff');
INSERT INTO `template_items` VALUES ('3938', 'object/tangible/wearables/gloves/shared_gloves_corsec.iff');
INSERT INTO `template_items` VALUES ('3939', 'object/tangible/mission/quest_item/shared_daclif_gallamby_q6_needed.iff');
INSERT INTO `template_items` VALUES ('3940', 'object/tangible/lair/base/shared_poi_all_lair_rock_shelter_small_fog_mustard.iff');
INSERT INTO `template_items` VALUES ('3941', 'object/tangible/wearables/armor/ithorian_sentinel/shared_ith_armor_s03_gloves.iff');
INSERT INTO `template_items` VALUES ('3942', 'object/tangible/ship/crafted/engine/shared_base_engine.iff');
INSERT INTO `template_items` VALUES ('3943', 'object/tangible/lair/horned_rasp/shared_lair_horned_rasp_jungle.iff');
INSERT INTO `template_items` VALUES ('3944', 'object/tangible/ship/crafted/armor/shared_armor_reinforcement_panel_mk5.iff');
INSERT INTO `template_items` VALUES ('3945', 'object/tangible/ship/components/weapon/shared_wpn_spacestation_rebel_turret_s01.iff');
INSERT INTO `template_items` VALUES ('3946', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_m_s04.iff');
INSERT INTO `template_items` VALUES ('3947', 'object/tangible/lair/dwarf_nuna/shared_lair_dwarf_nuna_forest.iff');
INSERT INTO `template_items` VALUES ('3948', 'object/tangible/container/drum/shared_warren_reactor_core.iff');
INSERT INTO `template_items` VALUES ('3949', 'object/tangible/wearables/shoes/shared_shoes_s09.iff');
INSERT INTO `template_items` VALUES ('3950', 'object/tangible/item/new_player/shared_new_player_cloning_coupon.iff');
INSERT INTO `template_items` VALUES ('3951', 'object/tangible/ship/attachment/wing/shared_lambda_wing_l.iff');
INSERT INTO `template_items` VALUES ('3952', 'object/tangible/scout/trap/shared_trap_ranged_speed_1.iff');
INSERT INTO `template_items` VALUES ('3953', 'object/tangible/lair/verne/shared_lair_verne_forest.iff');
INSERT INTO `template_items` VALUES ('3954', 'object/tangible/treasure_map/shared_treasure_map_base.iff');
INSERT INTO `template_items` VALUES ('3955', 'object/tangible/deed/pet_deed/shared_woolamander_deed.iff');
INSERT INTO `template_items` VALUES ('3956', 'object/tangible/wearables/base/shared_base_jacket_halfsleeve.iff');
INSERT INTO `template_items` VALUES ('3957', 'object/tangible/medicine/shared_medpack_dizzy.iff');
INSERT INTO `template_items` VALUES ('3958', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_01.iff');
INSERT INTO `template_items` VALUES ('3959', 'object/tangible/loot/collectible/collectible_parts/shared_gong_skin_back.iff');
INSERT INTO `template_items` VALUES ('3960', 'object/tangible/hair/twilek/shared_hair_twilek_male_s01.iff');
INSERT INTO `template_items` VALUES ('3961', 'object/tangible/wearables/wookiee/shared_wke_shoulder_pad_s02.iff');
INSERT INTO `template_items` VALUES ('3962', 'object/tangible/loot/bestine/shared_bestine_painting_schematic_golden_flower_03.iff');
INSERT INTO `template_items` VALUES ('3963', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon_neg_s01_1.iff');
INSERT INTO `template_items` VALUES ('3964', 'object/tangible/deed/city_deed/shared_garden_naboo_lrg_04_deed.iff');
INSERT INTO `template_items` VALUES ('3965', 'object/tangible/hopper/crafting_station_hopper/shared_crafting_station_ingredient_hopper_structure_small.iff');
INSERT INTO `template_items` VALUES ('3966', 'object/tangible/medicine/crafted/shared_medpack_disease_area_quickness_b.iff');
INSERT INTO `template_items` VALUES ('3967', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s03_bicep_r.iff');
INSERT INTO `template_items` VALUES ('3968', 'object/tangible/lair/ronto/shared_lair_ronto.iff');
INSERT INTO `template_items` VALUES ('3969', 'object/tangible/loot/dungeon/death_watch_bunker/shared_fuel_injector_tank.iff');
INSERT INTO `template_items` VALUES ('3970', 'object/tangible/furniture/decorative/shared_bottle_fat.iff');
INSERT INTO `template_items` VALUES ('3971', 'object/tangible/scout/trap/shared_trap_tranq_dart.iff');
INSERT INTO `template_items` VALUES ('3972', 'object/tangible/ship/components/armor/shared_arm_kse_intermediate_durasteel.iff');
INSERT INTO `template_items` VALUES ('3973', 'object/tangible/mission/quest_item/shared_rovim_minnoni_q1_needed.iff');
INSERT INTO `template_items` VALUES ('3974', 'object/tangible/deed/event_perk/shared_rsf_2x10_honorguard_deed.iff');
INSERT INTO `template_items` VALUES ('3975', 'object/tangible/ship/components/weapon_capacitor/shared_cap_incom_special_bjn825.iff');
INSERT INTO `template_items` VALUES ('3976', 'object/tangible/wearables/armor/bounty_hunter/shared_armor_bounty_hunter_bicep_r.iff');
INSERT INTO `template_items` VALUES ('3977', 'object/tangible/ship/components/droid_interface/shared_ddi_qualdex_droid_interface_mk3.iff');
INSERT INTO `template_items` VALUES ('3978', 'object/tangible/medicine/crafted/shared_medpack_disease_stamina_a.iff');
INSERT INTO `template_items` VALUES ('3979', 'object/tangible/camp/shared_camp_light_s2.iff');
INSERT INTO `template_items` VALUES ('3980', 'object/tangible/food/crafted/shared_drink_sullustan_gin.iff');
INSERT INTO `template_items` VALUES ('3981', 'object/tangible/food/crafted/shared_dessert_won_won.iff');
INSERT INTO `template_items` VALUES ('3982', 'object/tangible/veteran_reward/shared_data_terminal_s4.iff');
INSERT INTO `template_items` VALUES ('3983', 'object/tangible/lair/base/shared_poi_all_lair_nest_small.iff');
INSERT INTO `template_items` VALUES ('3984', 'object/tangible/component/vehicle/shared_civilian_d.iff');
INSERT INTO `template_items` VALUES ('3985', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s10.iff');
INSERT INTO `template_items` VALUES ('3986', 'object/tangible/mission/quest_item/shared_stoos_olko_q2_needed.iff');
INSERT INTO `template_items` VALUES ('3987', 'object/tangible/ship/components/shield_generator/shared_shd_moncal_deluxe_ionweb_b.iff');
INSERT INTO `template_items` VALUES ('3988', 'object/tangible/food/crafted/shared_drink_corellian_brandy.iff');
INSERT INTO `template_items` VALUES ('3989', 'object/tangible/ship/components/reactor/shared_rct_cygnus_supercharged_mk2.iff');
INSERT INTO `template_items` VALUES ('3990', 'object/tangible/hair/rodian/shared_hair_rodian_female_s16.iff');
INSERT INTO `template_items` VALUES ('3991', 'object/tangible/deed/pet_deed/shared_angler_deed.iff');
INSERT INTO `template_items` VALUES ('3992', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_neg_s01_1.iff');
INSERT INTO `template_items` VALUES ('3993', 'object/tangible/mission/quest_item/shared_hal_horn_q1_needed.iff');
INSERT INTO `template_items` VALUES ('3994', 'object/tangible/ship/components/weapon_capacitor/shared_cap_mandal_powermaster_mk4.iff');
INSERT INTO `template_items` VALUES ('3995', 'object/tangible/ship/components/armor/shared_armor_trilon_unknown.iff');
INSERT INTO `template_items` VALUES ('3996', 'object/tangible/wearables/ithorian/shared_apron_chef_jacket_s01_ith.iff');
INSERT INTO `template_items` VALUES ('3997', 'object/tangible/mission/quest_item/shared_stoos_olko_q3_needed.iff');
INSERT INTO `template_items` VALUES ('3998', 'object/tangible/wearables/base/shared_base_cape.iff');
INSERT INTO `template_items` VALUES ('3999', 'object/tangible/ship/components/armor/shared_arm_corellian_standard_durasteel.iff');
INSERT INTO `template_items` VALUES ('4000', 'object/tangible/wearables/pants/shared_pants_s33.iff');
INSERT INTO `template_items` VALUES ('4001', 'object/tangible/ship/crafted/chassis/shared_chassis_hutt_light_wing_s01.iff');
INSERT INTO `template_items` VALUES ('4002', 'object/tangible/container/quest/crafting_contract/shared_clothing_crate.iff');
INSERT INTO `template_items` VALUES ('4003', 'object/tangible/wearables/belt/shared_belt_s01.iff');
INSERT INTO `template_items` VALUES ('4004', 'object/tangible/wearables/skirt/shared_skirt_s05.iff');
INSERT INTO `template_items` VALUES ('4005', 'object/tangible/hair/sullustan/shared_sul_hair_s05_f.iff');
INSERT INTO `template_items` VALUES ('4006', 'object/tangible/mission/quest_item/shared_oron_wintree_q1_needed.iff');
INSERT INTO `template_items` VALUES ('4007', 'object/tangible/ship/crafted/engine/shared_engine_overdriver_mk3.iff');
INSERT INTO `template_items` VALUES ('4008', 'object/tangible/deed/event_perk/shared_game_flag_deed.iff');
INSERT INTO `template_items` VALUES ('4009', 'object/tangible/ship/components/armor/shared_armor_tiefighter_basic.iff');
INSERT INTO `template_items` VALUES ('4010', 'object/tangible/component/bio/shared_base_bio_component_clothing_field.iff');
INSERT INTO `template_items` VALUES ('4011', 'object/tangible/ship/components/droid_interface/shared_ddi_kde_governor_mk1.iff');
INSERT INTO `template_items` VALUES ('4012', 'object/tangible/hair/bothan/shared_hair_bothan_female_s04.iff');
INSERT INTO `template_items` VALUES ('4013', 'object/tangible/crafting/station/shared_structure_station.iff');
INSERT INTO `template_items` VALUES ('4014', 'object/tangible/ship/crafted/weapon/shared_max_damage_intensifier_mk1.iff');
INSERT INTO `template_items` VALUES ('4015', 'object/tangible/component/bio/shared_bio_component_food_heavy.iff');
INSERT INTO `template_items` VALUES ('4016', 'object/tangible/loot/loot_schematic/shared_bowl_plain_schematic.iff');
INSERT INTO `template_items` VALUES ('4017', 'object/tangible/ship/components/weapon_capacitor/shared_cap_mandal_provider_p1.iff');
INSERT INTO `template_items` VALUES ('4018', 'object/tangible/ship/components/droid_interface/shared_ddi_novaldex_droid_interface_mk2.iff');
INSERT INTO `template_items` VALUES ('4019', 'object/tangible/container/drum/shared_warren_drum_tech_chest.iff');
INSERT INTO `template_items` VALUES ('4020', 'object/tangible/ship/components/reactor/shared_rct_reward_subpro_elite.iff');
INSERT INTO `template_items` VALUES ('4021', 'object/tangible/ship/crafted/reactor/shared_reactor_limiter_mk3.iff');
INSERT INTO `template_items` VALUES ('4022', 'object/tangible/wearables/shirt/shared_shirt_dera.iff');
INSERT INTO `template_items` VALUES ('4023', 'object/tangible/deed/base/shared_pet_deed_base.iff');
INSERT INTO `template_items` VALUES ('4024', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_pos_s06_1.iff');
INSERT INTO `template_items` VALUES ('4025', 'object/tangible/wearables/robe/shared_robe_jedi_dark_s05.iff');
INSERT INTO `template_items` VALUES ('4026', 'object/tangible/hair/wookiee/base/shared_hair_wookiee_base.iff');
INSERT INTO `template_items` VALUES ('4027', 'object/tangible/wearables/earring/shared_earring_s02.iff');
INSERT INTO `template_items` VALUES ('4028', 'object/tangible/ship/components/shield_generator/shared_shd_incom_rayshield_x1.iff');
INSERT INTO `template_items` VALUES ('4029', 'object/tangible/hair/human/shared_hair_human_female_s19.iff');
INSERT INTO `template_items` VALUES ('4030', 'object/tangible/wearables/ithorian/shared_ith_belt_s05.iff');
INSERT INTO `template_items` VALUES ('4031', 'object/tangible/terminal/shared_terminal_imagedesign.iff');
INSERT INTO `template_items` VALUES ('4032', 'object/tangible/hair/rodian/shared_hair_rodian_male_s06.iff');
INSERT INTO `template_items` VALUES ('4033', 'object/tangible/wearables/cyborg/shared_forearm_r_s01.iff');
INSERT INTO `template_items` VALUES ('4034', 'object/tangible/medicine/crafted/shared_medpack_cure_disease_area_c.iff');
INSERT INTO `template_items` VALUES ('4035', 'object/tangible/food/crafted/shared_dessert_glazed_glucose_pate.iff');
INSERT INTO `template_items` VALUES ('4036', 'object/tangible/vendor/shared_vendor_terminal_small.iff');
INSERT INTO `template_items` VALUES ('4037', 'object/tangible/lair/dune_lizard/shared_lair_dune_lizard_desert.iff');
INSERT INTO `template_items` VALUES ('4038', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s02.iff');
INSERT INTO `template_items` VALUES ('4039', 'object/tangible/ship/components/weapon_capacitor/shared_cap_qualdex_experimental.iff');
INSERT INTO `template_items` VALUES ('4040', 'object/tangible/lair/kaadu/shared_lair_kaadu_swamp.iff');
INSERT INTO `template_items` VALUES ('4041', 'object/tangible/food/spice/shared_spice_booster_blue.iff');
INSERT INTO `template_items` VALUES ('4042', 'object/tangible/lair/base/shared_poi_all_lair_garbage_large.iff');
INSERT INTO `template_items` VALUES ('4043', 'object/tangible/ship/components/weapon/shared_wpn_koensayr_ion_accelerator.iff');
INSERT INTO `template_items` VALUES ('4044', 'object/tangible/wearables/hat/shared_hat_s10.iff');
INSERT INTO `template_items` VALUES ('4045', 'object/tangible/wearables/base/shared_base_shirt_poofysleeve_upper.iff');
INSERT INTO `template_items` VALUES ('4046', 'object/tangible/ship/components/armor/shared_arm_subpro_heavy_plastisteel.iff');
INSERT INTO `template_items` VALUES ('4047', 'object/tangible/wearables/shirt/shared_singing_mountain_clan_shirt_s03.iff');
INSERT INTO `template_items` VALUES ('4048', 'object/tangible/furniture/space/shared_frn_chair_falcon_passenger_s01.iff');
INSERT INTO `template_items` VALUES ('4049', 'object/tangible/veteran_reward/shared_frn_tech_console_sectional_b.iff');
INSERT INTO `template_items` VALUES ('4050', 'object/tangible/lair/base/shared_poi_all_lair_wooden_fog_gray.iff');
INSERT INTO `template_items` VALUES ('4051', 'object/tangible/wearables/robe/shared_robe_jedi_light_s05.iff');
INSERT INTO `template_items` VALUES ('4052', 'object/tangible/painting/shared_painting_armor_blueprint.iff');
INSERT INTO `template_items` VALUES ('4053', 'object/tangible/dungeon/death_watch_bunker/shared_passkey_storage.iff');
INSERT INTO `template_items` VALUES ('4054', 'object/tangible/ship/attachment/booster/shared_bwing_booster_s01.iff');
INSERT INTO `template_items` VALUES ('4055', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s02_chest_plate.iff');
INSERT INTO `template_items` VALUES ('4056', 'object/tangible/ship/components/booster/shared_bst_incom_sls_1.iff');
INSERT INTO `template_items` VALUES ('4057', 'object/tangible/component/dna/shared_dna_sample_average.iff');
INSERT INTO `template_items` VALUES ('4058', 'object/tangible/component/droid/shared_item_storage_module_5.iff');
INSERT INTO `template_items` VALUES ('4059', 'object/tangible/deed/city_deed/shared_cityhall_tatooine_deed.iff');
INSERT INTO `template_items` VALUES ('4060', 'object/tangible/wearables/ring/shared_ring_s02.iff');
INSERT INTO `template_items` VALUES ('4061', 'object/tangible/component/vehicle/shared_disperser.iff');
INSERT INTO `template_items` VALUES ('4062', 'object/tangible/food/crafted/shared_dish_vegeparsine.iff');
INSERT INTO `template_items` VALUES ('4063', 'object/tangible/hair/human/shared_hair_human_male_s11.iff');
INSERT INTO `template_items` VALUES ('4064', 'object/tangible/wearables/base/shared_base_hat.iff');
INSERT INTO `template_items` VALUES ('4065', 'object/tangible/sign/player/shared_house_address.iff');
INSERT INTO `template_items` VALUES ('4066', 'object/tangible/food/crafted/shared_dish_cho_nor_hoola.iff');
INSERT INTO `template_items` VALUES ('4067', 'object/tangible/ship/components/reactor/shared_rct_seinar_level3.iff');
INSERT INTO `template_items` VALUES ('4068', 'object/tangible/lair/purbole/shared_lair_purbole_forest.iff');
INSERT INTO `template_items` VALUES ('4069', 'object/tangible/mission/quest_item/shared_charal_q4_needed.iff');
INSERT INTO `template_items` VALUES ('4070', 'object/tangible/wearables/necklace/shared_necklace_flashy_choker.iff');
INSERT INTO `template_items` VALUES ('4071', 'object/tangible/medicine/crafted/shared_medpack_poison_area_action_b.iff');
INSERT INTO `template_items` VALUES ('4072', 'object/tangible/furniture/city/shared_streetlamp_large_green_01.iff');
INSERT INTO `template_items` VALUES ('4073', 'object/tangible/component/base/shared_base_barrel.iff');
INSERT INTO `template_items` VALUES ('4074', 'object/tangible/ship/crafted/droid_interface/shared_maintenance_reduction_kit_mk3.iff');
INSERT INTO `template_items` VALUES ('4075', 'object/tangible/deed/city_deed/shared_cloning_naboo_deed.iff');
INSERT INTO `template_items` VALUES ('4076', 'object/tangible/ship/components/engine/shared_eng_kse_a5x.iff');
INSERT INTO `template_items` VALUES ('4077', 'object/tangible/ship/components/armor/shared_arm_koensayr_limited_supreme_durasteel.iff');
INSERT INTO `template_items` VALUES ('4078', 'object/tangible/item/quest/force_sensitive/shared_fs_sculpture_1.iff');
INSERT INTO `template_items` VALUES ('4079', 'object/tangible/ship/components/armor/shared_arm_mandal_modifier_composite_j5.iff');
INSERT INTO `template_items` VALUES ('4080', 'object/tangible/ship/crafted/weapon/shared_wpn_heavy_blaster.iff');
INSERT INTO `template_items` VALUES ('4081', 'object/tangible/component/vehicle/shared_vehicle_module.iff');
INSERT INTO `template_items` VALUES ('4082', 'object/tangible/wearables/armor/stormtrooper/shared_armor_stormtrooper_bracer_l.iff');
INSERT INTO `template_items` VALUES ('4083', 'object/tangible/furniture/all/shared_frn_all_light_lamp_free_s02.iff');
INSERT INTO `template_items` VALUES ('4084', 'object/tangible/ship/attachment/weapon/shared_blacksun_medium_weapon1_s03.iff');
INSERT INTO `template_items` VALUES ('4085', 'object/tangible/ship/components/booster/shared_bst_subpro_elite_accelatron_mk5.iff');
INSERT INTO `template_items` VALUES ('4086', 'object/tangible/ship/crafted/capacitor/shared_extended_life_battery_mk2.iff');
INSERT INTO `template_items` VALUES ('4087', 'object/tangible/component/food/secrets/shared_secret_imperial_biochem.iff');
INSERT INTO `template_items` VALUES ('4088', 'object/tangible/component/chemistry/shared_infection_amplifier_donkuwah.iff');
INSERT INTO `template_items` VALUES ('4089', 'object/tangible/lair/flewt/shared_lair_flewt.iff');
INSERT INTO `template_items` VALUES ('4090', 'object/tangible/wearables/armor/zam/shared_armor_zam_wesell_chest_plate_quest.iff');
INSERT INTO `template_items` VALUES ('4091', 'object/tangible/lair/peko_peko/shared_lair_peko_peko.iff');
INSERT INTO `template_items` VALUES ('4092', 'object/tangible/wearables/base/shared_base_pauldron_r.iff');
INSERT INTO `template_items` VALUES ('4093', 'object/tangible/ship/attachment/weapon/shared_star_destroyer_turret_dome_base.iff');
INSERT INTO `template_items` VALUES ('4094', 'object/tangible/ship/components/engine/shared_eng_freitek_dual_jet.iff');
INSERT INTO `template_items` VALUES ('4095', 'object/tangible/loot/quest/shared_quest_item_goru_calling_card.iff');
INSERT INTO `template_items` VALUES ('4096', 'object/tangible/medicine/shared_medpack_wound_quickness.iff');
INSERT INTO `template_items` VALUES ('4097', 'object/tangible/ship/components/droid_interface/shared_ddi_koensayr_standard_droid_interface.iff');
INSERT INTO `template_items` VALUES ('4098', 'object/tangible/hair/bothan/base/shared_hair_bothan_base.iff');
INSERT INTO `template_items` VALUES ('4099', 'object/tangible/furniture/decorative/shared_tatooine_tapestry.iff');
INSERT INTO `template_items` VALUES ('4100', 'object/tangible/food/foraged/shared_foraged_fruit_s2.iff');
INSERT INTO `template_items` VALUES ('4101', 'object/tangible/wearables/backpack/shared_backpack_s04.iff');
INSERT INTO `template_items` VALUES ('4102', 'object/tangible/ship/crafted/reactor/shared_reactor_overcharger_mk2.iff');
INSERT INTO `template_items` VALUES ('4103', 'object/tangible/component/vehicle/shared_veh_shield_generator_mk2.iff');
INSERT INTO `template_items` VALUES ('4104', 'object/tangible/ship/attachment/weapon/shared_ywing_weapon2_s02.iff');
INSERT INTO `template_items` VALUES ('4105', 'object/tangible/ship/components/shield_generator/shared_shd_unknown_proton_projector.iff');
INSERT INTO `template_items` VALUES ('4106', 'object/tangible/lair/base/shared_poi_all_lair_mound_large_fog_green.iff');
INSERT INTO `template_items` VALUES ('4107', 'object/tangible/lair/veermok/shared_lair_veermok_swamp.iff');
INSERT INTO `template_items` VALUES ('4108', 'object/tangible/wearables/ithorian/shared_ith_pants_s02.iff');
INSERT INTO `template_items` VALUES ('4109', 'object/tangible/ship/components/chassis/shared_tieinterceptor_chassis_token.iff');
INSERT INTO `template_items` VALUES ('4110', 'object/tangible/ship/components/armor/shared_arm_mandal_double_plated_composite_j7.iff');
INSERT INTO `template_items` VALUES ('4111', 'object/tangible/wearables/armor/bounty_hunter/shared_armor_bounty_hunter_leggings.iff');
INSERT INTO `template_items` VALUES ('4112', 'object/tangible/furniture/all/shared_frn_all_data_terminal_free_s1.iff');
INSERT INTO `template_items` VALUES ('4113', 'object/tangible/component/clothing/shared_leather_heavy_duty.iff');
INSERT INTO `template_items` VALUES ('4114', 'object/tangible/ship/components/engine/shared_eng_moncal_light.iff');
INSERT INTO `template_items` VALUES ('4115', 'object/tangible/food/crafted/shared_dish_protato.iff');
INSERT INTO `template_items` VALUES ('4116', 'object/tangible/loot/collectible/collectible_parts/shared_sculpture_structure_04.iff');
INSERT INTO `template_items` VALUES ('4117', 'object/tangible/component/droid/shared_defensive_module_base.iff');
INSERT INTO `template_items` VALUES ('4118', 'object/tangible/ship/components/armor/shared_arm_mission_reward_rebel_incom_ultralight.iff');
INSERT INTO `template_items` VALUES ('4119', 'object/tangible/deed/vehicle_deed/shared_jetpack_deed.iff');
INSERT INTO `template_items` VALUES ('4120', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_imperial_rescue_01.iff');
INSERT INTO `template_items` VALUES ('4121', 'object/tangible/wearables/armor/marine/shared_armor_marine_chest_plate.iff');
INSERT INTO `template_items` VALUES ('4122', 'object/tangible/component/chemistry/shared_dispersal_mechanism.iff');
INSERT INTO `template_items` VALUES ('4123', 'object/tangible/wearables/bodysuit/shared_bodysuit_atat.iff');
INSERT INTO `template_items` VALUES ('4124', 'object/tangible/ship/components/weapon_capacitor/shared_cap_sds_imperial_1.iff');
INSERT INTO `template_items` VALUES ('4125', 'object/tangible/lair/base/shared_poi_all_lair_brambles_small_evil_fire_small.iff');
INSERT INTO `template_items` VALUES ('4126', 'object/tangible/loot/loot_schematic/shared_death_watch_bounty_hunter_boots_schematic.iff');
INSERT INTO `template_items` VALUES ('4127', 'object/tangible/wearables/necklace/shared_necklace_s07.iff');
INSERT INTO `template_items` VALUES ('4128', 'object/tangible/lair/base/shared_poi_all_lair_nest_large_fog_mustard.iff');
INSERT INTO `template_items` VALUES ('4129', 'object/tangible/item/quest/force_sensitive/shared_fs_medic_puzzle_heal_pack.iff');
INSERT INTO `template_items` VALUES ('4130', 'object/tangible/survey_tool/base/shared_survey_tool_base.iff');
INSERT INTO `template_items` VALUES ('4131', 'object/tangible/medicine/crafted/shared_medpack_enhance_action_d.iff');
INSERT INTO `template_items` VALUES ('4132', 'object/tangible/component/vehicle/shared_vehicle_structure_frame.iff');
INSERT INTO `template_items` VALUES ('4133', 'object/tangible/ship/components/weapon/shared_wpn_hk_scorcher_heavy.iff');
INSERT INTO `template_items` VALUES ('4134', 'object/tangible/component/weapon/shared_geonosian_power_cube_green.iff');
INSERT INTO `template_items` VALUES ('4135', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_launcher_imagerec_mk2.iff');
INSERT INTO `template_items` VALUES ('4136', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon1_s02.iff');
INSERT INTO `template_items` VALUES ('4137', 'object/tangible/poi/base/shared_poi_base.iff');
INSERT INTO `template_items` VALUES ('4138', 'object/tangible/ship/components/reactor/shared_rct_unknown_proton_chamber.iff');
INSERT INTO `template_items` VALUES ('4139', 'object/tangible/mission/quest_item/shared_kylantha_q1_needed.iff');
INSERT INTO `template_items` VALUES ('4140', 'object/tangible/wearables/ithorian/shared_ith_jacket_s10.iff');
INSERT INTO `template_items` VALUES ('4141', 'object/tangible/skill_buff/shared_skill_buff_polearm_speed.iff');
INSERT INTO `template_items` VALUES ('4142', 'object/tangible/loot/collectible/collectible_parts/shared_gong_structure_03.iff');
INSERT INTO `template_items` VALUES ('4143', 'object/tangible/lair/base/shared_poi_all_lair_insecthill_small.iff');
INSERT INTO `template_items` VALUES ('4144', 'object/tangible/ship/attachment/engine/shared_decimator_engine_s02.iff');
INSERT INTO `template_items` VALUES ('4145', 'object/tangible/wearables/pants/shared_pants_s07.iff');
INSERT INTO `template_items` VALUES ('4146', 'object/tangible/ship/components/armor/shared_arm_reward_subpro_elite.iff');
INSERT INTO `template_items` VALUES ('4147', 'object/tangible/veteran_reward/shared_frn_vet_r2_toy.iff');
INSERT INTO `template_items` VALUES ('4148', 'object/tangible/food/crafted/shared_dish_wastril_bread.iff');
INSERT INTO `template_items` VALUES ('4149', 'object/tangible/painting/shared_painting_schematic_weapon.iff');
INSERT INTO `template_items` VALUES ('4150', 'object/tangible/component/dna/shared_dna_sample_low.iff');
INSERT INTO `template_items` VALUES ('4151', 'object/tangible/wearables/helmet/shared_helmet_fighter_imperial_ace.iff');
INSERT INTO `template_items` VALUES ('4152', 'object/tangible/ship/components/weapon_capacitor/shared_cap_rendili_overseer_j7.iff');
INSERT INTO `template_items` VALUES ('4153', 'object/tangible/medicine/crafted/shared_medpack_disease_area_willpower_a.iff');
INSERT INTO `template_items` VALUES ('4154', 'object/tangible/deed/city_deed/shared_garden_dathomir_med_01_deed.iff');
INSERT INTO `template_items` VALUES ('4155', 'object/tangible/loot/collectible/collectible_rewards/shared_blue_rug.iff');
INSERT INTO `template_items` VALUES ('4156', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon1_s01.iff');
INSERT INTO `template_items` VALUES ('4157', 'object/tangible/ship/attachment/weapon/shared_aggressor_weapon_s01.iff');
INSERT INTO `template_items` VALUES ('4158', 'object/tangible/hair/singing_mountain_clan/shared_hair_singing_mountain_clan_s01.iff');
INSERT INTO `template_items` VALUES ('4159', 'object/tangible/lair/base/shared_poi_all_lair_dead_log_large_evil_fire_small.iff');
INSERT INTO `template_items` VALUES ('4160', 'object/tangible/painting/shared_painting_bw_stormtrooper.iff');
INSERT INTO `template_items` VALUES ('4161', 'object/tangible/ship/components/weapon/shared_wpn_incom_proton_missile_s01.iff');
INSERT INTO `template_items` VALUES ('4162', 'object/tangible/loot/simple_kit/shared_magnetic_burner.iff');
INSERT INTO `template_items` VALUES ('4163', 'object/tangible/lair/dalyrake/shared_lair_dalyrake_forest.iff');
INSERT INTO `template_items` VALUES ('4164', 'object/tangible/wearables/base/shared_base_ring_either.iff');
INSERT INTO `template_items` VALUES ('4165', 'object/tangible/ship/crafted/chassis/shared_hutt_medium_s01_deed.iff');
INSERT INTO `template_items` VALUES ('4166', 'object/tangible/furniture/all/shared_frn_all_data_terminal_wall_s1.iff');
INSERT INTO `template_items` VALUES ('4167', 'object/tangible/wearables/jacket/shared_jacket_s35.iff');
INSERT INTO `template_items` VALUES ('4168', 'object/tangible/deed/city_deed/shared_hospital_tatooine_deed.iff');
INSERT INTO `template_items` VALUES ('4169', 'object/tangible/deed/city_deed/shared_garden_corellia_lrg_01_deed.iff');
INSERT INTO `template_items` VALUES ('4170', 'object/tangible/lair/base/shared_poi_all_lair_warren_large_fog_gray.iff');
INSERT INTO `template_items` VALUES ('4171', 'object/tangible/ship/components/booster/shared_bst_moncal_standard.iff');
INSERT INTO `template_items` VALUES ('4172', 'object/tangible/component/vehicle/shared_veh_power_plant_mk1.iff');
INSERT INTO `template_items` VALUES ('4173', 'object/tangible/gambling/wheel/shared_roulette.iff');
INSERT INTO `template_items` VALUES ('4174', 'object/tangible/deed/city_deed/shared_garage_tatooine_deed.iff');
INSERT INTO `template_items` VALUES ('4175', 'object/tangible/lair/kaadu/shared_lair_kaadu_grassland.iff');
INSERT INTO `template_items` VALUES ('4176', 'object/tangible/wearables/armor/ris/shared_armor_ris_gloves.iff');
INSERT INTO `template_items` VALUES ('4177', 'object/tangible/lair/jellyfish/shared_lair_jellyfish_underwater.iff');
INSERT INTO `template_items` VALUES ('4178', 'object/tangible/lair/salt_mynock/shared_lair_salt_mynock.iff');
INSERT INTO `template_items` VALUES ('4179', 'object/tangible/fishing/fish/shared_laa.iff');
INSERT INTO `template_items` VALUES ('4180', 'object/tangible/food/crafted/shared_drink_bantha_blaster.iff');
INSERT INTO `template_items` VALUES ('4181', 'object/tangible/wearables/armor/composite/shared_armor_composite_helmet.iff');
INSERT INTO `template_items` VALUES ('4182', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s19.iff');
INSERT INTO `template_items` VALUES ('4183', 'object/tangible/component/item/quest_item/shared_momentum_compensator.iff');
INSERT INTO `template_items` VALUES ('4184', 'object/tangible/recycler/shared_creature_recycler.iff');
INSERT INTO `template_items` VALUES ('4185', 'object/tangible/deed/pet_deed/shared_deed_binary_load_lifter_basic.iff');
INSERT INTO `template_items` VALUES ('4186', 'object/tangible/mission/quest_item/shared_graf_zapalo_q2_needed.iff');
INSERT INTO `template_items` VALUES ('4187', 'object/tangible/ship/attachment/booster/shared_xwing_booster_s02.iff');
INSERT INTO `template_items` VALUES ('4188', 'object/tangible/hair/human/shared_hair_human_male_s25.iff');
INSERT INTO `template_items` VALUES ('4189', 'object/tangible/ship/components/booster/shared_bst_tiefighter_basic.iff');
INSERT INTO `template_items` VALUES ('4190', 'object/tangible/wearables/ithorian/shared_ith_bodysuit_s06.iff');
INSERT INTO `template_items` VALUES ('4191', 'object/tangible/deed/pet_deed/shared_guf_drolg_deed.iff');
INSERT INTO `template_items` VALUES ('4192', 'object/tangible/loot/misc/shared_gungan_lance.iff');
INSERT INTO `template_items` VALUES ('4193', 'object/tangible/item/quest/force_sensitive/shared_fs_craft_puzzle_gyro_receiver.iff');
INSERT INTO `template_items` VALUES ('4194', 'object/tangible/component/dna/shared_dna_template_sand_panther.iff');
INSERT INTO `template_items` VALUES ('4195', 'object/tangible/dungeon/shared_wall_terminal_s4.iff');
INSERT INTO `template_items` VALUES ('4196', 'object/tangible/component/armor/shared_deflector_shield_ion_feed_unit.iff');
INSERT INTO `template_items` VALUES ('4197', 'object/tangible/crafting/station/shared_weapon_repair.iff');
INSERT INTO `template_items` VALUES ('4198', 'object/tangible/ship/components/shield_generator/shared_shd_seinar_reflector_standard.iff');
INSERT INTO `template_items` VALUES ('4199', 'object/tangible/ship/components/reactor/shared_rct_mission_reward_rebel_slayn_hypervortex.iff');
INSERT INTO `template_items` VALUES ('4200', 'object/tangible/wearables/base/shared_base_ring_both.iff');
INSERT INTO `template_items` VALUES ('4201', 'object/tangible/jedi/shared_jedi_holocron_light.iff');
INSERT INTO `template_items` VALUES ('4202', 'object/tangible/ship/components/droid_interface/shared_ddi_kse_elite_manager_2.iff');
INSERT INTO `template_items` VALUES ('4203', 'object/tangible/wearables/bracelet/shared_bracelet_s02_r.iff');
INSERT INTO `template_items` VALUES ('4204', 'object/tangible/lair/woolamander/shared_lair_woolamander_jungle.iff');
INSERT INTO `template_items` VALUES ('4205', 'object/tangible/ship/components/armor/shared_arm_mandal_composite_j5.iff');
INSERT INTO `template_items` VALUES ('4206', 'object/tangible/loot/dungeon/corellian_corvette/shared_imperial_destroy_filler01.iff');
INSERT INTO `template_items` VALUES ('4207', 'object/tangible/hair/twilek/shared_hair_twilek_male_s08.iff');
INSERT INTO `template_items` VALUES ('4208', 'object/tangible/component/droid/shared_data_storage_module_6.iff');
INSERT INTO `template_items` VALUES ('4209', 'object/tangible/ship/components/booster/shared_bst_mission_reward_imperial_rss_ion_booster.iff');
INSERT INTO `template_items` VALUES ('4210', 'object/tangible/ship/crafted/shields/shared_base_shields_subcomponent_mk2.iff');
INSERT INTO `template_items` VALUES ('4211', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_rebel_rescue_02.iff');
INSERT INTO `template_items` VALUES ('4212', 'object/tangible/mission/quest_item/shared_stoos_olko_q1_needed.iff');
INSERT INTO `template_items` VALUES ('4213', 'object/tangible/ship/components/weapon_capacitor/shared_cap_mission_reward_neutral_sorosuub_v1.iff');
INSERT INTO `template_items` VALUES ('4214', 'object/tangible/container/base/shared_base_container_slotted.iff');
INSERT INTO `template_items` VALUES ('4215', 'object/tangible/wearables/shirt/shared_shirt_s14.iff');
INSERT INTO `template_items` VALUES ('4216', 'object/tangible/component/armor/shared_armor_segment_padded_fambaa.iff');
INSERT INTO `template_items` VALUES ('4217', 'object/tangible/lair/torton/shared_lair_torton_grassland.iff');
INSERT INTO `template_items` VALUES ('4218', 'object/tangible/ship/attachment/weapon/shared_z95_weapon_s03.iff');
INSERT INTO `template_items` VALUES ('4219', 'object/tangible/food/crafted/shared_drink_durindfire.iff');
INSERT INTO `template_items` VALUES ('4220', 'object/tangible/painting/shared_painting_zabrak_f.iff');
INSERT INTO `template_items` VALUES ('4221', 'object/tangible/ship/crafted/chassis/shared_texture_kit_s02.iff');
INSERT INTO `template_items` VALUES ('4222', 'object/tangible/loot/quest/shared_quest_item_zicx_bug_jar.iff');
INSERT INTO `template_items` VALUES ('4223', 'object/tangible/ship/crafted/chassis/shared_yt1300_deed.iff');
INSERT INTO `template_items` VALUES ('4224', 'object/tangible/lair/base/shared_poi_all_lair_bones_large_fog_gray.iff');
INSERT INTO `template_items` VALUES ('4225', 'object/tangible/medicine/crafted/shared_medpack_cure_disease_a.iff');
INSERT INTO `template_items` VALUES ('4226', 'object/tangible/ship/crafted/booster/shared_xwing_booster_mk2.iff');
INSERT INTO `template_items` VALUES ('4227', 'object/tangible/ship/components/droid_interface/shared_ddi_sds_imperial_1.iff');
INSERT INTO `template_items` VALUES ('4228', 'object/tangible/mission/quest_item/shared_graf_zapalo_q3_needed.iff');
INSERT INTO `template_items` VALUES ('4229', 'object/tangible/ship/components/reactor/shared_rct_cygnus_tuned_mk1.iff');
INSERT INTO `template_items` VALUES ('4230', 'object/tangible/loot/dungeon/corellian_corvette/shared_neutral_rescue_filler02.iff');
INSERT INTO `template_items` VALUES ('4231', 'object/tangible/ship/crafted/chassis/shared_chassis_xwing_wing_r.iff');
INSERT INTO `template_items` VALUES ('4232', 'object/tangible/component/bio/shared_base_bio_component_food.iff');
INSERT INTO `template_items` VALUES ('4233', 'object/tangible/deed/city_deed/shared_garden_naboo_lrg_02_deed.iff');
INSERT INTO `template_items` VALUES ('4234', 'object/tangible/ship/crafted/weapon/missile/shared_countermeasure_confuser_launcher.iff');
INSERT INTO `template_items` VALUES ('4235', 'object/tangible/ship/attachment/weapon/shared_kse_firespray_weapon2_s06.iff');
INSERT INTO `template_items` VALUES ('4236', 'object/tangible/loot/collectible/collectible_parts/shared_blue_rug_thread_01.iff');
INSERT INTO `template_items` VALUES ('4237', 'object/tangible/container/loot/shared_placable_loot_crate_skeleton_bith.iff');
INSERT INTO `template_items` VALUES ('4238', 'object/tangible/ship/components/booster/shared_bst_sds_enhanced_imperial_2.iff');
INSERT INTO `template_items` VALUES ('4239', 'object/tangible/ship/components/armor/shared_arm_kse_customized_advanced_durasteel.iff');
INSERT INTO `template_items` VALUES ('4240', 'object/tangible/lair/base/shared_poi_all_lair_garbage_large_fog_mustard.iff');
INSERT INTO `template_items` VALUES ('4241', 'object/tangible/container/loot/shared_placable_loot_crate_trashpile.iff');
INSERT INTO `template_items` VALUES ('4242', 'object/tangible/component/shared_blaster_power_handler.iff');
INSERT INTO `template_items` VALUES ('4243', 'object/tangible/deed/event_perk/shared_rebel_2x10_honorguard_deed.iff');
INSERT INTO `template_items` VALUES ('4244', 'object/tangible/hair/bothan/shared_hair_bothan_male_s12.iff');
INSERT INTO `template_items` VALUES ('4245', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_2.iff');
INSERT INTO `template_items` VALUES ('4246', 'object/tangible/medicine/crafted/shared_medpack_grenade_damage_c.iff');
INSERT INTO `template_items` VALUES ('4247', 'object/tangible/hopper/manufacturing_facility_hopper/shared_manufacture_installation_ingredient_hopper_structure_small.iff');
INSERT INTO `template_items` VALUES ('4248', 'object/tangible/hair/human/shared_hair_human_female_s10.iff');
INSERT INTO `template_items` VALUES ('4249', 'object/tangible/painting/shared_painting_starmap.iff');
INSERT INTO `template_items` VALUES ('4250', 'object/tangible/ship/components/weapon/shared_wpn_kessel_rebel_incom_dualcore_flashcannon.iff');
INSERT INTO `template_items` VALUES ('4251', 'object/tangible/wearables/ithorian/shared_ith_necklace_s05.iff');
INSERT INTO `template_items` VALUES ('4252', 'object/tangible/ship/attachment/engine/shared_z95_engine_s01.iff');
INSERT INTO `template_items` VALUES ('4253', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_sm_s05.iff');
INSERT INTO `template_items` VALUES ('4254', 'object/tangible/ship/components/chassis/shared_hutt_turret_ship_chassis_token.iff');
INSERT INTO `template_items` VALUES ('4255', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_neutral_destroy_03.iff');
INSERT INTO `template_items` VALUES ('4256', 'object/tangible/painting/shared_painting_bestine_golden_flower_03.iff');
INSERT INTO `template_items` VALUES ('4257', 'object/tangible/ship/crafted/reactor/shared_fusion_reactor_mk5.iff');
INSERT INTO `template_items` VALUES ('4258', 'object/tangible/component/armor/shared_armor_segment_composite_krayt.iff');
INSERT INTO `template_items` VALUES ('4259', 'object/tangible/component/armor/shared_deflector_shield_overload_discharge_unit.iff');
INSERT INTO `template_items` VALUES ('4260', 'object/tangible/mission/quest_item/shared_daclif_gallamby_q4_needed.iff');
INSERT INTO `template_items` VALUES ('4261', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s09.iff');
INSERT INTO `template_items` VALUES ('4262', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_lg_s06.iff');
INSERT INTO `template_items` VALUES ('4263', 'object/tangible/wearables/base/shared_base_bicep_r.iff');
INSERT INTO `template_items` VALUES ('4264', 'object/tangible/ship/components/droid_interface/shared_ddi_mission_reward_neutral_sorosuub_w19.iff');
INSERT INTO `template_items` VALUES ('4265', 'object/tangible/ship/components/chassis/shared_ywing_longprobe_chassis_token.iff');
INSERT INTO `template_items` VALUES ('4266', 'object/tangible/ship/crafted/weapon/missile/shared_weapon_chaff_launcher.iff');
INSERT INTO `template_items` VALUES ('4267', 'object/tangible/furniture/all/shared_frn_all_couch_love_seat_s1.iff');
INSERT INTO `template_items` VALUES ('4268', 'object/tangible/hair/rodian/shared_hair_rodian_female_s22.iff');
INSERT INTO `template_items` VALUES ('4269', 'object/tangible/lair/kupernug/shared_lair_kupernug.iff');
INSERT INTO `template_items` VALUES ('4270', 'object/tangible/hair/human/shared_hair_human_male_s18.iff');
INSERT INTO `template_items` VALUES ('4271', 'object/tangible/deed/event_perk/shared_rsf_stage_theater_deed.iff');
INSERT INTO `template_items` VALUES ('4272', 'object/tangible/ship/crafted/weapon/shared_weapon_subpro_tripleblaster.iff');
INSERT INTO `template_items` VALUES ('4273', 'object/tangible/wearables/armor/chitin/shared_armor_chitin_s01_gloves.iff');
INSERT INTO `template_items` VALUES ('4274', 'object/tangible/slicing/shared_slicing_molecular_clamp.iff');
INSERT INTO `template_items` VALUES ('4275', 'object/tangible/container/loot/shared_placable_loot_crate_skeleton_human.iff');
INSERT INTO `template_items` VALUES ('4276', 'object/tangible/wearables/armor/ris/shared_armor_ris_leggings.iff');
INSERT INTO `template_items` VALUES ('4277', 'object/tangible/ship/components/weapon/shared_wpn_sfs_imperial_blaster_2.iff');
INSERT INTO `template_items` VALUES ('4278', 'object/tangible/mission/quest_item/shared_sidoras_bey_q1_needed.iff');
INSERT INTO `template_items` VALUES ('4279', 'object/tangible/terminal/shared_terminal_mission_newbie.iff');
INSERT INTO `template_items` VALUES ('4280', 'object/tangible/loot/loot_schematic/shared_bowl_carved_schematic.iff');
INSERT INTO `template_items` VALUES ('4281', 'object/tangible/ship/crafted/weapon/shared_base_weapon_subcomponent_mk4.iff');
INSERT INTO `template_items` VALUES ('4282', 'object/tangible/painting/shared_painting_bestine_ronka.iff');
INSERT INTO `template_items` VALUES ('4283', 'object/tangible/furniture/technical/shared_armoire_s01.iff');
INSERT INTO `template_items` VALUES ('4284', 'object/tangible/theme_park/alderaan/act2/shared_decoder_comp_housing.iff');
INSERT INTO `template_items` VALUES ('4285', 'object/tangible/component/structure/shared_structure_storage_section.iff');
INSERT INTO `template_items` VALUES ('4286', 'object/tangible/wearables/jacket/shared_jacket_s08.iff');
INSERT INTO `template_items` VALUES ('4287', 'object/tangible/ship/components/shield_generator/shared_shd_kessel_rebel_sorosuub_ion_mesh_projection.iff');
INSERT INTO `template_items` VALUES ('4288', 'object/tangible/skill_buff/shared_skill_buff_thrown_speed.iff');
INSERT INTO `template_items` VALUES ('4289', 'object/tangible/furniture/decorative/shared_diagnostic_screen.iff');
INSERT INTO `template_items` VALUES ('4290', 'object/tangible/ship/components/reactor/shared_rct_incom_mark1.iff');
INSERT INTO `template_items` VALUES ('4291', 'object/tangible/loot/dungeon/geonosian_mad_bunker/shared_relic_gbb_spice_container.iff');
INSERT INTO `template_items` VALUES ('4292', 'object/tangible/deed/city_deed/shared_garden_corellia_lrg_03_deed.iff');
INSERT INTO `template_items` VALUES ('4293', 'object/tangible/loot/dungeon/death_watch_bunker/shared_ducted_fan.iff');
INSERT INTO `template_items` VALUES ('4294', 'object/tangible/ship/attachment/weapon/shared_spacestation_turret_base_s01.iff');
INSERT INTO `template_items` VALUES ('4295', 'object/tangible/wearables/bodysuit/shared_bodysuit_bwing_quest.iff');
INSERT INTO `template_items` VALUES ('4296', 'object/tangible/wearables/base/shared_base_bracer_upper_both.iff');
INSERT INTO `template_items` VALUES ('4297', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s03_gloves.iff');
INSERT INTO `template_items` VALUES ('4298', 'object/tangible/medicine/crafted/shared_medpack_poison_mind_c.iff');
INSERT INTO `template_items` VALUES ('4299', 'object/tangible/ship/components/shield_generator/shared_shd_incom_mark9.iff');
INSERT INTO `template_items` VALUES ('4300', 'object/tangible/deed/event_perk/shared_technical_chest_deed.iff');
INSERT INTO `template_items` VALUES ('4301', 'object/tangible/wearables/armor/kashyyykian_black_mtn/shared_armor_kashyyykian_black_mtn_chest_plate.iff');
INSERT INTO `template_items` VALUES ('4302', 'object/tangible/ship/attachment/booster/shared_z95_booster_s01.iff');
INSERT INTO `template_items` VALUES ('4303', 'object/tangible/terminal/shared_terminal_bestine_quests_03.iff');
INSERT INTO `template_items` VALUES ('4304', 'object/tangible/wearables/armor/zam/shared_armor_zam_wesell_pants.iff');
INSERT INTO `template_items` VALUES ('4305', 'object/tangible/lair/base/shared_poi_all_lair_rocks_small_fog_green.iff');
INSERT INTO `template_items` VALUES ('4306', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon2r_s06.iff');
INSERT INTO `template_items` VALUES ('4307', 'object/tangible/wearables/armor/ithorian_sentinel/shared_ith_armor_s03_bracer_l.iff');
INSERT INTO `template_items` VALUES ('4308', 'object/tangible/furniture/decorative/shared_shisa.iff');
INSERT INTO `template_items` VALUES ('4309', 'object/tangible/ship/components/booster/shared_bst_corellian_performance_advanced_thrust_enhancer.iff');
INSERT INTO `template_items` VALUES ('4310', 'object/tangible/loot/dungeon/corellian_corvette/shared_rebel_rescue_filler01.iff');
INSERT INTO `template_items` VALUES ('4311', 'object/tangible/furniture/imperial/shared_data_terminal_s1.iff');
INSERT INTO `template_items` VALUES ('4312', 'object/tangible/ship/attachment/weapon/shared_blacksun_light_weapon_s04.iff');
INSERT INTO `template_items` VALUES ('4313', 'object/tangible/ship/crafted/armor/shared_light_durasteel_plating.iff');
INSERT INTO `template_items` VALUES ('4314', 'object/tangible/ship/components/weapon/shared_wpn_incom_quad_blaster.iff');
INSERT INTO `template_items` VALUES ('4315', 'object/tangible/ship/attachment/shield/shared_star_destroyer_shieldtower_2.iff');
INSERT INTO `template_items` VALUES ('4316', 'object/tangible/lair/tusken_raider/shared_lair_tusken_raider_npc.iff');
INSERT INTO `template_items` VALUES ('4317', 'object/tangible/ship/components/weapon_capacitor/shared_cap_novaldex_sarlacc_s1.iff');
INSERT INTO `template_items` VALUES ('4318', 'object/tangible/ship/components/booster/shared_bst_mandal_deluxe_jbj_mk4.iff');
INSERT INTO `template_items` VALUES ('4319', 'object/tangible/ship/components/engine/shared_eng_kse_a7x.iff');
INSERT INTO `template_items` VALUES ('4320', 'object/tangible/hair/human/shared_hair_human_male_s31.iff');
INSERT INTO `template_items` VALUES ('4321', 'object/tangible/ship/attachment/booster/shared_decimator_booster_s02.iff');
INSERT INTO `template_items` VALUES ('4322', 'object/tangible/firework/shared_test.iff');
INSERT INTO `template_items` VALUES ('4323', 'object/tangible/food/crafted/shared_drink_caf.iff');
INSERT INTO `template_items` VALUES ('4324', 'object/tangible/furniture/city/shared_streetlamp_large_02.iff');
INSERT INTO `template_items` VALUES ('4325', 'object/tangible/ship/crafted/chassis/shared_tie_in_deed.iff');
INSERT INTO `template_items` VALUES ('4326', 'object/tangible/deed/city_deed/shared_garden_endor_med_01_deed.iff');
INSERT INTO `template_items` VALUES ('4327', 'object/tangible/medicine/crafted/shared_medpack_disease_focus_c.iff');
INSERT INTO `template_items` VALUES ('4328', 'object/tangible/lair/base/shared_poi_all_lair_nest_large_fog_red.iff');
INSERT INTO `template_items` VALUES ('4329', 'object/tangible/skill_buff/shared_skill_buff_unarmed_speed.iff');
INSERT INTO `template_items` VALUES ('4330', 'object/tangible/wearables/ithorian/shared_ith_shirt_s02.iff');
INSERT INTO `template_items` VALUES ('4331', 'object/tangible/ship/components/chassis/shared_tieadvanced_chassis_token.iff');
INSERT INTO `template_items` VALUES ('4332', 'object/tangible/lair/krahbu/shared_lair_krahbu_grassland.iff');
INSERT INTO `template_items` VALUES ('4333', 'object/tangible/ship/crafted/shields/shared_shield_limiter_mk4.iff');
INSERT INTO `template_items` VALUES ('4334', 'object/tangible/wearables/base/shared_base_costume_allow_jewelry.iff');
INSERT INTO `template_items` VALUES ('4335', 'object/tangible/dungeon/shared_terminal_free_s1.iff');
INSERT INTO `template_items` VALUES ('4336', 'object/tangible/ship/attachment/engine/shared_hutt_heavy_engine_s02.iff');
INSERT INTO `template_items` VALUES ('4337', 'object/tangible/wearables/base/shared_base_bracer_l.iff');
INSERT INTO `template_items` VALUES ('4338', 'object/tangible/ship/attachment/booster/shared_hutt_heavy_booster_s01.iff');
INSERT INTO `template_items` VALUES ('4339', 'object/tangible/food/crafted/shared_dish_trimpian.iff');
INSERT INTO `template_items` VALUES ('4340', 'object/tangible/wearables/armor/bone/shared_armor_bone_s01_leggings.iff');
INSERT INTO `template_items` VALUES ('4341', 'object/tangible/ship/components/weapon/shared_wpn_incom_heavy_blaster.iff');
INSERT INTO `template_items` VALUES ('4342', 'object/tangible/wearables/jacket/shared_jacket_s21.iff');
INSERT INTO `template_items` VALUES ('4343', 'object/tangible/ship/components/armor/shared_arm_corellian_cheap_durasteel.iff');
INSERT INTO `template_items` VALUES ('4344', 'object/tangible/wearables/base/shared_base_bicep_both.iff');
INSERT INTO `template_items` VALUES ('4345', 'object/tangible/space/content_infrastructure/shared_content_manager.iff');
INSERT INTO `template_items` VALUES ('4346', 'object/tangible/ship/components/weapon_capacitor/shared_cap_mission_reward_imperial_rendili_k_class.iff');
INSERT INTO `template_items` VALUES ('4347', 'object/tangible/sign/municipal/shared_municipal_sign_hanging_university.iff');
INSERT INTO `template_items` VALUES ('4348', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_lg_s07_lg.iff');
INSERT INTO `template_items` VALUES ('4349', 'object/tangible/medicine/crafted/shared_medpack_wound_stamina_d.iff');
INSERT INTO `template_items` VALUES ('4350', 'object/tangible/ship/components/weapon/shared_wpn_hk_scorcher_2.iff');
INSERT INTO `template_items` VALUES ('4351', 'object/tangible/ship/components/reactor/shared_rct_cygnus_mk2.iff');
INSERT INTO `template_items` VALUES ('4352', 'object/tangible/medicine/crafted/shared_medpack_enhance_strength_b.iff');
INSERT INTO `template_items` VALUES ('4353', 'object/tangible/lair/base/shared_poi_all_lair_mound_large_fog_red.iff');
INSERT INTO `template_items` VALUES ('4354', 'object/tangible/lair/base/shared_poi_all_lair_garbage_small.iff');
INSERT INTO `template_items` VALUES ('4355', 'object/tangible/ship/attachment/wing/shared_xwing_wing_pos_s01.iff');
INSERT INTO `template_items` VALUES ('4356', 'object/tangible/loot/collectible/collectible_parts/shared_light_table_structure_01.iff');
INSERT INTO `template_items` VALUES ('4357', 'object/tangible/wearables/bracelet/shared_bracelet_s06_r.iff');
INSERT INTO `template_items` VALUES ('4358', 'object/tangible/mission/quest_item/shared_wuher_q4_needed.iff');
INSERT INTO `template_items` VALUES ('4359', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_launcher_concussion_mk1.iff');
INSERT INTO `template_items` VALUES ('4360', 'object/tangible/inventory/shared_vendor_inventory.iff');
INSERT INTO `template_items` VALUES ('4361', 'object/tangible/terminal/shared_terminal_newbie_food.iff');
INSERT INTO `template_items` VALUES ('4362', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon3_s02.iff');
INSERT INTO `template_items` VALUES ('4363', 'object/tangible/wearables/pants/shared_pants_s13.iff');
INSERT INTO `template_items` VALUES ('4364', 'object/tangible/food/crafted/shared_dish_ormachek.iff');
INSERT INTO `template_items` VALUES ('4365', 'object/tangible/deed/pet_deed/shared_brackaset_deed.iff');
INSERT INTO `template_items` VALUES ('4366', 'object/tangible/ship/crafted/engine/shared_engine_limiter_mk4.iff');
INSERT INTO `template_items` VALUES ('4367', 'object/tangible/loot/misc/shared_loot_skull_bol.iff');
INSERT INTO `template_items` VALUES ('4368', 'object/tangible/loot/quest/hero_of_tatooine/shared_mark_intellect.iff');
INSERT INTO `template_items` VALUES ('4369', 'object/tangible/wearables/vest/shared_vest_s03.iff');
INSERT INTO `template_items` VALUES ('4370', 'object/tangible/deed/faction_perk/hq/shared_hq_s03.iff');
INSERT INTO `template_items` VALUES ('4371', 'object/tangible/wearables/ithorian/shared_ith_jacket_s04.iff');
INSERT INTO `template_items` VALUES ('4372', 'object/tangible/ship/components/booster/shared_bst_mission_reward_rebel_qualdex_halcyon.iff');
INSERT INTO `template_items` VALUES ('4373', 'object/tangible/deed/city_deed/shared_garden_dantooine_sml_01_deed.iff');
INSERT INTO `template_items` VALUES ('4374', 'object/tangible/ship/crafted/chassis/shared_chassis_z95_body.iff');
INSERT INTO `template_items` VALUES ('4375', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon3_s01.iff');
INSERT INTO `template_items` VALUES ('4376', 'object/tangible/loot/collectible/collectible_parts/shared_gong_adhesive.iff');
INSERT INTO `template_items` VALUES ('4377', 'object/tangible/lair/boar_wolf/shared_lair_boar_wolf.iff');
INSERT INTO `template_items` VALUES ('4378', 'object/tangible/wearables/bodysuit/shared_bodysuit_s14.iff');
INSERT INTO `template_items` VALUES ('4379', 'object/tangible/hair/human/shared_hair_human_female_s41.iff');
INSERT INTO `template_items` VALUES ('4380', 'object/tangible/loot/loot_schematic/shared_ore_recycler_schematic.iff');
INSERT INTO `template_items` VALUES ('4381', 'object/tangible/food/crafted/shared_drink_cortyg.iff');
INSERT INTO `template_items` VALUES ('4382', 'object/tangible/ship/components/shield_generator/shared_shd_incom_rayshield_z1.iff');
INSERT INTO `template_items` VALUES ('4383', 'object/tangible/hair/human/shared_hair_human_female_s39.iff');
INSERT INTO `template_items` VALUES ('4384', 'object/tangible/component/armor/shared_deflector_shield_generator_particle.iff');
INSERT INTO `template_items` VALUES ('4385', 'object/tangible/ship/components/droid_interface/shared_ddi_seinar_interface_mk2.iff');
INSERT INTO `template_items` VALUES ('4386', 'object/tangible/powerup/weapon/shared_ranged_stock.iff');
INSERT INTO `template_items` VALUES ('4387', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s20.iff');
INSERT INTO `template_items` VALUES ('4388', 'object/tangible/ship/crafted/engine/shared_base_engine_subcomponent_mk2.iff');
INSERT INTO `template_items` VALUES ('4389', 'object/tangible/ship/components/armor/shared_arm_slayn_tech_weave.iff');
INSERT INTO `template_items` VALUES ('4390', 'object/tangible/component/weapon/shared_turbo_laser_gun_tube.iff');
INSERT INTO `template_items` VALUES ('4391', 'object/tangible/deed/faction_perk/turret/shared_block_sm_deed.iff');
INSERT INTO `template_items` VALUES ('4392', 'object/tangible/wearables/ithorian/shared_ith_pants_s16.iff');
INSERT INTO `template_items` VALUES ('4393', 'object/tangible/hair/sullustan/base/shared_hair_sullustan_male_base.iff');
INSERT INTO `template_items` VALUES ('4394', 'object/tangible/wearables/base/shared_base_held_r.iff');
INSERT INTO `template_items` VALUES ('4395', 'object/tangible/component/armor/shared_armor_layer_environmental.iff');
INSERT INTO `template_items` VALUES ('4396', 'object/tangible/lair/base/shared_poi_all_lair_rocks_large_evil_fire_green.iff');
INSERT INTO `template_items` VALUES ('4397', 'object/tangible/ship/attachment/weapon/shared_hutt_light_weapon_s04.iff');
INSERT INTO `template_items` VALUES ('4398', 'object/tangible/wearables/bracelet/shared_bracelet_s03_l.iff');
INSERT INTO `template_items` VALUES ('4399', 'object/tangible/lair/skreeg/shared_lair_skreeg_swamp.iff');
INSERT INTO `template_items` VALUES ('4400', 'object/tangible/deed/event_perk/shared_corellia_flag_deed.iff');
INSERT INTO `template_items` VALUES ('4401', 'object/tangible/lair/dwarf_nuna/shared_lair_dwarf_nuna.iff');
INSERT INTO `template_items` VALUES ('4402', 'object/tangible/food/crafted/shared_drink_double_dip_outer_rim_rumdrop.iff');
INSERT INTO `template_items` VALUES ('4403', 'object/tangible/deed/pet_deed/shared_huf_dun_deed.iff');
INSERT INTO `template_items` VALUES ('4404', 'object/tangible/ship/components/reactor/shared_rct_mandal_dxr5.iff');
INSERT INTO `template_items` VALUES ('4405', 'object/tangible/component/armor/shared_armor_segment_kashyyykian_hunting_advanced.iff');
INSERT INTO `template_items` VALUES ('4406', 'object/tangible/ship/components/engine/shared_eng_mission_reward_neutral_mandal_inferno.iff');
INSERT INTO `template_items` VALUES ('4407', 'object/tangible/mission/quest_item/shared_binna_jode_q1_needed.iff');
INSERT INTO `template_items` VALUES ('4408', 'object/tangible/ship/components/droid_interface/shared_ddi_koensayr_simple_droid_interface.iff');
INSERT INTO `template_items` VALUES ('4409', 'object/tangible/component/armor/shared_armor_segment_composite_advanced.iff');
INSERT INTO `template_items` VALUES ('4410', 'object/tangible/wearables/armor/ithorian_defender/shared_ith_armor_s01_boots.iff');
INSERT INTO `template_items` VALUES ('4411', 'object/tangible/loot/tool/shared_sandstat_broken.iff');
INSERT INTO `template_items` VALUES ('4412', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s1.iff');
INSERT INTO `template_items` VALUES ('4413', 'object/tangible/lair/base/shared_bramble_dark.iff');
INSERT INTO `template_items` VALUES ('4414', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon2_s04.iff');
INSERT INTO `template_items` VALUES ('4415', 'object/tangible/component/vehicle/shared_fuel_cell_a.iff');
INSERT INTO `template_items` VALUES ('4416', 'object/tangible/wearables/gloves/shared_gloves_s11.iff');
INSERT INTO `template_items` VALUES ('4417', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_launcher_proton_mk2.iff');
INSERT INTO `template_items` VALUES ('4418', 'object/tangible/ship/components/weapon_capacitor/shared_cap_reward_qualdex_elite.iff');
INSERT INTO `template_items` VALUES ('4419', 'object/tangible/lair/gurk/shared_lair_gurk.iff');
INSERT INTO `template_items` VALUES ('4420', 'object/tangible/ship/attachment/engine/shared_blacksun_medium_engine_s01.iff');
INSERT INTO `template_items` VALUES ('4421', 'object/tangible/terminal/shared_terminal_player_structure_nosnap_mini.iff');
INSERT INTO `template_items` VALUES ('4422', 'object/tangible/ship/attachment/engine/shared_bwing_engine_s01.iff');
INSERT INTO `template_items` VALUES ('4423', 'object/tangible/space/story_loot/shared_loot_tatooine_mining.iff');
INSERT INTO `template_items` VALUES ('4424', 'object/tangible/vendor/base/shared_base_vendor.iff');
INSERT INTO `template_items` VALUES ('4425', 'object/tangible/wearables/ithorian/shared_ith_dress_s02.iff');
INSERT INTO `template_items` VALUES ('4426', 'object/tangible/lair/base/shared_poi_all_lair_garbage_large_fog_red.iff');
INSERT INTO `template_items` VALUES ('4427', 'object/tangible/food/spice/shared_spice_shadowpaw.iff');
INSERT INTO `template_items` VALUES ('4428', 'object/tangible/component/weapon/shared_weapon_e11_stock_closed.iff');
INSERT INTO `template_items` VALUES ('4429', 'object/tangible/loot/dungeon/corellian_corvette/shared_imperial_assassin_filler01.iff');
INSERT INTO `template_items` VALUES ('4430', 'object/tangible/wearables/base/shared_base_sleeve_r.iff');
INSERT INTO `template_items` VALUES ('4431', 'object/tangible/container/loot/shared_placable_loot_crate_skeleton_ithorian.iff');
INSERT INTO `template_items` VALUES ('4432', 'object/tangible/loot/loot_schematic/shared_professors_desk_schematic.iff');
INSERT INTO `template_items` VALUES ('4433', 'object/tangible/camp/shared_camp_tent_s2.iff');
INSERT INTO `template_items` VALUES ('4434', 'object/tangible/powerup/weapon/shared_thrown_explosive.iff');
INSERT INTO `template_items` VALUES ('4435', 'object/tangible/deed/city_deed/shared_cityhall_corellia_deed.iff');
INSERT INTO `template_items` VALUES ('4436', 'object/tangible/ship/components/weapon/shared_wpn_rendili_sc3_disruptor.iff');
INSERT INTO `template_items` VALUES ('4437', 'object/tangible/food/crafted/shared_dessert_almond_kwevvu_crisp_munchies.iff');
INSERT INTO `template_items` VALUES ('4438', 'object/tangible/component/droid/shared_repair_module.iff');
INSERT INTO `template_items` VALUES ('4439', 'object/tangible/wearables/base/shared_base_shoes.iff');
INSERT INTO `template_items` VALUES ('4440', 'object/tangible/medicine/pet/shared_droid_vitapack_b.iff');
INSERT INTO `template_items` VALUES ('4441', 'object/tangible/wearables/bandolier/shared_bandolier_s02.iff');
INSERT INTO `template_items` VALUES ('4442', 'object/tangible/ship/components/engine/shared_eng_rss_imperial_skyrunner_4.iff');
INSERT INTO `template_items` VALUES ('4443', 'object/tangible/component/vehicle/shared_fuel_c.iff');
INSERT INTO `template_items` VALUES ('4444', 'object/tangible/loot/loot_schematic/shared_corellian_corvette_landspeeder_av21_schematic.iff');
INSERT INTO `template_items` VALUES ('4445', 'object/tangible/hair/human/shared_hair_human_female_s04.iff');
INSERT INTO `template_items` VALUES ('4446', 'object/tangible/furniture/city/shared_statue_sentinel_01.iff');
INSERT INTO `template_items` VALUES ('4447', 'object/tangible/wearables/ithorian/shared_ith_bandolier_s04.iff');
INSERT INTO `template_items` VALUES ('4448', 'object/tangible/component/bio/shared_bio_component_clothing_casual_charisma_2.iff');
INSERT INTO `template_items` VALUES ('4449', 'object/tangible/wearables/wookiee/shared_wke_shirt_s01.iff');
INSERT INTO `template_items` VALUES ('4450', 'object/tangible/component/structure/shared_power_core_unit.iff');
INSERT INTO `template_items` VALUES ('4451', 'object/tangible/wearables/ithorian/shared_ith_necklace_s11.iff');
INSERT INTO `template_items` VALUES ('4452', 'object/tangible/ship/components/armor/shared_arm_corellian_reinforced_light_durasteel.iff');
INSERT INTO `template_items` VALUES ('4453', 'object/tangible/hair/bothan/shared_hair_bothan_male_s06.iff');
INSERT INTO `template_items` VALUES ('4454', 'object/tangible/wearables/ithorian/shared_ith_belt_s18.iff');
INSERT INTO `template_items` VALUES ('4455', 'object/tangible/item/quest/force_sensitive/shared_fs_mellichae_cyborg_arm.iff');
INSERT INTO `template_items` VALUES ('4456', 'object/tangible/veteran_reward/one_year_anniversary/shared_painting_04.iff');
INSERT INTO `template_items` VALUES ('4457', 'object/tangible/ship/components/shield_generator/shared_shd_koensayr_improved_deflector_m1.iff');
INSERT INTO `template_items` VALUES ('4458', 'object/tangible/ship/components/weapon_capacitor/shared_cap_qualdex_conservator_q7.iff');
INSERT INTO `template_items` VALUES ('4459', 'object/tangible/container/jar/shared_jar_spice_s01.iff');
INSERT INTO `template_items` VALUES ('4460', 'object/tangible/deed/player_house_deed/shared_naboo_house_medium_deed.iff');
INSERT INTO `template_items` VALUES ('4461', 'object/tangible/ship/components/armor/shared_arm_mandal_modified_supreme_composite.iff');
INSERT INTO `template_items` VALUES ('4462', 'object/tangible/mission/quest_item/shared_bren_kingal_q1_reward.iff');
INSERT INTO `template_items` VALUES ('4463', 'object/tangible/wearables/base/shared_base_dress.iff');
INSERT INTO `template_items` VALUES ('4464', 'object/tangible/furniture/all/shared_frn_all_jedi_council_seat.iff');
INSERT INTO `template_items` VALUES ('4465', 'object/tangible/ship/components/droid_interface/shared_ddi_hk_mk4.iff');
INSERT INTO `template_items` VALUES ('4466', 'object/tangible/loot/quest/shared_schematic_backpack_s03_quest.iff');
INSERT INTO `template_items` VALUES ('4467', 'object/tangible/ship/components/weapon_capacitor/shared_cap_subpro_defiant_c2.iff');
INSERT INTO `template_items` VALUES ('4468', 'object/tangible/ship/components/engine/shared_eng_mandal_advanced.iff');
INSERT INTO `template_items` VALUES ('4469', 'object/tangible/skill_buff/shared_skill_buff_mask_scent.iff');
INSERT INTO `template_items` VALUES ('4470', 'object/tangible/wearables/boots/shared_boots_s34.iff');
INSERT INTO `template_items` VALUES ('4471', 'object/tangible/hopper/crafting_station_hopper/shared_crafting_station_ingredient_hopper_structure_large.iff');
INSERT INTO `template_items` VALUES ('4472', 'object/tangible/furniture/all/shared_frn_all_desk_map_table.iff');
INSERT INTO `template_items` VALUES ('4473', 'object/tangible/ship/components/booster/shared_bst_sorosuub_prized_liberator_mk1.iff');
INSERT INTO `template_items` VALUES ('4474', 'object/tangible/ship/components/weapon_capacitor/shared_cap_kessel_rebel_taim_hypercharger.iff');
INSERT INTO `template_items` VALUES ('4475', 'object/tangible/loot/quest/shared_schematic_bandolier_s02_quest.iff');
INSERT INTO `template_items` VALUES ('4476', 'object/tangible/mission/shared_assassin_missions_device.iff');
INSERT INTO `template_items` VALUES ('4477', 'object/tangible/mission/quest_item/shared_athok_dinvar_q2_needed.iff');
INSERT INTO `template_items` VALUES ('4478', 'object/tangible/jedi/shared_power_shrine_red.iff');
INSERT INTO `template_items` VALUES ('4479', 'object/tangible/component/armor/shared_armor_segment_chitin_advanced.iff');
INSERT INTO `template_items` VALUES ('4480', 'object/tangible/loot/dungeon/death_watch_bunker/shared_fuel_dispersion_unit.iff');
INSERT INTO `template_items` VALUES ('4481', 'object/tangible/ship/crafted/droid_interface/shared_droid_brain_upgrade_mk5.iff');
INSERT INTO `template_items` VALUES ('4482', 'object/tangible/deed/pet_deed/shared_deed_r4_basic.iff');
INSERT INTO `template_items` VALUES ('4483', 'object/tangible/wearables/base/shared_base_back.iff');
INSERT INTO `template_items` VALUES ('4484', 'object/tangible/lair/structure/exterior/shared_lair_hive_medium_exterior_merek.iff');
INSERT INTO `template_items` VALUES ('4485', 'object/tangible/ship/components/shield_generator/shared_shd_gallofree_defender_2.iff');
INSERT INTO `template_items` VALUES ('4486', 'object/tangible/ship/attachment/weapon/shared_star_destroyer_turret_square_body.iff');
INSERT INTO `template_items` VALUES ('4487', 'object/tangible/ship/components/shield_generator/shared_shd_cygnus_mk2.iff');
INSERT INTO `template_items` VALUES ('4488', 'object/tangible/wearables/bustier/shared_bustier_s01.iff');
INSERT INTO `template_items` VALUES ('4489', 'object/tangible/ship/components/booster/shared_bst_koensayr_racer_mk1.iff');
INSERT INTO `template_items` VALUES ('4490', 'object/tangible/wearables/armor/padded/shared_armor_padded_s01_gloves.iff');
INSERT INTO `template_items` VALUES ('4491', 'object/tangible/component/armor/shared_armor_segment_bone_advanced.iff');
INSERT INTO `template_items` VALUES ('4492', 'object/tangible/lair/base/shared_poi_all_lair_nest_small_evil_fire_red.iff');
INSERT INTO `template_items` VALUES ('4493', 'object/tangible/lair/base/shared_poi_all_lair_nest_large.iff');
INSERT INTO `template_items` VALUES ('4494', 'object/tangible/lair/base/shared_earthmound_light.iff');
INSERT INTO `template_items` VALUES ('4495', 'object/tangible/lair/bordok/shared_lair_bordok.iff');
INSERT INTO `template_items` VALUES ('4496', 'object/tangible/component/weapon/lightsaber/shared_base_lightsaber_module.iff');
INSERT INTO `template_items` VALUES ('4497', 'object/tangible/deed/pet_deed/shared_veermok_deed.iff');
INSERT INTO `template_items` VALUES ('4498', 'object/tangible/ship/crafted/chassis/shared_hutt_turret_ship_deed.iff');
INSERT INTO `template_items` VALUES ('4499', 'object/tangible/hair/bothan/shared_hair_bothan_female_s19.iff');
INSERT INTO `template_items` VALUES ('4500', 'object/tangible/loot/simple_kit/shared_wiring_red.iff');
INSERT INTO `template_items` VALUES ('4501', 'object/tangible/painting/shared_painting_twilek_f_sm_s04.iff');
INSERT INTO `template_items` VALUES ('4502', 'object/tangible/loot/bestine/shared_bestine_painting_schematic_moncal_eye_01.iff');
INSERT INTO `template_items` VALUES ('4503', 'object/tangible/painting/shared_painting_bothan_m.iff');
INSERT INTO `template_items` VALUES ('4504', 'object/tangible/hair/human/shared_hair_human_male_s40.iff');
INSERT INTO `template_items` VALUES ('4505', 'object/tangible/hair/rodian/shared_hair_rodian_female_s02.iff');
INSERT INTO `template_items` VALUES ('4506', 'object/tangible/deed/faction_perk/turret/shared_tower_med_deed.iff');
INSERT INTO `template_items` VALUES ('4507', 'object/tangible/hair/human/shared_hair_human_male_s38.iff');
INSERT INTO `template_items` VALUES ('4508', 'object/tangible/wearables/armor/zam/shared_armor_zam_wesell_gloves.iff');
INSERT INTO `template_items` VALUES ('4509', 'object/tangible/ship/crafted/shields/shared_shield_energy_saver_kit_mk2.iff');
INSERT INTO `template_items` VALUES ('4510', 'object/tangible/ship/attachment/wing/shared_hutt_heavy_wing_s01.iff');
INSERT INTO `template_items` VALUES ('4511', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s04.iff');
INSERT INTO `template_items` VALUES ('4512', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_missile_pod_s01.iff');
INSERT INTO `template_items` VALUES ('4513', 'object/tangible/painting/shared_painting_double_helix.iff');
INSERT INTO `template_items` VALUES ('4514', 'object/tangible/jedi/shared_no_drop_jedi_holocron_light.iff');
INSERT INTO `template_items` VALUES ('4515', 'object/tangible/food/crafted/shared_dish_meatlump.iff');
INSERT INTO `template_items` VALUES ('4516', 'object/tangible/deed/pet_deed/shared_eopie_deed.iff');
INSERT INTO `template_items` VALUES ('4517', 'object/tangible/component/droid/shared_armor_module_6.iff');
INSERT INTO `template_items` VALUES ('4518', 'object/tangible/ship/components/droid_interface/shared_ddi_sfs_enhanced_imperial_1.iff');
INSERT INTO `template_items` VALUES ('4519', 'object/tangible/deed/player_house_deed/shared_merchant_tent_style_01_deed.iff');
INSERT INTO `template_items` VALUES ('4520', 'object/tangible/ship/attachment/engine/shared_blacksun_light_engine_s01.iff');
INSERT INTO `template_items` VALUES ('4521', 'object/tangible/ship/components/booster/shared_bst_kse_bti1.iff');
INSERT INTO `template_items` VALUES ('4522', 'object/tangible/ship/crafted/reactor/shared_standard_power_distributor.iff');
INSERT INTO `template_items` VALUES ('4523', 'object/tangible/wearables/wookiee/shared_wke_gloves_s03.iff');
INSERT INTO `template_items` VALUES ('4524', 'object/tangible/ship/components/weapon_capacitor/shared_cap_reward_mandal_elite.iff');
INSERT INTO `template_items` VALUES ('4525', 'object/tangible/scout/camp/shared_camp_improved.iff');
INSERT INTO `template_items` VALUES ('4526', 'object/tangible/vendor/shared_vendor_terminal_bulky.iff');
INSERT INTO `template_items` VALUES ('4527', 'object/tangible/food/crafted/shared_dish_travel_biscuits.iff');
INSERT INTO `template_items` VALUES ('4528', 'object/tangible/ship/interior_components/shared_capacitor_interior.iff');
INSERT INTO `template_items` VALUES ('4529', 'object/tangible/ship/components/weapon_capacitor/shared_cap_novaldex_wampa_s1.iff');
INSERT INTO `template_items` VALUES ('4530', 'object/tangible/lair/base/shared_poi_all_lair_rocks_small_evil_fire_red.iff');
INSERT INTO `template_items` VALUES ('4531', 'object/tangible/ship/components/reactor/shared_rct_prototype_reactor.iff');
INSERT INTO `template_items` VALUES ('4532', 'object/tangible/ship/components/armor/shared_armor_subpro_corrugated_durasteel.iff');
INSERT INTO `template_items` VALUES ('4533', 'object/tangible/deed/city_deed/shared_hospital_corellia_deed.iff');
INSERT INTO `template_items` VALUES ('4534', 'object/tangible/loot/dungeon/geonosian_mad_bunker/shared_relic_gbb_data_tab.iff');
INSERT INTO `template_items` VALUES ('4535', 'object/tangible/mission/quest_item/shared_bren_kingal_q3_reward.iff');
INSERT INTO `template_items` VALUES ('4536', 'object/tangible/deed/harvester_deed/shared_harvester_flora_deed.iff');
INSERT INTO `template_items` VALUES ('4537', 'object/tangible/ship/crafted/droid_interface/shared_advanced_droid_harness.iff');
INSERT INTO `template_items` VALUES ('4538', 'object/tangible/wearables/ithorian/shared_ith_skirt_s02.iff');
INSERT INTO `template_items` VALUES ('4539', 'object/tangible/loot/loot_schematic/shared_geonosian_reinforcement_core_schematic.iff');
INSERT INTO `template_items` VALUES ('4540', 'object/tangible/loot/misc/shared_loot_skull_thune.iff');
INSERT INTO `template_items` VALUES ('4541', 'object/tangible/ship/attachment/booster/shared_yt1300_booster_s02.iff');
INSERT INTO `template_items` VALUES ('4542', 'object/tangible/painting/shared_painting_droid_bright.iff');
INSERT INTO `template_items` VALUES ('4543', 'object/tangible/hopper/manufacturing_facility_hopper/shared_manufacture_installation_ingredient_hopper_structure_large.iff');
INSERT INTO `template_items` VALUES ('4544', 'object/tangible/lair/base/shared_poi_all_lair_thicket_small_evil_fire_green.iff');
INSERT INTO `template_items` VALUES ('4545', 'object/tangible/ship/components/armor/shared_arm_prototype_armor.iff');
INSERT INTO `template_items` VALUES ('4546', 'object/tangible/lair/base/shared_poi_all_lair_bones_evil_fire_green.iff');
INSERT INTO `template_items` VALUES ('4547', 'object/tangible/ship/components/shield_generator/shared_shd_koensayr_modified_deflector_advanced.iff');
INSERT INTO `template_items` VALUES ('4548', 'object/tangible/ship/crafted/engine/shared_adv_exhaust.iff');
INSERT INTO `template_items` VALUES ('4549', 'object/tangible/deed/city_deed/shared_garage_corellia_deed.iff');
INSERT INTO `template_items` VALUES ('4550', 'object/tangible/hair/sullustan/shared_sul_hair_s03_m.iff');
INSERT INTO `template_items` VALUES ('4551', 'object/tangible/ship/crafted/weapon/shared_armor_effectiveness_intensifier_mk5.iff');
INSERT INTO `template_items` VALUES ('4552', 'object/tangible/loot/misc/shared_bowl_s01.iff');
INSERT INTO `template_items` VALUES ('4553', 'object/tangible/ship/components/droid_interface/shared_ddi_freitek_elite.iff');
INSERT INTO `template_items` VALUES ('4554', 'object/tangible/crafting/station/shared_food_tool.iff');
INSERT INTO `template_items` VALUES ('4555', 'object/tangible/container/quest/crafting_contract/shared_food_crate.iff');
INSERT INTO `template_items` VALUES ('4556', 'object/tangible/fishing/bait/shared_bait_grub.iff');
INSERT INTO `template_items` VALUES ('4557', 'object/tangible/encoded_disk/shared_dead_eye_decoder.iff');
INSERT INTO `template_items` VALUES ('4558', 'object/tangible/ship/crafted/weapon/shared_weapon_incom_disruptor.iff');
INSERT INTO `template_items` VALUES ('4559', 'object/tangible/ship/attachment/weapon/shared_ywing_weapon1_s06.iff');
INSERT INTO `template_items` VALUES ('4560', 'object/tangible/ship/components/droid_interface/shared_ddi_incom_elite.iff');
INSERT INTO `template_items` VALUES ('4561', 'object/tangible/loot/collectible/collectible_parts/shared_fs_tracking_device_assembly_bracket_01.iff');
INSERT INTO `template_items` VALUES ('4562', 'object/tangible/ship/components/shield_generator/shared_shd_incom_techscreen_1.iff');
INSERT INTO `template_items` VALUES ('4563', 'object/tangible/ship/crafted/booster/shared_fast_charge_fuel_cell_mk3.iff');
INSERT INTO `template_items` VALUES ('4564', 'object/tangible/loot/bestine/shared_bestine_painting_schematic_mattberry.iff');
INSERT INTO `template_items` VALUES ('4565', 'object/tangible/wearables/shirt/shared_shirt_s34.iff');
INSERT INTO `template_items` VALUES ('4566', 'object/tangible/droid/shared_droid_space_memory_module_base.iff');
INSERT INTO `template_items` VALUES ('4567', 'object/tangible/component/droid/shared_droid_service_module_base.iff');
INSERT INTO `template_items` VALUES ('4568', 'object/tangible/ship/components/armor/shared_arm_koensayr_elite_plastisteel.iff');
INSERT INTO `template_items` VALUES ('4569', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_neg_s05_1.iff');
INSERT INTO `template_items` VALUES ('4570', 'object/tangible/lair/base/shared_poi_all_lair_dead_log_large_evil_fire_red.iff');
INSERT INTO `template_items` VALUES ('4571', 'object/tangible/wearables/ithorian/shared_ith_hat_s01.iff');
INSERT INTO `template_items` VALUES ('4572', 'object/tangible/component/droid/shared_playback_module.iff');
INSERT INTO `template_items` VALUES ('4573', 'object/tangible/wearables/bodysuit/shared_bodysuit_atat_quest.iff');
INSERT INTO `template_items` VALUES ('4574', 'object/tangible/item/shared_con_drinking_glass_01.iff');
INSERT INTO `template_items` VALUES ('4575', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_pos_s03_0.iff');
INSERT INTO `template_items` VALUES ('4576', 'object/tangible/lair/nerf/shared_lair_nerf_grassland.iff');
INSERT INTO `template_items` VALUES ('4577', 'object/tangible/survey_tool/shared_survey_tool_mineral.iff');
INSERT INTO `template_items` VALUES ('4578', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_male_s06.iff');
INSERT INTO `template_items` VALUES ('4579', 'object/tangible/furniture/jedi/shared_frn_all_table_light_02.iff');
INSERT INTO `template_items` VALUES ('4580', 'object/tangible/wearables/base/shared_base_gloves.iff');
INSERT INTO `template_items` VALUES ('4581', 'object/tangible/ship/attachment/booster/shared_blacksun_light_booster_s02.iff');
INSERT INTO `template_items` VALUES ('4582', 'object/tangible/ship/components/weapon/shared_wpn_mission_reward_neutral_hk_military_blaster.iff');
INSERT INTO `template_items` VALUES ('4583', 'object/tangible/scout/camokit/shared_camokit_rori.iff');
INSERT INTO `template_items` VALUES ('4584', 'object/tangible/ship/components/shield_generator/shared_shd_mandal_flexshield_kx1.iff');
INSERT INTO `template_items` VALUES ('4585', 'object/tangible/ship/components/engine/shared_eng_rss_advanced.iff');
INSERT INTO `template_items` VALUES ('4586', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_concussion_missile_mk1.iff');
INSERT INTO `template_items` VALUES ('4587', 'object/tangible/ship/components/booster/shared_bst_novaldex_pulsar.iff');
INSERT INTO `template_items` VALUES ('4588', 'object/tangible/ship/components/armor/shared_arm_sfs_standard_durasteel.iff');
INSERT INTO `template_items` VALUES ('4589', 'object/tangible/mission/quest_item/shared_binna_jode_q3_needed.iff');
INSERT INTO `template_items` VALUES ('4590', 'object/tangible/lair/guf_drolg/shared_lair_guf_drolg.iff');
INSERT INTO `template_items` VALUES ('4591', 'object/tangible/droid/shared_navicomputer_2.iff');
INSERT INTO `template_items` VALUES ('4592', 'object/tangible/component/armor/shared_heavy_armor_layer_stun.iff');
INSERT INTO `template_items` VALUES ('4593', 'object/tangible/skill_buff/shared_skill_buff_polearm_accuracy.iff');
INSERT INTO `template_items` VALUES ('4594', 'object/tangible/lair/base/shared_poi_all_lair_dead_log_large_fog_green.iff');
INSERT INTO `template_items` VALUES ('4595', 'object/tangible/deed/base/shared_deed_building_base.iff');
INSERT INTO `template_items` VALUES ('4596', 'object/tangible/lair/base/shared_poi_all_lair_mound_large_fog_gray.iff');
INSERT INTO `template_items` VALUES ('4597', 'object/tangible/hair/human/shared_hair_human_female_s30.iff');
INSERT INTO `template_items` VALUES ('4598', 'object/tangible/loot/loot_schematic/shared_spear_rack_schematic.iff');
INSERT INTO `template_items` VALUES ('4599', 'object/tangible/wearables/goggles/shared_goggles_s03.iff');
INSERT INTO `template_items` VALUES ('4600', 'object/tangible/lair/vynock/shared_lair_vynock_mountain.iff');
INSERT INTO `template_items` VALUES ('4601', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon2_s05.iff');
INSERT INTO `template_items` VALUES ('4602', 'object/tangible/lair/base/shared_poi_all_lair_wooden_evil_fire_red.iff');
INSERT INTO `template_items` VALUES ('4603', 'object/tangible/ship/components/weapon/shared_wpn_reward_taim_elite.iff');
INSERT INTO `template_items` VALUES ('4604', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon_pos_s02_1.iff');
INSERT INTO `template_items` VALUES ('4605', 'object/tangible/wearables/jacket/shared_jacket_s15.iff');
INSERT INTO `template_items` VALUES ('4606', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_neg_s04_0.iff');
INSERT INTO `template_items` VALUES ('4607', 'object/tangible/medicine/crafted/shared_medpack_damage_b.iff');
INSERT INTO `template_items` VALUES ('4608', 'object/tangible/medicine/crafted/shared_medpack_disease_strength_a.iff');
INSERT INTO `template_items` VALUES ('4609', 'object/tangible/ship/components/chassis/shared_hutt_heavy_s01_chassis_token.iff');
INSERT INTO `template_items` VALUES ('4610', 'object/tangible/ship/crafted/reactor/shared_base_reactor_subcomponent.iff');
INSERT INTO `template_items` VALUES ('4611', 'object/tangible/ship/components/armor/shared_armor_baktoid_shock_armor.iff');
INSERT INTO `template_items` VALUES ('4612', 'object/tangible/loot/quest/shared_shellfish_harvester_schematic.iff');
INSERT INTO `template_items` VALUES ('4613', 'object/tangible/ship/components/shield_generator/shared_shd_moncal_ionweb_heavy.iff');
INSERT INTO `template_items` VALUES ('4614', 'object/tangible/loot/quest/hero_of_tatooine/shared_mark_altruism.iff');
INSERT INTO `template_items` VALUES ('4615', 'object/tangible/painting/shared_painting_valley_view.iff');
INSERT INTO `template_items` VALUES ('4616', 'object/tangible/ship/crafted/engine/shared_eng_mk3.iff');
INSERT INTO `template_items` VALUES ('4617', 'object/tangible/mission/quest_item/shared_binna_jode_q2_needed.iff');
INSERT INTO `template_items` VALUES ('4618', 'object/tangible/ship/components/weapon_capacitor/shared_cap_freitek_xd2.iff');
INSERT INTO `template_items` VALUES ('4619', 'object/tangible/lair/flewt/shared_lair_flewt_grassland.iff');
INSERT INTO `template_items` VALUES ('4620', 'object/tangible/lair/base/shared_poi_all_lair_leaf_large_evil_fire_red.iff');
INSERT INTO `template_items` VALUES ('4621', 'object/tangible/ship/components/weapon/shared_wpn_reward_slayn_elite.iff');
INSERT INTO `template_items` VALUES ('4622', 'object/tangible/lair/base/shared_poi_all_lair_garbage_large_evil_fire_green.iff');
INSERT INTO `template_items` VALUES ('4623', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon3_s03.iff');
INSERT INTO `template_items` VALUES ('4624', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_pos_s02_1.iff');
INSERT INTO `template_items` VALUES ('4625', 'object/tangible/powerup/base/shared_armor_base.iff');
INSERT INTO `template_items` VALUES ('4626', 'object/tangible/component/droid/shared_performer_effects_e.iff');
INSERT INTO `template_items` VALUES ('4627', 'object/tangible/ship/attachment/weapon/shared_corellian_corvette_turret_side_l.iff');
INSERT INTO `template_items` VALUES ('4628', 'object/tangible/loot/misc/shared_force_crystal.iff');
INSERT INTO `template_items` VALUES ('4629', 'object/tangible/lair/bearded_jax/shared_lair_bearded_jax.iff');
INSERT INTO `template_items` VALUES ('4630', 'object/tangible/crafting/station/shared_space_tool.iff');
INSERT INTO `template_items` VALUES ('4631', 'object/tangible/ship/components/weapon/shared_wpn_koensayr_ion_accelerator_3.iff');
INSERT INTO `template_items` VALUES ('4632', 'object/tangible/ship/components/booster/shared_bst_sorosuub_liberator_mk1.iff');
INSERT INTO `template_items` VALUES ('4633', 'object/tangible/lair/kimogila/shared_lair_kimogila_mountain.iff');
INSERT INTO `template_items` VALUES ('4634', 'object/tangible/terminal/shared_terminal_mission.iff');
INSERT INTO `template_items` VALUES ('4635', 'object/tangible/hair/human/shared_hair_human_male_s05.iff');
INSERT INTO `template_items` VALUES ('4636', 'object/tangible/component/armor/shared_heavy_armor_layer_electrical.iff');
INSERT INTO `template_items` VALUES ('4637', 'object/tangible/ship/crafted/capacitor/shared_heavy_battery_mk2.iff');
INSERT INTO `template_items` VALUES ('4638', 'object/tangible/poi/object/shared_droid_body.iff');
INSERT INTO `template_items` VALUES ('4639', 'object/tangible/deed/player_house_deed/shared_merchant_tent_style_03_deed.iff');
INSERT INTO `template_items` VALUES ('4640', 'object/tangible/ship/components/engine/shared_eng_kessel_rebel_novaldex_blackhole_elite.iff');
INSERT INTO `template_items` VALUES ('4641', 'object/tangible/lair/base/shared_poi_all_lair_insecthill_large.iff');
INSERT INTO `template_items` VALUES ('4642', 'object/tangible/lair/structure/exterior/shared_lair_cave_giant_exterior_rancor.iff');
INSERT INTO `template_items` VALUES ('4643', 'object/tangible/painting/shared_painting_trandoshan_m.iff');
INSERT INTO `template_items` VALUES ('4644', 'object/tangible/wearables/dress/shared_dress_s16.iff');
INSERT INTO `template_items` VALUES ('4645', 'object/tangible/furniture/decorative/shared_kitchen_utensils.iff');
INSERT INTO `template_items` VALUES ('4646', 'object/tangible/lair/structure/exterior/shared_lair_cave_large_exterior_perlek.iff');
INSERT INTO `template_items` VALUES ('4647', 'object/tangible/wearables/shirt/shared_nightsister_shirt_s01.iff');
INSERT INTO `template_items` VALUES ('4648', 'object/tangible/food/crafted/shared_dish_exo_protein_wafers.iff');
INSERT INTO `template_items` VALUES ('4649', 'object/tangible/wearables/hat/shared_hat_s04.iff');
INSERT INTO `template_items` VALUES ('4650', 'object/tangible/ship/components/booster/shared_bst_mandal_modified_jbj_mk2.iff');
INSERT INTO `template_items` VALUES ('4651', 'object/tangible/furniture/all/shared_frn_all_tree_potted_s2.iff');
INSERT INTO `template_items` VALUES ('4652', 'object/tangible/hair/sullustan/shared_sul_hair_s01_f.iff');
INSERT INTO `template_items` VALUES ('4653', 'object/tangible/ship/components/armor/shared_arm_koensayr_limited_heavy_durasteel.iff');
INSERT INTO `template_items` VALUES ('4654', 'object/tangible/wearables/armor/padded/shared_armor_padded_s01_bicep_r.iff');
INSERT INTO `template_items` VALUES ('4655', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s01_chest_plate.iff');
INSERT INTO `template_items` VALUES ('4656', 'object/tangible/fishing/fish/shared_striped.iff');
INSERT INTO `template_items` VALUES ('4657', 'object/tangible/wearables/bodysuit/shared_bodysuit_bwing.iff');
INSERT INTO `template_items` VALUES ('4658', 'object/tangible/wearables/necklace/shared_necklace_platinum_pin.iff');
INSERT INTO `template_items` VALUES ('4659', 'object/tangible/component/weapon/shared_scope_weapon_sm_s05.iff');
INSERT INTO `template_items` VALUES ('4660', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_launcher_seismic_mk1.iff');
INSERT INTO `template_items` VALUES ('4661', 'object/tangible/ship/crafted/reverse_engineering/shared_engine_analysis_tool.iff');
INSERT INTO `template_items` VALUES ('4662', 'object/tangible/loot/quest/shared_ostrine.iff');
INSERT INTO `template_items` VALUES ('4663', 'object/tangible/component/droid/shared_surgical_droid_chassis.iff');
INSERT INTO `template_items` VALUES ('4664', 'object/tangible/loot/quest/shared_edb_quest_heirloom_bowl.iff');
INSERT INTO `template_items` VALUES ('4665', 'object/tangible/hair/rodian/shared_hair_rodian_male_s12.iff');
INSERT INTO `template_items` VALUES ('4666', 'object/tangible/wearables/ithorian/shared_ith_belt_s11.iff');
INSERT INTO `template_items` VALUES ('4667', 'object/tangible/wearables/wookiee/shared_wke_skirt_s01.iff');
INSERT INTO `template_items` VALUES ('4668', 'object/tangible/medicine/crafted/shared_medpack_enhance_health_b.iff');
INSERT INTO `template_items` VALUES ('4669', 'object/tangible/ship/components/weapon/shared_wpn_armek_elite.iff');
INSERT INTO `template_items` VALUES ('4670', 'object/tangible/component/weapon/shared_base_projectile_feed_mechanism_enhancement.iff');
INSERT INTO `template_items` VALUES ('4671', 'object/tangible/medicine/crafted/shared_medpack_enhance_poison_b.iff');
INSERT INTO `template_items` VALUES ('4672', 'object/tangible/lair/rancor/shared_lair_rancor_desert.iff');
INSERT INTO `template_items` VALUES ('4673', 'object/tangible/deed/player_house_deed/shared_corellia_house_large_deed.iff');
INSERT INTO `template_items` VALUES ('4674', 'object/tangible/deed/pet_deed/shared_kliknik_deed.iff');
INSERT INTO `template_items` VALUES ('4675', 'object/tangible/mission/quest_item/shared_bren_kingal_q2_reward.iff');
INSERT INTO `template_items` VALUES ('4676', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s14.iff');
INSERT INTO `template_items` VALUES ('4677', 'object/tangible/ship/components/weapon_capacitor/shared_cap_subpro_valiant_z2.iff');
INSERT INTO `template_items` VALUES ('4678', 'object/tangible/medicine/shared_medpack_enhance_action.iff');
INSERT INTO `template_items` VALUES ('4679', 'object/tangible/ship/components/weapon_capacitor/shared_cap_kessel_imperial_sds_imperial_finest.iff');
INSERT INTO `template_items` VALUES ('4680', 'object/tangible/medicine/pet/shared_droid_wound_kit_c.iff');
INSERT INTO `template_items` VALUES ('4681', 'object/tangible/medicine/shared_medpack_wound.iff');
INSERT INTO `template_items` VALUES ('4682', 'object/tangible/crafting/station/shared_public_clothing_station.iff');
INSERT INTO `template_items` VALUES ('4683', 'object/tangible/lair/base/shared_poi_all_lair_nest_small_fog_gray.iff');
INSERT INTO `template_items` VALUES ('4684', 'object/tangible/hair/bothan/shared_hair_bothan_female_s10.iff');
INSERT INTO `template_items` VALUES ('4685', 'object/tangible/container/quest/crafting_contract/shared_weapon_crate.iff');
INSERT INTO `template_items` VALUES ('4686', 'object/tangible/wearables/shirt/shared_shirt_s09.iff');
INSERT INTO `template_items` VALUES ('4687', 'object/tangible/ship/attachment/weapon/shared_kse_firespray_weapon1_s02.iff');
INSERT INTO `template_items` VALUES ('4688', 'object/tangible/furniture/modern/shared_rug_rect_lg_s01.iff');
INSERT INTO `template_items` VALUES ('4689', 'object/tangible/component/armor/shared_armor_layer_energy.iff');
INSERT INTO `template_items` VALUES ('4690', 'object/tangible/ship/crafted/reverse_engineering/shared_retrofit_kit.iff');
INSERT INTO `template_items` VALUES ('4691', 'object/tangible/furniture/elegant/shared_cabinet_s01.iff');
INSERT INTO `template_items` VALUES ('4692', 'object/tangible/ship/components/armor/shared_armor_baktoid_mtt_prototype.iff');
INSERT INTO `template_items` VALUES ('4693', 'object/tangible/ship/crafted/shields/shared_shield_overcharger_mk2.iff');
INSERT INTO `template_items` VALUES ('4694', 'object/tangible/npc/tatooine_special/shared_sarlacc.iff');
INSERT INTO `template_items` VALUES ('4695', 'object/tangible/ship/crafted/weapon/missile/shared_weapon_basic_launcher.iff');
INSERT INTO `template_items` VALUES ('4696', 'object/tangible/ship/components/weapon_capacitor/shared_cap_sorosuub_dynamo_mk3.iff');
INSERT INTO `template_items` VALUES ('4697', 'object/tangible/deed/pet_deed/shared_blurrg_deed.iff');
INSERT INTO `template_items` VALUES ('4698', 'object/tangible/lair/cu_pa/shared_lair_cu_pa.iff');
INSERT INTO `template_items` VALUES ('4699', 'object/tangible/terminal/shared_terminal_light_enclave_challenge.iff');
INSERT INTO `template_items` VALUES ('4700', 'object/tangible/component/bio/shared_bio_component_food_light_nutrition.iff');
INSERT INTO `template_items` VALUES ('4701', 'object/tangible/ship/components/droid_interface/shared_ddi_cygnus_di8.iff');
INSERT INTO `template_items` VALUES ('4702', 'object/tangible/wearables/skirt/shared_skirt_s11.iff');
INSERT INTO `template_items` VALUES ('4703', 'object/tangible/lair/kittle/shared_lair_kittle_forest.iff');
INSERT INTO `template_items` VALUES ('4704', 'object/tangible/wearables/belt/shared_belt_s15.iff');
INSERT INTO `template_items` VALUES ('4705', 'object/tangible/wearables/armor/padded/shared_armor_padded_s01_bracer_l.iff');
INSERT INTO `template_items` VALUES ('4706', 'object/tangible/wearables/pants/shared_pants_s27.iff');
INSERT INTO `template_items` VALUES ('4707', 'object/tangible/ship/attachment/weapon/shared_hutt_medium_weapon2_s04.iff');
INSERT INTO `template_items` VALUES ('4708', 'object/tangible/ship/crafted/armor/shared_base_armor_subcomponent_mk1.iff');
INSERT INTO `template_items` VALUES ('4709', 'object/tangible/ship/components/engine/shared_eng_koensayr_advanced.iff');
INSERT INTO `template_items` VALUES ('4710', 'object/tangible/ship/crafted/shields/shared_exp_deflector_shields.iff');
INSERT INTO `template_items` VALUES ('4711', 'object/tangible/component/chemistry/shared_solid_delivery_shell_advanced.iff');
INSERT INTO `template_items` VALUES ('4712', 'object/tangible/ship/crafted/weapon/shared_base_weapon.iff');
INSERT INTO `template_items` VALUES ('4713', 'object/tangible/ship/components/engine/shared_eng_subpro_light_engines.iff');
INSERT INTO `template_items` VALUES ('4714', 'object/tangible/furniture/city/shared_statue_tatooine_sunball.iff');
INSERT INTO `template_items` VALUES ('4715', 'object/tangible/dungeon/death_watch_bunker/shared_door_control_terminal.iff');
INSERT INTO `template_items` VALUES ('4716', 'object/tangible/ship/components/reactor/shared_rct_mission_reward_neutral_subpro_military.iff');
INSERT INTO `template_items` VALUES ('4717', 'object/tangible/lair/gubbur/shared_lair_gubbur.iff');
INSERT INTO `template_items` VALUES ('4718', 'object/tangible/ship/attachment/weapon/shared_z95_missile.iff');
INSERT INTO `template_items` VALUES ('4719', 'object/tangible/ship/crafted/reactor/shared_advanced_fusion_core.iff');
INSERT INTO `template_items` VALUES ('4720', 'object/tangible/furniture/tatooine/shared_frn_tato_vase_style_01.iff');
INSERT INTO `template_items` VALUES ('4721', 'object/tangible/ship/components/weapon/shared_wpn_hk_modified_scorcher_elite.iff');
INSERT INTO `template_items` VALUES ('4722', 'object/tangible/medicine/crafted/shared_medpack_poison_action_b.iff');
INSERT INTO `template_items` VALUES ('4723', 'object/tangible/deed/event_perk/shared_fed_dub_4x10_honorguard_deed.iff');
INSERT INTO `template_items` VALUES ('4724', 'object/tangible/loot/quest/shared_frn_quest_krayt_skull_01.iff');
INSERT INTO `template_items` VALUES ('4725', 'object/tangible/wearables/base/shared_base_helmet_closed_full_ventilated.iff');
INSERT INTO `template_items` VALUES ('4726', 'object/tangible/instrument/base/shared_instrument_base.iff');
INSERT INTO `template_items` VALUES ('4727', 'object/tangible/theme_park/alderaan/act3/shared_dead_eye_prototype.iff');
INSERT INTO `template_items` VALUES ('4728', 'object/tangible/ship/components/weapon/shared_wpn_koensayr_light_disruptor.iff');
INSERT INTO `template_items` VALUES ('4729', 'object/tangible/lair/base/shared_objective_banner_generic_2.iff');
INSERT INTO `template_items` VALUES ('4730', 'object/tangible/medicine/crafted/shared_crafted_stimpack_sm_s1_e.iff');
INSERT INTO `template_items` VALUES ('4731', 'object/tangible/ship/crafted/weapon/shared_shield_effectiveness_intensifier_mk2.iff');
INSERT INTO `template_items` VALUES ('4732', 'object/tangible/food/crafted/shared_drink_flameout.iff');
INSERT INTO `template_items` VALUES ('4733', 'object/tangible/component/vehicle/shared_armor_panel_kinetic.iff');
INSERT INTO `template_items` VALUES ('4734', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_m_s05_lg.iff');
INSERT INTO `template_items` VALUES ('4735', 'object/tangible/furniture/decorative/shared_fruit_assorted.iff');
INSERT INTO `template_items` VALUES ('4736', 'object/tangible/hair/human/shared_hair_human_female_s20.iff');
INSERT INTO `template_items` VALUES ('4737', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_female_s07.iff');
INSERT INTO `template_items` VALUES ('4738', 'object/tangible/component/weapon/shared_projectile_rifle_barrel_advanced_quest.iff');
INSERT INTO `template_items` VALUES ('4739', 'object/tangible/ship/components/engine/shared_eng_moncal_charged_standard.iff');
INSERT INTO `template_items` VALUES ('4740', 'object/tangible/ship/crafted/shields/shared_light_deflector_shields.iff');
INSERT INTO `template_items` VALUES ('4741', 'object/tangible/wearables/skirt/shared_singing_mountain_clan_skirt_s01.iff');
INSERT INTO `template_items` VALUES ('4742', 'object/tangible/lair/base/shared_poi_all_lair_brambles_large.iff');
INSERT INTO `template_items` VALUES ('4743', 'object/tangible/loot/quest/force_sensitive/shared_camp_remote.iff');
INSERT INTO `template_items` VALUES ('4744', 'object/tangible/wearables/vest/shared_vest_hutt_gang_s03.iff');
INSERT INTO `template_items` VALUES ('4745', 'object/tangible/hair/twilek/shared_hair_twilek_female_s04.iff');
INSERT INTO `template_items` VALUES ('4746', 'object/tangible/lair/structure/interior/shared_lair_cave_medium_interior_gurk.iff');
INSERT INTO `template_items` VALUES ('4747', 'object/tangible/wearables/shirt/shared_shirt_s24.iff');
INSERT INTO `template_items` VALUES ('4748', 'object/tangible/medicine/crafted/shared_medpack_wound_quickness_a.iff');
INSERT INTO `template_items` VALUES ('4749', 'object/tangible/deed/city_deed/shared_garden_tatooine_sml_01_deed.iff');
INSERT INTO `template_items` VALUES ('4750', 'object/tangible/painting/shared_painting_bestine_lucky_despot.iff');
INSERT INTO `template_items` VALUES ('4751', 'object/tangible/loot/loot_schematic/shared_bottle_fat_schematic.iff');
INSERT INTO `template_items` VALUES ('4752', 'object/tangible/medicine/pet/shared_pet_stimpack_b.iff');
INSERT INTO `template_items` VALUES ('4753', 'object/tangible/ship/crafted/capacitor/shared_energy_saver_battery_mk3.iff');
INSERT INTO `template_items` VALUES ('4754', 'object/tangible/deed/city_deed/shared_cantina_tatooine_deed.iff');
INSERT INTO `template_items` VALUES ('4755', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_seismic_missile_mk2.iff');
INSERT INTO `template_items` VALUES ('4756', 'object/tangible/component/bio/shared_bio_component_clothing_field_intimidate.iff');
INSERT INTO `template_items` VALUES ('4757', 'object/tangible/loot/misc/shared_spectrum_recorder.iff');
INSERT INTO `template_items` VALUES ('4758', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_05.iff');
INSERT INTO `template_items` VALUES ('4759', 'object/tangible/mission/quest_item/shared_wuher_q2_needed.iff');
INSERT INTO `template_items` VALUES ('4760', 'object/tangible/lair/carrion_spat/shared_lair_carrion_spat.iff');
INSERT INTO `template_items` VALUES ('4761', 'object/tangible/ship/components/weapon/shared_wpn_corellian_ag2g_quad_laser.iff');
INSERT INTO `template_items` VALUES ('4762', 'object/tangible/lair/shaupaut/shared_lair_shaupaut_swamp.iff');
INSERT INTO `template_items` VALUES ('4763', 'object/tangible/fishing/fish/shared_bluefish.iff');
INSERT INTO `template_items` VALUES ('4764', 'object/tangible/furniture/city/shared_streetlamp_med_02.iff');
INSERT INTO `template_items` VALUES ('4765', 'object/tangible/bug_jar/shared_sample_bees.iff');
INSERT INTO `template_items` VALUES ('4766', 'object/tangible/deed/harvester_deed/shared_harvester_gas_deed_medium.iff');
INSERT INTO `template_items` VALUES ('4767', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_rebel_assassination_03.iff');
INSERT INTO `template_items` VALUES ('4768', 'object/tangible/hair/mon_calamari/base/shared_hair_mon_calamari_base.iff');
INSERT INTO `template_items` VALUES ('4769', 'object/tangible/lair/base/shared_poi_all_lair_wooden_destroyed_fog_gray.iff');
INSERT INTO `template_items` VALUES ('4770', 'object/tangible/ship/components/reactor/shared_rct_koensayr_supernova.iff');
INSERT INTO `template_items` VALUES ('4771', 'object/tangible/ship/components/chassis/shared_hutt_heavy_s02_chassis_token.iff');
INSERT INTO `template_items` VALUES ('4772', 'object/tangible/ship/components/engine/shared_eng_koensayr_enhanced_dual_small_ionjet.iff');
INSERT INTO `template_items` VALUES ('4773', 'object/tangible/jedi/shared_power_shrine.iff');
INSERT INTO `template_items` VALUES ('4774', 'object/tangible/furniture/all/shared_frn_all_light_lamp_candlestick_tbl_s02.iff');
INSERT INTO `template_items` VALUES ('4775', 'object/tangible/lair/base/shared_poi_all_lair_insecthill_large_fog_red.iff');
INSERT INTO `template_items` VALUES ('4776', 'object/tangible/component/armor/shared_deflector_shield_projector_plate.iff');
INSERT INTO `template_items` VALUES ('4777', 'object/tangible/container/loot/shared_computer_container.iff');
INSERT INTO `template_items` VALUES ('4778', 'object/tangible/mission/quest_item/shared_kirkin_liawoon_q2_needed.iff');
INSERT INTO `template_items` VALUES ('4779', 'object/tangible/component/armor/shared_armor_layer_ris.iff');
INSERT INTO `template_items` VALUES ('4780', 'object/tangible/ship/crafted/armor/shared_armor_reinforcement_panel_mk1.iff');
INSERT INTO `template_items` VALUES ('4781', 'object/tangible/deed/event_perk/shared_dantooine_flag_deed.iff');
INSERT INTO `template_items` VALUES ('4782', 'object/tangible/lair/base/shared_poi_all_lair_garbage_small_evil_fire_green.iff');
INSERT INTO `template_items` VALUES ('4783', 'object/tangible/component/weapon/shared_blaster_pistol_barrel.iff');
INSERT INTO `template_items` VALUES ('4784', 'object/tangible/furniture/modern/shared_searchable_squill_lair_01.iff');
INSERT INTO `template_items` VALUES ('4785', 'object/tangible/component/weapon/shared_sword_core.iff');
INSERT INTO `template_items` VALUES ('4786', 'object/tangible/wearables/bandolier/shared_mercenary_bandolier.iff');
INSERT INTO `template_items` VALUES ('4787', 'object/tangible/component/weapon/shared_base_blaster_power_handler_enhancement.iff');
INSERT INTO `template_items` VALUES ('4788', 'object/tangible/furniture/city/shared_fountain_brazier_square.iff');
INSERT INTO `template_items` VALUES ('4789', 'object/tangible/ship/components/booster/shared_bst_corellian_tuned_heavy_thrust_enhancer.iff');
INSERT INTO `template_items` VALUES ('4790', 'object/tangible/hair/human/shared_hair_human_male_s28.iff');
INSERT INTO `template_items` VALUES ('4791', 'object/tangible/hair/rodian/shared_hair_rodian_female_s12.iff');
INSERT INTO `template_items` VALUES ('4792', 'object/tangible/lair/pharple/shared_lair_pharple.iff');
INSERT INTO `template_items` VALUES ('4793', 'object/tangible/ship/components/booster/shared_bst_qualdex_xboost_mk3.iff');
INSERT INTO `template_items` VALUES ('4794', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s14.iff');
INSERT INTO `template_items` VALUES ('4795', 'object/tangible/furniture/all/shared_frn_all_throwpillow_med_s03.iff');
INSERT INTO `template_items` VALUES ('4796', 'object/tangible/furniture/city/shared_statue_weird_01.iff');
INSERT INTO `template_items` VALUES ('4797', 'object/tangible/wearables/base/shared_base_ring_r.iff');
INSERT INTO `template_items` VALUES ('4798', 'object/tangible/ship/components/droid_interface/shared_ddi_sfs_imperial_1.iff');
INSERT INTO `template_items` VALUES ('4799', 'object/tangible/ship/components/reactor/shared_rct_mandalor_gorax_elite.iff');
INSERT INTO `template_items` VALUES ('4800', 'object/tangible/lair/corellian_butterfly/shared_lair_corellian_butterfly.iff');
INSERT INTO `template_items` VALUES ('4801', 'object/tangible/ship/components/booster/shared_bst_novaldex_quasar_advanced.iff');
INSERT INTO `template_items` VALUES ('4802', 'object/tangible/loot/simple_kit/shared_spinning_blade.iff');
INSERT INTO `template_items` VALUES ('4803', 'object/tangible/ship/crafted/weapon/shared_speed_limiter_upgrade_mk3.iff');
INSERT INTO `template_items` VALUES ('4804', 'object/tangible/loot/quest/shared_schematic_belt_s05_quest.iff');
INSERT INTO `template_items` VALUES ('4805', 'object/tangible/loot/loot_schematic/shared_droid_body_schematic.iff');
INSERT INTO `template_items` VALUES ('4806', 'object/tangible/medicine/shared_medpack_wound_health.iff');
INSERT INTO `template_items` VALUES ('4807', 'object/tangible/ship/components/armor/shared_arm_corellian_advanced_durasteel.iff');
INSERT INTO `template_items` VALUES ('4808', 'object/tangible/wearables/base/shared_base_jumpsuit.iff');
INSERT INTO `template_items` VALUES ('4809', 'object/tangible/component/vehicle/shared_armor_panel_heat.iff');
INSERT INTO `template_items` VALUES ('4810', 'object/tangible/ship/components/reactor/shared_rct_freitek_powerhouse_mk2.iff');
INSERT INTO `template_items` VALUES ('4811', 'object/tangible/lair/blackfish/shared_lair_blackfish_underwater.iff');
INSERT INTO `template_items` VALUES ('4812', 'object/tangible/camp/shared_camp_lantern_s2.iff');
INSERT INTO `template_items` VALUES ('4813', 'object/tangible/ship/components/armor/shared_arm_sorosuub_modified_elite_plastisteel.iff');
INSERT INTO `template_items` VALUES ('4814', 'object/tangible/ship/attachment/engine/shared_kse_firespray_engine_s02.iff');
INSERT INTO `template_items` VALUES ('4815', 'object/tangible/loot/collectible/collectible_rewards/shared_fs_tracking_device.iff');
INSERT INTO `template_items` VALUES ('4816', 'object/tangible/medicine/shared_medpack_poison_health.iff');
INSERT INTO `template_items` VALUES ('4817', 'object/tangible/ship/components/engine/shared_engine_surronian_a25.iff');
INSERT INTO `template_items` VALUES ('4818', 'object/tangible/hair/twilek/shared_hair_twilek_male_s05.iff');
INSERT INTO `template_items` VALUES ('4819', 'object/tangible/wearables/armor/ithorian_defender/shared_ith_armor_s01_bracer_l.iff');
INSERT INTO `template_items` VALUES ('4820', 'object/tangible/ship/components/engine/shared_eng_sfs_imperial_3.iff');
INSERT INTO `template_items` VALUES ('4821', 'object/tangible/ship/crafted/chassis/shared_hutt_heavy_s01_deed.iff');
INSERT INTO `template_items` VALUES ('4822', 'object/tangible/deed/city_deed/shared_theater_naboo_deed.iff');
INSERT INTO `template_items` VALUES ('4823', 'object/tangible/ship/crafted/weapon/shared_max_damage_intensifier_mk5.iff');
INSERT INTO `template_items` VALUES ('4824', 'object/tangible/wearables/necklace/shared_necklace_hologram_locket.iff');
INSERT INTO `template_items` VALUES ('4825', 'object/tangible/ship/components/engine/shared_eng_reward_kuat_elite.iff');
INSERT INTO `template_items` VALUES ('4826', 'object/tangible/deed/city_deed/shared_garden_tatooine_sml_03_deed.iff');
INSERT INTO `template_items` VALUES ('4827', 'object/tangible/camp/shared_camp_crate_s1.iff');
INSERT INTO `template_items` VALUES ('4828', 'object/tangible/wearables/armor/stormtrooper/shared_armor_stormtrooper_leggings_quest.iff');
INSERT INTO `template_items` VALUES ('4829', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_rebel_destroy_03.iff');
INSERT INTO `template_items` VALUES ('4830', 'object/tangible/furniture/decorative/shared_pitcher_full.iff');
INSERT INTO `template_items` VALUES ('4831', 'object/tangible/ship/crafted/chassis/shared_ywing_longprobe_deed.iff');
INSERT INTO `template_items` VALUES ('4832', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_launcher_spacebomb_mk1.iff');
INSERT INTO `template_items` VALUES ('4833', 'object/tangible/ship/components/engine/shared_eng_gallofree_jx2.iff');
INSERT INTO `template_items` VALUES ('4834', 'object/tangible/wearables/belt/shared_belt_s05.iff');
INSERT INTO `template_items` VALUES ('4835', 'object/tangible/inventory/shared_lightsaber_inventory_training.iff');
INSERT INTO `template_items` VALUES ('4836', 'object/tangible/lair/fambaa/shared_lair_fambaa_swamp.iff');
INSERT INTO `template_items` VALUES ('4837', 'object/tangible/medicine/crafted/shared_medpack_disease_willpower_c.iff');
INSERT INTO `template_items` VALUES ('4838', 'object/tangible/loot/quest/shared_schematic_backpack_s06_quest.iff');
INSERT INTO `template_items` VALUES ('4839', 'object/tangible/loot/misc/shared_loot_skull_voritor.iff');
INSERT INTO `template_items` VALUES ('4840', 'object/tangible/wearables/base/shared_base_wrist_r.iff');
INSERT INTO `template_items` VALUES ('4841', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_02.iff');
INSERT INTO `template_items` VALUES ('4842', 'object/tangible/mission/quest_item/shared_warren_core_control_rod_s02.iff');
INSERT INTO `template_items` VALUES ('4843', 'object/tangible/component/dna/shared_dna_sample_high.iff');
INSERT INTO `template_items` VALUES ('4844', 'object/tangible/lair/base/shared_poi_all_lair_thicket_large_evil_fire_gray.iff');
INSERT INTO `template_items` VALUES ('4845', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s02_bracer_r.iff');
INSERT INTO `template_items` VALUES ('4846', 'object/tangible/ship/attachment/weapon/shared_lambda_weapon_body.iff');
INSERT INTO `template_items` VALUES ('4847', 'object/tangible/ship/components/weapon_capacitor/shared_cap_subpro_modified_defiant_c1.iff');
INSERT INTO `template_items` VALUES ('4848', 'object/tangible/ship/components/weapon/shared_wpn_slayn_imagerec_missile_s01.iff');
INSERT INTO `template_items` VALUES ('4849', 'object/tangible/deed/event_perk/shared_imperial_recruiting_station_theater_deed.iff');
INSERT INTO `template_items` VALUES ('4850', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_sm_s06_lg.iff');
INSERT INTO `template_items` VALUES ('4851', 'object/tangible/deed/pet_deed/shared_slice_hound_deed.iff');
INSERT INTO `template_items` VALUES ('4852', 'object/tangible/mission/quest_item/shared_ian_logo_q3_needed.iff');
INSERT INTO `template_items` VALUES ('4853', 'object/tangible/ship/components/weapon/shared_wpn_cygnus_elite.iff');
INSERT INTO `template_items` VALUES ('4854', 'object/tangible/furniture/all/shared_frn_all_light_lamp_table_s03.iff');
INSERT INTO `template_items` VALUES ('4855', 'object/tangible/wearables/necklace/shared_necklace_bright_bauble.iff');
INSERT INTO `template_items` VALUES ('4856', 'object/tangible/hair/rodian/shared_hair_rodian_male_s02.iff');
INSERT INTO `template_items` VALUES ('4857', 'object/tangible/painting/shared_painting_palowick_ad_s02.iff');
INSERT INTO `template_items` VALUES ('4858', 'object/tangible/space/story_loot/shared_loot_tatooine_bestine_pirates.iff');
INSERT INTO `template_items` VALUES ('4859', 'object/tangible/wearables/ithorian/shared_ith_belt_s01.iff');
INSERT INTO `template_items` VALUES ('4860', 'object/tangible/ship/components/weapon/shared_wpn_mandal_annilhator_mk1.iff');
INSERT INTO `template_items` VALUES ('4861', 'object/tangible/lair/blurrg/shared_lair_blurrg_mountain.iff');
INSERT INTO `template_items` VALUES ('4862', 'object/tangible/skill_buff/shared_skill_buff_onehandmelee_speed.iff');
INSERT INTO `template_items` VALUES ('4863', 'object/tangible/component/armor/shared_armor_segment_kashyyykian_ceremonial.iff');
INSERT INTO `template_items` VALUES ('4864', 'object/tangible/ship/components/shield_generator/shared_shd_incom_rayshield_x5.iff');
INSERT INTO `template_items` VALUES ('4865', 'object/tangible/ship/components/weapon/shared_wpn_seinar_disruptor.iff');
INSERT INTO `template_items` VALUES ('4866', 'object/tangible/ship/crafted/weapon/missile/shared_countermeasure_chaff_launcher.iff');
INSERT INTO `template_items` VALUES ('4867', 'object/tangible/wearables/robe/shared_robe_jedi_dark_s01.iff');
INSERT INTO `template_items` VALUES ('4868', 'object/tangible/wearables/earring/shared_earring_s06.iff');
INSERT INTO `template_items` VALUES ('4869', 'object/tangible/lair/durni/shared_lair_durni.iff');
INSERT INTO `template_items` VALUES ('4870', 'object/tangible/wearables/ithorian/shared_ith_necklace_s08.iff');
INSERT INTO `template_items` VALUES ('4871', 'object/tangible/loot/quest/force_sensitive/shared_camp_waypoint_datapad.iff');
INSERT INTO `template_items` VALUES ('4872', 'object/tangible/food/crafted/shared_drink_deuterium_pyro.iff');
INSERT INTO `template_items` VALUES ('4873', 'object/tangible/ship/components/booster/shared_bst_kse_performance_cb6.iff');
INSERT INTO `template_items` VALUES ('4874', 'object/tangible/dice/shared_eqp_ten_sided_dice_set.iff');
INSERT INTO `template_items` VALUES ('4875', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s04.iff');
INSERT INTO `template_items` VALUES ('4876', 'object/tangible/mission/quest_item/shared_wuher_q3_needed.iff');
INSERT INTO `template_items` VALUES ('4877', 'object/tangible/lair/zucca_boar/shared_lair_zucca_boar.iff');
INSERT INTO `template_items` VALUES ('4878', 'object/tangible/ship/components/armor/shared_arm_moncal_light_weave.iff');
INSERT INTO `template_items` VALUES ('4879', 'object/tangible/ship/components/armor/shared_arm_subpro_advanced_plasisteel.iff');
INSERT INTO `template_items` VALUES ('4880', 'object/tangible/space/spacestations/shared_spacestation_imperial_01.iff');
INSERT INTO `template_items` VALUES ('4881', 'object/tangible/component/dna/shared_dna_template_snorbal.iff');
INSERT INTO `template_items` VALUES ('4882', 'object/tangible/item/shared_lytus_family_artefact.iff');
INSERT INTO `template_items` VALUES ('4883', 'object/tangible/ship/crafted/capacitor/shared_quick_recharge_battery_mk2.iff');
INSERT INTO `template_items` VALUES ('4884', 'object/tangible/ship/components/shield_generator/shared_shd_sfs_polyweb_6.iff');
INSERT INTO `template_items` VALUES ('4885', 'object/tangible/ship/crafted/weapon/shared_min_damage_intensifier_mk3.iff');
INSERT INTO `template_items` VALUES ('4886', 'object/tangible/food/crafted/shared_dish_blood_chowder.iff');
INSERT INTO `template_items` VALUES ('4887', 'object/tangible/furniture/plain/shared_plain_love_seat_s01.iff');
INSERT INTO `template_items` VALUES ('4888', 'object/tangible/wearables/robe/shared_robe_s12.iff');
INSERT INTO `template_items` VALUES ('4889', 'object/tangible/painting/shared_painting_bestine_moncal_eye_02.iff');
INSERT INTO `template_items` VALUES ('4890', 'object/tangible/furniture/jedi/shared_frn_all_dark_throne.iff');
INSERT INTO `template_items` VALUES ('4891', 'object/tangible/hair/human/shared_hair_human_male_s15.iff');
INSERT INTO `template_items` VALUES ('4892', 'object/tangible/component/droid/shared_item_storage_module_1.iff');
INSERT INTO `template_items` VALUES ('4893', 'object/tangible/theme_park/alderaan/act2/shared_decoder_comp_translation.iff');
INSERT INTO `template_items` VALUES ('4894', 'object/tangible/ship/components/engine/shared_eng_sfs_tuned_imperial_2.iff');
INSERT INTO `template_items` VALUES ('4895', 'object/tangible/wearables/dress/shared_dress_s06.iff');
INSERT INTO `template_items` VALUES ('4896', 'object/tangible/space/story_loot/shared_loot_naboo_series_tinrilo.iff');
INSERT INTO `template_items` VALUES ('4897', 'object/tangible/wearables/robe/shared_robe_jedi_light_s01.iff');
INSERT INTO `template_items` VALUES ('4898', 'object/tangible/ship/crafted/capacitor/shared_base_capacitor.iff');
INSERT INTO `template_items` VALUES ('4899', 'object/tangible/spawning/shared_quest_spawner.iff');
INSERT INTO `template_items` VALUES ('4900', 'object/tangible/component/structure/shared_structure_small_storage_section.iff');
INSERT INTO `template_items` VALUES ('4901', 'object/tangible/mission/quest_item/shared_bab_esrus_q3_needed.iff');
INSERT INTO `template_items` VALUES ('4902', 'object/tangible/ship/components/weapon_capacitor/shared_cap_z95_deepwell_k3.iff');
INSERT INTO `template_items` VALUES ('4903', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff');
INSERT INTO `template_items` VALUES ('4904', 'object/tangible/mission/quest_item/shared_gilad_pellaeon_q1_needed.iff');
INSERT INTO `template_items` VALUES ('4905', 'object/tangible/component/food/shared_ingredient_carbosyrup.iff');
INSERT INTO `template_items` VALUES ('4906', 'object/tangible/wearables/hat/shared_hat_s14.iff');
INSERT INTO `template_items` VALUES ('4907', 'object/tangible/food/crafted/shared_drink_skannbult_likker.iff');
INSERT INTO `template_items` VALUES ('4908', 'object/tangible/ship/components/shield_generator/shared_shd_koensayr_deflector_m8.iff');
INSERT INTO `template_items` VALUES ('4909', 'object/tangible/furniture/all/shared_event_flag_game_imp_banner.iff');
INSERT INTO `template_items` VALUES ('4910', 'object/tangible/skill_buff/shared_skill_buff_carbine_accuracy.iff');
INSERT INTO `template_items` VALUES ('4911', 'object/tangible/component/armor/shared_armor_segment_padded_advanced.iff');
INSERT INTO `template_items` VALUES ('4912', 'object/tangible/lair/kusak/shared_lair_kusak_wasteland.iff');
INSERT INTO `template_items` VALUES ('4913', 'object/tangible/ship/components/weapon_capacitor/shared_cap_sfs_imperial_1.iff');
INSERT INTO `template_items` VALUES ('4914', 'object/tangible/wearables/jacket/shared_jacket_s05.iff');
INSERT INTO `template_items` VALUES ('4915', 'object/tangible/medicine/crafted/shared_medpack_enhance_quickness_a.iff');
INSERT INTO `template_items` VALUES ('4916', 'object/tangible/ship/components/droid_interface/shared_ddi_hk_advanced.iff');
INSERT INTO `template_items` VALUES ('4917', 'object/tangible/component/weapon/shared_blaster_power_handler_quest.iff');
INSERT INTO `template_items` VALUES ('4918', 'object/tangible/ship/components/shield_generator/shared_shd_kessel_imperial_sds_secret_ops.iff');
INSERT INTO `template_items` VALUES ('4919', 'object/tangible/theme_park/alderaan/act3/shared_grav_unit_repair_kit.iff');
INSERT INTO `template_items` VALUES ('4920', 'object/tangible/component/dna/shared_dna_template_tybis.iff');
INSERT INTO `template_items` VALUES ('4921', 'object/tangible/component/bio/shared_bio_component_food_medium.iff');
INSERT INTO `template_items` VALUES ('4922', 'object/tangible/furniture/jedi/shared_frn_all_light_chair_s01.iff');
INSERT INTO `template_items` VALUES ('4923', 'object/tangible/ship/components/weapon/shared_wpn_armek_sw4.iff');
INSERT INTO `template_items` VALUES ('4924', 'object/tangible/ship/components/droid_interface/shared_ddi_sds_enhanced_imperial_2.iff');
INSERT INTO `template_items` VALUES ('4925', 'object/tangible/lair/base/shared_poi_all_lair_rocks_small.iff');
INSERT INTO `template_items` VALUES ('4926', 'object/tangible/medicine/crafted/shared_medpack_cure_poison_a.iff');
INSERT INTO `template_items` VALUES ('4927', 'object/tangible/component/weapon/shared_weapon_e11_stock_open.iff');
INSERT INTO `template_items` VALUES ('4928', 'object/tangible/component/droid/shared_droid_motive_system_advanced.iff');
INSERT INTO `template_items` VALUES ('4929', 'object/tangible/ship/components/weapon/shared_wpn_kessel_imperial_sds_experimental_secret_ops.iff');
INSERT INTO `template_items` VALUES ('4930', 'object/tangible/medicine/crafted/shared_medpack_wound_health_b.iff');
INSERT INTO `template_items` VALUES ('4931', 'object/tangible/scout/trap/shared_trap_melee_def_1.iff');
INSERT INTO `template_items` VALUES ('4932', 'object/tangible/component/structure/shared_unit_computer.iff');
INSERT INTO `template_items` VALUES ('4933', 'object/tangible/loot/loot_schematic/shared_death_watch_bounty_hunter_chest_plate_schematic.iff');
INSERT INTO `template_items` VALUES ('4934', 'object/tangible/lair/base/shared_poi_all_lair_thicket_large_evil_fire_green.iff');
INSERT INTO `template_items` VALUES ('4935', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon1_s04.iff');
INSERT INTO `template_items` VALUES ('4936', 'object/tangible/loot/tool/shared_recording_rod_broken.iff');
INSERT INTO `template_items` VALUES ('4937', 'object/tangible/furniture/plain/shared_plain_armoire_s01.iff');
INSERT INTO `template_items` VALUES ('4938', 'object/tangible/mission/quest_item/shared_windom_starkiller_q2_needed.iff');
INSERT INTO `template_items` VALUES ('4939', 'object/tangible/wearables/necklace/shared_necklace_living_chains.iff');
INSERT INTO `template_items` VALUES ('4940', 'object/tangible/wearables/necklace/shared_necklace_s03.iff');
INSERT INTO `template_items` VALUES ('4941', 'object/tangible/ship/components/booster/shared_bst_incom_intimidator_mk4.iff');
INSERT INTO `template_items` VALUES ('4942', 'object/tangible/ship/components/droid_interface/shared_ddi_moncal_dk2.iff');
INSERT INTO `template_items` VALUES ('4943', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff');
INSERT INTO `template_items` VALUES ('4944', 'object/tangible/inventory/shared_lightsaber_inventory_1.iff');
INSERT INTO `template_items` VALUES ('4945', 'object/tangible/ship/components/reactor/shared_rct_incom_improved_mark1.iff');
INSERT INTO `template_items` VALUES ('4946', 'object/tangible/lair/base/shared_objective_main_terminal.iff');
INSERT INTO `template_items` VALUES ('4947', 'object/tangible/container/corpse/shared_player_corpse.iff');
INSERT INTO `template_items` VALUES ('4948', 'object/tangible/ship/components/weapon/shared_weapon_slayn_ioncannon.iff');
INSERT INTO `template_items` VALUES ('4949', 'object/tangible/camp/shared_camp_chair_s1.iff');
INSERT INTO `template_items` VALUES ('4950', 'object/tangible/deed/pet_deed/shared_deed_mse_advanced_basic.iff');
INSERT INTO `template_items` VALUES ('4951', 'object/tangible/component/droid/shared_merchant_barker.iff');
INSERT INTO `template_items` VALUES ('4952', 'object/tangible/loot/loot_schematic/shared_throwpillow_schematic.iff');
INSERT INTO `template_items` VALUES ('4953', 'object/tangible/component/bio/shared_bio_component_clothing_field_armor_2.iff');
INSERT INTO `template_items` VALUES ('4954', 'object/tangible/deed/event_perk/shared_fed_dub_1x10_honorguard_deed.iff');
INSERT INTO `template_items` VALUES ('4955', 'object/tangible/lair/angler/shared_lair_angler_underwater.iff');
INSERT INTO `template_items` VALUES ('4956', 'object/tangible/wearables/ithorian/shared_ith_pants_s06.iff');
INSERT INTO `template_items` VALUES ('4957', 'object/tangible/wearables/ithorian/shared_ith_vest_s02.iff');
INSERT INTO `template_items` VALUES ('4958', 'object/tangible/ship/attachment/weapon/shared_ywing_weapon2_s06.iff');
INSERT INTO `template_items` VALUES ('4959', 'object/tangible/furniture/city/shared_streetlamp_med_red_02.iff');
INSERT INTO `template_items` VALUES ('4960', 'object/tangible/ship/components/armor/shared_armor_subpro_light_plasteel.iff');
INSERT INTO `template_items` VALUES ('4961', 'object/tangible/lair/structure/exterior/shared_lair_cave_medium_exterior_hanadak.iff');
INSERT INTO `template_items` VALUES ('4962', 'object/tangible/hair/sullustan/shared_sul_hair_s10_f.iff');
INSERT INTO `template_items` VALUES ('4963', 'object/tangible/mission/shared_mission_bounty_target.iff');
INSERT INTO `template_items` VALUES ('4964', 'object/tangible/ship/components/booster/shared_bst_mandal_limited_jbj_mk5.iff');
INSERT INTO `template_items` VALUES ('4965', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon1_s05.iff');
INSERT INTO `template_items` VALUES ('4966', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_neg_s01_0.iff');
INSERT INTO `template_items` VALUES ('4967', 'object/tangible/dungeon/shared_droid_maint_module.iff');
INSERT INTO `template_items` VALUES ('4968', 'object/tangible/component/droid/shared_droid_storage_compartment.iff');
INSERT INTO `template_items` VALUES ('4969', 'object/tangible/deed/event_perk/shared_crashed_tie_fighter_theater_deed.iff');
INSERT INTO `template_items` VALUES ('4970', 'object/tangible/mission/quest_item/shared_bab_esrus_q1_needed.iff');
INSERT INTO `template_items` VALUES ('4971', 'object/tangible/wearables/boots/shared_boots_s19.iff');
INSERT INTO `template_items` VALUES ('4972', 'object/tangible/ship/components/weapon/shared_wpn_hk_scorcher_advanced.iff');
INSERT INTO `template_items` VALUES ('4973', 'object/tangible/container/drum/shared_treasure_drum.iff');
INSERT INTO `template_items` VALUES ('4974', 'object/tangible/ship/components/weapon_capacitor/shared_cap_sds_special_imperial_2.iff');
INSERT INTO `template_items` VALUES ('4975', 'object/tangible/food/spice/shared_spice_muon_gold.iff');
INSERT INTO `template_items` VALUES ('4976', 'object/tangible/loot/collectible/collectible_parts/shared_gong_structure_07.iff');
INSERT INTO `template_items` VALUES ('4977', 'object/tangible/ship/components/shield_generator/shared_shd_reward_seinar_elite.iff');
INSERT INTO `template_items` VALUES ('4978', 'object/tangible/loot/quest/shared_frn_quest_dant_skull_bol_01.iff');
INSERT INTO `template_items` VALUES ('4979', 'object/tangible/datapad/shared_droid_datapad_4.iff');
INSERT INTO `template_items` VALUES ('4980', 'object/tangible/wearables/ithorian/shared_ith_jacket_s14.iff');
INSERT INTO `template_items` VALUES ('4981', 'object/tangible/lair/base/shared_objective_power_transformer.iff');
INSERT INTO `template_items` VALUES ('4982', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon1_s06.iff');
INSERT INTO `template_items` VALUES ('4983', 'object/tangible/ship/components/droid_interface/shared_ddi_hk_elite.iff');
INSERT INTO `template_items` VALUES ('4984', 'object/tangible/ship/crafted/engine/shared_hyperdrive_class2.iff');
INSERT INTO `template_items` VALUES ('4985', 'object/tangible/loot/simple_kit/shared_datapad_battery.iff');
INSERT INTO `template_items` VALUES ('4986', 'object/tangible/ship/crafted/armor/shared_adv_durasteel_plating.iff');
INSERT INTO `template_items` VALUES ('4987', 'object/tangible/mission/quest_item/shared_wuher_q1_needed.iff');
INSERT INTO `template_items` VALUES ('4988', 'object/tangible/medicine/crafted/shared_medpack_disease_area_health_b.iff');
INSERT INTO `template_items` VALUES ('4989', 'object/tangible/ship/components/booster/shared_bst_moncal_advanced.iff');
INSERT INTO `template_items` VALUES ('4990', 'object/tangible/lair/structure/exterior/shared_lair_cave_large_exterior_condor_dragon.iff');
INSERT INTO `template_items` VALUES ('4991', 'object/tangible/component/armor/shared_armor_layer_heat.iff');
INSERT INTO `template_items` VALUES ('4992', 'object/tangible/ship/attachment/weapon/shared_awing_weapon_s04.iff');
INSERT INTO `template_items` VALUES ('4993', 'object/tangible/ship/crafted/booster/shared_extended_life_fuel_cell_mk3.iff');
INSERT INTO `template_items` VALUES ('4994', 'object/tangible/lair/base/shared_poi_all_lair_rocks_small_evil_fire_green.iff');
INSERT INTO `template_items` VALUES ('4995', 'object/tangible/component/vehicle/base/shared_base_veh_weapon.iff');
INSERT INTO `template_items` VALUES ('4996', 'object/tangible/wearables/ithorian/shared_ith_shirt_s12.iff');
INSERT INTO `template_items` VALUES ('4997', 'object/tangible/deed/city_deed/shared_garden_tatooine_sml_05_deed.iff');
INSERT INTO `template_items` VALUES ('4998', 'object/tangible/lair/base/shared_poi_all_lair_brambles_small_fog_mustard.iff');
INSERT INTO `template_items` VALUES ('4999', 'object/tangible/wearables/base/shared_base_helmet_closed_mouth.iff');
INSERT INTO `template_items` VALUES ('5000', 'object/tangible/component/armor/shared_shield_generator_facility.iff');
INSERT INTO `template_items` VALUES ('5001', 'object/tangible/lair/base/shared_poi_all_lair_thicket_small_fog_green.iff');
INSERT INTO `template_items` VALUES ('5002', 'object/tangible/loot/quest/force_sensitive/shared_theater_datapad.iff');
INSERT INTO `template_items` VALUES ('5003', 'object/tangible/ship/components/chassis/shared_ykl37r_chassis_token.iff');
INSERT INTO `template_items` VALUES ('5004', 'object/tangible/lair/base/shared_poi_all_lair_warren_small_fog_gray.iff');
INSERT INTO `template_items` VALUES ('5005', 'object/tangible/furniture/all/shared_frn_all_table_s01.iff');
INSERT INTO `template_items` VALUES ('5006', 'object/tangible/ship/components/armor/shared_arm_corellian_special_standard_durasteel.iff');
INSERT INTO `template_items` VALUES ('5007', 'object/tangible/scout/trap/shared_trap_noise_maker.iff');
INSERT INTO `template_items` VALUES ('5008', 'object/tangible/ship/components/weapon_capacitor/shared_cap_kse_mk2.iff');
INSERT INTO `template_items` VALUES ('5009', 'object/tangible/crafting/station/shared_food_station.iff');
INSERT INTO `template_items` VALUES ('5010', 'object/tangible/ship/components/armor/shared_arm_mission_reward_imperial_sfs_light_military.iff');
INSERT INTO `template_items` VALUES ('5011', 'object/tangible/mission/quest_item/shared_ian_logo_q1_needed.iff');
INSERT INTO `template_items` VALUES ('5012', 'object/tangible/component/droid/shared_data_storage_module_2.iff');
INSERT INTO `template_items` VALUES ('5013', 'object/tangible/lair/scurrier/shared_lair_scurrier_wasteland.iff');
INSERT INTO `template_items` VALUES ('5014', 'object/tangible/deed/pet_deed/shared_deed_r2_basic.iff');
INSERT INTO `template_items` VALUES ('5015', 'object/tangible/wearables/dress/shared_dress_s32.iff');
INSERT INTO `template_items` VALUES ('5016', 'object/tangible/loot/quest/shared_schematic_bandolier_s04_quest.iff');
INSERT INTO `template_items` VALUES ('5017', 'object/tangible/component/dna/shared_dna_template_veermok.iff');
INSERT INTO `template_items` VALUES ('5018', 'object/tangible/ship/components/shield_generator/shared_shd_mission_reward_imperial_rendili_dual_projector.iff');
INSERT INTO `template_items` VALUES ('5019', 'object/tangible/ship/components/booster/shared_bst_kuat_military_mk4.iff');
INSERT INTO `template_items` VALUES ('5020', 'object/tangible/lair/base/shared_poi_all_lair_bones.iff');
INSERT INTO `template_items` VALUES ('5021', 'object/tangible/component/weapon/shared_vibro_unit_enhancement_min_damage.iff');
INSERT INTO `template_items` VALUES ('5022', 'object/tangible/painting/shared_painting_food_baking_s01.iff');
INSERT INTO `template_items` VALUES ('5023', 'object/tangible/wearables/base/shared_base_shirt_poofysleeve_full.iff');
INSERT INTO `template_items` VALUES ('5024', 'object/tangible/loot/simple_kit/shared_motor_small_blue.iff');
INSERT INTO `template_items` VALUES ('5025', 'object/tangible/ship/components/armor/shared_arm_corellian_improved_advanced_durasteel.iff');
INSERT INTO `template_items` VALUES ('5026', 'object/tangible/wearables/armor/chitin/shared_armor_chitin_s01_bracer_r.iff');
INSERT INTO `template_items` VALUES ('5027', 'object/tangible/mission/quest_item/shared_zekka_thyne_q1_needed.iff');
INSERT INTO `template_items` VALUES ('5028', 'object/tangible/space/special_loot/shared_firespray_schematic_part4.iff');
INSERT INTO `template_items` VALUES ('5029', 'object/tangible/lair/base/shared_lair_base_crevice_dark.iff');
INSERT INTO `template_items` VALUES ('5030', 'object/tangible/skill_buff/shared_skill_buff_melee_defense.iff');
INSERT INTO `template_items` VALUES ('5031', 'object/tangible/lair/spined_snake/shared_lair_spined_snake_wasteland.iff');
INSERT INTO `template_items` VALUES ('5032', 'object/tangible/wearables/ithorian/shared_ith_bodysuit_s02.iff');
INSERT INTO `template_items` VALUES ('5033', 'object/tangible/lair/gnort/shared_lair_gnort.iff');
INSERT INTO `template_items` VALUES ('5034', 'object/tangible/hair/human/shared_hair_human_male_s21.iff');
INSERT INTO `template_items` VALUES ('5035', 'object/tangible/loot/misc/shared_petrified_avian_egg.iff');
INSERT INTO `template_items` VALUES ('5036', 'object/tangible/lair/gurnaset/shared_lair_gurnaset_mountain.iff');
INSERT INTO `template_items` VALUES ('5037', 'object/tangible/lair/base/shared_objective_banner_imperial.iff');
INSERT INTO `template_items` VALUES ('5038', 'object/tangible/wearables/wookiee/shared_wke_hood_s03.iff');
INSERT INTO `template_items` VALUES ('5039', 'object/tangible/ship/components/armor/shared_arm_mandal_reinforced_advanced_composite.iff');
INSERT INTO `template_items` VALUES ('5040', 'object/tangible/ship/crafted/chassis/shared_chassis_xwing_body.iff');
INSERT INTO `template_items` VALUES ('5041', 'object/tangible/ship/components/droid_interface/shared_ddi_sds_imperial_5.iff');
INSERT INTO `template_items` VALUES ('5042', 'object/tangible/component/droid/shared_struct_maint_module_2.iff');
INSERT INTO `template_items` VALUES ('5043', 'object/tangible/ship/crafted/shields/shared_advanced_projector_unit.iff');
INSERT INTO `template_items` VALUES ('5044', 'object/tangible/mission/quest_item/shared_warren_passkey_s02.iff');
INSERT INTO `template_items` VALUES ('5045', 'object/tangible/ship/components/booster/shared_bst_mandal_improved_jbj_mk3.iff');
INSERT INTO `template_items` VALUES ('5046', 'object/tangible/lair/bark_mite/shared_lair_bark_mite_grassland.iff');
INSERT INTO `template_items` VALUES ('5047', 'object/tangible/ship/components/weapon_capacitor/shared_cap_cygnus_cygcap_b.iff');
INSERT INTO `template_items` VALUES ('5048', 'object/tangible/lair/remmer/shared_lair_remmer_jungle.iff');
INSERT INTO `template_items` VALUES ('5049', 'object/tangible/wearables/skirt/shared_skirt_s08.iff');
INSERT INTO `template_items` VALUES ('5050', 'object/tangible/terminal/shared_terminal_hq_imperial.iff');
INSERT INTO `template_items` VALUES ('5051', 'object/tangible/food/spice/shared_spice_gunjack.iff');
INSERT INTO `template_items` VALUES ('5052', 'object/tangible/loot/loot_schematic/shared_death_watch_mandalorian_belt_schematic.iff');
INSERT INTO `template_items` VALUES ('5053', 'object/tangible/ship/components/armor/shared_arm_sfs_enhanced_standard_durasteel.iff');
INSERT INTO `template_items` VALUES ('5054', 'object/tangible/mission/quest_item/shared_binna_jode_q4_needed.iff');
INSERT INTO `template_items` VALUES ('5055', 'object/tangible/loot/dungeon/death_watch_bunker/shared_blood_vial.iff');
INSERT INTO `template_items` VALUES ('5056', 'object/tangible/lair/kima/shared_lair_kima.iff');
INSERT INTO `template_items` VALUES ('5057', 'object/tangible/ship/crafted/chassis/shared_texture_kit_s06.iff');
INSERT INTO `template_items` VALUES ('5058', 'object/tangible/mission/quest_item/shared_jusani_zhord_q1_needed.iff');
INSERT INTO `template_items` VALUES ('5059', 'object/tangible/deed/event_perk/shared_treasure_box_chest_deed.iff');
INSERT INTO `template_items` VALUES ('5060', 'object/tangible/medicine/crafted/shared_medpack_enhance_constitution_b.iff');
INSERT INTO `template_items` VALUES ('5061', 'object/tangible/component/base/shared_base_food.iff');
INSERT INTO `template_items` VALUES ('5062', 'object/tangible/deed/pet_deed/shared_deed_dz70_basic.iff');
INSERT INTO `template_items` VALUES ('5063', 'object/tangible/hair/bothan/shared_hair_bothan_female_s09.iff');
INSERT INTO `template_items` VALUES ('5064', 'object/tangible/veteran_reward/shared_antidecay.iff');
INSERT INTO `template_items` VALUES ('5065', 'object/tangible/wearables/robe/shared_robe_inquisitor.iff');
INSERT INTO `template_items` VALUES ('5066', 'object/tangible/wearables/shirt/shared_shirt_s10.iff');
INSERT INTO `template_items` VALUES ('5067', 'object/tangible/ship/attachment/weapon/shared_hutt_medium_weapon1_s04.iff');
INSERT INTO `template_items` VALUES ('5068', 'object/tangible/ship/crafted/reactor/shared_fusion_reactor_mk1.iff');
INSERT INTO `template_items` VALUES ('5069', 'object/tangible/lair/crowned_rasp/shared_lair_crowned_rasp_mountain.iff');
INSERT INTO `template_items` VALUES ('5070', 'object/tangible/loot/dungeon/corellian_corvette/shared_rebel_destroy_filler02.iff');
INSERT INTO `template_items` VALUES ('5071', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_sm_s01.iff');
INSERT INTO `template_items` VALUES ('5072', 'object/tangible/hair/sullustan/shared_sul_hair_s12_m.iff');
INSERT INTO `template_items` VALUES ('5073', 'object/tangible/deed/player_house_deed/shared_corellia_house_small_style_02_floor_02_deed.iff');
INSERT INTO `template_items` VALUES ('5074', 'object/tangible/wearables/ithorian/shared_ith_necklace_s01.iff');
INSERT INTO `template_items` VALUES ('5075', 'object/tangible/component/armor/shared_scale_giant_dune_kimogila.iff');
INSERT INTO `template_items` VALUES ('5076', 'object/tangible/lair/structure/exterior/shared_lair_cave_medium_exterior_veermok.iff');
INSERT INTO `template_items` VALUES ('5077', 'object/tangible/hair/human/shared_hair_human_female_s14.iff');
INSERT INTO `template_items` VALUES ('5078', 'object/tangible/deed/pet_deed/shared_kaadu_deed.iff');
INSERT INTO `template_items` VALUES ('5079', 'object/tangible/container/quest/crafting_contract/shared_furniture_crate.iff');
INSERT INTO `template_items` VALUES ('5080', 'object/tangible/loot/collectible/kits/shared_fs_tracking_device_kit.iff');
INSERT INTO `template_items` VALUES ('5081', 'object/tangible/vendor/shared_vendor_terminal_slim.iff');
INSERT INTO `template_items` VALUES ('5082', 'object/tangible/wearables/bikini/shared_bikini_s03.iff');
INSERT INTO `template_items` VALUES ('5083', 'object/tangible/lair/mawgax/shared_lair_mawgax.iff');
INSERT INTO `template_items` VALUES ('5084', 'object/tangible/space/story_loot/shared_loot_dantooine_rebel2.iff');
INSERT INTO `template_items` VALUES ('5085', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff');
INSERT INTO `template_items` VALUES ('5086', 'object/tangible/component/droid/repair/shared_capacitor_low_discharge.iff');
INSERT INTO `template_items` VALUES ('5087', 'object/tangible/loot/collectible/collectible_parts/shared_blue_rug_thread_05.iff');
INSERT INTO `template_items` VALUES ('5088', 'object/tangible/wearables/base/shared_base_backpack.iff');
INSERT INTO `template_items` VALUES ('5089', 'object/tangible/loot/loot_schematic/shared_death_watch_bounty_hunter_belt_schematic.iff');
INSERT INTO `template_items` VALUES ('5090', 'object/tangible/ship/attachment/weapon/shared_kse_firespray_weapon2_s02.iff');
INSERT INTO `template_items` VALUES ('5091', 'object/tangible/component/droid/shared_personality_module_worshipful.iff');
INSERT INTO `template_items` VALUES ('5092', 'object/tangible/container/drum/shared_warren_core_rod_storage.iff');
INSERT INTO `template_items` VALUES ('5093', 'object/tangible/space/story_loot/shared_loot_endor_artisan2.iff');
INSERT INTO `template_items` VALUES ('5094', 'object/tangible/location/shared_location_48.iff');
INSERT INTO `template_items` VALUES ('5095', 'object/tangible/ship/components/shield_generator/shared_shd_koensayr_deflector_m1.iff');
INSERT INTO `template_items` VALUES ('5096', 'object/tangible/lair/snorbal/shared_lair_snorbal.iff');
INSERT INTO `template_items` VALUES ('5097', 'object/tangible/loot/loot_schematic/shared_geonosian_sonic_blaster_schematic.iff');
INSERT INTO `template_items` VALUES ('5098', 'object/tangible/ship/components/armor/shared_armor_alderaan_royal_plate.iff');
INSERT INTO `template_items` VALUES ('5099', 'object/tangible/wearables/necklace/shared_necklace_wampum.iff');
INSERT INTO `template_items` VALUES ('5100', 'object/tangible/medicine/crafted/shared_medpack_disease_area_mind_a.iff');
INSERT INTO `template_items` VALUES ('5101', 'object/tangible/ship/attachment/weapon/shared_star_destroyer_turret_med_base.iff');
INSERT INTO `template_items` VALUES ('5102', 'object/tangible/ship/components/droid_interface/shared_ddi_sorosuub_modified_rad_mk2.iff');
INSERT INTO `template_items` VALUES ('5103', 'object/tangible/mission/quest_item/shared_aujante_klee_q2_needed.iff');
INSERT INTO `template_items` VALUES ('5104', 'object/tangible/deed/pet_deed/shared_deed_surgical_basic.iff');
INSERT INTO `template_items` VALUES ('5105', 'object/tangible/loot/collectible/collectible_parts/shared_orange_rug_thread_04.iff');
INSERT INTO `template_items` VALUES ('5106', 'object/tangible/ship/components/weapon_capacitor/shared_cap_kessel_imperial_sfs_array.iff');
INSERT INTO `template_items` VALUES ('5107', 'object/tangible/ship/components/booster/shared_bst_subpro_accelatron_mk4.iff');
INSERT INTO `template_items` VALUES ('5108', 'object/tangible/lair/bocatt/shared_lair_bocatt_hills.iff');
INSERT INTO `template_items` VALUES ('5109', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s20.iff');
INSERT INTO `template_items` VALUES ('5110', 'object/tangible/component/item/shared_micro_sensor_suite.iff');
INSERT INTO `template_items` VALUES ('5111', 'object/tangible/scout/camokit/shared_camokit_tatooine.iff');
INSERT INTO `template_items` VALUES ('5112', 'object/tangible/deed/vehicle_deed/shared_landspeeder_x31_deed.iff');
INSERT INTO `template_items` VALUES ('5113', 'object/tangible/mission/quest_item/shared_gilad_pellaeon_q2_needed.iff');
INSERT INTO `template_items` VALUES ('5114', 'object/tangible/mission/quest_item/shared_warren_evidence_s03.iff');
INSERT INTO `template_items` VALUES ('5115', 'object/tangible/lair/base/shared_poi_all_lair_bones_large_evil_fire_green.iff');
INSERT INTO `template_items` VALUES ('5116', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_lg_s02.iff');
INSERT INTO `template_items` VALUES ('5117', 'object/tangible/container/jar/base/shared_jar_base.iff');
INSERT INTO `template_items` VALUES ('5118', 'object/tangible/mission/quest_item/shared_bren_kingal_q4_reward.iff');
INSERT INTO `template_items` VALUES ('5119', 'object/tangible/loot/tool/shared_impulse_detector_broken_s1.iff');
INSERT INTO `template_items` VALUES ('5120', 'object/tangible/component/vehicle/shared_armor_plating_mk2.iff');
INSERT INTO `template_items` VALUES ('5121', 'object/tangible/ship/components/droid_interface/shared_ddi_sorosuub_echelon_2.iff');
INSERT INTO `template_items` VALUES ('5122', 'object/tangible/mission/quest_item/shared_arven_wendik_q1_needed.iff');
INSERT INTO `template_items` VALUES ('5123', 'object/tangible/component/vehicle/shared_blaster_cannon.iff');
INSERT INTO `template_items` VALUES ('5124', 'object/tangible/deed/city_deed/shared_garage_naboo_deed.iff');
INSERT INTO `template_items` VALUES ('5125', 'object/tangible/deed/event_perk/shared_tie_bomber_static_deed.iff');
INSERT INTO `template_items` VALUES ('5126', 'object/tangible/ship/crafted/reverse_engineering/shared_armor_analysis_tool.iff');
INSERT INTO `template_items` VALUES ('5127', 'object/tangible/container/drum/shared_large_plain_crate_s02.iff');
INSERT INTO `template_items` VALUES ('5128', 'object/tangible/dice/shared_eqp_six_sided_dice_set.iff');
INSERT INTO `template_items` VALUES ('5129', 'object/tangible/ship/components/engine/shared_eng_novaldex_advanced.iff');
INSERT INTO `template_items` VALUES ('5130', 'object/tangible/ship/components/weapon_capacitor/shared_cap_sorosuub_enhanced_dynamo_mk1.iff');
INSERT INTO `template_items` VALUES ('5131', 'object/tangible/ship/components/reactor/shared_rct_incom_mark5.iff');
INSERT INTO `template_items` VALUES ('5132', 'object/tangible/food/crafted/shared_dessert_pastebread.iff');
INSERT INTO `template_items` VALUES ('5133', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_pos_s06_0.iff');
INSERT INTO `template_items` VALUES ('5134', 'object/tangible/food/crafted/shared_dessert_sweesonberry_rolls.iff');
INSERT INTO `template_items` VALUES ('5135', 'object/tangible/deed/base/shared_deed_base.iff');
INSERT INTO `template_items` VALUES ('5136', 'object/tangible/deed/event_perk/shared_skeleton_chest_deed.iff');
INSERT INTO `template_items` VALUES ('5137', 'object/tangible/ship/crafted/capacitor/shared_standard_capacitor_battery.iff');
INSERT INTO `template_items` VALUES ('5138', 'object/tangible/lair/pugoriss/shared_lair_pugoriss_grassland.iff');
INSERT INTO `template_items` VALUES ('5139', 'object/tangible/ship/crafted/booster/shared_heavy_fuel_cell_mk3.iff');
INSERT INTO `template_items` VALUES ('5140', 'object/tangible/ship/components/booster/shared_bst_subpro_enhanced_accelatron_mk2.iff');
INSERT INTO `template_items` VALUES ('5141', 'object/tangible/component/armor/shared_armor_segment_padded_rancor.iff');
INSERT INTO `template_items` VALUES ('5142', 'object/tangible/loot/dungeon/corellian_corvette/shared_rebel_assassin_filler01.iff');
INSERT INTO `template_items` VALUES ('5143', 'object/tangible/deed/pet_deed/shared_deed_droid_basic_base.iff');
INSERT INTO `template_items` VALUES ('5144', 'object/tangible/deed/harvester_deed/shared_harvester_ore_heavy_deed.iff');
INSERT INTO `template_items` VALUES ('5145', 'object/tangible/deed/city_deed/shared_garden_corellia_med_03_deed.iff');
INSERT INTO `template_items` VALUES ('5146', 'object/tangible/wearables/belt/shared_belt_s05_quest.iff');
INSERT INTO `template_items` VALUES ('5147', 'object/tangible/component/droid/shared_droid_combat_service_module_base.iff');
INSERT INTO `template_items` VALUES ('5148', 'object/tangible/deed/base/shared_deed_installation_base.iff');
INSERT INTO `template_items` VALUES ('5149', 'object/tangible/ui/shared_ui_planet_imperial.iff');
INSERT INTO `template_items` VALUES ('5150', 'object/tangible/ship/components/engine/shared_engine_incom_fusialthrust.iff');
INSERT INTO `template_items` VALUES ('5151', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff');
INSERT INTO `template_items` VALUES ('5152', 'object/tangible/food/base/shared_base_food.iff');
INSERT INTO `template_items` VALUES ('5153', 'object/tangible/ship/components/weapon/shared_wpn_mandal_mangler_mk1.iff');
INSERT INTO `template_items` VALUES ('5154', 'object/tangible/food/crafted/shared_drink_angerian_fishak_surprise.iff');
INSERT INTO `template_items` VALUES ('5155', 'object/tangible/component/droid/repair/shared_unit_delivery_cartridge.iff');
INSERT INTO `template_items` VALUES ('5156', 'object/tangible/furniture/decorative/shared_park_bench.iff');
INSERT INTO `template_items` VALUES ('5157', 'object/tangible/furniture/modern/shared_bar_counter_s1.iff');
INSERT INTO `template_items` VALUES ('5158', 'object/tangible/component/structure/shared_refined_rudic.iff');
INSERT INTO `template_items` VALUES ('5159', 'object/tangible/ship/components/booster/shared_bst_moncal_charged_heavy.iff');
INSERT INTO `template_items` VALUES ('5160', 'object/tangible/ship/interior_components/shared_hull_access_interior.iff');
INSERT INTO `template_items` VALUES ('5161', 'object/tangible/sign/municipal/shared_municipal_sign_hanging_bank.iff');
INSERT INTO `template_items` VALUES ('5162', 'object/tangible/wearables/armor/bone/shared_armor_smc_s01_bicep_l.iff');
INSERT INTO `template_items` VALUES ('5163', 'object/tangible/ship/crafted/chassis/shared_blacksun_medium_s02_deed.iff');
INSERT INTO `template_items` VALUES ('5164', 'object/tangible/gem/shared_clothing.iff');
INSERT INTO `template_items` VALUES ('5165', 'object/tangible/shipcontrol/shared_turretcontrol_falcon.iff');
INSERT INTO `template_items` VALUES ('5166', 'object/tangible/ship/crafted/weapon/shared_basic_weapon.iff');
INSERT INTO `template_items` VALUES ('5167', 'object/tangible/component/vehicle/shared_armor_panel_acid.iff');
INSERT INTO `template_items` VALUES ('5168', 'object/tangible/camp/shared_camp_stool_tall.iff');
INSERT INTO `template_items` VALUES ('5169', 'object/tangible/transport/base/shared_transport_base.iff');
INSERT INTO `template_items` VALUES ('5170', 'object/tangible/lair/base/shared_poi_all_lair_mound_small_fog_mustard.iff');
INSERT INTO `template_items` VALUES ('5171', 'object/tangible/furniture/tatooine/shared_frn_tato_fruit_stand_large_style_01.iff');
INSERT INTO `template_items` VALUES ('5172', 'object/tangible/space/story_loot/shared_loot_dantooine_blacksun.iff');
INSERT INTO `template_items` VALUES ('5173', 'object/tangible/camp/shared_campfire_logs_burnt.iff');
INSERT INTO `template_items` VALUES ('5174', 'object/tangible/ship/components/armor/shared_arm_corellian_supreme_durasteel.iff');
INSERT INTO `template_items` VALUES ('5175', 'object/tangible/ship/crafted/weapon/missile/shared_base_countermeasure.iff');
INSERT INTO `template_items` VALUES ('5176', 'object/tangible/component/droid/shared_armor_module_3.iff');
INSERT INTO `template_items` VALUES ('5177', 'object/tangible/loot/dungeon/geonosian_mad_bunker/shared_relic_gbb_small_ball.iff');
INSERT INTO `template_items` VALUES ('5178', 'object/tangible/component/armor/shared_armor_segment_chitin_brackaset.iff');
INSERT INTO `template_items` VALUES ('5179', 'object/tangible/loot/misc/shared_brown_rug.iff');
INSERT INTO `template_items` VALUES ('5180', 'object/tangible/ship/components/engine/shared_eng_moncal_ifs64.iff');
INSERT INTO `template_items` VALUES ('5181', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s01.iff');
INSERT INTO `template_items` VALUES ('5182', 'object/tangible/lair/kaadu/shared_lair_kaadu.iff');
INSERT INTO `template_items` VALUES ('5183', 'object/tangible/wearables/base/shared_base_dress_formal.iff');
INSERT INTO `template_items` VALUES ('5184', 'object/tangible/ship/components/engine/shared_eng_sfs_advanced.iff');
INSERT INTO `template_items` VALUES ('5185', 'object/tangible/mission/quest_item/shared_hedon_istee_q3_needed.iff');
INSERT INTO `template_items` VALUES ('5186', 'object/tangible/hair/rodian/shared_hair_rodian_female_s07.iff');
INSERT INTO `template_items` VALUES ('5187', 'object/tangible/wearables/armor/zam/shared_armor_zam_wesell_pants_quest.iff');
INSERT INTO `template_items` VALUES ('5188', 'object/tangible/component/vehicle/shared_launcher_pod.iff');
INSERT INTO `template_items` VALUES ('5189', 'object/tangible/ship/attachment/wing/shared_hutt_light_wing_s02.iff');
INSERT INTO `template_items` VALUES ('5190', 'object/tangible/component/armor/shared_armor_segment_kashyyykian_hunting.iff');
INSERT INTO `template_items` VALUES ('5191', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_imperial_assassination_03.iff');
INSERT INTO `template_items` VALUES ('5192', 'object/tangible/ship/components/droid_interface/shared_ddi_novaldex_advanced_droid_interface.iff');
INSERT INTO `template_items` VALUES ('5193', 'object/tangible/furniture/elegant/shared_chest_s01.iff');
INSERT INTO `template_items` VALUES ('5194', 'object/tangible/wearables/jacket/shared_jacket_ace_rebel.iff');
INSERT INTO `template_items` VALUES ('5195', 'object/tangible/container/drum/shared_warren_drum_loot.iff');
INSERT INTO `template_items` VALUES ('5196', 'object/tangible/hair/human/shared_hair_human_female_s35.iff');
INSERT INTO `template_items` VALUES ('5197', 'object/tangible/wearables/goggles/shared_goggles_s06.iff');
INSERT INTO `template_items` VALUES ('5198', 'object/tangible/ship/components/shield_generator/shared_shd_phased_fullerine_fx12.iff');
INSERT INTO `template_items` VALUES ('5199', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_female_s12.iff');
INSERT INTO `template_items` VALUES ('5200', 'object/tangible/magic_eight_ball/shared_magic_eight_ball.iff');
INSERT INTO `template_items` VALUES ('5201', 'object/tangible/deed/city_deed/shared_garden_naboo_med_02_deed.iff');
INSERT INTO `template_items` VALUES ('5202', 'object/tangible/ship/crafted/weapon/shared_quick_shot_upgrade_mk3.iff');
INSERT INTO `template_items` VALUES ('5203', 'object/tangible/ship/components/armor/shared_arm_rss_light_plastisteel.iff');
INSERT INTO `template_items` VALUES ('5204', 'object/tangible/deed/event_perk/shared_test_gaming_table_deed.iff');
INSERT INTO `template_items` VALUES ('5205', 'object/tangible/lair/gurk/shared_lair_gurk_mountain.iff');
INSERT INTO `template_items` VALUES ('5206', 'object/tangible/loot/dungeon/corellian_corvette/shared_neutral_destroy_filler02.iff');
INSERT INTO `template_items` VALUES ('5207', 'object/tangible/lair/bocatt/shared_lair_bocatt_grassland.iff');
INSERT INTO `template_items` VALUES ('5208', 'object/tangible/mission/quest_item/shared_champhra_biahin_q1_needed.iff');
INSERT INTO `template_items` VALUES ('5209', 'object/tangible/wearables/armor/composite/shared_armor_composite_leggings.iff');
INSERT INTO `template_items` VALUES ('5210', 'object/tangible/space/special_loot/shared_firespray_schematic.iff');
INSERT INTO `template_items` VALUES ('5211', 'object/tangible/component/weapon/shared_weapon_dxr6_stock.iff');
INSERT INTO `template_items` VALUES ('5212', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_proton_missile_mk3.iff');
INSERT INTO `template_items` VALUES ('5213', 'object/tangible/mission/quest_item/shared_garm_beliblis_q2_needed.iff');
INSERT INTO `template_items` VALUES ('5214', 'object/tangible/mission/quest_item/shared_kritus_morven_q5_needed.iff');
INSERT INTO `template_items` VALUES ('5215', 'object/tangible/food/crafted/shared_dish_vercupti_of_agazza_boleruuee.iff');
INSERT INTO `template_items` VALUES ('5216', 'object/tangible/loot/dungeon/corellian_corvette/shared_imperial_destroy_intel.iff');
INSERT INTO `template_items` VALUES ('5217', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_neutral_assassination_01.iff');
INSERT INTO `template_items` VALUES ('5218', 'object/tangible/component/dna/shared_dna_sample_above_average.iff');
INSERT INTO `template_items` VALUES ('5219', 'object/tangible/ship/components/engine/shared_eng_kse_elite.iff');
INSERT INTO `template_items` VALUES ('5220', 'object/tangible/ship/components/weapon_capacitor/shared_cap_qualdex_conservator_qx5.iff');
INSERT INTO `template_items` VALUES ('5221', 'object/tangible/lair/winged_ornith/shared_lair_winged_ornith_jungle.iff');
INSERT INTO `template_items` VALUES ('5222', 'object/tangible/ship/components/weapon_capacitor/shared_cap_corellian_cruiser_grade_cap10.iff');
INSERT INTO `template_items` VALUES ('5223', 'object/tangible/mission/quest_item/shared_yith_seenath_q1_needed.iff');
INSERT INTO `template_items` VALUES ('5224', 'object/tangible/ship/components/shield_generator/shared_shd_seinar_proton_screen_p6.iff');
INSERT INTO `template_items` VALUES ('5225', 'object/tangible/wearables/boots/shared_boots_s05.iff');
INSERT INTO `template_items` VALUES ('5226', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_male_s03.iff');
INSERT INTO `template_items` VALUES ('5227', 'object/tangible/lair/structure/interior/shared_lair_cave_medium_interior_veermok.iff');
INSERT INTO `template_items` VALUES ('5228', 'object/tangible/component/droid/shared_medic_module_5.iff');
INSERT INTO `template_items` VALUES ('5229', 'object/tangible/food/crafted/shared_dessert_chandad.iff');
INSERT INTO `template_items` VALUES ('5230', 'object/tangible/ship/crafted/droid_interface/shared_ddi_mk3.iff');
INSERT INTO `template_items` VALUES ('5231', 'object/tangible/wearables/ithorian/shared_ith_hat_s04.iff');
INSERT INTO `template_items` VALUES ('5232', 'object/tangible/wearables/ithorian/shared_ith_jacket_s08.iff');
INSERT INTO `template_items` VALUES ('5233', 'object/tangible/slicing/shared_slicing_weapon_upgrade_kit.iff');
INSERT INTO `template_items` VALUES ('5234', 'object/tangible/ship/crafted/chassis/shared_bwing_deed.iff');
INSERT INTO `template_items` VALUES ('5235', 'object/tangible/wearables/shirt/shared_shirt_s03_rebel.iff');
INSERT INTO `template_items` VALUES ('5236', 'object/tangible/component/weapon/shared_blaster_power_handler_enhancement_max_damage.iff');
INSERT INTO `template_items` VALUES ('5237', 'object/tangible/ship/attachment/weapon/shared_ywing_weapon1_s03.iff');
INSERT INTO `template_items` VALUES ('5238', 'object/tangible/component/weapon/shared_scope_weapon_advanced_quest.iff');
INSERT INTO `template_items` VALUES ('5239', 'object/tangible/wearables/base/shared_base_ring_l.iff');
INSERT INTO `template_items` VALUES ('5240', 'object/tangible/ship/crafted/repair/shared_repair_kit_plasma_conduit.iff');
INSERT INTO `template_items` VALUES ('5241', 'object/tangible/ship/components/reactor/shared_rct_subpro_dyna1.iff');
INSERT INTO `template_items` VALUES ('5242', 'object/tangible/furniture/all/shared_frn_all_chair_wooden_s2.iff');
INSERT INTO `template_items` VALUES ('5243', 'object/tangible/ship/crafted/reverse_engineering/shared_droid_interface_analysis_tool.iff');
INSERT INTO `template_items` VALUES ('5244', 'object/tangible/loot/collectible/collectible_parts/shared_sculpture_adhesive.iff');
INSERT INTO `template_items` VALUES ('5245', 'object/tangible/wearables/base/shared_base_wrist_l.iff');
INSERT INTO `template_items` VALUES ('5246', 'object/tangible/deed/harvester_deed/shared_harvester_liquid_deed_medium.iff');
INSERT INTO `template_items` VALUES ('5247', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s02_bracer_l.iff');
INSERT INTO `template_items` VALUES ('5248', 'object/tangible/wearables/dress/shared_dress_s13.iff');
INSERT INTO `template_items` VALUES ('5249', 'object/tangible/deed/pet_deed/shared_bolma_deed.iff');
INSERT INTO `template_items` VALUES ('5250', 'object/tangible/ship/components/shield_generator/shared_shd_kessel_rebel_unknown_proton_interweave_system.iff');
INSERT INTO `template_items` VALUES ('5251', 'object/tangible/component/weapon/shared_scope_weapon_lg_s03.iff');
INSERT INTO `template_items` VALUES ('5252', 'object/tangible/food/foraged/shared_foraged_vegetable_s3.iff');
INSERT INTO `template_items` VALUES ('5253', 'object/tangible/wearables/armor/stormtrooper/shared_armor_stormtrooper_helmet.iff');
INSERT INTO `template_items` VALUES ('5254', 'object/tangible/terminal/shared_terminal_elevator_down.iff');
INSERT INTO `template_items` VALUES ('5255', 'object/tangible/ship/components/reactor/shared_rct_sorosuub_turbine_3.iff');
INSERT INTO `template_items` VALUES ('5256', 'object/tangible/food/crafted/shared_dessert_parwan_nutricake.iff');
INSERT INTO `template_items` VALUES ('5257', 'object/tangible/lair/scurrier/shared_lair_scurrier_mountain.iff');
INSERT INTO `template_items` VALUES ('5258', 'object/tangible/component/droid/shared_binary_load_lifter_droid_chassis.iff');
INSERT INTO `template_items` VALUES ('5259', 'object/tangible/ship/crafted/booster/shared_booster_mk3.iff');
INSERT INTO `template_items` VALUES ('5260', 'object/tangible/wearables/base/shared_base_wrist_both.iff');
INSERT INTO `template_items` VALUES ('5261', 'object/tangible/wearables/armor/ithorian_defender/shared_ith_armor_s01_bracer_r.iff');
INSERT INTO `template_items` VALUES ('5262', 'object/tangible/sign/shared_all_sign_city_s02.iff');
INSERT INTO `template_items` VALUES ('5263', 'object/tangible/ship/components/booster/shared_bst_sorosuub_liberator_mk4.iff');
INSERT INTO `template_items` VALUES ('5264', 'object/tangible/wearables/armor/zam/shared_armor_zam_wesell_chest_plate.iff');
INSERT INTO `template_items` VALUES ('5265', 'object/tangible/food/base/shared_base_crafted_food.iff');
INSERT INTO `template_items` VALUES ('5266', 'object/tangible/wearables/base/shared_base_mask_face.iff');
INSERT INTO `template_items` VALUES ('5267', 'object/tangible/ship/components/booster/shared_bst_moncal_elite.iff');
INSERT INTO `template_items` VALUES ('5268', 'object/tangible/lair/vlutore/shared_lair_vlutore_grassland.iff');
INSERT INTO `template_items` VALUES ('5269', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_02.iff');
INSERT INTO `template_items` VALUES ('5270', 'object/tangible/terminal/shared_terminal_pob_ship.iff');
INSERT INTO `template_items` VALUES ('5271', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon3_s06.iff');
INSERT INTO `template_items` VALUES ('5272', 'object/tangible/ship/interior_components/shared_plasma_conduit_interior.iff');
INSERT INTO `template_items` VALUES ('5273', 'object/tangible/component/armor/shared_shield_generator_personal_c.iff');
INSERT INTO `template_items` VALUES ('5274', 'object/tangible/component/item/quest_item/shared_directional_sensor.iff');
INSERT INTO `template_items` VALUES ('5275', 'object/tangible/ship/components/weapon/shared_wpn_capitalship_turret_test.iff');
INSERT INTO `template_items` VALUES ('5276', 'object/tangible/component/munition/shared_kliknick_gland.iff');
INSERT INTO `template_items` VALUES ('5277', 'object/tangible/wearables/cyborg/shared_arm_l_s01.iff');
INSERT INTO `template_items` VALUES ('5278', 'object/tangible/food/crafted/shared_drink_jawa_beer.iff');
INSERT INTO `template_items` VALUES ('5279', 'object/tangible/loot/tool/shared_binoculars_broken_s2.iff');
INSERT INTO `template_items` VALUES ('5280', 'object/tangible/ship/components/weapon/shared_wpn_subpro_light_ioncannon.iff');
INSERT INTO `template_items` VALUES ('5281', 'object/tangible/medicine/shared_grenade_poison.iff');
INSERT INTO `template_items` VALUES ('5282', 'object/tangible/deed/event_perk/shared_rsf_3x10_honorguard_deed.iff');
INSERT INTO `template_items` VALUES ('5283', 'object/tangible/deed/pet_deed/shared_bol_deed.iff');
INSERT INTO `template_items` VALUES ('5284', 'object/tangible/deed/city_deed/shared_garden_corellia_med_01_deed.iff');
INSERT INTO `template_items` VALUES ('5285', 'object/tangible/lair/gaping_spider/shared_lair_gaping_spider.iff');
INSERT INTO `template_items` VALUES ('5286', 'object/tangible/lair/perlek/shared_lair_perlek_jungle.iff');
INSERT INTO `template_items` VALUES ('5287', 'object/tangible/ship/components/reactor/shared_rct_tiefighter_basic.iff');
INSERT INTO `template_items` VALUES ('5288', 'object/tangible/ship/attachment/engine/shared_xwing_engine_neg_s03.iff');
INSERT INTO `template_items` VALUES ('5289', 'object/tangible/loot/plant_grow/shared_plant_stage_dead.iff');
INSERT INTO `template_items` VALUES ('5290', 'object/tangible/wearables/jacket/shared_jacket_s10.iff');
INSERT INTO `template_items` VALUES ('5291', 'object/tangible/ship/components/weapon_capacitor/shared_cap_corellian_cruiser_grade_cap3.iff');
INSERT INTO `template_items` VALUES ('5292', 'object/tangible/ship/crafted/repair/shared_repair_kit_weapon.iff');
INSERT INTO `template_items` VALUES ('5293', 'object/tangible/component/dna/shared_dna_template_gurreck.iff');
INSERT INTO `template_items` VALUES ('5294', 'object/tangible/ship/crafted/armor/shared_base_armor_subcomponent_mk4.iff');
INSERT INTO `template_items` VALUES ('5295', 'object/tangible/furniture/all/shared_frn_all_lamp_candlestick_free_s01_lit.iff');
INSERT INTO `template_items` VALUES ('5296', 'object/tangible/mission/quest_item/shared_nurla_slinthiss_q3_needed.iff');
INSERT INTO `template_items` VALUES ('5297', 'object/tangible/ship/attachment/weapon/shared_hutt_medium_weapon2_s01.iff');
INSERT INTO `template_items` VALUES ('5298', 'object/tangible/wearables/pants/shared_pants_s22.iff');
INSERT INTO `template_items` VALUES ('5299', 'object/tangible/ship/attachment/weapon/shared_imperial_gunboat_turretbase_nose.iff');
INSERT INTO `template_items` VALUES ('5300', 'object/tangible/furniture/shared_furniture_tatooine_cantina_seat_01.iff');
INSERT INTO `template_items` VALUES ('5301', 'object/tangible/ship/components/booster/shared_bst_mandal_jbj_mk5.iff');
INSERT INTO `template_items` VALUES ('5302', 'object/tangible/ship/components/shield_generator/shared_shd_reward_armek_elite.iff');
INSERT INTO `template_items` VALUES ('5303', 'object/tangible/wearables/skirt/shared_skirt_s14.iff');
INSERT INTO `template_items` VALUES ('5304', 'object/tangible/component/item/shared_electronic_energy_distributor.iff');
INSERT INTO `template_items` VALUES ('5305', 'object/tangible/lair/flite_rasp/shared_lair_flite_rasp_grassland.iff');
INSERT INTO `template_items` VALUES ('5306', 'object/tangible/lair/langlatch/shared_lair_langlatch_forest.iff');
INSERT INTO `template_items` VALUES ('5307', 'object/tangible/wearables/ithorian/shared_ith_robe_s02.iff');
INSERT INTO `template_items` VALUES ('5308', 'object/tangible/deed/city_deed/shared_garden_dathomir_lrg_01_deed.iff');
INSERT INTO `template_items` VALUES ('5309', 'object/tangible/ship/components/weapon/shared_wpn_taim_ix5.iff');
INSERT INTO `template_items` VALUES ('5310', 'object/tangible/ship/components/booster/shared_bst_sap_imperial_2.iff');
INSERT INTO `template_items` VALUES ('5311', 'object/tangible/ship/components/shield_generator/shared_shd_kse_enhanced_military_mk1.iff');
INSERT INTO `template_items` VALUES ('5312', 'object/tangible/ship/components/weapon_capacitor/shared_cap_koensayr_rare_mk2.iff');
INSERT INTO `template_items` VALUES ('5313', 'object/tangible/medicine/crafted/shared_medpack_disease_action_c.iff');
INSERT INTO `template_items` VALUES ('5314', 'object/tangible/painting/shared_painting_tree.iff');
INSERT INTO `template_items` VALUES ('5315', 'object/tangible/lair/gackle_bat/shared_lair_gackle_bat_swamp.iff');
INSERT INTO `template_items` VALUES ('5316', 'object/tangible/lair/base/shared_poi_all_lair_rocks_small_fog_red.iff');
INSERT INTO `template_items` VALUES ('5317', 'object/tangible/deed/harvester_deed/shared_harvester_liquid_deed.iff');
INSERT INTO `template_items` VALUES ('5318', 'object/tangible/ship/components/booster/shared_bst_incom_mynock.iff');
INSERT INTO `template_items` VALUES ('5319', 'object/tangible/hair/bothan/shared_hair_bothan_female_s15.iff');
INSERT INTO `template_items` VALUES ('5320', 'object/tangible/medicine/shared_medpack_intimidated.iff');
INSERT INTO `template_items` VALUES ('5321', 'object/tangible/lair/base/shared_poi_all_lair_mound_large_evil_fire_red.iff');
INSERT INTO `template_items` VALUES ('5322', 'object/tangible/medicine/crafted/shared_medic_fire_blanket.iff');
INSERT INTO `template_items` VALUES ('5323', 'object/tangible/lair/base/shared_lair_base_trash_light.iff');
INSERT INTO `template_items` VALUES ('5324', 'object/tangible/loot/loot_schematic/shared_stove_schematic.iff');
INSERT INTO `template_items` VALUES ('5325', 'object/tangible/lair/structure/interior/shared_lair_cave_medium_interior_hanadak.iff');
INSERT INTO `template_items` VALUES ('5326', 'object/tangible/lair/worrt/shared_lair_worrt.iff');
INSERT INTO `template_items` VALUES ('5327', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s11.iff');
INSERT INTO `template_items` VALUES ('5328', 'object/tangible/container/drum/shared_tatt_drum_1.iff');
INSERT INTO `template_items` VALUES ('5329', 'object/tangible/ship/components/booster/shared_bst_corellian_tjh3.iff');
INSERT INTO `template_items` VALUES ('5330', 'object/tangible/wearables/ithorian/shared_ith_bandolier_s08.iff');
INSERT INTO `template_items` VALUES ('5331', 'object/tangible/hair/human/shared_hair_human_female_s08.iff');
INSERT INTO `template_items` VALUES ('5332', 'object/tangible/deed/guild_deed/shared_generic_guild_deed.iff');
INSERT INTO `template_items` VALUES ('5333', 'object/tangible/mission/quest_item/shared_gravin_attal_q1_needed.iff');
INSERT INTO `template_items` VALUES ('5334', 'object/tangible/medicine/crafted/shared_medpack_disease_mind_c.iff');
INSERT INTO `template_items` VALUES ('5335', 'object/tangible/wearables/earring/shared_earring_s13.iff');
INSERT INTO `template_items` VALUES ('5336', 'object/tangible/wearables/wookiee/shared_wke_skirt_s04.iff');
INSERT INTO `template_items` VALUES ('5337', 'object/tangible/veteran_reward/one_year_anniversary/shared_painting_08.iff');
INSERT INTO `template_items` VALUES ('5338', 'object/tangible/deed/faction_perk/covert_detector/shared_detector_32m_deed.iff');
INSERT INTO `template_items` VALUES ('5339', 'object/tangible/wearables/ithorian/shared_ith_belt_s14.iff');
INSERT INTO `template_items` VALUES ('5340', 'object/tangible/camp/shared_camp_spit.iff');
INSERT INTO `template_items` VALUES ('5341', 'object/tangible/ship/components/armor/shared_arm_kessel_imperial_sds_imperial_impervious.iff');
INSERT INTO `template_items` VALUES ('5342', 'object/tangible/gravestone/shared_gravestone02.iff');
INSERT INTO `template_items` VALUES ('5343', 'object/tangible/ship/components/engine/shared_engine_test.iff');
INSERT INTO `template_items` VALUES ('5344', 'object/tangible/ship/components/engine/shared_eng_kessel_imperial_rendili_hyperion_drive.iff');
INSERT INTO `template_items` VALUES ('5345', 'object/tangible/item/quest/force_sensitive/shared_fs_craft_puzzle_solid_state_array.iff');
INSERT INTO `template_items` VALUES ('5346', 'object/tangible/ship/components/shield_generator/shared_shd_kse_military_mk1.iff');
INSERT INTO `template_items` VALUES ('5347', 'object/tangible/region/shared_deliver_region_5.iff');
INSERT INTO `template_items` VALUES ('5348', 'object/tangible/loot/dungeon/corellian_corvette/shared_rebel_destroy_intel.iff');
INSERT INTO `template_items` VALUES ('5349', 'object/tangible/component/armor/shared_shield_generator_personal.iff');
INSERT INTO `template_items` VALUES ('5350', 'object/tangible/container/quest/hero_of_tatooine/shared_rock_crevice.iff');
INSERT INTO `template_items` VALUES ('5351', 'object/tangible/component/chemistry/shared_liquid_delivery_suspension.iff');
INSERT INTO `template_items` VALUES ('5352', 'object/tangible/mission/quest_item/shared_chertyl_ruruwoor_q1_needed.iff');
INSERT INTO `template_items` VALUES ('5353', 'object/tangible/medicine/crafted/shared_medpack_wound_stamina_a.iff');
INSERT INTO `template_items` VALUES ('5354', 'object/tangible/ship/components/shield_generator/shared_shd_sfs_imperial_heavy.iff');
INSERT INTO `template_items` VALUES ('5355', 'object/tangible/lair/base/shared_lair_base_mound_insect_dark.iff');
INSERT INTO `template_items` VALUES ('5356', 'object/tangible/medicine/crafted/shared_medpack_poison_area_health_a.iff');
INSERT INTO `template_items` VALUES ('5357', 'object/tangible/lair/bolle_bol/shared_lair_bolle_bol.iff');
INSERT INTO `template_items` VALUES ('5358', 'object/tangible/wearables/jacket/shared_jacket_s24.iff');
INSERT INTO `template_items` VALUES ('5359', 'object/tangible/container/general/shared_tech_bookcase.iff');
INSERT INTO `template_items` VALUES ('5360', 'object/tangible/loot/misc/shared_loot_krayt_leg1.iff');
INSERT INTO `template_items` VALUES ('5361', 'object/tangible/ship/components/shield_generator/shared_shd_incom_rayshield_r7.iff');
INSERT INTO `template_items` VALUES ('5362', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon2l_s05.iff');
INSERT INTO `template_items` VALUES ('5363', 'object/tangible/component/armor/shared_armor_segment_enhancement_kimogila.iff');
INSERT INTO `template_items` VALUES ('5364', 'object/tangible/component/weapon/shared_rancor_tooth.iff');
INSERT INTO `template_items` VALUES ('5365', 'object/tangible/lair/nuna/shared_lair_nuna_forest.iff');
INSERT INTO `template_items` VALUES ('5366', 'object/tangible/ship/crafted/shields/shared_shield_limiter_mk1.iff');
INSERT INTO `template_items` VALUES ('5367', 'object/tangible/wearables/ithorian/shared_ith_shirt_s07.iff');
INSERT INTO `template_items` VALUES ('5368', 'object/tangible/wearables/ring/shared_ring_mark_hero.iff');
INSERT INTO `template_items` VALUES ('5369', 'object/tangible/component/armor/shared_armor_layer_acid.iff');
INSERT INTO `template_items` VALUES ('5370', 'object/tangible/instrument/shared_instrument_organ_max_rebo.iff');
INSERT INTO `template_items` VALUES ('5371', 'object/tangible/ship/attachment/engine/shared_ykl37r_engine_s02.iff');
INSERT INTO `template_items` VALUES ('5372', 'object/tangible/medicine/crafted/shared_medpack_enhance_stamina_b.iff');
INSERT INTO `template_items` VALUES ('5373', 'object/tangible/ship/attachment/weapon/shared_imperial_gunboat_turretbase_wing.iff');
INSERT INTO `template_items` VALUES ('5374', 'object/tangible/ship/components/weapon/shared_wpn_z95_blaster.iff');
INSERT INTO `template_items` VALUES ('5375', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s08.iff');
INSERT INTO `template_items` VALUES ('5376', 'object/tangible/loot/misc/shared_loot_krayt_spine1.iff');
INSERT INTO `template_items` VALUES ('5377', 'object/tangible/wearables/hat/shared_hat_twilek_s02.iff');
INSERT INTO `template_items` VALUES ('5378', 'object/tangible/component/vehicle/base/shared_base_veh_hull.iff');
INSERT INTO `template_items` VALUES ('5379', 'object/tangible/hair/human/shared_hair_human_male_s34.iff');
INSERT INTO `template_items` VALUES ('5380', 'object/tangible/deed/pet_deed/shared_deed_3p0_advanced_basic.iff');
INSERT INTO `template_items` VALUES ('5381', 'object/tangible/ship/interior_components/shared_droid_interface_interior.iff');
INSERT INTO `template_items` VALUES ('5382', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_pos_s03_0.iff');
INSERT INTO `template_items` VALUES ('5383', 'object/tangible/container/general/shared_cargo_pocket.iff');
INSERT INTO `template_items` VALUES ('5384', 'object/tangible/wearables/apron/shared_apron_s01_quest.iff');
INSERT INTO `template_items` VALUES ('5385', 'object/tangible/ship/components/booster/shared_bst_sorosuub_well_tuned_liberator_mk5.iff');
INSERT INTO `template_items` VALUES ('5386', 'object/tangible/ship/components/booster/shared_bst_kessel_rebel_incom_windrunner.iff');
INSERT INTO `template_items` VALUES ('5387', 'object/tangible/loot/misc/shared_corsec_id_badge.iff');
INSERT INTO `template_items` VALUES ('5388', 'object/tangible/ship/components/reactor/shared_rct_subpro_aurora.iff');
INSERT INTO `template_items` VALUES ('5389', 'object/tangible/deed/event_perk/shared_rebel_banner_static_deed.iff');
INSERT INTO `template_items` VALUES ('5390', 'object/tangible/food/spice/shared_spice_kwi_boost.iff');
INSERT INTO `template_items` VALUES ('5391', 'object/tangible/medicine/crafted/shared_medpack_wound_action_e.iff');
INSERT INTO `template_items` VALUES ('5392', 'object/tangible/ship/attachment/weapon/shared_blacksun_light_weapon_s01.iff');
INSERT INTO `template_items` VALUES ('5393', 'object/tangible/furniture/imperial/shared_data_terminal_s4.iff');
INSERT INTO `template_items` VALUES ('5394', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_neg_s05_1.iff');
INSERT INTO `template_items` VALUES ('5395', 'object/tangible/lair/bantha/shared_lair_bantha_wasteland.iff');
INSERT INTO `template_items` VALUES ('5396', 'object/tangible/wearables/dress/shared_dress_s27.iff');
INSERT INTO `template_items` VALUES ('5397', 'object/tangible/mission/quest_item/shared_nurla_slinthiss_q1_needed.iff');
INSERT INTO `template_items` VALUES ('5398', 'object/tangible/furniture/jedi/shared_frn_all_dark_chair_s01.iff');
INSERT INTO `template_items` VALUES ('5399', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon2r_s03.iff');
INSERT INTO `template_items` VALUES ('5400', 'object/tangible/wearables/ithorian/shared_ith_belt_s20.iff');
INSERT INTO `template_items` VALUES ('5401', 'object/tangible/lair/base/shared_poi_all_lair_rock_shelter_small_fog_red.iff');
INSERT INTO `template_items` VALUES ('5402', 'object/tangible/hair/sullustan/shared_sul_hair_s18_f.iff');
INSERT INTO `template_items` VALUES ('5403', 'object/tangible/loot/collectible/kits/shared_light_table_kit.iff');
INSERT INTO `template_items` VALUES ('5404', 'object/tangible/component/vehicle/shared_mass_driver.iff');
INSERT INTO `template_items` VALUES ('5405', 'object/tangible/ship/crafted/reactor/shared_base_reactor_subcomponent_mk5.iff');
INSERT INTO `template_items` VALUES ('5406', 'object/tangible/ship/crafted/chassis/shared_blacksun_light_s01_deed.iff');
INSERT INTO `template_items` VALUES ('5407', 'object/tangible/ship/crafted/capacitor/shared_base_capacitor_subcomponent_mk3.iff');
INSERT INTO `template_items` VALUES ('5408', 'object/tangible/wearables/ithorian/shared_ith_pants_s13.iff');
INSERT INTO `template_items` VALUES ('5409', 'object/tangible/mission/quest_item/shared_champhra_biahin_q2_needed.iff');
INSERT INTO `template_items` VALUES ('5410', 'object/tangible/medicine/crafted/shared_medpack_wound_strength_b.iff');
INSERT INTO `template_items` VALUES ('5411', 'object/tangible/lair/base/shared_poi_all_lair_wooden_evil_fire_green.iff');
INSERT INTO `template_items` VALUES ('5412', 'object/tangible/component/weapon/shared_blaster_power_handler.iff');
INSERT INTO `template_items` VALUES ('5413', 'object/tangible/deed/event_perk/shared_endor_flag_deed.iff');
INSERT INTO `template_items` VALUES ('5414', 'object/tangible/item/shared_droid_customization.iff');
INSERT INTO `template_items` VALUES ('5415', 'object/tangible/mission/quest_item/shared_lasha_bindari_q1_needed.iff');
INSERT INTO `template_items` VALUES ('5416', 'object/tangible/ship/components/weapon_capacitor/shared_cap_koensayr_mk3.iff');
INSERT INTO `template_items` VALUES ('5417', 'object/tangible/painting/shared_painting_wookiee_f.iff');
INSERT INTO `template_items` VALUES ('5418', 'object/tangible/food/crafted/shared_drink_garrmorl.iff');
INSERT INTO `template_items` VALUES ('5419', 'object/tangible/mission/quest_item/shared_borvo_q1_needed.iff');
INSERT INTO `template_items` VALUES ('5420', 'object/tangible/lair/cu_pa/shared_lair_cu_pa_dune.iff');
INSERT INTO `template_items` VALUES ('5421', 'object/tangible/component/weapon/lightsaber/shared_base_lightsaber_lance_module.iff');
INSERT INTO `template_items` VALUES ('5422', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_imperial_destroy_03.iff');
INSERT INTO `template_items` VALUES ('5423', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon3_s04.iff');
INSERT INTO `template_items` VALUES ('5424', 'object/tangible/lair/base/shared_poi_all_lair_warren_small_fog_green.iff');
INSERT INTO `template_items` VALUES ('5425', 'object/tangible/ship/components/weapon/shared_wpn_incom_disruptor.iff');
INSERT INTO `template_items` VALUES ('5426', 'object/tangible/wearables/armor/ubese/shared_armor_ubese_jacket_quest.iff');
INSERT INTO `template_items` VALUES ('5427', 'object/tangible/sign/municipal/shared_municipal_sign_hanging_cantina.iff');
INSERT INTO `template_items` VALUES ('5428', 'object/tangible/wearables/ithorian/shared_ith_jacket_s01.iff');
INSERT INTO `template_items` VALUES ('5429', 'object/tangible/wearables/armor/chitin/shared_armor_chitin_s01_bracer_l.iff');
INSERT INTO `template_items` VALUES ('5430', 'object/tangible/wearables/shirt/shared_shirt_s38.iff');
INSERT INTO `template_items` VALUES ('5431', 'object/tangible/component/vehicle/shared_reactor_unit.iff');
INSERT INTO `template_items` VALUES ('5432', 'object/tangible/lair/structure/exterior/shared_lair_cave_giant_exterior_graul.iff');
INSERT INTO `template_items` VALUES ('5433', 'object/tangible/wearables/vest/shared_vest_s06.iff');
INSERT INTO `template_items` VALUES ('5434', 'object/tangible/ship/components/engine/shared_eng_mission_reward_rebel_incom_military.iff');
INSERT INTO `template_items` VALUES ('5435', 'object/tangible/ship/components/weapon_capacitor/shared_cap_tiefighter_elite_mk2.iff');
INSERT INTO `template_items` VALUES ('5436', 'object/tangible/hair/sullustan/shared_sul_hair_s17_m.iff');
INSERT INTO `template_items` VALUES ('5437', 'object/tangible/lair/base/shared_poi_all_lair_warren_small.iff');
INSERT INTO `template_items` VALUES ('5438', 'object/tangible/ship/components/engine/shared_eng_sfs_modified_imperial_3.iff');
INSERT INTO `template_items` VALUES ('5439', 'object/tangible/ship/crafted/capacitor/shared_capacitor_mk2.iff');
INSERT INTO `template_items` VALUES ('5440', 'object/tangible/ship/components/weapon/shared_wpn_sds_modified_elite.iff');
INSERT INTO `template_items` VALUES ('5441', 'object/tangible/ship/crafted/chassis/shared_tieinterceptor_deed.iff');
INSERT INTO `template_items` VALUES ('5442', 'object/tangible/veteran_reward/shared_frn_vet_jabba_toy.iff');
INSERT INTO `template_items` VALUES ('5443', 'object/tangible/ship/crafted/engine/shared_engine_limiter_mk1.iff');
INSERT INTO `template_items` VALUES ('5444', 'object/tangible/ship/components/droid_interface/shared_ddi_kse_custom_manager_mk2.iff');
INSERT INTO `template_items` VALUES ('5445', 'object/tangible/ship/components/droid_interface/shared_ddi_incom_droid_interface_mk3.iff');
INSERT INTO `template_items` VALUES ('5446', 'object/tangible/component/weapon/shared_projectile_feed_mechanism_enhancement_min_damage.iff');
INSERT INTO `template_items` VALUES ('5447', 'object/tangible/loot/collectible/collectible_parts/shared_light_table_structure_04.iff');
INSERT INTO `template_items` VALUES ('5448', 'object/tangible/ship/attachment/engine/shared_ywing_engine_s02.iff');
INSERT INTO `template_items` VALUES ('5449', 'object/tangible/deed/event_perk/shared_rebel_3x10_honorguard_deed.iff');
INSERT INTO `template_items` VALUES ('5450', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_lg_s03_lg.iff');
INSERT INTO `template_items` VALUES ('5451', 'object/tangible/loot/misc/shared_loot_krayt_arm1.iff');
INSERT INTO `template_items` VALUES ('5452', 'object/tangible/ship/components/reactor/shared_rct_taim_experimental_s3.iff');
INSERT INTO `template_items` VALUES ('5453', 'object/tangible/wearables/armor/marine/shared_armor_marine_chest_plate_rebel.iff');
INSERT INTO `template_items` VALUES ('5454', 'object/tangible/mission/quest_item/shared_jyr_koble_q4_needed.iff');
INSERT INTO `template_items` VALUES ('5455', 'object/tangible/survey_tool/shared_survey_tool_inorganic.iff');
INSERT INTO `template_items` VALUES ('5456', 'object/tangible/hair/human/shared_hair_human_male_s09.iff');
INSERT INTO `template_items` VALUES ('5457', 'object/tangible/component/chemistry/shared_spider_venom.iff');
INSERT INTO `template_items` VALUES ('5458', 'object/tangible/loot/quest/shared_bantha_doll.iff');
INSERT INTO `template_items` VALUES ('5459', 'object/tangible/deed/city_deed/shared_garden_naboo_med_04_deed.iff');
INSERT INTO `template_items` VALUES ('5460', 'object/tangible/deed/pet_deed/shared_deed_probot_basic.iff');
INSERT INTO `template_items` VALUES ('5461', 'object/tangible/ship/components/droid_interface/shared_ddi_moncal_elite.iff');
INSERT INTO `template_items` VALUES ('5462', 'object/tangible/hair/mon_calamari/base/shared_hair_mon_calamari_female_base.iff');
INSERT INTO `template_items` VALUES ('5463', 'object/tangible/ship/attachment/weapon/shared_blacksun_medium_weapon2_s02.iff');
INSERT INTO `template_items` VALUES ('5464', 'object/tangible/component/droid/shared_r4_droid_chassis.iff');
INSERT INTO `template_items` VALUES ('5465', 'object/tangible/ship/components/weapon/shared_wpn_armek_advanced.iff');
INSERT INTO `template_items` VALUES ('5466', 'object/tangible/ship/components/reactor/shared_rct_mandal_dx_advanced.iff');
INSERT INTO `template_items` VALUES ('5467', 'object/tangible/food/crafted/shared_drink_elshandruu_pica_thundercloud.iff');
INSERT INTO `template_items` VALUES ('5468', 'object/tangible/wearables/gloves/shared_gloves_s14.iff');
INSERT INTO `template_items` VALUES ('5469', 'object/tangible/furniture/all/shared_frn_all_decorative_lg_s1.iff');
INSERT INTO `template_items` VALUES ('5470', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon2_s01.iff');
INSERT INTO `template_items` VALUES ('5471', 'object/tangible/lair/kwi/shared_lair_kwi_desert.iff');
INSERT INTO `template_items` VALUES ('5472', 'object/tangible/ship/crafted/shields/shared_heavy_deflector_shields.iff');
INSERT INTO `template_items` VALUES ('5473', 'object/tangible/ui/shared_ui_planet_talus.iff');
INSERT INTO `template_items` VALUES ('5474', 'object/tangible/ship/components/booster/shared_bst_surronian_accelerator_mk1.iff');
INSERT INTO `template_items` VALUES ('5475', 'object/tangible/component/armor/shared_deflector_shield_emitter_assembly.iff');
INSERT INTO `template_items` VALUES ('5476', 'object/tangible/medicine/crafted/shared_medpack_poison_area_mind_c.iff');
INSERT INTO `template_items` VALUES ('5477', 'object/tangible/ship/crafted/weapon/missile/shared_countermeasure_em_pack.iff');
INSERT INTO `template_items` VALUES ('5478', 'object/tangible/wearables/jacket/shared_jacket_s19.iff');
INSERT INTO `template_items` VALUES ('5479', 'object/tangible/component/weapon/shared_stock_advanced.iff');
INSERT INTO `template_items` VALUES ('5480', 'object/tangible/beta/shared_beta_terminal_xp.iff');
INSERT INTO `template_items` VALUES ('5481', 'object/tangible/scout/trap/shared_trap_webber.iff');
INSERT INTO `template_items` VALUES ('5482', 'object/tangible/loot/quest/shared_lifeday_orb.iff');
INSERT INTO `template_items` VALUES ('5483', 'object/tangible/ship/components/reactor/shared_rct_corellian_modified_bt5.iff');
INSERT INTO `template_items` VALUES ('5484', 'object/tangible/component/vehicle/shared_armor_panel_electrical.iff');
INSERT INTO `template_items` VALUES ('5485', 'object/tangible/ship/interior_components/shared_life_support_interior.iff');
INSERT INTO `template_items` VALUES ('5486', 'object/tangible/ship/crafted/armor/shared_mass_reduction_kit_mk5.iff');
INSERT INTO `template_items` VALUES ('5487', 'object/tangible/component/droid/shared_trap_module.iff');
INSERT INTO `template_items` VALUES ('5488', 'object/tangible/lair/tanc_mite/shared_lair_tanc_mite.iff');
INSERT INTO `template_items` VALUES ('5489', 'object/tangible/ship/components/reactor/shared_rct_sfs_imperial_3.iff');
INSERT INTO `template_items` VALUES ('5490', 'object/tangible/ship/components/weapon/shared_wpn_incom_blaster.iff');
INSERT INTO `template_items` VALUES ('5491', 'object/tangible/ship/crafted/droid_interface/shared_base_droid_interface_subcomponent_mk3.iff');
INSERT INTO `template_items` VALUES ('5492', 'object/tangible/hq_destructible/shared_power_regulator.iff');
INSERT INTO `template_items` VALUES ('5493', 'object/tangible/component/weapon/shared_projectile_pistol_barrel_advanced.iff');
INSERT INTO `template_items` VALUES ('5494', 'object/tangible/jedi/shared_padawan_trials_skeleton.iff');
INSERT INTO `template_items` VALUES ('5495', 'object/tangible/wearables/necklace/shared_necklace_nyax.iff');
INSERT INTO `template_items` VALUES ('5496', 'object/tangible/ship/components/engine/shared_engine_nubian_221_racing_mod.iff');
INSERT INTO `template_items` VALUES ('5497', 'object/tangible/furniture/decorative/shared_professor_desk.iff');
INSERT INTO `template_items` VALUES ('5498', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s03_lit.iff');
INSERT INTO `template_items` VALUES ('5499', 'object/tangible/painting/shared_painting_twilek_f_lg_s02.iff');
INSERT INTO `template_items` VALUES ('5500', 'object/tangible/lair/base/shared_poi_all_lair_brambles_large_evil_fire_green.iff');
INSERT INTO `template_items` VALUES ('5501', 'object/tangible/ship/components/droid_interface/shared_ddi_freitek_droid_commander_mk2.iff');
INSERT INTO `template_items` VALUES ('5502', 'object/tangible/ship/attachment/weapon/shared_hutt_light_weapon_s01.iff');
INSERT INTO `template_items` VALUES ('5503', 'object/tangible/scout/trap/shared_trap_melee_ranged_def_1.iff');
INSERT INTO `template_items` VALUES ('5504', 'object/tangible/space/story_loot/shared_loot_dantooine_mining2.iff');
INSERT INTO `template_items` VALUES ('5505', 'object/tangible/wearables/necklace/shared_necklace_base.iff');
INSERT INTO `template_items` VALUES ('5506', 'object/tangible/ship/components/reactor/shared_rct_kessel_imperial_sds_secret_ops.iff');
INSERT INTO `template_items` VALUES ('5507', 'object/tangible/component/shared_barrel_blaster.iff');
INSERT INTO `template_items` VALUES ('5508', 'object/tangible/painting/shared_painting_twilek_f_sm_s01.iff');
INSERT INTO `template_items` VALUES ('5509', 'object/tangible/ship/components/droid_interface/shared_ddi_moncal_advanced_interface.iff');
INSERT INTO `template_items` VALUES ('5510', 'object/tangible/deed/city_deed/shared_garden_corellia_med_05_deed.iff');
INSERT INTO `template_items` VALUES ('5511', 'object/tangible/lair/krayt_dragon/shared_lair_krayt_dragon_desert.iff');
INSERT INTO `template_items` VALUES ('5512', 'object/tangible/lair/bantha/shared_lair_bantha_dune.iff');
INSERT INTO `template_items` VALUES ('5513', 'object/tangible/wearables/shirt/shared_shirt_s05.iff');
INSERT INTO `template_items` VALUES ('5514', 'object/tangible/ship/components/weapon/shared_wpn_corellian_ag1g_laser.iff');
INSERT INTO `template_items` VALUES ('5515', 'object/tangible/container/loot/shared_player_loot_crate.iff');
INSERT INTO `template_items` VALUES ('5516', 'object/tangible/ship/components/armor/shared_arm_koensayr_b9_durasteel.iff');
INSERT INTO `template_items` VALUES ('5517', 'object/tangible/ship/components/booster/shared_bst_koensayr_racer_mk4.iff');
INSERT INTO `template_items` VALUES ('5518', 'object/tangible/mission/quest_item/shared_shalera_q1_needed.iff');
INSERT INTO `template_items` VALUES ('5519', 'object/tangible/loot/loot_schematic/shared_corellian_flagpole_schematic.iff');
INSERT INTO `template_items` VALUES ('5520', 'object/tangible/component/vehicle/base/shared_base_armor_panel.iff');
INSERT INTO `template_items` VALUES ('5521', 'object/tangible/ship/crafted/booster/shared_booster_overdriver_mk2.iff');
INSERT INTO `template_items` VALUES ('5522', 'object/tangible/wearables/belt/shared_belt_s19.iff');
INSERT INTO `template_items` VALUES ('5523', 'object/tangible/ship/crafted/droid_interface/shared_basic_droid_interface.iff');
INSERT INTO `template_items` VALUES ('5524', 'object/tangible/firework/shared_firework_s02.iff');
INSERT INTO `template_items` VALUES ('5525', 'object/tangible/ship/components/droid_interface/shared_ddi_kse_manager_mk2.iff');
INSERT INTO `template_items` VALUES ('5526', 'object/tangible/component/bio/shared_bio_component_clothing_field_camo.iff');
INSERT INTO `template_items` VALUES ('5527', 'object/tangible/component/vehicle/shared_military_e.iff');
INSERT INTO `template_items` VALUES ('5528', 'object/tangible/ship/components/booster/shared_bst_novaldex_quasar.iff');
INSERT INTO `template_items` VALUES ('5529', 'object/tangible/ship/crafted/chassis/shared_blacksun_medium_s04_deed.iff');
INSERT INTO `template_items` VALUES ('5530', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_pos_s02_1.iff');
INSERT INTO `template_items` VALUES ('5531', 'object/tangible/ship/components/droid_interface/shared_ddi_hk_mk1.iff');
INSERT INTO `template_items` VALUES ('5532', 'object/tangible/medicine/crafted/shared_medpack_wound_constitution_e.iff');
INSERT INTO `template_items` VALUES ('5533', 'object/tangible/ship/components/shield_generator/shared_shd_sfs_polyweb_advanced.iff');
INSERT INTO `template_items` VALUES ('5534', 'object/tangible/ship/components/shield_generator/shared_shd_kse_mk7.iff');
INSERT INTO `template_items` VALUES ('5535', 'object/tangible/veteran_reward/one_year_anniversary/shared_painting_01.iff');
INSERT INTO `template_items` VALUES ('5536', 'object/tangible/lair/base/shared_poi_all_lair_dead_log_small_evil_fire_green.iff');
INSERT INTO `template_items` VALUES ('5537', 'object/tangible/mission/quest_item/shared_gravin_attal_q2_needed.iff');
INSERT INTO `template_items` VALUES ('5538', 'object/tangible/hair/bothan/shared_hair_bothan_male_s03.iff');
INSERT INTO `template_items` VALUES ('5539', 'object/tangible/loot/misc/shared_mystical_orb.iff');
INSERT INTO `template_items` VALUES ('5540', 'object/tangible/medicine/crafted/shared_medpack_grenade_area_c.iff');
INSERT INTO `template_items` VALUES ('5541', 'object/tangible/beta/shared_beta_terminal_food.iff');
INSERT INTO `template_items` VALUES ('5542', 'object/tangible/fishing/bait/base/shared_bait_base.iff');
INSERT INTO `template_items` VALUES ('5543', 'object/tangible/wearables/wookiee/shared_wke_shirt_s04.iff');
INSERT INTO `template_items` VALUES ('5544', 'object/tangible/ship/components/chassis/shared_hutt_light_s02_chassis_token.iff');
INSERT INTO `template_items` VALUES ('5545', 'object/tangible/component/bio/shared_bio_component_clothing_casual_taming.iff');
INSERT INTO `template_items` VALUES ('5546', 'object/tangible/ship/components/reactor/rct_z95_basic.iff');
INSERT INTO `template_items` VALUES ('5547', 'object/tangible/scout/camp/shared_camp_quality.iff');
INSERT INTO `template_items` VALUES ('5548', 'object/tangible/ship/crafted/chassis/shared_blacksun_light_s03_deed.iff');
INSERT INTO `template_items` VALUES ('5549', 'object/tangible/hair/human/shared_hair_human_female_s01.iff');
INSERT INTO `template_items` VALUES ('5550', 'object/tangible/ship/crafted/booster/shared_base_booster_subcomponent_mk3.iff');
INSERT INTO `template_items` VALUES ('5551', 'object/tangible/deed/event_perk/shared_tatooine_banner_static_deed.iff');
INSERT INTO `template_items` VALUES ('5552', 'object/tangible/loot/dungeon/death_watch_bunker/shared_art_crate.iff');
INSERT INTO `template_items` VALUES ('5553', 'object/tangible/wearables/bandolier/shared_bandolier_s07.iff');
INSERT INTO `template_items` VALUES ('5554', 'object/tangible/hair/sullustan/shared_sul_hair_s15_f.iff');
INSERT INTO `template_items` VALUES ('5555', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s18.iff');
INSERT INTO `template_items` VALUES ('5556', 'object/tangible/lair/malkloc/shared_lair_malkloc_forest.iff');
INSERT INTO `template_items` VALUES ('5557', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_neg_s04_0.iff');
INSERT INTO `template_items` VALUES ('5558', 'object/tangible/deed/factory_deed/shared_factory_food_deed.iff');
INSERT INTO `template_items` VALUES ('5559', 'object/tangible/lair/base/shared_lair_base_cave_griffon_dark.iff');
INSERT INTO `template_items` VALUES ('5560', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s02_boots.iff');
INSERT INTO `template_items` VALUES ('5561', 'object/tangible/ship/components/reactor/shared_rct_kse_lx11.iff');
INSERT INTO `template_items` VALUES ('5562', 'object/tangible/ship/components/weapon_capacitor/shared_cap_novaldex_experimental.iff');
INSERT INTO `template_items` VALUES ('5563', 'object/tangible/deed/player_house_deed/shared_naboo_house_small_deed.iff');
INSERT INTO `template_items` VALUES ('5564', 'object/tangible/component/droid/shared_personality_module_prissy.iff');
INSERT INTO `template_items` VALUES ('5565', 'object/tangible/ship/components/weapon/shared_wpn_reward_seinar_elite.iff');
INSERT INTO `template_items` VALUES ('5566', 'object/tangible/food/crafted/shared_dessert_wedding_cake.iff');
INSERT INTO `template_items` VALUES ('5567', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon1_s03.iff');
INSERT INTO `template_items` VALUES ('5568', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_imagerec_missile_mk2.iff');
INSERT INTO `template_items` VALUES ('5569', 'object/tangible/deed/event_perk/shared_naboo_flag_deed.iff');
INSERT INTO `template_items` VALUES ('5570', 'object/tangible/hair/twilek/shared_hair_twilek_female_s08.iff');
INSERT INTO `template_items` VALUES ('5571', 'object/tangible/lair/base/shared_poi_all_lair_rocks_small_fog_gray.iff');
INSERT INTO `template_items` VALUES ('5572', 'object/tangible/deed/event_perk/shared_marble_gazebo_static_deed.iff');
INSERT INTO `template_items` VALUES ('5573', 'object/tangible/deed/naboo/player_house_deed/shared_naboo_house_medium_deed.iff');
INSERT INTO `template_items` VALUES ('5574', 'object/tangible/lair/ray/shared_lair_ray.iff');
INSERT INTO `template_items` VALUES ('5575', 'object/tangible/datapad/shared_droid_datapad_1.iff');
INSERT INTO `template_items` VALUES ('5576', 'object/tangible/wearables/ithorian/shared_ith_jacket_s11.iff');
INSERT INTO `template_items` VALUES ('5577', 'object/tangible/wearables/base/shared_base_dress_formal_gloved.iff');
INSERT INTO `template_items` VALUES ('5578', 'object/tangible/loot/collectible/collectible_parts/shared_gong_structure_02.iff');
INSERT INTO `template_items` VALUES ('5579', 'object/tangible/wearables/shirt/shared_shirt_s28.iff');
INSERT INTO `template_items` VALUES ('5580', 'object/tangible/ship/components/booster/shared_bst_koensayr_standard.iff');
INSERT INTO `template_items` VALUES ('5581', 'object/tangible/ship/components/weapon/shared_wpn_mission_reward_rebel_incom_tricannon.iff');
INSERT INTO `template_items` VALUES ('5582', 'object/tangible/lair/winged_ornith/shared_lair_winged_ornith_grassland.iff');
INSERT INTO `template_items` VALUES ('5583', 'object/tangible/wearables/pants/shared_pants_s06.iff');
INSERT INTO `template_items` VALUES ('5584', 'object/tangible/ship/components/shield_generator/shared_shd_incom_rayshield_advanced.iff');
INSERT INTO `template_items` VALUES ('5585', 'object/tangible/ship/components/armor/shared_armor_alderaan_royal_weave.iff');
INSERT INTO `template_items` VALUES ('5586', 'object/tangible/wearables/armor/ithorian_sentinel/shared_ith_armor_s03_bracer_r.iff');
INSERT INTO `template_items` VALUES ('5587', 'object/tangible/ship/crafted/weapon/shared_wpn_medium_blaster.iff');
INSERT INTO `template_items` VALUES ('5588', 'object/tangible/loot/tool/shared_viewscreen_broken_s1.iff');
INSERT INTO `template_items` VALUES ('5589', 'object/tangible/loot/bestine/shared_bestine_painting_schematic_lucky_despot.iff');
INSERT INTO `template_items` VALUES ('5590', 'object/tangible/wearables/backpack/shared_backpack_s05.iff');
INSERT INTO `template_items` VALUES ('5591', 'object/tangible/food/foraged/shared_foraged_fruit_s3.iff');
INSERT INTO `template_items` VALUES ('5592', 'object/tangible/medicine/crafted/shared_medpack_disease_health_a.iff');
INSERT INTO `template_items` VALUES ('5593', 'object/tangible/lair/base/shared_poi_all_lair_dead_log_large_evil_fire_green.iff');
INSERT INTO `template_items` VALUES ('5594', 'object/tangible/component/vehicle/shared_veh_shield_generator_mk3.iff');
INSERT INTO `template_items` VALUES ('5595', 'object/tangible/lair/gurnaset/shared_lair_gurnaset.iff');
INSERT INTO `template_items` VALUES ('5596', 'object/tangible/ship/crafted/reactor/shared_reactor_overcharger_mk3.iff');
INSERT INTO `template_items` VALUES ('5597', 'object/tangible/ship/components/weapon/shared_wpn_subpro_tripleblaster.iff');
INSERT INTO `template_items` VALUES ('5598', 'object/tangible/ship/attachment/weapon/shared_ywing_weapon2_s03.iff');
INSERT INTO `template_items` VALUES ('5599', 'object/tangible/theme_park/shared_invisible_object.iff');
INSERT INTO `template_items` VALUES ('5600', 'object/tangible/gambling/base/shared_gambling_station.iff');
INSERT INTO `template_items` VALUES ('5601', 'object/tangible/wearables/base/shared_base_helmet_closed_full.iff');
INSERT INTO `template_items` VALUES ('5602', 'object/tangible/ship/components/booster/shared_bst_sfs_imperial_2.iff');
INSERT INTO `template_items` VALUES ('5603', 'object/tangible/wearables/ithorian/shared_ith_pants_s03.iff');
INSERT INTO `template_items` VALUES ('5604', 'object/tangible/bug_jar/shared_sample_butterflies.iff');
INSERT INTO `template_items` VALUES ('5605', 'object/tangible/powerup/weapon/fs_quest_sad/shared_melee_speed_quest.iff');
INSERT INTO `template_items` VALUES ('5606', 'object/tangible/wearables/necklace/shared_necklace_knickknack.iff');
INSERT INTO `template_items` VALUES ('5607', 'object/tangible/lair/cu_pa/shared_lair_cu_pa_mountain.iff');
INSERT INTO `template_items` VALUES ('5608', 'object/tangible/loot/collectible/collectible_parts/shared_sculpture_structure_05.iff');
INSERT INTO `template_items` VALUES ('5609', 'object/tangible/furniture/base/shared_furniture_base.iff');
INSERT INTO `template_items` VALUES ('5610', 'object/tangible/deed/pet_deed/shared_deed_power_basic.iff');
INSERT INTO `template_items` VALUES ('5611', 'object/tangible/deed/shared_test_deed.iff');
INSERT INTO `template_items` VALUES ('5612', 'object/tangible/theme_park/alderaan/act3/shared_encoded_data_disk.iff');
INSERT INTO `template_items` VALUES ('5613', 'object/tangible/wearables/base/shared_base_bracer_r.iff');
INSERT INTO `template_items` VALUES ('5614', 'object/tangible/loot/quest/shared_schematic_republic_blaster_quest.iff');
INSERT INTO `template_items` VALUES ('5615', 'object/tangible/ship/components/reactor/shared_rct_kessel_rebel_incom_overdriven_elite.iff');
INSERT INTO `template_items` VALUES ('5616', 'object/tangible/lair/crowned_rasp/shared_lair_crowned_rasp_grassland.iff');
INSERT INTO `template_items` VALUES ('5617', 'object/tangible/wearables/bodysuit/shared_bodysuit_s01.iff');
INSERT INTO `template_items` VALUES ('5618', 'object/tangible/ship/components/booster/shared_bst_incom_intimidator_mk1.iff');
INSERT INTO `template_items` VALUES ('5619', 'object/tangible/inventory/shared_lightsaber_inventory_4.iff');
INSERT INTO `template_items` VALUES ('5620', 'object/tangible/wearables/necklace/shared_necklace_s06.iff');
INSERT INTO `template_items` VALUES ('5621', 'object/tangible/lair/base/shared_poi_all_lair_dead_log_large_fog_mustard.iff');
INSERT INTO `template_items` VALUES ('5622', 'object/tangible/furniture/all/shared_frn_all_lamp_candlestick_free_s01.iff');
INSERT INTO `template_items` VALUES ('5623', 'object/tangible/lair/base/shared_poi_all_lair_leaf_large_fog_red.iff');
INSERT INTO `template_items` VALUES ('5624', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s18.iff');
INSERT INTO `template_items` VALUES ('5625', 'object/tangible/hair/human/shared_hair_human_male_s24.iff');
INSERT INTO `template_items` VALUES ('5626', 'object/tangible/lair/skreeg/shared_lair_skreeg.iff');
INSERT INTO `template_items` VALUES ('5627', 'object/tangible/ship/components/weapon_capacitor/shared_cap_qualdex_miser_elite.iff');
INSERT INTO `template_items` VALUES ('5628', 'object/tangible/camp/shared_camp_pavilion_s1.iff');
INSERT INTO `template_items` VALUES ('5629', 'object/tangible/lair/voritor_lizard/shared_lair_voritor_lizard_grassland.iff');
INSERT INTO `template_items` VALUES ('5630', 'object/tangible/item/shared_vehicle_customization.iff');
INSERT INTO `template_items` VALUES ('5631', 'object/tangible/lair/gulginaw/shared_lair_gulginaw_forest.iff');
INSERT INTO `template_items` VALUES ('5632', 'object/tangible/space/special_loot/shared_firespray_schematic_part1.iff');
INSERT INTO `template_items` VALUES ('5633', 'object/tangible/lair/base/shared_lair_base.iff');
INSERT INTO `template_items` VALUES ('5634', 'object/tangible/furniture/technical/shared_chest_s01.iff');
INSERT INTO `template_items` VALUES ('5635', 'object/tangible/ship/components/engine/shared_eng_sds_imperial_2.iff');
INSERT INTO `template_items` VALUES ('5636', 'object/tangible/ship/crafted/reactor/shared_standard_fusion_core.iff');
INSERT INTO `template_items` VALUES ('5637', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff');
INSERT INTO `template_items` VALUES ('5638', 'object/tangible/ship/components/shield_generator/shared_shd_taim_elite.iff');
INSERT INTO `template_items` VALUES ('5639', 'object/tangible/instrument/shared_slitherhorn.iff');
INSERT INTO `template_items` VALUES ('5640', 'object/tangible/deed/city_deed/shared_garden_tatooine_lrg_02_deed.iff');
INSERT INTO `template_items` VALUES ('5641', 'object/tangible/lair/stintaril/shared_lair_stintaril.iff');
INSERT INTO `template_items` VALUES ('5642', 'object/tangible/mission/quest_item/shared_kritus_morven_q3_needed.iff');
INSERT INTO `template_items` VALUES ('5643', 'object/tangible/ship/components/booster/shared_bst_kuat_military_mk1.iff');
INSERT INTO `template_items` VALUES ('5644', 'object/tangible/component/armor/shared_armor_layer_nightsister.iff');
INSERT INTO `template_items` VALUES ('5645', 'object/tangible/ship/crafted/repair/shared_repair_kit_weapon_capacitor.iff');
INSERT INTO `template_items` VALUES ('5646', 'object/tangible/lair/base/shared_poi_all_lair_rocks_large_fog_mustard.iff');
INSERT INTO `template_items` VALUES ('5647', 'object/tangible/lair/rock_mite/shared_lair_rock_mite.iff');
INSERT INTO `template_items` VALUES ('5648', 'object/tangible/space/spacestations/shared_spacestation_imperial_battlefield_entry.iff');
INSERT INTO `template_items` VALUES ('5649', 'object/tangible/deed/pet_deed/shared_gualama_deed.iff');
INSERT INTO `template_items` VALUES ('5650', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_rebel_rescue_03.iff');
INSERT INTO `template_items` VALUES ('5651', 'object/tangible/wearables/bracelet/shared_bracelet_s06_l.iff');
INSERT INTO `template_items` VALUES ('5652', 'object/tangible/ship/crafted/shields/shared_base_shields_subcomponent_mk3.iff');
INSERT INTO `template_items` VALUES ('5653', 'object/tangible/food/crafted/shared_dish_havla.iff');
INSERT INTO `template_items` VALUES ('5654', 'object/tangible/ship/components/engine/shared_eng_mandal_firestorm.iff');
INSERT INTO `template_items` VALUES ('5655', 'object/tangible/deed/event_perk/shared_corsec_3x10_honorguard_deed.iff');
INSERT INTO `template_items` VALUES ('5656', 'object/tangible/shipcontrol/shared_pilot_chair.iff');
INSERT INTO `template_items` VALUES ('5657', 'object/tangible/medicine/crafted/shared_medpack_enhance_disease_a.iff');
INSERT INTO `template_items` VALUES ('5658', 'object/tangible/wearables/cyborg/shared_hand_r_s01.iff');
INSERT INTO `template_items` VALUES ('5659', 'object/tangible/dungeon/death_watch_bunker/shared_crazed_miner_medicine.iff');
INSERT INTO `template_items` VALUES ('5660', 'object/tangible/wearables/base/shared_base_held_l.iff');
INSERT INTO `template_items` VALUES ('5661', 'object/tangible/component/munition/shared_enhanced_destructive_pulse_channeling.iff');
INSERT INTO `template_items` VALUES ('5662', 'object/tangible/ship/crafted/repair/shared_repair_kit_hull.iff');
INSERT INTO `template_items` VALUES ('5663', 'object/tangible/ship/components/armor/shared_arm_kessel_rebel_slayn_flexsteel_multilayer.iff');
INSERT INTO `template_items` VALUES ('5664', 'object/tangible/wearables/base/shared_wearables_base.iff');
INSERT INTO `template_items` VALUES ('5665', 'object/tangible/loot/quest/shared_quest_item_sarlacc_bile_jar.iff');
INSERT INTO `template_items` VALUES ('5666', 'object/tangible/wearables/shoes/shared_shoes_s01.iff');
INSERT INTO `template_items` VALUES ('5667', 'object/tangible/loot/plant_grow/shared_plant_stage_1.iff');
INSERT INTO `template_items` VALUES ('5668', 'object/tangible/lair/zucca_boar/shared_lair_zucca_boar_dune.iff');
INSERT INTO `template_items` VALUES ('5669', 'object/tangible/ship/attachment/weapon/shared_awing_weapon_s01.iff');
INSERT INTO `template_items` VALUES ('5670', 'object/tangible/food/crafted/shared_drink_spiced_tea.iff');
INSERT INTO `template_items` VALUES ('5671', 'object/tangible/space/story_loot/shared_loot_all_freighter_2.iff');
INSERT INTO `template_items` VALUES ('5672', 'object/tangible/wearables/armor/bone/shared_armor_bone_s01_chest_plate.iff');
INSERT INTO `template_items` VALUES ('5673', 'object/tangible/component/item/shared_electronics_memory_module.iff');
INSERT INTO `template_items` VALUES ('5674', 'object/tangible/lair/base/shared_poi_all_lair_brambles_small_evil_fire_green.iff');
INSERT INTO `template_items` VALUES ('5675', 'object/tangible/component/armor/shared_armor_segment_ris_acklay.iff');
INSERT INTO `template_items` VALUES ('5676', 'object/tangible/ship/components/armor/shared_arm_sorosuub_improved_light_plastisteel.iff');
INSERT INTO `template_items` VALUES ('5677', 'object/tangible/lair/base/shared_poi_all_lair_bones_fog_mustard.iff');
INSERT INTO `template_items` VALUES ('5678', 'object/tangible/loot/loot_schematic/shared_death_watch_mandalorian_leggings_schematic.iff');
INSERT INTO `template_items` VALUES ('5679', 'object/tangible/deed/pet_deed/shared_langlatch_deed.iff');
INSERT INTO `template_items` VALUES ('5680', 'object/tangible/deed/city_deed/shared_bank_naboo_deed.iff');
INSERT INTO `template_items` VALUES ('5681', 'object/tangible/mission/quest_item/shared_jyr_koble_q1_needed.iff');
INSERT INTO `template_items` VALUES ('5682', 'object/tangible/component/droid/shared_droid_motive_system.iff');
INSERT INTO `template_items` VALUES ('5683', 'object/tangible/component/armor/shared_armor_segment_chitin.iff');
INSERT INTO `template_items` VALUES ('5684', 'object/tangible/lair/base/shared_lair_base_den_earthen_dark.iff');
INSERT INTO `template_items` VALUES ('5685', 'object/tangible/mission/quest_item/shared_junelle_astor_q3_needed.iff');
INSERT INTO `template_items` VALUES ('5686', 'object/tangible/component/item/quest_item/shared_transductive_shunt.iff');
INSERT INTO `template_items` VALUES ('5687', 'object/tangible/ship/attachment/weapon/shared_yt1300_turret_s01.iff');
INSERT INTO `template_items` VALUES ('5688', 'object/tangible/medicine/crafted/shared_medpack_grenade_damage_b.iff');
INSERT INTO `template_items` VALUES ('5689', 'object/tangible/hair/bothan/shared_hair_bothan_male_s13.iff');
INSERT INTO `template_items` VALUES ('5690', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_3.iff');
INSERT INTO `template_items` VALUES ('5691', 'object/tangible/dice/shared_eqp_twenty_sided_dice_set.iff');
INSERT INTO `template_items` VALUES ('5692', 'object/tangible/ship/components/weapon/shared_wpn_star_destroyer_turret_dome.iff');
INSERT INTO `template_items` VALUES ('5693', 'object/tangible/loot/dungeon/death_watch_bunker/shared_emulsion_protection.iff');
INSERT INTO `template_items` VALUES ('5694', 'object/tangible/hair/twilek/base/shared_hair_twilek_base.iff');
INSERT INTO `template_items` VALUES ('5695', 'object/tangible/painting/shared_painting_vader_victory.iff');
INSERT INTO `template_items` VALUES ('5696', 'object/tangible/ship/components/shield_generator/shared_shd_incom_rayshield_x9.iff');
INSERT INTO `template_items` VALUES ('5697', 'object/tangible/hair/human/shared_hair_human_female_s11.iff');
INSERT INTO `template_items` VALUES ('5698', 'object/tangible/ship/components/reactor/shared_rct_reward_slayn_elite.iff');
INSERT INTO `template_items` VALUES ('5699', 'object/tangible/medicine/shared_medpack_cure_disease.iff');
INSERT INTO `template_items` VALUES ('5700', 'object/tangible/wearables/ithorian/shared_ith_necklace_s04.iff');
INSERT INTO `template_items` VALUES ('5701', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_sm_s04.iff');
INSERT INTO `template_items` VALUES ('5702', 'object/tangible/wearables/bandolier/shared_ith_mercenary_bandolier.iff');
INSERT INTO `template_items` VALUES ('5703', 'object/tangible/ship/components/engine/shared_eng_mandal_enhanced_heavy.iff');
INSERT INTO `template_items` VALUES ('5704', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_neutral_destroy_02.iff');
INSERT INTO `template_items` VALUES ('5705', 'object/tangible/ship/crafted/reactor/shared_fusion_reactor_mk4.iff');
INSERT INTO `template_items` VALUES ('5706', 'object/tangible/lair/plumed_rasp/shared_lair_plumed_rasp.iff');
INSERT INTO `template_items` VALUES ('5707', 'object/tangible/furniture/all/shared_frn_all_lamp_candlestick_free_s02_lit.iff');
INSERT INTO `template_items` VALUES ('5708', 'object/tangible/painting/shared_painting_bestine_golden_flower_02.iff');
INSERT INTO `template_items` VALUES ('5709', 'object/tangible/wearables/bracelet/shared_bracelet_s03_r.iff');
INSERT INTO `template_items` VALUES ('5710', 'object/tangible/ship/attachment/weapon/shared_hutt_medium_weapon1_s01.iff');
INSERT INTO `template_items` VALUES ('5711', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s08.iff');
INSERT INTO `template_items` VALUES ('5712', 'object/tangible/ship/components/armor/shared_arm_mandal_supreme_composite.iff');
INSERT INTO `template_items` VALUES ('5713', 'object/tangible/medicine/crafted/shared_medpack_stunned_a.iff');
INSERT INTO `template_items` VALUES ('5714', 'object/tangible/component/weapon/lightsaber/shared_lightsaber_module_forcecost.iff');
INSERT INTO `template_items` VALUES ('5715', 'object/tangible/ship/attachment/engine/shared_yt1300_engine_s01.iff');
INSERT INTO `template_items` VALUES ('5716', 'object/tangible/loot/misc/shared_recording_rod_s01.iff');
INSERT INTO `template_items` VALUES ('5717', 'object/tangible/lair/base/shared_objective_banner_rebel.iff');
INSERT INTO `template_items` VALUES ('5718', 'object/tangible/wearables/shirt/shared_shirt_s15.iff');
INSERT INTO `template_items` VALUES ('5719', 'object/tangible/ship/attachment/weapon/shared_z95_weapon_s02.iff');
INSERT INTO `template_items` VALUES ('5720', 'object/tangible/component/structure/shared_turbo_fluidic_drilling_pumping_unit.iff');
INSERT INTO `template_items` VALUES ('5721', 'object/tangible/mission/quest_item/shared_kritus_morven_q2_needed.iff');
INSERT INTO `template_items` VALUES ('5722', 'object/tangible/wearables/base/shared_base_sleeve_l.iff');
INSERT INTO `template_items` VALUES ('5723', 'object/tangible/ship/crafted/chassis/shared_texture_kit_s03.iff');
INSERT INTO `template_items` VALUES ('5724', 'object/tangible/deed/event_perk/shared_rebel_recruiter_deed.iff');
INSERT INTO `template_items` VALUES ('5725', 'object/tangible/space/story_loot/shared_loot_all_freighter.iff');
INSERT INTO `template_items` VALUES ('5726', 'object/tangible/component/clothing/shared_jewelry_setting.iff');
INSERT INTO `template_items` VALUES ('5727', 'object/tangible/furniture/modern/shared_bestine_quest_rug.iff');
INSERT INTO `template_items` VALUES ('5728', 'object/tangible/wearables/belt/shared_belt_s09.iff');
INSERT INTO `template_items` VALUES ('5729', 'object/tangible/ship/components/weapon/shared_wpn_rss_imperial_cannon.iff');
INSERT INTO `template_items` VALUES ('5730', 'object/tangible/wearables/necklace/shared_necklace_blue_gadget.iff');
INSERT INTO `template_items` VALUES ('5731', 'object/tangible/furniture/all/shared_frn_all_light_lamp_tatt_s01.iff');
INSERT INTO `template_items` VALUES ('5732', 'object/tangible/furniture/all/shared_frn_all_chair_upholstered_s1.iff');
INSERT INTO `template_items` VALUES ('5733', 'object/tangible/sign/player/shared_house_address_naboo.iff');
INSERT INTO `template_items` VALUES ('5734', 'object/tangible/ui/shared_ui_planet_naboo.iff');
INSERT INTO `template_items` VALUES ('5735', 'object/tangible/mission/quest_item/shared_serena_fenner_q3_needed.iff');
INSERT INTO `template_items` VALUES ('5736', 'object/tangible/deed/player_house_deed/shared_generic_house_large_style_02_deed.iff');
INSERT INTO `template_items` VALUES ('5737', 'object/tangible/painting/shared_painting_human_f.iff');
INSERT INTO `template_items` VALUES ('5738', 'object/tangible/wearables/boots/shared_boots_s21.iff');
INSERT INTO `template_items` VALUES ('5739', 'object/tangible/ship/components/engine/shared_engine_damorian_rx7.iff');
INSERT INTO `template_items` VALUES ('5740', 'object/tangible/wearables/base/shared_base_vest.iff');
INSERT INTO `template_items` VALUES ('5741', 'object/tangible/loot/quest/shared_sean_questp_ctestimony.iff');
INSERT INTO `template_items` VALUES ('5742', 'object/tangible/medicine/crafted/shared_medpack_disease_area_strength_a.iff');
INSERT INTO `template_items` VALUES ('5743', 'object/tangible/loot/bestine/shared_bestine_painting_schematic_raventhorn.iff');
INSERT INTO `template_items` VALUES ('5744', 'object/tangible/component/armor/shared_armor_segment_composite.iff');
INSERT INTO `template_items` VALUES ('5745', 'object/tangible/ship/components/weapon/shared_wpn_armek_sw8.iff');
INSERT INTO `template_items` VALUES ('5746', 'object/tangible/deed/event_perk/shared_imperial_3x10_honorguard_deed.iff');
INSERT INTO `template_items` VALUES ('5747', 'object/tangible/medicine/crafted/shared_medpack_poison_mind_b.iff');
INSERT INTO `template_items` VALUES ('5748', 'object/tangible/ship/components/shield_generator/shared_shd_sfs_limited_advanced.iff');
INSERT INTO `template_items` VALUES ('5749', 'object/tangible/ship/attachment/wing/shared_blacksun_medium_wing_s01.iff');
INSERT INTO `template_items` VALUES ('5750', 'object/tangible/lair/falumpaset/shared_lair_falumpaset_forest.iff');
INSERT INTO `template_items` VALUES ('5751', 'object/tangible/loot/misc/shared_casserole_binna_jode.iff');
INSERT INTO `template_items` VALUES ('5752', 'object/tangible/loot/quest/shared_sean_questn_tdisk.iff');
INSERT INTO `template_items` VALUES ('5753', 'object/tangible/component/item/quest_item/shared_variance_throttle.iff');
INSERT INTO `template_items` VALUES ('5754', 'object/tangible/painting/shared_painting_trandoshan_wanted.iff');
INSERT INTO `template_items` VALUES ('5755', 'object/tangible/scout/trap/shared_trap_sonic_pulse.iff');
INSERT INTO `template_items` VALUES ('5756', 'object/tangible/terminal/shared_terminal_bestine_quests_02.iff');
INSERT INTO `template_items` VALUES ('5757', 'object/tangible/component/bio/shared_bio_component_food_medium_quantity.iff');
INSERT INTO `template_items` VALUES ('5758', 'object/tangible/lair/durni/shared_lair_durni_mountain.iff');
INSERT INTO `template_items` VALUES ('5759', 'object/tangible/furniture/all/shared_frn_all_lamp_tatt_s01.iff');
INSERT INTO `template_items` VALUES ('5760', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_lg_s07.iff');
INSERT INTO `template_items` VALUES ('5761', 'object/tangible/ship/components/engine/shared_eng_kse_a2x.iff');
INSERT INTO `template_items` VALUES ('5762', 'object/tangible/lair/base/shared_lair_base_nest_tree_lg_dark.iff');
INSERT INTO `template_items` VALUES ('5763', 'object/tangible/furniture/space/shared_frn_couch_falcon_corner_s01.iff');
INSERT INTO `template_items` VALUES ('5764', 'object/tangible/ship/components/booster/shared_bst_subpro_accelatron_mk1.iff');
INSERT INTO `template_items` VALUES ('5765', 'object/tangible/hair/human/shared_hair_human_male_s19.iff');
INSERT INTO `template_items` VALUES ('5766', 'object/tangible/loot/collectible/collectible_parts/shared_orange_rug_thread_01.iff');
INSERT INTO `template_items` VALUES ('5767', 'object/tangible/loot/collectible/collectible_parts/shared_orange_rug_adhesive.iff');
INSERT INTO `template_items` VALUES ('5768', 'object/tangible/loot/simple_kit/shared_viewscreen_reader.iff');
INSERT INTO `template_items` VALUES ('5769', 'object/tangible/lair/salt_mynock/shared_lair_salt_mynock_mountain.iff');
INSERT INTO `template_items` VALUES ('5770', 'object/tangible/mission/quest_item/shared_brantlee_spondoon_q2_needed.iff');
INSERT INTO `template_items` VALUES ('5771', 'object/tangible/wearables/ithorian/shared_ith_backpack_s05.iff');
INSERT INTO `template_items` VALUES ('5772', 'object/tangible/component/armor/shared_heavy_armor_layer.iff');
INSERT INTO `template_items` VALUES ('5773', 'object/tangible/lair/squall/shared_lair_squall_grassland.iff');
INSERT INTO `template_items` VALUES ('5774', 'object/tangible/component/clothing/shared_cargo_pocket.iff');
INSERT INTO `template_items` VALUES ('5775', 'object/tangible/ship/components/weapon/shared_wpn_taim_elite.iff');
INSERT INTO `template_items` VALUES ('5776', 'object/tangible/ship/components/weapon/shared_wpn_sfs_imperial_blaster_3.iff');
INSERT INTO `template_items` VALUES ('5777', 'object/tangible/ship/crafted/weapon/shared_base_weapon_subcomponent_mk5.iff');
INSERT INTO `template_items` VALUES ('5778', 'object/tangible/veteran_reward/shared_emote_group_1.iff');
INSERT INTO `template_items` VALUES ('5779', 'object/tangible/wearables/underwear/shared_underwear_bottom.iff');
INSERT INTO `template_items` VALUES ('5780', 'object/tangible/medicine/crafted/shared_medpack_disease_area_constitution_c.iff');
INSERT INTO `template_items` VALUES ('5781', 'object/tangible/ship/components/droid_interface/shared_ddi_rss_imperial_2.iff');
INSERT INTO `template_items` VALUES ('5782', 'object/tangible/deed/pet_deed/shared_bageraset_deed.iff');
INSERT INTO `template_items` VALUES ('5783', 'object/tangible/wearables/apron/shared_apron_porcellus.iff');
INSERT INTO `template_items` VALUES ('5784', 'object/tangible/terminal/shared_terminal_bazaar.iff');
INSERT INTO `template_items` VALUES ('5785', 'object/tangible/ship/components/shield_generator/shared_shd_kessel_rebel_incom_rayshield_overdriver.iff');
INSERT INTO `template_items` VALUES ('5786', 'object/tangible/inventory/shared_creature_inventory_5.iff');
INSERT INTO `template_items` VALUES ('5787', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_male_s13.iff');
INSERT INTO `template_items` VALUES ('5788', 'object/tangible/lair/blurrg/shared_lair_blurrg.iff');
INSERT INTO `template_items` VALUES ('5789', 'object/tangible/wearables/boots/shared_boots_s15.iff');
INSERT INTO `template_items` VALUES ('5790', 'object/tangible/medicine/crafted/shared_medpack_wound_quickness_d.iff');
INSERT INTO `template_items` VALUES ('5791', 'object/tangible/component/dna/shared_dna_template_brackaset.iff');
INSERT INTO `template_items` VALUES ('5792', 'object/tangible/ship/components/weapon_capacitor/shared_cap_incom_bjn825.iff');
INSERT INTO `template_items` VALUES ('5793', 'object/tangible/hair/twilek/shared_hair_twilek_female_s01.iff');
INSERT INTO `template_items` VALUES ('5794', 'object/tangible/hair/trandoshan/base/shared_hair_trandoshan_base.iff');
INSERT INTO `template_items` VALUES ('5795', 'object/tangible/ui/shared_ui_planet_rebel.iff');
INSERT INTO `template_items` VALUES ('5796', 'object/tangible/furniture/decorative/shared_slave_brazier.iff');
INSERT INTO `template_items` VALUES ('5797', 'object/tangible/component/structure/shared_weapon_mount_heavy_stabilization_unit.iff');
INSERT INTO `template_items` VALUES ('5798', 'object/tangible/region/shared_battlefield_marker.iff');
INSERT INTO `template_items` VALUES ('5799', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_female_s02.iff');
INSERT INTO `template_items` VALUES ('5800', 'object/tangible/hair/human/shared_hair_human_female_s25.iff');
INSERT INTO `template_items` VALUES ('5801', 'object/tangible/encoded_disk/shared_message_assembled_base.iff');
INSERT INTO `template_items` VALUES ('5802', 'object/tangible/ship/components/booster/shared_bst_mission_reward_neutral_mandal_q_series.iff');
INSERT INTO `template_items` VALUES ('5803', 'object/tangible/lair/base/shared_poi_all_lair_leaf_medium.iff');
INSERT INTO `template_items` VALUES ('5804', 'object/tangible/wearables/bodysuit/shared_bodysuit_s08.iff');
INSERT INTO `template_items` VALUES ('5805', 'object/tangible/ship/components/armor/shared_arm_gallofree_mk2.iff');
INSERT INTO `template_items` VALUES ('5806', 'object/tangible/mission/quest_item/shared_didina_lippinoss_q1_needed.iff');
INSERT INTO `template_items` VALUES ('5807', 'object/tangible/deed/event_perk/shared_rebel_stage_theater_deed.iff');
INSERT INTO `template_items` VALUES ('5808', 'object/tangible/transport/shared_strut_a.iff');
INSERT INTO `template_items` VALUES ('5809', 'object/tangible/sign/municipal/shared_municipal_sign_hanging_cloning.iff');
INSERT INTO `template_items` VALUES ('5810', 'object/tangible/ship/attachment/engine/shared_tieoppressor_engine_s01.iff');
INSERT INTO `template_items` VALUES ('5811', 'object/tangible/painting/shared_painting_freedom.iff');
INSERT INTO `template_items` VALUES ('5812', 'object/tangible/ship/crafted/chassis/shared_chassis_z95_cockpit.iff');
INSERT INTO `template_items` VALUES ('5813', 'object/tangible/mission/quest_item/shared_shalera_q6_needed.iff');
INSERT INTO `template_items` VALUES ('5814', 'object/tangible/ship/components/weapon_capacitor/shared_cap_moncal_elite.iff');
INSERT INTO `template_items` VALUES ('5815', 'object/tangible/ship/components/shield_generator/shared_shd_dual_deflector_s1.iff');
INSERT INTO `template_items` VALUES ('5816', 'object/tangible/painting/shared_painting_bestine_krayt_skeleton.iff');
INSERT INTO `template_items` VALUES ('5817', 'object/tangible/wearables/base/shared_base_pants.iff');
INSERT INTO `template_items` VALUES ('5818', 'object/tangible/lair/scurrier/shared_lair_scurrier.iff');
INSERT INTO `template_items` VALUES ('5819', 'object/tangible/ship/crafted/shields/shared_shield_intensifier_mk2.iff');
INSERT INTO `template_items` VALUES ('5820', 'object/tangible/medicine/crafted/shared_medpack_disease_area_stamina_b.iff');
INSERT INTO `template_items` VALUES ('5821', 'object/tangible/food/crafted/shared_dish_gruuvan_shaal.iff');
INSERT INTO `template_items` VALUES ('5822', 'object/tangible/ship/components/booster/shared_bst_reward_incom_elite.iff');
INSERT INTO `template_items` VALUES ('5823', 'object/tangible/ship/components/reactor/shared_rct_slayn_vortex_mk3.iff');
INSERT INTO `template_items` VALUES ('5824', 'object/tangible/loot/bestine/shared_bestine_painting_schematic_golden_flower_02.iff');
INSERT INTO `template_items` VALUES ('5825', 'object/tangible/ship/attachment/booster/shared_ykl37r_booster_s02.iff');
INSERT INTO `template_items` VALUES ('5826', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon_neg_s01_0.iff');
INSERT INTO `template_items` VALUES ('5827', 'object/tangible/ship/components/shield_generator/shared_shd_koensayr_deflector_advanced.iff');
INSERT INTO `template_items` VALUES ('5828', 'object/tangible/ship/components/weapon/shared_wpn_sds_imperial_blaster_1.iff');
INSERT INTO `template_items` VALUES ('5829', 'object/tangible/ship/components/engine/shared_eng_cygnus_hd8.iff');
INSERT INTO `template_items` VALUES ('5830', 'object/tangible/medicine/crafted/shared_medpack_disease_area_quickness_c.iff');
INSERT INTO `template_items` VALUES ('5831', 'object/tangible/space/story_loot/shared_loot_dantooine_slave.iff');
INSERT INTO `template_items` VALUES ('5832', 'object/tangible/component/chemistry/shared_dispersal_mechanism_quest.iff');
INSERT INTO `template_items` VALUES ('5833', 'object/tangible/mission/quest_item/shared_serena_fenner_q1_needed.iff');
INSERT INTO `template_items` VALUES ('5834', 'object/tangible/deed/city_deed/shared_cityhall_naboo_deed.iff');
INSERT INTO `template_items` VALUES ('5835', 'object/tangible/loot/quest/shared_huff_quest_corsec_badge.iff');
INSERT INTO `template_items` VALUES ('5836', 'object/tangible/terminal/shared_terminal_newbie_instrument.iff');
INSERT INTO `template_items` VALUES ('5837', 'object/tangible/powerup/weapon/shared_mine_explosive.iff');
INSERT INTO `template_items` VALUES ('5838', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_m_s01_lg.iff');
INSERT INTO `template_items` VALUES ('5839', 'object/tangible/fishing/fish/base/shared_fish_base.iff');
INSERT INTO `template_items` VALUES ('5840', 'object/tangible/travel/travel_ticket/base/shared_base_travel_ticket.iff');
INSERT INTO `template_items` VALUES ('5841', 'object/tangible/ship/components/engine/shared_eng_qualdex_kyromaster.iff');
INSERT INTO `template_items` VALUES ('5842', 'object/tangible/lair/gackle_bat/shared_lair_gackle_bat.iff');
INSERT INTO `template_items` VALUES ('5843', 'object/tangible/ship/components/droid_interface/shared_ddi_qualdex_droid_interface_mk2.iff');
INSERT INTO `template_items` VALUES ('5844', 'object/tangible/camp/shared_camp_light_s3.iff');
INSERT INTO `template_items` VALUES ('5845', 'object/tangible/space/special_loot/shared_firespray_schematic_part8.iff');
INSERT INTO `template_items` VALUES ('5846', 'object/tangible/component/weapon/shared_vibro_unit_nightsister.iff');
INSERT INTO `template_items` VALUES ('5847', 'object/tangible/component/droid/shared_combat_module.iff');
INSERT INTO `template_items` VALUES ('5848', 'object/tangible/component/vehicle/shared_civilian_e.iff');
INSERT INTO `template_items` VALUES ('5849', 'object/tangible/furniture/plain/shared_plain_cabinet_s01.iff');
INSERT INTO `template_items` VALUES ('5850', 'object/tangible/lair/base/shared_poi_all_lair_rock_shelter_small.iff');
INSERT INTO `template_items` VALUES ('5851', 'object/tangible/furniture/modern/shared_dining_table_modern_style_01.iff');
INSERT INTO `template_items` VALUES ('5852', 'object/tangible/lair/lantern_bird/shared_lair_lantern_bird.iff');
INSERT INTO `template_items` VALUES ('5853', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s11.iff');
INSERT INTO `template_items` VALUES ('5854', 'object/tangible/ship/components/weapon_capacitor/shared_cap_prototype_capacitor.iff');
INSERT INTO `template_items` VALUES ('5855', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_neg_s01_0.iff');
INSERT INTO `template_items` VALUES ('5856', 'object/tangible/hair/rodian/shared_hair_rodian_female_s17.iff');
INSERT INTO `template_items` VALUES ('5857', 'object/tangible/ship/components/droid_interface/shared_ddi_kessel_rebel_incom_supreme_interface.iff');
INSERT INTO `template_items` VALUES ('5858', 'object/tangible/hair/sullustan/shared_sul_hair_s04_f.iff');
INSERT INTO `template_items` VALUES ('5859', 'object/tangible/lair/base/shared_lair_base_rancor_light.iff');
INSERT INTO `template_items` VALUES ('5860', 'object/tangible/component/bio/shared_bio_component_food_heavy_quantity.iff');
INSERT INTO `template_items` VALUES ('5861', 'object/tangible/loot/misc/shared_ornamental_sconce.iff');
INSERT INTO `template_items` VALUES ('5862', 'object/tangible/mission/quest_item/shared_village_defenses.iff');
INSERT INTO `template_items` VALUES ('5863', 'object/tangible/ship/components/engine/shared_engine_surronian_a2.iff');
INSERT INTO `template_items` VALUES ('5864', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_m_s05.iff');
INSERT INTO `template_items` VALUES ('5865', 'object/tangible/ship/crafted/armor/shared_armor_reinforcement_panel_mk4.iff');
INSERT INTO `template_items` VALUES ('5866', 'object/tangible/ship/components/engine/shared_eng_moncal_improved_heavy.iff');
INSERT INTO `template_items` VALUES ('5867', 'object/tangible/lair/flite_rasp/shared_lair_flite_rasp.iff');
INSERT INTO `template_items` VALUES ('5868', 'object/tangible/lair/structure/interior/shared_lair_cave_large_interior_with_nest_perlek.iff');
INSERT INTO `template_items` VALUES ('5869', 'object/tangible/deed/city_deed/shared_shuttleport_corellia_deed.iff');
INSERT INTO `template_items` VALUES ('5870', 'object/tangible/wearables/shoes/shared_shoes_s08.iff');
INSERT INTO `template_items` VALUES ('5871', 'object/tangible/wearables/armor/composite/shared_armor_composite_boots.iff');
INSERT INTO `template_items` VALUES ('5872', 'object/tangible/component/munition/shared_acklay_venom.iff');
INSERT INTO `template_items` VALUES ('5873', 'object/tangible/component/clothing/shared_trim.iff');
INSERT INTO `template_items` VALUES ('5874', 'object/tangible/mission/quest_item/shared_junelle_astor_q1_needed.iff');
INSERT INTO `template_items` VALUES ('5875', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_neutral_rescue_01.iff');
INSERT INTO `template_items` VALUES ('5876', 'object/tangible/ship/components/engine/shared_eng_haor_chall_old_engine.iff');
INSERT INTO `template_items` VALUES ('5877', 'object/tangible/component/weapon/lightsaber/shared_lightsaber_module_damage.iff');
INSERT INTO `template_items` VALUES ('5878', 'object/tangible/mission/quest_item/shared_jyr_koble_q3_needed.iff');
INSERT INTO `template_items` VALUES ('5879', 'object/tangible/lair/brackaset/shared_lair_brackaset_desert.iff');
INSERT INTO `template_items` VALUES ('5880', 'object/tangible/lair/falumpaset/shared_lair_falumpaset_grassland.iff');
INSERT INTO `template_items` VALUES ('5881', 'object/tangible/ship/components/droid_interface/shared_ddi_novaldex_droid_interface_mk3.iff');
INSERT INTO `template_items` VALUES ('5882', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s01.iff');
INSERT INTO `template_items` VALUES ('5883', 'object/tangible/ship/crafted/reactor/shared_reactor_limiter_mk2.iff');
INSERT INTO `template_items` VALUES ('5884', 'object/tangible/ship/attachment/weapon/shared_corellian_corvette_turret_side_r.iff');
INSERT INTO `template_items` VALUES ('5885', 'object/tangible/deed/pet_deed/shared_shear_mite_deed.iff');
INSERT INTO `template_items` VALUES ('5886', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_pos_s06_0.iff');
INSERT INTO `template_items` VALUES ('5887', 'object/tangible/wearables/armor/ubese/shared_armor_ubese_jacket.iff');
INSERT INTO `template_items` VALUES ('5888', 'object/tangible/wearables/earring/shared_earring_s03.iff');
INSERT INTO `template_items` VALUES ('5889', 'object/tangible/wearables/robe/shared_robe_jedi_dark_s04.iff');
INSERT INTO `template_items` VALUES ('5890', 'object/tangible/ship/attachment/booster/shared_awing_booster_s01.iff');
INSERT INTO `template_items` VALUES ('5891', 'object/tangible/ship/components/weapon/shared_wpn_moncal_light_blaster.iff');
INSERT INTO `template_items` VALUES ('5892', 'object/tangible/hair/human/shared_hair_human_female_s18.iff');
INSERT INTO `template_items` VALUES ('5893', 'object/tangible/lair/ronto/shared_lair_ronto_dune.iff');
INSERT INTO `template_items` VALUES ('5894', 'object/tangible/ship/components/reactor/shared_rct_slayn_hypertron_2k.iff');
INSERT INTO `template_items` VALUES ('5895', 'object/tangible/deed/city_deed/shared_garden_tatooine_lrg_04_deed.iff');
INSERT INTO `template_items` VALUES ('5896', 'object/tangible/component/droid/shared_socket_bank.iff');
INSERT INTO `template_items` VALUES ('5897', 'object/tangible/wearables/ithorian/shared_ith_belt_s04.iff');
INSERT INTO `template_items` VALUES ('5898', 'object/tangible/loot/misc/shared_mt_soup.iff');
INSERT INTO `template_items` VALUES ('5899', 'object/tangible/hair/rodian/shared_hair_rodian_male_s07.iff');
INSERT INTO `template_items` VALUES ('5900', 'object/tangible/component/chemistry/shared_biologic_effect_controller.iff');
INSERT INTO `template_items` VALUES ('5901', 'object/tangible/loot/simple_kit/shared_datapad_connectors.iff');
INSERT INTO `template_items` VALUES ('5902', 'object/tangible/medicine/crafted/shared_medpack_cure_disease_area_b.iff');
INSERT INTO `template_items` VALUES ('5903', 'object/tangible/skill_buff/shared_skill_buff_pistol_speed.iff');
INSERT INTO `template_items` VALUES ('5904', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s03.iff');
INSERT INTO `template_items` VALUES ('5905', 'object/tangible/painting/shared_painting_twilek_m.iff');
INSERT INTO `template_items` VALUES ('5906', 'object/tangible/ship/components/engine/shared_eng_cygnus_hdx.iff');
INSERT INTO `template_items` VALUES ('5907', 'object/tangible/dungeon/death_watch_bunker/shared_gel_packet.iff');
INSERT INTO `template_items` VALUES ('5908', 'object/tangible/ship/components/weapon/shared_wpn_seinar_linked_cannon.iff');
INSERT INTO `template_items` VALUES ('5909', 'object/tangible/mission/shared_mission_informant_spawner_medium.iff');
INSERT INTO `template_items` VALUES ('5910', 'object/tangible/ship/components/weapon_capacitor/shared_cap_mandal_powermaster_mk5.iff');
INSERT INTO `template_items` VALUES ('5911', 'object/tangible/wearables/pants/shared_pants_s32.iff');
INSERT INTO `template_items` VALUES ('5912', 'object/tangible/mission/quest_item/shared_borvo_q6_needed.iff');
INSERT INTO `template_items` VALUES ('5913', 'object/tangible/wearables/armor/padded/shared_armor_padded_s01_bicep_l.iff');
INSERT INTO `template_items` VALUES ('5914', 'object/tangible/mission/quest_item/shared_kritus_morven_q1_needed.iff');
INSERT INTO `template_items` VALUES ('5915', 'object/tangible/component/weapon/shared_geonosian_solidifying_agent.iff');
INSERT INTO `template_items` VALUES ('5916', 'object/tangible/ship/components/reactor/shared_rct_kessel_imperial_kdy_powermaster.iff');
INSERT INTO `template_items` VALUES ('5917', 'object/tangible/ship/attachment/wing/shared_kse_firespray_struct_s01.iff');
INSERT INTO `template_items` VALUES ('5918', 'object/tangible/ship/components/droid_interface/shared_ddi_kessel_rebel_qualdex_integrated_array.iff');
INSERT INTO `template_items` VALUES ('5919', 'object/tangible/component/bio/shared_bio_component_clothing_casual_entertainer_2.iff');
INSERT INTO `template_items` VALUES ('5920', 'object/tangible/wearables/skirt/shared_skirt_s04.iff');
INSERT INTO `template_items` VALUES ('5921', 'object/tangible/painting/shared_bestine_history_quest_painting.iff');
INSERT INTO `template_items` VALUES ('5922', 'object/tangible/ship/crafted/armor/shared_heavy_durasteel_plating.iff');
INSERT INTO `template_items` VALUES ('5923', 'object/tangible/ship/crafted/engine/shared_engine_overdriver_mk2.iff');
INSERT INTO `template_items` VALUES ('5924', 'object/tangible/food/crafted/shared_dessert_para_roll.iff');
INSERT INTO `template_items` VALUES ('5925', 'object/tangible/hair/bothan/shared_hair_bothan_female_s05.iff');
INSERT INTO `template_items` VALUES ('5926', 'object/tangible/lair/hermit_spider/shared_lair_hermit_spider.iff');
INSERT INTO `template_items` VALUES ('5927', 'object/tangible/ship/crafted/chassis/shared_xwing_customization_kit.iff');
INSERT INTO `template_items` VALUES ('5928', 'object/tangible/loot/bestine/shared_bestine_painting_schematic_krayt_skeleton.iff');
INSERT INTO `template_items` VALUES ('5929', 'object/tangible/food/crafted/shared_dish_dustcrepe.iff');
INSERT INTO `template_items` VALUES ('5930', 'object/tangible/furniture/technical/shared_end_table_s01.iff');
INSERT INTO `template_items` VALUES ('5931', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon1_s01.iff');
INSERT INTO `template_items` VALUES ('5932', 'object/tangible/lair/base/shared_poi_all_lair_brambles_large_evil_fire_red.iff');
INSERT INTO `template_items` VALUES ('5933', 'object/tangible/ship/components/droid_interface/shared_ddi_sorosuub_rad_mk1.iff');
INSERT INTO `template_items` VALUES ('5934', 'object/tangible/ship/crafted/reverse_engineering/shared_shields_analysis_tool.iff');
INSERT INTO `template_items` VALUES ('5935', 'object/tangible/ship/attachment/weapon/shared_blacksun_medium_weapon1_s02.iff');
INSERT INTO `template_items` VALUES ('5936', 'object/tangible/food/crafted/shared_drink_gralinyn_juice.iff');
INSERT INTO `template_items` VALUES ('5937', 'object/tangible/furniture/all/shared_frn_all_light_lamp_free_s03.iff');
INSERT INTO `template_items` VALUES ('5938', 'object/tangible/loot/misc/shared_glass_heirloom_s01.iff');
INSERT INTO `template_items` VALUES ('5939', 'object/tangible/furniture/decorative/shared_tanning_hide_s02.iff');
INSERT INTO `template_items` VALUES ('5940', 'object/tangible/scout/camp/shared_camp_elite.iff');
INSERT INTO `template_items` VALUES ('5941', 'object/tangible/deed/faction_perk/turret/shared_tower_lg_deed.iff');
INSERT INTO `template_items` VALUES ('5942', 'object/tangible/ship/crafted/capacitor/shared_extended_life_battery_mk3.iff');
INSERT INTO `template_items` VALUES ('5943', 'object/tangible/lair/base/shared_poi_all_lair_insecthill_small_fog_green.iff');
INSERT INTO `template_items` VALUES ('5944', 'object/tangible/ship/components/shield_generator/shared_shd_unknown_holosteel_x2.iff');
INSERT INTO `template_items` VALUES ('5945', 'object/tangible/ship/components/droid_interface/shared_ddi_generic.iff');
INSERT INTO `template_items` VALUES ('5946', 'object/tangible/wearables/necklace/shared_necklace_ice_pendant.iff');
INSERT INTO `template_items` VALUES ('5947', 'object/tangible/ship/attachment/weapon/shared_lambda_turret.iff');
INSERT INTO `template_items` VALUES ('5948', 'object/tangible/medicine/crafted/shared_medpack_enhance_quickness_d.iff');
INSERT INTO `template_items` VALUES ('5949', 'object/tangible/loot/quest/shared_schematic_carbine_e11_quest.iff');
INSERT INTO `template_items` VALUES ('5950', 'object/tangible/hair/sullustan/shared_sul_hair_s09_f.iff');
INSERT INTO `template_items` VALUES ('5951', 'object/tangible/lair/eopie/shared_lair_eopie_wasteland.iff');
INSERT INTO `template_items` VALUES ('5952', 'object/tangible/test/shared_test_barrel_a.iff');
INSERT INTO `template_items` VALUES ('5953', 'object/tangible/ship/components/booster/shared_bst_incom_enhanced_mynock.iff');
INSERT INTO `template_items` VALUES ('5954', 'object/tangible/gem/shared_armor.iff');
INSERT INTO `template_items` VALUES ('5955', 'object/tangible/loot/quest/shared_sean_questp_mdisk.iff');
INSERT INTO `template_items` VALUES ('5956', 'object/tangible/component/droid/shared_advanced_droid_frame.iff');
INSERT INTO `template_items` VALUES ('5957', 'object/tangible/furniture/decorative/shared_bottle_pear.iff');
INSERT INTO `template_items` VALUES ('5958', 'object/tangible/wearables/shirt/shared_singing_mountain_clan_shirt_s02.iff');
INSERT INTO `template_items` VALUES ('5959', 'object/tangible/ship/components/droid_interface/shared_ddi_rendili_imperator_2.iff');
INSERT INTO `template_items` VALUES ('5960', 'object/tangible/veteran_reward/shared_frn_tech_console_sectional_c.iff');
INSERT INTO `template_items` VALUES ('5961', 'object/tangible/deed/vehicle_deed/shared_landspeeder_av21_deed.iff');
INSERT INTO `template_items` VALUES ('5962', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_sm_s02_lg.iff');
INSERT INTO `template_items` VALUES ('5963', 'object/tangible/wearables/robe/shared_robe_jedi_light_s04.iff');
INSERT INTO `template_items` VALUES ('5964', 'object/tangible/wearables/armor/padded/shared_armor_padded_s01_bracer_r.iff');
INSERT INTO `template_items` VALUES ('5965', 'object/tangible/food/crafted/shared_drink_kylessian_fruit_distillate.iff');
INSERT INTO `template_items` VALUES ('5966', 'object/tangible/hair/sullustan/shared_sul_hair_s06_m.iff');
INSERT INTO `template_items` VALUES ('5967', 'object/tangible/food/spice/shared_spice_neutron_pixey.iff');
INSERT INTO `template_items` VALUES ('5968', 'object/tangible/component/droid/shared_item_storage_module_4.iff');
INSERT INTO `template_items` VALUES ('5969', 'object/tangible/component/bio/shared_bio_component_food_heavy_nutrition.iff');
INSERT INTO `template_items` VALUES ('5970', 'object/tangible/space/story_loot/shared_loot_dantooine_imp2.iff');
INSERT INTO `template_items` VALUES ('5971', 'object/tangible/hair/human/shared_hair_human_male_s10.iff');
INSERT INTO `template_items` VALUES ('5972', 'object/tangible/wearables/ring/shared_ring_s03.iff');
INSERT INTO `template_items` VALUES ('5973', 'object/tangible/ship/components/reactor/shared_rct_seinar_level2.iff');
INSERT INTO `template_items` VALUES ('5974', 'object/tangible/deed/pet_deed/shared_deed_r5_advanced_basic.iff');
INSERT INTO `template_items` VALUES ('5975', 'object/tangible/mission/quest_item/shared_brantlee_spondoon_q1_needed.iff');
INSERT INTO `template_items` VALUES ('5976', 'object/tangible/medicine/crafted/shared_medpack_poison_area_action_c.iff');
INSERT INTO `template_items` VALUES ('5977', 'object/tangible/furniture/decorative/shared_stuffed_fish.iff');
INSERT INTO `template_items` VALUES ('5978', 'object/tangible/ship/crafted/droid_interface/shared_maintenance_reduction_kit_mk2.iff');
INSERT INTO `template_items` VALUES ('5979', 'object/tangible/jedi/shared_force_shrine_stone.iff');
INSERT INTO `template_items` VALUES ('5980', 'object/tangible/food/crafted/shared_drink_aludium_pu36.iff');
INSERT INTO `template_items` VALUES ('5981', 'object/tangible/powerup/weapon/shared_ranged_scope.iff');
INSERT INTO `template_items` VALUES ('5982', 'object/tangible/component/weapon/shared_corvette_rifle_barrel.iff');
INSERT INTO `template_items` VALUES ('5983', 'object/tangible/ship/components/armor/shared_arm_moncal_elite_weave.iff');
INSERT INTO `template_items` VALUES ('5984', 'object/tangible/veteran_reward/shared_frn_couch_falcon_corner_s01.iff');
INSERT INTO `template_items` VALUES ('5985', 'object/tangible/ship/attachment/weapon/shared_merchant_cruiser_medium_turret_base_s01.iff');
INSERT INTO `template_items` VALUES ('5986', 'object/tangible/ship/components/droid_interface/shared_ddi_incom_enhanced_droid_interface_mk4.iff');
INSERT INTO `template_items` VALUES ('5987', 'object/tangible/ship/components/reactor/shared_rct_freitek_performance_level1.iff');
INSERT INTO `template_items` VALUES ('5988', 'object/tangible/ship/interior_components/shared_missile_launcher_interior.iff');
INSERT INTO `template_items` VALUES ('5989', 'object/tangible/space/content_infrastructure/shared_wave_spawner.iff');
INSERT INTO `template_items` VALUES ('5990', 'object/tangible/wearables/ithorian/shared_ith_skirt_s03.iff');
INSERT INTO `template_items` VALUES ('5991', 'object/tangible/ship/components/weapon_capacitor/shared_cap_koensayr_elite_mk5.iff');
INSERT INTO `template_items` VALUES ('5992', 'object/tangible/furniture/modern/shared_couch_modern_style_02.iff');
INSERT INTO `template_items` VALUES ('5993', 'object/tangible/hopper/shared_manufacture_installation_output_hopper_1.iff');
INSERT INTO `template_items` VALUES ('5994', 'object/tangible/mission/quest_item/shared_noren_krast_q1_needed.iff');
INSERT INTO `template_items` VALUES ('5995', 'object/tangible/lair/kaitok/shared_lair_kaitok_wasteland.iff');
INSERT INTO `template_items` VALUES ('5996', 'object/tangible/lair/huurton/shared_lair_huurton_grassland.iff');
INSERT INTO `template_items` VALUES ('5997', 'object/tangible/crafting/station/shared_armor_repair.iff');
INSERT INTO `template_items` VALUES ('5998', 'object/tangible/food/crafted/shared_drink_corellian_ale.iff');
INSERT INTO `template_items` VALUES ('5999', 'object/tangible/ship/crafted/weapon/shared_armor_effectiveness_intensifier_mk4.iff');
INSERT INTO `template_items` VALUES ('6000', 'object/tangible/deed/turret_deed/shared_turret_block_medium_deed.iff');
INSERT INTO `template_items` VALUES ('6001', 'object/tangible/sign/municipal/shared_municipal_sign_hanging_capitol.iff');
INSERT INTO `template_items` VALUES ('6002', 'object/tangible/ship/components/armor/shared_arm_koensayr_thick_advanced_durasteel.iff');
INSERT INTO `template_items` VALUES ('6003', 'object/tangible/lair/colo_claw_fish/shared_lair_colo_claw_fish_underwater.iff');
INSERT INTO `template_items` VALUES ('6004', 'object/tangible/hair/human/shared_hair_human_male_s41.iff');
INSERT INTO `template_items` VALUES ('6005', 'object/tangible/lair/base/shared_lair_base_imperial_guard.iff');
INSERT INTO `template_items` VALUES ('6006', 'object/tangible/wearables/armor/kashyyykian_hunting/shared_armor_kashyyykian_hunting_chest_plate.iff');
INSERT INTO `template_items` VALUES ('6007', 'object/tangible/ship/components/shield_generator/shared_shd_seinar_reflector_elite.iff');
INSERT INTO `template_items` VALUES ('6008', 'object/tangible/component/bio/shared_bio_component_food_heavy_flavor.iff');
INSERT INTO `template_items` VALUES ('6009', 'object/tangible/hair/human/shared_hair_human_male_s39.iff');
INSERT INTO `template_items` VALUES ('6010', 'object/tangible/hair/rodian/shared_hair_rodian_female_s03.iff');
INSERT INTO `template_items` VALUES ('6011', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s05.iff');
INSERT INTO `template_items` VALUES ('6012', 'object/tangible/lair/base/shared_poi_all_lair_rock_shelter_small_fog_green.iff');
INSERT INTO `template_items` VALUES ('6013', 'object/tangible/ship/crafted/shields/shared_shield_energy_saver_kit_mk3.iff');
INSERT INTO `template_items` VALUES ('6014', 'object/tangible/furniture/tatooine/shared_frn_tato_fruit_stand_small_style_01.iff');
INSERT INTO `template_items` VALUES ('6015', 'object/tangible/loot/dungeon/geonosian_mad_bunker/shared_engineering_key.iff');
INSERT INTO `template_items` VALUES ('6016', 'object/tangible/terminal/shared_terminal_cloning.iff');
INSERT INTO `template_items` VALUES ('6017', 'object/tangible/loot/dungeon/death_watch_bunker/shared_mining_drill_reward.iff');
INSERT INTO `template_items` VALUES ('6018', 'object/tangible/lair/langlatch/shared_lair_langlatch.iff');
INSERT INTO `template_items` VALUES ('6019', 'object/tangible/ship/components/engine/shared_eng_rendili_elite.iff');
INSERT INTO `template_items` VALUES ('6020', 'object/tangible/mission/shared_mission_datadisk.iff');
INSERT INTO `template_items` VALUES ('6021', 'object/tangible/wearables/wookiee/shared_wke_gloves_s02.iff');
INSERT INTO `template_items` VALUES ('6022', 'object/tangible/mission/quest_item/shared_vurlene_q3_needed.iff');
INSERT INTO `template_items` VALUES ('6023', 'object/tangible/component/item/shared_electronics_gp_module.iff');
INSERT INTO `template_items` VALUES ('6024', 'object/tangible/lair/spined_puc/shared_lair_spined_puc.iff');
INSERT INTO `template_items` VALUES ('6025', 'object/tangible/wearables/base/shared_base_skirt.iff');
INSERT INTO `template_items` VALUES ('6026', 'object/tangible/mission/quest_item/shared_mal_sikander_q1_needed.iff');
INSERT INTO `template_items` VALUES ('6027', 'object/tangible/ship/attachment/engine/shared_hutt_medium_engine_s02.iff');
INSERT INTO `template_items` VALUES ('6028', 'object/tangible/ship/components/armor/shared_arm_sorosuub_advanced_plastisteel.iff');
INSERT INTO `template_items` VALUES ('6029', 'object/tangible/furniture/tatooine/shared_frn_tato_meat_rack.iff');
INSERT INTO `template_items` VALUES ('6030', 'object/tangible/loot/simple_kit/shared_powder_pack.iff');
INSERT INTO `template_items` VALUES ('6031', 'object/tangible/lair/ray/shared_lair_ray_underwater.iff');
INSERT INTO `template_items` VALUES ('6032', 'object/tangible/ship/attachment/wing/shared_lambda_wing_r.iff');
INSERT INTO `template_items` VALUES ('6033', 'object/tangible/droid/shared_navicomputer_3.iff');
INSERT INTO `template_items` VALUES ('6034', 'object/tangible/lair/stintaril/shared_lair_stintaril_jungle.iff');
INSERT INTO `template_items` VALUES ('6035', 'object/tangible/lair/base/shared_poi_all_lair_thicket_small_evil_fire_small.iff');
INSERT INTO `template_items` VALUES ('6036', 'object/tangible/painting/shared_painting_bestine_house.iff');
INSERT INTO `template_items` VALUES ('6037', 'object/tangible/item/plant/shared_force_melon.iff');
INSERT INTO `template_items` VALUES ('6038', 'object/tangible/transport/shared_transport.iff');
INSERT INTO `template_items` VALUES ('6039', 'object/tangible/deed/harvester_deed/shared_harvester_creature_deed.iff');
INSERT INTO `template_items` VALUES ('6040', 'object/tangible/lair/base/shared_poi_all_lair_bones_evil_fire_small.iff');
INSERT INTO `template_items` VALUES ('6041', 'object/tangible/wearables/goggles/shared_goggles_s02.iff');
INSERT INTO `template_items` VALUES ('6042', 'object/tangible/hair/human/shared_hair_human_female_s31.iff');
INSERT INTO `template_items` VALUES ('6043', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon2_s04.iff');
INSERT INTO `template_items` VALUES ('6044', 'object/tangible/component/droid/shared_medic_module_base.iff');
INSERT INTO `template_items` VALUES ('6045', 'object/tangible/ship/crafted/booster/shared_fast_charge_fuel_cell_mk2.iff');
INSERT INTO `template_items` VALUES ('6046', 'object/tangible/ship/components/weapon/shared_wpn_sfs_improved_imperial_blaster_2.iff');
INSERT INTO `template_items` VALUES ('6047', 'object/tangible/sign/municipal/shared_municipal_sign_hanging_hospital.iff');
INSERT INTO `template_items` VALUES ('6048', 'object/tangible/component/bio/shared_base_bio_component_clothing_formal.iff');
INSERT INTO `template_items` VALUES ('6049', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_neg_s05_0.iff');
INSERT INTO `template_items` VALUES ('6050', 'object/tangible/wearables/armor/bounty_hunter/shared_armor_bounty_hunter_bicep_l.iff');
INSERT INTO `template_items` VALUES ('6051', 'object/tangible/loot/loot_schematic/shared_chemical_recycler_schematic.iff');
INSERT INTO `template_items` VALUES ('6052', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_pos_s03_1.iff');
INSERT INTO `template_items` VALUES ('6053', 'object/tangible/ship/components/shield_generator/shared_shd_sfs_imperial_special_forces.iff');
INSERT INTO `template_items` VALUES ('6054', 'object/tangible/wearables/hat/shared_singing_mountain_clan_hat_s01.iff');
INSERT INTO `template_items` VALUES ('6055', 'object/tangible/component/droid/shared_medic_module_1.iff');
INSERT INTO `template_items` VALUES ('6056', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_male_s07.iff');
INSERT INTO `template_items` VALUES ('6057', 'object/tangible/component/dna/shared_dna_template_pugoriss.iff');
INSERT INTO `template_items` VALUES ('6058', 'object/tangible/mission/quest_item/shared_talon_karrde_q1_needed.iff');
INSERT INTO `template_items` VALUES ('6059', 'object/tangible/loot/collectible/collectible_parts/shared_orange_rug_dye.iff');
INSERT INTO `template_items` VALUES ('6060', 'object/tangible/ship/components/engine/shared_eng_incom_improved_fusialthrust_2.iff');
INSERT INTO `template_items` VALUES ('6061', 'object/tangible/ship/components/weapon_capacitor/shared_cap_qualdex_conservator_qx1.iff');
INSERT INTO `template_items` VALUES ('6062', 'object/tangible/location/shared_location_96.iff');
INSERT INTO `template_items` VALUES ('6063', 'object/tangible/ship/attachment/booster/shared_hutt_medium_booster_s01.iff');
INSERT INTO `template_items` VALUES ('6064', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s03_bicep_l.iff');
INSERT INTO `template_items` VALUES ('6065', 'object/tangible/lair/base/shared_poi_all_lair_dead_log_large_fog_red.iff');
INSERT INTO `template_items` VALUES ('6066', 'object/tangible/lair/malkloc/shared_lair_malkloc_desert.iff');
INSERT INTO `template_items` VALUES ('6067', 'object/tangible/base/shared_tangible_base.iff');
INSERT INTO `template_items` VALUES ('6068', 'object/tangible/wearables/necklace/shared_necklace_reebo_charm.iff');
INSERT INTO `template_items` VALUES ('6069', 'object/tangible/lair/vynock/shared_lair_vynock.iff');
INSERT INTO `template_items` VALUES ('6070', 'object/tangible/ship/components/weapon/shared_wpn_koensayr_ion_accelerator_2.iff');
INSERT INTO `template_items` VALUES ('6071', 'object/tangible/ship/components/engine/shared_eng_kessel_rebel_novaldex_grb1138.iff');
INSERT INTO `template_items` VALUES ('6072', 'object/tangible/hair/human/shared_hair_human_male_s04.iff');
INSERT INTO `template_items` VALUES ('6073', 'object/tangible/furniture/cheap/shared_chest_s01.iff');
INSERT INTO `template_items` VALUES ('6074', 'object/tangible/component/droid/shared_harvest_module_base.iff');
INSERT INTO `template_items` VALUES ('6075', 'object/tangible/ship/crafted/capacitor/shared_heavy_battery_mk3.iff');
INSERT INTO `template_items` VALUES ('6076', 'object/tangible/lair/rebel/shared_lair_rebel_npc.iff');
INSERT INTO `template_items` VALUES ('6077', 'object/tangible/ship/components/droid_interface/shared_ddi_z95_basic.iff');
INSERT INTO `template_items` VALUES ('6078', 'object/tangible/lair/stintaril/shared_lair_stintaril_swamp.iff');
INSERT INTO `template_items` VALUES ('6079', 'object/tangible/medicine/crafted/shared_medpack_disease_area_action_a.iff');
INSERT INTO `template_items` VALUES ('6080', 'object/tangible/furniture/modern/shared_rug_oval_sml_s01.iff');
INSERT INTO `template_items` VALUES ('6081', 'object/tangible/component/droid/shared_droid_interplanetary_survey.iff');
INSERT INTO `template_items` VALUES ('6082', 'object/tangible/painting/shared_painting_rodian_f_ad_01.iff');
INSERT INTO `template_items` VALUES ('6083', 'object/tangible/ship/components/armor/shared_arm_rendili_tough_plate.iff');
INSERT INTO `template_items` VALUES ('6084', 'object/tangible/ship/attachment/weapon/shared_decimator_turret_base.iff');
INSERT INTO `template_items` VALUES ('6085', 'object/tangible/ship/components/engine/shared_eng_incom_fusialthrust_2.iff');
INSERT INTO `template_items` VALUES ('6086', 'object/tangible/wearables/jacket/shared_jacket_s14.iff');
INSERT INTO `template_items` VALUES ('6087', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon_pos_s02_0.iff');
INSERT INTO `template_items` VALUES ('6088', 'object/tangible/trophy/shared_shisa_decorative_s01.iff');
INSERT INTO `template_items` VALUES ('6089', 'object/tangible/ship/crafted/capacitor/shared_advanced_capacitor_battery.iff');
INSERT INTO `template_items` VALUES ('6090', 'object/tangible/ship/components/weapon/shared_wpn_sfs_elite.iff');
INSERT INTO `template_items` VALUES ('6091', 'object/tangible/painting/shared_painting_leia_wanted.iff');
INSERT INTO `template_items` VALUES ('6092', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff');
INSERT INTO `template_items` VALUES ('6093', 'object/tangible/component/weapon/shared_weapon_carbine_laser_stock.iff');
INSERT INTO `template_items` VALUES ('6094', 'object/tangible/wearables/ithorian/shared_ith_underwear_top.iff');
INSERT INTO `template_items` VALUES ('6095', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_neg_s04_1.iff');
INSERT INTO `template_items` VALUES ('6096', 'object/tangible/furniture/decorative/shared_hanging_planter.iff');
INSERT INTO `template_items` VALUES ('6097', 'object/tangible/component/shared_blaster_pistol_barrel.iff');
INSERT INTO `template_items` VALUES ('6098', 'object/tangible/medicine/crafted/shared_medpack_damage_c.iff');
INSERT INTO `template_items` VALUES ('6099', 'object/tangible/space/story_loot/shared_loot_dantooine_rebel.iff');
INSERT INTO `template_items` VALUES ('6100', 'object/tangible/ship/components/reactor/shared_rct_subpro_special_dyna2.iff');
INSERT INTO `template_items` VALUES ('6101', 'object/tangible/ship/components/booster/shared_bst_subpro_modified_accelatron_mk4.iff');
INSERT INTO `template_items` VALUES ('6102', 'object/tangible/furniture/all/shared_frn_all_desk_radar_topology_screen.iff');
INSERT INTO `template_items` VALUES ('6103', 'object/tangible/ship/components/booster/shared_bst_generic.iff');
INSERT INTO `template_items` VALUES ('6104', 'object/tangible/ship/crafted/droid_interface/shared_advanced_ship_circuitry.iff');
INSERT INTO `template_items` VALUES ('6105', 'object/tangible/mission/quest_item/shared_surlin_rolei_q1_recruitment_disk.iff');
INSERT INTO `template_items` VALUES ('6106', 'object/tangible/deed/pet_deed/shared_bordok_deed.iff');
INSERT INTO `template_items` VALUES ('6107', 'object/tangible/loot/misc/shared_sports_award_s01.iff');
INSERT INTO `template_items` VALUES ('6108', 'object/tangible/ship/components/weapon_capacitor/shared_cap_subpro_experimental.iff');
INSERT INTO `template_items` VALUES ('6109', 'object/tangible/medicine/crafted/shared_medpack_blinded_b.iff');
INSERT INTO `template_items` VALUES ('6110', 'object/tangible/lair/guf_drolg/shared_lair_guf_drolg_jungle.iff');
INSERT INTO `template_items` VALUES ('6111', 'object/tangible/deed/generator_deed/shared_generator_fusion_deed.iff');
INSERT INTO `template_items` VALUES ('6112', 'object/tangible/wearables/base/shared_base_shirt_poofysleeve_lower.iff');
INSERT INTO `template_items` VALUES ('6113', 'object/tangible/ship/crafted/engine/shared_eng_mk2.iff');
INSERT INTO `template_items` VALUES ('6114', 'object/tangible/lair/corellian_slice_hound/shared_lair_corellian_slice_hound_grassland.iff');
INSERT INTO `template_items` VALUES ('6115', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon3_s02.iff');
INSERT INTO `template_items` VALUES ('6116', 'object/tangible/lair/base/shared_poi_all_lair_leaf_large_fog_mustard.iff');
INSERT INTO `template_items` VALUES ('6117', 'object/tangible/loot/loot_schematic/shared_death_watch_mandalorian_bracer_r_schematic.iff');
INSERT INTO `template_items` VALUES ('6118', 'object/tangible/loot/misc/shared_loot_skull_krayt1.iff');
INSERT INTO `template_items` VALUES ('6119', 'object/tangible/ship/crafted/repair/shared_repair_kit_droid_interface.iff');
INSERT INTO `template_items` VALUES ('6120', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_pos_s02_0.iff');
INSERT INTO `template_items` VALUES ('6121', 'object/tangible/component/armor/shared_heavy_armor_layer_cold.iff');
INSERT INTO `template_items` VALUES ('6122', 'object/tangible/medicine/pet/shared_droid_damage_kit_d.iff');
INSERT INTO `template_items` VALUES ('6123', 'object/tangible/component/droid/shared_performer_effects_d.iff');
INSERT INTO `template_items` VALUES ('6124', 'object/tangible/wearables/base/shared_base_robe_longsleeve.iff');
INSERT INTO `template_items` VALUES ('6125', 'object/tangible/medicine/pet/shared_droid_wound_kit_b.iff');
INSERT INTO `template_items` VALUES ('6126', 'object/tangible/hair/bothan/shared_hair_bothan_female_s11.iff');
INSERT INTO `template_items` VALUES ('6127', 'object/tangible/ship/components/armor/shared_armor_baktoid_spider_shell_g2.iff');
INSERT INTO `template_items` VALUES ('6128', 'object/tangible/ship/components/engine/shared_eng_z95_basic.iff');
INSERT INTO `template_items` VALUES ('6129', 'object/tangible/ship/attachment/weapon/shared_kse_firespray_weapon1_s03.iff');
INSERT INTO `template_items` VALUES ('6130', 'object/tangible/wearables/shirt/shared_shirt_s08.iff');
INSERT INTO `template_items` VALUES ('6131', 'object/tangible/space/spacestations/shared_spacestation_rebel_battlefield_control.iff');
INSERT INTO `template_items` VALUES ('6132', 'object/tangible/mission/quest_item/shared_green_laser_q1_needed.iff');
INSERT INTO `template_items` VALUES ('6133', 'object/tangible/ship/crafted/shields/shared_shield_overcharger_mk3.iff');
INSERT INTO `template_items` VALUES ('6134', 'object/tangible/mission/quest_item/shared_vurlene_q2_needed.iff');
INSERT INTO `template_items` VALUES ('6135', 'object/tangible/component/vehicle/shared_adv_hvy_blaster_power_handler.iff');
INSERT INTO `template_items` VALUES ('6136', 'object/tangible/ship/components/weapon_capacitor/shared_cap_moncal_enhanced_advanced.iff');
INSERT INTO `template_items` VALUES ('6137', 'object/tangible/bug_jar/shared_craftable_bug_habitat.iff');
INSERT INTO `template_items` VALUES ('6138', 'object/tangible/ship/components/weapon_capacitor/shared_cap_sorosuub_dynamo_mk2.iff');
INSERT INTO `template_items` VALUES ('6139', 'object/tangible/mission/quest_item/shared_surlin_rolei_q6_spy_report.iff');
INSERT INTO `template_items` VALUES ('6140', 'object/tangible/loot/collectible/collectible_parts/shared_fs_tracking_device_case_01.iff');
INSERT INTO `template_items` VALUES ('6141', 'object/tangible/ship/components/engine/shared_eng_sds_limited_imperial_1.iff');
INSERT INTO `template_items` VALUES ('6142', 'object/tangible/ship/components/booster/shared_bst_mandal_jbj_mk1.iff');
INSERT INTO `template_items` VALUES ('6143', 'object/tangible/loot/loot_schematic/shared_geonosian_acklay_bone_armor_schematic.iff');
INSERT INTO `template_items` VALUES ('6144', 'object/tangible/wearables/skirt/shared_skirt_s10.iff');
INSERT INTO `template_items` VALUES ('6145', 'object/tangible/loot/loot_schematic/shared_creature_recycler_schematic.iff');
INSERT INTO `template_items` VALUES ('6146', 'object/tangible/wearables/belt/shared_belt_s14.iff');
INSERT INTO `template_items` VALUES ('6147', 'object/tangible/component/armor/shared_armor_layer.iff');
INSERT INTO `template_items` VALUES ('6148', 'object/tangible/deed/event_perk/shared_party_stage_theater_deed.iff');
INSERT INTO `template_items` VALUES ('6149', 'object/tangible/ship/attachment/weapon/shared_hutt_medium_weapon2_s05.iff');
INSERT INTO `template_items` VALUES ('6150', 'object/tangible/deed/generator_deed/shared_generator_wind_deed.iff');
INSERT INTO `template_items` VALUES ('6151', 'object/tangible/wearables/pants/shared_pants_s26.iff');
INSERT INTO `template_items` VALUES ('6152', 'object/tangible/furniture/imperial/shared_warren_computer_terminal.iff');
INSERT INTO `template_items` VALUES ('6153', 'object/tangible/hair/sullustan/shared_sul_hair_s02_m.iff');
INSERT INTO `template_items` VALUES ('6154', 'object/tangible/component/armor/shared_armor_layer_restraint.iff');
INSERT INTO `template_items` VALUES ('6155', 'object/tangible/terminal/shared_test.iff');
INSERT INTO `template_items` VALUES ('6156', 'object/tangible/terminal/shared_terminal_geo_bunker.iff');
INSERT INTO `template_items` VALUES ('6157', 'object/tangible/lair/kwi/shared_lair_kwi_forest.iff');
INSERT INTO `template_items` VALUES ('6158', 'object/tangible/component/weapon/shared_scope_weapon_sm_s04.iff');
INSERT INTO `template_items` VALUES ('6159', 'object/tangible/terminal/shared_terminal_nym_cave.iff');
INSERT INTO `template_items` VALUES ('6160', 'object/tangible/ship/interior_components/shared_hyperdrive_interior.iff');
INSERT INTO `template_items` VALUES ('6161', 'object/tangible/deed/pet_deed/shared_narglatch_deed.iff');
INSERT INTO `template_items` VALUES ('6162', 'object/tangible/hair/rodian/shared_hair_rodian_male_s13.iff');
INSERT INTO `template_items` VALUES ('6163', 'object/tangible/loot/quest/shared_victor_questn_hlist.iff');
INSERT INTO `template_items` VALUES ('6164', 'object/tangible/medicine/crafted/shared_medpack_enhance_health_c.iff');
INSERT INTO `template_items` VALUES ('6165', 'object/tangible/ship/crafted/reverse_engineering/shared_capacitor_analysis_tool.iff');
INSERT INTO `template_items` VALUES ('6166', 'object/tangible/wearables/base/shared_base_pauldron_l.iff');
INSERT INTO `template_items` VALUES ('6167', 'object/tangible/ship/components/booster/shared_bst_moncal_deluxe_standard.iff');
INSERT INTO `template_items` VALUES ('6168', 'object/tangible/mission/quest_item/shared_sayama_edosun_q1_needed.iff');
INSERT INTO `template_items` VALUES ('6169', 'object/tangible/medicine/crafted/shared_medpack_enhance_poison_c.iff');
INSERT INTO `template_items` VALUES ('6170', 'object/tangible/wearables/armor/stormtrooper/shared_armor_stormtrooper_bracer_r.iff');
INSERT INTO `template_items` VALUES ('6171', 'object/tangible/ship/components/weapon/shared_wpn_incom_tt13.iff');
INSERT INTO `template_items` VALUES ('6172', 'object/tangible/loot/misc/shared_picture_handheld_s02.iff');
INSERT INTO `template_items` VALUES ('6173', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s15.iff');
INSERT INTO `template_items` VALUES ('6174', 'object/tangible/sign/player/shared_shop_sign_s01.iff');
INSERT INTO `template_items` VALUES ('6175', 'object/tangible/lair/base/shared_poi_all_lair_garbage_large_evil_fire_small.iff');
INSERT INTO `template_items` VALUES ('6176', 'object/tangible/deed/city_deed/shared_shuttleport_tatooine_deed.iff');
INSERT INTO `template_items` VALUES ('6177', 'object/tangible/medicine/crafted/shared_medpack_disease_focus_b.iff');
INSERT INTO `template_items` VALUES ('6178', 'object/tangible/scout/trap/shared_trap_enraging_spur.iff');
INSERT INTO `template_items` VALUES ('6179', 'object/tangible/wearables/ithorian/shared_ith_shirt_s03.iff');
INSERT INTO `template_items` VALUES ('6180', 'object/tangible/loot/tool/shared_datapad_broken.iff');
INSERT INTO `template_items` VALUES ('6181', 'object/tangible/ship/crafted/shields/shared_shield_limiter_mk5.iff');
INSERT INTO `template_items` VALUES ('6182', 'object/tangible/wearables/hat/shared_nightsister_hat_s01.iff');
INSERT INTO `template_items` VALUES ('6183', 'object/tangible/component/shared_scope_weapon.iff');
INSERT INTO `template_items` VALUES ('6184', 'object/tangible/mission/quest_item/shared_sayama_edosun_q3_needed.iff');
INSERT INTO `template_items` VALUES ('6185', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon2l_s01.iff');
INSERT INTO `template_items` VALUES ('6186', 'object/tangible/firework/shared_firework_five.iff');
INSERT INTO `template_items` VALUES ('6187', 'object/tangible/ship/components/weapon_capacitor/shared_cap_koensayr_deluxe_mk4.iff');
INSERT INTO `template_items` VALUES ('6188', 'object/tangible/ship/components/booster/shared_bst_incom_elite_sls_1.iff');
INSERT INTO `template_items` VALUES ('6189', 'object/tangible/ship/components/reactor/shared_rct_rendili_type7.iff');
INSERT INTO `template_items` VALUES ('6190', 'object/tangible/mission/quest_item/shared_noren_krast_q2_needed.iff');
INSERT INTO `template_items` VALUES ('6191', 'object/tangible/food/crafted/shared_dish_karkan_ribenes.iff');
INSERT INTO `template_items` VALUES ('6192', 'object/tangible/medicine/crafted/shared_medpack_wound_stamina_e.iff');
INSERT INTO `template_items` VALUES ('6193', 'object/tangible/camp/shared_camp_spit_s1.iff');
INSERT INTO `template_items` VALUES ('6194', 'object/tangible/slicing/shared_slicing_laser_knife.iff');
INSERT INTO `template_items` VALUES ('6195', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_spacebomb_missile_mk1.iff');
INSERT INTO `template_items` VALUES ('6196', 'object/tangible/ship/components/weapon/shared_wpn_hk_scorcher_3.iff');
INSERT INTO `template_items` VALUES ('6197', 'object/tangible/lair/corellian_sand_panther/shared_lair_corellian_sand_panther_grassland.iff');
INSERT INTO `template_items` VALUES ('6198', 'object/tangible/ship/crafted/chassis/shared_base_deed.iff');
INSERT INTO `template_items` VALUES ('6199', 'object/tangible/medicine/crafted/shared_medpack_intimidated_a.iff');
INSERT INTO `template_items` VALUES ('6200', 'object/tangible/ship/components/weapon/shared_wpn_koensayr_deluxe_ion_accelerator.iff');
INSERT INTO `template_items` VALUES ('6201', 'object/tangible/ship/components/engine/shared_xwing_engine_s02_test.iff');
INSERT INTO `template_items` VALUES ('6202', 'object/tangible/furniture/decorative/shared_bubble_tank.iff');
INSERT INTO `template_items` VALUES ('6203', 'object/tangible/wearables/dress/shared_dress_s23.iff');
INSERT INTO `template_items` VALUES ('6204', 'object/tangible/deed/pet_deed/shared_dalyrake_deed.iff');
INSERT INTO `template_items` VALUES ('6205', 'object/tangible/mission/quest_item/shared_megan_drlar_q2_needed.iff');
INSERT INTO `template_items` VALUES ('6206', 'object/tangible/location/shared_location_64.iff');
INSERT INTO `template_items` VALUES ('6207', 'object/tangible/medicine/crafted/shared_medpack_wound_action_a.iff');
INSERT INTO `template_items` VALUES ('6208', 'object/tangible/ship/attachment/weapon/shared_blacksun_light_weapon_s05.iff');
INSERT INTO `template_items` VALUES ('6209', 'object/tangible/furniture/imperial/shared_warren_evidence_terminal_s04.iff');
INSERT INTO `template_items` VALUES ('6210', 'object/tangible/loot/simple_kit/shared_recovery_software.iff');
INSERT INTO `template_items` VALUES ('6211', 'object/tangible/ship/components/reactor/shared_rct_sorosuub_fusion_reactor_1.iff');
INSERT INTO `template_items` VALUES ('6212', 'object/tangible/ship/components/armor/shared_arm_kse_elite_durasteel.iff');
INSERT INTO `template_items` VALUES ('6213', 'object/tangible/loot/simple_kit/shared_picture_printer.iff');
INSERT INTO `template_items` VALUES ('6214', 'object/tangible/component/structure/shared_weapon_high_power_module.iff');
INSERT INTO `template_items` VALUES ('6215', 'object/tangible/scout/camokit/shared_camokit_lok.iff');
INSERT INTO `template_items` VALUES ('6216', 'object/tangible/lair/faa/shared_lair_faa.iff');
INSERT INTO `template_items` VALUES ('6217', 'object/tangible/deed/pet_deed/shared_ikopi_deed.iff');
INSERT INTO `template_items` VALUES ('6218', 'object/tangible/hair/human/shared_hair_human_male_s30.iff');
INSERT INTO `template_items` VALUES ('6219', 'object/tangible/loot/collectible/kits/shared_gong_kit.iff');
INSERT INTO `template_items` VALUES ('6220', 'object/tangible/lair/condor_dragon/shared_lair_condor_dragon_forest.iff');
INSERT INTO `template_items` VALUES ('6221', 'object/tangible/component/droid/shared_crafting_module_structure.iff');
INSERT INTO `template_items` VALUES ('6222', 'object/tangible/wearables/armor/ubese/shared_armor_ubese_helmet.iff');
INSERT INTO `template_items` VALUES ('6223', 'object/tangible/ship/components/booster/shared_bst_rss_special.iff');
INSERT INTO `template_items` VALUES ('6224', 'object/tangible/wearables/base/shared_base_robe_longsleeve_hooded.iff');
INSERT INTO `template_items` VALUES ('6225', 'object/tangible/hair/human/shared_hair_human_female_s40.iff');
INSERT INTO `template_items` VALUES ('6226', 'object/tangible/wearables/bodysuit/shared_bodysuit_s15.iff');
INSERT INTO `template_items` VALUES ('6227', 'object/tangible/terminal/shared_terminal_mission_artisan.iff');
INSERT INTO `template_items` VALUES ('6228', 'object/tangible/hair/human/shared_hair_human_female_s38.iff');
INSERT INTO `template_items` VALUES ('6229', 'object/tangible/furniture/modern/shared_bar_piece_curve_s2.iff');
INSERT INTO `template_items` VALUES ('6230', 'object/tangible/wearables/necklace/shared_necklace_s12.iff');
INSERT INTO `template_items` VALUES ('6231', 'object/tangible/ship/components/droid_interface/shared_ddi_seinar_interface_mk3.iff');
INSERT INTO `template_items` VALUES ('6232', 'object/tangible/ship/crafted/engine/shared_base_engine_subcomponent_mk3.iff');
INSERT INTO `template_items` VALUES ('6233', 'object/tangible/deed/event_perk/shared_npc_actor_deed.iff');
INSERT INTO `template_items` VALUES ('6234', 'object/tangible/deed/pet_deed/shared_deed_power_advanced_basic.iff');
INSERT INTO `template_items` VALUES ('6235', 'object/tangible/wearables/ithorian/shared_ith_pants_s17.iff');
INSERT INTO `template_items` VALUES ('6236', 'object/tangible/ship/components/weapon/shared_wpn_koensayr_ion_accelerator_advanced.iff');
INSERT INTO `template_items` VALUES ('6237', 'object/tangible/ship/crafted/reactor/shared_base_reactor_subcomponent_mk1.iff');
INSERT INTO `template_items` VALUES ('6238', 'object/tangible/ship/components/weapon/shared_wpn_sds_elite.iff');
INSERT INTO `template_items` VALUES ('6239', 'object/tangible/lair/chuba/shared_lair_chuba.iff');
INSERT INTO `template_items` VALUES ('6240', 'object/tangible/ship/components/shield_generator/shared_shd_armek_plasma_shell_elite_2.iff');
INSERT INTO `template_items` VALUES ('6241', 'object/tangible/lair/murra/shared_lair_murra_mountain.iff');
INSERT INTO `template_items` VALUES ('6242', 'object/tangible/deed/event_perk/shared_imperial_recruiter_deed.iff');
INSERT INTO `template_items` VALUES ('6243', 'object/tangible/medicine/crafted/shared_medpack_enhance_strength_c.iff');
INSERT INTO `template_items` VALUES ('6244', 'object/tangible/ship/crafted/chassis/shared_tie_light_duty_deed.iff');
INSERT INTO `template_items` VALUES ('6245', 'object/tangible/medicine/pet/shared_droid_stimpack_a.iff');
INSERT INTO `template_items` VALUES ('6246', 'object/tangible/crafting/station/shared_droid_repair.iff');
INSERT INTO `template_items` VALUES ('6247', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon3_s03.iff');
INSERT INTO `template_items` VALUES ('6248', 'object/tangible/wearables/belt/shared_belt_s20.iff');
INSERT INTO `template_items` VALUES ('6249', 'object/tangible/wearables/pants/shared_pants_s12.iff');
INSERT INTO `template_items` VALUES ('6250', 'object/tangible/ship/crafted/engine/shared_engine_limiter_mk5.iff');
INSERT INTO `template_items` VALUES ('6251', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_m_s04_lg.iff');
INSERT INTO `template_items` VALUES ('6252', 'object/tangible/wearables/bracelet/shared_bracelet_s02_l.iff');
INSERT INTO `template_items` VALUES ('6253', 'object/tangible/mission/quest_item/shared_aaph_koden_q1_needed.iff');
INSERT INTO `template_items` VALUES ('6254', 'object/tangible/wearables/vest/shared_vest_s02.iff');
INSERT INTO `template_items` VALUES ('6255', 'object/tangible/terminal/shared_terminal_mission_bounty.iff');
INSERT INTO `template_items` VALUES ('6256', 'object/tangible/loot/loot_schematic/shared_death_watch_mandalorian_bicep_l_schematic.iff');
INSERT INTO `template_items` VALUES ('6257', 'object/tangible/deed/faction_perk/hq/shared_hq_s02.iff');
INSERT INTO `template_items` VALUES ('6258', 'object/tangible/dungeon/death_watch_bunker/shared_filter_dispenser.iff');
INSERT INTO `template_items` VALUES ('6259', 'object/tangible/wearables/necklace/shared_bestine_quest_badge.iff');
INSERT INTO `template_items` VALUES ('6260', 'object/tangible/ship/components/booster/shared_bst_reward_kuat_elite.iff');
INSERT INTO `template_items` VALUES ('6261', 'object/tangible/deed/pet_deed/shared_deed_r4_advanced_basic.iff');
INSERT INTO `template_items` VALUES ('6262', 'object/tangible/wearables/ithorian/shared_ith_jacket_s05.iff');
INSERT INTO `template_items` VALUES ('6263', 'object/tangible/droid/shared_navicomputer_base.iff');
INSERT INTO `template_items` VALUES ('6264', 'object/tangible/veteran_reward/shared_frn_vet_darth_vader_toy.iff');
INSERT INTO `template_items` VALUES ('6265', 'object/tangible/lair/base/shared_poi_all_lair_thicket_large_evil_fire_red.iff');
INSERT INTO `template_items` VALUES ('6266', 'object/tangible/wearables/base/shared_base_gauntlets.iff');
INSERT INTO `template_items` VALUES ('6267', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon2_s05.iff');
INSERT INTO `template_items` VALUES ('6268', 'object/tangible/ship/crafted/chassis/shared_chassis_xwing_wing_l.iff');
INSERT INTO `template_items` VALUES ('6269', 'object/tangible/ship/components/reactor/shared_rct_kse_supreme.iff');
INSERT INTO `template_items` VALUES ('6270', 'object/tangible/wearables/gloves/shared_gloves_s10.iff');
INSERT INTO `template_items` VALUES ('6271', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_launcher_proton_mk3.iff');
INSERT INTO `template_items` VALUES ('6272', 'object/tangible/mission/quest_item/shared_talon_karrde_q3_needed.iff');
INSERT INTO `template_items` VALUES ('6273', 'object/tangible/lair/fanned_rawl/shared_lair_fanned_rawl.iff');
INSERT INTO `template_items` VALUES ('6274', 'object/tangible/ship/attachment/weapon/shared_blacksun_medium_weapon2_s06.iff');
INSERT INTO `template_items` VALUES ('6275', 'object/tangible/component/munition/shared_warhead_chemical.iff');
INSERT INTO `template_items` VALUES ('6276', 'object/tangible/wearables/ithorian/shared_ith_dress_s03.iff');
INSERT INTO `template_items` VALUES ('6277', 'object/tangible/deed/pet_deed/shared_vehicular_prototype.iff');
INSERT INTO `template_items` VALUES ('6278', 'object/tangible/ship/components/reactor/shared_rct_sds_special_forces_1.iff');
INSERT INTO `template_items` VALUES ('6279', 'object/tangible/wearables/base/shared_base_bandolier.iff');
INSERT INTO `template_items` VALUES ('6280', 'object/tangible/camp/shared_camp_tent_s3.iff');
INSERT INTO `template_items` VALUES ('6281', 'object/tangible/ship/attachment/engine/shared_tieinterceptor_engine_s01.iff');
INSERT INTO `template_items` VALUES ('6282', 'object/tangible/loot/loot_schematic/shared_agitator_motor_schematic.iff');
INSERT INTO `template_items` VALUES ('6283', 'object/tangible/ship/components/armor/shared_arm_koensayr_enhanced_heavy_durasteel.iff');
INSERT INTO `template_items` VALUES ('6284', 'object/tangible/ship/interior_components/shared_alarm_interior.iff');
INSERT INTO `template_items` VALUES ('6285', 'object/tangible/wearables/armor/ithorian_sentinel/shared_ith_armor_s03_boots.iff');
INSERT INTO `template_items` VALUES ('6286', 'object/tangible/lair/bolma/shared_lair_bolma.iff');
INSERT INTO `template_items` VALUES ('6287', 'object/tangible/deed/pet_deed/shared_thune_deed.iff');
INSERT INTO `template_items` VALUES ('6288', 'object/tangible/beta/shared_donham_terminal.iff');
INSERT INTO `template_items` VALUES ('6289', 'object/tangible/lair/whisper_bird/shared_lair_whisper_bird.iff');
INSERT INTO `template_items` VALUES ('6290', 'object/tangible/component/armor/shared_armor_layer_blast.iff');
INSERT INTO `template_items` VALUES ('6291', 'object/tangible/component/bio/shared_bio_component_clothing_casual_training_2.iff');
INSERT INTO `template_items` VALUES ('6292', 'object/tangible/ship/attachment/weapon/shared_hutt_light_weapon_s05.iff');
INSERT INTO `template_items` VALUES ('6293', 'object/tangible/component/bio/shared_bio_component_clothing_field_intimidate_2.iff');
INSERT INTO `template_items` VALUES ('6294', 'object/tangible/component/weapon/shared_blaster_power_handler_enhancement_krayt.iff');
INSERT INTO `template_items` VALUES ('6295', 'object/tangible/wearables/jacket/shared_jacket_ace_privateer.iff');
INSERT INTO `template_items` VALUES ('6296', 'object/tangible/ship/components/droid_interface/shared_ddi_qualdex_modified_droid_interface_mk3.iff');
INSERT INTO `template_items` VALUES ('6297', 'object/tangible/lair/structure/exterior/shared_lair_cave_medium_exterior_gurk.iff');
INSERT INTO `template_items` VALUES ('6298', 'object/tangible/ship/components/reactor/shared_rct_mandal_dxr4.iff');
INSERT INTO `template_items` VALUES ('6299', 'object/tangible/loot/misc/shared_slave_collar.iff');
INSERT INTO `template_items` VALUES ('6300', 'object/tangible/ship/attachment/weapon/shared_smuggler_warlord_ship_turret_s02.iff');
INSERT INTO `template_items` VALUES ('6301', 'object/tangible/ship/crafted/armor/shared_mass_reduction_kit_mk1.iff');
INSERT INTO `template_items` VALUES ('6302', 'object/tangible/food/base/shared_dish_base.iff');
INSERT INTO `template_items` VALUES ('6303', 'object/tangible/component/weapon/shared_melee_core_enhancement.iff');
INSERT INTO `template_items` VALUES ('6304', 'object/tangible/wearables/armor/ubese/shared_armor_ubese_bandolier.iff');
INSERT INTO `template_items` VALUES ('6305', 'object/tangible/ship/components/armor/shared_arm_mandal_heavy_composite.iff');
INSERT INTO `template_items` VALUES ('6306', 'object/tangible/ship/components/shield_generator/shared_shd_mandal_flexshield_ks7.iff');
INSERT INTO `template_items` VALUES ('6307', 'object/tangible/ship/interior_components/shared_escape_pod_hatch.iff');
INSERT INTO `template_items` VALUES ('6308', 'object/tangible/deed/vehicle_deed/shared_vehicular_prototype_deed.iff');
INSERT INTO `template_items` VALUES ('6309', 'object/tangible/lair/base/shared_poi_all_lair_brambles_large_fog_red.iff');
INSERT INTO `template_items` VALUES ('6310', 'object/tangible/ship/components/weapon_capacitor/shared_cap_mandal_special_powermaster_mk1.iff');
INSERT INTO `template_items` VALUES ('6311', 'object/tangible/food/spice/shared_spice_scramjet.iff');
INSERT INTO `template_items` VALUES ('6312', 'object/tangible/vendor/shared_vendor_terminal_fancy.iff');
INSERT INTO `template_items` VALUES ('6313', 'object/tangible/lair/whisper_bird/shared_lair_whisper_bird_jungle.iff');
INSERT INTO `template_items` VALUES ('6314', 'object/tangible/deed/player_house_deed/shared_corellia_house_small_deed.iff');
INSERT INTO `template_items` VALUES ('6315', 'object/tangible/mission/quest_item/shared_current_alternator.iff');
INSERT INTO `template_items` VALUES ('6316', 'object/tangible/lair/horned_krevol/shared_lair_horned_krevol.iff');
INSERT INTO `template_items` VALUES ('6317', 'object/tangible/furniture/all/shared_frn_all_technical_console_s02.iff');
INSERT INTO `template_items` VALUES ('6318', 'object/tangible/component/vehicle/shared_military_a.iff');
INSERT INTO `template_items` VALUES ('6319', 'object/tangible/lair/kupernug/shared_lair_kupernug_mountain.iff');
INSERT INTO `template_items` VALUES ('6320', 'object/tangible/mission/quest_item/shared_vurlene_q1_needed.iff');
INSERT INTO `template_items` VALUES ('6321', 'object/tangible/food/foraged/shared_edible_jar_funk.iff');
INSERT INTO `template_items` VALUES ('6322', 'object/tangible/ship/components/booster/shared_bst_kessel_rebel_mandal_lightning_m1.iff');
INSERT INTO `template_items` VALUES ('6323', 'object/tangible/ship/crafted/chassis/shared_decimator_deed.iff');
INSERT INTO `template_items` VALUES ('6324', 'object/tangible/deed/player_house_deed/shared_naboo_house_medium_style_02_deed.iff');
INSERT INTO `template_items` VALUES ('6325', 'object/tangible/ship/crafted/droid_interface/shared_droid_brain_upgrade_mk4.iff');
INSERT INTO `template_items` VALUES ('6326', 'object/tangible/loot/loot_schematic/shared_death_watch_bounty_hunter_bracer_l_schematic.iff');
INSERT INTO `template_items` VALUES ('6327', 'object/tangible/lair/base/shared_poi_all_lair_warren_large_fog_mustard.iff');
INSERT INTO `template_items` VALUES ('6328', 'object/tangible/furniture/all/shared_frn_all_decorative_sm_s1.iff');
INSERT INTO `template_items` VALUES ('6329', 'object/tangible/lair/swirl_prong/shared_lair_swirl_prong.iff');
INSERT INTO `template_items` VALUES ('6330', 'object/tangible/ship/components/shield_generator/shared_shd_cygnus_mk3.iff');
INSERT INTO `template_items` VALUES ('6331', 'object/tangible/deed/event_perk/shared_test_npc_deed.iff');
INSERT INTO `template_items` VALUES ('6332', 'object/tangible/lair/tybis/shared_lair_tybis_grassland.iff');
INSERT INTO `template_items` VALUES ('6333', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_sm_s07_lg.iff');
INSERT INTO `template_items` VALUES ('6334', 'object/tangible/component/food/secrets/shared_secret_base.iff');
INSERT INTO `template_items` VALUES ('6335', 'object/tangible/ship/customization/shared_xwing_thruster_neg_s02.iff');
INSERT INTO `template_items` VALUES ('6336', 'object/tangible/droid_battery/base/shared_base_battery.iff');
INSERT INTO `template_items` VALUES ('6337', 'object/tangible/ship/components/shield_generator/shared_shd_armek_plasma_shell_elite.iff');
INSERT INTO `template_items` VALUES ('6338', 'object/tangible/lair/base/shared_poi_all_lair_rock_shelter_large.iff');
INSERT INTO `template_items` VALUES ('6339', 'object/tangible/deed/harvester_deed/shared_harvester_flora_deed_heavy.iff');
INSERT INTO `template_items` VALUES ('6340', 'object/tangible/component/armor/shared_bone_fragment_woolamander_harrower.iff');
INSERT INTO `template_items` VALUES ('6341', 'object/tangible/dungeon/death_watch_bunker/shared_workbench.iff');
INSERT INTO `template_items` VALUES ('6342', 'object/tangible/wearables/base/shared_base_bicep_l.iff');
INSERT INTO `template_items` VALUES ('6343', 'object/tangible/medicine/crafted/shared_medpack_poison_health_a.iff');
INSERT INTO `template_items` VALUES ('6344', 'object/tangible/hair/bothan/shared_hair_bothan_female_s18.iff');
INSERT INTO `template_items` VALUES ('6345', 'object/tangible/deed/player_house_deed/shared_naboo_house_small_style_02_deed.iff');
INSERT INTO `template_items` VALUES ('6346', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s4.iff');
INSERT INTO `template_items` VALUES ('6347', 'object/tangible/lair/peko_peko/shared_lair_peko_peko_swamp.iff');
INSERT INTO `template_items` VALUES ('6348', 'object/tangible/component/vehicle/shared_command_center.iff');
INSERT INTO `template_items` VALUES ('6349', 'object/tangible/lair/corellian_butterfly/shared_lair_corellian_butterfly_mountain.iff');
INSERT INTO `template_items` VALUES ('6350', 'object/tangible/food/spice/shared_spice_grey_gabaki.iff');
INSERT INTO `template_items` VALUES ('6351', 'object/tangible/medicine/pet/shared_droid_vitapack_c.iff');
INSERT INTO `template_items` VALUES ('6352', 'object/tangible/wearables/bandolier/shared_bandolier_s03.iff');
INSERT INTO `template_items` VALUES ('6353', 'object/tangible/test/shared_test_jwatson.iff');
INSERT INTO `template_items` VALUES ('6354', 'object/tangible/component/vehicle/shared_fuel_b.iff');
INSERT INTO `template_items` VALUES ('6355', 'object/tangible/lair/base/shared_poi_all_lair_rocks_large_evil_fire_small.iff');
INSERT INTO `template_items` VALUES ('6356', 'object/tangible/lair/falumpaset/shared_lair_falumpaset.iff');
INSERT INTO `template_items` VALUES ('6357', 'object/tangible/ship/attachment/wing/shared_blacksun_heavy_wing_s01.iff');
INSERT INTO `template_items` VALUES ('6358', 'object/tangible/hair/human/shared_hair_human_female_s05.iff');
INSERT INTO `template_items` VALUES ('6359', 'object/tangible/lair/laa/shared_lair_laa_underwater.iff');
INSERT INTO `template_items` VALUES ('6360', 'object/tangible/wearables/ithorian/shared_ith_bandolier_s05.iff');
INSERT INTO `template_items` VALUES ('6361', 'object/tangible/ship/components/shield_generator/shared_shd_mandalor_flexshield_ks3.iff');
INSERT INTO `template_items` VALUES ('6362', 'object/tangible/mission/quest_item/shared_noren_krast_q3_needed.iff');
INSERT INTO `template_items` VALUES ('6363', 'object/tangible/loot/loot_schematic/shared_slave_brazier_schematic.iff');
INSERT INTO `template_items` VALUES ('6364', 'object/tangible/food/crafted/shared_dish_soypro.iff');
INSERT INTO `template_items` VALUES ('6365', 'object/tangible/wearables/ithorian/shared_ith_necklace_s10.iff');
INSERT INTO `template_items` VALUES ('6366', 'object/tangible/hair/bothan/shared_hair_bothan_male_s07.iff');
INSERT INTO `template_items` VALUES ('6367', 'object/tangible/ship/components/booster/shared_bst_corellian_elite_thrust_enhancer.iff');
INSERT INTO `template_items` VALUES ('6368', 'object/tangible/veteran_reward/one_year_anniversary/shared_painting_05.iff');
INSERT INTO `template_items` VALUES ('6369', 'object/tangible/ship/components/shield_generator/shared_shd_kse_mk3.iff');
INSERT INTO `template_items` VALUES ('6370', 'object/tangible/mission/quest_item/shared_sayama_edosun_q2_needed.iff');
INSERT INTO `template_items` VALUES ('6371', 'object/tangible/furniture/city/shared_streetlamp_med_green_01.iff');
INSERT INTO `template_items` VALUES ('6372', 'object/tangible/wearables/ithorian/shared_ith_belt_s19.iff');
INSERT INTO `template_items` VALUES ('6373', 'object/tangible/food/crafted/shared_dessert_air_cake.iff');
INSERT INTO `template_items` VALUES ('6374', 'object/tangible/ship/components/weapon/shared_wpn_incom_tt8.iff');
INSERT INTO `template_items` VALUES ('6375', 'object/tangible/loot/loot_schematic/shared_death_watch_bounty_hunter_helmet_schematic.iff');
INSERT INTO `template_items` VALUES ('6376', 'object/tangible/terminal/shared_terminal_bounty_droid.iff');
INSERT INTO `template_items` VALUES ('6377', 'object/tangible/terminal/shared_terminal_player_structure.iff');
INSERT INTO `template_items` VALUES ('6378', 'object/tangible/medicine/crafted/shared_medpack_wound_constitution_a.iff');
INSERT INTO `template_items` VALUES ('6379', 'object/tangible/space/story_loot/shared_loot_dantooine_force.iff');
INSERT INTO `template_items` VALUES ('6380', 'object/tangible/ship/components/engine/shared_engine_cygnus_hd7.iff');
INSERT INTO `template_items` VALUES ('6381', 'object/tangible/loot/simple_kit/shared_datadisk.iff');
INSERT INTO `template_items` VALUES ('6382', 'object/tangible/container/loot/shared_placable_loot_crate_tech_chest.iff');
INSERT INTO `template_items` VALUES ('6383', 'object/tangible/ship/components/weapon_capacitor/shared_cap_subpro_defiant_c3.iff');
INSERT INTO `template_items` VALUES ('6384', 'object/tangible/ship/components/booster/shared_bst_koensayr_advanced.iff');
INSERT INTO `template_items` VALUES ('6385', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon1_s04.iff');
INSERT INTO `template_items` VALUES ('6386', 'object/tangible/deed/pet_deed/shared_kusak_deed.iff');
INSERT INTO `template_items` VALUES ('6387', 'object/tangible/ship/components/engine/shared_eng_novaldex_x9.iff');
INSERT INTO `template_items` VALUES ('6388', 'object/tangible/ship/components/weapon/shared_wpn_kessel_imperial_sfs_elite_ops.iff');
INSERT INTO `template_items` VALUES ('6389', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_neg_s01_1.iff');
INSERT INTO `template_items` VALUES ('6390', 'object/tangible/component/munition/shared_ammo_projectile.iff');
INSERT INTO `template_items` VALUES ('6391', 'object/tangible/lair/salt_mynock/shared_lair_salt_mynock_wasteland.iff');
INSERT INTO `template_items` VALUES ('6392', 'object/tangible/loot/misc/shared_loot_krayt_foot.iff');
INSERT INTO `template_items` VALUES ('6393', 'object/tangible/furniture/all/shared_frn_all_light_death_watch.iff');
INSERT INTO `template_items` VALUES ('6394', 'object/tangible/crafting/station/shared_clothing_repair.iff');
INSERT INTO `template_items` VALUES ('6395', 'object/tangible/lair/base/shared_poi_all_lair_rocks_large_fog_gray.iff');
INSERT INTO `template_items` VALUES ('6396', 'object/tangible/wearables/pants/shared_pants_s02.iff');
INSERT INTO `template_items` VALUES ('6397', 'object/tangible/lair/pharple/shared_lair_pharple_wasteland.iff');
INSERT INTO `template_items` VALUES ('6398', 'object/tangible/deed/faction_perk/turret/shared_dish_lg_deed.iff');
INSERT INTO `template_items` VALUES ('6399', 'object/tangible/wearables/armor/bone/shared_armor_bone_s01_gloves.iff');
INSERT INTO `template_items` VALUES ('6400', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s01.iff');
INSERT INTO `template_items` VALUES ('6401', 'object/tangible/loot/collectible/collectible_parts/shared_gong_structure_06.iff');
INSERT INTO `template_items` VALUES ('6402', 'object/tangible/wearables/jacket/shared_jacket_ace_imperial.iff');
INSERT INTO `template_items` VALUES ('6403', 'object/tangible/loot/dungeon/death_watch_bunker/shared_jetpack_base.iff');
INSERT INTO `template_items` VALUES ('6404', 'object/tangible/wearables/ithorian/shared_ith_jacket_s15.iff');
INSERT INTO `template_items` VALUES ('6405', 'object/tangible/ship/crafted/engine/shared_std_fuel_regulation.iff');
INSERT INTO `template_items` VALUES ('6406', 'object/tangible/datapad/shared_droid_datapad_5.iff');
INSERT INTO `template_items` VALUES ('6407', 'object/tangible/lair/kusak/shared_lair_kusak.iff');
INSERT INTO `template_items` VALUES ('6408', 'object/tangible/loot/bestine/shared_bestine_painting_schematic_boffa.iff');
INSERT INTO `template_items` VALUES ('6409', 'object/tangible/component/droid/shared_r2_droid_chassis.iff');
INSERT INTO `template_items` VALUES ('6410', 'object/tangible/ship/components/weapon/shared_wpn_mandal_heavy_annihilator.iff');
INSERT INTO `template_items` VALUES ('6411', 'object/tangible/medicine/crafted/shared_medpack_enhance_action_a.iff');
INSERT INTO `template_items` VALUES ('6412', 'object/tangible/furniture/jedi/shared_frn_all_table_dark_01.iff');
INSERT INTO `template_items` VALUES ('6413', 'object/tangible/component/bio/shared_bio_component_food_light_flavor.iff');
INSERT INTO `template_items` VALUES ('6414', 'object/tangible/medicine/shared_medpack_stunned.iff');
INSERT INTO `template_items` VALUES ('6415', 'object/tangible/ship/crafted/engine/shared_hyperdrive_class3.iff');
INSERT INTO `template_items` VALUES ('6416', 'object/tangible/ship/components/booster/shared_bst_sorosuub_improved_liberator_mk2.iff');
INSERT INTO `template_items` VALUES ('6417', 'object/tangible/medicine/shared_medpack_enhance_constitution.iff');
INSERT INTO `template_items` VALUES ('6418', 'object/tangible/ship/components/shield_generator/shared_shd_armek_plasma_shell_s1.iff');
INSERT INTO `template_items` VALUES ('6419', 'object/tangible/loot/quest/shared_schematic_pistol_fwg5_quest.iff');
INSERT INTO `template_items` VALUES ('6420', 'object/tangible/wearables/necklace/shared_necklace_s02.iff');
INSERT INTO `template_items` VALUES ('6421', 'object/tangible/ship/components/droid_interface/shared_ddi_moncal_dk3.iff');
INSERT INTO `template_items` VALUES ('6422', 'object/tangible/wearables/base/shared_base_held_both.iff');
INSERT INTO `template_items` VALUES ('6423', 'object/tangible/loot/misc/shared_firework_dud_s2.iff');
INSERT INTO `template_items` VALUES ('6424', 'object/tangible/lair/base/shared_poi_all_lair_rocks_small_evil_fire_small.iff');
INSERT INTO `template_items` VALUES ('6425', 'object/tangible/loot/loot_schematic/shared_pitcher_full_schematic.iff');
INSERT INTO `template_items` VALUES ('6426', 'object/tangible/loot/collectible/collectible_parts/shared_sculpture_structure_01.iff');
INSERT INTO `template_items` VALUES ('6427', 'object/tangible/food/crafted/shared_drink_ruby_bliel.iff');
INSERT INTO `template_items` VALUES ('6428', 'object/tangible/food/crafted/shared_drink_veronian_berry_wine.iff');
INSERT INTO `template_items` VALUES ('6429', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff');
INSERT INTO `template_items` VALUES ('6430', 'object/tangible/ship/components/droid_interface/shared_ddi_kessel_imperial_cygnus_dp44.iff');
INSERT INTO `template_items` VALUES ('6431', 'object/tangible/medicine/shared_medpack_grenade_area.iff');
INSERT INTO `template_items` VALUES ('6432', 'object/tangible/wearables/armor/kashyyykian_hunting/shared_armor_kashyyykian_hunting_leggings.iff');
INSERT INTO `template_items` VALUES ('6433', 'object/tangible/skill_buff/shared_skill_buff_pistol_accuracy.iff');
INSERT INTO `template_items` VALUES ('6434', 'object/tangible/wearables/ithorian/shared_ith_pants_s07.iff');
INSERT INTO `template_items` VALUES ('6435', 'object/tangible/ship/components/shield_generator/shared_shd_koensayr_deflector_elite.iff');
INSERT INTO `template_items` VALUES ('6436', 'object/tangible/lair/structure/interior/shared_lair_hive_medium_interior_dalyrake.iff');
INSERT INTO `template_items` VALUES ('6437', 'object/tangible/furniture/all/shared_frn_all_toolchest_lg_s01.iff');
INSERT INTO `template_items` VALUES ('6438', 'object/tangible/hopper/manufacturing_facility_hopper/shared_manufacture_installation_ingredient_hopper_medium.iff');
INSERT INTO `template_items` VALUES ('6439', 'object/tangible/wearables/backpack/shared_backpack_s01.iff');
INSERT INTO `template_items` VALUES ('6440', 'object/tangible/component/droid/shared_data_storage_module_3.iff');
INSERT INTO `template_items` VALUES ('6441', 'object/tangible/component/weapon/shared_galven_tube_circuits.iff');
INSERT INTO `template_items` VALUES ('6442', 'object/tangible/space/story_loot/shared_loot_template.iff');
INSERT INTO `template_items` VALUES ('6443', 'object/tangible/hair/sullustan/shared_sul_hair_s13_m.iff');
INSERT INTO `template_items` VALUES ('6444', 'object/tangible/wearables/dress/shared_dress_s33.iff');
INSERT INTO `template_items` VALUES ('6445', 'object/tangible/terminal/shared_terminal_water_pressure.iff');
INSERT INTO `template_items` VALUES ('6446', 'object/tangible/furniture/technical/shared_cabinet_s01.iff');
INSERT INTO `template_items` VALUES ('6447', 'object/tangible/medicine/crafted/shared_medpack_disease_constitution_a.iff');
INSERT INTO `template_items` VALUES ('6448', 'object/tangible/hair/bothan/base/shared_hair_bothan_male_base.iff');
INSERT INTO `template_items` VALUES ('6449', 'object/tangible/loot/quest/shared_lance_nightsister_schematic.iff');
INSERT INTO `template_items` VALUES ('6450', 'object/tangible/medicine/shared_medpack_revive.iff');
INSERT INTO `template_items` VALUES ('6451', 'object/tangible/painting/shared_painting_waterfall.iff');
INSERT INTO `template_items` VALUES ('6452', 'object/tangible/ship/crafted/reactor/shared_advanced_power_distributor.iff');
INSERT INTO `template_items` VALUES ('6453', 'object/tangible/furniture/all/shared_frn_all_professor_desk.iff');
INSERT INTO `template_items` VALUES ('6454', 'object/tangible/wearables/ithorian/shared_ith_gloves_s02.iff');
INSERT INTO `template_items` VALUES ('6455', 'object/tangible/dungeon/shared_wall_terminal_s1.iff');
INSERT INTO `template_items` VALUES ('6456', 'object/tangible/newbie_tutorial/shared_debris.iff');
INSERT INTO `template_items` VALUES ('6457', 'object/tangible/ship/components/weapon/shared_wpn_mission_reward_neutral_mandal_light_blaster.iff');
INSERT INTO `template_items` VALUES ('6458', 'object/tangible/space/special_loot/shared_firespray_schematic_part5.iff');
INSERT INTO `template_items` VALUES ('6459', 'object/tangible/mission/quest_item/shared_diax_q2_needed.iff');
INSERT INTO `template_items` VALUES ('6460', 'object/tangible/food/spice/shared_spice_sedative_h4b.iff');
INSERT INTO `template_items` VALUES ('6461', 'object/tangible/ship/components/shield_generator/shared_shd_mandal_protector_mk1.iff');
INSERT INTO `template_items` VALUES ('6462', 'object/tangible/mission/quest_item/shared_warren_device_encryption_key.iff');
INSERT INTO `template_items` VALUES ('6463', 'object/tangible/ship/attachment/engine/shared_tiebomber_engine_s01.iff');
INSERT INTO `template_items` VALUES ('6464', 'object/tangible/wearables/ithorian/shared_ith_bodysuit_s03.iff');
INSERT INTO `template_items` VALUES ('6465', 'object/tangible/ship/crafted/reactor/shared_base_reactor.iff');
INSERT INTO `template_items` VALUES ('6466', 'object/tangible/wearables/robe/shared_robe_s27.iff');
INSERT INTO `template_items` VALUES ('6467', 'object/tangible/ship/components/weapon_capacitor/shared_cap_koensayr_light.iff');
INSERT INTO `template_items` VALUES ('6468', 'object/tangible/wearables/armor/mandalorian/shared_armor_mandalorian_bicep_r.iff');
INSERT INTO `template_items` VALUES ('6469', 'object/tangible/deed/vehicle_deed/shared_speederbike_deed.iff');
INSERT INTO `template_items` VALUES ('6470', 'object/tangible/hair/human/shared_hair_human_male_s20.iff');
INSERT INTO `template_items` VALUES ('6471', 'object/tangible/ship/components/armor/shared_arm_corellian_modified_heavy_durasteel.iff');
INSERT INTO `template_items` VALUES ('6472', 'object/tangible/loot/misc/shared_basket_expensive_s01.iff');
INSERT INTO `template_items` VALUES ('6473', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s03_bracer_r.iff');
INSERT INTO `template_items` VALUES ('6474', 'object/tangible/component/weapon/lightsaber/shared_lightsaber_refined_crystal_pack.iff');
INSERT INTO `template_items` VALUES ('6475', 'object/tangible/deed/base/shared_pet_droid_deed_base.iff');
INSERT INTO `template_items` VALUES ('6476', 'object/tangible/component/armor/shared_armor_segment_kashyyykian_black_mtn_advanced.iff');
INSERT INTO `template_items` VALUES ('6477', 'object/tangible/medicine/crafted/shared_medpack_disease_area_health_c.iff');
INSERT INTO `template_items` VALUES ('6478', 'object/tangible/component/armor/shared_shield_generator_vehicular.iff');
INSERT INTO `template_items` VALUES ('6479', 'object/tangible/ship/crafted/booster/shared_extended_life_fuel_cell_mk2.iff');
INSERT INTO `template_items` VALUES ('6480', 'object/tangible/ship/attachment/weapon/shared_awing_weapon_s05.iff');
INSERT INTO `template_items` VALUES ('6481', 'object/tangible/painting/shared_painting_bestine_rainbow_berry_bush.iff');
INSERT INTO `template_items` VALUES ('6482', 'object/tangible/wearables/ithorian/shared_ith_shirt_s13.iff');
INSERT INTO `template_items` VALUES ('6483', 'object/tangible/lair/merek/shared_lair_merek_swamp.iff');
INSERT INTO `template_items` VALUES ('6484', 'object/tangible/loot/simple_kit/shared_datapad_backlight.iff');
INSERT INTO `template_items` VALUES ('6485', 'object/tangible/deed/corellia/player_house_deed/shared_corellia_house_medium_deed.iff');
INSERT INTO `template_items` VALUES ('6486', 'object/tangible/food/crafted/shared_dessert_citros_snow_cake.iff');
INSERT INTO `template_items` VALUES ('6487', 'object/tangible/ship/crafted/repair/shared_repair_kit_chassis.iff');
INSERT INTO `template_items` VALUES ('6488', 'object/tangible/ship/components/weapon_capacitor/shared_cap_koensayr_tuned_mk3.iff');
INSERT INTO `template_items` VALUES ('6489', 'object/tangible/ship/components/armor/shared_arm_sds_triplate_system.iff');
INSERT INTO `template_items` VALUES ('6490', 'object/tangible/component/weapon/shared_acklay_bone_reinforcement_core.iff');
INSERT INTO `template_items` VALUES ('6491', 'object/tangible/ship/components/weapon_capacitor/shared_cap_kse_elite_mk5.iff');
INSERT INTO `template_items` VALUES ('6492', 'object/tangible/lair/kittle/shared_lair_kittle_grassland.iff');
INSERT INTO `template_items` VALUES ('6493', 'object/tangible/lair/perlek/shared_lair_perlek_grassland.iff');
INSERT INTO `template_items` VALUES ('6494', 'object/tangible/ship/crafted/chassis/shared_blacksun_heavy_s04_deed.iff');
INSERT INTO `template_items` VALUES ('6495', 'object/tangible/ship/components/weapon_capacitor/shared_cap_kse_mk3.iff');
INSERT INTO `template_items` VALUES ('6496', 'object/tangible/ship/components/weapon/shared_wpn_incom_heavy_quad_blaster.iff');
INSERT INTO `template_items` VALUES ('6497', 'object/tangible/wearables/armor/marine/shared_armor_marine_leggings.iff');
INSERT INTO `template_items` VALUES ('6498', 'object/tangible/ship/attachment/weapon/shared_ykl37r_turret_barrel_s01.iff');
INSERT INTO `template_items` VALUES ('6499', 'object/tangible/wearables/ithorian/shared_ith_dress_short_s01.iff');
INSERT INTO `template_items` VALUES ('6500', 'object/tangible/component/weapon/shared_geonosian_power_cube_base.iff');
INSERT INTO `template_items` VALUES ('6501', 'object/tangible/ship/attachment/weapon/shared_hutt_medium_weapon1_s05.iff');
INSERT INTO `template_items` VALUES ('6502', 'object/tangible/ship/attachment/weapon/shared_star_destroyer_mini_turret_base.iff');
INSERT INTO `template_items` VALUES ('6503', 'object/tangible/ship/components/weapon/shared_wpn_z95_basic.iff');
INSERT INTO `template_items` VALUES ('6504', 'object/tangible/ship/components/droid_interface/shared_ddi_sorosuub_elite.iff');
INSERT INTO `template_items` VALUES ('6505', 'object/tangible/lair/bordok/shared_lair_bordok_mountain.iff');
INSERT INTO `template_items` VALUES ('6506', 'object/tangible/lair/reptilian_flyer/shared_lair_reptilian_flyer_mountain.iff');
INSERT INTO `template_items` VALUES ('6507', 'object/tangible/lair/qurvel/shared_lair_qurvel_mountain.iff');
INSERT INTO `template_items` VALUES ('6508', 'object/tangible/hair/human/shared_hair_human_female_s15.iff');
INSERT INTO `template_items` VALUES ('6509', 'object/tangible/component/structure/shared_light_ore_mining_unit.iff');
INSERT INTO `template_items` VALUES ('6510', 'object/tangible/wearables/bikini/shared_bikini_s02.iff');
INSERT INTO `template_items` VALUES ('6511', 'object/tangible/hair/bothan/shared_hair_bothan_male_s17.iff');
INSERT INTO `template_items` VALUES ('6512', 'object/tangible/lair/plumed_rasp/shared_lair_plumed_rasp_mountain.iff');
INSERT INTO `template_items` VALUES ('6513', 'object/tangible/recycler/shared_ore_recycler.iff');
INSERT INTO `template_items` VALUES ('6514', 'object/tangible/wearables/ithorian/shared_ith_belt_s09.iff');
INSERT INTO `template_items` VALUES ('6515', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s03.iff');
INSERT INTO `template_items` VALUES ('6516', 'object/tangible/ship/components/engine/shared_eng_qualdex_small_kyromaster.iff');
INSERT INTO `template_items` VALUES ('6517', 'object/tangible/ship/components/reactor/shared_rct_cygnus_advanced.iff');
INSERT INTO `template_items` VALUES ('6518', 'object/tangible/ship/components/engine/shared_eng_rss_imperial_skyrunner.iff');
INSERT INTO `template_items` VALUES ('6519', 'object/tangible/loot/collectible/collectible_parts/shared_blue_rug_thread_04.iff');
INSERT INTO `template_items` VALUES ('6520', 'object/tangible/mission/quest_item/shared_lian_byrne_q3_needed.iff');
INSERT INTO `template_items` VALUES ('6521', 'object/tangible/ship/attachment/weapon/shared_kse_firespray_weapon2_s03.iff');
INSERT INTO `template_items` VALUES ('6522', 'object/tangible/ship/components/engine/shared_eng_gallofree_advanced.iff');
INSERT INTO `template_items` VALUES ('6523', 'object/tangible/ship/components/droid_interface/shared_ddi_novaldex_elite.iff');
INSERT INTO `template_items` VALUES ('6524', 'object/tangible/painting/shared_painting_teras_kasi.iff');
INSERT INTO `template_items` VALUES ('6525', 'object/tangible/loot/dungeon/geonosian_mad_bunker/shared_passkey.iff');
INSERT INTO `template_items` VALUES ('6526', 'object/tangible/wearables/wookiee/shared_wke_hood_s02.iff');
INSERT INTO `template_items` VALUES ('6527', 'object/tangible/deed/guild_deed/shared_corellia_guild_deed.iff');
INSERT INTO `template_items` VALUES ('6528', 'object/tangible/wearables/necklace/shared_necklace_sparkling_bijou.iff');
INSERT INTO `template_items` VALUES ('6529', 'object/tangible/component/droid/shared_struct_maint_module_3.iff');
INSERT INTO `template_items` VALUES ('6530', 'object/tangible/ship/components/reactor/shared_rct_moncal_overdriver_s1.iff');
INSERT INTO `template_items` VALUES ('6531', 'object/tangible/deed/player_house_deed/shared_tatooine_house_medium_deed.iff');
INSERT INTO `template_items` VALUES ('6532', 'object/tangible/ship/components/droid_interface/shared_ddi_sds_imperial_4.iff');
INSERT INTO `template_items` VALUES ('6533', 'object/tangible/mission/quest_item/shared_warren_passkey_s03.iff');
INSERT INTO `template_items` VALUES ('6534', 'object/tangible/terminal/shared_terminal_mission_statue.iff');
INSERT INTO `template_items` VALUES ('6535', 'object/tangible/deed/event_perk/shared_rebel_recruiting_station_theater_deed.iff');
INSERT INTO `template_items` VALUES ('6536', 'object/tangible/ship/attachment/engine/shared_xwing_engine_pos_s01.iff');
INSERT INTO `template_items` VALUES ('6537', 'object/tangible/ship/components/armor/shared_arm_subpro_special_elite_plastisteel.iff');
INSERT INTO `template_items` VALUES ('6538', 'object/tangible/wearables/skirt/shared_skirt_s09.iff');
INSERT INTO `template_items` VALUES ('6539', 'object/tangible/component/structure/shared_refined_endrine.iff');
INSERT INTO `template_items` VALUES ('6540', 'object/tangible/ship/components/booster/shared_bst_incom_supercharged_vynock.iff');
INSERT INTO `template_items` VALUES ('6541', 'object/tangible/hair/bothan/base/shared_hair_bothan_female_base.iff');
INSERT INTO `template_items` VALUES ('6542', 'object/tangible/ship/components/droid_interface/shared_ddi_sfs_elite.iff');
INSERT INTO `template_items` VALUES ('6543', 'object/tangible/lair/base/shared_poi_all_lair_bones_large_evil_fire_small.iff');
INSERT INTO `template_items` VALUES ('6544', 'object/tangible/medicine/crafted/shared_medpack_enhance_constitution_c.iff');
INSERT INTO `template_items` VALUES ('6545', 'object/tangible/lair/base/shared_poi_all_lair_wooden_destroyed.iff');
INSERT INTO `template_items` VALUES ('6546', 'object/tangible/deed/city_deed/shared_garden_naboo_sml_05_deed.iff');
INSERT INTO `template_items` VALUES ('6547', 'object/tangible/hair/bothan/shared_hair_bothan_female_s08.iff');
INSERT INTO `template_items` VALUES ('6548', 'object/tangible/ship/attachment/weapon/shared_z95_weapon_s06.iff');
INSERT INTO `template_items` VALUES ('6549', 'object/tangible/wearables/shirt/shared_shirt_s11.iff');
INSERT INTO `template_items` VALUES ('6550', 'object/tangible/furniture/modern/shared_bar_piece_straight_s2.iff');
INSERT INTO `template_items` VALUES ('6551', 'object/tangible/ui/shared_ui_planet_privateer.iff');
INSERT INTO `template_items` VALUES ('6552', 'object/tangible/food/crafted/shared_drink_vayerbok.iff');
INSERT INTO `template_items` VALUES ('6553', 'object/tangible/wearables/armor/ubese/shared_armor_ubese_bracer_l.iff');
INSERT INTO `template_items` VALUES ('6554', 'object/tangible/component/vehicle/shared_armor_plating_mk3.iff');
INSERT INTO `template_items` VALUES ('6555', 'object/tangible/hair/sullustan/shared_sul_hair_s11_f.iff');
INSERT INTO `template_items` VALUES ('6556', 'object/tangible/mission/quest_item/shared_boshek_q1_needed.iff');
INSERT INTO `template_items` VALUES ('6557', 'object/tangible/container/drum/shared_large_plain_crate_s03.iff');
INSERT INTO `template_items` VALUES ('6558', 'object/tangible/component/food/shared_container_small_glass.iff');
INSERT INTO `template_items` VALUES ('6559', 'object/tangible/loot/dungeon/death_watch_bunker/shared_binary_liquid.iff');
INSERT INTO `template_items` VALUES ('6560', 'object/tangible/wearables/ring/shared_ring_base.iff');
INSERT INTO `template_items` VALUES ('6561', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_pos_s06_1.iff');
INSERT INTO `template_items` VALUES ('6562', 'object/tangible/ship/attachment/booster/shared_blacksun_medium_booster_s02.iff');
INSERT INTO `template_items` VALUES ('6563', 'object/tangible/ship/components/reactor/shared_rct_incom_mark4.iff');
INSERT INTO `template_items` VALUES ('6564', 'object/tangible/ship/crafted/repair/shared_repair_kit_engine.iff');
INSERT INTO `template_items` VALUES ('6565', 'object/tangible/space/content_infrastructure/shared_corridor_start_spawner.iff');
INSERT INTO `template_items` VALUES ('6566', 'object/tangible/loot/dungeon/death_watch_bunker/shared_viewscreen_s2.iff');
INSERT INTO `template_items` VALUES ('6567', 'object/tangible/container/jar/shared_jar_berries_s01.iff');
INSERT INTO `template_items` VALUES ('6568', 'object/tangible/wearables/base/shared_base_bracer_upper_l.iff');
INSERT INTO `template_items` VALUES ('6569', 'object/tangible/wearables/helmet/shared_helmet_atat.iff');
INSERT INTO `template_items` VALUES ('6570', 'object/tangible/ship/attachment/booster/shared_blacksun_heavy_booster_s01.iff');
INSERT INTO `template_items` VALUES ('6571', 'object/tangible/deed/pet_deed/shared_hermit_spider_deed.iff');
INSERT INTO `template_items` VALUES ('6572', 'object/tangible/ship/crafted/weapon/missile/shared_countermeasure_em_launcher.iff');
INSERT INTO `template_items` VALUES ('6573', 'object/tangible/ship/crafted/booster/shared_heavy_fuel_cell_mk2.iff');
INSERT INTO `template_items` VALUES ('6574', 'object/tangible/wearables/helmet/shared_helmet_fighter_rebel_ace.iff');
INSERT INTO `template_items` VALUES ('6575', 'object/tangible/lair/vesp/shared_lair_vesp_mountain.iff');
INSERT INTO `template_items` VALUES ('6576', 'object/tangible/ship/crafted/weapon/shared_base_weapon_subcomponent_mk1.iff');
INSERT INTO `template_items` VALUES ('6577', 'object/tangible/ship/components/booster/shared_bst_moncal_jlc37.iff');
INSERT INTO `template_items` VALUES ('6578', 'object/tangible/wearables/necklace/shared_necklace_iron_brooch.iff');
INSERT INTO `template_items` VALUES ('6579', 'object/tangible/food/crafted/shared_drink_accarragm.iff');
INSERT INTO `template_items` VALUES ('6580', 'object/tangible/ship/components/booster/shared_bst_kse_als_1.iff');
INSERT INTO `template_items` VALUES ('6581', 'object/tangible/ship/components/engine/shared_eng_sfs_elite.iff');
INSERT INTO `template_items` VALUES ('6582', 'object/tangible/ship/components/booster/shared_bst_kse_elite_als_1.iff');
INSERT INTO `template_items` VALUES ('6583', 'object/tangible/mission/quest_item/shared_leb_slesher_q1_needed.iff');
INSERT INTO `template_items` VALUES ('6584', 'object/tangible/wearables/base/shared_base_dress_poofysleeve_allow_gauntlets.iff');
INSERT INTO `template_items` VALUES ('6585', 'object/tangible/wearables/ithorian/shared_ith_backpack_s01.iff');
INSERT INTO `template_items` VALUES ('6586', 'object/tangible/medicine/crafted/shared_medpack_disease_quickness_a.iff');
INSERT INTO `template_items` VALUES ('6587', 'object/tangible/ship/components/shield_generator/shared_shd_sfs_imperial_standard.iff');
INSERT INTO `template_items` VALUES ('6588', 'object/tangible/wearables/armor/padded/shared_armor_padded_s01_belt.iff');
INSERT INTO `template_items` VALUES ('6589', 'object/tangible/wearables/necklace/shared_necklace_brass_charm.iff');
INSERT INTO `template_items` VALUES ('6590', 'object/tangible/furniture/city/shared_city_furniture.iff');
INSERT INTO `template_items` VALUES ('6591', 'object/tangible/loot/misc/shared_mt_casserole.iff');
INSERT INTO `template_items` VALUES ('6592', 'object/tangible/loot/collectible/collectible_parts/shared_orange_rug_thread_05.iff');
INSERT INTO `template_items` VALUES ('6593', 'object/tangible/veteran_reward/shared_harvester.iff');
INSERT INTO `template_items` VALUES ('6594', 'object/tangible/ship/components/engine/shared_eng_kse_advanced.iff');
INSERT INTO `template_items` VALUES ('6595', 'object/tangible/ship/components/booster/shared_bst_subpro_accelatron_mk5.iff');
INSERT INTO `template_items` VALUES ('6596', 'object/tangible/lair/crowned_rasp/shared_lair_crowned_rasp.iff');
INSERT INTO `template_items` VALUES ('6597', 'object/tangible/wearables/armor/ithorian_sentinel/shared_ith_armor_s03_bicep_r.iff');
INSERT INTO `template_items` VALUES ('6598', 'object/tangible/component/weapon/shared_projectile_feed_mechanism_advanced.iff');
INSERT INTO `template_items` VALUES ('6599', 'object/tangible/wearables/helmet/shared_helmet_tusken_raider_s01.iff');
INSERT INTO `template_items` VALUES ('6600', 'object/tangible/deed/city_deed/shared_garden_corellia_sml_04_deed.iff');
INSERT INTO `template_items` VALUES ('6601', 'object/tangible/component/droid/shared_sensor_package_droid.iff');
INSERT INTO `template_items` VALUES ('6602', 'object/tangible/food/crafted/shared_drink_alcohol.iff');
INSERT INTO `template_items` VALUES ('6603', 'object/tangible/component/vehicle/base/shared_base_veh_weapon_hvy.iff');
INSERT INTO `template_items` VALUES ('6604', 'object/tangible/firework/shared_default.iff');
INSERT INTO `template_items` VALUES ('6605', 'object/tangible/mission/quest_item/shared_warren_evidence_s02.iff');
INSERT INTO `template_items` VALUES ('6606', 'object/tangible/component/weapon/shared_blaster_power_handler_enhancement_min_damage.iff');
INSERT INTO `template_items` VALUES ('6607', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_lg_s03.iff');
INSERT INTO `template_items` VALUES ('6608', 'object/tangible/ship/components/weapon/shared_wpn_subpro_advanced_cannon.iff');
INSERT INTO `template_items` VALUES ('6609', 'object/tangible/mission/quest_item/shared_vordin_sildor_q3_needed.iff');
INSERT INTO `template_items` VALUES ('6610', 'object/tangible/furniture/decorative/shared_cafe_chair.iff');
INSERT INTO `template_items` VALUES ('6611', 'object/tangible/ship/components/shield_generator/shared_shd_moncal_ionweb_advanced.iff');
INSERT INTO `template_items` VALUES ('6612', 'object/tangible/wearables/armor/mandalorian/shared_armor_mandalorian_bracer_l.iff');
INSERT INTO `template_items` VALUES ('6613', 'object/tangible/wearables/vest/shared_vest_hutt_gang_s02.iff');
INSERT INTO `template_items` VALUES ('6614', 'object/tangible/wearables/armor/singing_mountain_clan/shared_armor_smc_s01_bicep_l.iff');
INSERT INTO `template_items` VALUES ('6615', 'object/tangible/ship/components/weapon_capacitor/shared_cap_sorosuub_flash.iff');
INSERT INTO `template_items` VALUES ('6616', 'object/tangible/hair/twilek/shared_hair_twilek_female_s05.iff');
INSERT INTO `template_items` VALUES ('6617', 'object/tangible/ship/components/droid_interface/shared_ddi_moncal_special_dk1.iff');
INSERT INTO `template_items` VALUES ('6618', 'object/tangible/inventory/shared_creature_inventory_1.iff');
INSERT INTO `template_items` VALUES ('6619', 'object/tangible/deed/pet_deed/shared_graul_deed.iff');
INSERT INTO `template_items` VALUES ('6620', 'object/tangible/ship/components/armor/shared_arm_corellian_enhanced_elite_plastisteel.iff');
INSERT INTO `template_items` VALUES ('6621', 'object/tangible/ship/crafted/repair/shared_repair_kit_armor.iff');
INSERT INTO `template_items` VALUES ('6622', 'object/tangible/medicine/pet/shared_pet_stimpack_c.iff');
INSERT INTO `template_items` VALUES ('6623', 'object/tangible/ship/crafted/capacitor/shared_energy_saver_battery_mk2.iff');
INSERT INTO `template_items` VALUES ('6624', 'object/tangible/component/bio/shared_bio_component_clothing_field_bleeding.iff');
INSERT INTO `template_items` VALUES ('6625', 'object/tangible/mission/quest_item/shared_leb_slesher_q3_needed.iff');
INSERT INTO `template_items` VALUES ('6626', 'object/tangible/mission/quest_item/shared_feedback_controller.iff');
INSERT INTO `template_items` VALUES ('6627', 'object/tangible/ship/components/armor/shared_arm_kessel_rebel_mandal_corrugated_plastisteel.iff');
INSERT INTO `template_items` VALUES ('6628', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_seismic_missile_mk3.iff');
INSERT INTO `template_items` VALUES ('6629', 'object/tangible/lair/thune/shared_lair_thune_grassland.iff');
INSERT INTO `template_items` VALUES ('6630', 'object/tangible/painting/shared_painting_nebula_flower.iff');
INSERT INTO `template_items` VALUES ('6631', 'object/tangible/loot/simple_kit/shared_firework_fixer.iff');
INSERT INTO `template_items` VALUES ('6632', 'object/tangible/furniture/all/shared_frn_all_lamp_candlestick_tbl_s01.iff');
INSERT INTO `template_items` VALUES ('6633', 'object/tangible/terminal/shared_terminal_newbie_tool.iff');
INSERT INTO `template_items` VALUES ('6634', 'object/tangible/mission/quest_item/shared_damalia_korde_q1_needed.iff');
INSERT INTO `template_items` VALUES ('6635', 'object/tangible/medicine/crafted/shared_medpack_poison_action_c.iff');
INSERT INTO `template_items` VALUES ('6636', 'object/tangible/ship/attachment/engine/shared_awing_engine_s01.iff');
INSERT INTO `template_items` VALUES ('6637', 'object/tangible/ship/crafted/engine/shared_std_exhaust.iff');
INSERT INTO `template_items` VALUES ('6638', 'object/tangible/terminal/shared_terminal_mission_imperial.iff');
INSERT INTO `template_items` VALUES ('6639', 'object/tangible/ship/components/armor/shared_arm_mandal_double_insulated_i5.iff');
INSERT INTO `template_items` VALUES ('6640', 'object/tangible/deed/city_deed/shared_garden_corellia_sml_02_deed.iff');
INSERT INTO `template_items` VALUES ('6641', 'object/tangible/lair/base/shared_poi_all_lair_garbage_small_evil_fire_small.iff');
INSERT INTO `template_items` VALUES ('6642', 'object/tangible/wearables/armor/ubese/shared_armor_ubese_pants.iff');
INSERT INTO `template_items` VALUES ('6643', 'object/tangible/lair/kima/shared_lair_kima_mountain.iff');
INSERT INTO `template_items` VALUES ('6644', 'object/tangible/medicine/crafted/shared_crafted_stimpack_sm_s1_d.iff');
INSERT INTO `template_items` VALUES ('6645', 'object/tangible/ship/components/engine/shared_eng_novaldex_light_eventhorizon.iff');
INSERT INTO `template_items` VALUES ('6646', 'object/tangible/ship/crafted/weapon/shared_shield_effectiveness_intensifier_mk3.iff');
INSERT INTO `template_items` VALUES ('6647', 'object/tangible/firework/shared_firework_one.iff');
INSERT INTO `template_items` VALUES ('6648', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_female_s06.iff');
INSERT INTO `template_items` VALUES ('6649', 'object/tangible/hair/human/shared_hair_human_female_s21.iff');
INSERT INTO `template_items` VALUES ('6650', 'object/tangible/hair/rodian/shared_hair_rodian_female_s13.iff');
INSERT INTO `template_items` VALUES ('6651', 'object/tangible/ship/components/weapon/shared_xwing_weapon_s01_test.iff');
INSERT INTO `template_items` VALUES ('6652', 'object/tangible/hair/human/shared_hair_human_male_s29.iff');
INSERT INTO `template_items` VALUES ('6653', 'object/tangible/lair/guf_drolg/shared_lair_guf_drolg_grassland.iff');
INSERT INTO `template_items` VALUES ('6654', 'object/tangible/furniture/all/shared_frn_all_throwpillow_med_s02.iff');
INSERT INTO `template_items` VALUES ('6655', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s15.iff');
INSERT INTO `template_items` VALUES ('6656', 'object/tangible/ship/components/booster/shared_bst_qualdex_xboost_mk2.iff');
INSERT INTO `template_items` VALUES ('6657', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_lg_s06_lg.iff');
INSERT INTO `template_items` VALUES ('6658', 'object/tangible/component/vehicle/shared_civilian_a.iff');
INSERT INTO `template_items` VALUES ('6659', 'object/tangible/ship/attachment/weapon/shared_yt1300_weapon_s01_0.iff');
INSERT INTO `template_items` VALUES ('6660', 'object/tangible/lair/base/shared_poi_all_lair_warren_small_fog_red.iff');
INSERT INTO `template_items` VALUES ('6661', 'object/tangible/veteran_reward/shared_data_terminal_s1.iff');
INSERT INTO `template_items` VALUES ('6662', 'object/tangible/component/dna/shared_dna_template_kusak.iff');
INSERT INTO `template_items` VALUES ('6663', 'object/tangible/ship/components/droid_interface/shared_ddi_sds_elite.iff');
INSERT INTO `template_items` VALUES ('6664', 'object/tangible/lair/base/shared_poi_all_lair_thicket_small_fog_mustard.iff');
INSERT INTO `template_items` VALUES ('6665', 'object/tangible/lair/horned_rasp/shared_lair_horned_rasp.iff');
INSERT INTO `template_items` VALUES ('6666', 'object/tangible/lair/base/shared_lair_base_cave_griffon_light.iff');
INSERT INTO `template_items` VALUES ('6667', 'object/tangible/component/vehicle/shared_weapon_array.iff');
INSERT INTO `template_items` VALUES ('6668', 'object/tangible/ship/crafted/weapon/shared_speed_limiter_upgrade_mk2.iff');
INSERT INTO `template_items` VALUES ('6669', 'object/tangible/ship/components/weapon_capacitor/shared_cap_corellian_tuned_cruiser_grade_cap1.iff');
INSERT INTO `template_items` VALUES ('6670', 'object/tangible/component/structure/shared_heavy_harvesting_mechanism.iff');
INSERT INTO `template_items` VALUES ('6671', 'object/tangible/crafting/shared_crafting_components_container.iff');
INSERT INTO `template_items` VALUES ('6672', 'object/tangible/wearables/armor/ithorian_guardian/shared_ith_armor_s02_bracer_r.iff');
INSERT INTO `template_items` VALUES ('6673', 'object/tangible/food/crafted/shared_drink_ice_blaster.iff');
INSERT INTO `template_items` VALUES ('6674', 'object/tangible/wearables/necklace/shared_necklace_s09_quest.iff');
INSERT INTO `template_items` VALUES ('6675', 'object/tangible/ship/components/reactor/shared_rct_freitek_powerhouse_mk3.iff');
INSERT INTO `template_items` VALUES ('6676', 'object/tangible/component/bio/shared_bio_component_food_light_filling.iff');
INSERT INTO `template_items` VALUES ('6677', 'object/tangible/painting/shared_painting_bestine_mattberry.iff');
INSERT INTO `template_items` VALUES ('6678', 'object/tangible/camp/shared_camp_lantern_s3.iff');
INSERT INTO `template_items` VALUES ('6679', 'object/tangible/theme_park/alderaan/act3/shared_alderaan_flora.iff');
INSERT INTO `template_items` VALUES ('6680', 'object/tangible/deed/event_perk/shared_test_theater_deed.iff');
INSERT INTO `template_items` VALUES ('6681', 'object/tangible/component/droid/shared_r3_droid_chassis.iff');
INSERT INTO `template_items` VALUES ('6682', 'object/tangible/hair/twilek/shared_hair_twilek_male_s04.iff');
INSERT INTO `template_items` VALUES ('6683', 'object/tangible/firework/shared_show.iff');
INSERT INTO `template_items` VALUES ('6684', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_04.iff');
INSERT INTO `template_items` VALUES ('6685', 'object/tangible/mission/quest_item/shared_lian_byrne_q1_needed.iff');
INSERT INTO `template_items` VALUES ('6686', 'object/tangible/ship/components/reactor/shared_rct_koensayr_enhanced_supernova_mk2.iff');
INSERT INTO `template_items` VALUES ('6687', 'object/tangible/lair/rock_mite/shared_lair_rock_mite_desert.iff');
INSERT INTO `template_items` VALUES ('6688', 'object/tangible/mission/quest_item/shared_mozo_bondog_q2_needed.iff');
INSERT INTO `template_items` VALUES ('6689', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_rebel_assassination_02.iff');
INSERT INTO `template_items` VALUES ('6690', 'object/tangible/ship/crafted/weapon/missile/shared_countermeasure_microchaff_launcher.iff');
INSERT INTO `template_items` VALUES ('6691', 'object/tangible/lair/bageraset/shared_lair_bageraset.iff');
INSERT INTO `template_items` VALUES ('6692', 'object/tangible/furniture/all/shared_frn_all_light_lamp_candlestick_tbl_s03.iff');
INSERT INTO `template_items` VALUES ('6693', 'object/tangible/mission/quest_item/shared_talon_karrde_q4_needed.iff');
INSERT INTO `template_items` VALUES ('6694', 'object/tangible/ship/components/reactor/shared_rct_sorosuub_turbine_advanced.iff');
INSERT INTO `template_items` VALUES ('6695', 'object/tangible/component/droid/shared_droid_brain.iff');
INSERT INTO `template_items` VALUES ('6696', 'object/tangible/deed/faction_perk/turret/shared_block_med_deed.iff');
INSERT INTO `template_items` VALUES ('6697', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_m_s01.iff');
INSERT INTO `template_items` VALUES ('6698', 'object/tangible/ship/components/weapon_capacitor/shared_cap_subpro_dauntless_z5.iff');
INSERT INTO `template_items` VALUES ('6699', 'object/tangible/component/structure/shared_shield_housing.iff');
INSERT INTO `template_items` VALUES ('6700', 'object/tangible/component/bio/shared_bio_component_clothing_field_defense.iff');
INSERT INTO `template_items` VALUES ('6701', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff');
INSERT INTO `template_items` VALUES ('6702', 'object/tangible/deed/harvester_deed/shared_harvester_ore_s2_deed.iff');
INSERT INTO `template_items` VALUES ('6703', 'object/tangible/medicine/crafted/shared_medpack_disease_area_focus_a.iff');
INSERT INTO `template_items` VALUES ('6704', 'object/tangible/furniture/city/shared_streetlamp_large_blue_02.iff');
INSERT INTO `template_items` VALUES ('6705', 'object/tangible/lair/base/shared_poi_all_lair_wooden_fog_mustard.iff');
INSERT INTO `template_items` VALUES ('6706', 'object/tangible/deed/city_deed/shared_garden_naboo_sml_03_deed.iff');
INSERT INTO `template_items` VALUES ('6707', 'object/tangible/ship/components/reactor/shared_rct_reward_armek_elite.iff');
INSERT INTO `template_items` VALUES ('6708', 'object/tangible/ship/components/weapon/shared_wpn_cygnus_destroyer_mk1.iff');
INSERT INTO `template_items` VALUES ('6709', 'object/tangible/ship/attachment/weapon/shared_ykl37r_turret_body_s01.iff');
INSERT INTO `template_items` VALUES ('6710', 'object/tangible/painting/shared_painting_palowick_ad_s03.iff');
INSERT INTO `template_items` VALUES ('6711', 'object/tangible/hair/rodian/shared_hair_rodian_male_s03.iff');
INSERT INTO `template_items` VALUES ('6712', 'object/tangible/furniture/all/shared_frn_all_light_lamp_table_s02.iff');
INSERT INTO `template_items` VALUES ('6713', 'object/tangible/container/quest/crafting_contract/shared_armor_crate.iff');
INSERT INTO `template_items` VALUES ('6714', 'object/tangible/ship/components/reactor/shared_rct_koensayr_supernova_advanced.iff');
INSERT INTO `template_items` VALUES ('6715', 'object/tangible/loot/loot_schematic/shared_foodcart_schematic.iff');
INSERT INTO `template_items` VALUES ('6716', 'object/tangible/deed/player_house_deed/shared_corellia_house_small_floor_02_deed.iff');
INSERT INTO `template_items` VALUES ('6717', 'object/tangible/wearables/hat/shared_hat_chef_s01.iff');
INSERT INTO `template_items` VALUES ('6718', 'object/tangible/wearables/earring/shared_earring_s07.iff');
INSERT INTO `template_items` VALUES ('6719', 'object/tangible/wearables/ithorian/shared_ith_necklace_s09.iff');
INSERT INTO `template_items` VALUES ('6720', 'object/tangible/medicine/pet/shared_pet_vitapack_a.iff');
INSERT INTO `template_items` VALUES ('6721', 'object/tangible/ship/crafted/booster/shared_basic_booster.iff');
INSERT INTO `template_items` VALUES ('6722', 'object/tangible/component/vehicle/shared_civilian_aa.iff');
INSERT INTO `template_items` VALUES ('6723', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s05.iff');
INSERT INTO `template_items` VALUES ('6724', 'object/tangible/travel/ticket_collector/shared_ticket_collector.iff');
INSERT INTO `template_items` VALUES ('6725', 'object/tangible/lair/base/shared_poi_all_lair_thicket_large_evil_fire_small.iff');
INSERT INTO `template_items` VALUES ('6726', 'object/tangible/ship/attachment/booster/shared_hutt_light_booster_s02.iff');
INSERT INTO `template_items` VALUES ('6727', 'object/tangible/deed/factory_deed/shared_factory_item_deed.iff');
INSERT INTO `template_items` VALUES ('6728', 'object/tangible/ship/components/droid_interface/shared_ddi_mission_reward_rebel_novaldex_low_latency.iff');
INSERT INTO `template_items` VALUES ('6729', 'object/tangible/ship/crafted/weapon/shared_max_damage_intensifier_mk4.iff');
INSERT INTO `template_items` VALUES ('6730', 'object/tangible/space/story_loot/shared_loot_endor_series_tinrilo.iff');
INSERT INTO `template_items` VALUES ('6731', 'object/tangible/ship/components/engine/shared_eng_sfs_imperial_2.iff');
INSERT INTO `template_items` VALUES ('6732', 'object/tangible/hair/bothan/shared_hair_bothan_female_s01.iff');
INSERT INTO `template_items` VALUES ('6733', 'object/tangible/component/weapon/shared_blaster_pistol_barrel_advanced.iff');
INSERT INTO `template_items` VALUES ('6734', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_rebel_destroy_02.iff');
INSERT INTO `template_items` VALUES ('6735', 'object/tangible/medicine/shared_grenade_area_disease.iff');
INSERT INTO `template_items` VALUES ('6736', 'object/tangible/ship/components/reactor/shared_rct_kse_lx21.iff');
INSERT INTO `template_items` VALUES ('6737', 'object/tangible/ship/components/engine/shared_eng_gallofree_jx3.iff');
INSERT INTO `template_items` VALUES ('6738', 'object/tangible/painting/shared_painting_skyscraper.iff');
INSERT INTO `template_items` VALUES ('6739', 'object/tangible/wearables/belt/shared_belt_s04.iff');
INSERT INTO `template_items` VALUES ('6740', 'object/tangible/medicine/crafted/shared_medpack_disease_willpower_b.iff');
INSERT INTO `template_items` VALUES ('6741', 'object/tangible/space/content_infrastructure/shared_patrol_spawner.iff');
INSERT INTO `template_items` VALUES ('6742', 'object/tangible/ship/components/armor/shared_arm_sorosuub_elite_plastisteel.iff');
INSERT INTO `template_items` VALUES ('6743', 'object/tangible/loot/misc/shared_decryptor_broken_s01.iff');
INSERT INTO `template_items` VALUES ('6744', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff');
INSERT INTO `template_items` VALUES ('6745', 'object/tangible/painting/shared_painting_fighter_pilot_human_01.iff');
INSERT INTO `template_items` VALUES ('6746', 'object/tangible/ship/crafted/capacitor/shared_base_capacitor_subcomponent.iff');
INSERT INTO `template_items` VALUES ('6747', 'object/tangible/ship/components/booster/shared_bst_slayn_ion_booster_mk1.iff');
INSERT INTO `template_items` VALUES ('6748', 'object/tangible/ship/crafted/chassis/shared_blacksun_heavy_s02_deed.iff');
INSERT INTO `template_items` VALUES ('6749', 'object/tangible/instrument/shared_kloo_horn.iff');
INSERT INTO `template_items` VALUES ('6750', 'object/tangible/ship/components/weapon_capacitor/shared_cap_mandal_powermaster_mk1.iff');
INSERT INTO `template_items` VALUES ('6751', 'object/tangible/lair/base/shared_poi_all_lair_brambles_small_fog_green.iff');
INSERT INTO `template_items` VALUES ('6752', 'object/tangible/ship/crafted/capacitor/shared_standard_recharge_module.iff');
INSERT INTO `template_items` VALUES ('6753', 'object/tangible/deed/city_deed/shared_garden_naboo_sml_01_deed.iff');
INSERT INTO `template_items` VALUES ('6754', 'object/tangible/loot/loot_schematic/shared_death_watch_bounty_hunter_bicep_l_schematic.iff');
INSERT INTO `template_items` VALUES ('6755', 'object/tangible/deed/city_deed/shared_garden_endor_lrg_01_deed.iff');
INSERT INTO `template_items` VALUES ('6756', 'object/tangible/hopper/shared_manufacture_installation_ingredient_hopper_1.iff');
INSERT INTO `template_items` VALUES ('6757', 'object/tangible/ship/components/weapon/shared_wpn_seinar_ls72.iff');
INSERT INTO `template_items` VALUES ('6758', 'object/tangible/lair/base/shared_poi_all_lair_wooden_destroyed_fog_red.iff');
INSERT INTO `template_items` VALUES ('6759', 'object/tangible/ship/components/armor/shared_armor_subpro_reinforced_plasteel.iff');
INSERT INTO `template_items` VALUES ('6760', 'object/tangible/crafting/base/shared_base_repair.iff');
INSERT INTO `template_items` VALUES ('6761', 'object/tangible/mission/quest_item/shared_mal_sikander_q5_needed.iff');
INSERT INTO `template_items` VALUES ('6762', 'object/tangible/dungeon/death_watch_bunker/shared_filter.iff');
INSERT INTO `template_items` VALUES ('6763', 'object/tangible/ship/components/engine/shared_eng_mandal_heavy.iff');
INSERT INTO `template_items` VALUES ('6764', 'object/tangible/mission/quest_item/shared_boshek_q2_needed.iff');
INSERT INTO `template_items` VALUES ('6765', 'object/tangible/ship/components/shield_generator/shared_shd_incom_mark5.iff');
INSERT INTO `template_items` VALUES ('6766', 'object/tangible/lair/veermok/shared_lair_veermok_forest.iff');
INSERT INTO `template_items` VALUES ('6767', 'object/tangible/component/weapon/lightsaber/shared_lightsaber_module_force_crystal.iff');
INSERT INTO `template_items` VALUES ('6768', 'object/tangible/component/food/shared_ingredient_ball_of_dough.iff');
INSERT INTO `template_items` VALUES ('6769', 'object/tangible/medicine/crafted/shared_medpack_wound_health_c.iff');
INSERT INTO `template_items` VALUES ('6770', 'object/tangible/crafting/station/shared_structure_tool.iff');
INSERT INTO `template_items` VALUES ('6771', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon1_s05.iff');
INSERT INTO `template_items` VALUES ('6772', 'object/tangible/item/quest/force_sensitive/shared_fs_sculpture_4.iff');
INSERT INTO `template_items` VALUES ('6773', 'object/tangible/loot/quest/shared_schematic_dress_s08_quest.iff');
INSERT INTO `template_items` VALUES ('6774', 'object/tangible/food/foraged/shared_edible_jar_livers.iff');
INSERT INTO `template_items` VALUES ('6775', 'object/tangible/mission/quest_item/shared_leb_slesher_q2_needed.iff');
INSERT INTO `template_items` VALUES ('6776', 'object/tangible/lair/blackfish/shared_lair_blackfish.iff');
INSERT INTO `template_items` VALUES ('6777', 'object/tangible/ship/crafted/capacitor/shared_quick_recharge_battery_mk3.iff');
INSERT INTO `template_items` VALUES ('6778', 'object/tangible/ship/crafted/capacitor/shared_advanced_recharge_module.iff');
INSERT INTO `template_items` VALUES ('6779', 'object/tangible/ship/crafted/weapon/shared_min_damage_intensifier_mk2.iff');
INSERT INTO `template_items` VALUES ('6780', 'object/tangible/loot/loot_schematic/shared_radio_schematic.iff');
INSERT INTO `template_items` VALUES ('6781', 'object/tangible/food/crafted/additive/shared_additive_base.iff');
INSERT INTO `template_items` VALUES ('6782', 'object/tangible/hair/human/shared_hair_human_male_s14.iff');
INSERT INTO `template_items` VALUES ('6783', 'object/tangible/ship/components/engine/shared_eng_sfs_performance_imperial_1.iff');
INSERT INTO `template_items` VALUES ('6784', 'object/tangible/medicine/crafted/shared_medpack_dizzy_a.iff');
INSERT INTO `template_items` VALUES ('6785', 'object/tangible/lair/base/shared_poi_all_lair_bones_large_fog_red.iff');
INSERT INTO `template_items` VALUES ('6786', 'object/tangible/loot/loot_schematic/shared_death_watch_bounty_hunter_gloves_schematic.iff');
INSERT INTO `template_items` VALUES ('6787', 'object/tangible/item/shared_loot_credit_chip.iff');
INSERT INTO `template_items` VALUES ('6788', 'object/tangible/wearables/dress/shared_dress_s07.iff');
INSERT INTO `template_items` VALUES ('6789', 'object/tangible/lair/base/shared_poi_all_lair_warren_large.iff');
INSERT INTO `template_items` VALUES ('6790', 'object/tangible/poi/object/shared_droid_head.iff');
INSERT INTO `template_items` VALUES ('6791', 'object/tangible/furniture/city/shared_streetlamp_med_blue_02.iff');
INSERT INTO `template_items` VALUES ('6792', 'object/tangible/component/vehicle/shared_warhead_launcher.iff');
INSERT INTO `template_items` VALUES ('6793', 'object/tangible/terminal/shared_terminal_newbie_clothing.iff');
INSERT INTO `template_items` VALUES ('6794', 'object/tangible/wearables/base/shared_base_ear_l.iff');
INSERT INTO `template_items` VALUES ('6795', 'object/tangible/lair/base/shared_objective_mts_clan_monolith.iff');
INSERT INTO `template_items` VALUES ('6796', 'object/tangible/furniture/jedi/shared_frn_all_light_throne.iff');
INSERT INTO `template_items` VALUES ('6797', 'object/tangible/lair/kittle/shared_lair_kittle.iff');
INSERT INTO `template_items` VALUES ('6798', 'object/tangible/lair/base/shared_poi_all_lair_insecthill_large_fog_mustard.iff');
INSERT INTO `template_items` VALUES ('6799', 'object/tangible/wearables/armor/kashyyykian_black_mtn/shared_armor_kashyyykian_black_mtn_bracer_r.iff');
INSERT INTO `template_items` VALUES ('6800', 'object/tangible/lair/roba/shared_lair_roba_grassland.iff');
INSERT INTO `template_items` VALUES ('6801', 'object/tangible/component/weapon/shared_projectile_feed_mechanism_enhancement_max_damage.iff');
INSERT INTO `template_items` VALUES ('6802', 'object/tangible/loot/loot_schematic/shared_death_watch_mandalorian_boots_schematic.iff');
INSERT INTO `template_items` VALUES ('6803', 'object/weapon/ranged/rifle/shared_rifle_tenloss_dxr6_disruptor_loot.iff');
INSERT INTO `template_items` VALUES ('6804', 'object/weapon/melee/polearm/shared_lance_vibrolance.iff');
INSERT INTO `template_items` VALUES ('6805', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_s9_training.iff');
INSERT INTO `template_items` VALUES ('6806', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s2_gen4.iff');
INSERT INTO `template_items` VALUES ('6807', 'object/weapon/ranged/pistol/shared_pistol_power5.iff');
INSERT INTO `template_items` VALUES ('6808', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s4_gen4.iff');
INSERT INTO `template_items` VALUES ('6809', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s2.iff');
INSERT INTO `template_items` VALUES ('6810', 'object/weapon/melee/sword/shared_sword_lightsaber_andael.iff');
INSERT INTO `template_items` VALUES ('6811', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_gen1.iff');
INSERT INTO `template_items` VALUES ('6812', 'object/weapon/ranged/carbine/shared_carbine_cdef_corsec.iff');
INSERT INTO `template_items` VALUES ('6813', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s8_gen2.iff');
INSERT INTO `template_items` VALUES ('6814', 'object/weapon/melee/2h_sword/shared_2h_sword_maul.iff');
INSERT INTO `template_items` VALUES ('6815', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s6_gen4.iff');
INSERT INTO `template_items` VALUES ('6816', 'object/weapon/ranged/pistol/shared_pistol_republic_blaster.iff');
INSERT INTO `template_items` VALUES ('6817', 'object/weapon/ranged/pistol/shared_pistol_dx2.iff');
INSERT INTO `template_items` VALUES ('6818', 'object/weapon/ranged/rifle/shared_rifle_spraystick.iff');
INSERT INTO `template_items` VALUES ('6819', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s4_gen2.iff');
INSERT INTO `template_items` VALUES ('6820', 'object/weapon/ranged/creature/shared_creature_spit_spray_yellow.iff');
INSERT INTO `template_items` VALUES ('6821', 'object/weapon/ranged/heavy/shared_heavy_acid_beam.iff');
INSERT INTO `template_items` VALUES ('6822', 'object/weapon/melee/polearm/crafted_saber/shared_sword_lightsaber_polearm_gen2.iff');
INSERT INTO `template_items` VALUES ('6823', 'object/weapon/mine/shared_wp_mine_xg.iff');
INSERT INTO `template_items` VALUES ('6824', 'object/weapon/melee/sword/shared_sword_nyax.iff');
INSERT INTO `template_items` VALUES ('6825', 'object/weapon/ranged/rifle/shared_rifle_laser_noob.iff');
INSERT INTO `template_items` VALUES ('6826', 'object/weapon/ranged/droid/shared_droid_probot_ranged.iff');
INSERT INTO `template_items` VALUES ('6827', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s8_gen4.iff');
INSERT INTO `template_items` VALUES ('6828', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s6_gen2.iff');
INSERT INTO `template_items` VALUES ('6829', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s2_gen2.iff');
INSERT INTO `template_items` VALUES ('6830', 'object/weapon/mine/base/shared_mine_base.iff');
INSERT INTO `template_items` VALUES ('6831', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s4.iff');
INSERT INTO `template_items` VALUES ('6832', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s13.iff');
INSERT INTO `template_items` VALUES ('6833', 'object/weapon/melee/knife/shared_knife_survival.iff');
INSERT INTO `template_items` VALUES ('6834', 'object/weapon/melee/knife/shared_knife_donkuwah.iff');
INSERT INTO `template_items` VALUES ('6835', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s5_gen4.iff');
INSERT INTO `template_items` VALUES ('6836', 'object/weapon/ranged/carbine/shared_carbine_cdef.iff');
INSERT INTO `template_items` VALUES ('6837', 'object/weapon/ranged/grenade/shared_grenade_glop.iff');
INSERT INTO `template_items` VALUES ('6838', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s9_gen2.iff');
INSERT INTO `template_items` VALUES ('6839', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s7_gen4.iff');
INSERT INTO `template_items` VALUES ('6840', 'object/weapon/ranged/carbine/shared_carbine_dh17_black.iff');
INSERT INTO `template_items` VALUES ('6841', 'object/weapon/ranged/pistol/shared_pistol_launcher.iff');
INSERT INTO `template_items` VALUES ('6842', 'object/weapon/melee/sword/shared_sword_lightsaber_luke.iff');
INSERT INTO `template_items` VALUES ('6843', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s11_gen3.iff');
INSERT INTO `template_items` VALUES ('6844', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s11_gen1.iff');
INSERT INTO `template_items` VALUES ('6845', 'object/weapon/ranged/carbine/shared_carbine_dh17.iff');
INSERT INTO `template_items` VALUES ('6846', 'object/weapon/melee/sword/shared_sword_curved_nyax.iff');
INSERT INTO `template_items` VALUES ('6847', 'object/weapon/melee/polearm/crafted_saber/shared_sword_lightsaber_polearm_s1_gen3.iff');
INSERT INTO `template_items` VALUES ('6848', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s6.iff');
INSERT INTO `template_items` VALUES ('6849', 'object/weapon/ranged/rifle/shared_rifle_lightning.iff');
INSERT INTO `template_items` VALUES ('6850', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_gen4.iff');
INSERT INTO `template_items` VALUES ('6851', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s1_gen4.iff');
INSERT INTO `template_items` VALUES ('6852', 'object/weapon/ranged/carbine/shared_carbine_ee3.iff');
INSERT INTO `template_items` VALUES ('6853', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s13_gen1.iff');
INSERT INTO `template_items` VALUES ('6854', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s13_gen3.iff');
INSERT INTO `template_items` VALUES ('6855', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_gen5.iff');
INSERT INTO `template_items` VALUES ('6856', 'object/weapon/melee/polearm/shared_lance_nightsister_npc_version.iff');
INSERT INTO `template_items` VALUES ('6857', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s3_gen4.iff');
INSERT INTO `template_items` VALUES ('6858', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_s5_training.iff');
INSERT INTO `template_items` VALUES ('6859', 'object/weapon/melee/sword/base/shared_crafted_sword_base.iff');
INSERT INTO `template_items` VALUES ('6860', 'object/weapon/ranged/rifle/shared_rifle_beam.iff');
INSERT INTO `template_items` VALUES ('6861', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s1_gen2.iff');
INSERT INTO `template_items` VALUES ('6862', 'object/weapon/ranged/carbine/shared_carbine_e11_quest.iff');
INSERT INTO `template_items` VALUES ('6863', 'object/weapon/ranged/pistol/shared_pistol_srcombat.iff');
INSERT INTO `template_items` VALUES ('6864', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s9.iff');
INSERT INTO `template_items` VALUES ('6865', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_s1_training.iff');
INSERT INTO `template_items` VALUES ('6866', 'object/weapon/ranged/grenade/shared_grenade_proton.iff');
INSERT INTO `template_items` VALUES ('6867', 'object/weapon/melee/sword/shared_sword_lightsaber_obi.iff');
INSERT INTO `template_items` VALUES ('6868', 'object/weapon/ranged/rifle/shared_rifle_ewok_crossbow.iff');
INSERT INTO `template_items` VALUES ('6869', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s3_gen2.iff');
INSERT INTO `template_items` VALUES ('6870', 'object/weapon/melee/baton/shared_victor_baton_gaderiffi.iff');
INSERT INTO `template_items` VALUES ('6871', 'object/weapon/ranged/pistol/shared_pistol_cdef.iff');
INSERT INTO `template_items` VALUES ('6872', 'object/weapon/melee/sword/shared_sword_lightsaber_nebu.iff');
INSERT INTO `template_items` VALUES ('6873', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s5_gen2.iff');
INSERT INTO `template_items` VALUES ('6874', 'object/weapon/ranged/carbine/shared_carbine_elite.iff');
INSERT INTO `template_items` VALUES ('6875', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s10_gen1.iff');
INSERT INTO `template_items` VALUES ('6876', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s10_gen3.iff');
INSERT INTO `template_items` VALUES ('6877', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s11.iff');
INSERT INTO `template_items` VALUES ('6878', 'object/weapon/melee/polearm/shared_lance_staff_metal.iff');
INSERT INTO `template_items` VALUES ('6879', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s9_gen4.iff');
INSERT INTO `template_items` VALUES ('6880', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s7_gen2.iff');
INSERT INTO `template_items` VALUES ('6881', 'object/weapon/ranged/pistol/shared_pistol_dh17.iff');
INSERT INTO `template_items` VALUES ('6882', 'object/weapon/melee/polearm/crafted_saber/shared_sword_lightsaber_polearm_s2_gen1.iff');
INSERT INTO `template_items` VALUES ('6883', 'object/weapon/melee/polearm/shared_lance_lightsaber_02.iff');
INSERT INTO `template_items` VALUES ('6884', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s12_gen3.iff');
INSERT INTO `template_items` VALUES ('6885', 'object/weapon/ranged/heavy/shared_heavy_lightning_beam.iff');
INSERT INTO `template_items` VALUES ('6886', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s12_gen1.iff');
INSERT INTO `template_items` VALUES ('6887', 'object/weapon/melee/polearm/crafted_saber/shared_sword_lightsaber_polearm_s2.iff');
INSERT INTO `template_items` VALUES ('6888', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s11_gen4.iff');
INSERT INTO `template_items` VALUES ('6889', 'object/weapon/mine/shared_wp_mine_anti_vehicle.iff');
INSERT INTO `template_items` VALUES ('6890', 'object/weapon/ranged/droid/shared_droid_astromech_ranged.iff');
INSERT INTO `template_items` VALUES ('6891', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s1_gen1.iff');
INSERT INTO `template_items` VALUES ('6892', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_gen1.iff');
INSERT INTO `template_items` VALUES ('6893', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s3.iff');
INSERT INTO `template_items` VALUES ('6894', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_s8_training.iff');
INSERT INTO `template_items` VALUES ('6895', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s13_gen4.iff');
INSERT INTO `template_items` VALUES ('6896', 'object/weapon/melee/base/shared_base_melee.iff');
INSERT INTO `template_items` VALUES ('6897', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s8_gen3.iff');
INSERT INTO `template_items` VALUES ('6898', 'object/weapon/melee/polearm/shared_lance_staff_wood_s1.iff');
INSERT INTO `template_items` VALUES ('6899', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s3_gen1.iff');
INSERT INTO `template_items` VALUES ('6900', 'object/weapon/melee/knife/shared_knife_stone.iff');
INSERT INTO `template_items` VALUES ('6901', 'object/weapon/ranged/turret/base/shared_turret_base.iff');
INSERT INTO `template_items` VALUES ('6902', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s5_gen1.iff');
INSERT INTO `template_items` VALUES ('6903', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s7_gen1.iff');
INSERT INTO `template_items` VALUES ('6904', 'object/weapon/ranged/carbine/shared_carbine_e11_victor_quest.iff');
INSERT INTO `template_items` VALUES ('6905', 'object/weapon/ranged/creature/shared_creature_spit_small_green.iff');
INSERT INTO `template_items` VALUES ('6906', 'object/weapon/mine/shared_wp_mine_drx55.iff');
INSERT INTO `template_items` VALUES ('6907', 'object/weapon/ranged/creature/shared_creature_spit_large_yellow.iff');
INSERT INTO `template_items` VALUES ('6908', 'object/weapon/melee/polearm/shared_lance_controllerfp.iff');
INSERT INTO `template_items` VALUES ('6909', 'object/weapon/melee/unarmed/shared_unarmed_default.iff');
INSERT INTO `template_items` VALUES ('6910', 'object/weapon/base/shared_base_weapon.iff');
INSERT INTO `template_items` VALUES ('6911', 'object/weapon/ranged/pistol/shared_pistol_fwg5_quest.iff');
INSERT INTO `template_items` VALUES ('6912', 'object/weapon/melee/polearm/base/shared_lance_lightsaber_base.iff');
INSERT INTO `template_items` VALUES ('6913', 'object/weapon/ranged/grenade/shared_grenade_fallback.iff');
INSERT INTO `template_items` VALUES ('6914', 'object/weapon/ranged/rifle/shared_rifle_laser.iff');
INSERT INTO `template_items` VALUES ('6915', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s10_gen4.iff');
INSERT INTO `template_items` VALUES ('6916', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s5.iff');
INSERT INTO `template_items` VALUES ('6917', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s2_gen3.iff');
INSERT INTO `template_items` VALUES ('6918', 'object/weapon/ranged/pistol/shared_pistol_scout_blaster_ammo_test_2.iff');
INSERT INTO `template_items` VALUES ('6919', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s9_gen1.iff');
INSERT INTO `template_items` VALUES ('6920', 'object/weapon/ranged/heavy/shared_heavy_particle_beam.iff');
INSERT INTO `template_items` VALUES ('6921', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s12_gen4.iff');
INSERT INTO `template_items` VALUES ('6922', 'object/weapon/melee/polearm/crafted_saber/shared_sword_lightsaber_polearm_s2_gen4.iff');
INSERT INTO `template_items` VALUES ('6923', 'object/weapon/ranged/creature/shared_creature_spit_spray_green.iff');
INSERT INTO `template_items` VALUES ('6924', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s12.iff');
INSERT INTO `template_items` VALUES ('6925', 'object/weapon/ranged/pistol/shared_pistol_striker.iff');
INSERT INTO `template_items` VALUES ('6926', 'object/weapon/ranged/pistol/shared_pistol_fwg5.iff');
INSERT INTO `template_items` VALUES ('6927', 'object/weapon/melee/sword/shared_sword_02.iff');
INSERT INTO `template_items` VALUES ('6928', 'object/weapon/melee/baton/shared_baton_gaderiffi.iff');
INSERT INTO `template_items` VALUES ('6929', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s4_gen3.iff');
INSERT INTO `template_items` VALUES ('6930', 'object/weapon/melee/sword/base/shared_lightsaber_base.iff');
INSERT INTO `template_items` VALUES ('6931', 'object/weapon/melee/sword/shared_sword_blade_ryyk.iff');
INSERT INTO `template_items` VALUES ('6932', 'object/weapon/melee/polearm/crafted_saber/shared_sword_lightsaber_polearm_gen3.iff');
INSERT INTO `template_items` VALUES ('6933', 'object/weapon/ranged/creature/shared_creature_spit_spray_toxicgreen.iff');
INSERT INTO `template_items` VALUES ('6934', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s6_gen3.iff');
INSERT INTO `template_items` VALUES ('6935', 'object/weapon/ranged/rifle/shared_rifle_berserker.iff');
INSERT INTO `template_items` VALUES ('6936', 'object/weapon/melee/knife/shared_knife_stone_noob.iff');
INSERT INTO `template_items` VALUES ('6937', 'object/weapon/melee/polearm/shared_lance_nightsister.iff');
INSERT INTO `template_items` VALUES ('6938', 'object/weapon/trap/shared_eqp_weapon_auto_laser_trap.iff');
INSERT INTO `template_items` VALUES ('6939', 'object/weapon/melee/polearm/crafted_saber/shared_sword_lightsaber_polearm_s1_gen2.iff');
INSERT INTO `template_items` VALUES ('6940', 'object/weapon/ranged/base/shared_base_ranged_weapon.iff');
INSERT INTO `template_items` VALUES ('6941', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s11_gen2.iff');
INSERT INTO `template_items` VALUES ('6942', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_gen5.iff');
INSERT INTO `template_items` VALUES ('6943', 'object/weapon/ranged/rifle/shared_rifle_dlt20.iff');
INSERT INTO `template_items` VALUES ('6944', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s7.iff');
INSERT INTO `template_items` VALUES ('6945', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s4_gen1.iff');
INSERT INTO `template_items` VALUES ('6946', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s13_gen2.iff');
INSERT INTO `template_items` VALUES ('6947', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_gen4.iff');
INSERT INTO `template_items` VALUES ('6948', 'object/weapon/melee/2h_sword/shared_2h_sword_katana.iff');
INSERT INTO `template_items` VALUES ('6949', 'object/weapon/melee/special/shared_vibroknuckler.iff');
INSERT INTO `template_items` VALUES ('6950', 'object/weapon/melee/2h_sword/shared_2h_sword_blacksun_hack.iff');
INSERT INTO `template_items` VALUES ('6951', 'object/weapon/ranged/pistol/shared_pistol_striker_noob.iff');
INSERT INTO `template_items` VALUES ('6952', 'object/weapon/ranged/pistol/base/shared_pistol_base.iff');
INSERT INTO `template_items` VALUES ('6953', 'object/weapon/melee/polearm/shared_lance_staff_janta.iff');
INSERT INTO `template_items` VALUES ('6954', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s6_gen1.iff');
INSERT INTO `template_items` VALUES ('6955', 'object/weapon/melee/polearm/shared_polearm_vibro_axe.iff');
INSERT INTO `template_items` VALUES ('6956', 'object/weapon/ranged/pistol/shared_pistol_scout_blaster_corsec.iff');
INSERT INTO `template_items` VALUES ('6957', 'object/weapon/melee/2h_sword/shared_2h_sword_cleaver.iff');
INSERT INTO `template_items` VALUES ('6958', 'object/weapon/ranged/pistol/shared_pistol_cdef_corsec.iff');
INSERT INTO `template_items` VALUES ('6959', 'object/weapon/ranged/carbine/shared_carbine_nym_slugthrower.iff');
INSERT INTO `template_items` VALUES ('6960', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_s4_training.iff');
INSERT INTO `template_items` VALUES ('6961', 'object/weapon/melee/sword/shared_sword_lightsaber_dugald.iff');
INSERT INTO `template_items` VALUES ('6962', 'object/weapon/ranged/pistol/shared_pistol_dl44_metal.iff');
INSERT INTO `template_items` VALUES ('6963', 'object/weapon/melee/axe/shared_axe_vibroaxe.iff');
INSERT INTO `template_items` VALUES ('6964', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s2_gen1.iff');
INSERT INTO `template_items` VALUES ('6965', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s9_gen3.iff');
INSERT INTO `template_items` VALUES ('6966', 'object/weapon/ranged/carbine/shared_carbine_dh17_snubnose.iff');
INSERT INTO `template_items` VALUES ('6967', 'object/weapon/melee/unarmed/shared_unarmed_default_player.iff');
INSERT INTO `template_items` VALUES ('6968', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s5_gen3.iff');
INSERT INTO `template_items` VALUES ('6969', 'object/weapon/ranged/rifle/shared_rifle_jawa_ion.iff');
INSERT INTO `template_items` VALUES ('6970', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s10_gen2.iff');
INSERT INTO `template_items` VALUES ('6971', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s10.iff');
INSERT INTO `template_items` VALUES ('6972', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s7_gen3.iff');
INSERT INTO `template_items` VALUES ('6973', 'object/weapon/ranged/rifle/shared_rifle_t21.iff');
INSERT INTO `template_items` VALUES ('6974', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s1.iff');
INSERT INTO `template_items` VALUES ('6975', 'object/weapon/melee/sword/shared_sword_lightsaber_mace.iff');
INSERT INTO `template_items` VALUES ('6976', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s12_gen2.iff');
INSERT INTO `template_items` VALUES ('6977', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s1_gen3.iff');
INSERT INTO `template_items` VALUES ('6978', 'object/weapon/ranged/creature/shared_creature_spit_small_yellow.iff');
INSERT INTO `template_items` VALUES ('6979', 'object/weapon/ranged/carbine/shared_carbine_dxr6.iff');
INSERT INTO `template_items` VALUES ('6980', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s8.iff');
INSERT INTO `template_items` VALUES ('6981', 'object/weapon/creature/shared_creature_default_weapon.iff');
INSERT INTO `template_items` VALUES ('6982', 'object/weapon/ranged/carbine/shared_carbine_laser.iff');
INSERT INTO `template_items` VALUES ('6983', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s8_gen1.iff');
INSERT INTO `template_items` VALUES ('6984', 'object/weapon/ranged/grenade/shared_grenade_cryoban.iff');
INSERT INTO `template_items` VALUES ('6985', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s3_gen3.iff');
INSERT INTO `template_items` VALUES ('6986', 'object/weapon/melee/sword/shared_sword_01.iff');
INSERT INTO `template_items` VALUES ('6987', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s1_gen4.iff');
INSERT INTO `template_items` VALUES ('6988', 'object/weapon/ranged/rifle/shared_rifle_dlt20a.iff');
INSERT INTO `template_items` VALUES ('6989', 'object/weapon/melee/2h_sword/shared_2h_sword_katana_quest.iff');
INSERT INTO `template_items` VALUES ('6990', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s3_gen4.iff');
INSERT INTO `template_items` VALUES ('6991', 'object/weapon/ranged/vehicle/shared_vehicle_atst_ranged.iff');
INSERT INTO `template_items` VALUES ('6992', 'object/weapon/melee/knife/shared_knife_janta.iff');
INSERT INTO `template_items` VALUES ('6993', 'object/weapon/melee/axe/base/shared_axe_base.iff');
INSERT INTO `template_items` VALUES ('6994', 'object/weapon/melee/sword/shared_sword_lightsaber_ben.iff');
INSERT INTO `template_items` VALUES ('6995', 'object/weapon/ranged/pistol/shared_pistol_geonosian_sonic_blaster_loot.iff');
INSERT INTO `template_items` VALUES ('6996', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s5_gen4.iff');
INSERT INTO `template_items` VALUES ('6997', 'object/weapon/ranged/heavy/base/shared_heavy_weapon_base.iff');
INSERT INTO `template_items` VALUES ('6998', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s11.iff');
INSERT INTO `template_items` VALUES ('6999', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s9_gen2.iff');
INSERT INTO `template_items` VALUES ('7000', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s6.iff');
INSERT INTO `template_items` VALUES ('7001', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s7_gen4.iff');
INSERT INTO `template_items` VALUES ('7002', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s9.iff');
INSERT INTO `template_items` VALUES ('7003', 'object/weapon/melee/sword/shared_sword_lightsaber_sleekblack.iff');
INSERT INTO `template_items` VALUES ('7004', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s5_gen2.iff');
INSERT INTO `template_items` VALUES ('7005', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s9_gen4.iff');
INSERT INTO `template_items` VALUES ('7006', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s7_gen2.iff');
INSERT INTO `template_items` VALUES ('7007', 'object/weapon/melee/sword/shared_sword_lightsaber_quigon.iff');
INSERT INTO `template_items` VALUES ('7008', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s1_gen2.iff');
INSERT INTO `template_items` VALUES ('7009', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_gen2.iff');
INSERT INTO `template_items` VALUES ('7010', 'object/weapon/ranged/heavy/shared_launcher.iff');
INSERT INTO `template_items` VALUES ('7011', 'object/weapon/melee/knife/base/shared_knife_base.iff');
INSERT INTO `template_items` VALUES ('7012', 'object/weapon/melee/polearm/shared_lance_staff_wood_s2.iff');
INSERT INTO `template_items` VALUES ('7013', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s3_gen2.iff');
INSERT INTO `template_items` VALUES ('7014', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_gen3.iff');
INSERT INTO `template_items` VALUES ('7015', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s4_gen4.iff');
INSERT INTO `template_items` VALUES ('7016', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_s7_training.iff');
INSERT INTO `template_items` VALUES ('7017', 'object/weapon/ranged/grenade/shared_grenade_poison.iff');
INSERT INTO `template_items` VALUES ('7018', 'object/weapon/ranged/grenade/shared_grenade_fragmentation.iff');
INSERT INTO `template_items` VALUES ('7019', 'object/weapon/ranged/rifle/base/shared_rifle_base.iff');
INSERT INTO `template_items` VALUES ('7020', 'object/weapon/melee/baton/shared_baton_stun.iff');
INSERT INTO `template_items` VALUES ('7021', 'object/weapon/ranged/creature/base/shared_creature_base.iff');
INSERT INTO `template_items` VALUES ('7022', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s8_gen2.iff');
INSERT INTO `template_items` VALUES ('7023', 'object/weapon/ranged/pistol/shared_pistol_tangle.iff');
INSERT INTO `template_items` VALUES ('7024', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s6_gen4.iff');
INSERT INTO `template_items` VALUES ('7025', 'object/weapon/melee/polearm/crafted_saber/shared_sword_lightsaber_polearm_gen4.iff');
INSERT INTO `template_items` VALUES ('7026', 'object/weapon/ranged/carbine/base/shared_carbine_base.iff');
INSERT INTO `template_items` VALUES ('7027', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s10_gen3.iff');
INSERT INTO `template_items` VALUES ('7028', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s13.iff');
INSERT INTO `template_items` VALUES ('7029', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s10_gen1.iff');
INSERT INTO `template_items` VALUES ('7030', 'object/weapon/melee/2h_sword/shared_2h_sword_battleaxe_quest.iff');
INSERT INTO `template_items` VALUES ('7031', 'object/weapon/ranged/pistol/shared_pistol_dl44.iff');
INSERT INTO `template_items` VALUES ('7032', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_s11_training.iff');
INSERT INTO `template_items` VALUES ('7033', 'object/weapon/ranged/grenade/shared_grenade_fragmentation_light.iff');
INSERT INTO `template_items` VALUES ('7034', 'object/weapon/ranged/rifle/shared_rifle_tusken.iff');
INSERT INTO `template_items` VALUES ('7035', 'object/weapon/ranged/creature/shared_creature_spit_particle_beam.iff');
INSERT INTO `template_items` VALUES ('7036', 'object/weapon/ranged/creature/shared_creature_spit_small_toxicgreen.iff');
INSERT INTO `template_items` VALUES ('7037', 'object/weapon/melee/polearm/crafted_saber/shared_sword_lightsaber_polearm_s2_gen3.iff');
INSERT INTO `template_items` VALUES ('7038', 'object/weapon/melee/sword/shared_sword_lightsaber_vader.iff');
INSERT INTO `template_items` VALUES ('7039', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s12_gen1.iff');
INSERT INTO `template_items` VALUES ('7040', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s12_gen3.iff');
INSERT INTO `template_items` VALUES ('7041', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s2_gen4.iff');
INSERT INTO `template_items` VALUES ('7042', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s2.iff');
INSERT INTO `template_items` VALUES ('7043', 'object/weapon/ranged/rifle/shared_rifle_bowcaster.iff');
INSERT INTO `template_items` VALUES ('7044', 'object/weapon/melee/2h_sword/shared_2h_sword_scythe.iff');
INSERT INTO `template_items` VALUES ('7045', 'object/weapon/ranged/heavy/shared_heavy_rocket_launcher.iff');
INSERT INTO `template_items` VALUES ('7046', 'object/weapon/ranged/carbine/shared_carbine_e11.iff');
INSERT INTO `template_items` VALUES ('7047', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s2_gen2.iff');
INSERT INTO `template_items` VALUES ('7048', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s4.iff');
INSERT INTO `template_items` VALUES ('7049', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s4_gen2.iff');
INSERT INTO `template_items` VALUES ('7050', 'object/weapon/melee/sword/shared_sword_rantok.iff');
INSERT INTO `template_items` VALUES ('7051', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_s3_training.iff');
INSERT INTO `template_items` VALUES ('7052', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s11_gen1.iff');
INSERT INTO `template_items` VALUES ('7053', 'object/weapon/ranged/creature/shared_creature_spit_spray_red.iff');
INSERT INTO `template_items` VALUES ('7054', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s11_gen3.iff');
INSERT INTO `template_items` VALUES ('7055', 'object/weapon/melee/polearm/crafted_saber/shared_sword_lightsaber_polearm_s1_gen1.iff');
INSERT INTO `template_items` VALUES ('7056', 'object/weapon/melee/sword/base/shared_sword_base.iff');
INSERT INTO `template_items` VALUES ('7057', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s8_gen4.iff');
INSERT INTO `template_items` VALUES ('7058', 'object/weapon/melee/sword/shared_sword_lightsaber_sleeksilver.iff');
INSERT INTO `template_items` VALUES ('7059', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s6_gen2.iff');
INSERT INTO `template_items` VALUES ('7060', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s13_gen3.iff');
INSERT INTO `template_items` VALUES ('7061', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s13_gen1.iff');
INSERT INTO `template_items` VALUES ('7062', 'object/weapon/melee/2h_sword/base/shared_2h_sword_base.iff');
INSERT INTO `template_items` VALUES ('7063', 'object/weapon/ranged/rifle/shared_rifle_flame_thrower.iff');
INSERT INTO `template_items` VALUES ('7064', 'object/weapon/ranged/rifle/shared_rifle_sg82.iff');
INSERT INTO `template_items` VALUES ('7065', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s10_gen4.iff');
INSERT INTO `template_items` VALUES ('7066', 'object/weapon/melee/knife/shared_knife_vibroblade_quest.iff');
INSERT INTO `template_items` VALUES ('7067', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s12_gen4.iff');
INSERT INTO `template_items` VALUES ('7068', 'object/weapon/base/shared_weapon_default.iff');
INSERT INTO `template_items` VALUES ('7069', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s10.iff');
INSERT INTO `template_items` VALUES ('7070', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s7.iff');
INSERT INTO `template_items` VALUES ('7071', 'object/weapon/ranged/rifle/shared_rifle_acid_beam.iff');
INSERT INTO `template_items` VALUES ('7072', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s2_gen1.iff');
INSERT INTO `template_items` VALUES ('7073', 'object/weapon/ranged/pistol/shared_pistol_scatter.iff');
INSERT INTO `template_items` VALUES ('7074', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s9_gen3.iff');
INSERT INTO `template_items` VALUES ('7075', 'object/weapon/melee/special/shared_blacksun_razor.iff');
INSERT INTO `template_items` VALUES ('7076', 'object/weapon/ranged/pistol/shared_pistol_de_10.iff');
INSERT INTO `template_items` VALUES ('7077', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s4_gen1.iff');
INSERT INTO `template_items` VALUES ('7078', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s6_gen1.iff');
INSERT INTO `template_items` VALUES ('7079', 'object/weapon/ranged/pistol/shared_pistol_d18.iff');
INSERT INTO `template_items` VALUES ('7080', 'object/weapon/ranged/pistol/shared_pistol_cdef_noob.iff');
INSERT INTO `template_items` VALUES ('7081', 'object/weapon/melee/polearm/crafted_saber/shared_sword_lightsaber_polearm_gen1.iff');
INSERT INTO `template_items` VALUES ('7082', 'object/weapon/melee/2h_sword/shared_2h_sword_battleaxe.iff');
INSERT INTO `template_items` VALUES ('7083', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s1_gen3.iff');
INSERT INTO `template_items` VALUES ('7084', 'object/weapon/ranged/rifle/shared_rifle_cdef.iff');
INSERT INTO `template_items` VALUES ('7085', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_gen3.iff');
INSERT INTO `template_items` VALUES ('7086', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s1.iff');
INSERT INTO `template_items` VALUES ('7087', 'object/weapon/melee/polearm/crafted_saber/shared_sword_lightsaber_polearm_s1_gen4.iff');
INSERT INTO `template_items` VALUES ('7088', 'object/weapon/melee/sword/shared_sword_lightsaber_luke_2h_test.iff');
INSERT INTO `template_items` VALUES ('7089', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s11_gen4.iff');
INSERT INTO `template_items` VALUES ('7090', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s8_gen1.iff');
INSERT INTO `template_items` VALUES ('7091', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s3_gen3.iff');
INSERT INTO `template_items` VALUES ('7092', 'object/weapon/ranged/creature/shared_creature_spit_large_toxicgreen.iff');
INSERT INTO `template_items` VALUES ('7093', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_gen2.iff');
INSERT INTO `template_items` VALUES ('7094', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s13_gen4.iff');
INSERT INTO `template_items` VALUES ('7095', 'object/weapon/ranged/creature/shared_creature_spit_heavy_flame.iff');
INSERT INTO `template_items` VALUES ('7096', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s8.iff');
INSERT INTO `template_items` VALUES ('7097', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_training.iff');
INSERT INTO `template_items` VALUES ('7098', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s5_gen3.iff');
INSERT INTO `template_items` VALUES ('7099', 'object/weapon/ranged/droid/shared_droid_droideka_ranged.iff');
INSERT INTO `template_items` VALUES ('7100', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s7_gen3.iff');
INSERT INTO `template_items` VALUES ('7101', 'object/weapon/melee/baton/base/shared_baton_base.iff');
INSERT INTO `template_items` VALUES ('7102', 'object/weapon/ranged/creature/shared_creature_spit_large_red.iff');
INSERT INTO `template_items` VALUES ('7103', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s10_gen2.iff');
INSERT INTO `template_items` VALUES ('7104', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s12.iff');
INSERT INTO `template_items` VALUES ('7105', 'object/weapon/melee/polearm/shared_lance_controllerfp_nightsister.iff');
INSERT INTO `template_items` VALUES ('7106', 'object/weapon/melee/sword/shared_sword_lightsaber_leather.iff');
INSERT INTO `template_items` VALUES ('7107', 'object/weapon/melee/axe/shared_axe_heavy_duty.iff');
INSERT INTO `template_items` VALUES ('7108', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s5_gen1.iff');
INSERT INTO `template_items` VALUES ('7109', 'object/weapon/melee/polearm/shared_lance_lightsaber_01.iff');
INSERT INTO `template_items` VALUES ('7110', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s12_gen2.iff');
INSERT INTO `template_items` VALUES ('7111', 'object/weapon/melee/polearm/crafted_saber/shared_sword_lightsaber_polearm_s1.iff');
INSERT INTO `template_items` VALUES ('7112', 'object/weapon/melee/polearm/crafted_saber/shared_sword_lightsaber_polearm_s2_gen2.iff');
INSERT INTO `template_items` VALUES ('7113', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s7_gen1.iff');
INSERT INTO `template_items` VALUES ('7114', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s3.iff');
INSERT INTO `template_items` VALUES ('7115', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_s6_training.iff');
INSERT INTO `template_items` VALUES ('7116', 'object/weapon/ranged/pistol/shared_pistol_scout_blaster.iff');
INSERT INTO `template_items` VALUES ('7117', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s1_gen1.iff');
INSERT INTO `template_items` VALUES ('7118', 'object/weapon/ranged/grenade/base/shared_grenade_base.iff');
INSERT INTO `template_items` VALUES ('7119', 'object/weapon/melee/2h_sword/base/shared_crafted_lightsaber_base.iff');
INSERT INTO `template_items` VALUES ('7120', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s8_gen3.iff');
INSERT INTO `template_items` VALUES ('7121', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s3_gen1.iff');
INSERT INTO `template_items` VALUES ('7122', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_s10_training.iff');
INSERT INTO `template_items` VALUES ('7123', 'object/weapon/melee/polearm/crafted_saber/shared_sword_lightsaber_polearm_gen5.iff');
INSERT INTO `template_items` VALUES ('7124', 'object/weapon/melee/sword/shared_sword_01_noob.iff');
INSERT INTO `template_items` VALUES ('7125', 'object/weapon/ranged/rifle/shared_rifle_e11.iff');
INSERT INTO `template_items` VALUES ('7126', 'object/weapon/ranged/grenade/shared_grenade_bug_bomb.iff');
INSERT INTO `template_items` VALUES ('7127', 'object/weapon/ranged/grenade/shared_grenade_imperial_detonator.iff');
INSERT INTO `template_items` VALUES ('7128', 'object/weapon/melee/knife/shared_knife_dagger.iff');
INSERT INTO `template_items` VALUES ('7129', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s5.iff');
INSERT INTO `template_items` VALUES ('7130', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s4_gen3.iff');
INSERT INTO `template_items` VALUES ('7131', 'object/weapon/melee/sword/shared_bestine_quest_sword.iff');
INSERT INTO `template_items` VALUES ('7132', 'object/weapon/melee/polearm/base/shared_crafted_lance_lightsaber_base.iff');
INSERT INTO `template_items` VALUES ('7133', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s11_gen2.iff');
INSERT INTO `template_items` VALUES ('7134', 'object/weapon/ranged/grenade/shared_grenade_thermal_detonator.iff');
INSERT INTO `template_items` VALUES ('7135', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s6_gen3.iff');
INSERT INTO `template_items` VALUES ('7136', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s13_gen2.iff');
INSERT INTO `template_items` VALUES ('7137', 'object/weapon/ranged/creature/shared_creature_spit_lightning_ball.iff');
INSERT INTO `template_items` VALUES ('7138', 'object/weapon/melee/sword/shared_sword_lightsaber_anakin.iff');
INSERT INTO `template_items` VALUES ('7139', 'object/weapon/ranged/pistol/shared_pistol_republic_blaster_quest.iff');
INSERT INTO `template_items` VALUES ('7140', 'object/weapon/ranged/rifle/shared_rifle_victor_tusken.iff');
INSERT INTO `template_items` VALUES ('7141', 'object/weapon/melee/knife/shared_knife_vibroblade.iff');
INSERT INTO `template_items` VALUES ('7142', 'object/weapon/melee/polearm/base/shared_polearm_base.iff');
INSERT INTO `template_items` VALUES ('7143', 'object/weapon/melee/sword/base/shared_crafted_lightsaber_base.iff');
INSERT INTO `template_items` VALUES ('7144', 'object/weapon/ranged/turret/shared_turret_block_large.iff');
INSERT INTO `template_items` VALUES ('7145', 'object/weapon/ranged/creature/shared_creature_spit_small_red.iff');
INSERT INTO `template_items` VALUES ('7146', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_s2_training.iff');
INSERT INTO `template_items` VALUES ('7147', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s2_gen3.iff');
INSERT INTO `template_items` VALUES ('7148', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s9_gen1.iff');
INSERT INTO `template_items` VALUES ('7149', 'object/weapon/ranged/creature/shared_creature_spit_large_green.iff');
INSERT INTO `terminals` VALUES ('1', '1106502', '5', '0', '0', '1', '0', '1', '-0.05', '-1', '8', '');
INSERT INTO `terminals` VALUES ('2', '1106502', '5', '0', '0', '0', '1', '1', '-0.05', '2', '8', '');
INSERT INTO `terminals` VALUES ('3', '1590893', '5', '0', '0', '-1', '0', '0', '-0.378', '-0.5', '8', '');
INSERT INTO `terminals` VALUES ('5', '1105881', '5', '0', '0', '0', '1', '1', '-0.05', '2', '8', '');
INSERT INTO `terminals` VALUES ('6', '1105881', '5', '0', '0', '1', '0', '1', '-0.05', '-1', '8', '');
INSERT INTO `terminals` VALUES ('7', '3565796', '5', '0', '0', '0', '1', '1', '-0.05', '2', '8', '');
INSERT INTO `terminals` VALUES ('8', '3565796', '5', '0', '0', '1', '0', '1', '-0.05', '-1', '8', '');
INSERT INTO `terminals` VALUES ('9', '1254763', '5', '0', '0', '0', '1', '1', '-0.05', '2', '8', '');
INSERT INTO `terminals` VALUES ('10', '1254763', '5', '0', '0', '1', '0', '1', '-0.05', '-1', '8', '');
INSERT INTO `terminals` VALUES ('11', '1233040', '5', '0', '0', '0', '1', '1', '-0.05', '2', '8', '');
INSERT INTO `terminals` VALUES ('12', '1233040', '5', '0', '0', '1', '0', '1', '-0.05', '-1', '8', '');
INSERT INTO `terminals` VALUES ('13', '1528389', '5', '0', '0', '-1', '0', '0', '-0.378', '-0.5', '8', '');
INSERT INTO `terminals` VALUES ('14', '1400866', '5', '0', '0', '-1', '0', '0', '-0.378', '-0.5', '8', '');
INSERT INTO `terminals` VALUES ('15', '1697352', '5', '0', '0', '0', '1', '1', '-0.05', '2', '5', '');
INSERT INTO `terminals` VALUES ('16', '1697352', '5', '0', '0', '1', '0', '1', '-0.05', '-1', '5', '');
INSERT INTO `terminals` VALUES ('17', '474325', '5', '0', '0', '0', '1', '1', '-0.05', '2', '5', '');
INSERT INTO `terminals` VALUES ('18', '474325', '5', '0', '0', '1', '0', '1', '-0.05', '-1', '5', '');
INSERT INTO `terminals` VALUES ('19', '1717560', '5', '0', '0', '0', '1', '1', '-0.05', '2', '5', '');
INSERT INTO `terminals` VALUES ('20', '1717560', '5', '0', '0', '1', '0', '1', '-0.05', '-1', '5', '');
INSERT INTO `terminals` VALUES ('21', '1650613', '5', '0', '0', '0', '1', '1', '-0.05', '2', '5', '');
INSERT INTO `terminals` VALUES ('22', '1650613', '5', '0', '0', '1', '0', '1', '-0.05', '-1', '5', '');
INSERT INTO `terminals` VALUES ('23', '1741514', '5', '0', '0', '0', '1', '1', '-0.05', '2', '5', '');
INSERT INTO `terminals` VALUES ('24', '1741514', '5', '0', '0', '1', '0', '1', '-0.05', '-1', '5', '');
INSERT INTO `terminals` VALUES ('25', '3605960', '5', '0', '0', '0', '1', '-4', '0.125', '-6', '3', '');
INSERT INTO `terminals` VALUES ('26', '4635543', '5', '0', '0', '1', '0', '1', '-0.05', '-1', '6', '');
INSERT INTO `terminals` VALUES ('32', '8615441', '5', '0', '0', '0', '1', '0', '0.125', '-6.5', '4', '');
INSERT INTO `terminals` VALUES ('27', '4635543', '5', '0', '0', '0', '1', '1', '-0.05', '2', '6', '');
INSERT INTO `terminals` VALUES ('28', '4695369', '5', '0', '0', '0', '1', '1', '-0.05', '2', '6', '');
INSERT INTO `terminals` VALUES ('29', '4695369', '5', '0', '0', '1', '0', '1', '-0.05', '-1', '6', '');
INSERT INTO `terminals` VALUES ('30', '2745625', '5', '0', '0', '-1', '0', '0', '-0.378', '-0.5', '4', '');
INSERT INTO `terminals` VALUES ('31', '6705357', '5', '0', '0', '0', '1', '0', '0.125', '-6.5', '3', '');
INSERT INTO `terminals` VALUES ('33', '4505608', '5', '0', '0', '0', '1', '0', '0.125', '-6.5', '6', '');
INSERT INTO `terminals` VALUES ('34', '4885426', '5', '0', '0', '0', '1', '0', '0.125', '-6.5', '1', '');
INSERT INTO `terminals` VALUES ('35', '1366006', '5', '0', '0', '0', '1', '0', '0.125', '-6.5', '1', '');
INSERT INTO `terminals` VALUES ('36', '1365995', '5', '0', '0', '0', '1', '0', '0.125', '-6.5', '1', '');
INSERT INTO `terminals` VALUES ('37', '3175406', '5', '0', '0', '0', '1', '1', '-0.05', '2', '7', '');
INSERT INTO `terminals` VALUES ('38', '3175406', '5', '0', '0', '1', '0', '1', '-0.05', '-1', '7', '');
INSERT INTO `terminals` VALUES ('54', '4345392', '5', '0', '0', '0', '1', '1', '-0.05', '2', '0', '');
INSERT INTO `terminals` VALUES ('41', '4965412', '5', '0', '0', '0', '1', '0', '0.125', '-6.5', '7', '');
INSERT INTO `terminals` VALUES ('42', '7925459', '5', '0', '0', '0', '1', '-4', '0.125', '-6', '9', '');
INSERT INTO `terminals` VALUES ('43', '3035596', '5', '0', '0', '0', '1', '0', '0.125', '-6.5', '9', '');
INSERT INTO `terminals` VALUES ('44', '1392860', '5', '0', '0', '0', '1', '-4', '0.125', '-6', '2', '');
INSERT INTO `terminals` VALUES ('45', '1392892', '5', '0', '0', '0', '1', '0', '0.125', '-6.5', '2', '');
INSERT INTO `terminals` VALUES ('46', '1855493', '5', '0', '0', '1', '0', '1', '-0.05', '-1', '0', '');
INSERT INTO `terminals` VALUES ('47', '1855493', '5', '0', '0', '0', '1', '1', '-0.05', '2', '0', '');
INSERT INTO `terminals` VALUES ('48', '1935515', '5', '0', '0', '1', '0', '1', '-0.05', '-1', '0', '');
INSERT INTO `terminals` VALUES ('49', '1935515', '5', '0', '0', '0', '1', '1', '-0.05', '2', '0', '');
INSERT INTO `terminals` VALUES ('65', '1935515', '6', '0', '0', '-0.7', '0.7', '8', '0.08', '3', '0', '');
INSERT INTO `terminals` VALUES ('56', '4265614', '5', '0', '0', '0', '1', '1', '-0.05', '2', '7', '');
INSERT INTO `terminals` VALUES ('55', '4345392', '5', '0', '0', '1', '0', '1', '-0.05', '-1', '0', '');
INSERT INTO `terminals` VALUES ('57', '4265614', '5', '0', '0', '1', '0', '1', '-0.05', '-1', '7', '');
INSERT INTO `terminals` VALUES ('64', '1855493', '6', '0', '0', '-0.7', '0.7', '8', '0.08', '3', '0', '');
INSERT INTO `terminals` VALUES ('60', '3005428', '5', '0', '0', '0', '1', '1', '-0.05', '2', '0', '');
INSERT INTO `terminals` VALUES ('61', '3005428', '5', '0', '0', '1', '0', '1', '-0.05', '-1', '0', '');
INSERT INTO `terminals` VALUES ('62', '2365903', '5', '0', '0', '1', '0', '1', '-0.05', '-1', '0', '');
INSERT INTO `terminals` VALUES ('63', '2365903', '5', '0', '0', '0', '1', '1', '-0.05', '2', '0', '');
INSERT INTO `terminals` VALUES ('66', '2365903', '6', '0', '0', '-0.7', '0.7', '8', '0.08', '3', '0', '');
INSERT INTO `terminals` VALUES ('67', '3005428', '6', '0', '0', '-0.7', '0.7', '8', '0.08', '3', '0', '');
INSERT INTO `terminals` VALUES ('68', '4345392', '6', '0', '0', '-0.7', '0.7', '8', '0.08', '3', '0', '');
INSERT INTO `terminals` VALUES ('69', '474325', '6', '0', '0', '-0.7', '0.7', '8', '0.08', '3', '5', '');
INSERT INTO `terminals` VALUES ('70', '1650613', '6', '0', '0', '-0.7', '0.7', '8', '0.08', '3', '5', '');
INSERT INTO `terminals` VALUES ('71', '1697352', '6', '0', '0', '-0.7', '0.7', '8', '0.08', '3', '5', '');
INSERT INTO `terminals` VALUES ('72', '1717560', '6', '0', '0', '-0.7', '0.7', '8', '0.08', '3', '5', '');
INSERT INTO `terminals` VALUES ('73', '1741514', '6', '0', '0', '-0.7', '0.7', '8', '0.08', '3', '5', '');
INSERT INTO `terminals` VALUES ('74', '4635543', '6', '0', '0', '-0.7', '0.7', '8', '0.08', '3', '6', '');
INSERT INTO `terminals` VALUES ('75', '4695369', '6', '0', '0', '-0.7', '0.7', '8', '0.08', '3', '6', '');
INSERT INTO `terminals` VALUES ('76', '3175406', '6', '0', '0', '-0.7', '0.7', '8', '0.08', '3', '7', '');
INSERT INTO `terminals` VALUES ('77', '4265614', '6', '0', '0', '-0.7', '0.7', '8', '0.08', '3', '7', '');
INSERT INTO `terminals` VALUES ('78', '1105881', '6', '0', '0', '-0.7', '0.7', '8', '0.08', '3', '8', '');
INSERT INTO `terminals` VALUES ('79', '1106504', '6', '0', '0', '0', '1', '8', '0.08', '3', '8', '');
INSERT INTO `terminals` VALUES ('80', '1233040', '6', '0', '0', '-0.7', '0.7', '8', '0.08', '3', '8', '');
INSERT INTO `terminals` VALUES ('81', '1254763', '6', '0', '0', '-0.7', '0.7', '8', '0.08', '3', '8', '');
INSERT INTO `terminals` VALUES ('82', '3565796', '6', '0', '0', '-0.7', '0.7', '8', '0.08', '3', '8', '');
INSERT INTO `terminals` VALUES ('83', '2745616', '6', '0', '0', '-0.7', '0.7', '5', '0.25', '4.7', '4', '');
INSERT INTO `terminals` VALUES ('84', '1400857', '6', '0', '0', '-0.7', '0.7', '5', '0.25', '4.7', '8', '');
INSERT INTO `terminals` VALUES ('85', '1400846', '6', '0', '0', '-0.7', '0.7', '5', '0.25', '4.7', '8', '');
INSERT INTO `terminals` VALUES ('86', '1495846', '6', '0', '0', '-0.7', '0.7', '5', '0.25', '4.7', '8', '');
INSERT INTO `terminals` VALUES ('87', '1365998', '6', '0', '0', '0.7', '0.7', '-5.5', '0.125', '-3.75', '1', '');
INSERT INTO `terminals` VALUES ('88', '1366009', '6', '0', '0', '0.7', '0.7', '-5.5', '0.125', '-3.75', '1', '');
INSERT INTO `terminals` VALUES ('89', '4885429', '6', '0', '0', '0.7', '0.7', '-5.5', '0.125', '-3.75', '1', '');
INSERT INTO `terminals` VALUES ('90', '1392895', '6', '0', '0', '0.7', '0.7', '-5.5', '0.125', '-3.75', '2', '');
INSERT INTO `terminals` VALUES ('91', '6705360', '6', '0', '0', '0.7', '0.7', '-5.5', '0.125', '-3.75', '3', '');
INSERT INTO `terminals` VALUES ('92', '8615444', '6', '0', '0', '0.7', '0.7', '-5.5', '0.125', '-3.75', '4', '');
INSERT INTO `terminals` VALUES ('93', '4505611', '6', '0', '0', '0.7', '0.7', '-5.5', '0.125', '-3.75', '6', '');
INSERT INTO `terminals` VALUES ('94', '4965415', '6', '0', '0', '0.7', '0.7', '-5.5', '0.125', '-3.75', '7', '');
INSERT INTO `terminals` VALUES ('95', '3035599', '6', '0', '0', '0.7', '0.7', '-5.5', '0.125', '-3.75', '9', '');
INSERT INTO `terminals` VALUES ('96', '1392858', '6', '0', '0', '1', '0', '4', '0.125', '4.5', '2', '');
INSERT INTO `terminals` VALUES ('97', '3605958', '6', '0', '0', '1', '0', '4', '0.125', '4.5', '3', '');
INSERT INTO `terminals` VALUES ('98', '7925457', '6', '0', '0', '1', '0', '4', '0.125', '4.5', '9', '');
INSERT INTO `terminals` VALUES ('99', '2203318222975', '8', '0', '0', '0', '1', '27.4', '-3.5', '-170.7', '42', '');
INSERT INTO `ticket_collectors` VALUES ('1', '1', '0', '6938', '-5528', '330.6', '-0.64', '0.8');
INSERT INTO `ticket_collectors` VALUES ('2', '2', '0', '6637', '-5931', '330.6', '0.75', '0.8');
INSERT INTO `ticket_collectors` VALUES ('3', '3', '0', '-338', '-4634', '28.6', '1', '0');
INSERT INTO `ticket_collectors` VALUES ('4', '4', '0', '-34.2', '-4402', '28.6', '1', '0');
INSERT INTO `ticket_collectors` VALUES ('5', '5', '0', '3078.5', '4984.5', '280.6', '0.75', '0.8');
INSERT INTO `ticket_collectors` VALUES ('6', '6', '0', '-3783.5', '3240.5', '86.6', '1', '0');
INSERT INTO `ticket_collectors` VALUES ('7', '7', '0', '-4992', '-2354', '21.6', '0', '0.8');
INSERT INTO `ticket_collectors` VALUES ('8', '8', '0', '-5607', '-2799', '21.6', '0.75', '0.8');
INSERT INTO `ticket_collectors` VALUES ('9', '9', '0', '-5560', '-6053', '16.6', '1', '0');
INSERT INTO `ticket_collectors` VALUES ('10', '10', '0', '1589', '-6410.4', '4', '0', '1');
INSERT INTO `ticket_collectors` VALUES ('11', '11', '0', '-4229', '-2355.5', '3', '1', '0');
INSERT INTO `ticket_collectors` VALUES ('12', '12', '0', '-644', '2488', '3', '0.91', '0.39');
INSERT INTO `ticket_collectors` VALUES ('13', '13', '0', '-68.9', '-1578', '18', '0.91', '0.39');
INSERT INTO `ticket_collectors` VALUES ('14', '14', '0', '600', '3097', '6', '0.98', '-0.18');
INSERT INTO `ticket_collectors` VALUES ('15', '15', '0', '3222', '-3493', '24', '0', '1');
INSERT INTO `ticket_collectors` VALUES ('16', '16', '0', '-970', '1563', '73', '0.91', '-0.39');
INSERT INTO `ticket_collectors` VALUES ('17', '17', '0', '459', '5503', '8.8', '1', '0');
INSERT INTO `ticket_collectors` VALUES ('18', '18', '0', '5339', '-1567', '327.7', '-0.71', '0.7');
INSERT INTO `ticket_collectors` VALUES ('19', '19', '0', '5134', '6616.4', '-191.4', '0.42', '-0.83');
INSERT INTO `ticket_collectors` VALUES ('20', '20', '0', '2028', '2534', '19.7', '-0.71', '0.7');
INSERT INTO `ticket_collectors` VALUES ('21', '21', '0', '1558', '2845', '25.7', '1', '0');
INSERT INTO `ticket_collectors` VALUES ('22', '22', '0', '-5487', '-13', '-149.4', '-0.71', '0.7');
INSERT INTO `ticket_collectors` VALUES ('23', '23', '0', '4968.6', '-4883.7', '4.4', '-0.71', '0.7');
INSERT INTO `ticket_collectors` VALUES ('24', '24', '0', '-5863', '4163', '6.8', '0.72', '0.69');
INSERT INTO `ticket_collectors` VALUES ('25', '25', '0', '-5402', '4315', '6.8', '0', '1');
INSERT INTO `ticket_collectors` VALUES ('26', '26', '0', '-5004.5', '4086', '6.6', '-0.94', '0.38');
INSERT INTO `ticket_collectors` VALUES ('27', '27', '0', '-5256.4', '-2150.4', '81.3', '0.92', '-0.38');
INSERT INTO `ticket_collectors` VALUES ('28', '28', '0', '3668', '-6409', '96', '1', '0');
INSERT INTO `ticket_collectors` VALUES ('29', '29', '0', '5205', '5797', '80.7', '1', '0');
INSERT INTO `ticket_collectors` VALUES ('30', '30', '0', '707', '-3047', '6.6', '0', '0.8');
INSERT INTO `ticket_collectors` VALUES ('31', '31', '0', '-2222', '2298', '20', '0', '0.8');
INSERT INTO `ticket_collectors` VALUES ('32', '32', '0', '4328', '5422', '10.6', '0.75', '0.8');
INSERT INTO `ticket_collectors` VALUES ('33', '33', '0', '38', '-5332', '52.6', '1', '0');
INSERT INTO `ticket_collectors` VALUES ('34', '34', '0', '-1090', '-3554.9', '12.6', '-0.64', '0.76');
INSERT INTO `ticket_collectors` VALUES ('35', '35', '0', '3427.5', '-4642', '5.6', '-0.51', '0.8');
INSERT INTO `ticket_collectors` VALUES ('36', '36', '0', '1720', '3191', '7.6', '1', '0');
INSERT INTO `ticket_collectors` VALUES ('37', '37', '0', '-2792', '2179', '5.6', '-0.15', '0.8');
INSERT INTO `ticket_collectors` VALUES ('38', '38', '0', '-3116', '2165', '5.6', '0.6', '0.8');
INSERT INTO `ticket_collectors` VALUES ('39', '39', '0', '4032', '-6222', '37', '1', '0');
INSERT INTO `ticket_collectors` VALUES ('40', '40', '0', '-6927', '-5704', '73', '-0.71', '0.7');
INSERT INTO `ticket_collectors` VALUES ('41', '41', '0', '-288', '4890', '35', '1', '0');
INSERT INTO `ticket_collectors` VALUES ('42', '42', '1692104', '-13', '8', '7.9418', '1', '0');
INSERT INTO `ticket_collectors` VALUES ('43', '43', '0', '4715.31', '-4656.65', '4.17', '0.996648', '-0.0818144');
INSERT INTO `ticket_collectors` VALUES ('44', '44', '0', '1344.26', '2762.17', '13', '1', '0');
INSERT INTO `ticket_collectors` VALUES ('45', '45', '0', '5302', '6672', '-192', '0', '1');
INSERT INTO `ticket_collectors` VALUES ('46', '46', '0', '3367', '5612', '308', '0.75', '-0.657');
INSERT INTO `ticket_collectors` VALUES ('47', '47', '0', '-3149', '2895', '31', '0.94', '-0.34');
INSERT INTO `ticket_collectors` VALUES ('48', '48', '0', '-4986', '-2218', '21', '-0.55', '0.83');
INSERT INTO `ticket_collectors` VALUES ('49', '49', '0', '-51', '-4722', '28', '0', '1');
INSERT INTO `ticket_collectors` VALUES ('52', '52', '0', '245', '-2940', '6', '1', '0');
INSERT INTO `ticket_collectors` VALUES ('53', '53', '0', '4469', '5373', '2', '0.83', '-0.55');
INSERT INTO `ticket_collectors` VALUES ('54', '54', '0', '1252', '3059', '7', '0.73', '0.67');
INSERT INTO `ticket_collectors` VALUES ('55', '55', '0', '-2820', '2091', '5', '0.39', '1');
INSERT INTO `ticket_collectors` VALUES ('56', '56', '0', '3621', '-4785', '5', '-0.15', '1');
INSERT INTO `ticket_collectors` VALUES ('57', '57', '0', '-1377', '-3587', '12', '1', '0');
INSERT INTO `ticket_collectors` VALUES ('50', '50', '0', '5356', '5752', '80', '0.82', '-0.565');
INSERT INTO `ticket_collectors` VALUES ('51', '51', '0', '-5388', '-2173', '80', '0.98', '-0.19');
INSERT INTO `ticket_terminals` VALUES ('1', '1', '0', '6935', '-5545', '330.6', '-0.64', '0.8');
INSERT INTO `ticket_terminals` VALUES ('2', '2', '0', '6638', '-5912', '330.6', '0.75', '0.8');
INSERT INTO `ticket_terminals` VALUES ('3', '3', '0', '-319.5', '-4634', '28.6', '1', '0');
INSERT INTO `ticket_terminals` VALUES ('4', '4', '0', '-15', '-4402', '28.6', '1', '0');
INSERT INTO `ticket_terminals` VALUES ('5', '5', '0', '3079.5', '5002.5', '280.6', '0.75', '0.8');
INSERT INTO `ticket_terminals` VALUES ('6', '6', '0', '-3765.5', '3240.5', '86.6', '1', '0');
INSERT INTO `ticket_terminals` VALUES ('7', '7', '0', '-5011', '-2353', '21.6', '0', '0.8');
INSERT INTO `ticket_terminals` VALUES ('8', '8', '0', '-5607', '-2781', '21.6', '0.75', '0.8');
INSERT INTO `ticket_terminals` VALUES ('9', '9', '0', '-5542', '-6053', '16.6', '1', '0');
INSERT INTO `ticket_terminals` VALUES ('10', '10', '8565353', '-3.19301', '-17.5063', '0.146595', '-0.71', '0.7');
INSERT INTO `ticket_terminals` VALUES ('11', '11', '2955586', '-3.19301', '-17.5063', '0.146595', '-0.71', '0.7');
INSERT INTO `ticket_terminals` VALUES ('12', '12', '7105354', '-3.19301', '-17.5063', '0.146595', '-0.71', '0.7');
INSERT INTO `ticket_terminals` VALUES ('13', '13', '2835561', '-3.19301', '-17.5063', '0.146595', '-0.71', '0.7');
INSERT INTO `ticket_terminals` VALUES ('14', '14', '6915359', '-3.19301', '-17.5063', '0.146596', '-0.71', '0.7');
INSERT INTO `ticket_terminals` VALUES ('15', '15', '9875354', '-3.19301', '-17.5063', '0.146596', '-0.71', '0.7');
INSERT INTO `ticket_terminals` VALUES ('16', '16', '6705353', '-3.19301', '-17.5063', '0.146596', '-0.71', '0.7');
INSERT INTO `ticket_terminals` VALUES ('17', '17', '4705365', '-3.19301', '-17.5063', '0.146596', '-0.71', '0.7');
INSERT INTO `ticket_terminals` VALUES ('18', '18', '0', '5339', '-1585', '327.7', '-0.71', '0.7');
INSERT INTO `ticket_terminals` VALUES ('19', '19', '0', '5122', '6605', '-191.4', '0.42', '-0.83');
INSERT INTO `ticket_terminals` VALUES ('20', '20', '0', '2027.8', '2517', '19.7', '-0.71', '0.7');
INSERT INTO `ticket_terminals` VALUES ('21', '21', '0', '1576', '2845', '25.7', '1', '0');
INSERT INTO `ticket_terminals` VALUES ('22', '22', '0', '-5487', '-30', '-149.4', '-0.71', '0.7');
INSERT INTO `ticket_terminals` VALUES ('23', '23', '0', '4968.6', '-4901', '4.4', '-0.71', '0.7');
INSERT INTO `ticket_terminals` VALUES ('24', '24', '0', '-5863', '4181', '6.8', '0.72', '0.69');
INSERT INTO `ticket_terminals` VALUES ('25', '25', '0', '-5419', '4315', '6.8', '0', '1');
INSERT INTO `ticket_terminals` VALUES ('26', '26', '0', '-4990', '4075', '6.6', '-0.94', '0.38');
INSERT INTO `ticket_terminals` VALUES ('27', '27', '0', '-5244', '-2163.1', '81.3', '0.92', '-0.38');
INSERT INTO `ticket_terminals` VALUES ('28', '28', '4505530', '-3.19', '-17.51', '0.1466', '-0.71', '0.7');
INSERT INTO `ticket_terminals` VALUES ('29', '29', '0', '5221', '5797', '80.7', '1', '0');
INSERT INTO `ticket_terminals` VALUES ('30', '30', '0', '689', '-3047', '6.6', '0', '0.8');
INSERT INTO `ticket_terminals` VALUES ('31', '31', '4965639', '-3.19', '-17.51', '0.1466', '-0.71', '0.7');
INSERT INTO `ticket_terminals` VALUES ('32', '32', '0', '4328', '5439', '10.6', '0.75', '0.8');
INSERT INTO `ticket_terminals` VALUES ('33', '33', '0', '54', '-5332', '52.6', '1', '0');
INSERT INTO `ticket_terminals` VALUES ('34', '34', '0', '-1092', '-3570.9', '12.6', '-0.64', '0.76');
INSERT INTO `ticket_terminals` VALUES ('35', '35', '0', '3418.5', '-4657.5', '5.6', '-0.51', '0.8');
INSERT INTO `ticket_terminals` VALUES ('36', '36', '0', '1738.5', '3191', '7.6', '1', '0');
INSERT INTO `ticket_terminals` VALUES ('37', '37', '0', '-2809.5', '2175', '5.6', '-0.15', '0.8');
INSERT INTO `ticket_terminals` VALUES ('38', '38', '0', '-3121', '2183', '5.6', '0.6', '0.8');
INSERT INTO `ticket_terminals` VALUES ('39', '39', '1512720', '-3.19', '-17.51', '0.1466', '-0.71', '0.7');
INSERT INTO `ticket_terminals` VALUES ('40', '40', '3035485', '-3.19', '-17.51', '0.1466', '-0.71', '0.7');
INSERT INTO `ticket_terminals` VALUES ('41', '41', '7795549', '-3.19', '-17.51', '0.1466', '-0.71', '0.7');
INSERT INTO `ticket_terminals` VALUES ('42', '42', '1692104', '-9.49707', '-45.2359', '7.97928', '-0.71', '1');
INSERT INTO `ticket_terminals` VALUES ('43', '42', '1692104', '9.49707', '-45.2359', '7.97928', '-0.71', '1');
INSERT INTO `ticket_terminals` VALUES ('44', '42', '1692103', '26.9453', '-67.1413', '0.749357', '1', '0');
INSERT INTO `ticket_terminals` VALUES ('45', '42', '1692102', '-26.9453', '-67.1413', '0.749357', '1', '0');
INSERT INTO `ticket_terminals` VALUES ('46', '43', '4215410', '-2.7419', '48.1677', '0.639421', '1', '1');
INSERT INTO `ticket_terminals` VALUES ('47', '43', '4215410', '12.6536', '51.1838', '0.639421', '-0.416129', '0.909306');
INSERT INTO `ticket_terminals` VALUES ('48', '43', '4215410', '2.54505', '48.1693', '0.639421', '-1', '1');
INSERT INTO `ticket_terminals` VALUES ('49', '43', '4215410', '-13.0021', '51.1865', '0.639421', '0.332372', '0.943148');
INSERT INTO `ticket_terminals` VALUES ('50', '45', '1741539', '-2.7419', '48.1677', '0.639421', '1', '1');
INSERT INTO `ticket_terminals` VALUES ('51', '45', '1741539', '12.6536', '51.1838', '0.639421', '-0.416129', '0.909306');
INSERT INTO `ticket_terminals` VALUES ('52', '45', '1741539', '2.54505', '48.1693', '0.639421', '-1', '1');
INSERT INTO `ticket_terminals` VALUES ('53', '45', '1741539', '-13.0021', '51.1865', '0.639421', '0.332372', '0.943148');
INSERT INTO `ticket_terminals` VALUES ('54', '44', '2125382', '-2.7419', '48.1677', '0.639421', '1', '1');
INSERT INTO `ticket_terminals` VALUES ('55', '44', '2125382', '12.6536', '51.1838', '0.639421', '-0.416129', '0.909306');
INSERT INTO `ticket_terminals` VALUES ('56', '44', '2125382', '2.54505', '48.1693', '0.639421', '-1', '1');
INSERT INTO `ticket_terminals` VALUES ('57', '44', '2125382', '-13.0021', '51.1865', '0.639421', '0.332372', '0.943148');
INSERT INTO `ticket_terminals` VALUES ('58', '46', '9665356', '-2.7419', '48.1677', '0.639421', '1', '1');
INSERT INTO `ticket_terminals` VALUES ('59', '46', '9665356', '12.6536', '51.1838', '0.639421', '-0.416129', '0.909306');
INSERT INTO `ticket_terminals` VALUES ('60', '46', '9665356', '2.54505', '48.1693', '0.639421', '-1', '1');
INSERT INTO `ticket_terminals` VALUES ('61', '46', '9665356', '-13.0021', '51.1865', '0.639421', '0.332372', '0.943148');
INSERT INTO `ticket_terminals` VALUES ('62', '47', '4255423', '-2.7419', '48.1677', '0.639421', '1', '1');
INSERT INTO `ticket_terminals` VALUES ('63', '47', '4255423', '12.6536', '51.1838', '0.639421', '-0.416129', '0.909306');
INSERT INTO `ticket_terminals` VALUES ('64', '47', '4255423', '2.54505', '48.1693', '0.639421', '-1', '1');
INSERT INTO `ticket_terminals` VALUES ('65', '47', '4255423', '-13.0021', '51.1865', '0.639421', '0.332372', '0.943148');
INSERT INTO `ticket_terminals` VALUES ('66', '48', '1935687', '-2.7419', '48.1677', '0.639421', '1', '1');
INSERT INTO `ticket_terminals` VALUES ('67', '48', '1935687', '12.6536', '51.1838', '0.639421', '-0.416129', '0.909306');
INSERT INTO `ticket_terminals` VALUES ('68', '48', '1935687', '2.54505', '48.1693', '0.639421', '-1', '1');
INSERT INTO `ticket_terminals` VALUES ('69', '48', '1935687', '-13.0021', '51.1865', '0.639421', '0.332372', '0.943148');
INSERT INTO `ticket_terminals` VALUES ('70', '49', '1855675', '-2.7419', '48.1677', '0.639421', '1', '1');
INSERT INTO `ticket_terminals` VALUES ('71', '49', '1855675', '12.6536', '51.1838', '0.639421', '-0.416129', '0.909306');
INSERT INTO `ticket_terminals` VALUES ('72', '49', '1855675', '2.54505', '48.1693', '0.639421', '-1', '1');
INSERT INTO `ticket_terminals` VALUES ('73', '49', '1855675', '-13.0021', '51.1865', '0.639421', '0.332372', '0.943148');
INSERT INTO `ticket_terminals` VALUES ('74', '50', '4635670', '-2.7419', '48.1677', '0.639421', '1', '1');
INSERT INTO `ticket_terminals` VALUES ('75', '50', '4635670', '12.6536', '51.1838', '0.639421', '-0.416129', '0.909306');
INSERT INTO `ticket_terminals` VALUES ('76', '50', '4635670', '2.54505', '48.1693', '0.639421', '-1', '1');
INSERT INTO `ticket_terminals` VALUES ('77', '50', '4635670', '-13.0021', '51.1865', '0.639421', '0.332372', '0.943148');
INSERT INTO `ticket_terminals` VALUES ('78', '51', '4635437', '-2.7419', '48.1677', '0.639421', '1', '1');
INSERT INTO `ticket_terminals` VALUES ('79', '51', '4635437', '12.6536', '51.1838', '0.639421', '-0.416129', '0.909306');
INSERT INTO `ticket_terminals` VALUES ('80', '51', '4635437', '2.54505', '48.1693', '0.639421', '-1', '1');
INSERT INTO `ticket_terminals` VALUES ('81', '51', '4635437', '-13.0021', '51.1865', '0.639421', '0.332372', '0.943148');
INSERT INTO `ticket_terminals` VALUES ('82', '52', '3175356', '-2.7419', '48.1677', '0.639421', '1', '1');
INSERT INTO `ticket_terminals` VALUES ('83', '52', '3175356', '12.6536', '51.1838', '0.639421', '-0.416129', '0.909306');
INSERT INTO `ticket_terminals` VALUES ('84', '52', '3175356', '2.54505', '48.1693', '0.639421', '-1', '1');
INSERT INTO `ticket_terminals` VALUES ('85', '52', '3175356', '-13.0021', '51.1865', '0.639421', '0.332372', '0.943148');
INSERT INTO `ticket_terminals` VALUES ('86', '53', '4265359', '-2.7419', '48.1677', '0.639421', '1', '1');
INSERT INTO `ticket_terminals` VALUES ('87', '53', '4265359', '12.6536', '51.1838', '0.639421', '-0.416129', '0.909306');
INSERT INTO `ticket_terminals` VALUES ('88', '53', '4265359', '2.54505', '48.1693', '0.639421', '-1', '1');
INSERT INTO `ticket_terminals` VALUES ('89', '53', '4265359', '-13.0021', '51.1865', '0.639421', '0.332372', '0.943148');
INSERT INTO `ticket_terminals` VALUES ('90', '54', '4005520', '-2.7419', '48.1677', '0.639421', '1', '1');
INSERT INTO `ticket_terminals` VALUES ('91', '54', '4005520', '12.6536', '51.1838', '0.639421', '-0.416129', '0.909306');
INSERT INTO `ticket_terminals` VALUES ('92', '54', '4005520', '2.54505', '48.1693', '0.639421', '-1', '1');
INSERT INTO `ticket_terminals` VALUES ('93', '54', '4005520', '-13.0021', '51.1865', '0.639421', '0.332372', '0.943148');
INSERT INTO `ticket_terminals` VALUES ('94', '55', '1261655', '-2.7419', '48.1677', '0.639421', '1', '1');
INSERT INTO `ticket_terminals` VALUES ('95', '55', '1261655', '12.6536', '51.1838', '0.639421', '-0.416129', '0.909306');
INSERT INTO `ticket_terminals` VALUES ('96', '55', '1261655', '2.54505', '48.1693', '0.639421', '-1', '1');
INSERT INTO `ticket_terminals` VALUES ('97', '55', '1261655', '-13.0021', '51.1865', '0.639421', '0.332372', '0.943148');
INSERT INTO `ticket_terminals` VALUES ('98', '56', '1106372', '-2.7419', '48.1677', '0.639421', '1', '1');
INSERT INTO `ticket_terminals` VALUES ('99', '56', '1106372', '12.6536', '51.1838', '0.639421', '-0.416129', '0.909306');
INSERT INTO `ticket_terminals` VALUES ('100', '56', '1106372', '2.54505', '48.1693', '0.639421', '-1', '1');
INSERT INTO `ticket_terminals` VALUES ('101', '56', '1106372', '-13.0021', '51.1865', '0.639421', '0.332372', '0.943148');
INSERT INTO `ticket_terminals` VALUES ('102', '57', '1026828', '-2.7419', '48.1677', '0.639421', '1', '1');
INSERT INTO `ticket_terminals` VALUES ('103', '57', '1026828', '12.6536', '51.1838', '0.639421', '-0.416129', '0.909306');
INSERT INTO `ticket_terminals` VALUES ('104', '57', '1026828', '2.54505', '48.1693', '0.639421', '-1', '1');
INSERT INTO `ticket_terminals` VALUES ('105', '57', '1026828', '-13.0021', '51.1865', '0.639421', '0.332372', '0.943148');
INSERT INTO `trainers` VALUES ('Coronet ', 'a Merchant trainer', 'trainer_merchant', 'crafting_merchant', 'D717AE2E', '0C0006B9', '450D6134', '0', '0', '-369', '-4533', '28', '0', '0', '0', '0.717733', '0.696318', '1', '0');
INSERT INTO `trainers` VALUES ('Doaba Guerfel', 'a Merchant trainer', 'trainer_merchant', 'crafting_merchant', 'D717AE2E', '0C0006B9', '450D6134', '0', '3075410', '3105', '5274', '301', '12', '6', '1.13306', '1', '0', '2', '0');
INSERT INTO `trainers` VALUES ('Kor Vella', 'a Merchant trainer', 'trainer_merchant', 'crafting_merchant', 'D717AE2E', '0C0006B9', '450D6134', '0', '2955398', '-3675', '3064', '87', '12', '6', '1.13306', '1', '0', '3', '0');
INSERT INTO `trainers` VALUES ('Tyrena', 'a Merchant trainer', 'trainer_merchant', 'crafting_merchant', 'D717AE2E', '0C0006B9', '450D6134', '0', '1935461', '-5515', '-2691', '22', '12', '6', '1.13306', '1', '0', '4', '0');
INSERT INTO `trainers` VALUES ('Kaadara', 'a Merchant trainer', 'trainer_merchant', 'crafting_merchant', 'D717AE2E', '0C0006B9', '450D6134', '5', '1741468', '5125', '6792', '-190', '12', '6', '1.13306', '1', '0', '5', '0');
INSERT INTO `trainers` VALUES ('Keren', 'a Merchant trainer', 'trainer_merchant', 'crafting_merchant', 'D717AE2E', '0C0006B9', '450D6134', '5', '0', '1524', '2782', '25', '0', '0', '0', '0.320035', '0.947406', '6', '0');
INSERT INTO `trainers` VALUES ('Keren', 'a Merchant trainer', 'trainer_merchant', 'crafting_merchant', 'D717AE2E', '0C0006B9', '450D6134', '5', '1650541', '1775', '2559', '13', '12', '6', '1.13306', '1', '0', '7', '0');
INSERT INTO `trainers` VALUES ('Keren', 'a Merchant trainer', 'trainer_merchant', 'crafting_merchant', 'D717AE2E', '0C0006B9', '450D6134', '5', '0', '2005', '2483', '12', '0', '0', '0', '0.852886', '-0.522097', '8', '0');
INSERT INTO `trainers` VALUES ('Moenia', 'a Merchant trainer', 'trainer_merchant', 'crafting_merchant', 'D717AE2E', '0C0006B9', '450D6134', '5', '0', '4819', '-4704', '4.17', '0', '0', '0', '-0.650473', '0.75953', '9', '0');
INSERT INTO `trainers` VALUES ('Moenia', 'a Merchant trainer', 'trainer_merchant', 'crafting_merchant', 'D717AE2E', '0C0006B9', '450D6134', '5', '1717553', '4817', '-4994', '4', '12', '6', '1.13306', '1', '0', '10', '0');
INSERT INTO `trainers` VALUES ('Theed', 'a Merchant trainer', 'trainer_merchant', 'crafting_merchant', 'D717AE2E', '0C0006B9', '450D6134', '5', '0', '-5129', '4238', '6', '0', '0', '0', '0.827', '0.561', '11', '0');
INSERT INTO `trainers` VALUES ('Theed', 'a Merchant trainer', 'trainer_merchant', 'crafting_merchant', 'D717AE2E', '0C0006B9', '450D6134', '5', '1692091', '-5440', '4002', '7', '12', '6', '1.13306', '1', '0', '12', '0');
INSERT INTO `trainers` VALUES ('Theed', 'a Merchant trainer', 'trainer_merchant', 'crafting_merchant', 'D717AE2E', '0C0006B9', '450D6134', '5', '0', '-5993', '4286', '6', '0', '0', '0', '0.566754', '0.823887', '13', '0');
INSERT INTO `trainers` VALUES ('Narmle', 'a Merchant trainer', 'trainer_merchant', 'crafting_merchant', 'D717AE2E', '0C0006B9', '450D6134', '6', '0', '-5159', '-2325', '80', '0', '0', '0', '0.931801', '0.362969', '14', '0');
INSERT INTO `trainers` VALUES ('Narmle', 'a Merchant trainer', 'trainer_merchant', 'crafting_merchant', 'D717AE2E', '0C0006B9', '450D6134', '6', '4635411', '-4998', '-2412', '81', '12', '6', '1.13306', '1', '0', '15', '0');
INSERT INTO `trainers` VALUES ('Restuss', 'a Merchant trainer', 'trainer_merchant', 'crafting_merchant', 'D717AE2E', '0C0006B9', '450D6134', '6', '0', '5388', '5673', '80', '0', '0', '0', '0.821', '0.5721', '16', '0');
INSERT INTO `trainers` VALUES ('Dearic', 'a Merchant trainer', 'trainer_merchant', 'crafting_merchant', 'D717AE2E', '0C0006B9', '450D6134', '7', '3175559', '614', '-3047', '7', '12', '6', '1.13306', '1', '0', '17', '0');
INSERT INTO `trainers` VALUES ('Nashal', 'a Merchant trainer', 'trainer_merchant', 'crafting_merchant', 'D717AE2E', '0C0006B9', '450D6134', '7', '4265413', '4281', '5129', '3', '12', '6', '1.13306', '1', '0', '18', '0');
INSERT INTO `trainers` VALUES ('Bestine', 'a Merchant trainer', 'trainer_merchant', 'crafting_merchant', 'D717AE2E', '0C0006B9', '450D6134', '8', '1028579', '-1257', '-3527', '13', '12', '6', '1.13306', '1', '0', '19', '0');
INSERT INTO `trainers` VALUES ('Mos Eisley', 'a Merchant trainer', 'trainer_merchant', 'crafting_merchant', 'D717AE2E', '0C0006B9', '450D6134', '8', '1189576', '3338', '-4717', '6', '12', '6', '1.13306', '1', '0', '20', '0');
INSERT INTO `trainers` VALUES ('Mos Entha', 'a Merchant trainer', 'trainer_merchant', 'crafting_merchant', 'D717AE2E', '0C0006B9', '450D6134', '8', '0', '1273', '3151', '7', '0', '0', '0', '0.984731', '0.174081', '21', '0');
INSERT INTO `trainers` VALUES ('Mos Entha', 'a Merchant trainer', 'trainer_merchant', 'crafting_merchant', 'D717AE2E', '0C0006B9', '450D6134', '8', '1154181', '1308', '3368', '8', '12', '6', '1.13306', '1', '0', '22', '0');
INSERT INTO `trainers` VALUES ('Mos Espa', 'a Merchant trainer', 'trainer_merchant', 'crafting_merchant', 'D717AE2E', '0C0006B9', '450D6134', '8', '1256019', '-3047', '2070', '6', '12', '6', '1.13306', '1', '0', '23', '0');
INSERT INTO `trainers` VALUES ('Doaba Guerfel', 'a Fencer trainer', 'trainer_1hsword', 'combat_1hsword', '4B88D720', '909F7FB7', 'D992183A', '0', '0', '3284', '5406', '300', '0', '0', '0', '0.310022', '0.95073', '24', '0');
INSERT INTO `trainers` VALUES ('Kor Vella', 'a Fencer trainer', 'trainer_1hsword', 'combat_1hsword', '4B88D720', '909F7FB7', 'D992183A', '0', '0', '-3320', '3220', '86', '0', '0', '0', '0', '1', '25', '0');
INSERT INTO `trainers` VALUES ('Mos Eisley', 'a Fencer trainer', 'trainer_1hsword', 'combat_1hsword', '4B88D720', '909F7FB7', 'D992183A', '8', '9655496', '3528', '-4762', '5', '4.4', '-7.8', '0.2', '0.309956', '0.950751', '26', '0');
INSERT INTO `trainers` VALUES ('Mos Espa', 'a Fencer trainer', 'trainer_1hsword', 'combat_1hsword', '4B88D720', '909F7FB7', 'D992183A', '8', '0', '-2964', '2021', '5', '0', '0', '0', '-0.279', '0.96', '27', '0');
INSERT INTO `trainers` VALUES ('Theed', 'a Fencer trainer', 'trainer_1hsword', 'combat_1hsword', '4B88D720', '909F7FB7', 'D992183A', '5', '0', '-5565', '4304', '6', '0', '0', '0', '-0.66759', '0.744529', '28', '0');
INSERT INTO `trainers` VALUES ('Narmle', 'a Fencer trainer', 'trainer_1hsword', 'combat_1hsword', '4B88D720', '909F7FB7', 'D992183A', '6', '0', '-5219', '-2164', '80.6094', '0', '0', '0', '0', '1', '29', '0');
INSERT INTO `trainers` VALUES ('Dearic', 'a Fencer trainer', 'trainer_1hsword', 'combat_1hsword', '4B88D720', '909F7FB7', 'D992183A', '7', '0', '548.007', '-2865.16', '6', '0', '0', '0', '0.997019', '0.0771557', '30', '0');
INSERT INTO `trainers` VALUES ('Nashal', 'a Fencer trainer', 'trainer_1hsword', 'combat_1hsword', '4B88D720', '909F7FB7', 'D992183A', '7', '4265477', '4511', '5159', '2', '5', '-8', '0', '-0.24217', '0.970234', '31', '0');
INSERT INTO `trainers` VALUES ('Mos Entha', 'a Commando trainer', 'trainer_commando', 'combat_commando', '26491B73', '98F1F3B2', '387F613C', '8', '0', '1551.92', '3334.86', '7', '0', '0', '0', '0.468842', '0.883282', '32', '0');
INSERT INTO `trainers` VALUES ('Wayfar', 'a Commando trainer', 'trainer_commando', 'combat_commando', '26491B73', '98F1F3B2', '387F613C', '8', '0', '-5038', '-6609', '75', '0', '0', '0', '0.919099', '-0.394028', '33', '0');
INSERT INTO `trainers` VALUES ('Narmle', 'a Commando trainer', 'trainer_commando', 'combat_commando', '26491B73', '98F1F3B2', '387F613C', '6', '0', '-5180', '-2349', '80', '0', '0', '0', '0.999763', '0.0217487', '34', '0');
INSERT INTO `trainers` VALUES ('Restuss', 'a Commando trainer', 'trainer_commando', 'combat_commando', '26491B73', '98F1F3B2', '387F613C', '6', '4635689', '5436', '5811', '81', '9.51478', '-10.433', '1.13306', '0.336511', '0.941679', '35', '0');
INSERT INTO `trainers` VALUES ('Rebel Outpost', 'a Commando trainer', 'trainer_commando', 'combat_commando', '26491B73', '98F1F3B2', '387F613C', '6', '4505792', '3695', '-6484', '96', '-1.5837', '2.75309', '0.74', '0.999913', '0.0131604', '36', '0');
INSERT INTO `trainers` VALUES ('Kor Vella', 'a Commando trainer', 'trainer_commando', 'combat_commando', '26491B73', '98F1F3B2', '387F613C', '0', '0', '-3344', '3292', '86', '0', '0', '0', '0', '1', '37', '0');
INSERT INTO `trainers` VALUES ('Imperial Oasis', 'a Commando trainer', 'trainer_commando', 'combat_commando', '26491B73', '98F1F3B2', '387F613C', '8', '0', '-5292', '2718', '6.76132', '0', '0', '0', '0.999696', '-0.0246574', '38', '0');
INSERT INTO `trainers` VALUES ('Theed', 'a Swordsman trainer', 'trainer_2hsword', 'combat_2hsword', '19DD3748', 'C2CA9FDF', '8BC7F852', '5', '0', '-5382', '4327', '0', '0', '0', '0', '0', '0', '39', '0');
INSERT INTO `trainers` VALUES ('Kor Vella', 'a Swordsman trainer', 'trainer_2hsword', 'combat_2hsword', '19DD3748', 'C2CA9FDF', '8BC7F852', '0', '0', '-3374', '3285', '86', '0', '0', '0', '0.690507', '0.723326', '40', '0');
INSERT INTO `trainers` VALUES ('Narmle', 'a Swordsman trainer', 'trainer_2hsword', 'combat_2hsword', '19DD3748', 'C2CA9FDF', '8BC7F852', '6', '0', '-5214', '-2167', '80.4173', '0', '0', '0', '0', '1', '41', '0');
INSERT INTO `trainers` VALUES ('Dearic', 'a Swordsman trainer', 'trainer_2hsword', 'combat_2hsword', '19DD3748', 'C2CA9FDF', '8BC7F852', '7', '0', '552', '-2865', '6', '0', '0', '0', '0.998527', '0.0542564', '42', '0');
INSERT INTO `trainers` VALUES ('Mos Espa', 'a Swordsman trainer', 'trainer_2hsword', 'combat_2hsword', '19DD3748', 'C2CA9FDF', '8BC7F852', '8', '0', '-2971', '2032', '5', '0', '0', '0', '0.998451', '0.0556371', '43', '0');
INSERT INTO `trainers` VALUES ('Karen', 'a Rifleman trainer', 'trainer_rifleman', 'combat_rifleman', 'E56324EF', '3E748C78', '7779EBF5', '5', '0', '1276', '2685', '13', '0', '0', '0', '-0.591354', '0.806412', '44', '0');
INSERT INTO `trainers` VALUES ('Mos Eisley', 'a Rifleman trainer', 'trainer_rifleman', 'combat_rifleman', 'E56324EF', '3E748C78', '7779EBF5', '8', '0', '3426', '-4917', '5', '0', '0', '0', '0', '1', '45', '0');
INSERT INTO `trainers` VALUES ('Narmle', 'a Rifleman trainer', 'trainer_rifleman', 'combat_rifleman', 'E56324EF', '3E748C78', '7779EBF5', '6', '0', '-5215', '-2373', '80', '0', '0', '0', '0.999804', '-0.0198209', '46', '0');
INSERT INTO `trainers` VALUES ('Rebel Outpost', 'a Rifleman trainer', 'trainer_rifleman', 'combat_rifleman', 'E56324EF', '3E748C78', '7779EBF5', '6', '0', '3649', '-6492', '96', '0', '0', '0', '0.384359', '0.923184', '47', '0');
INSERT INTO `trainers` VALUES ('Tyrena', 'a Rifleman trainer', 'trainer_rifleman', 'combat_rifleman', 'E56324EF', '3E748C78', '7779EBF5', '0', '0', '-5234', '-2488', '21', '0', '0', '0', '0.999421', '0.034013', '48', '0');
INSERT INTO `trainers` VALUES ('Dearic', 'a Rifleman trainer', 'trainer_rifleman', 'combat_rifleman', 'E56324EF', '3E748C78', '7779EBF5', '7', '0', '587', '-2870', '6', '0', '0', '0', '0', '1', '49', '0');
INSERT INTO `trainers` VALUES ('Kor Vella', 'a Teras Kasi Artist trainer', 'trainer_unarmed', 'combat_unarmed', '9C58CC5C', '474F64CB', '0E420346', '0', '0', '-3570', '3146', '86', '0', '0', '0', '0.88544', '-0.445034', '50', '0');
INSERT INTO `trainers` VALUES ('Theed', 'a Teras Kasi Artist trainer', 'trainer_unarmed', 'combat_unarmed', '9C58CC5C', '474F64CB', '0E420346', '5', '0', '-5649', '4206', '6', '0', '0', '0', '0', '1', '51', '0');
INSERT INTO `trainers` VALUES ('Narmle', 'a Teras Kasi Artist trainer', 'trainer_unarmed', 'combat_unarmed', '9C58CC5C', '474F64CB', '0E420346', '6', '0', '-5288', '-2508', '79.0383', '0', '0', '0', '0', '1', '52', '0');
INSERT INTO `trainers` VALUES ('Dearic', 'a Teras Kasi Artist trainer', 'trainer_unarmed', 'combat_unarmed', '9C58CC5C', '474F64CB', '0E420346', '7', '0', '418', '-2906', '6', '0', '0', '0', '0', '1', '53', '0');
INSERT INTO `trainers` VALUES ('Mos Espa', 'a Teras Kasi Artist trainer', 'trainer_unarmed', 'combat_unarmed', '9C58CC5C', '474F64CB', '0E420346', '8', '0', '-2812', '1973', '0', '0', '0', '0', '0', '0', '54', '0');
INSERT INTO `trainers` VALUES ('Wayfar', 'a Teras Kasi Artist trainer', 'trainer_unarmed', 'combat_unarmed', '9C58CC5C', '474F64CB', '0E420346', '8', '0', '-5054', '-6632', '75', '0', '0', '0', '0.248871', '0.968537', '55', '0');
INSERT INTO `trainers` VALUES ('Bestine', 'a Bio-engineer trainer', 'trainer_bioengineer', 'outdoors_bio_engineer', '79DD77E3', 'A2CADF74', 'EBC7B8F9', '8', '0', '-1444.06', '-3749.08', '10', '0', '0', '0', '0.707921', '0.706292', '56', '0');
INSERT INTO `trainers` VALUES ('Nashal', 'a Bio-engineer trainer', 'trainer_bioengineer', 'outdoors_bio_engineer', '79DD77E3', 'A2CADF74', 'EBC7B8F9', '7', '4265423', '4343', '5146', '3', '18', '14', '1.566', '0.743', '0.669', '57', '0');
INSERT INTO `trainers` VALUES ('Theed', 'a Bio-engineer trainer', 'trainer_bioengineer', 'outdoors_bio_engineer', '79DD77E3', 'A2CADF74', 'EBC7B8F9', '5', '0', '-5017', '4009', '6', '0', '0', '0', '0', '1', '58', '0');
INSERT INTO `trainers` VALUES ('Coronet', 'a Bio-engineer trainer', 'trainer_bioengineer', 'outdoors_bio_engineer', '79DD77E3', 'A2CADF74', 'EBC7B8F9', '0', '0', '-424.092', '-4651.85', '28', '0', '0', '0', '-0.729596', '0.683878', '59', '0');
INSERT INTO `trainers` VALUES ('Coronet', 'a Brawler trainer', 'trainer_brawler', 'combat_brawler', 'BD157CF4', '6602D463', '2F0FB3EE', '0', '1855508', '-274', '-4379', '29', '-11', '-14', '1.13306', '0', '1', '60', '20');
INSERT INTO `trainers` VALUES ('Doaba Guerfel', 'a Brawler trainer', 'trainer_brawler', 'combat_brawler', 'BD157CF4', '6602D463', '2F0FB3EE', '0', '3075361', '3216', '5239', '301', '-11', '-14', '1.13306', '0', '1', '61', '20');
INSERT INTO `trainers` VALUES ('Tyrena', 'a Brawler trainer', 'trainer_brawler', 'combat_brawler', 'BD157CF4', '6602D463', '2F0FB3EE', '0', '1935445', '-5474', '-2755', '22', '-11', '-14', '1.13306', '0', '1', '62', '20');
INSERT INTO `trainers` VALUES ('Bela Vista', 'a Brawler trainer', 'trainer_brawler', 'combat_brawler', 'BD157CF4', '6602D463', '2F0FB3EE', '0', '2365770', '6885', '-5794', '316', '-11', '-14', '1.13306', '0', '1', '63', '20');
INSERT INTO `trainers` VALUES ('Kor Vella', 'a Brawler trainer', 'trainer_brawler', 'combat_brawler', 'BD157CF4', '6602D463', '2F0FB3EE', '0', '2955427', '-3400', '3397', '75', '-11', '-14', '1.13306', '0', '1', '64', '20');
INSERT INTO `trainers` VALUES ('Kor Vella', 'a Brawler trainer', 'trainer_brawler', 'combat_brawler', 'BD157CF4', '6602D463', '2F0FB3EE', '0', '0', '-3193', '2799', '31', '0', '0', '0', '0.983168', '-0.182703', '65', '20');
INSERT INTO `trainers` VALUES ('Keren', 'a Brawler trainer', 'trainer_brawler', 'combat_brawler', 'BD157CF4', '6602D463', '2F0FB3EE', '5', '0', '1890', '2725', '1.13306', '0', '0', '0', '0', '1', '66', '20');
INSERT INTO `trainers` VALUES ('Keren', 'a Brawler trainer', 'trainer_brawler', 'combat_brawler', 'BD157CF4', '6602D463', '2F0FB3EE', '5', '1650535', '1825', '2625', '13', '-11', '-12.5', '1.13306', '0', '1', '67', '20');
INSERT INTO `trainers` VALUES ('Theed', 'a Brawler trainer', 'trainer_brawler', 'combat_brawler', 'BD157CF4', '6602D463', '2F0FB3EE', '5', '1692075', '-5467', '4089', '7', '-11', '-13', '1', '0', '1', '68', '20');
INSERT INTO `trainers` VALUES ('Moenia', 'a Brawler trainer', 'trainer_brawler', 'combat_brawler', 'BD157CF4', '6602D463', '2F0FB3EE', '5', '1717535', '4710', '-4997', '4', '-11.0386', '-13.0273', '1.13306', '0.0021525', '0.999998', '69', '20');
INSERT INTO `trainers` VALUES ('Moenia', 'a Brawler trainer', 'trainer_brawler', 'combat_brawler', 'BD157CF4', '6602D463', '2F0FB3EE', '5', '0', '4800', '-4734', '4.17', '0', '0', '0', '0.968234', '0.250046', '70', '20');
INSERT INTO `trainers` VALUES ('Kaadara', 'a Brawler trainer', 'trainer_brawler', 'combat_brawler', 'BD157CF4', '6602D463', '2F0FB3EE', '5', '0', '5174.04', '6639.92', '-192', '0', '0', '0', '0.0312334', '0.999512', '71', '20');
INSERT INTO `trainers` VALUES ('Kaadara', 'a Brawler trainer', 'trainer_brawler', 'combat_brawler', 'BD157CF4', '6602D463', '2F0FB3EE', '5', '1741462', '5099', '6792', '-190', '-11.887', '-11.53443', '1.13306', '-0.00609633', '0.999981', '72', '20');
INSERT INTO `trainers` VALUES ('Keren', 'a Brawler trainer', 'trainer_brawler', 'combat_brawler', 'BD157CF4', '6602D463', '2F0FB3EE', '5', '0', '1537', '2757', '25', '0', '0', '0', '0', '1', '73', '20');
INSERT INTO `trainers` VALUES ('Narmle', 'a Brawler trainer', 'trainer_brawler', 'combat_brawler', 'BD157CF4', '6602D463', '2F0FB3EE', '6', '0', '-5212', '-2449', '80', '0', '0', '0', '0.999259', '0.038503', '74', '20');
INSERT INTO `trainers` VALUES ('Restuss', 'a Brawler trainer', 'trainer_brawler', 'combat_brawler', 'BD157CF4', '6602D463', '2F0FB3EE', '6', '4635691', '5457', '5814', '81', '-11', '-14', '1', '0', '1', '75', '20');
INSERT INTO `trainers` VALUES ('Rori', 'a Brawler trainer', 'trainer_brawler', 'combat_brawler', 'BD157CF4', '6602D463', '2F0FB3EE', '6', '0', '5335.31', '5530.48', '80', '0', '0', '0', '-0.349679', '0.93687', '76', '20');
INSERT INTO `trainers` VALUES ('Dearic', 'a Brawler trainer', 'trainer_brawler', 'combat_brawler', 'BD157CF4', '6602D463', '2F0FB3EE', '7', '3175377', '551', '-2886', '7', '-11.1898', '-13.9613', '1.13306', '-0.0227979', '0.99974', '77', '20');
INSERT INTO `trainers` VALUES ('Nashal', 'a Brawler trainer', 'trainer_brawler', 'combat_brawler', 'BD157CF4', '6602D463', '2F0FB3EE', '7', '4265407', '4286', '5395', '11', '-11.0245', '-13.1401', '1.13306', '0.0448135', '0.998955', '78', '20');
INSERT INTO `trainers` VALUES ('Bestine', 'a Brawler trainer', 'trainer_brawler', 'combat_brawler', 'BD157CF4', '6602D463', '2F0FB3EE', '8', '1028553', '-1266', '-3596', '13', '-11.0089', '-13.2203', '1.13306', '-0.00402526', '0.999992', '79', '20');
INSERT INTO `trainers` VALUES ('Bestine', 'a Brawler trainer', 'trainer_brawler', 'combat_brawler', 'BD157CF4', '6602D463', '2F0FB3EE', '8', '0', '-1278.75', '-3540.47', '12', '0', '0', '0', '0.637134', '0.770753', '80', '20');
INSERT INTO `trainers` VALUES ('Mos Eisley', 'a Brawler trainer', 'trainer_brawler', 'combat_brawler', 'BD157CF4', '6602D463', '2F0FB3EE', '8', '1189639', '3460', '-4658', '6', '-10.982', '-13.9557', '1.13306', '0.997906', '0.0646797', '81', '20');
INSERT INTO `trainers` VALUES ('Mos Eisley', 'a Brawler trainer', 'trainer_brawler', 'combat_brawler', 'BD157CF4', '6602D463', '2F0FB3EE', '8', '0', '3496', '-4765', '5', '0', '0', '0', '0.7', '0.7', '82', '20');
INSERT INTO `trainers` VALUES ('Mos Entha', 'a Brawler trainer', 'trainer_brawler', 'combat_brawler', 'BD157CF4', '6602D463', '2F0FB3EE', '8', '1153566', '1387', '3043', '8', '-10.88', '-13.1066', '1.13306', '0.0234174', '0.999726', '83', '20');
INSERT INTO `trainers` VALUES ('Mos Entha', 'a Brawler trainer', 'trainer_brawler', 'combat_brawler', 'BD157CF4', '6602D463', '2F0FB3EE', '8', '0', '1310', '3088', '7', '0', '0', '0', '0', '1', '84', '20');
INSERT INTO `trainers` VALUES ('Mos Entha', 'a Brawler trainer', 'trainer_brawler', 'combat_brawler', 'BD157CF4', '6602D463', '2F0FB3EE', '8', '0', '1741', '3117', '7', '0', '0', '0', '0', '1', '85', '20');
INSERT INTO `trainers` VALUES ('Mos Espa', 'a Brawler trainer', 'trainer_brawler', 'combat_brawler', 'BD157CF4', '6602D463', '2F0FB3EE', '8', '1255994', '-3029', '2431', '6', '-11.2511', '-13.1651', '1.13306', '-0.0317022', '0.999497', '86', '20');
INSERT INTO `trainers` VALUES ('Mos Espa ', 'a Brawler trainer', 'trainer_brawler', 'combat_brawler', 'BD157CF4', '6602D463', '2F0FB3EE', '8', '0', '-2933', '2125', '5', '0', '0', '0', '0.749761', '0.661708', '87', '20');
INSERT INTO `trainers` VALUES ('Keren', 'a Bounty Hunter trainer', 'trainer_bountyhunter', 'combat_bountyhunter', '24DB82C8', 'FFCC2A5F', 'B6C14DD2', '5', '0', '2087', '2575', '0', '0', '0', '0', '0', '0', '88', '0');
INSERT INTO `trainers` VALUES ('Tyrena', 'a Bounty Hunter trainer', 'trainer_bountyhunter', 'combat_bountyhunter', '24DB82C8', 'FFCC2A5F', 'B6C14DD2', '0', '0', '-5130', '-2302', '0', '0', '0', '0', '0', '0', '89', '0');
INSERT INTO `trainers` VALUES ('Mos Eisley', 'a Bounty Hunter trainer', 'trainer_bountyhunter', 'combat_bountyhunter', '24DB82C8', 'FFCC2A5F', 'B6C14DD2', '8', '0', '3357.4', '-4840.42', '5', '0', '0', '0', '0.795537', '-0.605904', '90', '0');
INSERT INTO `trainers` VALUES ('Wayfar', 'a Bounty Hunter trainer', 'trainer_bountyhunter', 'combat_bountyhunter', '24DB82C8', 'FFCC2A5F', 'B6C14DD2', '8', '1134561', '-5151', '-6587', '74', '19', '-17', '-0.894', '0', '1', '91', '0');
INSERT INTO `trainers` VALUES ('Narmle', 'a Bounty Hunter trainer', 'trainer_bountyhunter', 'combat_bountyhunter', '24DB82C8', 'FFCC2A5F', 'B6C14DD2', '6', '0', '-5232', '-2241', '80', '0', '0', '0', '0', '1', '92', '0');
INSERT INTO `trainers` VALUES ('Tyrena', 'a Carbine trainer', 'trainer_carbine', 'combat_carbine', 'CFC43107', '14D39990', '5DDEFE1D', '0', '0', '-5225', '-2488', '0', '0', '0', '0', '0', '0', '93', '0');
INSERT INTO `trainers` VALUES ('Mos Eisley', 'a Carbine trainer', 'trainer_carbine', 'combat_carbine', 'CFC43107', '14D39990', '5DDEFE1D', '8', '0', '3534', '-4695', '0', '0', '0', '0', '0', '0', '94', '0');
INSERT INTO `trainers` VALUES ('Mos Entha', 'a Carbine trainer', 'trainer_carbine', 'combat_carbine', 'CFC43107', '14D39990', '5DDEFE1D', '8', '0', '1158', '3110', '0', '0', '0', '0', '0', '0', '95', '0');
INSERT INTO `trainers` VALUES ('Narmle', 'a Carbine trainer', 'trainer_carbine', 'combat_carbine', 'CFC43107', '14D39990', '5DDEFE1D', '6', '0', '-5138', '-2514', '0', '0', '0', '0', '0', '0', '96', '0');
INSERT INTO `trainers` VALUES ('Keren', 'a Carbine trainer', 'trainer_carbine', 'combat_carbine', 'CFC43107', '14D39990', '5DDEFE1D', '5', '0', '1265.08', '2677.88', '13', '0', '0', '0', '0.0768892', '0.99704', '97', '0');
INSERT INTO `trainers` VALUES ('Dearic', 'a Carbine trainer', 'trainer_carbine', 'combat_carbine', 'CFC43107', '14D39990', '5DDEFE1D', '7', '0', '583', '-2873', '6', '0', '0', '0', '0.869158', '0.494534', '98', '0');
INSERT INTO `trainers` VALUES ('Rebel Outpost', 'a Carbine trainer', 'trainer_carbine', 'combat_carbine', 'CFC43107', '14D39990', '5DDEFE1D', '6', '0', '3627', '-6433', '96', '0', '0', '0', '-0.697913', '0.716183', '99', '0');
INSERT INTO `trainers` VALUES ('Keren', 'a Chef trainer', 'trainer_chef', 'crafting_chef', '2E1A6C48', '5489F466', '008C0C6E', '5', '0', '1840', '2672', '0', '0', '0', '0', '0', '0', '100', '0');
INSERT INTO `trainers` VALUES ('Moenia', 'a Chef trainer', 'trainer_chef', 'crafting_chef', '2E1A6C48', '5489F466', '008C0C6E', '5', '0', '4942', '-4837', '0', '0', '0', '0', '0', '0', '101', '0');
INSERT INTO `trainers` VALUES ('Doaba Guerfel', 'a Chef trainer', 'trainer_chef', 'crafting_chef', '2E1A6C48', '5489F466', '008C0C6E', '0', '0', '3070', '5260', '0', '0', '0', '0', '0', '0', '102', '0');
INSERT INTO `trainers` VALUES ('Restuss', 'a Chef trainer', 'trainer_chef', 'crafting_chef', '2E1A6C48', '5489F466', '008C0C6E', '6', '0', '5181', '5668', '0', '0', '0', '0', '0', '0', '103', '0');
INSERT INTO `trainers` VALUES ('Theed', 'a Chef trainer', 'trainer_chef', 'crafting_chef', '2E1A6C48', '5489F466', '008C0C6E', '5', '0', '-4877', '4065', '6', '0', '0', '0', '0', '1', '104', '0');
INSERT INTO `trainers` VALUES ('Nashal', 'a Chef trainer', 'trainer_chef', 'crafting_chef', '2E1A6C48', '5489F466', '008C0C6E', '7', '0', '4283', '5172', '2', '0', '0', '0', '0', '1', '105', '0');
INSERT INTO `trainers` VALUES ('Kor Vella', 'a Chef trainer', 'trainer_chef', 'crafting_chef', '2E1A6C48', '5489F466', '008C0C6E', '0', '0', '-3147', '2792', '31', '0', '0', '0', '0', '1', '106', '0');
INSERT INTO `trainers` VALUES ('Bestine', 'a Chef trainer', 'trainer_chef', 'crafting_chef', '2E1A6C48', '5489F466', '008C0C6E', '8', '1223850', '-1175', '-3681', '13', '24', '7', '1.3', '0.948', '-0.317', '107', '0');
INSERT INTO `trainers` VALUES ('Moenia', 'a Squad Leader trainer', 'trainer_squadleader', 'outdoors_squadleader', '94ECB00F', '4FFB1898', '06F67F15', '5', '0', '4701', '-4939', '3.75', '0', '0', '0', '0', '1', '108', '0');
INSERT INTO `trainers` VALUES ('Bestine', 'a Squad Leader trainer', 'trainer_squadleader', 'outdoors_squadleader', '94ECB00F', '4FFB1898', '06F67F15', '8', '0', '-1019', '-3532', '0', '0', '0', '0', '0', '0', '109', '0');
INSERT INTO `trainers` VALUES ('Dearic', 'a Squad Leader trainer', 'trainer_squadleader', 'outdoors_squadleader', '94ECB00F', '4FFB1898', '06F67F15', '7', '0', '590.114', '-2934', '6', '0', '0', '0', '0', '1', '110', '0');
INSERT INTO `trainers` VALUES ('Dearic', 'a Pikeman trainer', 'trainer_polearm', 'combat_polearm', 'E22AC202', '393D6A95', '70300D18', '7', '0', '522', '-2934', '0', '0', '0', '0', '0', '0', '111', '0');
INSERT INTO `trainers` VALUES ('Narmle', 'a Pikeman trainer', 'trainer_polearm', 'combat_polearm', 'E22AC202', '393D6A95', '70300D18', '6', '0', '-5278', '-2328', '0', '0', '0', '0', '0', '0', '112', '0');
INSERT INTO `trainers` VALUES ('Theed', 'a Pikeman trainer', 'trainer_polearm', 'combat_polearm', 'E22AC202', '393D6A95', '70300D18', '5', '0', '-5375.06', '4310.92', '6', '0', '0', '0', '0.670499', '0.74191', '113', '0');
INSERT INTO `trainers` VALUES ('Kor Vella', 'a Pikeman trainer', 'trainer_polearm', 'combat_polearm', 'E22AC202', '393D6A95', '70300D18', '0', '0', '-3412', '3084', '86', '0', '0', '0', '0', '1', '114', '0');
INSERT INTO `trainers` VALUES ('Mos Espa', 'a Pikeman trainer', 'trainer_polearm', 'combat_polearm', 'E22AC202', '393D6A95', '70300D18', '8', '0', '-2931', '2386', '5', '0', '0', '0', '0', '1', '115', '0');
INSERT INTO `trainers` VALUES ('Keren', 'a Pistoleer trainer', 'trainer_pistol', 'combat_pistol', '1F743053', 'C46398C4', '8D6EFF49', '5', '0', '1253', '2686', '0', '0', '0', '0', '0', '0', '116', '0');
INSERT INTO `trainers` VALUES ('Tyrena', 'a Pistoleer trainer', 'trainer_pistol', 'combat_pistol', '1F743053', 'C46398C4', '8D6EFF49', '0', '0', '-5220', '-2488', '0', '0', '0', '0', '0', '0', '117', '0');
INSERT INTO `trainers` VALUES ('Narmle', 'a Pistoleer trainer', 'trainer_pistol', 'combat_pistol', '1F743053', 'C46398C4', '8D6EFF49', '6', '0', '-5240', '-2454', '0', '0', '0', '0', '0', '0', '118', '0');
INSERT INTO `trainers` VALUES ('Dearic', 'a Pistoleer trainer', 'trainer_pistol', 'combat_pistol', '1F743053', 'C46398C4', '8D6EFF49', '7', '0', '583', '-2871', '6', '0', '0', '0', '0.862615', '0.505861', '119', '0');
INSERT INTO `trainers` VALUES ('Mos Eisley', 'a Pistoleer trainer', 'trainer_pistol', 'combat_pistol', '1F743053', 'C46398C4', '8D6EFF49', '8', '0', '3358', '-4837', '5', '0', '0', '0', '0', '1', '120', '0');
INSERT INTO `trainers` VALUES ('Keren', 'an Image Designer trainer', 'trainer_imagedesigner', 'social_imagedesigner', 'D29F9084', '09883813', '40855F9E', '5', '4045384', '1708', '2465', '14', '-20.97', '74.23', '2.1287', '1', '0', '121', '0');
INSERT INTO `trainers` VALUES ('Keren', 'an Image Designer trainer', 'trainer_imagedesigner', 'social_imagedesigner', 'D29F9084', '09883813', '40855F9E', '5', '0', '1253', '2711', '13', '0', '0', '0', '0', '1', '122', '0');
INSERT INTO `trainers` VALUES ('Theed', 'an Image Designer trainer', 'trainer_imagedesigner', 'social_imagedesigner', 'D29F9084', '09883813', '40855F9E', '5', '5475488', '-5815', '4255', '8', '-22.9', '74.7', '2.1287', '0.871', '0.491', '123', '0');
INSERT INTO `trainers` VALUES ('Kaadara', 'an Image Designer trainer', 'trainer_imagedesigner', 'social_imagedesigner', 'D29F9084', '09883813', '40855F9E', '5', '4105619', '5399', '6786', '-189', '-21.662', '75.0346', '2.12878', '0.992776', '0.119984', '124', '0');
INSERT INTO `trainers` VALUES ('Dee\'ja Peak', 'an Image Designer trainer', 'trainer_imagedesigner', 'social_imagedesigner', 'D29F9084', '09883813', '40855F9E', '5', '2725361', '4856', '-1494', '362', '-22.2396', '72.4933', '2.12878', '0.999964', '-0.00850745', '125', '0');
INSERT INTO `trainers` VALUES ('Nashal', 'an Image Designer trainer', 'trainer_imagedesigner', 'social_imagedesigner', 'D29F9084', '09883813', '40855F9E', '7', '0', '4346', '5054', '0', '0', '0', '0', '0', '0', '126', '0');
INSERT INTO `trainers` VALUES ('Dearic', 'an Image Designer trainer', 'trainer_imagedesigner', 'social_imagedesigner', 'D29F9084', '09883813', '40855F9E', '7', '3175573', '518', '-3076', '8', '-21.180973', '73.4621', '2.12878', '0.999869', '-0.0168002', '127', '0');
INSERT INTO `trainers` VALUES ('Narmle', 'an Image Designer trainer', 'trainer_imagedesigner', 'social_imagedesigner', 'D29F9084', '09883813', '40855F9E', '6', '4635404', '-5050', '-2261', '82', '-21.5126', '74.0536', '2.12878', '0.999967', '-0.00813125', '128', '0');
INSERT INTO `trainers` VALUES ('Restuss', 'an Image Designer trainer', 'trainer_imagedesigner', 'social_imagedesigner', 'D29F9084', '09883813', '40855F9E', '6', '0', '5255', '5850', '0', '0', '0', '0', '0', '0', '129', '0');
INSERT INTO `trainers` VALUES ('Restuss', 'an Image Designer trainer', 'trainer_imagedesigner', 'social_imagedesigner', 'D29F9084', '09883813', '40855F9E', '6', '4635755', '5489', '5542', '82', '-22.3141', '73.1359', '2.12878', '0.999667', '-0.0257992', '130', '0');
INSERT INTO `trainers` VALUES ('Coronet', 'an Image Designer trainer', 'trainer_imagedesigner', 'social_imagedesigner', 'D29F9084', '09883813', '40855F9E', '0', '2365400', '-187', '-4222', '30', '-21.4483', '74.4461', '2.12878', '0.998887', '-0.0471637', '131', '0');
INSERT INTO `trainers` VALUES ('Tyrena', 'an Image Designer trainer', 'trainer_imagedesigner', 'social_imagedesigner', 'D29F9084', '09883813', '40855F9E', '0', '2365437', '-5661', '-2649', '23', '-21.8004', '74.6487', '2.12878', '0.999478', '-0.0322927', '132', '0');
INSERT INTO `trainers` VALUES ('Doaba Guerfel', 'an Image Designer trainer', 'trainer_imagedesigner', 'social_imagedesigner', 'D29F9084', '09883813', '40855F9E', '0', '4395403', '3470', '5433', '310', '-2.51106', '70.8023', '2.12878', '-0.0149958', '0.999888', '133', '0');
INSERT INTO `trainers` VALUES ('Mos Entha', 'an Image Designer trainer', 'trainer_imagedesigner', 'social_imagedesigner', 'D29F9084', '09883813', '40855F9E', '8', '1153604', '1498', '3318', '9', '-21.3524', '74.1456', '2.12878', '0.99039', '0.138304', '134', '0');
INSERT INTO `trainers` VALUES ('Mos Eisley', 'an Image Designer trainer', 'trainer_imagedesigner', 'social_imagedesigner', 'D29F9084', '09883813', '40855F9E', '8', '1105854', '3217', '-4735', '7', '-20.9956', '73.874', '2.12878', '0.999294', '0.0375812', '135', '0');
INSERT INTO `trainers` VALUES ('Kaadara', 'a Ranger trainer', 'trainer_ranger', 'outdoors_ranger', 'AB1511B9', '7002B92E', '390FDEA3', '5', '0', '5279', '6594', '0', '0', '0', '0', '0', '0', '136', '0');
INSERT INTO `trainers` VALUES ('Nashal', 'a Ranger trainer', 'trainer_ranger', 'outdoors_ranger', 'AB1511B9', '7002B92E', '390FDEA3', '7', '0', '4234', '5262', '0', '0', '0', '0', '0', '0', '137', '0');
INSERT INTO `trainers` VALUES ('Coronet', 'a Ranger trainer', 'trainer_ranger', 'outdoors_ranger', 'AB1511B9', '7002B92E', '390FDEA3', '0', '0', '-505', '-4633', '0', '0', '0', '0', '0', '0', '138', '0');
INSERT INTO `trainers` VALUES ('Narmle', 'a Ranger trainer', 'trainer_ranger', 'outdoors_ranger', 'AB1511B9', '7002B92E', '390FDEA3', '6', '0', '-5167', '-2535', '0', '0', '0', '0', '0', '0', '139', '0');
INSERT INTO `trainers` VALUES ('Mos Entha', 'a Ranger trainer', 'trainer_ranger', 'outdoors_ranger', 'AB1511B9', '7002B92E', '390FDEA3', '8', '0', '1240', '3356', '7', '0', '0', '0', '0', '1', '140', '0');
INSERT INTO `trainers` VALUES ('Nashal', 'a Scout trainer', 'trainer_scout', 'outdoors_scout', 'A0FDAE44', '7BEA06D3', '32E7615E', '7', '4265404', '4304', '5397', '11', '-12.6782', '4.78809', '1.13306', '0.956145', '0.292894', '141', '22');
INSERT INTO `trainers` VALUES ('Nashal', 'a Scout trainer', 'trainer_scout', 'outdoors_scout', 'A0FDAE44', '7BEA06D3', '32E7615E', '7', '0', '4373.71', '5302.45', '2', '0', '0', '0', '0.703476', '0.710719', '142', '22');
INSERT INTO `trainers` VALUES ('Dearic', 'a Scout trainer', 'trainer_scout', 'outdoors_scout', 'A0FDAE44', '7BEA06D3', '32E7615E', '7', '0', '700', '-2911', '0', '0', '0', '0', '0', '0', '143', '22');
INSERT INTO `trainers` VALUES ('Dearic', 'a Scout trainer', 'trainer_scout', 'outdoors_scout', 'A0FDAE44', '7BEA06D3', '32E7615E', '7', '3175374', '553', '-2904', '7', '-13.23', '4.84733', '1.13306', '0.979116', '0.203302', '144', '22');
INSERT INTO `trainers` VALUES ('Kaadara', 'a Scout trainer', 'trainer_scout', 'outdoors_scout', 'A0FDAE44', '7BEA06D3', '32E7615E', '5', '0', '5192.38', '6614.09', '-192', '0', '0', '0', '0.0459989', '0.998941', '145', '22');
INSERT INTO `trainers` VALUES ('Kaadara', 'a Scout trainer', 'trainer_scout', 'outdoors_scout', 'A0FDAE44', '7BEA06D3', '32E7615E', '5', '1741459', '5110', '6780', '-190', '-10.8899', '4.89649', '1.13306', '0.978053', '-0.208355', '146', '22');
INSERT INTO `trainers` VALUES ('Keren', 'a Scout trainer', 'trainer_scout', 'outdoors_scout', 'A0FDAE44', '7BEA06D3', '32E7615E', '5', '0', '1512.27', '2754.94', '25', '0', '0', '0', '0.822118', '0.569317', '147', '22');
INSERT INTO `trainers` VALUES ('Keren', 'a Scout trainer', 'trainer_scout', 'outdoors_scout', 'A0FDAE44', '7BEA06D3', '32E7615E', '5', '1650532', '1840', '2626', '13', '-12.0327', '4.62955', '1.13306', '0.999938', '0.0111458', '148', '22');
INSERT INTO `trainers` VALUES ('Keren', 'a Scout trainer', 'trainer_scout', 'outdoors_scout', 'A0FDAE44', '7BEA06D3', '32E7615E', '5', '0', '1842.37', '2709.61', '12', '0', '0', '0', '0.920853', '0.389909', '149', '22');
INSERT INTO `trainers` VALUES ('Moenia', 'a Scout trainer', 'trainer_scout', 'outdoors_scout', 'A0FDAE44', '7BEA06D3', '32E7615E', '5', '0', '4836.08', '-4703.96', '4.17', '0', '0', '0', '0.734163', '0.678973', '150', '22');
INSERT INTO `trainers` VALUES ('Moenia', 'a Scout trainer', 'trainer_scout', 'outdoors_scout', 'A0FDAE44', '7BEA06D3', '32E7615E', '5', '1717532', '4710', '-4979', '4', '-11.303', '4.63738', '1.13306', '0.986202', '-0.165548', '151', '22');
INSERT INTO `trainers` VALUES ('Theed', 'a Scout trainer', 'trainer_scout', 'outdoors_scout', 'A0FDAE44', '7BEA06D3', '32E7615E', '5', '0', '-4909.36', '4025.86', '6', '0', '0', '0', '-0.0959236', '0.995389', '152', '22');
INSERT INTO `trainers` VALUES ('Theed', 'a Scout trainer', 'trainer_scout', 'outdoors_scout', 'A0FDAE44', '7BEA06D3', '32E7615E', '5', '1692072', '-5470', '4106', '7', '-14.0781', '3.79797', '1.13306', '0.945726', '0.324966', '153', '22');
INSERT INTO `trainers` VALUES ('Theed', 'a Scout trainer', 'trainer_scout', 'outdoors_scout', 'A0FDAE44', '7BEA06D3', '32E7615E', '5', '0', '-5986.5', '4232.79', '6', '0', '0', '0', '0.790587', '0.61235', '154', '22');
INSERT INTO `trainers` VALUES ('Theed', 'a Scout trainer', 'trainer_scout', 'outdoors_scout', 'A0FDAE44', '7BEA06D3', '32E7615E', '5', '0', '-4796', '4103', '6', '0', '0', '0', '0.8', '-0.5', '155', '22');
INSERT INTO `trainers` VALUES ('Mos Eisley', 'a Scout trainer', 'trainer_scout', 'outdoors_scout', 'A0FDAE44', '7BEA06D3', '32E7615E', '8', '0', '3519.76', '-4786.9', '5', '0', '0', '0', '0.620091', '0.78453', '156', '22');
INSERT INTO `trainers` VALUES ('Mos Eisley', 'a Scout trainer', 'trainer_scout', 'outdoors_scout', 'A0FDAE44', '7BEA06D3', '32E7615E', '8', '1189636', '3475', '-4669', '6', '-10.559', '4.83872', '1.13306', '0.978152', '-0.207893', '157', '22');
INSERT INTO `trainers` VALUES ('Mos Entha', 'a Scout trainer', 'trainer_scout', 'outdoors_scout', 'A0FDAE44', '7BEA06D3', '32E7615E', '8', '0', '1303', '3199', '0', '0', '0', '0', '0', '0', '158', '22');
INSERT INTO `trainers` VALUES ('Mos Entha', 'a Scout trainer', 'trainer_scout', 'outdoors_scout', 'A0FDAE44', '7BEA06D3', '32E7615E', '8', '1153563', '1389', '3025', '8', '-11.8112', '4.97548', '1.13306', '0.999683', '-0.0251849', '159', '22');
INSERT INTO `trainers` VALUES ('Mos Espa', 'a Scout trainer', 'trainer_scout', 'outdoors_scout', 'A0FDAE44', '7BEA06D3', '32E7615E', '8', '1255991', '-3012', '2437', '6', '-13.0834', '5.45675', '1.13306', '0.998576', '0.0533543', '160', '22');
INSERT INTO `trainers` VALUES ('Mos Espa', 'a Scout trainer', 'trainer_scout', 'outdoors_scout', 'A0FDAE44', '7BEA06D3', '32E7615E', '8', '0', '-2912.86', '2106.67', '5', '0', '0', '0', '-0.378736', '0.0533543', '161', '22');
INSERT INTO `trainers` VALUES ('Bestine', 'a Scout trainer', 'trainer_scout', 'outdoors_scout', 'A0FDAE44', '7BEA06D3', '32E7615E', '8', '1028550', '-254', '-3582', '13', '-11.0016', '5.08662', '1.13306', '0.998002', '-0.0631855', '162', '22');
INSERT INTO `trainers` VALUES ('Bestine', 'a Scout trainer', 'trainer_scout', 'outdoors_scout', 'A0FDAE44', '7BEA06D3', '32E7615E', '8', '0', '-1295.83', '-3563.27', '12', '0', '0', '0', '0.429229', '0.903196', '163', '22');
INSERT INTO `trainers` VALUES ('Wayfar', 'a Scout trainer', 'trainer_scout', 'outdoors_scout', 'A0FDAE44', '7BEA06D3', '32E7615E', '8', '0', '-5051.46', '-6629.48', '75', '0', '0', '0', '-0.0610823', '0.998133', '164', '22');
INSERT INTO `trainers` VALUES ('Narmle', 'a Scout trainer', 'trainer_scout', 'outdoors_scout', 'A0FDAE44', '7BEA06D3', '32E7615E', '6', '0', '-5211', '-2925', '0', '0', '0', '0', '0', '0', '165', '22');
INSERT INTO `trainers` VALUES ('Narmle', 'a Scout trainer', 'trainer_scout', 'outdoors_scout', 'A0FDAE44', '7BEA06D3', '32E7615E', '6', '0', '-4951.32', '-2373.68', '79.9841', '0', '0', '0', '0.857974', '0.513693', '166', '22');
INSERT INTO `trainers` VALUES ('Restuss', 'a Scout trainer', 'trainer_scout', 'outdoors_scout', 'A0FDAE44', '7BEA06D3', '32E7615E', '6', '0', '5371', '5539', '0', '0', '0', '0', '0', '0', '167', '22');
INSERT INTO `trainers` VALUES ('Restuss', 'a Scout trainer', 'trainer_scout', 'outdoors_scout', 'A0FDAE44', '7BEA06D3', '32E7615E', '6', '4635688', '5458', '5796', '81', '-12.5744', '4.79458', '1.13306', '1', '0', '168', '22');
INSERT INTO `trainers` VALUES ('Coronet', 'a Scout trainer', 'trainer_scout', 'outdoors_scout', 'A0FDAE44', '7BEA06D3', '32E7615E', '0', '0', '-169.45', '-4712.58', '28', '0', '0', '0', '0.919306', '0.393544', '169', '22');
INSERT INTO `trainers` VALUES ('Coronet', 'a Scout trainer', 'trainer_scout', 'outdoors_scout', 'A0FDAE44', '7BEA06D3', '32E7615E', '0', '1855505', '-254', '-4378', '29', '-12', '5.5', '1.13306', '1', '0', '170', '22');
INSERT INTO `trainers` VALUES ('Doaba Guerfel', 'a Scout trainer', 'trainer_scout', 'outdoors_scout', 'A0FDAE44', '7BEA06D3', '32E7615E', '0', '3075358', '3198', '5232', '301', '-12', '5.5', '1.13306', '1', '0', '171', '22');
INSERT INTO `trainers` VALUES ('Doaba Guerfel', 'a Scout trainer', 'trainer_scout', 'outdoors_scout', 'A0FDAE44', '7BEA06D3', '32E7615E', '0', '0', '3330.01', '5512.46', '308', '0', '0', '0', '0.977695', '-0.210027', '172', '22');
INSERT INTO `trainers` VALUES ('Kor Vella', 'a Scout trainer', 'trainer_scout', 'outdoors_scout', 'A0FDAE44', '7BEA06D3', '32E7615E', '0', '2955424', '-3399', '3377', '75', '-12', '5.5', '1.13306', '1', '0', '173', '22');
INSERT INTO `trainers` VALUES ('Kor Vella', 'a Scout trainer', 'trainer_scout', 'outdoors_scout', 'A0FDAE44', '7BEA06D3', '32E7615E', '0', '0', '-3164.42', '2802.08', '31', '0', '0', '0', '0.629216', '0.77723', '174', '22');
INSERT INTO `trainers` VALUES ('Tyrena', 'a Scout trainer', 'trainer_scout', 'outdoors_scout', 'A0FDAE44', '7BEA06D3', '32E7615E', '0', '0', '-5061.86', '-2322.52', '21', '0', '0', '0', '0.307687', '0.951487', '175', '22');
INSERT INTO `trainers` VALUES ('Tyrena', 'a Scout trainer', 'trainer_scout', 'outdoors_scout', 'A0FDAE44', '7BEA06D3', '32E7615E', '0', '1935442', '-5475', '-2736', '22', '-12', '5.5', '1.13306', '1', '0', '176', '22');
INSERT INTO `trainers` VALUES ('Bela Vistal', 'a Scout trainer', 'trainer_scout', 'outdoors_scout', 'A0FDAE44', '7BEA06D3', '32E7615E', '0', '2365767', '6866', '-5795', '316', '-12', '5.5', '1.13306', '1', '0', '177', '22');
INSERT INTO `trainers` VALUES ('Bela Vistal', 'a Scout trainer', 'trainer_scout', 'outdoors_scout', 'A0FDAE44', '7BEA06D3', '32E7615E', '0', '0', '6737.85', '-5491.3', '315', '0', '0', '0', '-0.270338', '0.962765', '178', '22');
INSERT INTO `trainers` VALUES ('Tyrena', 'a Dancer trainer', 'trainer_dancer', 'social_dancer', '1DE98D36', 'C6FE25A1', '1C1B7A22', '0', '2625355', '-5229', '-2556', '20', '16.7961', '-10.1031', '-0.894993', '0.0251754', '0.999683', '179', '0');
INSERT INTO `trainers` VALUES ('Tyrena', 'a Dancer trainer', 'trainer_dancer', 'social_dancer', '1DE98D36', 'C6FE25A1', '1C1B7A22', '0', '2365436', '-5640', '-2610', '23', '17.6008', '53.4279', '2.12878', '0.035964', '0.999353', '180', '0');
INSERT INTO `trainers` VALUES ('Coronet', 'a Dancer trainer', 'trainer_dancer', 'social_dancer', '1DE98D36', 'C6FE25A1', '1C1B7A22', '0', '2365399', '-227', '-4202', '30', '18.5885', '53.9366', '2.12869', '0.00145099', '0.999999', '181', '0');
INSERT INTO `trainers` VALUES ('Kor Vella', 'a Dancer trainer', 'trainer_dancer', 'social_dancer', '1DE98D36', 'C6FE25A1', '1C1B7A22', '0', '3005398', '-3464', '3056', '78', '34.5107', '1.79681', '0.105', '-0.703289', '0.710905', '182', '0');
INSERT INTO `trainers` VALUES ('Doaba Guerfel', 'a Dancer trainer', 'trainer_dancer', 'social_dancer', '1DE98D36', 'C6FE25A1', '1C1B7A22', '0', '4395403', '3445', '5423', '310', '17.7541', '53.6699', '2.12875', '0.00976595', '0.999952', '183', '0');
INSERT INTO `trainers` VALUES ('Kadaara', 'a Dancer trainer', 'trainer_dancer', 'social_dancer', '1DE98D36', 'C6FE25A1', '1C1B7A22', '5', '4105618', '5378', '6747', '-189', '17.6312', '53.7646', '2.12874', '0.0128075', '0.999918', '184', '0');
INSERT INTO `trainers` VALUES ('Theed', 'a Dancer trainer', 'trainer_dancer', 'social_dancer', '1DE98D36', 'C6FE25A1', '1C1B7A22', '5', '5475487', '-5774', '4235', '8', '18.2374', '53.9343', '2.12871', '0.0536358', '0.998561', '185', '0');
INSERT INTO `trainers` VALUES ('Deeja Peak', 'a Dancer trainer', 'trainer_dancer', 'social_dancer', '1DE98D36', 'C6FE25A1', '1C1B7A22', '5', '2725360', '4875', '-1454', '362', '17.8577', '53.8179', '2.12873', '0.0201098', '0.999798', '186', '0');
INSERT INTO `trainers` VALUES ('Keren', 'a Dancer trainer', 'trainer_dancer', 'social_dancer', '1DE98D36', 'C6FE25A1', '1C1B7A22', '5', '0', '1630.59', '2574.54', '12', '0', '0', '0', '0.760915', '0.648852', '187', '0');
INSERT INTO `trainers` VALUES ('Keren', 'a Dancer trainer', 'trainer_dancer', 'social_dancer', '1DE98D36', 'C6FE25A1', '1C1B7A22', '5', '4045383', '1668', '2486', '14', '18.188', '53.8705', '2.12871', '0.0162866', '0.999867', '188', '0');
INSERT INTO `trainers` VALUES ('Moenia', 'a Dancer trainer', 'trainer_dancer', 'social_dancer', '1DE98D36', 'C6FE25A1', '1C1B7A22', '5', '0', '4730', '-4872', '3.75', '0', '0', '0', '0.376299', '0.926498', '189', '0');
INSERT INTO `trainers` VALUES ('Narmle', 'a Dancer trainer', 'trainer_dancer', 'social_dancer', '1DE98D36', 'C6FE25A1', '1C1B7A22', '6', '4635403', '-5010', '-2282', '82', '18.0876', '53.6634', '2.12874', '0.0108613', '0.999941', '190', '0');
INSERT INTO `trainers` VALUES ('Restuss', 'a Dancer trainer', 'trainer_dancer', 'social_dancer', '1DE98D36', 'C6FE25A1', '1C1B7A22', '6', '0', '5437', '5564', '80.6', '0', '0', '0', '-0.690897', '0.722954', '191', '0');
INSERT INTO `trainers` VALUES ('Restuss', 'a Dancer trainer', 'trainer_dancer', 'social_dancer', '1DE98D36', 'C6FE25A1', '1C1B7A22', '6', '4635754', '5449', '5562', '82', '17.9253', '53.5327', '2.12876', '-0.0275962', '0.999619', '192', '0');
INSERT INTO `trainers` VALUES ('Dearic', 'a Dancer trainer', 'trainer_dancer', 'social_dancer', '1DE98D36', 'C6FE25A1', '1C1B7A22', '7', '3175572', '558', '-3096', '8', '18.0588', '53.9528', '2.12871', '-0.00642406', '0.999979', '193', '0');
INSERT INTO `trainers` VALUES ('Mos Eisley', 'a Dancer trainer', 'trainer_dancer', 'social_dancer', '1DE98D36', 'C6FE25A1', '1C1B7A22', '8', '1105853', '3256', '-4714', '7', '17.9873', '53.6448', '2.12874', '0.0101167', '0.999949', '194', '0');
INSERT INTO `trainers` VALUES ('Mos Entha', 'a Dancer trainer', 'trainer_dancer', 'social_dancer', '1DE98D36', 'C6FE25A1', '1C1B7A22', '8', '1153603', '1479', '3278', '9', '17.812', '53.8433', '2.12873', '0.0114298', '0.999935', '195', '0');
INSERT INTO `trainers` VALUES ('Mos Entha', 'a Doctor trainer', 'trainer_doctor', 'science_doctor', '4F51A313', 'ADB5FA08', 'D48C63ED', '8', '1153582', '1301', '3296', '7', '20', '-5.6', '0.26', '0.685', '0.7278', '196', '0');
INSERT INTO `trainers` VALUES ('Mos Entha', 'a Doctor trainer', 'trainer_doctor', 'science_doctor', '4F51A313', 'ADB5FA08', 'D48C63ED', '8', '0', '1370', '3164', '0', '0', '0', '0', '0', '0', '197', '0');
INSERT INTO `trainers` VALUES ('Mos Entha', 'a Doctor trainer', 'trainer_doctor', 'science_doctor', '4F51A313', 'ADB5FA08', 'D48C63ED', '8', '1153586', '1345', '3296', '7', '-24.6019', '-3.960492', '0.26', '0.96081', '-0.277208', '198', '0');
INSERT INTO `trainers` VALUES ('Anchorhead', 'a Doctor trainer', 'trainer_doctor', 'science_doctor', '4F51A313', 'ADB5FA08', 'D48C63ED', '8', '1213346', '130', '-5363', '53', '1.53792', '6.82596', '1.00421', '0.737798', '-0.675021', '199', '0');
INSERT INTO `trainers` VALUES ('Mos Espa', 'a Doctor trainer', 'trainer_doctor', 'science_doctor', '4F51A313', 'ADB5FA08', 'D48C63ED', '8', '0', '-3163.63', '2122.39', '5', '0', '0', '0', '-0.155701', '0.987804', '200', '0');
INSERT INTO `trainers` VALUES ('Mos Espa', 'a Doctor trainer', 'trainer_doctor', 'science_doctor', '4F51A313', 'ADB5FA08', 'D48C63ED', '8', '4005424', '-3143', '2106', '5', '1.25736', '0.598833', '0.184067', '0.995629', '0.0933988', '201', '0');
INSERT INTO `trainers` VALUES ('Mos Eisley', 'a Doctor trainer', 'trainer_doctor', 'science_doctor', '4F51A313', 'ADB5FA08', 'D48C63ED', '8', '9655496', '3523', '-4748', '5', '-7.29914', '0.0809266', '0.184067', '0.998728', '-0.0504272', '202', '0');
INSERT INTO `trainers` VALUES ('Kor Vella', 'a Doctor trainer', 'trainer_doctor', 'science_doctor', '4F51A313', 'ADB5FA08', 'D48C63ED', '0', '3375392', '-3810', '3138', '86', '12', '-1', '0.184067', '0', '1', '203', '0');
INSERT INTO `trainers` VALUES ('Vreni Island', 'a Doctor trainer', 'trainer_doctor', 'science_doctor', '4F51A313', 'ADB5FA08', 'D48C63ED', '0', '7615446', '-5309', '-6403', '4', '-2.9', '2.5', '0.7', '0.912038', '0.410107', '204', '0');
INSERT INTO `trainers` VALUES ('Coronet', 'a Doctor trainer', 'trainer_doctor', 'science_doctor', '4F51A313', 'ADB5FA08', 'D48C63ED', '0', '1855535', '-64', '-4435', '28', '-25.2731', '-5', '0.26', '-0.113595', '0.993527', '205', '0');
INSERT INTO `trainers` VALUES ('Doaba Guerfel', 'a Doctor trainer', 'trainer_doctor', 'science_doctor', '4F51A313', 'ADB5FA08', 'D48C63ED', '0', '4345354', '3272', '5407', '300', '-3.95652', '0.467273', '0.184067', '0.996825', '0.0796281', '206', '0');
INSERT INTO `trainers` VALUES ('Tyrena', 'a Doctor trainer', 'trainer_doctor', 'science_doctor', '4F51A313', 'ADB5FA08', 'D48C63ED', '0', '0', '-5002', '-2459', '0', '0', '0', '0', '0', '0', '207', '0');
INSERT INTO `trainers` VALUES ('Tyrena', 'a Doctor trainer', 'trainer_doctor', 'science_doctor', '4F51A313', 'ADB5FA08', 'D48C63ED', '0', '1935831', '-4959', '-2468', '21', '21', '-5', '0.26', '0', '1', '208', '0');
INSERT INTO `trainers` VALUES ('Tyrena', 'a Doctor trainer', 'trainer_doctor', 'science_doctor', '4F51A313', 'ADB5FA08', 'D48C63ED', '0', '1935835', '-4992', '-2499', '21', '-24.2179', '-3.63691', '0.26', '0.990943', '-0.134282', '209', '0');
INSERT INTO `trainers` VALUES ('Nym\'s Stronghold', 'a Doctor trainer', 'trainer_doctor', 'science_doctor', '4F51A313', 'ADB5FA08', 'D48C63ED', '4', '2745866', '572', '5109', '12', '22.1279', '-6.11676', '0.26', '0.0715797', '0.698308', '210', '0');
INSERT INTO `trainers` VALUES ('Nym\'s Stronghold', 'a Doctor trainer', 'trainer_doctor', 'science_doctor', '4F51A313', 'ADB5FA08', 'D48C63ED', '4', '2745870', '585', '5155', '12', '-25.366', '-4.25289', '0.26', '0.669369', '0.74293', '211', '0');
INSERT INTO `trainers` VALUES ('Kaadara', 'a Doctor trainer', 'trainer_doctor', 'science_doctor', '4F51A313', 'ADB5FA08', 'D48C63ED', '5', '0', '5021', '6787', '-192', '0', '0', '0', '0.0153915', '0.999882', '212', '0');
INSERT INTO `trainers` VALUES ('Kaadara', 'a Doctor trainer', 'trainer_doctor', 'science_doctor', '4F51A313', 'ADB5FA08', 'D48C63ED', '5', '1741443', '5114', '6660', '-191', '-24.4979', '-4.7603', '0.26', '0.998163', '-0.0605819', '213', '0');
INSERT INTO `trainers` VALUES ('Kaadara', 'a Doctor trainer', 'trainer_doctor', 'science_doctor', '4F51A313', 'ADB5FA08', 'D48C63ED', '5', '1741439', '5884', '6626', '-191', '21.4466', '-2.96069', '0.26', '0.316259', '0.948673', '214', '0');
INSERT INTO `trainers` VALUES ('Keren', 'a Doctor trainer', 'trainer_doctor', 'science_doctor', '4F51A313', 'ADB5FA08', 'D48C63ED', '5', '0', '1950', '2645.86', '19.25', '0', '0', '0', '0.76614', '-0.642673', '215', '0');
INSERT INTO `trainers` VALUES ('Keren', 'a Doctor trainer', 'trainer_doctor', 'science_doctor', '4F51A313', 'ADB5FA08', 'D48C63ED', '5', '1661366', '1954', '2602', '12', '17.4', '1', '0.3', '0.0745443', '0.997218', '216', '0');
INSERT INTO `trainers` VALUES ('Moenia', 'a Doctor trainer', 'trainer_doctor', 'science_doctor', '4F51A313', 'ADB5FA08', 'D48C63ED', '5', '0', '4887', '-4899', '0', '0', '0', '0', '0', '0', '217', '0');
INSERT INTO `trainers` VALUES ('Moenia', 'a Doctor trainer', 'trainer_doctor', 'science_doctor', '4F51A313', 'ADB5FA08', 'D48C63ED', '5', '1717502', '4937', '-4933', '4', '19.6344', '-4.81265', '0.26', '0.315352', '0.948975', '218', '0');
INSERT INTO `trainers` VALUES ('Moenia', 'a Doctor trainer', 'trainer_doctor', 'science_doctor', '4F51A313', 'ADB5FA08', 'D48C63ED', '5', '1717506', '4893', '-4933', '4', '-25', '-4', '0.26', '1', '0', '219', '0');
INSERT INTO `trainers` VALUES ('Theed', 'a Doctor trainer', 'trainer_doctor', 'science_doctor', '4F51A313', 'ADB5FA08', 'D48C63ED', '5', '0', '-5038', '4146', '0', '0', '0', '0', '0', '0', '220', '0');
INSERT INTO `trainers` VALUES ('Theed', 'a Doctor trainer', 'trainer_doctor', 'science_doctor', '4F51A313', 'ADB5FA08', 'D48C63ED', '5', '1697360', '-5005', '4152', '6', '16.0979', '-0.105232', '0.26', '0.73039', '-0.68303', '221', '0');
INSERT INTO `trainers` VALUES ('Narmle', 'a Doctor trainer', 'trainer_doctor', 'science_doctor', '4F51A313', 'ADB5FA08', 'D48C63ED', '6', '4635420', '-5146', '-2206', '80', '20.5091', '-6.05941', '0.26', '-0.104817', '0.994491', '222', '0');
INSERT INTO `trainers` VALUES ('Narmle', 'a Doctor trainer', 'trainer_doctor', 'science_doctor', '4F51A313', 'ADB5FA08', 'D48C63ED', '6', '0', '-5104', '-2249', '0', '0', '0', '0', '0', '0', '223', '0');
INSERT INTO `trainers` VALUES ('Narmle', 'a Doctor trainer', 'trainer_doctor', 'science_doctor', '4F51A313', 'ADB5FA08', 'D48C63ED', '6', '4635424', '-5101', '-2207', '80', '-25.5', '-4', '0.26', '1', '0', '224', '0');
INSERT INTO `trainers` VALUES ('Restuss', 'a Doctor trainer', 'trainer_doctor', 'science_doctor', '4F51A313', 'ADB5FA08', 'D48C63ED', '6', '4635732', '5322', '5595', '80', '-25', '-3', '0.26', '1', '0', '225', '0');
INSERT INTO `trainers` VALUES ('Restuss', 'a Doctor trainer', 'trainer_doctor', 'science_doctor', '4F51A313', 'ADB5FA08', 'D48C63ED', '6', '4635728', '5276', '5596', '80', '20.8797', '-4.8809', '0.26', '0.387926', '0.92169', '226', '0');
INSERT INTO `trainers` VALUES ('Nashal', 'a Doctor trainer', 'trainer_doctor', 'science_doctor', '4F51A313', 'ADB5FA08', 'D48C63ED', '7', '4265477', '4503', '5102', '2', '-1', '-3', '0.184', '0.66', '0.75', '227', '0');
INSERT INTO `trainers` VALUES ('Nashal', 'a Doctor trainer', 'trainer_doctor', 'science_doctor', '4F51A313', 'ADB5FA08', 'D48C63ED', '7', '0', '4490', '5182', '2', '0', '0', '0', '-0.319118', '0.947715', '228', '0');
INSERT INTO `trainers` VALUES ('Mos Eisley', 'a Smuggler trainer', 'trainer_smuggler', 'combat_smuggler', '0368D166', 'D87F79F1', '91721E7C', '8', '0', '3401', '-4879', '5', '0', '0', '0', '-0.323164', '0.946343', '229', '0');
INSERT INTO `trainers` VALUES ('Keren', 'a Smuggler trainer', 'trainer_smuggler', 'combat_smuggler', '0368D166', 'D87F79F1', '91721E7C', '5', '0', '1362.94', '2833.96', '13', '0', '0', '0', '-0.654378', '0.756167', '230', '0');
INSERT INTO `trainers` VALUES ('Keren', 'a Smuggler trainer', 'trainer_smuggler', 'combat_smuggler', '0368D166', 'D87F79F1', '91721E7C', '5', '0', '1846', '2772', '12', '0', '0', '0', '0.27045', '0.962734', '231', '0');
INSERT INTO `trainers` VALUES ('Dearic', 'a Smuggler trainer', 'trainer_smuggler', 'combat_smuggler', '0368D166', 'D87F79F1', '91721E7C', '7', '0', '167', '-2892', '6', '0', '0', '0', '0.749543', '-0.661956', '232', '0');
INSERT INTO `trainers` VALUES ('Restuss', 'a Musician trainer', 'trainer_musician', 'social_musician', '859A8CA5', '5E8D2432', '178043BF', '6', '0', '5432.89', '5569.12', '80.6', '0', '0', '0', '-0.313928', '0.949447', '233', '0');
INSERT INTO `trainers` VALUES ('Restuss', 'a Musician trainer', 'trainer_musician', 'social_musician', '859A8CA5', '5E8D2432', '178043BF', '6', '4635754', '5445', '5552', '82', '21.6954', '63.866', '2.12795', '0.0308312', '0.999525', '234', '0');
INSERT INTO `trainers` VALUES ('Narmle', 'a Musician trainer', 'trainer_musician', 'social_musician', '859A8CA5', '5E8D2432', '178043BF', '6', '4635403', '-5007', '-2272', '82', '21.5522', '63.5137', '2.12797', '0', '1', '235', '0');
INSERT INTO `trainers` VALUES ('Keren', 'a Musician trainer', 'trainer_musician', 'social_musician', '859A8CA5', '5E8D2432', '178043BF', '5', '4045383', '1665', '2476', '14', '21.7887', '63.5017', '2.12809', '-0.0232172', '0.99973', '236', '0');
INSERT INTO `trainers` VALUES ('Theed', 'a Musician trainer', 'trainer_musician', 'social_musician', '859A8CA5', '5E8D2432', '178043BF', '5', '5475487', '-5770', '4244', '8', '21.6399', '63.523', '2.12801', '-0.00336892', '0.999994', '237', '0');
INSERT INTO `trainers` VALUES ('Deeja Peak', 'a Musician trainer', 'trainer_musician', 'social_musician', '859A8CA5', '5E8D2432', '178043BF', '5', '2725360', '4865', '-1450', '362', '21.8956', '63.5', '2.12814', '0.00310462', '0.999995', '238', '0');
INSERT INTO `trainers` VALUES ('Kaadara', 'a Musician trainer', 'trainer_musician', 'social_musician', '859A8CA5', '5E8D2432', '178043BF', '5', '4105618', '5388', '6743', '-189', '21.7817', '63.5', '2.12808', '-0.00606572', '0.999982', '239', '0');
INSERT INTO `trainers` VALUES ('Coronet', 'a Musician trainer', 'trainer_musician', 'social_musician', '859A8CA5', '5E8D2432', '178043BF', '0', '2365399', '-230', '-4211', '30', '21.8947', '63.5', '2.12814', '0.00366012', '0.999993', '240', '0');
INSERT INTO `trainers` VALUES ('Doaba Guerfel', 'a Musician trainer', 'trainer_musician', 'social_musician', '859A8CA5', '5E8D2432', '178043BF', '0', '4395403', '3452', '5415', '310', '22.0995', '63.5054', '2.12823', '0.00346623', '0.999994', '241', '0');
INSERT INTO `trainers` VALUES ('Tyrena', 'a Musician trainer', 'trainer_musician', 'social_musician', '859A8CA5', '5E8D2432', '178043BF', '0', '0', '-5067', '-2296', '21', '0', '0', '0', '0.981343', '0.192266', '242', '0');
INSERT INTO `trainers` VALUES ('Tyrena', 'a Musician trainer', 'trainer_musician', 'social_musician', '859A8CA5', '5E8D2432', '178043BF', '0', '2625355', '-5215', '-2545', '20', '21.1399', '8.20648', '-0.894993', '0.866156', '0.499774', '243', '0');
INSERT INTO `trainers` VALUES ('Tyrena', 'a Musician trainer', 'trainer_musician', 'social_musician', '859A8CA5', '5E8D2432', '178043BF', '0', '2365436', '-5650', '-2605', '23', '21.9985', '63.5', '2.12818', '-0.00183045', '0.999998', '244', '0');
INSERT INTO `trainers` VALUES ('Vreni Island', 'a Musician trainer', 'trainer_musician', 'social_musician', '859A8CA5', '5E8D2432', '178043BF', '0', '0', '-5408', '-6260', '24.7288', '0', '0', '0', '-0.419601', '0.907709', '245', '0');
INSERT INTO `trainers` VALUES ('Dearic', 'a Musician trainer', 'trainer_musician', 'social_musician', '859A8CA5', '5E8D2432', '178043BF', '7', '3175572', '561', '-3086', '8', '22.0619', '63.5', '2.12821', '0.0074831', '0.999972', '246', '0');
INSERT INTO `trainers` VALUES ('Mos Eisley', 'a Musician trainer', 'trainer_musician', 'social_musician', '859A8CA5', '5E8D2432', '178043BF', '8', '0', '3393', '-4791', '0', '0', '0', '0', '0', '0', '247', '0');
INSERT INTO `trainers` VALUES ('Mos Entha', 'a Musician trainer', 'trainer_musician', 'social_musician', '859A8CA5', '5E8D2432', '178043BF', '8', '0', '1481', '3267', '7', '0', '0', '0', '0', '1', '248', '0');
INSERT INTO `trainers` VALUES ('Mos Espa', 'a Musician trainer', 'trainer_musician', 'social_musician', '859A8CA5', '5E8D2432', '178043BF', '8', '0', '-2882', '2171', '0', '0', '0', '0', '0', '0', '249', '0');
INSERT INTO `trainers` VALUES ('Doaba Guerfel', 'a Combat Medic trainer', 'trainer_combatmedic', 'science_combatmedic', '5F29D54D', '65F1206F', '190FB91C', '0', '4345354', '3277', '5419', '300', '8.00847', '5.47322', '0.184067', '0.688309', '0.725418', '250', '0');
INSERT INTO `trainers` VALUES ('Coronet', 'a Combat Medic trainer', 'trainer_combatmedic', 'science_combatmedic', '5F29D54D', '65F1206F', '190FB91C', '0', '1855531', '-116', '-4445', '28', '26.676', '5.41823', '0.26', '0.676775', '0.73619', '251', '0');
INSERT INTO `trainers` VALUES ('Coronet', 'a Combat Medic trainer', 'trainer_combatmedic', 'science_combatmedic', '5F29D54D', '65F1206F', '190FB91C', '0', '0', '-33.9759', '-4435.08', '28', '0', '0', '0', '0.73443', '0.678685', '252', '0');
INSERT INTO `trainers` VALUES ('Tyrena', 'a Combat Medic trainer', 'trainer_combatmedic', 'science_combatmedic', '5F29D54D', '65F1206F', '190FB91C', '0', '0', '-4996.29', '-2451.61', '21', '0', '0', '0', '0.903421', '0.428755', '253', '0');
INSERT INTO `trainers` VALUES ('Tyrena', 'a Combat Medic trainer', 'trainer_combatmedic', 'science_combatmedic', '5F29D54D', '65F1206F', '190FB91C', '0', '1935835', '-4997', '-2484', '0', '-17', '10', '0.26', '1', '0', '254', '0');
INSERT INTO `trainers` VALUES ('Kaadara', 'a Combat Medic trainer', 'trainer_combatmedic', 'science_combatmedic', '5F29D54D', '65F1206F', '190FB91C', '5', '1741443', '5120', '6643', '-191', '-16.368', '11.0637', '0.26', '0.997311', '0.0732851', '255', '0');
INSERT INTO `trainers` VALUES ('Kaadara', 'a Combat Medic trainer', 'trainer_combatmedic', 'science_combatmedic', '5F29D54D', '65F1206F', '190FB91C', '5', '0', '1927', '2729.93', '12', '0', '0', '0', '0.74166', '-0.670775', '256', '0');
INSERT INTO `trainers` VALUES ('Keren', 'a Combat Medic trainer', 'trainer_combatmedic', 'science_combatmedic', '5F29D54D', '65F1206F', '190FB91C', '5', '1661366', '1958', '2592', '12', '27.2188', '5.37779', '0.26', '0.616074', '0.787688', '257', '0');
INSERT INTO `trainers` VALUES ('Keren', 'a Combat Medic trainer', 'trainer_combatmedic', 'science_combatmedic', '5F29D54D', '65F1206F', '190FB91C', '5', '1661370', '1962', '2636', '12', '-17', '9', '0.26', '1', '0', '258', '0');
INSERT INTO `trainers` VALUES ('Keren', 'a Combat Medic trainer', 'trainer_combatmedic', 'science_combatmedic', '5F29D54D', '65F1206F', '190FB91C', '5', '1717502', '4945', '-4923', '4', '27.0188', '5.47931', '0.26', '0.654783', '0.755817', '259', '0');
INSERT INTO `trainers` VALUES ('Moenia', 'a Combat Medic trainer', 'trainer_combatmedic', 'science_combatmedic', '5F29D54D', '65F1206F', '190FB91C', '5', '1717506', '4901', '-4918', '4', '-16.404', '10.6808', '0.26', '0.997415', '0.0718578', '260', '0');
INSERT INTO `trainers` VALUES ('Moenia', 'a Combat Medic trainer', 'trainer_combatmedic', 'science_combatmedic', '5F29D54D', '65F1206F', '190FB91C', '5', '1697364', '-5023', '4181', '6', '-16.4871', '10.7738', '0.26', '0.999249', '0.0387386', '261', '0');
INSERT INTO `trainers` VALUES ('Theed', 'a Combat Medic trainer', 'trainer_combatmedic', 'science_combatmedic', '5F29D54D', '65F1206F', '190FB91C', '5', '1697360', '-4994', '4149', '6', '26.5469', '5.31169', '0.26', '0.707746', '0.706467', '262', '0');
INSERT INTO `trainers` VALUES ('Nashal', 'a Combat Medic trainer', 'trainer_combatmedic', 'science_combatmedic', '5F29D54D', '65F1206F', '190FB91C', '7', '0', '4389.18', '5364.43', '2', '0', '0', '0', '0.999637', '0.0269525', '263', '0');
INSERT INTO `trainers` VALUES ('Nashal', 'a Combat Medic trainer', 'trainer_combatmedic', 'science_combatmedic', '5F29D54D', '65F1206F', '190FB91C', '7', '4265477', '4509', '5173', '2', '8.02653', '5.45986', '0.184067', '0.683398', '0.730046', '264', '0');
INSERT INTO `trainers` VALUES ('Mos Eisley', 'a Combat Medic trainer', 'trainer_combatmedic', 'science_combatmedic', '5F29D54D', '65F1206F', '190FB91C', '8', '9655496', '3538', '-4753', '5', '7.84086', '5.40226', '0.184067', '0.645773', '0.763529', '265', '0');
INSERT INTO `trainers` VALUES ('Mos Entha', 'a Combat Medic trainer', 'trainer_combatmedic', 'science_combatmedic', '5F29D54D', '65F1206F', '190FB91C', '8', '1153586', '1338', '3282', '7', '-16.4794', '9.71928', '0.26', '0.98786', '0.155345', '266', '0');
INSERT INTO `trainers` VALUES ('Mos Entha', 'a Combat Medic trainer', 'trainer_combatmedic', 'science_combatmedic', '5F29D54D', '65F1206F', '190FB91C', '8', '1153582', '1293', '3283', '7', '28', '6.3', '0.26', '0.9', '-0.4', '267', '0');
INSERT INTO `trainers` VALUES ('Mos Espa', 'a Combat Medic trainer', 'trainer_combatmedic', 'science_combatmedic', '5F29D54D', '65F1206F', '190FB91C', '8', '4005424', '-3138', '2113', '5', '7.93319', '5.54261', '0.184067', '0.679963', '0.733246', '268', '0');
INSERT INTO `trainers` VALUES ('Narmle', 'a Combat Medic trainer', 'trainer_combatmedic', 'science_combatmedic', '5F29D54D', '65F1206F', '190FB91C', '6', '4635424', '-5110', '-2223', '80', '-16.4', '10.9', '0.26', '1', '0', '269', '0');
INSERT INTO `trainers` VALUES ('Narmle', 'a Combat Medic trainer', 'trainer_combatmedic', 'science_combatmedic', '5F29D54D', '65F1206F', '190FB91C', '6', '4635420', '-5153', '-2217', '80', '26.6041', '5.45989', '0.26', '0.662055', '0.749455', '270', '0');
INSERT INTO `trainers` VALUES ('Restuss', 'a Combat Medic trainer', 'trainer_combatmedic', 'science_combatmedic', '5F29D54D', '65F1206F', '190FB91C', '6', '4635728', '5271', '5586', '80', '26.6144', '5.52845', '0.26', '0.66869', '0.743541', '271', '0');
INSERT INTO `trainers` VALUES ('Restuss', 'a Combat Medic trainer', 'trainer_combatmedic', 'science_combatmedic', '5F29D54D', '65F1206F', '190FB91C', '6', '4635732', '5314', '5581', '80', '-16.3425', '10.8489', '0.26', '0.994935', '0.100523', '272', '0');
INSERT INTO `trainers` VALUES ('Dee\'ja Peak', 'a Marksman trainer', 'trainer_marksman', 'combat_marksman', '46AE82E3', '9DB92A74', 'D4B44DF9', '5', '0', '4980', '-1425', '0', '0', '0', '0', '1', '0', '273', '23');
INSERT INTO `trainers` VALUES ('Dee\'ja Peak', 'a Marksman trainer', 'trainer_marksman', 'combat_marksman', '46AE82E3', '9DB92A74', 'D4B44DF9', '5', '0', '4874', '-1444', '360.6', '0', '0', '0', '0', '1', '274', '23');
INSERT INTO `trainers` VALUES ('Kaadara', 'a Marksman trainer', 'trainer_marksman', 'combat_marksman', '46AE82E3', '9DB92A74', 'D4B44DF9', '5', '1741461', '5090', '6785', '-190', '0', '-13', '1.13306', '0', '1', '275', '23');
INSERT INTO `trainers` VALUES ('Moenia', 'a Marksman trainer', 'trainer_marksman', 'combat_marksman', '46AE82E3', '9DB92A74', 'D4B44DF9', '5', '0', '4794', '-4730', '4.17', '0', '0', '0', '0', '1', '276', '23');
INSERT INTO `trainers` VALUES ('Moenia', 'a Marksman trainer', 'trainer_marksman', 'combat_marksman', '46AE82E3', '9DB92A74', 'D4B44DF9', '5', '1717534', '4721', '-4997', '4', '0', '-13', '1.13306', '0', '1', '277', '23');
INSERT INTO `trainers` VALUES ('Theed', 'a Marksman trainer', 'trainer_marksman', 'combat_marksman', '46AE82E3', '9DB92A74', 'D4B44DF9', '5', '0', '-4674', '3995', '0', '0', '0', '0', '0', '0', '278', '23');
INSERT INTO `trainers` VALUES ('Theed', 'a Marksman trainer', 'trainer_marksman', 'combat_marksman', '46AE82E3', '9DB92A74', 'D4B44DF9', '5', '0', '-5982', '4254', '0', '0', '0', '0', '0', '0', '279', '23');
INSERT INTO `trainers` VALUES ('Theed', 'a Marksman trainer', 'trainer_marksman', 'combat_marksman', '46AE82E3', '9DB92A74', 'D4B44DF9', '5', '0', '-4863', '4079', '6', '0', '0', '0', '0', '1', '280', '23');
INSERT INTO `trainers` VALUES ('Theed', 'a Marksman trainer', 'trainer_marksman', 'combat_marksman', '46AE82E3', '9DB92A74', 'D4B44DF9', '5', '1692074', '-5456', '4089', '7', '0', '-13', '1.13306', '0', '1', '281', '23');
INSERT INTO `trainers` VALUES ('Keren', 'a Marksman trainer', 'trainer_marksman', 'combat_marksman', '46AE82E3', '9DB92A74', 'D4B44DF9', '5', '0', '1538', '2751', '0', '0', '0', '0', '0', '0', '282', '23');
INSERT INTO `trainers` VALUES ('Keren', 'a Marksman trainer', 'trainer_marksman', 'combat_marksman', '46AE82E3', '9DB92A74', 'D4B44DF9', '5', '1650534', '1823', '2614', '13', '0', '-13', '0', '0', '1', '283', '23');
INSERT INTO `trainers` VALUES ('Keren', 'a Marksman trainer', 'trainer_marksman', 'combat_marksman', '46AE82E3', '9DB92A74', 'D4B44DF9', '5', '0', '1992', '2515', '0', '0', '0', '0', '1', '0', '284', '23');
INSERT INTO `trainers` VALUES ('Dearic', 'a Marksman trainer', 'trainer_marksman', 'combat_marksman', '46AE82E3', '9DB92A74', 'D4B44DF9', '7', '3175376', '539', '-2885', '7', '0', '-15', '1.133', '0', '1', '285', '23');
INSERT INTO `trainers` VALUES ('Dearic', 'a Marksman trainer', 'trainer_marksman', 'combat_marksman', '46AE82E3', '9DB92A74', 'D4B44DF9', '7', '0', '586', '-2873', '6', '0', '0', '0', '0', '1', '286', '23');
INSERT INTO `trainers` VALUES ('Nashal', 'a Marksman trainer', 'trainer_marksman', 'combat_marksman', '46AE82E3', '9DB92A74', 'D4B44DF9', '7', '0', '4366', '5384', '2', '0', '0', '0', '0.7', '-0.7', '287', '23');
INSERT INTO `trainers` VALUES ('Bela Vistal', 'a Marksman trainer', 'trainer_marksman', 'combat_marksman', '46AE82E3', '9DB92A74', 'D4B44DF9', '0', '0', '6770', '-5714', '0', '0', '0', '0', '0', '0', '288', '23');
INSERT INTO `trainers` VALUES ('Bela Vistal', 'a Marksman trainer', 'trainer_marksman', 'combat_marksman', '46AE82E3', '9DB92A74', 'D4B44DF9', '0', '2365769', '6885.5', '-5783.5', '316', '0', '-14', '1.13306', '0', '1', '289', '23');
INSERT INTO `trainers` VALUES ('Kor Vella', 'a Marksman trainer', 'trainer_marksman', 'combat_marksman', '46AE82E3', '9DB92A74', 'D4B44DF9', '0', '2955426', '-3410.5', '3397.5', '75', '0', '-14', '1.13306', '0', '1', '290', '23');
INSERT INTO `trainers` VALUES ('Kor Vella', 'a Marksman trainer', 'trainer_marksman', 'combat_marksman', '46AE82E3', '9DB92A74', 'D4B44DF9', '0', '0', '-3130', '2791', '0', '0', '0', '0', '0', '0', '291', '23');
INSERT INTO `trainers` VALUES ('Coronet', 'a Marksman trainer', 'trainer_marksman', 'combat_marksman', '46AE82E3', '9DB92A74', 'D4B44DF9', '0', '0', '-165', '-4746', '28', '0', '0', '0', '0.717277', '0.696708', '292', '23');
INSERT INTO `trainers` VALUES ('Coronet', 'a Marksman trainer', 'trainer_marksman', 'combat_marksman', '46AE82E3', '9DB92A74', 'D4B44DF9', '0', '1855507', '-274', '-4390', '29', '0', '-14', '1.13306', '0', '1', '293', '23');
INSERT INTO `trainers` VALUES ('Doaba Guerfel', 'a Marksman trainer', 'trainer_marksman', 'combat_marksman', '46AE82E3', '9DB92A74', 'D4B44DF9', '0', '3075360', '3213', '5250', '301', '0', '-14', '1.13306', '0', '1', '294', '23');
INSERT INTO `trainers` VALUES ('Tyrena ', 'a Marksman trainer', 'trainer_marksman', 'combat_marksman', '46AE82E3', '9DB92A74', 'D4B44DF9', '0', '1935444', '-5463', '-2756', '22', '0', '-14', '1.13306', '0', '1', '295', '23');
INSERT INTO `trainers` VALUES ('Bestine', 'a Marksman trainer', 'trainer_marksman', 'combat_marksman', '46AE82E3', '9DB92A74', 'D4B44DF9', '8', '0', '-1272', '-3538', '0', '0', '0', '0', '1', '0', '296', '23');
INSERT INTO `trainers` VALUES ('Bestine', 'a Marksman trainer', 'trainer_marksman', 'combat_marksman', '46AE82E3', '9DB92A74', 'D4B44DF9', '8', '1028552', '-1257', '-3603', '13', '0', '-13', '1.13306', '0', '1', '297', '23');
INSERT INTO `trainers` VALUES ('Mos Eisley', 'a Marksman trainer', 'trainer_marksman', 'combat_marksman', '46AE82E3', '9DB92A74', 'D4B44DF9', '8', '0', '3506', '-4760', '5', '0', '0', '0', '1', '0', '298', '23');
INSERT INTO `trainers` VALUES ('Mos Eisley', 'a Marksman trainer', 'trainer_marksman', 'combat_marksman', '46AE82E3', '9DB92A74', 'D4B44DF9', '8', '0', '3552', '-4710', '5', '0', '0', '0', '1', '-0.3', '299', '23');
INSERT INTO `trainers` VALUES ('Mos Eisley', 'a Marksman trainer', 'trainer_marksman', 'combat_marksman', '46AE82E3', '9DB92A74', 'D4B44DF9', '8', '1189638', '3455', '-4668', '6', '0', '-13', '1.13306', '0', '1', '300', '23');
INSERT INTO `trainers` VALUES ('Mos Entha', 'a Marksman trainer', 'trainer_marksman', 'combat_marksman', '46AE82E3', '9DB92A74', 'D4B44DF9', '8', '1153565', '1376', '3043', '8', '0', '-13', '0', '0', '1', '301', '23');
INSERT INTO `trainers` VALUES ('Mos Entha', 'a Marksman trainer', 'trainer_marksman', 'combat_marksman', '46AE82E3', '9DB92A74', 'D4B44DF9', '8', '0', '1321', '3105', '0', '0', '0', '0', '0', '0', '302', '23');
INSERT INTO `trainers` VALUES ('Mos Espa', 'a Marksman trainer', 'trainer_marksman', 'combat_marksman', '46AE82E3', '9DB92A74', 'D4B44DF9', '8', '1255993', '-3027', '2420', '6', '0', '-13', '1.13306', '0', '1', '303', '23');
INSERT INTO `trainers` VALUES ('Mos Espa', 'a Marksman trainer', 'trainer_marksman', 'combat_marksman', '46AE82E3', '9DB92A74', 'D4B44DF9', '8', '0', '-2931', '2121', '5', '0', '0', '0', '0.7', '0.7', '304', '23');
INSERT INTO `trainers` VALUES ('Narmle', 'a Marksman trainer', 'trainer_marksman', 'combat_marksman', '46AE82E3', '9DB92A74', 'D4B44DF9', '6', '4615374', '-5199', '-2442', '81', '0', '-13', '1.13306', '0', '1', '305', '23');
INSERT INTO `trainers` VALUES ('Restuss', 'a Marksman trainer', 'trainer_marksman', 'combat_marksman', '46AE82E3', '9DB92A74', 'D4B44DF9', '6', '4635690', '5446', '5813', '81', '0', '-13', '0', '0', '1', '306', '23');
INSERT INTO `trainers` VALUES ('Restuss', 'a Marksman trainer', 'trainer_marksman', 'combat_marksman', '46AE82E3', '9DB92A74', 'D4B44DF9', '6', '0', '5528', '5641', '80.7357', '0', '0', '0', '0.7', '0.7', '307', '23');
INSERT INTO `trainers` VALUES ('Rebel Outpost', 'a Marksman trainer', 'trainer_marksman', 'combat_marksman', '46AE82E3', '9DB92A74', 'D4B44DF9', '6', '4505601', '3684', '-6488', '98', '-2.5', '3', '2.01003', '0.7', '0.7', '308', '23');
INSERT INTO `trainers` VALUES ('Kaadara', 'a Marksman trainer', 'trainer_marksman', 'combat_marksman', '46AE82E3', '9DB92A74', 'D4B44DF9', '5', '0', '5182', '6632', '-192', '0', '0', '0', '0', '1', '309', '23');
INSERT INTO `trainers` VALUES ('Coronet', 'a Marksman trainer', 'trainer_marksman', 'combat_marksman', '46AE82E3', '9DB92A74', 'D4B44DF9', '0', '0', '-35', '-4372', '0', '0', '0', '0', '0.7', '-0.7', '310', '23');
INSERT INTO `trainers` VALUES ('Doaba Guerfel', 'a Marksman trainer', 'trainer_marksman', 'combat_marksman', '46AE82E3', '9DB92A74', 'D4B44DF9', '0', '0', '3338', '5516', '0', '0', '0', '0', '0', '1', '311', '23');
INSERT INTO `trainers` VALUES ('Tyrena', 'a Marksman trainer', 'trainer_marksman', 'combat_marksman', '46AE82E3', '9DB92A74', 'D4B44DF9', '0', '0', '-5041', '-2324', '0', '0', '0', '0', '-0.7', '0.7', '312', '23');
INSERT INTO `trainers` VALUES ('Tyrena', 'a Marksman trainer', 'trainer_marksman', 'combat_marksman', '46AE82E3', '9DB92A74', 'D4B44DF9', '0', '0', '-5249', '-2306', '21', '0', '0', '0', '1', '0', '313', '23');
INSERT INTO `trainers` VALUES ('Moenia', 'a Medic trainer', 'trainer_medic', 'science_medic', 'F69E1717', '2D89BF80', '6484D80D', '5', '0', '4808', '-4724', '4.17', '0', '0', '0', '0', '1', '314', '25');
INSERT INTO `trainers` VALUES ('Moenia', 'a Medic trainer', 'trainer_medic', 'science_medic', 'F69E1717', '2D89BF80', '6484D80D', '5', '1717506', '4901', '-4930', '4', '-17.2255', '-1.2311', '0.26', '0.96553', '0.26029', '315', '25');
INSERT INTO `trainers` VALUES ('Moenia', 'a Medic trainer', 'trainer_medic', 'science_medic', 'F69E1717', '2D89BF80', '6484D80D', '5', '1717502', '4934', '-4123', '4', '16.6671', '5.91467', '0.26', '0.99975', '0.0223254', '316', '25');
INSERT INTO `trainers` VALUES ('Theed', 'a Medic trainer', 'trainer_medic', 'science_medic', 'F69E1717', '2D89BF80', '6484D80D', '5', '1697360', '-5004', '4157', '6', '13.7645', '4.7703', '0.26', '0.96395', '0.26605', '317', '25');
INSERT INTO `trainers` VALUES ('Theed', 'a Medic trainer', 'trainer_medic', 'science_medic', 'F69E1717', '2D89BF80', '6484D80D', '5', '0', '-4592', '4125', '6', '0', '0', '0', '0.94709', '-0.32074', '318', '25');
INSERT INTO `trainers` VALUES ('Theed', 'a Medic trainer', 'trainer_medic', 'science_medic', 'F69E1717', '2D89BF80', '6484D80D', '5', '1697364', '-5031', '4172', '6', '-17.1613', '-0.82884', '0.26', '0.994029', '0.109115', '319', '25');
INSERT INTO `trainers` VALUES ('Kaadara', 'a Medic trainer', 'trainer_medic', 'science_medic', 'F69E1717', '2D89BF80', '6484D80D', '5', '1741443', '5112', '6650', '-191', '-16.43', '0.33', '0.26', '0.998', '0.057', '320', '25');
INSERT INTO `trainers` VALUES ('Kaadara', 'a Medic trainer', 'trainer_medic', 'science_medic', 'F69E1717', '2D89BF80', '6484D80D', '5', '1741439', '5994', '6624', '-191', '15.4875', '6.2929', '0.26', '-0.1694', '0.9855', '321', '25');
INSERT INTO `trainers` VALUES ('Karen', 'a Medic trainer', 'trainer_medic', 'science_medic', 'F69E1717', '2D89BF80', '6484D80D', '5', '0', '1982', '2598', '12', '0', '0', '0', '0', '1', '322', '25');
INSERT INTO `trainers` VALUES ('Keren', 'a Medic trainer', 'trainer_medic', 'science_medic', 'F69E1717', '2D89BF80', '6484D80D', '5', '1661370', '1954', '2636', '12', '-16.956', '1.559', '0.26', '-0.2213', '0.9774', '323', '25');
INSERT INTO `trainers` VALUES ('Keren', 'a Medic trainer', 'trainer_medic', 'science_medic', 'F69E1717', '2D89BF80', '6484D80D', '5', '1661366', '1956', '2605', '12', '14.1386', '3.567', '0.26', '0.8991', '0.4377', '324', '25');
INSERT INTO `trainers` VALUES ('Mos Entha', 'a Medic trainer', 'trainer_medic', 'science_medic', 'F69E1717', '2D89BF80', '6484D80D', '8', '1153582', '1307', '3286', '7', '14.1436', '4.6585', '0.26', '0.99626', '-0.08629', '325', '25');
INSERT INTO `trainers` VALUES ('Mos Entha', 'a Medic trainer', 'trainer_medic', 'science_medic', 'F69E1717', '2D89BF80', '6484D80D', '8', '1153586', '1338', '3293', '7', '-17.0194', '-1.8269', '0.26', '0.97629', '0.2643', '326', '25');
INSERT INTO `trainers` VALUES ('Mos Entha', 'a Medic trainer', 'trainer_medic', 'science_medic', 'F69E1717', '2D89BF80', '6484D80D', '8', '0', '1325', '3148', '7', '0', '0', '0', '0.7', '-0.7', '327', '25');
INSERT INTO `trainers` VALUES ('Mos Espa', 'a Medic trainer', 'trainer_medic', 'science_medic', 'F69E1717', '2D89BF80', '6484D80D', '8', '0', '-3158', '2122', '5', '0', '0', '0', '0.04266', '0.99908', '328', '25');
INSERT INTO `trainers` VALUES ('Mos Espa', 'a Medic trainer', 'trainer_medic', 'science_medic', 'F69E1717', '2D89BF80', '6484D80D', '8', '0', '-2931', '2116', '5', '0', '0', '0', '0.53889', '0.84237', '329', '25');
INSERT INTO `trainers` VALUES ('Mos Eisley', 'a Medic trainer', 'trainer_medic', 'science_medic', 'F69E1717', '2D89BF80', '6484D80D', '8', '0', '3522', '-4774', '5', '0', '0', '0', '0.98418', '-0.17712', '330', '25');
INSERT INTO `trainers` VALUES ('Wayfar', 'a Medic trainer', 'trainer_medic', 'science_medic', 'F69E1717', '2D89BF80', '6484D80D', '8', '1499420', '-5123', '-6615', '76', '-8.4035', '8.19643', '1.00421', '0.82032', '0.571892', '331', '25');
INSERT INTO `trainers` VALUES ('Bestine', 'a Medic trainer', 'trainer_medic', 'science_medic', 'F69E1717', '2D89BF80', '6484D80D', '8', '4005383', '-1312', '-3482', '15.5', '-8.7', '0.1', '0.2', '0.7', '0.7', '332', '25');
INSERT INTO `trainers` VALUES ('Nym\'s Stronghold', 'a Medic trainer', 'trainer_medic', 'science_medic', 'F69E1717', '2D89BF80', '6484D80D', '4', '2745870', '585', '5145', '12', '-16.0068', '-2.42861', '0.26', '0.854309', '0.519765', '333', '25');
INSERT INTO `trainers` VALUES ('Narmle', 'a Medic trainer', 'trainer_medic', 'science_medic', 'F69E1717', '2D89BF80', '6484D80D', '6', '4635420', '-5139', '-2217', '80', '13.545', '5.01144', '0.26', '0.991878', '0.127195', '334', '25');
INSERT INTO `trainers` VALUES ('Narmle', 'a Medic trainer', 'trainer_medic', 'science_medic', 'F69E1717', '2D89BF80', '6484D80D', '6', '4635424', '-5109', '-2212', '80', '-17.4597', '0.00620247', '0.26', '0.031729', '0.999496', '335', '25');
INSERT INTO `trainers` VALUES ('Restuss', 'a Medic trainer', 'trainer_medic', 'science_medic', 'F69E1717', '2D89BF80', '6484D80D', '6', '4635728', '5284', '5587', '80', '13.2069', '4.92654', '0.26', '0.991233', '0.132125', '336', '25');
INSERT INTO `trainers` VALUES ('Dearic', 'a Medic trainer', 'trainer_medic', 'science_medic', 'F69E1717', '2D89BF80', '6484D80D', '7', '3305354', '316', '-3054', '6', '-1.8295', '0.51949', '0.184067', '-0.688502', '0.725234', '337', '25');
INSERT INTO `trainers` VALUES ('Kor Vella', 'a Medic trainer', 'trainer_medic', 'science_medic', 'F69E1717', '2D89BF80', '6484D80D', '0', '0', '-3139', '2792', '31', '0', '0', '0', '0', '1', '338', '25');
INSERT INTO `trainers` VALUES ('Kor Vella', 'a Medic trainer', 'trainer_medic', 'science_medic', 'F69E1717', '2D89BF80', '6484D80D', '0', '3375392', '-3786', '3131', '86', '-12.6494', '2.16918', '0.18406', '0.82221', '0.56917', '339', '25');
INSERT INTO `trainers` VALUES ('Coronet', 'a Medic trainer', 'trainer_medic', 'science_medic', 'F69E1717', '2D89BF80', '6484D80D', '0', '1855535', '-72', '-4439', '28', '-17.7359', '-0.58142', '0.26', '0.92937', '0.36913', '340', '25');
INSERT INTO `trainers` VALUES ('Coronet', 'a Medic trainer', 'trainer_medic', 'science_medic', 'F69E1717', '2D89BF80', '6484D80D', '0', '1855531', '-104', '-4444', '28', '14.2688', '4.66124', '0.26', '0.983456', '0.181149', '341', '25');
INSERT INTO `trainers` VALUES ('Coronet', 'a Medic trainer', 'trainer_medic', 'science_medic', 'F69E1717', '2D89BF80', '6484D80D', '0', '0', '-33', '-4422', '28', '0', '0', '0', '0.58742', '0.80917', '342', '25');
INSERT INTO `trainers` VALUES ('Doaba Guerfel', 'a Medic trainer', 'trainer_medic', 'science_medic', 'F69E1717', '2D89BF80', '6484D80D', '0', '0', '3341', '5517', '308', '0', '0', '0', '-0.40101', '0.91607', '343', '25');
INSERT INTO `trainers` VALUES ('Tyrena', 'a Medic trainer', 'trainer_medic', 'science_medic', 'F69E1717', '2D89BF80', '6484D80D', '0', '1935835', '-4989', '-2490', '21', '-15.9755', '0.30427', '0.26', '0.13124', '0.99135', '344', '25');
INSERT INTO `trainers` VALUES ('Tyrena', 'a Medic trainer', 'trainer_medic', 'science_medic', 'F69E1717', '2D89BF80', '6484D80D', '0', '1935831', '-4971', '-2467', '21', '13.8906', '3.8275', '0.26', '0.99968', '-0.02512', '345', '25');
INSERT INTO `trainers` VALUES ('Tyrena', 'a Medic trainer', 'trainer_medic', 'science_medic', 'F69E1717', '2D89BF80', '6484D80D', '0', '0', '-5027', '-2311', '21', '0', '0', '0', '0.72954', '-0.683928', '346', '25');
INSERT INTO `trainers` VALUES ('Bela Vistal', 'an Armorsmith trainer', 'trainer_armorsmith', 'crafting_armorsmith', '0AE502D0', 'D1F2AA47', '98FFCDCA', '0', '2365799', '6868.5', '-5434.5', '331', '-12', '5', '1.1', '1', '0', '347', '0');
INSERT INTO `trainers` VALUES ('Coronet', 'an Armorsmith trainer', 'trainer_armorsmith', 'crafting_armorsmith', '0AE502D0', 'D1F2AA47', '98FFCDCA', '0', '1855525', '35', '-4452', '29', '-12', '5', '1.1', '1', '0', '348', '0');
INSERT INTO `trainers` VALUES ('Doaba Guerfel', 'an Armorsmith trainer', 'trainer_armorsmith', 'crafting_armorsmith', '0AE502D0', 'D1F2AA47', '98FFCDCA', '0', '3075411', '3127', '5285.5', '301', '-12', '5', '1.1', '1', '0', '349', '0');
INSERT INTO `trainers` VALUES ('Kor Vella', 'an Armorsmith trainer', 'trainer_armorsmith', 'crafting_armorsmith', '0AE502D0', 'D1F2AA47', '98FFCDCA', '0', '2955399', '-3696.5', '3075', '87', '-12', '5', '1.1', '1', '0', '350', '0');
INSERT INTO `trainers` VALUES ('Tyrena', 'an Armorsmith trainer', 'trainer_armorsmith', 'crafting_armorsmith', '0AE502D0', 'D1F2AA47', '98FFCDCA', '0', '0', '-5118', '-2337', '21', '0', '0', '0', '0.908741', '0.41736', '351', '0');
INSERT INTO `trainers` VALUES ('Tyrena', 'an Armorsmith trainer', 'trainer_armorsmith', 'crafting_armorsmith', '0AE502D0', 'D1F2AA47', '98FFCDCA', '0', '1935462', '-5516', '-2667', '22', '-12', '5', '1.1', '1', '0', '352', '0');
INSERT INTO `trainers` VALUES ('Deeja Peak', 'an Armorsmith trainer', 'trainer_armorsmith', 'crafting_armorsmith', '0AE502D0', 'D1F2AA47', '98FFCDCA', '5', '0', '4771', '-1272', '0', '0', '0', '0', '0', '0', '353', '0');
INSERT INTO `trainers` VALUES ('Deeja Peak', 'an Armorsmith trainer', 'trainer_armorsmith', 'crafting_armorsmith', '0AE502D0', 'D1F2AA47', '98FFCDCA', '5', '1685237', '4746', '-1275', '331', '-15', '0', '1.1', '0.707', '0.707', '354', '0');
INSERT INTO `trainers` VALUES ('Kaadara', 'an Armorsmith trainer', 'trainer_armorsmith', 'crafting_armorsmith', '0AE502D0', 'D1F2AA47', '98FFCDCA', '5', '1741469', '5140', '6815', '-190', '-15', '0', '1.1', '0.937155', '-0.348914', '355', '0');
INSERT INTO `trainers` VALUES ('Keren', 'an Armorsmith trainer', 'trainer_armorsmith', 'crafting_armorsmith', '0AE502D0', 'D1F2AA47', '98FFCDCA', '5', '0', '1890', '2767', '0', '0', '0', '0', '0', '0', '356', '0');
INSERT INTO `trainers` VALUES ('Keren', 'an Armorsmith trainer', 'trainer_armorsmith', 'crafting_armorsmith', '0AE502D0', 'D1F2AA47', '98FFCDCA', '5', '1650542', '1801', '2565', '13', '-15', '0', '1.133', '0.68', '0.72', '357', '0');
INSERT INTO `trainers` VALUES ('Moenia', 'an Armorsmith trainer', 'trainer_armorsmith', 'crafting_armorsmith', '0AE502D0', 'D1F2AA47', '98FFCDCA', '5', '1717554', '4790', '-5000', '4', '-15', '0', '1.113', '0.68', '0.72', '358', '0');
INSERT INTO `trainers` VALUES ('Theed', 'an Armorsmith trainer', 'trainer_armorsmith', 'crafting_armorsmith', '0AE502D0', 'D1F2AA47', '98FFCDCA', '5', '1692092', '-5467', '3996', '7', '-15', '0', '1.1', '0.707', '0.707', '359', '0');
INSERT INTO `trainers` VALUES ('Dearic', 'an Armorsmith trainer', 'trainer_armorsmith', 'crafting_armorsmith', '0AE502D0', 'D1F2AA47', '98FFCDCA', '7', '0', '351', '-2875.9', '6', '0', '0', '0', '-0.0205642', '0.999789', '360', '0');
INSERT INTO `trainers` VALUES ('Dearic', 'an Armorsmith trainer', 'trainer_armorsmith', 'crafting_armorsmith', '0AE502D0', 'D1F2AA47', '98FFCDCA', '7', '3175560', '598', '-3066', '7', '-12.427', '3.69917', '1.13306', '0.988756', '0.149535', '361', '0');
INSERT INTO `trainers` VALUES ('Nashal', 'an Armorsmith trainer', 'trainer_armorsmith', 'crafting_armorsmith', '0AE502D0', 'D1F2AA47', '98FFCDCA', '7', '4265414', '4273', '5106', '3', '-12.3664', '3.6764', '1.13306', '0.996777', '0.0802227', '362', '0');
INSERT INTO `trainers` VALUES ('Bestine', 'an Armorsmith trainer', 'trainer_armorsmith', 'crafting_armorsmith', '0AE502D0', 'D1F2AA47', '98FFCDCA', '8', '1028580', '-1243', '-3506', '13', '-12.8138', '3.64955', '1.13306', '0.946147', '0.0323737', '363', '0');
INSERT INTO `trainers` VALUES ('Mos Eisley', 'an Armorsmith trainer', 'trainer_armorsmith', 'crafting_armorsmith', '0AE502D0', 'D1F2AA47', '98FFCDCA', '8', '1189577', '3349', '-4695', '6', '-12.2888', '3.6161', '1.13306', '0.99684', '0.0794398', '364', '0');
INSERT INTO `trainers` VALUES ('Mos Entha', 'an Armorsmith trainer', 'trainer_armorsmith', 'crafting_armorsmith', '0AE502D0', 'D1F2AA47', '98FFCDCA', '8', '0', '1247', '3248', '4', '0', '0', '0', '0.140535', '0.990073', '365', '0');
INSERT INTO `trainers` VALUES ('Mos Entha', 'an Armorsmith trainer', 'trainer_armorsmith', 'crafting_armorsmith', '0AE502D0', 'D1F2AA47', '98FFCDCA', '8', '1154182', '1306', '3392', '8', '-12.6959', '3.59178', '1.13306', '0.973241', '0.229786', '366', '0');
INSERT INTO `trainers` VALUES ('Mos Espa', 'an Armorsmith trainer', 'trainer_armorsmith', 'crafting_armorsmith', '0AE502D0', 'D1F2AA47', '98FFCDCA', '8', '1256020', '-3070', '2061', '6', '-12.5142', '3.63893', '1.13306', '0.991316', '0.131503', '367', '0');
INSERT INTO `trainers` VALUES ('Narmle', 'an Armorsmith trainer', 'trainer_armorsmith', 'crafting_armorsmith', '0AE502D0', 'D1F2AA47', '98FFCDCA', '6', '4635412', '-5026', '-2417', '81', '-15', '0', '1.133', '0.68', '0.72', '368', '0');
INSERT INTO `trainers` VALUES ('Narmle', 'an Armorsmith trainer', 'trainer_armorsmith', 'crafting_armorsmith', '0AE502D0', 'D1F2AA47', '98FFCDCA', '6', '0', '-5248', '-2358', '80', '0', '0', '0', '0.311946', '0.9501', '369', '0');
INSERT INTO `trainers` VALUES ('Restuss', 'an Armorsmith trainer', 'trainer_armorsmith', 'crafting_armorsmith', '0AE502D0', 'D1F2AA47', '98FFCDCA', '6', '4635773', '5373', '5611', '81', '-12.491', '3.55001', '1.13306', '0.979196', '0.202916', '370', '0');
INSERT INTO `trainers` VALUES ('Rebel Outpost', 'an Armorsmith trainer', 'trainer_armorsmith', 'crafting_armorsmith', '0AE502D0', 'D1F2AA47', '98FFCDCA', '6', '0', '3676', '-6419', '94.2', '0', '0', '0', '0.479154', '0.877731', '371', '0');
INSERT INTO `trainers` VALUES ('Moenia', 'a Tailor trainer', 'trainer_tailor', 'crafting_tailor', '072D76FE', 'DC3ADE69', '9537B9E4', '5', '0', '4858', '-4799', '0', '0', '0', '0', '0', '0', '372', '0');
INSERT INTO `trainers` VALUES ('Restuss', 'a Tailor trainer', 'trainer_tailor', 'crafting_tailor', '072D76FE', 'DC3ADE69', '9537B9E4', '6', '0', '5209', '5729', '0', '0', '0', '0', '0', '0', '373', '0');
INSERT INTO `trainers` VALUES ('Dearic', 'a Tailor trainer', 'trainer_tailor', 'crafting_tailor', '072D76FE', 'DC3ADE69', '9537B9E4', '7', '0', '369', '-2877', '0', '0', '0', '0', '0', '0', '374', '0');
INSERT INTO `trainers` VALUES ('Bestine', 'a Tailor trainer', 'trainer_tailor', 'crafting_tailor', '072D76FE', 'DC3ADE69', '9537B9E4', '8', '0', '-1348', '-3677', '0', '0', '0', '0', '0', '0', '375', '0');
INSERT INTO `trainers` VALUES ('Doaba Guerfel', 'a Tailor trainer', 'trainer_tailor', 'crafting_tailor', '072D76FE', 'DC3ADE69', '9537B9E4', '0', '0', '3077', '5251', '300', '0', '0', '0', '0', '1', '376', '0');
INSERT INTO `trainers` VALUES ('Nashal', 'an Architect trainer', 'trainer_architect', 'crafting_architect', '8CFF964D', '57E83EDA', '1EE55957', '7', '4265415', '4299', '5120', '3', '11', '-14.5', '1.133', '0', '1', '377', '0');
INSERT INTO `trainers` VALUES ('Nashal', 'an Architect trainer', 'trainer_architect', 'crafting_architect', '8CFF964D', '57E83EDA', '1EE55957', '7', '0', '4220', '5127', '0', '0', '0', '0', '0.557713', '0.830034', '378', '0');
INSERT INTO `trainers` VALUES ('Dearic', 'an Architect trainer', 'trainer_architect', 'crafting_architect', '8CFF964D', '57E83EDA', '1EE55957', '7', '3175561', '627', '-3062', '7', '11', '-14.5', '1.133', '0', '1', '379', '0');
INSERT INTO `trainers` VALUES ('Dee\'ja Peak ', 'an Architect trainer', 'trainer_architect', 'crafting_architect', '8CFF964D', '57E83EDA', '1EE55957', '5', '1685238', '4720', '-1261', '331', '11', '-14.5', '1.133', '0', '1', '380', '0');
INSERT INTO `trainers` VALUES ('Keren', 'an Architect trainer', 'trainer_architect', 'crafting_architect', '8CFF964D', '57E83EDA', '1EE55957', '5', '1650543', '1775', '2579', '13', '11', '-14.5', '1.133', '0', '1', '381', '0');
INSERT INTO `trainers` VALUES ('Kaadara', 'an Architect trainer', 'trainer_architect', 'crafting_architect', '8CFF964D', '57E83EDA', '1EE55957', '5', '1741470', '5111', '0', '-190', '11', '-14.5', '1.133', '0', '1', '382', '0');
INSERT INTO `trainers` VALUES ('Moenia', 'an Architect trainer', 'trainer_architect', 'crafting_architect', '8CFF964D', '57E83EDA', '1EE55957', '5', '1717555', '4816', '-5014', '4', '11', '-14.5', '1.133', '0', '1', '383', '0');
INSERT INTO `trainers` VALUES ('Moenia', 'an Architect trainer', 'trainer_architect', 'crafting_architect', '8CFF964D', '57E83EDA', '1EE55957', '5', '0', '4779', '-4973', '3.75', '0', '0', '0', '0', '1', '384', '0');
INSERT INTO `trainers` VALUES ('Theed', 'an Architect trainer', 'trainer_architect', 'crafting_architect', '8CFF964D', '57E83EDA', '1EE55957', '5', '1692093', '-5440', '3982', '7', '11', '-14.5', '1.133', '0', '1', '385', '0');
INSERT INTO `trainers` VALUES ('Theed', 'an Architect trainer', 'trainer_architect', 'crafting_architect', '8CFF964D', '57E83EDA', '1EE55957', '5', '0', '-4931', '4020', '0', '0', '0', '0', '0.332242', '0.943194', '386', '0');
INSERT INTO `trainers` VALUES ('Bela Vistal', 'an Architect trainer', 'trainer_architect', 'crafting_architect', '8CFF964D', '57E83EDA', '1EE55957', '0', '2365800', '6851.5', '-5409.5', '331', '11', '-14', '1.13306', '0', '1', '387', '0');
INSERT INTO `trainers` VALUES ('Coronet', 'an Architect trainer', 'trainer_architect', 'crafting_architect', '8CFF964D', '57E83EDA', '1EE55957', '0', '1855526', '54', '-4429', '29', '11', '-14', '1.13306', '0', '1', '388', '0');
INSERT INTO `trainers` VALUES ('Doaba Guefel', 'an Architect trainer', 'trainer_architect', 'crafting_architect', '8CFF964D', '57E83EDA', '1EE55957', '0', '3075412', '3098', '5293', '301', '11', '-14', '1.13306', '0', '1', '389', '0');
INSERT INTO `trainers` VALUES ('Kor Vella', 'an Architect trainer', 'trainer_architect', 'crafting_architect', '8CFF964D', '57E83EDA', '1EE55957', '0', '2955400', '-3686', '3047.5', '87', '11', '-14', '1.13306', '0', '1', '390', '0');
INSERT INTO `trainers` VALUES ('Tyrena', 'an Architect trainer', 'trainer_architect', 'crafting_architect', '8CFF964D', '57E83EDA', '1EE55957', '0', '1935463', '-5535', '-2690', '22', '11', '-14', '1.13306', '0', '1', '391', '0');
INSERT INTO `trainers` VALUES ('Bestine', 'an Architect trainer', 'trainer_architect', 'crafting_architect', '8CFF964D', '57E83EDA', '1EE55957', '8', '1028581', '-1272', '-3514', '13', '11', '-14.5', '1.133', '0', '1', '392', '0');
INSERT INTO `trainers` VALUES ('Mos Eisley', 'an Architect trainer', 'trainer_architect', 'crafting_architect', '8CFF964D', '57E83EDA', '1EE55957', '8', '1189578', '3321', '-4705', '6', '11', '-14.5', '1.133', '0', '1', '393', '0');
INSERT INTO `trainers` VALUES ('Mos Entha', 'an Architect trainer', 'trainer_architect', 'crafting_architect', '8CFF964D', '57E83EDA', '1EE55957', '8', '1154183', '1288', '3369', '8', '11', '-14.5', '1.133', '0', '1', '394', '0');
INSERT INTO `trainers` VALUES ('Mos Espa', 'an Architect trainer', 'trainer_architect', 'crafting_architect', '8CFF964D', '57E83EDA', '1EE55957', '8', '1256021', '-3043', '2050', '6', '11', '-14.5', '1.133', '0', '1', '395', '0');
INSERT INTO `trainers` VALUES ('Mos Espa', 'an Architect trainer', 'trainer_architect', 'crafting_architect', '8CFF964D', '57E83EDA', '1EE55957', '8', '0', '-2872', '2159', '5', '0', '0', '0', '1', '0', '396', '0');
INSERT INTO `trainers` VALUES ('Narmle', 'an Architect trainer', 'trainer_architect', 'crafting_architect', '8CFF964D', '57E83EDA', '1EE55957', '6', '4635413', '-4999', '-2432', '81', '11', '-14.5', '1.133', '0', '1', '397', '0');
INSERT INTO `trainers` VALUES ('Restuss', 'an Architect trainer', 'trainer_architect', 'crafting_architect', '8CFF964D', '57E83EDA', '1EE55957', '6', '4635774', '5396', '5593', '81', '11', '-14.5', '1.133', '0', '1', '398', '0');
INSERT INTO `trainers` VALUES ('Restuss', 'an Architect trainer', 'trainer_architect', 'crafting_architect', '8CFF964D', '57E83EDA', '1EE55957', '6', '0', '5510', '5663', '80', '0', '0', '0', '0.957', '-0.29', '399', '0');
INSERT INTO `trainers` VALUES ('Coronet', 'a Creature Handler trainer', 'trainer_creaturehandler', 'outdoors_creaturehandler', 'C0738D47', 'D6D1707D', '7DDD078F', '0', '0', '-55', '-4566', '28', '0', '0', '0', '0', '1', '400', '0');
INSERT INTO `trainers` VALUES ('Doaba Guerfel', 'a Creature Handler trainer', 'trainer_creaturehandler', 'outdoors_creaturehandler', 'C0738D47', 'D6D1707D', '7DDD078F', '0', '0', '3162', '5191', '300', '0', '0', '0', '0', '1', '401', '0');
INSERT INTO `trainers` VALUES ('Kaadara', 'a Creature Handler trainer', 'trainer_creaturehandler', 'outdoors_creaturehandler', 'C0738D47', 'D6D1707D', '7DDD078F', '5', '0', '5181', '6806', '-192', '0', '0', '0', '0', '1', '402', '0');
INSERT INTO `trainers` VALUES ('Mos Entha', 'a Creature Handler trainer', 'trainer_creaturehandler', 'outdoors_creaturehandler', 'C0738D47', 'D6D1707D', '7DDD078F', '8', '0', '1374', '3262', '7', '0', '0', '0', '1', '0', '403', '0');
INSERT INTO `trainers` VALUES ('Mos Espa', 'a Creature Handler trainer', 'trainer_creaturehandler', 'outdoors_creaturehandler', 'C0738D47', 'D6D1707D', '7DDD078F', '8', '0', '-2994', '2530', '5', '0', '0', '0', '0.5', '1', '404', '0');
INSERT INTO `trainers` VALUES ('Restuss', 'a Creature Handler trainer', 'trainer_creaturehandler', 'outdoors_creaturehandler', 'C0738D47', 'D6D1707D', '7DDD078F', '6', '0', '5134', '5749', '80', '0', '0', '0', '1', '0', '405', '0');
INSERT INTO `trainers` VALUES ('Bela Vistal', 'an Artisan trainer', 'trainer_artisan', 'crafting_artisan', '00217BD7', 'DB36D340', '923BB4CD', '0', '2365947', '6707', '-5510.5', '316', '0', '-14', '1.13306', '0', '1', '406', '21');
INSERT INTO `trainers` VALUES ('Bela Vistal', 'an Artisan trainer', 'trainer_artisan', 'crafting_artisan', '00217BD7', 'DB36D340', '923BB4CD', '0', '0', '6755.99', '-5655.01', '314.994', '0', '0', '0', '0.712959', '-0.701206', '407', '21');
INSERT INTO `trainers` VALUES ('Coronet', 'an Artisan trainer', 'trainer_artisan', 'crafting_artisan', '00217BD7', 'DB36D340', '923BB4CD', '0', '1855517', '-146', '-4390', '29', '0', '-14', '1.13306', '0', '1', '408', '21');
INSERT INTO `trainers` VALUES ('Coronet', 'an Artisan trainer', 'trainer_artisan', 'crafting_artisan', '00217BD7', 'DB36D340', '923BB4CD', '0', '0', '-187', '-4700', '28', '0', '0', '0', '0.717733', '0.696318', '409', '21');
INSERT INTO `trainers` VALUES ('Doaba Guerfel', 'an Artisan trainer', 'trainer_artisan', 'crafting_artisan', '00217BD7', 'DB36D340', '923BB4CD', '0', '3055771', '3160', '5043', '291', '0', '-14', '1.13306', '0', '1', '410', '21');
INSERT INTO `trainers` VALUES ('Doaba Guerfel', 'an Artisan trainer', 'trainer_artisan', 'crafting_artisan', '00217BD7', 'DB36D340', '923BB4CD', '0', '0', '3311', '5530', '308', '0', '0', '0', '0.664487', '0.7473', '411', '21');
INSERT INTO `trainers` VALUES ('Kor Vella', 'an Artisan trainer', 'trainer_artisan', 'crafting_artisan', '00217BD7', 'DB36D340', '923BB4CD', '0', '2955416', '-3417.5', '3170', '79', '0', '-14', '1.13306', '0', '1', '412', '21');
INSERT INTO `trainers` VALUES ('Tyrena', 'an Artisan trainer', 'trainer_artisan', 'crafting_artisan', '00217BD7', 'DB36D340', '923BB4CD', '0', '0', '-5081', '-2307', '21', '0', '0', '0', '0.919828', '0.392321', '413', '21');
INSERT INTO `trainers` VALUES ('Tyrena', 'an Artisan trainer', 'trainer_artisan', 'crafting_artisan', '00217BD7', 'DB36D340', '923BB4CD', '0', '0', '-5300.07', '-2383', '21', '0', '0', '0', '0.999308', '-0.0372055', '414', '21');
INSERT INTO `trainers` VALUES ('Tyrena', 'an Artisan trainer', 'trainer_artisan', 'crafting_artisan', '00217BD7', 'DB36D340', '923BB4CD', '0', '1935454', '-5417', '-2756.5', '22', '0', '-14', '1.13306', '0', '1', '415', '21');
INSERT INTO `trainers` VALUES ('Kaadara', 'an Artisan trainer', 'trainer_artisan', 'crafting_artisan', '00217BD7', 'DB36D340', '923BB4CD', '5', '1741510', '5178', '6691', '-190', '-0.031573', '-14.1498', '1.13306', '0', '1', '416', '21');
INSERT INTO `trainers` VALUES ('Kaadara', 'an Artisan trainer', 'trainer_artisan', 'crafting_artisan', '00217BD7', 'DB36D340', '923BB4CD', '5', '0', '5182', '6686', '-192', '0', '0', '0', '0.933277', '0.359158', '417', '21');
INSERT INTO `trainers` VALUES ('Keren', 'an Artisan trainer', 'trainer_artisan', 'crafting_artisan', '00217BD7', 'DB36D340', '923BB4CD', '5', '0', '1522', '2781', '25', '0', '0', '0', '1', '0', '418', '21');
INSERT INTO `trainers` VALUES ('Keren', 'an Artisan trainer', 'trainer_artisan', 'crafting_artisan', '00217BD7', 'DB36D340', '923BB4CD', '5', '1396874', '1751', '2614', '13', '0.0976721', '-13.6995', '1.13306', '-0.00312865', '0.999995', '419', '21');
INSERT INTO `trainers` VALUES ('Keren', 'an Artisan trainer', 'trainer_artisan', 'crafting_artisan', '00217BD7', 'DB36D340', '923BB4CD', '5', '0', '2003.71', '2484.06', '12', '0', '0', '0', '0.852886', '-0.522097', '420', '21');
INSERT INTO `trainers` VALUES ('Moenia', 'an Artisan trainer', 'trainer_artisan', 'crafting_artisan', '00217BD7', 'DB36D340', '923BB4CD', '5', '0', '4823.13', '-4705.34', '4.17', '0', '0', '0', '-0.650473', '0.75953', '421', '21');
INSERT INTO `trainers` VALUES ('Moenia', 'an Artisan trainer', 'trainer_artisan', 'crafting_artisan', '00217BD7', 'DB36D340', '923BB4CD', '5', '1717546', '4926', '-4780', '4', '-0.0177415', '-13.3088', '1.13306', '0.000709873', '1', '422', '21');
INSERT INTO `trainers` VALUES ('Theed', 'an Artisan trainer', 'trainer_artisan', 'crafting_artisan', '00217BD7', 'DB36D340', '923BB4CD', '5', '0', '-4946', '4131', '6', '0', '0', '0', '0.933799', '0.357798', '423', '21');
INSERT INTO `trainers` VALUES ('Theed', 'an Artisan trainer', 'trainer_artisan', 'crafting_artisan', '00217BD7', 'DB36D340', '923BB4CD', '5', '1692084', '-55369', '4108', '7', '0.0417929', '-13.5584', '1.13306', '0.0134915', '0.999909', '424', '21');
INSERT INTO `trainers` VALUES ('Theed', 'an Artisan trainer', 'trainer_artisan', 'crafting_artisan', '00217BD7', 'DB36D340', '923BB4CD', '5', '0', '-5996.85', '4287.56', '6', '0', '0', '0', '0.566754', '0.823887', '425', '21');
INSERT INTO `trainers` VALUES ('Narmle', 'an Artisan trainer', 'trainer_artisan', 'crafting_artisan', '00217BD7', 'DB36D340', '923BB4CD', '6', '0', '-5160.97', '-2325.27', '80', '0', '0', '0', '0.931801', '0.362969', '426', '21');
INSERT INTO `trainers` VALUES ('Narmle', 'an Artisan trainer', 'trainer_artisan', 'crafting_artisan', '00217BD7', 'DB36D340', '923BB4CD', '6', '4615384', '-5199', '-2324', '81', '-0.124425', '-13.6473', '1.13306', '0.0020789', '0.999998', '427', '21');
INSERT INTO `trainers` VALUES ('Restuss', 'an Artisan trainer', 'trainer_artisan', 'crafting_artisan', '00217BD7', 'DB36D340', '923BB4CD', '6', '4635664', '5237', '5688', '81', '-0.112948', '-14.1468', '1.13306', '0', '1', '428', '21');
INSERT INTO `trainers` VALUES ('Restuss', 'an Artisan trainer', 'trainer_artisan', 'crafting_artisan', '00217BD7', 'DB36D340', '923BB4CD', '6', '0', '5256', '5600', '80', '0', '0', '0', '-0.108968', '0.994045', '429', '21');
INSERT INTO `trainers` VALUES ('Dearic', 'an Artisan trainer', 'trainer_artisan', 'crafting_artisan', '00217BD7', 'DB36D340', '923BB4CD', '7', '3175386', '539', '-2885', '7', '-0.0376376', '-13.9533', '1.13306', '0.00114352', '0.999999', '430', '21');
INSERT INTO `trainers` VALUES ('Dearic', 'an Artisan trainer', 'trainer_artisan', 'crafting_artisan', '00217BD7', 'DB36D340', '923BB4CD', '7', '0', '500', '-3043', '6', '0', '0', '0', '0.0672449', '0.997737', '431', '21');
INSERT INTO `trainers` VALUES ('Nashal', 'an Artisan trainer', 'trainer_artisan', 'crafting_artisan', '00217BD7', 'DB36D340', '923BB4CD', '7', '0', '4410', '5309', '2', '0', '0', '0', '0.698237', '0.715866', '432', '21');
INSERT INTO `trainers` VALUES ('Nashal', 'an Artisan trainer', 'trainer_artisan', 'crafting_artisan', '00217BD7', 'DB36D340', '923BB4CD', '7', '4265396', '4518', '5230', '3', '0.0424266', '-14.6324', '1.13306', '0.000896588', '1', '433', '21');
INSERT INTO `trainers` VALUES ('Bestine', 'an Artisan trainer', 'trainer_artisan', 'crafting_artisan', '00217BD7', 'DB36D340', '923BB4CD', '8', '1028562', '-1167', '-3491', '13', '-0.0507306', '-13.747', '1.13306', '0.000118111', '1', '434', '21');
INSERT INTO `trainers` VALUES ('Bestine', 'an Artisan trainer', 'trainer_artisan', 'crafting_artisan', '00217BD7', 'DB36D340', '923BB4CD', '8', '0', '-1266', '-3559', '12', '0', '0', '0', '0.916902', '-0.399112', '435', '21');
INSERT INTO `trainers` VALUES ('Mos Eisley', 'an Artisan trainer', 'trainer_artisan', 'crafting_artisan', '00217BD7', 'DB36D340', '923BB4CD', '8', '1279964', '3447', '-4702', '6', '-0.0585386', '-13.9039', '1.13306', '-4.59887', '1', '436', '21');
INSERT INTO `trainers` VALUES ('Mos Eisley', 'an Artisan trainer', 'trainer_artisan', 'crafting_artisan', '00217BD7', 'DB36D340', '923BB4CD', '8', '0', '3503', '-4809', '5', '0', '0', '0', '0.357844', '0.933782', '437', '21');
INSERT INTO `trainers` VALUES ('Mos Entha', 'an Artisan trainer', 'trainer_artisan', 'crafting_artisan', '00217BD7', 'DB36D340', '923BB4CD', '8', '0', '1276.55', '3153.11', '7', '0', '0', '0', '0.984731', '0.174081', '438', '21');
INSERT INTO `trainers` VALUES ('Mos Entha', 'an Artisan trainer', 'trainer_artisan', 'crafting_artisan', '00217BD7', 'DB36D340', '923BB4CD', '8', '0', '1324', '3141', '7', '0', '0', '0', '0.818581', '-0.57439', '439', '21');
INSERT INTO `trainers` VALUES ('Mos Entha', 'an Artisan trainer', 'trainer_artisan', 'crafting_artisan', '00217BD7', 'DB36D340', '923BB4CD', '8', '0', '1335', '3487', '7', '0', '0', '0', '0.940895', '0.338699', '440', '21');
INSERT INTO `trainers` VALUES ('Mos Entha', 'an Artisan trainer', 'trainer_artisan', 'crafting_artisan', '00217BD7', 'DB36D340', '923BB4CD', '8', '1153493', '1561', '3078', '8', '-0.0475945', '-14.1102', '1.13306', '-0.00318113', '0.999995', '441', '21');
INSERT INTO `trainers` VALUES ('Mos Espa', 'an Artisan trainer', 'trainer_artisan', 'crafting_artisan', '00217BD7', 'DB36D340', '923BB4CD', '8', '1256011', '-2826', '1993', '6', '-0.0885271', '-14.0283', '1.13306', '0.0149073', '0.999889', '442', '21');
INSERT INTO `trainers` VALUES ('Mos Espa', 'an Artisan trainer', 'trainer_artisan', 'crafting_artisan', '00217BD7', 'DB36D340', '923BB4CD', '8', '0', '-2890', '2142', '5', '0', '0', '0', '-0.166686', '0.98601', '443', '21');
INSERT INTO `trainers` VALUES ('Wayfar', 'an Artisan trainer', 'trainer_artisan', 'crafting_artisan', '00217BD7', 'DB36D340', '923BB4CD', '8', '0', '-5274', '-6547', '75', '0', '0', '0', '0.937074', '0.349132', '444', '21');
INSERT INTO `trainers` VALUES ('Bestine', 'a Politician trainer', 'trainer_industrialist', 'social_politician', '52E49D58', '89F335CF', 'C0FE5242', '8', '0', '-1125', '-3616', '12.2', '0', '0', '0', '0.99121', '0.1223', '445', '0');
INSERT INTO `trainers` VALUES ('Narmle', 'a Politician trainer', 'trainer_industrialist', 'social_politician', '52E49D58', '89F335CF', 'C0FE5242', '6', '0', '-5165', '-2461', '80', '0', '0', '0', '0.943042', '0.332675', '446', '0');
INSERT INTO `trainers` VALUES ('Coronet', 'a Politician trainer', 'trainer_industrialist', 'social_politician', '52E49D58', '89F335CF', 'C0FE5242', '0', '0', '-218', '-4500', '28', '0', '0', '0', '0.294557', '0.955634', '447', '0');
INSERT INTO `trainers` VALUES ('Dee\'ja Peak', 'a Politician trainer', 'trainer_industrialist', 'social_politician', '52E49D58', '89F335CF', 'C0FE5242', '5', '0', '4702', '-1368', '330', '0', '0', '0', '0.884584', '0.466381', '448', '0');
INSERT INTO `trainers` VALUES ('Dee\'ja Peak', 'a Weaponsmith trainer', 'trainer_weaponsmith', 'crafting_weaponsmith', '60894C2C', 'BB9EE4BB', 'F2938336', '5', '1685239', '4733', '-1267', '331', '-2.5', '-8.4', '1.13306', '0.7', '0.7', '449', '0');
INSERT INTO `trainers` VALUES ('Kaadara', 'a Weaponsmith trainer', 'trainer_weaponsmith', 'crafting_weaponsmith', '60894C2C', 'BB9EE4BB', 'F2938336', '5', '1741471', '5125', '6812', '-190', '-2.5', '-8.4', '1.13306', '0.7', '0.7', '450', '0');
INSERT INTO `trainers` VALUES ('Keren', 'a Weaponsmith trainer', 'trainer_weaponsmith', 'crafting_weaponsmith', '60894C2C', 'BB9EE4BB', 'F2938336', '5', '1650544', '1799', '2573', '13', '-2.5', '-8.4', '1.13306', '0.7', '0.7', '451', '0');
INSERT INTO `trainers` VALUES ('Keren', 'a Weaponsmith trainer', 'trainer_weaponsmith', 'crafting_weaponsmith', '60894C2C', 'BB9EE4BB', 'F2938336', '5', '0', '1905', '2767', '0', '0', '0', '0', '0', '0', '452', '0');
INSERT INTO `trainers` VALUES ('Moenia', 'a Weaponsmith trainer', 'trainer_weaponsmith', 'crafting_weaponsmith', '60894C2C', 'BB9EE4BB', 'F2938336', '5', '1717556', '4802', '-5008', '4', '-2.5', '-8.4', '1.13306', '0.7', '0.7', '453', '0');
INSERT INTO `trainers` VALUES ('Theed', 'a Weaponsmith trainer', 'trainer_weaponsmith', 'crafting_weaponsmith', '60894C2C', 'BB9EE4BB', 'F2938336', '5', '1692094', '0', '0', '0', '-3.1', '-8.2', '1.1', '0.7', '0.7', '454', '0');
INSERT INTO `trainers` VALUES ('Dearic', 'a Weaponsmith trainer', 'trainer_weaponsmith', 'crafting_weaponsmith', '60894C2C', 'BB9EE4BB', 'F2938336', '7', '0', '516', '-2912', '0', '0', '0', '0', '1', '0', '455', '0');
INSERT INTO `trainers` VALUES ('Dearic', 'a Weaponsmith trainer', 'trainer_weaponsmith', 'crafting_weaponsmith', '60894C2C', 'BB9EE4BB', 'F2938336', '7', '3175562', '614', '-3067', '7', '-2.5', '-8.4', '1.13306', '0.7', '0.7', '456', '0');
INSERT INTO `trainers` VALUES ('Nashal', 'a Weaponsmith trainer', 'trainer_weaponsmith', 'crafting_weaponsmith', '60894C2C', 'BB9EE4BB', 'F2938336', '7', '4265416', '4288', '5110', '3', '-2.5', '-8.4', '1.13306', '0.7', '0.7', '457', '0');
INSERT INTO `trainers` VALUES ('Narmle', 'a Weaponsmith trainer', 'trainer_weaponsmith', 'crafting_weaponsmith', '60894C2C', 'BB9EE4BB', 'F2938336', '6', '4635414', '-5013', '-2426', '81', '-2.5', '-8.4', '1.13306', '0.7', '0.7', '458', '0');
INSERT INTO `trainers` VALUES ('Narmle', 'a Weaponsmith trainer', 'trainer_weaponsmith', 'crafting_weaponsmith', '60894C2C', 'BB9EE4BB', 'F2938336', '6', '0', '-5274', '-2424', '0', '0', '0', '0', '0', '0', '459', '0');
INSERT INTO `trainers` VALUES ('Restuss', 'a Weaponsmith trainer', 'trainer_weaponsmith', 'crafting_weaponsmith', '60894C2C', 'BB9EE4BB', 'F2938336', '6', '4635775', '5383', '5599', '81', '-2.5', '-8.4', '1.13306', '0.7', '0.7', '460', '0');
INSERT INTO `trainers` VALUES ('Rebel Outpost', 'a Weaponsmith trainer', 'trainer_weaponsmith', 'crafting_weaponsmith', '60894C2C', 'BB9EE4BB', 'F2938336', '6', '0', '3681', '-6420', '0', '0', '0', '0', '0', '0', '461', '0');
INSERT INTO `trainers` VALUES ('Bela Vistal', 'a Weaponsmith trainer', 'trainer_weaponsmith', 'crafting_weaponsmith', '60894C2C', 'BB9EE4BB', 'F2938336', '0', '2365801', '6862', '-5418', '331', '-2.5', '-8.4', '1.13306', '0.7', '0.7', '462', '0');
INSERT INTO `trainers` VALUES ('Coronet', 'a Weaponsmith trainer', 'trainer_weaponsmith', 'crafting_weaponsmith', '60894C2C', 'BB9EE4BB', 'F2938336', '0', '0', '47', '-4442', '0', '0', '0', '0', '0', '0', '463', '0');
INSERT INTO `trainers` VALUES ('Doaba Guerfel', 'a Weaponsmith trainer', 'trainer_weaponsmith', 'crafting_weaponsmith', '60894C2C', 'BB9EE4BB', 'F2938336', '0', '3075413', '3112', '5293', '301', '-2.5', '-8.4', '1.13306', '0.7', '0.7', '464', '0');
INSERT INTO `trainers` VALUES ('Kor Vella', 'a Weaponsmith trainer', 'trainer_weaponsmith', 'crafting_weaponsmith', '60894C2C', 'BB9EE4BB', 'F2938336', '0', '2955401', '-3694', '3058', '87', '-2.5', '-8.4', '1.13306', '0.7', '0.7', '465', '0');
INSERT INTO `trainers` VALUES ('Tyrena', 'a Weaponsmith trainer', 'trainer_weaponsmith', 'crafting_weaponsmith', '60894C2C', 'BB9EE4BB', 'F2938336', '0', '0', '-5106', '-2324', '0', '0', '0', '0', '0', '0', '466', '0');
INSERT INTO `trainers` VALUES ('Tyrena', 'a Weaponsmith trainer', 'trainer_weaponsmith', 'crafting_weaponsmith', '60894C2C', 'BB9EE4BB', 'F2938336', '0', '1935464', '-5529', '-2676', '22', '-2.5', '-8.4', '1.13306', '0.7', '0.7', '467', '0');
INSERT INTO `trainers` VALUES ('Mos Entha', 'a Weaponsmith trainer', 'trainer_weaponsmith', 'crafting_weaponsmith', '60894C2C', 'BB9EE4BB', 'F2938336', '8', '0', '1210', '3273', '7.4', '0', '0', '0', '0.996437', '0.084394', '468', '0');
INSERT INTO `trainers` VALUES ('Mos Entha', 'a Weaponsmith trainer', 'trainer_weaponsmith', 'crafting_weaponsmith', '60894C2C', 'BB9EE4BB', 'F2938336', '8', '0', '1394', '3447', '7', '0', '0', '0', '0.738336', '0.674433', '469', '0');
INSERT INTO `trainers` VALUES ('Mos Entha', 'a Weaponsmith trainer', 'trainer_weaponsmith', 'crafting_weaponsmith', '60894C2C', 'BB9EE4BB', 'F2938336', '8', '1154184', '1294', '3383', '8', '-3.1', '-8.4', '1.1', '0.738336', '0.674433', '470', '0');
INSERT INTO `trainers` VALUES ('Mos Espa', 'a Weaponsmith trainer', 'trainer_weaponsmith', 'crafting_weaponsmith', '60894C2C', 'BB9EE4BB', 'F2938336', '8', '1256022', '-3058', '2052', '6', '-2.95975', '-8.77207', '1.13306', '0.815981', '0.578078', '471', '0');
INSERT INTO `trainers` VALUES ('Mos Espa', 'a Weaponsmith trainer', 'trainer_weaponsmith', 'crafting_weaponsmith', '60894C2C', 'BB9EE4BB', 'F2938336', '8', '0', '-2869', '2146', '5', '0', '0', '0', '0.0656768', '0.997841', '472', '0');
INSERT INTO `trainers` VALUES ('Mos Eisley', 'a Weaponsmith trainer', 'trainer_weaponsmith', 'crafting_weaponsmith', '60894C2C', 'BB9EE4BB', 'F2938336', '8', '1189579', '3334', '-4696', '6', '-2.87328', '-8.72939', '1.13306', '0.872882', '0.48793', '473', '0');
INSERT INTO `trainers` VALUES ('Bestine', 'a Weaponsmith trainer', 'trainer_weaponsmith', 'crafting_weaponsmith', '60894C2C', 'BB9EE4BB', 'F2938336', '8', '1028582', '-1258', '-3506', '13', '-3', '-8.3', '1.13306', '0.7', '0.7', '474', '0');
INSERT INTO `trainers` VALUES ('Keren', 'a Droid Engineer trainer', 'trainer_droidengineer', 'crafting_droidengineer', '3B94F411', '244434C0', '38C2CC11', '5', '1650545', '1797', '2577', '13', '-11', '-13', '1.13306', '0', '1', '475', '0');
INSERT INTO `trainers` VALUES ('Theed', 'a Droid Engineer trainer', 'trainer_droidengineer', 'crafting_droidengineer', '3B94F411', '244434C0', '38C2CC11', '5', '1692095', '-5462', '3983', '7', '-11', '-13', '1.13306', '0', '1', '476', '0');
INSERT INTO `trainers` VALUES ('Moenia', 'a Droid Engineer trainer', 'trainer_droidengineer', 'crafting_droidengineer', '3B94F411', '244434C0', '38C2CC11', '5', '1717557', '4793', '-5014', '4', '-11.5102', '-13.7835', '1.13306', '0.0206685', '0.999786', '477', '0');
INSERT INTO `trainers` VALUES ('Kaadara', 'a Droid Engineer trainer', 'trainer_droidengineer', 'crafting_droidengineer', '3B94F411', '244434C0', '38C2CC11', '5', '1741472', '5127', '6822', '-190', '-10.8596', '-14.4116', '1.13306', '0.00522962', '0.999986', '478', '0');
INSERT INTO `trainers` VALUES ('Dee\'ja Peak', 'a Droid Engineer trainer', 'trainer_droidengineer', 'crafting_droidengineer', '3B94F411', '244434C0', '38C2CC11', '5', '1685240', '4742', '-1261', '331', '-11.3655', '-13.793', '1.13306', '0.884445', '-0.466643', '479', '0');
INSERT INTO `trainers` VALUES ('Tyrena', 'a Droid Engineer trainer', 'trainer_droidengineer', 'crafting_droidengineer', '3B94F411', '244434C0', '38C2CC11', '0', '1935465', '3118', '5302', '301', '-11', '-14', '1.13306', '0', '1', '480', '0');
INSERT INTO `trainers` VALUES ('Kor Vella', 'a Droid Engineer trainer', 'trainer_droidengineer', 'crafting_droidengineer', '3B94F411', '244434C0', '38C2CC11', '0', '2955402', '-3705', '3058', '87', '-11', '-14', '1.13306', '0', '1', '481', '0');
INSERT INTO `trainers` VALUES ('Coronet', 'a Droid Engineer trainer', 'trainer_droidengineer', 'crafting_droidengineer', '3B94F411', '244434C0', '38C2CC11', '0', '1855528', '54', '-4451', '29', '-11', '-14', '1.13306', '0', '1', '482', '0');
INSERT INTO `trainers` VALUES ('Bela Vistal', 'a Droid Engineer trainer', 'trainer_droidengineer', 'crafting_droidengineer', '3B94F411', '244434C0', '38C2CC11', '0', '2365802', '6873', '-5416', '331', '-11', '-14', '1.13306', '0', '1', '483', '0');
INSERT INTO `trainers` VALUES ('Doaba Guerfel', 'a Droid Engineer trainer', 'trainer_droidengineer', 'crafting_droidengineer', '3B94F411', '244434C0', '38C2CC11', '0', '3075414', '3118', '5302', '301', '-11', '-14', '1.13306', '0', '1', '484', '0');
INSERT INTO `trainers` VALUES ('Bestine', 'a Droid Engineer trainer', 'trainer_droidengineer', 'crafting_droidengineer', '3B94F411', '244434C0', '38C2CC11', '8', '1028583', '-1257', '-3497', '13', '-11.6346', '-13.252', '1.13306', '0.019427', '0.999811', '485', '0');
INSERT INTO `trainers` VALUES ('Mos Entha', 'a Droid Engineer trainer', 'trainer_droidengineer', 'crafting_droidengineer', '3B94F411', '244434C0', '38C2CC11', '8', '1154185', '1289', '3391', '8', '-11.2719', '-13.4562', '1.13306', '-0.00121323', '0.999999', '486', '0');
INSERT INTO `trainers` VALUES ('Mos Espa', 'a Droid Engineer trainer', 'trainer_droidengineer', 'crafting_droidengineer', '3B94F411', '244434C0', '38C2CC11', '8', '1256023', '-3065', '2046', '6', '-11.5362', '-12.6351', '1.13306', '0.012226', '0.999925', '487', '0');
INSERT INTO `trainers` VALUES ('Mos Eisley', 'a Droid Engineer trainer', 'trainer_droidengineer', 'crafting_droidengineer', '3B94F411', '244434C0', '38C2CC11', '8', '1189580', '3334', '-4687', '6', '-10.9183', '-14.2845', '1.13306', '-0.0457645', '0.998952', '488', '0');
INSERT INTO `trainers` VALUES ('Dearic', 'a Droid Engineer trainer', 'trainer_droidengineer', 'crafting_droidengineer', '3B94F411', '244434C0', '38C2CC11', '7', '3175563', '611', '-3077', '7', '-11.7587', '-13.3207', '1.13306', '0.0581525', '0.998308', '489', '0');
INSERT INTO `trainers` VALUES ('Nashal', 'a Droid Engineer trainer', 'trainer_droidengineer', 'crafting_droidengineer', '3B94F411', '244434C0', '38C2CC11', '7', '4265417', '4289', '5100', '3', '-11.088', '-14.0044', '1.13306', '-0.00650418', '0.999979', '490', '0');
INSERT INTO `trainers` VALUES ('Restuss', 'a Droid Engineer trainer', 'trainer_droidengineer', 'crafting_droidengineer', '3B94F411', '244434C0', '38C2CC11', '6', '4635776', '5374', '5594', '81', '-11.4803', '-13.6866', '1.13306', '-0.0387217', '0.99925', '491', '0');
INSERT INTO `trainers` VALUES ('Narmle', 'a Droid Engineer trainer', 'trainer_droidengineer', 'crafting_droidengineer', '3B94F411', '244434C0', '38C2CC11', '6', '4635415', '-5121', '-2430', '81', '-10.6439', '-12.5741', '1.13306', '-0.0719766', '0.997406', '492', '0');
INSERT INTO `trainers` VALUES ('Bela Vistal', 'an Entertainer trainer', 'trainer_entertainer', 'social_entertainer', '073354DE', '61B3DB1E', 'EA2F0CEB', '0', '0', '6829', '-5429', '330', '0', '0', '0', '0.999286', '-0.0377764', '493', '24');
INSERT INTO `trainers` VALUES ('Doaba Guerfel', 'an Entertainer trainer', 'trainer_entertainer', 'social_entertainer', '073354DE', '61B3DB1E', 'EA2F0CEB', '0', '4395403', '3457', '5403', '310', '30.358', '73.5895', '2.12878', '0.737371', '-0.675488', '494', '24');
INSERT INTO `trainers` VALUES ('Doaba Guerfel', 'an Entertainer trainer', 'trainer_entertainer', 'social_entertainer', '073354DE', '61B3DB1E', 'EA2F0CEB', '0', '0', '3305', '5525', '308', '0', '0', '0', '0.967509', '0.252836', '495', '24');
INSERT INTO `trainers` VALUES ('Kor Vella', 'an Entertainer trainer', 'trainer_entertainer', 'social_entertainer', '073354DE', '61B3DB1E', 'EA2F0CEB', '0', '0', '-3152', '2807', '31', '0', '0', '0', '0.999826', '0.0186444', '496', '24');
INSERT INTO `trainers` VALUES ('Kor Vella', 'an Entertainer trainer', 'trainer_entertainer', 'social_entertainer', '073354DE', '61B3DB1E', 'EA2F0CEB', '0', '3005399', '-3460', '3067', '77', '26.1909', '10.2549', '-0.894994', '0.766435', '-0.642322', '497', '24');
INSERT INTO `trainers` VALUES ('Tyrena', 'an Entertainer trainer', 'trainer_entertainer', 'social_entertainer', '073354DE', '61B3DB1E', 'EA2F0CEB', '0', '0', '-5661', '-2599.57', '21.6', '0', '0', '0', '-0.122204', '0.992505', '498', '24');
INSERT INTO `trainers` VALUES ('Tyrena', 'an Entertainer trainer', 'trainer_entertainer', 'social_entertainer', '073354DE', '61B3DB1E', 'EA2F0CEB', '0', '2625358', '-5243', '-2557', '20', '6.15345', '-19.3905', '-0.894992', '0.00181555', '0.999998', '499', '24');
INSERT INTO `trainers` VALUES ('Tyrena', 'an Entertainer trainer', 'trainer_entertainer', 'social_entertainer', '073354DE', '61B3DB1E', 'EA2F0CEB', '0', '0', '-5062', '-2291', '21', '0', '0', '0', '0.882297', '0.470693', '500', '24');
INSERT INTO `trainers` VALUES ('Vreni Island', 'an Entertainer trainer', 'trainer_entertainer', 'social_entertainer', '073354DE', '61B3DB1E', 'EA2F0CEB', '0', '3005697', '-5190', '-6401', '3', '22.0446', '11.7787', '-0.894993', '0.996665', '-0.0816027', '501', '24');
INSERT INTO `trainers` VALUES ('Coronet', 'an Entertainer trainer', 'trainer_entertainer', 'social_entertainer', '073354DE', '61B3DB1E', 'EA2F0CEB', '0', '0', '-173', '-4739', '28', '0', '0', '0', '0', '1', '502', '24');
INSERT INTO `trainers` VALUES ('Coronet', 'an Entertainer trainer', 'trainer_entertainer', 'social_entertainer', '073354DE', '61B3DB1E', 'EA2F0CEB', '0', '0', '-228', '-4118', '28.6', '0', '0', '0', '0', '1', '503', '24');
INSERT INTO `trainers` VALUES ('Kaadara', 'an Entertainer trainer', 'trainer_entertainer', 'social_entertainer', '073354DE', '61B3DB1E', 'EA2F0CEB', '5', '0', '5209.69', '6661.65', '-192', '0', '0', '0', '0.783581', '-0.621289', '504', '24');
INSERT INTO `trainers` VALUES ('Keren', 'an Entertainer trainer', 'trainer_entertainer', 'social_entertainer', '073354DE', '61B3DB1E', 'EA2F0CEB', '5', '0', '1772.77', '2744.98', '12', '0', '0', '0', '0.999915', '0.013024', '505', '24');
INSERT INTO `trainers` VALUES ('Keren', 'an Entertainer trainer', 'trainer_entertainer', 'social_entertainer', '073354DE', '61B3DB1E', 'EA2F0CEB', '5', '4045383', '1657', '2465', '14', '29.6396', '74.0291', '2.12878', '0.708765', '-0.705445', '506', '24');
INSERT INTO `trainers` VALUES ('Moenia', 'an Entertainer trainer', 'trainer_entertainer', 'social_entertainer', '073354DE', '61B3DB1E', 'EA2F0CEB', '5', '0', '4846', '-4658', '4.17', '0', '0', '0', '0.777062', '-0.629424', '507', '24');
INSERT INTO `trainers` VALUES ('Theed', 'an Entertainer trainer', 'trainer_entertainer', 'social_entertainer', '073354DE', '61B3DB1E', 'EA2F0CEB', '5', '5475487', '-5764', '4254', '8', '28.3235', '73.5353', '2.12854', '0.708389', '0.705822', '508', '24');
INSERT INTO `trainers` VALUES ('Narmle', 'an Entertainer trainer', 'trainer_entertainer', 'social_entertainer', '073354DE', '61B3DB1E', 'EA2F0CEB', '6', '4635403', '-4999', '-2262', '82', '29.5159', '73.6413', '2.12878', '-0.697109', '0.716966', '509', '24');
INSERT INTO `trainers` VALUES ('Narmle', 'an Entertainer trainer', 'trainer_entertainer', 'social_entertainer', '073354DE', '61B3DB1E', 'EA2F0CEB', '6', '0', '-5078', '-2354', '80', '0', '0', '0', '0.957408', '0.288739', '510', '24');
INSERT INTO `trainers` VALUES ('Restuss', 'an Entertainer trainer', 'trainer_entertainer', 'social_entertainer', '073354DE', '61B3DB1E', 'EA2F0CEB', '6', '4635754', '5437', '5542', '82', '30.0595', '73.1945', '2.12878', '-0.618294', '0.785947', '511', '24');
INSERT INTO `trainers` VALUES ('Restuss', 'an Entertainer trainer', 'trainer_entertainer', 'social_entertainer', '073354DE', '61B3DB1E', 'EA2F0CEB', '6', '0', '5433', '5558', '80.6', '0', '0', '0', '0.718484', '-0.695543', '512', '24');
INSERT INTO `trainers` VALUES ('Dearic', 'an Entertainer trainer', 'trainer_entertainer', 'social_entertainer', '073354DE', '61B3DB1E', 'EA2F0CEB', '7', '3175572', '569', '-3076', '8', '29.7003', '73.0836', '2.12878', '-0.697745', '0.716347', '513', '24');
INSERT INTO `trainers` VALUES ('Nashal', 'an Entertainer trainer', 'trainer_entertainer', 'social_entertainer', '073354DE', '61B3DB1E', 'EA2F0CEB', '7', '0', '4366', '5350', '2', '0', '0', '0', '0.761549', '-0.648109', '514', '24');
INSERT INTO `trainers` VALUES ('Nashal', 'an Entertainer trainer', 'trainer_entertainer', 'social_entertainer', '073354DE', '61B3DB1E', 'EA2F0CEB', '7', '4265375', '4308', '5329', '1', '23.5446', '11.6472', '-0.894993', '0.99854', '0.05402', '515', '24');
INSERT INTO `trainers` VALUES ('Bestine', 'an Entertainer trainer', 'trainer_entertainer', 'social_entertainer', '073354DE', '61B3DB1E', 'EA2F0CEB', '8', '0', '-1266', '-3626', '12', '0', '0', '0', '-0.192217', '0.981353', '516', '24');
INSERT INTO `trainers` VALUES ('Mos Entha', 'an Entertainer trainer', 'trainer_entertainer', 'social_entertainer', '073354DE', '61B3DB1E', 'EA2F0CEB', '8', '1153603', '1499', '3266', '9', '29.9638', '73.0406', '2.12878', '-0.703631', '0.716565', '517', '24');
INSERT INTO `trainers` VALUES ('Mos Entha', 'an Entertainer trainer', 'trainer_entertainer', 'social_entertainer', '073354DE', '61B3DB1E', 'EA2F0CEB', '8', '0', '1287', '3163', '7', '0', '0', '0', '0.676311', '0.736616', '518', '24');
INSERT INTO `trainers` VALUES ('Mos Espa', 'an Entertainer trainer', 'trainer_entertainer', 'social_entertainer', '073354DE', '61B3DB1E', 'EA2F0CEB', '8', '0', '-2889', '2178', '5', '0', '0', '0', '0.986429', '0.164186', '519', '24');
INSERT INTO `trainers` VALUES ('Mos Eisley', 'an Entertainer trainer', 'trainer_entertainer', 'social_entertainer', '073354DE', '61B3DB1E', 'EA2F0CEB', '8', '0', '3477.89', '-4791.6', '5', '0', '0', '0', '0.952414', '-0.304806', '520', '24');
INSERT INTO `trainers` VALUES ('Rori', 'a Merchant trainer', 'trainer_merchant', 'crafting_merchant', 'D717AE2E', '0C0006B9', '450D6134', '6', '4635772', '5397', '5613', '81', '11.6338', '5.69637', '1.13306', '0.999642', '0.0267526', '521', '0');
INSERT INTO `trainers` VALUES ('Bela Vistal', 'a Merchant trainer', 'trainer_merchant', 'crafting_merchant', 'D717AE2E', '0C0006B9', '450D6134', '0', '2365798', '6845', '-5428', '331', '12', '6', '1.13306', '1', '0', '522', '0');
INSERT INTO `transports` VALUES ('1', '0', 'Bela Vistal Shuttle A', '0', '6949', '-5543', '220', '0.2', '0.51', '6936', '-5537', '330.6', '0', '0', '1655014887');
INSERT INTO `transports` VALUES ('2', '0', 'Bela Vistal Shuttle B', '0', '6623', '-5923', '330', '0', '0.51', '6637', '-5921', '330.6', '0', '0', '1655014887');
INSERT INTO `transports` VALUES ('3', '0', 'Coronet Shuttle A', '0', '-323', '-4620', '28', '-0.71', '0.7', '-331.2', '-4639.2', '28.6', '0', '0', '1655014887');
INSERT INTO `transports` VALUES ('4', '0', 'Coronet Shuttle B', '0', '-18', '-4389', '28', '-0.71', '0.7', '-27.9', '-4406', '28.6', '0', '0', '1655014887');
INSERT INTO `transports` VALUES ('5', '0', 'Doaba Guerfel Shuttleport', '0', '3064', '4992', '280.6', '0', '0.51', '3079', '4993', '280.6', '0', '0', '1655014887');
INSERT INTO `transports` VALUES ('6', '0', 'Kor Vella Shuttleport', '0', '-3777', '3254', '86.6', '-0.7', '-0.51', '-3776', '3240', '86.6', '0', '0', '1655014887');
INSERT INTO `transports` VALUES ('7', '0', 'Tyrena Shuttle A', '0', '-5000', '-2367', '21.6', '-0.7', '0.51', '-5001', '-2355', '21.6', '0', '0', '1655014887');
INSERT INTO `transports` VALUES ('8', '0', 'Tyrena Shuttle B', '0', '-5621', '-2793', '21.6', '0', '0.51', '-5606', '-2790', '21.6', '0', '0', '1655014887');
INSERT INTO `transports` VALUES ('9', '0', 'Vreni Island', '0', '-5555', '-6039', '16.6', '0.7', '0.51', '-5551', '-6053', '16.6', '0', '0', '1655014887');
INSERT INTO `transports` VALUES ('10', '1', 'Pirate Outpost', '0', '1589', '-6400', '11', '-0.71', '0.7', '1571', '-6413', '4', '1', '0', '3024736394');
INSERT INTO `transports` VALUES ('11', '1', 'Imperial Outpost', '0', '-4228', '-2364', '10', '-0.71', '0.7', '-4213', '-2350', '3', '1', '0', '3024736394');
INSERT INTO `transports` VALUES ('12', '1', 'Mining Outpost', '0', '-638', '2481', '10', '1', '0', '-636', '2504', '3', '1', '0', '3024736394');
INSERT INTO `transports` VALUES ('13', '2', 'Science Outpost', '0', '-74', '-1583', '25.086', '1', '0', '-52', '-1585', '18', '1', '0', '3024736394');
INSERT INTO `transports` VALUES ('14', '2', 'Trade Outpost', '0', '593.9', '3089', '13.1256', '-0.71', '0.7', '617', '3090', '6', '1', '0', '3024736394');
INSERT INTO `transports` VALUES ('15', '3', 'Research Outpost', '0', '3222', '-3482', '31', '-0.71', '0.7', '3222', '-3482', '24', '1', '0', '3024736394');
INSERT INTO `transports` VALUES ('16', '3', 'Smuggler Outpost', '0', '-978', '1554', '80', '-0.36', '0.93', '-978', '1554', '73', '1', '0', '3024736394');
INSERT INTO `transports` VALUES ('17', '4', 'Nyms Stronghold', '0', '458', '5496', '16.1', '-0.71', '0.7', '476', '5511', '8.8', '1', '0', '3024736394');
INSERT INTO `transports` VALUES ('18', '5', 'Deeja Peak Shuttleport', '0', '5352', '-1571', '327.7', '1', '0', '5351', '-1577', '327.7', '0', '0', '1655014887');
INSERT INTO `transports` VALUES ('19', '5', 'Kaadara Shuttleport', '0', '5141', '6605', '-191.4', '-0.92', '0.39', '5137', '6601', '-191.4', '0', '0', '1655014887');
INSERT INTO `transports` VALUES ('20', '5', 'Keren Shuttle A', '0', '2041', '2531', '19.7', '1', '0', '2041', '2525', '19.7', '0', '0', '1655014887');
INSERT INTO `transports` VALUES ('21', '5', 'Keren Shuttle B', '0', '1575', '2857', '25.7', '-0.71', '0.7', '1568', '2858', '25.7', '0', '0', '1655014887');
INSERT INTO `transports` VALUES ('22', '5', 'Lake Retreat Shuttleport', '0', '-5474', '-15', '-149.4', '1', '0', '-5474', '-21', '-149.4', '0', '0', '1655014887');
INSERT INTO `transports` VALUES ('23', '5', 'Moenia Shuttleport', '0', '4982', '-4885', '4.4', '1', '0', '4981', '-4890', '4.4', '0', '0', '1655014887');
INSERT INTO `transports` VALUES ('24', '5', 'Theed Shuttle A', '0', '-5876', '4178', '6.8', '0', '1', '-5876', '4173', '6.8', '0', '0', '1655014887');
INSERT INTO `transports` VALUES ('25', '5', 'Theed Shuttle B', '0', '-5416', '4302', '6.8', '-0.71', '0.7', '-5411', '4302', '6.8', '0', '0', '1655014887');
INSERT INTO `transports` VALUES ('26', '5', 'Theed Shuttle C', '0', '-4983', '4086', '6.6', '0.47', '-0.8', '-4989', '4090', '6.6', '0', '0', '1655014887');
INSERT INTO `transports` VALUES ('27', '6', 'Narmle Shuttleport', '0', '-5236.4', '-2151', '81.3', '0.42', '-0.83', '-5241', '-2147', '81.3', '0', '0', '1655014887');
INSERT INTO `transports` VALUES ('28', '6', 'Rebel Outpost', '0', '3667', '-6418', '103', '0.71', '0.69', '3692', '-6403', '96', '1', '0', '3024736394');
INSERT INTO `transports` VALUES ('29', '6', 'Restuss Shuttleport', '0', '5207', '5810', '80.7', '0.71', '0.69', '5213', '5810', '80.7', '0', '0', '1655014887');
INSERT INTO `transports` VALUES ('30', '7', 'Dearic Shuttleport', '0', '701', '-3062', '6.6', '-0.7', '0.51', '699', '-3047', '6.6', '0', '0', '1655014887');
INSERT INTO `transports` VALUES ('31', '7', 'Imperial Outpost', '0', '-2214', '2301', '26.6', '0', '0.51', '-2228', '2321', '20', '1', '0', '3024736394');
INSERT INTO `transports` VALUES ('32', '7', 'Nashal Shuttleport', '0', '4313', '5427', '10.6', '0', '0.51', '4328', '5433', '10.6', '0', '0', '1655014887');
INSERT INTO `transports` VALUES ('33', '8', 'Anchorhead', '0', '47', '-5317', '52.6', '0.706544', '0.707669', '47', '-5333', '52.6', '0', '0', '1655014887');
INSERT INTO `transports` VALUES ('34', '8', 'Bestine Shuttleport', '0', '-1078', '-3564', '12.6', '0', '0', '-1093', '-3562', '12.6', '0', '0', '1655014887');
INSERT INTO `transports` VALUES ('35', '8', 'Mos Eisley Shuttleport', '0', '3433', '-4658', '5.6', '0.4', '0.5', '3433', '-4658', '5.6', '0', '0', '1655014887');
INSERT INTO `transports` VALUES ('36', '8', 'Mos Entha Shuttleport', '0', '1729', '3205', '7.6', '0.706544', '0.707669', '1728', '3199', '7.6', '0', '0', '1655014887');
INSERT INTO `transports` VALUES ('37', '8', 'Mos Espa Shuttle A', '0', '-2797', '2164', '5.6', '0.75', '-0.6', '-2800', '2176', '5.6', '0', '0', '1655014887');
INSERT INTO `transports` VALUES ('38', '8', 'Mos Espa Shuttle B', '0', '-3131', '2169', '5.6', '0.15', '-0.75', '-3117', '2174', '5.6', '0', '0', '1655014887');
INSERT INTO `transports` VALUES ('39', '9', 'Imperial Outpost', '0', '4033', '-6234', '44', '-0.71', '0.7', '4033', '-6234', '37', '1', '0', '3024736394');
INSERT INTO `transports` VALUES ('40', '9', 'Labor Outpost', '0', '-6938', '-5706', '80', '1', '0', '-6939', '-5706', '73', '1', '0', '3024736394');
INSERT INTO `transports` VALUES ('41', '9', 'Mining Outpost', '0', '-288', '4879', '42', '0.71', '0.69', '-288', '4879', '35', '1', '0', '3024736394');
INSERT INTO `transports` VALUES ('42', '5', 'Theed Starport', '1692104', '0', '0', '7.94', '0.71', '1', '-4852.44', '4171.5', '6.42631', '1', '0', '1763885578');
INSERT INTO `transports` VALUES ('43', '5', 'Moenia Starport', '0', '4727', '-4641', '4.17', '0.689877', '0.723926', '4727.88', '-4641.2', '4.17', '1', '0', '3024736394');
INSERT INTO `transports` VALUES ('44', '5', 'Keren Starport', '0', '1350', '2769', '13', '0.71', '0.7', '1350', '2769', '13', '1', '0', '3024736394');
INSERT INTO `transports` VALUES ('45', '5', 'Kaadara Starport', '0', '5301', '6662', '-192', '0.71', '0.7', '5301', '6662', '-192', '1', '0', '3024736394');
INSERT INTO `transports` VALUES ('46', '0', 'Doaba Guerfel Starport', '0', '3377', '5606', '308', '-0.71', '1', '3377', '5606', '-308', '1', '0', '3024736394');
INSERT INTO `transports` VALUES ('47', '0', 'Kor Vella Starport', '0', '-3138', '2897', '31', '0', '1', '-3138', '2897', '31', '1', '0', '3024736394');
INSERT INTO `transports` VALUES ('48', '0', 'Tyrena Starport', '0', '-4976', '-2224', '21', '0', '1', '-4976', '-2224', '21', '1', '0', '3024736394');
INSERT INTO `transports` VALUES ('49', '0', 'Coronet Starport', '0', '-52', '-4736', '28', '0.71', '0.75', '-52', '-4736', '28', '1', '0', '3024736394');
INSERT INTO `transports` VALUES ('50', '6', 'Restuss Starport', '0', '5366.71', '5754.58', '80', '-0.22', '1', '5366', '5754', '80', '1', '0', '3024736394');
INSERT INTO `transports` VALUES ('51', '6', 'Narmle Starport', '0', '-5371', '-2157', '80', '0.89', '0.46', '-5371', '-5754', '80', '1', '0', '3024736394');
INSERT INTO `transports` VALUES ('52', '7', 'Dearic Starport', '0', '243', '-2926', '6', '0.83', '-0.55', '243', '-2926', '6', '1', '0', '3024736394');
INSERT INTO `transports` VALUES ('53', '7', 'Nashal Starport', '0', '4483', '5369', '2', '-0.81', '1', '4483', '5369', '2', '1', '0', '3024736394');
INSERT INTO `transports` VALUES ('54', '8', 'Mos Entha Starport', '0', '1236', '3059', '7', '1', '0', '1236', '3059', '7', '1', '0', '3024736394');
INSERT INTO `transports` VALUES ('55', '8', 'Mos Espa Starport', '0', '-2824', '2081', '5', '0.73', '0.67', '-2824', '2081', '5', '1', '0', '3024736394');
INSERT INTO `transports` VALUES ('56', '8', 'Mos Eisley Starport', '0', '3624', '-4797', '5', '-0.53', '0.84', '3624', '-4797', '5', '1', '0', '3024736394');
INSERT INTO `transports` VALUES ('57', '8', 'Bestine Starport', '0', '-1377', '-3576', '12', '0.78', '-0.61', '-1377', '-3576', '12', '1', '0', '3024736394');
INSERT INTO `warp` VALUES ('1', 'coronet_starport', '0', '-67.000000', '28.000000', '-4711.000000', 'Coronet Starport, Corellia', '3', '180');
INSERT INTO `warp` VALUES ('2', 'coronet_shuttle_a', '0', '-25.000000', '28.000000', '-4389.000000', 'Coronet Shuttle A, Corellia', '3', '180');
INSERT INTO `warp` VALUES ('3', 'coronet_shuttle_b', '0', '-329.000000', '28.000000', '-4621.000000', 'Coronet Shuttle B, Corellia', '3', '180');
INSERT INTO `warp` VALUES ('4', 'tyrena_starport', '0', '-5001.000000', '21.000000', '-2227.000000', 'Tyrena Starport, Corellia', '3', '180');
INSERT INTO `warp` VALUES ('5', 'tyrena_shuttle_a', '0', '-5003.000000', '21.000000', '-2367.000000', 'Tyrena Shuttle A, Corellia', '3', '180');
INSERT INTO `warp` VALUES ('6', 'tyrena_shuttle_b', '0', '-5620.000000', '21.000000', '-2790.000000', 'Tyrena Shuttle B, Corellia', '3', '180');
INSERT INTO `warp` VALUES ('7', 'kor_vella_starport', '0', '-3155.000000', '31.000000', '2877.000000', 'Kor Vella Starport, Corellia', '3', '180');
INSERT INTO `warp` VALUES ('8', 'kor_vella_shuttle', '0', '-3775.000000', '0.000000', '3254.000000', 'Kor Vella Shuttle, Corellia', '3', '180');
INSERT INTO `warp` VALUES ('9', 'doaba_guerfel_starport', '0', '3352.000000', '308.000000', '5595.000000', 'Doaba Guerfel Starport, Corellia', '3', '180');
INSERT INTO `warp` VALUES ('10', 'doaba_guerfel_shuttle', '0', '3065.000000', '0.000000', '4993.000000', 'Doaba Guerfel Shuttle, Corellia', '3', '180');
INSERT INTO `warp` VALUES ('11', 'bela_vistal_shuttle_a', '0', '6624.000000', '330.000000', '-5921.000000', 'Bela Vistal Shuttle A, Corellia', '3', '180');
INSERT INTO `warp` VALUES ('12', 'bela_vistal_shuttle_b', '0', '6950.000000', '330.000000', '-5538.000000', 'Bela Vistal Shuttle B, Corellia', '3', '180');
INSERT INTO `warp` VALUES ('13', 'vreni_island_shuttle', '0', '-5551.000000', '0.000000', '-6039.000000', 'Vreni Island Shuttle, Corellia', '3', '180');
INSERT INTO `warp` VALUES ('14', 'dant_mining_op', '1', '-637.000000', '3.000000', '2505.000000', 'Mining Outpost, Dantooine', '3', '180');
INSERT INTO `warp` VALUES ('15', 'dant_imperial_op', '1', '-4210.000000', '3.000000', '-2350.000000', 'Imperial Outpost, Dantooine', '3', '180');
INSERT INTO `warp` VALUES ('16', 'dant_agro_op', '1', '1570.000000', '4.000000', '-6416.000000', 'Agro Outpost, Dantooine', '3', '180');
INSERT INTO `warp` VALUES ('17', 'dath_trade_op', '2', '617.000000', '6.000000', '3093.000000', 'Trade Outpost, Dathomir', '3', '180');
INSERT INTO `warp` VALUES ('18', 'dath_science_op', '2', '-49.000000', '18.000000', '-1584.000000', 'Science Outpost, Dathomir', '3', '180');
INSERT INTO `warp` VALUES ('19', 'endor_smuggler_op', '3', '-952.000000', '73.000000', '1554.000000', 'Smuggler Outpost, Endor', '3', '180');
INSERT INTO `warp` VALUES ('20', 'endor_research_op', '3', '3200.000000', '24.000000', '-3502.000000', 'Research Outpost, Endor', '3', '180');
INSERT INTO `warp` VALUES ('21', 'nym_stronghold', '4', '483.000000', '9.000000', '5512.000000', 'Nym\'s Stronghold, Lok', '3', '180');
INSERT INTO `warp` VALUES ('22', 'theed_starport', '5', '-4838.000000', '6.000000', '4164.000000', 'Theed Starport, Naboo', '3', '180');
INSERT INTO `warp` VALUES ('23', 'theed_shuttle_a', '5', '-5876.000000', '0.000000', '4172.000000', 'Theed Shuttle A, Naboo', '3', '180');
INSERT INTO `warp` VALUES ('24', 'theed_shuttle_c', '5', '-5411.000000', '0.000000', '4302.000000', 'Theed Shuttle C, Naboo', '3', '180');
INSERT INTO `warp` VALUES ('25', 'theed_shuttle_b', '5', '-4984.000000', '0.000000', '4090.000000', 'Theed Shuttle B, Naboo', '3', '180');
INSERT INTO `warp` VALUES ('26', 'keren_starport', '5', '1374.000000', '13.000000', '2749.000000', 'Keren Starport, Naboo', '3', '180');
INSERT INTO `warp` VALUES ('27', 'keren_shuttle_south', '5', '1568.000000', '25.000000', '2856.000000', 'Keren Shuttle South, Naboo', '3', '180');
INSERT INTO `warp` VALUES ('28', 'keren_shuttle', '5', '2041.000000', '0.000000', '2525.000000', 'Keren Shuttle, Naboo', '3', '180');
INSERT INTO `warp` VALUES ('29', 'kaadara_starport', '5', '5279.000000', '-192.000000', '6687.000000', 'Kaadara Starport, Naboo', '3', '180');
INSERT INTO `warp` VALUES ('30', 'kaadara_shuttle', '5', '5137.000000', '-191.000000', '6601.000000', 'Kaadara Shuttle, Naboo', '3', '180');
INSERT INTO `warp` VALUES ('31', 'moenia_starport', '5', '4733.000000', '4.000000', '-4676.000000', 'Moenia Starport, Naboo', '3', '180');
INSERT INTO `warp` VALUES ('32', 'moenia_shuttle', '5', '4981.000000', '0.000000', '-4892.000000', 'Moenia Shuttle, Naboo', '3', '180');
INSERT INTO `warp` VALUES ('33', 'deeja_peak', '5', '5351.000000', '0.000000', '-1576.000000', 'Theed Shuttle #1, Naboo', '3', '180');
INSERT INTO `warp` VALUES ('34', 'lake_retreat', '5', '-5474.000000', '0.000000', '-21.000000', 'Theed Shuttle #2, Naboo', '3', '180');
INSERT INTO `warp` VALUES ('35', 'restuss_starport', '6', '5343.000000', '80.000000', '5733.000000', 'Restuss Starport, Rori', '3', '180');
INSERT INTO `warp` VALUES ('36', 'restuss_shuttle', '6', '5240.000000', '0.000000', '6204.000000', 'Restuss Shuttle, Rori', '3', '180');
INSERT INTO `warp` VALUES ('37', 'narmle_starport', '6', '-5372.000000', '80.000000', '-2187.000000', 'Narmle Starport, Rori', '3', '180');
INSERT INTO `warp` VALUES ('38', 'narmle_shuttle', '6', '-5241.000000', '0.000000', '-2147.000000', 'Narmle Shuttle, Rori', '3', '180');
INSERT INTO `warp` VALUES ('39', 'rori_rebel_op', '6', '3689.000000', '96.000000', '-6399.000000', 'Rebel Outpost, Rori', '3', '180');
INSERT INTO `warp` VALUES ('40', 'dearic_starport', '7', '265.000000', '6.000000', '-2947.000000', 'Dearic Starport, Talus', '3', '180');
INSERT INTO `warp` VALUES ('41', 'dearic_shuttle', '7', '699.000000', '0.000000', '-3061.000000', 'Dearic Shuttle, Talus', '3', '180');
INSERT INTO `warp` VALUES ('42', 'nashal_starport', '7', '4456.000000', '2.000000', '5353.000000', 'Nashal Starport, Talus', '3', '180');
INSERT INTO `warp` VALUES ('43', 'nashal_shuttle', '7', '4314.000000', '0.000000', '5431.000000', 'Nashal Shuttle, Talus', '3', '180');
INSERT INTO `warp` VALUES ('44', 'talus_imperial_opt', '7', '-2227.000000', '20.000000', '2319.000000', 'Imperial Outpost, Talus', '3', '180');
INSERT INTO `warp` VALUES ('45', 'mos_eisley_starport', '8', '3601.000000', '5.000000', '-4781.000000', 'Mos Eisley Starport, Tatooine', '3', '180');
INSERT INTO `warp` VALUES ('46', 'mos_eisley_shuttle', '8', '3431.000000', '5.000000', '-4656.000000', 'Mos Eisley Shuttle, Tatooine', '3', '180');
INSERT INTO `warp` VALUES ('47', 'bestine_starport', '8', '-1362.000000', '12.000000', '-3600.000000', 'Bestine Starport, Tatooine', '3', '180');
INSERT INTO `warp` VALUES ('48', 'bestine_shuttle', '8', '-1081.000000', '12.000000', '-3564.000000', 'Bestine Shuttle, Tatooine', '3', '180');
INSERT INTO `warp` VALUES ('49', 'mos_espa_starport', '8', '-2831.000000', '5.000000', '2109.000000', 'Mos Espa Starport, Tatooine', '3', '180');
INSERT INTO `warp` VALUES ('50', 'mos_espa_shuttle_west', '8', '-3131.000000', '5.000000', '2172.000000', 'Mos Espa Shuttle West, Tatooine', '3', '180');
INSERT INTO `warp` VALUES ('51', 'mos_espa_shuttle_east', '8', '-2799.000000', '5.000000', '2163.000000', 'Mos Espa Shuttle East, Tatooine', '3', '180');
INSERT INTO `warp` VALUES ('52', 'mos_espa_shuttle_south', '8', '-2891.000000', '5.000000', '1914.000000', 'Mos Espa Shuttle South, Tatooine', '3', '180');
INSERT INTO `warp` VALUES ('53', 'mos_entha_starport', '8', '1263.000000', '7.000000', '3062.000000', 'Mos Entha Starport, Tatooine', '3', '180');
INSERT INTO `warp` VALUES ('54', 'mos_entha_shuttle_a', '8', '1730.000000', '0.000000', '3209.000000', 'Mos Entha Shuttle A, Tatooine', '3', '180');
INSERT INTO `warp` VALUES ('55', 'mos_entha_shuttle_b', '8', '1395.000000', '0.000000', '3487.000000', 'Mos Entha Shuttle B, Tatooine', '3', '180');
INSERT INTO `warp` VALUES ('56', 'yavin_mining_op', '9', '-268.000000', '35.000000', '4897.000000', 'Mining Outpost, Yavin IV', '3', '180');
INSERT INTO `warp` VALUES ('57', 'yavin_imperial_op', '9', '4051.000000', '37.000000', '-6215.000000', 'Imperial Outpost, Yavin IV', '3', '180');
INSERT INTO `warp` VALUES ('58', 'yavin_labor_op', '9', '-6921.000000', '73.000000', '-5726.000000', 'Labor Outpost, Yavin IV', '3', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1', '0', '0', 'object/mobile/dressed_cobral_thug_rodian_female_01.iff', '0', '0', '0', '0', '-171.521', '0', '-4948.57', '7', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('2', '0', '0', 'object/mobile/dressed_cobral_thug_rodian_female_01.iff', '0', '0', '0', '0', '-173.347', '0', '-4966.3', '7', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('3', '0', '0', 'object/mobile/dressed_cobral_thug_rodian_female_01.iff', '0', '0', '0', '0', '-173.216', '0', '-4939.24', '7', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('4', '0', '0', 'object/mobile/dressed_cobral_thug_rodian_female_01.iff', '0', '0', '0', '0', '-195.966', '0', '-4908.43', '7', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('5', '0', '0', 'object/mobile/dressed_cobral_thug_rodian_female_01.iff', '0', '0', '0', '0', '-183.994', '0', '-4912.35', '7', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('6', '0', '0', 'object/mobile/dressed_cobral_thug_rodian_female_01.iff', '0', '0', '0', '0', '-205.747', '0', '-4931.38', '7', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('7', '0', '0', 'object/mobile/dressed_cobral_thug_rodian_female_01.iff', '0', '0', '0', '0', '-193.777', '0', '-4919.15', '7', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('8', '0', '0', 'object/mobile/dressed_cobral_thug_rodian_female_01.iff', '0', '0', '0', '0', '-144.811', '0', '-4946.43', '7', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('9', '0', '0', 'object/mobile/dressed_cobral_bandit_bith_female_01.iff', '0', '0', '0', '0', '-312.026', '0', '-4897.89', '5', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('10', '0', '0', 'object/mobile/dressed_cobral_bandit_bith_female_01.iff', '0', '0', '0', '0', '-277.267', '0', '-4856.57', '5', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('11', '0', '0', 'object/mobile/dressed_cobral_bandit_bith_female_01.iff', '0', '0', '0', '0', '-283.055', '0', '-4874.95', '5', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('12', '0', '0', 'object/mobile/dressed_cobral_bandit_bith_female_01.iff', '0', '0', '0', '0', '-271.788', '0', '-4850.72', '5', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('13', '0', '0', 'object/mobile/dressed_cobral_bandit_bith_female_01.iff', '0', '0', '0', '0', '-283.741', '0', '-4861.74', '5', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('14', '0', '0', 'object/mobile/dressed_cobral_bandit_bith_female_01.iff', '0', '0', '0', '0', '-289.59', '0', '-4872.34', '5', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('15', '0', '0', 'object/mobile/dressed_cobral_bandit_bith_female_01.iff', '0', '0', '0', '0', '-284.001', '0', '-4876.16', '5', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('16', '0', '0', 'object/mobile/dressed_cobral_bandit_bith_female_01.iff', '0', '0', '0', '0', '-326.871', '0', '-4878.96', '5', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('17', '0', '0', 'object/mobile/dressed_cobral_overlord_human_female_01.iff', '0', '0', '0', '0', '-718.193', '0', '-4628.71', '6', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('18', '0', '0', 'object/mobile/dressed_cobral_overlord_human_female_01.iff', '0', '0', '0', '0', '-722.777', '0', '-4636.85', '6', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('19', '0', '0', 'object/mobile/dressed_cobral_overlord_human_female_01.iff', '0', '0', '0', '0', '-747.976', '0', '-4619.64', '6', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('20', '0', '0', 'object/mobile/dressed_cobral_overlord_human_female_01.iff', '0', '0', '0', '0', '-717.545', '0', '-4591.2', '6', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('21', '0', '0', 'object/mobile/dressed_cobral_overlord_human_female_01.iff', '0', '0', '0', '0', '-739.529', '0', '-4626.38', '6', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('22', '0', '0', 'object/mobile/dressed_cobral_overlord_human_female_01.iff', '0', '0', '0', '0', '-738.125', '0', '-4599.84', '6', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('23', '0', '0', 'object/mobile/dressed_cobral_overlord_human_female_01.iff', '0', '0', '0', '0', '-712.119', '0', '-4606.33', '6', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('24', '0', '0', 'object/mobile/dressed_cobral_overlord_human_female_01.iff', '0', '0', '0', '0', '-696.345', '0', '-4655.77', '6', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('25', '0', '0', 'object/mobile/dressed_cobral_bandit_bith_female_01.iff', '0', '0', '0', '0', '-545.846', '0', '-4138.34', '5', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('26', '0', '0', 'object/mobile/dressed_cobral_bandit_bith_female_01.iff', '0', '0', '0', '0', '-583.951', '0', '-4155.63', '5', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('27', '0', '0', 'object/mobile/dressed_cobral_bandit_bith_female_01.iff', '0', '0', '0', '0', '-570.765', '0', '-4129.63', '5', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('28', '0', '0', 'object/mobile/dressed_cobral_bandit_bith_female_01.iff', '0', '0', '0', '0', '-569.275', '0', '-4164', '5', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('29', '0', '0', 'object/mobile/dressed_cobral_bandit_bith_female_01.iff', '0', '0', '0', '0', '-579.086', '0', '-4154.59', '5', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('30', '0', '0', 'object/mobile/dressed_cobral_bandit_bith_female_01.iff', '0', '0', '0', '0', '-582.898', '0', '-4154.22', '5', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('31', '0', '0', 'object/mobile/dressed_cobral_bandit_bith_female_01.iff', '0', '0', '0', '0', '-577.279', '0', '-4116.1', '5', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('32', '0', '0', 'object/mobile/dressed_cobral_bandit_bith_female_01.iff', '0', '0', '0', '0', '-551.684', '0', '-4175.57', '5', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('33', '0', '0', 'object/mobile/dressed_cobral_boss_twk_female_01.iff', '0', '0', '0', '0', '-295.3', '0', '-4854.12', '8', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('34', '0', '0', 'object/mobile/dressed_cobral_boss_twk_female_01.iff', '0', '0', '0', '0', '-314.92', '0', '-4854.08', '8', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('35', '0', '0', 'object/mobile/dressed_cobral_boss_twk_female_01.iff', '0', '0', '0', '0', '-319.897', '0', '-4878.35', '8', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('36', '0', '0', 'object/mobile/dressed_cobral_boss_twk_female_01.iff', '0', '0', '0', '0', '-294.963', '0', '-4876.38', '8', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('37', '0', '0', 'object/mobile/dressed_cobral_boss_twk_female_01.iff', '0', '0', '0', '0', '-328.233', '0', '-4861.77', '8', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('38', '0', '0', 'object/mobile/dressed_cobral_boss_twk_female_01.iff', '0', '0', '0', '0', '-266.717', '0', '-4888.26', '8', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('39', '0', '0', 'object/mobile/dressed_cobral_boss_twk_female_01.iff', '0', '0', '0', '0', '-299.749', '0', '-4846.77', '8', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('40', '0', '0', 'object/mobile/dressed_cobral_boss_twk_female_01.iff', '0', '0', '0', '0', '-302.642', '0', '-4887.49', '8', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('41', '0', '0', 'object/mobile/dressed_cobral_thug_rodian_female_01.iff', '0', '0', '0', '0', '-397.735', '0', '-4072.44', '7', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('42', '0', '0', 'object/mobile/dressed_cobral_thug_rodian_female_01.iff', '0', '0', '0', '0', '-428.379', '0', '-4052.51', '7', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('43', '0', '0', 'object/mobile/dressed_cobral_thug_rodian_female_01.iff', '0', '0', '0', '0', '-388.427', '0', '-4078.36', '7', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('44', '0', '0', 'object/mobile/dressed_cobral_thug_rodian_female_01.iff', '0', '0', '0', '0', '-390.613', '0', '-4030.27', '7', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('45', '0', '0', 'object/mobile/dressed_cobral_thug_rodian_female_01.iff', '0', '0', '0', '0', '-411.458', '0', '-4043.35', '7', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('46', '0', '0', 'object/mobile/dressed_cobral_thug_rodian_female_01.iff', '0', '0', '0', '0', '-371.93', '0', '-4072.62', '7', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('47', '0', '0', 'object/mobile/dressed_cobral_thug_rodian_female_01.iff', '0', '0', '0', '0', '-414.572', '0', '-4095.02', '7', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('48', '0', '0', 'object/mobile/dressed_cobral_thug_rodian_female_01.iff', '0', '0', '0', '0', '-429.306', '0', '-4052.14', '7', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('49', '0', '0', 'object/mobile/dressed_cobral_bandit_bith_female_01.iff', '0', '0', '0', '0', '-192.698', '0', '-3960.6', '5', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('50', '0', '0', 'object/mobile/dressed_cobral_bandit_bith_female_01.iff', '0', '0', '0', '0', '-181.049', '0', '-4013.8', '5', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('51', '0', '0', 'object/mobile/dressed_cobral_bandit_bith_female_01.iff', '0', '0', '0', '0', '-174.951', '0', '-3979.06', '5', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('52', '0', '0', 'object/mobile/dressed_cobral_bandit_bith_female_01.iff', '0', '0', '0', '0', '-130.811', '0', '-3991.43', '5', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('53', '0', '0', 'object/mobile/dressed_cobral_bandit_bith_female_01.iff', '0', '0', '0', '0', '-144.84', '0', '-3950.88', '5', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('54', '0', '0', 'object/mobile/dressed_cobral_bandit_bith_female_01.iff', '0', '0', '0', '0', '-177.328', '0', '-3993.99', '5', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('55', '0', '0', 'object/mobile/dressed_cobral_bandit_bith_female_01.iff', '0', '0', '0', '0', '-174.776', '0', '-3988.18', '5', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('56', '0', '0', 'object/mobile/dressed_cobral_bandit_bith_female_01.iff', '0', '0', '0', '0', '-163.076', '0', '-3992.67', '5', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('57', '0', '0', 'object/mobile/dressed_cobral_runner_trandoshan_female_01.iff', '0', '0', '0', '0', '-121.455', '0', '-4229.74', '10', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('58', '0', '0', 'object/mobile/dressed_cobral_runner_trandoshan_female_01.iff', '0', '0', '0', '0', '-107.505', '0', '-4221.87', '10', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('59', '0', '0', 'object/mobile/dressed_cobral_runner_trandoshan_female_01.iff', '0', '0', '0', '0', '-127.975', '0', '-4238.81', '10', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('60', '0', '0', 'object/mobile/dressed_cobral_runner_trandoshan_female_01.iff', '0', '0', '0', '0', '-94.062', '0', '-4200.64', '10', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('61', '0', '0', 'object/mobile/dressed_cobral_runner_trandoshan_female_01.iff', '0', '0', '0', '0', '-107.272', '0', '-4229.31', '10', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('62', '0', '0', 'object/mobile/dressed_cobral_runner_trandoshan_female_01.iff', '0', '0', '0', '0', '-142.981', '0', '-4231.92', '10', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('63', '0', '0', 'object/mobile/dressed_cobral_runner_trandoshan_female_01.iff', '0', '0', '0', '0', '-74.2082', '0', '-4236.97', '10', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('64', '0', '0', 'object/mobile/dressed_cobral_runner_trandoshan_female_01.iff', '0', '0', '0', '0', '-118.508', '0', '-4247.62', '10', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('65', '0', '0', 'object/mobile/dressed_cobral_bandit_bith_female_01.iff', '0', '0', '0', '0', '233', '0', '-4628', '5', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('66', '0', '0', 'object/mobile/dressed_cobral_bandit_bith_female_01.iff', '0', '0', '0', '0', '230.244', '0', '-4603.39', '5', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('67', '0', '0', 'object/mobile/dressed_cobral_bandit_bith_female_01.iff', '0', '0', '0', '0', '224.34', '0', '-4618', '5', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('68', '0', '0', 'object/mobile/dressed_cobral_bandit_bith_female_01.iff', '0', '0', '0', '0', '250.207', '0', '-4588.43', '5', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('69', '0', '0', 'object/mobile/dressed_cobral_bandit_bith_female_01.iff', '0', '0', '0', '0', '255.229', '0', '-4589.98', '5', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('70', '0', '0', 'object/mobile/dressed_cobral_bandit_bith_female_01.iff', '0', '0', '0', '0', '248.451', '0', '-4587.29', '5', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('71', '0', '0', 'object/mobile/dressed_cobral_bandit_bith_female_01.iff', '0', '0', '0', '0', '267.749', '0', '-4595.29', '5', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('72', '0', '0', 'object/mobile/dressed_cobral_bandit_bith_female_01.iff', '0', '0', '0', '0', '252.856', '0', '-4606.16', '5', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('73', '0', '0', 'object/mobile/dressed_cobral_overlord_human_female_01.iff', '0', '0', '0', '0', '118.384', '0', '-4806.01', '6', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('74', '0', '0', 'object/mobile/dressed_cobral_overlord_human_female_01.iff', '0', '0', '0', '0', '122.771', '0', '-4843.69', '6', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('75', '0', '0', 'object/mobile/dressed_cobral_overlord_human_female_01.iff', '0', '0', '0', '0', '92.1915', '0', '-4847.33', '6', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('76', '0', '0', 'object/mobile/dressed_cobral_overlord_human_female_01.iff', '0', '0', '0', '0', '94.0736', '0', '-4838.75', '6', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('77', '0', '0', 'object/mobile/dressed_cobral_overlord_human_female_01.iff', '0', '0', '0', '0', '118.974', '0', '-4811.65', '6', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('78', '0', '0', 'object/mobile/dressed_cobral_overlord_human_female_01.iff', '0', '0', '0', '0', '110.03', '0', '-4815.49', '6', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('79', '0', '0', 'object/mobile/dressed_cobral_overlord_human_female_01.iff', '0', '0', '0', '0', '122.089', '0', '-4811.05', '6', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('80', '0', '0', 'object/mobile/dressed_cobral_overlord_human_female_01.iff', '0', '0', '0', '0', '81.9802', '0', '-4807.02', '6', 'neutral', '128', '1', '100');
INSERT INTO `world_server_static_spawns` VALUES ('81', '0', '0', 'object/mobile/dressed_cobral_thug_rodian_female_01.iff', '0', '0', '0', '0', '-94.3807', '0', '-4049.01', '6', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('82', '0', '0', 'object/mobile/dressed_cobral_thug_rodian_female_01.iff', '0', '0', '0', '0', '-76.2179', '0', '-4040.7', '6', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('83', '0', '0', 'object/mobile/dressed_cobral_thug_rodian_female_01.iff', '0', '0', '0', '0', '-75.0008', '0', '-4042.09', '6', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('84', '0', '0', 'object/mobile/dressed_cobral_thug_rodian_female_01.iff', '0', '0', '0', '0', '-77.7019', '0', '-4043.93', '6', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('85', '0', '0', 'object/mobile/dressed_cobral_thug_rodian_female_01.iff', '0', '0', '0', '0', '-78.0003', '0', '-4042.03', '6', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('86', '0', '0', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '-1.636', '0', '-4128.46', '5', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('87', '0', '0', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '15.9884', '0', '-4126.34', '5', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('88', '0', '0', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '-6.31615', '0', '-4129.24', '5', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('89', '0', '0', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '1.1203', '0', '-4120.14', '5', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('90', '0', '0', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '-116.583', '0', '-4218.01', '7', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('91', '0', '0', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '-138.552', '0', '-4199.67', '7', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('92', '0', '0', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '-139.746', '0', '-4213.85', '7', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('93', '0', '0', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '-131.781', '0', '-4210.84', '7', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('94', '0', '0', 'object/mobile/dressed_cobral_thug_rodian_female_01.iff', '0', '0', '0', '0', '215.294', '0', '-4316.05', '6', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('95', '0', '0', 'object/mobile/dressed_cobral_thug_rodian_female_01.iff', '0', '0', '0', '0', '224.16', '0', '-4294.21', '6', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('96', '0', '0', 'object/mobile/dressed_cobral_thug_rodian_female_01.iff', '0', '0', '0', '0', '215.107', '0', '-4321.45', '6', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('97', '0', '0', 'object/mobile/dressed_cobral_thug_rodian_female_01.iff', '0', '0', '0', '0', '230.773', '0', '-4326', '6', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('98', '0', '0', 'object/mobile/dressed_cobral_thug_rodian_female_01.iff', '0', '0', '0', '0', '261.616', '0', '-4382.63', '8', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('99', '0', '0', 'object/mobile/dressed_cobral_thug_rodian_female_01.iff', '0', '0', '0', '0', '256.5', '0', '-4402.45', '8', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('100', '0', '0', 'object/mobile/dressed_cobral_thug_rodian_female_01.iff', '0', '0', '0', '0', '258.809', '0', '-4398.23', '8', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('101', '0', '0', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '239.854', '0', '-4721.09', '5', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('102', '0', '0', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '241.383', '0', '-4730.47', '5', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('103', '0', '0', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '220', '0', '-4727.66', '5', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('104', '0', '0', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '233.756', '0', '-4704.43', '5', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('105', '0', '0', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '235.532', '0', '-4562.29', '5', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('106', '0', '0', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '231.061', '0', '-4565.04', '5', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('107', '0', '0', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '230.527', '0', '-4564.6', '5', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('108', '0', '0', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '231.837', '0', '-4567.66', '5', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('109', '0', '0', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '41.576', '0', '-4912.63', '7', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('110', '0', '0', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '55.5831', '0', '-4911.1', '7', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('111', '0', '0', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '46.1901', '0', '-4903.17', '7', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('112', '0', '0', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '24.0487', '0', '-4918.4', '7', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('113', '0', '0', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '-96.0989', '0', '-4930.2', '5', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('114', '0', '0', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '-94.5724', '0', '-4943.94', '5', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('115', '0', '0', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '-105.818', '0', '-4938.92', '5', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('116', '0', '0', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '-84.6031', '0', '-4944.42', '5', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('117', '0', '0', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '0', '0', '0', '-36.7556', '0', '-4176.43', '86', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('118', '0', '0', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '0', '0', '0', '-28.9135', '0', '-4190.59', '86', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('119', '0', '0', 'object/mobile/corellian_butterfly.iff', '0', '0', '0', '0', '-252.421', '0', '-4908.1', '7', 'neutral', '128', '1', '30');
INSERT INTO `world_server_static_spawns` VALUES ('120', '0', '0', 'object/mobile/corellian_butterfly.iff', '0', '0', '0', '0', '-234', '0', '-4936.66', '7', 'neutral', '128', '1', '30');
INSERT INTO `world_server_static_spawns` VALUES ('121', '0', '0', 'object/mobile/corellian_butterfly.iff', '0', '0', '0', '0', '-248.08', '0', '-4945.82', '7', 'neutral', '128', '1', '30');
INSERT INTO `world_server_static_spawns` VALUES ('122', '0', '0', 'object/mobile/corellian_butterfly.iff', '0', '0', '0', '0', '-251.929', '0', '-4926.64', '7', 'neutral', '128', '1', '30');
INSERT INTO `world_server_static_spawns` VALUES ('123', '0', '0', 'object/mobile/corellian_butterfly.iff', '0', '0', '0', '0', '-240.935', '0', '-4935.76', '7', 'neutral', '128', '1', '30');
INSERT INTO `world_server_static_spawns` VALUES ('124', '0', '0', 'object/mobile/corellian_butterfly.iff', '0', '0', '0', '0', '-240.439', '0', '-4929.39', '7', 'neutral', '128', '1', '30');
INSERT INTO `world_server_static_spawns` VALUES ('125', '0', '0', 'object/mobile/corellian_butterfly.iff', '0', '0', '0', '0', '-263.001', '0', '-4913.58', '7', 'neutral', '128', '1', '30');
INSERT INTO `world_server_static_spawns` VALUES ('126', '0', '0', 'object/mobile/corellian_butterfly.iff', '0', '0', '0', '0', '-251.206', '0', '-4950.96', '7', 'neutral', '128', '1', '30');
INSERT INTO `world_server_static_spawns` VALUES ('127', '0', '0', 'object/mobile/corellian_butterfly.iff', '0', '0', '0', '0', '-243.589', '0', '-4921.45', '7', 'neutral', '128', '1', '30');
INSERT INTO `world_server_static_spawns` VALUES ('128', '0', '0', 'object/mobile/corellian_butterfly.iff', '0', '0', '0', '0', '-259.206', '0', '-4944.36', '7', 'neutral', '128', '1', '30');
INSERT INTO `world_server_static_spawns` VALUES ('129', '0', '0', 'object/mobile/corellian_butterfly.iff', '0', '0', '0', '0', '-240.706', '0', '-4941.9', '7', 'neutral', '128', '1', '30');
INSERT INTO `world_server_static_spawns` VALUES ('130', '0', '0', 'object/mobile/corellian_butterfly.iff', '0', '0', '0', '0', '-239.628', '0', '-4936.98', '7', 'neutral', '128', '1', '30');
INSERT INTO `world_server_static_spawns` VALUES ('131', '0', '0', 'object/mobile/corellian_butterfly.iff', '0', '0', '0', '0', '-239', '0', '-4928', '14', 'neutral', '128', '35', '40');
INSERT INTO `world_server_static_spawns` VALUES ('132', '0', '0', 'object/mobile/dressed_commoner_old_zabrak_male_02.iff', '0', '0', '0', '0', '10.3286', '0', '-4633.8', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('133', '0', '0', 'object/mobile/space_greeter_coronet_shipwright_indifferent.iff', '0', '0', '0', '0', '-140.701', '0', '-4719.16', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('134', '0', '0', 'object/mobile/space_greeter_coronet_shipwright_impatient.iff', '0', '0', '0', '0', '-137.464', '0', '-4718.83', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('135', '0', '0', 'object/mobile/r3.iff', '0', '0', '0', '0', '-149.754', '0', '-4785.34', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('136', '0', '0', 'object/mobile/cll8_binary_load_lifter.iff', '0', '0', '0', '0', '-146.217', '0', '-4738.99', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('137', '0', '0', 'object/mobile/r3.iff', '0', '0', '0', '0', '-182.479', '0', '-4731.42', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('138', '0', '1855683', 'object/mobile/dressed_commoner_fat_human_male_01.iff', '0', '0', '0', '0', '-62.7673', '2.63942', '40.6604', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('139', '0', '1855683', 'object/mobile/dressed_mercenary_messanger_sullustan_m.iff', '0', '0', '0', '0', '-62.7673', '2.63942', '41.7604', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('140', '0', '1855678', 'object/mobile/dressed_commoner_tatooine_nikto_male_02.iff', '0', '0', '0', '0', '37.163', '0.639417', '39.6061', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('141', '0', '1855678', 'object/mobile/dressed_corsec_officer_human_female_01.iff', '0', '0', '0', '0', '37.163', '0.639417', '40.7061', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('142', '0', '1855678', 'object/mobile/dressed_mercenary_medic_rodian_female_01.iff', '0', '0', '0', '0', '56.669', '-0.521137', '32.6689', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('143', '0', '1855678', 'object/mobile/dressed_eisley_officer_bothan_male_01.iff', '0', '0', '0', '0', '56.669', '-0.521137', '33.7689', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('144', '0', '1855678', 'object/mobile/dressed_bountyhunter_trainer_01.iff', '0', '0', '0', '0', '55.569', '-0.521137', '33.7689', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('145', '0', '1855675', 'object/mobile/dressed_criminal_pirate_human_male_01.iff', '0', '0', '0', '0', '-4.61669', '0.639424', '66.7263', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('146', '0', '1855675', 'object/mobile/dressed_commoner_naboo_twilek_female_01.iff', '0', '0', '0', '0', '-4.61669', '0.639424', '67.8263', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('147', '0', '1855675', 'object/mobile/dressed_mercenary_weak_hum_f.iff', '0', '0', '0', '0', '1.1', '0.639421', '66.3', '15', 'explain', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('148', '0', '1855672', 'object/mobile/dressed_eisley_officer_bothan_male_01.iff', '0', '0', '0', '0', '8.65132', '0.639421', '74.4483', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('149', '0', '1855672', 'object/mobile/dressed_commoner_naboo_twilek_female_02.iff', '0', '0', '0', '0', '8.65132', '0.639421', '75.5483', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('150', '0', '0', 'object/mobile/dressed_commoner_tatooine_rodian_male_04.iff', '0', '0', '0', '0', '-51.7918', '0', '-4662.65', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('151', '0', '0', 'object/mobile/dressed_corsec_officer_human_male_01.iff', '0', '0', '0', '0', '-59.6867', '0', '-4596.54', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('152', '0', '0', 'object/mobile/dressed_imperial_captain_m.iff', '0', '0', '0', '0', '-177.764', '0', '-4766.07', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('153', '0', '0', 'object/mobile/dressed_imperial_officer_m_2.iff', '0', '0', '0', '0', '-175.887', '0', '-4765.95', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('154', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-35.4', '0', '-4573.8', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('155', '0', '0', 'object/mobile/dressed_commoner_tatooine_ishitib_male_03.iff', '0', '0', '0', '0', '-26.0533', '0', '-4558.43', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('156', '0', '0', 'object/mobile/dressed_commoner_tatooine_trandoshan_female_01.iff', '0', '0', '0', '0', '-163.792', '0', '-4606.3', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('157', '0', '0', 'object/mobile/space_greeter_coronet_merchant.iff', '0', '0', '0', '0', '-138.975', '0', '-4718.86', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('158', '0', '0', 'object/mobile/dressed_imperial_captain_m.iff', '0', '0', '0', '0', '-167.548', '0', '-4835.07', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('159', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-221.1', '0', '-4798.1', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('160', '0', '0', 'object/mobile/dressed_scout_trooper_white_white.iff', '0', '0', '0', '0', '-187.1', '0', '-4835', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('161', '0', '0', 'object/mobile/dressed_combatmedic_trainer_human_male_01.iff', '0', '0', '0', '0', '19.7425', '0', '-4775.49', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('162', '0', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_01.iff', '0', '0', '0', '0', '55.6269', '0', '-4782.24', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('163', '0', '0', 'object/mobile/corellian_butterfly.iff', '0', '0', '0', '0', '55.4532', '0', '-4895.35', '7', 'neutral', '128', '1', '30');
INSERT INTO `world_server_static_spawns` VALUES ('164', '0', '0', 'object/mobile/corellian_butterfly.iff', '0', '0', '0', '0', '43.5381', '0', '-4893.3', '7', 'neutral', '128', '1', '30');
INSERT INTO `world_server_static_spawns` VALUES ('165', '0', '0', 'object/mobile/corellian_butterfly.iff', '0', '0', '0', '0', '43.8761', '0', '-4890.44', '7', 'neutral', '128', '1', '30');
INSERT INTO `world_server_static_spawns` VALUES ('166', '0', '0', 'object/mobile/corellian_butterfly.iff', '0', '0', '0', '0', '44.8558', '0', '-4876.05', '7', 'neutral', '128', '1', '30');
INSERT INTO `world_server_static_spawns` VALUES ('167', '0', '0', 'object/mobile/corellian_butterfly.iff', '0', '0', '0', '0', '45.0509', '0', '-4891.86', '7', 'neutral', '128', '1', '30');
INSERT INTO `world_server_static_spawns` VALUES ('168', '0', '0', 'object/mobile/corellian_butterfly.iff', '0', '0', '0', '0', '50.4287', '0', '-4886.16', '7', 'neutral', '128', '1', '30');
INSERT INTO `world_server_static_spawns` VALUES ('169', '0', '0', 'object/mobile/corellian_butterfly.iff', '0', '0', '0', '0', '37.8859', '0', '-4894.25', '7', 'neutral', '128', '1', '30');
INSERT INTO `world_server_static_spawns` VALUES ('170', '0', '0', 'object/mobile/corellian_butterfly.iff', '0', '0', '0', '0', '43.3324', '0', '-4894.35', '7', 'neutral', '128', '1', '30');
INSERT INTO `world_server_static_spawns` VALUES ('171', '0', '0', 'object/mobile/corellian_butterfly.iff', '0', '0', '0', '0', '46.6146', '0', '-4894.96', '7', 'neutral', '128', '1', '30');
INSERT INTO `world_server_static_spawns` VALUES ('172', '0', '0', 'object/mobile/corellian_butterfly.iff', '0', '0', '0', '0', '44.378', '0', '-4887.4', '7', 'neutral', '128', '1', '30');
INSERT INTO `world_server_static_spawns` VALUES ('173', '0', '0', 'object/mobile/dressed_commoner_naboo_zabrak_female_02.iff', '0', '0', '0', '0', '88.4953', '0', '-4727.94', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('174', '0', '0', 'object/mobile/dressed_criminal_swooper_human_female_01.iff', '0', '0', '0', '0', '184.405', '0', '-4789.02', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('175', '0', '0', 'object/mobile/dressed_criminal_swooper_zabrak_female_01.iff', '0', '0', '0', '0', '185.612', '0', '-4773.74', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('176', '0', '0', 'object/mobile/dressed_imperial_colonel_m.iff', '0', '0', '0', '0', '158.9', '0', '-4707.2', '1', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('177', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '168.1', '0', '-4698.4', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('178', '0', '0', 'object/mobile/dressed_scout_trooper_white_white.iff', '0', '0', '0', '0', '185.754', '0', '-4685.24', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('179', '0', '0', 'object/mobile/dressed_scout_trooper_white_white.iff', '0', '0', '0', '0', '184.83', '0', '-4684.43', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('180', '0', '0', 'object/mobile/dressed_stormtrooper_squad_leader_black_gold.iff', '0', '0', '0', '0', '144.7', '0', '-4536.6', '42', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('181', '0', '0', 'object/mobile/dressed_scout_trooper_black_black.iff', '0', '0', '0', '0', '152.386', '0', '-4524.14', '29', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('182', '0', '0', 'object/mobile/dressed_rebel_brigadier_general_sullustan_male.iff', '0', '0', '0', '0', '94.8749', '0', '-4519.08', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('183', '0', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_08.iff', '0', '0', '0', '0', '71.9271', '0', '-4568.97', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('184', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '128.21', '0', '-4459.57', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('185', '0', '0', 'object/mobile/dressed_corsec_officer_human_female_01.iff', '0', '0', '0', '0', '112.862', '0', '-4440.48', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('186', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '96.6', '0', '-4394.9', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('187', '0', '0', 'object/mobile/dressed_commoner_fat_human_female_02.iff', '0', '0', '0', '0', '40.5453', '0', '-4416.63', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('188', '0', '0', 'object/mobile/dressed_commoner_naboo_bothan_male_02.iff', '0', '0', '0', '0', '14.4606', '0', '-4407.11', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('189', '0', '0', 'object/mobile/dressed_corsec_pilot_human_male_01.iff', '0', '0', '0', '0', '-1.67932', '0', '-4464.42', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('190', '0', '0', 'object/mobile/dressed_commoner_tatooine_bith_female_05.iff', '0', '0', '0', '0', '-15.4515', '0', '-4415.25', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('191', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '26.3', '0', '-4290.2', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('192', '0', '0', 'object/mobile/dressed_stormtrooper_groupleader_m.iff', '0', '0', '0', '0', '22.6', '0', '-4290.2', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('193', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '10.5', '0', '-4290.5', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('194', '0', '0', 'object/mobile/dressed_commoner_naboo_human_female_03.iff', '0', '0', '0', '0', '-54.3716', '0', '-4304.72', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('195', '0', '0', 'object/mobile/dressed_stormtrooper_sniper_m.iff', '0', '0', '0', '0', '-59.1', '0', '-4260.1', '32', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('196', '0', '0', 'object/mobile/dressed_commoner_old_human_male_01.iff', '0', '0', '0', '0', '-56.7639', '0', '-4229.33', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('197', '0', '0', 'object/mobile/dressed_commoner_naboo_human_female_02.iff', '0', '0', '0', '0', '-78.7157', '0', '-4286.4', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('198', '0', '0', 'object/mobile/dressed_commoner_old_zabrak_male_02.iff', '0', '0', '0', '0', '-103.047', '0', '-4182.61', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('199', '0', '0', 'object/mobile/dressed_commoner_tatooine_trandoshan_female_03.iff', '0', '0', '0', '0', '-87.6481', '0', '-4302.16', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('200', '0', '0', 'object/mobile/dressed_commoner_fat_human_male_01.iff', '0', '0', '0', '0', '-118.993', '0', '-4285.29', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('201', '0', '0', 'object/mobile/dressed_commoner_naboo_human_female_06.iff', '0', '0', '0', '0', '-163.872', '0', '-4181.48', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('202', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-158.235', '0', '-4194.42', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('203', '0', '0', 'object/mobile/dressed_scout_trooper_white_white.iff', '0', '0', '0', '0', '-201.2', '0', '-4122', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('204', '0', '2365400', 'object/mobile/drall_female.iff', '0', '0', '0', '0', '-20.3488', '2.12878', '64.9854', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('205', '0', '2365400', 'object/mobile/dressed_commoner_tatooine_aqualish_male_05.iff', '0', '0', '0', '0', '-20.3488', '2.12878', '65.9854', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('206', '0', '2365399', 'object/mobile/dressed_commoner_tatooine_aqualish_female_04.iff', '0', '0', '0', '0', '26.5189', '2.12846', '71.9319', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('207', '0', '2365399', 'object/mobile/dressed_criminal_pirate_human_male_01.iff', '0', '0', '0', '0', '26.5189', '2.12858', '73.0319', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('208', '0', '2365399', 'object/mobile/dressed_noble_human_female_01.iff', '0', '0', '0', '0', '19.26', '2.12847', '56.13', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('209', '0', '2365399', 'object/mobile/dressed_entertainer_trainer_twk_female_01.iff', '0', '0', '0', '0', '21.99', '2.12804', '64.05', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('210', '0', '2365398', 'object/mobile/dressed_noble_bothan_male_01.iff', '0', '0', '0', '0', '28.93', '2.12878', '58.19', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('211', '0', '2365397', 'object/mobile/dressed_commoner_naboo_human_female_07.iff', '0', '0', '0', '0', '-6.12488', '2.6', '13.0431', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('212', '0', '2365397', 'object/mobile/dressed_commoner_naboo_moncal_male_02.iff', '0', '0', '0', '0', '-6.12488', '2.6', '14.1431', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('213', '0', '2365397', 'object/mobile/dressed_combatmedic_trainer_rodian_male_01.iff', '0', '0', '0', '0', '-7.22488', '2.6', '14.1431', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('214', '0', '2365397', 'object/mobile/dressed_corsec_captain_human_female_01.iff', '0', '0', '0', '0', '22.2962', '0.788717', '42.1976', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('215', '0', '2365397', 'object/mobile/dressed_eisley_officer_bothan_female_01.iff', '0', '0', '0', '0', '22.2962', '0.688613', '43.2884', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('216', '0', '2365397', 'object/mobile/dressed_criminal_smuggler_human_male_01.iff', '0', '0', '0', '0', '-17.5041', '0.992207', '39.9855', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('217', '0', '2365397', 'object/mobile/dressed_commoner_tatooine_bith_male_04.iff', '0', '0', '0', '0', '-17.5041', '0.887194', '41.0759', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('218', '0', '2365397', 'object/mobile/dressed_criminal_slicer_human_female_01.iff', '0', '0', '0', '0', '-18.6041', '0.887072', '41.0759', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('219', '0', '2365392', 'object/mobile/drall_female.iff', '0', '0', '0', '0', '3.66172', '0.6', '-3.74185', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('220', '0', '2365392', 'object/mobile/dressed_commoner_naboo_human_male_02.iff', '0', '0', '0', '0', '3.66172', '0.6', '-2.64185', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('221', '0', '2365392', 'object/mobile/dressed_commoner_tatooine_ishitib_male_01.iff', '0', '0', '0', '0', '2.56172', '0.6', '-2.64185', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('222', '0', '0', 'object/mobile/dressed_corsec_pilot_human_male_01.iff', '0', '0', '0', '0', '-203.95', '0', '-4076.98', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('223', '0', '0', 'object/mobile/dressed_imperial_lieutenant_m.iff', '0', '0', '0', '0', '-199.701', '0', '-4077.2', '60', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('224', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-216.9', '0', '-4121.1', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('225', '0', '0', 'object/mobile/dressed_corsec_pilot_human_male_01.iff', '0', '0', '0', '0', '-222.123', '0', '-4065.14', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('226', '0', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_04.iff', '0', '0', '0', '0', '-350.892', '0', '-4219.92', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('227', '0', '0', 'object/mobile/dressed_imperial_medic3_human_male_01.iff', '0', '0', '0', '0', '-439.1', '0', '-4144.4', '16', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('228', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-517.9', '0', '-4213.9', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('229', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-557.5', '0', '-4230.3', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('230', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-569.553', '0', '-4243.99', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('231', '0', '0', 'object/mobile/dressed_scout_trooper_white_white.iff', '0', '0', '0', '0', '-582.736', '0', '-4260.62', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('232', '0', '0', 'object/mobile/dressed_imperial_medic3_human_male_01.iff', '0', '0', '0', '0', '-582.441', '0', '-4259.52', '16', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('233', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-593.7', '0', '-4502.9', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('234', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-533.6', '0', '-4626.5', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('235', '0', '0', 'object/mobile/dressed_scout_trooper_white_white.iff', '0', '0', '0', '0', '-545.52', '0', '-4669.28', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('236', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-526.1', '0', '-4675.8', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('237', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-446.5', '0', '-4744', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('238', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-306.7', '0', '-4785.9', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('239', '0', '0', 'object/mobile/dressed_commoner_fat_human_male_02.iff', '0', '0', '0', '0', '-135.995', '0', '-4745.63', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('240', '0', '0', 'object/mobile/dressed_commoner_tatooine_bith_female_01.iff', '0', '0', '0', '0', '101.283', '0', '-4554.86', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('241', '0', '0', 'object/mobile/dressed_commoner_fat_twilek_female_01.iff', '0', '0', '0', '0', '-54.9984', '0', '-4530.84', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('242', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-42.2', '0', '-4500.6', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('243', '0', '0', 'object/mobile/dressed_commoner_old_human_female_02.iff', '0', '0', '0', '0', '-106.79', '0', '-4528.6', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('244', '0', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_04.iff', '0', '0', '0', '0', '-14.9281', '0', '-4451.64', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('245', '0', '0', 'object/mobile/dressed_commoner_tatooine_rodian_female_03.iff', '0', '0', '0', '0', '-92.217', '0', '-4471.14', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('246', '0', '0', 'object/mobile/dressed_commoner_fat_human_female_02.iff', '0', '0', '0', '0', '-163.751', '0', '-4552.14', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('247', '0', '0', 'object/mobile/dressed_commoner_naboo_twilek_male_02.iff', '0', '0', '0', '0', '-158.666', '0', '-4526.31', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('248', '0', '0', 'object/mobile/dressed_commoner_tatooine_rodian_male_01.iff', '0', '0', '0', '0', '-168.38', '0', '-4515.61', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('249', '0', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_01.iff', '0', '0', '0', '0', '-181.008', '0', '-4505.08', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('250', '0', '0', 'object/mobile/dressed_commoner_tatooine_bith_female_04.iff', '0', '0', '0', '0', '-37.2537', '0', '-4476.76', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('251', '0', '0', 'object/mobile/dressed_commoner_naboo_moncal_male_02.iff', '0', '0', '0', '0', '-64.8198', '0', '-4398.56', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('252', '0', '0', 'object/mobile/dressed_commoner_fat_human_female_01.iff', '0', '0', '0', '0', '-71.0095', '0', '-4325.21', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('253', '0', '0', 'object/mobile/dressed_commoner_naboo_human_male_02.iff', '0', '0', '0', '0', '-122.156', '0', '-4392.8', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('254', '0', '1855541', 'object/mobile/dressed_commoner_tatooine_aqualish_male_02.iff', '0', '0', '0', '0', '21.5803', '14.26', '-8.84205', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('255', '0', '1855541', 'object/mobile/dressed_commoner_artisan_trandoshan_male_01.iff', '0', '0', '0', '0', '21.5803', '14.26', '-7.84205', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('256', '0', '1855535', 'object/mobile/21b_surgical_droid.iff', '0', '0', '0', '0', '-25.52', '0.26', '-3.48', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('257', '0', '0', 'object/mobile/dressed_commoner_tatooine_rodian_male_03.iff', '0', '0', '0', '0', '-112.646', '0', '-4310.7', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('258', '0', '0', 'object/mobile/dressed_commoner_fat_twilek_female_02.iff', '0', '0', '0', '0', '-302.182', '0', '-4300.76', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('260', '0', '0', 'object/mobile/dressed_commoner_tatooine_trandoshan_female_03.iff', '0', '0', '0', '0', '-357.932', '0', '-4267.81', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('261', '0', '0', 'object/mobile/dressed_commoner_tatooine_trandoshan_male_02.iff', '0', '0', '0', '0', '-350.452', '0', '-4287.73', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('262', '0', '0', 'object/mobile/dressed_commoner_tatooine_bith_female_05.iff', '0', '0', '0', '0', '-350.998', '0', '-4250.76', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('263', '0', '0', 'object/mobile/dressed_imperial_captain_m.iff', '0', '0', '0', '0', '-291.531', '0', '-4412.73', '1', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('264', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-283.2', '0', '-4411', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('265', '0', '8105501', 'object/mobile/dressed_villain_trandoshan_female_01.iff', '0', '0', '0', '0', '-5.02826', '-0.894991', '-21.3375', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('266', '0', '8105500', 'object/mobile/dressed_commoner_naboo_human_male_03.iff', '0', '0', '0', '0', '0.978477', '-0.894992', '21.4841', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('267', '0', '8105496', 'object/mobile/dressed_commoner_tatooine_ishitib_male_02.iff', '0', '0', '0', '0', '7.60649', '-0.894992', '1.42464', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('268', '0', '8105496', 'object/mobile/dressed_commoner_tatooine_aqualish_female_04.iff', '0', '0', '0', '0', '4.71201', '-0.894992', '-9.83418', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('269', '0', '8105496', 'object/mobile/dressed_mercenary_weak_hum_m.iff', '0', '0', '0', '0', '4.71201', '-0.894992', '-8.73417', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('270', '0', '8105496', 'object/mobile/dressed_robber_twk_male_01.iff', '0', '0', '0', '0', '3.61201', '-0.894992', '-8.73417', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('271', '0', '8105496', 'object/mobile/dressed_entertainer_trainer_twk_male_01.iff', '0', '0', '0', '1', '2.80432', '-0.894991', '9.55434', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('272', '0', '8105496', 'object/mobile/dressed_criminal_thug_human_female_01.iff', '0', '0', '0', '0', '2.80432', '-0.894991', '10.6543', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('273', '0', '8105496', 'object/mobile/dressed_corsec_pilot_human_male_01.iff', '0', '0', '0', '0', '-7.91375', '-0.894992', '-5.88587', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('274', '0', '0', 'object/mobile/dressed_commoner_tatooine_bith_male_02.iff', '0', '0', '0', '0', '-306.539', '0', '-4546.52', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('275', '0', '0', 'object/mobile/dressed_commoner_fat_zabrak_female_01.iff', '0', '0', '0', '0', '-231.211', '0', '-4381.69', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('276', '0', '0', 'object/mobile/dressed_noble_fat_zabrak_male_01.iff', '0', '0', '0', '0', '-451.472', '0', '-4572.05', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('277', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-458', '0', '-4585', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('278', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-276.7', '0', '-4535.2', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('279', '0', '0', 'object/mobile/dressed_commoner_tatooine_ishitib_male_01.iff', '0', '0', '0', '0', '-312.404', '0', '-4646.51', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('280', '0', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_02.iff', '0', '0', '0', '0', '-306.061', '0', '-4600.68', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('281', '0', '1855554', 'object/mobile/dressed_noble_bothan_male_01.iff', '0', '0', '0', '0.729514', '-22.3764', '1.6', '-15.0418', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('282', '0', '1855554', 'object/mobile/dressed_commoner_fat_human_female_01.iff', '0', '0', '0', '0', '-24', '1.6', '-4', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('283', '0', '1855551', 'object/mobile/dressed_noble_old_twk_male_02.iff', '0', '0', '0', '0', '-15.4768', '1', '-8.20706', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('284', '0', '1855549', 'object/mobile/dressed_corsec_officer_human_female_01.iff', '0', '0', '0', '0', '24.3471', '1.28309', '8.93357', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('285', '0', '1855549', 'object/mobile/dressed_robber_twk_female_01.iff', '0', '0', '0', '0', '24.3471', '1.28309', '10.0336', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('286', '0', '1855549', 'object/mobile/drall_female.iff', '0', '0', '0', '0', '17.2826', '1.28309', '-12.8404', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('287', '0', '1855549', 'object/mobile/dressed_artisan_trainer_02.iff', '0', '0', '0', '0', '17.2826', '1.28309', '-11.8404', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('288', '0', '1855548', 'object/mobile/dressed_commoner_tatooine_rodian_female_01.iff', '0', '0', '0', '0', '7.44572', '1.00001', '-8.00652', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('289', '0', '1855548', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '0', '0', '0', '7.44572', '1.00001', '-6.90652', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('290', '0', '0', 'object/mobile/dressed_commoner_tatooine_trandoshan_female_02.iff', '0', '0.987562', '0', '-0.157228', '-258.479', '28', '-4620', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('291', '0', '1855484', 'object/mobile/dressed_noble_old_twk_female_02.iff', '-1.08359e-07', '6.05867e-06', '6.56508e-13', '1', '11.9421', '1.75', '-19.8404', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('292', '0', '1855484', 'object/mobile/dressed_commoner_fat_twilek_female_02.iff', '-1.08393e-07', '2.60227e-06', '2.82069e-13', '1', '-9.42234', '1.75', '-19.8259', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('293', '0', '1855484', 'object/mobile/dressed_hoodlum_zabrak_female_01.iff', '-2.78818e-13', '1', '1.08389e-07', '2.57238e-06', '-9.42234', '1.75', '-18.7259', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('294', '0', '1855484', 'object/mobile/dressed_corsec_officer_human_male_01.iff', '-2.93304e-08', '0.923864', '7.08017e-08', '0.382721', '-10.5223', '1.75', '-18.7259', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('295', '0', '1855484', 'object/mobile/space_privateer_tier2_corellia.iff', '-0.000421129', '0.249193', '-0.0016364', '0.968452', '0.180826', '1.75', '-21.4842', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('296', '0', '1855484', 'object/mobile/dressed_commoner_naboo_human_male_03.iff', '0', '0.902792', '0', '0.430077', '11.9421', '1.75', '-18.7404', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('297', '0', '1855477', 'object/mobile/dressed_commoner_naboo_bothan_male_01.iff', '0', '-5.18331e-06', '0', '1', '17.3045', '2.25', '18.2968', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('298', '0', '1855477', 'object/mobile/dressed_corsec_pilot_human_male_01.iff', '0', '1', '0', '-5.17148e-06', '17.3045', '2.25', '19.3968', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('299', '0', '1855477', 'object/mobile/dressed_criminal_thug_bothan_male_01.iff', '0', '0.923876', '0', '0.382692', '16.2045', '2.25', '19.3968', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('300', '0', '1855483', 'object/mobile/space_privateer_tier1_corellia.iff', '0.0405324', '0.00890323', '0.002878', '0.999134', '1.70956', '1.75', '-14.1406', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('301', '0', '1855470', 'object/mobile/dressed_commoner_fat_zabrak_female_01.iff', '-1.78843e-07', '3.81531e-06', '6.90428e-13', '1', '37.1168', '1.29422', '-4.41488', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('302', '0', '1855470', 'object/mobile/dressed_commoner_tatooine_trandoshan_male_02.iff', '-4.58651e-13', '1', '1.1919e-07', '3.81408e-06', '37.1168', '1.29422', '-3.41488', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('303', '0', '1855469', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '-2.58233e-06', '0', '1', '21.8079', '3.22324', '25.517', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('304', '0', '1855469', 'object/mobile/dressed_criminal_smuggler_human_male_01.iff', '0', '1', '0', '-2.56524e-06', '21.8079', '3.22324', '26.617', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('305', '0', '1855468', 'object/mobile/dressed_commoner_tatooine_sullustan_male_05.iff', '-3.25173e-07', '2.58767e-06', '8.41439e-13', '1', '-20.2743', '3.22324', '21.681', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('306', '0', '1855468', 'object/mobile/dressed_corsec_detective_human_male_01.iff', '-8.49676e-13', '1', '3.25175e-07', '2.61298e-06', '-20.2743', '3.22324', '22.781', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('307', '0', '1855468', 'object/mobile/drall_male.iff', '-8.79935e-08', '0.923862', '2.12407e-07', '0.382727', '-21.3743', '3.22324', '22.781', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('308', '0', '1855463', 'object/mobile/dressed_criminal_thug_zabrak_female_01.iff', '-6.50362e-07', '5.9138e-07', '3.84611e-13', '1', '-1.72746', '7.9', '-32.175', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('309', '0', '1855463', 'object/mobile/dressed_hutt_medic2_twilek_male_01.iff', '-3.4914e-13', '1', '6.50334e-07', '5.36863e-07', '-1.72746', '7.9', '-31.075', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('310', '0', '1855463', 'object/mobile/dressed_commoner_tatooine_nikto_male_01.iff', '-0.000148388', '-2.6248e-06', '-3.8949e-10', '1', '-18.6014', '1.30259', '-11.3146', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('311', '0', '1855463', 'object/mobile/dressed_criminal_pirate_human_male_01.iff', '-3.8552e-10', '1', '-0.000147899', '-2.60664e-06', '-18.6014', '1.30292', '-10.2146', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('312', '0', '1855463', 'object/mobile/dressed_eisley_officer_bothan_female_01.iff', '3.52262e-07', '2.38194e-06', '-8.39068e-13', '1', '5.22842', '0.3', '2.91677', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('313', '0', '1855463', 'object/mobile/dressed_eisley_officer_bothan_female_01.iff', '8.46238e-13', '1', '-3.52282e-07', '2.40216e-06', '5.22842', '0.3', '4.01677', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('314', '0', '1855463', 'object/mobile/dressed_noble_fat_zabrak_male_02.iff', '9.53288e-08', '0.923859', '-2.3011e-07', '0.382732', '4.12842', '0.3', '4.01677', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('315', '0', '1855463', 'object/mobile/dressed_commoner_tatooine_bith_male_04.iff', '3.52258e-07', '2.71127e-06', '-9.55065e-13', '1', '0.767877', '0.3', '-4.00219', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('316', '0', '1855463', 'object/mobile/dressed_entertainer_trainer_twk_male_01.iff', '9.58166e-13', '1', '-3.52286e-07', '2.71985e-06', '0.767877', '0.3', '-2.90219', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('317', '0', '1855463', 'object/mobile/dressed_corsec_pilot_human_male_01.iff', '9.533e-08', '0.923858', '-2.30111e-07', '0.382735', '-0.332123', '0.3', '-2.90219', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('318', '0', '1855463', 'object/mobile/dressed_doctor_trainer_moncal_male_01.iff', '2.30104e-07', '0.382717', '-9.53218e-08', '0.923866', '-0.332123', '0.3', '-4.00219', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('319', '0', '1855463', 'object/mobile/dressed_eisley_officer_bothan_male_01.iff', '-4.89684e-07', '-0.131264', '-6.48387e-08', '0.991347', '5.43518', '2.27819', '-27.0615', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('320', '0', '1855463', 'object/mobile/dressed_doctor_trainer_moncal_male_01.iff', '-6.48008e-08', '0.991353', '4.89549e-07', '0.131224', '5.18395', '2.27819', '-26.1292', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('321', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-215.7', '0', '-4509.8', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('322', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-204.7', '0', '-4509.8', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('323', '0', '0', 'object/mobile/dressed_commoner_naboo_twilek_female_01.iff', '0', '0.630663', '0', '0.776057', '-239.932', '28', '-4522.15', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('324', '0', '0', 'object/mobile/dressed_commoner_tatooine_sullustan_male_05.iff', '0.00729651', '0.978333', '0.0350052', '-0.203924', '-202.143', '28', '-4504.32', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('325', '0', '0', 'object/mobile/dressed_commoner_tatooine_bith_male_05.iff', '0', '0.555097', '0', '0.831785', '-306.34', '28', '-4620.82', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('326', '0', '0', 'object/mobile/dressed_commoner_old_zabrak_female_01.iff', '0', '0.998454', '0', '-0.0555898', '-195.909', '28', '-4451.7', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('327', '0', '0', 'object/mobile/dressed_herald_corellia_02.iff', '0', '0.684094', '0', '0.729394', '-185.082', '28', '-4460.71', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('328', '0', '0', 'object/mobile/dressed_rebel_general_moncal_male_01.iff', '0', '0.24657', '0', '0.969125', '-213.642', '28', '-4445.46', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('329', '0', '0', 'object/mobile/dressed_corsec_officer_human_male_01.iff', '0', '-0.65752', '0', '0.753437', '-324.144', '28', '-4442.29', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('330', '0', '0', 'object/mobile/dressed_noble_rodian_male_01.iff', '0', '0.957025', '0', '-0.290005', '6724.41', '330', '-5909.35', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('331', '0', '0', 'object/mobile/dressed_imperial_officer_m.iff', '0', '0.920505', '0', '0.390731', '6663.8', '330', '-5913.3', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('332', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '6699.38', '0', '-5809.72', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('333', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '6646.02', '0', '-5931.59', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('334', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '6644.26', '0', '-5937.08', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('335', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '6649.56', '0', '-5935.6', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('336', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '6707.89', '0', '-5814.25', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('337', '0', '0', 'object/mobile/dressed_stormtrooper_squad_leader_black_gold.iff', '0', '0', '0', '0', '6650.38', '0', '-5938.43', '42', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('338', '0', '0', 'object/mobile/dressed_scout_trooper_black_black.iff', '0', '0', '0', '0', '6648.54', '0', '-5939.32', '29', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('339', '0', '0', 'object/mobile/r4.iff', '0', '0', '0', '1', '6715.38', '330', '-5903.81', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('340', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '6685.7', '0', '-5943.3', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('341', '0', '0', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '6718.1', '0', '-5869.6', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('342', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '6708', '0', '-5869.7', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('343', '0', '0', 'object/mobile/dressed_imperial_lieutenant_m.iff', '0', '0', '0', '0', '6712.78', '0', '-5810.38', '31', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('344', '0', '0', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '0.285802', '0', '0.958289', '6735', '315', '-5806.36', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('345', '0', '0', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '0.0463163', '0', '0.998927', '6735', '315', '-5806.36', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('346', '0', '0', 'object/mobile/dressed_scout_trooper_black_black.iff', '0', '0', '0', '0', '6752.1', '0', '-5823.5', '29', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('347', '0', '0', 'object/mobile/dressed_imperial_officer_m_2.iff', '0', '0.998048', '0', '-0.0624524', '6830.18', '314.823', '-5816.91', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('348', '0', '0', 'object/mobile/dressed_commoner_naboo_moncal_female_01.iff', '0', '-0.342834', '0', '0.939396', '6829.48', '315', '-5813.46', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('349', '0', '0', 'object/mobile/dressed_corsec_officer_human_male_01.iff', '0', '0', '0', '0', '6820.49', '0', '-5743.53', '9', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('350', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '6826.7', '0', '-5820.68', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('351', '0', '0', 'object/mobile/dressed_scout_trooper_white_white.iff', '0', '-0.403991', '0', '0.914763', '6832.36', '314.758', '-5811.93', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('352', '0', '0', 'object/mobile/dressed_commoner_old_twilek_female_01.iff', '0', '0.77435', '0', '0.632758', '6760.75', '315', '-5733.05', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('353', '0', '0', 'object/mobile/dressed_commoner_naboo_human_female_01.iff', '0', '-0.627548', '0', '0.778578', '6808.93', '315', '-5779.16', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('354', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '6837.95', '0', '-5806.84', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('355', '0', '0', 'object/mobile/dressed_corsec_officer_human_male_01.iff', '0', '0', '0', '0', '6832.21', '0', '-5811.19', '9', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('356', '0', '0', 'object/mobile/eg6_power_droid.iff', '0', '0.99843', '0', '0.0560153', '6825.9', '315', '-5791.64', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('357', '0', '3375367', 'object/mobile/dressed_imperial_officer_m_5.iff', '-1.02597e-06', '-0.000100559', '-1.03171e-10', '1', '-42.3991', '0.105009', '-24.3411', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('358', '0', '3375367', 'object/mobile/dressed_commoner_tatooine_aqualish_male_04.iff', '9.97002e-11', '1', '1.02623e-06', '-9.71516e-05', '-42.3991', '0.105009', '-23.2411', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('359', '0', '3375367', 'object/mobile/dressed_hutt_medic2_twilek_male_01.iff', '-2.80443e-07', '0.92389', '6.77103e-07', '0.382657', '-43.4991', '0.105009', '-23.2411', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('360', '0', '3375365', 'object/mobile/dressed_ging_darjeek.iff', '0', '0.961255', '0', '0.275662', '-24.6629', '-0.519991', '7.12104', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('361', '0', '3375361', 'object/mobile/dressed_commoner_old_zabrak_female_02.iff', '-3.92788e-06', '1.67001e-05', '6.55958e-11', '1', '-5.46842', '-0.894998', '20.8012', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('362', '0', '3375361', 'object/mobile/dressed_eisley_officer_bothan_female_01.iff', '-6.0265e-11', '1', '3.08881e-06', '1.95108e-05', '-5.46842', '-0.894996', '21.9012', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('363', '0', '3375361', 'object/mobile/dressed_commoner_old_twilek_male_02.iff', '-8.5783e-07', '0.92387', '2.07083e-06', '0.382708', '-6.56842', '-0.894996', '21.9012', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('364', '0', '3375359', 'object/mobile/dressed_palejo_reshad.iff', '0', '0.824828', '0', '0.565384', '1.05969', '-0.894992', '21.2156', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('365', '0', '3375356', 'object/mobile/dressed_bountyhunter_trainer_04.iff', '-3.33191e-06', '-6.15497e-05', '-2.05078e-10', '1', '21.6023', '-0.894996', '-18.5913', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('366', '0', '3375356', 'object/mobile/dressed_criminal_assassin_human_male_01.iff', '1.99678e-10', '1', '3.38687e-06', '-5.89566e-05', '21.6023', '-0.894996', '-17.4913', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('367', '0', '3375355', 'object/mobile/dressed_commoner_naboo_zabrak_male_01.iff', '0', '0.688355', '0', '0.725374', '8.54', '-0.894992', '0.14', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('368', '0', '3375355', 'object/mobile/dressed_commoner_tatooine_bith_female_06.iff', '0', '-0.179634', '0', '0.983734', '-10.2935', '-0.895782', '7.13264', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('369', '0', '3375355', 'object/mobile/dressed_noble_human_female_02.iff', '0', '0.828073', '0', '-0.56062', '5.80982', '-0.894992', '-5.41349', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('370', '0', '0', 'object/mobile/dressed_stormtrooper_rifleman_m.iff', '0', '0', '0', '0', '6845.3', '0', '-5826.8', '1', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('371', '0', '0', 'object/mobile/cll8_binary_load_lifter.iff', '0', '0', '0', '1', '6826.88', '315', '-5778.01', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('372', '0', '0', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '0.958923', '0', '0.283666', '6846.25', '317.5', '-5789.3', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('373', '0', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_02.iff', '0', '0.966099', '0', '-0.258172', '6798.04', '315', '-5731.94', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('374', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '6852.9', '0', '-5826.9', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('375', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '6837.4', '0', '-5774', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('376', '0', '0', 'object/mobile/dressed_grondorn_muse.iff', '0', '0.72703', '0', '-0.686605', '6838.16', '315', '-5767.67', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('377', '0', '0', 'object/mobile/dressed_commoner_tatooine_bith_female_05.iff', '0', '0.997324', '0', '0.0731146', '6829.32', '315', '-5745.5', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('378', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '6852', '0', '-5831.51', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('379', '0', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_03.iff', '0', '0.0306345', '0', '0.999531', '6761.43', '315', '-5695.98', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('380', '0', '0', 'object/mobile/dressed_corvette_rebel_pashna.iff', '0', '0.842094', '0', '-0.539331', '6772.57', '315', '-5697.8', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('381', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '6819.9', '0', '-5720.1', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('382', '0', '0', 'object/mobile/dressed_criminal_thug_rodian_female_01.iff', '0', '-0.0354561', '0', '0.999371', '6871.34', '315', '-5753.42', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('383', '0', '0', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '0.528572', '0', '0.848888', '6775.44', '315', '-5690.23', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('384', '0', '0', 'object/mobile/dressed_commoner_tatooine_devaronian_male_03.iff', '0', '-0.183405', '0', '0.983037', '6867.23', '315', '-5758.29', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('385', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '6794.42', '0', '-5696.6', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('386', '0', '0', 'object/mobile/dressed_stormtrooper_squad_leader_black_gold.iff', '0', '0', '0', '0', '6853.17', '0', '-5696.6', '42', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('387', '0', '0', 'object/mobile/r2.iff', '0', '0', '0', '1', '6857.06', '315', '-5702.8', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('388', '0', '2365770', 'object/mobile/dressed_commoner_naboo_human_male_02.iff', '0', '0.866025', '0', '0.5', '-14.01', '1.13306', '-8.53', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('389', '0', '2365769', 'object/mobile/dressed_commoner_tatooine_ishitib_male_03.iff', '0', '0.913545', '0', '-0.406737', '3.32', '1.13306', '-8.49', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('390', '0', '0', 'object/mobile/dark_trooper.iff', '0', '0.902585', '0', '-0.430511', '6749.3', '315', '-5684', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('391', '0', '0', 'object/mobile/dressed_commoner_tatooine_rodian_female_04.iff', '0', '0.995255', '0', '0.0973025', '6740.98', '315', '-5674.9', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('392', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '6748.9', '0', '-5665.2', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('393', '0', '0', 'object/mobile/dressed_commoner_naboo_human_male_06.iff', '0', '0.459046', '0', '0.888413', '6847.34', '315', '-5617.89', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('394', '0', '0', 'object/mobile/dressed_commoner_fat_twilek_female_01.iff', '0', '0.863178', '0', '0.5049', '6829.04', '315', '-5626.01', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('395', '0', '0', 'object/mobile/dressed_commoner_naboo_bothan_female_01.iff', '0', '0.932315', '0', '0.361648', '6810.15', '315', '-5699.05', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('396', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '6825.35', '0', '-5620.37', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('397', '0', '0', 'object/mobile/dressed_commoner_naboo_twilek_male_02.iff', '0', '0.93793', '0', '0.346824', '6755.2', '314.926', '-5625.98', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('398', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '6855', '0', '-5609.3', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('399', '0', '0', 'object/mobile/dressed_commoner_naboo_human_female_04.iff', '0', '0.804417', '0', '-0.594065', '6832.06', '315', '-5606.82', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('400', '0', '0', 'object/mobile/dressed_commoner_naboo_moncal_male_02.iff', '0', '-0.477069', '0', '0.878866', '6821.55', '314.999', '-5611.9', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('401', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '6842.92', '0', '-5604.11', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('402', '0', '0', 'object/mobile/dressed_imperial_lieutenant_m.iff', '0', '0', '0', '0', '6823.92', '0', '-5597.88', '31', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('403', '0', '0', 'object/mobile/dressed_commoner_tatooine_sullustan_male_06.iff', '0', '0.460504', '0', '0.887658', '6846.25', '315', '-5588.75', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('404', '0', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_04.iff', '0', '0.966424', '0', '0.256954', '6834.25', '315', '-5577.61', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('405', '0', '0', 'object/mobile/dressed_imperial_officer_m_3.iff', '0', '0', '0', '0', '6908.17', '0', '-5608.54', '19', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('406', '0', '0', 'object/mobile/dressed_imperial_colonel_m.iff', '0', '0', '0', '0', '6909.29', '0', '-5606.48', '17', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('407', '0', '0', 'object/mobile/dressed_commoner_tatooine_ishitib_male_01.iff', '0', '-0.567139', '0', '0.823622', '6896.18', '330', '-5577.91', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('408', '0', '0', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '1', '0', '0', '3300.28', '308', '5496.49', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('409', '0', '9665364', 'object/mobile/dressed_commoner_naboo_bothan_female_02.iff', '6.31865e-06', '-4.76879e-05', '3.00953e-10', '1', '-62.5737', '2.63942', '40.0043', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('410', '0', '9665364', 'object/mobile/dressed_commoner_tatooine_rodian_male_04.iff', '9.65906e-11', '1', '-6.31819e-06', '1.5259e-05', '-62.5737', '2.63942', '41.0043', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('411', '0', '9665365', 'object/mobile/dressed_noble_twilek_male_01.iff', '0', '0.874547', '0', '-0.48494', '47.5747', '0.974633', '22.0108', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('412', '0', '9665359', 'object/mobile/dressed_commoner_tatooine_nikto_male_07.iff', '0', '0.808987', '0', '0.587827', '52.3124', '0.639417', '48.2148', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('413', '0', '9665359', 'object/mobile/dressed_commoner_naboo_human_male_01.iff', '5.55502e-06', '3.4686e-06', '-1.92681e-11', '1', '36.7068', '0.639417', '39.346', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('414', '0', '9665359', 'object/mobile/dressed_eisley_officer_bothan_male_01.iff', '2.14783e-10', '1', '-5.63424e-06', '3.81211e-05', '36.7068', '0.639417', '40.446', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('415', '0', '9665366', 'object/mobile/space_chassis_broker_04.iff', '0', '0.237703', '0', '0.971338', '-56.6993', '0.974563', '8.57384', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('416', '0', '9665356', 'object/mobile/dressed_corsec_captain_human_female_01.iff', '-5.09364e-06', '-3.1641e-05', '-1.61168e-10', '1', '-4.68154', '0.639424', '59.8856', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('417', '0', '9665356', 'object/mobile/dressed_criminal_thug_bothan_male_01.iff', '-1.51863e-11', '1', '4.95775e-06', '3.06313e-06', '-4.68154', '0.639424', '60.9856', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('418', '0', '9665356', 'object/mobile/drall_male.iff', '-1.34155e-06', '0.923884', '3.2389e-06', '0.382672', '-5.78154', '0.639424', '60.9856', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('419', '0', '9665356', 'object/mobile/dressed_criminal_assassin_human_female_01.iff', '-6.67547e-06', '2.08608e-05', '1.38819e-10', '1', '1.28595', '0.639421', '66.8733', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('420', '0', '9665356', 'object/mobile/drall_male.iff', '1.5904e-10', '1', '6.64612e-06', '-2.39618e-05', '1.28595', '0.639422', '67.8733', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('421', '0', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_07.iff', '0', '-0.167499', '0', '0.985872', '3320.73', '324', '5709.36', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('422', '0', '0', 'object/mobile/dressed_scolex_grath.iff', '0', '0.812748', '0', '-0.582615', '3347.39', '308', '5490.74', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('423', '0', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_04.iff', '0', '0.0289376', '0', '0.999581', '3316.17', '308', '5496.71', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('424', '0', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_07.iff', '0', '0.920907', '0', '-0.389782', '3307.64', '308.031', '5618.18', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('425', '0', '0', 'object/mobile/dressed_commoner_naboo_human_male_07.iff', '0', '0.960549', '0', '-0.27811', '3357.46', '308', '5639.47', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('426', '0', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_03.iff', '0', '0.957357', '0', '0.288907', '3322.09', '308', '5484.42', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('427', '0', '0', 'object/mobile/dressed_commoner_naboo_human_female_07.iff', '0', '0.969405', '0', '-0.245467', '3411.89', '308', '5515.19', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('428', '0', '0', 'object/mobile/dressed_commoner_fat_twilek_female_02.iff', '0', '0.874868', '0', '-0.484362', '3414.81', '308', '5624.67', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('429', '0', '0', 'object/mobile/dressed_commoner_naboo_bothan_female_01.iff', '0', '0.984624', '0', '0.174685', '3431.28', '308', '5563.41', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('430', '0', '0', 'object/mobile/dressed_imperial_officer_m.iff', '0', '0.878945', '0', '0.476922', '3297.95', '308', '5563.09', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('431', '0', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '0', '0.837471', '0', '0.546482', '3362.39', '308', '5513.99', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('432', '0', '0', 'object/mobile/dressed_imperial_officer_m_6.iff', '0', '0.740573', '0', '0.671976', '3361.35', '308', '5483.26', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('433', '0', '0', 'object/mobile/dressed_imperial_officer_m_6.iff', '0', '0.857306', '0', '-0.514807', '3367.38', '308', '5495.93', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('434', '0', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_06.iff', '0', '0.898512', '0', '-0.438949', '3277.95', '300', '5438.73', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('435', '0', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_06.iff', '0', '-0.681788', '0', '0.73155', '3308.36', '300', '5396.79', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('436', '0', '0', 'object/mobile/dressed_commoner_tatooine_devaronian_male_04.iff', '0', '0.821894', '0', '-0.569641', '3240.99', '300', '5415.5', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('437', '0', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_03.iff', '0', '0.957897', '0', '0.287113', '3199.22', '300', '5449.92', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('438', '0', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_07.iff', '0', '-0.349856', '0', '0.936803', '3303.05', '300', '5351.87', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('439', '0', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_08.iff', '0', '0.6514', '0', '0.758734', '3159.78', '300', '5397.22', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('440', '0', '4345355', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-8.45502', '0.184067', '-12.51', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('441', '0', '4345354', 'object/mobile/dressed_eisley_officer_bothan_male_01.iff', '-7.39196e-06', '-6.10433e-05', '-4.51488e-10', '1', '-3.23192', '0.184067', '-5.20004', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('442', '0', '4345354', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '4.51439e-10', '1', '7.38333e-06', '-6.10335e-05', '-3.23192', '0.184067', '-4.20004', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('443', '0', '4345354', 'object/mobile/21b_surgical_droid.iff', '0', '0.903537', '0', '-0.42851', '-1.19', '0.184067', '-1.89', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('444', '0', '0', 'object/mobile/dressed_noble_fat_zabrak_male_02.iff', '0', '0.647948', '0', '0.761685', '3158.95', '300', '5352.24', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('445', '0', '3075441', 'object/mobile/dressed_bountyhunter_trainer_01.iff', '-1.02625e-06', '2.59593e-05', '2.66407e-11', '1', '-42.098', '0.105009', '-24.1786', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('446', '0', '3075441', 'object/mobile/dressed_eisley_officer_bothan_female_01.iff', '5.69479e-11', '1', '1.02619e-06', '-5.54944e-05', '-42.098', '0.105009', '-23.0786', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('447', '0', '3075439', 'object/mobile/dressed_coraline_dynes.iff', '0', '0.404659', '0', '0.914468', '-24.3937', '-0.519991', '10.5457', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('448', '0', '3075432', 'object/mobile/dressed_jadam_questrel.iff', '0', '0.752114', '0', '-0.659034', '9.77643', '-0.894992', '-14.4836', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('449', '0', '3075430', 'object/mobile/dressed_corsec_captain_human_female_01.iff', '-3.49454e-06', '5.37354e-05', '1.87781e-10', '1', '21.878', '-0.894997', '-15.7126', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('450', '0', '3075430', 'object/mobile/dressed_entertainer_trainer_twk_male_01.iff', '-1.84568e-10', '1', '3.54958e-06', '5.19971e-05', '21.878', '-0.894997', '-14.6126', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('451', '0', '3075429', 'object/mobile/dressed_commoner_tatooine_aqualish_female_05.iff', '0', '0.992784', '0', '0.119921', '-4.00542', '-0.894992', '-2.41', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('452', '0', '3075429', 'object/mobile/dressed_corsec_officer_human_male_01.iff', '-1.46014e-06', '-2.6223e-05', '-3.83663e-11', '1', '8.35364', '-0.894992', '6.38149', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('453', '0', '3075429', 'object/mobile/dressed_commoner_old_zabrak_male_02.iff', '-9.09448e-11', '1', '1.5498e-06', '5.8654e-05', '8.35364', '-0.894992', '7.38149', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('454', '0', '3075427', 'object/mobile/dressed_corsec_detective_human_male_01.iff', '-5.26175e-06', '2.08612e-05', '1.09766e-10', '1', '40.8822', '0.104999', '2.22818', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('455', '0', '3075427', 'object/mobile/dressed_criminal_slicer_human_male_01.iff', '-1.00343e-10', '1', '5.2604e-06', '1.90752e-05', '40.8822', '0.104999', '3.32819', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('456', '0', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_03.iff', '0', '0.910284', '0', '0.413984', '3190.76', '300', '5269.61', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('457', '0', '0', 'object/mobile/dressed_commoner_naboo_zabrak_female_02.iff', '0', '0.99713', '0', '0.0757099', '3139.88', '300', '5247.41', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('458', '0', '0', 'object/mobile/dressed_commoner_naboo_zabrak_male_02.iff', '0', '0.893529', '0', '-0.449006', '3179.26', '300', '5213.19', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('459', '0', '0', 'object/mobile/dressed_commoner_tatooine_rodian_male_04.iff', '0', '0.939886', '0', '-0.341489', '3108.26', '300', '5229.01', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('460', '0', '0', 'object/mobile/dressed_commoner_tatooine_trandoshan_female_03.iff', '0', '0.97299', '0', '0.230848', '3117.25', '300', '5194.73', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('461', '0', '0', 'object/mobile/dressed_corsec_officer_human_male_01.iff', '0', '0', '0', '1', '3154.04', '300', '5172.07', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('462', '0', '0', 'object/mobile/dressed_corsec_captain_human_female_01.iff', '0', '1', '0', '0', '3154.04', '300', '5173.07', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('463', '0', '3075361', 'object/mobile/dressed_commoner_naboo_moncal_female_01.iff', '0', '0.866025', '0', '0.5', '-14.01', '1.13306', '-8.53', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('464', '0', '3075360', 'object/mobile/dressed_commoner_naboo_bothan_male_01.iff', '0', '0.913545', '0', '-0.406737', '3.32', '1.13306', '-8.49', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('465', '0', '3075353', 'object/mobile/dressed_corran_horn.iff', '0', '0.972031', '0', '0.234851', '-2.80228', '2.5', '12.1046', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('466', '0', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_06.iff', '0', '0.424623', '0', '0.90537', '3103.05', '300', '5164.17', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('467', '0', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_05.iff', '0', '0', '0', '1', '3184.22', '300', '5162.04', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('468', '0', '0', 'object/mobile/dressed_commoner_tatooine_rodian_male_01.iff', '0', '1', '0', '0', '3184.22', '300', '5163.04', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('469', '0', '0', 'object/mobile/dressed_corsec_detective_human_male_01.iff', '0', '-0.599489', '0', '0.800383', '3048.86', '300', '5196.51', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('470', '0', '0', 'object/mobile/dressed_commoner_fat_zabrak_male_02.iff', '0', '0.99655', '0', '-0.0829962', '3192.45', '302.606', '5113.34', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('471', '0', '0', 'object/mobile/dark_trooper.iff', '0', '-0.648965', '0', '0.760818', '3170.4', '301.801', '5100.6', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('472', '0', '0', 'object/mobile/dressed_scout_trooper_black_black.iff', '0', '0.992085', '0', '0.125569', '3191.1', '290', '5021.3', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('473', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '3169.44', '0', '5102.07', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('474', '0', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '0', '0.999452', '0', '0.0331135', '3193.15', '290.013', '5040.79', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('475', '0', '0', 'object/mobile/dressed_commoner_tatooine_sullustan_male_01.iff', '-0.0856086', '-4.20834e-10', '-4.89774e-09', '0.996329', '3196.61', '295.033', '5073.8', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('476', '0', '0', 'object/mobile/dressed_stormtrooper_groupleader_m.iff', '0', '0.994296', '0', '0.106654', '3198.2', '290.356', '5047.05', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('477', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '3197.73', '0', '5049.23', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('478', '0', '3075372', 'object/mobile/dressed_commoner_fat_zabrak_male_02.iff', '0', '0.836923', '0', '-0.547321', '-24', '1.6', '-4', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('479', '0', '3075367', 'object/mobile/dressed_bountyhunter_trainer_03.iff', '4.60537e-06', '8.84009e-05', '-4.07119e-10', '1', '17.1745', '1.28309', '-13.1361', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('480', '0', '3075367', 'object/mobile/dressed_corsec_detective_human_male_01.iff', '3.95316e-10', '1', '-4.60584e-06', '8.58292e-05', '17.1745', '1.28309', '-12.0361', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('481', '0', '3075366', 'object/mobile/dressed_mercenary_messanger_hum_m.iff', '3.30551e-06', '4.01431e-05', '-1.32693e-10', '1', '7.8197', '1.00001', '-7.0104', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('482', '0', '3075366', 'object/mobile/dressed_corsec_captain_human_female_01.iff', '1.31785e-10', '1', '-3.57659e-06', '3.68465e-05', '7.8197', '1.00001', '-5.9104', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('483', '0', '3075366', 'object/mobile/dressed_combatmedic_trainer_rodian_male_01.iff', '-1.95076e-06', '5.13505e-05', '1.00172e-10', '1', '-4.31306', '0.999965', '5.16959', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('484', '0', '3075366', 'object/mobile/dressed_commoner_old_human_male_02.iff', '-3.03929e-10', '1', '6.31332e-06', '4.81409e-05', '-4.31306', '0.999956', '6.26959', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('485', '0', '3075366', 'object/mobile/dressed_corsec_officer_human_female_01.iff', '-2.01636e-06', '0.923861', '4.86724e-06', '0.382729', '-5.41306', '0.999953', '6.26959', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('486', '0', '3075366', 'object/mobile/dressed_rebel_army_captain_zabrak_female.iff', '0', '0.188859', '0', '0.982004', '-1.1331', '0.999991', '1.50214', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('487', '0', '3075366', 'object/mobile/dressed_rebel_army_captain_human_male_01.iff', '0', '-0.119712', '0', '0.992809', '0.861081', '0.999995', '2.33215', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('488', '0', '0', 'object/mobile/dressed_commoner_naboo_zabrak_male_02.iff', '-0.00456224', '-1.06633e-12', '-2.33726e-10', '0.99999', '3145.1', '289.991', '4994.55', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('489', '0', '0', 'object/mobile/dressed_commoner_naboo_human_male_05.iff', '1.81425e-10', '0.99999', '-0.00456224', '8.27712e-13', '3145.1', '290', '4995.55', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('490', '0', '0', 'object/mobile/dressed_commoner_naboo_human_female_02.iff', '0', '0.253035', '0', '0.967457', '3202.3', '290', '5034.41', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('491', '0', '0', 'object/mobile/dressed_corsec_officer_human_female_01.iff', '0', '0.713619', '0', '0.700534', '3112.45', '281.347', '4982.51', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('492', '0', '0', 'object/mobile/dressed_corsec_captain_human_female_01.iff', '0', '0.804815', '0', '-0.593526', '3112.43', '280.843', '4981.38', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('493', '0', '0', 'object/mobile/dressed_eisley_officer_bothan_female_01.iff', '0', '1', '0', '0', '3202.28', '290', '4989.06', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('494', '0', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_06.iff', '0', '0.788111', '0', '-0.615533', '3162.05', '290', '4966.73', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('495', '0', '0', 'object/mobile/dressed_mercenary_messanger_rod_m.iff', '0', '0', '0', '1', '3202.28', '290', '4988.06', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('496', '0', '0', 'object/mobile/dressed_commoner_fat_zabrak_female_01.iff', '0', '0.931426', '0', '-0.36393', '3204.19', '290', '5003.32', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('497', '0', '0', 'object/mobile/dressed_stormtrooper_rifleman_m.iff', '0', '0.986259', '0', '0.165209', '3199.99', '290', '4992.48', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('498', '0', '0', 'object/mobile/dark_trooper.iff', '0', '-0.018519', '0', '0.999829', '3200.02', '290', '5032.75', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('499', '0', '0', 'object/mobile/dressed_commoner_tatooine_bith_male_06.iff', '-7.58329e-09', '0.996329', '-0.0856086', '-6.51587e-10', '3196.61', '295.206', '5074.8', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('500', '0', '3055771', 'object/mobile/dressed_commoner_tatooine_aqualish_male_01.iff', '0', '0.824126', '0', '-0.566406', '3.29', '1.13306', '-9.58', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('501', '0', '3055767', 'object/mobile/dressed_artisan_trainer_02.iff', '0', '0.0958458', '0', '0.995396', '-3.69', '1.13306', '-6', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('502', '0', '0', 'object/mobile/dressed_commoner_fat_human_male_01.iff', '0', '0', '0', '1', '3300.28', '308', '5495.49', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('503', '0', '4395404', 'object/mobile/dressed_commoner_naboo_human_female_03.iff', '-3.6843e-06', '4.33288e-05', '1.59636e-10', '1', '-21.8263', '2.12878', '73.7963', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('504', '0', '4395404', 'object/mobile/dressed_commoner_tatooine_rodian_male_04.iff', '-1.88507e-10', '1', '3.68506e-06', '5.11545e-05', '-21.8263', '2.12878', '74.8963', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('505', '0', '4395404', 'object/mobile/dressed_mercenary_messanger_hum_f.iff', '-9.97194e-07', '0.923859', '2.40707e-06', '0.382733', '-22.9263', '2.12878', '74.8963', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('506', '0', '4395404', 'object/mobile/dressed_villain_trandoshan_male_01.iff', '-4.05361e-06', '9.17593e-19', '2.26365e-13', '1', '-20.4229', '2.12878', '64.9439', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('507', '0', '4395404', 'object/mobile/dressed_commoner_artisan_bith_male_01.iff', '2.55132e-10', '1', '4.05299e-06', '-6.29406e-05', '-20.4229', '2.12878', '65.9439', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('508', '0', '4395403', 'object/mobile/dressed_corsec_pilot_human_male_01.iff', '-4.17236e-06', '3.67167e-05', '1.52939e-10', '1', '3.96145', '2.12878', '75.4149', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('509', '0', '4395403', 'object/mobile/dressed_commoner_tatooine_bith_female_01.iff', '-1.34212e-10', '1', '4.17178e-06', '3.21823e-05', '3.96145', '2.12878', '76.4149', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('510', '0', '4395403', 'object/mobile/dressed_noble_fat_human_male_02.iff', '0', '0.731354', '0', '-0.681998', '19.26', '2.12847', '56.13', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('511', '0', '4395403', 'object/mobile/dressed_entertainer_trainer_twk_female_01.iff', '0', '0.0348995', '0', '0.999391', '21.99', '2.12804', '64.05', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('512', '0', '4395402', 'object/mobile/dressed_noble_fat_human_female_02.iff', '0', '0.93358', '0', '-0.358368', '28.93', '2.12878', '58.19', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('513', '0', '4395401', 'object/mobile/dressed_noble_old_zabrak_female_01.iff', '0.0457469', '2.44968e-05', '-1.12183e-06', '0.998953', '15.2654', '2.47978', '23.7759', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('514', '0', '4395401', 'object/mobile/dressed_entertainer_trainer_twk_male_01.iff', '-1.35884e-06', '0.998953', '0.0457468', '2.96725e-05', '15.2654', '2.37968', '24.8667', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('515', '0', '4395401', 'object/mobile/dressed_mercenary_weak_hum_f.iff', '-2.60096e-06', '-7.75799e-05', '-2.01783e-10', '1', '-0.629707', '2.6', '2.33132', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('516', '0', '4395401', 'object/mobile/dressed_artisan_trainer_01.iff', '1.81455e-10', '1', '2.60094e-06', '-6.9765e-05', '-0.629707', '2.6', '3.43132', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('517', '0', '4395401', 'object/mobile/dressed_commoner_fat_zabrak_female_01.iff', '0.0457546', '-2.88184e-05', '1.31996e-06', '0.998953', '-17.5346', '0.765493', '42.402', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('518', '0', '4395401', 'object/mobile/dressed_commoner_tatooine_rodian_male_01.iff', '1.36196e-06', '0.998953', '0.0457388', '-2.97458e-05', '-17.5346', '0.665389', '43.4928', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('519', '0', '4395401', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0.0457474', '4.17903e-05', '-1.91111e-06', '0.998953', '-14.8394', '2.41844', '24.4443', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('520', '0', '4395401', 'object/mobile/dressed_criminal_slicer_human_female_01.iff', '2.92754e-06', '0.998954', '0.0457367', '-6.38893e-05', '-14.8394', '2.32744', '25.4359', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('521', '0', '4395401', 'object/mobile/dressed_commoner_fat_twilek_male_02.iff', '0.0457417', '4.61066e-05', '-2.10638e-06', '0.998953', '25.4426', '0.746078', '42.666', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('522', '0', '4395401', 'object/mobile/dressed_commoner_naboo_human_male_02.iff', '2.20719e-07', '0.998954', '0.0457322', '-4.80342e-06', '25.4426', '0.655075', '43.6577', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('523', '0', '4395397', 'object/mobile/dressed_eisley_officer_bothan_male_01.iff', '-3.0701e-06', '-7.15363e-05', '-2.19539e-10', '1', '-23.9134', '0.6', '-4.15254', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('524', '0', '4395397', 'object/mobile/dressed_commoner_tatooine_bith_female_06.iff', '-2.43167e-10', '1', '3.07018e-06', '7.91689e-05', '-23.9134', '0.6', '-3.15254', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('525', '0', '4395396', 'object/mobile/dressed_artisan_trainer_01.iff', '-2.8177e-06', '-0.00010538', '-2.96929e-10', '1', '-1.72179', '0.6', '-4.05766', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('526', '0', '4395396', 'object/mobile/dressed_eisley_officer_bothan_female_01.iff', '2.74999e-10', '1', '2.8177e-06', '-9.7597e-05', '-1.72179', '0.6', '-2.95766', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('527', '0', '0', 'object/mobile/durni_hue.iff', '0', '0.715041', '0', '-0.699082', '3473.19', '309.009', '5717.85', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('528', '0', '0', 'object/mobile/corellian_butterfly_hue.iff', '0', '0.972293', '0', '0.233766', '3482.36', '309.006', '5712.4', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('529', '0', '0', 'object/mobile/durni_hue.iff', '0', '-0.192989', '0', '0.981201', '3464.33', '309.251', '5720.29', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('530', '0', '0', 'object/mobile/corellian_butterfly_hue.iff', '0', '-0.100131', '0', '0.994974', '3475.82', '309.942', '5734.79', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('531', '0', '0', 'object/mobile/corellian_butterfly_hue.iff', '0', '0.679327', '0', '0.733835', '3477.88', '309.241', '5727.85', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('532', '0', '0', 'object/mobile/gubbur_hue.iff', '0', '-0.0591418', '0', '0.99825', '3478.56', '309.042', '5721.79', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('533', '0', '0', 'object/mobile/dressed_commoner_tatooine_bith_female_06.iff', '0', '0.852783', '0', '-0.522265', '3385.33', '308', '5699.29', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('534', '0', '0', 'object/mobile/dressed_commoner_tatooine_bith_female_05.iff', '0', '0.989295', '0', '-0.145932', '3296.88', '324', '5760.95', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('535', '0', '0', 'object/mobile/corellian_butterfly_hue.iff', '0', '0.0744628', '0', '0.997224', '3278.87', '324.625', '5697.75', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('536', '0', '0', 'object/mobile/corellian_butterfly_hue.iff', '0', '-0.666381', '0', '0.745612', '3263.87', '326.357', '5698.72', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('537', '0', '0', 'object/mobile/durni_hue.iff', '0', '-0.526091', '0', '0.850428', '3266.38', '325.985', '5695.38', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('538', '0', '0', 'object/mobile/corellian_butterfly_hue.iff', '0', '0.908483', '0', '-0.417922', '3260.03', '326.808', '5697.78', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('539', '0', '0', 'object/mobile/gubbur_hue.iff', '0', '0.532096', '0', '0.846684', '3259.94', '326.817', '5697.71', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('540', '0', '0', 'object/mobile/corellian_butterfly_hue.iff', '0', '-0.0758312', '0', '0.997121', '3259.6', '324.839', '5683.04', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('541', '0', '0', 'object/mobile/corellian_butterfly_hue.iff', '0', '-0.637269', '0', '0.770641', '3204.82', '364.451', '5589.5', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('542', '0', '0', 'object/mobile/durni_hue.iff', '0', '0.999611', '0', '-0.0278912', '3195.58', '368.998', '5598.72', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('543', '0', '0', 'object/mobile/corellian_butterfly_hue.iff', '0', '0.766321', '0', '0.642458', '3193.84', '368.834', '5608.43', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('544', '0', '0', 'object/mobile/durni_hue.iff', '0', '0.967425', '0', '0.253156', '3206.44', '368.815', '5599.84', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('545', '0', '0', 'object/mobile/durni_hue.iff', '0', '0.984941', '0', '-0.172888', '3207.18', '368.999', '5605.01', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('546', '0', '0', 'object/mobile/durni_hue.iff', '0', '0.717392', '0', '0.69667', '3201.33', '368.666', '5598.62', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('547', '0', '0', 'object/mobile/corellian_butterfly_hue.iff', '0', '0.51878', '0', '0.854908', '3159', '363.952', '5585.07', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('548', '0', '0', 'object/mobile/dressed_imperial_lieutenant_m.iff', '0', '0', '0', '0', '-3074', '0', '2825', '60', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('549', '0', '0', 'object/mobile/dressed_stormtrooper_sniper_m.iff', '0', '0', '0', '0', '-3093', '0', '2803', '32', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('550', '0', '0', 'object/mobile/dressed_stormtrooper_medic_m.iff', '0', '0.994522', '0', '0.104528', '-3112', '31', '2814', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('551', '0', '0', 'object/mobile/dressed_commoner_naboo_twilek_female_01.iff', '0', '-0.0477692', '0', '0.998858', '-3225.11', '32.2567', '2816.51', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('552', '0', '0', 'object/mobile/dressed_commoner_tatooine_devaronian_male_04.iff', '0', '0', '0', '1', '-3159.35', '31', '2813.02', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('553', '0', '0', 'object/mobile/dressed_corsec_pilot_human_male_01.iff', '0', '1', '0', '1.95143e-08', '-3177.78', '31', '2891.03', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('554', '0', '4255431', 'object/mobile/dressed_corsec_detective_human_female_01.iff', '5.40039e-07', '0.00164518', '-8.88462e-10', '0.999999', '-62.2367', '2.63942', '39.7337', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('555', '0', '4255431', 'object/mobile/dressed_doctor_trainer_moncal_male_01.iff', '-9.02631e-10', '0.999999', '-5.40089e-07', '-0.00167126', '-62.2331', '2.63942', '40.8373', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('556', '0', '4255426', 'object/mobile/dressed_hutt_medic1_zabrak_female_01.iff', '-2.43838e-07', '-5.55386e-05', '-1.35425e-11', '1', '45.9927', '-0.521138', '34.7512', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('557', '0', '4255426', 'object/mobile/dressed_commoner_tatooine_trandoshan_female_03.iff', '6.21774e-12', '1', '2.98046e-07', '-2.08617e-05', '45.9927', '-0.521138', '35.8512', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('558', '0', '4255426', 'object/mobile/dressed_commoner_naboo_bothan_male_02.iff', '-1.09979e-07', '0.923876', '2.65506e-07', '0.382691', '44.8927', '-0.521138', '35.8512', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('559', '0', '4255433', 'object/mobile/space_chassis_broker_02.iff', '0', '0.109778', '0', '0.993956', '-56.7101', '0.974563', '8.33237', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('560', '0', '4255423', 'object/mobile/dressed_criminal_smuggler_human_female_01.iff', '-1.38506e-13', '1', '1.35452e-07', '1.02255e-06', '0.68378', '0.639421', '62.1666', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('561', '0', '4255423', 'object/mobile/dressed_commoner_tatooine_rodian_male_03.iff', '0', '0.71666', '0', '-0.697422', '0.68378', '0.639421', '61.0666', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('562', '0', '0', 'object/mobile/dressed_criminal_thug_human_male_01.iff', '0', '1.42369e-08', '0', '1', '-3162.17', '31', '2902.28', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('563', '0', '0', 'object/mobile/dressed_corsec_officer_human_male_01.iff', '0', '-2.95947e-08', '0', '1', '-3177.78', '31', '2889.93', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('564', '0', '0', 'object/mobile/dressed_commoner_naboo_moncal_female_01.iff', '0', '1', '0', '0', '-3162.17', '31', '2903.38', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('565', '0', '0', 'object/mobile/dressed_commoner_tatooine_sullustan_male_04.iff', '0', '0.92388', '0', '0.382683', '-3163.27', '31', '2903.38', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('566', '0', '0', 'object/mobile/dressed_commoner_naboo_human_female_01.iff', '0', '0.382683', '0', '0.92388', '-3163.27', '31', '2902.28', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('567', '0', '0', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '0', '0', '1', '-3172.38', '31', '2880.85', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('568', '0', '0', 'object/mobile/dressed_commoner_tatooine_bith_male_04.iff', '0', '1', '0', '0', '-3172.38', '31', '2881.95', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('569', '0', '0', 'object/mobile/dressed_entertainer_trainer_twk_female_01.iff', '0', '-2.72556e-08', '0', '1', '-3100.88', '31', '2889.15', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('570', '0', '0', 'object/mobile/dressed_corsec_captain_human_female_01.iff', '0', '1', '0', '0', '-3100.88', '31', '2890.25', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('571', '0', '0', 'object/mobile/dressed_commoner_tatooine_devaronian_male_03.iff', '0', '0', '0', '1', '-3101.09', '31', '2904.87', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('572', '0', '0', 'object/mobile/dressed_corsec_officer_human_male_01.iff', '0', '1', '0', '0', '-3101.09', '31', '2905.97', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('573', '0', '0', 'object/mobile/dressed_commoner_fat_human_male_01.iff', '0', '-0.0939841', '0', '0.995574', '-3199.88', '30.6149', '2786.24', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('574', '0', '0', 'object/mobile/dressed_commoner_naboo_human_female_05.iff', '0', '0.0084377', '0', '0.999964', '-3160.26', '30.6615', '2762.28', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('575', '0', '0', 'object/mobile/dressed_commoner_old_human_male_02.iff', '0', '-0.584094', '0', '0.811686', '-3178.84', '31', '2775.92', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('576', '0', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_06.iff', '0', '0.265073', '0', '0.964228', '-3115.47', '31', '2800.28', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('577', '0', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_03.iff', '0', '0.887135', '0', '0.46151', '-3112.88', '31', '2984.36', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('578', '0', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_03.iff', '0', '0.923126', '0', '0.384498', '-3131.04', '31', '2995.05', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('579', '0', '0', 'object/mobile/dressed_tie_fighter_m.iff', '0', '0.998806', '0', '0.0488628', '-3144.67', '31', '2806.06', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('580', '0', '0', 'object/mobile/dressed_stormtrooper_black_black.iff', '0', '0.969702', '0', '-0.24429', '-3145.32', '31', '2803.95', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('581', '0', '0', 'object/mobile/space_greeter_kor_vella_imperial_officer.iff', '0', '0.894351', '0', '-0.447366', '-3143.7', '31', '2803.73', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('582', '0', '0', 'object/mobile/dressed_commoner_naboo_human_female_02.iff', '0', '1', '0', '0', '-3159.35', '31', '2814.02', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('583', '0', '0', 'object/mobile/dressed_commoner_naboo_twilek_female_01.iff', '0', '0', '0', '1', '-3152.32', '31', '2971.71', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('584', '0', '0', 'object/mobile/dressed_criminal_smuggler_human_male_01.iff', '0', '1', '0', '0', '-3152.32', '31', '2972.71', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('585', '0', '0', 'object/mobile/dressed_criminal_smuggler_human_male_01.iff', '0', '1', '0', '0', '-3088.9', '31', '2903.18', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('586', '0', '0', 'object/mobile/dressed_commoner_old_zabrak_male_02.iff', '0', '0.92388', '0', '0.382683', '-3090', '31', '2903.18', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('587', '0', '0', 'object/mobile/r5.iff', '0', '0.717442', '0', '-0.696618', '-3094.48', '31', '2972.63', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('588', '0', '0', 'object/mobile/dressed_noble_old_zabrak_male_01.iff', '0', '0.821098', '0', '-0.570788', '-3095.48', '31', '2971.63', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('589', '0', '0', 'object/mobile/dressed_commoner_fat_twilek_female_01.iff', '0', '0.915255', '0', '0.402875', '-3066.9', '31', '2925.13', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('590', '0', '0', 'object/mobile/dressed_commoner_old_zabrak_female_02.iff', '0', '0.0472254', '0', '0.998884', '-3087.72', '31', '2984.93', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('591', '0', '0', 'object/mobile/dressed_corsec_officer_human_female_01.iff', '0', '-0.623452', '0', '0.781861', '-3151.32', '31.114', '2772.13', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('592', '0', '0', 'object/mobile/dressed_corsec_officer_human_male_01.iff', '0', '-0.623467', '0', '0.78185', '-3150.16', '31.1352', '2773.01', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('593', '0', '0', 'object/mobile/r3.iff', '0', '0.731691', '0', '-0.681635', '-3151.77', '31', '2800', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('594', '0', '0', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '0.725523', '0', '-0.688198', '-3103.98', '31', '2988.38', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('595', '0', '0', 'object/mobile/dressed_corsec_pilot_human_male_01.iff', '0', '-0.62346', '0', '0.781856', '-3149.45', '31.1521', '2771.7', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('596', '0', '0', 'object/mobile/r5.iff', '0', '0.65858', '0', '0.75251', '-3134.32', '31', '2801.71', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('597', '0', '0', 'object/mobile/dressed_corsec_officer_human_female_01.iff', '0', '0.725513', '0', '-0.688209', '-3102.95', '31', '2989.56', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('598', '0', '0', 'object/mobile/cll8_binary_load_lifter.iff', '0', '0.649618', '0', '0.760261', '-3095.09', '31', '2975.46', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('599', '0', '0', 'object/mobile/dressed_corsec_detective_human_male_01.iff', '0', '0.725552', '0', '-0.688168', '-3102.24', '31', '2988.47', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('600', '0', '0', 'object/mobile/drall_female.iff', '0', '0.661453', '0', '0.749987', '-3173.48', '31', '2881.95', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('601', '0', '0', 'object/mobile/dressed_criminal_swooper_zabrak_male_01.iff', '0', '0.954925', '0', '0.296846', '-3073.63', '31', '2824.36', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('602', '0', '0', 'object/mobile/dressed_criminal_swooper_zabrak_female_01.iff', '0', '0.994246', '0', '-0.107117', '-3075.63', '31', '2819.36', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('603', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-3157.47', '0', '2797.69', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('604', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-3155.56', '0', '2792.15', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('605', '0', '0', 'object/mobile/dressed_criminal_swooper_human_female_01.iff', '0', '0.9259', '0', '0.377769', '-3072.63', '31', '2822.36', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('606', '0', '0', 'object/mobile/dressed_criminal_swooper_zabrak_female_01.iff', '0', '0.103946', '0', '0.994583', '-3074.63', '31', '2825.36', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('607', '0', '0', 'object/mobile/dressed_commoner_tatooine_rodian_female_01.iff', '0', '0.998527', '0', '-0.0542651', '-3296.84', '66.0938', '2877.86', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('608', '0', '0', 'object/mobile/dressed_commoner_naboo_human_female_05.iff', '0', '0.342574', '0', '0.939491', '-3311.8', '69.6204', '2886.94', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('609', '0', '0', 'object/mobile/dressed_commoner_old_human_male_02.iff', '0', '0.894235', '0', '0.447598', '-3028.15', '29.9485', '2793.83', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('610', '0', '0', 'object/mobile/corellian_butterfly_hue.iff', '0', '0.295256', '0', '0.955418', '-3123.76', '31.3295', '2704.9', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('611', '0', '0', 'object/mobile/corellian_butterfly_hue.iff', '0', '0.74063', '0', '0.671913', '-3122.96', '31.2444', '2705.34', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('612', '0', '0', 'object/mobile/corellian_butterfly_hue.iff', '0', '-0.119042', '0', '0.992889', '-3131.35', '32.0668', '2701.43', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('613', '0', '0', 'object/mobile/dressed_commoner_tatooine_bith_female_01.iff', '0', '0.975741', '0', '0.218928', '-3068.52', '30.6373', '2772.26', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('614', '0', '0', 'object/mobile/corellian_butterfly_hue.iff', '0', '-0.0571019', '0', '0.998368', '-3049.56', '26.37', '2729.58', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('615', '0', '0', 'object/mobile/corellian_butterfly_hue.iff', '0', '0.998762', '0', '0.0497475', '-3051.64', '26.1904', '2721.83', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('616', '0', '0', 'object/mobile/gubbur_hue.iff', '0', '0.995893', '0', '-0.0905357', '-2968.55', '28.8086', '2824.15', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('617', '0', '0', 'object/mobile/corellian_butterfly_hue.iff', '0', '0.879832', '0', '0.475285', '-2968.59', '28.3172', '2819.86', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('618', '0', '0', 'object/mobile/corellian_butterfly_hue.iff', '0', '0.363156', '0', '0.931728', '-2968.39', '28.4853', '2821.15', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('619', '0', '0', 'object/mobile/corellian_butterfly_hue.iff', '0', '-0.30128', '0', '0.953536', '-2964.87', '28.479', '2821.79', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('620', '0', '0', 'object/mobile/gubbur_hue.iff', '0', '0.882328', '0', '-0.470635', '-2968.51', '28.804', '2824.93', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('621', '0', '0', 'object/mobile/corellian_butterfly_hue.iff', '0', '0.0131545', '0', '0.999913', '-2961.61', '28.0736', '2831.61', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('622', '0', '0', 'object/mobile/durni_hue.iff', '0', '0.0344561', '0', '0.999406', '-2973.34', '30.7278', '2948.52', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('623', '0', '0', 'object/mobile/durni_hue.iff', '0', '0.325814', '0', '0.945434', '-2968.55', '30.522', '2952.81', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('624', '0', '0', 'object/mobile/gubbur_hue.iff', '0', '0.12657', '0', '0.991958', '-2974.33', '30.7521', '2947.56', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('625', '0', '0', 'object/mobile/durni_hue.iff', '0', '0.664672', '0', '0.747135', '-2964.67', '30.4361', '2954.11', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('626', '0', '0', 'object/mobile/corellian_butterfly_hue.iff', '0', '0.891648', '0', '0.452728', '-2965.31', '30.3629', '2952.1', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('627', '0', '0', 'object/mobile/durni_hue.iff', '0', '-0.695757', '0', '0.718277', '-2969.64', '30.7686', '2961.77', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('628', '0', '0', 'object/mobile/dressed_commoner_naboo_human_male_07.iff', '0', '0.94048', '0', '-0.339849', '-3157.04', '101', '3077.75', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('629', '0', '0', 'object/mobile/dressed_commoner_fat_twilek_male_01.iff', '0', '-0.540605', '0', '0.841276', '-3191.67', '101', '3052.4', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('630', '0', '0', 'object/mobile/dressed_commoner_tatooine_ishitib_male_01.iff', '0', '0.695983', '0', '0.718058', '-3190.54', '101', '3073.46', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('631', '0', '0', 'object/mobile/dressed_giker_budz.iff', '-0.170751', '-0.624419', '-0.137227', '0.749742', '-3336.21', '72.4231', '2926.19', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('632', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-3368.29', '0', '2949.6', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('633', '0', '0', 'object/mobile/dressed_imperial_captain_m.iff', '0', '0', '0', '0', '-3387', '0', '2960', '1', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('634', '0', '0', 'object/mobile/dressed_commoner_tatooine_trandoshan_female_01.iff', '0', '-0.60376', '0', '0.797166', '-3378.96', '86', '2985.53', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('635', '0', '0', 'object/mobile/dressed_stormtrooper_medic_m.iff', '0', '-0.0480123', '0', '0.998847', '-3386', '86', '2992', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('636', '0', '0', 'object/mobile/dressed_commoner_naboo_bothan_female_02.iff', '0', '0.999852', '0', '-0.0172127', '-3403.44', '86', '2997.65', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('637', '0', '0', 'object/mobile/dressed_commoner_tatooine_devaronian_male_02.iff', '0', '-0.600175', '0', '0.799869', '-3393.47', '86', '3007.94', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('638', '0', '0', 'object/mobile/dressed_criminal_pirate_human_male_01.iff', '0', '0', '0', '1', '-3384.54', '86', '3007.15', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('639', '0', '0', 'object/mobile/dressed_mercenary_weak_rod_m.iff', '0', '1', '0', '0', '-3384.54', '86', '3008.15', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('640', '0', '0', 'object/mobile/dressed_commoner_tatooine_bith_female_06.iff', '0', '0.0985295', '0', '0.995134', '-3384.17', '86', '2958.24', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('641', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-3395.4', '0', '3017.79', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('642', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-3395.16', '0', '3023.07', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('643', '0', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_06.iff', '0', '0.591196', '0', '0.806528', '-3427.62', '86', '3029.21', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('644', '0', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_02.iff', '0', '0', '0', '1', '-3408.26', '86', '3048.35', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('645', '0', '0', 'object/mobile/dressed_corsec_detective_human_male_01.iff', '0', '1', '0', '0', '-3408.26', '86', '3049.35', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('646', '0', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_07.iff', '0', '0.910911', '0', '0.412603', '-3423.54', '86', '3043.61', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('647', '0', '0', 'object/mobile/dressed_commoner_fat_zabrak_female_02.iff', '0', '-0.673052', '0', '0.739595', '-3458.31', '78', '3027.47', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('648', '0', '0', 'object/mobile/dressed_criminal_slicer_human_male_01.iff', '0', '0', '0', '1', '-3450.64', '78', '3030.31', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('649', '0', '0', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '1', '0', '0', '-3450.64', '78', '3031.31', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('650', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-3435.46', '0', '3034.56', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('651', '0', '0', 'object/mobile/dressed_imperial_lieutenant_m.iff', '0', '0', '0', '0', '-3435.46', '0', '3034.56', '31', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('652', '0', '0', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '-3414.17', '0', '3120.69', '5', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('653', '0', '0', 'object/mobile/dressed_commoner_naboo_twilek_male_02.iff', '0', '0.553202', '0', '0.833047', '-3435.7', '86', '3119.29', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('654', '0', '0', 'object/mobile/dressed_commoner_tatooine_trandoshan_female_01.iff', '0', '0.92639', '0', '0.376565', '-3396.89', '86', '3131.64', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('655', '0', '0', 'object/mobile/dressed_stormtrooper_sniper_m.iff', '0', '0', '0', '0', '-3460.41', '0', '3112.21', '32', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('656', '0', '0', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '-3421.17', '0', '3114.69', '5', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('657', '0', '0', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '-3420.17', '0', '3117.69', '5', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('658', '0', '0', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '-3420.17', '0', '3120.69', '5', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('659', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-3406.24', '0', '3137.43', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('660', '0', '0', 'object/mobile/dressed_commoner_tatooine_sullustan_male_02.iff', '0', '-0.146496', '0', '0.989211', '-3426.15', '86', '3134.26', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('661', '0', '0', 'object/mobile/dressed_commoner_naboo_human_female_01.iff', '0', '0.901649', '0', '-0.432468', '-3391.66', '86', '3140.05', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('662', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-3410.43', '0', '3142.78', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('663', '0', '0', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '-3414.17', '0', '3115.69', '5', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('664', '0', '3005411', 'object/mobile/dressed_commoner_tatooine_bith_female_01.iff', '-1.17342e-06', '-3.24236e-05', '-3.80255e-11', '1', '-45.2379', '0.105009', '-21.6909', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('665', '0', '3005411', 'object/mobile/dressed_mercenary_weak_rod_m.iff', '-2.67407e-11', '1', '1.17352e-06', '2.28892e-05', '-45.2379', '0.105009', '-20.6909', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('666', '0', '3005409', 'object/mobile/dressed_corsec_captain_human_female_01.iff', '-7.74755e-07', '-1.90709e-05', '-1.47978e-11', '1', '-25.7262', '-0.519991', '10.5232', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('667', '0', '3005409', 'object/mobile/dressed_criminal_pirate_human_female_01.iff', '1.25381e-11', '1', '7.74795e-07', '-1.62111e-05', '-25.7262', '-0.519991', '11.5232', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('668', '0', '3005405', 'object/mobile/dressed_commoner_fat_twilek_female_01.iff', '-1.93732e-06', '4.42304e-05', '8.572e-11', '1', '-2.41153', '-0.894993', '23.4367', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('669', '0', '3005405', 'object/mobile/dressed_criminal_thug_aqualish_female_02.iff', '-3.11977e-11', '1', '-2.44383e-06', '-1.27556e-05', '-2.41153', '-0.894992', '24.4367', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('670', '0', '3005403', 'object/mobile/dressed_skinkner.iff', '0', '0.786838', '0', '0.617159', '8.84694', '-0.894992', '21.4389', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('671', '0', '3005402', 'object/mobile/dressed_criminal_slicer_human_male_01.iff', '-1.24636e-06', '-1.86296e-05', '-2.32192e-11', '1', '10.9405', '-0.894992', '-15.0189', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('672', '0', '3005402', 'object/mobile/dressed_commoner_tatooine_devaronian_male_04.iff', '7.84463e-11', '1', '1.13786e-06', '-6.89419e-05', '10.9405', '-0.894992', '-13.9189', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('673', '0', '3005401', 'object/mobile/dressed_villain_trandoshan_male_01.iff', '-1.24625e-06', '1.29897e-05', '1.61885e-11', '1', '22.6067', '-0.894992', '19.6263', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('674', '0', '3005401', 'object/mobile/dressed_commoner_naboo_zabrak_male_02.iff', '4.64829e-11', '1', '1.24633e-06', '-3.72958e-05', '22.6067', '-0.894992', '20.7263', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('675', '0', '3005401', 'object/mobile/dressed_commoner_naboo_human_male_03.iff', '-3.37254e-07', '0.923883', '8.14221e-07', '0.382676', '21.5067', '-0.894992', '20.7263', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('676', '0', '3005400', 'object/mobile/dressed_commoner_tatooine_sullustan_male_05.iff', '3.27819e-07', '5.34046e-05', '-1.74935e-11', '1', '20.5946', '-0.894996', '-19.6063', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('677', '0', '3005400', 'object/mobile/dressed_corsec_captain_human_female_01.iff', '-7.85659e-13', '1', '-2.68255e-07', '-2.86138e-06', '20.5946', '-0.894996', '-18.6063', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('678', '0', '3005399', 'object/mobile/dressed_commoner_naboo_human_female_05.iff', '0', '0.979573', '0', '0.201088', '6.4346', '-0.894992', '-2.33458', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('679', '0', '3005398', 'object/mobile/dressed_artisan_trainer_03.iff', '1.69671e-06', '5.37535e-05', '-9.12042e-11', '1', '34.3598', '0.104999', '-8.03626', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('680', '0', '3005398', 'object/mobile/dressed_mercenary_weak_rod_m.iff', '5.89946e-12', '1', '-1.69673e-06', '3.47696e-06', '34.3598', '0.104999', '-6.93626', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('681', '0', '3005397', 'object/mobile/dressed_lasha_bindari.iff', '0', '0.99632', '0', '-0.0857059', '39.0615', '0.104999', '0.934001', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('682', '0', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_08.iff', '0', '0.457872', '0', '0.889018', '-3461.07', '86', '3156', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('683', '0', '0', 'object/mobile/dressed_corsec_detective_human_male_01.iff', '0', '0', '0', '1', '-3520.73', '78', '3125.57', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('684', '0', '0', 'object/mobile/dressed_mercenary_messanger_hum_m.iff', '0', '1', '0', '0', '-3520.73', '78', '3126.57', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('685', '0', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_05.iff', '0', '-0.445888', '0', '0.895089', '-3509.45', '78', '3148.97', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('686', '0', '0', 'object/mobile/dressed_criminal_pirate_human_male_01.iff', '0', '0', '0', '1', '-3557.49', '86', '3157.11', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('687', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-3567.44', '0', '3144.32', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('688', '0', '3005397', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '48.13', '0.105', '2.47', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('689', '0', '0', 'object/mobile/dressed_commoner_tatooine_bith_female_04.iff', '0', '0.398674', '0', '0.917093', '-3403.21', '86', '3111.2', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('690', '0', '0', 'object/mobile/dressed_commoner_naboo_human_male_03.iff', '0', '0.863814', '0', '-0.503811', '-3378.65', '86', '3173.54', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('691', '0', '0', 'object/mobile/dressed_commoner_old_zabrak_male_01.iff', '0', '0.968483', '0', '-0.249081', '-3447.57', '78', '3219.08', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('692', '0', '0', 'object/mobile/dressed_commoner_naboo_human_male_02.iff', '0', '0.882982', '0', '0.469407', '-3361.13', '86', '3217.26', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('693', '0', '0', 'object/mobile/dressed_noble_old_human_male_02.iff', '0', '0', '0', '1', '-3459.55', '78', '3225.02', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('694', '0', '0', 'object/mobile/dressed_crook_zabrak_female_01.iff', '0', '1', '0', '0', '-3459.55', '78', '3226.02', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('695', '0', '0', 'object/mobile/dressed_imperial_lieutenant_m.iff', '0', '0', '0', '0', '-3366', '0', '3232', '31', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('696', '0', '0', 'object/mobile/dressed_imperial_lieutenant_m.iff', '0', '0', '0', '0', '-3368.45', '0', '3242.5', '31', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('697', '0', '0', 'object/mobile/dressed_stormtrooper_sniper_m.iff', '0', '0', '0', '0', '-3326.35', '0', '3231.94', '32', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('698', '0', '0', 'object/mobile/r3.iff', '0', '-0.375116', '0', '0.926978', '-3327.95', '86', '3233.64', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('699', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-3344.8', '0', '3240.26', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('700', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-3343.2', '0', '3240.54', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('701', '0', '0', 'object/mobile/dressed_stormtrooper_sniper_m.iff', '0', '0', '0', '0', '-3318.03', '0', '3230.13', '32', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('702', '0', '0', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '-3420.17', '0', '3118.69', '5', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('703', '0', '2955416', 'object/mobile/dressed_commoner_tatooine_aqualish_male_06.iff', '0', '0.824126', '0', '-0.566406', '3.29', '1.13306', '-9.58', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('704', '0', '2955412', 'object/mobile/dressed_artisan_trainer_03.iff', '0', '0.0958457', '0', '0.995396', '-3.69', '1.13306', '-6', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('705', '0', '0', 'object/mobile/dressed_commoner_tatooine_devaronian_male_04.iff', '0', '0.401433', '0', '0.915888', '-3374.97', '86', '3265.02', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('706', '0', '0', 'object/mobile/dressed_commoner_naboo_twilek_male_01.iff', '0', '0.990411', '0', '-0.138151', '-3276.7', '86', '3089.82', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('707', '0', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_03.iff', '0', '-0.548456', '0', '0.836179', '-3324.59', '86', '3261.86', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('708', '0', '0', 'object/mobile/dressed_commoner_tatooine_trandoshan_female_04.iff', '0', '0.955242', '0', '-0.295827', '-3342.65', '86', '3268.3', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('709', '0', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_01.iff', '0', '0.397154', '0', '0.917752', '-3365.89', '86', '3284.68', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('710', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-3358.96', '0', '3286.34', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('711', '0', '0', 'object/mobile/dressed_commoner_tatooine_rodian_female_02.iff', '0', '0.208632', '0', '0.977994', '-3351.81', '86', '3303.25', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('712', '0', '0', 'object/mobile/dressed_mercenary_weak_hum_f.iff', '-0.0200862', '0.765999', '0.0305971', '0.6418', '-3340.49', '86', '3292.76', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('713', '0', '0', 'object/mobile/dressed_mercenary_weak_hum_m.iff', '0', '0.564043', '0', '0.825745', '-3332.89', '86', '3303.69', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('714', '0', '0', 'object/mobile/dressed_mercenary_messanger_rod_m.iff', '0', '0.788527', '0', '0.614999', '-3330.1', '86', '3290.98', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('715', '0', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_07.iff', '0', '0.739366', '0', '-0.673304', '-3332.16', '86', '3307.2', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('716', '0', '0', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '-3417.17', '0', '3121.69', '5', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('717', '0', '0', 'object/mobile/dressed_denell_kelvannon.iff', '0', '0.243095', '0', '0.970003', '-3414.11', '74', '3336.52', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('718', '0', '0', 'object/mobile/dressed_commoner_tatooine_bith_male_02.iff', '0', '-0.671722', '0', '0.740803', '-3322.3', '86', '3283.63', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('719', '0', '0', 'object/mobile/r3.iff', '0', '0.803775', '0', '-0.594933', '-3423.05', '80.6846', '3333.75', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('720', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-3411.64', '0', '3344.7', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('721', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-3416.53', '0', '3346.57', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('722', '0', '0', 'object/mobile/dressed_criminal_thug_bothan_male_01.iff', '0', '0.772177', '0', '-0.635407', '-3323.82', '101', '3410.51', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('723', '0', '0', 'object/mobile/dressed_commoner_naboo_human_female_06.iff', '0', '0.850909', '0', '0.525313', '-3455.84', '78', '3343.36', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('724', '0', '0', 'object/mobile/cll8_binary_load_lifter.iff', '0', '-0.00870377', '0', '0.999962', '-3444.06', '78', '3384.03', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('725', '0', '0', 'object/mobile/dressed_imperial_captain_m.iff', '0', '0', '0', '0', '-3404.35', '0', '3347.14', '1', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('726', '0', '0', 'object/mobile/dressed_commoner_old_human_female_02.iff', '0', '-0.511571', '0', '0.859241', '-3522.13', '70', '3234.57', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('727', '0', '0', 'object/mobile/dressed_criminal_smuggler_human_female_01.iff', '0', '1', '0', '0', '-3557.49', '86', '3158.11', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('728', '0', '0', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '-3419.17', '0', '3119.69', '5', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('729', '0', '0', 'object/mobile/dressed_imperial_lieutenant_m.iff', '0', '0', '0', '0', '-3582', '0', '3143', '31', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('730', '0', '0', 'object/mobile/dressed_robber_human_female_01.iff', '0', '0', '0', '1', '-3587.81', '86', '3134.7', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('731', '0', '0', 'object/mobile/dressed_corsec_pilot_human_male_01.iff', '0', '1', '0', '0', '-3587.81', '86', '3135.7', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('732', '0', '0', 'object/mobile/dressed_combatmedic_trainer_human_female_01.iff', '0', '0', '0', '1', '-3591.74', '86', '3179.01', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('733', '0', '0', 'object/mobile/dressed_commoner_old_twilek_female_01.iff', '0', '1', '0', '0', '-3591.74', '86', '3180.01', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('734', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-3596.69', '0', '3122.97', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('735', '0', '0', 'object/mobile/dressed_entertainer_trainer_human_female_01.iff', '0', '0', '0', '1', '-3602.67', '86', '3221.17', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('736', '0', '0', 'object/mobile/drall_female.iff', '0', '1', '0', '0', '-3602.67', '86', '3222.17', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('737', '0', '0', 'object/mobile/dressed_commoner_fat_twilek_male_01.iff', '0', '0', '0', '1', '-3610.27', '86', '3198.4', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('738', '0', '0', 'object/mobile/dressed_noble_human_female_01.iff', '0', '1', '0', '0', '-3610.27', '86', '3199.4', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('739', '0', '0', 'object/mobile/dressed_stormtrooper_sniper_m.iff', '0', '0', '0', '0', '-3602.47', '0', '3214.02', '32', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('740', '0', '0', 'object/mobile/dressed_stormtrooper_sniper_m.iff', '0', '0', '0', '0', '-3613.06', '0', '3212.07', '32', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('741', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-3621.27', '0', '3142.55', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('742', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-3619.55', '0', '3121.89', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('743', '0', '0', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '-3421.17', '0', '3118.69', '5', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('744', '0', '3005430', 'object/mobile/dressed_commoner_fat_human_female_02.iff', '0', '0', '0', '1', '-5.69316', '-5.5', '-10.3165', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('745', '0', '3005430', 'object/mobile/dressed_corsec_pilot_human_male_01.iff', '0', '1', '0', '2.45042e-05', '-5.69316', '-5.5', '-9.21648', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('746', '0', '3005430', 'object/mobile/dressed_commoner_tatooine_nikto_male_05.iff', '0', '4.31916e-06', '0', '1', '3.19577', '-5.5', '-7.41594', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('747', '0', '3005430', 'object/mobile/dressed_eisley_officer_bothan_female_01.iff', '3.6894e-12', '1', '2.1675e-07', '-1.70215e-05', '3.19577', '-5.5', '-6.31594', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('748', '0', '3005430', 'object/mobile/dressed_crook_zabrak_male_01.iff', '-5.8652e-08', '0.92388', '1.41599e-07', '0.382681', '2.09577', '-5.5', '-6.31594', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('749', '0', '3005428', 'object/mobile/dressed_corsec_captain_human_female_01.iff', '7.75507e-07', '7.15243e-05', '-5.54676e-11', '1', '3.9861', '-0.0513746', '-3.1463', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('750', '0', '3005428', 'object/mobile/dressed_criminal_smuggler_human_male_01.iff', '-1.5974e-12', '1', '-7.7552e-07', '-2.05978e-06', '3.9861', '-0.0513746', '-2.0463', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('751', '0', '3005428', 'object/mobile/dressed_commoner_tatooine_bith_female_06.iff', '7.75517e-07', '3.44718e-05', '-2.67335e-11', '1', '5.57407', '-0.0513746', '1.83985', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('752', '0', '3005428', 'object/mobile/dressed_eisley_officer_bothan_male_01.iff', '-3.02611e-11', '1', '-7.7551e-07', '-3.9021e-05', '5.57407', '-0.0513746', '2.93985', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('753', '0', '3005428', 'object/mobile/dressed_eisley_officer_bothan_female_01.iff', '2.09849e-07', '0.92389', '-5.06661e-07', '0.382657', '4.47407', '-0.0513746', '2.93985', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('754', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-3631.32', '0', '3136.46', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('755', '0', '0', 'object/mobile/dressed_commoner_naboo_bothan_female_01.iff', '0', '0.956129', '0', '-0.292945', '-3572.52', '70', '3208.39', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('756', '0', '0', 'object/mobile/dressed_imperial_officer_m_4.iff', '0', '0.33422', '0', '0.942495', '-3660.31', '86', '3103.26', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('757', '0', '0', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '-3639.85', '0', '3121.04', '5', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('758', '0', '0', 'object/mobile/r2.iff', '0', '-0.283478', '0', '0.958979', '-3697.43', '87.5185', '3141.62', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('759', '0', '0', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '-3635.85', '0', '3122.04', '5', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('760', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-3719.35', '0', '3175.2', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('761', '0', '0', 'object/mobile/dressed_imperial_lieutenant_m.iff', '0', '0', '0', '0', '-3674.98', '0', '3104.95', '60', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('762', '0', '0', 'object/mobile/dressed_stormtrooper_sniper_m.iff', '0', '0', '0', '0', '-3715.75', '0', '3169.75', '32', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('763', '0', '0', 'object/mobile/dressed_commoner_tatooine_bith_female_02.iff', '0', '1', '0', '0', '-3713.14', '86', '3106.66', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('764', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-3726.46', '0', '3185.97', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('765', '0', '0', 'object/mobile/drall_female.iff', '0', '0.268587', '0', '0.963255', '-3735.04', '86', '3219.3', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('766', '0', '0', 'object/mobile/dressed_commoner_tatooine_bith_female_01.iff', '0', '0', '0', '1', '-3713.14', '86', '3105.66', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('767', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-3752', '0', '3170', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('768', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-3761.11', '0', '3190.17', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('769', '0', '0', 'object/mobile/eg6_power_droid.iff', '0', '0.45705', '0', '0.889441', '-3766.44', '86', '3180.9', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('770', '0', '0', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '-3631.85', '0', '3117.04', '5', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('771', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-3767.99', '0', '3180.85', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('772', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-3774.65', '0', '3204.62', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('773', '0', '0', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '-3773.66', '0', '3203.13', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('774', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-3774.9', '0', '3203.38', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('775', '0', '0', 'object/mobile/dressed_imperial_officer_m.iff', '0', '-3.78268e-09', '0', '1', '-3787.12', '86', '3147.97', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('776', '0', '0', 'object/mobile/dressed_imperial_lieutenant_m.iff', '0', '0', '0', '0', '-3662.58', '0', '3090.82', '60', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('777', '0', '3375393', 'object/mobile/dressed_imperial_major_m.iff', '0', '0', '0', '0', '-10.0845', '0.184067', '-12.51', '1', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('778', '0', '3375392', 'object/mobile/dressed_commoner_tatooine_aqualish_female_05.iff', '7.90229e-08', '-0.707089', '7.90189e-08', '0.707125', '-0.842022', '0.184067', '1.59886', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('779', '0', '3375392', 'object/mobile/dressed_commoner_tatooine_aqualish_male_04.iff', '8.16533e-08', '0.707126', '-8.16576e-08', '0.707088', '-2.84202', '0.184067', '1.59886', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('780', '0', '3375392', 'object/mobile/r2.iff', '0', '0.192765', '0', '0.981245', '-1.84202', '0.184067', '2.59886', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('781', '0', '3375392', 'object/mobile/dressed_corsec_officer_human_male_01.iff', '2.08602e-07', '-1.94745e-05', '4.05386e-12', '1', '0.280297', '0.184067', '7.39289', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('782', '0', '3375392', 'object/mobile/dressed_criminal_pirate_human_male_01.iff', '-2.49732e-12', '1', '-2.16063e-07', '-1.15333e-05', '0.280297', '0.184067', '8.39289', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('783', '0', '0', 'object/mobile/cll8_binary_load_lifter.iff', '0', '0.233193', '0', '0.972431', '-3654.48', '86', '3081.81', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('784', '0', '0', 'object/mobile/dressed_commoner_fat_human_male_01.iff', '0', '0.711581', '0', '0.702604', '-3256', '86', '3124.3', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('785', '0', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_09.iff', '0', '0.829097', '0', '-0.559105', '-3272.53', '86', '3071.96', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('786', '0', '0', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '-3420.17', '0', '3112.69', '5', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('787', '0', '0', 'object/mobile/dressed_commoner_tatooine_ishitib_male_03.iff', '0', '-0.434824', '0', '0.900516', '-3185.75', '101', '3104.64', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('788', '0', '0', 'object/mobile/dressed_commoner_tatooine_devaronian_male_04.iff', '0', '-0.446965', '0', '0.894551', '-3188.79', '101', '3156.71', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('789', '0', '3005676', 'object/mobile/dressed_commoner_old_zabrak_male_01.iff', '0', '0.88579', '0', '0.464086', '-24', '1.6', '-4', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('790', '0', '3005674', 'object/mobile/dressed_noble_old_human_female_02.iff', '0', '0.759248', '0', '0.650801', '-8.54047', '1.6', '-11.59', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('791', '0', '3005671', 'object/mobile/dressed_commoner_tatooine_bith_female_02.iff', '1.19207e-06', '1.47572e-05', '-1.75915e-11', '1', '21.6158', '1.28309', '8.94', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('792', '0', '3005671', 'object/mobile/dressed_commoner_tatooine_sullustan_male_05.iff', '0', '1', '-1.19199e-06', '0', '21.6158', '1.28309', '10.04', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('793', '0', '3005671', 'object/mobile/dressed_commoner_tatooine_bith_female_01.iff', '3.22547e-07', '0.923888', '-7.78745e-07', '0.382663', '20.5158', '1.28309', '10.04', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('794', '0', '3005670', 'object/mobile/dark_trooper.iff', '0', '0.119712', '0', '0.992809', '-0.521681', '0.999963', '6.38795', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('795', '0', '3005670', 'object/mobile/dressed_imperial_lieutenant_m.iff', '0', '-0.169182', '0', '0.985585', '1.25263', '0.999968', '6.92433', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('796', '0', '3005672', 'object/mobile/drall_female.iff', '1.02948e-06', '1.21236e-05', '-1.2481e-11', '1', '-16.9034', '1.6', '10.7646', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('797', '0', '3005672', 'object/mobile/dressed_entertainer_trainer_twk_male_01.iff', '-2.82559e-12', '1', '-1.08366e-06', '-2.60745e-06', '-16.9034', '1.6', '11.8646', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('798', '0', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_01.iff', '0', '0.272329', '0', '0.962204', '-3153.75', '101', '3112.41', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('799', '0', '0', 'object/mobile/durni_hue.iff', '0', '0.869382', '0', '0.494141', '-3172.9', '101', '3216.97', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('800', '0', '0', 'object/mobile/corellian_butterfly_hue.iff', '0', '0.687235', '0', '0.726436', '-3162.98', '101', '3213.35', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('801', '0', '0', 'object/mobile/corellian_butterfly_hue.iff', '0', '0.951399', '0', '-0.30796', '-3162.48', '101', '3224', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('802', '0', '0', 'object/mobile/gubbur_hue.iff', '0', '0.975001', '0', '0.222202', '-3163.98', '101', '3224.56', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('803', '0', '0', 'object/mobile/corellian_butterfly_hue.iff', '0', '0.995538', '0', '0.0943661', '-3170.48', '101', '3222.99', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('804', '0', '0', 'object/mobile/corellian_butterfly_hue.iff', '0', '0.931627', '0', '0.363416', '-3172.56', '101', '3220.4', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('805', '0', '0', 'object/mobile/dressed_eisley_officer_bothan_female_01.iff', '0', '0', '0', '1', '-3088.9', '31', '2902.08', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('806', '0', '0', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '-5214.16', '0', '-2198.96', '5', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('807', '0', '0', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '-5212.8', '0', '-2203.27', '5', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('808', '0', '0', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '-5212.53', '0', '-2192.37', '5', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('809', '0', '0', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '-5201.63', '0', '-2202.48', '5', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('810', '0', '0', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '-5415.84', '0', '-2297.33', '7', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('811', '0', '0', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '-5408.89', '0', '-2278.73', '7', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('812', '0', '0', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '-5425.72', '0', '-2278.34', '7', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('813', '0', '0', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '-5403.73', '0', '-2291.39', '7', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('814', '0', '0', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '-5732.22', '0', '-2612.46', '5', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('815', '0', '0', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '-5732.46', '0', '-2618.09', '5', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('816', '0', '0', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '-5738.88', '0', '-2596.01', '5', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('817', '0', '0', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '-5723.05', '0', '-2617.02', '5', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('818', '0', '0', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '-5746.79', '0', '-2607.24', '5', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('819', '0', '0', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '-5735.21', '0', '-2603.11', '5', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('820', '0', '0', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '-5732.54', '0', '-2613.44', '5', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('821', '0', '0', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '-5750.46', '0', '-2604.48', '5', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('822', '0', '0', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '-5756.38', '0', '-2794.96', '5', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('823', '0', '0', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '-5746.73', '0', '-2785.08', '5', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('824', '0', '0', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '-5751.8', '0', '-2798.02', '5', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('825', '0', '0', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '-5757.77', '0', '-2799.86', '5', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('826', '0', '0', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '-5751.26', '0', '-2797.91', '5', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('827', '0', '0', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '-5754.06', '0', '-2788.35', '5', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('828', '0', '0', 'object/mobile/dressed_cobral_thug_rodian_female_01.iff', '0', '0', '0', '0', '-5759.38', '0', '-2792.02', '6', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('829', '0', '0', 'object/mobile/dressed_cobral_thug_rodian_female_01.iff', '0', '0', '0', '0', '-5753.52', '0', '-2787.45', '6', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('830', '0', '0', 'object/mobile/dressed_cobral_thug_rodian_female_01.iff', '0', '0', '0', '0', '-5763.74', '0', '-2779.58', '6', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('831', '0', '0', 'object/mobile/dressed_cobral_thug_rodian_female_01.iff', '0', '0', '0', '0', '-5741.99', '0', '-2799.5', '8', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('832', '0', '0', 'object/mobile/dressed_cobral_thug_rodian_female_01.iff', '0', '0', '0', '0', '-5743.68', '0', '-2805.19', '8', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('833', '0', '0', 'object/mobile/dressed_cobral_thug_rodian_female_01.iff', '0', '0', '0', '0', '-4868.73', '0', '-2526.61', '6', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('834', '0', '0', 'object/mobile/dressed_cobral_thug_rodian_female_01.iff', '0', '0', '0', '0', '-4870.61', '0', '-2520.55', '6', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('835', '0', '0', 'object/mobile/dressed_cobral_thug_rodian_female_01.iff', '0', '0', '0', '0', '-4865.84', '0', '-2529.23', '6', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('836', '0', '0', 'object/mobile/dressed_cobral_thug_rodian_female_01.iff', '0', '0', '0', '0', '-4862.58', '0', '-2521.07', '6', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('837', '0', '0', 'object/mobile/dressed_cobral_thug_rodian_female_01.iff', '0', '0', '0', '0', '-4855.96', '0', '-2516.42', '6', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('838', '0', '0', 'object/mobile/dressed_cobral_thug_rodian_female_01.iff', '0', '0', '0', '0', '-4867.01', '0', '-2518.94', '6', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('839', '0', '0', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '-4873.62', '0', '-2389.24', '5', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('840', '0', '0', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '-4886.13', '0', '-2384.41', '5', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('841', '0', '0', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '-4876.11', '0', '-2392.99', '5', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('842', '0', '0', 'object/mobile/dressed_cobral_thug_rodian_female_01.iff', '0', '0', '0', '0', '-4862.27', '0', '-2531.77', '6', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('843', '0', '0', 'object/mobile/dressed_cobral_thug_rodian_female_01.iff', '0', '0', '0', '0', '-4858.72', '0', '-2521.45', '6', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('844', '0', '0', 'object/mobile/dressed_cobral_thug_rodian_female_01.iff', '0', '0', '0', '0', '-4860.53', '0', '-2526.39', '6', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('845', '0', '0', 'object/mobile/dressed_cobral_thug_rodian_female_01.iff', '0', '0', '0', '0', '-4868.71', '0', '-2522.02', '6', 'neutral', '128', '1', '120');
INSERT INTO `world_server_static_spawns` VALUES ('846', '0', '0', 'object/mobile/gubbur_hue.iff', '0', '0', '0', '0', '-5346.57', '0', '-2302.16', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('847', '0', '0', 'object/mobile/gubbur_hue.iff', '0', '0', '0', '0', '-5340.02', '0', '-2303.9', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('848', '0', '0', 'object/mobile/gubbur_hue.iff', '0', '0', '0', '0', '-5341.76', '0', '-2296.37', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('849', '0', '0', 'object/mobile/durni.iff', '0', '0', '0', '0', '-5341.09', '0', '-2307.24', '7', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('850', '0', '0', 'object/mobile/durni.iff', '0', '0', '0', '0', '-5336.14', '0', '-2300.73', '7', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('851', '0', '0', 'object/mobile/durni.iff', '0', '0', '0', '0', '-5338.52', '0', '-2301.51', '7', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('852', '0', '0', 'object/mobile/durni.iff', '0', '0', '0', '0', '-5340.97', '0', '-2299.78', '7', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('853', '0', '0', 'object/mobile/corellian_butterfly.iff', '0', '0', '0', '0', '-5343.54', '0', '-2312.36', '7', 'neutral', '128', '1', '30');
INSERT INTO `world_server_static_spawns` VALUES ('854', '0', '0', 'object/mobile/corellian_butterfly.iff', '0', '0', '0', '0', '-5345.75', '0', '-2302.61', '7', 'neutral', '128', '1', '30');
INSERT INTO `world_server_static_spawns` VALUES ('855', '0', '0', 'object/mobile/corellian_butterfly.iff', '0', '0', '0', '0', '-5339.95', '0', '-2310.57', '7', 'neutral', '128', '1', '30');
INSERT INTO `world_server_static_spawns` VALUES ('856', '0', '0', 'object/mobile/corellian_butterfly.iff', '0', '0', '0', '0', '-5340.44', '0', '-2302.98', '7', 'neutral', '128', '1', '30');
INSERT INTO `world_server_static_spawns` VALUES ('857', '0', '0', 'object/mobile/corellian_butterfly.iff', '0', '0', '0', '0', '-5337.23', '0', '-2305.23', '7', 'neutral', '128', '1', '30');
INSERT INTO `world_server_static_spawns` VALUES ('858', '0', '0', 'object/mobile/corellian_butterfly.iff', '0', '0', '0', '0', '-5343.99', '0', '-2299.68', '7', 'neutral', '128', '1', '30');
INSERT INTO `world_server_static_spawns` VALUES ('859', '0', '0', 'object/mobile/durni.iff', '0', '0', '0', '0', '-5348.18', '0', '-2308.05', '7', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('860', '0', '0', 'object/mobile/durni.iff', '0', '0', '0', '0', '-5345.6', '0', '-2304.95', '7', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('861', '0', '0', 'object/mobile/durni.iff', '0', '0', '0', '0', '-5351.12', '0', '-2300.68', '7', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('862', '0', '0', 'object/mobile/durni.iff', '0', '0', '0', '0', '-5348.12', '0', '-2309.17', '7', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('863', '0', '0', 'object/mobile/durni.iff', '0', '0', '0', '0', '-5347.89', '0', '-2306.97', '7', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('864', '0', '0', 'object/mobile/durni.iff', '0', '0', '0', '0', '-5356.57', '0', '-2305.23', '7', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('865', '0', '0', 'object/mobile/corellian_butterfly.iff', '0', '0', '0', '0', '-5351.11', '0', '-2307.06', '7', 'neutral', '128', '1', '30');
INSERT INTO `world_server_static_spawns` VALUES ('866', '0', '0', 'object/mobile/corellian_butterfly.iff', '0', '0', '0', '0', '-5344.93', '0', '-2298.3', '7', 'neutral', '128', '1', '30');
INSERT INTO `world_server_static_spawns` VALUES ('867', '0', '0', 'object/mobile/corellian_butterfly.iff', '0', '0', '0', '0', '-5354.62', '0', '-2305.21', '7', 'neutral', '128', '1', '30');
INSERT INTO `world_server_static_spawns` VALUES ('868', '0', '0', 'object/mobile/corellian_butterfly.iff', '0', '0', '0', '0', '-5352.64', '0', '-2304.63', '7', 'neutral', '128', '1', '30');
INSERT INTO `world_server_static_spawns` VALUES ('869', '0', '0', 'object/mobile/gubbur_hue.iff', '0', '0', '0', '0', '-5352.99', '0', '-2285.76', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('870', '0', '0', 'object/mobile/gubbur_hue.iff', '0', '0', '0', '0', '-5351.89', '0', '-2293.94', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('871', '0', '0', 'object/mobile/gubbur_hue.iff', '0', '0', '0', '0', '-5354.57', '0', '-2298', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('872', '0', '0', 'object/mobile/gubbur_hue.iff', '0', '0', '0', '0', '-5354.3', '0', '-2298.31', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('873', '0', '0', 'object/mobile/corellian_butterfly.iff', '0', '0', '0', '0', '-5388.79', '0', '-2382.4', '5', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('874', '0', '0', 'object/mobile/corellian_butterfly.iff', '0', '0', '0', '0', '-5388.83', '0', '-2390.91', '5', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('875', '0', '0', 'object/mobile/corellian_butterfly.iff', '0', '0', '0', '0', '-5387.96', '0', '-2392.29', '5', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('876', '0', '0', 'object/mobile/corellian_butterfly.iff', '0', '0', '0', '0', '-5393.86', '0', '-2389.62', '7', 'neutral', '128', '1', '30');
INSERT INTO `world_server_static_spawns` VALUES ('877', '0', '0', 'object/mobile/corellian_butterfly.iff', '0', '0', '0', '0', '-5389.52', '0', '-2392.66', '7', 'neutral', '128', '1', '30');
INSERT INTO `world_server_static_spawns` VALUES ('878', '0', '0', 'object/mobile/durni.iff', '0', '0', '0', '0', '-5626.52', '0', '-2499.35', '7', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('879', '0', '0', 'object/mobile/durni.iff', '0', '0', '0', '0', '-5625.89', '0', '-2498.88', '7', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('880', '0', '0', 'object/mobile/durni.iff', '0', '0', '0', '0', '-5621.4', '0', '-2507.18', '7', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('881', '0', '0', 'object/mobile/durni.iff', '0', '0', '0', '0', '-5621.28', '0', '-2498.35', '7', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('882', '0', '0', 'object/mobile/gubbur_hue.iff', '0', '0', '0', '0', '-5628.54', '0', '-2507.55', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('883', '0', '0', 'object/mobile/gubbur_hue.iff', '0', '0', '0', '0', '-5623.25', '0', '-2498.39', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('884', '0', '0', 'object/mobile/gubbur_hue.iff', '0', '0', '0', '0', '-5620.02', '0', '-2494.53', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('885', '0', '0', 'object/mobile/gubbur_hue.iff', '0', '0', '0', '0', '-5616.82', '0', '-2496.69', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('886', '0', '0', 'object/mobile/gubbur_hue.iff', '0', '0', '0', '0', '-5620.65', '0', '-2509.04', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('887', '0', '0', 'object/mobile/durni.iff', '0', '0', '0', '0', '-5622.15', '0', '-2498.44', '7', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('888', '0', '0', 'object/mobile/durni.iff', '0', '0', '0', '0', '-5627.16', '0', '-2498.71', '7', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('889', '0', '0', 'object/mobile/corellian_butterfly.iff', '0', '0', '0', '0', '-5616.74', '0', '-2498.62', '7', 'neutral', '128', '1', '30');
INSERT INTO `world_server_static_spawns` VALUES ('890', '0', '0', 'object/mobile/corellian_butterfly.iff', '0', '0', '0', '0', '-5619.19', '0', '-2503.01', '7', 'neutral', '128', '1', '30');
INSERT INTO `world_server_static_spawns` VALUES ('891', '0', '0', 'object/mobile/corellian_butterfly.iff', '0', '0', '0', '0', '-5618.17', '0', '-2502.93', '7', 'neutral', '128', '1', '30');
INSERT INTO `world_server_static_spawns` VALUES ('892', '0', '0', 'object/mobile/corellian_butterfly.iff', '0', '0', '0', '0', '-5620.16', '0', '-2499.86', '7', 'neutral', '128', '1', '30');
INSERT INTO `world_server_static_spawns` VALUES ('893', '0', '0', 'object/mobile/vynock.iff', '0', '0', '0', '0', '-5722.1', '0', '-2481.61', '9', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('894', '0', '0', 'object/mobile/vynock.iff', '0', '0', '0', '0', '-5718.7', '0', '-2482.91', '9', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('895', '0', '0', 'object/mobile/vynock.iff', '0', '0', '0', '0', '-5731.24', '0', '-2497.45', '9', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('896', '0', '0', 'object/mobile/vynock.iff', '0', '0', '0', '0', '-5804.33', '0', '-2693.02', '9', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('897', '0', '0', 'object/mobile/vynock.iff', '0', '0', '0', '0', '-5800.88', '0', '-2685.78', '9', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('898', '0', '0', 'object/mobile/vynock.iff', '0', '0', '0', '0', '-5799.87', '0', '-2681.84', '9', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('899', '0', '0', 'object/mobile/gubbur_hue.iff', '0', '0', '0', '0', '-5462.82', '0', '-2485.92', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('900', '0', '0', 'object/mobile/gubbur_hue.iff', '0', '0', '0', '0', '-5459.14', '0', '-2488.82', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('901', '0', '0', 'object/mobile/gubbur_hue.iff', '0', '0', '0', '0', '-5458.98', '0', '-2484.66', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('902', '0', '0', 'object/mobile/gubbur_hue.iff', '0', '0', '0', '0', '-5728.93', '0', '-2847.59', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('903', '0', '0', 'object/mobile/gubbur_hue.iff', '0', '0', '0', '0', '-5721.52', '0', '-2860.29', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('904', '0', '0', 'object/mobile/gubbur_hue.iff', '0', '0', '0', '0', '-5723.11', '0', '-2852.81', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('905', '0', '0', 'object/mobile/gubbur_hue.iff', '0', '0', '0', '0', '-5717.24', '0', '-2850.89', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('906', '0', '0', 'object/mobile/durni.iff', '0', '0', '0', '0', '-5628.78', '0', '-2886.31', '7', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('907', '0', '0', 'object/mobile/durni.iff', '0', '0', '0', '0', '-5635.31', '0', '-2904.14', '7', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('908', '0', '0', 'object/mobile/durni.iff', '0', '0', '0', '0', '-5631.53', '0', '-2895.56', '7', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('909', '0', '0', 'object/mobile/durni.iff', '0', '0', '0', '0', '-5633.9', '0', '-2891.82', '7', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('910', '0', '0', 'object/mobile/gubbur_hue.iff', '0', '0', '0', '0', '-5651.64', '0', '-2897.28', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('911', '0', '0', 'object/mobile/gubbur_hue.iff', '0', '0', '0', '0', '-5644.98', '0', '-2886.17', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('912', '0', '0', 'object/mobile/durni.iff', '0', '0', '0', '0', '-5637.71', '0', '-2910.95', '7', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('913', '0', '0', 'object/mobile/durni.iff', '0', '0', '0', '0', '-5635.5', '0', '-2906.44', '7', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('914', '0', '0', 'object/mobile/durni.iff', '0', '0', '0', '0', '-5631.72', '0', '-2904.5', '7', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('915', '0', '0', 'object/mobile/gubbur_hue.iff', '0', '0', '0', '0', '-5550.85', '0', '-2911.34', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('916', '0', '0', 'object/mobile/gubbur_hue.iff', '0', '0', '0', '0', '-5550.05', '0', '-2927.76', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('917', '0', '0', 'object/mobile/gubbur_hue.iff', '0', '0', '0', '0', '-5552.75', '0', '-2919.77', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('918', '0', '0', 'object/mobile/durni.iff', '0', '0', '0', '0', '-5571.88', '0', '-2904.45', '7', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('919', '0', '0', 'object/mobile/durni.iff', '0', '0', '0', '0', '-5557.19', '0', '-2917.91', '7', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('920', '0', '0', 'object/mobile/durni.iff', '0', '0', '0', '0', '-5564.19', '0', '-2925.19', '7', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('921', '0', '0', 'object/mobile/gubbur_hue.iff', '0', '0', '0', '0', '-5549.14', '0', '-2903.04', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('922', '0', '0', 'object/mobile/gubbur_hue.iff', '0', '0', '0', '0', '-5559.7', '0', '-2916.08', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('923', '0', '0', 'object/mobile/corellian_butterfly.iff', '0', '0', '0', '0', '-5564.48', '0', '-2915.71', '7', 'neutral', '128', '1', '30');
INSERT INTO `world_server_static_spawns` VALUES ('924', '0', '0', 'object/mobile/corellian_butterfly.iff', '0', '0', '0', '0', '-5544.36', '0', '-2920.52', '7', 'neutral', '128', '1', '30');
INSERT INTO `world_server_static_spawns` VALUES ('925', '0', '0', 'object/mobile/corellian_butterfly.iff', '0', '0', '0', '0', '-5551.97', '0', '-2924.3', '7', 'neutral', '128', '1', '30');
INSERT INTO `world_server_static_spawns` VALUES ('926', '0', '0', 'object/mobile/corellian_butterfly.iff', '0', '0', '0', '0', '-5563.88', '0', '-2928.46', '7', 'neutral', '128', '1', '30');
INSERT INTO `world_server_static_spawns` VALUES ('927', '0', '0', 'object/mobile/gubbur_hue.iff', '0', '0', '0', '0', '-4917.5', '0', '-2589.37', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('928', '0', '0', 'object/mobile/gubbur_hue.iff', '0', '0', '0', '0', '-4915.82', '0', '-2593.81', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('929', '0', '0', 'object/mobile/gubbur_hue.iff', '0', '0', '0', '0', '-4929.94', '0', '-2596.4', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('930', '0', '0', 'object/mobile/gubbur_hue.iff', '0', '0', '0', '0', '-4919.23', '0', '-2612.52', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('931', '0', '0', 'object/mobile/gubbur_hue.iff', '0', '0', '0', '0', '-4921.98', '0', '-2590.71', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('932', '0', '0', 'object/mobile/gubbur_hue.iff', '0', '0', '0', '0', '-4924.05', '0', '-2600.1', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('933', '0', '0', 'object/mobile/gubbur_hue.iff', '0', '0', '0', '0', '-4863.99', '0', '-2473.57', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('934', '0', '0', 'object/mobile/gubbur_hue.iff', '0', '0', '0', '0', '-4860.62', '0', '-2468.26', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('935', '0', '0', 'object/mobile/gubbur_hue.iff', '0', '0', '0', '0', '-4876.14', '0', '-2455.92', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('936', '0', '0', 'object/mobile/gubbur_hue.iff', '0', '0', '0', '0', '-4875.76', '0', '-2466.81', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('937', '0', '0', 'object/mobile/gubbur_hue.iff', '0', '0', '0', '0', '-4863.23', '0', '-2301.49', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('938', '0', '0', 'object/mobile/gubbur_hue.iff', '0', '0', '0', '0', '-4862.17', '0', '-2301.48', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('939', '0', '0', 'object/mobile/gubbur_hue.iff', '0', '0', '0', '0', '-4863.14', '0', '-2306.72', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('940', '0', '0', 'object/mobile/durni.iff', '0', '0', '0', '0', '-4858.04', '0', '-2308.41', '7', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('941', '0', '0', 'object/mobile/durni.iff', '0', '0', '0', '0', '-4857.18', '0', '-2299.88', '7', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('942', '0', '0', 'object/mobile/durni.iff', '0', '0', '0', '0', '-4861.95', '0', '-2303.23', '7', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('943', '0', '0', 'object/mobile/vynock.iff', '0', '0', '0', '0', '-4786.55', '0', '-2195.96', '9', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('944', '0', '0', 'object/mobile/vynock.iff', '0', '0', '0', '0', '-4793.48', '0', '-2195.72', '9', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('945', '0', '0', 'object/mobile/vynock.iff', '0', '0', '0', '0', '-4784.58', '0', '-2184.92', '9', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('946', '0', '0', 'object/mobile/gubbur_hue.iff', '0', '0', '0', '0', '-4827.16', '0', '-2220.7', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('947', '0', '0', 'object/mobile/gubbur_hue.iff', '0', '0', '0', '0', '-4819.31', '0', '-2224.73', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('948', '0', '0', 'object/mobile/wrix.iff', '0', '0', '0', '0', '-4864.53', '0', '-2066.69', '10', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('949', '0', '0', 'object/mobile/wrix.iff', '0', '0', '0', '0', '-4860.77', '0', '-2065.24', '10', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('950', '0', '0', 'object/mobile/gurrcat.iff', '0', '0', '0', '0', '-4874.55', '0', '-2055.32', '10', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('951', '0', '0', 'object/mobile/corellian_butterfly.iff', '0', '0', '0', '0', '-4978.54', '0', '-2098.8', '5', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('952', '0', '0', 'object/mobile/corellian_butterfly.iff', '0', '0', '0', '0', '-4986.05', '0', '-2106.54', '5', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('953', '0', '0', 'object/mobile/corellian_butterfly.iff', '0', '0', '0', '0', '-4979.7', '0', '-2095.61', '5', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('954', '0', '0', 'object/mobile/durni.iff', '0', '0', '0', '0', '-4986.31', '0', '-2103.21', '7', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('955', '0', '0', 'object/mobile/durni.iff', '0', '0', '0', '0', '-4979.93', '0', '-2100.88', '7', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('956', '0', '0', 'object/mobile/corellian_butterfly.iff', '0', '0', '0', '0', '-5001.53', '0', '-2085', '5', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('957', '0', '0', 'object/mobile/corellian_butterfly.iff', '0', '0', '0', '0', '-4975.14', '0', '-2094.26', '5', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('958', '0', '0', 'object/mobile/durni.iff', '0', '0', '0', '0', '-4987.46', '0', '-2100.92', '7', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('959', '0', '0', 'object/mobile/durni.iff', '0', '0', '0', '0', '-5001.54', '0', '-2085.91', '7', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('960', '0', '0', 'object/mobile/durni.iff', '0', '0', '0', '0', '-4995.51', '0', '-2085.85', '7', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('961', '0', '0', 'object/mobile/gubbur_hue.iff', '0', '0', '0', '0', '-4974.02', '0', '-2094.48', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('962', '0', '0', 'object/mobile/gubbur_hue.iff', '0', '0', '0', '0', '-4969.49', '0', '-2102.24', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('963', '0', '0', 'object/mobile/gubbur_hue.iff', '0', '0', '0', '0', '-4977.79', '0', '-2085.81', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('964', '0', '0', 'object/mobile/gubbur_hue.iff', '0', '0', '0', '0', '-4985.01', '0', '-2098.35', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('965', '0', '0', 'object/mobile/gubbur_hue.iff', '0', '0', '0', '0', '-4984.08', '0', '-2092.22', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('966', '0', '0', 'object/mobile/vynock.iff', '0', '0', '0', '0', '-5084.18', '0', '-2087.11', '9', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('967', '0', '0', 'object/mobile/vynock.iff', '0', '0', '0', '0', '-5088.73', '0', '-2066.09', '9', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('968', '0', '0', 'object/mobile/vynock.iff', '0', '0', '0', '0', '-5093.57', '0', '-2075.52', '9', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('969', '0', '0', 'object/mobile/corellian_butterfly.iff', '0', '0', '0', '0', '-5103.12', '0', '-2172.8', '5', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('970', '0', '0', 'object/mobile/corellian_butterfly.iff', '0', '0', '0', '0', '-5105.64', '0', '-2170.85', '5', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('971', '0', '0', 'object/mobile/corellian_butterfly.iff', '0', '0', '0', '0', '-5107.42', '0', '-2179.6', '5', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('972', '0', '0', 'object/mobile/durni.iff', '0', '0', '0', '0', '-5095.45', '0', '-2163.91', '7', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('973', '0', '0', 'object/mobile/durni.iff', '0', '0', '0', '0', '-5095.83', '0', '-2172.21', '7', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('974', '0', '0', 'object/mobile/durni.iff', '0', '0', '0', '0', '-5098.55', '0', '-2169.29', '7', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('975', '0', '0', 'object/mobile/corellian_butterfly.iff', '0', '0', '0', '0', '-5113.59', '0', '-2180.66', '7', 'neutral', '128', '1', '30');
INSERT INTO `world_server_static_spawns` VALUES ('976', '0', '0', 'object/mobile/corellian_butterfly.iff', '0', '0', '0', '0', '-5112.26', '0', '-2181.49', '7', 'neutral', '128', '1', '30');
INSERT INTO `world_server_static_spawns` VALUES ('977', '0', '0', 'object/mobile/corellian_butterfly.iff', '0', '0', '0', '0', '-5099.83', '0', '-2170.1', '7', 'neutral', '128', '1', '30');
INSERT INTO `world_server_static_spawns` VALUES ('978', '0', '0', 'object/mobile/gubbur_hue.iff', '0', '0', '0', '0', '-5113.77', '0', '-2182.31', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('979', '0', '0', 'object/mobile/gubbur_hue.iff', '0', '0', '0', '0', '-5104.13', '0', '-2180.02', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('980', '0', '0', 'object/mobile/gubbur_hue.iff', '0', '0', '0', '0', '-5096.12', '0', '-2179.77', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('981', '0', '0', 'object/mobile/dressed_imperial_officer_m_3.iff', '0', '0.636078', '0', '0.771625', '-5112.1', '21', '-2279.3', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('982', '0', '0', 'object/mobile/dressed_commoner_naboo_human_female_04.iff', '0', '0.914156', '0', '-0.405362', '-5091.15', '21', '-2315.33', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('983', '0', '0', 'object/mobile/dressed_commoner_tatooine_trandoshan_female_01.iff', '0', '-0.614239', '0', '0.78912', '-5003.67', '21', '-2342.15', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('984', '0', '0', 'object/mobile/cll8_binary_load_lifter.iff', '0', '0.955572', '0', '0.294758', '-5050.13', '21', '-2288.73', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('985', '0', '0', 'object/mobile/space_greeter_tyrena_pilot_friend.iff', '0', '0.834153', '0', '0.551533', '-5050.23', '21', '-2291.69', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('986', '0', '0', 'object/mobile/space_greeter_tyrena_disgraced_corsec.iff', '0', '0.877964', '0', '0.478726', '-5048.68', '21', '-2291.24', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('987', '0', '0', 'object/mobile/dressed_stormtrooper_bombardier_m.iff', '0', '0.950126', '0', '-0.311867', '-5086.49', '21', '-2255.77', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('988', '0', '1935695', 'object/mobile/dressed_commoner_tatooine_bith_female_02.iff', '-3.2505e-07', '5.20081e-05', '1.69052e-11', '1', '-62.089', '2.63942', '40.7477', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('989', '0', '1935695', 'object/mobile/dressed_criminal_thug_zabrak_female_01.iff', '-1.12692e-11', '1', '2.16785e-07', '5.19835e-05', '-62.089', '2.63942', '41.8477', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('990', '0', '1935695', 'object/mobile/dressed_entertainer_trainer_twk_male_01.iff', '-8.79951e-08', '0.923852', '2.12395e-07', '0.382751', '-63.189', '2.63942', '41.8477', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('991', '0', '1935688', 'object/mobile/dressed_criminal_thug_rodian_male_01.iff', '3.67152e-05', '-0.0457242', '1.68054e-06', '0.998954', '31.7104', '0.639212', '63.2998', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('992', '0', '1935688', 'object/mobile/dressed_commoner_naboo_bothan_male_01.iff', '-1.69745e-06', '0.99895', '3.70187e-05', '0.0458055', '31.6347', '0.63915', '64.1249', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('993', '0', '1935687', 'object/mobile/dressed_corsec_officer_human_female_01.iff', '2.08649e-07', '-5.43679e-05', '1.13411e-11', '1', '-1.85381', '0.639422', '55.3013', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('994', '0', '1935687', 'object/mobile/dressed_corsec_detective_human_female_01.iff', '-1.29381e-11', '1', '-2.38407e-07', '-5.42971e-05', '-1.85381', '0.639422', '56.3013', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('995', '0', '1935687', 'object/mobile/dressed_commoner_old_human_male_02.iff', '0', '-0.613458', '0', '0.789727', '15.2091', '0.639422', '56.8933', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('996', '0', '1935697', 'object/mobile/space_chassis_broker_04.iff', '0', '0.232843', '0', '0.972514', '-56.6393', '0.974563', '8.33815', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('997', '0', '1935690', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '-1.73729e-05', '0', '1', '57.1873', '-0.521137', '35.1187', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('998', '0', '1935690', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '1', '0', '-1.73264e-05', '57.1873', '-0.521137', '36.2187', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('999', '0', '0', 'object/mobile/dressed_stormtrooper_sniper_m.iff', '0', '0', '0', '0', '-5094.14', '0', '-2270.16', '32', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1000', '0', '0', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '-4975.9', '0', '-2323.7', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1001', '0', '0', 'object/mobile/dressed_stormtrooper_squad_leader_black_gold.iff', '0', '0', '0', '0', '-5103.81', '0', '-2266.4', '42', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1002', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-5112.07', '0', '-2248.89', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1003', '0', '0', 'object/mobile/dressed_stormtrooper_rifleman_m.iff', '0', '0', '0', '0', '-5097.16', '0', '-2271.05', '1', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1004', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-5044.7', '0', '-2303', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1005', '0', '0', 'object/mobile/dressed_imperial_officer_m_6.iff', '0.00240257', '0.786921', '-0.00859994', '-0.61699', '-5048.7', '21', '-2299.5', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1006', '0', '0', 'object/mobile/space_rebel_tier3_female_01.iff', '0', '0.285952', '0', '0.958244', '-5073.17', '21', '-2342.77', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1007', '0', '0', 'object/mobile/dressed_commoner_naboo_zabrak_male_02.iff', '0', '0.833061', '0', '-0.553182', '-5089.39', '21', '-2344.25', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1008', '0', '0', 'object/mobile/dressed_commoner_naboo_zabrak_male_02.iff', '0', '0.96089', '0', '-0.276929', '-5162.69', '21', '-2277.81', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1009', '0', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_09.iff', '0', '-0.535706', '0', '0.844405', '-4960.23', '21', '-2357.14', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1010', '0', '0', 'object/mobile/dressed_commoner_naboo_human_female_02.iff', '0', '0.899552', '0', '0.436813', '-5064.44', '21', '-2392.07', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1011', '0', '0', 'object/mobile/dressed_mercenary_messanger_rod_m.iff', '0', '0', '0', '1', '-5059.06', '21', '-2400.08', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1012', '0', '0', 'object/mobile/dressed_mercenary_weak_hum_m.iff', '0', '1', '0', '0', '-5059.06', '21', '-2399.08', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1013', '0', '0', 'object/mobile/dressed_commoner_fat_zabrak_male_02.iff', '0', '0.91572', '0', '-0.401817', '-4965.54', '21', '-2383.55', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1014', '0', '0', 'object/mobile/dressed_commoner_tatooine_trandoshan_female_01.iff', '0', '0.998364', '0', '-0.0571782', '-5156.26', '21', '-2376.59', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1015', '0', '0', 'object/mobile/dressed_commoner_tatooine_ishitib_male_03.iff', '0', '0.99772', '0', '-0.0674927', '-5114.89', '21', '-2424.44', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1016', '0', '0', 'object/mobile/dressed_commoner_tatooine_rodian_female_01.iff', '0', '0.220087', '0', '0.97548', '-5144.16', '21', '-2413.14', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1017', '0', '0', 'object/mobile/dressed_stormtrooper_rifleman_m.iff', '0', '0.551937', '0', '0.833886', '-5123', '21', '-2425.3', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1018', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-5131.1', '0', '-2417.7', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1019', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-5195.9', '0', '-2253.9', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1020', '0', '0', 'object/mobile/dressed_commoner_old_zabrak_female_02.iff', '0', '0.857573', '0', '0.514363', '-5208.22', '21', '-2333.68', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1021', '0', '0', 'object/mobile/dressed_imperial_officer_m.iff', '0', '0.874655', '0', '-0.484746', '-5207.41', '21.425', '-2247.49', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1022', '0', '0', 'object/mobile/dressed_scout_trooper_white_white.iff', '0', '-0.524371', '0', '0.85149', '-5208.06', '21.6077', '-2246.46', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1023', '0', '0', 'object/mobile/dressed_stormtrooper_sniper_m.iff', '0', '-0.25038', '0', '0.968148', '-5227.3', '21', '-2272.3', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1024', '0', '0', 'object/mobile/dressed_scout_trooper_black_black.iff', '0', '0.358368', '0', '0.93358', '-5250.6', '21', '-2327.7', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1025', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-5270.9', '0', '-2360.7', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1026', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-5281.8', '0', '-2349.8', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1027', '0', '0', 'object/mobile/dressed_stormtrooper_medic_m.iff', '0', '0.92388', '0', '-0.382683', '-5302.1', '21', '-2379.2', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1028', '0', '0', 'object/mobile/dressed_commoner_old_human_male_02.iff', '0', '0.736945', '0', '0.675953', '-5278.98', '21', '-2390.6', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1029', '0', '0', 'object/mobile/eg6_power_droid.iff', '0', '0.878081', '0', '-0.478511', '-5295.6', '21', '-2396.69', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1030', '0', '0', 'object/mobile/r2.iff', '0', '-0.698465', '0', '0.715644', '-5297.6', '21', '-2396.69', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1031', '0', '0', 'object/mobile/dressed_commoner_old_twilek_female_01.iff', '0', '0.265099', '0', '0.964221', '-5242.79', '21', '-2421.66', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1032', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-5338.7', '0', '-2427.9', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1033', '0', '0', 'object/mobile/dressed_commoner_old_zabrak_male_02.iff', '0', '0.720515', '0', '-0.693439', '-5314.83', '21', '-2461.07', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1034', '0', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_06.iff', '0', '0.298447', '0', '0.954426', '-5259.48', '21', '-2446.51', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1035', '0', '0', 'object/mobile/dressed_imperial_officer_m_2.iff', '0', '-9.28505e-05', '0', '1', '-5342.53', '21', '-2468.78', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1036', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-5343.5', '0', '-2471.7', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1037', '0', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_03.iff', '0', '-0.310106', '0', '0.950702', '-5291.55', '21', '-2479.74', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1038', '0', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_07.iff', '0', '0', '0', '1', '-5308.12', '21', '-2493.27', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1039', '0', '0', 'object/mobile/dressed_mercenary_messanger_hum_m.iff', '0', '1', '0', '0', '-5308.12', '21', '-2492.27', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1040', '0', '0', 'object/mobile/r2.iff', '0', '0.989546', '0', '-0.144215', '-5295.88', '21', '-2528.24', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1041', '0', '0', 'object/mobile/r3.iff', '0', '0.531928', '0', '0.84679', '-5312.13', '25.7208', '-2570.41', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1042', '0', '0', 'object/mobile/dressed_imperial_captain_m.iff', '-0.129329', '0.810216', '-0.143719', '-0.553325', '-5297.4', '27.0806', '-2552.21', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1043', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-5306.8', '0', '-2561.2', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1044', '0', '0', 'object/mobile/dressed_imperial_officer_m_6.iff', '0', '-0.207912', '0', '0.978148', '-5312.2', '20.9286', '-2572.6', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1045', '0', '0', 'object/mobile/dressed_commoner_fat_twilek_female_02.iff', '0', '0.71384', '0', '-0.700309', '-5274.74', '21', '-2574.04', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1046', '0', '0', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '0.531904', '0', '0.846805', '-5363.23', '24.87', '-2595.04', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1047', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-5301.8', '0', '-2572', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1048', '0', '0', 'object/mobile/r5.iff', '0', '0.879611', '0', '-0.475693', '-5400.32', '21', '-2614.17', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1049', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-5399.6', '0', '-2608.8', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1050', '0', '0', 'object/mobile/dressed_corsec_officer_human_female_01.iff', '0', '0.0745951', '0', '0.997214', '-5400.54', '21', '-2613.88', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1051', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-5396.8', '0', '-2614.9', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1052', '0', '0', 'object/mobile/dressed_corsec_pilot_human_male_01.iff', '0', '0.804378', '0', '0.594117', '-5470.84', '21', '-2565.16', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1053', '0', '0', 'object/mobile/dressed_noble_fat_twilek_female_01.iff', '0', '0.708112', '0', '-0.7061', '-5441.11', '21.0895', '-2624.13', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1054', '0', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_03.iff', '0', '0.067684', '0', '0.997707', '-5411.79', '21', '-2655.41', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1055', '0', '0', 'object/mobile/dressed_commoner_naboo_moncal_female_02.iff', '0', '-0.589121', '0', '0.808045', '-5465.78', '21', '-2601.9', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1056', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-5485.9', '0', '-2585.8', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1057', '0', '0', 'object/mobile/dressed_corsec_officer_human_male_01.iff', '0', '0.804479', '0', '0.593982', '-5470.71', '21', '-2566.52', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1058', '0', '0', 'object/mobile/dressed_corsec_officer_human_male_01.iff', '0', '0.686524', '0', '0.727107', '-5527.51', '22', '-2588.06', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1059', '0', '0', 'object/mobile/dressed_goon_twk_male_01.iff', '0', '0', '0', '1', '-5537.5', '21', '-2615.06', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1060', '0', '0', 'object/mobile/dressed_commoner_fat_twilek_male_01.iff', '0', '0.0356204', '0', '0.999365', '-5538.94', '21', '-2600.55', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1061', '0', '0', 'object/mobile/dressed_commoner_artisan_trandoshan_male_01.iff', '0', '1', '0', '0', '-5537.5', '21', '-2614.06', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1062', '0', '0', 'object/mobile/dressed_rebel_army_captain_human_male_01.iff', '0', '0', '0', '1', '-5520', '21.3', '-2630.99', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1063', '0', '1935532', 'object/mobile/dressed_commoner_tatooine_trandoshan_female_01.iff', '0', '-0.0510322', '0', '0.998697', '-24', '1.6', '-4', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1064', '0', '1935530', 'object/mobile/dressed_noble_human_female_03.iff', '0', '0.567808', '0', '0.823161', '-8.43192', '1.6', '-11.42', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1065', '0', '1935527', 'object/mobile/dressed_commoner_tatooine_devaronian_male_01.iff', '2.1676e-07', '1.65242e-05', '-3.58179e-12', '1', '17.3056', '1.28309', '-7.47174', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1066', '0', '1935527', 'object/mobile/dressed_corsec_detective_human_male_01.iff', '4.7057e-12', '1', '-2.70947e-07', '1.73676e-05', '17.3056', '1.28309', '-6.37174', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1067', '0', '1935527', 'object/mobile/dressed_commoner_tatooine_nikto_male_03.iff', '2.98044e-07', '0.000103004', '-3.07126e-11', '1', '23.1824', '1.28309', '8.37019', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1068', '0', '1935527', 'object/mobile/dressed_mercenary_weak_rod_m.iff', '3.68036e-11', '1', '-3.57603e-07', '0.00010299', '23.1824', '1.28309', '9.37019', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1069', '0', '1935528', 'object/mobile/dressed_commoner_tatooine_aqualish_male_01.iff', '-6.20384e-05', '-4.33414e-05', '-2.68883e-09', '1', '-16.9721', '1', '-4.12621', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1070', '0', '1935528', 'object/mobile/dressed_mercenary_weak_hum_f.iff', '-2.65703e-09', '1', '-6.25298e-05', '-4.24922e-05', '-16.9721', '1.00014', '-3.02621', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1071', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-5556.4', '0', '-2611.8', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1072', '0', '0', 'object/mobile/dressed_stormtrooper_rifleman_m.iff', '0', '0.636078', '0', '0.771625', '-5556.4', '21.6', '-2643.5', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1073', '0', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '0', '0.358351', '0', '0.933587', '-5613.95', '21', '-2585.97', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1074', '0', '0', 'object/mobile/dressed_stormtrooper_squad_leader_black_gold.iff', '0', '0', '0', '0', '-5613.85', '0', '-2584', '42', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1075', '0', '2365435', 'object/mobile/dressed_noble_human_female_02.iff', '0', '0.93358', '0', '-0.358368', '28.93', '2.12878', '58.19', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1076', '0', '2365434', 'object/mobile/drall_male.iff', '0.0457463', '-1.83433e-05', '8.40018e-07', '0.998953', '-22.8236', '0.709118', '43.0098', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1077', '0', '2365434', 'object/mobile/dressed_commoner_old_twilek_female_02.iff', '9.99809e-07', '0.998954', '0.045735', '-2.1838e-05', '-22.8235', '0.609014', '44.1007', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1078', '0', '2365434', 'object/mobile/dressed_eisley_officer_bothan_male_01.iff', '0.0457438', '2.13793e-05', '-9.78996e-07', '0.998953', '-14.2562', '2.4869', '23.6983', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1079', '0', '2365434', 'object/mobile/dressed_commoner_old_zabrak_male_01.iff', '-1.0388e-06', '0.998953', '0.0457388', '2.26878e-05', '-14.2562', '2.3868', '24.7891', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1080', '0', '2365434', 'object/mobile/drall_female.iff', '0', '2.22901e-05', '0', '1', '2.65839', '2.6', '3.05034', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1081', '0', '2365434', 'object/mobile/dressed_artisan_trainer_01.iff', '2.56033e-12', '1', '-1.08368e-07', '2.36263e-05', '2.65839', '2.6', '4.15034', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1082', '0', '2365434', 'object/mobile/dressed_commoner_naboo_human_female_02.iff', '2.93242e-08', '0.923879', '-7.07943e-08', '0.382685', '1.55839', '2.6', '4.15034', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1083', '0', '2365434', 'object/mobile/dressed_criminal_slicer_human_male_01.iff', '0.0457343', '2.97771e-05', '-1.36162e-06', '0.998954', '25.7618', '0.784388', '42.249', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1084', '0', '2365434', 'object/mobile/drall_female.iff', '-1.23491e-06', '0.998953', '0.0457452', '2.69025e-05', '25.7618', '0.693385', '43.2406', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1085', '0', '2365436', 'object/mobile/dressed_corsec_pilot_human_male_01.iff', '-2.16772e-07', '1.58241e-05', '3.43022e-12', '1', '5.33572', '2.12878', '71.6096', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1086', '0', '2365436', 'object/mobile/dressed_commoner_naboo_zabrak_female_01.iff', '-5.56536e-12', '1', '3.25047e-07', '1.71217e-05', '5.33572', '2.12878', '72.7096', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1087', '0', '2365436', 'object/mobile/dressed_noble_trandoshan_male_01.iff', '0', '0.731354', '0', '-0.681998', '19.26', '2.12847', '56.13', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1088', '0', '2365436', 'object/mobile/dressed_entertainer_trainer_twk_female_01.iff', '0', '0.0348995', '0', '0.999391', '21.99', '2.12804', '64.05', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1089', '0', '0', 'object/mobile/dressed_commoner_fat_twilek_male_01.iff', '0', '0', '0', '1', '-5568.35', '21', '-2664.99', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1090', '0', '0', 'object/mobile/dressed_commoner_naboo_zabrak_male_02.iff', '0', '1', '0', '0', '-5568.35', '21', '-2663.99', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1091', '0', '0', 'object/mobile/dressed_criminal_slicer_human_female_01.iff', '0', '0', '0', '1', '-5574.26', '21', '-2684.38', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1092', '0', '0', 'object/mobile/dressed_commoner_naboo_bothan_male_01.iff', '0', '0', '0', '1', '-5596.05', '21', '-2762.83', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1093', '0', '0', 'object/mobile/dressed_artisan_trainer_03.iff', '0', '1', '0', '0', '-5596.05', '21', '-2761.83', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1094', '0', '0', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '0.758866', '0', '-0.651246', '-5626.49', '21', '-2812.58', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1095', '0', '0', 'object/mobile/dark_trooper.iff', '0', '0.995396', '0', '-0.0958457', '-5654.8', '21.1047', '-2805.7', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1096', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-5633.8', '0', '-2824.4', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1097', '0', '0', 'object/mobile/dressed_commoner_fat_zabrak_female_02.iff', '0', '0.953014', '0', '-0.302925', '-5583.79', '21', '-2764.8', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1098', '0', '0', 'object/mobile/dressed_criminal_smuggler_human_male_01.iff', '0', '0', '0', '1', '-5564.23', '21', '-2777.78', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1099', '0', '0', 'object/mobile/drall_male.iff', '0', '1', '0', '0', '-5564.23', '21', '-2776.78', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1100', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-5565.5', '0', '-2842.9', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1101', '0', '0', 'object/mobile/dressed_stormtrooper_sniper_m.iff', '-0.0305886', '-0.382222', '-0.0203165', '0.92334', '-5574.1', '20.98', '-2843.3', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1102', '0', '0', 'object/mobile/dressed_imperial_captain_m.iff', '0', '0', '0', '0', '-5590.48', '0', '-2854.51', '1', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1103', '0', '0', 'object/mobile/dark_trooper.iff', '-0.0850801', '-0.507589', '-0.00419401', '0.857378', '-5565.3', '20.6891', '-2852.06', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1104', '0', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '-0.047567', '-0.508762', '0.00273668', '0.859588', '-5560.96', '20.6853', '-2852.76', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1105', '0', '0', 'object/mobile/dressed_commoner_fat_twilek_male_02.iff', '0', '0', '0', '1', '-5491.88', '30.0036', '-2809.63', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1106', '0', '0', 'object/mobile/dressed_corsec_detective_human_male_01.iff', '0', '1', '0', '0', '-5491.88', '30.0036', '-2808.63', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1107', '0', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_08.iff', '0', '0.999307', '0', '0.0372342', '-5500.8', '21', '-2778.27', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1108', '0', '0', 'object/mobile/dressed_scout_trooper_white_white.iff', '0', '0.999048', '0', '0.0436193', '-5468.4', '21.1828', '-2841.6', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1109', '0', '0', 'object/mobile/dressed_imperial_officer_m_4.iff', '0', '0', '0', '1', '-5467.56', '21', '-2792.59', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1110', '0', '0', 'object/mobile/dressed_corsec_pilot_human_male_01.iff', '0', '1', '0', '0', '-5467.56', '21', '-2791.59', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1111', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-5459.6', '0', '-2841.6', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1112', '0', '1935477', 'object/mobile/dressed_commoner_naboo_human_male_08.iff', '-1.08375e-07', '-5.39152e-05', '-5.84305e-12', '1', '1.29504', '1.75', '-20.9672', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1113', '0', '1935477', 'object/mobile/dressed_hooligan_rodian_male_01.iff', '5.83859e-12', '1', '1.08384e-07', '-5.38696e-05', '1.29504', '1.75', '-19.8672', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1114', '0', '1935476', 'object/mobile/dressed_entertainer_trainer_twk_female_01.iff', '3.25125e-07', '5.63324e-05', '-1.83151e-11', '1', '-3.65637', '1.1544', '-8.77307', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1115', '0', '1935476', 'object/mobile/dressed_mercenary_messanger_hum_f.iff', '1.83231e-11', '1', '-3.25151e-07', '5.63526e-05', '-3.65637', '1.1544', '-7.67307', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1116', '0', '1935476', 'object/mobile/dressed_criminal_smuggler_human_male_01.iff', '3.25092e-07', '-6.19772e-05', '2.01483e-11', '1', '5.78383', '1.1544', '-3.05638', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1117', '0', '1935476', 'object/mobile/dressed_noble_old_twk_male_01.iff', '-2.35073e-11', '1', '-3.79297e-07', '-6.19761e-05', '5.78383', '1.1544', '-1.95638', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1118', '0', '1935476', 'object/mobile/dressed_combatmedic_trainer_rodian_male_01.iff', '-2.70947e-07', '-0.000106215', '-2.87785e-11', '1', '11.2683', '1.75', '-6.35457', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1119', '0', '1935476', 'object/mobile/dressed_commoner_fat_twilek_female_02.iff', '2.87742e-11', '1', '2.70949e-07', '-0.000106198', '11.2683', '1.75', '-5.25457', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1120', '0', '1935476', 'object/mobile/dressed_commoner_tatooine_nikto_male_04.iff', '-4.39904e-08', '0.923893', '1.06213e-07', '0.382651', '10.1683', '1.75', '-5.25457', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1121', '0', '1935472', 'object/mobile/dressed_corellia_hal_horn.iff', '0', '0.917723', '0', '0.397221', '-15.0532', '2.25', '11.1395', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1122', '0', '1935472', 'object/mobile/dressed_criminal_smuggler_human_female_01.iff', '0', '-2.51504e-05', '0', '1', '-18.0229', '9', '13.2195', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1123', '0', '1935472', 'object/mobile/dressed_corsec_detective_human_male_01.iff', '0', '1', '0', '-2.51515e-05', '-18.0229', '9', '14.3195', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1124', '0', '1935472', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '0.923889', '0', '0.382661', '-19.1229', '9', '14.3195', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1125', '0', '1935472', 'object/mobile/dressed_commoner_old_twilek_female_01.iff', '0', '-0.707093', '0', '0.70712', '-15.1386', '2.25', '17.5614', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1126', '0', '1935472', 'object/mobile/dressed_commoner_tatooine_sullustan_male_02.iff', '0', '0.707093', '0', '0.70712', '-17.1386', '2.25', '17.5614', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1127', '0', '1935472', 'object/mobile/r3.iff', '0', '0.998311', '0', '0.0581049', '-16.1386', '2.25', '18.5614', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1128', '0', '0', 'object/mobile/dressed_herald_corellia_01.iff', '0', '0.49932', '0', '0.866417', '-5418.26', '20.9986', '-2792.36', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1129', '0', '0', 'object/mobile/dressed_stormtrooper_rifleman_m.iff', '0.0647867', '0.838443', '0.118169', '-0.528065', '-5418.2', '20.9379', '-2799.6', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1130', '0', '0', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '0.951753', '0', '-0.306864', '-5412.5', '20.8978', '-2794.47', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1131', '0', '0', 'object/mobile/dressed_corsec_officer_human_female_01.iff', '0', '0.953288', '0', '-0.302062', '-5410.17', '20.9418', '-2789.21', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1132', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-5398.3', '0', '-2761.7', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1133', '0', '0', 'object/mobile/dark_trooper.iff', '0', '0.906308', '0', '0.422618', '-5381.8', '20.7451', '-2741.1', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1134', '0', '0', 'object/mobile/dressed_commoner_tatooine_rodian_male_03.iff', '0', '0.846829', '0', '-0.531865', '-5409.42', '21', '-2700.49', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1135', '0', '0', 'object/mobile/dressed_doctor_trainer_moncal_male_01.iff', '0', '0.803543', '0', '0.595247', '-5431.41', '21', '-2685.81', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1136', '0', '1935454', 'object/mobile/dressed_commoner_naboo_twilek_male_01.iff', '0', '0.824126', '0', '-0.566406', '3.29', '1.13306', '-9.58', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1137', '0', '1935453', 'object/mobile/dressed_rebel_brigadier_general_rodian_female_01.iff', '0', '-0.214581', '0', '0.976706', '14.1936', '1.13306', '-8.97227', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1138', '0', '1935450', 'object/mobile/dressed_artisan_trainer_01.iff', '0', '0.0958458', '0', '0.995396', '-3.69', '1.13306', '-6', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1139', '0', '0', 'object/mobile/dressed_corvette_rebel_adar.iff', '0', '0.803049', '0', '-0.595912', '-5448.03', '21', '-2674.92', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1140', '0', '0', 'object/mobile/dressed_mercenary_messanger_hum_f.iff', '0', '1', '0', '0', '-5398.52', '21', '-2675.03', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1141', '0', '0', 'object/mobile/dressed_eisley_officer_bothan_female_01.iff', '0', '0', '0', '1', '-5398.52', '21', '-2676.03', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1142', '0', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_04.iff', '0', '-0.604072', '0', '0.79693', '-5247.09', '21', '-2623.54', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1143', '0', '0', 'object/mobile/dressed_stormtrooper_rifleman_m.iff', '0', '0.913545', '0', '-0.406737', '-5245.9', '20.9324', '-2636.5', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1144', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-5212.9', '0', '-2650.9', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1145', '0', '0', 'object/mobile/dressed_rebel_brigadier_general_rodian_female_01.iff', '0', '-0.244589', '0', '0.969627', '-5218.4', '21', '-2602.17', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1146', '0', '0', 'object/mobile/dressed_commoner_tatooine_rodian_male_04.iff', '0', '-0.43458', '0', '0.900633', '-5200.74', '21', '-2638.47', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1147', '0', '0', 'object/mobile/dressed_commoner_tatooine_bith_female_03.iff', '0', '-0.23443', '0', '0.972133', '-5200.12', '21', '-2594.79', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1148', '0', '0', 'object/mobile/dressed_scout_trooper_white_white.iff', '-0.060453', '-0.676379', '-0.05052', '0.732328', '-5194.27', '20.9887', '-2653.85', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1149', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-5174.6', '0', '-2656.7', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1150', '0', '0', 'object/mobile/dressed_commoner_naboo_human_female_05.iff', '0', '0.394865', '0', '0.918739', '-5192.9', '21', '-2545.55', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1151', '0', '0', 'object/mobile/dressed_commoner_old_human_female_01.iff', '0', '0.994197', '0', '-0.107573', '-5164.3', '21', '-2639.01', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1152', '0', '0', 'object/mobile/dressed_corsec_detective_human_male_01.iff', '0', '0', '0', '1', '-5159.41', '21', '-2569.03', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1153', '0', '0', 'object/mobile/dressed_commoner_tatooine_sullustan_male_01.iff', '0', '1', '0', '0', '-5159.41', '21', '-2568.03', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1154', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-5135.07', '0', '-2659.19', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1155', '0', '0', 'object/mobile/dressed_scout_trooper_white_white.iff', '0.0180603', '0.662536', '-0.0413353', '0.74767', '-5128.84', '21', '-2652.86', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1156', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-5092.3', '0', '-2648.2', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1157', '0', '0', 'object/mobile/dressed_commoner_naboo_twilek_female_02.iff', '0', '0.96873', '0', '-0.248116', '-5090.54', '21', '-2580.35', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1158', '0', '0', 'object/mobile/dressed_corsec_pilot_human_male_01.iff', '0', '0.991089', '0', '-0.133204', '-5060.41', '21', '-2604.37', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1159', '0', '0', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '0.991108', '0', '-0.13306', '-5059.87', '21', '-2606.63', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1160', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-5031.2', '0', '-2614.9', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1161', '0', '0', 'object/mobile/dressed_scout_trooper_black_black.iff', '0', '0.930418', '0', '0.366501', '-5055.1', '21', '-2616', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1162', '0', '0', 'object/mobile/dressed_corsec_officer_human_male_01.iff', '0', '0.924351', '0', '0.381543', '-5058.83', '21', '-2579.08', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1163', '0', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_07.iff', '0', '0.169977', '0', '0.985448', '-5014.32', '21', '-2560.74', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1164', '0', '0', 'object/mobile/dressed_corsec_detective_human_female_01.iff', '0', '0', '0', '1', '-5061.36', '21', '-2532.53', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1165', '0', '0', 'object/mobile/dressed_corsec_officer_human_male_01.iff', '0', '1', '0', '0', '-5061.36', '21', '-2531.53', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1166', '0', '0', 'object/mobile/dressed_commoner_tatooine_sullustan_male_06.iff', '0', '-0.0783887', '0', '0.996923', '-5073.15', '21', '-2521.26', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1167', '0', '0', 'object/mobile/dressed_corsec_captain_human_male_01.iff', '0', '0.92388', '0', '0.382683', '-5000.34', '21', '-2520.6', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1168', '0', '0', 'object/mobile/dressed_robber_human_male_01.iff', '0', '0.382683', '0', '0.92388', '-5000.34', '21', '-2521.71', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1169', '0', '0', 'object/mobile/dressed_commoner_fat_human_female_01.iff', '0', '0', '0', '1', '-4999.24', '21', '-2521.71', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1170', '0', '0', 'object/mobile/dressed_corsec_detective_human_male_01.iff', '0', '1', '0', '2.58005e-08', '-4999.24', '21', '-2520.6', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1171', '0', '0', 'object/mobile/dark_trooper.iff', '0.0255086', '0.954794', '0.00414453', '-0.296144', '-4941.2', '20.8719', '-2522', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1172', '0', '0', 'object/mobile/dressed_entertainer_trainer_twk_female_01.iff', '0', '1', '0', '0', '-5009.39', '21', '-2496.09', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1173', '0', '0', 'object/mobile/dressed_corsec_officer_human_female_01.iff', '0', '0.92388', '0', '0.382683', '-5010.49', '21', '-2496.09', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1174', '0', '0', 'object/mobile/dressed_doctor_trainer_moncal_male_01.iff', '0', '0', '0', '1', '-5095.02', '21', '-2514.56', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1175', '0', '0', 'object/mobile/dressed_commoner_tatooine_trandoshan_male_01.iff', '0', '-0.53724', '0', '0.843429', '-5048.34', '21', '-2490.91', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1176', '0', '0', 'object/mobile/dressed_criminal_pirate_human_male_01.iff', '0', '1', '0', '0', '-5095.02', '21', '-2513.56', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1177', '0', '0', 'object/mobile/dressed_corsec_officer_human_male_01.iff', '0', '0.362151', '0', '0.932119', '-4944.48', '21', '-2488.58', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1178', '0', '0', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '0.705188', '0', '0.709021', '-4945.07', '21', '-2489.35', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1179', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-4936.1', '0', '-2486.2', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1180', '0', '0', 'object/mobile/dressed_commoner_naboo_zabrak_male_02.iff', '0', '0.999333', '0', '0.0365279', '-5025.37', '21', '-2453.92', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1181', '0', '1935841', 'object/mobile/dressed_commoner_tatooine_devaronian_male_03.iff', '-4.76843e-07', '-4.95916e-05', '-2.36469e-11', '1', '29.3506', '13.25', '9.83587', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1182', '0', '1935841', 'object/mobile/dressed_corsec_officer_human_female_01.iff', '2.36543e-11', '1', '4.76883e-07', '-4.95958e-05', '29.3506', '13.25', '10.8359', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1183', '0', '1935837', 'object/mobile/dressed_mercenary_messanger_hum_m.iff', '0', '0.00389472', '0', '0.999992', '-5.6917', '7.26', '-0.915899', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1184', '0', '1935837', 'object/mobile/dressed_corsec_pilot_human_male_01.iff', '9.4154e-10', '0.999992', '2.39912e-07', '-0.00392455', '-5.68393', '7.26', '0.077741', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1185', '0', '1935835', 'object/mobile/21b_surgical_droid.iff', '0', '0.050498', '0', '0.998724', '-25.52', '0.26', '-3.48', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1186', '0', '1935831', 'object/mobile/dressed_entertainer_trainer_human_female_01.iff', '-1.63943e-07', '9.53852e-06', '1.57067e-12', '1', '24.4668', '0.26', '3.56238', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1187', '0', '1935831', 'object/mobile/dressed_criminal_thug_aqualish_male_01.iff', '-1.13787e-12', '1', '1.192e-07', '9.53598e-06', '24.4668', '0.26', '4.56238', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1188', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-4942.5', '0', '-2438.9', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1189', '0', '0', 'object/mobile/dressed_stormtrooper_sniper_m.iff', '0', '0.878817', '0', '0.477159', '-4932.5', '20.978', '-2427.7', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1190', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-4944.3', '0', '-2387.8', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1191', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-4945.7', '0', '-2383.1', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1192', '0', '0', 'object/mobile/dressed_commoner_tatooine_bith_female_02.iff', '0', '0.763172', '0', '0.646195', '-4942.72', '21', '-2445.55', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1193', '0', '0', 'object/mobile/r2.iff', '0', '0.228651', '0', '0.973508', '-4954.63', '21', '-2376.82', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1194', '0', '0', 'object/mobile/r5.iff', '0', '0.992595', '0', '0.121474', '-4954.81', '21', '-2379.55', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1195', '0', '0', 'object/mobile/dressed_commoner_fat_zabrak_male_01.iff', '0', '0.802469', '0', '0.596694', '-5079.26', '21', '-2445.52', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1196', '0', '0', 'object/mobile/dressed_entertainer_trainer_human_female_01.iff', '0', '0', '0', '1', '-5196.06', '21', '-2408.57', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1197', '0', '0', 'object/mobile/dressed_commoner_tatooine_rodian_female_01.iff', '0', '1', '0', '0', '-5196.06', '21', '-2407.57', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1198', '0', '0', 'object/mobile/dressed_noble_old_human_male_01.iff', '0', '0.99957', '0', '0.0293375', '-5203.33', '21', '-2488.13', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1199', '0', '0', 'object/mobile/dressed_commoner_naboo_human_male_02.iff', '0', '-0.661933', '0', '0.749563', '-5200.63', '21', '-2505.59', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1200', '0', '0', 'object/mobile/dressed_commoner_naboo_twilek_female_01.iff', '0', '0.789736', '0', '0.613447', '-5110.54', '21', '-2505.6', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1201', '0', '0', 'object/mobile/dressed_corsec_pilot_human_male_01.iff', '0', '0.92388', '0', '0.382683', '-5069.93', '21', '-2474.8', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1202', '0', '0', 'object/mobile/dressed_eisley_officer_bothan_female_01.iff', '0', '0', '0', '1', '-5009.39', '21', '-2497.19', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1203', '0', '1935828', 'object/mobile/dressed_commoner_old_twilek_male_02.iff', '0', '-0.194688', '0', '0.980865', '-24', '1.6', '-4', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1204', '0', '1935827', 'object/mobile/dressed_commoner_tatooine_rodian_male_04.iff', '-4.21419e-08', '0.707143', '-4.21461e-08', '-0.707071', '-12.4312', '1.6', '-16.4443', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1205', '0', '1935827', 'object/mobile/dressed_commoner_fat_human_male_02.iff', '4.21484e-08', '0.707081', '-4.21454e-08', '0.707132', '-14.4312', '1.6', '-16.4443', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1206', '0', '1935827', 'object/mobile/r2.iff', '0', '0.066971', '0', '0.997755', '-13.4312', '1.6', '-15.4443', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1207', '0', '1935826', 'object/mobile/dressed_entertainer_trainer_twk_male_01.iff', '1.19204e-07', '7.1999e-05', '-8.58177e-12', '1', '-6.74614', '1.6', '-12.8336', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1208', '0', '1935826', 'object/mobile/drall_male.iff', '8.56982e-12', '1', '-1.19228e-07', '7.20135e-05', '-6.74614', '1.6', '-11.8336', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1209', '0', '1935823', 'object/mobile/dressed_eisley_officer_bothan_female_01.iff', '2.3842e-07', '-1.4782e-05', '3.53794e-12', '1', '15.7701', '1.28309', '-9.57401', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1210', '0', '1935823', 'object/mobile/dressed_corsec_captain_human_female_01.iff', '-3.63882e-12', '1', '-2.38443e-07', '-1.52603e-05', '15.7701', '1.28309', '-8.57401', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1211', '0', '1935824', 'object/mobile/dressed_mugger.iff', '-0.00216758', '1.12623e-05', '2.44121e-08', '0.999998', '-23.3263', '1.59523', '3.86229', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1212', '0', '1935824', 'object/mobile/dressed_criminal_assassin_human_female_01.iff', '3.19798e-08', '0.999998', '-0.00216729', '1.47556e-05', '-23.3263', '1.6', '4.96228', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1213', '0', '0', 'object/mobile/dressed_eisley_officer_bothan_male_01.iff', '0', '0', '0', '1', '-5146.7', '21', '-2548.18', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1214', '0', '0', 'object/mobile/dressed_commoner_tatooine_bith_male_06.iff', '0', '1', '0', '0', '-5146.7', '21', '-2547.18', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1215', '0', '2625366', 'object/mobile/dressed_mercenary_messanger_hum_f.iff', '1.56703e-07', '0.750497', '-1.77917e-07', '-0.660874', '-32.0578', '0.10501', '-21.5764', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1216', '0', '2625366', 'object/mobile/dressed_commoner_tatooine_nikto_male_05.iff', '-1.26848e-07', '0.834558', '1.92203e-07', '-0.55092', '-32.0578', '0.10501', '-20.4764', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1217', '0', '2625365', 'object/mobile/dressed_corsec_captain_human_female_01.iff', '1.78821e-07', '-0.000120167', '2.14983e-11', '1', '-26.4983', '-0.519991', '9.85428', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1218', '0', '2625365', 'object/mobile/dressed_commoner_old_human_female_01.iff', '2.14707e-11', '1', '-1.78825e-07', '0.00012017', '-26.4983', '-0.519991', '10.8543', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1219', '0', '2625361', 'object/mobile/dressed_noble_zabrak_female_01.iff', '0', '0.845759', '0', '0.533565', '-7.91182', '-0.895002', '18.5763', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1220', '0', '2625360', 'object/mobile/dressed_artisan_trainer_03.iff', '1.52526e-05', '-3.63868e-05', '5.54993e-10', '1', '-8.04223', '-0.894908', '-17.7225', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1221', '0', '2625360', 'object/mobile/dressed_corsec_pilot_human_male_01.iff', '-3.8339e-10', '1', '1.55508e-05', '2.46541e-05', '-8.04223', '-0.894941', '-16.6225', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1222', '0', '2625356', 'object/mobile/dressed_rebel_army_captain_bothan_male.iff', '0', '0', '0', '1', '19.8219', '-0.894996', '-19.5533', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1223', '0', '2625355', 'object/mobile/dressed_commoner_old_human_male_02.iff', '0', '-0.141052', '0', '0.990002', '7.85884', '-0.894992', '0.356158', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1224', '0', '2625353', 'object/mobile/dressed_crev_bombaasa.iff', '0.0013032', '0.925321', '-0.00783178', '0.379102', '45.2285', '0.104999', '0.017077', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1225', '0', '2625364', 'object/mobile/shalera.iff', '0', '0.870125', '0', '-0.492831', '-19.2041', '-0.894989', '22.0094', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1226', '0', '2625364', 'object/mobile/dressed_nym_destroyer_rod_m.iff', '0', '0', '0', '1', '-26.3961', '-0.894991', '23.1611', '15', 'nervous', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1227', '0', '0', 'object/mobile/eg6_power_droid.iff', '0', '0.977993', '0', '0.208636', '-5605.25', '21', '-2721.9', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1228', '0', '0', 'object/mobile/dressed_entertainer_trainer_human_female_01.iff', '0', '0', '0', '1', '-5539.77', '21', '-2683.65', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1229', '0', '0', 'object/mobile/dressed_entertainer_trainer_twk_male_01.iff', '0', '1', '0', '0', '-5539.77', '21', '-2682.65', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1230', '0', '0', 'object/mobile/dressed_commoner_tatooine_bith_female_06.iff', '0', '1', '0', '0', '-5574.26', '21', '-2683.38', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1231', '0', '0', 'object/mobile/dressed_commoner_naboo_bothan_male_01.iff', '0', '0.725981', '0', '0.687714', '-5633.73', '21', '-2757.46', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1232', '0', '1935445', 'object/mobile/dressed_commoner_tatooine_aqualish_male_09.iff', '0', '0.866025', '0', '0.5', '-14.01', '1.13306', '-8.53', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1233', '0', '1935444', 'object/mobile/dressed_commoner_tatooine_aqualish_male_02.iff', '0', '0.913545', '0', '-0.406737', '3.32', '1.13306', '-8.49', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1234', '0', '1935441', 'object/mobile/dressed_rebel_brigadier_general_moncal_female.iff', '0', '-0.416161', '0', '0.909291', '9.53575', '1.13306', '0.330446', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1235', '0', '2625353', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '48.13', '0.105', '2.47', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1236', '0', '0', 'object/mobile/dressed_commoner_naboo_human_male_04.iff', '0', '0.750851', '0', '0.660472', '-5571.88', '23.4', '-6129.85', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1237', '0', '0', 'object/mobile/dressed_commoner_tatooine_devaronian_male_02.iff', '0', '0.999843', '0', '-0.0176993', '-5468.42', '23.4', '-6144.87', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1238', '0', '0', 'object/mobile/dressed_commoner_naboo_zabrak_female_01.iff', '0', '0.862921', '0', '0.505339', '-5549.18', '23.4', '-6189.25', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1239', '0', '0', 'object/mobile/dressed_rebel_crewman_human_female_02.iff', '0', '0.947864', '0', '0.318674', '-5501.09', '23.4', '-6128.22', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1240', '0', '0', 'object/mobile/dressed_rebel_trooper_twk_male_01.iff', '0', '0.999848', '0', '-0.0174524', '-5538.4', '16.4902', '-6054.7', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1241', '0', '0', 'object/mobile/dressed_doctor_trainer_moncal_male_01.iff', '0', '0.828417', '0', '-0.560112', '-5691.18', '14.6', '-6133.32', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1242', '0', '0', 'object/mobile/dressed_commoner_fat_twilek_female_02.iff', '0', '0.953882', '0', '-0.300182', '-5686.69', '14.6', '-6148.05', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1243', '0', '0', 'object/mobile/cll8_binary_load_lifter.iff', '0', '0.940886', '0', '0.338725', '-5692.65', '14.6', '-6151.28', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1244', '0', '0', 'object/mobile/r2.iff', '0', '0.670849', '0', '0.741594', '-5528', '23.4', '-6195.05', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1245', '0', '0', 'object/mobile/dressed_mercenary_weak_hum_f.iff', '0', '0.708656', '0', '0.705554', '-5568.4', '23.4', '-6199.11', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1246', '0', '0', 'object/mobile/eg6_power_droid.iff', '0', '0.999995', '0', '0.0032577', '-5692.65', '14.6', '-6151.28', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1247', '0', '0', 'object/mobile/dressed_rebel_scout_human_male_01.iff', '0', '0.708528', '0', '0.705683', '-5582.42', '23.4', '-6199.06', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1248', '0', '0', 'object/mobile/dressed_rebel_trooper_sullustan_male_01.iff', '0', '0.731354', '0', '0.681998', '-5664', '14.6', '-6179.3', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1249', '0', '0', 'object/mobile/dressed_rebel_trooper_human_female_01.iff', '0', '0.731354', '0', '0.681998', '-5664', '14.7566', '-6185.3', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1250', '0', '0', 'object/mobile/dressed_commoner_naboo_zabrak_female_02.iff', '0', '-0.548509', '0', '0.836144', '-5693.27', '14.6', '-6177.12', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1251', '0', '0', 'object/mobile/dressed_combatmedic_trainer_human_male_01.iff', '0', '0.92025', '0', '-0.391332', '-5557.29', '23.4', '-6203.08', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1252', '0', '0', 'object/mobile/dressed_rebel_trooper_twk_female_01.iff', '0', '-0.422618', '0', '0.906308', '-5549.5', '23.4', '-6202.1', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1253', '0', '0', 'object/mobile/dressed_rebel_trooper_twk_female_01.iff', '0', '-0.700909', '0', '0.71325', '-5716.1', '14.6', '-6147.5', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1254', '0', '0', 'object/mobile/dressed_rebel_trooper_twk_male_01.iff', '0', '0.71325', '0', '-0.700909', '-5716.1', '14.6', '-6153.1', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1255', '0', '0', 'object/mobile/dressed_commoner_naboo_bothan_female_01.iff', '0', '0.528848', '0', '0.848717', '-5708.22', '14.6', '-6157.68', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1256', '0', '0', 'object/mobile/dressed_commoner_old_human_male_02.iff', '0', '0.886519', '0', '0.462692', '-5551.88', '23.4', '-6221.48', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1257', '0', '0', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0.93358', '0', '0.358368', '-5534.1', '23.4', '-6217.9', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1258', '0', '0', 'object/mobile/dressed_commoner_fat_human_female_02.iff', '0', '0.923107', '0', '0.384543', '-5519.68', '23.4', '-6224.4', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1259', '0', '0', 'object/mobile/dressed_commoner_tatooine_ishitib_male_03.iff', '0', '0.0117275', '0', '0.999931', '-5504.22', '23.4', '-6211.56', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1260', '0', '0', 'object/mobile/dressed_commoner_naboo_human_male_02.iff', '0', '-0.300459', '0', '0.953795', '-5495.01', '23.4', '-6190.5', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1261', '0', '0', 'object/mobile/dressed_commoner_fat_human_female_02.iff', '0', '-0.462853', '0', '0.886435', '-5488.87', '23.8964', '-6242.6', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1262', '0', '0', 'object/mobile/dressed_rebel_trooper_twk_female_01.iff', '0', '0', '0', '1', '-5429.8', '24', '-6218.9', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1263', '0', '0', 'object/mobile/dressed_rebel_trooper_human_male_01.iff', '0', '-0.62932', '0', '0.777146', '-5443.6', '24', '-6243', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1264', '0', '2775419', 'object/mobile/dressed_noble_human_male_03.iff', '0', '0.126579', '0', '0.991956', '-24.96', '1.6', '-4.79578', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1265', '0', '2775419', 'object/mobile/dressed_commoner_tatooine_aqualish_female_02.iff', '0', '-0.060684', '0', '0.998157', '-24', '1.6', '-4', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1266', '0', '2775414', 'object/mobile/dressed_corsec_detective_human_male_01.iff', '2.70973e-07', '-0.000115314', '3.12469e-11', '1', '24.9055', '1.28309', '5.31569', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1267', '0', '2775413', 'object/mobile/dressed_corsec_detective_human_male_01.iff', '-5.30446e-09', '0.999853', '3.09346e-07', '0.0171448', '9.49578', '1.00001', '10.5511', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1268', '0', '2775415', 'object/mobile/dressed_commoner_tatooine_aqualish_male_03.iff', '-0.000122751', '-0.000114466', '-1.40508e-08', '1', '-22.5017', '1.59973', '3.53494', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1269', '0', '2775415', 'object/mobile/dressed_commoner_tatooine_devaronian_male_04.iff', '3.60499e-08', '1', '-0.000123327', '0.000292312', '-22.5021', '1.6', '4.63468', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1270', '0', '0', 'object/mobile/dressed_commoner_fat_zabrak_male_01.iff', '0', '0.94104', '0', '0.338295', '-5428.59', '24.1812', '-6228.31', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1271', '0', '0', 'object/mobile/dressed_rebel_specforce_captain_trandoshan_male_01.iff', '0', '0.0436193', '0', '0.999048', '-5411.4', '24.9599', '-6219.3', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1272', '0', '0', 'object/mobile/dressed_commoner_naboo_human_female_02.iff', '0', '0.85876', '0', '0.512379', '-5385.68', '24', '-6239.93', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1273', '0', '0', 'object/mobile/dressed_rebel_trooper_human_female_01.iff', '0', '0.731354', '0', '0.681998', '-5320', '24', '-6237.8', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1274', '0', '0', 'object/mobile/dressed_commoner_tatooine_bith_male_01.iff', '0', '-0.69356', '0', '0.720399', '-5505.69', '23.4', '-6118.63', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1275', '0', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_04.iff', '0', '0.842129', '0', '-0.539276', '-5551.88', '23.4', '-6221.48', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1276', '0', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_04.iff', '0', '0.676886', '0', '0.736088', '-5468.42', '23.4', '-6144.87', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1277', '0', '0', 'object/mobile/dressed_commoner_naboo_human_male_08.iff', '0', '0.991282', '0', '-0.131758', '-5549.18', '23.4', '-6189.25', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1278', '0', '0', 'object/mobile/dressed_commoner_naboo_human_male_08.iff', '0', '0.977021', '0', '-0.213143', '-5519.68', '23.4', '-6224.4', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1279', '0', '0', 'object/mobile/dressed_commoner_old_human_female_02.iff', '0', '-0.575457', '0', '0.817832', '-5504.22', '23.4', '-6211.56', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1280', '0', '0', 'object/mobile/dressed_commoner_tatooine_bith_female_01.iff', '0', '0.978423', '0', '-0.206614', '-5488.87', '23.8964', '-6242.6', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1281', '0', '0', 'object/mobile/dressed_rebel_crewman_human_male_02.iff', '0', '-0.319466', '0', '0.947598', '-5487.59', '23.4', '-6146.27', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1282', '0', '0', 'object/mobile/dressed_rebel_trooper_human_female_01.iff', '0', '0.731354', '0', '0.681998', '-5320', '24', '-6237.8', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1283', '0', '0', 'object/mobile/dressed_rebel_specforce_captain_trandoshan_male_01.iff', '0', '0.0436194', '0', '0.999048', '-5411.4', '24.9599', '-6219.3', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1284', '0', '0', 'object/mobile/dressed_rebel_trooper_human_female_01.iff', '0', '-2.88896e-08', '0', '1', '-5429.8', '24', '-6218.9', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1285', '0', '0', 'object/mobile/dressed_rebel_trooper_twk_male_01.iff', '0', '-0.62932', '0', '0.777146', '-5443.6', '24', '-6243', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1286', '0', '0', 'object/mobile/dressed_rebel_trooper_human_female_01.iff', '0', '0.93358', '0', '0.358368', '-5534.1', '23.4', '-6217.9', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1287', '0', '0', 'object/mobile/dressed_rebel_trooper_human_male_01.iff', '0', '-0.422618', '0', '0.906308', '-5549.5', '23.4', '-6202.1', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1288', '0', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_07.iff', '0', '-0.105792', '0', '0.994388', '-5385.68', '24', '-6239.93', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1289', '0', '0', 'object/mobile/dressed_corsec_detective_human_female_01.iff', '0', '0.999303', '0', '-0.037338', '-5557.36', '23.4', '-6213.31', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1290', '0', '0', 'object/mobile/dressed_corsec_detective_human_female_01.iff', '0', '0.999305', '0', '-0.0372821', '-5557.36', '23.4', '-6213.31', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1291', '0', '0', 'object/mobile/dressed_rebel_recruiter_human_female_01.iff', '0', '-3.64813e-08', '0', '1', '-5516.08', '23.4', '-6186.7', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1292', '0', '0', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '-2489.6', '0', '2920', '5', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1293', '0', '0', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '-2494', '0', '2913.6', '5', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1294', '0', '6035620', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '-0.6', '-13.7', '-8.3', '5', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1295', '0', '6035620', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '11.3', '-14.2', '-5.5', '5', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1296', '0', '6035621', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '9.7', '-23.9', '-28.3', '5', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1297', '0', '6035621', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '-11.3', '-30.7', '-27.1', '5', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1298', '0', '6035622', 'object/mobile/dressed_cobral_runner_trandoshan_female_01.iff', '0', '0', '0', '0', '-1.8', '-40.7', '-74.1', '5', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1299', '0', '6035622', 'object/mobile/dressed_cobral_runner_trandoshan_female_01.iff', '0', '0', '0', '0', '2.6', '-40.4', '-62.4', '5', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1300', '0', '6035622', 'object/mobile/dressed_cobral_runner_trandoshan_female_01.iff', '0', '0', '0', '0', '3.4', '-41', '-72.6', '5', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1301', '0', '6035623', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '49.3', '-46.8', '-53.7', '5', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1302', '0', '6035623', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '43.8', '-46.1', '-95.1', '5', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1303', '0', '6035623', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '23.6', '-45.7', '-102.8', '5', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1304', '0', '6035624', 'object/mobile/dressed_cobral_thug_rodian_female_01.iff', '0', '0', '0', '0', '-1.7', '-45.8', '-147.8', '7', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1305', '0', '6035624', 'object/mobile/dressed_cobral_thug_rodian_female_01.iff', '0', '0', '0', '0', '-11', '-44.4', '-136.4', '7', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1306', '0', '6035626', 'object/mobile/dressed_cobral_thug_rodian_female_01.iff', '0', '0', '0', '0', '-4.2', '-64', '-234.2', '7', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1307', '0', '6035626', 'object/mobile/dressed_cobral_thug_rodian_female_01.iff', '0', '0', '0', '0', '-21.7', '-65.4', '-244.6', '7', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1308', '0', '6035627', 'object/mobile/dressed_cobral_runner_trandoshan_female_01.iff', '0', '0', '0', '0', '-95.3', '-73.7', '-170', '5', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1309', '0', '6035627', 'object/creature/npc/base/selonian_base_female.iff', '0', '0', '0', '0', '-83.5', '-71.6', '-169.2', '11', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1310', '0', '6035627', 'object/creature/npc/base/selonian_base_female.iff', '0', '0', '0', '0', '-100.5', '-72.9', '-159.1', '11', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1311', '0', '6035627', 'object/creature/npc/base/selonian_base_female.iff', '0', '0', '0', '0', '-111.7', '-69.4', '-170.6', '11', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1312', '0', '6035630', 'object/creature/npc/base/selonian_base_female.iff', '0', '0', '0', '0', '-85.4', '-101.5', '-111.2', '11', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1313', '0', '6035630', 'object/creature/npc/base/selonian_base_female.iff', '0', '0', '0', '0', '-92.8', '-101.1', '-111.9', '11', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1314', '0', '6035630', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '-90.7', '-101.1', '-104.8', '18', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1315', '0', '0', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '1039.72', '0', '4212.68', '11', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1316', '0', '0', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '1039.11', '0', '4209.1', '11', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1317', '0', '0', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '1040.45', '0', '4213.18', '11', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1318', '0', '0', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '1040.44', '0', '4219.28', '11', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1319', '0', '0', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '1041.59', '0', '4211.58', '11', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1320', '0', '0', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '1036.83', '0', '4210.82', '11', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1321', '0', '4275375', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '94.9613', '-45.969', '-141.494', '14', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1322', '0', '4275375', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '94.9606', '-46.1348', '-140.686', '14', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1323', '0', '4275375', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '93.8846', '-46.7899', '-137.141', '14', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1324', '0', '4275375', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '84.3486', '-46.4349', '-143.028', '19', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1325', '0', '4275374', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '49.479', '-51.6782', '-90.6474', '13', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1326', '0', '4275374', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '47.3868', '-51.6981', '-89.3448', '13', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1327', '0', '4275372', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '114.507', '-66.5942', '-99.7065', '14', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1328', '0', '4275372', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '115.859', '-66.123', '-99.6911', '14', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1329', '0', '4275372', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '113.692', '-66.8988', '-95.8273', '19', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1330', '0', '4275372', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '140.63', '-67.2151', '-93.649', '14', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1331', '0', '4275372', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '141.309', '-67.1265', '-91.835', '14', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1332', '0', '4275372', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '131.786', '-66.5463', '-94.4613', '19', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1333', '0', '4275372', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '146.619', '-67.2534', '-121.876', '14', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1334', '0', '4275372', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '146.792', '-67.2512', '-121.536', '14', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1335', '0', '4275372', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '151.659', '-66.7785', '-120.672', '14', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1336', '0', '4275372', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '119.675', '-66.0929', '-125.599', '14', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1337', '0', '4275372', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '117.49', '-65.433', '-122.309', '14', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1338', '0', '4275372', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '119.092', '-65.9394', '-124.999', '14', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1339', '0', '4275372', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '117.566', '-65.4499', '-123.057', '14', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1340', '0', '4275370', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '51.6997', '-74.9874', '-103.876', '14', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1341', '0', '4275370', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '52.1559', '-75.6042', '-99.5169', '14', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1342', '0', '4275370', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '52.8326', '-75.5277', '-99.6247', '14', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1343', '0', '4275370', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '64.9089', '-66.5012', '-136.16', '14', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1344', '0', '4275370', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '63.1754', '-65.521', '-140.66', '14', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1345', '0', '4275370', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '65.5611', '-66.0824', '-139.112', '14', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1346', '0', '4275370', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '63.3956', '-66.3614', '-137.709', '14', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1347', '0', '4275369', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '94.9732', '-46.4474', '-109.455', '14', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1348', '0', '4275369', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '95.5046', '-45.9461', '-106.958', '14', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1349', '0', '4275369', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '92.7057', '-46.81', '-113.312', '13', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1350', '0', '4275369', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '94.0515', '-46.7115', '-110.705', '13', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1351', '0', '4275369', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '69.8311', '-46.5389', '-106.057', '13', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1352', '0', '4275369', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '71.239', '-46.9293', '-103.774', '13', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1353', '0', '4275369', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '71.9714', '-46.824', '-109.307', '14', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1354', '0', '4275369', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '89.098', '-67.247', '-117.505', '14', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1355', '0', '4275369', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '92.1953', '-66.2503', '-119.719', '14', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1356', '0', '4275368', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '78.3939', '-74.6727', '-54.8619', '14', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1357', '0', '4275368', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '78.6548', '-75.4851', '-57.1953', '14', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1358', '0', '4275368', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '93.0657', '-75.814', '-67.0719', '14', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1359', '0', '4275368', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '94.1692', '-75.735', '-70.4781', '14', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1360', '0', '4275368', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '60.8905', '-75.7548', '-72.5984', '14', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1361', '0', '4275368', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '60.1865', '-75.4855', '-68.7501', '14', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1362', '0', '4275368', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '77.062', '-76.7926', '-87.3286', '19', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1363', '0', '4275367', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '88.0608', '-62.0939', '-14.5766', '13', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1364', '0', '4275367', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '90.9203', '-61.6801', '-10.6248', '13', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1365', '0', '4275367', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '91.0861', '-61.7651', '-12.5106', '13', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1366', '0', '4275367', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '92.9224', '-61.8811', '-14.3483', '13', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1367', '0', '4275367', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '64.5416', '-68.5603', '-35.5854', '13', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1368', '0', '4275367', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '66.941', '-68.1035', '-34.5369', '13', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1369', '0', '4275367', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '65.6497', '-68.9077', '-36.5526', '13', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1370', '0', '4275366', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '26.5828', '-36.3232', '-22.052', '11', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1371', '0', '4275366', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '23.0224', '-35.6', '-25.9666', '11', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1372', '0', '4275366', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '23.055', '-35.0433', '-22.3172', '11', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1373', '0', '4275366', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '50.0547', '-48.8209', '-26.9857', '13', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1374', '0', '4275366', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '48.9257', '-48.6727', '-28.0863', '13', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1375', '0', '4275366', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '49.1534', '-48.7074', '-28.1067', '13', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1376', '0', '4275366', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '53.1361', '-68.0789', '-41.4429', '14', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1377', '0', '4275366', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '47.9027', '-48.5132', '-61.7148', '11', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1378', '0', '4275366', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '44.7817', '-47.4448', '-61.3233', '11', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1379', '0', '4275366', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '53.5564', '-48.4062', '-65.2154', '13', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1380', '0', '4275366', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '50.5543', '-48.5381', '-65.2585', '13', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1381', '0', '4275366', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '21.7878', '-41.9977', '-63.4062', '11', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1382', '0', '4275366', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '22.9942', '-42.0224', '-61.2865', '11', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1383', '0', '4275366', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '23.7157', '-42.2376', '-61.6597', '11', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1384', '0', '4275366', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '24.7955', '-41.906', '-60.3409', '11', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1385', '0', '4275365', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '-15.91', '-4.31228', '-6.63194', '11', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1386', '0', '4275365', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '-14.7116', '-4.45407', '-4.39501', '11', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1387', '0', '4275365', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '-16.2111', '-4.39057', '-7.57538', '11', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1388', '0', '4275365', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '7.66486', '-19.3239', '-5.99722', '11', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1389', '0', '4275365', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '11.6784', '-21.9985', '-6.62297', '11', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1390', '0', '4275373', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '160.621', '-66.8701', '-94.5413', '14', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1391', '0', '4275373', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '161.602', '-66.8385', '-96.0548', '14', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1392', '0', '4275373', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '182.54', '-65.7828', '-104.983', '14', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1393', '0', '4275373', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '184.875', '-65.6887', '-103.695', '14', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1394', '0', '4275373', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '182.472', '-65.7483', '-103.895', '14', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1395', '0', '4275373', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '183.896', '-65.7007', '-104.63', '14', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1396', '0', '4275373', 'object/mobile/drall_male.iff', '0', '0', '0', '0', '185.658', '-65.8866', '-101.116', '22', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1397', '0', '0', 'object/mobile/dressed_liberation_fanatic_bith_male_01.iff', '0', '0', '0', '0', '1318.45', '0', '-344.924', '20', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1398', '0', '0', 'object/mobile/dressed_liberation_fanatic_bith_male_01.iff', '0', '0', '0', '0', '1385.47', '0', '-352.835', '20', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1399', '0', '0', 'object/mobile/dressed_liberation_fanatic_bith_male_01.iff', '0', '0', '0', '0', '1360.44', '0', '-301.507', '20', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1400', '0', '0', 'object/mobile/dressed_liberation_fanatic_bith_male_01.iff', '0', '0', '0', '0', '1310.1', '0', '-319.21', '20', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1401', '0', '0', 'object/mobile/dressed_criminal_thug_human_male_02.iff', '0', '0', '0', '0', '1318.5', '0', '-359.536', '31', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1402', '0', '0', 'object/mobile/dressed_criminal_thug_human_male_02.iff', '0', '0', '0', '0', '1358.39', '0', '-309.564', '31', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1403', '0', '0', 'object/mobile/dressed_criminal_thug_human_male_02.iff', '0', '0', '0', '0', '1363.9', '0', '-334.958', '31', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1404', '0', '0', 'object/mobile/dressed_criminal_thug_human_male_02.iff', '0', '0', '0', '0', '1380.35', '0', '-344.869', '31', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1405', '0', '0', 'object/mobile/dressed_herald_servant_naboo_human_male.iff', '0', '0', '0', '0', '1336.17', '0', '-319.81', '8', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1406', '0', '0', 'object/mobile/dressed_herald_servant_naboo_human_male.iff', '0', '0', '0', '0', '1356.58', '0', '-324.394', '8', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1407', '0', '0', 'object/mobile/dressed_herald_servant_naboo_human_male.iff', '0', '0', '0', '0', '1370.99', '0', '-346.151', '8', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1408', '0', '0', 'object/mobile/dressed_herald_servant_naboo_human_male.iff', '0', '0', '0', '0', '1341.03', '0', '-368.136', '8', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1409', '0', '0', 'object/mobile/dressed_criminal_swooper_zabrak_male_01.iff', '0', '0', '0', '0', '1355.86', '0', '-308.192', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1410', '0', '0', 'object/mobile/dressed_criminal_swooper_zabrak_male_01.iff', '0', '0', '0', '0', '1355.33', '0', '-312.379', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1411', '0', '0', 'object/mobile/dressed_criminal_swooper_zabrak_male_01.iff', '0', '0', '0', '0', '1343.64', '0', '-328.364', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1412', '0', '0', 'object/mobile/dressed_criminal_swooper_zabrak_male_01.iff', '0', '0', '0', '0', '1358.34', '0', '-313.368', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1413', '0', '0', 'object/mobile/dressed_criminal_thug_zabrak_male_01.iff', '0', '0', '0', '0', '1350.94', '0', '-322.342', '29', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1414', '0', '0', 'object/mobile/dressed_criminal_thug_zabrak_male_01.iff', '0', '0', '0', '0', '1353.18', '0', '-316.912', '29', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1415', '0', '0', 'object/mobile/dressed_criminal_thug_zabrak_male_01.iff', '0', '0', '0', '0', '1317.98', '0', '-314.017', '29', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1416', '0', '0', 'object/mobile/dressed_criminal_thug_zabrak_male_01.iff', '0', '0', '0', '0', '1355.14', '0', '-325.09', '29', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1417', '0', '0', 'object/mobile/dressed_mauler_apprentice.iff', '0', '0', '0', '0', '1346.98', '0', '-324.624', '16', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1418', '0', '0', 'object/mobile/dressed_mauler_apprentice.iff', '0', '0', '0', '0', '1330.3', '0', '-306.608', '16', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1419', '0', '0', 'object/mobile/dressed_mauler_apprentice.iff', '0', '0', '0', '0', '1336.19', '0', '-316.139', '16', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1420', '0', '0', 'object/mobile/dressed_mauler_apprentice.iff', '0', '0', '0', '0', '1351.61', '0', '-276.028', '16', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1421', '0', '0', 'object/mobile/dressed_zeelius_kraymunder.iff', '0', '0', '0', '0', '1340.86', '0', '-326.067', '25', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1422', '0', '0', 'object/mobile/dressed_zeelius_kraymunder.iff', '0', '0', '0', '0', '1371.44', '0', '-317.051', '25', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1423', '0', '0', 'object/mobile/dressed_zeelius_kraymunder.iff', '0', '0', '0', '0', '1364.85', '0', '-356.979', '25', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1424', '0', '0', 'object/mobile/dressed_zeelius_kraymunder.iff', '0', '0', '0', '0', '1319.22', '0', '-282.599', '25', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1425', '0', '6035995', 'object/mobile/dressed_criminal_thug_zabrak_male_01.iff', '0', '0', '0', '0', '0.200391', '0.25', '5.98459', '29', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1426', '0', '6035995', 'object/mobile/dressed_criminal_thug_zabrak_male_01.iff', '0', '0', '0', '0', '-0.494639', '0.25', '6.25404', '29', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1427', '0', '6035996', 'object/mobile/dressed_mauler_apprentice.iff', '0', '0', '0', '0', '3.6188', '0.25', '-4.09898', '16', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1428', '0', '6035996', 'object/mobile/dressed_mauler_apprentice.iff', '0', '0', '0', '0', '2.61819', '0.25', '-3.44736', '16', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1429', '0', '6035998', 'object/mobile/dressed_zeelius_kraymunder.iff', '0', '0', '0', '0', '4.81463', '-6.75', '5.40781', '25', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1430', '0', '6035998', 'object/mobile/dressed_criminal_thug_human_male_02.iff', '0', '0', '0', '0', '3.44729', '-6.75', '4.34948', '31', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1431', '0', '6035999', 'object/mobile/dressed_zeelius_kraymunder.iff', '0', '0', '0', '0', '2.80898', '-6.75', '-7.19805', '25', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1432', '0', '6036001', 'object/mobile/dressed_mauler_apprentice.iff', '0', '0', '0', '0', '-5.37152', '-13.7499', '0.459682', '16', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1433', '0', '6036001', 'object/mobile/dressed_mauler_apprentice.iff', '0', '0', '0', '0', '-3.0171', '-13.7499', '-0.894038', '16', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1434', '0', '6036001', 'object/mobile/dressed_criminal_thug_zabrak_male_01.iff', '0', '0', '0', '0', '-1.05993', '-13.7499', '-2.09377', '29', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1435', '0', '6036001', 'object/mobile/dressed_criminal_thug_zabrak_male_01.iff', '0', '0', '0', '0', '-5.53416', '-13.75', '-8.46985', '29', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1436', '0', '6036003', 'object/mobile/dressed_criminal_thug_zabrak_male_01.iff', '0', '0', '0', '0', '16.6905', '-13.7584', '4.76515', '29', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1437', '0', '6036003', 'object/mobile/dressed_criminal_thug_human_male_02.iff', '0', '0', '0', '0', '14.4694', '-13.7584', '2.8743', '31', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1438', '0', '6036004', 'object/mobile/dressed_lord_nyax.iff', '0', '0', '0', '0', '19.4', '-11.4', '-21.1', '129', 'neutral', '128', '35', '1800');
INSERT INTO `world_server_static_spawns` VALUES ('1439', '0', '0', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '0', '0', '0', '5289.35', '0', '1585.56', '7', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1440', '0', '0', 'object/mobile/dressed_corsec_officer_human_female_01.iff', '0', '0', '0', '0', '5226.46', '0', '1586.13', '12', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1441', '0', '0', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '0', '0', '0', '5191.94', '0', '1581.67', '9', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1442', '0', '0', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '0', '0', '0', '5228.13', '0', '1612.15', '9', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1443', '0', '0', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '0', '0', '0', '5188.26', '0', '1585.69', '9', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1444', '0', '0', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '0', '0', '0', '5186.23', '0', '1580.61', '9', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1445', '0', '0', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '0', '0', '0', '5220.65', '0', '1612.59', '9', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1446', '0', '0', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '0', '0', '0', '5212.21', '0', '1644.32', '7', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1447', '0', '0', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '0', '0', '0', '5206.25', '0', '1638.24', '7', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1448', '0', '0', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '0', '0', '0', '5156.7', '0', '1604.63', '7', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1449', '0', '0', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '0', '0', '0', '5282.94', '0', '1586.55', '7', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1450', '0', '0', 'object/mobile/dressed_corsec_officer_human_female_01.iff', '0', '0', '0', '0', '5231.85', '0', '1559.73', '12', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1451', '0', '0', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '0', '0', '0', '5164.25', '0', '1607.25', '7', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1452', '0', '0', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '0', '0', '0', '5200.07', '0', '1645.75', '7', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1453', '0', '0', 'object/mobile/dressed_corsec_officer_human_female_01.iff', '0', '0', '0', '0', '5237.57', '0', '1560.18', '12', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1454', '0', '0', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '0', '0', '0', '5160.77', '0', '1614.07', '7', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1455', '0', '0', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '0', '0', '0', '5218.67', '0', '1606.46', '9', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1456', '0', '0', 'object/mobile/dressed_corsec_officer_human_female_01.iff', '0', '0', '0', '0', '5225.84', '0', '1589.44', '12', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1457', '0', '0', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '0', '0', '0', '5263.73', '0', '1600.77', '9', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1458', '0', '0', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '0', '0', '0', '5263.02', '0', '1597.68', '9', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1459', '0', '0', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '0', '0', '0', '5278.46', '0', '1587.19', '7', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1460', '0', '0', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '0', '0', '0', '5172.3', '0', '1728.25', '16', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1461', '0', '0', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '0', '0', '0', '5173.3', '0', '1727.25', '9', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1462', '0', '0', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '0', '0', '0', '5194.14', '0', '1736.88', '9', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1463', '0', '0', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '0', '0', '0', '5179.79', '0', '1552.95', '9', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1464', '0', '0', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '0', '0', '0', '5184.53', '0', '1551.19', '9', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1465', '0', '0', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '0', '0', '0', '5275.36', '0', '1556.33', '7', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1466', '0', '0', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '0', '0', '0', '5280.64', '0', '1564.73', '7', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1467', '0', '0', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '0', '0', '0', '5288.51', '0', '1569.96', '7', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1468', '0', '0', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '0', '0', '0', '5229.39', '0', '1531.77', '7', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1469', '0', '0', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '0', '0', '0', '5229.39', '0', '1531.33', '7', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1470', '0', '0', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '0', '0', '0', '5230.24', '0', '1531.2', '7', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1471', '0', '0', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '0', '0', '0', '5203.84', '0', '1516.08', '7', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1472', '0', '0', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '0', '0', '0', '5202.9', '0', '1516.65', '7', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1473', '0', '0', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '0', '0', '0', '5203.95', '0', '1515.57', '7', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1474', '0', '1855738', 'object/mobile/dressed_corsec_officer_human_female_01.iff', '0', '0', '0', '0', '-8.5337', '0.184067', '-4.68932', '12', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1475', '0', '1855738', 'object/mobile/dressed_corsec_officer_human_female_01.iff', '0', '0', '0', '0', '-8.04331', '0.184067', '-6.41077', '12', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1476', '0', '1855738', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '0', '0', '0', '-0.362791', '0.184067', '-1.75668', '16', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1477', '0', '1855738', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '0', '0', '0', '1.42683', '0.184067', '-1.26595', '16', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1478', '0', '1855738', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '0', '0', '0', '8.16051', '0.184067', '4.47247', '9', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1479', '0', '1855738', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '0', '0', '0', '6.84385', '0.184067', '5.36568', '9', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1480', '0', '1855730', 'object/mobile/dressed_corsec_officer_human_female_01.iff', '0', '0', '0', '0', '2.97018', '-20.75', '18.8935', '12', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1481', '0', '1855730', 'object/mobile/dressed_corsec_officer_human_female_01.iff', '0', '0', '0', '0', '3.64228', '-20.75', '19.8414', '12', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1482', '0', '1855730', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '0', '0', '0', '3.81829', '-20.75', '29.4505', '16', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1483', '0', '1855730', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '0', '0', '0', '3.92811', '-20.75', '29.2417', '16', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1484', '0', '1855730', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '0', '0', '0', '-0.396672', '-20.75', '30.4551', '16', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1485', '0', '1855730', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '0', '0', '0', '-0.588713', '-20.75', '30.3229', '16', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1486', '0', '1855729', 'object/mobile/dressed_corsec_officer_human_female_01.iff', '0', '0', '0', '0', '1.57944', '-20.7332', '6.44421', '12', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1487', '0', '1855729', 'object/mobile/dressed_corsec_officer_human_female_01.iff', '0', '0', '0', '0', '1.07265', '-20.7332', '6.66988', '12', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1488', '0', '1855729', 'object/mobile/dressed_corsec_officer_human_female_01.iff', '0', '0', '0', '0', '1.72058', '-20.7332', '7.22143', '12', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1489', '0', '1855727', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '0', '0', '0', '5.88434', '-13.75', '8.05682', '9', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1490', '0', '1855727', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '0', '0', '0', '6.37424', '-13.75', '8.32327', '9', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1491', '0', '1855727', 'object/mobile/dressed_corsec_officer_human_female_01.iff', '0', '0', '0', '0', '-7.792', '-13.75', '9.01741', '12', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1492', '0', '1855723', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '0', '0', '0', '3.79148', '0.25', '-4.43451', '9', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1493', '0', '1855742', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '0', '0', '0', '-7.09854', '0.184067', '4.53837', '7', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1494', '0', '1855742', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '0', '0', '0', '-7.20637', '0.184067', '3.63048', '7', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1495', '0', '1855742', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '0', '0', '0', '-6.26315', '0.184067', '3.43603', '7', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1496', '0', '1855742', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '0', '0', '0', '8.35353', '0.184067', '-5.43837', '9', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1497', '0', '1855742', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '0', '0', '0', '9.04978', '0.184067', '-4.81532', '9', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1498', '0', '1855742', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '0', '0', '0', '8.56591', '0.184067', '-4.68418', '9', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1499', '0', '1855746', 'object/mobile/dressed_corsec_officer_human_female_01.iff', '0', '0', '0', '0', '4.40223', '0.184067', '5.63051', '12', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1500', '0', '1855746', 'object/mobile/dressed_corsec_officer_human_female_01.iff', '0', '0', '0', '0', '4.33785', '0.184067', '6.23573', '12', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1501', '0', '1855746', 'object/mobile/dressed_corsec_officer_human_female_01.iff', '0', '0', '0', '0', '3.4687', '0.184067', '6.36916', '12', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1502', '0', '1855746', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '0', '0', '0', '-2.44245', '0.184067', '-5.46845', '9', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1503', '0', '1855746', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '0', '0', '0', '-3.34535', '0.184067', '-5.8709', '9', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1504', '0', '1855746', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '0', '0', '0', '-3.66798', '0.184067', '-6.35964', '9', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1505', '0', '1855746', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '0', '0', '0', '-3.10245', '0.184067', '-6.2934', '9', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1506', '0', '1855746', 'object/mobile/dressed_corsec_pilot_human_female_01.iff', '0', '0', '0', '0', '-3.93572', '0.184067', '-6.639', '9', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1507', '0', '0', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '-6521.54', '0', '5908.48', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1508', '0', '0', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '-6572.57', '0', '5923.54', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1509', '0', '0', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '-6570.11', '0', '5942.9', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1510', '0', '0', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '-6529.17', '0', '5910.89', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1511', '0', '0', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '-6492.68', '0', '6032.59', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1512', '0', '0', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '-6486.34', '0', '6045.79', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1513', '0', '0', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '-6467.84', '0', '6007.45', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1514', '0', '0', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '-6445.45', '0', '5981.64', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1515', '0', '0', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '-6470.54', '0', '5965.07', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1516', '0', '0', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '-6460.12', '0', '5949.13', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1517', '0', '0', 'object/mobile/dressed_rebel_sergeant_fat_zabrak_male_01.iff', '0', '0', '0', '0', '-6480.63', '0', '5967.35', '16', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1518', '0', '0', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '-6551.65', '0', '5925.55', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1519', '0', '0', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '-6581.31', '0', '5932.05', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1520', '0', '0', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '-6531.55', '0', '5972.06', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1521', '0', '0', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '-6442.51', '0', '5940.49', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1522', '0', '0', 'object/mobile/dressed_rebel_sergeant_fat_zabrak_male_01.iff', '0', '0', '0', '0', '-6550.13', '0', '5926.95', '16', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1523', '0', '0', 'object/mobile/dressed_rebel_sergeant_fat_zabrak_male_01.iff', '0', '0', '0', '0', '-6569.58', '0', '5920.34', '16', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1524', '0', '0', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '-6462.16', '0', '6027.82', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1525', '0', '0', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '-6494.04', '0', '5914.52', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1526', '0', '0', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '-6438.44', '0', '6036.31', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1527', '0', '0', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '-6430.63', '0', '6033.71', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1528', '0', '0', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '-6482.1', '0', '5914.92', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1529', '0', '0', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '-6478.36', '0', '5916.57', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1530', '0', '0', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '-6435.16', '0', '6032.51', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1531', '0', '0', 'object/mobile/dressed_rebel_colonel_bothan_male.iff', '0', '0', '0', '0', '-6550.11', '0', '5925.85', '24', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1532', '0', '0', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '-6539.2', '0', '5989.46', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1533', '0', '0', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '-6508.07', '0', '6037.54', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1534', '0', '0', 'object/mobile/dressed_rebel_first_lieutenant_bothan_male_01.iff', '0', '0', '0', '0', '-6415.72', '0', '6026.91', '20', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1535', '0', '0', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '-6473.95', '0', '5996.97', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1536', '0', '0', 'object/mobile/dressed_rebel_first_lieutenant_bothan_male_01.iff', '0', '0', '0', '0', '-6496.33', '0', '5939.37', '20', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1537', '0', '0', 'object/mobile/dressed_rebel_major_human_female_01.iff', '0', '0', '0', '0', '-6414.04', '0', '6024.75', '22', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1538', '0', '0', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '-6519.96', '0', '6020.23', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1539', '0', '0', 'object/mobile/dressed_rebel_major_human_female_01.iff', '0', '0', '0', '0', '-6488.53', '0', '5916.27', '22', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1540', '0', '0', 'object/mobile/dressed_rebel_commando_human_female_01.iff', '0', '0', '0', '0', '-6415.25', '0', '6025.21', '30', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1541', '0', '0', 'object/mobile/dressed_rebel_sergeant_fat_zabrak_male_01.iff', '0', '0', '0', '0', '-6488.51', '0', '5916.28', '16', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1542', '0', '8555482', 'object/mobile/dressed_rebel_colonel_bothan_male.iff', '0', '0', '0', '0', '5.9', '7.01', '9.92', '24', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1543', '0', '8555481', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '-11.13', '7.00971', '11.31', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1544', '0', '8555481', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '-12.94', '7.00974', '9.54', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1545', '0', '8555481', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '-6.44793', '7.00977', '6.53793', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1546', '0', '8555481', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '-2.37', '7.0096', '6.54', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1547', '0', '8555481', 'object/mobile/dressed_rebel_corporal_bith_female_01.iff', '0', '0', '0', '0', '-3.45', '7.00966', '12.62', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1548', '0', '8555481', 'object/mobile/dressed_rebel_corporal_bith_female_01.iff', '0', '0', '0', '0', '0.02', '7.00964', '12.81', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1549', '0', '8555480', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '5.59', '7.00978', '-0.3', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1550', '0', '8555480', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '12.29', '7.00978', '-9.11', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1551', '0', '8555478', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '-13', '1.01', '-19', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1552', '0', '8555477', 'object/mobile/dressed_rebel_corporal_bith_female_01.iff', '0', '0', '0', '0', '-4', '1.01', '-20.94', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1553', '0', '8555477', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '0.01', '1.01', '-22.01', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1554', '0', '8555477', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '-3.47', '1.01', '-19.22', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1555', '0', '8555477', 'object/mobile/dressed_rebel_second_lieutenant_human_female_01.iff', '0', '0', '0', '0', '-0.55', '1.01', '-19.07', '19', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1556', '0', '8555475', 'object/mobile/dressed_rebel_first_lieutenant_bothan_male_01.iff', '0', '0', '0', '0', '12.73', '1.01', '1.77', '20', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1557', '0', '8555475', 'object/mobile/dressed_rebel_scout_bothan_male_01.iff', '0', '0', '0', '0', '13.18', '1.01', '-6.59', '15', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1558', '0', '8555475', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '14.91', '1.01', '-6.68', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1559', '0', '8555474', 'object/mobile/dressed_rebel_corporal_bith_female_01.iff', '0', '0', '0', '0', '-20.12', '1.01', '19.27', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1560', '0', '8555474', 'object/mobile/dressed_rebel_staff_corporal_bith_female_01.iff', '0', '0', '0', '0', '-15.73', '1.01', '14.19', '16', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1561', '0', '8555474', 'object/mobile/dressed_rebel_first_lieutenant_bothan_male_01.iff', '0', '0', '0', '0', '-15.8', '1.01', '18.62', '20', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1562', '0', '8555474', 'object/mobile/dressed_rebel_staff_corporal_bith_female_01.iff', '0', '0', '0', '0', '-17.95', '1.01', '14.48', '16', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1563', '0', '8555473', 'object/mobile/dressed_rebel_corporal_bith_female_01.iff', '0', '0', '0', '0', '19.51', '1.01', '17.45', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1564', '0', '8555473', 'object/mobile/dressed_rebel_corporal_bith_female_01.iff', '0', '0', '0', '0', '19.49', '1.01', '19.96', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1565', '0', '8555473', 'object/mobile/dressed_rebel_first_lieutenant_bothan_male_01.iff', '0', '0', '0', '0', '16.9', '1.01', '18.54', '20', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1566', '0', '8555471', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '4.5', '1.01', '16.86', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1567', '0', '8555472', 'object/mobile/dressed_rebel_corporal_bith_female_01.iff', '0', '0', '0', '0', '0.93', '2.01', '5.74', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1568', '0', '8555472', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '-2.31', '2.01', '3.86', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1569', '0', '8555472', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '-3.98', '1.01', '-0.67', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1570', '0', '8555472', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '17.39', '1.01', '-11.38', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1571', '0', '0', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '-6543.01', '0', '6003.13', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1572', '0', '0', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '-6558.82', '0', '6019.99', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1573', '0', '0', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '-6530.29', '0', '6018.85', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1574', '0', '0', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '-6512.85', '0', '6053.11', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1575', '0', '0', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '-6539.96', '0', '6040.96', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1576', '0', '0', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '-6517.2', '0', '6034.73', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1577', '0', '0', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '-6522.29', '0', '5942.27', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1578', '0', '0', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '-6526.68', '0', '5963.81', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1579', '0', '0', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '-6517.67', '0', '5959.82', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1580', '0', '0', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '-6541.31', '0', '5975.54', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1581', '0', '0', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '-6455.01', '0', '5924.57', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1582', '0', '0', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '-6487.14', '0', '5966.7', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1583', '0', '0', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '-6484.12', '0', '5971.35', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1584', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '4679.67', '0', '-5825.53', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1585', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '4683.05', '0', '-5817.91', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1586', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '4671.5', '0', '-5825.07', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1587', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '4685.94', '0', '-5814.65', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1588', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '4688.05', '0', '-5815.13', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1589', '0', '0', 'object/mobile/dressed_stormtrooper_squad_leader_black_gold.iff', '0', '0', '0', '0', '4671.87', '0', '-5813.91', '42', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1590', '0', '0', 'object/mobile/dressed_imperial_colonel_m.iff', '0', '0', '0', '0', '4634.26', '0', '-5799.64', '22', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1591', '0', '0', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '4695.42', '0', '-5806.59', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1592', '0', '0', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '4694.86', '0', '-5799.92', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1593', '0', '0', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '4700.39', '0', '-5800.08', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1594', '0', '0', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '4695', '0', '-5806.51', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1595', '0', '0', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '4695.46', '0', '-5807.79', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1596', '0', '0', 'object/mobile/dressed_imperial_lieutenant_m.iff', '0', '0', '0', '0', '4635.52', '0', '-5773.92', '60', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1597', '0', '0', 'object/mobile/dressed_imperial_lieutenant_m.iff', '0', '0', '0', '0', '4641.08', '0', '-5783.65', '60', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1598', '0', '0', 'object/mobile/dressed_stormtrooper_squad_leader_black_gold.iff', '0', '0', '0', '0', '4692.93', '0', '-5765.18', '42', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1599', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '4684.86', '0', '-5756.71', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1600', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '4689.45', '0', '-5757.47', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1601', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '4694.15', '0', '-5767.79', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1602', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '4694.57', '0', '-5762.37', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1603', '0', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '4691.71', '0', '-5762.57', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1604', '0', '0', 'object/mobile/dressed_imperial_major_cold_m.iff', '0', '0', '0', '0', '4624.33', '0', '-5777.45', '21', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1605', '0', '0', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '4677.37', '0', '-5746.04', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1606', '0', '0', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '4677.03', '0', '-5759.58', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1607', '0', '0', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '4672.21', '0', '-5745.12', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1608', '0', '0', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '4675.69', '0', '-5743.78', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1609', '0', '0', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '4683.4', '0', '-5742.15', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1610', '0', '0', 'object/mobile/atst.iff', '0', '0', '0', '0', '4581.42', '0', '-5771.01', '100', 'neutral', '128', '0', '1800');
INSERT INTO `world_server_static_spawns` VALUES ('1611', '0', '2715881', 'object/mobile/dressed_imperial_lieutenant_m.iff', '0', '0', '0', '0', '-0.270963', '0.125265', '-0.966894', '31', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1612', '0', '2715959', 'object/mobile/dressed_imperial_soldier_m.iff', '0', '0', '0', '0', '0.967033', '0.125264', '-2.30098', '15', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1613', '0', '2715959', 'object/mobile/dressed_imperial_soldier_m.iff', '0', '0', '0', '0', '1.49', '0.125264', '-1.76992', '15', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1614', '0', '2715916', 'object/mobile/dressed_imperial_soldier_m.iff', '0', '0', '0', '0', '0.653544', '0.125264', '-3.43094', '15', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1615', '0', '2715916', 'object/mobile/dressed_imperial_soldier_m.iff', '0', '0', '0', '0', '0.270573', '0.125265', '-2.43859', '15', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1616', '0', '2716032', 'object/mobile/dressed_stormtrooper_medic_m.iff', '0', '0', '0', '0', '-0.908103', '0.125265', '-0.261074', '1', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1617', '0', '2716035', 'object/mobile/dressed_scout_trooper_black_black.iff', '0', '0', '0', '0', '-2.81023', '0.125266', '-4.08048', '29', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1618', '0', '2716039', 'object/mobile/dressed_imperial_lieutenant_m.iff', '0', '0', '0', '0', '0.00836489', '0.125265', '-0.74699', '60', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1619', '0', '2715952', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-0.537195', '0.125265', '-1.44629', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1620', '0', '2715952', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-1.74', '0.125266', '-3.44346', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1621', '0', '2715909', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-1.02819', '0.125265', '0.987271', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1622', '0', '2715909', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-1.49', '0.125265', '0.047892', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1623', '1', '0', 'object/mobile/dressed_dark_jedi_human_male_01.iff', '0', '0', '0', '0', '-741', '0', '2102', '291', 'neutral', '128', '35', '432000');
INSERT INTO `world_server_static_spawns` VALUES ('1624', '1', '0', 'object/mobile/dressed_dark_jedi_human_male_01.iff', '0', '0', '0', '0', '3436.9', '0', '4975.92', '291', 'neutral', '128', '35', '7200');
INSERT INTO `world_server_static_spawns` VALUES ('1625', '1', '0', 'object/mobile/dressed_dark_jedi_human_female_01.iff', '0', '0', '0', '0', '2717.46', '0', '7318.41', '265', 'neutral', '128', '35', '7200');
INSERT INTO `world_server_static_spawns` VALUES ('1626', '1', '0', 'object/mobile/dressed_dark_jedi_human_male_01.iff', '0', '0', '0', '0', '2387.52', '0', '1825.22', '291', 'neutral', '128', '35', '7200');
INSERT INTO `world_server_static_spawns` VALUES ('1627', '1', '0', 'object/mobile/dressed_dark_jedi_human_female_01.iff', '0', '0', '0', '0', '3900.39', '0', '1351.22', '265', 'neutral', '128', '35', '7200');
INSERT INTO `world_server_static_spawns` VALUES ('1628', '1', '0', 'object/mobile/dressed_dark_jedi_human_male_01.iff', '0', '0', '0', '0', '-1186.7', '0', '4247.51', '291', 'neutral', '128', '35', '7200');
INSERT INTO `world_server_static_spawns` VALUES ('1629', '1', '0', 'object/mobile/dressed_dark_jedi_human_female_01.iff', '0', '0', '0', '0', '-2567.11', '0', '1162.01', '265', 'neutral', '128', '35', '7200');
INSERT INTO `world_server_static_spawns` VALUES ('1630', '1', '0', 'object/mobile/dressed_dark_jedi_human_male_01.iff', '0', '0', '0', '0', '-3887.19', '0', '579.782', '291', 'neutral', '128', '35', '7200');
INSERT INTO `world_server_static_spawns` VALUES ('1631', '1', '0', 'object/mobile/dressed_dark_jedi_human_female_01.iff', '0', '0', '0', '0', '727.973', '0', '1123.35', '265', 'neutral', '128', '35', '7200');
INSERT INTO `world_server_static_spawns` VALUES ('1632', '1', '0', 'object/mobile/dressed_dark_jedi_human_male_01.iff', '0', '0', '0', '0', '5744', '0', '2477.23', '291', 'neutral', '128', '35', '7200');
INSERT INTO `world_server_static_spawns` VALUES ('1633', '1', '0', 'object/mobile/dressed_dark_jedi_human_female_01.iff', '0', '0', '0', '0', '-383.984', '0', '5137.83', '265', 'neutral', '128', '35', '7200');
INSERT INTO `world_server_static_spawns` VALUES ('1634', '1', '0', 'object/mobile/dressed_dark_jedi_human_male_01.iff', '0', '0', '0', '0', '-6268.76', '0', '3261.04', '291', 'neutral', '128', '35', '7200');
INSERT INTO `world_server_static_spawns` VALUES ('1635', '1', '0', 'object/mobile/dressed_dark_jedi_human_female_01.iff', '0', '0', '0', '0', '-4645.47', '0', '5467.63', '265', 'neutral', '128', '35', '7200');
INSERT INTO `world_server_static_spawns` VALUES ('1636', '1', '0', 'object/mobile/dressed_dark_jedi_human_male_01.iff', '0', '0', '0', '0', '-3943.23', '0', '4274.58', '291', 'neutral', '128', '35', '7200');
INSERT INTO `world_server_static_spawns` VALUES ('1637', '1', '0', 'object/mobile/dressed_dark_jedi_human_female_01.iff', '0', '0', '0', '0', '4910.22', '0', '3229.79', '265', 'neutral', '128', '35', '7200');
INSERT INTO `world_server_static_spawns` VALUES ('1638', '1', '0', 'object/mobile/dressed_dark_jedi_human_male_01.iff', '0', '0', '0', '0', '6421.86', '0', '-5442.1', '291', 'neutral', '128', '35', '7200');
INSERT INTO `world_server_static_spawns` VALUES ('1639', '1', '0', 'object/mobile/dressed_dark_jedi_human_female_01.iff', '0', '0', '0', '0', '-511.323', '0', '-1701.83', '265', 'neutral', '128', '35', '7200');
INSERT INTO `world_server_static_spawns` VALUES ('1640', '1', '0', 'object/mobile/dressed_dark_jedi_human_male_01.iff', '0', '0', '0', '0', '-2778.39', '0', '-5775.81', '291', 'neutral', '128', '35', '7200');
INSERT INTO `world_server_static_spawns` VALUES ('1641', '1', '0', 'object/mobile/dressed_dark_jedi_human_female_01.iff', '0', '0', '0', '0', '3849.69', '0', '-7343.21', '265', 'neutral', '128', '35', '7200');
INSERT INTO `world_server_static_spawns` VALUES ('1642', '1', '0', 'object/mobile/dressed_dark_jedi_human_male_01.iff', '0', '0', '0', '0', '1857.13', '0', '-8006', '291', 'neutral', '128', '35', '7200');
INSERT INTO `world_server_static_spawns` VALUES ('1643', '1', '0', 'object/mobile/dressed_dark_jedi_human_female_01.iff', '0', '0', '0', '0', '6873.48', '0', '-3049.86', '265', 'neutral', '128', '35', '7200');
INSERT INTO `world_server_static_spawns` VALUES ('1644', '1', '0', 'object/mobile/dressed_dark_jedi_human_male_01.iff', '0', '0', '0', '0', '-3440.92', '0', '-606.727', '500', 'neutral', '128', '35', '1200');
INSERT INTO `world_server_static_spawns` VALUES ('1645', '1', '6555563', 'object/mobile/dressed_rebel_first_lieutenant_bothan_male_01.iff', '0', '0', '0', '0', '16.15', '1.01', '-1.65', '20', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1646', '1', '6555566', 'object/mobile/dressed_rebel_commando_human_female_01.iff', '0', '0', '0', '0', '-14.35', '1.01', '-21.61', '30', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1647', '1', '6555568', 'object/mobile/dressed_rebel_commando_human_female_01.iff', '0', '0', '0', '0', '-2.51', '7.00964', '-11.8', '30', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1648', '1', '6555568', 'object/mobile/dressed_rebel_general_moncal_male_01.iff', '0', '0', '0', '0', '-4.96', '7.0096', '-10.23', '60', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1649', '1', '6555568', 'object/mobile/dressed_rebel_commando_human_female_01.iff', '0', '0', '0', '0', '-2.23', '7.00965', '-8.86', '30', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1650', '1', '6555560', 'object/mobile/dressed_rebel_commando_human_female_01.iff', '0', '0', '0', '0', '-2.64471', '1.01', '-8.28112', '30', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1651', '1', '6555560', 'object/mobile/dressed_rebel_commando_human_female_01.iff', '0', '0', '0', '0', '-0.651597', '1.01', '-0.581735', '30', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1652', '1', '0', 'object/mobile/dressed_rebel_commando_human_female_01.iff', '0', '0', '0', '0', '-6817.92', '0', '5511.86', '30', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1653', '1', '0', 'object/mobile/dressed_rebel_commando_human_female_01.iff', '0', '0', '0', '0', '-6654.55', '0', '5560.66', '30', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1654', '1', '0', 'object/mobile/dressed_rebel_commando_human_female_01.iff', '0', '0', '0', '0', '-6651.86', '0', '5562.06', '30', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1655', '1', '0', 'object/mobile/dressed_rebel_commando_human_female_01.iff', '0', '0', '0', '0', '-6655.8', '0', '5563.41', '30', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1656', '1', '0', 'object/mobile/dressed_rebel_commando_human_female_01.iff', '0', '0', '0', '0', '-6653.01', '0', '5558.52', '30', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1657', '1', '0', 'object/mobile/graul.iff', '0', '0', '0', '0', '-6516.84', '0', '5451.89', '30', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1658', '1', '0', 'object/mobile/graul.iff', '0', '0', '0', '0', '-6515.84', '0', '5452.89', '30', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1659', '1', '0', 'object/mobile/graul.iff', '0', '0', '0', '0', '-6529.23', '0', '5497.17', '30', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1660', '1', '0', 'object/mobile/graul.iff', '0', '0', '0', '0', '-6552.55', '0', '5483.52', '30', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1661', '1', '0', 'object/mobile/graul.iff', '0', '0', '0', '0', '-6534.99', '0', '5483.8', '30', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1662', '1', '0', 'object/mobile/graul.iff', '0', '0', '0', '0', '-6490.51', '0', '5482.89', '30', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1663', '1', '0', 'object/mobile/graul.iff', '0', '0', '0', '0', '-6541.68', '0', '5490.57', '30', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1664', '1', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_05.iff', '0', '0.80003', '0', '0.59996', '-4203.91', '3', '-2357.54', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1665', '1', '0', 'object/mobile/dressed_sg_567.iff', '0', '-0.400283', '0', '0.916391', '-4216.85', '3', '-2434.33', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1666', '1', '0', 'object/mobile/dressed_commoner_old_human_male_02.iff', '0', '0.967903', '0', '0.251324', '-4234.61', '3', '-2380.77', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1667', '1', '0', 'object/mobile/dressed_commoner_old_human_male_02.iff', '0', '0.965258', '0', '0.261298', '-4244.41', '3', '-2373.1', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1668', '1', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_08.iff', '0', '0.75958', '0', '-0.650414', '-4271.55', '3', '-2390.92', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1669', '1', '0', 'object/mobile/dressed_commoner_naboo_human_male_04.iff', '0', '-0.631653', '0', '0.775251', '-4258.64', '3', '-2425.92', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1670', '1', '0', 'object/mobile/dressed_commoner_naboo_twilek_female_01.iff', '0', '0.877873', '0', '0.478893', '-4229.36', '3', '-2423.44', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1671', '1', '0', 'object/mobile/dressed_commoner_fat_zabrak_male_02.iff', '0', '0.653585', '0', '0.756853', '-4210.71', '3', '-2411.83', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1672', '1', '0', 'object/mobile/dressed_commoner_tatooine_bith_female_04.iff', '0', '0.884527', '0', '0.466489', '-4221.08', '3', '-2370.49', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1673', '1', '0', 'object/mobile/dressed_noble_twilek_male_01.iff', '0', '0.668221', '0', '0.743963', '-4260.55', '3', '-2383.98', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1674', '1', '0', 'object/mobile/dressed_noble_old_human_male_01.iff', '0', '0.167647', '0', '0.985847', '-4223.3', '3', '-2410.04', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1675', '1', '0', 'object/mobile/dressed_commoner_naboo_human_male_06.iff', '0', '-0.0189442', '0', '0.999821', '-4214.17', '3', '-2394.5', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1676', '1', '0', 'object/mobile/space_greeter_dantooine_imperial_pilot.iff', '0', '0.777072', '0', '-0.629412', '-4221.97', '3', '-2386.5', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1677', '1', '0', 'object/mobile/space_greeter_dantooine_imperial_officer.iff', '0', '0.194346', '0', '0.980933', '-4223.47', '3', '-2385.89', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1678', '1', '0', 'object/mobile/dressed_lx_466.iff', '0', '-0.127648', '0', '0.99182', '-4181.94', '3', '-2385.99', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1679', '1', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_06.iff', '0', '0.980452', '0', '0.19676', '-4182.56', '3', '-2422.72', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1680', '1', '0', 'object/mobile/dressed_commoner_tatooine_bith_male_06.iff', '0', '0.945199', '0', '0.326495', '-4186.81', '3', '-2388.66', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1681', '1', '0', 'object/mobile/cll8_binary_load_lifter.iff', '0', '0.874139', '0', '-0.485675', '-4244.24', '3', '-2381.33', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1682', '1', '0', 'object/mobile/r4.iff', '0', '0.710917', '0', '-0.703276', '-4227.33', '3', '-2366.11', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1683', '1', '0', 'object/mobile/dressed_imperial_officer_m_2.iff', '0', '0', '0', '0', '-4249.26', '0', '-2402.07', '15', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1684', '1', '0', 'object/mobile/r5.iff', '0', '0.413473', '0', '0.910517', '-4228.33', '3', '-2367.11', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1685', '1', '0', 'object/mobile/atst.iff', '0', '0', '0', '0', '-4230.1', '0', '-2316.49', '100', 'neutral', '128', '0', '1800');
INSERT INTO `world_server_static_spawns` VALUES ('1686', '1', '0', 'object/mobile/atst.iff', '0', '0', '0', '0', '-4230.77', '0', '-2475.27', '100', 'neutral', '128', '0', '1800');
INSERT INTO `world_server_static_spawns` VALUES ('1687', '1', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-4244.07', '0', '-2396.45', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1688', '1', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-4286.83', '0', '-2413.73', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1689', '1', '0', 'object/mobile/dressed_imperial_captain_m.iff', '0', '0', '0', '0', '-4300.4', '0', '-2424.1', '1', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1690', '1', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-4184.38', '0', '-2416.56', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1691', '1', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-4272.85', '0', '-2400.75', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1692', '1', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-4253.38', '0', '-2482.54', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1693', '1', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-4225.88', '0', '-2393.57', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1694', '1', '0', 'object/mobile/dressed_imperial_officer_m_2.iff', '0', '0', '0', '0', '-4134.42', '0', '-2392.06', '15', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1695', '1', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-4132.65', '0', '-2391.12', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1696', '1', '0', 'object/mobile/dressed_imperial_captain_m.iff', '0', '0', '0', '0', '-4198.16', '0', '-2419.87', '1', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1697', '1', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-4229.44', '0', '-2388.45', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1698', '1', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-4227.09', '0', '-2393.93', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1699', '1', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-4243.12', '0', '-2410.11', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1700', '1', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-4302.66', '0', '-2425.25', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1701', '1', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-4298.16', '0', '-2424.08', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1702', '1', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-4211.84', '0', '-2380.47', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1703', '1', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-4223.73', '0', '-2414.93', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1704', '1', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-4205.11', '0', '-2333.57', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1705', '1', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-4229.11', '0', '-2394.68', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1706', '1', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-4232.87', '0', '-2383.02', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1707', '1', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-4249.4', '0', '-2402.41', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1708', '1', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-4243.7', '0', '-2400.93', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1709', '1', '0', 'object/mobile/dressed_commoner_naboo_bothan_male_02.iff', '0', '0.279226', '0', '0.960225', '-4196.58', '3', '-2425.71', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1710', '1', '1365879', 'object/mobile/dressed_jatrian_lytus.iff', '0', '0.966681', '0', '-0.255984', '3.1801', '0.125266', '3.64218', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1711', '1', '1365878', 'object/mobile/space_imperial_tier4_corellia_nin_gursawe.iff', '0', '-0.13459', '0', '0.990901', '0.0282143', '0.125265', '-5.72625', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1712', '1', '1380125', 'object/mobile/dressed_xaan_talmaron.iff', '0', '0.985139', '0', '0.171757', '0.923707', '0.125264', '-4.46262', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1713', '1', '0', 'object/mobile/dressed_commoner_fat_zabrak_male_02.iff', '0', '-0.163214', '0', '0.986591', '-643.274', '3', '2449.17', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1714', '1', '0', 'object/mobile/dressed_kelvus_naria.iff', '0', '0.480093', '0', '0.877217', '-618.741', '3', '2539.25', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1715', '1', '0', 'object/mobile/dressed_imperial_colonel_m.iff', '0', '0', '0', '0', '-588.773', '0', '2499.09', '1', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1716', '1', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_07.iff', '0', '0.141904', '0', '0.98988', '-600.968', '3', '2548.6', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1717', '1', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_05.iff', '0', '0.255434', '0', '0.966827', '-580.478', '3', '2530.11', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1718', '1', '0', 'object/mobile/dressed_commoner_naboo_human_male_01.iff', '0', '0.967302', '0', '-0.253626', '-611.019', '3', '2533.14', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1719', '1', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_08.iff', '0', '0.96566', '0', '0.25981', '-628.867', '3', '2509.38', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1720', '1', '0', 'object/mobile/dressed_commoner_tatooine_sullustan_male_05.iff', '0', '0.616942', '0', '0.787009', '-615.606', '3', '2518.01', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1721', '1', '0', 'object/mobile/dressed_commoner_tatooine_sullustan_male_06.iff', '0', '-0.21918', '0', '0.975684', '-621.333', '3', '2500.8', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1722', '1', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_01.iff', '0', '0.738639', '0', '-0.674101', '-641.029', '3', '2472.4', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1723', '1', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_07.iff', '0', '0.722465', '0', '0.691408', '-662.38', '3', '2482.07', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1724', '1', '0', 'object/mobile/dressed_commoner_tatooine_rodian_male_02.iff', '0', '0.125235', '0', '0.992127', '-655.95', '3', '2461.93', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1725', '1', '0', 'object/mobile/dressed_commoner_naboo_zabrak_male_02.iff', '0', '-0.481835', '0', '0.876262', '-631.376', '3', '2463.32', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1726', '1', '0', 'object/mobile/dressed_commoner_naboo_moncal_male_02.iff', '0', '0.59682', '0', '0.802375', '-647.258', '3', '2449.17', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1727', '1', '0', 'object/mobile/dressed_commoner_tatooine_bith_female_01.iff', '0', '-0.408592', '0', '0.912717', '-611.222', '3', '2488.13', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1728', '1', '0', 'object/mobile/dressed_commoner_tatooine_rodian_male_03.iff', '0', '-0.60843', '0', '0.793607', '-602.673', '3', '2506.74', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1729', '1', '0', 'object/mobile/dressed_commoner_naboo_human_female_02.iff', '0', '0.437641', '0', '0.89915', '-568.808', '3', '2511.52', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1730', '1', '0', 'object/mobile/dressed_commoner_naboo_human_male_06.iff', '0', '-0.122515', '0', '0.992467', '-603.801', '3', '2485.05', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1731', '1', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_06.iff', '0', '0.999877', '0', '-0.0156575', '-647.671', '3', '2456.81', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1732', '1', '0', 'object/mobile/dressed_robber_human_female_01.iff', '0', '-0.635923', '0', '0.771753', '-620.832', '3', '2450.5', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1733', '1', '0', 'object/mobile/dressed_commoner_naboo_human_male_07.iff', '0', '0.97661', '0', '0.215017', '-636.026', '3', '2507.14', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1734', '1', '0', 'object/mobile/dressed_commoner_old_zabrak_female_02.iff', '0', '0.3105', '0', '0.950573', '-575.794', '3', '2503.31', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1735', '1', '0', 'object/mobile/dressed_commoner_tatooine_sullustan_male_06.iff', '0', '0.655673', '0', '0.755045', '-627.488', '3', '2531.97', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1736', '1', '0', 'object/mobile/space_greeter_dantooine_brother_rebel.iff', '0', '0.964066', '0', '0.265663', '-623.484', '3', '2481.77', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1737', '1', '0', 'object/mobile/space_greeter_dantooine_brother_imperial.iff', '0', '0.864544', '0', '0.502557', '-625.684', '3', '2481.19', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1738', '1', '0', 'object/mobile/space_greeter_dantooine_brother_neutral.iff', '0', '0.687605', '0', '0.726085', '-625.457', '3', '2479.41', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1739', '1', '0', 'object/mobile/r2.iff', '0', '-0.0536428', '0', '0.99856', '-635.747', '3', '2503.81', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1740', '1', '0', 'object/mobile/r4.iff', '0', '0.872391', '0', '0.488808', '-666.582', '3', '2494.33', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1741', '1', '0', 'object/mobile/r4.iff', '0', '0.903361', '0', '0.42888', '-643.739', '3', '2506.86', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1742', '1', '0', 'object/mobile/dressed_mercenary_messanger_sullustan_m.iff', '0', '0.403497', '0', '0.914981', '-594.593', '3', '2500.3', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1743', '1', '0', 'object/mobile/dressed_rebel_commando_rodian_male_01.iff', '0', '0.812263', '0', '0.583292', '-562.046', '3', '2512.59', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1744', '1', '0', 'object/mobile/dressed_mercenary_weak_hum_m.iff', '0', '0.756042', '0', '-0.654524', '-665.552', '3', '2462.61', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1745', '1', '0', 'object/mobile/dressed_rebel_commando_zabrak_female_01.iff', '0', '-0.383965', '0', '0.923348', '-616.905', '3', '2509.46', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1746', '1', '0', 'object/mobile/dressed_mercenary_messanger_sullustan_m.iff', '0', '-0.218563', '0', '0.975823', '-658.186', '3', '2480.4', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1747', '1', '0', 'object/mobile/dressed_mercenary_messanger_rod_m.iff', '0', '0.870132', '0', '0.492818', '-665.821', '3', '2465.46', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1748', '1', '6205566', 'object/mobile/dressed_commoner_tatooine_rodian_female_03.iff', '9.30971e-09', '0.669637', '-8.39399e-09', '0.742689', '-7.99398', '0.624999', '-6.06077', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1749', '1', '6205565', 'object/mobile/space_privateer_tier4_corellia_adwan.iff', '0', '0.662155', '0', '0.749367', '-9.37871', '0.625', '2.98841', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1750', '1', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_04.iff', '0', '0.37387', '0', '0.927481', '1547.06', '4', '-6398.33', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1751', '1', '0', 'object/mobile/dressed_commoner_old_zabrak_male_02.iff', '0', '0.799828', '0', '0.600229', '1558.4', '4', '-6429.77', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1752', '1', '0', 'object/mobile/dressed_commoner_old_human_male_01.iff', '0', '-0.136918', '0', '0.990582', '1544.58', '4', '-6415.22', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1753', '1', '0', 'object/mobile/junk_quich.iff', '0', '0.410627', '0', '0.911804', '1579.04', '4', '-6374.52', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1754', '1', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_07.iff', '0', '0.969249', '0', '-0.246081', '1597.65', '4', '-6416.21', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1755', '1', '0', 'object/mobile/space_greeter_dantooine_old_pilot.iff', '0', '0.609149', '0', '0.793056', '1572.26', '4', '-6417.06', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1756', '1', '0', 'object/mobile/dressed_commoner_naboo_zabrak_female_02.iff', '0', '0.338149', '0', '0.941092', '1629.53', '4', '-6370.75', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1757', '1', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_07.iff', '0', '0.984511', '0', '-0.17532', '1580.07', '4', '-6439.9', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1758', '1', '0', 'object/mobile/dressed_doctor_trainer_human_female_01.iff', '0', '0.0610848', '0', '0.998133', '1583.4', '4', '-6439.85', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1759', '1', '0', 'object/mobile/dressed_noble_human_female_02.iff', '0', '0.949242', '0', '0.314546', '1558.14', '4', '-6367.31', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1760', '1', '0', 'object/mobile/dressed_commoner_tatooine_trandoshan_male_02.iff', '0', '-0.474324', '0', '0.88035', '1571.08', '4', '-6397.15', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1761', '1', '0', 'object/mobile/dressed_commoner_tatooine_bith_female_03.iff', '0', '0.996365', '0', '-0.0851884', '1586.55', '4', '-6398.11', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1762', '1', '0', 'object/mobile/dressed_commoner_naboo_human_male_07.iff', '0', '-0.307205', '0', '0.951643', '1575.17', '4', '-6396.26', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1763', '1', '0', 'object/mobile/dressed_commoner_tatooine_rodian_male_03.iff', '0', '0.999862', '0', '0.0165832', '1570', '4', '-6370.36', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1764', '1', '0', 'object/mobile/dressed_commoner_naboo_human_female_04.iff', '0', '-0.592754', '0', '0.805383', '1545.76', '4', '-6370.85', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1765', '1', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_09.iff', '0', '0.839219', '0', '-0.543794', '1600.66', '4', '-6402.57', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1766', '1', '0', 'object/mobile/dressed_commoner_tatooine_trandoshan_male_02.iff', '0', '0.462934', '0', '0.886393', '1605.57', '4', '-6377.91', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1767', '1', '0', 'object/mobile/dressed_commoner_tatooine_rodian_male_02.iff', '0', '0.477835', '0', '0.878449', '1635.14', '4', '-6397.17', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1768', '1', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_08.iff', '0', '0.994527', '0', '-0.104479', '1614.39', '4', '-6428.41', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1769', '1', '0', 'object/mobile/dressed_noble_human_male_02.iff', '0', '0.781922', '0', '0.623377', '1603.42', '4', '-6434.54', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1770', '1', '0', 'object/mobile/dressed_goon_twk_female_01.iff', '0', '0.816582', '0', '0.577229', '1601.5', '4', '-6367.13', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1771', '1', '0', 'object/mobile/cll8_binary_load_lifter.iff', '0', '-0.396918', '0', '0.917854', '1573.25', '4', '-6412.41', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1772', '1', '0', 'object/mobile/r3.iff', '0', '0.646507', '0', '0.762908', '1592.98', '4', '-6400.58', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1773', '1', '0', 'object/mobile/r2.iff', '0', '0.568216', '0', '0.822879', '1583.12', '4', '-6407.59', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1774', '1', '0', 'object/mobile/dressed_criminal_assassin_human_female_01.iff', '0', '0.296516', '0', '0.955028', '1539.16', '4', '-6407.03', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1775', '1', '0', 'object/mobile/dressed_villain_trandoshan_male_01.iff', '0', '-0.32693', '0', '0.945049', '1635.07', '4', '-6402.37', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1776', '1', '0', 'object/mobile/dressed_villain_trandoshan_male_01.iff', '0', '-0.32698', '0', '0.945031', '1636.98', '4', '-6402.56', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1777', '1', '0', 'object/mobile/dressed_criminal_smuggler_human_male_01.iff', '0', '0.997114', '0', '-0.0759149', '1556.88', '4', '-6411.9', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1778', '1', '6205499', 'object/mobile/dressed_commoner_tatooine_sullustan_male_06.iff', '0', '0.844914', '0', '-0.534902', '8.90672', '0.625', '-2.94252', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1779', '1', '6205498', 'object/mobile/dressed_commoner_tatooine_bith_male_04.iff', '0', '0.997197', '0', '-0.0748175', '-7.77368', '0.624999', '-5.2158', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('1780', '1', '8535484', 'object/mobile/dressed_dark_jedi_human_male_01.iff', '0', '0', '0', '0', '50.056', '-47.4545', '-6.97608', '115', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1781', '1', '8535484', 'object/mobile/dressed_dark_jedi_human_male_01.iff', '0', '0', '0', '0', '51.387', '-47.8643', '-5.9065', '115', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1782', '1', '8535484', 'object/mobile/dressed_dark_jedi_human_male_01.iff', '0', '0', '0', '0', '51.5238', '-48.6576', '-64.4212', '115', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1783', '1', '8535484', 'object/mobile/dressed_dark_jedi_human_male_01.iff', '0', '0', '0', '0', '53.0072', '-68.0963', '-40.6676', '115', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1784', '1', '8535484', 'object/mobile/dressed_dark_jedi_human_male_01.iff', '0', '0', '0', '0', '54.4778', '-68.2985', '-40.363', '115', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1785', '1', '8535486', 'object/mobile/dressed_dark_jedi_human_male_01.iff', '0', '0', '0', '0', '68.0795', '-75.4798', '-56.001', '115', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1786', '1', '8535486', 'object/mobile/dressed_dark_jedi_human_male_01.iff', '0', '0', '0', '0', '70.3888', '-75.3941', '-56.9811', '115', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1787', '1', '8535486', 'object/mobile/dressed_dark_jedi_human_male_01.iff', '0', '0', '0', '0', '87.7348', '-76.5133', '-66.0111', '115', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1788', '1', '8535486', 'object/mobile/dressed_dark_jedi_human_male_01.iff', '0', '0', '0', '0', '88.5358', '-76.431', '-66.9858', '115', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1789', '1', '8535486', 'object/mobile/dressed_dark_jedi_human_male_01.iff', '0', '0', '0', '0', '66.0897', '-75.4689', '-64.6093', '115', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1790', '1', '8535486', 'object/mobile/dressed_dark_jedi_human_male_01.iff', '0', '0', '0', '0', '65.1141', '-75.4725', '-64.8087', '115', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1791', '1', '8535486', 'object/mobile/dressed_dark_jedi_human_male_01.iff', '0', '0', '0', '0', '75.2572', '-76.9339', '-88.0694', '115', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1792', '1', '8535486', 'object/mobile/dressed_dark_jedi_human_male_01.iff', '0', '0', '0', '0', '75.9547', '-76.8223', '-87.7808', '115', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1793', '1', '8535486', 'object/mobile/dressed_dark_jedi_human_male_01.iff', '0', '0', '0', '0', '91.1268', '-76.3305', '-82.3623', '115', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1794', '1', '8535486', 'object/mobile/dressed_dark_jedi_human_male_01.iff', '0', '0', '0', '0', '89.6152', '-76.5638', '-83.1857', '115', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1795', '1', '529323', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '12.4066', '-14.5825', '-6.14652', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1796', '1', '529324', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '11.1081', '-23.6347', '-27.6997', '55', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1797', '1', '529324', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '10.552', '-23.7417', '-28.5074', '55', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1798', '1', '529324', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-11.5333', '-37.5021', '-46.877', '42', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1799', '1', '529324', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-11.5333', '-36.5021', '-46.877', '42', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1800', '1', '529324', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-7.87624', '-37.3107', '-48.0534', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1801', '1', '529325', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-11.9629', '-40.5899', '-81.2233', '60', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1802', '1', '529325', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-11.9617', '-39.5898', '-81.226', '60', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1803', '1', '529325', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '8.72339', '-39.6303', '-72.8587', '60', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1804', '1', '529325', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '8.72339', '-40.6303', '-72.8587', '60', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1805', '1', '529325', 'object/mobile/dantari_female.iff', '0', '0', '0', '0', '13.9133', '-40.7894', '-72.0311', '20', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1806', '1', '529325', 'object/mobile/dantari_female.iff', '0', '0', '0', '0', '15.5467', '-40.6371', '-73.6737', '20', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1807', '1', '529325', 'object/mobile/dantari_female.iff', '0', '0', '0', '0', '19.1447', '-40.7183', '-73.3561', '20', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1808', '1', '529326', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '41.9375', '-46.3636', '-54.5361', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1809', '1', '529326', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '41.938', '-46.3638', '-55.4142', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1810', '1', '529326', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '51.7596', '-45.9209', '-93.118', '60', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1811', '1', '529326', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '50.9833', '-46.02', '-93.8796', '60', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1812', '1', '529326', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '48.6521', '-46.1357', '-96.0323', '60', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1813', '1', '529327', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '21.6924', '-45.732', '-114.071', '40', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1814', '1', '529327', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '21.6924', '-46.732', '-115.071', '40', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1815', '1', '529327', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '20.4605', '-45.6601', '-113.634', '40', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1816', '1', '529327', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '0.408354', '-44.8273', '-139.944', '27', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1817', '1', '529327', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '0.392025', '-44.8285', '-139.956', '27', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1818', '1', '529327', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-8.38402', '-44.9718', '-143.266', '27', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1819', '1', '529327', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-9.87134', '-44.5888', '-139.159', '27', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1820', '1', '529327', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '60.3726', '-45.8467', '-121.211', '60', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1821', '1', '529327', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '61.2077', '-46.7477', '-124.879', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1822', '1', '529327', 'object/mobile/dantari_female.iff', '0', '0', '0', '0', '30.9984', '-51.7811', '-140.954', '20', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1823', '1', '529327', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '31.8162', '-51.86', '-140.87', '60', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1824', '1', '529327', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '27.5708', '-51.5033', '-141.555', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1825', '1', '529327', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '63.3416', '-53.9263', '-145.854', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1826', '1', '529327', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '70.0869', '-53.5352', '-144.593', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1827', '1', '529327', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '71.1204', '-53.9235', '-146.156', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1828', '1', '529327', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '73.0166', '-53.5581', '-146.393', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1829', '1', '529327', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '74.6082', '-53.6206', '-147.674', '60', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1830', '1', '529327', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '72.8704', '-54.1437', '-148.613', '60', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1831', '1', '529327', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '72.8321', '-54.151', '-148.636', '60', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1832', '1', '529328', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '8.21305', '-63.8513', '-183.039', '40', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1833', '1', '529328', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '7.32497', '-63.8716', '-181.735', '40', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1834', '1', '529328', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '7.32497', '-61.8716', '-180.735', '40', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1835', '1', '529329', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-5.7547', '-65.2814', '-207.151', '55', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1836', '1', '529329', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-13.712', '-65.5437', '-209.038', '55', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1837', '1', '529329', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-20.1138', '-65.2177', '-214.255', '55', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1838', '1', '529329', 'object/mobile/dantari_female.iff', '0', '0', '0', '0', '-3.70887', '-63.9975', '-233.39', '20', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1839', '1', '529329', 'object/mobile/dantari_female.iff', '0', '0', '0', '0', '-3.70891', '-63.9975', '-233.391', '20', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1840', '1', '529329', 'object/mobile/dantari_female.iff', '0', '0', '0', '0', '-4.1058', '-64.0534', '-234.308', '20', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1841', '1', '529329', 'object/mobile/dantari_female.iff', '0', '0', '0', '0', '-2.4743', '-64.0266', '-235.804', '20', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1842', '1', '529329', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-2.34874', '-63.1429', '-236.072', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1843', '1', '529329', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-2.35353', '-64.1478', '-237.12', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1844', '1', '529329', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-16.2829', '-63.9134', '-258.716', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1845', '1', '529329', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-9.7052', '-63.7529', '-260.759', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1846', '1', '529329', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-11.6882', '-62.9534', '-261.979', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1847', '1', '529329', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-12.206', '-62.9622', '-261.962', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1848', '1', '529329', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-14.7347', '-63.0278', '-261.263', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1849', '1', '529329', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-23.7427', '-63.5171', '-256.785', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1850', '1', '529330', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-53.6536', '-70.0252', '-185.05', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1851', '1', '529330', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-54.6536', '-71.0252', '-184.05', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1852', '1', '529330', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-53.4112', '-70.672', '-182.469', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1853', '1', '529330', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-57.1904', '-71.05', '-181.517', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1854', '1', '529330', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-68.7213', '-69.7445', '-166.462', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1855', '1', '529330', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-68.1388', '-69.841', '-163.666', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1856', '1', '529330', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-68.1406', '-69.8417', '-164.663', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1857', '1', '529330', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-69.4139', '-70.3658', '-160.849', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1858', '1', '529330', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-70.7271', '-70.8252', '-155.16', '27', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1859', '1', '529330', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-90.1643', '-73.0995', '-170.01', '40', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1860', '1', '529330', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-90.1643', '-73.0995', '-169.01', '40', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1861', '1', '529330', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-90.9311', '-73.2205', '-172.997', '40', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1862', '1', '529330', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-90.9337', '-73.222', '-173.006', '40', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1863', '1', '529330', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-92.9627', '-73.3059', '-174.617', '40', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1864', '1', '529330', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-96.2223', '-73.061', '-174.957', '40', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1865', '1', '529330', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-97.5733', '-72.8324', '-173.492', '40', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1866', '1', '529330', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-97.5232', '-73.0605', '-171.499', '40', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1867', '1', '529330', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-96.4344', '-73.5075', '-169.481', '40', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1868', '1', '529330', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-95.201', '-73.8589', '-168.446', '40', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1869', '1', '529330', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-98.4775', '-69.0244', '-131.988', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1870', '1', '529330', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-99.4775', '-69.0244', '-133.988', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1871', '1', '529330', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-100.778', '-68.8923', '-135.376', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1872', '1', '529331', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-70.4259', '-70.4358', '-86.1143', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1873', '1', '529331', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-68.7838', '-70.5731', '-86.4943', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1874', '1', '529331', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-63.6591', '-70.6302', '-85.8611', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1875', '1', '529331', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-57.7496', '-70.1578', '-86.2185', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1876', '1', '529331', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-41.7721', '-70.376', '-84.0982', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1877', '1', '529331', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-38.6726', '-70.7634', '-85.6757', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1878', '1', '529331', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-35.6', '-71.2449', '-85.6534', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1879', '1', '529331', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-32.6185', '-70.9111', '-84.7599', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1880', '1', '529331', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-29.8434', '-70.4906', '-85.2122', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1881', '1', '529331', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-12.3675', '-69.0273', '-94.365', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1882', '1', '529331', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-9.98538', '-68.8669', '-97.9737', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1883', '1', '529331', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-9.16426', '-68.0933', '-101.977', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1884', '1', '529331', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-50.5919', '-68.8513', '-109.696', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1885', '1', '529331', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-52.1995', '-68.7031', '-109.638', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1886', '1', '529332', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-21.0804', '-79.0753', '-139.689', '51', 'neutral', '128', '33', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1887', '1', '529332', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-20.4537', '-79.0489', '-138.448', '51', 'neutral', '128', '33', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1888', '1', '529332', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-21.4537', '-79.0489', '-139.448', '51', 'neutral', '128', '33', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1889', '1', '529332', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-26.4615', '-79.0756', '-137.958', '51', 'neutral', '128', '33', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1890', '1', '529330', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-66.6057', '-95.8322', '-149.025', '51', 'neutral', '128', '33', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1891', '1', '529330', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-69.9564', '-96.9245', '-147.057', '51', 'neutral', '128', '33', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1892', '1', '529330', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-69.9564', '-96.9245', '-149.057', '51', 'neutral', '128', '33', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1893', '1', '529330', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-69.8455', '-96.9336', '-145.585', '51', 'neutral', '128', '33', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1894', '1', '529330', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-87.7488', '-102.278', '-133.056', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1895', '1', '529330', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-89.4025', '-102.366', '-133.289', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1896', '1', '529333', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-83.6196', '-99.8945', '-96.5043', '60', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1897', '1', '529333', 'object/mobile/dantari_female.iff', '0', '0', '0', '0', '-82.554', '-99.7393', '-95.762', '20', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1898', '1', '529333', 'object/mobile/dantari_female.iff', '0', '0', '0', '0', '-92.2355', '-100.852', '-94.8693', '20', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1899', '1', '529333', 'object/mobile/dantari_female.iff', '0', '0', '0', '0', '-94.8101', '-101.024', '-95.9428', '20', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1900', '1', '529333', 'object/mobile/dantari_female.iff', '0', '0', '0', '0', '-95.2344', '-100.796', '-93.1419', '20', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1901', '1', '529333', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-90.9865', '-99.6535', '-89.6284', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1902', '1', '529375', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-14.2143', '-27.6887', '-26.258', '16', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1903', '1', '529375', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-14.5814', '-27.7164', '-25.6945', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1904', '1', '529375', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-16.2474', '-28.1649', '-25.9607', '37', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1905', '1', '529375', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-16.5589', '-28.2995', '-26.4224', '37', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1906', '1', '529375', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-27.6811', '-30.485', '-15.8823', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1907', '1', '529375', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-27.8188', '-30.5681', '-16.687', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1908', '1', '529377', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-53.7822', '-39.6042', '-14.0297', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1909', '1', '529377', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-54.9096', '-40.2098', '-14.2235', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1910', '1', '529378', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-65.5722', '-46.745', '-52.2787', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1911', '1', '529378', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-65.5722', '-46.745', '-52.2787', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1912', '1', '529378', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-68.1336', '-46.9154', '-73.3115', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1913', '1', '529378', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-68.1217', '-46.9159', '-73.2691', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1914', '1', '529379', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-103.552', '-52.7528', '-61.9008', '28', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1915', '1', '529379', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-103.345', '-52.5108', '-62.7428', '71', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1916', '1', '529379', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-139.966', '-49.5672', '-62.8097', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1917', '1', '529383', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-174.559', '-49.8562', '-61.5414', '48', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1918', '1', '529383', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-173.581', '-50.0076', '-61.4772', '67', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1919', '1', '529383', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-173.613', '-50.009', '-62.856', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1920', '1', '529383', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-164.174', '-49.2708', '-84.0258', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1921', '1', '529383', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-164.174', '-49.2708', '-84.0258', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1922', '1', '529383', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-162.411', '-49.8525', '-80.8004', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1923', '1', '529383', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-158.966', '-49.8973', '-85.7471', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1924', '1', '529385', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-155.916', '-55.8922', '-122.385', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1925', '1', '529385', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-155.935', '-55.9323', '-122.113', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1926', '1', '529384', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-129.598', '-53.7365', '-83.4537', '48', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1927', '1', '529384', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-129.598', '-53.7365', '-83.4537', '48', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1928', '1', '529387', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-78.9529', '-60.4205', '-53.5309', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1929', '1', '529387', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-79.9406', '-60.4942', '-54.0314', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1930', '1', '529387', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-80.662', '-60.2249', '-53.6528', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1931', '1', '529389', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-107.378', '-58.0648', '-33.4903', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1932', '1', '529389', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-112.36', '-57.8257', '-33.4091', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1933', '1', '529389', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-112.72', '-58.301', '-29.4405', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1934', '1', '529389', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-107.381', '-58.0679', '-27.9229', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1935', '1', '529393', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-12.9245', '-35.0324', '-70.2134', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1936', '1', '529393', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-13.0769', '-35.0451', '-69.2131', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1937', '1', '529393', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-12.4304', '-35.028', '-67.917', '48', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1938', '1', '529393', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-11.8674', '-35.0311', '-73.0617', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1939', '1', '529395', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-13.9715', '-43.9283', '-97.7401', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1940', '1', '529395', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-11.8969', '-43.6334', '-95.4646', '71', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1941', '1', '529395', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-14.5376', '-44.0158', '-99.9397', '77', 'neutral', '128', '33', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1942', '1', '529395', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-11.8795', '-43.7558', '-99.4835', '77', 'neutral', '128', '33', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1943', '1', '529395', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-37.5177', '-44.7283', '-97.5924', '77', 'neutral', '128', '33', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1944', '1', '529395', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-37.7842', '-44.5795', '-96.3096', '77', 'neutral', '128', '33', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1945', '1', '529395', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-39.635', '-45.0543', '-97.9078', '77', 'neutral', '128', '33', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1946', '1', '529395', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-51.8488', '-49.2549', '-108.14', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1947', '1', '529382', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-73.0915', '-53.5126', '-114.793', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1948', '1', '529382', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-73.0941', '-53.5124', '-114.792', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1949', '1', '529382', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-74.3412', '-53.39', '-114.001', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1950', '1', '529382', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-73.3369', '-53.4132', '-112.392', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1951', '1', '529396', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-125.545', '-53.9573', '-112.043', '77', 'neutral', '128', '33', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1952', '1', '529396', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-125.296', '-53.9934', '-113.729', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1953', '1', '529382', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-100.697', '-69.7678', '-118.425', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1954', '1', '529382', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-99.1083', '-69.8194', '-116.324', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1955', '1', '529382', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-95.4988', '-70.4981', '-115.383', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1956', '1', '529382', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-88.4753', '-71.7711', '-109.709', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1957', '1', '529398', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-81.1212', '-69.8059', '-127.336', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1958', '1', '529398', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-80.1564', '-69.5993', '-127.804', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1959', '1', '529398', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-62.5197', '-65.9557', '-139.951', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1960', '1', '529398', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-62.0251', '-65.917', '-138.819', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1961', '1', '529401', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-78.8969', '-66.1306', '-175.841', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1962', '1', '529401', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-78.0238', '-66.0206', '-175.845', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1963', '1', '529401', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-76.9653', '-65.9005', '-176.457', '77', 'neutral', '128', '33', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1964', '1', '529401', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-50.0529', '-66.1259', '-173.314', '77', 'neutral', '128', '33', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1965', '1', '529401', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-51.9287', '-65.9816', '-174.748', '77', 'neutral', '128', '33', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1966', '1', '529401', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-52.9378', '-65.8469', '-174.051', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1967', '1', '529402', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-60.1431', '-66.3943', '-236.407', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1968', '1', '529402', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-60.1431', '-66.3943', '-236.407', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1969', '1', '529402', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-59.4133', '-66.1914', '-234.452', '67', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1970', '1', '529399', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-17.2357', '-67.6942', '-109.637', '67', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1971', '1', '529399', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-18.9244', '-67.9486', '-111.213', '67', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1972', '1', '529400', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '45.4149', '-67.3412', '-69.4364', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1973', '1', '529400', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '45.3591', '-67.3451', '-69.6316', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1974', '1', '529400', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '46.2567', '-67.2668', '-71.5354', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1975', '1', '529400', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '42.2127', '-68.1787', '-99.0423', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1976', '1', '529400', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '37.3356', '-68.9661', '-105.388', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1977', '1', '529400', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '40.1389', '-69.043', '-105.79', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('1978', '1', '0', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-7257.92', '0', '-3316.29', '47', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1979', '1', '0', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-7101.81', '0', '-3419.26', '47', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1980', '1', '0', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-7100.83', '0', '-3418.41', '70', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1981', '1', '0', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-7056.94', '0', '-3386.35', '70', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1982', '1', '0', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-7058.87', '0', '-3386.54', '70', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1983', '1', '0', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-7076.24', '0', '-3387.98', '70', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1984', '1', '0', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-7076.47', '0', '-3388.67', '70', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1985', '1', '0', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-7101.71', '0', '-3337.16', '70', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1986', '1', '0', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-7102.61', '0', '-3336.81', '70', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1987', '1', '0', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-7151.51', '0', '-3347.7', '47', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1988', '1', '0', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-7152.79', '0', '-3348.59', '47', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1989', '1', '0', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-7065.81', '0', '-3357.03', '42', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1990', '1', '0', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-7065.41', '0', '-3356.03', '42', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1991', '1', '0', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-7134.08', '0', '-3288.65', '47', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1992', '1', '0', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-7133.81', '0', '-3290.59', '47', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1993', '1', '0', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-7083.04', '0', '-3286.11', '70', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1994', '1', '0', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-7083.49', '0', '-3287.45', '70', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1995', '1', '0', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-7073.06', '0', '-3325.12', '70', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1996', '1', '0', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-7071.47', '0', '-3323.53', '70', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1997', '1', '0', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-7089.14', '0', '-3328.05', '71', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1998', '1', '0', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-7090.18', '0', '-3329.27', '71', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('1999', '1', '0', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-7071.17', '0', '-3343.18', '70', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2000', '1', '0', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-7071.41', '0', '-3342.43', '70', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2001', '1', '0', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-7056.49', '0', '-3334.46', '70', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2002', '1', '0', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-7057.69', '0', '-3332.66', '70', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2003', '1', '0', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-7047.03', '0', '-3305.27', '70', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2004', '1', '0', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-7045.86', '0', '-3303.63', '70', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2005', '1', '0', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-7040.66', '0', '-3337.24', '70', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2006', '1', '0', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-7040.55', '0', '-3338.33', '70', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2007', '1', '0', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-7043.46', '0', '-3333.12', '60', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2008', '1', '0', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-7051.57', '0', '-3331.18', '47', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2009', '1', '0', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-7024.41', '0', '-3371.72', '70', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2010', '1', '0', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-7025.06', '0', '-3371.91', '70', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2011', '1', '0', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-7035.68', '0', '-3309.39', '70', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2012', '1', '0', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-7037.35', '0', '-3310.79', '70', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2013', '1', '0', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-7035.4', '0', '-3359.38', '71', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2014', '1', '0', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-7037.38', '0', '-3358.75', '71', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2015', '1', '0', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-7017.71', '0', '-3313.73', '42', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2016', '1', '0', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-7019.53', '0', '-3312.04', '42', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2017', '1', '0', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-6995.71', '0', '-3320.54', '70', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2018', '1', '0', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-6995.79', '0', '-3320.19', '70', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2019', '1', '0', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-6972.77', '0', '-3384.93', '47', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2020', '1', '0', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-6974.72', '0', '-3386.3', '47', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2021', '1', '0', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-7078.84', '0', '-3245.99', '47', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2022', '1', '0', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-7076.88', '0', '-3245.42', '47', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2023', '1', '0', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-7012.3', '0', '-3222.03', '47', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2024', '1', '0', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '-7013.64', '0', '-3222.04', '47', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2025', '1', '0', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '5573.08', '0', '-635.405', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2026', '1', '0', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '5566.81', '0', '-644.43', '70', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2027', '1', '0', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '5590.45', '0', '-614.236', '32', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2028', '1', '0', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '5534.22', '0', '-692.701', '32', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2029', '1', '0', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '5595.45', '0', '-622.07', '43', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2030', '1', '0', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '5592.03', '0', '-646.633', '20', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2031', '1', '0', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '5544.92', '0', '-682.596', '47', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2032', '1', '0', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '5568.59', '0', '-655.277', '47', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2033', '1', '0', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '5527.23', '0', '-696.351', '26', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2034', '1', '0', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '5555.51', '0', '-618.376', '60', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2035', '1', '0', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '5516.51', '0', '-708.176', '20', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2036', '1', '0', 'object/mobile/dantari_male.iff', '0', '0', '0', '0', '5573.73', '0', '-646.79', '70', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2037', '1', '8575684', 'object/mobile/droideka.iff', '0', '0', '0', '0', '-84.5614', '-18', '-100.725', '60', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2038', '1', '8575684', 'object/mobile/droideka.iff', '0', '0', '0', '0', '-83.8633', '-18', '-114.046', '60', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2039', '1', '8575684', 'object/mobile/droideka.iff', '0', '0', '0', '0', '-72.6057', '-18', '-106.357', '60', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2040', '1', '0', 'object/mobile/droideka.iff', '0', '0', '0', '0', '-103.376', '-75.4908', '8.57568e+06', '60', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2041', '1', '8575684', 'object/mobile/warren_teraud_loyalist_cyborg_s01.iff', '0', '0', '0', '0', '-64.0962', '-18', '-100.699', '38', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2042', '1', '8575684', 'object/mobile/warren_teraud_loyalist_s02.iff', '0', '0', '0', '0', '-68.0511', '-18', '-115.454', '44', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2043', '1', '8575685', 'object/mobile/warren_teraud_loyalist_cyborg_s01.iff', '0', '0', '0', '0', '-25.2036', '-20', '-94.1748', '38', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2044', '1', '8575677', 'object/mobile/warren_teraud_loyalist_s02.iff', '0', '0', '0', '0', '-8.55514', '-20', '-10.456', '44', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2045', '1', '8755675', 'object/mobile/warren_teraud_loyalist_cyborg_s01.iff', '0', '0', '0', '0', '3.90062', '-12', '29.3284', '38', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2046', '2', '0', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '2543.44', '0', '-1674.96', '60', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2047', '2', '0', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '2543.13', '0', '-1661.04', '60', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2048', '2', '0', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '2543.03', '0', '-1671.24', '60', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2049', '2', '0', 'object/mobile/dressed_dathomir_nightsister_outcast.iff', '0', '0', '0', '0', '2558.44', '0', '-1682.54', '81', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2050', '2', '0', 'object/mobile/dressed_dathomir_nightsister_outcast.iff', '0', '0', '0', '0', '2555.21', '0', '-1672.31', '81', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2051', '2', '0', 'object/mobile/dressed_dathomir_nightsister_outcast.iff', '0', '0', '0', '0', '2548.95', '0', '-1677.06', '81', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2052', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '2540.04', '0', '-1616.34', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2053', '2', '0', 'object/mobile/dressed_dathomir_nightsister_escaped_slave.iff', '0', '0', '0', '0', '2501.47', '0', '-1589.98', '28', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2054', '2', '0', 'object/mobile/dressed_dathomir_nightsister_escaped_slave.iff', '0', '0', '0', '0', '2525.38', '0', '-1651.82', '28', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2055', '2', '0', 'object/mobile/dressed_dathomir_nightsister_escaped_slave.iff', '0', '0', '0', '0', '2563.7', '0', '-1492.49', '28', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2056', '2', '0', 'object/mobile/dressed_dathomir_nightsister_escaped_slave.iff', '0', '0', '0', '0', '2534.61', '0', '-1501.14', '28', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2057', '2', '0', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '2581.53', '0', '-1607.12', '57', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2058', '2', '0', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '2533.71', '0', '-1664.72', '57', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2059', '2', '0', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '2467.63', '0', '-1555.78', '57', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2060', '2', '0', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '2413.29', '0', '-1630.76', '57', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2061', '2', '0', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '2497', '0', '-1590', '57', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2062', '2', '0', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '2543.33', '0', '-1592.39', '57', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2063', '2', '0', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '2516.49', '0', '-1709.85', '57', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2064', '2', '0', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '2387.52', '0', '-1685.84', '57', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2065', '2', '0', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '2540.48', '0', '-1689.15', '57', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2066', '2', '0', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '2448.87', '0', '-1640.15', '57', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2067', '2', '0', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '2511.54', '0', '-1741.69', '57', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2068', '2', '0', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '2743.85', '0', '-1736.48', '57', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2069', '2', '0', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '2402.15', '0', '-1403.75', '57', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2070', '2', '0', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '2607.34', '0', '-1975.2', '57', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2071', '2', '0', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '2460.87', '0', '-1736.68', '57', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2072', '2', '0', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '2586.73', '0', '-1519.07', '57', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2073', '2', '0', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '2628.71', '0', '-1619.16', '57', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2074', '2', '0', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '2672.14', '0', '-1582.07', '57', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2075', '2', '0', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '2581.99', '0', '-1762.46', '57', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2076', '2', '0', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '2818.8', '0', '-1479.23', '57', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2077', '2', '0', 'object/mobile/dressed_dathomir_nightsister_escaped_slave.iff', '0', '0', '0', '0', '2533.64', '0', '-1692.89', '28', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2078', '2', '0', 'object/mobile/dressed_dathomir_nightsister_escaped_slave.iff', '0', '0', '0', '0', '1888.99', '0', '-1511.15', '28', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2079', '2', '0', 'object/mobile/dressed_dathomir_nightsister_escaped_slave.iff', '0', '0', '0', '0', '2451.04', '0', '-1605.91', '28', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2080', '2', '0', 'object/mobile/dressed_dathomir_nightsister_escaped_slave.iff', '0', '0', '0', '0', '1961.73', '0', '-1859.62', '28', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2081', '2', '0', 'object/mobile/dressed_dathomir_nightsister_escaped_slave.iff', '0', '0', '0', '0', '2413.78', '0', '-2291.05', '28', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2082', '2', '0', 'object/mobile/dressed_dathomir_nightsister_escaped_slave.iff', '0', '0', '0', '0', '2934.12', '0', '-1261.02', '28', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2083', '2', '0', 'object/mobile/dressed_dathomir_nightsister_escaped_slave.iff', '0', '0', '0', '0', '2522.36', '0', '-1626.34', '28', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2084', '2', '0', 'object/mobile/dressed_dathomir_nightsister_escaped_slave.iff', '0', '0', '0', '0', '2421.84', '0', '-1422.22', '28', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2085', '2', '8575576', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '26.2', '-39.1', '-39', '57', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2086', '2', '8575576', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '22.2', '-39.3', '-40.3', '57', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2087', '2', '8575576', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '21.1', '-41.4', '-70.1', '57', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2088', '2', '8575576', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '23.3', '-41.9', '-70.4', '57', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2089', '2', '8575576', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '40.9', '-47.2', '-36.9', '57', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2090', '2', '8575576', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '45.6', '-47.7', '-37', '57', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2091', '2', '8575576', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '48.4', '-47.6', '-70.9', '57', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2092', '2', '8575576', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '53.5', '-47.5', '-69.8', '57', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2093', '2', '8575576', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '41.2', '-46', '-5.6', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2094', '2', '8575579', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '82.6', '-46.2', '-118', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2095', '2', '8575579', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '96.1', '-45.6', '-96.9', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2096', '2', '8575579', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '91.6', '-46.2', '-100.3', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2097', '2', '8575585', 'object/mobile/dressed_dathomir_nightsister_spellweaver.iff', '0', '0', '0', '0', '83.3', '-46.2', '-137.8', '100', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2098', '2', '8575585', 'object/mobile/dressed_dathomir_nightsister_spellweaver.iff', '0', '0', '0', '0', '81.5', '-46.4', '-147.9', '100', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2099', '2', '8575585', 'object/mobile/dressed_dathomir_nightsister_elder.iff', '0', '0', '0', '0', '72.1', '-45.7', '-142.8', '278', 'neutral', '128', '35', '3600');
INSERT INTO `world_server_static_spawns` VALUES ('2100', '2', '8575577', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '90.2', '-61.2', '-7.9', '60', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2101', '2', '8575577', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '92.1', '-61.7', '-11.6', '60', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2102', '2', '8575577', 'object/mobile/dressed_dathomir_nightsister_slave.iff', '0', '0', '0', '0', '83.6', '-65.3', '-28.6', '10', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2103', '2', '8575577', 'object/mobile/dressed_dathomir_nightsister_slave.iff', '0', '0', '0', '0', '84.9', '-64', '-24.5', '10', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2104', '2', '8575577', 'object/mobile/dressed_dathomir_nightsister_slave.iff', '0', '0', '0', '0', '86.2', '-65', '-28.9', '10', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2105', '2', '8575577', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '94.6', '-67.7', '-38.1', '57', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2106', '2', '8575577', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '95', '-66.3', '-34.5', '57', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2107', '2', '8575577', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '71.8', '-68', '-36', '60', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2108', '2', '8575577', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '70.5', '-69.3', '-39.4', '60', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2109', '2', '8575578', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '68.6', '-76.7', '-69.1', '60', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2110', '2', '8575578', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '63.8', '-75.7', '-69', '60', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2111', '2', '8575578', 'object/mobile/dressed_dathomir_nightsister_rancor_tamer.iff', '0', '0', '0', '0', '91', '-76.4', '-86.9', '76', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2112', '2', '8575578', 'object/mobile/dressed_dathomir_nightsister_rancor_tamer.iff', '0', '0', '0', '0', '95.6', '-76.2', '-85', '76', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2113', '2', '8575578', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '66', '-76.8', '-87.6', '60', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2114', '2', '8575578', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '63.2', '-76.5', '-65.2', '60', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2115', '2', '8575580', 'object/mobile/dressed_dathomir_nightsister_slave.iff', '0', '0', '0', '0', '61.2', '-69.1', '-125.9', '10', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2116', '2', '8575580', 'object/mobile/dressed_dathomir_nightsister_slave.iff', '0', '0', '0', '0', '57.7', '-68.6', '-126.4', '10', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2117', '2', '8575580', 'object/mobile/dressed_dathomir_nightsister_slave.iff', '0', '0', '0', '0', '59', '-69.4', '-124.4', '10', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2118', '2', '8575580', 'object/mobile/dressed_dathomir_nightsister_slave.iff', '0', '0', '0', '0', '59.7', '-68.6', '-127.1', '10', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2119', '2', '8575579', 'object/mobile/dressed_dathomir_nightsister_stalker.iff', '0', '0', '0', '0', '96.7', '-66.4', '-106', '86', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2120', '2', '8575579', 'object/mobile/dressed_dathomir_nightsister_stalker.iff', '0', '0', '0', '0', '92.9', '-66.6', '-105', '86', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2121', '2', '8575582', 'object/mobile/dressed_dathomir_nightsister_sentinal.iff', '0', '0', '0', '0', '114.4', '-66.9', '-86', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2122', '2', '8575582', 'object/mobile/dressed_dathomir_nightsister_sentinal.iff', '0', '0', '0', '0', '110.8', '-66.8', '-85.8', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2123', '2', '8575582', 'object/mobile/dressed_dathomir_nightsister_sentinal.iff', '0', '0', '0', '0', '112.9', '-67.2', '-87.6', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2124', '2', '8575582', 'object/mobile/dressed_dathomir_nightsister_slave.iff', '0', '0', '0', '0', '126.6', '-66.6', '-110.8', '10', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2125', '2', '8575582', 'object/mobile/dressed_dathomir_nightsister_slave.iff', '0', '0', '0', '0', '126.2', '-66.7', '-107.6', '10', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2126', '2', '8575582', 'object/mobile/dressed_dathomir_nightsister_slave.iff', '0', '0', '0', '0', '124.3', '-66.8', '-109.3', '10', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2127', '2', '8575582', 'object/mobile/dressed_dathomir_nightsister_slave.iff', '0', '0', '0', '0', '125.3', '-66.8', '-107.3', '10', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2128', '2', '8575582', 'object/mobile/dressed_dathomir_nightsister_slave.iff', '0', '0', '0', '0', '135.4', '-66.4', '-119.9', '10', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2129', '2', '8575582', 'object/mobile/dressed_dathomir_nightsister_slave.iff', '0', '0', '0', '0', '134.8', '-66.2', '-117.7', '10', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2130', '2', '8575582', 'object/mobile/dressed_dathomir_nightsister_sentinal.iff', '0', '0', '0', '0', '156', '-65.4', '-129.4', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2131', '2', '8575582', 'object/mobile/dressed_dathomir_nightsister_sentinal.iff', '0', '0', '0', '0', '155.9', '-65.4', '-126', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2132', '2', '8575582', 'object/mobile/dressed_dathomir_nightsister_sentinal.iff', '0', '0', '0', '0', '154.2', '-65.7', '-128.5', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2133', '2', '8575582', 'object/mobile/dressed_dathomir_nightsister_stalker.iff', '0', '0', '0', '0', '135.1', '-66.9', '-93.4', '86', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2134', '2', '8575582', 'object/mobile/dressed_dathomir_nightsister_stalker.iff', '0', '0', '0', '0', '137.4', '-67.2', '-95.3', '86', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2135', '2', '8575583', 'object/mobile/dressed_dathomir_nightsister_spellweaver.iff', '0', '0', '0', '0', '183.3', '-66', '-95.5', '100', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2136', '2', '8575583', 'object/mobile/dressed_dathomir_nightsister_spellweaver.iff', '0', '0', '0', '0', '183.9', '-65.7', '-105.8', '100', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2137', '2', '8575583', 'object/mobile/dressed_dathomir_nightsister_protector.iff', '0', '0', '0', '0', '192.5', '-66.7', '-99.4', '131', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2138', '2', '2665882', 'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff', '0', '0', '0', '0', '-11.88', '2.01', '-3.48', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2139', '2', '2665883', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '-14.2918', '1.99149', '-21.068', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2140', '2', '2665880', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '-12.62', '2.01', '9.1', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2141', '2', '2665881', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '-22.3', '2.01', '5.05', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2142', '2', '2665880', 'object/mobile/dressed_dathomir_sing_mt_clan_dragoon.iff', '0', '0', '0', '0', '-12.78', '2.38455', '4.47', '94', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2143', '2', '2665880', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-11.39', '2.38455', '5.38', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2144', '2', '2665880', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '-12.7026', '2.38455', '6.38358', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2145', '2', '2665882', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-12.38', '2.01', '-5.48', '55', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2146', '2', '2665882', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-13.38', '2.01', '-1.98', '55', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2147', '2', '2665879', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '2.14', '2.01', '19.37', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2148', '2', '2665885', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '16.42', '2.01', '-10.87', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2149', '2', '2665886', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '23.42', '2.01', '-21.14', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2150', '2', '2665887', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '24.79', '2.01', '-12.47', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2151', '2', '2665888', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '26.02', '2.01', '-4.12', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2152', '2', '2665889', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '16.47', '2.01', '7.43', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2153', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '533.263', '0', '4237.61', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2154', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff', '0', '0', '0', '0', '664.944', '0', '4104.77', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2155', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '663.944', '0', '4105.77', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2156', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '650.316', '0', '4134.46', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2157', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '670.294', '0', '4107.11', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2158', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '656.369', '0', '4095.86', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2159', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '654.237', '0', '4146.54', '55', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2160', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '717.034', '0', '4199.38', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2161', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '716.034', '0', '4198.38', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2162', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '733.227', '0', '4160.24', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2163', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '706.922', '0', '4198.27', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2164', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '701.083', '0', '4195.14', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2165', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '728.846', '0', '4179.47', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2166', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_councilwoman.iff', '0', '0', '0', '0', '331.212', '0', '4582.92', '263', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2167', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '320.453', '0', '4573.42', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2168', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '358.88', '0', '4591.26', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2169', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_dragoon.iff', '0', '0', '0', '0', '320.833', '0', '4565.3', '94', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2170', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_dragoon.iff', '0', '0', '0', '0', '161.434', '0', '4644.47', '94', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('2171', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_councilwoman.iff', '0', '0', '0', '0', '570.358', '0', '4169.07', '263', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2172', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '569.965', '0', '4168', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2173', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '574.54', '0', '4178.91', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2174', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '570.07', '0', '4169', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2175', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '578.933', '0', '4168.9', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2176', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '566.188', '0', '4175.87', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2177', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '604.194', '0', '4147.38', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2178', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '606.706', '0', '4142.72', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2179', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_councilwoman.iff', '0', '0', '0', '0', '506.191', '0', '4149.41', '263', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2180', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '508.732', '0', '4151', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2181', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '511.5', '0', '4155.36', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2182', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '513.688', '0', '4156.02', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2183', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '504.402', '0', '4148.5', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2184', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '504', '0', '4144.8', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2185', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '503.093', '0', '4159.21', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2186', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '507.209', '0', '4148.01', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2187', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_councilwoman.iff', '0', '0', '0', '0', '559.911', '0', '4222.73', '263', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2188', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '555.382', '0', '4223.18', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2189', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '555.087', '0', '4222.58', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2190', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '555.208', '0', '4226.67', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2191', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '563.996', '0', '4222.24', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2192', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '560.473', '0', '4225.6', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2193', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '563.857', '0', '4226.12', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2194', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '558.575', '0', '4215.18', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2195', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '972.983', '0', '3909.63', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2196', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '631.092', '0', '4155.38', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2197', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '521.352', '0', '4130.55', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2198', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '658.434', '0', '4121.89', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2199', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '379.953', '0', '4338.19', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2200', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '383.382', '0', '3877.12', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2201', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '411.06', '0', '4096.65', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2202', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '735.689', '0', '3886.25', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2203', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '706.083', '0', '4092.19', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2204', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '654.481', '0', '3963.58', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2205', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_councilwoman.iff', '0', '0', '0', '0', '608.257', '0', '4146.67', '263', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2206', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '678.523', '0', '3964.89', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2207', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '600.832', '0', '3678.07', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2208', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '847.608', '0', '3805.23', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2209', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '537.466', '0', '3836.15', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2210', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '297.715', '0', '4113.28', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2211', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '319.044', '0', '4140.94', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2212', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '601.958', '0', '4132.76', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2213', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '619.47', '0', '3846.18', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2214', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '655.281', '0', '4201.16', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2215', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '735.646', '0', '4513.81', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2216', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '814.783', '0', '3840.91', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2217', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '739.504', '0', '4453.45', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2218', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '588.291', '0', '4194.79', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2219', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '648.245', '0', '4111.88', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2220', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '474.014', '0', '4162.57', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2221', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '653.498', '0', '4282.95', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2222', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '350.841', '0', '3748.47', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2223', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '653.107', '0', '4396.14', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2224', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '690.441', '0', '3684.13', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2225', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '700.118', '0', '4262.63', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2226', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '309.52', '0', '4025', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2227', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '690.275', '0', '4061.84', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2228', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '461.116', '0', '3867.87', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2229', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '806.318', '0', '3790.03', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2230', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '611.088', '0', '4131.15', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2231', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff', '0', '0', '0', '0', '346.953', '0', '3982.25', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2232', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff', '0', '0', '0', '0', '642.816', '0', '3759.48', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2233', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff', '0', '0', '0', '0', '600.227', '0', '4184', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2234', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff', '0', '0', '0', '0', '671.583', '0', '4085.56', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2235', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff', '0', '0', '0', '0', '685.071', '0', '4309.14', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2236', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '430.458', '0', '4210.98', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2237', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '578.307', '0', '4105.27', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2238', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '411.514', '0', '4533.59', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2239', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '567.811', '0', '4112.65', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2240', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '737.258', '0', '3793.62', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2241', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '451.141', '0', '4446.15', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2242', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '492.043', '0', '4422.35', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2243', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '571.684', '0', '4317.43', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2244', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '775.557', '0', '4210.45', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2245', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '847.198', '0', '4107.48', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2246', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '371.01', '0', '4395.09', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2247', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '570.753', '0', '4447.15', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2248', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '605.044', '0', '4626.96', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2249', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '579.164', '0', '4398.51', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2250', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '600', '0', '4097', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2251', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_councilwoman.iff', '0', '0', '0', '0', '599.004', '0', '4338.09', '263', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2252', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '642.164', '0', '4285.93', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2253', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '574.366', '0', '4427.4', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2254', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '1050.73', '0', '4353.74', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2255', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '502.022', '0', '4730.97', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2256', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '397.802', '0', '4059.7', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2257', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '610.442', '0', '4358.49', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2258', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '974.779', '0', '4237.58', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2259', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '925.28', '0', '4620.76', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2260', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '728.892', '0', '4819.03', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2261', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '274.56', '0', '4262.87', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2262', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '194.069', '0', '4424.28', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2263', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '876.664', '0', '4113.96', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2264', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '519.583', '0', '4392.24', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2265', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '640.173', '0', '4271.14', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2266', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '523.946', '0', '4194.96', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2267', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '446.855', '0', '4556.71', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2268', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '289.938', '0', '4421.08', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2269', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '551.972', '0', '4112.05', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2270', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '597.102', '0', '4337.22', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2271', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '588.301', '0', '4433.28', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2272', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '520.084', '0', '4129.81', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2273', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '628.5', '0', '4663.76', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2274', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '633.392', '0', '4509.78', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2275', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '386.814', '0', '4319.35', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2276', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '585.461', '0', '4359.56', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2277', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff', '0', '0', '0', '0', '935.76', '0', '4564.47', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2278', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff', '0', '0', '0', '0', '955.354', '0', '3994.84', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2279', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff', '0', '0', '0', '0', '458.392', '0', '4318.1', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2280', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff', '0', '0', '0', '0', '676.071', '0', '4501.14', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2281', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff', '0', '0', '0', '0', '204.092', '0', '4497.96', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2282', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '439.746', '0', '3978.06', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2283', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '546.416', '0', '4384.58', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2284', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '553.263', '0', '4360.8', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2285', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '208.436', '0', '4053.51', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2286', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '933.229', '0', '4617.61', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2287', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '547.711', '0', '4624.38', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2288', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '373.503', '0', '4529.54', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2289', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '266.198', '0', '4464.1', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2290', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '409.809', '0', '4128.18', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2291', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '446.08', '0', '4413.01', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2292', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '435.844', '0', '4422.23', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2293', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '635.632', '0', '4257.51', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2294', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '541.707', '0', '4452.61', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2295', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '446.845', '0', '4480.29', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2296', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '452.472', '0', '4235.84', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2297', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_councilwoman.iff', '0', '0', '0', '0', '422.673', '0', '4421.36', '263', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2298', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '304.263', '0', '4495.16', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2299', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '219.542', '0', '4268.94', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2300', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '363.849', '0', '4396.17', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2301', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '485.765', '0', '4229.01', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2302', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '679.751', '0', '4546.69', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2303', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '305.428', '0', '4438.15', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2304', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '243.79', '0', '4637.6', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2305', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '446.847', '0', '4404.5', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2306', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '632.771', '0', '4265.41', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2307', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '519.268', '0', '4678.6', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2308', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '444.267', '0', '4408.16', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2309', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '542.982', '0', '4156.26', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2310', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '418.003', '0', '4419.9', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2311', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '452.591', '0', '4500.67', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2312', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '365.122', '0', '4363.17', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2313', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '608.668', '0', '4127', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2314', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '578.438', '0', '3972.67', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2315', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '708.336', '0', '4043.13', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2316', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '289.415', '0', '4035.96', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2317', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '909.875', '0', '4059.73', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2318', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '334.712', '0', '4321.89', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2319', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '718.272', '0', '4440.86', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2320', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '237.616', '0', '4629.81', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2321', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '484.721', '0', '4467.02', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2322', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '447.193', '0', '4336.31', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2323', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff', '0', '0', '0', '0', '505.57', '0', '4621.59', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2324', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff', '0', '0', '0', '0', '417.806', '0', '4422.05', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2325', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff', '0', '0', '0', '0', '333.073', '0', '4167.55', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2326', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff', '0', '0', '0', '0', '684.988', '0', '4443.18', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2327', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff', '0', '0', '0', '0', '504.167', '0', '4592.57', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2328', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '583.404', '0', '4644.91', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2329', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '301.054', '0', '4186.56', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2330', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '391.348', '0', '4582.49', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2331', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '559.239', '0', '4626.43', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2332', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '425.319', '0', '4453.58', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2333', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '-403.378', '0', '4671.73', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2334', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '-24.1029', '0', '4292.66', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2335', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '980.252', '0', '3702.91', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2336', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '-302.257', '0', '5047.85', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2337', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '505.35', '0', '4587.51', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2338', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '426.3', '0', '4780.94', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2339', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '963.864', '0', '4106', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2340', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '7.81555', '0', '4877.78', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2341', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '43.0762', '0', '4380.38', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2342', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '-274.894', '0', '4407.87', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2343', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '1066.15', '0', '4499.34', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2344', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '-87.5595', '0', '3946.69', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2345', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '-469.321', '0', '4310.81', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2346', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '455.379', '0', '5095.07', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2347', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '339.254', '0', '3962.06', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2348', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '459.816', '0', '4247.54', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2349', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '267.913', '0', '4718.49', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2350', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '302.37', '0', '4279.81', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2351', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '420.872', '0', '4444.98', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2352', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '688.685', '0', '4740.21', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2353', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '506.831', '0', '4796.11', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2354', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '442.574', '0', '4291.98', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2355', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '564.448', '0', '4432.64', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2356', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '401.468', '0', '3889.32', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2357', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '176.041', '0', '4381.36', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2358', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '504.787', '0', '4955.33', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2359', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '1094.85', '0', '3911.47', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2360', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '456.431', '0', '4836.41', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2361', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '386.726', '0', '3944.16', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2362', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '804.673', '0', '4679.47', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2363', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '1236.85', '0', '4089.97', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2364', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '248.376', '0', '4215.47', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2365', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '478.007', '0', '4692.9', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2366', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '-13.993', '0', '4569.44', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2367', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '228.891', '0', '4975.02', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2368', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '784.16', '0', '4055.84', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2369', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '1061.98', '0', '4295.21', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2370', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '-186.427', '0', '3643.81', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2371', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '534.025', '0', '4047.04', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2372', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '98.7694', '0', '4386.24', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2373', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_councilwoman.iff', '0', '0', '0', '0', '128.054', '0', '4084.15', '263', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2374', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_councilwoman.iff', '0', '0', '0', '0', '630.595', '0', '4177.74', '263', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2375', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '333.397', '0', '4370', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2376', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '728.142', '0', '4319.88', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2377', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '380.796', '0', '4400.02', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2378', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '536.525', '0', '3915.28', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2379', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '797.902', '0', '4219.07', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2380', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '448.9', '0', '4284.04', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2381', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '355.776', '0', '4196.03', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2382', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '413.447', '0', '4415.41', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2383', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '620.321', '0', '3990.41', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2384', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '-363.302', '0', '4309.91', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2385', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '536.703', '0', '4540.85', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2386', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '564.858', '0', '3505.4', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2387', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '145.61', '0', '4320.13', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2388', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '420', '0', '4614', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2389', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '530.531', '0', '4443.49', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2390', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '334.269', '0', '3809.99', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2391', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '572.742', '0', '5081.6', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2392', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '1151.55', '0', '4124.44', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2393', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '293.758', '0', '3704.04', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2394', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '199.055', '0', '5027.04', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2395', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '470.887', '0', '4495.44', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2396', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '598.804', '0', '3578.79', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2397', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '252.542', '0', '4763.34', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2398', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '515.017', '0', '4314.47', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2399', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '655.31', '0', '4107.73', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2400', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '1309.99', '0', '4004.99', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2401', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '-241.909', '0', '4165.92', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2402', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '515.339', '0', '4355.69', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2403', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '574.976', '0', '4422.71', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2404', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '408.532', '0', '4449.87', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2405', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '416.237', '0', '4455.8', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2406', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '131.731', '0', '4037.45', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2407', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '287.729', '0', '3847.07', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2408', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '374.53', '0', '4852.62', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2409', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '195.72', '0', '4948.37', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2410', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '830.197', '0', '4647.38', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2411', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '-25.5079', '0', '3678.55', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2412', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '-42.899', '0', '5290.59', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2413', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '423.403', '0', '4614.97', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2414', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '490.855', '0', '4493.37', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2415', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '367.713', '0', '4388.58', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2416', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '543.842', '0', '4491.5', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2417', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '540.651', '0', '3437.38', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2418', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '379.701', '0', '5188.94', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2419', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '767.849', '0', '4865.23', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2420', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '547.315', '0', '4028.16', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2421', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '56.7514', '0', '4156.08', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2422', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '659.772', '0', '4218.81', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2423', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '573.951', '0', '4455.54', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2424', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '413.892', '0', '4070.05', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2425', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '319.092', '0', '3598.17', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2426', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '580.254', '0', '4060.06', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2427', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '367.678', '0', '4283.7', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2428', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-266.741', '0', '5060.4', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2429', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '143.323', '0', '4846.04', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2430', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '1314.45', '0', '4659.67', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2431', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '307.634', '0', '4369.97', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2432', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '726.332', '0', '4562.85', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2433', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '665.281', '0', '4633.22', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2434', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '619.727', '0', '4581.74', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2435', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '1105.28', '0', '3824.3', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2436', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '176', '0', '3997.38', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2437', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '75.8452', '0', '4860.5', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2438', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '540.826', '0', '4048.14', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2439', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '306.064', '0', '3883.98', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2440', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '388.819', '0', '3974.09', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2441', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '24.7273', '0', '4815.27', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2442', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '456.035', '0', '4362.33', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2443', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '355.386', '0', '4208.66', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2444', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '463.94', '0', '4422.3', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2445', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '413.459', '0', '4373.46', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2446', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '710.51', '0', '4358.25', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2447', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '437.938', '0', '4452.36', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2448', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '231.305', '0', '4210.43', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2449', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-55.6628', '0', '4986.87', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2450', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '177.426', '0', '4359.52', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2451', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '295.424', '0', '4254.68', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2452', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '419.739', '0', '4417.01', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2453', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '466.89', '0', '3884.05', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2454', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '40.1788', '0', '4716.75', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2455', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '534.86', '0', '4489.02', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2456', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '833.445', '0', '4218.35', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2457', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '144.415', '0', '3702.08', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2458', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '30.0161', '0', '4351.24', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2459', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '952.699', '0', '4382.75', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2460', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-245.718', '0', '4688.97', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2461', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '62.2805', '0', '4221.71', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2462', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '1164.9', '0', '4498.29', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2463', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-188.921', '0', '4641.63', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2464', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '1212.17', '0', '4573.98', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2465', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '173.121', '0', '4511.75', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2466', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '641.889', '0', '4157.97', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2467', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '733.053', '0', '3362.76', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2468', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '1132.96', '0', '4276.64', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2469', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '400.532', '0', '4522.09', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2470', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '1018.97', '0', '4203.62', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2471', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '-264.559', '0', '3775.2', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2472', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '786.138', '0', '3962.57', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2473', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '525.835', '0', '3754.74', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2474', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '193.436', '0', '3574.02', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2475', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '691.219', '0', '4109.39', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2476', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '151.914', '0', '4378.9', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2477', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '170.067', '0', '4153.66', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2478', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '526.725', '0', '5086.41', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2479', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '857.478', '0', '4301.27', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2480', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '600.71', '0', '3671.07', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2481', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '1115.6', '0', '3520.4', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2482', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '-26.1284', '0', '4112.71', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2483', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '162.562', '0', '3833.4', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2484', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '1029.85', '0', '4971.96', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2485', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '613.022', '0', '4385.96', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2486', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '126.984', '0', '4871.2', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2487', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '551.752', '0', '4588.63', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2488', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '643.102', '0', '3587.37', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2489', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '85.6637', '0', '4129.37', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2490', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '-75.7504', '0', '4188.83', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2491', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '-552.279', '0', '4213.34', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2492', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '448.743', '0', '4431.61', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2493', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '125.838', '0', '4550.97', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2494', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '932.1', '0', '4329.7', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2495', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '-125.655', '0', '3945.67', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2496', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '893.35', '0', '4395.19', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2497', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '-74.3735', '0', '4332.83', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2498', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '514.99', '0', '4499.71', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2499', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '691.591', '0', '4503.03', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2500', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '439.856', '0', '4426.84', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2501', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '31.9145', '0', '4467.65', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2502', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '-162.554', '0', '4196.38', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2503', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '138.88', '0', '4208.16', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2504', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '203.826', '0', '4438.91', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2505', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff', '0', '0', '0', '0', '435.16', '0', '4367.13', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2506', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff', '0', '0', '0', '0', '442.81', '0', '4093.8', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2507', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff', '0', '0', '0', '0', '1201.77', '0', '4674.01', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2508', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff', '0', '0', '0', '0', '123.867', '0', '4799.03', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2509', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff', '0', '0', '0', '0', '623.168', '0', '4680.04', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2510', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff', '0', '0', '0', '0', '1176.88', '0', '4406.79', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2511', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff', '0', '0', '0', '0', '1358.9', '0', '4743.29', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2512', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff', '0', '0', '0', '0', '490.562', '0', '4994.68', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2513', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff', '0', '0', '0', '0', '80.2071', '0', '4431.87', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2514', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff', '0', '0', '0', '0', '261.827', '0', '3902.64', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2515', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff', '0', '0', '0', '0', '-121.663', '0', '3896.92', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2516', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff', '0', '0', '0', '0', '324.5', '0', '4381.42', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2517', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff', '0', '0', '0', '0', '493.879', '0', '4514.56', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2518', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff', '0', '0', '0', '0', '303.143', '0', '3682.2', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2519', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff', '0', '0', '0', '0', '211.895', '0', '4460.45', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2520', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff', '0', '0', '0', '0', '677.128', '0', '4355.89', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2521', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff', '0', '0', '0', '0', '344.112', '0', '5142.02', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2522', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff', '0', '0', '0', '0', '156.657', '0', '4248.98', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2523', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff', '0', '0', '0', '0', '-485.621', '0', '4143.12', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2524', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff', '0', '0', '0', '0', '598.844', '0', '3752.55', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2525', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '282.297', '0', '5200.95', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2526', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '109.87', '0', '4526.79', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2527', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '560.756', '0', '3757.79', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2528', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '652.13', '0', '4263.43', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2529', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '1026.66', '0', '4483.76', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2530', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '690.053', '0', '3840.87', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2531', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '175.098', '0', '4711.86', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2532', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '393.518', '0', '3914.69', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2533', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '-48', '0', '4420', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2534', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '403.054', '0', '5390.85', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2535', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '325.312', '0', '4225.86', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2536', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '502.362', '0', '5361.4', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2537', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '1185.85', '0', '4110.58', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2538', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '394.408', '0', '4908.33', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2539', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '427.376', '0', '4367.52', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2540', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '440.708', '0', '4464.41', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2541', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '770.055', '0', '3901.02', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2542', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '-33.9034', '0', '4858.33', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2543', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '327.539', '0', '4688.53', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2544', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '686.697', '0', '4246.8', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2545', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '986.539', '0', '3961.23', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2546', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '665.122', '0', '4349.71', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2547', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '954.699', '0', '4868.67', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2548', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '451.925', '0', '3810.84', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2549', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '426', '0', '4430.39', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2550', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '-318.179', '0', '4010.82', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2551', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '533.565', '0', '5228.06', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2552', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '460.643', '0', '4256.99', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2553', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '390.422', '0', '4383.47', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2554', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '188.494', '0', '4076.78', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2555', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '1096.34', '0', '4911.39', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2556', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '-499.805', '0', '4632.35', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2557', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '-395.048', '0', '4623.21', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2558', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '-259.838', '0', '4073.61', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2559', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '768.16', '0', '4756.21', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2560', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '432.99', '0', '4427.5', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2561', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '428.548', '0', '4457.03', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2562', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '380.758', '0', '4739.6', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2563', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '416.864', '0', '4390.16', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2564', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '1236.58', '0', '4039.22', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2565', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '914.554', '0', '4552.52', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2566', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '410.647', '0', '4152.16', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2567', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '169.772', '0', '4890.61', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2568', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '-471.049', '0', '4798.23', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2569', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '339.535', '0', '4375.4', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2570', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '-84.5953', '0', '4874.34', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2571', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '1172.9', '0', '4036.38', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2572', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '140.896', '0', '4150.47', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2573', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '339.873', '0', '4240.03', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2574', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '894.343', '0', '5072.88', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2575', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '-243.851', '0', '-522.94', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2576', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '943.707', '0', '-2023.79', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2577', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '-5027.54', '0', '224.315', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2578', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '-4998.13', '0', '8.80333', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2579', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '5267.68', '0', '249.611', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2580', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '5328.48', '0', '-230.004', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2581', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '-881.771', '0', '3642.19', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2582', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '-2211.93', '0', '6078.83', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2583', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '912.01', '0', '-3044.19', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2584', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '1806.06', '0', '-5586.82', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2585', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '-4201.49', '0', '-5244.13', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2586', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '-7041.66', '0', '-4175.12', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2587', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '5063.82', '0', '5136.85', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2588', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '4737.25', '0', '7139.93', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2589', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '4945.36', '0', '-3957.43', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2590', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '3829', '0', '-7028.23', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2591', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '-5736.62', '0', '4022.47', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2592', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '-3924.44', '0', '2977.17', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2593', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_councilwoman.iff', '0', '0', '0', '0', '-77.8412', '0', '-43.1481', '263', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2594', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_councilwoman.iff', '0', '0', '0', '0', '1223.59', '0', '-678.249', '263', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2595', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_councilwoman.iff', '0', '0', '0', '0', '-4410.13', '0', '1536.67', '263', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2596', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_councilwoman.iff', '0', '0', '0', '0', '-3932.04', '0', '-1318.82', '263', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2597', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_councilwoman.iff', '0', '0', '0', '0', '4435.56', '0', '109.715', '263', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2598', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_councilwoman.iff', '0', '0', '0', '0', '5630.74', '0', '-1137.88', '263', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2599', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_councilwoman.iff', '0', '0', '0', '0', '922.235', '0', '6269.35', '263', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2600', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_councilwoman.iff', '0', '0', '0', '0', '-177.242', '0', '5110.75', '263', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2601', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_councilwoman.iff', '0', '0', '0', '0', '1240.38', '0', '-3843.33', '263', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2602', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_councilwoman.iff', '0', '0', '0', '0', '589.751', '0', '-5061.99', '263', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2603', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_councilwoman.iff', '0', '0', '0', '0', '-4575.63', '0', '-5275.59', '263', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2604', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_councilwoman.iff', '0', '0', '0', '0', '-4820.27', '0', '-4723.24', '263', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2605', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_councilwoman.iff', '0', '0', '0', '0', '4197.64', '0', '3552.5', '263', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2606', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_councilwoman.iff', '0', '0', '0', '0', '5508.73', '0', '5383.36', '263', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2607', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_councilwoman.iff', '0', '0', '0', '0', '4242.25', '0', '-3298.06', '263', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2608', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_councilwoman.iff', '0', '0', '0', '0', '5156.36', '0', '-3212.83', '263', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2609', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_councilwoman.iff', '0', '0', '0', '0', '-4695.79', '0', '4951.82', '263', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2610', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_councilwoman.iff', '0', '0', '0', '0', '-5275.24', '0', '4814.35', '263', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2611', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '-3875.02', '0', '-178.179', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2612', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '-3886.25', '0', '97.4401', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2613', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '4889.26', '0', '-2113.1', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2614', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '6805.73', '0', '1311.94', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2615', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '-865.456', '0', '4071.91', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2616', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '1870.86', '0', '4934.67', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2617', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '-1511.45', '0', '-3065.43', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2618', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '631.161', '0', '-4807.03', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2619', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '-4955.64', '0', '-4492.94', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2620', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '-7033.07', '0', '-4008.4', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2621', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '6300.66', '0', '5252.82', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2622', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '5150.9', '0', '5855.8', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2623', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '3890.95', '0', '-4723.48', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2624', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '5038.08', '0', '-3909.66', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2625', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '-6608.69', '0', '3650.15', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2626', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '-6173.99', '0', '4115.33', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2627', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '-450.252', '0', '1472.71', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2628', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '92.5652', '0', '21.3703', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2629', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '-322.138', '0', '80.3181', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2630', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '210.263', '0', '-98.0474', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2631', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '-1491.27', '0', '-1777.22', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2632', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '1319.5', '0', '-2111.64', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2633', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '1858.49', '0', '-1206.92', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2634', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '-25.1821', '0', '360.121', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2635', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '1441.67', '0', '936.234', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2636', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '286.268', '0', '93.0141', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2637', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '-4870.44', '0', '666.525', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2638', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '-6658.94', '0', '352.618', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2639', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '-5247.59', '0', '-1761.69', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2640', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '-4368.33', '0', '568.761', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2641', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '-6703.34', '0', '-553.449', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2642', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '-3097.25', '0', '-928.032', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2643', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '-6203.5', '0', '2084.52', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2644', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '-3524.11', '0', '-1328.89', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2645', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '-3330.57', '0', '1168.95', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2646', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '-3612.09', '0', '-1206.49', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2647', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '4904.75', '0', '-1817.51', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2648', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '4801.11', '0', '-1619.84', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2649', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '3131.34', '0', '-1624.4', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2650', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '5514.28', '0', '-1682.14', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2651', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '4073.28', '0', '-1900.05', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2652', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '5981.07', '0', '-2011.5', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2653', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '5532.43', '0', '496.495', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2654', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '3099.05', '0', '-927.155', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2655', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '6718.74', '0', '30.0007', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2656', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '5541.16', '0', '1274.9', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2657', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '-231.82', '0', '5162.32', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2658', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '-1488.59', '0', '6081.52', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2659', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '629.542', '0', '5334.73', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2660', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '-420.136', '0', '4918.33', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2661', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '842.996', '0', '5612.47', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2662', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '1747.61', '0', '3821.22', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2663', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '980.749', '0', '6255.3', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2664', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '-1894.84', '0', '5066.17', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2665', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '-508.49', '0', '4473.44', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2666', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '-740.336', '0', '5184.59', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2667', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '458.95', '0', '-4453.04', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2668', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '197.153', '0', '-4393.23', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2669', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '-1722.32', '0', '-5877.56', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2670', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '1156.42', '0', '-4128.57', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2671', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '-694.732', '0', '-4826.78', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2672', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '1445.32', '0', '-3394.81', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2673', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '-1080.04', '0', '-4215.31', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2674', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '-960.303', '0', '-5697.7', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2675', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '131.783', '0', '-5295.99', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2676', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '-1414.79', '0', '-6810.85', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2677', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '-6319.7', '0', '-5403.47', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2678', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '-4879.53', '0', '-6722.79', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2679', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '-4758.38', '0', '-4401.97', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2680', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '-6940.16', '0', '-4369.61', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2681', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '-7165.56', '0', '-5703.63', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2682', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '-3761.3', '0', '-3803.8', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2683', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '-4738.89', '0', '-4241.69', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2684', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '-3196.32', '0', '-5692.37', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2685', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '-4907.98', '0', '-4937.93', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2686', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '-5834.12', '0', '-3893.09', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2687', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '4411.93', '0', '6060.91', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2688', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '3404.69', '0', '5884.29', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2689', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '5043.67', '0', '5005.36', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2690', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '5577.18', '0', '7012.88', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2691', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '6278.86', '0', '6697.1', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2692', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '5060.52', '0', '3267.06', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2693', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '3937.56', '0', '5743.93', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2694', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '3903.12', '0', '5987.64', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2695', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '5325.85', '0', '2942.65', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2696', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '4321.85', '0', '5457.42', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2697', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '4954.04', '0', '-6316.2', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2698', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '7337.13', '0', '-4754.36', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2699', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '6375.44', '0', '-6964.33', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2700', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '4430.52', '0', '-7284.08', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2701', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '5160.9', '0', '-4994.38', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2702', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '4165.51', '0', '-4970.86', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2703', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '2827.79', '0', '-5705.79', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2704', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '6307.12', '0', '-4445.16', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2705', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '5606.32', '0', '-5282.73', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2706', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '4838.34', '0', '-4890.96', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2707', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '-4704.53', '0', '5275.53', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2708', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '-4841.94', '0', '3712.67', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2709', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '-5164.4', '0', '4647.45', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2710', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '-4113.28', '0', '5718.05', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2711', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '-3717.9', '0', '4887.83', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2712', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '-4619.31', '0', '3209.01', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2713', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '-3071.05', '0', '5516.86', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2714', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '-6043.17', '0', '3038.09', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2715', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '-4966.43', '0', '4038.59', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2716', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '-4077.41', '0', '3335.6', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2717', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-774.16', '0', '251.54', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2718', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '2044.6', '0', '1431.65', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2719', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '27.6236', '0', '395.035', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2720', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-388.257', '0', '-172.863', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2721', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-2163.36', '0', '1102.29', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2722', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '23.7004', '0', '1357.79', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2723', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '32.1183', '0', '35.671', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2724', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '1869.55', '0', '793.575', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2725', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '193.4', '0', '379.569', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2726', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-49.6008', '0', '403.966', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2727', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-5052.47', '0', '-117.847', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2728', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-3568.97', '0', '-1118.04', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2729', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-4167.11', '0', '-1146.38', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2730', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-6146.4', '0', '-996.554', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2731', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-3941.47', '0', '-343.936', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2732', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-5682.68', '0', '732.085', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2733', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-4858.75', '0', '-1150.36', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2734', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-5019.17', '0', '14.4436', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2735', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-6734.33', '0', '-1674.82', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2736', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-4949.71', '0', '107.851', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2737', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '5975.67', '0', '-434.395', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2738', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '4857.43', '0', '-92.5886', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2739', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '3456.91', '0', '531.327', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2740', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '6115.7', '0', '-1077.42', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2741', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '5162.64', '0', '-333.453', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2742', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '5242.33', '0', '-1246.67', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2743', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '5523.47', '0', '1611.09', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2744', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '5012.96', '0', '123.321', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2745', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '5074.09', '0', '2121.71', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2746', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '4726.55', '0', '-405.399', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2747', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-17.6408', '0', '5061.52', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2748', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-134.304', '0', '4909.41', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2749', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-2478.95', '0', '5173.34', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2750', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '246.809', '0', '5125.76', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2751', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '609.44', '0', '4825.25', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2752', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '1216.72', '0', '6873.59', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2753', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-791.141', '0', '3303.39', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2754', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '306.613', '0', '4923.55', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2755', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-1722.68', '0', '6206.23', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2756', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-19.5786', '0', '4439.34', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2757', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '1318.78', '0', '-5092.22', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2758', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-57.5223', '0', '-5468.48', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2759', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '665.664', '0', '-2678.55', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2760', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '78.5458', '0', '-3876.74', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2761', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '874.456', '0', '-7060.09', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2762', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-167.46', '0', '-5214.34', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2763', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '527.396', '0', '-5292.34', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2764', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '464.886', '0', '-4087.61', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2765', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '53.9494', '0', '-4383.36', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2766', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-478.407', '0', '-5058.74', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2767', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-6695', '0', '-5000', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2768', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-4611.7', '0', '-4766.69', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2769', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-5106.06', '0', '-4948.27', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2770', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-5741.82', '0', '-3067.49', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2771', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-4899.62', '0', '-5087.26', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2772', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-2926.48', '0', '-4286.03', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2773', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-6714.25', '0', '-5950.23', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2774', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-3200.32', '0', '-4198.73', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2775', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-5000', '0', '-5761', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2776', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-4901.5', '0', '-3591.44', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2777', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '5682.62', '0', '7100.88', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2778', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '4859.16', '0', '4735.12', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2779', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '6496.94', '0', '6496.94', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2780', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '4115.64', '0', '4844.06', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2781', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '5101.14', '0', '5068.22', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2782', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '3594.01', '0', '4515.88', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2783', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '4750.49', '0', '3424.64', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2784', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '5059.76', '0', '4622.7', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2785', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '4915.81', '0', '4810.9', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2786', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '6418.06', '0', '4800.7', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2787', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '5053.14', '0', '-4938.87', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2788', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '3293.8', '0', '-4445.62', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2789', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '5504.04', '0', '-6187.45', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2790', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '3585.86', '0', '-5049.38', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2791', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '5785.22', '0', '-6683.92', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2792', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '5032.74', '0', '-4964.9', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2793', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '3579.42', '0', '-6420.58', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2794', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '6205.87', '0', '-3562.9', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2795', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '4018.99', '0', '-6350.25', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2796', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '6425.61', '0', '-3803.77', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2797', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-5343.68', '0', '3383.12', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2798', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-5586.09', '0', '5937.94', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2799', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-5088.69', '0', '5272.95', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2800', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-7038.6', '0', '3624.94', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2801', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-4531.51', '0', '6360.6', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2802', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-5781.82', '0', '4715.44', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2803', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-5012.43', '0', '4989.93', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2804', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-3992.83', '0', '5327.25', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2805', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-6374.49', '0', '4806.83', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2806', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-4147.08', '0', '4940.36', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2807', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '-87.4191', '0', '285.935', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2808', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '-1484.84', '0', '1769.56', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2809', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '1102.8', '0', '-586.37', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2810', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '-650.114', '0', '-1275.92', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2811', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '979.5', '0', '1696.54', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2812', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '-898.075', '0', '2017.11', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2813', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '-1541.1', '0', '560.913', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2814', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '-843.514', '0', '1655.49', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2815', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '280.421', '0', '-2283.85', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2816', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '-378.415', '0', '-2389.22', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2817', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '-5707.57', '0', '24.7088', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2818', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '-5079.42', '0', '244.422', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2819', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '-5211.92', '0', '849.979', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2820', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '-7002.04', '0', '-317.093', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2821', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '-3944.93', '0', '-738.766', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2822', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '-4709.2', '0', '415.31', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2823', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '-5858.49', '0', '-953.455', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2824', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '-4032.34', '0', '1002.04', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2825', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '-3005.62', '0', '174.486', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2826', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '-4694.46', '0', '327.646', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2827', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '4032.65', '0', '-558.5', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2828', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '5066.28', '0', '28.1326', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2829', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '5773.88', '0', '583.159', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2830', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '5266.04', '0', '-2166.73', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2831', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '4553.47', '0', '1163.24', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2832', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '6063.55', '0', '-1702.03', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2833', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '5067.16', '0', '-345.533', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2834', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '5145.08', '0', '-97.8588', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2835', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '3922.48', '0', '56.4705', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2836', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '5724.04', '0', '-675.178', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2837', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '77.9945', '0', '4971.61', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2838', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '-1190.23', '0', '4166.59', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2839', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '-1734.74', '0', '4469.64', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2840', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '897.974', '0', '6070.16', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2841', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '-661.751', '0', '4895.19', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2842', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '-24.055', '0', '4725.05', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2843', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '-449.902', '0', '3051.26', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2844', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '1312.57', '0', '6564.26', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2845', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '852.605', '0', '7110.27', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2846', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '-463.014', '0', '3854', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2847', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '-1111.24', '0', '-4278.35', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2848', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '-138.584', '0', '-4546.71', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2849', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '-245.314', '0', '-5442.56', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2850', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '-28.1816', '0', '-4596.98', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2851', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '-234.865', '0', '-5260.84', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2852', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '-1354.63', '0', '-5519.99', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2853', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '177.51', '0', '-4651.62', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2854', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '953.325', '0', '-3474.36', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2855', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '547.053', '0', '-5510.13', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2856', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '-177.121', '0', '-3995.5', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2857', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '-5035.63', '0', '-5015.86', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2858', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '-5699.15', '0', '-5073.48', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2859', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '-4358.42', '0', '-6511.47', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2860', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '-4995.15', '0', '-4996.47', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2861', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '-6797.86', '0', '-5800.46', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2862', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '-7438.63', '0', '-4957.43', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2863', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '-5806.97', '0', '-3187.53', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2864', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '-3765.5', '0', '-2861.78', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2865', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '-3940.65', '0', '-5036.99', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2866', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '-4074.83', '0', '-3726.61', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2867', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '3373.47', '0', '4309.58', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2868', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '5446.1', '0', '6789.23', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2869', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '5596.51', '0', '4289.11', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2870', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '3211.09', '0', '5512.96', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2871', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '4109.4', '0', '3393.32', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2872', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '5339.56', '0', '5484.94', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2873', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '5000', '0', '3325', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2874', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '3594.74', '0', '4852.3', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2875', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '4277.95', '0', '6357.97', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2876', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '2959.14', '0', '4091.35', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2877', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '4868.94', '0', '-4908.23', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2878', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '6203.1', '0', '-6336.17', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2879', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '5051.1', '0', '-5065.4', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2880', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '4412.07', '0', '-7050.37', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2881', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '2933.88', '0', '-4446.39', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2882', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '4947.29', '0', '-4994.46', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2883', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '3395.04', '0', '-5648.44', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2884', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '5055.58', '0', '-6060.54', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2885', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '5495.23', '0', '-4789.79', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2886', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '5888.66', '0', '-3396.82', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2887', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '-4240.75', '0', '4738.57', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2888', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '-3288.24', '0', '4636.15', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2889', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '-3785.96', '0', '4915.11', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2890', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '-5083', '0', '5789.65', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2891', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '-3338.04', '0', '6252.38', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2892', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '-4695.42', '0', '6221.6', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2893', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '-4843.19', '0', '4877.48', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2894', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '-4673.02', '0', '6854.39', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2895', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '-3247.56', '0', '6523.37', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2896', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '-6122.13', '0', '4123.3', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2897', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '45.9485', '0', '-216.171', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2898', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '-733.562', '0', '-458.38', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2899', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '166.576', '0', '-856.961', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2900', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '257.022', '0', '-2093.28', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2901', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '-2163.19', '0', '-918.218', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2902', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '-6144.05', '0', '-582.924', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2903', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '-5095.15', '0', '1360.68', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2904', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '-4858.06', '0', '614.828', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2905', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '-3831.11', '0', '248.454', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2906', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '-5302.71', '0', '-141.154', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2907', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '4268.77', '0', '1809.86', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2908', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '4662.13', '0', '-388.675', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2909', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '6351.78', '0', '-1669.31', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2910', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '7348.17', '0', '-629.189', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2911', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '5317.63', '0', '-1375.81', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2912', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '-1381.27', '0', '4629.89', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2913', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '-189.28', '0', '4729.68', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2914', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '937.906', '0', '4458.5', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2915', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '-1708.17', '0', '5209.74', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2916', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '-19.4486', '0', '5110.3', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2917', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '-1480.32', '0', '-6532.91', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2918', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '-2075.35', '0', '-5796.65', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2919', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '-1540.57', '0', '-3839.1', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2920', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '676.519', '0', '-4164.57', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2921', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '1.08871e-13', '0', '-3222', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2922', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '-6287.79', '0', '-5546.63', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2923', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '-5500.31', '0', '-4973.78', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2924', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '-4923.48', '0', '-5874.66', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2925', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '-3321.8', '0', '-4321.96', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2926', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '-5928.47', '0', '-3096.35', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2927', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '4476.96', '0', '7097.78', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2928', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '2941.15', '0', '6141.24', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2929', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '5841.49', '0', '4970.61', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2930', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '4155.71', '0', '5844.29', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2931', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '6606.97', '0', '5254.52', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2932', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '3382.89', '0', '-5227.27', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2933', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '4798.03', '0', '-5003.53', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2934', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '2823.77', '0', '-5583.12', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2935', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '6004.52', '0', '-6382.61', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2936', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '4877.34', '0', '-4778.72', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2937', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '-6761.2', '0', '6376', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2938', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '-6173.24', '0', '3122.42', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2939', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '-4117.9', '0', '5594.98', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2940', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '-4966.53', '0', '5382.54', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2941', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '-4177.69', '0', '6131.81', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2942', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff', '0', '0', '0', '0', '1094.83', '0', '19.1104', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2943', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff', '0', '0', '0', '0', '-933.775', '0', '475.782', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2944', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff', '0', '0', '0', '0', '-5768.65', '0', '716.78', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2945', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff', '0', '0', '0', '0', '-4934.25', '0', '-1882.85', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2946', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff', '0', '0', '0', '0', '6558.94', '0', '-1174.74', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2947', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff', '0', '0', '0', '0', '4129.51', '0', '587.153', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2948', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff', '0', '0', '0', '0', '-2072.83', '0', '5922.89', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2949', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff', '0', '0', '0', '0', '-2440', '0', '5000', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2950', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff', '0', '0', '0', '0', '315.364', '0', '-5821.55', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2951', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff', '0', '0', '0', '0', '-189.534', '0', '-5291.86', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2952', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff', '0', '0', '0', '0', '-5129.1', '0', '-4960.53', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2953', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff', '0', '0', '0', '0', '-4722.21', '0', '-4940.95', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2954', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff', '0', '0', '0', '0', '5294.84', '0', '4880.88', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2955', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff', '0', '0', '0', '0', '4574.04', '0', '4893.8', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2956', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff', '0', '0', '0', '0', '4671.81', '0', '-3311.6', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2957', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff', '0', '0', '0', '0', '4926.62', '0', '-5698.15', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2958', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff', '0', '0', '0', '0', '-4724.22', '0', '5285.58', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2959', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff', '0', '0', '0', '0', '-5389.67', '0', '3800.72', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2960', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '-1005.68', '0', '-534.728', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2961', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '-62.3321', '0', '1189.37', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2962', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '144.243', '0', '1648.7', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2963', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '1319.92', '0', '-1031.23', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2964', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '-898.151', '0', '-418.815', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2965', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '-581.184', '0', '-743.882', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2966', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '-13.3162', '0', '-762.884', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2967', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '-500.245', '0', '-52.5778', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2968', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '-864.057', '0', '1067.02', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2969', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '-291.095', '0', '685.776', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2970', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '-5967.91', '0', '-1899.63', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2971', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '-7353.69', '0', '415.019', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2972', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '-5505.52', '0', '-126.041', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2973', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '-4854.89', '0', '1658.66', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2974', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '-6566.43', '0', '1739.7', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2975', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '-3889.7', '0', '2088.17', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2976', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '-5831.55', '0', '673.373', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2977', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '-6386.23', '0', '737.07', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2978', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '-4332.42', '0', '433.533', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2979', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '-5481.83', '0', '1575.99', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2980', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '4469.34', '0', '-2298.54', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2981', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '6121.66', '0', '279.662', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2982', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '5000', '0', '1382', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2983', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '4195.58', '0', '-1287.34', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2984', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '6951.07', '0', '1470.23', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2985', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '6592.43', '0', '-1115.03', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2986', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '5444.12', '0', '-835.268', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2987', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '4903.31', '0', '-919.933', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2988', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '2921.37', '0', '-1248.97', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2989', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '7322.9', '0', '536.283', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2990', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '426.954', '0', '4712.02', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2991', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '594.983', '0', '4551.65', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2992', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '-537.312', '0', '4403.25', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2993', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '1612.72', '0', '4178.28', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2994', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '-359.318', '0', '4571.78', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2995', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '-656.197', '0', '5590.84', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2996', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '524.5', '0', '5908.46', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2997', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '405.579', '0', '4044.52', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2998', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '1176.85', '0', '4792.49', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('2999', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '183.2', '0', '5025.75', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3000', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '-2229.17', '0', '-4360.8', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3001', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '417.915', '0', '-5575.21', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3002', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '-500.033', '0', '-3626.17', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3003', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '-1279.65', '0', '-6827.53', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3004', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '-1621.91', '0', '-5590.33', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3005', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '644.19', '0', '-5955.05', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3006', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '1466.49', '0', '-6145.75', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3007', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '69.3975', '0', '-6324.18', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3008', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '1563.08', '0', '-4304.07', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3009', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '-61.4231', '0', '-3241.07', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3010', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '-3679.34', '0', '-5890.79', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3011', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '-4825.42', '0', '-4932.99', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3012', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '-2964.79', '0', '-4218.76', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3013', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '-5071.82', '0', '-4994.98', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3014', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '-5752.37', '0', '-3964.46', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3015', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '-3393.15', '0', '-3789.15', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3016', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '-7211.33', '0', '-4106.56', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3017', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '-3420.93', '0', '-4013.29', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3018', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '-6802.81', '0', '-5449.49', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3019', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '-5152.21', '0', '-5175.09', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3020', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '3898.26', '0', '5490.52', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3021', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '4220.89', '0', '4731.73', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3022', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '5108.56', '0', '5772.41', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3023', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '5458.77', '0', '4433.46', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3024', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '5283.83', '0', '4990.09', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3025', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '7258.62', '0', '4921.13', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3026', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '5000', '0', '4869', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3027', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '6997.37', '0', '4719.29', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3028', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '6033.05', '0', '4450.72', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3029', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '5342.5', '0', '4406.77', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3030', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '7322.18', '0', '-5326.36', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3031', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '5916.6', '0', '-4491.92', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3032', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '5324.85', '0', '-5263.06', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3033', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '5553.67', '0', '-4078.55', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3034', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '6679.02', '0', '-6090.37', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3035', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '4149.36', '0', '-5119.55', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3036', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '4960.7', '0', '-4815.13', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3037', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '4402.36', '0', '-6123.99', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3038', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '3995.48', '0', '-4126.79', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3039', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '5296.04', '0', '-5911.11', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3040', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '-6224.55', '0', '3432.65', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3041', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '-5222.7', '0', '5964.63', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3042', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '-4620.29', '0', '4457.72', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3043', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '-4435.72', '0', '6845.67', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3044', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '-5011.58', '0', '4905.71', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3045', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '-3296.82', '0', '5520.71', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3046', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '-4693.82', '0', '4951.51', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3047', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '-3549.32', '0', '6611.14', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3048', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '-5191.01', '0', '5712.85', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3049', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '-5147.06', '0', '5481.02', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3050', '2', '0', 'object/mobile/mutant_rancor.iff', '0', '0', '0', '0', '-4230.31', '0', '-2086.18', '87', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3051', '2', '0', 'object/mobile/bull_rancor.iff', '0', '0', '0', '0', '-4251.56', '0', '-2095.67', '98', 'neutral', '128', '35', '600');
INSERT INTO `world_server_static_spawns` VALUES ('3052', '2', '4335463', 'object/mobile/rancor.iff', '0', '0', '0', '0', '15.1385', '-4.47405', '-6.70003', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3053', '2', '4335463', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-21.279', '-26.9041', '-7.13674', '80', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3054', '2', '4335464', 'object/mobile/rancor_youth.iff', '0', '0', '0', '0', '-21.9044', '-40.2346', '-45.7353', '45', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3055', '2', '4335464', 'object/mobile/mutant_rancor.iff', '0', '0', '0', '0', '-23.5048', '-42.3566', '-63.8942', '87', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3056', '2', '4335464', 'object/mobile/rancor_youth.iff', '0', '0', '0', '0', '-51.5143', '-48.8983', '-62.5288', '45', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3057', '2', '4335464', 'object/mobile/bull_rancor.iff', '0', '0', '0', '0', '-42.751', '-46.9586', '-10.3283', '65', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3058', '2', '4335465', 'object/mobile/rancor_youth.iff', '0', '0', '0', '0', '-74.1246', '-60.5423', '-10.3189', '45', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3059', '2', '4335465', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-80.7402', '-62.452', '-14.511', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3060', '2', '4335465', 'object/mobile/bull_rancor.iff', '0', '0', '0', '0', '-89.0712', '-66.1011', '-34.5327', '65', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3061', '2', '4335466', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-68.8289', '-75.4496', '-56.2213', '80', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3062', '2', '4335466', 'object/mobile/bull_rancor.iff', '0', '0', '0', '0', '-91.5458', '-76.0459', '-68.5851', '85', 'neutral', '128', '35', '600');
INSERT INTO `world_server_static_spawns` VALUES ('3063', '2', '4335466', 'object/mobile/bull_rancor.iff', '0', '0', '0', '0', '-84.3983', '-76.5486', '-86.4078', '65', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3064', '2', '4335468', 'object/mobile/mutant_rancor.iff', '0', '0', '0', '0', '-54.4698', '-77.1138', '-91.1161', '87', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3065', '2', '4335468', 'object/mobile/bull_rancor.iff', '0', '0', '0', '0', '-57.4521', '-70.2253', '-120.922', '65', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3066', '2', '4335469', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-81.7676', '-65.8217', '-139.212', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3067', '2', '4335467', 'object/mobile/bull_rancor.iff', '0', '0', '0', '0', '-93.9357', '-66.4245', '-109.79', '65', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3068', '2', '4335470', 'object/mobile/mutant_rancor.iff', '0', '0', '0', '0', '-114.332', '-67.1559', '-90.6148', '87', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3069', '2', '4335470', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-137.299', '-67.0822', '-88.6898', '80', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3070', '2', '4335470', 'object/mobile/bull_rancor.iff', '0', '0', '0', '0', '-137.962', '-66.446', '-118.717', '85', 'neutral', '128', '35', '600');
INSERT INTO `world_server_static_spawns` VALUES ('3071', '2', '4335470', 'object/mobile/mutant_rancor.iff', '0', '0', '0', '0', '-155.487', '-66.2715', '-113.002', '87', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3072', '2', '4335471', 'object/mobile/mutant_rancor.iff', '0', '0', '0', '0', '-162.186', '-67.0103', '-99.8746', '87', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3073', '2', '4335471', 'object/mobile/bull_rancor.iff', '0', '0', '0', '0', '-192.579', '-66.8457', '-101.426', '98', 'neutral', '128', '35', '600');
INSERT INTO `world_server_static_spawns` VALUES ('3074', '2', '4335471', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-193.936', '-66.2722', '-109.929', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3075', '2', '4335471', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-191.922', '-66.37', '-96.3279', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3076', '2', '4335472', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-49.6429', '-51.8529', '-86.2787', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3077', '2', '4335467', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-67.7254', '-46.6077', '-106.658', '80', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3078', '2', '4335467', 'object/mobile/bull_rancor.iff', '0', '0', '0', '0', '-89.7059', '-46.721', '-107.076', '65', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3079', '2', '4335473', 'object/mobile/rancor_youth.iff', '0', '0', '0', '0', '-75.8648', '-46.4015', '-140.821', '45', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3080', '2', '4335473', 'object/mobile/rancor_youth.iff', '0', '0', '0', '0', '-79.0697', '-46.0094', '-147.73', '45', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3081', '2', '4335473', 'object/mobile/bull_rancor.iff', '0', '0', '0', '0', '-88.7105', '-46.9224', '-144.215', '85', 'neutral', '128', '35', '600');
INSERT INTO `world_server_static_spawns` VALUES ('3082', '2', '4335473', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-90.5612', '-46.2269', '-130.403', '80', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3083', '2', '4335467', 'object/mobile/rancor_youth.iff', '0', '0', '0', '0', '-93.5684', '-46.0266', '-104.567', '45', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3084', '2', '0', 'object/mobile/dressed_dathomir_nightsister_elder.iff', '0', '0', '0', '0', '-3975.18', '0', '-174.426', '278', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3085', '2', '0', 'object/mobile/dressed_dathomir_nightsister_elder.iff', '0', '0', '0', '0', '-4007.96', '0', '-267.276', '278', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3086', '2', '0', 'object/mobile/dressed_dathomir_nightsister_elder.iff', '0', '0', '0', '0', '-4153.21', '0', '-97.6157', '278', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3087', '2', '0', 'object/mobile/dressed_dathomir_nightsister_rancor_tamer.iff', '0', '0', '0', '0', '-4100.96', '0', '-105.248', '76', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3088', '2', '0', 'object/mobile/dressed_dathomir_nightsister_rancor_tamer.iff', '0', '0', '0', '0', '-4107', '0', '-118', '76', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3089', '2', '0', 'object/mobile/dressed_dathomir_nightsister_protector.iff', '0', '0', '0', '0', '-4112.15', '0', '-108.572', '131', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3090', '2', '0', 'object/mobile/dressed_dathomir_nightsister_protector.iff', '0', '0', '0', '0', '-4130.87', '0', '-97.4913', '131', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3091', '2', '0', 'object/mobile/dressed_dathomir_nightsister_spellweaver.iff', '0', '0', '0', '0', '-4104.82', '0', '-108.733', '100', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3092', '2', '0', 'object/mobile/dressed_dathomir_nightsister_spellweaver.iff', '0', '0', '0', '0', '-4101.8', '0', '-75.5463', '100', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3093', '2', '0', 'object/mobile/dressed_dathomir_nightsister_rancor_tamer.iff', '0', '0', '0', '0', '-3996.83', '0', '-124.556', '76', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3094', '2', '0', 'object/mobile/dressed_dathomir_nightsister_rancor_tamer.iff', '0', '0', '0', '0', '-4012.07', '0', '-138.237', '76', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3095', '2', '0', 'object/mobile/dressed_dathomir_nightsister_protector.iff', '0', '0', '0', '0', '-4016.53', '0', '-139.848', '131', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3096', '2', '0', 'object/mobile/dressed_dathomir_nightsister_protector.iff', '0', '0', '0', '0', '-4018.78', '0', '-119.195', '131', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3097', '2', '0', 'object/mobile/dressed_dathomir_nightsister_spellweaver.iff', '0', '0', '0', '0', '-4005.58', '0', '-149.79', '100', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3098', '2', '0', 'object/mobile/dressed_dathomir_nightsister_spellweaver.iff', '0', '0', '0', '0', '-4011.76', '0', '-136.35', '100', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3099', '2', '0', 'object/mobile/dressed_dathomir_nightsister_rancor_tamer.iff', '0', '0', '0', '0', '-3983.65', '0', '-235.988', '76', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3100', '2', '0', 'object/mobile/dressed_dathomir_nightsister_rancor_tamer.iff', '0', '0', '0', '0', '-3976.03', '0', '-231.697', '76', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3101', '2', '0', 'object/mobile/dressed_dathomir_nightsister_protector.iff', '0', '0', '0', '0', '-4005.33', '0', '-239.616', '131', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3102', '2', '0', 'object/mobile/dressed_dathomir_nightsister_protector.iff', '0', '0', '0', '0', '-3995.85', '0', '-232.877', '131', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3103', '2', '0', 'object/mobile/dressed_dathomir_nightsister_spellweaver.iff', '0', '0', '0', '0', '-3980.5', '0', '-224.938', '100', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3104', '2', '0', 'object/mobile/dressed_dathomir_nightsister_spellweaver.iff', '0', '0', '0', '0', '-3969.95', '0', '-215.394', '100', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3105', '2', '0', 'object/mobile/dressed_dathomir_nightsister_sentinal.iff', '0', '0', '0', '0', '-4298.01', '0', '-588.188', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3106', '2', '0', 'object/mobile/dressed_dathomir_nightsister_sentinal.iff', '0', '0', '0', '0', '-3995.1', '0', '-519.409', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3107', '2', '0', 'object/mobile/dressed_dathomir_nightsister_sentinal.iff', '0', '0', '0', '0', '-3310.06', '0', '-429.59', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3108', '2', '0', 'object/mobile/dressed_dathomir_nightsister_sentinal.iff', '0', '0', '0', '0', '-4096.3', '0', '-145.598', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3109', '2', '0', 'object/mobile/dressed_dathomir_nightsister_sentinal.iff', '0', '0', '0', '0', '-3697.7', '0', '-295.688', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3110', '2', '0', 'object/mobile/dressed_dathomir_nightsister_sentinal.iff', '0', '0', '0', '0', '-3901.43', '0', '300.631', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3111', '2', '0', 'object/mobile/dressed_dathomir_nightsister_sentinal.iff', '0', '0', '0', '0', '-4432.09', '0', '-130.911', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3112', '2', '0', 'object/mobile/dressed_dathomir_nightsister_sentinal.iff', '0', '0', '0', '0', '-4290.6', '0', '17.5264', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3113', '2', '0', 'object/mobile/dressed_dathomir_nightsister_sentinal.iff', '0', '0', '0', '0', '-3680.09', '0', '-83.3477', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3114', '2', '0', 'object/mobile/dressed_dathomir_nightsister_sentinal.iff', '0', '0', '0', '0', '-4681.35', '0', '-277.973', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3115', '2', '0', 'object/mobile/dressed_dathomir_nightsister_sentinal.iff', '0', '0', '0', '0', '-4273.26', '0', '-513.582', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3116', '2', '0', 'object/mobile/dressed_dathomir_nightsister_sentinal.iff', '0', '0', '0', '0', '-3913.38', '0', '-51.1987', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3117', '2', '0', 'object/mobile/dressed_dathomir_nightsister_sentinal.iff', '0', '0', '0', '0', '-4468.58', '0', '129.788', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3118', '2', '0', 'object/mobile/dressed_dathomir_nightsister_sentinal.iff', '0', '0', '0', '0', '-4279.1', '0', '-554.077', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3119', '2', '0', 'object/mobile/dressed_dathomir_nightsister_sentinal.iff', '0', '0', '0', '0', '-3544.68', '0', '-544.569', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3120', '2', '0', 'object/mobile/dressed_dathomir_nightsister_sentinal.iff', '0', '0', '0', '0', '-4422.38', '0', '116.826', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3121', '2', '0', 'object/mobile/dressed_dathomir_nightsister_sentinal.iff', '0', '0', '0', '0', '-4183.5', '0', '-90.8045', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3122', '2', '0', 'object/mobile/dressed_dathomir_nightsister_sentinal.iff', '0', '0', '0', '0', '-3769.47', '0', '-105.947', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3123', '2', '0', 'object/mobile/dressed_dathomir_nightsister_sentinal.iff', '0', '0', '0', '0', '-3878.72', '0', '182.052', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3124', '2', '0', 'object/mobile/dressed_dathomir_nightsister_sentinal.iff', '0', '0', '0', '0', '-4138.67', '0', '-111', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3125', '2', '0', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '-3583.56', '0', '-275.542', '57', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3126', '2', '0', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '-4134.26', '0', '-511.089', '57', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3127', '2', '0', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '-3978.53', '0', '-112.398', '57', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3128', '2', '0', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '-4026.78', '0', '-236.738', '57', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3129', '2', '0', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '-4285.09', '0', '-315.307', '57', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3130', '2', '0', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '-3892.09', '0', '-282.779', '57', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3131', '2', '0', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '-3534.81', '0', '-760.013', '57', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3132', '2', '0', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '-4272.19', '0', '-138.349', '57', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3133', '2', '0', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '-4148.92', '0', '-243.832', '57', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3134', '2', '0', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '-3850.5', '0', '-518.133', '57', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3135', '2', '0', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '-3880.3', '0', '-204.882', '57', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3136', '2', '0', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '-3799.5', '0', '5.15529', '57', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3137', '2', '0', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '-4136.1', '0', '-104.995', '57', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3138', '2', '0', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '-4067.06', '0', '-618.93', '57', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3139', '2', '0', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '-4168.43', '0', '-230.813', '57', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3140', '2', '0', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '-4219.19', '0', '-574.31', '57', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3141', '2', '0', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '-4007.69', '0', '-480.962', '57', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3142', '2', '0', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '-3376.67', '0', '-109.287', '57', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3143', '2', '0', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '-4710.6', '0', '-248.576', '57', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3144', '2', '0', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '-3966.27', '0', '-181.847', '57', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3145', '2', '0', 'object/mobile/dressed_dathomir_nightsister_stalker.iff', '0', '0', '0', '0', '-3715', '0', '438.825', '86', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3146', '2', '0', 'object/mobile/dressed_dathomir_nightsister_stalker.iff', '0', '0', '0', '0', '-4076.55', '0', '-140.632', '86', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3147', '2', '0', 'object/mobile/dressed_dathomir_nightsister_stalker.iff', '0', '0', '0', '0', '-3632.35', '0', '-703.091', '86', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3148', '2', '0', 'object/mobile/dressed_dathomir_nightsister_stalker.iff', '0', '0', '0', '0', '-4171.27', '0', '210.221', '86', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3149', '2', '0', 'object/mobile/dressed_dathomir_nightsister_stalker.iff', '0', '0', '0', '0', '-3955.02', '0', '-142.387', '86', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3150', '2', '0', 'object/mobile/dressed_dathomir_nightsister_stalker.iff', '0', '0', '0', '0', '-3272.12', '0', '-170.735', '86', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3151', '2', '0', 'object/mobile/dressed_dathomir_nightsister_stalker.iff', '0', '0', '0', '0', '-4104.64', '0', '-102.611', '86', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3152', '2', '0', 'object/mobile/dressed_dathomir_nightsister_stalker.iff', '0', '0', '0', '0', '-4461.82', '0', '306.392', '86', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3153', '2', '0', 'object/mobile/dressed_dathomir_nightsister_stalker.iff', '0', '0', '0', '0', '-4032.39', '0', '-69.9763', '86', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3154', '2', '0', 'object/mobile/dressed_dathomir_nightsister_stalker.iff', '0', '0', '0', '0', '-4416.32', '0', '372.755', '86', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3155', '2', '0', 'object/mobile/dressed_dathomir_nightsister_stalker.iff', '0', '0', '0', '0', '-4063.86', '0', '-129.425', '86', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3156', '2', '0', 'object/mobile/dressed_dathomir_nightsister_stalker.iff', '0', '0', '0', '0', '-4085.47', '0', '-123.116', '86', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3157', '2', '0', 'object/mobile/dressed_dathomir_nightsister_stalker.iff', '0', '0', '0', '0', '-4333.39', '0', '-57.1301', '86', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3158', '2', '0', 'object/mobile/dressed_dathomir_nightsister_stalker.iff', '0', '0', '0', '0', '-3417.32', '0', '-589.815', '86', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3159', '2', '0', 'object/mobile/dressed_dathomir_nightsister_stalker.iff', '0', '0', '0', '0', '-3787.44', '0', '482.751', '86', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3160', '2', '0', 'object/mobile/dressed_dathomir_nightsister_stalker.iff', '0', '0', '0', '0', '-3819', '0', '-7.03285', '86', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3161', '2', '0', 'object/mobile/dressed_dathomir_nightsister_stalker.iff', '0', '0', '0', '0', '-4111.05', '0', '-527.36', '86', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3162', '2', '0', 'object/mobile/dressed_dathomir_nightsister_stalker.iff', '0', '0', '0', '0', '-4406.79', '0', '156.153', '86', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3163', '2', '0', 'object/mobile/dressed_dathomir_nightsister_stalker.iff', '0', '0', '0', '0', '-4331', '0', '314.118', '86', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3164', '2', '0', 'object/mobile/dressed_dathomir_nightsister_stalker.iff', '0', '0', '0', '0', '-3796.66', '0', '-45.6416', '86', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3165', '2', '0', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '-4040.72', '0', '-204.613', '60', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3166', '2', '0', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '-4132.13', '0', '-39.9694', '60', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3167', '2', '0', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '-3736.08', '0', '304.183', '60', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3168', '2', '0', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '-3797.58', '0', '-267.968', '60', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3169', '2', '0', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '-3967.08', '0', '-363.461', '60', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3170', '2', '0', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '-4015.41', '0', '-94.7444', '60', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3171', '2', '0', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '-4224.54', '0', '214.813', '60', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3172', '2', '0', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '-3701.63', '0', '334.882', '60', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3173', '2', '0', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '-4027.74', '0', '-189.37', '60', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3174', '2', '0', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '-4066.51', '0', '-204.409', '60', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3175', '2', '0', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '-3484.2', '0', '-462.626', '60', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3176', '2', '0', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '-4505.58', '0', '111.335', '60', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3177', '2', '0', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '-4180.35', '0', '467.315', '60', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3178', '2', '0', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '-4016.21', '0', '332.132', '60', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3179', '2', '0', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '-4295.06', '0', '-119.612', '60', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3180', '2', '0', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '-3835.98', '0', '-204.404', '60', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3181', '2', '0', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '-4217.13', '0', '31.4469', '60', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3182', '2', '0', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '-4454.08', '0', '-43.713', '60', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3183', '2', '0', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '-3743.77', '0', '-134.957', '60', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3184', '2', '0', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '-3616.04', '0', '-648.962', '60', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3185', '2', '0', 'object/mobile/dressed_dathomir_nightsister_rancor_tamer.iff', '0', '0', '0', '0', '-4066.26', '0', '-171.256', '76', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3186', '2', '0', 'object/mobile/dressed_dathomir_nightsister_rancor_tamer.iff', '0', '0', '0', '0', '-3364.55', '0', '-541.939', '76', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3187', '2', '0', 'object/mobile/dressed_dathomir_nightsister_rancor_tamer.iff', '0', '0', '0', '0', '-4114.15', '0', '-166.724', '76', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3188', '2', '0', 'object/mobile/dressed_dathomir_nightsister_rancor_tamer.iff', '0', '0', '0', '0', '-4059', '0', '-479', '76', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3189', '2', '0', 'object/mobile/dressed_dathomir_nightsister_rancor_tamer.iff', '0', '0', '0', '0', '-3788.18', '0', '113.822', '76', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3190', '2', '0', 'object/mobile/dressed_dathomir_nightsister_rancor_tamer.iff', '0', '0', '0', '0', '-4096.84', '0', '-147.565', '76', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3191', '2', '0', 'object/mobile/dressed_dathomir_nightsister_rancor_tamer.iff', '0', '0', '0', '0', '-4239.91', '0', '518.182', '76', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3192', '2', '0', 'object/mobile/dressed_dathomir_nightsister_rancor_tamer.iff', '0', '0', '0', '0', '-4200.53', '0', '-592.584', '76', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3193', '2', '0', 'object/mobile/dressed_dathomir_nightsister_rancor_tamer.iff', '0', '0', '0', '0', '-4433', '0', '-804.787', '76', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3194', '2', '0', 'object/mobile/dressed_dathomir_nightsister_rancor_tamer.iff', '0', '0', '0', '0', '-4014.46', '0', '-52.0624', '76', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3195', '2', '0', 'object/mobile/dressed_dathomir_nightsister_rancor_tamer.iff', '0', '0', '0', '0', '-4046.04', '0', '-33.6793', '76', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3196', '2', '0', 'object/mobile/dressed_dathomir_nightsister_rancor_tamer.iff', '0', '0', '0', '0', '-4486.83', '0', '51.6647', '76', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3197', '2', '0', 'object/mobile/dressed_dathomir_nightsister_rancor_tamer.iff', '0', '0', '0', '0', '-4744.03', '0', '13.7969', '76', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3198', '2', '0', 'object/mobile/dressed_dathomir_nightsister_rancor_tamer.iff', '0', '0', '0', '0', '-3764.46', '0', '81.5124', '76', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3199', '2', '0', 'object/mobile/dressed_dathomir_nightsister_rancor_tamer.iff', '0', '0', '0', '0', '-4194.45', '0', '611.15', '76', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3200', '2', '0', 'object/mobile/dressed_dathomir_nightsister_rancor_tamer.iff', '0', '0', '0', '0', '-4294.47', '0', '567.705', '76', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3201', '2', '0', 'object/mobile/dressed_dathomir_nightsister_spellweaver.iff', '0', '0', '0', '0', '-3881.11', '0', '-163.212', '100', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3202', '2', '0', 'object/mobile/dressed_dathomir_nightsister_spellweaver.iff', '0', '0', '0', '0', '-3667.83', '0', '-307.156', '100', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3203', '2', '0', 'object/mobile/dressed_dathomir_nightsister_spellweaver.iff', '0', '0', '0', '0', '-4203.16', '0', '381.021', '100', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3204', '2', '0', 'object/mobile/dressed_dathomir_nightsister_spellweaver.iff', '0', '0', '0', '0', '-3764.1', '0', '-313.803', '100', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3205', '2', '0', 'object/mobile/dressed_dathomir_nightsister_spellweaver.iff', '0', '0', '0', '0', '-3918.72', '0', '118.321', '100', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3206', '2', '0', 'object/mobile/dressed_dathomir_nightsister_spellweaver.iff', '0', '0', '0', '0', '-4422.87', '0', '-79.6569', '100', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3207', '2', '0', 'object/mobile/dressed_dathomir_nightsister_spellweaver.iff', '0', '0', '0', '0', '-4065.91', '0', '-25.1809', '100', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3208', '2', '0', 'object/mobile/dressed_dathomir_nightsister_spellweaver.iff', '0', '0', '0', '0', '-3336.02', '0', '9.91368', '100', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3209', '2', '0', 'object/mobile/dressed_dathomir_nightsister_spellweaver.iff', '0', '0', '0', '0', '-3915.8', '0', '-52.962', '100', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3210', '2', '0', 'object/mobile/dressed_dathomir_nightsister_spellweaver.iff', '0', '0', '0', '0', '-3817.92', '0', '-44.5835', '100', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3211', '2', '0', 'object/mobile/dressed_dathomir_nightsister_spellweaver.iff', '0', '0', '0', '0', '-4339.72', '0', '123.721', '100', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3212', '2', '0', 'object/mobile/dressed_dathomir_nightsister_spellweaver.iff', '0', '0', '0', '0', '-3462.03', '0', '-461.174', '100', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3213', '2', '0', 'object/mobile/dressed_dathomir_nightsister_spellweaver.iff', '0', '0', '0', '0', '-4079.14', '0', '-137.55', '100', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3214', '2', '0', 'object/mobile/dressed_dathomir_nightsister_spellweaver.iff', '0', '0', '0', '0', '-4255.29', '0', '328.844', '100', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3215', '2', '0', 'object/mobile/dressed_dathomir_nightsister_spellweaver.iff', '0', '0', '0', '0', '-3572.19', '0', '-122.959', '100', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3216', '2', '0', 'object/mobile/dressed_dathomir_nightsister_spellweaver.iff', '0', '0', '0', '0', '-4062.15', '0', '-159.463', '100', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3217', '2', '0', 'object/mobile/dressed_dathomir_nightsister_protector.iff', '0', '0', '0', '0', '-3845.68', '0', '-541.833', '131', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3218', '2', '0', 'object/mobile/dressed_dathomir_nightsister_protector.iff', '0', '0', '0', '0', '-4156.78', '0', '-172.487', '131', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3219', '2', '0', 'object/mobile/dressed_dathomir_nightsister_protector.iff', '0', '0', '0', '0', '-4046.4', '0', '203.78', '131', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3220', '2', '0', 'object/mobile/dressed_dathomir_nightsister_protector.iff', '0', '0', '0', '0', '-4383.08', '0', '-237.802', '131', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3221', '2', '0', 'object/mobile/dressed_dathomir_nightsister_protector.iff', '0', '0', '0', '0', '-4057', '0', '-160.464', '131', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3222', '2', '0', 'object/mobile/dressed_dathomir_nightsister_protector.iff', '0', '0', '0', '0', '-4003.42', '0', '-208.832', '131', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3223', '2', '0', 'object/mobile/dressed_dathomir_nightsister_protector.iff', '0', '0', '0', '0', '-3703.15', '0', '484.971', '131', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3224', '2', '0', 'object/mobile/dressed_dathomir_nightsister_protector.iff', '0', '0', '0', '0', '-3846.09', '0', '-127.078', '131', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3225', '2', '0', 'object/mobile/dressed_dathomir_nightsister_protector.iff', '0', '0', '0', '0', '-4012.72', '0', '-101.845', '131', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3226', '2', '0', 'object/mobile/dressed_dathomir_nightsister_protector.iff', '0', '0', '0', '0', '-4392.31', '0', '-399.168', '131', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3227', '2', '0', 'object/mobile/dressed_dathomir_nightsister_protector.iff', '0', '0', '0', '0', '-4424.46', '0', '-368', '131', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3228', '2', '0', 'object/mobile/dressed_dathomir_nightsister_protector.iff', '0', '0', '0', '0', '-4522.4', '0', '457.949', '131', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3229', '2', '0', 'object/mobile/dressed_dathomir_nightsister_spellweaver.iff', '0', '0', '0', '0', '-4672.8', '0', '-404.99', '100', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3230', '2', '0', 'object/mobile/dressed_dathomir_nightsister_spellweaver.iff', '0', '0', '0', '0', '-4484.08', '0', '-539.743', '100', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3231', '2', '0', 'object/mobile/dressed_dathomir_nightsister_spellweaver.iff', '0', '0', '0', '0', '-4089.9', '0', '62.8395', '100', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3232', '2', '0', 'object/mobile/dressed_dathomir_nightsister_spellweaver.iff', '0', '0', '0', '0', '-4150.77', '0', '-203.761', '100', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3233', '2', '0', 'object/mobile/dressed_dathomir_nightsister_spellweaver.iff', '0', '0', '0', '0', '-4046.57', '0', '-258.24', '100', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3234', '2', '0', 'object/mobile/dressed_dathomir_nightsister_spellweaver.iff', '0', '0', '0', '0', '-4056.5', '0', '-141.197', '100', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3235', '2', '0', 'object/mobile/dressed_dathomir_nightsister_spellweaver.iff', '0', '0', '0', '0', '-4782.32', '0', '-406.06', '100', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3236', '2', '0', 'object/mobile/dressed_dathomir_nightsister_spellweaver.iff', '0', '0', '0', '0', '-4413.46', '0', '0.813818', '100', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3237', '2', '0', 'object/mobile/dressed_dathomir_nightsister_spellweaver.iff', '0', '0', '0', '0', '-4020.73', '0', '-468.659', '100', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3238', '2', '0', 'object/mobile/dressed_dathomir_nightsister_spellweaver.iff', '0', '0', '0', '0', '-4991.99', '0', '-42.4428', '100', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3239', '2', '0', 'object/mobile/dressed_dathomir_nightsister_spellweaver.iff', '0', '0', '0', '0', '-4006.53', '0', '342.25', '100', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3240', '2', '0', 'object/mobile/dressed_dathomir_nightsister_spellweaver.iff', '0', '0', '0', '0', '-3963.24', '0', '200.393', '100', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3241', '2', '0', 'object/mobile/dressed_dathomir_nightsister_spellweaver.iff', '0', '0', '0', '0', '-4745.07', '0', '-585.705', '100', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3242', '2', '0', 'object/mobile/dressed_dathomir_nightsister_spellweaver.iff', '0', '0', '0', '0', '-3928.95', '0', '-274.098', '100', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3243', '2', '0', 'object/mobile/dressed_dathomir_nightsister_spellweaver.iff', '0', '0', '0', '0', '-4180.55', '0', '45.2915', '100', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3244', '2', '0', 'object/mobile/dressed_dathomir_nightsister_spellweaver.iff', '0', '0', '0', '0', '-3481.78', '0', '530.908', '100', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3245', '2', '0', 'object/mobile/dressed_dathomir_nightsister_spellweaver.iff', '0', '0', '0', '0', '-3457.63', '0', '-610.167', '100', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3246', '2', '0', 'object/mobile/dressed_dathomir_nightsister_spellweaver.iff', '0', '0', '0', '0', '-4224.9', '0', '-124.753', '100', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3247', '2', '0', 'object/mobile/dressed_dathomir_nightsister_spellweaver.iff', '0', '0', '0', '0', '-4015.67', '0', '-164.641', '100', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3248', '2', '0', 'object/mobile/dressed_dathomir_nightsister_spellweaver.iff', '0', '0', '0', '0', '-4162.82', '0', '581.74', '100', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3249', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-3600.33', '0', '430.068', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3250', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-4004.31', '0', '-1200.57', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3251', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-4079.16', '0', '131.296', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3252', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-4018.71', '0', '-132.793', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3253', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-4905.48', '0', '-186.56', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3254', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-2972.34', '0', '-368.226', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3255', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-3814.17', '0', '-47.9946', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3256', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-3294.29', '0', '462.251', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3257', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-2576.66', '0', '-286.688', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3258', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-3824.35', '0', '-580.316', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3259', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-3856.92', '0', '1280.87', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3260', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-4023.51', '0', '25.5827', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3261', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-4256.11', '0', '-1171.02', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3262', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-4328.95', '0', '850.461', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3263', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-4161.98', '0', '-995.701', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3264', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-5287.59', '0', '314.612', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3265', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-3779.92', '0', '-44.2434', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3266', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-4491.32', '0', '-367.857', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3267', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-4835.98', '0', '450.042', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3268', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-4871.45', '0', '921.158', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3269', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-3975.13', '0', '318.662', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3270', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-4341.76', '0', '-482.28', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3271', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-5177', '0', '-157', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3272', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-3376.55', '0', '-418.967', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3273', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-4160.19', '0', '-1313.58', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3274', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-3541.16', '0', '-1506.02', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3275', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-4061.36', '0', '-201.938', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3276', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-3471.3', '0', '210.234', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3277', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-4177.3', '0', '-713.566', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3278', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-3690.82', '0', '409.941', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3279', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-3222.51', '0', '-478.098', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3280', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-4059.94', '0', '-155.234', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3281', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-3664.01', '0', '-1448.97', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3282', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-4184.37', '0', '100.055', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3283', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-5007.15', '0', '-502.098', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3284', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-3079.43', '0', '479.138', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3285', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-2969.5', '0', '-214.099', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3286', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-3382.06', '0', '144.392', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3287', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-4070.82', '0', '-154.916', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3288', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-3750.04', '0', '-200.422', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3289', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-3832.89', '0', '-1320.23', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3290', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-3690.93', '0', '535.231', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3291', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-3895.45', '0', '-507.741', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3292', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-3256.42', '0', '-241.354', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3293', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-4198.08', '0', '-316.998', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3294', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-3194.3', '0', '-232.651', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3295', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-4100.14', '0', '-627.204', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3296', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-4768.89', '0', '-534.455', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3297', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-3755.32', '0', '1158.4', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3298', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-4240.15', '0', '-1300.74', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3299', '2', '0', 'object/mobile/dressed_dathomir_nightsister_outcast.iff', '0', '0', '0', '0', '-4792.42', '0', '-514.711', '81', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3300', '2', '0', 'object/mobile/dressed_dathomir_nightsister_outcast.iff', '0', '0', '0', '0', '-4597.3', '0', '-331.904', '81', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3301', '2', '0', 'object/mobile/dressed_dathomir_nightsister_outcast.iff', '0', '0', '0', '0', '-4653.04', '0', '-316.174', '81', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3302', '2', '0', 'object/mobile/dressed_dathomir_nightsister_outcast.iff', '0', '0', '0', '0', '-4046.02', '0', '-151.756', '81', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3303', '2', '0', 'object/mobile/dressed_dathomir_nightsister_outcast.iff', '0', '0', '0', '0', '-4087.77', '0', '-184.786', '81', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3304', '2', '0', 'object/mobile/dressed_dathomir_nightsister_outcast.iff', '0', '0', '0', '0', '-3988.85', '0', '240.862', '81', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3305', '2', '0', 'object/mobile/dressed_dathomir_nightsister_outcast.iff', '0', '0', '0', '0', '-3874.5', '0', '-503.998', '81', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3306', '2', '0', 'object/mobile/dressed_dathomir_nightsister_outcast.iff', '0', '0', '0', '0', '-3480.74', '0', '-451.64', '81', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3307', '2', '0', 'object/mobile/dressed_dathomir_nightsister_outcast.iff', '0', '0', '0', '0', '-4594.47', '0', '-894.014', '81', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3308', '2', '0', 'object/mobile/dressed_dathomir_nightsister_outcast.iff', '0', '0', '0', '0', '-3947.25', '0', '106.264', '81', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3309', '2', '0', 'object/mobile/dressed_dathomir_nightsister_outcast.iff', '0', '0', '0', '0', '-3894.48', '0', '-100.351', '81', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3310', '2', '0', 'object/mobile/dressed_dathomir_nightsister_outcast.iff', '0', '0', '0', '0', '-3540.71', '0', '-753.221', '81', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3311', '2', '0', 'object/mobile/dressed_dathomir_nightsister_outcast.iff', '0', '0', '0', '0', '-4500.92', '0', '-126.098', '81', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3312', '2', '0', 'object/mobile/dressed_dathomir_nightsister_outcast.iff', '0', '0', '0', '0', '-4378.16', '0', '469.378', '81', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3313', '2', '0', 'object/mobile/dressed_dathomir_nightsister_outcast.iff', '0', '0', '0', '0', '-4086.78', '0', '-114.228', '81', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3314', '2', '0', 'object/mobile/dressed_dathomir_nightsister_outcast.iff', '0', '0', '0', '0', '-4962.73', '0', '-13.8625', '81', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3315', '2', '0', 'object/mobile/dressed_dathomir_nightsister_outcast.iff', '0', '0', '0', '0', '-4043.25', '0', '-175.113', '81', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3316', '2', '0', 'object/mobile/dressed_dathomir_nightsister_outcast.iff', '0', '0', '0', '0', '-4463.96', '0', '-107.277', '81', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3317', '2', '0', 'object/mobile/dressed_dathomir_nightsister_outcast.iff', '0', '0', '0', '0', '-4412.62', '0', '-563.788', '81', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3318', '2', '0', 'object/mobile/dressed_dathomir_nightsister_outcast.iff', '0', '0', '0', '0', '-4289.45', '0', '-34.4679', '81', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3319', '2', '4115629', 'object/mobile/dressed_dathomir_nightsister_axkva.iff', '0', '0', '0', '0', '-91.0259', '-101.059', '-103.071', '302', 'neutral', '128', '35', '43200');
INSERT INTO `world_server_static_spawns` VALUES ('3320', '2', '4115629', 'object/mobile/dressed_dathomir_nightsister_spellweaver.iff', '0', '0', '0', '0', '-97.0333', '-100.883', '-116.283', '100', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3321', '2', '4115626', 'object/mobile/dressed_dathomir_nightsister_protector.iff', '0', '0', '0', '0', '-98.1117', '-102.689', '-131.572', '131', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3322', '2', '4115626', 'object/mobile/dressed_dathomir_nightsister_sentinal.iff', '0', '0', '0', '0', '-89.6414', '-100.547', '-149.769', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3323', '2', '4115628', 'object/mobile/dressed_dathomir_nightsister_protector.iff', '0', '0', '0', '0', '-28.3439', '-80.1922', '-151.496', '131', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3324', '2', '4115628', 'object/mobile/dressed_dathomir_nightsister_sentinal.iff', '0', '0', '0', '0', '-22.2057', '-80.5683', '-151.813', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3325', '2', '4115627', 'object/mobile/dressed_dathomir_nightsister_spellweaver.iff', '0', '0', '0', '0', '-12.9025', '-68.921', '-96.3403', '100', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3326', '2', '4115627', 'object/mobile/dressed_dathomir_nightsister_sentinal.iff', '0', '0', '0', '0', '-19.9525', '-69.7168', '-92.0932', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3327', '2', '4115627', 'object/mobile/dressed_dathomir_nightsister_protector.iff', '0', '0', '0', '0', '-53.6343', '-69.8418', '-87.8431', '131', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3328', '2', '4115627', 'object/mobile/dressed_dathomir_nightsister_sentinal.iff', '0', '0', '0', '0', '-77.9595', '-70.2354', '-89.9193', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3329', '2', '4115626', 'object/mobile/dressed_dathomir_nightsister_protector.iff', '0', '0', '0', '0', '-107.147', '-68.531', '-113.11', '131', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3330', '2', '4115626', 'object/mobile/dressed_dathomir_nightsister_sentinal.iff', '0', '0', '0', '0', '-118.707', '-69.6862', '-123.213', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3331', '2', '4115626', 'object/mobile/dressed_dathomir_nightsister_spellweaver.iff', '0', '0', '0', '0', '-122.558', '-69.332', '-138.946', '100', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3332', '2', '4115626', 'object/mobile/dressed_dathomir_nightsister_spellweaver.iff', '0', '0', '0', '0', '-104.958', '-71.5983', '-176.399', '100', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3333', '2', '4115626', 'object/mobile/dressed_dathomir_nightsister_sentinal.iff', '0', '0', '0', '0', '-115.398', '-69.2239', '-172.659', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3334', '2', '4115626', 'object/mobile/dressed_dathomir_nightsister_protector.iff', '0', '0', '0', '0', '-121.94', '-69.8514', '-182.011', '131', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3335', '2', '4115626', 'object/mobile/dressed_dathomir_nightsister_protector.iff', '0', '0', '0', '0', '-115.618', '-69.9586', '-198.215', '131', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3336', '2', '4115626', 'object/mobile/dressed_dathomir_nightsister_sentinal.iff', '0', '0', '0', '0', '-101.324', '-68.9513', '-203.529', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3337', '2', '4115626', 'object/mobile/dressed_dathomir_nightsister_protector.iff', '0', '0', '0', '0', '-68.4386', '-69.8099', '-196.707', '131', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3338', '2', '4115624', 'object/mobile/dressed_dathomir_nightsister_sentinal.iff', '0', '0', '0', '0', '-20.5611', '-64.3706', '-179.909', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3339', '2', '4115624', 'object/mobile/dressed_dathomir_nightsister_sentinal.iff', '0', '0', '0', '0', '-11.0538', '-64.4992', '-199.182', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3340', '2', '4115625', 'object/mobile/dressed_dathomir_nightsister_protector.iff', '0', '0', '0', '0', '-13.1121', '-64.7617', '-221.124', '131', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3341', '2', '4115625', 'object/mobile/dressed_dathomir_nightsister_protector.iff', '0', '0', '0', '0', '-10.2736', '-65.1708', '-240.442', '131', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3342', '2', '4115625', 'object/mobile/dressed_dathomir_nightsister_sentinal.iff', '0', '0', '0', '0', '-22.5375', '-65.6053', '-242.708', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3343', '2', '4115625', 'object/mobile/dressed_dathomir_nightsister_spellweaver.iff', '0', '0', '0', '0', '-21.7987', '-63.2164', '-259.727', '100', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3344', '2', '4115625', 'object/mobile/dressed_dathomir_nightsister_spellweaver.iff', '0', '0', '0', '0', '-14.8913', '-63.0358', '-261.214', '100', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3345', '2', '4115625', 'object/mobile/dressed_dathomir_nightsister_protector.iff', '0', '0', '0', '0', '-12.1496', '-64.6121', '-259.169', '131', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3346', '2', '4115625', 'object/mobile/dressed_dathomir_nightsister_protector.iff', '0', '0', '0', '0', '-5.85405', '-66.7536', '-214.372', '131', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3347', '2', '4115624', 'object/mobile/dressed_dathomir_nightsister_sentinal.iff', '0', '0', '0', '0', '14.0655', '-63.2116', '-184.377', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3348', '2', '4115623', 'object/mobile/dressed_dathomir_nightsister_sentinal.iff', '0', '0', '0', '0', '57.2187', '-56.7709', '-178.97', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3349', '2', '4115623', 'object/mobile/dressed_dathomir_nightsister_protector.iff', '0', '0', '0', '0', '61.2023', '-57.0517', '-174.241', '131', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3350', '2', '4115623', 'object/mobile/dressed_dathomir_nightsister_protector.iff', '0', '0', '0', '0', '65.0699', '-55.58', '-159.308', '131', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3351', '2', '4115623', 'object/mobile/dressed_dathomir_nightsister_sentinal.iff', '0', '0', '0', '0', '65.4328', '-55.1946', '-157.441', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3352', '2', '4115623', 'object/mobile/dressed_dathomir_nightsister_sentinal.iff', '0', '0', '0', '0', '37.6787', '-52.6718', '-143.421', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3353', '2', '4115623', 'object/mobile/dressed_dathomir_nightsister_protector.iff', '0', '0', '0', '0', '37.6899', '-52.6698', '-143.418', '131', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3354', '2', '4115623', 'object/mobile/dressed_dathomir_nightsister_sentinal.iff', '0', '0', '0', '0', '17.99', '-47.6612', '-133.802', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3355', '2', '4115623', 'object/mobile/dressed_dathomir_nightsister_protector.iff', '0', '0', '0', '0', '1.69093', '-44.6251', '-129.463', '131', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3356', '2', '4115623', 'object/mobile/dressed_dathomir_nightsister_spellweaver.iff', '0', '0', '0', '0', '0.0473984', '-45.1734', '-143.086', '100', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3357', '2', '4115622', 'object/mobile/dressed_dathomir_nightsister_sentinal.iff', '0', '0', '0', '0', '38.3645', '-45.6514', '-94.5238', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3358', '2', '4115622', 'object/mobile/dressed_dathomir_nightsister_sentinal.iff', '0', '0', '0', '0', '40.565', '-46.6515', '-76.2628', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3359', '2', '4115622', 'object/mobile/dressed_dathomir_nightsister_sentinal.iff', '0', '0', '0', '0', '48.2317', '-47.0278', '-54.4734', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3360', '2', '4115622', 'object/mobile/dressed_dathomir_nightsister_sentinal.iff', '0', '0', '0', '0', '44.0373', '-46.6601', '-51.444', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3361', '2', '4115622', 'object/mobile/dressed_dathomir_nightsister_sentinal.iff', '0', '0', '0', '0', '31.0654', '-45.1049', '-56.1405', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3362', '2', '4115621', 'object/mobile/dressed_dathomir_nightsister_sentinal.iff', '0', '0', '0', '0', '15.027', '-40.2011', '-76.6327', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3363', '2', '4115621', 'object/mobile/dressed_dathomir_nightsister_protector.iff', '0', '0', '0', '0', '-5.96411', '-40.5602', '-65.8697', '131', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3364', '2', '4115621', 'object/mobile/dressed_dathomir_nightsister_sentinal.iff', '0', '0', '0', '0', '-10.1746', '-39.3909', '-54.6325', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3365', '2', '4115620', 'object/mobile/dressed_dathomir_nightsister_sentinal.iff', '0', '0', '0', '0', '-9.30522', '-31.6686', '-33.0453', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3366', '2', '4115620', 'object/mobile/dressed_dathomir_nightsister_sentinal.iff', '0', '0', '0', '0', '5.27219', '-24.4314', '-26.0931', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3367', '2', '4115619', 'object/mobile/dressed_dathomir_nightsister_sentinal.iff', '0', '0', '0', '0', '2.20982', '-11.8595', '-2.93477', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3368', '2', '3695712', 'object/mobile/dressed_dathomir_spider_nightsister_elder.iff', '0', '0', '0', '0', '-84.6892', '-100.056', '-95.8428', '277', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3369', '2', '3695712', 'object/mobile/gaping_spider_queen.iff', '0', '0', '0', '0', '-91.5224', '-100.896', '-99.4755', '46', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3370', '2', '3695712', 'object/mobile/gaping_spider_recluse.iff', '0', '0', '0', '0', '-85.1103', '-100.508', '-104.415', '46', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3371', '2', '3695712', 'object/mobile/dressed_dathomir_spider_nightsister_crawler.iff', '0', '0', '0', '0', '-93.0643', '-100.89', '-111.327', '85', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3372', '2', '3695712', 'object/mobile/dressed_dathomir_spider_nightsister_sentinel.iff', '0', '0', '0', '0', '-83.0746', '-101.272', '-111.31', '92', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3373', '2', '3695712', 'object/mobile/dressed_dathomir_spider_nightsister_stalker.iff', '0', '0', '0', '0', '-101.975', '-99.374', '-114.043', '100', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3374', '2', '3695709', 'object/mobile/dressed_dathomir_spider_nightsister_web_dancer.iff', '0', '0', '0', '0', '-83.0093', '-98.85', '-155.238', '87', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3375', '2', '3695709', 'object/mobile/dressed_dathomir_spider_nightsister_sentinel.iff', '0', '0', '0', '0', '-69.1858', '-97.2977', '-158.212', '27', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3376', '2', '3695709', 'object/mobile/gaping_spider_broodling.iff', '0', '0', '0', '0', '-62.5683', '-93.8482', '-151.052', '8', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3377', '2', '3695711', 'object/mobile/gaping_spider.iff', '0', '0', '0', '0', '-33.927', '-80.1462', '-138.086', '27', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3378', '2', '3695711', 'object/mobile/dressed_dathomir_spider_nightsister_initiate.iff', '0', '0', '0', '0', '-23.5231', '-79.7499', '-145.53', '64', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3379', '2', '3695711', 'object/mobile/gaping_spider_recluse.iff', '0', '0', '0', '0', '-23.6056', '-75.4547', '-126.232', '46', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3380', '2', '3695710', 'object/mobile/dressed_dathomir_spider_nightsister_web_dancer.iff', '0', '0', '0', '0', '-20.0504', '-68.7591', '-105.586', '87', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3381', '2', '3695710', 'object/mobile/gaping_spider_recluse_giant_kiin_dray.iff', '0', '0', '0', '0', '-20.0132', '-69.4954', '-95.4978', '116', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3382', '2', '3695710', 'object/mobile/gaping_spider.iff', '0', '0', '0', '0', '-34.7426', '-70.1131', '-95.5194', '46', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3383', '2', '3695710', 'object/mobile/gaping_spider.iff', '0', '0', '0', '0', '-59.7843', '-70.245', '-86.2855', '27', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3384', '2', '3695709', 'object/mobile/gaping_spider_queen.iff', '0', '0', '0', '0', '-100.353', '-69.5315', '-110.941', '70', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3385', '2', '3695709', 'object/mobile/gaping_spider.iff', '0', '0', '0', '0', '-90.9804', '-70.3761', '-114.784', '46', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3386', '2', '3695709', 'object/mobile/dressed_dathomir_spider_nightsister_protector.iff', '0', '0', '0', '0', '-90.5309', '-70.1495', '-101.162', '131', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3387', '2', '3695709', 'object/mobile/dressed_dathomir_spider_nightsister_spellweaver.iff', '0', '0', '0', '0', '-98.7626', '-73.1532', '-162.472', '107', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3388', '2', '3695709', 'object/mobile/dressed_dathomir_spider_nightsister_sentinel.iff', '0', '0', '0', '0', '-120.89', '-69.4', '-171.349', '27', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3389', '2', '3695709', 'object/mobile/gaping_spider_recluse_giant_kiin_dray.iff', '0', '0', '0', '0', '-88.5806', '-70.0338', '-203.542', '116', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3390', '2', '3695709', 'object/mobile/dressed_dathomir_spider_nightsister_initiate.iff', '0', '0', '0', '0', '-65.1667', '-69.6235', '-168.558', '64', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3391', '2', '3695709', 'object/mobile/dressed_dathomir_spider_nightsister_crawler.iff', '0', '0', '0', '0', '-43.3591', '-68.8074', '-181.902', '85', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3392', '2', '3695707', 'object/mobile/gaping_spider.iff', '0', '0', '0', '0', '-12.5702', '-64.0662', '-182.118', '27', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3393', '2', '3695707', 'object/mobile/gaping_spider_broodling.iff', '0', '0', '0', '0', '-11.2743', '-64.2808', '-196.998', '8', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3394', '2', '3695708', 'object/mobile/gaping_spider.iff', '0', '0', '0', '0', '-19.306', '-64.5122', '-220.926', '46', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3395', '2', '3695708', 'object/mobile/gaping_spider_broodling.iff', '0', '0', '0', '0', '-6.18561', '-64.2199', '-234.507', '8', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3396', '2', '3695708', 'object/mobile/dressed_dathomir_spider_nightsister_web_dancer.iff', '0', '0', '0', '0', '-15.0742', '-63.3987', '-260.447', '87', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3397', '2', '3695706', 'object/mobile/dressed_dathomir_spider_nightsister_initiate.iff', '0', '0', '0', '0', '29.045', '-59.7851', '-176.419', '64', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3398', '2', '3695706', 'object/mobile/gaping_spider.iff', '0', '0', '0', '0', '53.7815', '-47.6815', '-122.698', '27', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3399', '2', '3695706', 'object/mobile/dressed_dathomir_spider_nightsister_initiate.iff', '0', '0', '0', '0', '28.275', '-49.9979', '-138.205', '64', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3400', '2', '3695706', 'object/mobile/gaping_spider.iff', '0', '0', '0', '0', '-9.38735', '-45.7554', '-148.348', '27', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3401', '2', '3695706', 'object/mobile/dressed_dathomir_spider_nightsister_initiate.iff', '0', '0', '0', '0', '1.74743', '-44.5895', '-128.501', '64', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3402', '2', '3695705', 'object/mobile/gaping_spider.iff', '0', '0', '0', '0', '45.7016', '-46.3262', '-92.5769', '46', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3403', '2', '3695705', 'object/mobile/dressed_dathomir_spider_nightsister_spellweaver.iff', '0', '0', '0', '0', '45.4498', '-45.9378', '-63.9082', '107', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3404', '2', '3695705', 'object/mobile/gaping_spider_recluse.iff', '0', '0', '0', '0', '46.4812', '-46.5889', '-50.0254', '46', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3405', '2', '3695704', 'object/mobile/gaping_spider.iff', '0', '0', '0', '0', '3.6023', '-40.6914', '-70.5406', '27', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3406', '2', '3695703', 'object/mobile/dressed_dathomir_spider_nightsister_initiate.iff', '0', '0', '0', '0', '-9.96199', '-31.4156', '-32.3244', '64', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3407', '2', '3695703', 'object/mobile/gaping_spider.iff', '0', '0', '0', '0', '9.75751', '-23.7179', '-26.0242', '27', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3408', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '-2814.31', '0', '1448.83', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3409', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '-2635.07', '0', '1425.14', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3410', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '-2242.56', '0', '1666.36', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3411', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '-2207.69', '0', '1717.31', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3412', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff', '0', '0', '0', '0', '-2651', '0', '1600', '156', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3413', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '-2259.07', '0', '1547.34', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3414', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '-2888.3', '0', '1815.29', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3415', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '-2776.18', '0', '1979.08', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3416', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '-2587.82', '0', '1927.94', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3417', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '-2774.28', '0', '1409.14', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3418', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_councilwoman.iff', '0', '0', '0', '0', '-2530.9', '0', '1596.1', '263', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3419', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_councilwoman.iff', '0', '0', '0', '0', '-2559.34', '0', '1593.76', '263', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3420', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '-2524.41', '0', '1604.21', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3421', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '-2161.41', '0', '1567.75', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3422', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '-2725.92', '0', '1536.34', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3423', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '-2465.01', '0', '1598.87', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3424', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff', '0', '0', '0', '0', '-2218.02', '0', '1713.55', '51', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3425', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '-2573.85', '0', '1589.88', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3426', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '-2535.15', '0', '1894.96', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3427', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '-2477.67', '0', '1227.66', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3428', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '-2349.17', '0', '1273.77', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3429', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff', '0', '0', '0', '0', '-2570.04', '0', '1716.3', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3430', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-2811.63', '0', '1443.89', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3431', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-2271.82', '0', '1942.61', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3432', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-2664.75', '0', '1951.03', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3433', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-2540.89', '0', '1601.53', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3434', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-2527.18', '0', '1594.7', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3435', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-3274.33', '0', '1039.11', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3436', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-1947.98', '0', '1702.63', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3437', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-2809.74', '0', '1095.34', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3438', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-1859.1', '0', '1611.71', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3439', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-2545.16', '0', '1547.13', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3440', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-2650.5', '0', '1808.71', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3441', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-2168.61', '0', '2062.56', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3442', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-2099.03', '0', '789.454', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3443', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-2879.75', '0', '2159.71', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3444', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-2860.14', '0', '1050.56', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3445', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-2330.13', '0', '1460.05', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3446', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-2540.6', '0', '1649.89', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3447', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-2058.01', '0', '1955.67', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3448', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-2341.17', '0', '1051.6', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3449', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-3014.91', '0', '1193.12', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3450', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-2710.31', '0', '1482.9', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3451', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-3097.95', '0', '1358.92', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3452', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-2453.49', '0', '1377.8', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3453', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-2254.33', '0', '2357.39', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3454', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-1783.87', '0', '1096.73', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3455', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-2378.96', '0', '1413.48', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3456', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-2527.43', '0', '1603.06', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3457', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-2090.08', '0', '736.615', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3458', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-2386.56', '0', '1520.49', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3459', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff', '0', '0', '0', '0', '-2937.07', '0', '1178.47', '70', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3460', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '-2443.07', '0', '1347.55', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3461', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '-2509.34', '0', '1561.15', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3462', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '-2933.57', '0', '1367', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3463', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '-2615.04', '0', '1425.63', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3464', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff', '0', '0', '0', '0', '-2675.64', '0', '1589.82', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3465', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '-2478.39', '0', '1606.34', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3466', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '-2820.82', '0', '1589.84', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3467', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '-2559.58', '0', '1447.85', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3468', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '-2344.12', '0', '1182.51', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3469', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff', '0', '0', '0', '0', '-2260.98', '0', '1842.23', '107', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3470', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff', '0', '0', '0', '0', '-2347.19', '0', '1147.53', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3471', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff', '0', '0', '0', '0', '-2068.14', '0', '1484.85', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3472', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff', '0', '0', '0', '0', '-2139.83', '0', '1545.17', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3473', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff', '0', '0', '0', '0', '-2135.55', '0', '1381.35', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3474', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff', '0', '0', '0', '0', '-2268.46', '0', '1515.02', '75', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3475', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '-2906.56', '0', '1632.94', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3476', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '-2393.17', '0', '1679', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3477', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '-2348.09', '0', '1319.88', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3478', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '-2525.44', '0', '1860.96', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3479', '2', '0', 'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff', '0', '0', '0', '0', '-2171.65', '0', '1723.39', '30', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3480', '2', '0', 'object/mobile/dressed_dathomir_nightsister_rancor_tamer.iff', '0', '0', '0', '0', '-2501.51', '0', '1441.62', '76', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3481', '2', '0', 'object/mobile/dressed_dathomir_nightsister_rancor_tamer.iff', '0', '0', '0', '0', '-2414.94', '0', '1351.43', '76', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3482', '2', '0', 'object/mobile/dressed_dathomir_nightsister_rancor_tamer.iff', '0', '0', '0', '0', '-2680.76', '0', '1238.27', '76', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3483', '2', '0', 'object/mobile/dressed_dathomir_nightsister_rancor_tamer.iff', '0', '0', '0', '0', '-2681.17', '0', '1308.83', '76', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3484', '2', '0', 'object/mobile/dressed_dathomir_nightsister_rancor_tamer.iff', '0', '0', '0', '0', '-2886.49', '0', '1494.47', '76', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3485', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-2460.53', '0', '1616.9', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3486', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-2531.01', '0', '1399.68', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3487', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-2521.09', '0', '1823.95', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3488', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-2434.33', '0', '1442.41', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3489', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-2875.82', '0', '1212.85', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3490', '2', '0', 'object/mobile/dressed_dathomir_nightsister_outcast.iff', '0', '0', '0', '0', '-2522.47', '0', '1432.65', '81', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3491', '2', '0', 'object/mobile/dressed_dathomir_nightsister_outcast.iff', '0', '0', '0', '0', '-2762.5', '0', '1158.22', '81', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3492', '2', '0', 'object/mobile/dressed_dathomir_nightsister_outcast.iff', '0', '0', '0', '0', '-2715.69', '0', '1615.53', '81', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3493', '2', '0', 'object/mobile/dressed_dathomir_nightsister_outcast.iff', '0', '0', '0', '0', '-2834.03', '0', '1537.01', '81', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3494', '2', '0', 'object/mobile/dressed_dathomir_nightsister_outcast.iff', '0', '0', '0', '0', '-2253.64', '0', '1493.28', '81', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3495', '2', '0', 'object/mobile/dressed_dathomir_nightsister_protector.iff', '0', '0', '0', '0', '-2856.56', '0', '1705.39', '131', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3496', '2', '0', 'object/mobile/dressed_dathomir_nightsister_protector.iff', '0', '0', '0', '0', '-2625.7', '0', '1403.11', '131', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3497', '2', '0', 'object/mobile/dressed_dathomir_nightsister_protector.iff', '0', '0', '0', '0', '-2437.59', '0', '1570.59', '131', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3498', '2', '0', 'object/mobile/dressed_dathomir_nightsister_protector.iff', '0', '0', '0', '0', '-2305.86', '0', '1152.95', '131', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3499', '2', '0', 'object/mobile/dressed_dathomir_nightsister_protector.iff', '0', '0', '0', '0', '-2552.57', '0', '1312.28', '131', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3500', '2', '0', 'object/mobile/dressed_dathomir_nightsister_spellweaver.iff', '0', '0', '0', '0', '-2968.38', '0', '1451.24', '100', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3501', '2', '0', 'object/mobile/dressed_dathomir_nightsister_spellweaver.iff', '0', '0', '0', '0', '-2591.28', '0', '1390.28', '100', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3502', '2', '0', 'object/mobile/dressed_dathomir_nightsister_spellweaver.iff', '0', '0', '0', '0', '-2103.33', '0', '1641.33', '100', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3503', '2', '0', 'object/mobile/dressed_dathomir_nightsister_spellweaver.iff', '0', '0', '0', '0', '-2073.53', '0', '1240.26', '100', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3504', '2', '0', 'object/mobile/dressed_dathomir_nightsister_spellweaver.iff', '0', '0', '0', '0', '-2272.08', '0', '1573.15', '100', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3505', '2', '0', 'object/mobile/dressed_dathomir_nightsister_stalker.iff', '0', '0', '0', '0', '-2214.71', '0', '1223.03', '86', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3506', '2', '0', 'object/mobile/dressed_dathomir_nightsister_stalker.iff', '0', '0', '0', '0', '-2724.05', '0', '1305.71', '86', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3507', '2', '0', 'object/mobile/dressed_dathomir_nightsister_stalker.iff', '0', '0', '0', '0', '-2520.14', '0', '1471.91', '86', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3508', '2', '0', 'object/mobile/dressed_dathomir_nightsister_stalker.iff', '0', '0', '0', '0', '-2487.43', '0', '1479.86', '86', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3509', '2', '0', 'object/mobile/dressed_dathomir_nightsister_stalker.iff', '0', '0', '0', '0', '-2525.35', '0', '1459.07', '86', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3510', '2', '0', 'object/mobile/dressed_dathomir_nightsister_elder.iff', '0', '0', '0', '0', '-2518.53', '0', '1473.12', '278', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3511', '2', '0', 'object/mobile/dressed_dathomir_nightsister_elder.iff', '0', '0', '0', '0', '-2509.34', '0', '1468.01', '278', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3512', '2', '0', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '-2749.74', '0', '1916.47', '60', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3513', '2', '0', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '-2588.61', '0', '1517.5', '60', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3514', '2', '0', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '-2509.25', '0', '1409.25', '60', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3515', '2', '0', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '-2653', '0', '1475', '60', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3516', '2', '0', 'object/mobile/dressed_dathomir_nightsister_initiate.iff', '0', '0', '0', '0', '-2449.02', '0', '1491.45', '60', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3517', '2', '0', 'object/mobile/dressed_dathomir_nightsister_sentinal.iff', '0', '0', '0', '0', '-2564', '0', '1475', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3518', '2', '0', 'object/mobile/dressed_dathomir_nightsister_sentinal.iff', '0', '0', '0', '0', '-2304.62', '0', '1508.32', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3519', '2', '0', 'object/mobile/dressed_dathomir_nightsister_sentinal.iff', '0', '0', '0', '0', '-2479.78', '0', '1499.66', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3520', '2', '0', 'object/mobile/dressed_dathomir_nightsister_sentinal.iff', '0', '0', '0', '0', '-2047.91', '0', '1314.17', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3521', '2', '0', 'object/mobile/dressed_dathomir_nightsister_sentinal.iff', '0', '0', '0', '0', '-2328.31', '0', '1267.66', '95', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3522', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-2964.58', '0', '1411.82', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3523', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-3017.45', '0', '1251.29', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3524', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-2741.69', '0', '1463.12', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3525', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-2590.43', '0', '1429.68', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3526', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-2630.43', '0', '1905.8', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3527', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-2547.34', '0', '2092.15', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3528', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-3149.29', '0', '1705.86', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3529', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-2467.54', '0', '1269.41', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3530', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-2416.5', '0', '1204.37', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3531', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-3356.78', '0', '1548.65', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3532', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-3386.47', '0', '1938.37', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3533', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-2097.69', '0', '1314.81', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3534', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-2548.92', '0', '1496.2', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3535', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-2868.39', '0', '1406.31', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3536', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-2123.05', '0', '1544.11', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3537', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-2037.82', '0', '1199.5', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3538', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-2229.92', '0', '1082.63', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3539', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-2222.94', '0', '1687.19', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3540', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-2680.96', '0', '809.377', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3541', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-2516.89', '0', '1475.65', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3542', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-2033.51', '0', '1991.34', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3543', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-2936.26', '0', '1082.17', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3544', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-2811.93', '0', '1751.89', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3545', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-2472.93', '0', '1292.79', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3546', '2', '0', 'object/mobile/dressed_dathomir_nightsister_ranger.iff', '0', '0', '0', '0', '-2612.83', '0', '1220.13', '78', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3547', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6122.26', '0', '913.495', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3548', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6139.13', '0', '1008.87', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3549', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6269.12', '0', '782.901', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3550', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6197.04', '0', '808.872', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3551', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6228.09', '0', '650.954', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3552', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6327.87', '0', '654.972', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3553', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6447.35', '0', '692.938', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3554', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6481.44', '0', '741.583', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3555', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6422.39', '0', '697.655', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3556', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6429.31', '0', '723.314', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3557', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6386.6', '0', '752.189', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3558', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6370.59', '0', '651.323', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3559', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6397.22', '0', '724', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3560', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6374.5', '0', '787.344', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3561', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6266.63', '0', '890.043', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3562', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6161.05', '0', '886.749', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3563', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6150.49', '0', '844.743', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3564', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6238.94', '0', '873.821', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3565', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6149.22', '0', '870.018', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3566', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6196.82', '0', '843.686', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3567', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6202.93', '0', '852.359', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3568', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6182.31', '0', '853.205', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3569', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6168.77', '0', '1092.8', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3570', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6120.52', '0', '1065.06', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3571', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6132.4', '0', '1072.63', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3572', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6152.91', '0', '1151.43', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3573', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6133.08', '0', '1067.82', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3574', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6194.46', '0', '1073.1', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3575', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6180.52', '0', '1118.56', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3576', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6190.81', '0', '1033.82', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3577', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6486.3', '0', '647.094', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3578', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6311.98', '0', '864.336', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3579', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6135.16', '0', '877.466', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3580', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6216.51', '0', '735.226', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3581', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6164.31', '0', '887.546', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3582', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6340.01', '0', '893.361', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3583', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6234.67', '0', '614.646', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3584', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6291.26', '0', '630.814', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3585', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6210.44', '0', '581.675', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3586', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6398.04', '0', '757.147', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3587', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6441.48', '0', '555.822', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3588', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6247.95', '0', '787.641', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3589', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6076.67', '0', '624.145', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3590', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6171.14', '0', '706.609', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3591', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6420.74', '0', '810.977', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3592', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6255.63', '0', '969.055', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3593', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6446.73', '0', '835.613', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3594', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6518.87', '0', '736.311', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3595', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6315.92', '0', '858.167', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3596', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6430.94', '0', '621.914', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3597', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6330.12', '0', '1000.55', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3598', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6371.05', '0', '710.955', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3599', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6473.5', '0', '901.646', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3600', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6396.77', '0', '753.078', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3601', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6289.08', '0', '918.461', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3602', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6592.66', '0', '594.676', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3603', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6614.43', '0', '695.677', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3604', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6259.55', '0', '768.631', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3605', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6400', '0', '712.332', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3606', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6320.04', '0', '447.946', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3607', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6440.64', '0', '858.542', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3608', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6327.4', '0', '858.716', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3609', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6414.66', '0', '952.466', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3610', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6443.26', '0', '959.205', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3611', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6377.78', '0', '928.416', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3612', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6377.39', '0', '935.528', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3613', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6305.28', '0', '987.812', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3614', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6353.14', '0', '963.802', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3615', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6412', '0', '905.826', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3616', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6463.48', '0', '910.978', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3617', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6378', '0', '950.124', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3618', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6432.24', '0', '889.085', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3619', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6325', '0', '901.947', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3620', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6354.79', '0', '967.176', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3621', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6380.24', '0', '847.125', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3622', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6444.73', '0', '1006.94', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3623', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6417.41', '0', '955.567', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3624', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6451.98', '0', '987.284', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3625', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6512.68', '0', '975.321', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3626', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6400.49', '0', '949.482', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3627', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6347.25', '0', '938.244', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3628', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6432.43', '0', '970.06', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3629', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6412.62', '0', '917.594', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3630', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6471.29', '0', '983.391', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3631', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6337.65', '0', '927.326', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3632', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6429.87', '0', '977.962', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3633', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6368.78', '0', '1034.88', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3634', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6428.22', '0', '963.062', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3635', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6505.32', '0', '920.307', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3636', '2', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6462.81', '0', '977.059', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3637', '2', '0', 'object/mobile/atst.iff', '0', '0', '0', '0', '-6418', '0', '712', '100', 'neutral', '128', '0', '1800');
INSERT INTO `world_server_static_spawns` VALUES ('3638', '2', '0', 'object/mobile/atst.iff', '0', '0', '0', '0', '-6190', '0', '851', '100', 'neutral', '128', '0', '1800');
INSERT INTO `world_server_static_spawns` VALUES ('3639', '2', '0', 'object/mobile/atst.iff', '0', '0', '0', '0', '-6122', '0', '1082', '100', 'neutral', '128', '0', '1800');
INSERT INTO `world_server_static_spawns` VALUES ('3640', '2', '0', 'object/mobile/atst.iff', '0', '0', '0', '0', '-6274', '0', '712', '100', 'neutral', '128', '0', '1800');
INSERT INTO `world_server_static_spawns` VALUES ('3641', '2', '0', 'object/mobile/atst.iff', '0', '0', '0', '0', '-6381', '0', '712', '100', 'neutral', '128', '0', '1800');
INSERT INTO `world_server_static_spawns` VALUES ('3642', '2', '0', 'object/mobile/atst.iff', '0', '0', '0', '0', '-6164', '0', '972', '100', 'neutral', '128', '0', '1800');
INSERT INTO `world_server_static_spawns` VALUES ('3643', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-1811.64', '0', '2423.44', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3644', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-2039.57', '0', '2470.93', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3645', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-1939.96', '0', '3084.03', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3646', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-1663.13', '0', '3081.77', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3647', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-1194.61', '0', '3038.9', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3648', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-2042.58', '0', '2218.57', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3649', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-2077.97', '0', '2977.03', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3650', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-1542.31', '0', '3014.18', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3651', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-2227.09', '0', '2770.56', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3652', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-1453.37', '0', '3092.61', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3653', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-2283.06', '0', '3292.69', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3654', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-2168.25', '0', '2618.16', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3655', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-1774.09', '0', '3546.32', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3656', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-2710.66', '0', '2780', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3657', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-2110.14', '0', '3173.48', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3658', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-1900.06', '0', '3248', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3659', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-1759.96', '0', '2367.24', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3660', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-1539.09', '0', '2629.48', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3661', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-1221.09', '0', '3087.29', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3662', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-1560.45', '0', '3970.45', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3663', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-2122.99', '0', '2231.26', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3664', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-1683.67', '0', '2852.11', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3665', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-1336.98', '0', '3590.45', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3666', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-1322.05', '0', '3334.73', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3667', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-2077.72', '0', '3172.86', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3668', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-2617.04', '0', '3540.82', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3669', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-2098.47', '0', '3267.74', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3670', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-1965.26', '0', '3556.55', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3671', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-2644', '0', '2597.53', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3672', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-2064.65', '0', '3162.93', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3673', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-1955', '0', '2939.15', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3674', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-1962.48', '0', '3785.16', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3675', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-1987.54', '0', '3195.48', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3676', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-2129.4', '0', '3191.05', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3677', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-1546.16', '0', '2985.32', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3678', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-1402.72', '0', '3327.14', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3679', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-2996.75', '0', '3326.17', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3680', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-1858.14', '0', '3657.88', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3681', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-2009.8', '0', '2933.74', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3682', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-2107', '0', '3204.72', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3683', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-2075', '0', '3876', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3684', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-2120.93', '0', '2622.01', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3685', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-1520.72', '0', '2384.1', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3686', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-1625.15', '0', '3000.83', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3687', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-2086.39', '0', '3038.6', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3688', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-2642.22', '0', '3176.73', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3689', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-2494.09', '0', '3723.83', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3690', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-1978.5', '0', '3565', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3691', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-1847.99', '0', '2585.13', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3692', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-2840.88', '0', '3160.37', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3693', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-1781.98', '0', '3598.2', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3694', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-2684.35', '0', '3298.93', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3695', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-2714.03', '0', '3248.21', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3696', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-1962.74', '0', '3399.14', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3697', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-1731.74', '0', '2765.77', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3698', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-2138.72', '0', '3245.12', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3699', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-2070.92', '0', '3224.89', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3700', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-2132.9', '0', '3075.5', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3701', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-1484.44', '0', '3219.51', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3702', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-2768.14', '0', '2852.78', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3703', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-2091.37', '0', '3093.45', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3704', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-2096.98', '0', '3194.13', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3705', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-2019.08', '0', '2614.93', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3706', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-2650.68', '0', '3217.68', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3707', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-1458.9', '0', '3907.83', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3708', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-2246.5', '0', '3391.93', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3709', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-2877.58', '0', '3062.65', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3710', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-1191.12', '0', '2696.64', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3711', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-2178.28', '0', '3178.58', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3712', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-2108.66', '0', '3467.24', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3713', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-2520.39', '0', '2731.66', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3714', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-2873.31', '0', '3469.54', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3715', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-2107.04', '0', '3071.52', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3716', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-1404.51', '0', '2929.14', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3717', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-2309.26', '0', '2687.24', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3718', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-2442.05', '0', '3245.35', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3719', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-2773.36', '0', '2806.39', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3720', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-2383.14', '0', '3290.69', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3721', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-2416.64', '0', '3992.59', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3722', '2', '0', 'object/mobile/rancor.iff', '0', '0', '0', '0', '-1683.56', '0', '2921', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3723', '2', '0', 'object/mobile/bull_rancor.iff', '0', '0', '0', '0', '-1953.2', '0', '3044.8', '65', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3724', '2', '0', 'object/mobile/bull_rancor.iff', '0', '0', '0', '0', '-2075', '0', '2903', '65', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3725', '2', '0', 'object/mobile/bull_rancor.iff', '0', '0', '0', '0', '-1710.99', '0', '3324.54', '65', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3726', '2', '0', 'object/mobile/bull_rancor.iff', '0', '0', '0', '0', '-2326.57', '0', '3336.57', '65', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3727', '2', '0', 'object/mobile/bull_rancor.iff', '0', '0', '0', '0', '-1998.87', '0', '2755.33', '65', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3728', '2', '0', 'object/mobile/bull_rancor.iff', '0', '0', '0', '0', '-1939.68', '0', '2946.37', '65', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3729', '2', '0', 'object/mobile/bull_rancor.iff', '0', '0', '0', '0', '-2098.8', '0', '3316.34', '65', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3730', '2', '0', 'object/mobile/bull_rancor.iff', '0', '0', '0', '0', '-2125.11', '0', '3719.81', '65', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3731', '2', '0', 'object/mobile/bull_rancor.iff', '0', '0', '0', '0', '-2161.32', '0', '3242.87', '65', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3732', '2', '0', 'object/mobile/bull_rancor.iff', '0', '0', '0', '0', '-2088.39', '0', '3124.71', '65', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3733', '2', '0', 'object/mobile/bull_rancor.iff', '0', '0', '0', '0', '-2083.9', '0', '3074.54', '65', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3734', '2', '0', 'object/mobile/bull_rancor.iff', '0', '0', '0', '0', '-2234.81', '0', '3231.97', '65', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3735', '2', '0', 'object/mobile/bull_rancor.iff', '0', '0', '0', '0', '-1666.1', '0', '2838.87', '65', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3736', '2', '0', 'object/mobile/bull_rancor.iff', '0', '0', '0', '0', '-2153.67', '0', '3049.86', '65', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3737', '2', '0', 'object/mobile/bull_rancor.iff', '0', '0', '0', '0', '-2051.49', '0', '2810.82', '65', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3738', '2', '0', 'object/mobile/bull_rancor.iff', '0', '0', '0', '0', '-2288.5', '0', '2818.24', '65', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3739', '2', '0', 'object/mobile/bull_rancor.iff', '0', '0', '0', '0', '-1963.32', '0', '2927.81', '65', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3740', '2', '0', 'object/mobile/bull_rancor.iff', '0', '0', '0', '0', '-1572.73', '0', '3339.8', '65', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3741', '2', '0', 'object/mobile/bull_rancor.iff', '0', '0', '0', '0', '-1840.99', '0', '3287.61', '65', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3742', '2', '0', 'object/mobile/bull_rancor.iff', '0', '0', '0', '0', '-2534.13', '0', '3391.13', '65', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3743', '2', '0', 'object/mobile/mutant_rancor.iff', '0', '0', '0', '0', '-1996.01', '0', '3220.66', '75', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3744', '2', '0', 'object/mobile/mutant_rancor.iff', '0', '0', '0', '0', '-2094.13', '0', '3302.83', '75', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3745', '2', '0', 'object/mobile/mutant_rancor.iff', '0', '0', '0', '0', '-2276.4', '0', '3077.65', '75', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3746', '2', '0', 'object/mobile/mutant_rancor.iff', '0', '0', '0', '0', '-2291.3', '0', '3444.72', '75', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3747', '2', '0', 'object/mobile/mutant_rancor.iff', '0', '0', '0', '0', '-2075.21', '0', '3141', '75', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3748', '2', '0', 'object/mobile/mutant_rancor.iff', '0', '0', '0', '0', '-1890.64', '0', '3101.03', '75', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3749', '2', '0', 'object/mobile/mutant_rancor.iff', '0', '0', '0', '0', '-1971.95', '0', '3261.44', '75', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3750', '2', '0', 'object/mobile/mutant_rancor.iff', '0', '0', '0', '0', '-2072.97', '0', '3134.16', '75', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3751', '2', '0', 'object/mobile/mutant_rancor.iff', '0', '0', '0', '0', '-2060.45', '0', '3313.36', '75', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3752', '2', '0', 'object/mobile/mutant_rancor.iff', '0', '0', '0', '0', '-2047.1', '0', '3546.03', '75', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3753', '2', '0', 'object/mobile/mutant_rancor.iff', '0', '0', '0', '0', '-1719.43', '0', '3090.68', '75', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3754', '2', '0', 'object/mobile/mutant_rancor.iff', '0', '0', '0', '0', '-2263.68', '0', '2887.31', '75', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3755', '2', '0', 'object/mobile/mutant_rancor.iff', '0', '0', '0', '0', '-2176.78', '0', '3412.14', '75', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3756', '2', '0', 'object/mobile/mutant_rancor.iff', '0', '0', '0', '0', '-2126.11', '0', '2998.55', '75', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3757', '2', '0', 'object/mobile/mutant_rancor.iff', '0', '0', '0', '0', '-2050.28', '0', '3188.14', '75', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3758', '2', '0', 'object/mobile/mutant_rancor.iff', '0', '0', '0', '0', '-2080.91', '0', '3259.85', '75', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3759', '2', '0', 'object/mobile/mutant_rancor.iff', '0', '0', '0', '0', '-2236.64', '0', '3282.63', '75', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3760', '2', '0', 'object/mobile/mutant_rancor.iff', '0', '0', '0', '0', '-2251.99', '0', '2814.13', '75', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3761', '2', '0', 'object/mobile/mutant_rancor.iff', '0', '0', '0', '0', '-2065.66', '0', '3150.58', '75', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3762', '2', '0', 'object/mobile/mutant_rancor.iff', '0', '0', '0', '0', '-1872.99', '0', '2897.54', '75', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3763', '2', '0', 'object/mobile/mutant_rancor.iff', '0', '0', '0', '0', '-1754.43', '0', '3221.01', '75', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3764', '2', '0', 'object/mobile/mutant_rancor.iff', '0', '0', '0', '0', '-2085.64', '0', '3214.16', '75', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3765', '2', '0', 'object/mobile/mutant_rancor.iff', '0', '0', '0', '0', '-2069.21', '0', '3167.19', '75', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3766', '2', '0', 'object/mobile/mutant_rancor.iff', '0', '0', '0', '0', '-2020.3', '0', '3315.34', '75', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3767', '2', '0', 'object/mobile/mutant_rancor.iff', '0', '0', '0', '0', '-2246.78', '0', '3180.39', '75', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3768', '2', '0', 'object/mobile/mutant_rancor.iff', '0', '0', '0', '0', '-2240.97', '0', '3214.05', '75', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3769', '2', '0', 'object/mobile/mutant_rancor.iff', '0', '0', '0', '0', '-2094.06', '0', '3178.72', '75', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3770', '2', '0', 'object/mobile/mutant_rancor.iff', '0', '0', '0', '0', '-2075', '0', '3404', '75', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3771', '2', '0', 'object/mobile/mutant_rancor.iff', '0', '0', '0', '0', '-1964.19', '0', '2784.56', '75', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3772', '2', '0', 'object/mobile/mutant_rancor.iff', '0', '0', '0', '0', '-1698.41', '0', '3227.05', '75', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3773', '2', '0', 'object/mobile/mutant_rancor.iff', '0', '0', '0', '0', '-1969.03', '0', '3194.18', '75', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3774', '2', '0', 'object/mobile/mutant_rancor.iff', '0', '0', '0', '0', '-2068.65', '0', '3328.89', '75', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3775', '2', '0', 'object/mobile/mutant_rancor.iff', '0', '0', '0', '0', '-1931.6', '0', '2809.17', '75', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3776', '2', '0', 'object/mobile/mutant_rancor.iff', '0', '0', '0', '0', '-2350.02', '0', '3361.87', '75', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3777', '2', '0', 'object/mobile/mutant_rancor.iff', '0', '0', '0', '0', '-1979.5', '0', '3108.42', '75', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3778', '2', '0', 'object/mobile/mutant_rancor.iff', '0', '0', '0', '0', '-2258.56', '0', '2801.77', '75', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3779', '2', '0', 'object/mobile/mutant_rancor.iff', '0', '0', '0', '0', '-1739.48', '0', '3325.4', '75', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3780', '2', '0', 'object/mobile/mutant_rancor.iff', '0', '0', '0', '0', '-2004.81', '0', '3236.83', '75', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3781', '2', '0', 'object/mobile/mutant_rancor.iff', '0', '0', '0', '0', '-1937.02', '0', '3144.59', '75', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3782', '2', '0', 'object/mobile/mutant_rancor.iff', '0', '0', '0', '0', '-2107.65', '0', '2961.86', '75', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3783', '2', '0', 'object/mobile/mutant_rancor.iff', '0', '0', '0', '0', '-2062.41', '0', '3082.21', '75', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3784', '2', '0', 'object/mobile/mutant_rancor.iff', '0', '0', '0', '0', '-2034.71', '0', '3122.79', '75', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3785', '2', '0', 'object/mobile/mutant_rancor.iff', '0', '0', '0', '0', '-2077.3', '0', '3212.96', '75', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3786', '2', '0', 'object/mobile/mutant_rancor.iff', '0', '0', '0', '0', '-2074.27', '0', '3126.01', '75', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3787', '2', '0', 'object/mobile/mutant_rancor.iff', '0', '0', '0', '0', '-1832.16', '0', '3350.76', '75', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3788', '2', '0', 'object/mobile/mutant_rancor.iff', '0', '0', '0', '0', '-2004.39', '0', '3154.42', '75', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3789', '2', '0', 'object/mobile/mutant_rancor.iff', '0', '0', '0', '0', '-1984.91', '0', '3196.94', '75', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3790', '2', '0', 'object/mobile/mutant_rancor.iff', '0', '0', '0', '0', '-2319.16', '0', '2885.18', '75', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3791', '2', '0', 'object/mobile/mutant_rancor.iff', '0', '0', '0', '0', '-2070.01', '0', '3156.8', '75', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3792', '2', '0', 'object/mobile/mutant_rancor.iff', '0', '0', '0', '0', '-2070.99', '0', '3101.18', '75', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3793', '2', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_05.iff', '0', '0.404186', '0', '0.914677', '-37.0445', '18', '-1587.75', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3794', '2', '0', 'object/mobile/dressed_commoner_old_human_female_02.iff', '0', '0.999999', '0', '0.00135513', '-78.5124', '18', '-1618.16', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3795', '2', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_02.iff', '0', '0.868612', '0', '-0.495493', '-98.9262', '18', '-1590.29', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3796', '2', '0', 'object/mobile/dressed_commoner_tatooine_sullustan_male_06.iff', '0', '0.529635', '0', '0.848225', '-64.4958', '18', '-1581.42', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3797', '2', '0', 'object/mobile/dressed_commoner_old_twilek_female_02.iff', '0', '0.912188', '0', '0.409771', '-79.6404', '18', '-1585.09', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3798', '2', '0', 'object/mobile/cll8_binary_load_lifter.iff', '0', '-0.675039', '0', '0.737782', '-107.307', '18', '-1603.07', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3799', '2', '0', 'object/mobile/r3.iff', '0', '0.953493', '0', '0.301414', '-78.3142', '18', '-1629.93', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3800', '2', '0', 'object/mobile/r4.iff', '0', '0.387246', '0', '0.921976', '-134.195', '18', '-1599.14', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3801', '2', '0', 'object/mobile/dressed_mercenary_messanger_sullustan_m.iff', '0', '-0.0865116', '0', '0.996251', '-88.9323', '18', '-1606.84', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3802', '2', '0', 'object/mobile/dressed_mercenary_messanger_hum_m.iff', '0', '-0.146126', '0', '0.989266', '-93.2763', '18', '-1569.32', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3803', '2', '0', 'object/mobile/dressed_combatmedic_trainer_human_female_01.iff', '0', '0.518905', '0', '0.854832', '-136.034', '18', '-1592.07', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3804', '2', '2835552', 'object/mobile/dressed_criminal_thug_human_female_02.iff', '0', '0.0867709', '0', '0.996228', '-3.46893', '0.624996', '-1.80359', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3805', '2', '0', 'object/mobile/dressed_commoner_old_human_male_01.iff', '0', '-0.379463', '0', '0.925207', '-70.8878', '18', '-1646.08', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3806', '2', '0', 'object/mobile/dressed_commoner_tatooine_sullustan_male_05.iff', '0', '0.696083', '0', '0.717962', '-60.7253', '18', '-1596.21', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3807', '2', '0', 'object/mobile/dressed_mercenary_weak_hum_f.iff', '0', '0.937394', '0', '-0.34827', '-43.9919', '18', '-1585.86', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3808', '2', '0', 'object/mobile/dressed_mercenary_weak_rod_m.iff', '0', '0.941438', '0', '-0.337187', '-86.3374', '18', '-1555.75', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3809', '2', '0', 'object/mobile/dressed_mercenary_messanger_rod_m.iff', '0', '0.340141', '0', '0.940374', '-100.976', '18', '-1573.64', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3810', '2', '2835570', 'object/mobile/space_rebel_tier3_arnecio.iff', '0', '0.266731', '0', '0.963771', '4.06465', '0.624999', '2.34456', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3811', '2', '0', 'object/mobile/dressed_mercenary_messanger_rod_m.iff', '0', '0.801971', '0', '-0.597363', '578.316', '6', '3092.44', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3812', '2', '0', 'object/mobile/dressed_mercenary_weak_hum_m.iff', '0', '-0.517058', '0', '0.855951', '559.148', '6.05656', '3076.83', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3813', '2', '0', 'object/mobile/dressed_commoner_tatooine_trandoshan_female_04.iff', '0', '-0.0772573', '0', '0.997011', '621.667', '6', '3092.75', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3814', '2', '0', 'object/mobile/dressed_commoner_old_human_male_01.iff', '0', '0.965072', '0', '0.261985', '605.584', '6', '3080.71', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3815', '2', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_06.iff', '0', '0.92513', '0', '0.379651', '616.733', '6', '3056.95', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3816', '2', '0', 'object/mobile/dressed_commoner_naboo_human_female_08.iff', '0', '0.997976', '0', '0.0635882', '618.605', '6', '3071.68', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3817', '2', '0', 'object/mobile/dressed_combatmedic_trainer_rodian_male_01.iff', '0', '0.46076', '0', '0.887525', '623.05', '6', '3037.98', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3818', '2', '0', 'object/mobile/dressed_commoner_fat_twilek_female_02.iff', '0', '0.645912', '0', '0.763412', '614.681', '6', '3081.65', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3819', '2', '0', 'object/mobile/r4.iff', '0', '0.995298', '0', '-0.0968638', '620.654', '6', '3085.98', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3820', '2', '0', 'object/mobile/r5.iff', '0', '-0.652669', '0', '0.757643', '627.744', '6', '3086.77', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3821', '2', '0', 'object/mobile/r4.iff', '0', '-0.175813', '0', '0.984424', '619.822', '6', '3097.36', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3822', '2', '0', 'object/mobile/dressed_dathomir_nightsister_escaped_slave.iff', '0', '0', '0', '0', '595.466', '0', '3045.35', '28', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3823', '2', '0', 'object/mobile/dressed_commoner_tatooine_devaronian_male_02.iff', '0', '0.86062', '0', '0.509247', '585.943', '6', '3051.56', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3824', '2', '0', 'object/mobile/dressed_commoner_naboo_bothan_male_02.iff', '0', '0.756932', '0', '-0.653493', '598.679', '6', '3046.85', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3825', '2', '0', 'object/mobile/dressed_commoner_old_zabrak_female_02.iff', '0', '0.442965', '0', '0.896539', '577.196', '6', '3100.6', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3826', '2', '0', 'object/mobile/dressed_commoner_naboo_moncal_female_02.iff', '0', '0.94629', '0', '-0.32332', '585.757', '6', '3072.92', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3827', '2', '0', 'object/mobile/dressed_commoner_fat_human_male_01.iff', '0', '0.740099', '0', '-0.672498', '590.176', '6', '3058.45', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3828', '2', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_05.iff', '0', '0.99995', '0', '-0.00995803', '594.44', '6', '3087.13', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3829', '2', '0', 'object/mobile/dressed_commoner_naboo_moncal_male_02.iff', '-2.11721e-06', '-0.0015543', '0.00136252', '0.999998', '611.089', '6', '3084.06', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3830', '2', '0', 'object/mobile/dressed_mercenary_weak_hum_m.iff', '0', '0.801766', '0', '-0.597638', '584.255', '6', '3094.17', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3831', '2', '0', 'object/mobile/dressed_mercenary_messanger_hum_f.iff', '0', '-0.614004', '0', '0.789303', '566.589', '6', '3070.58', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3832', '2', '6955370', 'object/mobile/dressed_mercenary_medic_rodian_female_01.iff', '0', '0.911135', '0', '-0.412108', '8.38532', '0.625', '-5.44432', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3833', '2', '6955368', 'object/mobile/dressed_commoner_old_zabrak_female_01.iff', '0', '0.97372', '0', '0.227749', '-8.09806', '0.625', '4.31086', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3834', '2', '6955367', 'object/mobile/dressed_commoner_tatooine_bith_female_04.iff', '0', '0.987588', '0', '-0.157069', '6.94935', '0.624998', '2.6394', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3835', '2', '6955369', 'object/mobile/space_privateer_tier4_tatooine_nirame.iff', '0', '0.20846', '0', '0.978031', '-2.1912', '0.624999', '-6.92293', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3836', '2', '1392894', 'object/mobile/dressed_noble_bothan_female_01.iff', '0', '-0.647283', '0', '0.76225', '3.00888', '0.125266', '-2.92449', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3837', '2', '0', 'object/mobile/dressed_sith_shadow_hum_m_02.iff', '0', '0', '0', '0', '5296.85', '0', '-4101.96', '101', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3838', '2', '0', 'object/mobile/dressed_sith_shadow_hum_m_02.iff', '0', '0', '0', '0', '5336.53', '0', '-4125.92', '101', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3839', '2', '0', 'object/mobile/dressed_sith_shadow_hum_m_02.iff', '0', '0', '0', '0', '5287.89', '0', '-4129.25', '101', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3840', '2', '0', 'object/mobile/dressed_sith_shadow_hum_m_02.iff', '0', '0', '0', '0', '5281.46', '0', '-4175.31', '101', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3841', '2', '0', 'object/mobile/dressed_sith_shadow_hum_m_02.iff', '0', '0', '0', '0', '5273.03', '0', '-4161.8', '101', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3842', '2', '0', 'object/mobile/dressed_sith_shadow_hum_m_02.iff', '0', '0', '0', '0', '5327.67', '0', '-4173.75', '101', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3843', '2', '0', 'object/mobile/dressed_sith_shadow_trn_m_01.iff', '0', '0', '0', '0', '5230.41', '0', '-4159.69', '101', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3844', '2', '0', 'object/mobile/dressed_sith_shadow_trn_m_01.iff', '0', '0', '0', '0', '5228.45', '0', '-4129.93', '101', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3845', '2', '0', 'object/mobile/dressed_sith_shadow_trn_m_01.iff', '0', '0', '0', '0', '5326.85', '0', '-4154.72', '101', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3846', '2', '0', 'object/mobile/dressed_sith_shadow_trn_m_01.iff', '0', '0', '0', '0', '5308.58', '0', '-4149.29', '101', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3847', '2', '0', 'object/mobile/dressed_sith_shadow_trn_m_01.iff', '0', '0', '0', '0', '5391.36', '0', '-4134.52', '101', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('3848', '3', '0', 'object/mobile/gorax.iff', '0', '0', '0', '0', '4995.56', '0', '6996.79', '300', 'neutral', '128', '35', '43200');
INSERT INTO `world_server_static_spawns` VALUES ('3849', '3', '0', 'object/mobile/gorax.iff', '0', '0', '0', '0', '5938.64', '0', '7669.98', '300', 'neutral', '128', '35', '43200');
INSERT INTO `world_server_static_spawns` VALUES ('3850', '3', '0', 'object/mobile/dressed_mercenary_messanger_sullustan_m.iff', '0', '-0.0259779', '0', '0.999663', '3267.14', '24', '-3457.08', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3851', '3', '0', 'object/mobile/dressed_rebel_commando_human_male_01.iff', '0', '-0.00803899', '0', '0.999968', '3267.17', '24', '-3457.15', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3852', '3', '0', 'object/mobile/dressed_mercenary_messanger_hum_f.iff', '0', '-0.0188615', '0', '0.999822', '3267.15', '24', '-3457.11', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3853', '3', '0', 'object/mobile/cll8_binary_load_lifter.iff', '0', '-0.252554', '0', '0.967583', '3250.85', '24', '-3463.83', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3854', '3', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_01.iff', '-0.0219161', '0.354279', '-0.0220622', '0.934623', '3212.71', '24.5', '-3452.25', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3855', '3', '0', 'object/mobile/dressed_commoner_naboo_twilek_male_01.iff', '0', '-0.326339', '0', '0.945253', '3239.41', '24', '-3432.75', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3856', '3', '0', 'object/mobile/dressed_noble_human_male_02.iff', '0', '0.135589', '0', '0.990765', '3228.48', '24', '-3510.48', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3857', '3', '0', 'object/mobile/dressed_commoner_tatooine_rodian_female_01.iff', '0', '-0.575849', '0', '0.817556', '3270.48', '24', '-3452.45', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3858', '3', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_06.iff', '0', '0.246084', '0', '0.969248', '3246.59', '24', '-3500.57', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3859', '3', '0', 'object/mobile/dressed_commoner_tatooine_devaronian_male_04.iff', '0', '0.947755', '0', '-0.318999', '3209.65', '24', '-3493.64', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3860', '3', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_04.iff', '0', '0.990588', '0', '-0.136881', '3255.57', '24', '-3483.66', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3861', '3', '0', 'object/mobile/dressed_commoner_naboo_bothan_male_02.iff', '0', '-0.104038', '0', '0.994573', '3201.34', '24', '-3509.29', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3862', '3', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_04.iff', '0', '0.809878', '0', '-0.586599', '3221.86', '24', '-3473.87', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3863', '3', '0', 'object/mobile/dressed_mercenary_messanger_rod_m.iff', '0', '-0.0285365', '0', '0.999593', '3267.14', '24', '-3457.08', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3864', '3', '0', 'object/mobile/dressed_rebel_commando_twilek_female_01.iff', '0', '-0.000998857', '0', '0.999999', '3196.77', '24', '-3483.16', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3865', '3', '0', 'object/mobile/r5.iff', '0', '0.999978', '0', '-0.00668272', '3249.85', '24', '-3464.83', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3866', '3', '0', 'object/mobile/r3.iff', '0', '0.743813', '0', '-0.668387', '3250.85', '24', '-3464.83', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3867', '3', '3605972', 'object/mobile/dressed_villain_trandoshan_male_01.iff', '0', '0.985193', '0', '0.171449', '4.60144', '0.125266', '3.19878', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3868', '3', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_03.iff', '0', '0.979882', '0', '0.199576', '3175.37', '24', '-3490.78', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3869', '3', '0', 'object/mobile/dressed_commoner_old_human_female_01.iff', '0', '0.784601', '0', '-0.620001', '3190.35', '24', '-3434.93', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3870', '3', '0', 'object/mobile/dressed_commoner_tatooine_bith_female_05.iff', '0', '0.997779', '0', '-0.0666138', '3176.73', '24', '-3512.02', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3871', '3', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_02.iff', '0', '-0.657197', '0', '0.753719', '3188.73', '24', '-3482.54', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3872', '3', '0', 'object/mobile/dressed_commoner_naboo_zabrak_female_01.iff', '0', '0.996394', '0', '-0.0848453', '3186.49', '24', '-3459.94', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3873', '3', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_08.iff', '0', '0.989345', '0', '-0.145587', '3171.1', '24', '-3504.6', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3874', '3', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_06.iff', '0', '-0.319384', '0', '0.947625', '3246.28', '24', '-3492.11', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3875', '3', '0', 'object/mobile/dressed_commoner_tatooine_bith_female_04.iff', '0', '-0.323832', '0', '0.946115', '3271.4', '24', '-3502.14', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3876', '3', '9925367', 'object/mobile/space_imperial_tier4_tatooine_kilnstrider.iff', '0', '-0.247404', '0', '0.968912', '-3.44448', '0.624999', '-6.82681', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3877', '3', '0', 'object/mobile/dressed_commoner_naboo_bothan_female_02.iff', '0', '0.998924', '0', '-0.0463663', '3272.55', '24', '-3438.99', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3878', '3', '0', 'object/mobile/dressed_criminal_assassin_human_female_01.iff', '0', '0.803054', '0', '-0.595906', '-890.91', '76', '1591.38', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3879', '3', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_08.iff', '0', '-0.231241', '0', '0.972897', '-838.625', '76', '1574.97', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3880', '3', '0', 'object/mobile/dressed_commoner_naboo_moncal_female_01.iff', '0', '0.999166', '0', '-0.040835', '-864.293', '79.5001', '1598.78', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3881', '3', '0', 'object/mobile/dressed_commoner_tatooine_rodian_female_01.iff', '0', '-0.338799', '0', '0.940859', '-828.009', '76', '1573.28', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3882', '3', '0', 'object/mobile/dressed_commoner_old_twilek_male_02.iff', '0', '0.861699', '0', '-0.507419', '-841.483', '79.5144', '1602.34', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3883', '3', '0', 'object/mobile/dressed_commoner_tatooine_ishitib_male_01.iff', '0', '0.871194', '0', '-0.490938', '-851.058', '80.0739', '1555.56', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3884', '3', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_06.iff', '0', '0.670323', '0', '0.742069', '-875.462', '80.0597', '1571.89', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3885', '3', '0', 'object/mobile/dressed_commoner_naboo_moncal_male_01.iff', '0', '0.262322', '0', '0.96498', '-880.276', '76', '1604.61', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3886', '3', '0', 'object/mobile/dressed_commoner_naboo_human_male_08.iff', '0', '-0.687322', '0', '0.726353', '-880.194', '76', '1624.44', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3887', '3', '0', 'object/mobile/dressed_commoner_tatooine_trandoshan_female_04.iff', '0', '0.0972568', '0', '0.995259', '-880.718', '76', '1638.25', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3888', '3', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_06.iff', '0', '0.851193', '0', '-0.524853', '-896.026', '80', '1621.19', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3889', '3', '0', 'object/mobile/dressed_commoner_tatooine_sullustan_male_04.iff', '0', '0.80802', '0', '0.589155', '-899.977', '78', '1548.09', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3890', '3', '0', 'object/mobile/dressed_mercenary_medic_rodian_female_01.iff', '0', '0.810805', '0', '0.585316', '-874.656', '80', '1564.76', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3891', '3', '0', 'object/mobile/dressed_noble_human_female_02.iff', '0', '0.742462', '0', '0.669888', '-829.243', '76', '1567.61', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3892', '3', '0', 'object/mobile/dressed_hutt_medic2_twilek_male_01.iff', '0', '0.988511', '0', '-0.151151', '-845.301', '79.5', '1599.49', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3893', '3', '0', 'object/mobile/r3.iff', '0', '-0.243912', '0', '0.969797', '-950.705', '73', '1542.69', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3894', '3', '0', 'object/mobile/dressed_criminal_slicer_human_female_01.iff', '0', '0.999713', '0', '-0.023974', '-889.786', '76', '1591.32', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3895', '3', '0', 'object/mobile/dressed_criminal_smuggler_human_male_01.iff', '0', '-0.342799', '0', '0.939409', '-889.732', '76', '1592.45', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('3896', '3', '6016546', 'object/creature/npc/base/jinda_base_male.iff', '0', '0', '0', '0', '0.939983', '-2.65303', '2.02839', '42', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3897', '3', '6016546', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '0.683527', '-13.2554', '-16.7908', '20', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3898', '3', '6016547', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-25.7053', '-21.3242', '-32.1584', '20', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3899', '3', '6016547', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-22.61', '-21.7201', '-34.5165', '20', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3900', '3', '6016547', 'object/creature/npc/base/jinda_base_male.iff', '0', '0', '0', '0', '-24.8564', '-20.8335', '-27.578', '42', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3901', '3', '6016547', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-40.0823', '-23.9552', '-27.3109', '20', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3902', '3', '6016547', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-42.6608', '-25.5789', '-24.2368', '20', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3903', '3', '6016547', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-38.6084', '-23.0843', '-28.446', '27', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3904', '3', '6016549', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-70.8691', '-38.6993', '-17.455', '20', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3905', '3', '6016549', 'object/creature/npc/base/jinda_base_male.iff', '0', '0', '0', '0', '-55.3609', '-33.7687', '-21.377', '42', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3906', '3', '6016550', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-64.9633', '-38.96', '-42.593', '32', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3907', '3', '6016550', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-61.645', '-38.7154', '-71.5987', '32', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3908', '3', '6016550', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-62.6846', '-38.6392', '-74.5007', '35', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3909', '3', '6016550', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-66.1253', '-38.6627', '-75.2077', '27', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3910', '3', '6016550', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-65.1352', '-38.7564', '-70.2886', '27', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3911', '3', '6016550', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-67.2023', '-38.7881', '-70.354', '20', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3912', '3', '6016550', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-68.3373', '-38.8005', '-75.3304', '20', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3913', '3', '6016551', 'object/creature/npc/base/jinda_base_male.iff', '0', '0', '0', '0', '-97.9566', '-42.8849', '-66.0983', '42', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3914', '3', '6016551', 'object/creature/npc/base/jinda_base_male.iff', '0', '0', '0', '0', '-111.28', '-43.0531', '-54.2353', '42', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3915', '3', '6016551', 'object/creature/npc/base/jinda_base_male.iff', '0', '0', '0', '0', '-141.184', '-41.6273', '-63.4313', '42', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3916', '3', '6016553', 'object/creature/npc/base/jinda_base_male.iff', '0', '0', '0', '0', '-140.477', '-41.7904', '-47.5108', '42', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3917', '3', '6016555', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-159.481', '-41.4291', '-64.0015', '20', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3918', '3', '6016555', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-160.91', '-41.5893', '-64.2083', '35', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3919', '3', '6016555', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-174.893', '-41.7769', '-61.2116', '20', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3920', '3', '6016555', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-176.664', '-41.5098', '-60.4478', '27', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3921', '3', '6016555', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-174.22', '-42.046', '-66.1061', '20', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3922', '3', '6016555', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-176.033', '-41.7663', '-66.6647', '27', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3923', '3', '6016555', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-174.6', '-41.6946', '-72.461', '27', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3924', '3', '6016555', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-176.677', '-41.481', '-72.1429', '35', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3925', '3', '6016555', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-162.437', '-41.7227', '-71.6303', '20', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3926', '3', '6016555', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-162.363', '-41.6863', '-71.3353', '27', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3927', '3', '6016555', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-159.568', '-41.966', '-79.8734', '20', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3928', '3', '6016555', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-161.948', '-41.9362', '-79.7384', '27', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3929', '3', '6016555', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-159.431', '-41.9326', '-84.9003', '35', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3930', '3', '6016555', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-161.745', '-41.6884', '-85.2166', '27', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3931', '3', '6016555', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-177.572', '-41.5902', '-83.9125', '27', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3932', '3', '6016555', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-175.607', '-41.6597', '-83.6359', '35', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3933', '3', '6016555', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-175.101', '-41.6922', '-90.3555', '35', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3934', '3', '6016555', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-176.904', '-41.5528', '-89.7063', '27', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3935', '3', '6016557', 'object/creature/npc/base/jinda_base_male.iff', '0', '0', '0', '0', '-177.231', '-45.536', '-114.886', '42', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3936', '3', '6016557', 'object/creature/npc/base/jinda_base_male.iff', '0', '0', '0', '0', '-172.935', '-46.2123', '-117.457', '42', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3937', '3', '6016557', 'object/creature/npc/base/jinda_base_male.iff', '0', '0', '0', '0', '-145.656', '-45.7544', '-118.35', '42', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3938', '3', '6016557', 'object/creature/npc/base/jinda_base_male.iff', '0', '0', '0', '0', '-144.957', '-45.9909', '-119.376', '42', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3939', '3', '6016556', 'object/creature/npc/base/jinda_base_male.iff', '0', '0', '0', '0', '-144.885', '-46.0273', '-81.2263', '42', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3940', '3', '6016556', 'object/creature/npc/base/jinda_base_male.iff', '0', '0', '0', '0', '-142.994', '-46.0372', '-80.4746', '42', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3941', '3', '6016556', 'object/creature/npc/base/jinda_base_male.iff', '0', '0', '0', '0', '-143.24', '-45.9093', '-83.2688', '42', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3942', '3', '6016556', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-120.065', '-45.7974', '-78.8997', '35', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3943', '3', '6016556', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-120.324', '-45.8279', '-80.0533', '27', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3944', '3', '6016556', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-112.772', '-46.2257', '-78.152', '35', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3945', '3', '6016556', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-112.639', '-46.3686', '-80.3051', '27', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3946', '3', '6016556', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-105.204', '-46.4669', '-78.6118', '35', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3947', '3', '6016556', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-105.204', '-46.4671', '-78.6137', '27', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3948', '3', '6016556', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-99.418', '-47.0876', '-81.2685', '32', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3949', '3', '6016559', 'object/creature/npc/base/jinda_base_male.iff', '0', '0', '0', '0', '-80.2376', '-49.5953', '-80.1968', '42', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3950', '3', '6016559', 'object/creature/npc/base/jinda_base_male.iff', '0', '0', '0', '0', '-80.5704', '-50.0172', '-41.4945', '42', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3951', '3', '6016559', 'object/creature/npc/base/jinda_base_male.iff', '0', '0', '0', '0', '-83.2952', '-49.5299', '-42.6872', '42', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3952', '3', '6016561', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-109.901', '-49.9726', '-26.6428', '35', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3953', '3', '6016561', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-109.801', '-49.5651', '-24.8313', '35', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3954', '3', '6016561', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-117.207', '-49.9512', '-25.5567', '35', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3955', '3', '6016561', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-116.868', '-49.8382', '-24.1097', '35', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3956', '3', '6016561', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-113.174', '-49.2625', '-37.3652', '35', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3957', '3', '6016561', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-113.481', '-49.8426', '-34.5599', '32', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3958', '3', '6016563', 'object/creature/npc/base/jinda_base_male.iff', '0', '0', '0', '0', '-132.624', '-49.5343', '-24.8964', '42', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3959', '3', '6016562', 'object/creature/npc/base/jinda_base_male.iff', '0', '0', '0', '0', '-109.437', '-35.4539', '-10.2736', '42', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3960', '3', '6016561', 'object/creature/npc/base/jinda_base_male.iff', '0', '0', '0', '0', '-103.513', '-34.0908', '-26.6999', '42', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3961', '3', '6016551', 'object/creature/npc/base/jinda_base_male.iff', '0', '0', '0', '0', '-104.098', '-27.9014', '-65.8256', '42', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3962', '3', '6016551', 'object/creature/npc/base/jinda_base_male.iff', '0', '0', '0', '0', '-125.835', '-25.7018', '-65.627', '42', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3963', '3', '6016556', 'object/creature/npc/base/jinda_base_male.iff', '0', '0', '0', '0', '-128.253', '-30.1308', '-79.498', '42', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3964', '3', '6016556', 'object/creature/npc/base/jinda_base_male.iff', '0', '0', '0', '0', '-105.572', '-30.8874', '-81.7088', '42', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3965', '3', '6016554', 'object/creature/npc/base/jinda_base_male.iff', '0', '0', '0', '0', '-104.363', '-30.1472', '-121.899', '42', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3966', '3', '6016554', 'object/creature/npc/base/jinda_base_male.iff', '0', '0', '0', '0', '-72.3321', '-30.0052', '-118.173', '42', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3967', '3', '6016550', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-62.2116', '-22.1525', '-72.1706', '20', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3968', '3', '6016550', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-62.7561', '-23.044', '-62.2603', '32', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3969', '3', '6016550', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-63.1364', '-23.1532', '-56.7498', '27', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3970', '3', '6016550', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-63.109', '-22.4321', '-47.8636', '35', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3971', '3', '6016550', 'object/creature/npc/base/jinda_base_male.iff', '0', '0', '0', '0', '-82.7456', '-22.6924', '-41.0614', '42', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3972', '3', '6016550', 'object/creature/npc/base/jinda_base_male.iff', '0', '0', '0', '0', '-76.8253', '-22.2398', '-39.5508', '42', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3973', '3', '6016550', 'object/creature/npc/base/jinda_base_male.iff', '0', '0', '0', '0', '-76.6084', '-22.166', '-43.7455', '42', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3974', '3', '6016548', 'object/creature/npc/base/jinda_base_male.iff', '0', '0', '0', '0', '-46.3359', '-21.8832', '-47.4635', '42', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3975', '3', '6016548', 'object/creature/npc/base/jinda_base_male.iff', '0', '0', '0', '0', '-31.3905', '-21.7872', '-47.9377', '42', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3976', '3', '6016547', 'object/creature/npc/base/jinda_base_male.iff', '0', '0', '0', '0', '-8.7213', '-22.2528', '-49.9368', '42', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3977', '3', '6016547', 'object/creature/npc/base/jinda_base_male.iff', '0', '0', '0', '0', '-6.87317', '-22.35', '-46.804', '42', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3978', '3', '6016547', 'object/creature/npc/base/jinda_base_male.iff', '0', '0', '0', '0', '-7.24201', '-22.1706', '-43.9831', '42', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3979', '3', '6016564', 'object/creature/npc/base/jinda_base_male.iff', '0', '0', '0', '0', '20.2445', '-19.1579', '-38.6871', '42', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3980', '3', '6016565', 'object/creature/npc/base/jinda_base_male.iff', '0', '0', '0', '0', '14.5748', '-27.5244', '-74.3206', '42', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3981', '3', '6016565', 'object/creature/npc/base/jinda_base_male.iff', '0', '0', '0', '0', '10.2626', '-27.8152', '-79.3029', '42', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3982', '3', '6016565', 'object/creature/npc/base/jinda_base_male.iff', '0', '0', '0', '0', '-17.0469', '-27.0252', '-75.2354', '42', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3983', '3', '6016565', 'object/creature/npc/base/jinda_base_male.iff', '0', '0', '0', '0', '-16.2906', '-26.9693', '-73.4294', '42', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3984', '3', '6016565', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-13.699', '-26.7286', '-65.0324', '32', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3985', '3', '6016565', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-18.2185', '-26.8074', '-65.4718', '32', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3986', '3', '6016566', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-23.0347', '-26.9664', '-64.52', '32', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3987', '3', '6016566', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-28.1126', '-27.4764', '-65.0334', '32', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3988', '3', '6016566', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-32.0436', '-27.1928', '-64.3814', '35', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3989', '3', '6016567', 'object/creature/npc/base/jinda_base_male.iff', '0', '0', '0', '0', '-17.0152', '-36.1279', '-99.2899', '42', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3990', '3', '6016567', 'object/creature/npc/base/jinda_base_male.iff', '0', '0', '0', '0', '-13.9502', '-35.8365', '-96.3397', '42', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3991', '3', '6016567', 'object/creature/npc/base/jinda_base_male.iff', '0', '0', '0', '0', '-14.6271', '-35.7916', '-93.3594', '42', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3992', '3', '6016567', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-39.7901', '-37.1278', '-107.52', '20', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3993', '3', '6016567', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-43.1851', '-38.3342', '-105.13', '20', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3994', '3', '6016567', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-38.4716', '-37.189', '-102.599', '20', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3995', '3', '6016554', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-68.9432', '-45.6621', '-114.68', '27', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3996', '3', '6016554', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-69.1923', '-45.7269', '-111.995', '27', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3997', '3', '6016554', 'object/creature/npc/base/jinda_base_male.iff', '0', '0', '0', '0', '-87.5881', '-45.8151', '-112.859', '42', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3998', '3', '6016554', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-112.675', '-46.0246', '-113.975', '27', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('3999', '3', '6016568', 'object/creature/npc/base/jinda_base_male.iff', '0', '0', '0', '0', '-127.493', '-46.1776', '-115.062', '42', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4000', '3', '6016569', 'object/creature/npc/base/jinda_base_male.iff', '0', '0', '0', '0', '-126.523', '-52.0842', '-133.845', '42', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4001', '3', '6016569', 'object/creature/npc/base/jinda_base_male.iff', '0', '0', '0', '0', '-104.15', '-58.9728', '-134.684', '42', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4002', '3', '6016554', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-111.194', '-61.7564', '-110.954', '20', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4003', '3', '6016554', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-111.153', '-61.7169', '-116.466', '20', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4004', '3', '6016554', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-104.942', '-61.4931', '-103.679', '35', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4005', '3', '6016554', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-101.925', '-61.8172', '-103.697', '35', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4006', '3', '6016554', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-95.718', '-62.6676', '-103.762', '20', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4007', '3', '6016554', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-89.4348', '-63.5316', '-104.661', '41', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4008', '3', '6016554', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-78.9346', '-63.7655', '-107.365', '41', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4009', '3', '6016554', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-73.6896', '-62.9087', '-107.347', '41', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4010', '3', '6016554', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-72.438', '-62.9307', '-117.067', '41', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4011', '3', '6016570', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-69.2499', '-59.3124', '-137.899', '35', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4012', '3', '6016570', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-61.5749', '-57.8598', '-139.613', '35', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4013', '3', '6016573', 'object/creature/npc/base/jinda_base_male.iff', '0', '0', '0', '0', '-62.2113', '-57.9028', '-149.454', '42', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4014', '3', '6016573', 'object/creature/npc/base/jinda_base_male.iff', '0', '0', '0', '0', '-67.3508', '-57.4495', '-148.259', '42', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4015', '3', '6016573', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-45.6513', '-58.7774', '-158.103', '35', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4016', '3', '6016573', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-44.5009', '-58.7586', '-160.224', '35', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4017', '3', '6016573', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-47.9212', '-58.4927', '-158.89', '32', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4018', '3', '6016573', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-79.5694', '-57.1177', '-160.041', '32', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4019', '3', '6016573', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-84.0273', '-58.0529', '-160.58', '35', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4020', '3', '6016573', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-82.6307', '-57.4822', '-156.457', '35', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4021', '3', '6016573', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-79.922', '-57.9426', '-182.403', '35', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4022', '3', '6016573', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-81.7037', '-58.2538', '-185.566', '35', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4023', '3', '6016573', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-53.0416', '-58.6482', '-181.282', '35', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4024', '3', '6016573', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-53.2224', '-58.2365', '-185.698', '32', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4025', '3', '6016574', 'object/creature/npc/base/jinda_base_male.iff', '0', '0', '0', '0', '-52.3231', '-58.3154', '-204.016', '42', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4026', '3', '6016574', 'object/creature/npc/base/jinda_base_male.iff', '0', '0', '0', '0', '-54.9541', '-58.4367', '-203.555', '42', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4027', '3', '6016574', 'object/creature/npc/base/jinda_base_male.iff', '0', '0', '0', '0', '-55.8954', '-58.4647', '-203.491', '42', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4028', '3', '6016574', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-58.661', '-58.2662', '-235.265', '41', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4029', '3', '6016574', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-60.4115', '-58.3761', '-238.001', '35', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4030', '3', '6016574', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-53.897', '-57.9082', '-238.131', '35', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4031', '3', '6016574', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-52.3294', '-57.7847', '-236.073', '35', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4032', '3', '6016574', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-65.7892', '-57.7171', '-234.584', '32', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4033', '3', '6016574', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-65.3978', '-57.019', '-231.918', '32', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4034', '3', '6016570', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-47.3137', '-61.1722', '-127.351', '35', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4035', '3', '6016570', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-48.2398', '-61.315', '-116.156', '35', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4036', '3', '6016567', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-30.7899', '-59.808', '-108.527', '32', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4037', '3', '6016571', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-19.7515', '-59.991', '-112.453', '32', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4038', '3', '6016571', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-4.81989', '-62.1379', '-113.691', '32', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4039', '3', '6016571', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '-1.17319', '-62.947', '-114.049', '35', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4040', '3', '6016571', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '8.02573', '-63.741', '-106.214', '35', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4041', '3', '6016571', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '9.63707', '-61.8555', '-98.9565', '32', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4042', '3', '6016565', 'object/creature/npc/base/jinda_base_male.iff', '0', '0', '0', '0', '-0.257573', '-59.2082', '-73.8965', '42', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4043', '3', '6016565', 'object/creature/npc/base/jinda_base_male.iff', '0', '0', '0', '0', '1.96613', '-59.4528', '-70.6508', '42', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4044', '3', '6016565', 'object/creature/npc/base/jinda_base_male.iff', '0', '0', '0', '0', '1.96613', '-59.4528', '-70.6508', '42', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4045', '3', '6016572', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '36.6519', '-59.163', '-66.753', '32', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4046', '3', '6016572', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '36.6519', '-59.163', '-66.753', '32', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4047', '3', '6016572', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '39.571', '-58.8956', '-66.3947', '32', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4048', '3', '6016572', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '40.5986', '-58.5055', '-80.2344', '35', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4049', '3', '6016572', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '37.6716', '-59.1152', '-77.5815', '35', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4050', '3', '6016572', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '36.5345', '-58.6552', '-79.5954', '35', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4051', '3', '6016572', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '37.9317', '-58.4165', '-81.8868', '35', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4052', '3', '6016572', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '54.309', '-57.7624', '-84.282', '35', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4053', '3', '6016572', 'object/creature/npc/base/jinda_base_male.iff', '0', '0', '0', '0', '45.6765', '-59.3868', '-95.4851', '42', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4054', '3', '6016572', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '34.8329', '-61.675', '-112.841', '35', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4055', '3', '6016572', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '36.8966', '-61.5281', '-113.415', '32', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4056', '3', '6016572', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '32.3528', '-61.3683', '-111.552', '32', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4057', '3', '6016572', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '40.6452', '-61.0668', '-111.606', '41', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4058', '3', '6016572', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '40.9158', '-61.0954', '-110.762', '35', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4059', '3', '6016572', 'object/mobile/jinda_male.iff', '0', '0', '0', '0', '41.301', '-61.0401', '-107.607', '35', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4060', '3', '733360', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '10.6397', '-21.5383', '-5.42553', '15', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4061', '3', '733360', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '10.6241', '-21.411', '-6.37881', '15', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4062', '3', '733361', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '23.0971', '-37.9416', '-31.3242', '15', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4063', '3', '733361', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '23.9763', '-41.0338', '-52.6863', '15', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4064', '3', '733361', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '44.7669', '-47.692', '-63.8927', '13', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4065', '3', '733361', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '46.9913', '-48.0295', '-57.3756', '13', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4066', '3', '733361', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '52.5087', '-48.938', '-55.2313', '13', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4067', '3', '733361', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '54.4898', '-48.7193', '-60.5184', '13', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4068', '3', '733361', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '53.926', '-47.79', '-67.7988', '13', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4069', '3', '733369', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '51.8663', '-51.3897', '-85.199', '13', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4070', '3', '733369', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '51.8663', '-51.3897', '-85.199', '13', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4071', '3', '733369', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '49.2306', '-51.8501', '-85.371', '13', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4072', '3', '733369', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '61.6721', '-47.4859', '-105.776', '13', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4073', '3', '733369', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '61.5443', '-47.3983', '-108.82', '13', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4074', '3', '733364', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '74.6055', '-46.3494', '-107.099', '10', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4075', '3', '733364', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '80.4606', '-46.7888', '-107.382', '10', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4076', '3', '733364', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '96.2751', '-45.5402', '-97.8496', '13', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4077', '3', '733364', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '96.2751', '-45.5402', '-97.8496', '13', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4078', '3', '733364', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '95.1703', '-46.6282', '-110.309', '10', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4079', '3', '733364', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '95.1703', '-46.6282', '-110.309', '10', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4080', '3', '733370', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '93.3943', '-46.717', '-127.471', '32', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4081', '3', '733370', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '90.997', '-46.2333', '-127.701', '32', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4082', '3', '733370', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '95.962', '-46.2447', '-139.231', '32', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4083', '3', '733370', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '89.0362', '-47.193', '-138.583', '32', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4084', '3', '733370', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '89.4285', '-46.6287', '-146.051', '32', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4085', '3', '733370', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '85.0824', '-46.8146', '-145.866', '32', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4086', '3', '733370', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '78.5518', '-46.2983', '-144.819', '35', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4087', '3', '733370', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '74.2918', '-45.8654', '-138.846', '32', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4088', '3', '733370', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '74.2969', '-45.9137', '-139.181', '32', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4089', '3', '733370', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '79.5877', '-46.3733', '-138.667', '32', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4090', '3', '733370', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '86.876', '-46.9269', '-137.873', '32', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4091', '3', '733361', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '47.0347', '-48.1113', '-29.098', '15', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4092', '3', '733361', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '46.4301', '-47.1214', '-8.36661', '13', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4093', '3', '733361', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '42.6295', '-46.4464', '-13.5696', '13', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4094', '3', '733361', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '42.658', '-46.5381', '-13.2853', '13', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4095', '3', '733362', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '70.0045', '-58.2122', '-7.27187', '32', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4096', '3', '733362', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '70.0045', '-58.2122', '-7.27187', '32', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4097', '3', '733362', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '74.5335', '-60.1999', '-5.95103', '32', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4098', '3', '733362', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '87.7647', '-62.2751', '-17.7668', '32', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4099', '3', '733362', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '84.8006', '-63.0964', '-20.5387', '32', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4100', '3', '733362', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '85.522', '-63.0665', '-20.9245', '10', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4101', '3', '733361', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '52.5005', '-67.8996', '-45.5529', '35', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4102', '3', '733361', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '52.0028', '-68.0375', '-38.076', '32', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4103', '3', '733361', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '52.207', '-67.9975', '-37.1291', '32', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4104', '3', '733361', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '54.27', '-67.894', '-35.5111', '32', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4105', '3', '733362', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '73.2176', '-71.1021', '-44.3854', '10', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4106', '3', '733362', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '74.3345', '-72.0664', '-46.8498', '10', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4107', '3', '733362', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '88.3332', '-71.6709', '-48.0321', '10', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4108', '3', '733362', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '86.0552', '-71.9331', '-48.5366', '10', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4109', '3', '733363', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '90.5801', '-76.6901', '-80.5639', '10', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4110', '3', '733363', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '83.8855', '-76.7924', '-83.747', '10', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4111', '3', '733363', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '83.8855', '-76.7924', '-83.747', '10', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4112', '3', '733363', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '67.5502', '-77.0767', '-80.8476', '10', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4113', '3', '733363', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '66.4949', '-77.0845', '-78.7544', '10', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4114', '3', '733363', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '72.1028', '-77.6852', '-71.5609', '10', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4115', '3', '733363', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '78.0193', '-77.7108', '-70.3636', '10', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4116', '3', '733363', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '85.1253', '-76.9812', '-71.1621', '10', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4117', '3', '733363', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '82.4444', '-76.1401', '-67.3235', '32', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4118', '3', '733363', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '87.0439', '-77.0789', '-61.8704', '32', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4119', '3', '733365', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '53.6049', '-76.7471', '-87.1956', '10', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4120', '3', '733365', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '53.6049', '-76.7471', '-87.1956', '10', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4121', '3', '733365', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '64.1394', '-66.8104', '-133.395', '32', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4122', '3', '733365', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '60.2491', '-66.2269', '-134.255', '32', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4123', '3', '733365', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '60.4839', '-66.2096', '-134.49', '32', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4124', '3', '733366', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '83.9672', '-66.1847', '-139.538', '10', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4125', '3', '733366', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '88.2821', '-66.9542', '-140.251', '10', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4126', '3', '733366', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '88.2821', '-66.9542', '-140.251', '10', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4127', '3', '733364', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '92.1928', '-66.885', '-110.679', '10', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4128', '3', '733364', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '97.2717', '-65.9012', '-110.147', '32', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4129', '3', '733364', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '96.6905', '-65.8073', '-111.09', '32', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4130', '3', '733367', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '109.945', '-66.3841', '-108.929', '35', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4131', '3', '733367', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '111.107', '-66.4427', '-107.018', '32', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4132', '3', '733367', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '111.147', '-66.3735', '-113.641', '32', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4133', '3', '733367', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '115.044', '-66.1154', '-120.996', '10', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4134', '3', '733367', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '116.245', '-65.7274', '-122.627', '10', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4135', '3', '733367', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '136.546', '-66.734', '-124.853', '32', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4136', '3', '733367', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '140.48', '-66.6905', '-125.208', '32', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4137', '3', '733367', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '144.393', '-66.847', '-125.788', '32', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4138', '3', '733367', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '146.827', '-67.2207', '-120.45', '32', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4139', '3', '733367', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '146.581', '-67.1691', '-119.857', '32', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4140', '3', '733367', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '142.378', '-66.7653', '-121.918', '35', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4141', '3', '733367', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '134.079', '-66.5652', '-108.099', '17', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4142', '3', '733367', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '134.079', '-66.5652', '-108.099', '10', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4143', '3', '733367', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '134.332', '-66.4634', '-109.691', '10', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4144', '3', '733367', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '140.509', '-66.9769', '-89.8805', '10', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4145', '3', '733367', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '141.124', '-67.2531', '-93.095', '32', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4146', '3', '733367', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '143.881', '-67.0362', '-93.1213', '17', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4147', '3', '733368', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '161.898', '-66.916', '-98.2648', '17', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4148', '3', '733368', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '166.669', '-66.6152', '-98.1907', '35', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4149', '3', '733368', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '193.665', '-66.8731', '-102.185', '60', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4150', '3', '733368', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '193.653', '-66.873', '-102.185', '47', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4151', '3', '733368', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '192.67', '-66.92', '-103.589', '47', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4152', '3', '733368', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '192.958', '-66.5354', '-108.918', '17', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4153', '3', '733368', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '192.567', '-66.4326', '-96.2166', '35', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4154', '3', '733368', 'object/mobile/dulok_male.iff', '0', '0', '0', '0', '191.03', '-66.6757', '-101.924', '46', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4155', '3', '0', 'object/mobile/marauder_male.iff', '0', '0', '0', '0', '-4774.79', '0', '-2278.53', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4156', '3', '0', 'object/mobile/marauder_male.iff', '0', '0', '0', '0', '-4774.85', '0', '-2279.69', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4157', '3', '0', 'object/mobile/marauder_male.iff', '0', '0', '0', '0', '-4767.58', '0', '-2278.28', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4158', '3', '0', 'object/mobile/marauder_male.iff', '0', '0', '0', '0', '-4738.16', '0', '-2287.64', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4159', '3', '0', 'object/mobile/marauder_male.iff', '0', '0', '0', '0', '-4738.16', '0', '-2287.64', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4160', '3', '0', 'object/mobile/marauder_male.iff', '0', '0', '0', '0', '-4714.84', '0', '-2271.59', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4161', '3', '0', 'object/mobile/marauder_male.iff', '0', '0', '0', '0', '-4714.95', '0', '-2271.59', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4162', '3', '0', 'object/mobile/marauder_male.iff', '0', '0', '0', '0', '-4715.49', '0', '-2270.04', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4163', '3', '0', 'object/mobile/dressed_wandering_desert_marauder.iff', '0', '0', '0', '0', '-4713.83', '0', '-2259.01', '55', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4164', '3', '0', 'object/mobile/marauder_male.iff', '0', '0', '0', '0', '-4704.67', '0', '-2285.12', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4165', '3', '0', 'object/mobile/marauder_male.iff', '0', '0', '0', '0', '-4704.67', '0', '-2285.12', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4166', '3', '0', 'object/mobile/marauder_male.iff', '0', '0', '0', '0', '-4702.07', '0', '-2288.21', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4167', '3', '0', 'object/mobile/dressed_wandering_desert_marauder.iff', '0', '0', '0', '0', '-4697.16', '0', '-2263.76', '55', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4168', '3', '0', 'object/mobile/marauder_male.iff', '0', '0', '0', '0', '-4699.89', '0', '-2264.48', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4169', '3', '0', 'object/mobile/marauder_male.iff', '0', '0', '0', '0', '-4679.85', '0', '-2268.26', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4170', '3', '0', 'object/mobile/marauder_male.iff', '0', '0', '0', '0', '-4680.05', '0', '-2267.98', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4171', '3', '0', 'object/mobile/marauder_male.iff', '0', '0', '0', '0', '-4680.14', '0', '-2271.22', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4172', '3', '0', 'object/mobile/dressed_wandering_desert_marauder.iff', '0', '0', '0', '0', '-4670.99', '0', '-2282.46', '55', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4173', '3', '0', 'object/mobile/marauder_male.iff', '0', '0', '0', '0', '-4679.62', '0', '-2279.2', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4174', '3', '0', 'object/mobile/dressed_wandering_desert_marauder.iff', '0', '0', '0', '0', '-4666.56', '0', '-2270.75', '55', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4175', '3', '0', 'object/mobile/marauder_male.iff', '0', '0', '0', '0', '-4663.98', '0', '-2275.96', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4176', '3', '0', 'object/mobile/marauder_male.iff', '0', '0', '0', '0', '-4662.24', '0', '-2276.04', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4177', '3', '0', 'object/mobile/marauder_male.iff', '0', '0', '0', '0', '-4629.98', '0', '-2280.54', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4178', '3', '0', 'object/mobile/marauder_male.iff', '0', '0', '0', '0', '-4627.38', '0', '-2283.44', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4179', '3', '0', 'object/mobile/marauder_male.iff', '0', '0', '0', '0', '-4629.28', '0', '-2288.9', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4180', '3', '0', 'object/mobile/marauder_male.iff', '0', '0', '0', '0', '-4625.82', '0', '-2294.46', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4181', '3', '0', 'object/mobile/dressed_wandering_desert_marauder.iff', '0', '0', '0', '0', '-4617.04', '0', '-2294.34', '55', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4182', '3', '0', 'object/mobile/dressed_wandering_desert_marauder.iff', '0', '0', '0', '0', '-4618.89', '0', '-2297.04', '55', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4183', '3', '0', 'object/mobile/dressed_wandering_desert_marauder.iff', '0', '0', '0', '0', '-4622.21', '0', '-2295.53', '55', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4184', '3', '0', 'object/mobile/marauder_male.iff', '0', '0', '0', '0', '-4597.99', '0', '-2269.85', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4185', '3', '0', 'object/mobile/marauder_male.iff', '0', '0', '0', '0', '-4589.29', '0', '-2266.67', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4186', '3', '0', 'object/mobile/marauder_male.iff', '0', '0', '0', '0', '-4592.09', '0', '-2281.15', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4187', '3', '0', 'object/mobile/marauder_male.iff', '0', '0', '0', '0', '-4589.93', '0', '-2281.99', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4188', '3', '0', 'object/mobile/marauder_male.iff', '0', '0', '0', '0', '-4573.93', '0', '-2288.28', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4189', '3', '0', 'object/mobile/marauder_male.iff', '0', '0', '0', '0', '-4574.31', '0', '-2293.97', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4190', '3', '0', 'object/mobile/dressed_wandering_desert_marauder.iff', '0', '0', '0', '0', '-4576.99', '0', '-2272.67', '55', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4191', '3', '0', 'object/mobile/dressed_wandering_desert_marauder.iff', '0', '0', '0', '0', '-4572.21', '0', '-2270.42', '55', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4192', '3', '0', 'object/mobile/marauder_male.iff', '0', '0', '0', '0', '-4582.35', '0', '-2244.36', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4193', '3', '0', 'object/mobile/dressed_wandering_desert_marauder.iff', '0', '0', '0', '0', '-4578.71', '0', '-2242.76', '55', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4194', '3', '0', 'object/mobile/marauder_male.iff', '0', '0', '0', '0', '-4568.13', '0', '-2251.78', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4195', '3', '0', 'object/mobile/marauder_male.iff', '0', '0', '0', '0', '-4572.26', '0', '-2257.64', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4196', '3', '0', 'object/mobile/marauder_male.iff', '0', '0', '0', '0', '-4566.55', '0', '-2259.4', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4197', '3', '0', 'object/mobile/dressed_wandering_desert_marauder.iff', '0', '0', '0', '0', '-4563.89', '0', '-2297.42', '55', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4198', '3', '0', 'object/mobile/marauder_male.iff', '0', '0', '0', '0', '-4560.99', '0', '-2292.94', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4199', '3', '0', 'object/mobile/marauder_male.iff', '0', '0', '0', '0', '-4566.68', '0', '-2292.91', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4200', '3', '0', 'object/mobile/dressed_wandering_desert_marauder.iff', '0', '0', '0', '0', '-4570.99', '0', '-2280.64', '55', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4201', '3', '0', 'object/mobile/marauder_male.iff', '0', '0', '0', '0', '-4585.2', '0', '-2257.91', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4202', '3', '0', 'object/mobile/marauder_male.iff', '0', '0', '0', '0', '-4588.6', '0', '-2259.03', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4203', '3', '5996315', 'object/mobile/battle_droid.iff', '0', '0', '0', '0', '-31.8', '-12', '-9.9', '130', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4204', '3', '5996315', 'object/mobile/battle_droid.iff', '0', '0', '0', '0', '-31.8', '-12', '-4.3', '130', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4205', '3', '5996316', 'object/mobile/dressed_black_sun_thug.iff', '0', '0', '0', '0', '-15.8', '-12', '9.4', '86', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4206', '3', '5996316', 'object/mobile/dressed_black_sun_henchman.iff', '0', '0', '0', '0', '-15.8', '-12', '13.2', '76', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4207', '3', '5996319', 'object/mobile/dressed_black_sun_thug.iff', '0', '0', '0', '0', '-57.4', '-20', '36.4', '86', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4208', '3', '5996319', 'object/mobile/super_battle_droid.iff', '0', '0', '0', '0', '-57.4', '-20', '27.9', '228', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4209', '3', '5996319', 'object/mobile/dressed_black_sun_henchman.iff', '0', '0', '0', '0', '-69.1', '-20', '30.6', '76', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4210', '3', '5996318', 'object/mobile/dressed_black_sun_assassin.iff', '0', '0', '0', '0', '6.2', '-12', '31.1', '107', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4211', '3', '5996318', 'object/mobile/super_battle_droid.iff', '0', '0', '0', '0', '-1.8', '-12', '32.9', '228', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4212', '3', '5996320', 'object/mobile/super_battle_droid.iff', '0', '0', '0', '0', '-74.2', '-20', '61.7', '228', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4213', '3', '5996320', 'object/mobile/dressed_death_watch_red.iff', '0', '0', '0', '0', '-77.2', '-20', '55.9', '121', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4214', '3', '5996320', 'object/mobile/battle_droid.iff', '0', '0', '0', '0', '-71.6', '-20', '50.6', '130', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4215', '3', '5996321', 'object/mobile/battle_droid.iff', '0', '0', '0', '0', '-78', '-20', '12', '130', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4216', '3', '5996321', 'object/mobile/battle_droid.iff', '0', '0', '0', '0', '-70', '-20', '12', '130', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4217', '3', '5996321', 'object/mobile/battle_droid.iff', '0', '0', '0', '0', '-70', '-20', '-10', '130', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4218', '3', '5996321', 'object/mobile/battle_droid.iff', '0', '0', '0', '0', '-78', '-20', '-10', '130', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4219', '3', '5996323', 'object/mobile/dressed_black_sun_thug.iff', '0', '0', '0', '0', '-92.7', '-20', '-29.2', '86', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4220', '3', '5996323', 'object/mobile/dressed_black_sun_assassin.iff', '0', '0', '0', '0', '-90.2', '-20', '-31.3', '107', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4221', '3', '5996323', 'object/mobile/dressed_black_sun_henchman.iff', '0', '0', '0', '0', '-111.3', '-20', '-53.1', '76', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4222', '3', '5996325', 'object/mobile/dressed_death_watch_silver.iff', '0', '0', '0', '0', '-126', '-20', '-48.8', '178', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4223', '3', '5996325', 'object/mobile/battle_droid.iff', '0', '0', '0', '0', '-130.4', '-20', '-53', '130', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4224', '3', '5996325', 'object/mobile/dressed_death_watch_red.iff', '0', '0', '0', '0', '-126', '-20', '-56', '121', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4225', '3', '5996324', 'object/mobile/dressed_death_watch_red.iff', '0', '0', '0', '0', '-126', '-20', '-20.8', '121', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4226', '3', '5996324', 'object/mobile/battle_droid.iff', '0', '0', '0', '0', '-132.1', '-20', '-24.9', '130', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4227', '3', '5996324', 'object/mobile/dressed_black_sun_thug.iff', '0', '0', '0', '0', '-126', '-20', '-28.6', '86', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4228', '3', '5996326', 'object/mobile/super_battle_droid.iff', '0', '0', '0', '0', '-58.7', '-20', '-52.8838', '228', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4229', '3', '5996330', 'object/mobile/super_battle_droid.iff', '0', '0', '0', '0', '-78.2202', '-20', '-41.0019', '228', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4230', '3', '5996327', 'object/mobile/dressed_black_sun_assassin.iff', '0', '0', '0', '0', '-65.1956', '-20', '-74.5288', '107', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4231', '3', '5996327', 'object/mobile/dressed_black_sun_henchman.iff', '0', '0', '0', '0', '-61.6653', '-20', '-71.5085', '76', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4232', '3', '5996327', 'object/mobile/dressed_black_sun_thug.iff', '0', '0', '0', '0', '-58.0641', '-20', '-71.6227', '86', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4233', '3', '5996326', 'object/mobile/battle_droid.iff', '0', '0', '0', '0', '-74.2578', '-20', '-99.7399', '130', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4234', '3', '5996326', 'object/mobile/battle_droid.iff', '0', '0', '0', '0', '-73.9588', '-20', '-90.4062', '130', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4235', '3', '5996326', 'object/mobile/battle_droid.iff', '0', '0', '0', '0', '-83.4655', '-20', '-81.0632', '130', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4236', '3', '5996326', 'object/mobile/battle_droid.iff', '0', '0', '0', '0', '-92.7776', '-20', '-80.9224', '130', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4237', '3', '5996326', 'object/mobile/dressed_black_sun_thug.iff', '0', '0', '0', '0', '-94.2647', '-20', '-94.63', '86', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4238', '3', '5996328', 'object/mobile/dressed_death_watch_red.iff', '0', '0', '0', '0', '-103.352', '-20', '-102.523', '121', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4239', '3', '5996328', 'object/mobile/super_battle_droid.iff', '0', '0', '0', '0', '-114.684', '-20', '-95.2085', '228', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4240', '3', '5996328', 'object/mobile/dressed_black_sun_assassin.iff', '0', '0', '0', '0', '-106.028', '-20', '-90.7982', '107', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4241', '3', '5996326', 'object/mobile/dressed_black_sun_thug.iff', '0', '0', '0', '0', '-87.4787', '-20', '-101.336', '86', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4242', '3', '5996329', 'object/mobile/dressed_death_watch_red.iff', '0', '0', '0', '0', '-80.7477', '-20', '-115.775', '121', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4243', '3', '5996329', 'object/mobile/dressed_black_sun_henchman.iff', '0', '0', '0', '0', '-95.4649', '-20', '-114.952', '76', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4244', '3', '5996330', 'object/mobile/battle_droid.iff', '0', '0', '0', '0', '-55.9976', '-20', '-40.9446', '130', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4245', '3', '5996330', 'object/mobile/dressed_black_sun_thug.iff', '0', '0', '0', '0', '-38.0034', '-20', '-44.8654', '86', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4246', '3', '5996332', 'object/mobile/battle_droid.iff', '0', '0', '0', '0', '-4.97129', '-20', '-52.1686', '130', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4247', '3', '5996330', 'object/mobile/dressed_death_watch_red.iff', '0', '0', '0', '0', '-3.83936', '-20', '-47.1934', '121', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4248', '3', '5996332', 'object/mobile/battle_droid.iff', '0', '0', '0', '0', '25.0504', '-20', '-81.5319', '130', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4249', '3', '5996333', 'object/mobile/dressed_death_watch_silver.iff', '0', '0', '0', '0', '21.5348', '-20', '-44.1827', '178', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4250', '3', '5996333', 'object/mobile/dressed_death_watch_grey.iff', '0', '0', '0', '0', '25.0853', '-20', '-43.2465', '152', 'neutral', '128', '35', '400');
INSERT INTO `world_server_static_spawns` VALUES ('4251', '3', '5996333', 'object/mobile/super_battle_droid.iff', '0', '0', '0', '0', '23.9093', '-20', '-31.3844', '228', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4252', '3', '5996336', 'object/mobile/battle_droid.iff', '0', '0', '0', '0', '29.8575', '-20', '-92.4883', '130', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4253', '3', '5996336', 'object/mobile/dressed_death_watch_silver.iff', '0', '0', '0', '0', '36.0396', '-20', '-87.0088', '178', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4254', '3', '5996336', 'object/mobile/dressed_death_watch_silver.iff', '0', '0', '0', '0', '36.2862', '-28', '-54.8448', '178', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4255', '3', '5996334', 'object/mobile/dressed_death_watch_silver.iff', '0', '0', '0', '0', '-3.93636', '-24', '-113.77', '178', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4256', '3', '5996334', 'object/mobile/dressed_death_watch_silver.iff', '0', '0', '0', '0', '-34.7704', '-32', '-112.954', '178', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4257', '3', '5996334', 'object/mobile/super_battle_droid.iff', '0', '0', '0', '0', '-57.9702', '-32', '-117.962', '228', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4258', '3', '5996331', 'object/mobile/super_battle_droid.iff', '0', '0', '0', '0', '-47.0168', '-32', '-102.3', '228', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4259', '3', '5996331', 'object/mobile/super_battle_droid.iff', '0', '0', '0', '0', '-8.96434', '-32', '-102.272', '228', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4260', '3', '5996331', 'object/mobile/super_battle_droid.iff', '0', '0', '0', '0', '-8.98854', '-32', '-52.6644', '228', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4261', '3', '5996335', 'object/mobile/super_battle_droid.iff', '0', '0', '0', '0', '-1.54555', '-32', '-51.9', '228', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4262', '3', '5996335', 'object/mobile/dressed_death_watch_silver.iff', '0', '0', '0', '0', '-0.0537967', '-32', '-32.1507', '178', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4263', '3', '5996335', 'object/mobile/dressed_death_watch_red.iff', '0', '0', '0', '0', '-4.06986', '-32', '-35.3892', '121', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4264', '3', '5996337', 'object/mobile/super_battle_droid.iff', '0', '0', '0', '0', '5.86351', '-31.9', '-89.773', '228', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4265', '3', '5996336', 'object/mobile/super_battle_droid.iff', '0', '0', '0', '0', '6.11039', '-28', '-55.5441', '228', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4266', '3', '5996338', 'object/mobile/battle_droid.iff', '0', '0', '0', '0', '37.5009', '-32', '-114.082', '130', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4267', '3', '5996338', 'object/mobile/battle_droid.iff', '0', '0', '0', '0', '47.8113', '-32', '-114.372', '130', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4268', '3', '5996338', 'object/mobile/dressed_death_watch_red.iff', '0', '0', '0', '0', '42.686', '-36.7995', '-101.057', '121', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4269', '3', '5996338', 'object/mobile/dressed_death_watch_silver.iff', '0', '0', '0', '0', '32.8018', '-42.0002', '-111.156', '178', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4270', '3', '5996338', 'object/mobile/dressed_death_watch_grey.iff', '0', '0', '0', '0', '33.2416', '-42.0001', '-103.257', '152', 'neutral', '128', '35', '400');
INSERT INTO `world_server_static_spawns` VALUES ('4271', '3', '5996338', 'object/mobile/super_battle_droid.iff', '0', '0', '0', '0', '50.0253', '-52', '-132.531', '228', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4272', '3', '5996338', 'object/mobile/dressed_death_watch_red.iff', '0', '0', '0', '0', '34.053', '-52', '-111.514', '121', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4273', '3', '5996339', 'object/mobile/battle_droid.iff', '0', '0', '0', '0', '71.307', '-32', '-101.01', '130', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4274', '3', '5996340', 'object/mobile/super_battle_droid.iff', '0', '0', '0', '0', '70.0806', '-32', '-90.7091', '228', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4275', '3', '5996340', 'object/mobile/dressed_death_watch_silver.iff', '0', '0', '0', '0', '71.7655', '-32', '-62.449', '178', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4276', '3', '5996340', 'object/mobile/dressed_death_watch_silver.iff', '0', '0', '0', '0', '45.7435', '-32', '-90.2733', '178', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4277', '3', '5996341', 'object/mobile/super_battle_droid.iff', '0', '0', '0', '0', '48.3139', '-32', '-48.2021', '228', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4278', '3', '5996341', 'object/mobile/dressed_death_watch_grey.iff', '0', '0', '0', '0', '46.9423', '-32', '-53.8254', '152', 'neutral', '128', '35', '400');
INSERT INTO `world_server_static_spawns` VALUES ('4279', '3', '5996342', 'object/mobile/dressed_death_watch_silver.iff', '0', '0', '0', '0', '87.7674', '-32', '-88.099', '178', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4280', '3', '5996342', 'object/mobile/battle_droid.iff', '0', '0', '0', '0', '96.3589', '-32', '-81.0804', '130', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4281', '3', '5996342', 'object/mobile/dressed_death_watch_red.iff', '0', '0', '0', '0', '96.7449', '-32', '-95.0204', '121', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4282', '3', '5996343', 'object/mobile/dressed_black_sun_thug.iff', '0', '0', '0', '0', '88.7591', '-32', '-64.9284', '86', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4283', '3', '5996343', 'object/mobile/dressed_death_watch_red.iff', '0', '0', '0', '0', '91.8204', '-32', '-54.8949', '121', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4284', '3', '5996344', 'object/mobile/dressed_death_watch_grey.iff', '0', '0', '0', '0', '110.494', '-32', '-80.1201', '152', 'neutral', '128', '35', '400');
INSERT INTO `world_server_static_spawns` VALUES ('4285', '3', '5996344', 'object/mobile/dressed_death_watch_silver.iff', '0', '0', '0', '0', '114.136', '-32', '-79.7362', '178', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4286', '3', '5996344', 'object/mobile/super_battle_droid.iff', '0', '0', '0', '0', '111.874', '-32', '-67.3782', '228', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4287', '3', '5996345', 'object/mobile/super_battle_droid.iff', '0', '0', '0', '0', '13.8579', '-54.1054', '-157.211', '228', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4288', '3', '5996345', 'object/mobile/super_battle_droid.iff', '0', '0', '0', '0', '-8.07963', '-52', '-142.984', '228', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4289', '3', '5996378', 'object/mobile/battle_droid.iff', '0', '0', '0', '0', '-30.8612', '-52', '-166.126', '130', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4290', '3', '5996378', 'object/mobile/battle_droid.iff', '0', '0', '0', '0', '-8.67036', '-52', '-169.752', '130', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4291', '3', '5996378', 'object/mobile/battle_droid.iff', '0', '0', '0', '0', '-8.95624', '-52', '-148.92', '130', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4292', '3', '5996378', 'object/mobile/super_battle_droid.iff', '0', '0', '0', '0', '-12.1131', '-52', '-151.956', '228', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4293', '3', '5996378', 'object/mobile/super_battle_droid.iff', '0', '0', '0', '0', '-30.535', '-52', '-148.17', '228', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4294', '3', '5996347', 'object/mobile/dressed_death_watch_silver.iff', '0', '0', '0', '0', '21.5384', '-64', '-111.007', '178', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4295', '3', '5996347', 'object/mobile/super_battle_droid.iff', '0', '0', '0', '0', '20.9192', '-64', '-97.0222', '228', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4296', '3', '5996347', 'object/mobile/dressed_black_sun_assassin.iff', '0', '0', '0', '0', '49.7107', '-64', '-123.034', '107', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4297', '3', '5996347', 'object/mobile/super_battle_droid.iff', '0', '0', '0', '0', '58.5191', '-64', '-137.012', '228', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4298', '3', '5996347', 'object/mobile/battle_droid.iff', '0', '0', '0', '0', '40.0776', '-64', '-155.552', '130', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4299', '3', '5996347', 'object/mobile/battle_droid.iff', '0', '0', '0', '0', '39.8998', '-64', '-147.522', '130', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4300', '3', '5996322', 'object/mobile/dressed_black_sun_thug.iff', '0', '0', '0', '0', '-82.716', '-20', '-25.6264', '86', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4301', '3', '5996352', 'object/mobile/dressed_death_watch_silver.iff', '0', '0', '0', '0', '-2.18177', '-60', '-172.48', '178', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4302', '3', '5996352', 'object/mobile/dressed_mand_bunker_crazed_miner.iff', '0', '0', '0', '0', '-22.3651', '-60.0316', '-187.469', '230', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4303', '3', '5996352', 'object/mobile/dressed_mand_bunker_crazed_miner.iff', '0', '0', '0', '0', '-28.9105', '-59.865', '-176.715', '230', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4304', '3', '5996352', 'object/mobile/dressed_mand_bunker_crazed_miner.iff', '0', '0', '0', '0', '-37.6703', '-59.2413', '-186.656', '230', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4305', '3', '5996352', 'object/mobile/dressed_mand_bunker_crazed_miner.iff', '0', '0', '0', '0', '-42.0866', '-60.1997', '-165.522', '230', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4306', '3', '5996352', 'object/mobile/dressed_mand_bunker_crazed_miner.iff', '0', '0', '0', '0', '-62.2239', '-60.1115', '-175.351', '230', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4307', '3', '5996352', 'object/mobile/dressed_mand_bunker_crazed_miner.iff', '0', '0', '0', '0', '-69.6748', '-59.7157', '-183.362', '230', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4308', '3', '5996353', 'object/mobile/battle_droid.iff', '0', '0', '0', '0', '-42.0822', '-59.7989', '-204.957', '130', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4309', '3', '5996354', 'object/mobile/dressed_mand_bunker_crazed_miner.iff', '0', '0', '0', '0', '-10.9759', '-59.9162', '-203.972', '230', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4310', '3', '5996354', 'object/mobile/remmer.iff', '0', '0', '0', '0', '-17.3884', '-59.1878', '-221.123', '100', 'neutral', '128', '35', '600');
INSERT INTO `world_server_static_spawns` VALUES ('4311', '3', '5996354', 'object/mobile/remmer.iff', '0', '0', '0', '0', '-7.15083', '-59.8265', '-235.101', '100', 'neutral', '128', '35', '600');
INSERT INTO `world_server_static_spawns` VALUES ('4312', '3', '5996354', 'object/mobile/super_battle_droid.iff', '0', '0', '0', '0', '-9.56324', '-60.3204', '-253.361', '228', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4313', '3', '5996354', 'object/mobile/dressed_mand_bunker_technician.iff', '0', '0', '0', '0', '-16.7672', '-60.1677', '-257.284', '230', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4314', '3', '5996354', 'object/mobile/remmer.iff', '0', '0', '0', '0', '-17.5536', '-60.1413', '-278.515', '100', 'neutral', '128', '35', '600');
INSERT INTO `world_server_static_spawns` VALUES ('4315', '3', '5996354', 'object/mobile/dressed_death_watch_silver.iff', '0', '0', '0', '0', '-11.8299', '-60.1689', '-294.804', '178', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4316', '3', '5996355', 'object/mobile/dressed_mand_bunker_technician.iff', '0', '0', '0', '0', '21.8285', '-60.3356', '-304.825', '230', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4317', '3', '5996355', 'object/mobile/dressed_mand_bunker_foreman.iff', '0', '0', '0', '0', '26.2154', '-61.6437', '-303.126', '230', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4318', '3', '5996355', 'object/mobile/dressed_mand_bunker_crazed_miner.iff', '0', '0', '0', '0', '32.6635', '-60.8291', '-291.646', '230', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4319', '3', '5996356', 'object/mobile/super_battle_droid.iff', '0', '0', '0', '0', '-45.9543', '-59.7989', '-297.067', '228', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4320', '3', '5996356', 'object/mobile/dressed_mand_bunker_foreman.iff', '0', '0', '0', '0', '-46.0131', '-59.7989', '-317.026', '230', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4321', '3', '5996357', 'object/mobile/remmer.iff', '0', '0', '0', '0', '-76.2364', '-59.9511', '-312.697', '100', 'neutral', '128', '35', '600');
INSERT INTO `world_server_static_spawns` VALUES ('4322', '3', '5996357', 'object/mobile/battle_droid.iff', '0', '0', '0', '0', '-89.8071', '-60.2464', '-339.762', '130', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4323', '3', '5996357', 'object/mobile/battle_droid.iff', '0', '0', '0', '0', '-97.6422', '-60.1974', '-353.909', '130', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4324', '3', '5996357', 'object/mobile/dressed_death_watch_grey.iff', '0', '0', '0', '0', '-91.8254', '-58.6337', '-380.811', '152', 'neutral', '128', '35', '400');
INSERT INTO `world_server_static_spawns` VALUES ('4325', '3', '5996357', 'object/mobile/dressed_death_watch_red.iff', '0', '0', '0', '0', '-101.761', '-60.0693', '-380.303', '121', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4326', '3', '5996357', 'object/mobile/remmer.iff', '0', '0', '0', '0', '-109.325', '-59.6467', '-376.492', '100', 'neutral', '128', '35', '600');
INSERT INTO `world_server_static_spawns` VALUES ('4327', '3', '5996357', 'object/mobile/super_battle_droid.iff', '0', '0', '0', '0', '-115.544', '-59.8237', '-378.11', '228', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4328', '3', '5996357', 'object/mobile/super_battle_droid.iff', '0', '0', '0', '0', '-126.348', '-59.4366', '-380.298', '228', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4329', '3', '5996357', 'object/mobile/super_battle_droid.iff', '0', '0', '0', '0', '-126.315', '-60.0575', '-370.359', '228', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4330', '3', '5996357', 'object/mobile/dressed_death_watch_gold.iff', '0', '0', '0', '0', '-124.371', '-59.9688', '-375.92', '221', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4331', '3', '5996357', 'object/mobile/remmer.iff', '0', '0', '0', '0', '-119.999', '-59.5107', '-349.478', '100', 'neutral', '128', '35', '600');
INSERT INTO `world_server_static_spawns` VALUES ('4332', '3', '5996357', 'object/mobile/dressed_mand_bunker_crazed_miner.iff', '0', '0', '0', '0', '-131.816', '-59.5831', '-334.089', '230', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4333', '3', '5996357', 'object/mobile/remmer.iff', '0', '0', '0', '0', '-119.421', '-59.6919', '-324.576', '100', 'neutral', '128', '35', '600');
INSERT INTO `world_server_static_spawns` VALUES ('4334', '3', '5996357', 'object/mobile/battle_droid.iff', '0', '0', '0', '0', '-109.987', '-59.4915', '-310.84', '130', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4335', '3', '5996357', 'object/mobile/remmer.iff', '0', '0', '0', '0', '-101.167', '-59.5306', '-306.337', '100', 'neutral', '128', '35', '600');
INSERT INTO `world_server_static_spawns` VALUES ('4336', '3', '5996357', 'object/mobile/dressed_mand_bunker_technician.iff', '0', '0', '0', '0', '-88.5664', '-60.2918', '-292.938', '230', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4337', '3', '5996357', 'object/mobile/remmer.iff', '0', '0', '0', '0', '-98.9249', '-59.916', '-276.045', '100', 'neutral', '128', '35', '600');
INSERT INTO `world_server_static_spawns` VALUES ('4338', '3', '5996357', 'object/mobile/dressed_mand_bunker_crazed_miner.iff', '0', '0', '0', '0', '-89.2714', '-59.8972', '-262.447', '230', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4339', '3', '5996357', 'object/mobile/remmer.iff', '0', '0', '0', '0', '-97.1917', '-59.4581', '-252.56', '100', 'neutral', '128', '35', '600');
INSERT INTO `world_server_static_spawns` VALUES ('4340', '3', '5996359', 'object/mobile/super_battle_droid.iff', '0', '0', '0', '0', '-94.0251', '-59.7989', '-217.485', '228', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4341', '3', '5996358', 'object/mobile/super_battle_droid.iff', '0', '0', '0', '0', '-79.8998', '-59.7989', '-206.045', '228', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4342', '3', '5996360', 'object/mobile/battle_droid.iff', '0', '0', '0', '0', '-123.923', '-59.7989', '-187.272', '130', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4343', '3', '5996361', 'object/mobile/remmer.iff', '0', '0', '0', '0', '-124.623', '-60.1486', '-171.999', '100', 'neutral', '128', '35', '600');
INSERT INTO `world_server_static_spawns` VALUES ('4344', '3', '5996361', 'object/mobile/battle_droid.iff', '0', '0', '0', '0', '-120.614', '-60.0516', '-158.857', '130', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4345', '3', '5996361', 'object/mobile/remmer.iff', '0', '0', '0', '0', '-129.244', '-59.7336', '-152.48', '100', 'neutral', '128', '35', '600');
INSERT INTO `world_server_static_spawns` VALUES ('4346', '3', '5996361', 'object/mobile/remmer.iff', '0', '0', '0', '0', '-128.283', '-59.9129', '-138.49', '100', 'neutral', '128', '35', '600');
INSERT INTO `world_server_static_spawns` VALUES ('4347', '3', '5996361', 'object/mobile/remmer.iff', '0', '0', '0', '0', '-121.49', '-59.9984', '-137.264', '100', 'neutral', '128', '35', '600');
INSERT INTO `world_server_static_spawns` VALUES ('4348', '3', '5996361', 'object/mobile/remmer.iff', '0', '0', '0', '0', '-117.551', '-59.462', '-147.278', '100', 'neutral', '128', '35', '600');
INSERT INTO `world_server_static_spawns` VALUES ('4349', '3', '5996362', 'object/mobile/battle_droid.iff', '0', '0', '0', '0', '-93.8407', '-60.1009', '-138.711', '130', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4350', '3', '5996362', 'object/mobile/remmer.iff', '0', '0', '0', '0', '-92.976', '-59.8055', '-150.179', '100', 'neutral', '128', '35', '600');
INSERT INTO `world_server_static_spawns` VALUES ('4351', '3', '5996362', 'object/mobile/remmer.iff', '0', '0', '0', '0', '-79.262', '-59.6109', '-135.846', '100', 'neutral', '128', '35', '600');
INSERT INTO `world_server_static_spawns` VALUES ('4352', '3', '5996362', 'object/mobile/remmer.iff', '0', '0', '0', '0', '-67.0377', '-59.4366', '-127.037', '100', 'neutral', '128', '35', '600');
INSERT INTO `world_server_static_spawns` VALUES ('4353', '3', '5996362', 'object/mobile/remmer.iff', '0', '0', '0', '0', '-56.8736', '-59.4619', '-135.619', '100', 'neutral', '128', '35', '600');
INSERT INTO `world_server_static_spawns` VALUES ('4354', '3', '5996362', 'object/mobile/remmer.iff', '0', '0', '0', '0', '-63.9848', '-59.6173', '-160.081', '100', 'neutral', '128', '35', '600');
INSERT INTO `world_server_static_spawns` VALUES ('4355', '3', '5996362', 'object/mobile/remmer.iff', '0', '0', '0', '0', '-37.1483', '-59.6342', '-148.413', '100', 'neutral', '128', '35', '600');
INSERT INTO `world_server_static_spawns` VALUES ('4356', '3', '5996362', 'object/mobile/battle_droid.iff', '0', '0', '0', '0', '-43.8614', '-59.931', '-134.326', '130', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4357', '3', '5996363', 'object/mobile/battle_droid.iff', '0', '0', '0', '0', '-141.623', '-59.9945', '-144.901', '130', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4358', '3', '5996364', 'object/mobile/battle_droid.iff', '0', '0', '0', '0', '-149.949', '-59.886', '-160.521', '130', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4359', '3', '5996364', 'object/mobile/super_battle_droid.iff', '0', '0', '0', '0', '-144.013', '-60.3575', '-192.863', '228', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4360', '3', '5996364', 'object/mobile/remmer.iff', '0', '0', '0', '0', '-145.213', '-60.0202', '-178.919', '100', 'neutral', '128', '35', '600');
INSERT INTO `world_server_static_spawns` VALUES ('4361', '3', '5996364', 'object/mobile/remmer.iff', '0', '0', '0', '0', '-153.79', '-59.6145', '-183.966', '100', 'neutral', '128', '35', '600');
INSERT INTO `world_server_static_spawns` VALUES ('4362', '3', '5996364', 'object/mobile/remmer.iff', '0', '0', '0', '0', '-152.166', '-59.871', '-202.182', '100', 'neutral', '128', '35', '600');
INSERT INTO `world_server_static_spawns` VALUES ('4363', '3', '5996364', 'object/mobile/remmer.iff', '0', '0', '0', '0', '-143.556', '-59.9911', '-207.652', '100', 'neutral', '128', '35', '600');
INSERT INTO `world_server_static_spawns` VALUES ('4364', '3', '5996365', 'object/mobile/super_battle_droid.iff', '0', '0', '0', '0', '-148.009', '-59.7989', '-126.816', '228', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4365', '3', '5996365', 'object/mobile/super_battle_droid.iff', '0', '0', '0', '0', '-156.764', '-60', '-106.992', '228', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4366', '3', '5996366', 'object/mobile/super_battle_droid.iff', '0', '0', '0', '0', '-171.875', '-59.7989', '-121.093', '228', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4367', '3', '5996369', 'object/mobile/battle_droid.iff', '0', '0', '0', '0', '-179.157', '-60.108', '-136.777', '130', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4368', '3', '5996369', 'object/mobile/battle_droid.iff', '0', '0', '0', '0', '-176.022', '-60.0923', '-154.081', '130', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4369', '3', '5996369', 'object/mobile/remmer.iff', '0', '0', '0', '0', '-173.464', '-59.872', '-146.805', '100', 'neutral', '128', '35', '600');
INSERT INTO `world_server_static_spawns` VALUES ('4370', '3', '5996369', 'object/mobile/remmer.iff', '0', '0', '0', '0', '-180.185', '-60.1039', '-142.125', '100', 'neutral', '128', '35', '600');
INSERT INTO `world_server_static_spawns` VALUES ('4371', '3', '5996369', 'object/mobile/remmer.iff', '0', '0', '0', '0', '-174.12', '-60.0755', '-138.693', '100', 'neutral', '128', '35', '600');
INSERT INTO `world_server_static_spawns` VALUES ('4372', '3', '5996366', 'object/mobile/super_battle_droid.iff', '0', '0', '0', '0', '-200.772', '-59.7989', '-121.02', '228', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4373', '3', '5996367', 'object/mobile/super_battle_droid.iff', '0', '0', '0', '0', '-222', '-60', '-129.054', '228', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4374', '3', '5996372', 'object/mobile/super_battle_droid.iff', '0', '0', '0', '0', '-206.34', '-60.1428', '-145.42', '228', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4375', '3', '5996372', 'object/mobile/remmer.iff', '0', '0', '0', '0', '-213.27', '-59.7697', '-141.531', '100', 'neutral', '128', '35', '600');
INSERT INTO `world_server_static_spawns` VALUES ('4376', '3', '5996372', 'object/mobile/battle_droid.iff', '0', '0', '0', '0', '-203.764', '-60.488', '-165.327', '130', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4377', '3', '5996372', 'object/mobile/battle_droid.iff', '0', '0', '0', '0', '-203.686', '-60.6755', '-173.319', '130', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4378', '3', '5996372', 'object/mobile/remmer.iff', '0', '0', '0', '0', '-212.35', '-59.8572', '-184.264', '100', 'neutral', '128', '35', '600');
INSERT INTO `world_server_static_spawns` VALUES ('4379', '3', '5996372', 'object/mobile/remmer.iff', '0', '0', '0', '0', '-212.404', '-60.1442', '-199.762', '100', 'neutral', '128', '35', '600');
INSERT INTO `world_server_static_spawns` VALUES ('4380', '3', '5996373', 'object/mobile/super_battle_droid.iff', '0', '0', '0', '0', '-223.765', '-60', '-225.198', '228', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4381', '3', '5996375', 'object/mobile/dressed_death_watch_silver.iff', '0', '0', '0', '0', '-195.971', '-59.7989', '-216.823', '178', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4382', '3', '5996375', 'object/mobile/super_battle_droid.iff', '0', '0', '0', '0', '-174.189', '-59.7989', '-217.014', '228', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4383', '3', '5996376', 'object/mobile/remmer.iff', '0', '0', '0', '0', '-177.766', '-60.4022', '-230.954', '100', 'neutral', '128', '35', '600');
INSERT INTO `world_server_static_spawns` VALUES ('4384', '3', '5996376', 'object/mobile/remmer.iff', '0', '0', '0', '0', '-171.909', '-60.4466', '-230.901', '100', 'neutral', '128', '35', '600');
INSERT INTO `world_server_static_spawns` VALUES ('4385', '3', '5996376', 'object/mobile/dressed_death_watch_silver.iff', '0', '0', '0', '0', '-160.884', '-60.3385', '-236.694', '178', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4386', '3', '5996376', 'object/mobile/super_battle_droid.iff', '0', '0', '0', '0', '-187.387', '-60.1961', '-253.896', '228', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4387', '3', '5996376', 'object/mobile/remmer.iff', '0', '0', '0', '0', '-163.409', '-59.8079', '-257.356', '100', 'neutral', '128', '35', '600');
INSERT INTO `world_server_static_spawns` VALUES ('4388', '3', '5996376', 'object/mobile/remmer.iff', '0', '0', '0', '0', '-171.972', '-60.3595', '-254.407', '100', 'neutral', '128', '35', '600');
INSERT INTO `world_server_static_spawns` VALUES ('4389', '3', '5996376', 'object/mobile/dressed_mand_bunker_technician.iff', '0', '0', '0', '0', '-182.358', '-60.2377', '-268.172', '230', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4390', '3', '5996376', 'object/mobile/remmer.iff', '0', '0', '0', '0', '-176.324', '-60.0186', '-272.313', '100', 'neutral', '128', '35', '600');
INSERT INTO `world_server_static_spawns` VALUES ('4391', '3', '5996377', 'object/mobile/dressed_death_watch_grey.iff', '0', '0', '0', '0', '-174.083', '-59.7989', '-282.656', '152', 'neutral', '128', '35', '400');
INSERT INTO `world_server_static_spawns` VALUES ('4392', '3', '5996377', 'object/mobile/super_battle_droid.iff', '0', '0', '0', '0', '-174.019', '-59.7989', '-298.164', '228', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4393', '3', '5996377', 'object/mobile/dressed_death_watch_grey.iff', '0', '0', '0', '0', '-174.05', '-59.7989', '-316.872', '152', 'neutral', '128', '35', '400');
INSERT INTO `world_server_static_spawns` VALUES ('4394', '3', '5996357', 'object/mobile/remmer.iff', '0', '0', '0', '0', '-134.309', '-59.5654', '-322.849', '100', 'neutral', '128', '35', '600');
INSERT INTO `world_server_static_spawns` VALUES ('4395', '3', '5996357', 'object/mobile/remmer.iff', '0', '0', '0', '0', '-151.951', '-59.9937', '-311.501', '100', 'neutral', '128', '35', '600');
INSERT INTO `world_server_static_spawns` VALUES ('4396', '3', '5996332', 'object/mobile/dressed_mand_bunker_foreman.iff', '0', '0', '0', '0', '4.40332', '-22', '-74.189', '230', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4397', '3', '5996332', 'object/mobile/dressed_mand_bunker_technician.iff', '0', '0', '0', '0', '12.7973', '-20', '-56.4439', '230', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4398', '3', '733407', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '76.244', '-45.7226', '-147.517', '55', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4399', '3', '733407', 'object/mobile/dressed_feral_marauder.iff', '0', '0', '0', '0', '88.2185', '-46.512', '-147.15', '44', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4400', '3', '733407', 'object/mobile/dressed_blood_crazed_plains_marauder.iff', '0', '0', '0', '0', '93.5954', '-46.7012', '-126.672', '56', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4401', '3', '733401', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '80.872', '-46.6671', '-108.179', '55', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4402', '3', '733406', 'object/mobile/dressed_feral_marauder.iff', '0', '0', '0', '0', '51.759', '-49.1331', '-99.4603', '44', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4403', '3', '733398', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '50.0505', '-48.05', '-68.2716', '55', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4404', '3', '733398', 'object/mobile/dressed_feral_marauder.iff', '0', '0', '0', '0', '25.9672', '-42.8981', '-66.9122', '44', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4405', '3', '733398', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '22.9371', '-38.8113', '-36.0893', '55', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4406', '3', '733397', 'object/mobile/dressed_feral_marauder.iff', '0', '0', '0', '0', '14.1267', '-22.4775', '-7.35934', '44', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4407', '3', '733398', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '44.649', '-47.1953', '-10.6195', '55', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4408', '3', '733399', 'object/mobile/dressed_blood_crazed_plains_marauder.iff', '0', '0', '0', '0', '92.9065', '-63.1154', '-23.3776', '56', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4409', '3', '733399', 'object/mobile/dressed_feral_marauder.iff', '0', '0', '0', '0', '75.4411', '-69.034', '-40.6543', '44', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4410', '3', '733400', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '68.4084', '-76.1797', '-67.178', '55', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4411', '3', '733400', 'object/mobile/dressed_wandering_desert_marauder.iff', '0', '0', '0', '0', '92.337', '-76.0671', '-71.8919', '55', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4412', '3', '733402', 'object/mobile/dressed_feral_marauder.iff', '0', '0', '0', '0', '61.5656', '-66.1807', '-135.937', '44', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4413', '3', '733403', 'object/mobile/dressed_blood_crazed_plains_marauder.iff', '0', '0', '0', '0', '91.7436', '-67.0289', '-135.848', '56', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4414', '3', '733404', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '113.687', '-66.9011', '-95.735', '55', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4415', '3', '733404', 'object/mobile/dressed_wandering_desert_marauder.iff', '0', '0', '0', '0', '115.952', '-66.438', '-127.468', '55', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4416', '3', '733404', 'object/mobile/dressed_blood_crazed_plains_marauder.iff', '0', '0', '0', '0', '151.297', '-65.8294', '-97.7587', '56', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4417', '3', '733405', 'object/mobile/dressed_grassland_blood_marauder.iff', '0', '0', '0', '0', '186.872', '-66.0775', '-100.049', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4418', '4', '0', 'object/mobile/dressed_commoner_tatooine_trandoshan_female_02.iff', '0', '-0.149796', '0', '0.988717', '356.668', '12.0208', '4918.65', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4419', '4', '0', 'object/mobile/dressed_commoner_naboo_zabrak_female_02.iff', '0', '-0.594285', '0', '0.804255', '360.315', '11.9448', '4966.58', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4420', '4', '0', 'object/mobile/dressed_nym_technician_2.iff', '-0.0105631', '0.271881', '0.00298451', '0.962268', '374.599', '11.9876', '4986.77', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4421', '4', '0', 'object/mobile/dressed_nym_guard_elite_rod_m.iff', '0', '0.899093', '0', '-0.437757', '381.62', '11.9928', '5013.95', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4422', '4', '0', 'object/mobile/dressed_nym_guard_weak_nikto_m.iff', '0', '0.44517', '0', '0.895446', '405.535', '12.5279', '5032.45', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4423', '4', '2745876', 'object/mobile/dressed_commoner_tatooine_rodian_male_04.iff', '1.34383e-05', '-6.00164e-05', '8.06521e-10', '1', '4.19353', '13.5019', '7.65925', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4424', '4', '2745876', 'object/mobile/zabrak_male.iff', '-6.00278e-10', '1', '1.3005e-05', '4.61573e-05', '4.19353', '13.5019', '8.75924', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4425', '4', '2745876', 'object/mobile/dressed_commoner_naboo_twilek_female_01.iff', '0', '-7.36752e-05', '0', '1', '29.5658', '13.25', '9.61881', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4426', '4', '2745876', 'object/mobile/dressed_commoner_naboo_human_male_04.iff', '0', '1', '0', '3.29417e-05', '29.5658', '13.25', '10.7188', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4427', '4', '2745876', 'object/mobile/dressed_noble_fat_twilek_female_01.iff', '0', '0.923871', '0', '0.382705', '28.4658', '13.25', '10.7188', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4428', '4', '2745876', 'object/mobile/dressed_criminal_thug_aqualish_female_02.iff', '-4.33454e-07', '0.00038142', '1.65328e-10', '1', '32.2156', '14.26', '-9.06471', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4429', '4', '2745876', 'object/mobile/dressed_doctor_trainer_moncal_female_01.iff', '1.86366e-10', '1', '4.33434e-07', '-0.000429975', '32.2166', '14.26', '-7.96455', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4430', '4', '2745876', 'object/mobile/dressed_criminal_slicer_human_female_01.iff', '-2.34549e-07', '0.923974', '5.66646e-07', '0.382456', '31.1166', '14.26', '-7.96455', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4431', '4', '2745876', 'object/mobile/dressed_mercenary_messanger_sullustan_m.iff', '-2.83229e-07', '0.382656', '1.17307e-07', '0.923891', '31.1166', '14.26', '-9.06455', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4432', '4', '2745876', 'object/mobile/dressed_commoner_tatooine_aqualish_male_05.iff', '0', '0.476377', '0', '0.879241', '16.74', '14.26', '-2.05184', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4433', '4', '2745876', 'object/mobile/dressed_bountyhunter_trainer_03.iff', '0', '-0.619727', '0', '0.784817', '16.74', '14.26', '-0.951844', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4434', '4', '2745876', 'object/mobile/dressed_criminal_thug_rodian_female_01.iff', '0', '-0.474665', '0', '0.880167', '15.64', '14.26', '-0.951844', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4435', '4', '2745874', 'object/mobile/rodian_female.iff', '4.33501e-07', '-5.37569e-05', '2.33037e-11', '1', '32.2502', '7.25', '-2.56477', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4436', '4', '2745874', 'object/mobile/dressed_commoner_tatooine_bith_male_03.iff', '2.33044e-11', '1', '-4.33495e-07', '5.37594e-05', '32.2502', '7.25', '-1.46477', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4437', '4', '2745874', 'object/mobile/dressed_commoner_tatooine_bith_female_06.iff', '4.33498e-07', '6.99841e-06', '-3.03379e-12', '1', '31.1714', '7.25', '11.2841', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4438', '4', '2745874', 'object/mobile/dressed_rebel_trooper_twk_female_01.iff', '-4.69931e-11', '1', '-4.33476e-07', '-0.00010841', '31.1714', '7.25', '12.3841', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4439', '4', '2745874', 'object/mobile/dressed_entertainer_trainer_twk_male_01.iff', '1.17295e-07', '0.923903', '-2.83224e-07', '0.382627', '30.0714', '7.25', '12.3841', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4440', '4', '2745872', 'object/mobile/dressed_artisan_trainer_02.iff', '-4.33472e-07', '2.28848e-05', '9.91991e-12', '1', '0.856204', '7.26', '-13.2226', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4441', '4', '2745872', 'object/mobile/dressed_commoner_tatooine_bith_male_01.iff', '3.748e-11', '1', '4.33477e-07', '-8.64636e-05', '0.856204', '7.26', '-12.1226', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4442', '4', '2745872', 'object/mobile/dressed_eisley_officer_bothan_male_01.iff', '-1.17296e-07', '0.923899', '2.83217e-07', '0.382638', '-0.243796', '7.26', '-12.1226', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4443', '4', '2745872', 'object/mobile/dressed_criminal_pirate_human_female_01.iff', '2.16749e-07', '-3.83854e-05', '8.32e-12', '1', '3.95102', '7.26', '8.48572', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4444', '4', '2745872', 'object/mobile/dressed_criminal_thug_aqualish_male_02.iff', '1.47005e-11', '1', '-2.16749e-07', '6.78228e-05', '3.95102', '7.26', '9.58572', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4445', '4', '2745870', 'object/mobile/dressed_commoner_tatooine_aqualish_female_05.iff', '-1.08371e-07', '-2.17388e-05', '-2.35585e-12', '1', '-13.7191', '0.26', '-10.4865', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4446', '4', '2745870', 'object/mobile/dressed_commoner_artisan_bith_male_01.iff', '-9.16554e-12', '1', '1.08378e-07', '8.45699e-05', '-13.7191', '0.26', '-9.38652', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4447', '4', '2745870', 'object/mobile/dressed_mercenary_elite_medic_human_male_01.iff', '-1.49012e-07', '-2.63691e-05', '-3.92931e-12', '1', '-13.3486', '0.26', '5.66362', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4448', '4', '2745870', 'object/mobile/dressed_criminal_smuggler_human_male_01.iff', '-1.07503e-11', '1', '1.35471e-07', '7.93547e-05', '-13.3486', '0.26', '6.76362', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4449', '4', '2745870', 'object/mobile/dressed_commoner_fat_twilek_male_02.iff', '-3.66589e-08', '0.92386', '8.84898e-08', '0.38273', '-14.4486', '0.26', '6.76362', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4450', '4', '2745870', 'object/mobile/dressed_commoner_tatooine_bith_female_06.iff', '-1.49009e-07', '1.29936e-05', '1.93616e-12', '1', '-24.5603', '0.26', '-1.63238', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4451', '4', '2745870', 'object/mobile/dressed_noble_old_zabrak_male_01.iff', '1.56447e-11', '1', '1.62551e-07', '-9.62447e-05', '-24.5603', '0.26', '-0.532375', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4452', '4', '2745870', 'object/mobile/dressed_eisley_officer_bothan_male_01.iff', '-4.3985e-08', '0.923902', '1.06207e-07', '0.38263', '-25.6603', '0.26', '-0.532375', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4453', '4', '2745870', 'object/mobile/dressed_commoner_artisan_trandoshan_male_01.iff', '-1.35461e-07', '1.82339e-05', '2.46998e-12', '1', '-29.0395', '0.26', '8.63541', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4454', '4', '2745870', 'object/mobile/dressed_doctor_trainer_moncal_male_01.iff', '1.10995e-11', '1', '1.21915e-07', '-9.1043e-05', '-29.0395', '0.26', '9.73541', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4455', '4', '2745870', 'object/mobile/dressed_entertainer_trainer_twk_male_01.iff', '-0.000244769', '0.9239', '0.000591014', '0.382634', '-30.1395', '0.25801', '9.73541', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4456', '4', '2745870', 'object/mobile/dressed_criminal_thug_human_female_02.iff', '-0.000279012', '0.382684', '0.000115571', '0.923879', '-30.1395', '0.259061', '8.63541', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4457', '4', '2745870', 'object/mobile/21b_surgical_droid.iff', '0', '0.984425', '0', '0.175807', '-25.52', '0.26', '-3.48', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4458', '4', '2745866', 'object/mobile/dressed_rebel_trooper_human_male_01.iff', '-1.35469e-07', '-9.88243e-05', '-1.33877e-11', '1', '14.5598', '0.26', '3.77176', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4459', '4', '2745866', 'object/mobile/dressed_combatmedic_trainer_rodian_male_01.iff', '-9.97204e-13', '1', '1.35467e-07', '7.36123e-06', '14.5598', '0.26', '4.87176', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4460', '4', '2745866', 'object/mobile/dressed_bountyhunter_trainer_02.iff', '-1.21922e-07', '-4.94721e-05', '-6.03174e-12', '1', '29.0555', '0.26', '7.22789', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4461', '4', '2745866', 'object/mobile/dressed_commoner_tatooine_aqualish_female_05.iff', '-6.86918e-12', '1', '1.2192e-07', '5.63415e-05', '29.0555', '0.26', '8.32789', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4462', '4', '2745866', 'object/mobile/dressed_criminal_assassin_human_female_01.iff', '-1.35463e-07', '3.72799e-05', '5.05006e-12', '1', '10.5837', '0.26', '-8.17547', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4463', '4', '2745866', 'object/mobile/dressed_commoner_naboo_zabrak_female_02.iff', '9.74807e-12', '1', '1.35459e-07', '-7.19635e-05', '10.5837', '0.26', '-7.07547', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4464', '4', '2745866', 'object/mobile/dressed_robber_human_female_01.iff', '-3.66541e-08', '0.923898', '8.85028e-08', '0.382639', '9.48372', '0.26', '-7.07547', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4465', '4', '2745866', 'object/mobile/dressed_criminal_slicer_human_female_01.iff', '-8.84924e-08', '0.382698', '3.66564e-08', '0.923874', '9.48372', '0.26', '-8.17547', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4466', '4', '0', 'object/mobile/dressed_commoner_old_zabrak_female_02.iff', '0', '-0.466626', '0', '0.884455', '522.568', '11.8075', '4964.65', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4467', '4', '0', 'object/mobile/dressed_nym_guard_elite_rod_m.iff', '0', '0.557339', '0', '0.830285', '437.698', '12.5279', '5025.38', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4468', '4', '0', 'object/mobile/dressed_nym_guard_elite_hum_m.iff', '0', '0.899088', '0', '-0.437768', '381.4', '11.9939', '5015.13', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4469', '4', '0', 'object/mobile/dressed_nym_guard_strong_hum_m.iff', '0', '0.445285', '0', '0.895389', '406.16', '12.5279', '5031.63', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4470', '4', '0', 'object/mobile/dressed_nym_technician_3.iff', '0', '0.820593', '0', '-0.571512', '481.309', '23', '4961.29', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4471', '4', '0', 'object/mobile/junk_reggi.iff', '0', '0.573484', '0', '0.819217', '443.925', '12', '4879.41', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4472', '4', '0', 'object/mobile/dressed_nym_guard_elite_hum_m.iff', '0', '-0.600092', '0', '0.799931', '384.094', '11.9992', '4996.7', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4473', '4', '0', 'object/mobile/dressed_nym_guard_strong_rod_m.iff', '0', '-0.599905', '0', '0.800071', '406.311', '11.8705', '4991.53', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4474', '4', '0', 'object/mobile/dressed_nym_guard_elite_nikto_m.iff', '0', '-0.234434', '0', '0.972132', '405.535', '12.5279', '5032.45', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4475', '4', '0', 'object/mobile/dressed_nym_guard_elite_nikto_m.iff', '0', '0.830304', '0', '-0.55731', '435.932', '12.5279', '5024.65', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4476', '4', '0', 'object/mobile/dressed_nym_guard_elite_rod_m.iff', '0', '0.557323', '0', '0.830296', '438.415', '12.5279', '5024.61', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4477', '4', '0', 'object/mobile/dressed_nym_guard_strong_rod_m.iff', '0', '0.951', '0', '-0.30919', '350.446', '12.0004', '4975.94', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4478', '4', '0', 'object/mobile/dressed_nym_guard_weak_rod_m.iff', '0', '0.171244', '0', '0.985229', '348.219', '12.1248', '4940.84', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4479', '4', '0', 'object/mobile/dressed_criminal_slicer_human_male_01.iff', '0', '0', '0', '1', '391.143', '12', '5056.74', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4480', '4', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_03.iff', '0', '1', '0', '0', '391.143', '12', '5057.74', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4481', '4', '0', 'object/mobile/dressed_nym_guard_weak_nikto_m.iff', '0', '-0.0285007', '0', '0.999594', '343.53', '12.5909', '4902.71', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4482', '4', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_09.iff', '0', '0.749387', '0', '0.662132', '342.313', '11.9993', '5024.26', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4483', '4', '0', 'object/mobile/dressed_nym_surveyer_rod_f.iff', '-1.8156e-09', '0.999764', '-0.0217341', '-3.94697e-11', '484.493', '11.9154', '5091.56', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4484', '4', '0', 'object/mobile/dressed_commoner_fat_human_female_02.iff', '-0.0217341', '0', '0', '0.999764', '484.493', '11.8719', '5090.56', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4485', '4', '0', 'object/mobile/dressed_commoner_tatooine_bith_male_02.iff', '0', '-0.204421', '0', '0.978883', '372.58', '12.0976', '5003.43', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4486', '4', '0', 'object/mobile/dressed_nym_guard_weak_hum_m.iff', '0', '0.122642', '0', '0.992451', '331.611', '11.9777', '4898.94', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4487', '4', '0', 'object/mobile/dressed_nym_guard_strong_nikto_m.iff', '0', '-0.0897886', '0', '0.995961', '334.572', '11.9605', '4892.89', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4488', '4', '0', 'object/mobile/dressed_nym_guard_elite_nikto_m.iff', '0', '-0.6354', '0', '0.772183', '393.078', '12.5279', '5032.98', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4489', '4', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_02.iff', '0', '0.945513', '0', '-0.325583', '280.329', '11.9265', '5027.91', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4490', '4', '0', 'object/mobile/dressed_doctor_trainer_moncal_male_01.iff', '0', '-0.374816', '0', '0.927099', '363.384', '11.8774', '5104.73', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4491', '4', '0', 'object/mobile/dressed_commoner_tatooine_trandoshan_female_02.iff', '0.0870703', '-0.00951469', '-0.140852', '0.986149', '429.839', '13', '5136.92', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4492', '4', '0', 'object/mobile/dressed_commoner_naboo_twilek_female_01.iff', '0', '0.832741', '0', '0.553662', '449.967', '12', '5141.31', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4493', '4', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_04.iff', '0', '0.679214', '0', '0.733941', '285.432', '11.9758', '5117.33', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4494', '4', '0', 'object/mobile/dressed_commoner_naboo_human_female_02.iff', '0', '0.446457', '0', '0.894805', '371.229', '12.06', '5167.84', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4495', '4', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_03.iff', '0', '0.204588', '0', '0.978848', '462.534', '11.8294', '5148.35', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4496', '4', '0', 'object/mobile/dressed_herald_lok_01.iff', '0', '-0.599024', '0', '0.800731', '371.717', '11.8618', '5179.1', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4497', '4', '8145362', 'object/mobile/dressed_mercenary_weak_hum_m.iff', '1.08395e-07', '3.42724e-06', '-3.71497e-13', '1', '-23.8096', '1.6', '-6.26968', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4498', '4', '8145362', 'object/mobile/dressed_artisan_trainer_01.iff', '3.80038e-13', '1', '-1.08387e-07', '3.5063e-06', '-23.8096', '1.6', '-5.16968', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4499', '4', '8145357', 'object/mobile/dressed_commoner_naboo_twilek_male_02.iff', '-1.62562e-07', '-5.15814e-06', '-8.3852e-13', '1', '19.6068', '1.28309', '-15.5961', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4500', '4', '8145357', 'object/mobile/dressed_eisley_officer_bothan_male_01.iff', '8.3979e-13', '1', '1.62539e-07', '-5.16669e-06', '19.6068', '1.28309', '-14.4961', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4501', '4', '8145357', 'object/mobile/dressed_commoner_naboo_twilek_male_01.iff', '-1.0836e-07', '-4.3316e-06', '-4.69374e-13', '1', '19.8783', '1.28309', '8.0449', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4502', '4', '8145357', 'object/mobile/dressed_commoner_old_zabrak_male_01.iff', '6.96844e-13', '1', '1.62561e-07', '-4.28666e-06', '19.8783', '1.28309', '9.1449', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4503', '4', '8145357', 'object/mobile/dressed_eisley_officer_bothan_male_01.iff', '-4.39887e-08', '0.923879', '1.06197e-07', '0.382686', '18.7783', '1.28309', '9.1449', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4504', '4', '8145361', 'object/mobile/space_rebel_tier4_warvog.iff', '0', '-0.560509', '0', '0.828148', '-12.1246', '1.6', '-16.3553', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4505', '4', '8145356', 'object/mobile/dressed_combatmedic_trainer_human_male_01.iff', '8.39759e-07', '-2.29032e-06', '1.92332e-12', '1', '-1.26922', '1', '-2.0738', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4506', '4', '8145356', 'object/mobile/dressed_criminal_thug_zabrak_female_01.iff', '1.74458e-12', '1', '7.5865e-07', '-2.29958e-06', '-1.26922', '0.999998', '-0.973796', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4507', '4', '8145356', 'object/mobile/dressed_commoner_old_twilek_male_02.iff', '-3.25077e-07', '5.85534e-06', '1.90343e-12', '1', '6.78896', '1.00001', '8.59957', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4508', '4', '8145356', 'object/mobile/dressed_entertainer_trainer_twk_female_01.iff', '2.22199e-12', '1', '-3.79315e-07', '5.8579e-06', '6.78896', '1.00001', '9.69957', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4509', '4', '8145356', 'object/mobile/dressed_criminal_thug_aqualish_female_01.iff', '-5.41958e-07', '-2.17574e-06', '-1.17916e-12', '1', '5.37638', '1', '-8.18525', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4510', '4', '8145356', 'object/mobile/dressed_hutt_medic1_zabrak_female_01.iff', '-7.0688e-13', '1', '-3.25173e-07', '-2.17385e-06', '5.37638', '1.00001', '-7.08525', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4511', '4', '8145356', 'object/mobile/dressed_criminal_thug_human_male_01.iff', '2.9331e-08', '0.923863', '-7.08026e-08', '0.382723', '4.27638', '1.00001', '-7.08525', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4512', '4', '8145356', 'object/mobile/dressed_commoner_tatooine_bith_male_05.iff', '4.19854e-06', '1.75657e-06', '-7.37502e-12', '1', '-2.27845', '0.999959', '6.45641', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4513', '4', '8145356', 'object/mobile/dressed_commoner_naboo_human_female_05.iff', '-7.83019e-12', '1', '4.49798e-06', '1.74082e-06', '-2.27845', '0.999949', '7.55641', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4514', '4', '8145356', 'object/mobile/dressed_criminal_thug_bothan_male_01.iff', '-1.52512e-06', '0.923868', '3.68164e-06', '0.382712', '-3.37845', '0.999947', '7.55641', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4515', '4', '8145356', 'object/mobile/dressed_criminal_assassin_human_male_01.iff', '1.98216e-06', '0.382636', '-8.20919e-07', '0.923899', '-3.37845', '0.999956', '6.45641', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4516', '4', '8145358', 'object/mobile/dressed_ruffian_zabrak_female_01.iff', '0.000501075', '4.38457e-06', '-2.197e-09', '1', '-23.1849', '1.58923', '0.850721', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4517', '4', '8145358', 'object/mobile/dressed_noble_human_female_04.iff', '-8.73767e-10', '1', '0.000500835', '1.74462e-06', '-23.1848', '1.58812', '1.95072', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4518', '4', '8145358', 'object/mobile/dressed_doctor_trainer_human_female_01.iff', '-4.04826e-05', '-1.73547e-06', '-7.02565e-11', '1', '-10.445', '1', '-3.99877', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4519', '4', '8145358', 'object/mobile/dressed_commoner_naboo_human_male_06.iff', '-6.9238e-11', '1', '-4.04315e-05', '-1.71248e-06', '-10.445', '1.00009', '-2.89877', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4520', '4', '8145358', 'object/mobile/dressed_commoner_tatooine_aqualish_female_01.iff', '2.65897e-05', '0.923859', '-6.41835e-05', '0.382733', '-11.545', '1.00022', '-2.89877', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4521', '4', '8145358', 'object/mobile/dressed_eisley_officer_bothan_female_01.iff', '-2.6409e-05', '0.382715', '1.094e-05', '0.923867', '-11.545', '1', '-3.99877', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4522', '4', '8145358', 'object/mobile/dressed_commoner_naboo_human_female_02.iff', '-9.63576e-05', '5.63071e-06', '5.42562e-10', '1', '-14.6521', '1.0008', '7.50857', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4523', '4', '8145358', 'object/mobile/dressed_noble_old_twk_male_02.iff', '5.47229e-10', '1', '-9.63621e-05', '5.67888e-06', '-14.6521', '1.00101', '8.60857', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4524', '4', '8145358', 'object/mobile/dressed_criminal_slicer_human_male_01.iff', '5.1404e-05', '0.923859', '-0.000124082', '0.382732', '-15.7521', '1.00122', '8.60857', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4525', '4', '0', 'object/mobile/dressed_nym_guard_strong_hum_m.iff', '0', '0.755744', '0', '0.654867', '537.325', '11.9367', '5112.7', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4526', '4', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_04.iff', '0', '0.895659', '0', '0.444742', '462.685', '11.9861', '5192.39', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4527', '4', '0', 'object/mobile/dressed_nym_guard_strong_hum_m.iff', '0', '-0.382806', '0', '0.923829', '539.299', '11.9604', '5112.16', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4528', '4', '0', 'object/mobile/dressed_nym_guard_elite_hum_m.iff', '0', '0.765591', '0', '0.643328', '537.297', '11.9374', '5112.7', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4529', '4', '0', 'object/mobile/dressed_nym_guard_weak_nikto_m.iff', '0', '0.807292', '0', '-0.590153', '537.641', '11.9565', '5110.93', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4530', '4', '0', 'object/mobile/dressed_commoner_old_human_female_02.iff', '0', '0.90575', '0', '-0.423811', '535.709', '11.9925', '5135.86', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4531', '4', '0', 'object/mobile/dressed_commoner_naboo_human_male_04.iff', '0', '0.894623', '0', '0.446821', '545.596', '11.959', '5081.45', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4532', '4', '0', 'object/mobile/dressed_nym_guard_weak_rod_m.iff', '0', '-0.103701', '0', '0.994609', '538.921', '12.0463', '5125.2', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4533', '4', '0', 'object/mobile/dressed_nym_guard_strong_hum_m.iff', '0', '-0.103296', '0', '0.994651', '540.129', '12.073', '5124.46', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4534', '4', '0', 'object/mobile/dressed_crook_zabrak_male_01.iff', '0', '0.98448', '0', '0.175497', '525.319', '11.8584', '5156.53', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4535', '4', '0', 'object/mobile/dressed_combatmedic_trainer_human_male_01.iff', '0', '0', '0', '1', '552.494', '11.89', '5110.84', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4536', '4', '0', 'object/mobile/dressed_rebel_specforce_pathfinder_human_male_01.iff', '0', '1', '0', '0', '552.494', '11.89', '5111.84', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4537', '4', '8145389', 'object/mobile/dressed_commoner_old_twilek_female_02.iff', '0', '0.688355', '0', '0.725374', '-36.21', '0.10501', '-13.93', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4538', '4', '8145388', 'object/mobile/han_solo.iff', '0', '0.382683', '0', '0.92388', '-30.2', '-0.519991', '7.24', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4539', '4', '8145388', 'object/mobile/chewbacca.iff', '0', '0.104528', '0', '0.994522', '-28.48', '-0.519991', '5.87', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4540', '4', '8145387', 'object/mobile/dressed_villain_trandoshan_male_01.iff', '-5.41897e-08', '-2.07771e-05', '-1.1259e-12', '1', '-24.251', '-0.894991', '22.5325', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4541', '4', '8145387', 'object/mobile/dressed_commoner_artisan_sullustan_male_01.iff', '-3.72951e-12', '1', '8.12876e-08', '4.58804e-05', '-24.251', '-0.894991', '23.6325', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4542', '4', '8145383', 'object/mobile/dressed_noble_old_human_male_01.iff', '0', '0.104528', '0', '0.994522', '-13.19', '-0.894991', '-20.28', '15', 'npc_sitting_chair', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4543', '4', '8145382', 'object/mobile/dressed_noble_fat_human_female_02.iff', '5.4179e-08', '5.22129e-05', '-2.82884e-12', '1', '5.94117', '-0.894992', '20.6966', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4544', '4', '8145382', 'object/mobile/dressed_mercenary_messanger_hum_f.iff', '-9.16669e-13', '1', '-5.41834e-08', '-1.69179e-05', '5.94117', '-0.894992', '21.7966', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4545', '4', '8145382', 'object/mobile/dressed_criminal_slicer_human_female_01.iff', '1.46618e-08', '0.923887', '-3.53988e-08', '0.382664', '4.84117', '-0.894992', '21.7966', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4546', '4', '8145382', 'object/mobile/dressed_noble_bothan_male_01.iff', '3.53947e-08', '0.382677', '-1.46607e-08', '0.923882', '4.84117', '-0.894992', '20.6966', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4547', '4', '8145381', 'object/mobile/dressed_commoner_fat_twilek_female_01.iff', '0', '-0.66262', '0', '0.748956', '11.63', '-0.894992', '-16.56', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4548', '4', '8145381', 'object/mobile/dressed_criminal_slicer_human_male_01.iff', '5.41795e-08', '4.04107e-05', '-2.18943e-12', '1', '1.83273', '-0.894992', '-15.3461', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4549', '4', '8145381', 'object/mobile/dressed_nym_surveyer_rod_m.iff', '-1.55971e-12', '1', '-5.41829e-08', '-2.87859e-05', '1.83273', '-0.894992', '-14.2461', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4550', '4', '8145380', 'object/mobile/dressed_commoner_tatooine_sullustan_male_02.iff', '0', '0.700909', '0', '0.71325', '12.82', '-0.894992', '21.49', '15', 'npc_sitting_chair', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4551', '4', '8145380', 'object/mobile/dressed_commoner_fat_twilek_female_02.iff', '0', '0.638118', '0', '0.769939', '18.1642', '-0.894992', '19.3991', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4552', '4', '8145378', 'object/mobile/dressed_commoner_tatooine_aqualish_male_09.iff', '0', '0.287585', '0', '0.957755', '-11.2794', '-0.894992', '1.36624', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4553', '4', '8145378', 'object/mobile/dressed_commoner_tatooine_trandoshan_male_02.iff', '2.70917e-08', '1.38356e-05', '-3.74832e-13', '1', '23.1893', '-0.894994', '8.7231', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4554', '4', '8145378', 'object/mobile/dressed_mercenary_messanger_hum_f.iff', '-5.98763e-12', '1', '-1.35445e-07', '-4.42071e-05', '23.1893', '-0.894993', '9.8231', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4555', '4', '8145378', 'object/mobile/dressed_nym_surveyer_hum_m.iff', '-2.43838e-07', '-5.63472e-06', '-1.37396e-12', '1', '-2.13049', '-0.894991', '6.9956', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4556', '4', '8145378', 'object/mobile/dressed_commoner_tatooine_sullustan_male_01.iff', '1.66874e-11', '1', '-2.70976e-07', '6.15827e-05', '-2.13049', '-0.894991', '8.0956', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4557', '4', '8145378', 'object/mobile/dressed_doctor_trainer_human_female_01.iff', '8.06605e-08', '0.923852', '-1.94692e-07', '0.382751', '-3.23049', '-0.894991', '8.0956', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4558', '4', '8145378', 'object/mobile/dressed_goon_twk_male_01.iff', '2.70937e-08', '-3.89779e-06', '1.05605e-13', '1', '-4.95629', '-0.894992', '-6.53149', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4559', '4', '8145378', 'object/mobile/dressed_criminal_slicer_human_female_01.iff', '5.14649e-12', '1', '-8.1291e-08', '6.33095e-05', '-4.95629', '-0.894992', '-5.43149', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4560', '4', '8145378', 'object/mobile/dressed_combatmedic_trainer_human_female_01.iff', '-1.89634e-07', '2.86165e-05', '5.42667e-12', '1', '25.7848', '-0.894993', '-9.85091', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4561', '4', '8145378', 'object/mobile/dressed_mercenary_weak_hum_f.iff', '3.9943e-12', '1', '1.35451e-07', '-2.94889e-05', '25.7848', '-0.894993', '-8.75091', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4562', '4', '8145378', 'object/mobile/dressed_mercenary_messanger_hum_m.iff', '9.52954e-08', '0.923895', '-2.3009e-07', '0.382645', '24.6848', '-0.894992', '-8.75091', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4563', '4', '8145378', 'object/mobile/dressed_noble_human_female_02.iff', '-2.70888e-08', '6.26143e-05', '1.69614e-12', '1', '7.54821', '-0.894991', '-8.57564', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4564', '4', '8145378', 'object/mobile/dressed_commoner_tatooine_aqualish_female_07.iff', '7.22414e-13', '1', '1.0837e-07', '-6.6662e-06', '7.54821', '-0.894991', '-7.47564', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4565', '4', '8145378', 'object/mobile/dressed_commoner_artisan_trandoshan_male_01.iff', '-5.13179e-08', '0.923883', '1.23896e-07', '0.382675', '6.44821', '-0.894991', '-7.47564', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4566', '4', '8145378', 'object/mobile/dressed_commoner_fat_human_male_01.iff', '-1.23879e-07', '0.382676', '5.1311e-08', '0.923883', '6.44821', '-0.894991', '-8.57564', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4567', '4', '8145376', 'object/mobile/dressed_commoner_tatooine_trandoshan_male_02.iff', '-5.08327e-08', '0.000707919', '3.59854e-11', '1', '43.6314', '0.104999', '0.264886', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4568', '4', '8145376', 'object/mobile/dressed_commoner_old_human_female_02.iff', '3.76583e-11', '1', '5.08309e-08', '-0.000740855', '43.6331', '0.104999', '1.36432', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4569', '4', '8145384', 'object/mobile/dressed_patron_sullustan_01.iff', '0', '0.642788', '0', '0.766044', '-12.12', '-0.894992', '23.08', '15', 'npc_sitting_chair', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4570', '4', '8145384', 'object/mobile/dressed_criminal_slicer_human_male_01.iff', '-9.7522e-07', '4.83641e-05', '4.71656e-11', '1', '-5.72977', '-0.894996', '21.8507', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4571', '4', '8145384', 'object/mobile/dressed_entertainer_trainer_twk_female_01.iff', '-1.46555e-11', '1', '-7.04385e-07', '-2.08061e-05', '-5.72977', '-0.894994', '22.9507', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4572', '4', '8145384', 'object/mobile/dressed_entertainer_trainer_twk_male_01.iff', '1.75942e-07', '0.923888', '-4.24788e-07', '0.382663', '-6.82977', '-0.894994', '22.9507', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4573', '4', '8145379', 'object/mobile/dressed_mercenary_messanger_hum_m.iff', '-8.12702e-08', '3.81827e-05', '3.10311e-12', '1', '18.2791', '-0.894996', '-14.4794', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4574', '4', '8145379', 'object/mobile/dressed_entertainer_trainer_twk_female_01.iff', '2.25277e-12', '1', '1.08363e-07', '-2.07892e-05', '18.2791', '-0.894996', '-13.3794', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4575', '4', '8145379', 'object/mobile/space_privateer_tier3_ramna.iff', '1.85208e-07', '0.175155', '-5.6445e-08', '0.984541', '19.5548', '-0.894995', '-20.1381', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4576', '4', '0', 'object/mobile/dressed_nym_guard_weak_hum_m.iff', '0', '0.181608', '0', '0.983371', '550.868', '11.8339', '5164.56', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4577', '4', '0', 'object/mobile/dressed_nym_guard_elite_rod_m.iff', '0', '0.0892177', '0', '0.996012', '550.517', '11.7979', '5167.25', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4578', '4', '0', 'object/mobile/dressed_commoner_tatooine_sullustan_male_02.iff', '0', '0.793464', '0', '0.608618', '514.113', '11.4851', '5196.38', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4579', '4', '0', 'object/mobile/dressed_commoner_fat_zabrak_male_01.iff', '0', '0.372548', '0', '0.928013', '562.914', '11.8302', '5171.75', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4580', '4', '0', 'object/mobile/dressed_mercenary_weak_hum_m.iff', '0', '0', '0', '1', '432.639', '12', '5218.48', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4581', '4', '0', 'object/mobile/dressed_imperial_officer_m_4.iff', '0', '1', '0', '0', '432.639', '12', '5219.48', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4582', '4', '0', 'object/mobile/3po_protocol_droid.iff', '0.017508', '0.965139', '-0.0669411', '0.252426', '630', '12.7003', '5055', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4583', '4', '0', 'object/mobile/dressed_commoner_tatooine_bith_female_01.iff', '0', '0.921588', '0', '-0.38817', '618.591', '11.8421', '5013.77', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4584', '4', '0', 'object/mobile/dressed_herald_lok_02.iff', '0', '-0.153594', '0', '0.988134', '221.864', '17.0919', '5154.99', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4585', '4', '0', 'object/mobile/dressed_commoner_tatooine_bith_male_06.iff', '0', '0.924801', '0', '0.380451', '332.33', '12.0215', '5159.29', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4586', '4', '0', 'object/mobile/dressed_nym_guard_weak_nikto_m.iff', '0', '0.808327', '0', '0.588734', '324.077', '12.0596', '5051.55', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4587', '4', '0', 'object/mobile/dressed_criminal_thug_aqualish_male_01.iff', '0', '0.926325', '0', '0.376724', '221.718', '11.9626', '4987.57', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4588', '4', '0', 'object/mobile/dressed_hoodlum_zabrak_female_01.iff', '0', '0.725414', '0', '-0.688312', '226.672', '12.0826', '4954.08', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4589', '4', '6595518', 'object/mobile/dressed_nym_pirate_elite_rod_m.iff', '0', '0.694658', '0', '0.71934', '37.49', '2.29422', '-1.17', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4590', '4', '6595518', 'object/mobile/dressed_nym_pirate_elite_hum_m.iff', '0', '0.694658', '0', '0.71934', '36.71', '2.29422', '-2.92', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4591', '4', '6595518', 'object/mobile/dressed_nym_pirate_weak_hum_f.iff', '0', '0.694658', '0', '0.71934', '33.5', '2.29422', '-2.2', '15', 'npc_sitting_chair', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4592', '4', '6595518', 'object/mobile/dressed_nym_pirate_weak_nikto_m.iff', '0', '0.694658', '0', '0.71934', '33.65', '2.29422', '-3.4', '15', 'npc_sitting_chair', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4593', '4', '6595518', 'object/mobile/dressed_nym_pirate_strong_nikto_m.iff', '0', '0.515038', '0', '0.857167', '34.79', '2.29422', '-5.1', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4594', '4', '6595515', 'object/mobile/dressed_nym_bodyguard_hum_f.iff', '0', '0.178261', '0', '0.983983', '-28.92', '2.29545', '0.72999', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4595', '4', '6595514', 'object/mobile/dressed_nym_technician_1.iff', '-3.08693e-05', '0.0339734', '-0.000907519', '0.999422', '-23.9332', '4.22324', '-37.5265', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4596', '4', '6595511', 'object/mobile/nym.iff', '0', '-0.0348995', '0', '0.999391', '-0.06', '3.27819', '-22.9', '15', 'npc_sitting_chair', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4597', '4', '6595511', 'object/mobile/kole.iff', '0.0015509', '0.976206', '-0.00698576', '0.216727', '-1.83002', '3.33806', '-19.11', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4598', '4', '6595511', 'object/mobile/jinkins.iff', '-0.0828946', '0.826792', '0.123331', '0.542524', '3.07003', '3.29302', '-21.31', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4599', '4', '6595511', 'object/mobile/kusak_hue.iff', '0', '0.333807', '0', '0.942641', '-3.62', '3.27819', '-25.44', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4600', '4', '6595511', 'object/mobile/kusak_hue.iff', '0', '-0.300706', '0', '0.953717', '3.62', '3.27819', '-25.44', '15', 'bored', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4601', '4', '6595511', 'object/mobile/space_privateer_tier4_naboo_diness.iff', '0', '0.933839', '0', '0.357693', '-2.2483', '4.0782', '-10.4691', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4602', '4', '6595511', 'object/mobile/dressed_nym_guard_elite_hum_m.iff', '0', '-0.00872651', '0', '0.999962', '3.12', '4.0782', '-9.55', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4603', '4', '6595511', 'object/mobile/dressed_nym_guard_elite_hum_m.iff', '0', '-0.00872652', '0', '0.999962', '-3.1239', '4.0782', '-9.55698', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4604', '4', '6595511', 'object/mobile/dressed_nym_guard_elite_nikto_m.iff', '0', '0', '0', '1', '1.98', '8.9', '-30.5', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4605', '4', '6595511', 'object/mobile/dressed_nym_guard_elite_nikto_m.iff', '0', '-1.90723e-08', '0', '1', '-1.91', '8.9', '-30.5', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4606', '4', '6595511', 'object/mobile/dressed_nym_guard_strong_nikto_m.iff', '0', '0.999848', '0', '0.0174524', '-18.91', '2.29916', '9.74', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4607', '4', '6595511', 'object/mobile/dressed_nym_guard_weak_hum_m.iff', '0', '0.999962', '0', '-0.00872644', '18.98', '2.29948', '10.51', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4608', '4', '6595511', 'object/mobile/dressed_nym_guard_weak_hum_f.iff', '0', '0.026177', '0', '0.999657', '-20.26', '2.29947', '-18.62', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4609', '4', '6595511', 'object/mobile/dressed_nym_brawler_hum_f.iff', '0', '0.999657', '0', '0.026177', '-8.11', '1.3', '-1.06', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4610', '4', '6595511', 'object/mobile/dressed_nym_surveyer_rod_f.iff', '0', '0.0610486', '0', '0.998135', '-8.05', '1.3', '-2.3', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4611', '4', '6595511', 'object/mobile/dressed_nym_brawler_rod_m.iff', '0', '0.284015', '0', '0.95882', '4.17', '1.3', '-5.62', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4612', '4', '6595511', 'object/mobile/dressed_nym_bodyguard_hum_m.iff', '0', '-0.622515', '0', '0.782608', '5.86', '1.3', '-5.04', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4613', '4', '6595511', 'object/mobile/dressed_nym_surveyer_hum_m.iff', '0', '0.96363', '0', '0.267238', '4.39', '1.3', '-3.87', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4614', '4', '6595511', 'object/mobile/dressed_nym_bodyguard_hum_f.iff', '0', '0.700909', '0', '0.71325', '-3.58', '1.3', '4.01', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4615', '4', '6595511', 'object/mobile/dressed_nym_destroyer_rod_m.iff', '0', '0.725374', '0', '-0.688355', '-1.79', '1.3', '3.94', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4616', '4', '0', 'object/mobile/kimogila_hatchling.iff', '0', '0', '0', '0', '-104.7', '0', '2650.16', '22', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4617', '4', '0', 'object/mobile/kimogila_hatchling.iff', '0', '0', '0', '0', '-98.8467', '0', '2653.42', '22', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4618', '4', '0', 'object/mobile/kimogila_hatchling.iff', '0', '0', '0', '0', '-98.0349', '0', '2647.25', '22', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4619', '4', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_04.iff', '0', '-2.84146e-08', '0', '1', '-89.4283', '12', '2679.48', '15', 'neutral', '128', '1', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4620', '4', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_08.iff', '0', '0', '0', '1', '-95.9296', '12', '2685.26', '15', 'neutral', '128', '1', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4621', '4', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_02.iff', '0', '0', '0', '1', '-102.416', '12', '2685.17', '15', 'neutral', '128', '1', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4622', '4', '0', 'object/mobile/dressed_commoner_tatooine_rodian_male_02.iff', '0', '-4.21353e-08', '0', '1', '-109.065', '12', '2690.12', '15', 'neutral', '128', '1', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4623', '4', '0', 'object/mobile/dressed_commoner_old_human_male_01.iff', '0', '0', '0', '1', '-102.322', '12', '2684.85', '15', 'neutral', '128', '1', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4624', '4', '0', 'object/mobile/dressed_commoner_naboo_zabrak_female_01.iff', '0', '0', '0', '1', '-86.1488', '12', '2709.89', '15', 'neutral', '128', '1', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4625', '4', '0', 'object/mobile/dressed_commoner_naboo_twilek_female_01.iff', '0', '-2.65745e-08', '0', '1', '-92.9387', '12.1031', '2708.29', '15', 'neutral', '128', '1', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4626', '4', '0', 'object/mobile/dressed_commoner_fat_twilek_male_02.iff', '0', '-4.17849e-08', '0', '1', '-95.2094', '12', '2710.35', '15', 'neutral', '128', '1', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4627', '4', '0', 'object/mobile/dressed_commoner_tatooine_bith_female_04.iff', '0', '2.97231e-08', '0', '1', '-98.4221', '12', '2716.59', '15', 'neutral', '128', '1', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4628', '4', '0', 'object/mobile/dressed_commoner_old_zabrak_male_02.iff', '0', '0', '0', '1', '-93.4888', '12', '2717.4', '15', 'neutral', '128', '1', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4629', '4', '0', 'object/mobile/kimogila_hatchling.iff', '0', '0', '0', '0', '-125.891', '0', '2747.89', '22', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4630', '4', '0', 'object/mobile/kimogila_hatchling.iff', '0', '0', '0', '0', '-127.63', '0', '2751.88', '22', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4631', '4', '0', 'object/mobile/kimogila_hatchling.iff', '0', '0', '0', '0', '-134.281', '0', '2759.8', '22', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('4632', '4', '0', 'object/mobile/dressed_commoner_naboo_human_male_01.iff', '0', '0', '0', '1', '-51.6445', '12', '2718.56', '15', 'neutral', '128', '1', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4633', '4', '0', 'object/mobile/dressed_commoner_old_human_female_01.iff', '0', '2.79108e-08', '0', '1', '-45.2733', '12', '2713.45', '15', 'neutral', '128', '1', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4634', '4', '0', 'object/mobile/dressed_commoner_old_human_female_01.iff', '0', '-1.35902e-08', '0', '1', '-41.4249', '12', '2711.64', '15', 'neutral', '128', '1', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4635', '4', '0', 'object/mobile/dressed_commoner_naboo_bothan_female_01.iff', '0', '0', '0', '1', '-35.1539', '12.1139', '2708.05', '15', 'neutral', '128', '1', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4636', '4', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_03.iff', '0', '0', '0', '1', '-42.6069', '12', '2713.9', '15', 'neutral', '128', '1', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4637', '4', '0', 'object/mobile/dressed_lok_cas_vankoo.iff', '0', '0', '0', '0', '-18.5213', '0', '2729.13', '117', 'neutral', '128', '35', '600');
INSERT INTO `world_server_static_spawns` VALUES ('4638', '4', '0', 'object/mobile/giant_dune_kimogila.iff', '0', '0', '0', '0', '-3.64837', '0', '2716.32', '153', 'neutral', '128', '35', '4200');
INSERT INTO `world_server_static_spawns` VALUES ('4639', '4', '0', 'object/mobile/dressed_corsair_pirate_strong_hum_f.iff', '0', '0', '0', '0', '-3844.54', '0', '-3751.62', '36', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4640', '4', '0', 'object/mobile/dressed_corsair_pirate_strong_hum_f.iff', '0', '0', '0', '0', '-3844.79', '0', '-3753.15', '36', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4641', '4', '0', 'object/mobile/dressed_corsair_guard_hum_f.iff', '0', '0', '0', '0', '-3834.5', '0', '-3757.28', '36', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4642', '4', '0', 'object/mobile/dressed_corsair_guard_hum_f.iff', '0', '0', '0', '0', '-3833.47', '0', '-3756.39', '36', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4643', '4', '0', 'object/mobile/dressed_corsair_guard_hum_f.iff', '0', '0', '0', '0', '-3832.73', '0', '-3757.65', '36', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4644', '4', '0', 'object/mobile/dressed_corsair_cutthroat_hum_f.iff', '0', '0', '0', '0', '-3838.68', '0', '-3764.72', '35', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4645', '4', '0', 'object/mobile/dressed_corsair_cutthroat_hum_f.iff', '0', '0', '0', '0', '-3836.72', '0', '-3766.26', '35', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4646', '4', '0', 'object/mobile/dressed_corsair_cutthroat_hum_f.iff', '0', '0', '0', '0', '-3839.28', '0', '-3788.14', '35', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4647', '4', '0', 'object/mobile/dressed_corsair_cutthroat_hum_f.iff', '0', '0', '0', '0', '-3838.19', '0', '-3789.09', '35', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4648', '4', '0', 'object/mobile/dressed_corsair_captain_hum_m.iff', '0', '0', '0', '0', '-3886.93', '0', '-3805.57', '50', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4649', '4', '0', 'object/mobile/dressed_corsair_pirate_weak_hum_f.iff', '0', '0', '0', '0', '-3856.17', '0', '-3814.22', '29', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4650', '4', '0', 'object/mobile/dressed_corsair_pirate_weak_hum_f.iff', '0', '0', '0', '0', '-3855.94', '0', '-3814.78', '29', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4651', '4', '0', 'object/mobile/dressed_corsair_pirate_weak_hum_f.iff', '0', '0', '0', '0', '-3853.05', '0', '-3817.17', '29', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4652', '4', '0', 'object/mobile/dressed_corsair_pirate_weak_hum_f.iff', '0', '0', '0', '0', '-3907.36', '0', '-3802.34', '29', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4653', '4', '0', 'object/mobile/dressed_corsair_pirate_weak_hum_f.iff', '0', '0', '0', '0', '-3908.05', '0', '-3803.43', '29', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4654', '4', '0', 'object/mobile/dressed_corsair_pirate_weak_hum_f.iff', '0', '0', '0', '0', '-3907.85', '0', '-3800.5', '29', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4655', '4', '0', 'object/mobile/dressed_corsair_guard_hum_f.iff', '0', '0', '0', '0', '-3889.79', '0', '-3823.26', '36', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4656', '4', '0', 'object/mobile/dressed_corsair_guard_hum_f.iff', '0', '0', '0', '0', '-3891.17', '0', '-3822.06', '36', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4657', '4', '0', 'object/mobile/dressed_corsair_scout_hum_f.iff', '0', '0', '0', '0', '-3920.82', '0', '-3807.26', '29', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4658', '4', '0', 'object/mobile/dressed_corsair_scout_hum_f.iff', '0', '0', '0', '0', '-3922.01', '0', '-3806.78', '29', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4659', '4', '0', 'object/mobile/dressed_corsair_scout_hum_f.iff', '0', '0', '0', '0', '-3924.25', '0', '-3808.51', '29', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4660', '4', '0', 'object/mobile/dressed_corsair_destroyer_hum_m.iff', '0', '0', '0', '0', '-3843.46', '0', '-3740.67', '45', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4661', '4', '0', 'object/mobile/dressed_corsair_destroyer_hum_m.iff', '0', '0', '0', '0', '-3841.13', '0', '-3741.91', '45', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4662', '4', '0', 'object/mobile/dressed_corsair_destroyer_hum_f.iff', '0', '0', '0', '0', '-3786.02', '0', '-3889.48', '40', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4663', '4', '0', 'object/mobile/dressed_corsair_pirate_strong_hum_f.iff', '0', '0', '0', '0', '-3814.31', '0', '-3915.87', '36', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4664', '4', '0', 'object/mobile/dressed_corsair_pirate_strong_hum_f.iff', '0', '0', '0', '0', '-3814.52', '0', '-3914.79', '36', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4665', '4', '0', 'object/mobile/dressed_corsair_destroyer_hum_f.iff', '0', '0', '0', '0', '-3862.74', '0', '-3921.95', '40', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4666', '4', '0', 'object/mobile/dressed_corsair_scout_hum_f.iff', '0', '0', '0', '0', '-3809.99', '0', '-3971.04', '29', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4667', '4', '0', 'object/mobile/dressed_corsair_scout_hum_f.iff', '0', '0', '0', '0', '-3810.73', '0', '-3971.48', '29', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4668', '4', '0', 'object/mobile/dressed_corsair_scout_hum_f.iff', '0', '0', '0', '0', '-3882.35', '0', '-3970.2', '29', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4669', '4', '0', 'object/mobile/dressed_corsair_scout_hum_f.iff', '0', '0', '0', '0', '-3880.4', '0', '-3968.24', '29', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4670', '4', '0', 'object/mobile/gurk.iff', '0', '0', '0', '0', '-3761.13', '0', '-3478.55', '30', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4671', '4', '0', 'object/mobile/gurk.iff', '0', '0', '0', '0', '-3760.92', '0', '-3478.79', '30', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4672', '4', '0', 'object/mobile/gurk.iff', '0', '0', '0', '0', '-3762.08', '0', '-3478.89', '30', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4673', '4', '0', 'object/mobile/gurk.iff', '0', '0', '0', '0', '-3763.32', '0', '-3478.7', '30', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4674', '4', '0', 'object/mobile/recluse_gurk_king.iff', '0', '0', '0', '0', '-3764', '0', '-3469', '45', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4675', '4', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-1844.59', '0', '-3064.84', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4676', '4', '0', 'object/mobile/dressed_stormtrooper_sniper_m.iff', '0', '0', '0', '0', '-1987.38', '0', '-3032.3', '32', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4677', '4', '0', 'object/mobile/dressed_stormtrooper_sniper_m.iff', '0', '0', '0', '0', '-1886.53', '0', '-3117.1', '32', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4678', '4', '0', 'object/mobile/dressed_stormtrooper_sniper_m.iff', '0', '0', '0', '0', '-1973.01', '0', '-3020.4', '32', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4679', '4', '0', 'object/mobile/dressed_imperial_colonel_m.iff', '0', '0', '0', '0', '-2002.46', '0', '-3073.19', '22', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4680', '4', '0', 'object/mobile/dressed_stormtrooper_rifleman_m.iff', '0', '0', '0', '0', '-1988.73', '0', '-3032.29', '1', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4681', '4', '8615421', 'object/mobile/dressed_imperial_general_m.iff', '0', '0', '0', '0', '19.18', '1.01', '21.65', '28', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4682', '4', '8615420', 'object/mobile/dressed_imperial_colonel_m.iff', '0', '0', '0', '0', '-2.47', '2.01', '3.93', '22', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4683', '4', '0', 'object/mobile/dressed_stormtrooper_medic_m.iff', '0', '0', '0', '0', '-1881.24', '0', '-3177.33', '1', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4684', '4', '0', 'object/mobile/dressed_stormtrooper_rifleman_m.iff', '0', '0', '0', '0', '-1832.66', '0', '-3121.43', '1', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4685', '4', '0', 'object/mobile/dressed_stormtrooper_medic_m.iff', '0', '0', '0', '0', '-1829.47', '0', '-3055.71', '1', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4686', '4', '0', 'object/mobile/dressed_stormtrooper_medic_m.iff', '0', '0', '0', '0', '-1824.75', '0', '-3098.92', '1', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4687', '4', '0', 'object/mobile/dressed_stormtrooper_medic_m.iff', '0', '0', '0', '0', '-1864.62', '0', '-3117.3', '1', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4688', '4', '0', 'object/mobile/dressed_stormtrooper_medic_m.iff', '0', '0', '0', '0', '-1887.41', '0', '-3118.43', '1', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4689', '4', '0', 'object/mobile/dressed_imperial_colonel_m.iff', '0', '0', '0', '0', '-1980.3', '0', '-3033.85', '22', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4690', '4', '0', 'object/mobile/dressed_stormtrooper_medic_m.iff', '0', '0', '0', '0', '-2003.97', '0', '-3072.63', '1', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4691', '4', '8615420', 'object/mobile/dressed_imperial_medic3_human_male_01.iff', '0', '0', '0', '0', '1.97081', '1.01', '-8.96818', '16', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4692', '4', '8615420', 'object/mobile/dressed_imperial_lieutenant_m.iff', '0', '0', '0', '0', '2.82782', '1.01', '-0.408184', '60', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4693', '4', '8615420', 'object/mobile/dressed_imperial_colonel_m.iff', '0', '0', '0', '0', '-6.31', '1.01', '-1.1', '22', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4694', '4', '8615420', 'object/mobile/dressed_imperial_major_m.iff', '0', '0', '0', '0', '-6.37', '1.01', '-3.93', '1', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4695', '4', '8615420', 'object/mobile/dressed_imperial_colonel_m.iff', '0', '0', '0', '0', '-0.24', '2.01', '3.89', '22', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4696', '4', '8615420', 'object/mobile/dressed_imperial_colonel_m.iff', '0', '0', '0', '0', '3.11233', '1.01', '-11.7189', '22', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4697', '4', '8615420', 'object/mobile/dressed_imperial_lieutenant_m.iff', '0', '0', '0', '0', '-7.29497', '1.01', '-9.9787', '60', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4698', '4', '8615422', 'object/mobile/dressed_imperial_lieutenant_m.iff', '0', '0', '0', '0', '-18', '1.01', '18.7', '60', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4699', '4', '8615430', 'object/mobile/dressed_stormtrooper_rifleman_m.iff', '0', '0', '0', '0', '13.7', '7.01', '10', '1', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4700', '4', '8615430', 'object/mobile/dressed_stormtrooper_rifleman_m.iff', '0', '0', '0', '0', '6.3', '7.01', '9.6', '1', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4701', '4', '8615419', 'object/mobile/dressed_stormtrooper_rifleman_m.iff', '0', '0', '0', '0', '-7.5', '1.01', '21', '1', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4702', '4', '8615419', 'object/mobile/dressed_stormtrooper_rifleman_m.iff', '0', '0', '0', '0', '9.7', '1.01', '21.7', '1', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4703', '4', '8615428', 'object/mobile/dressed_stormtrooper_rifleman_m.iff', '0', '0', '0', '0', '-4.25493', '7.00961', '-10.3318', '1', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4704', '4', '8615428', 'object/mobile/dressed_stormtrooper_rifleman_m.iff', '0', '0', '0', '0', '10.3426', '7.00978', '-12.1486', '1', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4705', '4', '8615428', 'object/mobile/dressed_stormtrooper_rifleman_m.iff', '0', '0', '0', '0', '2.51915', '7.00978', '-3.77331', '1', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4706', '4', '0', 'object/mobile/dressed_stormtrooper_rifleman_m.iff', '0', '0', '0', '0', '-1888.4', '0', '-3117.24', '1', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4707', '4', '0', 'object/mobile/dressed_stormtrooper_sniper_m.iff', '0', '0', '0', '0', '-1973.81', '0', '-3021.62', '32', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4708', '4', '0', 'object/mobile/dressed_stormtrooper_rifleman_m.iff', '0', '0', '0', '0', '-2003.1', '0', '-3071.26', '1', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4709', '4', '0', 'object/mobile/dressed_stormtrooper_rifleman_m.iff', '0', '0', '0', '0', '-1827.43', '0', '-3085.11', '1', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4710', '4', '0', 'object/mobile/dressed_imperial_colonel_m.iff', '0', '0', '0', '0', '-1857.17', '0', '-3033.83', '22', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4711', '4', '0', 'object/mobile/dressed_imperial_lieutenant_m.iff', '0', '0', '0', '0', '-1827.51', '0', '-3083.86', '60', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4712', '4', '0', 'object/mobile/dressed_stormtrooper_medic_m.iff', '0', '0', '0', '0', '-1999.99', '0', '-3072.35', '1', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4713', '4', '0', 'object/mobile/dressed_stormtrooper_rifleman_m.iff', '0', '0', '0', '0', '-1943.58', '0', '-3102.56', '1', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4714', '4', '0', 'object/mobile/dressed_stormtrooper_medic_m.iff', '0', '0', '0', '0', '-1820.07', '0', '-3086.91', '1', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4715', '4', '0', 'object/mobile/dressed_stormtrooper_medic_m.iff', '0', '0', '0', '0', '-1919.16', '0', '-3178.45', '1', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4716', '4', '0', 'object/mobile/dressed_stormtrooper_medic_m.iff', '0', '0', '0', '0', '-1832.7', '0', '-3051.63', '1', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4717', '4', '0', 'object/mobile/dressed_stormtrooper_rifleman_m.iff', '0', '0', '0', '0', '-1901.13', '0', '-2984.99', '1', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4718', '4', '0', 'object/mobile/dressed_stormtrooper_rifleman_m.iff', '0', '0', '0', '0', '-1899.96', '0', '-3058.17', '1', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4719', '4', '0', 'object/mobile/dressed_stormtrooper_medic_m.iff', '0', '0', '0', '0', '-1870.58', '0', '-3117.27', '1', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4720', '4', '0', 'object/mobile/dressed_stormtrooper_rifleman_m.iff', '0', '0', '0', '0', '-1963.96', '0', '-3006.12', '1', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4721', '4', '0', 'object/mobile/dressed_stormtrooper_rifleman_m.iff', '0', '0', '0', '0', '-1904.35', '0', '-3108.06', '1', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4722', '4', '0', 'object/mobile/dressed_stormtrooper_rifleman_m.iff', '0', '0', '0', '0', '-1970.7', '0', '-3028.1', '1', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4723', '4', '0', 'object/mobile/dressed_stormtrooper_rifleman_m.iff', '0', '0', '0', '0', '-1914.46', '0', '-3132.84', '1', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4724', '4', '0', 'object/mobile/dressed_stormtrooper_medic_m.iff', '0', '0', '0', '0', '-1960.93', '0', '-3151.4', '1', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4725', '4', '0', 'object/mobile/dressed_stormtrooper_medic_m.iff', '0', '0', '0', '0', '-1821.8', '0', '-3118.72', '1', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4726', '4', '0', 'object/mobile/dressed_stormtrooper_rifleman_m.iff', '0', '0', '0', '0', '-1891.56', '0', '-3175.97', '1', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4727', '4', '568978', 'object/mobile/droideka.iff', '0', '0', '0', '0', '-19.4994', '-42.4514', '-89.7155', '32', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4728', '4', '568978', 'object/mobile/droideka.iff', '0', '0', '0', '0', '-20.0661', '-41.6519', '-88.2371', '32', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4729', '4', '568961', 'object/mobile/droideka.iff', '0', '0', '0', '0', '-72.8105', '-47.013', '-66.2669', '32', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4730', '4', '568961', 'object/mobile/droideka.iff', '0', '0', '0', '0', '-69.8575', '-46.9789', '-63.7004', '32', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4731', '4', '568961', 'object/mobile/droideka.iff', '0', '0', '0', '0', '-69.2804', '-46.9525', '-63.4123', '32', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4732', '4', '568967', 'object/mobile/droideka.iff', '0', '0', '0', '0', '-103.861', '-39.0618', '-90.1406', '32', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4733', '4', '568967', 'object/mobile/droideka.iff', '0', '0', '0', '0', '-103.165', '-38.949', '-90.7798', '32', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4734', '4', '568965', 'object/mobile/droideka.iff', '0', '0', '0', '0', '-82.8853', '-72.2447', '-107.67', '32', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4735', '4', '568965', 'object/mobile/droideka.iff', '0', '0', '0', '0', '-84.7078', '-72.2321', '-108.151', '32', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4736', '4', '568965', 'object/mobile/droideka.iff', '0', '0', '0', '0', '-97.1487', '-70.598', '-107.476', '32', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4737', '4', '568984', 'object/mobile/droideka.iff', '0', '0', '0', '0', '-52.6974', '-65.899', '-175.005', '32', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4738', '4', '568967', 'object/mobile/droideka.iff', '0', '0', '0', '0', '-126.13', '-53.8224', '-80.0247', '32', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4739', '4', '568967', 'object/mobile/droideka.iff', '0', '0', '0', '0', '-127.61', '-53.7945', '-77.6944', '32', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4740', '4', '568967', 'object/mobile/droideka.iff', '0', '0', '0', '0', '-126.696', '-53.8429', '-80.5156', '32', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4741', '4', '568965', 'object/mobile/droideka.iff', '0', '0', '0', '0', '-108.565', '-69.7008', '-111.759', '32', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4742', '4', '568965', 'object/mobile/droideka.iff', '0', '0', '0', '0', '-108.477', '-69.701', '-111.832', '32', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4743', '4', '568965', 'object/mobile/droideka.iff', '0', '0', '0', '0', '-109.632', '-69.7644', '-112.014', '32', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4744', '4', '568965', 'object/mobile/droideka.iff', '0', '0', '0', '0', '-109.13', '-69.7644', '-113.383', '32', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4745', '4', '568984', 'object/mobile/droideka.iff', '0', '0', '0', '0', '-62.5842', '-65.828', '-195.56', '32', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4746', '4', '568962', 'object/mobile/droideka.iff', '0', '0', '0', '0', '-141.053', '-49.5385', '-58.1497', '32', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4747', '4', '568962', 'object/mobile/droideka.iff', '0', '0', '0', '0', '-143.504', '-49.6781', '-59.5247', '32', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4748', '4', '568962', 'object/mobile/droideka.iff', '0', '0', '0', '0', '-141.302', '-49.5873', '-59.9256', '32', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4749', '4', '568962', 'object/mobile/droideka.iff', '0', '0', '0', '0', '-139.349', '-49.5114', '-60.5468', '32', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4750', '4', '568985', 'object/mobile/droideka.iff', '0', '0', '0', '0', '-60.2451', '-65.1552', '-226.784', '32', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4751', '4', '568961', 'object/mobile/ig_assassin_droid.iff', '0', '0', '0', '0', '-77.3635', '-46.7192', '-58.7179', '15', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4752', '4', '568961', 'object/mobile/ig_assassin_droid.iff', '0', '0', '0', '0', '-76.8193', '-46.5837', '-55.0339', '15', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4753', '4', '568961', 'object/mobile/droideka.iff', '0', '0', '0', '0', '-67.5879', '-30.97', '-62.4046', '32', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4754', '4', '568972', 'object/mobile/ig_assassin_droid.iff', '0', '0', '0', '0', '-113.622', '-58.3549', '-31.0468', '15', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4755', '4', '568972', 'object/mobile/ig_assassin_droid.iff', '0', '0', '0', '0', '-115.402', '-58.4006', '-32.8891', '15', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4756', '4', '568966', 'object/mobile/droideka.iff', '0', '0', '0', '0', '-171.272', '-49.61', '-68.2734', '32', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4757', '4', '568984', 'object/mobile/droideka.iff', '0', '0', '0', '0', '-42.0314', '-66.12', '-183.467', '32', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4758', '4', '568966', 'object/mobile/droideka.iff', '0', '0', '0', '0', '-170.703', '-49.5775', '-68.417', '32', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4759', '4', '568984', 'object/mobile/droideka.iff', '0', '0', '0', '0', '-86.969', '-65.514', '-187.487', '32', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4760', '4', '568984', 'object/mobile/droideka.iff', '0', '0', '0', '0', '-75.2007', '-65.6829', '-175.593', '32', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4761', '4', '568967', 'object/mobile/droideka.iff', '0', '0', '0', '0', '-111.205', '-54.493', '-84.491', '32', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4762', '4', '568984', 'object/mobile/ig_assassin_droid.iff', '0', '0', '0', '0', '-86.6708', '-65.9381', '-167.544', '15', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4763', '4', '568983', 'object/mobile/ig_assassin_droid.iff', '0', '0', '0', '0', '41.8398', '-67.2176', '-67.2497', '15', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4764', '4', '568983', 'object/mobile/ig_assassin_droid.iff', '0', '0', '0', '0', '39.2876', '-66.9251', '-67.7522', '15', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4765', '4', '568983', 'object/mobile/ig_assassin_droid.iff', '0', '0', '0', '0', '40.4065', '-67.0679', '-68.877', '15', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4766', '4', '568982', 'object/mobile/ig_assassin_droid.iff', '0', '0', '0', '0', '2.46388', '-71.6313', '-115.099', '15', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4767', '4', '568982', 'object/mobile/ig_assassin_droid.iff', '0', '0', '0', '0', '3.99628', '-71.924', '-114.258', '15', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4768', '4', '568983', 'object/mobile/droideka.iff', '0', '0', '0', '0', '43.6685', '-65.7202', '-85.5619', '32', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4769', '4', '568978', 'object/mobile/droideka.iff', '0', '0', '0', '0', '-31.7296', '-43.7401', '-92.6785', '32', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4770', '4', '568978', 'object/mobile/droideka.iff', '0', '0', '0', '0', '-31.2047', '-43.7331', '-92.9632', '32', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4771', '4', '568983', 'object/mobile/droideka.iff', '0', '0', '0', '0', '28.7101', '-67.4849', '-92.8715', '32', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4772', '4', '568983', 'object/mobile/droideka.iff', '0', '0', '0', '0', '26.9429', '-67.3026', '-92.3332', '32', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4773', '4', '568981', 'object/mobile/droideka.iff', '0', '0', '0', '0', '-63.2977', '-66.0882', '-139.139', '32', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4774', '4', '568981', 'object/mobile/droideka.iff', '0', '0', '0', '0', '-63.8009', '-66.0369', '-139.819', '32', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4775', '4', '568979', 'object/mobile/ig_assassin_droid.iff', '0', '0', '0', '0', '-123.104', '-53.7857', '-111.913', '15', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4776', '4', '568979', 'object/mobile/ig_assassin_droid.iff', '0', '0', '0', '0', '-123.7', '-53.8558', '-110.666', '15', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4777', '4', '568983', 'object/mobile/droideka.iff', '0', '0', '0', '0', '35.4725', '-68.9676', '-102.414', '32', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4778', '4', '568958', 'object/mobile/droideka.iff', '0', '0', '0', '0', '-12.0153', '-30.5936', '-46.66', '32', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4779', '5', '6335650', 'object/mobile/dressed_imperial_lieutenant_m.iff', '0', '0', '0', '0', '73.0528', '-12', '58.381', '60', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4780', '5', '6335652', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '58.0794', '-12', '1.34274', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4781', '5', '6335652', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '61.306', '-12', '0.0155749', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4782', '5', '6335647', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '-74.8116', '-20', '78.1938', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4783', '5', '6335647', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '-73.7573', '-20', '74.1152', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4784', '5', '6335647', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '-72.8036', '-20', '76.1443', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4785', '5', '6335647', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '-71.9375', '-20', '74.9699', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4786', '5', '6335645', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '-70.8131', '-20', '65.649', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4787', '5', '6335645', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '-72.6151', '-20', '65.6006', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4788', '5', '6335645', 'object/mobile/dressed_imperial_colonel_m.iff', '0', '0', '0', '0', '-57.5335', '-20', '62.9942', '22', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4789', '5', '6335645', 'object/mobile/dressed_imperial_colonel_m.iff', '0', '0', '0', '0', '-59.4221', '-20', '63.598', '22', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4790', '5', '6335645', 'object/mobile/dressed_imperial_colonel_m.iff', '0', '0', '0', '0', '-56.3625', '-20', '66.8888', '22', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4791', '5', '6335645', 'object/mobile/dressed_imperial_general_m.iff', '0', '0', '0', '0', '-75.9312', '-20', '49.2464', '26', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4792', '5', '6335646', 'object/mobile/dressed_imperial_colonel_m.iff', '0', '0', '0', '0', '-75.4694', '-20', '10.0471', '1', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4793', '5', '6335645', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '-73.4622', '-20', '26.7658', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4794', '5', '6335645', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '-73.9559', '-20', '32.3263', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4795', '5', '6335645', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '-64.9943', '-20', '51.475', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4796', '5', '6335645', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '-62.5533', '-20', '54.2541', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4797', '5', '6335645', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '-61.1144', '-20', '51.4331', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4798', '5', '6335646', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '-67.7876', '-20', '16.799', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4799', '5', '6335646', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '-71.4415', '-20', '19.0178', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4800', '5', '6335646', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '-68.1352', '-20', '17.4588', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4801', '5', '6335651', 'object/mobile/dressed_imperial_colonel_m.iff', '0', '0', '0', '0', '35.2884', '-20', '143.698', '1', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4802', '5', '6335651', 'object/mobile/dressed_imperial_exterminator.iff', '0', '0', '0', '0', '38.7069', '-20', '139.098', '28', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4803', '5', '6335651', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '33.5029', '-20', '117.093', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4804', '5', '6335651', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '28.5469', '-20', '119.119', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4805', '5', '6335649', 'object/mobile/dressed_imperial_lieutenant_m.iff', '0', '0', '0', '0', '71.3139', '-12', '82.7743', '60', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4806', '5', '6335657', 'object/mobile/dressed_imperial_colonel_m.iff', '0', '0', '0', '0', '-9.49691', '-20', '101.325', '1', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4807', '5', '6335651', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '15.8486', '-20', '120.754', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4808', '5', '6335651', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '11.7203', '-20', '122.346', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4809', '5', '6335651', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '15.1597', '-20', '123.489', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4810', '5', '6335643', 'object/mobile/dressed_imperial_officer_m_2.iff', '0', '0', '0', '0', '5.64265', '-12', '62.1227', '15', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4811', '5', '6335643', 'object/mobile/dressed_imperial_officer_m_2.iff', '0', '0', '0', '0', '4.16069', '-12', '60.0852', '15', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4812', '5', '6335643', 'object/mobile/dressed_imperial_officer_m_2.iff', '0', '0', '0', '0', '7.15969', '-12', '58.1926', '15', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4813', '5', '6335643', 'object/mobile/dressed_imperial_colonel_m.iff', '0', '0', '0', '0', '3.65376', '-12', '67.493', '1', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4814', '5', '6335643', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '23.772', '-12', '48.853', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4815', '5', '6335643', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '23.4361', '-12', '52.9453', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4816', '5', '6335659', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '-0.570365', '-20', '76.1657', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4817', '5', '6335659', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '-2.09977', '-20', '76.4725', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4818', '5', '6335659', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '-6.88214', '-20', '76.556', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4819', '5', '6335650', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '45.7861', '-12', '57.1328', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4820', '5', '6335650', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '48.9336', '-12', '57.8799', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4821', '5', '6335650', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '46.3574', '-12', '59.3605', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4822', '5', '6335649', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '48.1131', '-12', '85.5281', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4823', '5', '6335649', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '48.0592', '-12', '83.901', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4824', '5', '6335649', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '49.1392', '-12', '80.8613', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4825', '5', '6335648', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '36.0508', '-12', '84.2784', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4826', '5', '6335648', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '34.3725', '-12', '86.9625', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4827', '5', '6335657', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '-10.0563', '-20', '96.7655', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4828', '5', '6335657', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '-13.49', '-20', '98.8534', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4829', '5', '6335643', 'object/mobile/dressed_imperial_lieutenant_m.iff', '0', '0', '0', '0', '23.1275', '-12', '43.8315', '60', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4830', '5', '6335643', 'object/mobile/dressed_imperial_lieutenant_m.iff', '0', '0', '0', '0', '1.66989', '-12', '32.0126', '60', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4831', '5', '6335643', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '3.30225', '-12', '25.0645', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4832', '5', '6335643', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '5.7315', '-12', '24.9838', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4833', '5', '6335652', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '46.9072', '-12', '13.8579', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4834', '5', '6335652', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '44.3986', '-12', '10.6972', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4835', '5', '6335652', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '43.0176', '-12', '9.93895', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4836', '5', '6335652', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '44.7515', '-12', '20.5375', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4837', '5', '6335652', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '44.0444', '-12', '19.5105', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4838', '5', '6335652', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '21.4126', '-12', '11.9898', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4839', '5', '6335652', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '21.2811', '-12', '16.397', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4840', '5', '6335652', 'object/mobile/dressed_imperial_colonel_m.iff', '0', '0', '0', '0', '39.1865', '-12', '13.8709', '22', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4841', '5', '6335652', 'object/mobile/dressed_imperial_colonel_m.iff', '0', '0', '0', '0', '36.8164', '-12', '20.2197', '22', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4842', '5', '6335659', 'object/mobile/dressed_imperial_officer_m_2.iff', '0', '0', '0', '0', '-5.45532', '-20', '67.8655', '15', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4843', '5', '6335659', 'object/mobile/dressed_imperial_officer_m_2.iff', '0', '0', '0', '0', '-4.88807', '-20', '71.6704', '15', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4844', '5', '6335659', 'object/mobile/dressed_imperial_officer_m_2.iff', '0', '0', '0', '0', '-4.97205', '-20', '69.1183', '15', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4845', '5', '6335648', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '33.6148', '-12', '35.4732', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4846', '5', '6335648', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '30.7993', '-12', '33.9577', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4847', '5', '0', 'object/mobile/dressed_imperial_colonel_m.iff', '0', '0', '0', '0', '-6511.78', '0', '-3311.19', '22', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4848', '5', '0', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '-6504.62', '0', '-3307.9', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4849', '5', '0', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '-6505.81', '0', '-3308.04', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4850', '5', '0', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '-6506.43', '0', '-3307.9', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4851', '5', '6335657', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '-29.7225', '-20', '95.0582', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4852', '5', '6335657', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '-37.3046', '-20', '97.14', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4853', '5', '6335657', 'object/mobile/dressed_imperial_colonel_m.iff', '0', '0', '0', '0', '-35.8713', '-20', '102.257', '1', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4854', '5', '6335643', 'object/mobile/dressed_imperial_lieutenant_m.iff', '0', '0', '0', '0', '-16.1949', '-12', '43.8587', '60', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4855', '5', '6335643', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '-19.6626', '-12', '48.6668', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4856', '5', '6335643', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '-14.5957', '-12', '50.6252', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4857', '5', '0', 'object/mobile/atst.iff', '0', '0', '0', '0', '-6479.85', '0', '-3330.99', '100', 'neutral', '128', '0', '1800');
INSERT INTO `world_server_static_spawns` VALUES ('4858', '5', '6335656', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '-31.155', '-20', '65.2032', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4859', '5', '6335656', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '-29.6366', '-20', '65.2499', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4860', '5', '6335652', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '31.4688', '-12', '4.01341', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4861', '5', '6335652', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '33.7954', '-12', '7.85718', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4862', '5', '6335647', 'object/mobile/dressed_imperial_inquisitor_human_male_01.iff', '0', '0', '0', '0', '-48.5804', '-20', '77.4282', '120', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4863', '5', '6335656', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '-30.5259', '-20', '29.3622', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4864', '5', '6335656', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '-29.985', '-20', '30.563', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4865', '5', '6335644', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '-41.8011', '-20', '46.1981', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4866', '5', '6335644', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '-40.2271', '-20', '47.3302', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4867', '5', '6335644', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '-44.5188', '-20', '46.5469', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4868', '5', '6335640', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '0.396301', '0.25', '2.18481', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4869', '5', '6335640', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '0.144554', '0.25', '4.1565', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4870', '5', '6335654', 'object/mobile/dressed_imperial_officer_m_2.iff', '0', '0', '0', '0', '-16.21', '-20', '6.83947', '15', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4871', '5', '6335654', 'object/mobile/dressed_imperial_officer_m_2.iff', '0', '0', '0', '0', '-18.9396', '-20', '7.37634', '15', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4872', '5', '0', 'object/mobile/atst.iff', '0', '0', '0', '0', '-6531.6', '0', '-3332.27', '100', 'neutral', '128', '0', '1800');
INSERT INTO `world_server_static_spawns` VALUES ('4873', '5', '6335645', 'object/mobile/dressed_imperial_colonel_m.iff', '0', '0', '0', '0', '-57.03', '-20', '31.8162', '22', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4874', '5', '6335654', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '-15.648', '-20', '-2.72702', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4875', '5', '6335654', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '-14.8228', '-20', '1.82935', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4876', '5', '6335654', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '-17.489', '-20', '-2.78078', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4877', '5', '6335646', 'object/mobile/dressed_imperial_colonel_m.iff', '0', '0', '0', '0', '-50.6929', '-20', '17.1446', '1', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4878', '5', '6335646', 'object/mobile/dressed_imperial_colonel_m.iff', '0', '0', '0', '0', '-60.3899', '-20', '7.88672', '1', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4879', '5', '6335646', 'object/mobile/dressed_imperial_captain_m.iff', '0', '0', '0', '0', '-65.1346', '-20', '13.1448', '30', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4880', '5', '0', 'object/mobile/dressed_stormtrooper_squad_leader_black_gold.iff', '0', '0', '0', '0', '-6499.47', '0', '-3247.96', '42', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4881', '5', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6495.99', '0', '-3248.58', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4882', '5', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6493.78', '0', '-3255.57', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4883', '5', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6488.16', '0', '-3252.3', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4884', '5', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6503.71', '0', '-3254.29', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4885', '5', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-6494.4', '0', '-3258.32', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4886', '5', '0', 'object/mobile/atst.iff', '0', '0', '0', '0', '-6500.51', '0', '-3270.09', '100', 'neutral', '128', '0', '1800');
INSERT INTO `world_server_static_spawns` VALUES ('4887', '5', '0', 'object/mobile/dressed_imperial_lieutenant_m.iff', '0', '0', '0', '0', '-6508.07', '0', '-3270.66', '60', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4888', '5', '0', 'object/mobile/dressed_scout_trooper_black_black.iff', '0', '0', '0', '0', '-6495.17', '0', '-3287.04', '29', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4889', '5', '0', 'object/mobile/dressed_scout_trooper_black_black.iff', '0', '0', '0', '0', '-6494.39', '0', '-3288.16', '29', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4890', '5', '0', 'object/mobile/dressed_mauler.iff', '0', '0', '0', '0', '2857.96', '0', '1086.93', '16', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4891', '5', '0', 'object/mobile/dressed_mauler_apprentice.iff', '0', '0', '0', '0', '2857.98', '0', '-1089.66', '11', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4892', '5', '0', 'object/mobile/dressed_mauler.iff', '0', '0', '0', '0', '2863.93', '0', '1091.12', '16', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4893', '5', '0', 'object/mobile/dressed_mauler.iff', '0', '0', '0', '0', '2865.29', '0', '1140.64', '16', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4894', '5', '0', 'object/mobile/dressed_mauler_apprentice.iff', '0', '0', '0', '0', '2882.66', '0', '1155.11', '11', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4895', '5', '0', 'object/mobile/dressed_mauler.iff', '0', '0', '0', '0', '2880.02', '0', '1146.29', '16', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4896', '5', '0', 'object/mobile/dressed_mauler.iff', '0', '0', '0', '0', '2895.38', '0', '1189.01', '16', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4897', '5', '0', 'object/mobile/dressed_mauler_apprentice.iff', '0', '0', '0', '0', '2894.01', '0', '1189.15', '11', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4898', '5', '0', 'object/mobile/dressed_mauler.iff', '0', '0', '0', '0', '2888.55', '0', '1193.52', '16', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4899', '5', '0', 'object/mobile/dressed_mauler.iff', '0', '0', '0', '0', '2977.88', '0', '1136.1', '16', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4900', '5', '0', 'object/mobile/dressed_mauler_apprentice.iff', '0', '0', '0', '0', '2982.78', '0', '1124.13', '11', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4901', '5', '0', 'object/mobile/dressed_mauler.iff', '0', '0', '0', '0', '2973.94', '0', '1122.06', '16', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4902', '5', '0', 'object/mobile/dressed_mauler.iff', '0', '0', '0', '0', '2948.93', '0', '1090.35', '16', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4903', '5', '0', 'object/mobile/dressed_mauler_apprentice.iff', '0', '0', '0', '0', '2954.23', '0', '1085.58', '11', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4904', '5', '0', 'object/mobile/dressed_mauler.iff', '0', '0', '0', '0', '2944.9', '0', '1104.06', '16', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4905', '5', '0', 'object/mobile/dressed_mauler_master.iff', '0', '0', '0', '0', '2912.62', '0', '1120.51', '54', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4906', '5', '0', 'object/mobile/dressed_mauler_lord.iff', '0', '0', '0', '0', '2909.78', '0', '1120.36', '27', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4907', '5', '0', 'object/mobile/dressed_mauler_acolyte.iff', '0', '0', '0', '0', '2891.27', '0', '1108.89', '14', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4908', '5', '0', 'object/mobile/dressed_mauler_acolyte.iff', '0', '0', '0', '0', '2890.13', '0', '1117.28', '14', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4909', '5', '0', 'object/mobile/dressed_mauler_acolyte.iff', '0', '0', '0', '0', '2921.02', '0', '1140.16', '14', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4910', '5', '0', 'object/mobile/dressed_mauler_acolyte.iff', '0', '0', '0', '0', '2903.11', '0', '1142.82', '14', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4911', '5', '0', 'object/mobile/dressed_mauler.iff', '0', '0', '0', '0', '2903.48', '0', '1128.44', '16', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4912', '5', '1696447', 'object/mobile/dressed_mauler_acolyte.iff', '0', '0', '0', '0', '-4.53203', '0.7', '-0.105848', '14', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4913', '5', '1696446', 'object/mobile/dressed_mauler_acolyte.iff', '0', '0', '0', '0', '4.50644', '0.7', '-4.96186', '14', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('4914', '5', '0', 'object/mobile/gungan_s02_male.iff', '0.0297456', '0', '0', '0.999557', '5331.01', '326.568', '-1558.65', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4915', '5', '0', 'object/mobile/dressed_commoner_old_twilek_male_01.iff', '0', '0.845391', '0', '0.534148', '5360.86', '326.998', '-1552.36', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4916', '5', '0', 'object/mobile/dressed_bountyhunter_trainer_01.iff', '0', '0.999557', '0.0297456', '0', '5331.01', '326.509', '-1557.65', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4917', '5', '0', 'object/mobile/r3.iff', '0', '-0.487828', '0', '0.87294', '5299.96', '329.566', '-1599.64', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4918', '5', '0', 'object/mobile/r3.iff', '0', '-0.625995', '0', '0.779827', '5306.49', '320.921', '-1565.57', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4919', '5', '0', 'object/mobile/eg6_power_droid.iff', '0', '-0.56496', '0', '0.825118', '5319.64', '326.116', '-1586.29', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4920', '5', '0', 'object/mobile/dressed_stormtrooper_medic_m.iff', '0', '0.981313', '0', '-0.192419', '5326.29', '326.118', '-1563.17', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4921', '5', '0', 'object/mobile/dressed_stormtrooper_groupleader_m.iff', '0', '0.981301', '0', '-0.192478', '5326.95', '326.179', '-1564.89', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4922', '5', '0', 'object/mobile/dressed_scout_trooper_white_white.iff', '0', '0.981312', '0', '-0.192426', '5327.71', '326.348', '-1563.01', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4923', '5', '0', 'object/mobile/dressed_imperial_officer_m_5.iff', '0', '0.937703', '0', '-0.347437', '5185.79', '326.062', '-1554.38', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4924', '5', '0', 'object/mobile/dressed_stormtrooper_m.iff', '0.00448646', '0.990212', '-0.131933', '0.045315', '5178.3', '318.973', '-1578', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4925', '5', '0', 'object/mobile/dressed_scout_trooper_white_white.iff', '0', '-0.622515', '0', '0.782608', '5177.1', '326', '-1552.9', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4926', '5', '0', 'object/mobile/dressed_stormtrooper_m.iff', '0', '0.913545', '0', '0.406737', '5163.4', '346.5', '-1522', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4927', '5', '0', 'object/mobile/dressed_criminal_slicer_human_male_01.iff', '0', '0', '0', '1', '5168.81', '346.5', '-1500.16', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4928', '5', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_01.iff', '0', '1', '0', '0', '5168.81', '346.5', '-1499.16', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4929', '5', '0', 'object/mobile/dressed_commoner_tatooine_rodian_male_03.iff', '0', '0.963936', '0', '-0.266133', '5147.08', '346.5', '-1532.98', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4930', '5', '0', 'object/mobile/dressed_stormtrooper_m.iff', '0', '0.951057', '0', '0.309017', '5165.1', '346.5', '-1484.6', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4931', '5', '0', 'object/mobile/dressed_commoner_tatooine_devaronian_male_04.iff', '0', '0.212383', '0', '0.977187', '5109.29', '350', '-1553.02', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4932', '5', '0', 'object/mobile/dressed_commoner_old_zabrak_male_02.iff', '0', '0.772703', '0', '-0.634767', '5077.95', '350', '-1494.55', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4933', '5', '0', 'object/mobile/dressed_commoner_tatooine_sullustan_male_05.iff', '0', '-0.346563', '0', '0.938027', '5114.68', '350', '-1427.31', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4934', '5', '0', 'object/mobile/dressed_scout_trooper_white_white.iff', '0', '0.748956', '0', '0.66262', '5048.7', '352.886', '-1530.8', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4935', '5', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_01.iff', '0', '0.941503', '0', '-0.337005', '5170.98', '350', '-1407.79', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4936', '5', '0', 'object/mobile/dressed_commoner_tatooine_ishitib_male_01.iff', '0', '0.214559', '0', '0.976711', '5057.39', '360', '-1457.28', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4937', '5', '0', 'object/mobile/dressed_criminal_slicer_human_male_01.iff', '0', '0', '0', '1', '5185.84', '350', '-1388.11', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4938', '5', '0', 'object/mobile/dressed_rsf_security_officer.iff', '0', '1', '0', '0', '5185.84', '350', '-1387.11', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4939', '5', '0', 'object/mobile/gungan_s03_male.iff', '0', '0', '0', '1', '5012.47', '360', '-1495.11', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4940', '5', '0', 'object/mobile/dressed_crook_zabrak_female_01.iff', '0', '1', '0', '0', '5012.47', '360', '-1494.11', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4941', '5', '1419019', 'object/mobile/dressed_imperial_officer_m_5.iff', '-2.49259e-06', '-2.34117e-05', '-5.83558e-11', '1', '-21.4447', '1.6', '-14.0882', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4942', '5', '1419019', 'object/mobile/dressed_royal_officer_human_female_01.iff', '-7.9966e-11', '1', '2.49252e-06', '3.20824e-05', '-21.4447', '1.6', '-12.9882', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4943', '5', '1419019', 'object/mobile/dressed_commoner_fat_twilek_male_01.iff', '0', '0.509632', '0', '0.860393', '-24', '1.6', '-4', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4944', '5', '1419017', 'object/mobile/dressed_entertainer_trainer_twk_male_01.iff', '-2.7419e-06', '-2.95648e-05', '-8.10473e-11', '1', '-5.23823', '1.6', '-8.58102', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4945', '5', '1419017', 'object/mobile/dressed_commoner_tatooine_aqualish_male_01.iff', '2.60083e-10', '1', '2.7418e-06', '-9.489e-05', '-5.23823', '1.6', '-7.58102', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4946', '5', '1419014', 'object/mobile/dressed_rebel_trooper_twk_female_01.iff', '4.6058e-06', '-4.85506e-05', '2.23614e-10', '1', '26.2736', '1.28309', '-1.22541', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4947', '5', '1419014', 'object/mobile/dressed_eisley_officer_bothan_male_01.iff', '3.19412e-11', '1', '-4.60582e-06', '6.93497e-06', '26.2736', '1.28309', '-0.125408', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4948', '5', '1419015', 'object/mobile/dressed_mercenary_weak_hum_f.iff', '-2.3842e-06', '3.81449e-05', '9.0945e-11', '1', '-16.3737', '1.6', '11.471', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4949', '5', '1419015', 'object/mobile/dressed_rsf_security_officer.iff', '-2.28348e-10', '1', '2.43835e-06', '9.36484e-05', '-16.3737', '1.6', '12.571', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4950', '5', '0', 'object/mobile/dressed_commoner_naboo_zabrak_female_02.iff', '0', '-0.375432', '0', '0.92685', '4997.93', '360', '-1460.84', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4951', '5', '0', 'object/mobile/dressed_commoner_naboo_human_female_03.iff', '0', '-0.611179', '0', '0.791493', '4958.31', '360', '-1419.21', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4952', '5', '0', 'object/mobile/eg6_power_droid.iff', '0', '-0.45941', '0', '0.888224', '4992.46', '360', '-1470.23', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4953', '5', '0', 'object/mobile/r5.iff', '0', '-0.706067', '0', '0.708145', '4991.46', '360', '-1469.23', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4954', '5', '0', 'object/mobile/r2.iff', '0', '0.802204', '0', '0.59705', '4993.46', '360', '-1470.23', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4955', '5', '0', 'object/mobile/dressed_commoner_old_human_male_02.iff', '0', '-0.289624', '0', '0.957141', '4994.93', '360', '-1500.28', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4956', '5', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_02.iff', '0', '0.219506', '0', '0.975611', '4933.21', '360', '-1372.51', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4957', '5', '0', 'object/mobile/dressed_criminal_pirate_human_male_01.iff', '0', '0', '0', '1', '4963.13', '360.6', '-1488.54', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4958', '5', '0', 'object/mobile/dressed_bountyhunter_trainer_03.iff', '0', '1', '0', '0', '4963.13', '360.6', '-1487.54', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4959', '5', '0', 'object/mobile/dressed_stormtrooper_m.iff', '0', '0.997564', '0', '-0.0697564', '4914.6', '360', '-1397.6', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4960', '5', '0', 'object/mobile/dressed_commoner_naboo_moncal_female_01.iff', '0', '0.872016', '0', '-0.489478', '4893.76', '360', '-1377.42', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4961', '5', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_02.iff', '0', '0.33763', '0', '0.941279', '5012.26', '360', '-1459.85', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4962', '5', '0', 'object/mobile/dressed_imperial_officer_m_6.iff', '0', '-0.352352', '0', '0.935868', '4887.82', '360', '-1397.11', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4963', '5', '0', 'object/mobile/dressed_stormtrooper_m.iff', '0', '0.758912', '0', '-0.651193', '4863.71', '360', '-1388.88', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4964', '5', '2725360', 'object/mobile/dressed_rsf_security_officer.iff', '-3.79308e-06', '1.40628e-05', '5.33412e-11', '1', '2.01993', '2.12878', '75.6565', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4965', '5', '2725360', 'object/mobile/dressed_commoner_tatooine_sullustan_male_04.iff', '-9.30713e-11', '1', '3.79245e-06', '2.45412e-05', '2.01993', '2.12878', '76.7565', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4966', '5', '2725360', 'object/mobile/dressed_noble_fat_human_male_02.iff', '0', '0.731354', '0', '-0.681998', '19.26', '2.12847', '56.13', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4967', '5', '2725360', 'object/mobile/dressed_entertainer_trainer_human_female_01.iff', '0', '0.0348995', '0', '0.999391', '21.99', '2.12804', '64.05', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4968', '5', '2725359', 'object/mobile/dressed_noble_fat_zabrak_male_02.iff', '0', '0.93358', '0', '-0.358368', '28.93', '2.12878', '58.19', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4969', '5', '2725358', 'object/mobile/dressed_commoner_old_zabrak_female_01.iff', '0.0479209', '2.09546e-05', '-1.00532e-06', '0.998851', '-16.4013', '1.03616', '39.5066', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4970', '5', '2725358', 'object/mobile/dressed_commoner_naboo_moncal_female_01.iff', '9.2272e-07', '0.99885', '0.0479431', '-1.9224e-05', '-16.4012', '0.931264', '40.597', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4971', '5', '2725353', 'object/mobile/dressed_commoner_tatooine_aqualish_male_04.iff', '-2.70914e-06', '1.73694e-05', '4.70561e-11', '1', '10.629', '0.6', '-8.84614', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4972', '5', '2725353', 'object/mobile/dressed_rsf_security_guard.iff', '7.51723e-11', '1', '2.70909e-06', '-2.77482e-05', '10.629', '0.6', '-7.74614', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4973', '5', '2725353', 'object/mobile/dressed_commoner_tatooine_devaronian_male_01.iff', '-7.33063e-07', '0.923892', '1.76994e-06', '0.382652', '9.52903', '0.6', '-7.74614', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4974', '5', '0', 'object/mobile/dressed_commoner_tatooine_ishitib_male_02.iff', '0', '-0.59642', '0', '0.802672', '4856.73', '360', '-1356.73', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4975', '5', '0', 'object/mobile/dressed_commoner_naboo_twilek_male_02.iff', '0', '0.836004', '0', '0.548724', '4854.03', '360', '-1408.46', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4976', '5', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_04.iff', '0', '0.879121', '0', '0.476599', '4947.86', '360', '-1535.93', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4977', '5', '0', 'object/mobile/dressed_commoner_old_twilek_male_02.iff', '0', '0.986412', '0', '-0.164289', '4875.5', '360', '-1524.54', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4978', '5', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_05.iff', '0', '0.870839', '0', '0.491569', '4817.4', '336.5', '-1477.03', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4979', '5', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_09.iff', '0', '0.423166', '0', '0.906052', '4791.56', '335.707', '-1475.86', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4980', '5', '0', 'object/mobile/dressed_commoner_tatooine_rodian_male_01.iff', '0', '-0.589207', '0', '0.807982', '4932.12', '360', '-1560.14', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4981', '5', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_01.iff', '0', '-0.31027', '0', '0.950649', '4700.69', '330', '-1440.46', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4982', '5', '0', 'object/mobile/dressed_commoner_fat_zabrak_male_01.iff', '0', '0.973741', '0', '0.22766', '4717.38', '330', '-1398.67', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4983', '5', '0', 'object/mobile/dressed_commoner_naboo_human_male_04.iff', '0', '0.658286', '0', '0.752768', '4745.23', '329.931', '-1356.99', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4984', '5', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_09.iff', '0', '0.629591', '0', '0.776926', '4685.67', '330', '-1361.02', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4985', '5', '0', 'object/mobile/dressed_scout_trooper_black_black.iff', '0', '-0.331086', '0', '0.9436', '4691.08', '330', '-1348.89', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4986', '5', '0', 'object/mobile/r2.iff', '0', '0.916323', '0', '-0.400441', '4724.81', '330', '-1352.18', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4987', '5', '0', 'object/mobile/dressed_stormtrooper_groupleader_m.iff', '0', '-0.3311', '0', '0.943596', '4696.38', '330', '-1355.52', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4988', '5', '0', 'object/mobile/dark_trooper.iff', '0', '-0.331086', '0', '0.943601', '4696', '330', '-1353.08', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4989', '5', '0', 'object/mobile/r2.iff', '0', '0.811242', '0', '0.58471', '4723.81', '330', '-1353.18', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4990', '5', '0', 'object/mobile/r2.iff', '0', '-0.617037', '0', '0.786934', '4724.81', '330', '-1353.18', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4991', '5', '0', 'object/mobile/dressed_commoner_naboo_human_female_01.iff', '0', '0.914825', '0', '-0.40385', '4751.02', '330', '-1284.86', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4992', '5', '0', 'object/mobile/gungan_s04_male.iff', '0', '0', '0', '1', '4722.63', '332.5', '-1298.05', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4993', '5', '0', 'object/mobile/dressed_royal_officer_human_male_01.iff', '0', '1', '0', '0', '4722.63', '332.5', '-1297.05', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4994', '5', '0', 'object/mobile/dressed_commoner_tatooine_trandoshan_female_03.iff', '0', '0', '0', '1', '4701.18', '330', '-1313.92', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4995', '5', '0', 'object/mobile/dressed_commoner_old_human_male_01.iff', '0', '0.963476', '0', '0.267795', '4695.75', '330.02', '-1286', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4996', '5', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_06.iff', '0', '0.402714', '0', '0.915326', '4616.31', '330', '-1379.2', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4997', '5', '1945398', 'object/mobile/dressed_rsf_pilot.iff', '9.53545e-07', '-9.53545e-07', '8.99301e-13', '1', '17.3153', '3.22324', '-27.7856', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4998', '5', '1945398', 'object/mobile/dressed_commoner_tatooine_aqualish_female_02.iff', '-1.03381e-11', '1', '-1.07297e-06', '-9.53749e-06', '17.3153', '3.22324', '-26.7856', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('4999', '5', '1945397', 'object/mobile/dressed_imperial_officer_m_6.iff', '1.734e-06', '1.76294e-06', '-3.05693e-12', '1', '33.1704', '1.29422', '1.82424', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5000', '5', '1945397', 'object/mobile/dressed_eisley_officer_bothan_male_01.iff', '-2.98093e-12', '1', '-1.73389e-06', '-1.71922e-06', '33.1704', '1.29422', '2.92424', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5001', '5', '1945396', 'object/mobile/dressed_commoner_naboo_human_male_04.iff', '7.58599e-07', '-6.95524e-06', '5.27624e-12', '1', '21.8846', '3.22324', '27.3395', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5002', '5', '1945396', 'object/mobile/dressed_rsf_palace_guard.iff', '-9.76683e-12', '1', '-8.66973e-07', '-1.12654e-05', '21.8846', '3.22324', '28.4395', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5003', '5', '1945396', 'object/mobile/dressed_commoner_fat_human_female_02.iff', '2.34601e-07', '0.923882', '-5.66387e-07', '0.382677', '20.7846', '3.22324', '28.4395', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5004', '5', '1945395', 'object/mobile/gungan_male.iff', '5.41827e-07', '4.33234e-05', '-2.34738e-11', '1', '-20.0822', '3.22324', '22.2463', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5005', '5', '1945395', 'object/mobile/dressed_philosopher.iff', '2.11317e-11', '1', '-5.41887e-07', '3.89964e-05', '-20.0822', '3.22324', '23.3463', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5006', '5', '1945394', 'object/mobile/dressed_commoner_naboo_human_male_08.iff', '1.79232e-06', '4.38608e-05', '0.000102783', '1', '-35.2409', '1.29422', '-1.5257', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5007', '5', '1945394', 'object/mobile/dressed_commoner_fat_twilek_female_02.iff', '6.70161e-11', '1', '-1.84798e-06', '3.62442e-05', '-35.2409', '1.29422', '-0.525697', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5008', '5', '1945393', 'object/mobile/dressed_commoner_naboo_human_female_08.iff', '7.58629e-07', '1.73045e-05', '-1.31277e-11', '1', '-24.5868', '3.22324', '-35.1659', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5009', '5', '1945393', 'object/mobile/dressed_scout_trooper_white_white.iff', '1.05189e-11', '1', '-7.58574e-07', '1.38667e-05', '-24.5868', '3.22324', '-34.0659', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5010', '5', '1945393', 'object/mobile/gungan_s04_male.iff', '2.05268e-07', '0.923881', '-4.95566e-07', '0.382681', '-25.6868', '3.22324', '-34.0659', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5011', '5', '1945393', 'object/mobile/gungan_male.iff', '7.58558e-07', '-1.2836e-06', '9.73683e-13', '1', '-15.1955', '3.22324', '-28.7307', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5012', '5', '1945393', 'object/mobile/gungan_s04_male.iff', '-4.5568e-12', '1', '-8.6702e-07', '-5.2557e-06', '-15.1955', '3.22324', '-27.6307', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5013', '5', '1945392', 'object/mobile/dressed_rebel_trooper_human_male_01.iff', '-3.61775e-05', '-9.0833e-05', '-3.28611e-09', '1', '1.72965', '7.90012', '-40.331', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5014', '5', '1945392', 'object/mobile/dressed_commoner_fat_twilek_male_02.iff', '1.47343e-09', '1', '-3.3718e-05', '4.36987e-05', '1.72954', '7.90017', '-39.5532', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5015', '5', '1945390', 'object/mobile/dressed_commoner_naboo_human_female_04.iff', '-3.90127e-06', '3.4652e-06', '1.35187e-11', '1', '4.96782', '2.27819', '-27.7077', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5016', '5', '1945390', 'object/mobile/gungan_s02_male.iff', '2.49598e-12', '1', '3.90147e-06', '-6.39753e-07', '4.96782', '2.27819', '-26.6077', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5017', '5', '1945390', 'object/mobile/gungan_s04_male.iff', '2.81795e-06', '-4.88262e-05', '1.3759e-10', '1', '1.53013', '7.9', '-32.1', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5018', '5', '1945390', 'object/mobile/dressed_commoner_tatooine_aqualish_male_04.iff', '-1.4908e-10', '1', '-2.81736e-06', '-5.29148e-05', '1.53013', '7.9', '-31', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5019', '5', '1945390', 'object/mobile/dressed_criminal_thug_human_female_01.iff', '0.0276897', '0.000263709', '-7.30484e-06', '0.999617', '-1.89889', '2.353', '-16.5459', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5020', '5', '1945390', 'object/mobile/dressed_commoner_naboo_human_female_06.iff', '5.62324e-06', '0.999616', '0.0276936', '-0.000202974', '-1.89845', '2.29205', '-15.4469', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5021', '5', '1945390', 'object/mobile/dressed_commoner_artisan_trandoshan_male_01.iff', '-0.00848588', '0.923603', '0.0204793', '0.382708', '-2.99839', '2.28403', '-15.447', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5022', '5', '1945390', 'object/mobile/dressed_eisley_officer_bothan_male_01.iff', '0.0180859', '0.382899', '-0.00749807', '0.923583', '-2.99889', '2.353', '-16.5459', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5023', '5', '1945390', 'object/mobile/dressed_doctor_trainer_human_female_01.iff', '0.000236167', '-2.68756e-05', '6.34714e-09', '1', '-17.5508', '1.3028', '2.42804', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5024', '5', '1945390', 'object/mobile/dressed_noble_zabrak_female_01.iff', '7.48645e-09', '1', '0.000239908', '-3.12055e-05', '-17.5508', '1.30227', '3.52804', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5025', '5', '1945390', 'object/mobile/gungan_s02_male.iff', '5.55379e-06', '3.33732e-05', '-1.85348e-10', '1', '-3.03791', '0.3', '-5.17766', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5026', '5', '1945390', 'object/mobile/dressed_commoner_tatooine_aqualish_male_04.iff', '1.62641e-10', '1', '-5.55429e-06', '2.92821e-05', '-3.03791', '0.3', '-4.07766', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5027', '5', '1945390', 'object/mobile/dressed_commoner_naboo_human_male_07.iff', '5.55491e-06', '-1.14795e-05', '6.37674e-11', '1', '5.4939', '0.3', '2.7099', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5028', '5', '1945390', 'object/mobile/gungan_s02_male.iff', '-8.67188e-11', '1', '-5.55317e-06', '-1.56161e-05', '5.4939', '0.3', '3.8099', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5029', '5', '1945390', 'object/mobile/dressed_entertainer_trainer_twk_male_01.iff', '5.88275e-05', '-1.71655e-05', '1.00977e-09', '1', '16.3801', '1.29971', '10.3157', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5030', '5', '1945390', 'object/mobile/dressed_commoner_artisan_bith_male_01.iff', '1.51718e-09', '1', '5.89479e-05', '-2.57487e-05', '16.3801', '1.2996', '11.3157', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5031', '5', '0', 'object/mobile/dressed_plainsfolk.iff', '0.0752213', '0', '0', '0.997167', '4600.46', '322.825', '-1326.97', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5032', '5', '0', 'object/mobile/dressed_commoner_tatooine_sullustan_male_06.iff', '-2.77448e-09', '0.997167', '0.0752213', '2.09293e-10', '4600.46', '322.673', '-1325.97', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5033', '5', '0', 'object/mobile/dressed_eisley_officer_bothan_female_01.iff', '0', '1', '0', '0', '4701.18', '330', '-1312.92', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5034', '5', '0', 'object/mobile/dressed_stormtrooper_groupleader_m.iff', '0', '-0.414693', '0', '0.909961', '4606.6', '323.327', '-1321.9', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5035', '5', '0', 'object/mobile/dressed_commoner_tatooine_trandoshan_female_01.iff', '0', '0.296648', '0', '0.954987', '4785.46', '330', '-1260.38', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5036', '5', '0', 'object/mobile/dressed_commoner_tatooine_sullustan_male_01.iff', '0', '0.822795', '0', '-0.568338', '5011.88', '360', '-1570.16', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5037', '5', '0', 'object/mobile/dressed_commoner_naboo_human_female_03.iff', '0', '0.959954', '0', '-0.280159', '4972.24', '360', '-1582.84', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5038', '5', '0', 'object/mobile/dressed_imperial_officer_m_4.iff', '0', '0.947523', '0', '0.319688', '4983.72', '360.01', '-1588.95', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5039', '5', '1685124', 'object/mobile/dressed_nym_guard_elite_nikto_m.iff', '-0.0249844', '0.869511', '0.0143949', '-0.493072', '-8.1', '6.1', '-9.9', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5040', '5', '1685124', 'object/mobile/dressed_nym_guard_elite_hum_m.iff', '-0.0256633', '0.844158', '0.0131464', '-0.535319', '-8.09981', '6.1', '-7.40014', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5041', '5', '1418886', 'object/mobile/palpatine.iff', '0', '0', '0', '0', '13.05', '21.0007', '-26.07', '700', 'neutral', '128', '0', '43200');
INSERT INTO `world_server_static_spawns` VALUES ('5042', '5', '1418884', 'object/mobile/darth_vader.iff', '0', '0', '0', '0', '-57.25', '0.200002', '-24.06', '500', 'neutral', '128', '0', '3600');
INSERT INTO `world_server_static_spawns` VALUES ('5043', '5', '1418884', 'object/mobile/space_imperial_tier4_naboo_inquisitor.iff', '-3e-06', '0.198956', '-7e-06', '0.980008', '-44.0155', '0.200001', '-31.5855', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5044', '5', '1418879', 'object/mobile/mouse_droid.iff', '0', '-0.693698', '0', '0.72029', '-45.79', '0.200001', '-12.5', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5045', '5', '1418876', 'object/mobile/lord_hethrir.iff', '-4e-06', '-0.398778', '1e-06', '0.917047', '4.98', '0.200735', '-41.82', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5046', '5', '1418876', 'object/mobile/ra7_bug_droid.iff', '0', '-0.052336', '0', '0.99863', '4', '0.200735', '-45.3', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5047', '5', '1418875', 'object/mobile/loam_redge.iff', '-1e-06', '0.519065', '0', '0.854735', '19.29', '0.2', '-41.96', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5048', '5', '1418875', 'object/mobile/space_imperial_tier3_naboo_vrke.iff', '-2e-06', '0.110912', '0', '0.99383', '23.1274', '0.2', '-42.5309', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5049', '5', '1418875', 'object/mobile/mouse_droid.iff', '0', '0.935313', '0', '0.353856', '23.83', '0.2', '-40.42', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5050', '5', '1418874', 'object/mobile/dressed_corvette_imperial_velso.iff', '1e-06', '0.915357', '7e-06', '-0.402642', '23.6259', '0.2', '-19.0985', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5051', '5', '1418874', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '1.58', '0.2', '-23.35', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5052', '5', '1418874', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '3.58', '0.2', '-23.35', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5053', '5', '1418874', 'object/mobile/mouse_droid.iff', '0', '0.591327', '0', '0.806455', '12.2506', '0.199998', '-24.38', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5054', '5', '1418873', 'object/mobile/theme_park_record_keeper_imperial.iff', '-3e-06', '0.075535', '0', '0.997143', '33.342', '0.2', '-35.8394', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5055', '5', '1418872', 'object/mobile/kaja_orzee.iff', '-3e-06', '0.673244', '-1e-06', '0.739421', '2.06', '0.2', '-13.74', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5056', '5', '0', 'object/mobile/space_imperial_tier2_naboo.iff', '0', '0.977988', '0', '-0.208663', '2444.23', '292', '-3896.67', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5057', '5', '0', 'object/mobile/naboo_npc/thrawn.iff', '0', '0.68422', '0', '0.729275', '2369.5', '291.909', '-3922', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5058', '5', '0', 'object/mobile/naboo_npc/veers.iff', '-0.00629', '0.777236', '-0.005092', '0.629157', '2369', '291.909', '-3921', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5059', '5', '0', 'object/mobile/dressed_tie_fighter_m.iff', '0', '0.968887', '0', '-0.247504', '2447.5', '292', '-3898', '15', 'npc_sitting_chair', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5060', '5', '0', 'object/mobile/dressed_tie_fighter_m.iff', '0', '0.989016', '0', '-0.147809', '2431.98', '292', '-3887.32', '15', 'npc_use_terminal_high', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5061', '5', '0', 'object/mobile/dressed_noble_fat_zabrak_male_01.iff', '0', '0.982066', '0', '0.188536', '2413.23', '292', '-3939.15', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5062', '5', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '2360.5', '0', '-4102.83', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5063', '5', '0', 'object/mobile/dressed_imperial_captain_m.iff', '0', '0.264089', '0', '0.964498', '2414.94', '292', '-3948.01', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5064', '5', '0', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '2455.69', '0', '-3947.99', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5065', '5', '0', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '2456.94', '0', '-3938.96', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5066', '5', '0', 'object/mobile/atst.iff', '0', '0', '0', '0', '2456.07', '0', '-3942.03', '100', 'neutral', '128', '0', '1800');
INSERT INTO `world_server_static_spawns` VALUES ('5067', '5', '0', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '2451.27', '0', '-3930.31', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5068', '5', '0', 'object/mobile/atst.iff', '0', '0', '0', '0', '2440.44', '0', '-3975.22', '100', 'neutral', '128', '0', '1800');
INSERT INTO `world_server_static_spawns` VALUES ('5069', '5', '0', 'object/mobile/dressed_scout_trooper_black_black.iff', '0', '0', '0', '0', '2336.18', '0', '-3949.59', '29', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5070', '5', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '2424.98', '0', '-3983.18', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5071', '5', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '2420.63', '0', '-3975.93', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5072', '5', '0', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '2439.72', '0', '-3939.76', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5073', '5', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '2353.53', '0', '-4099.08', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5074', '5', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '2428.22', '0', '-3970.91', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5075', '5', '0', 'object/mobile/dressed_scout_trooper_black_black.iff', '0', '0', '0', '0', '2347.46', '0', '-3965.7', '29', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5076', '5', '0', 'object/mobile/dressed_scout_trooper_black_black.iff', '0', '0', '0', '0', '2333', '0', '-3954.55', '29', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5077', '5', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '2554.14', '0', '-3868.55', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5078', '5', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '2558.77', '0', '-3864.6', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5079', '5', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '2563.12', '0', '-3859.05', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5080', '5', '0', 'object/mobile/dressed_imperial_officer_m_4.iff', '0', '0.035375', '0', '0.999374', '5383.42', '-192', '6643.69', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5081', '5', '0', 'object/mobile/dressed_imperial_medic1_human_male_01.iff', '0', '0.103106', '0', '0.99467', '5294.87', '-191.4', '6754.71', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5082', '5', '0', 'object/mobile/dressed_imperial_officer_m_6.iff', '0', '0.948324', '0', '-0.317305', '5386', '-192', '6711', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5083', '5', '0', 'object/mobile/dressed_imperial_captain_m.iff', '0', '0.953717', '0', '-0.300706', '5383', '-192', '6713', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5084', '5', '0', 'object/mobile/atst.iff', '0', '0.0697564', '0', '0.997564', '5348', '-192', '6596', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5085', '5', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_03.iff', '0', '-0.371286', '0', '0.928519', '5179.34', '-192', '6727.08', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5086', '5', '1741544', 'object/mobile/dressed_rsf_security_officer.iff', '1.02973e-06', '-2.86423e-05', '2.94938e-11', '1', '-26.4926', '1.63942', '52.999', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5087', '5', '1741544', 'object/mobile/dressed_combatmedic_trainer_human_female_01.iff', '1.04359e-10', '1', '-1.08392e-06', '9.62793e-05', '-26.4926', '1.63942', '54.099', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5088', '5', '1741542', 'object/mobile/dressed_royal_officer_human_female_01.iff', '-2.16773e-06', '-7.45156e-05', '-1.6153e-10', '1', '44.6962', '-0.521138', '30.9844', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5089', '5', '1741542', 'object/mobile/dressed_rsf_security_officer.iff', '-1.128e-10', '1', '2.16795e-06', '5.20306e-05', '44.6962', '-0.521138', '32.0844', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5090', '5', '1741542', 'object/mobile/dressed_criminal_thug_aqualish_male_01.iff', '-8.04552e-07', '4.19559e-05', '3.38113e-11', '1', '51.6463', '0.639418', '47.081', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5091', '5', '1741542', 'object/mobile/dressed_commoner_tatooine_trandoshan_male_02.iff', '-3.47628e-11', '1', '1.01321e-06', '3.43298e-05', '51.6463', '0.639418', '48.081', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5092', '5', '1741539', 'object/mobile/dressed_mercenary_weak_hum_f.iff', '0', '0.284015', '0', '0.95882', '1.1', '0.639421', '66.3', '15', 'explain', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5093', '5', '0', 'object/mobile/dressed_commoner_fat_human_male_02.iff', '0', '0.906992', '0', '0.421149', '5245.71', '-192', '6765.44', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5094', '5', '0', 'object/mobile/dressed_stormtrooper_m.iff', '0', '0.899055', '0', '-0.437835', '5216.2', '-192', '6721.88', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5095', '5', '0', 'object/mobile/dressed_commoner_naboo_bothan_male_01.iff', '0', '0.915499', '0', '-0.402321', '5239.3', '-192', '6793.45', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5096', '5', '0', 'object/mobile/dressed_commoner_tatooine_bith_male_04.iff', '0', '0.85245', '0', '0.522809', '5211.87', '-192', '6642.48', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5097', '5', '0', 'object/mobile/dressed_commoner_naboo_human_female_07.iff', '0', '0.880003', '0', '0.474968', '5270.85', '-192', '6596.08', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5098', '5', '0', 'object/mobile/dressed_commoner_tatooine_ishitib_male_02.iff', '0', '0.937233', '0', '-0.348703', '5296.48', '-192', '6594.51', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5099', '5', '0', 'object/mobile/dressed_commoner_naboo_human_male_07.iff', '0', '0.417412', '0', '0.908717', '5271.78', '-192', '6787.81', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5100', '5', '0', 'object/mobile/dressed_commoner_fat_zabrak_female_02.iff', '0', '0.994011', '0', '-0.109278', '5239.16', '-192', '6720.19', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5101', '5', '0', 'object/mobile/dressed_commoner_naboo_bothan_male_01.iff', '0', '-0.392767', '0', '0.919638', '5216.53', '-192', '6742.42', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5102', '5', '0', 'object/mobile/dressed_commoner_tatooine_sullustan_male_01.iff', '0', '-0.530134', '0', '0.847914', '5210.94', '-192', '6754.5', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5103', '5', '0', 'object/mobile/dressed_noble_human_male_04.iff', '0', '0.561628', '0', '0.82739', '5238.15', '-192', '6729.7', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5104', '5', '0', 'object/mobile/dressed_goon_twk_female_01.iff', '0', '0.278821', '0', '0.960343', '5225.26', '-192', '6584.55', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5105', '5', '0', 'object/mobile/space_greeter_kadaara_mistress.iff', '0', '0.973847', '0', '0.227202', '5207.32', '-192', '6681.31', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5106', '5', '0', 'object/mobile/space_greeter_kadaara_imperial_officer.iff', '0', '0.749105', '0', '-0.662451', '5206.5', '-192', '6680.65', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5107', '5', '4105618', 'object/mobile/dressed_noble_trandoshan_female_01.iff', '0', '0.731354', '0', '-0.681998', '19.26', '2.12847', '56.13', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5108', '5', '4105618', 'object/mobile/dressed_entertainer_trainer_twk_male_01.iff', '0', '0.0348995', '0', '0.999391', '21.99', '2.12804', '64.05', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5109', '5', '4105617', 'object/mobile/dressed_noble_rodian_male_01.iff', '0', '0.93358', '0', '-0.358368', '28.93', '2.12878', '58.19', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5110', '5', '4105616', 'object/mobile/dressed_artisan_trainer_02.iff', '-2.60121e-06', '-8.73759e-05', '-2.27283e-10', '1', '-4.81963', '2.6', '1.08421', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5111', '5', '4105616', 'object/mobile/dressed_commoner_tatooine_aqualish_female_05.iff', '2.30504e-10', '1', '2.60042e-06', '-8.86409e-05', '-4.81963', '2.6', '2.18421', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5112', '5', '4105616', 'object/mobile/dressed_commoner_tatooine_trandoshan_female_02.iff', '-2.38418e-06', '4.68179e-05', '1.11622e-10', '1', '8.71378', '2.6', '6.76814', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5113', '5', '4105616', 'object/mobile/dressed_criminal_slicer_human_male_01.iff', '-1.0359e-10', '1', '2.27562e-06', '4.55216e-05', '8.71378', '2.6', '7.86814', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5114', '5', '0', 'object/mobile/dressed_commoner_tatooine_ishitib_male_03.iff', '0', '0.848459', '0', '-0.529261', '5325.66', '-192', '6607.67', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5115', '5', '0', 'object/mobile/dressed_commoner_tatooine_rodian_male_01.iff', '0', '0.862557', '0', '-0.50596', '5312.15', '-192', '6595.7', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5116', '5', '0', 'object/mobile/dressed_commoner_naboo_human_male_06.iff', '0', '0.948748', '0', '0.316034', '5374.03', '-191.4', '6734.62', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5117', '5', '0', 'object/mobile/dressed_commoner_tatooine_bith_male_04.iff', '0', '-0.460315', '0', '0.887755', '5343.55', '-192', '6709.87', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5118', '5', '0', 'object/mobile/dressed_noble_trandoshan_male_01.iff', '0', '0.798478', '0', '-0.602024', '5342.5', '-192', '6716.59', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5119', '5', '0', 'object/mobile/dressed_noble_old_zabrak_male_01.iff', '0', '0.544255', '0', '0.83892', '5390', '-192', '6721.24', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5120', '5', '0', 'object/mobile/eg6_power_droid.iff', '0', '0.962527', '0', '0.271186', '5181.17', '-192', '6669.5', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5121', '5', '0', 'object/mobile/cll8_binary_load_lifter.iff', '0', '-0.640583', '0', '0.767889', '5181.17', '-192', '6669.5', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5122', '5', '0', 'object/mobile/dressed_rsf_security_guard.iff', '0', '0.734368', '0', '0.678751', '5258.8', '-192', '6750.81', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5123', '5', '0', 'object/mobile/dressed_rsf_security_officer.iff', '0', '0.734376', '0', '0.678743', '5256.24', '-192', '6749.88', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5124', '5', '0', 'object/mobile/dressed_rsf_security_officer.iff', '0', '0.734313', '0', '0.678811', '5256.09', '-192', '6751.02', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5125', '5', '0', 'object/mobile/dressed_commoner_fat_human_female_01.iff', '0', '0.999661', '0', '-0.0260359', '5401.77', '-192', '6667.47', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5126', '5', '0', 'object/mobile/dressed_criminal_thug_trandoshan_male_01.iff', '0', '0.271449', '0', '0.962453', '5180.08', '-192', '6648.55', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5127', '5', '0', 'object/mobile/zabrak_male.iff', '0', '0', '0', '1', '5383.39', '-192', '6658.79', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5128', '5', '0', 'object/mobile/dressed_imperial_officer_m.iff', '0', '0.000485901', '0', '1', '5294.23', '-191.4', '6754.17', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5129', '5', '0', 'object/mobile/dressed_robber_twk_female_01.iff', '0', '0', '0', '1', '5296.9', '-192', '6579.91', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5130', '5', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_02.iff', '0', '-0.0441157', '0', '0.999026', '5177.78', '-192', '6780.08', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5131', '5', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_08.iff', '0', '0.945391', '0', '-0.32594', '5160.6', '-192', '6764.05', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5132', '5', '0', 'object/mobile/dressed_criminal_thug_aqualish_female_01.iff', '0', '0.994313', '0', '-0.106494', '5159.54', '-192', '6756.92', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5133', '5', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '-5.62539e-07', '0.106494', '-5.25234e-06', '0.994313', '5157.16', '-192', '6745.93', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5134', '5', '0', 'object/mobile/dressed_stormtrooper_m.iff', '0', '0.997804', '0', '-0.0662346', '5147.49', '-192', '6756.83', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5135', '5', '0', 'object/mobile/dressed_stormtrooper_groupleader_m.iff', '-1.37215e-07', '-0.342946', '-7.04839e-08', '0.939355', '5138.42', '-192', '6732.99', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5136', '5', '0', 'object/mobile/dressed_stormtrooper_sniper_m.iff', '0', '-0.342941', '0', '0.939357', '5138.33', '-192', '6733.09', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5137', '5', '0', 'object/mobile/dressed_commoner_naboo_moncal_male_02.iff', '0', '-0.18506', '0', '0.982727', '5163.6', '-192', '6642.08', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5138', '5', '0', 'object/mobile/dressed_commoner_tatooine_bith_male_01.iff', '0', '0.908972', '0', '-0.416858', '5140.88', '-192', '6744.54', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5139', '5', '0', 'object/mobile/dressed_stormtrooper_m.iff', '0', '-0.342928', '0', '0.939362', '5138.17', '-192', '6733.28', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5140', '5', '0', 'object/mobile/dressed_imperial_officer_m.iff', '0', '0.0261769', '0', '0.999657', '5137', '-192', '6719', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5141', '5', '0', 'object/mobile/dressed_stormtrooper_m.iff', '0', '-0.342944', '0', '0.939356', '5138.08', '-192', '6733.39', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5142', '5', '0', 'object/mobile/dressed_imperial_officer_m_6.iff', '0', '-0.555937', '0', '0.831224', '5144.8', '-192', '6674.66', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5143', '5', '0', 'object/mobile/dressed_commoner_naboo_human_male_07.iff', '0', '0.931323', '0', '-0.364195', '5179.66', '-192', '6614.84', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5144', '5', '0', 'object/mobile/dressed_stormtrooper_m.iff', '-1.19957e-08', '0.939354', '9.48556e-09', '0.342949', '5130.56', '-192', '6742.32', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5145', '5', '0', 'object/mobile/dressed_royal_officer_human_male_01.iff', '0', '0.230964', '0', '0.972962', '5132.44', '-192', '6761.91', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5146', '5', '0', 'object/mobile/dressed_royal_officer_human_female_01.iff', '0', '0.382683', '0', '0.92388', '5122.78', '-192', '6703.47', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5147', '5', '0', 'object/mobile/dressed_commoner_tatooine_rodian_male_02.iff', '0', '-0.265423', '0', '0.964132', '5125.82', '-192', '6729.93', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5148', '5', '0', 'object/mobile/dressed_imperial_officer_m.iff', '0', '0.951556', '0', '0.307475', '5163.99', '-192', '6804.36', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5149', '5', '0', 'object/mobile/dressed_stormtrooper_groupleader_m.iff', '0.00202282', '0.951662', '0.000666429', '0.307142', '5161.89', '-192', '6805.17', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5150', '5', '0', 'object/mobile/dressed_commoner_old_twilek_male_02.iff', '0', '0.583183', '0', '0.812341', '5106.77', '-192', '6694.65', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5151', '5', '0', 'object/mobile/dressed_royal_officer_human_female_01.iff', '0', '0.587785', '0', '0.809017', '5116', '-192', '6744', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5152', '5', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_04.iff', '0', '0.195775', '0', '0.980649', '5106.88', '-192', '6724.57', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5153', '5', '0', 'object/mobile/dressed_commoner_naboo_zabrak_female_01.iff', '0', '0.991791', '0', '-0.127866', '5185.31', '-192', '6559.76', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5154', '5', '1741510', 'object/mobile/dressed_commoner_fat_human_male_02.iff', '0', '0.824126', '0', '-0.566406', '3.29', '1.13306', '-9.58', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5155', '5', '1741509', 'object/mobile/dressed_imperial_officer_m_4.iff', '0', '-0.545033', '0', '0.838415', '13.9615', '1.13306', '-9.1667', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5156', '5', '1741506', 'object/mobile/dressed_artisan_trainer_03.iff', '0', '0.0958457', '0', '0.995396', '-3.69', '1.13306', '-6', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5157', '5', '0', 'object/mobile/dressed_stormtrooper_m.iff', '0', '0.568194', '0', '0.822895', '5096.58', '-192', '6752.68', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5158', '5', '0', 'object/mobile/dressed_imperial_officer_m.iff', '0', '0.922042', '0', '0.387091', '5073.26', '-191.739', '6702.36', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5159', '5', '0', 'object/mobile/dressed_commoner_naboo_twilek_female_01.iff', '0', '0.199638', '0', '0.97987', '5057.21', '-192', '6643.08', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5160', '5', '1741443', 'object/mobile/dressed_criminal_pirate_human_male_01.iff', '2.72719e-06', '-5.81801e-05', '1.58477e-10', '1', '-20.8786', '0.26', '8.23819', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5161', '5', '1741443', 'object/mobile/dressed_commoner_fat_human_male_01.iff', '-2.75888e-10', '1', '-2.72686e-06', '-0.000101088', '-20.8786', '0.26', '9.23819', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5162', '5', '1741443', 'object/mobile/21b_surgical_droid.iff', '0', '-0.0739675', '0', '0.997261', '-25.52', '0.26', '-3.48', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5163', '5', '0', 'object/mobile/dressed_stormtrooper_m.iff', '0', '0.918452', '0', '0.395532', '5042', '-192', '6682', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5164', '5', '0', 'object/mobile/dressed_royal_officer_human_male_01.iff', '0', '0.418251', '0', '0.908332', '5049.58', '-192', '6733.6', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5165', '5', '0', 'object/mobile/dressed_stormtrooper_m.iff', '0', '0.892001', '0', '0.452033', '5032.85', '-192', '6689.91', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5166', '5', '0', 'object/mobile/dressed_crook_zabrak_male_01.iff', '0', '-0.452033', '0', '0.892001', '5037.71', '-192', '6686.35', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5167', '5', '0', 'object/mobile/dressed_commoner_naboo_twilek_female_01.iff', '0', '0.741224', '0', '-0.671257', '5058.58', '-192', '6749.43', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5168', '5', '0', 'object/mobile/dressed_rsf_security_guard.iff', '0', '0.873448', '0', '0.486917', '5056.62', '-192', '6764.09', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5169', '5', '0', 'object/mobile/dressed_imperial_officer_m.iff', '0', '0.769078', '0', '0.639155', '5030', '-192', '6709', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5170', '5', '0', 'object/mobile/dressed_royal_officer_human_male_01.iff', '0', '0.784435', '0', '-0.620212', '5023.3', '-192', '6695.39', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5171', '5', '0', 'object/mobile/dressed_stormtrooper_sniper_m.iff', '0', '0.957948', '0', '-0.286943', '5021', '-192', '6662', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5172', '5', '0', 'object/mobile/dressed_commoner_tatooine_bith_male_01.iff', '0', '0.994836', '0', '0.1015', '5132.48', '-192', '6734.76', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5173', '5', '0', 'object/mobile/dressed_imperial_medic3_human_male_01.iff', '0', '0.893979', '0', '0.448108', '5083.98', '-192', '6789.64', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5174', '5', '0', 'object/mobile/dressed_imperial_officer_m_3.iff', '0', '0.901202', '0', '0.433399', '5052.69', '-192', '6734.06', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5175', '5', '0', 'object/mobile/dressed_imperial_officer_m.iff', '0', '-0.543778', '0', '0.83923', '5040.34', '-192', '6729.92', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5176', '5', '0', 'object/mobile/dressed_commoner_tatooine_trandoshan_male_02.iff', '0', '-0.296431', '0', '0.955054', '5087.24', '-192', '6804.38', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5177', '5', '0', 'object/mobile/dressed_commoner_tatooine_trandoshan_male_02.iff', '0', '-0.690407', '0', '0.723421', '5015.78', '-192', '6715.83', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5178', '5', '0', 'object/mobile/dressed_commoner_naboo_human_male_01.iff', '0', '0.718487', '0', '-0.69554', '5017.17', '-192', '6747.21', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5179', '5', '0', 'object/mobile/dressed_commoner_naboo_human_male_01.iff', '0', '-0.0120269', '0', '0.999928', '5068.4', '-192', '6793.56', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5180', '5', '0', 'object/mobile/dressed_doctor_trainer_moncal_female_01.iff', '0', '0.572892', '0', '0.819631', '5088.82', '-192', '6794.73', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5181', '5', '0', 'object/mobile/dressed_stormtrooper_m.iff', '0', '0.374607', '0', '0.927184', '5035', '-192', '6762', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5182', '5', '0', 'object/mobile/dressed_commoner_naboo_human_male_04.iff', '0', '-0.224583', '0', '0.974455', '5100.64', '-192', '6808.86', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5183', '5', '0', 'object/mobile/dressed_commoner_tatooine_trandoshan_male_01.iff', '0', '-0.0223476', '0', '0.99975', '5036.65', '-192', '6783.93', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5184', '5', '0', 'object/mobile/dressed_stormtrooper_m.iff', '0', '-0.469472', '0', '0.882948', '5039', '-192', '6792', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5185', '5', '0', 'object/mobile/dressed_commoner_naboo_zabrak_female_02.iff', '0', '0.889496', '0', '0.456944', '5171.63', '-192', '6823.32', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5186', '5', '1741462', 'object/mobile/dressed_commoner_tatooine_rodian_male_04.iff', '0', '0.866025', '0', '0.5', '-14.01', '1.13306', '-8.53', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5187', '5', '1741461', 'object/mobile/dressed_commoner_tatooine_aqualish_female_01.iff', '0', '0.913545', '0', '-0.406737', '3.32', '1.13306', '-8.49', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5188', '5', '1741458', 'object/mobile/dressed_imperial_officer_m_2.iff', '0', '0.812127', '0', '0.58348', '9.7375', '1.13306', '0.490394', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5189', '5', '0', 'object/mobile/dressed_commoner_naboo_bothan_female_02.iff', '0', '0.996421', '0', '0.0845352', '5030.66', '-192', '6796.27', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5190', '5', '0', 'object/mobile/dressed_commoner_naboo_moncal_male_02.iff', '0', '-0.690838', '0', '0.72301', '5024.88', '-192', '6806.7', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5191', '5', '0', 'object/mobile/dressed_hutt_medic1_zabrak_female_01.iff', '0', '0.917083', '0', '-0.398697', '5027.39', '-192', '6814.02', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5192', '5', '0', 'object/mobile/dressed_imperial_officer_m_4.iff', '0', '0.622515', '0', '0.782608', '4997', '-192', '6738', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5193', '5', '0', 'object/mobile/dressed_mugger.iff', '0', '0', '0', '1', '5005.13', '-192', '6792.08', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5194', '5', '0', 'object/mobile/dressed_commoner_old_twilek_female_02.iff', '0', '-0.365925', '0', '0.930644', '5000.9', '-192', '6800.11', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5195', '5', '0', 'object/mobile/dressed_commoner_tatooine_bith_female_03.iff', '0', '0.999607', '0', '0.0280254', '5045.25', '-192', '6760.82', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5196', '5', '0', 'object/mobile/dressed_commoner_fat_twilek_female_01.iff', '0', '0.530098', '0', '0.847937', '5010.71', '-192', '6813.34', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5197', '5', '0', 'object/mobile/dressed_swamp_trooper_m.iff', '0', '-0.669131', '0', '0.743145', '5016', '-192', '6812', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5198', '5', '0', 'object/mobile/dressed_commoner_tatooine_trandoshan_female_03.iff', '0', '0.999487', '0', '0.0320176', '4980.63', '-192', '6821.19', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5199', '5', '0', 'object/mobile/dressed_imperial_officer_m.iff', '0', '-0.026177', '0', '0.999657', '4968', '-192', '6806', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5200', '5', '0', 'object/mobile/dressed_stormtrooper_m.iff', '0', '0.986192', '0', '-0.165607', '4965.23', '-192', '6769.42', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5201', '5', '0', 'object/mobile/dressed_imperial_officer_m_3.iff', '0', '-0.681998', '0', '0.731354', '5001', '-192', '6824', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5202', '5', '0', 'object/mobile/r4.iff', '0', '-0.702625', '0', '0.711561', '4974.27', '-192', '6774.2', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5203', '5', '0', 'object/mobile/r3.iff', '0', '0.932449', '0', '-0.361301', '4974.27', '-192', '6776.2', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5204', '5', '0', 'object/mobile/dressed_stormtrooper_m.iff', '0', '0.909883', '0', '-0.414865', '4989.79', '-192', '6810.44', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5205', '5', '0', 'object/mobile/fanned_rawl_hue.iff', '0', '-0.152688', '0', '0.988274', '4867.83', '-210.92', '6614.87', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5206', '5', '0', 'object/mobile/dressed_commoner_tatooine_devaronian_male_01.iff', '0', '0.373283', '0', '0.927717', '4954.59', '-192', '6766.57', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5207', '5', '0', 'object/mobile/dressed_stormtrooper_m.iff', '0', '0.67559', '0', '0.737277', '4961', '-192', '6790', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5208', '5', '0', 'object/mobile/dressed_commoner_naboo_zabrak_male_01.iff', '0', '0.988415', '0', '-0.151777', '4939.84', '-192', '6697.71', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5209', '5', '0', 'object/mobile/dressed_goon_twk_male_01.iff', '0', '0.990865', '0', '-0.134858', '4929.24', '-192', '6738.04', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5210', '5', '0', 'object/mobile/dressed_desperado_bith_female_01.iff', '0', '0.444171', '0', '0.895942', '4992.66', '-192', '6743.77', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5211', '5', '0', 'object/mobile/dressed_commoner_naboo_human_male_08.iff', '0', '-0.475113', '0', '0.879925', '4941.53', '-192', '6757.62', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5212', '5', '0', 'object/mobile/fanned_rawl_hue.iff', '0', '0.296698', '0', '0.954971', '4833.68', '-206.333', '6909.84', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5213', '5', '64', 'object/mobile/dressed_commoner_tatooine_aqualish_male_09.iff', '0', '0.757446', '0', '0.652898', '7.91779', '-0.894992', '2.58107', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5214', '5', '64', 'object/mobile/dressed_herald_pirate_naboo_human_male.iff', '-5.94562e-08', '0.877036', '3.31242e-07', '0.480425', '12.3596', '-0.894992', '0.433575', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5215', '5', '0', 'object/mobile/dressed_goon_twk_male_01.iff', '0', '0.781443', '0', '-0.623977', '5038.74', '-203.151', '6897.17', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5216', '5', '0', 'object/mobile/dressed_robber_human_male_01.iff', '0', '0.904497', '0', '-0.42648', '5021.43', '-204.523', '6894.13', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5217', '5', '0', 'object/mobile/dressed_commoner_tatooine_bith_male_03.iff', '0', '-0.220581', '0', '0.975369', '4977.35', '-192', '6816.87', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5218', '5', '0', 'object/mobile/dressed_villain_trandoshan_female_01.iff', '0', '0.567851', '0', '0.823132', '5044.41', '-202.961', '6902.75', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5219', '5', '0', 'object/mobile/dressed_hoodlum_zabrak_male_01.iff', '0', '0.419001', '0', '0.907986', '5031.68', '-203.839', '6903.79', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5220', '5', '0', 'object/mobile/fanned_rawl_hue.iff', '0', '0.566053', '0', '0.824369', '4909', '-207.999', '6954.79', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5221', '5', '0', 'object/mobile/dressed_criminal_thug_rodian_female_01.iff', '0', '-0.680405', '0', '0.732837', '4882.03', '-200.106', '6847.21', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5222', '5', '0', 'object/mobile/dressed_robber_human_female_01.iff', '0', '0.914382', '0', '-0.404853', '4882.12', '-199.875', '6845.05', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5223', '5', '0', 'object/mobile/dressed_criminal_thug_human_male_02.iff', '0', '0.869012', '0', '0.494792', '4892.24', '-200.457', '6845.57', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5224', '5', '0', 'object/mobile/fanned_rawl_hue.iff', '0', '0.94466', '0', '0.32805', '4793.14', '-211.009', '6878.33', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5225', '5', '0', 'object/mobile/dressed_criminal_thug_zabrak_male_01.iff', '0', '0.767907', '0', '0.640562', '4877.68', '-199.729', '6845.39', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5226', '5', '0', 'object/mobile/dressed_plasma_thief.iff', '0', '0.937586', '0', '-0.347754', '4968.28', '-208.724', '6944.96', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5227', '5', '0', 'object/mobile/dressed_plasma_bandit.iff', '0', '-0.134516', '0', '0.990912', '4972.78', '-208.787', '6951.52', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5228', '5', '0', 'object/mobile/dressed_plasma_bandit.iff', '0', '-0.47878', '0', '0.877935', '4972.81', '-208.823', '6953.2', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5229', '5', '0', 'object/mobile/dressed_commoner_naboo_zabrak_female_02.iff', '0', '0.127772', '0', '0.991804', '4967.73', '-192', '6651.36', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5230', '5', '0', 'object/mobile/dressed_royal_officer_human_female_01.iff', '0', '0.996076', '0', '-0.0884998', '4966', '-192', '6641', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5231', '5', '0', 'object/mobile/dressed_commoner_naboo_zabrak_male_02.iff', '0', '0.55996', '0', '0.82852', '4979.33', '-192', '6630.55', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5232', '5', '0', 'object/mobile/dressed_royal_officer_human_male_01.iff', '0', '0.98811', '0', '0.153747', '4977', '-192', '6634', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5233', '5', '0', 'object/mobile/dressed_royal_officer_human_male_01.iff', '0', '0.991791', '0', '0.127866', '4974', '-192', '6637', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5234', '5', '0', 'object/mobile/capper_spineflap_hue.iff', '0', '0.81243', '0', '-0.583059', '4897.03', '-208.439', '6638.38', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5235', '5', '0', 'object/mobile/chuba_hue.iff', '0', '0.70369', '0', '0.710507', '4916.25', '-204.897', '6636.6', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5236', '5', '0', 'object/mobile/capper_spineflap_hue.iff', '0', '0.999916', '0', '0.0129837', '4906.63', '-207.531', '6626.47', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5237', '5', '0', 'object/mobile/capper_spineflap_hue.iff', '0', '0.214998', '0', '0.976615', '4908.24', '-206.757', '6634.13', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5238', '5', '0', 'object/mobile/chuba_hue.iff', '0', '-0.204088', '0', '0.978953', '4909.02', '-206.645', '6633.57', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5239', '5', '0', 'object/mobile/nuna_hue.iff', '0', '-0.371364', '0', '0.928487', '4909.98', '-206.207', '6636.85', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5240', '5', '0', 'object/mobile/dressed_mugger.iff', '-0.0747499', '0.994952', '0.0383165', '0.0549097', '4973.57', '-193.521', '6586.63', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5241', '5', '0', 'object/mobile/dressed_robber_twk_male_01.iff', '-0.0335152', '0.474216', '0.0955411', '0.874567', '4980.02', '-192.61', '6583.81', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5242', '5', '0', 'object/mobile/dressed_villain_trandoshan_male_01.iff', '-0.0415327', '0.74044', '0.0618862', '0.667978', '4986.5', '-191.623', '6573.3', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5243', '5', '0', 'object/mobile/dressed_ruffian_zabrak_female_01.iff', '-0.0275852', '0.680439', '0.0711239', '0.728823', '4975.84', '-192.778', '6575.11', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5244', '5', '0', 'object/mobile/hermit_spider_hue.iff', '0', '0.0915384', '0', '0.995802', '4908.45', '-205.093', '6531.64', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5245', '5', '0', 'object/mobile/nuna_hue.iff', '0', '0.995641', '0', '0.0932679', '5052.61', '-193.019', '6526.02', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5246', '5', '0', 'object/mobile/capper_spineflap_hue.iff', '0', '0.951537', '0', '0.307536', '5050.03', '-193.077', '6524.21', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5247', '5', '0', 'object/mobile/capper_spineflap_hue.iff', '0', '0.905448', '0', '0.424457', '5054.83', '-192.961', '6505.63', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5248', '5', '0', 'object/mobile/nuna_hue.iff', '0', '0.999991', '0', '-0.00435459', '5045.77', '-193.37', '6507.9', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5249', '5', '0', 'object/mobile/capper_spineflap_hue.iff', '0', '0.518527', '0', '0.855062', '5059.04', '-192.786', '6516.94', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5250', '5', '0', 'object/mobile/chuba_hue.iff', '0', '0.950253', '0', '0.311481', '5062.65', '-192.543', '6506.26', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5251', '5', '0', 'object/mobile/nuna_hue.iff', '0', '0.993681', '0', '0.11224', '5233.76', '-195.59', '6472.68', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5252', '5', '0', 'object/mobile/capper_spineflap_hue.iff', '0', '0.849264', '0', '-0.527969', '5234.87', '-195.621', '6472.75', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5253', '5', '0', 'object/mobile/capper_spineflap_hue.iff', '0', '0.806351', '0', '-0.591438', '5236.13', '-195.623', '6469.52', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5254', '5', '0', 'object/mobile/capper_spineflap_hue.iff', '0', '0.999602', '0', '-0.028209', '5239.48', '-195.664', '6465.94', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5255', '5', '0', 'object/mobile/nuna_hue.iff', '0', '0.841338', '0', '0.54051', '5252.54', '-195.982', '6464.21', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5256', '5', '0', 'object/mobile/dressed_criminal_thug_rodian_female_01.iff', '0', '0.9345', '0', '-0.355963', '5338.33', '-197.813', '6458.62', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5257', '5', '0', 'object/mobile/dressed_hoodlum_zabrak_male_01.iff', '0', '0.384377', '0', '0.923176', '5339.4', '-197.825', '6461.15', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5258', '5', '0', 'object/mobile/dressed_ruffian_zabrak_female_01.iff', '0', '0.699331', '0', '0.714798', '5343.01', '-197.751', '6458.22', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5259', '5', '0', 'object/mobile/dressed_criminal_thug_trandoshan_male_01.iff', '0', '0.891115', '0', '0.453778', '5343.93', '-197.75', '6459.3', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5260', '5', '0', 'object/mobile/fanned_rawl_hue.iff', '0', '-0.144801', '0', '0.989461', '5436.89', '-197.915', '6485.29', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5261', '5', '0', 'object/mobile/dressed_commoner_tatooine_rodian_female_01.iff', '0', '0.83693', '0', '-0.547309', '5362.57', '-192', '6581.25', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5262', '5', '0', 'object/mobile/dressed_royal_officer_human_male_01.iff', '0', '0.656059', '0', '0.75471', '5382', '-192', '6596', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5263', '5', '0', 'object/mobile/dressed_criminal_thug_zabrak_male_01.iff', '0', '0', '0', '1', '5366.05', '-197.19', '6441.53', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5264', '5', '0', 'object/mobile/fanned_rawl_hue.iff', '0', '0.999961', '0', '-0.00879057', '5488.94', '-196.52', '6353.53', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5265', '5', '0', 'object/mobile/dressed_mugger.iff', '0', '0.934161', '0', '0.356851', '5475.52', '-191.884', '6577.5', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5266', '5', '0', 'object/mobile/dressed_robber_human_male_01.iff', '0', '0.754044', '0', '-0.656824', '5462.29', '-191.677', '6584.89', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5267', '5', '0', 'object/mobile/dressed_criminal_thug_aqualish_female_01.iff', '0', '-0.571913', '0', '0.820315', '5471.1', '-190.721', '6587.9', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5268', '5', '0', 'object/mobile/dressed_desperado_bith_male_01.iff', '0', '0.91336', '0', '-0.407152', '5393.74', '-192', '6606.85', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5269', '5', '0', 'object/mobile/chuba_hue.iff', '0', '0.400488', '0', '0.916302', '5441.46', '-197.293', '6513.81', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5270', '5', '0', 'object/mobile/capper_spineflap_hue.iff', '0', '-0.430525', '0', '0.902579', '5431.31', '-197.58', '6499.86', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5271', '5', '0', 'object/mobile/capper_spineflap_hue.iff', '0', '0.935081', '0', '-0.354435', '5429.39', '-197.332', '6509.54', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5272', '5', '0', 'object/mobile/capper_spineflap_hue.iff', '0', '0.835367', '0', '-0.549692', '5433.09', '-197.378', '6509.05', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5273', '5', '0', 'object/mobile/fanned_rawl_hue.iff', '0', '0.134932', '0', '0.990855', '5572.7', '-194.979', '6744.85', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5274', '5', '0', 'object/mobile/fanned_rawl_hue.iff', '0', '0.995335', '0', '-0.0964833', '5551.4', '-194.232', '6731.98', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5275', '5', '0', 'object/mobile/fanned_rawl_hue.iff', '0', '-0.415997', '0', '0.909366', '5552.71', '-195.541', '6773.09', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5276', '5', '0', 'object/mobile/dressed_criminal_thug_bothan_female_01.iff', '0', '0.989959', '0', '0.141358', '5473.9', '-191.722', '6579.23', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5277', '5', '0', 'object/mobile/dressed_hoodlum_zabrak_female_01.iff', '0', '-0.173762', '0', '0.984788', '5542.14', '-191.73', '6587.01', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5278', '5', '0', 'object/mobile/dressed_ruffian_zabrak_female_01.iff', '0', '0.780522', '0', '0.625129', '5544.22', '-191.575', '6589.62', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5279', '5', '0', 'object/mobile/capper_spineflap_hue.iff', '0', '-0.45264', '0', '0.891693', '5488.44', '-188.427', '6644.58', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5280', '5', '0', 'object/mobile/dressed_criminal_thug_rodian_female_01.iff', '0', '0.170411', '0', '0.985373', '5487.83', '-192.996', '6747.6', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5281', '5', '0', 'object/mobile/dressed_goon_twk_male_01.iff', '0', '0.616458', '0', '0.787388', '5486.95', '-192.841', '6745.78', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5282', '5', '0', 'object/mobile/dressed_crook_zabrak_female_01.iff', '0', '0.884672', '0', '-0.466215', '5484.29', '-192.197', '6737.32', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5283', '5', '0', 'object/mobile/dressed_robber_human_male_01.iff', '0', '0.847765', '0', '0.530371', '5492.6', '-192.398', '6732.05', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5284', '5', '0', 'object/mobile/chuba_hue.iff', '0', '-0.687995', '0', '0.725716', '5488.18', '-188.446', '6645.12', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5285', '5', '0', 'object/mobile/dressed_royal_officer_human_female_01.iff', '0', '0.988005', '0', '0.154424', '5225.08', '-192', '6700.38', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5286', '5', '0', 'object/mobile/dressed_commoner_tatooine_bith_male_04.iff', '0', '0.579465', '0', '0.814997', '5205.35', '-192', '6781.37', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5287', '5', '1741495', 'object/mobile/gungan_male.iff', '-1.08367e-07', '-3.60988e-05', '-3.91192e-12', '1', '1.07671', '1.75', '-18.2345', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5288', '5', '1741495', 'object/mobile/dressed_rsf_pilot.iff', '-9.381e-12', '1', '1.08372e-07', '8.65632e-05', '1.07671', '1.75', '-17.1345', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5289', '5', '1741494', 'object/mobile/dressed_imperial_trainer_space_03.iff', '0', '-0.0998334', '0', '0.995004', '-0.199565', '1.75', '-13.9666', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5290', '5', '0', 'object/mobile/dressed_criminal_thug_human_male_02.iff', '0', '2.96202e-08', '0', '1', '5159.54', '-192', '6756.92', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5291', '5', '62', 'object/mobile/dressed_stormtrooper_m.iff', '0', '0.817747', '0', '-0.575578', '48.13', '0.105', '2.47', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5292', '5', '0', 'object/mobile/dressed_desperado_bith_female_01.iff', '0', '0', '0', '1', '5037.71', '-192', '6686.35', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5293', '5', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_04.iff', '0', '0.999799', '0', '-0.0200368', '1293.76', '13', '2666.5', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5294', '5', '0', 'object/mobile/dressed_commoner_old_zabrak_male_01.iff', '0', '-0.417232', '0', '0.9088', '1274.89', '13', '2726.67', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5295', '5', '0', 'object/mobile/dressed_commoner_old_human_male_01.iff', '0', '0.883216', '0', '0.468966', '1274.23', '13', '2804.78', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5296', '5', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_08.iff', '0', '0.68496', '0', '0.728581', '1266.79', '13', '2778.09', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5297', '5', '0', 'object/mobile/fanned_rawl_hue.iff', '0', '-0.686308', '0', '0.727311', '1242.26', '7.42003', '2523.96', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5298', '5', '0', 'object/mobile/dressed_lt_vana_sage.iff', '0', '0.985251', '0', '0.171115', '1277.25', '13', '2746.5', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5299', '5', '2125390', 'object/mobile/dressed_plainsfolk.iff', '-1.20982e-07', '0.00998149', '1.20763e-09', '0.99995', '-45.8886', '2.63942', '27.6452', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5300', '5', '2125390', 'object/mobile/dressed_criminal_slicer_human_male_01.iff', '-1.19687e-09', '0.999951', '-1.20982e-07', '-0.00989246', '-45.869', '2.63942', '28.6304', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5301', '5', '2125385', 'object/mobile/dressed_commoner_tatooine_bith_male_05.iff', '-1.62554e-07', '-3.98645e-05', '-6.48014e-12', '1', '56.3789', '-0.521138', '39.7713', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5302', '5', '2125385', 'object/mobile/dressed_entertainer_trainer_twk_male_01.iff', '2.25869e-12', '1', '2.16747e-07', '-1.04208e-05', '56.3789', '-0.521138', '40.8713', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5303', '5', '2125385', 'object/mobile/dressed_rsf_pilot.iff', '-5.86514e-08', '0.92388', '1.41598e-07', '0.382682', '55.2789', '-0.521138', '40.8713', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5304', '5', '2125385', 'object/mobile/dressed_commoner_fat_twilek_female_02.iff', '-1.062e-07', '0.382659', '4.39864e-08', '0.92389', '55.2789', '-0.521138', '39.7713', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5305', '5', '2125382', 'object/mobile/dressed_gavyn_sykes.iff', '2.04135e-08', '0.510366', '-8.22981e-08', '0.859957', '8.95512', '0.639422', '66.4439', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5306', '5', '0', 'object/mobile/dressed_commoner_tatooine_rodian_male_02.iff', '0', '0', '0', '1', '1325.38', '13', '2667.21', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5307', '5', '0', 'object/mobile/dressed_criminal_pirate_human_male_01.iff', '0', '1', '0', '-3.82403e-08', '1369.9', '13', '2729.6', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5308', '5', '0', 'object/mobile/dressed_commoner_tatooine_bith_male_05.iff', '0', '0.919908', '0', '0.392133', '1329.19', '13', '2667', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5309', '5', '0', 'object/mobile/dressed_commoner_tatooine_trandoshan_female_03.iff', '0', '-0.0787604', '0', '0.996894', '1318.37', '13', '2669.4', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5310', '5', '0', 'object/mobile/dressed_commoner_tatooine_rodian_female_04.iff', '0', '0.340126', '0', '0.94038', '1324.21', '13', '2835.32', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5311', '5', '0', 'object/mobile/dressed_commoner_tatooine_trandoshan_female_03.iff', '0', '-0.240665', '0', '0.970608', '1300.18', '13', '2836.44', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5312', '5', '0', 'object/mobile/dressed_commoner_naboo_human_male_07.iff', '0', '1', '0', '0', '1325.38', '13', '2668.21', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5313', '5', '0', 'object/mobile/3po_protocol_droid.iff', '0', '0.474327', '0', '0.880349', '1396', '13', '2686', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5314', '5', '0', 'object/mobile/dressed_commoner_fat_zabrak_male_01.iff', '0', '0.887151', '0', '-0.46148', '1405.78', '13', '2835.92', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5315', '5', '0', 'object/mobile/dressed_stormtrooper_m.iff', '0', '0.728175', '0', '0.685391', '1426.01', '13', '2807.48', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5316', '5', '0', 'object/mobile/dressed_commoner_old_human_female_01.iff', '0', '0.864823', '0', '0.502078', '1432.15', '13', '2746.34', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5317', '5', '0', 'object/mobile/dressed_commoner_naboo_zabrak_male_02.iff', '0', '0.967217', '0', '0.253951', '1421.62', '13', '2729.5', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5318', '5', '0', 'object/mobile/fanned_rawl_hue.iff', '0', '-0.697029', '0', '0.717042', '1422.33', '9.31154', '2567.8', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5319', '5', '0', 'object/mobile/fanned_rawl_hue.iff', '0', '0.991561', '0', '-0.129643', '1418.72', '9.36931', '2519.79', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5320', '5', '0', 'object/mobile/dressed_combatmedic_trainer_human_male_01.iff', '0', '0', '0', '1', '1428.35', '13', '2741.53', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5321', '5', '0', 'object/mobile/dressed_doctor_trainer_human_female_01.iff', '0', '1', '0', '0', '1428.35', '13', '2742.53', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5322', '5', '0', 'object/mobile/nuna_hue.iff', '0', '0.988183', '0', '-0.153276', '1431.38', '13.8711', '2688.78', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5323', '5', '0', 'object/mobile/capper_spineflap_hue.iff', '0', '-0.0673044', '0', '0.997732', '1439.63', '14.8057', '2678.74', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5324', '5', '0', 'object/mobile/nuna_hue.iff', '0', '-0.0311525', '0', '0.999515', '1449.54', '16.1264', '2689.67', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5325', '5', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_03.iff', '0', '0.937574', '0', '-0.347785', '1541.47', '25', '2825.17', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5326', '5', '0', 'object/mobile/dressed_commoner_fat_twilek_female_01.iff', '0', '0.993519', '0', '-0.11367', '1556.66', '25', '2791.52', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5327', '5', '0', 'object/mobile/chuba_hue.iff', '0', '0.998064', '0', '0.0621994', '1445.78', '15.5943', '2682.05', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5328', '5', '0', 'object/mobile/chuba_hue.iff', '0', '0.977359', '0', '-0.211587', '1449.56', '16.0319', '2677.48', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5329', '5', '0', 'object/mobile/chuba_hue.iff', '0', '0.994368', '0', '-0.105979', '1450.17', '16.034', '2676.78', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5330', '5', '0', 'object/mobile/chuba_hue.iff', '0', '0.994514', '0', '-0.104602', '1341.24', '12.0202', '2603.76', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5331', '5', '0', 'object/mobile/nuna_hue.iff', '0', '-0.055345', '0', '0.998467', '1339.84', '12.1668', '2615.44', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5332', '5', '0', 'object/mobile/nuna_hue.iff', '0', '0.449971', '0', '0.893043', '1334.98', '11.8102', '2598.15', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5333', '5', '0', 'object/mobile/chuba_hue.iff', '0', '-0.0310569', '0', '0.999518', '1342.19', '12.0931', '2607.43', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5334', '5', '0', 'object/mobile/chuba_hue.iff', '0', '0.993838', '0', '0.110841', '1339.84', '11.655', '2589.12', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5335', '5', '0', 'object/mobile/hermit_spider_hue.iff', '0', '-0.293573', '0', '0.955937', '1284.39', '9.8453', '2547.76', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5336', '5', '0', 'object/mobile/capper_spineflap_hue.iff', '0', '0.964957', '0', '0.262406', '1338.79', '11.6076', '2588.12', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5337', '5', '0', 'object/mobile/nuna_hue.iff', '0', '-0.313458', '0', '0.949602', '1277.36', '13.0817', '2616.19', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5338', '5', '0', 'object/mobile/hermit_spider_hue.iff', '0', '0.781065', '0', '0.62445', '1290.3', '7.25954', '2529.82', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5339', '5', '0', 'object/mobile/nuna_hue.iff', '0', '0.333952', '0', '0.94259', '1263.01', '12.8767', '2607.42', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5340', '5', '0', 'object/mobile/nuna_hue.iff', '0', '0.698361', '0', '0.715745', '1272.96', '12.9234', '2606.49', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5341', '5', '0', 'object/mobile/chuba_hue.iff', '0', '-0.408096', '0', '0.912939', '1269.28', '12.2031', '2600.08', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5342', '5', '0', 'object/mobile/dressed_commoner_naboo_bothan_female_01.iff', '0', '0.831363', '0', '-0.555729', '1269.66', '13', '2708.32', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5343', '5', '0', 'object/mobile/dressed_doctor_trainer_moncal_male_01.iff', '0', '0.977467', '0', '0.21109', '1215.93', '13', '2740.33', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5344', '5', '0', 'object/mobile/nuna_hue.iff', '0', '0.70724', '0', '0.706974', '1261.55', '10.6673', '2602.74', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5345', '5', '0', 'object/mobile/capper_spineflap_hue.iff', '0', '0.800073', '0', '0.599903', '1273.03', '10.5998', '2593.21', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5346', '5', '0', 'object/mobile/fanned_rawl_hue.iff', '0', '0.964589', '0', '0.263758', '1054.24', '11.2112', '2682.89', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5347', '5', '0', 'object/mobile/fanned_rawl_hue.iff', '0', '0.961345', '0', '0.275345', '1053.76', '13.3205', '2776.55', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5348', '5', '0', 'object/mobile/chuba_hue.iff', '0', '-0.213328', '0', '0.976981', '1155.79', '17.1226', '2720.27', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5349', '5', '0', 'object/mobile/capper_spineflap_hue.iff', '0', '0.925409', '0', '-0.378969', '1156.79', '16.8321', '2713.27', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5350', '5', '0', 'object/mobile/capper_spineflap_hue.iff', '0', '-0.280496', '0', '0.959855', '1154.79', '16.8377', '2713.27', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5351', '5', '0', 'object/mobile/capper_spineflap_hue.iff', '0', '-0.399905', '0', '0.916556', '1160.79', '17.1003', '2720.27', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5352', '5', '0', 'object/mobile/nuna_hue.iff', '0', '0.489718', '0', '0.871881', '1160.79', '17.0436', '2718.27', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5353', '5', '0', 'object/mobile/dressed_commoner_naboo_bothan_female_01.iff', '0', '-0.380185', '0', '0.924911', '1244.71', '13', '2762.18', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5354', '5', '0', 'object/mobile/nuna_hue.iff', '0', '0.595526', '0', '0.803336', '1150.79', '17.1071', '2719.27', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5355', '5', '0', 'object/mobile/capper_spineflap_hue.iff', '0', '0.971661', '0', '0.236378', '1166.49', '11.7783', '2812.36', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5356', '5', '0', 'object/mobile/chuba_hue.iff', '0', '0.450234', '0', '0.892911', '1162.64', '11.8412', '2813.85', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5357', '5', '0', 'object/mobile/chuba_hue.iff', '0', '0.922728', '0', '0.385451', '1173.79', '11.0777', '2820.55', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5358', '5', '0', 'object/mobile/dressed_commoner_tatooine_bith_female_06.iff', '0', '0.995', '0', '0.0998708', '1249.3', '13', '2797.25', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5359', '5', '0', 'object/mobile/chuba_hue.iff', '0', '0.998326', '0', '0.0578324', '1151.14', '12.1736', '2819.97', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5360', '5', '0', 'object/mobile/nuna_hue.iff', '0', '0.997798', '0', '0.0663222', '1149.84', '12.6577', '2810.87', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5361', '5', '0', 'object/mobile/capper_spineflap_hue.iff', '0', '-0.0761208', '0', '0.997099', '1155.92', '11.3683', '2830.81', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5362', '5', '0', 'object/mobile/nuna_hue.iff', '0', '0.893213', '0', '-0.449634', '1209.97', '5.84847', '2879.79', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5363', '5', '0', 'object/mobile/nuna_hue.iff', '0', '0.733088', '0', '-0.680133', '1210.99', '6.91459', '2873.15', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5364', '5', '0', 'object/mobile/capper_spineflap_hue.iff', '0', '0.770621', '0', '0.637294', '1206.94', '6.25599', '2875.67', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5365', '5', '0', 'object/mobile/chuba_hue.iff', '0', '0.769304', '0', '0.638882', '1213.66', '5.93546', '2878.48', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5366', '5', '0', 'object/mobile/nuna_hue.iff', '0', '0.336347', '0', '0.941738', '1205.06', '5.8408', '2880.62', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5367', '5', '0', 'object/mobile/hermit_spider_hue.iff', '0', '0.994451', '0', '-0.1052', '1146.27', '8.83021', '2930.05', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5368', '5', '0', 'object/mobile/hermit_spider_hue.iff', '0', '0.264725', '0', '0.964324', '1216.5', '6.32027', '2957.84', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5369', '5', '0', 'object/mobile/hermit_spider_hue.iff', '0', '-0.0924447', '0', '0.995718', '1195.68', '6.80226', '2949.71', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5370', '5', '0', 'object/mobile/hermit_spider_hue.iff', '0', '0.394299', '0', '0.918982', '1216.13', '6.31779', '2958.77', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5371', '5', '0', 'object/mobile/capper_spineflap_hue.iff', '0', '0.365371', '0', '0.930862', '1215.24', '6.39263', '2889.73', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5372', '5', '0', 'object/mobile/chuba_hue.iff', '0', '-0.205519', '0', '0.978653', '1256.68', '9.78428', '2915.57', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5373', '5', '0', 'object/mobile/chuba_hue.iff', '0', '0.997404', '0', '0.0720148', '1267.25', '10.8298', '2912.62', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5374', '5', '0', 'object/mobile/nuna_hue.iff', '0', '0.584576', '0', '0.811339', '1256.06', '10.0525', '2908.42', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5375', '5', '0', 'object/mobile/nuna_hue.iff', '0', '0.729963', '0', '-0.683487', '1270.57', '10.8971', '2917.91', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5376', '5', '0', 'object/mobile/nuna_hue.iff', '0', '-0.685062', '0', '0.728485', '1259.26', '9.49465', '2927.39', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5377', '5', '0', 'object/mobile/capper_spineflap_hue.iff', '0', '0.52736', '0', '0.849642', '1273.81', '11.3393', '2913.74', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5378', '5', '0', 'object/mobile/hermit_spider_hue.iff', '0', '0.478403', '0', '0.878141', '1325.15', '10.083', '3001.67', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5379', '5', '0', 'object/mobile/hermit_spider_hue.iff', '0', '0.518356', '0', '0.855165', '1315.75', '9.52074', '2998.83', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5380', '5', '0', 'object/mobile/nuna_hue.iff', '0', '-0.655839', '0', '0.754901', '1435.56', '13.1432', '2867.61', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5381', '5', '0', 'object/mobile/nuna_hue.iff', '0', '0.82638', '0', '0.563112', '1434.96', '13.0209', '2869.59', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5382', '5', '0', 'object/mobile/nuna_hue.iff', '0', '0.114827', '0', '0.993385', '1437.27', '13.1548', '2878.23', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5383', '5', '0', 'object/mobile/chuba_hue.iff', '0', '0.837536', '0', '0.546381', '1456.5', '16.372', '2881.88', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5384', '5', '0', 'object/mobile/capper_spineflap_hue.iff', '0', '-0.134939', '0', '0.990854', '1445.36', '14.8215', '2870.08', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5385', '5', '0', 'object/mobile/capper_spineflap_hue.iff', '0', '0.655163', '0', '0.755488', '1438.99', '13.6525', '2861.35', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5386', '5', '0', 'object/mobile/dressed_commoner_fat_zabrak_male_01.iff', '0.0346924', '0.965425', '-0.170993', '0.193679', '1574.29', '24.9966', '2822.56', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5387', '5', '0', 'object/mobile/nuna_hue.iff', '0', '0.838802', '0', '-0.544437', '1503.65', '25', '2685.46', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5388', '5', '0', 'object/mobile/capper_spineflap_hue.iff', '0', '0.365683', '0', '0.93074', '1509.03', '25', '2684.16', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5389', '5', '0', 'object/mobile/nuna_hue.iff', '0', '0.536049', '0', '0.844187', '1512.17', '25', '2681.42', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5390', '5', '0', 'object/mobile/chuba_hue.iff', '0', '0.982267', '0', '0.187485', '1508.53', '25', '2668.58', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5391', '5', '0', 'object/mobile/nuna_hue.iff', '0', '-0.173125', '0', '0.9849', '1509.09', '25', '2681.77', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5392', '5', '0', 'object/mobile/chuba_hue.iff', '0', '0.991598', '0', '0.129359', '1509.05', '25', '2667.7', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5393', '5', '0', 'object/mobile/dressed_royal_officer_human_male_01.iff', '0', '0.875208', '0', '0.483746', '1632.02', '12', '2666.53', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5394', '5', '0', 'object/mobile/dressed_commoner_naboo_twilek_female_01.iff', '0', '0.931574', '0', '-0.363553', '1621.31', '12', '2633.4', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5395', '5', '0', 'object/mobile/dressed_rsf_pilot.iff', '0', '0', '0', '1', '1661.45', '21.0036', '2696.13', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5396', '5', '0', 'object/mobile/dressed_commoner_fat_twilek_male_02.iff', '0', '1', '0', '0', '1661.45', '21.0036', '2697.13', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5397', '5', '0', 'object/mobile/dressed_commoner_naboo_human_female_05.iff', '0', '-4.18083e-08', '0', '1', '1677.62', '12', '2707.17', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5398', '5', '0', 'object/mobile/dressed_rsf_palace_guard.iff', '0', '1', '0', '1.45768e-08', '1677.62', '12', '2708.27', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5399', '5', '0', 'object/mobile/gungan_s04_male.iff', '0', '0.92389', '0', '0.382658', '1676.52', '12', '2708.27', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5400', '5', '0', 'object/mobile/dressed_commoner_old_zabrak_male_01.iff', '0', '0.162295', '0', '0.986742', '1687.57', '12', '2670.04', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5401', '5', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_08.iff', '0', '0', '0', '1', '1667.3', '12', '2628.98', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5402', '5', '0', 'object/mobile/dressed_commoner_tatooine_rodian_female_01.iff', '0', '1', '0', '0', '1667.3', '12', '2629.98', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5403', '5', '0', 'object/mobile/dressed_royal_officer_human_female_01.iff', '0', '-0.370866', '0', '0.928686', '1698.78', '23.2611', '2747.94', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5404', '5', '0', 'object/mobile/dressed_stormtrooper_m.iff', '-0.010505', '0.206241', '-0.0386185', '0.977682', '1697.08', '13.799', '2709.5', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5405', '5', '0', 'object/mobile/dressed_commoner_tatooine_devaronian_male_04.iff', '0', '0.719952', '0', '-0.694024', '1674.11', '12', '2626.24', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5406', '5', '0', 'object/mobile/dressed_imperial_officer_m_5.iff', '0', '0', '0', '1', '1693.34', '12', '2641.29', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5407', '5', '0', 'object/mobile/dressed_official.iff', '0', '1', '0', '0', '1693.34', '12', '2642.29', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5408', '5', '0', 'object/mobile/dressed_commoner_artisan_trandoshan_male_01.iff', '0', '0', '0', '1', '1713.56', '12', '2735.4', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5409', '5', '0', 'object/mobile/dressed_mercenary_messanger_hum_m.iff', '0', '1', '0', '0', '1713.56', '12', '2736.4', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5410', '5', '0', 'object/mobile/dressed_stormtrooper_m.iff', '-0.00146768', '0.929713', '0.000817747', '0.36828', '1723.53', '12', '2721.78', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5411', '5', '0', 'object/mobile/dressed_stormtrooper_sniper_m.iff', '0', '0.980666', '0', '0.195691', '1697.6', '23.5775', '2744.47', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5412', '5', '0', 'object/mobile/dark_trooper.iff', '0', '0.564585', '0', '0.825375', '1722.67', '12', '2722.7', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5413', '5', '0', 'object/mobile/dressed_commoner_fat_human_male_01.iff', '0', '0.652841', '0', '0.757495', '1725.94', '12', '2734.49', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5414', '5', '0', 'object/mobile/dressed_commoner_fat_zabrak_male_01.iff', '0', '-0.42158', '0', '0.906791', '1731.77', '12', '2711.7', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5415', '5', '0', 'object/mobile/dressed_commoner_fat_zabrak_female_02.iff', '0', '0.746473', '0', '0.665416', '1700.71', '12', '2620.53', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5416', '5', '0', 'object/mobile/dressed_commoner_naboo_human_male_06.iff', '0', '0.999152', '0', '-0.0411699', '1640.27', '12', '2577.94', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5417', '5', '0', 'object/mobile/dressed_commoner_naboo_human_male_05.iff', '0', '0.868053', '0', '0.496471', '1692.48', '12', '2595.99', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5418', '5', '0', 'object/mobile/dressed_herald_servant_naboo_human_male.iff', '0.0138917', '0.995951', '0.0518717', '-0.0721023', '1673.87', '12', '2582.69', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5419', '5', '0', 'object/mobile/r5.iff', '0', '0.244419', '0', '0.96967', '1676.91', '12', '2585.31', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5420', '5', '0', 'object/mobile/dressed_stormtrooper_m.iff', '0', '0.743813', '0', '-0.668388', '1719.01', '14.5', '2616.39', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5421', '5', '0', 'object/mobile/nuna_hue.iff', '0', '0.390357', '0', '0.920664', '1560.46', '25', '2562.7', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5422', '5', '0', 'object/mobile/chuba_hue.iff', '0', '0.624841', '0', '0.780752', '1553.36', '25', '2550.61', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5423', '5', '0', 'object/mobile/capper_spineflap_hue.iff', '0', '-0.0541851', '0', '0.998531', '1545.94', '25', '2549.85', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5424', '5', '0', 'object/mobile/capper_spineflap_hue.iff', '0', '-0.0979899', '0', '0.995187', '1539.6', '25', '2562.94', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5425', '5', '0', 'object/mobile/capper_spineflap_hue.iff', '0', '0.972982', '0', '-0.23088', '1544.6', '25', '2552.79', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5426', '5', '0', 'object/mobile/capper_spineflap_hue.iff', '0', '0.989535', '0', '0.144296', '1538.54', '25', '2561.59', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5427', '5', '4045384', 'object/mobile/dressed_rsf_security_guard.iff', '-2.38422e-07', '-1.2398e-05', '-2.95619e-12', '1', '-22.0169', '2.12878', '74.3914', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5428', '5', '4045384', 'object/mobile/dressed_hutt_medic1_zabrak_female_01.iff', '3.1793e-12', '1', '2.38415e-07', '-1.33512e-05', '-22.0169', '2.12878', '75.3914', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5429', '5', '4045383', 'object/mobile/dressed_commoner_fat_human_female_01.iff', '1.08363e-07', '-1.38882e-05', '1.50497e-12', '1', '25.0535', '2.12878', '74.6274', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5430', '5', '4045383', 'object/mobile/dressed_rsf_commando.iff', '0', '1', '0', '-1.38644e-05', '25.0535', '2.12878', '75.7274', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5431', '5', '4045383', 'object/mobile/dressed_noble_fat_zabrak_male_01.iff', '0', '0.731354', '0', '-0.681998', '19.26', '2.12847', '56.13', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5432', '5', '4045383', 'object/mobile/dressed_entertainer_trainer_twk_male_01.iff', '0', '0.0348995', '0', '0.999391', '21.99', '2.12804', '64.05', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5433', '5', '4045382', 'object/mobile/dressed_noble_fat_zabrak_female_01.iff', '0', '0.93358', '0', '-0.358368', '28.93', '2.12878', '58.19', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5434', '5', '4045381', 'object/mobile/dressed_commoner_tatooine_ishitib_male_03.iff', '1.08368e-07', '2.51214e-05', '-2.72234e-12', '1', '-14.0175', '2.6', '19.9722', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5435', '5', '4045381', 'object/mobile/dressed_criminal_thug_aqualish_male_01.iff', '2.72616e-12', '1', '-1.08367e-07', '2.51568e-05', '-14.0175', '2.6', '21.0722', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5436', '5', '4045381', 'object/mobile/dressed_rsf_palace_guard.iff', '0.0457382', '-2.26863e-05', '1.03872e-06', '0.998953', '12.9146', '1.96568', '29.361', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5437', '5', '4045381', 'object/mobile/dressed_criminal_smuggler_human_female_01.iff', '1.26188e-06', '0.998953', '0.045744', '-2.75568e-05', '12.9146', '1.86558', '30.4518', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5438', '5', '4045381', 'object/mobile/dressed_commoner_fat_twilek_female_01.iff', '0.0457364', '9.17921e-06', '-4.20264e-07', '0.998954', '11.5401', '0.827296', '41.7641', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5439', '5', '4045381', 'object/mobile/dressed_commoner_naboo_twilek_male_01.iff', '-1.99932e-07', '0.998953', '0.0457449', '4.366e-06', '11.5402', '0.727192', '42.8549', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5440', '5', '4045376', 'object/mobile/dressed_royal_officer_human_female_01.iff', '-1.08378e-07', '-1.04001e-05', '-1.12715e-12', '1', '8.33743', '0.6', '-7.4598', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5441', '5', '4045376', 'object/mobile/dressed_mercenary_messanger_hum_m.iff', '1.17456e-12', '1', '1.0838e-07', '-1.08374e-05', '8.33743', '0.6', '-6.3598', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5442', '5', '4045376', 'object/mobile/dressed_commoner_old_human_female_01.iff', '-2.93277e-08', '0.923874', '7.08006e-08', '0.382696', '7.23742', '0.6', '-6.3598', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5443', '5', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_01.iff', '0', '0.972487', '0', '0.232957', '1644.43', '12', '2450.93', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5444', '5', '0', 'object/mobile/dressed_rsf_security_guard.iff', '-0.14934', '0.0069609', '0.0460373', '0.987689', '1662.83', '12', '2458.53', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5445', '5', '0', 'object/mobile/dressed_rsf_security_guard.iff', '3.88254e-09', '0.988761', '-0.149502', '5.87044e-10', '1662.83', '12.3095', '2459.53', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5446', '5', '1685077', 'object/mobile/dressed_athok_dinvar.iff', '0', '-0.693738', '0', '0.720227', '-5.70412', '-4.9', '-0.24182', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5447', '5', '1685077', 'object/mobile/dressed_kritus_morven.iff', '0', '0.957626', '0', '-0.288014', '-5.43257', '-4.9', '-8.89239', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5448', '5', '0', 'object/mobile/dressed_commoner_tatooine_rodian_female_03.iff', '0', '0.992862', '0', '-0.119267', '1619.87', '12.6999', '2426.2', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5449', '5', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_08.iff', '0', '0.142188', '0', '0.98984', '1665.35', '12', '2428.85', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5450', '5', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_07.iff', '0', '0.723115', '0', '0.690728', '1678.57', '12', '2432.37', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5451', '5', '0', 'object/mobile/dressed_official.iff', '0', '0', '0', '1', '1666.1', '12', '2437.15', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5452', '5', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_07.iff', '0', '0.99566', '0', '0.0930679', '1729.85', '12', '2525.68', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5453', '5', '0', 'object/mobile/dressed_commoner_tatooine_rodian_female_04.iff', '0', '0.95859', '0', '0.284791', '1678.76', '12', '2415.22', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5454', '5', '0', 'object/mobile/dressed_commoner_old_twilek_female_02.iff', '0', '0.933051', '0', '-0.359745', '1727.81', '12', '2467.92', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5455', '5', '0', 'object/mobile/dressed_stormtrooper_m.iff', '0', '0.71419', '0', '-0.699952', '1738.27', '12', '2561.54', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5456', '5', '0', 'object/mobile/dressed_criminal_thug_bothan_female_01.iff', '0', '1', '0', '0', '1666.1', '12', '2438.15', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5457', '5', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_02.iff', '0', '0.998791', '0', '0.0491681', '1765.49', '12', '2494.45', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5458', '5', '0', 'object/mobile/dressed_entertainer_trainer_twk_female_01.iff', '0', '0', '0', '1', '1766.86', '12', '2466.38', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5459', '5', '0', 'object/mobile/dressed_commoner_tatooine_sullustan_male_04.iff', '0', '1', '0', '0', '1766.86', '12', '2467.38', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5460', '5', '0', 'object/mobile/dressed_stormtrooper_m.iff', '0', '0.999355', '0', '-0.035911', '1785.47', '12.1872', '2457.18', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5461', '5', '0', 'object/mobile/dressed_stormtrooper_m.iff', '0', '0.712324', '0', '-0.70185', '1779.43', '12', '2523.06', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5462', '5', '0', 'object/mobile/dressed_stormtrooper_m.iff', '0', '0.997725', '0', '-0.0674145', '1792.81', '12.1872', '2457.18', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5463', '5', '0', 'object/mobile/dressed_scout_trooper_white_white.iff', '0', '0.704848', '0', '0.709358', '1795.05', '12', '2522.92', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5464', '5', '0', 'object/mobile/dressed_commoner_fat_human_female_01.iff', '0', '-0.676119', '0', '0.736793', '1798.77', '12', '2525.79', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5465', '5', '0', 'object/mobile/dressed_commoner_naboo_human_male_07.iff', '0', '0.191158', '0', '0.981559', '1841.35', '12', '2461.53', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5466', '5', '0', 'object/mobile/dressed_stormtrooper_sniper_m.iff', '0', '0.999722', '0', '-0.0235946', '1783.38', '14.5', '2546.91', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5467', '5', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_01.iff', '0', '0.33533', '0', '0.942101', '1861.98', '12', '2447.85', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5468', '5', '0', 'object/mobile/gungan_s02_male.iff', '0', '0', '0', '1', '1878.94', '12', '2430.46', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5469', '5', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_08.iff', '0', '1', '0', '0', '1878.94', '12', '2431.46', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5470', '5', '0', 'object/mobile/dressed_commoner_naboo_human_female_07.iff', '0', '0.501715', '0', '0.865033', '1887.99', '12', '2399.26', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5471', '5', '0', 'object/mobile/dressed_commoner_fat_human_female_01.iff', '0', '0.429696', '0', '0.902974', '1880.74', '12', '2418.22', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5472', '5', '0', 'object/mobile/dressed_stormtrooper_m.iff', '0', '0.705817', '0', '0.708394', '1882.02', '12', '2425.4', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5473', '5', '0', 'object/mobile/dressed_commoner_tatooine_ishitib_male_03.iff', '0', '0', '0', '1', '1892.56', '12', '2369.88', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5474', '5', '0', 'object/mobile/dressed_commoner_naboo_zabrak_male_02.iff', '0', '1', '0', '0', '1892.56', '12', '2370.88', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5475', '5', '0', 'object/mobile/dressed_commoner_tatooine_rodian_female_02.iff', '0', '0.181749', '0', '0.983345', '1906.41', '12', '2425.21', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5476', '5', '0', 'object/mobile/dressed_commoner_old_twilek_female_02.iff', '0', '0.91691', '0', '-0.399094', '1890.11', '12', '2382.05', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5477', '5', '0', 'object/mobile/dressed_commoner_fat_twilek_male_01.iff', '0', '0.973154', '0', '-0.230155', '1926.2', '12', '2415.7', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5478', '5', '0', 'object/mobile/dressed_stormtrooper_m.iff', '0', '0.828803', '0', '0.55954', '1912.59', '12', '2380.25', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5479', '5', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_06.iff', '0', '0.743612', '0', '-0.668612', '1931.07', '12', '2388.43', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5480', '5', '0', 'object/mobile/dressed_commoner_old_zabrak_female_02.iff', '0', '0.542289', '0', '0.840192', '1920.16', '12', '2378.24', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5481', '5', '0', 'object/mobile/dressed_commoner_naboo_human_female_06.iff', '0', '0.584121', '0', '0.811667', '1942.15', '12', '2442.15', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5482', '5', '0', 'object/mobile/dressed_commoner_naboo_zabrak_male_01.iff', '0', '0.795184', '0', '-0.606368', '1949.46', '12', '2419.42', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5483', '5', '0', 'object/mobile/dressed_stormtrooper_m.iff', '0', '0.989262', '0', '-0.146152', '1947.59', '12', '2456.74', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5484', '5', '0', 'object/mobile/dressed_commoner_tatooine_trandoshan_female_02.iff', '0', '0.778585', '0', '0.627539', '1963.35', '12', '2435.67', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5485', '5', '0', 'object/mobile/dressed_stormtrooper_sniper_m.iff', '0', '0.245683', '0', '0.96935', '1958.19', '12', '2461.16', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5486', '5', '0', 'object/mobile/dressed_mercenary_messanger_sullustan_m.iff', '0', '0', '0', '1', '1956.57', '12', '2395.64', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5487', '5', '0', 'object/mobile/dressed_bountyhunter_trainer_03.iff', '0', '1', '0', '0', '1956.57', '12', '2396.64', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5488', '5', '0', 'object/mobile/dressed_scout_trooper_white_white.iff', '0', '0.951659', '0', '-0.307157', '1961.3', '12', '2450.63', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5489', '5', '0', 'object/mobile/dressed_commoner_tatooine_sullustan_male_02.iff', '0', '0.88357', '0', '0.468299', '1949.92', '12', '2356.98', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5490', '5', '0', 'object/mobile/dressed_commoner_naboo_moncal_female_01.iff', '0', '0.850448', '0', '-0.52606', '1966.49', '12', '2477.69', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5491', '5', '0', 'object/mobile/dressed_stormtrooper_m.iff', '0', '0.065384', '0', '0.99786', '1936.63', '11.9078', '2328.63', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5492', '5', '0', 'object/mobile/dressed_stormtrooper_bombardier_m.iff', '0', '0.659668', '0', '0.751557', '1941.37', '12.1748', '2334.17', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5493', '5', '0', 'object/mobile/dressed_imperial_officer_m.iff', '0', '-0.133061', '0', '0.991108', '1939.22', '11.7777', '2326.15', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5494', '5', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '0', '-0.134615', '0', '0.990898', '1958.72', '1.88', '2296.49', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5495', '5', '0', 'object/mobile/fanned_rawl_hue.iff', '0', '-0.40785', '0', '0.913049', '2175.46', '30', '2427.67', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5496', '5', '0', 'object/mobile/chuba_hue.iff', '0', '0.474572', '0', '0.880217', '2090.12', '10.2168', '2350.71', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5497', '5', '0', 'object/mobile/nuna_hue.iff', '0', '0.923799', '0', '-0.382878', '2078.83', '8.62472', '2340.08', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5498', '5', '0', 'object/mobile/chuba_hue.iff', '0', '-0.0707842', '0', '0.997492', '2077.09', '8.632', '2339.9', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5499', '5', '0', 'object/mobile/capper_spineflap_hue.iff', '0', '-0.435398', '0', '0.900238', '2086.86', '8.5231', '2340.97', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5500', '5', '0', 'object/mobile/fanned_rawl_hue.iff', '0', '-0.0360193', '0', '0.999351', '2234.42', '22.6023', '2474.1', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5501', '5', '0', 'object/mobile/capper_spineflap_hue.iff', '0', '0.821543', '0', '-0.570147', '2096.81', '9.39158', '2346.59', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5502', '5', '0', 'object/mobile/nuna_hue.iff', '0', '0.159417', '0', '0.987211', '2095.82', '9.02963', '2344.7', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5503', '5', '0', 'object/mobile/capper_spineflap_hue.iff', '0', '0.872123', '0', '0.489286', '2043.83', '30', '2400.88', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5504', '5', '0', 'object/mobile/nuna_hue.iff', '0', '0.557574', '0', '0.830127', '2050.5', '30', '2413.07', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5505', '5', '0', 'object/mobile/nuna_hue.iff', '0', '0.945399', '0', '-0.325917', '2042.23', '30', '2413.24', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5506', '5', '0', 'object/mobile/capper_spineflap_hue.iff', '0', '0.384068', '0', '0.923305', '2052.84', '30', '2421.9', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5507', '5', '0', 'object/mobile/nuna_hue.iff', '0', '0.72503', '0', '0.688717', '2043.83', '30', '2419.33', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5508', '5', '0', 'object/mobile/capper_spineflap_hue.iff', '0', '0.985844', '0', '0.167666', '2050.79', '30', '2414.22', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5509', '5', '0', 'object/mobile/dressed_royal_officer_human_male_01.iff', '0', '0.996416', '0', '-0.0845909', '2003.73', '12', '2501.17', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5510', '5', '0', 'object/mobile/dressed_commoner_naboo_moncal_female_01.iff', '0', '-0.0917724', '0', '0.99578', '1991.67', '12', '2509.05', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5511', '5', '0', 'object/mobile/fanned_rawl_hue.iff', '0', '0.976079', '0', '0.217418', '2211.42', '30', '2586.19', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5512', '5', '0', 'object/mobile/dressed_stormtrooper_m.iff', '0', '0.82571', '0', '-0.564095', '1992.84', '12.8554', '2494.75', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5513', '5', '0', 'object/mobile/dressed_royal_officer_human_female_01.iff', '0', '0.388398', '0', '0.921492', '1999.19', '12', '2517.15', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5514', '5', '0', 'object/mobile/dressed_commoner_naboo_human_male_05.iff', '0', '-0.636371', '0', '0.771383', '2018.95', '19', '2537.63', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5515', '5', '0', 'object/mobile/dressed_stormtrooper_m.iff', '0', '0.750883', '0', '-0.660435', '2009.13', '18.9221', '2535.58', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5516', '5', '0', 'object/mobile/dressed_royal_officer_human_male_01.iff', '0', '0.388225', '0', '0.921565', '1999.44', '12', '2517.37', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5517', '5', '0', 'object/mobile/dressed_commoner_naboo_twilek_male_02.iff', '0', '0.274895', '0', '0.961474', '2000.03', '12', '2538.33', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5518', '5', '0', 'object/mobile/dressed_commoner_tatooine_rodian_male_04.iff', '0', '0.991728', '0', '-0.128355', '2049.59', '19', '2549.33', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5519', '5', '0', 'object/mobile/dressed_commoner_naboo_twilek_male_02.iff', '0', '0.927566', '0', '-0.373658', '2036.4', '19', '2548.99', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5520', '5', '0', 'object/mobile/dressed_goon_twk_male_01.iff', '0', '0', '0', '1', '2046.08', '19', '2545.99', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5521', '5', '0', 'object/mobile/dressed_artisan_trainer_03.iff', '0', '1', '0', '0', '2046.08', '19', '2546.99', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5522', '5', '0', 'object/mobile/dressed_stormtrooper_rifleman_m.iff', '0', '-0.229465', '0', '0.973317', '2013.9', '18.9925', '2542.03', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5523', '5', '0', 'object/mobile/dark_trooper.iff', '0', '0.999957', '0', '0.00930247', '1966.82', '12', '2517.37', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5524', '5', '0', 'object/mobile/dressed_commoner_tatooine_rodian_female_03.iff', '0', '-0.328265', '0', '0.944586', '1977.19', '12', '2557.14', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5525', '5', '0', 'object/mobile/dressed_royal_officer_human_male_01.iff', '0', '0.810801', '0', '-0.585322', '2071.51', '27.4221', '2579.25', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5526', '5', '0', 'object/mobile/dressed_stormtrooper_m.iff', '0', '-0.530786', '0', '0.847506', '2058.13', '26', '2574.26', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5527', '5', '0', 'object/mobile/dressed_royal_officer_human_female_01.iff', '0', '0.810776', '0', '-0.585357', '2071.65', '27.5338', '2579.29', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5528', '5', '5', 'object/mobile/dressed_commoner_naboo_human_male_06.iff', '0', '0.956755', '0', '-0.290895', '-10.957', '-0.894992', '1.80883', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5529', '5', '5', 'object/mobile/dressed_lergo_brazee.iff', '0', '0.891447', '0', '-0.453124', '3.8616', '-0.894992', '-4.97955', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5530', '5', '0', 'object/mobile/dressed_scout_trooper_white_white.iff', '0', '0.571355', '0', '0.820703', '2076.81', '30', '2584.26', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5531', '5', '0', 'object/mobile/dressed_stormtrooper_m.iff', '0', '0.666331', '0', '0.745656', '2116.64', '30', '2577.93', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5532', '5', '0', 'object/mobile/dressed_commoner_tatooine_sullustan_male_03.iff', '0', '0.0998341', '0', '0.995004', '2076.05', '30', '2601.63', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5533', '5', '0', 'object/mobile/dressed_commoner_tatooine_ishitib_male_03.iff', '0', '0.453918', '0', '0.891043', '2000.17', '12', '2593.59', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5534', '5', '0', 'object/mobile/dressed_stormtrooper_m.iff', '0', '0.349762', '0', '0.936839', '2101.46', '30.1343', '2606.03', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5535', '5', '0', 'object/mobile/dressed_commoner_old_human_female_02.iff', '0', '0.991885', '0', '-0.127137', '1988.95', '12', '2621.6', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5536', '5', '0', 'object/mobile/dressed_stormtrooper_sniper_m.iff', '0', '0.940881', '0', '-0.338738', '2018.84', '29.788', '2623.19', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5537', '5', '0', 'object/mobile/fanned_rawl_hue.iff', '0', '0.593392', '0', '0.804914', '2276.53', '25', '2674.45', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5538', '5', '0', 'object/mobile/hermit_spider_hue.iff', '0', '0.901755', '0', '0.432248', '2181.5', '30', '2646.83', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5539', '5', '0', 'object/mobile/dressed_mercenary_messanger_hum_f.iff', '0', '2.79323e-08', '0', '1', '1959.04', '12', '2662.77', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5540', '5', '0', 'object/mobile/dressed_rebel_specforce_pathfinder_moncal_female_01.iff', '0', '1', '0', '4.16817e-08', '1959.04', '12', '2663.87', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5541', '5', '0', 'object/mobile/dressed_noble_human_male_04.iff', '0', '0.92389', '0', '0.382658', '1957.94', '12', '2663.87', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5542', '5', '0', 'object/mobile/gungan_s04_male.iff', '0', '0', '0', '1', '1939.81', '12', '2653.34', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5543', '5', '0', 'object/mobile/dressed_stormtrooper_m.iff', '0', '-0.700729', '0', '0.713427', '1987.83', '30.1908', '2692.9', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5544', '5', '0', 'object/mobile/dressed_commoner_tatooine_rodian_female_03.iff', '0', '1', '0', '1.45205e-08', '1939.81', '12', '2654.44', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5545', '5', '0', 'object/mobile/dressed_royal_officer_human_male_01.iff', '0', '-0.556953', '0', '0.830544', '1911.28', '12.3594', '2583.83', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5546', '5', '0', 'object/mobile/dressed_commoner_tatooine_bith_female_01.iff', '0', '0.976483', '0', '-0.215594', '1973.57', '12', '2504.72', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5547', '5', '1865369', 'object/mobile/dressed_commoner_naboo_bothan_female_01.iff', '0', '0.914309', '0', '0.405016', '-24', '1.6', '-4', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5548', '5', '1865364', 'object/mobile/dressed_commoner_artisan_sullustan_male_01.iff', '-2.38471e-06', '-2.65792e-06', '-6.33835e-12', '1', '22.0322', '1.28309', '-8.06448', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5549', '5', '1865364', 'object/mobile/gungan_s04_male.iff', '6.19444e-12', '1', '2.33032e-06', '-2.65819e-06', '22.0322', '1.28309', '-6.96448', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5550', '5', '1865364', 'object/mobile/ankura_gungan.iff', '-6.30589e-07', '0.923867', '1.52223e-06', '0.382714', '20.9322', '1.28309', '-6.96448', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5551', '5', '1865365', 'object/mobile/dressed_commoner_naboo_bothan_female_01.iff', '-2.438e-06', '1.75965e-06', '4.29003e-12', '1', '-19.3974', '1.6', '7.61066', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5552', '5', '1865365', 'object/mobile/dressed_artisan_trainer_02.iff', '-6.28869e-12', '1', '2.43853e-06', '2.57889e-06', '-19.3974', '1.6', '8.71066', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5553', '5', '0', 'object/mobile/dressed_commoner_fat_zabrak_male_02.iff', '0', '0.468984', '0', '0.883207', '-5540.16', '-150', '-70.5507', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5554', '5', '0', 'object/mobile/dressed_noble_fat_twilek_female_01.iff', '0', '0.985772', '0', '0.168085', '-5573.75', '-150', '-33.5977', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5555', '5', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_08.iff', '0', '-0.430114', '0', '0.902775', '-5563.67', '-150', '-26.0826', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5556', '5', '0', 'object/mobile/dressed_noble_human_male_02.iff', '0', '-0.471591', '0', '0.881818', '-5551.4', '-150', '-52.1113', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5557', '5', '0', 'object/mobile/dressed_commoner_tatooine_devaronian_male_02.iff', '0', '0.996677', '0', '-0.0814583', '-5519.18', '-150', '19.4341', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5558', '5', '0', 'object/mobile/dressed_commoner_old_zabrak_female_02.iff', '0', '-0.147551', '0', '0.989055', '-5563', '-150', '-50.6782', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5559', '5', '0', 'object/mobile/dressed_commoner_tatooine_sullustan_male_06.iff', '0', '-0.557828', '0', '0.829957', '-5541.6', '-150', '12.823', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5560', '5', '0', 'object/mobile/junk_sheani.iff', '0', '0.167931', '0', '0.985799', '-5496.62', '-150', '-71.393', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5561', '5', '0', 'object/mobile/dressed_commoner_tatooine_ishitib_male_01.iff', '0', '0.963888', '0', '0.266308', '-5482.29', '-150', '-69.7897', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5562', '5', '0', 'object/mobile/dressed_commoner_naboo_human_female_02.iff', '0', '0.537272', '0', '0.843409', '-5498.98', '-150', '-4.51918', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5563', '5', '0', 'object/mobile/dressed_commoner_fat_zabrak_male_01.iff', '0', '0.671262', '0', '0.74122', '-5478.22', '-150', '-44.0861', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5564', '5', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_09.iff', '0', '0.866755', '0', '-0.498734', '-5469.32', '-150', '-1.26187', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5565', '5', '0', 'object/mobile/dressed_rsf_security_officer.iff', '0', '0.170539', '0', '0.985351', '-5546.26', '-150', '-20.2224', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5566', '5', '0', 'object/mobile/dressed_rsf_security_officer.iff', '0', '0.825225', '0', '-0.564804', '-5552.3', '-149', '-24.0993', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5567', '5', '0', 'object/mobile/dressed_rsf_security_guard.iff', '0', '0.945849', '0', '-0.324607', '-5518.95', '-150', '16.2849', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5568', '5', '0', 'object/mobile/dressed_rsf_security_guard.iff', '0', '0.863014', '0', '-0.50518', '-5555.35', '-149', '-26.4764', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5569', '5', '0', 'object/mobile/dressed_rsf_security_guard.iff', '0', '0.413192', '0', '0.910644', '-5546.26', '-150', '-20.3765', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5570', '5', '0', 'object/mobile/dressed_rsf_security_guard.iff', '0', '0.438842', '0', '0.898564', '-5549.59', '-149', '-24.6808', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5571', '5', '0', 'object/mobile/dressed_rsf_security_guard.iff', '0', '0.863112', '0', '-0.505013', '-5553.08', '-149', '-25.2049', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5572', '5', '0', 'object/mobile/gungan_s02_male.iff', '0.137087', '0.853654', '-0.0429971', '0.500632', '-5629.88', '-156.283', '-3.19017', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5573', '5', '0', 'object/mobile/dressed_commoner_tatooine_bith_male_05.iff', '0', '0.978301', '0', '0.207191', '-5510.78', '-150', '-95.5615', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5574', '5', '0', 'object/mobile/dressed_stormtrooper_sniper_m.iff', '0', '-0.424596', '0', '0.905383', '-5449.2', '-132.394', '122.148', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5575', '5', '0', 'object/mobile/peko_peko_hue.iff', '0', '-0.0426801', '0', '0.999089', '-5576.12', '-143.808', '229.513', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5576', '5', '0', 'object/mobile/peko_peko_hue.iff', '0', '0.960672', '0', '0.277687', '-5537', '-131.602', '237.556', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5577', '5', '0', 'object/mobile/dressed_stormtrooper_medic_m.iff', '0', '0.733791', '0', '-0.679375', '-5431.95', '-121.134', '129.367', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5578', '5', '4215418', 'object/mobile/dressed_plainsfolk.iff', '1.08381e-07', '-1.91212e-05', '2.07238e-12', '1', '-46.7952', '2.63942', '30.1834', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5579', '5', '4215418', 'object/mobile/dressed_commoner_naboo_human_female_03.iff', '-8.64758e-12', '1', '2.16781e-07', '3.98909e-05', '-46.7952', '2.63942', '31.2834', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5580', '5', '4215413', 'object/mobile/dressed_commoner_tatooine_aqualish_female_06.iff', '0', '-7.10469e-05', '0', '1', '55.8212', '-0.521138', '43.1018', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5581', '5', '4215413', 'object/mobile/gungan_male.iff', '0', '1', '0', '0.000112726', '55.8212', '-0.521138', '44.2018', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5582', '5', '4215413', 'object/mobile/dressed_doctor_trainer_human_female_01.iff', '0', '0.923859', '0', '0.382734', '54.7212', '-0.521138', '44.2018', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5583', '5', '4215407', 'object/mobile/dressed_mercenary_messanger_hum_f.iff', '-5.95874e-08', '1.62078e-05', '9.65951e-13', '1', '9.1177', '0.639421', '74.1823', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5584', '5', '4215407', 'object/mobile/dressed_commoner_naboo_human_female_06.iff', '4.64078e-09', '1', '5.96039e-08', '0.000133988', '9.1177', '0.639421', '75.1823', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5585', '5', '4215410', 'object/mobile/dressed_commoner_old_human_female_01.iff', '0.00585732', '-0.572991', '-0.00837714', '0.819498', '15.4096', '0.639422', '56.3535', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5586', '5', '0', 'object/mobile/dressed_commoner_fat_human_male_02.iff', '0', '0.953505', '0', '0.301377', '4786.54', '4.17', '-4714.56', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5587', '5', '0', 'object/mobile/dressed_commoner_naboo_human_female_02.iff', '9.07745e-08', '0.999963', '-7.77232e-10', '-0.0085541', '4816.74', '4.17', '-4727.57', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5588', '5', '0', 'object/mobile/dressed_plasma_thief.iff', '0', '-0.201753', '0', '0.979436', '4631.56', '5.36607', '-4657.23', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5589', '5', '0', 'object/mobile/space_rebel_tier1_naboo_v3fx.iff', '0', '0.978083', '0', '0.208215', '4764.34', '6.13357', '-4794.99', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5590', '5', '0', 'object/mobile/dressed_commoner_tatooine_sullustan_male_06.iff', '1.59139e-17', '0.796141', '6.34975e-18', '-0.605112', '4692.67', '3.75', '-4800.69', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5591', '5', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_06.iff', '0', '0.204142', '0', '0.978941', '4667.04', '3.75', '-4792.22', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5592', '5', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_06.iff', '0', '0.969228', '0', '-0.246163', '4674.62', '3.75', '-4772.33', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5593', '5', '0', 'object/mobile/dressed_commoner_naboo_zabrak_female_01.iff', '-0.00107317', '0.413992', '-0.000450563', '0.91028', '4692.75', '4.16587', '-4722.33', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5594', '5', '0', 'object/mobile/dressed_commoner_tatooine_sullustan_male_04.iff', '0', '0.99681', '0', '-0.079808', '4755.44', '4.17', '-4726.16', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5595', '5', '0', 'object/mobile/dressed_commoner_tatooine_ishitib_male_03.iff', '0', '0.780321', '0', '0.625379', '4806.74', '4.17', '-4674.09', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5596', '5', '0', 'object/mobile/dressed_commoner_tatooine_bith_male_04.iff', '0', '0.951406', '0', '0.307939', '4767.37', '4.17', '-4574.35', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5597', '5', '0', 'object/mobile/dressed_commoner_naboo_twilek_male_01.iff', '0', '0.772079', '0', '0.635526', '4775.33', '4.17', '-4601.68', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5598', '5', '0', 'object/mobile/dressed_commoner_naboo_human_female_03.iff', '0', '0.867661', '0', '-0.497157', '4762.59', '4.17', '-4583.87', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5599', '5', '0', 'object/mobile/dressed_commoner_tatooine_bith_male_01.iff', '0', '0.417927', '0', '0.908481', '4727.15', '4.17', '-4576.43', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5600', '5', '0', 'object/mobile/dressed_commoner_naboo_human_female_03.iff', '7.76001e-05', '0.967711', '2.02126e-05', '0.252061', '4662.3', '4.17', '-4674.62', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5601', '5', '0', 'object/mobile/dressed_commoner_naboo_human_female_01.iff', '0', '0.127847', '0', '0.991794', '4684.97', '4.17', '-4573.87', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5602', '5', '0', 'object/mobile/dressed_commoner_old_human_female_02.iff', '-0.00536934', '-0.621787', '-0.0104566', '0.783098', '4640.72', '4.22812', '-4638.9', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5603', '5', '0', 'object/mobile/dressed_commoner_tatooine_rodian_female_01.iff', '0.000202179', '0.417021', '0.0016792', '0.908895', '4644.28', '4.16444', '-4616.01', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5604', '5', '0', 'object/mobile/dressed_commoner_naboo_human_female_06.iff', '0', '0.458877', '0', '0.8885', '4664.49', '4.17', '-4588.39', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5605', '5', '0', 'object/mobile/fanned_rawl_hue.iff', '0', '0.979108', '0', '0.20334', '4564.95', '7.78811', '-4527.9', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5606', '5', '0', 'object/mobile/space_rebel_tier1_naboo_kiizete.iff', '0', '0.983531', '0', '-0.180737', '4766.36', '6.13357', '-4795.8', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5607', '5', '0', 'object/mobile/space_greeter_moenia_undercover_rebel.iff', '0', '0.669835', '0', '0.74251', '4803.36', '4.17', '-4697.64', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5608', '5', '0', 'object/mobile/dressed_plainsfolk.iff', '0', '0', '0', '1', '4667.1', '3.75', '-4784.34', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5609', '5', '0', 'object/mobile/dressed_hoodlum_zabrak_female_01.iff', '0', '0', '0', '1', '4682.7', '4.17', '-4582.35', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5610', '5', '0', 'object/mobile/dressed_criminal_pirate_human_male_01.iff', '-0.00585418', '0.999975', '-0.00407726', '-2.38696e-05', '4661.19', '4.16082', '-4708.75', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5611', '5', '0', 'object/mobile/gungan_s02_male.iff', '-0.00407733', '9.50092e-07', '0.000233016', '0.999992', '4661.19', '4.15266', '-4709.75', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5612', '5', '0', 'object/mobile/dressed_commoner_tatooine_devaronian_male_03.iff', '0', '1', '0', '0', '4713.02', '4.17', '-4710.61', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5613', '5', '0', 'object/mobile/dressed_noble_old_human_female_01.iff', '0', '0', '0', '1', '4713.02', '4.17', '-4711.61', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5614', '5', '0', 'object/mobile/dressed_bountyhunter_trainer_01.iff', '0', '1', '0', '0', '4667.1', '3.75', '-4783.34', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5615', '5', '0', 'object/mobile/cll8_binary_load_lifter.iff', '0', '-0.53683', '0', '0.84369', '4660.37', '4.22007', '-4692.25', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5616', '5', '0', 'object/mobile/r3.iff', '0', '0.973883', '0', '0.22705', '4637.77', '4.68513', '-4655.67', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5617', '5', '0', 'object/mobile/r4.iff', '0', '0.336282', '0', '0.941761', '4647.33', '4.17', '-4628.73', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5618', '5', '0', 'object/mobile/dressed_rebel_sergeant_fat_zabrak_male_01.iff', '0.0592119', '0.625805', '0.0139532', '0.777604', '4615.65', '5.06538', '-4625.35', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5619', '5', '0', 'object/mobile/dressed_rebel_trooper_twk_female_01.iff', '-0.00425465', '0.958278', '-0.0142832', '-0.28545', '4792.87', '4.17', '-4698.36', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5620', '5', '0', 'object/mobile/dressed_plasma_bandit.iff', '0.0204938', '0.721571', '-0.0213786', '0.691708', '4640.12', '4.67446', '-4663.72', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5621', '5', '0', 'object/mobile/dressed_plasma_thief.iff', '-0.0338441', '0.414215', '-0.0291067', '0.909084', '4646.81', '4.30598', '-4666.17', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5622', '5', '0', 'object/mobile/dressed_rebel_specforce_guerrilla_zabrak_female_01.iff', '0', '0.839459', '0', '-0.543423', '4835.36', '4.17', '-4711.35', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5623', '5', '0', 'object/mobile/dressed_rebel_ris_03.iff', '4.60922e-05', '0.978152', '-4.89887e-05', '-0.20789', '4669.55', '4.17', '-4566.91', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5624', '5', '0', 'object/mobile/dressed_commoner_naboo_zabrak_female_02.iff', '-0.0126963', '0.854278', '-0.00799246', '0.519599', '4764.53', '3.75173', '-4815.27', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5625', '5', '0', 'object/mobile/dressed_commoner_tatooine_trandoshan_female_03.iff', '0', '-0.650474', '0', '0.759529', '4712.91', '3.75', '-4825.99', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5626', '5', '0', 'object/mobile/dressed_commoner_old_human_male_01.iff', '-0.00135641', '0.999999', '-1.36262e-09', '-2.85996e-08', '4695.03', '3.75', '-4825.25', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5627', '5', '0', 'object/mobile/dressed_criminal_assassin_human_female_01.iff', '0', '0', '0', '1', '4695.03', '3.75', '-4826.25', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5628', '5', '0', 'object/mobile/dressed_rebel_trooper_twk_male_01.iff', '-0.00135915', '0.184296', '-0.0104009', '0.982815', '4835.58', '4.10447', '-4731.85', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5629', '5', '0', 'object/mobile/dressed_mercenary_medic_rodian_female_01.iff', '0.0280644', '0.708712', '-0.0044903', '-0.704926', '4842.58', '3.9073', '-4728.78', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5630', '5', '0', 'object/mobile/dressed_noble_human_female_01.iff', '0', '1', '0', '1.83931e-34', '4839.32', '4.17', '-4678.33', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5631', '5', '0', 'object/mobile/dressed_rsf_palace_guard.iff', '0', '5.92079e-34', '0', '1', '4839.32', '4.17', '-4679.33', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5632', '5', '0', 'object/mobile/dressed_villain_trandoshan_female_01.iff', '0', '-0.517234', '0', '0.855844', '4850.63', '4.17', '-4684.7', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5633', '5', '0', 'object/mobile/dressed_criminal_thug_rodian_male_01.iff', '0', '0.963353', '0', '-0.268236', '4856.39', '4.17', '-4688.57', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5634', '5', '0', 'object/mobile/dressed_hooligan_rodian_female_01.iff', '0', '0.718073', '0', '0.695968', '4855.9', '4.17', '-4686.51', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5635', '5', '0', 'object/mobile/dressed_criminal_thug_bothan_male_01.iff', '0', '-0.356079', '0', '0.934456', '4855.2', '4.17', '-4673.62', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5636', '5', '0', 'object/mobile/dressed_criminal_thug_human_male_01.iff', '0', '-0.313633', '0', '0.949544', '4766.05', '3.75', '-4834.73', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5637', '5', '0', 'object/mobile/dressed_commoner_naboo_human_male_04.iff', '0', '0.853668', '0', '0.520818', '4825.92', '4.17', '-4619.65', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5638', '5', '0', 'object/mobile/dressed_rebel_trooper_twk_female_01.iff', '0', '0.596676', '0', '0.802482', '4850.1', '10.9268', '-4756.6', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5639', '5', '0', 'object/mobile/dressed_criminal_thug_aqualish_female_01.iff', '0', '0.999999', '0', '-0.001671', '4765.88', '3.75', '-4835.79', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5640', '5', '0', 'object/mobile/dressed_commoner_fat_zabrak_male_02.iff', '5.7743e-05', '0.943024', '-2.03724e-05', '-0.332724', '4864.94', '3.75', '-4770.52', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5641', '5', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_04.iff', '-1.04781e-08', '-0.605399', '2.82431e-08', '0.795922', '4851.27', '3.75', '-4790.06', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5642', '5', '0', 'object/mobile/dressed_commoner_tatooine_devaronian_male_04.iff', '0', '0.864952', '0', '-0.501854', '4815.14', '3.75', '-4824.06', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5643', '5', '0', 'object/mobile/dressed_commoner_naboo_human_female_03.iff', '0.0297804', '0.930145', '-0.00223311', '-0.365976', '4893.62', '3.77492', '-4667.2', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5644', '5', '0', 'object/mobile/dressed_commoner_naboo_moncal_male_01.iff', '0', '0.973191', '0', '-0.229999', '4870.85', '3.75', '-4789.2', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5645', '5', '0', 'object/mobile/dressed_rebel_trooper_human_male_01.iff', '0', '0.98805', '0', '0.154133', '4863.26', '3.75', '-4788.49', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5646', '5', '0', 'object/mobile/dressed_rebel_trooper_twk_female_01.iff', '0', '0.93529', '0', '-0.353883', '4886.42', '3.75', '-4807.33', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5647', '5', '0', 'object/mobile/dressed_rebel_trooper_human_male_01.iff', '-0.00293992', '0.792297', '5.48975e-05', '-0.610128', '4832.93', '4.17', '-4573.81', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5648', '5', '121', 'object/mobile/borvo.iff', '-1.52421e-08', '0.267385', '4.22951e-09', '0.96359', '-29.3933', '-0.519991', '8.17921', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5649', '5', '117', 'object/mobile/dressed_desperado_bith_male_01.iff', '-6.72266e-08', '0.952851', '-7.03629e-07', '-0.303439', '-3.71719', '-0.894992', '24.1046', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5650', '5', '117', 'object/mobile/dressed_commoner_artisan_trandoshan_male_01.iff', '-4.0649e-07', '2.68934e-05', '1.09319e-11', '1', '-7.15339', '-0.895001', '18.4528', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5651', '5', '117', 'object/mobile/dressed_commoner_tatooine_aqualish_male_07.iff', '2.2445e-11', '1', '-4.60475e-07', '4.87432e-05', '-7.15339', '-0.895', '19.5528', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5652', '5', '117', 'object/mobile/dressed_criminal_thug_human_female_01.iff', '1.02613e-07', '0.923892', '-2.47754e-07', '0.382653', '-8.25339', '-0.895', '19.5528', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5653', '5', '114', 'object/mobile/dressed_commoner_fat_twilek_male_01.iff', '-1.62535e-07', '-4.20407e-05', '-6.83307e-12', '1', '11.1574', '-0.894992', '-14.8935', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5654', '5', '114', 'object/mobile/bith_female.iff', '-3.24432e-12', '1', '-1.62582e-07', '-1.9955e-05', '11.1574', '-0.894992', '-13.7935', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5655', '5', '114', 'object/mobile/dressed_rsf_palace_guard.iff', '4.39948e-08', '0.923869', '-1.06205e-07', '0.382708', '10.0574', '-0.894992', '-13.7935', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5656', '5', '111', 'object/mobile/dressed_commoner_naboo_human_male_08.iff', '0', '0.287219', '0', '0.957865', '-11.4301', '-0.894992', '1.13442', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5657', '5', '111', 'object/mobile/dressed_rsf_captain.iff', '0', '0.725904', '0', '0.687796', '12.8278', '-0.894992', '0.955306', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5658', '5', '111', 'object/mobile/gungan_s04_male.iff', '2.37217e-12', '1', '-2.70887e-08', '8.75703e-05', '12.8278', '-0.894992', '2.05531', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5659', '5', '111', 'object/mobile/junk_lila.iff', '1.47345e-07', '0.962943', '-6.22148e-08', '-0.269705', '25.7796', '-0.894994', '10.5733', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5660', '5', '111', 'object/mobile/dressed_noble_human_male_01.iff', '-3.38515e-08', '0.967847', '-8.79781e-09', '0.251538', '10.2879', '-0.894992', '4.26504', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5661', '5', '111', 'object/mobile/dressed_rebel_crewman_human_male_04.iff', '3.79697e-08', '0.319956', '-2.22627e-07', '0.947432', '18.6758', '-0.894992', '2.42413', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5662', '5', '110', 'object/mobile/dressed_commoner_naboo_bothan_female_01.iff', '2.30566e-06', '-0.673882', '-2.42371e-06', '0.738839', '34.8123', '0.105', '2.14081', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5663', '5', '0', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '-0.000460381', '0.610282', '-0.00182023', '0.792182', '4833.19', '4.17', '-4573.76', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5664', '5', '0', 'object/mobile/fanned_rawl_hue.iff', '0', '0.418431', '0', '0.908249', '5044.81', '6.20647', '-4478.32', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5665', '5', '0', 'object/mobile/fanned_rawl_hue.iff', '0', '0.95498', '0', '0.296671', '4657.01', '3.813', '-4424.91', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5666', '5', '0', 'object/mobile/dressed_rebel_medic3_moncal_female_01.iff', '2.21288e-07', '0.809211', '1.57173e-07', '0.587518', '4701.47', '4.17', '-4548.8', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5667', '5', '0', 'object/mobile/chuba_hue.iff', '0', '0.999196', '0', '0.0400938', '4739.9', '4.17', '-4510.53', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5668', '5', '0', 'object/mobile/capper_spineflap_hue.iff', '0', '0.985188', '0', '-0.17148', '4716.26', '4.69695', '-4505.73', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5669', '5', '0', 'object/mobile/nuna_hue.iff', '0', '-0.344317', '0', '0.938854', '4731.88', '4.67676', '-4501.9', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5670', '5', '0', 'object/mobile/capper_spineflap_hue.iff', '0', '0.160182', '0', '0.987088', '4731.97', '6.18563', '-4488.74', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5671', '5', '0', 'object/mobile/capper_spineflap_hue.iff', '0', '0.177608', '0', '0.984101', '4717.62', '5.54044', '-4497.86', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5672', '5', '0', 'object/mobile/capper_spineflap_hue.iff', '0', '0.176023', '0', '0.984386', '4725.1', '5.49451', '-4495.59', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5673', '5', '0', 'object/mobile/dressed_eisley_officer_bothan_female_01.iff', '0', '1', '0', '0', '4682.7', '4.17', '-4581.35', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5674', '5', '0', 'object/mobile/hermit_spider_hue.iff', '0', '0.937212', '0', '0.34876', '4660.27', '4.71695', '-4455.81', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5675', '5', '0', 'object/mobile/hermit_spider_hue.iff', '0', '-0.435635', '0', '0.900124', '4645.42', '4.51688', '-4455.19', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5676', '5', '0', 'object/mobile/fanned_rawl_hue.iff', '0', '0.859447', '0', '-0.511224', '4433.26', '7.67782', '-4583.48', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5677', '5', '0', 'object/mobile/fanned_rawl_hue.iff', '0', '-0.13633', '0', '0.990663', '4409.76', '8.06477', '-4613.64', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5678', '5', '0', 'object/mobile/fanned_rawl_hue.iff', '0', '0.987706', '0', '-0.15632', '4428.45', '6.62719', '-4655.33', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5679', '5', '0', 'object/mobile/fanned_rawl_hue.iff', '0', '-0.342428', '0', '0.939544', '4539.51', '1.99077', '-4840.31', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5680', '5', '0', 'object/mobile/chuba_hue.iff', '0', '-0.317616', '0', '0.94822', '4558.76', '6.74803', '-4674.68', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5681', '5', '0', 'object/mobile/chuba_hue.iff', '0', '-0.680432', '0', '0.732812', '4549.13', '7.61733', '-4666.3', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5682', '5', '0', 'object/mobile/peko_peko_hue.iff', '0', '0.876252', '0', '0.481853', '4596.81', '7.95528', '-4505.63', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5683', '5', '0', 'object/mobile/peko_peko_hue.iff', '0', '0.964891', '0', '0.26265', '4628.15', '6.64071', '-4528.56', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5684', '5', '0', 'object/mobile/dressed_mercenary_elite_medic_human_male_01.iff', '0', '0', '0', '1', '4673.29', '3.75', '-4862.1', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5685', '5', '0', 'object/mobile/dressed_artisan_trainer_03.iff', '0', '1', '0', '0', '4673.29', '3.75', '-4861.1', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5686', '5', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_04.iff', '0', '0.990569', '0', '-0.137016', '4702.09', '3.75', '-4878.94', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5687', '5', '0', 'object/mobile/dressed_commoner_naboo_zabrak_male_02.iff', '0', '0.581027', '0', '0.813884', '4685.18', '3.75', '-4866.25', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5688', '5', '0', 'object/mobile/dressed_commoner_tatooine_sullustan_male_03.iff', '0', '-0.600438', '0', '0.799672', '4743.49', '3.75', '-4855.41', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5689', '5', '0', 'object/mobile/dressed_rebel_trooper_human_female_01.iff', '-0.0157731', '0.950554', '0.0495387', '0.306178', '4708.25', '3.75', '-4867.11', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5690', '5', '0', 'object/mobile/dressed_robber_twk_female_01.iff', '0', '0.165064', '0', '0.986283', '4769.24', '3.75', '-4830.24', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5691', '5', '0', 'object/mobile/dressed_robber_twk_male_01.iff', '0', '0.997013', '0', '-0.0772335', '4767.05', '3.75', '-4837.73', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5692', '5', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_05.iff', '0', '0.409958', '0', '0.912105', '4765.89', '3.75', '-4850.33', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5693', '5', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_09.iff', '0', '1', '0', '0', '4779.93', '3.75', '-4845.85', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5694', '5', '0', 'object/mobile/dressed_rebel_trooper_twk_female_01.iff', '0.0681343', '0.809559', '-0.0610537', '0.579866', '4685.88', '4.74997', '-4891.52', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5695', '5', '0', 'object/mobile/dressed_rebel_trooper_twk_male_01.iff', '-0.0167816', '0.790885', '-0.0129773', '0.611597', '4730.74', '3.75', '-4867.78', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5696', '5', '0', 'object/mobile/r2.iff', '0', '0.985008', '0', '0.172509', '4687.46', '4.74999', '-4893.79', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5697', '5', '0', 'object/mobile/dressed_commoner_tatooine_devaronian_male_03.iff', '0', '0.869422', '0', '-0.49407', '4705.29', '3.75', '-4892.94', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5698', '5', '0', 'object/mobile/dressed_commoner_tatooine_devaronian_male_04.iff', '0', '0', '0', '1', '4779.93', '3.75', '-4846.85', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5699', '5', '0', 'object/mobile/r4.iff', '0', '0.891755', '0', '-0.452519', '4777.3', '4.27214', '-4872.08', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5700', '5', '0', 'object/mobile/dressed_commoner_tatooine_rodian_male_03.iff', '0', '1', '0', '0', '4785.74', '3.75', '-4890.31', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5701', '5', '0', 'object/mobile/dressed_commoner_tatooine_bith_male_01.iff', '-3.44677e-13', '0.634913', '-4.18747e-13', '0.772584', '4763.08', '3.75', '-4899.77', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5702', '5', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_03.iff', '0', '-0.276213', '0', '0.961097', '4770.04', '3.75', '-4885.68', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5703', '5', '0', 'object/mobile/dressed_commoner_tatooine_sullustan_male_02.iff', '0', '0.78833', '0', '0.615252', '4777.25', '3.75', '-4895.02', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5704', '5', '0', 'object/mobile/dressed_commoner_naboo_human_female_02.iff', '0', '0.975466', '0', '0.220151', '4700.69', '3.75', '-4906.24', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5705', '5', '0', 'object/mobile/gungan_s02_male.iff', '0', '0', '0', '1', '4785.74', '3.75', '-4891.31', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5706', '5', '0', 'object/mobile/dressed_rsf_commando.iff', '0', '1', '0', '0', '4825.4', '3.75', '-4840.72', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5707', '5', '0', 'object/mobile/dressed_noble_old_zabrak_female_02.iff', '0', '0', '0', '1', '4825.4', '3.75', '-4841.72', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5708', '5', '0', 'object/mobile/dressed_rebel_specforce_captain_trandoshan_male_01.iff', '-0.0548715', '-0.344338', '-0.0209643', '0.937006', '4740.97', '3.75', '-4913.74', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5709', '5', '0', 'object/mobile/dressed_commoner_naboo_human_female_08.iff', '0', '0.993727', '0', '-0.111835', '4836.84', '3.75', '-4836.09', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5710', '5', '0', 'object/mobile/dressed_criminal_smuggler_human_male_01.iff', '0', '0', '0', '1', '4680.01', '3.75', '-4914.9', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5711', '5', '0', 'object/mobile/gungan_male.iff', '0', '1', '0', '0', '4680.01', '3.75', '-4913.9', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5712', '5', '0', 'object/mobile/dressed_rebel_trooper_twk_male_01.iff', '0', '0.987379', '0', '0.158377', '4808.21', '4.27214', '-4887.51', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5713', '5', '0', 'object/mobile/dressed_commoner_naboo_moncal_male_02.iff', '0', '0.874805', '0', '-0.484475', '4842.38', '3.75', '-4839.99', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5714', '5', '0', 'object/mobile/dressed_commoner_tatooine_bith_female_05.iff', '0', '0.276154', '0', '0.961113', '4785.68', '3.75', '-4822.31', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5715', '5', '0', 'object/mobile/dressed_commoner_fat_twilek_female_01.iff', '0', '0.907826', '0', '0.419348', '4853.81', '3.75', '-4869.46', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5716', '5', '0', 'object/mobile/dressed_rsf_palace_guard.iff', '0', '1', '0', '0', '4830.47', '3.75', '-4884.94', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5717', '5', '0', 'object/mobile/dressed_official.iff', '0', '0', '0', '1', '4830.47', '3.75', '-4885.94', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5718', '5', '0', 'object/mobile/dressed_commoner_tatooine_ishitib_male_01.iff', '0', '0.945596', '0', '0.325344', '4888.97', '3.75', '-4813.91', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5719', '5', '0', 'object/mobile/r3.iff', '0', '0.698683', '0', '0.715431', '4871.61', '3.75', '-4862.61', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5720', '5', '0', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0.788827', '0', '-0.614616', '4848.69', '10.9267', '-4763.33', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5721', '5', '0', 'object/mobile/dressed_commoner_fat_zabrak_male_01.iff', '0', '0.692711', '0', '0.721215', '4888.1', '3.75', '-4851.13', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5722', '5', '0', 'object/mobile/dressed_noble_human_male_02.iff', '0', '0.992327', '0', '0.123639', '4869.64', '3.75', '-4875.59', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5723', '5', '0', 'object/mobile/ankura_gungan.iff', '0', '0', '0', '1', '4888.86', '3.75', '-4858.07', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5724', '5', '0', 'object/mobile/dressed_commoner_naboo_zabrak_female_02.iff', '0', '0.923869', '0', '0.38271', '4904.82', '3.75', '-4839.5', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5725', '5', '0', 'object/mobile/dressed_commoner_tatooine_rodian_male_02.iff', '-7.16392e-08', '0.9998', '1.43531e-09', '-0.0200215', '4877.11', '3.75', '-4887.47', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5726', '5', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_07.iff', '0', '0.955505', '0', '0.294976', '4931.65', '3.75', '-4847.79', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5727', '5', '0', 'object/mobile/dressed_rebel_trooper_twk_female_01.iff', '-1.22178e-07', '-0.606016', '1.60343e-07', '0.795452', '4958.88', '3.75', '-4784.13', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5728', '5', '0', 'object/mobile/dressed_rebel_trooper_human_male_01.iff', '0', '0.944519', '0', '0.328457', '4964', '3.75', '-4792.58', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5729', '5', '0', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '1.34057e-05', '0.999957', '-1.07911e-05', '0.00928734', '4859.72', '4.17', '-4556.68', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5730', '5', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_04.iff', '0', '0.57394', '0', '0.818897', '4940.42', '3.75', '-4860.32', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5731', '5', '0', 'object/mobile/dressed_commoner_naboo_human_female_06.iff', '0', '0.875425', '0', '0.483354', '4852.73', '3.75', '-4902.63', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5732', '5', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_06.iff', '0', '0.77067', '0', '-0.637235', '4817.83', '3.75', '-4908.93', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5733', '5', '0', 'object/mobile/gungan_s02_male.iff', '0', '0', '0', '1', '4861.64', '3.75', '-4910.21', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5734', '5', '0', 'object/mobile/gungan_s04_male.iff', '0', '1', '0', '0', '4861.64', '3.75', '-4909.21', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5735', '5', '1717546', 'object/mobile/dressed_commoner_tatooine_aqualish_female_06.iff', '0', '0.824126', '0', '-0.566406', '3.29', '1.13306', '-9.58', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5736', '5', '1717542', 'object/mobile/dressed_artisan_trainer_02.iff', '0', '0.0958458', '0', '0.995396', '-3.69', '1.13306', '-6', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5737', '5', '0', 'object/mobile/dressed_commoner_tatooine_devaronian_male_02.iff', '1.19273e-06', '0.82798', '8.08487e-07', '0.560758', '4910.85', '3.75', '-4892.73', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5738', '5', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_08.iff', '0', '1', '0', '0', '4960.66', '3.75', '-4855.79', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5739', '5', '0', 'object/mobile/dressed_commoner_naboo_zabrak_male_01.iff', '0', '-0.323126', '0', '0.946356', '4849.17', '3.75', '-4926.19', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5740', '5', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_08.iff', '7.20125e-05', '0.913286', '-3.21186e-05', '-0.407319', '4957.26', '3.75', '-4885.94', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5741', '5', '0', 'object/mobile/dressed_mercenary_weak_hum_m.iff', '-0.0442304', '0.94775', '0.0147281', '-0.315588', '4969.21', '4.35', '-4885.05', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5742', '5', '0', 'object/mobile/dressed_rebel_specforce_guerrilla_human_female_01.iff', '0', '0.787251', '0', '-0.616633', '4970.5', '3.75', '-4873.39', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5743', '5', '0', 'object/mobile/dressed_hoodlum_zabrak_male_01.iff', '0.00328483', '0.850312', '0.00530771', '-0.526241', '4826.15', '3.75', '-4918.71', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5744', '5', '0', 'object/mobile/dressed_villain_trandoshan_female_01.iff', '-0.00647581', '0.710431', '0.00653769', '0.703707', '4901.59', '3.75', '-4948.93', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5745', '5', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_01.iff', '0', '-0.0643129', '0', '0.99793', '4799.32', '3.75', '-4918.4', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5746', '5', '0', 'object/mobile/dressed_hoodlum_zabrak_male_01.iff', '0', '0.994774', '0', '-0.102107', '4901.59', '3.75', '-4948.93', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5747', '5', '0', 'object/mobile/dressed_commoner_naboo_moncal_female_02.iff', '0', '0.990793', '0', '0.135385', '4879.23', '3.75', '-4956.47', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5748', '5', '0', 'object/mobile/dressed_commoner_tatooine_bith_male_06.iff', '-0.00115917', '0.906456', '-0.0103636', '-0.422172', '4923.97', '3.7822', '-4891.47', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5749', '5', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_05.iff', '0', '-0.378647', '0', '0.925541', '4972.3', '3.75', '-4929.22', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5750', '5', '0', 'object/mobile/dressed_criminal_pirate_human_female_01.iff', '0', '0', '0', '1', '4918.34', '3.75', '-4956.39', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5751', '5', '0', 'object/mobile/dressed_plainsfolk.iff', '0', '1', '0', '0', '4918.34', '3.75', '-4955.39', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5752', '5', '0', 'object/mobile/dressed_criminal_thug_aqualish_female_01.iff', '0.00633317', '-0.374458', '-0.0180812', '0.927046', '4826.9', '3.86497', '-4944.21', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5753', '5', '0', 'object/mobile/dressed_eisley_officer_bothan_female_01.iff', '0', '0', '0', '1', '4960.66', '3.75', '-4856.79', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5754', '5', '0', 'object/mobile/dressed_commoner_tatooine_sullustan_male_01.iff', '0', '-0.0781483', '0', '0.996942', '4926.35', '3.75', '-4970.37', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5755', '5', '0', 'object/mobile/dressed_commoner_tatooine_devaronian_male_03.iff', '0', '0.736794', '0', '0.676117', '4942.97', '3.75', '-4956.86', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5756', '5', '0', 'object/mobile/dressed_commoner_naboo_twilek_female_01.iff', '0', '-0.584035', '0', '0.811728', '4971.79', '3.75', '-4956.96', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5757', '5', '0', 'object/mobile/dressed_commoner_tatooine_devaronian_male_03.iff', '-1.44178e-05', '0.922875', '-6.01629e-06', '0.385101', '4815.52', '3.75', '-4952.41', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5758', '5', '0', 'object/mobile/dressed_noble_human_male_03.iff', '0', '0.657731', '0', '0.753253', '4893.01', '3.75', '-4997.63', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5759', '5', '0', 'object/mobile/dressed_rebel_trooper_human_male_01.iff', '0', '-0.623233', '0', '0.782036', '4983.37', '3.75', '-4973.63', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5760', '5', '1717508', 'object/mobile/dressed_rsf_captain.iff', '0', '-1.31149e-05', '0', '1', '0.324245', '7.26', '-12.5638', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5761', '5', '1717508', 'object/mobile/dressed_commoner_artisan_trandoshan_male_01.iff', '0', '1', '0', '-1.31111e-05', '0.324245', '7.26', '-11.5638', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5762', '5', '1717506', 'object/mobile/dressed_commoner_artisan_trandoshan_male_01.iff', '1.04296e-07', '8.67793e-05', '-7.1807e-08', '1', '-18.1686', '0.26', '9.53119', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5763', '5', '1717506', 'object/mobile/dressed_mercenary_weak_rod_m.iff', '9.06015e-12', '1', '-1.04314e-07', '8.67894e-05', '-18.1686', '0.26', '10.5312', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5764', '5', '1717506', 'object/mobile/21b_surgical_droid.iff', '0', '0.972315', '0', '0.233673', '-25.52', '0.26', '-3.48', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5765', '5', '0', 'object/mobile/dressed_commoner_naboo_twilek_female_01.iff', '0', '0.723172', '0', '0.690668', '4901.09', '3.75', '-4994.69', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5766', '5', '0', 'object/mobile/dressed_commoner_tatooine_ishitib_male_03.iff', '0', '-0.264334', '0', '0.964431', '4975.07', '3.75', '-4976.35', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5767', '5', '0', 'object/mobile/dressed_rsf_captain.iff', '0', '0', '0', '1', '4992.61', '3.75', '-4946.68', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5768', '5', '0', 'object/mobile/dressed_rsf_security_officer.iff', '0', '1', '0', '0', '4992.61', '3.75', '-4945.68', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5769', '5', '0', 'object/mobile/dressed_rebel_sergeant_rodian_male_01.iff', '0', '-0.567694', '0', '0.82324', '4978.18', '3.75', '-4975.15', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5770', '5', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_05.iff', '-3.19708e-09', '-0.112484', '1.34571e-08', '0.993654', '4814.19', '3.75', '-4964.77', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5771', '5', '0', 'object/mobile/dressed_commoner_tatooine_rodian_male_01.iff', '-1.73968e-09', '0.743878', '2.19944e-09', '0.668315', '4799.36', '3.75', '-4964.18', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5772', '5', '0', 'object/mobile/dressed_commoner_tatooine_sullustan_male_01.iff', '0', '0.446505', '0', '0.894781', '4831.58', '3.75', '-4980.31', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5773', '5', '0', 'object/mobile/dressed_rebel_trooper_twk_female_01.iff', '-8.18848e-07', '0.960164', '2.38311e-07', '-0.279437', '4801.33', '3.75', '-4952.58', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5774', '5', '0', 'object/mobile/dressed_herald_naboo_02.iff', '-0.163356', '0.0969999', '0.0161416', '0.981654', '4810.24', '3.75', '-4977.96', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5775', '5', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_03.iff', '0', '0.95645', '0', '0.291895', '4778.73', '3.75', '-4946.12', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5776', '5', '0', 'object/mobile/dressed_mercenary_medic_rodian_female_01.iff', '0', '0', '0', '1', '4826.19', '3.75', '-4998.7', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5777', '5', '0', 'object/mobile/dressed_commoner_old_zabrak_female_01.iff', '0', '1', '0', '0', '4826.19', '3.75', '-4997.7', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5778', '5', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_05.iff', '-2.36507e-15', '0.109297', '-2.13335e-14', '0.994009', '4740.37', '3.75', '-4938.5', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5779', '5', '0', 'object/mobile/dressed_commoner_naboo_human_female_01.iff', '0', '0.260075', '0', '0.965588', '4764.57', '3.75', '-4967.05', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5780', '5', '0', 'object/mobile/dressed_criminal_smuggler_human_female_01.iff', '0', '0', '0', '1', '4764.7', '3.75', '-4976.72', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5781', '5', '0', 'object/mobile/dressed_eisley_officer_bothan_male_01.iff', '0', '1', '0', '0', '4764.7', '3.75', '-4975.72', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5782', '5', '0', 'object/mobile/dressed_commoner_naboo_bothan_female_02.iff', '4.39967e-09', '0.611717', '-3.34214e-10', '0.791077', '4859.25', '3.75', '-4970.8', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5783', '5', '0', 'object/mobile/dressed_rebel_crewman_human_male_03.iff', '0', '0.870313', '0', '-0.4925', '4725.9', '3.75', '-4931.36', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5784', '5', '0', 'object/mobile/dressed_rebel_crewman_human_female_01.iff', '0', '0.209369', '0', '0.977837', '4722.66', '3.75', '-4932.75', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5785', '5', '0', 'object/mobile/fanned_rawl_hue.iff', '0', '-0.70346', '0', '0.710735', '5073.17', '5.00317', '-5054.93', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5786', '5', '0', 'object/mobile/3po_protocol_droid_red.iff', '0', '-0.110809', '0', '0.993842', '4723.89', '3.75', '-4935.28', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5787', '5', '0', 'object/mobile/eg6_power_droid.iff', '0', '0.0153193', '0', '0.999883', '4722.7', '3.75', '-4932.75', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5788', '5', '0', 'object/mobile/r5.iff', '0', '0.0334719', '0', '0.99944', '4718.96', '3.75', '-4949.77', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5789', '5', '0', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0.00167514', '-0.0376047', '6.30376e-05', '0.999291', '4808.39', '6.25', '-4981.9', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5790', '5', '0', 'object/mobile/r3.iff', '0', '0.974224', '0', '0.225584', '4717.57', '6.25', '-4963.21', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5791', '5', '1717552', 'object/mobile/dressed_imperial_captain_m.iff', '-1.61533e-08', '0.353453', '6.1034e-09', '0.935452', '-1.65561', '1.13306', '-3.82466', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5792', '5', '0', 'object/mobile/dressed_commoner_tatooine_sullustan_male_03.iff', '0', '0.932258', '0', '0.361794', '4701.05', '3.75', '-4929.73', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5793', '5', '0', 'object/mobile/dressed_commoner_naboo_human_male_01.iff', '0', '-0.373222', '0', '0.927742', '4708.4', '3.75', '-5010.44', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5794', '5', '0', 'object/mobile/dressed_commoner_tatooine_bith_male_01.iff', '0', '0.098474', '0', '0.99514', '4699.44', '3.75', '-4984.31', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5795', '5', '0', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '-0.289466', '0', '0.957188', '4725.8', '6.25', '-4966.24', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5796', '5', '0', 'object/mobile/dressed_commoner_old_zabrak_male_02.iff', '0', '0.745303', '0', '0.666726', '4653.53', '3.75', '-4928.08', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5797', '5', '1717535', 'object/mobile/dressed_commoner_tatooine_nikto_male_08.iff', '0', '0.866025', '0', '0.5', '-14.01', '1.13306', '-8.53', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5798', '5', '1717534', 'object/mobile/dressed_commoner_tatooine_aqualish_male_02.iff', '0', '0.913545', '0', '-0.406737', '3.32', '1.13306', '-8.49', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5799', '5', '0', 'object/mobile/dressed_rebel_first_lieutenant_sullustan_male_01.iff', '0', '0.837508', '0', '0.546425', '4633.06', '3.75', '-4923.9', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5800', '5', '0', 'object/mobile/dressed_rebel_trooper_human_male_01.iff', '0', '0.912154', '0', '0.409848', '4631.95', '3.75', '-4924.08', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5801', '5', '0', 'object/mobile/dressed_rebel_lieutenant_colonel_rodian_male_01.iff', '0', '-0.702499', '0', '0.711685', '4632.88', '3.75', '-4922.79', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5802', '5', '1717475', 'object/mobile/dressed_commoner_naboo_human_male_02.iff', '-5.8769e-09', '0.99814', '-3.45777e-08', '0.0609676', '-24', '1.6', '-4', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5803', '5', '1717474', 'object/mobile/dressed_commoner_old_zabrak_male_01.iff', '1.08352e-07', '2.03503e-05', '-2.205e-12', '1', '-14.17', '1.6', '-16.339', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5804', '5', '1717474', 'object/mobile/dressed_commoner_tatooine_trandoshan_male_01.iff', '3.38169e-12', '1', '-1.08381e-07', '3.12019e-05', '-14.17', '1.6', '-15.239', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5805', '5', '1717473', 'object/mobile/dressed_commoner_naboo_human_male_02.iff', '7.40698e-08', '-0.14957', '6.22569e-08', '0.988751', '-4.92524', '1.6', '-11.167', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5806', '5', '1717470', 'object/mobile/dressed_commoner_tatooine_nikto_male_04.iff', '5.97729e-08', '-8.70294e-05', '5.20106e-12', '1', '21.7837', '1.28309', '-6.39962', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5807', '5', '1717470', 'object/mobile/dressed_entertainer_trainer_twk_male_01.iff', '6.51724e-12', '1', '-5.97775e-08', '0.000109034', '21.7833', '1.28309', '-5.40241', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5808', '5', '1717468', 'object/mobile/dressed_entertainer_trainer_twk_female_01.iff', '-5.36866e-06', '-8.62348e-05', '-4.62965e-10', '1', '3.35318', '0.99995', '17.5898', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5809', '5', '1717468', 'object/mobile/dressed_eisley_officer_bothan_male_01.iff', '-1.72085e-10', '1', '-5.48667e-06', '-3.13642e-05', '3.35318', '0.999959', '18.3449', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5810', '5', '0', 'object/mobile/nightspider.iff', '0', '0', '0', '0', '-5009.58', '0', '3903.61', '7', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5811', '5', '0', 'object/mobile/nightspider.iff', '0', '0', '0', '0', '-4973.33', '0', '3823.86', '7', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5812', '5', '0', 'object/mobile/nightspider.iff', '0', '0', '0', '0', '-5071.43', '0', '3920.64', '7', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5813', '5', '0', 'object/mobile/nightspider.iff', '0', '0', '0', '0', '-5028.75', '0', '3974.88', '7', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5814', '5', '0', 'object/mobile/nightspider.iff', '0', '0', '0', '0', '-5140.19', '0', '3898.19', '7', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5815', '5', '0', 'object/mobile/nightspider.iff', '0', '0', '0', '0', '-5057.92', '0', '3882.48', '7', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5816', '5', '0', 'object/mobile/nightspider.iff', '0', '0', '0', '0', '-5009.65', '0', '3895.96', '7', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5817', '5', '0', 'object/mobile/nightspider.iff', '0', '0', '0', '0', '-5174.99', '0', '3886.46', '7', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5818', '5', '0', 'object/mobile/nightspider.iff', '0', '0', '0', '0', '-5058.06', '0', '3898.77', '7', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5819', '5', '0', 'object/mobile/nightspider.iff', '0', '0', '0', '0', '-5067.78', '0', '3896.32', '7', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5820', '5', '0', 'object/mobile/nuna.iff', '0', '0', '0', '0', '-5010.04', '0', '3840.44', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5821', '5', '0', 'object/mobile/nuna.iff', '0', '0', '0', '0', '-5109.56', '0', '3990.42', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5822', '5', '0', 'object/mobile/nuna.iff', '0', '0', '0', '0', '-5103.52', '0', '3885.26', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5823', '5', '0', 'object/mobile/nuna.iff', '0', '0', '0', '0', '-5167.37', '0', '3883.54', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5824', '5', '0', 'object/mobile/nuna.iff', '0', '0', '0', '0', '-5145.25', '0', '3930.71', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5825', '5', '0', 'object/mobile/nuna.iff', '0', '0', '0', '0', '-5101.44', '0', '3858.62', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5826', '5', '0', 'object/mobile/nuna.iff', '0', '0', '0', '0', '-4986.3', '0', '3870.65', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5827', '5', '0', 'object/mobile/nuna.iff', '0', '0', '0', '0', '-5040.1', '0', '3952.22', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5828', '5', '0', 'object/mobile/nuna.iff', '0', '0', '0', '0', '-5087.51', '0', '3855.89', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5829', '5', '0', 'object/mobile/nuna.iff', '0', '0', '0', '0', '-5044.49', '0', '3881.13', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5830', '5', '0', 'object/mobile/capper_spineflap.iff', '0', '0', '0', '0', '-4974.95', '0', '3897.71', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5831', '5', '0', 'object/mobile/capper_spineflap.iff', '0', '0', '0', '0', '-5117.44', '0', '4033.27', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5832', '5', '0', 'object/mobile/capper_spineflap.iff', '0', '0', '0', '0', '-5008.74', '0', '3785.58', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5833', '5', '0', 'object/mobile/capper_spineflap.iff', '0', '0', '0', '0', '-5044.23', '0', '3838.37', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5834', '5', '0', 'object/mobile/capper_spineflap.iff', '0', '0', '0', '0', '-5006.39', '0', '3875.9', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5835', '5', '0', 'object/mobile/capper_spineflap.iff', '0', '0', '0', '0', '-5155.75', '0', '3859.9', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5836', '5', '0', 'object/mobile/capper_spineflap.iff', '0', '0', '0', '0', '-4953.97', '0', '3810.69', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5837', '5', '0', 'object/mobile/capper_spineflap.iff', '0', '0', '0', '0', '-5113.24', '0', '3934.18', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5838', '5', '0', 'object/mobile/capper_spineflap.iff', '0', '0', '0', '0', '-5072.7', '0', '4049.45', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5839', '5', '0', 'object/mobile/capper_spineflap.iff', '0', '0', '0', '0', '-5029.65', '0', '4013.46', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5840', '5', '0', 'object/mobile/chuba_hue.iff', '0', '0', '0', '0', '-5153.95', '0', '3829.43', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5841', '5', '0', 'object/mobile/chuba_hue.iff', '0', '0', '0', '0', '-5019.13', '0', '3977.46', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5842', '5', '0', 'object/mobile/chuba_hue.iff', '0', '0', '0', '0', '-5083.26', '0', '3955.05', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5843', '5', '0', 'object/mobile/chuba_hue.iff', '0', '0', '0', '0', '-4971.37', '0', '3780.9', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5844', '5', '0', 'object/mobile/chuba_hue.iff', '0', '0', '0', '0', '-5029.05', '0', '3811.74', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5845', '5', '0', 'object/mobile/chuba_hue.iff', '0', '0', '0', '0', '-4988.8', '0', '4003.98', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5846', '5', '0', 'object/mobile/chuba_hue.iff', '0', '0', '0', '0', '-5013.84', '0', '3967.77', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5847', '5', '0', 'object/mobile/chuba_hue.iff', '0', '0', '0', '0', '-5075.36', '0', '3761.66', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5848', '5', '0', 'object/mobile/chuba_hue.iff', '0', '0', '0', '0', '-5091.15', '0', '3970.15', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5849', '5', '0', 'object/mobile/chuba_hue.iff', '0', '0', '0', '0', '-5084.88', '0', '3923.8', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5850', '5', '0', 'object/mobile/shaupaut.iff', '0', '0', '0', '0', '-4960.79', '0', '3788.45', '7', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5851', '5', '0', 'object/mobile/shaupaut.iff', '0', '0', '0', '0', '-4941.59', '0', '3901.99', '7', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5852', '5', '0', 'object/mobile/shaupaut.iff', '0', '0', '0', '0', '-5001.41', '0', '3867.34', '7', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5853', '5', '0', 'object/mobile/shaupaut.iff', '0', '0', '0', '0', '-5041.12', '0', '3929.23', '7', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5854', '5', '0', 'object/mobile/shaupaut.iff', '0', '0', '0', '0', '-5097.72', '0', '3943.78', '7', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5855', '5', '0', 'object/mobile/shaupaut.iff', '0', '0', '0', '0', '-4935.11', '0', '3814.13', '7', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5856', '5', '0', 'object/mobile/shaupaut.iff', '0', '0', '0', '0', '-5051.27', '0', '3917.79', '7', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5857', '5', '0', 'object/mobile/shaupaut.iff', '0', '0', '0', '0', '-5138.05', '0', '3896.87', '7', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5858', '5', '0', 'object/mobile/shaupaut.iff', '0', '0', '0', '0', '-5104.92', '0', '3918.92', '7', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5859', '5', '0', 'object/mobile/shaupaut.iff', '0', '0', '0', '0', '-5087.75', '0', '3891.62', '7', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5860', '5', '1697365', 'object/mobile/dressed_imperial_officer_m_6.iff', '-0.000489593', '-0.58655', '-0.000366951', '0.809913', '-33.7329', '0.259996', '14.005', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5861', '5', '1697365', 'object/mobile/dressed_mercenary_messanger_hum_f.iff', '0.000718017', '0.689521', '-0.000683572', '0.724265', '-33.7333', '0.259997', '14.0052', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5862', '5', '1697364', 'object/mobile/21b_surgical_droid.iff', '0', '-0.27352', '0', '0.961866', '-25.52', '0.26', '-3.48', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5863', '5', '0', 'object/mobile/dressed_commoner_tatooine_rodian_male_03.iff', '0', '2.20161e-08', '0', '1', '-5041.71', '6', '4192.84', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5864', '5', '0', 'object/mobile/dressed_commoner_artisan_trandoshan_male_01.iff', '0', '1', '0', '0', '-5041.71', '6', '4193.94', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5865', '5', '0', 'object/mobile/dressed_commoner_naboo_human_male_07.iff', '0', '0.0347596', '0', '0.999396', '-5135.69', '6', '4219.76', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5866', '5', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_07.iff', '0', '0.997381', '0', '-0.0723317', '-5124.32', '6', '4230.7', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5867', '5', '0', 'object/mobile/dressed_commoner_naboo_human_male_08.iff', '0', '0.716251', '0', '-0.697843', '-5123.13', '6', '4201.32', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5868', '5', '0', 'object/mobile/dressed_commoner_tatooine_trandoshan_female_01.iff', '0', '0.336208', '0', '0.941788', '-5101.22', '6', '4246.47', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5869', '5', '0', 'object/mobile/dressed_commoner_tatooine_rodian_female_01.iff', '0', '-0.649984', '0', '0.759947', '-5106.97', '6', '4296.89', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5870', '5', '0', 'object/mobile/dressed_commoner_tatooine_trandoshan_male_01.iff', '0', '-0.466024', '0', '0.884772', '-5069.74', '6', '4262.45', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5871', '5', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_09.iff', '0', '0.776624', '0', '-0.629964', '-5075.93', '6', '4204.5', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5872', '5', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_03.iff', '0', '0.879044', '0', '-0.47674', '-5053.71', '6', '4151.61', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5873', '5', '0', 'object/mobile/dressed_commoner_tatooine_ishitib_male_02.iff', '0', '-0.301631', '0', '0.953425', '-5090.67', '6', '4173.27', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5874', '5', '0', 'object/mobile/dressed_commoner_naboo_twilek_female_02.iff', '0', '0.403464', '0', '0.914995', '-5076.56', '6', '4162.09', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5875', '5', '0', 'object/mobile/dressed_commoner_tatooine_rodian_female_04.iff', '0', '1', '0', '0.000170187', '-5032.44', '6', '4131.62', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5876', '5', '0', 'object/mobile/dressed_commoner_old_twilek_male_02.iff', '0', '-0.0446273', '0', '0.999004', '-5019.1', '6', '4125.83', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5877', '5', '0', 'object/mobile/dressed_commoner_fat_twilek_male_01.iff', '0', '0.97946', '0', '0.20164', '-5007.98', '6', '4111.83', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5878', '5', '0', 'object/mobile/dressed_commoner_old_human_male_02.iff', '0', '0.120344', '0', '0.992732', '-5021.05', '6', '4230.04', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5879', '5', '0', 'object/mobile/dressed_royal_officer_human_male_01.iff', '0', '0', '0', '1', '-5138.49', '6', '4228.36', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5880', '5', '0', 'object/mobile/gungan_s04_male.iff', '0', '1', '0', '0', '-5138.49', '6', '4229.36', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5881', '5', '0', 'object/mobile/dressed_commoner_artisan_sullustan_male_01.iff', '0', '0', '0', '1', '-5117.92', '6', '4266.21', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5882', '5', '0', 'object/mobile/dressed_entertainer_trainer_human_female_01.iff', '0', '1', '0', '0', '-5117.92', '6', '4267.21', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5883', '5', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_01.iff', '0', '0', '0', '1', '-5030.32', '6', '4238.22', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5884', '5', '0', 'object/mobile/dressed_noble_fat_twilek_male_02.iff', '0', '1', '0', '0', '-5030.32', '6', '4239.22', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5885', '5', '0', 'object/mobile/dressed_commoner_fat_twilek_male_02.iff', '0', '0', '0', '1', '-5082.41', '6', '4260.15', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5886', '5', '0', 'object/mobile/dressed_bounty_hunter_zabrak_female_01.iff', '0', '1', '0', '0', '-5082.41', '6', '4261.15', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5887', '5', '0', 'object/mobile/dressed_commoner_naboo_human_male_05.iff', '0', '0', '0', '1', '-5054.68', '6', '4228.23', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5888', '5', '0', 'object/mobile/dressed_scout_trooper_white_white.iff', '0', '1', '0', '0', '-5054.68', '6', '4229.23', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5889', '5', '0', 'object/mobile/dressed_mercenary_messanger_hum_m.iff', '0', '0', '0', '1', '-5062.03', '13.25', '4182.08', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5890', '5', '0', 'object/mobile/dressed_commoner_fat_zabrak_female_01.iff', '0', '1', '0', '0', '-5062.03', '13.25', '4183.08', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5891', '5', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-4933.43', '0', '4233.84', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5892', '5', '0', 'object/mobile/dressed_commoner_old_zabrak_female_01.iff', '0', '-0.0361604', '0', '0.999346', '-4991.86', '6', '4125.22', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5893', '5', '0', 'object/mobile/dressed_commoner_tatooine_sullustan_male_05.iff', '0', '0.982478', '0', '0.186377', '-4978.62', '6', '4119.77', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5894', '5', '0', 'object/mobile/dressed_commoner_naboo_zabrak_male_02.iff', '0', '0.456406', '0', '0.889772', '-4941.05', '6', '4184.26', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5895', '5', '0', 'object/mobile/dressed_commoner_naboo_moncal_male_01.iff', '0', '0.476775', '0', '0.879025', '-4968.55', '6', '4158.78', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5896', '5', '0', 'object/mobile/dressed_commoner_naboo_human_female_04.iff', '0', '0.921552', '0', '-0.388256', '-4978.84', '6', '4263.64', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5897', '5', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_05.iff', '0', '0.246318', '0', '0.969189', '-4973.93', '6', '4220.31', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5898', '5', '0', 'object/mobile/dressed_commoner_naboo_human_female_07.iff', '0', '0.322684', '0', '0.946507', '-4981.69', '6', '4244.41', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5899', '5', '0', 'object/mobile/dressed_commoner_tatooine_bith_female_05.iff', '0', '0.460187', '0', '0.887822', '-4985.97', '6', '4212.75', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5900', '5', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_08.iff', '0', '0.989054', '0', '0.147556', '-4973.2', '6', '4175.16', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5901', '5', '0', 'object/mobile/dressed_commoner_old_zabrak_female_01.iff', '0', '0.801384', '0', '0.598151', '-4956.42', '6', '4205.06', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5902', '5', '0', 'object/mobile/dressed_official.iff', '0', '0', '0', '1', '-4965.4', '6', '4193.15', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5903', '5', '0', 'object/mobile/dressed_commoner_naboo_moncal_male_02.iff', '0', '1', '0', '0', '-4965.4', '6', '4194.15', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5904', '5', '0', 'object/mobile/gungan_s02_male.iff', '0', '0', '0', '1', '-4946.3', '6', '4223.38', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5905', '5', '0', 'object/mobile/dressed_criminal_thug_aqualish_female_01.iff', '0', '1', '0', '0', '-4946.3', '6', '4224.38', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5906', '5', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '-0.00118422', '-0.368186', '0.00105984', '0.929751', '-5149.35', '6', '4292.25', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5907', '5', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-5016.16', '0', '4107', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5908', '5', '0', 'object/mobile/dressed_imperial_officer_m_2.iff', '0', '0.971901', '0', '0.235387', '-5065.71', '6', '4146.31', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5909', '5', '0', 'object/mobile/dressed_philosopher.iff', '0', '1', '0', '0', '-4913.23', '6', '4198.98', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5910', '5', '0', 'object/mobile/gungan_s02_male.iff', '0', '0', '0', '1', '-4913.23', '6', '4197.98', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5911', '5', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-5126.48', '0', '4130.79', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5912', '5', '0', 'object/mobile/dressed_commoner_naboo_human_male_01.iff', '0', '0.378046', '0', '0.925787', '-5165.37', '6', '4173.32', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5913', '5', '0', 'object/mobile/dressed_stormtrooper_rifleman_m.iff', '0', '0.94889', '0', '-0.315608', '-5160.99', '6.52214', '4159.54', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5914', '5', '0', 'object/mobile/dressed_commoner_tatooine_bith_female_04.iff', '0', '0.989247', '0', '0.146252', '-4974.13', '6', '4196.91', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5915', '5', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_04.iff', '0', '0.580333', '0', '0.814379', '-4897.7', '6', '4193.27', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5916', '5', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_07.iff', '0', '-0.0625354', '0', '0.998043', '-4896.15', '6', '4167.85', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5917', '5', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_03.iff', '0', '0', '0', '1', '-4870.86', '6', '4179.63', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5918', '5', '0', 'object/mobile/dressed_mercenary_messanger_hum_m.iff', '0', '1', '0', '0', '-4870.86', '6', '4180.63', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5919', '5', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-4857.84', '0', '4178.31', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5920', '5', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_05.iff', '0', '-0.115606', '0', '0.993295', '-4866.72', '6', '4160.45', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5921', '5', '0', 'object/mobile/dressed_commoner_fat_human_male_02.iff', '0', '-0.0808775', '0', '0.996724', '-4902.73', '6', '4106.81', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5922', '5', '0', 'object/mobile/3po_protocol_droid_silver.iff', '0', '-0.217548', '0', '0.97605', '-4856.56', '6', '4158.12', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5923', '5', '0', 'object/mobile/dressed_official.iff', '0', '0', '0', '1', '-4917.91', '6', '4099.26', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5924', '5', '0', 'object/mobile/dressed_noble_fat_twilek_female_02.iff', '0', '1', '0', '0', '-4917.91', '6', '4100.26', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5925', '5', '0', 'object/mobile/dressed_stormtrooper_rifleman_m.iff', '0', '-0.382683', '0', '0.92388', '-4918.8', '6', '4096.2', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5926', '5', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-4848.1', '0', '4172.25', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5927', '5', '0', 'object/mobile/space_greeter_theed_freighter_captain.iff', '0', '-0.381574', '0', '0.924338', '-4854.98', '6', '4157.94', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5928', '5', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-4845.17', '0', '4167.68', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5929', '5', '0', 'object/mobile/dressed_rsf_security_guard.iff', '0', '0.980885', '0', '0.19459', '-5032.08', '6', '4091.71', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5930', '5', '0', 'object/mobile/dressed_noble_human_male_01.iff', '0', '0.982354', '0', '0.18703', '-4912.59', '6', '4088.96', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5931', '5', '0', 'object/mobile/dressed_royal_officer_human_female_01.iff', '0', '0.897951', '0', '0.440096', '-4911.53', '6', '4089.7', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5932', '5', '1692104', 'object/mobile/dressed_mercenary_weak_hum_f.iff', '-2.16719e-07', '7.28135e-05', '1.57801e-11', '1', '-29.8622', '7.9418', '9.79571', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5933', '5', '1692104', 'object/mobile/dressed_crook_zabrak_male_01.iff', '5.26739e-12', '1', '2.16756e-07', '-2.4301e-05', '-29.8622', '7.9418', '10.8957', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5934', '5', '1692104', 'object/mobile/dressed_mugger.iff', '-2.3839e-07', '1.90712e-06', '1.54901e-07', '1', '-37.5788', '7.9418', '22.3791', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5935', '5', '1692104', 'object/mobile/dressed_commoner_tatooine_ishitib_male_03.iff', '5.56936e-08', '1', '2.3845e-07', '-7.63053e-05', '-37.5788', '7.9418', '23.3791', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5936', '5', '1692103', 'object/mobile/dressed_commoner_naboo_moncal_male_02.iff', '-1.0839e-07', '-7.10809e-05', '-7.70443e-12', '1', '28.3576', '0.749357', '-68.7484', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5937', '5', '1692103', 'object/mobile/dressed_commoner_tatooine_bith_female_01.iff', '-7.41531e-14', '1', '8.12848e-08', '9.12262e-07', '28.3576', '0.749358', '-67.6484', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5938', '5', '1692102', 'object/mobile/dressed_criminal_smuggler_human_male_01.iff', '0', '2.34382e-05', '0', '1', '-23.1153', '0.749357', '-72.4079', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5939', '5', '1692102', 'object/mobile/dressed_hoodlum_zabrak_female_01.iff', '0', '1', '0', '9.53557e-05', '-23.1153', '0.749357', '-71.3079', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5940', '5', '1692102', 'object/mobile/gungan_s04_male.iff', '0', '0.923858', '0', '0.382734', '-24.2153', '0.749357', '-71.3079', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5941', '5', '0', 'object/mobile/dressed_commoner_old_twilek_male_01.iff', '0', '0.902919', '0', '-0.42981', '-4970.37', '6', '4069.78', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5942', '5', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_03.iff', '0', '0.910219', '0', '0.414127', '-4892.24', '6', '4083', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5943', '5', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_08.iff', '0', '0', '0', '1', '-4835.28', '6', '4150.09', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5944', '5', '0', 'object/mobile/dressed_mercenary_messanger_hum_m.iff', '0', '1', '0', '0', '-4835.28', '6', '4151.09', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5945', '5', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_03.iff', '0', '-0.302813', '0', '0.95305', '-4921.08', '6', '4061.48', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5946', '5', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-4790.48', '0', '4108.7', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5947', '5', '0', 'object/mobile/dressed_commoner_fat_twilek_female_01.iff', '0', '0.832901', '0', '0.553422', '-4924.84', '6', '4034.9', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5948', '5', '0', 'object/mobile/dressed_mercenary_messanger_sullustan_m.iff', '0', '0', '0', '1', '-4900.05', '6', '4013.14', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5949', '5', '0', 'object/mobile/dressed_combatmedic_trainer_human_male_01.iff', '0', '1', '0', '0', '-4900.05', '6', '4014.14', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5950', '5', '0', 'object/mobile/dressed_stormtrooper_black_gold.iff', '0', '-0.0977094', '0', '0.995215', '-4974.62', '6', '4066.24', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5951', '5', '0', 'object/mobile/dressed_stormtrooper_squad_leader_black_black.iff', '-0.00316721', '-0.0977148', '0.00171699', '0.995208', '-4974.62', '6', '4066.24', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5952', '5', '0', 'object/mobile/dressed_commoner_naboo_bothan_female_01.iff', '0', '-0.0355576', '0', '0.999368', '-4933.63', '6', '4090.17', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5953', '5', '0', 'object/mobile/dressed_commoner_old_zabrak_female_01.iff', '0', '-0.602714', '0', '0.797957', '-5004.8', '6', '4067.54', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5954', '5', '0', 'object/mobile/dressed_commoner_naboo_human_female_04.iff', '0', '0.830785', '0', '0.556593', '-5023.92', '6', '4040.07', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5955', '5', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_08.iff', '0', '0.126872', '0', '0.991919', '-5037.78', '6', '4078.71', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5956', '5', '0', 'object/mobile/dressed_stormtrooper_rifleman_m.iff', '4.82432e-05', '0.739468', '-0.000242122', '0.673192', '-5090.71', '6', '4052.01', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5957', '5', '0', 'object/mobile/dressed_stormtrooper_sniper_m.iff', '0', '0.739461', '0', '0.673199', '-5089.54', '6', '4050.7', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5958', '5', '0', 'object/mobile/dressed_imperial_captain_m.iff', '0.00832658', '0.737349', '-0.0547863', '0.673235', '-5088.9', '6', '4051.85', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5959', '5', '1697383', 'object/mobile/dressed_commoner_fat_human_male_02.iff', '0', '0.628537', '0', '0.777779', '-24', '1.6', '-4', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5960', '5', '1697383', 'object/mobile/dressed_commoner_fat_twilek_female_01.iff', '1.19208e-07', '-7.53393e-05', '8.98092e-12', '1', '-21.5772', '1.6', '-15.1795', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5961', '5', '1697383', 'object/mobile/dressed_commoner_tatooine_aqualish_female_03.iff', '-1.8191e-11', '1', '-1.19214e-07', '-0.000152594', '-21.5772', '1.6', '-14.1795', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5962', '5', '1697381', 'object/mobile/dressed_commoner_naboo_human_male_08.iff', '1.08363e-07', '-6.54381e-05', '7.09109e-12', '1', '-7.0383', '1.6', '-12.1532', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5963', '5', '1697381', 'object/mobile/dressed_commoner_tatooine_trandoshan_female_01.iff', '1.62733e-11', '1', '-1.08369e-07', '0.000150166', '-7.0383', '1.6', '-11.0532', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5964', '5', '1697378', 'object/mobile/dressed_commoner_fat_human_female_02.iff', '5.41877e-08', '6.06799e-05', '-3.2881e-12', '1', '18.9004', '1.28309', '-6.40631', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5965', '5', '1697378', 'object/mobile/dressed_commoner_naboo_human_female_03.iff', '-1.97369e-12', '1', '-5.4181e-08', '-3.64278e-05', '18.9004', '1.28309', '-5.30631', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5966', '5', '1697378', 'object/mobile/dressed_commoner_old_twilek_female_02.iff', '1.4661e-08', '0.923895', '-3.5399e-08', '0.382645', '17.8004', '1.28309', '-5.30631', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5967', '5', '1697378', 'object/mobile/dressed_commoner_tatooine_devaronian_male_03.iff', '0', '-9.36907e-05', '0', '1', '22.7477', '1.28309', '-11.7455', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5968', '5', '1697378', 'object/mobile/dressed_eisley_officer_bothan_female_01.iff', '0', '1', '0', '-2.16272e-05', '22.7477', '1.28309', '-10.6455', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5969', '5', '1697378', 'object/mobile/dressed_commoner_old_twilek_female_01.iff', '5.41988e-08', '-8.68971e-06', '4.70972e-13', '1', '20.063', '1.28309', '-15.6127', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5970', '5', '1697378', 'object/mobile/dressed_rsf_pilot.iff', '3.42729e-12', '1', '-5.41854e-08', '6.32511e-05', '20.063', '1.28309', '-14.5127', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5971', '5', '1697378', 'object/mobile/dressed_eisley_officer_bothan_female_01.iff', '5.41914e-08', '7.80241e-05', '-4.22824e-12', '1', '22.9832', '1.28309', '-1.18185', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5972', '5', '1697378', 'object/mobile/dressed_plainsfolk.iff', '-1.02965e-12', '1', '-5.41772e-08', '-1.90052e-05', '22.9832', '1.28309', '-0.081854', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5973', '5', '1697378', 'object/mobile/dressed_eisley_officer_bothan_male_01.iff', '5.41798e-08', '-9.27402e-05', '5.02464e-12', '1', '16.996', '1.28309', '7.10314', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5974', '5', '1697378', 'object/mobile/dressed_commoner_tatooine_rodian_female_02.iff', '0', '1', '0', '0.000122259', '16.996', '1.28309', '8.20314', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5975', '5', '1697378', 'object/mobile/dressed_rebel_specforce_pathfinder_moncal_female_01.iff', '0', '0.923856', '0', '0.38274', '15.896', '1.28309', '8.20314', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5976', '5', '1697378', 'object/mobile/dressed_mercenary_weak_hum_f.iff', '5.41757e-08', '-3.29384e-05', '1.78446e-12', '1', '25.5911', '1.28309', '5.30904', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5977', '5', '1697378', 'object/mobile/dressed_plainsfolk.iff', '0', '1', '0', '1.38664e-05', '25.5911', '1.28309', '6.40904', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5978', '5', '1697378', 'object/mobile/dressed_commoner_naboo_human_male_04.iff', '-5.96165e-08', '1.62157e-05', '9.66408e-13', '1', '23.9674', '1.56616', '13.2884', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5979', '5', '1697378', 'object/mobile/dressed_doctor_trainer_moncal_male_01.iff', '0', '1', '0', '-6.10247e-05', '23.9674', '1.56616', '14.2884', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5980', '5', '1697377', 'object/mobile/dressed_artisan_trainer_01.iff', '4.38937e-06', '-9.8857e-05', '4.3392e-10', '1', '-1.60874', '0.999962', '6.25947', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5981', '5', '1697377', 'object/mobile/gungan_male.iff', '-1.93049e-10', '1', '4.30774e-06', '4.48145e-05', '-1.60874', '0.999952', '7.35947', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5982', '5', '1697377', 'object/mobile/gungan_s02_male.iff', '-2.70932e-07', '2.66732e-05', '7.22664e-12', '1', '2.5207', '1.00001', '-5.76374', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5983', '5', '1697377', 'object/mobile/dressed_commoner_tatooine_rodian_male_04.iff', '-1.91099e-11', '1', '-2.70911e-07', '-7.05395e-05', '2.5207', '1.00001', '-4.66374', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5984', '5', '1697377', 'object/mobile/gungan_male.iff', '-3.25136e-07', '2.61854e-05', '8.51381e-12', '1', '7.0973', '1.00001', '8.95992', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5985', '5', '1697377', 'object/mobile/dressed_criminal_thug_human_female_02.iff', '-2.68682e-11', '1', '-3.79255e-07', '-7.08447e-05', '7.0973', '1.00001', '10.0599', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5986', '5', '1697377', 'object/mobile/dressed_commoner_naboo_zabrak_female_01.iff', '-2.19906e-07', '0.923905', '5.31e-07', '0.382622', '5.9973', '1.00001', '10.0599', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5987', '5', '1697379', 'object/mobile/dressed_philosopher.iff', '-0.00131925', '3.20732e-05', '4.23125e-08', '0.999999', '-23.0798', '1.58876', '1.90112', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5988', '5', '1697379', 'object/mobile/dressed_commoner_tatooine_aqualish_male_05.iff', '-8.10024e-09', '0.999999', '-0.00131936', '-6.13952e-06', '-23.0798', '1.59166', '3.00121', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5989', '5', '1697379', 'object/mobile/gungan_male.iff', '-0.000892955', '0.923884', '0.0021559', '0.382665', '-24.1798', '1.5815', '3.00112', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5990', '5', '1697379', 'object/mobile/gungan_s04_male.iff', '-0.00269052', '0.382648', '0.00111433', '0.92389', '-24.1798', '1.5826', '1.90112', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5991', '5', '1697379', 'object/mobile/dressed_commoner_tatooine_devaronian_male_03.iff', '0.000395286', '0.707134', '0.000395316', '-0.70708', '-21.2681', '1.59776', '11.3505', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5992', '5', '1697379', 'object/mobile/dressed_commoner_old_twilek_female_02.iff', '0.0003953', '0.707102', '-0.000395294', '0.707112', '-23.2681', '1.6', '11.3505', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5993', '5', '1697379', 'object/mobile/r4.iff', '0', '0.0568791', '0', '0.998381', '-22.2681', '1.6', '12.3505', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5994', '5', '0', 'object/mobile/dressed_stormtrooper_groupleader_m.iff', '0.00812689', '0.717939', '0.000938868', '-0.696057', '-5159.72', '6', '4114.67', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5995', '5', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-5161.69', '0', '4114.85', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('5996', '5', '0', 'object/mobile/dressed_imperial_officer_m.iff', '-0.00488546', '-0.367045', '-0.0027056', '0.930186', '-5163.8', '6', '4117.11', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5997', '5', '0', 'object/mobile/dressed_commoner_tatooine_rodian_male_01.iff', '0', '0.916757', '0', '-0.399446', '-5156.23', '6.21391', '4129.35', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5998', '5', '0', 'object/mobile/dressed_commoner_tatooine_rodian_female_01.iff', '0', '0.703071', '0', '0.71112', '-5171.36', '6', '4148.39', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('5999', '5', '0', 'object/mobile/dressed_commoner_tatooine_bith_female_05.iff', '0', '0.913216', '0', '-0.407475', '-5088.5', '6', '4152.21', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6000', '5', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_04.iff', '0', '0.0326735', '0', '0.999466', '-5194.95', '6', '4189.82', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6001', '5', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-5206.32', '0', '4182.8', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6002', '5', '0', 'object/mobile/dressed_stormtrooper_rifleman_m.iff', '0', '0.858428', '0', '0.512933', '-5204.81', '6', '4190.88', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6003', '5', '0', 'object/mobile/dressed_commoner_naboo_moncal_female_01.iff', '0', '0', '0', '1', '-5127.71', '6', '4336.34', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6004', '5', '0', 'object/mobile/dressed_scout_trooper_white_white.iff', '0', '1', '0', '0', '-5127.71', '6', '4337.34', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6005', '5', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_03.iff', '0', '0.92357', '0', '-0.383429', '-5219.06', '6', '4291.75', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6006', '5', '91', 'object/mobile/dressed_commoner_naboo_human_female_08.iff', '4.84465e-08', '0.683263', '-4.33635e-09', '0.730172', '5.28267', '-0.894992', '-5.62239', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6007', '5', '0', 'object/mobile/dressed_commoner_tatooine_ishitib_male_03.iff', '0', '0.96076', '0', '-0.277383', '-5140.78', '6', '4404.92', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6008', '5', '0', 'object/mobile/dressed_royal_officer_human_male_01.iff', '0', '-0.46926', '0', '0.88306', '-5279.6', '6', '4317.03', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6009', '5', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_04.iff', '0', '0.400391', '0', '0.916345', '-5281.75', '6', '4325.98', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6010', '5', '0', 'object/mobile/dressed_stormtrooper_black_black.iff', '0', '0.950417', '0', '-0.310979', '-5283.85', '6', '4336.2', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6011', '5', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_08.iff', '0.13465', '-1.51303e-09', '1.11345e-08', '0.990893', '-5258.93', '6.27689', '4186.17', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6012', '5', '0', 'object/mobile/dressed_criminal_thug_human_female_01.iff', '-6.77567e-09', '0.990893', '0.13465', '9.20728e-10', '-5258.93', '6', '4187.17', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6013', '5', '0', 'object/mobile/dressed_commoner_tatooine_rodian_female_01.iff', '0', '0.918312', '0', '-0.395856', '-5280.52', '6', '4372.79', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6014', '5', '0', 'object/mobile/dressed_commoner_tatooine_rodian_female_03.iff', '0', '-0.648143', '0', '0.761519', '-5282.92', '6', '4405.65', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6015', '5', '0', 'object/mobile/dressed_commoner_old_zabrak_male_01.iff', '0', '0.624284', '0', '0.781198', '-5306.24', '6', '4357.56', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6016', '5', '0', 'object/mobile/dressed_commoner_old_human_female_01.iff', '0', '0.632104', '0', '0.774884', '-5309.23', '6', '4307.01', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6017', '5', '0', 'object/mobile/dressed_commoner_tatooine_trandoshan_male_01.iff', '0', '-0.598059', '0', '0.801452', '-5319.27', '6', '4365.19', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6018', '5', '0', 'object/mobile/dressed_commoner_old_twilek_male_01.iff', '0', '0.996673', '0', '0.0815025', '-5327.58', '6', '4267.42', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6019', '5', '0', 'object/mobile/dressed_commoner_tatooine_rodian_female_04.iff', '0', '0.999369', '0', '0.0355255', '-5320.16', '6', '4236.39', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6020', '5', '0', 'object/mobile/dressed_commoner_tatooine_bith_male_04.iff', '0', '0.84915', '0', '-0.528152', '-5256.72', '6', '4254.43', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6021', '5', '0', 'object/mobile/dark_trooper.iff', '0', '0.0105657', '0', '0.999944', '-5323.21', '3.63061', '4214.35', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6022', '5', '0', 'object/mobile/dressed_commoner_old_twilek_male_01.iff', '0', '-0.320653', '0', '0.947197', '-5291.01', '6', '4428.53', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6023', '5', '0', 'object/mobile/dressed_commoner_naboo_human_female_06.iff', '0', '0.481277', '0', '0.876568', '-5371.2', '6', '4337.4', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6024', '5', '0', 'object/mobile/dressed_commoner_tatooine_trandoshan_female_03.iff', '0', '0.967046', '0', '0.2546', '-5370.57', '6', '4384.5', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6025', '5', '0', 'object/mobile/dressed_commoner_naboo_zabrak_female_02.iff', '0', '0.582041', '0', '0.81316', '-5384.95', '6', '4283.38', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6026', '5', '0', 'object/mobile/dressed_stormtrooper_commander_black_black.iff', '0', '0.950238', '0', '-0.311525', '-5286.56', '6', '4444.88', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6027', '5', '0', 'object/mobile/dressed_commoner_tatooine_bith_female_03.iff', '0', '0.977414', '0', '0.211333', '-5326.21', '6', '4292.88', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6028', '5', '0', 'object/mobile/dressed_commoner_tatooine_rodian_female_03.iff', '0', '0.602428', '0', '0.798173', '-5392.94', '6', '4361.06', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6029', '5', '0', 'object/mobile/dressed_commoner_artisan_trandoshan_male_01.iff', '0', '0', '0', '1', '-5391.55', '6', '4382.25', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6030', '5', '0', 'object/mobile/dressed_desperado_bith_male_01.iff', '0', '1', '0', '0', '-5391.55', '6', '4383.25', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6031', '5', '0', 'object/mobile/dressed_philosopher.iff', '0', '1', '0', '0', '-5371.71', '15.0036', '4413.35', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6032', '5', '0', 'object/mobile/dressed_plainsfolk.iff', '0', '0', '0', '1', '-5391.04', '6', '4394.77', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6033', '5', '0', 'object/mobile/dressed_commoner_tatooine_trandoshan_male_01.iff', '0', '1', '0', '0', '-5391.04', '6', '4395.87', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6034', '5', '0', 'object/mobile/dressed_royal_officer_human_male_01.iff', '0', '0.92388', '0', '0.382683', '-5392.14', '6', '4395.87', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6035', '5', '0', 'object/mobile/dressed_commoner_tatooine_sullustan_male_05.iff', '0', '0.998595', '0', '0.0529818', '-5418.26', '6', '4347.1', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6036', '5', '0', 'object/mobile/dressed_commoner_tatooine_rodian_male_01.iff', '0', '0.43559', '0', '0.900145', '-5409.46', '6', '4386.55', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6037', '5', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-5419.06', '0', '4315.82', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6038', '5', '0', 'object/mobile/dressed_commoner_old_zabrak_female_01.iff', '0', '0.98319', '0', '0.182583', '-5425.82', '6', '4371.62', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6039', '5', '0', 'object/mobile/dressed_rsf_security_guard.iff', '0', '1.37176e-08', '0', '1', '-5429.73', '6', '4271.9', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6040', '5', '0', 'object/mobile/dressed_rsf_security_officer.iff', '0', '1', '0', '1.38106e-08', '-5429.73', '6', '4273', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6041', '5', '0', 'object/mobile/dressed_artisan_trainer_03.iff', '0', '0.92388', '0', '0.382683', '-5430.83', '6', '4273', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6042', '5', '0', 'object/mobile/dressed_commoner_tatooine_trandoshan_female_02.iff', '0', '0.985622', '0', '-0.168964', '-5437.58', '6', '4301.41', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6043', '5', '1688873', 'object/mobile/space_privateer_tier4_naboo_diness.iff', '-1.02859e-07', '0.717722', '-9.97932e-08', '0.69633', '-45.6677', '33', '-93.9157', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6044', '5', '1688867', 'object/mobile/space_privateer_tier3_naboo.iff', '1.68371e-06', '0.732149', '-1.09388e-06', '-0.681145', '40.4187', '33', '-93.753', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6045', '5', '1688867', 'object/mobile/dressed_noble_twilek_female_01.iff', '-2.30341e-07', '0.455482', '-4.50205e-07', '0.890245', '39.71', '33', '-96.81', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6046', '5', '1688861', 'object/mobile/dressed_stormtrooper_captain_white_white.iff', '-2.09538e-05', '-0.367949', '-3.47643e-05', '0.929846', '29.3493', '23.0013', '-34.4641', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6047', '5', '1688861', 'object/mobile/dressed_stormtrooper_captain_white_white.iff', '2.93163e-05', '0.770406', '2.62233e-05', '-0.637554', '29.1187', '23.0014', '-30.5979', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6048', '5', '1688861', 'object/mobile/dressed_imperial_admiral_m.iff', '-0.000493784', '0.726339', '0.000517859', '-0.687336', '30.3745', '23.0013', '-32.3904', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6049', '5', '1688860', 'object/mobile/space_privateer_tier2_naboo.iff', '-2.49286e-07', '-0.00195927', '2.56743e-07', '0.999998', '1.29871', '21', '-44.2894', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6050', '5', '1688859', 'object/mobile/space_privateer_tier1_naboo.iff', '-1.80071e-07', '-0.00550703', '1.26547e-05', '0.999985', '0.800999', '12.0109', '6.36823', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6051', '5', '0', 'object/mobile/dressed_commoner_naboo_zabrak_female_02.iff', '0', '-0.392196', '0', '0.919882', '-5399.67', '6', '4424.78', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6052', '5', '0', 'object/mobile/dressed_commoner_tatooine_trandoshan_male_02.iff', '0', '0.906751', '0', '0.421667', '-5416.72', '6', '4413.87', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6053', '5', '0', 'object/mobile/dressed_commoner_naboo_twilek_female_02.iff', '0', '0.737971', '0', '-0.674833', '-5458.78', '6', '4343.19', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6054', '5', '0', 'object/mobile/dressed_rsf_security_officer.iff', '0', '0', '0', '1', '-5455.01', '6', '4332.45', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6055', '5', '0', 'object/mobile/dressed_commoner_tatooine_sullustan_male_01.iff', '0', '1', '0', '0', '-5455.01', '6', '4333.45', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6056', '5', '0', 'object/mobile/gungan_s04_male.iff', '0', '1', '0', '0', '-5462.9', '6', '4320.21', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6057', '5', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_06.iff', '0', '0.646945', '0', '0.762536', '-5404.2', '6', '4199.59', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6058', '5', '0', 'object/mobile/dressed_stormtrooper_commander_black_black.iff', '0', '1', '0', '0', '-5484.94', '6', '4348.21', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6059', '5', '0', 'object/mobile/dressed_stormtrooper_black_gold.iff', '0', '1', '0', '0', '-5484.94', '6', '4349.83', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6060', '5', '0', 'object/mobile/dressed_commoner_naboo_human_female_04.iff', '0', '0.811348', '0', '-0.584563', '-5485.31', '6', '4373.11', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6061', '5', '0', 'object/mobile/dressed_commoner_fat_twilek_male_02.iff', '0', '0.735754', '0', '0.677249', '-5492.21', '6', '4337.69', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6062', '5', '0', 'object/mobile/dressed_herald_noble_twk_female_01.iff', '-2.65602e-10', '-0.590315', '3.6321e-10', '0.807173', '-5480.82', '6', '4397.97', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6063', '5', '0', 'object/mobile/dressed_imperial_officer_m.iff', '0', '0.961626', '0', '-0.274363', '-5489.61', '6', '4378.21', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6064', '5', '0', 'object/mobile/dressed_imperial_officer_m_2.iff', '0', '0.961619', '0', '-0.274387', '-5489.3', '6', '4376.42', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6065', '5', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-5487.94', '0', '4378.62', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6066', '5', '0', 'object/mobile/dressed_scout_trooper_white_white.iff', '0', '0.961645', '0', '-0.274298', '-5489.08', '6', '4379.06', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6067', '5', '0', 'object/mobile/dressed_scout_trooper_white_white.iff', '0', '0.961629', '0', '-0.274355', '-5487.42', '6', '4379.46', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6068', '5', '0', 'object/mobile/dressed_commoner_old_twilek_male_02.iff', '0', '0.0782832', '0', '0.996931', '-5449.78', '6', '4428.75', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6069', '5', '0', 'object/mobile/dressed_commoner_tatooine_trandoshan_female_02.iff', '0', '-0.254587', '0', '0.96705', '-5507.67', '6', '4309.38', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6070', '5', '0', 'object/mobile/dressed_commoner_tatooine_rodian_male_03.iff', '0', '-0.606345', '0', '0.795202', '-5428.98', '6', '4447.99', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6071', '5', '0', 'object/mobile/dressed_commoner_tatooine_trandoshan_male_02.iff', '0', '0.909694', '0', '-0.41528', '-5489.16', '6', '4404.33', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6072', '5', '0', 'object/mobile/dressed_commoner_fat_zabrak_male_01.iff', '0', '0.849301', '0', '-0.527909', '-5520.11', '6', '4349.32', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6073', '5', '0', 'object/mobile/dressed_imperial_officer_m.iff', '-0.000881935', '0.707105', '0.00138293', '0.707106', '-5479.68', '10', '4422.67', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6074', '5', '0', 'object/mobile/dressed_herald_naboo_01.iff', '0', '-0.42905', '0', '0.903281', '-5484.34', '10', '4424.48', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6075', '5', '0', 'object/mobile/dressed_commoner_tatooine_bith_male_01.iff', '0', '0', '0', '1', '-5462.9', '6', '4319.21', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6076', '5', '0', 'object/mobile/dressed_noble_human_male_04.iff', '0', '0.783757', '0', '0.621067', '-5538', '6', '4365.1', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6077', '5', '0', 'object/mobile/dressed_commoner_tatooine_rodian_female_03.iff', '0', '0.504322', '0', '0.863516', '-5541.38', '6', '4302.99', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6078', '5', '0', 'object/mobile/dressed_imperial_lieutenant_m.iff', '0', '0.645084', '0', '0.764111', '-5516.19', '6', '4404.77', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6079', '5', '0', 'object/mobile/dressed_commoner_tatooine_sullustan_male_02.iff', '0', '0.785204', '0', '-0.619237', '-5554.8', '6', '4319.26', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6080', '5', '0', 'object/mobile/dressed_commoner_naboo_zabrak_male_01.iff', '0', '-0.120892', '0', '0.992666', '-5453.08', '6', '4198.55', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6081', '5', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-5464.75', '0', '4447.8', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6082', '5', '0', 'object/mobile/dressed_royal_officer_human_female_01.iff', '0', '0.954511', '0', '-0.298175', '-5511', '9.93211', '4422', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6083', '5', '0', 'object/mobile/dressed_commoner_naboo_twilek_female_01.iff', '0', '0.872407', '0', '-0.48878', '-5541.82', '6', '4394.46', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6084', '5', '0', 'object/mobile/dressed_commoner_naboo_human_female_04.iff', '0', '0.976595', '0', '0.215087', '-5547.21', '6', '4383.24', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6085', '5', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_07.iff', '0', '0.111024', '0', '0.993818', '-5558.64', '6', '4283.8', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6086', '5', '0', 'object/mobile/dressed_commoner_old_zabrak_female_02.iff', '0', '0.7195', '0', '-0.694492', '-5544.22', '6', '4232.32', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6087', '5', '0', 'object/mobile/dressed_commoner_tatooine_bith_male_06.iff', '0', '-0.508383', '0', '0.861131', '-5487.23', '6', '4193.99', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6088', '5', '1305893', 'object/mobile/dressed_commoner_tatooine_bith_female_06.iff', '-1.08382e-07', '-5.26222e-05', '-5.70328e-12', '1', '1.03672', '1.75', '-20.8648', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6089', '5', '1305893', 'object/mobile/gungan_s04_male.iff', '-1.62344e-12', '1', '1.08395e-07', '1.49771e-05', '1.03672', '1.75', '-19.7648', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6090', '5', '1305893', 'object/mobile/dressed_commoner_tatooine_rodian_male_02.iff', '-2.93321e-08', '0.923857', '7.08021e-08', '0.382739', '-0.063285', '1.75', '-19.7648', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6091', '5', '1305892', 'object/mobile/gungan_s04_male.iff', '0', '-3.81235e-05', '0', '1', '11.7898', '1.75', '-2.99849', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6092', '5', '1305892', 'object/mobile/dressed_hooligan_rodian_female_01.iff', '0', '1', '0', '3.16654e-05', '11.7898', '1.75', '-1.89849', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6093', '5', '1305892', 'object/mobile/dressed_rebel_specforce_pathfinder_twk_female_01.iff', '-1.08364e-07', '0.000104455', '1.13191e-11', '1', '-4.34171', '1.1544', '-8.52823', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6094', '5', '1305892', 'object/mobile/dressed_commoner_tatooine_rodian_female_03.iff', '5.17138e-12', '1', '1.08364e-07', '-4.77222e-05', '-4.34171', '1.1544', '-7.42823', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6095', '5', '1305892', 'object/mobile/dressed_plainsfolk.iff', '-2.93226e-08', '0.923896', '7.07995e-08', '0.382645', '-5.44171', '1.1544', '-7.42823', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6096', '5', '1305892', 'object/mobile/dressed_commoner_tatooine_aqualish_female_06.iff', '-7.07864e-08', '0.382714', '2.93234e-08', '0.923867', '-5.44171', '1.1544', '-8.52823', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6097', '5', '1305888', 'object/mobile/dressed_commoner_tatooine_bith_male_01.iff', '0', '0.70714', '0', '-0.707074', '-17.0001', '2.25', '17.4832', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6098', '5', '1305888', 'object/mobile/dressed_commoner_old_human_male_02.iff', '0', '0.707123', '0', '0.707091', '-19.0001', '2.25', '17.4832', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6099', '5', '1305888', 'object/mobile/r2.iff', '0', '0.992327', '0', '-0.123638', '-18.0001', '2.25', '18.4832', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6100', '5', '0', 'object/mobile/dressed_commoner_naboo_twilek_female_01.iff', '0', '0.525487', '0', '0.850801', '-5555.25', '6', '4241.44', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6101', '5', '0', 'object/mobile/dressed_commoner_tatooine_bith_male_03.iff', '0', '0.903264', '0', '0.429085', '-5507.69', '6', '4195.83', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6102', '5', '0', 'object/mobile/dressed_imperial_officer_m_5.iff', '0', '0.95509', '0', '0.296316', '-5431.8', '6', '4168.58', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6103', '5', '0', 'object/mobile/dressed_commoner_tatooine_trandoshan_female_03.iff', '0', '-0.137006', '0', '0.99057', '-5583.5', '6', '4237.52', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6104', '5', '0', 'object/mobile/dressed_commoner_naboo_human_female_01.iff', '0', '-0.289949', '0', '0.957042', '-5562.58', '6', '4208.34', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6105', '5', '0', 'object/mobile/dressed_commoner_tatooine_sullustan_male_05.iff', '0', '0.188674', '0', '0.98204', '-5457.43', '6', '4156.44', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6106', '5', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_04.iff', '0', '0.860058', '0', '-0.510196', '-5599.43', '6', '4261.62', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6107', '5', '0', 'object/mobile/dressed_commoner_naboo_human_male_04.iff', '0', '0.993172', '0', '0.116661', '-5497.13', '6', '4148.57', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6108', '5', '0', 'object/mobile/dark_trooper.iff', '-0.00152418', '0.999996', '0.000503285', '-0.00236567', '-5486.48', '6', '4021.96', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6109', '5', '0', 'object/mobile/dark_trooper.iff', '5.40412e-06', '0.999997', '1.77808e-05', '-0.00237131', '-5486.47', '6', '4021.96', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6110', '5', '0', 'object/mobile/bothan_male.iff', '0', '0', '0', '1', '-5605.87', '6', '4180.74', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6111', '5', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_01.iff', '0', '1', '0', '0', '-5605.87', '6', '4181.74', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6112', '5', '0', 'object/mobile/dressed_commoner_old_zabrak_female_01.iff', '0', '0.804403', '0', '-0.594084', '-5537.28', '6', '4411.34', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6113', '5', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-5519.19', '0', '4428.98', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6114', '5', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_03.iff', '0', '0.283728', '0', '0.958905', '-5525.24', '6', '4430.28', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6115', '5', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-5508.92', '0', '4432.61', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6116', '5', '0', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '-5493.28', '0', '4450.34', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6117', '5', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-5498.9', '0', '4450.34', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6118', '5', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-5501.04', '0', '4470.3', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6119', '5', '0', 'object/mobile/dressed_stormtrooper_rifleman_m.iff', '-0.00114342', '-0.0818693', '-0.00827492', '0.996608', '-5491.14', '14', '4470.24', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6120', '5', '0', 'object/mobile/dressed_commoner_fat_twilek_male_02.iff', '0', '-0.500816', '0', '0.865553', '-5457.38', '6', '4469.32', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6121', '5', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_03.iff', '0', '0.875684', '0', '0.482884', '-5565.53', '6', '4469.02', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6122', '5', '0', 'object/mobile/dressed_commoner_naboo_bothan_female_02.iff', '0', '0.224515', '0', '0.974471', '-5468.87', '6', '4432.8', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6123', '5', '0', 'object/mobile/dressed_commoner_tatooine_devaronian_male_02.iff', '0', '0.959168', '0', '-0.282838', '-5586.88', '6', '4495.26', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6124', '5', '0', 'object/mobile/dressed_commoner_naboo_human_female_06.iff', '0', '-0.448353', '0', '0.893856', '-5396.24', '6', '4492.81', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6125', '5', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_01.iff', '0', '-0.301584', '0', '0.95344', '-5545.73', '6', '4466.12', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6126', '5', '0', 'object/mobile/dressed_commoner_tatooine_trandoshan_male_01.iff', '0', '0.996117', '0', '0.0880355', '-5394.06', '6', '4519.32', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6127', '5', '0', 'object/mobile/dressed_commoner_tatooine_sullustan_male_06.iff', '0', '0.537389', '0', '0.843334', '-5380.45', '6', '4628.71', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6128', '5', '0', 'object/mobile/dark_trooper.iff', '0', '0.160363', '0', '0.987058', '-5586.63', '7', '4763.36', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6129', '5', '0', 'object/mobile/dressed_stormtrooper_black_black.iff', '0', '0.987058', '0', '-0.160362', '-5608.25', '7', '4698.56', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6130', '5', '0', 'object/mobile/dressed_commoner_tatooine_ishitib_male_02.iff', '0', '-0.468772', '0', '0.883319', '-5686.06', '6', '4307.41', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6131', '5', '0', 'object/mobile/zabrak_male.iff', '0', '0', '0', '1', '-5697.07', '6', '4312.92', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6132', '5', '0', 'object/mobile/dressed_philosopher.iff', '0', '1', '0', '0', '-5697.07', '6', '4313.92', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6133', '5', '0', 'object/mobile/dressed_royal_officer_human_male_01.iff', '0', '0.77048', '0', '-0.637464', '-5714.21', '6.49014', '4350.21', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6134', '5', '0', 'object/mobile/dressed_commoner_fat_human_male_02.iff', '0', '0.993284', '0', '-0.115698', '-5675.02', '6', '4238.39', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6135', '5', '0', 'object/mobile/dressed_commoner_tatooine_devaronian_male_01.iff', '0', '-0.153269', '0', '0.988185', '-5727.93', '6', '4316.95', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6136', '5', '0', 'object/mobile/gungan_s04_male.iff', '0', '0', '0', '1', '-5657.23', '6', '4216.6', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6137', '5', '0', 'object/mobile/dressed_noble_zabrak_female_01.iff', '0', '1', '0', '0', '-5657.23', '6', '4217.6', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6138', '5', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-5710.12', '0', '4261.56', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6139', '5', '0', 'object/mobile/dressed_commoner_tatooine_trandoshan_female_03.iff', '0', '0.918792', '0', '0.394743', '-5741.57', '6', '4304.91', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6140', '5', '0', 'object/mobile/dressed_commoner_fat_twilek_female_01.iff', '0', '0.889618', '0', '0.456704', '-5592.68', '6', '4154.97', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6141', '5', '0', 'object/mobile/dark_trooper.iff', '0', '0.997081', '0', '0.0763518', '-5751', '6', '4203.5', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6142', '5', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-5722.06', '0', '4185.15', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6143', '5', '0', 'object/mobile/dressed_commoner_tatooine_ishitib_male_01.iff', '0', '0.294702', '0', '0.955589', '-5663.64', '6', '4136.03', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6144', '5', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_04.iff', '0', '0.871702', '0', '0.490036', '-5632.25', '6', '4137.72', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6145', '5', '1677400', 'object/mobile/dressed_commoner_naboo_human_female_08.iff', '1.08383e-07', '8.41577e-05', '-9.12124e-12', '1', '-22.6115', '1.6', '-11.4739', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6146', '5', '1677400', 'object/mobile/gungan_male.iff', '9.10764e-12', '1', '-1.08352e-07', '8.40561e-05', '-22.6115', '1.6', '-10.3739', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6147', '5', '1677400', 'object/mobile/dressed_commoner_tatooine_devaronian_male_02.iff', '0', '0.86452', '0', '-0.502599', '-24', '1.6', '-4', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6148', '5', '1677399', 'object/mobile/dressed_commoner_tatooine_devaronian_male_01.iff', '1.19208e-07', '3.76696e-05', '-4.48608e-12', '1', '-11.7266', '1.6', '-16.4722', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6149', '5', '1677399', 'object/mobile/dressed_philosopher.iff', '4.49149e-12', '1', '-1.19211e-07', '3.76706e-05', '-11.7266', '1.6', '-15.4722', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6150', '5', '1677395', 'object/mobile/dressed_commoner_fat_zabrak_male_01.iff', '-1.62543e-07', '-1.73392e-05', '-2.81836e-12', '1', '16.6641', '1.28309', '-3.47071', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6151', '5', '1677395', 'object/mobile/dressed_scout_trooper_white_white.iff', '-2.81589e-12', '1', '-1.62559e-07', '-1.73223e-05', '16.6641', '1.28309', '-2.37071', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6152', '5', '1677395', 'object/mobile/dressed_commoner_tatooine_bith_male_01.iff', '4.39881e-08', '0.923882', '-1.06199e-07', '0.382677', '15.5641', '1.28309', '-2.37071', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6153', '5', '1677394', 'object/mobile/dressed_commoner_naboo_human_female_03.iff', '-5.4189e-07', '-5.74291e-05', '-3.11202e-11', '1', '4.2931', '1', '-7.62435', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6154', '5', '1677394', 'object/mobile/dressed_noble_fat_twilek_female_01.iff', '-1.86716e-11', '1', '-3.2507e-07', '-5.74389e-05', '4.2931', '1.00001', '-6.52435', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6155', '5', '1677394', 'object/mobile/dressed_robber_twk_female_01.iff', '0', '0.000104212', '0', '1', '-4.2087', '0.999986', '1.15452', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6156', '5', '1677394', 'object/mobile/dressed_commoner_tatooine_trandoshan_female_04.iff', '3.10236e-12', '1', '-2.97956e-08', '0.000104165', '-4.2087', '0.999986', '2.15452', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6157', '5', '0', 'object/mobile/dressed_commoner_old_zabrak_male_02.iff', '0', '0.210717', '0', '0.977547', '-5709.29', '6', '4134.09', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6158', '5', '0', 'object/mobile/dressed_commoner_tatooine_trandoshan_female_03.iff', '0', '-0.390912', '0', '0.920428', '-5690.65', '6', '4124.1', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6159', '5', '0', 'object/mobile/dressed_royal_officer_human_male_01.iff', '0', '0.999806', '0', '0.0197027', '-5694.07', '6', '4116.03', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6160', '5', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_06.iff', '0', '0.509379', '0', '0.860543', '-5751.98', '6', '4147.86', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6161', '5', '0', 'object/mobile/dressed_commoner_old_twilek_female_02.iff', '0', '-0.46509', '0', '0.885264', '-5729.03', '6', '4120.76', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6162', '5', '0', 'object/mobile/dressed_stormtrooper_rifleman_m.iff', '0', '0.734888', '0', '0.678188', '-5733.6', '6', '4109.89', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6163', '5', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-5733.78', '0', '4111.28', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6164', '5', '0', 'object/mobile/dressed_stormtrooper_squad_leader_black_black.iff', '-0.00249793', '-0.70499', '0.000319917', '0.709213', '-5677.49', '6', '4092.76', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6165', '5', '0', 'object/mobile/dressed_stormtrooper_black_gold.iff', '-0.00307555', '-0.704992', '0.000341656', '0.709208', '-5677.48', '6', '4092.76', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6166', '5', '0', 'object/mobile/dressed_commoner_old_twilek_female_02.iff', '0', '0.463358', '0', '0.886171', '-5600.12', '6', '4053.65', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6167', '5', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-5687.08', '0', '4038.4', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6168', '5', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-5671.62', '0', '4038.61', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6169', '5', '0', 'object/mobile/dressed_commoner_naboo_human_female_08.iff', '0', '0.942393', '0', '-0.334508', '-5803.39', '6', '4101.34', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6170', '5', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-5802.04', '0', '4095.09', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6171', '5', '0', 'object/mobile/dressed_scout_trooper_white_white.iff', '0', '0.028081', '0', '0.999606', '-5806.81', '13.1767', '4063.66', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6172', '5', '5475487', 'object/mobile/dressed_commoner_tatooine_bith_male_05.iff', '2.16747e-07', '4.3865e-06', '-9.50763e-13', '1', '3.05224', '2.12878', '71.4469', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6173', '5', '5475487', 'object/mobile/dressed_commoner_fat_twilek_female_02.iff', '-1.4092e-12', '1', '3.25083e-07', '4.33488e-06', '3.05224', '2.12878', '72.5469', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6174', '5', '5475487', 'object/mobile/dressed_mercenary_elite_medic_human_male_01.iff', '1.28758e-07', '8.44894e-05', '-4.35992e-07', '1', '-11.5446', '2.12878', '75.9709', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6175', '5', '5475487', 'object/mobile/dressed_commoner_tatooine_bith_female_04.iff', '1.08725e-11', '1', '-1.28748e-07', '8.44588e-05', '-11.5446', '2.12878', '76.8966', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6176', '5', '5475487', 'object/mobile/dressed_noble_old_twk_female_01.iff', '0', '0.731354', '0', '-0.681998', '19.26', '2.12847', '56.13', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6177', '5', '5475487', 'object/mobile/dressed_entertainer_trainer_human_female_01.iff', '-0.00014582', '0.531615', '5.18266e-05', '0.846986', '21.99', '2.12804', '64.05', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6178', '5', '5475486', 'object/mobile/dressed_noble_rodian_male_01.iff', '0', '0.93358', '0', '-0.358368', '28.93', '2.12878', '58.19', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6179', '5', '5475485', 'object/mobile/dressed_rsf_pilot.iff', '0.0457489', '5.9409e-05', '-2.72074e-06', '0.998953', '-16.4118', '1.12919', '38.4929', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6180', '5', '5475485', 'object/mobile/dressed_noble_human_male_04.iff', '-2.71968e-06', '0.998954', '0.0457335', '5.94059e-05', '-16.4118', '1.02908', '39.5837', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6181', '5', '5475485', 'object/mobile/dressed_desperado_bith_male_01.iff', '0.0457331', '-0.000105653', '4.8369e-06', '0.998954', '19.6394', '0.764492', '42.4583', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6182', '5', '5475485', 'object/mobile/dressed_entertainer_trainer_human_female_01.iff', '5.07931e-06', '0.998953', '0.0457487', '-0.00011091', '19.6394', '0.664388', '43.5491', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6183', '5', '5475485', 'object/mobile/dressed_rsf_palace_guard.iff', '-0.0124247', '0.922597', '0.0298197', '0.384409', '18.5394', '0.664266', '43.5491', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6184', '5', '5475485', 'object/mobile/gungan_s02_male.iff', '0.0457365', '3.89059e-05', '-1.78128e-06', '0.998954', '12.4716', '2.41226', '24.5116', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6185', '5', '5475485', 'object/mobile/dressed_noble_bothan_male_01.iff', '-1.77879e-06', '0.998953', '0.045746', '3.88434e-05', '12.4716', '2.31216', '25.6024', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6186', '5', '5475485', 'object/mobile/dressed_commoner_artisan_sullustan_male_01.iff', '0.0457335', '-9.31716e-05', '4.26482e-06', '0.998954', '-22.5486', '1.61223', '33.2294', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6187', '5', '5475485', 'object/mobile/dressed_rsf_pilot.iff', '4.26631e-06', '0.998953', '0.0457468', '-9.31991e-05', '-22.5486', '1.52122', '34.221', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6188', '5', '5475480', 'object/mobile/dressed_mercenary_messanger_hum_f.iff', '-8.12892e-08', '-5.61635e-05', '-4.56549e-12', '1', '-6.34119', '0.6', '-9.37965', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6189', '5', '5475480', 'object/mobile/dressed_rsf_palace_guard.iff', '6.07995e-12', '1', '1.08349e-07', '-5.61145e-05', '-6.34119', '0.6', '-8.27965', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6190', '5', '0', 'object/mobile/gungan_s02_male.iff', '0', '0', '0', '1', '-5827.81', '6', '4172.98', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6191', '5', '0', 'object/mobile/dressed_commoner_tatooine_ishitib_male_02.iff', '0', '1', '0', '0', '-5827.81', '6', '4173.98', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6192', '5', '0', 'object/mobile/dark_trooper.iff', '0', '0.994253', '0', '0.107054', '-5807.59', '6', '4036.85', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6193', '5', '0', 'object/mobile/dressed_commoner_tatooine_rodian_female_04.iff', '0', '0.999721', '0', '0.0236204', '-5858.79', '6', '4147.3', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6194', '5', '0', 'object/mobile/dressed_scout_trooper_black_black.iff', '0', '0.76096', '0', '0.648799', '-5857.35', '6', '4163.42', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6195', '5', '0', 'object/mobile/dressed_imperial_officer_m_6.iff', '0.000833003', '0.996306', '0.00291846', '-0.0858185', '-5824.39', '6', '3997.55', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6196', '5', '0', 'object/mobile/dressed_stormtrooper_bombardier_m.iff', '0.000813962', '0.99515', '0.00242453', '-0.0983341', '-5825.86', '6', '3998.03', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6197', '5', '0', 'object/mobile/dressed_commoner_tatooine_trandoshan_female_01.iff', '0', '0.99669', '0', '0.0812975', '-5889.07', '6', '4235.87', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6198', '5', '0', 'object/mobile/dressed_commoner_tatooine_rodian_female_01.iff', '0', '0.475487', '0', '0.879722', '-5928.72', '6', '4217.24', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6199', '5', '0', 'object/mobile/dressed_imperial_officer_m.iff', '0', '0.981352', '0', '0.192217', '-5954.03', '6', '4214.79', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6200', '5', '0', 'object/mobile/dressed_imperial_colonel_m.iff', '0', '0.981353', '0', '0.192215', '-5954.91', '6', '4216.95', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6201', '5', '0', 'object/mobile/dressed_imperial_medic3_human_male_01.iff', '0', '0.981324', '0', '0.192363', '-5955.2', '6', '4217.67', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6202', '5', '0', 'object/mobile/dressed_imperial_officer_m_5.iff', '0', '0.829174', '0', '0.558991', '-5945.26', '6', '4216.18', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6203', '5', '0', 'object/mobile/dressed_scout_trooper_white_white.iff', '0', '0.835535', '0', '0.549438', '-5946.18', '6', '4215.5', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6204', '5', '0', 'object/mobile/dressed_commoner_fat_twilek_female_01.iff', '0', '0.995486', '0', '0.0949121', '-5968.83', '6', '4287.92', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6205', '5', '0', 'object/mobile/dressed_stormtrooper_groupleader_m.iff', '-0.000952293', '0.998355', '0.000297514', '0.0573259', '-5969.83', '6', '4246.76', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6206', '5', '0', 'object/mobile/dressed_stormtrooper_groupleader_m.iff', '0', '0.998355', '0', '0.0573266', '-5969.83', '6', '4246.77', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6207', '5', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_08.iff', '0', '0.663925', '0', '0.747799', '-6012.09', '6', '4241.61', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6208', '5', '0', 'object/mobile/dressed_commoner_tatooine_ishitib_male_01.iff', '0', '-0.280313', '0', '0.959909', '-5996.82', '6', '4309.73', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6209', '5', '0', 'object/mobile/dressed_commoner_fat_twilek_female_02.iff', '0', '-0.430919', '0', '0.90239', '-6023.52', '6', '4213.29', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6210', '5', '0', 'object/mobile/dressed_commoner_old_human_female_02.iff', '0', '-0.292757', '0', '0.956187', '-6040.72', '6', '4260.46', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6211', '5', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_01.iff', '0', '0.959396', '0', '0.282062', '-6036.18', '6', '4286.85', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6212', '5', '0', 'object/mobile/dressed_commoner_naboo_bothan_female_02.iff', '0', '0.578044', '0', '0.816006', '-5996.87', '6', '4269.75', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6213', '5', '0', 'object/mobile/dressed_commoner_old_twilek_male_02.iff', '0', '0.998394', '0', '-0.0566497', '-6055.49', '6', '4319.64', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6214', '5', '0', 'object/mobile/dressed_official.iff', '0', '0', '0', '1', '-5886.59', '6', '4368.23', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6215', '5', '0', 'object/mobile/dressed_commoner_naboo_moncal_male_02.iff', '0', '1', '0', '0', '-5886.59', '6', '4369.23', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6216', '5', '0', 'object/mobile/dressed_commoner_naboo_bothan_female_02.iff', '0', '0.97863', '0', '0.205629', '-5941.62', '6', '4339.4', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6217', '5', '0', 'object/mobile/dressed_commoner_old_twilek_female_01.iff', '0', '0.222704', '0', '0.974886', '-5818.26', '6', '4407.8', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6218', '5', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_08.iff', '0', '1', '0', '0', '-5778.43', '6', '4397.54', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6219', '5', '0', 'object/mobile/dressed_scout_trooper_white_white.iff', '0', '0.740666', '0', '0.671873', '-5779.85', '8.03265', '4406.52', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6220', '5', '0', 'object/mobile/dressed_stormtrooper_black_black.iff', '0', '0.943019', '0', '-0.332739', '-5746.41', '6', '4393.06', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6221', '5', '0', 'object/mobile/dark_trooper.iff', '0', '0.874862', '0', '-0.484374', '-5749.12', '6', '4387.13', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6222', '5', '0', 'object/mobile/dressed_commoner_fat_twilek_male_02.iff', '0', '-0.524259', '0', '0.851559', '-5757.67', '6', '4411.04', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6223', '5', '0', 'object/mobile/dressed_imperial_colonel_m.iff', '0', '-0.054945', '0', '0.998489', '-5743.54', '6', '4398.58', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6224', '5', '0', 'object/mobile/dressed_scout_trooper_black_black.iff', '0', '0.291752', '0', '0.956494', '-5747.35', '6', '4403.1', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6225', '5', '0', 'object/mobile/dressed_scout_trooper_black_black.iff', '0', '0.978881', '0', '-0.204433', '-5740.26', '6', '4394.04', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6226', '5', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_05.iff', '0', '0', '0', '0', '-4895', '0', '4193', '7', 'calm', '264', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6227', '5', '0', 'object/mobile/narglatch.iff', '0', '0', '0', '0', '5857.06', '0', '-4735.69', '12', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6228', '5', '5285904', 'object/mobile/narglatch_cub.iff', '0', '0', '0', '0', '59.1563', '-48.2338', '-105.9', '8', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6229', '5', '5285904', 'object/mobile/narglatch_cub.iff', '0', '0', '0', '0', '59.9239', '-48.0151', '-105.848', '8', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6230', '5', '5285904', 'object/mobile/narglatch_cub.iff', '0', '0', '0', '0', '59.2891', '-48.1575', '-106.455', '8', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6231', '5', '5285904', 'object/mobile/narglatch_cub.iff', '0', '0', '0', '0', '58.6679', '-48.374', '-105.204', '8', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6232', '5', '5285904', 'object/mobile/narglatch.iff', '0', '0', '0', '0', '51.2337', '-51.2872', '-81.9015', '18', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6233', '5', '5285904', 'object/mobile/narglatch.iff', '0', '0', '0', '0', '50.2935', '-51.4655', '-81.2462', '18', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6234', '5', '5285904', 'object/mobile/narglatch.iff', '0', '0', '0', '0', '49.7328', '-51.0798', '-80.6538', '18', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6235', '5', '5285903', 'object/mobile/narglatch.iff', '0', '0', '0', '0', '188.433', '-65.8127', '-96.0352', '22', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6236', '5', '5285903', 'object/mobile/narglatch_cub.iff', '0', '0', '0', '0', '188.399', '-65.8936', '-105.666', '8', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6237', '5', '5285903', 'object/mobile/narglatch_cub.iff', '0', '0', '0', '0', '188.437', '-65.8282', '-106.207', '8', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6238', '5', '5285903', 'object/mobile/narglatch_cub.iff', '0', '0', '0', '0', '186.971', '-65.5715', '-107.227', '8', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6239', '5', '5285903', 'object/mobile/narglatch_cub.iff', '0', '0', '0', '0', '186.356', '-65.5219', '-108.394', '8', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6240', '5', '5285903', 'object/mobile/narglatch.iff', '0', '0', '0', '0', '190.219', '-66.5608', '-101.405', '27', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6241', '5', '5285902', 'object/mobile/narglatch.iff', '0', '0', '0', '0', '154.726', '-66.2054', '-97.0398', '22', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6242', '5', '5285902', 'object/mobile/narglatch.iff', '0', '0', '0', '0', '153.984', '-66.1003', '-96.709', '22', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6243', '5', '5285902', 'object/mobile/narglatch.iff', '0', '0', '0', '0', '154.57', '-66.1752', '-97.0431', '22', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6244', '5', '5285902', 'object/mobile/narglatch.iff', '0', '0', '0', '0', '155.203', '-66.3735', '-97.7713', '22', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6245', '5', '5285902', 'object/mobile/narglatch_female.iff', '0', '0', '0', '0', '124.829', '-66.7547', '-87.9985', '23', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6246', '5', '5285902', 'object/mobile/narglatch_female.iff', '0', '0', '0', '0', '123.467', '-66.727', '-87.7582', '23', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6247', '5', '5285902', 'object/mobile/narglatch_female.iff', '0', '0', '0', '0', '136.382', '-66.4899', '-120.494', '23', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6248', '5', '5285902', 'object/mobile/narglatch_female.iff', '0', '0', '0', '0', '136.293', '-66.4107', '-119.244', '23', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6249', '5', '5285902', 'object/mobile/narglatch.iff', '0', '0', '0', '0', '106.14', '-66.2979', '-106.777', '22', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6250', '5', '5285902', 'object/mobile/narglatch.iff', '0', '0', '0', '0', '107.509', '-66.2915', '-108.184', '22', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6251', '5', '5285902', 'object/mobile/narglatch.iff', '0', '0', '0', '0', '107.208', '-66.2926', '-107.5', '22', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6252', '5', '5285902', 'object/mobile/narglatch.iff', '0', '0', '0', '0', '107.977', '-66.5127', '-106.369', '22', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6253', '5', '5285899', 'object/mobile/narglatch_female.iff', '0', '0', '0', '0', '86.3064', '-46.6698', '-109.72', '23', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6254', '5', '5285899', 'object/mobile/narglatch_female.iff', '0', '0', '0', '0', '86.8994', '-46.7851', '-108.768', '23', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6255', '5', '5285898', 'object/mobile/narglatch.iff', '0', '0', '0', '0', '74.6552', '-77.0677', '-88.5809', '22', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6256', '5', '5285898', 'object/mobile/narglatch.iff', '0', '0', '0', '0', '79.4059', '-75.6855', '-59.4771', '22', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6257', '5', '5285898', 'object/mobile/narglatch.iff', '0', '0', '0', '0', '79.8804', '-75.7066', '-59.0985', '22', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6258', '5', '5285898', 'object/mobile/narglatch.iff', '0', '0', '0', '0', '79.3953', '-75.6892', '-59.8034', '22', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6259', '5', '5285898', 'object/mobile/narglatch_female.iff', '0', '0', '0', '0', '72.215', '-77.3807', '-90.5184', '23', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6260', '5', '5285897', 'object/mobile/narglatch_female.iff', '0', '0', '0', '0', '80.0613', '-62.7106', '-16.379', '23', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6261', '5', '5285897', 'object/mobile/narglatch_cub.iff', '0', '0', '0', '0', '83.8814', '-62.1124', '-12.7906', '8', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6262', '5', '5285897', 'object/mobile/narglatch_cub.iff', '0', '0', '0', '0', '84.8026', '-62.3222', '-14.1039', '8', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6263', '5', '5285897', 'object/mobile/narglatch_cub.iff', '0', '0', '0', '0', '85.7581', '-62.1249', '-13.2416', '8', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6264', '5', '5285897', 'object/mobile/narglatch_cub.iff', '0', '0', '0', '0', '86.8824', '-62.004', '-11.9496', '8', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6265', '5', '5285896', 'object/mobile/narglatch_female.iff', '0', '0', '0', '0', '51.1727', '-67.489', '-44.9174', '23', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6266', '5', '5285896', 'object/mobile/narglatch_cub.iff', '0', '0', '0', '0', '51.1845', '-67.6346', '-47.5875', '8', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6267', '5', '5285896', 'object/mobile/narglatch_cub.iff', '0', '0', '0', '0', '51.3974', '-67.6616', '-48.7445', '8', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6268', '5', '5285896', 'object/mobile/narglatch_cub.iff', '0', '0', '0', '0', '51.6902', '-67.6934', '-48.6905', '8', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6269', '5', '5285896', 'object/mobile/narglatch_cub.iff', '0', '0', '0', '0', '50.7219', '-67.539', '-47.8711', '8', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6270', '5', '5285896', 'object/mobile/narglatch.iff', '0', '0', '0', '0', '45.8427', '-47.2964', '-26.0894', '18', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6271', '5', '5285896', 'object/mobile/narglatch.iff', '0', '0', '0', '0', '45.2566', '-46.9206', '-24.8118', '18', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6272', '5', '5285896', 'object/mobile/narglatch.iff', '0', '0', '0', '0', '27.5306', '-43.3069', '-67.1476', '12', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6273', '5', '5285896', 'object/mobile/narglatch.iff', '0', '0', '0', '0', '24.5021', '-37.9369', '-31.854', '18', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6274', '5', '5285896', 'object/mobile/narglatch.iff', '0', '0', '0', '0', '25.3447', '-37.7154', '-31.1389', '18', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6275', '5', '5285896', 'object/mobile/narglatch_cub.iff', '0', '0', '0', '0', '21.5772', '-41.9673', '-66.2902', '8', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6276', '5', '5285896', 'object/mobile/narglatch_cub.iff', '0', '0', '0', '0', '22.6629', '-42.1857', '-66.8769', '8', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6277', '5', '5285896', 'object/mobile/narglatch_cub.iff', '0', '0', '0', '0', '23.982', '-42.4837', '-67.5169', '8', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6278', '5', '5285895', 'object/mobile/narglatch_cub.iff', '0', '0', '0', '0', '20.056', '-27.2205', '-8.69811', '8', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6279', '5', '5285895', 'object/mobile/narglatch_cub.iff', '0', '0', '0', '0', '19.2017', '-27.1022', '-8.761', '8', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6280', '5', '5285895', 'object/mobile/narglatch_cub.iff', '0', '0', '0', '0', '19.8043', '-26.7543', '-7.50212', '8', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6281', '5', '5285895', 'object/mobile/narglatch_cub.iff', '0', '0', '0', '0', '20.4196', '-26.4089', '-6.54443', '8', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6282', '5', '5285895', 'object/mobile/narglatch.iff', '0', '0', '0', '0', '-0.0842351', '-12.6628', '-10.128', '12', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6283', '5', '5285895', 'object/mobile/narglatch.iff', '0', '0', '0', '0', '0.57355', '-13.1971', '-10.0831', '12', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6284', '5', '0', 'object/mobile/narglatch.iff', '0', '0', '0', '0', '5833.88', '0', '-4673.6', '18', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6285', '5', '0', 'object/mobile/narglatch.iff', '0', '0', '0', '0', '5859.51', '0', '-4736.48', '12', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6286', '5', '0', 'object/mobile/narglatch.iff', '0', '0', '0', '0', '5858.02', '0', '-4735.05', '12', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6287', '5', '0', 'object/mobile/narglatch.iff', '0', '0', '0', '0', '5835.26', '0', '-4674.7', '18', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6288', '5', '5285900', 'object/mobile/narglatch.iff', '0', '0', '0', '0', '55.609', '-72.4672', '-111.031', '22', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6289', '5', '5285900', 'object/mobile/narglatch.iff', '0', '0', '0', '0', '55.7263', '-72.4423', '-111.107', '22', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6290', '5', '5285900', 'object/mobile/narglatch.iff', '0', '0', '0', '0', '56.0992', '-71.9749', '-112.282', '22', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6291', '5', '5285905', 'object/mobile/narglatch_cub.iff', '0', '0', '0', '0', '76.6839', '-46.1883', '-137.218', '8', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6292', '5', '5285905', 'object/mobile/narglatch_cub.iff', '0', '0', '0', '0', '76.0665', '-46.1734', '-138.453', '8', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6293', '5', '5285905', 'object/mobile/narglatch_female.iff', '0', '0', '0', '0', '78.0875', '-46.5705', '-143.613', '23', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6294', '5', '5285901', 'object/mobile/narglatch_female.iff', '0', '0', '0', '0', '82.2869', '-66.0361', '-136.77', '23', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6295', '5', '5285901', 'object/mobile/narglatch_female.iff', '0', '0', '0', '0', '81.6276', '-65.8453', '-137.914', '23', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6296', '5', '5285905', 'object/mobile/narglatch.iff', '0', '0', '0', '0', '83.5343', '-46.4091', '-143.324', '22', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6297', '5', '5285905', 'object/mobile/narglatch.iff', '0', '0', '0', '0', '82.0385', '-46.588', '-144.784', '22', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6298', '5', '5285901', 'object/mobile/narglatch_cub.iff', '0', '0', '0', '0', '84.4604', '-66.3536', '-138.625', '8', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6299', '5', '5285901', 'object/mobile/narglatch_cub.iff', '0', '0', '0', '0', '84.7233', '-66.4678', '-137.191', '8', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6300', '5', '5285901', 'object/mobile/narglatch_cub.iff', '0', '0', '0', '0', '84.3998', '-66.4002', '-137.437', '8', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6301', '5', '5285901', 'object/mobile/narglatch_cub.iff', '0', '0', '0', '0', '85.8107', '-66.6873', '-136.395', '8', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6302', '5', '4295402', 'object/mobile/giant_veermok.iff', '0', '0', '0', '0', '186.36', '-65.8279', '-103.569', '26', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6303', '5', '4295398', 'object/mobile/veermok.iff', '0', '0', '0', '0', '89.8296', '-46.6359', '-107.641', '13', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6304', '5', '4295398', 'object/mobile/veermok.iff', '0', '0', '0', '0', '89.0039', '-46.8252', '-107.053', '13', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6305', '5', '4295394', 'object/mobile/veermok.iff', '0', '0', '0', '0', '22.8066', '-27.6296', '-8.61728', '9', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6306', '5', '4295395', 'object/mobile/veermok.iff', '0', '0', '0', '0', '43.8358', '-47.1767', '-10.5634', '13', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6307', '5', '4295395', 'object/mobile/veermok.iff', '0', '0', '0', '0', '43.142', '-47.063', '-9.21997', '13', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6308', '5', '0', 'object/mobile/veermok.iff', '0', '0', '0', '0', '5718.63', '0', '-1540.31', '9', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6309', '5', '4295395', 'object/mobile/veermok.iff', '0', '0', '0', '0', '54.2333', '-68.2449', '-37.7192', '13', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6310', '5', '4295395', 'object/mobile/veermok.iff', '0', '0', '0', '0', '46.5483', '-48.1294', '-62.6541', '13', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6311', '5', '4295397', 'object/mobile/veermok.iff', '0', '0', '0', '0', '74.728', '-75.281', '-60.3768', '15', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6312', '5', '4295397', 'object/mobile/veermok.iff', '0', '0', '0', '0', '74.9886', '-75.3027', '-59.7139', '15', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6313', '5', '4295397', 'object/mobile/veermok.iff', '0', '0', '0', '0', '75.3978', '-75.295', '-60.9466', '15', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6314', '5', '4295396', 'object/mobile/veermok.iff', '0', '0', '0', '0', '77.3609', '-61.5438', '-10.5813', '13', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6315', '5', '4295396', 'object/mobile/veermok.iff', '0', '0', '0', '0', '78.6118', '-61.6992', '-9.94681', '13', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6316', '5', '4295404', 'object/mobile/veermok.iff', '0', '0', '0', '0', '78.1737', '-46.6238', '-142.412', '15', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6317', '5', '4295404', 'object/mobile/veermok.iff', '0', '0', '0', '0', '77.1832', '-46.5064', '-143.699', '15', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6318', '5', '4295400', 'object/mobile/veermok.iff', '0', '0', '0', '0', '92.0334', '-66.1276', '-127.145', '18', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6319', '5', '4295401', 'object/mobile/veermok.iff', '0', '0', '0', '0', '134.715', '-66.4296', '-107.272', '18', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6320', '5', '4295401', 'object/mobile/veermok.iff', '0', '0', '0', '0', '134.391', '-66.4696', '-106.357', '18', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6321', '6', '0', 'object/mobile/dressed_commoner_tatooine_rodian_female_03.iff', '0', '0.779773', '0', '-0.626063', '-5443.54', '80', '-2174.68', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6322', '6', '0', 'object/mobile/dressed_commoner_fat_twilek_male_02.iff', '0', '0.115259', '0', '0.993335', '-5418.39', '80', '-2093.5', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6323', '6', '4635445', 'object/mobile/dressed_commoner_naboo_bothan_male_02.iff', '-6.50263e-07', '-5.19987e-05', '-3.38128e-11', '1', '-46.8088', '2.63942', '30.7844', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6324', '6', '4635445', 'object/mobile/dressed_commoner_tatooine_nikto_male_04.iff', '-2.10437e-11', '1', '7.58674e-07', '2.77375e-05', '-46.8088', '2.63942', '31.8844', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6325', '6', '4635445', 'object/mobile/dressed_spice_collective_courier_rodian_male_01.iff', '-2.05299e-07', '0.923866', '4.95584e-07', '0.382717', '-47.9088', '2.63942', '31.8844', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6326', '6', '4635442', 'object/mobile/dressed_criminal_pirate_human_female_01.iff', '8.12845e-07', '-2.59965e-05', '2.11312e-11', '1', '-34.4809', '1.63942', '60.9461', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6327', '6', '4635442', 'object/mobile/dressed_criminal_slicer_human_female_01.iff', '-1.97371e-11', '1', '-7.5854e-07', '-2.60199e-05', '-34.4809', '1.63942', '62.0461', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6328', '6', '4635440', 'object/mobile/dressed_noble_old_twk_male_01.iff', '-1.30035e-06', '-7.11086e-05', '-9.24663e-11', '1', '40.9354', '0.639417', '36.9425', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6329', '6', '4635440', 'object/mobile/dressed_commoner_naboo_human_female_02.iff', '9.2504e-11', '1', '1.30056e-06', '-7.11265e-05', '40.9354', '0.639417', '38.0425', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6330', '6', '0', 'object/mobile/dressed_zeelius_kraymunder.iff', '0.0110368', '0.994803', '-0.00735555', '0.10095', '-5317.51', '80.4691', '-2266.1', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6331', '6', '0', 'object/mobile/dressed_commoner_tatooine_bith_male_04.iff', '0', '-0.347728', '0', '0.937596', '-5313.48', '80', '-2114.04', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6332', '6', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_05.iff', '0', '0.189661', '0', '0.98185', '-5325.77', '80.093', '-2068.85', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6333', '6', '0', 'object/mobile/dressed_imperial_major_m.iff', '0', '0.482879', '0', '0.875687', '-5273.15', '80.0817', '-2234.29', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6334', '6', '0', 'object/mobile/dressed_commoner_naboo_zabrak_male_02.iff', '0', '0.221127', '0', '0.975245', '-5298.83', '80.0772', '-2198.9', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6335', '6', '0', 'object/mobile/dressed_commoner_tatooine_devaronian_male_04.iff', '0', '-0.262592', '0', '0.964907', '-5259.69', '80.0145', '-2239.88', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6336', '6', '0', 'object/mobile/dressed_imperial_officer_m.iff', '0', '0.993431', '0', '-0.114434', '-5299', '80.0686', '-2098.49', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6337', '6', '0', 'object/mobile/eg6_power_droid.iff', '0', '-0.405222', '0', '0.914219', '-5312.76', '80.102', '-2219.53', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6338', '6', '0', 'object/mobile/dressed_narmle_guard_rodian_female_01.iff', '0', '0.999974', '0', '-0.00722321', '-5278.7', '80.2784', '-2148.79', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6339', '6', '0', 'object/mobile/dressed_imperial_officer_m.iff', '0', '0.375456', '0', '0.92684', '-5257.05', '80', '-2254.85', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6340', '6', '0', 'object/mobile/dressed_commoner_fat_zabrak_female_02.iff', '0', '-0.129922', '0', '0.991524', '-5231.19', '80.067', '-2208.19', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6341', '6', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_08.iff', '0', '0.0478879', '0', '0.998853', '-5230.23', '80.3685', '-2182.25', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6342', '6', '0', 'object/mobile/dressed_narmle_guard_rodian_male_01.iff', '0', '0.014089', '0', '0.999901', '-5254.36', '80', '-2310.88', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6343', '6', '0', 'object/mobile/eg6_power_droid.iff', '0', '0.925163', '0', '0.379571', '-5209.77', '80.0124', '-2207.36', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6344', '6', '0', 'object/mobile/r5.iff', '0', '0.0285716', '0', '0.999592', '-5208.93', '80', '-2249.14', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6345', '6', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_04.iff', '0', '0.907323', '0', '0.420435', '-5210.74', '80', '-2269.67', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6346', '6', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_03.iff', '0', '0.418449', '0', '0.90824', '-5268.57', '80', '-2335.87', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6347', '6', '0', 'object/mobile/dressed_garyn_prowler_trandoshan_female_01.iff', '-0.0365893', '0.881697', '-0.0693397', '-0.465257', '-5564.39', '79.2752', '-2119.46', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6348', '6', '0', 'object/mobile/dressed_garyn_prowler_trandoshan_female_01.iff', '-0.030727', '0.92085', '-0.0741551', '-0.381565', '-5565.39', '79.2833', '-2118.46', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6349', '6', '0', 'object/mobile/dressed_garyn_prowler_trandoshan_male_01.iff', '0', '0.751602', '0', '0.659617', '-5564.39', '79.2214', '-2121.46', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6350', '6', '0', 'object/mobile/dressed_garyn_prowler_trandoshan_male_01.iff', '-0.0189905', '0.953336', '-0.0613708', '-0.294999', '-5566.39', '79.0528', '-2117.46', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6351', '6', '0', 'object/mobile/dressed_garyn_prowler_trandoshan_female_01.iff', '-0.0142031', '0.963194', '-0.0519461', '-0.263357', '-5566.39', '78.9822', '-2116.46', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6352', '6', '0', 'object/mobile/dressed_garyn_prowler_trandoshan_male_01.iff', '0', '0.88841', '0', '0.459052', '-5535.71', '84.5403', '-2044.39', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6353', '6', '0', 'object/mobile/dressed_garyn_prowler_trandoshan_female_01.iff', '-0.0656047', '-0.416644', '-0.00382836', '0.906691', '-5537.58', '85.8373', '-2041.19', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6354', '6', '0', 'object/mobile/dressed_garyn_prowler_trandoshan_male_01.iff', '0', '0.829338', '0', '-0.558747', '-5547.64', '84.7919', '-2044.2', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6355', '6', '0', 'object/mobile/dressed_garyn_prowler_trandoshan_female_01.iff', '-0.0332831', '0.152716', '-0.00653299', '0.987688', '-5547.54', '83.8982', '-2035.57', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6356', '6', '0', 'object/mobile/dressed_garyn_prowler_trandoshan_male_01.iff', '0', '0.993155', '0', '0.1168', '-5565.39', '79.424', '-2117.46', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6357', '6', '0', 'object/mobile/hermit_spider_hue.iff', '0', '0.810857', '0', '0.585244', '-5293.89', '81.1887', '-1982.46', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6358', '6', '0', 'object/mobile/hermit_spider_hue.iff', '0', '-0.369189', '0', '0.929355', '-5279.75', '80.8355', '-1987.34', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6359', '6', '0', 'object/mobile/squall_hue.iff', '0', '-0.662973', '0', '0.748643', '-5297.37', '80.2596', '-1989.49', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6360', '6', '0', 'object/mobile/squall_hue.iff', '0', '0.786019', '0', '-0.618202', '-5297.44', '80.2243', '-1989.04', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6361', '6', '0', 'object/mobile/squall_hue.iff', '0', '0.982223', '0', '-0.187718', '-5289.33', '81.1627', '-1985.13', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6362', '6', '0', 'object/mobile/chuba_hue.iff', '0', '-0.0919431', '0', '0.995764', '-5280.62', '80.7132', '-1987.53', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6363', '6', '0', 'object/mobile/hermit_spider_hue.iff', '0', '0.975349', '0', '0.220667', '-5095.11', '80.3015', '-2110.63', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6364', '6', '0', 'object/mobile/hermit_spider_hue.iff', '0', '-0.297359', '0', '0.954766', '-5103.64', '80.6804', '-2116.08', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6365', '6', '4635424', 'object/mobile/21b_surgical_droid.iff', '0', '0.576679', '0', '0.816971', '-25.52', '0.26', '-3.48', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6366', '6', '4635424', 'object/mobile/dressed_narmle_lieutenant_twk_female_01.iff', '0.0542775', '0.781322', '-0.00802101', '0.621712', '-5.37358', '0.26', '-4.18154', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6367', '6', '4635423', 'object/mobile/dressed_commoner_old_twilek_male_02.iff', '0', '0.999999', '0.00106742', '0', '-33.7407', '0.259965', '-13.9897', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6368', '6', '4635423', 'object/mobile/dressed_noble_old_zabrak_male_01.iff', '0.00144544', '0', '0', '0.999999', '-33.7407', '0.259972', '-13.9927', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6369', '6', '4635423', 'object/mobile/dressed_eisley_officer_bothan_male_01.iff', '0', '0.951844', '-0.306582', '0', '-33.7407', '0.259965', '-13.9897', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6370', '6', '4635423', 'object/mobile/dressed_doctor_trainer_human_female_01.iff', '0', '0.978815', '-0.204747', '0', '-33.7407', '0.259972', '-13.9927', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6371', '6', '4635423', 'object/mobile/dressed_commoner_fat_twilek_female_02.iff', '-4.50636e-09', '0.978815', '-0.204747', '-2.15431e-08', '-33.7407', '0.259972', '-13.9927', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6372', '6', '4635423', 'object/mobile/dressed_commoner_naboo_moncal_male_02.iff', '1.0374e-08', '0.978815', '-0.204747', '4.95939e-08', '-33.7407', '0.259972', '-13.9927', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6373', '6', '4635423', 'object/mobile/dressed_mercenary_weak_hum_m.iff', '0', '0.999999', '0.00106742', '0', '-33.7407', '0.259965', '-13.9897', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6374', '6', '0', 'object/mobile/warren_teraud_loyalist_scientist.iff', '0', '0.962753', '0', '0.270383', '-5130.31', '80', '-2270', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6375', '6', '0', 'object/mobile/dressed_commoner_naboo_bothan_female_01.iff', '0', '-0.490541', '0', '0.871418', '-5089.55', '80', '-2268.5', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6376', '6', '0', 'object/mobile/dressed_commoner_naboo_bothan_female_01.iff', '0', '0.889882', '0', '-0.456192', '-5033.6', '80.0574', '-2224.65', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6377', '6', '0', 'object/mobile/dressed_narmle_guard_rodian_male_01.iff', '0', '0.965665', '0', '0.259792', '-5062.24', '80.2318', '-2255.34', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6378', '6', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_07.iff', '0', '0.881529', '0', '-0.47213', '-5010.3', '80.2656', '-2228.89', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6379', '6', '0', 'object/mobile/dressed_commoner_tatooine_rodian_male_02.iff', '0', '-0.543146', '0', '0.839638', '-5088.04', '80', '-2296.7', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6380', '6', '0', 'object/mobile/hermit_spider_hue.iff', '0', '0.985096', '0', '-0.172003', '-4959.83', '78.8972', '-2195.52', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6381', '6', '0', 'object/mobile/3po_protocol_droid.iff', '0.0058587', '0.214234', '-0.00128499', '0.976764', '-4975', '79.8943', '-2227', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6382', '6', '0', 'object/mobile/dressed_commoner_tatooine_trandoshan_female_01.iff', '0', '0.976613', '0', '-0.215005', '-4983.01', '79.9956', '-2297.39', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6383', '6', '0', 'object/mobile/dressed_commoner_fat_zabrak_female_01.iff', '0', '0.916767', '0', '0.399422', '-4966.21', '79.9706', '-2321.09', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6384', '6', '0', 'object/mobile/squall_hue.iff', '0', '-0.630558', '0', '0.776142', '-4951.35', '79.0596', '-2194.99', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6385', '6', '0', 'object/mobile/chuba_hue.iff', '0', '0.168291', '0', '0.985737', '-4949.52', '79.5275', '-2200.28', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6386', '6', '0', 'object/mobile/squall_hue.iff', '0', '-0.0318288', '0', '0.999493', '-4956.7', '79.3006', '-2179.24', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6387', '6', '0', 'object/mobile/chuba_hue.iff', '0', '-0.581238', '0', '0.813734', '-4965.59', '80.1912', '-2176', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6388', '6', '0', 'object/mobile/squall_hue.iff', '0', '0.812049', '0', '-0.583589', '-4957.25', '79.2141', '-2189.09', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6389', '6', '0', 'object/mobile/dressed_commoner_fat_human_female_01.iff', '0', '0.0725806', '0', '0.997363', '-4984.34', '80', '-2335.05', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6390', '6', '0', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0.792295', '0', '0.610139', '-4873.48', '82.0523', '-2256.69', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6391', '6', '0', 'object/mobile/dressed_cobral_thug_rodian_female_01.iff', '0', '0.968951', '0', '-0.247252', '-4877.1', '81.0647', '-2251.47', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6392', '6', '0', 'object/mobile/dressed_cobral_thug_rodian_male_01.iff', '0', '0.227357', '0', '0.973812', '-4864.56', '80.8399', '-2247.82', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6393', '6', '0', 'object/mobile/dressed_cobral_thug_rodian_female_01.iff', '0', '0.950042', '0', '-0.312122', '-4883.47', '81.097', '-2246.39', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6394', '6', '0', 'object/mobile/dressed_cobral_mugger_human_female_01.iff', '0', '0.865345', '0', '-0.501176', '-4864.19', '80.5081', '-2246.87', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6395', '6', '0', 'object/mobile/dressed_cobral_thief_human_male_01.iff', '0', '0.989053', '0', '-0.147562', '-4863.33', '80.5281', '-2253.58', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6396', '6', '0', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0.958097', '0', '-0.286443', '-4872.13', '79.6112', '-2244.19', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6397', '6', '0', 'object/mobile/squall_hue.iff', '0', '-0.689716', '0', '0.72408', '-4908.96', '78.4111', '-2239.6', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6398', '6', '0', 'object/mobile/squall_hue.iff', '0', '-0.183506', '0', '0.983019', '-4916.64', '78.8661', '-2227.33', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6399', '6', '0', 'object/mobile/squall_hue.iff', '0', '-0.558708', '0', '0.829364', '-4915.71', '78.2762', '-2236.72', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6400', '6', '0', 'object/mobile/squall_hue.iff', '0', '0.904955', '0', '0.425508', '-4907.7', '78.2424', '-2237', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6401', '6', '0', 'object/mobile/chuba_hue.iff', '0', '0.715819', '0', '-0.698286', '-4923.22', '78.4302', '-2239.76', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6402', '6', '0', 'object/mobile/squall_hue.iff', '0', '-0.010497', '0', '0.999945', '-4906.88', '78.1283', '-2231.66', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6403', '6', '0', 'object/mobile/dressed_commoner_naboo_bothan_female_01.iff', '0', '0.938318', '0', '0.345773', '-4967.75', '79.9998', '-2379.52', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6404', '6', '0', 'object/mobile/hermit_spider_hue.iff', '0', '0.99826', '0', '-0.0589665', '-4851.61', '78.1927', '-2306.58', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6405', '6', '0', 'object/mobile/hermit_spider_hue.iff', '0', '0.985554', '0', '-0.169362', '-4839.16', '80.2828', '-2307.73', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6406', '6', '0', 'object/mobile/dressed_criminal_thug_human_male_02.iff', '0', '-0.422881', '0', '0.906185', '-4866.9', '77.8474', '-2301.82', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6407', '6', '0', 'object/mobile/dressed_robber_twk_female_01.iff', '0', '-0.422892', '0', '0.90618', '-4867.56', '77.7862', '-2301.95', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6408', '6', '0', 'object/mobile/dressed_ruffian_zabrak_female_01.iff', '0', '0.973736', '0', '0.227682', '-4833.67', '79.773', '-2310.94', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6409', '6', '4635403', 'object/mobile/dressed_oxil_sarban.iff', '-9.49902e-06', '-0.591812', '1.23181e-05', '0.806076', '15.588', '2.12878', '72.3985', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6410', '6', '4635403', 'object/mobile/dressed_noble_trandoshan_male_01.iff', '0', '0.731354', '0', '-0.681998', '19.26', '2.12847', '56.13', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6411', '6', '4635403', 'object/mobile/dressed_entertainer_trainer_human_female_01.iff', '0', '0.0348995', '0', '0.999391', '21.99', '2.12804', '64.05', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6412', '6', '4635402', 'object/mobile/dressed_noble_old_human_female_02.iff', '0', '0.93358', '0', '-0.358368', '28.93', '2.12878', '58.19', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6413', '6', '0', 'object/mobile/dressed_commoner_tatooine_bith_male_02.iff', '0', '0.934135', '0', '-0.35692', '-4968', '79.9912', '-2399', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6414', '6', '0', 'object/mobile/dressed_crook_zabrak_female_01.iff', '0', '0.605139', '0', '0.79612', '-4822.52', '79.1924', '-2301.21', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6415', '6', '0', 'object/mobile/dressed_hoodlum_zabrak_female_01.iff', '0', '0.983964', '0', '-0.178365', '-4822.33', '77.9171', '-2248.25', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6416', '6', '0', 'object/mobile/dressed_narmle_captain_bith_female_01.iff', '0', '-0.591704', '0', '0.806155', '-5001.12', '80.6', '-2297.02', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6417', '6', '0', 'object/mobile/dressed_narmle_captain_bith_female_01.iff', '0', '-0.601838', '0', '0.798618', '-5001.12', '80.6', '-2299.95', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6418', '6', '0', 'object/mobile/dressed_narmle_ensign_human_male_01.iff', '0', '0.998377', '0', '-0.0569513', '-5039.88', '80', '-2383.97', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6419', '6', '0', 'object/mobile/r3.iff', '0', '0.712181', '0', '0.701996', '-5065.29', '80', '-2334.08', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6420', '6', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_08.iff', '0', '0.943432', '0', '0.331566', '-5036.13', '80', '-2402.18', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6421', '6', '0', 'object/mobile/hermit_spider_hue.iff', '0', '0.990752', '0', '-0.135689', '-4908.06', '75.3753', '-2483.58', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6422', '6', '0', 'object/mobile/hermit_spider_hue.iff', '0', '-0.503473', '0', '0.864011', '-4902.74', '76.3764', '-2482.05', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6423', '6', '0', 'object/mobile/hermit_spider_hue.iff', '0', '0.922715', '0', '0.385483', '-4942.31', '76.4418', '-2576.6', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6424', '6', '0', 'object/mobile/chuba_hue.iff', '0', '0.982803', '0', '-0.184656', '-4907.87', '76.1747', '-2491.71', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6425', '6', '0', 'object/mobile/squall_hue.iff', '0', '0.934451', '0', '-0.356091', '-4907.94', '76.101', '-2489.61', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6426', '6', '0', 'object/mobile/cll8_binary_load_lifter.iff', '0', '0.0320998', '0', '0.999485', '-5088.79', '80.0022', '-2444.55', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6427', '6', '0', 'object/mobile/dressed_narmle_ensign_human_female_01.iff', '0', '0.965617', '0', '0.259967', '-5084.94', '80.2418', '-2501.65', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6428', '6', '0', 'object/mobile/dressed_narmle_ensign_human_female_01.iff', '0', '0.598695', '0', '0.800977', '-5082.88', '80.2418', '-2502.38', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6429', '6', '0', 'object/mobile/hermit_spider_hue.iff', '0', '0.0686796', '0', '0.997639', '-5050.26', '76.3996', '-2598.38', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6430', '6', '0', 'object/mobile/hermit_spider_hue.iff', '0', '0.236506', '0', '0.97163', '-5054.32', '76.2719', '-2603.34', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6431', '6', '0', 'object/mobile/hermit_spider_hue.iff', '0', '0.951197', '0', '0.308584', '-5054.86', '76.2439', '-2601.46', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6432', '6', '0', 'object/mobile/hermit_spider_hue.iff', '0', '-0.105351', '0', '0.994435', '-5054.8', '76.279', '-2603.57', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6433', '6', '0', 'object/mobile/dressed_commoner_naboo_human_female_04.iff', '0', '0.161872', '0', '0.986812', '-5120.56', '80', '-2443.12', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6434', '6', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_01.iff', '0', '0.885025', '0', '-0.465544', '-5160.16', '80', '-2499.29', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6435', '6', '0', 'object/mobile/dressed_commoner_tatooine_bith_female_05.iff', '0', '0.213605', '0', '0.97692', '-5189.88', '80', '-2501.35', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6436', '6', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_01.iff', '0', '0.839051', '0', '0.544053', '-5190.22', '80', '-2461.09', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6437', '6', '0', 'object/mobile/dressed_cobral_thug_rodian_female_01.iff', '0', '0.330335', '0', '0.943864', '-5131.61', '76.1337', '-2660.4', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6438', '6', '0', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '-0.302616', '0', '0.953113', '-5142.7', '76.6997', '-2664.06', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6439', '6', '0', 'object/mobile/hermit_spider_hue.iff', '0', '0.943225', '0', '-0.332154', '-5210.51', '75.7071', '-2621.65', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6440', '6', '0', 'object/mobile/dressed_cobral_thug_rodian_male_01.iff', '0', '-0.535623', '0', '0.844457', '-5137.61', '76.8892', '-2671.86', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6441', '6', '0', 'object/mobile/dressed_cobral_bandit_bith_male_01.iff', '0', '-0.422138', '0', '0.906532', '-5130.94', '76.5926', '-2669.41', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6442', '6', '0', 'object/mobile/squall_hue.iff', '0', '-0.672449', '0', '0.740144', '-5196.36', '76.681', '-2620.44', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6443', '6', '0', 'object/mobile/squall_hue.iff', '0', '-0.696929', '0', '0.71714', '-5201.36', '76.1738', '-2619.44', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6444', '6', '0', 'object/mobile/dressed_commoner_fat_twilek_female_02.iff', '0', '-0.34884', '0', '0.937182', '-5235.04', '80', '-2430.93', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6445', '6', '0', 'object/mobile/dressed_sidoras_bey.iff', '0', '-0.476536', '0', '0.879155', '-5246.95', '80', '-2387.01', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6446', '6', '0', 'object/mobile/dressed_commoner_naboo_moncal_male_02.iff', '0', '0.931716', '0', '0.363187', '-5235.88', '80', '-2387.38', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6447', '6', '0', 'object/mobile/dressed_garyn_prowler_trandoshan_male_01.iff', '0', '0.667298', '0', '0.744791', '-5372.18', '82.6622', '-2453.89', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6448', '6', '0', 'object/mobile/dressed_garyn_prowler_trandoshan_male_01.iff', '0.00178277', '0.997913', '-0.0370066', '0.0528903', '-5383.56', '87.1206', '-2452.88', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6449', '6', '0', 'object/mobile/dressed_garyn_prowler_trandoshan_male_01.iff', '0', '0.804353', '0', '0.594152', '-5374.21', '82.9652', '-2443.29', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6450', '6', '0', 'object/mobile/dressed_garyn_prowler_trandoshan_female_01.iff', '0', '0.905821', '0', '0.423661', '-5390.35', '86.1163', '-2457.35', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6451', '6', '0', 'object/mobile/dressed_commoner_tatooine_ishitib_male_02.iff', '0', '0.492312', '0', '0.870419', '-5238.69', '80', '-2355.76', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6452', '6', '0', 'object/mobile/dressed_commoner_tatooine_bith_male_02.iff', '0', '-0.440874', '0', '0.897569', '-5323.84', '80.1242', '-2307.54', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6453', '6', '4635599', 'object/mobile/dressed_sindra_lintikoor.iff', '1.53165e-07', '0.385937', '-6.40766e-08', '0.922525', '-23.809', '1.6', '-11.9706', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6454', '6', '4635599', 'object/mobile/dressed_commoner_old_human_female_02.iff', '0', '-0.697278', '0', '0.716801', '-24', '1.6', '-4', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6455', '6', '4635599', 'object/mobile/kole.iff', '0', '0.5373', '0', '0.843391', '-23.3', '1.6', '-17.6', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6456', '6', '4635594', 'object/mobile/dressed_mercenary_elite_medic_human_male_01.iff', '1.13792e-06', '-6.96048e-06', '7.92048e-12', '1', '26.0684', '1.28309', '-0.818005', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6457', '6', '4635594', 'object/mobile/dressed_commoner_artisan_trandoshan_male_01.iff', '-7.88034e-12', '1', '-1.13779e-06', '-6.92599e-06', '26.0684', '1.28309', '0.281995', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6458', '6', '4635594', 'object/mobile/dressed_commoner_fat_twilek_male_01.iff', '3.07881e-07', '0.92389', '-7.4335e-07', '0.382657', '24.9684', '1.28309', '0.281995', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6459', '6', '4635593', 'object/mobile/dressed_commoner_tatooine_sullustan_male_05.iff', '-1.89668e-06', '-5.1772e-05', '-9.81949e-11', '1', '4.86047', '0.999988', '5.92573', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6460', '6', '4635593', 'object/mobile/dressed_commoner_tatooine_rodian_male_03.iff', '-1.72767e-10', '1', '-3.33259e-06', '-5.18416e-05', '4.86047', '0.999992', '7.02573', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6461', '6', '4635595', 'object/mobile/dressed_criminal_pirate_human_female_01.iff', '-0.000118764', '9.44705e-05', '1.12197e-08', '1', '-13.3747', '1.00011', '-3.41628', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6462', '6', '4635595', 'object/mobile/dressed_commoner_tatooine_rodian_female_01.iff', '1.1024e-08', '1', '-0.000116664', '9.44936e-05', '-13.3747', '1.00037', '-2.31628', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6463', '6', '0', 'object/mobile/dressed_goru_rainstealer.iff', '0', '0.60663', '0', '0.794985', '-5431.64', '79.9998', '-2242.36', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6464', '6', '0', 'object/mobile/hermit_spider_hue.iff', '0', '0.991123', '0', '-0.132945', '-5473.93', '79.1925', '-2351.53', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6465', '6', '0', 'object/mobile/dressed_commoner_tatooine_devaronian_male_01.iff', '0', '0.990804', '0', '-0.135302', '-5479.26', '80', '-2117.4', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6466', '6', '0', 'object/mobile/hermit_spider_hue.iff', '0', '0.952406', '0', '0.304832', '-5607.22', '77.6464', '-2179.85', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6467', '6', '0', 'object/mobile/dressed_garyn_prowler_trandoshan_female_01.iff', '0', '0.858565', '0', '0.512704', '-5570.39', '77.9482', '-2126.46', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6468', '6', '0', 'object/mobile/hermit_spider_hue.iff', '0', '0.774154', '0', '0.632997', '-5607.29', '77.3375', '-2186.26', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6469', '6', '0', 'object/mobile/dressed_garyn_prowler_trandoshan_male_01.iff', '0', '0.946893', '0', '0.321548', '-5568.39', '78.644', '-2125.46', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6470', '6', '0', 'object/mobile/dressed_garyn_prowler_trandoshan_male_01.iff', '-0.0721302', '0.78256', '-0.092315', '-0.611453', '-5565.39', '79.3759', '-2122.46', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6471', '6', '0', 'object/mobile/dressed_garyn_prowler_trandoshan_female_01.iff', '-0.0189905', '0.953335', '-0.0613708', '-0.294999', '-5566.39', '79.0528', '-2117.46', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6472', '6', '0', 'object/mobile/dressed_garyn_prowler_trandoshan_female_01.iff', '0', '-0.504001', '0', '0.863703', '-5564.39', '79.2066', '-2122.46', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6473', '6', '0', 'object/mobile/dressed_garyn_prowler_trandoshan_male_01.iff', '0', '-0.212729', '0', '0.977111', '-5562.39', '79.2817', '-2120.46', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6474', '6', '0', 'object/mobile/dressed_garyn_prowler_trandoshan_female_01.iff', '0', '-0.0737192', '0', '0.997279', '-5572.39', '77.6972', '-2125.46', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6475', '6', '0', 'object/mobile/eg6_power_droid.iff', '0', '-0.649571', '0', '0.760301', '-5187.37', '80', '-2283.09', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6476', '6', '0', 'object/mobile/dressed_narmle_captain_bith_male_01.iff', '0', '-0.00907188', '0', '0.999959', '-5129.37', '80', '-2308.26', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6477', '6', '0', 'object/mobile/dressed_commoner_tatooine_rodian_male_04.iff', '0', '0.903459', '0', '0.428674', '-5096.5', '80', '-2317.99', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6478', '6', '0', 'object/mobile/dressed_narmle_captain_bith_female_01.iff', '0', '0.712168', '0', '0.702009', '-5090.41', '80', '-2333.72', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6479', '6', '0', 'object/mobile/dressed_narmle_guard_rodian_male_01.iff', '0', '0.712113', '0', '0.702065', '-5090.42', '80', '-2334.78', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6480', '6', '0', 'object/mobile/dressed_narmle_guard_rodian_male_01.iff', '0', '0.711907', '0', '0.702274', '-5091.47', '80', '-2333.7', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6481', '6', '0', 'object/mobile/dressed_narmle_guard_rodian_male_01.iff', '0', '0.300291', '0', '0.953848', '-5224.99', '80', '-2381.31', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6482', '6', '0', 'object/mobile/dressed_commoner_tatooine_sullustan_male_02.iff', '0', '0.970994', '0', '0.239102', '-5137.08', '80', '-2408.5', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6483', '6', '0', 'object/mobile/dressed_commoner_tatooine_sullustan_male_04.iff', '0', '0.934112', '0', '0.356979', '-5088.2', '80', '-2407.66', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6484', '6', '4615384', 'object/mobile/dressed_commoner_tatooine_rodian_female_01.iff', '0', '0.824126', '0', '-0.566406', '3.29', '1.13306', '-9.58', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6485', '6', '4615383', 'object/mobile/dressed_imperial_officer_m_4.iff', '0', '0.803685', '0', '-0.595055', '14.307', '1.13306', '-8.87086', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6486', '6', '4615380', 'object/mobile/dressed_artisan_trainer_03.iff', '0', '0.0958458', '0', '0.995396', '-3.69', '1.13306', '-6', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6487', '6', '4615375', 'object/mobile/dressed_commoner_tatooine_aqualish_female_03.iff', '0', '0.866025', '0', '0.5', '-14.01', '1.13306', '-8.53', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6488', '6', '4615374', 'object/mobile/dressed_commoner_tatooine_rodian_female_02.iff', '0', '0.913545', '0', '-0.406737', '3.32', '1.13306', '-8.49', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6489', '6', '4615371', 'object/mobile/dressed_imperial_officer_m_5.iff', '0', '0.932033', '0', '-0.362373', '9.68564', '1.13306', '0.462498', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6490', '6', '4635529', 'object/mobile/dressed_criminal_assassin_human_female_01.iff', '0', '-6.79871e-06', '0', '1', '-1.64601', '-9', '-17.4847', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6491', '6', '4635529', 'object/mobile/dressed_commoner_tatooine_devaronian_male_04.iff', '0', '1', '0', '-7.67033e-06', '-1.64601', '-9', '-16.3847', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6492', '6', '4635529', 'object/mobile/dressed_criminal_assassin_human_female_01.iff', '0', '0.923894', '0', '0.382649', '-2.74601', '-9', '-16.3847', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6493', '6', '4635528', 'object/mobile/dressed_commoner_tatooine_trandoshan_female_02.iff', '0', '-3.52803e-05', '0', '1', '3.05378', '-9', '-3.38406', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6494', '6', '4635528', 'object/mobile/dressed_commoner_tatooine_aqualish_male_03.iff', '0', '1', '0', '-3.62157e-05', '3.05378', '-9', '-2.28406', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6495', '6', '4635527', 'object/mobile/dressed_jaleela_bindoo.iff', '0', '0.839566', '0', '-0.543257', '-10.8894', '1.75', '-21.0555', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6496', '6', '4635527', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '-1.0836e-07', '-3.29361e-05', '-3.56897e-12', '1', '11.5718', '1.75', '-20.3291', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6497', '6', '4635527', 'object/mobile/dressed_entertainer_trainer_twk_male_01.iff', '3.664e-12', '1', '1.08374e-07', '-3.38088e-05', '11.5718', '1.75', '-19.2291', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6498', '6', '4635526', 'object/mobile/dressed_commoner_fat_zabrak_male_02.iff', '0', '-4.5616e-06', '0', '1', '3.50051', '2.25', '6.16449', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6499', '6', '4635526', 'object/mobile/dressed_mercenary_weak_hum_m.iff', '0', '1', '0', '-6.00684e-06', '3.50051', '2.25', '6.74', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6500', '6', '4635526', 'object/mobile/dressed_commoner_naboo_human_female_05.iff', '-1.08369e-07', '-5.29265e-05', '-5.73561e-12', '1', '-9.28285', '1.75', '-5.60831', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6501', '6', '4635526', 'object/mobile/dressed_robber_human_male_01.iff', '5.82472e-12', '1', '1.08365e-07', '-5.37508e-05', '-9.28285', '1.75', '-4.50831', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6502', '6', '4635526', 'object/mobile/dressed_commoner_naboo_moncal_female_02.iff', '3.25158e-07', '-5.54858e-05', '1.80417e-11', '1', '5.64659', '1.1544', '-9.1775', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6503', '6', '4635526', 'object/mobile/dressed_criminal_assassin_human_female_01.iff', '1.76795e-11', '1', '-3.25045e-07', '5.43908e-05', '5.64659', '1.1544', '-8.0775', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6504', '6', '4635526', 'object/mobile/dressed_rebel_specforce_pathfinder_rodian_female_01.iff', '8.79556e-08', '0.92389', '-2.1236e-07', '0.382658', '4.54659', '1.1544', '-8.0775', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6505', '6', '4635526', 'object/mobile/devaronian_male.iff', '2.12418e-07', '0.382688', '-8.79874e-08', '0.923878', '4.54659', '1.1544', '-9.1775', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6506', '6', '4635522', 'object/mobile/dressed_biribas_tarun.iff', '0', '0.395651', '0', '0.918401', '-17.9957', '2.25', '17.3679', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6507', '6', '0', 'object/mobile/dressed_commoner_tatooine_bith_female_02.iff', '0', '0.82583', '0', '-0.563919', '-5160.44', '80', '-2382.87', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6508', '6', '0', 'object/mobile/dressed_rebel_commando_human_female_01.iff', '0', '0', '0', '0', '-1133.01', '0', '4545.38', '30', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('6509', '6', '0', 'object/mobile/dressed_rebel_commando_human_female_01.iff', '0', '0', '0', '0', '-1121.02', '0', '4529.31', '30', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('6510', '6', '0', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '-1110.36', '0', '4547.27', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('6511', '6', '0', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '-1107.64', '0', '4541.17', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('6512', '6', '0', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '-1114.58', '0', '4544.99', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('6513', '6', '0', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '-1147.69', '0', '4515.02', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('6514', '6', '0', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '-1165.59', '0', '4526.89', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('6515', '6', '0', 'object/mobile/dressed_rebel_surface_marshal_human_male_01.iff', '0', '0', '0', '0', '-1131', '0', '4540.54', '30', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('6516', '6', '0', 'object/mobile/dressed_rebel_trooper_twk_female_01.iff', '0', '0', '0', '0', '-1119.69', '0', '4547.95', '18', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('6517', '6', '0', 'object/mobile/dressed_rebel_trooper_twk_female_01.iff', '0', '0', '0', '0', '-1123.94', '0', '4543.92', '18', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('6518', '6', '0', 'object/mobile/dressed_rebel_medic1_bothan_male_01.iff', '0', '0', '0', '0', '-1138.15', '0', '4543.8', '16', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('6519', '6', '0', 'object/mobile/dressed_rebel_medic1_bothan_male_01.iff', '0', '0', '0', '0', '-1139.3', '0', '4538.18', '16', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('6520', '6', '0', 'object/mobile/dressed_rebel_medic1_bothan_male_01.iff', '0', '0', '0', '0', '-1134.89', '0', '4540.55', '16', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('6521', '6', '479818', 'object/mobile/dressed_rebel_medic1_bothan_male_01.iff', '0', '0', '0', '0', '3.8', '0.3', '-4.1', '16', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('6522', '6', '479817', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '-4.4', '0.3', '3.3', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('6523', '6', '479820', 'object/mobile/dressed_rebel_major_human_female_01.iff', '0', '0', '0', '0', '-0.8', '-12', '25.2', '22', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('6524', '6', '479820', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '-0.7', '-12', '37.6', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('6525', '6', '479820', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '-1.3', '-12', '37.8', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('6526', '6', '479820', 'object/mobile/dressed_rebel_major_human_female_01.iff', '0', '0', '0', '0', '25.9', '-12', '40.9', '22', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('6527', '6', '479820', 'object/mobile/dressed_rebel_corporal_bith_female_01.iff', '0', '0', '0', '0', '9.1', '-12', '65.4', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('6528', '6', '479820', 'object/mobile/dressed_rebel_corporal_bith_female_01.iff', '0', '0', '0', '0', '6.3', '-12', '65.5', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('6529', '6', '479820', 'object/mobile/dressed_rebel_corporal_bith_female_01.iff', '0', '0', '0', '0', '0.8', '-12', '66.2', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('6530', '6', '479820', 'object/mobile/dressed_rebel_sergeant_fat_zabrak_male_01.iff', '0', '0', '0', '0', '-18.8', '-12', '41.6', '16', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('6531', '6', '479821', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '-42.7', '-20', '45.8', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('6532', '6', '479821', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '-43.8', '-20', '48', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('6533', '6', '479822', 'object/mobile/dressed_rebel_trooper_twk_female_01.iff', '0', '0', '0', '0', '-54.1', '-20', '37.7', '18', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('6534', '6', '479822', 'object/mobile/dressed_rebel_trooper_twk_female_01.iff', '0', '0', '0', '0', '-57.7', '-20', '36.4', '18', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('6535', '6', '479822', 'object/mobile/dressed_rebel_surface_marshal_human_male_01.iff', '0', '0', '0', '0', '-70.3', '-20', '56', '30', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('6536', '6', '479822', 'object/mobile/dressed_rebel_surface_marshal_human_male_01.iff', '0', '0', '0', '0', '-68.9', '-20', '58.9', '30', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('6537', '6', '479822', 'object/mobile/dressed_rebel_sergeant_major_bothan_male_01.iff', '0', '0', '0', '0', '-51.5', '-20', '66', '17', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('6538', '6', '479824', 'object/mobile/dressed_rebel_major_human_female_01.iff', '0', '0', '0', '0', '-69.5', '-20', '75.2', '22', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('6539', '6', '479824', 'object/mobile/dressed_rebel_major_human_female_01.iff', '0', '0', '0', '0', '-71.8', '-20', '77.4', '22', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('6540', '6', '479824', 'object/mobile/dressed_rebel_colonel_bothan_male.iff', '0', '0', '0', '0', '-55.2', '-20', '78.4', '24', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('6541', '6', '479824', 'object/mobile/dressed_rebel_colonel_bothan_male.iff', '0', '0', '0', '0', '-52.5', '-20', '82.2', '24', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('6542', '6', '479823', 'object/mobile/dressed_rebel_lieutenant_colonel_human_male_01.iff', '0', '0', '0', '0', '-75.2', '-20', '8.1', '27', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('6543', '6', '479823', 'object/mobile/dressed_rebel_general_moncal_male_01.iff', '0', '0', '0', '0', '-68.2', '-20', '13.3', '60', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('6544', '6', '479823', 'object/mobile/dressed_rebel_major_zabrak_female_01.iff', '0', '0', '0', '0', '-59.9', '-20', '7.7', '26', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('6545', '6', '479823', 'object/mobile/dressed_rebel_major_zabrak_female_01.iff', '0', '0', '0', '0', '-51.6', '-20', '17.9', '26', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('6546', '6', '479834', 'object/mobile/dressed_rebel_staff_corporal_bith_female_01.iff', '0', '0', '0', '0', '-30.1', '-20', '99.7', '16', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('6547', '6', '479834', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '-12.1', '-20', '97.6', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('6548', '6', '479834', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '-16.2', '-20', '104.5', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('6549', '6', '479834', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '-9.6', '-20', '102', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('6550', '6', '479836', 'object/mobile/dressed_rebel_trooper_twk_female_01.iff', '0', '0', '0', '0', '-5.3', '-20', '66.7', '48', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('6551', '6', '479836', 'object/mobile/dressed_rebel_trooper_twk_female_01.iff', '0', '0', '0', '0', '-1', '-20', '65.8', '48', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('6552', '6', '479825', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '32.1', '-12', '71.2', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('6553', '6', '479825', 'object/mobile/dressed_rebel_medic1_bothan_male_01.iff', '0', '0', '0', '0', '35.4', '-12', '72', '16', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('6554', '6', '479828', 'object/mobile/dressed_rebel_medic1_bothan_male_01.iff', '0', '0', '0', '0', '29.6', '-20', '142.2', '16', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('6555', '6', '479828', 'object/mobile/dressed_rebel_medic1_bothan_male_01.iff', '0', '0', '0', '0', '26.6', '-20', '140.7', '16', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('6556', '6', '479828', 'object/mobile/dressed_rebel_major_human_female_01.iff', '0', '0', '0', '0', '18.9', '-20', '126.6', '22', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('6557', '6', '479828', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '14.6', '-20', '124.6', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('6558', '6', '479828', 'object/mobile/dressed_rebel_major_human_female_01.iff', '0', '0', '0', '0', '16.3', '-20', '122.1', '22', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('6559', '6', '479827', 'object/mobile/dressed_rebel_commando_human_female_01.iff', '0', '0', '0', '0', '71.9', '-12', '55.6', '30', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('6560', '6', '479827', 'object/mobile/dressed_rebel_commando_human_female_01.iff', '0', '0', '0', '0', '71.3', '-12', '61.7', '30', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('6561', '6', '479826', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '46.1', '-12', '79.7', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('6562', '6', '479826', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '44.9', '-12', '78', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('6563', '6', '479826', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '47.1', '-12', '78.4', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('6564', '6', '479829', 'object/mobile/dressed_rebel_staff_corporal_bith_female_01.iff', '0', '0', '0', '0', '45.3', '-12', '-0.8', '16', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('6565', '6', '479829', 'object/mobile/dressed_rebel_staff_corporal_bith_female_01.iff', '0', '0', '0', '0', '50.7', '-12', '1.1', '16', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('6566', '6', '479829', 'object/mobile/dressed_rebel_staff_corporal_bith_female_01.iff', '0', '0', '0', '0', '54.9', '-12', '2.9', '16', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('6567', '6', '479829', 'object/mobile/dressed_rebel_lieutenant_colonel_human_male_01.iff', '0', '0', '0', '0', '51.3', '-12', '17.9', '27', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('6568', '6', '479829', 'object/mobile/dressed_rebel_lieutenant_colonel_human_male_01.iff', '0', '0', '0', '0', '52.1', '-12', '23.8', '27', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('6569', '6', '479829', 'object/mobile/dressed_rebel_lieutenant_colonel_human_male_01.iff', '0', '0', '0', '0', '48.7', '-12', '24.3', '27', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('6570', '6', '479829', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '34.7', '-12', '15.8', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('6571', '6', '479829', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '29', '-12', '14.2', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('6572', '6', '479829', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '30.6', '-12', '18.4', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('6573', '6', '479831', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '-16.6', '-20', '5', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('6574', '6', '479831', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '-15.2', '-20', '0.9', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('6575', '6', '479831', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '-19.6', '-20', '0.1', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('6576', '6', '479831', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '0', '-14.7', '-20', '-2.1', '25', 'neutral', '128', '0', '300');
INSERT INTO `world_server_static_spawns` VALUES ('6577', '6', '5095971', 'object/mobile/torton.iff', '0', '0', '0', '0', '-12.0131', '-32.5936', '-74.9845', '22', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6578', '6', '5095971', 'object/mobile/torton.iff', '0', '0', '0', '0', '4.41652', '-32.292', '-57.3518', '22', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6579', '6', '5095971', 'object/mobile/torton.iff', '0', '0', '0', '0', '15.6173', '-32.06', '-78.298', '26', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6580', '6', '5095973', 'object/mobile/torton.iff', '0', '0', '0', '0', '-29.6407', '-51.1413', '-165.07', '26', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6581', '6', '5095973', 'object/mobile/torton.iff', '0', '0', '0', '0', '69.6611', '-49.8469', '-181.884', '26', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6582', '6', '5095973', 'object/mobile/torton.iff', '0', '0', '0', '0', '68.008', '-37.3695', '-122.345', '26', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6583', '6', '5095973', 'object/mobile/torton.iff', '0', '0', '0', '0', '18.4139', '-40.7744', '-137.317', '22', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6584', '6', '5095973', 'object/mobile/torton.iff', '0', '0', '0', '0', '-10.8728', '-37.0454', '-130.832', '22', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6585', '6', '5095973', 'object/mobile/torton.iff', '0', '0', '0', '0', '-5.60481', '-37.743', '-146.244', '26', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6586', '6', '5095975', 'object/mobile/shallow_torton.iff', '0', '0', '0', '0', '-17.8545', '-57.1086', '-218.424', '12', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6587', '6', '5095975', 'object/mobile/shallow_torton.iff', '0', '0', '0', '0', '-1.67277', '-56.0004', '-236.679', '12', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6588', '6', '5095975', 'object/mobile/torton.iff', '0', '0', '0', '0', '-22.1934', '-55.3687', '-258.385', '26', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6589', '6', '5095976', 'object/mobile/torton.iff', '0', '0', '0', '0', '-123.737', '-61.3056', '-137.778', '22', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6590', '6', '5095976', 'object/mobile/torton.iff', '0', '0', '0', '0', '-97.0526', '-65.2079', '-171.14', '22', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6591', '6', '5095976', 'object/mobile/torton.iff', '0', '0', '0', '0', '-85.0376', '-62.1699', '-124.251', '22', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6592', '6', '5095976', 'object/mobile/torton.iff', '0', '0', '0', '0', '-108.848', '-61.8629', '-123.896', '26', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6593', '6', '5095977', 'object/mobile/torton.iff', '0', '0', '0', '0', '-46.4268', '-61.486', '-95.1505', '26', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6594', '6', '5095977', 'object/mobile/torton.iff', '0', '0', '0', '0', '-67.3348', '-60.3581', '-107.223', '26', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6595', '6', '5095977', 'object/mobile/torton.iff', '0', '0', '0', '0', '-69.2451', '-62.7041', '-83.0434', '26', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6596', '6', '5095977', 'object/mobile/torton.iff', '0', '0', '0', '0', '-20.2173', '-60.9535', '-108.995', '22', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6597', '6', '5095977', 'object/mobile/torton.iff', '0', '0', '0', '0', '-26.7674', '-62.0211', '-82.4335', '22', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6598', '6', '5095977', 'object/mobile/torton.iff', '0', '0', '0', '0', '-16.1071', '-61.234', '-94.7116', '26', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6599', '6', '5095976', 'object/mobile/torton.iff', '0', '0', '0', '0', '-95.4419', '-93.8695', '-142.174', '26', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6600', '6', '5095976', 'object/mobile/torton.iff', '0', '0', '0', '0', '-101.64', '-93.2214', '-133.129', '26', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6601', '6', '5095979', 'object/mobile/torton.iff', '0', '0', '0', '0', '-104.403', '-91.0017', '-122.283', '26', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6602', '6', '5095979', 'object/mobile/torton.iff', '0', '0', '0', '0', '-81.7801', '-91.9079', '-102.428', '22', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6603', '6', '5095979', 'object/mobile/torton.iff', '0', '0', '0', '0', '-100.063', '-91.4321', '-105.879', '22', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6604', '6', '5095979', 'object/mobile/torton.iff', '0', '0', '0', '0', '-91.1146', '-92.9979', '-101.775', '26', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6605', '6', '5407164', 'object/mobile/borgle.iff', '0', '0', '0', '0', '-10.7104', '-30.7506', '-27.6953', '12', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6606', '6', '5407164', 'object/mobile/borgle.iff', '0', '0', '0', '0', '11.6023', '-23.5405', '-27.0177', '12', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6607', '6', '5407163', 'object/mobile/borgle.iff', '0', '0', '0', '0', '10.5387', '-16.7088', '-11.0266', '12', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6608', '6', '5407163', 'object/mobile/borgle.iff', '0', '0', '0', '0', '-0.646031', '-13.1638', '-6.05019', '12', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6609', '6', '5407165', 'object/mobile/great_borgle.iff', '0', '0', '0', '0', '-8.95989', '-40.4571', '-59.9686', '14', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6610', '6', '5407165', 'object/mobile/great_borgle.iff', '0', '0', '0', '0', '3.40077', '-40.4773', '-60.2748', '14', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6611', '6', '5407165', 'object/mobile/borgle.iff', '0', '0', '0', '0', '-13.365', '-40.6606', '-80.2888', '14', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6612', '6', '5407165', 'object/mobile/borgle.iff', '0', '0', '0', '0', '23.475', '-40.819', '-71.2203', '14', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6613', '6', '5407165', 'object/mobile/borgle.iff', '0', '0', '0', '0', '16.3624', '-40.0471', '-77.8466', '14', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6614', '6', '5407165', 'object/mobile/borgle.iff', '0', '0', '0', '0', '16.4014', '-40.044', '-77.8612', '15', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6615', '6', '5407167', 'object/mobile/great_borgle.iff', '0', '0', '0', '0', '76.0949', '-51.5047', '-141.404', '14', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6616', '6', '5407167', 'object/mobile/borgle.iff', '0', '0', '0', '0', '37.8476', '-53.8295', '-146.336', '14', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6617', '6', '5407167', 'object/mobile/borgle.iff', '0', '0', '0', '0', '55.0876', '-57.1915', '-185.116', '14', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6618', '6', '5407167', 'object/mobile/great_borgle.iff', '0', '0', '0', '0', '74.4857', '-54.3413', '-150.48', '14', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6619', '6', '5407167', 'object/mobile/borgle.iff', '0', '0', '0', '0', '30.0658', '-57.7951', '-159.895', '14', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6620', '6', '5407167', 'object/mobile/borgle.iff', '0', '0', '0', '0', '66.4093', '-57.113', '-177.98', '14', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6621', '6', '5407167', 'object/mobile/borgle.iff', '0', '0', '0', '0', '47.0774', '-56.4102', '-181.658', '14', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6622', '6', '5407169', 'object/mobile/great_borgle.iff', '0', '0', '0', '0', '-21.2394', '-65.2114', '-211.051', '14', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6623', '6', '5407169', 'object/mobile/great_borgle.iff', '0', '0', '0', '0', '-4.93405', '-65.8911', '-211.466', '14', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6624', '6', '5407169', 'object/mobile/borgle.iff', '0', '0', '0', '0', '-21.5338', '-64.5125', '-222.383', '14', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6625', '6', '5407169', 'object/mobile/borgle.iff', '0', '0', '0', '0', '0.988663', '-63.6492', '-229.175', '14', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6626', '6', '5407169', 'object/mobile/great_borgle.iff', '0', '0', '0', '0', '-1.33259', '-64.6559', '-240.467', '14', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6627', '6', '5407169', 'object/mobile/borgle.iff', '0', '0', '0', '0', '-21.7696', '-65.6784', '-241.65', '14', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6628', '6', '5407169', 'object/mobile/borgle.iff', '0', '0', '0', '0', '-22.3734', '-63.5838', '-256.725', '14', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6629', '6', '5407169', 'object/mobile/borgle.iff', '0', '0', '0', '0', '-11.9455', '-63.5805', '-260.854', '14', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6630', '6', '5407170', 'object/mobile/great_borgle.iff', '0', '0', '0', '0', '-79.2807', '-99.3106', '-158.089', '14', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6631', '6', '5407173', 'object/mobile/great_borgle.iff', '0', '0', '0', '0', '-78.9131', '-100.982', '-125.446', '14', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6632', '6', '5407173', 'object/mobile/borgle.iff', '0', '0', '0', '0', '-98.9296', '-100.214', '-114.861', '14', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6633', '6', '5407173', 'object/mobile/borgle.iff', '0', '0', '0', '0', '-88.6416', '-100.269', '-94.7218', '14', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6634', '6', '5407173', 'object/mobile/borgle.iff', '0', '0', '0', '0', '-99.8152', '-100.779', '-95.0054', '14', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6635', '6', '5407173', 'object/mobile/borgle.iff', '0', '0', '0', '0', '-91.3736', '-100.159', '-92.5278', '15', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6636', '6', '5095990', 'object/mobile/bark_mite_hatchling.iff', '0', '0', '0', '0', '-10.8242', '-6.63117', '-3.91753', '9', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6637', '6', '5095990', 'object/mobile/bark_mite_hatchling.iff', '0', '0', '0', '0', '-12.7857', '-5.58473', '-10.433', '10', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6638', '6', '5095990', 'object/mobile/bark_mite.iff', '0', '0', '0', '0', '12.7243', '-21.6234', '-10.433', '10', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6639', '6', '5095990', 'object/mobile/bark_mite.iff', '0', '0', '0', '0', '10.4318', '-21.2248', '-7.29796', '12', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6640', '6', '5095990', 'object/mobile/bark_mite.iff', '0', '0', '0', '0', '13.2081', '-22.1498', '-4.83854', '24', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6641', '6', '5095990', 'object/mobile/bark_mite_hatchling.iff', '0', '0', '0', '0', '26.1517', '-26.9209', '-6.86818', '9', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6642', '6', '5095991', 'object/mobile/bark_mite_hatchling.iff', '0', '0', '0', '0', '25.5885', '-39.551', '-41.1103', '10', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6643', '6', '5095991', 'object/mobile/bark_mite.iff', '0', '0', '0', '0', '21.4339', '-39.1994', '-40.7456', '10', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6644', '6', '5095991', 'object/mobile/bark_mite.iff', '0', '0', '0', '0', '19.9182', '-41.5054', '-65.4364', '12', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6645', '6', '5095991', 'object/mobile/bark_mite.iff', '0', '0', '0', '0', '23.2746', '-42.3356', '-65.0135', '24', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6646', '6', '5095991', 'object/mobile/bark_mite_hatchling.iff', '0', '0', '0', '0', '24.6592', '-42.6327', '-67.7593', '9', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6647', '6', '5095991', 'object/mobile/bark_mite_hatchling.iff', '0', '0', '0', '0', '40.7187', '-46.25', '-58.509', '10', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6648', '6', '5095991', 'object/mobile/bark_mite.iff', '0', '0', '0', '0', '40.9718', '-47.3934', '-46.5537', '10', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6649', '6', '5095991', 'object/mobile/bark_mite.iff', '0', '0', '0', '0', '53.9032', '-49.3994', '-53.8984', '12', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6650', '6', '5095991', 'object/mobile/bark_mite.iff', '0', '0', '0', '0', '56.3801', '-48.5071', '-57.0968', '24', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6651', '6', '5095999', 'object/mobile/bark_mite_hatchling.iff', '0', '0', '0', '0', '47.0191', '-51.5958', '-89.7172', '9', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6652', '6', '5095999', 'object/mobile/bark_mite_hatchling.iff', '0', '0', '0', '0', '46.713', '-51.8284', '-86.2531', '10', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6653', '6', '5095999', 'object/mobile/bark_mite.iff', '0', '0', '0', '0', '53.8543', '-50.5329', '-83.5781', '10', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6654', '6', '5095991', 'object/mobile/bark_mite.iff', '0', '0', '0', '0', '57.066', '-48.9315', '-31.0629', '12', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6655', '6', '5095991', 'object/mobile/bark_mite.iff', '0', '0', '0', '0', '41.267', '-46.3876', '-9.75884', '24', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6656', '6', '5095991', 'object/mobile/gnarled_bark_mite_queen.iff', '0', '0', '0', '0', '43.3375', '-47.038', '-7.30223', '16', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6657', '6', '5095991', 'object/mobile/bark_mite_burrower_queen.iff', '0', '0', '0', '0', '49.252', '-47.7483', '-15.7196', '38', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6658', '6', '5095992', 'object/mobile/bark_mite.iff', '0', '0', '0', '0', '80.1673', '-60.9871', '-4.89092', '24', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6659', '6', '5095992', 'object/mobile/bark_mite.iff', '0', '0', '0', '0', '84.5715', '-61.5585', '-9.38575', '24', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6660', '6', '5095992', 'object/mobile/bark_mite.iff', '0', '0', '0', '0', '91.3174', '-61.793', '-13.2502', '12', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6661', '6', '5095992', 'object/mobile/bark_mite.iff', '0', '0', '0', '0', '79.4668', '-63.7333', '-19.9321', '12', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6662', '6', '5095992', 'object/mobile/bark_mite.iff', '0', '0', '0', '0', '93.475', '-63.9741', '-28.5898', '24', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6663', '6', '5095992', 'object/mobile/bark_mite.iff', '0', '0', '0', '0', '62.912', '-69.1187', '-40.4236', '24', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6664', '6', '5095992', 'object/mobile/bark_mite.iff', '0', '0', '0', '0', '62.4511', '-68.4126', '-35.2669', '12', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6665', '6', '5095991', 'object/mobile/bark_mite.iff', '0', '0', '0', '0', '57.6101', '-68.492', '-43.3969', '24', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6666', '6', '5095991', 'object/mobile/bark_mite.iff', '0', '0', '0', '0', '56.6653', '-68.4609', '-42.9931', '12', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6667', '6', '5095991', 'object/mobile/gnarled_bark_mite_queen.iff', '0', '0', '0', '0', '52.2258', '-67.9685', '-36.6841', '16', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6668', '6', '5095993', 'object/mobile/bark_mite.iff', '0', '0', '0', '0', '61.7159', '-75.2103', '-56.9554', '24', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6669', '6', '5095993', 'object/mobile/bark_mite.iff', '0', '0', '0', '0', '88.2402', '-74.6528', '-52.8024', '12', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6670', '6', '5095992', 'object/mobile/bark_mite.iff', '0', '0', '0', '0', '93.0885', '-68.2403', '-41.6487', '24', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6671', '6', '5095993', 'object/mobile/bark_mite.iff', '0', '0', '0', '0', '94.0085', '-75.8932', '-82.5576', '12', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6672', '6', '5095993', 'object/mobile/bark_mite.iff', '0', '0', '0', '0', '88.6188', '-75.9802', '-87.9577', '12', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6673', '6', '5095994', 'object/mobile/bark_mite.iff', '0', '0', '0', '0', '69.1738', '-76.7953', '-95.7274', '12', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6674', '6', '5095993', 'object/mobile/gnarled_bark_mite_queen.iff', '0', '0', '0', '0', '60.379', '-76.0897', '-75.6917', '16', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6675', '6', '5095995', 'object/mobile/bark_mite_burrower_queen.iff', '0', '0', '0', '0', '50.522', '-75.5236', '-85.6924', '38', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6676', '6', '5095995', 'object/mobile/gnarled_bark_mite_queen.iff', '0', '0', '0', '0', '49.5435', '-76.4462', '-93.6285', '16', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6677', '6', '5095995', 'object/mobile/bark_mite.iff', '0', '0', '0', '0', '51.5635', '-71.4649', '-113.209', '12', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6678', '6', '5095995', 'object/mobile/bark_mite.iff', '0', '0', '0', '0', '53.2982', '-72.1936', '-111.443', '12', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6679', '6', '5095995', 'object/mobile/bark_mite.iff', '0', '0', '0', '0', '60.8979', '-65.5548', '-138.124', '12', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6680', '6', '5095995', 'object/mobile/bark_mite.iff', '0', '0', '0', '0', '65.7781', '-65.5635', '-141.206', '12', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6681', '6', '5095996', 'object/mobile/bark_mite.iff', '0', '0', '0', '0', '86.6952', '-66.796', '-142.298', '24', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6682', '6', '5095996', 'object/mobile/bark_mite.iff', '0', '0', '0', '0', '88.4341', '-66.8537', '-141.973', '12', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6683', '6', '5095994', 'object/mobile/gnarled_bark_mite_queen.iff', '0', '0', '0', '0', '97.1783', '-65.8855', '-116.608', '16', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6684', '6', '5095994', 'object/mobile/bark_mite.iff', '0', '0', '0', '0', '94.3063', '-66.0451', '-113.098', '12', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6685', '6', '5095997', 'object/mobile/gnarled_bark_mite_queen.iff', '0', '0', '0', '0', '115.242', '-66.4059', '-127.536', '16', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6686', '6', '5095997', 'object/mobile/bark_mite.iff', '0', '0', '0', '0', '118.188', '-66.7208', '-131.081', '12', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6687', '6', '5095997', 'object/mobile/bark_mite.iff', '0', '0', '0', '0', '127.653', '-66.5475', '-110.478', '12', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6688', '6', '5095997', 'object/mobile/bark_mite.iff', '0', '0', '0', '0', '126.676', '-66.6999', '-105.126', '24', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6689', '6', '5095997', 'object/mobile/gnarled_bark_mite_queen.iff', '0', '0', '0', '0', '111.196', '-67.1054', '-89.0926', '16', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6690', '6', '5095997', 'object/mobile/bark_mite_burrower_queen.iff', '0', '0', '0', '0', '116.833', '-66.895', '-85.7494', '38', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6691', '6', '5095997', 'object/mobile/gnarled_bark_mite_queen.iff', '0', '0', '0', '0', '137.062', '-66.9158', '-86.4624', '16', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6692', '6', '5095997', 'object/mobile/bark_mite.iff', '0', '0', '0', '0', '144.762', '-66.4989', '-89.8975', '12', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6693', '6', '5095997', 'object/mobile/bark_mite.iff', '0', '0', '0', '0', '143.315', '-66.0362', '-101.256', '24', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6694', '6', '5095997', 'object/mobile/bark_mite.iff', '0', '0', '0', '0', '136.954', '-66.0574', '-114.489', '12', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6695', '6', '5095997', 'object/mobile/bark_mite.iff', '0', '0', '0', '0', '127.917', '-66.8498', '-127.602', '12', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6696', '6', '5095997', 'object/mobile/gnarled_bark_mite_queen.iff', '0', '0', '0', '0', '129.637', '-66.4736', '-130.488', '16', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6697', '6', '5095997', 'object/mobile/bark_mite.iff', '0', '0', '0', '0', '134.474', '-66.8494', '-124.671', '12', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6698', '6', '5095997', 'object/mobile/bark_mite.iff', '0', '0', '0', '0', '149.898', '-66.1225', '-129.943', '24', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6699', '6', '5095997', 'object/mobile/bark_mite.iff', '0', '0', '0', '0', '156.107', '-65.2657', '-125.204', '12', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6700', '6', '5095998', 'object/mobile/gnarled_bark_mite_queen.iff', '0', '0', '0', '0', '165.466', '-67.0331', '-94.7812', '16', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6701', '6', '5095998', 'object/mobile/gnarled_bark_mite_queen.iff', '0', '0', '0', '0', '167.399', '-66.5666', '-97.4421', '16', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6702', '6', '5095998', 'object/mobile/gnarled_bark_mite_queen.iff', '0', '0', '0', '0', '166.303', '-66.6452', '-99.9661', '16', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6703', '6', '5095998', 'object/mobile/gnarled_bark_mite_queen.iff', '0', '0', '0', '0', '177.201', '-66.2549', '-100.266', '16', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6704', '6', '5095998', 'object/mobile/bark_mite_burrower_queen.iff', '0', '0', '0', '0', '176.912', '-66.0568', '-94.7239', '38', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6705', '6', '5095998', 'object/mobile/bark_mite.iff', '0', '0', '0', '0', '178.466', '-66.0385', '-96.1991', '24', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6706', '6', '5095998', 'object/mobile/bark_mite_burrower_queen.iff', '0', '0', '0', '0', '185.764', '-65.6899', '-94.8379', '38', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6707', '6', '5095998', 'object/mobile/gnarled_bark_mite_queen.iff', '0', '0', '0', '0', '188.931', '-66.0245', '-96.9927', '16', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6708', '6', '5095998', 'object/mobile/bark_mite_burrower_queen.iff', '0', '0', '0', '0', '190.749', '-66.5864', '-103.953', '38', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6709', '6', '5095998', 'object/mobile/gnarled_bark_mite_queen.iff', '0', '0', '0', '0', '187.243', '-65.8609', '-104.103', '16', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6710', '6', '5095998', 'object/mobile/bark_mite.iff', '0', '0', '0', '0', '186.371', '-65.824', '-103.702', '24', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6711', '6', '5095994', 'object/mobile/gnarled_bark_mite_queen.iff', '0', '0', '0', '0', '76.9895', '-46.8485', '-105.195', '16', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6712', '6', '5095994', 'object/mobile/gnarled_bark_mite_queen.iff', '0', '0', '0', '0', '77.1734', '-46.6679', '-106.486', '16', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6713', '6', '5095994', 'object/mobile/bark_mite.iff', '0', '0', '0', '0', '90.5894', '-47.0628', '-98.126', '12', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6714', '6', '5095994', 'object/mobile/bark_mite.iff', '0', '0', '0', '0', '96.2621', '-46.1194', '-108.456', '24', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6715', '6', '5095994', 'object/mobile/bark_mite.iff', '0', '0', '0', '0', '85.1033', '-45.9412', '-119.031', '24', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6716', '6', '5096000', 'object/mobile/gnarled_bark_mite_queen.iff', '0', '0', '0', '0', '89.3802', '-45.4454', '-125.531', '16', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6717', '6', '5096000', 'object/mobile/bark_mite_burrower_queen.iff', '0', '0', '0', '0', '95.3861', '-46.3524', '-127.124', '38', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6718', '6', '5096000', 'object/mobile/bark_mite.iff', '0', '0', '0', '0', '88.665', '-47.2213', '-138.897', '24', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6719', '6', '5096000', 'object/mobile/bark_mite.iff', '0', '0', '0', '0', '93.2435', '-46.3073', '-147.562', '24', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6720', '6', '5096000', 'object/mobile/bark_mite_burrower_queen.iff', '0', '0', '0', '0', '84.7344', '-46.4732', '-138.611', '38', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6721', '6', '5096000', 'object/mobile/gnarled_bark_mite_queen.iff', '0', '0', '0', '0', '80.2509', '-46.5009', '-143.606', '16', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6722', '6', '5096000', 'object/mobile/bark_mite_burrower_queen.iff', '0', '0', '0', '0', '83.4881', '-46.4235', '-148.172', '38', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6723', '6', '6055630', 'object/mobile/dressed_cobral_thug_rodian_female_01.iff', '0', '0', '0', '0', '0.748601', '0.25', '2.54716', '12', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6724', '6', '6055630', 'object/mobile/dressed_cobral_thug_rodian_female_01.iff', '0', '0', '0', '0', '-0.549952', '0.25', '2.75751', '12', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6725', '6', '6055630', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '-4.27735', '0.25', '4.25', '13', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6726', '6', '6055630', 'object/mobile/dressed_cobral_thug_rodian_female_01.iff', '0', '0', '0', '0', '-4.27735', '0.25', '4.25', '12', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6727', '6', '6055631', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '4.2791', '0.25', '-4.10779', '13', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6728', '6', '6055632', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '3.78834', '-3.25', '3.79367', '13', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6729', '6', '6055632', 'object/mobile/dressed_cobral_runner_trandoshan_female_01.iff', '0', '0', '0', '0', '-3.89288', '-6.75', '4.96134', '15', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6730', '6', '6055633', 'object/mobile/dressed_cobral_thief_human_female_01.iff', '0', '0', '0', '0', '-4.40971', '-8.72955', '-2.33423', '13', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6731', '6', '6055633', 'object/mobile/dressed_cobral_runner_trandoshan_female_01.iff', '0', '0', '0', '0', '4.28269', '-13.75', '-6.86785', '15', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6732', '6', '6055634', 'object/mobile/dressed_cobral_runner_trandoshan_female_01.iff', '0', '0', '0', '0', '2.62533', '-13.75', '2.68078', '15', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6733', '6', '6055634', 'object/mobile/dressed_cobral_overlord_human_female_01.iff', '0', '0', '0', '0', '4.37249', '-13.75', '2.63778', '33', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6734', '6', '6055635', 'object/mobile/dressed_cobral_boss_twk_female_01.iff', '0', '0', '0', '0', '4.82352', '-13.75', '6.33587', '30', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6735', '6', '6055635', 'object/mobile/dressed_cobral_assassin_twk_female_01.iff', '0', '0', '0', '0', '5.9138', '-13.75', '4.52945', '25', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6736', '6', '6055635', 'object/mobile/dressed_cobral_hitman_human_female_01.iff', '0', '0', '0', '0', '3.8778', '-13.75', '9.33114', '21', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6737', '6', '6055635', 'object/mobile/dressed_cobral_bandit_bith_female_01.iff', '0', '0', '0', '0', '0.90439', '-13.75', '5.27877', '20', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6738', '6', '6055635', 'object/mobile/dressed_cobral_bandit_bith_female_01.iff', '0', '0', '0', '0', '-1.75544', '-13.75', '5.46225', '20', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6739', '6', '6055635', 'object/mobile/dressed_cobral_assassin_twk_female_01.iff', '0', '0', '0', '0', '-3.99802', '-13.75', '5.69414', '25', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6740', '6', '6055635', 'object/mobile/dressed_cobral_assassin_twk_female_01.iff', '0', '0', '0', '0', '-4.33632', '-13.75', '7.17239', '25', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6741', '6', '6055635', 'object/mobile/dressed_cobral_hitman_human_female_01.iff', '0', '0', '0', '0', '-1.69789', '-13.75', '9.9937', '21', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6742', '6', '6055635', 'object/mobile/dressed_cobral_hitman_human_female_01.iff', '0', '0', '0', '0', '1.33318', '-13.75', '9.61619', '21', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6743', '6', '6055635', 'object/mobile/dressed_cobral_overlord_human_female_01.iff', '0', '0', '0', '0', '-10.3486', '-13.75', '6.66086', '33', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6744', '6', '6055636', 'object/mobile/dressed_cobral_runner_trandoshan_female_01.iff', '0', '0', '0', '0', '-6.64886', '-17.25', '-4.37908', '15', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6745', '6', '6055636', 'object/mobile/dressed_cobral_runner_trandoshan_female_01.iff', '0', '0', '0', '0', '2.41675', '-20.75', '-4.27091', '15', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6746', '6', '6055637', 'object/mobile/dressed_cobral_overlord_human_female_01.iff', '0', '0', '0', '0', '-1.80217', '-20.7332', '5.15434', '33', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6747', '6', '6055637', 'object/mobile/dressed_cobral_boss_twk_female_01.iff', '0', '0', '0', '0', '4.90844', '-20.7332', '2.87088', '30', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6748', '6', '6055637', 'object/mobile/dressed_cobral_assassin_twk_female_01.iff', '0', '0', '0', '0', '1.27422', '-20.7332', '4.27634', '25', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6749', '6', '6055637', 'object/mobile/dressed_cobral_bandit_bith_female_01.iff', '0', '0', '0', '0', '-1.1631', '-20.7332', '10.5056', '20', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6750', '6', '6055637', 'object/mobile/dressed_cobral_hitman_human_female_01.iff', '0', '0', '0', '0', '3.9278', '-20.7332', '9.36443', '21', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6751', '6', '6055638', 'object/mobile/dressed_cobral_overlord_human_female_01.iff', '0', '0', '0', '0', '1.57337', '-20.75', '31.5853', '33', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6752', '6', '6055638', 'object/mobile/dressed_cobral_boss_twk_female_01.iff', '0', '0', '0', '0', '-1.20985', '-20.75', '32.8973', '30', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6753', '6', '6055638', 'object/mobile/dressed_cobral_boss_twk_female_01.iff', '0', '0', '0', '0', '4.49099', '-20.75', '32.9952', '30', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6754', '6', '6055638', 'object/mobile/dressed_cobral_boss_twk_female_01.iff', '0', '0', '0', '0', '5.46169', '-20.75', '24.8122', '30', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6755', '6', '6055638', 'object/mobile/dressed_cobral_boss_twk_female_01.iff', '0', '0', '0', '0', '-3.30541', '-20.75', '25.4025', '30', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6756', '6', '6055638', 'object/mobile/dressed_cobral_hitman_human_female_01.iff', '0', '0', '0', '0', '-1.84216', '-20.75', '15.2382', '21', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6757', '6', '6055638', 'object/mobile/dressed_cobral_hitman_human_female_01.iff', '0', '0', '0', '0', '4.39767', '-20.75', '15.3512', '21', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6758', '6', '6055638', 'object/mobile/dressed_cobral_assassin_twk_female_01.iff', '0', '0', '0', '0', '-2.81001', '-20.75', '29.7861', '25', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6759', '6', '6055638', 'object/mobile/dressed_cobral_assassin_twk_female_01.iff', '0', '0', '0', '0', '6.39964', '-20.75', '29.3651', '25', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6760', '6', '479723', 'object/mobile/dressed_kobola_guard_trandoshan_female_01.iff', '0', '0', '0', '0', '-3.73463', '-10.9139', '-8.27462', '12', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6761', '6', '479723', 'object/mobile/dressed_kobola_guard_trandoshan_female_01.iff', '0', '0', '0', '0', '0.0431311', '-13.0394', '-7.75389', '12', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6762', '6', '479723', 'object/mobile/dressed_kobola_guard_trandoshan_female_01.iff', '0', '0', '0', '0', '12.5994', '-22.3172', '-6.79687', '12', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6763', '6', '479723', 'object/mobile/dressed_kobola_guard_trandoshan_female_01.iff', '0', '0', '0', '0', '12.5994', '-22.3172', '-6.79683', '12', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6764', '6', '479723', 'object/mobile/dressed_kobola_guard_trandoshan_female_01.iff', '0', '0', '0', '0', '25.1822', '-27.9221', '-9.10301', '12', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6765', '6', '479723', 'object/mobile/dressed_kobola_assassin_zabrak_male_01.iff', '0', '0', '0', '0', '21.8576', '-27.6497', '-8.98172', '18', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6766', '6', '479723', 'object/mobile/dressed_kobola_assassin_zabrak_male_01.iff', '0', '0', '0', '0', '19.9643', '-26.742', '-7.36223', '18', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6767', '6', '479723', 'object/mobile/dressed_kobola_assassin_zabrak_male_01.iff', '0', '0', '0', '0', '10.4872', '-21.2806', '-6.9944', '18', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6768', '6', '479723', 'object/mobile/dressed_kobola_assassin_zabrak_male_01.iff', '0', '0', '0', '0', '-1.34794', '-12.1735', '-8.23122', '18', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6769', '6', '479723', 'object/mobile/dressed_kobola_assassin_zabrak_male_01.iff', '0', '0', '0', '0', '-8.31993', '-8.06668', '-7.17227', '18', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6770', '6', '479723', 'object/mobile/dressed_kobola_assassin_zabrak_male_01.iff', '0', '0', '0', '0', '-16.4491', '-4.09887', '-5.41424', '18', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6771', '6', '479723', 'object/mobile/dressed_kobola_assassin_zabrak_male_01.iff', '0', '0', '0', '0', '-15.1195', '-4.15835', '-3.60382', '18', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6772', '6', '479723', 'object/mobile/dressed_kobola_assassin_zabrak_male_01.iff', '0', '0', '0', '0', '-8.36003', '-8.02228', '-7.50254', '18', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6773', '6', '479723', 'object/mobile/dressed_kobola_assassin_zabrak_male_01.iff', '0', '0', '0', '0', '3.76133', '-15.3262', '-10.4382', '18', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6774', '6', '0', 'object/mobile/bark_mite_hatchling.iff', '0', '0', '0', '0', '0', '0', '0', '9', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6775', '6', '0', 'object/mobile/bark_mite_hatchling.iff', '0', '0', '0', '0', '0', '0', '0', '10', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6776', '6', '0', 'object/mobile/bark_mite.iff', '0', '0', '0', '0', '0', '0', '0', '10', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6777', '6', '0', 'object/mobile/bark_mite.iff', '0', '0', '0', '0', '0', '0', '0', '12', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6778', '6', '0', 'object/mobile/bark_mite.iff', '0', '0', '0', '0', '0', '0', '0', '24', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6779', '6', '0', 'object/mobile/gnarled_bark_mite_queen.iff', '0', '0', '0', '0', '0', '0', '0', '16', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6780', '6', '0', 'object/mobile/bark_mite_burrower_queen.iff', '0', '0', '0', '0', '0', '0', '0', '38', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6781', '7', '0', 'object/mobile/dressed_criminal_thug_human_female_01.iff', '0', '0.646503', '0', '0.762911', '206.594', '6', '-2867.81', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6782', '7', '0', 'object/mobile/dressed_crook_zabrak_male_01.iff', '0', '0.749753', '0', '0.661717', '209.627', '6', '-2864.86', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6783', '7', '0', 'object/mobile/dressed_commoner_naboo_bothan_male_02.iff', '0', '0.213592', '0', '0.976923', '154.399', '6', '-2932.81', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6784', '7', '0', 'object/mobile/dressed_commoner_naboo_twilek_female_01.iff', '0', '0.987852', '0', '0.155399', '161.414', '6', '-2868.57', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6785', '7', '0', 'object/mobile/dressed_commoner_old_human_male_02.iff', '0', '0.984567', '0', '-0.175008', '197.748', '6', '-3065.09', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6786', '7', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_06.iff', '0', '0.92633', '0', '-0.376714', '172.678', '6', '-3031.56', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6787', '7', '0', 'object/mobile/dressed_criminal_thug_bothan_female_01.iff', '0', '0.59322', '0', '0.80504', '155.187', '6', '-3032.21', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6788', '7', '0', 'object/mobile/dressed_commoner_fat_zabrak_male_02.iff', '0', '0.80659', '0', '0.591111', '168.921', '6', '-2923.67', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6789', '7', '3175364', 'object/mobile/dressed_noble_old_human_male_02.iff', '-3.25118e-07', '8.64092e-06', '2.80932e-12', '1', '-61.2565', '2.63942', '40.4022', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6790', '7', '3175364', 'object/mobile/dressed_commoner_fat_twilek_female_02.iff', '1.50199e-12', '1', '-2.16742e-07', '6.92985e-06', '-61.2565', '2.63942', '41.5022', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6791', '7', '3175364', 'object/mobile/dressed_commoner_fat_zabrak_male_01.iff', '2.9325e-08', '0.923879', '-7.07967e-08', '0.382684', '-62.3565', '2.63942', '41.5022', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6792', '7', '3175361', 'object/mobile/dressed_commoner_tatooine_nikto_male_01.iff', '-1.08373e-07', '-8.70192e-06', '-9.43053e-13', '1', '-32.0259', '1.63942', '61.8678', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6793', '7', '3175361', 'object/mobile/dressed_commoner_tatooine_aqualish_female_07.iff', '9.41311e-13', '1', '1.08371e-07', '-8.68603e-06', '-32.0259', '1.63942', '62.9678', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6794', '7', '3175359', 'object/mobile/dressed_noble_fat_zabrak_male_01.iff', '1.62559e-07', '2.60134e-05', '-4.22871e-12', '1', '46.4105', '0.639418', '45.0009', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6795', '7', '3175359', 'object/mobile/dressed_mercenary_weak_hum_m.iff', '-2.63267e-12', '1', '1.08371e-07', '2.42931e-05', '46.4105', '0.639418', '46.1009', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6796', '7', '3175359', 'object/mobile/dressed_rebel_trooper_twk_male_01.iff', '-1.31963e-07', '0.923876', '3.18578e-07', '0.382692', '45.3105', '0.639417', '46.1009', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6797', '7', '3175356', 'object/mobile/dressed_criminal_thug_aqualish_female_02.iff', '-8.12806e-08', '-9.70888e-06', '-7.89143e-13', '1', '0.904988', '0.639421', '54.983', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6798', '7', '3175356', 'object/mobile/dressed_commoner_fat_twilek_male_02.iff', '6.12347e-13', '1', '5.4185e-08', '-1.1301e-05', '0.904988', '0.639421', '56.083', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6799', '7', '3175356', 'object/mobile/dressed_commoner_tatooine_nikto_male_02.iff', '-1.46493e-08', '0.924669', '3.55744e-08', '0.380773', '-0.186001', '0.639421', '56.083', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6800', '7', '3175356', 'object/mobile/dressed_commoner_tatooine_aqualish_female_01.iff', '-8.94087e-08', '3.79093e-05', '3.38958e-12', '1', '-1.32019', '0.639422', '59.6488', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6801', '7', '3175356', 'object/mobile/dressed_commoner_naboo_zabrak_male_02.iff', '-3.24845e-12', '1', '8.94053e-08', '3.62985e-05', '-1.32019', '0.639422', '60.6488', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6802', '7', '3175366', 'object/mobile/space_chassis_broker_03.iff', '0', '0.370921', '0', '0.928665', '-56.7086', '0.974563', '8.24108', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6803', '7', '0', 'object/mobile/dressed_commoner_naboo_twilek_male_01.iff', '0', '0.888368', '0', '-0.459133', '212.011', '6', '-2937.69', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6804', '7', '0', 'object/mobile/dressed_commoner_tatooine_bith_female_01.iff', '0', '0.83943', '0', '-0.543468', '204.603', '6', '-2849.75', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6805', '7', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_01.iff', '0', '0.732701', '0', '0.68055', '290.803', '6', '-3074.21', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6806', '7', '0', 'object/mobile/dressed_commoner_old_human_male_02.iff', '0', '0.982867', '0', '-0.184315', '237.39', '6', '-3077.78', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6807', '7', '0', 'object/mobile/dressed_robber_twk_female_01.iff', '0', '0.735755', '0', '-0.677248', '287.007', '6', '-3055.6', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6808', '7', '0', 'object/mobile/dressed_commoner_tatooine_ishitib_male_01.iff', '0', '-0.53236', '0', '0.846518', '212.446', '6', '-2833.26', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6809', '7', '0', 'object/mobile/dressed_commoner_naboo_twilek_female_01.iff', '0', '0.391757', '0', '0.920069', '330.621', '6', '-2942.68', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6810', '7', '0', 'object/mobile/dressed_commoner_old_human_female_02.iff', '0', '0.932157', '0', '-0.362055', '319.448', '6', '-3001.55', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6811', '7', '0', 'object/mobile/dressed_commoner_tatooine_sullustan_male_02.iff', '0', '0.908093', '0', '-0.418769', '300.998', '6', '-2834.76', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6812', '7', '0', 'object/mobile/dressed_fed_dub_constable_twk_male_01.iff', '0', '0.83394', '0', '0.551855', '138.639', '6', '-2978.95', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6813', '7', '0', 'object/mobile/dressed_criminal_thug_aqualish_male_02.iff', '0', '0.994236', '0', '-0.107215', '157.214', '6', '-3017.76', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6814', '7', '0', 'object/mobile/dressed_criminal_thug_human_male_01.iff', '0', '0.933002', '0', '0.35987', '208.321', '6', '-2860.96', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6815', '7', '0', 'object/mobile/dressed_hoodlum_zabrak_female_01.iff', '0', '0.904556', '0', '0.426354', '202.575', '6', '-2860.48', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6816', '7', '0', 'object/mobile/dressed_criminal_thug_human_female_01.iff', '0', '-0.38552', '0', '0.9227', '163.779', '6', '-3016.95', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6817', '7', '0', 'object/mobile/dressed_goon_twk_female_01.iff', '0', '0.0191444', '0', '0.999817', '161.606', '6', '-3007.52', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6818', '7', '0', 'object/mobile/dressed_fed_dub_investigator_twk_female_01.iff', '0', '-0.695334', '0', '0.718687', '376.803', '6', '-2923.73', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6819', '7', '0', 'object/mobile/dressed_fed_dub_patrolman_human_female_01.iff', '0', '0.720629', '0', '-0.69332', '377.805', '6', '-2923.72', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6820', '7', '0', 'object/mobile/dressed_commoner_naboo_human_female_02.iff', '0', '-0.573366', '0', '0.819299', '127.295', '6', '-2995.11', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6821', '7', '0', 'object/mobile/dressed_commoner_tatooine_trandoshan_female_03.iff', '0', '-0.594976', '0', '0.803743', '353.709', '6', '-3051.79', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6822', '7', '0', 'object/mobile/dressed_fed_dub_investigator_twk_male_01.iff', '0', '-0.353278', '0', '0.935518', '201.875', '6', '-3099.77', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6823', '7', '0', 'object/mobile/dressed_fed_dub_captain_twk_male_01.iff', '0', '-0.354373', '0', '0.935104', '286.373', '6', '-3106.64', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6824', '7', '0', 'object/mobile/dressed_fed_dub_patrolman_human_male_01.iff', '0', '0.94466', '0', '-0.32805', '287.244', '6', '-3107.62', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6825', '7', '0', 'object/mobile/dressed_fed_dub_patrolman_human_female_01.iff', '0', '-0.0029342', '0', '0.999996', '202.727', '6', '-3099.79', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6826', '7', '0', 'object/mobile/dressed_commoner_fat_twilek_male_01.iff', '0', '0.719807', '0', '0.694174', '323.855', '6', '-3097.77', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6827', '7', '0', 'object/mobile/dressed_fed_dub_patrolman_human_female_01.iff', '0', '-0.672211', '0', '0.74036', '201.955', '6', '-3099.92', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6828', '7', '0', 'object/mobile/dressed_fed_dub_constable_twk_female_01.iff', '0', '1', '0', '5.54429e-05', '283.709', '6', '-3109.68', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6829', '7', '0', 'object/mobile/dressed_commoner_tatooine_sullustan_male_02.iff', '0', '0.891765', '0', '0.452499', '371.949', '6', '-3059.95', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6830', '7', '0', 'object/mobile/dressed_commoner_tatooine_sullustan_male_03.iff', '0', '0.732286', '0', '-0.680997', '397.992', '6', '-2971.09', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6831', '7', '0', 'object/mobile/dressed_commoner_tatooine_bith_female_02.iff', '0', '0.800875', '0', '0.598831', '386.941', '6', '-3047.4', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6832', '7', '0', 'object/mobile/dressed_noble_twilek_male_01.iff', '0', '0.0906944', '0', '0.995879', '367.974', '6', '-2892.77', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6833', '7', '0', 'object/mobile/dressed_commoner_fat_zabrak_male_01.iff', '0', '0.983754', '0', '-0.179525', '420.006', '6', '-2986.86', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6834', '7', '0', 'object/mobile/dressed_commoner_tatooine_bith_male_04.iff', '0', '-0.286672', '0', '0.958029', '394.154', '6', '-2881.56', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6835', '7', '0', 'object/mobile/r5.iff', '0', '0.968403', '0', '-0.24939', '411.254', '6', '-2862.25', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6836', '7', '0', 'object/mobile/r5.iff', '0', '-0.418501', '0', '0.908216', '407.095', '6', '-3036.31', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6837', '7', '0', 'object/mobile/dressed_hutt_medic2_twilek_male_01.iff', '0', '0.799504', '0', '0.600661', '426.774', '6', '-2863.5', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6838', '7', '0', 'object/mobile/dressed_commoner_tatooine_rodian_female_04.iff', '0', '0.992177', '0', '0.12484', '414.592', '6', '-3050.06', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6839', '7', '0', 'object/mobile/dressed_rebel_scout_bothan_male_01.iff', '0', '0.994661', '0', '0.103197', '433.151', '6', '-3040.97', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6840', '7', '0', 'object/mobile/dressed_commoner_naboo_twilek_male_02.iff', '0', '0.851892', '0', '0.523718', '363.643', '6', '-3101.79', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6841', '7', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_04.iff', '0', '-0.447522', '0', '0.894273', '401.557', '6', '-3077.13', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6842', '7', '0', 'object/mobile/dressed_fed_dub_patrolman_human_female_01.iff', '0', '0.999356', '0', '-0.035886', '287.824', '6', '-3136.86', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6843', '7', '0', 'object/mobile/dressed_fed_dub_patrolman_human_female_01.iff', '0', '0.999356', '0', '-0.035871', '287.917', '6', '-3135.55', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6844', '7', '0', 'object/mobile/dressed_commoner_tatooine_devaronian_male_04.iff', '0', '-0.290627', '0', '0.956836', '149.764', '6', '-3061.44', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6845', '7', '0', 'object/mobile/dressed_commoner_old_zabrak_male_02.iff', '0', '0.624099', '0', '0.781345', '147.109', '6', '-3073.94', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6846', '7', '0', 'object/mobile/dressed_goon_twk_male_01.iff', '0', '-0.473511', '0', '0.880788', '146.762', '6', '-3066.09', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6847', '7', '0', 'object/mobile/dressed_fed_dub_patrolman_human_female_01.iff', '0', '0.922302', '0', '0.386469', '144.101', '6', '-3098.21', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6848', '7', '0', 'object/mobile/dressed_commoner_old_twilek_female_01.iff', '0', '-0.656858', '0', '0.754014', '133.107', '6', '-3092.87', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6849', '7', '0', 'object/mobile/dressed_commoner_naboo_human_male_06.iff', '0', '0.89216', '0', '0.45172', '163.969', '6', '-2835.69', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6850', '7', '0', 'object/mobile/dressed_criminal_thug_rodian_female_01.iff', '0', '0.824079', '0', '0.566475', '104.55', '8.6077', '-3206.75', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6851', '7', '0', 'object/mobile/dressed_criminal_thug_aqualish_female_01.iff', '0', '0.137115', '0', '0.990555', '113.876', '7.06433', '-3197.58', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6852', '7', '0', 'object/mobile/dressed_crook_zabrak_female_01.iff', '0', '0.89872', '0', '-0.438522', '101.846', '9.18787', '-3210.97', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6853', '7', '0', 'object/mobile/dressed_commoner_fat_human_male_01.iff', '0', '0.780215', '0', '0.625511', '315.145', '6', '-3159.78', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6854', '7', '0', 'object/mobile/dressed_commoner_old_zabrak_male_01.iff', '0', '0.818978', '0', '0.573825', '319.846', '6', '-3145.97', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6855', '7', '0', 'object/mobile/dressed_fed_dub_constable_twk_male_01.iff', '0', '0.99281', '0', '-0.1197', '320.385', '6', '-3143.94', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6856', '7', '0', 'object/mobile/dressed_commoner_naboo_twilek_male_02.iff', '0', '0.999606', '0', '-0.0280567', '367.172', '6', '-3173.12', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6857', '7', '0', 'object/mobile/dressed_commoner_old_zabrak_male_01.iff', '0', '0.721447', '0', '0.692469', '414.639', '6', '-3135.51', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6858', '7', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_05.iff', '0', '-0.166908', '0', '0.985973', '446.566', '6', '-3185.1', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6859', '7', '0', 'object/mobile/dressed_commoner_tatooine_sullustan_male_03.iff', '0', '0.979033', '0', '-0.203699', '441.088', '6', '-3236.19', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6860', '7', '0', 'object/mobile/dressed_commoner_tatooine_sullustan_male_03.iff', '0', '0.824156', '0', '-0.566363', '446.267', '6', '-3130.33', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6861', '7', '0', 'object/mobile/dressed_commoner_tatooine_bith_male_05.iff', '0', '0.824336', '0', '-0.566101', '410.654', '6', '-3168.66', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6862', '7', '0', 'object/mobile/dressed_commoner_naboo_human_male_03.iff', '0', '0.768441', '0', '-0.639921', '465.773', '6', '-3227.29', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6863', '7', '0', 'object/mobile/dressed_robber_human_female_01.iff', '0', '0.938521', '0', '-0.345223', '470.01', '6', '-3222.85', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6864', '7', '0', 'object/mobile/dressed_mugger.iff', '0', '0.918723', '0', '-0.394903', '461.59', '6', '-3112.56', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6865', '7', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_04.iff', '0', '0.251997', '0', '0.967728', '461.645', '6', '-3102.23', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6866', '7', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_02.iff', '0', '0.302253', '0', '0.953228', '485.667', '6', '-3155.15', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6867', '7', '0', 'object/mobile/dressed_commoner_old_human_female_02.iff', '0', '-0.13791', '0', '0.990445', '502.633', '6', '-3188.62', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6868', '7', '0', 'object/mobile/dressed_fed_dub_investigator_twk_male_01.iff', '0', '1', '0', '-2.16503e-06', '390.328', '6', '-3184.14', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6869', '7', '0', 'object/mobile/r3.iff', '0', '0.999845', '0', '-0.0175901', '459.915', '6', '-3089.68', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6870', '7', '0', 'object/mobile/dressed_fed_dub_constable_twk_female_01.iff', '0', '-0.0240551', '0', '0.999711', '498.493', '6', '-3193.05', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6871', '7', '0', 'object/mobile/r3.iff', '0', '-0.707048', '0', '0.707169', '457.915', '6', '-3090.68', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6872', '7', '0', 'object/mobile/dressed_villain_trandoshan_male_01.iff', '0', '0.410356', '0', '0.911925', '470.59', '6', '-3110.56', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6873', '7', '0', 'object/mobile/dressed_robber_twk_female_01.iff', '0', '0.9282', '0', '-0.372082', '471.59', '6', '-3106.56', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6874', '7', '0', 'object/mobile/dressed_commoner_naboo_human_female_06.iff', '0', '-0.124886', '0', '0.992171', '496.362', '6', '-3235.3', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6875', '7', '0', 'object/mobile/dressed_commoner_fat_twilek_female_01.iff', '0', '-0.150746', '0', '0.988573', '490.398', '6', '-3116.09', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6876', '7', '0', 'object/mobile/dressed_commoner_naboo_human_male_02.iff', '0', '0.998567', '0', '-0.0535129', '428.685', '6', '-3062.96', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6877', '7', '0', 'object/mobile/dressed_fed_dub_constable_twk_female_01.iff', '0', '0.97099', '0', '0.239119', '517.11', '6.6', '-3170.96', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6878', '7', '0', 'object/mobile/dressed_fed_dub_patrolman_human_female_01.iff', '0', '0.957384', '0', '0.288819', '532.708', '6', '-3196.64', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6879', '7', '0', 'object/mobile/dressed_fed_dub_constable_twk_male_01.iff', '0', '0.679093', '0', '0.734052', '539.025', '6', '-3196.6', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6880', '7', '0', 'object/mobile/dressed_fed_dub_constable_twk_female_01.iff', '0', '0.846431', '0', '0.532499', '539.016', '6', '-3202.96', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6881', '7', '0', 'object/mobile/dressed_commoner_naboo_twilek_male_01.iff', '0', '0.744416', '0', '0.667717', '577.79', '6', '-3188.06', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6882', '7', '0', 'object/mobile/dressed_fed_dub_patrolman_human_female_01.iff', '0', '-0.696691', '0', '0.717371', '583.457', '6', '-3193.68', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6883', '7', '0', 'object/mobile/dressed_fed_dub_patrolman_human_male_01.iff', '0', '0.679068', '0', '0.734076', '635.941', '6', '-3182.18', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6884', '7', '0', 'object/mobile/dressed_commoner_naboo_zabrak_female_02.iff', '0', '0.908475', '0', '-0.417939', '591.985', '6', '-3160.63', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6885', '7', '0', 'object/mobile/dressed_noble_old_human_female_02.iff', '0', '0.741782', '0', '0.670641', '498.882', '6', '-3108.57', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6886', '7', '3175572', 'object/mobile/dressed_noble_rodian_female_01.iff', '0', '0.731354', '0', '-0.681998', '19.26', '2.12847', '56.13', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6887', '7', '3175572', 'object/mobile/dressed_entertainer_trainer_twk_female_01.iff', '0', '0.0348995', '0', '0.999391', '21.99', '2.12804', '64.05', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6888', '7', '3175571', 'object/mobile/dressed_noble_old_twk_female_01.iff', '0', '0.93358', '0', '-0.358368', '28.93', '2.12878', '58.19', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6889', '7', '3175570', 'object/mobile/dressed_rebel_trooper_twk_male_01.iff', '2.16759e-07', '-1.07436e-06', '2.32878e-13', '1', '-2.83063', '2.6', '8.78899', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6890', '7', '3175570', 'object/mobile/dressed_commoner_naboo_human_female_07.iff', '-2.369e-13', '1', '-2.16758e-07', '-1.09292e-06', '-2.83063', '2.6', '9.88899', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6891', '7', '3175573', 'object/mobile/dressed_mourno_draver.iff', '0', '0.526353', '0', '0.850266', '-21.1088', '2.12878', '74.7211', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6892', '7', '3175573', 'object/mobile/space_rebel_tier4_extok_evin.iff', '0', '0.636537', '0', '0.771246', '-23.693', '2.12878', '73.4441', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6893', '7', '0', 'object/mobile/dressed_commoner_naboo_human_male_02.iff', '0', '0.958649', '0', '0.28459', '628.7', '6', '-3182.04', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6894', '7', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_03.iff', '0', '0.312136', '0', '0.950038', '583.781', '6', '-3122.28', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6895', '7', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_06.iff', '0', '0.960855', '0', '0.277051', '486.25', '6', '-3086.37', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6896', '7', '0', 'object/mobile/dressed_commoner_fat_human_male_02.iff', '0', '-0.515049', '0', '0.857161', '595.655', '6', '-3108.96', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6897', '7', '0', 'object/mobile/dressed_commoner_naboo_human_male_07.iff', '0', '0.682186', '0', '0.731179', '616.017', '6', '-3121.62', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6898', '7', '0', 'object/mobile/dressed_commoner_naboo_human_male_02.iff', '0', '-0.661584', '0', '0.749871', '590.621', '6', '-3084.82', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6899', '7', '0', 'object/mobile/dressed_commoner_naboo_human_female_06.iff', '0', '0.970386', '0', '-0.241559', '618.663', '6', '-3101.85', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6900', '7', '6255473', 'object/mobile/dressed_noble_human_male_04.iff', '0', '0.807208', '0', '0.590267', '22.4751', '3.22324', '19.4502', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6901', '7', '6255472', 'object/mobile/dressed_commoner_old_human_female_02.iff', '0', '0.806949', '0', '-0.590621', '-18.8153', '3.22324', '21.6509', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6902', '7', '6255471', 'object/mobile/dressed_hagrin_zeed.iff', '0', '-0.0284413', '0', '0.999595', '-35.3278', '1.29422', '-2.33246', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6903', '7', '6255467', 'object/mobile/dressed_commoner_tatooine_rodian_male_02.iff', '-4.0643e-08', '-5.6604e-06', '-2.30056e-13', '1', '9.32783', '0.3', '-1.6959', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6904', '7', '6255467', 'object/mobile/dressed_eisley_officer_bothan_female_01.iff', '4.74371e-13', '1', '4.06394e-08', '-1.16727e-05', '9.32783', '0.3', '-0.595898', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6905', '7', '6255467', 'object/mobile/dressed_commoner_tatooine_nikto_male_07.iff', '-1.09969e-08', '0.923882', '2.65494e-08', '0.382678', '8.22783', '0.3', '-0.595898', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6906', '7', '6255466', 'object/mobile/dressed_haline_snowline.iff', '0', '0.841105', '0', '-0.540872', '-0.837967', '3.11758', '21.9704', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6907', '7', '0', 'object/mobile/dressed_commoner_fat_human_male_02.iff', '0', '0.846063', '0', '-0.533083', '673', '6', '-3098.71', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6908', '7', '0', 'object/mobile/dressed_fed_dub_captain_twk_male_01.iff', '0', '1', '0', '0.000450182', '730.493', '6', '-3198.31', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6909', '7', '0', 'object/mobile/dressed_goon_twk_female_01.iff', '0', '0.713277', '0', '-0.700883', '777.732', '6', '-3285.97', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6910', '7', '0', 'object/mobile/dressed_mugger.iff', '0', '0.999297', '0', '0.0374794', '778.279', '6', '-3287.39', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6911', '7', '0', 'object/mobile/dressed_criminal_thug_aqualish_male_02.iff', '0', '0.997874', '0', '0.0651694', '780.87', '6', '-3286.32', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6912', '7', '0', 'object/mobile/dressed_criminal_thug_bothan_male_01.iff', '0', '0.846458', '0', '-0.532456', '763.697', '6', '-3279.62', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6913', '7', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_08.iff', '0', '0.992522', '0', '0.122068', '659.973', '6', '-3064.88', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6914', '7', '0', 'object/mobile/dressed_commoner_tatooine_rodian_female_03.iff', '0', '-0.313722', '0', '0.949515', '709.053', '6', '-3036.35', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6915', '7', '0', 'object/mobile/r3.iff', '0', '1', '0', '-6.4787e-06', '664.839', '6', '-3061.96', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6916', '7', '0', 'object/mobile/dressed_commoner_naboo_zabrak_female_02.iff', '0', '0.153351', '0', '0.988172', '645.809', '6', '-3048.86', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6917', '7', '0', 'object/mobile/dressed_fed_dub_constable_twk_male_01.iff', '0', '0.957442', '0', '0.288626', '722.892', '6', '-3004.98', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6918', '7', '0', 'object/mobile/dressed_combatmedic_trainer_human_female_01.iff', '0', '-0.142866', '0', '0.989742', '629.722', '6', '-3048.65', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6919', '7', '0', 'object/mobile/dressed_commoner_fat_twilek_female_01.iff', '0', '-0.205393', '0', '0.97868', '615.017', '6', '-3011.17', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6920', '7', '0', 'object/mobile/dressed_criminal_thug_bothan_male_01.iff', '0', '0.944828', '0', '0.327566', '636.215', '6', '-2979.5', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6921', '7', '0', 'object/mobile/dressed_commoner_fat_zabrak_male_01.iff', '0', '0.122977', '0', '0.992409', '649.197', '6', '-2940.29', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6922', '7', '0', 'object/mobile/dressed_commoner_fat_human_male_02.iff', '0', '-0.687133', '0', '0.726531', '616.805', '6', '-2977.16', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6923', '7', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_02.iff', '0', '0.994405', '0', '0.105639', '709.441', '6', '-2967.7', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6924', '7', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_03.iff', '0', '0.746211', '0', '0.66571', '616.103', '6', '-2959.56', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6925', '7', '0', 'object/mobile/dressed_commoner_tatooine_rodian_female_03.iff', '0', '0.974909', '0', '0.222605', '639.942', '6', '-2913.13', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6926', '7', '0', 'object/mobile/dressed_noble_fat_zabrak_male_02.iff', '0', '0.774871', '0', '-0.63212', '624.779', '6', '-2923.53', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6927', '7', '0', 'object/mobile/dressed_fed_dub_patrolman_human_female_01.iff', '0', '-0.353362', '0', '0.935486', '716.578', '6', '-2866.45', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6928', '7', '0', 'object/mobile/dressed_commoner_naboo_bothan_female_02.iff', '0', '-0.246457', '0', '0.969154', '721.819', '6', '-2892.41', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6929', '7', '0', 'object/mobile/dressed_fed_dub_captain_twk_female_01.iff', '0', '0.997126', '0', '0.0757547', '718.635', '6', '-2859.5', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6930', '7', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_07.iff', '0', '-0.0430252', '0', '0.999074', '615.01', '6', '-2920.76', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6931', '7', '0', 'object/mobile/dressed_fed_dub_patrolman_human_male_01.iff', '0', '1', '0', '1.34669e-05', '715.286', '6', '-2844.36', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6932', '7', '0', 'object/mobile/dressed_commoner_naboo_zabrak_male_01.iff', '0', '0.996853', '0', '0.0792741', '620.471', '6', '-2861.4', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6933', '7', '0', 'object/mobile/dressed_commoner_naboo_bothan_male_01.iff', '0', '0.951022', '0', '0.309123', '692.188', '6', '-2861.6', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6934', '7', '0', 'object/mobile/dressed_commoner_naboo_human_female_04.iff', '0', '0.982866', '0', '-0.184323', '582.058', '6', '-2861.59', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6935', '7', '0', 'object/mobile/dressed_commoner_old_human_female_02.iff', '0', '0.991439', '0', '0.130571', '591.708', '6', '-2922.8', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6936', '7', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_04.iff', '0', '-0.119533', '0', '0.99283', '574.069', '6', '-2915.3', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6937', '7', '0', 'object/mobile/dressed_commoner_naboo_human_male_01.iff', '0', '0.821055', '0', '0.570849', '481.58', '6', '-2854.95', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6938', '7', '0', 'object/mobile/dressed_commoner_fat_zabrak_male_01.iff', '0', '0.294063', '0', '0.955786', '445.781', '6', '-2804.69', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6939', '7', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_01.iff', '0', '0.763126', '0', '0.646249', '452.123', '6', '-2852.21', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6940', '7', '9223372036854775807', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '2.98486', '1.13306', '-13.2498', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6941', '7', '9223372036854775807', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '14.8795', '1.13306', '1.06104', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6942', '7', '9223372036854775807', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-12.0822', '1.13306', '-2.82446', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('6943', '7', '0', 'object/mobile/dressed_commoner_naboo_human_male_01.iff', '0', '0.999725', '0', '0.0234348', '396.539', '6', '-2766.72', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6944', '7', '0', 'object/mobile/dressed_commoner_tatooine_rodian_male_03.iff', '0', '-0.158311', '0', '0.987389', '377.995', '6', '-2752.04', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6945', '7', '0', 'object/mobile/dressed_goon_twk_female_01.iff', '0', '-0.232832', '0', '0.972517', '373.93', '6', '-2764.58', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6946', '7', '0', 'object/mobile/dressed_commoner_tatooine_bith_male_03.iff', '0', '0.51957', '0', '0.854428', '280.418', '6', '-2806.91', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6947', '7', '0', 'object/mobile/dressed_fed_dub_patrolman_human_male_01.iff', '0', '0.773232', '0', '0.634123', '291.766', '6', '-2798.61', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6948', '7', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_07.iff', '0', '0.989497', '0', '-0.144555', '221.275', '6', '-2803.13', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6949', '7', '0', 'object/mobile/r2.iff', '0', '-0.693311', '0', '0.720638', '207.078', '6', '-2800.53', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6950', '7', '0', 'object/mobile/dressed_fed_dub_patrolman_human_female_01.iff', '0', '0.921355', '0', '-0.388722', '200.355', '6', '-2794.26', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6951', '7', '0', 'object/mobile/dressed_fed_dub_patrolman_human_female_01.iff', '0', '0.69817', '0', '0.715932', '200.355', '6', '-2794.26', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6952', '7', '0', 'object/mobile/dressed_fed_dub_investigator_twk_male_01.iff', '0', '0.580795', '0', '0.81405', '198.355', '6', '-2794.26', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6953', '7', '0', 'object/mobile/dressed_commoner_naboo_twilek_male_01.iff', '0', '0.996637', '0', '0.0819474', '127.174', '6', '-2798.56', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6954', '7', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_01.iff', '0', '0.567852', '0', '0.823131', '156.527', '6', '-2960.7', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6955', '7', '0', 'object/mobile/dressed_mugger.iff', '0', '-0.192445', '0', '0.981308', '28.2237', '6', '-2823.13', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6956', '7', '0', 'object/mobile/dressed_robber_human_male_01.iff', '0', '0.701308', '0', '0.712858', '31.8708', '6', '-2836.08', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6957', '7', '0', 'object/mobile/dressed_criminal_thug_aqualish_female_02.iff', '0', '0.322447', '0', '0.946588', '24.9828', '6', '-2823.39', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6958', '7', '0', 'object/mobile/dressed_criminal_thug_zabrak_female_01.iff', '0', '0.718365', '0', '-0.695667', '21.7635', '6', '-2826.36', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6959', '7', '0', 'object/mobile/dressed_desperado_bith_female_01.iff', '0', '0.957289', '0', '0.289134', '152.292', '6', '-3013.73', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6960', '7', '0', 'object/mobile/eg6_power_droid.iff', '0', '0.71828', '0', '-0.695754', '380.738', '6', '-3030.24', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6961', '7', '3305354', 'object/mobile/dressed_champhra_biahin.iff', '0', '0.976985', '0', '-0.21331', '2.71297', '0.184067', '4.54045', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6962', '7', '3305354', 'object/mobile/dressed_fed_dub_constable_twk_female_01.iff', '0', '0.911353', '0', '-0.411626', '6.25941', '0.184067', '4.82006', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6963', '7', '3305354', 'object/mobile/dressed_fed_dub_patrolman_human_male_01.iff', '0', '0.910473', '0', '-0.413569', '2.21646', '0.184067', '1.13158', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6964', '7', '3305354', 'object/mobile/dressed_fed_dub_constable_twk_female_01.iff', '0', '0.910799', '0', '-0.41285', '-2.72912', '0.184067', '-3.15636', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6965', '7', '3305353', 'object/mobile/dressed_fed_dub_investigator_twk_female_01.iff', '0', '0.860991', '0', '0.50862', '8.40953', '0.184067', '12.51', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6966', '7', '0', 'object/mobile/dressed_commoner_naboo_bothan_female_02.iff', '0', '-0.641704', '0', '0.766952', '443.804', '6', '-3086.88', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6967', '7', '0', 'object/mobile/dressed_commoner_tatooine_trandoshan_female_03.iff', '0', '0.813012', '0', '-0.582247', '504.641', '6', '-3046.27', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6968', '7', '0', 'object/mobile/dressed_desperado_bith_male_01.iff', '0', '0.648696', '0', '0.761048', '464.59', '6', '-3106.56', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6969', '7', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_06.iff', '0', '-0.451981', '0', '0.892027', '496.245', '6', '-3023.32', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6970', '7', '0', 'object/mobile/r2.iff', '0', '1', '0', '-6.4787e-06', '504.449', '6', '-3026.94', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6971', '7', '0', 'object/mobile/eg6_power_droid.iff', '0', '1', '0', '0', '505.449', '6', '-3025.94', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6972', '7', '0', 'object/mobile/dressed_commoner_naboo_twilek_female_01.iff', '0', '-0.127724', '0', '0.99181', '529.806', '6', '-3025.2', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6973', '7', '3175386', 'object/mobile/dressed_commoner_fat_twilek_male_02.iff', '0', '0.824126', '0', '-0.566406', '3.29', '1.13306', '-9.58', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6974', '7', '3175382', 'object/mobile/dressed_artisan_trainer_03.iff', '0', '0.0958458', '0', '0.995396', '-3.69', '1.13306', '-6', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6975', '7', '0', 'object/mobile/dressed_fed_dub_patrolman_human_female_01.iff', '0', '0.707107', '0', '-0.707107', '541.258', '6.51789', '-2994.53', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6976', '7', '0', 'object/mobile/dressed_commoner_tatooine_sullustan_male_01.iff', '0', '0.407531', '0', '0.913191', '579.516', '6', '-3023.72', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6977', '7', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_08.iff', '0', '0.517476', '0', '0.855698', '580.14', '6', '-2963.53', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6978', '7', '0', 'object/mobile/dressed_fed_dub_constable_twk_female_01.iff', '0', '0.00196689', '0', '0.999998', '563.422', '6', '-2911.94', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6979', '7', '3175593', 'object/mobile/dressed_commoner_tatooine_ishitib_male_01.iff', '5.41864e-08', '4.32197e-06', '-2.34192e-13', '1', '21.574', '1.28309', '-2.39703', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6980', '7', '3175593', 'object/mobile/dressed_commoner_tatooine_rodian_male_01.iff', '9.5446e-14', '1', '-5.41869e-08', '1.76142e-06', '21.574', '1.28309', '-1.29703', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6981', '7', '3175593', 'object/mobile/dressed_mercenary_weak_hum_m.iff', '1.46629e-08', '0.923878', '-3.53989e-08', '0.382688', '20.474', '1.28309', '-1.29703', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6982', '7', '3175593', 'object/mobile/dressed_commoner_naboo_human_male_02.iff', '0', '4.19609e-05', '0', '1', '25.6926', '1.28309', '6.24509', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6983', '7', '3175593', 'object/mobile/dressed_doctor_trainer_moncal_male_01.iff', '0', '1', '0', '4.0055e-05', '25.6926', '1.28309', '7.24509', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6984', '7', '3175594', 'object/mobile/dressed_mugger.iff', '1.89647e-06', '-1.47383e-05', '2.79506e-11', '1', '-10.227', '1.00006', '-2.52106', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6985', '7', '3175594', 'object/mobile/dressed_criminal_thug_human_female_01.iff', '3.3803e-11', '1', '1.95068e-06', '-1.73288e-05', '-10.227', '1.00005', '-1.42106', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6986', '7', '3175434', 'object/mobile/dressed_hoodlum_zabrak_male_01.iff', '5.41865e-08', '-2.85999e-05', '1.54973e-12', '1', '-2.33557', '1.75', '-13.8738', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6987', '7', '3175434', 'object/mobile/dressed_eisley_officer_bothan_female_01.iff', '1.4332e-12', '1', '5.41868e-08', '-2.64492e-05', '-2.33557', '1.75', '-12.7738', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6988', '7', '3175434', 'object/mobile/dressed_noble_human_male_02.iff', '0', '-6.83112e-05', '0', '1', '-1.18159', '2.25', '6.15196', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6989', '7', '3175434', 'object/mobile/dressed_commoner_naboo_human_male_02.iff', '0', '1', '0', '-6.63231e-05', '-1.18159', '2.25', '6.74', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6990', '7', '0', 'object/mobile/dressed_commoner_tatooine_bith_female_05.iff', '0', '0.986163', '0', '-0.16578', '503.439', '6', '-2948.04', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6991', '7', '3175403', 'object/mobile/dressed_doctor_trainer_human_female_01.iff', '0.000136152', '3.42622e-06', '-4.66488e-10', '1', '-44.5373', '0.105009', '-20.8963', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6992', '7', '3175403', 'object/mobile/dressed_mercenary_messanger_hum_f.iff', '-4.7179e-10', '1', '0.000136212', '3.46365e-06', '-44.5373', '0.104709', '-19.7963', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6993', '7', '3175396', 'object/mobile/dressed_nurla_slinthiss.iff', '1.001e-06', '0.827352', '1.47446e-06', '-0.561684', '-4.22912', '-0.895017', '-18.1688', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6994', '7', '3175394', 'object/mobile/dressed_villain_trandoshan_male_01.iff', '0', '0.717608', '0', '-0.696448', '11.7437', '-0.894992', '-17.8476', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6995', '7', '3175393', 'object/mobile/dressed_criminal_assassin_human_female_01.iff', '8.1278e-08', '-1.72802e-06', '1.4045e-13', '1', '18.5617', '-0.894992', '17.5882', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6996', '7', '3175393', 'object/mobile/dressed_commoner_tatooine_bith_female_02.iff', '-1.39427e-13', '1', '-8.12728e-08', '-1.71554e-06', '18.5617', '-0.894992', '18.6882', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6997', '7', '3175391', 'object/mobile/dressed_commoner_naboo_human_female_05.iff', '0', '0.723671', '0', '-0.690145', '5.85068', '-0.894992', '-1.62747', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6998', '7', '3175391', 'object/mobile/dressed_radlee_mathiss.iff', '0.000214523', '0.686734', '0.000227047', '0.726909', '-2.76298', '-0.894992', '6.25722', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('6999', '7', '3175391', 'object/mobile/dressed_commoner_tatooine_nikto_male_04.iff', '-1.08371e-07', '-1.35122e-06', '-1.46433e-13', '1', '12.85', '-0.894992', '1.20077', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7000', '7', '3175391', 'object/mobile/dressed_criminal_thug_aqualish_male_01.iff', '-2.14129e-13', '1', '-1.62545e-07', '-1.31735e-06', '12.85', '-0.894992', '2.30077', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7001', '7', '3175390', 'object/mobile/dressed_rebel_trooper_twk_female_01.iff', '-5.07943e-08', '1.73739e-06', '8.82495e-14', '1', '35.4579', '0.105', '1.60668', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7002', '7', '3175390', 'object/mobile/dressed_commoner_naboo_human_male_08.iff', '-8.8773e-14', '1', '5.08e-08', '1.7475e-06', '35.4579', '0.105', '2.70668', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7003', '7', '3175390', 'object/mobile/dressed_bountyhunter_trainer_03.iff', '-1.37464e-08', '0.923878', '3.31864e-08', '0.382687', '34.3579', '0.105', '2.70668', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7004', '7', '3175389', 'object/mobile/dressed_commoner_tatooine_rodian_female_03.iff', '-5.08007e-08', '3.47513e-06', '1.76539e-13', '1', '43.6156', '0.104999', '0.752079', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7005', '7', '3175389', 'object/mobile/dressed_criminal_slicer_human_male_01.iff', '-1.76066e-13', '1', '5.08049e-08', '3.46553e-06', '43.6156', '0.104999', '1.85208', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7006', '7', '3175397', 'object/mobile/dressed_commoner_tatooine_nikto_male_03.iff', '0', '-0.614273', '0', '0.789094', '-5.0724', '-0.894996', '21.4966', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7007', '7', '0', 'object/mobile/dressed_commoner_tatooine_sullustan_male_04.iff', '0', '-0.0619874', '0', '0.998077', '4390.82', '2', '5421.7', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7008', '7', '0', 'object/mobile/dressed_commoner_naboo_twilek_female_02.iff', '0', '0.81858', '0', '0.574392', '4351.06', '2', '5305.44', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7009', '7', '0', 'object/mobile/dressed_criminal_thug_aqualish_female_02.iff', '0', '0', '0', '1', '4397.73', '2', '5290.48', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7010', '7', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_01.iff', '0', '1', '0', '0', '4397.73', '2', '5291.48', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7011', '7', '0', 'object/mobile/dressed_commoner_tatooine_rodian_female_04.iff', '0', '0', '0', '1', '4394.07', '2', '5396.99', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7012', '7', '0', 'object/mobile/dressed_entertainer_trainer_twk_male_01.iff', '0', '1', '0', '0', '4394.07', '2', '5397.99', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7013', '7', '4265367', 'object/mobile/dressed_commoner_tatooine_nikto_male_06.iff', '2.38413e-07', '-9.91799e-05', '2.36567e-11', '1', '-53.4306', '2.63942', '44.8995', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7014', '7', '4265367', 'object/mobile/dressed_criminal_pirate_human_female_01.iff', '-4.08008e-12', '1', '1.1925e-07', '3.43439e-05', '-53.4306', '2.63942', '45.8995', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7015', '7', '4265362', 'object/mobile/dressed_criminal_slicer_human_female_01.iff', '2.70948e-08', '6.7601e-05', '-1.83164e-12', '1', '46.424', '0.639418', '45.4992', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7016', '7', '4265362', 'object/mobile/quarren_male.iff', '1.73873e-12', '1', '2.70898e-08', '-6.41839e-05', '46.424', '0.639418', '46.5992', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7017', '7', '4265359', 'object/mobile/dressed_robber_human_female_01.iff', '0', '2.40758e-05', '0', '1', '5.81535', '0.639421', '60.0653', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7018', '7', '4265359', 'object/mobile/dressed_imperial_officer_m_5.iff', '0', '1', '0', '5.48298e-06', '5.81535', '0.639421', '61.0653', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7019', '7', '4265359', 'object/mobile/dressed_criminal_pirate_human_male_01.iff', '-8.94094e-08', '-7.20043e-05', '-6.44584e-12', '1', '-5.66994', '0.639422', '54.6418', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7020', '7', '4265359', 'object/mobile/dressed_commoner_tatooine_trandoshan_male_02.iff', '1.08783e-11', '1', '-1.78866e-07', '6.08144e-05', '-5.66994', '0.639423', '55.6418', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7021', '7', '4265369', 'object/mobile/space_chassis_broker_03.iff', '0', '0.320817', '0', '0.947141', '-56.6035', '0.974563', '8.64535', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7022', '7', '0', 'object/mobile/dressed_hooligan_rodian_male_01.iff', '0', '-0.27669', '0', '0.960959', '4432.48', '2', '5437.46', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7023', '7', '0', 'object/mobile/dressed_hoodlum_zabrak_male_01.iff', '0', '0.884634', '0', '-0.466287', '4424.48', '2', '5428.46', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7024', '7', '0', 'object/mobile/dressed_criminal_thug_zabrak_male_01.iff', '0', '0.992541', '0', '0.121911', '4425.48', '2', '5429.46', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7025', '7', '0', 'object/mobile/dressed_commoner_naboo_zabrak_female_01.iff', '0', '0.992665', '0', '-0.120901', '4489.46', '2', '5269.07', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7026', '7', '0', 'object/mobile/dressed_commoner_tatooine_devaronian_male_01.iff', '0', '0.986942', '0', '0.161077', '4471.96', '2', '5465.89', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7027', '7', '0', 'object/mobile/dressed_commoner_naboo_human_male_08.iff', '0', '0.921555', '0', '0.388247', '4441.2', '2', '5419.9', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7028', '7', '0', 'object/mobile/dressed_commoner_naboo_human_male_01.iff', '0', '-0.549747', '0', '0.835331', '4411.54', '2', '5392.8', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7029', '7', '0', 'object/mobile/dressed_commoner_tatooine_bith_female_03.iff', '0', '0.984025', '0', '-0.178032', '4416.41', '2', '5382.04', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7030', '7', '0', 'object/mobile/dressed_commoner_tatooine_bith_female_02.iff', '0', '0.0377144', '0', '0.999289', '4423.37', '2', '5399.32', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7031', '7', '0', 'object/mobile/dressed_commoner_tatooine_devaronian_male_04.iff', '0', '0.414744', '0', '0.909938', '4418.85', '2', '5271.39', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7032', '7', '0', 'object/mobile/dressed_rebel_trooper_twk_male_01.iff', '-9.91832e-05', '0.857215', '8.66724e-05', '-0.514958', '4385.96', '2', '5268.61', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7033', '7', '0', 'object/mobile/dressed_rebel_crewman_human_male_01.iff', '0', '-0.454835', '0', '0.890576', '4342.96', '2', '5301.08', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7034', '7', '0', 'object/mobile/dressed_rebel_crewman_human_male_02.iff', '0', '0.176334', '0', '0.98433', '4369', '2', '5333.08', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7035', '7', '0', 'object/mobile/dressed_doctor_trainer_moncal_male_01.iff', '0', '0', '0', '1', '4437.59', '2', '5252.67', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7036', '7', '0', 'object/mobile/dressed_bountyhunter_trainer_02.iff', '0', '1', '0', '0', '4437.59', '2', '5253.67', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7037', '7', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_02.iff', '0', '0', '0', '1', '4446.01', '2', '5422.27', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7038', '7', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_06.iff', '0', '1', '0', '0', '4446.01', '2', '5423.27', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7039', '7', '0', 'object/mobile/dressed_commoner_fat_zabrak_female_01.iff', '0', '0.998884', '0', '0.0472312', '4551.45', '2', '5310.32', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7040', '7', '0', 'object/mobile/dressed_commoner_tatooine_bith_female_01.iff', '0', '0.947692', '0', '0.319187', '4548.45', '2', '5336.77', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7041', '7', '0', 'object/mobile/dressed_commoner_naboo_human_female_04.iff', '0', '0.145335', '0', '0.989383', '4533.27', '2', '5286.74', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7042', '7', '0', 'object/mobile/dressed_criminal_slicer_human_male_01.iff', '0', '0', '0', '1', '4558.42', '2', '5302.88', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7043', '7', '0', 'object/mobile/dressed_noble_fat_human_male_01.iff', '0', '1', '0', '0', '4558.42', '2', '5303.88', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7044', '7', '0', 'object/mobile/dressed_commoner_tatooine_sullustan_male_05.iff', '0', '0', '0', '1', '4501.35', '2', '5438.72', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7045', '7', '0', 'object/mobile/dressed_commoner_naboo_human_male_03.iff', '0', '1', '0', '0', '4501.35', '2', '5439.72', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7046', '7', '0', 'object/mobile/dressed_combatmedic_trainer_rodian_male_01.iff', '0', '0', '0', '1', '4554.99', '2', '5423.67', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7047', '7', '0', 'object/mobile/dressed_criminal_thug_human_female_02.iff', '0', '1', '0', '0', '4554.99', '2', '5424.67', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7048', '7', '0', 'object/mobile/dressed_rebel_trooper_sullustan_male_01.iff', '-0.115066', '0.708356', '0.222115', '0.660043', '4501.62', '2', '5266.24', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7049', '7', '0', 'object/mobile/dressed_rebel_trooper_twk_female_01.iff', '0', '0.713498', '0', '-0.700658', '4550.64', '2', '5305.08', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7050', '7', '0', 'object/mobile/eg6_power_droid.iff', '0', '0.998569', '0', '0.0534734', '4453.98', '2', '5284.27', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7051', '7', '0', 'object/mobile/eg6_power_droid.iff', '0', '-0.497141', '0', '0.86767', '4465.98', '2', '5278.48', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7052', '7', '0', 'object/mobile/dressed_commoner_tatooine_devaronian_male_04.iff', '0', '0.885504', '0', '-0.464631', '4346.84', '9.9', '5434.8', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7053', '7', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_07.iff', '0', '0', '0', '1', '4305.6', '9.9', '5364.33', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7054', '7', '0', 'object/mobile/dressed_criminal_slicer_human_female_01.iff', '0', '1', '0', '0', '4305.6', '9.9', '5365.33', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7055', '7', '0', 'object/mobile/dressed_commoner_naboo_zabrak_male_02.iff', '0', '0.670274', '0', '0.742113', '4299.49', '9.9', '5360.88', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7056', '7', '0', 'object/mobile/dressed_rebel_specforce_pathfinder_rodian_female_01.iff', '0', '1', '0', '0', '4323.72', '2', '5293.6', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7057', '7', '0', 'object/mobile/dressed_commoner_fat_twilek_female_02.iff', '0', '0', '0', '1', '4323.72', '2', '5292.6', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7058', '7', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_07.iff', '0', '0.677003', '0', '0.73598', '4469.81', '2', '5211.71', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7059', '7', '0', 'object/mobile/cll8_binary_load_lifter.iff', '0', '0.929273', '0', '0.369395', '4478.11', '2.37934', '5204.97', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7060', '7', '0', 'object/mobile/dressed_imperial_medic3_human_male_01.iff', '0', '0.62181', '0', '0.783168', '4520.61', '2', '5236.48', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7061', '7', '0', 'object/mobile/dressed_fed_dub_investigator_twk_female_01.iff', '-0.000113266', '0.311123', '7.62545e-05', '0.95037', '4356.79', '2.10233', '5214.58', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7062', '7', '0', 'object/mobile/dressed_commoner_naboo_human_male_02.iff', '0', '-0.184555', '0', '0.982822', '4469.92', '2', '5183.13', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7063', '7', '0', 'object/mobile/dressed_rebel_trooper_sullustan_male_01.iff', '-0.0771836', '-0.202372', '-0.0121167', '0.976187', '4465.85', '2', '5212.64', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7064', '7', '0', 'object/mobile/dressed_fed_dub_constable_twk_female_01.iff', '-0.00377969', '0.374678', '0.00250117', '0.927144', '4356.1', '2.10233', '5213.47', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7065', '7', '0', 'object/mobile/dressed_fed_dub_patrolman_human_male_01.iff', '-0.00232215', '0.429917', '0.00133704', '0.902864', '4354.28', '2.10233', '5213.03', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7066', '7', '0', 'object/mobile/dressed_fed_dub_patrolman_human_male_01.iff', '0', '0.31054', '0', '0.95056', '4354.29', '2.10233', '5213.04', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7067', '7', '0', 'object/mobile/dressed_eisley_officer_bothan_female_01.iff', '0.0624948', '0', '0', '0.998045', '4379.3', '1.75007', '5185.72', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7068', '7', '0', 'object/mobile/dressed_commoner_fat_human_female_01.iff', '0', '0.761767', '0', '0.647852', '4517.5', '2', '5197.55', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7069', '7', '0', 'object/mobile/dressed_noble_old_human_male_02.iff', '0', '1', '0', '0', '4477.16', '2', '5156.72', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7070', '7', '0', 'object/mobile/dressed_commoner_naboo_moncal_male_01.iff', '0', '0.677315', '0', '0.735693', '4337.75', '2', '5214.84', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7071', '7', '0', 'object/mobile/dressed_commoner_naboo_human_female_02.iff', '0', '0.276441', '0', '0.961031', '4364.05', '2', '5184.78', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7072', '7', '4265396', 'object/mobile/dressed_commoner_naboo_moncal_female_01.iff', '0', '0.824126', '0', '-0.566406', '3.29', '1.13306', '-9.58', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7073', '7', '4265395', 'object/mobile/dressed_rebel_brigadier_general_moncal_female.iff', '0', '0.895641', '0', '-0.444777', '14.0151', '1.13306', '-9.18578', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7074', '7', '4265392', 'object/mobile/dressed_artisan_trainer_01.iff', '0', '0.0958458', '0', '0.995396', '-3.69', '1.13306', '-6', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7075', '7', '0', 'object/mobile/dressed_commoner_old_human_female_01.iff', '0', '0.942498', '0', '-0.334211', '4523.05', '2', '5141.12', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7076', '7', '0', 'object/mobile/dressed_commoner_naboo_human_female_06.iff', '0', '0.993824', '0', '0.110966', '4512.53', '2', '5129.35', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7077', '7', '0', 'object/mobile/dressed_commoner_tatooine_trandoshan_female_01.iff', '0', '0', '0', '1', '4513.66', '2', '5125.31', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7078', '7', '0', 'object/mobile/dressed_criminal_slicer_human_female_01.iff', '0', '1', '0', '0', '4513.66', '2', '5126.31', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7079', '7', '0', 'object/mobile/dressed_commoner_naboo_human_female_05.iff', '0', '-0.116082', '0', '0.99324', '4550.54', '2', '5436.9', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7080', '7', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_07.iff', '0', '0', '0', '1', '4516.71', '2', '5494.23', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7081', '7', '0', 'object/mobile/dressed_combatmedic_trainer_rodian_male_01.iff', '0', '1', '0', '0', '4516.71', '2', '5495.23', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7082', '7', '0', 'object/mobile/dressed_rebel_corporal_moncal_male_01.iff', '0', '0.829078', '0', '0.559133', '4545.56', '2', '5485.8', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7083', '7', '0', 'object/mobile/dressed_rebel_trooper_human_female_01.iff', '0', '0.829103', '0', '0.559095', '4545.56', '2', '5485.8', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7084', '7', '0', 'object/mobile/dressed_commoner_fat_twilek_male_02.iff', '0', '-0.460356', '0', '0.887734', '4527.96', '2', '5505.62', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7085', '7', '0', 'object/mobile/dressed_rebel_ris_04.iff', '0', '-0.345887', '0', '0.938276', '4696.36', '27.2753', '5432.73', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7086', '7', '0', 'object/mobile/dressed_rebel_ris_01.iff', '0', '0.937885', '0', '0.346946', '4665.01', '19.5236', '5505.08', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7087', '7', '0', 'object/mobile/dressed_fed_dub_constable_twk_male_01.iff', '0', '0.603775', '0', '0.797155', '4521.42', '2', '5533.65', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7088', '7', '0', 'object/mobile/dressed_rebel_ris_03.iff', '0', '0.910171', '0', '-0.414233', '4646.1', '17.9043', '5512.36', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7089', '7', '0', 'object/mobile/dressed_fed_dub_patrolman_human_male_01.iff', '0', '0.603647', '0', '0.797252', '4518.84', '2', '5531.57', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7090', '7', '0', 'object/mobile/dressed_fed_dub_captain_twk_male_01.iff', '0', '0.603737', '0', '0.797184', '4520.7', '2', '5532.1', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7091', '7', '0', 'object/mobile/dressed_fed_dub_patrolman_human_male_01.iff', '0', '0.603705', '0', '0.797208', '4519.06', '2', '5532.98', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7092', '7', '0', 'object/mobile/dressed_fed_dub_patrolman_human_male_01.iff', '0', '0.603682', '0', '0.797226', '4517.61', '2', '5532.57', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7093', '7', '0', 'object/mobile/dressed_rebel_ris_04.iff', '0', '-0.0937305', '0', '0.995598', '4655.76', '18.2854', '5515.54', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7094', '7', '0', 'object/mobile/dressed_rebel_ris_04.iff', '0', '0.890905', '0', '0.454189', '4654.74', '19.4561', '5519.88', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7095', '7', '0', 'object/mobile/dressed_rebel_ris_03.iff', '0', '0.796782', '0', '0.604267', '4700.16', '27.7262', '5425.43', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7096', '7', '0', 'object/mobile/dressed_rebel_ris_02.iff', '0', '0.987321', '0', '-0.158739', '4662.45', '21.0035', '5520.8', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7097', '7', '0', 'object/mobile/dressed_rebel_ris_01.iff', '0', '0.579694', '0', '0.814835', '4669.7', '25.9752', '5527.08', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7098', '7', '0', 'object/mobile/roba_hue.iff', '0', '0.195744', '0', '0.980655', '4534.65', '2', '5535.02', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7099', '7', '0', 'object/mobile/roba_hue.iff', '0', '0.861028', '0', '-0.508557', '4528.89', '2', '5559.5', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7100', '7', '0', 'object/mobile/roba_hue.iff', '0', '0.154953', '0', '0.987922', '4526.79', '2', '5533.12', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7101', '7', '0', 'object/mobile/dressed_commoner_tatooine_sullustan_male_05.iff', '0', '0.608736', '0', '0.793373', '4291.34', '9.9', '5443.67', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7102', '7', '0', 'object/mobile/dressed_commoner_naboo_twilek_male_02.iff', '0', '-0.234469', '0', '0.972124', '4294.6', '9.9', '5413.01', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7103', '7', '0', 'object/mobile/dressed_entertainer_trainer_twk_female_01.iff', '0', '0', '0', '1', '4292.68', '9.9', '5407.93', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7104', '7', '0', 'object/mobile/dressed_rebel_trooper_human_female_01.iff', '0', '1', '0', '0', '4292.68', '9.9', '5408.93', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7105', '7', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_04.iff', '0', '-0.0228999', '0', '0.999738', '4333.76', '9.9', '5371.99', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7106', '7', '0', 'object/mobile/dressed_rebel_trooper_human_male_01.iff', '0', '0.369922', '0', '0.929063', '4297.71', '9.9', '5439.72', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7107', '7', '0', 'object/mobile/dressed_rebel_trooper_human_female_01.iff', '0', '0.93595', '0', '-0.352133', '4291.13', '9.9', '5430.4', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7108', '7', '0', 'object/mobile/battle_droid.iff', '0', '0.990691', '0', '0.136129', '4292.93', '9.9', '5427.18', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7109', '7', '0', 'object/mobile/dressed_commoner_tatooine_bith_male_06.iff', '0', '0.896588', '0', '-0.442865', '4341.5', '9.9', '5386.97', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7110', '7', '0', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0.587274', '0', '0.809388', '4300.3', '10.4168', '5433.05', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7111', '7', '0', 'object/mobile/dressed_commoner_tatooine_bith_female_06.iff', '0', '0.544518', '0', '0.838749', '4214.12', '2', '5329.97', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7112', '7', '0', 'object/mobile/dressed_commoner_tatooine_trandoshan_female_03.iff', '0', '-0.122622', '0', '0.992453', '4231.38', '2', '5315.35', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7113', '7', '4265407', 'object/mobile/dressed_commoner_tatooine_trandoshan_male_02.iff', '0', '0.866025', '0', '0.5', '-14.01', '1.13306', '-8.53', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7114', '7', '4265406', 'object/mobile/dressed_commoner_old_twilek_male_01.iff', '0', '0.913546', '0', '-0.406736', '3.32', '1.13306', '-8.49', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7115', '7', '4265403', 'object/mobile/dressed_rebel_brigadier_general_moncal_female.iff', '0', '0.898034', '0', '0.439927', '9.6254', '1.13306', '0.32257', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7116', '7', '0', 'object/mobile/dressed_rebel_crewman_human_male_04.iff', '-0.0207193', '0.706949', '0.0195709', '-0.70669', '4230.38', '2', '5286.99', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7117', '7', '0', 'object/mobile/dressed_rebel_crewman_human_male_04.iff', '0', '0.707218', '0', '-0.706995', '4230.38', '2', '5286.99', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7118', '7', '4265376', 'object/mobile/dressed_artisan_trainer_01.iff', '2.97978e-08', '-4.10017e-05', '1.22188e-12', '1', '21.4737', '-0.894997', '-14.904', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7119', '7', '4265376', 'object/mobile/dressed_mugger.iff', '2.44363e-12', '1', '5.96137e-08', '-4.10143e-05', '21.4737', '-0.894997', '-13.904', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7120', '7', '4265375', 'object/mobile/dressed_commoner_old_human_female_02.iff', '0', '0.98643', '0', '-0.164182', '5.78939', '-0.894992', '3.21743', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7121', '7', '4265375', 'object/mobile/dressed_sigrix_slix.iff', '0', '0.219399', '0', '0.975635', '17.1933', '-0.894993', '-6.82739', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7122', '7', '4265375', 'object/mobile/dressed_artisan_trainer_01.iff', '-2.98035e-08', '0.000113611', '3.3866e-12', '1', '2.49489', '-0.894992', '-5.58394', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7123', '7', '4265375', 'object/mobile/dressed_commoner_artisan_bith_male_01.iff', '3.3858e-12', '1', '-2.98011e-08', '0.000113602', '2.49489', '-0.894992', '-4.58394', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7124', '7', '4265375', 'object/mobile/dressed_criminal_slicer_human_female_01.iff', '-2.98028e-08', '-3.91013e-05', '-1.16368e-12', '1', '11.3604', '-0.894992', '4.58351', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7125', '7', '4265375', 'object/mobile/dressed_eisley_officer_bothan_male_01.iff', '-2.33124e-12', '1', '-5.96037e-08', '-3.91e-05', '11.3604', '-0.894992', '5.58351', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7126', '7', '4265374', 'object/mobile/dressed_criminal_smuggler_human_female_01.iff', '-5.07915e-08', '-6.91626e-06', '-3.51287e-13', '1', '35.6665', '0.105', '1.2343', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7127', '7', '4265374', 'object/mobile/dressed_bountyhunter_trainer_03.iff', '3.53443e-13', '1', '5.08028e-08', '-6.95716e-06', '35.6665', '0.105', '2.3343', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7128', '7', '0', 'object/mobile/dressed_entertainer_trainer_human_female_01.iff', '0', '0', '0', '1', '4256.4', '2', '5283.54', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7129', '7', '0', 'object/mobile/dressed_commoner_naboo_human_female_07.iff', '0', '1', '0', '0', '4256.4', '2', '5284.54', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7130', '7', '0', 'object/mobile/cll8_binary_load_lifter.iff', '0', '0.620239', '0', '0.784413', '4217.52', '2', '5296.68', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7131', '7', '0', 'object/mobile/dressed_commoner_fat_human_male_02.iff', '0', '0.834507', '0', '-0.550997', '4195.48', '2', '5287.32', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7132', '7', '0', 'object/mobile/3po_protocol_droid.iff', '0', '0.829072', '0', '0.559141', '4199', '2', '5286', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7133', '7', '0', 'object/mobile/dressed_selonian_f_09.iff', '0', '0.943906', '0', '-0.330215', '4268.4', '0.554258', '5264.28', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7134', '7', '0', 'object/mobile/eg6_power_droid.iff', '0', '0.784012', '0', '-0.620745', '4198.79', '2', '5292.24', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7135', '7', '0', 'object/mobile/dressed_stormtrooper_m.iff', '0', '-0.374269', '0', '0.92732', '4272.18', '0.640772', '5265.9', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7136', '7', '0', 'object/mobile/dressed_stormtrooper_m.iff', '0', '0.172898', '0', '0.98494', '4263.42', '0.496891', '5263.01', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7137', '7', '0', 'object/mobile/dressed_commoner_naboo_zabrak_male_01.iff', '0', '0', '0', '1', '4161.59', '2', '5292.72', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7138', '7', '0', 'object/mobile/dressed_doctor_trainer_human_female_01.iff', '0', '1', '0', '0', '4161.59', '2', '5293.72', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7139', '7', '0', 'object/mobile/dressed_mercenary_strong_rod_m.iff', '0', '0.999329', '0', '0.0366401', '4164.2', '2', '5280.36', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7140', '7', '0', 'object/mobile/dressed_commoner_fat_human_female_02.iff', '0', '0.859884', '0', '-0.51049', '4147.54', '2', '5274.21', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7141', '7', '0', 'object/mobile/dressed_commoner_old_zabrak_female_02.iff', '0', '0.962336', '0', '-0.271861', '4135.13', '2', '5308.3', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7142', '7', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_03.iff', '0', '-0.40124', '0', '0.915973', '4123.51', '2', '5293.84', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7143', '7', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_06.iff', '0', '1', '0', '0', '4119.69', '2', '5300.03', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7144', '7', '0', 'object/mobile/dressed_mercenary_strong_tran_m.iff', '0', '0.490395', '0', '0.8715', '4137.81', '2', '5293.34', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7145', '7', '0', 'object/mobile/dressed_mercenary_strong_rod_m.iff', '0', '0.398671', '0', '0.917094', '4098.14', '2', '5297.72', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7146', '7', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_07.iff', '0', '1', '0', '0', '4107.57', '2', '5310.03', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7147', '7', '0', 'object/mobile/dressed_mercenary_strong_hum_f.iff', '0', '0.549302', '0', '0.835624', '4127.81', '2', '5287.27', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7148', '7', '0', 'object/mobile/dressed_criminal_thug_zabrak_male_01.iff', '0', '0.461', '0', '0.8874', '4096.4', '2', '5299.15', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7149', '7', '0', 'object/mobile/dressed_goon_twk_male_01.iff', '0', '0.0422395', '0', '0.999108', '4099.32', '2', '5288.18', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7150', '7', '0', 'object/mobile/dressed_criminal_thug_human_male_01.iff', '0', '-0.186312', '0', '0.982491', '4092.75', '2', '5300.12', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7151', '7', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_02.iff', '0', '0.338005', '0', '0.941144', '4102.2', '2', '5277.67', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7152', '7', '0', 'object/mobile/dressed_rebel_brigadier_general_human_female_01.iff', '0', '0.342263', '0', '0.939604', '4065.94', '2', '5290.15', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7153', '7', '0', 'object/mobile/dressed_commoner_naboo_human_male_02.iff', '0', '0.954666', '0', '-0.297678', '4078.96', '2', '5278.86', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7154', '7', '0', 'object/mobile/dressed_artisan_trainer_03.iff', '0', '0', '0', '1', '4073.98', '2', '5272.83', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7155', '7', '0', 'object/mobile/dressed_entertainer_trainer_twk_female_01.iff', '0', '1', '0', '0', '4073.98', '2', '5273.83', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7156', '7', '0', 'object/mobile/dressed_mercenary_strong_tran_m.iff', '0', '0.917282', '0', '-0.398238', '4082.9', '2', '5283.48', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7157', '7', '0', 'object/mobile/dressed_mercenary_strong_tran_m.iff', '0', '0.939724', '0', '0.341933', '4074.12', '2', '5282.92', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7158', '7', '0', 'object/mobile/dressed_eisley_officer_bothan_male_01.iff', '0', '0', '0', '1', '4119.69', '2', '5299.03', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7159', '7', '0', 'object/mobile/dressed_eisley_officer_bothan_female_01.iff', '0', '0', '0', '1', '4107.57', '2', '5309.03', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7160', '7', '0', 'object/mobile/dressed_commoner_tatooine_sullustan_male_02.iff', '0', '0.836221', '0', '0.548392', '4034.88', '2', '5261.41', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7161', '7', '0', 'object/mobile/dressed_commoner_naboo_human_female_07.iff', '0', '0', '0', '1', '4039.56', '2', '5263.96', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7162', '7', '0', 'object/mobile/dressed_mercenary_weak_hum_m.iff', '0', '1', '0', '0', '4039.56', '2', '5264.96', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7163', '7', '0', 'object/mobile/dressed_commoner_naboo_human_male_05.iff', '0', '0.961432', '0', '0.275043', '4033.55', '2', '5229.69', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7164', '7', '0', 'object/mobile/dressed_fed_dub_patrolman_human_male_01.iff', '0', '0.896721', '0', '-0.442597', '4029.5', '2', '5241.56', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7165', '7', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_02.iff', '0', '-0.586365', '0', '0.810047', '4074.05', '2', '5234.8', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7166', '7', '0', 'object/mobile/dressed_commoner_old_zabrak_male_02.iff', '0', '0.941124', '0', '0.33806', '4166.92', '2', '5127.65', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7167', '7', '0', 'object/mobile/dressed_commoner_naboo_zabrak_female_01.iff', '0', '0.957251', '0', '0.289259', '4177.46', '2', '5145.22', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7168', '7', '0', 'object/mobile/dressed_rebel_sergeant_twilek_female_old_01.iff', '0', '0.554159', '0', '0.832411', '4210.89', '2', '5149.12', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7169', '7', '0', 'object/mobile/dressed_fed_dub_patrolman_human_female_01.iff', '0', '0.862893', '0', '0.505387', '4152.53', '2', '5129.06', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7170', '7', '0', 'object/mobile/dressed_fed_dub_captain_twk_male_01.iff', '0', '0.8696', '0', '0.493757', '4152.41', '2', '5129.14', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7171', '7', '0', 'object/mobile/dalyrake_hue.iff', '0', '0.167063', '0', '0.985946', '3995.4', '21.8269', '5239.18', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7172', '7', '0', 'object/mobile/dalyrake_hue.iff', '0', '-0.0206505', '0', '0.999787', '3990.42', '24.5921', '5255.57', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7173', '7', '0', 'object/mobile/dalyrake_hue.iff', '0', '0.994336', '0', '0.106283', '3988.14', '26.808', '5230.89', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7174', '7', '0', 'object/mobile/dalyrake_hue.iff', '0', '0.182583', '0', '0.98319', '3981.4', '31.7696', '5238.12', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7175', '7', '0', 'object/mobile/dalyrake_hue.iff', '0', '0.912167', '0', '0.40982', '4024.46', '8.49714', '5267.53', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7176', '7', '0', 'object/mobile/dressed_combatmedic_trainer_human_male_01.iff', '0', '0', '0', '1', '4189.74', '2', '5154.9', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7177', '7', '0', 'object/mobile/dressed_artisan_trainer_03.iff', '0', '1', '0', '0', '4189.74', '2', '5155.9', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7178', '7', '0', 'object/mobile/dressed_commoner_tatooine_ishitib_male_03.iff', '0', '0.87827', '0', '0.478166', '4188.76', '2', '5139.64', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7179', '7', '0', 'object/mobile/dressed_commoner_tatooine_bith_female_02.iff', '0', '0.99816', '0', '0.0606372', '4207.86', '2', '5152.88', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7180', '7', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_03.iff', '0', '0.943256', '0', '-0.332065', '4250.53', '2', '5168.77', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7181', '7', '0', 'object/mobile/dressed_rebel_trooper_human_female_01.iff', '0', '0', '0', '1', '4235.22', '2', '5155.01', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7182', '7', '0', 'object/mobile/dressed_noble_fat_twilek_female_02.iff', '0', '1', '0', '0', '4235.22', '2', '5156.01', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7183', '7', '0', 'object/mobile/dressed_goon_twk_male_01.iff', '0', '0.275905', '0', '0.961185', '4252.03', '2', '5156.6', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7184', '7', '0', 'object/mobile/dressed_commoner_tatooine_rodian_female_02.iff', '0', '0.957661', '0', '-0.287899', '4298.91', '2', '5198.36', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7185', '7', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_07.iff', '0', '0.923915', '0', '-0.382597', '4277.51', '2', '5167.11', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7186', '7', '0', 'object/mobile/dressed_commoner_fat_zabrak_male_02.iff', '0', '0.99828', '0', '-0.05862', '4294.13', '2', '5184.49', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7187', '7', '0', 'object/mobile/dressed_commoner_fat_zabrak_female_02.iff', '0', '0.352323', '0', '0.935879', '4319.51', '2', '5215.01', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7188', '7', '0', 'object/mobile/dressed_villain_trandoshan_male_01.iff', '0', '0.875839', '0', '-0.482603', '4249.61', '2', '5151.17', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7189', '7', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_08.iff', '0', '0.87086', '0', '0.491532', '4265.95', '2', '5153.96', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7190', '7', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_07.iff', '0', '0.385851', '0', '0.922561', '4327.15', '2', '5201.98', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7191', '7', '0', 'object/mobile/dressed_doctor_trainer_human_female_01.iff', '0', '0', '0', '1', '4279.23', '2', '5156.4', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7192', '7', '0', 'object/mobile/dressed_commoner_fat_zabrak_female_01.iff', '0', '1', '0', '0', '4279.23', '2', '5157.4', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7193', '7', '0', 'object/mobile/dressed_rebel_sergeant_major_bothan_male_01.iff', '-0.0028793', '0.706996', '-0.00303103', '0.707205', '4317.76', '2', '5287.02', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7194', '7', '0', 'object/mobile/dressed_commoner_old_twilek_female_01.iff', '0', '-0.655165', '0', '0.755486', '4354.1', '2', '5181.93', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7195', '7', '0', 'object/mobile/dressed_commoner_tatooine_ishitib_male_02.iff', '0', '-0.0660041', '0', '0.997819', '4373.46', '2', '5165.43', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7196', '7', '0', 'object/mobile/dressed_commoner_tatooine_rodian_male_01.iff', '0', '0.978536', '0', '-0.206076', '4367.89', '2', '5148.11', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7197', '7', '0', 'object/mobile/dressed_commoner_old_human_male_02.iff', '0', '0.729932', '0', '0.68352', '4354.9', '2', '5147.42', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7198', '7', '0', 'object/mobile/dressed_commoner_tatooine_bith_male_05.iff', '0', '0.181057', '0', '0.983473', '4344.99', '2', '5202.61', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7199', '7', '0', 'object/mobile/dressed_commoner_naboo_human_male_04.iff', '0', '0.543745', '0', '0.839251', '4353.37', '2', '5125.93', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7200', '7', '0', 'object/mobile/dressed_robber_human_male_01.iff', '0', '-0.611379', '0', '0.791338', '4245.38', '2', '5150.24', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7201', '7', '0', 'object/mobile/dressed_commoner_fat_zabrak_female_01.iff', '0', '-0.705159', '0', '0.709049', '4273.97', '2', '5144.19', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7202', '7', '0', 'object/mobile/dressed_commoner_naboo_bothan_male_01.iff', '-5.09213e-09', '0.998045', '0.0624948', '3.18856e-10', '4379.3', '1.62434', '5186.72', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7203', '7', '0', 'object/mobile/r4.iff', '0', '0.547964', '0', '0.836502', '4267.23', '2', '5151.46', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7204', '7', '0', 'object/mobile/dressed_commoner_tatooine_rodian_male_03.iff', '0', '0.99996', '0', '-0.00889544', '4251.97', '2', '5136.77', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7205', '7', '4265427', 'object/mobile/dressed_commoner_naboo_twilek_male_02.iff', '0', '7.28685e-05', '0', '1', '-17.2353', '1.6', '-15.0646', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7206', '7', '4265427', 'object/mobile/dressed_eisley_officer_bothan_female_01.iff', '0', '1', '0', '-1.38807e-05', '-17.2353', '1.6', '-13.9646', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7207', '7', '4265427', 'object/mobile/dressed_commoner_fat_human_male_01.iff', '0', '0.923897', '0', '0.382641', '-18.3353', '1.6', '-13.9646', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7208', '7', '4265423', 'object/mobile/dressed_jusani_zhord.iff', '0.0162283', '-0.644778', '0.0138294', '0.764072', '16.7864', '1.28309', '-0.205379', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7209', '7', '4265423', 'object/mobile/dressed_commoner_naboo_human_male_01.iff', '5.41883e-08', '-1.99354e-05', '1.08027e-12', '1', '25.8451', '1.28309', '-3.02994', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7210', '7', '4265423', 'object/mobile/dressed_eisley_officer_bothan_female_01.iff', '-5.77736e-12', '1', '-5.41817e-08', '-0.000106629', '25.8451', '1.28309', '-1.92994', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7211', '7', '4265423', 'object/mobile/gran_male.iff', '5.41956e-08', '4.16367e-05', '-2.25653e-12', '1', '16.326', '1.28309', '8.947', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7212', '7', '4265423', 'object/mobile/dressed_commoner_naboo_zabrak_female_01.iff', '-2.39818e-12', '1', '-5.41744e-08', '-4.42677e-05', '16.326', '1.28309', '10.047', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7213', '7', '4265423', 'object/mobile/dressed_mercenary_messanger_hum_m.iff', '1.4659e-08', '0.923908', '-3.53976e-08', '0.382614', '15.226', '1.28309', '10.047', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7214', '7', '4265423', 'object/mobile/dressed_commoner_naboo_twilek_female_02.iff', '-5.9592e-08', '-2.00229e-05', '-1.19642e-12', '1', '25.7677', '1.28309', '8.41503', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7215', '7', '4265423', 'object/mobile/dressed_doctor_trainer_moncal_male_01.iff', '-2.83668e-12', '1', '-1.19197e-07', '-2.38394e-05', '25.7677', '1.28309', '9.41503', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7216', '7', '4265424', 'object/mobile/dressed_entertainer_trainer_twk_female_01.iff', '-6.57147e-05', '-8.75268e-05', '-5.75179e-09', '1', '-17.2742', '1', '-4.08488', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7217', '7', '4265424', 'object/mobile/dressed_criminal_thug_aqualish_female_01.iff', '3.13015e-09', '1', '-6.56825e-05', '4.76558e-05', '-17.2742', '1.00015', '-2.98488', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7218', '7', '4265424', 'object/mobile/dressed_commoner_naboo_bothan_male_01.iff', '-5.96062e-08', '7.24812e-05', '4.32061e-12', '1', '-16.989', '1.6', '10.4506', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7219', '7', '4265424', 'object/mobile/dressed_mercenary_messanger_hum_f.iff', '-4.77529e-12', '1', '5.96135e-08', '8.01205e-05', '-16.989', '1.6', '11.4506', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7220', '7', '4265422', 'object/mobile/dressed_noble_human_male_01.iff', '4.33429e-06', '-1.15693e-05', '5.01445e-11', '1', '1.75833', '0.999979', '5.13502', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7221', '7', '4265422', 'object/mobile/dressed_commoner_tatooine_bith_female_01.iff', '4.24229e-10', '1', '4.33531e-06', '-9.78542e-05', '1.75833', '0.99997', '6.23502', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7222', '7', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_08.iff', '0', '-0.517689', '0', '0.855569', '4227.2', '2', '5116.75', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7223', '7', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_02.iff', '0', '-0.579606', '0', '0.814897', '4223.88', '2', '5131.2', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7224', '7', '0', 'object/mobile/cll8_binary_load_lifter.iff', '0', '0.76536', '0', '-0.643602', '4208.89', '2', '5145.09', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7225', '7', '0', 'object/mobile/dressed_commoner_naboo_human_female_03.iff', '0', '0.493341', '0', '0.869836', '4232.36', '2', '5110.24', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7226', '7', '0', 'object/mobile/cll8_binary_load_lifter.iff', '0', '0.987536', '0', '0.157393', '4346.08', '2', '5094.9', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7227', '7', '0', 'object/mobile/eg6_power_droid.iff', '0', '-0.101706', '0', '0.994814', '4347.08', '2', '5093.9', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7228', '7', '0', 'object/mobile/dressed_aakuan_guardian_trandoshan_female_01.iff', '0', '0.999586', '0', '0.028781', '4176.43', '2', '5109.98', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7229', '7', '0', 'object/mobile/dressed_desperado_bith_male_01.iff', '0', '0.903063', '0', '0.429507', '4253.57', '2', '5141.63', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7230', '7', '0', 'object/mobile/dressed_fed_dub_constable_twk_male_01.iff', '0', '0.853129', '0', '0.5217', '4178.34', '2', '5114.18', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7231', '7', '0', 'object/mobile/dressed_fed_dub_patrolman_human_male_01.iff', '0', '0.853158', '0', '0.521653', '4176.48', '2', '5115.13', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7232', '7', '0', 'object/mobile/dressed_fed_dub_investigator_twk_male_01.iff', '0', '-0.52961', '0', '0.848241', '4176.93', '2', '5114.9', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7233', '7', '0', 'object/mobile/dressed_commoner_naboo_moncal_female_01.iff', '0', '0.872846', '0', '0.487996', '4164.28', '2', '5103.98', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7234', '7', '0', 'object/mobile/dressed_commoner_tatooine_rodian_male_01.iff', '0', '0.992556', '0', '-0.121788', '4177.79', '2', '5101.75', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7235', '7', '0', 'object/mobile/dressed_noble_human_female_02.iff', '0', '0', '0', '1', '4169.93', '2', '5097.25', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7236', '7', '0', 'object/mobile/dressed_criminal_pirate_human_male_01.iff', '0', '1', '0', '0', '4169.93', '2', '5098.25', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7237', '7', '0', 'object/mobile/dressed_commoner_tatooine_bith_female_06.iff', '0', '0.789968', '0', '-0.613148', '4238.06', '2', '5126.65', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7238', '7', '0', 'object/mobile/dressed_commoner_old_zabrak_female_02.iff', '0', '0.991827', '0', '-0.127593', '4334.85', '2', '5058.17', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7239', '7', '0', 'object/mobile/dressed_criminal_pirate_human_female_01.iff', '0', '0', '0', '1', '4332.89', '2', '5051.68', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7240', '7', '0', 'object/mobile/dressed_commoner_tatooine_bith_male_06.iff', '0', '1', '0', '0', '4332.89', '2', '5052.68', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7241', '7', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_07.iff', '0', '0.3478', '0', '0.937569', '4343.94', '2', '5078.72', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7242', '7', '0', 'object/mobile/dressed_commoner_tatooine_bith_female_01.iff', '0', '0.894617', '0', '-0.446834', '4338.26', '2', '5048.56', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7243', '7', '0', 'object/mobile/dressed_commoner_tatooine_devaronian_male_03.iff', '0', '-0.0571268', '0', '0.998367', '4346.26', '2', '5064.99', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7244', '7', '0', 'object/mobile/dressed_commoner_fat_twilek_male_01.iff', '0', '-0.139681', '0', '0.990197', '4363.41', '2', '5087.4', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7245', '7', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_08.iff', '0', '-0.470471', '0', '0.882415', '4385.1', '2', '5049.53', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7246', '7', '0', 'object/mobile/dressed_noble_old_zabrak_female_01.iff', '0', '1', '0', '0', '4376.54', '2', '5051.29', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7247', '7', '4265440', 'object/mobile/dressed_slooni_long.iff', '0', '-0.0864894', '0', '0.996253', '11.0187', '1.75', '-17.8981', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7248', '7', '0', 'object/mobile/dressed_commoner_naboo_zabrak_female_01.iff', '0', '0.748616', '0', '0.663004', '4388.77', '2', '5031.19', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7249', '7', '0', 'object/mobile/dressed_commoner_naboo_human_female_01.iff', '0', '0.501898', '0', '0.864927', '4373.33', '2', '5019.99', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7250', '7', '0', 'object/mobile/dressed_fed_dub_constable_twk_male_01.iff', '0', '0.560705', '0', '0.828016', '4370.94', '2', '5023.04', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7251', '7', '0', 'object/mobile/dressed_fed_dub_patrolman_human_male_01.iff', '0', '0.525406', '0', '0.850852', '4382.36', '2.38915', '5015.58', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7252', '7', '0', 'object/mobile/dressed_fed_dub_patrolman_human_male_01.iff', '0', '0.0603427', '0', '0.998178', '4368.05', '2.38492', '5009.76', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7253', '7', '0', 'object/mobile/dressed_fed_dub_constable_twk_male_01.iff', '0', '0.553234', '0', '0.833026', '4368.1', '2.44145', '5009.65', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7254', '7', '0', 'object/mobile/dressed_fed_dub_constable_twk_male_01.iff', '0', '0.00301201', '0', '0.999995', '4368.17', '2.45446', '5009.23', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7255', '7', '0', 'object/mobile/dressed_commoner_tatooine_bith_female_06.iff', '0', '0.0967824', '0', '0.995306', '4347.05', '2', '5112.91', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7256', '7', '0', 'object/mobile/dressed_commoner_artisan_bith_male_01.iff', '0', '0', '0', '1', '4376.54', '2', '5050.29', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7257', '7', '0', 'object/mobile/dressed_criminal_thug_human_male_02.iff', '0', '-0.36332', '0', '0.931665', '4509.32', '2', '5071.21', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7258', '7', '0', 'object/mobile/dressed_crook_zabrak_male_01.iff', '0', '-0.487802', '0', '0.872954', '4508.78', '2', '5079.43', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7259', '7', '0', 'object/mobile/dressed_criminal_thug_zabrak_male_01.iff', '0', '-0.495199', '0', '0.86878', '4507.65', '2', '5084.05', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7260', '7', '0', 'object/mobile/dressed_desperado_bith_female_01.iff', '0', '0.925246', '0', '0.379368', '4516.5', '2', '5076.88', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7261', '7', '0', 'object/mobile/dressed_commoner_tatooine_sullustan_male_03.iff', '0', '-0.415838', '0', '0.909439', '4526.13', '2', '5057.36', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7262', '7', '0', 'object/mobile/dressed_fed_dub_patrolman_human_female_01.iff', '0', '0.960966', '0', '0.276667', '4531.5', '2', '5035.55', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7263', '7', '0', 'object/mobile/dressed_fed_dub_constable_twk_male_01.iff', '0', '-0.143671', '0', '0.989626', '4529.8', '2', '5035.41', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7264', '7', '0', 'object/mobile/dressed_fed_dub_patrolman_human_female_01.iff', '0', '-0.143653', '0', '0.989628', '4530.69', '2', '5032.42', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7265', '7', '0', 'object/mobile/dressed_commoner_tatooine_devaronian_male_02.iff', '0', '0.983473', '0', '-0.181056', '4535.93', '2', '5113.65', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7266', '7', '0', 'object/mobile/dressed_criminal_smuggler_human_female_01.iff', '0', '1', '0', '0', '4535.24', '2', '5069.78', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7267', '7', '0', 'object/mobile/eg6_power_droid.iff', '0', '-0.162065', '0', '0.98678', '4533.97', '2', '5111.71', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7268', '7', '0', 'object/mobile/r4.iff', '0', '0.966435', '0', '-0.256912', '4531.97', '2', '5111.71', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7269', '7', '0', 'object/mobile/dressed_commoner_tatooine_bith_male_02.iff', '0', '0', '0', '1', '4477.16', '2', '5155.72', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7270', '7', '0', 'object/mobile/dressed_igbi_freemo.iff', '0', '0.95474', '0', '0.297443', '4541.09', '2', '5069.14', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7271', '7', '0', 'object/mobile/dressed_commoner_tatooine_trandoshan_male_01.iff', '0', '0.721885', '0', '-0.692013', '4538.23', '2', '5066.62', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7272', '7', '0', 'object/mobile/dressed_commoner_naboo_human_male_03.iff', '0', '0', '0', '1', '4548.71', '2', '5097.29', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7273', '7', '0', 'object/mobile/dressed_mercenary_weak_rod_m.iff', '0', '1', '0', '0', '4548.71', '2', '5098.29', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7274', '7', '0', 'object/mobile/dressed_commoner_naboo_zabrak_male_02.iff', '0', '0.974124', '0', '0.226014', '4552.86', '2', '5081.17', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7275', '7', '0', 'object/mobile/dressed_commoner_fat_zabrak_male_01.iff', '0', '0.858757', '0', '0.512384', '4554.85', '2', '5091.06', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7276', '7', '0', 'object/mobile/dressed_commoner_tatooine_ishitib_male_01.iff', '0', '0.421241', '0', '0.906949', '4554.59', '2', '5053.75', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7277', '7', '0', 'object/mobile/dressed_fed_dub_investigator_twk_female_01.iff', '0', '-0.455312', '0', '0.890332', '4524.64', '2', '5049.69', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7278', '7', '0', 'object/mobile/dressed_fed_dub_captain_twk_male_01.iff', '0', '-0.194595', '0', '0.980884', '4525', '2', '5047.07', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7279', '7', '0', 'object/mobile/dressed_eisley_officer_bothan_male_01.iff', '0', '0', '0', '1', '4535.24', '2', '5068.78', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7280', '7', '4265616', 'object/mobile/dressed_rebel_specforce_pathfinder_human_male_01.iff', '-0.164868', '-0.110771', '-0.0186373', '0.979898', '0.964849', '-5.26835', '-1.5557', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7281', '7', '4265616', 'object/mobile/dressed_commoner_tatooine_bith_female_04.iff', '0.018624', '0.97991', '-0.16484', '0.110712', '0.657737', '-4.79167', '-0.213913', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7282', '7', '4265616', 'object/mobile/dressed_mercenary_elite_medic_human_male_01.iff', '0.0390923', '0.861757', '-0.0671974', '0.501329', '-1.676', '-4.79167', '-0.0543475', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7283', '7', '4265614', 'object/mobile/dressed_durgur_pyne.iff', '7.65313e-09', '-0.149468', '1.15689e-09', '0.988767', '2.9496', '-0.0513746', '4.34809', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7284', '7', '4265477', 'object/mobile/21b_surgical_droid.iff', '0', '0.233926', '0', '0.972255', '-1.19', '0.184067', '-1.89', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7285', '7', '0', 'object/mobile/minor_sludge_panther.iff', '0', '0', '0', '0', '4196.24', '0', '979.33', '16', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7286', '7', '0', 'object/mobile/minor_sludge_panther.iff', '0', '0', '0', '0', '4268.44', '0', '1021.2', '20', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7287', '7', '0', 'object/mobile/greater_sludge_panther.iff', '0', '0', '0', '0', '4301.48', '0', '1030.38', '25', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7288', '7', '0', 'object/mobile/minor_sludge_panther.iff', '0', '0', '0', '0', '4295.22', '0', '1004.35', '16', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7289', '7', '0', 'object/mobile/greater_sludge_panther.iff', '0', '0', '0', '0', '4315.25', '0', '1018.6', '25', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7290', '7', '0', 'object/mobile/minor_sludge_panther.iff', '0', '0', '0', '0', '4194.07', '0', '1014.74', '20', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7291', '7', '0', 'object/mobile/minor_sludge_panther.iff', '0', '0', '0', '0', '4206.43', '0', '986.653', '16', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7292', '7', '0', 'object/mobile/minor_sludge_panther.iff', '0', '0', '0', '0', '4202.21', '0', '983.76', '16', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7293', '7', '0', 'object/mobile/greater_sludge_panther.iff', '0', '0', '0', '0', '4289.44', '0', '1036.69', '25', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7294', '7', '0', 'object/mobile/greater_sludge_panther.iff', '0', '0', '0', '0', '4216.96', '0', '999.267', '25', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7295', '7', '0', 'object/mobile/minor_sludge_panther.iff', '0', '0', '0', '0', '4206.74', '0', '995.194', '16', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7296', '7', '0', 'object/mobile/minor_sludge_panther.iff', '0', '0', '0', '0', '4290.37', '0', '991.952', '16', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7297', '7', '0', 'object/mobile/greater_sludge_panther.iff', '0', '0', '0', '0', '4219.84', '0', '993.825', '25', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7298', '7', '0', 'object/mobile/minor_sludge_panther.iff', '0', '0', '0', '0', '4200.91', '0', '990.732', '16', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7299', '7', '0', 'object/mobile/minor_sludge_panther.iff', '0', '0', '0', '0', '4290.11', '0', '995.686', '16', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7300', '7', '0', 'object/mobile/minor_sludge_panther.iff', '0', '0', '0', '0', '4297.61', '0', '996.008', '16', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7301', '7', '0', 'object/mobile/greater_sludge_panther.iff', '0', '0', '0', '0', '4220.46', '0', '1025.17', '25', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7302', '7', '0', 'object/mobile/minor_sludge_panther.iff', '0', '0', '0', '0', '4287.81', '0', '1003.91', '16', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7303', '7', '0', 'object/mobile/dressed_aakuan_guardian_trandoshan_female_01.iff', '0', '0', '0', '0', '5942.39', '0', '4641.45', '25', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('7304', '7', '0', 'object/mobile/dressed_aakuan_guardian_trandoshan_female_01.iff', '0', '0', '0', '0', '5932.09', '0', '4647.58', '25', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('7305', '7', '4255660', 'object/mobile/dressed_aakuan_champion_zabrak_female_01.iff', '0', '0', '0', '0', '180.405', '-66.1312', '-96.7529', '30', 'neutral', '128', '35', '1200');
INSERT INTO `world_server_static_spawns` VALUES ('7306', '7', '4255659', 'object/mobile/dressed_aakuan_steward_human_male_01.iff', '0', '0', '0', '0', '111.929', '-66.7113', '-95.6341', '14', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('7307', '7', '4255659', 'object/mobile/dressed_aakuan_steward_human_male_01.iff', '0', '0', '0', '0', '111.289', '-66.5355', '-96.9915', '14', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('7308', '7', '4255659', 'object/mobile/dressed_aakuan_steward_human_male_01.iff', '0', '0', '0', '0', '112.132', '-66.8817', '-93.48', '14', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('7309', '7', '4255659', 'object/mobile/dressed_aakuan_guardian_trandoshan_female_01.iff', '0', '0', '0', '0', '153.796', '-65.8254', '-128.359', '25', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('7310', '7', '4255659', 'object/mobile/dressed_aakuan_guardian_trandoshan_female_01.iff', '0', '0', '0', '0', '154.924', '-65.6852', '-129.548', '25', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('7311', '7', '4255659', 'object/mobile/dressed_aakuan_keeper_zabrak_male_01.iff', '0', '0', '0', '0', '151.906', '-65.9339', '-96.1495', '29', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('7312', '7', '4255659', 'object/mobile/dressed_aakuan_keeper_zabrak_male_01.iff', '0', '0', '0', '0', '151.728', '-65.882', '-96.6491', '29', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('7313', '7', '4255659', 'object/mobile/dressed_aakuan_keeper_zabrak_male_01.iff', '0', '0', '0', '0', '151.954', '-65.925', '-96.2266', '29', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('7314', '7', '4255658', 'object/mobile/dressed_aakuan_guardian_trandoshan_female_01.iff', '0', '0', '0', '0', '70.0401', '-66.4717', '-137.799', '25', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('7315', '7', '4255658', 'object/mobile/dressed_aakuan_guardian_trandoshan_female_01.iff', '0', '0', '0', '0', '69.8355', '-66.4156', '-137.959', '25', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('7316', '7', '4255657', 'object/mobile/dressed_aakuan_keeper_zabrak_male_01.iff', '0', '0', '0', '0', '53.2301', '-76.3553', '-86.4061', '29', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('7317', '7', '4255657', 'object/mobile/dressed_aakuan_keeper_zabrak_male_01.iff', '0', '0', '0', '0', '52.4329', '-76.3073', '-86.5664', '29', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('7318', '7', '4255656', 'object/mobile/dressed_aakuan_keeper_zabrak_male_01.iff', '0', '0', '0', '0', '93.606', '-46.5547', '-119.258', '29', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('7319', '7', '4255656', 'object/mobile/dressed_aakuan_keeper_zabrak_male_01.iff', '0', '0', '0', '0', '92.3839', '-46.3812', '-119.84', '29', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('7320', '7', '4255655', 'object/mobile/dressed_aakuan_steward_human_male_01.iff', '0', '0', '0', '0', '92.2115', '-76.0989', '-64.9607', '14', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('7321', '7', '4255655', 'object/mobile/dressed_aakuan_steward_human_male_01.iff', '0', '0', '0', '0', '92.7729', '-75.9467', '-65.5375', '14', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('7322', '7', '4255655', 'object/mobile/dressed_aakuan_steward_human_male_01.iff', '0', '0', '0', '0', '92.8713', '-75.9811', '-64.9079', '14', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('7323', '7', '4255655', 'object/mobile/dressed_aakuan_follower_trandoshan_male_01.iff', '0', '0', '0', '0', '92.5656', '-76.2007', '-80.7902', '11', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('7324', '7', '4255655', 'object/mobile/dressed_aakuan_follower_trandoshan_male_01.iff', '0', '0', '0', '0', '93.9197', '-75.8242', '-82.1994', '11', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('7325', '7', '4255655', 'object/mobile/dressed_aakuan_follower_trandoshan_male_01.iff', '0', '0', '0', '0', '93.3021', '-76.2337', '-79.2805', '11', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('7326', '7', '4255655', 'object/mobile/dressed_aakuan_guardian_trandoshan_female_01.iff', '0', '0', '0', '0', '84.0627', '-74.5044', '-53.071', '25', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('7327', '7', '4255655', 'object/mobile/dressed_aakuan_guardian_trandoshan_female_01.iff', '0', '0', '0', '0', '84.8313', '-74.7873', '-54.227', '25', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('7328', '7', '4255654', 'object/mobile/dressed_aakuan_follower_trandoshan_male_01.iff', '0', '0', '0', '0', '77.7467', '-67.34', '-32.9848', '11', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('7329', '7', '4255654', 'object/mobile/dressed_aakuan_follower_trandoshan_male_01.iff', '0', '0', '0', '0', '76.9277', '-67.4332', '-32.4632', '11', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('7330', '7', '4255654', 'object/mobile/dressed_aakuan_follower_trandoshan_male_01.iff', '0', '0', '0', '0', '75.9986', '-67.5723', '-32.946', '11', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('7331', '7', '4255654', 'object/mobile/dressed_aakuan_steward_human_male_01.iff', '0', '0', '0', '0', '82.4957', '-63.418', '-20.9472', '14', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('7332', '7', '4255654', 'object/mobile/dressed_aakuan_steward_human_male_01.iff', '0', '0', '0', '0', '82.6704', '-63.4034', '-20.8919', '14', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('7333', '7', '4255654', 'object/mobile/dressed_aakuan_steward_human_male_01.iff', '0', '0', '0', '0', '81.6898', '-63.3796', '-19.5748', '14', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('7334', '7', '4255654', 'object/mobile/dressed_aakuan_guardian_trandoshan_female_01.iff', '0', '0', '0', '0', '70.0252', '-58.1307', '-8.51188', '25', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('7335', '7', '4255654', 'object/mobile/dressed_aakuan_guardian_trandoshan_female_01.iff', '0', '0', '0', '0', '68.6963', '-57.2046', '-10.4129', '25', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('7336', '7', '4255653', 'object/mobile/dressed_aakuan_keeper_zabrak_male_01.iff', '0', '0', '0', '0', '43.2334', '-47.0781', '-7.6517', '13', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('7337', '7', '4255653', 'object/mobile/dressed_aakuan_keeper_zabrak_male_01.iff', '0', '0', '0', '0', '42.5468', '-46.6457', '-6.43418', '13', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('7338', '7', '4255653', 'object/mobile/dressed_aakuan_keeper_zabrak_male_01.iff', '0', '0', '0', '0', '42.6407', '-46.8785', '-8.81893', '13', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('7339', '7', '4255653', 'object/mobile/dressed_aakuan_steward_human_male_01.iff', '0', '0', '0', '0', '55.8997', '-68.4701', '-38.3251', '14', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('7340', '7', '4255653', 'object/mobile/dressed_aakuan_steward_human_male_01.iff', '0', '0', '0', '0', '57.1127', '-68.4151', '-37.1773', '14', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('7341', '7', '4255653', 'object/mobile/dressed_aakuan_defender_human_female_01.iff', '0', '0', '0', '0', '23.6742', '-38.8706', '-36.6167', '23', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('7342', '7', '4255653', 'object/mobile/dressed_aakuan_defender_human_female_01.iff', '0', '0', '0', '0', '24.7742', '-38.8025', '-36.6964', '23', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('7343', '8', '1177503', 'object/mobile/rancor_hue.iff', '0.000364623', '0.773185', '-0.000444544', '0.634181', '3.93472', '-10.9823', '45.0053', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7344', '8', '1177502', 'object/mobile/malakili.iff', '4.77341e-07', '0.202397', '-9.86539e-08', '0.979304', '19', '-11', '42', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7345', '8', '1177501', 'object/mobile/bomarr_monk_spider_droid.iff', '0', '0.971404', '0', '-0.237431', '-18', '3', '9', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7346', '8', '1177501', 'object/mobile/jawa_male.iff', '0', '0.999606', '0', '0.028063', '-8', '3', '20', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7347', '8', '1177501', 'object/mobile/jawa_male.iff', '0', '0.851034', '0', '0.525111', '-18', '3', '13', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7348', '8', '1177500', 'object/mobile/bomarr_monk_spider_droid.iff', '0', '0.533325', '0', '0.845879', '20.44', '11.1055', '2.09', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7349', '8', '1177499', 'object/mobile/barada.iff', '2.69163e-07', '0.990471', '-2.54889e-07', '0.137723', '30.57', '0.199999', '-1.05', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7350', '8', '1177499', 'object/mobile/eg6_power_droid.iff', '0', '0.196474', '0', '0.980509', '39.5982', '0.199998', '-1.70224', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7351', '8', '1177498', 'object/mobile/dressed_commoner_tatooine_aqualish_female_01.iff', '0', '0.360185', '0', '0.932881', '-15.43', '0.0999993', '87.68', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7352', '8', '1177497', 'object/mobile/dressed_commoner_tatooine_sullustan_male_01.iff', '0', '0.977606', '0', '-0.210444', '-10.88', '0.0999999', '87.49', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7353', '8', '1177496', 'object/mobile/dressed_commoner_tatooine_devaronian_male_04.iff', '0', '0.824655', '0', '0.565637', '-13.62', '0.0999999', '77.52', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7354', '8', '1177495', 'object/mobile/dressed_commoner_tatooine_rodian_male_02.iff', '0', '-0.242152', '0', '0.970238', '-10.07', '0.0999991', '77.54', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7355', '8', '1177494', 'object/mobile/dressed_commoner_tatooine_aqualish_female_08.iff', '0', '0.906212', '0', '-0.422823', '-38.7', '0.0999993', '88.24', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7356', '8', '1177493', 'object/mobile/dressed_commoner_tatooine_bith_male_01.iff', '0', '0.913457', '0', '-0.406936', '-34.48', '0.0999999', '88.22', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7357', '8', '1177492', 'object/mobile/dressed_commoner_tatooine_aqualish_male_05.iff', '0', '0.855779', '0', '-0.517342', '-37.43', '0.0999997', '76.85', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7358', '8', '1177491', 'object/mobile/dressed_commoner_naboo_twilek_male_02.iff', '0', '-0.262703', '0', '0.964877', '-33.83', '0.0999997', '76.58', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7359', '8', '1177490', 'object/mobile/gamorrean.iff', '0.00172233', '-0.65816', '0.00196924', '0.75284', '-17.4914', '6.6', '84.7047', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7360', '8', '1177489', 'object/mobile/bomarr_monk_spider_droid.iff', '0', '0.989487', '0', '-0.144622', '-18', '5.8', '73', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7361', '8', '1177489', 'object/mobile/gamorrean.iff', '0.000304884', '0.308511', '9.85578e-05', '0.951209', '-22.0577', '6.69338', '73.78', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7362', '8', '1177487', 'object/mobile/space_rebel_tier3_beissa.iff', '0', '-0.535416', '0', '0.844588', '8.11982', '2', '34.2394', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7363', '8', '1177487', 'object/mobile/oola.iff', '0', '-0.263593', '0', '0.964634', '-10', '2', '43', '15', 'themepark_oola', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7364', '8', '1177487', 'object/mobile/max_rebo.iff', '-8.4079e-09', '0.0708798', '5.97453e-10', '0.997485', '-11', '2', '36', '15', 'themepark_music_3', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7365', '8', '1177487', 'object/mobile/sy_snootles.iff', '-9.76514e-09', '-0.0824851', '-8.08233e-10', '0.996592', '-9', '2', '37', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7366', '8', '1177487', 'object/mobile/droopy_mccool.iff', '-8.64745e-09', '0.229739', '2.04125e-09', '0.973252', '-13', '2', '37', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7367', '8', '1177487', 'object/mobile/jabba_the_hutt.iff', '0.0346603', '0.801135', '-0.0466167', '0.595658', '-16.65', '2.81087', '45', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7368', '8', '1177487', 'object/mobile/3po_protocol_droid_red.iff', '-5.12053e-09', '0.86501', '8.82763e-09', '0.501755', '-15.07', '2', '45.9', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7369', '8', '1177487', 'object/mobile/boba_fett.iff', '0.0315697', '-0.31605', '0.0105232', '0.948159', '-1', '3', '31', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7370', '8', '1177487', 'object/mobile/salacious_crumb.iff', '0.0467981', '0.679426', '-0.0434989', '0.730957', '-16.29', '2.81087', '42.54', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7371', '8', '1177487', 'object/mobile/bib_fortuna.iff', '0', '0.999498', '0', '0.0316875', '-12.09', '2', '49.41', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7372', '8', '1177487', 'object/mobile/gamorrean.iff', '0', '0.999523', '0', '-0.030873', '-25', '3.6', '34', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7373', '8', '1177487', 'object/mobile/gamorrean.iff', '0', '0.993995', '0', '-0.109357', '-3.66057', '2', '38.0037', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7374', '8', '1177487', 'object/mobile/jawa_male.iff', '0', '0.535992', '0', '0.844223', '-1', '3', '25', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7375', '8', '1177487', 'object/mobile/jawa_male.iff', '6.89149e-08', '0.144689', '-1.00773e-08', '0.989477', '8.73', '2', '23.58', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7376', '8', '1177487', 'object/mobile/jawa_male.iff', '-1.00701e-08', '0.989492', '-6.89162e-08', '-0.144586', '9.22', '2', '25.22', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7377', '8', '1177487', 'object/mobile/dressed_goon_twk_male_01.iff', '2.21376e-08', '0.968837', '-8.65881e-08', '0.247699', '-1.64', '3', '26.17', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7378', '8', '1177487', 'object/mobile/dressed_ruffian_zabrak_female_01.iff', '1.55968e-08', '0.985287', '-8.99151e-08', '0.170909', '-8.44', '3', '21.23', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7379', '8', '1177487', 'object/mobile/dressed_hooligan_rodian_male_01.iff', '0', '0.000939573', '0', '1', '5', '2', '44', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7380', '8', '1177487', 'object/mobile/dressed_commoner_old_zabrak_female_02.iff', '3.78036e-11', '1', '3.9788e-08', '-0.000950124', '5.00277', '2', '45.498', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7381', '8', '1177487', 'object/mobile/dressed_criminal_pirate_human_male_01.iff', '9.71901e-08', '-0.471831', '5.20107e-08', '0.881689', '-9', '3', '25', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7382', '8', '1177487', 'object/mobile/dressed_goon_twk_female_01.iff', '0', '1', '0', '2.2245e-05', '1.08', '2', '36.7', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7383', '8', '1177487', 'object/mobile/dressed_criminal_slicer_human_male_01.iff', '0', '0.994306', '0', '0.106561', '-9', '2', '51', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7384', '8', '1177487', 'object/mobile/dressed_commoner_tatooine_aqualish_male_04.iff', '0', '-0.106549', '0', '0.994307', '-8.69', '2', '49.57', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7385', '8', '1177487', 'object/mobile/dressed_criminal_smuggler_human_male_01.iff', '0', '0.0761387', '0', '0.997097', '-5.88', '2', '43.07', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7386', '8', '1177487', 'object/mobile/dressed_criminal_smuggler_human_female_01.iff', '0', '0.997083', '0', '-0.0763267', '-5.72', '2', '44.11', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7387', '8', '1177487', 'object/mobile/dressed_criminal_thug_aqualish_female_02.iff', '0', '0.738988', '0', '-0.673719', '-14.32', '2', '52.08', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7388', '8', '1177487', 'object/mobile/dressed_mugger.iff', '0', '0.673675', '0', '0.739028', '-15.83', '2', '51.94', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7389', '8', '1177487', 'object/mobile/dressed_criminal_thug_trandoshan_male_01.iff', '5.19932e-08', '0.881694', '-9.71599e-08', '0.471821', '-9.9', '3', '25.6', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7390', '8', '1177487', 'object/mobile/dressed_crook_zabrak_male_01.iff', '0', '-7.43169e-05', '0', '1', '1.08', '2', '35.07', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7391', '8', '1177487', 'object/mobile/gamorrean.iff', '0', '0.998018', '0', '0.0625657', '6', '2', '26', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7392', '8', '1177481', 'object/mobile/jawa_male.iff', '0', '0.390868', '0', '0.920447', '-38', '3', '53', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7393', '8', '1177481', 'object/mobile/gamorrean.iff', '0', '0.741372', '0', '-0.671074', '-34.5003', '3', '53.421', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7394', '8', '1177480', 'object/mobile/gamorrean.iff', '-1.59431e-08', '0.699268', '1.63209e-08', '0.714816', '-3.72202', '0.199998', '82.5809', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7395', '8', '1177479', 'object/mobile/ev_9d9.iff', '0', '-0.404379', '0', '0.914591', '24.47', '0.2', '87.86', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7396', '8', '1177479', 'object/mobile/r2.iff', '0', '-0.684253', '0', '0.729244', '19.73', '0.2', '90.51', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7397', '8', '1177479', 'object/mobile/ra7_bug_droid.iff', '0', '0.827259', '0', '0.561821', '13.33', '0.2', '88.72', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7398', '8', '1177479', 'object/mobile/3po_protocol_droid_red.iff', '0', '0.949958', '0', '-0.312377', '10.71', '0.2', '84.27', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7399', '8', '1177479', 'object/mobile/eg6_power_droid.iff', '0', '0.905565', '0', '0.424208', '15.7825', '0.2', '82.5843', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7400', '8', '1177479', 'object/mobile/le_repair_droid.iff', '0', '0.908676', '0', '0.417501', '23.67', '0.2', '76.43', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7401', '8', '1177477', 'object/mobile/dressed_porcellus.iff', '-5.04257e-08', '-0.449207', '-2.53536e-08', '0.893428', '-43', '3', '64', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7402', '8', '1177476', 'object/mobile/gamorrean.iff', '0', '0.702344', '0', '0.711838', '-30.78', '0.199997', '82.64', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7403', '8', '1177474', 'object/mobile/gamorrean.iff', '0.00364751', '0.749504', '0.0470283', '0.660261', '-28.049', '3', '60.9459', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7404', '8', '1177474', 'object/mobile/jawa_male.iff', '0', '0.980262', '0', '0.197704', '-23', '3', '59', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7405', '8', '1177474', 'object/mobile/jawa_male.iff', '0', '1', '0', '-5.6732e-05', '-23', '3', '61', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7406', '8', '1177474', 'object/mobile/dressed_criminal_slicer_human_male_01.iff', '0', '-0.677857', '0', '0.735194', '-9.76385', '3', '59.7615', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7407', '8', '1177473', 'object/mobile/gamorrean.iff', '0', '-0.0844331', '0', '0.996409', '29.8974', '-7.05656', '52.4332', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7408', '8', '1177472', 'object/mobile/jawa_male.iff', '8.24469e-09', '0.999965', '-9.83018e-07', '0.00838683', '29.42', '0.199999', '46.58', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7409', '8', '1177472', 'object/mobile/jawa_male.iff', '9.8291e-07', '-0.00833705', '8.19486e-09', '0.999965', '29.44', '0.199999', '45.39', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7410', '8', '1177472', 'object/mobile/bomarr_monk_spider_droid.iff', '0', '-0.0267192', '0', '0.999627', '27.4073', '0.199999', '43.6965', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7411', '8', '1177470', 'object/mobile/gamorrean.iff', '-6.22638e-07', '-0.229707', '-1.46954e-07', '0.97326', '10', '5.8', '71', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7412', '8', '1177470', 'object/mobile/dressed_ruffian_zabrak_female_01.iff', '-1.22454e-07', '0.973265', '5.18883e-07', '0.229686', '9', '5.8', '73', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7413', '8', '1177470', 'object/mobile/bomarr_monk_spider_droid.iff', '0', '1', '0', '-1.67249e-05', '4.00717', '5.8', '72.1349', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7414', '8', '1177469', 'object/mobile/dressed_corvette_neutral_bronell.iff', '1.6204e-09', '0.999985', '2.91971e-07', '-0.00554978', '-6.70663', '5.8', '97.8841', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7415', '8', '1177469', 'object/mobile/ephant_mon.iff', '1.79926e-07', '-0.659523', '1.57866e-07', '0.751684', '-6', '5.85', '84', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7416', '8', '1177468', 'object/mobile/gamorrean.iff', '-0.000777848', '0.873497', '-1.12392e-05', '0.48678', '11.1833', '1.80934', '103.036', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7417', '8', '1177468', 'object/mobile/gamorrean.iff', '0.00154132', '0.684663', '0.000672166', '0.728802', '9.77692', '5.2153', '95.8079', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7418', '8', '1177467', 'object/mobile/bomarr_monk_spider_droid.iff', '0', '0.677773', '0', '0.735237', '4.21324', '0.2', '104.694', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7419', '8', '1177466', 'object/mobile/reelo_baruk.iff', '0', '0.453944', '0', '0.89103', '-2', '0.199999', '113.01', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7420', '8', '1177466', 'object/mobile/gran_male.iff', '-0.00330479', '0.825066', '-0.00482592', '-0.565006', '5.97', '0.299998', '116.1', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7421', '8', '1177466', 'object/mobile/junk_ollobo.iff', '0', '0.0845307', '0', '0.996421', '-6.35875', '0.199999', '134.272', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7422', '8', '1177466', 'object/mobile/dressed_corvette_neutral_bruce.iff', '4.30824e-07', '-0.558816', '2.90309e-07', '0.829292', '7.71724', '0.2', '130.294', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7423', '8', '0', 'object/mobile/dressed_tatooine_jabba_henchman.iff', '0', '0.540971', '0', '0.841041', '-5868.38', '90', '-6199.5', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7424', '8', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_04.iff', '0', '0.508568', '0', '0.861022', '83.9686', '52', '-5390.23', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7425', '8', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_02.iff', '0', '0.798969', '0', '0.601373', '74.6127', '52', '-5382.24', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7426', '8', '0', 'object/mobile/dressed_commoner_old_twilek_female_02.iff', '0', '-0.304111', '0', '0.952637', '73.2491', '52', '-5329.48', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7427', '8', '0', 'object/mobile/dressed_commoner_tatooine_bith_female_02.iff', '0', '-0.629341', '0', '0.777129', '59.0963', '52', '-5342.29', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7428', '8', '0', 'object/mobile/dressed_commoner_tatooine_sullustan_male_04.iff', '0', '0.999996', '0', '0.00292428', '39.6087', '52', '-5345.06', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7429', '8', '0', 'object/mobile/dressed_commoner_old_human_male_02.iff', '0', '-0.0136263', '0', '0.999907', '70.2339', '52', '-5316.54', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7430', '8', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_02.iff', '0', '0.950131', '0', '0.311852', '150.383', '52', '-5327.33', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7431', '8', '0', 'object/mobile/dressed_commoner_fat_twilek_female_01.iff', '0', '0.700697', '0', '0.713459', '123.408', '52', '-5377.31', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7432', '8', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_04.iff', '0', '0.705101', '0', '0.709107', '114.69', '52', '-5404.19', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7433', '8', '0', 'object/mobile/dressed_commoner_naboo_human_male_03.iff', '0', '0.552074', '0', '0.833795', '134.869', '52', '-5333.14', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7434', '8', '0', 'object/mobile/dressed_rebel_crewman_human_female_01.iff', '0', '0.31071', '0', '0.950505', '47.5078', '52', '-5354.92', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7435', '8', '0', 'object/mobile/dressed_rebel_crewman_human_male_03.iff', '0', '0.999391', '0', '-0.0348995', '55.2', '52.6', '-5332.5', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7436', '8', '0', 'object/mobile/dressed_rebel_crewman_human_male_04.iff', '0', '0.960452', '0', '-0.278447', '65.685', '83.5151', '-5249.49', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7437', '8', '0', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0.325568', '0', '0.945519', '123.6', '52', '-5368', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7438', '8', '0', 'object/mobile/dressed_rebel_trooper_human_female_01.iff', '0', '-0.398749', '0', '0.91706', '89.9', '52', '-5393.8', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7439', '8', '0', 'object/mobile/dressed_rebel_trooper_human_male_01.iff', '0', '0.707107', '0', '-0.707107', '31', '51.9725', '-5337', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7440', '8', '0', 'object/mobile/dressed_rebel_trooper_human_male_01.iff', '-0.139492', '-0.125186', '-0.18181', '0.965306', '76.5', '52', '-5361.1', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7441', '8', '0', 'object/mobile/r4.iff', '0', '0.999908', '0', '0.0135992', '75.9409', '52', '-5355.36', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7442', '8', '0', 'object/mobile/dressed_rebel_trooper_sullustan_male_01.iff', '0', '0.904545', '0', '-0.426379', '63.8586', '52', '-5382.74', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7443', '8', '0', 'object/mobile/r3.iff', '0', '0.0197621', '0', '0.999805', '116.569', '52', '-5341.57', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7444', '8', '0', 'object/mobile/dressed_rebel_specforce_captain_moncal_female_01.iff', '0', '0.960368', '0', '0.278735', '55.4961', '52', '-5369.79', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7445', '8', '0', 'object/mobile/dressed_rebel_trooper_sullustan_male_01.iff', '0.09437', '0.308914', '-0.0308197', '0.945895', '151', '52', '-5316', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7446', '8', '0', 'object/mobile/dressed_rebel_trooper_twk_male_01.iff', '0.0553025', '-0.244176', '0.00113377', '0.968152', '159', '52', '-5320', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7447', '8', '0', 'object/mobile/dressed_rebel_specforce_captain_rodian_female_01.iff', '-0.00596517', '0.977858', '-0.0253232', '-0.207644', '31.4', '51.1006', '-5350.3', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7448', '8', '0', 'object/mobile/dressed_rebel_crewman_human_female_02.iff', '0', '-0.649448', '0', '0.760406', '125.5', '52', '-5416', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7449', '8', '0', 'object/mobile/scyk.iff', '0', '0', '0', '0', '3.34558', '0', '-5245.25', '12', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7450', '8', '0', 'object/mobile/cu_pa.iff', '0', '0', '0', '0', '81.1976', '0', '-5200.6', '11', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7451', '8', '0', 'object/mobile/cu_pa.iff', '0', '0', '0', '0', '75.5625', '0', '-5217.41', '11', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7452', '8', '0', 'object/mobile/scyk.iff', '0', '0', '0', '0', '-4.51558', '0', '-5226.49', '12', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7453', '8', '0', 'object/mobile/scyk.iff', '0', '0', '0', '0', '-26.4483', '0', '-5227.67', '12', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7454', '8', '0', 'object/mobile/dressed_artisan_trainer_03.iff', '0', '0', '0', '1', '-108.399', '65', '-5298.05', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7455', '8', '0', 'object/mobile/dressed_commoner_naboo_human_female_04.iff', '0', '1', '0', '0', '-108.399', '65', '-5297.05', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7456', '8', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_06.iff', '0', '0.815174', '0', '-0.579216', '-144.579', '65', '-5301.04', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7457', '8', '0', 'object/mobile/dressed_commoner_naboo_human_male_06.iff', '0', '0', '0', '1', '-143.907', '65', '-5335.05', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7458', '8', '0', 'object/mobile/dressed_mercenary_weak_hum_f.iff', '0', '1', '0', '0', '-143.907', '65', '-5334.05', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7459', '8', '0', 'object/mobile/dressed_bountyhunter_trainer_03.iff', '0', '0', '0', '1', '-162.748', '65', '-5312.84', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7460', '8', '0', 'object/mobile/dressed_mercenary_weak_hum_f.iff', '0', '1', '0', '0', '-162.748', '65', '-5311.84', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7461', '8', '0', 'object/mobile/r3.iff', '0', '0.74457', '0', '0.667544', '-180.482', '65', '-5314.98', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7462', '8', '0', 'object/mobile/cu_pa.iff', '0', '0', '0', '0', '14.564', '0', '-5543.66', '11', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7463', '8', '0', 'object/mobile/cu_pa.iff', '0', '0', '0', '0', '26.8762', '0', '-5564.46', '11', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7464', '8', '0', 'object/mobile/zucca_boar.iff', '0', '0', '0', '0', '-35.6792', '0', '-5439.35', '10', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7465', '8', '0', 'object/mobile/scyk.iff', '0', '0', '0', '0', '16.8025', '0', '-5249.62', '12', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7466', '8', '0', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0.66262', '0', '0.748956', '135.1', '52', '-5374.9', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7467', '8', '0', 'object/mobile/dressed_commoner_tatooine_bith_female_05.iff', '0', '0.966186', '0', '-0.257848', '145.911', '52', '-5336.3', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7468', '8', '1213345', 'object/mobile/dressed_commoner_tatooine_sullustan_male_06.iff', '0.0122521', '0.998317', '-0.0483701', '0.0295515', '-9.58703', '0.408271', '0.574718', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7469', '8', '1213345', 'object/mobile/dressed_commoner_tatooine_rodian_female_01.iff', '1.32205e-06', '-0.341111', '4.79724e-07', '0.940023', '9.51111', '0.408271', '-0.736723', '15', 'scared', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7470', '8', '0', 'object/mobile/bantha.iff', '0', '0', '0', '0', '399.756', '0', '-5387.44', '15', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7471', '8', '0', 'object/mobile/cu_pa.iff', '0', '0', '0', '0', '163.943', '0', '-5473.22', '11', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7472', '8', '0', 'object/mobile/cu_pa.iff', '0', '0', '0', '0', '210.837', '0', '-5464.01', '11', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7473', '8', '0', 'object/mobile/cu_pa.iff', '0', '0', '0', '0', '188.14', '0', '-5485.52', '11', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7474', '8', '0', 'object/mobile/cu_pa.iff', '0', '0', '0', '0', '186.305', '0', '-5467.36', '11', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7475', '8', '0', 'object/mobile/cu_pa.iff', '0', '0', '0', '0', '166.736', '0', '-5483.28', '11', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7476', '8', '0', 'object/mobile/zucca_boar.iff', '0', '0', '0', '0', '176.37', '0', '-5228.44', '10', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7477', '8', '0', 'object/mobile/zucca_boar.iff', '0', '0', '0', '0', '171.993', '0', '-5229.99', '10', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7478', '8', '0', 'object/mobile/zucca_boar.iff', '0', '0', '0', '0', '177.37', '0', '-5227.44', '10', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7479', '8', '0', 'object/mobile/greater_desert_womp_rat.iff', '0', '0', '0', '0', '-45.7581', '0', '-5504.03', '10', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7480', '8', '0', 'object/mobile/greater_desert_womp_rat.iff', '0', '0', '0', '0', '-61.3009', '0', '-5500.32', '10', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7481', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '-48.0791', '0', '-5495.22', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7482', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '-52.9734', '0', '-5504.39', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7483', '8', '0', 'object/mobile/worrt.iff', '0', '0', '0', '0', '-56.0708', '0', '-5514.73', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7484', '8', '0', 'object/mobile/worrt.iff', '0', '0', '0', '0', '-30.9649', '0', '-5499.53', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7485', '8', '0', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '-1338.05', '0', '-3955.09', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7486', '8', '0', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '-1344.38', '0', '-3946', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7487', '8', '0', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '-1349.24', '0', '-3952', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7488', '8', '0', 'object/mobile/rock_mite.iff', '0', '0', '0', '0', '-878.477', '0', '-3563.97', '8', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7489', '8', '0', 'object/mobile/rock_mite.iff', '0', '0', '0', '0', '-883.838', '0', '-3539.59', '8', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7490', '8', '0', 'object/mobile/rock_mite.iff', '0', '0', '0', '0', '-878.372', '0', '-3541.01', '8', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7491', '8', '0', 'object/mobile/rock_mite.iff', '0', '0', '0', '0', '-1554.46', '0', '-3584.26', '8', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7492', '8', '0', 'object/mobile/rock_mite.iff', '0', '0', '0', '0', '-1546.58', '0', '-3579.77', '8', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7493', '8', '0', 'object/mobile/rock_mite.iff', '0', '0', '0', '0', '-1548.37', '0', '-3566.38', '8', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7494', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '-1247.61', '0', '3832.9', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7495', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '-1235', '0', '3823.24', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7496', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '-1249.52', '0', '3828.98', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7497', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '-1238.72', '0', '3835.26', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7498', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '-1032.42', '0', '-3815.71', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7499', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '-1030.97', '0', '-3801.92', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7500', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '-1032.92', '0', '-3808.46', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7501', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '-1003.24', '0', '-3813.37', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7502', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '-1023.21', '0', '-3812.59', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7503', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '-1255.23', '0', '-3417.95', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7504', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '-1269.27', '0', '-3418.13', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7505', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '-1263.63', '0', '-3398.62', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7506', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '-1239.57', '0', '-3425.17', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7507', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '-1421.81', '0', '-3452.62', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7508', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '-1403.52', '0', '-3447.42', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7509', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '-1415.75', '0', '-3448.13', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7510', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '-1416.65', '0', '-3449.01', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7511', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '-1406.11', '0', '-3455.53', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7512', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '-1523', '0', '-3533.1', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7513', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '-1520.03', '0', '-3531', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7514', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '-1509.93', '0', '-3542.73', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7515', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '-1520.56', '0', '-3540.98', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7516', '8', '0', 'object/mobile/dwarf_nuna.iff', '0', '0', '0', '0', '-1112.99', '0', '-3751.77', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7517', '8', '0', 'object/mobile/dwarf_nuna.iff', '0', '0', '0', '0', '-1104.14', '0', '-3746.28', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7518', '8', '0', 'object/mobile/dwarf_nuna.iff', '0', '0', '0', '0', '-1093.08', '0', '-3759.54', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7519', '8', '0', 'object/mobile/dwarf_nuna.iff', '0', '0', '0', '0', '-1114.46', '0', '-3755.97', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7520', '8', '0', 'object/mobile/dwarf_nuna.iff', '0', '0', '0', '0', '-1099.78', '0', '-3770.58', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7521', '8', '0', 'object/mobile/dwarf_nuna.iff', '0', '0', '0', '0', '-1465.55', '0', '-3445.08', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7522', '8', '0', 'object/mobile/dwarf_nuna.iff', '0', '0', '0', '0', '-1459.03', '0', '-3464.84', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7523', '8', '0', 'object/mobile/dwarf_nuna.iff', '0', '0', '0', '0', '-1445.46', '0', '-3455.31', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7524', '8', '0', 'object/mobile/dwarf_nuna.iff', '0', '0', '0', '0', '-1459.54', '0', '-3453.59', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7525', '8', '0', 'object/mobile/worrt.iff', '0', '0', '0', '0', '-1158.22', '0', '-3724.73', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7526', '8', '0', 'object/mobile/worrt.iff', '0', '0', '0', '0', '-1170.58', '0', '-3730.77', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7527', '8', '0', 'object/mobile/worrt.iff', '0', '0', '0', '0', '-1175.57', '0', '-3719.64', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7528', '8', '0', 'object/mobile/worrt.iff', '0', '0', '0', '0', '-1165.77', '0', '-3723.6', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7529', '8', '0', 'object/mobile/worrt.iff', '0', '0', '0', '0', '-1532', '0', '-3672.07', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7530', '8', '0', 'object/mobile/worrt.iff', '0', '0', '0', '0', '-1535.46', '0', '-3660.09', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7531', '8', '0', 'object/mobile/worrt.iff', '0', '0', '0', '0', '-1543.74', '0', '-3669.75', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7532', '8', '0', 'object/mobile/worrt.iff', '0', '0', '0', '0', '-1543.53', '0', '-3666.5', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7533', '8', '0', 'object/mobile/worrt.iff', '0', '0', '0', '0', '-1539.73', '0', '-3676.02', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7534', '8', '0', 'object/mobile/greater_desert_womp_rat.iff', '0', '0', '0', '0', '-1249.9', '0', '3822.56', '10', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7535', '8', '0', 'object/mobile/greater_desert_womp_rat.iff', '0', '0', '0', '0', '-1240.05', '0', '3823.94', '10', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7536', '8', '0', 'object/mobile/kreetle.iff', '0', '0', '0', '0', '-910.671', '0', '-3655.69', '3', 'neutral', '128', '3', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7537', '8', '0', 'object/mobile/kreetle.iff', '0', '0', '0', '0', '-905.783', '0', '-3638.7', '3', 'neutral', '128', '3', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7538', '8', '0', 'object/mobile/kreetle.iff', '0', '0', '0', '0', '-913.035', '0', '-3645', '3', 'neutral', '128', '3', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7539', '8', '0', 'object/mobile/kreetle.iff', '0', '0', '0', '0', '-919.368', '0', '-3631.24', '3', 'neutral', '128', '3', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7540', '8', '0', 'object/mobile/kreetle.iff', '0', '0', '0', '0', '-913.941', '0', '-3638.05', '3', 'neutral', '128', '3', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7541', '8', '0', 'object/mobile/kreetle.iff', '0', '0', '0', '0', '-1583.85', '0', '-3794.75', '3', 'neutral', '128', '3', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7542', '8', '0', 'object/mobile/kreetle.iff', '0', '0', '0', '0', '-1593.82', '0', '-3783.65', '3', 'neutral', '128', '3', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7543', '8', '0', 'object/mobile/kreetle.iff', '0', '0', '0', '0', '-1588.34', '0', '-3789.58', '3', 'neutral', '128', '3', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7544', '8', '0', 'object/mobile/kreetle.iff', '0', '0', '0', '0', '-822.947', '0', '-3924.23', '3', 'neutral', '128', '3', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7545', '8', '0', 'object/mobile/kreetle.iff', '0', '0', '0', '0', '-816.359', '0', '-3932.93', '3', 'neutral', '128', '3', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7546', '8', '0', 'object/mobile/kreetle.iff', '0', '0', '0', '0', '-815.726', '0', '-3917.09', '3', 'neutral', '128', '3', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7547', '8', '0', 'object/mobile/kreetle.iff', '0', '0', '0', '0', '-825.574', '0', '-3916.97', '3', 'neutral', '128', '3', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7548', '8', '0', 'object/mobile/dressed_commoner_fat_human_male_01.iff', '0', '-0.655452', '0', '0.755237', '-1252.5', '12', '-3617.35', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7549', '8', '0', 'object/mobile/dressed_imperial_officer_m_3.iff', '0', '0.991445', '0', '0.130526', '-1278.5', '12.5279', '-3643.1', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7550', '8', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '0', '0.713357', '0', '-0.700801', '-1368.48', '12', '-3725.42', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7551', '8', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '0', '-0.00886521', '0', '0.999961', '-1368.37', '12', '-3724.17', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7552', '8', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '0', '0.864872', '0', '0.501992', '-1378.4', '12', '-3712.53', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7553', '8', '0', 'object/mobile/dressed_bestine_rumor12.iff', '0', '-0.489959', '0', '0.871746', '-1291.36', '12', '-3634.94', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7554', '8', '0', 'object/mobile/dressed_victor_questp_hospital.iff', '0', '0.389406', '0', '0.921066', '-1294.3', '12', '-3500.88', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7555', '8', '0', 'object/mobile/dressed_commoner_fat_human_female_01.iff', '0', '0.62202', '0', '0.783002', '-1358.9', '12', '-3504.1', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7556', '8', '0', 'object/mobile/dressed_commoner_naboo_twilek_male_02.iff', '0', '0.986493', '0', '-0.163801', '-1464.81', '12', '-3561.05', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7557', '8', '0', 'object/mobile/dressed_commoner_tatooine_sullustan_male_05.iff', '0', '0.879349', '0', '-0.476177', '-1429', '12', '-3628.03', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7558', '8', '0', 'object/mobile/dressed_commoner_tatooine_ishitib_male_03.iff', '0', '0.299125', '0', '0.954214', '-1404.76', '12', '-3636.5', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7559', '8', '0', 'object/mobile/dressed_commoner_tatooine_rodian_male_04.iff', '0', '0.998514', '0', '-0.0544972', '-1320.46', '12', '-3633.41', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7560', '8', '0', 'object/mobile/dressed_corvette_imperial_sabol.iff', '0', '-0.115092', '0', '0.993355', '-1291.67', '12', '-3539', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7561', '8', '0', 'object/mobile/space_greeter_bestine_bookie.iff', '0', '-0.66726', '0', '0.744825', '-1288.15', '12', '-3588.42', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7562', '8', '0', 'object/mobile/dressed_imperial_lieutenant_m.iff', '0', '0.99594', '0', '0.0900162', '-1287.3', '12', '-3587.16', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7563', '8', '0', 'object/mobile/dressed_scout_trooper_black_black.iff', '0', '0.91706', '0', '0.398749', '-1292.8', '12', '-3585.5', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7564', '8', '0', 'object/mobile/dressed_goon_twk_male_01.iff', '0', '0.971981', '0', '-0.23506', '-1257.34', '12', '-3539.31', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7565', '8', '0', 'object/mobile/dressed_noble_twilek_male_01.iff', '0', '-0.648132', '0', '0.761528', '-1250.18', '12', '-3545.35', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7566', '8', '0', 'object/mobile/dressed_commoner_fat_twilek_female_01.iff', '0', '0.864747', '0', '0.502207', '-1268.02', '12', '-3531.37', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7567', '8', '0', 'object/mobile/dressed_combatmedic_trainer_rodian_male_01.iff', '0', '0.0516722', '0', '0.998664', '-1271.82', '12', '-3601.08', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7568', '8', '0', 'object/mobile/dressed_imperial_colonel_m.iff', '0', '-0.63138', '0', '0.775473', '-1299.74', '12', '-3507.22', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7569', '8', '0', 'object/mobile/dressed_commoner_old_human_female_02.iff', '0', '-0.164537', '0', '0.986371', '-1283.53', '12', '-3559.37', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7570', '8', '0', 'object/mobile/dressed_commoner_fat_twilek_male_02.iff', '0', '-0.0696865', '0', '0.997569', '-1279.47', '12', '-3584.64', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7571', '8', '0', 'object/mobile/dressed_commoner_tatooine_trandoshan_male_01.iff', '0', '0.845948', '0', '-0.533265', '-1291.57', '12', '-3618.78', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7572', '8', '0', 'object/mobile/dressed_commoner_naboo_human_female_05.iff', '0', '0.232619', '0', '0.972568', '-1311.62', '12', '-3674.36', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7573', '8', '0', 'object/mobile/dressed_imperial_captain_m.iff', '0', '0.943918', '0', '-0.330181', '-1307.46', '12', '-3662.44', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7574', '8', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '-0.00555766', '0.357429', '-0.0369811', '0.933192', '-1455.96', '12', '-3650.25', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7575', '8', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '-0.00684323', '0.383002', '-0.0374809', '0.922961', '-1454.87', '12', '-3651.05', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7576', '8', '0', 'object/mobile/dark_trooper.iff', '-0.00793018', '0.357306', '-0.0336745', '0.933347', '-1453', '12', '-3646.95', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7577', '8', '0', 'object/mobile/dressed_imperial_officer_m_6.iff', '0', '-0.492416', '0', '0.87036', '-1243.9', '12', '-3550.55', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7578', '8', '1028647', 'object/mobile/dressed_commoner_tatooine_aqualish_male_05.iff', '0', '0.287585', '0', '0.957755', '-11.1901', '-0.894992', '1.50145', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7579', '8', '1028646', 'object/mobile/dressed_victor_questn_cantina.iff', '-4.48012e-09', '0.134897', '2.62352e-09', '0.99086', '32.2473', '0.105', '-7.74246', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7580', '8', '0', 'object/mobile/dark_trooper.iff', '0', '0.943396', '0', '0.33167', '-1428.52', '12', '-3730.88', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7581', '8', '0', 'object/mobile/dark_trooper.iff', '0', '0', '0', '0', '-1430.36', '0', '-3728.58', '35', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7582', '8', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '0', '0.943408', '0', '0.331635', '-1429.92', '12', '-3731.49', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7583', '8', '0', 'object/mobile/cll8_binary_load_lifter.iff', '0', '0.940006', '0', '0.341158', '-1402.49', '9.99327', '-3756.82', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7584', '8', '0', 'object/mobile/dressed_commoner_tatooine_bith_female_05.iff', '0', '0.268858', '0', '0.96318', '-1347.58', '12', '-3695.99', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7585', '8', '0', 'object/mobile/dressed_scout_trooper_black_black.iff', '0', '0.89613', '0', '0.443792', '-1231.81', '12', '-3605.85', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7586', '8', '0', 'object/mobile/dressed_commoner_tatooine_trandoshan_male_01.iff', '0', '0.780617', '0', '-0.625009', '-1226.87', '12', '-3628.59', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7587', '8', '0', 'object/mobile/dressed_commoner_fat_human_female_02.iff', '0', '0.347901', '0', '0.937531', '-1213.04', '12', '-3629.94', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7588', '8', '0', 'object/mobile/dressed_bestine_rumor03.iff', '0', '0.229568', '0', '0.973293', '-1211.37', '12', '-3637.48', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7589', '8', '0', 'object/mobile/dressed_noble_old_human_male_01.iff', '0', '0.880944', '0', '-0.473221', '-1203.12', '12', '-3612.74', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7590', '8', '0', 'object/mobile/dressed_commoner_tatooine_sullustan_male_01.iff', '0', '0.245718', '0', '0.969341', '-1200.16', '12', '-3631.89', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7591', '8', '0', 'object/mobile/dressed_commoner_tatooine_rodian_male_01.iff', '0', '0.35232', '0', '0.93588', '-1216.2', '12', '-3549.61', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7592', '8', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '0', '0.905543', '0', '0.424254', '-1194.82', '12', '-3633.75', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7593', '8', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '-0.160907', '0.750594', '-0.120915', '-0.629362', '-1287.05', '12', '-3488.57', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7594', '8', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '0.120162', '0.952437', '-0.277381', '-0.0385208', '-1280.46', '12', '-3495.2', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7595', '8', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '-0.349559', '-0.279726', '-0.0480807', '0.892889', '-1283.8', '12', '-3480.4', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7596', '8', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '0', '0', '0', '1', '-1275.6', '12', '-3479.9', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7597', '8', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '0.298393', '0.80034', '-0.171525', '-0.490914', '-1276.75', '12', '-3480.43', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7598', '8', '0', 'object/mobile/dressed_bestine_rumor02.iff', '0', '0.643573', '0', '0.765385', '-1205.68', '12', '-3539.64', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7599', '8', '0', 'object/mobile/dressed_goon_twk_male_01.iff', '0', '0.970517', '0', '0.241035', '-1190.52', '12', '-3631.94', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7600', '8', '0', 'object/mobile/dressed_commoner_tatooine_trandoshan_female_01.iff', '0', '0.983473', '0', '-0.181056', '-1174.92', '12', '-3635.8', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7601', '8', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '0', '0.987688', '0', '-0.156434', '-1181.3', '12', '-3537.9', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7602', '8', '1028553', 'object/mobile/dressed_commoner_naboo_twilek_male_01.iff', '0', '0.866025', '0', '0.5', '-14.01', '1.13306', '-8.53', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7603', '8', '1028552', 'object/mobile/dressed_commoner_tatooine_aqualish_male_02.iff', '0', '0.913545', '0', '-0.406737', '3.32', '1.13306', '-8.49', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7604', '8', '1028549', 'object/mobile/dressed_imperial_officer_m_3.iff', '0', '0.725404', '0', '0.688323', '9.74537', '1.13306', '0.300803', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7605', '8', '0', 'object/mobile/dressed_criminal_thug_zabrak_female_01.iff', '0.208098', '-0.432206', '-0.0819057', '0.873604', '-1161.24', '12', '-3661.87', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7606', '8', '0', 'object/mobile/dressed_criminal_thug_zabrak_male_01.iff', '0.209165', '-0.425964', '-0.00161328', '0.880229', '-1161.25', '12', '-3661.86', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7607', '8', '0', 'object/mobile/dressed_commoner_naboo_human_male_05.iff', '0', '0.834055', '0', '0.551681', '-1162.65', '12', '-3646.5', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7608', '8', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '0', '0.887011', '0', '-0.461749', '-1169.8', '12', '-3692.1', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7609', '8', '0', 'object/mobile/dressed_commoner_tatooine_rodian_female_04.iff', '0', '0.407769', '0', '0.913085', '-1145.53', '12', '-3656.31', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7610', '8', '0', 'object/mobile/dressed_commoner_old_twilek_male_01.iff', '0', '-0.1752', '0', '0.984533', '-1157.39', '12', '-3666.66', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7611', '8', '0', 'object/mobile/dark_trooper.iff', '0', '0.887011', '0', '0.461749', '-1130.9', '12.1964', '-3611.6', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7612', '8', '0', 'object/mobile/dressed_commoner_naboo_zabrak_female_01.iff', '0', '-0.618139', '0', '0.786069', '-1142.23', '12', '-3672.51', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7613', '8', '0', 'object/mobile/dressed_imperial_lieutenant_m.iff', '9.07887e-06', '0.664265', '-8.06796e-06', '0.747497', '-1125.07', '12.1959', '-3622.83', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7614', '8', '0', 'object/mobile/dressed_imperial_officer_m_3.iff', '0', '0.158044', '0', '0.987432', '-1131.72', '12', '-3660.15', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7615', '8', '0', 'object/mobile/dark_trooper.iff', '0', '0.887011', '0', '0.461749', '-1133.2', '12.1958', '-3614.6', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7616', '8', '0', 'object/mobile/dressed_scout_trooper_black_black.iff', '0', '0.748663', '0', '-0.662951', '-1115.14', '12', '-3639.18', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7617', '8', '926483', 'object/mobile/dressed_indigo_siyan.iff', '-4.09318e-05', '-0.163307', '-6.77541e-06', '0.986575', '24.6402', '3.22324', '-30.7135', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7618', '8', '926483', 'object/mobile/dressed_sean_trenwell.iff', '0', '-0.559597', '0', '0.828765', '19.4653', '3.22324', '-35.9776', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7619', '8', '926480', 'object/mobile/space_imperial_tier2_tatooine_oberhaur.iff', '-7.5321e-10', '0.999417', '-2.20507e-08', '-0.0341382', '-21.8614', '3.22324', '26.9177', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7620', '8', '926480', 'object/mobile/dressed_victor_visalis.iff', '-9.80215e-06', '0.940444', '2.7117e-05', '0.339948', '-26.4873', '3.22324', '20.2943', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7621', '8', '926480', 'object/mobile/dressed_keanna_likyna.iff', '8.53782e-06', '0.956307', '2.79266e-05', '-0.292365', '-18.8886', '3.22324', '20.608', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7622', '8', '926479', 'object/mobile/dressed_tatooine_tour_aryon.iff', '-6.09573e-09', '0.881149', '1.13596e-08', '0.472838', '-37.3031', '1.29422', '0.713583', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7623', '8', '926476', 'object/mobile/dressed_bestine_capitol04.iff', '6.53197e-06', '-0.466367', '2.53824e-06', '0.884591', '2.2628', '7.90008', '-37.3821', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7624', '8', '926475', 'object/mobile/prefect_talmont.iff', '-0.0448956', '0.862202', '0.0258288', '-0.50391', '-1.91728', '3.0782', '-10.0841', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7625', '8', '926475', 'object/mobile/dressed_eisley_officer_bothan_female_01.iff', '0.000167622', '-4.76877e-06', '7.99633e-10', '1', '-22.8506', '1.2998', '5.24726', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7626', '8', '926475', 'object/mobile/dressed_rebel_specforce_pathfinder_moncal_female_01.iff', '-2.13833e-05', '1', '0.000167358', '-3.33724e-05', '-22.8506', '1.29946', '6.24726', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7627', '8', '926475', 'object/mobile/dressed_combatmedic_trainer_rodian_male_01.iff', '-8.94026e-08', '4.88734e-06', '4.30855e-13', '1', '-2.63337', '0.3', '1.46637', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7628', '8', '926475', 'object/mobile/dressed_commoner_old_twilek_male_02.iff', '-1.28206e-12', '1', '8.94034e-08', '1.43045e-05', '-2.63337', '0.3', '2.46637', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7629', '8', '926475', 'object/mobile/dressed_bestine_capitol02.iff', '-0.000251493', '0.555599', '0.000232984', '0.83145', '-23.2909', '1.29891', '-10.3943', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7630', '8', '926475', 'object/mobile/dressed_bestine_capitol03.iff', '-0.0296124', '-0.294001', '-0.0861176', '0.951457', '-3.78237', '2.27819', '-25.8455', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7631', '8', '926475', 'object/mobile/dressed_victor_questn_capitol.iff', '0.0220813', '0.747055', '0.0196295', '0.664105', '6.1', '0.3', '-0.49', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7632', '8', '926475', 'object/mobile/dressed_commoner_naboo_zabrak_female_02.iff', '0', '0.999465', '0', '-0.0327061', '18.4023', '1.30171', '4.0944', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7633', '8', '926475', 'object/mobile/dressed_noble_old_twk_female_02.iff', '0', '-0.644532', '0', '0.764577', '18.4023', '1.30113', '5.1944', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7634', '8', '926475', 'object/mobile/dressed_noble_fat_human_male_01.iff', '0', '0.882032', '0', '-0.47119', '19.5023', '1.3008', '5.1944', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7635', '8', '926475', 'object/mobile/dressed_commoner_tatooine_rodian_female_03.iff', '0', '0.920249', '0', '-0.391334', '19.5023', '1.30138', '4.0944', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7636', '8', '926474', 'object/mobile/dressed_bestine_capitol01.iff', '0.0560053', '0.99341', '-0.0786509', '-0.0617642', '-2.83709', '3.18179', '19.5635', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7637', '8', '0', 'object/mobile/dressed_hutt_informant_quest.iff', '0.000112782', '0.976509', '-2.48833e-05', '-0.215476', '-1120.21', '12', '-3639.71', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7638', '8', '1223855', 'object/mobile/dressed_commoner_old_twilek_male_02.iff', '0', '-0.147571', '0', '0.989051', '-24', '1.6', '-4', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7639', '8', '1223851', 'object/mobile/dressed_commoner_tatooine_aqualish_female_06.iff', '3.54866e-05', '0.707115', '3.54875e-05', '-0.707099', '-14.8302', '1.00067', '0.571647', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7640', '8', '1223851', 'object/mobile/dressed_commoner_tatooine_ishitib_male_02.iff', '3.5425e-05', '0.707102', '-3.54245e-05', '0.707111', '-16.8302', '1.00087', '0.571647', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7641', '8', '1223851', 'object/mobile/r2.iff', '0', '0.728157', '0', '0.685411', '-15.8302', '1.0008', '1.57165', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7642', '8', '1223849', 'object/mobile/space_privateer_broker_retired_pilot.iff', '0', '0.144492', '0', '0.989506', '1.36242', '0.999987', '4.17823', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7643', '8', '1223849', 'object/mobile/dressed_commoner_naboo_human_male_08.iff', '8.6431e-07', '2.13395e-05', '-1.83743e-11', '1', '-2.76865', '0.999998', '-1.49548', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7644', '8', '1223849', 'object/mobile/dressed_criminal_thug_aqualish_male_02.iff', '1.60422e-11', '1', '8.04728e-07', '-1.97904e-05', '-2.76865', '0.999996', '-0.495484', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7645', '8', '1223849', 'object/mobile/dressed_noble_fat_twilek_male_01.iff', '0', '-4.20204e-08', '0', '1', '7.39833', '1.00001', '-7.63485', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7646', '8', '1223850', 'object/mobile/dressed_industrialist_trainer_01.iff', '-0.0154063', '0.943872', '-0.043051', '-0.327131', '20.5073', '1.56616', '12.9718', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7647', '8', '1223850', 'object/mobile/space_privateer_broker_fired_worker.iff', '0', '0.836026', '0', '0.54869', '15.3218', '1.28309', '9.00139', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7648', '8', '1223850', 'object/mobile/dressed_criminal_pirate_human_female_01.iff', '-1.78823e-07', '5.05473e-05', '9.0405e-12', '1', '20.4356', '1.28309', '-2.59068', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7649', '8', '1223850', 'object/mobile/dressed_commoner_tatooine_sullustan_male_03.iff', '6.48209e-12', '1', '1.78814e-07', '-3.62397e-05', '20.4356', '1.28309', '-1.59068', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7650', '8', '0', 'object/mobile/dressed_imperial_officer_m_4.iff', '0', '-0.33236', '0', '0.943153', '-1151.48', '12', '-3531.13', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7651', '8', '0', 'object/mobile/dressed_commoner_old_human_female_01.iff', '0', '0.335222', '0', '0.942139', '-1095.68', '12', '-3640.98', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7652', '8', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '0', '-0.438161', '0', '0.898897', '-1093.52', '12', '-3647.32', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7653', '8', '0', 'object/mobile/dressed_stormtrooper_sniper_m.iff', '0', '0.350207', '0', '0.936672', '-1093.7', '14', '-3660.2', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7654', '8', '0', 'object/mobile/dressed_commoner_tatooine_bith_female_02.iff', '0', '0.982857', '0', '-0.184369', '-1085.53', '12', '-3647.54', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7655', '8', '0', 'object/mobile/dressed_sean_questp_market.iff', '0', '0.984962', '0', '-0.172771', '-1104.12', '12', '-3705.29', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7656', '8', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '0', '0.995396', '0', '0.0958457', '-1083.6', '12', '-3594.2', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7657', '8', '0', 'object/mobile/dressed_commoner_tatooine_rodian_male_03.iff', '0', '0.48831', '0', '0.87267', '-1106.31', '12', '-3697.59', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7658', '8', '0', 'object/mobile/dressed_commoner_naboo_twilek_male_01.iff', '0', '-0.418983', '0', '0.907994', '-1076.36', '12', '-3657.52', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7659', '8', '0', 'object/mobile/dressed_commoner_fat_zabrak_female_02.iff', '0', '-0.44648', '0', '0.894793', '-1066.46', '12', '-3668.09', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7660', '8', '0', 'object/mobile/dressed_commoner_naboo_human_male_08.iff', '0', '0.916356', '0', '0.400364', '-1080.55', '12', '-3696.41', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7661', '8', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '0', '0.848048', '0', '0.529919', '-1089.8', '12', '-3704.2', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7662', '8', '0', 'object/mobile/r4.iff', '0', '-0.414821', '0', '0.909903', '-1065.54', '12', '-3599.21', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7663', '8', '0', 'object/mobile/dressed_bestine_rumor04.iff', '0', '0.183463', '0', '0.983027', '-1074.37', '12', '-3676.69', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7664', '8', '0', 'object/mobile/dressed_commoner_fat_twilek_male_02.iff', '0', '0.934444', '0', '-0.356111', '-1145.13', '12', '-3507.53', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7665', '8', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '0', '0.931245', '0', '-0.364395', '-1058.39', '12', '-3671.09', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7666', '8', '0', 'object/mobile/dressed_commoner_tatooine_bith_male_01.iff', '0', '-0.648784', '0', '0.760973', '-1047.35', '12', '-3665.81', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7667', '8', '0', 'object/mobile/dressed_commoner_naboo_human_male_04.iff', '0', '-0.579563', '0', '0.814927', '-1060.23', '12', '-3704.2', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7668', '8', '0', 'object/mobile/dressed_commoner_naboo_moncal_male_02.iff', '0', '-0.633324', '0', '0.773887', '-1068.17', '12', '-3690.99', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7669', '8', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '0', '0.821684', '0', '-0.569943', '-1049.04', '12', '-3660.19', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7670', '8', '0', 'object/mobile/dressed_commoner_tatooine_ishitib_male_03.iff', '0', '0.966091', '0', '-0.258202', '-1033.88', '12', '-3644.68', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7671', '8', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_02.iff', '0', '-0.46964', '0', '0.882858', '-1039.09', '12', '-3723.55', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7672', '8', '0', 'object/mobile/dressed_commoner_tatooine_rodian_female_03.iff', '0', '-0.685475', '0', '0.728096', '-1041.87', '12', '-3711.58', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7673', '8', '1028169', 'object/mobile/dressed_commoner_naboo_human_male_08.iff', '-1.14619e-07', '-1.65024e-05', '-1.89149e-12', '1', '0.697709', '0.50772', '-2.44977', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7674', '8', '1028169', 'object/mobile/dressed_hooligan_rodian_male_01.iff', '3.74754e-12', '1', '1.1463e-07', '-3.26926e-05', '0.697709', '0.50772', '-1.14977', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7675', '8', '0', 'object/mobile/dressed_noble_human_male_03.iff', '0', '0.755631', '0', '-0.654998', '-1023.25', '12', '-3746.26', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7676', '8', '0', 'object/mobile/dressed_commoner_naboo_moncal_male_02.iff', '0', '-0.249611', '0', '0.968346', '-1026.76', '12', '-3725.49', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7677', '8', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '0', '-0.694658', '0', '0.71934', '-1018.3', '12', '-3736.2', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7678', '8', '0', 'object/mobile/dressed_bestine_rumor05.iff', '0', '0.893809', '0', '-0.448447', '-1013.14', '12', '-3695.87', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7679', '8', '0', 'object/mobile/dressed_mercenary_medic_rodian_female_01.iff', '0', '0.0946026', '0', '0.995515', '-1012.31', '12', '-3748.5', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7680', '8', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '0', '0.748956', '0', '0.66262', '-1016.9', '12', '-3741.2', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7681', '8', '0', 'object/mobile/dressed_bestine_rumor06.iff', '0', '0.999869', '0', '-0.0161977', '-1005.68', '12', '-3716.81', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7682', '8', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '0', '0.892535', '0', '0.450978', '-984.262', '12', '-3742.5', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7683', '8', '0', 'object/mobile/dressed_commoner_old_twilek_male_02.iff', '0', '0.348362', '0', '0.93736', '-987.119', '12', '-3729.33', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7684', '8', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '0', '0.848048', '0', '0.529919', '-983.8', '12', '-3746.5', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7685', '8', '0', 'object/mobile/dark_trooper.iff', '0', '0.289441', '0', '0.957196', '-983.59', '12', '-3748.85', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7686', '8', '0', 'object/mobile/dark_trooper.iff', '0', '0.985784', '0', '0.16802', '-981.773', '12', '-3749.02', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7687', '8', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '-0.28763', '0.891983', '0.0997061', '-0.334205', '-981', '26.6578', '-3792.1', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7688', '8', '0', 'object/mobile/dressed_commoner_tatooine_bith_male_04.iff', '0', '0.681608', '0', '0.731718', '-1010.28', '12', '-3728.59', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7689', '8', '0', 'object/mobile/worrt.iff', '0', '0', '0', '0', '-939.612', '0', '-3781.1', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7690', '8', '0', 'object/mobile/minor_worrt.iff', '0', '0', '0', '0', '-927.86', '0', '-3784.58', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7691', '8', '0', 'object/mobile/minor_worrt.iff', '0', '0', '0', '0', '-922.653', '0', '-3778.35', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7692', '8', '0', 'object/mobile/minor_worrt.iff', '0', '0', '0', '0', '-923.222', '0', '-3774.92', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7693', '8', '0', 'object/mobile/minor_worrt.iff', '0', '0', '0', '0', '-910.093', '0', '-3783.93', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7694', '8', '0', 'object/mobile/minor_worrt.iff', '0', '0', '0', '0', '-913.601', '0', '-3784.15', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7695', '8', '0', 'object/mobile/minor_worrt.iff', '0', '0', '0', '0', '-912.848', '0', '-3794.42', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7696', '8', '0', 'object/mobile/minor_worrt.iff', '0', '0', '0', '0', '-930.225', '0', '-3796.81', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7697', '8', '0', 'object/mobile/worrt.iff', '0', '0', '0', '0', '-928.078', '0', '-3685.94', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7698', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '-907.188', '0', '-3573.35', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7699', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '-903.859', '0', '-3579.55', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7700', '8', '0', 'object/mobile/dressed_herald_tatooine_02.iff', '0', '-0.696762', '0', '0.717303', '-1001.04', '10', '-3550.02', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7701', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '-908.624', '0', '-3571.89', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7702', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '-901.808', '0', '-3570.88', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7703', '8', '0', 'object/mobile/dressed_criminal_thug_bothan_female_01.iff', '0', '0.94783', '0', '0.318776', '-983.47', '10', '-3538.5', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7704', '8', '0', 'object/mobile/rock_mite_hue.iff', '0', '-0.320026', '0', '0.947409', '-904.8', '14.6023', '-3552.38', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7705', '8', '0', 'object/mobile/dressed_commoner_old_twilek_female_01.iff', '0', '0.0876512', '0', '0.996151', '-1077.51', '12', '-3513.92', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7706', '8', '0', 'object/mobile/dressed_imperial_officer_m.iff', '0', '0.870356', '0', '0.492423', '-1097', '12', '-3525.3', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7707', '8', '1028492', 'object/mobile/dressed_noble_fat_human_male_02.iff', '0', '0.717961', '0', '0.696083', '-6.31624', '1.00421', '10.3733', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7708', '8', '1028491', 'object/mobile/dressed_commoner_tatooine_bith_female_03.iff', '-1.1462e-07', '-7.55011e-06', '-8.65393e-13', '1', '-1.05454', '0.408271', '-5.70312', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7709', '8', '1028491', 'object/mobile/dressed_eisley_officer_bothan_female_01.iff', '6.16016e-13', '1', '9.16969e-08', '-6.71796e-06', '-1.05454', '0.408271', '-4.40312', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7710', '8', '0', 'object/mobile/rock_mite_hue.iff', '0', '0.954044', '0', '0.299668', '-895.802', '10.7364', '-3546.49', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7711', '8', '0', 'object/mobile/worrt.iff', '0', '0', '0', '0', '-1163.44', '0', '-3452.61', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7712', '8', '0', 'object/mobile/minor_worrt.iff', '0', '0', '0', '0', '-1139.93', '0', '-3431.03', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7713', '8', '0', 'object/mobile/worrt.iff', '0', '0', '0', '0', '-1162.71', '0', '-3448.05', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7714', '8', '0', 'object/mobile/minor_worrt.iff', '0', '0', '0', '0', '-1139.5', '0', '-3424.15', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7715', '8', '0', 'object/mobile/minor_worrt.iff', '0', '0', '0', '0', '-1150.79', '0', '-3410.77', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7716', '8', '0', 'object/mobile/lesser_desert_womp_rat.iff', '0', '0', '0', '0', '-1126.58', '0', '-3455.38', '5', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7717', '8', '0', 'object/mobile/lesser_desert_womp_rat.iff', '0', '0', '0', '0', '-1122.58', '0', '-3454.95', '5', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7718', '8', '0', 'object/mobile/lesser_desert_womp_rat.iff', '0', '0', '0', '0', '-1120.52', '0', '-3453.58', '5', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7719', '8', '0', 'object/mobile/minor_worrt.iff', '0', '0', '0', '0', '-1148.52', '0', '-3402.47', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7720', '8', '0', 'object/mobile/minor_worrt.iff', '0', '0', '0', '0', '-1158.11', '0', '-3393.44', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7721', '8', '0', 'object/mobile/minor_worrt.iff', '0', '0', '0', '0', '-1152.38', '0', '-3390', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7722', '8', '0', 'object/mobile/lesser_desert_womp_rat.iff', '0', '0', '0', '0', '-1126.55', '0', '-3443.92', '5', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7723', '8', '1212359', 'object/mobile/dressed_imperial_trainer_space_01.iff', '0', '0', '0', '1', '0.436469', '1.75', '-14.4381', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7724', '8', '1028562', 'object/mobile/dressed_commoner_tatooine_aqualish_male_04.iff', '0', '0.824126', '0', '-0.566406', '3.29', '1.13306', '-9.58', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7725', '8', '1028561', 'object/mobile/dressed_imperial_officer_m.iff', '0', '0.7525', '0', '0.658593', '14.0299', '1.13306', '-8.82756', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7726', '8', '1028558', 'object/mobile/dressed_artisan_trainer_02.iff', '0', '0.0958458', '0', '0.995396', '-3.69', '1.13306', '-6', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7727', '8', '1028558', 'object/mobile/dressed_sean_questn_university.iff', '0', '0.444631', '0', '0.895714', '3.72152', '1.13306', '-4.85162', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7728', '8', '0', 'object/mobile/worrt.iff', '0', '0', '0', '0', '-1337.28', '0', '-3434.8', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7729', '8', '0', 'object/mobile/worrt.iff', '0', '0', '0', '0', '-1341.43', '0', '-3434.23', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7730', '8', '0', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '4104.72', '0', '-4853.69', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7731', '8', '0', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '4107.28', '0', '-4849.23', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7732', '8', '0', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '4105.87', '0', '-4852.28', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7733', '8', '0', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '4110.36', '0', '-4859.36', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7734', '8', '0', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '4103.06', '0', '-4853.34', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7735', '8', '0', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '4126.1', '0', '-4690.21', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7736', '8', '0', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '4137.59', '0', '-4692.79', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7737', '8', '0', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '4110', '0', '-4709', '16', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('7738', '8', '0', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '4098.65', '0', '-4894.24', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7739', '8', '0', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '4104.5', '0', '-4889.06', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7740', '8', '0', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '4106.91', '0', '-4889.96', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7741', '8', '0', 'object/mobile/rock_mite.iff', '0', '0', '0', '0', '3971.34', '0', '-4701.78', '8', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7742', '8', '0', 'object/mobile/rock_mite.iff', '0', '0', '0', '0', '3977.67', '0', '-4696.26', '8', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7743', '8', '0', 'object/mobile/rock_mite.iff', '0', '0', '0', '0', '3984.64', '0', '-4698.51', '8', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7744', '8', '0', 'object/mobile/rock_mite.iff', '0', '0', '0', '0', '3974.63', '0', '-4716.99', '8', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7745', '8', '0', 'object/mobile/rock_mite.iff', '0', '0', '0', '0', '3048.72', '0', '-4675.54', '8', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7746', '8', '0', 'object/mobile/rock_mite.iff', '0', '0', '0', '0', '3047.68', '0', '-4677.27', '8', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7747', '8', '0', 'object/mobile/rock_mite.iff', '0', '0', '0', '0', '3046.93', '0', '-4674', '8', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7748', '8', '0', 'object/mobile/rock_mite.iff', '0', '0', '0', '0', '3042.05', '0', '-4677.3', '8', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7749', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '3813.8', '0', '-4682', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7750', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '3827.17', '0', '-4672.42', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7751', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '3813.75', '0', '-4678.96', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7752', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '3820.34', '0', '-4691.87', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7753', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '3821.28', '0', '-4678.38', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7754', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '3821.5', '0', '-4689.33', '9', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7755', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '3819', '0', '-4698', '9', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7756', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '3653.94', '0', '-4654.77', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7757', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '3652.05', '0', '-4652.67', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7758', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '3875.77', '0', '-4763.02', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7759', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '3877.99', '0', '-4760.62', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7760', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '3869.98', '0', '-4760.69', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7761', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '3867', '0', '-4761', '9', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7762', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '3877.46', '0', '-4924.72', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7763', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '3876.17', '0', '-4920.24', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7764', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '3866.52', '0', '-4917.7', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7765', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '3862.33', '0', '-4920.08', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7766', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '3875', '0', '-4923', '9', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7767', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '3723.93', '0', '-4939.78', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7768', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '3715.75', '0', '-4946.74', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7769', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '3714', '0', '-4941', '9', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7770', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '3239.54', '0', '-5060.91', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7771', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '3237.44', '0', '-5072.92', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7772', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '3244.97', '0', '-5067.23', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7773', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '3081.81', '0', '-4784.71', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7774', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '3084.27', '0', '-4778.93', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7775', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '3098.04', '0', '-4790.24', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7776', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '3079.03', '0', '-4776.16', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7777', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '3239', '0', '-4423.88', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7778', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '3237', '0', '-4420', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7779', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '3241.79', '0', '-4425.59', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7780', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '3245.09', '0', '-4432.97', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7781', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '3565.22', '0', '-4506.12', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7782', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '3567', '0', '-4504.97', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7783', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '3568', '0', '-4505', '9', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7784', '8', '0', 'object/mobile/scyk.iff', '0', '0', '0', '0', '3874', '0', '-4966', '12', 'neutral', '128', '35', '15');
INSERT INTO `world_server_static_spawns` VALUES ('7785', '8', '0', 'object/mobile/scyk.iff', '0', '0', '0', '0', '3166', '0', '-4419', '12', 'neutral', '128', '35', '15');
INSERT INTO `world_server_static_spawns` VALUES ('7786', '8', '0', 'object/mobile/scyk.iff', '0', '0', '0', '0', '3984', '0', '-4905', '12', 'neutral', '128', '35', '15');
INSERT INTO `world_server_static_spawns` VALUES ('7787', '8', '0', 'object/mobile/dwarf_nuna.iff', '0', '0', '0', '0', '3816.92', '0', '-4913.11', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7788', '8', '0', 'object/mobile/dwarf_nuna.iff', '0', '0', '0', '0', '3801.78', '0', '-4921.58', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7789', '8', '0', 'object/mobile/dwarf_nuna.iff', '0', '0', '0', '0', '3818.46', '0', '-4919.39', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7790', '8', '0', 'object/mobile/dwarf_nuna.iff', '0', '0', '0', '0', '3801.45', '0', '-4902.67', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7791', '8', '0', 'object/mobile/dwarf_nuna.iff', '0', '0', '0', '0', '3813.17', '0', '-4907.68', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7792', '8', '0', 'object/mobile/dwarf_nuna.iff', '0', '0', '0', '0', '3258.31', '0', '-5108.55', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7793', '8', '0', 'object/mobile/dwarf_nuna.iff', '0', '0', '0', '0', '3279.23', '0', '-5103.03', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7794', '8', '0', 'object/mobile/dwarf_nuna.iff', '0', '0', '0', '0', '3275.34', '0', '-5100.41', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7795', '8', '0', 'object/mobile/dwarf_nuna.iff', '0', '0', '0', '0', '3279.67', '0', '-5116.66', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7796', '8', '0', 'object/mobile/dwarf_nuna.iff', '0', '0', '0', '0', '3221', '0', '-5050', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7797', '8', '0', 'object/mobile/dwarf_nuna.iff', '0', '0', '0', '0', '3223.06', '0', '-5037.57', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7798', '8', '0', 'object/mobile/dwarf_nuna.iff', '0', '0', '0', '0', '3229.36', '0', '-5031.04', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7799', '8', '0', 'object/mobile/dwarf_nuna.iff', '0', '0', '0', '0', '3213.17', '0', '-5052.61', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7800', '8', '0', 'object/mobile/dwarf_nuna.iff', '0', '0', '0', '0', '3218.43', '0', '-5044.06', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7801', '8', '0', 'object/mobile/dwarf_nuna.iff', '0', '0', '0', '0', '3228.94', '0', '-5014.43', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7802', '8', '0', 'object/mobile/dwarf_nuna.iff', '0', '0', '0', '0', '3226.03', '0', '-5014', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7803', '8', '0', 'object/mobile/dwarf_nuna.iff', '0', '0', '0', '0', '3103.57', '0', '-4878.18', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7804', '8', '0', 'object/mobile/dwarf_nuna.iff', '0', '0', '0', '0', '3114.02', '0', '-4875.77', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7805', '8', '0', 'object/mobile/dwarf_nuna.iff', '0', '0', '0', '0', '3110.68', '0', '-4869.7', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7806', '8', '0', 'object/mobile/dwarf_nuna.iff', '0', '0', '0', '0', '3109.08', '0', '-4854.33', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7807', '8', '0', 'object/mobile/dwarf_nuna.iff', '0', '0', '0', '0', '3114.04', '0', '-4676.96', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7808', '8', '0', 'object/mobile/dwarf_nuna.iff', '0', '0', '0', '0', '3115.44', '0', '-4678.92', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7809', '8', '0', 'object/mobile/dwarf_nuna.iff', '0', '0', '0', '0', '3120.35', '0', '-4685.97', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7810', '8', '0', 'object/mobile/dwarf_nuna.iff', '0', '0', '0', '0', '3116.91', '0', '-4681.88', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7811', '8', '0', 'object/mobile/dwarf_nuna.iff', '0', '0', '0', '0', '3166.21', '0', '-4487.39', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7812', '8', '0', 'object/mobile/dwarf_nuna.iff', '0', '0', '0', '0', '3174.23', '0', '-4482.6', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7813', '8', '0', 'object/mobile/dwarf_nuna.iff', '0', '0', '0', '0', '3167.06', '0', '-4494.08', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7814', '8', '0', 'object/mobile/dwarf_nuna.iff', '0', '0', '0', '0', '3168.27', '0', '-4488.07', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7815', '8', '0', 'object/mobile/dwarf_nuna.iff', '0', '0', '0', '0', '3171.26', '0', '-4490.03', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7816', '8', '0', 'object/mobile/dwarf_nuna.iff', '0', '0', '0', '0', '3519.04', '0', '-4469.44', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7817', '8', '0', 'object/mobile/dwarf_nuna.iff', '0', '0', '0', '0', '3529.77', '0', '-4461.33', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7818', '8', '0', 'object/mobile/dwarf_nuna.iff', '0', '0', '0', '0', '3523.21', '0', '-4458', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7819', '8', '0', 'object/mobile/dwarf_nuna.iff', '0', '0', '0', '0', '3522.23', '0', '-4470.64', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7820', '8', '0', 'object/mobile/dwarf_nuna.iff', '0', '0', '0', '0', '3958.5', '0', '-4782.67', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7821', '8', '0', 'object/mobile/dwarf_nuna.iff', '0', '0', '0', '0', '3965.38', '0', '-4778.01', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7822', '8', '0', 'object/mobile/dwarf_nuna.iff', '0', '0', '0', '0', '3969.9', '0', '-4780.53', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7823', '8', '0', 'object/mobile/dwarf_nuna.iff', '0', '0', '0', '0', '3956.15', '0', '-4778.25', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7824', '8', '0', 'object/mobile/worrt.iff', '0', '0', '0', '0', '3797.5', '0', '-4666.13', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7825', '8', '0', 'object/mobile/worrt.iff', '0', '0', '0', '0', '3788.1', '0', '-4657.1', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7826', '8', '0', 'object/mobile/worrt.iff', '0', '0', '0', '0', '3791.29', '0', '-4676.95', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7827', '8', '0', 'object/mobile/worrt.iff', '0', '0', '0', '0', '3795.08', '0', '-4654.33', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7828', '8', '0', 'object/mobile/worrt.iff', '0', '0', '0', '0', '3791.21', '0', '-4654.76', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7829', '8', '0', 'object/mobile/worrt.iff', '0', '0', '0', '0', '3675.82', '0', '-4589.11', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7830', '8', '0', 'object/mobile/worrt.iff', '0', '0', '0', '0', '3674.36', '0', '-4594.03', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7831', '8', '0', 'object/mobile/worrt.iff', '0', '0', '0', '0', '3668.41', '0', '-4608.66', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7832', '8', '0', 'object/mobile/worrt.iff', '0', '0', '0', '0', '3661.49', '0', '-4607.87', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7833', '8', '0', 'object/mobile/worrt.iff', '0', '0', '0', '0', '3796.46', '0', '-4704.91', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7834', '8', '0', 'object/mobile/worrt.iff', '0', '0', '0', '0', '3795.84', '0', '-4719.88', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7835', '8', '0', 'object/mobile/worrt.iff', '0', '0', '0', '0', '3910.98', '0', '-4901.03', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7836', '8', '0', 'object/mobile/worrt.iff', '0', '0', '0', '0', '3898.9', '0', '-4890', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7837', '8', '0', 'object/mobile/worrt.iff', '0', '0', '0', '0', '3894.09', '0', '-4895.44', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7838', '8', '0', 'object/mobile/worrt.iff', '0', '0', '0', '0', '3900.22', '0', '-4905.95', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7839', '8', '0', 'object/mobile/worrt.iff', '0', '0', '0', '0', '3767', '0', '-4917.97', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7840', '8', '0', 'object/mobile/worrt.iff', '0', '0', '0', '0', '3770.52', '0', '-4920.34', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7841', '8', '0', 'object/mobile/worrt.iff', '0', '0', '0', '0', '3773.83', '0', '-4916.28', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7842', '8', '0', 'object/mobile/worrt.iff', '0', '0', '0', '0', '3768.01', '0', '-4914.01', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7843', '8', '0', 'object/mobile/worrt.iff', '0', '0', '0', '0', '3291.53', '0', '-5114.13', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7844', '8', '0', 'object/mobile/worrt.iff', '0', '0', '0', '0', '3301.59', '0', '-5107.34', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7845', '8', '0', 'object/mobile/worrt.iff', '0', '0', '0', '0', '3301.63', '0', '-5111.61', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7846', '8', '0', 'object/mobile/worrt.iff', '0', '0', '0', '0', '3313', '0', '-5116.76', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7847', '8', '0', 'object/mobile/worrt.iff', '0', '0', '0', '0', '3153.99', '0', '-4921.52', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7848', '8', '0', 'object/mobile/worrt.iff', '0', '0', '0', '0', '3143.58', '0', '-4926.99', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7849', '8', '0', 'object/mobile/worrt.iff', '0', '0', '0', '0', '3138.02', '0', '-4920.48', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7850', '8', '0', 'object/mobile/worrt.iff', '0', '0', '0', '0', '3141.66', '0', '-4915.48', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7851', '8', '0', 'object/mobile/worrt.iff', '0', '0', '0', '0', '3130.1', '0', '-4532.21', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7852', '8', '0', 'object/mobile/worrt.iff', '0', '0', '0', '0', '3121.51', '0', '-4535.12', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7853', '8', '0', 'object/mobile/worrt.iff', '0', '0', '0', '0', '3139.6', '0', '-4540.75', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7854', '8', '0', 'object/mobile/worrt.iff', '0', '0', '0', '0', '3146.4', '0', '-4548.37', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7855', '8', '0', 'object/mobile/worrt.iff', '0', '0', '0', '0', '3130.51', '0', '-4527.22', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7856', '8', '0', 'object/mobile/greater_desert_womp_rat.iff', '0', '0', '0', '0', '3795.95', '0', '-4661.36', '10', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7857', '8', '0', 'object/mobile/greater_desert_womp_rat.iff', '0', '0', '0', '0', '3791.88', '0', '-4663.61', '10', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7858', '8', '0', 'object/mobile/greater_desert_womp_rat.iff', '0', '0', '0', '0', '3664.3', '0', '-4610.14', '10', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7859', '8', '0', 'object/mobile/greater_desert_womp_rat.iff', '0', '0', '0', '0', '3683.69', '0', '-4604.92', '10', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7860', '8', '0', 'object/mobile/lesser_desert_womp_rat.iff', '0', '0', '0', '0', '3671', '0', '-4599', '5', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7861', '8', '0', 'object/mobile/greater_desert_womp_rat.iff', '0', '0', '0', '0', '3909.01', '0', '-4843.76', '10', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7862', '8', '0', 'object/mobile/greater_desert_womp_rat.iff', '0', '0', '0', '0', '3911.84', '0', '-4836.04', '10', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7863', '8', '0', 'object/mobile/greater_desert_womp_rat.iff', '0', '0', '0', '0', '3915', '0', '-4844.14', '10', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7864', '8', '0', 'object/mobile/lesser_desert_womp_rat.iff', '0', '0', '0', '0', '3911', '0', '-4844', '5', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7865', '8', '0', 'object/mobile/greater_desert_womp_rat.iff', '0', '0', '0', '0', '3651.58', '0', '-4952.78', '10', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7866', '8', '0', 'object/mobile/greater_desert_womp_rat.iff', '0', '0', '0', '0', '3633.98', '0', '-4964.09', '10', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7867', '8', '0', 'object/mobile/greater_desert_womp_rat.iff', '0', '0', '0', '0', '3347.07', '0', '-5151.27', '10', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7868', '8', '0', 'object/mobile/greater_desert_womp_rat.iff', '0', '0', '0', '0', '3344.88', '0', '-5162.39', '10', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7869', '8', '0', 'object/mobile/greater_desert_womp_rat.iff', '0', '0', '0', '0', '3330.24', '0', '-5159.19', '10', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7870', '8', '0', 'object/mobile/greater_desert_womp_rat.iff', '0', '0', '0', '0', '3136.4', '0', '-4947.85', '10', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7871', '8', '0', 'object/mobile/greater_desert_womp_rat.iff', '0', '0', '0', '0', '3139.13', '0', '-4954.1', '10', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7872', '8', '0', 'object/mobile/greater_desert_womp_rat.iff', '0', '0', '0', '0', '3135.9', '0', '-4936.3', '10', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7873', '8', '0', 'object/mobile/greater_desert_womp_rat.iff', '0', '0', '0', '0', '3321.74', '0', '-4399.81', '10', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7874', '8', '0', 'object/mobile/greater_desert_womp_rat.iff', '0', '0', '0', '0', '3312.05', '0', '-4399.91', '10', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7875', '8', '0', 'object/mobile/greater_desert_womp_rat.iff', '0', '0', '0', '0', '3329.24', '0', '-4400.96', '10', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7876', '8', '0', 'object/mobile/greater_desert_womp_rat.iff', '0', '0', '0', '0', '3315.09', '0', '-4407.59', '10', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7877', '8', '0', 'object/mobile/kreetle.iff', '0', '0', '0', '0', '3663.81', '0', '-4590.88', '3', 'neutral', '128', '3', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7878', '8', '0', 'object/mobile/kreetle.iff', '0', '0', '0', '0', '3656.46', '0', '-4578.64', '3', 'neutral', '128', '3', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7879', '8', '0', 'object/mobile/kreetle.iff', '0', '0', '0', '0', '3653.4', '0', '-4578.8', '3', 'neutral', '128', '3', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7880', '8', '0', 'object/mobile/kreetle.iff', '0', '0', '0', '0', '3651.49', '0', '-4572.81', '3', 'neutral', '128', '3', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7881', '8', '0', 'object/mobile/kreetle.iff', '0', '0', '0', '0', '3663.23', '0', '-4591.33', '3', 'neutral', '128', '3', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7882', '8', '0', 'object/mobile/kreetle.iff', '0', '0', '0', '0', '3611.72', '0', '-4613.05', '3', 'neutral', '128', '3', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7883', '8', '0', 'object/mobile/kreetle.iff', '0', '0', '0', '0', '3599.19', '0', '-4621.98', '3', 'neutral', '128', '3', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7884', '8', '0', 'object/mobile/kreetle.iff', '0', '0', '0', '0', '3595.17', '0', '-4619.83', '3', 'neutral', '128', '3', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7885', '8', '0', 'object/mobile/kreetle.iff', '0', '0', '0', '0', '3585.03', '0', '-4620.02', '3', 'neutral', '128', '3', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7886', '8', '0', 'object/mobile/kreetle.iff', '0', '0', '0', '0', '3890.92', '0', '-4820.16', '3', 'neutral', '128', '3', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7887', '8', '0', 'object/mobile/kreetle.iff', '0', '0', '0', '0', '3895.35', '0', '-4803.18', '3', 'neutral', '128', '3', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7888', '8', '0', 'object/mobile/kreetle.iff', '0', '0', '0', '0', '3897.46', '0', '-4813.99', '3', 'neutral', '128', '3', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7889', '8', '0', 'object/mobile/kreetle.iff', '0', '0', '0', '0', '3886.66', '0', '-4820.96', '3', 'neutral', '128', '3', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7890', '8', '0', 'object/mobile/kreetle.iff', '0', '0', '0', '0', '3902.4', '0', '-4821.42', '3', 'neutral', '128', '3', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7891', '8', '0', 'object/mobile/kreetle.iff', '0', '0', '0', '0', '3892.65', '0', '-4889.28', '3', 'neutral', '128', '3', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7892', '8', '0', 'object/mobile/kreetle.iff', '0', '0', '0', '0', '3895.13', '0', '-4896.1', '3', 'neutral', '128', '3', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7893', '8', '0', 'object/mobile/kreetle.iff', '0', '0', '0', '0', '3894.69', '0', '-4880.46', '3', 'neutral', '128', '3', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7894', '8', '0', 'object/mobile/kreetle.iff', '0', '0', '0', '0', '3890.09', '0', '-4884.36', '3', 'neutral', '128', '3', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7895', '8', '0', 'object/mobile/kreetle.iff', '0', '0', '0', '0', '3906.17', '0', '-4899.36', '3', 'neutral', '128', '3', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7896', '8', '0', 'object/mobile/kreetle.iff', '0', '0', '0', '0', '3646.5', '0', '-4948.87', '3', 'neutral', '128', '3', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7897', '8', '0', 'object/mobile/kreetle.iff', '0', '0', '0', '0', '3637.81', '0', '-4962.72', '3', 'neutral', '128', '3', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7898', '8', '0', 'object/mobile/kreetle.iff', '0', '0', '0', '0', '3640.35', '0', '-4965.77', '3', 'neutral', '128', '3', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7899', '8', '0', 'object/mobile/kreetle.iff', '0', '0', '0', '0', '3640.45', '0', '-4957.43', '3', 'neutral', '128', '3', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7900', '8', '0', 'object/mobile/kreetle.iff', '0', '0', '0', '0', '3632.34', '0', '-4968.7', '3', 'neutral', '128', '3', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7901', '8', '0', 'object/mobile/kreetle.iff', '0', '0', '0', '0', '3645.73', '0', '-4958.57', '3', 'neutral', '128', '3', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7902', '8', '0', 'object/mobile/kreetle.iff', '0', '0', '0', '0', '3646.89', '0', '-4961.04', '3', 'neutral', '128', '3', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7903', '8', '0', 'object/mobile/kreetle.iff', '0', '0', '0', '0', '3642.72', '0', '-4958.13', '3', 'neutral', '128', '3', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7904', '8', '0', 'object/mobile/kreetle.iff', '0', '0', '0', '0', '3184.29', '0', '-5015.95', '3', 'neutral', '128', '3', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7905', '8', '0', 'object/mobile/kreetle.iff', '0', '0', '0', '0', '3181.07', '0', '-5007.22', '3', 'neutral', '128', '3', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7906', '8', '0', 'object/mobile/kreetle.iff', '0', '0', '0', '0', '3178.56', '0', '-4997.61', '3', 'neutral', '128', '3', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7907', '8', '0', 'object/mobile/kreetle.iff', '0', '0', '0', '0', '3191.99', '0', '-5006.12', '3', 'neutral', '128', '3', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7908', '8', '0', 'object/mobile/kreetle.iff', '0', '0', '0', '0', '3191.61', '0', '-5001.04', '3', 'neutral', '128', '3', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7909', '8', '0', 'object/mobile/kreetle.iff', '0', '0', '0', '0', '3137.69', '0', '-4602.83', '3', 'neutral', '128', '3', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7910', '8', '0', 'object/mobile/kreetle.iff', '0', '0', '0', '0', '3143.76', '0', '-4596.29', '3', 'neutral', '128', '3', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7911', '8', '0', 'object/mobile/kreetle.iff', '0', '0', '0', '0', '3131.97', '0', '-4591.18', '3', 'neutral', '128', '3', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7912', '8', '0', 'object/mobile/kreetle.iff', '0', '0', '0', '0', '3119.69', '0', '-4589.67', '3', 'neutral', '128', '3', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7913', '8', '0', 'object/mobile/kreetle.iff', '0', '0', '0', '0', '3130.26', '0', '-4592.78', '3', 'neutral', '128', '3', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7914', '8', '0', 'object/mobile/kreetle.iff', '0', '0', '0', '0', '3409.12', '0', '-4403.15', '3', 'neutral', '128', '3', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7915', '8', '0', 'object/mobile/kreetle.iff', '0', '0', '0', '0', '3405.31', '0', '-4402.21', '3', 'neutral', '128', '3', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7916', '8', '0', 'object/mobile/kreetle.iff', '0', '0', '0', '0', '3405.97', '0', '-4418.27', '3', 'neutral', '128', '3', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7917', '8', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_03.iff', '-0.0574322', '0.807932', '-0.0415845', '0.584994', '3650.15', '5', '-4860.75', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7918', '8', '0', 'object/mobile/jawa_male.iff', '-0.0638134', '0.704221', '-0.0638134', '-0.704221', '3739.55', '4.3966', '-4837.28', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7919', '8', '0', 'object/mobile/jawa_male.iff', '-0.0638134', '0.704221', '0.0638134', '0.704221', '3737.55', '4.03113', '-4837.28', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7920', '8', '0', 'object/mobile/jawa_male.iff', '-0.303344', '0', '0', '0.952881', '3738.55', '4.29151', '-4838.28', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7921', '8', '0', 'object/mobile/dressed_commoner_tatooine_sullustan_male_04.iff', '-0.00294645', '-0.328571', '0.00848009', '0.944437', '3732.52', '4.00003', '-4769.38', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7922', '8', '1106372', 'object/mobile/dressed_mercenary_messanger_rod_m.iff', '2.58452e-08', '0.774499', '4.24421e-08', '0.632575', '1.1', '0.639421', '66.3', '15', 'explain', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7923', '8', '0', 'object/mobile/rock_mite.iff', '0', '0', '0', '0', '3682.26', '0', '-4626.08', '8', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7924', '8', '0', 'object/mobile/rock_mite.iff', '0', '0', '0', '0', '3683.47', '0', '-4624.84', '8', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7925', '8', '0', 'object/mobile/eg6_power_droid.iff', '0', '-0.66345', '0', '0.748221', '3650.68', '5', '-4734.71', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7926', '8', '0', 'object/mobile/jawa_male.iff', '-0.000754895', '0.96198', '-0.0012787', '-0.273117', '3652.63', '5', '-4748.96', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7927', '8', '0', 'object/mobile/r2.iff', '0', '-0.0467323', '0', '0.998908', '3710.16', '4', '-4789.97', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7928', '8', '0', 'object/mobile/jawa_male.iff', '0', '-0.181963', '0', '0.983305', '3664.88', '5', '-4851.33', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7929', '8', '0', 'object/mobile/jawa_male.iff', '0.0219356', '0.961518', '0.0271155', '-0.27252', '3652.66', '5', '-4748.93', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7930', '8', '0', 'object/mobile/jawa_male.iff', '0', '-0.18202', '0', '0.983295', '3664.89', '5', '-4851.35', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7931', '8', '0', 'object/mobile/jawa_male.iff', '-0.00330129', '0.0905331', '-0.0018243', '0.995886', '3657.03', '5', '-4812.19', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7932', '8', '0', 'object/mobile/jawa_male.iff', '-8.84505e-07', '0.27311', '3.46936e-05', '0.961983', '3646.88', '5', '-4758.28', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7933', '8', '0', 'object/mobile/jawa_male.iff', '-0.000178742', '0.0905318', '-6.91627e-05', '0.995894', '3657.01', '5', '-4812.31', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7934', '8', '0', 'object/mobile/rock_mite.iff', '0', '0', '0', '0', '3706.05', '0', '-4641.11', '8', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7935', '8', '0', 'object/mobile/jawa_male.iff', '0', '0.950859', '0', '0.309624', '3648.71', '5', '-4774.96', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7936', '8', '0', 'object/mobile/jawa_male.iff', '0.00713295', '0.0904876', '-0.00759336', '0.995843', '3657.02', '5', '-4812.22', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7937', '8', '0', 'object/mobile/jawa_male.iff', '-0.00152412', '-0.18125', '0.00291514', '0.983432', '3664.75', '5', '-4851.1', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7938', '8', '0', 'object/mobile/rock_mite.iff', '0', '0', '0', '0', '3684.24', '0', '-4625.08', '8', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7939', '8', '0', 'object/mobile/dressed_imperial_officer_m.iff', '0', '0.638071', '0', '0.769977', '3753.26', '5', '-4846.97', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7940', '8', '0', 'object/mobile/dressed_doctor_trainer_moncal_female_01.iff', '-0.000466423', '0.871574', '-0.000262364', '0.490263', '3666.51', '5', '-4856.14', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7941', '8', '0', 'object/mobile/dressed_commoner_tatooine_bith_male_06.iff', '0.0153646', '0.874652', '0.00850982', '0.484433', '3699', '5', '-4768.14', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7942', '8', '0', 'object/mobile/dressed_commoner_tatooine_sullustan_male_04.iff', '-0.046858', '0.234856', '-0.127427', '0.962502', '3698.19', '4.91134', '-4838.24', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7943', '8', '0', 'object/mobile/rock_mite.iff', '0', '0', '0', '0', '3709.74', '0', '-4659.09', '8', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7944', '8', '0', 'object/mobile/dressed_stormtrooper_rifleman_m.iff', '0', '0.630783', '0', '0.775959', '3756.71', '5', '-4845.03', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7945', '8', '0', 'object/mobile/rock_mite.iff', '0', '0', '0', '0', '3711.73', '0', '-4637.76', '8', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7946', '8', '0', 'object/mobile/rock_mite.iff', '0', '0', '0', '0', '3716.36', '0', '-4662.85', '8', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7947', '8', '0', 'object/mobile/rock_mite.iff', '0', '0', '0', '0', '3711.05', '0', '-4637.9', '8', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7948', '8', '0', 'object/mobile/rock_mite.iff', '0', '0', '0', '0', '3718.69', '0', '-4625.84', '8', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7949', '8', '0', 'object/mobile/rock_mite.iff', '0', '0', '0', '0', '3722.84', '0', '-4671.24', '8', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7950', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '3696.74', '0', '-4628.26', '9', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7951', '8', '0', 'object/mobile/rock_mite.iff', '0', '0', '0', '0', '3718.38', '0', '-4639.1', '8', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7952', '8', '0', 'object/mobile/rock_mite.iff', '0', '0', '0', '0', '3663.76', '0', '-4635.82', '8', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7953', '8', '0', 'object/mobile/rock_mite.iff', '0', '0', '0', '0', '3684.66', '0', '-4625.02', '8', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7954', '8', '0', 'object/mobile/dressed_scout_trooper_white_white.iff', '0.009311', '-0.629487', '0.00653157', '0.776928', '3585.84', '5', '-4719.95', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7955', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '3683.57', '0', '-4638.29', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7956', '8', '0', 'object/mobile/rock_mite.iff', '0', '0', '0', '0', '3682.12', '0', '-4626.15', '8', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7957', '8', '0', 'object/mobile/rock_mite.iff', '0', '0', '0', '0', '3711.2', '0', '-4639.74', '8', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7958', '8', '0', 'object/mobile/rock_mite.iff', '0', '0', '0', '0', '3702.05', '0', '-4634.44', '8', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7959', '8', '0', 'object/mobile/rock_mite.iff', '0', '0', '0', '0', '3719.01', '0', '-4663.26', '8', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7960', '8', '0', 'object/mobile/rock_mite.iff', '0', '0', '0', '0', '3711.2', '0', '-4637.96', '8', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7961', '8', '0', 'object/mobile/rock_mite.iff', '0', '0', '0', '0', '3710.17', '0', '-4662.34', '8', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7962', '8', '0', 'object/mobile/rock_mite.iff', '0', '0', '0', '0', '3710.67', '0', '-4638.74', '8', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7963', '8', '0', 'object/mobile/rock_mite.iff', '0', '0', '0', '0', '3684.43', '0', '-4623.21', '8', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7964', '8', '0', 'object/mobile/rock_mite.iff', '0', '0', '0', '0', '3684.62', '0', '-4623.73', '8', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7965', '8', '0', 'object/mobile/dressed_noble_old_human_female_02.iff', '0.0168004', '0.917745', '-0.00726291', '-0.396747', '3566.08', '5', '-4715.16', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7966', '8', '0', 'object/mobile/dressed_commoner_fat_human_female_01.iff', '-2.74581e-05', '0.991712', '0.0011982', '-0.128476', '3559.5', '4', '-4725.87', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7967', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '3715.13', '0', '-4610.29', '9', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7968', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '3707.48', '0', '-4603.96', '9', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7969', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '3723.21', '0', '-4609.5', '9', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7970', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '3714.19', '0', '-4602.93', '9', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7971', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '3713.09', '0', '-4605.97', '9', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7972', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '3703.62', '0', '-4605.95', '9', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7973', '8', '0', 'object/mobile/dressed_mercenary_elite_medic_human_male_01.iff', '0.0769153', '-0.0996517', '-0.0141169', '0.991945', '3535.31', '4.36784', '-4734.57', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7974', '8', '0', 'object/mobile/dressed_commoner_naboo_moncal_male_02.iff', '2.81417e-27', '-0.636511', '2.84125e-27', '0.771267', '3527.44', '4', '-4721.16', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7975', '8', '0', 'object/mobile/dressed_commoner_naboo_human_female_07.iff', '-0.0946794', '0.971533', '-0.119053', '-0.181619', '3526.85', '4.44117', '-4700.74', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7976', '8', '0', 'object/mobile/dressed_commoner_tatooine_bith_female_05.iff', '-7.21848e-05', '0.831161', '4.82904e-05', '-0.556031', '3540.46', '4', '-4721.74', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7977', '8', '0', 'object/mobile/dressed_commoner_tatooine_rodian_female_02.iff', '-4.7802e-16', '-0.545871', '7.454e-16', '0.837869', '3513.14', '4', '-4725.08', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7978', '8', '0', 'object/mobile/dressed_commoner_tatooine_ishitib_male_02.iff', '-0.01206', '-0.394309', '0.0280915', '0.918469', '3532.96', '5', '-4788.08', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7979', '8', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '-0.00634636', '0.946862', '-0.00215533', '0.32157', '3482.52', '7.5', '-4683.05', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7980', '8', '0', 'object/mobile/dressed_imperial_colonel_m.iff', '-0.0920522', '0.864511', '0.0358321', '-0.492812', '3490.5', '5', '-4733.94', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7981', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '3679.18', '0', '-4652.44', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('7982', '8', '0', 'object/mobile/jawa_male.iff', '0.00982041', '0.984586', '0.164424', '-0.0588054', '3451.49', '4.87154', '-4524.17', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7983', '8', '0', 'object/mobile/jawa_male.iff', '-0.0151107', '0.982247', '0.163453', '0.0908058', '3451.49', '4.87154', '-4524.17', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7984', '8', '1076968', 'object/mobile/dressed_criminal_thug_rodian_male_01.iff', '0', '-4.50991e-05', '0', '1', '30.8955', '-0.255725', '0.957845', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7985', '8', '1076968', 'object/mobile/dressed_commoner_tatooine_aqualish_female_05.iff', '0', '1', '0', '-2.94748e-05', '30.8955', '-0.255725', '2.05785', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7986', '8', '1076968', 'object/mobile/dressed_commoner_tatooine_rodian_female_04.iff', '0', '0.923898', '0', '0.382638', '29.7955', '-0.255725', '2.05785', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7987', '8', '1076966', 'object/mobile/dressed_criminal_thug_rodian_male_01.iff', '0', '7.58734e-05', '0', '1', '15.48', '-0.255725', '6.58106', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7988', '8', '1076966', 'object/mobile/dressed_commoner_tatooine_nikto_male_04.iff', '0', '1', '0', '-8.76196e-07', '15.48', '-0.255725', '7.68106', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7989', '8', '1076961', 'object/mobile/dressed_hooligan_rodian_male_01.iff', '-1.0415e-07', '-6.19989e-05', '-6.4572e-12', '1', '12.087', '0.01', '2.23598', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7990', '8', '1076961', 'object/mobile/zabrak_male.iff', '4.83333e-12', '1', '1.04122e-07', '-4.64199e-05', '12.087', '0.01', '3.33598', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7991', '8', '1076958', 'object/mobile/dressed_combatmedic_trainer_human_female_01.iff', '0', '-1.04116e-05', '0', '1', '-19.4889', '0.0100002', '0.410576', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7992', '8', '1076958', 'object/mobile/dressed_eisley_officer_bothan_male_01.iff', '0', '1', '0', '-8.67271e-05', '-19.4889', '0.0100002', '1.51058', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7993', '8', '1076958', 'object/mobile/dressed_commoner_tatooine_aqualish_female_04.iff', '0', '0.923907', '0', '0.382617', '-20.5889', '0.0100002', '1.51058', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7994', '8', '1076957', 'object/mobile/dressed_noble_human_female_02.iff', '0', '0.939014', '0', '0.343878', '-16.3311', '-0.255725', '11.493', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7995', '8', '1076956', 'object/mobile/dressed_commoner_tatooine_nikto_male_04.iff', '-7.19578e-08', '6.65391e-05', '4.788e-12', '1', '-4.67224', '0.0100001', '12.0395', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7996', '8', '1076956', 'object/mobile/dressed_commoner_tatooine_ishitib_male_03.iff', '-7.49402e-12', '1', '9.10209e-08', '8.23329e-05', '-4.67224', '0.01', '13.1395', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7997', '8', '1076952', 'object/mobile/space_privateer_tier2_shamdon.iff', '1.22731e-07', '0.985642', '-8.20858e-08', '-0.168849', '-3.61827', '0.01', '-8.8941', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7998', '8', '1076949', 'object/mobile/dressed_villain_trandoshan_male_01.iff', '-4.40373e-07', '0.858749', '-2.62761e-07', '0.512397', '5.61884', '7.01001', '14.3502', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('7999', '8', '1076948', 'object/mobile/dressed_desperado_bith_male_01.iff', '0', '0.527444', '0', '0.84959', '6.01244', '7.01', '-14.2554', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8000', '8', '1076947', 'object/mobile/zabrak_male.iff', '-3.01821e-07', '-0.241044', '8.94489e-08', '0.970514', '13.6783', '7.01', '-10.8849', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8001', '8', '1076945', 'object/mobile/lady_valarian.iff', '0', '0.958885', '0', '0.283795', '-23.836', '9.01', '0.605811', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8002', '8', '1076944', 'object/mobile/dressed_ind.iff', '0.0061792', '0.91908', '0.00264924', '0.394014', '-24.6235', '9.01', '-8.0138', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8003', '8', '1076943', 'object/mobile/junk_sneg.iff', '4.31938e-09', '0.978933', '-8.29086e-08', '-0.204183', '-1.63376', '7.01', '7.35289', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8004', '8', '1076943', 'object/mobile/dressed_criminal_thug_bothan_female_01.iff', '8.38206e-08', '0.0800256', '-4.70862e-09', '0.996793', '-13.1456', '7.01', '4.90831', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8005', '8', '0', 'object/mobile/dressed_commoner_naboo_human_female_08.iff', '-3.83117e-24', '0.643334', '-9.96749e-24', '0.765585', '3381.63', '4', '-4675.2', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8006', '8', '0', 'object/mobile/dressed_commoner_naboo_human_female_04.iff', '0.0287961', '0.368132', '-0.0342982', '0.928694', '3357.54', '4.2333', '-4649.49', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8007', '8', '0', 'object/mobile/dressed_imperial_officer_m_6.iff', '0', '0.99979', '0', '0.0205094', '3427.46', '7.5', '-4728.61', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8008', '8', '0', 'object/mobile/dressed_commoner_naboo_twilek_female_02.iff', '0.0111679', '0.756837', '0.00964213', '0.653437', '3324.79', '5', '-4648.95', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8009', '8', '0', 'object/mobile/dressed_eisley_officer_zabrak_male_01.iff', '-8.11317e-10', '0.907528', '1.44786e-10', '-0.419991', '3318.3', '4', '-4613', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8010', '8', '0', 'object/mobile/dressed_commoner_fat_human_male_01.iff', '2.90501e-05', '0.968554', '-0.000868043', '-0.248804', '3330.17', '4.00303', '-4637.51', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8011', '8', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '0.131272', '-0.2032', '-0.0386934', '0.969526', '3322.23', '4.77649', '-4623.57', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8012', '8', '0', 'object/mobile/dressed_scout_trooper_white_white.iff', '0', '0.978242', '0', '0.207468', '3356.79', '7.5', '-4711.31', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8013', '8', '0', 'object/mobile/dressed_tatooine_mos_eisley_police_officer.iff', '0', '0', '0', '0', '3369.94', '0', '-4729.68', '13', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8014', '8', '0', 'object/mobile/dressed_bestine_artist01.iff', '0', '0.910386', '0', '-0.413761', '3312.29', '5', '-4655.46', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8015', '8', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '-2.78706e-05', '0.682398', '-2.98595e-05', '0.730981', '3304.54', '5', '-4602.49', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8016', '8', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '2.73029e-06', '-0.58888', '-3.74934e-06', '0.808221', '3360.18', '5', '-4742.17', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8017', '8', '0', 'object/mobile/dressed_commoner_tatooine_sullustan_male_02.iff', '6.41573e-15', '-0.454683', '-1.2602e-14', '0.890653', '3377.15', '4', '-4753.22', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8018', '8', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '-0.00186407', '-0.562896', '0.00273709', '0.826521', '3290.19', '5', '-4695.86', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8019', '8', '0', 'object/mobile/dressed_tatooine_mos_eisley_police_officer.iff', '0', '0', '0', '0', '3287.5', '0', '-4682.63', '13', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8020', '8', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '0.00433103', '0.487906', '-0.158828', '0.858314', '3288.68', '4.72215', '-4636.09', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8021', '8', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '0.0837092', '0.12678', '0.115601', '0.981609', '3278.49', '4.75246', '-4676.19', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8022', '8', '0', 'object/mobile/dressed_commoner_naboo_moncal_female_02.iff', '-0.00953282', '0.822952', '-0.0125943', '0.567891', '3258.46', '4.05782', '-4673.77', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8023', '8', '0', 'object/mobile/dressed_tatooine_mos_eisley_police_officer.iff', '0', '0', '0', '0', '3298.17', '0', '-4655.93', '13', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8024', '8', '0', 'object/mobile/dressed_combatmedic_trainer_rodian_male_01.iff', '0', '0.99979', '0', '-0.0205109', '3348.69', '5', '-4513.14', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8025', '8', '0', 'object/mobile/dressed_rebel_brigadier_general_sullustan_male.iff', '0', '-0.309081', '0', '0.951036', '3286.43', '5', '-4524.72', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8026', '8', '0', 'object/mobile/dressed_commoner_tatooine_sullustan_male_02.iff', '0', '-0.661933', '0', '0.749563', '3359.65', '5', '-4496.04', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8027', '8', '0', 'object/mobile/dressed_robber_twk_female_01.iff', '0', '0.882851', '0', '0.469654', '3331.07', '5', '-4485.81', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8028', '8', '0', 'object/mobile/dressed_herald_tatooine_01.iff', '0.157181', '0.978009', '-0.0627738', '-0.121871', '3380.64', '4.65458', '-4497.98', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8029', '8', '0', 'object/mobile/dressed_eisley_officer_rodian_female_01.iff', '0.000727124', '0.914982', '-0.00302468', '0.403483', '3405.23', '4.24207', '-4505.47', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8030', '8', '0', 'object/mobile/dressed_eisley_officer_twilek_female_01.iff', '0.000603783', '0.732196', '0.00192458', '0.681091', '3406.98', '4.21952', '-4505.01', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8031', '8', '0', 'object/mobile/dressed_eisley_officer_twilek_female_01.iff', '-0.0169792', '0.993899', '-0.0339826', '0.103544', '3245.66', '5', '-4531.67', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8032', '8', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '3244.54', '0', '-4532.02', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8033', '8', '1105853', 'object/mobile/gran_male.iff', '0.000130366', '-6.11621e-06', '7.97348e-10', '1', '26.7839', '2.12876', '69.7524', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8034', '8', '1105853', 'object/mobile/dressed_noble_fat_human_female_01.iff', '8.25596e-09', '1', '0.000130464', '-6.32815e-05', '26.7839', '2.12847', '70.8524', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8035', '8', '1105853', 'object/mobile/dressed_hooligan_rodian_female_01.iff', '0', '2.00276e-05', '0', '1', '17.0318', '2.12878', '75.3601', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8036', '8', '1105853', 'object/mobile/dressed_criminal_thug_rodian_male_01.iff', '0', '1', '0', '8.3931e-05', '17.0318', '2.12878', '76.3601', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8037', '8', '1105853', 'object/mobile/dressed_noble_old_human_female_01.iff', '0', '0.731354', '0', '-0.681998', '19.26', '2.12847', '56.13', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8038', '8', '1105853', 'object/mobile/dressed_entertainer_trainer_twk_female_01.iff', '0', '0.0348995', '0', '0.999391', '21.99', '2.12804', '64.05', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8039', '8', '1105852', 'object/mobile/dressed_noble_human_male_03.iff', '0', '0.93358', '0', '-0.358368', '28.93', '2.12878', '58.19', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8040', '8', '1105851', 'object/mobile/dressed_imperial_officer_m_3.iff', '-3.98526e-08', '0.795116', '2.26338e-08', '0.606457', '-3.43834', '2.6', '11.8623', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8041', '8', '1105851', 'object/mobile/dressed_commoner_naboo_moncal_female_02.iff', '3.97093e-12', '1', '1.08361e-07', '-3.66454e-05', '-3.43834', '2.6', '12.9623', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8042', '8', '1105851', 'object/mobile/dressed_kobola_thief_rodian_male_01.iff', '-2.1672e-07', '6.2431e-05', '1.353e-11', '1', '5.07127', '2.6', '6.65958', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8043', '8', '1105851', 'object/mobile/dressed_bountyhunter_trainer_02.iff', '4.92217e-13', '1', '-1.08367e-07', '4.54213e-06', '5.07127', '2.6', '7.75958', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8044', '8', '1105851', 'object/mobile/dressed_commoner_tatooine_sullustan_male_02.iff', '2.93238e-08', '0.923883', '-7.07957e-08', '0.382675', '3.97127', '2.6', '7.75958', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8045', '8', '0', 'object/mobile/dressed_commoner_tatooine_bith_male_03.iff', '0', '0.896016', '0', '0.444022', '3211.43', '5', '-4751.8', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8046', '8', '0', 'object/mobile/human_male.iff', '0', '0.344538', '0', '0.938772', '3190.57', '5', '-4751.31', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8047', '8', '0', 'object/mobile/cll8_binary_load_lifter.iff', '0', '0.204952', '0', '0.978772', '3352.63', '4.00222', '-4771.23', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8048', '8', '0', 'object/mobile/r5.iff', '0', '0.932028', '0', '-0.362386', '3324.84', '4.14982', '-4819.95', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8049', '8', '0', 'object/mobile/mos_taike_guard_old.iff', '0.0656581', '0.994118', '-0.00567643', '-0.0859461', '3376.08', '5', '-4786.24', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8050', '8', '0', 'object/mobile/dressed_commoner_naboo_zabrak_male_02.iff', '0', '0.981117', '0', '-0.193415', '3232.74', '5', '-4798.26', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8051', '8', '0', 'object/mobile/dressed_eisley_officer_rodian_female_01.iff', '0.0658098', '0.745441', '0.0993669', '0.65583', '3288.59', '4.99062', '-4842.81', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8052', '8', '0', 'object/mobile/dressed_eisley_officer_trandoshan_male_01.iff', '0.0620839', '-0.505571', '0.0479112', '0.859213', '3385.18', '4.68287', '-4792.87', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8053', '8', '0', 'object/mobile/dressed_commoner_tatooine_ishitib_male_02.iff', '-0.0717947', '-0.686889', '-0.0104601', '0.723132', '3364.03', '4', '-4830.19', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8054', '8', '0', 'object/mobile/dressed_villain_trandoshan_male_01.iff', '-3.17025e-05', '0.891276', '-1.61295e-05', '0.453462', '3351.57', '5', '-4826.1', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8055', '8', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '0.0443348', '0.938249', '-0.0744886', '0.334926', '3279.95', '5', '-4835.74', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8056', '8', '0', 'object/mobile/dressed_goon_twk_female_01.iff', '0', '0.00210082', '0', '0.999998', '3364.26', '5', '-4854.56', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8057', '8', '0', 'object/mobile/dressed_commoner_naboo_human_female_01.iff', '-0.028777', '0', '0', '0.999586', '3248.76', '4.9251', '-4842.99', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8058', '8', '0', 'object/mobile/dressed_hooligan_rodian_male_01.iff', '-1.21983e-09', '0.999586', '-0.028777', '-4.23716e-08', '3248.76', '5', '-4841.69', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8059', '8', '0', 'object/mobile/dressed_commoner_tatooine_devaronian_male_02.iff', '0.00779199', '0.92367', '-0.018809', '0.382647', '3247.46', '5', '-4841.69', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8060', '8', '0', 'object/mobile/dressed_robber_twk_male_01.iff', '0', '-0.534621', '0', '0.845092', '3401.83', '5', '-4868.72', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8061', '8', '0', 'object/mobile/dressed_noble_fat_twilek_female_01.iff', '-0.018809', '0.382648', '0.00779199', '0.92367', '3247.46', '4.9251', '-4842.99', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8062', '8', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_06.iff', '0.032762', '0.900829', '-0.0135093', '-0.432724', '3316.48', '4.96935', '-4888.61', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8063', '8', '0', 'object/mobile/dressed_commoner_naboo_human_female_05.iff', '-0.00240708', '0', '0', '0.999997', '3247.43', '4.00222', '-4850.96', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8064', '8', '0', 'object/mobile/dressed_commoner_fat_human_male_02.iff', '-1.01279e-10', '0.999997', '-0.00240708', '-4.20752e-08', '3247.43', '4.00848', '-4849.66', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8065', '8', '0', 'object/mobile/dressed_commoner_fat_zabrak_male_01.iff', '-0.000711552', '0.458337', '-0.00137983', '0.888777', '3285.75', '5', '-4923.4', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8066', '8', '0', 'object/mobile/dressed_commoner_naboo_zabrak_female_02.iff', '0', '-0.0713663', '0', '0.99745', '3329.54', '5', '-4975.12', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8067', '8', '0', 'object/mobile/dressed_commoner_tatooine_trandoshan_female_01.iff', '0', '0.905089', '0', '-0.425223', '3347.29', '5', '-4974.32', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8068', '8', '0', 'object/mobile/jawa_male.iff', '-0.0118211', '0.947959', '0.00493088', '-0.318136', '3425.73', '4.00067', '-4907.72', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8069', '8', '1187893', 'object/mobile/dressed_commoner_old_twilek_female_02.iff', '0', '0.000105955', '0', '1', '-2.46731', '0.408271', '-1.67245', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8070', '8', '1187893', 'object/mobile/dressed_commoner_naboo_moncal_male_01.iff', '0', '1', '0', '-3.87826e-05', '-2.46731', '0.408271', '-0.572452', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8071', '8', '1187893', 'object/mobile/dressed_commoner_fat_zabrak_female_02.iff', '0', '0.923881', '0', '0.382679', '-3.56731', '0.408271', '-0.572452', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8072', '8', '0', 'object/mobile/dressed_commoner_tatooine_rodian_male_03.iff', '0.0187693', '0.700036', '-0.00497482', '0.713843', '3438.84', '5', '-4915.72', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8073', '8', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '0', '0.717363', '0', '0.696699', '3427.14', '5', '-4952.92', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8074', '8', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_03.iff', '6.33163e-10', '-0.622494', '-1.00582e-10', '0.782624', '3379.18', '5', '-4898.03', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8075', '8', '0', 'object/mobile/r5.iff', '0', '0.8587', '0', '-0.512479', '3460.21', '4.00358', '-4888.86', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8076', '8', '0', 'object/mobile/jawa_male.iff', '-0.0350229', '-0.0103727', '-0.0330866', '0.998785', '3469.3', '4.13017', '-4861.5', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8077', '8', '0', 'object/mobile/r4.iff', '0', '0.475107', '0', '0.879928', '3466.08', '4', '-4883.93', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8078', '8', '0', 'object/mobile/dressed_kobola_thief_rodian_male_01.iff', '0', '-2.72227e-08', '0', '1', '3421', '5', '-4954.63', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8079', '8', '0', 'object/mobile/dressed_commoner_tatooine_trandoshan_female_03.iff', '0', '1', '0', '-4.20978e-08', '3421', '5', '-4953.33', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8080', '8', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_06.iff', '0.00410592', '-0.404679', '0.000450257', '0.914449', '3458.35', '4.03078', '-4890.75', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8081', '8', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '0', '0.340789', '0', '0.94014', '3417.99', '5', '-4974.46', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8082', '8', '0', 'object/mobile/dressed_eisley_officer_quarren_male_01.iff', '0', '0.904608', '0', '0.426245', '3426.18', '5', '-4963.54', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8083', '8', '0', 'object/mobile/jawa_male.iff', '-0.00057676', '0.726346', '-0.175111', '0.664648', '3475.25', '4.93605', '-4852.73', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8084', '8', '0', 'object/mobile/jawa_male.iff', '0', '-0.707107', '0', '0.707107', '3472.22', '5', '-4918.59', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8085', '8', '0', 'object/mobile/jawa_male.iff', '0', '0.707107', '0', '0.707107', '3470.22', '5', '-4918.59', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8086', '8', '0', 'object/mobile/jawa_male.iff', '0', '0.707107', '0', '0.707107', '3486.01', '5', '-4884.73', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8087', '8', '0', 'object/mobile/jawa_male.iff', '0', '-0.707107', '0', '0.707107', '3488.01', '5', '-4884.73', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8088', '8', '0', 'object/mobile/jawa_male.iff', '0', '0', '0', '1', '3487.01', '5', '-4885.73', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8089', '8', '1082887', 'object/mobile/dressed_talon_karrde.iff', '-1.29724e-08', '0.108838', '-2.95262e-08', '0.99406', '-25.6775', '-0.519991', '8.77374', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8090', '8', '1082886', 'object/mobile/space_privateer_tier1_tatooine.iff', '-2.42949e-07', '0.990786', '-1.74152e-07', '0.135436', '-21.2103', '-0.894989', '24.3324', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8091', '8', '1082880', 'object/mobile/tatooine_npc/figrin_dan.iff', '0', '0.382683', '0', '0.92388', '4.11', '-0.894992', '-17.07', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8092', '8', '1082880', 'object/mobile/tatooine_npc/figrin_dan.iff', '0', '0.573576', '0', '0.819152', '1.29', '-0.894992', '-15.18', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8093', '8', '1082880', 'object/mobile/tatooine_npc/figrin_dan.iff', '0', '0.374607', '0', '0.927184', '2.32', '-0.894992', '-16.47', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8094', '8', '1082880', 'object/mobile/tatooine_npc/figrin_dan.iff', '0', '0.325568', '0', '0.945519', '0.54', '-0.894992', '-17.13', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8095', '8', '1082877', 'object/mobile/dressed_commoner_tatooine_bith_male_01.iff', '0', '0.957755', '0', '-0.287585', '-10.9158', '-0.894992', '1.91698', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8096', '8', '1082877', 'object/mobile/dressed_noble_human_male_01.iff', '0', '0.494733', '0', '0.869045', '-9.34', '-0.894992', '5.66', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8097', '8', '1082877', 'object/mobile/dressed_commoner_tatooine_bith_male_06.iff', '0', '0.79504', '0', '0.606557', '10.65', '-0.894992', '1.91', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8098', '8', '1082877', 'object/mobile/dressed_commoner_old_human_female_02.iff', '0', '0.887392', '0', '0.461015', '10.17', '-0.894992', '2.74', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8099', '8', '1082877', 'object/mobile/dressed_entertainer_trainer_twk_male_01.iff', '0', '0.901262', '0', '0.433275', '9.08', '-0.894992', '4.15', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8100', '8', '1082877', 'object/mobile/dressed_noble_twilek_female_01.iff', '0', '0.901594', '0', '0.432584', '8.49', '-0.894992', '4.64', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8101', '8', '1082877', 'object/mobile/dressed_commoner_tatooine_devaronian_male_02.iff', '0', '0.98235', '0', '0.187052', '4.11', '-0.894992', '5.4', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8102', '8', '1082877', 'object/mobile/dressed_commoner_naboo_zabrak_male_01.iff', '0', '0.986286', '0', '0.165048', '3.11', '-0.894992', '5.4', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8103', '8', '1082877', 'object/mobile/dressed_commoner_fat_twilek_male_01.iff', '0', '-0.326578', '0', '0.94517', '2.11', '-0.894992', '5.4', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8104', '8', '1082877', 'object/mobile/dressed_commoner_naboo_zabrak_female_01.iff', '0', '-0.258701', '0', '0.965957', '1.11', '-0.894992', '5.4', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8105', '8', '1082877', 'object/mobile/dressed_commoner_naboo_human_male_04.iff', '0', '0.144985', '0', '0.989434', '-3.11', '-0.894992', '5.4', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8106', '8', '1082877', 'object/mobile/dressed_commoner_tatooine_rodian_female_01.iff', '0', '0.232549', '0', '0.972585', '-4.11', '-0.894992', '5.4', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8107', '8', '1082877', 'object/mobile/dressed_noble_human_female_02.iff', '0', '-0.168418', '0', '0.985716', '14.57', '-0.894992', '-2.85', '15', 'entertained', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8108', '8', '1082877', 'object/mobile/dressed_noble_human_male_03.iff', '0', '0.898944', '0', '0.438064', '14.21', '-0.894992', '-4.89', '15', 'entertained', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8109', '8', '1082877', 'object/mobile/dressed_noble_human_female_03.iff', '0', '0.94539', '0', '0.32594', '16.49', '-0.894992', '-4.86', '15', 'entertained', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8110', '8', '1082877', 'object/mobile/dressed_noble_human_female_04.iff', '0', '-0.323746', '0', '0.946144', '24.34', '-0.894992', '-8.23', '15', 'bored', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8111', '8', '1082877', 'object/mobile/dressed_noble_human_male_04.iff', '0', '-0.627534', '0', '0.778589', '26.2', '-0.894994', '-8.33', '15', 'npc_sitting_chair', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8112', '8', '1082877', 'object/mobile/dressed_noble_human_female_01.iff', '0', '0.319375', '0', '0.947628', '8.68', '-0.894992', '-6.08', '15', 'entertained', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8113', '8', '1082877', 'object/mobile/dressed_noble_human_male_01.iff', '0', '0.382912', '0', '0.923785', '6.76', '-0.894991', '-6.48', '15', 'entertained', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8114', '8', '1082877', 'object/mobile/dressed_commoner_tatooine_trandoshan_female_01.iff', '0', '-0.300706', '0', '0.953717', '1.99', '-0.894992', '-8.44', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8115', '8', '1082877', 'object/mobile/dressed_commoner_tatooine_bith_male_01.iff', '0', '0.970296', '0', '0.241922', '1.19', '-0.894992', '-7.63', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8116', '8', '1082877', 'object/mobile/dressed_stormtrooper_squad_leader_black_gold.iff', '0', '0', '0', '0', '3.62', '-0.894992', '-6.78', '42', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8117', '8', '1082877', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '2.84', '-0.894992', '-6.3', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8118', '8', '1082877', 'object/mobile/dressed_patron_chiss_f_01.iff', '0', '0.999391', '0', '-0.0348994', '3.62', '-0.894992', '-4.77', '15', 'npc_sad', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8119', '8', '1082877', 'object/mobile/dressed_patron_chiss_m_01.iff', '0', '0.737277', '0', '0.67559', '1.74', '-0.894992', '-4.91', '15', 'npc_consoling', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8120', '8', '1082877', 'object/mobile/ithorian_male.iff', '0', '0.917019', '0', '-0.398845', '15.89', '-0.894992', '2.48', '15', 'entertained', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8121', '8', '1082877', 'object/mobile/dressed_commoner_naboo_human_male_07.iff', '0', '0.613597', '0', '0.78962', '16.46', '-0.894992', '2.98', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8122', '8', '1082877', 'object/mobile/dressed_patron_ishi_tib_01.iff', '0', '0.980819', '0', '-0.194923', '22.31', '-0.894994', '3', '15', 'npc_sitting_chair', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8123', '8', '1082877', 'object/mobile/muftak.iff', '0', '0.963272', '0', '-0.268526', '20.52', '-0.894993', '4.1', '15', 'bored', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8124', '8', '1082877', 'object/mobile/dressed_patron_devaronian_01.iff', '0', '0.967819', '0', '-0.251646', '21.19', '-0.894993', '5.65', '15', 'bored', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8125', '8', '1082877', 'object/mobile/dressed_patron_nikto_01.iff', '0', '-0.413686', '0', '0.91042', '23.37', '-0.894994', '4.88', '15', 'npc_sitting_chair', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8126', '8', '1082877', 'object/mobile/dressed_patron_quarren_01.iff', '0', '0.964725', '0', '0.263259', '16.96', '-0.894992', '6.62', '15', 'npc_sitting_chair', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8127', '8', '1082877', 'object/mobile/dressed_patron_klaatu_01.iff', '0', '0.978198', '0', '0.207673', '14.97', '-0.894991', '6.77', '15', 'bored', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8128', '8', '1082877', 'object/mobile/chadra_fan_male.iff', '0', '0.645989', '0', '0.763347', '10.7', '-0.894992', '-0.23', '15', 'entertained', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8129', '8', '1082877', 'object/mobile/chadra_fan_female.iff', '0', '0.879226', '0', '0.476404', '10.43', '-0.894992', '-1.47', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8130', '8', '1082877', 'object/mobile/r3_crafted.iff', '0', '0.476086', '0', '0.879399', '15.9215', '-0.894992', '-0.217826', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8131', '8', '1082876', 'object/mobile/dressed_commoner_tatooine_devaronian_male_01.iff', '0', '0.398749', '0', '0.91706', '29.51', '0.105', '-7.38', '15', 'npc_sitting_chair', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8132', '8', '1082876', 'object/mobile/dressed_commoner_tatooine_rodian_female_02.iff', '0', '-0.104528', '0', '0.994522', '31.01', '0.105', '-8.83', '15', 'npc_sitting_chair', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8133', '8', '1082876', 'object/mobile/dressed_commoner_tatooine_sullustan_male_06.iff', '0', '0.996917', '0', '0.0784591', '29.54', '0.105', '-6.18', '15', 'npc_sitting_chair', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8134', '8', '1082876', 'object/mobile/dressed_commoner_old_zabrak_male_01.iff', '0', '0.00872649', '0', '0.999962', '35.96', '0.105', '0.74', '15', 'npc_sitting_chair', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8135', '8', '1082876', 'object/mobile/dressed_commoner_tatooine_bith_male_06.iff', '0', '0.981627', '0', '0.190809', '35.72', '0.105', '3.19', '15', 'npc_sitting_chair', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8136', '8', '0', 'object/mobile/dressed_bestine_artist04.iff', '0', '0.142654', '0', '0.989773', '3474.42', '5', '-4975.31', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8137', '8', '0', 'object/mobile/dressed_noble_twilek_female_01.iff', '0', '-0.536472', '0', '0.843918', '3542.38', '5', '-4826.12', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8138', '8', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '0', '-0.0647143', '0', '0.997904', '3496.81', '5.52789', '-4923.13', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8139', '8', '0', 'object/mobile/dressed_commoner_fat_zabrak_male_02.iff', '0', '0.914095', '0', '-0.405501', '3482.43', '5', '-5002.18', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8140', '8', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_06.iff', '0', '0.297401', '0', '0.954753', '3563.18', '5', '-4946.05', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8141', '8', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_07.iff', '0', '0.662113', '0', '0.749404', '3496.19', '5', '-4993.49', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8142', '8', '0', 'object/mobile/dressed_commoner_tatooine_sullustan_male_02.iff', '0', '-0.353756', '0', '0.935338', '3507.53', '5', '-5002.63', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8143', '8', '0', 'object/mobile/dressed_commoner_naboo_twilek_female_01.iff', '0.0211492', '0', '0', '0.999776', '3420.74', '5', '-5007.61', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8144', '8', '0', 'object/mobile/dressed_commoner_naboo_bothan_female_01.iff', '0', '-0.17705', '0', '0.984202', '3529.16', '5', '-4900.65', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8145', '8', '0', 'object/mobile/dressed_commoner_tatooine_sullustan_male_04.iff', '0', '0.893652', '0', '-0.44876', '3499.6', '5', '-5019.9', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8146', '8', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '0', '0.974057', '0', '0.226303', '3516.17', '5', '-4879.7', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8147', '8', '0', 'object/mobile/dressed_commoner_old_twilek_male_01.iff', '-0.00554969', '0.467835', '-0.0104833', '0.883736', '3636.8', '5', '-4877.95', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8148', '8', '0', 'object/mobile/worrt.iff', '0', '0', '0', '0', '3594.97', '0', '-5036.12', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8149', '8', '0', 'object/mobile/worrt.iff', '0', '0', '0', '0', '3593.84', '0', '-5027.07', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8150', '8', '0', 'object/mobile/worrt.iff', '0', '0', '0', '0', '3593.72', '0', '-5034.97', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8151', '8', '0', 'object/mobile/worrt.iff', '0', '0', '0', '0', '3596.89', '0', '-5037.25', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8152', '8', '0', 'object/mobile/worrt.iff', '0', '0', '0', '0', '3591.54', '0', '-5051.95', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8153', '8', '0', 'object/mobile/worrt.iff', '0', '0', '0', '0', '3583.14', '0', '-5048.74', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8154', '8', '0', 'object/mobile/worrt.iff', '0', '0', '0', '0', '3591.7', '0', '-5059.86', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8155', '8', '0', 'object/mobile/worrt.iff', '0', '0', '0', '0', '3579.25', '0', '-5065.37', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8156', '8', '0', 'object/mobile/minor_worrt.iff', '0', '0', '0', '0', '3758.38', '0', '-4896.48', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8157', '8', '0', 'object/mobile/minor_worrt.iff', '0', '0', '0', '0', '3763.84', '0', '-4905.4', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8158', '8', '0', 'object/mobile/minor_worrt.iff', '0', '0', '0', '0', '3757.25', '0', '-4896.52', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8159', '8', '0', 'object/mobile/minor_worrt.iff', '0', '0', '0', '0', '3763.13', '0', '-4900.98', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8160', '8', '0', 'object/mobile/minor_worrt.iff', '0', '0', '0', '0', '3762.47', '0', '-4899.53', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8161', '8', '0', 'object/mobile/minor_worrt.iff', '0', '0', '0', '0', '3761.91', '0', '-4900.65', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8162', '8', '0', 'object/mobile/rock_mite.iff', '0', '0', '0', '0', '3779.27', '0', '-4925.02', '8', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8163', '8', '0', 'object/mobile/rock_mite.iff', '0', '0', '0', '0', '3778.39', '0', '-4926.87', '8', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8164', '8', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_01.iff', '0.155546', '0.969111', '0.0303299', '0.188968', '3697.52', '5', '-4757.76', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8165', '8', '0', 'object/mobile/dressed_eisley_officer_bothan_female_01.iff', '0', '-0.595514', '0', '0.803345', '3538.04', '5.12541', '-4806.46', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8166', '8', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_05.iff', '0', '0.997538', '0', '0.0701287', '1169.4', '7', '3063.85', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8167', '8', '4005528', 'object/mobile/dressed_criminal_smuggler_human_female_01.iff', '1.08367e-07', '-2.59764e-05', '2.815e-12', '1', '-53.137', '2.63942', '37.6938', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8168', '8', '4005528', 'object/mobile/dressed_criminal_thug_rodian_male_01.iff', '-3.36551e-12', '1', '-2.16758e-07', '-1.55266e-05', '-53.137', '2.63942', '38.7938', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8169', '8', '4005528', 'object/mobile/dressed_commoner_fat_twilek_male_01.iff', '2.93272e-08', '0.923877', '-7.08007e-08', '0.382691', '-54.237', '2.63942', '38.7938', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8170', '8', '4005525', 'object/mobile/dressed_commoner_tatooine_nikto_male_04.iff', '-1.08364e-07', '-4.68171e-05', '-5.07331e-12', '1', '-36.1846', '1.63942', '63.1406', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8171', '8', '4005525', 'object/mobile/dressed_commoner_tatooine_trandoshan_male_02.iff', '-5.63571e-12', '1', '2.16723e-07', '2.60042e-05', '-36.1846', '1.63942', '64.2406', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8172', '8', '4005523', 'object/mobile/dressed_commoner_naboo_twilek_female_01.iff', '2.7092e-08', '-3.29423e-05', '8.92472e-13', '1', '54.6956', '-0.521137', '37.0243', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8173', '8', '4005523', 'object/mobile/dressed_mercenary_weak_hum_m.iff', '1.31745e-12', '1', '5.41889e-08', '-2.43121e-05', '54.6956', '-0.521137', '38.1243', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8174', '8', '4005523', 'object/mobile/dressed_commoner_fat_zabrak_female_02.iff', '-7.33171e-09', '0.923879', '1.77003e-08', '0.382684', '53.5956', '-0.521137', '38.1243', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8175', '8', '4005520', 'object/mobile/space_chassis_broker_05.iff', '0', '0.926499', '0', '-0.376297', '2.14833', '0.639422', '67.5897', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8176', '8', '0', 'object/mobile/dressed_hooligan_rodian_male_01.iff', '0', '0.990699', '0', '0.136074', '1276.88', '7', '3180.3', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8177', '8', '0', 'object/mobile/dressed_commoner_naboo_twilek_female_01.iff', '0', '0.363024', '0', '0.93178', '1303.42', '7', '3113.38', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8178', '8', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_08.iff', '0', '-0.58591', '0', '0.810376', '1271.2', '7', '2972.48', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8179', '8', '0', 'object/mobile/dressed_commoner_naboo_twilek_male_02.iff', '0', '0.824931', '0', '0.565234', '1294.55', '7', '3002.8', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8180', '8', '0', 'object/mobile/dressed_commoner_tatooine_rodian_female_03.iff', '0', '0.950368', '0', '-0.311127', '1312.96', '7', '3028.24', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8181', '8', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_03.iff', '0', '0.432633', '0', '0.90157', '1340.32', '7', '3068.23', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8182', '8', '0', 'object/mobile/dressed_commoner_naboo_human_female_05.iff', '0', '0.87113', '0', '-0.491054', '1328.4', '7', '3028.17', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8183', '8', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_07.iff', '0', '0.741142', '0', '-0.671349', '1225.63', '7', '2970.92', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8184', '8', '0', 'object/mobile/dressed_doctor_trainer_moncal_male_01.iff', '2.45273e-11', '-2.52993e-09', '0.000651547', '1', '1326.93', '7', '3163.39', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8185', '8', '0', 'object/mobile/dressed_commoner_naboo_human_female_01.iff', '-0.0112161', '0.999937', '3.03395e-10', '-1.12364e-09', '1326.93', '7', '3164.39', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8186', '8', '0', 'object/mobile/dressed_commoner_fat_zabrak_male_01.iff', '0', '0', '0', '1', '1326.44', '7', '3119.75', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8187', '8', '0', 'object/mobile/dressed_commoner_tatooine_bith_female_03.iff', '0', '1', '0', '0', '1326.44', '7', '3120.75', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8188', '8', '0', 'object/mobile/jawa_male.iff', '0', '0.889904', '0', '0.456149', '1189.08', '7', '2993.49', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8189', '8', '0', 'object/mobile/dressed_swamp_trooper_m.iff', '0', '0.940896', '0', '-0.338696', '1280.99', '7.51231', '3128.99', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8190', '8', '0', 'object/mobile/dressed_scout_trooper_black_black.iff', '0', '0.224951', '0', '0.97437', '1289.2', '7', '3128', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8191', '8', '0', 'object/mobile/dressed_scout_trooper_black_black.iff', '0', '0.241922', '0', '0.970296', '1282.4', '7', '3133.1', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8192', '8', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '0', '0.358368', '0', '0.93358', '1286.3', '7.7102', '2954.7', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8193', '8', '0', 'object/mobile/dressed_stormtrooper_rifleman_m.iff', '0', '-0.453991', '0', '0.891007', '1256', '7.7102', '2954.3', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8194', '8', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '0', '-0.636078', '0', '0.771625', '1181.3', '7', '3087.9', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8195', '8', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '0', '-0.656059', '0', '0.75471', '1264', '7', '3159.3', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8196', '8', '0', 'object/mobile/dressed_swamp_trooper_m.iff', '0', '0.934434', '0', '-0.356137', '1294.63', '7', '3035.54', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8197', '8', '0', 'object/mobile/r3.iff', '0', '0.630069', '0', '0.776539', '1242.26', '7', '3155.65', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8198', '8', '0', 'object/mobile/jawa_male.iff', '0', '0.398961', '0', '0.916968', '1347.83', '7', '3060.74', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8199', '8', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '0', '0.999962', '0', '-0.00872654', '1380.4', '9.5', '3012.4', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8200', '8', '0', 'object/mobile/dressed_noble_human_male_02.iff', '0', '-2.34621e-08', '0', '1', '1191.8', '7', '2955.7', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8201', '8', '0', 'object/mobile/dressed_criminal_thug_rodian_male_01.iff', '0', '0.92388', '0', '0.382683', '1190.5', '7', '2957', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8202', '8', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '1399.4', '0', '3094.3', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8203', '8', '0', 'object/mobile/dressed_stormtrooper_groupleader_m.iff', '0', '0.859231', '0', '-0.511588', '1400.2', '7', '3090.2', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8204', '8', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '1401', '0', '3094.3', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8205', '8', '0', 'object/mobile/dressed_swamp_trooper_m.iff', '0', '-0.173088', '0', '0.984906', '1404.95', '11', '3109.59', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8206', '8', '0', 'object/mobile/dressed_commoner_fat_zabrak_male_01.iff', '0', '0.997124', '0', '-0.0757828', '1420.16', '7', '3089.99', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8207', '8', '0', 'object/mobile/dressed_commoner_naboo_zabrak_male_01.iff', '0', '0.0143757', '0', '0.999897', '1389.06', '7.5', '3162.26', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8208', '8', '0', 'object/mobile/dressed_commoner_old_human_male_02.iff', '0', '-0.329671', '0', '0.944096', '1288.86', '7', '3208.83', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8209', '8', '0', 'object/mobile/r5.iff', '0', '0.998363', '0', '-0.0571989', '1332.83', '11', '3233.94', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8210', '8', '0', 'object/mobile/eg6_power_droid.iff', '0', '0.0713719', '0', '0.99745', '1332.45', '7.90682', '3237.09', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8211', '8', '0', 'object/mobile/dressed_commoner_tatooine_ishitib_male_02.iff', '0', '0.132635', '0', '0.991165', '1391.32', '7.5', '3202.54', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8212', '8', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '0', '0.688355', '0', '0.725374', '1272.7', '7', '3255.9', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8213', '8', '0', 'object/mobile/dressed_swamp_trooper_m.iff', '0', '-0.438005', '0', '0.898973', '1292.88', '7', '3263.85', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8214', '8', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '0', '0.91706', '0', '0.398749', '1376.6', '7', '3267.5', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8215', '8', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_05.iff', '0', '0.911952', '0', '0.410296', '1449.89', '7', '3138', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8216', '8', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '0', '0.707107', '0', '0.707107', '1444.6', '7', '3106.9', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8217', '8', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_02.iff', '0', '0.99702', '0', '0.0771445', '1378.9', '7', '3087.88', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8218', '8', '1153566', 'object/mobile/dressed_commoner_tatooine_devaronian_male_03.iff', '0', '0.866025', '0', '0.5', '-14.01', '1.13306', '-8.53', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8219', '8', '1153565', 'object/mobile/dressed_commoner_fat_zabrak_male_02.iff', '0', '0.913545', '0', '-0.406737', '3.32', '1.13306', '-8.49', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8220', '8', '0', 'object/mobile/worrt_hue.iff', '0', '-0.657188', '0', '0.753727', '1373.72', '22.8537', '2912.15', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8221', '8', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_02.iff', '0', '0.395459', '0', '0.918484', '1197.96', '7', '2937.67', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8222', '8', '0', 'object/mobile/dressed_doctor_trainer_moncal_female_01.iff', '0', '0.492183', '0', '0.870492', '1209.57', '7', '2923.54', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8223', '8', '0', 'object/mobile/worrt_hue.iff', '0', '0.689346', '0', '0.724432', '1339.88', '14.8086', '2842.88', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8224', '8', '0', 'object/mobile/worrt_hue.iff', '0', '0.717915', '0', '-0.696131', '1338.17', '14.6409', '2847.72', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8225', '8', '0', 'object/mobile/rock_mite_hue.iff', '0', '-0.618813', '0', '0.785538', '1274.94', '9.5564', '2826.91', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8226', '8', '0', 'object/mobile/dune_lizard_hue.iff', '0', '-0.468444', '0', '0.883493', '1261.62', '9.82242', '2831.13', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8227', '8', '0', 'object/mobile/tanc_mite_hue.iff', '0', '0.85107', '0', '0.525053', '1264.36', '9.84013', '2838.12', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8228', '8', '0', 'object/mobile/worrt_hue.iff', '0', '-0.566042', '0', '0.824376', '1270.85', '9.85368', '2833.03', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8229', '8', '0', 'object/mobile/dressed_swamp_trooper_m.iff', '0', '0.99372', '0', '0.111897', '1414.62', '33.9088', '2893.24', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8230', '8', '0', 'object/mobile/dune_lizard_hue.iff', '0', '0.992718', '0', '0.120459', '1266.2', '9.90717', '2833.11', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8231', '8', '0', 'object/mobile/worrt_hue.iff', '0', '0.723729', '0', '0.690084', '1283.68', '8.62574', '2821.26', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8232', '8', '0', 'object/mobile/dressed_commoner_fat_human_male_02.iff', '0', '0.999274', '0', '0.0381049', '1448.18', '7', '2974.11', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8233', '8', '0', 'object/mobile/dressed_tatooine_ikka_gesul.iff', '0', '0.994959', '0', '-0.100286', '1499.45', '7', '3009.43', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8234', '8', '0', 'object/mobile/worrt_hue.iff', '0', '0.0339836', '0', '0.999422', '1553.18', '6.46393', '2915.57', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8235', '8', '0', 'object/mobile/dune_lizard_hue.iff', '0', '0.701951', '0', '0.712225', '1551.49', '6.59957', '2905.19', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8236', '8', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '0.0126635', '0.700769', '-0.00311431', '0.713269', '1546.83', '6.54023', '2907.8', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8237', '8', '0', 'object/mobile/worrt_hue.iff', '0', '0.983914', '0', '-0.178643', '1557.59', '6.25528', '2908.24', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8238', '8', '0', 'object/mobile/worrt_hue.iff', '0', '0.863349', '0', '-0.504608', '1557.88', '6.25405', '2908.11', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8239', '8', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '0', '0.998135', '0', '0.0610485', '1557.7', '9.5', '3045.7', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8240', '8', '0', 'object/mobile/womp_rat_hue.iff', '0', '0.861261', '0', '0.508164', '1554.99', '6.26101', '2910.7', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8241', '8', '0', 'object/mobile/womp_rat_hue.iff', '0.00931394', '0.0926951', '-0.025271', '0.99533', '1553.41', '6.45934', '2915.5', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8242', '8', '0', 'object/mobile/dressed_commoner_naboo_bothan_male_02.iff', '0', '0.998651', '0', '-0.0519162', '1624.1', '7', '2929.75', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8243', '8', '0', 'object/mobile/dressed_imperial_exterminator.iff', '0', '0.656059', '0', '0.75471', '1593.3', '7', '3020.2', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8244', '8', '0', 'object/mobile/womp_rat_hue.iff', '0', '0.509099', '0', '0.860708', '1567.09', '6.83359', '2921.88', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8245', '8', '0', 'object/mobile/womp_rat_hue.iff', '0', '0.999965', '0', '-0.00837805', '1550.6', '7.00186', '2902.02', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8246', '8', '0', 'object/mobile/dressed_commoner_naboo_human_female_02.iff', '0', '0.753521', '0', '0.657424', '1647.95', '7', '2957', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8247', '8', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '0', '0.999962', '0', '-0.00872646', '1637.2', '7', '2980.3', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8248', '8', '1153626', 'object/mobile/dressed_doctor_trainer_moncal_male_01.iff', '0', '0.999901', '0', '0.014064', '-5.68668', '1.00421', '10.3907', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8249', '8', '1153522', 'object/mobile/dressed_criminal_thug_rodian_male_01.iff', '0', '-1.12426e-05', '0', '1', '30.4646', '-0.255725', '-0.43765', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8250', '8', '1153522', 'object/mobile/dressed_eisley_officer_trandoshan_female_01.iff', '0', '1', '0', '4.4174e-05', '30.4646', '-0.255725', '0.66235', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8251', '8', '1153522', 'object/mobile/dressed_commoner_naboo_bothan_male_01.iff', '0', '0.923878', '0', '0.382688', '29.3646', '-0.255725', '0.66235', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8252', '8', '1153522', 'object/mobile/dressed_entertainer_trainer_human_female_01.iff', '0', '0.382681', '0', '0.923881', '29.3646', '-0.255725', '-0.43765', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8253', '8', '1153520', 'object/mobile/dressed_commoner_tatooine_bith_male_04.iff', '0', '-2.81695e-05', '0', '1', '12.7978', '-0.255725', '8.10473', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8254', '8', '1153520', 'object/mobile/dressed_bountyhunter_trainer_04.iff', '0', '1', '0', '2.731e-05', '12.7978', '-0.255725', '9.20473', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8255', '8', '1153518', 'object/mobile/dressed_commoner_tatooine_bith_female_05.iff', '-0.039447', '0.785799', '-0.0504184', '-0.61516', '19.0124', '0.01', '-5.51447', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8256', '8', '1153518', 'object/mobile/dressed_commoner_tatooine_aqualish_female_02.iff', '-0.0504089', '0.615161', '0.0394625', '0.785798', '17.0101', '-0.255725', '-6.00959', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8257', '8', '1153518', 'object/mobile/r2.iff', '0', '0.970514', '0', '0.241046', '19.01', '0.01', '-5.51447', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8258', '8', '1153516', 'object/mobile/dressed_noble_rodian_male_01.iff', '0', '2.64354e-05', '0', '1', '7.19977', '-0.255725', '-8.84042', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8259', '8', '1153516', 'object/mobile/dressed_commoner_tatooine_bith_male_02.iff', '0', '1', '0', '-1.64876e-05', '7.19977', '-0.255725', '-7.74042', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8260', '8', '1153516', 'object/mobile/dressed_commoner_tatooine_trandoshan_female_01.iff', '0', '0.92388', '0', '0.382683', '6.09977', '-0.255725', '-7.74042', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8261', '8', '1153512', 'object/mobile/dressed_eisley_officer_aqualish_male_01.iff', '0', '-3.04582e-06', '0', '1', '-11.7551', '0.0100002', '-2.33478', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8262', '8', '1153512', 'object/mobile/dressed_naboo_nomad.iff', '0', '1', '0', '-5.67847e-05', '-11.7551', '0.0100002', '-1.23478', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8263', '8', '1153507', 'object/mobile/dressed_commoner_naboo_twilek_male_01.iff', '0', '-0.706725', '0', '0.707488', '-14.2049', '-0.255725', '-12.4673', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8264', '8', '1153507', 'object/mobile/dressed_commoner_tatooine_devaronian_male_04.iff', '0', '0.707489', '0', '0.706725', '-16.1968', '-0.255725', '-12.4652', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8265', '8', '1153507', 'object/mobile/r5.iff', '0', '0.534752', '0', '0.845009', '-15.2049', '-0.255725', '-11.4673', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8266', '8', '1153501', 'object/mobile/dressed_hooligan_rodian_male_01.iff', '0', '5.11722e-05', '0', '1', '18.2949', '7.01', '0.838211', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8267', '8', '1153501', 'object/mobile/dressed_commoner_fat_zabrak_male_02.iff', '0', '1', '0', '-1.70472e-06', '18.2949', '7.01', '1.93821', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8268', '8', '1153501', 'object/mobile/dressed_criminal_thug_human_female_02.iff', '0', '0.923883', '0', '0.382676', '17.1949', '7.01', '1.93821', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8269', '8', '1153499', 'object/mobile/dressed_criminal_pirate_human_female_01.iff', '0', '1.64784e-05', '0', '1', '-23.4917', '9.01', '1.31044', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8270', '8', '1153499', 'object/mobile/dressed_commoner_fat_twilek_female_01.iff', '0', '1', '0', '-2.60196e-05', '-23.4917', '9.01', '2.41044', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8271', '8', '1153499', 'object/mobile/dressed_commoner_tatooine_aqualish_female_05.iff', '0', '0.923879', '0', '0.382685', '-24.5917', '9.01', '2.41044', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8272', '8', '1153499', 'object/mobile/dressed_commoner_old_zabrak_female_02.iff', '0', '0.622603', '0', '0.782538', '-25.2156', '9.01', '-0.754679', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8273', '8', '1153503', 'object/mobile/dressed_criminal_thug_aqualish_male_02.iff', '0', '0.738705', '0', '0.674029', '4.3863', '7.01', '12.7119', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8274', '8', '1153497', 'object/mobile/dressed_criminal_slicer_human_female_01.iff', '0', '-7.26651e-06', '0', '1', '-3.4032', '7.01', '4.89576', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8275', '8', '1153497', 'object/mobile/dressed_artisan_trainer_02.iff', '0', '1', '0', '4.83449e-05', '-3.4032', '7.01', '5.99576', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8276', '8', '1153497', 'object/mobile/dressed_tatooine_blerx_tango.iff', '0', '0.825462', '0', '0.564458', '-19.161', '7.01', '-8.09835', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8277', '8', '0', 'object/mobile/dune_lizard_hue.iff', '0', '0.470417', '0', '0.882444', '1709.58', '10.3179', '2835.96', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8278', '8', '0', 'object/mobile/tanc_mite_hue.iff', '0', '-0.225907', '0', '0.974149', '1693.1', '10.2439', '2830.06', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8279', '8', '0', 'object/mobile/dune_lizard_hue.iff', '0', '0.975773', '0', '-0.218784', '1692.84', '9.48024', '2820.93', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8280', '8', '0', 'object/mobile/tanc_mite_hue.iff', '0', '-0.672071', '0', '0.740487', '1685.87', '10.1713', '2832.4', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8281', '8', '0', 'object/mobile/rock_mite_hue.iff', '0', '-0.581198', '0', '0.813762', '1691.38', '9.48584', '2821.22', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8282', '8', '0', 'object/mobile/rock_mite_hue.iff', '0', '-0.21623', '0', '0.976342', '1698.56', '9.80305', '2823.97', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8283', '8', '0', 'object/mobile/worrt_hue.iff', '0', '0.741291', '0', '0.671184', '1713.52', '9.79311', '2825.23', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8284', '8', '0', 'object/mobile/dressed_noble_rodian_male_01.iff', '0', '-1.33675e-08', '0', '1', '1720.1', '7', '3016.64', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8285', '8', '0', 'object/mobile/dressed_mercenary_weak_rod_m.iff', '0', '1', '0', '1.95123e-08', '1720.1', '7', '3017.94', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8286', '8', '0', 'object/mobile/rock_mite_hue.iff', '0', '-0.221831', '0', '0.975085', '1733.21', '10.3787', '2815.08', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8287', '8', '0', 'object/mobile/rock_mite_hue.iff', '0', '0.223119', '0', '0.974791', '1744.69', '10.1734', '2821.79', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8288', '8', '0', 'object/mobile/worrt_hue.iff', '0', '0.875213', '0', '0.483738', '1790.19', '6.66465', '2878.26', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8289', '8', '0', 'object/mobile/worrt_hue.iff', '0', '0.294345', '0', '0.955699', '1789.47', '7.95745', '2890.23', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8290', '8', '0', 'object/mobile/dune_lizard_hue.iff', '0', '-0.541283', '0', '0.84084', '1784.51', '7.62439', '2885.12', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8291', '8', '0', 'object/mobile/rock_mite_hue.iff', '0', '-0.481272', '0', '0.876571', '1783.82', '7.5651', '2884.2', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8292', '8', '0', 'object/mobile/worrt_hue.iff', '0', '-0.383751', '0', '0.923437', '1742.08', '10.3631', '2819.34', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8293', '8', '0', 'object/mobile/worrt_hue.iff', '0', '0.0135077', '0', '0.999909', '1763.95', '10.0345', '2821.82', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8294', '8', '0', 'object/mobile/dressed_mercenary_weak_hum_f.iff', '0', '0', '0', '1', '1701.23', '21.49', '3031.28', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8295', '8', '0', 'object/mobile/dune_lizard_hue.iff', '0', '0.842573', '0', '0.538581', '1806.8', '6.9809', '2878.03', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8296', '8', '0', 'object/mobile/worrt_hue.iff', '0', '0.758287', '0', '0.651921', '1805.9', '6.94296', '2871.32', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8297', '8', '0', 'object/mobile/worrt_hue.iff', '0', '0.338281', '0', '0.941045', '1800.05', '6.80464', '2891.47', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8298', '8', '0', 'object/mobile/womp_rat_hue.iff', '0', '-0.619339', '0', '0.785124', '1781.88', '7.42814', '2883.16', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8299', '8', '0', 'object/mobile/dune_lizard_hue.iff', '0', '0.807777', '0', '0.589489', '1870.24', '9.20984', '2966.54', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8300', '8', '0', 'object/mobile/dune_lizard_hue.iff', '0', '0.868073', '0', '-0.496436', '1865.24', '9.40373', '2963.71', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8301', '8', '0', 'object/mobile/tanc_mite_hue.iff', '0', '0.850533', '0', '-0.525923', '1859.94', '8.77464', '2963.42', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8302', '8', '0', 'object/mobile/tanc_mite_hue.iff', '0', '0.718919', '0', '0.695094', '1872.92', '8.96768', '2965.44', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8303', '8', '0', 'object/mobile/rock_mite_hue.iff', '0', '-0.0974773', '0', '0.995238', '1866.41', '9.04205', '2967.88', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8304', '8', '0', 'object/mobile/dressed_criminal_thug_rodian_male_01.iff', '0', '1', '0', '-4.21468e-08', '1744.45', '7', '3058.83', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8305', '8', '0', 'object/mobile/womp_rat_hue.iff', '0', '-0.527736', '0', '0.849409', '1852.49', '9.74789', '2961.32', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8306', '8', '0', 'object/mobile/dune_lizard_hue.iff', '0', '-0.627749', '0', '0.778416', '1892.9', '11.1802', '3073.04', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8307', '8', '0', 'object/mobile/rock_mite_hue.iff', '0', '0.641833', '0', '0.766844', '1900.72', '13.3004', '3090.22', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8308', '8', '0', 'object/mobile/tanc_mite_hue.iff', '0', '0.521925', '0', '0.852991', '1905.04', '14.1019', '3085.49', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8309', '8', '0', 'object/mobile/tanc_mite_hue.iff', '0', '0.971799', '0', '0.235809', '1904.71', '13.5966', '3075.98', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8310', '8', '0', 'object/mobile/tanc_mite_hue.iff', '0', '-0.301496', '0', '0.953467', '1896.15', '12.2618', '3089.08', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8311', '8', '0', 'object/mobile/tanc_mite_hue.iff', '0', '-0.320426', '0', '0.947274', '1897.89', '12.4578', '3080.4', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8312', '8', '0', 'object/mobile/worrt_hue.iff', '0', '0.905931', '0', '0.423426', '1905.32', '13.964', '3081.04', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8313', '8', '0', 'object/mobile/dressed_commoner_old_zabrak_male_02.iff', '0', '0.446159', '0', '0.894954', '1723.47', '7', '3130.73', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8314', '8', '0', 'object/mobile/dressed_commoner_old_human_female_02.iff', '0', '-0.552741', '0', '0.833353', '1752.63', '7', '3163.33', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8315', '8', '0', 'object/mobile/dressed_swamp_trooper_m.iff', '0', '0', '0', '1', '1743', '7', '3172.7', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8316', '8', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '0', '0.999391', '0', '0.0348994', '1715.3', '7', '3147.1', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8317', '8', '0', 'object/mobile/rock_mite_hue.iff', '0', '-0.469134', '0', '0.883127', '1846.71', '9.40988', '2982.52', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8318', '8', '0', 'object/mobile/rock_mite_hue.iff', '0', '0.987486', '0', '-0.157704', '1848.87', '9.71876', '2972.28', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8319', '8', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '0', '0.999848', '0', '0.0174523', '1738.6', '7.6', '3191.1', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8320', '8', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '0', '0.62932', '0', '0.777146', '1759.6', '7', '3186.1', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8321', '8', '0', 'object/mobile/worrt_hue.iff', '0', '0.396402', '0', '0.918077', '1844.89', '6.26424', '3232.27', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8322', '8', '0', 'object/mobile/dune_lizard_hue.iff', '0', '0.84495', '0', '0.534846', '1825.88', '6.71469', '3234.62', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8323', '8', '0', 'object/mobile/tanc_mite_hue.iff', '0', '-0.183109', '0', '0.983093', '1824', '6.77883', '3233.9', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8324', '8', '0', 'object/mobile/dressed_swamp_trooper_m.iff', '0', '0.0302272', '0', '0.999543', '1734.63', '7.6', '3192.02', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8325', '8', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '0', '-0.0174524', '0', '0.999848', '1688.8', '7', '3125.2', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8326', '8', '0', 'object/mobile/worrt_hue.iff', '0', '0.999287', '0', '0.03775', '1930.25', '16.8951', '3152.15', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8327', '8', '0', 'object/mobile/worrt_hue.iff', '0', '-0.325023', '0', '0.945706', '1828.47', '6.59728', '3244.79', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8328', '8', '0', 'object/mobile/rock_mite_hue.iff', '0', '0.817181', '0', '0.576382', '1819.31', '6.57781', '3240.37', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8329', '8', '0', 'object/mobile/worrt_hue.iff', '0', '0.878309', '0', '-0.478093', '1827.19', '6.58123', '3242.88', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8330', '8', '0', 'object/mobile/tanc_mite_hue.iff', '0', '0.588339', '0', '0.808614', '1834.6', '5.40456', '3238.51', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8331', '8', '0', 'object/mobile/dune_lizard_hue.iff', '0', '0.964872', '0', '0.262721', '1824.45', '6.63692', '3238.38', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8332', '8', '0', 'object/mobile/rock_mite_hue.iff', '0', '0.985887', '0', '-0.167415', '1936.08', '17.7986', '3155.67', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8333', '8', '0', 'object/mobile/tanc_mite_hue.iff', '0', '0.872541', '0', '-0.488541', '1736.14', '7.40122', '3265.29', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8334', '8', '0', 'object/mobile/tanc_mite_hue.iff', '0', '0.376887', '0', '0.926259', '1741.69', '8.61579', '3276.76', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8335', '8', '0', 'object/mobile/dune_lizard_hue.iff', '0', '0.999527', '0', '-0.0307456', '1743.22', '7.82701', '3265.36', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8336', '8', '0', 'object/mobile/worrt_hue.iff', '0', '0.900758', '0', '0.434322', '1746.96', '10.0292', '3284.7', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8337', '8', '0', 'object/mobile/worrt_hue.iff', '0', '-0.413426', '0', '0.910538', '1732.79', '8.12792', '3282.87', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8338', '8', '0', 'object/mobile/worrt_hue.iff', '0', '0.891797', '0', '-0.452435', '1739.93', '8.81984', '3281.18', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8339', '8', '0', 'object/mobile/worrt_hue.iff', '0', '0.798766', '0', '-0.601642', '1724.92', '7.1876', '3273.25', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8340', '8', '0', 'object/mobile/dressed_commoner_tatooine_rodian_female_04.iff', '0', '-0.252226', '0', '0.967668', '1619.54', '11', '3228.91', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8341', '8', '0', 'object/mobile/womp_rat_hue.iff', '0', '-0.607576', '0', '0.794261', '1732.5', '9.60921', '3291.65', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8342', '8', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '0', '0.681998', '0', '0.731354', '1618.9', '11', '3241.7', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8343', '8', '0', 'object/mobile/zabrak_male.iff', '0', '0.99178', '0', '0.127958', '1615.27', '11', '3298.91', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8344', '8', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '0.0274334', '-0.572941', '-0.00205298', '0.819135', '1605.71', '11', '3255.47', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8345', '8', '0', 'object/mobile/dressed_imperial_officer_m.iff', '0.0219254', '0.71318', '0.0131383', '-0.700514', '1602.89', '11', '3255.09', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8346', '8', '0', 'object/mobile/dressed_swamp_trooper_m.iff', '0', '-0.707107', '0', '0.707107', '1613.85', '11', '3211.53', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8347', '8', '0', 'object/mobile/dressed_swamp_trooper_m.iff', '0', '0.992214', '0', '0.124541', '1615.26', '11', '3299.05', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8348', '8', '0', 'object/mobile/dressed_criminal_thug_aqualish_female_01.iff', '0', '0.991777', '0', '0.127975', '1615.31', '11', '3299', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8349', '8', '0', 'object/mobile/dressed_hoodlum_zabrak_male_01.iff', '0', '0.980977', '0', '-0.194123', '1621.79', '7', '3319.3', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8350', '8', '0', 'object/mobile/dressed_criminal_thug_aqualish_male_02.iff', '0', '0.739628', '0', '0.673016', '1621.49', '11', '3288.04', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8351', '8', '0', 'object/mobile/dressed_criminal_thug_aqualish_female_01.iff', '0', '0.99128', '0', '0.131775', '1615.24', '11', '3299.16', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8352', '8', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_01.iff', '0', '0.915108', '0', '-0.403208', '1615.17', '7', '3313.63', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8353', '8', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '0', '0.582002', '0', '0.813187', '1600.5', '11', '3188.98', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8354', '8', '0', 'object/mobile/dressed_scout_trooper_white_white.iff', '0', '0.603695', '0', '0.797216', '1597.4', '11', '3186.76', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8355', '8', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '0', '0.581962', '0', '0.813216', '1598.04', '11', '3188.15', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8356', '8', '0', 'object/mobile/jawa_male.iff', '0', '0.99903', '0', '-0.0440283', '1606.52', '7', '3326.51', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8357', '8', '0', 'object/mobile/jawa_male.iff', '0', '0.963673', '0', '-0.267085', '1606.52', '7', '3326.51', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8358', '8', '0', 'object/mobile/jawa_male.iff', '0', '0.992307', '0', '0.123799', '1606.52', '7', '3326.51', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8359', '8', '0', 'object/mobile/jawa_male.iff', '0', '0.871295', '0', '-0.49076', '1610.92', '7', '3318.88', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8360', '8', '0', 'object/mobile/jawa_male.iff', '0', '0.503414', '0', '0.864045', '1606.52', '7', '3326.51', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8361', '8', '0', 'object/mobile/jawa_male.iff', '0', '0.984552', '0', '0.17509', '1617', '7', '3331.5', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8362', '8', '0', 'object/mobile/jawa_male.iff', '0', '-0.438207', '0', '0.898874', '1606.52', '7', '3326.51', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8363', '8', '0', 'object/mobile/jawa_male.iff', '0', '0.755458', '0', '0.655197', '1613.77', '7', '3324.48', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8364', '8', '0', 'object/mobile/jawa_male.iff', '0', '0.985292', '0', '-0.17088', '1606.95', '7', '3315.18', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8365', '8', '0', 'object/mobile/jawa_male.iff', '0', '0.928374', '0', '0.371648', '1608.77', '7', '3328.04', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8366', '8', '0', 'object/mobile/jawa_male.iff', '0', '0.999557', '0', '-0.0297675', '1608.3', '7', '3328.9', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8367', '8', '0', 'object/mobile/dressed_swamp_trooper_m.iff', '0', '0.366203', '0', '0.930535', '1571.71', '11', '3249.69', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8368', '8', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '1565.41', '0', '3235.35', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8369', '8', '0', 'object/mobile/dressed_commoner_naboo_human_female_03.iff', '0', '0.2901', '0', '0.956996', '1636.62', '7', '3124.11', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8370', '8', '0', 'object/mobile/dressed_swamp_trooper_m.iff', '0', '0.994818', '0', '-0.101669', '1564.88', '11', '3232.79', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8371', '8', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '0', '0.95882', '0', '0.284015', '1663', '7', '3109.8', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8372', '8', '0', 'object/mobile/dressed_swamp_trooper_m.iff', '0', '0.994817', '0', '-0.10168', '1565.23', '11', '3234.47', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8373', '8', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '0', '0.994818', '0', '-0.101676', '1564.91', '11', '3232.96', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8374', '8', '0', 'object/mobile/dressed_imperial_officer_m.iff', '0', '-0.0260164', '0', '0.999662', '1566.7', '11', '3230.16', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8375', '8', '0', 'object/mobile/dressed_swamp_trooper_m.iff', '0', '0.366188', '0', '0.930541', '1571.56', '11', '3247.83', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8376', '8', '0', 'object/mobile/dressed_swamp_trooper_m.iff', '0', '0.999996', '0', '-0.00288538', '1560.03', '11', '3235.14', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8377', '8', '0', 'object/mobile/dressed_swamp_trooper_m.iff', '0', '0.939482', '0', '-0.342599', '1560.17', '11', '3237.44', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8378', '8', '0', 'object/mobile/dressed_swamp_trooper_m.iff', '0', '0.366192', '0', '0.930539', '1570.4', '11', '3248.28', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8379', '8', '0', 'object/mobile/jawa_male.iff', '0', '0.99988', '0', '-0.0154823', '1607.98', '7', '3329.87', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8380', '8', '0', 'object/mobile/dressed_swamp_trooper_m.iff', '0', '0.999984', '0', '-0.005625', '1558.86', '11', '3234.17', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8381', '8', '0', 'object/mobile/jawa_male.iff', '0', '0.999557', '0', '-0.0297688', '1608.36', '7', '3330.01', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8382', '8', '0', 'object/mobile/dressed_imperial_officer_m.iff', '0', '0.731354', '0', '-0.681998', '1538.7', '10.866', '3219.9', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8383', '8', '0', 'object/mobile/jawa_male.iff', '0', '0.844189', '0', '-0.536045', '1606.37', '7', '3348.55', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8384', '8', '0', 'object/mobile/jawa_male.iff', '0', '0.591124', '0', '0.80658', '1609.44', '7', '3350.05', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8385', '8', '0', 'object/mobile/jawa_male.iff', '0', '0.895826', '0', '-0.444405', '1603.79', '7', '3345.6', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8386', '8', '0', 'object/mobile/jawa_male.iff', '0', '-0.181187', '0', '0.983449', '1610.12', '7', '3349.26', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8387', '8', '0', 'object/mobile/jawa_male.iff', '0', '0.66459', '0', '0.747209', '1578.2', '7', '3337.93', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8388', '8', '0', 'object/mobile/jawa_male.iff', '0', '0.666394', '0', '0.7456', '1588.78', '7', '3339.21', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8389', '8', '0', 'object/mobile/jawa_male.iff', '0', '-0.625853', '0', '0.779941', '1555.27', '7', '3333.7', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8390', '8', '0', 'object/mobile/dressed_commoner_tatooine_trandoshan_female_04.iff', '0', '0.887123', '0', '-0.461533', '1606.53', '7', '3357.48', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8391', '8', '0', 'object/mobile/dressed_commoner_tatooine_rodian_male_02.iff', '0', '0.876963', '0', '-0.480558', '1556.48', '7', '3324.92', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8392', '8', '0', 'object/mobile/jawa_male.iff', '0', '0.596245', '0', '0.802803', '1566.49', '7', '3337.08', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8393', '8', '0', 'object/mobile/dressed_bestine_artist02.iff', '0', '0.999312', '0', '-0.0370854', '1521.78', '7', '3259.81', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8394', '8', '0', 'object/mobile/jawa_male.iff', '0', '0.665161', '0', '0.746701', '1572.44', '7', '3337.29', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8395', '8', '0', 'object/mobile/worrt_hue.iff', '0', '0.882367', '0', '0.470562', '1689.02', '12', '3443.08', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8396', '8', '0', 'object/mobile/dune_lizard_hue.iff', '0', '0.88723', '0', '-0.461327', '1689.02', '12', '3444.08', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8397', '8', '0', 'object/mobile/dune_lizard_hue.iff', '0', '0.063251', '0', '0.997998', '1688.02', '12', '3442.08', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8398', '8', '0', 'object/mobile/worrt_hue.iff', '0', '0.976911', '0', '0.213648', '1685.02', '12', '3445.08', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8399', '8', '0', 'object/mobile/dressed_commoner_tatooine_bith_male_04.iff', '0', '0.44268', '0', '0.89668', '1583.89', '7', '3429.16', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8400', '8', '0', 'object/mobile/tanc_mite_hue.iff', '0', '0.88624', '0', '0.463226', '1694.02', '12', '3450.08', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8401', '8', '0', 'object/mobile/worrt_hue.iff', '0', '-0.443419', '0', '0.896314', '1687.02', '12', '3453.08', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8402', '8', '0', 'object/mobile/dressed_imperial_officer_m_6.iff', '-0.0152624', '0.267607', '-0.0237413', '0.963115', '1626.03', '7.36699', '3513.56', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8403', '8', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '1628.23', '0', '3512.41', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8404', '8', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '-0.0157944', '0.232129', '-0.0294895', '0.97211', '1626.92', '7.34652', '3512.12', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8405', '8', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '0.00221384', '0.359714', '-0.0341041', '0.932437', '1629.95', '7.34272', '3522.79', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8406', '8', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '1623.03', '0', '3516.22', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8407', '8', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '0.00984625', '0.653265', '-0.0104442', '0.756993', '1624.2', '7.41708', '3516.48', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8408', '8', '0', 'object/mobile/worrt_hue.iff', '0', '0.936944', '0', '-0.349478', '1629.38', '7.68618', '3532.31', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8409', '8', '0', 'object/mobile/tanc_mite_hue.iff', '0', '-0.416084', '0', '0.909326', '1632.38', '7.78197', '3533.31', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8410', '8', '0', 'object/mobile/rock_mite_hue.iff', '0.00932795', '0.757008', '0.0108095', '-0.65325', '1647.38', '6.74919', '3521.31', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8411', '8', '0', 'object/mobile/womp_rat_hue.iff', '0', '0.695537', '0', '0.718491', '1694.12', '12', '3445.83', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8412', '8', '0', 'object/mobile/womp_rat_hue.iff', '0', '0.440327', '0', '0.897838', '1687.02', '12', '3449.08', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8413', '8', '0', 'object/mobile/tanc_mite_hue.iff', '0', '0.997422', '0', '-0.0717574', '1633.38', '7.78232', '3539.31', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8414', '8', '0', 'object/mobile/worrt_hue.iff', '0', '0.994046', '0', '0.108963', '1642.28', '6.52379', '3539.28', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8415', '8', '0', 'object/mobile/worrt_hue.iff', '0', '-0.113766', '0', '0.993508', '1640.27', '6.57107', '3539.44', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8416', '8', '0', 'object/mobile/tanc_mite_hue.iff', '0', '0.83651', '0', '0.547952', '1640.38', '6.72345', '3534.31', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8417', '8', '0', 'object/mobile/dune_lizard_hue.iff', '0', '0.331903', '0', '0.943314', '1562.12', '9.0806', '3579.43', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8418', '8', '0', 'object/mobile/dune_lizard_hue.iff', '0', '-0.471314', '0', '0.881966', '1558.79', '7.75791', '3583.97', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8419', '8', '0', 'object/mobile/rock_mite_hue.iff', '0', '-0.44933', '0', '0.893366', '1552.99', '10.3713', '3574.25', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8420', '8', '0', 'object/mobile/rock_mite_hue.iff', '0', '0.215017', '0', '0.97661', '1563.08', '8.26132', '3583.36', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8421', '8', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_07.iff', '0', '-0.679576', '0', '0.733605', '1508.04', '15', '3486.27', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8422', '8', '0', 'object/mobile/womp_rat_hue.iff', '0', '-0.247165', '0', '0.968973', '1634.85', '6.91877', '3545.88', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8423', '8', '0', 'object/mobile/rock_mite_hue.iff', '0', '0.683821', '0', '0.729649', '1484.61', '8.0894', '3544.36', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8424', '8', '0', 'object/mobile/womp_rat_hue.iff', '0', '0.83624', '0', '0.548365', '1557.92', '10.1478', '3573.36', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8425', '8', '0', 'object/mobile/womp_rat_hue.iff', '0', '0.985624', '0', '-0.168955', '1557.47', '10.275', '3569.88', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8426', '8', '0', 'object/mobile/womp_rat_hue.iff', '0', '0.95578', '0', '-0.294082', '1559.86', '9.25833', '3579.77', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8427', '8', '0', 'object/mobile/dressed_commoner_tatooine_bith_male_03.iff', '0', '0.770905', '0', '-0.636951', '1554.59', '15', '3500.85', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8428', '8', '0', 'object/mobile/tanc_mite_hue.iff', '0', '-0.152976', '0', '0.98823', '1475.43', '9.2151', '3551.59', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8429', '8', '0', 'object/mobile/dune_lizard_hue.iff', '0', '0.832344', '0', '0.55426', '1472.13', '7', '3537.17', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8430', '8', '0', 'object/mobile/tanc_mite_hue.iff', '0', '0.0286632', '0', '0.999589', '1471.74', '9.70389', '3555.05', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8431', '8', '0', 'object/mobile/worrt_hue.iff', '0', '0.358438', '0', '0.933553', '1470.89', '9.14934', '3551.91', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8432', '8', '0', 'object/mobile/rock_mite_hue.iff', '0', '0.363826', '0', '0.931467', '1438.96', '15.6977', '3606.76', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8433', '8', '0', 'object/mobile/womp_rat_hue.iff', '0', '0.0250804', '0', '0.999685', '1486.47', '8.07983', '3544.04', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8434', '8', '0', 'object/mobile/worrt_hue.iff', '0', '0.842067', '0', '0.539373', '1414.39', '19.1584', '3614.59', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8435', '8', '0', 'object/mobile/worrt_hue.iff', '0', '0.872622', '0', '-0.488396', '1416.84', '19.1847', '3617.66', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8436', '8', '0', 'object/mobile/rock_mite_hue.iff', '0', '0.899845', '0', '0.436209', '1438.47', '15.7136', '3604.36', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8437', '8', '0', 'object/mobile/womp_rat_hue.iff', '0', '0.29799', '0', '0.954569', '1473.29', '10.0509', '3556.92', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8438', '8', '0', 'object/mobile/womp_rat_hue.iff', '0', '0.981551', '0', '-0.191202', '1463.72', '7', '3527.25', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8439', '8', '0', 'object/mobile/worrt_hue.iff', '0', '-0.257819', '0', '0.966193', '1385.64', '9.7947', '3570.08', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8440', '8', '0', 'object/mobile/tanc_mite_hue.iff', '0', '-0.574866', '0', '0.818247', '1381.66', '9.90952', '3574.83', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8441', '8', '0', 'object/mobile/tanc_mite_hue.iff', '0', '0.502625', '0', '0.864505', '1384.58', '8.32903', '3562.44', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8442', '8', '0', 'object/mobile/tanc_mite_hue.iff', '0', '0.911279', '0', '-0.411789', '1385.76', '8.10126', '3560.41', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8443', '8', '0', 'object/mobile/dune_lizard_hue.iff', '0', '-0.357899', '0', '0.933761', '1372.52', '7.29019', '3556.73', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8444', '8', '0', 'object/mobile/rock_mite_hue.iff', '0', '0.727648', '0', '-0.685951', '1376.56', '6.93198', '3548.19', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8445', '8', '0', 'object/mobile/worrt_hue.iff', '0', '0.916612', '0', '-0.399778', '1376.97', '7.32279', '3555.79', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8446', '8', '0', 'object/mobile/dressed_swamp_trooper_m.iff', '0', '0.862133', '0', '0.506681', '1472.88', '7', '3404.2', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8447', '8', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '0', '0.725374', '0', '0.688355', '1333.6', '7', '3490', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8448', '8', '0', 'object/mobile/dressed_criminal_pirate_human_female_01.iff', '0', '1', '0', '1.57089e-08', '1356.66', '7', '3414.43', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8449', '8', '0', 'object/mobile/dressed_commoner_old_human_male_02.iff', '0', '0.92388', '0', '0.382683', '1355.36', '7', '3414.43', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8450', '8', '0', 'object/mobile/tanc_mite_hue.iff', '0', '0.361753', '0', '0.932274', '1284.04', '8.57263', '3570.14', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8451', '8', '0', 'object/mobile/tanc_mite_hue.iff', '0', '0.705042', '0', '0.709165', '1267.7', '8.63449', '3561.35', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8452', '8', '0', 'object/mobile/dune_lizard_hue.iff', '0', '0.989551', '0', '0.144186', '1261.2', '9.14893', '3567.29', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8453', '8', '0', 'object/mobile/dune_lizard_hue.iff', '0', '-0.645291', '0', '0.763937', '1256.35', '8.99928', '3577.67', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8454', '8', '0', 'object/mobile/dressed_commoner_fat_zabrak_male_02.iff', '0', '-0.0425188', '0', '0.999096', '1326.19', '7', '3409.97', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8455', '8', '0', 'object/mobile/womp_rat_hue.iff', '0', '-0.498242', '0', '0.867038', '1271.46', '7.96205', '3555.45', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8456', '8', '0', 'object/mobile/womp_rat_hue.iff', '0', '-0.705708', '0', '0.708503', '1269.92', '8.62089', '3562.04', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8457', '8', '0', 'object/mobile/rock_mite_hue.iff', '0', '0.841816', '0', '-0.539764', '1181.18', '9.76559', '3555.94', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8458', '8', '0', 'object/mobile/worrt_hue.iff', '0', '-0.0648504', '0', '0.997895', '1177.47', '10.4286', '3561.08', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8459', '8', '0', 'object/mobile/worrt_hue.iff', '0', '0.606623', '0', '0.79499', '1178.92', '11.1815', '3550.03', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8460', '8', '0', 'object/mobile/womp_rat_hue.iff', '0', '0.035978', '0', '0.999353', '1261.56', '9.10267', '3566', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8461', '8', '0', 'object/mobile/dressed_scout_trooper_black_black.iff', '0', '0.707107', '0', '0.707107', '1320.9', '9.5', '3382.9', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8462', '8', '0', 'object/mobile/worrt_hue.iff', '0', '0.746054', '0', '0.665886', '1157.53', '26.9318', '3453.41', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8463', '8', '0', 'object/mobile/tanc_mite_hue.iff', '0', '0.0187891', '0', '0.999823', '1159.34', '26.0984', '3455.89', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8464', '8', '0', 'object/mobile/worrt_hue.iff', '0', '0.999052', '0', '-0.0435326', '1145.96', '28.8096', '3450.07', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8465', '8', '0', 'object/mobile/worrt_hue.iff', '0', '0.146602', '0', '0.989195', '1154.25', '27.7183', '3452.09', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8466', '8', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_07.iff', '0', '0.729325', '0', '0.684168', '1302.38', '7', '3357.34', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8467', '8', '0', 'object/mobile/worrt_hue.iff', '0', '0.864195', '0', '-0.503158', '1143.38', '28.7819', '3451.71', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8468', '8', '0', 'object/mobile/rock_mite_hue.iff', '0', '-0.584806', '0', '0.811173', '1140.86', '29.1388', '3450.07', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8469', '8', '0', 'object/mobile/tanc_mite_hue.iff', '0', '0.922833', '0', '-0.3852', '1141.08', '29.2815', '3442.2', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8470', '8', '0', 'object/mobile/dune_lizard_hue.iff', '0', '0.957148', '0', '-0.289599', '1139.62', '29.4759', '3443.99', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8471', '8', '0', 'object/mobile/dressed_commoner_tatooine_rodian_male_01.iff', '0', '0.281459', '0', '0.959573', '1242.3', '7', '3321.72', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8472', '8', '0', 'object/mobile/dune_lizard_hue.iff', '0', '0.86515', '0', '-0.501514', '1141.26', '20.2478', '3353.73', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8473', '8', '0', 'object/mobile/rock_mite_hue.iff', '0', '0.875142', '0', '-0.483867', '1137.85', '20.6419', '3348.3', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8474', '8', '0', 'object/mobile/worrt_hue.iff', '0', '-0.635225', '0', '0.772327', '1142.64', '19.2634', '3347.08', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8475', '8', '0', 'object/mobile/worrt_hue.iff', '0', '0.448063', '0', '0.894002', '1134.66', '22.3091', '3354.39', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8476', '8', '0', 'object/mobile/worrt_hue.iff', '0', '0.702713', '0', '0.711474', '1136.69', '21.8977', '3355.96', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8477', '8', '0', 'object/mobile/worrt_hue.iff', '0', '0.792266', '0', '-0.610176', '1130.02', '22.1785', '3341.24', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8478', '8', '0', 'object/mobile/worrt_hue.iff', '0', '0.861048', '0', '-0.508524', '1129.37', '23.2358', '3348.93', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8479', '8', '0', 'object/mobile/rock_mite_hue.iff', '0', '-0.551386', '0', '0.83425', '1124.01', '13.4652', '3243.27', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8480', '8', '0', 'object/mobile/worrt_hue.iff', '0', '0.731959', '0', '0.681349', '1140.5', '10.3186', '3249.19', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8481', '8', '0', 'object/mobile/worrt_hue.iff', '0', '-0.647167', '0', '0.762348', '1123.3', '14.8199', '3250.77', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8482', '8', '0', 'object/mobile/tanc_mite_hue.iff', '0', '-0.281107', '0', '0.959677', '1128.07', '13.6707', '3250.95', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8483', '8', '0', 'object/mobile/tanc_mite_hue.iff', '0', '0.762528', '0', '-0.646955', '1113.09', '16.5217', '3247.43', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8484', '8', '0', 'object/mobile/worrt_hue.iff', '0', '-0.353975', '0', '0.935255', '1113.08', '18.0283', '3257.68', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8485', '8', '0', 'object/mobile/dune_lizard_hue.iff', '0', '0.943438', '0', '0.331549', '1119.93', '15.3748', '3249.16', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8486', '8', '0', 'object/mobile/tanc_mite_hue.iff', '0', '0.552355', '0', '0.833609', '1136.03', '9.90696', '3239.44', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8487', '8', '0', 'object/mobile/tanc_mite_hue.iff', '0', '0.997029', '0', '-0.0770302', '1125.1', '10.2579', '3227.8', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8488', '8', '0', 'object/mobile/tanc_mite_hue.iff', '0', '-0.386018', '0', '0.922491', '1109.77', '16.1342', '3243.99', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8489', '8', '0', 'object/mobile/womp_rat_hue.iff', '0', '0.798181', '0', '-0.602418', '1139.8', '20.1201', '3348.82', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8490', '8', '0', 'object/mobile/womp_rat_hue.iff', '0', '0.806003', '0', '0.591911', '1127.41', '14.7718', '3256.49', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8491', '8', '0', 'object/mobile/womp_rat_hue.iff', '0', '0.128231', '0', '0.991744', '1133.35', '12.6027', '3255.11', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8492', '8', '0', 'object/mobile/womp_rat_hue.iff', '0', '0.996996', '0', '0.0774538', '1125.68', '14.2323', '3250.64', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8493', '8', '0', 'object/mobile/worrt_hue.iff', '0', '-0.279402', '0', '0.960174', '1088.37', '6.60356', '3183.72', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8494', '8', '0', 'object/mobile/womp_rat_hue.iff', '0', '0.999912', '0', '-0.0132637', '1118.72', '14.0502', '3239.14', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8495', '8', '0', 'object/mobile/worrt_hue.iff', '0', '0.933024', '0', '0.359815', '1102.27', '6.44548', '3176.54', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8496', '8', '0', 'object/mobile/womp_rat_hue.iff', '0', '-0.588311', '0', '0.808635', '1113.96', '17.4101', '3253.68', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8497', '8', '0', 'object/mobile/worrt_hue.iff', '0', '0.980309', '0', '0.197469', '1091.44', '6.54552', '3179.32', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8498', '8', '0', 'object/mobile/rock_mite_hue.iff', '0', '0.321374', '0', '0.946952', '1098.6', '6.37556', '3180.33', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8499', '8', '0', 'object/mobile/womp_rat_hue.iff', '0', '0.960534', '0', '0.278162', '1124.25', '13.5159', '3243.92', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8500', '8', '0', 'object/mobile/dune_lizard_hue.iff', '0', '-0.346527', '0', '0.93804', '1099.96', '6.30891', '3178.3', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8501', '8', '0', 'object/mobile/worrt_hue.iff', '0', '0.746189', '0', '0.665734', '1098.21', '5.87219', '3173.21', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8502', '8', '0', 'object/mobile/dressed_commoner_old_twilek_female_01.iff', '0', '0.986851', '0', '0.161635', '1184.74', '7', '3106.09', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8503', '8', '0', 'object/mobile/womp_rat_hue.iff', '0', '-0.0439322', '0', '0.999035', '1106.19', '5.94117', '3187.6', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8504', '8', '0', 'object/mobile/womp_rat_hue.iff', '0', '0.680166', '0', '0.733059', '1085.13', '6.61378', '3185.82', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8505', '8', '0', 'object/mobile/rock_mite_hue.iff', '0', '0.943778', '0', '0.330581', '1062.18', '5.83524', '3043.72', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8506', '8', '0', 'object/mobile/dressed_commoner_tatooine_trandoshan_female_02.iff', '0', '0.508587', '0', '0.861011', '1187.85', '7', '2996.69', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8507', '8', '0', 'object/mobile/dune_lizard_hue.iff', '0', '0.949481', '0', '-0.313824', '1047.33', '7.22971', '3046.76', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8508', '8', '0', 'object/mobile/tanc_mite_hue.iff', '0', '0.381194', '0', '0.924495', '1049.37', '6.92825', '3053.45', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8509', '8', '0', 'object/mobile/tanc_mite_hue.iff', '0', '0.885769', '0', '-0.464126', '1044.5', '7.0287', '3032.47', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8510', '8', '0', 'object/mobile/dune_lizard_hue.iff', '0', '-0.0590582', '0', '0.998255', '1045.36', '7.44404', '3043.26', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8511', '8', '0', 'object/mobile/worrt_hue.iff', '0', '0.888988', '0', '0.45793', '1048.15', '6.78693', '3034.72', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8512', '8', '0', 'object/mobile/worrt_hue.iff', '0', '0.418202', '0', '0.908354', '1052.19', '6.63745', '3042.47', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8513', '8', '0', 'object/mobile/dune_lizard_hue.iff', '0', '-0.315944', '0', '0.948778', '1057.78', '7.45382', '2963.84', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8514', '8', '0', 'object/mobile/worrt_hue.iff', '0', '0.969393', '0', '0.245513', '1047.59', '6.90768', '2963.04', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8515', '8', '0', 'object/mobile/worrt_hue.iff', '0', '0.800371', '0', '-0.599505', '1045.6', '6.79503', '2962.48', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8516', '8', '0', 'object/mobile/worrt_hue.iff', '0', '0.776232', '0', '0.630448', '1051.27', '7.32262', '2957.95', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8517', '8', '0', 'object/mobile/tanc_mite_hue.iff', '0', '0.990268', '0', '0.139173', '1061.3', '7.9681', '2958.99', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8518', '8', '0', 'object/mobile/worrt_hue.iff', '0', '-0.700148', '0', '0.713999', '1093.85', '7.54313', '2905.09', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8519', '8', '0', 'object/mobile/dune_lizard_hue.iff', '0', '0.995595', '0', '0.0937607', '1104.74', '7.2345', '2905.93', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8520', '8', '0', 'object/mobile/tanc_mite_hue.iff', '0', '0.888689', '0', '-0.45851', '1085.7', '7.64405', '2913.73', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8521', '8', '0', 'object/mobile/tanc_mite_hue.iff', '0', '0.730579', '0', '0.682828', '1056', '7.47361', '2942.77', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8522', '8', '0', 'object/mobile/worrt_hue.iff', '0', '0.99336', '0', '-0.115048', '1051.24', '7.32455', '2952.14', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8523', '8', '0', 'object/mobile/dune_lizard_hue.iff', '0', '0.199345', '0', '0.97993', '1063.48', '8.35093', '2954.38', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8524', '8', '0', 'object/mobile/rock_mite_hue.iff', '0', '0.876067', '0', '0.48219', '1098.67', '7.61899', '2907.07', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8525', '8', '0', 'object/mobile/tanc_mite_hue.iff', '0', '-0.417939', '0', '0.908475', '1091.72', '7.68251', '2909.81', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8526', '8', '0', 'object/mobile/rock_mite_hue.iff', '0', '0.0261658', '0', '0.999658', '1088.19', '7.39655', '2905.09', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8527', '8', '0', 'object/mobile/dressed_commoner_tatooine_bith_female_02.iff', '0', '1', '0', '-5.3387e-08', '1191.8', '7', '2957', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8528', '8', '0', 'object/mobile/tanc_mite_hue.iff', '0', '-0.485177', '0', '0.874416', '1088.35', '7.36404', '2903.8', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8529', '8', '0', 'object/mobile/zucca_boar_hue.iff', '0', '0.807847', '0', '0.589392', '1085.48', '5.82507', '3065.96', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8530', '8', '0', 'object/mobile/zucca_boar_hue.iff', '0', '0.350855', '0', '0.93643', '1083.59', '6.13166', '3075.94', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8531', '8', '0', 'object/mobile/zucca_boar_hue.iff', '0', '0.956585', '0', '-0.291454', '1094.58', '5.57916', '3087.09', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8532', '8', '0', 'object/mobile/worrt_hue.iff', '0', '-0.462125', '0', '0.886815', '1179.97', '6.94709', '2862.22', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8533', '8', '0', 'object/mobile/worrt_hue.iff', '0', '-0.468105', '0', '0.883673', '1184.51', '6.74202', '2871.48', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8534', '8', '0', 'object/mobile/worrt_hue.iff', '0', '0.325387', '0', '0.945581', '1191.12', '7.30368', '2862.36', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8535', '8', '0', 'object/mobile/tanc_mite_hue.iff', '0', '-0.168817', '0', '0.985647', '1193.17', '7.38531', '2867.31', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8536', '8', '0', 'object/mobile/tanc_mite_hue.iff', '0', '0.940424', '0', '0.340004', '1191.3', '7.17686', '2848.67', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8537', '8', '0', 'object/mobile/rock_mite_hue.iff', '0', '0.864782', '0', '-0.502149', '1179.82', '7.11622', '2846.43', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8538', '8', '0', 'object/mobile/worrt_hue.iff', '0', '0.155829', '0', '0.987784', '1184.37', '7.08161', '2862.06', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8539', '8', '0', 'object/mobile/dune_lizard_hue.iff', '0', '0.509868', '0', '0.860252', '1194.97', '7.15298', '2848.67', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8540', '8', '0', 'object/mobile/zucca_boar_hue.iff', '0', '0.999809', '0', '0.0195267', '1203.76', '7', '2929.8', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8541', '8', '0', 'object/mobile/zucca_boar_hue.iff', '0', '0.196298', '0', '0.980544', '1208.79', '7', '2949.24', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8542', '8', '1156906', 'object/mobile/dressed_criminal_thug_human_female_01.iff', '0', '0.999388', '0', '0.0349667', '1.63608', '0.251537', '3.2955', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8543', '8', '1156906', 'object/mobile/dressed_hoodlum_zabrak_male_01.iff', '0', '0.999392', '0', '0.0348555', '1.65173', '0.250964', '3.18535', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8544', '8', '1156906', 'object/mobile/dressed_mugger.iff', '0', '0.999389', '0', '0.0349638', '1.64999', '0.25052', '3.09992', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8545', '8', '0', 'object/mobile/r4.iff', '0', '-0.6892', '0', '0.724571', '1565.89', '7', '3111.38', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8546', '8', '0', 'object/mobile/dressed_commoner_naboo_human_female_03.iff', '0', '0.662473', '0', '0.749085', '1639.18', '7', '3070.97', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8547', '8', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '0', '0.99863', '0', '0.0523359', '1508.1', '7', '3127.9', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8548', '8', '0', 'object/mobile/r4.iff', '0', '0.751609', '0', '0.65961', '1583.75', '7', '3113.82', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8549', '8', '1153493', 'object/mobile/dressed_commoner_tatooine_nikto_male_01.iff', '0', '0.824126', '0', '-0.566406', '3.29', '1.13306', '-9.58', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8550', '8', '1153489', 'object/mobile/dressed_artisan_trainer_02.iff', '0', '0.0958457', '0', '0.995396', '-3.69', '1.13306', '-6', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8551', '8', '0', 'object/mobile/r5.iff', '0', '0.786382', '0', '-0.617741', '1614.51', '7', '3127.01', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8552', '8', '0', 'object/mobile/dressed_commoner_tatooine_bith_female_05.iff', '0', '1', '0', '0', '1701.23', '21.49', '3032.28', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8553', '8', '0', 'object/mobile/dressed_rebel_trooper_bith_m_01.iff', '0', '0', '0', '1', '1744.45', '7', '3057.53', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8554', '8', '0', 'object/mobile/dressed_commoner_naboo_bothan_male_02.iff', '0', '0.869154', '0', '-0.494542', '1609.53', '10.9973', '3163.55', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8555', '8', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_09.iff', '0', '0.588386', '0', '0.80858', '1516.09', '7', '3164.73', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8556', '8', '0', 'object/mobile/dressed_commoner_naboo_zabrak_male_02.iff', '0', '-0.655435', '0', '0.755252', '1495.58', '7', '3177.88', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8557', '8', '0', 'object/mobile/dressed_imperial_exterminator.iff', '0', '-0.00872654', '0', '0.999962', '1502.5', '7', '3156.9', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8558', '8', '0', 'object/mobile/dressed_swamp_trooper_m.iff', '0', '0.180928', '0', '0.983496', '1492.9', '7', '3207.42', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8559', '8', '0', 'object/mobile/dressed_scout_trooper_white_white.iff', '0', '-0.358368', '0', '0.93358', '1487.2', '7', '3240.8', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8560', '8', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_03.iff', '0', '0.74838', '0', '0.66327', '1449.68', '7', '3159.65', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8561', '8', '0', 'object/mobile/dressed_swamp_trooper_m.iff', '0', '0.62211', '0', '0.78293', '1472.15', '7', '3232.91', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8562', '8', '0', 'object/mobile/dressed_brigade_gunner_bith_female_01.iff', '0', '0.636171', '0', '0.771548', '1538.55', '7', '3105.42', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8563', '8', '0', 'object/mobile/dressed_commoner_naboo_human_male_04.iff', '0', '0.92973', '0', '-0.368242', '1450.08', '7', '3202.92', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8564', '8', '0', 'object/mobile/dressed_commoner_naboo_zabrak_female_01.iff', '0', '0.362192', '0', '0.932104', '1448.7', '7', '3183.32', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8565', '8', '0', 'object/mobile/jawa_male.iff', '0', '-0.707107', '0', '0.707107', '1461.87', '7', '3223.41', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8566', '8', '0', 'object/mobile/jawa_male.iff', '0', '0.707107', '0', '0.707107', '1459.87', '7', '3223.41', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8567', '8', '0', 'object/mobile/jawa_male.iff', '0', '0', '0', '1', '1460.87', '7', '3222.41', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8568', '8', '0', 'object/mobile/dressed_scout_trooper_white_white.iff', '0', '0.997564', '0', '-0.0697564', '1455.2', '7', '3232.5', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8569', '8', '1153603', 'object/mobile/dressed_villain_trandoshan_female_01.iff', '1.19203e-07', '-3.02775e-05', '3.60801e-12', '1', '3.25667', '2.12878', '71.8841', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8570', '8', '1153603', 'object/mobile/dressed_rebel_trooper_human_female_01.iff', '-3.91844e-12', '1', '-1.19204e-07', '-3.29003e-05', '3.25667', '2.12878', '72.8841', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8571', '8', '1153603', 'object/mobile/dressed_noble_old_twk_female_01.iff', '0', '0.731354', '0', '-0.681998', '19.26', '2.12847', '56.13', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8572', '8', '1153603', 'object/mobile/dressed_entertainer_trainer_twk_male_01.iff', '0', '0.0348995', '0', '0.999391', '21.99', '2.12804', '64.05', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8573', '8', '1153602', 'object/mobile/dressed_doctor_trainer_human_female_01.iff', '1.08571e-07', '0.00239981', '-2.60549e-10', '0.999997', '29.2719', '2.12878', '56.7798', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8574', '8', '1153602', 'object/mobile/dressed_commoner_tatooine_sullustan_male_04.iff', '0', '0.999997', '0', '-0.00238332', '29.2773', '2.12878', '57.8777', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8575', '8', '1153602', 'object/mobile/dressed_criminal_slicer_human_male_01.iff', '-5.86499e-08', '0.923871', '1.41585e-07', '0.382703', '28.1719', '2.12878', '57.8798', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8576', '8', '1153602', 'object/mobile/dressed_noble_old_human_female_01.iff', '0', '0.93358', '0', '-0.358368', '28.93', '2.12878', '58.19', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8577', '8', '1153601', 'object/mobile/dressed_criminal_slicer_human_male_01.iff', '2.16745e-07', '3.64163e-05', '-7.89304e-12', '1', '-17.046', '2.6', '17.2264', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8578', '8', '1153601', 'object/mobile/dressed_criminal_smuggler_human_female_01.iff', '-9.41767e-13', '1', '-1.0837e-07', '-8.69028e-06', '-17.046', '2.6', '18.3264', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8579', '8', '1153601', 'object/mobile/dressed_hooligan_rodian_male_01.iff', '2.38405e-07', '-3.81449e-06', '8.97651e-13', '1', '25.1612', '2.6', '16.6257', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8580', '8', '1153601', 'object/mobile/dressed_commoner_fat_twilek_female_01.iff', '-1.61795e-12', '1', '-2.38409e-07', '-6.67544e-06', '25.1612', '2.6', '17.6257', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8581', '8', '0', 'object/mobile/r4.iff', '0', '-0.183014', '0', '0.98311', '1456.33', '7', '3336.99', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8582', '8', '0', 'object/mobile/dressed_noble_human_male_03.iff', '0', '0.839609', '0', '0.543192', '1455.33', '7', '3335.99', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8583', '8', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '0', '0.999962', '0', '-0.00872645', '1431.6', '9.5', '3372.5', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8584', '8', '1153586', 'object/mobile/21b_surgical_droid.iff', '0', '0.945852', '0', '0.3246', '-25.52', '0.26', '-3.48', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8585', '8', '0', 'object/mobile/dressed_commoner_tatooine_bith_female_02.iff', '0', '0', '0', '1', '1356.66', '7', '3413.13', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8586', '8', '0', 'object/mobile/tanc_mite_hue.iff', '0', '0.987639', '0', '-0.156744', '1387.95', '7.9817', '3558.68', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8587', '8', '1153936', 'object/mobile/dressed_commoner_tatooine_devaronian_male_03.iff', '0', '0.241053', '0', '0.970512', '-3.33444', '1.00421', '10.3965', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8588', '8', '1261663', 'object/mobile/dressed_eisley_officer_bothan_male_01.iff', '-5.82514e-12', '1', '-1.0837e-07', '-5.37526e-05', '-48.9859', '2.63942', '33.6967', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8589', '8', '1261663', 'object/mobile/dressed_commoner_naboo_zabrak_female_02.iff', '2.93242e-08', '0.923892', '-7.08015e-08', '0.382653', '-50.0859', '2.63942', '33.6967', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8590', '8', '1261660', 'object/mobile/dressed_noble_fat_twilek_male_01.iff', '-1.19216e-07', '9.53725e-06', '1.129e-12', '1', '-29.0928', '1.63942', '51.3406', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8591', '8', '1261660', 'object/mobile/dressed_noble_old_twk_female_02.iff', '-5.28058e-12', '1', '-1.7883e-07', '-2.95666e-05', '-29.0928', '1.63942', '52.3406', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8592', '8', '1261655', 'object/mobile/dressed_mercenary_messanger_rod_m.iff', '0', '0.284015', '0', '0.95882', '1.1', '0.639421', '66.3', '15', 'explain', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8593', '8', '0', 'object/mobile/dressed_commoner_naboo_bothan_male_02.iff', '0', '0.894749', '0', '-0.44657', '-2881.23', '5', '2004.94', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8594', '8', '0', 'object/mobile/dressed_tatooine_jabba_swooper_leader.iff', '0', '0.790062', '0', '-0.613027', '-2905.83', '5', '2127.11', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8595', '8', '0', 'object/mobile/dressed_tatooine_valarian_swooper_leader.iff', '0.00571667', '0.58764', '0.00787072', '0.809064', '-2907.07', '5', '2130.14', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8596', '8', '0', 'object/mobile/space_greeter_mos_espa_young_pilot.iff', '0', '0.613119', '0', '0.78999', '-2906.52', '5', '2128.41', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8597', '8', '0', 'object/mobile/dressed_commoner_naboo_bothan_male_01.iff', '0', '1', '0', '0', '-2918.94', '5', '2170.6', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8598', '8', '0', 'object/mobile/dressed_criminal_thug_trandoshan_male_01.iff', '0', '0', '0', '1', '-2918.94', '5', '2169.6', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8599', '8', '0', 'object/mobile/r2.iff', '0', '0.841087', '0', '-0.5409', '-2928.79', '5', '2111.03', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8600', '8', '0', 'object/mobile/r5.iff', '0', '0.974415', '0', '0.224756', '-2915.25', '5', '2163.42', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8601', '8', '0', 'object/mobile/cll8_binary_load_lifter.iff', '0', '0.170061', '0', '0.985434', '-2922.62', '5', '2143.4', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8602', '8', '0', 'object/mobile/dressed_bestine_artist05.iff', '0', '0.664378', '0', '0.747397', '-2768.32', '5', '2110.71', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8603', '8', '0', 'object/mobile/jawa_male.iff', '0', '0.567551', '0', '0.823338', '-2736.1', '5', '2188.86', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8604', '8', '0', 'object/mobile/jawa_male.iff', '0', '0.874902', '0', '-0.484299', '-2731.88', '5', '2185.65', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8605', '8', '0', 'object/mobile/dressed_hoodlum_zabrak_female_01.iff', '0', '-0.191037', '0', '0.981583', '-2748.23', '5', '2031.47', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8606', '8', '0', 'object/mobile/dressed_commoner_naboo_human_male_05.iff', '0', '-1.34017e-08', '0', '1', '-2909.17', '5', '2180.03', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8607', '8', '0', 'object/mobile/dressed_noble_fat_twilek_male_01.iff', '0', '-0.358414', '0', '0.933563', '-2810.65', '5', '2195.86', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8608', '8', '0', 'object/mobile/dressed_commoner_tatooine_devaronian_male_01.iff', '0', '0.875076', '0', '-0.483986', '-2774.25', '5', '2018.1', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8609', '8', '0', 'object/mobile/dressed_desperado_bith_female_01.iff', '0', '0.743406', '0', '-0.668841', '-2760.75', '5', '2038.95', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8610', '8', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_06.iff', '0', '0.765492', '0', '0.643445', '-2739.74', '5', '2044.75', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8611', '8', '0', 'object/mobile/dressed_commoner_old_human_male_01.iff', '0', '0.394548', '0', '0.918875', '-2952.26', '5', '2087.58', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8612', '8', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_08.iff', '0', '-0.139949', '0', '0.990159', '-2860.36', '5', '2212.37', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8613', '8', '0', 'object/mobile/jawa_male.iff', '0', '-0.707107', '0', '0.707107', '-2930.03', '5', '2038.02', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8614', '8', '0', 'object/mobile/jawa_male.iff', '0', '0.707107', '0', '0.707107', '-2932.03', '5', '2038.02', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8615', '8', '0', 'object/mobile/jawa_male.iff', '0', '0', '0', '1', '-2931.03', '5', '2037.02', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8616', '8', '0', 'object/mobile/dressed_noble_human_female_01.iff', '0', '0.895933', '0', '0.444189', '-2924.82', '5', '2143.27', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8617', '8', '0', 'object/mobile/dressed_commoner_fat_human_female_01.iff', '0', '0.163352', '0', '0.986568', '-2881.87', '5', '2142.69', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8618', '8', '0', 'object/mobile/dressed_criminal_thug_trandoshan_male_01.iff', '0', '-0.465446', '0', '0.885076', '-2919.38', '5', '2143.08', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8619', '8', '0', 'object/mobile/r4.iff', '0', '0.829516', '0', '0.558483', '-2959.44', '5', '2110.92', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8620', '8', '0', 'object/mobile/jawa_male.iff', '0', '-0.464662', '0', '0.885488', '-2726.76', '5', '2194.19', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8621', '8', '0', 'object/mobile/jawa_male.iff', '0', '-0.666549', '0', '0.745462', '-2726.76', '5', '2194.19', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8622', '8', '0', 'object/mobile/jawa_male.iff', '0', '0.333788', '0', '0.942648', '-2726.76', '5', '2194.19', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8623', '8', '0', 'object/mobile/jawa_male.iff', '0', '0.885779', '0', '-0.464107', '-2726.76', '5', '2194.19', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8624', '8', '0', 'object/mobile/jawa_male.iff', '0', '-0.464244', '0', '0.885707', '-2726.76', '5', '2194.19', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8625', '8', '0', 'object/mobile/jawa_male.iff', '0', '-0.257558', '0', '0.966263', '-2726.76', '5', '2194.19', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8626', '8', '0', 'object/mobile/dressed_commoner_tatooine_trandoshan_male_02.iff', '0', '0.952816', '0', '0.30355', '-2715.87', '5', '2040.78', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8627', '8', '0', 'object/mobile/dressed_commoner_tatooine_sullustan_male_05.iff', '0', '0.991095', '0', '0.133157', '-2767.35', '5', '2232.76', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8628', '8', '0', 'object/mobile/jawa_male.iff', '0', '-0.464558', '0', '0.885542', '-2726.76', '5', '2204.19', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8629', '8', '0', 'object/mobile/jawa_male.iff', '0', '0.463984', '0', '0.885844', '-2716.76', '5', '2194.19', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8630', '8', '0', 'object/mobile/jawa_male.iff', '0', '0.775113', '0', '-0.631822', '-2716.76', '5', '2194.19', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8631', '8', '0', 'object/mobile/jawa_male.iff', '0', '-0.464368', '0', '0.885642', '-2726.76', '5', '2204.19', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8632', '8', '0', 'object/mobile/jawa_male.iff', '0', '0.484297', '0', '0.874904', '-2716.76', '5', '2194.19', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8633', '8', '0', 'object/mobile/jawa_male.iff', '0', '0.590362', '0', '0.807139', '-2726.76', '5', '2204.19', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8634', '8', '0', 'object/mobile/jawa_male.iff', '0', '-0.205899', '0', '0.978573', '-2716.76', '5', '2204.19', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8635', '8', '0', 'object/mobile/jawa_male.iff', '0', '0.558841', '0', '0.829275', '-2716.76', '5', '2204.19', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8636', '8', '0', 'object/mobile/jawa_male.iff', '0', '-0.206206', '0', '0.978509', '-2716.76', '5', '2204.19', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8637', '8', '0', 'object/mobile/jawa_male.iff', '0', '0.885848', '0', '-0.463976', '-2716.76', '5', '2204.19', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8638', '8', '0', 'object/mobile/jawa_male.iff', '0', '0.122617', '0', '0.992454', '-2716.76', '5', '2204.19', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8639', '8', '0', 'object/mobile/jawa_male.iff', '0', '-0.205784', '0', '0.978598', '-2716.76', '5', '2204.19', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8640', '8', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_07.iff', '0', '0.954212', '0', '-0.299132', '-2770.48', '5', '2245.4', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8641', '8', '0', 'object/mobile/dressed_commoner_tatooine_rodian_female_04.iff', '0', '0.989732', '0', '-0.142935', '-2731.39', '5', '2226.03', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8642', '8', '0', 'object/mobile/dressed_criminal_thug_aqualish_female_01.iff', '0', '0.97951', '0', '0.201396', '-2857.9', '5', '2250.18', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8643', '8', '0', 'object/mobile/dressed_commoner_naboo_zabrak_male_01.iff', '0', '0.995859', '0', '-0.0909165', '-2890.19', '5', '2251.37', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8644', '8', '0', 'object/mobile/dressed_robber_twk_male_01.iff', '0', '0.63805', '0', '0.769995', '-2960.96', '5', '2163.64', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8645', '8', '0', 'object/mobile/dressed_combatmedic_trainer_human_female_01.iff', '0', '0.987228', '0', '-0.159316', '-2969.77', '5', '2194.82', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8646', '8', '0', 'object/mobile/dressed_crook_zabrak_male_01.iff', '0', '-0.32523', '0', '0.945635', '-2927.54', '5', '2013.85', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8647', '8', '0', 'object/mobile/dressed_commoner_fat_twilek_female_02.iff', '0', '0.895535', '0', '-0.444991', '-2954.74', '5', '2235.4', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8648', '8', '0', 'object/mobile/dressed_commoner_tatooine_trandoshan_female_04.iff', '0', '0.96309', '0', '0.26918', '-3000.81', '5', '2213.95', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8649', '8', '0', 'object/mobile/r5.iff', '0', '0.136391', '0', '0.990655', '-2919.36', '5', '2262.73', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8650', '8', '0', 'object/mobile/dressed_commoner_tatooine_trandoshan_male_01.iff', '0', '-0.487033', '0', '0.873384', '-2881.81', '5', '2267.41', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8651', '8', '0', 'object/mobile/r5.iff', '0', '0.975387', '0', '-0.220499', '-2935.94', '5', '2275.75', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8652', '8', '0', 'object/mobile/dressed_commoner_old_zabrak_male_01.iff', '0', '-0.0740837', '0', '0.997252', '-2859.3', '5', '2288.53', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8653', '8', '0', 'object/mobile/dressed_commoner_tatooine_trandoshan_female_02.iff', '0', '0.713321', '0', '-0.700838', '-2810.06', '5', '2318.02', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8654', '8', '0', 'object/mobile/dressed_commoner_naboo_human_female_04.iff', '0', '0.459749', '0', '0.888049', '-2897.39', '5', '2323.06', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8655', '8', '0', 'object/mobile/dressed_commoner_tatooine_sullustan_male_01.iff', '0', '0.983056', '0', '-0.183304', '-2766.88', '5', '2314.77', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8656', '8', '0', 'object/mobile/dressed_criminal_thug_aqualish_female_01.iff', '0', '-0.174254', '0', '0.984701', '-2731.61', '5', '2242.41', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8657', '8', '0', 'object/mobile/dressed_hoodlum_zabrak_female_01.iff', '0', '0.817596', '0', '0.575792', '-2794.64', '5', '2327.09', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8658', '8', '0', 'object/mobile/dressed_imperial_officer_m.iff', '0', '0.015079', '0', '0.999886', '-2673.96', '5', '2275.9', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8659', '8', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '0', '0.19336', '0', '0.981128', '-2684.7', '5', '2033.1', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8660', '8', '0', 'object/mobile/dressed_commoner_naboo_zabrak_male_01.iff', '0', '0.946981', '0', '-0.321289', '-2722.49', '5', '2007.18', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8661', '8', '0', 'object/mobile/dressed_commoner_tatooine_rodian_female_04.iff', '0', '0.733154', '0', '0.680063', '-2754.28', '5', '1981.64', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8662', '8', '0', 'object/mobile/rock_mite_hue.iff', '0', '0.813752', '0', '0.581212', '-2595.01', '5', '2036.52', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8663', '8', '0', 'object/mobile/rock_mite_hue.iff', '0', '0.999972', '0', '-0.00753232', '-2633.87', '5', '1974.12', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8664', '8', '0', 'object/mobile/dressed_commoner_tatooine_devaronian_male_02.iff', '0', '0.129657', '0', '0.991559', '-2787.25', '5', '1962.04', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8665', '8', '0', 'object/mobile/tanc_mite_hue.iff', '0', '0.984105', '0', '0.177587', '-2593.9', '5', '2038.48', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8666', '8', '0', 'object/mobile/minor_worrt.iff', '0', '0', '0', '0', '-2579.03', '0', '2042.14', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8667', '8', '0', 'object/mobile/rock_mite_hue.iff', '0', '-0.274838', '0', '0.961491', '-2591.62', '5', '2039.11', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8668', '8', '0', 'object/mobile/tanc_mite_hue.iff', '0', '0.823305', '0', '-0.5676', '-2599.47', '5', '2034.19', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8669', '8', '0', 'object/mobile/rock_mite_hue.iff', '0', '-0.165893', '0', '0.986144', '-2577.03', '5.28616', '2056.68', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8670', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '-2585.79', '0', '2035.52', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8671', '8', '0', 'object/mobile/tanc_mite_hue.iff', '0', '0.0838752', '0', '0.996476', '-2626.73', '5.0133', '1962.54', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8672', '8', '0', 'object/mobile/minor_worrt.iff', '0', '0', '0', '0', '-2633.43', '0', '1952.51', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8673', '8', '0', 'object/mobile/worrt.iff', '0', '0', '0', '0', '-2628.18', '0', '1955.15', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8674', '8', '0', 'object/mobile/minor_worrt.iff', '0', '0', '0', '0', '-2618.22', '0', '1957.43', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8675', '8', '0', 'object/mobile/worrt.iff', '0', '0', '0', '0', '-2594.32', '0', '2215.81', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8676', '8', '0', 'object/mobile/minor_worrt.iff', '0', '0', '0', '0', '-2590.93', '0', '2218.28', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8677', '8', '0', 'object/mobile/rock_mite_hue.iff', '0', '0.995188', '0', '0.0979806', '-2590.42', '5', '2212.03', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8678', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '-2593.87', '0', '2226.87', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8679', '8', '0', 'object/mobile/worrt.iff', '0', '0', '0', '0', '-2589.82', '0', '2226.13', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8680', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '-2590.52', '0', '2218.13', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8681', '8', '0', 'object/mobile/rock_mite_hue.iff', '0', '-0.539021', '0', '0.842292', '-2493.23', '6.82684', '2113.18', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8682', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '-2484.53', '0', '2081.3', '9', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8683', '8', '0', 'object/mobile/rock_mite_hue.iff', '0', '-0.191602', '0', '0.981473', '-2491.39', '6.83135', '2156.44', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8684', '8', '0', 'object/mobile/rock_mite_hue.iff', '0', '0.949605', '0', '0.313448', '-2485.06', '7.15469', '2153.94', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8685', '8', '0', 'object/mobile/dark_trooper.iff', '0', '0.986016', '0', '-0.166653', '-2658.16', '5', '2252.08', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8686', '8', '0', 'object/mobile/womp_rat_hue.iff', '0', '0.944881', '0', '0.327414', '-2593.13', '5', '2213.37', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8687', '8', '0', 'object/mobile/womp_rat_hue.iff', '0', '0.980362', '0', '-0.197208', '-2594.47', '5', '2219.41', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8688', '8', '0', 'object/mobile/rock_mite_hue.iff', '0', '0.947512', '0', '-0.319719', '-2601.23', '5.0058', '2320.44', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8689', '8', '0', 'object/mobile/minor_worrt.iff', '0', '0', '0', '0', '-2586.74', '0', '2327.16', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8690', '8', '0', 'object/mobile/tanc_mite_hue.iff', '0', '0.379795', '0', '0.925071', '-2599.04', '5.20143', '2338.05', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8691', '8', '0', 'object/mobile/tanc_mite_hue.iff', '0', '0.994858', '0', '-0.101279', '-2592.54', '5.37076', '2333.19', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8692', '8', '0', 'object/mobile/rock_mite_hue.iff', '0', '0.720011', '0', '-0.693963', '-2591.43', '5.32223', '2342.79', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8693', '8', '0', 'object/mobile/mynock.iff', '0', '0', '0', '0', '-2681.63', '0', '2446.35', '3', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8694', '8', '0', 'object/mobile/mynock.iff', '0', '0', '0', '0', '-2686.76', '0', '2433.69', '3', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8695', '8', '0', 'object/mobile/mynock.iff', '0', '0', '0', '0', '-2759.53', '0', '2452.82', '3', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8696', '8', '0', 'object/mobile/mynock.iff', '0', '0', '0', '0', '-2712.54', '0', '2478.41', '3', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8697', '8', '0', 'object/mobile/mynock.iff', '0', '0', '0', '0', '-2725.86', '0', '2448.69', '3', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8698', '8', '0', 'object/mobile/dressed_commoner_naboo_human_female_08.iff', '0', '0.873182', '0', '-0.487394', '-2818.45', '5', '2407.94', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8699', '8', '0', 'object/mobile/mynock.iff', '0', '0', '0', '0', '-2704.69', '0', '2447', '3', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8700', '8', '0', 'object/mobile/mynock.iff', '0', '0', '0', '0', '-2708.25', '0', '2502.65', '3', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8701', '8', '0', 'object/mobile/mynock.iff', '0', '0', '0', '0', '-2672.59', '0', '2453.01', '3', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8702', '8', '0', 'object/mobile/mynock.iff', '0', '0', '0', '0', '-2723.69', '0', '2481', '3', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8703', '8', '0', 'object/mobile/mynock.iff', '0', '0', '0', '0', '-2795.9', '0', '2465.26', '3', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8704', '8', '0', 'object/mobile/mynock.iff', '0', '0', '0', '0', '-2724.24', '0', '2493.81', '3', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8705', '8', '0', 'object/mobile/dressed_criminal_swooper_human_male_01.iff', '0', '0.999536', '0', '0.0304693', '-2821.38', '5', '2432.95', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8706', '8', '0', 'object/mobile/dressed_noble_rodian_female_01.iff', '0', '0.358832', '0', '0.933402', '-2847.77', '5', '2393.35', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8707', '8', '0', 'object/mobile/dressed_criminal_thug_zabrak_female_01.iff', '0', '0.79817', '0', '-0.602433', '-2837.3', '5', '2425.05', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8708', '8', '0', 'object/mobile/mynock.iff', '0', '0', '0', '0', '-2727.05', '0', '2452.36', '3', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8709', '8', '0', 'object/mobile/dressed_criminal_swooper_zabrak_female_01.iff', '0', '0.532938', '0', '0.846154', '-2823.03', '5', '2448.69', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8710', '8', '0', 'object/mobile/mynock.iff', '0', '0', '0', '0', '-2770.34', '0', '2507.88', '3', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8711', '8', '0', 'object/mobile/mynock.iff', '0', '0', '0', '0', '-2775.96', '0', '2483.96', '3', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8712', '8', '0', 'object/mobile/mynock.iff', '0', '0', '0', '0', '-2702.54', '0', '2484.93', '3', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8713', '8', '0', 'object/mobile/dressed_villain_trandoshan_female_01.iff', '0', '0.992892', '0', '-0.119022', '-2834.04', '5', '2462.23', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8714', '8', '0', 'object/mobile/dressed_criminal_swooper_zabrak_female_01.iff', '0', '0.95846', '0', '0.285228', '-2861.27', '5', '2393.34', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8715', '8', '0', 'object/mobile/mynock.iff', '0', '0', '0', '0', '-2753.85', '0', '2515.57', '3', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8716', '8', '0', 'object/mobile/mynock.iff', '0', '0', '0', '0', '-2674.79', '0', '2495.31', '3', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8717', '8', '0', 'object/mobile/mynock.iff', '0', '0', '0', '0', '-2723.47', '0', '2516.85', '3', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8718', '8', '0', 'object/mobile/mynock.iff', '0', '0', '0', '0', '-2776.92', '0', '2519.58', '3', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8719', '8', '0', 'object/mobile/mynock.iff', '0', '0', '0', '0', '-2689.61', '0', '2510.66', '3', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8720', '8', '0', 'object/mobile/mynock.iff', '0', '0', '0', '0', '-2738.08', '0', '2593.59', '3', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8721', '8', '0', 'object/mobile/dressed_commoner_naboo_twilek_female_01.iff', '0', '0.464647', '0', '0.885496', '-2839.04', '5', '2492.89', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8722', '8', '0', 'object/mobile/dressed_criminal_thug_aqualish_male_02.iff', '0', '-0.240878', '0', '0.970555', '-2846.59', '5', '2497.64', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8723', '8', '0', 'object/mobile/mynock.iff', '0', '0', '0', '0', '-2712.84', '0', '2531.4', '3', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8724', '8', '0', 'object/mobile/mynock.iff', '0', '0', '0', '0', '-2660.7', '0', '2500.87', '3', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8725', '8', '0', 'object/mobile/dressed_commoner_fat_human_male_01.iff', '0', '-0.545776', '0', '0.837931', '-2877.18', '5', '2473.48', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8726', '8', '0', 'object/mobile/rock_mite_hue.iff', '0', '0.707286', '0', '-0.706928', '-2889.69', '5', '2493.44', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8727', '8', '0', 'object/mobile/dressed_commoner_naboo_human_male_07.iff', '0', '0.531836', '0', '0.846847', '-2870.12', '5', '2494.38', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8728', '8', '0', 'object/mobile/mynock.iff', '0', '0', '0', '0', '-2674.03', '0', '2516.33', '3', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8729', '8', '0', 'object/mobile/mynock.iff', '0', '0', '0', '0', '-2783.56', '0', '2547.41', '3', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8730', '8', '0', 'object/mobile/dressed_commoner_tatooine_bith_female_04.iff', '0', '0.671853', '0', '0.740685', '-2894.24', '5', '2492.22', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8731', '8', '0', 'object/mobile/mynock.iff', '0', '0', '0', '0', '-2814.11', '0', '2564.44', '3', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8732', '8', '0', 'object/mobile/rock_mite_hue.iff', '0', '0.447691', '0', '0.894188', '-2888.64', '5', '2498.06', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8733', '8', '0', 'object/mobile/dressed_mercenary_elite_medic_human_male_01.iff', '0', '0.916565', '0', '-0.399887', '-2860.55', '5', '2534.77', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8734', '8', '0', 'object/mobile/mynock.iff', '0', '0', '0', '0', '-2688.24', '0', '2540.25', '3', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8735', '8', '0', 'object/mobile/dressed_commoner_naboo_human_female_01.iff', '0', '0.878382', '0', '0.477959', '-2874.25', '5', '2546.29', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8736', '8', '0', 'object/mobile/dressed_commoner_tatooine_rodian_male_03.iff', '0', '-0.299689', '0', '0.954037', '-2884.43', '5', '2575.51', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8737', '8', '0', 'object/mobile/dressed_commoner_tatooine_sullustan_male_04.iff', '0', '0.989541', '0', '0.144249', '-2914.09', '5', '2466.26', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8738', '8', '0', 'object/mobile/dressed_desperado_bith_male_01.iff', '0', '0.999333', '0', '-0.0365217', '-2856.83', '5', '2473.55', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8739', '8', '0', 'object/mobile/jawa_male.iff', '0', '0.711622', '0', '0.702563', '-2888', '5', '2591', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8740', '8', '0', 'object/mobile/mynock.iff', '0', '0', '0', '0', '-2697.2', '0', '2579.61', '3', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8741', '8', '0', 'object/mobile/dressed_commoner_old_zabrak_female_01.iff', '0', '0.730918', '0', '-0.682465', '-2931.98', '5', '2495.44', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8742', '8', '0', 'object/mobile/dressed_doctor_trainer_human_female_01.iff', '0', '0.993802', '0', '0.111164', '-2913.31', '5', '2566.89', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8743', '8', '0', 'object/mobile/rock_mite_hue.iff', '0', '0.992749', '0', '-0.120202', '-2863.93', '5.69244', '2645.23', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8744', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '-2872.34', '0', '2645.44', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8745', '8', '0', 'object/mobile/tanc_mite_hue.iff', '0', '-0.637964', '0', '0.770067', '-2868.66', '5.92974', '2659.77', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8746', '8', '0', 'object/mobile/rock_mite_hue.iff', '0', '0.943936', '0', '-0.330128', '-2883.89', '5.34137', '2636.44', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8747', '8', '0', 'object/mobile/worrt.iff', '0', '0', '0', '0', '-2867.04', '0', '2645.57', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8748', '8', '0', 'object/mobile/tanc_mite_hue.iff', '0', '0.969208', '0', '-0.246243', '-2879.16', '5.3938', '2642.48', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8749', '8', '0', 'object/mobile/dressed_rebel_brigadier_general_trandoshan_female.iff', '0', '-0.466204', '0', '0.884677', '-2927.64', '5', '2574.17', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8750', '8', '0', 'object/mobile/rock_mite_hue.iff', '0', '0.994119', '0', '0.108293', '-2871.32', '5.43329', '2638.84', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8751', '8', '0', 'object/mobile/minor_worrt.iff', '0', '0', '0', '0', '-2878.72', '0', '2655.63', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8752', '8', '0', 'object/mobile/dressed_goon_twk_female_01.iff', '0', '0.844523', '0', '-0.53552', '-2964.35', '5', '2536.74', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8753', '8', '0', 'object/mobile/minor_worrt.iff', '0', '0', '0', '0', '-2961.46', '0', '2651.28', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8754', '8', '0', 'object/mobile/tanc_mite_hue.iff', '0', '0.305099', '0', '0.952321', '-2958.99', '6.05473', '2651.86', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8755', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '-2956.31', '0', '2647.42', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8756', '8', '0', 'object/mobile/tanc_mite_hue.iff', '0', '0.645667', '0', '0.763619', '-2954.14', '5.93401', '2648.89', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8757', '8', '0', 'object/mobile/rock_mite_hue.iff', '0', '0.797472', '0', '0.603356', '-2909.86', '7.8253', '2692.86', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8758', '8', '0', 'object/mobile/tanc_mite_hue.iff', '0', '0.983774', '0', '-0.17941', '-2957.17', '6.65151', '2663.78', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8759', '8', '0', 'object/mobile/rock_mite_hue.iff', '0', '0.949732', '0', '-0.313063', '-2977.98', '5.61491', '2651.49', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8760', '8', '0', 'object/mobile/tanc_mite_hue.iff', '0', '-0.0729292', '0', '0.997337', '-2959.73', '6.48665', '2662.19', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8761', '8', '0', 'object/mobile/dressed_crook_zabrak_female_01.iff', '0', '0.310058', '0', '0.950718', '-2976.77', '5', '2539.28', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8762', '8', '0', 'object/mobile/rock_mite_hue.iff', '0', '-0.295648', '0', '0.955297', '-2922.41', '8.03007', '2711.74', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8763', '8', '0', 'object/mobile/rock_mite_hue.iff', '0', '-0.190747', '0', '0.981639', '-2921.7', '7.7918', '2717.75', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8764', '8', '0', 'object/mobile/rock_mite_hue.iff', '0', '0.787846', '0', '-0.615872', '-2909.38', '7.75577', '2704.39', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8765', '8', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '0', '-0.537904', '0', '0.843006', '-3028.33', '5.01162', '2616.08', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8766', '8', '0', 'object/mobile/dressed_eisley_officer_rodian_male_01.iff', '0', '0.718171', '0', '-0.695867', '-3018.71', '5.01489', '2618.52', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8767', '8', '0', 'object/mobile/dressed_eisley_officer_twilek_female_01.iff', '0', '0.718173', '0', '-0.695864', '-3022.29', '5.02759', '2618.41', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8768', '8', '0', 'object/mobile/dressed_eisley_officer_rodian_female_01.iff', '0', '-0.0226668', '0', '0.999743', '-3023.26', '5.04215', '2618.44', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8769', '8', '0', 'object/mobile/minor_worrt.iff', '0', '0', '0', '0', '-2998.58', '0', '2701.67', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8770', '8', '0', 'object/mobile/dressed_imperial_officer_m.iff', '0', '-0.580428', '0', '0.814312', '-3027.01', '5.06395', '2617.66', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8771', '8', '0', 'object/mobile/dressed_imperial_officer_m.iff', '0', '0.339982', '0', '0.940432', '-3029.53', '5.07697', '2617.06', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8772', '8', '0', 'object/mobile/dark_trooper.iff', '0', '0.338923', '0', '0.940814', '-3028.58', '5.11515', '2618.21', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8773', '8', '0', 'object/mobile/dressed_scout_trooper_white_white.iff', '0', '-0.580456', '0', '0.814292', '-3028.51', '5.11262', '2618.18', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8774', '8', '0', 'object/mobile/dressed_stormtrooper_groupleader_m.iff', '0', '-0.580428', '0', '0.814312', '-3026.34', '5.10198', '2618.73', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8775', '8', '0', 'object/mobile/womp_rat_hue.iff', '0', '0.168263', '0', '0.985742', '-2963.31', '6.41839', '2664.35', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8776', '8', '0', 'object/mobile/minor_worrt.iff', '0', '0', '0', '0', '-3012.17', '0', '2691.38', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8777', '8', '0', 'object/mobile/worrt.iff', '0', '0', '0', '0', '-3010.7', '0', '2696.54', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8778', '8', '0', 'object/mobile/tanc_mite_hue.iff', '0', '0.838528', '0', '-0.544859', '-3006.66', '7.83559', '2697.94', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8779', '8', '0', 'object/mobile/worrt.iff', '0', '0', '0', '0', '-3075.74', '0', '2609.75', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8780', '8', '0', 'object/mobile/minor_worrt.iff', '0', '0', '0', '0', '-3074.46', '0', '2617.97', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8781', '8', '0', 'object/mobile/minor_worrt.iff', '0', '0', '0', '0', '-3069.16', '0', '2614.47', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8782', '8', '0', 'object/mobile/minor_worrt.iff', '0', '0', '0', '0', '-3068.78', '0', '2624.45', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8783', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '-3064.46', '0', '2615.22', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8784', '8', '0', 'object/mobile/minor_worrt.iff', '0', '0', '0', '0', '-3073.79', '0', '2617.18', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8785', '8', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_07.iff', '0', '0.0514409', '0', '0.998676', '-2978.76', '5', '2473.24', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8786', '8', '0', 'object/mobile/rock_mite_hue.iff', '0', '-0.678198', '0', '0.734879', '-3080.79', '6.03743', '2611.32', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8787', '8', '0', 'object/mobile/r2.iff', '0', '-0.0792702', '0', '0.996853', '-2946.98', '5', '2470.9', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8788', '8', '0', 'object/mobile/eg6_power_droid.iff', '0', '0.998455', '0', '-0.0555664', '-2945.98', '5', '2470.9', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8789', '8', '0', 'object/mobile/eg6_power_droid.iff', '0', '0.996112', '0', '0.0880922', '-2946.98', '5', '2470.9', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8790', '8', '0', 'object/mobile/dressed_hutt_medic1_zabrak_female_01.iff', '0', '0.486745', '0', '0.873544', '-2969.78', '5', '2469.4', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8791', '8', '0', 'object/mobile/dressed_tatooine_mat_rags.iff', '0', '0.495393', '0', '0.868669', '-2977.55', '5', '2458.29', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8792', '8', '0', 'object/mobile/dressed_commoner_old_zabrak_female_01.iff', '0', '0.924667', '0', '0.380776', '-3068.4', '5', '2391.3', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8793', '8', '0', 'object/mobile/rock_mite_hue.iff', '0', '-0.391772', '0', '0.920062', '-3238.87', '6.19092', '2231.04', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8794', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '-3249.68', '0', '2224.78', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8795', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '-3232.15', '0', '2232.39', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8796', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '-3252.78', '0', '2230.5', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8797', '8', '0', 'object/mobile/rock_mite_hue.iff', '0', '0.783183', '0', '0.621791', '-3238.91', '6.14088', '2230.72', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8798', '8', '0', 'object/mobile/dressed_imperial_officer_m_6.iff', '0', '0.763512', '0', '-0.645794', '-3150.22', '5', '2206.83', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8799', '8', '0', 'object/mobile/tanc_mite_hue.iff', '0', '0.906801', '0', '0.421559', '-3246.28', '5.42038', '2218.4', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8800', '8', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '0.000927453', '0.288747', '0.000389157', '0.957405', '-3169.56', '5', '2176.48', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8801', '8', '0', 'object/mobile/dressed_imperial_officer_m_6.iff', '0.00285075', '0.97791', '0.000633426', '-0.209009', '-3204.52', '5', '2091.93', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8802', '8', '0', 'object/mobile/womp_rat_hue.iff', '0', '0.968766', '0', '0.247975', '-3244.16', '6.56426', '2232.65', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8803', '8', '0', 'object/mobile/rock_mite_hue.iff', '0', '-0.638004', '0', '0.770033', '-3321.67', '8.2476', '2207.22', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8804', '8', '0', 'object/mobile/rock_mite_hue.iff', '0', '0.871925', '0', '0.48964', '-3321.03', '6.78999', '2187.04', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8805', '8', '0', 'object/mobile/rock_mite_hue.iff', '0', '0.994063', '0', '0.108804', '-3316.94', '8.07518', '2198.91', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8806', '8', '0', 'object/mobile/worrt.iff', '0', '0', '0', '0', '-3337.76', '0', '2207.57', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8807', '8', '0', 'object/mobile/rock_mite_hue.iff', '0', '0.987669', '0', '0.156556', '-3246.74', '5.19249', '2121.66', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8808', '8', '0', 'object/mobile/minor_worrt.iff', '0', '0', '0', '0', '-3257.35', '0', '2118.72', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8809', '8', '0', 'object/mobile/worrt.iff', '0', '0', '0', '0', '-3253.53', '0', '2125.54', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8810', '8', '0', 'object/mobile/minor_worrt.iff', '0', '0', '0', '0', '-3258.59', '0', '2132.91', '5', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8811', '8', '0', 'object/mobile/tanc_mite_hue.iff', '0', '0.907554', '0', '0.419936', '-3248.78', '5.22997', '2122.05', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8812', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '-3250.93', '0', '2105.16', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8813', '8', '0', 'object/mobile/tanc_mite_hue.iff', '0', '-0.14263', '0', '0.989776', '-3248.94', '5.4228', '2116.77', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8814', '8', '0', 'object/mobile/dressed_bestine_artist03.iff', '0', '-0.380072', '0', '0.924957', '-3101.7', '5', '2184.81', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8815', '8', '0', 'object/mobile/dressed_imperial_officer_m.iff', '-0.00018288', '-0.105494', '-0.0027596', '0.994416', '-3207', '5', '2097.52', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8816', '8', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-3202.5', '0', '2091.42', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8817', '8', '0', 'object/mobile/stormtrooper.iff', '0', '0', '0', '0', '-3207.39', '0', '2099.33', '25', 'neutral', '128', '0', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8818', '8', '0', 'object/mobile/dressed_commoner_tatooine_rodian_female_03.iff', '0', '0.983064', '0', '0.18326', '-3100.44', '5', '2148.76', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8819', '8', '0', 'object/mobile/womp_rat_hue.iff', '0', '-0.534789', '0', '0.844985', '-3265.58', '5.20889', '2129.95', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8820', '8', '0', 'object/mobile/dressed_noble_old_zabrak_female_01.iff', '0', '-0.596634', '0', '0.802513', '-3091.67', '5', '2165.61', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8821', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '-3207.4', '0', '2028.55', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8822', '8', '0', 'object/mobile/tanc_mite_hue.iff', '0', '0.857841', '0', '0.513915', '-3208.98', '6.12053', '2017.03', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8823', '8', '0', 'object/mobile/dressed_commoner_tatooine_ishitib_male_03.iff', '0', '-0.612384', '0', '0.79056', '-3115.34', '5', '2084.32', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8824', '8', '0', 'object/mobile/tanc_mite_hue.iff', '0', '-0.263362', '0', '0.964697', '-3217.87', '6.7851', '2010.86', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8825', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '-3204.8', '0', '2007.91', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8826', '8', '0', 'object/mobile/worrt.iff', '0', '0', '0', '0', '-3213.79', '0', '2012.58', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8827', '8', '0', 'object/mobile/tanc_mite_hue.iff', '0', '0.279164', '0', '0.960243', '-3205.35', '6.01035', '2016.06', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8828', '8', '0', 'object/mobile/womp_rat_hue.iff', '0', '0.311329', '0', '0.950302', '-3204.49', '5.96378', '2015.95', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8829', '8', '0', 'object/mobile/womp_rat_hue.iff', '0', '-0.316444', '0', '0.948611', '-3210.83', '6.40006', '2005.31', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8830', '8', '0', 'object/mobile/worrt.iff', '0', '0', '0', '0', '-3242.18', '0', '1949.38', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8831', '8', '0', 'object/mobile/worrt.iff', '0', '0', '0', '0', '-3227.98', '0', '1939.4', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8832', '8', '0', 'object/mobile/rock_mite_hue.iff', '0', '0.984053', '0', '0.177874', '-3224.53', '4.79097', '1931.72', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8833', '8', '0', 'object/mobile/dressed_noble_fat_twilek_male_01.iff', '0', '-0.158879', '0', '0.987298', '-3081.03', '5', '2104.52', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8834', '8', '0', 'object/mobile/worrt_hue.iff', '0', '-0.204045', '0', '0.978962', '-3177.72', '8.08039', '1907.34', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8835', '8', '0', 'object/mobile/worrt_hue.iff', '0', '0.998638', '0', '-0.052181', '-3243.03', '5.88032', '1922.89', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8836', '8', '0', 'object/mobile/worrt_hue.iff', '0', '-0.49298', '0', '0.870041', '-3173.18', '8.36948', '1901.38', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8837', '8', '0', 'object/mobile/dressed_noble_fat_zabrak_female_02.iff', '0', '0.998214', '0', '-0.0597372', '-3060.27', '5', '2085.37', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8838', '8', '0', 'object/mobile/tanc_mite_hue.iff', '0', '0.88564', '0', '-0.464372', '-3114.39', '5.75482', '1906.64', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8839', '8', '0', 'object/mobile/worrt_hue.iff', '0', '0.994248', '0', '0.107104', '-3096.16', '5.08975', '1913.67', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8840', '8', '0', 'object/mobile/worrt_hue.iff', '0', '0.058845', '0', '0.998267', '-3108.76', '5.45396', '1910.17', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8841', '8', '0', 'object/mobile/worrt_hue.iff', '0', '-0.0181989', '0', '0.999835', '-3172.01', '8.51885', '1888.24', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8842', '8', '0', 'object/mobile/rock_mite_hue.iff', '0', '-0.67167', '0', '0.740851', '-3174.62', '8.58522', '1889.76', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8843', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '-3108.03', '0', '1896.46', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8844', '8', '0', 'object/mobile/tanc_mite_hue.iff', '0.00557938', '0.856131', '0.00901523', '0.51665', '-3093.11', '5.06432', '1912.45', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8845', '8', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '0', '0.60521', '0', '0.796066', '-2985.75', '5', '1978.7', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8846', '8', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '0', '0.605211', '0', '0.796065', '-2988.1', '5', '1978.04', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8847', '8', '0', 'object/mobile/dressed_scout_trooper_white_white.iff', '0', '0.789777', '0', '-0.613394', '-2984.22', '5', '1987.49', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8848', '8', '0', 'object/mobile/dressed_stormtrooper_groupleader_m.iff', '0', '-0.159617', '0', '0.987179', '-2980.41', '5', '1959.34', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8849', '8', '0', 'object/mobile/womp_rat_hue.iff', '0', '0.560372', '0', '0.828241', '-3095.72', '5.05761', '1915.26', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8850', '8', '0', 'object/mobile/womp_rat_hue.iff', '0', '0.771287', '0', '-0.636487', '-3103.38', '5.15501', '1918.82', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8851', '8', '0', 'object/mobile/womp_rat_hue.iff', '0', '0.303944', '0', '0.95269', '-3113.6', '5.65245', '1908.34', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8852', '8', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '0', '0.990938', '0', '0.134318', '-2970.81', '5', '1981.34', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8853', '8', '0', 'object/mobile/dressed_imperial_officer_m_3.iff', '0', '0.990962', '0', '0.134142', '-2970.64', '5', '1980.73', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8854', '8', '0', 'object/mobile/dressed_eisley_officer_quarren_male_01.iff', '0', '0.996923', '0', '0.0783858', '-2976.17', '5', '2009.31', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8855', '8', '0', 'object/mobile/dressed_stormtrooper_sand_trooper_m.iff', '0', '0.798925', '0', '-0.601431', '-2971.83', '5', '1980.42', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8856', '8', '0', 'object/mobile/dressed_eisley_officer_twilek_female_01.iff', '0', '0.996922', '0', '0.078402', '-2977.32', '5', '2010.1', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8857', '8', '0', 'object/mobile/dressed_eisley_officer_human_female_01.iff', '0', '0.996924', '0', '0.0783796', '-2976.54', '5', '2011.63', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8858', '8', '0', 'object/mobile/dark_trooper.iff', '0', '-0.134653', '0', '0.990893', '-2953.88', '5', '1933.16', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8859', '8', '0', 'object/mobile/dressed_imperial_officer_m_2.iff', '0', '-0.13467', '0', '0.99089', '-2954.65', '5', '1935.93', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8860', '8', '0', 'object/mobile/dressed_commoner_naboo_human_female_05.iff', '0', '0.138804', '0', '0.99032', '-2939.1', '5', '1962.9', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8861', '8', '0', 'object/mobile/dressed_commoner_tatooine_sullustan_male_03.iff', '0', '-0.191462', '0', '0.9815', '-2912.23', '5', '1928.7', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8862', '8', '0', 'object/mobile/eg6_power_droid.iff', '0', '-0.253558', '0', '0.96732', '-2928.04', '5', '1977.68', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8863', '8', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_05.iff', '0', '0.94692', '0', '-0.32147', '-2831.34', '5', '1912.49', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8864', '8', '0', 'object/mobile/eg6_power_droid.iff', '0', '0.843378', '0', '-0.53732', '-2833.22', '5', '1899.71', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8865', '8', '0', 'object/mobile/dressed_commoner_fat_human_male_02.iff', '0', '-0.266983', '0', '0.963701', '-2881.87', '5', '1974.41', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8866', '8', '0', 'object/mobile/dressed_tatooine_kaeline_ungasan.iff', '0', '-0.215212', '0', '0.976567', '-2815.58', '5', '1940.55', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8867', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '-2795.61', '0', '1767.23', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8868', '8', '0', 'object/mobile/tanc_mite_hue.iff', '0', '0.757826', '0', '0.652457', '-2789.62', '6.17824', '1763.98', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8869', '8', '0', 'object/mobile/tanc_mite_hue.iff', '0', '-0.122886', '0', '0.992421', '-2797.01', '5.38467', '1764.85', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8870', '8', '0', 'object/mobile/jawa_male.iff', '0', '0.814191', '0', '0.580598', '-2777.56', '5', '1927.17', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8871', '8', '0', 'object/mobile/jawa_male.iff', '0', '0.788997', '0', '-0.614397', '-2777.56', '5', '1927.17', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8872', '8', '0', 'object/mobile/jawa_male.iff', '0', '0.971217', '0', '-0.238195', '-2777.56', '5', '1927.17', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8873', '8', '0', 'object/mobile/jawa_male.iff', '0', '0.989818', '0', '-0.142337', '-2777.56', '5', '1927.17', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8874', '8', '0', 'object/mobile/dressed_commoner_tatooine_nikto_male_05.iff', '0', '-0.340995', '0', '0.940065', '-2807.11', '5', '1953.71', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8875', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '-2795.65', '0', '1752.01', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8876', '8', '0', 'object/mobile/rock_mite_hue.iff', '0', '0.818373', '0', '-0.574687', '-2791.98', '6.24406', '1759.43', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8877', '8', '0', 'object/mobile/jawa_male.iff', '0', '0.565786', '0', '0.824552', '-2777.56', '5', '1937.17', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8878', '8', '0', 'object/mobile/jawa_male.iff', '0', '-0.103118', '0', '0.994669', '-2767.56', '5', '1927.17', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8879', '8', '0', 'object/mobile/jawa_male.iff', '0', '0.888111', '0', '-0.459629', '-2767.56', '5', '1927.17', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8880', '8', '0', 'object/mobile/jawa_male.iff', '0', '0.852862', '0', '-0.522136', '-2777.56', '5', '1937.17', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8881', '8', '0', 'object/mobile/jawa_male.iff', '0', '0.951872', '0', '0.306497', '-2767.56', '5', '1937.17', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8882', '8', '0', 'object/mobile/jawa_male.iff', '0', '0.960807', '0', '0.277217', '-2767.56', '5', '1937.17', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8883', '8', '0', 'object/mobile/jawa_male.iff', '0', '0.923602', '0', '-0.383352', '-2777.56', '5', '1937.17', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8884', '8', '0', 'object/mobile/jawa_male.iff', '0', '0.888084', '0', '-0.459681', '-2767.56', '5', '1927.17', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8885', '8', '0', 'object/mobile/jawa_male.iff', '0', '0.812533', '0', '-0.582915', '-2777.56', '5', '1937.17', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8886', '8', '0', 'object/mobile/jawa_male.iff', '0', '-0.0862751', '0', '0.996271', '-2777.56', '5', '1937.17', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8887', '8', '0', 'object/mobile/jawa_male.iff', '0', '0.0344335', '0', '0.999407', '-2777.56', '5', '1937.17', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8888', '8', '0', 'object/mobile/jawa_male.iff', '0', '0.997061', '0', '0.0766061', '-2767.56', '5', '1937.17', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8889', '8', '0', 'object/mobile/jawa_male.iff', '0', '-0.168516', '0', '0.985699', '-2777.56', '5', '1937.17', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8890', '8', '0', 'object/mobile/jawa_male.iff', '0', '-0.616063', '0', '0.787697', '-2767.56', '5', '1937.17', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8891', '8', '0', 'object/mobile/jawa_male.iff', '0', '-0.696862', '0', '0.717205', '-2777.56', '5', '1937.17', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8892', '8', '0', 'object/mobile/jawa_male.iff', '0', '-0.217768', '0', '0.976', '-2777.56', '5', '1937.17', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8893', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '-2723.39', '0', '1842.49', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8894', '8', '0', 'object/mobile/rill.iff', '0', '0', '0', '0', '-2724.42', '0', '1826.85', '6', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('8895', '8', '0', 'object/mobile/tanc_mite_hue.iff', '0', '0.566434', '0', '0.824107', '-2720.95', '5.12037', '1838.72', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8896', '8', '0', 'object/mobile/tanc_mite_hue.iff', '0', '0.985889', '0', '-0.167402', '-2713.99', '5.73621', '1815.47', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8897', '8', '0', 'object/mobile/tanc_mite_hue.iff', '0', '0.997151', '0', '-0.0754287', '-2705.64', '5.75105', '1820.1', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8898', '8', '0', 'object/mobile/rock_mite_hue.iff', '0', '0.841923', '0', '-0.539598', '-2714.58', '5.37967', '1828.84', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8899', '8', '0', 'object/mobile/worrt_hue.iff', '0', '0.742525', '0', '-0.669818', '-2716.18', '5.32138', '1830.71', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8900', '8', '0', 'object/mobile/worrt_hue.iff', '0', '-0.108687', '0', '0.994076', '-2613.31', '5.08118', '1969.82', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8901', '8', '0', 'object/mobile/womp_rat_hue.iff', '0', '-0.124963', '0', '0.992161', '-2621.59', '5.02486', '1967.45', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8902', '8', '0', 'object/mobile/womp_rat_hue.iff', '0', '0.994614', '0', '-0.103644', '-2613.3', '5.16549', '1956.6', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8903', '8', '0', 'object/mobile/womp_rat_hue.iff', '0', '0.982819', '0', '-0.184573', '-2581.69', '5.15777', '2031.96', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8904', '8', '0', 'object/mobile/dressed_commoner_tatooine_rodian_male_04.iff', '0', '-0.038965', '0', '0.999241', '-2903.06', '5', '2362.06', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8905', '8', '0', 'object/mobile/dressed_commoner_naboo_moncal_male_01.iff', '0', '0.951451', '0', '-0.3078', '-2976.72', '5.52789', '2333.09', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8906', '8', '0', 'object/mobile/dressed_commoner_fat_twilek_male_02.iff', '0', '-0.317377', '0', '0.9483', '-2886.35', '5', '2377.12', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8907', '8', '0', 'object/mobile/dressed_criminal_thug_rodian_female_01.iff', '0', '-2.81304e-08', '0', '1', '-2996.41', '5.52789', '2326.36', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8908', '8', '0', 'object/mobile/dressed_noble_fat_twilek_female_02.iff', '0', '0.843485', '0', '-0.537153', '-2999.41', '5.52789', '2350.79', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8909', '8', '0', 'object/mobile/dressed_noble_twilek_male_01.iff', '0', '0.978412', '0', '0.206664', '-3062.85', '5', '2195.92', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8910', '8', '1256068', 'object/mobile/space_rebel_tier1_tatooine_socuna.iff', '-1.66112e-08', '0.459782', '3.87349e-08', '0.888032', '-29.7168', '-0.519991', '7.77728', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8911', '8', '1256067', 'object/mobile/dressed_commoner_tatooine_sullustan_male_06.iff', '8.94114e-08', '3.81441e-05', '2.95035e-07', '1', '-20.6545', '-0.894989', '25.0112', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8912', '8', '1256067', 'object/mobile/dressed_commoner_fat_zabrak_male_01.iff', '-1.32163e-07', '1', '5.92423e-12', '-4.48254e-05', '-20.6545', '-0.894989', '26.0112', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8913', '8', '1256061', 'object/mobile/dressed_eisley_officer_rodian_female_01.iff', '5.96094e-08', '-2.80162e-05', '-1.33466e-08', '1', '2.1656', '-0.894992', '-15.9672', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8914', '8', '1256061', 'object/mobile/dressed_commoner_tatooine_ishitib_male_02.iff', '1.07484e-08', '1', '-5.96086e-08', '4.12495e-05', '2.1656', '-0.894992', '-14.9672', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8915', '8', '1256058', 'object/mobile/dressed_commoner_fat_human_male_02.iff', '0', '0.287585', '0', '0.957755', '-11.1703', '-0.894992', '1.53149', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8916', '8', '1256058', 'object/mobile/dressed_tatooine_jilljoo_jab.iff', '3.40319e-08', '0.875913', '3.89464e-08', '-0.482469', '10.5758', '-0.894992', '-3.56401', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8917', '8', '1256058', 'object/mobile/dressed_commoner_naboo_human_female_01.iff', '-5.96034e-08', '-1.049e-05', '7.74528e-08', '1', '12.1732', '-0.894992', '2.93609', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8918', '8', '1256058', 'object/mobile/dressed_mercenary_elite_medic_human_male_01.iff', '-5.08094e-09', '1', '2.98007e-08', '2.33638e-05', '12.1732', '-0.894991', '3.93609', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8919', '8', '1256058', 'object/mobile/dressed_commoner_naboo_human_male_04.iff', '1.09453e-07', '0.902355', '-9.67114e-08', '-0.430993', '-6.00754', '-0.894992', '-5.35219', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8920', '8', '0', 'object/mobile/dressed_commoner_naboo_human_male_04.iff', '0', '0.820371', '0', '-0.571831', '-3046.72', '5', '2133.45', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8921', '8', '0', 'object/mobile/dressed_goon_twk_female_01.iff', '0', '0.977139', '0', '0.2126', '-3065.25', '5', '2142.42', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8922', '8', '1261023', 'object/mobile/dressed_commoner_naboo_moncal_male_01.iff', '0', '0.402978', '0', '0.915209', '-24', '1.6', '-4', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8923', '8', '1261017', 'object/mobile/dressed_artisan_trainer_01.iff', '-3.79299e-07', '4.61288e-05', '1.74966e-11', '1', '7.41432', '1.00001', '-6.90893', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8924', '8', '1261017', 'object/mobile/dressed_eisley_officer_human_male_01.iff', '1.19554e-11', '1', '-4.87697e-07', '2.45139e-05', '7.41432', '1.00001', '-5.80893', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8925', '8', '1261018', 'object/mobile/dressed_artisan_trainer_01.iff', '-1.08361e-07', '-2.51833e-05', '-2.7289e-12', '1', '20.2715', '1.28309', '-1.14578', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8926', '8', '1261018', 'object/mobile/dressed_noble_fat_human_female_02.iff', '-6.48271e-12', '1', '1.0838e-07', '5.98144e-05', '20.2715', '1.28309', '-0.0457823', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8927', '8', '1261018', 'object/mobile/dressed_criminal_thug_rodian_male_01.iff', '-2.93281e-08', '0.923861', '7.07945e-08', '0.382729', '19.1715', '1.28309', '-0.0457823', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8928', '8', '1261018', 'object/mobile/dressed_hutt_medic2_twilek_male_01.iff', '0', '0.857263', '0', '-0.514878', '20.2668', '1.56616', '15.1105', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8929', '8', '0', 'object/mobile/dressed_doctor_trainer_moncal_male_01.iff', '0', '0.878124', '0', '-0.478434', '-3055.28', '5', '2098.76', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8930', '8', '0', 'object/mobile/dressed_commoner_tatooine_bith_male_04.iff', '0', '0.598094', '0', '0.801426', '-3019.69', '5', '2114.97', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8931', '8', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_02.iff', '0', '0.230515', '0', '0.973069', '-2914.38', '5', '1984.92', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8932', '8', '0', 'object/mobile/r4.iff', '0', '0.806519', '0', '-0.591208', '-2871.38', '6.12074', '1985.32', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8933', '8', '1256306', 'object/mobile/dressed_artisan_trainer_03.iff', '0', '0.0958457', '0', '0.995396', '-3.69', '1.13306', '-6', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8934', '8', '1256011', 'object/mobile/dressed_commoner_tatooine_ishitib_male_02.iff', '0', '0.824126', '0', '-0.566406', '3.29', '1.13306', '-9.58', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8935', '8', '1256010', 'object/mobile/dressed_rebel_brigadier_general_trandoshan_female.iff', '0', '0.975088', '0', '-0.221819', '14.2091', '1.13306', '-10.1408', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8936', '8', '0', 'object/mobile/dressed_hoodlum_zabrak_male_01.iff', '0', '0.884271', '0', '-0.466975', '-5210.29', '75', '-6570.98', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8937', '8', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_08.iff', '0', '0.846413', '0', '0.532526', '-5155.04', '75', '-6500.75', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8938', '8', '0', 'object/mobile/dressed_commoner_tatooine_sullustan_male_03.iff', '0', '0.902215', '0', '0.431286', '-5176.26', '75', '-6611.98', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8939', '8', '0', 'object/mobile/dressed_commoner_tatooine_sullustan_male_06.iff', '0', '0.960262', '0', '-0.279101', '-5120.75', '75', '-6594.69', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8940', '8', '0', 'object/mobile/dressed_commoner_naboo_zabrak_male_01.iff', '0', '-0.642627', '0', '0.766179', '-5133.39', '75', '-6492.64', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8941', '8', '0', 'object/mobile/dressed_commoner_naboo_human_male_08.iff', '0', '0.946484', '0', '-0.322751', '-5128.78', '75', '-6542.42', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8942', '8', '0', 'object/mobile/dressed_noble_fat_zabrak_male_01.iff', '0', '0.993052', '0', '-0.117676', '-5172.13', '75', '-6571.71', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8943', '8', '0', 'object/mobile/dressed_palu_zerk.iff', '0', '-0.504761', '0', '0.863259', '-5049.46', '75', '-6585.53', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8944', '8', '0', 'object/mobile/dressed_commoner_naboo_human_male_05.iff', '0', '0.791429', '0', '-0.611262', '-5095.19', '75', '-6527.76', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8945', '8', '0', 'object/mobile/jawa_male.iff', '0', '0.999502', '0', '0.0315513', '-5053.6', '75', '-6625.89', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8946', '8', '0', 'object/mobile/r5.iff', '0', '-0.539719', '0', '0.841846', '-5126.31', '75', '-6491.03', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8947', '8', '0', 'object/mobile/jawa_male.iff', '0', '0.985394', '0', '-0.170293', '-5108.37', '75', '-6492.24', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8948', '8', '0', 'object/mobile/dressed_criminal_thug_aqualish_female_02.iff', '0', '0.999677', '0', '-0.025402', '-5115.15', '75', '-6550.13', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8949', '8', '0', 'object/mobile/jawa_male.iff', '0', '0.37569', '0', '0.926745', '-5062.65', '75', '-6596.72', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8950', '8', '0', 'object/mobile/dressed_criminal_thug_rodian_male_01.iff', '0', '0.997391', '0', '-0.0721922', '-5115.97', '75', '-6548.43', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8951', '8', '0', 'object/mobile/jawa_male.iff', '0', '0.274052', '0', '0.961715', '-5061.61', '75', '-6597.5', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8952', '8', '0', 'object/mobile/dressed_robber_twk_male_01.iff', '0', '0.963262', '0', '0.268562', '-5048.57', '75', '-6571.22', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8953', '8', '0', 'object/mobile/jawa_male.iff', '0', '-0.354883', '0', '0.934911', '-5066.64', '75', '-6600.84', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8954', '8', '0', 'object/mobile/dressed_criminal_thug_human_female_01.iff', '-0.00553453', '0.963185', '-0.00734918', '0.268683', '-5050.32', '75', '-6570.58', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8955', '8', '0', 'object/mobile/jawa_male.iff', '0', '-0.160284', '0', '0.987071', '-5054.39', '75', '-6602.99', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8956', '8', '0', 'object/mobile/jawa_male.iff', '0', '0.256233', '0', '0.966615', '-5059.34', '75', '-6594.17', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8957', '8', '0', 'object/mobile/jawa_male.iff', '0', '-0.220455', '0', '0.975397', '-5051.74', '75', '-6606.62', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8958', '8', '0', 'object/mobile/r5.iff', '0', '0.986973', '0', '0.160887', '-5105.84', '75', '-6486.52', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8959', '8', '0', 'object/mobile/jawa_male.iff', '0', '0.860094', '0', '0.510136', '-5128.63', '75', '-6489.39', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8960', '8', '0', 'object/mobile/cll8_binary_load_lifter.iff', '0', '0.985595', '0', '0.169124', '-5106.7', '75', '-6484.28', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8961', '8', '0', 'object/mobile/r3.iff', '0', '0.819076', '0', '-0.573685', '-5129.45', '75', '-6483.77', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8962', '8', '0', 'object/mobile/dressed_commoner_naboo_human_female_06.iff', '0', '0.0273815', '0', '0.999625', '-5155.11', '75', '-6488.89', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8963', '8', '0', 'object/mobile/dressed_commoner_naboo_human_female_02.iff', '0', '0.933549', '0', '-0.35845', '-5182', '75', '-6496.33', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8964', '8', '0', 'object/mobile/dressed_commoner_naboo_human_male_05.iff', '0', '-0.564625', '0', '0.825347', '-5217.62', '75', '-6578.64', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8965', '8', '0', 'object/mobile/dressed_commoner_old_zabrak_female_01.iff', '0', '0.526453', '0', '0.850204', '-5219.65', '75', '-6548.3', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8966', '8', '0', 'object/mobile/dressed_commoner_tatooine_devaronian_male_03.iff', '0', '-0.157675', '0', '0.987491', '-5193.47', '75', '-6490.09', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8967', '8', '0', 'object/mobile/dressed_cobral_thief_human_male_01.iff', '0', '0.576189', '0', '0.817316', '-5224.18', '75', '-6559.69', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8968', '8', '1134569', 'object/mobile/dressed_kobola_thief_rodian_male_01.iff', '-9.2103e-07', '-7.36892e-05', '-6.78699e-11', '1', '-24.5583', '-0.894991', '23.3065', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8969', '8', '1134569', 'object/mobile/dressed_hooligan_rodian_male_01.iff', '-1.01146e-10', '1', '9.48367e-07', '0.000106653', '-24.5583', '-0.894991', '24.4065', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8970', '8', '1134569', 'object/mobile/dressed_commoner_tatooine_ishitib_male_02.iff', '-2.49303e-07', '0.923848', '6.01729e-07', '0.38276', '-25.6583', '-0.894991', '24.4065', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8971', '8', '1134562', 'object/mobile/dressed_commoner_naboo_twilek_male_02.iff', '0', '0.236195', '0', '0.971706', '17.9368', '-0.894992', '22.6329', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8972', '8', '1134561', 'object/mobile/dressed_corvette_neutral_yondalla.iff', '2.10585e-07', '0.217362', '-4.68945e-08', '0.976091', '20.1921', '-0.894996', '-19.0778', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8973', '8', '1134560', 'object/mobile/dressed_commoner_old_zabrak_male_01.iff', '0', '0.957755', '0', '-0.287585', '-11.0018', '-0.894992', '1.78678', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8974', '8', '1134560', 'object/mobile/dressed_noble_fat_twilek_male_02.iff', '7.19456e-07', '0.639338', '-5.98205e-07', '0.768926', '-5.69909', '-0.894992', '-10.4035', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8975', '8', '1134560', 'object/mobile/dressed_artisan_trainer_01.iff', '-1.11106e-06', '6.23318e-05', '6.92547e-11', '1', '-3.85346', '-0.894991', '6.73775', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8976', '8', '1134560', 'object/mobile/dressed_commoner_tatooine_rodian_female_03.iff', '-2.25802e-11', '1', '1.02931e-06', '2.19371e-05', '-3.85346', '-0.894991', '7.83775', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8977', '8', '1134560', 'object/mobile/dressed_criminal_thug_rodian_male_01.iff', '-1.40888e-06', '3.85964e-05', '5.43777e-11', '1', '11.3838', '-0.894992', '-3.73465', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8978', '8', '1134560', 'object/mobile/dressed_rebel_specforce_pathfinder_twk_female_01.iff', '3.08814e-12', '1', '1.40881e-06', '-2.19202e-06', '11.3838', '-0.894992', '-2.63465', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8979', '8', '1134560', 'object/mobile/dressed_hooligan_rodian_male_01.iff', '-3.59227e-07', '0.923882', '8.67265e-07', '0.382678', '10.2838', '-0.894992', '-2.63465', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8980', '8', '1134560', 'object/mobile/dressed_commoner_naboo_zabrak_male_02.iff', '0', '0.823297', '0', '-0.567611', '4.86041', '-0.894992', '6.38401', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8981', '8', '1134559', 'object/mobile/dressed_criminal_slicer_human_male_01.iff', '1.69303e-06', '8.49254e-05', '-1.43781e-10', '1', '34.4931', '0.104999', '-7.576', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8982', '8', '1134559', 'object/mobile/dressed_commoner_artisan_trandoshan_male_01.iff', '7.3437e-11', '1', '-1.69362e-06', '4.33611e-05', '34.4931', '0.104999', '-6.47601', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8983', '8', '1134570', 'object/mobile/dressed_hoodlum_zabrak_female_01.iff', '-4.48166e-07', '0.136793', '6.18876e-08', '0.9906', '-25.6591', '-0.519991', '10.6171', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8984', '8', '0', 'object/mobile/dressed_crook_zabrak_male_01.iff', '0', '-0.178142', '0', '0.984005', '-5232.74', '75', '-6573.71', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8985', '8', '0', 'object/mobile/dressed_criminal_thug_bothan_male_01.iff', '0', '-0.178077', '0', '0.984017', '-5232.15', '75', '-6575.29', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8986', '8', '0', 'object/mobile/dressed_criminal_thug_human_male_02.iff', '0', '-0.178068', '0', '0.984018', '-5233.49', '75', '-6571.71', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8987', '8', '0', 'object/mobile/jawa_male.iff', '0', '0.682585', '0', '0.730806', '-5206.91', '75', '-6490.08', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8988', '8', '0', 'object/mobile/cll8_binary_load_lifter.iff', '0', '0.973099', '0', '0.230386', '-5204.46', '75', '-6481.04', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8989', '8', '1718360', 'object/mobile/dressed_commoner_old_twilek_male_01.iff', '1.40914e-06', '4.46792e-05', '-6.29595e-11', '1', '14.8335', '-3.99038', '4.51296', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8990', '8', '1718360', 'object/mobile/dressed_commoner_tatooine_aqualish_female_01.iff', '-1.35601e-10', '1', '-1.40889e-06', '-9.6247e-05', '14.8335', '-3.99038', '5.61296', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8991', '8', '1718359', 'object/mobile/dressed_commoner_old_twilek_male_01.iff', '0.000113266', '0.862016', '-0.000192624', '0.506881', '-20.9216', '-3.99571', '2.67462', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8992', '8', '1134533', 'object/mobile/dressed_artisan_trainer_01.iff', '-5.7137e-05', '0.000110592', '6.3189e-09', '1', '11.9085', '0.991253', '-0.950462', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8993', '8', '1134533', 'object/mobile/dressed_commoner_fat_twilek_male_01.iff', '-2.37894e-09', '1', '-5.39068e-05', '-4.41306e-05', '11.9085', '0.991375', '0.149539', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8994', '8', '1134533', 'object/mobile/dressed_eisley_officer_bothan_female_01.iff', '2.43793e-07', '-9.88291e-05', '2.40938e-11', '1', '-9.6227', '0.995934', '-0.745972', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8995', '8', '1134533', 'object/mobile/dressed_naboo_nomad.iff', '-7.81479e-12', '1', '-2.43828e-07', '-3.20504e-05', '-9.6227', '0.995934', '0.354028', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8996', '8', '0', 'object/mobile/dressed_commoner_fat_zabrak_female_02.iff', '0', '0.433787', '0', '0.901016', '-5213.66', '75', '-6474.22', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8997', '8', '0', 'object/mobile/dressed_jowir_arlensa.iff', '0', '0.395986', '0', '0.918257', '-5252.74', '75', '-6553.42', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8998', '8', '0', 'object/mobile/dressed_commoner_naboo_human_male_01.iff', '0', '0.193271', '0', '0.981146', '-5249.25', '75', '-6516.55', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('8999', '8', '0', 'object/mobile/dressed_commoner_naboo_twilek_female_02.iff', '0', '-0.246125', '0', '0.969238', '-5214.19', '75', '-6460.12', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9000', '8', '0', 'object/mobile/jawa_male.iff', '0', '0.942622', '0', '0.333863', '-5248.59', '75', '-6514.38', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9001', '8', '0', 'object/mobile/jawa_male.iff', '0', '0.999692', '0', '0.0248343', '-5245.66', '75', '-6521.01', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9002', '8', '0', 'object/mobile/jawa_male.iff', '0', '0.900504', '0', '-0.434848', '-5242.73', '75', '-6503.24', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9003', '8', '0', 'object/mobile/dressed_criminal_thug_bothan_female_01.iff', '0', '0.996006', '0', '0.0892869', '-5240.14', '75', '-6530.61', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9004', '8', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_01.iff', '0', '0.984226', '0', '-0.176915', '-5251.85', '75', '-6499.93', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9005', '8', '0', 'object/mobile/jawa_male.iff', '0', '0.468778', '0', '0.883316', '-5248.59', '75', '-6504.38', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9006', '8', '0', 'object/mobile/jawa_male.iff', '0', '0.668124', '0', '0.74405', '-5248.59', '75', '-6504.38', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9007', '8', '0', 'object/mobile/dressed_commoner_tatooine_rodian_female_02.iff', '0', '0.859962', '0', '-0.510358', '-5260.24', '75', '-6510.64', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9008', '8', '0', 'object/mobile/dressed_doctor_trainer_moncal_male_01.iff', '0', '0.833831', '0', '-0.55202', '-5260.46', '75', '-6556.07', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9009', '8', '0', 'object/mobile/jawa_male.iff', '0', '0.895776', '0', '-0.444507', '-5258.59', '75', '-6504.38', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9010', '8', '0', 'object/mobile/dressed_tatooine_tekil_barje.iff', '0', '0.876071', '0', '-0.482182', '-5269.8', '75', '-6567.61', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9011', '8', '0', 'object/mobile/dressed_hooligan_rodian_male_01.iff', '0', '0.852288', '0', '0.523073', '-5282.79', '75', '-6521.67', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9012', '8', '0', 'object/mobile/dressed_commoner_naboo_bothan_male_01.iff', '0', '0.013323', '0', '0.999911', '-5216.58', '75', '-6494.05', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9013', '8', '0', 'object/mobile/dressed_criminal_thug_zabrak_female_01.iff', '0', '0.870099', '0', '0.492876', '-5248.39', '75', '-6549.52', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9014', '8', '0', 'object/mobile/dressed_robber_twk_male_01.iff', '0', '0.75552', '0', '0.655126', '-5273.74', '75', '-6518.97', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9015', '8', '0', 'object/mobile/dressed_bestine_artist06.iff', '0', '0.97592', '0', '-0.218127', '-5239.55', '75', '-6566.86', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9016', '8', '0', 'object/mobile/dressed_commoner_tatooine_bith_male_04.iff', '0', '0.871442', '0', '0.490498', '-5277.28', '75', '-6558.48', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9017', '8', '1499424', 'object/mobile/dressed_criminal_thug_aqualish_male_02.iff', '0', '-0.691377', '0', '0.722494', '-7.85116', '-3.96617', '6.43429', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9018', '8', '1499419', 'object/mobile/dressed_entertainer_trainer_twk_female_01.iff', '-8.80435e-07', '4.76802e-05', '4.19793e-11', '1', '6.82411', '0.40827', '-8.7422', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9019', '8', '1499419', 'object/mobile/dressed_hooligan_rodian_male_01.iff', '-5.16925e-11', '1', '1.08373e-06', '4.76985e-05', '6.82411', '0.408269', '-7.6422', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9020', '8', '1499419', 'object/mobile/dressed_artisan_trainer_02.iff', '-2.93259e-07', '0.923869', '7.07937e-07', '0.382708', '5.72411', '0.408269', '-7.6422', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9021', '8', '0', 'object/mobile/canyon_krayt_dragon.iff', '0', '0', '0', '0', '-4643', '0', '-4359', '336', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9022', '8', '0', 'object/mobile/canyon_krayt_dragon.iff', '0', '0', '0', '0', '-4627', '0', '-4369', '275', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9023', '8', '0', 'object/mobile/canyon_krayt_dragon.iff', '0', '0', '0', '0', '-4666', '0', '-4347', '275', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9024', '8', '0', 'object/mobile/juvenile_canyon_krayt.iff', '0', '0', '0', '0', '-4633', '0', '-4329', '122', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9025', '8', '0', 'object/mobile/juvenile_canyon_krayt.iff', '0', '0', '0', '0', '-4618', '0', '-4335', '122', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9026', '8', '0', 'object/mobile/juvenile_canyon_krayt.iff', '0', '0', '0', '0', '-4585', '0', '-4374', '122', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9027', '8', '0', 'object/mobile/juvenile_canyon_krayt.iff', '0', '0', '0', '0', '-4585', '0', '-4416', '122', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9028', '8', '0', 'object/mobile/juvenile_canyon_krayt.iff', '0', '0', '0', '0', '-4669', '0', '-4432', '122', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9029', '8', '0', 'object/mobile/juvenile_canyon_krayt.iff', '0', '0', '0', '0', '-4752', '0', '-4401', '122', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9030', '8', '0', 'object/mobile/juvenile_canyon_krayt.iff', '0', '0', '0', '0', '-4740', '0', '-4303', '122', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9031', '8', '0', 'object/mobile/juvenile_canyon_krayt.iff', '0', '0', '0', '0', '-4673', '0', '-4290', '122', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9032', '8', '0', 'object/mobile/canyon_krayt_dragon.iff', '0', '0', '0', '0', '6739', '0', '4288', '336', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9033', '8', '0', 'object/mobile/canyon_krayt_dragon.iff', '0', '0', '0', '0', '7456', '0', '4449', '275', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9034', '8', '0', 'object/mobile/canyon_krayt_dragon.iff', '0', '0', '0', '0', '7561', '0', '4562', '275', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9035', '8', '0', 'object/mobile/canyon_krayt_dragon.iff', '0', '0', '0', '0', '7461', '0', '4659', '275', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9036', '8', '0', 'object/mobile/canyon_krayt_dragon.iff', '0', '0', '0', '0', '6998', '0', '4362', '275', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9037', '8', '0', 'object/mobile/canyon_krayt_dragon.iff', '0', '0', '0', '0', '7528', '0', '4822', '275', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9038', '8', '0', 'object/mobile/canyon_krayt_dragon.iff', '0', '0', '0', '0', '6814', '0', '4339', '275', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9039', '8', '0', 'object/mobile/canyon_krayt_dragon.iff', '0', '0', '0', '0', '6738', '0', '4481', '275', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9040', '8', '0', 'object/mobile/canyon_krayt_dragon.iff', '0', '0', '0', '0', '6828', '0', '4066', '336', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9041', '8', '0', 'object/mobile/canyon_krayt_dragon.iff', '0', '0', '0', '0', '7054', '0', '4194', '336', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9042', '8', '0', 'object/mobile/juvenile_canyon_krayt.iff', '0', '0', '0', '0', '7426', '0', '4621', '122', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9043', '8', '0', 'object/mobile/juvenile_canyon_krayt.iff', '0', '0', '0', '0', '7413', '0', '4515', '122', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9044', '8', '0', 'object/mobile/juvenile_canyon_krayt.iff', '0', '0', '0', '0', '7475', '0', '4446', '122', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9045', '8', '0', 'object/mobile/juvenile_canyon_krayt.iff', '0', '0', '0', '0', '7266', '0', '4597', '122', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9046', '8', '0', 'object/mobile/juvenile_canyon_krayt.iff', '0', '0', '0', '0', '7128', '0', '4554', '122', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9047', '8', '0', 'object/mobile/juvenile_canyon_krayt.iff', '0', '0', '0', '0', '6875', '0', '4499', '122', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9048', '8', '0', 'object/mobile/juvenile_canyon_krayt.iff', '0', '0', '0', '0', '6707', '0', '4461', '122', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9049', '8', '0', 'object/mobile/juvenile_canyon_krayt.iff', '0', '0', '0', '0', '6515', '0', '4445', '122', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9050', '8', '0', 'object/mobile/juvenile_canyon_krayt.iff', '0', '0', '0', '0', '6543', '0', '4283', '122', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9051', '8', '0', 'object/mobile/juvenile_canyon_krayt.iff', '0', '0', '0', '0', '6865', '0', '4093', '122', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9052', '8', '0', 'object/mobile/juvenile_canyon_krayt.iff', '0', '0', '0', '0', '7044', '0', '4203', '122', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9053', '8', '0', 'object/mobile/juvenile_canyon_krayt.iff', '0', '0', '0', '0', '7273', '0', '4317', '122', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9054', '8', '0', 'object/mobile/jawa_male.iff', '0', '0', '0', '0', '5770', '0', '4037.45', '10', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9055', '8', '0', 'object/mobile/jawa_male.iff', '0', '0', '0', '0', '5742.25', '0', '4002.07', '10', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9056', '8', '0', 'object/mobile/jawa_male.iff', '0', '0', '0', '0', '5741.93', '0', '4003.57', '10', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9057', '8', '0', 'object/mobile/jawa_male.iff', '0', '0', '0', '0', '5759.55', '0', '4020.9', '10', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9058', '8', '0', 'object/mobile/jawa_male.iff', '0', '0', '0', '0', '5772.97', '0', '4002.38', '10', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9059', '8', '0', 'object/mobile/jawa_male.iff', '0', '0', '0', '0', '5781.97', '0', '4044.32', '12', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9060', '8', '0', 'object/mobile/jawa_male.iff', '0', '0', '0', '0', '5731.03', '0', '4010.19', '12', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9061', '8', '0', 'object/mobile/jawa_male.iff', '0', '0', '0', '0', '5756.7', '0', '4033.49', '12', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9062', '8', '0', 'object/mobile/jawa_male.iff', '0', '0', '0', '0', '5753.58', '0', '4013.61', '12', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9063', '8', '0', 'object/mobile/jawa_male.iff', '0', '0', '0', '0', '5757.52', '0', '4023.64', '12', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9064', '8', '0', 'object/mobile/jawa_male.iff', '0', '0', '0', '0', '5741.75', '0', '4043.05', '6', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9065', '8', '0', 'object/mobile/jawa_male.iff', '0', '0', '0', '0', '5770.22', '0', '4046.31', '6', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9066', '8', '0', 'object/mobile/jawa_male.iff', '0', '0', '0', '0', '5742.57', '0', '3994.96', '6', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9067', '8', '0', 'object/mobile/jawa_male.iff', '0', '0', '0', '0', '5747', '0', '4016.1', '6', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9068', '8', '0', 'object/mobile/jawa_male.iff', '0', '0', '0', '0', '5746.89', '0', '4020.53', '6', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9069', '8', '0', 'object/mobile/jawa_male.iff', '0', '0', '0', '0', '5723.88', '0', '4030.16', '21', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9070', '8', '0', 'object/mobile/jawa_male.iff', '0', '0', '0', '0', '5740.11', '0', '4013.67', '21', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9071', '8', '0', 'object/mobile/jawa_male.iff', '0', '0', '0', '0', '5745.37', '0', '4001.38', '21', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9072', '8', '0', 'object/mobile/jawa_male.iff', '0', '0', '0', '0', '5714.91', '0', '4050.67', '21', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9073', '8', '0', 'object/mobile/jawa_male.iff', '0', '0', '0', '0', '5728.76', '0', '4020.56', '21', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9074', '8', '0', 'object/mobile/jawa_male.iff', '0', '0', '0', '0', '5736.86', '0', '4035.45', '10', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9075', '8', '0', 'object/mobile/jawa_male.iff', '0', '0', '0', '0', '5782.6', '0', '4055.42', '10', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9076', '8', '0', 'object/mobile/jawa_male.iff', '0', '0', '0', '0', '5770.21', '0', '4005.3', '10', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9077', '8', '0', 'object/mobile/jawa_male.iff', '0', '0', '0', '0', '5739.92', '0', '4054.37', '10', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9078', '8', '0', 'object/mobile/jawa_male.iff', '0', '0', '0', '0', '5736.62', '0', '4021.08', '10', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9079', '8', '0', 'object/mobile/jawa_male.iff', '0', '0', '0', '0', '5794.87', '0', '4036.7', '6', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9080', '8', '0', 'object/mobile/jawa_male.iff', '0', '0', '0', '0', '5775.61', '0', '4012.85', '6', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9081', '8', '0', 'object/mobile/jawa_male.iff', '0', '0', '0', '0', '5729.42', '0', '4021.32', '6', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9082', '8', '0', 'object/mobile/jawa_male.iff', '0', '0', '0', '0', '5738.5', '0', '3973.56', '6', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9083', '8', '0', 'object/mobile/jawa_male.iff', '0', '0', '0', '0', '5743.46', '0', '3969.97', '6', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9084', '8', '0', 'object/mobile/jawa_male.iff', '0', '0', '0', '0', '5743.78', '0', '4017.46', '10', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9085', '8', '0', 'object/mobile/jawa_male.iff', '0', '0', '0', '0', '5706.32', '0', '4028.54', '10', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9086', '8', '0', 'object/mobile/jawa_male.iff', '0', '0', '0', '0', '5747.18', '0', '4024.78', '10', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9087', '8', '0', 'object/mobile/jawa_male.iff', '0', '0', '0', '0', '5763.54', '0', '4011.23', '10', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9088', '8', '0', 'object/mobile/jawa_male.iff', '0', '0', '0', '0', '5755.09', '0', '4029.5', '10', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9089', '8', '0', 'object/mobile/jawa_male.iff', '0', '0', '0', '0', '5768', '0', '3991', '17', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9090', '8', '0', 'object/mobile/jawa_male.iff', '0', '0', '0', '0', '5813.15', '0', '4007.22', '17', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9091', '8', '0', 'object/mobile/jawa_male.iff', '0', '0', '0', '0', '5729.9', '0', '4038', '17', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9092', '8', '0', 'object/mobile/jawa_male.iff', '0', '0', '0', '0', '5771.87', '0', '4052.8', '17', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9093', '8', '0', 'object/mobile/jawa_male.iff', '0', '0', '0', '0', '5757.18', '0', '3982.71', '17', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9094', '8', '0', 'object/mobile/jawa_male.iff', '0', '0', '0', '0', '5756.07', '0', '4047.95', '6', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9095', '8', '0', 'object/mobile/jawa_male.iff', '0', '0', '0', '0', '5726.36', '0', '4018.05', '6', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9096', '8', '0', 'object/mobile/jawa_male.iff', '0', '0', '0', '0', '5777.15', '0', '4024.78', '6', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9097', '8', '0', 'object/mobile/jawa_male.iff', '0', '0', '0', '0', '5737.48', '0', '3981.43', '6', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9098', '8', '0', 'object/mobile/jawa_male.iff', '0', '0', '0', '0', '5749.55', '0', '3999.63', '6', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9099', '8', '0', 'object/mobile/jawa_male.iff', '0', '0', '0', '0', '5760.14', '0', '3973.4', '9', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9100', '8', '0', 'object/mobile/jawa_male.iff', '0', '0', '0', '0', '5773.24', '0', '4014.19', '9', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9101', '8', '0', 'object/mobile/jawa_male.iff', '0', '0', '0', '0', '5754.34', '0', '3993.69', '9', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9102', '8', '0', 'object/mobile/jawa_male.iff', '0', '0', '0', '0', '5761.53', '0', '4039.64', '9', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9103', '8', '0', 'object/mobile/jawa_male.iff', '0', '0', '0', '0', '5793.07', '0', '4036.13', '9', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9104', '8', '0', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '-3269.1', '0', '6256.9', '227', 'neutral', '128', '35', '7200');
INSERT INTO `world_server_static_spawns` VALUES ('9105', '8', '0', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '-2335.16', '0', '5719.98', '263', 'neutral', '128', '35', '36000');
INSERT INTO `world_server_static_spawns` VALUES ('9106', '8', '0', 'object/mobile/bantha_saddle.iff', '0', '0', '0', '0', '-3927.17', '0', '6295.04', '15', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9107', '8', '0', 'object/mobile/bantha_saddle.iff', '0', '0', '0', '0', '-3958.7', '0', '6368.63', '15', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9108', '8', '0', 'object/mobile/bantha_saddle.iff', '0', '0', '0', '0', '-3857.98', '0', '6460.64', '15', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9109', '8', '0', 'object/mobile/bantha_saddle.iff', '0', '0', '0', '0', '-3967.2', '0', '6317.04', '15', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9110', '8', '0', 'object/mobile/bantha_saddle.iff', '0', '0', '0', '0', '-3986.04', '0', '6423.14', '15', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9111', '8', '0', 'object/mobile/bantha_saddle.iff', '0', '0', '0', '0', '-4021.01', '0', '6449.17', '15', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9112', '8', '0', 'object/mobile/bantha_saddle.iff', '0', '0', '0', '0', '-3938.58', '0', '6401.4', '15', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9113', '8', '0', 'object/mobile/bantha_saddle.iff', '0', '0', '0', '0', '-3730.51', '0', '6460.74', '15', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9114', '8', '0', 'object/mobile/bantha_saddle.iff', '0', '0', '0', '0', '-4117.54', '0', '6277.11', '15', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9115', '8', '0', 'object/mobile/bantha_saddle.iff', '0', '0', '0', '0', '-3934.69', '0', '6362.5', '15', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9116', '8', '0', 'object/mobile/bantha_saddle.iff', '0', '0', '0', '0', '-3882.5', '0', '6274.41', '15', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9117', '8', '0', 'object/mobile/bantha_saddle.iff', '0', '0', '0', '0', '-3946.01', '0', '6330.52', '15', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9118', '8', '0', 'object/mobile/bantha_saddle.iff', '0', '0', '0', '0', '-3788.01', '0', '6545.04', '15', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9119', '8', '0', 'object/mobile/bantha_saddle.iff', '0', '0', '0', '0', '-3978.62', '0', '6353.27', '15', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9120', '8', '0', 'object/mobile/bantha_saddle.iff', '0', '0', '0', '0', '-3853.98', '0', '6268.98', '15', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9121', '8', '0', 'object/mobile/bantha_saddle.iff', '0', '0', '0', '0', '-3819.07', '0', '6474.77', '15', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9122', '8', '0', 'object/mobile/bantha_saddle.iff', '0', '0', '0', '0', '-3734.14', '0', '6371.94', '15', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9123', '8', '0', 'object/mobile/bantha_saddle.iff', '0', '0', '0', '0', '-3965.87', '0', '6355.02', '15', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9124', '8', '0', 'object/mobile/bantha_saddle.iff', '0', '0', '0', '0', '-4083.24', '0', '6413.9', '15', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9125', '8', '0', 'object/mobile/bantha_saddle.iff', '0', '0', '0', '0', '-4076.85', '0', '6539.73', '15', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9126', '8', '0', 'object/mobile/bantha_saddle.iff', '0', '0', '0', '0', '-4042.59', '0', '6220.91', '15', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9127', '8', '0', 'object/mobile/bantha_saddle.iff', '0', '0', '0', '0', '-3833.18', '0', '6526.4', '15', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9128', '8', '0', 'object/mobile/bantha_saddle.iff', '0', '0', '0', '0', '-3941.31', '0', '6340.57', '15', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9129', '8', '0', 'object/mobile/bantha_saddle.iff', '0', '0', '0', '0', '-3946.07', '0', '6272.66', '15', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9130', '8', '0', 'object/mobile/bantha_saddle.iff', '0', '0', '0', '0', '-3815', '0', '6289.87', '15', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9131', '8', '0', 'object/mobile/bantha_saddle.iff', '0', '0', '0', '0', '-4139.92', '0', '6298.43', '15', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9132', '8', '0', 'object/mobile/bantha_saddle.iff', '0', '0', '0', '0', '-3953.42', '0', '6474.29', '15', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9133', '8', '0', 'object/mobile/bantha_saddle.iff', '0', '0', '0', '0', '-3877.48', '0', '6370.8', '15', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9134', '8', '0', 'object/mobile/bantha_saddle.iff', '0', '0', '0', '0', '-4059.64', '0', '6515.16', '15', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9135', '8', '0', 'object/mobile/bantha_saddle.iff', '0', '0', '0', '0', '-4019.97', '0', '6390.69', '15', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9136', '8', '1189181', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '41.4773', '22.7696', '-35.9721', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9137', '8', '1189179', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '-21.3503', '15.1827', '-53.0897', '54', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9138', '8', '1189181', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '19.1904', '22.7485', '-58.0155', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9139', '8', '1189175', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '-8.92704', '2.01333', '-9.94594', '16', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9140', '8', '1189176', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '-27.5698', '3.71336', '10.2164', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9141', '8', '1189176', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '-17.2779', '3.9756', '12.5044', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9142', '8', '1189175', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '1.91584', '1.55512', '4.69006', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9143', '8', '1189179', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '-15.445', '17.1494', '-55.2532', '22', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9144', '8', '1189179', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '-11.074', '11.052', '-38.9112', '43', 'neutral', '128', '35', '160');
INSERT INTO `world_server_static_spawns` VALUES ('9145', '8', '1189175', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '-8.32259', '1.85851', '0.0735869', '16', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9146', '8', '1189174', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '-6.5872', '2.0451', '56.1598', '22', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9147', '8', '1189175', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '4.09704', '1.58804', '-0.277277', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9148', '8', '1189178', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '7.09131', '8.09499', '-36.135', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9149', '8', '1189181', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '40.4694', '22.4157', '-36.6229', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9150', '8', '1189179', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '-14.7399', '17.4793', '-55.6099', '43', 'neutral', '128', '35', '160');
INSERT INTO `world_server_static_spawns` VALUES ('9151', '8', '1189177', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '-28.6049', '3.47165', '-6.85221', '22', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9152', '8', '1189178', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '0.482145', '8.03045', '-18.4524', '16', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9153', '8', '1189180', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '14.7348', '22.7455', '-56.0734', '16', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9154', '8', '1189187', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '6.92069', '37.9261', '-15.17', '62', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9155', '8', '1189181', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '20.0397', '22.5337', '-53.3578', '16', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9156', '8', '1189176', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '-25.483', '3.35649', '-5.66071', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9157', '8', '1189186', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '-1.34359', '37.9261', '-35.4803', '62', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9158', '8', '1189174', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '-15.367', '1.12892', '34.7554', '16', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9159', '8', '1189188', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '-7.45915', '42.3439', '0.960601', '16', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9160', '8', '1189185', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '-11.7042', '34.5041', '12.0743', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9161', '8', '1189186', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '-6.40587', '37.9261', '-35.8804', '16', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9162', '8', '1189193', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '29.633', '43.9617', '-26.5889', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9163', '8', '1189194', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '28.2628', '37.0793', '2.66699', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9164', '8', '1189179', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '-11.5887', '11.1442', '-42.6669', '16', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9165', '8', '1189183', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '10.695', '22.8636', '-27.7163', '16', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9166', '8', '1189174', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '-4.81764', '1.31742', '26.088', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9167', '8', '1189184', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '6.11747', '23.8045', '-2.81229', '22', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9168', '8', '1189175', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '-9.04557', '1.91399', '-5.9439', '22', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9169', '8', '1189185', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '-7.75224', '37.942', '10.0961', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9170', '8', '1189174', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '-2.52579', '1.53283', '19.229', '16', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9171', '8', '1189181', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '31.8661', '21.523', '-13.4677', '54', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9172', '8', '1189190', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '34.8695', '37.942', '-16.8413', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9173', '8', '1189191', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '21.857', '37.942', '-20.3662', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9174', '8', '1189187', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '0.857108', '37.9261', '-17.4501', '22', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9175', '8', '7125588', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-53.3707', '-66.1635', '-210.99', '40', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9176', '8', '7125588', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-53.6204', '-65.6363', '-233.321', '40', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9177', '8', '7125588', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-65.1803', '-65.1811', '-232.32', '40', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9178', '8', '7125587', 'object/mobile/squill_hue.iff', '0', '0', '0', '0', '-84.66', '-65.2086', '-155.39', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9179', '8', '7125587', 'object/mobile/squill.iff', '0', '0', '0', '0', '-80.13', '-64.8996', '-154.86', '10', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9180', '8', '7125587', 'object/mobile/squill.iff', '0', '0', '0', '0', '-87.6302', '-66.0528', '-165.13', '10', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9181', '8', '7125587', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-68.71', '-65.3512', '-180.75', '40', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9182', '8', '7125587', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-59.5806', '-65.7234', '-180.47', '40', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9183', '8', '7125587', 'object/mobile/squill.iff', '0', '0', '0', '0', '-48.4399', '-66.5686', '-157.85', '10', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9184', '8', '7125587', 'object/mobile/squill_hue.iff', '0', '0', '0', '0', '-41.7601', '-66.0095', '-153.74', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9185', '8', '7125587', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-60.77', '-65.0712', '-161.43', '40', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9186', '8', '7125587', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-70.581', '-66.1532', '-161.76', '40', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9187', '8', '7125587', 'object/mobile/squill_hue.iff', '0', '0', '0', '0', '-85.9301', '-65.4183', '-196.88', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9188', '8', '7125587', 'object/mobile/squill_hue.iff', '0', '0', '0', '0', '-83.2403', '-66.3616', '-190.17', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9189', '8', '7125585', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-18.8302', '-67.7473', '-114.79', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9190', '8', '7125585', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-1.73016', '-70.7505', '-106.53', '25', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9191', '8', '7125585', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '9.71032', '-70.6517', '-102.46', '40', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9192', '8', '7125585', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-2.07999', '-67.8492', '-86.44', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9193', '8', '7125584', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-81.13', '-68.9201', '-128.82', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9194', '8', '7125584', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-71.3302', '-66.4488', '-140.309', '25', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9195', '8', '7125584', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-55.8792', '-66.6779', '-138.689', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9196', '8', '7125584', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-47.7299', '-68.9762', '-128.609', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9197', '8', '7125584', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-44.6599', '-68.7668', '-114.001', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9198', '8', '7125583', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-106.21', '-66.8063', '-138.37', '25', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9199', '8', '7125582', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-133.869', '-54.0375', '-116.381', '25', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9200', '8', '7125582', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-130.3', '-59.5289', '-131.04', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9201', '8', '7125581', 'object/mobile/squill_hue.iff', '0', '0', '0', '0', '-19.9499', '-43.6688', '-92.5705', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9202', '8', '7125581', 'object/mobile/squill.iff', '0', '0', '0', '0', '-11.1894', '-43.2658', '-93.4909', '10', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9203', '8', '7125581', 'object/mobile/squill_hue.iff', '0', '0', '0', '0', '-13.8905', '-43.7561', '-105.959', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9204', '8', '7125581', 'object/mobile/squill.iff', '0', '0', '0', '0', '-9.9199', '-43.6421', '-99.3203', '10', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9205', '8', '7125581', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-37.4298', '-44.9408', '-100.77', '40', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9206', '8', '7125581', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-53.3993', '-49.2118', '-95.4798', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9207', '8', '7125581', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-54.9713', '-50.0672', '-115.21', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9208', '8', '7125581', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-30.3298', '-67.518', '-103.47', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9209', '8', '7125580', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-22.7284', '-37.5632', '-80.2381', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9210', '8', '7125580', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-33.8806', '-35.073', '-66.5298', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9211', '8', '7125579', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '5.07023', '-35.7841', '-82.7606', '25', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9212', '8', '7125579', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-10.1682', '-34.4626', '-82.6856', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9213', '8', '7125579', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-15.12', '-34.51', '-63.2', '25', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9214', '8', '7125579', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '0.669878', '-67.4126', '-71.2402', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9215', '8', '7125579', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '15.67', '-67.2593', '-68.33', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9216', '8', '7125573', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-81.9997', '-57.4569', '-80.8198', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9217', '8', '7125573', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-88.0883', '-56.3783', '-80.98', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9218', '8', '7125573', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-79.3796', '-59.316', '-72.4414', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9219', '8', '7125571', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-175.861', '-52.1026', '-104.91', '40', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9220', '8', '7125571', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-172.211', '-53.8436', '-115.629', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9221', '8', '7125571', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-157.58', '-56.0605', '-120.9', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9222', '8', '7125571', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-142.51', '-53.5678', '-114.95', '40', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9223', '8', '7125571', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-144.1', '-53.7642', '-102.17', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9224', '8', '7125570', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-125.53', '-53.7805', '-82.02', '40', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9225', '8', '7125570', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-140.48', '-53.8921', '-83.0901', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9226', '8', '7125570', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-110.3', '-54.9325', '-88.1396', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9227', '8', '7125570', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-99.1099', '-55.0614', '-81.3001', '40', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9228', '8', '7125569', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-160.95', '-49.6234', '-56.6101', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9229', '8', '7125569', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-171.28', '-50.05', '-60.37', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9230', '8', '7125569', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-163.33', '-49.9543', '-74.2005', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9231', '8', '7125569', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-172.55', '-49.9219', '-83.7599', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9232', '8', '7125569', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-161.239', '-49.5937', '-89.5709', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9233', '8', '7125568', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-87.5293', '-53.7933', '-114.33', '40', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9234', '8', '7125568', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-112.64', '-69.7198', '-118.12', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9235', '8', '7125568', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-104.85', '-69.4582', '-104.63', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9236', '8', '7125568', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-90.0695', '-71.128', '-120.73', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9237', '8', '7125568', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-84.6002', '-71.843', '-103.669', '40', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9238', '8', '7125568', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-70.8814', '-70.4959', '-104.93', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9239', '8', '7125567', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-140.55', '-49.9883', '-43.07', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9240', '8', '7125567', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-152.12', '-50.9149', '-41.0199', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9241', '8', '7125567', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-165.58', '-49.9769', '-41.66', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9242', '8', '7125565', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-92.3989', '-50.1639', '-61.5102', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9243', '8', '7125565', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-109.491', '-52.1424', '-56.9599', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9244', '8', '7125565', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-120.87', '-49.277', '-65.4596', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9245', '8', '7125565', 'object/mobile/squill.iff', '0', '0', '0', '0', '-130.62', '-49.7793', '-60.9499', '10', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9246', '8', '7125565', 'object/mobile/squill.iff', '0', '0', '0', '0', '-137.69', '-49.5516', '-61.0599', '10', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9247', '8', '7125565', 'object/mobile/squill_hue.iff', '0', '0', '0', '0', '-146.489', '-49.3957', '-58.8702', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9248', '8', '7125564', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-64.29', '-46.619', '-56.02', '40', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9249', '8', '7125564', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-74.79', '-47.1607', '-69.01', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9250', '8', '7125564', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-64.1801', '-46.9753', '-73.0703', '40', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9251', '8', '7125563', 'object/mobile/squill_hue.iff', '0', '0', '0', '0', '-59.4685', '-43.5037', '-21.1199', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9252', '8', '7125563', 'object/mobile/squill.iff', '0', '0', '0', '0', '-64.2707', '-44.8978', '-17.3001', '10', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9253', '8', '7125563', 'object/mobile/squill.iff', '0', '0', '0', '0', '-66.5892', '-45.7819', '-21.0901', '10', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9254', '8', '7125563', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-68.4602', '-46.6538', '-31.6498', '40', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9255', '8', '7125561', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-45.5803', '-35.9291', '-9.64983', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9256', '8', '0', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '30.3464', '0', '-129.673', '40', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9257', '8', '0', 'object/mobile/squill_hue.iff', '0', '0', '0', '0', '9.24869', '0', '-181.383', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9258', '8', '0', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '3.71276', '0', '-146.659', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9259', '8', '0', 'object/mobile/squill.iff', '0', '0', '0', '0', '578.751', '0', '3.25522', '18', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9260', '8', '0', 'object/mobile/squill.iff', '0', '0', '0', '0', '-32.224', '0', '-205.39', '18', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9261', '8', '0', 'object/mobile/squill.iff', '0', '0', '0', '0', '-40.4178', '0', '-222.368', '18', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9262', '8', '7125560', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-3.17613', '-8.43895', '7.28407', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9263', '8', '0', 'object/mobile/squill.iff', '0', '0', '0', '0', '-140.526', '0', '-99.1061', '18', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9264', '8', '0', 'object/mobile/squill.iff', '0', '0', '0', '0', '-186.276', '0', '-175.804', '20', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9265', '8', '0', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-138.091', '0', '-139.216', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9266', '8', '0', 'object/mobile/squill.iff', '0', '0', '0', '0', '-144.476', '0', '-180.808', '20', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9267', '8', '0', 'object/mobile/squill.iff', '0', '0', '0', '0', '-167.292', '0', '-218.987', '20', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9268', '8', '0', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-117.024', '0', '-113.652', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9269', '8', '0', 'object/mobile/squill.iff', '0', '0', '0', '0', '27.8259', '0', '-277.409', '18', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9270', '8', '7125561', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-14.6513', '-27.5673', '-16.9715', '25', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9271', '8', '0', 'object/mobile/squill.iff', '0', '0', '0', '0', '16.4519', '0', '-286.685', '18', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9272', '8', '0', 'object/mobile/squill.iff', '0', '0', '0', '0', '53.5814', '0', '-281.434', '18', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9273', '8', '7125561', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-23.3699', '-29.7651', '-23.0586', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9274', '8', '0', 'object/mobile/squill.iff', '0', '0', '0', '0', '-103.419', '0', '-2.75882', '20', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9275', '8', '0', 'object/mobile/squill.iff', '0', '0', '0', '0', '-136.079', '0', '-7.2136', '20', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9276', '8', '7125561', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-37.8607', '-31.507', '-25.9093', '40', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9277', '8', '0', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-62.2045', '0', '5.82989', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9278', '8', '0', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-38.4319', '0', '-2.19829', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9279', '8', '0', 'object/mobile/squill.iff', '0', '0', '0', '0', '-204.334', '0', '-32.3841', '20', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9280', '8', '0', 'object/mobile/squill.iff', '0', '0', '0', '0', '-215.085', '0', '-29.4574', '20', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9281', '8', '0', 'object/mobile/squill.iff', '0', '0', '0', '0', '-205.779', '0', '-136.953', '18', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9282', '8', '7125564', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-79.2699', '-46.9978', '-44.3802', '40', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9283', '8', '0', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-24.7383', '0', '15.8225', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9284', '8', '0', 'object/mobile/squill.iff', '0', '0', '0', '0', '-48.2162', '0', '28.413', '18', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9285', '8', '0', 'object/mobile/squill.iff', '0', '0', '0', '0', '-103.207', '0', '-127.217', '18', 'neutral', '128', '1', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9286', '8', '0', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-132.146', '0', '-94.2056', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9287', '8', '0', 'object/mobile/mountain_squill.iff', '0', '0', '0', '0', '-119.491', '0', '-94.249', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9288', '8', '0', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '5100.12', '0', '588.046', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9289', '8', '0', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '5098.95', '0', '583.914', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9290', '8', '0', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '5092.4', '0', '593.401', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9291', '8', '0', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '5098.4', '0', '596.685', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9292', '8', '4235586', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '-9.09048', '-30.6728', '-27.2115', '46', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9293', '8', '4235586', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '-9.29175', '-30.6478', '-26.3969', '46', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9294', '8', '4235586', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '-8.62361', '-30.5659', '-26.0399', '46', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9295', '8', '4235585', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '-0.832473', '-5.18755', '9.36895', '46', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9296', '8', '4235585', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '-1.99458', '-5.23007', '9.18866', '46', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9297', '8', '4235588', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '47.2581', '-46.991', '-54.0664', '46', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9298', '8', '4235588', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '47.1586', '-46.97', '-53.5413', '46', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9299', '8', '4235588', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '47.5116', '-46.9935', '-53.97', '46', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9300', '8', '4235588', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '48.5123', '-46.9687', '-53.7991', '46', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9301', '8', '4235588', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '40.9779', '-46.0453', '-99.4574', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9302', '8', '4235588', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '40.3328', '-45.9868', '-100.303', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9303', '8', '4235588', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '44.7758', '-46.1408', '-94.0063', '46', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9304', '8', '4235588', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '43.9948', '-46.101', '-94.2346', '46', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9305', '8', '4235588', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '43.7657', '-46.1115', '-93.8715', '46', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9306', '8', '4235588', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '45.1862', '-46.1329', '-94.7435', '46', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9307', '8', '4235593', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '-16.8553', '-68.8957', '-97.8933', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9308', '8', '4235593', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '-17.9946', '-68.8484', '-99.2075', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9309', '8', '4235593', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '-18.7323', '-69.0296', '-98.32', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9310', '8', '4235589', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '12.9654', '-45.1388', '-124.076', '46', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9311', '8', '4235589', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '13.1794', '-45.1474', '-124.025', '46', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9312', '8', '4235589', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '14.661', '-45.2682', '-124.38', '46', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9313', '8', '4235589', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '15.9093', '-45.4338', '-125.2', '46', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9314', '8', '4235593', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '-58.6682', '-68.3694', '-101.188', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9315', '8', '4235593', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '-60.1189', '-68.2721', '-101.141', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9316', '8', '4235593', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '-60.9358', '-68.154', '-102.207', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9317', '8', '4235593', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '-61.5757', '-68.2522', '-100.785', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9318', '8', '4235589', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '-2.73544', '-45.4535', '-144.894', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9319', '8', '4235589', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '-2.8523', '-45.4147', '-144.415', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9320', '8', '4235589', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '-1.72081', '-45.4755', '-145.283', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9321', '8', '4235589', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '-2.19041', '-45.611', '-146.651', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9322', '8', '4235594', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '-28.2725', '-79.7748', '-142.575', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9323', '8', '4235594', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '-29.4801', '-79.7818', '-141.132', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9324', '8', '4235594', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '-30.9359', '-79.9832', '-141.933', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9325', '8', '4235594', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '-31.0254', '-80.0905', '-143.263', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9326', '8', '4235589', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '49.6111', '-49.1655', '-133.224', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9327', '8', '4235589', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '48.4222', '-48.7946', '-131.844', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9328', '8', '4235589', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '47.1708', '-48.5977', '-131.196', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9329', '8', '4235589', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '46.9719', '-48.5603', '-131.086', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9330', '8', '4235589', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '31.5016', '-58.875', '-169.968', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9331', '8', '4235589', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '30.5435', '-59.1058', '-171.371', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9332', '8', '4235589', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '30.2187', '-59.2457', '-172.086', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9333', '8', '4235589', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '29.5988', '-59.3668', '-172.071', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9334', '8', '4235589', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '30.3651', '-59.1233', '-170.653', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9335', '8', '4235589', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '29.3763', '-59.3273', '-169.524', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9336', '8', '4235589', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '60.8734', '-57.2593', '-172.485', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9337', '8', '4235589', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '61.5374', '-57.5672', '-171.053', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9338', '8', '4235589', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '61.8246', '-57.6777', '-170.511', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9339', '8', '4235589', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '63.1476', '-58.0883', '-169.255', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9340', '8', '4235590', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '-38.3607', '-66.9318', '-179.303', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9341', '8', '4235590', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '-37.5737', '-66.7882', '-179.04', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9342', '8', '4235590', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '-36.411', '-66.4459', '-178.225', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9343', '8', '4235590', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '-36.9144', '-66.585', '-178.55', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9344', '8', '4235590', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '-12.0185', '-64.5221', '-200.436', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9345', '8', '4235590', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '-11.301', '-64.5781', '-199.989', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9346', '8', '4235590', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '-12.5145', '-64.5611', '-201.307', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9347', '8', '4235591', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '-16.0233', '-65.6847', '-212.172', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9348', '8', '4235591', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '-16.04', '-65.6411', '-211.587', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9349', '8', '4235591', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '-14.5749', '-65.6746', '-212.999', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9350', '8', '4235591', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '-14.047', '-65.698', '-212.347', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9351', '8', '4235591', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '-4.91061', '-64.5213', '-238.496', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9352', '8', '4235591', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '-4.80402', '-64.4333', '-238.053', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9353', '8', '4235591', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '-6.31042', '-64.4717', '-237.481', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9354', '8', '4235591', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '-6.20723', '-64.3331', '-236.084', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9355', '8', '4235591', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '-24.8443', '-64.4708', '-251.656', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9356', '8', '4235591', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '-25.0282', '-64.4591', '-251.636', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9357', '8', '4235591', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '-25.1116', '-64.6817', '-250.54', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9358', '8', '4235591', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '-25.0517', '-64.7116', '-250.397', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9359', '8', '4235592', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '-89.9617', '-70.3597', '-123.843', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9360', '8', '4235592', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '-90.68', '-70.3506', '-124.309', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9361', '8', '4235592', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '-89.2827', '-70.2971', '-122.961', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9362', '8', '4235592', 'object/mobile/dressed_tatooine_jabba_enforcer.iff', '0', '0', '0', '0', '-89.2079', '-70.3643', '-123.856', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9363', '8', '0', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '-1488.54', '0', '-193.359', '22', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9364', '8', '0', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '-1478.25', '0', '-199.32', '38', 'neutral', '128', '35', '160');
INSERT INTO `world_server_static_spawns` VALUES ('9365', '8', '0', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '-1482.53', '0', '-193.195', '38', 'neutral', '128', '35', '160');
INSERT INTO `world_server_static_spawns` VALUES ('9366', '8', '0', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '-1479.75', '0', '-197.82', '22', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9367', '8', '0', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '-1488.32', '0', '-192.032', '38', 'neutral', '128', '35', '160');
INSERT INTO `world_server_static_spawns` VALUES ('9368', '8', '0', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '-1482.7', '0', '-198.492', '22', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9369', '8', '4235606', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '-2.92495', '-20.75', '29.469', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9370', '8', '4235606', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '-0.204799', '-20.75', '17.7372', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9371', '8', '4235606', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '-1.60381', '-20.75', '17.5898', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9372', '8', '4235606', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '-0.719627', '-20.75', '17.8638', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9373', '8', '4235606', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '6.07437', '-20.75', '29.8174', '44', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9374', '8', '4235606', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '1.5864', '-20.75', '32.0004', '100', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9375', '8', '4235605', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '2.11507', '-20.7332', '3.91877', '26', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9376', '8', '4235605', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '1.92794', '-20.7332', '4.5864', '26', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9377', '8', '4235605', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '1.22038', '-20.7332', '4.1939', '26', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9378', '8', '4235605', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '-0.26899', '-20.7332', '4.75359', '26', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9379', '8', '4235603', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '4.35912', '-13.75', '7.04643', '20', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9380', '8', '4235603', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '3.61216', '-13.75', '6.31851', '20', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9381', '8', '4235603', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '4.47368', '-13.75', '6.65772', '20', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9382', '8', '4235600', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '-5.50469', '-6.75', '3.83646', '26', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9383', '8', '4235600', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '-4.72547', '-6.75', '2.91168', '26', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9384', '8', '4235599', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '3.74075', '0.25', '-4.07544', '20', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9385', '8', '4235598', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '-2.42238', '0.25', '2.88737', '20', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9386', '8', '4235598', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '-2.22109', '0.25', '2.41959', '20', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9387', '8', '0', 'object/mobile/bantha_saddle.iff', '0', '0', '0', '0', '-5335.57', '0', '-4445.08', '15', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9388', '8', '0', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '-5337.28', '0', '-4436.5', '54', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9389', '8', '0', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '-5328.29', '0', '-4455.34', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9390', '8', '0', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '-5324.76', '0', '-4453.15', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9391', '8', '0', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '-5325.7', '0', '-4448.72', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9392', '8', '0', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '-5326.1', '0', '-4452.37', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9393', '8', '0', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '-5313.29', '0', '-4429.99', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9394', '8', '0', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '-5309.9', '0', '-4431.66', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9395', '8', '0', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '-5311.55', '0', '-4434.84', '22', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9396', '8', '0', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '-5310.28', '0', '-4431.01', '22', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9397', '8', '0', 'object/mobile/bantha_saddle.iff', '0', '0', '0', '0', '-5281.86', '0', '-4455.33', '15', 'neutral', '128', '33', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9398', '8', '0', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '-5287.78', '0', '-4440.92', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9399', '8', '0', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '-5287.9', '0', '-4445.52', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9400', '8', '0', 'object/mobile/tusken_raider.iff', '0', '0', '0', '0', '-5285.84', '0', '-4444.11', '34', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9401', '8', '5995572', 'object/mobile/dressed_sennex_pirate_01.iff', '0', '0', '0', '0', '116.123', '-66.2826', '-95.3285', '62', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9402', '8', '5995572', 'object/mobile/dressed_sennex_pirate_01.iff', '0', '0', '0', '0', '129.935', '-66.7125', '-106.683', '62', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9403', '8', '5995572', 'object/mobile/dressed_sennex_pirate_01.iff', '0', '0', '0', '0', '114.867', '-66.4634', '-117.855', '62', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9404', '8', '5995572', 'object/mobile/dressed_sennex_pirate_04.iff', '0', '0', '0', '0', '143.509', '-66.3559', '-97.4195', '67', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9405', '8', '5995571', 'object/mobile/dressed_sennex_pirate_02.iff', '0', '0', '0', '0', '73.8337', '-66.3036', '-137.968', '58', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9406', '8', '5995571', 'object/mobile/dressed_sennex_pirate_02.iff', '0', '0', '0', '0', '78.5872', '-65.3413', '-142.072', '58', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9407', '8', '5995571', 'object/mobile/dressed_sennex_pirate_01.iff', '0', '0', '0', '0', '94.7662', '-66.4373', '-126.37', '62', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9408', '8', '5995570', 'object/mobile/dressed_sennex_pirate_02.iff', '0', '0', '0', '0', '55.9044', '-77.0308', '-89.3457', '58', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9409', '8', '5995570', 'object/mobile/dressed_sennex_pirate_02.iff', '0', '0', '0', '0', '54.9212', '-71.576', '-113.891', '58', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9410', '8', '5995568', 'object/mobile/dressed_sennex_pirate_05.iff', '0', '0', '0', '0', '64.2851', '-75.4256', '-63.1042', '53', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9411', '8', '5995568', 'object/mobile/dressed_sennex_pirate_05.iff', '0', '0', '0', '0', '94.6285', '-75.6847', '-64.7793', '53', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9412', '8', '5995568', 'object/mobile/dressed_sennex_pirate_05.iff', '0', '0', '0', '0', '96.0028', '-74.9623', '-60.3445', '53', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9413', '8', '5995567', 'object/mobile/dressed_sennex_pirate_05.iff', '0', '0', '0', '0', '91.5029', '-67.4595', '-39.297', '53', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9414', '8', '5995567', 'object/mobile/dressed_sennex_pirate_05.iff', '0', '0', '0', '0', '92.9404', '-61.9192', '-14.6306', '53', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9415', '8', '5995567', 'object/mobile/dressed_sennex_pirate_06.iff', '0', '0', '0', '0', '86.7526', '-61.1646', '-7.92715', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9416', '8', '5995566', 'object/mobile/dressed_sennex_pirate_06.iff', '0', '0', '0', '0', '49.9988', '-47.6495', '-10.4063', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9417', '8', '5995566', 'object/mobile/dressed_sennex_pirate_06.iff', '0', '0', '0', '0', '42.2651', '-46.4763', '-13.0341', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9418', '8', '5995566', 'object/mobile/dressed_sennex_pirate_06.iff', '0', '0', '0', '0', '53.5455', '-48.8176', '-60.8162', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9419', '8', '5995566', 'object/mobile/dressed_sennex_pirate_03.iff', '0', '0', '0', '0', '46.289', '-47.8764', '-59.2666', '47', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9420', '8', '5995566', 'object/mobile/dressed_sennex_pirate_06.iff', '0', '0', '0', '0', '26.4313', '-43.0135', '-66.9426', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9421', '8', '5995566', 'object/mobile/dressed_sennex_pirate_03.iff', '0', '0', '0', '0', '26.5043', '-37.7114', '-31.1657', '47', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9422', '8', '5995566', 'object/mobile/dressed_sennex_pirate_03.iff', '0', '0', '0', '0', '22.1221', '-34.8329', '-24.0482', '47', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9423', '8', '5995566', 'object/mobile/dressed_sennex_pirate_06.iff', '0', '0', '0', '0', '54.5038', '-68.105', '-36.6345', '50', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9424', '8', '5995566', 'object/mobile/dressed_sennex_pirate_05.iff', '0', '0', '0', '0', '54.0815', '-68.2377', '-40.9112', '53', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9425', '8', '5995565', 'object/mobile/dressed_sennex_pirate_03.iff', '0', '0', '0', '0', '13.3221', '-22.336', '-6.4', '47', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9426', '8', '5995565', 'object/mobile/dressed_sennex_pirate_03.iff', '0', '0', '0', '0', '-14.763', '-4.95023', '-9.4686', '47', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9427', '8', '5995569', 'object/mobile/rock_beetle.iff', '0', '0', '0', '0', '84.6138', '-46.3756', '-111.955', '15', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9428', '8', '5995569', 'object/mobile/rock_beetle.iff', '0', '0', '0', '0', '90.6391', '-46.5946', '-107.052', '21', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9429', '8', '5995575', 'object/mobile/rock_beetle.iff', '0', '0', '0', '0', '94.9631', '-46.6007', '-134.941', '15', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9430', '8', '5995575', 'object/mobile/rock_beetle.iff', '0', '0', '0', '0', '88.5285', '-46.5252', '-146.986', '15', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9431', '8', '5995575', 'object/mobile/giant_sand_beetle.iff', '0', '0', '0', '0', '82.3354', '-46.5893', '-144.681', '23', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9432', '8', '5995575', 'object/mobile/rock_beetle.iff', '0', '0', '0', '0', '77.9578', '-46.3635', '-137.141', '15', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9433', '8', '5995574', 'object/mobile/rock_beetle.iff', '0', '0', '0', '0', '49.3657', '-51.5992', '-82.1096', '14', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9434', '8', '5995574', 'object/mobile/rock_beetle.iff', '0', '0', '0', '0', '54.0389', '-48.7402', '-105.26', '15', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9435', '8', '5995574', 'object/mobile/rock_beetle.iff', '0', '0', '0', '0', '47.5229', '-51.848', '-87.5113', '14', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9436', '8', '0', 'object/mobile/rock_beetle.iff', '0', '0', '0', '0', '6547.05', '0', '-1311.56', '13', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9437', '8', '0', 'object/mobile/rock_beetle.iff', '0', '0', '0', '0', '6552.22', '0', '-1325.97', '13', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9438', '8', '0', 'object/mobile/rock_beetle.iff', '0', '0', '0', '0', '6566.36', '0', '-1330.49', '13', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9439', '9', '0', 'object/mobile/dressed_imperial_officer_m_5.iff', '0', '0.92269', '0', '0.385543', '4028.91', '37', '-6201.62', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9440', '9', '8735518', 'object/mobile/space_imperial_tier2_tatooine_alozen.iff', '2.86e-07', '0.0664295', '-1.90409e-08', '0.997791', '0.00383297', '0.125265', '-5.55894', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9441', '9', '8735521', 'object/mobile/space_imperial_tier3_yavin.iff', '2.01556e-07', '0.576075', '-1.4205e-07', '0.817397', '-4.09412', '0.125266', '-4.59337', '15', 'npc_imperial', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9442', '9', '0', 'object/mobile/r2.iff', '0', '0.999999', '0', '0.00143349', '-6883.65', '73', '-5711.41', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9443', '9', '0', 'object/mobile/dressed_patron_chiss_m_01.iff', '0', '-0.370508', '0', '0.928829', '-6877.27', '73', '-5682.29', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9444', '9', '0', 'object/mobile/dressed_commoner_tatooine_sullustan_male_04.iff', '0', '0.561998', '0', '0.827139', '-6892', '73', '-5763.85', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9445', '9', '0', 'object/mobile/dressed_commoner_naboo_bothan_male_02.iff', '0', '0.787971', '0', '-0.615713', '-6875.79', '73', '-5715.96', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9446', '9', '0', 'object/mobile/dressed_goon_twk_female_01.iff', '0', '-0.693048', '0', '0.720892', '-6878.13', '73', '-5690.85', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9447', '9', '0', 'object/mobile/eg6_power_droid.iff', '0', '0.866042', '0', '0.499972', '-6969.33', '73', '-5673.89', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9448', '9', '0', 'object/mobile/dressed_mercenary_messanger_hum_f.iff', '0', '-0.403193', '0', '0.915115', '-6914.39', '73', '-5695.14', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9449', '9', '0', 'object/mobile/eg6_power_droid.iff', '0', '0.866809', '0', '0.498641', '-6917.94', '73', '-5670.7', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9450', '9', '0', 'object/mobile/r4.iff', '0', '-0.592009', '0', '0.805931', '-6919.36', '73', '-5664.19', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9451', '9', '0', 'object/mobile/r3.iff', '0', '0.886734', '0', '-0.462281', '-6952.89', '73', '-5665.23', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9452', '9', '0', 'object/mobile/r2.iff', '0', '0.991952', '0', '0.126616', '-6972.29', '73', '-5713.9', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9453', '9', '0', 'object/mobile/dressed_mercenary_messanger_rod_m.iff', '0', '0.955961', '0', '0.293494', '-6954.68', '73', '-5687.66', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9454', '9', '0', 'object/mobile/dressed_commoner_naboo_moncal_female_02.iff', '0', '-0.591798', '0', '0.806087', '-6901.56', '73', '-5683.4', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9455', '9', '0', 'object/mobile/dressed_commoner_tatooine_bith_male_06.iff', '0', '0.204603', '0', '0.978845', '-6947.81', '73', '-5754.46', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9456', '9', '0', 'object/mobile/dressed_commoner_naboo_human_female_06.iff', '0', '0.728166', '0', '-0.685401', '-6912.21', '73', '-5732.03', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9457', '9', '0', 'object/mobile/dressed_commoner_naboo_human_female_06.iff', '0', '0.305928', '0', '0.952055', '-6918.02', '73', '-5655.85', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9458', '9', '0', 'object/mobile/dressed_commoner_old_zabrak_female_02.iff', '0', '0.824575', '0', '0.565753', '-6978.51', '73', '-5676.13', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9459', '9', '0', 'object/mobile/dressed_commoner_tatooine_bith_female_02.iff', '0', '0.383003', '0', '0.923747', '-6953.84', '73', '-5734.78', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9460', '9', '0', 'object/mobile/dressed_noble_fat_zabrak_female_01.iff', '0', '-0.0093887', '0', '0.999956', '-6974.45', '73.0791', '-5770.39', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9461', '9', '0', 'object/mobile/dressed_commoner_old_twilek_female_02.iff', '0', '0.944688', '0', '-0.32797', '-6982.53', '72.9997', '-5659.47', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9462', '9', '0', 'object/mobile/dressed_rebel_lance_corporal_human_male_01.iff', '0', '0.843158', '0', '0.537667', '-6940.44', '73', '-5751.44', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9463', '9', '0', 'object/mobile/dressed_rebel_commando_twilek_female_01.iff', '0', '0.633334', '0', '0.773879', '-6980.03', '73', '-5709.15', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9464', '9', '0', 'object/mobile/dressed_mercenary_weak_hum_f.iff', '0', '0.843665', '0', '0.53687', '-6939.6', '73', '-5751.82', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9465', '9', '3035372', 'object/mobile/space_rebel_tier2_eker.iff', '0', '0.0659544', '0', '0.997823', '-3.15454', '0.625', '1.08281', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9466', '9', '0', 'object/mobile/dressed_mercenary_elite_hum_f.iff', '0', '0.638495', '0', '0.769626', '-7045.52', '71.1326', '-5831.22', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9467', '9', '0', 'object/mobile/dressed_mercenary_elite_hum_f.iff', '0', '0.984672', '0', '-0.174418', '-7083.1', '66.4057', '-5825.68', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9468', '9', '0', 'object/mobile/dressed_mercenary_elite_rod_m.iff', '0', '0.999086', '0', '-0.0427396', '-7059', '69.9492', '-5836.15', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9469', '9', '0', 'object/mobile/dressed_mercenary_elite_rod_m.iff', '0', '0.277385', '0', '0.960759', '-7083.33', '66.1759', '-5822.13', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9470', '9', '0', 'object/mobile/dressed_mercenary_elite_rod_m.iff', '0', '-0.235422', '0', '0.971893', '-7056.77', '68.5107', '-5822.08', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9471', '9', '0', 'object/mobile/dressed_mercenary_elite_rod_m.iff', '0', '0.72711', '0', '-0.686521', '-7088.64', '65.4751', '-5817.39', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9472', '9', '0', 'object/mobile/dressed_mercenary_destroyer_hum_f.iff', '0', '0.191794', '0', '0.981435', '-7053.05', '70.9655', '-5839.94', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9473', '9', '0', 'object/mobile/dressed_mercenary_elite_hum_m.iff', '0', '-0.311808', '0', '0.950145', '-7060.32', '71.0493', '-5857.83', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9474', '9', '0', 'object/mobile/dressed_mercenary_elite_hum_m.iff', '0', '0.191785', '0', '0.981437', '-7053.05', '70.9656', '-5839.94', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9475', '9', '3035597', 'object/mobile/dressed_commoner_artisan_trandoshan_male_01.iff', '-6.77333e-07', '-4.16052e-05', '-2.81806e-11', '1', '5.10403', '0.125266', '3.22682', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9476', '9', '3035597', 'object/mobile/dressed_artisan_trainer_01.iff', '-3.4933e-11', '1', '6.77325e-07', '5.15749e-05', '5.10403', '0.125266', '4.32683', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9477', '9', '3035378', 'object/mobile/dressed_commoner_tatooine_aqualish_male_04.iff', '-2.70951e-07', '-6.69352e-05', '-1.81362e-11', '1', '-0.385261', '0.624999', '-2.90517', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9478', '9', '3035378', 'object/mobile/dressed_noble_old_twk_female_02.iff', '1.69227e-12', '1', '1.89635e-07', '-8.92381e-06', '-0.385261', '0.625', '-1.80517', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9479', '9', '3035378', 'object/mobile/dressed_commoner_tatooine_aqualish_female_06.iff', '-4.39837e-08', '0.923889', '1.06194e-07', '0.38266', '-1.48526', '0.625', '-1.80517', '15', 'conversation', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9480', '9', '3035376', 'object/mobile/space_rebel_tier3_aqzow.iff', '0', '0.247404', '0', '0.968912', '1.81813', '0.624999', '1.50685', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9481', '9', '0', 'object/mobile/dressed_commoner_tatooine_bith_female_04.iff', '0', '0.995104', '0', '-0.0988351', '-256.417', '35', '4892.18', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9482', '9', '0', 'object/mobile/dressed_commoner_tatooine_rodian_male_01.iff', '0', '-0.165445', '0', '0.986219', '-258.202', '35', '4837.59', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9483', '9', '0', 'object/mobile/dressed_commoner_naboo_human_male_04.iff', '0', '0.920434', '0', '-0.390899', '-271.765', '35', '4901.25', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9484', '9', '0', 'object/mobile/dressed_commoner_naboo_human_female_04.iff', '0', '0.863428', '0', '0.504472', '-261.35', '35', '4848.72', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9485', '9', '0', 'object/mobile/dressed_doctor_trainer_human_female_01.iff', '0', '0.980774', '0', '0.195148', '-260.442', '35', '4874.56', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9486', '9', '0', 'object/mobile/r5.iff', '0', '0.790999', '0', '-0.611817', '-362.869', '35', '4846.44', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9487', '9', '0', 'object/mobile/r3.iff', '0', '0.611891', '0', '0.790942', '-360.064', '35', '4847.17', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9488', '9', '0', 'object/mobile/dressed_mercenary_messanger_hum_f.iff', '0', '-2.24384e-06', '0', '1', '-321', '35', '4840.54', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9489', '9', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_male_03.iff', '0', '-0.37182', '0', '0.928305', '-311.915', '35', '4824.62', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9490', '9', '0', 'object/mobile/dressed_commoner_old_human_male_01.iff', '0', '0.940554', '0', '0.339644', '-352.762', '35', '4820.84', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9491', '9', '0', 'object/mobile/dressed_commoner_old_twilek_male_01.iff', '0', '0.345253', '0', '0.93851', '-329.392', '35', '4823.34', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9492', '9', '0', 'object/mobile/dressed_commoner_tatooine_aqualish_female_02.iff', '0', '0.982418', '0', '-0.186694', '-324.673', '35', '4889.01', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9493', '9', '0', 'object/mobile/dressed_commoner_old_zabrak_female_02.iff', '0', '0.64817', '0', '0.761496', '-348.122', '35', '4882.18', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9494', '9', '0', 'object/mobile/dressed_mercenary_weak_rod_m.iff', '0', '0.0114036', '0', '0.999935', '-303.225', '35', '4837.41', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9495', '9', '0', 'object/mobile/dressed_mercenary_weak_hum_m.iff', '0', '0.944526', '0', '-0.328436', '-294.091', '35', '4867.02', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9496', '9', '7925452', 'object/mobile/dressed_jazeen_thurmm.iff', '0', '-0.594192', '0', '0.804323', '7.44396', '0.625', '-6.22189', '15', 'calm', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9497', '9', '1627823', 'object/mobile/acklay_hue.iff', '0', '0', '0', '0', '93.2', '-34.5', '-323.4', '157', 'neutral', '128', '35', '7200');
INSERT INTO `world_server_static_spawns` VALUES ('9498', '9', '1627784', 'object/creature/npc/droid/crafted/droideka_advanced.iff', '0', '0', '0', '0', '-18.1', '-18', '-35.8', '86', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9499', '9', '1627794', 'object/mobile/gaping_spider.iff', '0', '0', '0', '0', '-131', '-21.9', '-82.8', '108', 'neutral', '128', '35', '3600');
INSERT INTO `world_server_static_spawns` VALUES ('9500', '9', '1627791', 'object/creature/npc/droid/crafted/droideka_advanced.iff', '0', '0', '0', '0', '-54.7', '-18.2', '-82.1', '86', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9501', '9', '1627782', 'object/mobile/dressed_geonosian_warrior_01.iff', '0', '0', '0', '0', '24.2', '9.8', '-7.4', '75', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9502', '9', '1627782', 'object/mobile/dressed_geonosian_warrior_01.iff', '0', '0', '0', '0', '27', '10.3', '-12.9', '75', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9503', '9', '1627782', 'object/mobile/dressed_geonosian_warrior_01.iff', '0', '0', '0', '0', '33.4', '9.4', '-8.3', '75', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9504', '9', '1627782', 'object/mobile/dressed_geonosian_warrior_01.iff', '0', '0', '0', '0', '38.3', '9.8', '-8.4', '75', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9505', '9', '1627824', 'object/mobile/kwi.iff', '0', '0', '0', '0', '10.3', '-15.7', '-27.7', '106', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9506', '9', '1627824', 'object/mobile/kwi.iff', '0', '0', '0', '0', '-0.2', '0.4', '-20', '106', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9507', '9', '1627785', 'object/mobile/kliknik_hue.iff', '0', '0', '0', '0', '-42.4', '-18', '-53.1', '98', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9508', '9', '1627785', 'object/mobile/kliknik.iff', '0', '0', '0', '0', '-52.6', '-18', '-42.8', '80', 'neutral', '128', '35', '240');
INSERT INTO `world_server_static_spawns` VALUES ('9509', '9', '1627788', 'object/mobile/dressed_geonosian_warrior_01.iff', '0', '0', '0', '0', '-83.5', '-18.5', '-41.5', '75', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9510', '9', '1627788', 'object/mobile/dressed_geonosian_warrior_01.iff', '0', '0', '0', '0', '-74.7', '-18.5', '-41.4', '75', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9511', '9', '1627788', 'object/mobile/dressed_geonosian_warrior_01.iff', '0', '0', '0', '0', '-73.7', '-19', '-34.4', '75', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9512', '9', '1627793', 'object/mobile/gaping_spider_broodling.iff', '0', '0', '0', '0', '-107.8', '-22.2', '-120.6', '27', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9513', '9', '1627793', 'object/mobile/gaping_spider_broodling.iff', '0', '0', '0', '0', '-108.1', '-22.2', '-100.2', '27', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9514', '9', '1627793', 'object/mobile/gaping_spider_broodling.iff', '0', '0', '0', '0', '-133.8', '-21.3', '-109.6', '27', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9515', '9', '1627790', 'object/mobile/dressed_geonosian_commoner_01.iff', '0', '0', '0', '0', '-118.6', '-20', '-38.5', '48', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9516', '9', '1627796', 'object/creature/npc/droid/crafted/droideka_advanced.iff', '0', '0', '0', '0', '-4', '-30.2', '-92.5', '86', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9517', '9', '1627798', 'object/mobile/kliknik_hue.iff', '0', '0', '0', '0', '23.4', '-31.7', '-85.6', '98', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9518', '9', '1627798', 'object/mobile/kliknik_hue.iff', '0', '0', '0', '0', '34.1', '-30.7', '-80.8', '98', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9519', '9', '1627798', 'object/mobile/kliknik_hue.iff', '0', '0', '0', '0', '20.6', '-30.8', '-70.1', '98', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9520', '9', '1627801', 'object/creature/npc/droid/crafted/droideka_advanced.iff', '0', '0', '0', '0', '-34.3', '-22', '-128.6', '86', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9521', '9', '1627800', 'object/mobile/gaping_spider_broodling.iff', '0', '0', '0', '0', '-48', '-21.8', '-136.2', '27', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9522', '9', '1627802', 'object/mobile/dressed_imperial_captain_m.iff', '0', '0', '0', '0', '-20.9', '-22', '-117.8', '66', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9523', '9', '1627802', 'object/mobile/dressed_imperial_captain_m.iff', '0', '0', '0', '0', '-16.9', '-22', '-114.3', '66', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9524', '9', '1627803', 'object/mobile/dressed_geonosian_warrior_01.iff', '0', '0', '0', '0', '-35.9', '-21.9', '-166.6', '75', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9525', '9', '1627803', 'object/mobile/dressed_geonosian_warrior_01.iff', '0', '0', '0', '0', '-36.2', '-21.9', '-154.6', '75', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9526', '9', '1627803', 'object/mobile/dressed_geonosian_warrior_01.iff', '0', '0', '0', '0', '-32', '-21.8', '-157.8', '75', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9527', '9', '1627805', 'object/mobile/dressed_mercenary_strong_hum_m.iff', '0', '0', '0', '0', '-80.4', '-22', '-157.5', '90', 'neutral', '128', '35', '240');
INSERT INTO `world_server_static_spawns` VALUES ('9528', '9', '1627805', 'object/mobile/dressed_mercenary_strong_hum_m.iff', '0', '0', '0', '0', '-75.5', '-22', '-161', '90', 'neutral', '128', '35', '240');
INSERT INTO `world_server_static_spawns` VALUES ('9529', '9', '1627807', 'object/mobile/kwi.iff', '0', '0', '0', '0', '-104.3', '-27.2', '-190.4', '106', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9530', '9', '1627808', 'object/creature/npc/droid/crafted/droideka_advanced.iff', '0', '0', '0', '0', '-107.6', '-34', '-214', '86', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9531', '9', '1627814', 'object/creature/npc/droid/crafted/droideka_advanced.iff', '0', '0', '0', '0', '-138', '-34', '-212.1', '86', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9532', '9', '1627815', 'object/mobile/kliknik.iff', '0', '0', '0', '0', '-143.4', '-34', '-193.2', '80', 'neutral', '128', '35', '240');
INSERT INTO `world_server_static_spawns` VALUES ('9533', '9', '1627815', 'object/mobile/kliknik_hue.iff', '0', '0', '0', '0', '-143.7', '-34', '-182', '98', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9534', '9', '1627815', 'object/mobile/kliknik.iff', '0', '0', '0', '0', '-131.5', '-34', '-192.2', '80', 'neutral', '128', '35', '240');
INSERT INTO `world_server_static_spawns` VALUES ('9535', '9', '1627815', 'object/mobile/dressed_geonosian_commoner_01.iff', '0', '0', '0', '0', '-123.6', '-34', '-199.8', '48', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9536', '9', '1627809', 'object/mobile/gaping_spider_broodling.iff', '0', '0', '0', '0', '-108.4', '-33.8', '-228', '27', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9537', '9', '1627811', 'object/creature/npc/droid/crafted/droideka_advanced.iff', '0', '0', '0', '0', '-61.9', '-34', '-251.8', '86', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9538', '9', '1627816', 'object/creature/npc/droid/crafted/droideka_advanced.iff', '0', '0', '0', '0', '-130.1', '-34', '-268.2', '86', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9539', '9', '1627817', 'object/mobile/gaping_spider_broodling.iff', '0', '0', '0', '0', '-129.9', '-34.3', '-322.8', '27', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9540', '9', '1627817', 'object/mobile/gaping_spider_broodling.iff', '0', '0', '0', '0', '-143.3', '-33.6', '-322.5', '27', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9541', '9', '1627817', 'object/mobile/gaping_spider_broodling.iff', '0', '0', '0', '0', '-128.6', '-33.6', '-334.1', '27', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9542', '9', '1627818', 'object/mobile/kliknik_hue.iff', '0', '0', '0', '0', '-127.2', '-33.4', '-385', '98', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9543', '9', '1627819', 'object/mobile/gaping_spider_broodling.iff', '0', '0', '0', '0', '-92.5', '-34.2', '-368.2', '27', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9544', '9', '1627819', 'object/mobile/kliknik_hue.iff', '0', '0', '0', '0', '-88.4', '-34', '-374.3', '104', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9545', '9', '1627819', 'object/mobile/kliknik_hue.iff', '0', '0', '0', '0', '-71.5', '-33.9', '-376.5', '104', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9546', '9', '1627819', 'object/mobile/gaping_spider_broodling.iff', '0', '0', '0', '0', '-75.1', '-34.1', '-384.1', '27', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9547', '9', '1627820', 'object/mobile/kliknik_hue.iff', '0', '0', '0', '0', '-67.3', '-34.1', '-407.2', '104', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9548', '9', '1627820', 'object/mobile/kwi.iff', '0', '0', '0', '0', '-44.4', '-33.9', '-408.5', '106', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9549', '9', '1627820', 'object/mobile/gaping_spider_broodling.iff', '0', '0', '0', '0', '-27.4', '-34.1', '-407.6', '27', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9550', '9', '1627821', 'object/creature/npc/droid/crafted/droideka_advanced.iff', '0', '0', '0', '0', '-12.2', '-34', '-412.1', '86', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9551', '9', '1627822', 'object/mobile/gaping_spider_broodling.iff', '0', '0', '0', '0', '4', '-34', '-404.3', '27', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9552', '9', '1627822', 'object/mobile/gaping_spider_broodling.iff', '0', '0', '0', '0', '22.9', '-34', '-398.8', '27', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9553', '9', '1627822', 'object/mobile/kliknik_hue.iff', '0', '0', '0', '0', '23.4', '-34', '-374.2', '98', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9554', '9', '1627822', 'object/mobile/gaping_spider_broodling.iff', '0', '0', '0', '0', '12', '-34', '-365.5', '27', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9555', '9', '1627822', 'object/mobile/kliknik.iff', '0', '0', '0', '0', '15.5', '-24', '-341.2', '80', 'neutral', '128', '35', '240');
INSERT INTO `world_server_static_spawns` VALUES ('9556', '9', '1627822', 'object/mobile/kliknik_hue.iff', '0', '0', '0', '0', '10.5', '-22', '-336.8', '98', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9557', '9', '1627822', 'object/mobile/kliknik_hue.iff', '0', '0', '0', '0', '24.6', '-24', '-334', '98', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9558', '9', '1627823', 'object/mobile/kwi.iff', '0', '0', '0', '0', '45', '-34', '-333.8', '106', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9559', '9', '1627823', 'object/mobile/gaping_spider_broodling.iff', '0', '0', '0', '0', '86.2', '-34', '-309.4', '27', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9560', '9', '1627819', 'object/mobile/kliknik_hue.iff', '0', '0', '0', '0', '-78.6', '-33.6', '-349.4', '98', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9561', '9', '1627818', 'object/mobile/gaping_spider_broodling.iff', '0', '0', '0', '0', '-139.3', '-34.2', '-349.8', '27', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9562', '9', '1627818', 'object/mobile/gaping_spider_broodling.iff', '0', '0', '0', '0', '-117.5', '-33.9', '-349.5', '27', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9563', '9', '1627818', 'object/mobile/gaping_spider_broodling.iff', '0', '0', '0', '0', '-138.6', '-34', '-370.6', '27', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9564', '9', '1627823', 'object/mobile/gaping_spider_broodling.iff', '0', '0', '0', '0', '93.1', '-33.7', '-347', '27', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9565', '9', '1627823', 'object/mobile/kliknik_hue.iff', '0', '0', '0', '0', '120.2', '-34', '-329.6', '98', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9566', '9', '1627823', 'object/mobile/gaping_spider_broodling.iff', '0', '0', '0', '0', '90.7', '-34.1', '-333.6', '27', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9567', '9', '1627812', 'object/mobile/kliknik.iff', '0', '0', '0', '0', '-67.4', '-34', '-269.5', '80', 'neutral', '128', '35', '240');
INSERT INTO `world_server_static_spawns` VALUES ('9568', '9', '1627812', 'object/mobile/kliknik_hue.iff', '0', '0', '0', '0', '-66.8', '-34', '-284.3', '98', 'neutral', '128', '35', '300');
INSERT INTO `world_server_static_spawns` VALUES ('9569', '9', '1627812', 'object/mobile/dressed_geonosian_commoner_01.iff', '0', '0', '0', '0', '-61.8', '-34', '-271.7', '48', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9570', '9', '1627793', 'object/mobile/gaping_spider_broodling.iff', '0', '0', '0', '0', '-90.4', '-22', '-111.1', '27', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9571', '9', '1627781', 'object/mobile/dressed_geonosian_scientist_01.iff', '0', '0.995104', '0', '-0.0988351', '-2.4', '10.8', '10', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9572', '9', '1627790', 'object/mobile/dressed_geonosian_scientist_01.iff', '0', '0.995104', '0', '-0.0988351', '-107.2', '-18', '-34.8', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9573', '9', '1627794', 'object/mobile/dressed_geonosian_scientist_01.iff', '0', '0.995104', '0', '-0.0988351', '-134.2', '-21.8', '-74.7', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9574', '9', '1627798', 'object/mobile/dressed_geonosian_scientist_01.iff', '0', '0.995104', '0', '-0.0988351', '23.8', '-31.6', '-79.3', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9575', '9', '1627803', 'object/mobile/dressed_geonosian_scientist_01.iff', '0', '0.995104', '0', '-0.0988351', '-35.8', '-21.8', '-161.2', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9576', '9', '1627812', 'object/mobile/dressed_geonosian_scientist_01.iff', '0', '0.995104', '0', '-0.0988351', '-72.1', '-34', '-276.9', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9577', '9', '1627815', 'object/mobile/dressed_geonosian_scientist_01.iff', '0', '0.995104', '0', '-0.0988351', '-126.4', '-34', '-186.2', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9578', '9', '1627822', 'object/mobile/dressed_geonosian_scientist_01.iff', '0', '0.995104', '0', '-0.0988351', '7.2', '-22', '-333.2', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9579', '9', '1627785', 'object/mobile/dressed_geonosian_scientist_02.iff', '0', '0.995104', '0', '-0.0988351', '-48.8', '-18', '-31.8', '15', 'neutral', '264', '0', '60');
INSERT INTO `world_server_static_spawns` VALUES ('9580', '9', '0', 'object/mobile/woolamander.iff', '0', '0', '0', '0', '479.72', '0', '-661.131', '27', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9581', '9', '0', 'object/mobile/woolamander.iff', '0', '0', '0', '0', '483.283', '0', '-665.337', '27', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9582', '9', '0', 'object/mobile/woolamander.iff', '0', '0', '0', '0', '509.331', '0', '-689.23', '19', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9583', '9', '0', 'object/mobile/woolamander.iff', '0', '0', '0', '0', '483.851', '0', '-662.943', '27', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9584', '9', '0', 'object/mobile/woolamander.iff', '0', '0', '0', '0', '511.055', '0', '-687.557', '19', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9585', '9', '0', 'object/mobile/woolamander.iff', '0', '0', '0', '0', '479.598', '0', '-659.412', '27', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9586', '9', '0', 'object/mobile/woolamander.iff', '0', '0', '0', '0', '480.857', '0', '-663.185', '27', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9587', '9', '3705359', 'object/mobile/woolamander.iff', '0', '0', '0', '0', '-59.3201', '2.0202', '21.0591', '38', 'neutral', '128', '35', '240');
INSERT INTO `world_server_static_spawns` VALUES ('9588', '9', '3705359', 'object/mobile/woolamander.iff', '0', '0', '0', '0', '-59.2473', '2.0202', '-11.0566', '29', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9589', '9', '3705359', 'object/mobile/woolamander_hue.iff', '0', '0', '0', '0', '-84.9596', '2.02019', '3.06351', '51', 'neutral', '128', '35', '4020');
INSERT INTO `world_server_static_spawns` VALUES ('9590', '9', '3705359', 'object/mobile/woolamander_hue.iff', '0', '0', '0', '0', '-85.751', '2.02019', '4.10265', '51', 'neutral', '128', '35', '4020');
INSERT INTO `world_server_static_spawns` VALUES ('9591', '9', '3705361', 'object/mobile/woolamander.iff', '0', '0', '0', '0', '53.9211', '2.02021', '5.37407', '38', 'neutral', '128', '35', '240');
INSERT INTO `world_server_static_spawns` VALUES ('9592', '9', '3705361', 'object/mobile/woolamander.iff', '0', '0', '0', '0', '54.3143', '2.02021', '7.01683', '38', 'neutral', '128', '35', '240');
INSERT INTO `world_server_static_spawns` VALUES ('9593', '9', '3705355', 'object/mobile/woolamander.iff', '0', '0', '0', '0', '14.4116', '2.0202', '0.0878928', '27', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9594', '9', '3705355', 'object/mobile/woolamander.iff', '0', '0', '0', '0', '15.4302', '2.0202', '-0.711728', '27', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9595', '9', '3705355', 'object/mobile/woolamander.iff', '0', '0', '0', '0', '-2.0938', '2.0202', '6.12562', '29', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9596', '9', '3705355', 'object/mobile/woolamander.iff', '0', '0', '0', '0', '-2.82066', '2.0202', '8.06346', '29', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9597', '9', '3705355', 'object/mobile/woolamander.iff', '0', '0', '0', '0', '-17.5263', '2.0202', '0.383472', '27', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9598', '9', '3705355', 'object/mobile/woolamander.iff', '0', '0', '0', '0', '-18.2843', '2.0202', '-0.466568', '27', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9599', '9', '0', 'object/mobile/woolamander.iff', '0', '0', '0', '0', '509.124', '0', '-687.435', '19', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9600', '9', '0', 'object/mobile/kliknik.iff', '0', '0', '0', '0', '-921.237', '0', '-2085.19', '30', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9601', '9', '0', 'object/mobile/kliknik.iff', '0', '0', '0', '0', '-921.327', '0', '-2086.26', '30', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9602', '9', '0', 'object/mobile/kliknik.iff', '0', '0', '0', '0', '-929.081', '0', '-2076.36', '30', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9603', '9', '0', 'object/mobile/kliknik.iff', '0', '0', '0', '0', '-903.664', '0', '-2021.92', '30', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9604', '9', '0', 'object/mobile/kliknik.iff', '0', '0', '0', '0', '-902.219', '0', '-2021.42', '30', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9605', '9', '0', 'object/mobile/kliknik.iff', '0', '0', '0', '0', '-902.494', '0', '-2022.47', '30', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9606', '9', '0', 'object/mobile/kliknik.iff', '0', '0', '0', '0', '-879.46', '0', '-2047.03', '42', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9607', '9', '0', 'object/mobile/kliknik.iff', '0', '0', '0', '0', '-880.507', '0', '-2047.49', '42', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9608', '9', '0', 'object/mobile/kliknik.iff', '0', '0', '0', '0', '-881.542', '0', '-2047.6', '42', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9609', '9', '468318', 'object/mobile/kliknik.iff', '0', '0', '0', '0', '-3.76231', '-1.2976', '32.4549', '40', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9610', '9', '468318', 'object/mobile/kliknik.iff', '0', '0', '0', '0', '3.95711', '-1.2976', '32.4458', '40', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9611', '9', '468319', 'object/mobile/kliknik.iff', '0', '0', '0', '0', '-13.6347', '-1.2976', '24.3426', '40', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9612', '9', '468319', 'object/mobile/kliknik.iff', '0', '0', '0', '0', '12.8708', '-1.2976', '24.9804', '40', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9613', '9', '468319', 'object/mobile/kliknik.iff', '0', '0', '0', '0', '-13.1108', '-37.2976', '13.0769', '40', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9614', '9', '468319', 'object/mobile/kliknik.iff', '0', '0', '0', '0', '12.573', '-37.2976', '12.5194', '40', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9615', '9', '468319', 'object/mobile/kliknik.iff', '0', '0', '0', '0', '24.9561', '-1.2976', '10.1033', '40', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9616', '9', '468319', 'object/mobile/kliknik.iff', '0', '0', '0', '0', '-25.3283', '-1.2976', '3.17629', '40', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9617', '9', '468319', 'object/mobile/kliknik.iff', '0', '0', '0', '0', '11.7035', '-37.2976', '1.1191', '30', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9618', '9', '468319', 'object/mobile/kliknik.iff', '0', '0', '0', '0', '11.6944', '-37.2976', '2.23503', '30', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9619', '9', '468319', 'object/mobile/kliknik.iff', '0', '0', '0', '0', '-13.7067', '-37.2976', '0.257547', '30', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9620', '9', '468319', 'object/mobile/kliknik.iff', '0', '0', '0', '0', '-14.1693', '-37.2976', '-0.848303', '30', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9621', '9', '0', 'object/mobile/kliknik.iff', '0', '0', '0', '0', '-868.781', '0', '-2130.53', '30', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9622', '9', '0', 'object/mobile/kliknik.iff', '0', '0', '0', '0', '-869.054', '0', '-2130.24', '30', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9623', '9', '0', 'object/mobile/kliknik.iff', '0', '0', '0', '0', '-870.054', '0', '-2130.69', '30', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9624', '9', '468319', 'object/mobile/kliknik.iff', '0', '0', '0', '0', '-7.33674', '-37.2976', '-16.3421', '30', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9625', '9', '468319', 'object/mobile/kliknik.iff', '0', '0', '0', '0', '7.24833', '-37.2976', '-16.0867', '30', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9626', '9', '468319', 'object/mobile/kliknik.iff', '0', '0', '0', '0', '0.893615', '-37.2976', '-23.1458', '42', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9627', '9', '468319', 'object/mobile/kliknik.iff', '0', '0', '0', '0', '-0.0255893', '-37.2976', '-23.2957', '42', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9628', '9', '468319', 'object/mobile/kliknik.iff', '0', '0', '0', '0', '2.02521', '-1.2976', '-25.6792', '30', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9629', '9', '468319', 'object/mobile/kliknik.iff', '0', '0', '0', '0', '-3.30076', '-1.2976', '-25.7691', '30', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9630', '9', '0', 'object/mobile/kliknik.iff', '0', '0', '0', '0', '-830.746', '0', '-1974.44', '30', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9631', '9', '0', 'object/mobile/kliknik.iff', '0', '0', '0', '0', '-830.922', '0', '-1975.85', '30', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9632', '9', '0', 'object/mobile/kliknik.iff', '0', '0', '0', '0', '-830.057', '0', '-1975.93', '30', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9633', '9', '468319', 'object/mobile/kliknik_queen.iff', '0', '0', '0', '0', '-0.140134', '-37.2976', '-28.9959', '40', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9634', '9', '0', 'object/mobile/kliknik.iff', '0', '0', '0', '0', '-801.018', '0', '-1979.73', '30', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9635', '9', '0', 'object/mobile/kliknik.iff', '0', '0', '0', '0', '-799.648', '0', '-1980.52', '30', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9636', '9', '0', 'object/mobile/kliknik.iff', '0', '0', '0', '0', '-798.801', '0', '-1979.45', '30', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9637', '9', '0', 'object/mobile/kliknik.iff', '0', '0', '0', '0', '-824.589', '0', '-2137.31', '30', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9638', '9', '0', 'object/mobile/kliknik.iff', '0', '0', '0', '0', '-825.155', '0', '-2137.19', '30', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9639', '9', '0', 'object/mobile/kliknik.iff', '0', '0', '0', '0', '-825.554', '0', '-2138.61', '30', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9640', '9', '0', 'object/mobile/kliknik.iff', '0', '0', '0', '0', '-747.836', '0', '-2056.32', '30', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9641', '9', '0', 'object/mobile/kliknik.iff', '0', '0', '0', '0', '-748.295', '0', '-2056.05', '30', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9642', '9', '0', 'object/mobile/kliknik.iff', '0', '0', '0', '0', '-747.699', '0', '-2055.56', '30', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9643', '9', '0', 'object/mobile/kliknik.iff', '0', '0', '0', '0', '-752.223', '0', '-2085.08', '30', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9644', '9', '0', 'object/mobile/kliknik.iff', '0', '0', '0', '0', '-753.028', '0', '-2085.54', '30', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9645', '9', '0', 'object/mobile/kliknik.iff', '0', '0', '0', '0', '-753.926', '0', '-2086.85', '30', 'neutral', '128', '35', '180');
INSERT INTO `world_server_static_spawns` VALUES ('9646', '9', '0', 'object/mobile/dressed_jedi_trainer_twilek_female_01.iff', '0', '0', '0', '0', '-5578.55', '0', '4909.13', '500', 'neutral', '128', '35', '1200');
INSERT INTO `world_server_static_spawns` VALUES ('9647', '9', '0', 'object/mobile/dressed_jedi_trainer_twilek_female_01.iff', '0', '0', '0', '0', '-5572.76', '0', '4907.84', '500', 'neutral', '128', '35', '1200');
INSERT INTO `world_server_static_spawns` VALUES ('9648', '9', '0', 'object/mobile/dressed_dark_jedi_human_male_01.iff', '0', '0', '0', '0', '5046.38', '0', '306.411', '500', 'neutral', '128', '35', '1200');
INSERT INTO `world_server_static_spawns` VALUES ('9649', '9', '0', 'object/mobile/dressed_dark_jedi_human_male_01.iff', '0', '0', '0', '0', '5073.68', '0', '314.612', '500', 'neutral', '128', '35', '1200');
